diff -pruN 4.0.1+really+3.0.5-2/.appveyor.yml 4.0.2-3/.appveyor.yml
--- 4.0.1+really+3.0.5-2/.appveyor.yml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/.appveyor.yml	2020-05-08 10:03:30.000000000 +0000
@@ -1,4 +1,4 @@
-version: 3.0.4-{build}
+version: 4.0-{build}
 
 os:
   - Visual Studio 2015
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64AddressingModes.h 4.0.2-3/arch/AArch64/AArch64AddressingModes.h
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64AddressingModes.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64AddressingModes.h	2020-05-08 10:03:30.000000000 +0000
@@ -15,7 +15,7 @@
 #define CS_AARCH64_ADDRESSINGMODES_H
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MathExtras.h"
 
@@ -198,7 +198,7 @@ static inline float AArch64_AM_getFPImmF
 	// where B = NOT(b);
 
 	FPUnion.I = 0;
-	FPUnion.I |= ((uint32_t) Sign) << 31;
+	FPUnion.I |= ((uint32_t)Sign) << 31;
 	FPUnion.I |= ((Exp & 0x4) != 0 ? 0 : 1) << 30;
 	FPUnion.I |= ((Exp & 0x4) != 0 ? 0x1f : 0) << 25;
 	FPUnion.I |= (Exp & 0x3) << 23;
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64BaseInfo.c 4.0.2-3/arch/AArch64/AArch64BaseInfo.c
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64BaseInfo.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64BaseInfo.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM64
 
@@ -627,17 +627,16 @@ static const A64NamedImmMapper_Mapping C
 };
 
 // result must be a big enough buffer: 128 bytes is more than enough
-void A64SysRegMapper_toString(const A64SysRegMapper *S, uint32_t Bits, bool *Valid, char *result)
+void A64SysRegMapper_toString(const A64SysRegMapper *S, uint32_t Bits, char *result)
 {
 	int dummy;
 	uint32_t Op0, Op1, CRn, CRm, Op2;
-	char *Op1S, *CRnS, *CRmS, *Op2S;
+	char *Op0S, *Op1S, *CRnS, *CRmS, *Op2S;
 	unsigned i;
 
 	// First search the registers shared by all
 	for (i = 0; i < ARR_SIZE(SysRegPairs); ++i) {
 		if (SysRegPairs[i].Value == Bits) {
-			*Valid = true;
 			strcpy(result, SysRegPairs[i].Name);
 			return;
 		}
@@ -648,7 +647,6 @@ void A64SysRegMapper_toString(const A64S
 	if (true) {
 		for (i = 0; i < ARR_SIZE(CycloneSysRegPairs); ++i) {
 			if (CycloneSysRegPairs[i].Value == Bits) {
-				*Valid = true;
 				strcpy(result, CycloneSysRegPairs[i].Name);
 				return;
 			}
@@ -659,7 +657,6 @@ void A64SysRegMapper_toString(const A64S
 	// write-only).
 	for (i = 0; i < S->NumInstPairs; ++i) {
 		if (S->InstPairs[i].Value == Bits) {
-			*Valid = true;
 			strcpy(result, S->InstPairs[i].Name);
 			return;
 		}
@@ -671,17 +668,7 @@ void A64SysRegMapper_toString(const A64S
 	CRm = (Bits >> 3) & 0xf;
 	Op2 = Bits & 0x7;
 
-	// Only combinations matching: 11 xxx 1x11 xxxx xxx are valid for a generic
-	// name.
-	if (Op0 != 3 || (CRn != 11 && CRn != 15)) {
-		*Valid = false;
-		return;
-	}
-
-	//assert(Op0 == 3 && (CRn == 11 || CRn == 15) && "Invalid generic sysreg");
-
-	*Valid = true;
-
+	Op0S = utostr(Op0, false);
 	Op1S = utostr(Op1, false);
 	CRnS = utostr(CRn, false);
 	CRmS = utostr(CRm, false);
@@ -691,6 +678,7 @@ void A64SysRegMapper_toString(const A64S
 	dummy = cs_snprintf(result, 128, "s3_%s_c%s_c%s_%s", Op1S, CRnS, CRmS, Op2S);
 	(void)dummy;
 
+	cs_mem_free(Op0S);
 	cs_mem_free(Op1S);
 	cs_mem_free(CRnS);
 	cs_mem_free(CRmS);
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64BaseInfo.h 4.0.2-3/arch/AArch64/AArch64BaseInfo.h
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64BaseInfo.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64BaseInfo.h	2020-05-08 10:03:30.000000000 +0000
@@ -15,15 +15,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_AARCH64_BASEINFO_H
 #define CS_LLVM_AARCH64_BASEINFO_H
 
 #include <ctype.h>
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
 #include <string.h>
 
 #ifndef __cplusplus
@@ -1008,6 +1005,6 @@ uint32_t A64NamedImmMapper_fromString(co
 
 bool A64NamedImmMapper_validImm(const A64NamedImmMapper *N, uint32_t Value);
 
-void A64SysRegMapper_toString(const A64SysRegMapper *S, uint32_t Bits, bool *Valid, char *result);
+void A64SysRegMapper_toString(const A64SysRegMapper *S, uint32_t Bits, char *result);
 
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Disassembler.c 4.0.2-3/arch/AArch64/AArch64Disassembler.c
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Disassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64Disassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -14,7 +14,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM64
 
@@ -24,6 +24,8 @@
 #include "../../cs_priv.h"
 #include "../../utils.h"
 
+#include "AArch64Disassembler.h"
+
 #include "../../MCInst.h"
 #include "../../MCInstrDesc.h"
 #include "../../MCFixedLenDisassembler.h"
@@ -233,16 +235,16 @@ static DecodeStatus _getInstruction(cs_s
 	}
 
 	if (MI->flat_insn->detail) {
-		memset(MI->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, arm64)+sizeof(cs_arm64));
 		for (i = 0; i < ARR_SIZE(MI->flat_insn->detail->arm64.operands); i++)
 			MI->flat_insn->detail->arm64.operands[i].vector_index = -1;
 	}
 
 	if (MODE_IS_BIG_ENDIAN(ud->mode))
 		insn = (code[3] << 0) | (code[2] << 8) |
-			(code[1] <<  16) | (((uint32_t) code[0]) << 24);
+			(code[1] <<  16) | ((uint32_t) code[0] << 24);
 	else
-		insn = (((uint32_t) code[3]) << 24) | (code[2] << 16) |
+		insn = ((uint32_t) code[3] << 24) | (code[2] << 16) |
 			(code[1] <<  8) | (code[0] <<  0);
 
 	// Calling the auto-generated decoder function.
@@ -703,30 +705,20 @@ static DecodeStatus DecodeMemExtend(MCIn
 static DecodeStatus DecodeMRSSystemRegister(MCInst *Inst, unsigned Imm,
 		uint64_t Address, const void *Decoder)
 {
-	bool ValidNamed;
-	char result[128];
-
-	Imm |= 0x8000;
 	MCOperand_CreateImm0(Inst, Imm);
 
-	A64SysRegMapper_toString(&AArch64_MRSMapper, Imm, &ValidNamed, result);
-
-	return ValidNamed ? Success : Fail;
+	// Every system register in the encoding space is valid with the syntax
+	// S<op0>_<op1>_<Cn>_<Cm>_<op2>, so decoding system registers always succeeds.
+	return Success;
 }
 
 static DecodeStatus DecodeMSRSystemRegister(MCInst *Inst, unsigned Imm,
 		uint64_t Address,
 		const void *Decoder)
 {
-	bool ValidNamed;
-	char result[128];
-
-	Imm |= 0x8000;
 	MCOperand_CreateImm0(Inst, Imm);
 
-	A64SysRegMapper_toString(&AArch64_MSRMapper, Imm, &ValidNamed, result);
-
-	return ValidNamed ? Success : Fail;
+	return Success;
 }
 
 static DecodeStatus DecodeFMOVLaneInstruction(MCInst *Inst, unsigned Insn,
@@ -1269,7 +1261,7 @@ static DecodeStatus DecodePairLdStInstru
 	unsigned Rt = fieldFromInstruction(insn, 0, 5);
 	unsigned Rn = fieldFromInstruction(insn, 5, 5);
 	unsigned Rt2 = fieldFromInstruction(insn, 10, 5);
-	int64_t offset = fieldFromInstruction(insn, 15, 7);
+	int32_t offset = fieldFromInstruction(insn, 15, 7);
 	bool IsLoad = fieldFromInstruction(insn, 22, 1) != 0;
 	unsigned Opcode = MCInst_getOpcode(Inst);
 	bool NeedsDisjointWritebackTransfer = false;
@@ -1635,7 +1627,7 @@ static DecodeStatus DecodeTestAndBranch(
 {
 	uint32_t Rt = fieldFromInstruction(insn, 0, 5);
 	uint32_t bit = fieldFromInstruction(insn, 31, 1) << 5;
-	uint32_t dst = fieldFromInstruction(insn, 5, 14);
+	uint64_t dst = fieldFromInstruction(insn, 5, 14);
 
 	bit |= fieldFromInstruction(insn, 19, 5);
 
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Disassembler.h 4.0.2-3/arch/AArch64/AArch64Disassembler.h
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Disassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64Disassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_AARCH64_DISASSEMBLER_H
 #define CS_AARCH64_DISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenAsmWriter.inc 4.0.2-3/arch/AArch64/AArch64GenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64GenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 /// printInstruction - This method is automatically generated by tablegen
 /// from the instruction set description.
@@ -34,6 +34,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     6182U,	// ABSv16i8
     553920550U,	// ABSv1i64
     1074272294U,	// ABSv2i32
@@ -2426,6 +2428,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// ABSv16i8
     0U,	// ABSv1i64
     0U,	// ABSv2i32
@@ -6008,7 +6012,7 @@ static void printInstruction(MCInst *MI,
     // CMEQv16i8rz, CMGEv16i8rz, CMGTv16i8rz, CMLEv16i8rz, CMLTv16i8rz
     SStream_concat0(O, ".16b, #0"); 
 	arm64_op_addVectorArrSpecifier(MI, ARM64_VAS_16B);
-	arm64_op_addFP(MI, 0.0);
+	arm64_op_addImm(MI, 0.0);
     return;
     break;
   case 17:
@@ -6848,7 +6852,7 @@ static const char *getRegisterName(unsig
   /* 1774 */ 'n', 'z', 'c', 'v', 0,
   };
 
-  static const uint32_t RegAsmOffsetNoRegAltName[] = {
+  static const uint16_t RegAsmOffsetNoRegAltName[] = {
     1713, 170, 1774, 1763, 1762, 1766, 1770, 204, 421, 586, 751, 916, 1081, 1246, 
     1411, 1576, 1741, 26, 253, 472, 639, 804, 969, 1134, 1299, 1464, 1629, 86, 
     313, 532, 699, 864, 1029, 1194, 1359, 1524, 1689, 146, 373, 207, 424, 589, 
@@ -6916,7 +6920,7 @@ static const char *getRegisterName(unsig
   /* 115 */ 'v', '9', 0,
   };
 
-  static const uint32_t RegAsmOffsetvreg[] = {
+  static const uint16_t RegAsmOffsetvreg[] = {
     3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
     3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
     3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 27, 38, 
@@ -6949,7 +6953,7 @@ static const char *getRegisterName(unsig
     107, 4, 19, 34, 45, 56, 67, 78, 89, 100, 111, 8, 23, 
   };
 
-  const uint32_t *RegAsmOffset;
+  const uint16_t *RegAsmOffset;
   const char *AsmStrs;
 
   switch(AltIdx) {
@@ -6964,10 +6968,10 @@ static const char *getRegisterName(unsig
     break;
   }
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffsetNoRegAltName)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffsetNoRegAltName)/2; i++)
   //     printf("%s = %u\n", AsmStrsNoRegAltName+RegAsmOffsetNoRegAltName[i], i + 1);
   //printf("*************************\n");
-  //for (i = 0; i < sizeof(RegAsmOffsetvreg)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffsetvreg)/2; i++)
   //     printf("%s = %u\n", AsmStrsvreg+RegAsmOffsetvreg[i], i + 1);
   //printf("-------------------------\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenDisassemblerTables.inc 4.0.2-3/arch/AArch64/AArch64GenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64GenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -35,69 +35,69 @@ static const uint8_t DecoderTable32[] =
 /* 24 */      MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 47
 /* 28 */      MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 31 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 39
-/* 35 */      MCD_OPC_Decode, 145, 15, 0, // Opcode: STXRB
-/* 39 */      MCD_OPC_FilterValue, 1, 178, 158, // Skip to: 40669
-/* 43 */      MCD_OPC_Decode, 189, 14, 0, // Opcode: STLXRB
+/* 35 */      MCD_OPC_Decode, 147, 15, 0, // Opcode: STXRB
+/* 39 */      MCD_OPC_FilterValue, 1, 150, 158, // Skip to: 40641
+/* 43 */      MCD_OPC_Decode, 191, 14, 0, // Opcode: STLXRB
 /* 47 */      MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 70
 /* 51 */      MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 54 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 62
-/* 58 */      MCD_OPC_Decode, 169, 8, 0, // Opcode: LDXRB
-/* 62 */      MCD_OPC_FilterValue, 1, 155, 158, // Skip to: 40669
-/* 66 */      MCD_OPC_Decode, 169, 7, 0, // Opcode: LDAXRB
+/* 58 */      MCD_OPC_Decode, 171, 8, 0, // Opcode: LDXRB
+/* 62 */      MCD_OPC_FilterValue, 1, 127, 158, // Skip to: 40641
+/* 66 */      MCD_OPC_Decode, 171, 7, 0, // Opcode: LDAXRB
 /* 70 */      MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 84
-/* 74 */      MCD_OPC_CheckField, 15, 1, 1, 141, 158, // Skip to: 40669
-/* 80 */      MCD_OPC_Decode, 183, 14, 0, // Opcode: STLRB
-/* 84 */      MCD_OPC_FilterValue, 6, 133, 158, // Skip to: 40669
-/* 88 */      MCD_OPC_CheckField, 15, 1, 1, 127, 158, // Skip to: 40669
-/* 94 */      MCD_OPC_Decode, 163, 7, 0, // Opcode: LDARB
+/* 74 */      MCD_OPC_CheckField, 15, 1, 1, 113, 158, // Skip to: 40641
+/* 80 */      MCD_OPC_Decode, 185, 14, 0, // Opcode: STLRB
+/* 84 */      MCD_OPC_FilterValue, 6, 105, 158, // Skip to: 40641
+/* 88 */      MCD_OPC_CheckField, 15, 1, 1, 99, 158, // Skip to: 40641
+/* 94 */      MCD_OPC_Decode, 165, 7, 0, // Opcode: LDARB
 /* 98 */      MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 119
 /* 102 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 105 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 112
-/* 109 */     MCD_OPC_Decode, 93, 1, // Opcode: ANDWrs
-/* 112 */     MCD_OPC_FilterValue, 1, 105, 158, // Skip to: 40669
-/* 116 */     MCD_OPC_Decode, 109, 1, // Opcode: BICWrs
-/* 119 */     MCD_OPC_FilterValue, 3, 98, 158, // Skip to: 40669
+/* 109 */     MCD_OPC_Decode, 95, 1, // Opcode: ANDWrs
+/* 112 */     MCD_OPC_FilterValue, 1, 77, 158, // Skip to: 40641
+/* 116 */     MCD_OPC_Decode, 111, 1, // Opcode: BICWrs
+/* 119 */     MCD_OPC_FilterValue, 3, 70, 158, // Skip to: 40641
 /* 123 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 126 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 133
-/* 130 */     MCD_OPC_Decode, 62, 1, // Opcode: ADDWrs
-/* 133 */     MCD_OPC_FilterValue, 1, 84, 158, // Skip to: 40669
-/* 137 */     MCD_OPC_CheckField, 22, 2, 0, 78, 158, // Skip to: 40669
-/* 143 */     MCD_OPC_Decode, 63, 2, // Opcode: ADDWrx
+/* 130 */     MCD_OPC_Decode, 64, 1, // Opcode: ADDWrs
+/* 133 */     MCD_OPC_FilterValue, 1, 56, 158, // Skip to: 40641
+/* 137 */     MCD_OPC_CheckField, 22, 2, 0, 50, 158, // Skip to: 40641
+/* 143 */     MCD_OPC_Decode, 65, 2, // Opcode: ADDWrx
 /* 146 */     MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 281
 /* 150 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 153 */     MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 192
 /* 157 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 160 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 168
-/* 164 */     MCD_OPC_Decode, 196, 14, 3, // Opcode: STNPWi
+/* 164 */     MCD_OPC_Decode, 198, 14, 3, // Opcode: STNPWi
 /* 168 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 176
-/* 172 */     MCD_OPC_Decode, 176, 7, 3, // Opcode: LDNPWi
+/* 172 */     MCD_OPC_Decode, 178, 7, 3, // Opcode: LDNPWi
 /* 176 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 184
-/* 180 */     MCD_OPC_Decode, 208, 14, 3, // Opcode: STPWpost
-/* 184 */     MCD_OPC_FilterValue, 3, 33, 158, // Skip to: 40669
-/* 188 */     MCD_OPC_Decode, 191, 7, 3, // Opcode: LDPWpost
+/* 180 */     MCD_OPC_Decode, 210, 14, 3, // Opcode: STPWpost
+/* 184 */     MCD_OPC_FilterValue, 3, 5, 158, // Skip to: 40641
+/* 188 */     MCD_OPC_Decode, 193, 7, 3, // Opcode: LDPWpost
 /* 192 */     MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 231
 /* 196 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 199 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 207
-/* 203 */     MCD_OPC_Decode, 207, 14, 3, // Opcode: STPWi
+/* 203 */     MCD_OPC_Decode, 209, 14, 3, // Opcode: STPWi
 /* 207 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 215
-/* 211 */     MCD_OPC_Decode, 190, 7, 3, // Opcode: LDPWi
+/* 211 */     MCD_OPC_Decode, 192, 7, 3, // Opcode: LDPWi
 /* 215 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 223
-/* 219 */     MCD_OPC_Decode, 209, 14, 3, // Opcode: STPWpre
-/* 223 */     MCD_OPC_FilterValue, 3, 250, 157, // Skip to: 40669
-/* 227 */     MCD_OPC_Decode, 192, 7, 3, // Opcode: LDPWpre
+/* 219 */     MCD_OPC_Decode, 211, 14, 3, // Opcode: STPWpre
+/* 223 */     MCD_OPC_FilterValue, 3, 222, 157, // Skip to: 40641
+/* 227 */     MCD_OPC_Decode, 194, 7, 3, // Opcode: LDPWpre
 /* 231 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 254
 /* 235 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 238 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 246
-/* 242 */     MCD_OPC_Decode, 135, 9, 1, // Opcode: ORRWrs
-/* 246 */     MCD_OPC_FilterValue, 1, 227, 157, // Skip to: 40669
-/* 250 */     MCD_OPC_Decode, 128, 9, 1, // Opcode: ORNWrs
-/* 254 */     MCD_OPC_FilterValue, 3, 219, 157, // Skip to: 40669
+/* 242 */     MCD_OPC_Decode, 137, 9, 1, // Opcode: ORRWrs
+/* 246 */     MCD_OPC_FilterValue, 1, 199, 157, // Skip to: 40641
+/* 250 */     MCD_OPC_Decode, 130, 9, 1, // Opcode: ORNWrs
+/* 254 */     MCD_OPC_FilterValue, 3, 191, 157, // Skip to: 40641
 /* 258 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 261 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 268
-/* 265 */     MCD_OPC_Decode, 48, 1, // Opcode: ADDSWrs
-/* 268 */     MCD_OPC_FilterValue, 1, 205, 157, // Skip to: 40669
-/* 272 */     MCD_OPC_CheckField, 22, 2, 0, 199, 157, // Skip to: 40669
-/* 278 */     MCD_OPC_Decode, 49, 2, // Opcode: ADDSWrx
+/* 265 */     MCD_OPC_Decode, 50, 1, // Opcode: ADDSWrs
+/* 268 */     MCD_OPC_FilterValue, 1, 177, 157, // Skip to: 40641
+/* 272 */     MCD_OPC_CheckField, 22, 2, 0, 171, 157, // Skip to: 40641
+/* 278 */     MCD_OPC_Decode, 51, 2, // Opcode: ADDSWrx
 /* 281 */     MCD_OPC_FilterValue, 2, 136, 0, // Skip to: 421
 /* 285 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 288 */     MCD_OPC_FilterValue, 0, 77, 0, // Skip to: 369
@@ -105,58 +105,58 @@ static const uint8_t DecoderTable32[] =
 /* 295 */     MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 318
 /* 299 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 302 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 310
-/* 306 */     MCD_OPC_Decode, 146, 15, 0, // Opcode: STXRH
-/* 310 */     MCD_OPC_FilterValue, 1, 163, 157, // Skip to: 40669
-/* 314 */     MCD_OPC_Decode, 190, 14, 0, // Opcode: STLXRH
+/* 306 */     MCD_OPC_Decode, 148, 15, 0, // Opcode: STXRH
+/* 310 */     MCD_OPC_FilterValue, 1, 135, 157, // Skip to: 40641
+/* 314 */     MCD_OPC_Decode, 192, 14, 0, // Opcode: STLXRH
 /* 318 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 341
 /* 322 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 325 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 333
-/* 329 */     MCD_OPC_Decode, 170, 8, 0, // Opcode: LDXRH
-/* 333 */     MCD_OPC_FilterValue, 1, 140, 157, // Skip to: 40669
-/* 337 */     MCD_OPC_Decode, 170, 7, 0, // Opcode: LDAXRH
+/* 329 */     MCD_OPC_Decode, 172, 8, 0, // Opcode: LDXRH
+/* 333 */     MCD_OPC_FilterValue, 1, 112, 157, // Skip to: 40641
+/* 337 */     MCD_OPC_Decode, 172, 7, 0, // Opcode: LDAXRH
 /* 341 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 355
-/* 345 */     MCD_OPC_CheckField, 15, 1, 1, 126, 157, // Skip to: 40669
-/* 351 */     MCD_OPC_Decode, 184, 14, 0, // Opcode: STLRH
-/* 355 */     MCD_OPC_FilterValue, 6, 118, 157, // Skip to: 40669
-/* 359 */     MCD_OPC_CheckField, 15, 1, 1, 112, 157, // Skip to: 40669
-/* 365 */     MCD_OPC_Decode, 164, 7, 0, // Opcode: LDARH
+/* 345 */     MCD_OPC_CheckField, 15, 1, 1, 98, 157, // Skip to: 40641
+/* 351 */     MCD_OPC_Decode, 186, 14, 0, // Opcode: STLRH
+/* 355 */     MCD_OPC_FilterValue, 6, 90, 157, // Skip to: 40641
+/* 359 */     MCD_OPC_CheckField, 15, 1, 1, 84, 157, // Skip to: 40641
+/* 365 */     MCD_OPC_Decode, 166, 7, 0, // Opcode: LDARH
 /* 369 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 392
 /* 373 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 376 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 384
-/* 380 */     MCD_OPC_Decode, 166, 2, 1, // Opcode: EORWrs
-/* 384 */     MCD_OPC_FilterValue, 1, 89, 157, // Skip to: 40669
-/* 388 */     MCD_OPC_Decode, 161, 2, 1, // Opcode: EONWrs
-/* 392 */     MCD_OPC_FilterValue, 3, 81, 157, // Skip to: 40669
+/* 380 */     MCD_OPC_Decode, 168, 2, 1, // Opcode: EORWrs
+/* 384 */     MCD_OPC_FilterValue, 1, 61, 157, // Skip to: 40641
+/* 388 */     MCD_OPC_Decode, 163, 2, 1, // Opcode: EONWrs
+/* 392 */     MCD_OPC_FilterValue, 3, 53, 157, // Skip to: 40641
 /* 396 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 399 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 407
-/* 403 */     MCD_OPC_Decode, 166, 15, 1, // Opcode: SUBWrs
-/* 407 */     MCD_OPC_FilterValue, 1, 66, 157, // Skip to: 40669
-/* 411 */     MCD_OPC_CheckField, 22, 2, 0, 60, 157, // Skip to: 40669
-/* 417 */     MCD_OPC_Decode, 167, 15, 2, // Opcode: SUBWrx
+/* 403 */     MCD_OPC_Decode, 168, 15, 1, // Opcode: SUBWrs
+/* 407 */     MCD_OPC_FilterValue, 1, 38, 157, // Skip to: 40641
+/* 411 */     MCD_OPC_CheckField, 22, 2, 0, 32, 157, // Skip to: 40641
+/* 417 */     MCD_OPC_Decode, 169, 15, 2, // Opcode: SUBWrx
 /* 421 */     MCD_OPC_FilterValue, 3, 90, 0, // Skip to: 515
 /* 425 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 428 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 442
-/* 432 */     MCD_OPC_CheckField, 22, 2, 3, 39, 157, // Skip to: 40669
-/* 438 */     MCD_OPC_Decode, 185, 7, 3, // Opcode: LDPSWpost
+/* 432 */     MCD_OPC_CheckField, 22, 2, 3, 11, 157, // Skip to: 40641
+/* 438 */     MCD_OPC_Decode, 187, 7, 3, // Opcode: LDPSWpost
 /* 442 */     MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 465
 /* 446 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 449 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 457
-/* 453 */     MCD_OPC_Decode, 184, 7, 3, // Opcode: LDPSWi
-/* 457 */     MCD_OPC_FilterValue, 3, 16, 157, // Skip to: 40669
-/* 461 */     MCD_OPC_Decode, 186, 7, 3, // Opcode: LDPSWpre
+/* 453 */     MCD_OPC_Decode, 186, 7, 3, // Opcode: LDPSWi
+/* 457 */     MCD_OPC_FilterValue, 3, 244, 156, // Skip to: 40641
+/* 461 */     MCD_OPC_Decode, 188, 7, 3, // Opcode: LDPSWpre
 /* 465 */     MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 486
 /* 469 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 472 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 479
-/* 476 */     MCD_OPC_Decode, 87, 1, // Opcode: ANDSWrs
-/* 479 */     MCD_OPC_FilterValue, 1, 250, 156, // Skip to: 40669
-/* 483 */     MCD_OPC_Decode, 105, 1, // Opcode: BICSWrs
-/* 486 */     MCD_OPC_FilterValue, 3, 243, 156, // Skip to: 40669
+/* 476 */     MCD_OPC_Decode, 89, 1, // Opcode: ANDSWrs
+/* 479 */     MCD_OPC_FilterValue, 1, 222, 156, // Skip to: 40641
+/* 483 */     MCD_OPC_Decode, 107, 1, // Opcode: BICSWrs
+/* 486 */     MCD_OPC_FilterValue, 3, 215, 156, // Skip to: 40641
 /* 490 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 493 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 501
-/* 497 */     MCD_OPC_Decode, 157, 15, 1, // Opcode: SUBSWrs
-/* 501 */     MCD_OPC_FilterValue, 1, 228, 156, // Skip to: 40669
-/* 505 */     MCD_OPC_CheckField, 22, 2, 0, 222, 156, // Skip to: 40669
-/* 511 */     MCD_OPC_Decode, 158, 15, 2, // Opcode: SUBSWrx
+/* 497 */     MCD_OPC_Decode, 159, 15, 1, // Opcode: SUBSWrs
+/* 501 */     MCD_OPC_FilterValue, 1, 200, 156, // Skip to: 40641
+/* 505 */     MCD_OPC_CheckField, 22, 2, 0, 194, 156, // Skip to: 40641
+/* 511 */     MCD_OPC_Decode, 160, 15, 2, // Opcode: SUBSWrx
 /* 515 */     MCD_OPC_FilterValue, 4, 188, 0, // Skip to: 707
 /* 519 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 522 */     MCD_OPC_FilterValue, 0, 123, 0, // Skip to: 649
@@ -164,87 +164,87 @@ static const uint8_t DecoderTable32[] =
 /* 529 */     MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 552
 /* 533 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 536 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 544
-/* 540 */     MCD_OPC_Decode, 147, 15, 0, // Opcode: STXRW
-/* 544 */     MCD_OPC_FilterValue, 1, 185, 156, // Skip to: 40669
-/* 548 */     MCD_OPC_Decode, 191, 14, 0, // Opcode: STLXRW
+/* 540 */     MCD_OPC_Decode, 149, 15, 0, // Opcode: STXRW
+/* 544 */     MCD_OPC_FilterValue, 1, 157, 156, // Skip to: 40641
+/* 548 */     MCD_OPC_Decode, 193, 14, 0, // Opcode: STLXRW
 /* 552 */     MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 575
 /* 556 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 559 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 567
-/* 563 */     MCD_OPC_Decode, 143, 15, 0, // Opcode: STXPW
-/* 567 */     MCD_OPC_FilterValue, 1, 162, 156, // Skip to: 40669
-/* 571 */     MCD_OPC_Decode, 187, 14, 0, // Opcode: STLXPW
+/* 563 */     MCD_OPC_Decode, 145, 15, 0, // Opcode: STXPW
+/* 567 */     MCD_OPC_FilterValue, 1, 134, 156, // Skip to: 40641
+/* 571 */     MCD_OPC_Decode, 189, 14, 0, // Opcode: STLXPW
 /* 575 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 598
 /* 579 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 582 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 590
-/* 586 */     MCD_OPC_Decode, 171, 8, 0, // Opcode: LDXRW
-/* 590 */     MCD_OPC_FilterValue, 1, 139, 156, // Skip to: 40669
-/* 594 */     MCD_OPC_Decode, 171, 7, 0, // Opcode: LDAXRW
+/* 586 */     MCD_OPC_Decode, 173, 8, 0, // Opcode: LDXRW
+/* 590 */     MCD_OPC_FilterValue, 1, 111, 156, // Skip to: 40641
+/* 594 */     MCD_OPC_Decode, 173, 7, 0, // Opcode: LDAXRW
 /* 598 */     MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 621
 /* 602 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 605 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 613
-/* 609 */     MCD_OPC_Decode, 167, 8, 0, // Opcode: LDXPW
-/* 613 */     MCD_OPC_FilterValue, 1, 116, 156, // Skip to: 40669
-/* 617 */     MCD_OPC_Decode, 167, 7, 0, // Opcode: LDAXPW
+/* 609 */     MCD_OPC_Decode, 169, 8, 0, // Opcode: LDXPW
+/* 613 */     MCD_OPC_FilterValue, 1, 88, 156, // Skip to: 40641
+/* 617 */     MCD_OPC_Decode, 169, 7, 0, // Opcode: LDAXPW
 /* 621 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 635
-/* 625 */     MCD_OPC_CheckField, 15, 1, 1, 102, 156, // Skip to: 40669
-/* 631 */     MCD_OPC_Decode, 185, 14, 0, // Opcode: STLRW
-/* 635 */     MCD_OPC_FilterValue, 6, 94, 156, // Skip to: 40669
-/* 639 */     MCD_OPC_CheckField, 15, 1, 1, 88, 156, // Skip to: 40669
-/* 645 */     MCD_OPC_Decode, 165, 7, 0, // Opcode: LDARW
+/* 625 */     MCD_OPC_CheckField, 15, 1, 1, 74, 156, // Skip to: 40641
+/* 631 */     MCD_OPC_Decode, 187, 14, 0, // Opcode: STLRW
+/* 635 */     MCD_OPC_FilterValue, 6, 66, 156, // Skip to: 40641
+/* 639 */     MCD_OPC_CheckField, 15, 1, 1, 60, 156, // Skip to: 40641
+/* 645 */     MCD_OPC_Decode, 167, 7, 0, // Opcode: LDARW
 /* 649 */     MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 670
 /* 653 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 656 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 663
-/* 660 */     MCD_OPC_Decode, 96, 1, // Opcode: ANDXrs
-/* 663 */     MCD_OPC_FilterValue, 1, 66, 156, // Skip to: 40669
-/* 667 */     MCD_OPC_Decode, 111, 1, // Opcode: BICXrs
-/* 670 */     MCD_OPC_FilterValue, 3, 59, 156, // Skip to: 40669
+/* 660 */     MCD_OPC_Decode, 98, 1, // Opcode: ANDXrs
+/* 663 */     MCD_OPC_FilterValue, 1, 38, 156, // Skip to: 40641
+/* 667 */     MCD_OPC_Decode, 113, 1, // Opcode: BICXrs
+/* 670 */     MCD_OPC_FilterValue, 3, 31, 156, // Skip to: 40641
 /* 674 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 677 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 684
-/* 681 */     MCD_OPC_Decode, 66, 1, // Opcode: ADDXrs
-/* 684 */     MCD_OPC_FilterValue, 1, 45, 156, // Skip to: 40669
+/* 681 */     MCD_OPC_Decode, 68, 1, // Opcode: ADDXrs
+/* 684 */     MCD_OPC_FilterValue, 1, 17, 156, // Skip to: 40641
 /* 688 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 691 */     MCD_OPC_FilterValue, 0, 38, 156, // Skip to: 40669
+/* 691 */     MCD_OPC_FilterValue, 0, 10, 156, // Skip to: 40641
 /* 695 */     MCD_OPC_CheckField, 13, 2, 3, 3, 0, // Skip to: 704
-/* 701 */     MCD_OPC_Decode, 68, 2, // Opcode: ADDXrx64
-/* 704 */     MCD_OPC_Decode, 67, 2, // Opcode: ADDXrx
+/* 701 */     MCD_OPC_Decode, 70, 2, // Opcode: ADDXrx64
+/* 704 */     MCD_OPC_Decode, 69, 2, // Opcode: ADDXrx
 /* 707 */     MCD_OPC_FilterValue, 5, 141, 0, // Skip to: 852
 /* 711 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 714 */     MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 753
 /* 718 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 721 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 729
-/* 725 */     MCD_OPC_Decode, 197, 14, 3, // Opcode: STNPXi
+/* 725 */     MCD_OPC_Decode, 199, 14, 3, // Opcode: STNPXi
 /* 729 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 737
-/* 733 */     MCD_OPC_Decode, 177, 7, 3, // Opcode: LDNPXi
+/* 733 */     MCD_OPC_Decode, 179, 7, 3, // Opcode: LDNPXi
 /* 737 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 745
-/* 741 */     MCD_OPC_Decode, 211, 14, 3, // Opcode: STPXpost
-/* 745 */     MCD_OPC_FilterValue, 3, 240, 155, // Skip to: 40669
-/* 749 */     MCD_OPC_Decode, 194, 7, 3, // Opcode: LDPXpost
+/* 741 */     MCD_OPC_Decode, 213, 14, 3, // Opcode: STPXpost
+/* 745 */     MCD_OPC_FilterValue, 3, 212, 155, // Skip to: 40641
+/* 749 */     MCD_OPC_Decode, 196, 7, 3, // Opcode: LDPXpost
 /* 753 */     MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 792
 /* 757 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 760 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 768
-/* 764 */     MCD_OPC_Decode, 210, 14, 3, // Opcode: STPXi
+/* 764 */     MCD_OPC_Decode, 212, 14, 3, // Opcode: STPXi
 /* 768 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 776
-/* 772 */     MCD_OPC_Decode, 193, 7, 3, // Opcode: LDPXi
+/* 772 */     MCD_OPC_Decode, 195, 7, 3, // Opcode: LDPXi
 /* 776 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 784
-/* 780 */     MCD_OPC_Decode, 212, 14, 3, // Opcode: STPXpre
-/* 784 */     MCD_OPC_FilterValue, 3, 201, 155, // Skip to: 40669
-/* 788 */     MCD_OPC_Decode, 195, 7, 3, // Opcode: LDPXpre
+/* 780 */     MCD_OPC_Decode, 214, 14, 3, // Opcode: STPXpre
+/* 784 */     MCD_OPC_FilterValue, 3, 173, 155, // Skip to: 40641
+/* 788 */     MCD_OPC_Decode, 197, 7, 3, // Opcode: LDPXpre
 /* 792 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 815
 /* 796 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 799 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 807
-/* 803 */     MCD_OPC_Decode, 138, 9, 1, // Opcode: ORRXrs
-/* 807 */     MCD_OPC_FilterValue, 1, 178, 155, // Skip to: 40669
-/* 811 */     MCD_OPC_Decode, 130, 9, 1, // Opcode: ORNXrs
-/* 815 */     MCD_OPC_FilterValue, 3, 170, 155, // Skip to: 40669
+/* 803 */     MCD_OPC_Decode, 140, 9, 1, // Opcode: ORRXrs
+/* 807 */     MCD_OPC_FilterValue, 1, 150, 155, // Skip to: 40641
+/* 811 */     MCD_OPC_Decode, 132, 9, 1, // Opcode: ORNXrs
+/* 815 */     MCD_OPC_FilterValue, 3, 142, 155, // Skip to: 40641
 /* 819 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 822 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 829
-/* 826 */     MCD_OPC_Decode, 52, 1, // Opcode: ADDSXrs
-/* 829 */     MCD_OPC_FilterValue, 1, 156, 155, // Skip to: 40669
+/* 826 */     MCD_OPC_Decode, 54, 1, // Opcode: ADDSXrs
+/* 829 */     MCD_OPC_FilterValue, 1, 128, 155, // Skip to: 40641
 /* 833 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 836 */     MCD_OPC_FilterValue, 0, 149, 155, // Skip to: 40669
+/* 836 */     MCD_OPC_FilterValue, 0, 121, 155, // Skip to: 40641
 /* 840 */     MCD_OPC_CheckField, 13, 2, 3, 3, 0, // Skip to: 849
-/* 846 */     MCD_OPC_Decode, 54, 2, // Opcode: ADDSXrx64
-/* 849 */     MCD_OPC_Decode, 53, 2, // Opcode: ADDSXrx
+/* 846 */     MCD_OPC_Decode, 56, 2, // Opcode: ADDSXrx64
+/* 849 */     MCD_OPC_Decode, 55, 2, // Opcode: ADDSXrx
 /* 852 */     MCD_OPC_FilterValue, 6, 193, 0, // Skip to: 1049
 /* 856 */     MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 859 */     MCD_OPC_FilterValue, 0, 123, 0, // Skip to: 986
@@ -252,1179 +252,1179 @@ static const uint8_t DecoderTable32[] =
 /* 866 */     MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 889
 /* 870 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 873 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 881
-/* 877 */     MCD_OPC_Decode, 148, 15, 0, // Opcode: STXRX
-/* 881 */     MCD_OPC_FilterValue, 1, 104, 155, // Skip to: 40669
-/* 885 */     MCD_OPC_Decode, 192, 14, 0, // Opcode: STLXRX
+/* 877 */     MCD_OPC_Decode, 150, 15, 0, // Opcode: STXRX
+/* 881 */     MCD_OPC_FilterValue, 1, 76, 155, // Skip to: 40641
+/* 885 */     MCD_OPC_Decode, 194, 14, 0, // Opcode: STLXRX
 /* 889 */     MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 912
 /* 893 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 896 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 904
-/* 900 */     MCD_OPC_Decode, 144, 15, 0, // Opcode: STXPX
-/* 904 */     MCD_OPC_FilterValue, 1, 81, 155, // Skip to: 40669
-/* 908 */     MCD_OPC_Decode, 188, 14, 0, // Opcode: STLXPX
+/* 900 */     MCD_OPC_Decode, 146, 15, 0, // Opcode: STXPX
+/* 904 */     MCD_OPC_FilterValue, 1, 53, 155, // Skip to: 40641
+/* 908 */     MCD_OPC_Decode, 190, 14, 0, // Opcode: STLXPX
 /* 912 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 935
 /* 916 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 919 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 927
-/* 923 */     MCD_OPC_Decode, 172, 8, 0, // Opcode: LDXRX
-/* 927 */     MCD_OPC_FilterValue, 1, 58, 155, // Skip to: 40669
-/* 931 */     MCD_OPC_Decode, 172, 7, 0, // Opcode: LDAXRX
+/* 923 */     MCD_OPC_Decode, 174, 8, 0, // Opcode: LDXRX
+/* 927 */     MCD_OPC_FilterValue, 1, 30, 155, // Skip to: 40641
+/* 931 */     MCD_OPC_Decode, 174, 7, 0, // Opcode: LDAXRX
 /* 935 */     MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 958
 /* 939 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 942 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 950
-/* 946 */     MCD_OPC_Decode, 168, 8, 0, // Opcode: LDXPX
-/* 950 */     MCD_OPC_FilterValue, 1, 35, 155, // Skip to: 40669
-/* 954 */     MCD_OPC_Decode, 168, 7, 0, // Opcode: LDAXPX
+/* 946 */     MCD_OPC_Decode, 170, 8, 0, // Opcode: LDXPX
+/* 950 */     MCD_OPC_FilterValue, 1, 7, 155, // Skip to: 40641
+/* 954 */     MCD_OPC_Decode, 170, 7, 0, // Opcode: LDAXPX
 /* 958 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 972
-/* 962 */     MCD_OPC_CheckField, 15, 1, 1, 21, 155, // Skip to: 40669
-/* 968 */     MCD_OPC_Decode, 186, 14, 0, // Opcode: STLRX
-/* 972 */     MCD_OPC_FilterValue, 6, 13, 155, // Skip to: 40669
-/* 976 */     MCD_OPC_CheckField, 15, 1, 1, 7, 155, // Skip to: 40669
-/* 982 */     MCD_OPC_Decode, 166, 7, 0, // Opcode: LDARX
+/* 962 */     MCD_OPC_CheckField, 15, 1, 1, 249, 154, // Skip to: 40641
+/* 968 */     MCD_OPC_Decode, 188, 14, 0, // Opcode: STLRX
+/* 972 */     MCD_OPC_FilterValue, 6, 241, 154, // Skip to: 40641
+/* 976 */     MCD_OPC_CheckField, 15, 1, 1, 235, 154, // Skip to: 40641
+/* 982 */     MCD_OPC_Decode, 168, 7, 0, // Opcode: LDARX
 /* 986 */     MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 1009
 /* 990 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 993 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1001
-/* 997 */     MCD_OPC_Decode, 169, 2, 1, // Opcode: EORXrs
-/* 1001 */    MCD_OPC_FilterValue, 1, 240, 154, // Skip to: 40669
-/* 1005 */    MCD_OPC_Decode, 163, 2, 1, // Opcode: EONXrs
-/* 1009 */    MCD_OPC_FilterValue, 3, 232, 154, // Skip to: 40669
+/* 997 */     MCD_OPC_Decode, 171, 2, 1, // Opcode: EORXrs
+/* 1001 */    MCD_OPC_FilterValue, 1, 212, 154, // Skip to: 40641
+/* 1005 */    MCD_OPC_Decode, 165, 2, 1, // Opcode: EONXrs
+/* 1009 */    MCD_OPC_FilterValue, 3, 204, 154, // Skip to: 40641
 /* 1013 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 1016 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1024
-/* 1020 */    MCD_OPC_Decode, 170, 15, 1, // Opcode: SUBXrs
-/* 1024 */    MCD_OPC_FilterValue, 1, 217, 154, // Skip to: 40669
+/* 1020 */    MCD_OPC_Decode, 172, 15, 1, // Opcode: SUBXrs
+/* 1024 */    MCD_OPC_FilterValue, 1, 189, 154, // Skip to: 40641
 /* 1028 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 1031 */    MCD_OPC_FilterValue, 0, 210, 154, // Skip to: 40669
+/* 1031 */    MCD_OPC_FilterValue, 0, 182, 154, // Skip to: 40641
 /* 1035 */    MCD_OPC_CheckField, 13, 2, 3, 4, 0, // Skip to: 1045
-/* 1041 */    MCD_OPC_Decode, 172, 15, 2, // Opcode: SUBXrx64
-/* 1045 */    MCD_OPC_Decode, 171, 15, 2, // Opcode: SUBXrx
-/* 1049 */    MCD_OPC_FilterValue, 7, 192, 154, // Skip to: 40669
+/* 1041 */    MCD_OPC_Decode, 174, 15, 2, // Opcode: SUBXrx64
+/* 1045 */    MCD_OPC_Decode, 173, 15, 2, // Opcode: SUBXrx
+/* 1049 */    MCD_OPC_FilterValue, 7, 164, 154, // Skip to: 40641
 /* 1053 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 1056 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 1078
 /* 1060 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 1063 */    MCD_OPC_FilterValue, 2, 3, 0, // Skip to: 1070
-/* 1067 */    MCD_OPC_Decode, 90, 1, // Opcode: ANDSXrs
-/* 1070 */    MCD_OPC_FilterValue, 3, 171, 154, // Skip to: 40669
-/* 1074 */    MCD_OPC_Decode, 161, 15, 1, // Opcode: SUBSXrs
-/* 1078 */    MCD_OPC_FilterValue, 1, 163, 154, // Skip to: 40669
+/* 1067 */    MCD_OPC_Decode, 92, 1, // Opcode: ANDSXrs
+/* 1070 */    MCD_OPC_FilterValue, 3, 143, 154, // Skip to: 40641
+/* 1074 */    MCD_OPC_Decode, 163, 15, 1, // Opcode: SUBSXrs
+/* 1078 */    MCD_OPC_FilterValue, 1, 135, 154, // Skip to: 40641
 /* 1082 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 1085 */    MCD_OPC_FilterValue, 2, 3, 0, // Skip to: 1092
-/* 1089 */    MCD_OPC_Decode, 107, 1, // Opcode: BICSXrs
-/* 1092 */    MCD_OPC_FilterValue, 3, 149, 154, // Skip to: 40669
+/* 1089 */    MCD_OPC_Decode, 109, 1, // Opcode: BICSXrs
+/* 1092 */    MCD_OPC_FilterValue, 3, 121, 154, // Skip to: 40641
 /* 1096 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 1099 */    MCD_OPC_FilterValue, 0, 142, 154, // Skip to: 40669
+/* 1099 */    MCD_OPC_FilterValue, 0, 114, 154, // Skip to: 40641
 /* 1103 */    MCD_OPC_CheckField, 13, 2, 3, 4, 0, // Skip to: 1113
-/* 1109 */    MCD_OPC_Decode, 163, 15, 2, // Opcode: SUBSXrx64
-/* 1113 */    MCD_OPC_Decode, 162, 15, 2, // Opcode: SUBSXrx
-/* 1117 */    MCD_OPC_FilterValue, 3, 234, 110, // Skip to: 29515
+/* 1109 */    MCD_OPC_Decode, 165, 15, 2, // Opcode: SUBSXrx64
+/* 1113 */    MCD_OPC_Decode, 164, 15, 2, // Opcode: SUBSXrx
+/* 1117 */    MCD_OPC_FilterValue, 3, 236, 110, // Skip to: 29517
 /* 1121 */    MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
 /* 1124 */    MCD_OPC_FilterValue, 0, 165, 2, // Skip to: 1805
 /* 1128 */    MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 1131 */    MCD_OPC_FilterValue, 0, 47, 1, // Skip to: 1438
 /* 1135 */    MCD_OPC_ExtractField, 10, 12,  // Inst{21-10} ...
 /* 1138 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1150
-/* 1142 */    MCD_OPC_CheckPredicate, 0, 99, 154, // Skip to: 40669
-/* 1146 */    MCD_OPC_Decode, 171, 14, 4, // Opcode: ST4Fourv8b
+/* 1142 */    MCD_OPC_CheckPredicate, 0, 71, 154, // Skip to: 40641
+/* 1146 */    MCD_OPC_Decode, 173, 14, 4, // Opcode: ST4Fourv8b
 /* 1150 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1162
-/* 1154 */    MCD_OPC_CheckPredicate, 0, 87, 154, // Skip to: 40669
-/* 1158 */    MCD_OPC_Decode, 167, 14, 4, // Opcode: ST4Fourv4h
+/* 1154 */    MCD_OPC_CheckPredicate, 0, 59, 154, // Skip to: 40641
+/* 1158 */    MCD_OPC_Decode, 169, 14, 4, // Opcode: ST4Fourv4h
 /* 1162 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1174
-/* 1166 */    MCD_OPC_CheckPredicate, 0, 75, 154, // Skip to: 40669
-/* 1170 */    MCD_OPC_Decode, 165, 14, 4, // Opcode: ST4Fourv2s
+/* 1166 */    MCD_OPC_CheckPredicate, 0, 47, 154, // Skip to: 40641
+/* 1170 */    MCD_OPC_Decode, 167, 14, 4, // Opcode: ST4Fourv2s
 /* 1174 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1186
-/* 1178 */    MCD_OPC_CheckPredicate, 0, 63, 154, // Skip to: 40669
-/* 1182 */    MCD_OPC_Decode, 185, 13, 4, // Opcode: ST1Fourv8b
+/* 1178 */    MCD_OPC_CheckPredicate, 0, 35, 154, // Skip to: 40641
+/* 1182 */    MCD_OPC_Decode, 187, 13, 4, // Opcode: ST1Fourv8b
 /* 1186 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1198
-/* 1190 */    MCD_OPC_CheckPredicate, 0, 51, 154, // Skip to: 40669
-/* 1194 */    MCD_OPC_Decode, 181, 13, 4, // Opcode: ST1Fourv4h
+/* 1190 */    MCD_OPC_CheckPredicate, 0, 23, 154, // Skip to: 40641
+/* 1194 */    MCD_OPC_Decode, 183, 13, 4, // Opcode: ST1Fourv4h
 /* 1198 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1210
-/* 1202 */    MCD_OPC_CheckPredicate, 0, 39, 154, // Skip to: 40669
-/* 1206 */    MCD_OPC_Decode, 179, 13, 4, // Opcode: ST1Fourv2s
+/* 1202 */    MCD_OPC_CheckPredicate, 0, 11, 154, // Skip to: 40641
+/* 1206 */    MCD_OPC_Decode, 181, 13, 4, // Opcode: ST1Fourv2s
 /* 1210 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1222
-/* 1214 */    MCD_OPC_CheckPredicate, 0, 27, 154, // Skip to: 40669
-/* 1218 */    MCD_OPC_Decode, 175, 13, 4, // Opcode: ST1Fourv1d
+/* 1214 */    MCD_OPC_CheckPredicate, 0, 255, 153, // Skip to: 40641
+/* 1218 */    MCD_OPC_Decode, 177, 13, 4, // Opcode: ST1Fourv1d
 /* 1222 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 1234
-/* 1226 */    MCD_OPC_CheckPredicate, 0, 15, 154, // Skip to: 40669
-/* 1230 */    MCD_OPC_Decode, 149, 14, 5, // Opcode: ST3Threev8b
+/* 1226 */    MCD_OPC_CheckPredicate, 0, 243, 153, // Skip to: 40641
+/* 1230 */    MCD_OPC_Decode, 151, 14, 5, // Opcode: ST3Threev8b
 /* 1234 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1246
-/* 1238 */    MCD_OPC_CheckPredicate, 0, 3, 154, // Skip to: 40669
-/* 1242 */    MCD_OPC_Decode, 145, 14, 5, // Opcode: ST3Threev4h
+/* 1238 */    MCD_OPC_CheckPredicate, 0, 231, 153, // Skip to: 40641
+/* 1242 */    MCD_OPC_Decode, 147, 14, 5, // Opcode: ST3Threev4h
 /* 1246 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 1258
-/* 1250 */    MCD_OPC_CheckPredicate, 0, 247, 153, // Skip to: 40669
-/* 1254 */    MCD_OPC_Decode, 143, 14, 5, // Opcode: ST3Threev2s
+/* 1250 */    MCD_OPC_CheckPredicate, 0, 219, 153, // Skip to: 40641
+/* 1254 */    MCD_OPC_Decode, 145, 14, 5, // Opcode: ST3Threev2s
 /* 1258 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 1270
-/* 1262 */    MCD_OPC_CheckPredicate, 0, 235, 153, // Skip to: 40669
-/* 1266 */    MCD_OPC_Decode, 217, 13, 5, // Opcode: ST1Threev8b
+/* 1262 */    MCD_OPC_CheckPredicate, 0, 207, 153, // Skip to: 40641
+/* 1266 */    MCD_OPC_Decode, 219, 13, 5, // Opcode: ST1Threev8b
 /* 1270 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 1282
-/* 1274 */    MCD_OPC_CheckPredicate, 0, 223, 153, // Skip to: 40669
-/* 1278 */    MCD_OPC_Decode, 213, 13, 5, // Opcode: ST1Threev4h
+/* 1274 */    MCD_OPC_CheckPredicate, 0, 195, 153, // Skip to: 40641
+/* 1278 */    MCD_OPC_Decode, 215, 13, 5, // Opcode: ST1Threev4h
 /* 1282 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 1294
-/* 1286 */    MCD_OPC_CheckPredicate, 0, 211, 153, // Skip to: 40669
-/* 1290 */    MCD_OPC_Decode, 211, 13, 5, // Opcode: ST1Threev2s
+/* 1286 */    MCD_OPC_CheckPredicate, 0, 183, 153, // Skip to: 40641
+/* 1290 */    MCD_OPC_Decode, 213, 13, 5, // Opcode: ST1Threev2s
 /* 1294 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 1306
-/* 1298 */    MCD_OPC_CheckPredicate, 0, 199, 153, // Skip to: 40669
-/* 1302 */    MCD_OPC_Decode, 207, 13, 5, // Opcode: ST1Threev1d
+/* 1298 */    MCD_OPC_CheckPredicate, 0, 171, 153, // Skip to: 40641
+/* 1302 */    MCD_OPC_Decode, 209, 13, 5, // Opcode: ST1Threev1d
 /* 1306 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 1318
-/* 1310 */    MCD_OPC_CheckPredicate, 0, 187, 153, // Skip to: 40669
-/* 1314 */    MCD_OPC_Decode, 201, 13, 6, // Opcode: ST1Onev8b
+/* 1310 */    MCD_OPC_CheckPredicate, 0, 159, 153, // Skip to: 40641
+/* 1314 */    MCD_OPC_Decode, 203, 13, 6, // Opcode: ST1Onev8b
 /* 1318 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 1330
-/* 1322 */    MCD_OPC_CheckPredicate, 0, 175, 153, // Skip to: 40669
-/* 1326 */    MCD_OPC_Decode, 197, 13, 6, // Opcode: ST1Onev4h
+/* 1322 */    MCD_OPC_CheckPredicate, 0, 147, 153, // Skip to: 40641
+/* 1326 */    MCD_OPC_Decode, 199, 13, 6, // Opcode: ST1Onev4h
 /* 1330 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 1342
-/* 1334 */    MCD_OPC_CheckPredicate, 0, 163, 153, // Skip to: 40669
-/* 1338 */    MCD_OPC_Decode, 195, 13, 6, // Opcode: ST1Onev2s
+/* 1334 */    MCD_OPC_CheckPredicate, 0, 135, 153, // Skip to: 40641
+/* 1338 */    MCD_OPC_Decode, 197, 13, 6, // Opcode: ST1Onev2s
 /* 1342 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 1354
-/* 1346 */    MCD_OPC_CheckPredicate, 0, 151, 153, // Skip to: 40669
-/* 1350 */    MCD_OPC_Decode, 191, 13, 6, // Opcode: ST1Onev1d
+/* 1346 */    MCD_OPC_CheckPredicate, 0, 123, 153, // Skip to: 40641
+/* 1350 */    MCD_OPC_Decode, 193, 13, 6, // Opcode: ST1Onev1d
 /* 1354 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 1366
-/* 1358 */    MCD_OPC_CheckPredicate, 0, 139, 153, // Skip to: 40669
-/* 1362 */    MCD_OPC_Decode, 255, 13, 7, // Opcode: ST2Twov8b
+/* 1358 */    MCD_OPC_CheckPredicate, 0, 111, 153, // Skip to: 40641
+/* 1362 */    MCD_OPC_Decode, 129, 14, 7, // Opcode: ST2Twov8b
 /* 1366 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 1378
-/* 1370 */    MCD_OPC_CheckPredicate, 0, 127, 153, // Skip to: 40669
-/* 1374 */    MCD_OPC_Decode, 251, 13, 7, // Opcode: ST2Twov4h
+/* 1370 */    MCD_OPC_CheckPredicate, 0, 99, 153, // Skip to: 40641
+/* 1374 */    MCD_OPC_Decode, 253, 13, 7, // Opcode: ST2Twov4h
 /* 1378 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 1390
-/* 1382 */    MCD_OPC_CheckPredicate, 0, 115, 153, // Skip to: 40669
-/* 1386 */    MCD_OPC_Decode, 249, 13, 7, // Opcode: ST2Twov2s
+/* 1382 */    MCD_OPC_CheckPredicate, 0, 87, 153, // Skip to: 40641
+/* 1386 */    MCD_OPC_Decode, 251, 13, 7, // Opcode: ST2Twov2s
 /* 1390 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 1402
-/* 1394 */    MCD_OPC_CheckPredicate, 0, 103, 153, // Skip to: 40669
-/* 1398 */    MCD_OPC_Decode, 233, 13, 7, // Opcode: ST1Twov8b
+/* 1394 */    MCD_OPC_CheckPredicate, 0, 75, 153, // Skip to: 40641
+/* 1398 */    MCD_OPC_Decode, 235, 13, 7, // Opcode: ST1Twov8b
 /* 1402 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 1414
-/* 1406 */    MCD_OPC_CheckPredicate, 0, 91, 153, // Skip to: 40669
-/* 1410 */    MCD_OPC_Decode, 229, 13, 7, // Opcode: ST1Twov4h
+/* 1406 */    MCD_OPC_CheckPredicate, 0, 63, 153, // Skip to: 40641
+/* 1410 */    MCD_OPC_Decode, 231, 13, 7, // Opcode: ST1Twov4h
 /* 1414 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 1426
-/* 1418 */    MCD_OPC_CheckPredicate, 0, 79, 153, // Skip to: 40669
-/* 1422 */    MCD_OPC_Decode, 227, 13, 7, // Opcode: ST1Twov2s
-/* 1426 */    MCD_OPC_FilterValue, 43, 71, 153, // Skip to: 40669
-/* 1430 */    MCD_OPC_CheckPredicate, 0, 67, 153, // Skip to: 40669
-/* 1434 */    MCD_OPC_Decode, 223, 13, 7, // Opcode: ST1Twov1d
+/* 1418 */    MCD_OPC_CheckPredicate, 0, 51, 153, // Skip to: 40641
+/* 1422 */    MCD_OPC_Decode, 229, 13, 7, // Opcode: ST1Twov2s
+/* 1426 */    MCD_OPC_FilterValue, 43, 43, 153, // Skip to: 40641
+/* 1430 */    MCD_OPC_CheckPredicate, 0, 39, 153, // Skip to: 40641
+/* 1434 */    MCD_OPC_Decode, 225, 13, 7, // Opcode: ST1Twov1d
 /* 1438 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1446
-/* 1442 */    MCD_OPC_Decode, 195, 14, 3, // Opcode: STNPSi
+/* 1442 */    MCD_OPC_Decode, 197, 14, 3, // Opcode: STNPSi
 /* 1446 */    MCD_OPC_FilterValue, 2, 83, 1, // Skip to: 1789
 /* 1450 */    MCD_OPC_ExtractField, 10, 12,  // Inst{21-10} ...
 /* 1453 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1465
-/* 1457 */    MCD_OPC_CheckPredicate, 0, 40, 153, // Skip to: 40669
-/* 1461 */    MCD_OPC_Decode, 161, 14, 8, // Opcode: ST4Fourv16b
+/* 1457 */    MCD_OPC_CheckPredicate, 0, 12, 153, // Skip to: 40641
+/* 1461 */    MCD_OPC_Decode, 163, 14, 8, // Opcode: ST4Fourv16b
 /* 1465 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1477
-/* 1469 */    MCD_OPC_CheckPredicate, 0, 28, 153, // Skip to: 40669
-/* 1473 */    MCD_OPC_Decode, 173, 14, 8, // Opcode: ST4Fourv8h
+/* 1469 */    MCD_OPC_CheckPredicate, 0, 0, 153, // Skip to: 40641
+/* 1473 */    MCD_OPC_Decode, 175, 14, 8, // Opcode: ST4Fourv8h
 /* 1477 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1489
-/* 1481 */    MCD_OPC_CheckPredicate, 0, 16, 153, // Skip to: 40669
-/* 1485 */    MCD_OPC_Decode, 169, 14, 8, // Opcode: ST4Fourv4s
+/* 1481 */    MCD_OPC_CheckPredicate, 0, 244, 152, // Skip to: 40641
+/* 1485 */    MCD_OPC_Decode, 171, 14, 8, // Opcode: ST4Fourv4s
 /* 1489 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1501
-/* 1493 */    MCD_OPC_CheckPredicate, 0, 4, 153, // Skip to: 40669
-/* 1497 */    MCD_OPC_Decode, 163, 14, 8, // Opcode: ST4Fourv2d
+/* 1493 */    MCD_OPC_CheckPredicate, 0, 232, 152, // Skip to: 40641
+/* 1497 */    MCD_OPC_Decode, 165, 14, 8, // Opcode: ST4Fourv2d
 /* 1501 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1513
-/* 1505 */    MCD_OPC_CheckPredicate, 0, 248, 152, // Skip to: 40669
-/* 1509 */    MCD_OPC_Decode, 173, 13, 8, // Opcode: ST1Fourv16b
+/* 1505 */    MCD_OPC_CheckPredicate, 0, 220, 152, // Skip to: 40641
+/* 1509 */    MCD_OPC_Decode, 175, 13, 8, // Opcode: ST1Fourv16b
 /* 1513 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1525
-/* 1517 */    MCD_OPC_CheckPredicate, 0, 236, 152, // Skip to: 40669
-/* 1521 */    MCD_OPC_Decode, 187, 13, 8, // Opcode: ST1Fourv8h
+/* 1517 */    MCD_OPC_CheckPredicate, 0, 208, 152, // Skip to: 40641
+/* 1521 */    MCD_OPC_Decode, 189, 13, 8, // Opcode: ST1Fourv8h
 /* 1525 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1537
-/* 1529 */    MCD_OPC_CheckPredicate, 0, 224, 152, // Skip to: 40669
-/* 1533 */    MCD_OPC_Decode, 183, 13, 8, // Opcode: ST1Fourv4s
+/* 1529 */    MCD_OPC_CheckPredicate, 0, 196, 152, // Skip to: 40641
+/* 1533 */    MCD_OPC_Decode, 185, 13, 8, // Opcode: ST1Fourv4s
 /* 1537 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1549
-/* 1541 */    MCD_OPC_CheckPredicate, 0, 212, 152, // Skip to: 40669
-/* 1545 */    MCD_OPC_Decode, 177, 13, 8, // Opcode: ST1Fourv2d
+/* 1541 */    MCD_OPC_CheckPredicate, 0, 184, 152, // Skip to: 40641
+/* 1545 */    MCD_OPC_Decode, 179, 13, 8, // Opcode: ST1Fourv2d
 /* 1549 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 1561
-/* 1553 */    MCD_OPC_CheckPredicate, 0, 200, 152, // Skip to: 40669
-/* 1557 */    MCD_OPC_Decode, 139, 14, 9, // Opcode: ST3Threev16b
+/* 1553 */    MCD_OPC_CheckPredicate, 0, 172, 152, // Skip to: 40641
+/* 1557 */    MCD_OPC_Decode, 141, 14, 9, // Opcode: ST3Threev16b
 /* 1561 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1573
-/* 1565 */    MCD_OPC_CheckPredicate, 0, 188, 152, // Skip to: 40669
-/* 1569 */    MCD_OPC_Decode, 151, 14, 9, // Opcode: ST3Threev8h
+/* 1565 */    MCD_OPC_CheckPredicate, 0, 160, 152, // Skip to: 40641
+/* 1569 */    MCD_OPC_Decode, 153, 14, 9, // Opcode: ST3Threev8h
 /* 1573 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 1585
-/* 1577 */    MCD_OPC_CheckPredicate, 0, 176, 152, // Skip to: 40669
-/* 1581 */    MCD_OPC_Decode, 147, 14, 9, // Opcode: ST3Threev4s
+/* 1577 */    MCD_OPC_CheckPredicate, 0, 148, 152, // Skip to: 40641
+/* 1581 */    MCD_OPC_Decode, 149, 14, 9, // Opcode: ST3Threev4s
 /* 1585 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 1597
-/* 1589 */    MCD_OPC_CheckPredicate, 0, 164, 152, // Skip to: 40669
-/* 1593 */    MCD_OPC_Decode, 141, 14, 9, // Opcode: ST3Threev2d
+/* 1589 */    MCD_OPC_CheckPredicate, 0, 136, 152, // Skip to: 40641
+/* 1593 */    MCD_OPC_Decode, 143, 14, 9, // Opcode: ST3Threev2d
 /* 1597 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 1609
-/* 1601 */    MCD_OPC_CheckPredicate, 0, 152, 152, // Skip to: 40669
-/* 1605 */    MCD_OPC_Decode, 205, 13, 9, // Opcode: ST1Threev16b
+/* 1601 */    MCD_OPC_CheckPredicate, 0, 124, 152, // Skip to: 40641
+/* 1605 */    MCD_OPC_Decode, 207, 13, 9, // Opcode: ST1Threev16b
 /* 1609 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 1621
-/* 1613 */    MCD_OPC_CheckPredicate, 0, 140, 152, // Skip to: 40669
-/* 1617 */    MCD_OPC_Decode, 219, 13, 9, // Opcode: ST1Threev8h
+/* 1613 */    MCD_OPC_CheckPredicate, 0, 112, 152, // Skip to: 40641
+/* 1617 */    MCD_OPC_Decode, 221, 13, 9, // Opcode: ST1Threev8h
 /* 1621 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 1633
-/* 1625 */    MCD_OPC_CheckPredicate, 0, 128, 152, // Skip to: 40669
-/* 1629 */    MCD_OPC_Decode, 215, 13, 9, // Opcode: ST1Threev4s
+/* 1625 */    MCD_OPC_CheckPredicate, 0, 100, 152, // Skip to: 40641
+/* 1629 */    MCD_OPC_Decode, 217, 13, 9, // Opcode: ST1Threev4s
 /* 1633 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 1645
-/* 1637 */    MCD_OPC_CheckPredicate, 0, 116, 152, // Skip to: 40669
-/* 1641 */    MCD_OPC_Decode, 209, 13, 9, // Opcode: ST1Threev2d
+/* 1637 */    MCD_OPC_CheckPredicate, 0, 88, 152, // Skip to: 40641
+/* 1641 */    MCD_OPC_Decode, 211, 13, 9, // Opcode: ST1Threev2d
 /* 1645 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 1657
-/* 1649 */    MCD_OPC_CheckPredicate, 0, 104, 152, // Skip to: 40669
-/* 1653 */    MCD_OPC_Decode, 189, 13, 10, // Opcode: ST1Onev16b
+/* 1649 */    MCD_OPC_CheckPredicate, 0, 76, 152, // Skip to: 40641
+/* 1653 */    MCD_OPC_Decode, 191, 13, 10, // Opcode: ST1Onev16b
 /* 1657 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 1669
-/* 1661 */    MCD_OPC_CheckPredicate, 0, 92, 152, // Skip to: 40669
-/* 1665 */    MCD_OPC_Decode, 203, 13, 10, // Opcode: ST1Onev8h
+/* 1661 */    MCD_OPC_CheckPredicate, 0, 64, 152, // Skip to: 40641
+/* 1665 */    MCD_OPC_Decode, 205, 13, 10, // Opcode: ST1Onev8h
 /* 1669 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 1681
-/* 1673 */    MCD_OPC_CheckPredicate, 0, 80, 152, // Skip to: 40669
-/* 1677 */    MCD_OPC_Decode, 199, 13, 10, // Opcode: ST1Onev4s
+/* 1673 */    MCD_OPC_CheckPredicate, 0, 52, 152, // Skip to: 40641
+/* 1677 */    MCD_OPC_Decode, 201, 13, 10, // Opcode: ST1Onev4s
 /* 1681 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 1693
-/* 1685 */    MCD_OPC_CheckPredicate, 0, 68, 152, // Skip to: 40669
-/* 1689 */    MCD_OPC_Decode, 193, 13, 10, // Opcode: ST1Onev2d
+/* 1685 */    MCD_OPC_CheckPredicate, 0, 40, 152, // Skip to: 40641
+/* 1689 */    MCD_OPC_Decode, 195, 13, 10, // Opcode: ST1Onev2d
 /* 1693 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 1705
-/* 1697 */    MCD_OPC_CheckPredicate, 0, 56, 152, // Skip to: 40669
-/* 1701 */    MCD_OPC_Decode, 245, 13, 11, // Opcode: ST2Twov16b
+/* 1697 */    MCD_OPC_CheckPredicate, 0, 28, 152, // Skip to: 40641
+/* 1701 */    MCD_OPC_Decode, 247, 13, 11, // Opcode: ST2Twov16b
 /* 1705 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 1717
-/* 1709 */    MCD_OPC_CheckPredicate, 0, 44, 152, // Skip to: 40669
-/* 1713 */    MCD_OPC_Decode, 129, 14, 11, // Opcode: ST2Twov8h
+/* 1709 */    MCD_OPC_CheckPredicate, 0, 16, 152, // Skip to: 40641
+/* 1713 */    MCD_OPC_Decode, 131, 14, 11, // Opcode: ST2Twov8h
 /* 1717 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 1729
-/* 1721 */    MCD_OPC_CheckPredicate, 0, 32, 152, // Skip to: 40669
-/* 1725 */    MCD_OPC_Decode, 253, 13, 11, // Opcode: ST2Twov4s
+/* 1721 */    MCD_OPC_CheckPredicate, 0, 4, 152, // Skip to: 40641
+/* 1725 */    MCD_OPC_Decode, 255, 13, 11, // Opcode: ST2Twov4s
 /* 1729 */    MCD_OPC_FilterValue, 35, 8, 0, // Skip to: 1741
-/* 1733 */    MCD_OPC_CheckPredicate, 0, 20, 152, // Skip to: 40669
-/* 1737 */    MCD_OPC_Decode, 247, 13, 11, // Opcode: ST2Twov2d
+/* 1733 */    MCD_OPC_CheckPredicate, 0, 248, 151, // Skip to: 40641
+/* 1737 */    MCD_OPC_Decode, 249, 13, 11, // Opcode: ST2Twov2d
 /* 1741 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 1753
-/* 1745 */    MCD_OPC_CheckPredicate, 0, 8, 152, // Skip to: 40669
-/* 1749 */    MCD_OPC_Decode, 221, 13, 11, // Opcode: ST1Twov16b
+/* 1745 */    MCD_OPC_CheckPredicate, 0, 236, 151, // Skip to: 40641
+/* 1749 */    MCD_OPC_Decode, 223, 13, 11, // Opcode: ST1Twov16b
 /* 1753 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 1765
-/* 1757 */    MCD_OPC_CheckPredicate, 0, 252, 151, // Skip to: 40669
-/* 1761 */    MCD_OPC_Decode, 235, 13, 11, // Opcode: ST1Twov8h
+/* 1757 */    MCD_OPC_CheckPredicate, 0, 224, 151, // Skip to: 40641
+/* 1761 */    MCD_OPC_Decode, 237, 13, 11, // Opcode: ST1Twov8h
 /* 1765 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 1777
-/* 1769 */    MCD_OPC_CheckPredicate, 0, 240, 151, // Skip to: 40669
-/* 1773 */    MCD_OPC_Decode, 231, 13, 11, // Opcode: ST1Twov4s
-/* 1777 */    MCD_OPC_FilterValue, 43, 232, 151, // Skip to: 40669
-/* 1781 */    MCD_OPC_CheckPredicate, 0, 228, 151, // Skip to: 40669
-/* 1785 */    MCD_OPC_Decode, 225, 13, 11, // Opcode: ST1Twov2d
+/* 1769 */    MCD_OPC_CheckPredicate, 0, 212, 151, // Skip to: 40641
+/* 1773 */    MCD_OPC_Decode, 233, 13, 11, // Opcode: ST1Twov4s
+/* 1777 */    MCD_OPC_FilterValue, 43, 204, 151, // Skip to: 40641
+/* 1781 */    MCD_OPC_CheckPredicate, 0, 200, 151, // Skip to: 40641
+/* 1785 */    MCD_OPC_Decode, 227, 13, 11, // Opcode: ST1Twov2d
 /* 1789 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 1797
-/* 1793 */    MCD_OPC_Decode, 193, 14, 3, // Opcode: STNPDi
-/* 1797 */    MCD_OPC_FilterValue, 5, 212, 151, // Skip to: 40669
-/* 1801 */    MCD_OPC_Decode, 194, 14, 3, // Opcode: STNPQi
+/* 1793 */    MCD_OPC_Decode, 195, 14, 3, // Opcode: STNPDi
+/* 1797 */    MCD_OPC_FilterValue, 5, 184, 151, // Skip to: 40641
+/* 1801 */    MCD_OPC_Decode, 196, 14, 3, // Opcode: STNPQi
 /* 1805 */    MCD_OPC_FilterValue, 1, 165, 2, // Skip to: 2486
 /* 1809 */    MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 1812 */    MCD_OPC_FilterValue, 0, 47, 1, // Skip to: 2119
 /* 1816 */    MCD_OPC_ExtractField, 10, 12,  // Inst{21-10} ...
 /* 1819 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1831
-/* 1823 */    MCD_OPC_CheckPredicate, 0, 186, 151, // Skip to: 40669
-/* 1827 */    MCD_OPC_Decode, 135, 7, 4, // Opcode: LD4Fourv8b
+/* 1823 */    MCD_OPC_CheckPredicate, 0, 158, 151, // Skip to: 40641
+/* 1827 */    MCD_OPC_Decode, 137, 7, 4, // Opcode: LD4Fourv8b
 /* 1831 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1843
-/* 1835 */    MCD_OPC_CheckPredicate, 0, 174, 151, // Skip to: 40669
-/* 1839 */    MCD_OPC_Decode, 131, 7, 4, // Opcode: LD4Fourv4h
+/* 1835 */    MCD_OPC_CheckPredicate, 0, 146, 151, // Skip to: 40641
+/* 1839 */    MCD_OPC_Decode, 133, 7, 4, // Opcode: LD4Fourv4h
 /* 1843 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1855
-/* 1847 */    MCD_OPC_CheckPredicate, 0, 162, 151, // Skip to: 40669
-/* 1851 */    MCD_OPC_Decode, 129, 7, 4, // Opcode: LD4Fourv2s
+/* 1847 */    MCD_OPC_CheckPredicate, 0, 134, 151, // Skip to: 40641
+/* 1851 */    MCD_OPC_Decode, 131, 7, 4, // Opcode: LD4Fourv2s
 /* 1855 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1867
-/* 1859 */    MCD_OPC_CheckPredicate, 0, 150, 151, // Skip to: 40669
-/* 1863 */    MCD_OPC_Decode, 229, 5, 4, // Opcode: LD1Fourv8b
+/* 1859 */    MCD_OPC_CheckPredicate, 0, 122, 151, // Skip to: 40641
+/* 1863 */    MCD_OPC_Decode, 231, 5, 4, // Opcode: LD1Fourv8b
 /* 1867 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1879
-/* 1871 */    MCD_OPC_CheckPredicate, 0, 138, 151, // Skip to: 40669
-/* 1875 */    MCD_OPC_Decode, 225, 5, 4, // Opcode: LD1Fourv4h
+/* 1871 */    MCD_OPC_CheckPredicate, 0, 110, 151, // Skip to: 40641
+/* 1875 */    MCD_OPC_Decode, 227, 5, 4, // Opcode: LD1Fourv4h
 /* 1879 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1891
-/* 1883 */    MCD_OPC_CheckPredicate, 0, 126, 151, // Skip to: 40669
-/* 1887 */    MCD_OPC_Decode, 223, 5, 4, // Opcode: LD1Fourv2s
+/* 1883 */    MCD_OPC_CheckPredicate, 0, 98, 151, // Skip to: 40641
+/* 1887 */    MCD_OPC_Decode, 225, 5, 4, // Opcode: LD1Fourv2s
 /* 1891 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1903
-/* 1895 */    MCD_OPC_CheckPredicate, 0, 114, 151, // Skip to: 40669
-/* 1899 */    MCD_OPC_Decode, 219, 5, 4, // Opcode: LD1Fourv1d
+/* 1895 */    MCD_OPC_CheckPredicate, 0, 86, 151, // Skip to: 40641
+/* 1899 */    MCD_OPC_Decode, 221, 5, 4, // Opcode: LD1Fourv1d
 /* 1903 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 1915
-/* 1907 */    MCD_OPC_CheckPredicate, 0, 102, 151, // Skip to: 40669
-/* 1911 */    MCD_OPC_Decode, 241, 6, 5, // Opcode: LD3Threev8b
+/* 1907 */    MCD_OPC_CheckPredicate, 0, 74, 151, // Skip to: 40641
+/* 1911 */    MCD_OPC_Decode, 243, 6, 5, // Opcode: LD3Threev8b
 /* 1915 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1927
-/* 1919 */    MCD_OPC_CheckPredicate, 0, 90, 151, // Skip to: 40669
-/* 1923 */    MCD_OPC_Decode, 237, 6, 5, // Opcode: LD3Threev4h
+/* 1919 */    MCD_OPC_CheckPredicate, 0, 62, 151, // Skip to: 40641
+/* 1923 */    MCD_OPC_Decode, 239, 6, 5, // Opcode: LD3Threev4h
 /* 1927 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 1939
-/* 1931 */    MCD_OPC_CheckPredicate, 0, 78, 151, // Skip to: 40669
-/* 1935 */    MCD_OPC_Decode, 235, 6, 5, // Opcode: LD3Threev2s
+/* 1931 */    MCD_OPC_CheckPredicate, 0, 50, 151, // Skip to: 40641
+/* 1935 */    MCD_OPC_Decode, 237, 6, 5, // Opcode: LD3Threev2s
 /* 1939 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 1951
-/* 1943 */    MCD_OPC_CheckPredicate, 0, 66, 151, // Skip to: 40669
-/* 1947 */    MCD_OPC_Decode, 149, 6, 5, // Opcode: LD1Threev8b
+/* 1943 */    MCD_OPC_CheckPredicate, 0, 38, 151, // Skip to: 40641
+/* 1947 */    MCD_OPC_Decode, 151, 6, 5, // Opcode: LD1Threev8b
 /* 1951 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 1963
-/* 1955 */    MCD_OPC_CheckPredicate, 0, 54, 151, // Skip to: 40669
-/* 1959 */    MCD_OPC_Decode, 145, 6, 5, // Opcode: LD1Threev4h
+/* 1955 */    MCD_OPC_CheckPredicate, 0, 26, 151, // Skip to: 40641
+/* 1959 */    MCD_OPC_Decode, 147, 6, 5, // Opcode: LD1Threev4h
 /* 1963 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 1975
-/* 1967 */    MCD_OPC_CheckPredicate, 0, 42, 151, // Skip to: 40669
-/* 1971 */    MCD_OPC_Decode, 143, 6, 5, // Opcode: LD1Threev2s
+/* 1967 */    MCD_OPC_CheckPredicate, 0, 14, 151, // Skip to: 40641
+/* 1971 */    MCD_OPC_Decode, 145, 6, 5, // Opcode: LD1Threev2s
 /* 1975 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 1987
-/* 1979 */    MCD_OPC_CheckPredicate, 0, 30, 151, // Skip to: 40669
-/* 1983 */    MCD_OPC_Decode, 139, 6, 5, // Opcode: LD1Threev1d
+/* 1979 */    MCD_OPC_CheckPredicate, 0, 2, 151, // Skip to: 40641
+/* 1983 */    MCD_OPC_Decode, 141, 6, 5, // Opcode: LD1Threev1d
 /* 1987 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 1999
-/* 1991 */    MCD_OPC_CheckPredicate, 0, 18, 151, // Skip to: 40669
-/* 1995 */    MCD_OPC_Decode, 245, 5, 6, // Opcode: LD1Onev8b
+/* 1991 */    MCD_OPC_CheckPredicate, 0, 246, 150, // Skip to: 40641
+/* 1995 */    MCD_OPC_Decode, 247, 5, 6, // Opcode: LD1Onev8b
 /* 1999 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 2011
-/* 2003 */    MCD_OPC_CheckPredicate, 0, 6, 151, // Skip to: 40669
-/* 2007 */    MCD_OPC_Decode, 241, 5, 6, // Opcode: LD1Onev4h
+/* 2003 */    MCD_OPC_CheckPredicate, 0, 234, 150, // Skip to: 40641
+/* 2007 */    MCD_OPC_Decode, 243, 5, 6, // Opcode: LD1Onev4h
 /* 2011 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 2023
-/* 2015 */    MCD_OPC_CheckPredicate, 0, 250, 150, // Skip to: 40669
-/* 2019 */    MCD_OPC_Decode, 239, 5, 6, // Opcode: LD1Onev2s
+/* 2015 */    MCD_OPC_CheckPredicate, 0, 222, 150, // Skip to: 40641
+/* 2019 */    MCD_OPC_Decode, 241, 5, 6, // Opcode: LD1Onev2s
 /* 2023 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 2035
-/* 2027 */    MCD_OPC_CheckPredicate, 0, 238, 150, // Skip to: 40669
-/* 2031 */    MCD_OPC_Decode, 235, 5, 6, // Opcode: LD1Onev1d
+/* 2027 */    MCD_OPC_CheckPredicate, 0, 210, 150, // Skip to: 40641
+/* 2031 */    MCD_OPC_Decode, 237, 5, 6, // Opcode: LD1Onev1d
 /* 2035 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 2047
-/* 2039 */    MCD_OPC_CheckPredicate, 0, 226, 150, // Skip to: 40669
-/* 2043 */    MCD_OPC_Decode, 203, 6, 7, // Opcode: LD2Twov8b
+/* 2039 */    MCD_OPC_CheckPredicate, 0, 198, 150, // Skip to: 40641
+/* 2043 */    MCD_OPC_Decode, 205, 6, 7, // Opcode: LD2Twov8b
 /* 2047 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 2059
-/* 2051 */    MCD_OPC_CheckPredicate, 0, 214, 150, // Skip to: 40669
-/* 2055 */    MCD_OPC_Decode, 199, 6, 7, // Opcode: LD2Twov4h
+/* 2051 */    MCD_OPC_CheckPredicate, 0, 186, 150, // Skip to: 40641
+/* 2055 */    MCD_OPC_Decode, 201, 6, 7, // Opcode: LD2Twov4h
 /* 2059 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 2071
-/* 2063 */    MCD_OPC_CheckPredicate, 0, 202, 150, // Skip to: 40669
-/* 2067 */    MCD_OPC_Decode, 197, 6, 7, // Opcode: LD2Twov2s
+/* 2063 */    MCD_OPC_CheckPredicate, 0, 174, 150, // Skip to: 40641
+/* 2067 */    MCD_OPC_Decode, 199, 6, 7, // Opcode: LD2Twov2s
 /* 2071 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 2083
-/* 2075 */    MCD_OPC_CheckPredicate, 0, 190, 150, // Skip to: 40669
-/* 2079 */    MCD_OPC_Decode, 165, 6, 7, // Opcode: LD1Twov8b
+/* 2075 */    MCD_OPC_CheckPredicate, 0, 162, 150, // Skip to: 40641
+/* 2079 */    MCD_OPC_Decode, 167, 6, 7, // Opcode: LD1Twov8b
 /* 2083 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 2095
-/* 2087 */    MCD_OPC_CheckPredicate, 0, 178, 150, // Skip to: 40669
-/* 2091 */    MCD_OPC_Decode, 161, 6, 7, // Opcode: LD1Twov4h
+/* 2087 */    MCD_OPC_CheckPredicate, 0, 150, 150, // Skip to: 40641
+/* 2091 */    MCD_OPC_Decode, 163, 6, 7, // Opcode: LD1Twov4h
 /* 2095 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 2107
-/* 2099 */    MCD_OPC_CheckPredicate, 0, 166, 150, // Skip to: 40669
-/* 2103 */    MCD_OPC_Decode, 159, 6, 7, // Opcode: LD1Twov2s
-/* 2107 */    MCD_OPC_FilterValue, 43, 158, 150, // Skip to: 40669
-/* 2111 */    MCD_OPC_CheckPredicate, 0, 154, 150, // Skip to: 40669
-/* 2115 */    MCD_OPC_Decode, 155, 6, 7, // Opcode: LD1Twov1d
+/* 2099 */    MCD_OPC_CheckPredicate, 0, 138, 150, // Skip to: 40641
+/* 2103 */    MCD_OPC_Decode, 161, 6, 7, // Opcode: LD1Twov2s
+/* 2107 */    MCD_OPC_FilterValue, 43, 130, 150, // Skip to: 40641
+/* 2111 */    MCD_OPC_CheckPredicate, 0, 126, 150, // Skip to: 40641
+/* 2115 */    MCD_OPC_Decode, 157, 6, 7, // Opcode: LD1Twov1d
 /* 2119 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2127
-/* 2123 */    MCD_OPC_Decode, 175, 7, 3, // Opcode: LDNPSi
+/* 2123 */    MCD_OPC_Decode, 177, 7, 3, // Opcode: LDNPSi
 /* 2127 */    MCD_OPC_FilterValue, 2, 83, 1, // Skip to: 2470
 /* 2131 */    MCD_OPC_ExtractField, 10, 12,  // Inst{21-10} ...
 /* 2134 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2146
-/* 2138 */    MCD_OPC_CheckPredicate, 0, 127, 150, // Skip to: 40669
-/* 2142 */    MCD_OPC_Decode, 253, 6, 8, // Opcode: LD4Fourv16b
+/* 2138 */    MCD_OPC_CheckPredicate, 0, 99, 150, // Skip to: 40641
+/* 2142 */    MCD_OPC_Decode, 255, 6, 8, // Opcode: LD4Fourv16b
 /* 2146 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2158
-/* 2150 */    MCD_OPC_CheckPredicate, 0, 115, 150, // Skip to: 40669
-/* 2154 */    MCD_OPC_Decode, 137, 7, 8, // Opcode: LD4Fourv8h
+/* 2150 */    MCD_OPC_CheckPredicate, 0, 87, 150, // Skip to: 40641
+/* 2154 */    MCD_OPC_Decode, 139, 7, 8, // Opcode: LD4Fourv8h
 /* 2158 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2170
-/* 2162 */    MCD_OPC_CheckPredicate, 0, 103, 150, // Skip to: 40669
-/* 2166 */    MCD_OPC_Decode, 133, 7, 8, // Opcode: LD4Fourv4s
+/* 2162 */    MCD_OPC_CheckPredicate, 0, 75, 150, // Skip to: 40641
+/* 2166 */    MCD_OPC_Decode, 135, 7, 8, // Opcode: LD4Fourv4s
 /* 2170 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2182
-/* 2174 */    MCD_OPC_CheckPredicate, 0, 91, 150, // Skip to: 40669
-/* 2178 */    MCD_OPC_Decode, 255, 6, 8, // Opcode: LD4Fourv2d
+/* 2174 */    MCD_OPC_CheckPredicate, 0, 63, 150, // Skip to: 40641
+/* 2178 */    MCD_OPC_Decode, 129, 7, 8, // Opcode: LD4Fourv2d
 /* 2182 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 2194
-/* 2186 */    MCD_OPC_CheckPredicate, 0, 79, 150, // Skip to: 40669
-/* 2190 */    MCD_OPC_Decode, 217, 5, 8, // Opcode: LD1Fourv16b
+/* 2186 */    MCD_OPC_CheckPredicate, 0, 51, 150, // Skip to: 40641
+/* 2190 */    MCD_OPC_Decode, 219, 5, 8, // Opcode: LD1Fourv16b
 /* 2194 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 2206
-/* 2198 */    MCD_OPC_CheckPredicate, 0, 67, 150, // Skip to: 40669
-/* 2202 */    MCD_OPC_Decode, 231, 5, 8, // Opcode: LD1Fourv8h
+/* 2198 */    MCD_OPC_CheckPredicate, 0, 39, 150, // Skip to: 40641
+/* 2202 */    MCD_OPC_Decode, 233, 5, 8, // Opcode: LD1Fourv8h
 /* 2206 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 2218
-/* 2210 */    MCD_OPC_CheckPredicate, 0, 55, 150, // Skip to: 40669
-/* 2214 */    MCD_OPC_Decode, 227, 5, 8, // Opcode: LD1Fourv4s
+/* 2210 */    MCD_OPC_CheckPredicate, 0, 27, 150, // Skip to: 40641
+/* 2214 */    MCD_OPC_Decode, 229, 5, 8, // Opcode: LD1Fourv4s
 /* 2218 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 2230
-/* 2222 */    MCD_OPC_CheckPredicate, 0, 43, 150, // Skip to: 40669
-/* 2226 */    MCD_OPC_Decode, 221, 5, 8, // Opcode: LD1Fourv2d
+/* 2222 */    MCD_OPC_CheckPredicate, 0, 15, 150, // Skip to: 40641
+/* 2226 */    MCD_OPC_Decode, 223, 5, 8, // Opcode: LD1Fourv2d
 /* 2230 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 2242
-/* 2234 */    MCD_OPC_CheckPredicate, 0, 31, 150, // Skip to: 40669
-/* 2238 */    MCD_OPC_Decode, 231, 6, 9, // Opcode: LD3Threev16b
+/* 2234 */    MCD_OPC_CheckPredicate, 0, 3, 150, // Skip to: 40641
+/* 2238 */    MCD_OPC_Decode, 233, 6, 9, // Opcode: LD3Threev16b
 /* 2242 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 2254
-/* 2246 */    MCD_OPC_CheckPredicate, 0, 19, 150, // Skip to: 40669
-/* 2250 */    MCD_OPC_Decode, 243, 6, 9, // Opcode: LD3Threev8h
+/* 2246 */    MCD_OPC_CheckPredicate, 0, 247, 149, // Skip to: 40641
+/* 2250 */    MCD_OPC_Decode, 245, 6, 9, // Opcode: LD3Threev8h
 /* 2254 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 2266
-/* 2258 */    MCD_OPC_CheckPredicate, 0, 7, 150, // Skip to: 40669
-/* 2262 */    MCD_OPC_Decode, 239, 6, 9, // Opcode: LD3Threev4s
+/* 2258 */    MCD_OPC_CheckPredicate, 0, 235, 149, // Skip to: 40641
+/* 2262 */    MCD_OPC_Decode, 241, 6, 9, // Opcode: LD3Threev4s
 /* 2266 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 2278
-/* 2270 */    MCD_OPC_CheckPredicate, 0, 251, 149, // Skip to: 40669
-/* 2274 */    MCD_OPC_Decode, 233, 6, 9, // Opcode: LD3Threev2d
+/* 2270 */    MCD_OPC_CheckPredicate, 0, 223, 149, // Skip to: 40641
+/* 2274 */    MCD_OPC_Decode, 235, 6, 9, // Opcode: LD3Threev2d
 /* 2278 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 2290
-/* 2282 */    MCD_OPC_CheckPredicate, 0, 239, 149, // Skip to: 40669
-/* 2286 */    MCD_OPC_Decode, 137, 6, 9, // Opcode: LD1Threev16b
+/* 2282 */    MCD_OPC_CheckPredicate, 0, 211, 149, // Skip to: 40641
+/* 2286 */    MCD_OPC_Decode, 139, 6, 9, // Opcode: LD1Threev16b
 /* 2290 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 2302
-/* 2294 */    MCD_OPC_CheckPredicate, 0, 227, 149, // Skip to: 40669
-/* 2298 */    MCD_OPC_Decode, 151, 6, 9, // Opcode: LD1Threev8h
+/* 2294 */    MCD_OPC_CheckPredicate, 0, 199, 149, // Skip to: 40641
+/* 2298 */    MCD_OPC_Decode, 153, 6, 9, // Opcode: LD1Threev8h
 /* 2302 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 2314
-/* 2306 */    MCD_OPC_CheckPredicate, 0, 215, 149, // Skip to: 40669
-/* 2310 */    MCD_OPC_Decode, 147, 6, 9, // Opcode: LD1Threev4s
+/* 2306 */    MCD_OPC_CheckPredicate, 0, 187, 149, // Skip to: 40641
+/* 2310 */    MCD_OPC_Decode, 149, 6, 9, // Opcode: LD1Threev4s
 /* 2314 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 2326
-/* 2318 */    MCD_OPC_CheckPredicate, 0, 203, 149, // Skip to: 40669
-/* 2322 */    MCD_OPC_Decode, 141, 6, 9, // Opcode: LD1Threev2d
+/* 2318 */    MCD_OPC_CheckPredicate, 0, 175, 149, // Skip to: 40641
+/* 2322 */    MCD_OPC_Decode, 143, 6, 9, // Opcode: LD1Threev2d
 /* 2326 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 2338
-/* 2330 */    MCD_OPC_CheckPredicate, 0, 191, 149, // Skip to: 40669
-/* 2334 */    MCD_OPC_Decode, 233, 5, 10, // Opcode: LD1Onev16b
+/* 2330 */    MCD_OPC_CheckPredicate, 0, 163, 149, // Skip to: 40641
+/* 2334 */    MCD_OPC_Decode, 235, 5, 10, // Opcode: LD1Onev16b
 /* 2338 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 2350
-/* 2342 */    MCD_OPC_CheckPredicate, 0, 179, 149, // Skip to: 40669
-/* 2346 */    MCD_OPC_Decode, 247, 5, 10, // Opcode: LD1Onev8h
+/* 2342 */    MCD_OPC_CheckPredicate, 0, 151, 149, // Skip to: 40641
+/* 2346 */    MCD_OPC_Decode, 249, 5, 10, // Opcode: LD1Onev8h
 /* 2350 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 2362
-/* 2354 */    MCD_OPC_CheckPredicate, 0, 167, 149, // Skip to: 40669
-/* 2358 */    MCD_OPC_Decode, 243, 5, 10, // Opcode: LD1Onev4s
+/* 2354 */    MCD_OPC_CheckPredicate, 0, 139, 149, // Skip to: 40641
+/* 2358 */    MCD_OPC_Decode, 245, 5, 10, // Opcode: LD1Onev4s
 /* 2362 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 2374
-/* 2366 */    MCD_OPC_CheckPredicate, 0, 155, 149, // Skip to: 40669
-/* 2370 */    MCD_OPC_Decode, 237, 5, 10, // Opcode: LD1Onev2d
+/* 2366 */    MCD_OPC_CheckPredicate, 0, 127, 149, // Skip to: 40641
+/* 2370 */    MCD_OPC_Decode, 239, 5, 10, // Opcode: LD1Onev2d
 /* 2374 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 2386
-/* 2378 */    MCD_OPC_CheckPredicate, 0, 143, 149, // Skip to: 40669
-/* 2382 */    MCD_OPC_Decode, 193, 6, 11, // Opcode: LD2Twov16b
+/* 2378 */    MCD_OPC_CheckPredicate, 0, 115, 149, // Skip to: 40641
+/* 2382 */    MCD_OPC_Decode, 195, 6, 11, // Opcode: LD2Twov16b
 /* 2386 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 2398
-/* 2390 */    MCD_OPC_CheckPredicate, 0, 131, 149, // Skip to: 40669
-/* 2394 */    MCD_OPC_Decode, 205, 6, 11, // Opcode: LD2Twov8h
+/* 2390 */    MCD_OPC_CheckPredicate, 0, 103, 149, // Skip to: 40641
+/* 2394 */    MCD_OPC_Decode, 207, 6, 11, // Opcode: LD2Twov8h
 /* 2398 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 2410
-/* 2402 */    MCD_OPC_CheckPredicate, 0, 119, 149, // Skip to: 40669
-/* 2406 */    MCD_OPC_Decode, 201, 6, 11, // Opcode: LD2Twov4s
+/* 2402 */    MCD_OPC_CheckPredicate, 0, 91, 149, // Skip to: 40641
+/* 2406 */    MCD_OPC_Decode, 203, 6, 11, // Opcode: LD2Twov4s
 /* 2410 */    MCD_OPC_FilterValue, 35, 8, 0, // Skip to: 2422
-/* 2414 */    MCD_OPC_CheckPredicate, 0, 107, 149, // Skip to: 40669
-/* 2418 */    MCD_OPC_Decode, 195, 6, 11, // Opcode: LD2Twov2d
+/* 2414 */    MCD_OPC_CheckPredicate, 0, 79, 149, // Skip to: 40641
+/* 2418 */    MCD_OPC_Decode, 197, 6, 11, // Opcode: LD2Twov2d
 /* 2422 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 2434
-/* 2426 */    MCD_OPC_CheckPredicate, 0, 95, 149, // Skip to: 40669
-/* 2430 */    MCD_OPC_Decode, 153, 6, 11, // Opcode: LD1Twov16b
+/* 2426 */    MCD_OPC_CheckPredicate, 0, 67, 149, // Skip to: 40641
+/* 2430 */    MCD_OPC_Decode, 155, 6, 11, // Opcode: LD1Twov16b
 /* 2434 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 2446
-/* 2438 */    MCD_OPC_CheckPredicate, 0, 83, 149, // Skip to: 40669
-/* 2442 */    MCD_OPC_Decode, 167, 6, 11, // Opcode: LD1Twov8h
+/* 2438 */    MCD_OPC_CheckPredicate, 0, 55, 149, // Skip to: 40641
+/* 2442 */    MCD_OPC_Decode, 169, 6, 11, // Opcode: LD1Twov8h
 /* 2446 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 2458
-/* 2450 */    MCD_OPC_CheckPredicate, 0, 71, 149, // Skip to: 40669
-/* 2454 */    MCD_OPC_Decode, 163, 6, 11, // Opcode: LD1Twov4s
-/* 2458 */    MCD_OPC_FilterValue, 43, 63, 149, // Skip to: 40669
-/* 2462 */    MCD_OPC_CheckPredicate, 0, 59, 149, // Skip to: 40669
-/* 2466 */    MCD_OPC_Decode, 157, 6, 11, // Opcode: LD1Twov2d
+/* 2450 */    MCD_OPC_CheckPredicate, 0, 43, 149, // Skip to: 40641
+/* 2454 */    MCD_OPC_Decode, 165, 6, 11, // Opcode: LD1Twov4s
+/* 2458 */    MCD_OPC_FilterValue, 43, 35, 149, // Skip to: 40641
+/* 2462 */    MCD_OPC_CheckPredicate, 0, 31, 149, // Skip to: 40641
+/* 2466 */    MCD_OPC_Decode, 159, 6, 11, // Opcode: LD1Twov2d
 /* 2470 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 2478
-/* 2474 */    MCD_OPC_Decode, 173, 7, 3, // Opcode: LDNPDi
-/* 2478 */    MCD_OPC_FilterValue, 5, 43, 149, // Skip to: 40669
-/* 2482 */    MCD_OPC_Decode, 174, 7, 3, // Opcode: LDNPQi
+/* 2474 */    MCD_OPC_Decode, 175, 7, 3, // Opcode: LDNPDi
+/* 2478 */    MCD_OPC_FilterValue, 5, 15, 149, // Skip to: 40641
+/* 2482 */    MCD_OPC_Decode, 176, 7, 3, // Opcode: LDNPQi
 /* 2486 */    MCD_OPC_FilterValue, 2, 227, 3, // Skip to: 3485
 /* 2490 */    MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 2493 */    MCD_OPC_FilterValue, 0, 197, 1, // Skip to: 2950
 /* 2497 */    MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 2500 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2518
-/* 2504 */    MCD_OPC_CheckPredicate, 0, 17, 149, // Skip to: 40669
-/* 2508 */    MCD_OPC_CheckField, 21, 1, 0, 11, 149, // Skip to: 40669
-/* 2514 */    MCD_OPC_Decode, 172, 14, 12, // Opcode: ST4Fourv8b_POST
+/* 2504 */    MCD_OPC_CheckPredicate, 0, 245, 148, // Skip to: 40641
+/* 2508 */    MCD_OPC_CheckField, 21, 1, 0, 239, 148, // Skip to: 40641
+/* 2514 */    MCD_OPC_Decode, 174, 14, 12, // Opcode: ST4Fourv8b_POST
 /* 2518 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 2536
-/* 2522 */    MCD_OPC_CheckPredicate, 0, 255, 148, // Skip to: 40669
-/* 2526 */    MCD_OPC_CheckField, 21, 1, 0, 249, 148, // Skip to: 40669
-/* 2532 */    MCD_OPC_Decode, 168, 14, 12, // Opcode: ST4Fourv4h_POST
+/* 2522 */    MCD_OPC_CheckPredicate, 0, 227, 148, // Skip to: 40641
+/* 2526 */    MCD_OPC_CheckField, 21, 1, 0, 221, 148, // Skip to: 40641
+/* 2532 */    MCD_OPC_Decode, 170, 14, 12, // Opcode: ST4Fourv4h_POST
 /* 2536 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 2554
-/* 2540 */    MCD_OPC_CheckPredicate, 0, 237, 148, // Skip to: 40669
-/* 2544 */    MCD_OPC_CheckField, 21, 1, 0, 231, 148, // Skip to: 40669
-/* 2550 */    MCD_OPC_Decode, 166, 14, 12, // Opcode: ST4Fourv2s_POST
+/* 2540 */    MCD_OPC_CheckPredicate, 0, 209, 148, // Skip to: 40641
+/* 2544 */    MCD_OPC_CheckField, 21, 1, 0, 203, 148, // Skip to: 40641
+/* 2550 */    MCD_OPC_Decode, 168, 14, 12, // Opcode: ST4Fourv2s_POST
 /* 2554 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 2572
-/* 2558 */    MCD_OPC_CheckPredicate, 0, 219, 148, // Skip to: 40669
-/* 2562 */    MCD_OPC_CheckField, 21, 1, 0, 213, 148, // Skip to: 40669
-/* 2568 */    MCD_OPC_Decode, 186, 13, 12, // Opcode: ST1Fourv8b_POST
+/* 2558 */    MCD_OPC_CheckPredicate, 0, 191, 148, // Skip to: 40641
+/* 2562 */    MCD_OPC_CheckField, 21, 1, 0, 185, 148, // Skip to: 40641
+/* 2568 */    MCD_OPC_Decode, 188, 13, 12, // Opcode: ST1Fourv8b_POST
 /* 2572 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 2590
-/* 2576 */    MCD_OPC_CheckPredicate, 0, 201, 148, // Skip to: 40669
-/* 2580 */    MCD_OPC_CheckField, 21, 1, 0, 195, 148, // Skip to: 40669
-/* 2586 */    MCD_OPC_Decode, 182, 13, 12, // Opcode: ST1Fourv4h_POST
+/* 2576 */    MCD_OPC_CheckPredicate, 0, 173, 148, // Skip to: 40641
+/* 2580 */    MCD_OPC_CheckField, 21, 1, 0, 167, 148, // Skip to: 40641
+/* 2586 */    MCD_OPC_Decode, 184, 13, 12, // Opcode: ST1Fourv4h_POST
 /* 2590 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 2608
-/* 2594 */    MCD_OPC_CheckPredicate, 0, 183, 148, // Skip to: 40669
-/* 2598 */    MCD_OPC_CheckField, 21, 1, 0, 177, 148, // Skip to: 40669
-/* 2604 */    MCD_OPC_Decode, 180, 13, 12, // Opcode: ST1Fourv2s_POST
+/* 2594 */    MCD_OPC_CheckPredicate, 0, 155, 148, // Skip to: 40641
+/* 2598 */    MCD_OPC_CheckField, 21, 1, 0, 149, 148, // Skip to: 40641
+/* 2604 */    MCD_OPC_Decode, 182, 13, 12, // Opcode: ST1Fourv2s_POST
 /* 2608 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 2626
-/* 2612 */    MCD_OPC_CheckPredicate, 0, 165, 148, // Skip to: 40669
-/* 2616 */    MCD_OPC_CheckField, 21, 1, 0, 159, 148, // Skip to: 40669
-/* 2622 */    MCD_OPC_Decode, 176, 13, 12, // Opcode: ST1Fourv1d_POST
+/* 2612 */    MCD_OPC_CheckPredicate, 0, 137, 148, // Skip to: 40641
+/* 2616 */    MCD_OPC_CheckField, 21, 1, 0, 131, 148, // Skip to: 40641
+/* 2622 */    MCD_OPC_Decode, 178, 13, 12, // Opcode: ST1Fourv1d_POST
 /* 2626 */    MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 2644
-/* 2630 */    MCD_OPC_CheckPredicate, 0, 147, 148, // Skip to: 40669
-/* 2634 */    MCD_OPC_CheckField, 21, 1, 0, 141, 148, // Skip to: 40669
-/* 2640 */    MCD_OPC_Decode, 150, 14, 13, // Opcode: ST3Threev8b_POST
+/* 2630 */    MCD_OPC_CheckPredicate, 0, 119, 148, // Skip to: 40641
+/* 2634 */    MCD_OPC_CheckField, 21, 1, 0, 113, 148, // Skip to: 40641
+/* 2640 */    MCD_OPC_Decode, 152, 14, 13, // Opcode: ST3Threev8b_POST
 /* 2644 */    MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 2662
-/* 2648 */    MCD_OPC_CheckPredicate, 0, 129, 148, // Skip to: 40669
-/* 2652 */    MCD_OPC_CheckField, 21, 1, 0, 123, 148, // Skip to: 40669
-/* 2658 */    MCD_OPC_Decode, 146, 14, 13, // Opcode: ST3Threev4h_POST
+/* 2648 */    MCD_OPC_CheckPredicate, 0, 101, 148, // Skip to: 40641
+/* 2652 */    MCD_OPC_CheckField, 21, 1, 0, 95, 148, // Skip to: 40641
+/* 2658 */    MCD_OPC_Decode, 148, 14, 13, // Opcode: ST3Threev4h_POST
 /* 2662 */    MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 2680
-/* 2666 */    MCD_OPC_CheckPredicate, 0, 111, 148, // Skip to: 40669
-/* 2670 */    MCD_OPC_CheckField, 21, 1, 0, 105, 148, // Skip to: 40669
-/* 2676 */    MCD_OPC_Decode, 144, 14, 13, // Opcode: ST3Threev2s_POST
+/* 2666 */    MCD_OPC_CheckPredicate, 0, 83, 148, // Skip to: 40641
+/* 2670 */    MCD_OPC_CheckField, 21, 1, 0, 77, 148, // Skip to: 40641
+/* 2676 */    MCD_OPC_Decode, 146, 14, 13, // Opcode: ST3Threev2s_POST
 /* 2680 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 2698
-/* 2684 */    MCD_OPC_CheckPredicate, 0, 93, 148, // Skip to: 40669
-/* 2688 */    MCD_OPC_CheckField, 21, 1, 0, 87, 148, // Skip to: 40669
-/* 2694 */    MCD_OPC_Decode, 218, 13, 13, // Opcode: ST1Threev8b_POST
+/* 2684 */    MCD_OPC_CheckPredicate, 0, 65, 148, // Skip to: 40641
+/* 2688 */    MCD_OPC_CheckField, 21, 1, 0, 59, 148, // Skip to: 40641
+/* 2694 */    MCD_OPC_Decode, 220, 13, 13, // Opcode: ST1Threev8b_POST
 /* 2698 */    MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 2716
-/* 2702 */    MCD_OPC_CheckPredicate, 0, 75, 148, // Skip to: 40669
-/* 2706 */    MCD_OPC_CheckField, 21, 1, 0, 69, 148, // Skip to: 40669
-/* 2712 */    MCD_OPC_Decode, 214, 13, 13, // Opcode: ST1Threev4h_POST
+/* 2702 */    MCD_OPC_CheckPredicate, 0, 47, 148, // Skip to: 40641
+/* 2706 */    MCD_OPC_CheckField, 21, 1, 0, 41, 148, // Skip to: 40641
+/* 2712 */    MCD_OPC_Decode, 216, 13, 13, // Opcode: ST1Threev4h_POST
 /* 2716 */    MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 2734
-/* 2720 */    MCD_OPC_CheckPredicate, 0, 57, 148, // Skip to: 40669
-/* 2724 */    MCD_OPC_CheckField, 21, 1, 0, 51, 148, // Skip to: 40669
-/* 2730 */    MCD_OPC_Decode, 212, 13, 13, // Opcode: ST1Threev2s_POST
+/* 2720 */    MCD_OPC_CheckPredicate, 0, 29, 148, // Skip to: 40641
+/* 2724 */    MCD_OPC_CheckField, 21, 1, 0, 23, 148, // Skip to: 40641
+/* 2730 */    MCD_OPC_Decode, 214, 13, 13, // Opcode: ST1Threev2s_POST
 /* 2734 */    MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 2752
-/* 2738 */    MCD_OPC_CheckPredicate, 0, 39, 148, // Skip to: 40669
-/* 2742 */    MCD_OPC_CheckField, 21, 1, 0, 33, 148, // Skip to: 40669
-/* 2748 */    MCD_OPC_Decode, 208, 13, 13, // Opcode: ST1Threev1d_POST
+/* 2738 */    MCD_OPC_CheckPredicate, 0, 11, 148, // Skip to: 40641
+/* 2742 */    MCD_OPC_CheckField, 21, 1, 0, 5, 148, // Skip to: 40641
+/* 2748 */    MCD_OPC_Decode, 210, 13, 13, // Opcode: ST1Threev1d_POST
 /* 2752 */    MCD_OPC_FilterValue, 28, 14, 0, // Skip to: 2770
-/* 2756 */    MCD_OPC_CheckPredicate, 0, 21, 148, // Skip to: 40669
-/* 2760 */    MCD_OPC_CheckField, 21, 1, 0, 15, 148, // Skip to: 40669
-/* 2766 */    MCD_OPC_Decode, 202, 13, 14, // Opcode: ST1Onev8b_POST
+/* 2756 */    MCD_OPC_CheckPredicate, 0, 249, 147, // Skip to: 40641
+/* 2760 */    MCD_OPC_CheckField, 21, 1, 0, 243, 147, // Skip to: 40641
+/* 2766 */    MCD_OPC_Decode, 204, 13, 14, // Opcode: ST1Onev8b_POST
 /* 2770 */    MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 2788
-/* 2774 */    MCD_OPC_CheckPredicate, 0, 3, 148, // Skip to: 40669
-/* 2778 */    MCD_OPC_CheckField, 21, 1, 0, 253, 147, // Skip to: 40669
-/* 2784 */    MCD_OPC_Decode, 198, 13, 14, // Opcode: ST1Onev4h_POST
+/* 2774 */    MCD_OPC_CheckPredicate, 0, 231, 147, // Skip to: 40641
+/* 2778 */    MCD_OPC_CheckField, 21, 1, 0, 225, 147, // Skip to: 40641
+/* 2784 */    MCD_OPC_Decode, 200, 13, 14, // Opcode: ST1Onev4h_POST
 /* 2788 */    MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 2806
-/* 2792 */    MCD_OPC_CheckPredicate, 0, 241, 147, // Skip to: 40669
-/* 2796 */    MCD_OPC_CheckField, 21, 1, 0, 235, 147, // Skip to: 40669
-/* 2802 */    MCD_OPC_Decode, 196, 13, 14, // Opcode: ST1Onev2s_POST
+/* 2792 */    MCD_OPC_CheckPredicate, 0, 213, 147, // Skip to: 40641
+/* 2796 */    MCD_OPC_CheckField, 21, 1, 0, 207, 147, // Skip to: 40641
+/* 2802 */    MCD_OPC_Decode, 198, 13, 14, // Opcode: ST1Onev2s_POST
 /* 2806 */    MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 2824
-/* 2810 */    MCD_OPC_CheckPredicate, 0, 223, 147, // Skip to: 40669
-/* 2814 */    MCD_OPC_CheckField, 21, 1, 0, 217, 147, // Skip to: 40669
-/* 2820 */    MCD_OPC_Decode, 192, 13, 14, // Opcode: ST1Onev1d_POST
+/* 2810 */    MCD_OPC_CheckPredicate, 0, 195, 147, // Skip to: 40641
+/* 2814 */    MCD_OPC_CheckField, 21, 1, 0, 189, 147, // Skip to: 40641
+/* 2820 */    MCD_OPC_Decode, 194, 13, 14, // Opcode: ST1Onev1d_POST
 /* 2824 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 2842
-/* 2828 */    MCD_OPC_CheckPredicate, 0, 205, 147, // Skip to: 40669
-/* 2832 */    MCD_OPC_CheckField, 21, 1, 0, 199, 147, // Skip to: 40669
-/* 2838 */    MCD_OPC_Decode, 128, 14, 15, // Opcode: ST2Twov8b_POST
+/* 2828 */    MCD_OPC_CheckPredicate, 0, 177, 147, // Skip to: 40641
+/* 2832 */    MCD_OPC_CheckField, 21, 1, 0, 171, 147, // Skip to: 40641
+/* 2838 */    MCD_OPC_Decode, 130, 14, 15, // Opcode: ST2Twov8b_POST
 /* 2842 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 2860
-/* 2846 */    MCD_OPC_CheckPredicate, 0, 187, 147, // Skip to: 40669
-/* 2850 */    MCD_OPC_CheckField, 21, 1, 0, 181, 147, // Skip to: 40669
-/* 2856 */    MCD_OPC_Decode, 252, 13, 15, // Opcode: ST2Twov4h_POST
+/* 2846 */    MCD_OPC_CheckPredicate, 0, 159, 147, // Skip to: 40641
+/* 2850 */    MCD_OPC_CheckField, 21, 1, 0, 153, 147, // Skip to: 40641
+/* 2856 */    MCD_OPC_Decode, 254, 13, 15, // Opcode: ST2Twov4h_POST
 /* 2860 */    MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 2878
-/* 2864 */    MCD_OPC_CheckPredicate, 0, 169, 147, // Skip to: 40669
-/* 2868 */    MCD_OPC_CheckField, 21, 1, 0, 163, 147, // Skip to: 40669
-/* 2874 */    MCD_OPC_Decode, 250, 13, 15, // Opcode: ST2Twov2s_POST
+/* 2864 */    MCD_OPC_CheckPredicate, 0, 141, 147, // Skip to: 40641
+/* 2868 */    MCD_OPC_CheckField, 21, 1, 0, 135, 147, // Skip to: 40641
+/* 2874 */    MCD_OPC_Decode, 252, 13, 15, // Opcode: ST2Twov2s_POST
 /* 2878 */    MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 2896
-/* 2882 */    MCD_OPC_CheckPredicate, 0, 151, 147, // Skip to: 40669
-/* 2886 */    MCD_OPC_CheckField, 21, 1, 0, 145, 147, // Skip to: 40669
-/* 2892 */    MCD_OPC_Decode, 234, 13, 15, // Opcode: ST1Twov8b_POST
+/* 2882 */    MCD_OPC_CheckPredicate, 0, 123, 147, // Skip to: 40641
+/* 2886 */    MCD_OPC_CheckField, 21, 1, 0, 117, 147, // Skip to: 40641
+/* 2892 */    MCD_OPC_Decode, 236, 13, 15, // Opcode: ST1Twov8b_POST
 /* 2896 */    MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 2914
-/* 2900 */    MCD_OPC_CheckPredicate, 0, 133, 147, // Skip to: 40669
-/* 2904 */    MCD_OPC_CheckField, 21, 1, 0, 127, 147, // Skip to: 40669
-/* 2910 */    MCD_OPC_Decode, 230, 13, 15, // Opcode: ST1Twov4h_POST
+/* 2900 */    MCD_OPC_CheckPredicate, 0, 105, 147, // Skip to: 40641
+/* 2904 */    MCD_OPC_CheckField, 21, 1, 0, 99, 147, // Skip to: 40641
+/* 2910 */    MCD_OPC_Decode, 232, 13, 15, // Opcode: ST1Twov4h_POST
 /* 2914 */    MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 2932
-/* 2918 */    MCD_OPC_CheckPredicate, 0, 115, 147, // Skip to: 40669
-/* 2922 */    MCD_OPC_CheckField, 21, 1, 0, 109, 147, // Skip to: 40669
-/* 2928 */    MCD_OPC_Decode, 228, 13, 15, // Opcode: ST1Twov2s_POST
-/* 2932 */    MCD_OPC_FilterValue, 43, 101, 147, // Skip to: 40669
-/* 2936 */    MCD_OPC_CheckPredicate, 0, 97, 147, // Skip to: 40669
-/* 2940 */    MCD_OPC_CheckField, 21, 1, 0, 91, 147, // Skip to: 40669
-/* 2946 */    MCD_OPC_Decode, 224, 13, 15, // Opcode: ST1Twov1d_POST
+/* 2918 */    MCD_OPC_CheckPredicate, 0, 87, 147, // Skip to: 40641
+/* 2922 */    MCD_OPC_CheckField, 21, 1, 0, 81, 147, // Skip to: 40641
+/* 2928 */    MCD_OPC_Decode, 230, 13, 15, // Opcode: ST1Twov2s_POST
+/* 2932 */    MCD_OPC_FilterValue, 43, 73, 147, // Skip to: 40641
+/* 2936 */    MCD_OPC_CheckPredicate, 0, 69, 147, // Skip to: 40641
+/* 2940 */    MCD_OPC_CheckField, 21, 1, 0, 63, 147, // Skip to: 40641
+/* 2946 */    MCD_OPC_Decode, 226, 13, 15, // Opcode: ST1Twov1d_POST
 /* 2950 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2958
-/* 2954 */    MCD_OPC_Decode, 205, 14, 3, // Opcode: STPSpost
+/* 2954 */    MCD_OPC_Decode, 207, 14, 3, // Opcode: STPSpost
 /* 2958 */    MCD_OPC_FilterValue, 2, 251, 1, // Skip to: 3469
 /* 2962 */    MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 2965 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2983
-/* 2969 */    MCD_OPC_CheckPredicate, 0, 64, 147, // Skip to: 40669
-/* 2973 */    MCD_OPC_CheckField, 21, 1, 0, 58, 147, // Skip to: 40669
-/* 2979 */    MCD_OPC_Decode, 162, 14, 16, // Opcode: ST4Fourv16b_POST
+/* 2969 */    MCD_OPC_CheckPredicate, 0, 36, 147, // Skip to: 40641
+/* 2973 */    MCD_OPC_CheckField, 21, 1, 0, 30, 147, // Skip to: 40641
+/* 2979 */    MCD_OPC_Decode, 164, 14, 16, // Opcode: ST4Fourv16b_POST
 /* 2983 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3001
-/* 2987 */    MCD_OPC_CheckPredicate, 0, 46, 147, // Skip to: 40669
-/* 2991 */    MCD_OPC_CheckField, 21, 1, 0, 40, 147, // Skip to: 40669
-/* 2997 */    MCD_OPC_Decode, 174, 14, 16, // Opcode: ST4Fourv8h_POST
+/* 2987 */    MCD_OPC_CheckPredicate, 0, 18, 147, // Skip to: 40641
+/* 2991 */    MCD_OPC_CheckField, 21, 1, 0, 12, 147, // Skip to: 40641
+/* 2997 */    MCD_OPC_Decode, 176, 14, 16, // Opcode: ST4Fourv8h_POST
 /* 3001 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3019
-/* 3005 */    MCD_OPC_CheckPredicate, 0, 28, 147, // Skip to: 40669
-/* 3009 */    MCD_OPC_CheckField, 21, 1, 0, 22, 147, // Skip to: 40669
-/* 3015 */    MCD_OPC_Decode, 170, 14, 16, // Opcode: ST4Fourv4s_POST
+/* 3005 */    MCD_OPC_CheckPredicate, 0, 0, 147, // Skip to: 40641
+/* 3009 */    MCD_OPC_CheckField, 21, 1, 0, 250, 146, // Skip to: 40641
+/* 3015 */    MCD_OPC_Decode, 172, 14, 16, // Opcode: ST4Fourv4s_POST
 /* 3019 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 3037
-/* 3023 */    MCD_OPC_CheckPredicate, 0, 10, 147, // Skip to: 40669
-/* 3027 */    MCD_OPC_CheckField, 21, 1, 0, 4, 147, // Skip to: 40669
-/* 3033 */    MCD_OPC_Decode, 164, 14, 16, // Opcode: ST4Fourv2d_POST
+/* 3023 */    MCD_OPC_CheckPredicate, 0, 238, 146, // Skip to: 40641
+/* 3027 */    MCD_OPC_CheckField, 21, 1, 0, 232, 146, // Skip to: 40641
+/* 3033 */    MCD_OPC_Decode, 166, 14, 16, // Opcode: ST4Fourv2d_POST
 /* 3037 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 3055
-/* 3041 */    MCD_OPC_CheckPredicate, 0, 248, 146, // Skip to: 40669
-/* 3045 */    MCD_OPC_CheckField, 21, 1, 0, 242, 146, // Skip to: 40669
-/* 3051 */    MCD_OPC_Decode, 174, 13, 16, // Opcode: ST1Fourv16b_POST
+/* 3041 */    MCD_OPC_CheckPredicate, 0, 220, 146, // Skip to: 40641
+/* 3045 */    MCD_OPC_CheckField, 21, 1, 0, 214, 146, // Skip to: 40641
+/* 3051 */    MCD_OPC_Decode, 176, 13, 16, // Opcode: ST1Fourv16b_POST
 /* 3055 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 3073
-/* 3059 */    MCD_OPC_CheckPredicate, 0, 230, 146, // Skip to: 40669
-/* 3063 */    MCD_OPC_CheckField, 21, 1, 0, 224, 146, // Skip to: 40669
-/* 3069 */    MCD_OPC_Decode, 188, 13, 16, // Opcode: ST1Fourv8h_POST
+/* 3059 */    MCD_OPC_CheckPredicate, 0, 202, 146, // Skip to: 40641
+/* 3063 */    MCD_OPC_CheckField, 21, 1, 0, 196, 146, // Skip to: 40641
+/* 3069 */    MCD_OPC_Decode, 190, 13, 16, // Opcode: ST1Fourv8h_POST
 /* 3073 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 3091
-/* 3077 */    MCD_OPC_CheckPredicate, 0, 212, 146, // Skip to: 40669
-/* 3081 */    MCD_OPC_CheckField, 21, 1, 0, 206, 146, // Skip to: 40669
-/* 3087 */    MCD_OPC_Decode, 184, 13, 16, // Opcode: ST1Fourv4s_POST
+/* 3077 */    MCD_OPC_CheckPredicate, 0, 184, 146, // Skip to: 40641
+/* 3081 */    MCD_OPC_CheckField, 21, 1, 0, 178, 146, // Skip to: 40641
+/* 3087 */    MCD_OPC_Decode, 186, 13, 16, // Opcode: ST1Fourv4s_POST
 /* 3091 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 3109
-/* 3095 */    MCD_OPC_CheckPredicate, 0, 194, 146, // Skip to: 40669
-/* 3099 */    MCD_OPC_CheckField, 21, 1, 0, 188, 146, // Skip to: 40669
-/* 3105 */    MCD_OPC_Decode, 178, 13, 16, // Opcode: ST1Fourv2d_POST
+/* 3095 */    MCD_OPC_CheckPredicate, 0, 166, 146, // Skip to: 40641
+/* 3099 */    MCD_OPC_CheckField, 21, 1, 0, 160, 146, // Skip to: 40641
+/* 3105 */    MCD_OPC_Decode, 180, 13, 16, // Opcode: ST1Fourv2d_POST
 /* 3109 */    MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 3127
-/* 3113 */    MCD_OPC_CheckPredicate, 0, 176, 146, // Skip to: 40669
-/* 3117 */    MCD_OPC_CheckField, 21, 1, 0, 170, 146, // Skip to: 40669
-/* 3123 */    MCD_OPC_Decode, 140, 14, 17, // Opcode: ST3Threev16b_POST
+/* 3113 */    MCD_OPC_CheckPredicate, 0, 148, 146, // Skip to: 40641
+/* 3117 */    MCD_OPC_CheckField, 21, 1, 0, 142, 146, // Skip to: 40641
+/* 3123 */    MCD_OPC_Decode, 142, 14, 17, // Opcode: ST3Threev16b_POST
 /* 3127 */    MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 3145
-/* 3131 */    MCD_OPC_CheckPredicate, 0, 158, 146, // Skip to: 40669
-/* 3135 */    MCD_OPC_CheckField, 21, 1, 0, 152, 146, // Skip to: 40669
-/* 3141 */    MCD_OPC_Decode, 152, 14, 17, // Opcode: ST3Threev8h_POST
+/* 3131 */    MCD_OPC_CheckPredicate, 0, 130, 146, // Skip to: 40641
+/* 3135 */    MCD_OPC_CheckField, 21, 1, 0, 124, 146, // Skip to: 40641
+/* 3141 */    MCD_OPC_Decode, 154, 14, 17, // Opcode: ST3Threev8h_POST
 /* 3145 */    MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 3163
-/* 3149 */    MCD_OPC_CheckPredicate, 0, 140, 146, // Skip to: 40669
-/* 3153 */    MCD_OPC_CheckField, 21, 1, 0, 134, 146, // Skip to: 40669
-/* 3159 */    MCD_OPC_Decode, 148, 14, 17, // Opcode: ST3Threev4s_POST
+/* 3149 */    MCD_OPC_CheckPredicate, 0, 112, 146, // Skip to: 40641
+/* 3153 */    MCD_OPC_CheckField, 21, 1, 0, 106, 146, // Skip to: 40641
+/* 3159 */    MCD_OPC_Decode, 150, 14, 17, // Opcode: ST3Threev4s_POST
 /* 3163 */    MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 3181
-/* 3167 */    MCD_OPC_CheckPredicate, 0, 122, 146, // Skip to: 40669
-/* 3171 */    MCD_OPC_CheckField, 21, 1, 0, 116, 146, // Skip to: 40669
-/* 3177 */    MCD_OPC_Decode, 142, 14, 17, // Opcode: ST3Threev2d_POST
+/* 3167 */    MCD_OPC_CheckPredicate, 0, 94, 146, // Skip to: 40641
+/* 3171 */    MCD_OPC_CheckField, 21, 1, 0, 88, 146, // Skip to: 40641
+/* 3177 */    MCD_OPC_Decode, 144, 14, 17, // Opcode: ST3Threev2d_POST
 /* 3181 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 3199
-/* 3185 */    MCD_OPC_CheckPredicate, 0, 104, 146, // Skip to: 40669
-/* 3189 */    MCD_OPC_CheckField, 21, 1, 0, 98, 146, // Skip to: 40669
-/* 3195 */    MCD_OPC_Decode, 206, 13, 17, // Opcode: ST1Threev16b_POST
+/* 3185 */    MCD_OPC_CheckPredicate, 0, 76, 146, // Skip to: 40641
+/* 3189 */    MCD_OPC_CheckField, 21, 1, 0, 70, 146, // Skip to: 40641
+/* 3195 */    MCD_OPC_Decode, 208, 13, 17, // Opcode: ST1Threev16b_POST
 /* 3199 */    MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 3217
-/* 3203 */    MCD_OPC_CheckPredicate, 0, 86, 146, // Skip to: 40669
-/* 3207 */    MCD_OPC_CheckField, 21, 1, 0, 80, 146, // Skip to: 40669
-/* 3213 */    MCD_OPC_Decode, 220, 13, 17, // Opcode: ST1Threev8h_POST
+/* 3203 */    MCD_OPC_CheckPredicate, 0, 58, 146, // Skip to: 40641
+/* 3207 */    MCD_OPC_CheckField, 21, 1, 0, 52, 146, // Skip to: 40641
+/* 3213 */    MCD_OPC_Decode, 222, 13, 17, // Opcode: ST1Threev8h_POST
 /* 3217 */    MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 3235
-/* 3221 */    MCD_OPC_CheckPredicate, 0, 68, 146, // Skip to: 40669
-/* 3225 */    MCD_OPC_CheckField, 21, 1, 0, 62, 146, // Skip to: 40669
-/* 3231 */    MCD_OPC_Decode, 216, 13, 17, // Opcode: ST1Threev4s_POST
+/* 3221 */    MCD_OPC_CheckPredicate, 0, 40, 146, // Skip to: 40641
+/* 3225 */    MCD_OPC_CheckField, 21, 1, 0, 34, 146, // Skip to: 40641
+/* 3231 */    MCD_OPC_Decode, 218, 13, 17, // Opcode: ST1Threev4s_POST
 /* 3235 */    MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 3253
-/* 3239 */    MCD_OPC_CheckPredicate, 0, 50, 146, // Skip to: 40669
-/* 3243 */    MCD_OPC_CheckField, 21, 1, 0, 44, 146, // Skip to: 40669
-/* 3249 */    MCD_OPC_Decode, 210, 13, 17, // Opcode: ST1Threev2d_POST
+/* 3239 */    MCD_OPC_CheckPredicate, 0, 22, 146, // Skip to: 40641
+/* 3243 */    MCD_OPC_CheckField, 21, 1, 0, 16, 146, // Skip to: 40641
+/* 3249 */    MCD_OPC_Decode, 212, 13, 17, // Opcode: ST1Threev2d_POST
 /* 3253 */    MCD_OPC_FilterValue, 28, 14, 0, // Skip to: 3271
-/* 3257 */    MCD_OPC_CheckPredicate, 0, 32, 146, // Skip to: 40669
-/* 3261 */    MCD_OPC_CheckField, 21, 1, 0, 26, 146, // Skip to: 40669
-/* 3267 */    MCD_OPC_Decode, 190, 13, 18, // Opcode: ST1Onev16b_POST
+/* 3257 */    MCD_OPC_CheckPredicate, 0, 4, 146, // Skip to: 40641
+/* 3261 */    MCD_OPC_CheckField, 21, 1, 0, 254, 145, // Skip to: 40641
+/* 3267 */    MCD_OPC_Decode, 192, 13, 18, // Opcode: ST1Onev16b_POST
 /* 3271 */    MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 3289
-/* 3275 */    MCD_OPC_CheckPredicate, 0, 14, 146, // Skip to: 40669
-/* 3279 */    MCD_OPC_CheckField, 21, 1, 0, 8, 146, // Skip to: 40669
-/* 3285 */    MCD_OPC_Decode, 204, 13, 18, // Opcode: ST1Onev8h_POST
+/* 3275 */    MCD_OPC_CheckPredicate, 0, 242, 145, // Skip to: 40641
+/* 3279 */    MCD_OPC_CheckField, 21, 1, 0, 236, 145, // Skip to: 40641
+/* 3285 */    MCD_OPC_Decode, 206, 13, 18, // Opcode: ST1Onev8h_POST
 /* 3289 */    MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 3307
-/* 3293 */    MCD_OPC_CheckPredicate, 0, 252, 145, // Skip to: 40669
-/* 3297 */    MCD_OPC_CheckField, 21, 1, 0, 246, 145, // Skip to: 40669
-/* 3303 */    MCD_OPC_Decode, 200, 13, 18, // Opcode: ST1Onev4s_POST
+/* 3293 */    MCD_OPC_CheckPredicate, 0, 224, 145, // Skip to: 40641
+/* 3297 */    MCD_OPC_CheckField, 21, 1, 0, 218, 145, // Skip to: 40641
+/* 3303 */    MCD_OPC_Decode, 202, 13, 18, // Opcode: ST1Onev4s_POST
 /* 3307 */    MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 3325
-/* 3311 */    MCD_OPC_CheckPredicate, 0, 234, 145, // Skip to: 40669
-/* 3315 */    MCD_OPC_CheckField, 21, 1, 0, 228, 145, // Skip to: 40669
-/* 3321 */    MCD_OPC_Decode, 194, 13, 18, // Opcode: ST1Onev2d_POST
+/* 3311 */    MCD_OPC_CheckPredicate, 0, 206, 145, // Skip to: 40641
+/* 3315 */    MCD_OPC_CheckField, 21, 1, 0, 200, 145, // Skip to: 40641
+/* 3321 */    MCD_OPC_Decode, 196, 13, 18, // Opcode: ST1Onev2d_POST
 /* 3325 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 3343
-/* 3329 */    MCD_OPC_CheckPredicate, 0, 216, 145, // Skip to: 40669
-/* 3333 */    MCD_OPC_CheckField, 21, 1, 0, 210, 145, // Skip to: 40669
-/* 3339 */    MCD_OPC_Decode, 246, 13, 19, // Opcode: ST2Twov16b_POST
+/* 3329 */    MCD_OPC_CheckPredicate, 0, 188, 145, // Skip to: 40641
+/* 3333 */    MCD_OPC_CheckField, 21, 1, 0, 182, 145, // Skip to: 40641
+/* 3339 */    MCD_OPC_Decode, 248, 13, 19, // Opcode: ST2Twov16b_POST
 /* 3343 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 3361
-/* 3347 */    MCD_OPC_CheckPredicate, 0, 198, 145, // Skip to: 40669
-/* 3351 */    MCD_OPC_CheckField, 21, 1, 0, 192, 145, // Skip to: 40669
-/* 3357 */    MCD_OPC_Decode, 130, 14, 19, // Opcode: ST2Twov8h_POST
+/* 3347 */    MCD_OPC_CheckPredicate, 0, 170, 145, // Skip to: 40641
+/* 3351 */    MCD_OPC_CheckField, 21, 1, 0, 164, 145, // Skip to: 40641
+/* 3357 */    MCD_OPC_Decode, 132, 14, 19, // Opcode: ST2Twov8h_POST
 /* 3361 */    MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 3379
-/* 3365 */    MCD_OPC_CheckPredicate, 0, 180, 145, // Skip to: 40669
-/* 3369 */    MCD_OPC_CheckField, 21, 1, 0, 174, 145, // Skip to: 40669
-/* 3375 */    MCD_OPC_Decode, 254, 13, 19, // Opcode: ST2Twov4s_POST
+/* 3365 */    MCD_OPC_CheckPredicate, 0, 152, 145, // Skip to: 40641
+/* 3369 */    MCD_OPC_CheckField, 21, 1, 0, 146, 145, // Skip to: 40641
+/* 3375 */    MCD_OPC_Decode, 128, 14, 19, // Opcode: ST2Twov4s_POST
 /* 3379 */    MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 3397
-/* 3383 */    MCD_OPC_CheckPredicate, 0, 162, 145, // Skip to: 40669
-/* 3387 */    MCD_OPC_CheckField, 21, 1, 0, 156, 145, // Skip to: 40669
-/* 3393 */    MCD_OPC_Decode, 248, 13, 19, // Opcode: ST2Twov2d_POST
+/* 3383 */    MCD_OPC_CheckPredicate, 0, 134, 145, // Skip to: 40641
+/* 3387 */    MCD_OPC_CheckField, 21, 1, 0, 128, 145, // Skip to: 40641
+/* 3393 */    MCD_OPC_Decode, 250, 13, 19, // Opcode: ST2Twov2d_POST
 /* 3397 */    MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 3415
-/* 3401 */    MCD_OPC_CheckPredicate, 0, 144, 145, // Skip to: 40669
-/* 3405 */    MCD_OPC_CheckField, 21, 1, 0, 138, 145, // Skip to: 40669
-/* 3411 */    MCD_OPC_Decode, 222, 13, 19, // Opcode: ST1Twov16b_POST
+/* 3401 */    MCD_OPC_CheckPredicate, 0, 116, 145, // Skip to: 40641
+/* 3405 */    MCD_OPC_CheckField, 21, 1, 0, 110, 145, // Skip to: 40641
+/* 3411 */    MCD_OPC_Decode, 224, 13, 19, // Opcode: ST1Twov16b_POST
 /* 3415 */    MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 3433
-/* 3419 */    MCD_OPC_CheckPredicate, 0, 126, 145, // Skip to: 40669
-/* 3423 */    MCD_OPC_CheckField, 21, 1, 0, 120, 145, // Skip to: 40669
-/* 3429 */    MCD_OPC_Decode, 236, 13, 19, // Opcode: ST1Twov8h_POST
+/* 3419 */    MCD_OPC_CheckPredicate, 0, 98, 145, // Skip to: 40641
+/* 3423 */    MCD_OPC_CheckField, 21, 1, 0, 92, 145, // Skip to: 40641
+/* 3429 */    MCD_OPC_Decode, 238, 13, 19, // Opcode: ST1Twov8h_POST
 /* 3433 */    MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 3451
-/* 3437 */    MCD_OPC_CheckPredicate, 0, 108, 145, // Skip to: 40669
-/* 3441 */    MCD_OPC_CheckField, 21, 1, 0, 102, 145, // Skip to: 40669
-/* 3447 */    MCD_OPC_Decode, 232, 13, 19, // Opcode: ST1Twov4s_POST
-/* 3451 */    MCD_OPC_FilterValue, 43, 94, 145, // Skip to: 40669
-/* 3455 */    MCD_OPC_CheckPredicate, 0, 90, 145, // Skip to: 40669
-/* 3459 */    MCD_OPC_CheckField, 21, 1, 0, 84, 145, // Skip to: 40669
-/* 3465 */    MCD_OPC_Decode, 226, 13, 19, // Opcode: ST1Twov2d_POST
+/* 3437 */    MCD_OPC_CheckPredicate, 0, 80, 145, // Skip to: 40641
+/* 3441 */    MCD_OPC_CheckField, 21, 1, 0, 74, 145, // Skip to: 40641
+/* 3447 */    MCD_OPC_Decode, 234, 13, 19, // Opcode: ST1Twov4s_POST
+/* 3451 */    MCD_OPC_FilterValue, 43, 66, 145, // Skip to: 40641
+/* 3455 */    MCD_OPC_CheckPredicate, 0, 62, 145, // Skip to: 40641
+/* 3459 */    MCD_OPC_CheckField, 21, 1, 0, 56, 145, // Skip to: 40641
+/* 3465 */    MCD_OPC_Decode, 228, 13, 19, // Opcode: ST1Twov2d_POST
 /* 3469 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 3477
-/* 3473 */    MCD_OPC_Decode, 199, 14, 3, // Opcode: STPDpost
-/* 3477 */    MCD_OPC_FilterValue, 5, 68, 145, // Skip to: 40669
-/* 3481 */    MCD_OPC_Decode, 202, 14, 3, // Opcode: STPQpost
+/* 3473 */    MCD_OPC_Decode, 201, 14, 3, // Opcode: STPDpost
+/* 3477 */    MCD_OPC_FilterValue, 5, 40, 145, // Skip to: 40641
+/* 3481 */    MCD_OPC_Decode, 204, 14, 3, // Opcode: STPQpost
 /* 3485 */    MCD_OPC_FilterValue, 3, 227, 3, // Skip to: 4484
 /* 3489 */    MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 3492 */    MCD_OPC_FilterValue, 0, 197, 1, // Skip to: 3949
 /* 3496 */    MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 3499 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3517
-/* 3503 */    MCD_OPC_CheckPredicate, 0, 42, 145, // Skip to: 40669
-/* 3507 */    MCD_OPC_CheckField, 21, 1, 0, 36, 145, // Skip to: 40669
-/* 3513 */    MCD_OPC_Decode, 136, 7, 12, // Opcode: LD4Fourv8b_POST
+/* 3503 */    MCD_OPC_CheckPredicate, 0, 14, 145, // Skip to: 40641
+/* 3507 */    MCD_OPC_CheckField, 21, 1, 0, 8, 145, // Skip to: 40641
+/* 3513 */    MCD_OPC_Decode, 138, 7, 12, // Opcode: LD4Fourv8b_POST
 /* 3517 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3535
-/* 3521 */    MCD_OPC_CheckPredicate, 0, 24, 145, // Skip to: 40669
-/* 3525 */    MCD_OPC_CheckField, 21, 1, 0, 18, 145, // Skip to: 40669
-/* 3531 */    MCD_OPC_Decode, 132, 7, 12, // Opcode: LD4Fourv4h_POST
+/* 3521 */    MCD_OPC_CheckPredicate, 0, 252, 144, // Skip to: 40641
+/* 3525 */    MCD_OPC_CheckField, 21, 1, 0, 246, 144, // Skip to: 40641
+/* 3531 */    MCD_OPC_Decode, 134, 7, 12, // Opcode: LD4Fourv4h_POST
 /* 3535 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3553
-/* 3539 */    MCD_OPC_CheckPredicate, 0, 6, 145, // Skip to: 40669
-/* 3543 */    MCD_OPC_CheckField, 21, 1, 0, 0, 145, // Skip to: 40669
-/* 3549 */    MCD_OPC_Decode, 130, 7, 12, // Opcode: LD4Fourv2s_POST
+/* 3539 */    MCD_OPC_CheckPredicate, 0, 234, 144, // Skip to: 40641
+/* 3543 */    MCD_OPC_CheckField, 21, 1, 0, 228, 144, // Skip to: 40641
+/* 3549 */    MCD_OPC_Decode, 132, 7, 12, // Opcode: LD4Fourv2s_POST
 /* 3553 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 3571
-/* 3557 */    MCD_OPC_CheckPredicate, 0, 244, 144, // Skip to: 40669
-/* 3561 */    MCD_OPC_CheckField, 21, 1, 0, 238, 144, // Skip to: 40669
-/* 3567 */    MCD_OPC_Decode, 230, 5, 12, // Opcode: LD1Fourv8b_POST
+/* 3557 */    MCD_OPC_CheckPredicate, 0, 216, 144, // Skip to: 40641
+/* 3561 */    MCD_OPC_CheckField, 21, 1, 0, 210, 144, // Skip to: 40641
+/* 3567 */    MCD_OPC_Decode, 232, 5, 12, // Opcode: LD1Fourv8b_POST
 /* 3571 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 3589
-/* 3575 */    MCD_OPC_CheckPredicate, 0, 226, 144, // Skip to: 40669
-/* 3579 */    MCD_OPC_CheckField, 21, 1, 0, 220, 144, // Skip to: 40669
-/* 3585 */    MCD_OPC_Decode, 226, 5, 12, // Opcode: LD1Fourv4h_POST
+/* 3575 */    MCD_OPC_CheckPredicate, 0, 198, 144, // Skip to: 40641
+/* 3579 */    MCD_OPC_CheckField, 21, 1, 0, 192, 144, // Skip to: 40641
+/* 3585 */    MCD_OPC_Decode, 228, 5, 12, // Opcode: LD1Fourv4h_POST
 /* 3589 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 3607
-/* 3593 */    MCD_OPC_CheckPredicate, 0, 208, 144, // Skip to: 40669
-/* 3597 */    MCD_OPC_CheckField, 21, 1, 0, 202, 144, // Skip to: 40669
-/* 3603 */    MCD_OPC_Decode, 224, 5, 12, // Opcode: LD1Fourv2s_POST
+/* 3593 */    MCD_OPC_CheckPredicate, 0, 180, 144, // Skip to: 40641
+/* 3597 */    MCD_OPC_CheckField, 21, 1, 0, 174, 144, // Skip to: 40641
+/* 3603 */    MCD_OPC_Decode, 226, 5, 12, // Opcode: LD1Fourv2s_POST
 /* 3607 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 3625
-/* 3611 */    MCD_OPC_CheckPredicate, 0, 190, 144, // Skip to: 40669
-/* 3615 */    MCD_OPC_CheckField, 21, 1, 0, 184, 144, // Skip to: 40669
-/* 3621 */    MCD_OPC_Decode, 220, 5, 12, // Opcode: LD1Fourv1d_POST
+/* 3611 */    MCD_OPC_CheckPredicate, 0, 162, 144, // Skip to: 40641
+/* 3615 */    MCD_OPC_CheckField, 21, 1, 0, 156, 144, // Skip to: 40641
+/* 3621 */    MCD_OPC_Decode, 222, 5, 12, // Opcode: LD1Fourv1d_POST
 /* 3625 */    MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 3643
-/* 3629 */    MCD_OPC_CheckPredicate, 0, 172, 144, // Skip to: 40669
-/* 3633 */    MCD_OPC_CheckField, 21, 1, 0, 166, 144, // Skip to: 40669
-/* 3639 */    MCD_OPC_Decode, 242, 6, 13, // Opcode: LD3Threev8b_POST
+/* 3629 */    MCD_OPC_CheckPredicate, 0, 144, 144, // Skip to: 40641
+/* 3633 */    MCD_OPC_CheckField, 21, 1, 0, 138, 144, // Skip to: 40641
+/* 3639 */    MCD_OPC_Decode, 244, 6, 13, // Opcode: LD3Threev8b_POST
 /* 3643 */    MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 3661
-/* 3647 */    MCD_OPC_CheckPredicate, 0, 154, 144, // Skip to: 40669
-/* 3651 */    MCD_OPC_CheckField, 21, 1, 0, 148, 144, // Skip to: 40669
-/* 3657 */    MCD_OPC_Decode, 238, 6, 13, // Opcode: LD3Threev4h_POST
+/* 3647 */    MCD_OPC_CheckPredicate, 0, 126, 144, // Skip to: 40641
+/* 3651 */    MCD_OPC_CheckField, 21, 1, 0, 120, 144, // Skip to: 40641
+/* 3657 */    MCD_OPC_Decode, 240, 6, 13, // Opcode: LD3Threev4h_POST
 /* 3661 */    MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 3679
-/* 3665 */    MCD_OPC_CheckPredicate, 0, 136, 144, // Skip to: 40669
-/* 3669 */    MCD_OPC_CheckField, 21, 1, 0, 130, 144, // Skip to: 40669
-/* 3675 */    MCD_OPC_Decode, 236, 6, 13, // Opcode: LD3Threev2s_POST
+/* 3665 */    MCD_OPC_CheckPredicate, 0, 108, 144, // Skip to: 40641
+/* 3669 */    MCD_OPC_CheckField, 21, 1, 0, 102, 144, // Skip to: 40641
+/* 3675 */    MCD_OPC_Decode, 238, 6, 13, // Opcode: LD3Threev2s_POST
 /* 3679 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 3697
-/* 3683 */    MCD_OPC_CheckPredicate, 0, 118, 144, // Skip to: 40669
-/* 3687 */    MCD_OPC_CheckField, 21, 1, 0, 112, 144, // Skip to: 40669
-/* 3693 */    MCD_OPC_Decode, 150, 6, 13, // Opcode: LD1Threev8b_POST
+/* 3683 */    MCD_OPC_CheckPredicate, 0, 90, 144, // Skip to: 40641
+/* 3687 */    MCD_OPC_CheckField, 21, 1, 0, 84, 144, // Skip to: 40641
+/* 3693 */    MCD_OPC_Decode, 152, 6, 13, // Opcode: LD1Threev8b_POST
 /* 3697 */    MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 3715
-/* 3701 */    MCD_OPC_CheckPredicate, 0, 100, 144, // Skip to: 40669
-/* 3705 */    MCD_OPC_CheckField, 21, 1, 0, 94, 144, // Skip to: 40669
-/* 3711 */    MCD_OPC_Decode, 146, 6, 13, // Opcode: LD1Threev4h_POST
+/* 3701 */    MCD_OPC_CheckPredicate, 0, 72, 144, // Skip to: 40641
+/* 3705 */    MCD_OPC_CheckField, 21, 1, 0, 66, 144, // Skip to: 40641
+/* 3711 */    MCD_OPC_Decode, 148, 6, 13, // Opcode: LD1Threev4h_POST
 /* 3715 */    MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 3733
-/* 3719 */    MCD_OPC_CheckPredicate, 0, 82, 144, // Skip to: 40669
-/* 3723 */    MCD_OPC_CheckField, 21, 1, 0, 76, 144, // Skip to: 40669
-/* 3729 */    MCD_OPC_Decode, 144, 6, 13, // Opcode: LD1Threev2s_POST
+/* 3719 */    MCD_OPC_CheckPredicate, 0, 54, 144, // Skip to: 40641
+/* 3723 */    MCD_OPC_CheckField, 21, 1, 0, 48, 144, // Skip to: 40641
+/* 3729 */    MCD_OPC_Decode, 146, 6, 13, // Opcode: LD1Threev2s_POST
 /* 3733 */    MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 3751
-/* 3737 */    MCD_OPC_CheckPredicate, 0, 64, 144, // Skip to: 40669
-/* 3741 */    MCD_OPC_CheckField, 21, 1, 0, 58, 144, // Skip to: 40669
-/* 3747 */    MCD_OPC_Decode, 140, 6, 13, // Opcode: LD1Threev1d_POST
+/* 3737 */    MCD_OPC_CheckPredicate, 0, 36, 144, // Skip to: 40641
+/* 3741 */    MCD_OPC_CheckField, 21, 1, 0, 30, 144, // Skip to: 40641
+/* 3747 */    MCD_OPC_Decode, 142, 6, 13, // Opcode: LD1Threev1d_POST
 /* 3751 */    MCD_OPC_FilterValue, 28, 14, 0, // Skip to: 3769
-/* 3755 */    MCD_OPC_CheckPredicate, 0, 46, 144, // Skip to: 40669
-/* 3759 */    MCD_OPC_CheckField, 21, 1, 0, 40, 144, // Skip to: 40669
-/* 3765 */    MCD_OPC_Decode, 246, 5, 14, // Opcode: LD1Onev8b_POST
+/* 3755 */    MCD_OPC_CheckPredicate, 0, 18, 144, // Skip to: 40641
+/* 3759 */    MCD_OPC_CheckField, 21, 1, 0, 12, 144, // Skip to: 40641
+/* 3765 */    MCD_OPC_Decode, 248, 5, 14, // Opcode: LD1Onev8b_POST
 /* 3769 */    MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 3787
-/* 3773 */    MCD_OPC_CheckPredicate, 0, 28, 144, // Skip to: 40669
-/* 3777 */    MCD_OPC_CheckField, 21, 1, 0, 22, 144, // Skip to: 40669
-/* 3783 */    MCD_OPC_Decode, 242, 5, 14, // Opcode: LD1Onev4h_POST
+/* 3773 */    MCD_OPC_CheckPredicate, 0, 0, 144, // Skip to: 40641
+/* 3777 */    MCD_OPC_CheckField, 21, 1, 0, 250, 143, // Skip to: 40641
+/* 3783 */    MCD_OPC_Decode, 244, 5, 14, // Opcode: LD1Onev4h_POST
 /* 3787 */    MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 3805
-/* 3791 */    MCD_OPC_CheckPredicate, 0, 10, 144, // Skip to: 40669
-/* 3795 */    MCD_OPC_CheckField, 21, 1, 0, 4, 144, // Skip to: 40669
-/* 3801 */    MCD_OPC_Decode, 240, 5, 14, // Opcode: LD1Onev2s_POST
+/* 3791 */    MCD_OPC_CheckPredicate, 0, 238, 143, // Skip to: 40641
+/* 3795 */    MCD_OPC_CheckField, 21, 1, 0, 232, 143, // Skip to: 40641
+/* 3801 */    MCD_OPC_Decode, 242, 5, 14, // Opcode: LD1Onev2s_POST
 /* 3805 */    MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 3823
-/* 3809 */    MCD_OPC_CheckPredicate, 0, 248, 143, // Skip to: 40669
-/* 3813 */    MCD_OPC_CheckField, 21, 1, 0, 242, 143, // Skip to: 40669
-/* 3819 */    MCD_OPC_Decode, 236, 5, 14, // Opcode: LD1Onev1d_POST
+/* 3809 */    MCD_OPC_CheckPredicate, 0, 220, 143, // Skip to: 40641
+/* 3813 */    MCD_OPC_CheckField, 21, 1, 0, 214, 143, // Skip to: 40641
+/* 3819 */    MCD_OPC_Decode, 238, 5, 14, // Opcode: LD1Onev1d_POST
 /* 3823 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 3841
-/* 3827 */    MCD_OPC_CheckPredicate, 0, 230, 143, // Skip to: 40669
-/* 3831 */    MCD_OPC_CheckField, 21, 1, 0, 224, 143, // Skip to: 40669
-/* 3837 */    MCD_OPC_Decode, 204, 6, 15, // Opcode: LD2Twov8b_POST
+/* 3827 */    MCD_OPC_CheckPredicate, 0, 202, 143, // Skip to: 40641
+/* 3831 */    MCD_OPC_CheckField, 21, 1, 0, 196, 143, // Skip to: 40641
+/* 3837 */    MCD_OPC_Decode, 206, 6, 15, // Opcode: LD2Twov8b_POST
 /* 3841 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 3859
-/* 3845 */    MCD_OPC_CheckPredicate, 0, 212, 143, // Skip to: 40669
-/* 3849 */    MCD_OPC_CheckField, 21, 1, 0, 206, 143, // Skip to: 40669
-/* 3855 */    MCD_OPC_Decode, 200, 6, 15, // Opcode: LD2Twov4h_POST
+/* 3845 */    MCD_OPC_CheckPredicate, 0, 184, 143, // Skip to: 40641
+/* 3849 */    MCD_OPC_CheckField, 21, 1, 0, 178, 143, // Skip to: 40641
+/* 3855 */    MCD_OPC_Decode, 202, 6, 15, // Opcode: LD2Twov4h_POST
 /* 3859 */    MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 3877
-/* 3863 */    MCD_OPC_CheckPredicate, 0, 194, 143, // Skip to: 40669
-/* 3867 */    MCD_OPC_CheckField, 21, 1, 0, 188, 143, // Skip to: 40669
-/* 3873 */    MCD_OPC_Decode, 198, 6, 15, // Opcode: LD2Twov2s_POST
+/* 3863 */    MCD_OPC_CheckPredicate, 0, 166, 143, // Skip to: 40641
+/* 3867 */    MCD_OPC_CheckField, 21, 1, 0, 160, 143, // Skip to: 40641
+/* 3873 */    MCD_OPC_Decode, 200, 6, 15, // Opcode: LD2Twov2s_POST
 /* 3877 */    MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 3895
-/* 3881 */    MCD_OPC_CheckPredicate, 0, 176, 143, // Skip to: 40669
-/* 3885 */    MCD_OPC_CheckField, 21, 1, 0, 170, 143, // Skip to: 40669
-/* 3891 */    MCD_OPC_Decode, 166, 6, 15, // Opcode: LD1Twov8b_POST
+/* 3881 */    MCD_OPC_CheckPredicate, 0, 148, 143, // Skip to: 40641
+/* 3885 */    MCD_OPC_CheckField, 21, 1, 0, 142, 143, // Skip to: 40641
+/* 3891 */    MCD_OPC_Decode, 168, 6, 15, // Opcode: LD1Twov8b_POST
 /* 3895 */    MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 3913
-/* 3899 */    MCD_OPC_CheckPredicate, 0, 158, 143, // Skip to: 40669
-/* 3903 */    MCD_OPC_CheckField, 21, 1, 0, 152, 143, // Skip to: 40669
-/* 3909 */    MCD_OPC_Decode, 162, 6, 15, // Opcode: LD1Twov4h_POST
+/* 3899 */    MCD_OPC_CheckPredicate, 0, 130, 143, // Skip to: 40641
+/* 3903 */    MCD_OPC_CheckField, 21, 1, 0, 124, 143, // Skip to: 40641
+/* 3909 */    MCD_OPC_Decode, 164, 6, 15, // Opcode: LD1Twov4h_POST
 /* 3913 */    MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 3931
-/* 3917 */    MCD_OPC_CheckPredicate, 0, 140, 143, // Skip to: 40669
-/* 3921 */    MCD_OPC_CheckField, 21, 1, 0, 134, 143, // Skip to: 40669
-/* 3927 */    MCD_OPC_Decode, 160, 6, 15, // Opcode: LD1Twov2s_POST
-/* 3931 */    MCD_OPC_FilterValue, 43, 126, 143, // Skip to: 40669
-/* 3935 */    MCD_OPC_CheckPredicate, 0, 122, 143, // Skip to: 40669
-/* 3939 */    MCD_OPC_CheckField, 21, 1, 0, 116, 143, // Skip to: 40669
-/* 3945 */    MCD_OPC_Decode, 156, 6, 15, // Opcode: LD1Twov1d_POST
+/* 3917 */    MCD_OPC_CheckPredicate, 0, 112, 143, // Skip to: 40641
+/* 3921 */    MCD_OPC_CheckField, 21, 1, 0, 106, 143, // Skip to: 40641
+/* 3927 */    MCD_OPC_Decode, 162, 6, 15, // Opcode: LD1Twov2s_POST
+/* 3931 */    MCD_OPC_FilterValue, 43, 98, 143, // Skip to: 40641
+/* 3935 */    MCD_OPC_CheckPredicate, 0, 94, 143, // Skip to: 40641
+/* 3939 */    MCD_OPC_CheckField, 21, 1, 0, 88, 143, // Skip to: 40641
+/* 3945 */    MCD_OPC_Decode, 158, 6, 15, // Opcode: LD1Twov1d_POST
 /* 3949 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 3957
-/* 3953 */    MCD_OPC_Decode, 188, 7, 3, // Opcode: LDPSpost
+/* 3953 */    MCD_OPC_Decode, 190, 7, 3, // Opcode: LDPSpost
 /* 3957 */    MCD_OPC_FilterValue, 2, 251, 1, // Skip to: 4468
 /* 3961 */    MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 3964 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3982
-/* 3968 */    MCD_OPC_CheckPredicate, 0, 89, 143, // Skip to: 40669
-/* 3972 */    MCD_OPC_CheckField, 21, 1, 0, 83, 143, // Skip to: 40669
-/* 3978 */    MCD_OPC_Decode, 254, 6, 16, // Opcode: LD4Fourv16b_POST
+/* 3968 */    MCD_OPC_CheckPredicate, 0, 61, 143, // Skip to: 40641
+/* 3972 */    MCD_OPC_CheckField, 21, 1, 0, 55, 143, // Skip to: 40641
+/* 3978 */    MCD_OPC_Decode, 128, 7, 16, // Opcode: LD4Fourv16b_POST
 /* 3982 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4000
-/* 3986 */    MCD_OPC_CheckPredicate, 0, 71, 143, // Skip to: 40669
-/* 3990 */    MCD_OPC_CheckField, 21, 1, 0, 65, 143, // Skip to: 40669
-/* 3996 */    MCD_OPC_Decode, 138, 7, 16, // Opcode: LD4Fourv8h_POST
+/* 3986 */    MCD_OPC_CheckPredicate, 0, 43, 143, // Skip to: 40641
+/* 3990 */    MCD_OPC_CheckField, 21, 1, 0, 37, 143, // Skip to: 40641
+/* 3996 */    MCD_OPC_Decode, 140, 7, 16, // Opcode: LD4Fourv8h_POST
 /* 4000 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 4018
-/* 4004 */    MCD_OPC_CheckPredicate, 0, 53, 143, // Skip to: 40669
-/* 4008 */    MCD_OPC_CheckField, 21, 1, 0, 47, 143, // Skip to: 40669
-/* 4014 */    MCD_OPC_Decode, 134, 7, 16, // Opcode: LD4Fourv4s_POST
+/* 4004 */    MCD_OPC_CheckPredicate, 0, 25, 143, // Skip to: 40641
+/* 4008 */    MCD_OPC_CheckField, 21, 1, 0, 19, 143, // Skip to: 40641
+/* 4014 */    MCD_OPC_Decode, 136, 7, 16, // Opcode: LD4Fourv4s_POST
 /* 4018 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 4036
-/* 4022 */    MCD_OPC_CheckPredicate, 0, 35, 143, // Skip to: 40669
-/* 4026 */    MCD_OPC_CheckField, 21, 1, 0, 29, 143, // Skip to: 40669
-/* 4032 */    MCD_OPC_Decode, 128, 7, 16, // Opcode: LD4Fourv2d_POST
+/* 4022 */    MCD_OPC_CheckPredicate, 0, 7, 143, // Skip to: 40641
+/* 4026 */    MCD_OPC_CheckField, 21, 1, 0, 1, 143, // Skip to: 40641
+/* 4032 */    MCD_OPC_Decode, 130, 7, 16, // Opcode: LD4Fourv2d_POST
 /* 4036 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 4054
-/* 4040 */    MCD_OPC_CheckPredicate, 0, 17, 143, // Skip to: 40669
-/* 4044 */    MCD_OPC_CheckField, 21, 1, 0, 11, 143, // Skip to: 40669
-/* 4050 */    MCD_OPC_Decode, 218, 5, 16, // Opcode: LD1Fourv16b_POST
+/* 4040 */    MCD_OPC_CheckPredicate, 0, 245, 142, // Skip to: 40641
+/* 4044 */    MCD_OPC_CheckField, 21, 1, 0, 239, 142, // Skip to: 40641
+/* 4050 */    MCD_OPC_Decode, 220, 5, 16, // Opcode: LD1Fourv16b_POST
 /* 4054 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 4072
-/* 4058 */    MCD_OPC_CheckPredicate, 0, 255, 142, // Skip to: 40669
-/* 4062 */    MCD_OPC_CheckField, 21, 1, 0, 249, 142, // Skip to: 40669
-/* 4068 */    MCD_OPC_Decode, 232, 5, 16, // Opcode: LD1Fourv8h_POST
+/* 4058 */    MCD_OPC_CheckPredicate, 0, 227, 142, // Skip to: 40641
+/* 4062 */    MCD_OPC_CheckField, 21, 1, 0, 221, 142, // Skip to: 40641
+/* 4068 */    MCD_OPC_Decode, 234, 5, 16, // Opcode: LD1Fourv8h_POST
 /* 4072 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 4090
-/* 4076 */    MCD_OPC_CheckPredicate, 0, 237, 142, // Skip to: 40669
-/* 4080 */    MCD_OPC_CheckField, 21, 1, 0, 231, 142, // Skip to: 40669
-/* 4086 */    MCD_OPC_Decode, 228, 5, 16, // Opcode: LD1Fourv4s_POST
+/* 4076 */    MCD_OPC_CheckPredicate, 0, 209, 142, // Skip to: 40641
+/* 4080 */    MCD_OPC_CheckField, 21, 1, 0, 203, 142, // Skip to: 40641
+/* 4086 */    MCD_OPC_Decode, 230, 5, 16, // Opcode: LD1Fourv4s_POST
 /* 4090 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 4108
-/* 4094 */    MCD_OPC_CheckPredicate, 0, 219, 142, // Skip to: 40669
-/* 4098 */    MCD_OPC_CheckField, 21, 1, 0, 213, 142, // Skip to: 40669
-/* 4104 */    MCD_OPC_Decode, 222, 5, 16, // Opcode: LD1Fourv2d_POST
+/* 4094 */    MCD_OPC_CheckPredicate, 0, 191, 142, // Skip to: 40641
+/* 4098 */    MCD_OPC_CheckField, 21, 1, 0, 185, 142, // Skip to: 40641
+/* 4104 */    MCD_OPC_Decode, 224, 5, 16, // Opcode: LD1Fourv2d_POST
 /* 4108 */    MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 4126
-/* 4112 */    MCD_OPC_CheckPredicate, 0, 201, 142, // Skip to: 40669
-/* 4116 */    MCD_OPC_CheckField, 21, 1, 0, 195, 142, // Skip to: 40669
-/* 4122 */    MCD_OPC_Decode, 232, 6, 17, // Opcode: LD3Threev16b_POST
+/* 4112 */    MCD_OPC_CheckPredicate, 0, 173, 142, // Skip to: 40641
+/* 4116 */    MCD_OPC_CheckField, 21, 1, 0, 167, 142, // Skip to: 40641
+/* 4122 */    MCD_OPC_Decode, 234, 6, 17, // Opcode: LD3Threev16b_POST
 /* 4126 */    MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 4144
-/* 4130 */    MCD_OPC_CheckPredicate, 0, 183, 142, // Skip to: 40669
-/* 4134 */    MCD_OPC_CheckField, 21, 1, 0, 177, 142, // Skip to: 40669
-/* 4140 */    MCD_OPC_Decode, 244, 6, 17, // Opcode: LD3Threev8h_POST
+/* 4130 */    MCD_OPC_CheckPredicate, 0, 155, 142, // Skip to: 40641
+/* 4134 */    MCD_OPC_CheckField, 21, 1, 0, 149, 142, // Skip to: 40641
+/* 4140 */    MCD_OPC_Decode, 246, 6, 17, // Opcode: LD3Threev8h_POST
 /* 4144 */    MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 4162
-/* 4148 */    MCD_OPC_CheckPredicate, 0, 165, 142, // Skip to: 40669
-/* 4152 */    MCD_OPC_CheckField, 21, 1, 0, 159, 142, // Skip to: 40669
-/* 4158 */    MCD_OPC_Decode, 240, 6, 17, // Opcode: LD3Threev4s_POST
+/* 4148 */    MCD_OPC_CheckPredicate, 0, 137, 142, // Skip to: 40641
+/* 4152 */    MCD_OPC_CheckField, 21, 1, 0, 131, 142, // Skip to: 40641
+/* 4158 */    MCD_OPC_Decode, 242, 6, 17, // Opcode: LD3Threev4s_POST
 /* 4162 */    MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 4180
-/* 4166 */    MCD_OPC_CheckPredicate, 0, 147, 142, // Skip to: 40669
-/* 4170 */    MCD_OPC_CheckField, 21, 1, 0, 141, 142, // Skip to: 40669
-/* 4176 */    MCD_OPC_Decode, 234, 6, 17, // Opcode: LD3Threev2d_POST
+/* 4166 */    MCD_OPC_CheckPredicate, 0, 119, 142, // Skip to: 40641
+/* 4170 */    MCD_OPC_CheckField, 21, 1, 0, 113, 142, // Skip to: 40641
+/* 4176 */    MCD_OPC_Decode, 236, 6, 17, // Opcode: LD3Threev2d_POST
 /* 4180 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 4198
-/* 4184 */    MCD_OPC_CheckPredicate, 0, 129, 142, // Skip to: 40669
-/* 4188 */    MCD_OPC_CheckField, 21, 1, 0, 123, 142, // Skip to: 40669
-/* 4194 */    MCD_OPC_Decode, 138, 6, 17, // Opcode: LD1Threev16b_POST
+/* 4184 */    MCD_OPC_CheckPredicate, 0, 101, 142, // Skip to: 40641
+/* 4188 */    MCD_OPC_CheckField, 21, 1, 0, 95, 142, // Skip to: 40641
+/* 4194 */    MCD_OPC_Decode, 140, 6, 17, // Opcode: LD1Threev16b_POST
 /* 4198 */    MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 4216
-/* 4202 */    MCD_OPC_CheckPredicate, 0, 111, 142, // Skip to: 40669
-/* 4206 */    MCD_OPC_CheckField, 21, 1, 0, 105, 142, // Skip to: 40669
-/* 4212 */    MCD_OPC_Decode, 152, 6, 17, // Opcode: LD1Threev8h_POST
+/* 4202 */    MCD_OPC_CheckPredicate, 0, 83, 142, // Skip to: 40641
+/* 4206 */    MCD_OPC_CheckField, 21, 1, 0, 77, 142, // Skip to: 40641
+/* 4212 */    MCD_OPC_Decode, 154, 6, 17, // Opcode: LD1Threev8h_POST
 /* 4216 */    MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 4234
-/* 4220 */    MCD_OPC_CheckPredicate, 0, 93, 142, // Skip to: 40669
-/* 4224 */    MCD_OPC_CheckField, 21, 1, 0, 87, 142, // Skip to: 40669
-/* 4230 */    MCD_OPC_Decode, 148, 6, 17, // Opcode: LD1Threev4s_POST
+/* 4220 */    MCD_OPC_CheckPredicate, 0, 65, 142, // Skip to: 40641
+/* 4224 */    MCD_OPC_CheckField, 21, 1, 0, 59, 142, // Skip to: 40641
+/* 4230 */    MCD_OPC_Decode, 150, 6, 17, // Opcode: LD1Threev4s_POST
 /* 4234 */    MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 4252
-/* 4238 */    MCD_OPC_CheckPredicate, 0, 75, 142, // Skip to: 40669
-/* 4242 */    MCD_OPC_CheckField, 21, 1, 0, 69, 142, // Skip to: 40669
-/* 4248 */    MCD_OPC_Decode, 142, 6, 17, // Opcode: LD1Threev2d_POST
+/* 4238 */    MCD_OPC_CheckPredicate, 0, 47, 142, // Skip to: 40641
+/* 4242 */    MCD_OPC_CheckField, 21, 1, 0, 41, 142, // Skip to: 40641
+/* 4248 */    MCD_OPC_Decode, 144, 6, 17, // Opcode: LD1Threev2d_POST
 /* 4252 */    MCD_OPC_FilterValue, 28, 14, 0, // Skip to: 4270
-/* 4256 */    MCD_OPC_CheckPredicate, 0, 57, 142, // Skip to: 40669
-/* 4260 */    MCD_OPC_CheckField, 21, 1, 0, 51, 142, // Skip to: 40669
-/* 4266 */    MCD_OPC_Decode, 234, 5, 18, // Opcode: LD1Onev16b_POST
+/* 4256 */    MCD_OPC_CheckPredicate, 0, 29, 142, // Skip to: 40641
+/* 4260 */    MCD_OPC_CheckField, 21, 1, 0, 23, 142, // Skip to: 40641
+/* 4266 */    MCD_OPC_Decode, 236, 5, 18, // Opcode: LD1Onev16b_POST
 /* 4270 */    MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 4288
-/* 4274 */    MCD_OPC_CheckPredicate, 0, 39, 142, // Skip to: 40669
-/* 4278 */    MCD_OPC_CheckField, 21, 1, 0, 33, 142, // Skip to: 40669
-/* 4284 */    MCD_OPC_Decode, 248, 5, 18, // Opcode: LD1Onev8h_POST
+/* 4274 */    MCD_OPC_CheckPredicate, 0, 11, 142, // Skip to: 40641
+/* 4278 */    MCD_OPC_CheckField, 21, 1, 0, 5, 142, // Skip to: 40641
+/* 4284 */    MCD_OPC_Decode, 250, 5, 18, // Opcode: LD1Onev8h_POST
 /* 4288 */    MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 4306
-/* 4292 */    MCD_OPC_CheckPredicate, 0, 21, 142, // Skip to: 40669
-/* 4296 */    MCD_OPC_CheckField, 21, 1, 0, 15, 142, // Skip to: 40669
-/* 4302 */    MCD_OPC_Decode, 244, 5, 18, // Opcode: LD1Onev4s_POST
+/* 4292 */    MCD_OPC_CheckPredicate, 0, 249, 141, // Skip to: 40641
+/* 4296 */    MCD_OPC_CheckField, 21, 1, 0, 243, 141, // Skip to: 40641
+/* 4302 */    MCD_OPC_Decode, 246, 5, 18, // Opcode: LD1Onev4s_POST
 /* 4306 */    MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 4324
-/* 4310 */    MCD_OPC_CheckPredicate, 0, 3, 142, // Skip to: 40669
-/* 4314 */    MCD_OPC_CheckField, 21, 1, 0, 253, 141, // Skip to: 40669
-/* 4320 */    MCD_OPC_Decode, 238, 5, 18, // Opcode: LD1Onev2d_POST
+/* 4310 */    MCD_OPC_CheckPredicate, 0, 231, 141, // Skip to: 40641
+/* 4314 */    MCD_OPC_CheckField, 21, 1, 0, 225, 141, // Skip to: 40641
+/* 4320 */    MCD_OPC_Decode, 240, 5, 18, // Opcode: LD1Onev2d_POST
 /* 4324 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 4342
-/* 4328 */    MCD_OPC_CheckPredicate, 0, 241, 141, // Skip to: 40669
-/* 4332 */    MCD_OPC_CheckField, 21, 1, 0, 235, 141, // Skip to: 40669
-/* 4338 */    MCD_OPC_Decode, 194, 6, 19, // Opcode: LD2Twov16b_POST
+/* 4328 */    MCD_OPC_CheckPredicate, 0, 213, 141, // Skip to: 40641
+/* 4332 */    MCD_OPC_CheckField, 21, 1, 0, 207, 141, // Skip to: 40641
+/* 4338 */    MCD_OPC_Decode, 196, 6, 19, // Opcode: LD2Twov16b_POST
 /* 4342 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 4360
-/* 4346 */    MCD_OPC_CheckPredicate, 0, 223, 141, // Skip to: 40669
-/* 4350 */    MCD_OPC_CheckField, 21, 1, 0, 217, 141, // Skip to: 40669
-/* 4356 */    MCD_OPC_Decode, 206, 6, 19, // Opcode: LD2Twov8h_POST
+/* 4346 */    MCD_OPC_CheckPredicate, 0, 195, 141, // Skip to: 40641
+/* 4350 */    MCD_OPC_CheckField, 21, 1, 0, 189, 141, // Skip to: 40641
+/* 4356 */    MCD_OPC_Decode, 208, 6, 19, // Opcode: LD2Twov8h_POST
 /* 4360 */    MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 4378
-/* 4364 */    MCD_OPC_CheckPredicate, 0, 205, 141, // Skip to: 40669
-/* 4368 */    MCD_OPC_CheckField, 21, 1, 0, 199, 141, // Skip to: 40669
-/* 4374 */    MCD_OPC_Decode, 202, 6, 19, // Opcode: LD2Twov4s_POST
+/* 4364 */    MCD_OPC_CheckPredicate, 0, 177, 141, // Skip to: 40641
+/* 4368 */    MCD_OPC_CheckField, 21, 1, 0, 171, 141, // Skip to: 40641
+/* 4374 */    MCD_OPC_Decode, 204, 6, 19, // Opcode: LD2Twov4s_POST
 /* 4378 */    MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 4396
-/* 4382 */    MCD_OPC_CheckPredicate, 0, 187, 141, // Skip to: 40669
-/* 4386 */    MCD_OPC_CheckField, 21, 1, 0, 181, 141, // Skip to: 40669
-/* 4392 */    MCD_OPC_Decode, 196, 6, 19, // Opcode: LD2Twov2d_POST
+/* 4382 */    MCD_OPC_CheckPredicate, 0, 159, 141, // Skip to: 40641
+/* 4386 */    MCD_OPC_CheckField, 21, 1, 0, 153, 141, // Skip to: 40641
+/* 4392 */    MCD_OPC_Decode, 198, 6, 19, // Opcode: LD2Twov2d_POST
 /* 4396 */    MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 4414
-/* 4400 */    MCD_OPC_CheckPredicate, 0, 169, 141, // Skip to: 40669
-/* 4404 */    MCD_OPC_CheckField, 21, 1, 0, 163, 141, // Skip to: 40669
-/* 4410 */    MCD_OPC_Decode, 154, 6, 19, // Opcode: LD1Twov16b_POST
+/* 4400 */    MCD_OPC_CheckPredicate, 0, 141, 141, // Skip to: 40641
+/* 4404 */    MCD_OPC_CheckField, 21, 1, 0, 135, 141, // Skip to: 40641
+/* 4410 */    MCD_OPC_Decode, 156, 6, 19, // Opcode: LD1Twov16b_POST
 /* 4414 */    MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 4432
-/* 4418 */    MCD_OPC_CheckPredicate, 0, 151, 141, // Skip to: 40669
-/* 4422 */    MCD_OPC_CheckField, 21, 1, 0, 145, 141, // Skip to: 40669
-/* 4428 */    MCD_OPC_Decode, 168, 6, 19, // Opcode: LD1Twov8h_POST
+/* 4418 */    MCD_OPC_CheckPredicate, 0, 123, 141, // Skip to: 40641
+/* 4422 */    MCD_OPC_CheckField, 21, 1, 0, 117, 141, // Skip to: 40641
+/* 4428 */    MCD_OPC_Decode, 170, 6, 19, // Opcode: LD1Twov8h_POST
 /* 4432 */    MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 4450
-/* 4436 */    MCD_OPC_CheckPredicate, 0, 133, 141, // Skip to: 40669
-/* 4440 */    MCD_OPC_CheckField, 21, 1, 0, 127, 141, // Skip to: 40669
-/* 4446 */    MCD_OPC_Decode, 164, 6, 19, // Opcode: LD1Twov4s_POST
-/* 4450 */    MCD_OPC_FilterValue, 43, 119, 141, // Skip to: 40669
-/* 4454 */    MCD_OPC_CheckPredicate, 0, 115, 141, // Skip to: 40669
-/* 4458 */    MCD_OPC_CheckField, 21, 1, 0, 109, 141, // Skip to: 40669
-/* 4464 */    MCD_OPC_Decode, 158, 6, 19, // Opcode: LD1Twov2d_POST
+/* 4436 */    MCD_OPC_CheckPredicate, 0, 105, 141, // Skip to: 40641
+/* 4440 */    MCD_OPC_CheckField, 21, 1, 0, 99, 141, // Skip to: 40641
+/* 4446 */    MCD_OPC_Decode, 166, 6, 19, // Opcode: LD1Twov4s_POST
+/* 4450 */    MCD_OPC_FilterValue, 43, 91, 141, // Skip to: 40641
+/* 4454 */    MCD_OPC_CheckPredicate, 0, 87, 141, // Skip to: 40641
+/* 4458 */    MCD_OPC_CheckField, 21, 1, 0, 81, 141, // Skip to: 40641
+/* 4464 */    MCD_OPC_Decode, 160, 6, 19, // Opcode: LD1Twov2d_POST
 /* 4468 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 4476
-/* 4472 */    MCD_OPC_Decode, 179, 7, 3, // Opcode: LDPDpost
-/* 4476 */    MCD_OPC_FilterValue, 5, 93, 141, // Skip to: 40669
-/* 4480 */    MCD_OPC_Decode, 182, 7, 3, // Opcode: LDPQpost
+/* 4472 */    MCD_OPC_Decode, 181, 7, 3, // Opcode: LDPDpost
+/* 4476 */    MCD_OPC_FilterValue, 5, 65, 141, // Skip to: 40641
+/* 4480 */    MCD_OPC_Decode, 184, 7, 3, // Opcode: LDPQpost
 /* 4484 */    MCD_OPC_FilterValue, 4, 155, 1, // Skip to: 4899
 /* 4488 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 4491 */    MCD_OPC_FilterValue, 0, 117, 1, // Skip to: 4868
 /* 4495 */    MCD_OPC_ExtractField, 13, 9,  // Inst{21-13} ...
 /* 4498 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4516
-/* 4502 */    MCD_OPC_CheckPredicate, 0, 67, 141, // Skip to: 40669
-/* 4506 */    MCD_OPC_CheckField, 31, 1, 0, 61, 141, // Skip to: 40669
-/* 4512 */    MCD_OPC_Decode, 243, 13, 20, // Opcode: ST1i8
+/* 4502 */    MCD_OPC_CheckPredicate, 0, 39, 141, // Skip to: 40641
+/* 4506 */    MCD_OPC_CheckField, 31, 1, 0, 33, 141, // Skip to: 40641
+/* 4512 */    MCD_OPC_Decode, 245, 13, 20, // Opcode: ST1i8
 /* 4516 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4534
-/* 4520 */    MCD_OPC_CheckPredicate, 0, 49, 141, // Skip to: 40669
-/* 4524 */    MCD_OPC_CheckField, 31, 1, 0, 43, 141, // Skip to: 40669
-/* 4530 */    MCD_OPC_Decode, 159, 14, 21, // Opcode: ST3i8
+/* 4520 */    MCD_OPC_CheckPredicate, 0, 21, 141, // Skip to: 40641
+/* 4524 */    MCD_OPC_CheckField, 31, 1, 0, 15, 141, // Skip to: 40641
+/* 4530 */    MCD_OPC_Decode, 161, 14, 21, // Opcode: ST3i8
 /* 4534 */    MCD_OPC_FilterValue, 2, 20, 0, // Skip to: 4558
-/* 4538 */    MCD_OPC_CheckPredicate, 0, 31, 141, // Skip to: 40669
-/* 4542 */    MCD_OPC_CheckField, 31, 1, 0, 25, 141, // Skip to: 40669
-/* 4548 */    MCD_OPC_CheckField, 10, 1, 0, 19, 141, // Skip to: 40669
-/* 4554 */    MCD_OPC_Decode, 237, 13, 22, // Opcode: ST1i16
+/* 4538 */    MCD_OPC_CheckPredicate, 0, 3, 141, // Skip to: 40641
+/* 4542 */    MCD_OPC_CheckField, 31, 1, 0, 253, 140, // Skip to: 40641
+/* 4548 */    MCD_OPC_CheckField, 10, 1, 0, 247, 140, // Skip to: 40641
+/* 4554 */    MCD_OPC_Decode, 239, 13, 22, // Opcode: ST1i16
 /* 4558 */    MCD_OPC_FilterValue, 3, 20, 0, // Skip to: 4582
-/* 4562 */    MCD_OPC_CheckPredicate, 0, 7, 141, // Skip to: 40669
-/* 4566 */    MCD_OPC_CheckField, 31, 1, 0, 1, 141, // Skip to: 40669
-/* 4572 */    MCD_OPC_CheckField, 10, 1, 0, 251, 140, // Skip to: 40669
-/* 4578 */    MCD_OPC_Decode, 153, 14, 23, // Opcode: ST3i16
+/* 4562 */    MCD_OPC_CheckPredicate, 0, 235, 140, // Skip to: 40641
+/* 4566 */    MCD_OPC_CheckField, 31, 1, 0, 229, 140, // Skip to: 40641
+/* 4572 */    MCD_OPC_CheckField, 10, 1, 0, 223, 140, // Skip to: 40641
+/* 4578 */    MCD_OPC_Decode, 155, 14, 23, // Opcode: ST3i16
 /* 4582 */    MCD_OPC_FilterValue, 4, 45, 0, // Skip to: 4631
 /* 4586 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 4589 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4607
-/* 4593 */    MCD_OPC_CheckPredicate, 0, 232, 140, // Skip to: 40669
-/* 4597 */    MCD_OPC_CheckField, 31, 1, 0, 226, 140, // Skip to: 40669
-/* 4603 */    MCD_OPC_Decode, 239, 13, 24, // Opcode: ST1i32
-/* 4607 */    MCD_OPC_FilterValue, 1, 218, 140, // Skip to: 40669
-/* 4611 */    MCD_OPC_CheckPredicate, 0, 214, 140, // Skip to: 40669
-/* 4615 */    MCD_OPC_CheckField, 31, 1, 0, 208, 140, // Skip to: 40669
-/* 4621 */    MCD_OPC_CheckField, 12, 1, 0, 202, 140, // Skip to: 40669
-/* 4627 */    MCD_OPC_Decode, 241, 13, 25, // Opcode: ST1i64
+/* 4593 */    MCD_OPC_CheckPredicate, 0, 204, 140, // Skip to: 40641
+/* 4597 */    MCD_OPC_CheckField, 31, 1, 0, 198, 140, // Skip to: 40641
+/* 4603 */    MCD_OPC_Decode, 241, 13, 24, // Opcode: ST1i32
+/* 4607 */    MCD_OPC_FilterValue, 1, 190, 140, // Skip to: 40641
+/* 4611 */    MCD_OPC_CheckPredicate, 0, 186, 140, // Skip to: 40641
+/* 4615 */    MCD_OPC_CheckField, 31, 1, 0, 180, 140, // Skip to: 40641
+/* 4621 */    MCD_OPC_CheckField, 12, 1, 0, 174, 140, // Skip to: 40641
+/* 4627 */    MCD_OPC_Decode, 243, 13, 25, // Opcode: ST1i64
 /* 4631 */    MCD_OPC_FilterValue, 5, 45, 0, // Skip to: 4680
 /* 4635 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 4638 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4656
-/* 4642 */    MCD_OPC_CheckPredicate, 0, 183, 140, // Skip to: 40669
-/* 4646 */    MCD_OPC_CheckField, 31, 1, 0, 177, 140, // Skip to: 40669
-/* 4652 */    MCD_OPC_Decode, 155, 14, 26, // Opcode: ST3i32
-/* 4656 */    MCD_OPC_FilterValue, 1, 169, 140, // Skip to: 40669
-/* 4660 */    MCD_OPC_CheckPredicate, 0, 165, 140, // Skip to: 40669
-/* 4664 */    MCD_OPC_CheckField, 31, 1, 0, 159, 140, // Skip to: 40669
-/* 4670 */    MCD_OPC_CheckField, 12, 1, 0, 153, 140, // Skip to: 40669
-/* 4676 */    MCD_OPC_Decode, 157, 14, 27, // Opcode: ST3i64
+/* 4642 */    MCD_OPC_CheckPredicate, 0, 155, 140, // Skip to: 40641
+/* 4646 */    MCD_OPC_CheckField, 31, 1, 0, 149, 140, // Skip to: 40641
+/* 4652 */    MCD_OPC_Decode, 157, 14, 26, // Opcode: ST3i32
+/* 4656 */    MCD_OPC_FilterValue, 1, 141, 140, // Skip to: 40641
+/* 4660 */    MCD_OPC_CheckPredicate, 0, 137, 140, // Skip to: 40641
+/* 4664 */    MCD_OPC_CheckField, 31, 1, 0, 131, 140, // Skip to: 40641
+/* 4670 */    MCD_OPC_CheckField, 12, 1, 0, 125, 140, // Skip to: 40641
+/* 4676 */    MCD_OPC_Decode, 159, 14, 27, // Opcode: ST3i64
 /* 4680 */    MCD_OPC_FilterValue, 128, 2, 14, 0, // Skip to: 4699
-/* 4685 */    MCD_OPC_CheckPredicate, 0, 140, 140, // Skip to: 40669
-/* 4689 */    MCD_OPC_CheckField, 31, 1, 0, 134, 140, // Skip to: 40669
-/* 4695 */    MCD_OPC_Decode, 137, 14, 28, // Opcode: ST2i8
+/* 4685 */    MCD_OPC_CheckPredicate, 0, 112, 140, // Skip to: 40641
+/* 4689 */    MCD_OPC_CheckField, 31, 1, 0, 106, 140, // Skip to: 40641
+/* 4695 */    MCD_OPC_Decode, 139, 14, 28, // Opcode: ST2i8
 /* 4699 */    MCD_OPC_FilterValue, 129, 2, 14, 0, // Skip to: 4718
-/* 4704 */    MCD_OPC_CheckPredicate, 0, 121, 140, // Skip to: 40669
-/* 4708 */    MCD_OPC_CheckField, 31, 1, 0, 115, 140, // Skip to: 40669
-/* 4714 */    MCD_OPC_Decode, 181, 14, 29, // Opcode: ST4i8
+/* 4704 */    MCD_OPC_CheckPredicate, 0, 93, 140, // Skip to: 40641
+/* 4708 */    MCD_OPC_CheckField, 31, 1, 0, 87, 140, // Skip to: 40641
+/* 4714 */    MCD_OPC_Decode, 183, 14, 29, // Opcode: ST4i8
 /* 4718 */    MCD_OPC_FilterValue, 130, 2, 20, 0, // Skip to: 4743
-/* 4723 */    MCD_OPC_CheckPredicate, 0, 102, 140, // Skip to: 40669
-/* 4727 */    MCD_OPC_CheckField, 31, 1, 0, 96, 140, // Skip to: 40669
-/* 4733 */    MCD_OPC_CheckField, 10, 1, 0, 90, 140, // Skip to: 40669
-/* 4739 */    MCD_OPC_Decode, 131, 14, 30, // Opcode: ST2i16
+/* 4723 */    MCD_OPC_CheckPredicate, 0, 74, 140, // Skip to: 40641
+/* 4727 */    MCD_OPC_CheckField, 31, 1, 0, 68, 140, // Skip to: 40641
+/* 4733 */    MCD_OPC_CheckField, 10, 1, 0, 62, 140, // Skip to: 40641
+/* 4739 */    MCD_OPC_Decode, 133, 14, 30, // Opcode: ST2i16
 /* 4743 */    MCD_OPC_FilterValue, 131, 2, 20, 0, // Skip to: 4768
-/* 4748 */    MCD_OPC_CheckPredicate, 0, 77, 140, // Skip to: 40669
-/* 4752 */    MCD_OPC_CheckField, 31, 1, 0, 71, 140, // Skip to: 40669
-/* 4758 */    MCD_OPC_CheckField, 10, 1, 0, 65, 140, // Skip to: 40669
-/* 4764 */    MCD_OPC_Decode, 175, 14, 31, // Opcode: ST4i16
+/* 4748 */    MCD_OPC_CheckPredicate, 0, 49, 140, // Skip to: 40641
+/* 4752 */    MCD_OPC_CheckField, 31, 1, 0, 43, 140, // Skip to: 40641
+/* 4758 */    MCD_OPC_CheckField, 10, 1, 0, 37, 140, // Skip to: 40641
+/* 4764 */    MCD_OPC_Decode, 177, 14, 31, // Opcode: ST4i16
 /* 4768 */    MCD_OPC_FilterValue, 132, 2, 45, 0, // Skip to: 4818
 /* 4773 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 4776 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4794
-/* 4780 */    MCD_OPC_CheckPredicate, 0, 45, 140, // Skip to: 40669
-/* 4784 */    MCD_OPC_CheckField, 31, 1, 0, 39, 140, // Skip to: 40669
-/* 4790 */    MCD_OPC_Decode, 133, 14, 32, // Opcode: ST2i32
-/* 4794 */    MCD_OPC_FilterValue, 1, 31, 140, // Skip to: 40669
-/* 4798 */    MCD_OPC_CheckPredicate, 0, 27, 140, // Skip to: 40669
-/* 4802 */    MCD_OPC_CheckField, 31, 1, 0, 21, 140, // Skip to: 40669
-/* 4808 */    MCD_OPC_CheckField, 12, 1, 0, 15, 140, // Skip to: 40669
-/* 4814 */    MCD_OPC_Decode, 135, 14, 33, // Opcode: ST2i64
-/* 4818 */    MCD_OPC_FilterValue, 133, 2, 6, 140, // Skip to: 40669
+/* 4780 */    MCD_OPC_CheckPredicate, 0, 17, 140, // Skip to: 40641
+/* 4784 */    MCD_OPC_CheckField, 31, 1, 0, 11, 140, // Skip to: 40641
+/* 4790 */    MCD_OPC_Decode, 135, 14, 32, // Opcode: ST2i32
+/* 4794 */    MCD_OPC_FilterValue, 1, 3, 140, // Skip to: 40641
+/* 4798 */    MCD_OPC_CheckPredicate, 0, 255, 139, // Skip to: 40641
+/* 4802 */    MCD_OPC_CheckField, 31, 1, 0, 249, 139, // Skip to: 40641
+/* 4808 */    MCD_OPC_CheckField, 12, 1, 0, 243, 139, // Skip to: 40641
+/* 4814 */    MCD_OPC_Decode, 137, 14, 33, // Opcode: ST2i64
+/* 4818 */    MCD_OPC_FilterValue, 133, 2, 234, 139, // Skip to: 40641
 /* 4823 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 4826 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4844
-/* 4830 */    MCD_OPC_CheckPredicate, 0, 251, 139, // Skip to: 40669
-/* 4834 */    MCD_OPC_CheckField, 31, 1, 0, 245, 139, // Skip to: 40669
-/* 4840 */    MCD_OPC_Decode, 177, 14, 34, // Opcode: ST4i32
-/* 4844 */    MCD_OPC_FilterValue, 1, 237, 139, // Skip to: 40669
-/* 4848 */    MCD_OPC_CheckPredicate, 0, 233, 139, // Skip to: 40669
-/* 4852 */    MCD_OPC_CheckField, 31, 1, 0, 227, 139, // Skip to: 40669
-/* 4858 */    MCD_OPC_CheckField, 12, 1, 0, 221, 139, // Skip to: 40669
-/* 4864 */    MCD_OPC_Decode, 179, 14, 35, // Opcode: ST4i64
-/* 4868 */    MCD_OPC_FilterValue, 1, 213, 139, // Skip to: 40669
+/* 4830 */    MCD_OPC_CheckPredicate, 0, 223, 139, // Skip to: 40641
+/* 4834 */    MCD_OPC_CheckField, 31, 1, 0, 217, 139, // Skip to: 40641
+/* 4840 */    MCD_OPC_Decode, 179, 14, 34, // Opcode: ST4i32
+/* 4844 */    MCD_OPC_FilterValue, 1, 209, 139, // Skip to: 40641
+/* 4848 */    MCD_OPC_CheckPredicate, 0, 205, 139, // Skip to: 40641
+/* 4852 */    MCD_OPC_CheckField, 31, 1, 0, 199, 139, // Skip to: 40641
+/* 4858 */    MCD_OPC_CheckField, 12, 1, 0, 193, 139, // Skip to: 40641
+/* 4864 */    MCD_OPC_Decode, 181, 14, 35, // Opcode: ST4i64
+/* 4868 */    MCD_OPC_FilterValue, 1, 185, 139, // Skip to: 40641
 /* 4872 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 4875 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4883
-/* 4879 */    MCD_OPC_Decode, 204, 14, 3, // Opcode: STPSi
+/* 4879 */    MCD_OPC_Decode, 206, 14, 3, // Opcode: STPSi
 /* 4883 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4891
-/* 4887 */    MCD_OPC_Decode, 198, 14, 3, // Opcode: STPDi
-/* 4891 */    MCD_OPC_FilterValue, 2, 190, 139, // Skip to: 40669
-/* 4895 */    MCD_OPC_Decode, 201, 14, 3, // Opcode: STPQi
+/* 4887 */    MCD_OPC_Decode, 200, 14, 3, // Opcode: STPDi
+/* 4891 */    MCD_OPC_FilterValue, 2, 162, 139, // Skip to: 40641
+/* 4895 */    MCD_OPC_Decode, 203, 14, 3, // Opcode: STPQi
 /* 4899 */    MCD_OPC_FilterValue, 5, 169, 3, // Skip to: 5840
 /* 4903 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 4906 */    MCD_OPC_FilterValue, 0, 131, 3, // Skip to: 5809
 /* 4910 */    MCD_OPC_ExtractField, 13, 9,  // Inst{21-13} ...
 /* 4913 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4931
-/* 4917 */    MCD_OPC_CheckPredicate, 0, 164, 139, // Skip to: 40669
-/* 4921 */    MCD_OPC_CheckField, 31, 1, 0, 158, 139, // Skip to: 40669
-/* 4927 */    MCD_OPC_Decode, 175, 6, 36, // Opcode: LD1i8
+/* 4917 */    MCD_OPC_CheckPredicate, 0, 136, 139, // Skip to: 40641
+/* 4921 */    MCD_OPC_CheckField, 31, 1, 0, 130, 139, // Skip to: 40641
+/* 4927 */    MCD_OPC_Decode, 177, 6, 36, // Opcode: LD1i8
 /* 4931 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4949
-/* 4935 */    MCD_OPC_CheckPredicate, 0, 146, 139, // Skip to: 40669
-/* 4939 */    MCD_OPC_CheckField, 31, 1, 0, 140, 139, // Skip to: 40669
-/* 4945 */    MCD_OPC_Decode, 251, 6, 37, // Opcode: LD3i8
+/* 4935 */    MCD_OPC_CheckPredicate, 0, 118, 139, // Skip to: 40641
+/* 4939 */    MCD_OPC_CheckField, 31, 1, 0, 112, 139, // Skip to: 40641
+/* 4945 */    MCD_OPC_Decode, 253, 6, 37, // Opcode: LD3i8
 /* 4949 */    MCD_OPC_FilterValue, 2, 20, 0, // Skip to: 4973
-/* 4953 */    MCD_OPC_CheckPredicate, 0, 128, 139, // Skip to: 40669
-/* 4957 */    MCD_OPC_CheckField, 31, 1, 0, 122, 139, // Skip to: 40669
-/* 4963 */    MCD_OPC_CheckField, 10, 1, 0, 116, 139, // Skip to: 40669
-/* 4969 */    MCD_OPC_Decode, 169, 6, 38, // Opcode: LD1i16
+/* 4953 */    MCD_OPC_CheckPredicate, 0, 100, 139, // Skip to: 40641
+/* 4957 */    MCD_OPC_CheckField, 31, 1, 0, 94, 139, // Skip to: 40641
+/* 4963 */    MCD_OPC_CheckField, 10, 1, 0, 88, 139, // Skip to: 40641
+/* 4969 */    MCD_OPC_Decode, 171, 6, 38, // Opcode: LD1i16
 /* 4973 */    MCD_OPC_FilterValue, 3, 20, 0, // Skip to: 4997
-/* 4977 */    MCD_OPC_CheckPredicate, 0, 104, 139, // Skip to: 40669
-/* 4981 */    MCD_OPC_CheckField, 31, 1, 0, 98, 139, // Skip to: 40669
-/* 4987 */    MCD_OPC_CheckField, 10, 1, 0, 92, 139, // Skip to: 40669
-/* 4993 */    MCD_OPC_Decode, 245, 6, 39, // Opcode: LD3i16
+/* 4977 */    MCD_OPC_CheckPredicate, 0, 76, 139, // Skip to: 40641
+/* 4981 */    MCD_OPC_CheckField, 31, 1, 0, 70, 139, // Skip to: 40641
+/* 4987 */    MCD_OPC_CheckField, 10, 1, 0, 64, 139, // Skip to: 40641
+/* 4993 */    MCD_OPC_Decode, 247, 6, 39, // Opcode: LD3i16
 /* 4997 */    MCD_OPC_FilterValue, 4, 45, 0, // Skip to: 5046
 /* 5001 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 5004 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5022
-/* 5008 */    MCD_OPC_CheckPredicate, 0, 73, 139, // Skip to: 40669
-/* 5012 */    MCD_OPC_CheckField, 31, 1, 0, 67, 139, // Skip to: 40669
-/* 5018 */    MCD_OPC_Decode, 171, 6, 40, // Opcode: LD1i32
-/* 5022 */    MCD_OPC_FilterValue, 1, 59, 139, // Skip to: 40669
-/* 5026 */    MCD_OPC_CheckPredicate, 0, 55, 139, // Skip to: 40669
-/* 5030 */    MCD_OPC_CheckField, 31, 1, 0, 49, 139, // Skip to: 40669
-/* 5036 */    MCD_OPC_CheckField, 12, 1, 0, 43, 139, // Skip to: 40669
-/* 5042 */    MCD_OPC_Decode, 173, 6, 41, // Opcode: LD1i64
+/* 5008 */    MCD_OPC_CheckPredicate, 0, 45, 139, // Skip to: 40641
+/* 5012 */    MCD_OPC_CheckField, 31, 1, 0, 39, 139, // Skip to: 40641
+/* 5018 */    MCD_OPC_Decode, 173, 6, 40, // Opcode: LD1i32
+/* 5022 */    MCD_OPC_FilterValue, 1, 31, 139, // Skip to: 40641
+/* 5026 */    MCD_OPC_CheckPredicate, 0, 27, 139, // Skip to: 40641
+/* 5030 */    MCD_OPC_CheckField, 31, 1, 0, 21, 139, // Skip to: 40641
+/* 5036 */    MCD_OPC_CheckField, 12, 1, 0, 15, 139, // Skip to: 40641
+/* 5042 */    MCD_OPC_Decode, 175, 6, 41, // Opcode: LD1i64
 /* 5046 */    MCD_OPC_FilterValue, 5, 45, 0, // Skip to: 5095
 /* 5050 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 5053 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5071
-/* 5057 */    MCD_OPC_CheckPredicate, 0, 24, 139, // Skip to: 40669
-/* 5061 */    MCD_OPC_CheckField, 31, 1, 0, 18, 139, // Skip to: 40669
-/* 5067 */    MCD_OPC_Decode, 247, 6, 42, // Opcode: LD3i32
-/* 5071 */    MCD_OPC_FilterValue, 1, 10, 139, // Skip to: 40669
-/* 5075 */    MCD_OPC_CheckPredicate, 0, 6, 139, // Skip to: 40669
-/* 5079 */    MCD_OPC_CheckField, 31, 1, 0, 0, 139, // Skip to: 40669
-/* 5085 */    MCD_OPC_CheckField, 12, 1, 0, 250, 138, // Skip to: 40669
-/* 5091 */    MCD_OPC_Decode, 249, 6, 43, // Opcode: LD3i64
+/* 5057 */    MCD_OPC_CheckPredicate, 0, 252, 138, // Skip to: 40641
+/* 5061 */    MCD_OPC_CheckField, 31, 1, 0, 246, 138, // Skip to: 40641
+/* 5067 */    MCD_OPC_Decode, 249, 6, 42, // Opcode: LD3i32
+/* 5071 */    MCD_OPC_FilterValue, 1, 238, 138, // Skip to: 40641
+/* 5075 */    MCD_OPC_CheckPredicate, 0, 234, 138, // Skip to: 40641
+/* 5079 */    MCD_OPC_CheckField, 31, 1, 0, 228, 138, // Skip to: 40641
+/* 5085 */    MCD_OPC_CheckField, 12, 1, 0, 222, 138, // Skip to: 40641
+/* 5091 */    MCD_OPC_Decode, 251, 6, 43, // Opcode: LD3i64
 /* 5095 */    MCD_OPC_FilterValue, 6, 127, 0, // Skip to: 5226
 /* 5099 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 5102 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5133
 /* 5106 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5109 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5121
-/* 5113 */    MCD_OPC_CheckPredicate, 0, 224, 138, // Skip to: 40669
-/* 5117 */    MCD_OPC_Decode, 133, 6, 6, // Opcode: LD1Rv8b
-/* 5121 */    MCD_OPC_FilterValue, 1, 216, 138, // Skip to: 40669
-/* 5125 */    MCD_OPC_CheckPredicate, 0, 212, 138, // Skip to: 40669
-/* 5129 */    MCD_OPC_Decode, 249, 5, 10, // Opcode: LD1Rv16b
+/* 5113 */    MCD_OPC_CheckPredicate, 0, 196, 138, // Skip to: 40641
+/* 5117 */    MCD_OPC_Decode, 135, 6, 6, // Opcode: LD1Rv8b
+/* 5121 */    MCD_OPC_FilterValue, 1, 188, 138, // Skip to: 40641
+/* 5125 */    MCD_OPC_CheckPredicate, 0, 184, 138, // Skip to: 40641
+/* 5129 */    MCD_OPC_Decode, 251, 5, 10, // Opcode: LD1Rv16b
 /* 5133 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 5164
 /* 5137 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5140 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5152
-/* 5144 */    MCD_OPC_CheckPredicate, 0, 193, 138, // Skip to: 40669
-/* 5148 */    MCD_OPC_Decode, 129, 6, 6, // Opcode: LD1Rv4h
-/* 5152 */    MCD_OPC_FilterValue, 1, 185, 138, // Skip to: 40669
-/* 5156 */    MCD_OPC_CheckPredicate, 0, 181, 138, // Skip to: 40669
-/* 5160 */    MCD_OPC_Decode, 135, 6, 10, // Opcode: LD1Rv8h
+/* 5144 */    MCD_OPC_CheckPredicate, 0, 165, 138, // Skip to: 40641
+/* 5148 */    MCD_OPC_Decode, 131, 6, 6, // Opcode: LD1Rv4h
+/* 5152 */    MCD_OPC_FilterValue, 1, 157, 138, // Skip to: 40641
+/* 5156 */    MCD_OPC_CheckPredicate, 0, 153, 138, // Skip to: 40641
+/* 5160 */    MCD_OPC_Decode, 137, 6, 10, // Opcode: LD1Rv8h
 /* 5164 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 5195
 /* 5168 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5171 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5183
-/* 5175 */    MCD_OPC_CheckPredicate, 0, 162, 138, // Skip to: 40669
-/* 5179 */    MCD_OPC_Decode, 255, 5, 6, // Opcode: LD1Rv2s
-/* 5183 */    MCD_OPC_FilterValue, 1, 154, 138, // Skip to: 40669
-/* 5187 */    MCD_OPC_CheckPredicate, 0, 150, 138, // Skip to: 40669
-/* 5191 */    MCD_OPC_Decode, 131, 6, 10, // Opcode: LD1Rv4s
-/* 5195 */    MCD_OPC_FilterValue, 3, 142, 138, // Skip to: 40669
+/* 5175 */    MCD_OPC_CheckPredicate, 0, 134, 138, // Skip to: 40641
+/* 5179 */    MCD_OPC_Decode, 129, 6, 6, // Opcode: LD1Rv2s
+/* 5183 */    MCD_OPC_FilterValue, 1, 126, 138, // Skip to: 40641
+/* 5187 */    MCD_OPC_CheckPredicate, 0, 122, 138, // Skip to: 40641
+/* 5191 */    MCD_OPC_Decode, 133, 6, 10, // Opcode: LD1Rv4s
+/* 5195 */    MCD_OPC_FilterValue, 3, 114, 138, // Skip to: 40641
 /* 5199 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5202 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5214
-/* 5206 */    MCD_OPC_CheckPredicate, 0, 131, 138, // Skip to: 40669
-/* 5210 */    MCD_OPC_Decode, 251, 5, 6, // Opcode: LD1Rv1d
-/* 5214 */    MCD_OPC_FilterValue, 1, 123, 138, // Skip to: 40669
-/* 5218 */    MCD_OPC_CheckPredicate, 0, 119, 138, // Skip to: 40669
-/* 5222 */    MCD_OPC_Decode, 253, 5, 10, // Opcode: LD1Rv2d
+/* 5206 */    MCD_OPC_CheckPredicate, 0, 103, 138, // Skip to: 40641
+/* 5210 */    MCD_OPC_Decode, 253, 5, 6, // Opcode: LD1Rv1d
+/* 5214 */    MCD_OPC_FilterValue, 1, 95, 138, // Skip to: 40641
+/* 5218 */    MCD_OPC_CheckPredicate, 0, 91, 138, // Skip to: 40641
+/* 5222 */    MCD_OPC_Decode, 255, 5, 10, // Opcode: LD1Rv2d
 /* 5226 */    MCD_OPC_FilterValue, 7, 127, 0, // Skip to: 5357
 /* 5230 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 5233 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5264
 /* 5237 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5240 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5252
-/* 5244 */    MCD_OPC_CheckPredicate, 0, 93, 138, // Skip to: 40669
-/* 5248 */    MCD_OPC_Decode, 227, 6, 5, // Opcode: LD3Rv8b
-/* 5252 */    MCD_OPC_FilterValue, 1, 85, 138, // Skip to: 40669
-/* 5256 */    MCD_OPC_CheckPredicate, 0, 81, 138, // Skip to: 40669
-/* 5260 */    MCD_OPC_Decode, 215, 6, 9, // Opcode: LD3Rv16b
+/* 5244 */    MCD_OPC_CheckPredicate, 0, 65, 138, // Skip to: 40641
+/* 5248 */    MCD_OPC_Decode, 229, 6, 5, // Opcode: LD3Rv8b
+/* 5252 */    MCD_OPC_FilterValue, 1, 57, 138, // Skip to: 40641
+/* 5256 */    MCD_OPC_CheckPredicate, 0, 53, 138, // Skip to: 40641
+/* 5260 */    MCD_OPC_Decode, 217, 6, 9, // Opcode: LD3Rv16b
 /* 5264 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 5295
 /* 5268 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5271 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5283
-/* 5275 */    MCD_OPC_CheckPredicate, 0, 62, 138, // Skip to: 40669
-/* 5279 */    MCD_OPC_Decode, 223, 6, 5, // Opcode: LD3Rv4h
-/* 5283 */    MCD_OPC_FilterValue, 1, 54, 138, // Skip to: 40669
-/* 5287 */    MCD_OPC_CheckPredicate, 0, 50, 138, // Skip to: 40669
-/* 5291 */    MCD_OPC_Decode, 229, 6, 9, // Opcode: LD3Rv8h
+/* 5275 */    MCD_OPC_CheckPredicate, 0, 34, 138, // Skip to: 40641
+/* 5279 */    MCD_OPC_Decode, 225, 6, 5, // Opcode: LD3Rv4h
+/* 5283 */    MCD_OPC_FilterValue, 1, 26, 138, // Skip to: 40641
+/* 5287 */    MCD_OPC_CheckPredicate, 0, 22, 138, // Skip to: 40641
+/* 5291 */    MCD_OPC_Decode, 231, 6, 9, // Opcode: LD3Rv8h
 /* 5295 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 5326
 /* 5299 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5302 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5314
-/* 5306 */    MCD_OPC_CheckPredicate, 0, 31, 138, // Skip to: 40669
-/* 5310 */    MCD_OPC_Decode, 221, 6, 5, // Opcode: LD3Rv2s
-/* 5314 */    MCD_OPC_FilterValue, 1, 23, 138, // Skip to: 40669
-/* 5318 */    MCD_OPC_CheckPredicate, 0, 19, 138, // Skip to: 40669
-/* 5322 */    MCD_OPC_Decode, 225, 6, 9, // Opcode: LD3Rv4s
-/* 5326 */    MCD_OPC_FilterValue, 3, 11, 138, // Skip to: 40669
+/* 5306 */    MCD_OPC_CheckPredicate, 0, 3, 138, // Skip to: 40641
+/* 5310 */    MCD_OPC_Decode, 223, 6, 5, // Opcode: LD3Rv2s
+/* 5314 */    MCD_OPC_FilterValue, 1, 251, 137, // Skip to: 40641
+/* 5318 */    MCD_OPC_CheckPredicate, 0, 247, 137, // Skip to: 40641
+/* 5322 */    MCD_OPC_Decode, 227, 6, 9, // Opcode: LD3Rv4s
+/* 5326 */    MCD_OPC_FilterValue, 3, 239, 137, // Skip to: 40641
 /* 5330 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5333 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5345
-/* 5337 */    MCD_OPC_CheckPredicate, 0, 0, 138, // Skip to: 40669
-/* 5341 */    MCD_OPC_Decode, 217, 6, 5, // Opcode: LD3Rv1d
-/* 5345 */    MCD_OPC_FilterValue, 1, 248, 137, // Skip to: 40669
-/* 5349 */    MCD_OPC_CheckPredicate, 0, 244, 137, // Skip to: 40669
-/* 5353 */    MCD_OPC_Decode, 219, 6, 9, // Opcode: LD3Rv2d
+/* 5337 */    MCD_OPC_CheckPredicate, 0, 228, 137, // Skip to: 40641
+/* 5341 */    MCD_OPC_Decode, 219, 6, 5, // Opcode: LD3Rv1d
+/* 5345 */    MCD_OPC_FilterValue, 1, 220, 137, // Skip to: 40641
+/* 5349 */    MCD_OPC_CheckPredicate, 0, 216, 137, // Skip to: 40641
+/* 5353 */    MCD_OPC_Decode, 221, 6, 9, // Opcode: LD3Rv2d
 /* 5357 */    MCD_OPC_FilterValue, 128, 2, 14, 0, // Skip to: 5376
-/* 5362 */    MCD_OPC_CheckPredicate, 0, 231, 137, // Skip to: 40669
-/* 5366 */    MCD_OPC_CheckField, 31, 1, 0, 225, 137, // Skip to: 40669
-/* 5372 */    MCD_OPC_Decode, 213, 6, 44, // Opcode: LD2i8
+/* 5362 */    MCD_OPC_CheckPredicate, 0, 203, 137, // Skip to: 40641
+/* 5366 */    MCD_OPC_CheckField, 31, 1, 0, 197, 137, // Skip to: 40641
+/* 5372 */    MCD_OPC_Decode, 215, 6, 44, // Opcode: LD2i8
 /* 5376 */    MCD_OPC_FilterValue, 129, 2, 14, 0, // Skip to: 5395
-/* 5381 */    MCD_OPC_CheckPredicate, 0, 212, 137, // Skip to: 40669
-/* 5385 */    MCD_OPC_CheckField, 31, 1, 0, 206, 137, // Skip to: 40669
-/* 5391 */    MCD_OPC_Decode, 161, 7, 45, // Opcode: LD4i8
+/* 5381 */    MCD_OPC_CheckPredicate, 0, 184, 137, // Skip to: 40641
+/* 5385 */    MCD_OPC_CheckField, 31, 1, 0, 178, 137, // Skip to: 40641
+/* 5391 */    MCD_OPC_Decode, 163, 7, 45, // Opcode: LD4i8
 /* 5395 */    MCD_OPC_FilterValue, 130, 2, 20, 0, // Skip to: 5420
-/* 5400 */    MCD_OPC_CheckPredicate, 0, 193, 137, // Skip to: 40669
-/* 5404 */    MCD_OPC_CheckField, 31, 1, 0, 187, 137, // Skip to: 40669
-/* 5410 */    MCD_OPC_CheckField, 10, 1, 0, 181, 137, // Skip to: 40669
-/* 5416 */    MCD_OPC_Decode, 207, 6, 46, // Opcode: LD2i16
+/* 5400 */    MCD_OPC_CheckPredicate, 0, 165, 137, // Skip to: 40641
+/* 5404 */    MCD_OPC_CheckField, 31, 1, 0, 159, 137, // Skip to: 40641
+/* 5410 */    MCD_OPC_CheckField, 10, 1, 0, 153, 137, // Skip to: 40641
+/* 5416 */    MCD_OPC_Decode, 209, 6, 46, // Opcode: LD2i16
 /* 5420 */    MCD_OPC_FilterValue, 131, 2, 20, 0, // Skip to: 5445
-/* 5425 */    MCD_OPC_CheckPredicate, 0, 168, 137, // Skip to: 40669
-/* 5429 */    MCD_OPC_CheckField, 31, 1, 0, 162, 137, // Skip to: 40669
-/* 5435 */    MCD_OPC_CheckField, 10, 1, 0, 156, 137, // Skip to: 40669
-/* 5441 */    MCD_OPC_Decode, 155, 7, 47, // Opcode: LD4i16
+/* 5425 */    MCD_OPC_CheckPredicate, 0, 140, 137, // Skip to: 40641
+/* 5429 */    MCD_OPC_CheckField, 31, 1, 0, 134, 137, // Skip to: 40641
+/* 5435 */    MCD_OPC_CheckField, 10, 1, 0, 128, 137, // Skip to: 40641
+/* 5441 */    MCD_OPC_Decode, 157, 7, 47, // Opcode: LD4i16
 /* 5445 */    MCD_OPC_FilterValue, 132, 2, 45, 0, // Skip to: 5495
 /* 5450 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 5453 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5471
-/* 5457 */    MCD_OPC_CheckPredicate, 0, 136, 137, // Skip to: 40669
-/* 5461 */    MCD_OPC_CheckField, 31, 1, 0, 130, 137, // Skip to: 40669
-/* 5467 */    MCD_OPC_Decode, 209, 6, 48, // Opcode: LD2i32
-/* 5471 */    MCD_OPC_FilterValue, 1, 122, 137, // Skip to: 40669
-/* 5475 */    MCD_OPC_CheckPredicate, 0, 118, 137, // Skip to: 40669
-/* 5479 */    MCD_OPC_CheckField, 31, 1, 0, 112, 137, // Skip to: 40669
-/* 5485 */    MCD_OPC_CheckField, 12, 1, 0, 106, 137, // Skip to: 40669
-/* 5491 */    MCD_OPC_Decode, 211, 6, 49, // Opcode: LD2i64
+/* 5457 */    MCD_OPC_CheckPredicate, 0, 108, 137, // Skip to: 40641
+/* 5461 */    MCD_OPC_CheckField, 31, 1, 0, 102, 137, // Skip to: 40641
+/* 5467 */    MCD_OPC_Decode, 211, 6, 48, // Opcode: LD2i32
+/* 5471 */    MCD_OPC_FilterValue, 1, 94, 137, // Skip to: 40641
+/* 5475 */    MCD_OPC_CheckPredicate, 0, 90, 137, // Skip to: 40641
+/* 5479 */    MCD_OPC_CheckField, 31, 1, 0, 84, 137, // Skip to: 40641
+/* 5485 */    MCD_OPC_CheckField, 12, 1, 0, 78, 137, // Skip to: 40641
+/* 5491 */    MCD_OPC_Decode, 213, 6, 49, // Opcode: LD2i64
 /* 5495 */    MCD_OPC_FilterValue, 133, 2, 45, 0, // Skip to: 5545
 /* 5500 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 5503 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5521
-/* 5507 */    MCD_OPC_CheckPredicate, 0, 86, 137, // Skip to: 40669
-/* 5511 */    MCD_OPC_CheckField, 31, 1, 0, 80, 137, // Skip to: 40669
-/* 5517 */    MCD_OPC_Decode, 157, 7, 50, // Opcode: LD4i32
-/* 5521 */    MCD_OPC_FilterValue, 1, 72, 137, // Skip to: 40669
-/* 5525 */    MCD_OPC_CheckPredicate, 0, 68, 137, // Skip to: 40669
-/* 5529 */    MCD_OPC_CheckField, 31, 1, 0, 62, 137, // Skip to: 40669
-/* 5535 */    MCD_OPC_CheckField, 12, 1, 0, 56, 137, // Skip to: 40669
-/* 5541 */    MCD_OPC_Decode, 159, 7, 51, // Opcode: LD4i64
+/* 5507 */    MCD_OPC_CheckPredicate, 0, 58, 137, // Skip to: 40641
+/* 5511 */    MCD_OPC_CheckField, 31, 1, 0, 52, 137, // Skip to: 40641
+/* 5517 */    MCD_OPC_Decode, 159, 7, 50, // Opcode: LD4i32
+/* 5521 */    MCD_OPC_FilterValue, 1, 44, 137, // Skip to: 40641
+/* 5525 */    MCD_OPC_CheckPredicate, 0, 40, 137, // Skip to: 40641
+/* 5529 */    MCD_OPC_CheckField, 31, 1, 0, 34, 137, // Skip to: 40641
+/* 5535 */    MCD_OPC_CheckField, 12, 1, 0, 28, 137, // Skip to: 40641
+/* 5541 */    MCD_OPC_Decode, 161, 7, 51, // Opcode: LD4i64
 /* 5545 */    MCD_OPC_FilterValue, 134, 2, 127, 0, // Skip to: 5677
 /* 5550 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 5553 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5584
 /* 5557 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5560 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5572
-/* 5564 */    MCD_OPC_CheckPredicate, 0, 29, 137, // Skip to: 40669
-/* 5568 */    MCD_OPC_Decode, 189, 6, 7, // Opcode: LD2Rv8b
-/* 5572 */    MCD_OPC_FilterValue, 1, 21, 137, // Skip to: 40669
-/* 5576 */    MCD_OPC_CheckPredicate, 0, 17, 137, // Skip to: 40669
-/* 5580 */    MCD_OPC_Decode, 177, 6, 11, // Opcode: LD2Rv16b
+/* 5564 */    MCD_OPC_CheckPredicate, 0, 1, 137, // Skip to: 40641
+/* 5568 */    MCD_OPC_Decode, 191, 6, 7, // Opcode: LD2Rv8b
+/* 5572 */    MCD_OPC_FilterValue, 1, 249, 136, // Skip to: 40641
+/* 5576 */    MCD_OPC_CheckPredicate, 0, 245, 136, // Skip to: 40641
+/* 5580 */    MCD_OPC_Decode, 179, 6, 11, // Opcode: LD2Rv16b
 /* 5584 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 5615
 /* 5588 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5591 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5603
-/* 5595 */    MCD_OPC_CheckPredicate, 0, 254, 136, // Skip to: 40669
-/* 5599 */    MCD_OPC_Decode, 185, 6, 7, // Opcode: LD2Rv4h
-/* 5603 */    MCD_OPC_FilterValue, 1, 246, 136, // Skip to: 40669
-/* 5607 */    MCD_OPC_CheckPredicate, 0, 242, 136, // Skip to: 40669
-/* 5611 */    MCD_OPC_Decode, 191, 6, 11, // Opcode: LD2Rv8h
+/* 5595 */    MCD_OPC_CheckPredicate, 0, 226, 136, // Skip to: 40641
+/* 5599 */    MCD_OPC_Decode, 187, 6, 7, // Opcode: LD2Rv4h
+/* 5603 */    MCD_OPC_FilterValue, 1, 218, 136, // Skip to: 40641
+/* 5607 */    MCD_OPC_CheckPredicate, 0, 214, 136, // Skip to: 40641
+/* 5611 */    MCD_OPC_Decode, 193, 6, 11, // Opcode: LD2Rv8h
 /* 5615 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 5646
 /* 5619 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5622 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5634
-/* 5626 */    MCD_OPC_CheckPredicate, 0, 223, 136, // Skip to: 40669
-/* 5630 */    MCD_OPC_Decode, 183, 6, 7, // Opcode: LD2Rv2s
-/* 5634 */    MCD_OPC_FilterValue, 1, 215, 136, // Skip to: 40669
-/* 5638 */    MCD_OPC_CheckPredicate, 0, 211, 136, // Skip to: 40669
-/* 5642 */    MCD_OPC_Decode, 187, 6, 11, // Opcode: LD2Rv4s
-/* 5646 */    MCD_OPC_FilterValue, 3, 203, 136, // Skip to: 40669
+/* 5626 */    MCD_OPC_CheckPredicate, 0, 195, 136, // Skip to: 40641
+/* 5630 */    MCD_OPC_Decode, 185, 6, 7, // Opcode: LD2Rv2s
+/* 5634 */    MCD_OPC_FilterValue, 1, 187, 136, // Skip to: 40641
+/* 5638 */    MCD_OPC_CheckPredicate, 0, 183, 136, // Skip to: 40641
+/* 5642 */    MCD_OPC_Decode, 189, 6, 11, // Opcode: LD2Rv4s
+/* 5646 */    MCD_OPC_FilterValue, 3, 175, 136, // Skip to: 40641
 /* 5650 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5653 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5665
-/* 5657 */    MCD_OPC_CheckPredicate, 0, 192, 136, // Skip to: 40669
-/* 5661 */    MCD_OPC_Decode, 179, 6, 7, // Opcode: LD2Rv1d
-/* 5665 */    MCD_OPC_FilterValue, 1, 184, 136, // Skip to: 40669
-/* 5669 */    MCD_OPC_CheckPredicate, 0, 180, 136, // Skip to: 40669
-/* 5673 */    MCD_OPC_Decode, 181, 6, 11, // Opcode: LD2Rv2d
-/* 5677 */    MCD_OPC_FilterValue, 135, 2, 171, 136, // Skip to: 40669
+/* 5657 */    MCD_OPC_CheckPredicate, 0, 164, 136, // Skip to: 40641
+/* 5661 */    MCD_OPC_Decode, 181, 6, 7, // Opcode: LD2Rv1d
+/* 5665 */    MCD_OPC_FilterValue, 1, 156, 136, // Skip to: 40641
+/* 5669 */    MCD_OPC_CheckPredicate, 0, 152, 136, // Skip to: 40641
+/* 5673 */    MCD_OPC_Decode, 183, 6, 11, // Opcode: LD2Rv2d
+/* 5677 */    MCD_OPC_FilterValue, 135, 2, 143, 136, // Skip to: 40641
 /* 5682 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 5685 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5716
 /* 5689 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5692 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5704
-/* 5696 */    MCD_OPC_CheckPredicate, 0, 153, 136, // Skip to: 40669
-/* 5700 */    MCD_OPC_Decode, 151, 7, 4, // Opcode: LD4Rv8b
-/* 5704 */    MCD_OPC_FilterValue, 1, 145, 136, // Skip to: 40669
-/* 5708 */    MCD_OPC_CheckPredicate, 0, 141, 136, // Skip to: 40669
-/* 5712 */    MCD_OPC_Decode, 139, 7, 8, // Opcode: LD4Rv16b
+/* 5696 */    MCD_OPC_CheckPredicate, 0, 125, 136, // Skip to: 40641
+/* 5700 */    MCD_OPC_Decode, 153, 7, 4, // Opcode: LD4Rv8b
+/* 5704 */    MCD_OPC_FilterValue, 1, 117, 136, // Skip to: 40641
+/* 5708 */    MCD_OPC_CheckPredicate, 0, 113, 136, // Skip to: 40641
+/* 5712 */    MCD_OPC_Decode, 141, 7, 8, // Opcode: LD4Rv16b
 /* 5716 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 5747
 /* 5720 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5723 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5735
-/* 5727 */    MCD_OPC_CheckPredicate, 0, 122, 136, // Skip to: 40669
-/* 5731 */    MCD_OPC_Decode, 147, 7, 4, // Opcode: LD4Rv4h
-/* 5735 */    MCD_OPC_FilterValue, 1, 114, 136, // Skip to: 40669
-/* 5739 */    MCD_OPC_CheckPredicate, 0, 110, 136, // Skip to: 40669
-/* 5743 */    MCD_OPC_Decode, 153, 7, 8, // Opcode: LD4Rv8h
+/* 5727 */    MCD_OPC_CheckPredicate, 0, 94, 136, // Skip to: 40641
+/* 5731 */    MCD_OPC_Decode, 149, 7, 4, // Opcode: LD4Rv4h
+/* 5735 */    MCD_OPC_FilterValue, 1, 86, 136, // Skip to: 40641
+/* 5739 */    MCD_OPC_CheckPredicate, 0, 82, 136, // Skip to: 40641
+/* 5743 */    MCD_OPC_Decode, 155, 7, 8, // Opcode: LD4Rv8h
 /* 5747 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 5778
 /* 5751 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5754 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5766
-/* 5758 */    MCD_OPC_CheckPredicate, 0, 91, 136, // Skip to: 40669
-/* 5762 */    MCD_OPC_Decode, 145, 7, 4, // Opcode: LD4Rv2s
-/* 5766 */    MCD_OPC_FilterValue, 1, 83, 136, // Skip to: 40669
-/* 5770 */    MCD_OPC_CheckPredicate, 0, 79, 136, // Skip to: 40669
-/* 5774 */    MCD_OPC_Decode, 149, 7, 8, // Opcode: LD4Rv4s
-/* 5778 */    MCD_OPC_FilterValue, 3, 71, 136, // Skip to: 40669
+/* 5758 */    MCD_OPC_CheckPredicate, 0, 63, 136, // Skip to: 40641
+/* 5762 */    MCD_OPC_Decode, 147, 7, 4, // Opcode: LD4Rv2s
+/* 5766 */    MCD_OPC_FilterValue, 1, 55, 136, // Skip to: 40641
+/* 5770 */    MCD_OPC_CheckPredicate, 0, 51, 136, // Skip to: 40641
+/* 5774 */    MCD_OPC_Decode, 151, 7, 8, // Opcode: LD4Rv4s
+/* 5778 */    MCD_OPC_FilterValue, 3, 43, 136, // Skip to: 40641
 /* 5782 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5785 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5797
-/* 5789 */    MCD_OPC_CheckPredicate, 0, 60, 136, // Skip to: 40669
-/* 5793 */    MCD_OPC_Decode, 141, 7, 4, // Opcode: LD4Rv1d
-/* 5797 */    MCD_OPC_FilterValue, 1, 52, 136, // Skip to: 40669
-/* 5801 */    MCD_OPC_CheckPredicate, 0, 48, 136, // Skip to: 40669
-/* 5805 */    MCD_OPC_Decode, 143, 7, 8, // Opcode: LD4Rv2d
-/* 5809 */    MCD_OPC_FilterValue, 1, 40, 136, // Skip to: 40669
+/* 5789 */    MCD_OPC_CheckPredicate, 0, 32, 136, // Skip to: 40641
+/* 5793 */    MCD_OPC_Decode, 143, 7, 4, // Opcode: LD4Rv1d
+/* 5797 */    MCD_OPC_FilterValue, 1, 24, 136, // Skip to: 40641
+/* 5801 */    MCD_OPC_CheckPredicate, 0, 20, 136, // Skip to: 40641
+/* 5805 */    MCD_OPC_Decode, 145, 7, 8, // Opcode: LD4Rv2d
+/* 5809 */    MCD_OPC_FilterValue, 1, 12, 136, // Skip to: 40641
 /* 5813 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 5816 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5824
-/* 5820 */    MCD_OPC_Decode, 187, 7, 3, // Opcode: LDPSi
+/* 5820 */    MCD_OPC_Decode, 189, 7, 3, // Opcode: LDPSi
 /* 5824 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 5832
-/* 5828 */    MCD_OPC_Decode, 178, 7, 3, // Opcode: LDPDi
-/* 5832 */    MCD_OPC_FilterValue, 2, 17, 136, // Skip to: 40669
-/* 5836 */    MCD_OPC_Decode, 181, 7, 3, // Opcode: LDPQi
+/* 5828 */    MCD_OPC_Decode, 180, 7, 3, // Opcode: LDPDi
+/* 5832 */    MCD_OPC_FilterValue, 2, 245, 135, // Skip to: 40641
+/* 5836 */    MCD_OPC_Decode, 183, 7, 3, // Opcode: LDPQi
 /* 5840 */    MCD_OPC_FilterValue, 6, 191, 1, // Skip to: 6291
 /* 5844 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 5847 */    MCD_OPC_FilterValue, 0, 153, 1, // Skip to: 6260
@@ -1432,103 +1432,103 @@ static const uint8_t DecoderTable32[] =
 /* 5854 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 5897
 /* 5858 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 5861 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5879
-/* 5865 */    MCD_OPC_CheckPredicate, 0, 240, 135, // Skip to: 40669
-/* 5869 */    MCD_OPC_CheckField, 31, 1, 0, 234, 135, // Skip to: 40669
-/* 5875 */    MCD_OPC_Decode, 244, 13, 52, // Opcode: ST1i8_POST
-/* 5879 */    MCD_OPC_FilterValue, 1, 226, 135, // Skip to: 40669
-/* 5883 */    MCD_OPC_CheckPredicate, 0, 222, 135, // Skip to: 40669
-/* 5887 */    MCD_OPC_CheckField, 31, 1, 0, 216, 135, // Skip to: 40669
-/* 5893 */    MCD_OPC_Decode, 138, 14, 53, // Opcode: ST2i8_POST
+/* 5865 */    MCD_OPC_CheckPredicate, 0, 212, 135, // Skip to: 40641
+/* 5869 */    MCD_OPC_CheckField, 31, 1, 0, 206, 135, // Skip to: 40641
+/* 5875 */    MCD_OPC_Decode, 246, 13, 52, // Opcode: ST1i8_POST
+/* 5879 */    MCD_OPC_FilterValue, 1, 198, 135, // Skip to: 40641
+/* 5883 */    MCD_OPC_CheckPredicate, 0, 194, 135, // Skip to: 40641
+/* 5887 */    MCD_OPC_CheckField, 31, 1, 0, 188, 135, // Skip to: 40641
+/* 5893 */    MCD_OPC_Decode, 140, 14, 53, // Opcode: ST2i8_POST
 /* 5897 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 5940
 /* 5901 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 5904 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5922
-/* 5908 */    MCD_OPC_CheckPredicate, 0, 197, 135, // Skip to: 40669
-/* 5912 */    MCD_OPC_CheckField, 31, 1, 0, 191, 135, // Skip to: 40669
-/* 5918 */    MCD_OPC_Decode, 160, 14, 54, // Opcode: ST3i8_POST
-/* 5922 */    MCD_OPC_FilterValue, 1, 183, 135, // Skip to: 40669
-/* 5926 */    MCD_OPC_CheckPredicate, 0, 179, 135, // Skip to: 40669
-/* 5930 */    MCD_OPC_CheckField, 31, 1, 0, 173, 135, // Skip to: 40669
-/* 5936 */    MCD_OPC_Decode, 182, 14, 55, // Opcode: ST4i8_POST
+/* 5908 */    MCD_OPC_CheckPredicate, 0, 169, 135, // Skip to: 40641
+/* 5912 */    MCD_OPC_CheckField, 31, 1, 0, 163, 135, // Skip to: 40641
+/* 5918 */    MCD_OPC_Decode, 162, 14, 54, // Opcode: ST3i8_POST
+/* 5922 */    MCD_OPC_FilterValue, 1, 155, 135, // Skip to: 40641
+/* 5926 */    MCD_OPC_CheckPredicate, 0, 151, 135, // Skip to: 40641
+/* 5930 */    MCD_OPC_CheckField, 31, 1, 0, 145, 135, // Skip to: 40641
+/* 5936 */    MCD_OPC_Decode, 184, 14, 55, // Opcode: ST4i8_POST
 /* 5940 */    MCD_OPC_FilterValue, 2, 51, 0, // Skip to: 5995
 /* 5944 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 5947 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 5971
-/* 5951 */    MCD_OPC_CheckPredicate, 0, 154, 135, // Skip to: 40669
-/* 5955 */    MCD_OPC_CheckField, 31, 1, 0, 148, 135, // Skip to: 40669
-/* 5961 */    MCD_OPC_CheckField, 10, 1, 0, 142, 135, // Skip to: 40669
-/* 5967 */    MCD_OPC_Decode, 238, 13, 56, // Opcode: ST1i16_POST
-/* 5971 */    MCD_OPC_FilterValue, 1, 134, 135, // Skip to: 40669
-/* 5975 */    MCD_OPC_CheckPredicate, 0, 130, 135, // Skip to: 40669
-/* 5979 */    MCD_OPC_CheckField, 31, 1, 0, 124, 135, // Skip to: 40669
-/* 5985 */    MCD_OPC_CheckField, 10, 1, 0, 118, 135, // Skip to: 40669
-/* 5991 */    MCD_OPC_Decode, 132, 14, 57, // Opcode: ST2i16_POST
+/* 5951 */    MCD_OPC_CheckPredicate, 0, 126, 135, // Skip to: 40641
+/* 5955 */    MCD_OPC_CheckField, 31, 1, 0, 120, 135, // Skip to: 40641
+/* 5961 */    MCD_OPC_CheckField, 10, 1, 0, 114, 135, // Skip to: 40641
+/* 5967 */    MCD_OPC_Decode, 240, 13, 56, // Opcode: ST1i16_POST
+/* 5971 */    MCD_OPC_FilterValue, 1, 106, 135, // Skip to: 40641
+/* 5975 */    MCD_OPC_CheckPredicate, 0, 102, 135, // Skip to: 40641
+/* 5979 */    MCD_OPC_CheckField, 31, 1, 0, 96, 135, // Skip to: 40641
+/* 5985 */    MCD_OPC_CheckField, 10, 1, 0, 90, 135, // Skip to: 40641
+/* 5991 */    MCD_OPC_Decode, 134, 14, 57, // Opcode: ST2i16_POST
 /* 5995 */    MCD_OPC_FilterValue, 3, 51, 0, // Skip to: 6050
 /* 5999 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6002 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6026
-/* 6006 */    MCD_OPC_CheckPredicate, 0, 99, 135, // Skip to: 40669
-/* 6010 */    MCD_OPC_CheckField, 31, 1, 0, 93, 135, // Skip to: 40669
-/* 6016 */    MCD_OPC_CheckField, 10, 1, 0, 87, 135, // Skip to: 40669
-/* 6022 */    MCD_OPC_Decode, 154, 14, 58, // Opcode: ST3i16_POST
-/* 6026 */    MCD_OPC_FilterValue, 1, 79, 135, // Skip to: 40669
-/* 6030 */    MCD_OPC_CheckPredicate, 0, 75, 135, // Skip to: 40669
-/* 6034 */    MCD_OPC_CheckField, 31, 1, 0, 69, 135, // Skip to: 40669
-/* 6040 */    MCD_OPC_CheckField, 10, 1, 0, 63, 135, // Skip to: 40669
-/* 6046 */    MCD_OPC_Decode, 176, 14, 59, // Opcode: ST4i16_POST
+/* 6006 */    MCD_OPC_CheckPredicate, 0, 71, 135, // Skip to: 40641
+/* 6010 */    MCD_OPC_CheckField, 31, 1, 0, 65, 135, // Skip to: 40641
+/* 6016 */    MCD_OPC_CheckField, 10, 1, 0, 59, 135, // Skip to: 40641
+/* 6022 */    MCD_OPC_Decode, 156, 14, 58, // Opcode: ST3i16_POST
+/* 6026 */    MCD_OPC_FilterValue, 1, 51, 135, // Skip to: 40641
+/* 6030 */    MCD_OPC_CheckPredicate, 0, 47, 135, // Skip to: 40641
+/* 6034 */    MCD_OPC_CheckField, 31, 1, 0, 41, 135, // Skip to: 40641
+/* 6040 */    MCD_OPC_CheckField, 10, 1, 0, 35, 135, // Skip to: 40641
+/* 6046 */    MCD_OPC_Decode, 178, 14, 59, // Opcode: ST4i16_POST
 /* 6050 */    MCD_OPC_FilterValue, 4, 101, 0, // Skip to: 6155
 /* 6054 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 6057 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6100
 /* 6061 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6064 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6082
-/* 6068 */    MCD_OPC_CheckPredicate, 0, 37, 135, // Skip to: 40669
-/* 6072 */    MCD_OPC_CheckField, 31, 1, 0, 31, 135, // Skip to: 40669
-/* 6078 */    MCD_OPC_Decode, 240, 13, 60, // Opcode: ST1i32_POST
-/* 6082 */    MCD_OPC_FilterValue, 1, 23, 135, // Skip to: 40669
-/* 6086 */    MCD_OPC_CheckPredicate, 0, 19, 135, // Skip to: 40669
-/* 6090 */    MCD_OPC_CheckField, 31, 1, 0, 13, 135, // Skip to: 40669
-/* 6096 */    MCD_OPC_Decode, 134, 14, 61, // Opcode: ST2i32_POST
-/* 6100 */    MCD_OPC_FilterValue, 1, 5, 135, // Skip to: 40669
+/* 6068 */    MCD_OPC_CheckPredicate, 0, 9, 135, // Skip to: 40641
+/* 6072 */    MCD_OPC_CheckField, 31, 1, 0, 3, 135, // Skip to: 40641
+/* 6078 */    MCD_OPC_Decode, 242, 13, 60, // Opcode: ST1i32_POST
+/* 6082 */    MCD_OPC_FilterValue, 1, 251, 134, // Skip to: 40641
+/* 6086 */    MCD_OPC_CheckPredicate, 0, 247, 134, // Skip to: 40641
+/* 6090 */    MCD_OPC_CheckField, 31, 1, 0, 241, 134, // Skip to: 40641
+/* 6096 */    MCD_OPC_Decode, 136, 14, 61, // Opcode: ST2i32_POST
+/* 6100 */    MCD_OPC_FilterValue, 1, 233, 134, // Skip to: 40641
 /* 6104 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6107 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6131
-/* 6111 */    MCD_OPC_CheckPredicate, 0, 250, 134, // Skip to: 40669
-/* 6115 */    MCD_OPC_CheckField, 31, 1, 0, 244, 134, // Skip to: 40669
-/* 6121 */    MCD_OPC_CheckField, 12, 1, 0, 238, 134, // Skip to: 40669
-/* 6127 */    MCD_OPC_Decode, 242, 13, 62, // Opcode: ST1i64_POST
-/* 6131 */    MCD_OPC_FilterValue, 1, 230, 134, // Skip to: 40669
-/* 6135 */    MCD_OPC_CheckPredicate, 0, 226, 134, // Skip to: 40669
-/* 6139 */    MCD_OPC_CheckField, 31, 1, 0, 220, 134, // Skip to: 40669
-/* 6145 */    MCD_OPC_CheckField, 12, 1, 0, 214, 134, // Skip to: 40669
-/* 6151 */    MCD_OPC_Decode, 136, 14, 63, // Opcode: ST2i64_POST
-/* 6155 */    MCD_OPC_FilterValue, 5, 206, 134, // Skip to: 40669
+/* 6111 */    MCD_OPC_CheckPredicate, 0, 222, 134, // Skip to: 40641
+/* 6115 */    MCD_OPC_CheckField, 31, 1, 0, 216, 134, // Skip to: 40641
+/* 6121 */    MCD_OPC_CheckField, 12, 1, 0, 210, 134, // Skip to: 40641
+/* 6127 */    MCD_OPC_Decode, 244, 13, 62, // Opcode: ST1i64_POST
+/* 6131 */    MCD_OPC_FilterValue, 1, 202, 134, // Skip to: 40641
+/* 6135 */    MCD_OPC_CheckPredicate, 0, 198, 134, // Skip to: 40641
+/* 6139 */    MCD_OPC_CheckField, 31, 1, 0, 192, 134, // Skip to: 40641
+/* 6145 */    MCD_OPC_CheckField, 12, 1, 0, 186, 134, // Skip to: 40641
+/* 6151 */    MCD_OPC_Decode, 138, 14, 63, // Opcode: ST2i64_POST
+/* 6155 */    MCD_OPC_FilterValue, 5, 178, 134, // Skip to: 40641
 /* 6159 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 6162 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6205
 /* 6166 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6169 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6187
-/* 6173 */    MCD_OPC_CheckPredicate, 0, 188, 134, // Skip to: 40669
-/* 6177 */    MCD_OPC_CheckField, 31, 1, 0, 182, 134, // Skip to: 40669
-/* 6183 */    MCD_OPC_Decode, 156, 14, 64, // Opcode: ST3i32_POST
-/* 6187 */    MCD_OPC_FilterValue, 1, 174, 134, // Skip to: 40669
-/* 6191 */    MCD_OPC_CheckPredicate, 0, 170, 134, // Skip to: 40669
-/* 6195 */    MCD_OPC_CheckField, 31, 1, 0, 164, 134, // Skip to: 40669
-/* 6201 */    MCD_OPC_Decode, 178, 14, 65, // Opcode: ST4i32_POST
-/* 6205 */    MCD_OPC_FilterValue, 1, 156, 134, // Skip to: 40669
+/* 6173 */    MCD_OPC_CheckPredicate, 0, 160, 134, // Skip to: 40641
+/* 6177 */    MCD_OPC_CheckField, 31, 1, 0, 154, 134, // Skip to: 40641
+/* 6183 */    MCD_OPC_Decode, 158, 14, 64, // Opcode: ST3i32_POST
+/* 6187 */    MCD_OPC_FilterValue, 1, 146, 134, // Skip to: 40641
+/* 6191 */    MCD_OPC_CheckPredicate, 0, 142, 134, // Skip to: 40641
+/* 6195 */    MCD_OPC_CheckField, 31, 1, 0, 136, 134, // Skip to: 40641
+/* 6201 */    MCD_OPC_Decode, 180, 14, 65, // Opcode: ST4i32_POST
+/* 6205 */    MCD_OPC_FilterValue, 1, 128, 134, // Skip to: 40641
 /* 6209 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6212 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6236
-/* 6216 */    MCD_OPC_CheckPredicate, 0, 145, 134, // Skip to: 40669
-/* 6220 */    MCD_OPC_CheckField, 31, 1, 0, 139, 134, // Skip to: 40669
-/* 6226 */    MCD_OPC_CheckField, 12, 1, 0, 133, 134, // Skip to: 40669
-/* 6232 */    MCD_OPC_Decode, 158, 14, 66, // Opcode: ST3i64_POST
-/* 6236 */    MCD_OPC_FilterValue, 1, 125, 134, // Skip to: 40669
-/* 6240 */    MCD_OPC_CheckPredicate, 0, 121, 134, // Skip to: 40669
-/* 6244 */    MCD_OPC_CheckField, 31, 1, 0, 115, 134, // Skip to: 40669
-/* 6250 */    MCD_OPC_CheckField, 12, 1, 0, 109, 134, // Skip to: 40669
-/* 6256 */    MCD_OPC_Decode, 180, 14, 67, // Opcode: ST4i64_POST
-/* 6260 */    MCD_OPC_FilterValue, 1, 101, 134, // Skip to: 40669
+/* 6216 */    MCD_OPC_CheckPredicate, 0, 117, 134, // Skip to: 40641
+/* 6220 */    MCD_OPC_CheckField, 31, 1, 0, 111, 134, // Skip to: 40641
+/* 6226 */    MCD_OPC_CheckField, 12, 1, 0, 105, 134, // Skip to: 40641
+/* 6232 */    MCD_OPC_Decode, 160, 14, 66, // Opcode: ST3i64_POST
+/* 6236 */    MCD_OPC_FilterValue, 1, 97, 134, // Skip to: 40641
+/* 6240 */    MCD_OPC_CheckPredicate, 0, 93, 134, // Skip to: 40641
+/* 6244 */    MCD_OPC_CheckField, 31, 1, 0, 87, 134, // Skip to: 40641
+/* 6250 */    MCD_OPC_CheckField, 12, 1, 0, 81, 134, // Skip to: 40641
+/* 6256 */    MCD_OPC_Decode, 182, 14, 67, // Opcode: ST4i64_POST
+/* 6260 */    MCD_OPC_FilterValue, 1, 73, 134, // Skip to: 40641
 /* 6264 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6267 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6275
-/* 6271 */    MCD_OPC_Decode, 206, 14, 3, // Opcode: STPSpre
+/* 6271 */    MCD_OPC_Decode, 208, 14, 3, // Opcode: STPSpre
 /* 6275 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 6283
-/* 6279 */    MCD_OPC_Decode, 200, 14, 3, // Opcode: STPDpre
-/* 6283 */    MCD_OPC_FilterValue, 2, 78, 134, // Skip to: 40669
-/* 6287 */    MCD_OPC_Decode, 203, 14, 3, // Opcode: STPQpre
+/* 6279 */    MCD_OPC_Decode, 202, 14, 3, // Opcode: STPDpre
+/* 6283 */    MCD_OPC_FilterValue, 2, 50, 134, // Skip to: 40641
+/* 6287 */    MCD_OPC_Decode, 205, 14, 3, // Opcode: STPQpre
 /* 6291 */    MCD_OPC_FilterValue, 7, 245, 3, // Skip to: 7308
 /* 6295 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 6298 */    MCD_OPC_FilterValue, 0, 207, 3, // Skip to: 7277
@@ -1536,95 +1536,95 @@ static const uint8_t DecoderTable32[] =
 /* 6305 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6348
 /* 6309 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6312 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6330
-/* 6316 */    MCD_OPC_CheckPredicate, 0, 45, 134, // Skip to: 40669
-/* 6320 */    MCD_OPC_CheckField, 31, 1, 0, 39, 134, // Skip to: 40669
-/* 6326 */    MCD_OPC_Decode, 176, 6, 68, // Opcode: LD1i8_POST
-/* 6330 */    MCD_OPC_FilterValue, 1, 31, 134, // Skip to: 40669
-/* 6334 */    MCD_OPC_CheckPredicate, 0, 27, 134, // Skip to: 40669
-/* 6338 */    MCD_OPC_CheckField, 31, 1, 0, 21, 134, // Skip to: 40669
-/* 6344 */    MCD_OPC_Decode, 214, 6, 69, // Opcode: LD2i8_POST
+/* 6316 */    MCD_OPC_CheckPredicate, 0, 17, 134, // Skip to: 40641
+/* 6320 */    MCD_OPC_CheckField, 31, 1, 0, 11, 134, // Skip to: 40641
+/* 6326 */    MCD_OPC_Decode, 178, 6, 68, // Opcode: LD1i8_POST
+/* 6330 */    MCD_OPC_FilterValue, 1, 3, 134, // Skip to: 40641
+/* 6334 */    MCD_OPC_CheckPredicate, 0, 255, 133, // Skip to: 40641
+/* 6338 */    MCD_OPC_CheckField, 31, 1, 0, 249, 133, // Skip to: 40641
+/* 6344 */    MCD_OPC_Decode, 216, 6, 69, // Opcode: LD2i8_POST
 /* 6348 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 6391
 /* 6352 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6355 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6373
-/* 6359 */    MCD_OPC_CheckPredicate, 0, 2, 134, // Skip to: 40669
-/* 6363 */    MCD_OPC_CheckField, 31, 1, 0, 252, 133, // Skip to: 40669
-/* 6369 */    MCD_OPC_Decode, 252, 6, 70, // Opcode: LD3i8_POST
-/* 6373 */    MCD_OPC_FilterValue, 1, 244, 133, // Skip to: 40669
-/* 6377 */    MCD_OPC_CheckPredicate, 0, 240, 133, // Skip to: 40669
-/* 6381 */    MCD_OPC_CheckField, 31, 1, 0, 234, 133, // Skip to: 40669
-/* 6387 */    MCD_OPC_Decode, 162, 7, 71, // Opcode: LD4i8_POST
+/* 6359 */    MCD_OPC_CheckPredicate, 0, 230, 133, // Skip to: 40641
+/* 6363 */    MCD_OPC_CheckField, 31, 1, 0, 224, 133, // Skip to: 40641
+/* 6369 */    MCD_OPC_Decode, 254, 6, 70, // Opcode: LD3i8_POST
+/* 6373 */    MCD_OPC_FilterValue, 1, 216, 133, // Skip to: 40641
+/* 6377 */    MCD_OPC_CheckPredicate, 0, 212, 133, // Skip to: 40641
+/* 6381 */    MCD_OPC_CheckField, 31, 1, 0, 206, 133, // Skip to: 40641
+/* 6387 */    MCD_OPC_Decode, 164, 7, 71, // Opcode: LD4i8_POST
 /* 6391 */    MCD_OPC_FilterValue, 2, 51, 0, // Skip to: 6446
 /* 6395 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6398 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6422
-/* 6402 */    MCD_OPC_CheckPredicate, 0, 215, 133, // Skip to: 40669
-/* 6406 */    MCD_OPC_CheckField, 31, 1, 0, 209, 133, // Skip to: 40669
-/* 6412 */    MCD_OPC_CheckField, 10, 1, 0, 203, 133, // Skip to: 40669
-/* 6418 */    MCD_OPC_Decode, 170, 6, 72, // Opcode: LD1i16_POST
-/* 6422 */    MCD_OPC_FilterValue, 1, 195, 133, // Skip to: 40669
-/* 6426 */    MCD_OPC_CheckPredicate, 0, 191, 133, // Skip to: 40669
-/* 6430 */    MCD_OPC_CheckField, 31, 1, 0, 185, 133, // Skip to: 40669
-/* 6436 */    MCD_OPC_CheckField, 10, 1, 0, 179, 133, // Skip to: 40669
-/* 6442 */    MCD_OPC_Decode, 208, 6, 73, // Opcode: LD2i16_POST
+/* 6402 */    MCD_OPC_CheckPredicate, 0, 187, 133, // Skip to: 40641
+/* 6406 */    MCD_OPC_CheckField, 31, 1, 0, 181, 133, // Skip to: 40641
+/* 6412 */    MCD_OPC_CheckField, 10, 1, 0, 175, 133, // Skip to: 40641
+/* 6418 */    MCD_OPC_Decode, 172, 6, 72, // Opcode: LD1i16_POST
+/* 6422 */    MCD_OPC_FilterValue, 1, 167, 133, // Skip to: 40641
+/* 6426 */    MCD_OPC_CheckPredicate, 0, 163, 133, // Skip to: 40641
+/* 6430 */    MCD_OPC_CheckField, 31, 1, 0, 157, 133, // Skip to: 40641
+/* 6436 */    MCD_OPC_CheckField, 10, 1, 0, 151, 133, // Skip to: 40641
+/* 6442 */    MCD_OPC_Decode, 210, 6, 73, // Opcode: LD2i16_POST
 /* 6446 */    MCD_OPC_FilterValue, 3, 51, 0, // Skip to: 6501
 /* 6450 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6453 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6477
-/* 6457 */    MCD_OPC_CheckPredicate, 0, 160, 133, // Skip to: 40669
-/* 6461 */    MCD_OPC_CheckField, 31, 1, 0, 154, 133, // Skip to: 40669
-/* 6467 */    MCD_OPC_CheckField, 10, 1, 0, 148, 133, // Skip to: 40669
-/* 6473 */    MCD_OPC_Decode, 246, 6, 74, // Opcode: LD3i16_POST
-/* 6477 */    MCD_OPC_FilterValue, 1, 140, 133, // Skip to: 40669
-/* 6481 */    MCD_OPC_CheckPredicate, 0, 136, 133, // Skip to: 40669
-/* 6485 */    MCD_OPC_CheckField, 31, 1, 0, 130, 133, // Skip to: 40669
-/* 6491 */    MCD_OPC_CheckField, 10, 1, 0, 124, 133, // Skip to: 40669
-/* 6497 */    MCD_OPC_Decode, 156, 7, 75, // Opcode: LD4i16_POST
+/* 6457 */    MCD_OPC_CheckPredicate, 0, 132, 133, // Skip to: 40641
+/* 6461 */    MCD_OPC_CheckField, 31, 1, 0, 126, 133, // Skip to: 40641
+/* 6467 */    MCD_OPC_CheckField, 10, 1, 0, 120, 133, // Skip to: 40641
+/* 6473 */    MCD_OPC_Decode, 248, 6, 74, // Opcode: LD3i16_POST
+/* 6477 */    MCD_OPC_FilterValue, 1, 112, 133, // Skip to: 40641
+/* 6481 */    MCD_OPC_CheckPredicate, 0, 108, 133, // Skip to: 40641
+/* 6485 */    MCD_OPC_CheckField, 31, 1, 0, 102, 133, // Skip to: 40641
+/* 6491 */    MCD_OPC_CheckField, 10, 1, 0, 96, 133, // Skip to: 40641
+/* 6497 */    MCD_OPC_Decode, 158, 7, 75, // Opcode: LD4i16_POST
 /* 6501 */    MCD_OPC_FilterValue, 4, 101, 0, // Skip to: 6606
 /* 6505 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 6508 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6551
 /* 6512 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6515 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6533
-/* 6519 */    MCD_OPC_CheckPredicate, 0, 98, 133, // Skip to: 40669
-/* 6523 */    MCD_OPC_CheckField, 31, 1, 0, 92, 133, // Skip to: 40669
-/* 6529 */    MCD_OPC_Decode, 172, 6, 76, // Opcode: LD1i32_POST
-/* 6533 */    MCD_OPC_FilterValue, 1, 84, 133, // Skip to: 40669
-/* 6537 */    MCD_OPC_CheckPredicate, 0, 80, 133, // Skip to: 40669
-/* 6541 */    MCD_OPC_CheckField, 31, 1, 0, 74, 133, // Skip to: 40669
-/* 6547 */    MCD_OPC_Decode, 210, 6, 77, // Opcode: LD2i32_POST
-/* 6551 */    MCD_OPC_FilterValue, 1, 66, 133, // Skip to: 40669
+/* 6519 */    MCD_OPC_CheckPredicate, 0, 70, 133, // Skip to: 40641
+/* 6523 */    MCD_OPC_CheckField, 31, 1, 0, 64, 133, // Skip to: 40641
+/* 6529 */    MCD_OPC_Decode, 174, 6, 76, // Opcode: LD1i32_POST
+/* 6533 */    MCD_OPC_FilterValue, 1, 56, 133, // Skip to: 40641
+/* 6537 */    MCD_OPC_CheckPredicate, 0, 52, 133, // Skip to: 40641
+/* 6541 */    MCD_OPC_CheckField, 31, 1, 0, 46, 133, // Skip to: 40641
+/* 6547 */    MCD_OPC_Decode, 212, 6, 77, // Opcode: LD2i32_POST
+/* 6551 */    MCD_OPC_FilterValue, 1, 38, 133, // Skip to: 40641
 /* 6555 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6558 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6582
-/* 6562 */    MCD_OPC_CheckPredicate, 0, 55, 133, // Skip to: 40669
-/* 6566 */    MCD_OPC_CheckField, 31, 1, 0, 49, 133, // Skip to: 40669
-/* 6572 */    MCD_OPC_CheckField, 12, 1, 0, 43, 133, // Skip to: 40669
-/* 6578 */    MCD_OPC_Decode, 174, 6, 78, // Opcode: LD1i64_POST
-/* 6582 */    MCD_OPC_FilterValue, 1, 35, 133, // Skip to: 40669
-/* 6586 */    MCD_OPC_CheckPredicate, 0, 31, 133, // Skip to: 40669
-/* 6590 */    MCD_OPC_CheckField, 31, 1, 0, 25, 133, // Skip to: 40669
-/* 6596 */    MCD_OPC_CheckField, 12, 1, 0, 19, 133, // Skip to: 40669
-/* 6602 */    MCD_OPC_Decode, 212, 6, 79, // Opcode: LD2i64_POST
+/* 6562 */    MCD_OPC_CheckPredicate, 0, 27, 133, // Skip to: 40641
+/* 6566 */    MCD_OPC_CheckField, 31, 1, 0, 21, 133, // Skip to: 40641
+/* 6572 */    MCD_OPC_CheckField, 12, 1, 0, 15, 133, // Skip to: 40641
+/* 6578 */    MCD_OPC_Decode, 176, 6, 78, // Opcode: LD1i64_POST
+/* 6582 */    MCD_OPC_FilterValue, 1, 7, 133, // Skip to: 40641
+/* 6586 */    MCD_OPC_CheckPredicate, 0, 3, 133, // Skip to: 40641
+/* 6590 */    MCD_OPC_CheckField, 31, 1, 0, 253, 132, // Skip to: 40641
+/* 6596 */    MCD_OPC_CheckField, 12, 1, 0, 247, 132, // Skip to: 40641
+/* 6602 */    MCD_OPC_Decode, 214, 6, 79, // Opcode: LD2i64_POST
 /* 6606 */    MCD_OPC_FilterValue, 5, 101, 0, // Skip to: 6711
 /* 6610 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 6613 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6656
 /* 6617 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6620 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6638
-/* 6624 */    MCD_OPC_CheckPredicate, 0, 249, 132, // Skip to: 40669
-/* 6628 */    MCD_OPC_CheckField, 31, 1, 0, 243, 132, // Skip to: 40669
-/* 6634 */    MCD_OPC_Decode, 248, 6, 80, // Opcode: LD3i32_POST
-/* 6638 */    MCD_OPC_FilterValue, 1, 235, 132, // Skip to: 40669
-/* 6642 */    MCD_OPC_CheckPredicate, 0, 231, 132, // Skip to: 40669
-/* 6646 */    MCD_OPC_CheckField, 31, 1, 0, 225, 132, // Skip to: 40669
-/* 6652 */    MCD_OPC_Decode, 158, 7, 81, // Opcode: LD4i32_POST
-/* 6656 */    MCD_OPC_FilterValue, 1, 217, 132, // Skip to: 40669
+/* 6624 */    MCD_OPC_CheckPredicate, 0, 221, 132, // Skip to: 40641
+/* 6628 */    MCD_OPC_CheckField, 31, 1, 0, 215, 132, // Skip to: 40641
+/* 6634 */    MCD_OPC_Decode, 250, 6, 80, // Opcode: LD3i32_POST
+/* 6638 */    MCD_OPC_FilterValue, 1, 207, 132, // Skip to: 40641
+/* 6642 */    MCD_OPC_CheckPredicate, 0, 203, 132, // Skip to: 40641
+/* 6646 */    MCD_OPC_CheckField, 31, 1, 0, 197, 132, // Skip to: 40641
+/* 6652 */    MCD_OPC_Decode, 160, 7, 81, // Opcode: LD4i32_POST
+/* 6656 */    MCD_OPC_FilterValue, 1, 189, 132, // Skip to: 40641
 /* 6660 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6663 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 6687
-/* 6667 */    MCD_OPC_CheckPredicate, 0, 206, 132, // Skip to: 40669
-/* 6671 */    MCD_OPC_CheckField, 31, 1, 0, 200, 132, // Skip to: 40669
-/* 6677 */    MCD_OPC_CheckField, 12, 1, 0, 194, 132, // Skip to: 40669
-/* 6683 */    MCD_OPC_Decode, 250, 6, 82, // Opcode: LD3i64_POST
-/* 6687 */    MCD_OPC_FilterValue, 1, 186, 132, // Skip to: 40669
-/* 6691 */    MCD_OPC_CheckPredicate, 0, 182, 132, // Skip to: 40669
-/* 6695 */    MCD_OPC_CheckField, 31, 1, 0, 176, 132, // Skip to: 40669
-/* 6701 */    MCD_OPC_CheckField, 12, 1, 0, 170, 132, // Skip to: 40669
-/* 6707 */    MCD_OPC_Decode, 160, 7, 83, // Opcode: LD4i64_POST
+/* 6667 */    MCD_OPC_CheckPredicate, 0, 178, 132, // Skip to: 40641
+/* 6671 */    MCD_OPC_CheckField, 31, 1, 0, 172, 132, // Skip to: 40641
+/* 6677 */    MCD_OPC_CheckField, 12, 1, 0, 166, 132, // Skip to: 40641
+/* 6683 */    MCD_OPC_Decode, 252, 6, 82, // Opcode: LD3i64_POST
+/* 6687 */    MCD_OPC_FilterValue, 1, 158, 132, // Skip to: 40641
+/* 6691 */    MCD_OPC_CheckPredicate, 0, 154, 132, // Skip to: 40641
+/* 6695 */    MCD_OPC_CheckField, 31, 1, 0, 148, 132, // Skip to: 40641
+/* 6701 */    MCD_OPC_CheckField, 12, 1, 0, 142, 132, // Skip to: 40641
+/* 6707 */    MCD_OPC_Decode, 162, 7, 83, // Opcode: LD4i64_POST
 /* 6711 */    MCD_OPC_FilterValue, 6, 23, 1, // Skip to: 6994
 /* 6715 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 6718 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 6787
@@ -1632,155 +1632,155 @@ static const uint8_t DecoderTable32[] =
 /* 6725 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 6756
 /* 6729 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6732 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6744
-/* 6736 */    MCD_OPC_CheckPredicate, 0, 137, 132, // Skip to: 40669
-/* 6740 */    MCD_OPC_Decode, 134, 6, 14, // Opcode: LD1Rv8b_POST
-/* 6744 */    MCD_OPC_FilterValue, 1, 129, 132, // Skip to: 40669
-/* 6748 */    MCD_OPC_CheckPredicate, 0, 125, 132, // Skip to: 40669
-/* 6752 */    MCD_OPC_Decode, 250, 5, 18, // Opcode: LD1Rv16b_POST
-/* 6756 */    MCD_OPC_FilterValue, 1, 117, 132, // Skip to: 40669
+/* 6736 */    MCD_OPC_CheckPredicate, 0, 109, 132, // Skip to: 40641
+/* 6740 */    MCD_OPC_Decode, 136, 6, 14, // Opcode: LD1Rv8b_POST
+/* 6744 */    MCD_OPC_FilterValue, 1, 101, 132, // Skip to: 40641
+/* 6748 */    MCD_OPC_CheckPredicate, 0, 97, 132, // Skip to: 40641
+/* 6752 */    MCD_OPC_Decode, 252, 5, 18, // Opcode: LD1Rv16b_POST
+/* 6756 */    MCD_OPC_FilterValue, 1, 89, 132, // Skip to: 40641
 /* 6760 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6763 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6775
-/* 6767 */    MCD_OPC_CheckPredicate, 0, 106, 132, // Skip to: 40669
-/* 6771 */    MCD_OPC_Decode, 190, 6, 15, // Opcode: LD2Rv8b_POST
-/* 6775 */    MCD_OPC_FilterValue, 1, 98, 132, // Skip to: 40669
-/* 6779 */    MCD_OPC_CheckPredicate, 0, 94, 132, // Skip to: 40669
-/* 6783 */    MCD_OPC_Decode, 178, 6, 19, // Opcode: LD2Rv16b_POST
+/* 6767 */    MCD_OPC_CheckPredicate, 0, 78, 132, // Skip to: 40641
+/* 6771 */    MCD_OPC_Decode, 192, 6, 15, // Opcode: LD2Rv8b_POST
+/* 6775 */    MCD_OPC_FilterValue, 1, 70, 132, // Skip to: 40641
+/* 6779 */    MCD_OPC_CheckPredicate, 0, 66, 132, // Skip to: 40641
+/* 6783 */    MCD_OPC_Decode, 180, 6, 19, // Opcode: LD2Rv16b_POST
 /* 6787 */    MCD_OPC_FilterValue, 1, 65, 0, // Skip to: 6856
 /* 6791 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6794 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 6825
 /* 6798 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6801 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6813
-/* 6805 */    MCD_OPC_CheckPredicate, 0, 68, 132, // Skip to: 40669
-/* 6809 */    MCD_OPC_Decode, 130, 6, 14, // Opcode: LD1Rv4h_POST
-/* 6813 */    MCD_OPC_FilterValue, 1, 60, 132, // Skip to: 40669
-/* 6817 */    MCD_OPC_CheckPredicate, 0, 56, 132, // Skip to: 40669
-/* 6821 */    MCD_OPC_Decode, 136, 6, 18, // Opcode: LD1Rv8h_POST
-/* 6825 */    MCD_OPC_FilterValue, 1, 48, 132, // Skip to: 40669
+/* 6805 */    MCD_OPC_CheckPredicate, 0, 40, 132, // Skip to: 40641
+/* 6809 */    MCD_OPC_Decode, 132, 6, 14, // Opcode: LD1Rv4h_POST
+/* 6813 */    MCD_OPC_FilterValue, 1, 32, 132, // Skip to: 40641
+/* 6817 */    MCD_OPC_CheckPredicate, 0, 28, 132, // Skip to: 40641
+/* 6821 */    MCD_OPC_Decode, 138, 6, 18, // Opcode: LD1Rv8h_POST
+/* 6825 */    MCD_OPC_FilterValue, 1, 20, 132, // Skip to: 40641
 /* 6829 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6832 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6844
-/* 6836 */    MCD_OPC_CheckPredicate, 0, 37, 132, // Skip to: 40669
-/* 6840 */    MCD_OPC_Decode, 186, 6, 15, // Opcode: LD2Rv4h_POST
-/* 6844 */    MCD_OPC_FilterValue, 1, 29, 132, // Skip to: 40669
-/* 6848 */    MCD_OPC_CheckPredicate, 0, 25, 132, // Skip to: 40669
-/* 6852 */    MCD_OPC_Decode, 192, 6, 19, // Opcode: LD2Rv8h_POST
+/* 6836 */    MCD_OPC_CheckPredicate, 0, 9, 132, // Skip to: 40641
+/* 6840 */    MCD_OPC_Decode, 188, 6, 15, // Opcode: LD2Rv4h_POST
+/* 6844 */    MCD_OPC_FilterValue, 1, 1, 132, // Skip to: 40641
+/* 6848 */    MCD_OPC_CheckPredicate, 0, 253, 131, // Skip to: 40641
+/* 6852 */    MCD_OPC_Decode, 194, 6, 19, // Opcode: LD2Rv8h_POST
 /* 6856 */    MCD_OPC_FilterValue, 2, 65, 0, // Skip to: 6925
 /* 6860 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6863 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 6894
 /* 6867 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6870 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6882
-/* 6874 */    MCD_OPC_CheckPredicate, 0, 255, 131, // Skip to: 40669
-/* 6878 */    MCD_OPC_Decode, 128, 6, 14, // Opcode: LD1Rv2s_POST
-/* 6882 */    MCD_OPC_FilterValue, 1, 247, 131, // Skip to: 40669
-/* 6886 */    MCD_OPC_CheckPredicate, 0, 243, 131, // Skip to: 40669
-/* 6890 */    MCD_OPC_Decode, 132, 6, 18, // Opcode: LD1Rv4s_POST
-/* 6894 */    MCD_OPC_FilterValue, 1, 235, 131, // Skip to: 40669
+/* 6874 */    MCD_OPC_CheckPredicate, 0, 227, 131, // Skip to: 40641
+/* 6878 */    MCD_OPC_Decode, 130, 6, 14, // Opcode: LD1Rv2s_POST
+/* 6882 */    MCD_OPC_FilterValue, 1, 219, 131, // Skip to: 40641
+/* 6886 */    MCD_OPC_CheckPredicate, 0, 215, 131, // Skip to: 40641
+/* 6890 */    MCD_OPC_Decode, 134, 6, 18, // Opcode: LD1Rv4s_POST
+/* 6894 */    MCD_OPC_FilterValue, 1, 207, 131, // Skip to: 40641
 /* 6898 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6901 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6913
-/* 6905 */    MCD_OPC_CheckPredicate, 0, 224, 131, // Skip to: 40669
-/* 6909 */    MCD_OPC_Decode, 184, 6, 15, // Opcode: LD2Rv2s_POST
-/* 6913 */    MCD_OPC_FilterValue, 1, 216, 131, // Skip to: 40669
-/* 6917 */    MCD_OPC_CheckPredicate, 0, 212, 131, // Skip to: 40669
-/* 6921 */    MCD_OPC_Decode, 188, 6, 19, // Opcode: LD2Rv4s_POST
-/* 6925 */    MCD_OPC_FilterValue, 3, 204, 131, // Skip to: 40669
+/* 6905 */    MCD_OPC_CheckPredicate, 0, 196, 131, // Skip to: 40641
+/* 6909 */    MCD_OPC_Decode, 186, 6, 15, // Opcode: LD2Rv2s_POST
+/* 6913 */    MCD_OPC_FilterValue, 1, 188, 131, // Skip to: 40641
+/* 6917 */    MCD_OPC_CheckPredicate, 0, 184, 131, // Skip to: 40641
+/* 6921 */    MCD_OPC_Decode, 190, 6, 19, // Opcode: LD2Rv4s_POST
+/* 6925 */    MCD_OPC_FilterValue, 3, 176, 131, // Skip to: 40641
 /* 6929 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 6932 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 6963
 /* 6936 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6939 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6951
-/* 6943 */    MCD_OPC_CheckPredicate, 0, 186, 131, // Skip to: 40669
-/* 6947 */    MCD_OPC_Decode, 252, 5, 14, // Opcode: LD1Rv1d_POST
-/* 6951 */    MCD_OPC_FilterValue, 1, 178, 131, // Skip to: 40669
-/* 6955 */    MCD_OPC_CheckPredicate, 0, 174, 131, // Skip to: 40669
-/* 6959 */    MCD_OPC_Decode, 254, 5, 18, // Opcode: LD1Rv2d_POST
-/* 6963 */    MCD_OPC_FilterValue, 1, 166, 131, // Skip to: 40669
+/* 6943 */    MCD_OPC_CheckPredicate, 0, 158, 131, // Skip to: 40641
+/* 6947 */    MCD_OPC_Decode, 254, 5, 14, // Opcode: LD1Rv1d_POST
+/* 6951 */    MCD_OPC_FilterValue, 1, 150, 131, // Skip to: 40641
+/* 6955 */    MCD_OPC_CheckPredicate, 0, 146, 131, // Skip to: 40641
+/* 6959 */    MCD_OPC_Decode, 128, 6, 18, // Opcode: LD1Rv2d_POST
+/* 6963 */    MCD_OPC_FilterValue, 1, 138, 131, // Skip to: 40641
 /* 6967 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 6970 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6982
-/* 6974 */    MCD_OPC_CheckPredicate, 0, 155, 131, // Skip to: 40669
-/* 6978 */    MCD_OPC_Decode, 180, 6, 15, // Opcode: LD2Rv1d_POST
-/* 6982 */    MCD_OPC_FilterValue, 1, 147, 131, // Skip to: 40669
-/* 6986 */    MCD_OPC_CheckPredicate, 0, 143, 131, // Skip to: 40669
-/* 6990 */    MCD_OPC_Decode, 182, 6, 19, // Opcode: LD2Rv2d_POST
-/* 6994 */    MCD_OPC_FilterValue, 7, 135, 131, // Skip to: 40669
+/* 6974 */    MCD_OPC_CheckPredicate, 0, 127, 131, // Skip to: 40641
+/* 6978 */    MCD_OPC_Decode, 182, 6, 15, // Opcode: LD2Rv1d_POST
+/* 6982 */    MCD_OPC_FilterValue, 1, 119, 131, // Skip to: 40641
+/* 6986 */    MCD_OPC_CheckPredicate, 0, 115, 131, // Skip to: 40641
+/* 6990 */    MCD_OPC_Decode, 184, 6, 19, // Opcode: LD2Rv2d_POST
+/* 6994 */    MCD_OPC_FilterValue, 7, 107, 131, // Skip to: 40641
 /* 6998 */    MCD_OPC_ExtractField, 10, 3,  // Inst{12-10} ...
 /* 7001 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 7070
 /* 7005 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7008 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 7039
 /* 7012 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7015 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7027
-/* 7019 */    MCD_OPC_CheckPredicate, 0, 110, 131, // Skip to: 40669
-/* 7023 */    MCD_OPC_Decode, 228, 6, 13, // Opcode: LD3Rv8b_POST
-/* 7027 */    MCD_OPC_FilterValue, 1, 102, 131, // Skip to: 40669
-/* 7031 */    MCD_OPC_CheckPredicate, 0, 98, 131, // Skip to: 40669
-/* 7035 */    MCD_OPC_Decode, 216, 6, 17, // Opcode: LD3Rv16b_POST
-/* 7039 */    MCD_OPC_FilterValue, 1, 90, 131, // Skip to: 40669
+/* 7019 */    MCD_OPC_CheckPredicate, 0, 82, 131, // Skip to: 40641
+/* 7023 */    MCD_OPC_Decode, 230, 6, 13, // Opcode: LD3Rv8b_POST
+/* 7027 */    MCD_OPC_FilterValue, 1, 74, 131, // Skip to: 40641
+/* 7031 */    MCD_OPC_CheckPredicate, 0, 70, 131, // Skip to: 40641
+/* 7035 */    MCD_OPC_Decode, 218, 6, 17, // Opcode: LD3Rv16b_POST
+/* 7039 */    MCD_OPC_FilterValue, 1, 62, 131, // Skip to: 40641
 /* 7043 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7046 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7058
-/* 7050 */    MCD_OPC_CheckPredicate, 0, 79, 131, // Skip to: 40669
-/* 7054 */    MCD_OPC_Decode, 152, 7, 12, // Opcode: LD4Rv8b_POST
-/* 7058 */    MCD_OPC_FilterValue, 1, 71, 131, // Skip to: 40669
-/* 7062 */    MCD_OPC_CheckPredicate, 0, 67, 131, // Skip to: 40669
-/* 7066 */    MCD_OPC_Decode, 140, 7, 16, // Opcode: LD4Rv16b_POST
+/* 7050 */    MCD_OPC_CheckPredicate, 0, 51, 131, // Skip to: 40641
+/* 7054 */    MCD_OPC_Decode, 154, 7, 12, // Opcode: LD4Rv8b_POST
+/* 7058 */    MCD_OPC_FilterValue, 1, 43, 131, // Skip to: 40641
+/* 7062 */    MCD_OPC_CheckPredicate, 0, 39, 131, // Skip to: 40641
+/* 7066 */    MCD_OPC_Decode, 142, 7, 16, // Opcode: LD4Rv16b_POST
 /* 7070 */    MCD_OPC_FilterValue, 1, 65, 0, // Skip to: 7139
 /* 7074 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7077 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 7108
 /* 7081 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7084 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7096
-/* 7088 */    MCD_OPC_CheckPredicate, 0, 41, 131, // Skip to: 40669
-/* 7092 */    MCD_OPC_Decode, 224, 6, 13, // Opcode: LD3Rv4h_POST
-/* 7096 */    MCD_OPC_FilterValue, 1, 33, 131, // Skip to: 40669
-/* 7100 */    MCD_OPC_CheckPredicate, 0, 29, 131, // Skip to: 40669
-/* 7104 */    MCD_OPC_Decode, 230, 6, 17, // Opcode: LD3Rv8h_POST
-/* 7108 */    MCD_OPC_FilterValue, 1, 21, 131, // Skip to: 40669
+/* 7088 */    MCD_OPC_CheckPredicate, 0, 13, 131, // Skip to: 40641
+/* 7092 */    MCD_OPC_Decode, 226, 6, 13, // Opcode: LD3Rv4h_POST
+/* 7096 */    MCD_OPC_FilterValue, 1, 5, 131, // Skip to: 40641
+/* 7100 */    MCD_OPC_CheckPredicate, 0, 1, 131, // Skip to: 40641
+/* 7104 */    MCD_OPC_Decode, 232, 6, 17, // Opcode: LD3Rv8h_POST
+/* 7108 */    MCD_OPC_FilterValue, 1, 249, 130, // Skip to: 40641
 /* 7112 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7115 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7127
-/* 7119 */    MCD_OPC_CheckPredicate, 0, 10, 131, // Skip to: 40669
-/* 7123 */    MCD_OPC_Decode, 148, 7, 12, // Opcode: LD4Rv4h_POST
-/* 7127 */    MCD_OPC_FilterValue, 1, 2, 131, // Skip to: 40669
-/* 7131 */    MCD_OPC_CheckPredicate, 0, 254, 130, // Skip to: 40669
-/* 7135 */    MCD_OPC_Decode, 154, 7, 16, // Opcode: LD4Rv8h_POST
+/* 7119 */    MCD_OPC_CheckPredicate, 0, 238, 130, // Skip to: 40641
+/* 7123 */    MCD_OPC_Decode, 150, 7, 12, // Opcode: LD4Rv4h_POST
+/* 7127 */    MCD_OPC_FilterValue, 1, 230, 130, // Skip to: 40641
+/* 7131 */    MCD_OPC_CheckPredicate, 0, 226, 130, // Skip to: 40641
+/* 7135 */    MCD_OPC_Decode, 156, 7, 16, // Opcode: LD4Rv8h_POST
 /* 7139 */    MCD_OPC_FilterValue, 2, 65, 0, // Skip to: 7208
 /* 7143 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7146 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 7177
 /* 7150 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7153 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7165
-/* 7157 */    MCD_OPC_CheckPredicate, 0, 228, 130, // Skip to: 40669
-/* 7161 */    MCD_OPC_Decode, 222, 6, 13, // Opcode: LD3Rv2s_POST
-/* 7165 */    MCD_OPC_FilterValue, 1, 220, 130, // Skip to: 40669
-/* 7169 */    MCD_OPC_CheckPredicate, 0, 216, 130, // Skip to: 40669
-/* 7173 */    MCD_OPC_Decode, 226, 6, 17, // Opcode: LD3Rv4s_POST
-/* 7177 */    MCD_OPC_FilterValue, 1, 208, 130, // Skip to: 40669
+/* 7157 */    MCD_OPC_CheckPredicate, 0, 200, 130, // Skip to: 40641
+/* 7161 */    MCD_OPC_Decode, 224, 6, 13, // Opcode: LD3Rv2s_POST
+/* 7165 */    MCD_OPC_FilterValue, 1, 192, 130, // Skip to: 40641
+/* 7169 */    MCD_OPC_CheckPredicate, 0, 188, 130, // Skip to: 40641
+/* 7173 */    MCD_OPC_Decode, 228, 6, 17, // Opcode: LD3Rv4s_POST
+/* 7177 */    MCD_OPC_FilterValue, 1, 180, 130, // Skip to: 40641
 /* 7181 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7184 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7196
-/* 7188 */    MCD_OPC_CheckPredicate, 0, 197, 130, // Skip to: 40669
-/* 7192 */    MCD_OPC_Decode, 146, 7, 12, // Opcode: LD4Rv2s_POST
-/* 7196 */    MCD_OPC_FilterValue, 1, 189, 130, // Skip to: 40669
-/* 7200 */    MCD_OPC_CheckPredicate, 0, 185, 130, // Skip to: 40669
-/* 7204 */    MCD_OPC_Decode, 150, 7, 16, // Opcode: LD4Rv4s_POST
-/* 7208 */    MCD_OPC_FilterValue, 3, 177, 130, // Skip to: 40669
+/* 7188 */    MCD_OPC_CheckPredicate, 0, 169, 130, // Skip to: 40641
+/* 7192 */    MCD_OPC_Decode, 148, 7, 12, // Opcode: LD4Rv2s_POST
+/* 7196 */    MCD_OPC_FilterValue, 1, 161, 130, // Skip to: 40641
+/* 7200 */    MCD_OPC_CheckPredicate, 0, 157, 130, // Skip to: 40641
+/* 7204 */    MCD_OPC_Decode, 152, 7, 16, // Opcode: LD4Rv4s_POST
+/* 7208 */    MCD_OPC_FilterValue, 3, 149, 130, // Skip to: 40641
 /* 7212 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7215 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 7246
 /* 7219 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7222 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7234
-/* 7226 */    MCD_OPC_CheckPredicate, 0, 159, 130, // Skip to: 40669
-/* 7230 */    MCD_OPC_Decode, 218, 6, 13, // Opcode: LD3Rv1d_POST
-/* 7234 */    MCD_OPC_FilterValue, 1, 151, 130, // Skip to: 40669
-/* 7238 */    MCD_OPC_CheckPredicate, 0, 147, 130, // Skip to: 40669
-/* 7242 */    MCD_OPC_Decode, 220, 6, 17, // Opcode: LD3Rv2d_POST
-/* 7246 */    MCD_OPC_FilterValue, 1, 139, 130, // Skip to: 40669
+/* 7226 */    MCD_OPC_CheckPredicate, 0, 131, 130, // Skip to: 40641
+/* 7230 */    MCD_OPC_Decode, 220, 6, 13, // Opcode: LD3Rv1d_POST
+/* 7234 */    MCD_OPC_FilterValue, 1, 123, 130, // Skip to: 40641
+/* 7238 */    MCD_OPC_CheckPredicate, 0, 119, 130, // Skip to: 40641
+/* 7242 */    MCD_OPC_Decode, 222, 6, 17, // Opcode: LD3Rv2d_POST
+/* 7246 */    MCD_OPC_FilterValue, 1, 111, 130, // Skip to: 40641
 /* 7250 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7253 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7265
-/* 7257 */    MCD_OPC_CheckPredicate, 0, 128, 130, // Skip to: 40669
-/* 7261 */    MCD_OPC_Decode, 142, 7, 12, // Opcode: LD4Rv1d_POST
-/* 7265 */    MCD_OPC_FilterValue, 1, 120, 130, // Skip to: 40669
-/* 7269 */    MCD_OPC_CheckPredicate, 0, 116, 130, // Skip to: 40669
-/* 7273 */    MCD_OPC_Decode, 144, 7, 16, // Opcode: LD4Rv2d_POST
-/* 7277 */    MCD_OPC_FilterValue, 1, 108, 130, // Skip to: 40669
+/* 7257 */    MCD_OPC_CheckPredicate, 0, 100, 130, // Skip to: 40641
+/* 7261 */    MCD_OPC_Decode, 144, 7, 12, // Opcode: LD4Rv1d_POST
+/* 7265 */    MCD_OPC_FilterValue, 1, 92, 130, // Skip to: 40641
+/* 7269 */    MCD_OPC_CheckPredicate, 0, 88, 130, // Skip to: 40641
+/* 7273 */    MCD_OPC_Decode, 146, 7, 16, // Opcode: LD4Rv2d_POST
+/* 7277 */    MCD_OPC_FilterValue, 1, 80, 130, // Skip to: 40641
 /* 7281 */    MCD_OPC_ExtractField, 30, 2,  // Inst{31-30} ...
 /* 7284 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7292
-/* 7288 */    MCD_OPC_Decode, 189, 7, 3, // Opcode: LDPSpre
+/* 7288 */    MCD_OPC_Decode, 191, 7, 3, // Opcode: LDPSpre
 /* 7292 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 7300
-/* 7296 */    MCD_OPC_Decode, 180, 7, 3, // Opcode: LDPDpre
-/* 7300 */    MCD_OPC_FilterValue, 2, 85, 130, // Skip to: 40669
-/* 7304 */    MCD_OPC_Decode, 183, 7, 3, // Opcode: LDPQpre
+/* 7296 */    MCD_OPC_Decode, 182, 7, 3, // Opcode: LDPDpre
+/* 7300 */    MCD_OPC_FilterValue, 2, 57, 130, // Skip to: 40641
+/* 7304 */    MCD_OPC_Decode, 185, 7, 3, // Opcode: LDPQpre
 /* 7308 */    MCD_OPC_FilterValue, 8, 171, 21, // Skip to: 12859
 /* 7312 */    MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 7315 */    MCD_OPC_FilterValue, 0, 36, 6, // Skip to: 8891
@@ -1788,11 +1788,11 @@ static const uint8_t DecoderTable32[] =
 /* 7322 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 7353
 /* 7326 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7329 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7341
-/* 7333 */    MCD_OPC_CheckPredicate, 0, 52, 130, // Skip to: 40669
-/* 7337 */    MCD_OPC_Decode, 200, 15, 84, // Opcode: TBLv8i8One
-/* 7341 */    MCD_OPC_FilterValue, 1, 44, 130, // Skip to: 40669
-/* 7345 */    MCD_OPC_CheckPredicate, 0, 40, 130, // Skip to: 40669
-/* 7349 */    MCD_OPC_Decode, 245, 9, 85, // Opcode: SADDLv8i8_v8i16
+/* 7333 */    MCD_OPC_CheckPredicate, 0, 24, 130, // Skip to: 40641
+/* 7337 */    MCD_OPC_Decode, 202, 15, 84, // Opcode: TBLv8i8One
+/* 7341 */    MCD_OPC_FilterValue, 1, 16, 130, // Skip to: 40641
+/* 7345 */    MCD_OPC_CheckPredicate, 0, 12, 130, // Skip to: 40641
+/* 7349 */    MCD_OPC_Decode, 247, 9, 85, // Opcode: SADDLv8i8_v8i16
 /* 7353 */    MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 7428
 /* 7357 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7360 */    MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 7416
@@ -1800,127 +1800,127 @@ static const uint8_t DecoderTable32[] =
 /* 7367 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 7404
 /* 7371 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
 /* 7374 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 7392
-/* 7378 */    MCD_OPC_CheckPredicate, 0, 7, 130, // Skip to: 40669
-/* 7382 */    MCD_OPC_CheckField, 18, 1, 1, 1, 130, // Skip to: 40669
-/* 7388 */    MCD_OPC_Decode, 149, 2, 86, // Opcode: DUPv2i32lane
-/* 7392 */    MCD_OPC_FilterValue, 1, 249, 129, // Skip to: 40669
-/* 7396 */    MCD_OPC_CheckPredicate, 0, 245, 129, // Skip to: 40669
-/* 7400 */    MCD_OPC_Decode, 153, 2, 87, // Opcode: DUPv4i16lane
-/* 7404 */    MCD_OPC_FilterValue, 1, 237, 129, // Skip to: 40669
-/* 7408 */    MCD_OPC_CheckPredicate, 0, 233, 129, // Skip to: 40669
-/* 7412 */    MCD_OPC_Decode, 159, 2, 88, // Opcode: DUPv8i8lane
-/* 7416 */    MCD_OPC_FilterValue, 1, 225, 129, // Skip to: 40669
-/* 7420 */    MCD_OPC_CheckPredicate, 0, 221, 129, // Skip to: 40669
-/* 7424 */    MCD_OPC_Decode, 167, 10, 89, // Opcode: SHADDv8i8
+/* 7378 */    MCD_OPC_CheckPredicate, 0, 235, 129, // Skip to: 40641
+/* 7382 */    MCD_OPC_CheckField, 18, 1, 1, 229, 129, // Skip to: 40641
+/* 7388 */    MCD_OPC_Decode, 151, 2, 86, // Opcode: DUPv2i32lane
+/* 7392 */    MCD_OPC_FilterValue, 1, 221, 129, // Skip to: 40641
+/* 7396 */    MCD_OPC_CheckPredicate, 0, 217, 129, // Skip to: 40641
+/* 7400 */    MCD_OPC_Decode, 155, 2, 87, // Opcode: DUPv4i16lane
+/* 7404 */    MCD_OPC_FilterValue, 1, 209, 129, // Skip to: 40641
+/* 7408 */    MCD_OPC_CheckPredicate, 0, 205, 129, // Skip to: 40641
+/* 7412 */    MCD_OPC_Decode, 161, 2, 88, // Opcode: DUPv8i8lane
+/* 7416 */    MCD_OPC_FilterValue, 1, 197, 129, // Skip to: 40641
+/* 7420 */    MCD_OPC_CheckPredicate, 0, 193, 129, // Skip to: 40641
+/* 7424 */    MCD_OPC_Decode, 169, 10, 89, // Opcode: SHADDv8i8
 /* 7428 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 7446
-/* 7432 */    MCD_OPC_CheckPredicate, 0, 209, 129, // Skip to: 40669
-/* 7436 */    MCD_OPC_CheckField, 16, 6, 32, 203, 129, // Skip to: 40669
-/* 7442 */    MCD_OPC_Decode, 182, 9, 90, // Opcode: REV64v8i8
+/* 7432 */    MCD_OPC_CheckPredicate, 0, 181, 129, // Skip to: 40641
+/* 7436 */    MCD_OPC_CheckField, 16, 6, 32, 175, 129, // Skip to: 40641
+/* 7442 */    MCD_OPC_Decode, 184, 9, 90, // Opcode: REV64v8i8
 /* 7446 */    MCD_OPC_FilterValue, 3, 58, 0, // Skip to: 7508
 /* 7450 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7453 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 7496
 /* 7457 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 7460 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7472
-/* 7464 */    MCD_OPC_CheckPredicate, 0, 177, 129, // Skip to: 40669
-/* 7468 */    MCD_OPC_Decode, 158, 2, 91, // Opcode: DUPv8i8gpr
+/* 7464 */    MCD_OPC_CheckPredicate, 0, 149, 129, // Skip to: 40641
+/* 7468 */    MCD_OPC_Decode, 160, 2, 91, // Opcode: DUPv8i8gpr
 /* 7472 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7484
-/* 7476 */    MCD_OPC_CheckPredicate, 0, 165, 129, // Skip to: 40669
-/* 7480 */    MCD_OPC_Decode, 152, 2, 91, // Opcode: DUPv4i16gpr
-/* 7484 */    MCD_OPC_FilterValue, 4, 157, 129, // Skip to: 40669
-/* 7488 */    MCD_OPC_CheckPredicate, 0, 153, 129, // Skip to: 40669
-/* 7492 */    MCD_OPC_Decode, 148, 2, 91, // Opcode: DUPv2i32gpr
-/* 7496 */    MCD_OPC_FilterValue, 1, 145, 129, // Skip to: 40669
-/* 7500 */    MCD_OPC_CheckPredicate, 0, 141, 129, // Skip to: 40669
-/* 7504 */    MCD_OPC_Decode, 168, 11, 89, // Opcode: SQADDv8i8
+/* 7476 */    MCD_OPC_CheckPredicate, 0, 137, 129, // Skip to: 40641
+/* 7480 */    MCD_OPC_Decode, 154, 2, 91, // Opcode: DUPv4i16gpr
+/* 7484 */    MCD_OPC_FilterValue, 4, 129, 129, // Skip to: 40641
+/* 7488 */    MCD_OPC_CheckPredicate, 0, 125, 129, // Skip to: 40641
+/* 7492 */    MCD_OPC_Decode, 150, 2, 91, // Opcode: DUPv2i32gpr
+/* 7496 */    MCD_OPC_FilterValue, 1, 117, 129, // Skip to: 40641
+/* 7500 */    MCD_OPC_CheckPredicate, 0, 113, 129, // Skip to: 40641
+/* 7504 */    MCD_OPC_Decode, 170, 11, 89, // Opcode: SQADDv8i8
 /* 7508 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 7539
 /* 7512 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7515 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7527
-/* 7519 */    MCD_OPC_CheckPredicate, 0, 122, 129, // Skip to: 40669
-/* 7523 */    MCD_OPC_Decode, 210, 15, 92, // Opcode: TBXv8i8One
-/* 7527 */    MCD_OPC_FilterValue, 1, 114, 129, // Skip to: 40669
-/* 7531 */    MCD_OPC_CheckPredicate, 0, 110, 129, // Skip to: 40669
-/* 7535 */    MCD_OPC_Decode, 251, 9, 93, // Opcode: SADDWv8i8_v8i16
+/* 7519 */    MCD_OPC_CheckPredicate, 0, 94, 129, // Skip to: 40641
+/* 7523 */    MCD_OPC_Decode, 212, 15, 92, // Opcode: TBXv8i8One
+/* 7527 */    MCD_OPC_FilterValue, 1, 86, 129, // Skip to: 40641
+/* 7531 */    MCD_OPC_CheckPredicate, 0, 82, 129, // Skip to: 40641
+/* 7535 */    MCD_OPC_Decode, 253, 9, 93, // Opcode: SADDWv8i8_v8i16
 /* 7539 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 7557
-/* 7543 */    MCD_OPC_CheckPredicate, 0, 98, 129, // Skip to: 40669
-/* 7547 */    MCD_OPC_CheckField, 21, 1, 1, 92, 129, // Skip to: 40669
-/* 7553 */    MCD_OPC_Decode, 226, 12, 89, // Opcode: SRHADDv8i8
+/* 7543 */    MCD_OPC_CheckPredicate, 0, 70, 129, // Skip to: 40641
+/* 7547 */    MCD_OPC_CheckField, 21, 1, 1, 64, 129, // Skip to: 40641
+/* 7553 */    MCD_OPC_Decode, 228, 12, 89, // Opcode: SRHADDv8i8
 /* 7557 */    MCD_OPC_FilterValue, 6, 33, 0, // Skip to: 7594
 /* 7561 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7564 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7576
-/* 7568 */    MCD_OPC_CheckPredicate, 0, 73, 129, // Skip to: 40669
-/* 7572 */    MCD_OPC_Decode, 184, 18, 89, // Opcode: UZP1v8i8
-/* 7576 */    MCD_OPC_FilterValue, 1, 65, 129, // Skip to: 40669
-/* 7580 */    MCD_OPC_CheckPredicate, 0, 61, 129, // Skip to: 40669
-/* 7584 */    MCD_OPC_CheckField, 16, 5, 0, 55, 129, // Skip to: 40669
-/* 7590 */    MCD_OPC_Decode, 171, 9, 90, // Opcode: REV16v8i8
+/* 7568 */    MCD_OPC_CheckPredicate, 0, 45, 129, // Skip to: 40641
+/* 7572 */    MCD_OPC_Decode, 186, 18, 89, // Opcode: UZP1v8i8
+/* 7576 */    MCD_OPC_FilterValue, 1, 37, 129, // Skip to: 40641
+/* 7580 */    MCD_OPC_CheckPredicate, 0, 33, 129, // Skip to: 40641
+/* 7584 */    MCD_OPC_CheckField, 16, 5, 0, 27, 129, // Skip to: 40641
+/* 7590 */    MCD_OPC_Decode, 173, 9, 90, // Opcode: REV16v8i8
 /* 7594 */    MCD_OPC_FilterValue, 7, 13, 0, // Skip to: 7611
-/* 7598 */    MCD_OPC_CheckPredicate, 0, 43, 129, // Skip to: 40669
-/* 7602 */    MCD_OPC_CheckField, 21, 1, 1, 37, 129, // Skip to: 40669
-/* 7608 */    MCD_OPC_Decode, 98, 89, // Opcode: ANDv8i8
+/* 7598 */    MCD_OPC_CheckPredicate, 0, 15, 129, // Skip to: 40641
+/* 7602 */    MCD_OPC_CheckField, 21, 1, 1, 9, 129, // Skip to: 40641
+/* 7608 */    MCD_OPC_Decode, 100, 89, // Opcode: ANDv8i8
 /* 7611 */    MCD_OPC_FilterValue, 8, 27, 0, // Skip to: 7642
 /* 7615 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7618 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7630
-/* 7622 */    MCD_OPC_CheckPredicate, 0, 19, 129, // Skip to: 40669
-/* 7626 */    MCD_OPC_Decode, 202, 15, 94, // Opcode: TBLv8i8Two
-/* 7630 */    MCD_OPC_FilterValue, 1, 11, 129, // Skip to: 40669
-/* 7634 */    MCD_OPC_CheckPredicate, 0, 7, 129, // Skip to: 40669
-/* 7638 */    MCD_OPC_Decode, 166, 13, 85, // Opcode: SSUBLv8i8_v8i16
+/* 7622 */    MCD_OPC_CheckPredicate, 0, 247, 128, // Skip to: 40641
+/* 7626 */    MCD_OPC_Decode, 204, 15, 94, // Opcode: TBLv8i8Two
+/* 7630 */    MCD_OPC_FilterValue, 1, 239, 128, // Skip to: 40641
+/* 7634 */    MCD_OPC_CheckPredicate, 0, 235, 128, // Skip to: 40641
+/* 7638 */    MCD_OPC_Decode, 168, 13, 85, // Opcode: SSUBLv8i8_v8i16
 /* 7642 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 7660
-/* 7646 */    MCD_OPC_CheckPredicate, 0, 251, 128, // Skip to: 40669
-/* 7650 */    MCD_OPC_CheckField, 21, 1, 1, 245, 128, // Skip to: 40669
-/* 7656 */    MCD_OPC_Decode, 193, 10, 89, // Opcode: SHSUBv8i8
+/* 7646 */    MCD_OPC_CheckPredicate, 0, 223, 128, // Skip to: 40641
+/* 7650 */    MCD_OPC_CheckField, 21, 1, 1, 217, 128, // Skip to: 40641
+/* 7656 */    MCD_OPC_Decode, 195, 10, 89, // Opcode: SHSUBv8i8
 /* 7660 */    MCD_OPC_FilterValue, 10, 46, 0, // Skip to: 7710
 /* 7664 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7667 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7679
-/* 7671 */    MCD_OPC_CheckPredicate, 0, 226, 128, // Skip to: 40669
-/* 7675 */    MCD_OPC_Decode, 225, 15, 89, // Opcode: TRN1v8i8
-/* 7679 */    MCD_OPC_FilterValue, 1, 218, 128, // Skip to: 40669
+/* 7671 */    MCD_OPC_CheckPredicate, 0, 198, 128, // Skip to: 40641
+/* 7675 */    MCD_OPC_Decode, 227, 15, 89, // Opcode: TRN1v8i8
+/* 7679 */    MCD_OPC_FilterValue, 1, 190, 128, // Skip to: 40641
 /* 7683 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 7686 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7698
-/* 7690 */    MCD_OPC_CheckPredicate, 0, 207, 128, // Skip to: 40669
-/* 7694 */    MCD_OPC_Decode, 234, 9, 90, // Opcode: SADDLPv8i8_v4i16
-/* 7698 */    MCD_OPC_FilterValue, 1, 199, 128, // Skip to: 40669
-/* 7702 */    MCD_OPC_CheckPredicate, 0, 195, 128, // Skip to: 40669
-/* 7706 */    MCD_OPC_Decode, 197, 18, 95, // Opcode: XTNv8i8
+/* 7690 */    MCD_OPC_CheckPredicate, 0, 179, 128, // Skip to: 40641
+/* 7694 */    MCD_OPC_Decode, 236, 9, 90, // Opcode: SADDLPv8i8_v4i16
+/* 7698 */    MCD_OPC_FilterValue, 1, 171, 128, // Skip to: 40641
+/* 7702 */    MCD_OPC_CheckPredicate, 0, 167, 128, // Skip to: 40641
+/* 7706 */    MCD_OPC_Decode, 199, 18, 95, // Opcode: XTNv8i8
 /* 7710 */    MCD_OPC_FilterValue, 11, 52, 0, // Skip to: 7766
 /* 7714 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7717 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 7754
 /* 7721 */    MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
 /* 7724 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 7742
-/* 7728 */    MCD_OPC_CheckPredicate, 0, 169, 128, // Skip to: 40669
-/* 7732 */    MCD_OPC_CheckField, 17, 1, 1, 163, 128, // Skip to: 40669
-/* 7738 */    MCD_OPC_Decode, 130, 11, 96, // Opcode: SMOVvi16to32
-/* 7742 */    MCD_OPC_FilterValue, 1, 155, 128, // Skip to: 40669
-/* 7746 */    MCD_OPC_CheckPredicate, 0, 151, 128, // Skip to: 40669
-/* 7750 */    MCD_OPC_Decode, 133, 11, 97, // Opcode: SMOVvi8to32
-/* 7754 */    MCD_OPC_FilterValue, 1, 143, 128, // Skip to: 40669
-/* 7758 */    MCD_OPC_CheckPredicate, 0, 139, 128, // Skip to: 40669
-/* 7762 */    MCD_OPC_Decode, 202, 12, 89, // Opcode: SQSUBv8i8
+/* 7728 */    MCD_OPC_CheckPredicate, 0, 141, 128, // Skip to: 40641
+/* 7732 */    MCD_OPC_CheckField, 17, 1, 1, 135, 128, // Skip to: 40641
+/* 7738 */    MCD_OPC_Decode, 132, 11, 96, // Opcode: SMOVvi16to32
+/* 7742 */    MCD_OPC_FilterValue, 1, 127, 128, // Skip to: 40641
+/* 7746 */    MCD_OPC_CheckPredicate, 0, 123, 128, // Skip to: 40641
+/* 7750 */    MCD_OPC_Decode, 135, 11, 97, // Opcode: SMOVvi8to32
+/* 7754 */    MCD_OPC_FilterValue, 1, 115, 128, // Skip to: 40641
+/* 7758 */    MCD_OPC_CheckPredicate, 0, 111, 128, // Skip to: 40641
+/* 7762 */    MCD_OPC_Decode, 204, 12, 89, // Opcode: SQSUBv8i8
 /* 7766 */    MCD_OPC_FilterValue, 12, 27, 0, // Skip to: 7797
 /* 7770 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7773 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7785
-/* 7777 */    MCD_OPC_CheckPredicate, 0, 120, 128, // Skip to: 40669
-/* 7781 */    MCD_OPC_Decode, 212, 15, 98, // Opcode: TBXv8i8Two
-/* 7785 */    MCD_OPC_FilterValue, 1, 112, 128, // Skip to: 40669
-/* 7789 */    MCD_OPC_CheckPredicate, 0, 108, 128, // Skip to: 40669
-/* 7793 */    MCD_OPC_Decode, 172, 13, 93, // Opcode: SSUBWv8i8_v8i16
+/* 7777 */    MCD_OPC_CheckPredicate, 0, 92, 128, // Skip to: 40641
+/* 7781 */    MCD_OPC_Decode, 214, 15, 98, // Opcode: TBXv8i8Two
+/* 7785 */    MCD_OPC_FilterValue, 1, 84, 128, // Skip to: 40641
+/* 7789 */    MCD_OPC_CheckPredicate, 0, 80, 128, // Skip to: 40641
+/* 7793 */    MCD_OPC_Decode, 174, 13, 93, // Opcode: SSUBWv8i8_v8i16
 /* 7797 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 7815
-/* 7801 */    MCD_OPC_CheckPredicate, 0, 96, 128, // Skip to: 40669
-/* 7805 */    MCD_OPC_CheckField, 21, 1, 1, 90, 128, // Skip to: 40669
-/* 7811 */    MCD_OPC_Decode, 204, 1, 89, // Opcode: CMGTv8i8
+/* 7801 */    MCD_OPC_CheckPredicate, 0, 68, 128, // Skip to: 40641
+/* 7805 */    MCD_OPC_CheckField, 21, 1, 1, 62, 128, // Skip to: 40641
+/* 7811 */    MCD_OPC_Decode, 206, 1, 89, // Opcode: CMGTv8i8
 /* 7815 */    MCD_OPC_FilterValue, 14, 46, 0, // Skip to: 7865
 /* 7819 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7822 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7834
-/* 7826 */    MCD_OPC_CheckPredicate, 0, 71, 128, // Skip to: 40669
-/* 7830 */    MCD_OPC_Decode, 204, 18, 89, // Opcode: ZIP1v8i8
-/* 7834 */    MCD_OPC_FilterValue, 1, 63, 128, // Skip to: 40669
+/* 7826 */    MCD_OPC_CheckPredicate, 0, 43, 128, // Skip to: 40641
+/* 7830 */    MCD_OPC_Decode, 206, 18, 89, // Opcode: ZIP1v8i8
+/* 7834 */    MCD_OPC_FilterValue, 1, 35, 128, // Skip to: 40641
 /* 7838 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 7841 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7853
-/* 7845 */    MCD_OPC_CheckPredicate, 0, 52, 128, // Skip to: 40669
-/* 7849 */    MCD_OPC_Decode, 191, 15, 99, // Opcode: SUQADDv8i8
-/* 7853 */    MCD_OPC_FilterValue, 16, 44, 128, // Skip to: 40669
-/* 7857 */    MCD_OPC_CheckPredicate, 0, 40, 128, // Skip to: 40669
-/* 7861 */    MCD_OPC_Decode, 239, 9, 100, // Opcode: SADDLVv8i8v
+/* 7845 */    MCD_OPC_CheckPredicate, 0, 24, 128, // Skip to: 40641
+/* 7849 */    MCD_OPC_Decode, 193, 15, 99, // Opcode: SUQADDv8i8
+/* 7853 */    MCD_OPC_FilterValue, 16, 16, 128, // Skip to: 40641
+/* 7857 */    MCD_OPC_CheckPredicate, 0, 12, 128, // Skip to: 40641
+/* 7861 */    MCD_OPC_Decode, 241, 9, 100, // Opcode: SADDLVv8i8v
 /* 7865 */    MCD_OPC_FilterValue, 15, 71, 0, // Skip to: 7940
 /* 7869 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7872 */    MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 7928
@@ -1928,246 +1928,246 @@ static const uint8_t DecoderTable32[] =
 /* 7879 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 7916
 /* 7883 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
 /* 7886 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 7904
-/* 7890 */    MCD_OPC_CheckPredicate, 0, 7, 128, // Skip to: 40669
-/* 7894 */    MCD_OPC_CheckField, 18, 1, 1, 1, 128, // Skip to: 40669
-/* 7900 */    MCD_OPC_Decode, 250, 16, 101, // Opcode: UMOVvi32
-/* 7904 */    MCD_OPC_FilterValue, 1, 249, 127, // Skip to: 40669
-/* 7908 */    MCD_OPC_CheckPredicate, 0, 245, 127, // Skip to: 40669
-/* 7912 */    MCD_OPC_Decode, 249, 16, 96, // Opcode: UMOVvi16
-/* 7916 */    MCD_OPC_FilterValue, 1, 237, 127, // Skip to: 40669
-/* 7920 */    MCD_OPC_CheckPredicate, 0, 233, 127, // Skip to: 40669
-/* 7924 */    MCD_OPC_Decode, 252, 16, 97, // Opcode: UMOVvi8
-/* 7928 */    MCD_OPC_FilterValue, 1, 225, 127, // Skip to: 40669
-/* 7932 */    MCD_OPC_CheckPredicate, 0, 221, 127, // Skip to: 40669
-/* 7936 */    MCD_OPC_Decode, 188, 1, 89, // Opcode: CMGEv8i8
+/* 7890 */    MCD_OPC_CheckPredicate, 0, 235, 127, // Skip to: 40641
+/* 7894 */    MCD_OPC_CheckField, 18, 1, 1, 229, 127, // Skip to: 40641
+/* 7900 */    MCD_OPC_Decode, 252, 16, 101, // Opcode: UMOVvi32
+/* 7904 */    MCD_OPC_FilterValue, 1, 221, 127, // Skip to: 40641
+/* 7908 */    MCD_OPC_CheckPredicate, 0, 217, 127, // Skip to: 40641
+/* 7912 */    MCD_OPC_Decode, 251, 16, 96, // Opcode: UMOVvi16
+/* 7916 */    MCD_OPC_FilterValue, 1, 209, 127, // Skip to: 40641
+/* 7920 */    MCD_OPC_CheckPredicate, 0, 205, 127, // Skip to: 40641
+/* 7924 */    MCD_OPC_Decode, 254, 16, 97, // Opcode: UMOVvi8
+/* 7928 */    MCD_OPC_FilterValue, 1, 197, 127, // Skip to: 40641
+/* 7932 */    MCD_OPC_CheckPredicate, 0, 193, 127, // Skip to: 40641
+/* 7936 */    MCD_OPC_Decode, 190, 1, 89, // Opcode: CMGEv8i8
 /* 7940 */    MCD_OPC_FilterValue, 16, 26, 0, // Skip to: 7970
 /* 7944 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 7947 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7959
-/* 7951 */    MCD_OPC_CheckPredicate, 0, 202, 127, // Skip to: 40669
-/* 7955 */    MCD_OPC_Decode, 201, 15, 102, // Opcode: TBLv8i8Three
-/* 7959 */    MCD_OPC_FilterValue, 1, 194, 127, // Skip to: 40669
-/* 7963 */    MCD_OPC_CheckPredicate, 0, 190, 127, // Skip to: 40669
-/* 7967 */    MCD_OPC_Decode, 37, 103, // Opcode: ADDHNv8i16_v8i8
+/* 7951 */    MCD_OPC_CheckPredicate, 0, 174, 127, // Skip to: 40641
+/* 7955 */    MCD_OPC_Decode, 203, 15, 102, // Opcode: TBLv8i8Three
+/* 7959 */    MCD_OPC_FilterValue, 1, 166, 127, // Skip to: 40641
+/* 7963 */    MCD_OPC_CheckPredicate, 0, 162, 127, // Skip to: 40641
+/* 7967 */    MCD_OPC_Decode, 39, 103, // Opcode: ADDHNv8i16_v8i8
 /* 7970 */    MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 7988
-/* 7974 */    MCD_OPC_CheckPredicate, 0, 179, 127, // Skip to: 40669
-/* 7978 */    MCD_OPC_CheckField, 21, 1, 1, 173, 127, // Skip to: 40669
-/* 7984 */    MCD_OPC_Decode, 144, 13, 89, // Opcode: SSHLv8i8
+/* 7974 */    MCD_OPC_CheckPredicate, 0, 151, 127, // Skip to: 40641
+/* 7978 */    MCD_OPC_CheckField, 21, 1, 1, 145, 127, // Skip to: 40641
+/* 7984 */    MCD_OPC_Decode, 146, 13, 89, // Opcode: SSHLv8i8
 /* 7988 */    MCD_OPC_FilterValue, 18, 27, 0, // Skip to: 8019
 /* 7992 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 7995 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 8007
-/* 7999 */    MCD_OPC_CheckPredicate, 0, 154, 127, // Skip to: 40669
-/* 8003 */    MCD_OPC_Decode, 149, 1, 90, // Opcode: CLSv8i8
-/* 8007 */    MCD_OPC_FilterValue, 33, 146, 127, // Skip to: 40669
-/* 8011 */    MCD_OPC_CheckPredicate, 0, 142, 127, // Skip to: 40669
-/* 8015 */    MCD_OPC_Decode, 211, 12, 95, // Opcode: SQXTNv8i8
+/* 7999 */    MCD_OPC_CheckPredicate, 0, 126, 127, // Skip to: 40641
+/* 8003 */    MCD_OPC_Decode, 151, 1, 90, // Opcode: CLSv8i8
+/* 8007 */    MCD_OPC_FilterValue, 33, 118, 127, // Skip to: 40641
+/* 8011 */    MCD_OPC_CheckPredicate, 0, 114, 127, // Skip to: 40641
+/* 8015 */    MCD_OPC_Decode, 213, 12, 95, // Opcode: SQXTNv8i8
 /* 8019 */    MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 8037
-/* 8023 */    MCD_OPC_CheckPredicate, 0, 130, 127, // Skip to: 40669
-/* 8027 */    MCD_OPC_CheckField, 21, 1, 1, 124, 127, // Skip to: 40669
-/* 8033 */    MCD_OPC_Decode, 172, 12, 89, // Opcode: SQSHLv8i8
+/* 8023 */    MCD_OPC_CheckPredicate, 0, 102, 127, // Skip to: 40641
+/* 8027 */    MCD_OPC_CheckField, 21, 1, 1, 96, 127, // Skip to: 40641
+/* 8033 */    MCD_OPC_Decode, 174, 12, 89, // Opcode: SQSHLv8i8
 /* 8037 */    MCD_OPC_FilterValue, 20, 27, 0, // Skip to: 8068
 /* 8041 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8044 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8056
-/* 8048 */    MCD_OPC_CheckPredicate, 0, 105, 127, // Skip to: 40669
-/* 8052 */    MCD_OPC_Decode, 211, 15, 104, // Opcode: TBXv8i8Three
-/* 8056 */    MCD_OPC_FilterValue, 1, 97, 127, // Skip to: 40669
-/* 8060 */    MCD_OPC_CheckPredicate, 0, 93, 127, // Skip to: 40669
-/* 8064 */    MCD_OPC_Decode, 204, 9, 105, // Opcode: SABALv8i8_v8i16
+/* 8048 */    MCD_OPC_CheckPredicate, 0, 77, 127, // Skip to: 40641
+/* 8052 */    MCD_OPC_Decode, 213, 15, 104, // Opcode: TBXv8i8Three
+/* 8056 */    MCD_OPC_FilterValue, 1, 69, 127, // Skip to: 40641
+/* 8060 */    MCD_OPC_CheckPredicate, 0, 65, 127, // Skip to: 40641
+/* 8064 */    MCD_OPC_Decode, 206, 9, 105, // Opcode: SABALv8i8_v8i16
 /* 8068 */    MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 8086
-/* 8072 */    MCD_OPC_CheckPredicate, 0, 81, 127, // Skip to: 40669
-/* 8076 */    MCD_OPC_CheckField, 21, 1, 1, 75, 127, // Skip to: 40669
-/* 8082 */    MCD_OPC_Decode, 242, 12, 89, // Opcode: SRSHLv8i8
+/* 8072 */    MCD_OPC_CheckPredicate, 0, 53, 127, // Skip to: 40641
+/* 8076 */    MCD_OPC_CheckField, 21, 1, 1, 47, 127, // Skip to: 40641
+/* 8082 */    MCD_OPC_Decode, 244, 12, 89, // Opcode: SRSHLv8i8
 /* 8086 */    MCD_OPC_FilterValue, 22, 33, 0, // Skip to: 8123
 /* 8090 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8093 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8105
-/* 8097 */    MCD_OPC_CheckPredicate, 0, 56, 127, // Skip to: 40669
-/* 8101 */    MCD_OPC_Decode, 191, 18, 89, // Opcode: UZP2v8i8
-/* 8105 */    MCD_OPC_FilterValue, 1, 48, 127, // Skip to: 40669
-/* 8109 */    MCD_OPC_CheckPredicate, 0, 44, 127, // Skip to: 40669
-/* 8113 */    MCD_OPC_CheckField, 16, 5, 0, 38, 127, // Skip to: 40669
-/* 8119 */    MCD_OPC_Decode, 247, 1, 90, // Opcode: CNTv8i8
+/* 8097 */    MCD_OPC_CheckPredicate, 0, 28, 127, // Skip to: 40641
+/* 8101 */    MCD_OPC_Decode, 193, 18, 89, // Opcode: UZP2v8i8
+/* 8105 */    MCD_OPC_FilterValue, 1, 20, 127, // Skip to: 40641
+/* 8109 */    MCD_OPC_CheckPredicate, 0, 16, 127, // Skip to: 40641
+/* 8113 */    MCD_OPC_CheckField, 16, 5, 0, 10, 127, // Skip to: 40641
+/* 8119 */    MCD_OPC_Decode, 249, 1, 90, // Opcode: CNTv8i8
 /* 8123 */    MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 8141
-/* 8127 */    MCD_OPC_CheckPredicate, 0, 26, 127, // Skip to: 40669
-/* 8131 */    MCD_OPC_CheckField, 21, 1, 1, 20, 127, // Skip to: 40669
-/* 8137 */    MCD_OPC_Decode, 250, 11, 89, // Opcode: SQRSHLv8i8
+/* 8127 */    MCD_OPC_CheckPredicate, 0, 254, 126, // Skip to: 40641
+/* 8131 */    MCD_OPC_CheckField, 21, 1, 1, 248, 126, // Skip to: 40641
+/* 8137 */    MCD_OPC_Decode, 252, 11, 89, // Opcode: SQRSHLv8i8
 /* 8141 */    MCD_OPC_FilterValue, 24, 27, 0, // Skip to: 8172
 /* 8145 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8148 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8160
-/* 8152 */    MCD_OPC_CheckPredicate, 0, 1, 127, // Skip to: 40669
-/* 8156 */    MCD_OPC_Decode, 199, 15, 106, // Opcode: TBLv8i8Four
-/* 8160 */    MCD_OPC_FilterValue, 1, 249, 126, // Skip to: 40669
-/* 8164 */    MCD_OPC_CheckPredicate, 0, 245, 126, // Skip to: 40669
-/* 8168 */    MCD_OPC_Decode, 154, 15, 103, // Opcode: SUBHNv8i16_v8i8
+/* 8152 */    MCD_OPC_CheckPredicate, 0, 229, 126, // Skip to: 40641
+/* 8156 */    MCD_OPC_Decode, 201, 15, 106, // Opcode: TBLv8i8Four
+/* 8160 */    MCD_OPC_FilterValue, 1, 221, 126, // Skip to: 40641
+/* 8164 */    MCD_OPC_CheckPredicate, 0, 217, 126, // Skip to: 40641
+/* 8168 */    MCD_OPC_Decode, 156, 15, 103, // Opcode: SUBHNv8i16_v8i8
 /* 8172 */    MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 8190
-/* 8176 */    MCD_OPC_CheckPredicate, 0, 233, 126, // Skip to: 40669
-/* 8180 */    MCD_OPC_CheckField, 21, 1, 1, 227, 126, // Skip to: 40669
-/* 8186 */    MCD_OPC_Decode, 219, 10, 89, // Opcode: SMAXv8i8
+/* 8176 */    MCD_OPC_CheckPredicate, 0, 205, 126, // Skip to: 40641
+/* 8180 */    MCD_OPC_CheckField, 21, 1, 1, 199, 126, // Skip to: 40641
+/* 8186 */    MCD_OPC_Decode, 221, 10, 89, // Opcode: SMAXv8i8
 /* 8190 */    MCD_OPC_FilterValue, 26, 46, 0, // Skip to: 8240
 /* 8194 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8197 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8209
-/* 8201 */    MCD_OPC_CheckPredicate, 0, 208, 126, // Skip to: 40669
-/* 8205 */    MCD_OPC_Decode, 232, 15, 89, // Opcode: TRN2v8i8
-/* 8209 */    MCD_OPC_FilterValue, 1, 200, 126, // Skip to: 40669
+/* 8201 */    MCD_OPC_CheckPredicate, 0, 180, 126, // Skip to: 40641
+/* 8205 */    MCD_OPC_Decode, 234, 15, 89, // Opcode: TRN2v8i8
+/* 8209 */    MCD_OPC_FilterValue, 1, 172, 126, // Skip to: 40641
 /* 8213 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 8216 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8228
-/* 8220 */    MCD_OPC_CheckPredicate, 0, 189, 126, // Skip to: 40669
-/* 8224 */    MCD_OPC_Decode, 228, 9, 99, // Opcode: SADALPv8i8_v4i16
-/* 8228 */    MCD_OPC_FilterValue, 1, 181, 126, // Skip to: 40669
-/* 8232 */    MCD_OPC_CheckPredicate, 0, 177, 126, // Skip to: 40669
-/* 8236 */    MCD_OPC_Decode, 197, 3, 95, // Opcode: FCVTNv4i16
+/* 8220 */    MCD_OPC_CheckPredicate, 0, 161, 126, // Skip to: 40641
+/* 8224 */    MCD_OPC_Decode, 230, 9, 99, // Opcode: SADALPv8i8_v4i16
+/* 8228 */    MCD_OPC_FilterValue, 1, 153, 126, // Skip to: 40641
+/* 8232 */    MCD_OPC_CheckPredicate, 0, 149, 126, // Skip to: 40641
+/* 8236 */    MCD_OPC_Decode, 199, 3, 95, // Opcode: FCVTNv4i16
 /* 8240 */    MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 8258
-/* 8244 */    MCD_OPC_CheckPredicate, 0, 165, 126, // Skip to: 40669
-/* 8248 */    MCD_OPC_CheckField, 21, 1, 1, 159, 126, // Skip to: 40669
-/* 8254 */    MCD_OPC_Decode, 237, 10, 89, // Opcode: SMINv8i8
+/* 8244 */    MCD_OPC_CheckPredicate, 0, 137, 126, // Skip to: 40641
+/* 8248 */    MCD_OPC_CheckField, 21, 1, 1, 131, 126, // Skip to: 40641
+/* 8254 */    MCD_OPC_Decode, 239, 10, 89, // Opcode: SMINv8i8
 /* 8258 */    MCD_OPC_FilterValue, 28, 27, 0, // Skip to: 8289
 /* 8262 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8265 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8277
-/* 8269 */    MCD_OPC_CheckPredicate, 0, 140, 126, // Skip to: 40669
-/* 8273 */    MCD_OPC_Decode, 209, 15, 107, // Opcode: TBXv8i8Four
-/* 8277 */    MCD_OPC_FilterValue, 1, 132, 126, // Skip to: 40669
-/* 8281 */    MCD_OPC_CheckPredicate, 0, 128, 126, // Skip to: 40669
-/* 8285 */    MCD_OPC_Decode, 216, 9, 85, // Opcode: SABDLv8i8_v8i16
+/* 8269 */    MCD_OPC_CheckPredicate, 0, 112, 126, // Skip to: 40641
+/* 8273 */    MCD_OPC_Decode, 211, 15, 107, // Opcode: TBXv8i8Four
+/* 8277 */    MCD_OPC_FilterValue, 1, 104, 126, // Skip to: 40641
+/* 8281 */    MCD_OPC_CheckPredicate, 0, 100, 126, // Skip to: 40641
+/* 8285 */    MCD_OPC_Decode, 218, 9, 85, // Opcode: SABDLv8i8_v8i16
 /* 8289 */    MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 8307
-/* 8293 */    MCD_OPC_CheckPredicate, 0, 116, 126, // Skip to: 40669
-/* 8297 */    MCD_OPC_CheckField, 21, 1, 1, 110, 126, // Skip to: 40669
-/* 8303 */    MCD_OPC_Decode, 222, 9, 89, // Opcode: SABDv8i8
+/* 8293 */    MCD_OPC_CheckPredicate, 0, 88, 126, // Skip to: 40641
+/* 8297 */    MCD_OPC_CheckField, 21, 1, 1, 82, 126, // Skip to: 40641
+/* 8303 */    MCD_OPC_Decode, 224, 9, 89, // Opcode: SABDv8i8
 /* 8307 */    MCD_OPC_FilterValue, 30, 46, 0, // Skip to: 8357
 /* 8311 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8314 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8326
-/* 8318 */    MCD_OPC_CheckPredicate, 0, 91, 126, // Skip to: 40669
-/* 8322 */    MCD_OPC_Decode, 211, 18, 89, // Opcode: ZIP2v8i8
-/* 8326 */    MCD_OPC_FilterValue, 1, 83, 126, // Skip to: 40669
+/* 8318 */    MCD_OPC_CheckPredicate, 0, 63, 126, // Skip to: 40641
+/* 8322 */    MCD_OPC_Decode, 213, 18, 89, // Opcode: ZIP2v8i8
+/* 8326 */    MCD_OPC_FilterValue, 1, 55, 126, // Skip to: 40641
 /* 8330 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 8333 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8345
-/* 8337 */    MCD_OPC_CheckPredicate, 0, 72, 126, // Skip to: 40669
-/* 8341 */    MCD_OPC_Decode, 157, 11, 90, // Opcode: SQABSv8i8
-/* 8345 */    MCD_OPC_FilterValue, 1, 64, 126, // Skip to: 40669
-/* 8349 */    MCD_OPC_CheckPredicate, 0, 60, 126, // Skip to: 40669
-/* 8353 */    MCD_OPC_Decode, 157, 3, 108, // Opcode: FCVTLv4i16
+/* 8337 */    MCD_OPC_CheckPredicate, 0, 44, 126, // Skip to: 40641
+/* 8341 */    MCD_OPC_Decode, 159, 11, 90, // Opcode: SQABSv8i8
+/* 8345 */    MCD_OPC_FilterValue, 1, 36, 126, // Skip to: 40641
+/* 8349 */    MCD_OPC_CheckPredicate, 0, 32, 126, // Skip to: 40641
+/* 8353 */    MCD_OPC_Decode, 159, 3, 108, // Opcode: FCVTLv4i16
 /* 8357 */    MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 8375
-/* 8361 */    MCD_OPC_CheckPredicate, 0, 48, 126, // Skip to: 40669
-/* 8365 */    MCD_OPC_CheckField, 21, 1, 1, 42, 126, // Skip to: 40669
-/* 8371 */    MCD_OPC_Decode, 210, 9, 109, // Opcode: SABAv8i8
+/* 8361 */    MCD_OPC_CheckPredicate, 0, 20, 126, // Skip to: 40641
+/* 8365 */    MCD_OPC_CheckField, 21, 1, 1, 14, 126, // Skip to: 40641
+/* 8371 */    MCD_OPC_Decode, 212, 9, 109, // Opcode: SABAv8i8
 /* 8375 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 8393
-/* 8379 */    MCD_OPC_CheckPredicate, 0, 30, 126, // Skip to: 40669
-/* 8383 */    MCD_OPC_CheckField, 21, 1, 1, 24, 126, // Skip to: 40669
-/* 8389 */    MCD_OPC_Decode, 247, 10, 105, // Opcode: SMLALv8i8_v8i16
+/* 8379 */    MCD_OPC_CheckPredicate, 0, 2, 126, // Skip to: 40641
+/* 8383 */    MCD_OPC_CheckField, 21, 1, 1, 252, 125, // Skip to: 40641
+/* 8389 */    MCD_OPC_Decode, 249, 10, 105, // Opcode: SMLALv8i8_v8i16
 /* 8393 */    MCD_OPC_FilterValue, 33, 13, 0, // Skip to: 8410
-/* 8397 */    MCD_OPC_CheckPredicate, 0, 12, 126, // Skip to: 40669
-/* 8401 */    MCD_OPC_CheckField, 21, 1, 1, 6, 126, // Skip to: 40669
-/* 8407 */    MCD_OPC_Decode, 76, 89, // Opcode: ADDv8i8
+/* 8397 */    MCD_OPC_CheckPredicate, 0, 240, 125, // Skip to: 40641
+/* 8401 */    MCD_OPC_CheckField, 21, 1, 1, 234, 125, // Skip to: 40641
+/* 8407 */    MCD_OPC_Decode, 78, 89, // Opcode: ADDv8i8
 /* 8410 */    MCD_OPC_FilterValue, 34, 27, 0, // Skip to: 8441
 /* 8414 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 8417 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 8429
-/* 8421 */    MCD_OPC_CheckPredicate, 0, 244, 125, // Skip to: 40669
-/* 8425 */    MCD_OPC_Decode, 205, 1, 90, // Opcode: CMGTv8i8rz
-/* 8429 */    MCD_OPC_FilterValue, 33, 236, 125, // Skip to: 40669
-/* 8433 */    MCD_OPC_CheckPredicate, 0, 232, 125, // Skip to: 40669
-/* 8437 */    MCD_OPC_Decode, 167, 5, 90, // Opcode: FRINTNv2f32
+/* 8421 */    MCD_OPC_CheckPredicate, 0, 216, 125, // Skip to: 40641
+/* 8425 */    MCD_OPC_Decode, 207, 1, 90, // Opcode: CMGTv8i8rz
+/* 8429 */    MCD_OPC_FilterValue, 33, 208, 125, // Skip to: 40641
+/* 8433 */    MCD_OPC_CheckPredicate, 0, 204, 125, // Skip to: 40641
+/* 8437 */    MCD_OPC_Decode, 169, 5, 90, // Opcode: FRINTNv2f32
 /* 8441 */    MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 8459
-/* 8445 */    MCD_OPC_CheckPredicate, 0, 220, 125, // Skip to: 40669
-/* 8449 */    MCD_OPC_CheckField, 21, 1, 1, 214, 125, // Skip to: 40669
-/* 8455 */    MCD_OPC_Decode, 245, 1, 89, // Opcode: CMTSTv8i8
+/* 8445 */    MCD_OPC_CheckPredicate, 0, 192, 125, // Skip to: 40641
+/* 8449 */    MCD_OPC_CheckField, 21, 1, 1, 186, 125, // Skip to: 40641
+/* 8455 */    MCD_OPC_Decode, 247, 1, 89, // Opcode: CMTSTv8i8
 /* 8459 */    MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 8477
-/* 8463 */    MCD_OPC_CheckPredicate, 0, 202, 125, // Skip to: 40669
-/* 8467 */    MCD_OPC_CheckField, 21, 1, 1, 196, 125, // Skip to: 40669
-/* 8473 */    MCD_OPC_Decode, 189, 8, 109, // Opcode: MLAv8i8
+/* 8463 */    MCD_OPC_CheckPredicate, 0, 174, 125, // Skip to: 40641
+/* 8467 */    MCD_OPC_CheckField, 21, 1, 1, 168, 125, // Skip to: 40641
+/* 8473 */    MCD_OPC_Decode, 191, 8, 109, // Opcode: MLAv8i8
 /* 8477 */    MCD_OPC_FilterValue, 38, 27, 0, // Skip to: 8508
 /* 8481 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 8484 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 8496
-/* 8488 */    MCD_OPC_CheckPredicate, 0, 177, 125, // Skip to: 40669
-/* 8492 */    MCD_OPC_Decode, 173, 1, 90, // Opcode: CMEQv8i8rz
-/* 8496 */    MCD_OPC_FilterValue, 33, 169, 125, // Skip to: 40669
-/* 8500 */    MCD_OPC_CheckPredicate, 0, 165, 125, // Skip to: 40669
-/* 8504 */    MCD_OPC_Decode, 162, 5, 90, // Opcode: FRINTMv2f32
+/* 8488 */    MCD_OPC_CheckPredicate, 0, 149, 125, // Skip to: 40641
+/* 8492 */    MCD_OPC_Decode, 175, 1, 90, // Opcode: CMEQv8i8rz
+/* 8496 */    MCD_OPC_FilterValue, 33, 141, 125, // Skip to: 40641
+/* 8500 */    MCD_OPC_CheckPredicate, 0, 137, 125, // Skip to: 40641
+/* 8504 */    MCD_OPC_Decode, 164, 5, 90, // Opcode: FRINTMv2f32
 /* 8508 */    MCD_OPC_FilterValue, 39, 14, 0, // Skip to: 8526
-/* 8512 */    MCD_OPC_CheckPredicate, 0, 153, 125, // Skip to: 40669
-/* 8516 */    MCD_OPC_CheckField, 21, 1, 1, 147, 125, // Skip to: 40669
-/* 8522 */    MCD_OPC_Decode, 238, 8, 89, // Opcode: MULv8i8
+/* 8512 */    MCD_OPC_CheckPredicate, 0, 125, 125, // Skip to: 40641
+/* 8516 */    MCD_OPC_CheckField, 21, 1, 1, 119, 125, // Skip to: 40641
+/* 8522 */    MCD_OPC_Decode, 240, 8, 89, // Opcode: MULv8i8
 /* 8526 */    MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 8544
-/* 8530 */    MCD_OPC_CheckPredicate, 0, 135, 125, // Skip to: 40669
-/* 8534 */    MCD_OPC_CheckField, 21, 1, 1, 129, 125, // Skip to: 40669
-/* 8540 */    MCD_OPC_Decode, 129, 11, 105, // Opcode: SMLSLv8i8_v8i16
+/* 8530 */    MCD_OPC_CheckPredicate, 0, 107, 125, // Skip to: 40641
+/* 8534 */    MCD_OPC_CheckField, 21, 1, 1, 101, 125, // Skip to: 40641
+/* 8540 */    MCD_OPC_Decode, 131, 11, 105, // Opcode: SMLSLv8i8_v8i16
 /* 8544 */    MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 8562
-/* 8548 */    MCD_OPC_CheckPredicate, 0, 117, 125, // Skip to: 40669
-/* 8552 */    MCD_OPC_CheckField, 21, 1, 1, 111, 125, // Skip to: 40669
-/* 8558 */    MCD_OPC_Decode, 208, 10, 89, // Opcode: SMAXPv8i8
+/* 8548 */    MCD_OPC_CheckPredicate, 0, 89, 125, // Skip to: 40641
+/* 8552 */    MCD_OPC_CheckField, 21, 1, 1, 83, 125, // Skip to: 40641
+/* 8558 */    MCD_OPC_Decode, 210, 10, 89, // Opcode: SMAXPv8i8
 /* 8562 */    MCD_OPC_FilterValue, 42, 51, 0, // Skip to: 8617
 /* 8566 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 8569 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 8581
-/* 8573 */    MCD_OPC_CheckPredicate, 0, 92, 125, // Skip to: 40669
-/* 8577 */    MCD_OPC_Decode, 237, 1, 90, // Opcode: CMLTv8i8rz
+/* 8573 */    MCD_OPC_CheckPredicate, 0, 64, 125, // Skip to: 40641
+/* 8577 */    MCD_OPC_Decode, 239, 1, 90, // Opcode: CMLTv8i8rz
 /* 8581 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 8593
-/* 8585 */    MCD_OPC_CheckPredicate, 0, 80, 125, // Skip to: 40669
-/* 8589 */    MCD_OPC_Decode, 184, 3, 90, // Opcode: FCVTNSv2f32
+/* 8585 */    MCD_OPC_CheckPredicate, 0, 52, 125, // Skip to: 40641
+/* 8589 */    MCD_OPC_Decode, 186, 3, 90, // Opcode: FCVTNSv2f32
 /* 8593 */    MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 8605
-/* 8597 */    MCD_OPC_CheckPredicate, 0, 68, 125, // Skip to: 40669
-/* 8601 */    MCD_OPC_Decode, 213, 10, 110, // Opcode: SMAXVv8i8v
-/* 8605 */    MCD_OPC_FilterValue, 49, 60, 125, // Skip to: 40669
-/* 8609 */    MCD_OPC_CheckPredicate, 0, 56, 125, // Skip to: 40669
-/* 8613 */    MCD_OPC_Decode, 231, 10, 110, // Opcode: SMINVv8i8v
+/* 8597 */    MCD_OPC_CheckPredicate, 0, 40, 125, // Skip to: 40641
+/* 8601 */    MCD_OPC_Decode, 215, 10, 110, // Opcode: SMAXVv8i8v
+/* 8605 */    MCD_OPC_FilterValue, 49, 32, 125, // Skip to: 40641
+/* 8609 */    MCD_OPC_CheckPredicate, 0, 28, 125, // Skip to: 40641
+/* 8613 */    MCD_OPC_Decode, 233, 10, 110, // Opcode: SMINVv8i8v
 /* 8617 */    MCD_OPC_FilterValue, 43, 14, 0, // Skip to: 8635
-/* 8621 */    MCD_OPC_CheckPredicate, 0, 44, 125, // Skip to: 40669
-/* 8625 */    MCD_OPC_CheckField, 21, 1, 1, 38, 125, // Skip to: 40669
-/* 8631 */    MCD_OPC_Decode, 226, 10, 89, // Opcode: SMINPv8i8
+/* 8621 */    MCD_OPC_CheckPredicate, 0, 16, 125, // Skip to: 40641
+/* 8625 */    MCD_OPC_CheckField, 21, 1, 1, 10, 125, // Skip to: 40641
+/* 8631 */    MCD_OPC_Decode, 228, 10, 89, // Opcode: SMINPv8i8
 /* 8635 */    MCD_OPC_FilterValue, 46, 37, 0, // Skip to: 8676
 /* 8639 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 8642 */    MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 8653
-/* 8646 */    MCD_OPC_CheckPredicate, 0, 19, 125, // Skip to: 40669
-/* 8650 */    MCD_OPC_Decode, 27, 90, // Opcode: ABSv8i8
+/* 8646 */    MCD_OPC_CheckPredicate, 0, 247, 124, // Skip to: 40641
+/* 8650 */    MCD_OPC_Decode, 29, 90, // Opcode: ABSv8i8
 /* 8653 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 8665
-/* 8657 */    MCD_OPC_CheckPredicate, 0, 8, 125, // Skip to: 40669
-/* 8661 */    MCD_OPC_Decode, 166, 3, 90, // Opcode: FCVTMSv2f32
-/* 8665 */    MCD_OPC_FilterValue, 49, 0, 125, // Skip to: 40669
-/* 8669 */    MCD_OPC_CheckPredicate, 0, 252, 124, // Skip to: 40669
-/* 8673 */    MCD_OPC_Decode, 59, 110, // Opcode: ADDVv8i8v
+/* 8657 */    MCD_OPC_CheckPredicate, 0, 236, 124, // Skip to: 40641
+/* 8661 */    MCD_OPC_Decode, 168, 3, 90, // Opcode: FCVTMSv2f32
+/* 8665 */    MCD_OPC_FilterValue, 49, 228, 124, // Skip to: 40641
+/* 8669 */    MCD_OPC_CheckPredicate, 0, 224, 124, // Skip to: 40641
+/* 8673 */    MCD_OPC_Decode, 61, 110, // Opcode: ADDVv8i8v
 /* 8676 */    MCD_OPC_FilterValue, 47, 13, 0, // Skip to: 8693
-/* 8680 */    MCD_OPC_CheckPredicate, 0, 241, 124, // Skip to: 40669
-/* 8684 */    MCD_OPC_CheckField, 21, 1, 1, 235, 124, // Skip to: 40669
-/* 8690 */    MCD_OPC_Decode, 45, 89, // Opcode: ADDPv8i8
+/* 8680 */    MCD_OPC_CheckPredicate, 0, 213, 124, // Skip to: 40641
+/* 8684 */    MCD_OPC_CheckField, 21, 1, 1, 207, 124, // Skip to: 40641
+/* 8690 */    MCD_OPC_Decode, 47, 89, // Opcode: ADDPv8i8
 /* 8693 */    MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 8711
-/* 8697 */    MCD_OPC_CheckPredicate, 0, 224, 124, // Skip to: 40669
-/* 8701 */    MCD_OPC_CheckField, 21, 1, 1, 218, 124, // Skip to: 40669
-/* 8707 */    MCD_OPC_Decode, 146, 11, 85, // Opcode: SMULLv8i8_v8i16
+/* 8697 */    MCD_OPC_CheckPredicate, 0, 196, 124, // Skip to: 40641
+/* 8701 */    MCD_OPC_CheckField, 21, 1, 1, 190, 124, // Skip to: 40641
+/* 8707 */    MCD_OPC_Decode, 148, 11, 85, // Opcode: SMULLv8i8_v8i16
 /* 8711 */    MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 8729
-/* 8715 */    MCD_OPC_CheckPredicate, 0, 206, 124, // Skip to: 40669
-/* 8719 */    MCD_OPC_CheckField, 21, 1, 1, 200, 124, // Skip to: 40669
-/* 8725 */    MCD_OPC_Decode, 169, 4, 89, // Opcode: FMAXNMv2f32
+/* 8715 */    MCD_OPC_CheckPredicate, 0, 178, 124, // Skip to: 40641
+/* 8719 */    MCD_OPC_CheckField, 21, 1, 1, 172, 124, // Skip to: 40641
+/* 8725 */    MCD_OPC_Decode, 171, 4, 89, // Opcode: FMAXNMv2f32
 /* 8729 */    MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 8747
-/* 8733 */    MCD_OPC_CheckPredicate, 0, 188, 124, // Skip to: 40669
-/* 8737 */    MCD_OPC_CheckField, 16, 6, 33, 182, 124, // Skip to: 40669
-/* 8743 */    MCD_OPC_Decode, 140, 3, 90, // Opcode: FCVTASv2f32
+/* 8733 */    MCD_OPC_CheckPredicate, 0, 160, 124, // Skip to: 40641
+/* 8737 */    MCD_OPC_CheckField, 16, 6, 33, 154, 124, // Skip to: 40641
+/* 8743 */    MCD_OPC_Decode, 142, 3, 90, // Opcode: FCVTASv2f32
 /* 8747 */    MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 8765
-/* 8751 */    MCD_OPC_CheckPredicate, 0, 170, 124, // Skip to: 40669
-/* 8755 */    MCD_OPC_CheckField, 21, 1, 1, 164, 124, // Skip to: 40669
-/* 8761 */    MCD_OPC_Decode, 206, 4, 109, // Opcode: FMLAv2f32
+/* 8751 */    MCD_OPC_CheckPredicate, 0, 142, 124, // Skip to: 40641
+/* 8755 */    MCD_OPC_CheckField, 21, 1, 1, 136, 124, // Skip to: 40641
+/* 8761 */    MCD_OPC_Decode, 208, 4, 109, // Opcode: FMLAv2f32
 /* 8765 */    MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 8783
-/* 8769 */    MCD_OPC_CheckPredicate, 0, 152, 124, // Skip to: 40669
-/* 8773 */    MCD_OPC_CheckField, 21, 1, 1, 146, 124, // Skip to: 40669
-/* 8779 */    MCD_OPC_Decode, 205, 2, 89, // Opcode: FADDv2f32
+/* 8769 */    MCD_OPC_CheckPredicate, 0, 124, 124, // Skip to: 40641
+/* 8773 */    MCD_OPC_CheckField, 21, 1, 1, 118, 124, // Skip to: 40641
+/* 8779 */    MCD_OPC_Decode, 207, 2, 89, // Opcode: FADDv2f32
 /* 8783 */    MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 8801
-/* 8787 */    MCD_OPC_CheckPredicate, 0, 134, 124, // Skip to: 40669
-/* 8791 */    MCD_OPC_CheckField, 16, 6, 33, 128, 124, // Skip to: 40669
-/* 8797 */    MCD_OPC_Decode, 142, 10, 90, // Opcode: SCVTFv2f32
+/* 8787 */    MCD_OPC_CheckPredicate, 0, 106, 124, // Skip to: 40641
+/* 8791 */    MCD_OPC_CheckField, 16, 6, 33, 100, 124, // Skip to: 40641
+/* 8797 */    MCD_OPC_Decode, 144, 10, 90, // Opcode: SCVTFv2f32
 /* 8801 */    MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 8819
-/* 8805 */    MCD_OPC_CheckPredicate, 0, 116, 124, // Skip to: 40669
-/* 8809 */    MCD_OPC_CheckField, 21, 1, 1, 110, 124, // Skip to: 40669
-/* 8815 */    MCD_OPC_Decode, 241, 4, 89, // Opcode: FMULXv2f32
+/* 8805 */    MCD_OPC_CheckPredicate, 0, 88, 124, // Skip to: 40641
+/* 8809 */    MCD_OPC_CheckField, 21, 1, 1, 82, 124, // Skip to: 40641
+/* 8815 */    MCD_OPC_Decode, 243, 4, 89, // Opcode: FMULXv2f32
 /* 8819 */    MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 8837
-/* 8823 */    MCD_OPC_CheckPredicate, 0, 98, 124, // Skip to: 40669
-/* 8827 */    MCD_OPC_CheckField, 21, 1, 1, 92, 124, // Skip to: 40669
-/* 8833 */    MCD_OPC_Decode, 148, 9, 85, // Opcode: PMULLv8i8
+/* 8823 */    MCD_OPC_CheckPredicate, 0, 70, 124, // Skip to: 40641
+/* 8827 */    MCD_OPC_CheckField, 21, 1, 1, 64, 124, // Skip to: 40641
+/* 8833 */    MCD_OPC_Decode, 150, 9, 85, // Opcode: PMULLv8i8
 /* 8837 */    MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 8855
-/* 8841 */    MCD_OPC_CheckPredicate, 0, 80, 124, // Skip to: 40669
-/* 8845 */    MCD_OPC_CheckField, 21, 1, 1, 74, 124, // Skip to: 40669
-/* 8851 */    MCD_OPC_Decode, 216, 2, 89, // Opcode: FCMEQv2f32
+/* 8841 */    MCD_OPC_CheckPredicate, 0, 52, 124, // Skip to: 40641
+/* 8845 */    MCD_OPC_CheckField, 21, 1, 1, 46, 124, // Skip to: 40641
+/* 8851 */    MCD_OPC_Decode, 218, 2, 89, // Opcode: FCMEQv2f32
 /* 8855 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 8873
-/* 8859 */    MCD_OPC_CheckPredicate, 0, 62, 124, // Skip to: 40669
-/* 8863 */    MCD_OPC_CheckField, 21, 1, 1, 56, 124, // Skip to: 40669
-/* 8869 */    MCD_OPC_Decode, 179, 4, 89, // Opcode: FMAXv2f32
-/* 8873 */    MCD_OPC_FilterValue, 63, 48, 124, // Skip to: 40669
-/* 8877 */    MCD_OPC_CheckPredicate, 0, 44, 124, // Skip to: 40669
-/* 8881 */    MCD_OPC_CheckField, 21, 1, 1, 38, 124, // Skip to: 40669
-/* 8887 */    MCD_OPC_Decode, 145, 5, 89, // Opcode: FRECPSv2f32
+/* 8859 */    MCD_OPC_CheckPredicate, 0, 34, 124, // Skip to: 40641
+/* 8863 */    MCD_OPC_CheckField, 21, 1, 1, 28, 124, // Skip to: 40641
+/* 8869 */    MCD_OPC_Decode, 181, 4, 89, // Opcode: FMAXv2f32
+/* 8873 */    MCD_OPC_FilterValue, 63, 20, 124, // Skip to: 40641
+/* 8877 */    MCD_OPC_CheckPredicate, 0, 16, 124, // Skip to: 40641
+/* 8881 */    MCD_OPC_CheckField, 21, 1, 1, 10, 124, // Skip to: 40641
+/* 8887 */    MCD_OPC_Decode, 147, 5, 89, // Opcode: FRECPSv2f32
 /* 8891 */    MCD_OPC_FilterValue, 1, 85, 4, // Skip to: 10004
 /* 8895 */    MCD_OPC_ExtractField, 14, 2,  // Inst{15-14} ...
 /* 8898 */    MCD_OPC_FilterValue, 0, 64, 1, // Skip to: 9222
@@ -2175,270 +2175,270 @@ static const uint8_t DecoderTable32[] =
 /* 8905 */    MCD_OPC_FilterValue, 0, 162, 0, // Skip to: 9071
 /* 8909 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 8912 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8924
-/* 8916 */    MCD_OPC_CheckPredicate, 0, 5, 124, // Skip to: 40669
-/* 8920 */    MCD_OPC_Decode, 176, 2, 111, // Opcode: EXTv8i8
-/* 8924 */    MCD_OPC_FilterValue, 1, 253, 123, // Skip to: 40669
+/* 8916 */    MCD_OPC_CheckPredicate, 0, 233, 123, // Skip to: 40641
+/* 8920 */    MCD_OPC_Decode, 178, 2, 111, // Opcode: EXTv8i8
+/* 8924 */    MCD_OPC_FilterValue, 1, 225, 123, // Skip to: 40641
 /* 8928 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 8931 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8943
-/* 8935 */    MCD_OPC_CheckPredicate, 0, 242, 123, // Skip to: 40669
-/* 8939 */    MCD_OPC_Decode, 151, 16, 85, // Opcode: UADDLv8i8_v8i16
+/* 8935 */    MCD_OPC_CheckPredicate, 0, 214, 123, // Skip to: 40641
+/* 8939 */    MCD_OPC_Decode, 153, 16, 85, // Opcode: UADDLv8i8_v8i16
 /* 8943 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 8961
-/* 8947 */    MCD_OPC_CheckPredicate, 0, 230, 123, // Skip to: 40669
-/* 8951 */    MCD_OPC_CheckField, 16, 5, 0, 224, 123, // Skip to: 40669
-/* 8957 */    MCD_OPC_Decode, 176, 9, 90, // Opcode: REV32v8i8
+/* 8947 */    MCD_OPC_CheckPredicate, 0, 202, 123, // Skip to: 40641
+/* 8951 */    MCD_OPC_CheckField, 16, 5, 0, 196, 123, // Skip to: 40641
+/* 8957 */    MCD_OPC_Decode, 178, 9, 90, // Opcode: REV32v8i8
 /* 8961 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 8973
-/* 8965 */    MCD_OPC_CheckPredicate, 0, 212, 123, // Skip to: 40669
-/* 8969 */    MCD_OPC_Decode, 157, 16, 93, // Opcode: UADDWv8i8_v8i16
+/* 8965 */    MCD_OPC_CheckPredicate, 0, 184, 123, // Skip to: 40641
+/* 8969 */    MCD_OPC_Decode, 159, 16, 93, // Opcode: UADDWv8i8_v8i16
 /* 8973 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 8985
-/* 8977 */    MCD_OPC_CheckPredicate, 0, 200, 123, // Skip to: 40669
-/* 8981 */    MCD_OPC_Decode, 171, 18, 85, // Opcode: USUBLv8i8_v8i16
+/* 8977 */    MCD_OPC_CheckPredicate, 0, 172, 123, // Skip to: 40641
+/* 8981 */    MCD_OPC_Decode, 173, 18, 85, // Opcode: USUBLv8i8_v8i16
 /* 8985 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 9016
 /* 8989 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 8992 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 9004
-/* 8996 */    MCD_OPC_CheckPredicate, 0, 181, 123, // Skip to: 40669
-/* 9000 */    MCD_OPC_Decode, 140, 16, 90, // Opcode: UADDLPv8i8_v4i16
-/* 9004 */    MCD_OPC_FilterValue, 1, 173, 123, // Skip to: 40669
-/* 9008 */    MCD_OPC_CheckPredicate, 0, 169, 123, // Skip to: 40669
-/* 9012 */    MCD_OPC_Decode, 220, 12, 95, // Opcode: SQXTUNv8i8
+/* 8996 */    MCD_OPC_CheckPredicate, 0, 153, 123, // Skip to: 40641
+/* 9000 */    MCD_OPC_Decode, 142, 16, 90, // Opcode: UADDLPv8i8_v4i16
+/* 9004 */    MCD_OPC_FilterValue, 1, 145, 123, // Skip to: 40641
+/* 9008 */    MCD_OPC_CheckPredicate, 0, 141, 123, // Skip to: 40641
+/* 9012 */    MCD_OPC_Decode, 222, 12, 95, // Opcode: SQXTUNv8i8
 /* 9016 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 9028
-/* 9020 */    MCD_OPC_CheckPredicate, 0, 157, 123, // Skip to: 40669
-/* 9024 */    MCD_OPC_Decode, 177, 18, 93, // Opcode: USUBWv8i8_v8i16
-/* 9028 */    MCD_OPC_FilterValue, 7, 149, 123, // Skip to: 40669
+/* 9020 */    MCD_OPC_CheckPredicate, 0, 129, 123, // Skip to: 40641
+/* 9024 */    MCD_OPC_Decode, 179, 18, 93, // Opcode: USUBWv8i8_v8i16
+/* 9028 */    MCD_OPC_FilterValue, 7, 121, 123, // Skip to: 40641
 /* 9032 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 9035 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 9047
-/* 9039 */    MCD_OPC_CheckPredicate, 0, 138, 123, // Skip to: 40669
-/* 9043 */    MCD_OPC_Decode, 157, 18, 99, // Opcode: USQADDv8i8
+/* 9039 */    MCD_OPC_CheckPredicate, 0, 110, 123, // Skip to: 40641
+/* 9043 */    MCD_OPC_Decode, 159, 18, 99, // Opcode: USQADDv8i8
 /* 9047 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 9059
-/* 9051 */    MCD_OPC_CheckPredicate, 0, 126, 123, // Skip to: 40669
-/* 9055 */    MCD_OPC_Decode, 173, 10, 108, // Opcode: SHLLv8i8
-/* 9059 */    MCD_OPC_FilterValue, 16, 118, 123, // Skip to: 40669
-/* 9063 */    MCD_OPC_CheckPredicate, 0, 114, 123, // Skip to: 40669
-/* 9067 */    MCD_OPC_Decode, 145, 16, 100, // Opcode: UADDLVv8i8v
-/* 9071 */    MCD_OPC_FilterValue, 1, 106, 123, // Skip to: 40669
+/* 9051 */    MCD_OPC_CheckPredicate, 0, 98, 123, // Skip to: 40641
+/* 9055 */    MCD_OPC_Decode, 175, 10, 108, // Opcode: SHLLv8i8
+/* 9059 */    MCD_OPC_FilterValue, 16, 90, 123, // Skip to: 40641
+/* 9063 */    MCD_OPC_CheckPredicate, 0, 86, 123, // Skip to: 40641
+/* 9067 */    MCD_OPC_Decode, 147, 16, 100, // Opcode: UADDLVv8i8v
+/* 9071 */    MCD_OPC_FilterValue, 1, 78, 123, // Skip to: 40641
 /* 9075 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 9078 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 9096
-/* 9082 */    MCD_OPC_CheckPredicate, 0, 95, 123, // Skip to: 40669
-/* 9086 */    MCD_OPC_CheckField, 21, 1, 1, 89, 123, // Skip to: 40669
-/* 9092 */    MCD_OPC_Decode, 187, 16, 89, // Opcode: UHADDv8i8
+/* 9082 */    MCD_OPC_CheckPredicate, 0, 67, 123, // Skip to: 40641
+/* 9086 */    MCD_OPC_CheckField, 21, 1, 1, 61, 123, // Skip to: 40641
+/* 9092 */    MCD_OPC_Decode, 189, 16, 89, // Opcode: UHADDv8i8
 /* 9096 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 9114
-/* 9100 */    MCD_OPC_CheckPredicate, 0, 77, 123, // Skip to: 40669
-/* 9104 */    MCD_OPC_CheckField, 21, 1, 1, 71, 123, // Skip to: 40669
-/* 9110 */    MCD_OPC_Decode, 147, 17, 89, // Opcode: UQADDv8i8
+/* 9100 */    MCD_OPC_CheckPredicate, 0, 49, 123, // Skip to: 40641
+/* 9104 */    MCD_OPC_CheckField, 21, 1, 1, 43, 123, // Skip to: 40641
+/* 9110 */    MCD_OPC_Decode, 149, 17, 89, // Opcode: UQADDv8i8
 /* 9114 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 9132
-/* 9118 */    MCD_OPC_CheckPredicate, 0, 59, 123, // Skip to: 40669
-/* 9122 */    MCD_OPC_CheckField, 21, 1, 1, 53, 123, // Skip to: 40669
-/* 9128 */    MCD_OPC_Decode, 226, 17, 89, // Opcode: URHADDv8i8
+/* 9118 */    MCD_OPC_CheckPredicate, 0, 31, 123, // Skip to: 40641
+/* 9122 */    MCD_OPC_CheckField, 21, 1, 1, 25, 123, // Skip to: 40641
+/* 9128 */    MCD_OPC_Decode, 228, 17, 89, // Opcode: URHADDv8i8
 /* 9132 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 9150
-/* 9136 */    MCD_OPC_CheckPredicate, 0, 41, 123, // Skip to: 40669
-/* 9140 */    MCD_OPC_CheckField, 21, 1, 1, 35, 123, // Skip to: 40669
-/* 9146 */    MCD_OPC_Decode, 171, 2, 89, // Opcode: EORv8i8
+/* 9136 */    MCD_OPC_CheckPredicate, 0, 13, 123, // Skip to: 40641
+/* 9140 */    MCD_OPC_CheckField, 21, 1, 1, 7, 123, // Skip to: 40641
+/* 9146 */    MCD_OPC_Decode, 173, 2, 89, // Opcode: EORv8i8
 /* 9150 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 9168
-/* 9154 */    MCD_OPC_CheckPredicate, 0, 23, 123, // Skip to: 40669
-/* 9158 */    MCD_OPC_CheckField, 21, 1, 1, 17, 123, // Skip to: 40669
-/* 9164 */    MCD_OPC_Decode, 193, 16, 89, // Opcode: UHSUBv8i8
+/* 9154 */    MCD_OPC_CheckPredicate, 0, 251, 122, // Skip to: 40641
+/* 9158 */    MCD_OPC_CheckField, 21, 1, 1, 245, 122, // Skip to: 40641
+/* 9164 */    MCD_OPC_Decode, 195, 16, 89, // Opcode: UHSUBv8i8
 /* 9168 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 9186
-/* 9172 */    MCD_OPC_CheckPredicate, 0, 5, 123, // Skip to: 40669
-/* 9176 */    MCD_OPC_CheckField, 21, 1, 1, 255, 122, // Skip to: 40669
-/* 9182 */    MCD_OPC_Decode, 209, 17, 89, // Opcode: UQSUBv8i8
+/* 9172 */    MCD_OPC_CheckPredicate, 0, 233, 122, // Skip to: 40641
+/* 9176 */    MCD_OPC_CheckField, 21, 1, 1, 227, 122, // Skip to: 40641
+/* 9182 */    MCD_OPC_Decode, 211, 17, 89, // Opcode: UQSUBv8i8
 /* 9186 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 9204
-/* 9190 */    MCD_OPC_CheckPredicate, 0, 243, 122, // Skip to: 40669
-/* 9194 */    MCD_OPC_CheckField, 21, 1, 1, 237, 122, // Skip to: 40669
-/* 9200 */    MCD_OPC_Decode, 213, 1, 89, // Opcode: CMHIv8i8
-/* 9204 */    MCD_OPC_FilterValue, 7, 229, 122, // Skip to: 40669
-/* 9208 */    MCD_OPC_CheckPredicate, 0, 225, 122, // Skip to: 40669
-/* 9212 */    MCD_OPC_CheckField, 21, 1, 1, 219, 122, // Skip to: 40669
-/* 9218 */    MCD_OPC_Decode, 221, 1, 89, // Opcode: CMHSv8i8
+/* 9190 */    MCD_OPC_CheckPredicate, 0, 215, 122, // Skip to: 40641
+/* 9194 */    MCD_OPC_CheckField, 21, 1, 1, 209, 122, // Skip to: 40641
+/* 9200 */    MCD_OPC_Decode, 215, 1, 89, // Opcode: CMHIv8i8
+/* 9204 */    MCD_OPC_FilterValue, 7, 201, 122, // Skip to: 40641
+/* 9208 */    MCD_OPC_CheckPredicate, 0, 197, 122, // Skip to: 40641
+/* 9212 */    MCD_OPC_CheckField, 21, 1, 1, 191, 122, // Skip to: 40641
+/* 9218 */    MCD_OPC_Decode, 223, 1, 89, // Opcode: CMHSv8i8
 /* 9222 */    MCD_OPC_FilterValue, 1, 48, 1, // Skip to: 9530
 /* 9226 */    MCD_OPC_ExtractField, 10, 4,  // Inst{13-10} ...
 /* 9229 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 9247
-/* 9233 */    MCD_OPC_CheckPredicate, 0, 200, 122, // Skip to: 40669
-/* 9237 */    MCD_OPC_CheckField, 21, 1, 1, 194, 122, // Skip to: 40669
-/* 9243 */    MCD_OPC_Decode, 161, 9, 103, // Opcode: RADDHNv8i16_v8i8
+/* 9233 */    MCD_OPC_CheckPredicate, 0, 172, 122, // Skip to: 40641
+/* 9237 */    MCD_OPC_CheckField, 21, 1, 1, 166, 122, // Skip to: 40641
+/* 9243 */    MCD_OPC_Decode, 163, 9, 103, // Opcode: RADDHNv8i16_v8i8
 /* 9247 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 9265
-/* 9251 */    MCD_OPC_CheckPredicate, 0, 182, 122, // Skip to: 40669
-/* 9255 */    MCD_OPC_CheckField, 21, 1, 1, 176, 122, // Skip to: 40669
-/* 9261 */    MCD_OPC_Decode, 138, 18, 89, // Opcode: USHLv8i8
+/* 9251 */    MCD_OPC_CheckPredicate, 0, 154, 122, // Skip to: 40641
+/* 9255 */    MCD_OPC_CheckField, 21, 1, 1, 148, 122, // Skip to: 40641
+/* 9261 */    MCD_OPC_Decode, 140, 18, 89, // Opcode: USHLv8i8
 /* 9265 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 9296
 /* 9269 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 9272 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 9284
-/* 9276 */    MCD_OPC_CheckPredicate, 0, 157, 122, // Skip to: 40669
-/* 9280 */    MCD_OPC_Decode, 157, 1, 90, // Opcode: CLZv8i8
-/* 9284 */    MCD_OPC_FilterValue, 33, 149, 122, // Skip to: 40669
-/* 9288 */    MCD_OPC_CheckPredicate, 0, 145, 122, // Skip to: 40669
-/* 9292 */    MCD_OPC_Decode, 218, 17, 95, // Opcode: UQXTNv8i8
+/* 9276 */    MCD_OPC_CheckPredicate, 0, 129, 122, // Skip to: 40641
+/* 9280 */    MCD_OPC_Decode, 159, 1, 90, // Opcode: CLZv8i8
+/* 9284 */    MCD_OPC_FilterValue, 33, 121, 122, // Skip to: 40641
+/* 9288 */    MCD_OPC_CheckPredicate, 0, 117, 122, // Skip to: 40641
+/* 9292 */    MCD_OPC_Decode, 220, 17, 95, // Opcode: UQXTNv8i8
 /* 9296 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 9314
-/* 9300 */    MCD_OPC_CheckPredicate, 0, 133, 122, // Skip to: 40669
-/* 9304 */    MCD_OPC_CheckField, 21, 1, 1, 127, 122, // Skip to: 40669
-/* 9310 */    MCD_OPC_Decode, 188, 17, 89, // Opcode: UQSHLv8i8
+/* 9300 */    MCD_OPC_CheckPredicate, 0, 105, 122, // Skip to: 40641
+/* 9304 */    MCD_OPC_CheckField, 21, 1, 1, 99, 122, // Skip to: 40641
+/* 9310 */    MCD_OPC_Decode, 190, 17, 89, // Opcode: UQSHLv8i8
 /* 9314 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 9332
-/* 9318 */    MCD_OPC_CheckPredicate, 0, 115, 122, // Skip to: 40669
-/* 9322 */    MCD_OPC_CheckField, 21, 1, 1, 109, 122, // Skip to: 40669
-/* 9328 */    MCD_OPC_Decode, 238, 15, 105, // Opcode: UABALv8i8_v8i16
+/* 9318 */    MCD_OPC_CheckPredicate, 0, 87, 122, // Skip to: 40641
+/* 9322 */    MCD_OPC_CheckField, 21, 1, 1, 81, 122, // Skip to: 40641
+/* 9328 */    MCD_OPC_Decode, 240, 15, 105, // Opcode: UABALv8i8_v8i16
 /* 9332 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 9350
-/* 9336 */    MCD_OPC_CheckPredicate, 0, 97, 122, // Skip to: 40669
-/* 9340 */    MCD_OPC_CheckField, 21, 1, 1, 91, 122, // Skip to: 40669
-/* 9346 */    MCD_OPC_Decode, 234, 17, 89, // Opcode: URSHLv8i8
+/* 9336 */    MCD_OPC_CheckPredicate, 0, 69, 122, // Skip to: 40641
+/* 9340 */    MCD_OPC_CheckField, 21, 1, 1, 63, 122, // Skip to: 40641
+/* 9346 */    MCD_OPC_Decode, 236, 17, 89, // Opcode: URSHLv8i8
 /* 9350 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 9368
-/* 9354 */    MCD_OPC_CheckPredicate, 0, 79, 122, // Skip to: 40669
-/* 9358 */    MCD_OPC_CheckField, 16, 6, 32, 73, 122, // Skip to: 40669
-/* 9364 */    MCD_OPC_Decode, 254, 8, 90, // Opcode: NOTv8i8
+/* 9354 */    MCD_OPC_CheckPredicate, 0, 51, 122, // Skip to: 40641
+/* 9358 */    MCD_OPC_CheckField, 16, 6, 32, 45, 122, // Skip to: 40641
+/* 9364 */    MCD_OPC_Decode, 128, 9, 90, // Opcode: NOTv8i8
 /* 9368 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 9386
-/* 9372 */    MCD_OPC_CheckPredicate, 0, 61, 122, // Skip to: 40669
-/* 9376 */    MCD_OPC_CheckField, 21, 1, 1, 55, 122, // Skip to: 40669
-/* 9382 */    MCD_OPC_Decode, 158, 17, 89, // Opcode: UQRSHLv8i8
+/* 9372 */    MCD_OPC_CheckPredicate, 0, 33, 122, // Skip to: 40641
+/* 9376 */    MCD_OPC_CheckField, 21, 1, 1, 27, 122, // Skip to: 40641
+/* 9382 */    MCD_OPC_Decode, 160, 17, 89, // Opcode: UQRSHLv8i8
 /* 9386 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 9404
-/* 9390 */    MCD_OPC_CheckPredicate, 0, 43, 122, // Skip to: 40669
-/* 9394 */    MCD_OPC_CheckField, 21, 1, 1, 37, 122, // Skip to: 40669
-/* 9400 */    MCD_OPC_Decode, 198, 9, 103, // Opcode: RSUBHNv8i16_v8i8
+/* 9390 */    MCD_OPC_CheckPredicate, 0, 15, 122, // Skip to: 40641
+/* 9394 */    MCD_OPC_CheckField, 21, 1, 1, 9, 122, // Skip to: 40641
+/* 9400 */    MCD_OPC_Decode, 200, 9, 103, // Opcode: RSUBHNv8i16_v8i8
 /* 9404 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 9422
-/* 9408 */    MCD_OPC_CheckPredicate, 0, 25, 122, // Skip to: 40669
-/* 9412 */    MCD_OPC_CheckField, 21, 1, 1, 19, 122, // Skip to: 40669
-/* 9418 */    MCD_OPC_Decode, 211, 16, 89, // Opcode: UMAXv8i8
+/* 9408 */    MCD_OPC_CheckPredicate, 0, 253, 121, // Skip to: 40641
+/* 9412 */    MCD_OPC_CheckField, 21, 1, 1, 247, 121, // Skip to: 40641
+/* 9418 */    MCD_OPC_Decode, 213, 16, 89, // Opcode: UMAXv8i8
 /* 9422 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 9440
-/* 9426 */    MCD_OPC_CheckPredicate, 0, 7, 122, // Skip to: 40669
-/* 9430 */    MCD_OPC_CheckField, 16, 6, 32, 1, 122, // Skip to: 40669
-/* 9436 */    MCD_OPC_Decode, 134, 16, 99, // Opcode: UADALPv8i8_v4i16
+/* 9426 */    MCD_OPC_CheckPredicate, 0, 235, 121, // Skip to: 40641
+/* 9430 */    MCD_OPC_CheckField, 16, 6, 32, 229, 121, // Skip to: 40641
+/* 9436 */    MCD_OPC_Decode, 136, 16, 99, // Opcode: UADALPv8i8_v4i16
 /* 9440 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 9458
-/* 9444 */    MCD_OPC_CheckPredicate, 0, 245, 121, // Skip to: 40669
-/* 9448 */    MCD_OPC_CheckField, 21, 1, 1, 239, 121, // Skip to: 40669
-/* 9454 */    MCD_OPC_Decode, 228, 16, 89, // Opcode: UMINv8i8
+/* 9444 */    MCD_OPC_CheckPredicate, 0, 217, 121, // Skip to: 40641
+/* 9448 */    MCD_OPC_CheckField, 21, 1, 1, 211, 121, // Skip to: 40641
+/* 9454 */    MCD_OPC_Decode, 230, 16, 89, // Opcode: UMINv8i8
 /* 9458 */    MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 9476
-/* 9462 */    MCD_OPC_CheckPredicate, 0, 227, 121, // Skip to: 40669
-/* 9466 */    MCD_OPC_CheckField, 21, 1, 1, 221, 121, // Skip to: 40669
-/* 9472 */    MCD_OPC_Decode, 250, 15, 85, // Opcode: UABDLv8i8_v8i16
+/* 9462 */    MCD_OPC_CheckPredicate, 0, 199, 121, // Skip to: 40641
+/* 9466 */    MCD_OPC_CheckField, 21, 1, 1, 193, 121, // Skip to: 40641
+/* 9472 */    MCD_OPC_Decode, 252, 15, 85, // Opcode: UABDLv8i8_v8i16
 /* 9476 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 9494
-/* 9480 */    MCD_OPC_CheckPredicate, 0, 209, 121, // Skip to: 40669
-/* 9484 */    MCD_OPC_CheckField, 21, 1, 1, 203, 121, // Skip to: 40669
-/* 9490 */    MCD_OPC_Decode, 128, 16, 89, // Opcode: UABDv8i8
+/* 9480 */    MCD_OPC_CheckPredicate, 0, 181, 121, // Skip to: 40641
+/* 9484 */    MCD_OPC_CheckField, 21, 1, 1, 175, 121, // Skip to: 40641
+/* 9490 */    MCD_OPC_Decode, 130, 16, 89, // Opcode: UABDv8i8
 /* 9494 */    MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 9512
-/* 9498 */    MCD_OPC_CheckPredicate, 0, 191, 121, // Skip to: 40669
-/* 9502 */    MCD_OPC_CheckField, 16, 6, 32, 185, 121, // Skip to: 40669
-/* 9508 */    MCD_OPC_Decode, 227, 11, 90, // Opcode: SQNEGv8i8
-/* 9512 */    MCD_OPC_FilterValue, 15, 177, 121, // Skip to: 40669
-/* 9516 */    MCD_OPC_CheckPredicate, 0, 173, 121, // Skip to: 40669
-/* 9520 */    MCD_OPC_CheckField, 21, 1, 1, 167, 121, // Skip to: 40669
-/* 9526 */    MCD_OPC_Decode, 244, 15, 109, // Opcode: UABAv8i8
+/* 9498 */    MCD_OPC_CheckPredicate, 0, 163, 121, // Skip to: 40641
+/* 9502 */    MCD_OPC_CheckField, 16, 6, 32, 157, 121, // Skip to: 40641
+/* 9508 */    MCD_OPC_Decode, 229, 11, 90, // Opcode: SQNEGv8i8
+/* 9512 */    MCD_OPC_FilterValue, 15, 149, 121, // Skip to: 40641
+/* 9516 */    MCD_OPC_CheckPredicate, 0, 145, 121, // Skip to: 40641
+/* 9520 */    MCD_OPC_CheckField, 21, 1, 1, 139, 121, // Skip to: 40641
+/* 9526 */    MCD_OPC_Decode, 246, 15, 109, // Opcode: UABAv8i8
 /* 9530 */    MCD_OPC_FilterValue, 2, 27, 1, // Skip to: 9817
 /* 9534 */    MCD_OPC_ExtractField, 10, 4,  // Inst{13-10} ...
 /* 9537 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 9555
-/* 9541 */    MCD_OPC_CheckPredicate, 0, 148, 121, // Skip to: 40669
-/* 9545 */    MCD_OPC_CheckField, 21, 1, 1, 142, 121, // Skip to: 40669
-/* 9551 */    MCD_OPC_Decode, 238, 16, 105, // Opcode: UMLALv8i8_v8i16
+/* 9541 */    MCD_OPC_CheckPredicate, 0, 120, 121, // Skip to: 40641
+/* 9545 */    MCD_OPC_CheckField, 21, 1, 1, 114, 121, // Skip to: 40641
+/* 9551 */    MCD_OPC_Decode, 240, 16, 105, // Opcode: UMLALv8i8_v8i16
 /* 9555 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 9573
-/* 9559 */    MCD_OPC_CheckPredicate, 0, 130, 121, // Skip to: 40669
-/* 9563 */    MCD_OPC_CheckField, 21, 1, 1, 124, 121, // Skip to: 40669
-/* 9569 */    MCD_OPC_Decode, 180, 15, 89, // Opcode: SUBv8i8
+/* 9559 */    MCD_OPC_CheckPredicate, 0, 102, 121, // Skip to: 40641
+/* 9563 */    MCD_OPC_CheckField, 21, 1, 1, 96, 121, // Skip to: 40641
+/* 9569 */    MCD_OPC_Decode, 182, 15, 89, // Opcode: SUBv8i8
 /* 9573 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 9604
 /* 9577 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 9580 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 9592
-/* 9584 */    MCD_OPC_CheckPredicate, 0, 105, 121, // Skip to: 40669
-/* 9588 */    MCD_OPC_Decode, 189, 1, 90, // Opcode: CMGEv8i8rz
-/* 9592 */    MCD_OPC_FilterValue, 33, 97, 121, // Skip to: 40669
-/* 9596 */    MCD_OPC_CheckPredicate, 0, 93, 121, // Skip to: 40669
-/* 9600 */    MCD_OPC_Decode, 152, 5, 90, // Opcode: FRINTAv2f32
+/* 9584 */    MCD_OPC_CheckPredicate, 0, 77, 121, // Skip to: 40641
+/* 9588 */    MCD_OPC_Decode, 191, 1, 90, // Opcode: CMGEv8i8rz
+/* 9592 */    MCD_OPC_FilterValue, 33, 69, 121, // Skip to: 40641
+/* 9596 */    MCD_OPC_CheckPredicate, 0, 65, 121, // Skip to: 40641
+/* 9600 */    MCD_OPC_Decode, 154, 5, 90, // Opcode: FRINTAv2f32
 /* 9604 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 9622
-/* 9608 */    MCD_OPC_CheckPredicate, 0, 81, 121, // Skip to: 40669
-/* 9612 */    MCD_OPC_CheckField, 21, 1, 1, 75, 121, // Skip to: 40669
-/* 9618 */    MCD_OPC_Decode, 172, 1, 89, // Opcode: CMEQv8i8
+/* 9608 */    MCD_OPC_CheckPredicate, 0, 53, 121, // Skip to: 40641
+/* 9612 */    MCD_OPC_CheckField, 21, 1, 1, 47, 121, // Skip to: 40641
+/* 9618 */    MCD_OPC_Decode, 174, 1, 89, // Opcode: CMEQv8i8
 /* 9622 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 9640
-/* 9626 */    MCD_OPC_CheckPredicate, 0, 63, 121, // Skip to: 40669
-/* 9630 */    MCD_OPC_CheckField, 21, 1, 1, 57, 121, // Skip to: 40669
-/* 9636 */    MCD_OPC_Decode, 199, 8, 109, // Opcode: MLSv8i8
+/* 9626 */    MCD_OPC_CheckPredicate, 0, 35, 121, // Skip to: 40641
+/* 9630 */    MCD_OPC_CheckField, 21, 1, 1, 29, 121, // Skip to: 40641
+/* 9636 */    MCD_OPC_Decode, 201, 8, 109, // Opcode: MLSv8i8
 /* 9640 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 9671
 /* 9644 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 9647 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 9659
-/* 9651 */    MCD_OPC_CheckPredicate, 0, 38, 121, // Skip to: 40669
-/* 9655 */    MCD_OPC_Decode, 229, 1, 90, // Opcode: CMLEv8i8rz
-/* 9659 */    MCD_OPC_FilterValue, 33, 30, 121, // Skip to: 40669
-/* 9663 */    MCD_OPC_CheckPredicate, 0, 26, 121, // Skip to: 40669
-/* 9667 */    MCD_OPC_Decode, 177, 5, 90, // Opcode: FRINTXv2f32
+/* 9651 */    MCD_OPC_CheckPredicate, 0, 10, 121, // Skip to: 40641
+/* 9655 */    MCD_OPC_Decode, 231, 1, 90, // Opcode: CMLEv8i8rz
+/* 9659 */    MCD_OPC_FilterValue, 33, 2, 121, // Skip to: 40641
+/* 9663 */    MCD_OPC_CheckPredicate, 0, 254, 120, // Skip to: 40641
+/* 9667 */    MCD_OPC_Decode, 179, 5, 90, // Opcode: FRINTXv2f32
 /* 9671 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 9689
-/* 9675 */    MCD_OPC_CheckPredicate, 0, 14, 121, // Skip to: 40669
-/* 9679 */    MCD_OPC_CheckField, 21, 1, 1, 8, 121, // Skip to: 40669
-/* 9685 */    MCD_OPC_Decode, 150, 9, 89, // Opcode: PMULv8i8
+/* 9675 */    MCD_OPC_CheckPredicate, 0, 242, 120, // Skip to: 40641
+/* 9679 */    MCD_OPC_CheckField, 21, 1, 1, 236, 120, // Skip to: 40641
+/* 9685 */    MCD_OPC_Decode, 152, 9, 89, // Opcode: PMULv8i8
 /* 9689 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 9707
-/* 9693 */    MCD_OPC_CheckPredicate, 0, 252, 120, // Skip to: 40669
-/* 9697 */    MCD_OPC_CheckField, 21, 1, 1, 246, 120, // Skip to: 40669
-/* 9703 */    MCD_OPC_Decode, 248, 16, 105, // Opcode: UMLSLv8i8_v8i16
+/* 9693 */    MCD_OPC_CheckPredicate, 0, 224, 120, // Skip to: 40641
+/* 9697 */    MCD_OPC_CheckField, 21, 1, 1, 218, 120, // Skip to: 40641
+/* 9703 */    MCD_OPC_Decode, 250, 16, 105, // Opcode: UMLSLv8i8_v8i16
 /* 9707 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 9725
-/* 9711 */    MCD_OPC_CheckPredicate, 0, 234, 120, // Skip to: 40669
-/* 9715 */    MCD_OPC_CheckField, 21, 1, 1, 228, 120, // Skip to: 40669
-/* 9721 */    MCD_OPC_Decode, 200, 16, 89, // Opcode: UMAXPv8i8
+/* 9711 */    MCD_OPC_CheckPredicate, 0, 206, 120, // Skip to: 40641
+/* 9715 */    MCD_OPC_CheckField, 21, 1, 1, 200, 120, // Skip to: 40641
+/* 9721 */    MCD_OPC_Decode, 202, 16, 89, // Opcode: UMAXPv8i8
 /* 9725 */    MCD_OPC_FilterValue, 10, 39, 0, // Skip to: 9768
 /* 9729 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 9732 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 9744
-/* 9736 */    MCD_OPC_CheckPredicate, 0, 209, 120, // Skip to: 40669
-/* 9740 */    MCD_OPC_Decode, 193, 3, 90, // Opcode: FCVTNUv2f32
+/* 9736 */    MCD_OPC_CheckPredicate, 0, 181, 120, // Skip to: 40641
+/* 9740 */    MCD_OPC_Decode, 195, 3, 90, // Opcode: FCVTNUv2f32
 /* 9744 */    MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 9756
-/* 9748 */    MCD_OPC_CheckPredicate, 0, 197, 120, // Skip to: 40669
-/* 9752 */    MCD_OPC_Decode, 205, 16, 110, // Opcode: UMAXVv8i8v
-/* 9756 */    MCD_OPC_FilterValue, 49, 189, 120, // Skip to: 40669
-/* 9760 */    MCD_OPC_CheckPredicate, 0, 185, 120, // Skip to: 40669
-/* 9764 */    MCD_OPC_Decode, 222, 16, 110, // Opcode: UMINVv8i8v
+/* 9748 */    MCD_OPC_CheckPredicate, 0, 169, 120, // Skip to: 40641
+/* 9752 */    MCD_OPC_Decode, 207, 16, 110, // Opcode: UMAXVv8i8v
+/* 9756 */    MCD_OPC_FilterValue, 49, 161, 120, // Skip to: 40641
+/* 9760 */    MCD_OPC_CheckPredicate, 0, 157, 120, // Skip to: 40641
+/* 9764 */    MCD_OPC_Decode, 224, 16, 110, // Opcode: UMINVv8i8v
 /* 9768 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 9786
-/* 9772 */    MCD_OPC_CheckPredicate, 0, 173, 120, // Skip to: 40669
-/* 9776 */    MCD_OPC_CheckField, 21, 1, 1, 167, 120, // Skip to: 40669
-/* 9782 */    MCD_OPC_Decode, 217, 16, 89, // Opcode: UMINPv8i8
-/* 9786 */    MCD_OPC_FilterValue, 14, 159, 120, // Skip to: 40669
+/* 9772 */    MCD_OPC_CheckPredicate, 0, 145, 120, // Skip to: 40641
+/* 9776 */    MCD_OPC_CheckField, 21, 1, 1, 139, 120, // Skip to: 40641
+/* 9782 */    MCD_OPC_Decode, 219, 16, 89, // Opcode: UMINPv8i8
+/* 9786 */    MCD_OPC_FilterValue, 14, 131, 120, // Skip to: 40641
 /* 9790 */    MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 9793 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 9805
-/* 9797 */    MCD_OPC_CheckPredicate, 0, 148, 120, // Skip to: 40669
-/* 9801 */    MCD_OPC_Decode, 252, 8, 90, // Opcode: NEGv8i8
-/* 9805 */    MCD_OPC_FilterValue, 33, 140, 120, // Skip to: 40669
-/* 9809 */    MCD_OPC_CheckPredicate, 0, 136, 120, // Skip to: 40669
-/* 9813 */    MCD_OPC_Decode, 175, 3, 90, // Opcode: FCVTMUv2f32
-/* 9817 */    MCD_OPC_FilterValue, 3, 128, 120, // Skip to: 40669
+/* 9797 */    MCD_OPC_CheckPredicate, 0, 120, 120, // Skip to: 40641
+/* 9801 */    MCD_OPC_Decode, 254, 8, 90, // Opcode: NEGv8i8
+/* 9805 */    MCD_OPC_FilterValue, 33, 112, 120, // Skip to: 40641
+/* 9809 */    MCD_OPC_CheckPredicate, 0, 108, 120, // Skip to: 40641
+/* 9813 */    MCD_OPC_Decode, 177, 3, 90, // Opcode: FCVTMUv2f32
+/* 9817 */    MCD_OPC_FilterValue, 3, 100, 120, // Skip to: 40641
 /* 9821 */    MCD_OPC_ExtractField, 10, 4,  // Inst{13-10} ...
 /* 9824 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 9842
-/* 9828 */    MCD_OPC_CheckPredicate, 0, 117, 120, // Skip to: 40669
-/* 9832 */    MCD_OPC_CheckField, 21, 1, 1, 111, 120, // Skip to: 40669
-/* 9838 */    MCD_OPC_Decode, 136, 17, 85, // Opcode: UMULLv8i8_v8i16
+/* 9828 */    MCD_OPC_CheckPredicate, 0, 89, 120, // Skip to: 40641
+/* 9832 */    MCD_OPC_CheckField, 21, 1, 1, 83, 120, // Skip to: 40641
+/* 9838 */    MCD_OPC_Decode, 138, 17, 85, // Opcode: UMULLv8i8_v8i16
 /* 9842 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 9860
-/* 9846 */    MCD_OPC_CheckPredicate, 0, 99, 120, // Skip to: 40669
-/* 9850 */    MCD_OPC_CheckField, 21, 1, 1, 93, 120, // Skip to: 40669
-/* 9856 */    MCD_OPC_Decode, 162, 4, 89, // Opcode: FMAXNMPv2f32
+/* 9846 */    MCD_OPC_CheckPredicate, 0, 71, 120, // Skip to: 40641
+/* 9850 */    MCD_OPC_CheckField, 21, 1, 1, 65, 120, // Skip to: 40641
+/* 9856 */    MCD_OPC_Decode, 164, 4, 89, // Opcode: FMAXNMPv2f32
 /* 9860 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 9878
-/* 9864 */    MCD_OPC_CheckPredicate, 0, 81, 120, // Skip to: 40669
-/* 9868 */    MCD_OPC_CheckField, 16, 6, 33, 75, 120, // Skip to: 40669
-/* 9874 */    MCD_OPC_Decode, 149, 3, 90, // Opcode: FCVTAUv2f32
+/* 9864 */    MCD_OPC_CheckPredicate, 0, 53, 120, // Skip to: 40641
+/* 9868 */    MCD_OPC_CheckField, 16, 6, 33, 47, 120, // Skip to: 40641
+/* 9874 */    MCD_OPC_Decode, 151, 3, 90, // Opcode: FCVTAUv2f32
 /* 9878 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 9896
-/* 9882 */    MCD_OPC_CheckPredicate, 0, 63, 120, // Skip to: 40669
-/* 9886 */    MCD_OPC_CheckField, 21, 1, 1, 57, 120, // Skip to: 40669
-/* 9892 */    MCD_OPC_Decode, 199, 2, 89, // Opcode: FADDPv2f32
+/* 9882 */    MCD_OPC_CheckPredicate, 0, 35, 120, // Skip to: 40641
+/* 9886 */    MCD_OPC_CheckField, 21, 1, 1, 29, 120, // Skip to: 40641
+/* 9892 */    MCD_OPC_Decode, 201, 2, 89, // Opcode: FADDPv2f32
 /* 9896 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 9914
-/* 9900 */    MCD_OPC_CheckPredicate, 0, 45, 120, // Skip to: 40669
-/* 9904 */    MCD_OPC_CheckField, 16, 6, 33, 39, 120, // Skip to: 40669
-/* 9910 */    MCD_OPC_Decode, 172, 16, 90, // Opcode: UCVTFv2f32
+/* 9900 */    MCD_OPC_CheckPredicate, 0, 17, 120, // Skip to: 40641
+/* 9904 */    MCD_OPC_CheckField, 16, 6, 33, 11, 120, // Skip to: 40641
+/* 9910 */    MCD_OPC_Decode, 174, 16, 90, // Opcode: UCVTFv2f32
 /* 9914 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 9932
-/* 9918 */    MCD_OPC_CheckPredicate, 0, 27, 120, // Skip to: 40669
-/* 9922 */    MCD_OPC_CheckField, 21, 1, 1, 21, 120, // Skip to: 40669
-/* 9928 */    MCD_OPC_Decode, 249, 4, 89, // Opcode: FMULv2f32
+/* 9918 */    MCD_OPC_CheckPredicate, 0, 255, 119, // Skip to: 40641
+/* 9922 */    MCD_OPC_CheckField, 21, 1, 1, 249, 119, // Skip to: 40641
+/* 9928 */    MCD_OPC_Decode, 251, 4, 89, // Opcode: FMULv2f32
 /* 9932 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 9950
-/* 9936 */    MCD_OPC_CheckPredicate, 0, 9, 120, // Skip to: 40669
-/* 9940 */    MCD_OPC_CheckField, 21, 1, 1, 3, 120, // Skip to: 40669
-/* 9946 */    MCD_OPC_Decode, 226, 2, 89, // Opcode: FCMGEv2f32
+/* 9936 */    MCD_OPC_CheckPredicate, 0, 237, 119, // Skip to: 40641
+/* 9940 */    MCD_OPC_CheckField, 21, 1, 1, 231, 119, // Skip to: 40641
+/* 9946 */    MCD_OPC_Decode, 228, 2, 89, // Opcode: FCMGEv2f32
 /* 9950 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 9968
-/* 9954 */    MCD_OPC_CheckPredicate, 0, 247, 119, // Skip to: 40669
-/* 9958 */    MCD_OPC_CheckField, 21, 1, 1, 241, 119, // Skip to: 40669
-/* 9964 */    MCD_OPC_Decode, 190, 2, 89, // Opcode: FACGEv2f32
+/* 9954 */    MCD_OPC_CheckPredicate, 0, 219, 119, // Skip to: 40641
+/* 9958 */    MCD_OPC_CheckField, 21, 1, 1, 213, 119, // Skip to: 40641
+/* 9964 */    MCD_OPC_Decode, 192, 2, 89, // Opcode: FACGEv2f32
 /* 9968 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 9986
-/* 9972 */    MCD_OPC_CheckPredicate, 0, 229, 119, // Skip to: 40669
-/* 9976 */    MCD_OPC_CheckField, 21, 1, 1, 223, 119, // Skip to: 40669
-/* 9982 */    MCD_OPC_Decode, 172, 4, 89, // Opcode: FMAXPv2f32
-/* 9986 */    MCD_OPC_FilterValue, 15, 215, 119, // Skip to: 40669
-/* 9990 */    MCD_OPC_CheckPredicate, 0, 211, 119, // Skip to: 40669
-/* 9994 */    MCD_OPC_CheckField, 21, 1, 1, 205, 119, // Skip to: 40669
-/* 10000 */   MCD_OPC_Decode, 155, 4, 89, // Opcode: FDIVv2f32
+/* 9972 */    MCD_OPC_CheckPredicate, 0, 201, 119, // Skip to: 40641
+/* 9976 */    MCD_OPC_CheckField, 21, 1, 1, 195, 119, // Skip to: 40641
+/* 9982 */    MCD_OPC_Decode, 174, 4, 89, // Opcode: FMAXPv2f32
+/* 9986 */    MCD_OPC_FilterValue, 15, 187, 119, // Skip to: 40641
+/* 9990 */    MCD_OPC_CheckPredicate, 0, 183, 119, // Skip to: 40641
+/* 9994 */    MCD_OPC_CheckField, 21, 1, 1, 177, 119, // Skip to: 40641
+/* 10000 */   MCD_OPC_Decode, 157, 4, 89, // Opcode: FDIVv2f32
 /* 10004 */   MCD_OPC_FilterValue, 2, 181, 6, // Skip to: 11725
 /* 10008 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 10011 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 10042
 /* 10015 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10018 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10030
-/* 10022 */   MCD_OPC_CheckPredicate, 0, 179, 119, // Skip to: 40669
-/* 10026 */   MCD_OPC_Decode, 196, 15, 112, // Opcode: TBLv16i8One
-/* 10030 */   MCD_OPC_FilterValue, 1, 171, 119, // Skip to: 40669
-/* 10034 */   MCD_OPC_CheckPredicate, 0, 167, 119, // Skip to: 40669
-/* 10038 */   MCD_OPC_Decode, 240, 9, 112, // Opcode: SADDLv16i8_v8i16
+/* 10022 */   MCD_OPC_CheckPredicate, 0, 151, 119, // Skip to: 40641
+/* 10026 */   MCD_OPC_Decode, 198, 15, 112, // Opcode: TBLv16i8One
+/* 10030 */   MCD_OPC_FilterValue, 1, 143, 119, // Skip to: 40641
+/* 10034 */   MCD_OPC_CheckPredicate, 0, 139, 119, // Skip to: 40641
+/* 10038 */   MCD_OPC_Decode, 242, 9, 112, // Opcode: SADDLv16i8_v8i16
 /* 10042 */   MCD_OPC_FilterValue, 1, 90, 0, // Skip to: 10136
 /* 10046 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10049 */   MCD_OPC_FilterValue, 0, 71, 0, // Skip to: 10124
@@ -2448,65 +2448,65 @@ static const uint8_t DecoderTable32[] =
 /* 10063 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 10100
 /* 10067 */   MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
 /* 10070 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 10088
-/* 10074 */   MCD_OPC_CheckPredicate, 0, 127, 119, // Skip to: 40669
-/* 10078 */   MCD_OPC_CheckField, 19, 1, 1, 121, 119, // Skip to: 40669
-/* 10084 */   MCD_OPC_Decode, 151, 2, 113, // Opcode: DUPv2i64lane
-/* 10088 */   MCD_OPC_FilterValue, 1, 113, 119, // Skip to: 40669
-/* 10092 */   MCD_OPC_CheckPredicate, 0, 109, 119, // Skip to: 40669
-/* 10096 */   MCD_OPC_Decode, 155, 2, 114, // Opcode: DUPv4i32lane
-/* 10100 */   MCD_OPC_FilterValue, 1, 101, 119, // Skip to: 40669
-/* 10104 */   MCD_OPC_CheckPredicate, 0, 97, 119, // Skip to: 40669
-/* 10108 */   MCD_OPC_Decode, 157, 2, 115, // Opcode: DUPv8i16lane
-/* 10112 */   MCD_OPC_FilterValue, 1, 89, 119, // Skip to: 40669
-/* 10116 */   MCD_OPC_CheckPredicate, 0, 85, 119, // Skip to: 40669
-/* 10120 */   MCD_OPC_Decode, 147, 2, 116, // Opcode: DUPv16i8lane
-/* 10124 */   MCD_OPC_FilterValue, 1, 77, 119, // Skip to: 40669
-/* 10128 */   MCD_OPC_CheckPredicate, 0, 73, 119, // Skip to: 40669
-/* 10132 */   MCD_OPC_Decode, 162, 10, 112, // Opcode: SHADDv16i8
+/* 10074 */   MCD_OPC_CheckPredicate, 0, 99, 119, // Skip to: 40641
+/* 10078 */   MCD_OPC_CheckField, 19, 1, 1, 93, 119, // Skip to: 40641
+/* 10084 */   MCD_OPC_Decode, 153, 2, 113, // Opcode: DUPv2i64lane
+/* 10088 */   MCD_OPC_FilterValue, 1, 85, 119, // Skip to: 40641
+/* 10092 */   MCD_OPC_CheckPredicate, 0, 81, 119, // Skip to: 40641
+/* 10096 */   MCD_OPC_Decode, 157, 2, 114, // Opcode: DUPv4i32lane
+/* 10100 */   MCD_OPC_FilterValue, 1, 73, 119, // Skip to: 40641
+/* 10104 */   MCD_OPC_CheckPredicate, 0, 69, 119, // Skip to: 40641
+/* 10108 */   MCD_OPC_Decode, 159, 2, 115, // Opcode: DUPv8i16lane
+/* 10112 */   MCD_OPC_FilterValue, 1, 61, 119, // Skip to: 40641
+/* 10116 */   MCD_OPC_CheckPredicate, 0, 57, 119, // Skip to: 40641
+/* 10120 */   MCD_OPC_Decode, 149, 2, 116, // Opcode: DUPv16i8lane
+/* 10124 */   MCD_OPC_FilterValue, 1, 49, 119, // Skip to: 40641
+/* 10128 */   MCD_OPC_CheckPredicate, 0, 45, 119, // Skip to: 40641
+/* 10132 */   MCD_OPC_Decode, 164, 10, 112, // Opcode: SHADDv16i8
 /* 10136 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 10154
-/* 10140 */   MCD_OPC_CheckPredicate, 0, 61, 119, // Skip to: 40669
-/* 10144 */   MCD_OPC_CheckField, 16, 6, 32, 55, 119, // Skip to: 40669
-/* 10150 */   MCD_OPC_Decode, 177, 9, 117, // Opcode: REV64v16i8
+/* 10140 */   MCD_OPC_CheckPredicate, 0, 33, 119, // Skip to: 40641
+/* 10144 */   MCD_OPC_CheckField, 16, 6, 32, 27, 119, // Skip to: 40641
+/* 10150 */   MCD_OPC_Decode, 179, 9, 117, // Opcode: REV64v16i8
 /* 10154 */   MCD_OPC_FilterValue, 3, 70, 0, // Skip to: 10228
 /* 10158 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10161 */   MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 10216
 /* 10165 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 10168 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 10180
-/* 10172 */   MCD_OPC_CheckPredicate, 0, 29, 119, // Skip to: 40669
-/* 10176 */   MCD_OPC_Decode, 146, 2, 118, // Opcode: DUPv16i8gpr
+/* 10172 */   MCD_OPC_CheckPredicate, 0, 1, 119, // Skip to: 40641
+/* 10176 */   MCD_OPC_Decode, 148, 2, 118, // Opcode: DUPv16i8gpr
 /* 10180 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 10192
-/* 10184 */   MCD_OPC_CheckPredicate, 0, 17, 119, // Skip to: 40669
-/* 10188 */   MCD_OPC_Decode, 156, 2, 118, // Opcode: DUPv8i16gpr
+/* 10184 */   MCD_OPC_CheckPredicate, 0, 245, 118, // Skip to: 40641
+/* 10188 */   MCD_OPC_Decode, 158, 2, 118, // Opcode: DUPv8i16gpr
 /* 10192 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 10204
-/* 10196 */   MCD_OPC_CheckPredicate, 0, 5, 119, // Skip to: 40669
-/* 10200 */   MCD_OPC_Decode, 154, 2, 118, // Opcode: DUPv4i32gpr
-/* 10204 */   MCD_OPC_FilterValue, 8, 253, 118, // Skip to: 40669
-/* 10208 */   MCD_OPC_CheckPredicate, 0, 249, 118, // Skip to: 40669
-/* 10212 */   MCD_OPC_Decode, 150, 2, 119, // Opcode: DUPv2i64gpr
-/* 10216 */   MCD_OPC_FilterValue, 1, 241, 118, // Skip to: 40669
-/* 10220 */   MCD_OPC_CheckPredicate, 0, 237, 118, // Skip to: 40669
-/* 10224 */   MCD_OPC_Decode, 158, 11, 112, // Opcode: SQADDv16i8
+/* 10196 */   MCD_OPC_CheckPredicate, 0, 233, 118, // Skip to: 40641
+/* 10200 */   MCD_OPC_Decode, 156, 2, 118, // Opcode: DUPv4i32gpr
+/* 10204 */   MCD_OPC_FilterValue, 8, 225, 118, // Skip to: 40641
+/* 10208 */   MCD_OPC_CheckPredicate, 0, 221, 118, // Skip to: 40641
+/* 10212 */   MCD_OPC_Decode, 152, 2, 119, // Opcode: DUPv2i64gpr
+/* 10216 */   MCD_OPC_FilterValue, 1, 213, 118, // Skip to: 40641
+/* 10220 */   MCD_OPC_CheckPredicate, 0, 209, 118, // Skip to: 40641
+/* 10224 */   MCD_OPC_Decode, 160, 11, 112, // Opcode: SQADDv16i8
 /* 10228 */   MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 10259
 /* 10232 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10235 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10247
-/* 10239 */   MCD_OPC_CheckPredicate, 0, 218, 118, // Skip to: 40669
-/* 10243 */   MCD_OPC_Decode, 206, 15, 120, // Opcode: TBXv16i8One
-/* 10247 */   MCD_OPC_FilterValue, 1, 210, 118, // Skip to: 40669
-/* 10251 */   MCD_OPC_CheckPredicate, 0, 206, 118, // Skip to: 40669
-/* 10255 */   MCD_OPC_Decode, 246, 9, 112, // Opcode: SADDWv16i8_v8i16
+/* 10239 */   MCD_OPC_CheckPredicate, 0, 190, 118, // Skip to: 40641
+/* 10243 */   MCD_OPC_Decode, 208, 15, 120, // Opcode: TBXv16i8One
+/* 10247 */   MCD_OPC_FilterValue, 1, 182, 118, // Skip to: 40641
+/* 10251 */   MCD_OPC_CheckPredicate, 0, 178, 118, // Skip to: 40641
+/* 10255 */   MCD_OPC_Decode, 248, 9, 112, // Opcode: SADDWv16i8_v8i16
 /* 10259 */   MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 10277
-/* 10263 */   MCD_OPC_CheckPredicate, 0, 194, 118, // Skip to: 40669
-/* 10267 */   MCD_OPC_CheckField, 21, 1, 1, 188, 118, // Skip to: 40669
-/* 10273 */   MCD_OPC_Decode, 221, 12, 112, // Opcode: SRHADDv16i8
+/* 10263 */   MCD_OPC_CheckPredicate, 0, 166, 118, // Skip to: 40641
+/* 10267 */   MCD_OPC_CheckField, 21, 1, 1, 160, 118, // Skip to: 40641
+/* 10273 */   MCD_OPC_Decode, 223, 12, 112, // Opcode: SRHADDv16i8
 /* 10277 */   MCD_OPC_FilterValue, 6, 33, 0, // Skip to: 10314
 /* 10281 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10284 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10296
-/* 10288 */   MCD_OPC_CheckPredicate, 0, 169, 118, // Skip to: 40669
-/* 10292 */   MCD_OPC_Decode, 178, 18, 112, // Opcode: UZP1v16i8
-/* 10296 */   MCD_OPC_FilterValue, 1, 161, 118, // Skip to: 40669
-/* 10300 */   MCD_OPC_CheckPredicate, 0, 157, 118, // Skip to: 40669
-/* 10304 */   MCD_OPC_CheckField, 16, 5, 0, 151, 118, // Skip to: 40669
-/* 10310 */   MCD_OPC_Decode, 170, 9, 117, // Opcode: REV16v16i8
+/* 10288 */   MCD_OPC_CheckPredicate, 0, 141, 118, // Skip to: 40641
+/* 10292 */   MCD_OPC_Decode, 180, 18, 112, // Opcode: UZP1v16i8
+/* 10296 */   MCD_OPC_FilterValue, 1, 133, 118, // Skip to: 40641
+/* 10300 */   MCD_OPC_CheckPredicate, 0, 129, 118, // Skip to: 40641
+/* 10304 */   MCD_OPC_CheckField, 16, 5, 0, 123, 118, // Skip to: 40641
+/* 10310 */   MCD_OPC_Decode, 172, 9, 117, // Opcode: REV16v16i8
 /* 10314 */   MCD_OPC_FilterValue, 7, 89, 0, // Skip to: 10407
 /* 10318 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10321 */   MCD_OPC_FilterValue, 0, 71, 0, // Skip to: 10396
@@ -2516,46 +2516,46 @@ static const uint8_t DecoderTable32[] =
 /* 10335 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 10372
 /* 10339 */   MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
 /* 10342 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 10360
-/* 10346 */   MCD_OPC_CheckPredicate, 0, 111, 118, // Skip to: 40669
-/* 10350 */   MCD_OPC_CheckField, 19, 1, 1, 105, 118, // Skip to: 40669
-/* 10356 */   MCD_OPC_Decode, 212, 5, 121, // Opcode: INSvi64gpr
-/* 10360 */   MCD_OPC_FilterValue, 1, 97, 118, // Skip to: 40669
-/* 10364 */   MCD_OPC_CheckPredicate, 0, 93, 118, // Skip to: 40669
-/* 10368 */   MCD_OPC_Decode, 210, 5, 122, // Opcode: INSvi32gpr
-/* 10372 */   MCD_OPC_FilterValue, 1, 85, 118, // Skip to: 40669
-/* 10376 */   MCD_OPC_CheckPredicate, 0, 81, 118, // Skip to: 40669
-/* 10380 */   MCD_OPC_Decode, 208, 5, 123, // Opcode: INSvi16gpr
-/* 10384 */   MCD_OPC_FilterValue, 1, 73, 118, // Skip to: 40669
-/* 10388 */   MCD_OPC_CheckPredicate, 0, 69, 118, // Skip to: 40669
-/* 10392 */   MCD_OPC_Decode, 214, 5, 124, // Opcode: INSvi8gpr
-/* 10396 */   MCD_OPC_FilterValue, 1, 61, 118, // Skip to: 40669
-/* 10400 */   MCD_OPC_CheckPredicate, 0, 57, 118, // Skip to: 40669
-/* 10404 */   MCD_OPC_Decode, 97, 112, // Opcode: ANDv16i8
+/* 10346 */   MCD_OPC_CheckPredicate, 0, 83, 118, // Skip to: 40641
+/* 10350 */   MCD_OPC_CheckField, 19, 1, 1, 77, 118, // Skip to: 40641
+/* 10356 */   MCD_OPC_Decode, 214, 5, 121, // Opcode: INSvi64gpr
+/* 10360 */   MCD_OPC_FilterValue, 1, 69, 118, // Skip to: 40641
+/* 10364 */   MCD_OPC_CheckPredicate, 0, 65, 118, // Skip to: 40641
+/* 10368 */   MCD_OPC_Decode, 212, 5, 122, // Opcode: INSvi32gpr
+/* 10372 */   MCD_OPC_FilterValue, 1, 57, 118, // Skip to: 40641
+/* 10376 */   MCD_OPC_CheckPredicate, 0, 53, 118, // Skip to: 40641
+/* 10380 */   MCD_OPC_Decode, 210, 5, 123, // Opcode: INSvi16gpr
+/* 10384 */   MCD_OPC_FilterValue, 1, 45, 118, // Skip to: 40641
+/* 10388 */   MCD_OPC_CheckPredicate, 0, 41, 118, // Skip to: 40641
+/* 10392 */   MCD_OPC_Decode, 216, 5, 124, // Opcode: INSvi8gpr
+/* 10396 */   MCD_OPC_FilterValue, 1, 33, 118, // Skip to: 40641
+/* 10400 */   MCD_OPC_CheckPredicate, 0, 29, 118, // Skip to: 40641
+/* 10404 */   MCD_OPC_Decode, 99, 112, // Opcode: ANDv16i8
 /* 10407 */   MCD_OPC_FilterValue, 8, 27, 0, // Skip to: 10438
 /* 10411 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10414 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10426
-/* 10418 */   MCD_OPC_CheckPredicate, 0, 39, 118, // Skip to: 40669
-/* 10422 */   MCD_OPC_Decode, 198, 15, 125, // Opcode: TBLv16i8Two
-/* 10426 */   MCD_OPC_FilterValue, 1, 31, 118, // Skip to: 40669
-/* 10430 */   MCD_OPC_CheckPredicate, 0, 27, 118, // Skip to: 40669
-/* 10434 */   MCD_OPC_Decode, 161, 13, 112, // Opcode: SSUBLv16i8_v8i16
+/* 10418 */   MCD_OPC_CheckPredicate, 0, 11, 118, // Skip to: 40641
+/* 10422 */   MCD_OPC_Decode, 200, 15, 125, // Opcode: TBLv16i8Two
+/* 10426 */   MCD_OPC_FilterValue, 1, 3, 118, // Skip to: 40641
+/* 10430 */   MCD_OPC_CheckPredicate, 0, 255, 117, // Skip to: 40641
+/* 10434 */   MCD_OPC_Decode, 163, 13, 112, // Opcode: SSUBLv16i8_v8i16
 /* 10438 */   MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 10456
-/* 10442 */   MCD_OPC_CheckPredicate, 0, 15, 118, // Skip to: 40669
-/* 10446 */   MCD_OPC_CheckField, 21, 1, 1, 9, 118, // Skip to: 40669
-/* 10452 */   MCD_OPC_Decode, 188, 10, 112, // Opcode: SHSUBv16i8
+/* 10442 */   MCD_OPC_CheckPredicate, 0, 243, 117, // Skip to: 40641
+/* 10446 */   MCD_OPC_CheckField, 21, 1, 1, 237, 117, // Skip to: 40641
+/* 10452 */   MCD_OPC_Decode, 190, 10, 112, // Opcode: SHSUBv16i8
 /* 10456 */   MCD_OPC_FilterValue, 10, 46, 0, // Skip to: 10506
 /* 10460 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10463 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10475
-/* 10467 */   MCD_OPC_CheckPredicate, 0, 246, 117, // Skip to: 40669
-/* 10471 */   MCD_OPC_Decode, 219, 15, 112, // Opcode: TRN1v16i8
-/* 10475 */   MCD_OPC_FilterValue, 1, 238, 117, // Skip to: 40669
+/* 10467 */   MCD_OPC_CheckPredicate, 0, 218, 117, // Skip to: 40641
+/* 10471 */   MCD_OPC_Decode, 221, 15, 112, // Opcode: TRN1v16i8
+/* 10475 */   MCD_OPC_FilterValue, 1, 210, 117, // Skip to: 40641
 /* 10479 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 10482 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10494
-/* 10486 */   MCD_OPC_CheckPredicate, 0, 227, 117, // Skip to: 40669
-/* 10490 */   MCD_OPC_Decode, 229, 9, 117, // Opcode: SADDLPv16i8_v8i16
-/* 10494 */   MCD_OPC_FilterValue, 1, 219, 117, // Skip to: 40669
-/* 10498 */   MCD_OPC_CheckPredicate, 0, 215, 117, // Skip to: 40669
-/* 10502 */   MCD_OPC_Decode, 192, 18, 126, // Opcode: XTNv16i8
+/* 10486 */   MCD_OPC_CheckPredicate, 0, 199, 117, // Skip to: 40641
+/* 10490 */   MCD_OPC_Decode, 231, 9, 117, // Opcode: SADDLPv16i8_v8i16
+/* 10494 */   MCD_OPC_FilterValue, 1, 191, 117, // Skip to: 40641
+/* 10498 */   MCD_OPC_CheckPredicate, 0, 187, 117, // Skip to: 40641
+/* 10502 */   MCD_OPC_Decode, 194, 18, 126, // Opcode: XTNv16i8
 /* 10506 */   MCD_OPC_FilterValue, 11, 73, 0, // Skip to: 10583
 /* 10510 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10513 */   MCD_OPC_FilterValue, 0, 54, 0, // Skip to: 10571
@@ -2563,437 +2563,437 @@ static const uint8_t DecoderTable32[] =
 /* 10520 */   MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 10558
 /* 10524 */   MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
 /* 10527 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 10545
-/* 10531 */   MCD_OPC_CheckPredicate, 0, 182, 117, // Skip to: 40669
-/* 10535 */   MCD_OPC_CheckField, 18, 1, 1, 176, 117, // Skip to: 40669
-/* 10541 */   MCD_OPC_Decode, 132, 11, 127, // Opcode: SMOVvi32to64
-/* 10545 */   MCD_OPC_FilterValue, 1, 168, 117, // Skip to: 40669
-/* 10549 */   MCD_OPC_CheckPredicate, 0, 164, 117, // Skip to: 40669
-/* 10553 */   MCD_OPC_Decode, 131, 11, 128, 1, // Opcode: SMOVvi16to64
-/* 10558 */   MCD_OPC_FilterValue, 1, 155, 117, // Skip to: 40669
-/* 10562 */   MCD_OPC_CheckPredicate, 0, 151, 117, // Skip to: 40669
-/* 10566 */   MCD_OPC_Decode, 134, 11, 129, 1, // Opcode: SMOVvi8to64
-/* 10571 */   MCD_OPC_FilterValue, 1, 142, 117, // Skip to: 40669
-/* 10575 */   MCD_OPC_CheckPredicate, 0, 138, 117, // Skip to: 40669
-/* 10579 */   MCD_OPC_Decode, 192, 12, 112, // Opcode: SQSUBv16i8
+/* 10531 */   MCD_OPC_CheckPredicate, 0, 154, 117, // Skip to: 40641
+/* 10535 */   MCD_OPC_CheckField, 18, 1, 1, 148, 117, // Skip to: 40641
+/* 10541 */   MCD_OPC_Decode, 134, 11, 127, // Opcode: SMOVvi32to64
+/* 10545 */   MCD_OPC_FilterValue, 1, 140, 117, // Skip to: 40641
+/* 10549 */   MCD_OPC_CheckPredicate, 0, 136, 117, // Skip to: 40641
+/* 10553 */   MCD_OPC_Decode, 133, 11, 128, 1, // Opcode: SMOVvi16to64
+/* 10558 */   MCD_OPC_FilterValue, 1, 127, 117, // Skip to: 40641
+/* 10562 */   MCD_OPC_CheckPredicate, 0, 123, 117, // Skip to: 40641
+/* 10566 */   MCD_OPC_Decode, 136, 11, 129, 1, // Opcode: SMOVvi8to64
+/* 10571 */   MCD_OPC_FilterValue, 1, 114, 117, // Skip to: 40641
+/* 10575 */   MCD_OPC_CheckPredicate, 0, 110, 117, // Skip to: 40641
+/* 10579 */   MCD_OPC_Decode, 194, 12, 112, // Opcode: SQSUBv16i8
 /* 10583 */   MCD_OPC_FilterValue, 12, 28, 0, // Skip to: 10615
 /* 10587 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10590 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10603
-/* 10594 */   MCD_OPC_CheckPredicate, 0, 119, 117, // Skip to: 40669
-/* 10598 */   MCD_OPC_Decode, 208, 15, 130, 1, // Opcode: TBXv16i8Two
-/* 10603 */   MCD_OPC_FilterValue, 1, 110, 117, // Skip to: 40669
-/* 10607 */   MCD_OPC_CheckPredicate, 0, 106, 117, // Skip to: 40669
-/* 10611 */   MCD_OPC_Decode, 167, 13, 112, // Opcode: SSUBWv16i8_v8i16
+/* 10594 */   MCD_OPC_CheckPredicate, 0, 91, 117, // Skip to: 40641
+/* 10598 */   MCD_OPC_Decode, 210, 15, 130, 1, // Opcode: TBXv16i8Two
+/* 10603 */   MCD_OPC_FilterValue, 1, 82, 117, // Skip to: 40641
+/* 10607 */   MCD_OPC_CheckPredicate, 0, 78, 117, // Skip to: 40641
+/* 10611 */   MCD_OPC_Decode, 169, 13, 112, // Opcode: SSUBWv16i8_v8i16
 /* 10615 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 10633
-/* 10619 */   MCD_OPC_CheckPredicate, 0, 94, 117, // Skip to: 40669
-/* 10623 */   MCD_OPC_CheckField, 21, 1, 1, 88, 117, // Skip to: 40669
-/* 10629 */   MCD_OPC_Decode, 190, 1, 112, // Opcode: CMGTv16i8
+/* 10619 */   MCD_OPC_CheckPredicate, 0, 66, 117, // Skip to: 40641
+/* 10623 */   MCD_OPC_CheckField, 21, 1, 1, 60, 117, // Skip to: 40641
+/* 10629 */   MCD_OPC_Decode, 192, 1, 112, // Opcode: CMGTv16i8
 /* 10633 */   MCD_OPC_FilterValue, 14, 47, 0, // Skip to: 10684
 /* 10637 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10640 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10652
-/* 10644 */   MCD_OPC_CheckPredicate, 0, 69, 117, // Skip to: 40669
-/* 10648 */   MCD_OPC_Decode, 198, 18, 112, // Opcode: ZIP1v16i8
-/* 10652 */   MCD_OPC_FilterValue, 1, 61, 117, // Skip to: 40669
+/* 10644 */   MCD_OPC_CheckPredicate, 0, 41, 117, // Skip to: 40641
+/* 10648 */   MCD_OPC_Decode, 200, 18, 112, // Opcode: ZIP1v16i8
+/* 10652 */   MCD_OPC_FilterValue, 1, 33, 117, // Skip to: 40641
 /* 10656 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 10659 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10671
-/* 10663 */   MCD_OPC_CheckPredicate, 0, 50, 117, // Skip to: 40669
-/* 10667 */   MCD_OPC_Decode, 181, 15, 126, // Opcode: SUQADDv16i8
-/* 10671 */   MCD_OPC_FilterValue, 16, 42, 117, // Skip to: 40669
-/* 10675 */   MCD_OPC_CheckPredicate, 0, 38, 117, // Skip to: 40669
-/* 10679 */   MCD_OPC_Decode, 235, 9, 131, 1, // Opcode: SADDLVv16i8v
+/* 10663 */   MCD_OPC_CheckPredicate, 0, 22, 117, // Skip to: 40641
+/* 10667 */   MCD_OPC_Decode, 183, 15, 126, // Opcode: SUQADDv16i8
+/* 10671 */   MCD_OPC_FilterValue, 16, 14, 117, // Skip to: 40641
+/* 10675 */   MCD_OPC_CheckPredicate, 0, 10, 117, // Skip to: 40641
+/* 10679 */   MCD_OPC_Decode, 237, 9, 131, 1, // Opcode: SADDLVv16i8v
 /* 10684 */   MCD_OPC_FilterValue, 15, 34, 0, // Skip to: 10722
 /* 10688 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10691 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10710
-/* 10695 */   MCD_OPC_CheckPredicate, 0, 18, 117, // Skip to: 40669
-/* 10699 */   MCD_OPC_CheckField, 16, 4, 8, 12, 117, // Skip to: 40669
-/* 10705 */   MCD_OPC_Decode, 251, 16, 132, 1, // Opcode: UMOVvi64
-/* 10710 */   MCD_OPC_FilterValue, 1, 3, 117, // Skip to: 40669
-/* 10714 */   MCD_OPC_CheckPredicate, 0, 255, 116, // Skip to: 40669
-/* 10718 */   MCD_OPC_Decode, 174, 1, 112, // Opcode: CMGEv16i8
+/* 10695 */   MCD_OPC_CheckPredicate, 0, 246, 116, // Skip to: 40641
+/* 10699 */   MCD_OPC_CheckField, 16, 4, 8, 240, 116, // Skip to: 40641
+/* 10705 */   MCD_OPC_Decode, 253, 16, 132, 1, // Opcode: UMOVvi64
+/* 10710 */   MCD_OPC_FilterValue, 1, 231, 116, // Skip to: 40641
+/* 10714 */   MCD_OPC_CheckPredicate, 0, 227, 116, // Skip to: 40641
+/* 10718 */   MCD_OPC_Decode, 176, 1, 112, // Opcode: CMGEv16i8
 /* 10722 */   MCD_OPC_FilterValue, 16, 27, 0, // Skip to: 10753
 /* 10726 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10729 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10742
-/* 10733 */   MCD_OPC_CheckPredicate, 0, 236, 116, // Skip to: 40669
-/* 10737 */   MCD_OPC_Decode, 197, 15, 133, 1, // Opcode: TBLv16i8Three
-/* 10742 */   MCD_OPC_FilterValue, 1, 227, 116, // Skip to: 40669
-/* 10746 */   MCD_OPC_CheckPredicate, 0, 223, 116, // Skip to: 40669
-/* 10750 */   MCD_OPC_Decode, 36, 120, // Opcode: ADDHNv8i16_v16i8
+/* 10733 */   MCD_OPC_CheckPredicate, 0, 208, 116, // Skip to: 40641
+/* 10737 */   MCD_OPC_Decode, 199, 15, 133, 1, // Opcode: TBLv16i8Three
+/* 10742 */   MCD_OPC_FilterValue, 1, 199, 116, // Skip to: 40641
+/* 10746 */   MCD_OPC_CheckPredicate, 0, 195, 116, // Skip to: 40641
+/* 10750 */   MCD_OPC_Decode, 38, 120, // Opcode: ADDHNv8i16_v16i8
 /* 10753 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 10771
-/* 10757 */   MCD_OPC_CheckPredicate, 0, 212, 116, // Skip to: 40669
-/* 10761 */   MCD_OPC_CheckField, 21, 1, 1, 206, 116, // Skip to: 40669
-/* 10767 */   MCD_OPC_Decode, 137, 13, 112, // Opcode: SSHLv16i8
+/* 10757 */   MCD_OPC_CheckPredicate, 0, 184, 116, // Skip to: 40641
+/* 10761 */   MCD_OPC_CheckField, 21, 1, 1, 178, 116, // Skip to: 40641
+/* 10767 */   MCD_OPC_Decode, 139, 13, 112, // Opcode: SSHLv16i8
 /* 10771 */   MCD_OPC_FilterValue, 18, 38, 0, // Skip to: 10813
 /* 10775 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 10778 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 10790
-/* 10782 */   MCD_OPC_CheckPredicate, 0, 187, 116, // Skip to: 40669
-/* 10786 */   MCD_OPC_Decode, 144, 1, 117, // Opcode: CLSv16i8
+/* 10782 */   MCD_OPC_CheckPredicate, 0, 159, 116, // Skip to: 40641
+/* 10786 */   MCD_OPC_Decode, 146, 1, 117, // Opcode: CLSv16i8
 /* 10790 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 10802
-/* 10794 */   MCD_OPC_CheckPredicate, 0, 175, 116, // Skip to: 40669
-/* 10798 */   MCD_OPC_Decode, 203, 12, 126, // Opcode: SQXTNv16i8
-/* 10802 */   MCD_OPC_FilterValue, 40, 167, 116, // Skip to: 40669
-/* 10806 */   MCD_OPC_CheckPredicate, 1, 163, 116, // Skip to: 40669
-/* 10810 */   MCD_OPC_Decode, 82, 126, // Opcode: AESErr
+/* 10794 */   MCD_OPC_CheckPredicate, 0, 147, 116, // Skip to: 40641
+/* 10798 */   MCD_OPC_Decode, 205, 12, 126, // Opcode: SQXTNv16i8
+/* 10802 */   MCD_OPC_FilterValue, 40, 139, 116, // Skip to: 40641
+/* 10806 */   MCD_OPC_CheckPredicate, 1, 135, 116, // Skip to: 40641
+/* 10810 */   MCD_OPC_Decode, 84, 126, // Opcode: AESErr
 /* 10813 */   MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 10831
-/* 10817 */   MCD_OPC_CheckPredicate, 0, 152, 116, // Skip to: 40669
-/* 10821 */   MCD_OPC_CheckField, 21, 1, 1, 146, 116, // Skip to: 40669
-/* 10827 */   MCD_OPC_Decode, 156, 12, 112, // Opcode: SQSHLv16i8
+/* 10817 */   MCD_OPC_CheckPredicate, 0, 124, 116, // Skip to: 40641
+/* 10821 */   MCD_OPC_CheckField, 21, 1, 1, 118, 116, // Skip to: 40641
+/* 10827 */   MCD_OPC_Decode, 158, 12, 112, // Opcode: SQSHLv16i8
 /* 10831 */   MCD_OPC_FilterValue, 20, 28, 0, // Skip to: 10863
 /* 10835 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10838 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10851
-/* 10842 */   MCD_OPC_CheckPredicate, 0, 127, 116, // Skip to: 40669
-/* 10846 */   MCD_OPC_Decode, 207, 15, 134, 1, // Opcode: TBXv16i8Three
-/* 10851 */   MCD_OPC_FilterValue, 1, 118, 116, // Skip to: 40669
-/* 10855 */   MCD_OPC_CheckPredicate, 0, 114, 116, // Skip to: 40669
-/* 10859 */   MCD_OPC_Decode, 199, 9, 120, // Opcode: SABALv16i8_v8i16
+/* 10842 */   MCD_OPC_CheckPredicate, 0, 99, 116, // Skip to: 40641
+/* 10846 */   MCD_OPC_Decode, 209, 15, 134, 1, // Opcode: TBXv16i8Three
+/* 10851 */   MCD_OPC_FilterValue, 1, 90, 116, // Skip to: 40641
+/* 10855 */   MCD_OPC_CheckPredicate, 0, 86, 116, // Skip to: 40641
+/* 10859 */   MCD_OPC_Decode, 201, 9, 120, // Opcode: SABALv16i8_v8i16
 /* 10863 */   MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 10881
-/* 10867 */   MCD_OPC_CheckPredicate, 0, 102, 116, // Skip to: 40669
-/* 10871 */   MCD_OPC_CheckField, 21, 1, 1, 96, 116, // Skip to: 40669
-/* 10877 */   MCD_OPC_Decode, 235, 12, 112, // Opcode: SRSHLv16i8
+/* 10867 */   MCD_OPC_CheckPredicate, 0, 74, 116, // Skip to: 40641
+/* 10871 */   MCD_OPC_CheckField, 21, 1, 1, 68, 116, // Skip to: 40641
+/* 10877 */   MCD_OPC_Decode, 237, 12, 112, // Opcode: SRSHLv16i8
 /* 10881 */   MCD_OPC_FilterValue, 22, 45, 0, // Skip to: 10930
 /* 10885 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10888 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10900
-/* 10892 */   MCD_OPC_CheckPredicate, 0, 77, 116, // Skip to: 40669
-/* 10896 */   MCD_OPC_Decode, 185, 18, 112, // Opcode: UZP2v16i8
-/* 10900 */   MCD_OPC_FilterValue, 1, 69, 116, // Skip to: 40669
+/* 10892 */   MCD_OPC_CheckPredicate, 0, 49, 116, // Skip to: 40641
+/* 10896 */   MCD_OPC_Decode, 187, 18, 112, // Opcode: UZP2v16i8
+/* 10900 */   MCD_OPC_FilterValue, 1, 41, 116, // Skip to: 40641
 /* 10904 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 10907 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10919
-/* 10911 */   MCD_OPC_CheckPredicate, 0, 58, 116, // Skip to: 40669
-/* 10915 */   MCD_OPC_Decode, 246, 1, 117, // Opcode: CNTv16i8
-/* 10919 */   MCD_OPC_FilterValue, 8, 50, 116, // Skip to: 40669
-/* 10923 */   MCD_OPC_CheckPredicate, 1, 46, 116, // Skip to: 40669
-/* 10927 */   MCD_OPC_Decode, 81, 126, // Opcode: AESDrr
+/* 10911 */   MCD_OPC_CheckPredicate, 0, 30, 116, // Skip to: 40641
+/* 10915 */   MCD_OPC_Decode, 248, 1, 117, // Opcode: CNTv16i8
+/* 10919 */   MCD_OPC_FilterValue, 8, 22, 116, // Skip to: 40641
+/* 10923 */   MCD_OPC_CheckPredicate, 1, 18, 116, // Skip to: 40641
+/* 10927 */   MCD_OPC_Decode, 83, 126, // Opcode: AESDrr
 /* 10930 */   MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 10948
-/* 10934 */   MCD_OPC_CheckPredicate, 0, 35, 116, // Skip to: 40669
-/* 10938 */   MCD_OPC_CheckField, 21, 1, 1, 29, 116, // Skip to: 40669
-/* 10944 */   MCD_OPC_Decode, 240, 11, 112, // Opcode: SQRSHLv16i8
+/* 10934 */   MCD_OPC_CheckPredicate, 0, 7, 116, // Skip to: 40641
+/* 10938 */   MCD_OPC_CheckField, 21, 1, 1, 1, 116, // Skip to: 40641
+/* 10944 */   MCD_OPC_Decode, 242, 11, 112, // Opcode: SQRSHLv16i8
 /* 10948 */   MCD_OPC_FilterValue, 24, 28, 0, // Skip to: 10980
 /* 10952 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 10955 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10968
-/* 10959 */   MCD_OPC_CheckPredicate, 0, 10, 116, // Skip to: 40669
-/* 10963 */   MCD_OPC_Decode, 195, 15, 135, 1, // Opcode: TBLv16i8Four
-/* 10968 */   MCD_OPC_FilterValue, 1, 1, 116, // Skip to: 40669
-/* 10972 */   MCD_OPC_CheckPredicate, 0, 253, 115, // Skip to: 40669
-/* 10976 */   MCD_OPC_Decode, 153, 15, 120, // Opcode: SUBHNv8i16_v16i8
+/* 10959 */   MCD_OPC_CheckPredicate, 0, 238, 115, // Skip to: 40641
+/* 10963 */   MCD_OPC_Decode, 197, 15, 135, 1, // Opcode: TBLv16i8Four
+/* 10968 */   MCD_OPC_FilterValue, 1, 229, 115, // Skip to: 40641
+/* 10972 */   MCD_OPC_CheckPredicate, 0, 225, 115, // Skip to: 40641
+/* 10976 */   MCD_OPC_Decode, 155, 15, 120, // Opcode: SUBHNv8i16_v16i8
 /* 10980 */   MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 10998
-/* 10984 */   MCD_OPC_CheckPredicate, 0, 241, 115, // Skip to: 40669
-/* 10988 */   MCD_OPC_CheckField, 21, 1, 1, 235, 115, // Skip to: 40669
-/* 10994 */   MCD_OPC_Decode, 214, 10, 112, // Opcode: SMAXv16i8
+/* 10984 */   MCD_OPC_CheckPredicate, 0, 213, 115, // Skip to: 40641
+/* 10988 */   MCD_OPC_CheckField, 21, 1, 1, 207, 115, // Skip to: 40641
+/* 10994 */   MCD_OPC_Decode, 216, 10, 112, // Opcode: SMAXv16i8
 /* 10998 */   MCD_OPC_FilterValue, 26, 57, 0, // Skip to: 11059
 /* 11002 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 11005 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11017
-/* 11009 */   MCD_OPC_CheckPredicate, 0, 216, 115, // Skip to: 40669
-/* 11013 */   MCD_OPC_Decode, 226, 15, 112, // Opcode: TRN2v16i8
-/* 11017 */   MCD_OPC_FilterValue, 1, 208, 115, // Skip to: 40669
+/* 11009 */   MCD_OPC_CheckPredicate, 0, 188, 115, // Skip to: 40641
+/* 11013 */   MCD_OPC_Decode, 228, 15, 112, // Opcode: TRN2v16i8
+/* 11017 */   MCD_OPC_FilterValue, 1, 180, 115, // Skip to: 40641
 /* 11021 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 11024 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11036
-/* 11028 */   MCD_OPC_CheckPredicate, 0, 197, 115, // Skip to: 40669
-/* 11032 */   MCD_OPC_Decode, 223, 9, 126, // Opcode: SADALPv16i8_v8i16
+/* 11028 */   MCD_OPC_CheckPredicate, 0, 169, 115, // Skip to: 40641
+/* 11032 */   MCD_OPC_Decode, 225, 9, 126, // Opcode: SADALPv16i8_v8i16
 /* 11036 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 11048
-/* 11040 */   MCD_OPC_CheckPredicate, 0, 185, 115, // Skip to: 40669
-/* 11044 */   MCD_OPC_Decode, 199, 3, 126, // Opcode: FCVTNv8i16
-/* 11048 */   MCD_OPC_FilterValue, 8, 177, 115, // Skip to: 40669
-/* 11052 */   MCD_OPC_CheckPredicate, 1, 173, 115, // Skip to: 40669
-/* 11056 */   MCD_OPC_Decode, 84, 117, // Opcode: AESMCrr
+/* 11040 */   MCD_OPC_CheckPredicate, 0, 157, 115, // Skip to: 40641
+/* 11044 */   MCD_OPC_Decode, 201, 3, 126, // Opcode: FCVTNv8i16
+/* 11048 */   MCD_OPC_FilterValue, 8, 149, 115, // Skip to: 40641
+/* 11052 */   MCD_OPC_CheckPredicate, 1, 145, 115, // Skip to: 40641
+/* 11056 */   MCD_OPC_Decode, 86, 117, // Opcode: AESMCrr
 /* 11059 */   MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 11077
-/* 11063 */   MCD_OPC_CheckPredicate, 0, 162, 115, // Skip to: 40669
-/* 11067 */   MCD_OPC_CheckField, 21, 1, 1, 156, 115, // Skip to: 40669
-/* 11073 */   MCD_OPC_Decode, 232, 10, 112, // Opcode: SMINv16i8
+/* 11063 */   MCD_OPC_CheckPredicate, 0, 134, 115, // Skip to: 40641
+/* 11067 */   MCD_OPC_CheckField, 21, 1, 1, 128, 115, // Skip to: 40641
+/* 11073 */   MCD_OPC_Decode, 234, 10, 112, // Opcode: SMINv16i8
 /* 11077 */   MCD_OPC_FilterValue, 28, 28, 0, // Skip to: 11109
 /* 11081 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 11084 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11097
-/* 11088 */   MCD_OPC_CheckPredicate, 0, 137, 115, // Skip to: 40669
-/* 11092 */   MCD_OPC_Decode, 205, 15, 136, 1, // Opcode: TBXv16i8Four
-/* 11097 */   MCD_OPC_FilterValue, 1, 128, 115, // Skip to: 40669
-/* 11101 */   MCD_OPC_CheckPredicate, 0, 124, 115, // Skip to: 40669
-/* 11105 */   MCD_OPC_Decode, 211, 9, 112, // Opcode: SABDLv16i8_v8i16
+/* 11088 */   MCD_OPC_CheckPredicate, 0, 109, 115, // Skip to: 40641
+/* 11092 */   MCD_OPC_Decode, 207, 15, 136, 1, // Opcode: TBXv16i8Four
+/* 11097 */   MCD_OPC_FilterValue, 1, 100, 115, // Skip to: 40641
+/* 11101 */   MCD_OPC_CheckPredicate, 0, 96, 115, // Skip to: 40641
+/* 11105 */   MCD_OPC_Decode, 213, 9, 112, // Opcode: SABDLv16i8_v8i16
 /* 11109 */   MCD_OPC_FilterValue, 29, 14, 0, // Skip to: 11127
-/* 11113 */   MCD_OPC_CheckPredicate, 0, 112, 115, // Skip to: 40669
-/* 11117 */   MCD_OPC_CheckField, 21, 1, 1, 106, 115, // Skip to: 40669
-/* 11123 */   MCD_OPC_Decode, 217, 9, 112, // Opcode: SABDv16i8
+/* 11113 */   MCD_OPC_CheckPredicate, 0, 84, 115, // Skip to: 40641
+/* 11117 */   MCD_OPC_CheckField, 21, 1, 1, 78, 115, // Skip to: 40641
+/* 11123 */   MCD_OPC_Decode, 219, 9, 112, // Opcode: SABDv16i8
 /* 11127 */   MCD_OPC_FilterValue, 30, 57, 0, // Skip to: 11188
 /* 11131 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 11134 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11146
-/* 11138 */   MCD_OPC_CheckPredicate, 0, 87, 115, // Skip to: 40669
-/* 11142 */   MCD_OPC_Decode, 205, 18, 112, // Opcode: ZIP2v16i8
-/* 11146 */   MCD_OPC_FilterValue, 1, 79, 115, // Skip to: 40669
+/* 11138 */   MCD_OPC_CheckPredicate, 0, 59, 115, // Skip to: 40641
+/* 11142 */   MCD_OPC_Decode, 207, 18, 112, // Opcode: ZIP2v16i8
+/* 11146 */   MCD_OPC_FilterValue, 1, 51, 115, // Skip to: 40641
 /* 11150 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 11153 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11165
-/* 11157 */   MCD_OPC_CheckPredicate, 0, 68, 115, // Skip to: 40669
-/* 11161 */   MCD_OPC_Decode, 147, 11, 117, // Opcode: SQABSv16i8
+/* 11157 */   MCD_OPC_CheckPredicate, 0, 40, 115, // Skip to: 40641
+/* 11161 */   MCD_OPC_Decode, 149, 11, 117, // Opcode: SQABSv16i8
 /* 11165 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 11177
-/* 11169 */   MCD_OPC_CheckPredicate, 0, 56, 115, // Skip to: 40669
-/* 11173 */   MCD_OPC_Decode, 159, 3, 117, // Opcode: FCVTLv8i16
-/* 11177 */   MCD_OPC_FilterValue, 8, 48, 115, // Skip to: 40669
-/* 11181 */   MCD_OPC_CheckPredicate, 1, 44, 115, // Skip to: 40669
-/* 11185 */   MCD_OPC_Decode, 83, 117, // Opcode: AESIMCrr
+/* 11169 */   MCD_OPC_CheckPredicate, 0, 28, 115, // Skip to: 40641
+/* 11173 */   MCD_OPC_Decode, 161, 3, 117, // Opcode: FCVTLv8i16
+/* 11177 */   MCD_OPC_FilterValue, 8, 20, 115, // Skip to: 40641
+/* 11181 */   MCD_OPC_CheckPredicate, 1, 16, 115, // Skip to: 40641
+/* 11185 */   MCD_OPC_Decode, 85, 117, // Opcode: AESIMCrr
 /* 11188 */   MCD_OPC_FilterValue, 31, 14, 0, // Skip to: 11206
-/* 11192 */   MCD_OPC_CheckPredicate, 0, 33, 115, // Skip to: 40669
-/* 11196 */   MCD_OPC_CheckField, 21, 1, 1, 27, 115, // Skip to: 40669
-/* 11202 */   MCD_OPC_Decode, 205, 9, 120, // Opcode: SABAv16i8
+/* 11192 */   MCD_OPC_CheckPredicate, 0, 5, 115, // Skip to: 40641
+/* 11196 */   MCD_OPC_CheckField, 21, 1, 1, 255, 114, // Skip to: 40641
+/* 11202 */   MCD_OPC_Decode, 207, 9, 120, // Opcode: SABAv16i8
 /* 11206 */   MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 11224
-/* 11210 */   MCD_OPC_CheckPredicate, 0, 15, 115, // Skip to: 40669
-/* 11214 */   MCD_OPC_CheckField, 21, 1, 1, 9, 115, // Skip to: 40669
-/* 11220 */   MCD_OPC_Decode, 238, 10, 120, // Opcode: SMLALv16i8_v8i16
+/* 11210 */   MCD_OPC_CheckPredicate, 0, 243, 114, // Skip to: 40641
+/* 11214 */   MCD_OPC_CheckField, 21, 1, 1, 237, 114, // Skip to: 40641
+/* 11220 */   MCD_OPC_Decode, 240, 10, 120, // Opcode: SMLALv16i8_v8i16
 /* 11224 */   MCD_OPC_FilterValue, 33, 13, 0, // Skip to: 11241
-/* 11228 */   MCD_OPC_CheckPredicate, 0, 253, 114, // Skip to: 40669
-/* 11232 */   MCD_OPC_CheckField, 21, 1, 1, 247, 114, // Skip to: 40669
-/* 11238 */   MCD_OPC_Decode, 69, 112, // Opcode: ADDv16i8
+/* 11228 */   MCD_OPC_CheckPredicate, 0, 225, 114, // Skip to: 40641
+/* 11232 */   MCD_OPC_CheckField, 21, 1, 1, 219, 114, // Skip to: 40641
+/* 11238 */   MCD_OPC_Decode, 71, 112, // Opcode: ADDv16i8
 /* 11241 */   MCD_OPC_FilterValue, 34, 27, 0, // Skip to: 11272
 /* 11245 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 11248 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 11260
-/* 11252 */   MCD_OPC_CheckPredicate, 0, 229, 114, // Skip to: 40669
-/* 11256 */   MCD_OPC_Decode, 191, 1, 117, // Opcode: CMGTv16i8rz
-/* 11260 */   MCD_OPC_FilterValue, 33, 221, 114, // Skip to: 40669
-/* 11264 */   MCD_OPC_CheckPredicate, 0, 217, 114, // Skip to: 40669
-/* 11268 */   MCD_OPC_Decode, 169, 5, 117, // Opcode: FRINTNv4f32
+/* 11252 */   MCD_OPC_CheckPredicate, 0, 201, 114, // Skip to: 40641
+/* 11256 */   MCD_OPC_Decode, 193, 1, 117, // Opcode: CMGTv16i8rz
+/* 11260 */   MCD_OPC_FilterValue, 33, 193, 114, // Skip to: 40641
+/* 11264 */   MCD_OPC_CheckPredicate, 0, 189, 114, // Skip to: 40641
+/* 11268 */   MCD_OPC_Decode, 171, 5, 117, // Opcode: FRINTNv4f32
 /* 11272 */   MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 11290
-/* 11276 */   MCD_OPC_CheckPredicate, 0, 205, 114, // Skip to: 40669
-/* 11280 */   MCD_OPC_CheckField, 21, 1, 1, 199, 114, // Skip to: 40669
-/* 11286 */   MCD_OPC_Decode, 238, 1, 112, // Opcode: CMTSTv16i8
+/* 11276 */   MCD_OPC_CheckPredicate, 0, 177, 114, // Skip to: 40641
+/* 11280 */   MCD_OPC_CheckField, 21, 1, 1, 171, 114, // Skip to: 40641
+/* 11286 */   MCD_OPC_Decode, 240, 1, 112, // Opcode: CMTSTv16i8
 /* 11290 */   MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 11308
-/* 11294 */   MCD_OPC_CheckPredicate, 0, 187, 114, // Skip to: 40669
-/* 11298 */   MCD_OPC_CheckField, 21, 1, 1, 181, 114, // Skip to: 40669
-/* 11304 */   MCD_OPC_Decode, 180, 8, 120, // Opcode: MLAv16i8
+/* 11294 */   MCD_OPC_CheckPredicate, 0, 159, 114, // Skip to: 40641
+/* 11298 */   MCD_OPC_CheckField, 21, 1, 1, 153, 114, // Skip to: 40641
+/* 11304 */   MCD_OPC_Decode, 182, 8, 120, // Opcode: MLAv16i8
 /* 11308 */   MCD_OPC_FilterValue, 38, 27, 0, // Skip to: 11339
 /* 11312 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 11315 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 11327
-/* 11319 */   MCD_OPC_CheckPredicate, 0, 162, 114, // Skip to: 40669
-/* 11323 */   MCD_OPC_Decode, 159, 1, 117, // Opcode: CMEQv16i8rz
-/* 11327 */   MCD_OPC_FilterValue, 33, 154, 114, // Skip to: 40669
-/* 11331 */   MCD_OPC_CheckPredicate, 0, 150, 114, // Skip to: 40669
-/* 11335 */   MCD_OPC_Decode, 164, 5, 117, // Opcode: FRINTMv4f32
+/* 11319 */   MCD_OPC_CheckPredicate, 0, 134, 114, // Skip to: 40641
+/* 11323 */   MCD_OPC_Decode, 161, 1, 117, // Opcode: CMEQv16i8rz
+/* 11327 */   MCD_OPC_FilterValue, 33, 126, 114, // Skip to: 40641
+/* 11331 */   MCD_OPC_CheckPredicate, 0, 122, 114, // Skip to: 40641
+/* 11335 */   MCD_OPC_Decode, 166, 5, 117, // Opcode: FRINTMv4f32
 /* 11339 */   MCD_OPC_FilterValue, 39, 14, 0, // Skip to: 11357
-/* 11343 */   MCD_OPC_CheckPredicate, 0, 138, 114, // Skip to: 40669
-/* 11347 */   MCD_OPC_CheckField, 21, 1, 1, 132, 114, // Skip to: 40669
-/* 11353 */   MCD_OPC_Decode, 229, 8, 112, // Opcode: MULv16i8
+/* 11343 */   MCD_OPC_CheckPredicate, 0, 110, 114, // Skip to: 40641
+/* 11347 */   MCD_OPC_CheckField, 21, 1, 1, 104, 114, // Skip to: 40641
+/* 11353 */   MCD_OPC_Decode, 231, 8, 112, // Opcode: MULv16i8
 /* 11357 */   MCD_OPC_FilterValue, 40, 14, 0, // Skip to: 11375
-/* 11361 */   MCD_OPC_CheckPredicate, 0, 120, 114, // Skip to: 40669
-/* 11365 */   MCD_OPC_CheckField, 21, 1, 1, 114, 114, // Skip to: 40669
-/* 11371 */   MCD_OPC_Decode, 248, 10, 120, // Opcode: SMLSLv16i8_v8i16
+/* 11361 */   MCD_OPC_CheckPredicate, 0, 92, 114, // Skip to: 40641
+/* 11365 */   MCD_OPC_CheckField, 21, 1, 1, 86, 114, // Skip to: 40641
+/* 11371 */   MCD_OPC_Decode, 250, 10, 120, // Opcode: SMLSLv16i8_v8i16
 /* 11375 */   MCD_OPC_FilterValue, 41, 14, 0, // Skip to: 11393
-/* 11379 */   MCD_OPC_CheckPredicate, 0, 102, 114, // Skip to: 40669
-/* 11383 */   MCD_OPC_CheckField, 21, 1, 1, 96, 114, // Skip to: 40669
-/* 11389 */   MCD_OPC_Decode, 203, 10, 112, // Opcode: SMAXPv16i8
+/* 11379 */   MCD_OPC_CheckPredicate, 0, 74, 114, // Skip to: 40641
+/* 11383 */   MCD_OPC_CheckField, 21, 1, 1, 68, 114, // Skip to: 40641
+/* 11389 */   MCD_OPC_Decode, 205, 10, 112, // Opcode: SMAXPv16i8
 /* 11393 */   MCD_OPC_FilterValue, 42, 53, 0, // Skip to: 11450
 /* 11397 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 11400 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 11412
-/* 11404 */   MCD_OPC_CheckPredicate, 0, 77, 114, // Skip to: 40669
-/* 11408 */   MCD_OPC_Decode, 230, 1, 117, // Opcode: CMLTv16i8rz
+/* 11404 */   MCD_OPC_CheckPredicate, 0, 49, 114, // Skip to: 40641
+/* 11408 */   MCD_OPC_Decode, 232, 1, 117, // Opcode: CMLTv16i8rz
 /* 11412 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 11424
-/* 11416 */   MCD_OPC_CheckPredicate, 0, 65, 114, // Skip to: 40669
-/* 11420 */   MCD_OPC_Decode, 186, 3, 117, // Opcode: FCVTNSv4f32
+/* 11416 */   MCD_OPC_CheckPredicate, 0, 37, 114, // Skip to: 40641
+/* 11420 */   MCD_OPC_Decode, 188, 3, 117, // Opcode: FCVTNSv4f32
 /* 11424 */   MCD_OPC_FilterValue, 48, 9, 0, // Skip to: 11437
-/* 11428 */   MCD_OPC_CheckPredicate, 0, 53, 114, // Skip to: 40669
-/* 11432 */   MCD_OPC_Decode, 209, 10, 137, 1, // Opcode: SMAXVv16i8v
-/* 11437 */   MCD_OPC_FilterValue, 49, 44, 114, // Skip to: 40669
-/* 11441 */   MCD_OPC_CheckPredicate, 0, 40, 114, // Skip to: 40669
-/* 11445 */   MCD_OPC_Decode, 227, 10, 137, 1, // Opcode: SMINVv16i8v
+/* 11428 */   MCD_OPC_CheckPredicate, 0, 25, 114, // Skip to: 40641
+/* 11432 */   MCD_OPC_Decode, 211, 10, 137, 1, // Opcode: SMAXVv16i8v
+/* 11437 */   MCD_OPC_FilterValue, 49, 16, 114, // Skip to: 40641
+/* 11441 */   MCD_OPC_CheckPredicate, 0, 12, 114, // Skip to: 40641
+/* 11445 */   MCD_OPC_Decode, 229, 10, 137, 1, // Opcode: SMINVv16i8v
 /* 11450 */   MCD_OPC_FilterValue, 43, 14, 0, // Skip to: 11468
-/* 11454 */   MCD_OPC_CheckPredicate, 0, 27, 114, // Skip to: 40669
-/* 11458 */   MCD_OPC_CheckField, 21, 1, 1, 21, 114, // Skip to: 40669
-/* 11464 */   MCD_OPC_Decode, 221, 10, 112, // Opcode: SMINPv16i8
+/* 11454 */   MCD_OPC_CheckPredicate, 0, 255, 113, // Skip to: 40641
+/* 11458 */   MCD_OPC_CheckField, 21, 1, 1, 249, 113, // Skip to: 40641
+/* 11464 */   MCD_OPC_Decode, 223, 10, 112, // Opcode: SMINPv16i8
 /* 11468 */   MCD_OPC_FilterValue, 46, 38, 0, // Skip to: 11510
 /* 11472 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 11475 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 11486
-/* 11479 */   MCD_OPC_CheckPredicate, 0, 2, 114, // Skip to: 40669
-/* 11483 */   MCD_OPC_Decode, 20, 117, // Opcode: ABSv16i8
+/* 11479 */   MCD_OPC_CheckPredicate, 0, 230, 113, // Skip to: 40641
+/* 11483 */   MCD_OPC_Decode, 22, 117, // Opcode: ABSv16i8
 /* 11486 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 11498
-/* 11490 */   MCD_OPC_CheckPredicate, 0, 247, 113, // Skip to: 40669
-/* 11494 */   MCD_OPC_Decode, 168, 3, 117, // Opcode: FCVTMSv4f32
-/* 11498 */   MCD_OPC_FilterValue, 49, 239, 113, // Skip to: 40669
-/* 11502 */   MCD_OPC_CheckPredicate, 0, 235, 113, // Skip to: 40669
-/* 11506 */   MCD_OPC_Decode, 55, 137, 1, // Opcode: ADDVv16i8v
+/* 11490 */   MCD_OPC_CheckPredicate, 0, 219, 113, // Skip to: 40641
+/* 11494 */   MCD_OPC_Decode, 170, 3, 117, // Opcode: FCVTMSv4f32
+/* 11498 */   MCD_OPC_FilterValue, 49, 211, 113, // Skip to: 40641
+/* 11502 */   MCD_OPC_CheckPredicate, 0, 207, 113, // Skip to: 40641
+/* 11506 */   MCD_OPC_Decode, 57, 137, 1, // Opcode: ADDVv16i8v
 /* 11510 */   MCD_OPC_FilterValue, 47, 13, 0, // Skip to: 11527
-/* 11514 */   MCD_OPC_CheckPredicate, 0, 223, 113, // Skip to: 40669
-/* 11518 */   MCD_OPC_CheckField, 21, 1, 1, 217, 113, // Skip to: 40669
-/* 11524 */   MCD_OPC_Decode, 38, 112, // Opcode: ADDPv16i8
+/* 11514 */   MCD_OPC_CheckPredicate, 0, 195, 113, // Skip to: 40641
+/* 11518 */   MCD_OPC_CheckField, 21, 1, 1, 189, 113, // Skip to: 40641
+/* 11524 */   MCD_OPC_Decode, 40, 112, // Opcode: ADDPv16i8
 /* 11527 */   MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 11545
-/* 11531 */   MCD_OPC_CheckPredicate, 0, 206, 113, // Skip to: 40669
-/* 11535 */   MCD_OPC_CheckField, 21, 1, 1, 200, 113, // Skip to: 40669
-/* 11541 */   MCD_OPC_Decode, 137, 11, 112, // Opcode: SMULLv16i8_v8i16
+/* 11531 */   MCD_OPC_CheckPredicate, 0, 178, 113, // Skip to: 40641
+/* 11535 */   MCD_OPC_CheckField, 21, 1, 1, 172, 113, // Skip to: 40641
+/* 11541 */   MCD_OPC_Decode, 139, 11, 112, // Opcode: SMULLv16i8_v8i16
 /* 11545 */   MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 11563
-/* 11549 */   MCD_OPC_CheckPredicate, 0, 188, 113, // Skip to: 40669
-/* 11553 */   MCD_OPC_CheckField, 21, 1, 1, 182, 113, // Skip to: 40669
-/* 11559 */   MCD_OPC_Decode, 171, 4, 112, // Opcode: FMAXNMv4f32
+/* 11549 */   MCD_OPC_CheckPredicate, 0, 160, 113, // Skip to: 40641
+/* 11553 */   MCD_OPC_CheckField, 21, 1, 1, 154, 113, // Skip to: 40641
+/* 11559 */   MCD_OPC_Decode, 173, 4, 112, // Opcode: FMAXNMv4f32
 /* 11563 */   MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 11581
-/* 11567 */   MCD_OPC_CheckPredicate, 0, 170, 113, // Skip to: 40669
-/* 11571 */   MCD_OPC_CheckField, 16, 6, 33, 164, 113, // Skip to: 40669
-/* 11577 */   MCD_OPC_Decode, 142, 3, 117, // Opcode: FCVTASv4f32
+/* 11567 */   MCD_OPC_CheckPredicate, 0, 142, 113, // Skip to: 40641
+/* 11571 */   MCD_OPC_CheckField, 16, 6, 33, 136, 113, // Skip to: 40641
+/* 11577 */   MCD_OPC_Decode, 144, 3, 117, // Opcode: FCVTASv4f32
 /* 11581 */   MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 11599
-/* 11585 */   MCD_OPC_CheckPredicate, 0, 152, 113, // Skip to: 40669
-/* 11589 */   MCD_OPC_CheckField, 21, 1, 1, 146, 113, // Skip to: 40669
-/* 11595 */   MCD_OPC_Decode, 210, 4, 120, // Opcode: FMLAv4f32
+/* 11585 */   MCD_OPC_CheckPredicate, 0, 124, 113, // Skip to: 40641
+/* 11589 */   MCD_OPC_CheckField, 21, 1, 1, 118, 113, // Skip to: 40641
+/* 11595 */   MCD_OPC_Decode, 212, 4, 120, // Opcode: FMLAv4f32
 /* 11599 */   MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 11617
-/* 11603 */   MCD_OPC_CheckPredicate, 0, 134, 113, // Skip to: 40669
-/* 11607 */   MCD_OPC_CheckField, 21, 1, 1, 128, 113, // Skip to: 40669
-/* 11613 */   MCD_OPC_Decode, 207, 2, 112, // Opcode: FADDv4f32
+/* 11603 */   MCD_OPC_CheckPredicate, 0, 106, 113, // Skip to: 40641
+/* 11607 */   MCD_OPC_CheckField, 21, 1, 1, 100, 113, // Skip to: 40641
+/* 11613 */   MCD_OPC_Decode, 209, 2, 112, // Opcode: FADDv4f32
 /* 11617 */   MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 11635
-/* 11621 */   MCD_OPC_CheckPredicate, 0, 116, 113, // Skip to: 40669
-/* 11625 */   MCD_OPC_CheckField, 16, 6, 33, 110, 113, // Skip to: 40669
-/* 11631 */   MCD_OPC_Decode, 146, 10, 117, // Opcode: SCVTFv4f32
+/* 11621 */   MCD_OPC_CheckPredicate, 0, 88, 113, // Skip to: 40641
+/* 11625 */   MCD_OPC_CheckField, 16, 6, 33, 82, 113, // Skip to: 40641
+/* 11631 */   MCD_OPC_Decode, 148, 10, 117, // Opcode: SCVTFv4f32
 /* 11635 */   MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 11653
-/* 11639 */   MCD_OPC_CheckPredicate, 0, 98, 113, // Skip to: 40669
-/* 11643 */   MCD_OPC_CheckField, 21, 1, 1, 92, 113, // Skip to: 40669
-/* 11649 */   MCD_OPC_Decode, 245, 4, 112, // Opcode: FMULXv4f32
+/* 11639 */   MCD_OPC_CheckPredicate, 0, 70, 113, // Skip to: 40641
+/* 11643 */   MCD_OPC_CheckField, 21, 1, 1, 64, 113, // Skip to: 40641
+/* 11649 */   MCD_OPC_Decode, 247, 4, 112, // Opcode: FMULXv4f32
 /* 11653 */   MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 11671
-/* 11657 */   MCD_OPC_CheckPredicate, 0, 80, 113, // Skip to: 40669
-/* 11661 */   MCD_OPC_CheckField, 21, 1, 1, 74, 113, // Skip to: 40669
-/* 11667 */   MCD_OPC_Decode, 145, 9, 112, // Opcode: PMULLv16i8
+/* 11657 */   MCD_OPC_CheckPredicate, 0, 52, 113, // Skip to: 40641
+/* 11661 */   MCD_OPC_CheckField, 21, 1, 1, 46, 113, // Skip to: 40641
+/* 11667 */   MCD_OPC_Decode, 147, 9, 112, // Opcode: PMULLv16i8
 /* 11671 */   MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 11689
-/* 11675 */   MCD_OPC_CheckPredicate, 0, 62, 113, // Skip to: 40669
-/* 11679 */   MCD_OPC_CheckField, 21, 1, 1, 56, 113, // Skip to: 40669
-/* 11685 */   MCD_OPC_Decode, 220, 2, 112, // Opcode: FCMEQv4f32
+/* 11675 */   MCD_OPC_CheckPredicate, 0, 34, 113, // Skip to: 40641
+/* 11679 */   MCD_OPC_CheckField, 21, 1, 1, 28, 113, // Skip to: 40641
+/* 11685 */   MCD_OPC_Decode, 222, 2, 112, // Opcode: FCMEQv4f32
 /* 11689 */   MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 11707
-/* 11693 */   MCD_OPC_CheckPredicate, 0, 44, 113, // Skip to: 40669
-/* 11697 */   MCD_OPC_CheckField, 21, 1, 1, 38, 113, // Skip to: 40669
-/* 11703 */   MCD_OPC_Decode, 181, 4, 112, // Opcode: FMAXv4f32
-/* 11707 */   MCD_OPC_FilterValue, 63, 30, 113, // Skip to: 40669
-/* 11711 */   MCD_OPC_CheckPredicate, 0, 26, 113, // Skip to: 40669
-/* 11715 */   MCD_OPC_CheckField, 21, 1, 1, 20, 113, // Skip to: 40669
-/* 11721 */   MCD_OPC_Decode, 147, 5, 112, // Opcode: FRECPSv4f32
-/* 11725 */   MCD_OPC_FilterValue, 3, 12, 113, // Skip to: 40669
+/* 11693 */   MCD_OPC_CheckPredicate, 0, 16, 113, // Skip to: 40641
+/* 11697 */   MCD_OPC_CheckField, 21, 1, 1, 10, 113, // Skip to: 40641
+/* 11703 */   MCD_OPC_Decode, 183, 4, 112, // Opcode: FMAXv4f32
+/* 11707 */   MCD_OPC_FilterValue, 63, 2, 113, // Skip to: 40641
+/* 11711 */   MCD_OPC_CheckPredicate, 0, 254, 112, // Skip to: 40641
+/* 11715 */   MCD_OPC_CheckField, 21, 1, 1, 248, 112, // Skip to: 40641
+/* 11721 */   MCD_OPC_Decode, 149, 5, 112, // Opcode: FRECPSv4f32
+/* 11725 */   MCD_OPC_FilterValue, 3, 240, 112, // Skip to: 40641
 /* 11729 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 11732 */   MCD_OPC_FilterValue, 0, 60, 2, // Skip to: 12308
 /* 11736 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 11739 */   MCD_OPC_FilterValue, 0, 41, 1, // Skip to: 12040
 /* 11743 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 11746 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11759
-/* 11750 */   MCD_OPC_CheckPredicate, 0, 243, 112, // Skip to: 40669
-/* 11754 */   MCD_OPC_Decode, 175, 2, 138, 1, // Opcode: EXTv16i8
-/* 11759 */   MCD_OPC_FilterValue, 1, 234, 112, // Skip to: 40669
+/* 11750 */   MCD_OPC_CheckPredicate, 0, 215, 112, // Skip to: 40641
+/* 11754 */   MCD_OPC_Decode, 177, 2, 138, 1, // Opcode: EXTv16i8
+/* 11759 */   MCD_OPC_FilterValue, 1, 206, 112, // Skip to: 40641
 /* 11763 */   MCD_OPC_ExtractField, 11, 4,  // Inst{14-11} ...
 /* 11766 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11778
-/* 11770 */   MCD_OPC_CheckPredicate, 0, 223, 112, // Skip to: 40669
-/* 11774 */   MCD_OPC_Decode, 146, 16, 112, // Opcode: UADDLv16i8_v8i16
+/* 11770 */   MCD_OPC_CheckPredicate, 0, 195, 112, // Skip to: 40641
+/* 11774 */   MCD_OPC_Decode, 148, 16, 112, // Opcode: UADDLv16i8_v8i16
 /* 11778 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 11796
-/* 11782 */   MCD_OPC_CheckPredicate, 0, 211, 112, // Skip to: 40669
-/* 11786 */   MCD_OPC_CheckField, 16, 5, 0, 205, 112, // Skip to: 40669
-/* 11792 */   MCD_OPC_Decode, 173, 9, 117, // Opcode: REV32v16i8
+/* 11782 */   MCD_OPC_CheckPredicate, 0, 183, 112, // Skip to: 40641
+/* 11786 */   MCD_OPC_CheckField, 16, 5, 0, 177, 112, // Skip to: 40641
+/* 11792 */   MCD_OPC_Decode, 175, 9, 117, // Opcode: REV32v16i8
 /* 11796 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 11808
-/* 11800 */   MCD_OPC_CheckPredicate, 0, 193, 112, // Skip to: 40669
-/* 11804 */   MCD_OPC_Decode, 152, 16, 112, // Opcode: UADDWv16i8_v8i16
+/* 11800 */   MCD_OPC_CheckPredicate, 0, 165, 112, // Skip to: 40641
+/* 11804 */   MCD_OPC_Decode, 154, 16, 112, // Opcode: UADDWv16i8_v8i16
 /* 11808 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 11820
-/* 11812 */   MCD_OPC_CheckPredicate, 0, 181, 112, // Skip to: 40669
-/* 11816 */   MCD_OPC_Decode, 166, 18, 112, // Opcode: USUBLv16i8_v8i16
+/* 11812 */   MCD_OPC_CheckPredicate, 0, 153, 112, // Skip to: 40641
+/* 11816 */   MCD_OPC_Decode, 168, 18, 112, // Opcode: USUBLv16i8_v8i16
 /* 11820 */   MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 11851
 /* 11824 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 11827 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11839
-/* 11831 */   MCD_OPC_CheckPredicate, 0, 162, 112, // Skip to: 40669
-/* 11835 */   MCD_OPC_Decode, 135, 16, 117, // Opcode: UADDLPv16i8_v8i16
-/* 11839 */   MCD_OPC_FilterValue, 1, 154, 112, // Skip to: 40669
-/* 11843 */   MCD_OPC_CheckPredicate, 0, 150, 112, // Skip to: 40669
-/* 11847 */   MCD_OPC_Decode, 212, 12, 126, // Opcode: SQXTUNv16i8
+/* 11831 */   MCD_OPC_CheckPredicate, 0, 134, 112, // Skip to: 40641
+/* 11835 */   MCD_OPC_Decode, 137, 16, 117, // Opcode: UADDLPv16i8_v8i16
+/* 11839 */   MCD_OPC_FilterValue, 1, 126, 112, // Skip to: 40641
+/* 11843 */   MCD_OPC_CheckPredicate, 0, 122, 112, // Skip to: 40641
+/* 11847 */   MCD_OPC_Decode, 214, 12, 126, // Opcode: SQXTUNv16i8
 /* 11851 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 11863
-/* 11855 */   MCD_OPC_CheckPredicate, 0, 138, 112, // Skip to: 40669
-/* 11859 */   MCD_OPC_Decode, 172, 18, 112, // Opcode: USUBWv16i8_v8i16
+/* 11855 */   MCD_OPC_CheckPredicate, 0, 110, 112, // Skip to: 40641
+/* 11859 */   MCD_OPC_Decode, 174, 18, 112, // Opcode: USUBWv16i8_v8i16
 /* 11863 */   MCD_OPC_FilterValue, 7, 40, 0, // Skip to: 11907
 /* 11867 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 11870 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11882
-/* 11874 */   MCD_OPC_CheckPredicate, 0, 119, 112, // Skip to: 40669
-/* 11878 */   MCD_OPC_Decode, 147, 18, 126, // Opcode: USQADDv16i8
+/* 11874 */   MCD_OPC_CheckPredicate, 0, 91, 112, // Skip to: 40641
+/* 11878 */   MCD_OPC_Decode, 149, 18, 126, // Opcode: USQADDv16i8
 /* 11882 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 11894
-/* 11886 */   MCD_OPC_CheckPredicate, 0, 107, 112, // Skip to: 40669
-/* 11890 */   MCD_OPC_Decode, 168, 10, 117, // Opcode: SHLLv16i8
-/* 11894 */   MCD_OPC_FilterValue, 16, 99, 112, // Skip to: 40669
-/* 11898 */   MCD_OPC_CheckPredicate, 0, 95, 112, // Skip to: 40669
-/* 11902 */   MCD_OPC_Decode, 141, 16, 131, 1, // Opcode: UADDLVv16i8v
+/* 11886 */   MCD_OPC_CheckPredicate, 0, 79, 112, // Skip to: 40641
+/* 11890 */   MCD_OPC_Decode, 170, 10, 117, // Opcode: SHLLv16i8
+/* 11894 */   MCD_OPC_FilterValue, 16, 71, 112, // Skip to: 40641
+/* 11898 */   MCD_OPC_CheckPredicate, 0, 67, 112, // Skip to: 40641
+/* 11902 */   MCD_OPC_Decode, 143, 16, 131, 1, // Opcode: UADDLVv16i8v
 /* 11907 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 11919
-/* 11911 */   MCD_OPC_CheckPredicate, 0, 82, 112, // Skip to: 40669
-/* 11915 */   MCD_OPC_Decode, 160, 9, 120, // Opcode: RADDHNv8i16_v16i8
+/* 11911 */   MCD_OPC_CheckPredicate, 0, 54, 112, // Skip to: 40641
+/* 11915 */   MCD_OPC_Decode, 162, 9, 120, // Opcode: RADDHNv8i16_v16i8
 /* 11919 */   MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 11950
 /* 11923 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 11926 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11938
-/* 11930 */   MCD_OPC_CheckPredicate, 0, 63, 112, // Skip to: 40669
-/* 11934 */   MCD_OPC_Decode, 152, 1, 117, // Opcode: CLZv16i8
-/* 11938 */   MCD_OPC_FilterValue, 1, 55, 112, // Skip to: 40669
-/* 11942 */   MCD_OPC_CheckPredicate, 0, 51, 112, // Skip to: 40669
-/* 11946 */   MCD_OPC_Decode, 210, 17, 126, // Opcode: UQXTNv16i8
+/* 11930 */   MCD_OPC_CheckPredicate, 0, 35, 112, // Skip to: 40641
+/* 11934 */   MCD_OPC_Decode, 154, 1, 117, // Opcode: CLZv16i8
+/* 11938 */   MCD_OPC_FilterValue, 1, 27, 112, // Skip to: 40641
+/* 11942 */   MCD_OPC_CheckPredicate, 0, 23, 112, // Skip to: 40641
+/* 11946 */   MCD_OPC_Decode, 212, 17, 126, // Opcode: UQXTNv16i8
 /* 11950 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 11962
-/* 11954 */   MCD_OPC_CheckPredicate, 0, 39, 112, // Skip to: 40669
-/* 11958 */   MCD_OPC_Decode, 233, 15, 120, // Opcode: UABALv16i8_v8i16
+/* 11954 */   MCD_OPC_CheckPredicate, 0, 11, 112, // Skip to: 40641
+/* 11958 */   MCD_OPC_Decode, 235, 15, 120, // Opcode: UABALv16i8_v8i16
 /* 11962 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 11980
-/* 11966 */   MCD_OPC_CheckPredicate, 0, 27, 112, // Skip to: 40669
-/* 11970 */   MCD_OPC_CheckField, 16, 5, 0, 21, 112, // Skip to: 40669
-/* 11976 */   MCD_OPC_Decode, 253, 8, 117, // Opcode: NOTv16i8
+/* 11966 */   MCD_OPC_CheckPredicate, 0, 255, 111, // Skip to: 40641
+/* 11970 */   MCD_OPC_CheckField, 16, 5, 0, 249, 111, // Skip to: 40641
+/* 11976 */   MCD_OPC_Decode, 255, 8, 117, // Opcode: NOTv16i8
 /* 11980 */   MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 11992
-/* 11984 */   MCD_OPC_CheckPredicate, 0, 9, 112, // Skip to: 40669
-/* 11988 */   MCD_OPC_Decode, 197, 9, 120, // Opcode: RSUBHNv8i16_v16i8
+/* 11984 */   MCD_OPC_CheckPredicate, 0, 237, 111, // Skip to: 40641
+/* 11988 */   MCD_OPC_Decode, 199, 9, 120, // Opcode: RSUBHNv8i16_v16i8
 /* 11992 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 12010
-/* 11996 */   MCD_OPC_CheckPredicate, 0, 253, 111, // Skip to: 40669
-/* 12000 */   MCD_OPC_CheckField, 16, 5, 0, 247, 111, // Skip to: 40669
-/* 12006 */   MCD_OPC_Decode, 129, 16, 126, // Opcode: UADALPv16i8_v8i16
+/* 11996 */   MCD_OPC_CheckPredicate, 0, 225, 111, // Skip to: 40641
+/* 12000 */   MCD_OPC_CheckField, 16, 5, 0, 219, 111, // Skip to: 40641
+/* 12006 */   MCD_OPC_Decode, 131, 16, 126, // Opcode: UADALPv16i8_v8i16
 /* 12010 */   MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 12022
-/* 12014 */   MCD_OPC_CheckPredicate, 0, 235, 111, // Skip to: 40669
-/* 12018 */   MCD_OPC_Decode, 245, 15, 112, // Opcode: UABDLv16i8_v8i16
-/* 12022 */   MCD_OPC_FilterValue, 15, 227, 111, // Skip to: 40669
-/* 12026 */   MCD_OPC_CheckPredicate, 0, 223, 111, // Skip to: 40669
-/* 12030 */   MCD_OPC_CheckField, 16, 5, 0, 217, 111, // Skip to: 40669
-/* 12036 */   MCD_OPC_Decode, 217, 11, 117, // Opcode: SQNEGv16i8
-/* 12040 */   MCD_OPC_FilterValue, 1, 209, 111, // Skip to: 40669
+/* 12014 */   MCD_OPC_CheckPredicate, 0, 207, 111, // Skip to: 40641
+/* 12018 */   MCD_OPC_Decode, 247, 15, 112, // Opcode: UABDLv16i8_v8i16
+/* 12022 */   MCD_OPC_FilterValue, 15, 199, 111, // Skip to: 40641
+/* 12026 */   MCD_OPC_CheckPredicate, 0, 195, 111, // Skip to: 40641
+/* 12030 */   MCD_OPC_CheckField, 16, 5, 0, 189, 111, // Skip to: 40641
+/* 12036 */   MCD_OPC_Decode, 219, 11, 117, // Opcode: SQNEGv16i8
+/* 12040 */   MCD_OPC_FilterValue, 1, 181, 111, // Skip to: 40641
 /* 12044 */   MCD_OPC_ExtractField, 11, 4,  // Inst{14-11} ...
 /* 12047 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12065
-/* 12051 */   MCD_OPC_CheckPredicate, 0, 198, 111, // Skip to: 40669
-/* 12055 */   MCD_OPC_CheckField, 21, 1, 1, 192, 111, // Skip to: 40669
-/* 12061 */   MCD_OPC_Decode, 229, 16, 120, // Opcode: UMLALv16i8_v8i16
+/* 12051 */   MCD_OPC_CheckPredicate, 0, 170, 111, // Skip to: 40641
+/* 12055 */   MCD_OPC_CheckField, 21, 1, 1, 164, 111, // Skip to: 40641
+/* 12061 */   MCD_OPC_Decode, 231, 16, 120, // Opcode: UMLALv16i8_v8i16
 /* 12065 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 12096
 /* 12069 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 12072 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 12084
-/* 12076 */   MCD_OPC_CheckPredicate, 0, 173, 111, // Skip to: 40669
-/* 12080 */   MCD_OPC_Decode, 175, 1, 117, // Opcode: CMGEv16i8rz
-/* 12084 */   MCD_OPC_FilterValue, 33, 165, 111, // Skip to: 40669
-/* 12088 */   MCD_OPC_CheckPredicate, 0, 161, 111, // Skip to: 40669
-/* 12092 */   MCD_OPC_Decode, 154, 5, 117, // Opcode: FRINTAv4f32
+/* 12076 */   MCD_OPC_CheckPredicate, 0, 145, 111, // Skip to: 40641
+/* 12080 */   MCD_OPC_Decode, 177, 1, 117, // Opcode: CMGEv16i8rz
+/* 12084 */   MCD_OPC_FilterValue, 33, 137, 111, // Skip to: 40641
+/* 12088 */   MCD_OPC_CheckPredicate, 0, 133, 111, // Skip to: 40641
+/* 12092 */   MCD_OPC_Decode, 156, 5, 117, // Opcode: FRINTAv4f32
 /* 12096 */   MCD_OPC_FilterValue, 3, 27, 0, // Skip to: 12127
 /* 12100 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 12103 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 12115
-/* 12107 */   MCD_OPC_CheckPredicate, 0, 142, 111, // Skip to: 40669
-/* 12111 */   MCD_OPC_Decode, 222, 1, 117, // Opcode: CMLEv16i8rz
-/* 12115 */   MCD_OPC_FilterValue, 33, 134, 111, // Skip to: 40669
-/* 12119 */   MCD_OPC_CheckPredicate, 0, 130, 111, // Skip to: 40669
-/* 12123 */   MCD_OPC_Decode, 179, 5, 117, // Opcode: FRINTXv4f32
+/* 12107 */   MCD_OPC_CheckPredicate, 0, 114, 111, // Skip to: 40641
+/* 12111 */   MCD_OPC_Decode, 224, 1, 117, // Opcode: CMLEv16i8rz
+/* 12115 */   MCD_OPC_FilterValue, 33, 106, 111, // Skip to: 40641
+/* 12119 */   MCD_OPC_CheckPredicate, 0, 102, 111, // Skip to: 40641
+/* 12123 */   MCD_OPC_Decode, 181, 5, 117, // Opcode: FRINTXv4f32
 /* 12127 */   MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 12145
-/* 12131 */   MCD_OPC_CheckPredicate, 0, 118, 111, // Skip to: 40669
-/* 12135 */   MCD_OPC_CheckField, 21, 1, 1, 112, 111, // Skip to: 40669
-/* 12141 */   MCD_OPC_Decode, 239, 16, 120, // Opcode: UMLSLv16i8_v8i16
+/* 12131 */   MCD_OPC_CheckPredicate, 0, 90, 111, // Skip to: 40641
+/* 12135 */   MCD_OPC_CheckField, 21, 1, 1, 84, 111, // Skip to: 40641
+/* 12141 */   MCD_OPC_Decode, 241, 16, 120, // Opcode: UMLSLv16i8_v8i16
 /* 12145 */   MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 12190
 /* 12149 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 12152 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 12164
-/* 12156 */   MCD_OPC_CheckPredicate, 0, 93, 111, // Skip to: 40669
-/* 12160 */   MCD_OPC_Decode, 195, 3, 117, // Opcode: FCVTNUv4f32
+/* 12156 */   MCD_OPC_CheckPredicate, 0, 65, 111, // Skip to: 40641
+/* 12160 */   MCD_OPC_Decode, 197, 3, 117, // Opcode: FCVTNUv4f32
 /* 12164 */   MCD_OPC_FilterValue, 48, 9, 0, // Skip to: 12177
-/* 12168 */   MCD_OPC_CheckPredicate, 0, 81, 111, // Skip to: 40669
-/* 12172 */   MCD_OPC_Decode, 201, 16, 137, 1, // Opcode: UMAXVv16i8v
-/* 12177 */   MCD_OPC_FilterValue, 49, 72, 111, // Skip to: 40669
-/* 12181 */   MCD_OPC_CheckPredicate, 0, 68, 111, // Skip to: 40669
-/* 12185 */   MCD_OPC_Decode, 218, 16, 137, 1, // Opcode: UMINVv16i8v
+/* 12168 */   MCD_OPC_CheckPredicate, 0, 53, 111, // Skip to: 40641
+/* 12172 */   MCD_OPC_Decode, 203, 16, 137, 1, // Opcode: UMAXVv16i8v
+/* 12177 */   MCD_OPC_FilterValue, 49, 44, 111, // Skip to: 40641
+/* 12181 */   MCD_OPC_CheckPredicate, 0, 40, 111, // Skip to: 40641
+/* 12185 */   MCD_OPC_Decode, 220, 16, 137, 1, // Opcode: UMINVv16i8v
 /* 12190 */   MCD_OPC_FilterValue, 7, 27, 0, // Skip to: 12221
 /* 12194 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 12197 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 12209
-/* 12201 */   MCD_OPC_CheckPredicate, 0, 48, 111, // Skip to: 40669
-/* 12205 */   MCD_OPC_Decode, 245, 8, 117, // Opcode: NEGv16i8
-/* 12209 */   MCD_OPC_FilterValue, 33, 40, 111, // Skip to: 40669
-/* 12213 */   MCD_OPC_CheckPredicate, 0, 36, 111, // Skip to: 40669
-/* 12217 */   MCD_OPC_Decode, 177, 3, 117, // Opcode: FCVTMUv4f32
+/* 12201 */   MCD_OPC_CheckPredicate, 0, 20, 111, // Skip to: 40641
+/* 12205 */   MCD_OPC_Decode, 247, 8, 117, // Opcode: NEGv16i8
+/* 12209 */   MCD_OPC_FilterValue, 33, 12, 111, // Skip to: 40641
+/* 12213 */   MCD_OPC_CheckPredicate, 0, 8, 111, // Skip to: 40641
+/* 12217 */   MCD_OPC_Decode, 179, 3, 117, // Opcode: FCVTMUv4f32
 /* 12221 */   MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 12239
-/* 12225 */   MCD_OPC_CheckPredicate, 0, 24, 111, // Skip to: 40669
-/* 12229 */   MCD_OPC_CheckField, 21, 1, 1, 18, 111, // Skip to: 40669
-/* 12235 */   MCD_OPC_Decode, 255, 16, 112, // Opcode: UMULLv16i8_v8i16
+/* 12225 */   MCD_OPC_CheckPredicate, 0, 252, 110, // Skip to: 40641
+/* 12229 */   MCD_OPC_CheckField, 21, 1, 1, 246, 110, // Skip to: 40641
+/* 12235 */   MCD_OPC_Decode, 129, 17, 112, // Opcode: UMULLv16i8_v8i16
 /* 12239 */   MCD_OPC_FilterValue, 9, 28, 0, // Skip to: 12271
 /* 12243 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
 /* 12246 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 12258
-/* 12250 */   MCD_OPC_CheckPredicate, 0, 255, 110, // Skip to: 40669
-/* 12254 */   MCD_OPC_Decode, 151, 3, 117, // Opcode: FCVTAUv4f32
-/* 12258 */   MCD_OPC_FilterValue, 48, 247, 110, // Skip to: 40669
-/* 12262 */   MCD_OPC_CheckPredicate, 0, 243, 110, // Skip to: 40669
-/* 12266 */   MCD_OPC_Decode, 168, 4, 139, 1, // Opcode: FMAXNMVv4i32v
+/* 12250 */   MCD_OPC_CheckPredicate, 0, 227, 110, // Skip to: 40641
+/* 12254 */   MCD_OPC_Decode, 153, 3, 117, // Opcode: FCVTAUv4f32
+/* 12258 */   MCD_OPC_FilterValue, 48, 219, 110, // Skip to: 40641
+/* 12262 */   MCD_OPC_CheckPredicate, 0, 215, 110, // Skip to: 40641
+/* 12266 */   MCD_OPC_Decode, 170, 4, 139, 1, // Opcode: FMAXNMVv4i32v
 /* 12271 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 12289
-/* 12275 */   MCD_OPC_CheckPredicate, 0, 230, 110, // Skip to: 40669
-/* 12279 */   MCD_OPC_CheckField, 16, 6, 33, 224, 110, // Skip to: 40669
-/* 12285 */   MCD_OPC_Decode, 176, 16, 117, // Opcode: UCVTFv4f32
-/* 12289 */   MCD_OPC_FilterValue, 15, 216, 110, // Skip to: 40669
-/* 12293 */   MCD_OPC_CheckPredicate, 0, 212, 110, // Skip to: 40669
-/* 12297 */   MCD_OPC_CheckField, 16, 6, 48, 206, 110, // Skip to: 40669
-/* 12303 */   MCD_OPC_Decode, 178, 4, 139, 1, // Opcode: FMAXVv4i32v
-/* 12308 */   MCD_OPC_FilterValue, 1, 197, 110, // Skip to: 40669
+/* 12275 */   MCD_OPC_CheckPredicate, 0, 202, 110, // Skip to: 40641
+/* 12279 */   MCD_OPC_CheckField, 16, 6, 33, 196, 110, // Skip to: 40641
+/* 12285 */   MCD_OPC_Decode, 178, 16, 117, // Opcode: UCVTFv4f32
+/* 12289 */   MCD_OPC_FilterValue, 15, 188, 110, // Skip to: 40641
+/* 12293 */   MCD_OPC_CheckPredicate, 0, 184, 110, // Skip to: 40641
+/* 12297 */   MCD_OPC_CheckField, 16, 6, 48, 178, 110, // Skip to: 40641
+/* 12303 */   MCD_OPC_Decode, 180, 4, 139, 1, // Opcode: FMAXVv4i32v
+/* 12308 */   MCD_OPC_FilterValue, 1, 169, 110, // Skip to: 40641
 /* 12312 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 12315 */   MCD_OPC_FilterValue, 0, 43, 1, // Skip to: 12618
 /* 12319 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
@@ -3004,6587 +3004,6579 @@ static const uint8_t DecoderTable32[] =
 /* 12336 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 12387
 /* 12340 */   MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
 /* 12343 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 12368
-/* 12347 */   MCD_OPC_CheckPredicate, 0, 158, 110, // Skip to: 40669
-/* 12351 */   MCD_OPC_CheckField, 19, 1, 1, 152, 110, // Skip to: 40669
-/* 12357 */   MCD_OPC_CheckField, 11, 3, 0, 146, 110, // Skip to: 40669
-/* 12363 */   MCD_OPC_Decode, 213, 5, 140, 1, // Opcode: INSvi64lane
-/* 12368 */   MCD_OPC_FilterValue, 1, 137, 110, // Skip to: 40669
-/* 12372 */   MCD_OPC_CheckPredicate, 0, 133, 110, // Skip to: 40669
-/* 12376 */   MCD_OPC_CheckField, 11, 2, 0, 127, 110, // Skip to: 40669
-/* 12382 */   MCD_OPC_Decode, 211, 5, 141, 1, // Opcode: INSvi32lane
-/* 12387 */   MCD_OPC_FilterValue, 1, 118, 110, // Skip to: 40669
-/* 12391 */   MCD_OPC_CheckPredicate, 0, 114, 110, // Skip to: 40669
-/* 12395 */   MCD_OPC_CheckField, 11, 1, 0, 108, 110, // Skip to: 40669
-/* 12401 */   MCD_OPC_Decode, 209, 5, 142, 1, // Opcode: INSvi16lane
-/* 12406 */   MCD_OPC_FilterValue, 1, 99, 110, // Skip to: 40669
-/* 12410 */   MCD_OPC_CheckPredicate, 0, 95, 110, // Skip to: 40669
-/* 12414 */   MCD_OPC_Decode, 215, 5, 143, 1, // Opcode: INSvi8lane
-/* 12419 */   MCD_OPC_FilterValue, 1, 86, 110, // Skip to: 40669
+/* 12347 */   MCD_OPC_CheckPredicate, 0, 130, 110, // Skip to: 40641
+/* 12351 */   MCD_OPC_CheckField, 19, 1, 1, 124, 110, // Skip to: 40641
+/* 12357 */   MCD_OPC_CheckField, 11, 3, 0, 118, 110, // Skip to: 40641
+/* 12363 */   MCD_OPC_Decode, 215, 5, 140, 1, // Opcode: INSvi64lane
+/* 12368 */   MCD_OPC_FilterValue, 1, 109, 110, // Skip to: 40641
+/* 12372 */   MCD_OPC_CheckPredicate, 0, 105, 110, // Skip to: 40641
+/* 12376 */   MCD_OPC_CheckField, 11, 2, 0, 99, 110, // Skip to: 40641
+/* 12382 */   MCD_OPC_Decode, 213, 5, 141, 1, // Opcode: INSvi32lane
+/* 12387 */   MCD_OPC_FilterValue, 1, 90, 110, // Skip to: 40641
+/* 12391 */   MCD_OPC_CheckPredicate, 0, 86, 110, // Skip to: 40641
+/* 12395 */   MCD_OPC_CheckField, 11, 1, 0, 80, 110, // Skip to: 40641
+/* 12401 */   MCD_OPC_Decode, 211, 5, 142, 1, // Opcode: INSvi16lane
+/* 12406 */   MCD_OPC_FilterValue, 1, 71, 110, // Skip to: 40641
+/* 12410 */   MCD_OPC_CheckPredicate, 0, 67, 110, // Skip to: 40641
+/* 12414 */   MCD_OPC_Decode, 217, 5, 143, 1, // Opcode: INSvi8lane
+/* 12419 */   MCD_OPC_FilterValue, 1, 58, 110, // Skip to: 40641
 /* 12423 */   MCD_OPC_ExtractField, 11, 4,  // Inst{14-11} ...
 /* 12426 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 12438
-/* 12430 */   MCD_OPC_CheckPredicate, 0, 75, 110, // Skip to: 40669
-/* 12434 */   MCD_OPC_Decode, 182, 16, 112, // Opcode: UHADDv16i8
+/* 12430 */   MCD_OPC_CheckPredicate, 0, 47, 110, // Skip to: 40641
+/* 12434 */   MCD_OPC_Decode, 184, 16, 112, // Opcode: UHADDv16i8
 /* 12438 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 12450
-/* 12442 */   MCD_OPC_CheckPredicate, 0, 63, 110, // Skip to: 40669
-/* 12446 */   MCD_OPC_Decode, 137, 17, 112, // Opcode: UQADDv16i8
+/* 12442 */   MCD_OPC_CheckPredicate, 0, 35, 110, // Skip to: 40641
+/* 12446 */   MCD_OPC_Decode, 139, 17, 112, // Opcode: UQADDv16i8
 /* 12450 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 12462
-/* 12454 */   MCD_OPC_CheckPredicate, 0, 51, 110, // Skip to: 40669
-/* 12458 */   MCD_OPC_Decode, 221, 17, 112, // Opcode: URHADDv16i8
+/* 12454 */   MCD_OPC_CheckPredicate, 0, 23, 110, // Skip to: 40641
+/* 12458 */   MCD_OPC_Decode, 223, 17, 112, // Opcode: URHADDv16i8
 /* 12462 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 12474
-/* 12466 */   MCD_OPC_CheckPredicate, 0, 39, 110, // Skip to: 40669
-/* 12470 */   MCD_OPC_Decode, 170, 2, 112, // Opcode: EORv16i8
+/* 12466 */   MCD_OPC_CheckPredicate, 0, 11, 110, // Skip to: 40641
+/* 12470 */   MCD_OPC_Decode, 172, 2, 112, // Opcode: EORv16i8
 /* 12474 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 12486
-/* 12478 */   MCD_OPC_CheckPredicate, 0, 27, 110, // Skip to: 40669
-/* 12482 */   MCD_OPC_Decode, 188, 16, 112, // Opcode: UHSUBv16i8
+/* 12478 */   MCD_OPC_CheckPredicate, 0, 255, 109, // Skip to: 40641
+/* 12482 */   MCD_OPC_Decode, 190, 16, 112, // Opcode: UHSUBv16i8
 /* 12486 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 12498
-/* 12490 */   MCD_OPC_CheckPredicate, 0, 15, 110, // Skip to: 40669
-/* 12494 */   MCD_OPC_Decode, 199, 17, 112, // Opcode: UQSUBv16i8
+/* 12490 */   MCD_OPC_CheckPredicate, 0, 243, 109, // Skip to: 40641
+/* 12494 */   MCD_OPC_Decode, 201, 17, 112, // Opcode: UQSUBv16i8
 /* 12498 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 12510
-/* 12502 */   MCD_OPC_CheckPredicate, 0, 3, 110, // Skip to: 40669
-/* 12506 */   MCD_OPC_Decode, 206, 1, 112, // Opcode: CMHIv16i8
+/* 12502 */   MCD_OPC_CheckPredicate, 0, 231, 109, // Skip to: 40641
+/* 12506 */   MCD_OPC_Decode, 208, 1, 112, // Opcode: CMHIv16i8
 /* 12510 */   MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 12522
-/* 12514 */   MCD_OPC_CheckPredicate, 0, 247, 109, // Skip to: 40669
-/* 12518 */   MCD_OPC_Decode, 214, 1, 112, // Opcode: CMHSv16i8
+/* 12514 */   MCD_OPC_CheckPredicate, 0, 219, 109, // Skip to: 40641
+/* 12518 */   MCD_OPC_Decode, 216, 1, 112, // Opcode: CMHSv16i8
 /* 12522 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 12534
-/* 12526 */   MCD_OPC_CheckPredicate, 0, 235, 109, // Skip to: 40669
-/* 12530 */   MCD_OPC_Decode, 131, 18, 112, // Opcode: USHLv16i8
+/* 12526 */   MCD_OPC_CheckPredicate, 0, 207, 109, // Skip to: 40641
+/* 12530 */   MCD_OPC_Decode, 133, 18, 112, // Opcode: USHLv16i8
 /* 12534 */   MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 12546
-/* 12538 */   MCD_OPC_CheckPredicate, 0, 223, 109, // Skip to: 40669
-/* 12542 */   MCD_OPC_Decode, 172, 17, 112, // Opcode: UQSHLv16i8
+/* 12538 */   MCD_OPC_CheckPredicate, 0, 195, 109, // Skip to: 40641
+/* 12542 */   MCD_OPC_Decode, 174, 17, 112, // Opcode: UQSHLv16i8
 /* 12546 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 12558
-/* 12550 */   MCD_OPC_CheckPredicate, 0, 211, 109, // Skip to: 40669
-/* 12554 */   MCD_OPC_Decode, 227, 17, 112, // Opcode: URSHLv16i8
+/* 12550 */   MCD_OPC_CheckPredicate, 0, 183, 109, // Skip to: 40641
+/* 12554 */   MCD_OPC_Decode, 229, 17, 112, // Opcode: URSHLv16i8
 /* 12558 */   MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 12570
-/* 12562 */   MCD_OPC_CheckPredicate, 0, 199, 109, // Skip to: 40669
-/* 12566 */   MCD_OPC_Decode, 148, 17, 112, // Opcode: UQRSHLv16i8
+/* 12562 */   MCD_OPC_CheckPredicate, 0, 171, 109, // Skip to: 40641
+/* 12566 */   MCD_OPC_Decode, 150, 17, 112, // Opcode: UQRSHLv16i8
 /* 12570 */   MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 12582
-/* 12574 */   MCD_OPC_CheckPredicate, 0, 187, 109, // Skip to: 40669
-/* 12578 */   MCD_OPC_Decode, 206, 16, 112, // Opcode: UMAXv16i8
+/* 12574 */   MCD_OPC_CheckPredicate, 0, 159, 109, // Skip to: 40641
+/* 12578 */   MCD_OPC_Decode, 208, 16, 112, // Opcode: UMAXv16i8
 /* 12582 */   MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 12594
-/* 12586 */   MCD_OPC_CheckPredicate, 0, 175, 109, // Skip to: 40669
-/* 12590 */   MCD_OPC_Decode, 223, 16, 112, // Opcode: UMINv16i8
+/* 12586 */   MCD_OPC_CheckPredicate, 0, 147, 109, // Skip to: 40641
+/* 12590 */   MCD_OPC_Decode, 225, 16, 112, // Opcode: UMINv16i8
 /* 12594 */   MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 12606
-/* 12598 */   MCD_OPC_CheckPredicate, 0, 163, 109, // Skip to: 40669
-/* 12602 */   MCD_OPC_Decode, 251, 15, 112, // Opcode: UABDv16i8
-/* 12606 */   MCD_OPC_FilterValue, 15, 155, 109, // Skip to: 40669
-/* 12610 */   MCD_OPC_CheckPredicate, 0, 151, 109, // Skip to: 40669
-/* 12614 */   MCD_OPC_Decode, 239, 15, 120, // Opcode: UABAv16i8
-/* 12618 */   MCD_OPC_FilterValue, 1, 143, 109, // Skip to: 40669
+/* 12598 */   MCD_OPC_CheckPredicate, 0, 135, 109, // Skip to: 40641
+/* 12602 */   MCD_OPC_Decode, 253, 15, 112, // Opcode: UABDv16i8
+/* 12606 */   MCD_OPC_FilterValue, 15, 127, 109, // Skip to: 40641
+/* 12610 */   MCD_OPC_CheckPredicate, 0, 123, 109, // Skip to: 40641
+/* 12614 */   MCD_OPC_Decode, 241, 15, 120, // Opcode: UABAv16i8
+/* 12618 */   MCD_OPC_FilterValue, 1, 115, 109, // Skip to: 40641
 /* 12622 */   MCD_OPC_ExtractField, 11, 4,  // Inst{14-11} ...
 /* 12625 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12643
-/* 12629 */   MCD_OPC_CheckPredicate, 0, 132, 109, // Skip to: 40669
-/* 12633 */   MCD_OPC_CheckField, 21, 1, 1, 126, 109, // Skip to: 40669
-/* 12639 */   MCD_OPC_Decode, 173, 15, 112, // Opcode: SUBv16i8
+/* 12629 */   MCD_OPC_CheckPredicate, 0, 104, 109, // Skip to: 40641
+/* 12633 */   MCD_OPC_CheckField, 21, 1, 1, 98, 109, // Skip to: 40641
+/* 12639 */   MCD_OPC_Decode, 175, 15, 112, // Opcode: SUBv16i8
 /* 12643 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 12661
-/* 12647 */   MCD_OPC_CheckPredicate, 0, 114, 109, // Skip to: 40669
-/* 12651 */   MCD_OPC_CheckField, 21, 1, 1, 108, 109, // Skip to: 40669
-/* 12657 */   MCD_OPC_Decode, 158, 1, 112, // Opcode: CMEQv16i8
+/* 12647 */   MCD_OPC_CheckPredicate, 0, 86, 109, // Skip to: 40641
+/* 12651 */   MCD_OPC_CheckField, 21, 1, 1, 80, 109, // Skip to: 40641
+/* 12657 */   MCD_OPC_Decode, 160, 1, 112, // Opcode: CMEQv16i8
 /* 12661 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 12679
-/* 12665 */   MCD_OPC_CheckPredicate, 0, 96, 109, // Skip to: 40669
-/* 12669 */   MCD_OPC_CheckField, 21, 1, 1, 90, 109, // Skip to: 40669
-/* 12675 */   MCD_OPC_Decode, 190, 8, 120, // Opcode: MLSv16i8
+/* 12665 */   MCD_OPC_CheckPredicate, 0, 68, 109, // Skip to: 40641
+/* 12669 */   MCD_OPC_CheckField, 21, 1, 1, 62, 109, // Skip to: 40641
+/* 12675 */   MCD_OPC_Decode, 192, 8, 120, // Opcode: MLSv16i8
 /* 12679 */   MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 12697
-/* 12683 */   MCD_OPC_CheckPredicate, 0, 78, 109, // Skip to: 40669
-/* 12687 */   MCD_OPC_CheckField, 21, 1, 1, 72, 109, // Skip to: 40669
-/* 12693 */   MCD_OPC_Decode, 149, 9, 112, // Opcode: PMULv16i8
+/* 12683 */   MCD_OPC_CheckPredicate, 0, 50, 109, // Skip to: 40641
+/* 12687 */   MCD_OPC_CheckField, 21, 1, 1, 44, 109, // Skip to: 40641
+/* 12693 */   MCD_OPC_Decode, 151, 9, 112, // Opcode: PMULv16i8
 /* 12697 */   MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 12715
-/* 12701 */   MCD_OPC_CheckPredicate, 0, 60, 109, // Skip to: 40669
-/* 12705 */   MCD_OPC_CheckField, 21, 1, 1, 54, 109, // Skip to: 40669
-/* 12711 */   MCD_OPC_Decode, 195, 16, 112, // Opcode: UMAXPv16i8
+/* 12701 */   MCD_OPC_CheckPredicate, 0, 32, 109, // Skip to: 40641
+/* 12705 */   MCD_OPC_CheckField, 21, 1, 1, 26, 109, // Skip to: 40641
+/* 12711 */   MCD_OPC_Decode, 197, 16, 112, // Opcode: UMAXPv16i8
 /* 12715 */   MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 12733
-/* 12719 */   MCD_OPC_CheckPredicate, 0, 42, 109, // Skip to: 40669
-/* 12723 */   MCD_OPC_CheckField, 21, 1, 1, 36, 109, // Skip to: 40669
-/* 12729 */   MCD_OPC_Decode, 212, 16, 112, // Opcode: UMINPv16i8
+/* 12719 */   MCD_OPC_CheckPredicate, 0, 14, 109, // Skip to: 40641
+/* 12723 */   MCD_OPC_CheckField, 21, 1, 1, 8, 109, // Skip to: 40641
+/* 12729 */   MCD_OPC_Decode, 214, 16, 112, // Opcode: UMINPv16i8
 /* 12733 */   MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 12751
-/* 12737 */   MCD_OPC_CheckPredicate, 0, 24, 109, // Skip to: 40669
-/* 12741 */   MCD_OPC_CheckField, 21, 1, 1, 18, 109, // Skip to: 40669
-/* 12747 */   MCD_OPC_Decode, 166, 4, 112, // Opcode: FMAXNMPv4f32
+/* 12737 */   MCD_OPC_CheckPredicate, 0, 252, 108, // Skip to: 40641
+/* 12741 */   MCD_OPC_CheckField, 21, 1, 1, 246, 108, // Skip to: 40641
+/* 12747 */   MCD_OPC_Decode, 168, 4, 112, // Opcode: FMAXNMPv4f32
 /* 12751 */   MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 12769
-/* 12755 */   MCD_OPC_CheckPredicate, 0, 6, 109, // Skip to: 40669
-/* 12759 */   MCD_OPC_CheckField, 21, 1, 1, 0, 109, // Skip to: 40669
-/* 12765 */   MCD_OPC_Decode, 203, 2, 112, // Opcode: FADDPv4f32
+/* 12755 */   MCD_OPC_CheckPredicate, 0, 234, 108, // Skip to: 40641
+/* 12759 */   MCD_OPC_CheckField, 21, 1, 1, 228, 108, // Skip to: 40641
+/* 12765 */   MCD_OPC_Decode, 205, 2, 112, // Opcode: FADDPv4f32
 /* 12769 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 12787
-/* 12773 */   MCD_OPC_CheckPredicate, 0, 244, 108, // Skip to: 40669
-/* 12777 */   MCD_OPC_CheckField, 21, 1, 1, 238, 108, // Skip to: 40669
-/* 12783 */   MCD_OPC_Decode, 253, 4, 112, // Opcode: FMULv4f32
+/* 12773 */   MCD_OPC_CheckPredicate, 0, 216, 108, // Skip to: 40641
+/* 12777 */   MCD_OPC_CheckField, 21, 1, 1, 210, 108, // Skip to: 40641
+/* 12783 */   MCD_OPC_Decode, 255, 4, 112, // Opcode: FMULv4f32
 /* 12787 */   MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 12805
-/* 12791 */   MCD_OPC_CheckPredicate, 0, 226, 108, // Skip to: 40669
-/* 12795 */   MCD_OPC_CheckField, 21, 1, 1, 220, 108, // Skip to: 40669
-/* 12801 */   MCD_OPC_Decode, 230, 2, 112, // Opcode: FCMGEv4f32
+/* 12791 */   MCD_OPC_CheckPredicate, 0, 198, 108, // Skip to: 40641
+/* 12795 */   MCD_OPC_CheckField, 21, 1, 1, 192, 108, // Skip to: 40641
+/* 12801 */   MCD_OPC_Decode, 232, 2, 112, // Opcode: FCMGEv4f32
 /* 12805 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 12823
-/* 12809 */   MCD_OPC_CheckPredicate, 0, 208, 108, // Skip to: 40669
-/* 12813 */   MCD_OPC_CheckField, 21, 1, 1, 202, 108, // Skip to: 40669
-/* 12819 */   MCD_OPC_Decode, 192, 2, 112, // Opcode: FACGEv4f32
+/* 12809 */   MCD_OPC_CheckPredicate, 0, 180, 108, // Skip to: 40641
+/* 12813 */   MCD_OPC_CheckField, 21, 1, 1, 174, 108, // Skip to: 40641
+/* 12819 */   MCD_OPC_Decode, 194, 2, 112, // Opcode: FACGEv4f32
 /* 12823 */   MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 12841
-/* 12827 */   MCD_OPC_CheckPredicate, 0, 190, 108, // Skip to: 40669
-/* 12831 */   MCD_OPC_CheckField, 21, 1, 1, 184, 108, // Skip to: 40669
-/* 12837 */   MCD_OPC_Decode, 176, 4, 112, // Opcode: FMAXPv4f32
-/* 12841 */   MCD_OPC_FilterValue, 15, 176, 108, // Skip to: 40669
-/* 12845 */   MCD_OPC_CheckPredicate, 0, 172, 108, // Skip to: 40669
-/* 12849 */   MCD_OPC_CheckField, 21, 1, 1, 166, 108, // Skip to: 40669
-/* 12855 */   MCD_OPC_Decode, 157, 4, 112, // Opcode: FDIVv4f32
-/* 12859 */   MCD_OPC_FilterValue, 9, 129, 18, // Skip to: 17600
+/* 12827 */   MCD_OPC_CheckPredicate, 0, 162, 108, // Skip to: 40641
+/* 12831 */   MCD_OPC_CheckField, 21, 1, 1, 156, 108, // Skip to: 40641
+/* 12837 */   MCD_OPC_Decode, 178, 4, 112, // Opcode: FMAXPv4f32
+/* 12841 */   MCD_OPC_FilterValue, 15, 148, 108, // Skip to: 40641
+/* 12845 */   MCD_OPC_CheckPredicate, 0, 144, 108, // Skip to: 40641
+/* 12849 */   MCD_OPC_CheckField, 21, 1, 1, 138, 108, // Skip to: 40641
+/* 12855 */   MCD_OPC_Decode, 159, 4, 112, // Opcode: FDIVv4f32
+/* 12859 */   MCD_OPC_FilterValue, 9, 131, 18, // Skip to: 17602
 /* 12863 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
 /* 12866 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 12945
 /* 12870 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 12873 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12891
-/* 12877 */   MCD_OPC_CheckPredicate, 0, 140, 108, // Skip to: 40669
-/* 12881 */   MCD_OPC_CheckField, 21, 1, 1, 134, 108, // Skip to: 40669
-/* 12887 */   MCD_OPC_Decode, 242, 9, 85, // Opcode: SADDLv4i16_v4i32
+/* 12877 */   MCD_OPC_CheckPredicate, 0, 112, 108, // Skip to: 40641
+/* 12881 */   MCD_OPC_CheckField, 21, 1, 1, 106, 108, // Skip to: 40641
+/* 12887 */   MCD_OPC_Decode, 244, 9, 85, // Opcode: SADDLv4i16_v4i32
 /* 12891 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 12909
-/* 12895 */   MCD_OPC_CheckPredicate, 0, 122, 108, // Skip to: 40669
-/* 12899 */   MCD_OPC_CheckField, 21, 1, 1, 116, 108, // Skip to: 40669
-/* 12905 */   MCD_OPC_Decode, 148, 16, 85, // Opcode: UADDLv4i16_v4i32
+/* 12895 */   MCD_OPC_CheckPredicate, 0, 94, 108, // Skip to: 40641
+/* 12899 */   MCD_OPC_CheckField, 21, 1, 1, 88, 108, // Skip to: 40641
+/* 12905 */   MCD_OPC_Decode, 150, 16, 85, // Opcode: UADDLv4i16_v4i32
 /* 12909 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 12927
-/* 12913 */   MCD_OPC_CheckPredicate, 0, 104, 108, // Skip to: 40669
-/* 12917 */   MCD_OPC_CheckField, 21, 1, 1, 98, 108, // Skip to: 40669
-/* 12923 */   MCD_OPC_Decode, 244, 9, 112, // Opcode: SADDLv8i16_v4i32
-/* 12927 */   MCD_OPC_FilterValue, 3, 90, 108, // Skip to: 40669
-/* 12931 */   MCD_OPC_CheckPredicate, 0, 86, 108, // Skip to: 40669
-/* 12935 */   MCD_OPC_CheckField, 21, 1, 1, 80, 108, // Skip to: 40669
-/* 12941 */   MCD_OPC_Decode, 150, 16, 112, // Opcode: UADDLv8i16_v4i32
+/* 12913 */   MCD_OPC_CheckPredicate, 0, 76, 108, // Skip to: 40641
+/* 12917 */   MCD_OPC_CheckField, 21, 1, 1, 70, 108, // Skip to: 40641
+/* 12923 */   MCD_OPC_Decode, 246, 9, 112, // Opcode: SADDLv8i16_v4i32
+/* 12927 */   MCD_OPC_FilterValue, 3, 62, 108, // Skip to: 40641
+/* 12931 */   MCD_OPC_CheckPredicate, 0, 58, 108, // Skip to: 40641
+/* 12935 */   MCD_OPC_CheckField, 21, 1, 1, 52, 108, // Skip to: 40641
+/* 12941 */   MCD_OPC_Decode, 152, 16, 112, // Opcode: UADDLv8i16_v4i32
 /* 12945 */   MCD_OPC_FilterValue, 1, 75, 0, // Skip to: 13024
 /* 12949 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 12952 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12970
-/* 12956 */   MCD_OPC_CheckPredicate, 0, 61, 108, // Skip to: 40669
-/* 12960 */   MCD_OPC_CheckField, 21, 1, 1, 55, 108, // Skip to: 40669
-/* 12966 */   MCD_OPC_Decode, 164, 10, 89, // Opcode: SHADDv4i16
+/* 12956 */   MCD_OPC_CheckPredicate, 0, 33, 108, // Skip to: 40641
+/* 12960 */   MCD_OPC_CheckField, 21, 1, 1, 27, 108, // Skip to: 40641
+/* 12966 */   MCD_OPC_Decode, 166, 10, 89, // Opcode: SHADDv4i16
 /* 12970 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 12988
-/* 12974 */   MCD_OPC_CheckPredicate, 0, 43, 108, // Skip to: 40669
-/* 12978 */   MCD_OPC_CheckField, 21, 1, 1, 37, 108, // Skip to: 40669
-/* 12984 */   MCD_OPC_Decode, 184, 16, 89, // Opcode: UHADDv4i16
+/* 12974 */   MCD_OPC_CheckPredicate, 0, 15, 108, // Skip to: 40641
+/* 12978 */   MCD_OPC_CheckField, 21, 1, 1, 9, 108, // Skip to: 40641
+/* 12984 */   MCD_OPC_Decode, 186, 16, 89, // Opcode: UHADDv4i16
 /* 12988 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13006
-/* 12992 */   MCD_OPC_CheckPredicate, 0, 25, 108, // Skip to: 40669
-/* 12996 */   MCD_OPC_CheckField, 21, 1, 1, 19, 108, // Skip to: 40669
-/* 13002 */   MCD_OPC_Decode, 166, 10, 112, // Opcode: SHADDv8i16
-/* 13006 */   MCD_OPC_FilterValue, 3, 11, 108, // Skip to: 40669
-/* 13010 */   MCD_OPC_CheckPredicate, 0, 7, 108, // Skip to: 40669
-/* 13014 */   MCD_OPC_CheckField, 21, 1, 1, 1, 108, // Skip to: 40669
-/* 13020 */   MCD_OPC_Decode, 186, 16, 112, // Opcode: UHADDv8i16
+/* 12992 */   MCD_OPC_CheckPredicate, 0, 253, 107, // Skip to: 40641
+/* 12996 */   MCD_OPC_CheckField, 21, 1, 1, 247, 107, // Skip to: 40641
+/* 13002 */   MCD_OPC_Decode, 168, 10, 112, // Opcode: SHADDv8i16
+/* 13006 */   MCD_OPC_FilterValue, 3, 239, 107, // Skip to: 40641
+/* 13010 */   MCD_OPC_CheckPredicate, 0, 235, 107, // Skip to: 40641
+/* 13014 */   MCD_OPC_CheckField, 21, 1, 1, 229, 107, // Skip to: 40641
+/* 13020 */   MCD_OPC_Decode, 188, 16, 112, // Opcode: UHADDv8i16
 /* 13024 */   MCD_OPC_FilterValue, 2, 75, 0, // Skip to: 13103
 /* 13028 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13031 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13049
-/* 13035 */   MCD_OPC_CheckPredicate, 0, 238, 107, // Skip to: 40669
-/* 13039 */   MCD_OPC_CheckField, 16, 6, 32, 232, 107, // Skip to: 40669
-/* 13045 */   MCD_OPC_Decode, 179, 9, 90, // Opcode: REV64v4i16
+/* 13035 */   MCD_OPC_CheckPredicate, 0, 210, 107, // Skip to: 40641
+/* 13039 */   MCD_OPC_CheckField, 16, 6, 32, 204, 107, // Skip to: 40641
+/* 13045 */   MCD_OPC_Decode, 181, 9, 90, // Opcode: REV64v4i16
 /* 13049 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13067
-/* 13053 */   MCD_OPC_CheckPredicate, 0, 220, 107, // Skip to: 40669
-/* 13057 */   MCD_OPC_CheckField, 16, 6, 32, 214, 107, // Skip to: 40669
-/* 13063 */   MCD_OPC_Decode, 174, 9, 90, // Opcode: REV32v4i16
+/* 13053 */   MCD_OPC_CheckPredicate, 0, 192, 107, // Skip to: 40641
+/* 13057 */   MCD_OPC_CheckField, 16, 6, 32, 186, 107, // Skip to: 40641
+/* 13063 */   MCD_OPC_Decode, 176, 9, 90, // Opcode: REV32v4i16
 /* 13067 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13085
-/* 13071 */   MCD_OPC_CheckPredicate, 0, 202, 107, // Skip to: 40669
-/* 13075 */   MCD_OPC_CheckField, 16, 6, 32, 196, 107, // Skip to: 40669
-/* 13081 */   MCD_OPC_Decode, 181, 9, 117, // Opcode: REV64v8i16
-/* 13085 */   MCD_OPC_FilterValue, 3, 188, 107, // Skip to: 40669
-/* 13089 */   MCD_OPC_CheckPredicate, 0, 184, 107, // Skip to: 40669
-/* 13093 */   MCD_OPC_CheckField, 16, 6, 32, 178, 107, // Skip to: 40669
-/* 13099 */   MCD_OPC_Decode, 175, 9, 117, // Opcode: REV32v8i16
+/* 13071 */   MCD_OPC_CheckPredicate, 0, 174, 107, // Skip to: 40641
+/* 13075 */   MCD_OPC_CheckField, 16, 6, 32, 168, 107, // Skip to: 40641
+/* 13081 */   MCD_OPC_Decode, 183, 9, 117, // Opcode: REV64v8i16
+/* 13085 */   MCD_OPC_FilterValue, 3, 160, 107, // Skip to: 40641
+/* 13089 */   MCD_OPC_CheckPredicate, 0, 156, 107, // Skip to: 40641
+/* 13093 */   MCD_OPC_CheckField, 16, 6, 32, 150, 107, // Skip to: 40641
+/* 13099 */   MCD_OPC_Decode, 177, 9, 117, // Opcode: REV32v8i16
 /* 13103 */   MCD_OPC_FilterValue, 3, 75, 0, // Skip to: 13182
 /* 13107 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13110 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13128
-/* 13114 */   MCD_OPC_CheckPredicate, 0, 159, 107, // Skip to: 40669
-/* 13118 */   MCD_OPC_CheckField, 21, 1, 1, 153, 107, // Skip to: 40669
-/* 13124 */   MCD_OPC_Decode, 165, 11, 89, // Opcode: SQADDv4i16
+/* 13114 */   MCD_OPC_CheckPredicate, 0, 131, 107, // Skip to: 40641
+/* 13118 */   MCD_OPC_CheckField, 21, 1, 1, 125, 107, // Skip to: 40641
+/* 13124 */   MCD_OPC_Decode, 167, 11, 89, // Opcode: SQADDv4i16
 /* 13128 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13146
-/* 13132 */   MCD_OPC_CheckPredicate, 0, 141, 107, // Skip to: 40669
-/* 13136 */   MCD_OPC_CheckField, 21, 1, 1, 135, 107, // Skip to: 40669
-/* 13142 */   MCD_OPC_Decode, 144, 17, 89, // Opcode: UQADDv4i16
+/* 13132 */   MCD_OPC_CheckPredicate, 0, 113, 107, // Skip to: 40641
+/* 13136 */   MCD_OPC_CheckField, 21, 1, 1, 107, 107, // Skip to: 40641
+/* 13142 */   MCD_OPC_Decode, 146, 17, 89, // Opcode: UQADDv4i16
 /* 13146 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13164
-/* 13150 */   MCD_OPC_CheckPredicate, 0, 123, 107, // Skip to: 40669
-/* 13154 */   MCD_OPC_CheckField, 21, 1, 1, 117, 107, // Skip to: 40669
-/* 13160 */   MCD_OPC_Decode, 167, 11, 112, // Opcode: SQADDv8i16
-/* 13164 */   MCD_OPC_FilterValue, 3, 109, 107, // Skip to: 40669
-/* 13168 */   MCD_OPC_CheckPredicate, 0, 105, 107, // Skip to: 40669
-/* 13172 */   MCD_OPC_CheckField, 21, 1, 1, 99, 107, // Skip to: 40669
-/* 13178 */   MCD_OPC_Decode, 146, 17, 112, // Opcode: UQADDv8i16
+/* 13150 */   MCD_OPC_CheckPredicate, 0, 95, 107, // Skip to: 40641
+/* 13154 */   MCD_OPC_CheckField, 21, 1, 1, 89, 107, // Skip to: 40641
+/* 13160 */   MCD_OPC_Decode, 169, 11, 112, // Opcode: SQADDv8i16
+/* 13164 */   MCD_OPC_FilterValue, 3, 81, 107, // Skip to: 40641
+/* 13168 */   MCD_OPC_CheckPredicate, 0, 77, 107, // Skip to: 40641
+/* 13172 */   MCD_OPC_CheckField, 21, 1, 1, 71, 107, // Skip to: 40641
+/* 13178 */   MCD_OPC_Decode, 148, 17, 112, // Opcode: UQADDv8i16
 /* 13182 */   MCD_OPC_FilterValue, 4, 75, 0, // Skip to: 13261
 /* 13186 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13189 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13207
-/* 13193 */   MCD_OPC_CheckPredicate, 0, 80, 107, // Skip to: 40669
-/* 13197 */   MCD_OPC_CheckField, 21, 1, 1, 74, 107, // Skip to: 40669
-/* 13203 */   MCD_OPC_Decode, 248, 9, 93, // Opcode: SADDWv4i16_v4i32
+/* 13193 */   MCD_OPC_CheckPredicate, 0, 52, 107, // Skip to: 40641
+/* 13197 */   MCD_OPC_CheckField, 21, 1, 1, 46, 107, // Skip to: 40641
+/* 13203 */   MCD_OPC_Decode, 250, 9, 93, // Opcode: SADDWv4i16_v4i32
 /* 13207 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13225
-/* 13211 */   MCD_OPC_CheckPredicate, 0, 62, 107, // Skip to: 40669
-/* 13215 */   MCD_OPC_CheckField, 21, 1, 1, 56, 107, // Skip to: 40669
-/* 13221 */   MCD_OPC_Decode, 154, 16, 93, // Opcode: UADDWv4i16_v4i32
+/* 13211 */   MCD_OPC_CheckPredicate, 0, 34, 107, // Skip to: 40641
+/* 13215 */   MCD_OPC_CheckField, 21, 1, 1, 28, 107, // Skip to: 40641
+/* 13221 */   MCD_OPC_Decode, 156, 16, 93, // Opcode: UADDWv4i16_v4i32
 /* 13225 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13243
-/* 13229 */   MCD_OPC_CheckPredicate, 0, 44, 107, // Skip to: 40669
-/* 13233 */   MCD_OPC_CheckField, 21, 1, 1, 38, 107, // Skip to: 40669
-/* 13239 */   MCD_OPC_Decode, 250, 9, 112, // Opcode: SADDWv8i16_v4i32
-/* 13243 */   MCD_OPC_FilterValue, 3, 30, 107, // Skip to: 40669
-/* 13247 */   MCD_OPC_CheckPredicate, 0, 26, 107, // Skip to: 40669
-/* 13251 */   MCD_OPC_CheckField, 21, 1, 1, 20, 107, // Skip to: 40669
-/* 13257 */   MCD_OPC_Decode, 156, 16, 112, // Opcode: UADDWv8i16_v4i32
+/* 13229 */   MCD_OPC_CheckPredicate, 0, 16, 107, // Skip to: 40641
+/* 13233 */   MCD_OPC_CheckField, 21, 1, 1, 10, 107, // Skip to: 40641
+/* 13239 */   MCD_OPC_Decode, 252, 9, 112, // Opcode: SADDWv8i16_v4i32
+/* 13243 */   MCD_OPC_FilterValue, 3, 2, 107, // Skip to: 40641
+/* 13247 */   MCD_OPC_CheckPredicate, 0, 254, 106, // Skip to: 40641
+/* 13251 */   MCD_OPC_CheckField, 21, 1, 1, 248, 106, // Skip to: 40641
+/* 13257 */   MCD_OPC_Decode, 158, 16, 112, // Opcode: UADDWv8i16_v4i32
 /* 13261 */   MCD_OPC_FilterValue, 5, 75, 0, // Skip to: 13340
 /* 13265 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13268 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13286
-/* 13272 */   MCD_OPC_CheckPredicate, 0, 1, 107, // Skip to: 40669
-/* 13276 */   MCD_OPC_CheckField, 21, 1, 1, 251, 106, // Skip to: 40669
-/* 13282 */   MCD_OPC_Decode, 223, 12, 89, // Opcode: SRHADDv4i16
+/* 13272 */   MCD_OPC_CheckPredicate, 0, 229, 106, // Skip to: 40641
+/* 13276 */   MCD_OPC_CheckField, 21, 1, 1, 223, 106, // Skip to: 40641
+/* 13282 */   MCD_OPC_Decode, 225, 12, 89, // Opcode: SRHADDv4i16
 /* 13286 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13304
-/* 13290 */   MCD_OPC_CheckPredicate, 0, 239, 106, // Skip to: 40669
-/* 13294 */   MCD_OPC_CheckField, 21, 1, 1, 233, 106, // Skip to: 40669
-/* 13300 */   MCD_OPC_Decode, 223, 17, 89, // Opcode: URHADDv4i16
+/* 13290 */   MCD_OPC_CheckPredicate, 0, 211, 106, // Skip to: 40641
+/* 13294 */   MCD_OPC_CheckField, 21, 1, 1, 205, 106, // Skip to: 40641
+/* 13300 */   MCD_OPC_Decode, 225, 17, 89, // Opcode: URHADDv4i16
 /* 13304 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13322
-/* 13308 */   MCD_OPC_CheckPredicate, 0, 221, 106, // Skip to: 40669
-/* 13312 */   MCD_OPC_CheckField, 21, 1, 1, 215, 106, // Skip to: 40669
-/* 13318 */   MCD_OPC_Decode, 225, 12, 112, // Opcode: SRHADDv8i16
-/* 13322 */   MCD_OPC_FilterValue, 3, 207, 106, // Skip to: 40669
-/* 13326 */   MCD_OPC_CheckPredicate, 0, 203, 106, // Skip to: 40669
-/* 13330 */   MCD_OPC_CheckField, 21, 1, 1, 197, 106, // Skip to: 40669
-/* 13336 */   MCD_OPC_Decode, 225, 17, 112, // Opcode: URHADDv8i16
+/* 13308 */   MCD_OPC_CheckPredicate, 0, 193, 106, // Skip to: 40641
+/* 13312 */   MCD_OPC_CheckField, 21, 1, 1, 187, 106, // Skip to: 40641
+/* 13318 */   MCD_OPC_Decode, 227, 12, 112, // Opcode: SRHADDv8i16
+/* 13322 */   MCD_OPC_FilterValue, 3, 179, 106, // Skip to: 40641
+/* 13326 */   MCD_OPC_CheckPredicate, 0, 175, 106, // Skip to: 40641
+/* 13330 */   MCD_OPC_CheckField, 21, 1, 1, 169, 106, // Skip to: 40641
+/* 13336 */   MCD_OPC_Decode, 227, 17, 112, // Opcode: URHADDv8i16
 /* 13340 */   MCD_OPC_FilterValue, 6, 39, 0, // Skip to: 13383
 /* 13344 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13347 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13365
-/* 13351 */   MCD_OPC_CheckPredicate, 0, 178, 106, // Skip to: 40669
-/* 13355 */   MCD_OPC_CheckField, 21, 1, 0, 172, 106, // Skip to: 40669
-/* 13361 */   MCD_OPC_Decode, 181, 18, 89, // Opcode: UZP1v4i16
-/* 13365 */   MCD_OPC_FilterValue, 2, 164, 106, // Skip to: 40669
-/* 13369 */   MCD_OPC_CheckPredicate, 0, 160, 106, // Skip to: 40669
-/* 13373 */   MCD_OPC_CheckField, 21, 1, 0, 154, 106, // Skip to: 40669
-/* 13379 */   MCD_OPC_Decode, 183, 18, 112, // Opcode: UZP1v8i16
-/* 13383 */   MCD_OPC_FilterValue, 7, 71, 0, // Skip to: 13458
+/* 13351 */   MCD_OPC_CheckPredicate, 0, 150, 106, // Skip to: 40641
+/* 13355 */   MCD_OPC_CheckField, 21, 1, 0, 144, 106, // Skip to: 40641
+/* 13361 */   MCD_OPC_Decode, 183, 18, 89, // Opcode: UZP1v4i16
+/* 13365 */   MCD_OPC_FilterValue, 2, 136, 106, // Skip to: 40641
+/* 13369 */   MCD_OPC_CheckPredicate, 0, 132, 106, // Skip to: 40641
+/* 13373 */   MCD_OPC_CheckField, 21, 1, 0, 126, 106, // Skip to: 40641
+/* 13379 */   MCD_OPC_Decode, 185, 18, 112, // Opcode: UZP1v8i16
+/* 13383 */   MCD_OPC_FilterValue, 7, 73, 0, // Skip to: 13460
 /* 13387 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
 /* 13390 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 13407
-/* 13394 */   MCD_OPC_CheckPredicate, 0, 135, 106, // Skip to: 40669
-/* 13398 */   MCD_OPC_CheckField, 21, 1, 1, 129, 106, // Skip to: 40669
-/* 13404 */   MCD_OPC_Decode, 117, 89, // Opcode: BICv8i8
-/* 13407 */   MCD_OPC_FilterValue, 1, 13, 0, // Skip to: 13424
-/* 13411 */   MCD_OPC_CheckPredicate, 0, 118, 106, // Skip to: 40669
-/* 13415 */   MCD_OPC_CheckField, 21, 1, 1, 112, 106, // Skip to: 40669
-/* 13421 */   MCD_OPC_Decode, 127, 109, // Opcode: BSLv8i8
-/* 13424 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 13441
-/* 13428 */   MCD_OPC_CheckPredicate, 0, 101, 106, // Skip to: 40669
-/* 13432 */   MCD_OPC_CheckField, 21, 1, 1, 95, 106, // Skip to: 40669
-/* 13438 */   MCD_OPC_Decode, 112, 112, // Opcode: BICv16i8
-/* 13441 */   MCD_OPC_FilterValue, 3, 88, 106, // Skip to: 40669
-/* 13445 */   MCD_OPC_CheckPredicate, 0, 84, 106, // Skip to: 40669
-/* 13449 */   MCD_OPC_CheckField, 21, 1, 1, 78, 106, // Skip to: 40669
-/* 13455 */   MCD_OPC_Decode, 126, 120, // Opcode: BSLv16i8
-/* 13458 */   MCD_OPC_FilterValue, 8, 75, 0, // Skip to: 13537
-/* 13462 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13465 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13483
-/* 13469 */   MCD_OPC_CheckPredicate, 0, 60, 106, // Skip to: 40669
-/* 13473 */   MCD_OPC_CheckField, 21, 1, 1, 54, 106, // Skip to: 40669
-/* 13479 */   MCD_OPC_Decode, 163, 13, 85, // Opcode: SSUBLv4i16_v4i32
-/* 13483 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13501
-/* 13487 */   MCD_OPC_CheckPredicate, 0, 42, 106, // Skip to: 40669
-/* 13491 */   MCD_OPC_CheckField, 21, 1, 1, 36, 106, // Skip to: 40669
-/* 13497 */   MCD_OPC_Decode, 168, 18, 85, // Opcode: USUBLv4i16_v4i32
-/* 13501 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13519
-/* 13505 */   MCD_OPC_CheckPredicate, 0, 24, 106, // Skip to: 40669
-/* 13509 */   MCD_OPC_CheckField, 21, 1, 1, 18, 106, // Skip to: 40669
-/* 13515 */   MCD_OPC_Decode, 165, 13, 112, // Opcode: SSUBLv8i16_v4i32
-/* 13519 */   MCD_OPC_FilterValue, 3, 10, 106, // Skip to: 40669
-/* 13523 */   MCD_OPC_CheckPredicate, 0, 6, 106, // Skip to: 40669
-/* 13527 */   MCD_OPC_CheckField, 21, 1, 1, 0, 106, // Skip to: 40669
-/* 13533 */   MCD_OPC_Decode, 170, 18, 112, // Opcode: USUBLv8i16_v4i32
-/* 13537 */   MCD_OPC_FilterValue, 9, 75, 0, // Skip to: 13616
-/* 13541 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13544 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13562
-/* 13548 */   MCD_OPC_CheckPredicate, 0, 237, 105, // Skip to: 40669
-/* 13552 */   MCD_OPC_CheckField, 21, 1, 1, 231, 105, // Skip to: 40669
-/* 13558 */   MCD_OPC_Decode, 190, 10, 89, // Opcode: SHSUBv4i16
-/* 13562 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13580
-/* 13566 */   MCD_OPC_CheckPredicate, 0, 219, 105, // Skip to: 40669
-/* 13570 */   MCD_OPC_CheckField, 21, 1, 1, 213, 105, // Skip to: 40669
-/* 13576 */   MCD_OPC_Decode, 190, 16, 89, // Opcode: UHSUBv4i16
-/* 13580 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13598
-/* 13584 */   MCD_OPC_CheckPredicate, 0, 201, 105, // Skip to: 40669
-/* 13588 */   MCD_OPC_CheckField, 21, 1, 1, 195, 105, // Skip to: 40669
-/* 13594 */   MCD_OPC_Decode, 192, 10, 112, // Opcode: SHSUBv8i16
-/* 13598 */   MCD_OPC_FilterValue, 3, 187, 105, // Skip to: 40669
-/* 13602 */   MCD_OPC_CheckPredicate, 0, 183, 105, // Skip to: 40669
-/* 13606 */   MCD_OPC_CheckField, 21, 1, 1, 177, 105, // Skip to: 40669
-/* 13612 */   MCD_OPC_Decode, 192, 16, 112, // Opcode: UHSUBv8i16
-/* 13616 */   MCD_OPC_FilterValue, 10, 165, 0, // Skip to: 13785
-/* 13620 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13623 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 13673
-/* 13627 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13630 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13642
-/* 13634 */   MCD_OPC_CheckPredicate, 0, 151, 105, // Skip to: 40669
-/* 13638 */   MCD_OPC_Decode, 222, 15, 89, // Opcode: TRN1v4i16
-/* 13642 */   MCD_OPC_FilterValue, 1, 143, 105, // Skip to: 40669
-/* 13646 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 13649 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13661
-/* 13653 */   MCD_OPC_CheckPredicate, 0, 132, 105, // Skip to: 40669
-/* 13657 */   MCD_OPC_Decode, 231, 9, 90, // Opcode: SADDLPv4i16_v2i32
-/* 13661 */   MCD_OPC_FilterValue, 1, 124, 105, // Skip to: 40669
-/* 13665 */   MCD_OPC_CheckPredicate, 0, 120, 105, // Skip to: 40669
-/* 13669 */   MCD_OPC_Decode, 194, 18, 95, // Opcode: XTNv4i16
-/* 13673 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 13704
-/* 13677 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 13680 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 13692
-/* 13684 */   MCD_OPC_CheckPredicate, 0, 101, 105, // Skip to: 40669
-/* 13688 */   MCD_OPC_Decode, 137, 16, 90, // Opcode: UADDLPv4i16_v2i32
-/* 13692 */   MCD_OPC_FilterValue, 33, 93, 105, // Skip to: 40669
-/* 13696 */   MCD_OPC_CheckPredicate, 0, 89, 105, // Skip to: 40669
-/* 13700 */   MCD_OPC_Decode, 217, 12, 95, // Opcode: SQXTUNv4i16
-/* 13704 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 13754
-/* 13708 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13711 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13723
-/* 13715 */   MCD_OPC_CheckPredicate, 0, 70, 105, // Skip to: 40669
-/* 13719 */   MCD_OPC_Decode, 224, 15, 112, // Opcode: TRN1v8i16
-/* 13723 */   MCD_OPC_FilterValue, 1, 62, 105, // Skip to: 40669
-/* 13727 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 13730 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13742
-/* 13734 */   MCD_OPC_CheckPredicate, 0, 51, 105, // Skip to: 40669
-/* 13738 */   MCD_OPC_Decode, 233, 9, 117, // Opcode: SADDLPv8i16_v4i32
-/* 13742 */   MCD_OPC_FilterValue, 1, 43, 105, // Skip to: 40669
-/* 13746 */   MCD_OPC_CheckPredicate, 0, 39, 105, // Skip to: 40669
-/* 13750 */   MCD_OPC_Decode, 196, 18, 126, // Opcode: XTNv8i16
-/* 13754 */   MCD_OPC_FilterValue, 3, 31, 105, // Skip to: 40669
-/* 13758 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 13761 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 13773
-/* 13765 */   MCD_OPC_CheckPredicate, 0, 20, 105, // Skip to: 40669
-/* 13769 */   MCD_OPC_Decode, 139, 16, 117, // Opcode: UADDLPv8i16_v4i32
-/* 13773 */   MCD_OPC_FilterValue, 33, 12, 105, // Skip to: 40669
-/* 13777 */   MCD_OPC_CheckPredicate, 0, 8, 105, // Skip to: 40669
-/* 13781 */   MCD_OPC_Decode, 219, 12, 126, // Opcode: SQXTUNv8i16
-/* 13785 */   MCD_OPC_FilterValue, 11, 75, 0, // Skip to: 13864
-/* 13789 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13792 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13810
-/* 13796 */   MCD_OPC_CheckPredicate, 0, 245, 104, // Skip to: 40669
-/* 13800 */   MCD_OPC_CheckField, 21, 1, 1, 239, 104, // Skip to: 40669
-/* 13806 */   MCD_OPC_Decode, 199, 12, 89, // Opcode: SQSUBv4i16
-/* 13810 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13828
-/* 13814 */   MCD_OPC_CheckPredicate, 0, 227, 104, // Skip to: 40669
-/* 13818 */   MCD_OPC_CheckField, 21, 1, 1, 221, 104, // Skip to: 40669
-/* 13824 */   MCD_OPC_Decode, 206, 17, 89, // Opcode: UQSUBv4i16
-/* 13828 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13846
-/* 13832 */   MCD_OPC_CheckPredicate, 0, 209, 104, // Skip to: 40669
-/* 13836 */   MCD_OPC_CheckField, 21, 1, 1, 203, 104, // Skip to: 40669
-/* 13842 */   MCD_OPC_Decode, 201, 12, 112, // Opcode: SQSUBv8i16
-/* 13846 */   MCD_OPC_FilterValue, 3, 195, 104, // Skip to: 40669
-/* 13850 */   MCD_OPC_CheckPredicate, 0, 191, 104, // Skip to: 40669
-/* 13854 */   MCD_OPC_CheckField, 21, 1, 1, 185, 104, // Skip to: 40669
-/* 13860 */   MCD_OPC_Decode, 208, 17, 112, // Opcode: UQSUBv8i16
-/* 13864 */   MCD_OPC_FilterValue, 12, 75, 0, // Skip to: 13943
-/* 13868 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13871 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13889
-/* 13875 */   MCD_OPC_CheckPredicate, 0, 166, 104, // Skip to: 40669
-/* 13879 */   MCD_OPC_CheckField, 21, 1, 1, 160, 104, // Skip to: 40669
-/* 13885 */   MCD_OPC_Decode, 169, 13, 93, // Opcode: SSUBWv4i16_v4i32
-/* 13889 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13907
-/* 13893 */   MCD_OPC_CheckPredicate, 0, 148, 104, // Skip to: 40669
-/* 13897 */   MCD_OPC_CheckField, 21, 1, 1, 142, 104, // Skip to: 40669
-/* 13903 */   MCD_OPC_Decode, 174, 18, 93, // Opcode: USUBWv4i16_v4i32
-/* 13907 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13925
-/* 13911 */   MCD_OPC_CheckPredicate, 0, 130, 104, // Skip to: 40669
-/* 13915 */   MCD_OPC_CheckField, 21, 1, 1, 124, 104, // Skip to: 40669
-/* 13921 */   MCD_OPC_Decode, 171, 13, 112, // Opcode: SSUBWv8i16_v4i32
-/* 13925 */   MCD_OPC_FilterValue, 3, 116, 104, // Skip to: 40669
-/* 13929 */   MCD_OPC_CheckPredicate, 0, 112, 104, // Skip to: 40669
-/* 13933 */   MCD_OPC_CheckField, 21, 1, 1, 106, 104, // Skip to: 40669
-/* 13939 */   MCD_OPC_Decode, 176, 18, 112, // Opcode: USUBWv8i16_v4i32
-/* 13943 */   MCD_OPC_FilterValue, 13, 75, 0, // Skip to: 14022
-/* 13947 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 13950 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13968
-/* 13954 */   MCD_OPC_CheckPredicate, 0, 87, 104, // Skip to: 40669
-/* 13958 */   MCD_OPC_CheckField, 21, 1, 1, 81, 104, // Skip to: 40669
-/* 13964 */   MCD_OPC_Decode, 198, 1, 89, // Opcode: CMGTv4i16
-/* 13968 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13986
-/* 13972 */   MCD_OPC_CheckPredicate, 0, 69, 104, // Skip to: 40669
-/* 13976 */   MCD_OPC_CheckField, 21, 1, 1, 63, 104, // Skip to: 40669
-/* 13982 */   MCD_OPC_Decode, 210, 1, 89, // Opcode: CMHIv4i16
-/* 13986 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14004
-/* 13990 */   MCD_OPC_CheckPredicate, 0, 51, 104, // Skip to: 40669
-/* 13994 */   MCD_OPC_CheckField, 21, 1, 1, 45, 104, // Skip to: 40669
-/* 14000 */   MCD_OPC_Decode, 202, 1, 112, // Opcode: CMGTv8i16
-/* 14004 */   MCD_OPC_FilterValue, 3, 37, 104, // Skip to: 40669
-/* 14008 */   MCD_OPC_CheckPredicate, 0, 33, 104, // Skip to: 40669
-/* 14012 */   MCD_OPC_CheckField, 21, 1, 1, 27, 104, // Skip to: 40669
-/* 14018 */   MCD_OPC_Decode, 212, 1, 112, // Opcode: CMHIv8i16
-/* 14022 */   MCD_OPC_FilterValue, 14, 193, 0, // Skip to: 14219
-/* 14026 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14029 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 14080
-/* 14033 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 14036 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14048
-/* 14040 */   MCD_OPC_CheckPredicate, 0, 1, 104, // Skip to: 40669
-/* 14044 */   MCD_OPC_Decode, 201, 18, 89, // Opcode: ZIP1v4i16
-/* 14048 */   MCD_OPC_FilterValue, 1, 249, 103, // Skip to: 40669
-/* 14052 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 14055 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14067
-/* 14059 */   MCD_OPC_CheckPredicate, 0, 238, 103, // Skip to: 40669
-/* 14063 */   MCD_OPC_Decode, 188, 15, 99, // Opcode: SUQADDv4i16
-/* 14067 */   MCD_OPC_FilterValue, 16, 230, 103, // Skip to: 40669
-/* 14071 */   MCD_OPC_CheckPredicate, 0, 226, 103, // Skip to: 40669
-/* 14075 */   MCD_OPC_Decode, 236, 9, 144, 1, // Opcode: SADDLVv4i16v
-/* 14080 */   MCD_OPC_FilterValue, 1, 40, 0, // Skip to: 14124
-/* 14084 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14087 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14099
-/* 14091 */   MCD_OPC_CheckPredicate, 0, 206, 103, // Skip to: 40669
-/* 14095 */   MCD_OPC_Decode, 154, 18, 99, // Opcode: USQADDv4i16
-/* 14099 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 14111
-/* 14103 */   MCD_OPC_CheckPredicate, 0, 194, 103, // Skip to: 40669
-/* 14107 */   MCD_OPC_Decode, 170, 10, 108, // Opcode: SHLLv4i16
-/* 14111 */   MCD_OPC_FilterValue, 48, 186, 103, // Skip to: 40669
-/* 14115 */   MCD_OPC_CheckPredicate, 0, 182, 103, // Skip to: 40669
-/* 14119 */   MCD_OPC_Decode, 142, 16, 144, 1, // Opcode: UADDLVv4i16v
-/* 14124 */   MCD_OPC_FilterValue, 2, 47, 0, // Skip to: 14175
-/* 14128 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 14131 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14143
-/* 14135 */   MCD_OPC_CheckPredicate, 0, 162, 103, // Skip to: 40669
-/* 14139 */   MCD_OPC_Decode, 203, 18, 112, // Opcode: ZIP1v8i16
-/* 14143 */   MCD_OPC_FilterValue, 1, 154, 103, // Skip to: 40669
-/* 14147 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 14150 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14162
-/* 14154 */   MCD_OPC_CheckPredicate, 0, 143, 103, // Skip to: 40669
-/* 14158 */   MCD_OPC_Decode, 190, 15, 126, // Opcode: SUQADDv8i16
-/* 14162 */   MCD_OPC_FilterValue, 16, 135, 103, // Skip to: 40669
-/* 14166 */   MCD_OPC_CheckPredicate, 0, 131, 103, // Skip to: 40669
-/* 14170 */   MCD_OPC_Decode, 238, 9, 139, 1, // Opcode: SADDLVv8i16v
-/* 14175 */   MCD_OPC_FilterValue, 3, 122, 103, // Skip to: 40669
-/* 14179 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14182 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14194
-/* 14186 */   MCD_OPC_CheckPredicate, 0, 111, 103, // Skip to: 40669
-/* 14190 */   MCD_OPC_Decode, 156, 18, 126, // Opcode: USQADDv8i16
-/* 14194 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 14206
-/* 14198 */   MCD_OPC_CheckPredicate, 0, 99, 103, // Skip to: 40669
-/* 14202 */   MCD_OPC_Decode, 172, 10, 117, // Opcode: SHLLv8i16
-/* 14206 */   MCD_OPC_FilterValue, 48, 91, 103, // Skip to: 40669
-/* 14210 */   MCD_OPC_CheckPredicate, 0, 87, 103, // Skip to: 40669
-/* 14214 */   MCD_OPC_Decode, 144, 16, 139, 1, // Opcode: UADDLVv8i16v
-/* 14219 */   MCD_OPC_FilterValue, 15, 75, 0, // Skip to: 14298
-/* 14223 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14226 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14244
-/* 14230 */   MCD_OPC_CheckPredicate, 0, 67, 103, // Skip to: 40669
-/* 14234 */   MCD_OPC_CheckField, 21, 1, 1, 61, 103, // Skip to: 40669
-/* 14240 */   MCD_OPC_Decode, 182, 1, 89, // Opcode: CMGEv4i16
-/* 14244 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14262
-/* 14248 */   MCD_OPC_CheckPredicate, 0, 49, 103, // Skip to: 40669
-/* 14252 */   MCD_OPC_CheckField, 21, 1, 1, 43, 103, // Skip to: 40669
-/* 14258 */   MCD_OPC_Decode, 218, 1, 89, // Opcode: CMHSv4i16
-/* 14262 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14280
-/* 14266 */   MCD_OPC_CheckPredicate, 0, 31, 103, // Skip to: 40669
-/* 14270 */   MCD_OPC_CheckField, 21, 1, 1, 25, 103, // Skip to: 40669
-/* 14276 */   MCD_OPC_Decode, 186, 1, 112, // Opcode: CMGEv8i16
-/* 14280 */   MCD_OPC_FilterValue, 3, 17, 103, // Skip to: 40669
-/* 14284 */   MCD_OPC_CheckPredicate, 0, 13, 103, // Skip to: 40669
-/* 14288 */   MCD_OPC_CheckField, 21, 1, 1, 7, 103, // Skip to: 40669
-/* 14294 */   MCD_OPC_Decode, 220, 1, 112, // Opcode: CMHSv8i16
-/* 14298 */   MCD_OPC_FilterValue, 16, 73, 0, // Skip to: 14375
-/* 14302 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14305 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 14322
-/* 14309 */   MCD_OPC_CheckPredicate, 0, 244, 102, // Skip to: 40669
-/* 14313 */   MCD_OPC_CheckField, 21, 1, 1, 238, 102, // Skip to: 40669
-/* 14319 */   MCD_OPC_Decode, 34, 103, // Opcode: ADDHNv4i32_v4i16
-/* 14322 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14340
-/* 14326 */   MCD_OPC_CheckPredicate, 0, 227, 102, // Skip to: 40669
-/* 14330 */   MCD_OPC_CheckField, 21, 1, 1, 221, 102, // Skip to: 40669
-/* 14336 */   MCD_OPC_Decode, 158, 9, 103, // Opcode: RADDHNv4i32_v4i16
-/* 14340 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 14357
-/* 14344 */   MCD_OPC_CheckPredicate, 0, 209, 102, // Skip to: 40669
-/* 14348 */   MCD_OPC_CheckField, 21, 1, 1, 203, 102, // Skip to: 40669
-/* 14354 */   MCD_OPC_Decode, 35, 120, // Opcode: ADDHNv4i32_v8i16
-/* 14357 */   MCD_OPC_FilterValue, 3, 196, 102, // Skip to: 40669
-/* 14361 */   MCD_OPC_CheckPredicate, 0, 192, 102, // Skip to: 40669
-/* 14365 */   MCD_OPC_CheckField, 21, 1, 1, 186, 102, // Skip to: 40669
-/* 14371 */   MCD_OPC_Decode, 159, 9, 120, // Opcode: RADDHNv4i32_v8i16
-/* 14375 */   MCD_OPC_FilterValue, 17, 75, 0, // Skip to: 14454
-/* 14379 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14382 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14400
-/* 14386 */   MCD_OPC_CheckPredicate, 0, 167, 102, // Skip to: 40669
-/* 14390 */   MCD_OPC_CheckField, 21, 1, 1, 161, 102, // Skip to: 40669
-/* 14396 */   MCD_OPC_Decode, 141, 13, 89, // Opcode: SSHLv4i16
-/* 14400 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14418
-/* 14404 */   MCD_OPC_CheckPredicate, 0, 149, 102, // Skip to: 40669
-/* 14408 */   MCD_OPC_CheckField, 21, 1, 1, 143, 102, // Skip to: 40669
-/* 14414 */   MCD_OPC_Decode, 135, 18, 89, // Opcode: USHLv4i16
-/* 14418 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14436
-/* 14422 */   MCD_OPC_CheckPredicate, 0, 131, 102, // Skip to: 40669
-/* 14426 */   MCD_OPC_CheckField, 21, 1, 1, 125, 102, // Skip to: 40669
-/* 14432 */   MCD_OPC_Decode, 143, 13, 112, // Opcode: SSHLv8i16
-/* 14436 */   MCD_OPC_FilterValue, 3, 117, 102, // Skip to: 40669
-/* 14440 */   MCD_OPC_CheckPredicate, 0, 113, 102, // Skip to: 40669
-/* 14444 */   MCD_OPC_CheckField, 21, 1, 1, 107, 102, // Skip to: 40669
-/* 14450 */   MCD_OPC_Decode, 137, 18, 112, // Opcode: USHLv8i16
-/* 14454 */   MCD_OPC_FilterValue, 18, 127, 0, // Skip to: 14585
-/* 14458 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14461 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 14492
-/* 14465 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14468 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14480
-/* 14472 */   MCD_OPC_CheckPredicate, 0, 81, 102, // Skip to: 40669
-/* 14476 */   MCD_OPC_Decode, 146, 1, 90, // Opcode: CLSv4i16
-/* 14480 */   MCD_OPC_FilterValue, 33, 73, 102, // Skip to: 40669
-/* 14484 */   MCD_OPC_CheckPredicate, 0, 69, 102, // Skip to: 40669
-/* 14488 */   MCD_OPC_Decode, 208, 12, 95, // Opcode: SQXTNv4i16
-/* 14492 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 14523
-/* 14496 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14499 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14511
-/* 14503 */   MCD_OPC_CheckPredicate, 0, 50, 102, // Skip to: 40669
-/* 14507 */   MCD_OPC_Decode, 154, 1, 90, // Opcode: CLZv4i16
-/* 14511 */   MCD_OPC_FilterValue, 33, 42, 102, // Skip to: 40669
-/* 14515 */   MCD_OPC_CheckPredicate, 0, 38, 102, // Skip to: 40669
-/* 14519 */   MCD_OPC_Decode, 215, 17, 95, // Opcode: UQXTNv4i16
-/* 14523 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 14554
-/* 14527 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14530 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14542
-/* 14534 */   MCD_OPC_CheckPredicate, 0, 19, 102, // Skip to: 40669
-/* 14538 */   MCD_OPC_Decode, 148, 1, 117, // Opcode: CLSv8i16
-/* 14542 */   MCD_OPC_FilterValue, 33, 11, 102, // Skip to: 40669
-/* 14546 */   MCD_OPC_CheckPredicate, 0, 7, 102, // Skip to: 40669
-/* 14550 */   MCD_OPC_Decode, 210, 12, 126, // Opcode: SQXTNv8i16
-/* 14554 */   MCD_OPC_FilterValue, 3, 255, 101, // Skip to: 40669
-/* 14558 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 14561 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14573
-/* 14565 */   MCD_OPC_CheckPredicate, 0, 244, 101, // Skip to: 40669
-/* 14569 */   MCD_OPC_Decode, 156, 1, 117, // Opcode: CLZv8i16
-/* 14573 */   MCD_OPC_FilterValue, 33, 236, 101, // Skip to: 40669
-/* 14577 */   MCD_OPC_CheckPredicate, 0, 232, 101, // Skip to: 40669
-/* 14581 */   MCD_OPC_Decode, 217, 17, 126, // Opcode: UQXTNv8i16
-/* 14585 */   MCD_OPC_FilterValue, 19, 75, 0, // Skip to: 14664
-/* 14589 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14592 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14610
-/* 14596 */   MCD_OPC_CheckPredicate, 0, 213, 101, // Skip to: 40669
-/* 14600 */   MCD_OPC_CheckField, 21, 1, 1, 207, 101, // Skip to: 40669
-/* 14606 */   MCD_OPC_Decode, 166, 12, 89, // Opcode: SQSHLv4i16
-/* 14610 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14628
-/* 14614 */   MCD_OPC_CheckPredicate, 0, 195, 101, // Skip to: 40669
-/* 14618 */   MCD_OPC_CheckField, 21, 1, 1, 189, 101, // Skip to: 40669
-/* 14624 */   MCD_OPC_Decode, 182, 17, 89, // Opcode: UQSHLv4i16
-/* 14628 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14646
-/* 14632 */   MCD_OPC_CheckPredicate, 0, 177, 101, // Skip to: 40669
-/* 14636 */   MCD_OPC_CheckField, 21, 1, 1, 171, 101, // Skip to: 40669
-/* 14642 */   MCD_OPC_Decode, 170, 12, 112, // Opcode: SQSHLv8i16
-/* 14646 */   MCD_OPC_FilterValue, 3, 163, 101, // Skip to: 40669
-/* 14650 */   MCD_OPC_CheckPredicate, 0, 159, 101, // Skip to: 40669
-/* 14654 */   MCD_OPC_CheckField, 21, 1, 1, 153, 101, // Skip to: 40669
-/* 14660 */   MCD_OPC_Decode, 186, 17, 112, // Opcode: UQSHLv8i16
-/* 14664 */   MCD_OPC_FilterValue, 20, 75, 0, // Skip to: 14743
-/* 14668 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14671 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14689
-/* 14675 */   MCD_OPC_CheckPredicate, 0, 134, 101, // Skip to: 40669
-/* 14679 */   MCD_OPC_CheckField, 21, 1, 1, 128, 101, // Skip to: 40669
-/* 14685 */   MCD_OPC_Decode, 201, 9, 105, // Opcode: SABALv4i16_v4i32
-/* 14689 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14707
-/* 14693 */   MCD_OPC_CheckPredicate, 0, 116, 101, // Skip to: 40669
-/* 14697 */   MCD_OPC_CheckField, 21, 1, 1, 110, 101, // Skip to: 40669
-/* 14703 */   MCD_OPC_Decode, 235, 15, 105, // Opcode: UABALv4i16_v4i32
-/* 14707 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14725
-/* 14711 */   MCD_OPC_CheckPredicate, 0, 98, 101, // Skip to: 40669
-/* 14715 */   MCD_OPC_CheckField, 21, 1, 1, 92, 101, // Skip to: 40669
-/* 14721 */   MCD_OPC_Decode, 203, 9, 120, // Opcode: SABALv8i16_v4i32
-/* 14725 */   MCD_OPC_FilterValue, 3, 84, 101, // Skip to: 40669
-/* 14729 */   MCD_OPC_CheckPredicate, 0, 80, 101, // Skip to: 40669
-/* 14733 */   MCD_OPC_CheckField, 21, 1, 1, 74, 101, // Skip to: 40669
-/* 14739 */   MCD_OPC_Decode, 237, 15, 120, // Opcode: UABALv8i16_v4i32
-/* 14743 */   MCD_OPC_FilterValue, 21, 75, 0, // Skip to: 14822
-/* 14747 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14750 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14768
-/* 14754 */   MCD_OPC_CheckPredicate, 0, 55, 101, // Skip to: 40669
-/* 14758 */   MCD_OPC_CheckField, 21, 1, 1, 49, 101, // Skip to: 40669
-/* 14764 */   MCD_OPC_Decode, 239, 12, 89, // Opcode: SRSHLv4i16
-/* 14768 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14786
-/* 14772 */   MCD_OPC_CheckPredicate, 0, 37, 101, // Skip to: 40669
-/* 14776 */   MCD_OPC_CheckField, 21, 1, 1, 31, 101, // Skip to: 40669
-/* 14782 */   MCD_OPC_Decode, 231, 17, 89, // Opcode: URSHLv4i16
-/* 14786 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14804
-/* 14790 */   MCD_OPC_CheckPredicate, 0, 19, 101, // Skip to: 40669
-/* 14794 */   MCD_OPC_CheckField, 21, 1, 1, 13, 101, // Skip to: 40669
-/* 14800 */   MCD_OPC_Decode, 241, 12, 112, // Opcode: SRSHLv8i16
-/* 14804 */   MCD_OPC_FilterValue, 3, 5, 101, // Skip to: 40669
-/* 14808 */   MCD_OPC_CheckPredicate, 0, 1, 101, // Skip to: 40669
-/* 14812 */   MCD_OPC_CheckField, 21, 1, 1, 251, 100, // Skip to: 40669
-/* 14818 */   MCD_OPC_Decode, 233, 17, 112, // Opcode: URSHLv8i16
-/* 14822 */   MCD_OPC_FilterValue, 22, 75, 0, // Skip to: 14901
-/* 14826 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14829 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14847
-/* 14833 */   MCD_OPC_CheckPredicate, 0, 232, 100, // Skip to: 40669
-/* 14837 */   MCD_OPC_CheckField, 21, 1, 0, 226, 100, // Skip to: 40669
-/* 14843 */   MCD_OPC_Decode, 188, 18, 89, // Opcode: UZP2v4i16
-/* 14847 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14865
-/* 14851 */   MCD_OPC_CheckPredicate, 0, 214, 100, // Skip to: 40669
-/* 14855 */   MCD_OPC_CheckField, 16, 6, 32, 208, 100, // Skip to: 40669
-/* 14861 */   MCD_OPC_Decode, 165, 9, 90, // Opcode: RBITv8i8
-/* 14865 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14883
-/* 14869 */   MCD_OPC_CheckPredicate, 0, 196, 100, // Skip to: 40669
-/* 14873 */   MCD_OPC_CheckField, 21, 1, 0, 190, 100, // Skip to: 40669
-/* 14879 */   MCD_OPC_Decode, 190, 18, 112, // Opcode: UZP2v8i16
-/* 14883 */   MCD_OPC_FilterValue, 3, 182, 100, // Skip to: 40669
-/* 14887 */   MCD_OPC_CheckPredicate, 0, 178, 100, // Skip to: 40669
-/* 14891 */   MCD_OPC_CheckField, 16, 6, 32, 172, 100, // Skip to: 40669
-/* 14897 */   MCD_OPC_Decode, 164, 9, 117, // Opcode: RBITv16i8
-/* 14901 */   MCD_OPC_FilterValue, 23, 75, 0, // Skip to: 14980
-/* 14905 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14908 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14926
-/* 14912 */   MCD_OPC_CheckPredicate, 0, 153, 100, // Skip to: 40669
-/* 14916 */   MCD_OPC_CheckField, 21, 1, 1, 147, 100, // Skip to: 40669
-/* 14922 */   MCD_OPC_Decode, 247, 11, 89, // Opcode: SQRSHLv4i16
-/* 14926 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14944
-/* 14930 */   MCD_OPC_CheckPredicate, 0, 135, 100, // Skip to: 40669
-/* 14934 */   MCD_OPC_CheckField, 21, 1, 1, 129, 100, // Skip to: 40669
-/* 14940 */   MCD_OPC_Decode, 155, 17, 89, // Opcode: UQRSHLv4i16
-/* 14944 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14962
-/* 14948 */   MCD_OPC_CheckPredicate, 0, 117, 100, // Skip to: 40669
-/* 14952 */   MCD_OPC_CheckField, 21, 1, 1, 111, 100, // Skip to: 40669
-/* 14958 */   MCD_OPC_Decode, 249, 11, 112, // Opcode: SQRSHLv8i16
-/* 14962 */   MCD_OPC_FilterValue, 3, 103, 100, // Skip to: 40669
-/* 14966 */   MCD_OPC_CheckPredicate, 0, 99, 100, // Skip to: 40669
-/* 14970 */   MCD_OPC_CheckField, 21, 1, 1, 93, 100, // Skip to: 40669
-/* 14976 */   MCD_OPC_Decode, 157, 17, 112, // Opcode: UQRSHLv8i16
-/* 14980 */   MCD_OPC_FilterValue, 24, 75, 0, // Skip to: 15059
-/* 14984 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 14987 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15005
-/* 14991 */   MCD_OPC_CheckPredicate, 0, 74, 100, // Skip to: 40669
-/* 14995 */   MCD_OPC_CheckField, 21, 1, 1, 68, 100, // Skip to: 40669
-/* 15001 */   MCD_OPC_Decode, 151, 15, 103, // Opcode: SUBHNv4i32_v4i16
-/* 15005 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15023
-/* 15009 */   MCD_OPC_CheckPredicate, 0, 56, 100, // Skip to: 40669
-/* 15013 */   MCD_OPC_CheckField, 21, 1, 1, 50, 100, // Skip to: 40669
-/* 15019 */   MCD_OPC_Decode, 195, 9, 103, // Opcode: RSUBHNv4i32_v4i16
-/* 15023 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15041
-/* 15027 */   MCD_OPC_CheckPredicate, 0, 38, 100, // Skip to: 40669
-/* 15031 */   MCD_OPC_CheckField, 21, 1, 1, 32, 100, // Skip to: 40669
-/* 15037 */   MCD_OPC_Decode, 152, 15, 120, // Opcode: SUBHNv4i32_v8i16
-/* 15041 */   MCD_OPC_FilterValue, 3, 24, 100, // Skip to: 40669
-/* 15045 */   MCD_OPC_CheckPredicate, 0, 20, 100, // Skip to: 40669
-/* 15049 */   MCD_OPC_CheckField, 21, 1, 1, 14, 100, // Skip to: 40669
-/* 15055 */   MCD_OPC_Decode, 196, 9, 120, // Opcode: RSUBHNv4i32_v8i16
-/* 15059 */   MCD_OPC_FilterValue, 25, 75, 0, // Skip to: 15138
-/* 15063 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15066 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15084
-/* 15070 */   MCD_OPC_CheckPredicate, 0, 251, 99, // Skip to: 40669
-/* 15074 */   MCD_OPC_CheckField, 21, 1, 1, 245, 99, // Skip to: 40669
-/* 15080 */   MCD_OPC_Decode, 216, 10, 89, // Opcode: SMAXv4i16
-/* 15084 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15102
-/* 15088 */   MCD_OPC_CheckPredicate, 0, 233, 99, // Skip to: 40669
-/* 15092 */   MCD_OPC_CheckField, 21, 1, 1, 227, 99, // Skip to: 40669
-/* 15098 */   MCD_OPC_Decode, 208, 16, 89, // Opcode: UMAXv4i16
-/* 15102 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15120
-/* 15106 */   MCD_OPC_CheckPredicate, 0, 215, 99, // Skip to: 40669
-/* 15110 */   MCD_OPC_CheckField, 21, 1, 1, 209, 99, // Skip to: 40669
-/* 15116 */   MCD_OPC_Decode, 218, 10, 112, // Opcode: SMAXv8i16
-/* 15120 */   MCD_OPC_FilterValue, 3, 201, 99, // Skip to: 40669
-/* 15124 */   MCD_OPC_CheckPredicate, 0, 197, 99, // Skip to: 40669
-/* 15128 */   MCD_OPC_CheckField, 21, 1, 1, 191, 99, // Skip to: 40669
-/* 15134 */   MCD_OPC_Decode, 210, 16, 112, // Opcode: UMAXv8i16
-/* 15138 */   MCD_OPC_FilterValue, 26, 165, 0, // Skip to: 15307
-/* 15142 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15145 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 15195
-/* 15149 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 15152 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15164
-/* 15156 */   MCD_OPC_CheckPredicate, 0, 165, 99, // Skip to: 40669
-/* 15160 */   MCD_OPC_Decode, 229, 15, 89, // Opcode: TRN2v4i16
-/* 15164 */   MCD_OPC_FilterValue, 1, 157, 99, // Skip to: 40669
-/* 15168 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 15171 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15183
-/* 15175 */   MCD_OPC_CheckPredicate, 0, 146, 99, // Skip to: 40669
-/* 15179 */   MCD_OPC_Decode, 225, 9, 99, // Opcode: SADALPv4i16_v2i32
-/* 15183 */   MCD_OPC_FilterValue, 1, 138, 99, // Skip to: 40669
-/* 15187 */   MCD_OPC_CheckPredicate, 0, 134, 99, // Skip to: 40669
-/* 15191 */   MCD_OPC_Decode, 196, 3, 95, // Opcode: FCVTNv2i32
-/* 15195 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 15226
-/* 15199 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 15202 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15214
-/* 15206 */   MCD_OPC_CheckPredicate, 0, 115, 99, // Skip to: 40669
-/* 15210 */   MCD_OPC_Decode, 131, 16, 99, // Opcode: UADALPv4i16_v2i32
-/* 15214 */   MCD_OPC_FilterValue, 33, 107, 99, // Skip to: 40669
-/* 15218 */   MCD_OPC_CheckPredicate, 0, 103, 99, // Skip to: 40669
-/* 15222 */   MCD_OPC_Decode, 221, 3, 95, // Opcode: FCVTXNv2f32
-/* 15226 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 15276
-/* 15230 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 15233 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15245
-/* 15237 */   MCD_OPC_CheckPredicate, 0, 84, 99, // Skip to: 40669
-/* 15241 */   MCD_OPC_Decode, 231, 15, 112, // Opcode: TRN2v8i16
-/* 15245 */   MCD_OPC_FilterValue, 1, 76, 99, // Skip to: 40669
-/* 15249 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 15252 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15264
-/* 15256 */   MCD_OPC_CheckPredicate, 0, 65, 99, // Skip to: 40669
-/* 15260 */   MCD_OPC_Decode, 227, 9, 126, // Opcode: SADALPv8i16_v4i32
-/* 15264 */   MCD_OPC_FilterValue, 1, 57, 99, // Skip to: 40669
-/* 15268 */   MCD_OPC_CheckPredicate, 0, 53, 99, // Skip to: 40669
-/* 15272 */   MCD_OPC_Decode, 198, 3, 126, // Opcode: FCVTNv4i32
-/* 15276 */   MCD_OPC_FilterValue, 3, 45, 99, // Skip to: 40669
-/* 15280 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 15283 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15295
-/* 15287 */   MCD_OPC_CheckPredicate, 0, 34, 99, // Skip to: 40669
-/* 15291 */   MCD_OPC_Decode, 133, 16, 126, // Opcode: UADALPv8i16_v4i32
-/* 15295 */   MCD_OPC_FilterValue, 33, 26, 99, // Skip to: 40669
-/* 15299 */   MCD_OPC_CheckPredicate, 0, 22, 99, // Skip to: 40669
-/* 15303 */   MCD_OPC_Decode, 222, 3, 126, // Opcode: FCVTXNv4f32
-/* 15307 */   MCD_OPC_FilterValue, 27, 75, 0, // Skip to: 15386
-/* 15311 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15314 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15332
-/* 15318 */   MCD_OPC_CheckPredicate, 0, 3, 99, // Skip to: 40669
-/* 15322 */   MCD_OPC_CheckField, 21, 1, 1, 253, 98, // Skip to: 40669
-/* 15328 */   MCD_OPC_Decode, 234, 10, 89, // Opcode: SMINv4i16
-/* 15332 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15350
-/* 15336 */   MCD_OPC_CheckPredicate, 0, 241, 98, // Skip to: 40669
-/* 15340 */   MCD_OPC_CheckField, 21, 1, 1, 235, 98, // Skip to: 40669
-/* 15346 */   MCD_OPC_Decode, 225, 16, 89, // Opcode: UMINv4i16
-/* 15350 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15368
-/* 15354 */   MCD_OPC_CheckPredicate, 0, 223, 98, // Skip to: 40669
-/* 15358 */   MCD_OPC_CheckField, 21, 1, 1, 217, 98, // Skip to: 40669
-/* 15364 */   MCD_OPC_Decode, 236, 10, 112, // Opcode: SMINv8i16
-/* 15368 */   MCD_OPC_FilterValue, 3, 209, 98, // Skip to: 40669
-/* 15372 */   MCD_OPC_CheckPredicate, 0, 205, 98, // Skip to: 40669
-/* 15376 */   MCD_OPC_CheckField, 21, 1, 1, 199, 98, // Skip to: 40669
-/* 15382 */   MCD_OPC_Decode, 227, 16, 112, // Opcode: UMINv8i16
-/* 15386 */   MCD_OPC_FilterValue, 28, 75, 0, // Skip to: 15465
-/* 15390 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15393 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15411
-/* 15397 */   MCD_OPC_CheckPredicate, 0, 180, 98, // Skip to: 40669
-/* 15401 */   MCD_OPC_CheckField, 21, 1, 1, 174, 98, // Skip to: 40669
-/* 15407 */   MCD_OPC_Decode, 213, 9, 85, // Opcode: SABDLv4i16_v4i32
-/* 15411 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15429
-/* 15415 */   MCD_OPC_CheckPredicate, 0, 162, 98, // Skip to: 40669
-/* 15419 */   MCD_OPC_CheckField, 21, 1, 1, 156, 98, // Skip to: 40669
-/* 15425 */   MCD_OPC_Decode, 247, 15, 85, // Opcode: UABDLv4i16_v4i32
-/* 15429 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15447
-/* 15433 */   MCD_OPC_CheckPredicate, 0, 144, 98, // Skip to: 40669
-/* 15437 */   MCD_OPC_CheckField, 21, 1, 1, 138, 98, // Skip to: 40669
-/* 15443 */   MCD_OPC_Decode, 215, 9, 112, // Opcode: SABDLv8i16_v4i32
-/* 15447 */   MCD_OPC_FilterValue, 3, 130, 98, // Skip to: 40669
-/* 15451 */   MCD_OPC_CheckPredicate, 0, 126, 98, // Skip to: 40669
-/* 15455 */   MCD_OPC_CheckField, 21, 1, 1, 120, 98, // Skip to: 40669
-/* 15461 */   MCD_OPC_Decode, 249, 15, 112, // Opcode: UABDLv8i16_v4i32
-/* 15465 */   MCD_OPC_FilterValue, 29, 75, 0, // Skip to: 15544
-/* 15469 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15472 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15490
-/* 15476 */   MCD_OPC_CheckPredicate, 0, 101, 98, // Skip to: 40669
-/* 15480 */   MCD_OPC_CheckField, 21, 1, 1, 95, 98, // Skip to: 40669
-/* 15486 */   MCD_OPC_Decode, 219, 9, 89, // Opcode: SABDv4i16
-/* 15490 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15508
-/* 15494 */   MCD_OPC_CheckPredicate, 0, 83, 98, // Skip to: 40669
-/* 15498 */   MCD_OPC_CheckField, 21, 1, 1, 77, 98, // Skip to: 40669
-/* 15504 */   MCD_OPC_Decode, 253, 15, 89, // Opcode: UABDv4i16
-/* 15508 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15526
-/* 15512 */   MCD_OPC_CheckPredicate, 0, 65, 98, // Skip to: 40669
-/* 15516 */   MCD_OPC_CheckField, 21, 1, 1, 59, 98, // Skip to: 40669
-/* 15522 */   MCD_OPC_Decode, 221, 9, 112, // Opcode: SABDv8i16
-/* 15526 */   MCD_OPC_FilterValue, 3, 51, 98, // Skip to: 40669
-/* 15530 */   MCD_OPC_CheckPredicate, 0, 47, 98, // Skip to: 40669
-/* 15534 */   MCD_OPC_CheckField, 21, 1, 1, 41, 98, // Skip to: 40669
-/* 15540 */   MCD_OPC_Decode, 255, 15, 112, // Opcode: UABDv8i16
-/* 15544 */   MCD_OPC_FilterValue, 30, 139, 0, // Skip to: 15687
-/* 15548 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15551 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 15601
-/* 15555 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 15558 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15570
-/* 15562 */   MCD_OPC_CheckPredicate, 0, 15, 98, // Skip to: 40669
-/* 15566 */   MCD_OPC_Decode, 208, 18, 89, // Opcode: ZIP2v4i16
-/* 15570 */   MCD_OPC_FilterValue, 1, 7, 98, // Skip to: 40669
-/* 15574 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 15577 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15589
-/* 15581 */   MCD_OPC_CheckPredicate, 0, 252, 97, // Skip to: 40669
-/* 15585 */   MCD_OPC_Decode, 154, 11, 90, // Opcode: SQABSv4i16
-/* 15589 */   MCD_OPC_FilterValue, 1, 244, 97, // Skip to: 40669
-/* 15593 */   MCD_OPC_CheckPredicate, 0, 240, 97, // Skip to: 40669
-/* 15597 */   MCD_OPC_Decode, 156, 3, 108, // Opcode: FCVTLv2i32
-/* 15601 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15619
-/* 15605 */   MCD_OPC_CheckPredicate, 0, 228, 97, // Skip to: 40669
-/* 15609 */   MCD_OPC_CheckField, 16, 6, 32, 222, 97, // Skip to: 40669
-/* 15615 */   MCD_OPC_Decode, 224, 11, 90, // Opcode: SQNEGv4i16
-/* 15619 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 15669
-/* 15623 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 15626 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15638
-/* 15630 */   MCD_OPC_CheckPredicate, 0, 203, 97, // Skip to: 40669
-/* 15634 */   MCD_OPC_Decode, 210, 18, 112, // Opcode: ZIP2v8i16
-/* 15638 */   MCD_OPC_FilterValue, 1, 195, 97, // Skip to: 40669
-/* 15642 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 15645 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15657
-/* 15649 */   MCD_OPC_CheckPredicate, 0, 184, 97, // Skip to: 40669
-/* 15653 */   MCD_OPC_Decode, 156, 11, 117, // Opcode: SQABSv8i16
-/* 15657 */   MCD_OPC_FilterValue, 1, 176, 97, // Skip to: 40669
-/* 15661 */   MCD_OPC_CheckPredicate, 0, 172, 97, // Skip to: 40669
-/* 15665 */   MCD_OPC_Decode, 158, 3, 117, // Opcode: FCVTLv4i32
-/* 15669 */   MCD_OPC_FilterValue, 3, 164, 97, // Skip to: 40669
-/* 15673 */   MCD_OPC_CheckPredicate, 0, 160, 97, // Skip to: 40669
-/* 15677 */   MCD_OPC_CheckField, 16, 6, 32, 154, 97, // Skip to: 40669
-/* 15683 */   MCD_OPC_Decode, 226, 11, 117, // Opcode: SQNEGv8i16
-/* 15687 */   MCD_OPC_FilterValue, 31, 75, 0, // Skip to: 15766
-/* 15691 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15694 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15712
-/* 15698 */   MCD_OPC_CheckPredicate, 0, 135, 97, // Skip to: 40669
-/* 15702 */   MCD_OPC_CheckField, 21, 1, 1, 129, 97, // Skip to: 40669
-/* 15708 */   MCD_OPC_Decode, 207, 9, 109, // Opcode: SABAv4i16
-/* 15712 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15730
-/* 15716 */   MCD_OPC_CheckPredicate, 0, 117, 97, // Skip to: 40669
-/* 15720 */   MCD_OPC_CheckField, 21, 1, 1, 111, 97, // Skip to: 40669
-/* 15726 */   MCD_OPC_Decode, 241, 15, 109, // Opcode: UABAv4i16
-/* 15730 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15748
-/* 15734 */   MCD_OPC_CheckPredicate, 0, 99, 97, // Skip to: 40669
-/* 15738 */   MCD_OPC_CheckField, 21, 1, 1, 93, 97, // Skip to: 40669
-/* 15744 */   MCD_OPC_Decode, 209, 9, 120, // Opcode: SABAv8i16
-/* 15748 */   MCD_OPC_FilterValue, 3, 85, 97, // Skip to: 40669
-/* 15752 */   MCD_OPC_CheckPredicate, 0, 81, 97, // Skip to: 40669
-/* 15756 */   MCD_OPC_CheckField, 21, 1, 1, 75, 97, // Skip to: 40669
-/* 15762 */   MCD_OPC_Decode, 243, 15, 120, // Opcode: UABAv8i16
-/* 15766 */   MCD_OPC_FilterValue, 32, 75, 0, // Skip to: 15845
-/* 15770 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15773 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15791
-/* 15777 */   MCD_OPC_CheckPredicate, 0, 56, 97, // Skip to: 40669
-/* 15781 */   MCD_OPC_CheckField, 21, 1, 1, 50, 97, // Skip to: 40669
-/* 15787 */   MCD_OPC_Decode, 242, 10, 105, // Opcode: SMLALv4i16_v4i32
-/* 15791 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15809
-/* 15795 */   MCD_OPC_CheckPredicate, 0, 38, 97, // Skip to: 40669
-/* 15799 */   MCD_OPC_CheckField, 21, 1, 1, 32, 97, // Skip to: 40669
-/* 15805 */   MCD_OPC_Decode, 233, 16, 105, // Opcode: UMLALv4i16_v4i32
-/* 15809 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15827
-/* 15813 */   MCD_OPC_CheckPredicate, 0, 20, 97, // Skip to: 40669
-/* 15817 */   MCD_OPC_CheckField, 21, 1, 1, 14, 97, // Skip to: 40669
-/* 15823 */   MCD_OPC_Decode, 246, 10, 120, // Opcode: SMLALv8i16_v4i32
-/* 15827 */   MCD_OPC_FilterValue, 3, 6, 97, // Skip to: 40669
-/* 15831 */   MCD_OPC_CheckPredicate, 0, 2, 97, // Skip to: 40669
-/* 15835 */   MCD_OPC_CheckField, 21, 1, 1, 252, 96, // Skip to: 40669
-/* 15841 */   MCD_OPC_Decode, 237, 16, 120, // Opcode: UMLALv8i16_v4i32
-/* 15845 */   MCD_OPC_FilterValue, 33, 73, 0, // Skip to: 15922
-/* 15849 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15852 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 15869
-/* 15856 */   MCD_OPC_CheckPredicate, 0, 233, 96, // Skip to: 40669
-/* 15860 */   MCD_OPC_CheckField, 21, 1, 1, 227, 96, // Skip to: 40669
-/* 15866 */   MCD_OPC_Decode, 73, 89, // Opcode: ADDv4i16
-/* 15869 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15887
-/* 15873 */   MCD_OPC_CheckPredicate, 0, 216, 96, // Skip to: 40669
-/* 15877 */   MCD_OPC_CheckField, 21, 1, 1, 210, 96, // Skip to: 40669
-/* 15883 */   MCD_OPC_Decode, 177, 15, 89, // Opcode: SUBv4i16
-/* 15887 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 15904
-/* 15891 */   MCD_OPC_CheckPredicate, 0, 198, 96, // Skip to: 40669
-/* 15895 */   MCD_OPC_CheckField, 21, 1, 1, 192, 96, // Skip to: 40669
-/* 15901 */   MCD_OPC_Decode, 75, 112, // Opcode: ADDv8i16
-/* 15904 */   MCD_OPC_FilterValue, 3, 185, 96, // Skip to: 40669
-/* 15908 */   MCD_OPC_CheckPredicate, 0, 181, 96, // Skip to: 40669
-/* 15912 */   MCD_OPC_CheckField, 21, 1, 1, 175, 96, // Skip to: 40669
-/* 15918 */   MCD_OPC_Decode, 179, 15, 112, // Opcode: SUBv8i16
-/* 15922 */   MCD_OPC_FilterValue, 34, 101, 0, // Skip to: 16027
-/* 15926 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 15929 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15947
-/* 15933 */   MCD_OPC_CheckPredicate, 0, 156, 96, // Skip to: 40669
-/* 15937 */   MCD_OPC_CheckField, 16, 6, 32, 150, 96, // Skip to: 40669
-/* 15943 */   MCD_OPC_Decode, 199, 1, 90, // Opcode: CMGTv4i16rz
-/* 15947 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15965
-/* 15951 */   MCD_OPC_CheckPredicate, 0, 138, 96, // Skip to: 40669
-/* 15955 */   MCD_OPC_CheckField, 16, 6, 32, 132, 96, // Skip to: 40669
-/* 15961 */   MCD_OPC_Decode, 183, 1, 90, // Opcode: CMGEv4i16rz
-/* 15965 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 15996
-/* 15969 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 15972 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15984
-/* 15976 */   MCD_OPC_CheckPredicate, 0, 113, 96, // Skip to: 40669
-/* 15980 */   MCD_OPC_Decode, 203, 1, 117, // Opcode: CMGTv8i16rz
-/* 15984 */   MCD_OPC_FilterValue, 33, 105, 96, // Skip to: 40669
-/* 15988 */   MCD_OPC_CheckPredicate, 0, 101, 96, // Skip to: 40669
-/* 15992 */   MCD_OPC_Decode, 168, 5, 117, // Opcode: FRINTNv2f64
-/* 15996 */   MCD_OPC_FilterValue, 3, 93, 96, // Skip to: 40669
-/* 16000 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16003 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16015
-/* 16007 */   MCD_OPC_CheckPredicate, 0, 82, 96, // Skip to: 40669
-/* 16011 */   MCD_OPC_Decode, 187, 1, 117, // Opcode: CMGEv8i16rz
-/* 16015 */   MCD_OPC_FilterValue, 33, 74, 96, // Skip to: 40669
-/* 16019 */   MCD_OPC_CheckPredicate, 0, 70, 96, // Skip to: 40669
-/* 16023 */   MCD_OPC_Decode, 153, 5, 117, // Opcode: FRINTAv2f64
-/* 16027 */   MCD_OPC_FilterValue, 35, 75, 0, // Skip to: 16106
-/* 16031 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16034 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16052
-/* 16038 */   MCD_OPC_CheckPredicate, 0, 51, 96, // Skip to: 40669
-/* 16042 */   MCD_OPC_CheckField, 21, 1, 1, 45, 96, // Skip to: 40669
-/* 16048 */   MCD_OPC_Decode, 242, 1, 89, // Opcode: CMTSTv4i16
-/* 16052 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16070
-/* 16056 */   MCD_OPC_CheckPredicate, 0, 33, 96, // Skip to: 40669
-/* 16060 */   MCD_OPC_CheckField, 21, 1, 1, 27, 96, // Skip to: 40669
-/* 16066 */   MCD_OPC_Decode, 166, 1, 89, // Opcode: CMEQv4i16
-/* 16070 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16088
-/* 16074 */   MCD_OPC_CheckPredicate, 0, 15, 96, // Skip to: 40669
-/* 16078 */   MCD_OPC_CheckField, 21, 1, 1, 9, 96, // Skip to: 40669
-/* 16084 */   MCD_OPC_Decode, 244, 1, 112, // Opcode: CMTSTv8i16
-/* 16088 */   MCD_OPC_FilterValue, 3, 1, 96, // Skip to: 40669
-/* 16092 */   MCD_OPC_CheckPredicate, 0, 253, 95, // Skip to: 40669
-/* 16096 */   MCD_OPC_CheckField, 21, 1, 1, 247, 95, // Skip to: 40669
-/* 16102 */   MCD_OPC_Decode, 170, 1, 112, // Opcode: CMEQv8i16
-/* 16106 */   MCD_OPC_FilterValue, 36, 39, 0, // Skip to: 16149
-/* 16110 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16113 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16131
-/* 16117 */   MCD_OPC_CheckPredicate, 0, 228, 95, // Skip to: 40669
-/* 16121 */   MCD_OPC_CheckField, 21, 1, 1, 222, 95, // Skip to: 40669
-/* 16127 */   MCD_OPC_Decode, 176, 11, 105, // Opcode: SQDMLALv4i16_v4i32
-/* 16131 */   MCD_OPC_FilterValue, 2, 214, 95, // Skip to: 40669
-/* 16135 */   MCD_OPC_CheckPredicate, 0, 210, 95, // Skip to: 40669
-/* 16139 */   MCD_OPC_CheckField, 21, 1, 1, 204, 95, // Skip to: 40669
-/* 16145 */   MCD_OPC_Decode, 180, 11, 120, // Opcode: SQDMLALv8i16_v4i32
-/* 16149 */   MCD_OPC_FilterValue, 37, 75, 0, // Skip to: 16228
-/* 16153 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16156 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16174
-/* 16160 */   MCD_OPC_CheckPredicate, 0, 185, 95, // Skip to: 40669
-/* 16164 */   MCD_OPC_CheckField, 21, 1, 1, 179, 95, // Skip to: 40669
-/* 16170 */   MCD_OPC_Decode, 183, 8, 109, // Opcode: MLAv4i16
-/* 16174 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16192
-/* 16178 */   MCD_OPC_CheckPredicate, 0, 167, 95, // Skip to: 40669
-/* 16182 */   MCD_OPC_CheckField, 21, 1, 1, 161, 95, // Skip to: 40669
-/* 16188 */   MCD_OPC_Decode, 193, 8, 109, // Opcode: MLSv4i16
-/* 16192 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16210
-/* 16196 */   MCD_OPC_CheckPredicate, 0, 149, 95, // Skip to: 40669
-/* 16200 */   MCD_OPC_CheckField, 21, 1, 1, 143, 95, // Skip to: 40669
-/* 16206 */   MCD_OPC_Decode, 187, 8, 120, // Opcode: MLAv8i16
-/* 16210 */   MCD_OPC_FilterValue, 3, 135, 95, // Skip to: 40669
-/* 16214 */   MCD_OPC_CheckPredicate, 0, 131, 95, // Skip to: 40669
-/* 16218 */   MCD_OPC_CheckField, 21, 1, 1, 125, 95, // Skip to: 40669
-/* 16224 */   MCD_OPC_Decode, 197, 8, 120, // Opcode: MLSv8i16
-/* 16228 */   MCD_OPC_FilterValue, 38, 101, 0, // Skip to: 16333
-/* 16232 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16235 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16253
-/* 16239 */   MCD_OPC_CheckPredicate, 0, 106, 95, // Skip to: 40669
-/* 16243 */   MCD_OPC_CheckField, 16, 6, 32, 100, 95, // Skip to: 40669
-/* 16249 */   MCD_OPC_Decode, 167, 1, 90, // Opcode: CMEQv4i16rz
-/* 16253 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16271
-/* 16257 */   MCD_OPC_CheckPredicate, 0, 88, 95, // Skip to: 40669
-/* 16261 */   MCD_OPC_CheckField, 16, 6, 32, 82, 95, // Skip to: 40669
-/* 16267 */   MCD_OPC_Decode, 226, 1, 90, // Opcode: CMLEv4i16rz
-/* 16271 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 16302
-/* 16275 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16278 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16290
-/* 16282 */   MCD_OPC_CheckPredicate, 0, 63, 95, // Skip to: 40669
-/* 16286 */   MCD_OPC_Decode, 171, 1, 117, // Opcode: CMEQv8i16rz
-/* 16290 */   MCD_OPC_FilterValue, 33, 55, 95, // Skip to: 40669
-/* 16294 */   MCD_OPC_CheckPredicate, 0, 51, 95, // Skip to: 40669
-/* 16298 */   MCD_OPC_Decode, 163, 5, 117, // Opcode: FRINTMv2f64
-/* 16302 */   MCD_OPC_FilterValue, 3, 43, 95, // Skip to: 40669
-/* 16306 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16309 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16321
-/* 16313 */   MCD_OPC_CheckPredicate, 0, 32, 95, // Skip to: 40669
-/* 16317 */   MCD_OPC_Decode, 228, 1, 117, // Opcode: CMLEv8i16rz
-/* 16321 */   MCD_OPC_FilterValue, 33, 24, 95, // Skip to: 40669
-/* 16325 */   MCD_OPC_CheckPredicate, 0, 20, 95, // Skip to: 40669
-/* 16329 */   MCD_OPC_Decode, 178, 5, 117, // Opcode: FRINTXv2f64
-/* 16333 */   MCD_OPC_FilterValue, 39, 39, 0, // Skip to: 16376
-/* 16337 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16340 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16358
-/* 16344 */   MCD_OPC_CheckPredicate, 0, 1, 95, // Skip to: 40669
-/* 16348 */   MCD_OPC_CheckField, 21, 1, 1, 251, 94, // Skip to: 40669
-/* 16354 */   MCD_OPC_Decode, 232, 8, 89, // Opcode: MULv4i16
-/* 16358 */   MCD_OPC_FilterValue, 2, 243, 94, // Skip to: 40669
-/* 16362 */   MCD_OPC_CheckPredicate, 0, 239, 94, // Skip to: 40669
-/* 16366 */   MCD_OPC_CheckField, 21, 1, 1, 233, 94, // Skip to: 40669
-/* 16372 */   MCD_OPC_Decode, 236, 8, 112, // Opcode: MULv8i16
-/* 16376 */   MCD_OPC_FilterValue, 40, 75, 0, // Skip to: 16455
-/* 16380 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16383 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16401
-/* 16387 */   MCD_OPC_CheckPredicate, 0, 214, 94, // Skip to: 40669
-/* 16391 */   MCD_OPC_CheckField, 21, 1, 1, 208, 94, // Skip to: 40669
-/* 16397 */   MCD_OPC_Decode, 252, 10, 105, // Opcode: SMLSLv4i16_v4i32
-/* 16401 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16419
-/* 16405 */   MCD_OPC_CheckPredicate, 0, 196, 94, // Skip to: 40669
-/* 16409 */   MCD_OPC_CheckField, 21, 1, 1, 190, 94, // Skip to: 40669
-/* 16415 */   MCD_OPC_Decode, 243, 16, 105, // Opcode: UMLSLv4i16_v4i32
-/* 16419 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16437
-/* 16423 */   MCD_OPC_CheckPredicate, 0, 178, 94, // Skip to: 40669
-/* 16427 */   MCD_OPC_CheckField, 21, 1, 1, 172, 94, // Skip to: 40669
-/* 16433 */   MCD_OPC_Decode, 128, 11, 120, // Opcode: SMLSLv8i16_v4i32
-/* 16437 */   MCD_OPC_FilterValue, 3, 164, 94, // Skip to: 40669
-/* 16441 */   MCD_OPC_CheckPredicate, 0, 160, 94, // Skip to: 40669
-/* 16445 */   MCD_OPC_CheckField, 21, 1, 1, 154, 94, // Skip to: 40669
-/* 16451 */   MCD_OPC_Decode, 247, 16, 120, // Opcode: UMLSLv8i16_v4i32
-/* 16455 */   MCD_OPC_FilterValue, 41, 75, 0, // Skip to: 16534
-/* 16459 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16462 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16480
-/* 16466 */   MCD_OPC_CheckPredicate, 0, 135, 94, // Skip to: 40669
-/* 16470 */   MCD_OPC_CheckField, 21, 1, 1, 129, 94, // Skip to: 40669
-/* 16476 */   MCD_OPC_Decode, 205, 10, 89, // Opcode: SMAXPv4i16
-/* 16480 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16498
-/* 16484 */   MCD_OPC_CheckPredicate, 0, 117, 94, // Skip to: 40669
-/* 16488 */   MCD_OPC_CheckField, 21, 1, 1, 111, 94, // Skip to: 40669
-/* 16494 */   MCD_OPC_Decode, 197, 16, 89, // Opcode: UMAXPv4i16
-/* 16498 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16516
-/* 16502 */   MCD_OPC_CheckPredicate, 0, 99, 94, // Skip to: 40669
-/* 16506 */   MCD_OPC_CheckField, 21, 1, 1, 93, 94, // Skip to: 40669
-/* 16512 */   MCD_OPC_Decode, 207, 10, 112, // Opcode: SMAXPv8i16
-/* 16516 */   MCD_OPC_FilterValue, 3, 85, 94, // Skip to: 40669
-/* 16520 */   MCD_OPC_CheckPredicate, 0, 81, 94, // Skip to: 40669
-/* 16524 */   MCD_OPC_CheckField, 21, 1, 1, 75, 94, // Skip to: 40669
-/* 16530 */   MCD_OPC_Decode, 199, 16, 112, // Opcode: UMAXPv8i16
-/* 16534 */   MCD_OPC_FilterValue, 42, 179, 0, // Skip to: 16717
-/* 16538 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16541 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 16572
-/* 16545 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16548 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16560
-/* 16552 */   MCD_OPC_CheckPredicate, 0, 49, 94, // Skip to: 40669
-/* 16556 */   MCD_OPC_Decode, 234, 1, 90, // Opcode: CMLTv4i16rz
-/* 16560 */   MCD_OPC_FilterValue, 2, 41, 94, // Skip to: 40669
-/* 16564 */   MCD_OPC_CheckPredicate, 0, 37, 94, // Skip to: 40669
-/* 16568 */   MCD_OPC_Decode, 236, 1, 117, // Opcode: CMLTv8i16rz
-/* 16572 */   MCD_OPC_FilterValue, 33, 27, 0, // Skip to: 16603
-/* 16576 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16579 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 16591
-/* 16583 */   MCD_OPC_CheckPredicate, 0, 18, 94, // Skip to: 40669
-/* 16587 */   MCD_OPC_Decode, 185, 3, 117, // Opcode: FCVTNSv2f64
-/* 16591 */   MCD_OPC_FilterValue, 3, 10, 94, // Skip to: 40669
-/* 16595 */   MCD_OPC_CheckPredicate, 0, 6, 94, // Skip to: 40669
-/* 16599 */   MCD_OPC_Decode, 194, 3, 117, // Opcode: FCVTNUv2f64
-/* 16603 */   MCD_OPC_FilterValue, 48, 53, 0, // Skip to: 16660
-/* 16607 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16610 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16622
-/* 16614 */   MCD_OPC_CheckPredicate, 0, 243, 93, // Skip to: 40669
-/* 16618 */   MCD_OPC_Decode, 210, 10, 100, // Opcode: SMAXVv4i16v
-/* 16622 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 16634
-/* 16626 */   MCD_OPC_CheckPredicate, 0, 231, 93, // Skip to: 40669
-/* 16630 */   MCD_OPC_Decode, 202, 16, 100, // Opcode: UMAXVv4i16v
-/* 16634 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 16647
-/* 16638 */   MCD_OPC_CheckPredicate, 0, 219, 93, // Skip to: 40669
-/* 16642 */   MCD_OPC_Decode, 212, 10, 131, 1, // Opcode: SMAXVv8i16v
-/* 16647 */   MCD_OPC_FilterValue, 3, 210, 93, // Skip to: 40669
-/* 16651 */   MCD_OPC_CheckPredicate, 0, 206, 93, // Skip to: 40669
-/* 16655 */   MCD_OPC_Decode, 204, 16, 131, 1, // Opcode: UMAXVv8i16v
-/* 16660 */   MCD_OPC_FilterValue, 49, 197, 93, // Skip to: 40669
-/* 16664 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16667 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16679
-/* 16671 */   MCD_OPC_CheckPredicate, 0, 186, 93, // Skip to: 40669
-/* 16675 */   MCD_OPC_Decode, 228, 10, 100, // Opcode: SMINVv4i16v
-/* 16679 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 16691
-/* 16683 */   MCD_OPC_CheckPredicate, 0, 174, 93, // Skip to: 40669
-/* 16687 */   MCD_OPC_Decode, 219, 16, 100, // Opcode: UMINVv4i16v
-/* 16691 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 16704
-/* 16695 */   MCD_OPC_CheckPredicate, 0, 162, 93, // Skip to: 40669
-/* 16699 */   MCD_OPC_Decode, 230, 10, 131, 1, // Opcode: SMINVv8i16v
-/* 16704 */   MCD_OPC_FilterValue, 3, 153, 93, // Skip to: 40669
-/* 16708 */   MCD_OPC_CheckPredicate, 0, 149, 93, // Skip to: 40669
-/* 16712 */   MCD_OPC_Decode, 221, 16, 131, 1, // Opcode: UMINVv8i16v
-/* 16717 */   MCD_OPC_FilterValue, 43, 75, 0, // Skip to: 16796
-/* 16721 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16724 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16742
-/* 16728 */   MCD_OPC_CheckPredicate, 0, 129, 93, // Skip to: 40669
-/* 16732 */   MCD_OPC_CheckField, 21, 1, 1, 123, 93, // Skip to: 40669
-/* 16738 */   MCD_OPC_Decode, 223, 10, 89, // Opcode: SMINPv4i16
-/* 16742 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16760
-/* 16746 */   MCD_OPC_CheckPredicate, 0, 111, 93, // Skip to: 40669
-/* 16750 */   MCD_OPC_CheckField, 21, 1, 1, 105, 93, // Skip to: 40669
-/* 16756 */   MCD_OPC_Decode, 214, 16, 89, // Opcode: UMINPv4i16
-/* 16760 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16778
-/* 16764 */   MCD_OPC_CheckPredicate, 0, 93, 93, // Skip to: 40669
-/* 16768 */   MCD_OPC_CheckField, 21, 1, 1, 87, 93, // Skip to: 40669
-/* 16774 */   MCD_OPC_Decode, 225, 10, 112, // Opcode: SMINPv8i16
-/* 16778 */   MCD_OPC_FilterValue, 3, 79, 93, // Skip to: 40669
-/* 16782 */   MCD_OPC_CheckPredicate, 0, 75, 93, // Skip to: 40669
-/* 16786 */   MCD_OPC_CheckField, 21, 1, 1, 69, 93, // Skip to: 40669
-/* 16792 */   MCD_OPC_Decode, 216, 16, 112, // Opcode: UMINPv8i16
-/* 16796 */   MCD_OPC_FilterValue, 44, 39, 0, // Skip to: 16839
-/* 16800 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16803 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16821
-/* 16807 */   MCD_OPC_CheckPredicate, 0, 50, 93, // Skip to: 40669
-/* 16811 */   MCD_OPC_CheckField, 21, 1, 1, 44, 93, // Skip to: 40669
-/* 16817 */   MCD_OPC_Decode, 188, 11, 105, // Opcode: SQDMLSLv4i16_v4i32
-/* 16821 */   MCD_OPC_FilterValue, 2, 36, 93, // Skip to: 40669
-/* 16825 */   MCD_OPC_CheckPredicate, 0, 32, 93, // Skip to: 40669
-/* 16829 */   MCD_OPC_CheckField, 21, 1, 1, 26, 93, // Skip to: 40669
-/* 16835 */   MCD_OPC_Decode, 192, 11, 120, // Opcode: SQDMLSLv8i16_v4i32
-/* 16839 */   MCD_OPC_FilterValue, 45, 75, 0, // Skip to: 16918
-/* 16843 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16846 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16864
-/* 16850 */   MCD_OPC_CheckPredicate, 0, 7, 93, // Skip to: 40669
-/* 16854 */   MCD_OPC_CheckField, 21, 1, 1, 1, 93, // Skip to: 40669
-/* 16860 */   MCD_OPC_Decode, 199, 11, 89, // Opcode: SQDMULHv4i16
-/* 16864 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16882
-/* 16868 */   MCD_OPC_CheckPredicate, 0, 245, 92, // Skip to: 40669
-/* 16872 */   MCD_OPC_CheckField, 21, 1, 1, 239, 92, // Skip to: 40669
-/* 16878 */   MCD_OPC_Decode, 234, 11, 89, // Opcode: SQRDMULHv4i16
-/* 16882 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16900
-/* 16886 */   MCD_OPC_CheckPredicate, 0, 227, 92, // Skip to: 40669
-/* 16890 */   MCD_OPC_CheckField, 21, 1, 1, 221, 92, // Skip to: 40669
-/* 16896 */   MCD_OPC_Decode, 203, 11, 112, // Opcode: SQDMULHv8i16
-/* 16900 */   MCD_OPC_FilterValue, 3, 213, 92, // Skip to: 40669
-/* 16904 */   MCD_OPC_CheckPredicate, 0, 209, 92, // Skip to: 40669
-/* 16908 */   MCD_OPC_CheckField, 21, 1, 1, 203, 92, // Skip to: 40669
-/* 16914 */   MCD_OPC_Decode, 238, 11, 112, // Opcode: SQRDMULHv8i16
-/* 16918 */   MCD_OPC_FilterValue, 46, 123, 0, // Skip to: 17045
-/* 16922 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 16925 */   MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 16954
-/* 16929 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16932 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 16943
-/* 16936 */   MCD_OPC_CheckPredicate, 0, 177, 92, // Skip to: 40669
-/* 16940 */   MCD_OPC_Decode, 24, 90, // Opcode: ABSv4i16
-/* 16943 */   MCD_OPC_FilterValue, 49, 170, 92, // Skip to: 40669
-/* 16947 */   MCD_OPC_CheckPredicate, 0, 166, 92, // Skip to: 40669
-/* 16951 */   MCD_OPC_Decode, 56, 100, // Opcode: ADDVv4i16v
-/* 16954 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16972
-/* 16958 */   MCD_OPC_CheckPredicate, 0, 155, 92, // Skip to: 40669
-/* 16962 */   MCD_OPC_CheckField, 16, 6, 32, 149, 92, // Skip to: 40669
-/* 16968 */   MCD_OPC_Decode, 249, 8, 90, // Opcode: NEGv4i16
-/* 16972 */   MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 17014
-/* 16976 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 16979 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 16990
-/* 16983 */   MCD_OPC_CheckPredicate, 0, 130, 92, // Skip to: 40669
-/* 16987 */   MCD_OPC_Decode, 26, 117, // Opcode: ABSv8i16
-/* 16990 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 17002
-/* 16994 */   MCD_OPC_CheckPredicate, 0, 119, 92, // Skip to: 40669
-/* 16998 */   MCD_OPC_Decode, 167, 3, 117, // Opcode: FCVTMSv2f64
-/* 17002 */   MCD_OPC_FilterValue, 49, 111, 92, // Skip to: 40669
-/* 17006 */   MCD_OPC_CheckPredicate, 0, 107, 92, // Skip to: 40669
-/* 17010 */   MCD_OPC_Decode, 58, 131, 1, // Opcode: ADDVv8i16v
-/* 17014 */   MCD_OPC_FilterValue, 3, 99, 92, // Skip to: 40669
-/* 17018 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 17021 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 17033
-/* 17025 */   MCD_OPC_CheckPredicate, 0, 88, 92, // Skip to: 40669
-/* 17029 */   MCD_OPC_Decode, 251, 8, 117, // Opcode: NEGv8i16
-/* 17033 */   MCD_OPC_FilterValue, 33, 80, 92, // Skip to: 40669
-/* 17037 */   MCD_OPC_CheckPredicate, 0, 76, 92, // Skip to: 40669
-/* 17041 */   MCD_OPC_Decode, 176, 3, 117, // Opcode: FCVTMUv2f64
-/* 17045 */   MCD_OPC_FilterValue, 47, 37, 0, // Skip to: 17086
-/* 17049 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17052 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 17069
-/* 17056 */   MCD_OPC_CheckPredicate, 0, 57, 92, // Skip to: 40669
-/* 17060 */   MCD_OPC_CheckField, 21, 1, 1, 51, 92, // Skip to: 40669
-/* 17066 */   MCD_OPC_Decode, 42, 89, // Opcode: ADDPv4i16
-/* 17069 */   MCD_OPC_FilterValue, 2, 44, 92, // Skip to: 40669
-/* 17073 */   MCD_OPC_CheckPredicate, 0, 40, 92, // Skip to: 40669
-/* 17077 */   MCD_OPC_CheckField, 21, 1, 1, 34, 92, // Skip to: 40669
-/* 17083 */   MCD_OPC_Decode, 44, 112, // Opcode: ADDPv8i16
-/* 17086 */   MCD_OPC_FilterValue, 48, 75, 0, // Skip to: 17165
-/* 17090 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17093 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17111
-/* 17097 */   MCD_OPC_CheckPredicate, 0, 16, 92, // Skip to: 40669
-/* 17101 */   MCD_OPC_CheckField, 21, 1, 1, 10, 92, // Skip to: 40669
-/* 17107 */   MCD_OPC_Decode, 141, 11, 85, // Opcode: SMULLv4i16_v4i32
-/* 17111 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17129
-/* 17115 */   MCD_OPC_CheckPredicate, 0, 254, 91, // Skip to: 40669
-/* 17119 */   MCD_OPC_CheckField, 21, 1, 1, 248, 91, // Skip to: 40669
-/* 17125 */   MCD_OPC_Decode, 131, 17, 85, // Opcode: UMULLv4i16_v4i32
-/* 17129 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17147
-/* 17133 */   MCD_OPC_CheckPredicate, 0, 236, 91, // Skip to: 40669
-/* 17137 */   MCD_OPC_CheckField, 21, 1, 1, 230, 91, // Skip to: 40669
-/* 17143 */   MCD_OPC_Decode, 145, 11, 112, // Opcode: SMULLv8i16_v4i32
-/* 17147 */   MCD_OPC_FilterValue, 3, 222, 91, // Skip to: 40669
-/* 17151 */   MCD_OPC_CheckPredicate, 0, 218, 91, // Skip to: 40669
-/* 17155 */   MCD_OPC_CheckField, 21, 1, 1, 212, 91, // Skip to: 40669
-/* 17161 */   MCD_OPC_Decode, 135, 17, 112, // Opcode: UMULLv8i16_v4i32
-/* 17165 */   MCD_OPC_FilterValue, 49, 39, 0, // Skip to: 17208
-/* 17169 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17172 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17190
-/* 17176 */   MCD_OPC_CheckPredicate, 0, 193, 91, // Skip to: 40669
-/* 17180 */   MCD_OPC_CheckField, 21, 1, 1, 187, 91, // Skip to: 40669
-/* 17186 */   MCD_OPC_Decode, 170, 4, 112, // Opcode: FMAXNMv2f64
-/* 17190 */   MCD_OPC_FilterValue, 3, 179, 91, // Skip to: 40669
-/* 17194 */   MCD_OPC_CheckPredicate, 0, 175, 91, // Skip to: 40669
-/* 17198 */   MCD_OPC_CheckField, 21, 1, 1, 169, 91, // Skip to: 40669
-/* 17204 */   MCD_OPC_Decode, 163, 4, 112, // Opcode: FMAXNMPv2f64
-/* 17208 */   MCD_OPC_FilterValue, 50, 39, 0, // Skip to: 17251
-/* 17212 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17215 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17233
-/* 17219 */   MCD_OPC_CheckPredicate, 0, 150, 91, // Skip to: 40669
-/* 17223 */   MCD_OPC_CheckField, 16, 6, 33, 144, 91, // Skip to: 40669
-/* 17229 */   MCD_OPC_Decode, 141, 3, 117, // Opcode: FCVTASv2f64
-/* 17233 */   MCD_OPC_FilterValue, 3, 136, 91, // Skip to: 40669
-/* 17237 */   MCD_OPC_CheckPredicate, 0, 132, 91, // Skip to: 40669
-/* 17241 */   MCD_OPC_CheckField, 16, 6, 33, 126, 91, // Skip to: 40669
-/* 17247 */   MCD_OPC_Decode, 150, 3, 117, // Opcode: FCVTAUv2f64
-/* 17251 */   MCD_OPC_FilterValue, 51, 20, 0, // Skip to: 17275
-/* 17255 */   MCD_OPC_CheckPredicate, 0, 114, 91, // Skip to: 40669
-/* 17259 */   MCD_OPC_CheckField, 29, 3, 2, 108, 91, // Skip to: 40669
-/* 17265 */   MCD_OPC_CheckField, 21, 1, 1, 102, 91, // Skip to: 40669
-/* 17271 */   MCD_OPC_Decode, 207, 4, 120, // Opcode: FMLAv2f64
-/* 17275 */   MCD_OPC_FilterValue, 52, 39, 0, // Skip to: 17318
-/* 17279 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17282 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17300
-/* 17286 */   MCD_OPC_CheckPredicate, 0, 83, 91, // Skip to: 40669
-/* 17290 */   MCD_OPC_CheckField, 21, 1, 1, 77, 91, // Skip to: 40669
-/* 17296 */   MCD_OPC_Decode, 212, 11, 85, // Opcode: SQDMULLv4i16_v4i32
-/* 17300 */   MCD_OPC_FilterValue, 2, 69, 91, // Skip to: 40669
-/* 17304 */   MCD_OPC_CheckPredicate, 0, 65, 91, // Skip to: 40669
-/* 17308 */   MCD_OPC_CheckField, 21, 1, 1, 59, 91, // Skip to: 40669
-/* 17314 */   MCD_OPC_Decode, 216, 11, 112, // Opcode: SQDMULLv8i16_v4i32
-/* 17318 */   MCD_OPC_FilterValue, 53, 39, 0, // Skip to: 17361
-/* 17322 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17325 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17343
-/* 17329 */   MCD_OPC_CheckPredicate, 0, 40, 91, // Skip to: 40669
-/* 17333 */   MCD_OPC_CheckField, 21, 1, 1, 34, 91, // Skip to: 40669
-/* 17339 */   MCD_OPC_Decode, 206, 2, 112, // Opcode: FADDv2f64
-/* 17343 */   MCD_OPC_FilterValue, 3, 26, 91, // Skip to: 40669
-/* 17347 */   MCD_OPC_CheckPredicate, 0, 22, 91, // Skip to: 40669
-/* 17351 */   MCD_OPC_CheckField, 21, 1, 1, 16, 91, // Skip to: 40669
-/* 17357 */   MCD_OPC_Decode, 200, 2, 112, // Opcode: FADDPv2f64
-/* 17361 */   MCD_OPC_FilterValue, 54, 39, 0, // Skip to: 17404
-/* 17365 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17368 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17386
-/* 17372 */   MCD_OPC_CheckPredicate, 0, 253, 90, // Skip to: 40669
-/* 17376 */   MCD_OPC_CheckField, 16, 6, 33, 247, 90, // Skip to: 40669
-/* 17382 */   MCD_OPC_Decode, 143, 10, 117, // Opcode: SCVTFv2f64
-/* 17386 */   MCD_OPC_FilterValue, 3, 239, 90, // Skip to: 40669
-/* 17390 */   MCD_OPC_CheckPredicate, 0, 235, 90, // Skip to: 40669
-/* 17394 */   MCD_OPC_CheckField, 16, 6, 33, 229, 90, // Skip to: 40669
-/* 17400 */   MCD_OPC_Decode, 173, 16, 117, // Opcode: UCVTFv2f64
-/* 17404 */   MCD_OPC_FilterValue, 55, 39, 0, // Skip to: 17447
-/* 17408 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17411 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17429
-/* 17415 */   MCD_OPC_CheckPredicate, 0, 210, 90, // Skip to: 40669
-/* 17419 */   MCD_OPC_CheckField, 21, 1, 1, 204, 90, // Skip to: 40669
-/* 17425 */   MCD_OPC_Decode, 242, 4, 112, // Opcode: FMULXv2f64
-/* 17429 */   MCD_OPC_FilterValue, 3, 196, 90, // Skip to: 40669
-/* 17433 */   MCD_OPC_CheckPredicate, 0, 192, 90, // Skip to: 40669
-/* 17437 */   MCD_OPC_CheckField, 21, 1, 1, 186, 90, // Skip to: 40669
-/* 17443 */   MCD_OPC_Decode, 250, 4, 112, // Opcode: FMULv2f64
-/* 17447 */   MCD_OPC_FilterValue, 57, 39, 0, // Skip to: 17490
-/* 17451 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17454 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17472
-/* 17458 */   MCD_OPC_CheckPredicate, 0, 167, 90, // Skip to: 40669
-/* 17462 */   MCD_OPC_CheckField, 21, 1, 1, 161, 90, // Skip to: 40669
-/* 17468 */   MCD_OPC_Decode, 217, 2, 112, // Opcode: FCMEQv2f64
-/* 17472 */   MCD_OPC_FilterValue, 3, 153, 90, // Skip to: 40669
-/* 17476 */   MCD_OPC_CheckPredicate, 0, 149, 90, // Skip to: 40669
-/* 17480 */   MCD_OPC_CheckField, 21, 1, 1, 143, 90, // Skip to: 40669
-/* 17486 */   MCD_OPC_Decode, 227, 2, 112, // Opcode: FCMGEv2f64
-/* 17490 */   MCD_OPC_FilterValue, 59, 20, 0, // Skip to: 17514
-/* 17494 */   MCD_OPC_CheckPredicate, 0, 131, 90, // Skip to: 40669
-/* 17498 */   MCD_OPC_CheckField, 29, 3, 3, 125, 90, // Skip to: 40669
-/* 17504 */   MCD_OPC_CheckField, 21, 1, 1, 119, 90, // Skip to: 40669
-/* 17510 */   MCD_OPC_Decode, 191, 2, 112, // Opcode: FACGEv2f64
-/* 17514 */   MCD_OPC_FilterValue, 61, 39, 0, // Skip to: 17557
-/* 17518 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17521 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17539
-/* 17525 */   MCD_OPC_CheckPredicate, 0, 100, 90, // Skip to: 40669
-/* 17529 */   MCD_OPC_CheckField, 21, 1, 1, 94, 90, // Skip to: 40669
-/* 17535 */   MCD_OPC_Decode, 180, 4, 112, // Opcode: FMAXv2f64
-/* 17539 */   MCD_OPC_FilterValue, 3, 86, 90, // Skip to: 40669
-/* 17543 */   MCD_OPC_CheckPredicate, 0, 82, 90, // Skip to: 40669
-/* 17547 */   MCD_OPC_CheckField, 21, 1, 1, 76, 90, // Skip to: 40669
-/* 17553 */   MCD_OPC_Decode, 173, 4, 112, // Opcode: FMAXPv2f64
-/* 17557 */   MCD_OPC_FilterValue, 63, 68, 90, // Skip to: 40669
-/* 17561 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17564 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17582
-/* 17568 */   MCD_OPC_CheckPredicate, 0, 57, 90, // Skip to: 40669
-/* 17572 */   MCD_OPC_CheckField, 21, 1, 1, 51, 90, // Skip to: 40669
-/* 17578 */   MCD_OPC_Decode, 146, 5, 112, // Opcode: FRECPSv2f64
-/* 17582 */   MCD_OPC_FilterValue, 3, 43, 90, // Skip to: 40669
-/* 17586 */   MCD_OPC_CheckPredicate, 0, 39, 90, // Skip to: 40669
-/* 17590 */   MCD_OPC_CheckField, 21, 1, 1, 33, 90, // Skip to: 40669
-/* 17596 */   MCD_OPC_Decode, 156, 4, 112, // Opcode: FDIVv2f64
-/* 17600 */   MCD_OPC_FilterValue, 10, 165, 19, // Skip to: 22633
-/* 17604 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 17607 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 17686
-/* 17611 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17614 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17632
-/* 17618 */   MCD_OPC_CheckPredicate, 0, 7, 90, // Skip to: 40669
-/* 17622 */   MCD_OPC_CheckField, 21, 1, 1, 1, 90, // Skip to: 40669
-/* 17628 */   MCD_OPC_Decode, 241, 9, 85, // Opcode: SADDLv2i32_v2i64
-/* 17632 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17650
-/* 17636 */   MCD_OPC_CheckPredicate, 0, 245, 89, // Skip to: 40669
-/* 17640 */   MCD_OPC_CheckField, 21, 1, 1, 239, 89, // Skip to: 40669
-/* 17646 */   MCD_OPC_Decode, 147, 16, 85, // Opcode: UADDLv2i32_v2i64
-/* 17650 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17668
-/* 17654 */   MCD_OPC_CheckPredicate, 0, 227, 89, // Skip to: 40669
-/* 17658 */   MCD_OPC_CheckField, 21, 1, 1, 221, 89, // Skip to: 40669
-/* 17664 */   MCD_OPC_Decode, 243, 9, 112, // Opcode: SADDLv4i32_v2i64
-/* 17668 */   MCD_OPC_FilterValue, 3, 213, 89, // Skip to: 40669
-/* 17672 */   MCD_OPC_CheckPredicate, 0, 209, 89, // Skip to: 40669
-/* 17676 */   MCD_OPC_CheckField, 21, 1, 1, 203, 89, // Skip to: 40669
-/* 17682 */   MCD_OPC_Decode, 149, 16, 112, // Opcode: UADDLv4i32_v2i64
-/* 17686 */   MCD_OPC_FilterValue, 1, 75, 0, // Skip to: 17765
-/* 17690 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17693 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17711
-/* 17697 */   MCD_OPC_CheckPredicate, 0, 184, 89, // Skip to: 40669
-/* 17701 */   MCD_OPC_CheckField, 21, 1, 1, 178, 89, // Skip to: 40669
-/* 17707 */   MCD_OPC_Decode, 163, 10, 89, // Opcode: SHADDv2i32
-/* 17711 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17729
-/* 17715 */   MCD_OPC_CheckPredicate, 0, 166, 89, // Skip to: 40669
-/* 17719 */   MCD_OPC_CheckField, 21, 1, 1, 160, 89, // Skip to: 40669
-/* 17725 */   MCD_OPC_Decode, 183, 16, 89, // Opcode: UHADDv2i32
-/* 17729 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17747
-/* 17733 */   MCD_OPC_CheckPredicate, 0, 148, 89, // Skip to: 40669
-/* 17737 */   MCD_OPC_CheckField, 21, 1, 1, 142, 89, // Skip to: 40669
-/* 17743 */   MCD_OPC_Decode, 165, 10, 112, // Opcode: SHADDv4i32
-/* 17747 */   MCD_OPC_FilterValue, 3, 134, 89, // Skip to: 40669
-/* 17751 */   MCD_OPC_CheckPredicate, 0, 130, 89, // Skip to: 40669
-/* 17755 */   MCD_OPC_CheckField, 21, 1, 1, 124, 89, // Skip to: 40669
-/* 17761 */   MCD_OPC_Decode, 185, 16, 112, // Opcode: UHADDv4i32
-/* 17765 */   MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 17808
-/* 17769 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17772 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17790
-/* 17776 */   MCD_OPC_CheckPredicate, 0, 105, 89, // Skip to: 40669
-/* 17780 */   MCD_OPC_CheckField, 16, 6, 32, 99, 89, // Skip to: 40669
-/* 17786 */   MCD_OPC_Decode, 178, 9, 90, // Opcode: REV64v2i32
-/* 17790 */   MCD_OPC_FilterValue, 2, 91, 89, // Skip to: 40669
-/* 17794 */   MCD_OPC_CheckPredicate, 0, 87, 89, // Skip to: 40669
-/* 17798 */   MCD_OPC_CheckField, 16, 6, 32, 81, 89, // Skip to: 40669
-/* 17804 */   MCD_OPC_Decode, 180, 9, 117, // Opcode: REV64v4i32
-/* 17808 */   MCD_OPC_FilterValue, 3, 75, 0, // Skip to: 17887
-/* 17812 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17815 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17833
-/* 17819 */   MCD_OPC_CheckPredicate, 0, 62, 89, // Skip to: 40669
-/* 17823 */   MCD_OPC_CheckField, 21, 1, 1, 56, 89, // Skip to: 40669
-/* 17829 */   MCD_OPC_Decode, 163, 11, 89, // Opcode: SQADDv2i32
-/* 17833 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17851
-/* 17837 */   MCD_OPC_CheckPredicate, 0, 44, 89, // Skip to: 40669
-/* 17841 */   MCD_OPC_CheckField, 21, 1, 1, 38, 89, // Skip to: 40669
-/* 17847 */   MCD_OPC_Decode, 142, 17, 89, // Opcode: UQADDv2i32
-/* 17851 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17869
-/* 17855 */   MCD_OPC_CheckPredicate, 0, 26, 89, // Skip to: 40669
-/* 17859 */   MCD_OPC_CheckField, 21, 1, 1, 20, 89, // Skip to: 40669
-/* 17865 */   MCD_OPC_Decode, 166, 11, 112, // Opcode: SQADDv4i32
-/* 17869 */   MCD_OPC_FilterValue, 3, 12, 89, // Skip to: 40669
-/* 17873 */   MCD_OPC_CheckPredicate, 0, 8, 89, // Skip to: 40669
-/* 17877 */   MCD_OPC_CheckField, 21, 1, 1, 2, 89, // Skip to: 40669
-/* 17883 */   MCD_OPC_Decode, 145, 17, 112, // Opcode: UQADDv4i32
-/* 17887 */   MCD_OPC_FilterValue, 4, 75, 0, // Skip to: 17966
-/* 17891 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17894 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17912
-/* 17898 */   MCD_OPC_CheckPredicate, 0, 239, 88, // Skip to: 40669
-/* 17902 */   MCD_OPC_CheckField, 21, 1, 1, 233, 88, // Skip to: 40669
-/* 17908 */   MCD_OPC_Decode, 247, 9, 93, // Opcode: SADDWv2i32_v2i64
-/* 17912 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17930
-/* 17916 */   MCD_OPC_CheckPredicate, 0, 221, 88, // Skip to: 40669
-/* 17920 */   MCD_OPC_CheckField, 21, 1, 1, 215, 88, // Skip to: 40669
-/* 17926 */   MCD_OPC_Decode, 153, 16, 93, // Opcode: UADDWv2i32_v2i64
-/* 17930 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17948
-/* 17934 */   MCD_OPC_CheckPredicate, 0, 203, 88, // Skip to: 40669
-/* 17938 */   MCD_OPC_CheckField, 21, 1, 1, 197, 88, // Skip to: 40669
-/* 17944 */   MCD_OPC_Decode, 249, 9, 112, // Opcode: SADDWv4i32_v2i64
-/* 17948 */   MCD_OPC_FilterValue, 3, 189, 88, // Skip to: 40669
-/* 17952 */   MCD_OPC_CheckPredicate, 0, 185, 88, // Skip to: 40669
-/* 17956 */   MCD_OPC_CheckField, 21, 1, 1, 179, 88, // Skip to: 40669
-/* 17962 */   MCD_OPC_Decode, 155, 16, 112, // Opcode: UADDWv4i32_v2i64
-/* 17966 */   MCD_OPC_FilterValue, 5, 75, 0, // Skip to: 18045
-/* 17970 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 17973 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17991
-/* 17977 */   MCD_OPC_CheckPredicate, 0, 160, 88, // Skip to: 40669
-/* 17981 */   MCD_OPC_CheckField, 21, 1, 1, 154, 88, // Skip to: 40669
-/* 17987 */   MCD_OPC_Decode, 222, 12, 89, // Opcode: SRHADDv2i32
-/* 17991 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18009
-/* 17995 */   MCD_OPC_CheckPredicate, 0, 142, 88, // Skip to: 40669
-/* 17999 */   MCD_OPC_CheckField, 21, 1, 1, 136, 88, // Skip to: 40669
-/* 18005 */   MCD_OPC_Decode, 222, 17, 89, // Opcode: URHADDv2i32
-/* 18009 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18027
-/* 18013 */   MCD_OPC_CheckPredicate, 0, 124, 88, // Skip to: 40669
-/* 18017 */   MCD_OPC_CheckField, 21, 1, 1, 118, 88, // Skip to: 40669
-/* 18023 */   MCD_OPC_Decode, 224, 12, 112, // Opcode: SRHADDv4i32
-/* 18027 */   MCD_OPC_FilterValue, 3, 110, 88, // Skip to: 40669
-/* 18031 */   MCD_OPC_CheckPredicate, 0, 106, 88, // Skip to: 40669
-/* 18035 */   MCD_OPC_CheckField, 21, 1, 1, 100, 88, // Skip to: 40669
-/* 18041 */   MCD_OPC_Decode, 224, 17, 112, // Opcode: URHADDv4i32
-/* 18045 */   MCD_OPC_FilterValue, 6, 39, 0, // Skip to: 18088
-/* 18049 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18052 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18070
-/* 18056 */   MCD_OPC_CheckPredicate, 0, 81, 88, // Skip to: 40669
-/* 18060 */   MCD_OPC_CheckField, 21, 1, 0, 75, 88, // Skip to: 40669
-/* 18066 */   MCD_OPC_Decode, 179, 18, 89, // Opcode: UZP1v2i32
-/* 18070 */   MCD_OPC_FilterValue, 2, 67, 88, // Skip to: 40669
-/* 18074 */   MCD_OPC_CheckPredicate, 0, 63, 88, // Skip to: 40669
-/* 18078 */   MCD_OPC_CheckField, 21, 1, 0, 57, 88, // Skip to: 40669
-/* 18084 */   MCD_OPC_Decode, 182, 18, 112, // Opcode: UZP1v4i32
-/* 18088 */   MCD_OPC_FilterValue, 7, 73, 0, // Skip to: 18165
-/* 18092 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18095 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18113
-/* 18099 */   MCD_OPC_CheckPredicate, 0, 38, 88, // Skip to: 40669
-/* 18103 */   MCD_OPC_CheckField, 21, 1, 1, 32, 88, // Skip to: 40669
-/* 18109 */   MCD_OPC_Decode, 144, 9, 89, // Opcode: ORRv8i8
-/* 18113 */   MCD_OPC_FilterValue, 1, 13, 0, // Skip to: 18130
-/* 18117 */   MCD_OPC_CheckPredicate, 0, 20, 88, // Skip to: 40669
-/* 18121 */   MCD_OPC_CheckField, 21, 1, 1, 14, 88, // Skip to: 40669
-/* 18127 */   MCD_OPC_Decode, 121, 109, // Opcode: BITv8i8
-/* 18130 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18148
-/* 18134 */   MCD_OPC_CheckPredicate, 0, 3, 88, // Skip to: 40669
-/* 18138 */   MCD_OPC_CheckField, 21, 1, 1, 253, 87, // Skip to: 40669
-/* 18144 */   MCD_OPC_Decode, 139, 9, 112, // Opcode: ORRv16i8
-/* 18148 */   MCD_OPC_FilterValue, 3, 245, 87, // Skip to: 40669
-/* 18152 */   MCD_OPC_CheckPredicate, 0, 241, 87, // Skip to: 40669
-/* 18156 */   MCD_OPC_CheckField, 21, 1, 1, 235, 87, // Skip to: 40669
-/* 18162 */   MCD_OPC_Decode, 120, 120, // Opcode: BITv16i8
-/* 18165 */   MCD_OPC_FilterValue, 8, 75, 0, // Skip to: 18244
-/* 18169 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18172 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18190
-/* 18176 */   MCD_OPC_CheckPredicate, 0, 217, 87, // Skip to: 40669
-/* 18180 */   MCD_OPC_CheckField, 21, 1, 1, 211, 87, // Skip to: 40669
-/* 18186 */   MCD_OPC_Decode, 162, 13, 85, // Opcode: SSUBLv2i32_v2i64
-/* 18190 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18208
-/* 18194 */   MCD_OPC_CheckPredicate, 0, 199, 87, // Skip to: 40669
-/* 18198 */   MCD_OPC_CheckField, 21, 1, 1, 193, 87, // Skip to: 40669
-/* 18204 */   MCD_OPC_Decode, 167, 18, 85, // Opcode: USUBLv2i32_v2i64
-/* 18208 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18226
-/* 18212 */   MCD_OPC_CheckPredicate, 0, 181, 87, // Skip to: 40669
-/* 18216 */   MCD_OPC_CheckField, 21, 1, 1, 175, 87, // Skip to: 40669
-/* 18222 */   MCD_OPC_Decode, 164, 13, 112, // Opcode: SSUBLv4i32_v2i64
-/* 18226 */   MCD_OPC_FilterValue, 3, 167, 87, // Skip to: 40669
-/* 18230 */   MCD_OPC_CheckPredicate, 0, 163, 87, // Skip to: 40669
-/* 18234 */   MCD_OPC_CheckField, 21, 1, 1, 157, 87, // Skip to: 40669
-/* 18240 */   MCD_OPC_Decode, 169, 18, 112, // Opcode: USUBLv4i32_v2i64
-/* 18244 */   MCD_OPC_FilterValue, 9, 75, 0, // Skip to: 18323
-/* 18248 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18251 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18269
-/* 18255 */   MCD_OPC_CheckPredicate, 0, 138, 87, // Skip to: 40669
-/* 18259 */   MCD_OPC_CheckField, 21, 1, 1, 132, 87, // Skip to: 40669
-/* 18265 */   MCD_OPC_Decode, 189, 10, 89, // Opcode: SHSUBv2i32
-/* 18269 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18287
-/* 18273 */   MCD_OPC_CheckPredicate, 0, 120, 87, // Skip to: 40669
-/* 18277 */   MCD_OPC_CheckField, 21, 1, 1, 114, 87, // Skip to: 40669
-/* 18283 */   MCD_OPC_Decode, 189, 16, 89, // Opcode: UHSUBv2i32
-/* 18287 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18305
-/* 18291 */   MCD_OPC_CheckPredicate, 0, 102, 87, // Skip to: 40669
-/* 18295 */   MCD_OPC_CheckField, 21, 1, 1, 96, 87, // Skip to: 40669
-/* 18301 */   MCD_OPC_Decode, 191, 10, 112, // Opcode: SHSUBv4i32
-/* 18305 */   MCD_OPC_FilterValue, 3, 88, 87, // Skip to: 40669
-/* 18309 */   MCD_OPC_CheckPredicate, 0, 84, 87, // Skip to: 40669
-/* 18313 */   MCD_OPC_CheckField, 21, 1, 1, 78, 87, // Skip to: 40669
-/* 18319 */   MCD_OPC_Decode, 191, 16, 112, // Opcode: UHSUBv4i32
-/* 18323 */   MCD_OPC_FilterValue, 10, 165, 0, // Skip to: 18492
-/* 18327 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18330 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 18380
-/* 18334 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 18337 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18349
-/* 18341 */   MCD_OPC_CheckPredicate, 0, 52, 87, // Skip to: 40669
-/* 18345 */   MCD_OPC_Decode, 220, 15, 89, // Opcode: TRN1v2i32
-/* 18349 */   MCD_OPC_FilterValue, 1, 44, 87, // Skip to: 40669
-/* 18353 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 18356 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18368
-/* 18360 */   MCD_OPC_CheckPredicate, 0, 33, 87, // Skip to: 40669
-/* 18364 */   MCD_OPC_Decode, 230, 9, 90, // Opcode: SADDLPv2i32_v1i64
-/* 18368 */   MCD_OPC_FilterValue, 1, 25, 87, // Skip to: 40669
-/* 18372 */   MCD_OPC_CheckPredicate, 0, 21, 87, // Skip to: 40669
-/* 18376 */   MCD_OPC_Decode, 193, 18, 95, // Opcode: XTNv2i32
-/* 18380 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 18411
-/* 18384 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 18387 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18399
-/* 18391 */   MCD_OPC_CheckPredicate, 0, 2, 87, // Skip to: 40669
-/* 18395 */   MCD_OPC_Decode, 136, 16, 90, // Opcode: UADDLPv2i32_v1i64
-/* 18399 */   MCD_OPC_FilterValue, 33, 250, 86, // Skip to: 40669
-/* 18403 */   MCD_OPC_CheckPredicate, 0, 246, 86, // Skip to: 40669
-/* 18407 */   MCD_OPC_Decode, 216, 12, 95, // Opcode: SQXTUNv2i32
-/* 18411 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 18461
-/* 18415 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 18418 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18430
-/* 18422 */   MCD_OPC_CheckPredicate, 0, 227, 86, // Skip to: 40669
-/* 18426 */   MCD_OPC_Decode, 223, 15, 112, // Opcode: TRN1v4i32
-/* 18430 */   MCD_OPC_FilterValue, 1, 219, 86, // Skip to: 40669
-/* 18434 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 18437 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18449
-/* 18441 */   MCD_OPC_CheckPredicate, 0, 208, 86, // Skip to: 40669
-/* 18445 */   MCD_OPC_Decode, 232, 9, 117, // Opcode: SADDLPv4i32_v2i64
-/* 18449 */   MCD_OPC_FilterValue, 1, 200, 86, // Skip to: 40669
-/* 18453 */   MCD_OPC_CheckPredicate, 0, 196, 86, // Skip to: 40669
-/* 18457 */   MCD_OPC_Decode, 195, 18, 126, // Opcode: XTNv4i32
-/* 18461 */   MCD_OPC_FilterValue, 3, 188, 86, // Skip to: 40669
-/* 18465 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 18468 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18480
-/* 18472 */   MCD_OPC_CheckPredicate, 0, 177, 86, // Skip to: 40669
-/* 18476 */   MCD_OPC_Decode, 138, 16, 117, // Opcode: UADDLPv4i32_v2i64
-/* 18480 */   MCD_OPC_FilterValue, 33, 169, 86, // Skip to: 40669
-/* 18484 */   MCD_OPC_CheckPredicate, 0, 165, 86, // Skip to: 40669
-/* 18488 */   MCD_OPC_Decode, 218, 12, 126, // Opcode: SQXTUNv4i32
-/* 18492 */   MCD_OPC_FilterValue, 11, 75, 0, // Skip to: 18571
-/* 18496 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18499 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18517
-/* 18503 */   MCD_OPC_CheckPredicate, 0, 146, 86, // Skip to: 40669
-/* 18507 */   MCD_OPC_CheckField, 21, 1, 1, 140, 86, // Skip to: 40669
-/* 18513 */   MCD_OPC_Decode, 197, 12, 89, // Opcode: SQSUBv2i32
-/* 18517 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18535
-/* 18521 */   MCD_OPC_CheckPredicate, 0, 128, 86, // Skip to: 40669
-/* 18525 */   MCD_OPC_CheckField, 21, 1, 1, 122, 86, // Skip to: 40669
-/* 18531 */   MCD_OPC_Decode, 204, 17, 89, // Opcode: UQSUBv2i32
-/* 18535 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18553
-/* 18539 */   MCD_OPC_CheckPredicate, 0, 110, 86, // Skip to: 40669
-/* 18543 */   MCD_OPC_CheckField, 21, 1, 1, 104, 86, // Skip to: 40669
-/* 18549 */   MCD_OPC_Decode, 200, 12, 112, // Opcode: SQSUBv4i32
-/* 18553 */   MCD_OPC_FilterValue, 3, 96, 86, // Skip to: 40669
-/* 18557 */   MCD_OPC_CheckPredicate, 0, 92, 86, // Skip to: 40669
-/* 18561 */   MCD_OPC_CheckField, 21, 1, 1, 86, 86, // Skip to: 40669
-/* 18567 */   MCD_OPC_Decode, 207, 17, 112, // Opcode: UQSUBv4i32
-/* 18571 */   MCD_OPC_FilterValue, 12, 75, 0, // Skip to: 18650
-/* 18575 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18578 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18596
-/* 18582 */   MCD_OPC_CheckPredicate, 0, 67, 86, // Skip to: 40669
-/* 18586 */   MCD_OPC_CheckField, 21, 1, 1, 61, 86, // Skip to: 40669
-/* 18592 */   MCD_OPC_Decode, 168, 13, 93, // Opcode: SSUBWv2i32_v2i64
-/* 18596 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18614
-/* 18600 */   MCD_OPC_CheckPredicate, 0, 49, 86, // Skip to: 40669
-/* 18604 */   MCD_OPC_CheckField, 21, 1, 1, 43, 86, // Skip to: 40669
-/* 18610 */   MCD_OPC_Decode, 173, 18, 93, // Opcode: USUBWv2i32_v2i64
-/* 18614 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18632
-/* 18618 */   MCD_OPC_CheckPredicate, 0, 31, 86, // Skip to: 40669
-/* 18622 */   MCD_OPC_CheckField, 21, 1, 1, 25, 86, // Skip to: 40669
-/* 18628 */   MCD_OPC_Decode, 170, 13, 112, // Opcode: SSUBWv4i32_v2i64
-/* 18632 */   MCD_OPC_FilterValue, 3, 17, 86, // Skip to: 40669
-/* 18636 */   MCD_OPC_CheckPredicate, 0, 13, 86, // Skip to: 40669
-/* 18640 */   MCD_OPC_CheckField, 21, 1, 1, 7, 86, // Skip to: 40669
-/* 18646 */   MCD_OPC_Decode, 175, 18, 112, // Opcode: USUBWv4i32_v2i64
-/* 18650 */   MCD_OPC_FilterValue, 13, 75, 0, // Skip to: 18729
-/* 18654 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18657 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18675
-/* 18661 */   MCD_OPC_CheckPredicate, 0, 244, 85, // Skip to: 40669
-/* 18665 */   MCD_OPC_CheckField, 21, 1, 1, 238, 85, // Skip to: 40669
-/* 18671 */   MCD_OPC_Decode, 194, 1, 89, // Opcode: CMGTv2i32
-/* 18675 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18693
-/* 18679 */   MCD_OPC_CheckPredicate, 0, 226, 85, // Skip to: 40669
-/* 18683 */   MCD_OPC_CheckField, 21, 1, 1, 220, 85, // Skip to: 40669
-/* 18689 */   MCD_OPC_Decode, 208, 1, 89, // Opcode: CMHIv2i32
-/* 18693 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18711
-/* 18697 */   MCD_OPC_CheckPredicate, 0, 208, 85, // Skip to: 40669
-/* 18701 */   MCD_OPC_CheckField, 21, 1, 1, 202, 85, // Skip to: 40669
-/* 18707 */   MCD_OPC_Decode, 200, 1, 112, // Opcode: CMGTv4i32
-/* 18711 */   MCD_OPC_FilterValue, 3, 194, 85, // Skip to: 40669
-/* 18715 */   MCD_OPC_CheckPredicate, 0, 190, 85, // Skip to: 40669
-/* 18719 */   MCD_OPC_CheckField, 21, 1, 1, 184, 85, // Skip to: 40669
-/* 18725 */   MCD_OPC_Decode, 211, 1, 112, // Opcode: CMHIv4i32
-/* 18729 */   MCD_OPC_FilterValue, 14, 164, 0, // Skip to: 18897
-/* 18733 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18736 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 18773
-/* 18740 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 18743 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18755
-/* 18747 */   MCD_OPC_CheckPredicate, 0, 158, 85, // Skip to: 40669
-/* 18751 */   MCD_OPC_Decode, 199, 18, 89, // Opcode: ZIP1v2i32
-/* 18755 */   MCD_OPC_FilterValue, 1, 150, 85, // Skip to: 40669
-/* 18759 */   MCD_OPC_CheckPredicate, 0, 146, 85, // Skip to: 40669
-/* 18763 */   MCD_OPC_CheckField, 16, 5, 0, 140, 85, // Skip to: 40669
-/* 18769 */   MCD_OPC_Decode, 186, 15, 99, // Opcode: SUQADDv2i32
-/* 18773 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 18804
-/* 18777 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 18780 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18792
-/* 18784 */   MCD_OPC_CheckPredicate, 0, 121, 85, // Skip to: 40669
-/* 18788 */   MCD_OPC_Decode, 152, 18, 99, // Opcode: USQADDv2i32
-/* 18792 */   MCD_OPC_FilterValue, 33, 113, 85, // Skip to: 40669
-/* 18796 */   MCD_OPC_CheckPredicate, 0, 109, 85, // Skip to: 40669
-/* 18800 */   MCD_OPC_Decode, 169, 10, 108, // Opcode: SHLLv2i32
-/* 18804 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 18854
-/* 18808 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 18811 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18823
-/* 18815 */   MCD_OPC_CheckPredicate, 0, 90, 85, // Skip to: 40669
-/* 18819 */   MCD_OPC_Decode, 202, 18, 112, // Opcode: ZIP1v4i32
-/* 18823 */   MCD_OPC_FilterValue, 1, 82, 85, // Skip to: 40669
-/* 18827 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 18830 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18842
-/* 18834 */   MCD_OPC_CheckPredicate, 0, 71, 85, // Skip to: 40669
-/* 18838 */   MCD_OPC_Decode, 189, 15, 126, // Opcode: SUQADDv4i32
-/* 18842 */   MCD_OPC_FilterValue, 16, 63, 85, // Skip to: 40669
-/* 18846 */   MCD_OPC_CheckPredicate, 0, 59, 85, // Skip to: 40669
-/* 18850 */   MCD_OPC_Decode, 237, 9, 95, // Opcode: SADDLVv4i32v
-/* 18854 */   MCD_OPC_FilterValue, 3, 51, 85, // Skip to: 40669
-/* 18858 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 18861 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18873
-/* 18865 */   MCD_OPC_CheckPredicate, 0, 40, 85, // Skip to: 40669
-/* 18869 */   MCD_OPC_Decode, 155, 18, 126, // Opcode: USQADDv4i32
-/* 18873 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 18885
-/* 18877 */   MCD_OPC_CheckPredicate, 0, 28, 85, // Skip to: 40669
-/* 18881 */   MCD_OPC_Decode, 171, 10, 117, // Opcode: SHLLv4i32
-/* 18885 */   MCD_OPC_FilterValue, 48, 20, 85, // Skip to: 40669
-/* 18889 */   MCD_OPC_CheckPredicate, 0, 16, 85, // Skip to: 40669
-/* 18893 */   MCD_OPC_Decode, 143, 16, 95, // Opcode: UADDLVv4i32v
-/* 18897 */   MCD_OPC_FilterValue, 15, 75, 0, // Skip to: 18976
-/* 18901 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18904 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18922
-/* 18908 */   MCD_OPC_CheckPredicate, 0, 253, 84, // Skip to: 40669
-/* 18912 */   MCD_OPC_CheckField, 21, 1, 1, 247, 84, // Skip to: 40669
-/* 18918 */   MCD_OPC_Decode, 178, 1, 89, // Opcode: CMGEv2i32
-/* 18922 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18940
-/* 18926 */   MCD_OPC_CheckPredicate, 0, 235, 84, // Skip to: 40669
-/* 18930 */   MCD_OPC_CheckField, 21, 1, 1, 229, 84, // Skip to: 40669
-/* 18936 */   MCD_OPC_Decode, 216, 1, 89, // Opcode: CMHSv2i32
-/* 18940 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18958
-/* 18944 */   MCD_OPC_CheckPredicate, 0, 217, 84, // Skip to: 40669
-/* 18948 */   MCD_OPC_CheckField, 21, 1, 1, 211, 84, // Skip to: 40669
-/* 18954 */   MCD_OPC_Decode, 184, 1, 112, // Opcode: CMGEv4i32
-/* 18958 */   MCD_OPC_FilterValue, 3, 203, 84, // Skip to: 40669
-/* 18962 */   MCD_OPC_CheckPredicate, 0, 199, 84, // Skip to: 40669
-/* 18966 */   MCD_OPC_CheckField, 21, 1, 1, 193, 84, // Skip to: 40669
-/* 18972 */   MCD_OPC_Decode, 219, 1, 112, // Opcode: CMHSv4i32
-/* 18976 */   MCD_OPC_FilterValue, 16, 73, 0, // Skip to: 19053
-/* 18980 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 18983 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 19000
-/* 18987 */   MCD_OPC_CheckPredicate, 0, 174, 84, // Skip to: 40669
-/* 18991 */   MCD_OPC_CheckField, 21, 1, 1, 168, 84, // Skip to: 40669
-/* 18997 */   MCD_OPC_Decode, 32, 103, // Opcode: ADDHNv2i64_v2i32
-/* 19000 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19018
-/* 19004 */   MCD_OPC_CheckPredicate, 0, 157, 84, // Skip to: 40669
-/* 19008 */   MCD_OPC_CheckField, 21, 1, 1, 151, 84, // Skip to: 40669
-/* 19014 */   MCD_OPC_Decode, 156, 9, 103, // Opcode: RADDHNv2i64_v2i32
-/* 19018 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 19035
-/* 19022 */   MCD_OPC_CheckPredicate, 0, 139, 84, // Skip to: 40669
-/* 19026 */   MCD_OPC_CheckField, 21, 1, 1, 133, 84, // Skip to: 40669
-/* 19032 */   MCD_OPC_Decode, 33, 120, // Opcode: ADDHNv2i64_v4i32
-/* 19035 */   MCD_OPC_FilterValue, 3, 126, 84, // Skip to: 40669
-/* 19039 */   MCD_OPC_CheckPredicate, 0, 122, 84, // Skip to: 40669
-/* 19043 */   MCD_OPC_CheckField, 21, 1, 1, 116, 84, // Skip to: 40669
-/* 19049 */   MCD_OPC_Decode, 157, 9, 120, // Opcode: RADDHNv2i64_v4i32
-/* 19053 */   MCD_OPC_FilterValue, 17, 75, 0, // Skip to: 19132
-/* 19057 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19060 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19078
-/* 19064 */   MCD_OPC_CheckPredicate, 0, 97, 84, // Skip to: 40669
-/* 19068 */   MCD_OPC_CheckField, 21, 1, 1, 91, 84, // Skip to: 40669
-/* 19074 */   MCD_OPC_Decode, 139, 13, 89, // Opcode: SSHLv2i32
-/* 19078 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19096
-/* 19082 */   MCD_OPC_CheckPredicate, 0, 79, 84, // Skip to: 40669
-/* 19086 */   MCD_OPC_CheckField, 21, 1, 1, 73, 84, // Skip to: 40669
-/* 19092 */   MCD_OPC_Decode, 133, 18, 89, // Opcode: USHLv2i32
-/* 19096 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19114
-/* 19100 */   MCD_OPC_CheckPredicate, 0, 61, 84, // Skip to: 40669
-/* 19104 */   MCD_OPC_CheckField, 21, 1, 1, 55, 84, // Skip to: 40669
-/* 19110 */   MCD_OPC_Decode, 142, 13, 112, // Opcode: SSHLv4i32
-/* 19114 */   MCD_OPC_FilterValue, 3, 47, 84, // Skip to: 40669
-/* 19118 */   MCD_OPC_CheckPredicate, 0, 43, 84, // Skip to: 40669
-/* 19122 */   MCD_OPC_CheckField, 21, 1, 1, 37, 84, // Skip to: 40669
-/* 19128 */   MCD_OPC_Decode, 136, 18, 112, // Opcode: USHLv4i32
-/* 19132 */   MCD_OPC_FilterValue, 18, 127, 0, // Skip to: 19263
-/* 19136 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19139 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 19170
-/* 19143 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 19146 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19158
-/* 19150 */   MCD_OPC_CheckPredicate, 0, 11, 84, // Skip to: 40669
-/* 19154 */   MCD_OPC_Decode, 145, 1, 90, // Opcode: CLSv2i32
-/* 19158 */   MCD_OPC_FilterValue, 33, 3, 84, // Skip to: 40669
-/* 19162 */   MCD_OPC_CheckPredicate, 0, 255, 83, // Skip to: 40669
-/* 19166 */   MCD_OPC_Decode, 207, 12, 95, // Opcode: SQXTNv2i32
-/* 19170 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 19201
-/* 19174 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 19177 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19189
-/* 19181 */   MCD_OPC_CheckPredicate, 0, 236, 83, // Skip to: 40669
-/* 19185 */   MCD_OPC_Decode, 153, 1, 90, // Opcode: CLZv2i32
-/* 19189 */   MCD_OPC_FilterValue, 33, 228, 83, // Skip to: 40669
-/* 19193 */   MCD_OPC_CheckPredicate, 0, 224, 83, // Skip to: 40669
-/* 19197 */   MCD_OPC_Decode, 214, 17, 95, // Opcode: UQXTNv2i32
-/* 19201 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 19232
-/* 19205 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 19208 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19220
-/* 19212 */   MCD_OPC_CheckPredicate, 0, 205, 83, // Skip to: 40669
-/* 19216 */   MCD_OPC_Decode, 147, 1, 117, // Opcode: CLSv4i32
-/* 19220 */   MCD_OPC_FilterValue, 33, 197, 83, // Skip to: 40669
-/* 19224 */   MCD_OPC_CheckPredicate, 0, 193, 83, // Skip to: 40669
-/* 19228 */   MCD_OPC_Decode, 209, 12, 126, // Opcode: SQXTNv4i32
-/* 19232 */   MCD_OPC_FilterValue, 3, 185, 83, // Skip to: 40669
-/* 19236 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 19239 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19251
-/* 19243 */   MCD_OPC_CheckPredicate, 0, 174, 83, // Skip to: 40669
-/* 19247 */   MCD_OPC_Decode, 155, 1, 117, // Opcode: CLZv4i32
-/* 19251 */   MCD_OPC_FilterValue, 33, 166, 83, // Skip to: 40669
-/* 19255 */   MCD_OPC_CheckPredicate, 0, 162, 83, // Skip to: 40669
-/* 19259 */   MCD_OPC_Decode, 216, 17, 126, // Opcode: UQXTNv4i32
-/* 19263 */   MCD_OPC_FilterValue, 19, 75, 0, // Skip to: 19342
-/* 19267 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19270 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19288
-/* 19274 */   MCD_OPC_CheckPredicate, 0, 143, 83, // Skip to: 40669
-/* 19278 */   MCD_OPC_CheckField, 21, 1, 1, 137, 83, // Skip to: 40669
-/* 19284 */   MCD_OPC_Decode, 162, 12, 89, // Opcode: SQSHLv2i32
-/* 19288 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19306
-/* 19292 */   MCD_OPC_CheckPredicate, 0, 125, 83, // Skip to: 40669
-/* 19296 */   MCD_OPC_CheckField, 21, 1, 1, 119, 83, // Skip to: 40669
-/* 19302 */   MCD_OPC_Decode, 178, 17, 89, // Opcode: UQSHLv2i32
-/* 19306 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19324
-/* 19310 */   MCD_OPC_CheckPredicate, 0, 107, 83, // Skip to: 40669
-/* 19314 */   MCD_OPC_CheckField, 21, 1, 1, 101, 83, // Skip to: 40669
-/* 19320 */   MCD_OPC_Decode, 168, 12, 112, // Opcode: SQSHLv4i32
-/* 19324 */   MCD_OPC_FilterValue, 3, 93, 83, // Skip to: 40669
-/* 19328 */   MCD_OPC_CheckPredicate, 0, 89, 83, // Skip to: 40669
-/* 19332 */   MCD_OPC_CheckField, 21, 1, 1, 83, 83, // Skip to: 40669
-/* 19338 */   MCD_OPC_Decode, 184, 17, 112, // Opcode: UQSHLv4i32
-/* 19342 */   MCD_OPC_FilterValue, 20, 75, 0, // Skip to: 19421
-/* 19346 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19349 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19367
-/* 19353 */   MCD_OPC_CheckPredicate, 0, 64, 83, // Skip to: 40669
-/* 19357 */   MCD_OPC_CheckField, 21, 1, 1, 58, 83, // Skip to: 40669
-/* 19363 */   MCD_OPC_Decode, 200, 9, 105, // Opcode: SABALv2i32_v2i64
-/* 19367 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19385
-/* 19371 */   MCD_OPC_CheckPredicate, 0, 46, 83, // Skip to: 40669
-/* 19375 */   MCD_OPC_CheckField, 21, 1, 1, 40, 83, // Skip to: 40669
-/* 19381 */   MCD_OPC_Decode, 234, 15, 105, // Opcode: UABALv2i32_v2i64
-/* 19385 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19403
-/* 19389 */   MCD_OPC_CheckPredicate, 0, 28, 83, // Skip to: 40669
-/* 19393 */   MCD_OPC_CheckField, 21, 1, 1, 22, 83, // Skip to: 40669
-/* 19399 */   MCD_OPC_Decode, 202, 9, 120, // Opcode: SABALv4i32_v2i64
-/* 19403 */   MCD_OPC_FilterValue, 3, 14, 83, // Skip to: 40669
-/* 19407 */   MCD_OPC_CheckPredicate, 0, 10, 83, // Skip to: 40669
-/* 19411 */   MCD_OPC_CheckField, 21, 1, 1, 4, 83, // Skip to: 40669
-/* 19417 */   MCD_OPC_Decode, 236, 15, 120, // Opcode: UABALv4i32_v2i64
-/* 19421 */   MCD_OPC_FilterValue, 21, 75, 0, // Skip to: 19500
-/* 19425 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19428 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19446
-/* 19432 */   MCD_OPC_CheckPredicate, 0, 241, 82, // Skip to: 40669
-/* 19436 */   MCD_OPC_CheckField, 21, 1, 1, 235, 82, // Skip to: 40669
-/* 19442 */   MCD_OPC_Decode, 237, 12, 89, // Opcode: SRSHLv2i32
-/* 19446 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19464
-/* 19450 */   MCD_OPC_CheckPredicate, 0, 223, 82, // Skip to: 40669
-/* 19454 */   MCD_OPC_CheckField, 21, 1, 1, 217, 82, // Skip to: 40669
-/* 19460 */   MCD_OPC_Decode, 229, 17, 89, // Opcode: URSHLv2i32
-/* 19464 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19482
-/* 19468 */   MCD_OPC_CheckPredicate, 0, 205, 82, // Skip to: 40669
-/* 19472 */   MCD_OPC_CheckField, 21, 1, 1, 199, 82, // Skip to: 40669
-/* 19478 */   MCD_OPC_Decode, 240, 12, 112, // Opcode: SRSHLv4i32
-/* 19482 */   MCD_OPC_FilterValue, 3, 191, 82, // Skip to: 40669
-/* 19486 */   MCD_OPC_CheckPredicate, 0, 187, 82, // Skip to: 40669
-/* 19490 */   MCD_OPC_CheckField, 21, 1, 1, 181, 82, // Skip to: 40669
-/* 19496 */   MCD_OPC_Decode, 232, 17, 112, // Opcode: URSHLv4i32
-/* 19500 */   MCD_OPC_FilterValue, 22, 39, 0, // Skip to: 19543
-/* 19504 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19507 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19525
-/* 19511 */   MCD_OPC_CheckPredicate, 0, 162, 82, // Skip to: 40669
-/* 19515 */   MCD_OPC_CheckField, 21, 1, 0, 156, 82, // Skip to: 40669
-/* 19521 */   MCD_OPC_Decode, 186, 18, 89, // Opcode: UZP2v2i32
-/* 19525 */   MCD_OPC_FilterValue, 2, 148, 82, // Skip to: 40669
-/* 19529 */   MCD_OPC_CheckPredicate, 0, 144, 82, // Skip to: 40669
-/* 19533 */   MCD_OPC_CheckField, 21, 1, 0, 138, 82, // Skip to: 40669
-/* 19539 */   MCD_OPC_Decode, 189, 18, 112, // Opcode: UZP2v4i32
-/* 19543 */   MCD_OPC_FilterValue, 23, 75, 0, // Skip to: 19622
-/* 19547 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19550 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19568
-/* 19554 */   MCD_OPC_CheckPredicate, 0, 119, 82, // Skip to: 40669
-/* 19558 */   MCD_OPC_CheckField, 21, 1, 1, 113, 82, // Skip to: 40669
-/* 19564 */   MCD_OPC_Decode, 245, 11, 89, // Opcode: SQRSHLv2i32
-/* 19568 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19586
-/* 19572 */   MCD_OPC_CheckPredicate, 0, 101, 82, // Skip to: 40669
-/* 19576 */   MCD_OPC_CheckField, 21, 1, 1, 95, 82, // Skip to: 40669
-/* 19582 */   MCD_OPC_Decode, 153, 17, 89, // Opcode: UQRSHLv2i32
-/* 19586 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19604
-/* 19590 */   MCD_OPC_CheckPredicate, 0, 83, 82, // Skip to: 40669
-/* 19594 */   MCD_OPC_CheckField, 21, 1, 1, 77, 82, // Skip to: 40669
-/* 19600 */   MCD_OPC_Decode, 248, 11, 112, // Opcode: SQRSHLv4i32
-/* 19604 */   MCD_OPC_FilterValue, 3, 69, 82, // Skip to: 40669
-/* 19608 */   MCD_OPC_CheckPredicate, 0, 65, 82, // Skip to: 40669
-/* 19612 */   MCD_OPC_CheckField, 21, 1, 1, 59, 82, // Skip to: 40669
-/* 19618 */   MCD_OPC_Decode, 156, 17, 112, // Opcode: UQRSHLv4i32
-/* 19622 */   MCD_OPC_FilterValue, 24, 75, 0, // Skip to: 19701
-/* 19626 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19629 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19647
-/* 19633 */   MCD_OPC_CheckPredicate, 0, 40, 82, // Skip to: 40669
-/* 19637 */   MCD_OPC_CheckField, 21, 1, 1, 34, 82, // Skip to: 40669
-/* 19643 */   MCD_OPC_Decode, 149, 15, 103, // Opcode: SUBHNv2i64_v2i32
-/* 19647 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19665
-/* 19651 */   MCD_OPC_CheckPredicate, 0, 22, 82, // Skip to: 40669
-/* 19655 */   MCD_OPC_CheckField, 21, 1, 1, 16, 82, // Skip to: 40669
-/* 19661 */   MCD_OPC_Decode, 193, 9, 103, // Opcode: RSUBHNv2i64_v2i32
-/* 19665 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19683
-/* 19669 */   MCD_OPC_CheckPredicate, 0, 4, 82, // Skip to: 40669
-/* 19673 */   MCD_OPC_CheckField, 21, 1, 1, 254, 81, // Skip to: 40669
-/* 19679 */   MCD_OPC_Decode, 150, 15, 120, // Opcode: SUBHNv2i64_v4i32
-/* 19683 */   MCD_OPC_FilterValue, 3, 246, 81, // Skip to: 40669
-/* 19687 */   MCD_OPC_CheckPredicate, 0, 242, 81, // Skip to: 40669
-/* 19691 */   MCD_OPC_CheckField, 21, 1, 1, 236, 81, // Skip to: 40669
-/* 19697 */   MCD_OPC_Decode, 194, 9, 120, // Opcode: RSUBHNv2i64_v4i32
-/* 19701 */   MCD_OPC_FilterValue, 25, 75, 0, // Skip to: 19780
-/* 19705 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19708 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19726
-/* 19712 */   MCD_OPC_CheckPredicate, 0, 217, 81, // Skip to: 40669
-/* 19716 */   MCD_OPC_CheckField, 21, 1, 1, 211, 81, // Skip to: 40669
-/* 19722 */   MCD_OPC_Decode, 215, 10, 89, // Opcode: SMAXv2i32
-/* 19726 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19744
-/* 19730 */   MCD_OPC_CheckPredicate, 0, 199, 81, // Skip to: 40669
-/* 19734 */   MCD_OPC_CheckField, 21, 1, 1, 193, 81, // Skip to: 40669
-/* 19740 */   MCD_OPC_Decode, 207, 16, 89, // Opcode: UMAXv2i32
-/* 19744 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19762
-/* 19748 */   MCD_OPC_CheckPredicate, 0, 181, 81, // Skip to: 40669
-/* 19752 */   MCD_OPC_CheckField, 21, 1, 1, 175, 81, // Skip to: 40669
-/* 19758 */   MCD_OPC_Decode, 217, 10, 112, // Opcode: SMAXv4i32
-/* 19762 */   MCD_OPC_FilterValue, 3, 167, 81, // Skip to: 40669
-/* 19766 */   MCD_OPC_CheckPredicate, 0, 163, 81, // Skip to: 40669
-/* 19770 */   MCD_OPC_CheckField, 21, 1, 1, 157, 81, // Skip to: 40669
-/* 19776 */   MCD_OPC_Decode, 209, 16, 112, // Opcode: UMAXv4i32
-/* 19780 */   MCD_OPC_FilterValue, 26, 113, 0, // Skip to: 19897
-/* 19784 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19787 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 19824
-/* 19791 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 19794 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 19806
-/* 19798 */   MCD_OPC_CheckPredicate, 0, 131, 81, // Skip to: 40669
-/* 19802 */   MCD_OPC_Decode, 227, 15, 89, // Opcode: TRN2v2i32
-/* 19806 */   MCD_OPC_FilterValue, 1, 123, 81, // Skip to: 40669
-/* 19810 */   MCD_OPC_CheckPredicate, 0, 119, 81, // Skip to: 40669
-/* 19814 */   MCD_OPC_CheckField, 16, 5, 0, 113, 81, // Skip to: 40669
-/* 19820 */   MCD_OPC_Decode, 224, 9, 99, // Opcode: SADALPv2i32_v1i64
-/* 19824 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19842
-/* 19828 */   MCD_OPC_CheckPredicate, 0, 101, 81, // Skip to: 40669
-/* 19832 */   MCD_OPC_CheckField, 16, 6, 32, 95, 81, // Skip to: 40669
-/* 19838 */   MCD_OPC_Decode, 130, 16, 99, // Opcode: UADALPv2i32_v1i64
-/* 19842 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 19879
-/* 19846 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 19849 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 19861
-/* 19853 */   MCD_OPC_CheckPredicate, 0, 76, 81, // Skip to: 40669
-/* 19857 */   MCD_OPC_Decode, 230, 15, 112, // Opcode: TRN2v4i32
-/* 19861 */   MCD_OPC_FilterValue, 1, 68, 81, // Skip to: 40669
-/* 19865 */   MCD_OPC_CheckPredicate, 0, 64, 81, // Skip to: 40669
-/* 19869 */   MCD_OPC_CheckField, 16, 5, 0, 58, 81, // Skip to: 40669
-/* 19875 */   MCD_OPC_Decode, 226, 9, 126, // Opcode: SADALPv4i32_v2i64
-/* 19879 */   MCD_OPC_FilterValue, 3, 50, 81, // Skip to: 40669
-/* 19883 */   MCD_OPC_CheckPredicate, 0, 46, 81, // Skip to: 40669
-/* 19887 */   MCD_OPC_CheckField, 16, 6, 32, 40, 81, // Skip to: 40669
-/* 19893 */   MCD_OPC_Decode, 132, 16, 126, // Opcode: UADALPv4i32_v2i64
-/* 19897 */   MCD_OPC_FilterValue, 27, 75, 0, // Skip to: 19976
-/* 19901 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19904 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19922
-/* 19908 */   MCD_OPC_CheckPredicate, 0, 21, 81, // Skip to: 40669
-/* 19912 */   MCD_OPC_CheckField, 21, 1, 1, 15, 81, // Skip to: 40669
-/* 19918 */   MCD_OPC_Decode, 233, 10, 89, // Opcode: SMINv2i32
-/* 19922 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19940
-/* 19926 */   MCD_OPC_CheckPredicate, 0, 3, 81, // Skip to: 40669
-/* 19930 */   MCD_OPC_CheckField, 21, 1, 1, 253, 80, // Skip to: 40669
-/* 19936 */   MCD_OPC_Decode, 224, 16, 89, // Opcode: UMINv2i32
-/* 19940 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19958
-/* 19944 */   MCD_OPC_CheckPredicate, 0, 241, 80, // Skip to: 40669
-/* 19948 */   MCD_OPC_CheckField, 21, 1, 1, 235, 80, // Skip to: 40669
-/* 19954 */   MCD_OPC_Decode, 235, 10, 112, // Opcode: SMINv4i32
-/* 19958 */   MCD_OPC_FilterValue, 3, 227, 80, // Skip to: 40669
-/* 19962 */   MCD_OPC_CheckPredicate, 0, 223, 80, // Skip to: 40669
-/* 19966 */   MCD_OPC_CheckField, 21, 1, 1, 217, 80, // Skip to: 40669
-/* 19972 */   MCD_OPC_Decode, 226, 16, 112, // Opcode: UMINv4i32
-/* 19976 */   MCD_OPC_FilterValue, 28, 75, 0, // Skip to: 20055
-/* 19980 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 19983 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20001
-/* 19987 */   MCD_OPC_CheckPredicate, 0, 198, 80, // Skip to: 40669
-/* 19991 */   MCD_OPC_CheckField, 21, 1, 1, 192, 80, // Skip to: 40669
-/* 19997 */   MCD_OPC_Decode, 212, 9, 85, // Opcode: SABDLv2i32_v2i64
-/* 20001 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20019
-/* 20005 */   MCD_OPC_CheckPredicate, 0, 180, 80, // Skip to: 40669
-/* 20009 */   MCD_OPC_CheckField, 21, 1, 1, 174, 80, // Skip to: 40669
-/* 20015 */   MCD_OPC_Decode, 246, 15, 85, // Opcode: UABDLv2i32_v2i64
-/* 20019 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20037
-/* 20023 */   MCD_OPC_CheckPredicate, 0, 162, 80, // Skip to: 40669
-/* 20027 */   MCD_OPC_CheckField, 21, 1, 1, 156, 80, // Skip to: 40669
-/* 20033 */   MCD_OPC_Decode, 214, 9, 112, // Opcode: SABDLv4i32_v2i64
-/* 20037 */   MCD_OPC_FilterValue, 3, 148, 80, // Skip to: 40669
-/* 20041 */   MCD_OPC_CheckPredicate, 0, 144, 80, // Skip to: 40669
-/* 20045 */   MCD_OPC_CheckField, 21, 1, 1, 138, 80, // Skip to: 40669
-/* 20051 */   MCD_OPC_Decode, 248, 15, 112, // Opcode: UABDLv4i32_v2i64
-/* 20055 */   MCD_OPC_FilterValue, 29, 75, 0, // Skip to: 20134
-/* 20059 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20062 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20080
-/* 20066 */   MCD_OPC_CheckPredicate, 0, 119, 80, // Skip to: 40669
-/* 20070 */   MCD_OPC_CheckField, 21, 1, 1, 113, 80, // Skip to: 40669
-/* 20076 */   MCD_OPC_Decode, 218, 9, 89, // Opcode: SABDv2i32
-/* 20080 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20098
-/* 20084 */   MCD_OPC_CheckPredicate, 0, 101, 80, // Skip to: 40669
-/* 20088 */   MCD_OPC_CheckField, 21, 1, 1, 95, 80, // Skip to: 40669
-/* 20094 */   MCD_OPC_Decode, 252, 15, 89, // Opcode: UABDv2i32
-/* 20098 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20116
-/* 20102 */   MCD_OPC_CheckPredicate, 0, 83, 80, // Skip to: 40669
-/* 20106 */   MCD_OPC_CheckField, 21, 1, 1, 77, 80, // Skip to: 40669
-/* 20112 */   MCD_OPC_Decode, 220, 9, 112, // Opcode: SABDv4i32
-/* 20116 */   MCD_OPC_FilterValue, 3, 69, 80, // Skip to: 40669
-/* 20120 */   MCD_OPC_CheckPredicate, 0, 65, 80, // Skip to: 40669
-/* 20124 */   MCD_OPC_CheckField, 21, 1, 1, 59, 80, // Skip to: 40669
-/* 20130 */   MCD_OPC_Decode, 254, 15, 112, // Opcode: UABDv4i32
-/* 20134 */   MCD_OPC_FilterValue, 30, 113, 0, // Skip to: 20251
-/* 20138 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20141 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 20178
-/* 20145 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 20148 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 20160
-/* 20152 */   MCD_OPC_CheckPredicate, 0, 33, 80, // Skip to: 40669
-/* 20156 */   MCD_OPC_Decode, 206, 18, 89, // Opcode: ZIP2v2i32
-/* 20160 */   MCD_OPC_FilterValue, 1, 25, 80, // Skip to: 40669
-/* 20164 */   MCD_OPC_CheckPredicate, 0, 21, 80, // Skip to: 40669
-/* 20168 */   MCD_OPC_CheckField, 16, 5, 0, 15, 80, // Skip to: 40669
-/* 20174 */   MCD_OPC_Decode, 152, 11, 90, // Opcode: SQABSv2i32
-/* 20178 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20196
-/* 20182 */   MCD_OPC_CheckPredicate, 0, 3, 80, // Skip to: 40669
-/* 20186 */   MCD_OPC_CheckField, 16, 6, 32, 253, 79, // Skip to: 40669
-/* 20192 */   MCD_OPC_Decode, 222, 11, 90, // Opcode: SQNEGv2i32
-/* 20196 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 20233
-/* 20200 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 20203 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 20215
-/* 20207 */   MCD_OPC_CheckPredicate, 0, 234, 79, // Skip to: 40669
-/* 20211 */   MCD_OPC_Decode, 209, 18, 112, // Opcode: ZIP2v4i32
-/* 20215 */   MCD_OPC_FilterValue, 1, 226, 79, // Skip to: 40669
-/* 20219 */   MCD_OPC_CheckPredicate, 0, 222, 79, // Skip to: 40669
-/* 20223 */   MCD_OPC_CheckField, 16, 5, 0, 216, 79, // Skip to: 40669
-/* 20229 */   MCD_OPC_Decode, 155, 11, 117, // Opcode: SQABSv4i32
-/* 20233 */   MCD_OPC_FilterValue, 3, 208, 79, // Skip to: 40669
-/* 20237 */   MCD_OPC_CheckPredicate, 0, 204, 79, // Skip to: 40669
-/* 20241 */   MCD_OPC_CheckField, 16, 6, 32, 198, 79, // Skip to: 40669
-/* 20247 */   MCD_OPC_Decode, 225, 11, 117, // Opcode: SQNEGv4i32
-/* 20251 */   MCD_OPC_FilterValue, 31, 75, 0, // Skip to: 20330
-/* 20255 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20258 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20276
-/* 20262 */   MCD_OPC_CheckPredicate, 0, 179, 79, // Skip to: 40669
-/* 20266 */   MCD_OPC_CheckField, 21, 1, 1, 173, 79, // Skip to: 40669
-/* 20272 */   MCD_OPC_Decode, 206, 9, 109, // Opcode: SABAv2i32
-/* 20276 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20294
-/* 20280 */   MCD_OPC_CheckPredicate, 0, 161, 79, // Skip to: 40669
-/* 20284 */   MCD_OPC_CheckField, 21, 1, 1, 155, 79, // Skip to: 40669
-/* 20290 */   MCD_OPC_Decode, 240, 15, 109, // Opcode: UABAv2i32
-/* 20294 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20312
-/* 20298 */   MCD_OPC_CheckPredicate, 0, 143, 79, // Skip to: 40669
-/* 20302 */   MCD_OPC_CheckField, 21, 1, 1, 137, 79, // Skip to: 40669
-/* 20308 */   MCD_OPC_Decode, 208, 9, 120, // Opcode: SABAv4i32
-/* 20312 */   MCD_OPC_FilterValue, 3, 129, 79, // Skip to: 40669
-/* 20316 */   MCD_OPC_CheckPredicate, 0, 125, 79, // Skip to: 40669
-/* 20320 */   MCD_OPC_CheckField, 21, 1, 1, 119, 79, // Skip to: 40669
-/* 20326 */   MCD_OPC_Decode, 242, 15, 120, // Opcode: UABAv4i32
-/* 20330 */   MCD_OPC_FilterValue, 32, 75, 0, // Skip to: 20409
-/* 20334 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20337 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20355
-/* 20341 */   MCD_OPC_CheckPredicate, 0, 100, 79, // Skip to: 40669
-/* 20345 */   MCD_OPC_CheckField, 21, 1, 1, 94, 79, // Skip to: 40669
-/* 20351 */   MCD_OPC_Decode, 240, 10, 105, // Opcode: SMLALv2i32_v2i64
-/* 20355 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20373
-/* 20359 */   MCD_OPC_CheckPredicate, 0, 82, 79, // Skip to: 40669
-/* 20363 */   MCD_OPC_CheckField, 21, 1, 1, 76, 79, // Skip to: 40669
-/* 20369 */   MCD_OPC_Decode, 231, 16, 105, // Opcode: UMLALv2i32_v2i64
-/* 20373 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20391
-/* 20377 */   MCD_OPC_CheckPredicate, 0, 64, 79, // Skip to: 40669
-/* 20381 */   MCD_OPC_CheckField, 21, 1, 1, 58, 79, // Skip to: 40669
-/* 20387 */   MCD_OPC_Decode, 244, 10, 120, // Opcode: SMLALv4i32_v2i64
-/* 20391 */   MCD_OPC_FilterValue, 3, 50, 79, // Skip to: 40669
-/* 20395 */   MCD_OPC_CheckPredicate, 0, 46, 79, // Skip to: 40669
-/* 20399 */   MCD_OPC_CheckField, 21, 1, 1, 40, 79, // Skip to: 40669
-/* 20405 */   MCD_OPC_Decode, 235, 16, 120, // Opcode: UMLALv4i32_v2i64
-/* 20409 */   MCD_OPC_FilterValue, 33, 73, 0, // Skip to: 20486
-/* 20413 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20416 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 20433
-/* 20420 */   MCD_OPC_CheckPredicate, 0, 21, 79, // Skip to: 40669
-/* 20424 */   MCD_OPC_CheckField, 21, 1, 1, 15, 79, // Skip to: 40669
-/* 20430 */   MCD_OPC_Decode, 71, 89, // Opcode: ADDv2i32
-/* 20433 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20451
-/* 20437 */   MCD_OPC_CheckPredicate, 0, 4, 79, // Skip to: 40669
-/* 20441 */   MCD_OPC_CheckField, 21, 1, 1, 254, 78, // Skip to: 40669
-/* 20447 */   MCD_OPC_Decode, 175, 15, 89, // Opcode: SUBv2i32
-/* 20451 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 20468
-/* 20455 */   MCD_OPC_CheckPredicate, 0, 242, 78, // Skip to: 40669
-/* 20459 */   MCD_OPC_CheckField, 21, 1, 1, 236, 78, // Skip to: 40669
-/* 20465 */   MCD_OPC_Decode, 74, 112, // Opcode: ADDv4i32
-/* 20468 */   MCD_OPC_FilterValue, 3, 229, 78, // Skip to: 40669
-/* 20472 */   MCD_OPC_CheckPredicate, 0, 225, 78, // Skip to: 40669
-/* 20476 */   MCD_OPC_CheckField, 21, 1, 1, 219, 78, // Skip to: 40669
-/* 20482 */   MCD_OPC_Decode, 178, 15, 112, // Opcode: SUBv4i32
-/* 20486 */   MCD_OPC_FilterValue, 34, 101, 0, // Skip to: 20591
-/* 20490 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20493 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 20524
-/* 20497 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20500 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20512
-/* 20504 */   MCD_OPC_CheckPredicate, 0, 193, 78, // Skip to: 40669
-/* 20508 */   MCD_OPC_Decode, 195, 1, 90, // Opcode: CMGTv2i32rz
-/* 20512 */   MCD_OPC_FilterValue, 33, 185, 78, // Skip to: 40669
-/* 20516 */   MCD_OPC_CheckPredicate, 0, 181, 78, // Skip to: 40669
-/* 20520 */   MCD_OPC_Decode, 172, 5, 90, // Opcode: FRINTPv2f32
-/* 20524 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20542
-/* 20528 */   MCD_OPC_CheckPredicate, 0, 169, 78, // Skip to: 40669
-/* 20532 */   MCD_OPC_CheckField, 16, 6, 32, 163, 78, // Skip to: 40669
-/* 20538 */   MCD_OPC_Decode, 179, 1, 90, // Opcode: CMGEv2i32rz
-/* 20542 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 20573
-/* 20546 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20549 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20561
-/* 20553 */   MCD_OPC_CheckPredicate, 0, 144, 78, // Skip to: 40669
-/* 20557 */   MCD_OPC_Decode, 201, 1, 117, // Opcode: CMGTv4i32rz
-/* 20561 */   MCD_OPC_FilterValue, 33, 136, 78, // Skip to: 40669
-/* 20565 */   MCD_OPC_CheckPredicate, 0, 132, 78, // Skip to: 40669
-/* 20569 */   MCD_OPC_Decode, 174, 5, 117, // Opcode: FRINTPv4f32
-/* 20573 */   MCD_OPC_FilterValue, 3, 124, 78, // Skip to: 40669
-/* 20577 */   MCD_OPC_CheckPredicate, 0, 120, 78, // Skip to: 40669
-/* 20581 */   MCD_OPC_CheckField, 16, 6, 32, 114, 78, // Skip to: 40669
-/* 20587 */   MCD_OPC_Decode, 185, 1, 117, // Opcode: CMGEv4i32rz
-/* 20591 */   MCD_OPC_FilterValue, 35, 75, 0, // Skip to: 20670
-/* 20595 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20598 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20616
-/* 20602 */   MCD_OPC_CheckPredicate, 0, 95, 78, // Skip to: 40669
-/* 20606 */   MCD_OPC_CheckField, 21, 1, 1, 89, 78, // Skip to: 40669
-/* 20612 */   MCD_OPC_Decode, 240, 1, 89, // Opcode: CMTSTv2i32
-/* 20616 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20634
-/* 20620 */   MCD_OPC_CheckPredicate, 0, 77, 78, // Skip to: 40669
-/* 20624 */   MCD_OPC_CheckField, 21, 1, 1, 71, 78, // Skip to: 40669
-/* 20630 */   MCD_OPC_Decode, 162, 1, 89, // Opcode: CMEQv2i32
-/* 20634 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20652
-/* 20638 */   MCD_OPC_CheckPredicate, 0, 59, 78, // Skip to: 40669
-/* 20642 */   MCD_OPC_CheckField, 21, 1, 1, 53, 78, // Skip to: 40669
-/* 20648 */   MCD_OPC_Decode, 243, 1, 112, // Opcode: CMTSTv4i32
-/* 20652 */   MCD_OPC_FilterValue, 3, 45, 78, // Skip to: 40669
-/* 20656 */   MCD_OPC_CheckPredicate, 0, 41, 78, // Skip to: 40669
-/* 20660 */   MCD_OPC_CheckField, 21, 1, 1, 35, 78, // Skip to: 40669
-/* 20666 */   MCD_OPC_Decode, 168, 1, 112, // Opcode: CMEQv4i32
-/* 20670 */   MCD_OPC_FilterValue, 36, 39, 0, // Skip to: 20713
-/* 20674 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20677 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20695
-/* 20681 */   MCD_OPC_CheckPredicate, 0, 16, 78, // Skip to: 40669
-/* 20685 */   MCD_OPC_CheckField, 21, 1, 1, 10, 78, // Skip to: 40669
-/* 20691 */   MCD_OPC_Decode, 174, 11, 105, // Opcode: SQDMLALv2i32_v2i64
-/* 20695 */   MCD_OPC_FilterValue, 2, 2, 78, // Skip to: 40669
-/* 20699 */   MCD_OPC_CheckPredicate, 0, 254, 77, // Skip to: 40669
-/* 20703 */   MCD_OPC_CheckField, 21, 1, 1, 248, 77, // Skip to: 40669
-/* 20709 */   MCD_OPC_Decode, 178, 11, 120, // Opcode: SQDMLALv4i32_v2i64
-/* 20713 */   MCD_OPC_FilterValue, 37, 75, 0, // Skip to: 20792
-/* 20717 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20720 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20738
-/* 20724 */   MCD_OPC_CheckPredicate, 0, 229, 77, // Skip to: 40669
-/* 20728 */   MCD_OPC_CheckField, 21, 1, 1, 223, 77, // Skip to: 40669
-/* 20734 */   MCD_OPC_Decode, 181, 8, 109, // Opcode: MLAv2i32
-/* 20738 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20756
-/* 20742 */   MCD_OPC_CheckPredicate, 0, 211, 77, // Skip to: 40669
-/* 20746 */   MCD_OPC_CheckField, 21, 1, 1, 205, 77, // Skip to: 40669
-/* 20752 */   MCD_OPC_Decode, 191, 8, 109, // Opcode: MLSv2i32
-/* 20756 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20774
-/* 20760 */   MCD_OPC_CheckPredicate, 0, 193, 77, // Skip to: 40669
-/* 20764 */   MCD_OPC_CheckField, 21, 1, 1, 187, 77, // Skip to: 40669
-/* 20770 */   MCD_OPC_Decode, 185, 8, 120, // Opcode: MLAv4i32
-/* 20774 */   MCD_OPC_FilterValue, 3, 179, 77, // Skip to: 40669
-/* 20778 */   MCD_OPC_CheckPredicate, 0, 175, 77, // Skip to: 40669
-/* 20782 */   MCD_OPC_CheckField, 21, 1, 1, 169, 77, // Skip to: 40669
-/* 20788 */   MCD_OPC_Decode, 195, 8, 120, // Opcode: MLSv4i32
-/* 20792 */   MCD_OPC_FilterValue, 38, 127, 0, // Skip to: 20923
-/* 20796 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20799 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 20830
-/* 20803 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20806 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20818
-/* 20810 */   MCD_OPC_CheckPredicate, 0, 143, 77, // Skip to: 40669
-/* 20814 */   MCD_OPC_Decode, 163, 1, 90, // Opcode: CMEQv2i32rz
-/* 20818 */   MCD_OPC_FilterValue, 33, 135, 77, // Skip to: 40669
-/* 20822 */   MCD_OPC_CheckPredicate, 0, 131, 77, // Skip to: 40669
-/* 20826 */   MCD_OPC_Decode, 182, 5, 90, // Opcode: FRINTZv2f32
-/* 20830 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 20861
-/* 20834 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20837 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20849
-/* 20841 */   MCD_OPC_CheckPredicate, 0, 112, 77, // Skip to: 40669
-/* 20845 */   MCD_OPC_Decode, 224, 1, 90, // Opcode: CMLEv2i32rz
-/* 20849 */   MCD_OPC_FilterValue, 33, 104, 77, // Skip to: 40669
-/* 20853 */   MCD_OPC_CheckPredicate, 0, 100, 77, // Skip to: 40669
-/* 20857 */   MCD_OPC_Decode, 157, 5, 90, // Opcode: FRINTIv2f32
-/* 20861 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 20892
-/* 20865 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20868 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20880
-/* 20872 */   MCD_OPC_CheckPredicate, 0, 81, 77, // Skip to: 40669
-/* 20876 */   MCD_OPC_Decode, 169, 1, 117, // Opcode: CMEQv4i32rz
-/* 20880 */   MCD_OPC_FilterValue, 33, 73, 77, // Skip to: 40669
-/* 20884 */   MCD_OPC_CheckPredicate, 0, 69, 77, // Skip to: 40669
-/* 20888 */   MCD_OPC_Decode, 184, 5, 117, // Opcode: FRINTZv4f32
-/* 20892 */   MCD_OPC_FilterValue, 3, 61, 77, // Skip to: 40669
-/* 20896 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 20899 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20911
-/* 20903 */   MCD_OPC_CheckPredicate, 0, 50, 77, // Skip to: 40669
-/* 20907 */   MCD_OPC_Decode, 227, 1, 117, // Opcode: CMLEv4i32rz
-/* 20911 */   MCD_OPC_FilterValue, 33, 42, 77, // Skip to: 40669
-/* 20915 */   MCD_OPC_CheckPredicate, 0, 38, 77, // Skip to: 40669
-/* 20919 */   MCD_OPC_Decode, 159, 5, 117, // Opcode: FRINTIv4f32
-/* 20923 */   MCD_OPC_FilterValue, 39, 39, 0, // Skip to: 20966
-/* 20927 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20930 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20948
-/* 20934 */   MCD_OPC_CheckPredicate, 0, 19, 77, // Skip to: 40669
-/* 20938 */   MCD_OPC_CheckField, 21, 1, 1, 13, 77, // Skip to: 40669
-/* 20944 */   MCD_OPC_Decode, 230, 8, 89, // Opcode: MULv2i32
-/* 20948 */   MCD_OPC_FilterValue, 2, 5, 77, // Skip to: 40669
-/* 20952 */   MCD_OPC_CheckPredicate, 0, 1, 77, // Skip to: 40669
-/* 20956 */   MCD_OPC_CheckField, 21, 1, 1, 251, 76, // Skip to: 40669
-/* 20962 */   MCD_OPC_Decode, 234, 8, 112, // Opcode: MULv4i32
-/* 20966 */   MCD_OPC_FilterValue, 40, 75, 0, // Skip to: 21045
-/* 20970 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 20973 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20991
-/* 20977 */   MCD_OPC_CheckPredicate, 0, 232, 76, // Skip to: 40669
-/* 20981 */   MCD_OPC_CheckField, 21, 1, 1, 226, 76, // Skip to: 40669
-/* 20987 */   MCD_OPC_Decode, 250, 10, 105, // Opcode: SMLSLv2i32_v2i64
-/* 20991 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21009
-/* 20995 */   MCD_OPC_CheckPredicate, 0, 214, 76, // Skip to: 40669
-/* 20999 */   MCD_OPC_CheckField, 21, 1, 1, 208, 76, // Skip to: 40669
-/* 21005 */   MCD_OPC_Decode, 241, 16, 105, // Opcode: UMLSLv2i32_v2i64
-/* 21009 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21027
-/* 21013 */   MCD_OPC_CheckPredicate, 0, 196, 76, // Skip to: 40669
-/* 21017 */   MCD_OPC_CheckField, 21, 1, 1, 190, 76, // Skip to: 40669
-/* 21023 */   MCD_OPC_Decode, 254, 10, 120, // Opcode: SMLSLv4i32_v2i64
-/* 21027 */   MCD_OPC_FilterValue, 3, 182, 76, // Skip to: 40669
-/* 21031 */   MCD_OPC_CheckPredicate, 0, 178, 76, // Skip to: 40669
-/* 21035 */   MCD_OPC_CheckField, 21, 1, 1, 172, 76, // Skip to: 40669
-/* 21041 */   MCD_OPC_Decode, 245, 16, 120, // Opcode: UMLSLv4i32_v2i64
-/* 21045 */   MCD_OPC_FilterValue, 41, 75, 0, // Skip to: 21124
-/* 21049 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21052 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21070
-/* 21056 */   MCD_OPC_CheckPredicate, 0, 153, 76, // Skip to: 40669
-/* 21060 */   MCD_OPC_CheckField, 21, 1, 1, 147, 76, // Skip to: 40669
-/* 21066 */   MCD_OPC_Decode, 204, 10, 89, // Opcode: SMAXPv2i32
-/* 21070 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21088
-/* 21074 */   MCD_OPC_CheckPredicate, 0, 135, 76, // Skip to: 40669
-/* 21078 */   MCD_OPC_CheckField, 21, 1, 1, 129, 76, // Skip to: 40669
-/* 21084 */   MCD_OPC_Decode, 196, 16, 89, // Opcode: UMAXPv2i32
-/* 21088 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21106
-/* 21092 */   MCD_OPC_CheckPredicate, 0, 117, 76, // Skip to: 40669
-/* 21096 */   MCD_OPC_CheckField, 21, 1, 1, 111, 76, // Skip to: 40669
-/* 21102 */   MCD_OPC_Decode, 206, 10, 112, // Opcode: SMAXPv4i32
-/* 21106 */   MCD_OPC_FilterValue, 3, 103, 76, // Skip to: 40669
-/* 21110 */   MCD_OPC_CheckPredicate, 0, 99, 76, // Skip to: 40669
-/* 21114 */   MCD_OPC_CheckField, 21, 1, 1, 93, 76, // Skip to: 40669
-/* 21120 */   MCD_OPC_Decode, 198, 16, 112, // Opcode: UMAXPv4i32
-/* 21124 */   MCD_OPC_FilterValue, 42, 155, 0, // Skip to: 21283
-/* 21128 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21131 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 21162
-/* 21135 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21138 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 21150
-/* 21142 */   MCD_OPC_CheckPredicate, 0, 67, 76, // Skip to: 40669
-/* 21146 */   MCD_OPC_Decode, 232, 1, 90, // Opcode: CMLTv2i32rz
-/* 21150 */   MCD_OPC_FilterValue, 2, 59, 76, // Skip to: 40669
-/* 21154 */   MCD_OPC_CheckPredicate, 0, 55, 76, // Skip to: 40669
-/* 21158 */   MCD_OPC_Decode, 235, 1, 117, // Opcode: CMLTv4i32rz
-/* 21162 */   MCD_OPC_FilterValue, 33, 51, 0, // Skip to: 21217
-/* 21166 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21169 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 21181
-/* 21173 */   MCD_OPC_CheckPredicate, 0, 36, 76, // Skip to: 40669
-/* 21177 */   MCD_OPC_Decode, 206, 3, 90, // Opcode: FCVTPSv2f32
-/* 21181 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 21193
-/* 21185 */   MCD_OPC_CheckPredicate, 0, 24, 76, // Skip to: 40669
-/* 21189 */   MCD_OPC_Decode, 215, 3, 90, // Opcode: FCVTPUv2f32
-/* 21193 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 21205
-/* 21197 */   MCD_OPC_CheckPredicate, 0, 12, 76, // Skip to: 40669
-/* 21201 */   MCD_OPC_Decode, 208, 3, 117, // Opcode: FCVTPSv4f32
-/* 21205 */   MCD_OPC_FilterValue, 3, 4, 76, // Skip to: 40669
-/* 21209 */   MCD_OPC_CheckPredicate, 0, 0, 76, // Skip to: 40669
-/* 21213 */   MCD_OPC_Decode, 217, 3, 117, // Opcode: FCVTPUv4f32
-/* 21217 */   MCD_OPC_FilterValue, 48, 29, 0, // Skip to: 21250
-/* 21221 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21224 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 21237
-/* 21228 */   MCD_OPC_CheckPredicate, 0, 237, 75, // Skip to: 40669
-/* 21232 */   MCD_OPC_Decode, 211, 10, 139, 1, // Opcode: SMAXVv4i32v
-/* 21237 */   MCD_OPC_FilterValue, 3, 228, 75, // Skip to: 40669
-/* 21241 */   MCD_OPC_CheckPredicate, 0, 224, 75, // Skip to: 40669
-/* 21245 */   MCD_OPC_Decode, 203, 16, 139, 1, // Opcode: UMAXVv4i32v
-/* 21250 */   MCD_OPC_FilterValue, 49, 215, 75, // Skip to: 40669
-/* 21254 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21257 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 21270
-/* 21261 */   MCD_OPC_CheckPredicate, 0, 204, 75, // Skip to: 40669
-/* 21265 */   MCD_OPC_Decode, 229, 10, 139, 1, // Opcode: SMINVv4i32v
-/* 21270 */   MCD_OPC_FilterValue, 3, 195, 75, // Skip to: 40669
-/* 21274 */   MCD_OPC_CheckPredicate, 0, 191, 75, // Skip to: 40669
-/* 21278 */   MCD_OPC_Decode, 220, 16, 139, 1, // Opcode: UMINVv4i32v
-/* 21283 */   MCD_OPC_FilterValue, 43, 75, 0, // Skip to: 21362
-/* 21287 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21290 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21308
-/* 21294 */   MCD_OPC_CheckPredicate, 0, 171, 75, // Skip to: 40669
-/* 21298 */   MCD_OPC_CheckField, 21, 1, 1, 165, 75, // Skip to: 40669
-/* 21304 */   MCD_OPC_Decode, 222, 10, 89, // Opcode: SMINPv2i32
-/* 21308 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21326
-/* 21312 */   MCD_OPC_CheckPredicate, 0, 153, 75, // Skip to: 40669
-/* 21316 */   MCD_OPC_CheckField, 21, 1, 1, 147, 75, // Skip to: 40669
-/* 21322 */   MCD_OPC_Decode, 213, 16, 89, // Opcode: UMINPv2i32
-/* 21326 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21344
-/* 21330 */   MCD_OPC_CheckPredicate, 0, 135, 75, // Skip to: 40669
-/* 21334 */   MCD_OPC_CheckField, 21, 1, 1, 129, 75, // Skip to: 40669
-/* 21340 */   MCD_OPC_Decode, 224, 10, 112, // Opcode: SMINPv4i32
-/* 21344 */   MCD_OPC_FilterValue, 3, 121, 75, // Skip to: 40669
-/* 21348 */   MCD_OPC_CheckPredicate, 0, 117, 75, // Skip to: 40669
-/* 21352 */   MCD_OPC_CheckField, 21, 1, 1, 111, 75, // Skip to: 40669
-/* 21358 */   MCD_OPC_Decode, 215, 16, 112, // Opcode: UMINPv4i32
-/* 21362 */   MCD_OPC_FilterValue, 44, 39, 0, // Skip to: 21405
-/* 21366 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21369 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21387
-/* 21373 */   MCD_OPC_CheckPredicate, 0, 92, 75, // Skip to: 40669
-/* 21377 */   MCD_OPC_CheckField, 21, 1, 1, 86, 75, // Skip to: 40669
-/* 21383 */   MCD_OPC_Decode, 186, 11, 105, // Opcode: SQDMLSLv2i32_v2i64
-/* 21387 */   MCD_OPC_FilterValue, 2, 78, 75, // Skip to: 40669
-/* 21391 */   MCD_OPC_CheckPredicate, 0, 74, 75, // Skip to: 40669
-/* 21395 */   MCD_OPC_CheckField, 21, 1, 1, 68, 75, // Skip to: 40669
-/* 21401 */   MCD_OPC_Decode, 190, 11, 120, // Opcode: SQDMLSLv4i32_v2i64
-/* 21405 */   MCD_OPC_FilterValue, 45, 75, 0, // Skip to: 21484
-/* 21409 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21412 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21430
-/* 21416 */   MCD_OPC_CheckPredicate, 0, 49, 75, // Skip to: 40669
-/* 21420 */   MCD_OPC_CheckField, 21, 1, 1, 43, 75, // Skip to: 40669
-/* 21426 */   MCD_OPC_Decode, 197, 11, 89, // Opcode: SQDMULHv2i32
-/* 21430 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21448
-/* 21434 */   MCD_OPC_CheckPredicate, 0, 31, 75, // Skip to: 40669
-/* 21438 */   MCD_OPC_CheckField, 21, 1, 1, 25, 75, // Skip to: 40669
-/* 21444 */   MCD_OPC_Decode, 232, 11, 89, // Opcode: SQRDMULHv2i32
-/* 21448 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21466
-/* 21452 */   MCD_OPC_CheckPredicate, 0, 13, 75, // Skip to: 40669
-/* 21456 */   MCD_OPC_CheckField, 21, 1, 1, 7, 75, // Skip to: 40669
-/* 21462 */   MCD_OPC_Decode, 201, 11, 112, // Opcode: SQDMULHv4i32
-/* 21466 */   MCD_OPC_FilterValue, 3, 255, 74, // Skip to: 40669
-/* 21470 */   MCD_OPC_CheckPredicate, 0, 251, 74, // Skip to: 40669
-/* 21474 */   MCD_OPC_CheckField, 21, 1, 1, 245, 74, // Skip to: 40669
-/* 21480 */   MCD_OPC_Decode, 236, 11, 112, // Opcode: SQRDMULHv4i32
-/* 21484 */   MCD_OPC_FilterValue, 46, 137, 0, // Skip to: 21625
-/* 21488 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21491 */   MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 21521
-/* 21495 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21498 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 21509
-/* 21502 */   MCD_OPC_CheckPredicate, 0, 219, 74, // Skip to: 40669
-/* 21506 */   MCD_OPC_Decode, 22, 90, // Opcode: ABSv2i32
-/* 21509 */   MCD_OPC_FilterValue, 33, 212, 74, // Skip to: 40669
-/* 21513 */   MCD_OPC_CheckPredicate, 0, 208, 74, // Skip to: 40669
-/* 21517 */   MCD_OPC_Decode, 246, 3, 90, // Opcode: FCVTZSv2f32
-/* 21521 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 21552
-/* 21525 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21528 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21540
-/* 21532 */   MCD_OPC_CheckPredicate, 0, 189, 74, // Skip to: 40669
-/* 21536 */   MCD_OPC_Decode, 247, 8, 90, // Opcode: NEGv2i32
-/* 21540 */   MCD_OPC_FilterValue, 33, 181, 74, // Skip to: 40669
-/* 21544 */   MCD_OPC_CheckPredicate, 0, 177, 74, // Skip to: 40669
-/* 21548 */   MCD_OPC_Decode, 147, 4, 90, // Opcode: FCVTZUv2f32
-/* 21552 */   MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 21594
-/* 21556 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21559 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 21570
-/* 21563 */   MCD_OPC_CheckPredicate, 0, 158, 74, // Skip to: 40669
-/* 21567 */   MCD_OPC_Decode, 25, 117, // Opcode: ABSv4i32
-/* 21570 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 21582
-/* 21574 */   MCD_OPC_CheckPredicate, 0, 147, 74, // Skip to: 40669
-/* 21578 */   MCD_OPC_Decode, 250, 3, 117, // Opcode: FCVTZSv4f32
-/* 21582 */   MCD_OPC_FilterValue, 49, 139, 74, // Skip to: 40669
-/* 21586 */   MCD_OPC_CheckPredicate, 0, 135, 74, // Skip to: 40669
-/* 21590 */   MCD_OPC_Decode, 57, 139, 1, // Opcode: ADDVv4i32v
-/* 21594 */   MCD_OPC_FilterValue, 3, 127, 74, // Skip to: 40669
-/* 21598 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21601 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21613
-/* 21605 */   MCD_OPC_CheckPredicate, 0, 116, 74, // Skip to: 40669
-/* 21609 */   MCD_OPC_Decode, 250, 8, 117, // Opcode: NEGv4i32
-/* 21613 */   MCD_OPC_FilterValue, 33, 108, 74, // Skip to: 40669
-/* 21617 */   MCD_OPC_CheckPredicate, 0, 104, 74, // Skip to: 40669
-/* 21621 */   MCD_OPC_Decode, 151, 4, 117, // Opcode: FCVTZUv4f32
-/* 21625 */   MCD_OPC_FilterValue, 47, 37, 0, // Skip to: 21666
-/* 21629 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21632 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 21649
-/* 21636 */   MCD_OPC_CheckPredicate, 0, 85, 74, // Skip to: 40669
-/* 21640 */   MCD_OPC_CheckField, 21, 1, 1, 79, 74, // Skip to: 40669
-/* 21646 */   MCD_OPC_Decode, 39, 89, // Opcode: ADDPv2i32
-/* 21649 */   MCD_OPC_FilterValue, 2, 72, 74, // Skip to: 40669
-/* 21653 */   MCD_OPC_CheckPredicate, 0, 68, 74, // Skip to: 40669
-/* 21657 */   MCD_OPC_CheckField, 21, 1, 1, 62, 74, // Skip to: 40669
-/* 21663 */   MCD_OPC_Decode, 43, 112, // Opcode: ADDPv4i32
-/* 21666 */   MCD_OPC_FilterValue, 48, 75, 0, // Skip to: 21745
-/* 21670 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21673 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21691
-/* 21677 */   MCD_OPC_CheckPredicate, 0, 44, 74, // Skip to: 40669
-/* 21681 */   MCD_OPC_CheckField, 21, 1, 1, 38, 74, // Skip to: 40669
-/* 21687 */   MCD_OPC_Decode, 139, 11, 85, // Opcode: SMULLv2i32_v2i64
-/* 21691 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21709
-/* 21695 */   MCD_OPC_CheckPredicate, 0, 26, 74, // Skip to: 40669
-/* 21699 */   MCD_OPC_CheckField, 21, 1, 1, 20, 74, // Skip to: 40669
-/* 21705 */   MCD_OPC_Decode, 129, 17, 85, // Opcode: UMULLv2i32_v2i64
-/* 21709 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21727
-/* 21713 */   MCD_OPC_CheckPredicate, 0, 8, 74, // Skip to: 40669
-/* 21717 */   MCD_OPC_CheckField, 21, 1, 1, 2, 74, // Skip to: 40669
-/* 21723 */   MCD_OPC_Decode, 143, 11, 112, // Opcode: SMULLv4i32_v2i64
-/* 21727 */   MCD_OPC_FilterValue, 3, 250, 73, // Skip to: 40669
-/* 21731 */   MCD_OPC_CheckPredicate, 0, 246, 73, // Skip to: 40669
-/* 21735 */   MCD_OPC_CheckField, 21, 1, 1, 240, 73, // Skip to: 40669
-/* 21741 */   MCD_OPC_Decode, 133, 17, 112, // Opcode: UMULLv4i32_v2i64
-/* 21745 */   MCD_OPC_FilterValue, 49, 75, 0, // Skip to: 21824
-/* 21749 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21752 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21770
-/* 21756 */   MCD_OPC_CheckPredicate, 0, 221, 73, // Skip to: 40669
-/* 21760 */   MCD_OPC_CheckField, 21, 1, 1, 215, 73, // Skip to: 40669
-/* 21766 */   MCD_OPC_Decode, 191, 4, 89, // Opcode: FMINNMv2f32
-/* 21770 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21788
-/* 21774 */   MCD_OPC_CheckPredicate, 0, 203, 73, // Skip to: 40669
-/* 21778 */   MCD_OPC_CheckField, 21, 1, 1, 197, 73, // Skip to: 40669
-/* 21784 */   MCD_OPC_Decode, 184, 4, 89, // Opcode: FMINNMPv2f32
-/* 21788 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21806
-/* 21792 */   MCD_OPC_CheckPredicate, 0, 185, 73, // Skip to: 40669
-/* 21796 */   MCD_OPC_CheckField, 21, 1, 1, 179, 73, // Skip to: 40669
-/* 21802 */   MCD_OPC_Decode, 193, 4, 112, // Opcode: FMINNMv4f32
-/* 21806 */   MCD_OPC_FilterValue, 3, 171, 73, // Skip to: 40669
-/* 21810 */   MCD_OPC_CheckPredicate, 0, 167, 73, // Skip to: 40669
-/* 21814 */   MCD_OPC_CheckField, 21, 1, 1, 161, 73, // Skip to: 40669
-/* 21820 */   MCD_OPC_Decode, 188, 4, 112, // Opcode: FMINNMPv4f32
-/* 21824 */   MCD_OPC_FilterValue, 50, 140, 0, // Skip to: 21968
-/* 21828 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21831 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 21862
-/* 21835 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21838 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21850
-/* 21842 */   MCD_OPC_CheckPredicate, 0, 135, 73, // Skip to: 40669
-/* 21846 */   MCD_OPC_Decode, 238, 2, 90, // Opcode: FCMGTv2i32rz
-/* 21850 */   MCD_OPC_FilterValue, 33, 127, 73, // Skip to: 40669
-/* 21854 */   MCD_OPC_CheckPredicate, 0, 123, 73, // Skip to: 40669
-/* 21858 */   MCD_OPC_Decode, 219, 17, 90, // Opcode: URECPEv2i32
-/* 21862 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 21893
-/* 21866 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21869 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21881
-/* 21873 */   MCD_OPC_CheckPredicate, 0, 104, 73, // Skip to: 40669
-/* 21877 */   MCD_OPC_Decode, 228, 2, 90, // Opcode: FCMGEv2i32rz
-/* 21881 */   MCD_OPC_FilterValue, 33, 96, 73, // Skip to: 40669
-/* 21885 */   MCD_OPC_CheckPredicate, 0, 92, 73, // Skip to: 40669
-/* 21889 */   MCD_OPC_Decode, 243, 17, 90, // Opcode: URSQRTEv2i32
-/* 21893 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 21924
-/* 21897 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21900 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21912
-/* 21904 */   MCD_OPC_CheckPredicate, 0, 73, 73, // Skip to: 40669
-/* 21908 */   MCD_OPC_Decode, 241, 2, 117, // Opcode: FCMGTv4i32rz
-/* 21912 */   MCD_OPC_FilterValue, 33, 65, 73, // Skip to: 40669
-/* 21916 */   MCD_OPC_CheckPredicate, 0, 61, 73, // Skip to: 40669
-/* 21920 */   MCD_OPC_Decode, 220, 17, 117, // Opcode: URECPEv4i32
-/* 21924 */   MCD_OPC_FilterValue, 3, 53, 73, // Skip to: 40669
-/* 21928 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 21931 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21943
-/* 21935 */   MCD_OPC_CheckPredicate, 0, 42, 73, // Skip to: 40669
-/* 21939 */   MCD_OPC_Decode, 231, 2, 117, // Opcode: FCMGEv4i32rz
-/* 21943 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 21955
-/* 21947 */   MCD_OPC_CheckPredicate, 0, 30, 73, // Skip to: 40669
-/* 21951 */   MCD_OPC_Decode, 244, 17, 117, // Opcode: URSQRTEv4i32
-/* 21955 */   MCD_OPC_FilterValue, 48, 22, 73, // Skip to: 40669
-/* 21959 */   MCD_OPC_CheckPredicate, 0, 18, 73, // Skip to: 40669
-/* 21963 */   MCD_OPC_Decode, 190, 4, 139, 1, // Opcode: FMINNMVv4i32v
-/* 21968 */   MCD_OPC_FilterValue, 51, 39, 0, // Skip to: 22011
-/* 21972 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 21975 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21993
-/* 21979 */   MCD_OPC_CheckPredicate, 0, 254, 72, // Skip to: 40669
-/* 21983 */   MCD_OPC_CheckField, 21, 1, 1, 248, 72, // Skip to: 40669
-/* 21989 */   MCD_OPC_Decode, 214, 4, 109, // Opcode: FMLSv2f32
-/* 21993 */   MCD_OPC_FilterValue, 2, 240, 72, // Skip to: 40669
-/* 21997 */   MCD_OPC_CheckPredicate, 0, 236, 72, // Skip to: 40669
-/* 22001 */   MCD_OPC_CheckField, 21, 1, 1, 230, 72, // Skip to: 40669
-/* 22007 */   MCD_OPC_Decode, 218, 4, 120, // Opcode: FMLSv4f32
-/* 22011 */   MCD_OPC_FilterValue, 52, 39, 0, // Skip to: 22054
-/* 22015 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22018 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22036
-/* 22022 */   MCD_OPC_CheckPredicate, 0, 211, 72, // Skip to: 40669
-/* 22026 */   MCD_OPC_CheckField, 21, 1, 1, 205, 72, // Skip to: 40669
-/* 22032 */   MCD_OPC_Decode, 210, 11, 85, // Opcode: SQDMULLv2i32_v2i64
-/* 22036 */   MCD_OPC_FilterValue, 2, 197, 72, // Skip to: 40669
-/* 22040 */   MCD_OPC_CheckPredicate, 0, 193, 72, // Skip to: 40669
-/* 22044 */   MCD_OPC_CheckField, 21, 1, 1, 187, 72, // Skip to: 40669
-/* 22050 */   MCD_OPC_Decode, 214, 11, 112, // Opcode: SQDMULLv4i32_v2i64
-/* 22054 */   MCD_OPC_FilterValue, 53, 75, 0, // Skip to: 22133
-/* 22058 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22061 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22079
-/* 22065 */   MCD_OPC_CheckPredicate, 0, 168, 72, // Skip to: 40669
-/* 22069 */   MCD_OPC_CheckField, 21, 1, 1, 162, 72, // Skip to: 40669
-/* 22075 */   MCD_OPC_Decode, 202, 5, 89, // Opcode: FSUBv2f32
-/* 22079 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22097
-/* 22083 */   MCD_OPC_CheckPredicate, 0, 150, 72, // Skip to: 40669
-/* 22087 */   MCD_OPC_CheckField, 21, 1, 1, 144, 72, // Skip to: 40669
-/* 22093 */   MCD_OPC_Decode, 180, 2, 89, // Opcode: FABDv2f32
-/* 22097 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22115
-/* 22101 */   MCD_OPC_CheckPredicate, 0, 132, 72, // Skip to: 40669
-/* 22105 */   MCD_OPC_CheckField, 21, 1, 1, 126, 72, // Skip to: 40669
-/* 22111 */   MCD_OPC_Decode, 204, 5, 112, // Opcode: FSUBv4f32
-/* 22115 */   MCD_OPC_FilterValue, 3, 118, 72, // Skip to: 40669
-/* 22119 */   MCD_OPC_CheckPredicate, 0, 114, 72, // Skip to: 40669
-/* 22123 */   MCD_OPC_CheckField, 21, 1, 1, 108, 72, // Skip to: 40669
-/* 22129 */   MCD_OPC_Decode, 182, 2, 112, // Opcode: FABDv4f32
-/* 22133 */   MCD_OPC_FilterValue, 54, 127, 0, // Skip to: 22264
-/* 22137 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22140 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 22171
-/* 22144 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22147 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22159
-/* 22151 */   MCD_OPC_CheckPredicate, 0, 82, 72, // Skip to: 40669
-/* 22155 */   MCD_OPC_Decode, 218, 2, 90, // Opcode: FCMEQv2i32rz
-/* 22159 */   MCD_OPC_FilterValue, 33, 74, 72, // Skip to: 40669
-/* 22163 */   MCD_OPC_CheckPredicate, 0, 70, 72, // Skip to: 40669
-/* 22167 */   MCD_OPC_Decode, 140, 5, 90, // Opcode: FRECPEv2f32
-/* 22171 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 22202
-/* 22175 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22178 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22190
-/* 22182 */   MCD_OPC_CheckPredicate, 0, 51, 72, // Skip to: 40669
-/* 22186 */   MCD_OPC_Decode, 244, 2, 90, // Opcode: FCMLEv2i32rz
-/* 22190 */   MCD_OPC_FilterValue, 33, 43, 72, // Skip to: 40669
-/* 22194 */   MCD_OPC_CheckPredicate, 0, 39, 72, // Skip to: 40669
-/* 22198 */   MCD_OPC_Decode, 187, 5, 90, // Opcode: FRSQRTEv2f32
-/* 22202 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 22233
-/* 22206 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22209 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22221
-/* 22213 */   MCD_OPC_CheckPredicate, 0, 20, 72, // Skip to: 40669
-/* 22217 */   MCD_OPC_Decode, 221, 2, 117, // Opcode: FCMEQv4i32rz
-/* 22221 */   MCD_OPC_FilterValue, 33, 12, 72, // Skip to: 40669
-/* 22225 */   MCD_OPC_CheckPredicate, 0, 8, 72, // Skip to: 40669
-/* 22229 */   MCD_OPC_Decode, 142, 5, 117, // Opcode: FRECPEv4f32
-/* 22233 */   MCD_OPC_FilterValue, 3, 0, 72, // Skip to: 40669
-/* 22237 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22240 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22252
-/* 22244 */   MCD_OPC_CheckPredicate, 0, 245, 71, // Skip to: 40669
-/* 22248 */   MCD_OPC_Decode, 246, 2, 117, // Opcode: FCMLEv4i32rz
-/* 22252 */   MCD_OPC_FilterValue, 33, 237, 71, // Skip to: 40669
-/* 22256 */   MCD_OPC_CheckPredicate, 0, 233, 71, // Skip to: 40669
-/* 22260 */   MCD_OPC_Decode, 189, 5, 117, // Opcode: FRSQRTEv4f32
-/* 22264 */   MCD_OPC_FilterValue, 57, 39, 0, // Skip to: 22307
-/* 22268 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22271 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22289
-/* 22275 */   MCD_OPC_CheckPredicate, 0, 214, 71, // Skip to: 40669
-/* 22279 */   MCD_OPC_CheckField, 21, 1, 1, 208, 71, // Skip to: 40669
-/* 22285 */   MCD_OPC_Decode, 236, 2, 89, // Opcode: FCMGTv2f32
-/* 22289 */   MCD_OPC_FilterValue, 3, 200, 71, // Skip to: 40669
-/* 22293 */   MCD_OPC_CheckPredicate, 0, 196, 71, // Skip to: 40669
-/* 22297 */   MCD_OPC_CheckField, 21, 1, 1, 190, 71, // Skip to: 40669
-/* 22303 */   MCD_OPC_Decode, 240, 2, 112, // Opcode: FCMGTv4f32
-/* 22307 */   MCD_OPC_FilterValue, 58, 39, 0, // Skip to: 22350
-/* 22311 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22314 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22332
-/* 22318 */   MCD_OPC_CheckPredicate, 0, 171, 71, // Skip to: 40669
-/* 22322 */   MCD_OPC_CheckField, 16, 6, 32, 165, 71, // Skip to: 40669
-/* 22328 */   MCD_OPC_Decode, 249, 2, 90, // Opcode: FCMLTv2i32rz
-/* 22332 */   MCD_OPC_FilterValue, 2, 157, 71, // Skip to: 40669
-/* 22336 */   MCD_OPC_CheckPredicate, 0, 153, 71, // Skip to: 40669
-/* 22340 */   MCD_OPC_CheckField, 16, 6, 32, 147, 71, // Skip to: 40669
-/* 22346 */   MCD_OPC_Decode, 251, 2, 117, // Opcode: FCMLTv4i32rz
-/* 22350 */   MCD_OPC_FilterValue, 59, 39, 0, // Skip to: 22393
-/* 22354 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22357 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22375
-/* 22361 */   MCD_OPC_CheckPredicate, 0, 128, 71, // Skip to: 40669
-/* 22365 */   MCD_OPC_CheckField, 21, 1, 1, 122, 71, // Skip to: 40669
-/* 22371 */   MCD_OPC_Decode, 195, 2, 89, // Opcode: FACGTv2f32
-/* 22375 */   MCD_OPC_FilterValue, 3, 114, 71, // Skip to: 40669
-/* 22379 */   MCD_OPC_CheckPredicate, 0, 110, 71, // Skip to: 40669
-/* 22383 */   MCD_OPC_CheckField, 21, 1, 1, 104, 71, // Skip to: 40669
-/* 22389 */   MCD_OPC_Decode, 197, 2, 112, // Opcode: FACGTv4f32
-/* 22393 */   MCD_OPC_FilterValue, 61, 75, 0, // Skip to: 22472
-/* 22397 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22400 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22418
-/* 22404 */   MCD_OPC_CheckPredicate, 0, 85, 71, // Skip to: 40669
-/* 22408 */   MCD_OPC_CheckField, 21, 1, 1, 79, 71, // Skip to: 40669
-/* 22414 */   MCD_OPC_Decode, 201, 4, 89, // Opcode: FMINv2f32
-/* 22418 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22436
-/* 22422 */   MCD_OPC_CheckPredicate, 0, 67, 71, // Skip to: 40669
-/* 22426 */   MCD_OPC_CheckField, 21, 1, 1, 61, 71, // Skip to: 40669
-/* 22432 */   MCD_OPC_Decode, 194, 4, 89, // Opcode: FMINPv2f32
-/* 22436 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22454
-/* 22440 */   MCD_OPC_CheckPredicate, 0, 49, 71, // Skip to: 40669
-/* 22444 */   MCD_OPC_CheckField, 21, 1, 1, 43, 71, // Skip to: 40669
-/* 22450 */   MCD_OPC_Decode, 203, 4, 112, // Opcode: FMINv4f32
-/* 22454 */   MCD_OPC_FilterValue, 3, 35, 71, // Skip to: 40669
-/* 22458 */   MCD_OPC_CheckPredicate, 0, 31, 71, // Skip to: 40669
-/* 22462 */   MCD_OPC_CheckField, 21, 1, 1, 25, 71, // Skip to: 40669
-/* 22468 */   MCD_OPC_Decode, 198, 4, 112, // Opcode: FMINPv4f32
-/* 22472 */   MCD_OPC_FilterValue, 62, 114, 0, // Skip to: 22590
-/* 22476 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22479 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22497
-/* 22483 */   MCD_OPC_CheckPredicate, 0, 6, 71, // Skip to: 40669
-/* 22487 */   MCD_OPC_CheckField, 16, 6, 32, 0, 71, // Skip to: 40669
-/* 22493 */   MCD_OPC_Decode, 185, 2, 90, // Opcode: FABSv2f32
-/* 22497 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 22528
-/* 22501 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22504 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22516
-/* 22508 */   MCD_OPC_CheckPredicate, 0, 237, 70, // Skip to: 40669
-/* 22512 */   MCD_OPC_Decode, 129, 5, 90, // Opcode: FNEGv2f32
-/* 22516 */   MCD_OPC_FilterValue, 33, 229, 70, // Skip to: 40669
-/* 22520 */   MCD_OPC_CheckPredicate, 0, 225, 70, // Skip to: 40669
-/* 22524 */   MCD_OPC_Decode, 197, 5, 90, // Opcode: FSQRTv2f32
-/* 22528 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22546
-/* 22532 */   MCD_OPC_CheckPredicate, 0, 213, 70, // Skip to: 40669
-/* 22536 */   MCD_OPC_CheckField, 16, 6, 32, 207, 70, // Skip to: 40669
-/* 22542 */   MCD_OPC_Decode, 187, 2, 117, // Opcode: FABSv4f32
-/* 22546 */   MCD_OPC_FilterValue, 3, 199, 70, // Skip to: 40669
-/* 22550 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 22553 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22565
-/* 22557 */   MCD_OPC_CheckPredicate, 0, 188, 70, // Skip to: 40669
-/* 22561 */   MCD_OPC_Decode, 131, 5, 117, // Opcode: FNEGv4f32
-/* 22565 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 22577
-/* 22569 */   MCD_OPC_CheckPredicate, 0, 176, 70, // Skip to: 40669
-/* 22573 */   MCD_OPC_Decode, 199, 5, 117, // Opcode: FSQRTv4f32
-/* 22577 */   MCD_OPC_FilterValue, 48, 168, 70, // Skip to: 40669
-/* 22581 */   MCD_OPC_CheckPredicate, 0, 164, 70, // Skip to: 40669
-/* 22585 */   MCD_OPC_Decode, 200, 4, 139, 1, // Opcode: FMINVv4i32v
-/* 22590 */   MCD_OPC_FilterValue, 63, 155, 70, // Skip to: 40669
-/* 22594 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22597 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22615
-/* 22601 */   MCD_OPC_CheckPredicate, 0, 144, 70, // Skip to: 40669
-/* 22605 */   MCD_OPC_CheckField, 21, 1, 1, 138, 70, // Skip to: 40669
-/* 22611 */   MCD_OPC_Decode, 192, 5, 89, // Opcode: FRSQRTSv2f32
-/* 22615 */   MCD_OPC_FilterValue, 2, 130, 70, // Skip to: 40669
-/* 22619 */   MCD_OPC_CheckPredicate, 0, 126, 70, // Skip to: 40669
-/* 22623 */   MCD_OPC_CheckField, 21, 1, 1, 120, 70, // Skip to: 40669
-/* 22629 */   MCD_OPC_Decode, 194, 5, 112, // Opcode: FRSQRTSv4f32
-/* 22633 */   MCD_OPC_FilterValue, 11, 193, 5, // Skip to: 24110
-/* 22637 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 22640 */   MCD_OPC_FilterValue, 3, 39, 0, // Skip to: 22683
-/* 22644 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22647 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22665
-/* 22651 */   MCD_OPC_CheckPredicate, 0, 94, 70, // Skip to: 40669
-/* 22655 */   MCD_OPC_CheckField, 21, 1, 1, 88, 70, // Skip to: 40669
-/* 22661 */   MCD_OPC_Decode, 164, 11, 112, // Opcode: SQADDv2i64
-/* 22665 */   MCD_OPC_FilterValue, 3, 80, 70, // Skip to: 40669
-/* 22669 */   MCD_OPC_CheckPredicate, 0, 76, 70, // Skip to: 40669
-/* 22673 */   MCD_OPC_CheckField, 21, 1, 1, 70, 70, // Skip to: 40669
-/* 22679 */   MCD_OPC_Decode, 143, 17, 112, // Opcode: UQADDv2i64
-/* 22683 */   MCD_OPC_FilterValue, 6, 20, 0, // Skip to: 22707
-/* 22687 */   MCD_OPC_CheckPredicate, 0, 58, 70, // Skip to: 40669
-/* 22691 */   MCD_OPC_CheckField, 29, 3, 2, 52, 70, // Skip to: 40669
-/* 22697 */   MCD_OPC_CheckField, 21, 1, 0, 46, 70, // Skip to: 40669
-/* 22703 */   MCD_OPC_Decode, 180, 18, 112, // Opcode: UZP1v2i64
-/* 22707 */   MCD_OPC_FilterValue, 7, 73, 0, // Skip to: 22784
-/* 22711 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22714 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22732
-/* 22718 */   MCD_OPC_CheckPredicate, 0, 27, 70, // Skip to: 40669
-/* 22722 */   MCD_OPC_CheckField, 21, 1, 1, 21, 70, // Skip to: 40669
-/* 22728 */   MCD_OPC_Decode, 132, 9, 89, // Opcode: ORNv8i8
-/* 22732 */   MCD_OPC_FilterValue, 1, 13, 0, // Skip to: 22749
-/* 22736 */   MCD_OPC_CheckPredicate, 0, 9, 70, // Skip to: 40669
-/* 22740 */   MCD_OPC_CheckField, 21, 1, 1, 3, 70, // Skip to: 40669
-/* 22746 */   MCD_OPC_Decode, 119, 89, // Opcode: BIFv8i8
-/* 22749 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22767
-/* 22753 */   MCD_OPC_CheckPredicate, 0, 248, 69, // Skip to: 40669
-/* 22757 */   MCD_OPC_CheckField, 21, 1, 1, 242, 69, // Skip to: 40669
-/* 22763 */   MCD_OPC_Decode, 131, 9, 112, // Opcode: ORNv16i8
-/* 22767 */   MCD_OPC_FilterValue, 3, 234, 69, // Skip to: 40669
-/* 22771 */   MCD_OPC_CheckPredicate, 0, 230, 69, // Skip to: 40669
-/* 22775 */   MCD_OPC_CheckField, 21, 1, 1, 224, 69, // Skip to: 40669
-/* 22781 */   MCD_OPC_Decode, 118, 112, // Opcode: BIFv16i8
-/* 22784 */   MCD_OPC_FilterValue, 10, 20, 0, // Skip to: 22808
-/* 22788 */   MCD_OPC_CheckPredicate, 0, 213, 69, // Skip to: 40669
-/* 22792 */   MCD_OPC_CheckField, 29, 3, 2, 207, 69, // Skip to: 40669
-/* 22798 */   MCD_OPC_CheckField, 21, 1, 0, 201, 69, // Skip to: 40669
-/* 22804 */   MCD_OPC_Decode, 221, 15, 112, // Opcode: TRN1v2i64
-/* 22808 */   MCD_OPC_FilterValue, 11, 39, 0, // Skip to: 22851
-/* 22812 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22815 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22833
-/* 22819 */   MCD_OPC_CheckPredicate, 0, 182, 69, // Skip to: 40669
-/* 22823 */   MCD_OPC_CheckField, 21, 1, 1, 176, 69, // Skip to: 40669
-/* 22829 */   MCD_OPC_Decode, 198, 12, 112, // Opcode: SQSUBv2i64
-/* 22833 */   MCD_OPC_FilterValue, 3, 168, 69, // Skip to: 40669
-/* 22837 */   MCD_OPC_CheckPredicate, 0, 164, 69, // Skip to: 40669
-/* 22841 */   MCD_OPC_CheckField, 21, 1, 1, 158, 69, // Skip to: 40669
-/* 22847 */   MCD_OPC_Decode, 205, 17, 112, // Opcode: UQSUBv2i64
-/* 22851 */   MCD_OPC_FilterValue, 13, 39, 0, // Skip to: 22894
-/* 22855 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22858 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22876
-/* 22862 */   MCD_OPC_CheckPredicate, 0, 139, 69, // Skip to: 40669
-/* 22866 */   MCD_OPC_CheckField, 21, 1, 1, 133, 69, // Skip to: 40669
-/* 22872 */   MCD_OPC_Decode, 196, 1, 112, // Opcode: CMGTv2i64
-/* 22876 */   MCD_OPC_FilterValue, 3, 125, 69, // Skip to: 40669
-/* 22880 */   MCD_OPC_CheckPredicate, 0, 121, 69, // Skip to: 40669
-/* 22884 */   MCD_OPC_CheckField, 21, 1, 1, 115, 69, // Skip to: 40669
-/* 22890 */   MCD_OPC_Decode, 209, 1, 112, // Opcode: CMHIv2i64
-/* 22894 */   MCD_OPC_FilterValue, 14, 64, 0, // Skip to: 22962
-/* 22898 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 22901 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22919
-/* 22905 */   MCD_OPC_CheckPredicate, 0, 96, 69, // Skip to: 40669
-/* 22909 */   MCD_OPC_CheckField, 29, 3, 2, 90, 69, // Skip to: 40669
-/* 22915 */   MCD_OPC_Decode, 200, 18, 112, // Opcode: ZIP1v2i64
-/* 22919 */   MCD_OPC_FilterValue, 1, 82, 69, // Skip to: 40669
-/* 22923 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22926 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22944
-/* 22930 */   MCD_OPC_CheckPredicate, 0, 71, 69, // Skip to: 40669
-/* 22934 */   MCD_OPC_CheckField, 16, 5, 0, 65, 69, // Skip to: 40669
-/* 22940 */   MCD_OPC_Decode, 187, 15, 126, // Opcode: SUQADDv2i64
-/* 22944 */   MCD_OPC_FilterValue, 3, 57, 69, // Skip to: 40669
-/* 22948 */   MCD_OPC_CheckPredicate, 0, 53, 69, // Skip to: 40669
-/* 22952 */   MCD_OPC_CheckField, 16, 5, 0, 47, 69, // Skip to: 40669
-/* 22958 */   MCD_OPC_Decode, 153, 18, 126, // Opcode: USQADDv2i64
-/* 22962 */   MCD_OPC_FilterValue, 15, 39, 0, // Skip to: 23005
-/* 22966 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 22969 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22987
-/* 22973 */   MCD_OPC_CheckPredicate, 0, 28, 69, // Skip to: 40669
-/* 22977 */   MCD_OPC_CheckField, 21, 1, 1, 22, 69, // Skip to: 40669
-/* 22983 */   MCD_OPC_Decode, 180, 1, 112, // Opcode: CMGEv2i64
-/* 22987 */   MCD_OPC_FilterValue, 3, 14, 69, // Skip to: 40669
-/* 22991 */   MCD_OPC_CheckPredicate, 0, 10, 69, // Skip to: 40669
-/* 22995 */   MCD_OPC_CheckField, 21, 1, 1, 4, 69, // Skip to: 40669
-/* 23001 */   MCD_OPC_Decode, 217, 1, 112, // Opcode: CMHSv2i64
-/* 23005 */   MCD_OPC_FilterValue, 17, 39, 0, // Skip to: 23048
-/* 23009 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23012 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23030
-/* 23016 */   MCD_OPC_CheckPredicate, 0, 241, 68, // Skip to: 40669
-/* 23020 */   MCD_OPC_CheckField, 21, 1, 1, 235, 68, // Skip to: 40669
-/* 23026 */   MCD_OPC_Decode, 140, 13, 112, // Opcode: SSHLv2i64
-/* 23030 */   MCD_OPC_FilterValue, 3, 227, 68, // Skip to: 40669
-/* 23034 */   MCD_OPC_CheckPredicate, 0, 223, 68, // Skip to: 40669
-/* 23038 */   MCD_OPC_CheckField, 21, 1, 1, 217, 68, // Skip to: 40669
-/* 23044 */   MCD_OPC_Decode, 134, 18, 112, // Opcode: USHLv2i64
-/* 23048 */   MCD_OPC_FilterValue, 19, 39, 0, // Skip to: 23091
-/* 23052 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23055 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23073
-/* 23059 */   MCD_OPC_CheckPredicate, 0, 198, 68, // Skip to: 40669
-/* 23063 */   MCD_OPC_CheckField, 21, 1, 1, 192, 68, // Skip to: 40669
-/* 23069 */   MCD_OPC_Decode, 164, 12, 112, // Opcode: SQSHLv2i64
-/* 23073 */   MCD_OPC_FilterValue, 3, 184, 68, // Skip to: 40669
-/* 23077 */   MCD_OPC_CheckPredicate, 0, 180, 68, // Skip to: 40669
-/* 23081 */   MCD_OPC_CheckField, 21, 1, 1, 174, 68, // Skip to: 40669
-/* 23087 */   MCD_OPC_Decode, 180, 17, 112, // Opcode: UQSHLv2i64
-/* 23091 */   MCD_OPC_FilterValue, 21, 39, 0, // Skip to: 23134
-/* 23095 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23098 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23116
-/* 23102 */   MCD_OPC_CheckPredicate, 0, 155, 68, // Skip to: 40669
-/* 23106 */   MCD_OPC_CheckField, 21, 1, 1, 149, 68, // Skip to: 40669
-/* 23112 */   MCD_OPC_Decode, 238, 12, 112, // Opcode: SRSHLv2i64
-/* 23116 */   MCD_OPC_FilterValue, 3, 141, 68, // Skip to: 40669
-/* 23120 */   MCD_OPC_CheckPredicate, 0, 137, 68, // Skip to: 40669
-/* 23124 */   MCD_OPC_CheckField, 21, 1, 1, 131, 68, // Skip to: 40669
-/* 23130 */   MCD_OPC_Decode, 230, 17, 112, // Opcode: URSHLv2i64
-/* 23134 */   MCD_OPC_FilterValue, 22, 20, 0, // Skip to: 23158
-/* 23138 */   MCD_OPC_CheckPredicate, 0, 119, 68, // Skip to: 40669
-/* 23142 */   MCD_OPC_CheckField, 29, 3, 2, 113, 68, // Skip to: 40669
-/* 23148 */   MCD_OPC_CheckField, 21, 1, 0, 107, 68, // Skip to: 40669
-/* 23154 */   MCD_OPC_Decode, 187, 18, 112, // Opcode: UZP2v2i64
-/* 23158 */   MCD_OPC_FilterValue, 23, 39, 0, // Skip to: 23201
-/* 23162 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23165 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23183
-/* 23169 */   MCD_OPC_CheckPredicate, 0, 88, 68, // Skip to: 40669
-/* 23173 */   MCD_OPC_CheckField, 21, 1, 1, 82, 68, // Skip to: 40669
-/* 23179 */   MCD_OPC_Decode, 246, 11, 112, // Opcode: SQRSHLv2i64
-/* 23183 */   MCD_OPC_FilterValue, 3, 74, 68, // Skip to: 40669
-/* 23187 */   MCD_OPC_CheckPredicate, 0, 70, 68, // Skip to: 40669
-/* 23191 */   MCD_OPC_CheckField, 21, 1, 1, 64, 68, // Skip to: 40669
-/* 23197 */   MCD_OPC_Decode, 154, 17, 112, // Opcode: UQRSHLv2i64
-/* 23201 */   MCD_OPC_FilterValue, 26, 20, 0, // Skip to: 23225
-/* 23205 */   MCD_OPC_CheckPredicate, 0, 52, 68, // Skip to: 40669
-/* 23209 */   MCD_OPC_CheckField, 29, 3, 2, 46, 68, // Skip to: 40669
-/* 23215 */   MCD_OPC_CheckField, 21, 1, 0, 40, 68, // Skip to: 40669
-/* 23221 */   MCD_OPC_Decode, 228, 15, 112, // Opcode: TRN2v2i64
-/* 23225 */   MCD_OPC_FilterValue, 30, 64, 0, // Skip to: 23293
-/* 23229 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 23232 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 23250
-/* 23236 */   MCD_OPC_CheckPredicate, 0, 21, 68, // Skip to: 40669
-/* 23240 */   MCD_OPC_CheckField, 29, 3, 2, 15, 68, // Skip to: 40669
-/* 23246 */   MCD_OPC_Decode, 207, 18, 112, // Opcode: ZIP2v2i64
-/* 23250 */   MCD_OPC_FilterValue, 1, 7, 68, // Skip to: 40669
-/* 23254 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23257 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23275
-/* 23261 */   MCD_OPC_CheckPredicate, 0, 252, 67, // Skip to: 40669
-/* 23265 */   MCD_OPC_CheckField, 16, 5, 0, 246, 67, // Skip to: 40669
-/* 23271 */   MCD_OPC_Decode, 153, 11, 117, // Opcode: SQABSv2i64
-/* 23275 */   MCD_OPC_FilterValue, 3, 238, 67, // Skip to: 40669
-/* 23279 */   MCD_OPC_CheckPredicate, 0, 234, 67, // Skip to: 40669
-/* 23283 */   MCD_OPC_CheckField, 16, 5, 0, 228, 67, // Skip to: 40669
-/* 23289 */   MCD_OPC_Decode, 223, 11, 117, // Opcode: SQNEGv2i64
-/* 23293 */   MCD_OPC_FilterValue, 33, 38, 0, // Skip to: 23335
-/* 23297 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23300 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 23317
-/* 23304 */   MCD_OPC_CheckPredicate, 0, 209, 67, // Skip to: 40669
-/* 23308 */   MCD_OPC_CheckField, 21, 1, 1, 203, 67, // Skip to: 40669
-/* 23314 */   MCD_OPC_Decode, 72, 112, // Opcode: ADDv2i64
-/* 23317 */   MCD_OPC_FilterValue, 3, 196, 67, // Skip to: 40669
-/* 23321 */   MCD_OPC_CheckPredicate, 0, 192, 67, // Skip to: 40669
-/* 23325 */   MCD_OPC_CheckField, 21, 1, 1, 186, 67, // Skip to: 40669
-/* 23331 */   MCD_OPC_Decode, 176, 15, 112, // Opcode: SUBv2i64
-/* 23335 */   MCD_OPC_FilterValue, 34, 52, 0, // Skip to: 23391
-/* 23339 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 23342 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23373
-/* 23346 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23349 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23361
-/* 23353 */   MCD_OPC_CheckPredicate, 0, 160, 67, // Skip to: 40669
-/* 23357 */   MCD_OPC_Decode, 197, 1, 117, // Opcode: CMGTv2i64rz
-/* 23361 */   MCD_OPC_FilterValue, 3, 152, 67, // Skip to: 40669
-/* 23365 */   MCD_OPC_CheckPredicate, 0, 148, 67, // Skip to: 40669
-/* 23369 */   MCD_OPC_Decode, 181, 1, 117, // Opcode: CMGEv2i64rz
-/* 23373 */   MCD_OPC_FilterValue, 33, 140, 67, // Skip to: 40669
-/* 23377 */   MCD_OPC_CheckPredicate, 0, 136, 67, // Skip to: 40669
-/* 23381 */   MCD_OPC_CheckField, 29, 3, 2, 130, 67, // Skip to: 40669
-/* 23387 */   MCD_OPC_Decode, 173, 5, 117, // Opcode: FRINTPv2f64
-/* 23391 */   MCD_OPC_FilterValue, 35, 39, 0, // Skip to: 23434
-/* 23395 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23398 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23416
-/* 23402 */   MCD_OPC_CheckPredicate, 0, 111, 67, // Skip to: 40669
-/* 23406 */   MCD_OPC_CheckField, 21, 1, 1, 105, 67, // Skip to: 40669
-/* 23412 */   MCD_OPC_Decode, 241, 1, 112, // Opcode: CMTSTv2i64
-/* 23416 */   MCD_OPC_FilterValue, 3, 97, 67, // Skip to: 40669
-/* 23420 */   MCD_OPC_CheckPredicate, 0, 93, 67, // Skip to: 40669
-/* 23424 */   MCD_OPC_CheckField, 21, 1, 1, 87, 67, // Skip to: 40669
-/* 23430 */   MCD_OPC_Decode, 164, 1, 112, // Opcode: CMEQv2i64
-/* 23434 */   MCD_OPC_FilterValue, 38, 65, 0, // Skip to: 23503
-/* 23438 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 23441 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23472
-/* 23445 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23448 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23460
-/* 23452 */   MCD_OPC_CheckPredicate, 0, 61, 67, // Skip to: 40669
-/* 23456 */   MCD_OPC_Decode, 165, 1, 117, // Opcode: CMEQv2i64rz
-/* 23460 */   MCD_OPC_FilterValue, 3, 53, 67, // Skip to: 40669
-/* 23464 */   MCD_OPC_CheckPredicate, 0, 49, 67, // Skip to: 40669
-/* 23468 */   MCD_OPC_Decode, 225, 1, 117, // Opcode: CMLEv2i64rz
-/* 23472 */   MCD_OPC_FilterValue, 33, 41, 67, // Skip to: 40669
-/* 23476 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23479 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23491
-/* 23483 */   MCD_OPC_CheckPredicate, 0, 30, 67, // Skip to: 40669
-/* 23487 */   MCD_OPC_Decode, 183, 5, 117, // Opcode: FRINTZv2f64
-/* 23491 */   MCD_OPC_FilterValue, 3, 22, 67, // Skip to: 40669
-/* 23495 */   MCD_OPC_CheckPredicate, 0, 18, 67, // Skip to: 40669
-/* 23499 */   MCD_OPC_Decode, 158, 5, 117, // Opcode: FRINTIv2f64
-/* 23503 */   MCD_OPC_FilterValue, 42, 52, 0, // Skip to: 23559
-/* 23507 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 23510 */   MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 23528
-/* 23514 */   MCD_OPC_CheckPredicate, 0, 255, 66, // Skip to: 40669
-/* 23518 */   MCD_OPC_CheckField, 29, 3, 2, 249, 66, // Skip to: 40669
-/* 23524 */   MCD_OPC_Decode, 233, 1, 117, // Opcode: CMLTv2i64rz
-/* 23528 */   MCD_OPC_FilterValue, 33, 241, 66, // Skip to: 40669
-/* 23532 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23535 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23547
-/* 23539 */   MCD_OPC_CheckPredicate, 0, 230, 66, // Skip to: 40669
-/* 23543 */   MCD_OPC_Decode, 207, 3, 117, // Opcode: FCVTPSv2f64
-/* 23547 */   MCD_OPC_FilterValue, 3, 222, 66, // Skip to: 40669
-/* 23551 */   MCD_OPC_CheckPredicate, 0, 218, 66, // Skip to: 40669
-/* 23555 */   MCD_OPC_Decode, 216, 3, 117, // Opcode: FCVTPUv2f64
-/* 23559 */   MCD_OPC_FilterValue, 46, 64, 0, // Skip to: 23627
-/* 23563 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 23566 */   MCD_OPC_FilterValue, 32, 26, 0, // Skip to: 23596
-/* 23570 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23573 */   MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 23584
-/* 23577 */   MCD_OPC_CheckPredicate, 0, 192, 66, // Skip to: 40669
-/* 23581 */   MCD_OPC_Decode, 23, 117, // Opcode: ABSv2i64
-/* 23584 */   MCD_OPC_FilterValue, 3, 185, 66, // Skip to: 40669
-/* 23588 */   MCD_OPC_CheckPredicate, 0, 181, 66, // Skip to: 40669
-/* 23592 */   MCD_OPC_Decode, 248, 8, 117, // Opcode: NEGv2i64
-/* 23596 */   MCD_OPC_FilterValue, 33, 173, 66, // Skip to: 40669
-/* 23600 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23603 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23615
-/* 23607 */   MCD_OPC_CheckPredicate, 0, 162, 66, // Skip to: 40669
-/* 23611 */   MCD_OPC_Decode, 247, 3, 117, // Opcode: FCVTZSv2f64
-/* 23615 */   MCD_OPC_FilterValue, 3, 154, 66, // Skip to: 40669
-/* 23619 */   MCD_OPC_CheckPredicate, 0, 150, 66, // Skip to: 40669
-/* 23623 */   MCD_OPC_Decode, 148, 4, 117, // Opcode: FCVTZUv2f64
-/* 23627 */   MCD_OPC_FilterValue, 47, 19, 0, // Skip to: 23650
-/* 23631 */   MCD_OPC_CheckPredicate, 0, 138, 66, // Skip to: 40669
-/* 23635 */   MCD_OPC_CheckField, 29, 3, 2, 132, 66, // Skip to: 40669
-/* 23641 */   MCD_OPC_CheckField, 21, 1, 1, 126, 66, // Skip to: 40669
-/* 23647 */   MCD_OPC_Decode, 40, 112, // Opcode: ADDPv2i64
-/* 23650 */   MCD_OPC_FilterValue, 49, 39, 0, // Skip to: 23693
-/* 23654 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23657 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23675
-/* 23661 */   MCD_OPC_CheckPredicate, 0, 108, 66, // Skip to: 40669
-/* 23665 */   MCD_OPC_CheckField, 21, 1, 1, 102, 66, // Skip to: 40669
-/* 23671 */   MCD_OPC_Decode, 192, 4, 112, // Opcode: FMINNMv2f64
-/* 23675 */   MCD_OPC_FilterValue, 3, 94, 66, // Skip to: 40669
-/* 23679 */   MCD_OPC_CheckPredicate, 0, 90, 66, // Skip to: 40669
-/* 23683 */   MCD_OPC_CheckField, 21, 1, 1, 84, 66, // Skip to: 40669
-/* 23689 */   MCD_OPC_Decode, 185, 4, 112, // Opcode: FMINNMPv2f64
-/* 23693 */   MCD_OPC_FilterValue, 50, 39, 0, // Skip to: 23736
-/* 23697 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23700 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23718
-/* 23704 */   MCD_OPC_CheckPredicate, 0, 65, 66, // Skip to: 40669
-/* 23708 */   MCD_OPC_CheckField, 16, 6, 32, 59, 66, // Skip to: 40669
-/* 23714 */   MCD_OPC_Decode, 239, 2, 117, // Opcode: FCMGTv2i64rz
-/* 23718 */   MCD_OPC_FilterValue, 3, 51, 66, // Skip to: 40669
-/* 23722 */   MCD_OPC_CheckPredicate, 0, 47, 66, // Skip to: 40669
-/* 23726 */   MCD_OPC_CheckField, 16, 6, 32, 41, 66, // Skip to: 40669
-/* 23732 */   MCD_OPC_Decode, 229, 2, 117, // Opcode: FCMGEv2i64rz
-/* 23736 */   MCD_OPC_FilterValue, 51, 20, 0, // Skip to: 23760
-/* 23740 */   MCD_OPC_CheckPredicate, 0, 29, 66, // Skip to: 40669
-/* 23744 */   MCD_OPC_CheckField, 29, 3, 2, 23, 66, // Skip to: 40669
-/* 23750 */   MCD_OPC_CheckField, 21, 1, 1, 17, 66, // Skip to: 40669
-/* 23756 */   MCD_OPC_Decode, 215, 4, 120, // Opcode: FMLSv2f64
-/* 23760 */   MCD_OPC_FilterValue, 53, 39, 0, // Skip to: 23803
-/* 23764 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23767 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23785
-/* 23771 */   MCD_OPC_CheckPredicate, 0, 254, 65, // Skip to: 40669
-/* 23775 */   MCD_OPC_CheckField, 21, 1, 1, 248, 65, // Skip to: 40669
-/* 23781 */   MCD_OPC_Decode, 203, 5, 112, // Opcode: FSUBv2f64
-/* 23785 */   MCD_OPC_FilterValue, 3, 240, 65, // Skip to: 40669
-/* 23789 */   MCD_OPC_CheckPredicate, 0, 236, 65, // Skip to: 40669
-/* 23793 */   MCD_OPC_CheckField, 21, 1, 1, 230, 65, // Skip to: 40669
-/* 23799 */   MCD_OPC_Decode, 181, 2, 112, // Opcode: FABDv2f64
-/* 23803 */   MCD_OPC_FilterValue, 54, 65, 0, // Skip to: 23872
-/* 23807 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 23810 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23841
-/* 23814 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23817 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23829
-/* 23821 */   MCD_OPC_CheckPredicate, 0, 204, 65, // Skip to: 40669
-/* 23825 */   MCD_OPC_Decode, 219, 2, 117, // Opcode: FCMEQv2i64rz
-/* 23829 */   MCD_OPC_FilterValue, 3, 196, 65, // Skip to: 40669
-/* 23833 */   MCD_OPC_CheckPredicate, 0, 192, 65, // Skip to: 40669
-/* 23837 */   MCD_OPC_Decode, 245, 2, 117, // Opcode: FCMLEv2i64rz
-/* 23841 */   MCD_OPC_FilterValue, 33, 184, 65, // Skip to: 40669
-/* 23845 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23848 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23860
-/* 23852 */   MCD_OPC_CheckPredicate, 0, 173, 65, // Skip to: 40669
-/* 23856 */   MCD_OPC_Decode, 141, 5, 117, // Opcode: FRECPEv2f64
-/* 23860 */   MCD_OPC_FilterValue, 3, 165, 65, // Skip to: 40669
-/* 23864 */   MCD_OPC_CheckPredicate, 0, 161, 65, // Skip to: 40669
-/* 23868 */   MCD_OPC_Decode, 188, 5, 117, // Opcode: FRSQRTEv2f64
-/* 23872 */   MCD_OPC_FilterValue, 56, 39, 0, // Skip to: 23915
-/* 23876 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23879 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 23897
-/* 23883 */   MCD_OPC_CheckPredicate, 1, 142, 65, // Skip to: 40669
-/* 23887 */   MCD_OPC_CheckField, 21, 1, 1, 136, 65, // Skip to: 40669
-/* 23893 */   MCD_OPC_Decode, 146, 9, 85, // Opcode: PMULLv1i64
-/* 23897 */   MCD_OPC_FilterValue, 2, 128, 65, // Skip to: 40669
-/* 23901 */   MCD_OPC_CheckPredicate, 1, 124, 65, // Skip to: 40669
-/* 23905 */   MCD_OPC_CheckField, 21, 1, 1, 118, 65, // Skip to: 40669
-/* 23911 */   MCD_OPC_Decode, 147, 9, 112, // Opcode: PMULLv2i64
-/* 23915 */   MCD_OPC_FilterValue, 57, 20, 0, // Skip to: 23939
-/* 23919 */   MCD_OPC_CheckPredicate, 0, 106, 65, // Skip to: 40669
-/* 23923 */   MCD_OPC_CheckField, 29, 3, 3, 100, 65, // Skip to: 40669
-/* 23929 */   MCD_OPC_CheckField, 21, 1, 1, 94, 65, // Skip to: 40669
-/* 23935 */   MCD_OPC_Decode, 237, 2, 112, // Opcode: FCMGTv2f64
-/* 23939 */   MCD_OPC_FilterValue, 58, 20, 0, // Skip to: 23963
-/* 23943 */   MCD_OPC_CheckPredicate, 0, 82, 65, // Skip to: 40669
-/* 23947 */   MCD_OPC_CheckField, 29, 3, 2, 76, 65, // Skip to: 40669
-/* 23953 */   MCD_OPC_CheckField, 16, 6, 32, 70, 65, // Skip to: 40669
-/* 23959 */   MCD_OPC_Decode, 250, 2, 117, // Opcode: FCMLTv2i64rz
-/* 23963 */   MCD_OPC_FilterValue, 59, 20, 0, // Skip to: 23987
-/* 23967 */   MCD_OPC_CheckPredicate, 0, 58, 65, // Skip to: 40669
-/* 23971 */   MCD_OPC_CheckField, 29, 3, 3, 52, 65, // Skip to: 40669
-/* 23977 */   MCD_OPC_CheckField, 21, 1, 1, 46, 65, // Skip to: 40669
-/* 23983 */   MCD_OPC_Decode, 196, 2, 112, // Opcode: FACGTv2f64
-/* 23987 */   MCD_OPC_FilterValue, 61, 39, 0, // Skip to: 24030
-/* 23991 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 23994 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 24012
-/* 23998 */   MCD_OPC_CheckPredicate, 0, 27, 65, // Skip to: 40669
-/* 24002 */   MCD_OPC_CheckField, 21, 1, 1, 21, 65, // Skip to: 40669
-/* 24008 */   MCD_OPC_Decode, 202, 4, 112, // Opcode: FMINv2f64
-/* 24012 */   MCD_OPC_FilterValue, 3, 13, 65, // Skip to: 40669
-/* 24016 */   MCD_OPC_CheckPredicate, 0, 9, 65, // Skip to: 40669
-/* 24020 */   MCD_OPC_CheckField, 21, 1, 1, 3, 65, // Skip to: 40669
-/* 24026 */   MCD_OPC_Decode, 195, 4, 112, // Opcode: FMINPv2f64
-/* 24030 */   MCD_OPC_FilterValue, 62, 52, 0, // Skip to: 24086
-/* 24034 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 24037 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 24068
-/* 24041 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 24044 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 24056
-/* 24048 */   MCD_OPC_CheckPredicate, 0, 233, 64, // Skip to: 40669
-/* 24052 */   MCD_OPC_Decode, 186, 2, 117, // Opcode: FABSv2f64
-/* 24056 */   MCD_OPC_FilterValue, 3, 225, 64, // Skip to: 40669
-/* 24060 */   MCD_OPC_CheckPredicate, 0, 221, 64, // Skip to: 40669
-/* 24064 */   MCD_OPC_Decode, 130, 5, 117, // Opcode: FNEGv2f64
-/* 24068 */   MCD_OPC_FilterValue, 33, 213, 64, // Skip to: 40669
-/* 24072 */   MCD_OPC_CheckPredicate, 0, 209, 64, // Skip to: 40669
-/* 24076 */   MCD_OPC_CheckField, 29, 3, 3, 203, 64, // Skip to: 40669
-/* 24082 */   MCD_OPC_Decode, 198, 5, 117, // Opcode: FSQRTv2f64
-/* 24086 */   MCD_OPC_FilterValue, 63, 195, 64, // Skip to: 40669
-/* 24090 */   MCD_OPC_CheckPredicate, 0, 191, 64, // Skip to: 40669
-/* 24094 */   MCD_OPC_CheckField, 29, 3, 2, 185, 64, // Skip to: 40669
-/* 24100 */   MCD_OPC_CheckField, 21, 1, 1, 179, 64, // Skip to: 40669
-/* 24106 */   MCD_OPC_Decode, 193, 5, 112, // Opcode: FRSQRTSv2f64
-/* 24110 */   MCD_OPC_FilterValue, 12, 165, 13, // Skip to: 27607
-/* 24114 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 24117 */   MCD_OPC_FilterValue, 0, 66, 3, // Skip to: 24955
-/* 24121 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 24124 */   MCD_OPC_FilterValue, 1, 171, 2, // Skip to: 24811
-/* 24128 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 24131 */   MCD_OPC_FilterValue, 0, 91, 1, // Skip to: 24482
-/* 24135 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 24138 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 24271
-/* 24142 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24145 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 24238
-/* 24149 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24152 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 24205
-/* 24156 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 24159 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24172
-/* 24163 */   MCD_OPC_CheckPredicate, 0, 118, 64, // Skip to: 40669
-/* 24167 */   MCD_OPC_Decode, 203, 8, 145, 1, // Opcode: MOVIv2i32
-/* 24172 */   MCD_OPC_FilterValue, 1, 109, 64, // Skip to: 40669
-/* 24176 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24179 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24192
-/* 24183 */   MCD_OPC_CheckPredicate, 0, 98, 64, // Skip to: 40669
-/* 24187 */   MCD_OPC_Decode, 152, 13, 146, 1, // Opcode: SSHRv8i8_shift
-/* 24192 */   MCD_OPC_FilterValue, 1, 89, 64, // Skip to: 40669
-/* 24196 */   MCD_OPC_CheckPredicate, 0, 85, 64, // Skip to: 40669
-/* 24200 */   MCD_OPC_Decode, 250, 12, 146, 1, // Opcode: SRSHRv8i8_shift
-/* 24205 */   MCD_OPC_FilterValue, 1, 76, 64, // Skip to: 40669
-/* 24209 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24212 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24225
-/* 24216 */   MCD_OPC_CheckPredicate, 0, 65, 64, // Skip to: 40669
-/* 24220 */   MCD_OPC_Decode, 149, 13, 147, 1, // Opcode: SSHRv4i16_shift
-/* 24225 */   MCD_OPC_FilterValue, 1, 56, 64, // Skip to: 40669
-/* 24229 */   MCD_OPC_CheckPredicate, 0, 52, 64, // Skip to: 40669
-/* 24233 */   MCD_OPC_Decode, 247, 12, 147, 1, // Opcode: SRSHRv4i16_shift
-/* 24238 */   MCD_OPC_FilterValue, 1, 43, 64, // Skip to: 40669
-/* 24242 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24245 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24258
-/* 24249 */   MCD_OPC_CheckPredicate, 0, 32, 64, // Skip to: 40669
-/* 24253 */   MCD_OPC_Decode, 147, 13, 148, 1, // Opcode: SSHRv2i32_shift
-/* 24258 */   MCD_OPC_FilterValue, 1, 23, 64, // Skip to: 40669
-/* 24262 */   MCD_OPC_CheckPredicate, 0, 19, 64, // Skip to: 40669
-/* 24266 */   MCD_OPC_Decode, 245, 12, 148, 1, // Opcode: SRSHRv2i32_shift
-/* 24271 */   MCD_OPC_FilterValue, 1, 10, 64, // Skip to: 40669
-/* 24275 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24278 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 24423
-/* 24282 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24285 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 24364
-/* 24289 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 24292 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24305
-/* 24296 */   MCD_OPC_CheckPredicate, 0, 241, 63, // Skip to: 40669
-/* 24300 */   MCD_OPC_Decode, 140, 9, 149, 1, // Opcode: ORRv2i32
-/* 24305 */   MCD_OPC_FilterValue, 1, 232, 63, // Skip to: 40669
-/* 24309 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24312 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24325
-/* 24316 */   MCD_OPC_CheckPredicate, 0, 221, 63, // Skip to: 40669
-/* 24320 */   MCD_OPC_Decode, 160, 13, 150, 1, // Opcode: SSRAv8i8_shift
-/* 24325 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24338
-/* 24329 */   MCD_OPC_CheckPredicate, 0, 208, 63, // Skip to: 40669
-/* 24333 */   MCD_OPC_Decode, 130, 13, 150, 1, // Opcode: SRSRAv8i8_shift
-/* 24338 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24351
-/* 24342 */   MCD_OPC_CheckPredicate, 0, 195, 63, // Skip to: 40669
-/* 24346 */   MCD_OPC_Decode, 181, 10, 151, 1, // Opcode: SHLv8i8_shift
-/* 24351 */   MCD_OPC_FilterValue, 3, 186, 63, // Skip to: 40669
-/* 24355 */   MCD_OPC_CheckPredicate, 0, 182, 63, // Skip to: 40669
-/* 24359 */   MCD_OPC_Decode, 173, 12, 151, 1, // Opcode: SQSHLv8i8_shift
-/* 24364 */   MCD_OPC_FilterValue, 1, 173, 63, // Skip to: 40669
-/* 24368 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24371 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24384
-/* 24375 */   MCD_OPC_CheckPredicate, 0, 162, 63, // Skip to: 40669
-/* 24379 */   MCD_OPC_Decode, 157, 13, 152, 1, // Opcode: SSRAv4i16_shift
-/* 24384 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24397
-/* 24388 */   MCD_OPC_CheckPredicate, 0, 149, 63, // Skip to: 40669
-/* 24392 */   MCD_OPC_Decode, 255, 12, 152, 1, // Opcode: SRSRAv4i16_shift
-/* 24397 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24410
-/* 24401 */   MCD_OPC_CheckPredicate, 0, 136, 63, // Skip to: 40669
-/* 24405 */   MCD_OPC_Decode, 178, 10, 153, 1, // Opcode: SHLv4i16_shift
-/* 24410 */   MCD_OPC_FilterValue, 3, 127, 63, // Skip to: 40669
-/* 24414 */   MCD_OPC_CheckPredicate, 0, 123, 63, // Skip to: 40669
-/* 24418 */   MCD_OPC_Decode, 167, 12, 153, 1, // Opcode: SQSHLv4i16_shift
-/* 24423 */   MCD_OPC_FilterValue, 1, 114, 63, // Skip to: 40669
-/* 24427 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 24430 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24443
-/* 24434 */   MCD_OPC_CheckPredicate, 0, 103, 63, // Skip to: 40669
-/* 24438 */   MCD_OPC_Decode, 155, 13, 154, 1, // Opcode: SSRAv2i32_shift
-/* 24443 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24456
-/* 24447 */   MCD_OPC_CheckPredicate, 0, 90, 63, // Skip to: 40669
-/* 24451 */   MCD_OPC_Decode, 253, 12, 154, 1, // Opcode: SRSRAv2i32_shift
-/* 24456 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24469
-/* 24460 */   MCD_OPC_CheckPredicate, 0, 77, 63, // Skip to: 40669
-/* 24464 */   MCD_OPC_Decode, 176, 10, 155, 1, // Opcode: SHLv2i32_shift
-/* 24469 */   MCD_OPC_FilterValue, 3, 68, 63, // Skip to: 40669
-/* 24473 */   MCD_OPC_CheckPredicate, 0, 64, 63, // Skip to: 40669
-/* 24477 */   MCD_OPC_Decode, 163, 12, 155, 1, // Opcode: SQSHLv2i32_shift
-/* 24482 */   MCD_OPC_FilterValue, 1, 55, 63, // Skip to: 40669
-/* 24486 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
-/* 24489 */   MCD_OPC_FilterValue, 0, 227, 0, // Skip to: 24720
-/* 24493 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 24496 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 24629
-/* 24500 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24503 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 24596
-/* 24507 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24510 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 24563
-/* 24514 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 24517 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24530
-/* 24521 */   MCD_OPC_CheckPredicate, 0, 16, 63, // Skip to: 40669
-/* 24525 */   MCD_OPC_Decode, 205, 8, 145, 1, // Opcode: MOVIv4i16
-/* 24530 */   MCD_OPC_FilterValue, 1, 7, 63, // Skip to: 40669
-/* 24534 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 24537 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24550
-/* 24541 */   MCD_OPC_CheckPredicate, 0, 252, 62, // Skip to: 40669
-/* 24545 */   MCD_OPC_Decode, 187, 10, 156, 1, // Opcode: SHRNv8i8_shift
-/* 24550 */   MCD_OPC_FilterValue, 1, 243, 62, // Skip to: 40669
-/* 24554 */   MCD_OPC_CheckPredicate, 0, 239, 62, // Skip to: 40669
-/* 24558 */   MCD_OPC_Decode, 136, 13, 157, 1, // Opcode: SSHLLv8i8_shift
-/* 24563 */   MCD_OPC_FilterValue, 1, 230, 62, // Skip to: 40669
-/* 24567 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 24570 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24583
-/* 24574 */   MCD_OPC_CheckPredicate, 0, 219, 62, // Skip to: 40669
-/* 24578 */   MCD_OPC_Decode, 184, 10, 158, 1, // Opcode: SHRNv4i16_shift
-/* 24583 */   MCD_OPC_FilterValue, 1, 210, 62, // Skip to: 40669
-/* 24587 */   MCD_OPC_CheckPredicate, 0, 206, 62, // Skip to: 40669
-/* 24591 */   MCD_OPC_Decode, 133, 13, 159, 1, // Opcode: SSHLLv4i16_shift
-/* 24596 */   MCD_OPC_FilterValue, 1, 197, 62, // Skip to: 40669
-/* 24600 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 24603 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24616
-/* 24607 */   MCD_OPC_CheckPredicate, 0, 186, 62, // Skip to: 40669
-/* 24611 */   MCD_OPC_Decode, 183, 10, 160, 1, // Opcode: SHRNv2i32_shift
-/* 24616 */   MCD_OPC_FilterValue, 1, 177, 62, // Skip to: 40669
-/* 24620 */   MCD_OPC_CheckPredicate, 0, 173, 62, // Skip to: 40669
-/* 24624 */   MCD_OPC_Decode, 132, 13, 161, 1, // Opcode: SSHLLv2i32_shift
-/* 24629 */   MCD_OPC_FilterValue, 1, 164, 62, // Skip to: 40669
-/* 24633 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24636 */   MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 24701
-/* 24640 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24643 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24682
-/* 24647 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 24650 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24663
-/* 24654 */   MCD_OPC_CheckPredicate, 0, 139, 62, // Skip to: 40669
-/* 24658 */   MCD_OPC_Decode, 141, 9, 149, 1, // Opcode: ORRv4i16
-/* 24663 */   MCD_OPC_FilterValue, 1, 130, 62, // Skip to: 40669
-/* 24667 */   MCD_OPC_CheckPredicate, 0, 126, 62, // Skip to: 40669
-/* 24671 */   MCD_OPC_CheckField, 13, 1, 0, 120, 62, // Skip to: 40669
-/* 24677 */   MCD_OPC_Decode, 182, 12, 156, 1, // Opcode: SQSHRNv8i8_shift
-/* 24682 */   MCD_OPC_FilterValue, 1, 111, 62, // Skip to: 40669
-/* 24686 */   MCD_OPC_CheckPredicate, 0, 107, 62, // Skip to: 40669
-/* 24690 */   MCD_OPC_CheckField, 13, 1, 0, 101, 62, // Skip to: 40669
-/* 24696 */   MCD_OPC_Decode, 179, 12, 158, 1, // Opcode: SQSHRNv4i16_shift
-/* 24701 */   MCD_OPC_FilterValue, 1, 92, 62, // Skip to: 40669
-/* 24705 */   MCD_OPC_CheckPredicate, 0, 88, 62, // Skip to: 40669
-/* 24709 */   MCD_OPC_CheckField, 13, 1, 0, 82, 62, // Skip to: 40669
-/* 24715 */   MCD_OPC_Decode, 178, 12, 160, 1, // Opcode: SQSHRNv2i32_shift
-/* 24720 */   MCD_OPC_FilterValue, 1, 73, 62, // Skip to: 40669
-/* 24724 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 24727 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24746
-/* 24731 */   MCD_OPC_CheckPredicate, 0, 62, 62, // Skip to: 40669
-/* 24735 */   MCD_OPC_CheckField, 19, 3, 0, 56, 62, // Skip to: 40669
-/* 24741 */   MCD_OPC_Decode, 204, 8, 145, 1, // Opcode: MOVIv2s_msl
-/* 24746 */   MCD_OPC_FilterValue, 1, 47, 62, // Skip to: 40669
-/* 24750 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 24753 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24792
-/* 24757 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24760 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24779
-/* 24764 */   MCD_OPC_CheckPredicate, 0, 29, 62, // Skip to: 40669
-/* 24768 */   MCD_OPC_CheckField, 19, 2, 0, 23, 62, // Skip to: 40669
-/* 24774 */   MCD_OPC_Decode, 208, 8, 145, 1, // Opcode: MOVIv8b_ns
-/* 24779 */   MCD_OPC_FilterValue, 1, 14, 62, // Skip to: 40669
-/* 24783 */   MCD_OPC_CheckPredicate, 0, 10, 62, // Skip to: 40669
-/* 24787 */   MCD_OPC_Decode, 144, 10, 148, 1, // Opcode: SCVTFv2i32_shift
-/* 24792 */   MCD_OPC_FilterValue, 1, 1, 62, // Skip to: 40669
-/* 24796 */   MCD_OPC_CheckPredicate, 0, 253, 61, // Skip to: 40669
-/* 24800 */   MCD_OPC_CheckField, 19, 3, 0, 247, 61, // Skip to: 40669
-/* 24806 */   MCD_OPC_Decode, 230, 4, 145, 1, // Opcode: FMOVv2f32_ns
-/* 24811 */   MCD_OPC_FilterValue, 3, 238, 61, // Skip to: 40669
-/* 24815 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 24818 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 24877
-/* 24822 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24825 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24864
-/* 24829 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24832 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24851
-/* 24836 */   MCD_OPC_CheckPredicate, 0, 213, 61, // Skip to: 40669
-/* 24840 */   MCD_OPC_CheckField, 19, 1, 1, 207, 61, // Skip to: 40669
-/* 24846 */   MCD_OPC_Decode, 192, 9, 156, 1, // Opcode: RSHRNv8i8_shift
-/* 24851 */   MCD_OPC_FilterValue, 1, 198, 61, // Skip to: 40669
-/* 24855 */   MCD_OPC_CheckPredicate, 0, 194, 61, // Skip to: 40669
-/* 24859 */   MCD_OPC_Decode, 189, 9, 158, 1, // Opcode: RSHRNv4i16_shift
-/* 24864 */   MCD_OPC_FilterValue, 1, 185, 61, // Skip to: 40669
-/* 24868 */   MCD_OPC_CheckPredicate, 0, 181, 61, // Skip to: 40669
-/* 24872 */   MCD_OPC_Decode, 188, 9, 160, 1, // Opcode: RSHRNv2i32_shift
-/* 24877 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 24936
-/* 24881 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24884 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24923
-/* 24888 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24891 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24910
-/* 24895 */   MCD_OPC_CheckPredicate, 0, 154, 61, // Skip to: 40669
-/* 24899 */   MCD_OPC_CheckField, 19, 1, 1, 148, 61, // Skip to: 40669
-/* 24905 */   MCD_OPC_Decode, 131, 12, 156, 1, // Opcode: SQRSHRNv8i8_shift
-/* 24910 */   MCD_OPC_FilterValue, 1, 139, 61, // Skip to: 40669
-/* 24914 */   MCD_OPC_CheckPredicate, 0, 135, 61, // Skip to: 40669
-/* 24918 */   MCD_OPC_Decode, 128, 12, 158, 1, // Opcode: SQRSHRNv4i16_shift
-/* 24923 */   MCD_OPC_FilterValue, 1, 126, 61, // Skip to: 40669
-/* 24927 */   MCD_OPC_CheckPredicate, 0, 122, 61, // Skip to: 40669
-/* 24931 */   MCD_OPC_Decode, 255, 11, 160, 1, // Opcode: SQRSHRNv2i32_shift
-/* 24936 */   MCD_OPC_FilterValue, 15, 113, 61, // Skip to: 40669
-/* 24940 */   MCD_OPC_CheckPredicate, 0, 109, 61, // Skip to: 40669
-/* 24944 */   MCD_OPC_CheckField, 21, 1, 1, 103, 61, // Skip to: 40669
-/* 24950 */   MCD_OPC_Decode, 248, 3, 148, 1, // Opcode: FCVTZSv2i32_shift
-/* 24955 */   MCD_OPC_FilterValue, 1, 128, 3, // Skip to: 25855
-/* 24959 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 24962 */   MCD_OPC_FilterValue, 1, 233, 2, // Skip to: 25711
-/* 24966 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 24969 */   MCD_OPC_FilterValue, 0, 168, 1, // Skip to: 25397
-/* 24973 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 24976 */   MCD_OPC_FilterValue, 0, 207, 0, // Skip to: 25187
-/* 24980 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 24983 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 25128
-/* 24987 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 24990 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 25069
-/* 24994 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 24997 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25010
-/* 25001 */   MCD_OPC_CheckPredicate, 0, 48, 61, // Skip to: 40669
-/* 25005 */   MCD_OPC_Decode, 239, 8, 145, 1, // Opcode: MVNIv2i32
-/* 25010 */   MCD_OPC_FilterValue, 1, 39, 61, // Skip to: 40669
-/* 25014 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25017 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25030
-/* 25021 */   MCD_OPC_CheckPredicate, 0, 28, 61, // Skip to: 40669
-/* 25025 */   MCD_OPC_Decode, 146, 18, 146, 1, // Opcode: USHRv8i8_shift
-/* 25030 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25043
-/* 25034 */   MCD_OPC_CheckPredicate, 0, 15, 61, // Skip to: 40669
-/* 25038 */   MCD_OPC_Decode, 242, 17, 146, 1, // Opcode: URSHRv8i8_shift
-/* 25043 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25056
-/* 25047 */   MCD_OPC_CheckPredicate, 0, 2, 61, // Skip to: 40669
-/* 25051 */   MCD_OPC_Decode, 234, 12, 150, 1, // Opcode: SRIv8i8_shift
-/* 25056 */   MCD_OPC_FilterValue, 3, 249, 60, // Skip to: 40669
-/* 25060 */   MCD_OPC_CheckPredicate, 0, 245, 60, // Skip to: 40669
-/* 25064 */   MCD_OPC_Decode, 151, 12, 151, 1, // Opcode: SQSHLUv8i8_shift
-/* 25069 */   MCD_OPC_FilterValue, 1, 236, 60, // Skip to: 40669
-/* 25073 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25076 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25089
-/* 25080 */   MCD_OPC_CheckPredicate, 0, 225, 60, // Skip to: 40669
-/* 25084 */   MCD_OPC_Decode, 143, 18, 147, 1, // Opcode: USHRv4i16_shift
-/* 25089 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25102
-/* 25093 */   MCD_OPC_CheckPredicate, 0, 212, 60, // Skip to: 40669
-/* 25097 */   MCD_OPC_Decode, 239, 17, 147, 1, // Opcode: URSHRv4i16_shift
-/* 25102 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25115
-/* 25106 */   MCD_OPC_CheckPredicate, 0, 199, 60, // Skip to: 40669
-/* 25110 */   MCD_OPC_Decode, 231, 12, 152, 1, // Opcode: SRIv4i16_shift
-/* 25115 */   MCD_OPC_FilterValue, 3, 190, 60, // Skip to: 40669
-/* 25119 */   MCD_OPC_CheckPredicate, 0, 186, 60, // Skip to: 40669
-/* 25123 */   MCD_OPC_Decode, 148, 12, 153, 1, // Opcode: SQSHLUv4i16_shift
-/* 25128 */   MCD_OPC_FilterValue, 1, 177, 60, // Skip to: 40669
-/* 25132 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25135 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25148
-/* 25139 */   MCD_OPC_CheckPredicate, 0, 166, 60, // Skip to: 40669
-/* 25143 */   MCD_OPC_Decode, 141, 18, 148, 1, // Opcode: USHRv2i32_shift
-/* 25148 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25161
-/* 25152 */   MCD_OPC_CheckPredicate, 0, 153, 60, // Skip to: 40669
-/* 25156 */   MCD_OPC_Decode, 237, 17, 148, 1, // Opcode: URSHRv2i32_shift
-/* 25161 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25174
-/* 25165 */   MCD_OPC_CheckPredicate, 0, 140, 60, // Skip to: 40669
-/* 25169 */   MCD_OPC_Decode, 229, 12, 154, 1, // Opcode: SRIv2i32_shift
-/* 25174 */   MCD_OPC_FilterValue, 3, 131, 60, // Skip to: 40669
-/* 25178 */   MCD_OPC_CheckPredicate, 0, 127, 60, // Skip to: 40669
-/* 25182 */   MCD_OPC_Decode, 146, 12, 155, 1, // Opcode: SQSHLUv2i32_shift
-/* 25187 */   MCD_OPC_FilterValue, 1, 118, 60, // Skip to: 40669
-/* 25191 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25194 */   MCD_OPC_FilterValue, 0, 140, 0, // Skip to: 25338
-/* 25198 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25201 */   MCD_OPC_FilterValue, 0, 74, 0, // Skip to: 25279
-/* 25205 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 25208 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 25220
-/* 25212 */   MCD_OPC_CheckPredicate, 0, 93, 60, // Skip to: 40669
-/* 25216 */   MCD_OPC_Decode, 113, 149, 1, // Opcode: BICv2i32
-/* 25220 */   MCD_OPC_FilterValue, 1, 85, 60, // Skip to: 40669
-/* 25224 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25227 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25240
-/* 25231 */   MCD_OPC_CheckPredicate, 0, 74, 60, // Skip to: 40669
-/* 25235 */   MCD_OPC_Decode, 165, 18, 150, 1, // Opcode: USRAv8i8_shift
-/* 25240 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25253
-/* 25244 */   MCD_OPC_CheckPredicate, 0, 61, 60, // Skip to: 40669
-/* 25248 */   MCD_OPC_Decode, 252, 17, 150, 1, // Opcode: URSRAv8i8_shift
-/* 25253 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25266
-/* 25257 */   MCD_OPC_CheckPredicate, 0, 48, 60, // Skip to: 40669
-/* 25261 */   MCD_OPC_Decode, 201, 10, 162, 1, // Opcode: SLIv8i8_shift
-/* 25266 */   MCD_OPC_FilterValue, 3, 39, 60, // Skip to: 40669
-/* 25270 */   MCD_OPC_CheckPredicate, 0, 35, 60, // Skip to: 40669
-/* 25274 */   MCD_OPC_Decode, 189, 17, 151, 1, // Opcode: UQSHLv8i8_shift
-/* 25279 */   MCD_OPC_FilterValue, 1, 26, 60, // Skip to: 40669
-/* 25283 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25286 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25299
-/* 25290 */   MCD_OPC_CheckPredicate, 0, 15, 60, // Skip to: 40669
-/* 25294 */   MCD_OPC_Decode, 162, 18, 152, 1, // Opcode: USRAv4i16_shift
-/* 25299 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25312
-/* 25303 */   MCD_OPC_CheckPredicate, 0, 2, 60, // Skip to: 40669
-/* 25307 */   MCD_OPC_Decode, 249, 17, 152, 1, // Opcode: URSRAv4i16_shift
-/* 25312 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25325
-/* 25316 */   MCD_OPC_CheckPredicate, 0, 245, 59, // Skip to: 40669
-/* 25320 */   MCD_OPC_Decode, 198, 10, 163, 1, // Opcode: SLIv4i16_shift
-/* 25325 */   MCD_OPC_FilterValue, 3, 236, 59, // Skip to: 40669
-/* 25329 */   MCD_OPC_CheckPredicate, 0, 232, 59, // Skip to: 40669
-/* 25333 */   MCD_OPC_Decode, 183, 17, 153, 1, // Opcode: UQSHLv4i16_shift
-/* 25338 */   MCD_OPC_FilterValue, 1, 223, 59, // Skip to: 40669
-/* 25342 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25345 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25358
-/* 25349 */   MCD_OPC_CheckPredicate, 0, 212, 59, // Skip to: 40669
-/* 25353 */   MCD_OPC_Decode, 160, 18, 154, 1, // Opcode: USRAv2i32_shift
-/* 25358 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25371
-/* 25362 */   MCD_OPC_CheckPredicate, 0, 199, 59, // Skip to: 40669
-/* 25366 */   MCD_OPC_Decode, 247, 17, 154, 1, // Opcode: URSRAv2i32_shift
-/* 25371 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25384
-/* 25375 */   MCD_OPC_CheckPredicate, 0, 186, 59, // Skip to: 40669
-/* 25379 */   MCD_OPC_Decode, 196, 10, 164, 1, // Opcode: SLIv2i32_shift
-/* 25384 */   MCD_OPC_FilterValue, 3, 177, 59, // Skip to: 40669
-/* 25388 */   MCD_OPC_CheckPredicate, 0, 173, 59, // Skip to: 40669
-/* 25392 */   MCD_OPC_Decode, 179, 17, 155, 1, // Opcode: UQSHLv2i32_shift
-/* 25397 */   MCD_OPC_FilterValue, 1, 164, 59, // Skip to: 40669
-/* 25401 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
-/* 25404 */   MCD_OPC_FilterValue, 0, 226, 0, // Skip to: 25634
-/* 25408 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 25411 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 25544
-/* 25415 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25418 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 25511
-/* 25422 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25425 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 25478
-/* 25429 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 25432 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25445
-/* 25436 */   MCD_OPC_CheckPredicate, 0, 125, 59, // Skip to: 40669
-/* 25440 */   MCD_OPC_Decode, 241, 8, 145, 1, // Opcode: MVNIv4i16
-/* 25445 */   MCD_OPC_FilterValue, 1, 116, 59, // Skip to: 40669
-/* 25449 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 25452 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25465
-/* 25456 */   MCD_OPC_CheckPredicate, 0, 105, 59, // Skip to: 40669
-/* 25460 */   MCD_OPC_Decode, 191, 12, 156, 1, // Opcode: SQSHRUNv8i8_shift
-/* 25465 */   MCD_OPC_FilterValue, 1, 96, 59, // Skip to: 40669
-/* 25469 */   MCD_OPC_CheckPredicate, 0, 92, 59, // Skip to: 40669
-/* 25473 */   MCD_OPC_Decode, 130, 18, 157, 1, // Opcode: USHLLv8i8_shift
-/* 25478 */   MCD_OPC_FilterValue, 1, 83, 59, // Skip to: 40669
-/* 25482 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 25485 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25498
-/* 25489 */   MCD_OPC_CheckPredicate, 0, 72, 59, // Skip to: 40669
-/* 25493 */   MCD_OPC_Decode, 188, 12, 158, 1, // Opcode: SQSHRUNv4i16_shift
-/* 25498 */   MCD_OPC_FilterValue, 1, 63, 59, // Skip to: 40669
-/* 25502 */   MCD_OPC_CheckPredicate, 0, 59, 59, // Skip to: 40669
-/* 25506 */   MCD_OPC_Decode, 255, 17, 159, 1, // Opcode: USHLLv4i16_shift
-/* 25511 */   MCD_OPC_FilterValue, 1, 50, 59, // Skip to: 40669
-/* 25515 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 25518 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25531
-/* 25522 */   MCD_OPC_CheckPredicate, 0, 39, 59, // Skip to: 40669
-/* 25526 */   MCD_OPC_Decode, 187, 12, 160, 1, // Opcode: SQSHRUNv2i32_shift
-/* 25531 */   MCD_OPC_FilterValue, 1, 30, 59, // Skip to: 40669
-/* 25535 */   MCD_OPC_CheckPredicate, 0, 26, 59, // Skip to: 40669
-/* 25539 */   MCD_OPC_Decode, 254, 17, 161, 1, // Opcode: USHLLv2i32_shift
-/* 25544 */   MCD_OPC_FilterValue, 1, 17, 59, // Skip to: 40669
-/* 25548 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25551 */   MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 25615
-/* 25555 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25558 */   MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 25596
-/* 25562 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 25565 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 25577
-/* 25569 */   MCD_OPC_CheckPredicate, 0, 248, 58, // Skip to: 40669
-/* 25573 */   MCD_OPC_Decode, 114, 149, 1, // Opcode: BICv4i16
-/* 25577 */   MCD_OPC_FilterValue, 1, 240, 58, // Skip to: 40669
-/* 25581 */   MCD_OPC_CheckPredicate, 0, 236, 58, // Skip to: 40669
-/* 25585 */   MCD_OPC_CheckField, 13, 1, 0, 230, 58, // Skip to: 40669
-/* 25591 */   MCD_OPC_Decode, 198, 17, 156, 1, // Opcode: UQSHRNv8i8_shift
-/* 25596 */   MCD_OPC_FilterValue, 1, 221, 58, // Skip to: 40669
-/* 25600 */   MCD_OPC_CheckPredicate, 0, 217, 58, // Skip to: 40669
-/* 25604 */   MCD_OPC_CheckField, 13, 1, 0, 211, 58, // Skip to: 40669
-/* 25610 */   MCD_OPC_Decode, 195, 17, 158, 1, // Opcode: UQSHRNv4i16_shift
-/* 25615 */   MCD_OPC_FilterValue, 1, 202, 58, // Skip to: 40669
-/* 25619 */   MCD_OPC_CheckPredicate, 0, 198, 58, // Skip to: 40669
-/* 25623 */   MCD_OPC_CheckField, 13, 1, 0, 192, 58, // Skip to: 40669
-/* 25629 */   MCD_OPC_Decode, 194, 17, 160, 1, // Opcode: UQSHRNv2i32_shift
-/* 25634 */   MCD_OPC_FilterValue, 1, 183, 58, // Skip to: 40669
-/* 25638 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 25641 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25660
-/* 25645 */   MCD_OPC_CheckPredicate, 0, 172, 58, // Skip to: 40669
-/* 25649 */   MCD_OPC_CheckField, 19, 3, 0, 166, 58, // Skip to: 40669
-/* 25655 */   MCD_OPC_Decode, 240, 8, 145, 1, // Opcode: MVNIv2s_msl
-/* 25660 */   MCD_OPC_FilterValue, 1, 157, 58, // Skip to: 40669
-/* 25664 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25667 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 25692
-/* 25671 */   MCD_OPC_CheckPredicate, 0, 146, 58, // Skip to: 40669
-/* 25675 */   MCD_OPC_CheckField, 19, 2, 0, 140, 58, // Skip to: 40669
-/* 25681 */   MCD_OPC_CheckField, 12, 1, 0, 134, 58, // Skip to: 40669
-/* 25687 */   MCD_OPC_Decode, 200, 8, 145, 1, // Opcode: MOVID
-/* 25692 */   MCD_OPC_FilterValue, 1, 125, 58, // Skip to: 40669
-/* 25696 */   MCD_OPC_CheckPredicate, 0, 121, 58, // Skip to: 40669
-/* 25700 */   MCD_OPC_CheckField, 12, 1, 0, 115, 58, // Skip to: 40669
-/* 25706 */   MCD_OPC_Decode, 174, 16, 148, 1, // Opcode: UCVTFv2i32_shift
-/* 25711 */   MCD_OPC_FilterValue, 3, 106, 58, // Skip to: 40669
-/* 25715 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 25718 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 25777
-/* 25722 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25725 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 25764
-/* 25729 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25732 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25751
-/* 25736 */   MCD_OPC_CheckPredicate, 0, 81, 58, // Skip to: 40669
-/* 25740 */   MCD_OPC_CheckField, 19, 1, 1, 75, 58, // Skip to: 40669
-/* 25746 */   MCD_OPC_Decode, 140, 12, 156, 1, // Opcode: SQRSHRUNv8i8_shift
-/* 25751 */   MCD_OPC_FilterValue, 1, 66, 58, // Skip to: 40669
-/* 25755 */   MCD_OPC_CheckPredicate, 0, 62, 58, // Skip to: 40669
-/* 25759 */   MCD_OPC_Decode, 137, 12, 158, 1, // Opcode: SQRSHRUNv4i16_shift
-/* 25764 */   MCD_OPC_FilterValue, 1, 53, 58, // Skip to: 40669
-/* 25768 */   MCD_OPC_CheckPredicate, 0, 49, 58, // Skip to: 40669
-/* 25772 */   MCD_OPC_Decode, 136, 12, 160, 1, // Opcode: SQRSHRUNv2i32_shift
-/* 25777 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 25836
-/* 25781 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25784 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 25823
-/* 25788 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25791 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25810
-/* 25795 */   MCD_OPC_CheckPredicate, 0, 22, 58, // Skip to: 40669
-/* 25799 */   MCD_OPC_CheckField, 19, 1, 1, 16, 58, // Skip to: 40669
-/* 25805 */   MCD_OPC_Decode, 167, 17, 156, 1, // Opcode: UQRSHRNv8i8_shift
-/* 25810 */   MCD_OPC_FilterValue, 1, 7, 58, // Skip to: 40669
-/* 25814 */   MCD_OPC_CheckPredicate, 0, 3, 58, // Skip to: 40669
-/* 25818 */   MCD_OPC_Decode, 164, 17, 158, 1, // Opcode: UQRSHRNv4i16_shift
-/* 25823 */   MCD_OPC_FilterValue, 1, 250, 57, // Skip to: 40669
-/* 25827 */   MCD_OPC_CheckPredicate, 0, 246, 57, // Skip to: 40669
-/* 25831 */   MCD_OPC_Decode, 163, 17, 160, 1, // Opcode: UQRSHRNv2i32_shift
-/* 25836 */   MCD_OPC_FilterValue, 15, 237, 57, // Skip to: 40669
-/* 25840 */   MCD_OPC_CheckPredicate, 0, 233, 57, // Skip to: 40669
-/* 25844 */   MCD_OPC_CheckField, 21, 1, 1, 227, 57, // Skip to: 40669
-/* 25850 */   MCD_OPC_Decode, 149, 4, 148, 1, // Opcode: FCVTZUv2i32_shift
-/* 25855 */   MCD_OPC_FilterValue, 2, 66, 3, // Skip to: 26693
-/* 25859 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 25862 */   MCD_OPC_FilterValue, 1, 171, 2, // Skip to: 26549
-/* 25866 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 25869 */   MCD_OPC_FilterValue, 0, 91, 1, // Skip to: 26220
-/* 25873 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 25876 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 26009
-/* 25880 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 25883 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 25976
-/* 25887 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 25890 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 25943
-/* 25894 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 25897 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25910
-/* 25901 */   MCD_OPC_CheckPredicate, 0, 172, 57, // Skip to: 40669
-/* 25905 */   MCD_OPC_Decode, 206, 8, 145, 1, // Opcode: MOVIv4i32
-/* 25910 */   MCD_OPC_FilterValue, 1, 163, 57, // Skip to: 40669
-/* 25914 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25917 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25930
-/* 25921 */   MCD_OPC_CheckPredicate, 0, 152, 57, // Skip to: 40669
-/* 25925 */   MCD_OPC_Decode, 146, 13, 165, 1, // Opcode: SSHRv16i8_shift
-/* 25930 */   MCD_OPC_FilterValue, 1, 143, 57, // Skip to: 40669
-/* 25934 */   MCD_OPC_CheckPredicate, 0, 139, 57, // Skip to: 40669
-/* 25938 */   MCD_OPC_Decode, 244, 12, 165, 1, // Opcode: SRSHRv16i8_shift
-/* 25943 */   MCD_OPC_FilterValue, 1, 130, 57, // Skip to: 40669
-/* 25947 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25950 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25963
-/* 25954 */   MCD_OPC_CheckPredicate, 0, 119, 57, // Skip to: 40669
-/* 25958 */   MCD_OPC_Decode, 151, 13, 166, 1, // Opcode: SSHRv8i16_shift
-/* 25963 */   MCD_OPC_FilterValue, 1, 110, 57, // Skip to: 40669
-/* 25967 */   MCD_OPC_CheckPredicate, 0, 106, 57, // Skip to: 40669
-/* 25971 */   MCD_OPC_Decode, 249, 12, 166, 1, // Opcode: SRSHRv8i16_shift
-/* 25976 */   MCD_OPC_FilterValue, 1, 97, 57, // Skip to: 40669
-/* 25980 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 25983 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25996
-/* 25987 */   MCD_OPC_CheckPredicate, 0, 86, 57, // Skip to: 40669
-/* 25991 */   MCD_OPC_Decode, 150, 13, 167, 1, // Opcode: SSHRv4i32_shift
-/* 25996 */   MCD_OPC_FilterValue, 1, 77, 57, // Skip to: 40669
-/* 26000 */   MCD_OPC_CheckPredicate, 0, 73, 57, // Skip to: 40669
-/* 26004 */   MCD_OPC_Decode, 248, 12, 167, 1, // Opcode: SRSHRv4i32_shift
-/* 26009 */   MCD_OPC_FilterValue, 1, 64, 57, // Skip to: 40669
-/* 26013 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26016 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 26161
-/* 26020 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26023 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 26102
-/* 26027 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 26030 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26043
-/* 26034 */   MCD_OPC_CheckPredicate, 0, 39, 57, // Skip to: 40669
-/* 26038 */   MCD_OPC_Decode, 142, 9, 149, 1, // Opcode: ORRv4i32
-/* 26043 */   MCD_OPC_FilterValue, 1, 30, 57, // Skip to: 40669
-/* 26047 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26050 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26063
-/* 26054 */   MCD_OPC_CheckPredicate, 0, 19, 57, // Skip to: 40669
-/* 26058 */   MCD_OPC_Decode, 154, 13, 168, 1, // Opcode: SSRAv16i8_shift
-/* 26063 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26076
-/* 26067 */   MCD_OPC_CheckPredicate, 0, 6, 57, // Skip to: 40669
-/* 26071 */   MCD_OPC_Decode, 252, 12, 168, 1, // Opcode: SRSRAv16i8_shift
-/* 26076 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26089
-/* 26080 */   MCD_OPC_CheckPredicate, 0, 249, 56, // Skip to: 40669
-/* 26084 */   MCD_OPC_Decode, 175, 10, 169, 1, // Opcode: SHLv16i8_shift
-/* 26089 */   MCD_OPC_FilterValue, 3, 240, 56, // Skip to: 40669
-/* 26093 */   MCD_OPC_CheckPredicate, 0, 236, 56, // Skip to: 40669
-/* 26097 */   MCD_OPC_Decode, 157, 12, 169, 1, // Opcode: SQSHLv16i8_shift
-/* 26102 */   MCD_OPC_FilterValue, 1, 227, 56, // Skip to: 40669
-/* 26106 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26109 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26122
-/* 26113 */   MCD_OPC_CheckPredicate, 0, 216, 56, // Skip to: 40669
-/* 26117 */   MCD_OPC_Decode, 159, 13, 170, 1, // Opcode: SSRAv8i16_shift
-/* 26122 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26135
-/* 26126 */   MCD_OPC_CheckPredicate, 0, 203, 56, // Skip to: 40669
-/* 26130 */   MCD_OPC_Decode, 129, 13, 170, 1, // Opcode: SRSRAv8i16_shift
-/* 26135 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26148
-/* 26139 */   MCD_OPC_CheckPredicate, 0, 190, 56, // Skip to: 40669
-/* 26143 */   MCD_OPC_Decode, 180, 10, 171, 1, // Opcode: SHLv8i16_shift
-/* 26148 */   MCD_OPC_FilterValue, 3, 181, 56, // Skip to: 40669
-/* 26152 */   MCD_OPC_CheckPredicate, 0, 177, 56, // Skip to: 40669
-/* 26156 */   MCD_OPC_Decode, 171, 12, 171, 1, // Opcode: SQSHLv8i16_shift
-/* 26161 */   MCD_OPC_FilterValue, 1, 168, 56, // Skip to: 40669
-/* 26165 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26168 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26181
-/* 26172 */   MCD_OPC_CheckPredicate, 0, 157, 56, // Skip to: 40669
-/* 26176 */   MCD_OPC_Decode, 158, 13, 172, 1, // Opcode: SSRAv4i32_shift
-/* 26181 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26194
-/* 26185 */   MCD_OPC_CheckPredicate, 0, 144, 56, // Skip to: 40669
-/* 26189 */   MCD_OPC_Decode, 128, 13, 172, 1, // Opcode: SRSRAv4i32_shift
-/* 26194 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26207
-/* 26198 */   MCD_OPC_CheckPredicate, 0, 131, 56, // Skip to: 40669
-/* 26202 */   MCD_OPC_Decode, 179, 10, 173, 1, // Opcode: SHLv4i32_shift
-/* 26207 */   MCD_OPC_FilterValue, 3, 122, 56, // Skip to: 40669
-/* 26211 */   MCD_OPC_CheckPredicate, 0, 118, 56, // Skip to: 40669
-/* 26215 */   MCD_OPC_Decode, 169, 12, 173, 1, // Opcode: SQSHLv4i32_shift
-/* 26220 */   MCD_OPC_FilterValue, 1, 109, 56, // Skip to: 40669
-/* 26224 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
-/* 26227 */   MCD_OPC_FilterValue, 0, 227, 0, // Skip to: 26458
-/* 26231 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 26234 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 26367
-/* 26238 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26241 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 26334
-/* 26245 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26248 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 26301
-/* 26252 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 26255 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26268
-/* 26259 */   MCD_OPC_CheckPredicate, 0, 70, 56, // Skip to: 40669
-/* 26263 */   MCD_OPC_Decode, 209, 8, 145, 1, // Opcode: MOVIv8i16
-/* 26268 */   MCD_OPC_FilterValue, 1, 61, 56, // Skip to: 40669
-/* 26272 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 26275 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26288
-/* 26279 */   MCD_OPC_CheckPredicate, 0, 50, 56, // Skip to: 40669
-/* 26283 */   MCD_OPC_Decode, 182, 10, 174, 1, // Opcode: SHRNv16i8_shift
-/* 26288 */   MCD_OPC_FilterValue, 1, 41, 56, // Skip to: 40669
-/* 26292 */   MCD_OPC_CheckPredicate, 0, 37, 56, // Skip to: 40669
-/* 26296 */   MCD_OPC_Decode, 131, 13, 169, 1, // Opcode: SSHLLv16i8_shift
-/* 26301 */   MCD_OPC_FilterValue, 1, 28, 56, // Skip to: 40669
-/* 26305 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 26308 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26321
-/* 26312 */   MCD_OPC_CheckPredicate, 0, 17, 56, // Skip to: 40669
-/* 26316 */   MCD_OPC_Decode, 186, 10, 175, 1, // Opcode: SHRNv8i16_shift
-/* 26321 */   MCD_OPC_FilterValue, 1, 8, 56, // Skip to: 40669
-/* 26325 */   MCD_OPC_CheckPredicate, 0, 4, 56, // Skip to: 40669
-/* 26329 */   MCD_OPC_Decode, 135, 13, 171, 1, // Opcode: SSHLLv8i16_shift
-/* 26334 */   MCD_OPC_FilterValue, 1, 251, 55, // Skip to: 40669
-/* 26338 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 26341 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26354
-/* 26345 */   MCD_OPC_CheckPredicate, 0, 240, 55, // Skip to: 40669
-/* 26349 */   MCD_OPC_Decode, 185, 10, 176, 1, // Opcode: SHRNv4i32_shift
-/* 26354 */   MCD_OPC_FilterValue, 1, 231, 55, // Skip to: 40669
-/* 26358 */   MCD_OPC_CheckPredicate, 0, 227, 55, // Skip to: 40669
-/* 26362 */   MCD_OPC_Decode, 134, 13, 173, 1, // Opcode: SSHLLv4i32_shift
-/* 26367 */   MCD_OPC_FilterValue, 1, 218, 55, // Skip to: 40669
-/* 26371 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26374 */   MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 26439
-/* 26378 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26381 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26420
-/* 26385 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 26388 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26401
-/* 26392 */   MCD_OPC_CheckPredicate, 0, 193, 55, // Skip to: 40669
-/* 26396 */   MCD_OPC_Decode, 143, 9, 149, 1, // Opcode: ORRv8i16
-/* 26401 */   MCD_OPC_FilterValue, 1, 184, 55, // Skip to: 40669
-/* 26405 */   MCD_OPC_CheckPredicate, 0, 180, 55, // Skip to: 40669
-/* 26409 */   MCD_OPC_CheckField, 13, 1, 0, 174, 55, // Skip to: 40669
-/* 26415 */   MCD_OPC_Decode, 177, 12, 174, 1, // Opcode: SQSHRNv16i8_shift
-/* 26420 */   MCD_OPC_FilterValue, 1, 165, 55, // Skip to: 40669
-/* 26424 */   MCD_OPC_CheckPredicate, 0, 161, 55, // Skip to: 40669
-/* 26428 */   MCD_OPC_CheckField, 13, 1, 0, 155, 55, // Skip to: 40669
-/* 26434 */   MCD_OPC_Decode, 181, 12, 175, 1, // Opcode: SQSHRNv8i16_shift
-/* 26439 */   MCD_OPC_FilterValue, 1, 146, 55, // Skip to: 40669
-/* 26443 */   MCD_OPC_CheckPredicate, 0, 142, 55, // Skip to: 40669
-/* 26447 */   MCD_OPC_CheckField, 13, 1, 0, 136, 55, // Skip to: 40669
-/* 26453 */   MCD_OPC_Decode, 180, 12, 176, 1, // Opcode: SQSHRNv4i32_shift
-/* 26458 */   MCD_OPC_FilterValue, 1, 127, 55, // Skip to: 40669
-/* 26462 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 26465 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26484
-/* 26469 */   MCD_OPC_CheckPredicate, 0, 116, 55, // Skip to: 40669
-/* 26473 */   MCD_OPC_CheckField, 19, 3, 0, 110, 55, // Skip to: 40669
-/* 26479 */   MCD_OPC_Decode, 207, 8, 145, 1, // Opcode: MOVIv4s_msl
-/* 26484 */   MCD_OPC_FilterValue, 1, 101, 55, // Skip to: 40669
-/* 26488 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 26491 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26530
-/* 26495 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26498 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26517
-/* 26502 */   MCD_OPC_CheckPredicate, 0, 83, 55, // Skip to: 40669
-/* 26506 */   MCD_OPC_CheckField, 19, 2, 0, 77, 55, // Skip to: 40669
-/* 26512 */   MCD_OPC_Decode, 201, 8, 145, 1, // Opcode: MOVIv16b_ns
-/* 26517 */   MCD_OPC_FilterValue, 1, 68, 55, // Skip to: 40669
-/* 26521 */   MCD_OPC_CheckPredicate, 0, 64, 55, // Skip to: 40669
-/* 26525 */   MCD_OPC_Decode, 147, 10, 167, 1, // Opcode: SCVTFv4i32_shift
-/* 26530 */   MCD_OPC_FilterValue, 1, 55, 55, // Skip to: 40669
-/* 26534 */   MCD_OPC_CheckPredicate, 0, 51, 55, // Skip to: 40669
-/* 26538 */   MCD_OPC_CheckField, 19, 3, 0, 45, 55, // Skip to: 40669
-/* 26544 */   MCD_OPC_Decode, 232, 4, 145, 1, // Opcode: FMOVv4f32_ns
-/* 26549 */   MCD_OPC_FilterValue, 3, 36, 55, // Skip to: 40669
-/* 26553 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 26556 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 26615
-/* 26560 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26563 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26602
-/* 26567 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26570 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26589
-/* 26574 */   MCD_OPC_CheckPredicate, 0, 11, 55, // Skip to: 40669
-/* 26578 */   MCD_OPC_CheckField, 19, 1, 1, 5, 55, // Skip to: 40669
-/* 26584 */   MCD_OPC_Decode, 187, 9, 174, 1, // Opcode: RSHRNv16i8_shift
-/* 26589 */   MCD_OPC_FilterValue, 1, 252, 54, // Skip to: 40669
-/* 26593 */   MCD_OPC_CheckPredicate, 0, 248, 54, // Skip to: 40669
-/* 26597 */   MCD_OPC_Decode, 191, 9, 175, 1, // Opcode: RSHRNv8i16_shift
-/* 26602 */   MCD_OPC_FilterValue, 1, 239, 54, // Skip to: 40669
-/* 26606 */   MCD_OPC_CheckPredicate, 0, 235, 54, // Skip to: 40669
-/* 26610 */   MCD_OPC_Decode, 190, 9, 176, 1, // Opcode: RSHRNv4i32_shift
-/* 26615 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 26674
-/* 26619 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26622 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26661
-/* 26626 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26629 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26648
-/* 26633 */   MCD_OPC_CheckPredicate, 0, 208, 54, // Skip to: 40669
-/* 26637 */   MCD_OPC_CheckField, 19, 1, 1, 202, 54, // Skip to: 40669
-/* 26643 */   MCD_OPC_Decode, 254, 11, 174, 1, // Opcode: SQRSHRNv16i8_shift
-/* 26648 */   MCD_OPC_FilterValue, 1, 193, 54, // Skip to: 40669
-/* 26652 */   MCD_OPC_CheckPredicate, 0, 189, 54, // Skip to: 40669
-/* 26656 */   MCD_OPC_Decode, 130, 12, 175, 1, // Opcode: SQRSHRNv8i16_shift
-/* 26661 */   MCD_OPC_FilterValue, 1, 180, 54, // Skip to: 40669
-/* 26665 */   MCD_OPC_CheckPredicate, 0, 176, 54, // Skip to: 40669
-/* 26669 */   MCD_OPC_Decode, 129, 12, 176, 1, // Opcode: SQRSHRNv4i32_shift
-/* 26674 */   MCD_OPC_FilterValue, 15, 167, 54, // Skip to: 40669
-/* 26678 */   MCD_OPC_CheckPredicate, 0, 163, 54, // Skip to: 40669
-/* 26682 */   MCD_OPC_CheckField, 21, 1, 1, 157, 54, // Skip to: 40669
-/* 26688 */   MCD_OPC_Decode, 251, 3, 167, 1, // Opcode: FCVTZSv4i32_shift
-/* 26693 */   MCD_OPC_FilterValue, 3, 148, 54, // Skip to: 40669
-/* 26697 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 26700 */   MCD_OPC_FilterValue, 1, 247, 2, // Skip to: 27463
-/* 26704 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 26707 */   MCD_OPC_FilterValue, 0, 168, 1, // Skip to: 27135
-/* 26711 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 26714 */   MCD_OPC_FilterValue, 0, 207, 0, // Skip to: 26925
-/* 26718 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26721 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 26866
-/* 26725 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26728 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 26807
-/* 26732 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 26735 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26748
-/* 26739 */   MCD_OPC_CheckPredicate, 0, 102, 54, // Skip to: 40669
-/* 26743 */   MCD_OPC_Decode, 242, 8, 145, 1, // Opcode: MVNIv4i32
-/* 26748 */   MCD_OPC_FilterValue, 1, 93, 54, // Skip to: 40669
-/* 26752 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26755 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26768
-/* 26759 */   MCD_OPC_CheckPredicate, 0, 82, 54, // Skip to: 40669
-/* 26763 */   MCD_OPC_Decode, 140, 18, 165, 1, // Opcode: USHRv16i8_shift
-/* 26768 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26781
-/* 26772 */   MCD_OPC_CheckPredicate, 0, 69, 54, // Skip to: 40669
-/* 26776 */   MCD_OPC_Decode, 236, 17, 165, 1, // Opcode: URSHRv16i8_shift
-/* 26781 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26794
-/* 26785 */   MCD_OPC_CheckPredicate, 0, 56, 54, // Skip to: 40669
-/* 26789 */   MCD_OPC_Decode, 228, 12, 168, 1, // Opcode: SRIv16i8_shift
-/* 26794 */   MCD_OPC_FilterValue, 3, 47, 54, // Skip to: 40669
-/* 26798 */   MCD_OPC_CheckPredicate, 0, 43, 54, // Skip to: 40669
-/* 26802 */   MCD_OPC_Decode, 145, 12, 169, 1, // Opcode: SQSHLUv16i8_shift
-/* 26807 */   MCD_OPC_FilterValue, 1, 34, 54, // Skip to: 40669
-/* 26811 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26814 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26827
-/* 26818 */   MCD_OPC_CheckPredicate, 0, 23, 54, // Skip to: 40669
-/* 26822 */   MCD_OPC_Decode, 145, 18, 166, 1, // Opcode: USHRv8i16_shift
-/* 26827 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26840
-/* 26831 */   MCD_OPC_CheckPredicate, 0, 10, 54, // Skip to: 40669
-/* 26835 */   MCD_OPC_Decode, 241, 17, 166, 1, // Opcode: URSHRv8i16_shift
-/* 26840 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26853
-/* 26844 */   MCD_OPC_CheckPredicate, 0, 253, 53, // Skip to: 40669
-/* 26848 */   MCD_OPC_Decode, 233, 12, 170, 1, // Opcode: SRIv8i16_shift
-/* 26853 */   MCD_OPC_FilterValue, 3, 244, 53, // Skip to: 40669
-/* 26857 */   MCD_OPC_CheckPredicate, 0, 240, 53, // Skip to: 40669
-/* 26861 */   MCD_OPC_Decode, 150, 12, 171, 1, // Opcode: SQSHLUv8i16_shift
-/* 26866 */   MCD_OPC_FilterValue, 1, 231, 53, // Skip to: 40669
-/* 26870 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26873 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26886
-/* 26877 */   MCD_OPC_CheckPredicate, 0, 220, 53, // Skip to: 40669
-/* 26881 */   MCD_OPC_Decode, 144, 18, 167, 1, // Opcode: USHRv4i32_shift
-/* 26886 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26899
-/* 26890 */   MCD_OPC_CheckPredicate, 0, 207, 53, // Skip to: 40669
-/* 26894 */   MCD_OPC_Decode, 240, 17, 167, 1, // Opcode: URSHRv4i32_shift
-/* 26899 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26912
-/* 26903 */   MCD_OPC_CheckPredicate, 0, 194, 53, // Skip to: 40669
-/* 26907 */   MCD_OPC_Decode, 232, 12, 172, 1, // Opcode: SRIv4i32_shift
-/* 26912 */   MCD_OPC_FilterValue, 3, 185, 53, // Skip to: 40669
-/* 26916 */   MCD_OPC_CheckPredicate, 0, 181, 53, // Skip to: 40669
-/* 26920 */   MCD_OPC_Decode, 149, 12, 173, 1, // Opcode: SQSHLUv4i32_shift
-/* 26925 */   MCD_OPC_FilterValue, 1, 172, 53, // Skip to: 40669
-/* 26929 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 26932 */   MCD_OPC_FilterValue, 0, 140, 0, // Skip to: 27076
-/* 26936 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 26939 */   MCD_OPC_FilterValue, 0, 74, 0, // Skip to: 27017
-/* 26943 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 26946 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 26958
-/* 26950 */   MCD_OPC_CheckPredicate, 0, 147, 53, // Skip to: 40669
-/* 26954 */   MCD_OPC_Decode, 115, 149, 1, // Opcode: BICv4i32
-/* 26958 */   MCD_OPC_FilterValue, 1, 139, 53, // Skip to: 40669
-/* 26962 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 26965 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26978
-/* 26969 */   MCD_OPC_CheckPredicate, 0, 128, 53, // Skip to: 40669
-/* 26973 */   MCD_OPC_Decode, 159, 18, 168, 1, // Opcode: USRAv16i8_shift
-/* 26978 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26991
-/* 26982 */   MCD_OPC_CheckPredicate, 0, 115, 53, // Skip to: 40669
-/* 26986 */   MCD_OPC_Decode, 246, 17, 168, 1, // Opcode: URSRAv16i8_shift
-/* 26991 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27004
-/* 26995 */   MCD_OPC_CheckPredicate, 0, 102, 53, // Skip to: 40669
-/* 26999 */   MCD_OPC_Decode, 195, 10, 177, 1, // Opcode: SLIv16i8_shift
-/* 27004 */   MCD_OPC_FilterValue, 3, 93, 53, // Skip to: 40669
-/* 27008 */   MCD_OPC_CheckPredicate, 0, 89, 53, // Skip to: 40669
-/* 27012 */   MCD_OPC_Decode, 173, 17, 169, 1, // Opcode: UQSHLv16i8_shift
-/* 27017 */   MCD_OPC_FilterValue, 1, 80, 53, // Skip to: 40669
-/* 27021 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 27024 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27037
-/* 27028 */   MCD_OPC_CheckPredicate, 0, 69, 53, // Skip to: 40669
-/* 27032 */   MCD_OPC_Decode, 164, 18, 170, 1, // Opcode: USRAv8i16_shift
-/* 27037 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27050
-/* 27041 */   MCD_OPC_CheckPredicate, 0, 56, 53, // Skip to: 40669
-/* 27045 */   MCD_OPC_Decode, 251, 17, 170, 1, // Opcode: URSRAv8i16_shift
-/* 27050 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27063
-/* 27054 */   MCD_OPC_CheckPredicate, 0, 43, 53, // Skip to: 40669
-/* 27058 */   MCD_OPC_Decode, 200, 10, 178, 1, // Opcode: SLIv8i16_shift
-/* 27063 */   MCD_OPC_FilterValue, 3, 34, 53, // Skip to: 40669
-/* 27067 */   MCD_OPC_CheckPredicate, 0, 30, 53, // Skip to: 40669
-/* 27071 */   MCD_OPC_Decode, 187, 17, 171, 1, // Opcode: UQSHLv8i16_shift
-/* 27076 */   MCD_OPC_FilterValue, 1, 21, 53, // Skip to: 40669
-/* 27080 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 27083 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27096
-/* 27087 */   MCD_OPC_CheckPredicate, 0, 10, 53, // Skip to: 40669
-/* 27091 */   MCD_OPC_Decode, 163, 18, 172, 1, // Opcode: USRAv4i32_shift
-/* 27096 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27109
-/* 27100 */   MCD_OPC_CheckPredicate, 0, 253, 52, // Skip to: 40669
-/* 27104 */   MCD_OPC_Decode, 250, 17, 172, 1, // Opcode: URSRAv4i32_shift
-/* 27109 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27122
-/* 27113 */   MCD_OPC_CheckPredicate, 0, 240, 52, // Skip to: 40669
-/* 27117 */   MCD_OPC_Decode, 199, 10, 179, 1, // Opcode: SLIv4i32_shift
-/* 27122 */   MCD_OPC_FilterValue, 3, 231, 52, // Skip to: 40669
-/* 27126 */   MCD_OPC_CheckPredicate, 0, 227, 52, // Skip to: 40669
-/* 27130 */   MCD_OPC_Decode, 185, 17, 173, 1, // Opcode: UQSHLv4i32_shift
-/* 27135 */   MCD_OPC_FilterValue, 1, 218, 52, // Skip to: 40669
-/* 27139 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
-/* 27142 */   MCD_OPC_FilterValue, 0, 226, 0, // Skip to: 27372
-/* 27146 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 27149 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 27282
-/* 27153 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 27156 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 27249
-/* 27160 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 27163 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 27216
-/* 27167 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 27170 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27183
-/* 27174 */   MCD_OPC_CheckPredicate, 0, 179, 52, // Skip to: 40669
-/* 27178 */   MCD_OPC_Decode, 244, 8, 145, 1, // Opcode: MVNIv8i16
-/* 27183 */   MCD_OPC_FilterValue, 1, 170, 52, // Skip to: 40669
-/* 27187 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 27190 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27203
-/* 27194 */   MCD_OPC_CheckPredicate, 0, 159, 52, // Skip to: 40669
-/* 27198 */   MCD_OPC_Decode, 186, 12, 174, 1, // Opcode: SQSHRUNv16i8_shift
-/* 27203 */   MCD_OPC_FilterValue, 1, 150, 52, // Skip to: 40669
-/* 27207 */   MCD_OPC_CheckPredicate, 0, 146, 52, // Skip to: 40669
-/* 27211 */   MCD_OPC_Decode, 253, 17, 169, 1, // Opcode: USHLLv16i8_shift
-/* 27216 */   MCD_OPC_FilterValue, 1, 137, 52, // Skip to: 40669
-/* 27220 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 27223 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27236
-/* 27227 */   MCD_OPC_CheckPredicate, 0, 126, 52, // Skip to: 40669
-/* 27231 */   MCD_OPC_Decode, 190, 12, 175, 1, // Opcode: SQSHRUNv8i16_shift
-/* 27236 */   MCD_OPC_FilterValue, 1, 117, 52, // Skip to: 40669
-/* 27240 */   MCD_OPC_CheckPredicate, 0, 113, 52, // Skip to: 40669
-/* 27244 */   MCD_OPC_Decode, 129, 18, 171, 1, // Opcode: USHLLv8i16_shift
-/* 27249 */   MCD_OPC_FilterValue, 1, 104, 52, // Skip to: 40669
-/* 27253 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 27256 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27269
-/* 27260 */   MCD_OPC_CheckPredicate, 0, 93, 52, // Skip to: 40669
-/* 27264 */   MCD_OPC_Decode, 189, 12, 176, 1, // Opcode: SQSHRUNv4i32_shift
-/* 27269 */   MCD_OPC_FilterValue, 1, 84, 52, // Skip to: 40669
-/* 27273 */   MCD_OPC_CheckPredicate, 0, 80, 52, // Skip to: 40669
-/* 27277 */   MCD_OPC_Decode, 128, 18, 173, 1, // Opcode: USHLLv4i32_shift
-/* 27282 */   MCD_OPC_FilterValue, 1, 71, 52, // Skip to: 40669
-/* 27286 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 27289 */   MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 27353
-/* 27293 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 27296 */   MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 27334
-/* 27300 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 27303 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 27315
-/* 27307 */   MCD_OPC_CheckPredicate, 0, 46, 52, // Skip to: 40669
-/* 27311 */   MCD_OPC_Decode, 116, 149, 1, // Opcode: BICv8i16
-/* 27315 */   MCD_OPC_FilterValue, 1, 38, 52, // Skip to: 40669
-/* 27319 */   MCD_OPC_CheckPredicate, 0, 34, 52, // Skip to: 40669
-/* 27323 */   MCD_OPC_CheckField, 13, 1, 0, 28, 52, // Skip to: 40669
-/* 27329 */   MCD_OPC_Decode, 193, 17, 174, 1, // Opcode: UQSHRNv16i8_shift
-/* 27334 */   MCD_OPC_FilterValue, 1, 19, 52, // Skip to: 40669
-/* 27338 */   MCD_OPC_CheckPredicate, 0, 15, 52, // Skip to: 40669
-/* 27342 */   MCD_OPC_CheckField, 13, 1, 0, 9, 52, // Skip to: 40669
-/* 27348 */   MCD_OPC_Decode, 197, 17, 175, 1, // Opcode: UQSHRNv8i16_shift
-/* 27353 */   MCD_OPC_FilterValue, 1, 0, 52, // Skip to: 40669
-/* 27357 */   MCD_OPC_CheckPredicate, 0, 252, 51, // Skip to: 40669
-/* 27361 */   MCD_OPC_CheckField, 13, 1, 0, 246, 51, // Skip to: 40669
-/* 27367 */   MCD_OPC_Decode, 196, 17, 176, 1, // Opcode: UQSHRNv4i32_shift
-/* 27372 */   MCD_OPC_FilterValue, 1, 237, 51, // Skip to: 40669
-/* 27376 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 27379 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27398
-/* 27383 */   MCD_OPC_CheckPredicate, 0, 226, 51, // Skip to: 40669
-/* 27387 */   MCD_OPC_CheckField, 19, 3, 0, 220, 51, // Skip to: 40669
-/* 27393 */   MCD_OPC_Decode, 243, 8, 145, 1, // Opcode: MVNIv4s_msl
-/* 27398 */   MCD_OPC_FilterValue, 1, 211, 51, // Skip to: 40669
-/* 27402 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 27405 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27444
-/* 27409 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 27412 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27431
-/* 27416 */   MCD_OPC_CheckPredicate, 0, 193, 51, // Skip to: 40669
-/* 27420 */   MCD_OPC_CheckField, 19, 2, 0, 187, 51, // Skip to: 40669
-/* 27426 */   MCD_OPC_Decode, 202, 8, 145, 1, // Opcode: MOVIv2d_ns
-/* 27431 */   MCD_OPC_FilterValue, 1, 178, 51, // Skip to: 40669
-/* 27435 */   MCD_OPC_CheckPredicate, 0, 174, 51, // Skip to: 40669
-/* 27439 */   MCD_OPC_Decode, 177, 16, 167, 1, // Opcode: UCVTFv4i32_shift
-/* 27444 */   MCD_OPC_FilterValue, 1, 165, 51, // Skip to: 40669
-/* 27448 */   MCD_OPC_CheckPredicate, 0, 161, 51, // Skip to: 40669
-/* 27452 */   MCD_OPC_CheckField, 19, 3, 0, 155, 51, // Skip to: 40669
-/* 27458 */   MCD_OPC_Decode, 231, 4, 145, 1, // Opcode: FMOVv2f64_ns
-/* 27463 */   MCD_OPC_FilterValue, 3, 146, 51, // Skip to: 40669
-/* 27467 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 27470 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 27529
-/* 27474 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 27477 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27516
-/* 27481 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 27484 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27503
-/* 27488 */   MCD_OPC_CheckPredicate, 0, 121, 51, // Skip to: 40669
-/* 27492 */   MCD_OPC_CheckField, 19, 1, 1, 115, 51, // Skip to: 40669
-/* 27498 */   MCD_OPC_Decode, 135, 12, 174, 1, // Opcode: SQRSHRUNv16i8_shift
-/* 27503 */   MCD_OPC_FilterValue, 1, 106, 51, // Skip to: 40669
-/* 27507 */   MCD_OPC_CheckPredicate, 0, 102, 51, // Skip to: 40669
-/* 27511 */   MCD_OPC_Decode, 139, 12, 175, 1, // Opcode: SQRSHRUNv8i16_shift
-/* 27516 */   MCD_OPC_FilterValue, 1, 93, 51, // Skip to: 40669
-/* 27520 */   MCD_OPC_CheckPredicate, 0, 89, 51, // Skip to: 40669
-/* 27524 */   MCD_OPC_Decode, 138, 12, 176, 1, // Opcode: SQRSHRUNv4i32_shift
-/* 27529 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 27588
-/* 27533 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 27536 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27575
-/* 27540 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 27543 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27562
-/* 27547 */   MCD_OPC_CheckPredicate, 0, 62, 51, // Skip to: 40669
-/* 27551 */   MCD_OPC_CheckField, 19, 1, 1, 56, 51, // Skip to: 40669
-/* 27557 */   MCD_OPC_Decode, 162, 17, 174, 1, // Opcode: UQRSHRNv16i8_shift
-/* 27562 */   MCD_OPC_FilterValue, 1, 47, 51, // Skip to: 40669
-/* 27566 */   MCD_OPC_CheckPredicate, 0, 43, 51, // Skip to: 40669
-/* 27570 */   MCD_OPC_Decode, 166, 17, 175, 1, // Opcode: UQRSHRNv8i16_shift
-/* 27575 */   MCD_OPC_FilterValue, 1, 34, 51, // Skip to: 40669
-/* 27579 */   MCD_OPC_CheckPredicate, 0, 30, 51, // Skip to: 40669
-/* 27583 */   MCD_OPC_Decode, 165, 17, 176, 1, // Opcode: UQRSHRNv4i32_shift
-/* 27588 */   MCD_OPC_FilterValue, 15, 21, 51, // Skip to: 40669
-/* 27592 */   MCD_OPC_CheckPredicate, 0, 17, 51, // Skip to: 40669
-/* 27596 */   MCD_OPC_CheckField, 21, 1, 1, 11, 51, // Skip to: 40669
-/* 27602 */   MCD_OPC_Decode, 152, 4, 167, 1, // Opcode: FCVTZUv4i32_shift
-/* 27607 */   MCD_OPC_FilterValue, 13, 221, 3, // Skip to: 28600
-/* 27611 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 27614 */   MCD_OPC_FilterValue, 0, 80, 0, // Skip to: 27698
-/* 27618 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 27621 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 27640
-/* 27625 */   MCD_OPC_CheckPredicate, 0, 240, 50, // Skip to: 40669
-/* 27629 */   MCD_OPC_CheckField, 10, 1, 0, 234, 50, // Skip to: 40669
-/* 27635 */   MCD_OPC_Decode, 184, 8, 180, 1, // Opcode: MLAv4i16_indexed
-/* 27640 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 27659
-/* 27644 */   MCD_OPC_CheckPredicate, 0, 221, 50, // Skip to: 40669
-/* 27648 */   MCD_OPC_CheckField, 10, 2, 1, 215, 50, // Skip to: 40669
-/* 27654 */   MCD_OPC_Decode, 148, 13, 181, 1, // Opcode: SSHRv2i64_shift
-/* 27659 */   MCD_OPC_FilterValue, 3, 206, 50, // Skip to: 40669
-/* 27663 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 27666 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27679
-/* 27670 */   MCD_OPC_CheckPredicate, 0, 195, 50, // Skip to: 40669
-/* 27674 */   MCD_OPC_Decode, 188, 8, 182, 1, // Opcode: MLAv8i16_indexed
-/* 27679 */   MCD_OPC_FilterValue, 1, 186, 50, // Skip to: 40669
-/* 27683 */   MCD_OPC_CheckPredicate, 0, 182, 50, // Skip to: 40669
-/* 27687 */   MCD_OPC_CheckField, 11, 1, 0, 176, 50, // Skip to: 40669
-/* 27693 */   MCD_OPC_Decode, 142, 18, 181, 1, // Opcode: USHRv2i64_shift
-/* 27698 */   MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 27743
-/* 27702 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 27705 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 27724
-/* 27709 */   MCD_OPC_CheckPredicate, 0, 156, 50, // Skip to: 40669
-/* 27713 */   MCD_OPC_CheckField, 10, 2, 1, 150, 50, // Skip to: 40669
-/* 27719 */   MCD_OPC_Decode, 156, 13, 183, 1, // Opcode: SSRAv2i64_shift
-/* 27724 */   MCD_OPC_FilterValue, 3, 141, 50, // Skip to: 40669
-/* 27728 */   MCD_OPC_CheckPredicate, 0, 137, 50, // Skip to: 40669
-/* 27732 */   MCD_OPC_CheckField, 10, 2, 1, 131, 50, // Skip to: 40669
-/* 27738 */   MCD_OPC_Decode, 161, 18, 183, 1, // Opcode: USRAv2i64_shift
-/* 27743 */   MCD_OPC_FilterValue, 2, 119, 0, // Skip to: 27866
-/* 27747 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 27750 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27769
-/* 27754 */   MCD_OPC_CheckPredicate, 0, 111, 50, // Skip to: 40669
-/* 27758 */   MCD_OPC_CheckField, 10, 1, 0, 105, 50, // Skip to: 40669
-/* 27764 */   MCD_OPC_Decode, 241, 10, 184, 1, // Opcode: SMLALv4i16_indexed
-/* 27769 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 27788
-/* 27773 */   MCD_OPC_CheckPredicate, 0, 92, 50, // Skip to: 40669
-/* 27777 */   MCD_OPC_CheckField, 10, 1, 0, 86, 50, // Skip to: 40669
-/* 27783 */   MCD_OPC_Decode, 232, 16, 184, 1, // Opcode: UMLALv4i16_indexed
-/* 27788 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 27827
-/* 27792 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 27795 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27808
-/* 27799 */   MCD_OPC_CheckPredicate, 0, 66, 50, // Skip to: 40669
-/* 27803 */   MCD_OPC_Decode, 245, 10, 182, 1, // Opcode: SMLALv8i16_indexed
-/* 27808 */   MCD_OPC_FilterValue, 1, 57, 50, // Skip to: 40669
-/* 27812 */   MCD_OPC_CheckPredicate, 0, 53, 50, // Skip to: 40669
-/* 27816 */   MCD_OPC_CheckField, 11, 1, 0, 47, 50, // Skip to: 40669
-/* 27822 */   MCD_OPC_Decode, 246, 12, 181, 1, // Opcode: SRSHRv2i64_shift
-/* 27827 */   MCD_OPC_FilterValue, 3, 38, 50, // Skip to: 40669
-/* 27831 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 27834 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27847
-/* 27838 */   MCD_OPC_CheckPredicate, 0, 27, 50, // Skip to: 40669
-/* 27842 */   MCD_OPC_Decode, 236, 16, 182, 1, // Opcode: UMLALv8i16_indexed
-/* 27847 */   MCD_OPC_FilterValue, 1, 18, 50, // Skip to: 40669
-/* 27851 */   MCD_OPC_CheckPredicate, 0, 14, 50, // Skip to: 40669
-/* 27855 */   MCD_OPC_CheckField, 11, 1, 0, 8, 50, // Skip to: 40669
-/* 27861 */   MCD_OPC_Decode, 238, 17, 181, 1, // Opcode: URSHRv2i64_shift
-/* 27866 */   MCD_OPC_FilterValue, 3, 80, 0, // Skip to: 27950
-/* 27870 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 27873 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27892
-/* 27877 */   MCD_OPC_CheckPredicate, 0, 244, 49, // Skip to: 40669
-/* 27881 */   MCD_OPC_CheckField, 10, 1, 0, 238, 49, // Skip to: 40669
-/* 27887 */   MCD_OPC_Decode, 175, 11, 184, 1, // Opcode: SQDMLALv4i16_indexed
-/* 27892 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 27931
-/* 27896 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 27899 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27912
-/* 27903 */   MCD_OPC_CheckPredicate, 0, 218, 49, // Skip to: 40669
-/* 27907 */   MCD_OPC_Decode, 179, 11, 182, 1, // Opcode: SQDMLALv8i16_indexed
-/* 27912 */   MCD_OPC_FilterValue, 1, 209, 49, // Skip to: 40669
-/* 27916 */   MCD_OPC_CheckPredicate, 0, 205, 49, // Skip to: 40669
-/* 27920 */   MCD_OPC_CheckField, 11, 1, 0, 199, 49, // Skip to: 40669
-/* 27926 */   MCD_OPC_Decode, 254, 12, 183, 1, // Opcode: SRSRAv2i64_shift
-/* 27931 */   MCD_OPC_FilterValue, 3, 190, 49, // Skip to: 40669
-/* 27935 */   MCD_OPC_CheckPredicate, 0, 186, 49, // Skip to: 40669
-/* 27939 */   MCD_OPC_CheckField, 10, 2, 1, 180, 49, // Skip to: 40669
-/* 27945 */   MCD_OPC_Decode, 248, 17, 183, 1, // Opcode: URSRAv2i64_shift
-/* 27950 */   MCD_OPC_FilterValue, 4, 61, 0, // Skip to: 28015
-/* 27954 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 27957 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 27990
-/* 27961 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 27964 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27977
-/* 27968 */   MCD_OPC_CheckPredicate, 0, 153, 49, // Skip to: 40669
-/* 27972 */   MCD_OPC_Decode, 194, 8, 180, 1, // Opcode: MLSv4i16_indexed
-/* 27977 */   MCD_OPC_FilterValue, 3, 144, 49, // Skip to: 40669
-/* 27981 */   MCD_OPC_CheckPredicate, 0, 140, 49, // Skip to: 40669
-/* 27985 */   MCD_OPC_Decode, 198, 8, 182, 1, // Opcode: MLSv8i16_indexed
-/* 27990 */   MCD_OPC_FilterValue, 1, 131, 49, // Skip to: 40669
-/* 27994 */   MCD_OPC_CheckPredicate, 0, 127, 49, // Skip to: 40669
-/* 27998 */   MCD_OPC_CheckField, 29, 3, 3, 121, 49, // Skip to: 40669
-/* 28004 */   MCD_OPC_CheckField, 11, 1, 0, 115, 49, // Skip to: 40669
-/* 28010 */   MCD_OPC_Decode, 230, 12, 183, 1, // Opcode: SRIv2i64_shift
-/* 28015 */   MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 28060
-/* 28019 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28022 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28041
-/* 28026 */   MCD_OPC_CheckPredicate, 0, 95, 49, // Skip to: 40669
-/* 28030 */   MCD_OPC_CheckField, 10, 2, 1, 89, 49, // Skip to: 40669
-/* 28036 */   MCD_OPC_Decode, 177, 10, 185, 1, // Opcode: SHLv2i64_shift
-/* 28041 */   MCD_OPC_FilterValue, 3, 80, 49, // Skip to: 40669
-/* 28045 */   MCD_OPC_CheckPredicate, 0, 76, 49, // Skip to: 40669
-/* 28049 */   MCD_OPC_CheckField, 10, 2, 1, 70, 49, // Skip to: 40669
-/* 28055 */   MCD_OPC_Decode, 197, 10, 186, 1, // Opcode: SLIv2i64_shift
-/* 28060 */   MCD_OPC_FilterValue, 6, 99, 0, // Skip to: 28163
-/* 28064 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28067 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28086
-/* 28071 */   MCD_OPC_CheckPredicate, 0, 50, 49, // Skip to: 40669
-/* 28075 */   MCD_OPC_CheckField, 10, 1, 0, 44, 49, // Skip to: 40669
-/* 28081 */   MCD_OPC_Decode, 251, 10, 184, 1, // Opcode: SMLSLv4i16_indexed
-/* 28086 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28105
-/* 28090 */   MCD_OPC_CheckPredicate, 0, 31, 49, // Skip to: 40669
-/* 28094 */   MCD_OPC_CheckField, 10, 1, 0, 25, 49, // Skip to: 40669
-/* 28100 */   MCD_OPC_Decode, 242, 16, 184, 1, // Opcode: UMLSLv4i16_indexed
-/* 28105 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28124
-/* 28109 */   MCD_OPC_CheckPredicate, 0, 12, 49, // Skip to: 40669
-/* 28113 */   MCD_OPC_CheckField, 10, 1, 0, 6, 49, // Skip to: 40669
-/* 28119 */   MCD_OPC_Decode, 255, 10, 182, 1, // Opcode: SMLSLv8i16_indexed
-/* 28124 */   MCD_OPC_FilterValue, 3, 253, 48, // Skip to: 40669
-/* 28128 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 28131 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 28144
-/* 28135 */   MCD_OPC_CheckPredicate, 0, 242, 48, // Skip to: 40669
-/* 28139 */   MCD_OPC_Decode, 246, 16, 182, 1, // Opcode: UMLSLv8i16_indexed
-/* 28144 */   MCD_OPC_FilterValue, 1, 233, 48, // Skip to: 40669
-/* 28148 */   MCD_OPC_CheckPredicate, 0, 229, 48, // Skip to: 40669
-/* 28152 */   MCD_OPC_CheckField, 11, 1, 0, 223, 48, // Skip to: 40669
-/* 28158 */   MCD_OPC_Decode, 147, 12, 185, 1, // Opcode: SQSHLUv2i64_shift
-/* 28163 */   MCD_OPC_FilterValue, 7, 80, 0, // Skip to: 28247
-/* 28167 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28170 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28189
-/* 28174 */   MCD_OPC_CheckPredicate, 0, 203, 48, // Skip to: 40669
-/* 28178 */   MCD_OPC_CheckField, 10, 1, 0, 197, 48, // Skip to: 40669
-/* 28184 */   MCD_OPC_Decode, 187, 11, 184, 1, // Opcode: SQDMLSLv4i16_indexed
-/* 28189 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 28228
-/* 28193 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 28196 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 28209
-/* 28200 */   MCD_OPC_CheckPredicate, 0, 177, 48, // Skip to: 40669
-/* 28204 */   MCD_OPC_Decode, 191, 11, 182, 1, // Opcode: SQDMLSLv8i16_indexed
-/* 28209 */   MCD_OPC_FilterValue, 1, 168, 48, // Skip to: 40669
-/* 28213 */   MCD_OPC_CheckPredicate, 0, 164, 48, // Skip to: 40669
-/* 28217 */   MCD_OPC_CheckField, 11, 1, 0, 158, 48, // Skip to: 40669
-/* 28223 */   MCD_OPC_Decode, 165, 12, 185, 1, // Opcode: SQSHLv2i64_shift
-/* 28228 */   MCD_OPC_FilterValue, 3, 149, 48, // Skip to: 40669
-/* 28232 */   MCD_OPC_CheckPredicate, 0, 145, 48, // Skip to: 40669
-/* 28236 */   MCD_OPC_CheckField, 10, 2, 1, 139, 48, // Skip to: 40669
-/* 28242 */   MCD_OPC_Decode, 181, 17, 185, 1, // Opcode: UQSHLv2i64_shift
-/* 28247 */   MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 28292
-/* 28251 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28254 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28273
-/* 28258 */   MCD_OPC_CheckPredicate, 0, 119, 48, // Skip to: 40669
-/* 28262 */   MCD_OPC_CheckField, 10, 1, 0, 113, 48, // Skip to: 40669
-/* 28268 */   MCD_OPC_Decode, 233, 8, 187, 1, // Opcode: MULv4i16_indexed
-/* 28273 */   MCD_OPC_FilterValue, 2, 104, 48, // Skip to: 40669
-/* 28277 */   MCD_OPC_CheckPredicate, 0, 100, 48, // Skip to: 40669
-/* 28281 */   MCD_OPC_CheckField, 10, 1, 0, 94, 48, // Skip to: 40669
-/* 28287 */   MCD_OPC_Decode, 237, 8, 188, 1, // Opcode: MULv8i16_indexed
-/* 28292 */   MCD_OPC_FilterValue, 10, 79, 0, // Skip to: 28375
-/* 28296 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28299 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28318
-/* 28303 */   MCD_OPC_CheckPredicate, 0, 74, 48, // Skip to: 40669
-/* 28307 */   MCD_OPC_CheckField, 10, 1, 0, 68, 48, // Skip to: 40669
-/* 28313 */   MCD_OPC_Decode, 140, 11, 189, 1, // Opcode: SMULLv4i16_indexed
-/* 28318 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28337
-/* 28322 */   MCD_OPC_CheckPredicate, 0, 55, 48, // Skip to: 40669
-/* 28326 */   MCD_OPC_CheckField, 10, 1, 0, 49, 48, // Skip to: 40669
-/* 28332 */   MCD_OPC_Decode, 130, 17, 189, 1, // Opcode: UMULLv4i16_indexed
-/* 28337 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28356
-/* 28341 */   MCD_OPC_CheckPredicate, 0, 36, 48, // Skip to: 40669
-/* 28345 */   MCD_OPC_CheckField, 10, 1, 0, 30, 48, // Skip to: 40669
-/* 28351 */   MCD_OPC_Decode, 144, 11, 188, 1, // Opcode: SMULLv8i16_indexed
-/* 28356 */   MCD_OPC_FilterValue, 3, 21, 48, // Skip to: 40669
-/* 28360 */   MCD_OPC_CheckPredicate, 0, 17, 48, // Skip to: 40669
-/* 28364 */   MCD_OPC_CheckField, 10, 1, 0, 11, 48, // Skip to: 40669
-/* 28370 */   MCD_OPC_Decode, 134, 17, 188, 1, // Opcode: UMULLv8i16_indexed
-/* 28375 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 28420
-/* 28379 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28382 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28401
-/* 28386 */   MCD_OPC_CheckPredicate, 0, 247, 47, // Skip to: 40669
-/* 28390 */   MCD_OPC_CheckField, 10, 1, 0, 241, 47, // Skip to: 40669
-/* 28396 */   MCD_OPC_Decode, 211, 11, 189, 1, // Opcode: SQDMULLv4i16_indexed
-/* 28401 */   MCD_OPC_FilterValue, 2, 232, 47, // Skip to: 40669
-/* 28405 */   MCD_OPC_CheckPredicate, 0, 228, 47, // Skip to: 40669
-/* 28409 */   MCD_OPC_CheckField, 10, 1, 0, 222, 47, // Skip to: 40669
-/* 28415 */   MCD_OPC_Decode, 215, 11, 188, 1, // Opcode: SQDMULLv8i16_indexed
-/* 28420 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 28465
-/* 28424 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28427 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28446
-/* 28431 */   MCD_OPC_CheckPredicate, 0, 202, 47, // Skip to: 40669
-/* 28435 */   MCD_OPC_CheckField, 10, 1, 0, 196, 47, // Skip to: 40669
-/* 28441 */   MCD_OPC_Decode, 200, 11, 187, 1, // Opcode: SQDMULHv4i16_indexed
-/* 28446 */   MCD_OPC_FilterValue, 2, 187, 47, // Skip to: 40669
-/* 28450 */   MCD_OPC_CheckPredicate, 0, 183, 47, // Skip to: 40669
-/* 28454 */   MCD_OPC_CheckField, 10, 1, 0, 177, 47, // Skip to: 40669
-/* 28460 */   MCD_OPC_Decode, 204, 11, 188, 1, // Opcode: SQDMULHv8i16_indexed
-/* 28465 */   MCD_OPC_FilterValue, 13, 41, 0, // Skip to: 28510
-/* 28469 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28472 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28491
-/* 28476 */   MCD_OPC_CheckPredicate, 0, 157, 47, // Skip to: 40669
-/* 28480 */   MCD_OPC_CheckField, 10, 1, 0, 151, 47, // Skip to: 40669
-/* 28486 */   MCD_OPC_Decode, 235, 11, 187, 1, // Opcode: SQRDMULHv4i16_indexed
-/* 28491 */   MCD_OPC_FilterValue, 2, 142, 47, // Skip to: 40669
-/* 28495 */   MCD_OPC_CheckPredicate, 0, 138, 47, // Skip to: 40669
-/* 28499 */   MCD_OPC_CheckField, 10, 1, 0, 132, 47, // Skip to: 40669
-/* 28505 */   MCD_OPC_Decode, 239, 11, 188, 1, // Opcode: SQRDMULHv8i16_indexed
-/* 28510 */   MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 28555
-/* 28514 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28517 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28536
-/* 28521 */   MCD_OPC_CheckPredicate, 0, 112, 47, // Skip to: 40669
-/* 28525 */   MCD_OPC_CheckField, 10, 2, 1, 106, 47, // Skip to: 40669
-/* 28531 */   MCD_OPC_Decode, 145, 10, 181, 1, // Opcode: SCVTFv2i64_shift
-/* 28536 */   MCD_OPC_FilterValue, 3, 97, 47, // Skip to: 40669
-/* 28540 */   MCD_OPC_CheckPredicate, 0, 93, 47, // Skip to: 40669
-/* 28544 */   MCD_OPC_CheckField, 10, 2, 1, 87, 47, // Skip to: 40669
-/* 28550 */   MCD_OPC_Decode, 175, 16, 181, 1, // Opcode: UCVTFv2i64_shift
-/* 28555 */   MCD_OPC_FilterValue, 15, 78, 47, // Skip to: 40669
-/* 28559 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28562 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28581
-/* 28566 */   MCD_OPC_CheckPredicate, 0, 67, 47, // Skip to: 40669
-/* 28570 */   MCD_OPC_CheckField, 10, 2, 3, 61, 47, // Skip to: 40669
-/* 28576 */   MCD_OPC_Decode, 249, 3, 181, 1, // Opcode: FCVTZSv2i64_shift
-/* 28581 */   MCD_OPC_FilterValue, 3, 52, 47, // Skip to: 40669
-/* 28585 */   MCD_OPC_CheckPredicate, 0, 48, 47, // Skip to: 40669
-/* 28589 */   MCD_OPC_CheckField, 10, 2, 3, 42, 47, // Skip to: 40669
-/* 28595 */   MCD_OPC_Decode, 150, 4, 181, 1, // Opcode: FCVTZUv2i64_shift
-/* 28600 */   MCD_OPC_FilterValue, 14, 17, 3, // Skip to: 29389
-/* 28604 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 28607 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 28652
-/* 28611 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28614 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28633
-/* 28618 */   MCD_OPC_CheckPredicate, 0, 15, 47, // Skip to: 40669
-/* 28622 */   MCD_OPC_CheckField, 10, 1, 0, 9, 47, // Skip to: 40669
-/* 28628 */   MCD_OPC_Decode, 182, 8, 190, 1, // Opcode: MLAv2i32_indexed
-/* 28633 */   MCD_OPC_FilterValue, 3, 0, 47, // Skip to: 40669
-/* 28637 */   MCD_OPC_CheckPredicate, 0, 252, 46, // Skip to: 40669
-/* 28641 */   MCD_OPC_CheckField, 10, 1, 0, 246, 46, // Skip to: 40669
-/* 28647 */   MCD_OPC_Decode, 186, 8, 191, 1, // Opcode: MLAv4i32_indexed
-/* 28652 */   MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 28697
-/* 28656 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28659 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28678
-/* 28663 */   MCD_OPC_CheckPredicate, 0, 226, 46, // Skip to: 40669
-/* 28667 */   MCD_OPC_CheckField, 10, 1, 0, 220, 46, // Skip to: 40669
-/* 28673 */   MCD_OPC_Decode, 208, 4, 190, 1, // Opcode: FMLAv2i32_indexed
-/* 28678 */   MCD_OPC_FilterValue, 2, 211, 46, // Skip to: 40669
-/* 28682 */   MCD_OPC_CheckPredicate, 0, 207, 46, // Skip to: 40669
-/* 28686 */   MCD_OPC_CheckField, 10, 1, 0, 201, 46, // Skip to: 40669
-/* 28692 */   MCD_OPC_Decode, 211, 4, 191, 1, // Opcode: FMLAv4i32_indexed
-/* 28697 */   MCD_OPC_FilterValue, 2, 79, 0, // Skip to: 28780
-/* 28701 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28704 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28723
-/* 28708 */   MCD_OPC_CheckPredicate, 0, 181, 46, // Skip to: 40669
-/* 28712 */   MCD_OPC_CheckField, 10, 1, 0, 175, 46, // Skip to: 40669
-/* 28718 */   MCD_OPC_Decode, 239, 10, 192, 1, // Opcode: SMLALv2i32_indexed
-/* 28723 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28742
-/* 28727 */   MCD_OPC_CheckPredicate, 0, 162, 46, // Skip to: 40669
-/* 28731 */   MCD_OPC_CheckField, 10, 1, 0, 156, 46, // Skip to: 40669
-/* 28737 */   MCD_OPC_Decode, 230, 16, 192, 1, // Opcode: UMLALv2i32_indexed
-/* 28742 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28761
-/* 28746 */   MCD_OPC_CheckPredicate, 0, 143, 46, // Skip to: 40669
-/* 28750 */   MCD_OPC_CheckField, 10, 1, 0, 137, 46, // Skip to: 40669
-/* 28756 */   MCD_OPC_Decode, 243, 10, 191, 1, // Opcode: SMLALv4i32_indexed
-/* 28761 */   MCD_OPC_FilterValue, 3, 128, 46, // Skip to: 40669
-/* 28765 */   MCD_OPC_CheckPredicate, 0, 124, 46, // Skip to: 40669
-/* 28769 */   MCD_OPC_CheckField, 10, 1, 0, 118, 46, // Skip to: 40669
-/* 28775 */   MCD_OPC_Decode, 234, 16, 191, 1, // Opcode: UMLALv4i32_indexed
-/* 28780 */   MCD_OPC_FilterValue, 3, 41, 0, // Skip to: 28825
-/* 28784 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28787 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28806
-/* 28791 */   MCD_OPC_CheckPredicate, 0, 98, 46, // Skip to: 40669
-/* 28795 */   MCD_OPC_CheckField, 10, 1, 0, 92, 46, // Skip to: 40669
-/* 28801 */   MCD_OPC_Decode, 173, 11, 192, 1, // Opcode: SQDMLALv2i32_indexed
-/* 28806 */   MCD_OPC_FilterValue, 2, 83, 46, // Skip to: 40669
-/* 28810 */   MCD_OPC_CheckPredicate, 0, 79, 46, // Skip to: 40669
-/* 28814 */   MCD_OPC_CheckField, 10, 1, 0, 73, 46, // Skip to: 40669
-/* 28820 */   MCD_OPC_Decode, 177, 11, 191, 1, // Opcode: SQDMLALv4i32_indexed
-/* 28825 */   MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 28870
-/* 28829 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28832 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28851
-/* 28836 */   MCD_OPC_CheckPredicate, 0, 53, 46, // Skip to: 40669
-/* 28840 */   MCD_OPC_CheckField, 10, 1, 0, 47, 46, // Skip to: 40669
-/* 28846 */   MCD_OPC_Decode, 192, 8, 190, 1, // Opcode: MLSv2i32_indexed
-/* 28851 */   MCD_OPC_FilterValue, 3, 38, 46, // Skip to: 40669
-/* 28855 */   MCD_OPC_CheckPredicate, 0, 34, 46, // Skip to: 40669
-/* 28859 */   MCD_OPC_CheckField, 10, 1, 0, 28, 46, // Skip to: 40669
-/* 28865 */   MCD_OPC_Decode, 196, 8, 191, 1, // Opcode: MLSv4i32_indexed
-/* 28870 */   MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 28915
-/* 28874 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28877 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28896
-/* 28881 */   MCD_OPC_CheckPredicate, 0, 8, 46, // Skip to: 40669
-/* 28885 */   MCD_OPC_CheckField, 10, 1, 0, 2, 46, // Skip to: 40669
-/* 28891 */   MCD_OPC_Decode, 216, 4, 190, 1, // Opcode: FMLSv2i32_indexed
-/* 28896 */   MCD_OPC_FilterValue, 2, 249, 45, // Skip to: 40669
-/* 28900 */   MCD_OPC_CheckPredicate, 0, 245, 45, // Skip to: 40669
-/* 28904 */   MCD_OPC_CheckField, 10, 1, 0, 239, 45, // Skip to: 40669
-/* 28910 */   MCD_OPC_Decode, 219, 4, 191, 1, // Opcode: FMLSv4i32_indexed
-/* 28915 */   MCD_OPC_FilterValue, 6, 79, 0, // Skip to: 28998
-/* 28919 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 28922 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28941
-/* 28926 */   MCD_OPC_CheckPredicate, 0, 219, 45, // Skip to: 40669
-/* 28930 */   MCD_OPC_CheckField, 10, 1, 0, 213, 45, // Skip to: 40669
-/* 28936 */   MCD_OPC_Decode, 249, 10, 192, 1, // Opcode: SMLSLv2i32_indexed
-/* 28941 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28960
-/* 28945 */   MCD_OPC_CheckPredicate, 0, 200, 45, // Skip to: 40669
-/* 28949 */   MCD_OPC_CheckField, 10, 1, 0, 194, 45, // Skip to: 40669
-/* 28955 */   MCD_OPC_Decode, 240, 16, 192, 1, // Opcode: UMLSLv2i32_indexed
-/* 28960 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28979
-/* 28964 */   MCD_OPC_CheckPredicate, 0, 181, 45, // Skip to: 40669
-/* 28968 */   MCD_OPC_CheckField, 10, 1, 0, 175, 45, // Skip to: 40669
-/* 28974 */   MCD_OPC_Decode, 253, 10, 191, 1, // Opcode: SMLSLv4i32_indexed
-/* 28979 */   MCD_OPC_FilterValue, 3, 166, 45, // Skip to: 40669
-/* 28983 */   MCD_OPC_CheckPredicate, 0, 162, 45, // Skip to: 40669
-/* 28987 */   MCD_OPC_CheckField, 10, 1, 0, 156, 45, // Skip to: 40669
-/* 28993 */   MCD_OPC_Decode, 244, 16, 191, 1, // Opcode: UMLSLv4i32_indexed
-/* 28998 */   MCD_OPC_FilterValue, 7, 41, 0, // Skip to: 29043
-/* 29002 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29005 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29024
-/* 29009 */   MCD_OPC_CheckPredicate, 0, 136, 45, // Skip to: 40669
-/* 29013 */   MCD_OPC_CheckField, 10, 1, 0, 130, 45, // Skip to: 40669
-/* 29019 */   MCD_OPC_Decode, 185, 11, 192, 1, // Opcode: SQDMLSLv2i32_indexed
-/* 29024 */   MCD_OPC_FilterValue, 2, 121, 45, // Skip to: 40669
-/* 29028 */   MCD_OPC_CheckPredicate, 0, 117, 45, // Skip to: 40669
-/* 29032 */   MCD_OPC_CheckField, 10, 1, 0, 111, 45, // Skip to: 40669
-/* 29038 */   MCD_OPC_Decode, 189, 11, 191, 1, // Opcode: SQDMLSLv4i32_indexed
-/* 29043 */   MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 29088
-/* 29047 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29050 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29069
-/* 29054 */   MCD_OPC_CheckPredicate, 0, 91, 45, // Skip to: 40669
-/* 29058 */   MCD_OPC_CheckField, 10, 1, 0, 85, 45, // Skip to: 40669
-/* 29064 */   MCD_OPC_Decode, 231, 8, 193, 1, // Opcode: MULv2i32_indexed
-/* 29069 */   MCD_OPC_FilterValue, 2, 76, 45, // Skip to: 40669
-/* 29073 */   MCD_OPC_CheckPredicate, 0, 72, 45, // Skip to: 40669
-/* 29077 */   MCD_OPC_CheckField, 10, 1, 0, 66, 45, // Skip to: 40669
-/* 29083 */   MCD_OPC_Decode, 235, 8, 194, 1, // Opcode: MULv4i32_indexed
-/* 29088 */   MCD_OPC_FilterValue, 9, 79, 0, // Skip to: 29171
-/* 29092 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29095 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29114
-/* 29099 */   MCD_OPC_CheckPredicate, 0, 46, 45, // Skip to: 40669
-/* 29103 */   MCD_OPC_CheckField, 10, 1, 0, 40, 45, // Skip to: 40669
-/* 29109 */   MCD_OPC_Decode, 251, 4, 193, 1, // Opcode: FMULv2i32_indexed
-/* 29114 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 29133
-/* 29118 */   MCD_OPC_CheckPredicate, 0, 27, 45, // Skip to: 40669
-/* 29122 */   MCD_OPC_CheckField, 10, 1, 0, 21, 45, // Skip to: 40669
-/* 29128 */   MCD_OPC_Decode, 243, 4, 193, 1, // Opcode: FMULXv2i32_indexed
-/* 29133 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 29152
-/* 29137 */   MCD_OPC_CheckPredicate, 0, 8, 45, // Skip to: 40669
-/* 29141 */   MCD_OPC_CheckField, 10, 1, 0, 2, 45, // Skip to: 40669
-/* 29147 */   MCD_OPC_Decode, 254, 4, 194, 1, // Opcode: FMULv4i32_indexed
-/* 29152 */   MCD_OPC_FilterValue, 3, 249, 44, // Skip to: 40669
-/* 29156 */   MCD_OPC_CheckPredicate, 0, 245, 44, // Skip to: 40669
-/* 29160 */   MCD_OPC_CheckField, 10, 1, 0, 239, 44, // Skip to: 40669
-/* 29166 */   MCD_OPC_Decode, 246, 4, 194, 1, // Opcode: FMULXv4i32_indexed
-/* 29171 */   MCD_OPC_FilterValue, 10, 79, 0, // Skip to: 29254
-/* 29175 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29178 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29197
-/* 29182 */   MCD_OPC_CheckPredicate, 0, 219, 44, // Skip to: 40669
-/* 29186 */   MCD_OPC_CheckField, 10, 1, 0, 213, 44, // Skip to: 40669
-/* 29192 */   MCD_OPC_Decode, 138, 11, 195, 1, // Opcode: SMULLv2i32_indexed
-/* 29197 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 29216
-/* 29201 */   MCD_OPC_CheckPredicate, 0, 200, 44, // Skip to: 40669
-/* 29205 */   MCD_OPC_CheckField, 10, 1, 0, 194, 44, // Skip to: 40669
-/* 29211 */   MCD_OPC_Decode, 128, 17, 195, 1, // Opcode: UMULLv2i32_indexed
-/* 29216 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 29235
-/* 29220 */   MCD_OPC_CheckPredicate, 0, 181, 44, // Skip to: 40669
-/* 29224 */   MCD_OPC_CheckField, 10, 1, 0, 175, 44, // Skip to: 40669
-/* 29230 */   MCD_OPC_Decode, 142, 11, 194, 1, // Opcode: SMULLv4i32_indexed
-/* 29235 */   MCD_OPC_FilterValue, 3, 166, 44, // Skip to: 40669
-/* 29239 */   MCD_OPC_CheckPredicate, 0, 162, 44, // Skip to: 40669
-/* 29243 */   MCD_OPC_CheckField, 10, 1, 0, 156, 44, // Skip to: 40669
-/* 29249 */   MCD_OPC_Decode, 132, 17, 194, 1, // Opcode: UMULLv4i32_indexed
-/* 29254 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 29299
-/* 29258 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29261 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29280
-/* 29265 */   MCD_OPC_CheckPredicate, 0, 136, 44, // Skip to: 40669
-/* 29269 */   MCD_OPC_CheckField, 10, 1, 0, 130, 44, // Skip to: 40669
-/* 29275 */   MCD_OPC_Decode, 209, 11, 195, 1, // Opcode: SQDMULLv2i32_indexed
-/* 29280 */   MCD_OPC_FilterValue, 2, 121, 44, // Skip to: 40669
-/* 29284 */   MCD_OPC_CheckPredicate, 0, 117, 44, // Skip to: 40669
-/* 29288 */   MCD_OPC_CheckField, 10, 1, 0, 111, 44, // Skip to: 40669
-/* 29294 */   MCD_OPC_Decode, 213, 11, 194, 1, // Opcode: SQDMULLv4i32_indexed
-/* 29299 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 29344
-/* 29303 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29306 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29325
-/* 29310 */   MCD_OPC_CheckPredicate, 0, 91, 44, // Skip to: 40669
-/* 29314 */   MCD_OPC_CheckField, 10, 1, 0, 85, 44, // Skip to: 40669
-/* 29320 */   MCD_OPC_Decode, 198, 11, 193, 1, // Opcode: SQDMULHv2i32_indexed
-/* 29325 */   MCD_OPC_FilterValue, 2, 76, 44, // Skip to: 40669
-/* 29329 */   MCD_OPC_CheckPredicate, 0, 72, 44, // Skip to: 40669
-/* 29333 */   MCD_OPC_CheckField, 10, 1, 0, 66, 44, // Skip to: 40669
-/* 29339 */   MCD_OPC_Decode, 202, 11, 194, 1, // Opcode: SQDMULHv4i32_indexed
-/* 29344 */   MCD_OPC_FilterValue, 13, 57, 44, // Skip to: 40669
-/* 29348 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29351 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29370
-/* 29355 */   MCD_OPC_CheckPredicate, 0, 46, 44, // Skip to: 40669
-/* 29359 */   MCD_OPC_CheckField, 10, 1, 0, 40, 44, // Skip to: 40669
-/* 29365 */   MCD_OPC_Decode, 233, 11, 193, 1, // Opcode: SQRDMULHv2i32_indexed
-/* 29370 */   MCD_OPC_FilterValue, 2, 31, 44, // Skip to: 40669
-/* 29374 */   MCD_OPC_CheckPredicate, 0, 27, 44, // Skip to: 40669
-/* 29378 */   MCD_OPC_CheckField, 10, 1, 0, 21, 44, // Skip to: 40669
-/* 29384 */   MCD_OPC_Decode, 237, 11, 194, 1, // Opcode: SQRDMULHv4i32_indexed
-/* 29389 */   MCD_OPC_FilterValue, 15, 12, 44, // Skip to: 40669
-/* 29393 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 29396 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 29427
-/* 29400 */   MCD_OPC_CheckPredicate, 0, 1, 44, // Skip to: 40669
-/* 29404 */   MCD_OPC_CheckField, 29, 3, 2, 251, 43, // Skip to: 40669
-/* 29410 */   MCD_OPC_CheckField, 21, 1, 0, 245, 43, // Skip to: 40669
-/* 29416 */   MCD_OPC_CheckField, 10, 1, 0, 239, 43, // Skip to: 40669
-/* 29422 */   MCD_OPC_Decode, 209, 4, 196, 1, // Opcode: FMLAv2i64_indexed
-/* 29427 */   MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 29458
-/* 29431 */   MCD_OPC_CheckPredicate, 0, 226, 43, // Skip to: 40669
-/* 29435 */   MCD_OPC_CheckField, 29, 3, 2, 220, 43, // Skip to: 40669
-/* 29441 */   MCD_OPC_CheckField, 21, 1, 0, 214, 43, // Skip to: 40669
-/* 29447 */   MCD_OPC_CheckField, 10, 1, 0, 208, 43, // Skip to: 40669
-/* 29453 */   MCD_OPC_Decode, 217, 4, 196, 1, // Opcode: FMLSv2i64_indexed
-/* 29458 */   MCD_OPC_FilterValue, 9, 199, 43, // Skip to: 40669
-/* 29462 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29465 */   MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 29490
-/* 29469 */   MCD_OPC_CheckPredicate, 0, 188, 43, // Skip to: 40669
-/* 29473 */   MCD_OPC_CheckField, 21, 1, 0, 182, 43, // Skip to: 40669
-/* 29479 */   MCD_OPC_CheckField, 10, 1, 0, 176, 43, // Skip to: 40669
-/* 29485 */   MCD_OPC_Decode, 252, 4, 197, 1, // Opcode: FMULv2i64_indexed
-/* 29490 */   MCD_OPC_FilterValue, 3, 167, 43, // Skip to: 40669
-/* 29494 */   MCD_OPC_CheckPredicate, 0, 163, 43, // Skip to: 40669
-/* 29498 */   MCD_OPC_CheckField, 21, 1, 0, 157, 43, // Skip to: 40669
-/* 29504 */   MCD_OPC_CheckField, 10, 1, 0, 151, 43, // Skip to: 40669
-/* 29510 */   MCD_OPC_Decode, 244, 4, 197, 1, // Opcode: FMULXv2i64_indexed
-/* 29515 */   MCD_OPC_FilterValue, 4, 191, 1, // Skip to: 29966
-/* 29519 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 29522 */   MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 29545
-/* 29526 */   MCD_OPC_ExtractField, 31, 1,  // Inst{31} ...
-/* 29529 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29537
-/* 29533 */   MCD_OPC_Decode, 79, 198, 1, // Opcode: ADR
-/* 29537 */   MCD_OPC_FilterValue, 1, 120, 43, // Skip to: 40669
-/* 29541 */   MCD_OPC_Decode, 80, 198, 1, // Opcode: ADRP
-/* 29545 */   MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 29620
-/* 29549 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29552 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29560
-/* 29556 */   MCD_OPC_Decode, 60, 199, 1, // Opcode: ADDWri
-/* 29560 */   MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 29568
-/* 29564 */   MCD_OPC_Decode, 46, 199, 1, // Opcode: ADDSWri
-/* 29568 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 29577
-/* 29572 */   MCD_OPC_Decode, 164, 15, 199, 1, // Opcode: SUBWri
-/* 29577 */   MCD_OPC_FilterValue, 3, 5, 0, // Skip to: 29586
-/* 29581 */   MCD_OPC_Decode, 155, 15, 199, 1, // Opcode: SUBSWri
-/* 29586 */   MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 29594
-/* 29590 */   MCD_OPC_Decode, 64, 199, 1, // Opcode: ADDXri
-/* 29594 */   MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 29602
-/* 29598 */   MCD_OPC_Decode, 50, 199, 1, // Opcode: ADDSXri
-/* 29602 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 29611
-/* 29606 */   MCD_OPC_Decode, 168, 15, 199, 1, // Opcode: SUBXri
-/* 29611 */   MCD_OPC_FilterValue, 7, 46, 43, // Skip to: 40669
-/* 29615 */   MCD_OPC_Decode, 159, 15, 199, 1, // Opcode: SUBSXri
-/* 29620 */   MCD_OPC_FilterValue, 2, 197, 0, // Skip to: 29821
-/* 29624 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29627 */   MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 29657
-/* 29631 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29634 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 29648
-/* 29638 */   MCD_OPC_CheckField, 22, 1, 0, 17, 43, // Skip to: 40669
-/* 29644 */   MCD_OPC_Decode, 91, 200, 1, // Opcode: ANDWri
-/* 29648 */   MCD_OPC_FilterValue, 1, 9, 43, // Skip to: 40669
-/* 29652 */   MCD_OPC_Decode, 212, 8, 201, 1, // Opcode: MOVNWi
-/* 29657 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 29672
-/* 29661 */   MCD_OPC_CheckField, 22, 2, 0, 250, 42, // Skip to: 40669
-/* 29667 */   MCD_OPC_Decode, 133, 9, 200, 1, // Opcode: ORRWri
-/* 29672 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 29703
-/* 29676 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29679 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 29694
-/* 29683 */   MCD_OPC_CheckField, 22, 1, 0, 228, 42, // Skip to: 40669
-/* 29689 */   MCD_OPC_Decode, 164, 2, 200, 1, // Opcode: EORWri
-/* 29694 */   MCD_OPC_FilterValue, 1, 219, 42, // Skip to: 40669
-/* 29698 */   MCD_OPC_Decode, 214, 8, 201, 1, // Opcode: MOVZWi
-/* 29703 */   MCD_OPC_FilterValue, 3, 26, 0, // Skip to: 29733
-/* 29707 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29710 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 29724
-/* 29714 */   MCD_OPC_CheckField, 22, 1, 0, 197, 42, // Skip to: 40669
-/* 29720 */   MCD_OPC_Decode, 85, 200, 1, // Opcode: ANDSWri
-/* 29724 */   MCD_OPC_FilterValue, 1, 189, 42, // Skip to: 40669
-/* 29728 */   MCD_OPC_Decode, 210, 8, 201, 1, // Opcode: MOVKWi
-/* 29733 */   MCD_OPC_FilterValue, 4, 20, 0, // Skip to: 29757
-/* 29737 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29740 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29748
-/* 29744 */   MCD_OPC_Decode, 94, 200, 1, // Opcode: ANDXri
-/* 29748 */   MCD_OPC_FilterValue, 1, 165, 42, // Skip to: 40669
-/* 29752 */   MCD_OPC_Decode, 213, 8, 201, 1, // Opcode: MOVNXi
-/* 29757 */   MCD_OPC_FilterValue, 5, 11, 0, // Skip to: 29772
-/* 29761 */   MCD_OPC_CheckField, 23, 1, 0, 150, 42, // Skip to: 40669
-/* 29767 */   MCD_OPC_Decode, 136, 9, 200, 1, // Opcode: ORRXri
-/* 29772 */   MCD_OPC_FilterValue, 6, 21, 0, // Skip to: 29797
-/* 29776 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29779 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 29788
-/* 29783 */   MCD_OPC_Decode, 167, 2, 200, 1, // Opcode: EORXri
-/* 29788 */   MCD_OPC_FilterValue, 1, 125, 42, // Skip to: 40669
-/* 29792 */   MCD_OPC_Decode, 215, 8, 201, 1, // Opcode: MOVZXi
-/* 29797 */   MCD_OPC_FilterValue, 7, 116, 42, // Skip to: 40669
-/* 29801 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 29804 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29812
-/* 29808 */   MCD_OPC_Decode, 88, 200, 1, // Opcode: ANDSXri
-/* 29812 */   MCD_OPC_FilterValue, 1, 101, 42, // Skip to: 40669
-/* 29816 */   MCD_OPC_Decode, 211, 8, 201, 1, // Opcode: MOVKXi
-/* 29821 */   MCD_OPC_FilterValue, 3, 92, 42, // Skip to: 40669
-/* 29825 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29828 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 29865
-/* 29832 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 29835 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 29850
-/* 29839 */   MCD_OPC_CheckField, 15, 1, 0, 72, 42, // Skip to: 40669
-/* 29845 */   MCD_OPC_Decode, 128, 10, 202, 1, // Opcode: SBFMWri
-/* 29850 */   MCD_OPC_FilterValue, 4, 63, 42, // Skip to: 40669
-/* 29854 */   MCD_OPC_CheckField, 15, 1, 0, 57, 42, // Skip to: 40669
-/* 29860 */   MCD_OPC_Decode, 173, 2, 203, 1, // Opcode: EXTRWrri
-/* 29865 */   MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 29885
-/* 29869 */   MCD_OPC_CheckField, 21, 3, 0, 42, 42, // Skip to: 40669
-/* 29875 */   MCD_OPC_CheckField, 15, 1, 0, 36, 42, // Skip to: 40669
-/* 29881 */   MCD_OPC_Decode, 102, 204, 1, // Opcode: BFMWri
-/* 29885 */   MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 29906
-/* 29889 */   MCD_OPC_CheckField, 21, 3, 0, 22, 42, // Skip to: 40669
-/* 29895 */   MCD_OPC_CheckField, 15, 1, 0, 16, 42, // Skip to: 40669
-/* 29901 */   MCD_OPC_Decode, 158, 16, 202, 1, // Opcode: UBFMWri
-/* 29906 */   MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 29937
-/* 29910 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 29913 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 29922
-/* 29917 */   MCD_OPC_Decode, 129, 10, 205, 1, // Opcode: SBFMXri
-/* 29922 */   MCD_OPC_FilterValue, 3, 247, 41, // Skip to: 40669
-/* 29926 */   MCD_OPC_CheckField, 21, 1, 0, 241, 41, // Skip to: 40669
-/* 29932 */   MCD_OPC_Decode, 174, 2, 206, 1, // Opcode: EXTRXrri
-/* 29937 */   MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 29951
-/* 29941 */   MCD_OPC_CheckField, 22, 2, 1, 226, 41, // Skip to: 40669
-/* 29947 */   MCD_OPC_Decode, 103, 207, 1, // Opcode: BFMXri
-/* 29951 */   MCD_OPC_FilterValue, 6, 218, 41, // Skip to: 40669
-/* 29955 */   MCD_OPC_CheckField, 22, 2, 1, 212, 41, // Skip to: 40669
-/* 29961 */   MCD_OPC_Decode, 159, 16, 205, 1, // Opcode: UBFMXri
-/* 29966 */   MCD_OPC_FilterValue, 5, 248, 1, // Skip to: 30474
-/* 29970 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 29973 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29981
-/* 29977 */   MCD_OPC_Decode, 101, 208, 1, // Opcode: B
-/* 29981 */   MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 30024
-/* 29985 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 29988 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 29997
-/* 29992 */   MCD_OPC_Decode, 131, 1, 209, 1, // Opcode: CBZW
-/* 29997 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30006
-/* 30001 */   MCD_OPC_Decode, 129, 1, 209, 1, // Opcode: CBNZW
-/* 30006 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30015
-/* 30010 */   MCD_OPC_Decode, 213, 15, 210, 1, // Opcode: TBZW
-/* 30015 */   MCD_OPC_FilterValue, 3, 154, 41, // Skip to: 40669
-/* 30019 */   MCD_OPC_Decode, 203, 15, 210, 1, // Opcode: TBNZW
-/* 30024 */   MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 30045
-/* 30028 */   MCD_OPC_CheckField, 24, 2, 0, 139, 41, // Skip to: 40669
-/* 30034 */   MCD_OPC_CheckField, 4, 1, 0, 133, 41, // Skip to: 40669
-/* 30040 */   MCD_OPC_Decode, 128, 1, 211, 1, // Opcode: Bcc
-/* 30045 */   MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 30053
-/* 30049 */   MCD_OPC_Decode, 122, 208, 1, // Opcode: BL
-/* 30053 */   MCD_OPC_FilterValue, 5, 39, 0, // Skip to: 30096
-/* 30057 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 30060 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30069
-/* 30064 */   MCD_OPC_Decode, 132, 1, 212, 1, // Opcode: CBZX
-/* 30069 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30078
-/* 30073 */   MCD_OPC_Decode, 130, 1, 212, 1, // Opcode: CBNZX
-/* 30078 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30087
-/* 30082 */   MCD_OPC_Decode, 214, 15, 210, 1, // Opcode: TBZX
-/* 30087 */   MCD_OPC_FilterValue, 3, 82, 41, // Skip to: 40669
-/* 30091 */   MCD_OPC_Decode, 204, 15, 210, 1, // Opcode: TBNZX
-/* 30096 */   MCD_OPC_FilterValue, 6, 73, 41, // Skip to: 40669
-/* 30100 */   MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 30103 */   MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 30137
-/* 30107 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
-/* 30110 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30119
-/* 30114 */   MCD_OPC_Decode, 192, 15, 213, 1, // Opcode: SVC
-/* 30119 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30128
-/* 30123 */   MCD_OPC_Decode, 207, 5, 213, 1, // Opcode: HVC
-/* 30128 */   MCD_OPC_FilterValue, 3, 41, 41, // Skip to: 40669
-/* 30132 */   MCD_OPC_Decode, 220, 10, 213, 1, // Opcode: SMC
-/* 30137 */   MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 30151
-/* 30141 */   MCD_OPC_CheckField, 0, 5, 0, 26, 41, // Skip to: 40669
-/* 30147 */   MCD_OPC_Decode, 125, 213, 1, // Opcode: BRK
-/* 30151 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 30166
-/* 30155 */   MCD_OPC_CheckField, 0, 5, 0, 12, 41, // Skip to: 40669
-/* 30161 */   MCD_OPC_Decode, 206, 5, 213, 1, // Opcode: HLT
-/* 30166 */   MCD_OPC_FilterValue, 5, 30, 0, // Skip to: 30200
-/* 30170 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
-/* 30173 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30182
-/* 30177 */   MCD_OPC_Decode, 140, 2, 213, 1, // Opcode: DCPS1
-/* 30182 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30191
-/* 30186 */   MCD_OPC_Decode, 141, 2, 213, 1, // Opcode: DCPS2
-/* 30191 */   MCD_OPC_FilterValue, 3, 234, 40, // Skip to: 40669
-/* 30195 */   MCD_OPC_Decode, 142, 2, 213, 1, // Opcode: DCPS3
-/* 30200 */   MCD_OPC_FilterValue, 8, 141, 0, // Skip to: 30345
-/* 30204 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 30207 */   MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 30336
-/* 30211 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 30214 */   MCD_OPC_FilterValue, 0, 109, 0, // Skip to: 30327
-/* 30218 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 30221 */   MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 30242
-/* 30225 */   MCD_OPC_CheckField, 16, 3, 3, 198, 40, // Skip to: 40669
-/* 30231 */   MCD_OPC_CheckField, 0, 5, 31, 192, 40, // Skip to: 40669
-/* 30237 */   MCD_OPC_Decode, 205, 5, 214, 1, // Opcode: HINT
-/* 30242 */   MCD_OPC_FilterValue, 3, 66, 0, // Skip to: 30312
-/* 30246 */   MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
-/* 30249 */   MCD_OPC_FilterValue, 95, 11, 0, // Skip to: 30264
-/* 30253 */   MCD_OPC_CheckField, 16, 3, 3, 170, 40, // Skip to: 40669
-/* 30259 */   MCD_OPC_Decode, 141, 1, 215, 1, // Opcode: CLREX
-/* 30264 */   MCD_OPC_FilterValue, 159, 1, 11, 0, // Skip to: 30280
-/* 30269 */   MCD_OPC_CheckField, 16, 3, 3, 154, 40, // Skip to: 40669
-/* 30275 */   MCD_OPC_Decode, 145, 2, 215, 1, // Opcode: DSB
-/* 30280 */   MCD_OPC_FilterValue, 191, 1, 11, 0, // Skip to: 30296
-/* 30285 */   MCD_OPC_CheckField, 16, 3, 3, 138, 40, // Skip to: 40669
-/* 30291 */   MCD_OPC_Decode, 143, 2, 215, 1, // Opcode: DMB
-/* 30296 */   MCD_OPC_FilterValue, 223, 1, 128, 40, // Skip to: 40669
-/* 30301 */   MCD_OPC_CheckField, 16, 3, 3, 122, 40, // Skip to: 40669
-/* 30307 */   MCD_OPC_Decode, 216, 5, 215, 1, // Opcode: ISB
-/* 30312 */   MCD_OPC_FilterValue, 4, 113, 40, // Skip to: 40669
-/* 30316 */   MCD_OPC_CheckField, 0, 5, 31, 107, 40, // Skip to: 40669
-/* 30322 */   MCD_OPC_Decode, 226, 8, 216, 1, // Opcode: MSRpstate
-/* 30327 */   MCD_OPC_FilterValue, 1, 98, 40, // Skip to: 40669
-/* 30331 */   MCD_OPC_Decode, 194, 15, 217, 1, // Opcode: SYSxt
-/* 30336 */   MCD_OPC_FilterValue, 1, 89, 40, // Skip to: 40669
-/* 30340 */   MCD_OPC_Decode, 225, 8, 218, 1, // Opcode: MSR
-/* 30345 */   MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 30376
-/* 30349 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 30352 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30367
-/* 30356 */   MCD_OPC_CheckField, 19, 1, 1, 67, 40, // Skip to: 40669
-/* 30362 */   MCD_OPC_Decode, 193, 15, 219, 1, // Opcode: SYSLxt
-/* 30367 */   MCD_OPC_FilterValue, 1, 58, 40, // Skip to: 40669
-/* 30371 */   MCD_OPC_Decode, 224, 8, 220, 1, // Opcode: MRS
-/* 30376 */   MCD_OPC_FilterValue, 16, 17, 0, // Skip to: 30397
-/* 30380 */   MCD_OPC_CheckField, 10, 11, 192, 15, 42, 40, // Skip to: 40669
-/* 30387 */   MCD_OPC_CheckField, 0, 5, 0, 36, 40, // Skip to: 40669
-/* 30393 */   MCD_OPC_Decode, 124, 221, 1, // Opcode: BR
-/* 30397 */   MCD_OPC_FilterValue, 17, 17, 0, // Skip to: 30418
-/* 30401 */   MCD_OPC_CheckField, 10, 11, 192, 15, 21, 40, // Skip to: 40669
-/* 30408 */   MCD_OPC_CheckField, 0, 5, 0, 15, 40, // Skip to: 40669
-/* 30414 */   MCD_OPC_Decode, 123, 221, 1, // Opcode: BLR
-/* 30418 */   MCD_OPC_FilterValue, 18, 18, 0, // Skip to: 30440
-/* 30422 */   MCD_OPC_CheckField, 10, 11, 192, 15, 0, 40, // Skip to: 40669
-/* 30429 */   MCD_OPC_CheckField, 0, 5, 0, 250, 39, // Skip to: 40669
-/* 30435 */   MCD_OPC_Decode, 166, 9, 221, 1, // Opcode: RET
-/* 30440 */   MCD_OPC_FilterValue, 20, 13, 0, // Skip to: 30457
-/* 30444 */   MCD_OPC_CheckField, 0, 21, 224, 135, 124, 233, 39, // Skip to: 40669
-/* 30452 */   MCD_OPC_Decode, 172, 2, 222, 1, // Opcode: ERET
-/* 30457 */   MCD_OPC_FilterValue, 21, 224, 39, // Skip to: 40669
-/* 30461 */   MCD_OPC_CheckField, 0, 21, 224, 135, 124, 216, 39, // Skip to: 40669
-/* 30469 */   MCD_OPC_Decode, 144, 2, 222, 1, // Opcode: DRPS
-/* 30474 */   MCD_OPC_FilterValue, 6, 54, 10, // Skip to: 33092
-/* 30478 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 30481 */   MCD_OPC_FilterValue, 0, 41, 1, // Skip to: 30782
-/* 30485 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 30488 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30497
-/* 30492 */   MCD_OPC_Decode, 132, 8, 209, 1, // Opcode: LDRWl
-/* 30497 */   MCD_OPC_FilterValue, 2, 244, 0, // Skip to: 30745
-/* 30501 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 30504 */   MCD_OPC_FilterValue, 0, 68, 0, // Skip to: 30576
-/* 30508 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 30511 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 30525
-/* 30515 */   MCD_OPC_CheckField, 12, 4, 0, 164, 39, // Skip to: 40669
-/* 30521 */   MCD_OPC_Decode, 30, 223, 1, // Opcode: ADCWr
-/* 30525 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 30534
-/* 30529 */   MCD_OPC_Decode, 132, 2, 224, 1, // Opcode: CSELWr
-/* 30534 */   MCD_OPC_FilterValue, 6, 147, 39, // Skip to: 40669
-/* 30538 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 30541 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30550
-/* 30545 */   MCD_OPC_Decode, 174, 8, 223, 1, // Opcode: LSLVWr
-/* 30550 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 30563
-/* 30554 */   MCD_OPC_CheckPredicate, 2, 127, 39, // Skip to: 40669
-/* 30558 */   MCD_OPC_Decode, 252, 1, 223, 1, // Opcode: CRC32Brr
-/* 30563 */   MCD_OPC_FilterValue, 5, 118, 39, // Skip to: 40669
-/* 30567 */   MCD_OPC_CheckPredicate, 2, 114, 39, // Skip to: 40669
-/* 30571 */   MCD_OPC_Decode, 253, 1, 223, 1, // Opcode: CRC32CBrr
-/* 30576 */   MCD_OPC_FilterValue, 1, 54, 0, // Skip to: 30634
-/* 30580 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 30583 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 30592
-/* 30587 */   MCD_OPC_Decode, 134, 2, 224, 1, // Opcode: CSINCWr
-/* 30592 */   MCD_OPC_FilterValue, 6, 89, 39, // Skip to: 40669
-/* 30596 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 30599 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30608
-/* 30603 */   MCD_OPC_Decode, 176, 8, 223, 1, // Opcode: LSRVWr
-/* 30608 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 30621
-/* 30612 */   MCD_OPC_CheckPredicate, 2, 69, 39, // Skip to: 40669
-/* 30616 */   MCD_OPC_Decode, 129, 2, 223, 1, // Opcode: CRC32Hrr
-/* 30621 */   MCD_OPC_FilterValue, 5, 60, 39, // Skip to: 40669
-/* 30625 */   MCD_OPC_CheckPredicate, 2, 56, 39, // Skip to: 40669
-/* 30629 */   MCD_OPC_Decode, 254, 1, 223, 1, // Opcode: CRC32CHrr
-/* 30634 */   MCD_OPC_FilterValue, 2, 70, 0, // Skip to: 30708
-/* 30638 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 30641 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30656
-/* 30645 */   MCD_OPC_CheckField, 21, 3, 6, 34, 39, // Skip to: 40669
-/* 30651 */   MCD_OPC_Decode, 178, 16, 223, 1, // Opcode: UDIVWr
-/* 30656 */   MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 30670
-/* 30660 */   MCD_OPC_CheckField, 21, 3, 6, 19, 39, // Skip to: 40669
-/* 30666 */   MCD_OPC_Decode, 99, 223, 1, // Opcode: ASRVWr
-/* 30670 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 30689
-/* 30674 */   MCD_OPC_CheckPredicate, 2, 7, 39, // Skip to: 40669
-/* 30678 */   MCD_OPC_CheckField, 21, 3, 6, 1, 39, // Skip to: 40669
-/* 30684 */   MCD_OPC_Decode, 130, 2, 223, 1, // Opcode: CRC32Wrr
-/* 30689 */   MCD_OPC_FilterValue, 5, 248, 38, // Skip to: 40669
-/* 30693 */   MCD_OPC_CheckPredicate, 2, 244, 38, // Skip to: 40669
-/* 30697 */   MCD_OPC_CheckField, 21, 3, 6, 238, 38, // Skip to: 40669
-/* 30703 */   MCD_OPC_Decode, 255, 1, 223, 1, // Opcode: CRC32CWrr
-/* 30708 */   MCD_OPC_FilterValue, 3, 229, 38, // Skip to: 40669
-/* 30712 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 30715 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30730
-/* 30719 */   MCD_OPC_CheckField, 21, 3, 6, 216, 38, // Skip to: 40669
-/* 30725 */   MCD_OPC_Decode, 148, 10, 223, 1, // Opcode: SDIVWr
-/* 30730 */   MCD_OPC_FilterValue, 2, 207, 38, // Skip to: 40669
-/* 30734 */   MCD_OPC_CheckField, 21, 3, 6, 201, 38, // Skip to: 40669
-/* 30740 */   MCD_OPC_Decode, 185, 9, 223, 1, // Opcode: RORVWr
-/* 30745 */   MCD_OPC_FilterValue, 3, 192, 38, // Skip to: 40669
-/* 30749 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 30752 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30767
-/* 30756 */   MCD_OPC_CheckField, 21, 3, 0, 179, 38, // Skip to: 40669
-/* 30762 */   MCD_OPC_Decode, 178, 8, 225, 1, // Opcode: MADDWrrr
-/* 30767 */   MCD_OPC_FilterValue, 1, 170, 38, // Skip to: 40669
-/* 30771 */   MCD_OPC_CheckField, 21, 3, 0, 164, 38, // Skip to: 40669
-/* 30777 */   MCD_OPC_Decode, 227, 8, 225, 1, // Opcode: MSUBWrrr
-/* 30782 */   MCD_OPC_FilterValue, 1, 224, 1, // Skip to: 31266
-/* 30786 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 30789 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 30882
-/* 30793 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 30796 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30811
-/* 30800 */   MCD_OPC_CheckField, 21, 1, 0, 135, 38, // Skip to: 40669
-/* 30806 */   MCD_OPC_Decode, 134, 15, 226, 1, // Opcode: STURBBi
-/* 30811 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 30826
-/* 30815 */   MCD_OPC_CheckField, 21, 1, 0, 120, 38, // Skip to: 40669
-/* 30821 */   MCD_OPC_Decode, 213, 14, 226, 1, // Opcode: STRBBpost
-/* 30826 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 30867
-/* 30830 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 30833 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30842
-/* 30837 */   MCD_OPC_Decode, 130, 15, 226, 1, // Opcode: STTRBi
-/* 30842 */   MCD_OPC_FilterValue, 1, 95, 38, // Skip to: 40669
-/* 30846 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 30849 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30858
-/* 30853 */   MCD_OPC_Decode, 215, 14, 227, 1, // Opcode: STRBBroW
-/* 30858 */   MCD_OPC_FilterValue, 3, 79, 38, // Skip to: 40669
-/* 30862 */   MCD_OPC_Decode, 216, 14, 228, 1, // Opcode: STRBBroX
-/* 30867 */   MCD_OPC_FilterValue, 3, 70, 38, // Skip to: 40669
-/* 30871 */   MCD_OPC_CheckField, 21, 1, 0, 64, 38, // Skip to: 40669
-/* 30877 */   MCD_OPC_Decode, 214, 14, 226, 1, // Opcode: STRBBpre
-/* 30882 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 30975
-/* 30886 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 30889 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30904
-/* 30893 */   MCD_OPC_CheckField, 21, 1, 0, 42, 38, // Skip to: 40669
-/* 30899 */   MCD_OPC_Decode, 153, 8, 226, 1, // Opcode: LDURBBi
-/* 30904 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 30919
-/* 30908 */   MCD_OPC_CheckField, 21, 1, 0, 27, 38, // Skip to: 40669
-/* 30914 */   MCD_OPC_Decode, 196, 7, 226, 1, // Opcode: LDRBBpost
-/* 30919 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 30960
-/* 30923 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 30926 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30935
-/* 30930 */   MCD_OPC_Decode, 144, 8, 226, 1, // Opcode: LDTRBi
-/* 30935 */   MCD_OPC_FilterValue, 1, 2, 38, // Skip to: 40669
-/* 30939 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 30942 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30951
-/* 30946 */   MCD_OPC_Decode, 198, 7, 227, 1, // Opcode: LDRBBroW
-/* 30951 */   MCD_OPC_FilterValue, 3, 242, 37, // Skip to: 40669
-/* 30955 */   MCD_OPC_Decode, 199, 7, 228, 1, // Opcode: LDRBBroX
-/* 30960 */   MCD_OPC_FilterValue, 3, 233, 37, // Skip to: 40669
-/* 30964 */   MCD_OPC_CheckField, 21, 1, 0, 227, 37, // Skip to: 40669
-/* 30970 */   MCD_OPC_Decode, 197, 7, 226, 1, // Opcode: LDRBBpre
-/* 30975 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 31068
-/* 30979 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 30982 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30997
-/* 30986 */   MCD_OPC_CheckField, 21, 1, 0, 205, 37, // Skip to: 40669
-/* 30992 */   MCD_OPC_Decode, 160, 8, 226, 1, // Opcode: LDURSBXi
-/* 30997 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31012
-/* 31001 */   MCD_OPC_CheckField, 21, 1, 0, 190, 37, // Skip to: 40669
-/* 31007 */   MCD_OPC_Decode, 233, 7, 226, 1, // Opcode: LDRSBXpost
-/* 31012 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31053
-/* 31016 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31019 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31028
-/* 31023 */   MCD_OPC_Decode, 147, 8, 226, 1, // Opcode: LDTRSBXi
-/* 31028 */   MCD_OPC_FilterValue, 1, 165, 37, // Skip to: 40669
-/* 31032 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31035 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31044
-/* 31039 */   MCD_OPC_Decode, 235, 7, 229, 1, // Opcode: LDRSBXroW
-/* 31044 */   MCD_OPC_FilterValue, 3, 149, 37, // Skip to: 40669
-/* 31048 */   MCD_OPC_Decode, 236, 7, 230, 1, // Opcode: LDRSBXroX
-/* 31053 */   MCD_OPC_FilterValue, 3, 140, 37, // Skip to: 40669
-/* 31057 */   MCD_OPC_CheckField, 21, 1, 0, 134, 37, // Skip to: 40669
-/* 31063 */   MCD_OPC_Decode, 234, 7, 226, 1, // Opcode: LDRSBXpre
-/* 31068 */   MCD_OPC_FilterValue, 3, 89, 0, // Skip to: 31161
-/* 31072 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31075 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31090
-/* 31079 */   MCD_OPC_CheckField, 21, 1, 0, 112, 37, // Skip to: 40669
-/* 31085 */   MCD_OPC_Decode, 159, 8, 226, 1, // Opcode: LDURSBWi
-/* 31090 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31105
-/* 31094 */   MCD_OPC_CheckField, 21, 1, 0, 97, 37, // Skip to: 40669
-/* 31100 */   MCD_OPC_Decode, 228, 7, 226, 1, // Opcode: LDRSBWpost
-/* 31105 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31146
-/* 31109 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31112 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31121
-/* 31116 */   MCD_OPC_Decode, 146, 8, 226, 1, // Opcode: LDTRSBWi
-/* 31121 */   MCD_OPC_FilterValue, 1, 72, 37, // Skip to: 40669
-/* 31125 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31128 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31137
-/* 31132 */   MCD_OPC_Decode, 230, 7, 227, 1, // Opcode: LDRSBWroW
-/* 31137 */   MCD_OPC_FilterValue, 3, 56, 37, // Skip to: 40669
-/* 31141 */   MCD_OPC_Decode, 231, 7, 228, 1, // Opcode: LDRSBWroX
-/* 31146 */   MCD_OPC_FilterValue, 3, 47, 37, // Skip to: 40669
-/* 31150 */   MCD_OPC_CheckField, 21, 1, 0, 41, 37, // Skip to: 40669
-/* 31156 */   MCD_OPC_Decode, 229, 7, 226, 1, // Opcode: LDRSBWpre
-/* 31161 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31170
-/* 31165 */   MCD_OPC_Decode, 217, 14, 231, 1, // Opcode: STRBBui
-/* 31170 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 31179
-/* 31174 */   MCD_OPC_Decode, 200, 7, 231, 1, // Opcode: LDRBBui
-/* 31179 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 31188
-/* 31183 */   MCD_OPC_Decode, 237, 7, 231, 1, // Opcode: LDRSBXui
-/* 31188 */   MCD_OPC_FilterValue, 7, 5, 0, // Skip to: 31197
-/* 31192 */   MCD_OPC_Decode, 232, 7, 231, 1, // Opcode: LDRSBWui
-/* 31197 */   MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 31217
-/* 31201 */   MCD_OPC_CheckField, 21, 1, 0, 246, 36, // Skip to: 40669
-/* 31207 */   MCD_OPC_CheckField, 10, 6, 0, 240, 36, // Skip to: 40669
-/* 31213 */   MCD_OPC_Decode, 28, 223, 1, // Opcode: ADCSWr
-/* 31217 */   MCD_OPC_FilterValue, 9, 232, 36, // Skip to: 40669
-/* 31221 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31224 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 31245
-/* 31228 */   MCD_OPC_CheckField, 21, 1, 0, 219, 36, // Skip to: 40669
-/* 31234 */   MCD_OPC_CheckField, 4, 1, 0, 213, 36, // Skip to: 40669
-/* 31240 */   MCD_OPC_Decode, 134, 1, 232, 1, // Opcode: CCMNWr
-/* 31245 */   MCD_OPC_FilterValue, 2, 204, 36, // Skip to: 40669
-/* 31249 */   MCD_OPC_CheckField, 21, 1, 0, 198, 36, // Skip to: 40669
-/* 31255 */   MCD_OPC_CheckField, 4, 1, 0, 192, 36, // Skip to: 40669
-/* 31261 */   MCD_OPC_Decode, 133, 1, 233, 1, // Opcode: CCMNWi
-/* 31266 */   MCD_OPC_FilterValue, 2, 132, 0, // Skip to: 31402
-/* 31270 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 31273 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31282
-/* 31277 */   MCD_OPC_Decode, 138, 8, 212, 1, // Opcode: LDRXl
-/* 31282 */   MCD_OPC_FilterValue, 2, 167, 36, // Skip to: 40669
-/* 31286 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31289 */   MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 31345
-/* 31293 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 31296 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31311
-/* 31300 */   MCD_OPC_CheckField, 12, 4, 0, 147, 36, // Skip to: 40669
-/* 31306 */   MCD_OPC_Decode, 254, 9, 223, 1, // Opcode: SBCWr
-/* 31311 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31320
-/* 31315 */   MCD_OPC_Decode, 136, 2, 224, 1, // Opcode: CSINVWr
-/* 31320 */   MCD_OPC_FilterValue, 6, 129, 36, // Skip to: 40669
-/* 31324 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
-/* 31327 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31336
-/* 31331 */   MCD_OPC_Decode, 162, 9, 234, 1, // Opcode: RBITWr
-/* 31336 */   MCD_OPC_FilterValue, 1, 113, 36, // Skip to: 40669
-/* 31340 */   MCD_OPC_Decode, 150, 1, 234, 1, // Opcode: CLZWr
-/* 31345 */   MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 31386
-/* 31349 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 31352 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31361
-/* 31356 */   MCD_OPC_Decode, 138, 2, 224, 1, // Opcode: CSNEGWr
-/* 31361 */   MCD_OPC_FilterValue, 6, 88, 36, // Skip to: 40669
-/* 31365 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
-/* 31368 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31377
-/* 31372 */   MCD_OPC_Decode, 168, 9, 234, 1, // Opcode: REV16Wr
-/* 31377 */   MCD_OPC_FilterValue, 1, 72, 36, // Skip to: 40669
-/* 31381 */   MCD_OPC_Decode, 142, 1, 234, 1, // Opcode: CLSWr
-/* 31386 */   MCD_OPC_FilterValue, 2, 63, 36, // Skip to: 40669
-/* 31390 */   MCD_OPC_CheckField, 12, 12, 128, 24, 56, 36, // Skip to: 40669
-/* 31397 */   MCD_OPC_Decode, 183, 9, 234, 1, // Opcode: REVWr
-/* 31402 */   MCD_OPC_FilterValue, 3, 225, 1, // Skip to: 31887
-/* 31406 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 31409 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 31502
-/* 31413 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31416 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31431
-/* 31420 */   MCD_OPC_CheckField, 21, 1, 0, 27, 36, // Skip to: 40669
-/* 31426 */   MCD_OPC_Decode, 137, 15, 226, 1, // Opcode: STURHHi
-/* 31431 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31446
-/* 31435 */   MCD_OPC_CheckField, 21, 1, 0, 12, 36, // Skip to: 40669
-/* 31441 */   MCD_OPC_Decode, 228, 14, 226, 1, // Opcode: STRHHpost
-/* 31446 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31487
-/* 31450 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31453 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31462
-/* 31457 */   MCD_OPC_Decode, 131, 15, 226, 1, // Opcode: STTRHi
-/* 31462 */   MCD_OPC_FilterValue, 1, 243, 35, // Skip to: 40669
-/* 31466 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31469 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31478
-/* 31473 */   MCD_OPC_Decode, 230, 14, 227, 1, // Opcode: STRHHroW
-/* 31478 */   MCD_OPC_FilterValue, 3, 227, 35, // Skip to: 40669
-/* 31482 */   MCD_OPC_Decode, 231, 14, 228, 1, // Opcode: STRHHroX
-/* 31487 */   MCD_OPC_FilterValue, 3, 218, 35, // Skip to: 40669
-/* 31491 */   MCD_OPC_CheckField, 21, 1, 0, 212, 35, // Skip to: 40669
-/* 31497 */   MCD_OPC_Decode, 229, 14, 226, 1, // Opcode: STRHHpre
-/* 31502 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 31595
-/* 31506 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31509 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31524
-/* 31513 */   MCD_OPC_CheckField, 21, 1, 0, 190, 35, // Skip to: 40669
-/* 31519 */   MCD_OPC_Decode, 156, 8, 226, 1, // Opcode: LDURHHi
-/* 31524 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31539
-/* 31528 */   MCD_OPC_CheckField, 21, 1, 0, 175, 35, // Skip to: 40669
-/* 31534 */   MCD_OPC_Decode, 212, 7, 226, 1, // Opcode: LDRHHpost
-/* 31539 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31580
-/* 31543 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31546 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31555
-/* 31550 */   MCD_OPC_Decode, 145, 8, 226, 1, // Opcode: LDTRHi
-/* 31555 */   MCD_OPC_FilterValue, 1, 150, 35, // Skip to: 40669
-/* 31559 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31562 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31571
-/* 31566 */   MCD_OPC_Decode, 214, 7, 227, 1, // Opcode: LDRHHroW
-/* 31571 */   MCD_OPC_FilterValue, 3, 134, 35, // Skip to: 40669
-/* 31575 */   MCD_OPC_Decode, 215, 7, 228, 1, // Opcode: LDRHHroX
-/* 31580 */   MCD_OPC_FilterValue, 3, 125, 35, // Skip to: 40669
-/* 31584 */   MCD_OPC_CheckField, 21, 1, 0, 119, 35, // Skip to: 40669
-/* 31590 */   MCD_OPC_Decode, 213, 7, 226, 1, // Opcode: LDRHHpre
-/* 31595 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 31688
-/* 31599 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31602 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31617
-/* 31606 */   MCD_OPC_CheckField, 21, 1, 0, 97, 35, // Skip to: 40669
-/* 31612 */   MCD_OPC_Decode, 162, 8, 226, 1, // Opcode: LDURSHXi
-/* 31617 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31632
-/* 31621 */   MCD_OPC_CheckField, 21, 1, 0, 82, 35, // Skip to: 40669
-/* 31627 */   MCD_OPC_Decode, 243, 7, 226, 1, // Opcode: LDRSHXpost
-/* 31632 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31673
-/* 31636 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31639 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31648
-/* 31643 */   MCD_OPC_Decode, 149, 8, 226, 1, // Opcode: LDTRSHXi
-/* 31648 */   MCD_OPC_FilterValue, 1, 57, 35, // Skip to: 40669
-/* 31652 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31655 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31664
-/* 31659 */   MCD_OPC_Decode, 245, 7, 229, 1, // Opcode: LDRSHXroW
-/* 31664 */   MCD_OPC_FilterValue, 3, 41, 35, // Skip to: 40669
-/* 31668 */   MCD_OPC_Decode, 246, 7, 230, 1, // Opcode: LDRSHXroX
-/* 31673 */   MCD_OPC_FilterValue, 3, 32, 35, // Skip to: 40669
-/* 31677 */   MCD_OPC_CheckField, 21, 1, 0, 26, 35, // Skip to: 40669
-/* 31683 */   MCD_OPC_Decode, 244, 7, 226, 1, // Opcode: LDRSHXpre
-/* 31688 */   MCD_OPC_FilterValue, 3, 89, 0, // Skip to: 31781
-/* 31692 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31695 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31710
-/* 31699 */   MCD_OPC_CheckField, 21, 1, 0, 4, 35, // Skip to: 40669
-/* 31705 */   MCD_OPC_Decode, 161, 8, 226, 1, // Opcode: LDURSHWi
-/* 31710 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31725
-/* 31714 */   MCD_OPC_CheckField, 21, 1, 0, 245, 34, // Skip to: 40669
-/* 31720 */   MCD_OPC_Decode, 238, 7, 226, 1, // Opcode: LDRSHWpost
-/* 31725 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31766
-/* 31729 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 31732 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31741
-/* 31736 */   MCD_OPC_Decode, 148, 8, 226, 1, // Opcode: LDTRSHWi
-/* 31741 */   MCD_OPC_FilterValue, 1, 220, 34, // Skip to: 40669
-/* 31745 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 31748 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31757
-/* 31752 */   MCD_OPC_Decode, 240, 7, 227, 1, // Opcode: LDRSHWroW
-/* 31757 */   MCD_OPC_FilterValue, 3, 204, 34, // Skip to: 40669
-/* 31761 */   MCD_OPC_Decode, 241, 7, 228, 1, // Opcode: LDRSHWroX
-/* 31766 */   MCD_OPC_FilterValue, 3, 195, 34, // Skip to: 40669
-/* 31770 */   MCD_OPC_CheckField, 21, 1, 0, 189, 34, // Skip to: 40669
-/* 31776 */   MCD_OPC_Decode, 239, 7, 226, 1, // Opcode: LDRSHWpre
-/* 31781 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31790
-/* 31785 */   MCD_OPC_Decode, 232, 14, 231, 1, // Opcode: STRHHui
-/* 31790 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 31799
-/* 31794 */   MCD_OPC_Decode, 216, 7, 231, 1, // Opcode: LDRHHui
-/* 31799 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 31808
-/* 31803 */   MCD_OPC_Decode, 247, 7, 231, 1, // Opcode: LDRSHXui
-/* 31808 */   MCD_OPC_FilterValue, 7, 5, 0, // Skip to: 31817
-/* 31812 */   MCD_OPC_Decode, 242, 7, 231, 1, // Opcode: LDRSHWui
-/* 31817 */   MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 31838
-/* 31821 */   MCD_OPC_CheckField, 21, 1, 0, 138, 34, // Skip to: 40669
-/* 31827 */   MCD_OPC_CheckField, 10, 6, 0, 132, 34, // Skip to: 40669
-/* 31833 */   MCD_OPC_Decode, 252, 9, 223, 1, // Opcode: SBCSWr
-/* 31838 */   MCD_OPC_FilterValue, 9, 123, 34, // Skip to: 40669
-/* 31842 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31845 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 31866
-/* 31849 */   MCD_OPC_CheckField, 21, 1, 0, 110, 34, // Skip to: 40669
-/* 31855 */   MCD_OPC_CheckField, 4, 1, 0, 104, 34, // Skip to: 40669
-/* 31861 */   MCD_OPC_Decode, 138, 1, 232, 1, // Opcode: CCMPWr
-/* 31866 */   MCD_OPC_FilterValue, 2, 95, 34, // Skip to: 40669
-/* 31870 */   MCD_OPC_CheckField, 21, 1, 0, 89, 34, // Skip to: 40669
-/* 31876 */   MCD_OPC_CheckField, 4, 1, 0, 83, 34, // Skip to: 40669
-/* 31882 */   MCD_OPC_Decode, 137, 1, 233, 1, // Opcode: CCMPWi
-/* 31887 */   MCD_OPC_FilterValue, 4, 62, 1, // Skip to: 32209
-/* 31891 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 31894 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31903
-/* 31898 */   MCD_OPC_Decode, 248, 7, 212, 1, // Opcode: LDRSWl
-/* 31903 */   MCD_OPC_FilterValue, 2, 190, 0, // Skip to: 32097
-/* 31907 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 31910 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 31955
-/* 31914 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 31917 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 31931
-/* 31921 */   MCD_OPC_CheckField, 12, 4, 0, 38, 34, // Skip to: 40669
-/* 31927 */   MCD_OPC_Decode, 31, 235, 1, // Opcode: ADCXr
-/* 31931 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31940
-/* 31935 */   MCD_OPC_Decode, 133, 2, 236, 1, // Opcode: CSELXr
-/* 31940 */   MCD_OPC_FilterValue, 6, 21, 34, // Skip to: 40669
-/* 31944 */   MCD_OPC_CheckField, 12, 4, 2, 15, 34, // Skip to: 40669
-/* 31950 */   MCD_OPC_Decode, 175, 8, 235, 1, // Opcode: LSLVXr
-/* 31955 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 31986
-/* 31959 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 31962 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31971
-/* 31966 */   MCD_OPC_Decode, 135, 2, 236, 1, // Opcode: CSINCXr
-/* 31971 */   MCD_OPC_FilterValue, 6, 246, 33, // Skip to: 40669
-/* 31975 */   MCD_OPC_CheckField, 12, 4, 2, 240, 33, // Skip to: 40669
-/* 31981 */   MCD_OPC_Decode, 177, 8, 235, 1, // Opcode: LSRVXr
-/* 31986 */   MCD_OPC_FilterValue, 2, 32, 0, // Skip to: 32022
-/* 31990 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 31993 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32008
-/* 31997 */   MCD_OPC_CheckField, 21, 3, 6, 218, 33, // Skip to: 40669
-/* 32003 */   MCD_OPC_Decode, 179, 16, 235, 1, // Opcode: UDIVXr
-/* 32008 */   MCD_OPC_FilterValue, 2, 209, 33, // Skip to: 40669
-/* 32012 */   MCD_OPC_CheckField, 21, 3, 6, 203, 33, // Skip to: 40669
-/* 32018 */   MCD_OPC_Decode, 100, 235, 1, // Opcode: ASRVXr
-/* 32022 */   MCD_OPC_FilterValue, 3, 195, 33, // Skip to: 40669
-/* 32026 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 32029 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32044
-/* 32033 */   MCD_OPC_CheckField, 21, 3, 6, 182, 33, // Skip to: 40669
-/* 32039 */   MCD_OPC_Decode, 149, 10, 235, 1, // Opcode: SDIVXr
-/* 32044 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32059
-/* 32048 */   MCD_OPC_CheckField, 21, 3, 6, 167, 33, // Skip to: 40669
-/* 32054 */   MCD_OPC_Decode, 186, 9, 235, 1, // Opcode: RORVXr
-/* 32059 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 32078
-/* 32063 */   MCD_OPC_CheckPredicate, 2, 154, 33, // Skip to: 40669
-/* 32067 */   MCD_OPC_CheckField, 21, 3, 6, 148, 33, // Skip to: 40669
-/* 32073 */   MCD_OPC_Decode, 131, 2, 237, 1, // Opcode: CRC32Xrr
-/* 32078 */   MCD_OPC_FilterValue, 5, 139, 33, // Skip to: 40669
-/* 32082 */   MCD_OPC_CheckPredicate, 2, 135, 33, // Skip to: 40669
-/* 32086 */   MCD_OPC_CheckField, 21, 3, 6, 129, 33, // Skip to: 40669
-/* 32092 */   MCD_OPC_Decode, 128, 2, 237, 1, // Opcode: CRC32CXrr
-/* 32097 */   MCD_OPC_FilterValue, 3, 120, 33, // Skip to: 40669
-/* 32101 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 32104 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 32129
-/* 32108 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 32111 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32120
-/* 32115 */   MCD_OPC_Decode, 179, 8, 238, 1, // Opcode: MADDXrrr
-/* 32120 */   MCD_OPC_FilterValue, 1, 97, 33, // Skip to: 40669
-/* 32124 */   MCD_OPC_Decode, 228, 8, 238, 1, // Opcode: MSUBXrrr
-/* 32129 */   MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 32154
-/* 32133 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 32136 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32145
-/* 32140 */   MCD_OPC_Decode, 202, 10, 239, 1, // Opcode: SMADDLrrr
-/* 32145 */   MCD_OPC_FilterValue, 1, 72, 33, // Skip to: 40669
-/* 32149 */   MCD_OPC_Decode, 135, 11, 239, 1, // Opcode: SMSUBLrrr
-/* 32154 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32169
-/* 32158 */   MCD_OPC_CheckField, 15, 1, 0, 57, 33, // Skip to: 40669
-/* 32164 */   MCD_OPC_Decode, 136, 11, 235, 1, // Opcode: SMULHrr
-/* 32169 */   MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 32194
-/* 32173 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 32176 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32185
-/* 32180 */   MCD_OPC_Decode, 194, 16, 239, 1, // Opcode: UMADDLrrr
-/* 32185 */   MCD_OPC_FilterValue, 1, 32, 33, // Skip to: 40669
-/* 32189 */   MCD_OPC_Decode, 253, 16, 239, 1, // Opcode: UMSUBLrrr
-/* 32194 */   MCD_OPC_FilterValue, 6, 23, 33, // Skip to: 40669
-/* 32198 */   MCD_OPC_CheckField, 15, 1, 0, 17, 33, // Skip to: 40669
-/* 32204 */   MCD_OPC_Decode, 254, 16, 235, 1, // Opcode: UMULHrr
-/* 32209 */   MCD_OPC_FilterValue, 5, 122, 1, // Skip to: 32591
-/* 32213 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 32216 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 32309
-/* 32220 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32223 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32238
-/* 32227 */   MCD_OPC_CheckField, 21, 1, 0, 244, 32, // Skip to: 40669
-/* 32233 */   MCD_OPC_Decode, 141, 15, 226, 1, // Opcode: STURWi
-/* 32238 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32253
-/* 32242 */   MCD_OPC_CheckField, 21, 1, 0, 229, 32, // Skip to: 40669
-/* 32248 */   MCD_OPC_Decode, 248, 14, 226, 1, // Opcode: STRWpost
-/* 32253 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32294
-/* 32257 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 32260 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32269
-/* 32264 */   MCD_OPC_Decode, 132, 15, 226, 1, // Opcode: STTRWi
-/* 32269 */   MCD_OPC_FilterValue, 1, 204, 32, // Skip to: 40669
-/* 32273 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32276 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32285
-/* 32280 */   MCD_OPC_Decode, 250, 14, 227, 1, // Opcode: STRWroW
-/* 32285 */   MCD_OPC_FilterValue, 3, 188, 32, // Skip to: 40669
-/* 32289 */   MCD_OPC_Decode, 251, 14, 228, 1, // Opcode: STRWroX
-/* 32294 */   MCD_OPC_FilterValue, 3, 179, 32, // Skip to: 40669
-/* 32298 */   MCD_OPC_CheckField, 21, 1, 0, 173, 32, // Skip to: 40669
-/* 32304 */   MCD_OPC_Decode, 249, 14, 226, 1, // Opcode: STRWpre
-/* 32309 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 32402
-/* 32313 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32316 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32331
-/* 32320 */   MCD_OPC_CheckField, 21, 1, 0, 151, 32, // Skip to: 40669
-/* 32326 */   MCD_OPC_Decode, 165, 8, 226, 1, // Opcode: LDURWi
-/* 32331 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32346
-/* 32335 */   MCD_OPC_CheckField, 21, 1, 0, 136, 32, // Skip to: 40669
-/* 32341 */   MCD_OPC_Decode, 133, 8, 226, 1, // Opcode: LDRWpost
-/* 32346 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32387
-/* 32350 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 32353 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32362
-/* 32357 */   MCD_OPC_Decode, 151, 8, 226, 1, // Opcode: LDTRWi
-/* 32362 */   MCD_OPC_FilterValue, 1, 111, 32, // Skip to: 40669
-/* 32366 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32369 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32378
-/* 32373 */   MCD_OPC_Decode, 135, 8, 227, 1, // Opcode: LDRWroW
-/* 32378 */   MCD_OPC_FilterValue, 3, 95, 32, // Skip to: 40669
-/* 32382 */   MCD_OPC_Decode, 136, 8, 228, 1, // Opcode: LDRWroX
-/* 32387 */   MCD_OPC_FilterValue, 3, 86, 32, // Skip to: 40669
-/* 32391 */   MCD_OPC_CheckField, 21, 1, 0, 80, 32, // Skip to: 40669
-/* 32397 */   MCD_OPC_Decode, 134, 8, 226, 1, // Opcode: LDRWpre
-/* 32402 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 32495
-/* 32406 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32409 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32424
-/* 32413 */   MCD_OPC_CheckField, 21, 1, 0, 58, 32, // Skip to: 40669
-/* 32419 */   MCD_OPC_Decode, 163, 8, 226, 1, // Opcode: LDURSWi
-/* 32424 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32439
-/* 32428 */   MCD_OPC_CheckField, 21, 1, 0, 43, 32, // Skip to: 40669
-/* 32434 */   MCD_OPC_Decode, 249, 7, 226, 1, // Opcode: LDRSWpost
-/* 32439 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32480
-/* 32443 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 32446 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32455
-/* 32450 */   MCD_OPC_Decode, 150, 8, 226, 1, // Opcode: LDTRSWi
-/* 32455 */   MCD_OPC_FilterValue, 1, 18, 32, // Skip to: 40669
-/* 32459 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32462 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32471
-/* 32466 */   MCD_OPC_Decode, 251, 7, 229, 1, // Opcode: LDRSWroW
-/* 32471 */   MCD_OPC_FilterValue, 3, 2, 32, // Skip to: 40669
-/* 32475 */   MCD_OPC_Decode, 252, 7, 230, 1, // Opcode: LDRSWroX
-/* 32480 */   MCD_OPC_FilterValue, 3, 249, 31, // Skip to: 40669
-/* 32484 */   MCD_OPC_CheckField, 21, 1, 0, 243, 31, // Skip to: 40669
-/* 32490 */   MCD_OPC_Decode, 250, 7, 226, 1, // Opcode: LDRSWpre
-/* 32495 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32504
-/* 32499 */   MCD_OPC_Decode, 252, 14, 231, 1, // Opcode: STRWui
-/* 32504 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 32513
-/* 32508 */   MCD_OPC_Decode, 137, 8, 231, 1, // Opcode: LDRWui
-/* 32513 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 32522
-/* 32517 */   MCD_OPC_Decode, 253, 7, 231, 1, // Opcode: LDRSWui
-/* 32522 */   MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 32542
-/* 32526 */   MCD_OPC_CheckField, 21, 1, 0, 201, 31, // Skip to: 40669
-/* 32532 */   MCD_OPC_CheckField, 10, 6, 0, 195, 31, // Skip to: 40669
-/* 32538 */   MCD_OPC_Decode, 29, 235, 1, // Opcode: ADCSXr
-/* 32542 */   MCD_OPC_FilterValue, 9, 187, 31, // Skip to: 40669
-/* 32546 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32549 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 32570
-/* 32553 */   MCD_OPC_CheckField, 21, 1, 0, 174, 31, // Skip to: 40669
-/* 32559 */   MCD_OPC_CheckField, 4, 1, 0, 168, 31, // Skip to: 40669
-/* 32565 */   MCD_OPC_Decode, 136, 1, 240, 1, // Opcode: CCMNXr
-/* 32570 */   MCD_OPC_FilterValue, 2, 159, 31, // Skip to: 40669
-/* 32574 */   MCD_OPC_CheckField, 21, 1, 0, 153, 31, // Skip to: 40669
-/* 32580 */   MCD_OPC_CheckField, 4, 1, 0, 147, 31, // Skip to: 40669
-/* 32586 */   MCD_OPC_Decode, 135, 1, 241, 1, // Opcode: CCMNXi
-/* 32591 */   MCD_OPC_FilterValue, 6, 148, 0, // Skip to: 32743
-/* 32595 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 32598 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32607
-/* 32602 */   MCD_OPC_Decode, 151, 9, 242, 1, // Opcode: PRFMl
-/* 32607 */   MCD_OPC_FilterValue, 2, 122, 31, // Skip to: 40669
-/* 32611 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32614 */   MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 32670
-/* 32618 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 32621 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32636
-/* 32625 */   MCD_OPC_CheckField, 12, 4, 0, 102, 31, // Skip to: 40669
-/* 32631 */   MCD_OPC_Decode, 255, 9, 235, 1, // Opcode: SBCXr
-/* 32636 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32645
-/* 32640 */   MCD_OPC_Decode, 137, 2, 236, 1, // Opcode: CSINVXr
-/* 32645 */   MCD_OPC_FilterValue, 6, 84, 31, // Skip to: 40669
-/* 32649 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
-/* 32652 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32661
-/* 32656 */   MCD_OPC_Decode, 163, 9, 243, 1, // Opcode: RBITXr
-/* 32661 */   MCD_OPC_FilterValue, 1, 68, 31, // Skip to: 40669
-/* 32665 */   MCD_OPC_Decode, 151, 1, 243, 1, // Opcode: CLZXr
-/* 32670 */   MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 32711
-/* 32674 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 32677 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32686
-/* 32681 */   MCD_OPC_Decode, 139, 2, 236, 1, // Opcode: CSNEGXr
-/* 32686 */   MCD_OPC_FilterValue, 6, 43, 31, // Skip to: 40669
-/* 32690 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
-/* 32693 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32702
-/* 32697 */   MCD_OPC_Decode, 169, 9, 243, 1, // Opcode: REV16Xr
-/* 32702 */   MCD_OPC_FilterValue, 1, 27, 31, // Skip to: 40669
-/* 32706 */   MCD_OPC_Decode, 143, 1, 243, 1, // Opcode: CLSXr
-/* 32711 */   MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 32727
-/* 32715 */   MCD_OPC_CheckField, 12, 12, 128, 24, 11, 31, // Skip to: 40669
-/* 32722 */   MCD_OPC_Decode, 172, 9, 243, 1, // Opcode: REV32Xr
-/* 32727 */   MCD_OPC_FilterValue, 3, 2, 31, // Skip to: 40669
-/* 32731 */   MCD_OPC_CheckField, 12, 12, 128, 24, 251, 30, // Skip to: 40669
-/* 32738 */   MCD_OPC_Decode, 184, 9, 243, 1, // Opcode: REVXr
-/* 32743 */   MCD_OPC_FilterValue, 7, 242, 30, // Skip to: 40669
-/* 32747 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 32750 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 32843
-/* 32754 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32757 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32772
-/* 32761 */   MCD_OPC_CheckField, 21, 1, 0, 222, 30, // Skip to: 40669
-/* 32767 */   MCD_OPC_Decode, 142, 15, 226, 1, // Opcode: STURXi
-/* 32772 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32787
-/* 32776 */   MCD_OPC_CheckField, 21, 1, 0, 207, 30, // Skip to: 40669
-/* 32782 */   MCD_OPC_Decode, 253, 14, 226, 1, // Opcode: STRXpost
-/* 32787 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32828
-/* 32791 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 32794 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32803
-/* 32798 */   MCD_OPC_Decode, 133, 15, 226, 1, // Opcode: STTRXi
-/* 32803 */   MCD_OPC_FilterValue, 1, 182, 30, // Skip to: 40669
-/* 32807 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32810 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32819
-/* 32814 */   MCD_OPC_Decode, 255, 14, 229, 1, // Opcode: STRXroW
-/* 32819 */   MCD_OPC_FilterValue, 3, 166, 30, // Skip to: 40669
-/* 32823 */   MCD_OPC_Decode, 128, 15, 230, 1, // Opcode: STRXroX
-/* 32828 */   MCD_OPC_FilterValue, 3, 157, 30, // Skip to: 40669
-/* 32832 */   MCD_OPC_CheckField, 21, 1, 0, 151, 30, // Skip to: 40669
-/* 32838 */   MCD_OPC_Decode, 254, 14, 226, 1, // Opcode: STRXpre
-/* 32843 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 32936
-/* 32847 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32850 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32865
-/* 32854 */   MCD_OPC_CheckField, 21, 1, 0, 129, 30, // Skip to: 40669
-/* 32860 */   MCD_OPC_Decode, 166, 8, 226, 1, // Opcode: LDURXi
-/* 32865 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32880
-/* 32869 */   MCD_OPC_CheckField, 21, 1, 0, 114, 30, // Skip to: 40669
-/* 32875 */   MCD_OPC_Decode, 139, 8, 226, 1, // Opcode: LDRXpost
-/* 32880 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32921
-/* 32884 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 32887 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32896
-/* 32891 */   MCD_OPC_Decode, 152, 8, 226, 1, // Opcode: LDTRXi
-/* 32896 */   MCD_OPC_FilterValue, 1, 89, 30, // Skip to: 40669
-/* 32900 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32903 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32912
-/* 32907 */   MCD_OPC_Decode, 141, 8, 229, 1, // Opcode: LDRXroW
-/* 32912 */   MCD_OPC_FilterValue, 3, 73, 30, // Skip to: 40669
-/* 32916 */   MCD_OPC_Decode, 142, 8, 230, 1, // Opcode: LDRXroX
-/* 32921 */   MCD_OPC_FilterValue, 3, 64, 30, // Skip to: 40669
-/* 32925 */   MCD_OPC_CheckField, 21, 1, 0, 58, 30, // Skip to: 40669
-/* 32931 */   MCD_OPC_Decode, 140, 8, 226, 1, // Opcode: LDRXpre
-/* 32936 */   MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 32995
-/* 32940 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 32943 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32958
-/* 32947 */   MCD_OPC_CheckField, 21, 1, 0, 36, 30, // Skip to: 40669
-/* 32953 */   MCD_OPC_Decode, 155, 9, 226, 1, // Opcode: PRFUMi
-/* 32958 */   MCD_OPC_FilterValue, 2, 27, 30, // Skip to: 40669
-/* 32962 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 32965 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32980
-/* 32969 */   MCD_OPC_CheckField, 21, 1, 1, 14, 30, // Skip to: 40669
-/* 32975 */   MCD_OPC_Decode, 152, 9, 244, 1, // Opcode: PRFMroW
-/* 32980 */   MCD_OPC_FilterValue, 3, 5, 30, // Skip to: 40669
-/* 32984 */   MCD_OPC_CheckField, 21, 1, 1, 255, 29, // Skip to: 40669
-/* 32990 */   MCD_OPC_Decode, 153, 9, 245, 1, // Opcode: PRFMroX
-/* 32995 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 33004
-/* 32999 */   MCD_OPC_Decode, 129, 15, 231, 1, // Opcode: STRXui
-/* 33004 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 33013
-/* 33008 */   MCD_OPC_Decode, 143, 8, 231, 1, // Opcode: LDRXui
-/* 33013 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 33022
-/* 33017 */   MCD_OPC_Decode, 154, 9, 231, 1, // Opcode: PRFMui
-/* 33022 */   MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 33043
-/* 33026 */   MCD_OPC_CheckField, 21, 1, 0, 213, 29, // Skip to: 40669
-/* 33032 */   MCD_OPC_CheckField, 10, 6, 0, 207, 29, // Skip to: 40669
-/* 33038 */   MCD_OPC_Decode, 253, 9, 235, 1, // Opcode: SBCSXr
-/* 33043 */   MCD_OPC_FilterValue, 9, 198, 29, // Skip to: 40669
-/* 33047 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 33050 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 33071
-/* 33054 */   MCD_OPC_CheckField, 21, 1, 0, 185, 29, // Skip to: 40669
-/* 33060 */   MCD_OPC_CheckField, 4, 1, 0, 179, 29, // Skip to: 40669
-/* 33066 */   MCD_OPC_Decode, 140, 1, 240, 1, // Opcode: CCMPXr
-/* 33071 */   MCD_OPC_FilterValue, 2, 170, 29, // Skip to: 40669
-/* 33075 */   MCD_OPC_CheckField, 21, 1, 0, 164, 29, // Skip to: 40669
-/* 33081 */   MCD_OPC_CheckField, 4, 1, 0, 158, 29, // Skip to: 40669
-/* 33087 */   MCD_OPC_Decode, 139, 1, 241, 1, // Opcode: CCMPXi
-/* 33092 */   MCD_OPC_FilterValue, 7, 149, 29, // Skip to: 40669
-/* 33096 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
-/* 33099 */   MCD_OPC_FilterValue, 0, 8, 6, // Skip to: 34647
-/* 33103 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 33106 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 33115
-/* 33110 */   MCD_OPC_Decode, 254, 7, 246, 1, // Opcode: LDRSl
-/* 33115 */   MCD_OPC_FilterValue, 2, 109, 5, // Skip to: 34508
-/* 33119 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 33122 */   MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 33181
-/* 33126 */   MCD_OPC_ExtractField, 15, 6,  // Inst{20-15} ...
-/* 33129 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33142
-/* 33133 */   MCD_OPC_CheckPredicate, 3, 108, 29, // Skip to: 40669
-/* 33137 */   MCD_OPC_Decode, 131, 10, 247, 1, // Opcode: SCVTFSWSri
-/* 33142 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33155
-/* 33146 */   MCD_OPC_CheckPredicate, 3, 95, 29, // Skip to: 40669
-/* 33150 */   MCD_OPC_Decode, 161, 16, 247, 1, // Opcode: UCVTFSWSri
-/* 33155 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 33168
-/* 33159 */   MCD_OPC_CheckPredicate, 3, 82, 29, // Skip to: 40669
-/* 33163 */   MCD_OPC_Decode, 224, 3, 248, 1, // Opcode: FCVTZSSWSri
-/* 33168 */   MCD_OPC_FilterValue, 51, 73, 29, // Skip to: 40669
-/* 33172 */   MCD_OPC_CheckPredicate, 3, 69, 29, // Skip to: 40669
-/* 33176 */   MCD_OPC_Decode, 253, 3, 248, 1, // Opcode: FCVTZUSWSri
-/* 33181 */   MCD_OPC_FilterValue, 1, 125, 2, // Skip to: 33822
-/* 33185 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 33188 */   MCD_OPC_FilterValue, 0, 204, 1, // Skip to: 33652
-/* 33192 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 33195 */   MCD_OPC_FilterValue, 0, 178, 1, // Skip to: 33633
-/* 33199 */   MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 33202 */   MCD_OPC_FilterValue, 0, 185, 0, // Skip to: 33391
-/* 33206 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 33209 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33222
-/* 33213 */   MCD_OPC_CheckPredicate, 3, 28, 29, // Skip to: 40669
-/* 33217 */   MCD_OPC_Decode, 179, 3, 249, 1, // Opcode: FCVTNSUWSr
-/* 33222 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33235
-/* 33226 */   MCD_OPC_CheckPredicate, 3, 15, 29, // Skip to: 40669
-/* 33230 */   MCD_OPC_Decode, 188, 3, 249, 1, // Opcode: FCVTNUUWSr
-/* 33235 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33248
-/* 33239 */   MCD_OPC_CheckPredicate, 3, 2, 29, // Skip to: 40669
-/* 33243 */   MCD_OPC_Decode, 135, 10, 250, 1, // Opcode: SCVTFUWSri
-/* 33248 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33261
-/* 33252 */   MCD_OPC_CheckPredicate, 3, 245, 28, // Skip to: 40669
-/* 33256 */   MCD_OPC_Decode, 165, 16, 250, 1, // Opcode: UCVTFUWSri
-/* 33261 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33274
-/* 33265 */   MCD_OPC_CheckPredicate, 3, 232, 28, // Skip to: 40669
-/* 33269 */   MCD_OPC_Decode, 135, 3, 249, 1, // Opcode: FCVTASUWSr
-/* 33274 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33287
-/* 33278 */   MCD_OPC_CheckPredicate, 3, 219, 28, // Skip to: 40669
-/* 33282 */   MCD_OPC_Decode, 144, 3, 249, 1, // Opcode: FCVTAUUWSr
-/* 33287 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33300
-/* 33291 */   MCD_OPC_CheckPredicate, 3, 206, 28, // Skip to: 40669
-/* 33295 */   MCD_OPC_Decode, 224, 4, 249, 1, // Opcode: FMOVSWr
-/* 33300 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33313
-/* 33304 */   MCD_OPC_CheckPredicate, 3, 193, 28, // Skip to: 40669
-/* 33308 */   MCD_OPC_Decode, 227, 4, 250, 1, // Opcode: FMOVWSr
-/* 33313 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33326
-/* 33317 */   MCD_OPC_CheckPredicate, 3, 180, 28, // Skip to: 40669
-/* 33321 */   MCD_OPC_Decode, 201, 3, 249, 1, // Opcode: FCVTPSUWSr
-/* 33326 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 33339
-/* 33330 */   MCD_OPC_CheckPredicate, 3, 167, 28, // Skip to: 40669
-/* 33334 */   MCD_OPC_Decode, 210, 3, 249, 1, // Opcode: FCVTPUUWSr
-/* 33339 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 33352
-/* 33343 */   MCD_OPC_CheckPredicate, 3, 154, 28, // Skip to: 40669
-/* 33347 */   MCD_OPC_Decode, 161, 3, 249, 1, // Opcode: FCVTMSUWSr
-/* 33352 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 33365
-/* 33356 */   MCD_OPC_CheckPredicate, 3, 141, 28, // Skip to: 40669
-/* 33360 */   MCD_OPC_Decode, 170, 3, 249, 1, // Opcode: FCVTMUUWSr
-/* 33365 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 33378
-/* 33369 */   MCD_OPC_CheckPredicate, 3, 128, 28, // Skip to: 40669
-/* 33373 */   MCD_OPC_Decode, 228, 3, 249, 1, // Opcode: FCVTZSUWSr
-/* 33378 */   MCD_OPC_FilterValue, 25, 119, 28, // Skip to: 40669
-/* 33382 */   MCD_OPC_CheckPredicate, 3, 115, 28, // Skip to: 40669
-/* 33386 */   MCD_OPC_Decode, 129, 4, 249, 1, // Opcode: FCVTZUUWSr
-/* 33391 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 33450
-/* 33395 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
-/* 33398 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33411
-/* 33402 */   MCD_OPC_CheckPredicate, 3, 95, 28, // Skip to: 40669
-/* 33406 */   MCD_OPC_Decode, 131, 3, 251, 1, // Opcode: FCMPSrr
-/* 33411 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33424
-/* 33415 */   MCD_OPC_CheckPredicate, 3, 82, 28, // Skip to: 40669
-/* 33419 */   MCD_OPC_Decode, 130, 3, 252, 1, // Opcode: FCMPSri
-/* 33424 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 33437
-/* 33428 */   MCD_OPC_CheckPredicate, 3, 69, 28, // Skip to: 40669
-/* 33432 */   MCD_OPC_Decode, 129, 3, 251, 1, // Opcode: FCMPESrr
-/* 33437 */   MCD_OPC_FilterValue, 24, 60, 28, // Skip to: 40669
-/* 33441 */   MCD_OPC_CheckPredicate, 3, 56, 28, // Skip to: 40669
-/* 33445 */   MCD_OPC_Decode, 128, 3, 252, 1, // Opcode: FCMPESri
-/* 33450 */   MCD_OPC_FilterValue, 2, 81, 0, // Skip to: 33535
-/* 33454 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 33457 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33470
-/* 33461 */   MCD_OPC_CheckPredicate, 3, 36, 28, // Skip to: 40669
-/* 33465 */   MCD_OPC_Decode, 226, 4, 253, 1, // Opcode: FMOVSr
-/* 33470 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33483
-/* 33474 */   MCD_OPC_CheckPredicate, 3, 23, 28, // Skip to: 40669
-/* 33478 */   MCD_OPC_Decode, 128, 5, 253, 1, // Opcode: FNEGSr
-/* 33483 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33496
-/* 33487 */   MCD_OPC_CheckPredicate, 3, 10, 28, // Skip to: 40669
-/* 33491 */   MCD_OPC_Decode, 166, 5, 253, 1, // Opcode: FRINTNSr
-/* 33496 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33509
-/* 33500 */   MCD_OPC_CheckPredicate, 3, 253, 27, // Skip to: 40669
-/* 33504 */   MCD_OPC_Decode, 161, 5, 253, 1, // Opcode: FRINTMSr
-/* 33509 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33522
-/* 33513 */   MCD_OPC_CheckPredicate, 3, 240, 27, // Skip to: 40669
-/* 33517 */   MCD_OPC_Decode, 151, 5, 253, 1, // Opcode: FRINTASr
-/* 33522 */   MCD_OPC_FilterValue, 7, 231, 27, // Skip to: 40669
-/* 33526 */   MCD_OPC_CheckPredicate, 3, 227, 27, // Skip to: 40669
-/* 33530 */   MCD_OPC_Decode, 176, 5, 253, 1, // Opcode: FRINTXSr
-/* 33535 */   MCD_OPC_FilterValue, 6, 218, 27, // Skip to: 40669
-/* 33539 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 33542 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33555
-/* 33546 */   MCD_OPC_CheckPredicate, 3, 207, 27, // Skip to: 40669
-/* 33550 */   MCD_OPC_Decode, 184, 2, 253, 1, // Opcode: FABSSr
-/* 33555 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33568
-/* 33559 */   MCD_OPC_CheckPredicate, 3, 194, 27, // Skip to: 40669
-/* 33563 */   MCD_OPC_Decode, 196, 5, 253, 1, // Opcode: FSQRTSr
-/* 33568 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33581
-/* 33572 */   MCD_OPC_CheckPredicate, 3, 181, 27, // Skip to: 40669
-/* 33576 */   MCD_OPC_Decode, 153, 3, 254, 1, // Opcode: FCVTDSr
-/* 33581 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33594
-/* 33585 */   MCD_OPC_CheckPredicate, 3, 168, 27, // Skip to: 40669
-/* 33589 */   MCD_OPC_Decode, 155, 3, 255, 1, // Opcode: FCVTHSr
-/* 33594 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33607
-/* 33598 */   MCD_OPC_CheckPredicate, 3, 155, 27, // Skip to: 40669
-/* 33602 */   MCD_OPC_Decode, 171, 5, 253, 1, // Opcode: FRINTPSr
-/* 33607 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33620
-/* 33611 */   MCD_OPC_CheckPredicate, 3, 142, 27, // Skip to: 40669
-/* 33615 */   MCD_OPC_Decode, 181, 5, 253, 1, // Opcode: FRINTZSr
-/* 33620 */   MCD_OPC_FilterValue, 7, 133, 27, // Skip to: 40669
-/* 33624 */   MCD_OPC_CheckPredicate, 3, 129, 27, // Skip to: 40669
-/* 33628 */   MCD_OPC_Decode, 156, 5, 253, 1, // Opcode: FRINTISr
-/* 33633 */   MCD_OPC_FilterValue, 1, 120, 27, // Skip to: 40669
-/* 33637 */   MCD_OPC_CheckPredicate, 3, 116, 27, // Skip to: 40669
-/* 33641 */   MCD_OPC_CheckField, 5, 5, 0, 110, 27, // Skip to: 40669
-/* 33647 */   MCD_OPC_Decode, 225, 4, 128, 2, // Opcode: FMOVSi
-/* 33652 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 33685
-/* 33656 */   MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 33659 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33672
-/* 33663 */   MCD_OPC_CheckPredicate, 3, 90, 27, // Skip to: 40669
-/* 33667 */   MCD_OPC_Decode, 211, 2, 129, 2, // Opcode: FCCMPSrr
-/* 33672 */   MCD_OPC_FilterValue, 1, 81, 27, // Skip to: 40669
-/* 33676 */   MCD_OPC_CheckPredicate, 3, 77, 27, // Skip to: 40669
-/* 33680 */   MCD_OPC_Decode, 210, 2, 129, 2, // Opcode: FCCMPESrr
-/* 33685 */   MCD_OPC_FilterValue, 2, 120, 0, // Skip to: 33809
-/* 33689 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 33692 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33705
-/* 33696 */   MCD_OPC_CheckPredicate, 3, 57, 27, // Skip to: 40669
-/* 33700 */   MCD_OPC_Decode, 236, 4, 130, 2, // Opcode: FMULSrr
-/* 33705 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33718
-/* 33709 */   MCD_OPC_CheckPredicate, 3, 44, 27, // Skip to: 40669
-/* 33713 */   MCD_OPC_Decode, 154, 4, 130, 2, // Opcode: FDIVSrr
-/* 33718 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33731
-/* 33722 */   MCD_OPC_CheckPredicate, 3, 31, 27, // Skip to: 40669
-/* 33726 */   MCD_OPC_Decode, 204, 2, 130, 2, // Opcode: FADDSrr
-/* 33731 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33744
-/* 33735 */   MCD_OPC_CheckPredicate, 3, 18, 27, // Skip to: 40669
-/* 33739 */   MCD_OPC_Decode, 201, 5, 130, 2, // Opcode: FSUBSrr
-/* 33744 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33757
-/* 33748 */   MCD_OPC_CheckPredicate, 3, 5, 27, // Skip to: 40669
-/* 33752 */   MCD_OPC_Decode, 177, 4, 130, 2, // Opcode: FMAXSrr
-/* 33757 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33770
-/* 33761 */   MCD_OPC_CheckPredicate, 3, 248, 26, // Skip to: 40669
-/* 33765 */   MCD_OPC_Decode, 199, 4, 130, 2, // Opcode: FMINSrr
-/* 33770 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33783
-/* 33774 */   MCD_OPC_CheckPredicate, 3, 235, 26, // Skip to: 40669
-/* 33778 */   MCD_OPC_Decode, 167, 4, 130, 2, // Opcode: FMAXNMSrr
-/* 33783 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33796
-/* 33787 */   MCD_OPC_CheckPredicate, 3, 222, 26, // Skip to: 40669
-/* 33791 */   MCD_OPC_Decode, 189, 4, 130, 2, // Opcode: FMINNMSrr
-/* 33796 */   MCD_OPC_FilterValue, 8, 213, 26, // Skip to: 40669
-/* 33800 */   MCD_OPC_CheckPredicate, 3, 209, 26, // Skip to: 40669
-/* 33804 */   MCD_OPC_Decode, 137, 5, 130, 2, // Opcode: FNMULSrr
-/* 33809 */   MCD_OPC_FilterValue, 3, 200, 26, // Skip to: 40669
-/* 33813 */   MCD_OPC_CheckPredicate, 3, 196, 26, // Skip to: 40669
-/* 33817 */   MCD_OPC_Decode, 133, 3, 131, 2, // Opcode: FCSELSrrr
-/* 33822 */   MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 33881
-/* 33826 */   MCD_OPC_ExtractField, 15, 6,  // Inst{20-15} ...
-/* 33829 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33842
-/* 33833 */   MCD_OPC_CheckPredicate, 3, 176, 26, // Skip to: 40669
-/* 33837 */   MCD_OPC_Decode, 130, 10, 132, 2, // Opcode: SCVTFSWDri
-/* 33842 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33855
-/* 33846 */   MCD_OPC_CheckPredicate, 3, 163, 26, // Skip to: 40669
-/* 33850 */   MCD_OPC_Decode, 160, 16, 132, 2, // Opcode: UCVTFSWDri
-/* 33855 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 33868
-/* 33859 */   MCD_OPC_CheckPredicate, 3, 150, 26, // Skip to: 40669
-/* 33863 */   MCD_OPC_Decode, 223, 3, 133, 2, // Opcode: FCVTZSSWDri
-/* 33868 */   MCD_OPC_FilterValue, 51, 141, 26, // Skip to: 40669
-/* 33872 */   MCD_OPC_CheckPredicate, 3, 137, 26, // Skip to: 40669
-/* 33876 */   MCD_OPC_Decode, 252, 3, 133, 2, // Opcode: FCVTZUSWDri
-/* 33881 */   MCD_OPC_FilterValue, 3, 76, 2, // Skip to: 34473
-/* 33885 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 33888 */   MCD_OPC_FilterValue, 0, 164, 1, // Skip to: 34312
-/* 33892 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 33895 */   MCD_OPC_FilterValue, 0, 138, 1, // Skip to: 34293
-/* 33899 */   MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 33902 */   MCD_OPC_FilterValue, 0, 157, 0, // Skip to: 34063
-/* 33906 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 33909 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33922
-/* 33913 */   MCD_OPC_CheckPredicate, 3, 96, 26, // Skip to: 40669
-/* 33917 */   MCD_OPC_Decode, 178, 3, 134, 2, // Opcode: FCVTNSUWDr
-/* 33922 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33935
-/* 33926 */   MCD_OPC_CheckPredicate, 3, 83, 26, // Skip to: 40669
-/* 33930 */   MCD_OPC_Decode, 187, 3, 134, 2, // Opcode: FCVTNUUWDr
-/* 33935 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 33947
-/* 33939 */   MCD_OPC_CheckPredicate, 3, 70, 26, // Skip to: 40669
-/* 33943 */   MCD_OPC_Decode, 134, 10, 91, // Opcode: SCVTFUWDri
-/* 33947 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 33959
-/* 33951 */   MCD_OPC_CheckPredicate, 3, 58, 26, // Skip to: 40669
-/* 33955 */   MCD_OPC_Decode, 164, 16, 91, // Opcode: UCVTFUWDri
-/* 33959 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33972
-/* 33963 */   MCD_OPC_CheckPredicate, 3, 46, 26, // Skip to: 40669
-/* 33967 */   MCD_OPC_Decode, 134, 3, 134, 2, // Opcode: FCVTASUWDr
-/* 33972 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33985
-/* 33976 */   MCD_OPC_CheckPredicate, 3, 33, 26, // Skip to: 40669
-/* 33980 */   MCD_OPC_Decode, 143, 3, 134, 2, // Opcode: FCVTAUUWDr
-/* 33985 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33998
-/* 33989 */   MCD_OPC_CheckPredicate, 3, 20, 26, // Skip to: 40669
-/* 33993 */   MCD_OPC_Decode, 200, 3, 134, 2, // Opcode: FCVTPSUWDr
-/* 33998 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 34011
-/* 34002 */   MCD_OPC_CheckPredicate, 3, 7, 26, // Skip to: 40669
-/* 34006 */   MCD_OPC_Decode, 209, 3, 134, 2, // Opcode: FCVTPUUWDr
-/* 34011 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 34024
-/* 34015 */   MCD_OPC_CheckPredicate, 3, 250, 25, // Skip to: 40669
-/* 34019 */   MCD_OPC_Decode, 160, 3, 134, 2, // Opcode: FCVTMSUWDr
-/* 34024 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 34037
-/* 34028 */   MCD_OPC_CheckPredicate, 3, 237, 25, // Skip to: 40669
-/* 34032 */   MCD_OPC_Decode, 169, 3, 134, 2, // Opcode: FCVTMUUWDr
-/* 34037 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 34050
-/* 34041 */   MCD_OPC_CheckPredicate, 3, 224, 25, // Skip to: 40669
-/* 34045 */   MCD_OPC_Decode, 227, 3, 134, 2, // Opcode: FCVTZSUWDr
-/* 34050 */   MCD_OPC_FilterValue, 25, 215, 25, // Skip to: 40669
-/* 34054 */   MCD_OPC_CheckPredicate, 3, 211, 25, // Skip to: 40669
-/* 34058 */   MCD_OPC_Decode, 128, 4, 134, 2, // Opcode: FCVTZUUWDr
-/* 34063 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 34122
-/* 34067 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
-/* 34070 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34083
-/* 34074 */   MCD_OPC_CheckPredicate, 3, 191, 25, // Skip to: 40669
-/* 34078 */   MCD_OPC_Decode, 253, 2, 135, 2, // Opcode: FCMPDrr
-/* 34083 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 34096
-/* 34087 */   MCD_OPC_CheckPredicate, 3, 178, 25, // Skip to: 40669
-/* 34091 */   MCD_OPC_Decode, 252, 2, 136, 2, // Opcode: FCMPDri
-/* 34096 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 34109
-/* 34100 */   MCD_OPC_CheckPredicate, 3, 165, 25, // Skip to: 40669
-/* 34104 */   MCD_OPC_Decode, 255, 2, 135, 2, // Opcode: FCMPEDrr
-/* 34109 */   MCD_OPC_FilterValue, 24, 156, 25, // Skip to: 40669
-/* 34113 */   MCD_OPC_CheckPredicate, 3, 152, 25, // Skip to: 40669
-/* 34117 */   MCD_OPC_Decode, 254, 2, 136, 2, // Opcode: FCMPEDri
-/* 34122 */   MCD_OPC_FilterValue, 2, 88, 0, // Skip to: 34214
-/* 34126 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 34129 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34141
-/* 34133 */   MCD_OPC_CheckPredicate, 3, 132, 25, // Skip to: 40669
-/* 34137 */   MCD_OPC_Decode, 223, 4, 90, // Opcode: FMOVDr
-/* 34141 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34153
-/* 34145 */   MCD_OPC_CheckPredicate, 3, 120, 25, // Skip to: 40669
-/* 34149 */   MCD_OPC_Decode, 255, 4, 90, // Opcode: FNEGDr
-/* 34153 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 34166
-/* 34157 */   MCD_OPC_CheckPredicate, 3, 108, 25, // Skip to: 40669
-/* 34161 */   MCD_OPC_Decode, 218, 3, 144, 1, // Opcode: FCVTSDr
-/* 34166 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34178
-/* 34170 */   MCD_OPC_CheckPredicate, 3, 95, 25, // Skip to: 40669
-/* 34174 */   MCD_OPC_Decode, 165, 5, 90, // Opcode: FRINTNDr
-/* 34178 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34190
-/* 34182 */   MCD_OPC_CheckPredicate, 3, 83, 25, // Skip to: 40669
-/* 34186 */   MCD_OPC_Decode, 160, 5, 90, // Opcode: FRINTMDr
-/* 34190 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 34202
-/* 34194 */   MCD_OPC_CheckPredicate, 3, 71, 25, // Skip to: 40669
-/* 34198 */   MCD_OPC_Decode, 150, 5, 90, // Opcode: FRINTADr
-/* 34202 */   MCD_OPC_FilterValue, 7, 63, 25, // Skip to: 40669
-/* 34206 */   MCD_OPC_CheckPredicate, 3, 59, 25, // Skip to: 40669
-/* 34210 */   MCD_OPC_Decode, 175, 5, 90, // Opcode: FRINTXDr
-/* 34214 */   MCD_OPC_FilterValue, 6, 51, 25, // Skip to: 40669
-/* 34218 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 34221 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34233
-/* 34225 */   MCD_OPC_CheckPredicate, 3, 40, 25, // Skip to: 40669
-/* 34229 */   MCD_OPC_Decode, 183, 2, 90, // Opcode: FABSDr
-/* 34233 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34245
-/* 34237 */   MCD_OPC_CheckPredicate, 3, 28, 25, // Skip to: 40669
-/* 34241 */   MCD_OPC_Decode, 195, 5, 90, // Opcode: FSQRTDr
-/* 34245 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 34257
-/* 34249 */   MCD_OPC_CheckPredicate, 3, 16, 25, // Skip to: 40669
-/* 34253 */   MCD_OPC_Decode, 154, 3, 100, // Opcode: FCVTHDr
-/* 34257 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34269
-/* 34261 */   MCD_OPC_CheckPredicate, 3, 4, 25, // Skip to: 40669
-/* 34265 */   MCD_OPC_Decode, 170, 5, 90, // Opcode: FRINTPDr
-/* 34269 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34281
-/* 34273 */   MCD_OPC_CheckPredicate, 3, 248, 24, // Skip to: 40669
-/* 34277 */   MCD_OPC_Decode, 180, 5, 90, // Opcode: FRINTZDr
-/* 34281 */   MCD_OPC_FilterValue, 7, 240, 24, // Skip to: 40669
-/* 34285 */   MCD_OPC_CheckPredicate, 3, 236, 24, // Skip to: 40669
-/* 34289 */   MCD_OPC_Decode, 155, 5, 90, // Opcode: FRINTIDr
-/* 34293 */   MCD_OPC_FilterValue, 1, 228, 24, // Skip to: 40669
-/* 34297 */   MCD_OPC_CheckPredicate, 3, 224, 24, // Skip to: 40669
-/* 34301 */   MCD_OPC_CheckField, 5, 5, 0, 218, 24, // Skip to: 40669
-/* 34307 */   MCD_OPC_Decode, 222, 4, 137, 2, // Opcode: FMOVDi
-/* 34312 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 34345
-/* 34316 */   MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 34319 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34332
-/* 34323 */   MCD_OPC_CheckPredicate, 3, 198, 24, // Skip to: 40669
-/* 34327 */   MCD_OPC_Decode, 208, 2, 138, 2, // Opcode: FCCMPDrr
-/* 34332 */   MCD_OPC_FilterValue, 1, 189, 24, // Skip to: 40669
-/* 34336 */   MCD_OPC_CheckPredicate, 3, 185, 24, // Skip to: 40669
-/* 34340 */   MCD_OPC_Decode, 209, 2, 138, 2, // Opcode: FCCMPEDrr
-/* 34345 */   MCD_OPC_FilterValue, 2, 111, 0, // Skip to: 34460
-/* 34349 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 34352 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34364
-/* 34356 */   MCD_OPC_CheckPredicate, 3, 165, 24, // Skip to: 40669
-/* 34360 */   MCD_OPC_Decode, 235, 4, 89, // Opcode: FMULDrr
-/* 34364 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34376
-/* 34368 */   MCD_OPC_CheckPredicate, 3, 153, 24, // Skip to: 40669
-/* 34372 */   MCD_OPC_Decode, 153, 4, 89, // Opcode: FDIVDrr
-/* 34376 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 34388
-/* 34380 */   MCD_OPC_CheckPredicate, 3, 141, 24, // Skip to: 40669
-/* 34384 */   MCD_OPC_Decode, 198, 2, 89, // Opcode: FADDDrr
-/* 34388 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 34400
-/* 34392 */   MCD_OPC_CheckPredicate, 3, 129, 24, // Skip to: 40669
-/* 34396 */   MCD_OPC_Decode, 200, 5, 89, // Opcode: FSUBDrr
-/* 34400 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34412
-/* 34404 */   MCD_OPC_CheckPredicate, 3, 117, 24, // Skip to: 40669
-/* 34408 */   MCD_OPC_Decode, 160, 4, 89, // Opcode: FMAXDrr
-/* 34412 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34424
-/* 34416 */   MCD_OPC_CheckPredicate, 3, 105, 24, // Skip to: 40669
-/* 34420 */   MCD_OPC_Decode, 182, 4, 89, // Opcode: FMINDrr
-/* 34424 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 34436
-/* 34428 */   MCD_OPC_CheckPredicate, 3, 93, 24, // Skip to: 40669
-/* 34432 */   MCD_OPC_Decode, 161, 4, 89, // Opcode: FMAXNMDrr
-/* 34436 */   MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 34448
-/* 34440 */   MCD_OPC_CheckPredicate, 3, 81, 24, // Skip to: 40669
-/* 34444 */   MCD_OPC_Decode, 183, 4, 89, // Opcode: FMINNMDrr
-/* 34448 */   MCD_OPC_FilterValue, 8, 73, 24, // Skip to: 40669
-/* 34452 */   MCD_OPC_CheckPredicate, 3, 69, 24, // Skip to: 40669
-/* 34456 */   MCD_OPC_Decode, 136, 5, 89, // Opcode: FNMULDrr
-/* 34460 */   MCD_OPC_FilterValue, 3, 61, 24, // Skip to: 40669
-/* 34464 */   MCD_OPC_CheckPredicate, 3, 57, 24, // Skip to: 40669
-/* 34468 */   MCD_OPC_Decode, 132, 3, 139, 2, // Opcode: FCSELDrrr
-/* 34473 */   MCD_OPC_FilterValue, 7, 48, 24, // Skip to: 40669
-/* 34477 */   MCD_OPC_ExtractField, 10, 11,  // Inst{20-10} ...
-/* 34480 */   MCD_OPC_FilterValue, 144, 1, 9, 0, // Skip to: 34494
-/* 34485 */   MCD_OPC_CheckPredicate, 3, 36, 24, // Skip to: 40669
-/* 34489 */   MCD_OPC_Decode, 219, 3, 140, 2, // Opcode: FCVTSHr
-/* 34494 */   MCD_OPC_FilterValue, 176, 1, 26, 24, // Skip to: 40669
-/* 34499 */   MCD_OPC_CheckPredicate, 3, 22, 24, // Skip to: 40669
-/* 34503 */   MCD_OPC_Decode, 152, 3, 141, 2, // Opcode: FCVTDHr
-/* 34508 */   MCD_OPC_FilterValue, 3, 13, 24, // Skip to: 40669
-/* 34512 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 34515 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 34548
-/* 34519 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 34522 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34535
-/* 34526 */   MCD_OPC_CheckPredicate, 3, 251, 23, // Skip to: 40669
-/* 34530 */   MCD_OPC_Decode, 159, 4, 142, 2, // Opcode: FMADDSrrr
-/* 34535 */   MCD_OPC_FilterValue, 1, 242, 23, // Skip to: 40669
-/* 34539 */   MCD_OPC_CheckPredicate, 3, 238, 23, // Skip to: 40669
-/* 34543 */   MCD_OPC_Decode, 234, 4, 142, 2, // Opcode: FMSUBSrrr
-/* 34548 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 34581
-/* 34552 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 34555 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34568
-/* 34559 */   MCD_OPC_CheckPredicate, 3, 218, 23, // Skip to: 40669
-/* 34563 */   MCD_OPC_Decode, 133, 5, 142, 2, // Opcode: FNMADDSrrr
-/* 34568 */   MCD_OPC_FilterValue, 1, 209, 23, // Skip to: 40669
-/* 34572 */   MCD_OPC_CheckPredicate, 3, 205, 23, // Skip to: 40669
-/* 34576 */   MCD_OPC_Decode, 135, 5, 142, 2, // Opcode: FNMSUBSrrr
-/* 34581 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 34614
-/* 34585 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 34588 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34601
-/* 34592 */   MCD_OPC_CheckPredicate, 3, 185, 23, // Skip to: 40669
-/* 34596 */   MCD_OPC_Decode, 158, 4, 143, 2, // Opcode: FMADDDrrr
-/* 34601 */   MCD_OPC_FilterValue, 1, 176, 23, // Skip to: 40669
-/* 34605 */   MCD_OPC_CheckPredicate, 3, 172, 23, // Skip to: 40669
-/* 34609 */   MCD_OPC_Decode, 233, 4, 143, 2, // Opcode: FMSUBDrrr
-/* 34614 */   MCD_OPC_FilterValue, 3, 163, 23, // Skip to: 40669
-/* 34618 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
-/* 34621 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34634
-/* 34625 */   MCD_OPC_CheckPredicate, 3, 152, 23, // Skip to: 40669
-/* 34629 */   MCD_OPC_Decode, 132, 5, 143, 2, // Opcode: FNMADDDrrr
-/* 34634 */   MCD_OPC_FilterValue, 1, 143, 23, // Skip to: 40669
-/* 34638 */   MCD_OPC_CheckPredicate, 3, 139, 23, // Skip to: 40669
-/* 34642 */   MCD_OPC_Decode, 134, 5, 143, 2, // Opcode: FNMSUBDrrr
-/* 34647 */   MCD_OPC_FilterValue, 1, 139, 1, // Skip to: 35046
-/* 34651 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 34654 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 34743
-/* 34658 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 34661 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34676
-/* 34665 */   MCD_OPC_CheckField, 21, 1, 0, 110, 23, // Skip to: 40669
-/* 34671 */   MCD_OPC_Decode, 135, 15, 226, 1, // Opcode: STURBi
-/* 34676 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34691
-/* 34680 */   MCD_OPC_CheckField, 21, 1, 0, 95, 23, // Skip to: 40669
-/* 34686 */   MCD_OPC_Decode, 218, 14, 226, 1, // Opcode: STRBpost
-/* 34691 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34728
-/* 34695 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 34698 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34713
-/* 34702 */   MCD_OPC_CheckField, 21, 1, 1, 73, 23, // Skip to: 40669
-/* 34708 */   MCD_OPC_Decode, 220, 14, 144, 2, // Opcode: STRBroW
-/* 34713 */   MCD_OPC_FilterValue, 3, 64, 23, // Skip to: 40669
-/* 34717 */   MCD_OPC_CheckField, 21, 1, 1, 58, 23, // Skip to: 40669
-/* 34723 */   MCD_OPC_Decode, 221, 14, 145, 2, // Opcode: STRBroX
-/* 34728 */   MCD_OPC_FilterValue, 3, 49, 23, // Skip to: 40669
-/* 34732 */   MCD_OPC_CheckField, 21, 1, 0, 43, 23, // Skip to: 40669
-/* 34738 */   MCD_OPC_Decode, 219, 14, 226, 1, // Opcode: STRBpre
-/* 34743 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 34832
-/* 34747 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 34750 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34765
-/* 34754 */   MCD_OPC_CheckField, 21, 1, 0, 21, 23, // Skip to: 40669
-/* 34760 */   MCD_OPC_Decode, 154, 8, 226, 1, // Opcode: LDURBi
-/* 34765 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34780
-/* 34769 */   MCD_OPC_CheckField, 21, 1, 0, 6, 23, // Skip to: 40669
-/* 34775 */   MCD_OPC_Decode, 201, 7, 226, 1, // Opcode: LDRBpost
-/* 34780 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34817
-/* 34784 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 34787 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34802
-/* 34791 */   MCD_OPC_CheckField, 21, 1, 1, 240, 22, // Skip to: 40669
-/* 34797 */   MCD_OPC_Decode, 203, 7, 144, 2, // Opcode: LDRBroW
-/* 34802 */   MCD_OPC_FilterValue, 3, 231, 22, // Skip to: 40669
-/* 34806 */   MCD_OPC_CheckField, 21, 1, 1, 225, 22, // Skip to: 40669
-/* 34812 */   MCD_OPC_Decode, 204, 7, 145, 2, // Opcode: LDRBroX
-/* 34817 */   MCD_OPC_FilterValue, 3, 216, 22, // Skip to: 40669
-/* 34821 */   MCD_OPC_CheckField, 21, 1, 0, 210, 22, // Skip to: 40669
-/* 34827 */   MCD_OPC_Decode, 202, 7, 226, 1, // Opcode: LDRBpre
-/* 34832 */   MCD_OPC_FilterValue, 2, 85, 0, // Skip to: 34921
-/* 34836 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 34839 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34854
-/* 34843 */   MCD_OPC_CheckField, 21, 1, 0, 188, 22, // Skip to: 40669
-/* 34849 */   MCD_OPC_Decode, 139, 15, 226, 1, // Opcode: STURQi
-/* 34854 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34869
-/* 34858 */   MCD_OPC_CheckField, 21, 1, 0, 173, 22, // Skip to: 40669
-/* 34864 */   MCD_OPC_Decode, 238, 14, 226, 1, // Opcode: STRQpost
-/* 34869 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34906
-/* 34873 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 34876 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34891
-/* 34880 */   MCD_OPC_CheckField, 21, 1, 1, 151, 22, // Skip to: 40669
-/* 34886 */   MCD_OPC_Decode, 240, 14, 146, 2, // Opcode: STRQroW
-/* 34891 */   MCD_OPC_FilterValue, 3, 142, 22, // Skip to: 40669
-/* 34895 */   MCD_OPC_CheckField, 21, 1, 1, 136, 22, // Skip to: 40669
-/* 34901 */   MCD_OPC_Decode, 241, 14, 147, 2, // Opcode: STRQroX
-/* 34906 */   MCD_OPC_FilterValue, 3, 127, 22, // Skip to: 40669
-/* 34910 */   MCD_OPC_CheckField, 21, 1, 0, 121, 22, // Skip to: 40669
-/* 34916 */   MCD_OPC_Decode, 239, 14, 226, 1, // Opcode: STRQpre
-/* 34921 */   MCD_OPC_FilterValue, 3, 85, 0, // Skip to: 35010
-/* 34925 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 34928 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34943
-/* 34932 */   MCD_OPC_CheckField, 21, 1, 0, 99, 22, // Skip to: 40669
-/* 34938 */   MCD_OPC_Decode, 158, 8, 226, 1, // Opcode: LDURQi
-/* 34943 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34958
-/* 34947 */   MCD_OPC_CheckField, 21, 1, 0, 84, 22, // Skip to: 40669
-/* 34953 */   MCD_OPC_Decode, 223, 7, 226, 1, // Opcode: LDRQpost
-/* 34958 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34995
-/* 34962 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 34965 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34980
-/* 34969 */   MCD_OPC_CheckField, 21, 1, 1, 62, 22, // Skip to: 40669
-/* 34975 */   MCD_OPC_Decode, 225, 7, 146, 2, // Opcode: LDRQroW
-/* 34980 */   MCD_OPC_FilterValue, 3, 53, 22, // Skip to: 40669
-/* 34984 */   MCD_OPC_CheckField, 21, 1, 1, 47, 22, // Skip to: 40669
-/* 34990 */   MCD_OPC_Decode, 226, 7, 147, 2, // Opcode: LDRQroX
-/* 34995 */   MCD_OPC_FilterValue, 3, 38, 22, // Skip to: 40669
-/* 34999 */   MCD_OPC_CheckField, 21, 1, 0, 32, 22, // Skip to: 40669
-/* 35005 */   MCD_OPC_Decode, 224, 7, 226, 1, // Opcode: LDRQpre
-/* 35010 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 35019
-/* 35014 */   MCD_OPC_Decode, 222, 14, 231, 1, // Opcode: STRBui
-/* 35019 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 35028
-/* 35023 */   MCD_OPC_Decode, 205, 7, 231, 1, // Opcode: LDRBui
-/* 35028 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 35037
-/* 35032 */   MCD_OPC_Decode, 242, 14, 231, 1, // Opcode: STRQui
-/* 35037 */   MCD_OPC_FilterValue, 7, 252, 21, // Skip to: 40669
-/* 35041 */   MCD_OPC_Decode, 227, 7, 231, 1, // Opcode: LDRQui
-/* 35046 */   MCD_OPC_FilterValue, 2, 240, 8, // Skip to: 37338
-/* 35050 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 35053 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 35062
-/* 35057 */   MCD_OPC_Decode, 206, 7, 148, 2, // Opcode: LDRDl
-/* 35062 */   MCD_OPC_FilterValue, 2, 175, 5, // Skip to: 36521
-/* 35066 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 35069 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 35088
-/* 35073 */   MCD_OPC_CheckPredicate, 1, 216, 21, // Skip to: 40669
-/* 35077 */   MCD_OPC_CheckField, 21, 3, 0, 210, 21, // Skip to: 40669
-/* 35083 */   MCD_OPC_Decode, 152, 10, 149, 2, // Opcode: SHA1Crrr
-/* 35088 */   MCD_OPC_FilterValue, 1, 99, 0, // Skip to: 35191
-/* 35092 */   MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
-/* 35095 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 35172
-/* 35099 */   MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
-/* 35102 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 35153
-/* 35106 */   MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
-/* 35109 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 35134
-/* 35113 */   MCD_OPC_CheckPredicate, 0, 176, 21, // Skip to: 40669
-/* 35117 */   MCD_OPC_CheckField, 21, 3, 0, 170, 21, // Skip to: 40669
-/* 35123 */   MCD_OPC_CheckField, 19, 1, 1, 164, 21, // Skip to: 40669
-/* 35129 */   MCD_OPC_Decode, 250, 1, 150, 2, // Opcode: CPYi64
-/* 35134 */   MCD_OPC_FilterValue, 1, 155, 21, // Skip to: 40669
-/* 35138 */   MCD_OPC_CheckPredicate, 0, 151, 21, // Skip to: 40669
-/* 35142 */   MCD_OPC_CheckField, 21, 3, 0, 145, 21, // Skip to: 40669
-/* 35148 */   MCD_OPC_Decode, 249, 1, 151, 2, // Opcode: CPYi32
-/* 35153 */   MCD_OPC_FilterValue, 1, 136, 21, // Skip to: 40669
-/* 35157 */   MCD_OPC_CheckPredicate, 0, 132, 21, // Skip to: 40669
-/* 35161 */   MCD_OPC_CheckField, 21, 3, 0, 126, 21, // Skip to: 40669
-/* 35167 */   MCD_OPC_Decode, 248, 1, 152, 2, // Opcode: CPYi16
-/* 35172 */   MCD_OPC_FilterValue, 1, 117, 21, // Skip to: 40669
-/* 35176 */   MCD_OPC_CheckPredicate, 0, 113, 21, // Skip to: 40669
-/* 35180 */   MCD_OPC_CheckField, 21, 3, 0, 107, 21, // Skip to: 40669
-/* 35186 */   MCD_OPC_Decode, 251, 1, 153, 2, // Opcode: CPYi8
-/* 35191 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 35210
-/* 35195 */   MCD_OPC_CheckPredicate, 1, 94, 21, // Skip to: 40669
-/* 35199 */   MCD_OPC_CheckField, 16, 8, 40, 88, 21, // Skip to: 40669
-/* 35205 */   MCD_OPC_Decode, 153, 10, 253, 1, // Opcode: SHA1Hrr
-/* 35210 */   MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 35268
-/* 35214 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 35217 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35230
-/* 35221 */   MCD_OPC_CheckPredicate, 0, 68, 21, // Skip to: 40669
-/* 35225 */   MCD_OPC_Decode, 162, 11, 154, 2, // Opcode: SQADDv1i8
-/* 35230 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35243
-/* 35234 */   MCD_OPC_CheckPredicate, 0, 55, 21, // Skip to: 40669
-/* 35238 */   MCD_OPC_Decode, 159, 11, 155, 2, // Opcode: SQADDv1i16
-/* 35243 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35256
-/* 35247 */   MCD_OPC_CheckPredicate, 0, 42, 21, // Skip to: 40669
-/* 35251 */   MCD_OPC_Decode, 160, 11, 130, 2, // Opcode: SQADDv1i32
-/* 35256 */   MCD_OPC_FilterValue, 7, 33, 21, // Skip to: 40669
-/* 35260 */   MCD_OPC_CheckPredicate, 0, 29, 21, // Skip to: 40669
-/* 35264 */   MCD_OPC_Decode, 161, 11, 89, // Opcode: SQADDv1i64
-/* 35268 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 35287
-/* 35272 */   MCD_OPC_CheckPredicate, 1, 17, 21, // Skip to: 40669
-/* 35276 */   MCD_OPC_CheckField, 21, 3, 0, 11, 21, // Skip to: 40669
-/* 35282 */   MCD_OPC_Decode, 155, 10, 149, 2, // Opcode: SHA1Prrr
-/* 35287 */   MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 35305
-/* 35291 */   MCD_OPC_CheckPredicate, 1, 254, 20, // Skip to: 40669
-/* 35295 */   MCD_OPC_CheckField, 16, 8, 40, 248, 20, // Skip to: 40669
-/* 35301 */   MCD_OPC_Decode, 157, 10, 126, // Opcode: SHA1SU1rr
-/* 35305 */   MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 35324
-/* 35309 */   MCD_OPC_CheckPredicate, 1, 236, 20, // Skip to: 40669
-/* 35313 */   MCD_OPC_CheckField, 21, 3, 0, 230, 20, // Skip to: 40669
-/* 35319 */   MCD_OPC_Decode, 154, 10, 149, 2, // Opcode: SHA1Mrrr
-/* 35324 */   MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 35342
-/* 35328 */   MCD_OPC_CheckPredicate, 1, 217, 20, // Skip to: 40669
-/* 35332 */   MCD_OPC_CheckField, 16, 8, 40, 211, 20, // Skip to: 40669
-/* 35338 */   MCD_OPC_Decode, 160, 10, 126, // Opcode: SHA256SU0rr
-/* 35342 */   MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 35400
-/* 35346 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 35349 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35362
-/* 35353 */   MCD_OPC_CheckPredicate, 0, 192, 20, // Skip to: 40669
-/* 35357 */   MCD_OPC_Decode, 196, 12, 154, 2, // Opcode: SQSUBv1i8
-/* 35362 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35375
-/* 35366 */   MCD_OPC_CheckPredicate, 0, 179, 20, // Skip to: 40669
-/* 35370 */   MCD_OPC_Decode, 193, 12, 155, 2, // Opcode: SQSUBv1i16
-/* 35375 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35388
-/* 35379 */   MCD_OPC_CheckPredicate, 0, 166, 20, // Skip to: 40669
-/* 35383 */   MCD_OPC_Decode, 194, 12, 130, 2, // Opcode: SQSUBv1i32
-/* 35388 */   MCD_OPC_FilterValue, 7, 157, 20, // Skip to: 40669
-/* 35392 */   MCD_OPC_CheckPredicate, 0, 153, 20, // Skip to: 40669
-/* 35396 */   MCD_OPC_Decode, 195, 12, 89, // Opcode: SQSUBv1i64
-/* 35400 */   MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 35418
-/* 35404 */   MCD_OPC_CheckPredicate, 1, 141, 20, // Skip to: 40669
-/* 35408 */   MCD_OPC_CheckField, 21, 3, 0, 135, 20, // Skip to: 40669
-/* 35414 */   MCD_OPC_Decode, 156, 10, 120, // Opcode: SHA1SU0rrr
-/* 35418 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 35436
-/* 35422 */   MCD_OPC_CheckPredicate, 0, 123, 20, // Skip to: 40669
-/* 35426 */   MCD_OPC_CheckField, 21, 3, 7, 117, 20, // Skip to: 40669
-/* 35432 */   MCD_OPC_Decode, 192, 1, 89, // Opcode: CMGTv1i64
-/* 35436 */   MCD_OPC_FilterValue, 14, 56, 0, // Skip to: 35496
-/* 35440 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 35443 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 35456
-/* 35447 */   MCD_OPC_CheckPredicate, 0, 98, 20, // Skip to: 40669
-/* 35451 */   MCD_OPC_Decode, 185, 15, 156, 2, // Opcode: SUQADDv1i8
-/* 35456 */   MCD_OPC_FilterValue, 96, 9, 0, // Skip to: 35469
-/* 35460 */   MCD_OPC_CheckPredicate, 0, 85, 20, // Skip to: 40669
-/* 35464 */   MCD_OPC_Decode, 182, 15, 157, 2, // Opcode: SUQADDv1i16
-/* 35469 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 35483
-/* 35474 */   MCD_OPC_CheckPredicate, 0, 71, 20, // Skip to: 40669
-/* 35478 */   MCD_OPC_Decode, 183, 15, 158, 2, // Opcode: SUQADDv1i32
-/* 35483 */   MCD_OPC_FilterValue, 224, 1, 61, 20, // Skip to: 40669
-/* 35488 */   MCD_OPC_CheckPredicate, 0, 57, 20, // Skip to: 40669
-/* 35492 */   MCD_OPC_Decode, 184, 15, 99, // Opcode: SUQADDv1i64
-/* 35496 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 35514
-/* 35500 */   MCD_OPC_CheckPredicate, 0, 45, 20, // Skip to: 40669
-/* 35504 */   MCD_OPC_CheckField, 21, 3, 7, 39, 20, // Skip to: 40669
-/* 35510 */   MCD_OPC_Decode, 176, 1, 89, // Opcode: CMGEv1i64
-/* 35514 */   MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 35532
-/* 35518 */   MCD_OPC_CheckPredicate, 1, 27, 20, // Skip to: 40669
-/* 35522 */   MCD_OPC_CheckField, 21, 3, 0, 21, 20, // Skip to: 40669
-/* 35528 */   MCD_OPC_Decode, 159, 10, 120, // Opcode: SHA256Hrrr
-/* 35532 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 35550
-/* 35536 */   MCD_OPC_CheckPredicate, 0, 9, 20, // Skip to: 40669
-/* 35540 */   MCD_OPC_CheckField, 21, 3, 7, 3, 20, // Skip to: 40669
-/* 35546 */   MCD_OPC_Decode, 138, 13, 89, // Opcode: SSHLv1i64
-/* 35550 */   MCD_OPC_FilterValue, 18, 43, 0, // Skip to: 35597
-/* 35554 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 35557 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 35570
-/* 35561 */   MCD_OPC_CheckPredicate, 0, 240, 19, // Skip to: 40669
-/* 35565 */   MCD_OPC_Decode, 206, 12, 159, 2, // Opcode: SQXTNv1i8
-/* 35570 */   MCD_OPC_FilterValue, 97, 9, 0, // Skip to: 35583
-/* 35574 */   MCD_OPC_CheckPredicate, 0, 227, 19, // Skip to: 40669
-/* 35578 */   MCD_OPC_Decode, 204, 12, 255, 1, // Opcode: SQXTNv1i16
-/* 35583 */   MCD_OPC_FilterValue, 161, 1, 217, 19, // Skip to: 40669
-/* 35588 */   MCD_OPC_CheckPredicate, 0, 213, 19, // Skip to: 40669
-/* 35592 */   MCD_OPC_Decode, 205, 12, 144, 1, // Opcode: SQXTNv1i32
-/* 35597 */   MCD_OPC_FilterValue, 19, 54, 0, // Skip to: 35655
-/* 35601 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 35604 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35617
-/* 35608 */   MCD_OPC_CheckPredicate, 0, 193, 19, // Skip to: 40669
-/* 35612 */   MCD_OPC_Decode, 161, 12, 154, 2, // Opcode: SQSHLv1i8
-/* 35617 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35630
-/* 35621 */   MCD_OPC_CheckPredicate, 0, 180, 19, // Skip to: 40669
-/* 35625 */   MCD_OPC_Decode, 158, 12, 155, 2, // Opcode: SQSHLv1i16
-/* 35630 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35643
-/* 35634 */   MCD_OPC_CheckPredicate, 0, 167, 19, // Skip to: 40669
-/* 35638 */   MCD_OPC_Decode, 159, 12, 130, 2, // Opcode: SQSHLv1i32
-/* 35643 */   MCD_OPC_FilterValue, 7, 158, 19, // Skip to: 40669
-/* 35647 */   MCD_OPC_CheckPredicate, 0, 154, 19, // Skip to: 40669
-/* 35651 */   MCD_OPC_Decode, 160, 12, 89, // Opcode: SQSHLv1i64
-/* 35655 */   MCD_OPC_FilterValue, 20, 14, 0, // Skip to: 35673
-/* 35659 */   MCD_OPC_CheckPredicate, 1, 142, 19, // Skip to: 40669
-/* 35663 */   MCD_OPC_CheckField, 21, 3, 0, 136, 19, // Skip to: 40669
-/* 35669 */   MCD_OPC_Decode, 158, 10, 120, // Opcode: SHA256H2rrr
-/* 35673 */   MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 35691
-/* 35677 */   MCD_OPC_CheckPredicate, 0, 124, 19, // Skip to: 40669
-/* 35681 */   MCD_OPC_CheckField, 21, 3, 7, 118, 19, // Skip to: 40669
-/* 35687 */   MCD_OPC_Decode, 236, 12, 89, // Opcode: SRSHLv1i64
-/* 35691 */   MCD_OPC_FilterValue, 23, 54, 0, // Skip to: 35749
-/* 35695 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 35698 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35711
-/* 35702 */   MCD_OPC_CheckPredicate, 0, 99, 19, // Skip to: 40669
-/* 35706 */   MCD_OPC_Decode, 244, 11, 154, 2, // Opcode: SQRSHLv1i8
-/* 35711 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35724
-/* 35715 */   MCD_OPC_CheckPredicate, 0, 86, 19, // Skip to: 40669
-/* 35719 */   MCD_OPC_Decode, 241, 11, 155, 2, // Opcode: SQRSHLv1i16
-/* 35724 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35737
-/* 35728 */   MCD_OPC_CheckPredicate, 0, 73, 19, // Skip to: 40669
-/* 35732 */   MCD_OPC_Decode, 242, 11, 130, 2, // Opcode: SQRSHLv1i32
-/* 35737 */   MCD_OPC_FilterValue, 7, 64, 19, // Skip to: 40669
-/* 35741 */   MCD_OPC_CheckPredicate, 0, 60, 19, // Skip to: 40669
-/* 35745 */   MCD_OPC_Decode, 243, 11, 89, // Opcode: SQRSHLv1i64
-/* 35749 */   MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 35767
-/* 35753 */   MCD_OPC_CheckPredicate, 1, 48, 19, // Skip to: 40669
-/* 35757 */   MCD_OPC_CheckField, 21, 3, 0, 42, 19, // Skip to: 40669
-/* 35763 */   MCD_OPC_Decode, 161, 10, 120, // Opcode: SHA256SU1rrr
-/* 35767 */   MCD_OPC_FilterValue, 30, 56, 0, // Skip to: 35827
-/* 35771 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 35774 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 35787
-/* 35778 */   MCD_OPC_CheckPredicate, 0, 23, 19, // Skip to: 40669
-/* 35782 */   MCD_OPC_Decode, 151, 11, 160, 2, // Opcode: SQABSv1i8
-/* 35787 */   MCD_OPC_FilterValue, 96, 9, 0, // Skip to: 35800
-/* 35791 */   MCD_OPC_CheckPredicate, 0, 10, 19, // Skip to: 40669
-/* 35795 */   MCD_OPC_Decode, 148, 11, 161, 2, // Opcode: SQABSv1i16
-/* 35800 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 35814
-/* 35805 */   MCD_OPC_CheckPredicate, 0, 252, 18, // Skip to: 40669
-/* 35809 */   MCD_OPC_Decode, 149, 11, 253, 1, // Opcode: SQABSv1i32
-/* 35814 */   MCD_OPC_FilterValue, 224, 1, 242, 18, // Skip to: 40669
-/* 35819 */   MCD_OPC_CheckPredicate, 0, 238, 18, // Skip to: 40669
-/* 35823 */   MCD_OPC_Decode, 150, 11, 90, // Opcode: SQABSv1i64
-/* 35827 */   MCD_OPC_FilterValue, 33, 13, 0, // Skip to: 35844
-/* 35831 */   MCD_OPC_CheckPredicate, 0, 226, 18, // Skip to: 40669
-/* 35835 */   MCD_OPC_CheckField, 21, 3, 7, 220, 18, // Skip to: 40669
-/* 35841 */   MCD_OPC_Decode, 70, 89, // Opcode: ADDv1i64
-/* 35844 */   MCD_OPC_FilterValue, 34, 15, 0, // Skip to: 35863
-/* 35848 */   MCD_OPC_CheckPredicate, 0, 209, 18, // Skip to: 40669
-/* 35852 */   MCD_OPC_CheckField, 16, 8, 224, 1, 202, 18, // Skip to: 40669
-/* 35859 */   MCD_OPC_Decode, 193, 1, 90, // Opcode: CMGTv1i64rz
-/* 35863 */   MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 35881
-/* 35867 */   MCD_OPC_CheckPredicate, 0, 190, 18, // Skip to: 40669
-/* 35871 */   MCD_OPC_CheckField, 21, 3, 7, 184, 18, // Skip to: 40669
-/* 35877 */   MCD_OPC_Decode, 239, 1, 89, // Opcode: CMTSTv1i64
-/* 35881 */   MCD_OPC_FilterValue, 36, 29, 0, // Skip to: 35914
-/* 35885 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 35888 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35901
-/* 35892 */   MCD_OPC_CheckPredicate, 0, 165, 18, // Skip to: 40669
-/* 35896 */   MCD_OPC_Decode, 169, 11, 162, 2, // Opcode: SQDMLALi16
-/* 35901 */   MCD_OPC_FilterValue, 5, 156, 18, // Skip to: 40669
-/* 35905 */   MCD_OPC_CheckPredicate, 0, 152, 18, // Skip to: 40669
-/* 35909 */   MCD_OPC_Decode, 170, 11, 163, 2, // Opcode: SQDMLALi32
-/* 35914 */   MCD_OPC_FilterValue, 38, 15, 0, // Skip to: 35933
-/* 35918 */   MCD_OPC_CheckPredicate, 0, 139, 18, // Skip to: 40669
-/* 35922 */   MCD_OPC_CheckField, 16, 8, 224, 1, 132, 18, // Skip to: 40669
-/* 35929 */   MCD_OPC_Decode, 161, 1, 90, // Opcode: CMEQv1i64rz
-/* 35933 */   MCD_OPC_FilterValue, 42, 68, 0, // Skip to: 36005
-/* 35937 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 35940 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 35953
-/* 35944 */   MCD_OPC_CheckPredicate, 0, 113, 18, // Skip to: 40669
-/* 35948 */   MCD_OPC_Decode, 182, 3, 253, 1, // Opcode: FCVTNSv1i32
-/* 35953 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 35965
-/* 35957 */   MCD_OPC_CheckPredicate, 0, 100, 18, // Skip to: 40669
-/* 35961 */   MCD_OPC_Decode, 183, 3, 90, // Opcode: FCVTNSv1i64
-/* 35965 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 35979
-/* 35970 */   MCD_OPC_CheckPredicate, 0, 87, 18, // Skip to: 40669
-/* 35974 */   MCD_OPC_Decode, 204, 3, 253, 1, // Opcode: FCVTPSv1i32
-/* 35979 */   MCD_OPC_FilterValue, 224, 1, 8, 0, // Skip to: 35992
-/* 35984 */   MCD_OPC_CheckPredicate, 0, 73, 18, // Skip to: 40669
-/* 35988 */   MCD_OPC_Decode, 231, 1, 90, // Opcode: CMLTv1i64rz
-/* 35992 */   MCD_OPC_FilterValue, 225, 1, 64, 18, // Skip to: 40669
-/* 35997 */   MCD_OPC_CheckPredicate, 0, 60, 18, // Skip to: 40669
-/* 36001 */   MCD_OPC_Decode, 205, 3, 90, // Opcode: FCVTPSv1i64
-/* 36005 */   MCD_OPC_FilterValue, 44, 29, 0, // Skip to: 36038
-/* 36009 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36012 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 36025
-/* 36016 */   MCD_OPC_CheckPredicate, 0, 41, 18, // Skip to: 40669
-/* 36020 */   MCD_OPC_Decode, 181, 11, 162, 2, // Opcode: SQDMLSLi16
-/* 36025 */   MCD_OPC_FilterValue, 5, 32, 18, // Skip to: 40669
-/* 36029 */   MCD_OPC_CheckPredicate, 0, 28, 18, // Skip to: 40669
-/* 36033 */   MCD_OPC_Decode, 182, 11, 163, 2, // Opcode: SQDMLSLi32
-/* 36038 */   MCD_OPC_FilterValue, 45, 29, 0, // Skip to: 36071
-/* 36042 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36045 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 36058
-/* 36049 */   MCD_OPC_CheckPredicate, 0, 8, 18, // Skip to: 40669
-/* 36053 */   MCD_OPC_Decode, 193, 11, 155, 2, // Opcode: SQDMULHv1i16
-/* 36058 */   MCD_OPC_FilterValue, 5, 255, 17, // Skip to: 40669
-/* 36062 */   MCD_OPC_CheckPredicate, 0, 251, 17, // Skip to: 40669
-/* 36066 */   MCD_OPC_Decode, 195, 11, 130, 2, // Opcode: SQDMULHv1i32
-/* 36071 */   MCD_OPC_FilterValue, 46, 79, 0, // Skip to: 36154
-/* 36075 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 36078 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36091
-/* 36082 */   MCD_OPC_CheckPredicate, 0, 231, 17, // Skip to: 40669
-/* 36086 */   MCD_OPC_Decode, 164, 3, 253, 1, // Opcode: FCVTMSv1i32
-/* 36091 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36103
-/* 36095 */   MCD_OPC_CheckPredicate, 0, 218, 17, // Skip to: 40669
-/* 36099 */   MCD_OPC_Decode, 165, 3, 90, // Opcode: FCVTMSv1i64
-/* 36103 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36117
-/* 36108 */   MCD_OPC_CheckPredicate, 0, 205, 17, // Skip to: 40669
-/* 36112 */   MCD_OPC_Decode, 244, 3, 253, 1, // Opcode: FCVTZSv1i32
-/* 36117 */   MCD_OPC_FilterValue, 224, 1, 7, 0, // Skip to: 36129
-/* 36122 */   MCD_OPC_CheckPredicate, 0, 191, 17, // Skip to: 40669
-/* 36126 */   MCD_OPC_Decode, 21, 90, // Opcode: ABSv1i64
-/* 36129 */   MCD_OPC_FilterValue, 225, 1, 8, 0, // Skip to: 36142
-/* 36134 */   MCD_OPC_CheckPredicate, 0, 179, 17, // Skip to: 40669
-/* 36138 */   MCD_OPC_Decode, 245, 3, 90, // Opcode: FCVTZSv1i64
-/* 36142 */   MCD_OPC_FilterValue, 241, 1, 170, 17, // Skip to: 40669
-/* 36147 */   MCD_OPC_CheckPredicate, 0, 166, 17, // Skip to: 40669
-/* 36151 */   MCD_OPC_Decode, 41, 95, // Opcode: ADDPv2i64p
-/* 36154 */   MCD_OPC_FilterValue, 50, 55, 0, // Skip to: 36213
-/* 36158 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 36161 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36174
-/* 36165 */   MCD_OPC_CheckPredicate, 0, 148, 17, // Skip to: 40669
-/* 36169 */   MCD_OPC_Decode, 138, 3, 253, 1, // Opcode: FCVTASv1i32
-/* 36174 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36186
-/* 36178 */   MCD_OPC_CheckPredicate, 0, 135, 17, // Skip to: 40669
-/* 36182 */   MCD_OPC_Decode, 139, 3, 90, // Opcode: FCVTASv1i64
-/* 36186 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36200
-/* 36191 */   MCD_OPC_CheckPredicate, 0, 122, 17, // Skip to: 40669
-/* 36195 */   MCD_OPC_Decode, 234, 2, 253, 1, // Opcode: FCMGTv1i32rz
-/* 36200 */   MCD_OPC_FilterValue, 224, 1, 112, 17, // Skip to: 40669
-/* 36205 */   MCD_OPC_CheckPredicate, 0, 108, 17, // Skip to: 40669
-/* 36209 */   MCD_OPC_Decode, 235, 2, 90, // Opcode: FCMGTv1i64rz
-/* 36213 */   MCD_OPC_FilterValue, 52, 29, 0, // Skip to: 36246
-/* 36217 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36220 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 36233
-/* 36224 */   MCD_OPC_CheckPredicate, 0, 89, 17, // Skip to: 40669
-/* 36228 */   MCD_OPC_Decode, 205, 11, 164, 2, // Opcode: SQDMULLi16
-/* 36233 */   MCD_OPC_FilterValue, 5, 80, 17, // Skip to: 40669
-/* 36237 */   MCD_OPC_CheckPredicate, 0, 76, 17, // Skip to: 40669
-/* 36241 */   MCD_OPC_Decode, 206, 11, 165, 2, // Opcode: SQDMULLi32
-/* 36246 */   MCD_OPC_FilterValue, 54, 82, 0, // Skip to: 36332
-/* 36250 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 36253 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36266
-/* 36257 */   MCD_OPC_CheckPredicate, 0, 56, 17, // Skip to: 40669
-/* 36261 */   MCD_OPC_Decode, 140, 10, 253, 1, // Opcode: SCVTFv1i32
-/* 36266 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36278
-/* 36270 */   MCD_OPC_CheckPredicate, 0, 43, 17, // Skip to: 40669
-/* 36274 */   MCD_OPC_Decode, 141, 10, 90, // Opcode: SCVTFv1i64
-/* 36278 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36292
-/* 36283 */   MCD_OPC_CheckPredicate, 0, 30, 17, // Skip to: 40669
-/* 36287 */   MCD_OPC_Decode, 214, 2, 253, 1, // Opcode: FCMEQv1i32rz
-/* 36292 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36306
-/* 36297 */   MCD_OPC_CheckPredicate, 0, 16, 17, // Skip to: 40669
-/* 36301 */   MCD_OPC_Decode, 138, 5, 253, 1, // Opcode: FRECPEv1i32
-/* 36306 */   MCD_OPC_FilterValue, 224, 1, 8, 0, // Skip to: 36319
-/* 36311 */   MCD_OPC_CheckPredicate, 0, 2, 17, // Skip to: 40669
-/* 36315 */   MCD_OPC_Decode, 215, 2, 90, // Opcode: FCMEQv1i64rz
-/* 36319 */   MCD_OPC_FilterValue, 225, 1, 249, 16, // Skip to: 40669
-/* 36324 */   MCD_OPC_CheckPredicate, 0, 245, 16, // Skip to: 40669
-/* 36328 */   MCD_OPC_Decode, 139, 5, 90, // Opcode: FRECPEv1i64
-/* 36332 */   MCD_OPC_FilterValue, 55, 28, 0, // Skip to: 36364
-/* 36336 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36339 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36352
-/* 36343 */   MCD_OPC_CheckPredicate, 0, 226, 16, // Skip to: 40669
-/* 36347 */   MCD_OPC_Decode, 237, 4, 130, 2, // Opcode: FMULX32
-/* 36352 */   MCD_OPC_FilterValue, 3, 217, 16, // Skip to: 40669
-/* 36356 */   MCD_OPC_CheckPredicate, 0, 213, 16, // Skip to: 40669
-/* 36360 */   MCD_OPC_Decode, 238, 4, 89, // Opcode: FMULX64
-/* 36364 */   MCD_OPC_FilterValue, 57, 28, 0, // Skip to: 36396
-/* 36368 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36371 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36384
-/* 36375 */   MCD_OPC_CheckPredicate, 0, 194, 16, // Skip to: 40669
-/* 36379 */   MCD_OPC_Decode, 212, 2, 130, 2, // Opcode: FCMEQ32
-/* 36384 */   MCD_OPC_FilterValue, 3, 185, 16, // Skip to: 40669
-/* 36388 */   MCD_OPC_CheckPredicate, 0, 181, 16, // Skip to: 40669
-/* 36392 */   MCD_OPC_Decode, 213, 2, 89, // Opcode: FCMEQ64
-/* 36396 */   MCD_OPC_FilterValue, 58, 30, 0, // Skip to: 36430
-/* 36400 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 36403 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36417
-/* 36408 */   MCD_OPC_CheckPredicate, 0, 161, 16, // Skip to: 40669
-/* 36412 */   MCD_OPC_Decode, 247, 2, 253, 1, // Opcode: FCMLTv1i32rz
-/* 36417 */   MCD_OPC_FilterValue, 224, 1, 151, 16, // Skip to: 40669
-/* 36422 */   MCD_OPC_CheckPredicate, 0, 147, 16, // Skip to: 40669
-/* 36426 */   MCD_OPC_Decode, 248, 2, 90, // Opcode: FCMLTv1i64rz
-/* 36430 */   MCD_OPC_FilterValue, 62, 30, 0, // Skip to: 36464
-/* 36434 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 36437 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36451
-/* 36442 */   MCD_OPC_CheckPredicate, 0, 127, 16, // Skip to: 40669
-/* 36446 */   MCD_OPC_Decode, 148, 5, 253, 1, // Opcode: FRECPXv1i32
-/* 36451 */   MCD_OPC_FilterValue, 225, 1, 117, 16, // Skip to: 40669
-/* 36456 */   MCD_OPC_CheckPredicate, 0, 113, 16, // Skip to: 40669
-/* 36460 */   MCD_OPC_Decode, 149, 5, 90, // Opcode: FRECPXv1i64
-/* 36464 */   MCD_OPC_FilterValue, 63, 105, 16, // Skip to: 40669
-/* 36468 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 36471 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36484
-/* 36475 */   MCD_OPC_CheckPredicate, 0, 94, 16, // Skip to: 40669
-/* 36479 */   MCD_OPC_Decode, 143, 5, 130, 2, // Opcode: FRECPS32
-/* 36484 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 36496
-/* 36488 */   MCD_OPC_CheckPredicate, 0, 81, 16, // Skip to: 40669
-/* 36492 */   MCD_OPC_Decode, 144, 5, 89, // Opcode: FRECPS64
-/* 36496 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 36509
-/* 36500 */   MCD_OPC_CheckPredicate, 0, 69, 16, // Skip to: 40669
-/* 36504 */   MCD_OPC_Decode, 190, 5, 130, 2, // Opcode: FRSQRTS32
-/* 36509 */   MCD_OPC_FilterValue, 7, 60, 16, // Skip to: 40669
-/* 36513 */   MCD_OPC_CheckPredicate, 0, 56, 16, // Skip to: 40669
-/* 36517 */   MCD_OPC_Decode, 191, 5, 89, // Opcode: FRSQRTS64
-/* 36521 */   MCD_OPC_FilterValue, 3, 48, 16, // Skip to: 40669
-/* 36525 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 36528 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 36553
-/* 36532 */   MCD_OPC_CheckPredicate, 0, 37, 16, // Skip to: 40669
-/* 36536 */   MCD_OPC_CheckField, 22, 2, 1, 31, 16, // Skip to: 40669
-/* 36542 */   MCD_OPC_CheckField, 10, 2, 1, 25, 16, // Skip to: 40669
-/* 36548 */   MCD_OPC_Decode, 145, 13, 166, 2, // Opcode: SSHRd
-/* 36553 */   MCD_OPC_FilterValue, 1, 66, 0, // Skip to: 36623
-/* 36557 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 36560 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 36579
-/* 36564 */   MCD_OPC_CheckPredicate, 0, 5, 16, // Skip to: 40669
-/* 36568 */   MCD_OPC_CheckField, 10, 2, 1, 255, 15, // Skip to: 40669
-/* 36574 */   MCD_OPC_Decode, 153, 13, 167, 2, // Opcode: SSRAd
-/* 36579 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 36598
-/* 36583 */   MCD_OPC_CheckPredicate, 0, 242, 15, // Skip to: 40669
-/* 36587 */   MCD_OPC_CheckField, 10, 1, 0, 236, 15, // Skip to: 40669
-/* 36593 */   MCD_OPC_Decode, 204, 4, 168, 2, // Opcode: FMLAv1i32_indexed
-/* 36598 */   MCD_OPC_FilterValue, 3, 227, 15, // Skip to: 40669
-/* 36602 */   MCD_OPC_CheckPredicate, 0, 223, 15, // Skip to: 40669
-/* 36606 */   MCD_OPC_CheckField, 21, 1, 0, 217, 15, // Skip to: 40669
-/* 36612 */   MCD_OPC_CheckField, 10, 1, 0, 211, 15, // Skip to: 40669
-/* 36618 */   MCD_OPC_Decode, 205, 4, 169, 2, // Opcode: FMLAv1i64_indexed
-/* 36623 */   MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 36648
-/* 36627 */   MCD_OPC_CheckPredicate, 0, 198, 15, // Skip to: 40669
-/* 36631 */   MCD_OPC_CheckField, 22, 2, 1, 192, 15, // Skip to: 40669
-/* 36637 */   MCD_OPC_CheckField, 10, 2, 1, 186, 15, // Skip to: 40669
-/* 36643 */   MCD_OPC_Decode, 243, 12, 166, 2, // Opcode: SRSHRd
-/* 36648 */   MCD_OPC_FilterValue, 3, 61, 0, // Skip to: 36713
-/* 36652 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 36655 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 36688
-/* 36659 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 36662 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36675
-/* 36666 */   MCD_OPC_CheckPredicate, 0, 159, 15, // Skip to: 40669
-/* 36670 */   MCD_OPC_Decode, 171, 11, 170, 2, // Opcode: SQDMLALv1i32_indexed
-/* 36675 */   MCD_OPC_FilterValue, 2, 150, 15, // Skip to: 40669
-/* 36679 */   MCD_OPC_CheckPredicate, 0, 146, 15, // Skip to: 40669
-/* 36683 */   MCD_OPC_Decode, 172, 11, 171, 2, // Opcode: SQDMLALv1i64_indexed
-/* 36688 */   MCD_OPC_FilterValue, 1, 137, 15, // Skip to: 40669
-/* 36692 */   MCD_OPC_CheckPredicate, 0, 133, 15, // Skip to: 40669
-/* 36696 */   MCD_OPC_CheckField, 22, 2, 1, 127, 15, // Skip to: 40669
-/* 36702 */   MCD_OPC_CheckField, 11, 1, 0, 121, 15, // Skip to: 40669
-/* 36708 */   MCD_OPC_Decode, 251, 12, 167, 2, // Opcode: SRSRAd
-/* 36713 */   MCD_OPC_FilterValue, 5, 66, 0, // Skip to: 36783
-/* 36717 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 36720 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 36739
-/* 36724 */   MCD_OPC_CheckPredicate, 0, 101, 15, // Skip to: 40669
-/* 36728 */   MCD_OPC_CheckField, 10, 2, 1, 95, 15, // Skip to: 40669
-/* 36734 */   MCD_OPC_Decode, 174, 10, 172, 2, // Opcode: SHLd
-/* 36739 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 36758
-/* 36743 */   MCD_OPC_CheckPredicate, 0, 82, 15, // Skip to: 40669
-/* 36747 */   MCD_OPC_CheckField, 10, 1, 0, 76, 15, // Skip to: 40669
-/* 36753 */   MCD_OPC_Decode, 212, 4, 168, 2, // Opcode: FMLSv1i32_indexed
-/* 36758 */   MCD_OPC_FilterValue, 3, 67, 15, // Skip to: 40669
-/* 36762 */   MCD_OPC_CheckPredicate, 0, 63, 15, // Skip to: 40669
-/* 36766 */   MCD_OPC_CheckField, 21, 1, 0, 57, 15, // Skip to: 40669
-/* 36772 */   MCD_OPC_CheckField, 10, 1, 0, 51, 15, // Skip to: 40669
-/* 36778 */   MCD_OPC_Decode, 213, 4, 169, 2, // Opcode: FMLSv1i64_indexed
-/* 36783 */   MCD_OPC_FilterValue, 7, 138, 0, // Skip to: 36925
-/* 36787 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 36790 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 36867
-/* 36794 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 36797 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 36848
-/* 36801 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 36804 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 36829
-/* 36808 */   MCD_OPC_CheckPredicate, 0, 17, 15, // Skip to: 40669
-/* 36812 */   MCD_OPC_CheckField, 19, 1, 1, 11, 15, // Skip to: 40669
-/* 36818 */   MCD_OPC_CheckField, 10, 2, 1, 5, 15, // Skip to: 40669
-/* 36824 */   MCD_OPC_Decode, 152, 12, 173, 2, // Opcode: SQSHLb
-/* 36829 */   MCD_OPC_FilterValue, 1, 252, 14, // Skip to: 40669
-/* 36833 */   MCD_OPC_CheckPredicate, 0, 248, 14, // Skip to: 40669
-/* 36837 */   MCD_OPC_CheckField, 10, 2, 1, 242, 14, // Skip to: 40669
-/* 36843 */   MCD_OPC_Decode, 154, 12, 174, 2, // Opcode: SQSHLh
-/* 36848 */   MCD_OPC_FilterValue, 1, 233, 14, // Skip to: 40669
-/* 36852 */   MCD_OPC_CheckPredicate, 0, 229, 14, // Skip to: 40669
-/* 36856 */   MCD_OPC_CheckField, 10, 2, 1, 223, 14, // Skip to: 40669
-/* 36862 */   MCD_OPC_Decode, 155, 12, 175, 2, // Opcode: SQSHLs
-/* 36867 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 36906
-/* 36871 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 36874 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 36887
-/* 36878 */   MCD_OPC_CheckPredicate, 0, 203, 14, // Skip to: 40669
-/* 36882 */   MCD_OPC_Decode, 183, 11, 170, 2, // Opcode: SQDMLSLv1i32_indexed
-/* 36887 */   MCD_OPC_FilterValue, 1, 194, 14, // Skip to: 40669
-/* 36891 */   MCD_OPC_CheckPredicate, 0, 190, 14, // Skip to: 40669
-/* 36895 */   MCD_OPC_CheckField, 11, 1, 0, 184, 14, // Skip to: 40669
-/* 36901 */   MCD_OPC_Decode, 153, 12, 172, 2, // Opcode: SQSHLd
-/* 36906 */   MCD_OPC_FilterValue, 2, 175, 14, // Skip to: 40669
-/* 36910 */   MCD_OPC_CheckPredicate, 0, 171, 14, // Skip to: 40669
-/* 36914 */   MCD_OPC_CheckField, 10, 1, 0, 165, 14, // Skip to: 40669
-/* 36920 */   MCD_OPC_Decode, 184, 11, 171, 2, // Opcode: SQDMLSLv1i64_indexed
-/* 36925 */   MCD_OPC_FilterValue, 9, 172, 0, // Skip to: 37101
-/* 36929 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 36932 */   MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 37057
-/* 36936 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 36939 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 36998
-/* 36943 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 36946 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 36985
-/* 36950 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 36953 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 36972
-/* 36957 */   MCD_OPC_CheckPredicate, 0, 124, 14, // Skip to: 40669
-/* 36961 */   MCD_OPC_CheckField, 19, 1, 1, 118, 14, // Skip to: 40669
-/* 36967 */   MCD_OPC_Decode, 174, 12, 176, 2, // Opcode: SQSHRNb
-/* 36972 */   MCD_OPC_FilterValue, 1, 109, 14, // Skip to: 40669
-/* 36976 */   MCD_OPC_CheckPredicate, 0, 105, 14, // Skip to: 40669
-/* 36980 */   MCD_OPC_Decode, 175, 12, 177, 2, // Opcode: SQSHRNh
-/* 36985 */   MCD_OPC_FilterValue, 1, 96, 14, // Skip to: 40669
-/* 36989 */   MCD_OPC_CheckPredicate, 0, 92, 14, // Skip to: 40669
-/* 36993 */   MCD_OPC_Decode, 176, 12, 178, 2, // Opcode: SQSHRNs
-/* 36998 */   MCD_OPC_FilterValue, 3, 83, 14, // Skip to: 40669
-/* 37002 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 37005 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 37044
-/* 37009 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 37012 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 37031
-/* 37016 */   MCD_OPC_CheckPredicate, 0, 65, 14, // Skip to: 40669
-/* 37020 */   MCD_OPC_CheckField, 19, 1, 1, 59, 14, // Skip to: 40669
-/* 37026 */   MCD_OPC_Decode, 251, 11, 176, 2, // Opcode: SQRSHRNb
-/* 37031 */   MCD_OPC_FilterValue, 1, 50, 14, // Skip to: 40669
-/* 37035 */   MCD_OPC_CheckPredicate, 0, 46, 14, // Skip to: 40669
-/* 37039 */   MCD_OPC_Decode, 252, 11, 177, 2, // Opcode: SQRSHRNh
-/* 37044 */   MCD_OPC_FilterValue, 1, 37, 14, // Skip to: 40669
-/* 37048 */   MCD_OPC_CheckPredicate, 0, 33, 14, // Skip to: 40669
-/* 37052 */   MCD_OPC_Decode, 253, 11, 178, 2, // Opcode: SQRSHRNs
-/* 37057 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 37076
-/* 37061 */   MCD_OPC_CheckPredicate, 0, 20, 14, // Skip to: 40669
-/* 37065 */   MCD_OPC_CheckField, 10, 1, 0, 14, 14, // Skip to: 40669
-/* 37071 */   MCD_OPC_Decode, 247, 4, 179, 2, // Opcode: FMULv1i32_indexed
-/* 37076 */   MCD_OPC_FilterValue, 3, 5, 14, // Skip to: 40669
-/* 37080 */   MCD_OPC_CheckPredicate, 0, 1, 14, // Skip to: 40669
-/* 37084 */   MCD_OPC_CheckField, 21, 1, 0, 251, 13, // Skip to: 40669
-/* 37090 */   MCD_OPC_CheckField, 10, 1, 0, 245, 13, // Skip to: 40669
-/* 37096 */   MCD_OPC_Decode, 248, 4, 180, 2, // Opcode: FMULv1i64_indexed
-/* 37101 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 37146
-/* 37105 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 37108 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37127
-/* 37112 */   MCD_OPC_CheckPredicate, 0, 225, 13, // Skip to: 40669
-/* 37116 */   MCD_OPC_CheckField, 10, 1, 0, 219, 13, // Skip to: 40669
-/* 37122 */   MCD_OPC_Decode, 207, 11, 181, 2, // Opcode: SQDMULLv1i32_indexed
-/* 37127 */   MCD_OPC_FilterValue, 2, 210, 13, // Skip to: 40669
-/* 37131 */   MCD_OPC_CheckPredicate, 0, 206, 13, // Skip to: 40669
-/* 37135 */   MCD_OPC_CheckField, 10, 1, 0, 200, 13, // Skip to: 40669
-/* 37141 */   MCD_OPC_Decode, 208, 11, 182, 2, // Opcode: SQDMULLv1i64_indexed
-/* 37146 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 37191
-/* 37150 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 37153 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37172
-/* 37157 */   MCD_OPC_CheckPredicate, 0, 180, 13, // Skip to: 40669
-/* 37161 */   MCD_OPC_CheckField, 10, 1, 0, 174, 13, // Skip to: 40669
-/* 37167 */   MCD_OPC_Decode, 194, 11, 183, 2, // Opcode: SQDMULHv1i16_indexed
-/* 37172 */   MCD_OPC_FilterValue, 2, 165, 13, // Skip to: 40669
-/* 37176 */   MCD_OPC_CheckPredicate, 0, 161, 13, // Skip to: 40669
-/* 37180 */   MCD_OPC_CheckField, 10, 1, 0, 155, 13, // Skip to: 40669
-/* 37186 */   MCD_OPC_Decode, 196, 11, 179, 2, // Opcode: SQDMULHv1i32_indexed
-/* 37191 */   MCD_OPC_FilterValue, 13, 41, 0, // Skip to: 37236
-/* 37195 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 37198 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37217
-/* 37202 */   MCD_OPC_CheckPredicate, 0, 135, 13, // Skip to: 40669
-/* 37206 */   MCD_OPC_CheckField, 10, 1, 0, 129, 13, // Skip to: 40669
-/* 37212 */   MCD_OPC_Decode, 229, 11, 183, 2, // Opcode: SQRDMULHv1i16_indexed
-/* 37217 */   MCD_OPC_FilterValue, 2, 120, 13, // Skip to: 40669
-/* 37221 */   MCD_OPC_CheckPredicate, 0, 116, 13, // Skip to: 40669
-/* 37225 */   MCD_OPC_CheckField, 10, 1, 0, 110, 13, // Skip to: 40669
-/* 37231 */   MCD_OPC_Decode, 231, 11, 179, 2, // Opcode: SQRDMULHv1i32_indexed
-/* 37236 */   MCD_OPC_FilterValue, 14, 47, 0, // Skip to: 37287
-/* 37240 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 37243 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 37268
-/* 37247 */   MCD_OPC_CheckPredicate, 0, 90, 13, // Skip to: 40669
-/* 37251 */   MCD_OPC_CheckField, 21, 1, 1, 84, 13, // Skip to: 40669
-/* 37257 */   MCD_OPC_CheckField, 10, 2, 1, 78, 13, // Skip to: 40669
-/* 37263 */   MCD_OPC_Decode, 139, 10, 184, 2, // Opcode: SCVTFs
-/* 37268 */   MCD_OPC_FilterValue, 1, 69, 13, // Skip to: 40669
-/* 37272 */   MCD_OPC_CheckPredicate, 0, 65, 13, // Skip to: 40669
-/* 37276 */   MCD_OPC_CheckField, 10, 2, 1, 59, 13, // Skip to: 40669
-/* 37282 */   MCD_OPC_Decode, 138, 10, 166, 2, // Opcode: SCVTFd
-/* 37287 */   MCD_OPC_FilterValue, 15, 50, 13, // Skip to: 40669
-/* 37291 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 37294 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 37319
-/* 37298 */   MCD_OPC_CheckPredicate, 0, 39, 13, // Skip to: 40669
-/* 37302 */   MCD_OPC_CheckField, 21, 1, 1, 33, 13, // Skip to: 40669
-/* 37308 */   MCD_OPC_CheckField, 10, 2, 3, 27, 13, // Skip to: 40669
-/* 37314 */   MCD_OPC_Decode, 243, 3, 184, 2, // Opcode: FCVTZSs
-/* 37319 */   MCD_OPC_FilterValue, 1, 18, 13, // Skip to: 40669
-/* 37323 */   MCD_OPC_CheckPredicate, 0, 14, 13, // Skip to: 40669
-/* 37327 */   MCD_OPC_CheckField, 10, 2, 3, 8, 13, // Skip to: 40669
-/* 37333 */   MCD_OPC_Decode, 242, 3, 166, 2, // Opcode: FCVTZSd
-/* 37338 */   MCD_OPC_FilterValue, 3, 212, 8, // Skip to: 39602
-/* 37342 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 37345 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 37434
-/* 37349 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 37352 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 37367
-/* 37356 */   MCD_OPC_CheckField, 21, 1, 0, 235, 12, // Skip to: 40669
-/* 37362 */   MCD_OPC_Decode, 138, 15, 226, 1, // Opcode: STURHi
-/* 37367 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 37382
-/* 37371 */   MCD_OPC_CheckField, 21, 1, 0, 220, 12, // Skip to: 40669
-/* 37377 */   MCD_OPC_Decode, 233, 14, 226, 1, // Opcode: STRHpost
-/* 37382 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 37419
-/* 37386 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 37389 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 37404
-/* 37393 */   MCD_OPC_CheckField, 21, 1, 1, 198, 12, // Skip to: 40669
-/* 37399 */   MCD_OPC_Decode, 235, 14, 185, 2, // Opcode: STRHroW
-/* 37404 */   MCD_OPC_FilterValue, 3, 189, 12, // Skip to: 40669
-/* 37408 */   MCD_OPC_CheckField, 21, 1, 1, 183, 12, // Skip to: 40669
-/* 37414 */   MCD_OPC_Decode, 236, 14, 186, 2, // Opcode: STRHroX
-/* 37419 */   MCD_OPC_FilterValue, 3, 174, 12, // Skip to: 40669
-/* 37423 */   MCD_OPC_CheckField, 21, 1, 0, 168, 12, // Skip to: 40669
-/* 37429 */   MCD_OPC_Decode, 234, 14, 226, 1, // Opcode: STRHpre
-/* 37434 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 37523
-/* 37438 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 37441 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 37456
-/* 37445 */   MCD_OPC_CheckField, 21, 1, 0, 146, 12, // Skip to: 40669
-/* 37451 */   MCD_OPC_Decode, 157, 8, 226, 1, // Opcode: LDURHi
-/* 37456 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 37471
-/* 37460 */   MCD_OPC_CheckField, 21, 1, 0, 131, 12, // Skip to: 40669
-/* 37466 */   MCD_OPC_Decode, 217, 7, 226, 1, // Opcode: LDRHpost
-/* 37471 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 37508
-/* 37475 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 37478 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 37493
-/* 37482 */   MCD_OPC_CheckField, 21, 1, 1, 109, 12, // Skip to: 40669
-/* 37488 */   MCD_OPC_Decode, 219, 7, 185, 2, // Opcode: LDRHroW
-/* 37493 */   MCD_OPC_FilterValue, 3, 100, 12, // Skip to: 40669
-/* 37497 */   MCD_OPC_CheckField, 21, 1, 1, 94, 12, // Skip to: 40669
-/* 37503 */   MCD_OPC_Decode, 220, 7, 186, 2, // Opcode: LDRHroX
-/* 37508 */   MCD_OPC_FilterValue, 3, 85, 12, // Skip to: 40669
-/* 37512 */   MCD_OPC_CheckField, 21, 1, 0, 79, 12, // Skip to: 40669
-/* 37518 */   MCD_OPC_Decode, 218, 7, 226, 1, // Opcode: LDRHpre
-/* 37523 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 37532
-/* 37527 */   MCD_OPC_Decode, 237, 14, 231, 1, // Opcode: STRHui
-/* 37532 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 37541
-/* 37536 */   MCD_OPC_Decode, 221, 7, 231, 1, // Opcode: LDRHui
-/* 37541 */   MCD_OPC_FilterValue, 8, 60, 1, // Skip to: 37861
-/* 37545 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 37548 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 37567
-/* 37552 */   MCD_OPC_CheckPredicate, 0, 41, 12, // Skip to: 40669
-/* 37556 */   MCD_OPC_CheckField, 21, 1, 1, 35, 12, // Skip to: 40669
-/* 37562 */   MCD_OPC_Decode, 141, 17, 154, 2, // Opcode: UQADDv1i8
-/* 37567 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 37586
-/* 37571 */   MCD_OPC_CheckPredicate, 0, 22, 12, // Skip to: 40669
-/* 37575 */   MCD_OPC_CheckField, 16, 6, 33, 16, 12, // Skip to: 40669
-/* 37581 */   MCD_OPC_Decode, 215, 12, 159, 2, // Opcode: SQXTUNv1i8
-/* 37586 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 37605
-/* 37590 */   MCD_OPC_CheckPredicate, 0, 3, 12, // Skip to: 40669
-/* 37594 */   MCD_OPC_CheckField, 21, 1, 1, 253, 11, // Skip to: 40669
-/* 37600 */   MCD_OPC_Decode, 203, 17, 154, 2, // Opcode: UQSUBv1i8
-/* 37605 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 37624
-/* 37609 */   MCD_OPC_CheckPredicate, 0, 240, 11, // Skip to: 40669
-/* 37613 */   MCD_OPC_CheckField, 16, 6, 32, 234, 11, // Skip to: 40669
-/* 37619 */   MCD_OPC_Decode, 151, 18, 156, 2, // Opcode: USQADDv1i8
-/* 37624 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 37643
-/* 37628 */   MCD_OPC_CheckPredicate, 0, 221, 11, // Skip to: 40669
-/* 37632 */   MCD_OPC_CheckField, 16, 6, 33, 215, 11, // Skip to: 40669
-/* 37638 */   MCD_OPC_Decode, 213, 17, 159, 2, // Opcode: UQXTNv1i8
-/* 37643 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 37662
-/* 37647 */   MCD_OPC_CheckPredicate, 0, 202, 11, // Skip to: 40669
-/* 37651 */   MCD_OPC_CheckField, 21, 1, 1, 196, 11, // Skip to: 40669
-/* 37657 */   MCD_OPC_Decode, 177, 17, 154, 2, // Opcode: UQSHLv1i8
-/* 37662 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 37681
-/* 37666 */   MCD_OPC_CheckPredicate, 0, 183, 11, // Skip to: 40669
-/* 37670 */   MCD_OPC_CheckField, 21, 1, 1, 177, 11, // Skip to: 40669
-/* 37676 */   MCD_OPC_Decode, 152, 17, 154, 2, // Opcode: UQRSHLv1i8
-/* 37681 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 37700
-/* 37685 */   MCD_OPC_CheckPredicate, 0, 164, 11, // Skip to: 40669
-/* 37689 */   MCD_OPC_CheckField, 16, 6, 32, 158, 11, // Skip to: 40669
-/* 37695 */   MCD_OPC_Decode, 221, 11, 160, 2, // Opcode: SQNEGv1i8
-/* 37700 */   MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 37719
-/* 37704 */   MCD_OPC_CheckPredicate, 0, 145, 11, // Skip to: 40669
-/* 37708 */   MCD_OPC_CheckField, 16, 6, 33, 139, 11, // Skip to: 40669
-/* 37714 */   MCD_OPC_Decode, 191, 3, 253, 1, // Opcode: FCVTNUv1i32
-/* 37719 */   MCD_OPC_FilterValue, 46, 15, 0, // Skip to: 37738
-/* 37723 */   MCD_OPC_CheckPredicate, 0, 126, 11, // Skip to: 40669
-/* 37727 */   MCD_OPC_CheckField, 16, 6, 33, 120, 11, // Skip to: 40669
-/* 37733 */   MCD_OPC_Decode, 173, 3, 253, 1, // Opcode: FCVTMUv1i32
-/* 37738 */   MCD_OPC_FilterValue, 50, 29, 0, // Skip to: 37771
-/* 37742 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 37745 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 37758
-/* 37749 */   MCD_OPC_CheckPredicate, 0, 100, 11, // Skip to: 40669
-/* 37753 */   MCD_OPC_Decode, 147, 3, 253, 1, // Opcode: FCVTAUv1i32
-/* 37758 */   MCD_OPC_FilterValue, 48, 91, 11, // Skip to: 40669
-/* 37762 */   MCD_OPC_CheckPredicate, 0, 87, 11, // Skip to: 40669
-/* 37766 */   MCD_OPC_Decode, 164, 4, 144, 1, // Opcode: FMAXNMPv2i32p
-/* 37771 */   MCD_OPC_FilterValue, 54, 29, 0, // Skip to: 37804
-/* 37775 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 37778 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 37791
-/* 37782 */   MCD_OPC_CheckPredicate, 0, 67, 11, // Skip to: 40669
-/* 37786 */   MCD_OPC_Decode, 170, 16, 253, 1, // Opcode: UCVTFv1i32
-/* 37791 */   MCD_OPC_FilterValue, 48, 58, 11, // Skip to: 40669
-/* 37795 */   MCD_OPC_CheckPredicate, 0, 54, 11, // Skip to: 40669
-/* 37799 */   MCD_OPC_Decode, 201, 2, 144, 1, // Opcode: FADDPv2i32p
-/* 37804 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 37823
-/* 37808 */   MCD_OPC_CheckPredicate, 0, 41, 11, // Skip to: 40669
-/* 37812 */   MCD_OPC_CheckField, 21, 1, 1, 35, 11, // Skip to: 40669
-/* 37818 */   MCD_OPC_Decode, 222, 2, 130, 2, // Opcode: FCMGE32
-/* 37823 */   MCD_OPC_FilterValue, 59, 15, 0, // Skip to: 37842
-/* 37827 */   MCD_OPC_CheckPredicate, 0, 22, 11, // Skip to: 40669
-/* 37831 */   MCD_OPC_CheckField, 21, 1, 1, 16, 11, // Skip to: 40669
-/* 37837 */   MCD_OPC_Decode, 188, 2, 130, 2, // Opcode: FACGE32
-/* 37842 */   MCD_OPC_FilterValue, 62, 7, 11, // Skip to: 40669
-/* 37846 */   MCD_OPC_CheckPredicate, 0, 3, 11, // Skip to: 40669
-/* 37850 */   MCD_OPC_CheckField, 16, 6, 48, 253, 10, // Skip to: 40669
-/* 37856 */   MCD_OPC_Decode, 174, 4, 144, 1, // Opcode: FMAXPv2i32p
-/* 37861 */   MCD_OPC_FilterValue, 9, 89, 1, // Skip to: 38210
-/* 37865 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 37868 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 37887
-/* 37872 */   MCD_OPC_CheckPredicate, 0, 233, 10, // Skip to: 40669
-/* 37876 */   MCD_OPC_CheckField, 21, 1, 1, 227, 10, // Skip to: 40669
-/* 37882 */   MCD_OPC_Decode, 138, 17, 155, 2, // Opcode: UQADDv1i16
-/* 37887 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 37906
-/* 37891 */   MCD_OPC_CheckPredicate, 0, 214, 10, // Skip to: 40669
-/* 37895 */   MCD_OPC_CheckField, 16, 6, 33, 208, 10, // Skip to: 40669
-/* 37901 */   MCD_OPC_Decode, 213, 12, 255, 1, // Opcode: SQXTUNv1i16
-/* 37906 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 37925
-/* 37910 */   MCD_OPC_CheckPredicate, 0, 195, 10, // Skip to: 40669
-/* 37914 */   MCD_OPC_CheckField, 21, 1, 1, 189, 10, // Skip to: 40669
-/* 37920 */   MCD_OPC_Decode, 200, 17, 155, 2, // Opcode: UQSUBv1i16
-/* 37925 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 37944
-/* 37929 */   MCD_OPC_CheckPredicate, 0, 176, 10, // Skip to: 40669
-/* 37933 */   MCD_OPC_CheckField, 16, 6, 32, 170, 10, // Skip to: 40669
-/* 37939 */   MCD_OPC_Decode, 148, 18, 157, 2, // Opcode: USQADDv1i16
-/* 37944 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 37963
-/* 37948 */   MCD_OPC_CheckPredicate, 0, 157, 10, // Skip to: 40669
-/* 37952 */   MCD_OPC_CheckField, 16, 6, 33, 151, 10, // Skip to: 40669
-/* 37958 */   MCD_OPC_Decode, 211, 17, 255, 1, // Opcode: UQXTNv1i16
-/* 37963 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 37982
-/* 37967 */   MCD_OPC_CheckPredicate, 0, 138, 10, // Skip to: 40669
-/* 37971 */   MCD_OPC_CheckField, 21, 1, 1, 132, 10, // Skip to: 40669
-/* 37977 */   MCD_OPC_Decode, 174, 17, 155, 2, // Opcode: UQSHLv1i16
-/* 37982 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 38001
-/* 37986 */   MCD_OPC_CheckPredicate, 0, 119, 10, // Skip to: 40669
-/* 37990 */   MCD_OPC_CheckField, 21, 1, 1, 113, 10, // Skip to: 40669
-/* 37996 */   MCD_OPC_Decode, 149, 17, 155, 2, // Opcode: UQRSHLv1i16
-/* 38001 */   MCD_OPC_FilterValue, 26, 15, 0, // Skip to: 38020
-/* 38005 */   MCD_OPC_CheckPredicate, 0, 100, 10, // Skip to: 40669
-/* 38009 */   MCD_OPC_CheckField, 16, 6, 33, 94, 10, // Skip to: 40669
-/* 38015 */   MCD_OPC_Decode, 220, 3, 144, 1, // Opcode: FCVTXNv1i64
-/* 38020 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 38039
-/* 38024 */   MCD_OPC_CheckPredicate, 0, 81, 10, // Skip to: 40669
-/* 38028 */   MCD_OPC_CheckField, 16, 6, 32, 75, 10, // Skip to: 40669
-/* 38034 */   MCD_OPC_Decode, 218, 11, 161, 2, // Opcode: SQNEGv1i16
-/* 38039 */   MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 38057
-/* 38043 */   MCD_OPC_CheckPredicate, 0, 62, 10, // Skip to: 40669
-/* 38047 */   MCD_OPC_CheckField, 16, 6, 33, 56, 10, // Skip to: 40669
-/* 38053 */   MCD_OPC_Decode, 192, 3, 90, // Opcode: FCVTNUv1i64
-/* 38057 */   MCD_OPC_FilterValue, 45, 15, 0, // Skip to: 38076
-/* 38061 */   MCD_OPC_CheckPredicate, 0, 44, 10, // Skip to: 40669
-/* 38065 */   MCD_OPC_CheckField, 21, 1, 1, 38, 10, // Skip to: 40669
-/* 38071 */   MCD_OPC_Decode, 228, 11, 155, 2, // Opcode: SQRDMULHv1i16
-/* 38076 */   MCD_OPC_FilterValue, 46, 14, 0, // Skip to: 38094
-/* 38080 */   MCD_OPC_CheckPredicate, 0, 25, 10, // Skip to: 40669
-/* 38084 */   MCD_OPC_CheckField, 16, 6, 33, 19, 10, // Skip to: 40669
-/* 38090 */   MCD_OPC_Decode, 174, 3, 90, // Opcode: FCVTMUv1i64
-/* 38094 */   MCD_OPC_FilterValue, 50, 27, 0, // Skip to: 38125
-/* 38098 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38101 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 38113
-/* 38105 */   MCD_OPC_CheckPredicate, 0, 0, 10, // Skip to: 40669
-/* 38109 */   MCD_OPC_Decode, 148, 3, 90, // Opcode: FCVTAUv1i64
-/* 38113 */   MCD_OPC_FilterValue, 48, 248, 9, // Skip to: 40669
-/* 38117 */   MCD_OPC_CheckPredicate, 0, 244, 9, // Skip to: 40669
-/* 38121 */   MCD_OPC_Decode, 165, 4, 95, // Opcode: FMAXNMPv2i64p
-/* 38125 */   MCD_OPC_FilterValue, 54, 27, 0, // Skip to: 38156
-/* 38129 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38132 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 38144
-/* 38136 */   MCD_OPC_CheckPredicate, 0, 225, 9, // Skip to: 40669
-/* 38140 */   MCD_OPC_Decode, 171, 16, 90, // Opcode: UCVTFv1i64
-/* 38144 */   MCD_OPC_FilterValue, 48, 217, 9, // Skip to: 40669
-/* 38148 */   MCD_OPC_CheckPredicate, 0, 213, 9, // Skip to: 40669
-/* 38152 */   MCD_OPC_Decode, 202, 2, 95, // Opcode: FADDPv2i64p
-/* 38156 */   MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 38174
-/* 38160 */   MCD_OPC_CheckPredicate, 0, 201, 9, // Skip to: 40669
-/* 38164 */   MCD_OPC_CheckField, 21, 1, 1, 195, 9, // Skip to: 40669
-/* 38170 */   MCD_OPC_Decode, 223, 2, 89, // Opcode: FCMGE64
-/* 38174 */   MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 38192
-/* 38178 */   MCD_OPC_CheckPredicate, 0, 183, 9, // Skip to: 40669
-/* 38182 */   MCD_OPC_CheckField, 21, 1, 1, 177, 9, // Skip to: 40669
-/* 38188 */   MCD_OPC_Decode, 189, 2, 89, // Opcode: FACGE64
-/* 38192 */   MCD_OPC_FilterValue, 62, 169, 9, // Skip to: 40669
-/* 38196 */   MCD_OPC_CheckPredicate, 0, 165, 9, // Skip to: 40669
-/* 38200 */   MCD_OPC_CheckField, 16, 6, 48, 159, 9, // Skip to: 40669
-/* 38206 */   MCD_OPC_Decode, 175, 4, 95, // Opcode: FMAXPv2i64p
-/* 38210 */   MCD_OPC_FilterValue, 10, 98, 1, // Skip to: 38568
-/* 38214 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 38217 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 38236
-/* 38221 */   MCD_OPC_CheckPredicate, 0, 140, 9, // Skip to: 40669
-/* 38225 */   MCD_OPC_CheckField, 21, 1, 1, 134, 9, // Skip to: 40669
-/* 38231 */   MCD_OPC_Decode, 139, 17, 130, 2, // Opcode: UQADDv1i32
-/* 38236 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 38255
-/* 38240 */   MCD_OPC_CheckPredicate, 0, 121, 9, // Skip to: 40669
-/* 38244 */   MCD_OPC_CheckField, 16, 6, 33, 115, 9, // Skip to: 40669
-/* 38250 */   MCD_OPC_Decode, 214, 12, 144, 1, // Opcode: SQXTUNv1i32
-/* 38255 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 38274
-/* 38259 */   MCD_OPC_CheckPredicate, 0, 102, 9, // Skip to: 40669
-/* 38263 */   MCD_OPC_CheckField, 21, 1, 1, 96, 9, // Skip to: 40669
-/* 38269 */   MCD_OPC_Decode, 201, 17, 130, 2, // Opcode: UQSUBv1i32
-/* 38274 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 38293
-/* 38278 */   MCD_OPC_CheckPredicate, 0, 83, 9, // Skip to: 40669
-/* 38282 */   MCD_OPC_CheckField, 16, 6, 32, 77, 9, // Skip to: 40669
-/* 38288 */   MCD_OPC_Decode, 149, 18, 158, 2, // Opcode: USQADDv1i32
-/* 38293 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 38312
-/* 38297 */   MCD_OPC_CheckPredicate, 0, 64, 9, // Skip to: 40669
-/* 38301 */   MCD_OPC_CheckField, 16, 6, 33, 58, 9, // Skip to: 40669
-/* 38307 */   MCD_OPC_Decode, 212, 17, 144, 1, // Opcode: UQXTNv1i32
-/* 38312 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 38331
-/* 38316 */   MCD_OPC_CheckPredicate, 0, 45, 9, // Skip to: 40669
-/* 38320 */   MCD_OPC_CheckField, 21, 1, 1, 39, 9, // Skip to: 40669
-/* 38326 */   MCD_OPC_Decode, 175, 17, 130, 2, // Opcode: UQSHLv1i32
-/* 38331 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 38350
-/* 38335 */   MCD_OPC_CheckPredicate, 0, 26, 9, // Skip to: 40669
-/* 38339 */   MCD_OPC_CheckField, 21, 1, 1, 20, 9, // Skip to: 40669
-/* 38345 */   MCD_OPC_Decode, 150, 17, 130, 2, // Opcode: UQRSHLv1i32
-/* 38350 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 38369
-/* 38354 */   MCD_OPC_CheckPredicate, 0, 7, 9, // Skip to: 40669
-/* 38358 */   MCD_OPC_CheckField, 16, 6, 32, 1, 9, // Skip to: 40669
-/* 38364 */   MCD_OPC_Decode, 219, 11, 253, 1, // Opcode: SQNEGv1i32
-/* 38369 */   MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 38388
-/* 38373 */   MCD_OPC_CheckPredicate, 0, 244, 8, // Skip to: 40669
-/* 38377 */   MCD_OPC_CheckField, 16, 6, 33, 238, 8, // Skip to: 40669
-/* 38383 */   MCD_OPC_Decode, 213, 3, 253, 1, // Opcode: FCVTPUv1i32
-/* 38388 */   MCD_OPC_FilterValue, 45, 15, 0, // Skip to: 38407
-/* 38392 */   MCD_OPC_CheckPredicate, 0, 225, 8, // Skip to: 40669
-/* 38396 */   MCD_OPC_CheckField, 21, 1, 1, 219, 8, // Skip to: 40669
-/* 38402 */   MCD_OPC_Decode, 230, 11, 130, 2, // Opcode: SQRDMULHv1i32
-/* 38407 */   MCD_OPC_FilterValue, 46, 15, 0, // Skip to: 38426
-/* 38411 */   MCD_OPC_CheckPredicate, 0, 206, 8, // Skip to: 40669
-/* 38415 */   MCD_OPC_CheckField, 16, 6, 33, 200, 8, // Skip to: 40669
-/* 38421 */   MCD_OPC_Decode, 145, 4, 253, 1, // Opcode: FCVTZUv1i32
-/* 38426 */   MCD_OPC_FilterValue, 50, 29, 0, // Skip to: 38459
-/* 38430 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38433 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 38446
-/* 38437 */   MCD_OPC_CheckPredicate, 0, 180, 8, // Skip to: 40669
-/* 38441 */   MCD_OPC_Decode, 224, 2, 253, 1, // Opcode: FCMGEv1i32rz
-/* 38446 */   MCD_OPC_FilterValue, 48, 171, 8, // Skip to: 40669
-/* 38450 */   MCD_OPC_CheckPredicate, 0, 167, 8, // Skip to: 40669
-/* 38454 */   MCD_OPC_Decode, 186, 4, 144, 1, // Opcode: FMINNMPv2i32p
-/* 38459 */   MCD_OPC_FilterValue, 53, 15, 0, // Skip to: 38478
-/* 38463 */   MCD_OPC_CheckPredicate, 0, 154, 8, // Skip to: 40669
-/* 38467 */   MCD_OPC_CheckField, 21, 1, 1, 148, 8, // Skip to: 40669
-/* 38473 */   MCD_OPC_Decode, 178, 2, 130, 2, // Opcode: FABD32
-/* 38478 */   MCD_OPC_FilterValue, 54, 29, 0, // Skip to: 38511
-/* 38482 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38485 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 38498
-/* 38489 */   MCD_OPC_CheckPredicate, 0, 128, 8, // Skip to: 40669
-/* 38493 */   MCD_OPC_Decode, 242, 2, 253, 1, // Opcode: FCMLEv1i32rz
-/* 38498 */   MCD_OPC_FilterValue, 33, 119, 8, // Skip to: 40669
-/* 38502 */   MCD_OPC_CheckPredicate, 0, 115, 8, // Skip to: 40669
-/* 38506 */   MCD_OPC_Decode, 185, 5, 253, 1, // Opcode: FRSQRTEv1i32
-/* 38511 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 38530
-/* 38515 */   MCD_OPC_CheckPredicate, 0, 102, 8, // Skip to: 40669
-/* 38519 */   MCD_OPC_CheckField, 21, 1, 1, 96, 8, // Skip to: 40669
-/* 38525 */   MCD_OPC_Decode, 232, 2, 130, 2, // Opcode: FCMGT32
-/* 38530 */   MCD_OPC_FilterValue, 59, 15, 0, // Skip to: 38549
-/* 38534 */   MCD_OPC_CheckPredicate, 0, 83, 8, // Skip to: 40669
-/* 38538 */   MCD_OPC_CheckField, 21, 1, 1, 77, 8, // Skip to: 40669
-/* 38544 */   MCD_OPC_Decode, 193, 2, 130, 2, // Opcode: FACGT32
-/* 38549 */   MCD_OPC_FilterValue, 62, 68, 8, // Skip to: 40669
-/* 38553 */   MCD_OPC_CheckPredicate, 0, 64, 8, // Skip to: 40669
-/* 38557 */   MCD_OPC_CheckField, 16, 6, 48, 58, 8, // Skip to: 40669
-/* 38563 */   MCD_OPC_Decode, 196, 4, 144, 1, // Opcode: FMINPv2i32p
-/* 38568 */   MCD_OPC_FilterValue, 11, 182, 1, // Skip to: 39010
-/* 38572 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 38575 */   MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 38593
-/* 38579 */   MCD_OPC_CheckPredicate, 0, 38, 8, // Skip to: 40669
-/* 38583 */   MCD_OPC_CheckField, 21, 1, 1, 32, 8, // Skip to: 40669
-/* 38589 */   MCD_OPC_Decode, 140, 17, 89, // Opcode: UQADDv1i64
-/* 38593 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 38611
-/* 38597 */   MCD_OPC_CheckPredicate, 0, 20, 8, // Skip to: 40669
-/* 38601 */   MCD_OPC_CheckField, 21, 1, 1, 14, 8, // Skip to: 40669
-/* 38607 */   MCD_OPC_Decode, 202, 17, 89, // Opcode: UQSUBv1i64
-/* 38611 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 38629
-/* 38615 */   MCD_OPC_CheckPredicate, 0, 2, 8, // Skip to: 40669
-/* 38619 */   MCD_OPC_CheckField, 21, 1, 1, 252, 7, // Skip to: 40669
-/* 38625 */   MCD_OPC_Decode, 207, 1, 89, // Opcode: CMHIv1i64
-/* 38629 */   MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 38647
-/* 38633 */   MCD_OPC_CheckPredicate, 0, 240, 7, // Skip to: 40669
-/* 38637 */   MCD_OPC_CheckField, 16, 6, 32, 234, 7, // Skip to: 40669
-/* 38643 */   MCD_OPC_Decode, 150, 18, 99, // Opcode: USQADDv1i64
-/* 38647 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 38665
-/* 38651 */   MCD_OPC_CheckPredicate, 0, 222, 7, // Skip to: 40669
-/* 38655 */   MCD_OPC_CheckField, 21, 1, 1, 216, 7, // Skip to: 40669
-/* 38661 */   MCD_OPC_Decode, 215, 1, 89, // Opcode: CMHSv1i64
-/* 38665 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 38683
-/* 38669 */   MCD_OPC_CheckPredicate, 0, 204, 7, // Skip to: 40669
-/* 38673 */   MCD_OPC_CheckField, 21, 1, 1, 198, 7, // Skip to: 40669
-/* 38679 */   MCD_OPC_Decode, 132, 18, 89, // Opcode: USHLv1i64
-/* 38683 */   MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 38701
-/* 38687 */   MCD_OPC_CheckPredicate, 0, 186, 7, // Skip to: 40669
-/* 38691 */   MCD_OPC_CheckField, 21, 1, 1, 180, 7, // Skip to: 40669
-/* 38697 */   MCD_OPC_Decode, 176, 17, 89, // Opcode: UQSHLv1i64
-/* 38701 */   MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 38719
-/* 38705 */   MCD_OPC_CheckPredicate, 0, 168, 7, // Skip to: 40669
-/* 38709 */   MCD_OPC_CheckField, 21, 1, 1, 162, 7, // Skip to: 40669
-/* 38715 */   MCD_OPC_Decode, 228, 17, 89, // Opcode: URSHLv1i64
-/* 38719 */   MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 38737
-/* 38723 */   MCD_OPC_CheckPredicate, 0, 150, 7, // Skip to: 40669
-/* 38727 */   MCD_OPC_CheckField, 21, 1, 1, 144, 7, // Skip to: 40669
-/* 38733 */   MCD_OPC_Decode, 151, 17, 89, // Opcode: UQRSHLv1i64
-/* 38737 */   MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 38755
-/* 38741 */   MCD_OPC_CheckPredicate, 0, 132, 7, // Skip to: 40669
-/* 38745 */   MCD_OPC_CheckField, 16, 6, 32, 126, 7, // Skip to: 40669
-/* 38751 */   MCD_OPC_Decode, 220, 11, 90, // Opcode: SQNEGv1i64
-/* 38755 */   MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 38773
-/* 38759 */   MCD_OPC_CheckPredicate, 0, 114, 7, // Skip to: 40669
-/* 38763 */   MCD_OPC_CheckField, 21, 1, 1, 108, 7, // Skip to: 40669
-/* 38769 */   MCD_OPC_Decode, 174, 15, 89, // Opcode: SUBv1i64
-/* 38773 */   MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 38791
-/* 38777 */   MCD_OPC_CheckPredicate, 0, 96, 7, // Skip to: 40669
-/* 38781 */   MCD_OPC_CheckField, 16, 6, 32, 90, 7, // Skip to: 40669
-/* 38787 */   MCD_OPC_Decode, 177, 1, 90, // Opcode: CMGEv1i64rz
-/* 38791 */   MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 38809
-/* 38795 */   MCD_OPC_CheckPredicate, 0, 78, 7, // Skip to: 40669
-/* 38799 */   MCD_OPC_CheckField, 21, 1, 1, 72, 7, // Skip to: 40669
-/* 38805 */   MCD_OPC_Decode, 160, 1, 89, // Opcode: CMEQv1i64
-/* 38809 */   MCD_OPC_FilterValue, 38, 14, 0, // Skip to: 38827
-/* 38813 */   MCD_OPC_CheckPredicate, 0, 60, 7, // Skip to: 40669
-/* 38817 */   MCD_OPC_CheckField, 16, 6, 32, 54, 7, // Skip to: 40669
-/* 38823 */   MCD_OPC_Decode, 223, 1, 90, // Opcode: CMLEv1i64rz
-/* 38827 */   MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 38845
-/* 38831 */   MCD_OPC_CheckPredicate, 0, 42, 7, // Skip to: 40669
-/* 38835 */   MCD_OPC_CheckField, 16, 6, 33, 36, 7, // Skip to: 40669
-/* 38841 */   MCD_OPC_Decode, 214, 3, 90, // Opcode: FCVTPUv1i64
-/* 38845 */   MCD_OPC_FilterValue, 46, 27, 0, // Skip to: 38876
-/* 38849 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38852 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38864
-/* 38856 */   MCD_OPC_CheckPredicate, 0, 17, 7, // Skip to: 40669
-/* 38860 */   MCD_OPC_Decode, 246, 8, 90, // Opcode: NEGv1i64
-/* 38864 */   MCD_OPC_FilterValue, 33, 9, 7, // Skip to: 40669
-/* 38868 */   MCD_OPC_CheckPredicate, 0, 5, 7, // Skip to: 40669
-/* 38872 */   MCD_OPC_Decode, 146, 4, 90, // Opcode: FCVTZUv1i64
-/* 38876 */   MCD_OPC_FilterValue, 50, 27, 0, // Skip to: 38907
-/* 38880 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38883 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38895
-/* 38887 */   MCD_OPC_CheckPredicate, 0, 242, 6, // Skip to: 40669
-/* 38891 */   MCD_OPC_Decode, 225, 2, 90, // Opcode: FCMGEv1i64rz
-/* 38895 */   MCD_OPC_FilterValue, 48, 234, 6, // Skip to: 40669
-/* 38899 */   MCD_OPC_CheckPredicate, 0, 230, 6, // Skip to: 40669
-/* 38903 */   MCD_OPC_Decode, 187, 4, 95, // Opcode: FMINNMPv2i64p
-/* 38907 */   MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 38925
-/* 38911 */   MCD_OPC_CheckPredicate, 0, 218, 6, // Skip to: 40669
-/* 38915 */   MCD_OPC_CheckField, 21, 1, 1, 212, 6, // Skip to: 40669
-/* 38921 */   MCD_OPC_Decode, 179, 2, 89, // Opcode: FABD64
-/* 38925 */   MCD_OPC_FilterValue, 54, 27, 0, // Skip to: 38956
-/* 38929 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
-/* 38932 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38944
-/* 38936 */   MCD_OPC_CheckPredicate, 0, 193, 6, // Skip to: 40669
-/* 38940 */   MCD_OPC_Decode, 243, 2, 90, // Opcode: FCMLEv1i64rz
-/* 38944 */   MCD_OPC_FilterValue, 33, 185, 6, // Skip to: 40669
-/* 38948 */   MCD_OPC_CheckPredicate, 0, 181, 6, // Skip to: 40669
-/* 38952 */   MCD_OPC_Decode, 186, 5, 90, // Opcode: FRSQRTEv1i64
-/* 38956 */   MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 38974
-/* 38960 */   MCD_OPC_CheckPredicate, 0, 169, 6, // Skip to: 40669
-/* 38964 */   MCD_OPC_CheckField, 21, 1, 1, 163, 6, // Skip to: 40669
-/* 38970 */   MCD_OPC_Decode, 233, 2, 89, // Opcode: FCMGT64
-/* 38974 */   MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 38992
-/* 38978 */   MCD_OPC_CheckPredicate, 0, 151, 6, // Skip to: 40669
-/* 38982 */   MCD_OPC_CheckField, 21, 1, 1, 145, 6, // Skip to: 40669
-/* 38988 */   MCD_OPC_Decode, 194, 2, 89, // Opcode: FACGT64
-/* 38992 */   MCD_OPC_FilterValue, 62, 137, 6, // Skip to: 40669
-/* 38996 */   MCD_OPC_CheckPredicate, 0, 133, 6, // Skip to: 40669
-/* 39000 */   MCD_OPC_CheckField, 16, 6, 48, 127, 6, // Skip to: 40669
-/* 39006 */   MCD_OPC_Decode, 197, 4, 95, // Opcode: FMINPv2i64p
-/* 39010 */   MCD_OPC_FilterValue, 12, 139, 1, // Skip to: 39409
-/* 39014 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 39017 */   MCD_OPC_FilterValue, 25, 55, 0, // Skip to: 39076
-/* 39021 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39024 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39063
-/* 39028 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39031 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39050
-/* 39035 */   MCD_OPC_CheckPredicate, 0, 94, 6, // Skip to: 40669
-/* 39039 */   MCD_OPC_CheckField, 19, 1, 1, 88, 6, // Skip to: 40669
-/* 39045 */   MCD_OPC_Decode, 141, 12, 173, 2, // Opcode: SQSHLUb
-/* 39050 */   MCD_OPC_FilterValue, 1, 79, 6, // Skip to: 40669
-/* 39054 */   MCD_OPC_CheckPredicate, 0, 75, 6, // Skip to: 40669
-/* 39058 */   MCD_OPC_Decode, 143, 12, 174, 2, // Opcode: SQSHLUh
-/* 39063 */   MCD_OPC_FilterValue, 1, 66, 6, // Skip to: 40669
-/* 39067 */   MCD_OPC_CheckPredicate, 0, 62, 6, // Skip to: 40669
-/* 39071 */   MCD_OPC_Decode, 144, 12, 175, 2, // Opcode: SQSHLUs
-/* 39076 */   MCD_OPC_FilterValue, 29, 55, 0, // Skip to: 39135
-/* 39080 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39083 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39122
-/* 39087 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39090 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39109
-/* 39094 */   MCD_OPC_CheckPredicate, 0, 35, 6, // Skip to: 40669
-/* 39098 */   MCD_OPC_CheckField, 19, 1, 1, 29, 6, // Skip to: 40669
-/* 39104 */   MCD_OPC_Decode, 168, 17, 173, 2, // Opcode: UQSHLb
-/* 39109 */   MCD_OPC_FilterValue, 1, 20, 6, // Skip to: 40669
-/* 39113 */   MCD_OPC_CheckPredicate, 0, 16, 6, // Skip to: 40669
-/* 39117 */   MCD_OPC_Decode, 170, 17, 174, 2, // Opcode: UQSHLh
-/* 39122 */   MCD_OPC_FilterValue, 1, 7, 6, // Skip to: 40669
-/* 39126 */   MCD_OPC_CheckPredicate, 0, 3, 6, // Skip to: 40669
-/* 39130 */   MCD_OPC_Decode, 171, 17, 175, 2, // Opcode: UQSHLs
-/* 39135 */   MCD_OPC_FilterValue, 33, 55, 0, // Skip to: 39194
-/* 39139 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39142 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39181
-/* 39146 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39149 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39168
-/* 39153 */   MCD_OPC_CheckPredicate, 0, 232, 5, // Skip to: 40669
-/* 39157 */   MCD_OPC_CheckField, 19, 1, 1, 226, 5, // Skip to: 40669
-/* 39163 */   MCD_OPC_Decode, 183, 12, 176, 2, // Opcode: SQSHRUNb
-/* 39168 */   MCD_OPC_FilterValue, 1, 217, 5, // Skip to: 40669
-/* 39172 */   MCD_OPC_CheckPredicate, 0, 213, 5, // Skip to: 40669
-/* 39176 */   MCD_OPC_Decode, 184, 12, 177, 2, // Opcode: SQSHRUNh
-/* 39181 */   MCD_OPC_FilterValue, 1, 204, 5, // Skip to: 40669
-/* 39185 */   MCD_OPC_CheckPredicate, 0, 200, 5, // Skip to: 40669
-/* 39189 */   MCD_OPC_Decode, 185, 12, 178, 2, // Opcode: SQSHRUNs
-/* 39194 */   MCD_OPC_FilterValue, 35, 55, 0, // Skip to: 39253
-/* 39198 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39201 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39240
-/* 39205 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39208 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39227
-/* 39212 */   MCD_OPC_CheckPredicate, 0, 173, 5, // Skip to: 40669
-/* 39216 */   MCD_OPC_CheckField, 19, 1, 1, 167, 5, // Skip to: 40669
-/* 39222 */   MCD_OPC_Decode, 132, 12, 176, 2, // Opcode: SQRSHRUNb
-/* 39227 */   MCD_OPC_FilterValue, 1, 158, 5, // Skip to: 40669
-/* 39231 */   MCD_OPC_CheckPredicate, 0, 154, 5, // Skip to: 40669
-/* 39235 */   MCD_OPC_Decode, 133, 12, 177, 2, // Opcode: SQRSHRUNh
-/* 39240 */   MCD_OPC_FilterValue, 1, 145, 5, // Skip to: 40669
-/* 39244 */   MCD_OPC_CheckPredicate, 0, 141, 5, // Skip to: 40669
-/* 39248 */   MCD_OPC_Decode, 134, 12, 178, 2, // Opcode: SQRSHRUNs
-/* 39253 */   MCD_OPC_FilterValue, 37, 55, 0, // Skip to: 39312
-/* 39257 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39260 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39299
-/* 39264 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39267 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39286
-/* 39271 */   MCD_OPC_CheckPredicate, 0, 114, 5, // Skip to: 40669
-/* 39275 */   MCD_OPC_CheckField, 19, 1, 1, 108, 5, // Skip to: 40669
-/* 39281 */   MCD_OPC_Decode, 190, 17, 176, 2, // Opcode: UQSHRNb
-/* 39286 */   MCD_OPC_FilterValue, 1, 99, 5, // Skip to: 40669
-/* 39290 */   MCD_OPC_CheckPredicate, 0, 95, 5, // Skip to: 40669
-/* 39294 */   MCD_OPC_Decode, 191, 17, 177, 2, // Opcode: UQSHRNh
-/* 39299 */   MCD_OPC_FilterValue, 1, 86, 5, // Skip to: 40669
-/* 39303 */   MCD_OPC_CheckPredicate, 0, 82, 5, // Skip to: 40669
-/* 39307 */   MCD_OPC_Decode, 192, 17, 178, 2, // Opcode: UQSHRNs
-/* 39312 */   MCD_OPC_FilterValue, 39, 55, 0, // Skip to: 39371
-/* 39316 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 39319 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39358
-/* 39323 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 39326 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39345
-/* 39330 */   MCD_OPC_CheckPredicate, 0, 55, 5, // Skip to: 40669
-/* 39334 */   MCD_OPC_CheckField, 19, 1, 1, 49, 5, // Skip to: 40669
-/* 39340 */   MCD_OPC_Decode, 159, 17, 176, 2, // Opcode: UQRSHRNb
-/* 39345 */   MCD_OPC_FilterValue, 1, 40, 5, // Skip to: 40669
-/* 39349 */   MCD_OPC_CheckPredicate, 0, 36, 5, // Skip to: 40669
-/* 39353 */   MCD_OPC_Decode, 160, 17, 177, 2, // Opcode: UQRSHRNh
-/* 39358 */   MCD_OPC_FilterValue, 1, 27, 5, // Skip to: 40669
-/* 39362 */   MCD_OPC_CheckPredicate, 0, 23, 5, // Skip to: 40669
-/* 39366 */   MCD_OPC_Decode, 161, 17, 178, 2, // Opcode: UQRSHRNs
-/* 39371 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 39390
-/* 39375 */   MCD_OPC_CheckPredicate, 0, 10, 5, // Skip to: 40669
-/* 39379 */   MCD_OPC_CheckField, 21, 1, 1, 4, 5, // Skip to: 40669
-/* 39385 */   MCD_OPC_Decode, 169, 16, 184, 2, // Opcode: UCVTFs
-/* 39390 */   MCD_OPC_FilterValue, 63, 251, 4, // Skip to: 40669
-/* 39394 */   MCD_OPC_CheckPredicate, 0, 247, 4, // Skip to: 40669
-/* 39398 */   MCD_OPC_CheckField, 21, 1, 1, 241, 4, // Skip to: 40669
-/* 39404 */   MCD_OPC_Decode, 144, 4, 184, 2, // Opcode: FCVTZUs
-/* 39409 */   MCD_OPC_FilterValue, 13, 133, 0, // Skip to: 39546
-/* 39413 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 39416 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 39429
-/* 39420 */   MCD_OPC_CheckPredicate, 0, 221, 4, // Skip to: 40669
-/* 39424 */   MCD_OPC_Decode, 139, 18, 166, 2, // Opcode: USHRd
-/* 39429 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 39442
-/* 39433 */   MCD_OPC_CheckPredicate, 0, 208, 4, // Skip to: 40669
-/* 39437 */   MCD_OPC_Decode, 158, 18, 167, 2, // Opcode: USRAd
-/* 39442 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 39455
-/* 39446 */   MCD_OPC_CheckPredicate, 0, 195, 4, // Skip to: 40669
-/* 39450 */   MCD_OPC_Decode, 235, 17, 166, 2, // Opcode: URSHRd
-/* 39455 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 39468
-/* 39459 */   MCD_OPC_CheckPredicate, 0, 182, 4, // Skip to: 40669
-/* 39463 */   MCD_OPC_Decode, 245, 17, 167, 2, // Opcode: URSRAd
-/* 39468 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 39481
-/* 39472 */   MCD_OPC_CheckPredicate, 0, 169, 4, // Skip to: 40669
-/* 39476 */   MCD_OPC_Decode, 227, 12, 167, 2, // Opcode: SRId
-/* 39481 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 39494
-/* 39485 */   MCD_OPC_CheckPredicate, 0, 156, 4, // Skip to: 40669
-/* 39489 */   MCD_OPC_Decode, 194, 10, 187, 2, // Opcode: SLId
-/* 39494 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 39507
-/* 39498 */   MCD_OPC_CheckPredicate, 0, 143, 4, // Skip to: 40669
-/* 39502 */   MCD_OPC_Decode, 142, 12, 172, 2, // Opcode: SQSHLUd
-/* 39507 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 39520
-/* 39511 */   MCD_OPC_CheckPredicate, 0, 130, 4, // Skip to: 40669
-/* 39515 */   MCD_OPC_Decode, 169, 17, 172, 2, // Opcode: UQSHLd
-/* 39520 */   MCD_OPC_FilterValue, 57, 9, 0, // Skip to: 39533
-/* 39524 */   MCD_OPC_CheckPredicate, 0, 117, 4, // Skip to: 40669
-/* 39528 */   MCD_OPC_Decode, 168, 16, 166, 2, // Opcode: UCVTFd
-/* 39533 */   MCD_OPC_FilterValue, 63, 108, 4, // Skip to: 40669
-/* 39537 */   MCD_OPC_CheckPredicate, 0, 104, 4, // Skip to: 40669
-/* 39541 */   MCD_OPC_Decode, 143, 4, 166, 2, // Opcode: FCVTZUd
-/* 39546 */   MCD_OPC_FilterValue, 14, 21, 0, // Skip to: 39571
-/* 39550 */   MCD_OPC_CheckPredicate, 0, 91, 4, // Skip to: 40669
-/* 39554 */   MCD_OPC_CheckField, 12, 4, 9, 85, 4, // Skip to: 40669
-/* 39560 */   MCD_OPC_CheckField, 10, 1, 0, 79, 4, // Skip to: 40669
-/* 39566 */   MCD_OPC_Decode, 239, 4, 179, 2, // Opcode: FMULXv1i32_indexed
-/* 39571 */   MCD_OPC_FilterValue, 15, 70, 4, // Skip to: 40669
-/* 39575 */   MCD_OPC_CheckPredicate, 0, 66, 4, // Skip to: 40669
-/* 39579 */   MCD_OPC_CheckField, 21, 1, 0, 60, 4, // Skip to: 40669
-/* 39585 */   MCD_OPC_CheckField, 12, 4, 9, 54, 4, // Skip to: 40669
-/* 39591 */   MCD_OPC_CheckField, 10, 1, 0, 48, 4, // Skip to: 40669
-/* 39597 */   MCD_OPC_Decode, 240, 4, 180, 2, // Opcode: FMULXv1i64_indexed
-/* 39602 */   MCD_OPC_FilterValue, 4, 145, 2, // Skip to: 40263
-/* 39606 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 39609 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 39618
-/* 39613 */   MCD_OPC_Decode, 222, 7, 188, 2, // Opcode: LDRQl
-/* 39618 */   MCD_OPC_FilterValue, 2, 23, 4, // Skip to: 40669
-/* 39622 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
-/* 39625 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 39638
-/* 39629 */   MCD_OPC_CheckPredicate, 3, 12, 4, // Skip to: 40669
-/* 39633 */   MCD_OPC_Decode, 133, 10, 189, 2, // Opcode: SCVTFSXSri
-/* 39638 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 39651
-/* 39642 */   MCD_OPC_CheckPredicate, 3, 255, 3, // Skip to: 40669
-/* 39646 */   MCD_OPC_Decode, 163, 16, 189, 2, // Opcode: UCVTFSXSri
-/* 39651 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 39664
-/* 39655 */   MCD_OPC_CheckPredicate, 3, 242, 3, // Skip to: 40669
-/* 39659 */   MCD_OPC_Decode, 226, 3, 190, 2, // Opcode: FCVTZSSXSri
-/* 39664 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 39677
-/* 39668 */   MCD_OPC_CheckPredicate, 3, 229, 3, // Skip to: 40669
-/* 39672 */   MCD_OPC_Decode, 255, 3, 190, 2, // Opcode: FCVTZUSXSri
-/* 39677 */   MCD_OPC_FilterValue, 32, 15, 0, // Skip to: 39696
-/* 39681 */   MCD_OPC_CheckPredicate, 3, 216, 3, // Skip to: 40669
-/* 39685 */   MCD_OPC_CheckField, 10, 6, 0, 210, 3, // Skip to: 40669
-/* 39691 */   MCD_OPC_Decode, 181, 3, 191, 2, // Opcode: FCVTNSUXSr
-/* 39696 */   MCD_OPC_FilterValue, 33, 15, 0, // Skip to: 39715
-/* 39700 */   MCD_OPC_CheckPredicate, 3, 197, 3, // Skip to: 40669
-/* 39704 */   MCD_OPC_CheckField, 10, 6, 0, 191, 3, // Skip to: 40669
-/* 39710 */   MCD_OPC_Decode, 190, 3, 191, 2, // Opcode: FCVTNUUXSr
-/* 39715 */   MCD_OPC_FilterValue, 34, 15, 0, // Skip to: 39734
-/* 39719 */   MCD_OPC_CheckPredicate, 3, 178, 3, // Skip to: 40669
-/* 39723 */   MCD_OPC_CheckField, 10, 6, 0, 172, 3, // Skip to: 40669
-/* 39729 */   MCD_OPC_Decode, 137, 10, 192, 2, // Opcode: SCVTFUXSri
-/* 39734 */   MCD_OPC_FilterValue, 35, 15, 0, // Skip to: 39753
-/* 39738 */   MCD_OPC_CheckPredicate, 3, 159, 3, // Skip to: 40669
-/* 39742 */   MCD_OPC_CheckField, 10, 6, 0, 153, 3, // Skip to: 40669
-/* 39748 */   MCD_OPC_Decode, 167, 16, 192, 2, // Opcode: UCVTFUXSri
-/* 39753 */   MCD_OPC_FilterValue, 36, 15, 0, // Skip to: 39772
-/* 39757 */   MCD_OPC_CheckPredicate, 3, 140, 3, // Skip to: 40669
-/* 39761 */   MCD_OPC_CheckField, 10, 6, 0, 134, 3, // Skip to: 40669
-/* 39767 */   MCD_OPC_Decode, 137, 3, 191, 2, // Opcode: FCVTASUXSr
-/* 39772 */   MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 39791
-/* 39776 */   MCD_OPC_CheckPredicate, 3, 121, 3, // Skip to: 40669
-/* 39780 */   MCD_OPC_CheckField, 10, 6, 0, 115, 3, // Skip to: 40669
-/* 39786 */   MCD_OPC_Decode, 146, 3, 191, 2, // Opcode: FCVTAUUXSr
-/* 39791 */   MCD_OPC_FilterValue, 40, 15, 0, // Skip to: 39810
-/* 39795 */   MCD_OPC_CheckPredicate, 3, 102, 3, // Skip to: 40669
-/* 39799 */   MCD_OPC_CheckField, 10, 6, 0, 96, 3, // Skip to: 40669
-/* 39805 */   MCD_OPC_Decode, 203, 3, 191, 2, // Opcode: FCVTPSUXSr
-/* 39810 */   MCD_OPC_FilterValue, 41, 15, 0, // Skip to: 39829
-/* 39814 */   MCD_OPC_CheckPredicate, 3, 83, 3, // Skip to: 40669
-/* 39818 */   MCD_OPC_CheckField, 10, 6, 0, 77, 3, // Skip to: 40669
-/* 39824 */   MCD_OPC_Decode, 212, 3, 191, 2, // Opcode: FCVTPUUXSr
-/* 39829 */   MCD_OPC_FilterValue, 48, 15, 0, // Skip to: 39848
-/* 39833 */   MCD_OPC_CheckPredicate, 3, 64, 3, // Skip to: 40669
-/* 39837 */   MCD_OPC_CheckField, 10, 6, 0, 58, 3, // Skip to: 40669
-/* 39843 */   MCD_OPC_Decode, 163, 3, 191, 2, // Opcode: FCVTMSUXSr
-/* 39848 */   MCD_OPC_FilterValue, 49, 15, 0, // Skip to: 39867
-/* 39852 */   MCD_OPC_CheckPredicate, 3, 45, 3, // Skip to: 40669
-/* 39856 */   MCD_OPC_CheckField, 10, 6, 0, 39, 3, // Skip to: 40669
-/* 39862 */   MCD_OPC_Decode, 172, 3, 191, 2, // Opcode: FCVTMUUXSr
-/* 39867 */   MCD_OPC_FilterValue, 56, 15, 0, // Skip to: 39886
-/* 39871 */   MCD_OPC_CheckPredicate, 3, 26, 3, // Skip to: 40669
-/* 39875 */   MCD_OPC_CheckField, 10, 6, 0, 20, 3, // Skip to: 40669
-/* 39881 */   MCD_OPC_Decode, 230, 3, 191, 2, // Opcode: FCVTZSUXSr
-/* 39886 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 39905
-/* 39890 */   MCD_OPC_CheckPredicate, 3, 7, 3, // Skip to: 40669
-/* 39894 */   MCD_OPC_CheckField, 10, 6, 0, 1, 3, // Skip to: 40669
-/* 39900 */   MCD_OPC_Decode, 131, 4, 191, 2, // Opcode: FCVTZUUXSr
-/* 39905 */   MCD_OPC_FilterValue, 66, 9, 0, // Skip to: 39918
-/* 39909 */   MCD_OPC_CheckPredicate, 3, 244, 2, // Skip to: 40669
-/* 39913 */   MCD_OPC_Decode, 132, 10, 193, 2, // Opcode: SCVTFSXDri
-/* 39918 */   MCD_OPC_FilterValue, 67, 9, 0, // Skip to: 39931
-/* 39922 */   MCD_OPC_CheckPredicate, 3, 231, 2, // Skip to: 40669
-/* 39926 */   MCD_OPC_Decode, 162, 16, 193, 2, // Opcode: UCVTFSXDri
-/* 39931 */   MCD_OPC_FilterValue, 88, 9, 0, // Skip to: 39944
-/* 39935 */   MCD_OPC_CheckPredicate, 3, 218, 2, // Skip to: 40669
-/* 39939 */   MCD_OPC_Decode, 225, 3, 194, 2, // Opcode: FCVTZSSXDri
-/* 39944 */   MCD_OPC_FilterValue, 89, 9, 0, // Skip to: 39957
-/* 39948 */   MCD_OPC_CheckPredicate, 3, 205, 2, // Skip to: 40669
-/* 39952 */   MCD_OPC_Decode, 254, 3, 194, 2, // Opcode: FCVTZUSXDri
-/* 39957 */   MCD_OPC_FilterValue, 96, 15, 0, // Skip to: 39976
-/* 39961 */   MCD_OPC_CheckPredicate, 3, 192, 2, // Skip to: 40669
-/* 39965 */   MCD_OPC_CheckField, 10, 6, 0, 186, 2, // Skip to: 40669
-/* 39971 */   MCD_OPC_Decode, 180, 3, 195, 2, // Opcode: FCVTNSUXDr
-/* 39976 */   MCD_OPC_FilterValue, 97, 15, 0, // Skip to: 39995
-/* 39980 */   MCD_OPC_CheckPredicate, 3, 173, 2, // Skip to: 40669
-/* 39984 */   MCD_OPC_CheckField, 10, 6, 0, 167, 2, // Skip to: 40669
-/* 39990 */   MCD_OPC_Decode, 189, 3, 195, 2, // Opcode: FCVTNUUXDr
-/* 39995 */   MCD_OPC_FilterValue, 98, 15, 0, // Skip to: 40014
-/* 39999 */   MCD_OPC_CheckPredicate, 3, 154, 2, // Skip to: 40669
-/* 40003 */   MCD_OPC_CheckField, 10, 6, 0, 148, 2, // Skip to: 40669
-/* 40009 */   MCD_OPC_Decode, 136, 10, 196, 2, // Opcode: SCVTFUXDri
-/* 40014 */   MCD_OPC_FilterValue, 99, 15, 0, // Skip to: 40033
-/* 40018 */   MCD_OPC_CheckPredicate, 3, 135, 2, // Skip to: 40669
-/* 40022 */   MCD_OPC_CheckField, 10, 6, 0, 129, 2, // Skip to: 40669
-/* 40028 */   MCD_OPC_Decode, 166, 16, 196, 2, // Opcode: UCVTFUXDri
-/* 40033 */   MCD_OPC_FilterValue, 100, 15, 0, // Skip to: 40052
-/* 40037 */   MCD_OPC_CheckPredicate, 3, 116, 2, // Skip to: 40669
-/* 40041 */   MCD_OPC_CheckField, 10, 6, 0, 110, 2, // Skip to: 40669
-/* 40047 */   MCD_OPC_Decode, 136, 3, 195, 2, // Opcode: FCVTASUXDr
-/* 40052 */   MCD_OPC_FilterValue, 101, 15, 0, // Skip to: 40071
-/* 40056 */   MCD_OPC_CheckPredicate, 3, 97, 2, // Skip to: 40669
-/* 40060 */   MCD_OPC_CheckField, 10, 6, 0, 91, 2, // Skip to: 40669
-/* 40066 */   MCD_OPC_Decode, 145, 3, 195, 2, // Opcode: FCVTAUUXDr
-/* 40071 */   MCD_OPC_FilterValue, 102, 15, 0, // Skip to: 40090
-/* 40075 */   MCD_OPC_CheckPredicate, 3, 78, 2, // Skip to: 40669
-/* 40079 */   MCD_OPC_CheckField, 10, 6, 0, 72, 2, // Skip to: 40669
-/* 40085 */   MCD_OPC_Decode, 221, 4, 195, 2, // Opcode: FMOVDXr
-/* 40090 */   MCD_OPC_FilterValue, 103, 15, 0, // Skip to: 40109
-/* 40094 */   MCD_OPC_CheckPredicate, 3, 59, 2, // Skip to: 40669
-/* 40098 */   MCD_OPC_CheckField, 10, 6, 0, 53, 2, // Skip to: 40669
-/* 40104 */   MCD_OPC_Decode, 229, 4, 196, 2, // Opcode: FMOVXDr
-/* 40109 */   MCD_OPC_FilterValue, 104, 15, 0, // Skip to: 40128
-/* 40113 */   MCD_OPC_CheckPredicate, 3, 40, 2, // Skip to: 40669
-/* 40117 */   MCD_OPC_CheckField, 10, 6, 0, 34, 2, // Skip to: 40669
-/* 40123 */   MCD_OPC_Decode, 202, 3, 195, 2, // Opcode: FCVTPSUXDr
-/* 40128 */   MCD_OPC_FilterValue, 105, 15, 0, // Skip to: 40147
-/* 40132 */   MCD_OPC_CheckPredicate, 3, 21, 2, // Skip to: 40669
-/* 40136 */   MCD_OPC_CheckField, 10, 6, 0, 15, 2, // Skip to: 40669
-/* 40142 */   MCD_OPC_Decode, 211, 3, 195, 2, // Opcode: FCVTPUUXDr
-/* 40147 */   MCD_OPC_FilterValue, 112, 15, 0, // Skip to: 40166
-/* 40151 */   MCD_OPC_CheckPredicate, 3, 2, 2, // Skip to: 40669
-/* 40155 */   MCD_OPC_CheckField, 10, 6, 0, 252, 1, // Skip to: 40669
-/* 40161 */   MCD_OPC_Decode, 162, 3, 195, 2, // Opcode: FCVTMSUXDr
-/* 40166 */   MCD_OPC_FilterValue, 113, 15, 0, // Skip to: 40185
-/* 40170 */   MCD_OPC_CheckPredicate, 3, 239, 1, // Skip to: 40669
-/* 40174 */   MCD_OPC_CheckField, 10, 6, 0, 233, 1, // Skip to: 40669
-/* 40180 */   MCD_OPC_Decode, 171, 3, 195, 2, // Opcode: FCVTMUUXDr
-/* 40185 */   MCD_OPC_FilterValue, 120, 15, 0, // Skip to: 40204
-/* 40189 */   MCD_OPC_CheckPredicate, 3, 220, 1, // Skip to: 40669
-/* 40193 */   MCD_OPC_CheckField, 10, 6, 0, 214, 1, // Skip to: 40669
-/* 40199 */   MCD_OPC_Decode, 229, 3, 195, 2, // Opcode: FCVTZSUXDr
-/* 40204 */   MCD_OPC_FilterValue, 121, 15, 0, // Skip to: 40223
-/* 40208 */   MCD_OPC_CheckPredicate, 3, 201, 1, // Skip to: 40669
-/* 40212 */   MCD_OPC_CheckField, 10, 6, 0, 195, 1, // Skip to: 40669
-/* 40218 */   MCD_OPC_Decode, 130, 4, 195, 2, // Opcode: FCVTZUUXDr
-/* 40223 */   MCD_OPC_FilterValue, 174, 1, 15, 0, // Skip to: 40243
-/* 40228 */   MCD_OPC_CheckPredicate, 3, 181, 1, // Skip to: 40669
-/* 40232 */   MCD_OPC_CheckField, 10, 6, 0, 175, 1, // Skip to: 40669
-/* 40238 */   MCD_OPC_Decode, 220, 4, 197, 2, // Opcode: FMOVDXHighr
-/* 40243 */   MCD_OPC_FilterValue, 175, 1, 165, 1, // Skip to: 40669
-/* 40248 */   MCD_OPC_CheckPredicate, 3, 161, 1, // Skip to: 40669
-/* 40252 */   MCD_OPC_CheckField, 10, 6, 0, 155, 1, // Skip to: 40669
-/* 40258 */   MCD_OPC_Decode, 228, 4, 197, 2, // Opcode: FMOVXDHighr
-/* 40263 */   MCD_OPC_FilterValue, 5, 199, 0, // Skip to: 40466
-/* 40267 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 40270 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 40359
-/* 40274 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 40277 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40292
-/* 40281 */   MCD_OPC_CheckField, 21, 1, 0, 126, 1, // Skip to: 40669
-/* 40287 */   MCD_OPC_Decode, 140, 15, 226, 1, // Opcode: STURSi
-/* 40292 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40307
-/* 40296 */   MCD_OPC_CheckField, 21, 1, 0, 111, 1, // Skip to: 40669
-/* 40302 */   MCD_OPC_Decode, 243, 14, 226, 1, // Opcode: STRSpost
-/* 40307 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40344
-/* 40311 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 40314 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40329
-/* 40318 */   MCD_OPC_CheckField, 21, 1, 1, 89, 1, // Skip to: 40669
-/* 40324 */   MCD_OPC_Decode, 245, 14, 198, 2, // Opcode: STRSroW
-/* 40329 */   MCD_OPC_FilterValue, 3, 80, 1, // Skip to: 40669
-/* 40333 */   MCD_OPC_CheckField, 21, 1, 1, 74, 1, // Skip to: 40669
-/* 40339 */   MCD_OPC_Decode, 246, 14, 199, 2, // Opcode: STRSroX
-/* 40344 */   MCD_OPC_FilterValue, 3, 65, 1, // Skip to: 40669
-/* 40348 */   MCD_OPC_CheckField, 21, 1, 0, 59, 1, // Skip to: 40669
-/* 40354 */   MCD_OPC_Decode, 244, 14, 226, 1, // Opcode: STRSpre
-/* 40359 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 40448
-/* 40363 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 40366 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40381
-/* 40370 */   MCD_OPC_CheckField, 21, 1, 0, 37, 1, // Skip to: 40669
-/* 40376 */   MCD_OPC_Decode, 164, 8, 226, 1, // Opcode: LDURSi
-/* 40381 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40396
-/* 40385 */   MCD_OPC_CheckField, 21, 1, 0, 22, 1, // Skip to: 40669
-/* 40391 */   MCD_OPC_Decode, 255, 7, 226, 1, // Opcode: LDRSpost
-/* 40396 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40433
-/* 40400 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 40403 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40418
-/* 40407 */   MCD_OPC_CheckField, 21, 1, 1, 0, 1, // Skip to: 40669
-/* 40413 */   MCD_OPC_Decode, 129, 8, 198, 2, // Opcode: LDRSroW
-/* 40418 */   MCD_OPC_FilterValue, 3, 247, 0, // Skip to: 40669
-/* 40422 */   MCD_OPC_CheckField, 21, 1, 1, 241, 0, // Skip to: 40669
-/* 40428 */   MCD_OPC_Decode, 130, 8, 199, 2, // Opcode: LDRSroX
-/* 40433 */   MCD_OPC_FilterValue, 3, 232, 0, // Skip to: 40669
-/* 40437 */   MCD_OPC_CheckField, 21, 1, 0, 226, 0, // Skip to: 40669
-/* 40443 */   MCD_OPC_Decode, 128, 8, 226, 1, // Opcode: LDRSpre
-/* 40448 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 40457
-/* 40452 */   MCD_OPC_Decode, 247, 14, 231, 1, // Opcode: STRSui
-/* 40457 */   MCD_OPC_FilterValue, 5, 208, 0, // Skip to: 40669
-/* 40461 */   MCD_OPC_Decode, 131, 8, 231, 1, // Opcode: LDRSui
-/* 40466 */   MCD_OPC_FilterValue, 7, 199, 0, // Skip to: 40669
-/* 40470 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 40473 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 40562
-/* 40477 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 40480 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40495
-/* 40484 */   MCD_OPC_CheckField, 21, 1, 0, 179, 0, // Skip to: 40669
-/* 40490 */   MCD_OPC_Decode, 136, 15, 226, 1, // Opcode: STURDi
-/* 40495 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40510
-/* 40499 */   MCD_OPC_CheckField, 21, 1, 0, 164, 0, // Skip to: 40669
-/* 40505 */   MCD_OPC_Decode, 223, 14, 226, 1, // Opcode: STRDpost
-/* 40510 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40547
-/* 40514 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 40517 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40532
-/* 40521 */   MCD_OPC_CheckField, 21, 1, 1, 142, 0, // Skip to: 40669
-/* 40527 */   MCD_OPC_Decode, 225, 14, 200, 2, // Opcode: STRDroW
-/* 40532 */   MCD_OPC_FilterValue, 3, 133, 0, // Skip to: 40669
-/* 40536 */   MCD_OPC_CheckField, 21, 1, 1, 127, 0, // Skip to: 40669
-/* 40542 */   MCD_OPC_Decode, 226, 14, 201, 2, // Opcode: STRDroX
-/* 40547 */   MCD_OPC_FilterValue, 3, 118, 0, // Skip to: 40669
-/* 40551 */   MCD_OPC_CheckField, 21, 1, 0, 112, 0, // Skip to: 40669
-/* 40557 */   MCD_OPC_Decode, 224, 14, 226, 1, // Opcode: STRDpre
-/* 40562 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 40651
-/* 40566 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 40569 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40584
-/* 40573 */   MCD_OPC_CheckField, 21, 1, 0, 90, 0, // Skip to: 40669
-/* 40579 */   MCD_OPC_Decode, 155, 8, 226, 1, // Opcode: LDURDi
-/* 40584 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40599
-/* 40588 */   MCD_OPC_CheckField, 21, 1, 0, 75, 0, // Skip to: 40669
-/* 40594 */   MCD_OPC_Decode, 207, 7, 226, 1, // Opcode: LDRDpost
-/* 40599 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40636
-/* 40603 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
-/* 40606 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40621
-/* 40610 */   MCD_OPC_CheckField, 21, 1, 1, 53, 0, // Skip to: 40669
-/* 40616 */   MCD_OPC_Decode, 209, 7, 200, 2, // Opcode: LDRDroW
-/* 40621 */   MCD_OPC_FilterValue, 3, 44, 0, // Skip to: 40669
-/* 40625 */   MCD_OPC_CheckField, 21, 1, 1, 38, 0, // Skip to: 40669
-/* 40631 */   MCD_OPC_Decode, 210, 7, 201, 2, // Opcode: LDRDroX
-/* 40636 */   MCD_OPC_FilterValue, 3, 29, 0, // Skip to: 40669
-/* 40640 */   MCD_OPC_CheckField, 21, 1, 0, 23, 0, // Skip to: 40669
-/* 40646 */   MCD_OPC_Decode, 208, 7, 226, 1, // Opcode: LDRDpre
-/* 40651 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 40660
-/* 40655 */   MCD_OPC_Decode, 227, 14, 231, 1, // Opcode: STRDui
-/* 40660 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 40669
-/* 40664 */   MCD_OPC_Decode, 211, 7, 231, 1, // Opcode: LDRDui
-/* 40669 */   MCD_OPC_Fail,
+/* 13394 */   MCD_OPC_CheckPredicate, 0, 107, 106, // Skip to: 40641
+/* 13398 */   MCD_OPC_CheckField, 21, 1, 1, 101, 106, // Skip to: 40641
+/* 13404 */   MCD_OPC_Decode, 119, 89, // Opcode: BICv8i8
+/* 13407 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13425
+/* 13411 */   MCD_OPC_CheckPredicate, 0, 90, 106, // Skip to: 40641
+/* 13415 */   MCD_OPC_CheckField, 21, 1, 1, 84, 106, // Skip to: 40641
+/* 13421 */   MCD_OPC_Decode, 129, 1, 109, // Opcode: BSLv8i8
+/* 13425 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 13442
+/* 13429 */   MCD_OPC_CheckPredicate, 0, 72, 106, // Skip to: 40641
+/* 13433 */   MCD_OPC_CheckField, 21, 1, 1, 66, 106, // Skip to: 40641
+/* 13439 */   MCD_OPC_Decode, 114, 112, // Opcode: BICv16i8
+/* 13442 */   MCD_OPC_FilterValue, 3, 59, 106, // Skip to: 40641
+/* 13446 */   MCD_OPC_CheckPredicate, 0, 55, 106, // Skip to: 40641
+/* 13450 */   MCD_OPC_CheckField, 21, 1, 1, 49, 106, // Skip to: 40641
+/* 13456 */   MCD_OPC_Decode, 128, 1, 120, // Opcode: BSLv16i8
+/* 13460 */   MCD_OPC_FilterValue, 8, 75, 0, // Skip to: 13539
+/* 13464 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13467 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13485
+/* 13471 */   MCD_OPC_CheckPredicate, 0, 30, 106, // Skip to: 40641
+/* 13475 */   MCD_OPC_CheckField, 21, 1, 1, 24, 106, // Skip to: 40641
+/* 13481 */   MCD_OPC_Decode, 165, 13, 85, // Opcode: SSUBLv4i16_v4i32
+/* 13485 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13503
+/* 13489 */   MCD_OPC_CheckPredicate, 0, 12, 106, // Skip to: 40641
+/* 13493 */   MCD_OPC_CheckField, 21, 1, 1, 6, 106, // Skip to: 40641
+/* 13499 */   MCD_OPC_Decode, 170, 18, 85, // Opcode: USUBLv4i16_v4i32
+/* 13503 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13521
+/* 13507 */   MCD_OPC_CheckPredicate, 0, 250, 105, // Skip to: 40641
+/* 13511 */   MCD_OPC_CheckField, 21, 1, 1, 244, 105, // Skip to: 40641
+/* 13517 */   MCD_OPC_Decode, 167, 13, 112, // Opcode: SSUBLv8i16_v4i32
+/* 13521 */   MCD_OPC_FilterValue, 3, 236, 105, // Skip to: 40641
+/* 13525 */   MCD_OPC_CheckPredicate, 0, 232, 105, // Skip to: 40641
+/* 13529 */   MCD_OPC_CheckField, 21, 1, 1, 226, 105, // Skip to: 40641
+/* 13535 */   MCD_OPC_Decode, 172, 18, 112, // Opcode: USUBLv8i16_v4i32
+/* 13539 */   MCD_OPC_FilterValue, 9, 75, 0, // Skip to: 13618
+/* 13543 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13546 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13564
+/* 13550 */   MCD_OPC_CheckPredicate, 0, 207, 105, // Skip to: 40641
+/* 13554 */   MCD_OPC_CheckField, 21, 1, 1, 201, 105, // Skip to: 40641
+/* 13560 */   MCD_OPC_Decode, 192, 10, 89, // Opcode: SHSUBv4i16
+/* 13564 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13582
+/* 13568 */   MCD_OPC_CheckPredicate, 0, 189, 105, // Skip to: 40641
+/* 13572 */   MCD_OPC_CheckField, 21, 1, 1, 183, 105, // Skip to: 40641
+/* 13578 */   MCD_OPC_Decode, 192, 16, 89, // Opcode: UHSUBv4i16
+/* 13582 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13600
+/* 13586 */   MCD_OPC_CheckPredicate, 0, 171, 105, // Skip to: 40641
+/* 13590 */   MCD_OPC_CheckField, 21, 1, 1, 165, 105, // Skip to: 40641
+/* 13596 */   MCD_OPC_Decode, 194, 10, 112, // Opcode: SHSUBv8i16
+/* 13600 */   MCD_OPC_FilterValue, 3, 157, 105, // Skip to: 40641
+/* 13604 */   MCD_OPC_CheckPredicate, 0, 153, 105, // Skip to: 40641
+/* 13608 */   MCD_OPC_CheckField, 21, 1, 1, 147, 105, // Skip to: 40641
+/* 13614 */   MCD_OPC_Decode, 194, 16, 112, // Opcode: UHSUBv8i16
+/* 13618 */   MCD_OPC_FilterValue, 10, 165, 0, // Skip to: 13787
+/* 13622 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13625 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 13675
+/* 13629 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13632 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13644
+/* 13636 */   MCD_OPC_CheckPredicate, 0, 121, 105, // Skip to: 40641
+/* 13640 */   MCD_OPC_Decode, 224, 15, 89, // Opcode: TRN1v4i16
+/* 13644 */   MCD_OPC_FilterValue, 1, 113, 105, // Skip to: 40641
+/* 13648 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 13651 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13663
+/* 13655 */   MCD_OPC_CheckPredicate, 0, 102, 105, // Skip to: 40641
+/* 13659 */   MCD_OPC_Decode, 233, 9, 90, // Opcode: SADDLPv4i16_v2i32
+/* 13663 */   MCD_OPC_FilterValue, 1, 94, 105, // Skip to: 40641
+/* 13667 */   MCD_OPC_CheckPredicate, 0, 90, 105, // Skip to: 40641
+/* 13671 */   MCD_OPC_Decode, 196, 18, 95, // Opcode: XTNv4i16
+/* 13675 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 13706
+/* 13679 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 13682 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 13694
+/* 13686 */   MCD_OPC_CheckPredicate, 0, 71, 105, // Skip to: 40641
+/* 13690 */   MCD_OPC_Decode, 139, 16, 90, // Opcode: UADDLPv4i16_v2i32
+/* 13694 */   MCD_OPC_FilterValue, 33, 63, 105, // Skip to: 40641
+/* 13698 */   MCD_OPC_CheckPredicate, 0, 59, 105, // Skip to: 40641
+/* 13702 */   MCD_OPC_Decode, 219, 12, 95, // Opcode: SQXTUNv4i16
+/* 13706 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 13756
+/* 13710 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13713 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13725
+/* 13717 */   MCD_OPC_CheckPredicate, 0, 40, 105, // Skip to: 40641
+/* 13721 */   MCD_OPC_Decode, 226, 15, 112, // Opcode: TRN1v8i16
+/* 13725 */   MCD_OPC_FilterValue, 1, 32, 105, // Skip to: 40641
+/* 13729 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 13732 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13744
+/* 13736 */   MCD_OPC_CheckPredicate, 0, 21, 105, // Skip to: 40641
+/* 13740 */   MCD_OPC_Decode, 235, 9, 117, // Opcode: SADDLPv8i16_v4i32
+/* 13744 */   MCD_OPC_FilterValue, 1, 13, 105, // Skip to: 40641
+/* 13748 */   MCD_OPC_CheckPredicate, 0, 9, 105, // Skip to: 40641
+/* 13752 */   MCD_OPC_Decode, 198, 18, 126, // Opcode: XTNv8i16
+/* 13756 */   MCD_OPC_FilterValue, 3, 1, 105, // Skip to: 40641
+/* 13760 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 13763 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 13775
+/* 13767 */   MCD_OPC_CheckPredicate, 0, 246, 104, // Skip to: 40641
+/* 13771 */   MCD_OPC_Decode, 141, 16, 117, // Opcode: UADDLPv8i16_v4i32
+/* 13775 */   MCD_OPC_FilterValue, 33, 238, 104, // Skip to: 40641
+/* 13779 */   MCD_OPC_CheckPredicate, 0, 234, 104, // Skip to: 40641
+/* 13783 */   MCD_OPC_Decode, 221, 12, 126, // Opcode: SQXTUNv8i16
+/* 13787 */   MCD_OPC_FilterValue, 11, 75, 0, // Skip to: 13866
+/* 13791 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13794 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13812
+/* 13798 */   MCD_OPC_CheckPredicate, 0, 215, 104, // Skip to: 40641
+/* 13802 */   MCD_OPC_CheckField, 21, 1, 1, 209, 104, // Skip to: 40641
+/* 13808 */   MCD_OPC_Decode, 201, 12, 89, // Opcode: SQSUBv4i16
+/* 13812 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13830
+/* 13816 */   MCD_OPC_CheckPredicate, 0, 197, 104, // Skip to: 40641
+/* 13820 */   MCD_OPC_CheckField, 21, 1, 1, 191, 104, // Skip to: 40641
+/* 13826 */   MCD_OPC_Decode, 208, 17, 89, // Opcode: UQSUBv4i16
+/* 13830 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13848
+/* 13834 */   MCD_OPC_CheckPredicate, 0, 179, 104, // Skip to: 40641
+/* 13838 */   MCD_OPC_CheckField, 21, 1, 1, 173, 104, // Skip to: 40641
+/* 13844 */   MCD_OPC_Decode, 203, 12, 112, // Opcode: SQSUBv8i16
+/* 13848 */   MCD_OPC_FilterValue, 3, 165, 104, // Skip to: 40641
+/* 13852 */   MCD_OPC_CheckPredicate, 0, 161, 104, // Skip to: 40641
+/* 13856 */   MCD_OPC_CheckField, 21, 1, 1, 155, 104, // Skip to: 40641
+/* 13862 */   MCD_OPC_Decode, 210, 17, 112, // Opcode: UQSUBv8i16
+/* 13866 */   MCD_OPC_FilterValue, 12, 75, 0, // Skip to: 13945
+/* 13870 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13873 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13891
+/* 13877 */   MCD_OPC_CheckPredicate, 0, 136, 104, // Skip to: 40641
+/* 13881 */   MCD_OPC_CheckField, 21, 1, 1, 130, 104, // Skip to: 40641
+/* 13887 */   MCD_OPC_Decode, 171, 13, 93, // Opcode: SSUBWv4i16_v4i32
+/* 13891 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13909
+/* 13895 */   MCD_OPC_CheckPredicate, 0, 118, 104, // Skip to: 40641
+/* 13899 */   MCD_OPC_CheckField, 21, 1, 1, 112, 104, // Skip to: 40641
+/* 13905 */   MCD_OPC_Decode, 176, 18, 93, // Opcode: USUBWv4i16_v4i32
+/* 13909 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 13927
+/* 13913 */   MCD_OPC_CheckPredicate, 0, 100, 104, // Skip to: 40641
+/* 13917 */   MCD_OPC_CheckField, 21, 1, 1, 94, 104, // Skip to: 40641
+/* 13923 */   MCD_OPC_Decode, 173, 13, 112, // Opcode: SSUBWv8i16_v4i32
+/* 13927 */   MCD_OPC_FilterValue, 3, 86, 104, // Skip to: 40641
+/* 13931 */   MCD_OPC_CheckPredicate, 0, 82, 104, // Skip to: 40641
+/* 13935 */   MCD_OPC_CheckField, 21, 1, 1, 76, 104, // Skip to: 40641
+/* 13941 */   MCD_OPC_Decode, 178, 18, 112, // Opcode: USUBWv8i16_v4i32
+/* 13945 */   MCD_OPC_FilterValue, 13, 75, 0, // Skip to: 14024
+/* 13949 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 13952 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 13970
+/* 13956 */   MCD_OPC_CheckPredicate, 0, 57, 104, // Skip to: 40641
+/* 13960 */   MCD_OPC_CheckField, 21, 1, 1, 51, 104, // Skip to: 40641
+/* 13966 */   MCD_OPC_Decode, 200, 1, 89, // Opcode: CMGTv4i16
+/* 13970 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 13988
+/* 13974 */   MCD_OPC_CheckPredicate, 0, 39, 104, // Skip to: 40641
+/* 13978 */   MCD_OPC_CheckField, 21, 1, 1, 33, 104, // Skip to: 40641
+/* 13984 */   MCD_OPC_Decode, 212, 1, 89, // Opcode: CMHIv4i16
+/* 13988 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14006
+/* 13992 */   MCD_OPC_CheckPredicate, 0, 21, 104, // Skip to: 40641
+/* 13996 */   MCD_OPC_CheckField, 21, 1, 1, 15, 104, // Skip to: 40641
+/* 14002 */   MCD_OPC_Decode, 204, 1, 112, // Opcode: CMGTv8i16
+/* 14006 */   MCD_OPC_FilterValue, 3, 7, 104, // Skip to: 40641
+/* 14010 */   MCD_OPC_CheckPredicate, 0, 3, 104, // Skip to: 40641
+/* 14014 */   MCD_OPC_CheckField, 21, 1, 1, 253, 103, // Skip to: 40641
+/* 14020 */   MCD_OPC_Decode, 214, 1, 112, // Opcode: CMHIv8i16
+/* 14024 */   MCD_OPC_FilterValue, 14, 193, 0, // Skip to: 14221
+/* 14028 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14031 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 14082
+/* 14035 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 14038 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14050
+/* 14042 */   MCD_OPC_CheckPredicate, 0, 227, 103, // Skip to: 40641
+/* 14046 */   MCD_OPC_Decode, 203, 18, 89, // Opcode: ZIP1v4i16
+/* 14050 */   MCD_OPC_FilterValue, 1, 219, 103, // Skip to: 40641
+/* 14054 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 14057 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14069
+/* 14061 */   MCD_OPC_CheckPredicate, 0, 208, 103, // Skip to: 40641
+/* 14065 */   MCD_OPC_Decode, 190, 15, 99, // Opcode: SUQADDv4i16
+/* 14069 */   MCD_OPC_FilterValue, 16, 200, 103, // Skip to: 40641
+/* 14073 */   MCD_OPC_CheckPredicate, 0, 196, 103, // Skip to: 40641
+/* 14077 */   MCD_OPC_Decode, 238, 9, 144, 1, // Opcode: SADDLVv4i16v
+/* 14082 */   MCD_OPC_FilterValue, 1, 40, 0, // Skip to: 14126
+/* 14086 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14089 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14101
+/* 14093 */   MCD_OPC_CheckPredicate, 0, 176, 103, // Skip to: 40641
+/* 14097 */   MCD_OPC_Decode, 156, 18, 99, // Opcode: USQADDv4i16
+/* 14101 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 14113
+/* 14105 */   MCD_OPC_CheckPredicate, 0, 164, 103, // Skip to: 40641
+/* 14109 */   MCD_OPC_Decode, 172, 10, 108, // Opcode: SHLLv4i16
+/* 14113 */   MCD_OPC_FilterValue, 48, 156, 103, // Skip to: 40641
+/* 14117 */   MCD_OPC_CheckPredicate, 0, 152, 103, // Skip to: 40641
+/* 14121 */   MCD_OPC_Decode, 144, 16, 144, 1, // Opcode: UADDLVv4i16v
+/* 14126 */   MCD_OPC_FilterValue, 2, 47, 0, // Skip to: 14177
+/* 14130 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 14133 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14145
+/* 14137 */   MCD_OPC_CheckPredicate, 0, 132, 103, // Skip to: 40641
+/* 14141 */   MCD_OPC_Decode, 205, 18, 112, // Opcode: ZIP1v8i16
+/* 14145 */   MCD_OPC_FilterValue, 1, 124, 103, // Skip to: 40641
+/* 14149 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 14152 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 14164
+/* 14156 */   MCD_OPC_CheckPredicate, 0, 113, 103, // Skip to: 40641
+/* 14160 */   MCD_OPC_Decode, 192, 15, 126, // Opcode: SUQADDv8i16
+/* 14164 */   MCD_OPC_FilterValue, 16, 105, 103, // Skip to: 40641
+/* 14168 */   MCD_OPC_CheckPredicate, 0, 101, 103, // Skip to: 40641
+/* 14172 */   MCD_OPC_Decode, 240, 9, 139, 1, // Opcode: SADDLVv8i16v
+/* 14177 */   MCD_OPC_FilterValue, 3, 92, 103, // Skip to: 40641
+/* 14181 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14184 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14196
+/* 14188 */   MCD_OPC_CheckPredicate, 0, 81, 103, // Skip to: 40641
+/* 14192 */   MCD_OPC_Decode, 158, 18, 126, // Opcode: USQADDv8i16
+/* 14196 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 14208
+/* 14200 */   MCD_OPC_CheckPredicate, 0, 69, 103, // Skip to: 40641
+/* 14204 */   MCD_OPC_Decode, 174, 10, 117, // Opcode: SHLLv8i16
+/* 14208 */   MCD_OPC_FilterValue, 48, 61, 103, // Skip to: 40641
+/* 14212 */   MCD_OPC_CheckPredicate, 0, 57, 103, // Skip to: 40641
+/* 14216 */   MCD_OPC_Decode, 146, 16, 139, 1, // Opcode: UADDLVv8i16v
+/* 14221 */   MCD_OPC_FilterValue, 15, 75, 0, // Skip to: 14300
+/* 14225 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14228 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14246
+/* 14232 */   MCD_OPC_CheckPredicate, 0, 37, 103, // Skip to: 40641
+/* 14236 */   MCD_OPC_CheckField, 21, 1, 1, 31, 103, // Skip to: 40641
+/* 14242 */   MCD_OPC_Decode, 184, 1, 89, // Opcode: CMGEv4i16
+/* 14246 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14264
+/* 14250 */   MCD_OPC_CheckPredicate, 0, 19, 103, // Skip to: 40641
+/* 14254 */   MCD_OPC_CheckField, 21, 1, 1, 13, 103, // Skip to: 40641
+/* 14260 */   MCD_OPC_Decode, 220, 1, 89, // Opcode: CMHSv4i16
+/* 14264 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14282
+/* 14268 */   MCD_OPC_CheckPredicate, 0, 1, 103, // Skip to: 40641
+/* 14272 */   MCD_OPC_CheckField, 21, 1, 1, 251, 102, // Skip to: 40641
+/* 14278 */   MCD_OPC_Decode, 188, 1, 112, // Opcode: CMGEv8i16
+/* 14282 */   MCD_OPC_FilterValue, 3, 243, 102, // Skip to: 40641
+/* 14286 */   MCD_OPC_CheckPredicate, 0, 239, 102, // Skip to: 40641
+/* 14290 */   MCD_OPC_CheckField, 21, 1, 1, 233, 102, // Skip to: 40641
+/* 14296 */   MCD_OPC_Decode, 222, 1, 112, // Opcode: CMHSv8i16
+/* 14300 */   MCD_OPC_FilterValue, 16, 73, 0, // Skip to: 14377
+/* 14304 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14307 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 14324
+/* 14311 */   MCD_OPC_CheckPredicate, 0, 214, 102, // Skip to: 40641
+/* 14315 */   MCD_OPC_CheckField, 21, 1, 1, 208, 102, // Skip to: 40641
+/* 14321 */   MCD_OPC_Decode, 36, 103, // Opcode: ADDHNv4i32_v4i16
+/* 14324 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14342
+/* 14328 */   MCD_OPC_CheckPredicate, 0, 197, 102, // Skip to: 40641
+/* 14332 */   MCD_OPC_CheckField, 21, 1, 1, 191, 102, // Skip to: 40641
+/* 14338 */   MCD_OPC_Decode, 160, 9, 103, // Opcode: RADDHNv4i32_v4i16
+/* 14342 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 14359
+/* 14346 */   MCD_OPC_CheckPredicate, 0, 179, 102, // Skip to: 40641
+/* 14350 */   MCD_OPC_CheckField, 21, 1, 1, 173, 102, // Skip to: 40641
+/* 14356 */   MCD_OPC_Decode, 37, 120, // Opcode: ADDHNv4i32_v8i16
+/* 14359 */   MCD_OPC_FilterValue, 3, 166, 102, // Skip to: 40641
+/* 14363 */   MCD_OPC_CheckPredicate, 0, 162, 102, // Skip to: 40641
+/* 14367 */   MCD_OPC_CheckField, 21, 1, 1, 156, 102, // Skip to: 40641
+/* 14373 */   MCD_OPC_Decode, 161, 9, 120, // Opcode: RADDHNv4i32_v8i16
+/* 14377 */   MCD_OPC_FilterValue, 17, 75, 0, // Skip to: 14456
+/* 14381 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14384 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14402
+/* 14388 */   MCD_OPC_CheckPredicate, 0, 137, 102, // Skip to: 40641
+/* 14392 */   MCD_OPC_CheckField, 21, 1, 1, 131, 102, // Skip to: 40641
+/* 14398 */   MCD_OPC_Decode, 143, 13, 89, // Opcode: SSHLv4i16
+/* 14402 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14420
+/* 14406 */   MCD_OPC_CheckPredicate, 0, 119, 102, // Skip to: 40641
+/* 14410 */   MCD_OPC_CheckField, 21, 1, 1, 113, 102, // Skip to: 40641
+/* 14416 */   MCD_OPC_Decode, 137, 18, 89, // Opcode: USHLv4i16
+/* 14420 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14438
+/* 14424 */   MCD_OPC_CheckPredicate, 0, 101, 102, // Skip to: 40641
+/* 14428 */   MCD_OPC_CheckField, 21, 1, 1, 95, 102, // Skip to: 40641
+/* 14434 */   MCD_OPC_Decode, 145, 13, 112, // Opcode: SSHLv8i16
+/* 14438 */   MCD_OPC_FilterValue, 3, 87, 102, // Skip to: 40641
+/* 14442 */   MCD_OPC_CheckPredicate, 0, 83, 102, // Skip to: 40641
+/* 14446 */   MCD_OPC_CheckField, 21, 1, 1, 77, 102, // Skip to: 40641
+/* 14452 */   MCD_OPC_Decode, 139, 18, 112, // Opcode: USHLv8i16
+/* 14456 */   MCD_OPC_FilterValue, 18, 127, 0, // Skip to: 14587
+/* 14460 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14463 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 14494
+/* 14467 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14470 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14482
+/* 14474 */   MCD_OPC_CheckPredicate, 0, 51, 102, // Skip to: 40641
+/* 14478 */   MCD_OPC_Decode, 148, 1, 90, // Opcode: CLSv4i16
+/* 14482 */   MCD_OPC_FilterValue, 33, 43, 102, // Skip to: 40641
+/* 14486 */   MCD_OPC_CheckPredicate, 0, 39, 102, // Skip to: 40641
+/* 14490 */   MCD_OPC_Decode, 210, 12, 95, // Opcode: SQXTNv4i16
+/* 14494 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 14525
+/* 14498 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14501 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14513
+/* 14505 */   MCD_OPC_CheckPredicate, 0, 20, 102, // Skip to: 40641
+/* 14509 */   MCD_OPC_Decode, 156, 1, 90, // Opcode: CLZv4i16
+/* 14513 */   MCD_OPC_FilterValue, 33, 12, 102, // Skip to: 40641
+/* 14517 */   MCD_OPC_CheckPredicate, 0, 8, 102, // Skip to: 40641
+/* 14521 */   MCD_OPC_Decode, 217, 17, 95, // Opcode: UQXTNv4i16
+/* 14525 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 14556
+/* 14529 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14532 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14544
+/* 14536 */   MCD_OPC_CheckPredicate, 0, 245, 101, // Skip to: 40641
+/* 14540 */   MCD_OPC_Decode, 150, 1, 117, // Opcode: CLSv8i16
+/* 14544 */   MCD_OPC_FilterValue, 33, 237, 101, // Skip to: 40641
+/* 14548 */   MCD_OPC_CheckPredicate, 0, 233, 101, // Skip to: 40641
+/* 14552 */   MCD_OPC_Decode, 212, 12, 126, // Opcode: SQXTNv8i16
+/* 14556 */   MCD_OPC_FilterValue, 3, 225, 101, // Skip to: 40641
+/* 14560 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 14563 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 14575
+/* 14567 */   MCD_OPC_CheckPredicate, 0, 214, 101, // Skip to: 40641
+/* 14571 */   MCD_OPC_Decode, 158, 1, 117, // Opcode: CLZv8i16
+/* 14575 */   MCD_OPC_FilterValue, 33, 206, 101, // Skip to: 40641
+/* 14579 */   MCD_OPC_CheckPredicate, 0, 202, 101, // Skip to: 40641
+/* 14583 */   MCD_OPC_Decode, 219, 17, 126, // Opcode: UQXTNv8i16
+/* 14587 */   MCD_OPC_FilterValue, 19, 75, 0, // Skip to: 14666
+/* 14591 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14594 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14612
+/* 14598 */   MCD_OPC_CheckPredicate, 0, 183, 101, // Skip to: 40641
+/* 14602 */   MCD_OPC_CheckField, 21, 1, 1, 177, 101, // Skip to: 40641
+/* 14608 */   MCD_OPC_Decode, 168, 12, 89, // Opcode: SQSHLv4i16
+/* 14612 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14630
+/* 14616 */   MCD_OPC_CheckPredicate, 0, 165, 101, // Skip to: 40641
+/* 14620 */   MCD_OPC_CheckField, 21, 1, 1, 159, 101, // Skip to: 40641
+/* 14626 */   MCD_OPC_Decode, 184, 17, 89, // Opcode: UQSHLv4i16
+/* 14630 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14648
+/* 14634 */   MCD_OPC_CheckPredicate, 0, 147, 101, // Skip to: 40641
+/* 14638 */   MCD_OPC_CheckField, 21, 1, 1, 141, 101, // Skip to: 40641
+/* 14644 */   MCD_OPC_Decode, 172, 12, 112, // Opcode: SQSHLv8i16
+/* 14648 */   MCD_OPC_FilterValue, 3, 133, 101, // Skip to: 40641
+/* 14652 */   MCD_OPC_CheckPredicate, 0, 129, 101, // Skip to: 40641
+/* 14656 */   MCD_OPC_CheckField, 21, 1, 1, 123, 101, // Skip to: 40641
+/* 14662 */   MCD_OPC_Decode, 188, 17, 112, // Opcode: UQSHLv8i16
+/* 14666 */   MCD_OPC_FilterValue, 20, 75, 0, // Skip to: 14745
+/* 14670 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14673 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14691
+/* 14677 */   MCD_OPC_CheckPredicate, 0, 104, 101, // Skip to: 40641
+/* 14681 */   MCD_OPC_CheckField, 21, 1, 1, 98, 101, // Skip to: 40641
+/* 14687 */   MCD_OPC_Decode, 203, 9, 105, // Opcode: SABALv4i16_v4i32
+/* 14691 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14709
+/* 14695 */   MCD_OPC_CheckPredicate, 0, 86, 101, // Skip to: 40641
+/* 14699 */   MCD_OPC_CheckField, 21, 1, 1, 80, 101, // Skip to: 40641
+/* 14705 */   MCD_OPC_Decode, 237, 15, 105, // Opcode: UABALv4i16_v4i32
+/* 14709 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14727
+/* 14713 */   MCD_OPC_CheckPredicate, 0, 68, 101, // Skip to: 40641
+/* 14717 */   MCD_OPC_CheckField, 21, 1, 1, 62, 101, // Skip to: 40641
+/* 14723 */   MCD_OPC_Decode, 205, 9, 120, // Opcode: SABALv8i16_v4i32
+/* 14727 */   MCD_OPC_FilterValue, 3, 54, 101, // Skip to: 40641
+/* 14731 */   MCD_OPC_CheckPredicate, 0, 50, 101, // Skip to: 40641
+/* 14735 */   MCD_OPC_CheckField, 21, 1, 1, 44, 101, // Skip to: 40641
+/* 14741 */   MCD_OPC_Decode, 239, 15, 120, // Opcode: UABALv8i16_v4i32
+/* 14745 */   MCD_OPC_FilterValue, 21, 75, 0, // Skip to: 14824
+/* 14749 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14752 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14770
+/* 14756 */   MCD_OPC_CheckPredicate, 0, 25, 101, // Skip to: 40641
+/* 14760 */   MCD_OPC_CheckField, 21, 1, 1, 19, 101, // Skip to: 40641
+/* 14766 */   MCD_OPC_Decode, 241, 12, 89, // Opcode: SRSHLv4i16
+/* 14770 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14788
+/* 14774 */   MCD_OPC_CheckPredicate, 0, 7, 101, // Skip to: 40641
+/* 14778 */   MCD_OPC_CheckField, 21, 1, 1, 1, 101, // Skip to: 40641
+/* 14784 */   MCD_OPC_Decode, 233, 17, 89, // Opcode: URSHLv4i16
+/* 14788 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14806
+/* 14792 */   MCD_OPC_CheckPredicate, 0, 245, 100, // Skip to: 40641
+/* 14796 */   MCD_OPC_CheckField, 21, 1, 1, 239, 100, // Skip to: 40641
+/* 14802 */   MCD_OPC_Decode, 243, 12, 112, // Opcode: SRSHLv8i16
+/* 14806 */   MCD_OPC_FilterValue, 3, 231, 100, // Skip to: 40641
+/* 14810 */   MCD_OPC_CheckPredicate, 0, 227, 100, // Skip to: 40641
+/* 14814 */   MCD_OPC_CheckField, 21, 1, 1, 221, 100, // Skip to: 40641
+/* 14820 */   MCD_OPC_Decode, 235, 17, 112, // Opcode: URSHLv8i16
+/* 14824 */   MCD_OPC_FilterValue, 22, 75, 0, // Skip to: 14903
+/* 14828 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14831 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14849
+/* 14835 */   MCD_OPC_CheckPredicate, 0, 202, 100, // Skip to: 40641
+/* 14839 */   MCD_OPC_CheckField, 21, 1, 0, 196, 100, // Skip to: 40641
+/* 14845 */   MCD_OPC_Decode, 190, 18, 89, // Opcode: UZP2v4i16
+/* 14849 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14867
+/* 14853 */   MCD_OPC_CheckPredicate, 0, 184, 100, // Skip to: 40641
+/* 14857 */   MCD_OPC_CheckField, 16, 6, 32, 178, 100, // Skip to: 40641
+/* 14863 */   MCD_OPC_Decode, 167, 9, 90, // Opcode: RBITv8i8
+/* 14867 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14885
+/* 14871 */   MCD_OPC_CheckPredicate, 0, 166, 100, // Skip to: 40641
+/* 14875 */   MCD_OPC_CheckField, 21, 1, 0, 160, 100, // Skip to: 40641
+/* 14881 */   MCD_OPC_Decode, 192, 18, 112, // Opcode: UZP2v8i16
+/* 14885 */   MCD_OPC_FilterValue, 3, 152, 100, // Skip to: 40641
+/* 14889 */   MCD_OPC_CheckPredicate, 0, 148, 100, // Skip to: 40641
+/* 14893 */   MCD_OPC_CheckField, 16, 6, 32, 142, 100, // Skip to: 40641
+/* 14899 */   MCD_OPC_Decode, 166, 9, 117, // Opcode: RBITv16i8
+/* 14903 */   MCD_OPC_FilterValue, 23, 75, 0, // Skip to: 14982
+/* 14907 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14910 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 14928
+/* 14914 */   MCD_OPC_CheckPredicate, 0, 123, 100, // Skip to: 40641
+/* 14918 */   MCD_OPC_CheckField, 21, 1, 1, 117, 100, // Skip to: 40641
+/* 14924 */   MCD_OPC_Decode, 249, 11, 89, // Opcode: SQRSHLv4i16
+/* 14928 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 14946
+/* 14932 */   MCD_OPC_CheckPredicate, 0, 105, 100, // Skip to: 40641
+/* 14936 */   MCD_OPC_CheckField, 21, 1, 1, 99, 100, // Skip to: 40641
+/* 14942 */   MCD_OPC_Decode, 157, 17, 89, // Opcode: UQRSHLv4i16
+/* 14946 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 14964
+/* 14950 */   MCD_OPC_CheckPredicate, 0, 87, 100, // Skip to: 40641
+/* 14954 */   MCD_OPC_CheckField, 21, 1, 1, 81, 100, // Skip to: 40641
+/* 14960 */   MCD_OPC_Decode, 251, 11, 112, // Opcode: SQRSHLv8i16
+/* 14964 */   MCD_OPC_FilterValue, 3, 73, 100, // Skip to: 40641
+/* 14968 */   MCD_OPC_CheckPredicate, 0, 69, 100, // Skip to: 40641
+/* 14972 */   MCD_OPC_CheckField, 21, 1, 1, 63, 100, // Skip to: 40641
+/* 14978 */   MCD_OPC_Decode, 159, 17, 112, // Opcode: UQRSHLv8i16
+/* 14982 */   MCD_OPC_FilterValue, 24, 75, 0, // Skip to: 15061
+/* 14986 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 14989 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15007
+/* 14993 */   MCD_OPC_CheckPredicate, 0, 44, 100, // Skip to: 40641
+/* 14997 */   MCD_OPC_CheckField, 21, 1, 1, 38, 100, // Skip to: 40641
+/* 15003 */   MCD_OPC_Decode, 153, 15, 103, // Opcode: SUBHNv4i32_v4i16
+/* 15007 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15025
+/* 15011 */   MCD_OPC_CheckPredicate, 0, 26, 100, // Skip to: 40641
+/* 15015 */   MCD_OPC_CheckField, 21, 1, 1, 20, 100, // Skip to: 40641
+/* 15021 */   MCD_OPC_Decode, 197, 9, 103, // Opcode: RSUBHNv4i32_v4i16
+/* 15025 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15043
+/* 15029 */   MCD_OPC_CheckPredicate, 0, 8, 100, // Skip to: 40641
+/* 15033 */   MCD_OPC_CheckField, 21, 1, 1, 2, 100, // Skip to: 40641
+/* 15039 */   MCD_OPC_Decode, 154, 15, 120, // Opcode: SUBHNv4i32_v8i16
+/* 15043 */   MCD_OPC_FilterValue, 3, 250, 99, // Skip to: 40641
+/* 15047 */   MCD_OPC_CheckPredicate, 0, 246, 99, // Skip to: 40641
+/* 15051 */   MCD_OPC_CheckField, 21, 1, 1, 240, 99, // Skip to: 40641
+/* 15057 */   MCD_OPC_Decode, 198, 9, 120, // Opcode: RSUBHNv4i32_v8i16
+/* 15061 */   MCD_OPC_FilterValue, 25, 75, 0, // Skip to: 15140
+/* 15065 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15068 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15086
+/* 15072 */   MCD_OPC_CheckPredicate, 0, 221, 99, // Skip to: 40641
+/* 15076 */   MCD_OPC_CheckField, 21, 1, 1, 215, 99, // Skip to: 40641
+/* 15082 */   MCD_OPC_Decode, 218, 10, 89, // Opcode: SMAXv4i16
+/* 15086 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15104
+/* 15090 */   MCD_OPC_CheckPredicate, 0, 203, 99, // Skip to: 40641
+/* 15094 */   MCD_OPC_CheckField, 21, 1, 1, 197, 99, // Skip to: 40641
+/* 15100 */   MCD_OPC_Decode, 210, 16, 89, // Opcode: UMAXv4i16
+/* 15104 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15122
+/* 15108 */   MCD_OPC_CheckPredicate, 0, 185, 99, // Skip to: 40641
+/* 15112 */   MCD_OPC_CheckField, 21, 1, 1, 179, 99, // Skip to: 40641
+/* 15118 */   MCD_OPC_Decode, 220, 10, 112, // Opcode: SMAXv8i16
+/* 15122 */   MCD_OPC_FilterValue, 3, 171, 99, // Skip to: 40641
+/* 15126 */   MCD_OPC_CheckPredicate, 0, 167, 99, // Skip to: 40641
+/* 15130 */   MCD_OPC_CheckField, 21, 1, 1, 161, 99, // Skip to: 40641
+/* 15136 */   MCD_OPC_Decode, 212, 16, 112, // Opcode: UMAXv8i16
+/* 15140 */   MCD_OPC_FilterValue, 26, 165, 0, // Skip to: 15309
+/* 15144 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15147 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 15197
+/* 15151 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 15154 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15166
+/* 15158 */   MCD_OPC_CheckPredicate, 0, 135, 99, // Skip to: 40641
+/* 15162 */   MCD_OPC_Decode, 231, 15, 89, // Opcode: TRN2v4i16
+/* 15166 */   MCD_OPC_FilterValue, 1, 127, 99, // Skip to: 40641
+/* 15170 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 15173 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15185
+/* 15177 */   MCD_OPC_CheckPredicate, 0, 116, 99, // Skip to: 40641
+/* 15181 */   MCD_OPC_Decode, 227, 9, 99, // Opcode: SADALPv4i16_v2i32
+/* 15185 */   MCD_OPC_FilterValue, 1, 108, 99, // Skip to: 40641
+/* 15189 */   MCD_OPC_CheckPredicate, 0, 104, 99, // Skip to: 40641
+/* 15193 */   MCD_OPC_Decode, 198, 3, 95, // Opcode: FCVTNv2i32
+/* 15197 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 15228
+/* 15201 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 15204 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15216
+/* 15208 */   MCD_OPC_CheckPredicate, 0, 85, 99, // Skip to: 40641
+/* 15212 */   MCD_OPC_Decode, 133, 16, 99, // Opcode: UADALPv4i16_v2i32
+/* 15216 */   MCD_OPC_FilterValue, 33, 77, 99, // Skip to: 40641
+/* 15220 */   MCD_OPC_CheckPredicate, 0, 73, 99, // Skip to: 40641
+/* 15224 */   MCD_OPC_Decode, 223, 3, 95, // Opcode: FCVTXNv2f32
+/* 15228 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 15278
+/* 15232 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 15235 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15247
+/* 15239 */   MCD_OPC_CheckPredicate, 0, 54, 99, // Skip to: 40641
+/* 15243 */   MCD_OPC_Decode, 233, 15, 112, // Opcode: TRN2v8i16
+/* 15247 */   MCD_OPC_FilterValue, 1, 46, 99, // Skip to: 40641
+/* 15251 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 15254 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15266
+/* 15258 */   MCD_OPC_CheckPredicate, 0, 35, 99, // Skip to: 40641
+/* 15262 */   MCD_OPC_Decode, 229, 9, 126, // Opcode: SADALPv8i16_v4i32
+/* 15266 */   MCD_OPC_FilterValue, 1, 27, 99, // Skip to: 40641
+/* 15270 */   MCD_OPC_CheckPredicate, 0, 23, 99, // Skip to: 40641
+/* 15274 */   MCD_OPC_Decode, 200, 3, 126, // Opcode: FCVTNv4i32
+/* 15278 */   MCD_OPC_FilterValue, 3, 15, 99, // Skip to: 40641
+/* 15282 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 15285 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15297
+/* 15289 */   MCD_OPC_CheckPredicate, 0, 4, 99, // Skip to: 40641
+/* 15293 */   MCD_OPC_Decode, 135, 16, 126, // Opcode: UADALPv8i16_v4i32
+/* 15297 */   MCD_OPC_FilterValue, 33, 252, 98, // Skip to: 40641
+/* 15301 */   MCD_OPC_CheckPredicate, 0, 248, 98, // Skip to: 40641
+/* 15305 */   MCD_OPC_Decode, 224, 3, 126, // Opcode: FCVTXNv4f32
+/* 15309 */   MCD_OPC_FilterValue, 27, 75, 0, // Skip to: 15388
+/* 15313 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15316 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15334
+/* 15320 */   MCD_OPC_CheckPredicate, 0, 229, 98, // Skip to: 40641
+/* 15324 */   MCD_OPC_CheckField, 21, 1, 1, 223, 98, // Skip to: 40641
+/* 15330 */   MCD_OPC_Decode, 236, 10, 89, // Opcode: SMINv4i16
+/* 15334 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15352
+/* 15338 */   MCD_OPC_CheckPredicate, 0, 211, 98, // Skip to: 40641
+/* 15342 */   MCD_OPC_CheckField, 21, 1, 1, 205, 98, // Skip to: 40641
+/* 15348 */   MCD_OPC_Decode, 227, 16, 89, // Opcode: UMINv4i16
+/* 15352 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15370
+/* 15356 */   MCD_OPC_CheckPredicate, 0, 193, 98, // Skip to: 40641
+/* 15360 */   MCD_OPC_CheckField, 21, 1, 1, 187, 98, // Skip to: 40641
+/* 15366 */   MCD_OPC_Decode, 238, 10, 112, // Opcode: SMINv8i16
+/* 15370 */   MCD_OPC_FilterValue, 3, 179, 98, // Skip to: 40641
+/* 15374 */   MCD_OPC_CheckPredicate, 0, 175, 98, // Skip to: 40641
+/* 15378 */   MCD_OPC_CheckField, 21, 1, 1, 169, 98, // Skip to: 40641
+/* 15384 */   MCD_OPC_Decode, 229, 16, 112, // Opcode: UMINv8i16
+/* 15388 */   MCD_OPC_FilterValue, 28, 75, 0, // Skip to: 15467
+/* 15392 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15395 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15413
+/* 15399 */   MCD_OPC_CheckPredicate, 0, 150, 98, // Skip to: 40641
+/* 15403 */   MCD_OPC_CheckField, 21, 1, 1, 144, 98, // Skip to: 40641
+/* 15409 */   MCD_OPC_Decode, 215, 9, 85, // Opcode: SABDLv4i16_v4i32
+/* 15413 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15431
+/* 15417 */   MCD_OPC_CheckPredicate, 0, 132, 98, // Skip to: 40641
+/* 15421 */   MCD_OPC_CheckField, 21, 1, 1, 126, 98, // Skip to: 40641
+/* 15427 */   MCD_OPC_Decode, 249, 15, 85, // Opcode: UABDLv4i16_v4i32
+/* 15431 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15449
+/* 15435 */   MCD_OPC_CheckPredicate, 0, 114, 98, // Skip to: 40641
+/* 15439 */   MCD_OPC_CheckField, 21, 1, 1, 108, 98, // Skip to: 40641
+/* 15445 */   MCD_OPC_Decode, 217, 9, 112, // Opcode: SABDLv8i16_v4i32
+/* 15449 */   MCD_OPC_FilterValue, 3, 100, 98, // Skip to: 40641
+/* 15453 */   MCD_OPC_CheckPredicate, 0, 96, 98, // Skip to: 40641
+/* 15457 */   MCD_OPC_CheckField, 21, 1, 1, 90, 98, // Skip to: 40641
+/* 15463 */   MCD_OPC_Decode, 251, 15, 112, // Opcode: UABDLv8i16_v4i32
+/* 15467 */   MCD_OPC_FilterValue, 29, 75, 0, // Skip to: 15546
+/* 15471 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15474 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15492
+/* 15478 */   MCD_OPC_CheckPredicate, 0, 71, 98, // Skip to: 40641
+/* 15482 */   MCD_OPC_CheckField, 21, 1, 1, 65, 98, // Skip to: 40641
+/* 15488 */   MCD_OPC_Decode, 221, 9, 89, // Opcode: SABDv4i16
+/* 15492 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15510
+/* 15496 */   MCD_OPC_CheckPredicate, 0, 53, 98, // Skip to: 40641
+/* 15500 */   MCD_OPC_CheckField, 21, 1, 1, 47, 98, // Skip to: 40641
+/* 15506 */   MCD_OPC_Decode, 255, 15, 89, // Opcode: UABDv4i16
+/* 15510 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15528
+/* 15514 */   MCD_OPC_CheckPredicate, 0, 35, 98, // Skip to: 40641
+/* 15518 */   MCD_OPC_CheckField, 21, 1, 1, 29, 98, // Skip to: 40641
+/* 15524 */   MCD_OPC_Decode, 223, 9, 112, // Opcode: SABDv8i16
+/* 15528 */   MCD_OPC_FilterValue, 3, 21, 98, // Skip to: 40641
+/* 15532 */   MCD_OPC_CheckPredicate, 0, 17, 98, // Skip to: 40641
+/* 15536 */   MCD_OPC_CheckField, 21, 1, 1, 11, 98, // Skip to: 40641
+/* 15542 */   MCD_OPC_Decode, 129, 16, 112, // Opcode: UABDv8i16
+/* 15546 */   MCD_OPC_FilterValue, 30, 139, 0, // Skip to: 15689
+/* 15550 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15553 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 15603
+/* 15557 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 15560 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15572
+/* 15564 */   MCD_OPC_CheckPredicate, 0, 241, 97, // Skip to: 40641
+/* 15568 */   MCD_OPC_Decode, 210, 18, 89, // Opcode: ZIP2v4i16
+/* 15572 */   MCD_OPC_FilterValue, 1, 233, 97, // Skip to: 40641
+/* 15576 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 15579 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15591
+/* 15583 */   MCD_OPC_CheckPredicate, 0, 222, 97, // Skip to: 40641
+/* 15587 */   MCD_OPC_Decode, 156, 11, 90, // Opcode: SQABSv4i16
+/* 15591 */   MCD_OPC_FilterValue, 1, 214, 97, // Skip to: 40641
+/* 15595 */   MCD_OPC_CheckPredicate, 0, 210, 97, // Skip to: 40641
+/* 15599 */   MCD_OPC_Decode, 158, 3, 108, // Opcode: FCVTLv2i32
+/* 15603 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15621
+/* 15607 */   MCD_OPC_CheckPredicate, 0, 198, 97, // Skip to: 40641
+/* 15611 */   MCD_OPC_CheckField, 16, 6, 32, 192, 97, // Skip to: 40641
+/* 15617 */   MCD_OPC_Decode, 226, 11, 90, // Opcode: SQNEGv4i16
+/* 15621 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 15671
+/* 15625 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 15628 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15640
+/* 15632 */   MCD_OPC_CheckPredicate, 0, 173, 97, // Skip to: 40641
+/* 15636 */   MCD_OPC_Decode, 212, 18, 112, // Opcode: ZIP2v8i16
+/* 15640 */   MCD_OPC_FilterValue, 1, 165, 97, // Skip to: 40641
+/* 15644 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 15647 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 15659
+/* 15651 */   MCD_OPC_CheckPredicate, 0, 154, 97, // Skip to: 40641
+/* 15655 */   MCD_OPC_Decode, 158, 11, 117, // Opcode: SQABSv8i16
+/* 15659 */   MCD_OPC_FilterValue, 1, 146, 97, // Skip to: 40641
+/* 15663 */   MCD_OPC_CheckPredicate, 0, 142, 97, // Skip to: 40641
+/* 15667 */   MCD_OPC_Decode, 160, 3, 117, // Opcode: FCVTLv4i32
+/* 15671 */   MCD_OPC_FilterValue, 3, 134, 97, // Skip to: 40641
+/* 15675 */   MCD_OPC_CheckPredicate, 0, 130, 97, // Skip to: 40641
+/* 15679 */   MCD_OPC_CheckField, 16, 6, 32, 124, 97, // Skip to: 40641
+/* 15685 */   MCD_OPC_Decode, 228, 11, 117, // Opcode: SQNEGv8i16
+/* 15689 */   MCD_OPC_FilterValue, 31, 75, 0, // Skip to: 15768
+/* 15693 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15696 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15714
+/* 15700 */   MCD_OPC_CheckPredicate, 0, 105, 97, // Skip to: 40641
+/* 15704 */   MCD_OPC_CheckField, 21, 1, 1, 99, 97, // Skip to: 40641
+/* 15710 */   MCD_OPC_Decode, 209, 9, 109, // Opcode: SABAv4i16
+/* 15714 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15732
+/* 15718 */   MCD_OPC_CheckPredicate, 0, 87, 97, // Skip to: 40641
+/* 15722 */   MCD_OPC_CheckField, 21, 1, 1, 81, 97, // Skip to: 40641
+/* 15728 */   MCD_OPC_Decode, 243, 15, 109, // Opcode: UABAv4i16
+/* 15732 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15750
+/* 15736 */   MCD_OPC_CheckPredicate, 0, 69, 97, // Skip to: 40641
+/* 15740 */   MCD_OPC_CheckField, 21, 1, 1, 63, 97, // Skip to: 40641
+/* 15746 */   MCD_OPC_Decode, 211, 9, 120, // Opcode: SABAv8i16
+/* 15750 */   MCD_OPC_FilterValue, 3, 55, 97, // Skip to: 40641
+/* 15754 */   MCD_OPC_CheckPredicate, 0, 51, 97, // Skip to: 40641
+/* 15758 */   MCD_OPC_CheckField, 21, 1, 1, 45, 97, // Skip to: 40641
+/* 15764 */   MCD_OPC_Decode, 245, 15, 120, // Opcode: UABAv8i16
+/* 15768 */   MCD_OPC_FilterValue, 32, 75, 0, // Skip to: 15847
+/* 15772 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15775 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15793
+/* 15779 */   MCD_OPC_CheckPredicate, 0, 26, 97, // Skip to: 40641
+/* 15783 */   MCD_OPC_CheckField, 21, 1, 1, 20, 97, // Skip to: 40641
+/* 15789 */   MCD_OPC_Decode, 244, 10, 105, // Opcode: SMLALv4i16_v4i32
+/* 15793 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15811
+/* 15797 */   MCD_OPC_CheckPredicate, 0, 8, 97, // Skip to: 40641
+/* 15801 */   MCD_OPC_CheckField, 21, 1, 1, 2, 97, // Skip to: 40641
+/* 15807 */   MCD_OPC_Decode, 235, 16, 105, // Opcode: UMLALv4i16_v4i32
+/* 15811 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 15829
+/* 15815 */   MCD_OPC_CheckPredicate, 0, 246, 96, // Skip to: 40641
+/* 15819 */   MCD_OPC_CheckField, 21, 1, 1, 240, 96, // Skip to: 40641
+/* 15825 */   MCD_OPC_Decode, 248, 10, 120, // Opcode: SMLALv8i16_v4i32
+/* 15829 */   MCD_OPC_FilterValue, 3, 232, 96, // Skip to: 40641
+/* 15833 */   MCD_OPC_CheckPredicate, 0, 228, 96, // Skip to: 40641
+/* 15837 */   MCD_OPC_CheckField, 21, 1, 1, 222, 96, // Skip to: 40641
+/* 15843 */   MCD_OPC_Decode, 239, 16, 120, // Opcode: UMLALv8i16_v4i32
+/* 15847 */   MCD_OPC_FilterValue, 33, 73, 0, // Skip to: 15924
+/* 15851 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15854 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 15871
+/* 15858 */   MCD_OPC_CheckPredicate, 0, 203, 96, // Skip to: 40641
+/* 15862 */   MCD_OPC_CheckField, 21, 1, 1, 197, 96, // Skip to: 40641
+/* 15868 */   MCD_OPC_Decode, 75, 89, // Opcode: ADDv4i16
+/* 15871 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15889
+/* 15875 */   MCD_OPC_CheckPredicate, 0, 186, 96, // Skip to: 40641
+/* 15879 */   MCD_OPC_CheckField, 21, 1, 1, 180, 96, // Skip to: 40641
+/* 15885 */   MCD_OPC_Decode, 179, 15, 89, // Opcode: SUBv4i16
+/* 15889 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 15906
+/* 15893 */   MCD_OPC_CheckPredicate, 0, 168, 96, // Skip to: 40641
+/* 15897 */   MCD_OPC_CheckField, 21, 1, 1, 162, 96, // Skip to: 40641
+/* 15903 */   MCD_OPC_Decode, 77, 112, // Opcode: ADDv8i16
+/* 15906 */   MCD_OPC_FilterValue, 3, 155, 96, // Skip to: 40641
+/* 15910 */   MCD_OPC_CheckPredicate, 0, 151, 96, // Skip to: 40641
+/* 15914 */   MCD_OPC_CheckField, 21, 1, 1, 145, 96, // Skip to: 40641
+/* 15920 */   MCD_OPC_Decode, 181, 15, 112, // Opcode: SUBv8i16
+/* 15924 */   MCD_OPC_FilterValue, 34, 101, 0, // Skip to: 16029
+/* 15928 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 15931 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 15949
+/* 15935 */   MCD_OPC_CheckPredicate, 0, 126, 96, // Skip to: 40641
+/* 15939 */   MCD_OPC_CheckField, 16, 6, 32, 120, 96, // Skip to: 40641
+/* 15945 */   MCD_OPC_Decode, 201, 1, 90, // Opcode: CMGTv4i16rz
+/* 15949 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 15967
+/* 15953 */   MCD_OPC_CheckPredicate, 0, 108, 96, // Skip to: 40641
+/* 15957 */   MCD_OPC_CheckField, 16, 6, 32, 102, 96, // Skip to: 40641
+/* 15963 */   MCD_OPC_Decode, 185, 1, 90, // Opcode: CMGEv4i16rz
+/* 15967 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 15998
+/* 15971 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 15974 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 15986
+/* 15978 */   MCD_OPC_CheckPredicate, 0, 83, 96, // Skip to: 40641
+/* 15982 */   MCD_OPC_Decode, 205, 1, 117, // Opcode: CMGTv8i16rz
+/* 15986 */   MCD_OPC_FilterValue, 33, 75, 96, // Skip to: 40641
+/* 15990 */   MCD_OPC_CheckPredicate, 0, 71, 96, // Skip to: 40641
+/* 15994 */   MCD_OPC_Decode, 170, 5, 117, // Opcode: FRINTNv2f64
+/* 15998 */   MCD_OPC_FilterValue, 3, 63, 96, // Skip to: 40641
+/* 16002 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16005 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16017
+/* 16009 */   MCD_OPC_CheckPredicate, 0, 52, 96, // Skip to: 40641
+/* 16013 */   MCD_OPC_Decode, 189, 1, 117, // Opcode: CMGEv8i16rz
+/* 16017 */   MCD_OPC_FilterValue, 33, 44, 96, // Skip to: 40641
+/* 16021 */   MCD_OPC_CheckPredicate, 0, 40, 96, // Skip to: 40641
+/* 16025 */   MCD_OPC_Decode, 155, 5, 117, // Opcode: FRINTAv2f64
+/* 16029 */   MCD_OPC_FilterValue, 35, 75, 0, // Skip to: 16108
+/* 16033 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16036 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16054
+/* 16040 */   MCD_OPC_CheckPredicate, 0, 21, 96, // Skip to: 40641
+/* 16044 */   MCD_OPC_CheckField, 21, 1, 1, 15, 96, // Skip to: 40641
+/* 16050 */   MCD_OPC_Decode, 244, 1, 89, // Opcode: CMTSTv4i16
+/* 16054 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16072
+/* 16058 */   MCD_OPC_CheckPredicate, 0, 3, 96, // Skip to: 40641
+/* 16062 */   MCD_OPC_CheckField, 21, 1, 1, 253, 95, // Skip to: 40641
+/* 16068 */   MCD_OPC_Decode, 168, 1, 89, // Opcode: CMEQv4i16
+/* 16072 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16090
+/* 16076 */   MCD_OPC_CheckPredicate, 0, 241, 95, // Skip to: 40641
+/* 16080 */   MCD_OPC_CheckField, 21, 1, 1, 235, 95, // Skip to: 40641
+/* 16086 */   MCD_OPC_Decode, 246, 1, 112, // Opcode: CMTSTv8i16
+/* 16090 */   MCD_OPC_FilterValue, 3, 227, 95, // Skip to: 40641
+/* 16094 */   MCD_OPC_CheckPredicate, 0, 223, 95, // Skip to: 40641
+/* 16098 */   MCD_OPC_CheckField, 21, 1, 1, 217, 95, // Skip to: 40641
+/* 16104 */   MCD_OPC_Decode, 172, 1, 112, // Opcode: CMEQv8i16
+/* 16108 */   MCD_OPC_FilterValue, 36, 39, 0, // Skip to: 16151
+/* 16112 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16115 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16133
+/* 16119 */   MCD_OPC_CheckPredicate, 0, 198, 95, // Skip to: 40641
+/* 16123 */   MCD_OPC_CheckField, 21, 1, 1, 192, 95, // Skip to: 40641
+/* 16129 */   MCD_OPC_Decode, 178, 11, 105, // Opcode: SQDMLALv4i16_v4i32
+/* 16133 */   MCD_OPC_FilterValue, 2, 184, 95, // Skip to: 40641
+/* 16137 */   MCD_OPC_CheckPredicate, 0, 180, 95, // Skip to: 40641
+/* 16141 */   MCD_OPC_CheckField, 21, 1, 1, 174, 95, // Skip to: 40641
+/* 16147 */   MCD_OPC_Decode, 182, 11, 120, // Opcode: SQDMLALv8i16_v4i32
+/* 16151 */   MCD_OPC_FilterValue, 37, 75, 0, // Skip to: 16230
+/* 16155 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16158 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16176
+/* 16162 */   MCD_OPC_CheckPredicate, 0, 155, 95, // Skip to: 40641
+/* 16166 */   MCD_OPC_CheckField, 21, 1, 1, 149, 95, // Skip to: 40641
+/* 16172 */   MCD_OPC_Decode, 185, 8, 109, // Opcode: MLAv4i16
+/* 16176 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16194
+/* 16180 */   MCD_OPC_CheckPredicate, 0, 137, 95, // Skip to: 40641
+/* 16184 */   MCD_OPC_CheckField, 21, 1, 1, 131, 95, // Skip to: 40641
+/* 16190 */   MCD_OPC_Decode, 195, 8, 109, // Opcode: MLSv4i16
+/* 16194 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16212
+/* 16198 */   MCD_OPC_CheckPredicate, 0, 119, 95, // Skip to: 40641
+/* 16202 */   MCD_OPC_CheckField, 21, 1, 1, 113, 95, // Skip to: 40641
+/* 16208 */   MCD_OPC_Decode, 189, 8, 120, // Opcode: MLAv8i16
+/* 16212 */   MCD_OPC_FilterValue, 3, 105, 95, // Skip to: 40641
+/* 16216 */   MCD_OPC_CheckPredicate, 0, 101, 95, // Skip to: 40641
+/* 16220 */   MCD_OPC_CheckField, 21, 1, 1, 95, 95, // Skip to: 40641
+/* 16226 */   MCD_OPC_Decode, 199, 8, 120, // Opcode: MLSv8i16
+/* 16230 */   MCD_OPC_FilterValue, 38, 101, 0, // Skip to: 16335
+/* 16234 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16237 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16255
+/* 16241 */   MCD_OPC_CheckPredicate, 0, 76, 95, // Skip to: 40641
+/* 16245 */   MCD_OPC_CheckField, 16, 6, 32, 70, 95, // Skip to: 40641
+/* 16251 */   MCD_OPC_Decode, 169, 1, 90, // Opcode: CMEQv4i16rz
+/* 16255 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16273
+/* 16259 */   MCD_OPC_CheckPredicate, 0, 58, 95, // Skip to: 40641
+/* 16263 */   MCD_OPC_CheckField, 16, 6, 32, 52, 95, // Skip to: 40641
+/* 16269 */   MCD_OPC_Decode, 228, 1, 90, // Opcode: CMLEv4i16rz
+/* 16273 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 16304
+/* 16277 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16280 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16292
+/* 16284 */   MCD_OPC_CheckPredicate, 0, 33, 95, // Skip to: 40641
+/* 16288 */   MCD_OPC_Decode, 173, 1, 117, // Opcode: CMEQv8i16rz
+/* 16292 */   MCD_OPC_FilterValue, 33, 25, 95, // Skip to: 40641
+/* 16296 */   MCD_OPC_CheckPredicate, 0, 21, 95, // Skip to: 40641
+/* 16300 */   MCD_OPC_Decode, 165, 5, 117, // Opcode: FRINTMv2f64
+/* 16304 */   MCD_OPC_FilterValue, 3, 13, 95, // Skip to: 40641
+/* 16308 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16311 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 16323
+/* 16315 */   MCD_OPC_CheckPredicate, 0, 2, 95, // Skip to: 40641
+/* 16319 */   MCD_OPC_Decode, 230, 1, 117, // Opcode: CMLEv8i16rz
+/* 16323 */   MCD_OPC_FilterValue, 33, 250, 94, // Skip to: 40641
+/* 16327 */   MCD_OPC_CheckPredicate, 0, 246, 94, // Skip to: 40641
+/* 16331 */   MCD_OPC_Decode, 180, 5, 117, // Opcode: FRINTXv2f64
+/* 16335 */   MCD_OPC_FilterValue, 39, 39, 0, // Skip to: 16378
+/* 16339 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16342 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16360
+/* 16346 */   MCD_OPC_CheckPredicate, 0, 227, 94, // Skip to: 40641
+/* 16350 */   MCD_OPC_CheckField, 21, 1, 1, 221, 94, // Skip to: 40641
+/* 16356 */   MCD_OPC_Decode, 234, 8, 89, // Opcode: MULv4i16
+/* 16360 */   MCD_OPC_FilterValue, 2, 213, 94, // Skip to: 40641
+/* 16364 */   MCD_OPC_CheckPredicate, 0, 209, 94, // Skip to: 40641
+/* 16368 */   MCD_OPC_CheckField, 21, 1, 1, 203, 94, // Skip to: 40641
+/* 16374 */   MCD_OPC_Decode, 238, 8, 112, // Opcode: MULv8i16
+/* 16378 */   MCD_OPC_FilterValue, 40, 75, 0, // Skip to: 16457
+/* 16382 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16385 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16403
+/* 16389 */   MCD_OPC_CheckPredicate, 0, 184, 94, // Skip to: 40641
+/* 16393 */   MCD_OPC_CheckField, 21, 1, 1, 178, 94, // Skip to: 40641
+/* 16399 */   MCD_OPC_Decode, 254, 10, 105, // Opcode: SMLSLv4i16_v4i32
+/* 16403 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16421
+/* 16407 */   MCD_OPC_CheckPredicate, 0, 166, 94, // Skip to: 40641
+/* 16411 */   MCD_OPC_CheckField, 21, 1, 1, 160, 94, // Skip to: 40641
+/* 16417 */   MCD_OPC_Decode, 245, 16, 105, // Opcode: UMLSLv4i16_v4i32
+/* 16421 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16439
+/* 16425 */   MCD_OPC_CheckPredicate, 0, 148, 94, // Skip to: 40641
+/* 16429 */   MCD_OPC_CheckField, 21, 1, 1, 142, 94, // Skip to: 40641
+/* 16435 */   MCD_OPC_Decode, 130, 11, 120, // Opcode: SMLSLv8i16_v4i32
+/* 16439 */   MCD_OPC_FilterValue, 3, 134, 94, // Skip to: 40641
+/* 16443 */   MCD_OPC_CheckPredicate, 0, 130, 94, // Skip to: 40641
+/* 16447 */   MCD_OPC_CheckField, 21, 1, 1, 124, 94, // Skip to: 40641
+/* 16453 */   MCD_OPC_Decode, 249, 16, 120, // Opcode: UMLSLv8i16_v4i32
+/* 16457 */   MCD_OPC_FilterValue, 41, 75, 0, // Skip to: 16536
+/* 16461 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16464 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16482
+/* 16468 */   MCD_OPC_CheckPredicate, 0, 105, 94, // Skip to: 40641
+/* 16472 */   MCD_OPC_CheckField, 21, 1, 1, 99, 94, // Skip to: 40641
+/* 16478 */   MCD_OPC_Decode, 207, 10, 89, // Opcode: SMAXPv4i16
+/* 16482 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16500
+/* 16486 */   MCD_OPC_CheckPredicate, 0, 87, 94, // Skip to: 40641
+/* 16490 */   MCD_OPC_CheckField, 21, 1, 1, 81, 94, // Skip to: 40641
+/* 16496 */   MCD_OPC_Decode, 199, 16, 89, // Opcode: UMAXPv4i16
+/* 16500 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16518
+/* 16504 */   MCD_OPC_CheckPredicate, 0, 69, 94, // Skip to: 40641
+/* 16508 */   MCD_OPC_CheckField, 21, 1, 1, 63, 94, // Skip to: 40641
+/* 16514 */   MCD_OPC_Decode, 209, 10, 112, // Opcode: SMAXPv8i16
+/* 16518 */   MCD_OPC_FilterValue, 3, 55, 94, // Skip to: 40641
+/* 16522 */   MCD_OPC_CheckPredicate, 0, 51, 94, // Skip to: 40641
+/* 16526 */   MCD_OPC_CheckField, 21, 1, 1, 45, 94, // Skip to: 40641
+/* 16532 */   MCD_OPC_Decode, 201, 16, 112, // Opcode: UMAXPv8i16
+/* 16536 */   MCD_OPC_FilterValue, 42, 179, 0, // Skip to: 16719
+/* 16540 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16543 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 16574
+/* 16547 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16550 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16562
+/* 16554 */   MCD_OPC_CheckPredicate, 0, 19, 94, // Skip to: 40641
+/* 16558 */   MCD_OPC_Decode, 236, 1, 90, // Opcode: CMLTv4i16rz
+/* 16562 */   MCD_OPC_FilterValue, 2, 11, 94, // Skip to: 40641
+/* 16566 */   MCD_OPC_CheckPredicate, 0, 7, 94, // Skip to: 40641
+/* 16570 */   MCD_OPC_Decode, 238, 1, 117, // Opcode: CMLTv8i16rz
+/* 16574 */   MCD_OPC_FilterValue, 33, 27, 0, // Skip to: 16605
+/* 16578 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16581 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 16593
+/* 16585 */   MCD_OPC_CheckPredicate, 0, 244, 93, // Skip to: 40641
+/* 16589 */   MCD_OPC_Decode, 187, 3, 117, // Opcode: FCVTNSv2f64
+/* 16593 */   MCD_OPC_FilterValue, 3, 236, 93, // Skip to: 40641
+/* 16597 */   MCD_OPC_CheckPredicate, 0, 232, 93, // Skip to: 40641
+/* 16601 */   MCD_OPC_Decode, 196, 3, 117, // Opcode: FCVTNUv2f64
+/* 16605 */   MCD_OPC_FilterValue, 48, 53, 0, // Skip to: 16662
+/* 16609 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16612 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16624
+/* 16616 */   MCD_OPC_CheckPredicate, 0, 213, 93, // Skip to: 40641
+/* 16620 */   MCD_OPC_Decode, 212, 10, 100, // Opcode: SMAXVv4i16v
+/* 16624 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 16636
+/* 16628 */   MCD_OPC_CheckPredicate, 0, 201, 93, // Skip to: 40641
+/* 16632 */   MCD_OPC_Decode, 204, 16, 100, // Opcode: UMAXVv4i16v
+/* 16636 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 16649
+/* 16640 */   MCD_OPC_CheckPredicate, 0, 189, 93, // Skip to: 40641
+/* 16644 */   MCD_OPC_Decode, 214, 10, 131, 1, // Opcode: SMAXVv8i16v
+/* 16649 */   MCD_OPC_FilterValue, 3, 180, 93, // Skip to: 40641
+/* 16653 */   MCD_OPC_CheckPredicate, 0, 176, 93, // Skip to: 40641
+/* 16657 */   MCD_OPC_Decode, 206, 16, 131, 1, // Opcode: UMAXVv8i16v
+/* 16662 */   MCD_OPC_FilterValue, 49, 167, 93, // Skip to: 40641
+/* 16666 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16669 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 16681
+/* 16673 */   MCD_OPC_CheckPredicate, 0, 156, 93, // Skip to: 40641
+/* 16677 */   MCD_OPC_Decode, 230, 10, 100, // Opcode: SMINVv4i16v
+/* 16681 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 16693
+/* 16685 */   MCD_OPC_CheckPredicate, 0, 144, 93, // Skip to: 40641
+/* 16689 */   MCD_OPC_Decode, 221, 16, 100, // Opcode: UMINVv4i16v
+/* 16693 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 16706
+/* 16697 */   MCD_OPC_CheckPredicate, 0, 132, 93, // Skip to: 40641
+/* 16701 */   MCD_OPC_Decode, 232, 10, 131, 1, // Opcode: SMINVv8i16v
+/* 16706 */   MCD_OPC_FilterValue, 3, 123, 93, // Skip to: 40641
+/* 16710 */   MCD_OPC_CheckPredicate, 0, 119, 93, // Skip to: 40641
+/* 16714 */   MCD_OPC_Decode, 223, 16, 131, 1, // Opcode: UMINVv8i16v
+/* 16719 */   MCD_OPC_FilterValue, 43, 75, 0, // Skip to: 16798
+/* 16723 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16726 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16744
+/* 16730 */   MCD_OPC_CheckPredicate, 0, 99, 93, // Skip to: 40641
+/* 16734 */   MCD_OPC_CheckField, 21, 1, 1, 93, 93, // Skip to: 40641
+/* 16740 */   MCD_OPC_Decode, 225, 10, 89, // Opcode: SMINPv4i16
+/* 16744 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16762
+/* 16748 */   MCD_OPC_CheckPredicate, 0, 81, 93, // Skip to: 40641
+/* 16752 */   MCD_OPC_CheckField, 21, 1, 1, 75, 93, // Skip to: 40641
+/* 16758 */   MCD_OPC_Decode, 216, 16, 89, // Opcode: UMINPv4i16
+/* 16762 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16780
+/* 16766 */   MCD_OPC_CheckPredicate, 0, 63, 93, // Skip to: 40641
+/* 16770 */   MCD_OPC_CheckField, 21, 1, 1, 57, 93, // Skip to: 40641
+/* 16776 */   MCD_OPC_Decode, 227, 10, 112, // Opcode: SMINPv8i16
+/* 16780 */   MCD_OPC_FilterValue, 3, 49, 93, // Skip to: 40641
+/* 16784 */   MCD_OPC_CheckPredicate, 0, 45, 93, // Skip to: 40641
+/* 16788 */   MCD_OPC_CheckField, 21, 1, 1, 39, 93, // Skip to: 40641
+/* 16794 */   MCD_OPC_Decode, 218, 16, 112, // Opcode: UMINPv8i16
+/* 16798 */   MCD_OPC_FilterValue, 44, 39, 0, // Skip to: 16841
+/* 16802 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16805 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16823
+/* 16809 */   MCD_OPC_CheckPredicate, 0, 20, 93, // Skip to: 40641
+/* 16813 */   MCD_OPC_CheckField, 21, 1, 1, 14, 93, // Skip to: 40641
+/* 16819 */   MCD_OPC_Decode, 190, 11, 105, // Opcode: SQDMLSLv4i16_v4i32
+/* 16823 */   MCD_OPC_FilterValue, 2, 6, 93, // Skip to: 40641
+/* 16827 */   MCD_OPC_CheckPredicate, 0, 2, 93, // Skip to: 40641
+/* 16831 */   MCD_OPC_CheckField, 21, 1, 1, 252, 92, // Skip to: 40641
+/* 16837 */   MCD_OPC_Decode, 194, 11, 120, // Opcode: SQDMLSLv8i16_v4i32
+/* 16841 */   MCD_OPC_FilterValue, 45, 75, 0, // Skip to: 16920
+/* 16845 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16848 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 16866
+/* 16852 */   MCD_OPC_CheckPredicate, 0, 233, 92, // Skip to: 40641
+/* 16856 */   MCD_OPC_CheckField, 21, 1, 1, 227, 92, // Skip to: 40641
+/* 16862 */   MCD_OPC_Decode, 201, 11, 89, // Opcode: SQDMULHv4i16
+/* 16866 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16884
+/* 16870 */   MCD_OPC_CheckPredicate, 0, 215, 92, // Skip to: 40641
+/* 16874 */   MCD_OPC_CheckField, 21, 1, 1, 209, 92, // Skip to: 40641
+/* 16880 */   MCD_OPC_Decode, 236, 11, 89, // Opcode: SQRDMULHv4i16
+/* 16884 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 16902
+/* 16888 */   MCD_OPC_CheckPredicate, 0, 197, 92, // Skip to: 40641
+/* 16892 */   MCD_OPC_CheckField, 21, 1, 1, 191, 92, // Skip to: 40641
+/* 16898 */   MCD_OPC_Decode, 205, 11, 112, // Opcode: SQDMULHv8i16
+/* 16902 */   MCD_OPC_FilterValue, 3, 183, 92, // Skip to: 40641
+/* 16906 */   MCD_OPC_CheckPredicate, 0, 179, 92, // Skip to: 40641
+/* 16910 */   MCD_OPC_CheckField, 21, 1, 1, 173, 92, // Skip to: 40641
+/* 16916 */   MCD_OPC_Decode, 240, 11, 112, // Opcode: SQRDMULHv8i16
+/* 16920 */   MCD_OPC_FilterValue, 46, 123, 0, // Skip to: 17047
+/* 16924 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 16927 */   MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 16956
+/* 16931 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16934 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 16945
+/* 16938 */   MCD_OPC_CheckPredicate, 0, 147, 92, // Skip to: 40641
+/* 16942 */   MCD_OPC_Decode, 26, 90, // Opcode: ABSv4i16
+/* 16945 */   MCD_OPC_FilterValue, 49, 140, 92, // Skip to: 40641
+/* 16949 */   MCD_OPC_CheckPredicate, 0, 136, 92, // Skip to: 40641
+/* 16953 */   MCD_OPC_Decode, 58, 100, // Opcode: ADDVv4i16v
+/* 16956 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 16974
+/* 16960 */   MCD_OPC_CheckPredicate, 0, 125, 92, // Skip to: 40641
+/* 16964 */   MCD_OPC_CheckField, 16, 6, 32, 119, 92, // Skip to: 40641
+/* 16970 */   MCD_OPC_Decode, 251, 8, 90, // Opcode: NEGv4i16
+/* 16974 */   MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 17016
+/* 16978 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 16981 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 16992
+/* 16985 */   MCD_OPC_CheckPredicate, 0, 100, 92, // Skip to: 40641
+/* 16989 */   MCD_OPC_Decode, 28, 117, // Opcode: ABSv8i16
+/* 16992 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 17004
+/* 16996 */   MCD_OPC_CheckPredicate, 0, 89, 92, // Skip to: 40641
+/* 17000 */   MCD_OPC_Decode, 169, 3, 117, // Opcode: FCVTMSv2f64
+/* 17004 */   MCD_OPC_FilterValue, 49, 81, 92, // Skip to: 40641
+/* 17008 */   MCD_OPC_CheckPredicate, 0, 77, 92, // Skip to: 40641
+/* 17012 */   MCD_OPC_Decode, 60, 131, 1, // Opcode: ADDVv8i16v
+/* 17016 */   MCD_OPC_FilterValue, 3, 69, 92, // Skip to: 40641
+/* 17020 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 17023 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 17035
+/* 17027 */   MCD_OPC_CheckPredicate, 0, 58, 92, // Skip to: 40641
+/* 17031 */   MCD_OPC_Decode, 253, 8, 117, // Opcode: NEGv8i16
+/* 17035 */   MCD_OPC_FilterValue, 33, 50, 92, // Skip to: 40641
+/* 17039 */   MCD_OPC_CheckPredicate, 0, 46, 92, // Skip to: 40641
+/* 17043 */   MCD_OPC_Decode, 178, 3, 117, // Opcode: FCVTMUv2f64
+/* 17047 */   MCD_OPC_FilterValue, 47, 37, 0, // Skip to: 17088
+/* 17051 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17054 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 17071
+/* 17058 */   MCD_OPC_CheckPredicate, 0, 27, 92, // Skip to: 40641
+/* 17062 */   MCD_OPC_CheckField, 21, 1, 1, 21, 92, // Skip to: 40641
+/* 17068 */   MCD_OPC_Decode, 44, 89, // Opcode: ADDPv4i16
+/* 17071 */   MCD_OPC_FilterValue, 2, 14, 92, // Skip to: 40641
+/* 17075 */   MCD_OPC_CheckPredicate, 0, 10, 92, // Skip to: 40641
+/* 17079 */   MCD_OPC_CheckField, 21, 1, 1, 4, 92, // Skip to: 40641
+/* 17085 */   MCD_OPC_Decode, 46, 112, // Opcode: ADDPv8i16
+/* 17088 */   MCD_OPC_FilterValue, 48, 75, 0, // Skip to: 17167
+/* 17092 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17095 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17113
+/* 17099 */   MCD_OPC_CheckPredicate, 0, 242, 91, // Skip to: 40641
+/* 17103 */   MCD_OPC_CheckField, 21, 1, 1, 236, 91, // Skip to: 40641
+/* 17109 */   MCD_OPC_Decode, 143, 11, 85, // Opcode: SMULLv4i16_v4i32
+/* 17113 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17131
+/* 17117 */   MCD_OPC_CheckPredicate, 0, 224, 91, // Skip to: 40641
+/* 17121 */   MCD_OPC_CheckField, 21, 1, 1, 218, 91, // Skip to: 40641
+/* 17127 */   MCD_OPC_Decode, 133, 17, 85, // Opcode: UMULLv4i16_v4i32
+/* 17131 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17149
+/* 17135 */   MCD_OPC_CheckPredicate, 0, 206, 91, // Skip to: 40641
+/* 17139 */   MCD_OPC_CheckField, 21, 1, 1, 200, 91, // Skip to: 40641
+/* 17145 */   MCD_OPC_Decode, 147, 11, 112, // Opcode: SMULLv8i16_v4i32
+/* 17149 */   MCD_OPC_FilterValue, 3, 192, 91, // Skip to: 40641
+/* 17153 */   MCD_OPC_CheckPredicate, 0, 188, 91, // Skip to: 40641
+/* 17157 */   MCD_OPC_CheckField, 21, 1, 1, 182, 91, // Skip to: 40641
+/* 17163 */   MCD_OPC_Decode, 137, 17, 112, // Opcode: UMULLv8i16_v4i32
+/* 17167 */   MCD_OPC_FilterValue, 49, 39, 0, // Skip to: 17210
+/* 17171 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17174 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17192
+/* 17178 */   MCD_OPC_CheckPredicate, 0, 163, 91, // Skip to: 40641
+/* 17182 */   MCD_OPC_CheckField, 21, 1, 1, 157, 91, // Skip to: 40641
+/* 17188 */   MCD_OPC_Decode, 172, 4, 112, // Opcode: FMAXNMv2f64
+/* 17192 */   MCD_OPC_FilterValue, 3, 149, 91, // Skip to: 40641
+/* 17196 */   MCD_OPC_CheckPredicate, 0, 145, 91, // Skip to: 40641
+/* 17200 */   MCD_OPC_CheckField, 21, 1, 1, 139, 91, // Skip to: 40641
+/* 17206 */   MCD_OPC_Decode, 165, 4, 112, // Opcode: FMAXNMPv2f64
+/* 17210 */   MCD_OPC_FilterValue, 50, 39, 0, // Skip to: 17253
+/* 17214 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17217 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17235
+/* 17221 */   MCD_OPC_CheckPredicate, 0, 120, 91, // Skip to: 40641
+/* 17225 */   MCD_OPC_CheckField, 16, 6, 33, 114, 91, // Skip to: 40641
+/* 17231 */   MCD_OPC_Decode, 143, 3, 117, // Opcode: FCVTASv2f64
+/* 17235 */   MCD_OPC_FilterValue, 3, 106, 91, // Skip to: 40641
+/* 17239 */   MCD_OPC_CheckPredicate, 0, 102, 91, // Skip to: 40641
+/* 17243 */   MCD_OPC_CheckField, 16, 6, 33, 96, 91, // Skip to: 40641
+/* 17249 */   MCD_OPC_Decode, 152, 3, 117, // Opcode: FCVTAUv2f64
+/* 17253 */   MCD_OPC_FilterValue, 51, 20, 0, // Skip to: 17277
+/* 17257 */   MCD_OPC_CheckPredicate, 0, 84, 91, // Skip to: 40641
+/* 17261 */   MCD_OPC_CheckField, 29, 3, 2, 78, 91, // Skip to: 40641
+/* 17267 */   MCD_OPC_CheckField, 21, 1, 1, 72, 91, // Skip to: 40641
+/* 17273 */   MCD_OPC_Decode, 209, 4, 120, // Opcode: FMLAv2f64
+/* 17277 */   MCD_OPC_FilterValue, 52, 39, 0, // Skip to: 17320
+/* 17281 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17284 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17302
+/* 17288 */   MCD_OPC_CheckPredicate, 0, 53, 91, // Skip to: 40641
+/* 17292 */   MCD_OPC_CheckField, 21, 1, 1, 47, 91, // Skip to: 40641
+/* 17298 */   MCD_OPC_Decode, 214, 11, 85, // Opcode: SQDMULLv4i16_v4i32
+/* 17302 */   MCD_OPC_FilterValue, 2, 39, 91, // Skip to: 40641
+/* 17306 */   MCD_OPC_CheckPredicate, 0, 35, 91, // Skip to: 40641
+/* 17310 */   MCD_OPC_CheckField, 21, 1, 1, 29, 91, // Skip to: 40641
+/* 17316 */   MCD_OPC_Decode, 218, 11, 112, // Opcode: SQDMULLv8i16_v4i32
+/* 17320 */   MCD_OPC_FilterValue, 53, 39, 0, // Skip to: 17363
+/* 17324 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17327 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17345
+/* 17331 */   MCD_OPC_CheckPredicate, 0, 10, 91, // Skip to: 40641
+/* 17335 */   MCD_OPC_CheckField, 21, 1, 1, 4, 91, // Skip to: 40641
+/* 17341 */   MCD_OPC_Decode, 208, 2, 112, // Opcode: FADDv2f64
+/* 17345 */   MCD_OPC_FilterValue, 3, 252, 90, // Skip to: 40641
+/* 17349 */   MCD_OPC_CheckPredicate, 0, 248, 90, // Skip to: 40641
+/* 17353 */   MCD_OPC_CheckField, 21, 1, 1, 242, 90, // Skip to: 40641
+/* 17359 */   MCD_OPC_Decode, 202, 2, 112, // Opcode: FADDPv2f64
+/* 17363 */   MCD_OPC_FilterValue, 54, 39, 0, // Skip to: 17406
+/* 17367 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17370 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17388
+/* 17374 */   MCD_OPC_CheckPredicate, 0, 223, 90, // Skip to: 40641
+/* 17378 */   MCD_OPC_CheckField, 16, 6, 33, 217, 90, // Skip to: 40641
+/* 17384 */   MCD_OPC_Decode, 145, 10, 117, // Opcode: SCVTFv2f64
+/* 17388 */   MCD_OPC_FilterValue, 3, 209, 90, // Skip to: 40641
+/* 17392 */   MCD_OPC_CheckPredicate, 0, 205, 90, // Skip to: 40641
+/* 17396 */   MCD_OPC_CheckField, 16, 6, 33, 199, 90, // Skip to: 40641
+/* 17402 */   MCD_OPC_Decode, 175, 16, 117, // Opcode: UCVTFv2f64
+/* 17406 */   MCD_OPC_FilterValue, 55, 39, 0, // Skip to: 17449
+/* 17410 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17413 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17431
+/* 17417 */   MCD_OPC_CheckPredicate, 0, 180, 90, // Skip to: 40641
+/* 17421 */   MCD_OPC_CheckField, 21, 1, 1, 174, 90, // Skip to: 40641
+/* 17427 */   MCD_OPC_Decode, 244, 4, 112, // Opcode: FMULXv2f64
+/* 17431 */   MCD_OPC_FilterValue, 3, 166, 90, // Skip to: 40641
+/* 17435 */   MCD_OPC_CheckPredicate, 0, 162, 90, // Skip to: 40641
+/* 17439 */   MCD_OPC_CheckField, 21, 1, 1, 156, 90, // Skip to: 40641
+/* 17445 */   MCD_OPC_Decode, 252, 4, 112, // Opcode: FMULv2f64
+/* 17449 */   MCD_OPC_FilterValue, 57, 39, 0, // Skip to: 17492
+/* 17453 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17456 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17474
+/* 17460 */   MCD_OPC_CheckPredicate, 0, 137, 90, // Skip to: 40641
+/* 17464 */   MCD_OPC_CheckField, 21, 1, 1, 131, 90, // Skip to: 40641
+/* 17470 */   MCD_OPC_Decode, 219, 2, 112, // Opcode: FCMEQv2f64
+/* 17474 */   MCD_OPC_FilterValue, 3, 123, 90, // Skip to: 40641
+/* 17478 */   MCD_OPC_CheckPredicate, 0, 119, 90, // Skip to: 40641
+/* 17482 */   MCD_OPC_CheckField, 21, 1, 1, 113, 90, // Skip to: 40641
+/* 17488 */   MCD_OPC_Decode, 229, 2, 112, // Opcode: FCMGEv2f64
+/* 17492 */   MCD_OPC_FilterValue, 59, 20, 0, // Skip to: 17516
+/* 17496 */   MCD_OPC_CheckPredicate, 0, 101, 90, // Skip to: 40641
+/* 17500 */   MCD_OPC_CheckField, 29, 3, 3, 95, 90, // Skip to: 40641
+/* 17506 */   MCD_OPC_CheckField, 21, 1, 1, 89, 90, // Skip to: 40641
+/* 17512 */   MCD_OPC_Decode, 193, 2, 112, // Opcode: FACGEv2f64
+/* 17516 */   MCD_OPC_FilterValue, 61, 39, 0, // Skip to: 17559
+/* 17520 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17523 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17541
+/* 17527 */   MCD_OPC_CheckPredicate, 0, 70, 90, // Skip to: 40641
+/* 17531 */   MCD_OPC_CheckField, 21, 1, 1, 64, 90, // Skip to: 40641
+/* 17537 */   MCD_OPC_Decode, 182, 4, 112, // Opcode: FMAXv2f64
+/* 17541 */   MCD_OPC_FilterValue, 3, 56, 90, // Skip to: 40641
+/* 17545 */   MCD_OPC_CheckPredicate, 0, 52, 90, // Skip to: 40641
+/* 17549 */   MCD_OPC_CheckField, 21, 1, 1, 46, 90, // Skip to: 40641
+/* 17555 */   MCD_OPC_Decode, 175, 4, 112, // Opcode: FMAXPv2f64
+/* 17559 */   MCD_OPC_FilterValue, 63, 38, 90, // Skip to: 40641
+/* 17563 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17566 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17584
+/* 17570 */   MCD_OPC_CheckPredicate, 0, 27, 90, // Skip to: 40641
+/* 17574 */   MCD_OPC_CheckField, 21, 1, 1, 21, 90, // Skip to: 40641
+/* 17580 */   MCD_OPC_Decode, 148, 5, 112, // Opcode: FRECPSv2f64
+/* 17584 */   MCD_OPC_FilterValue, 3, 13, 90, // Skip to: 40641
+/* 17588 */   MCD_OPC_CheckPredicate, 0, 9, 90, // Skip to: 40641
+/* 17592 */   MCD_OPC_CheckField, 21, 1, 1, 3, 90, // Skip to: 40641
+/* 17598 */   MCD_OPC_Decode, 158, 4, 112, // Opcode: FDIVv2f64
+/* 17602 */   MCD_OPC_FilterValue, 10, 165, 19, // Skip to: 22635
+/* 17606 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 17609 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 17688
+/* 17613 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17616 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17634
+/* 17620 */   MCD_OPC_CheckPredicate, 0, 233, 89, // Skip to: 40641
+/* 17624 */   MCD_OPC_CheckField, 21, 1, 1, 227, 89, // Skip to: 40641
+/* 17630 */   MCD_OPC_Decode, 243, 9, 85, // Opcode: SADDLv2i32_v2i64
+/* 17634 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17652
+/* 17638 */   MCD_OPC_CheckPredicate, 0, 215, 89, // Skip to: 40641
+/* 17642 */   MCD_OPC_CheckField, 21, 1, 1, 209, 89, // Skip to: 40641
+/* 17648 */   MCD_OPC_Decode, 149, 16, 85, // Opcode: UADDLv2i32_v2i64
+/* 17652 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17670
+/* 17656 */   MCD_OPC_CheckPredicate, 0, 197, 89, // Skip to: 40641
+/* 17660 */   MCD_OPC_CheckField, 21, 1, 1, 191, 89, // Skip to: 40641
+/* 17666 */   MCD_OPC_Decode, 245, 9, 112, // Opcode: SADDLv4i32_v2i64
+/* 17670 */   MCD_OPC_FilterValue, 3, 183, 89, // Skip to: 40641
+/* 17674 */   MCD_OPC_CheckPredicate, 0, 179, 89, // Skip to: 40641
+/* 17678 */   MCD_OPC_CheckField, 21, 1, 1, 173, 89, // Skip to: 40641
+/* 17684 */   MCD_OPC_Decode, 151, 16, 112, // Opcode: UADDLv4i32_v2i64
+/* 17688 */   MCD_OPC_FilterValue, 1, 75, 0, // Skip to: 17767
+/* 17692 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17695 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17713
+/* 17699 */   MCD_OPC_CheckPredicate, 0, 154, 89, // Skip to: 40641
+/* 17703 */   MCD_OPC_CheckField, 21, 1, 1, 148, 89, // Skip to: 40641
+/* 17709 */   MCD_OPC_Decode, 165, 10, 89, // Opcode: SHADDv2i32
+/* 17713 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17731
+/* 17717 */   MCD_OPC_CheckPredicate, 0, 136, 89, // Skip to: 40641
+/* 17721 */   MCD_OPC_CheckField, 21, 1, 1, 130, 89, // Skip to: 40641
+/* 17727 */   MCD_OPC_Decode, 185, 16, 89, // Opcode: UHADDv2i32
+/* 17731 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17749
+/* 17735 */   MCD_OPC_CheckPredicate, 0, 118, 89, // Skip to: 40641
+/* 17739 */   MCD_OPC_CheckField, 21, 1, 1, 112, 89, // Skip to: 40641
+/* 17745 */   MCD_OPC_Decode, 167, 10, 112, // Opcode: SHADDv4i32
+/* 17749 */   MCD_OPC_FilterValue, 3, 104, 89, // Skip to: 40641
+/* 17753 */   MCD_OPC_CheckPredicate, 0, 100, 89, // Skip to: 40641
+/* 17757 */   MCD_OPC_CheckField, 21, 1, 1, 94, 89, // Skip to: 40641
+/* 17763 */   MCD_OPC_Decode, 187, 16, 112, // Opcode: UHADDv4i32
+/* 17767 */   MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 17810
+/* 17771 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17774 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17792
+/* 17778 */   MCD_OPC_CheckPredicate, 0, 75, 89, // Skip to: 40641
+/* 17782 */   MCD_OPC_CheckField, 16, 6, 32, 69, 89, // Skip to: 40641
+/* 17788 */   MCD_OPC_Decode, 180, 9, 90, // Opcode: REV64v2i32
+/* 17792 */   MCD_OPC_FilterValue, 2, 61, 89, // Skip to: 40641
+/* 17796 */   MCD_OPC_CheckPredicate, 0, 57, 89, // Skip to: 40641
+/* 17800 */   MCD_OPC_CheckField, 16, 6, 32, 51, 89, // Skip to: 40641
+/* 17806 */   MCD_OPC_Decode, 182, 9, 117, // Opcode: REV64v4i32
+/* 17810 */   MCD_OPC_FilterValue, 3, 75, 0, // Skip to: 17889
+/* 17814 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17817 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17835
+/* 17821 */   MCD_OPC_CheckPredicate, 0, 32, 89, // Skip to: 40641
+/* 17825 */   MCD_OPC_CheckField, 21, 1, 1, 26, 89, // Skip to: 40641
+/* 17831 */   MCD_OPC_Decode, 165, 11, 89, // Opcode: SQADDv2i32
+/* 17835 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17853
+/* 17839 */   MCD_OPC_CheckPredicate, 0, 14, 89, // Skip to: 40641
+/* 17843 */   MCD_OPC_CheckField, 21, 1, 1, 8, 89, // Skip to: 40641
+/* 17849 */   MCD_OPC_Decode, 144, 17, 89, // Opcode: UQADDv2i32
+/* 17853 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17871
+/* 17857 */   MCD_OPC_CheckPredicate, 0, 252, 88, // Skip to: 40641
+/* 17861 */   MCD_OPC_CheckField, 21, 1, 1, 246, 88, // Skip to: 40641
+/* 17867 */   MCD_OPC_Decode, 168, 11, 112, // Opcode: SQADDv4i32
+/* 17871 */   MCD_OPC_FilterValue, 3, 238, 88, // Skip to: 40641
+/* 17875 */   MCD_OPC_CheckPredicate, 0, 234, 88, // Skip to: 40641
+/* 17879 */   MCD_OPC_CheckField, 21, 1, 1, 228, 88, // Skip to: 40641
+/* 17885 */   MCD_OPC_Decode, 147, 17, 112, // Opcode: UQADDv4i32
+/* 17889 */   MCD_OPC_FilterValue, 4, 75, 0, // Skip to: 17968
+/* 17893 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17896 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17914
+/* 17900 */   MCD_OPC_CheckPredicate, 0, 209, 88, // Skip to: 40641
+/* 17904 */   MCD_OPC_CheckField, 21, 1, 1, 203, 88, // Skip to: 40641
+/* 17910 */   MCD_OPC_Decode, 249, 9, 93, // Opcode: SADDWv2i32_v2i64
+/* 17914 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 17932
+/* 17918 */   MCD_OPC_CheckPredicate, 0, 191, 88, // Skip to: 40641
+/* 17922 */   MCD_OPC_CheckField, 21, 1, 1, 185, 88, // Skip to: 40641
+/* 17928 */   MCD_OPC_Decode, 155, 16, 93, // Opcode: UADDWv2i32_v2i64
+/* 17932 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 17950
+/* 17936 */   MCD_OPC_CheckPredicate, 0, 173, 88, // Skip to: 40641
+/* 17940 */   MCD_OPC_CheckField, 21, 1, 1, 167, 88, // Skip to: 40641
+/* 17946 */   MCD_OPC_Decode, 251, 9, 112, // Opcode: SADDWv4i32_v2i64
+/* 17950 */   MCD_OPC_FilterValue, 3, 159, 88, // Skip to: 40641
+/* 17954 */   MCD_OPC_CheckPredicate, 0, 155, 88, // Skip to: 40641
+/* 17958 */   MCD_OPC_CheckField, 21, 1, 1, 149, 88, // Skip to: 40641
+/* 17964 */   MCD_OPC_Decode, 157, 16, 112, // Opcode: UADDWv4i32_v2i64
+/* 17968 */   MCD_OPC_FilterValue, 5, 75, 0, // Skip to: 18047
+/* 17972 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 17975 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 17993
+/* 17979 */   MCD_OPC_CheckPredicate, 0, 130, 88, // Skip to: 40641
+/* 17983 */   MCD_OPC_CheckField, 21, 1, 1, 124, 88, // Skip to: 40641
+/* 17989 */   MCD_OPC_Decode, 224, 12, 89, // Opcode: SRHADDv2i32
+/* 17993 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18011
+/* 17997 */   MCD_OPC_CheckPredicate, 0, 112, 88, // Skip to: 40641
+/* 18001 */   MCD_OPC_CheckField, 21, 1, 1, 106, 88, // Skip to: 40641
+/* 18007 */   MCD_OPC_Decode, 224, 17, 89, // Opcode: URHADDv2i32
+/* 18011 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18029
+/* 18015 */   MCD_OPC_CheckPredicate, 0, 94, 88, // Skip to: 40641
+/* 18019 */   MCD_OPC_CheckField, 21, 1, 1, 88, 88, // Skip to: 40641
+/* 18025 */   MCD_OPC_Decode, 226, 12, 112, // Opcode: SRHADDv4i32
+/* 18029 */   MCD_OPC_FilterValue, 3, 80, 88, // Skip to: 40641
+/* 18033 */   MCD_OPC_CheckPredicate, 0, 76, 88, // Skip to: 40641
+/* 18037 */   MCD_OPC_CheckField, 21, 1, 1, 70, 88, // Skip to: 40641
+/* 18043 */   MCD_OPC_Decode, 226, 17, 112, // Opcode: URHADDv4i32
+/* 18047 */   MCD_OPC_FilterValue, 6, 39, 0, // Skip to: 18090
+/* 18051 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18054 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18072
+/* 18058 */   MCD_OPC_CheckPredicate, 0, 51, 88, // Skip to: 40641
+/* 18062 */   MCD_OPC_CheckField, 21, 1, 0, 45, 88, // Skip to: 40641
+/* 18068 */   MCD_OPC_Decode, 181, 18, 89, // Opcode: UZP1v2i32
+/* 18072 */   MCD_OPC_FilterValue, 2, 37, 88, // Skip to: 40641
+/* 18076 */   MCD_OPC_CheckPredicate, 0, 33, 88, // Skip to: 40641
+/* 18080 */   MCD_OPC_CheckField, 21, 1, 0, 27, 88, // Skip to: 40641
+/* 18086 */   MCD_OPC_Decode, 184, 18, 112, // Opcode: UZP1v4i32
+/* 18090 */   MCD_OPC_FilterValue, 7, 73, 0, // Skip to: 18167
+/* 18094 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18097 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18115
+/* 18101 */   MCD_OPC_CheckPredicate, 0, 8, 88, // Skip to: 40641
+/* 18105 */   MCD_OPC_CheckField, 21, 1, 1, 2, 88, // Skip to: 40641
+/* 18111 */   MCD_OPC_Decode, 146, 9, 89, // Opcode: ORRv8i8
+/* 18115 */   MCD_OPC_FilterValue, 1, 13, 0, // Skip to: 18132
+/* 18119 */   MCD_OPC_CheckPredicate, 0, 246, 87, // Skip to: 40641
+/* 18123 */   MCD_OPC_CheckField, 21, 1, 1, 240, 87, // Skip to: 40641
+/* 18129 */   MCD_OPC_Decode, 123, 109, // Opcode: BITv8i8
+/* 18132 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18150
+/* 18136 */   MCD_OPC_CheckPredicate, 0, 229, 87, // Skip to: 40641
+/* 18140 */   MCD_OPC_CheckField, 21, 1, 1, 223, 87, // Skip to: 40641
+/* 18146 */   MCD_OPC_Decode, 141, 9, 112, // Opcode: ORRv16i8
+/* 18150 */   MCD_OPC_FilterValue, 3, 215, 87, // Skip to: 40641
+/* 18154 */   MCD_OPC_CheckPredicate, 0, 211, 87, // Skip to: 40641
+/* 18158 */   MCD_OPC_CheckField, 21, 1, 1, 205, 87, // Skip to: 40641
+/* 18164 */   MCD_OPC_Decode, 122, 120, // Opcode: BITv16i8
+/* 18167 */   MCD_OPC_FilterValue, 8, 75, 0, // Skip to: 18246
+/* 18171 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18174 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18192
+/* 18178 */   MCD_OPC_CheckPredicate, 0, 187, 87, // Skip to: 40641
+/* 18182 */   MCD_OPC_CheckField, 21, 1, 1, 181, 87, // Skip to: 40641
+/* 18188 */   MCD_OPC_Decode, 164, 13, 85, // Opcode: SSUBLv2i32_v2i64
+/* 18192 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18210
+/* 18196 */   MCD_OPC_CheckPredicate, 0, 169, 87, // Skip to: 40641
+/* 18200 */   MCD_OPC_CheckField, 21, 1, 1, 163, 87, // Skip to: 40641
+/* 18206 */   MCD_OPC_Decode, 169, 18, 85, // Opcode: USUBLv2i32_v2i64
+/* 18210 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18228
+/* 18214 */   MCD_OPC_CheckPredicate, 0, 151, 87, // Skip to: 40641
+/* 18218 */   MCD_OPC_CheckField, 21, 1, 1, 145, 87, // Skip to: 40641
+/* 18224 */   MCD_OPC_Decode, 166, 13, 112, // Opcode: SSUBLv4i32_v2i64
+/* 18228 */   MCD_OPC_FilterValue, 3, 137, 87, // Skip to: 40641
+/* 18232 */   MCD_OPC_CheckPredicate, 0, 133, 87, // Skip to: 40641
+/* 18236 */   MCD_OPC_CheckField, 21, 1, 1, 127, 87, // Skip to: 40641
+/* 18242 */   MCD_OPC_Decode, 171, 18, 112, // Opcode: USUBLv4i32_v2i64
+/* 18246 */   MCD_OPC_FilterValue, 9, 75, 0, // Skip to: 18325
+/* 18250 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18253 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18271
+/* 18257 */   MCD_OPC_CheckPredicate, 0, 108, 87, // Skip to: 40641
+/* 18261 */   MCD_OPC_CheckField, 21, 1, 1, 102, 87, // Skip to: 40641
+/* 18267 */   MCD_OPC_Decode, 191, 10, 89, // Opcode: SHSUBv2i32
+/* 18271 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18289
+/* 18275 */   MCD_OPC_CheckPredicate, 0, 90, 87, // Skip to: 40641
+/* 18279 */   MCD_OPC_CheckField, 21, 1, 1, 84, 87, // Skip to: 40641
+/* 18285 */   MCD_OPC_Decode, 191, 16, 89, // Opcode: UHSUBv2i32
+/* 18289 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18307
+/* 18293 */   MCD_OPC_CheckPredicate, 0, 72, 87, // Skip to: 40641
+/* 18297 */   MCD_OPC_CheckField, 21, 1, 1, 66, 87, // Skip to: 40641
+/* 18303 */   MCD_OPC_Decode, 193, 10, 112, // Opcode: SHSUBv4i32
+/* 18307 */   MCD_OPC_FilterValue, 3, 58, 87, // Skip to: 40641
+/* 18311 */   MCD_OPC_CheckPredicate, 0, 54, 87, // Skip to: 40641
+/* 18315 */   MCD_OPC_CheckField, 21, 1, 1, 48, 87, // Skip to: 40641
+/* 18321 */   MCD_OPC_Decode, 193, 16, 112, // Opcode: UHSUBv4i32
+/* 18325 */   MCD_OPC_FilterValue, 10, 165, 0, // Skip to: 18494
+/* 18329 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18332 */   MCD_OPC_FilterValue, 0, 46, 0, // Skip to: 18382
+/* 18336 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 18339 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18351
+/* 18343 */   MCD_OPC_CheckPredicate, 0, 22, 87, // Skip to: 40641
+/* 18347 */   MCD_OPC_Decode, 222, 15, 89, // Opcode: TRN1v2i32
+/* 18351 */   MCD_OPC_FilterValue, 1, 14, 87, // Skip to: 40641
+/* 18355 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 18358 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18370
+/* 18362 */   MCD_OPC_CheckPredicate, 0, 3, 87, // Skip to: 40641
+/* 18366 */   MCD_OPC_Decode, 232, 9, 90, // Opcode: SADDLPv2i32_v1i64
+/* 18370 */   MCD_OPC_FilterValue, 1, 251, 86, // Skip to: 40641
+/* 18374 */   MCD_OPC_CheckPredicate, 0, 247, 86, // Skip to: 40641
+/* 18378 */   MCD_OPC_Decode, 195, 18, 95, // Opcode: XTNv2i32
+/* 18382 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 18413
+/* 18386 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 18389 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18401
+/* 18393 */   MCD_OPC_CheckPredicate, 0, 228, 86, // Skip to: 40641
+/* 18397 */   MCD_OPC_Decode, 138, 16, 90, // Opcode: UADDLPv2i32_v1i64
+/* 18401 */   MCD_OPC_FilterValue, 33, 220, 86, // Skip to: 40641
+/* 18405 */   MCD_OPC_CheckPredicate, 0, 216, 86, // Skip to: 40641
+/* 18409 */   MCD_OPC_Decode, 218, 12, 95, // Opcode: SQXTUNv2i32
+/* 18413 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 18463
+/* 18417 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 18420 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18432
+/* 18424 */   MCD_OPC_CheckPredicate, 0, 197, 86, // Skip to: 40641
+/* 18428 */   MCD_OPC_Decode, 225, 15, 112, // Opcode: TRN1v4i32
+/* 18432 */   MCD_OPC_FilterValue, 1, 189, 86, // Skip to: 40641
+/* 18436 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 18439 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18451
+/* 18443 */   MCD_OPC_CheckPredicate, 0, 178, 86, // Skip to: 40641
+/* 18447 */   MCD_OPC_Decode, 234, 9, 117, // Opcode: SADDLPv4i32_v2i64
+/* 18451 */   MCD_OPC_FilterValue, 1, 170, 86, // Skip to: 40641
+/* 18455 */   MCD_OPC_CheckPredicate, 0, 166, 86, // Skip to: 40641
+/* 18459 */   MCD_OPC_Decode, 197, 18, 126, // Opcode: XTNv4i32
+/* 18463 */   MCD_OPC_FilterValue, 3, 158, 86, // Skip to: 40641
+/* 18467 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 18470 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18482
+/* 18474 */   MCD_OPC_CheckPredicate, 0, 147, 86, // Skip to: 40641
+/* 18478 */   MCD_OPC_Decode, 140, 16, 117, // Opcode: UADDLPv4i32_v2i64
+/* 18482 */   MCD_OPC_FilterValue, 33, 139, 86, // Skip to: 40641
+/* 18486 */   MCD_OPC_CheckPredicate, 0, 135, 86, // Skip to: 40641
+/* 18490 */   MCD_OPC_Decode, 220, 12, 126, // Opcode: SQXTUNv4i32
+/* 18494 */   MCD_OPC_FilterValue, 11, 75, 0, // Skip to: 18573
+/* 18498 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18501 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18519
+/* 18505 */   MCD_OPC_CheckPredicate, 0, 116, 86, // Skip to: 40641
+/* 18509 */   MCD_OPC_CheckField, 21, 1, 1, 110, 86, // Skip to: 40641
+/* 18515 */   MCD_OPC_Decode, 199, 12, 89, // Opcode: SQSUBv2i32
+/* 18519 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18537
+/* 18523 */   MCD_OPC_CheckPredicate, 0, 98, 86, // Skip to: 40641
+/* 18527 */   MCD_OPC_CheckField, 21, 1, 1, 92, 86, // Skip to: 40641
+/* 18533 */   MCD_OPC_Decode, 206, 17, 89, // Opcode: UQSUBv2i32
+/* 18537 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18555
+/* 18541 */   MCD_OPC_CheckPredicate, 0, 80, 86, // Skip to: 40641
+/* 18545 */   MCD_OPC_CheckField, 21, 1, 1, 74, 86, // Skip to: 40641
+/* 18551 */   MCD_OPC_Decode, 202, 12, 112, // Opcode: SQSUBv4i32
+/* 18555 */   MCD_OPC_FilterValue, 3, 66, 86, // Skip to: 40641
+/* 18559 */   MCD_OPC_CheckPredicate, 0, 62, 86, // Skip to: 40641
+/* 18563 */   MCD_OPC_CheckField, 21, 1, 1, 56, 86, // Skip to: 40641
+/* 18569 */   MCD_OPC_Decode, 209, 17, 112, // Opcode: UQSUBv4i32
+/* 18573 */   MCD_OPC_FilterValue, 12, 75, 0, // Skip to: 18652
+/* 18577 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18580 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18598
+/* 18584 */   MCD_OPC_CheckPredicate, 0, 37, 86, // Skip to: 40641
+/* 18588 */   MCD_OPC_CheckField, 21, 1, 1, 31, 86, // Skip to: 40641
+/* 18594 */   MCD_OPC_Decode, 170, 13, 93, // Opcode: SSUBWv2i32_v2i64
+/* 18598 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18616
+/* 18602 */   MCD_OPC_CheckPredicate, 0, 19, 86, // Skip to: 40641
+/* 18606 */   MCD_OPC_CheckField, 21, 1, 1, 13, 86, // Skip to: 40641
+/* 18612 */   MCD_OPC_Decode, 175, 18, 93, // Opcode: USUBWv2i32_v2i64
+/* 18616 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18634
+/* 18620 */   MCD_OPC_CheckPredicate, 0, 1, 86, // Skip to: 40641
+/* 18624 */   MCD_OPC_CheckField, 21, 1, 1, 251, 85, // Skip to: 40641
+/* 18630 */   MCD_OPC_Decode, 172, 13, 112, // Opcode: SSUBWv4i32_v2i64
+/* 18634 */   MCD_OPC_FilterValue, 3, 243, 85, // Skip to: 40641
+/* 18638 */   MCD_OPC_CheckPredicate, 0, 239, 85, // Skip to: 40641
+/* 18642 */   MCD_OPC_CheckField, 21, 1, 1, 233, 85, // Skip to: 40641
+/* 18648 */   MCD_OPC_Decode, 177, 18, 112, // Opcode: USUBWv4i32_v2i64
+/* 18652 */   MCD_OPC_FilterValue, 13, 75, 0, // Skip to: 18731
+/* 18656 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18659 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18677
+/* 18663 */   MCD_OPC_CheckPredicate, 0, 214, 85, // Skip to: 40641
+/* 18667 */   MCD_OPC_CheckField, 21, 1, 1, 208, 85, // Skip to: 40641
+/* 18673 */   MCD_OPC_Decode, 196, 1, 89, // Opcode: CMGTv2i32
+/* 18677 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18695
+/* 18681 */   MCD_OPC_CheckPredicate, 0, 196, 85, // Skip to: 40641
+/* 18685 */   MCD_OPC_CheckField, 21, 1, 1, 190, 85, // Skip to: 40641
+/* 18691 */   MCD_OPC_Decode, 210, 1, 89, // Opcode: CMHIv2i32
+/* 18695 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18713
+/* 18699 */   MCD_OPC_CheckPredicate, 0, 178, 85, // Skip to: 40641
+/* 18703 */   MCD_OPC_CheckField, 21, 1, 1, 172, 85, // Skip to: 40641
+/* 18709 */   MCD_OPC_Decode, 202, 1, 112, // Opcode: CMGTv4i32
+/* 18713 */   MCD_OPC_FilterValue, 3, 164, 85, // Skip to: 40641
+/* 18717 */   MCD_OPC_CheckPredicate, 0, 160, 85, // Skip to: 40641
+/* 18721 */   MCD_OPC_CheckField, 21, 1, 1, 154, 85, // Skip to: 40641
+/* 18727 */   MCD_OPC_Decode, 213, 1, 112, // Opcode: CMHIv4i32
+/* 18731 */   MCD_OPC_FilterValue, 14, 164, 0, // Skip to: 18899
+/* 18735 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18738 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 18775
+/* 18742 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 18745 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18757
+/* 18749 */   MCD_OPC_CheckPredicate, 0, 128, 85, // Skip to: 40641
+/* 18753 */   MCD_OPC_Decode, 201, 18, 89, // Opcode: ZIP1v2i32
+/* 18757 */   MCD_OPC_FilterValue, 1, 120, 85, // Skip to: 40641
+/* 18761 */   MCD_OPC_CheckPredicate, 0, 116, 85, // Skip to: 40641
+/* 18765 */   MCD_OPC_CheckField, 16, 5, 0, 110, 85, // Skip to: 40641
+/* 18771 */   MCD_OPC_Decode, 188, 15, 99, // Opcode: SUQADDv2i32
+/* 18775 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 18806
+/* 18779 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 18782 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18794
+/* 18786 */   MCD_OPC_CheckPredicate, 0, 91, 85, // Skip to: 40641
+/* 18790 */   MCD_OPC_Decode, 154, 18, 99, // Opcode: USQADDv2i32
+/* 18794 */   MCD_OPC_FilterValue, 33, 83, 85, // Skip to: 40641
+/* 18798 */   MCD_OPC_CheckPredicate, 0, 79, 85, // Skip to: 40641
+/* 18802 */   MCD_OPC_Decode, 171, 10, 108, // Opcode: SHLLv2i32
+/* 18806 */   MCD_OPC_FilterValue, 2, 46, 0, // Skip to: 18856
+/* 18810 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 18813 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18825
+/* 18817 */   MCD_OPC_CheckPredicate, 0, 60, 85, // Skip to: 40641
+/* 18821 */   MCD_OPC_Decode, 204, 18, 112, // Opcode: ZIP1v4i32
+/* 18825 */   MCD_OPC_FilterValue, 1, 52, 85, // Skip to: 40641
+/* 18829 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 18832 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 18844
+/* 18836 */   MCD_OPC_CheckPredicate, 0, 41, 85, // Skip to: 40641
+/* 18840 */   MCD_OPC_Decode, 191, 15, 126, // Opcode: SUQADDv4i32
+/* 18844 */   MCD_OPC_FilterValue, 16, 33, 85, // Skip to: 40641
+/* 18848 */   MCD_OPC_CheckPredicate, 0, 29, 85, // Skip to: 40641
+/* 18852 */   MCD_OPC_Decode, 239, 9, 95, // Opcode: SADDLVv4i32v
+/* 18856 */   MCD_OPC_FilterValue, 3, 21, 85, // Skip to: 40641
+/* 18860 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 18863 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 18875
+/* 18867 */   MCD_OPC_CheckPredicate, 0, 10, 85, // Skip to: 40641
+/* 18871 */   MCD_OPC_Decode, 157, 18, 126, // Opcode: USQADDv4i32
+/* 18875 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 18887
+/* 18879 */   MCD_OPC_CheckPredicate, 0, 254, 84, // Skip to: 40641
+/* 18883 */   MCD_OPC_Decode, 173, 10, 117, // Opcode: SHLLv4i32
+/* 18887 */   MCD_OPC_FilterValue, 48, 246, 84, // Skip to: 40641
+/* 18891 */   MCD_OPC_CheckPredicate, 0, 242, 84, // Skip to: 40641
+/* 18895 */   MCD_OPC_Decode, 145, 16, 95, // Opcode: UADDLVv4i32v
+/* 18899 */   MCD_OPC_FilterValue, 15, 75, 0, // Skip to: 18978
+/* 18903 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18906 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 18924
+/* 18910 */   MCD_OPC_CheckPredicate, 0, 223, 84, // Skip to: 40641
+/* 18914 */   MCD_OPC_CheckField, 21, 1, 1, 217, 84, // Skip to: 40641
+/* 18920 */   MCD_OPC_Decode, 180, 1, 89, // Opcode: CMGEv2i32
+/* 18924 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 18942
+/* 18928 */   MCD_OPC_CheckPredicate, 0, 205, 84, // Skip to: 40641
+/* 18932 */   MCD_OPC_CheckField, 21, 1, 1, 199, 84, // Skip to: 40641
+/* 18938 */   MCD_OPC_Decode, 218, 1, 89, // Opcode: CMHSv2i32
+/* 18942 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 18960
+/* 18946 */   MCD_OPC_CheckPredicate, 0, 187, 84, // Skip to: 40641
+/* 18950 */   MCD_OPC_CheckField, 21, 1, 1, 181, 84, // Skip to: 40641
+/* 18956 */   MCD_OPC_Decode, 186, 1, 112, // Opcode: CMGEv4i32
+/* 18960 */   MCD_OPC_FilterValue, 3, 173, 84, // Skip to: 40641
+/* 18964 */   MCD_OPC_CheckPredicate, 0, 169, 84, // Skip to: 40641
+/* 18968 */   MCD_OPC_CheckField, 21, 1, 1, 163, 84, // Skip to: 40641
+/* 18974 */   MCD_OPC_Decode, 221, 1, 112, // Opcode: CMHSv4i32
+/* 18978 */   MCD_OPC_FilterValue, 16, 73, 0, // Skip to: 19055
+/* 18982 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 18985 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 19002
+/* 18989 */   MCD_OPC_CheckPredicate, 0, 144, 84, // Skip to: 40641
+/* 18993 */   MCD_OPC_CheckField, 21, 1, 1, 138, 84, // Skip to: 40641
+/* 18999 */   MCD_OPC_Decode, 34, 103, // Opcode: ADDHNv2i64_v2i32
+/* 19002 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19020
+/* 19006 */   MCD_OPC_CheckPredicate, 0, 127, 84, // Skip to: 40641
+/* 19010 */   MCD_OPC_CheckField, 21, 1, 1, 121, 84, // Skip to: 40641
+/* 19016 */   MCD_OPC_Decode, 158, 9, 103, // Opcode: RADDHNv2i64_v2i32
+/* 19020 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 19037
+/* 19024 */   MCD_OPC_CheckPredicate, 0, 109, 84, // Skip to: 40641
+/* 19028 */   MCD_OPC_CheckField, 21, 1, 1, 103, 84, // Skip to: 40641
+/* 19034 */   MCD_OPC_Decode, 35, 120, // Opcode: ADDHNv2i64_v4i32
+/* 19037 */   MCD_OPC_FilterValue, 3, 96, 84, // Skip to: 40641
+/* 19041 */   MCD_OPC_CheckPredicate, 0, 92, 84, // Skip to: 40641
+/* 19045 */   MCD_OPC_CheckField, 21, 1, 1, 86, 84, // Skip to: 40641
+/* 19051 */   MCD_OPC_Decode, 159, 9, 120, // Opcode: RADDHNv2i64_v4i32
+/* 19055 */   MCD_OPC_FilterValue, 17, 75, 0, // Skip to: 19134
+/* 19059 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19062 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19080
+/* 19066 */   MCD_OPC_CheckPredicate, 0, 67, 84, // Skip to: 40641
+/* 19070 */   MCD_OPC_CheckField, 21, 1, 1, 61, 84, // Skip to: 40641
+/* 19076 */   MCD_OPC_Decode, 141, 13, 89, // Opcode: SSHLv2i32
+/* 19080 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19098
+/* 19084 */   MCD_OPC_CheckPredicate, 0, 49, 84, // Skip to: 40641
+/* 19088 */   MCD_OPC_CheckField, 21, 1, 1, 43, 84, // Skip to: 40641
+/* 19094 */   MCD_OPC_Decode, 135, 18, 89, // Opcode: USHLv2i32
+/* 19098 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19116
+/* 19102 */   MCD_OPC_CheckPredicate, 0, 31, 84, // Skip to: 40641
+/* 19106 */   MCD_OPC_CheckField, 21, 1, 1, 25, 84, // Skip to: 40641
+/* 19112 */   MCD_OPC_Decode, 144, 13, 112, // Opcode: SSHLv4i32
+/* 19116 */   MCD_OPC_FilterValue, 3, 17, 84, // Skip to: 40641
+/* 19120 */   MCD_OPC_CheckPredicate, 0, 13, 84, // Skip to: 40641
+/* 19124 */   MCD_OPC_CheckField, 21, 1, 1, 7, 84, // Skip to: 40641
+/* 19130 */   MCD_OPC_Decode, 138, 18, 112, // Opcode: USHLv4i32
+/* 19134 */   MCD_OPC_FilterValue, 18, 127, 0, // Skip to: 19265
+/* 19138 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19141 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 19172
+/* 19145 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 19148 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19160
+/* 19152 */   MCD_OPC_CheckPredicate, 0, 237, 83, // Skip to: 40641
+/* 19156 */   MCD_OPC_Decode, 147, 1, 90, // Opcode: CLSv2i32
+/* 19160 */   MCD_OPC_FilterValue, 33, 229, 83, // Skip to: 40641
+/* 19164 */   MCD_OPC_CheckPredicate, 0, 225, 83, // Skip to: 40641
+/* 19168 */   MCD_OPC_Decode, 209, 12, 95, // Opcode: SQXTNv2i32
+/* 19172 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 19203
+/* 19176 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 19179 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19191
+/* 19183 */   MCD_OPC_CheckPredicate, 0, 206, 83, // Skip to: 40641
+/* 19187 */   MCD_OPC_Decode, 155, 1, 90, // Opcode: CLZv2i32
+/* 19191 */   MCD_OPC_FilterValue, 33, 198, 83, // Skip to: 40641
+/* 19195 */   MCD_OPC_CheckPredicate, 0, 194, 83, // Skip to: 40641
+/* 19199 */   MCD_OPC_Decode, 216, 17, 95, // Opcode: UQXTNv2i32
+/* 19203 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 19234
+/* 19207 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 19210 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19222
+/* 19214 */   MCD_OPC_CheckPredicate, 0, 175, 83, // Skip to: 40641
+/* 19218 */   MCD_OPC_Decode, 149, 1, 117, // Opcode: CLSv4i32
+/* 19222 */   MCD_OPC_FilterValue, 33, 167, 83, // Skip to: 40641
+/* 19226 */   MCD_OPC_CheckPredicate, 0, 163, 83, // Skip to: 40641
+/* 19230 */   MCD_OPC_Decode, 211, 12, 126, // Opcode: SQXTNv4i32
+/* 19234 */   MCD_OPC_FilterValue, 3, 155, 83, // Skip to: 40641
+/* 19238 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 19241 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 19253
+/* 19245 */   MCD_OPC_CheckPredicate, 0, 144, 83, // Skip to: 40641
+/* 19249 */   MCD_OPC_Decode, 157, 1, 117, // Opcode: CLZv4i32
+/* 19253 */   MCD_OPC_FilterValue, 33, 136, 83, // Skip to: 40641
+/* 19257 */   MCD_OPC_CheckPredicate, 0, 132, 83, // Skip to: 40641
+/* 19261 */   MCD_OPC_Decode, 218, 17, 126, // Opcode: UQXTNv4i32
+/* 19265 */   MCD_OPC_FilterValue, 19, 75, 0, // Skip to: 19344
+/* 19269 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19272 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19290
+/* 19276 */   MCD_OPC_CheckPredicate, 0, 113, 83, // Skip to: 40641
+/* 19280 */   MCD_OPC_CheckField, 21, 1, 1, 107, 83, // Skip to: 40641
+/* 19286 */   MCD_OPC_Decode, 164, 12, 89, // Opcode: SQSHLv2i32
+/* 19290 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19308
+/* 19294 */   MCD_OPC_CheckPredicate, 0, 95, 83, // Skip to: 40641
+/* 19298 */   MCD_OPC_CheckField, 21, 1, 1, 89, 83, // Skip to: 40641
+/* 19304 */   MCD_OPC_Decode, 180, 17, 89, // Opcode: UQSHLv2i32
+/* 19308 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19326
+/* 19312 */   MCD_OPC_CheckPredicate, 0, 77, 83, // Skip to: 40641
+/* 19316 */   MCD_OPC_CheckField, 21, 1, 1, 71, 83, // Skip to: 40641
+/* 19322 */   MCD_OPC_Decode, 170, 12, 112, // Opcode: SQSHLv4i32
+/* 19326 */   MCD_OPC_FilterValue, 3, 63, 83, // Skip to: 40641
+/* 19330 */   MCD_OPC_CheckPredicate, 0, 59, 83, // Skip to: 40641
+/* 19334 */   MCD_OPC_CheckField, 21, 1, 1, 53, 83, // Skip to: 40641
+/* 19340 */   MCD_OPC_Decode, 186, 17, 112, // Opcode: UQSHLv4i32
+/* 19344 */   MCD_OPC_FilterValue, 20, 75, 0, // Skip to: 19423
+/* 19348 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19351 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19369
+/* 19355 */   MCD_OPC_CheckPredicate, 0, 34, 83, // Skip to: 40641
+/* 19359 */   MCD_OPC_CheckField, 21, 1, 1, 28, 83, // Skip to: 40641
+/* 19365 */   MCD_OPC_Decode, 202, 9, 105, // Opcode: SABALv2i32_v2i64
+/* 19369 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19387
+/* 19373 */   MCD_OPC_CheckPredicate, 0, 16, 83, // Skip to: 40641
+/* 19377 */   MCD_OPC_CheckField, 21, 1, 1, 10, 83, // Skip to: 40641
+/* 19383 */   MCD_OPC_Decode, 236, 15, 105, // Opcode: UABALv2i32_v2i64
+/* 19387 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19405
+/* 19391 */   MCD_OPC_CheckPredicate, 0, 254, 82, // Skip to: 40641
+/* 19395 */   MCD_OPC_CheckField, 21, 1, 1, 248, 82, // Skip to: 40641
+/* 19401 */   MCD_OPC_Decode, 204, 9, 120, // Opcode: SABALv4i32_v2i64
+/* 19405 */   MCD_OPC_FilterValue, 3, 240, 82, // Skip to: 40641
+/* 19409 */   MCD_OPC_CheckPredicate, 0, 236, 82, // Skip to: 40641
+/* 19413 */   MCD_OPC_CheckField, 21, 1, 1, 230, 82, // Skip to: 40641
+/* 19419 */   MCD_OPC_Decode, 238, 15, 120, // Opcode: UABALv4i32_v2i64
+/* 19423 */   MCD_OPC_FilterValue, 21, 75, 0, // Skip to: 19502
+/* 19427 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19430 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19448
+/* 19434 */   MCD_OPC_CheckPredicate, 0, 211, 82, // Skip to: 40641
+/* 19438 */   MCD_OPC_CheckField, 21, 1, 1, 205, 82, // Skip to: 40641
+/* 19444 */   MCD_OPC_Decode, 239, 12, 89, // Opcode: SRSHLv2i32
+/* 19448 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19466
+/* 19452 */   MCD_OPC_CheckPredicate, 0, 193, 82, // Skip to: 40641
+/* 19456 */   MCD_OPC_CheckField, 21, 1, 1, 187, 82, // Skip to: 40641
+/* 19462 */   MCD_OPC_Decode, 231, 17, 89, // Opcode: URSHLv2i32
+/* 19466 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19484
+/* 19470 */   MCD_OPC_CheckPredicate, 0, 175, 82, // Skip to: 40641
+/* 19474 */   MCD_OPC_CheckField, 21, 1, 1, 169, 82, // Skip to: 40641
+/* 19480 */   MCD_OPC_Decode, 242, 12, 112, // Opcode: SRSHLv4i32
+/* 19484 */   MCD_OPC_FilterValue, 3, 161, 82, // Skip to: 40641
+/* 19488 */   MCD_OPC_CheckPredicate, 0, 157, 82, // Skip to: 40641
+/* 19492 */   MCD_OPC_CheckField, 21, 1, 1, 151, 82, // Skip to: 40641
+/* 19498 */   MCD_OPC_Decode, 234, 17, 112, // Opcode: URSHLv4i32
+/* 19502 */   MCD_OPC_FilterValue, 22, 39, 0, // Skip to: 19545
+/* 19506 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19509 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19527
+/* 19513 */   MCD_OPC_CheckPredicate, 0, 132, 82, // Skip to: 40641
+/* 19517 */   MCD_OPC_CheckField, 21, 1, 0, 126, 82, // Skip to: 40641
+/* 19523 */   MCD_OPC_Decode, 188, 18, 89, // Opcode: UZP2v2i32
+/* 19527 */   MCD_OPC_FilterValue, 2, 118, 82, // Skip to: 40641
+/* 19531 */   MCD_OPC_CheckPredicate, 0, 114, 82, // Skip to: 40641
+/* 19535 */   MCD_OPC_CheckField, 21, 1, 0, 108, 82, // Skip to: 40641
+/* 19541 */   MCD_OPC_Decode, 191, 18, 112, // Opcode: UZP2v4i32
+/* 19545 */   MCD_OPC_FilterValue, 23, 75, 0, // Skip to: 19624
+/* 19549 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19552 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19570
+/* 19556 */   MCD_OPC_CheckPredicate, 0, 89, 82, // Skip to: 40641
+/* 19560 */   MCD_OPC_CheckField, 21, 1, 1, 83, 82, // Skip to: 40641
+/* 19566 */   MCD_OPC_Decode, 247, 11, 89, // Opcode: SQRSHLv2i32
+/* 19570 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19588
+/* 19574 */   MCD_OPC_CheckPredicate, 0, 71, 82, // Skip to: 40641
+/* 19578 */   MCD_OPC_CheckField, 21, 1, 1, 65, 82, // Skip to: 40641
+/* 19584 */   MCD_OPC_Decode, 155, 17, 89, // Opcode: UQRSHLv2i32
+/* 19588 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19606
+/* 19592 */   MCD_OPC_CheckPredicate, 0, 53, 82, // Skip to: 40641
+/* 19596 */   MCD_OPC_CheckField, 21, 1, 1, 47, 82, // Skip to: 40641
+/* 19602 */   MCD_OPC_Decode, 250, 11, 112, // Opcode: SQRSHLv4i32
+/* 19606 */   MCD_OPC_FilterValue, 3, 39, 82, // Skip to: 40641
+/* 19610 */   MCD_OPC_CheckPredicate, 0, 35, 82, // Skip to: 40641
+/* 19614 */   MCD_OPC_CheckField, 21, 1, 1, 29, 82, // Skip to: 40641
+/* 19620 */   MCD_OPC_Decode, 158, 17, 112, // Opcode: UQRSHLv4i32
+/* 19624 */   MCD_OPC_FilterValue, 24, 75, 0, // Skip to: 19703
+/* 19628 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19631 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19649
+/* 19635 */   MCD_OPC_CheckPredicate, 0, 10, 82, // Skip to: 40641
+/* 19639 */   MCD_OPC_CheckField, 21, 1, 1, 4, 82, // Skip to: 40641
+/* 19645 */   MCD_OPC_Decode, 151, 15, 103, // Opcode: SUBHNv2i64_v2i32
+/* 19649 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19667
+/* 19653 */   MCD_OPC_CheckPredicate, 0, 248, 81, // Skip to: 40641
+/* 19657 */   MCD_OPC_CheckField, 21, 1, 1, 242, 81, // Skip to: 40641
+/* 19663 */   MCD_OPC_Decode, 195, 9, 103, // Opcode: RSUBHNv2i64_v2i32
+/* 19667 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19685
+/* 19671 */   MCD_OPC_CheckPredicate, 0, 230, 81, // Skip to: 40641
+/* 19675 */   MCD_OPC_CheckField, 21, 1, 1, 224, 81, // Skip to: 40641
+/* 19681 */   MCD_OPC_Decode, 152, 15, 120, // Opcode: SUBHNv2i64_v4i32
+/* 19685 */   MCD_OPC_FilterValue, 3, 216, 81, // Skip to: 40641
+/* 19689 */   MCD_OPC_CheckPredicate, 0, 212, 81, // Skip to: 40641
+/* 19693 */   MCD_OPC_CheckField, 21, 1, 1, 206, 81, // Skip to: 40641
+/* 19699 */   MCD_OPC_Decode, 196, 9, 120, // Opcode: RSUBHNv2i64_v4i32
+/* 19703 */   MCD_OPC_FilterValue, 25, 75, 0, // Skip to: 19782
+/* 19707 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19710 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19728
+/* 19714 */   MCD_OPC_CheckPredicate, 0, 187, 81, // Skip to: 40641
+/* 19718 */   MCD_OPC_CheckField, 21, 1, 1, 181, 81, // Skip to: 40641
+/* 19724 */   MCD_OPC_Decode, 217, 10, 89, // Opcode: SMAXv2i32
+/* 19728 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19746
+/* 19732 */   MCD_OPC_CheckPredicate, 0, 169, 81, // Skip to: 40641
+/* 19736 */   MCD_OPC_CheckField, 21, 1, 1, 163, 81, // Skip to: 40641
+/* 19742 */   MCD_OPC_Decode, 209, 16, 89, // Opcode: UMAXv2i32
+/* 19746 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19764
+/* 19750 */   MCD_OPC_CheckPredicate, 0, 151, 81, // Skip to: 40641
+/* 19754 */   MCD_OPC_CheckField, 21, 1, 1, 145, 81, // Skip to: 40641
+/* 19760 */   MCD_OPC_Decode, 219, 10, 112, // Opcode: SMAXv4i32
+/* 19764 */   MCD_OPC_FilterValue, 3, 137, 81, // Skip to: 40641
+/* 19768 */   MCD_OPC_CheckPredicate, 0, 133, 81, // Skip to: 40641
+/* 19772 */   MCD_OPC_CheckField, 21, 1, 1, 127, 81, // Skip to: 40641
+/* 19778 */   MCD_OPC_Decode, 211, 16, 112, // Opcode: UMAXv4i32
+/* 19782 */   MCD_OPC_FilterValue, 26, 113, 0, // Skip to: 19899
+/* 19786 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19789 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 19826
+/* 19793 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 19796 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 19808
+/* 19800 */   MCD_OPC_CheckPredicate, 0, 101, 81, // Skip to: 40641
+/* 19804 */   MCD_OPC_Decode, 229, 15, 89, // Opcode: TRN2v2i32
+/* 19808 */   MCD_OPC_FilterValue, 1, 93, 81, // Skip to: 40641
+/* 19812 */   MCD_OPC_CheckPredicate, 0, 89, 81, // Skip to: 40641
+/* 19816 */   MCD_OPC_CheckField, 16, 5, 0, 83, 81, // Skip to: 40641
+/* 19822 */   MCD_OPC_Decode, 226, 9, 99, // Opcode: SADALPv2i32_v1i64
+/* 19826 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19844
+/* 19830 */   MCD_OPC_CheckPredicate, 0, 71, 81, // Skip to: 40641
+/* 19834 */   MCD_OPC_CheckField, 16, 6, 32, 65, 81, // Skip to: 40641
+/* 19840 */   MCD_OPC_Decode, 132, 16, 99, // Opcode: UADALPv2i32_v1i64
+/* 19844 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 19881
+/* 19848 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 19851 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 19863
+/* 19855 */   MCD_OPC_CheckPredicate, 0, 46, 81, // Skip to: 40641
+/* 19859 */   MCD_OPC_Decode, 232, 15, 112, // Opcode: TRN2v4i32
+/* 19863 */   MCD_OPC_FilterValue, 1, 38, 81, // Skip to: 40641
+/* 19867 */   MCD_OPC_CheckPredicate, 0, 34, 81, // Skip to: 40641
+/* 19871 */   MCD_OPC_CheckField, 16, 5, 0, 28, 81, // Skip to: 40641
+/* 19877 */   MCD_OPC_Decode, 228, 9, 126, // Opcode: SADALPv4i32_v2i64
+/* 19881 */   MCD_OPC_FilterValue, 3, 20, 81, // Skip to: 40641
+/* 19885 */   MCD_OPC_CheckPredicate, 0, 16, 81, // Skip to: 40641
+/* 19889 */   MCD_OPC_CheckField, 16, 6, 32, 10, 81, // Skip to: 40641
+/* 19895 */   MCD_OPC_Decode, 134, 16, 126, // Opcode: UADALPv4i32_v2i64
+/* 19899 */   MCD_OPC_FilterValue, 27, 75, 0, // Skip to: 19978
+/* 19903 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19906 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 19924
+/* 19910 */   MCD_OPC_CheckPredicate, 0, 247, 80, // Skip to: 40641
+/* 19914 */   MCD_OPC_CheckField, 21, 1, 1, 241, 80, // Skip to: 40641
+/* 19920 */   MCD_OPC_Decode, 235, 10, 89, // Opcode: SMINv2i32
+/* 19924 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 19942
+/* 19928 */   MCD_OPC_CheckPredicate, 0, 229, 80, // Skip to: 40641
+/* 19932 */   MCD_OPC_CheckField, 21, 1, 1, 223, 80, // Skip to: 40641
+/* 19938 */   MCD_OPC_Decode, 226, 16, 89, // Opcode: UMINv2i32
+/* 19942 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 19960
+/* 19946 */   MCD_OPC_CheckPredicate, 0, 211, 80, // Skip to: 40641
+/* 19950 */   MCD_OPC_CheckField, 21, 1, 1, 205, 80, // Skip to: 40641
+/* 19956 */   MCD_OPC_Decode, 237, 10, 112, // Opcode: SMINv4i32
+/* 19960 */   MCD_OPC_FilterValue, 3, 197, 80, // Skip to: 40641
+/* 19964 */   MCD_OPC_CheckPredicate, 0, 193, 80, // Skip to: 40641
+/* 19968 */   MCD_OPC_CheckField, 21, 1, 1, 187, 80, // Skip to: 40641
+/* 19974 */   MCD_OPC_Decode, 228, 16, 112, // Opcode: UMINv4i32
+/* 19978 */   MCD_OPC_FilterValue, 28, 75, 0, // Skip to: 20057
+/* 19982 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 19985 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20003
+/* 19989 */   MCD_OPC_CheckPredicate, 0, 168, 80, // Skip to: 40641
+/* 19993 */   MCD_OPC_CheckField, 21, 1, 1, 162, 80, // Skip to: 40641
+/* 19999 */   MCD_OPC_Decode, 214, 9, 85, // Opcode: SABDLv2i32_v2i64
+/* 20003 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20021
+/* 20007 */   MCD_OPC_CheckPredicate, 0, 150, 80, // Skip to: 40641
+/* 20011 */   MCD_OPC_CheckField, 21, 1, 1, 144, 80, // Skip to: 40641
+/* 20017 */   MCD_OPC_Decode, 248, 15, 85, // Opcode: UABDLv2i32_v2i64
+/* 20021 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20039
+/* 20025 */   MCD_OPC_CheckPredicate, 0, 132, 80, // Skip to: 40641
+/* 20029 */   MCD_OPC_CheckField, 21, 1, 1, 126, 80, // Skip to: 40641
+/* 20035 */   MCD_OPC_Decode, 216, 9, 112, // Opcode: SABDLv4i32_v2i64
+/* 20039 */   MCD_OPC_FilterValue, 3, 118, 80, // Skip to: 40641
+/* 20043 */   MCD_OPC_CheckPredicate, 0, 114, 80, // Skip to: 40641
+/* 20047 */   MCD_OPC_CheckField, 21, 1, 1, 108, 80, // Skip to: 40641
+/* 20053 */   MCD_OPC_Decode, 250, 15, 112, // Opcode: UABDLv4i32_v2i64
+/* 20057 */   MCD_OPC_FilterValue, 29, 75, 0, // Skip to: 20136
+/* 20061 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20064 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20082
+/* 20068 */   MCD_OPC_CheckPredicate, 0, 89, 80, // Skip to: 40641
+/* 20072 */   MCD_OPC_CheckField, 21, 1, 1, 83, 80, // Skip to: 40641
+/* 20078 */   MCD_OPC_Decode, 220, 9, 89, // Opcode: SABDv2i32
+/* 20082 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20100
+/* 20086 */   MCD_OPC_CheckPredicate, 0, 71, 80, // Skip to: 40641
+/* 20090 */   MCD_OPC_CheckField, 21, 1, 1, 65, 80, // Skip to: 40641
+/* 20096 */   MCD_OPC_Decode, 254, 15, 89, // Opcode: UABDv2i32
+/* 20100 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20118
+/* 20104 */   MCD_OPC_CheckPredicate, 0, 53, 80, // Skip to: 40641
+/* 20108 */   MCD_OPC_CheckField, 21, 1, 1, 47, 80, // Skip to: 40641
+/* 20114 */   MCD_OPC_Decode, 222, 9, 112, // Opcode: SABDv4i32
+/* 20118 */   MCD_OPC_FilterValue, 3, 39, 80, // Skip to: 40641
+/* 20122 */   MCD_OPC_CheckPredicate, 0, 35, 80, // Skip to: 40641
+/* 20126 */   MCD_OPC_CheckField, 21, 1, 1, 29, 80, // Skip to: 40641
+/* 20132 */   MCD_OPC_Decode, 128, 16, 112, // Opcode: UABDv4i32
+/* 20136 */   MCD_OPC_FilterValue, 30, 113, 0, // Skip to: 20253
+/* 20140 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20143 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 20180
+/* 20147 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 20150 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 20162
+/* 20154 */   MCD_OPC_CheckPredicate, 0, 3, 80, // Skip to: 40641
+/* 20158 */   MCD_OPC_Decode, 208, 18, 89, // Opcode: ZIP2v2i32
+/* 20162 */   MCD_OPC_FilterValue, 1, 251, 79, // Skip to: 40641
+/* 20166 */   MCD_OPC_CheckPredicate, 0, 247, 79, // Skip to: 40641
+/* 20170 */   MCD_OPC_CheckField, 16, 5, 0, 241, 79, // Skip to: 40641
+/* 20176 */   MCD_OPC_Decode, 154, 11, 90, // Opcode: SQABSv2i32
+/* 20180 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20198
+/* 20184 */   MCD_OPC_CheckPredicate, 0, 229, 79, // Skip to: 40641
+/* 20188 */   MCD_OPC_CheckField, 16, 6, 32, 223, 79, // Skip to: 40641
+/* 20194 */   MCD_OPC_Decode, 224, 11, 90, // Opcode: SQNEGv2i32
+/* 20198 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 20235
+/* 20202 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 20205 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 20217
+/* 20209 */   MCD_OPC_CheckPredicate, 0, 204, 79, // Skip to: 40641
+/* 20213 */   MCD_OPC_Decode, 211, 18, 112, // Opcode: ZIP2v4i32
+/* 20217 */   MCD_OPC_FilterValue, 1, 196, 79, // Skip to: 40641
+/* 20221 */   MCD_OPC_CheckPredicate, 0, 192, 79, // Skip to: 40641
+/* 20225 */   MCD_OPC_CheckField, 16, 5, 0, 186, 79, // Skip to: 40641
+/* 20231 */   MCD_OPC_Decode, 157, 11, 117, // Opcode: SQABSv4i32
+/* 20235 */   MCD_OPC_FilterValue, 3, 178, 79, // Skip to: 40641
+/* 20239 */   MCD_OPC_CheckPredicate, 0, 174, 79, // Skip to: 40641
+/* 20243 */   MCD_OPC_CheckField, 16, 6, 32, 168, 79, // Skip to: 40641
+/* 20249 */   MCD_OPC_Decode, 227, 11, 117, // Opcode: SQNEGv4i32
+/* 20253 */   MCD_OPC_FilterValue, 31, 75, 0, // Skip to: 20332
+/* 20257 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20260 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20278
+/* 20264 */   MCD_OPC_CheckPredicate, 0, 149, 79, // Skip to: 40641
+/* 20268 */   MCD_OPC_CheckField, 21, 1, 1, 143, 79, // Skip to: 40641
+/* 20274 */   MCD_OPC_Decode, 208, 9, 109, // Opcode: SABAv2i32
+/* 20278 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20296
+/* 20282 */   MCD_OPC_CheckPredicate, 0, 131, 79, // Skip to: 40641
+/* 20286 */   MCD_OPC_CheckField, 21, 1, 1, 125, 79, // Skip to: 40641
+/* 20292 */   MCD_OPC_Decode, 242, 15, 109, // Opcode: UABAv2i32
+/* 20296 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20314
+/* 20300 */   MCD_OPC_CheckPredicate, 0, 113, 79, // Skip to: 40641
+/* 20304 */   MCD_OPC_CheckField, 21, 1, 1, 107, 79, // Skip to: 40641
+/* 20310 */   MCD_OPC_Decode, 210, 9, 120, // Opcode: SABAv4i32
+/* 20314 */   MCD_OPC_FilterValue, 3, 99, 79, // Skip to: 40641
+/* 20318 */   MCD_OPC_CheckPredicate, 0, 95, 79, // Skip to: 40641
+/* 20322 */   MCD_OPC_CheckField, 21, 1, 1, 89, 79, // Skip to: 40641
+/* 20328 */   MCD_OPC_Decode, 244, 15, 120, // Opcode: UABAv4i32
+/* 20332 */   MCD_OPC_FilterValue, 32, 75, 0, // Skip to: 20411
+/* 20336 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20339 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20357
+/* 20343 */   MCD_OPC_CheckPredicate, 0, 70, 79, // Skip to: 40641
+/* 20347 */   MCD_OPC_CheckField, 21, 1, 1, 64, 79, // Skip to: 40641
+/* 20353 */   MCD_OPC_Decode, 242, 10, 105, // Opcode: SMLALv2i32_v2i64
+/* 20357 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20375
+/* 20361 */   MCD_OPC_CheckPredicate, 0, 52, 79, // Skip to: 40641
+/* 20365 */   MCD_OPC_CheckField, 21, 1, 1, 46, 79, // Skip to: 40641
+/* 20371 */   MCD_OPC_Decode, 233, 16, 105, // Opcode: UMLALv2i32_v2i64
+/* 20375 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20393
+/* 20379 */   MCD_OPC_CheckPredicate, 0, 34, 79, // Skip to: 40641
+/* 20383 */   MCD_OPC_CheckField, 21, 1, 1, 28, 79, // Skip to: 40641
+/* 20389 */   MCD_OPC_Decode, 246, 10, 120, // Opcode: SMLALv4i32_v2i64
+/* 20393 */   MCD_OPC_FilterValue, 3, 20, 79, // Skip to: 40641
+/* 20397 */   MCD_OPC_CheckPredicate, 0, 16, 79, // Skip to: 40641
+/* 20401 */   MCD_OPC_CheckField, 21, 1, 1, 10, 79, // Skip to: 40641
+/* 20407 */   MCD_OPC_Decode, 237, 16, 120, // Opcode: UMLALv4i32_v2i64
+/* 20411 */   MCD_OPC_FilterValue, 33, 73, 0, // Skip to: 20488
+/* 20415 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20418 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 20435
+/* 20422 */   MCD_OPC_CheckPredicate, 0, 247, 78, // Skip to: 40641
+/* 20426 */   MCD_OPC_CheckField, 21, 1, 1, 241, 78, // Skip to: 40641
+/* 20432 */   MCD_OPC_Decode, 73, 89, // Opcode: ADDv2i32
+/* 20435 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20453
+/* 20439 */   MCD_OPC_CheckPredicate, 0, 230, 78, // Skip to: 40641
+/* 20443 */   MCD_OPC_CheckField, 21, 1, 1, 224, 78, // Skip to: 40641
+/* 20449 */   MCD_OPC_Decode, 177, 15, 89, // Opcode: SUBv2i32
+/* 20453 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 20470
+/* 20457 */   MCD_OPC_CheckPredicate, 0, 212, 78, // Skip to: 40641
+/* 20461 */   MCD_OPC_CheckField, 21, 1, 1, 206, 78, // Skip to: 40641
+/* 20467 */   MCD_OPC_Decode, 76, 112, // Opcode: ADDv4i32
+/* 20470 */   MCD_OPC_FilterValue, 3, 199, 78, // Skip to: 40641
+/* 20474 */   MCD_OPC_CheckPredicate, 0, 195, 78, // Skip to: 40641
+/* 20478 */   MCD_OPC_CheckField, 21, 1, 1, 189, 78, // Skip to: 40641
+/* 20484 */   MCD_OPC_Decode, 180, 15, 112, // Opcode: SUBv4i32
+/* 20488 */   MCD_OPC_FilterValue, 34, 101, 0, // Skip to: 20593
+/* 20492 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20495 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 20526
+/* 20499 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20502 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20514
+/* 20506 */   MCD_OPC_CheckPredicate, 0, 163, 78, // Skip to: 40641
+/* 20510 */   MCD_OPC_Decode, 197, 1, 90, // Opcode: CMGTv2i32rz
+/* 20514 */   MCD_OPC_FilterValue, 33, 155, 78, // Skip to: 40641
+/* 20518 */   MCD_OPC_CheckPredicate, 0, 151, 78, // Skip to: 40641
+/* 20522 */   MCD_OPC_Decode, 174, 5, 90, // Opcode: FRINTPv2f32
+/* 20526 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20544
+/* 20530 */   MCD_OPC_CheckPredicate, 0, 139, 78, // Skip to: 40641
+/* 20534 */   MCD_OPC_CheckField, 16, 6, 32, 133, 78, // Skip to: 40641
+/* 20540 */   MCD_OPC_Decode, 181, 1, 90, // Opcode: CMGEv2i32rz
+/* 20544 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 20575
+/* 20548 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20551 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20563
+/* 20555 */   MCD_OPC_CheckPredicate, 0, 114, 78, // Skip to: 40641
+/* 20559 */   MCD_OPC_Decode, 203, 1, 117, // Opcode: CMGTv4i32rz
+/* 20563 */   MCD_OPC_FilterValue, 33, 106, 78, // Skip to: 40641
+/* 20567 */   MCD_OPC_CheckPredicate, 0, 102, 78, // Skip to: 40641
+/* 20571 */   MCD_OPC_Decode, 176, 5, 117, // Opcode: FRINTPv4f32
+/* 20575 */   MCD_OPC_FilterValue, 3, 94, 78, // Skip to: 40641
+/* 20579 */   MCD_OPC_CheckPredicate, 0, 90, 78, // Skip to: 40641
+/* 20583 */   MCD_OPC_CheckField, 16, 6, 32, 84, 78, // Skip to: 40641
+/* 20589 */   MCD_OPC_Decode, 187, 1, 117, // Opcode: CMGEv4i32rz
+/* 20593 */   MCD_OPC_FilterValue, 35, 75, 0, // Skip to: 20672
+/* 20597 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20600 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20618
+/* 20604 */   MCD_OPC_CheckPredicate, 0, 65, 78, // Skip to: 40641
+/* 20608 */   MCD_OPC_CheckField, 21, 1, 1, 59, 78, // Skip to: 40641
+/* 20614 */   MCD_OPC_Decode, 242, 1, 89, // Opcode: CMTSTv2i32
+/* 20618 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20636
+/* 20622 */   MCD_OPC_CheckPredicate, 0, 47, 78, // Skip to: 40641
+/* 20626 */   MCD_OPC_CheckField, 21, 1, 1, 41, 78, // Skip to: 40641
+/* 20632 */   MCD_OPC_Decode, 164, 1, 89, // Opcode: CMEQv2i32
+/* 20636 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20654
+/* 20640 */   MCD_OPC_CheckPredicate, 0, 29, 78, // Skip to: 40641
+/* 20644 */   MCD_OPC_CheckField, 21, 1, 1, 23, 78, // Skip to: 40641
+/* 20650 */   MCD_OPC_Decode, 245, 1, 112, // Opcode: CMTSTv4i32
+/* 20654 */   MCD_OPC_FilterValue, 3, 15, 78, // Skip to: 40641
+/* 20658 */   MCD_OPC_CheckPredicate, 0, 11, 78, // Skip to: 40641
+/* 20662 */   MCD_OPC_CheckField, 21, 1, 1, 5, 78, // Skip to: 40641
+/* 20668 */   MCD_OPC_Decode, 170, 1, 112, // Opcode: CMEQv4i32
+/* 20672 */   MCD_OPC_FilterValue, 36, 39, 0, // Skip to: 20715
+/* 20676 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20679 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20697
+/* 20683 */   MCD_OPC_CheckPredicate, 0, 242, 77, // Skip to: 40641
+/* 20687 */   MCD_OPC_CheckField, 21, 1, 1, 236, 77, // Skip to: 40641
+/* 20693 */   MCD_OPC_Decode, 176, 11, 105, // Opcode: SQDMLALv2i32_v2i64
+/* 20697 */   MCD_OPC_FilterValue, 2, 228, 77, // Skip to: 40641
+/* 20701 */   MCD_OPC_CheckPredicate, 0, 224, 77, // Skip to: 40641
+/* 20705 */   MCD_OPC_CheckField, 21, 1, 1, 218, 77, // Skip to: 40641
+/* 20711 */   MCD_OPC_Decode, 180, 11, 120, // Opcode: SQDMLALv4i32_v2i64
+/* 20715 */   MCD_OPC_FilterValue, 37, 75, 0, // Skip to: 20794
+/* 20719 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20722 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20740
+/* 20726 */   MCD_OPC_CheckPredicate, 0, 199, 77, // Skip to: 40641
+/* 20730 */   MCD_OPC_CheckField, 21, 1, 1, 193, 77, // Skip to: 40641
+/* 20736 */   MCD_OPC_Decode, 183, 8, 109, // Opcode: MLAv2i32
+/* 20740 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 20758
+/* 20744 */   MCD_OPC_CheckPredicate, 0, 181, 77, // Skip to: 40641
+/* 20748 */   MCD_OPC_CheckField, 21, 1, 1, 175, 77, // Skip to: 40641
+/* 20754 */   MCD_OPC_Decode, 193, 8, 109, // Opcode: MLSv2i32
+/* 20758 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 20776
+/* 20762 */   MCD_OPC_CheckPredicate, 0, 163, 77, // Skip to: 40641
+/* 20766 */   MCD_OPC_CheckField, 21, 1, 1, 157, 77, // Skip to: 40641
+/* 20772 */   MCD_OPC_Decode, 187, 8, 120, // Opcode: MLAv4i32
+/* 20776 */   MCD_OPC_FilterValue, 3, 149, 77, // Skip to: 40641
+/* 20780 */   MCD_OPC_CheckPredicate, 0, 145, 77, // Skip to: 40641
+/* 20784 */   MCD_OPC_CheckField, 21, 1, 1, 139, 77, // Skip to: 40641
+/* 20790 */   MCD_OPC_Decode, 197, 8, 120, // Opcode: MLSv4i32
+/* 20794 */   MCD_OPC_FilterValue, 38, 127, 0, // Skip to: 20925
+/* 20798 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20801 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 20832
+/* 20805 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20808 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20820
+/* 20812 */   MCD_OPC_CheckPredicate, 0, 113, 77, // Skip to: 40641
+/* 20816 */   MCD_OPC_Decode, 165, 1, 90, // Opcode: CMEQv2i32rz
+/* 20820 */   MCD_OPC_FilterValue, 33, 105, 77, // Skip to: 40641
+/* 20824 */   MCD_OPC_CheckPredicate, 0, 101, 77, // Skip to: 40641
+/* 20828 */   MCD_OPC_Decode, 184, 5, 90, // Opcode: FRINTZv2f32
+/* 20832 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 20863
+/* 20836 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20839 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20851
+/* 20843 */   MCD_OPC_CheckPredicate, 0, 82, 77, // Skip to: 40641
+/* 20847 */   MCD_OPC_Decode, 226, 1, 90, // Opcode: CMLEv2i32rz
+/* 20851 */   MCD_OPC_FilterValue, 33, 74, 77, // Skip to: 40641
+/* 20855 */   MCD_OPC_CheckPredicate, 0, 70, 77, // Skip to: 40641
+/* 20859 */   MCD_OPC_Decode, 159, 5, 90, // Opcode: FRINTIv2f32
+/* 20863 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 20894
+/* 20867 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20870 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20882
+/* 20874 */   MCD_OPC_CheckPredicate, 0, 51, 77, // Skip to: 40641
+/* 20878 */   MCD_OPC_Decode, 171, 1, 117, // Opcode: CMEQv4i32rz
+/* 20882 */   MCD_OPC_FilterValue, 33, 43, 77, // Skip to: 40641
+/* 20886 */   MCD_OPC_CheckPredicate, 0, 39, 77, // Skip to: 40641
+/* 20890 */   MCD_OPC_Decode, 186, 5, 117, // Opcode: FRINTZv4f32
+/* 20894 */   MCD_OPC_FilterValue, 3, 31, 77, // Skip to: 40641
+/* 20898 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 20901 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 20913
+/* 20905 */   MCD_OPC_CheckPredicate, 0, 20, 77, // Skip to: 40641
+/* 20909 */   MCD_OPC_Decode, 229, 1, 117, // Opcode: CMLEv4i32rz
+/* 20913 */   MCD_OPC_FilterValue, 33, 12, 77, // Skip to: 40641
+/* 20917 */   MCD_OPC_CheckPredicate, 0, 8, 77, // Skip to: 40641
+/* 20921 */   MCD_OPC_Decode, 161, 5, 117, // Opcode: FRINTIv4f32
+/* 20925 */   MCD_OPC_FilterValue, 39, 39, 0, // Skip to: 20968
+/* 20929 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20932 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20950
+/* 20936 */   MCD_OPC_CheckPredicate, 0, 245, 76, // Skip to: 40641
+/* 20940 */   MCD_OPC_CheckField, 21, 1, 1, 239, 76, // Skip to: 40641
+/* 20946 */   MCD_OPC_Decode, 232, 8, 89, // Opcode: MULv2i32
+/* 20950 */   MCD_OPC_FilterValue, 2, 231, 76, // Skip to: 40641
+/* 20954 */   MCD_OPC_CheckPredicate, 0, 227, 76, // Skip to: 40641
+/* 20958 */   MCD_OPC_CheckField, 21, 1, 1, 221, 76, // Skip to: 40641
+/* 20964 */   MCD_OPC_Decode, 236, 8, 112, // Opcode: MULv4i32
+/* 20968 */   MCD_OPC_FilterValue, 40, 75, 0, // Skip to: 21047
+/* 20972 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 20975 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 20993
+/* 20979 */   MCD_OPC_CheckPredicate, 0, 202, 76, // Skip to: 40641
+/* 20983 */   MCD_OPC_CheckField, 21, 1, 1, 196, 76, // Skip to: 40641
+/* 20989 */   MCD_OPC_Decode, 252, 10, 105, // Opcode: SMLSLv2i32_v2i64
+/* 20993 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21011
+/* 20997 */   MCD_OPC_CheckPredicate, 0, 184, 76, // Skip to: 40641
+/* 21001 */   MCD_OPC_CheckField, 21, 1, 1, 178, 76, // Skip to: 40641
+/* 21007 */   MCD_OPC_Decode, 243, 16, 105, // Opcode: UMLSLv2i32_v2i64
+/* 21011 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21029
+/* 21015 */   MCD_OPC_CheckPredicate, 0, 166, 76, // Skip to: 40641
+/* 21019 */   MCD_OPC_CheckField, 21, 1, 1, 160, 76, // Skip to: 40641
+/* 21025 */   MCD_OPC_Decode, 128, 11, 120, // Opcode: SMLSLv4i32_v2i64
+/* 21029 */   MCD_OPC_FilterValue, 3, 152, 76, // Skip to: 40641
+/* 21033 */   MCD_OPC_CheckPredicate, 0, 148, 76, // Skip to: 40641
+/* 21037 */   MCD_OPC_CheckField, 21, 1, 1, 142, 76, // Skip to: 40641
+/* 21043 */   MCD_OPC_Decode, 247, 16, 120, // Opcode: UMLSLv4i32_v2i64
+/* 21047 */   MCD_OPC_FilterValue, 41, 75, 0, // Skip to: 21126
+/* 21051 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21054 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21072
+/* 21058 */   MCD_OPC_CheckPredicate, 0, 123, 76, // Skip to: 40641
+/* 21062 */   MCD_OPC_CheckField, 21, 1, 1, 117, 76, // Skip to: 40641
+/* 21068 */   MCD_OPC_Decode, 206, 10, 89, // Opcode: SMAXPv2i32
+/* 21072 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21090
+/* 21076 */   MCD_OPC_CheckPredicate, 0, 105, 76, // Skip to: 40641
+/* 21080 */   MCD_OPC_CheckField, 21, 1, 1, 99, 76, // Skip to: 40641
+/* 21086 */   MCD_OPC_Decode, 198, 16, 89, // Opcode: UMAXPv2i32
+/* 21090 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21108
+/* 21094 */   MCD_OPC_CheckPredicate, 0, 87, 76, // Skip to: 40641
+/* 21098 */   MCD_OPC_CheckField, 21, 1, 1, 81, 76, // Skip to: 40641
+/* 21104 */   MCD_OPC_Decode, 208, 10, 112, // Opcode: SMAXPv4i32
+/* 21108 */   MCD_OPC_FilterValue, 3, 73, 76, // Skip to: 40641
+/* 21112 */   MCD_OPC_CheckPredicate, 0, 69, 76, // Skip to: 40641
+/* 21116 */   MCD_OPC_CheckField, 21, 1, 1, 63, 76, // Skip to: 40641
+/* 21122 */   MCD_OPC_Decode, 200, 16, 112, // Opcode: UMAXPv4i32
+/* 21126 */   MCD_OPC_FilterValue, 42, 155, 0, // Skip to: 21285
+/* 21130 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21133 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 21164
+/* 21137 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21140 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 21152
+/* 21144 */   MCD_OPC_CheckPredicate, 0, 37, 76, // Skip to: 40641
+/* 21148 */   MCD_OPC_Decode, 234, 1, 90, // Opcode: CMLTv2i32rz
+/* 21152 */   MCD_OPC_FilterValue, 2, 29, 76, // Skip to: 40641
+/* 21156 */   MCD_OPC_CheckPredicate, 0, 25, 76, // Skip to: 40641
+/* 21160 */   MCD_OPC_Decode, 237, 1, 117, // Opcode: CMLTv4i32rz
+/* 21164 */   MCD_OPC_FilterValue, 33, 51, 0, // Skip to: 21219
+/* 21168 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21171 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 21183
+/* 21175 */   MCD_OPC_CheckPredicate, 0, 6, 76, // Skip to: 40641
+/* 21179 */   MCD_OPC_Decode, 208, 3, 90, // Opcode: FCVTPSv2f32
+/* 21183 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 21195
+/* 21187 */   MCD_OPC_CheckPredicate, 0, 250, 75, // Skip to: 40641
+/* 21191 */   MCD_OPC_Decode, 217, 3, 90, // Opcode: FCVTPUv2f32
+/* 21195 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 21207
+/* 21199 */   MCD_OPC_CheckPredicate, 0, 238, 75, // Skip to: 40641
+/* 21203 */   MCD_OPC_Decode, 210, 3, 117, // Opcode: FCVTPSv4f32
+/* 21207 */   MCD_OPC_FilterValue, 3, 230, 75, // Skip to: 40641
+/* 21211 */   MCD_OPC_CheckPredicate, 0, 226, 75, // Skip to: 40641
+/* 21215 */   MCD_OPC_Decode, 219, 3, 117, // Opcode: FCVTPUv4f32
+/* 21219 */   MCD_OPC_FilterValue, 48, 29, 0, // Skip to: 21252
+/* 21223 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21226 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 21239
+/* 21230 */   MCD_OPC_CheckPredicate, 0, 207, 75, // Skip to: 40641
+/* 21234 */   MCD_OPC_Decode, 213, 10, 139, 1, // Opcode: SMAXVv4i32v
+/* 21239 */   MCD_OPC_FilterValue, 3, 198, 75, // Skip to: 40641
+/* 21243 */   MCD_OPC_CheckPredicate, 0, 194, 75, // Skip to: 40641
+/* 21247 */   MCD_OPC_Decode, 205, 16, 139, 1, // Opcode: UMAXVv4i32v
+/* 21252 */   MCD_OPC_FilterValue, 49, 185, 75, // Skip to: 40641
+/* 21256 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21259 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 21272
+/* 21263 */   MCD_OPC_CheckPredicate, 0, 174, 75, // Skip to: 40641
+/* 21267 */   MCD_OPC_Decode, 231, 10, 139, 1, // Opcode: SMINVv4i32v
+/* 21272 */   MCD_OPC_FilterValue, 3, 165, 75, // Skip to: 40641
+/* 21276 */   MCD_OPC_CheckPredicate, 0, 161, 75, // Skip to: 40641
+/* 21280 */   MCD_OPC_Decode, 222, 16, 139, 1, // Opcode: UMINVv4i32v
+/* 21285 */   MCD_OPC_FilterValue, 43, 75, 0, // Skip to: 21364
+/* 21289 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21292 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21310
+/* 21296 */   MCD_OPC_CheckPredicate, 0, 141, 75, // Skip to: 40641
+/* 21300 */   MCD_OPC_CheckField, 21, 1, 1, 135, 75, // Skip to: 40641
+/* 21306 */   MCD_OPC_Decode, 224, 10, 89, // Opcode: SMINPv2i32
+/* 21310 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21328
+/* 21314 */   MCD_OPC_CheckPredicate, 0, 123, 75, // Skip to: 40641
+/* 21318 */   MCD_OPC_CheckField, 21, 1, 1, 117, 75, // Skip to: 40641
+/* 21324 */   MCD_OPC_Decode, 215, 16, 89, // Opcode: UMINPv2i32
+/* 21328 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21346
+/* 21332 */   MCD_OPC_CheckPredicate, 0, 105, 75, // Skip to: 40641
+/* 21336 */   MCD_OPC_CheckField, 21, 1, 1, 99, 75, // Skip to: 40641
+/* 21342 */   MCD_OPC_Decode, 226, 10, 112, // Opcode: SMINPv4i32
+/* 21346 */   MCD_OPC_FilterValue, 3, 91, 75, // Skip to: 40641
+/* 21350 */   MCD_OPC_CheckPredicate, 0, 87, 75, // Skip to: 40641
+/* 21354 */   MCD_OPC_CheckField, 21, 1, 1, 81, 75, // Skip to: 40641
+/* 21360 */   MCD_OPC_Decode, 217, 16, 112, // Opcode: UMINPv4i32
+/* 21364 */   MCD_OPC_FilterValue, 44, 39, 0, // Skip to: 21407
+/* 21368 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21371 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21389
+/* 21375 */   MCD_OPC_CheckPredicate, 0, 62, 75, // Skip to: 40641
+/* 21379 */   MCD_OPC_CheckField, 21, 1, 1, 56, 75, // Skip to: 40641
+/* 21385 */   MCD_OPC_Decode, 188, 11, 105, // Opcode: SQDMLSLv2i32_v2i64
+/* 21389 */   MCD_OPC_FilterValue, 2, 48, 75, // Skip to: 40641
+/* 21393 */   MCD_OPC_CheckPredicate, 0, 44, 75, // Skip to: 40641
+/* 21397 */   MCD_OPC_CheckField, 21, 1, 1, 38, 75, // Skip to: 40641
+/* 21403 */   MCD_OPC_Decode, 192, 11, 120, // Opcode: SQDMLSLv4i32_v2i64
+/* 21407 */   MCD_OPC_FilterValue, 45, 75, 0, // Skip to: 21486
+/* 21411 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21414 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21432
+/* 21418 */   MCD_OPC_CheckPredicate, 0, 19, 75, // Skip to: 40641
+/* 21422 */   MCD_OPC_CheckField, 21, 1, 1, 13, 75, // Skip to: 40641
+/* 21428 */   MCD_OPC_Decode, 199, 11, 89, // Opcode: SQDMULHv2i32
+/* 21432 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21450
+/* 21436 */   MCD_OPC_CheckPredicate, 0, 1, 75, // Skip to: 40641
+/* 21440 */   MCD_OPC_CheckField, 21, 1, 1, 251, 74, // Skip to: 40641
+/* 21446 */   MCD_OPC_Decode, 234, 11, 89, // Opcode: SQRDMULHv2i32
+/* 21450 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21468
+/* 21454 */   MCD_OPC_CheckPredicate, 0, 239, 74, // Skip to: 40641
+/* 21458 */   MCD_OPC_CheckField, 21, 1, 1, 233, 74, // Skip to: 40641
+/* 21464 */   MCD_OPC_Decode, 203, 11, 112, // Opcode: SQDMULHv4i32
+/* 21468 */   MCD_OPC_FilterValue, 3, 225, 74, // Skip to: 40641
+/* 21472 */   MCD_OPC_CheckPredicate, 0, 221, 74, // Skip to: 40641
+/* 21476 */   MCD_OPC_CheckField, 21, 1, 1, 215, 74, // Skip to: 40641
+/* 21482 */   MCD_OPC_Decode, 238, 11, 112, // Opcode: SQRDMULHv4i32
+/* 21486 */   MCD_OPC_FilterValue, 46, 137, 0, // Skip to: 21627
+/* 21490 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21493 */   MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 21523
+/* 21497 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21500 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 21511
+/* 21504 */   MCD_OPC_CheckPredicate, 0, 189, 74, // Skip to: 40641
+/* 21508 */   MCD_OPC_Decode, 24, 90, // Opcode: ABSv2i32
+/* 21511 */   MCD_OPC_FilterValue, 33, 182, 74, // Skip to: 40641
+/* 21515 */   MCD_OPC_CheckPredicate, 0, 178, 74, // Skip to: 40641
+/* 21519 */   MCD_OPC_Decode, 248, 3, 90, // Opcode: FCVTZSv2f32
+/* 21523 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 21554
+/* 21527 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21530 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21542
+/* 21534 */   MCD_OPC_CheckPredicate, 0, 159, 74, // Skip to: 40641
+/* 21538 */   MCD_OPC_Decode, 249, 8, 90, // Opcode: NEGv2i32
+/* 21542 */   MCD_OPC_FilterValue, 33, 151, 74, // Skip to: 40641
+/* 21546 */   MCD_OPC_CheckPredicate, 0, 147, 74, // Skip to: 40641
+/* 21550 */   MCD_OPC_Decode, 149, 4, 90, // Opcode: FCVTZUv2f32
+/* 21554 */   MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 21596
+/* 21558 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21561 */   MCD_OPC_FilterValue, 32, 7, 0, // Skip to: 21572
+/* 21565 */   MCD_OPC_CheckPredicate, 0, 128, 74, // Skip to: 40641
+/* 21569 */   MCD_OPC_Decode, 27, 117, // Opcode: ABSv4i32
+/* 21572 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 21584
+/* 21576 */   MCD_OPC_CheckPredicate, 0, 117, 74, // Skip to: 40641
+/* 21580 */   MCD_OPC_Decode, 252, 3, 117, // Opcode: FCVTZSv4f32
+/* 21584 */   MCD_OPC_FilterValue, 49, 109, 74, // Skip to: 40641
+/* 21588 */   MCD_OPC_CheckPredicate, 0, 105, 74, // Skip to: 40641
+/* 21592 */   MCD_OPC_Decode, 59, 139, 1, // Opcode: ADDVv4i32v
+/* 21596 */   MCD_OPC_FilterValue, 3, 97, 74, // Skip to: 40641
+/* 21600 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21603 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21615
+/* 21607 */   MCD_OPC_CheckPredicate, 0, 86, 74, // Skip to: 40641
+/* 21611 */   MCD_OPC_Decode, 252, 8, 117, // Opcode: NEGv4i32
+/* 21615 */   MCD_OPC_FilterValue, 33, 78, 74, // Skip to: 40641
+/* 21619 */   MCD_OPC_CheckPredicate, 0, 74, 74, // Skip to: 40641
+/* 21623 */   MCD_OPC_Decode, 153, 4, 117, // Opcode: FCVTZUv4f32
+/* 21627 */   MCD_OPC_FilterValue, 47, 37, 0, // Skip to: 21668
+/* 21631 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21634 */   MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 21651
+/* 21638 */   MCD_OPC_CheckPredicate, 0, 55, 74, // Skip to: 40641
+/* 21642 */   MCD_OPC_CheckField, 21, 1, 1, 49, 74, // Skip to: 40641
+/* 21648 */   MCD_OPC_Decode, 41, 89, // Opcode: ADDPv2i32
+/* 21651 */   MCD_OPC_FilterValue, 2, 42, 74, // Skip to: 40641
+/* 21655 */   MCD_OPC_CheckPredicate, 0, 38, 74, // Skip to: 40641
+/* 21659 */   MCD_OPC_CheckField, 21, 1, 1, 32, 74, // Skip to: 40641
+/* 21665 */   MCD_OPC_Decode, 45, 112, // Opcode: ADDPv4i32
+/* 21668 */   MCD_OPC_FilterValue, 48, 75, 0, // Skip to: 21747
+/* 21672 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21675 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21693
+/* 21679 */   MCD_OPC_CheckPredicate, 0, 14, 74, // Skip to: 40641
+/* 21683 */   MCD_OPC_CheckField, 21, 1, 1, 8, 74, // Skip to: 40641
+/* 21689 */   MCD_OPC_Decode, 141, 11, 85, // Opcode: SMULLv2i32_v2i64
+/* 21693 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21711
+/* 21697 */   MCD_OPC_CheckPredicate, 0, 252, 73, // Skip to: 40641
+/* 21701 */   MCD_OPC_CheckField, 21, 1, 1, 246, 73, // Skip to: 40641
+/* 21707 */   MCD_OPC_Decode, 131, 17, 85, // Opcode: UMULLv2i32_v2i64
+/* 21711 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21729
+/* 21715 */   MCD_OPC_CheckPredicate, 0, 234, 73, // Skip to: 40641
+/* 21719 */   MCD_OPC_CheckField, 21, 1, 1, 228, 73, // Skip to: 40641
+/* 21725 */   MCD_OPC_Decode, 145, 11, 112, // Opcode: SMULLv4i32_v2i64
+/* 21729 */   MCD_OPC_FilterValue, 3, 220, 73, // Skip to: 40641
+/* 21733 */   MCD_OPC_CheckPredicate, 0, 216, 73, // Skip to: 40641
+/* 21737 */   MCD_OPC_CheckField, 21, 1, 1, 210, 73, // Skip to: 40641
+/* 21743 */   MCD_OPC_Decode, 135, 17, 112, // Opcode: UMULLv4i32_v2i64
+/* 21747 */   MCD_OPC_FilterValue, 49, 75, 0, // Skip to: 21826
+/* 21751 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21754 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21772
+/* 21758 */   MCD_OPC_CheckPredicate, 0, 191, 73, // Skip to: 40641
+/* 21762 */   MCD_OPC_CheckField, 21, 1, 1, 185, 73, // Skip to: 40641
+/* 21768 */   MCD_OPC_Decode, 193, 4, 89, // Opcode: FMINNMv2f32
+/* 21772 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 21790
+/* 21776 */   MCD_OPC_CheckPredicate, 0, 173, 73, // Skip to: 40641
+/* 21780 */   MCD_OPC_CheckField, 21, 1, 1, 167, 73, // Skip to: 40641
+/* 21786 */   MCD_OPC_Decode, 186, 4, 89, // Opcode: FMINNMPv2f32
+/* 21790 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 21808
+/* 21794 */   MCD_OPC_CheckPredicate, 0, 155, 73, // Skip to: 40641
+/* 21798 */   MCD_OPC_CheckField, 21, 1, 1, 149, 73, // Skip to: 40641
+/* 21804 */   MCD_OPC_Decode, 195, 4, 112, // Opcode: FMINNMv4f32
+/* 21808 */   MCD_OPC_FilterValue, 3, 141, 73, // Skip to: 40641
+/* 21812 */   MCD_OPC_CheckPredicate, 0, 137, 73, // Skip to: 40641
+/* 21816 */   MCD_OPC_CheckField, 21, 1, 1, 131, 73, // Skip to: 40641
+/* 21822 */   MCD_OPC_Decode, 190, 4, 112, // Opcode: FMINNMPv4f32
+/* 21826 */   MCD_OPC_FilterValue, 50, 140, 0, // Skip to: 21970
+/* 21830 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21833 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 21864
+/* 21837 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21840 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21852
+/* 21844 */   MCD_OPC_CheckPredicate, 0, 105, 73, // Skip to: 40641
+/* 21848 */   MCD_OPC_Decode, 240, 2, 90, // Opcode: FCMGTv2i32rz
+/* 21852 */   MCD_OPC_FilterValue, 33, 97, 73, // Skip to: 40641
+/* 21856 */   MCD_OPC_CheckPredicate, 0, 93, 73, // Skip to: 40641
+/* 21860 */   MCD_OPC_Decode, 221, 17, 90, // Opcode: URECPEv2i32
+/* 21864 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 21895
+/* 21868 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21871 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21883
+/* 21875 */   MCD_OPC_CheckPredicate, 0, 74, 73, // Skip to: 40641
+/* 21879 */   MCD_OPC_Decode, 230, 2, 90, // Opcode: FCMGEv2i32rz
+/* 21883 */   MCD_OPC_FilterValue, 33, 66, 73, // Skip to: 40641
+/* 21887 */   MCD_OPC_CheckPredicate, 0, 62, 73, // Skip to: 40641
+/* 21891 */   MCD_OPC_Decode, 245, 17, 90, // Opcode: URSQRTEv2i32
+/* 21895 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 21926
+/* 21899 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21902 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21914
+/* 21906 */   MCD_OPC_CheckPredicate, 0, 43, 73, // Skip to: 40641
+/* 21910 */   MCD_OPC_Decode, 243, 2, 117, // Opcode: FCMGTv4i32rz
+/* 21914 */   MCD_OPC_FilterValue, 33, 35, 73, // Skip to: 40641
+/* 21918 */   MCD_OPC_CheckPredicate, 0, 31, 73, // Skip to: 40641
+/* 21922 */   MCD_OPC_Decode, 222, 17, 117, // Opcode: URECPEv4i32
+/* 21926 */   MCD_OPC_FilterValue, 3, 23, 73, // Skip to: 40641
+/* 21930 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 21933 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 21945
+/* 21937 */   MCD_OPC_CheckPredicate, 0, 12, 73, // Skip to: 40641
+/* 21941 */   MCD_OPC_Decode, 233, 2, 117, // Opcode: FCMGEv4i32rz
+/* 21945 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 21957
+/* 21949 */   MCD_OPC_CheckPredicate, 0, 0, 73, // Skip to: 40641
+/* 21953 */   MCD_OPC_Decode, 246, 17, 117, // Opcode: URSQRTEv4i32
+/* 21957 */   MCD_OPC_FilterValue, 48, 248, 72, // Skip to: 40641
+/* 21961 */   MCD_OPC_CheckPredicate, 0, 244, 72, // Skip to: 40641
+/* 21965 */   MCD_OPC_Decode, 192, 4, 139, 1, // Opcode: FMINNMVv4i32v
+/* 21970 */   MCD_OPC_FilterValue, 51, 39, 0, // Skip to: 22013
+/* 21974 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 21977 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 21995
+/* 21981 */   MCD_OPC_CheckPredicate, 0, 224, 72, // Skip to: 40641
+/* 21985 */   MCD_OPC_CheckField, 21, 1, 1, 218, 72, // Skip to: 40641
+/* 21991 */   MCD_OPC_Decode, 216, 4, 109, // Opcode: FMLSv2f32
+/* 21995 */   MCD_OPC_FilterValue, 2, 210, 72, // Skip to: 40641
+/* 21999 */   MCD_OPC_CheckPredicate, 0, 206, 72, // Skip to: 40641
+/* 22003 */   MCD_OPC_CheckField, 21, 1, 1, 200, 72, // Skip to: 40641
+/* 22009 */   MCD_OPC_Decode, 220, 4, 120, // Opcode: FMLSv4f32
+/* 22013 */   MCD_OPC_FilterValue, 52, 39, 0, // Skip to: 22056
+/* 22017 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22020 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22038
+/* 22024 */   MCD_OPC_CheckPredicate, 0, 181, 72, // Skip to: 40641
+/* 22028 */   MCD_OPC_CheckField, 21, 1, 1, 175, 72, // Skip to: 40641
+/* 22034 */   MCD_OPC_Decode, 212, 11, 85, // Opcode: SQDMULLv2i32_v2i64
+/* 22038 */   MCD_OPC_FilterValue, 2, 167, 72, // Skip to: 40641
+/* 22042 */   MCD_OPC_CheckPredicate, 0, 163, 72, // Skip to: 40641
+/* 22046 */   MCD_OPC_CheckField, 21, 1, 1, 157, 72, // Skip to: 40641
+/* 22052 */   MCD_OPC_Decode, 216, 11, 112, // Opcode: SQDMULLv4i32_v2i64
+/* 22056 */   MCD_OPC_FilterValue, 53, 75, 0, // Skip to: 22135
+/* 22060 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22063 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22081
+/* 22067 */   MCD_OPC_CheckPredicate, 0, 138, 72, // Skip to: 40641
+/* 22071 */   MCD_OPC_CheckField, 21, 1, 1, 132, 72, // Skip to: 40641
+/* 22077 */   MCD_OPC_Decode, 204, 5, 89, // Opcode: FSUBv2f32
+/* 22081 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22099
+/* 22085 */   MCD_OPC_CheckPredicate, 0, 120, 72, // Skip to: 40641
+/* 22089 */   MCD_OPC_CheckField, 21, 1, 1, 114, 72, // Skip to: 40641
+/* 22095 */   MCD_OPC_Decode, 182, 2, 89, // Opcode: FABDv2f32
+/* 22099 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22117
+/* 22103 */   MCD_OPC_CheckPredicate, 0, 102, 72, // Skip to: 40641
+/* 22107 */   MCD_OPC_CheckField, 21, 1, 1, 96, 72, // Skip to: 40641
+/* 22113 */   MCD_OPC_Decode, 206, 5, 112, // Opcode: FSUBv4f32
+/* 22117 */   MCD_OPC_FilterValue, 3, 88, 72, // Skip to: 40641
+/* 22121 */   MCD_OPC_CheckPredicate, 0, 84, 72, // Skip to: 40641
+/* 22125 */   MCD_OPC_CheckField, 21, 1, 1, 78, 72, // Skip to: 40641
+/* 22131 */   MCD_OPC_Decode, 184, 2, 112, // Opcode: FABDv4f32
+/* 22135 */   MCD_OPC_FilterValue, 54, 127, 0, // Skip to: 22266
+/* 22139 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22142 */   MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 22173
+/* 22146 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22149 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22161
+/* 22153 */   MCD_OPC_CheckPredicate, 0, 52, 72, // Skip to: 40641
+/* 22157 */   MCD_OPC_Decode, 220, 2, 90, // Opcode: FCMEQv2i32rz
+/* 22161 */   MCD_OPC_FilterValue, 33, 44, 72, // Skip to: 40641
+/* 22165 */   MCD_OPC_CheckPredicate, 0, 40, 72, // Skip to: 40641
+/* 22169 */   MCD_OPC_Decode, 142, 5, 90, // Opcode: FRECPEv2f32
+/* 22173 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 22204
+/* 22177 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22180 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22192
+/* 22184 */   MCD_OPC_CheckPredicate, 0, 21, 72, // Skip to: 40641
+/* 22188 */   MCD_OPC_Decode, 246, 2, 90, // Opcode: FCMLEv2i32rz
+/* 22192 */   MCD_OPC_FilterValue, 33, 13, 72, // Skip to: 40641
+/* 22196 */   MCD_OPC_CheckPredicate, 0, 9, 72, // Skip to: 40641
+/* 22200 */   MCD_OPC_Decode, 189, 5, 90, // Opcode: FRSQRTEv2f32
+/* 22204 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 22235
+/* 22208 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22211 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22223
+/* 22215 */   MCD_OPC_CheckPredicate, 0, 246, 71, // Skip to: 40641
+/* 22219 */   MCD_OPC_Decode, 223, 2, 117, // Opcode: FCMEQv4i32rz
+/* 22223 */   MCD_OPC_FilterValue, 33, 238, 71, // Skip to: 40641
+/* 22227 */   MCD_OPC_CheckPredicate, 0, 234, 71, // Skip to: 40641
+/* 22231 */   MCD_OPC_Decode, 144, 5, 117, // Opcode: FRECPEv4f32
+/* 22235 */   MCD_OPC_FilterValue, 3, 226, 71, // Skip to: 40641
+/* 22239 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22242 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22254
+/* 22246 */   MCD_OPC_CheckPredicate, 0, 215, 71, // Skip to: 40641
+/* 22250 */   MCD_OPC_Decode, 248, 2, 117, // Opcode: FCMLEv4i32rz
+/* 22254 */   MCD_OPC_FilterValue, 33, 207, 71, // Skip to: 40641
+/* 22258 */   MCD_OPC_CheckPredicate, 0, 203, 71, // Skip to: 40641
+/* 22262 */   MCD_OPC_Decode, 191, 5, 117, // Opcode: FRSQRTEv4f32
+/* 22266 */   MCD_OPC_FilterValue, 57, 39, 0, // Skip to: 22309
+/* 22270 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22273 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22291
+/* 22277 */   MCD_OPC_CheckPredicate, 0, 184, 71, // Skip to: 40641
+/* 22281 */   MCD_OPC_CheckField, 21, 1, 1, 178, 71, // Skip to: 40641
+/* 22287 */   MCD_OPC_Decode, 238, 2, 89, // Opcode: FCMGTv2f32
+/* 22291 */   MCD_OPC_FilterValue, 3, 170, 71, // Skip to: 40641
+/* 22295 */   MCD_OPC_CheckPredicate, 0, 166, 71, // Skip to: 40641
+/* 22299 */   MCD_OPC_CheckField, 21, 1, 1, 160, 71, // Skip to: 40641
+/* 22305 */   MCD_OPC_Decode, 242, 2, 112, // Opcode: FCMGTv4f32
+/* 22309 */   MCD_OPC_FilterValue, 58, 39, 0, // Skip to: 22352
+/* 22313 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22316 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22334
+/* 22320 */   MCD_OPC_CheckPredicate, 0, 141, 71, // Skip to: 40641
+/* 22324 */   MCD_OPC_CheckField, 16, 6, 32, 135, 71, // Skip to: 40641
+/* 22330 */   MCD_OPC_Decode, 251, 2, 90, // Opcode: FCMLTv2i32rz
+/* 22334 */   MCD_OPC_FilterValue, 2, 127, 71, // Skip to: 40641
+/* 22338 */   MCD_OPC_CheckPredicate, 0, 123, 71, // Skip to: 40641
+/* 22342 */   MCD_OPC_CheckField, 16, 6, 32, 117, 71, // Skip to: 40641
+/* 22348 */   MCD_OPC_Decode, 253, 2, 117, // Opcode: FCMLTv4i32rz
+/* 22352 */   MCD_OPC_FilterValue, 59, 39, 0, // Skip to: 22395
+/* 22356 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22359 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22377
+/* 22363 */   MCD_OPC_CheckPredicate, 0, 98, 71, // Skip to: 40641
+/* 22367 */   MCD_OPC_CheckField, 21, 1, 1, 92, 71, // Skip to: 40641
+/* 22373 */   MCD_OPC_Decode, 197, 2, 89, // Opcode: FACGTv2f32
+/* 22377 */   MCD_OPC_FilterValue, 3, 84, 71, // Skip to: 40641
+/* 22381 */   MCD_OPC_CheckPredicate, 0, 80, 71, // Skip to: 40641
+/* 22385 */   MCD_OPC_CheckField, 21, 1, 1, 74, 71, // Skip to: 40641
+/* 22391 */   MCD_OPC_Decode, 199, 2, 112, // Opcode: FACGTv4f32
+/* 22395 */   MCD_OPC_FilterValue, 61, 75, 0, // Skip to: 22474
+/* 22399 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22402 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22420
+/* 22406 */   MCD_OPC_CheckPredicate, 0, 55, 71, // Skip to: 40641
+/* 22410 */   MCD_OPC_CheckField, 21, 1, 1, 49, 71, // Skip to: 40641
+/* 22416 */   MCD_OPC_Decode, 203, 4, 89, // Opcode: FMINv2f32
+/* 22420 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 22438
+/* 22424 */   MCD_OPC_CheckPredicate, 0, 37, 71, // Skip to: 40641
+/* 22428 */   MCD_OPC_CheckField, 21, 1, 1, 31, 71, // Skip to: 40641
+/* 22434 */   MCD_OPC_Decode, 196, 4, 89, // Opcode: FMINPv2f32
+/* 22438 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22456
+/* 22442 */   MCD_OPC_CheckPredicate, 0, 19, 71, // Skip to: 40641
+/* 22446 */   MCD_OPC_CheckField, 21, 1, 1, 13, 71, // Skip to: 40641
+/* 22452 */   MCD_OPC_Decode, 205, 4, 112, // Opcode: FMINv4f32
+/* 22456 */   MCD_OPC_FilterValue, 3, 5, 71, // Skip to: 40641
+/* 22460 */   MCD_OPC_CheckPredicate, 0, 1, 71, // Skip to: 40641
+/* 22464 */   MCD_OPC_CheckField, 21, 1, 1, 251, 70, // Skip to: 40641
+/* 22470 */   MCD_OPC_Decode, 200, 4, 112, // Opcode: FMINPv4f32
+/* 22474 */   MCD_OPC_FilterValue, 62, 114, 0, // Skip to: 22592
+/* 22478 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22481 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22499
+/* 22485 */   MCD_OPC_CheckPredicate, 0, 232, 70, // Skip to: 40641
+/* 22489 */   MCD_OPC_CheckField, 16, 6, 32, 226, 70, // Skip to: 40641
+/* 22495 */   MCD_OPC_Decode, 187, 2, 90, // Opcode: FABSv2f32
+/* 22499 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 22530
+/* 22503 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22506 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22518
+/* 22510 */   MCD_OPC_CheckPredicate, 0, 207, 70, // Skip to: 40641
+/* 22514 */   MCD_OPC_Decode, 131, 5, 90, // Opcode: FNEGv2f32
+/* 22518 */   MCD_OPC_FilterValue, 33, 199, 70, // Skip to: 40641
+/* 22522 */   MCD_OPC_CheckPredicate, 0, 195, 70, // Skip to: 40641
+/* 22526 */   MCD_OPC_Decode, 199, 5, 90, // Opcode: FSQRTv2f32
+/* 22530 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22548
+/* 22534 */   MCD_OPC_CheckPredicate, 0, 183, 70, // Skip to: 40641
+/* 22538 */   MCD_OPC_CheckField, 16, 6, 32, 177, 70, // Skip to: 40641
+/* 22544 */   MCD_OPC_Decode, 189, 2, 117, // Opcode: FABSv4f32
+/* 22548 */   MCD_OPC_FilterValue, 3, 169, 70, // Skip to: 40641
+/* 22552 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 22555 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 22567
+/* 22559 */   MCD_OPC_CheckPredicate, 0, 158, 70, // Skip to: 40641
+/* 22563 */   MCD_OPC_Decode, 133, 5, 117, // Opcode: FNEGv4f32
+/* 22567 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 22579
+/* 22571 */   MCD_OPC_CheckPredicate, 0, 146, 70, // Skip to: 40641
+/* 22575 */   MCD_OPC_Decode, 201, 5, 117, // Opcode: FSQRTv4f32
+/* 22579 */   MCD_OPC_FilterValue, 48, 138, 70, // Skip to: 40641
+/* 22583 */   MCD_OPC_CheckPredicate, 0, 134, 70, // Skip to: 40641
+/* 22587 */   MCD_OPC_Decode, 202, 4, 139, 1, // Opcode: FMINVv4i32v
+/* 22592 */   MCD_OPC_FilterValue, 63, 125, 70, // Skip to: 40641
+/* 22596 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22599 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22617
+/* 22603 */   MCD_OPC_CheckPredicate, 0, 114, 70, // Skip to: 40641
+/* 22607 */   MCD_OPC_CheckField, 21, 1, 1, 108, 70, // Skip to: 40641
+/* 22613 */   MCD_OPC_Decode, 194, 5, 89, // Opcode: FRSQRTSv2f32
+/* 22617 */   MCD_OPC_FilterValue, 2, 100, 70, // Skip to: 40641
+/* 22621 */   MCD_OPC_CheckPredicate, 0, 96, 70, // Skip to: 40641
+/* 22625 */   MCD_OPC_CheckField, 21, 1, 1, 90, 70, // Skip to: 40641
+/* 22631 */   MCD_OPC_Decode, 196, 5, 112, // Opcode: FRSQRTSv4f32
+/* 22635 */   MCD_OPC_FilterValue, 11, 193, 5, // Skip to: 24112
+/* 22639 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 22642 */   MCD_OPC_FilterValue, 3, 39, 0, // Skip to: 22685
+/* 22646 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22649 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22667
+/* 22653 */   MCD_OPC_CheckPredicate, 0, 64, 70, // Skip to: 40641
+/* 22657 */   MCD_OPC_CheckField, 21, 1, 1, 58, 70, // Skip to: 40641
+/* 22663 */   MCD_OPC_Decode, 166, 11, 112, // Opcode: SQADDv2i64
+/* 22667 */   MCD_OPC_FilterValue, 3, 50, 70, // Skip to: 40641
+/* 22671 */   MCD_OPC_CheckPredicate, 0, 46, 70, // Skip to: 40641
+/* 22675 */   MCD_OPC_CheckField, 21, 1, 1, 40, 70, // Skip to: 40641
+/* 22681 */   MCD_OPC_Decode, 145, 17, 112, // Opcode: UQADDv2i64
+/* 22685 */   MCD_OPC_FilterValue, 6, 20, 0, // Skip to: 22709
+/* 22689 */   MCD_OPC_CheckPredicate, 0, 28, 70, // Skip to: 40641
+/* 22693 */   MCD_OPC_CheckField, 29, 3, 2, 22, 70, // Skip to: 40641
+/* 22699 */   MCD_OPC_CheckField, 21, 1, 0, 16, 70, // Skip to: 40641
+/* 22705 */   MCD_OPC_Decode, 182, 18, 112, // Opcode: UZP1v2i64
+/* 22709 */   MCD_OPC_FilterValue, 7, 73, 0, // Skip to: 22786
+/* 22713 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22716 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22734
+/* 22720 */   MCD_OPC_CheckPredicate, 0, 253, 69, // Skip to: 40641
+/* 22724 */   MCD_OPC_CheckField, 21, 1, 1, 247, 69, // Skip to: 40641
+/* 22730 */   MCD_OPC_Decode, 134, 9, 89, // Opcode: ORNv8i8
+/* 22734 */   MCD_OPC_FilterValue, 1, 13, 0, // Skip to: 22751
+/* 22738 */   MCD_OPC_CheckPredicate, 0, 235, 69, // Skip to: 40641
+/* 22742 */   MCD_OPC_CheckField, 21, 1, 1, 229, 69, // Skip to: 40641
+/* 22748 */   MCD_OPC_Decode, 121, 89, // Opcode: BIFv8i8
+/* 22751 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22769
+/* 22755 */   MCD_OPC_CheckPredicate, 0, 218, 69, // Skip to: 40641
+/* 22759 */   MCD_OPC_CheckField, 21, 1, 1, 212, 69, // Skip to: 40641
+/* 22765 */   MCD_OPC_Decode, 133, 9, 112, // Opcode: ORNv16i8
+/* 22769 */   MCD_OPC_FilterValue, 3, 204, 69, // Skip to: 40641
+/* 22773 */   MCD_OPC_CheckPredicate, 0, 200, 69, // Skip to: 40641
+/* 22777 */   MCD_OPC_CheckField, 21, 1, 1, 194, 69, // Skip to: 40641
+/* 22783 */   MCD_OPC_Decode, 120, 112, // Opcode: BIFv16i8
+/* 22786 */   MCD_OPC_FilterValue, 10, 20, 0, // Skip to: 22810
+/* 22790 */   MCD_OPC_CheckPredicate, 0, 183, 69, // Skip to: 40641
+/* 22794 */   MCD_OPC_CheckField, 29, 3, 2, 177, 69, // Skip to: 40641
+/* 22800 */   MCD_OPC_CheckField, 21, 1, 0, 171, 69, // Skip to: 40641
+/* 22806 */   MCD_OPC_Decode, 223, 15, 112, // Opcode: TRN1v2i64
+/* 22810 */   MCD_OPC_FilterValue, 11, 39, 0, // Skip to: 22853
+/* 22814 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22817 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22835
+/* 22821 */   MCD_OPC_CheckPredicate, 0, 152, 69, // Skip to: 40641
+/* 22825 */   MCD_OPC_CheckField, 21, 1, 1, 146, 69, // Skip to: 40641
+/* 22831 */   MCD_OPC_Decode, 200, 12, 112, // Opcode: SQSUBv2i64
+/* 22835 */   MCD_OPC_FilterValue, 3, 138, 69, // Skip to: 40641
+/* 22839 */   MCD_OPC_CheckPredicate, 0, 134, 69, // Skip to: 40641
+/* 22843 */   MCD_OPC_CheckField, 21, 1, 1, 128, 69, // Skip to: 40641
+/* 22849 */   MCD_OPC_Decode, 207, 17, 112, // Opcode: UQSUBv2i64
+/* 22853 */   MCD_OPC_FilterValue, 13, 39, 0, // Skip to: 22896
+/* 22857 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22860 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22878
+/* 22864 */   MCD_OPC_CheckPredicate, 0, 109, 69, // Skip to: 40641
+/* 22868 */   MCD_OPC_CheckField, 21, 1, 1, 103, 69, // Skip to: 40641
+/* 22874 */   MCD_OPC_Decode, 198, 1, 112, // Opcode: CMGTv2i64
+/* 22878 */   MCD_OPC_FilterValue, 3, 95, 69, // Skip to: 40641
+/* 22882 */   MCD_OPC_CheckPredicate, 0, 91, 69, // Skip to: 40641
+/* 22886 */   MCD_OPC_CheckField, 21, 1, 1, 85, 69, // Skip to: 40641
+/* 22892 */   MCD_OPC_Decode, 211, 1, 112, // Opcode: CMHIv2i64
+/* 22896 */   MCD_OPC_FilterValue, 14, 64, 0, // Skip to: 22964
+/* 22900 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 22903 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 22921
+/* 22907 */   MCD_OPC_CheckPredicate, 0, 66, 69, // Skip to: 40641
+/* 22911 */   MCD_OPC_CheckField, 29, 3, 2, 60, 69, // Skip to: 40641
+/* 22917 */   MCD_OPC_Decode, 202, 18, 112, // Opcode: ZIP1v2i64
+/* 22921 */   MCD_OPC_FilterValue, 1, 52, 69, // Skip to: 40641
+/* 22925 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22928 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22946
+/* 22932 */   MCD_OPC_CheckPredicate, 0, 41, 69, // Skip to: 40641
+/* 22936 */   MCD_OPC_CheckField, 16, 5, 0, 35, 69, // Skip to: 40641
+/* 22942 */   MCD_OPC_Decode, 189, 15, 126, // Opcode: SUQADDv2i64
+/* 22946 */   MCD_OPC_FilterValue, 3, 27, 69, // Skip to: 40641
+/* 22950 */   MCD_OPC_CheckPredicate, 0, 23, 69, // Skip to: 40641
+/* 22954 */   MCD_OPC_CheckField, 16, 5, 0, 17, 69, // Skip to: 40641
+/* 22960 */   MCD_OPC_Decode, 155, 18, 126, // Opcode: USQADDv2i64
+/* 22964 */   MCD_OPC_FilterValue, 15, 39, 0, // Skip to: 23007
+/* 22968 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 22971 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 22989
+/* 22975 */   MCD_OPC_CheckPredicate, 0, 254, 68, // Skip to: 40641
+/* 22979 */   MCD_OPC_CheckField, 21, 1, 1, 248, 68, // Skip to: 40641
+/* 22985 */   MCD_OPC_Decode, 182, 1, 112, // Opcode: CMGEv2i64
+/* 22989 */   MCD_OPC_FilterValue, 3, 240, 68, // Skip to: 40641
+/* 22993 */   MCD_OPC_CheckPredicate, 0, 236, 68, // Skip to: 40641
+/* 22997 */   MCD_OPC_CheckField, 21, 1, 1, 230, 68, // Skip to: 40641
+/* 23003 */   MCD_OPC_Decode, 219, 1, 112, // Opcode: CMHSv2i64
+/* 23007 */   MCD_OPC_FilterValue, 17, 39, 0, // Skip to: 23050
+/* 23011 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23014 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23032
+/* 23018 */   MCD_OPC_CheckPredicate, 0, 211, 68, // Skip to: 40641
+/* 23022 */   MCD_OPC_CheckField, 21, 1, 1, 205, 68, // Skip to: 40641
+/* 23028 */   MCD_OPC_Decode, 142, 13, 112, // Opcode: SSHLv2i64
+/* 23032 */   MCD_OPC_FilterValue, 3, 197, 68, // Skip to: 40641
+/* 23036 */   MCD_OPC_CheckPredicate, 0, 193, 68, // Skip to: 40641
+/* 23040 */   MCD_OPC_CheckField, 21, 1, 1, 187, 68, // Skip to: 40641
+/* 23046 */   MCD_OPC_Decode, 136, 18, 112, // Opcode: USHLv2i64
+/* 23050 */   MCD_OPC_FilterValue, 19, 39, 0, // Skip to: 23093
+/* 23054 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23057 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23075
+/* 23061 */   MCD_OPC_CheckPredicate, 0, 168, 68, // Skip to: 40641
+/* 23065 */   MCD_OPC_CheckField, 21, 1, 1, 162, 68, // Skip to: 40641
+/* 23071 */   MCD_OPC_Decode, 166, 12, 112, // Opcode: SQSHLv2i64
+/* 23075 */   MCD_OPC_FilterValue, 3, 154, 68, // Skip to: 40641
+/* 23079 */   MCD_OPC_CheckPredicate, 0, 150, 68, // Skip to: 40641
+/* 23083 */   MCD_OPC_CheckField, 21, 1, 1, 144, 68, // Skip to: 40641
+/* 23089 */   MCD_OPC_Decode, 182, 17, 112, // Opcode: UQSHLv2i64
+/* 23093 */   MCD_OPC_FilterValue, 21, 39, 0, // Skip to: 23136
+/* 23097 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23100 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23118
+/* 23104 */   MCD_OPC_CheckPredicate, 0, 125, 68, // Skip to: 40641
+/* 23108 */   MCD_OPC_CheckField, 21, 1, 1, 119, 68, // Skip to: 40641
+/* 23114 */   MCD_OPC_Decode, 240, 12, 112, // Opcode: SRSHLv2i64
+/* 23118 */   MCD_OPC_FilterValue, 3, 111, 68, // Skip to: 40641
+/* 23122 */   MCD_OPC_CheckPredicate, 0, 107, 68, // Skip to: 40641
+/* 23126 */   MCD_OPC_CheckField, 21, 1, 1, 101, 68, // Skip to: 40641
+/* 23132 */   MCD_OPC_Decode, 232, 17, 112, // Opcode: URSHLv2i64
+/* 23136 */   MCD_OPC_FilterValue, 22, 20, 0, // Skip to: 23160
+/* 23140 */   MCD_OPC_CheckPredicate, 0, 89, 68, // Skip to: 40641
+/* 23144 */   MCD_OPC_CheckField, 29, 3, 2, 83, 68, // Skip to: 40641
+/* 23150 */   MCD_OPC_CheckField, 21, 1, 0, 77, 68, // Skip to: 40641
+/* 23156 */   MCD_OPC_Decode, 189, 18, 112, // Opcode: UZP2v2i64
+/* 23160 */   MCD_OPC_FilterValue, 23, 39, 0, // Skip to: 23203
+/* 23164 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23167 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23185
+/* 23171 */   MCD_OPC_CheckPredicate, 0, 58, 68, // Skip to: 40641
+/* 23175 */   MCD_OPC_CheckField, 21, 1, 1, 52, 68, // Skip to: 40641
+/* 23181 */   MCD_OPC_Decode, 248, 11, 112, // Opcode: SQRSHLv2i64
+/* 23185 */   MCD_OPC_FilterValue, 3, 44, 68, // Skip to: 40641
+/* 23189 */   MCD_OPC_CheckPredicate, 0, 40, 68, // Skip to: 40641
+/* 23193 */   MCD_OPC_CheckField, 21, 1, 1, 34, 68, // Skip to: 40641
+/* 23199 */   MCD_OPC_Decode, 156, 17, 112, // Opcode: UQRSHLv2i64
+/* 23203 */   MCD_OPC_FilterValue, 26, 20, 0, // Skip to: 23227
+/* 23207 */   MCD_OPC_CheckPredicate, 0, 22, 68, // Skip to: 40641
+/* 23211 */   MCD_OPC_CheckField, 29, 3, 2, 16, 68, // Skip to: 40641
+/* 23217 */   MCD_OPC_CheckField, 21, 1, 0, 10, 68, // Skip to: 40641
+/* 23223 */   MCD_OPC_Decode, 230, 15, 112, // Opcode: TRN2v2i64
+/* 23227 */   MCD_OPC_FilterValue, 30, 64, 0, // Skip to: 23295
+/* 23231 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 23234 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 23252
+/* 23238 */   MCD_OPC_CheckPredicate, 0, 247, 67, // Skip to: 40641
+/* 23242 */   MCD_OPC_CheckField, 29, 3, 2, 241, 67, // Skip to: 40641
+/* 23248 */   MCD_OPC_Decode, 209, 18, 112, // Opcode: ZIP2v2i64
+/* 23252 */   MCD_OPC_FilterValue, 1, 233, 67, // Skip to: 40641
+/* 23256 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23259 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23277
+/* 23263 */   MCD_OPC_CheckPredicate, 0, 222, 67, // Skip to: 40641
+/* 23267 */   MCD_OPC_CheckField, 16, 5, 0, 216, 67, // Skip to: 40641
+/* 23273 */   MCD_OPC_Decode, 155, 11, 117, // Opcode: SQABSv2i64
+/* 23277 */   MCD_OPC_FilterValue, 3, 208, 67, // Skip to: 40641
+/* 23281 */   MCD_OPC_CheckPredicate, 0, 204, 67, // Skip to: 40641
+/* 23285 */   MCD_OPC_CheckField, 16, 5, 0, 198, 67, // Skip to: 40641
+/* 23291 */   MCD_OPC_Decode, 225, 11, 117, // Opcode: SQNEGv2i64
+/* 23295 */   MCD_OPC_FilterValue, 33, 38, 0, // Skip to: 23337
+/* 23299 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23302 */   MCD_OPC_FilterValue, 2, 13, 0, // Skip to: 23319
+/* 23306 */   MCD_OPC_CheckPredicate, 0, 179, 67, // Skip to: 40641
+/* 23310 */   MCD_OPC_CheckField, 21, 1, 1, 173, 67, // Skip to: 40641
+/* 23316 */   MCD_OPC_Decode, 74, 112, // Opcode: ADDv2i64
+/* 23319 */   MCD_OPC_FilterValue, 3, 166, 67, // Skip to: 40641
+/* 23323 */   MCD_OPC_CheckPredicate, 0, 162, 67, // Skip to: 40641
+/* 23327 */   MCD_OPC_CheckField, 21, 1, 1, 156, 67, // Skip to: 40641
+/* 23333 */   MCD_OPC_Decode, 178, 15, 112, // Opcode: SUBv2i64
+/* 23337 */   MCD_OPC_FilterValue, 34, 52, 0, // Skip to: 23393
+/* 23341 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 23344 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23375
+/* 23348 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23351 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23363
+/* 23355 */   MCD_OPC_CheckPredicate, 0, 130, 67, // Skip to: 40641
+/* 23359 */   MCD_OPC_Decode, 199, 1, 117, // Opcode: CMGTv2i64rz
+/* 23363 */   MCD_OPC_FilterValue, 3, 122, 67, // Skip to: 40641
+/* 23367 */   MCD_OPC_CheckPredicate, 0, 118, 67, // Skip to: 40641
+/* 23371 */   MCD_OPC_Decode, 183, 1, 117, // Opcode: CMGEv2i64rz
+/* 23375 */   MCD_OPC_FilterValue, 33, 110, 67, // Skip to: 40641
+/* 23379 */   MCD_OPC_CheckPredicate, 0, 106, 67, // Skip to: 40641
+/* 23383 */   MCD_OPC_CheckField, 29, 3, 2, 100, 67, // Skip to: 40641
+/* 23389 */   MCD_OPC_Decode, 175, 5, 117, // Opcode: FRINTPv2f64
+/* 23393 */   MCD_OPC_FilterValue, 35, 39, 0, // Skip to: 23436
+/* 23397 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23400 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23418
+/* 23404 */   MCD_OPC_CheckPredicate, 0, 81, 67, // Skip to: 40641
+/* 23408 */   MCD_OPC_CheckField, 21, 1, 1, 75, 67, // Skip to: 40641
+/* 23414 */   MCD_OPC_Decode, 243, 1, 112, // Opcode: CMTSTv2i64
+/* 23418 */   MCD_OPC_FilterValue, 3, 67, 67, // Skip to: 40641
+/* 23422 */   MCD_OPC_CheckPredicate, 0, 63, 67, // Skip to: 40641
+/* 23426 */   MCD_OPC_CheckField, 21, 1, 1, 57, 67, // Skip to: 40641
+/* 23432 */   MCD_OPC_Decode, 166, 1, 112, // Opcode: CMEQv2i64
+/* 23436 */   MCD_OPC_FilterValue, 38, 65, 0, // Skip to: 23505
+/* 23440 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 23443 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23474
+/* 23447 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23450 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23462
+/* 23454 */   MCD_OPC_CheckPredicate, 0, 31, 67, // Skip to: 40641
+/* 23458 */   MCD_OPC_Decode, 167, 1, 117, // Opcode: CMEQv2i64rz
+/* 23462 */   MCD_OPC_FilterValue, 3, 23, 67, // Skip to: 40641
+/* 23466 */   MCD_OPC_CheckPredicate, 0, 19, 67, // Skip to: 40641
+/* 23470 */   MCD_OPC_Decode, 227, 1, 117, // Opcode: CMLEv2i64rz
+/* 23474 */   MCD_OPC_FilterValue, 33, 11, 67, // Skip to: 40641
+/* 23478 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23481 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23493
+/* 23485 */   MCD_OPC_CheckPredicate, 0, 0, 67, // Skip to: 40641
+/* 23489 */   MCD_OPC_Decode, 185, 5, 117, // Opcode: FRINTZv2f64
+/* 23493 */   MCD_OPC_FilterValue, 3, 248, 66, // Skip to: 40641
+/* 23497 */   MCD_OPC_CheckPredicate, 0, 244, 66, // Skip to: 40641
+/* 23501 */   MCD_OPC_Decode, 160, 5, 117, // Opcode: FRINTIv2f64
+/* 23505 */   MCD_OPC_FilterValue, 42, 52, 0, // Skip to: 23561
+/* 23509 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 23512 */   MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 23530
+/* 23516 */   MCD_OPC_CheckPredicate, 0, 225, 66, // Skip to: 40641
+/* 23520 */   MCD_OPC_CheckField, 29, 3, 2, 219, 66, // Skip to: 40641
+/* 23526 */   MCD_OPC_Decode, 235, 1, 117, // Opcode: CMLTv2i64rz
+/* 23530 */   MCD_OPC_FilterValue, 33, 211, 66, // Skip to: 40641
+/* 23534 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23537 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23549
+/* 23541 */   MCD_OPC_CheckPredicate, 0, 200, 66, // Skip to: 40641
+/* 23545 */   MCD_OPC_Decode, 209, 3, 117, // Opcode: FCVTPSv2f64
+/* 23549 */   MCD_OPC_FilterValue, 3, 192, 66, // Skip to: 40641
+/* 23553 */   MCD_OPC_CheckPredicate, 0, 188, 66, // Skip to: 40641
+/* 23557 */   MCD_OPC_Decode, 218, 3, 117, // Opcode: FCVTPUv2f64
+/* 23561 */   MCD_OPC_FilterValue, 46, 64, 0, // Skip to: 23629
+/* 23565 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 23568 */   MCD_OPC_FilterValue, 32, 26, 0, // Skip to: 23598
+/* 23572 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23575 */   MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 23586
+/* 23579 */   MCD_OPC_CheckPredicate, 0, 162, 66, // Skip to: 40641
+/* 23583 */   MCD_OPC_Decode, 25, 117, // Opcode: ABSv2i64
+/* 23586 */   MCD_OPC_FilterValue, 3, 155, 66, // Skip to: 40641
+/* 23590 */   MCD_OPC_CheckPredicate, 0, 151, 66, // Skip to: 40641
+/* 23594 */   MCD_OPC_Decode, 250, 8, 117, // Opcode: NEGv2i64
+/* 23598 */   MCD_OPC_FilterValue, 33, 143, 66, // Skip to: 40641
+/* 23602 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23605 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23617
+/* 23609 */   MCD_OPC_CheckPredicate, 0, 132, 66, // Skip to: 40641
+/* 23613 */   MCD_OPC_Decode, 249, 3, 117, // Opcode: FCVTZSv2f64
+/* 23617 */   MCD_OPC_FilterValue, 3, 124, 66, // Skip to: 40641
+/* 23621 */   MCD_OPC_CheckPredicate, 0, 120, 66, // Skip to: 40641
+/* 23625 */   MCD_OPC_Decode, 150, 4, 117, // Opcode: FCVTZUv2f64
+/* 23629 */   MCD_OPC_FilterValue, 47, 19, 0, // Skip to: 23652
+/* 23633 */   MCD_OPC_CheckPredicate, 0, 108, 66, // Skip to: 40641
+/* 23637 */   MCD_OPC_CheckField, 29, 3, 2, 102, 66, // Skip to: 40641
+/* 23643 */   MCD_OPC_CheckField, 21, 1, 1, 96, 66, // Skip to: 40641
+/* 23649 */   MCD_OPC_Decode, 42, 112, // Opcode: ADDPv2i64
+/* 23652 */   MCD_OPC_FilterValue, 49, 39, 0, // Skip to: 23695
+/* 23656 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23659 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23677
+/* 23663 */   MCD_OPC_CheckPredicate, 0, 78, 66, // Skip to: 40641
+/* 23667 */   MCD_OPC_CheckField, 21, 1, 1, 72, 66, // Skip to: 40641
+/* 23673 */   MCD_OPC_Decode, 194, 4, 112, // Opcode: FMINNMv2f64
+/* 23677 */   MCD_OPC_FilterValue, 3, 64, 66, // Skip to: 40641
+/* 23681 */   MCD_OPC_CheckPredicate, 0, 60, 66, // Skip to: 40641
+/* 23685 */   MCD_OPC_CheckField, 21, 1, 1, 54, 66, // Skip to: 40641
+/* 23691 */   MCD_OPC_Decode, 187, 4, 112, // Opcode: FMINNMPv2f64
+/* 23695 */   MCD_OPC_FilterValue, 50, 39, 0, // Skip to: 23738
+/* 23699 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23702 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23720
+/* 23706 */   MCD_OPC_CheckPredicate, 0, 35, 66, // Skip to: 40641
+/* 23710 */   MCD_OPC_CheckField, 16, 6, 32, 29, 66, // Skip to: 40641
+/* 23716 */   MCD_OPC_Decode, 241, 2, 117, // Opcode: FCMGTv2i64rz
+/* 23720 */   MCD_OPC_FilterValue, 3, 21, 66, // Skip to: 40641
+/* 23724 */   MCD_OPC_CheckPredicate, 0, 17, 66, // Skip to: 40641
+/* 23728 */   MCD_OPC_CheckField, 16, 6, 32, 11, 66, // Skip to: 40641
+/* 23734 */   MCD_OPC_Decode, 231, 2, 117, // Opcode: FCMGEv2i64rz
+/* 23738 */   MCD_OPC_FilterValue, 51, 20, 0, // Skip to: 23762
+/* 23742 */   MCD_OPC_CheckPredicate, 0, 255, 65, // Skip to: 40641
+/* 23746 */   MCD_OPC_CheckField, 29, 3, 2, 249, 65, // Skip to: 40641
+/* 23752 */   MCD_OPC_CheckField, 21, 1, 1, 243, 65, // Skip to: 40641
+/* 23758 */   MCD_OPC_Decode, 217, 4, 120, // Opcode: FMLSv2f64
+/* 23762 */   MCD_OPC_FilterValue, 53, 39, 0, // Skip to: 23805
+/* 23766 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23769 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 23787
+/* 23773 */   MCD_OPC_CheckPredicate, 0, 224, 65, // Skip to: 40641
+/* 23777 */   MCD_OPC_CheckField, 21, 1, 1, 218, 65, // Skip to: 40641
+/* 23783 */   MCD_OPC_Decode, 205, 5, 112, // Opcode: FSUBv2f64
+/* 23787 */   MCD_OPC_FilterValue, 3, 210, 65, // Skip to: 40641
+/* 23791 */   MCD_OPC_CheckPredicate, 0, 206, 65, // Skip to: 40641
+/* 23795 */   MCD_OPC_CheckField, 21, 1, 1, 200, 65, // Skip to: 40641
+/* 23801 */   MCD_OPC_Decode, 183, 2, 112, // Opcode: FABDv2f64
+/* 23805 */   MCD_OPC_FilterValue, 54, 65, 0, // Skip to: 23874
+/* 23809 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 23812 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 23843
+/* 23816 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23819 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23831
+/* 23823 */   MCD_OPC_CheckPredicate, 0, 174, 65, // Skip to: 40641
+/* 23827 */   MCD_OPC_Decode, 221, 2, 117, // Opcode: FCMEQv2i64rz
+/* 23831 */   MCD_OPC_FilterValue, 3, 166, 65, // Skip to: 40641
+/* 23835 */   MCD_OPC_CheckPredicate, 0, 162, 65, // Skip to: 40641
+/* 23839 */   MCD_OPC_Decode, 247, 2, 117, // Opcode: FCMLEv2i64rz
+/* 23843 */   MCD_OPC_FilterValue, 33, 154, 65, // Skip to: 40641
+/* 23847 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23850 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 23862
+/* 23854 */   MCD_OPC_CheckPredicate, 0, 143, 65, // Skip to: 40641
+/* 23858 */   MCD_OPC_Decode, 143, 5, 117, // Opcode: FRECPEv2f64
+/* 23862 */   MCD_OPC_FilterValue, 3, 135, 65, // Skip to: 40641
+/* 23866 */   MCD_OPC_CheckPredicate, 0, 131, 65, // Skip to: 40641
+/* 23870 */   MCD_OPC_Decode, 190, 5, 117, // Opcode: FRSQRTEv2f64
+/* 23874 */   MCD_OPC_FilterValue, 56, 39, 0, // Skip to: 23917
+/* 23878 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23881 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 23899
+/* 23885 */   MCD_OPC_CheckPredicate, 1, 112, 65, // Skip to: 40641
+/* 23889 */   MCD_OPC_CheckField, 21, 1, 1, 106, 65, // Skip to: 40641
+/* 23895 */   MCD_OPC_Decode, 148, 9, 85, // Opcode: PMULLv1i64
+/* 23899 */   MCD_OPC_FilterValue, 2, 98, 65, // Skip to: 40641
+/* 23903 */   MCD_OPC_CheckPredicate, 1, 94, 65, // Skip to: 40641
+/* 23907 */   MCD_OPC_CheckField, 21, 1, 1, 88, 65, // Skip to: 40641
+/* 23913 */   MCD_OPC_Decode, 149, 9, 112, // Opcode: PMULLv2i64
+/* 23917 */   MCD_OPC_FilterValue, 57, 20, 0, // Skip to: 23941
+/* 23921 */   MCD_OPC_CheckPredicate, 0, 76, 65, // Skip to: 40641
+/* 23925 */   MCD_OPC_CheckField, 29, 3, 3, 70, 65, // Skip to: 40641
+/* 23931 */   MCD_OPC_CheckField, 21, 1, 1, 64, 65, // Skip to: 40641
+/* 23937 */   MCD_OPC_Decode, 239, 2, 112, // Opcode: FCMGTv2f64
+/* 23941 */   MCD_OPC_FilterValue, 58, 20, 0, // Skip to: 23965
+/* 23945 */   MCD_OPC_CheckPredicate, 0, 52, 65, // Skip to: 40641
+/* 23949 */   MCD_OPC_CheckField, 29, 3, 2, 46, 65, // Skip to: 40641
+/* 23955 */   MCD_OPC_CheckField, 16, 6, 32, 40, 65, // Skip to: 40641
+/* 23961 */   MCD_OPC_Decode, 252, 2, 117, // Opcode: FCMLTv2i64rz
+/* 23965 */   MCD_OPC_FilterValue, 59, 20, 0, // Skip to: 23989
+/* 23969 */   MCD_OPC_CheckPredicate, 0, 28, 65, // Skip to: 40641
+/* 23973 */   MCD_OPC_CheckField, 29, 3, 3, 22, 65, // Skip to: 40641
+/* 23979 */   MCD_OPC_CheckField, 21, 1, 1, 16, 65, // Skip to: 40641
+/* 23985 */   MCD_OPC_Decode, 198, 2, 112, // Opcode: FACGTv2f64
+/* 23989 */   MCD_OPC_FilterValue, 61, 39, 0, // Skip to: 24032
+/* 23993 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 23996 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 24014
+/* 24000 */   MCD_OPC_CheckPredicate, 0, 253, 64, // Skip to: 40641
+/* 24004 */   MCD_OPC_CheckField, 21, 1, 1, 247, 64, // Skip to: 40641
+/* 24010 */   MCD_OPC_Decode, 204, 4, 112, // Opcode: FMINv2f64
+/* 24014 */   MCD_OPC_FilterValue, 3, 239, 64, // Skip to: 40641
+/* 24018 */   MCD_OPC_CheckPredicate, 0, 235, 64, // Skip to: 40641
+/* 24022 */   MCD_OPC_CheckField, 21, 1, 1, 229, 64, // Skip to: 40641
+/* 24028 */   MCD_OPC_Decode, 197, 4, 112, // Opcode: FMINPv2f64
+/* 24032 */   MCD_OPC_FilterValue, 62, 52, 0, // Skip to: 24088
+/* 24036 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 24039 */   MCD_OPC_FilterValue, 32, 27, 0, // Skip to: 24070
+/* 24043 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 24046 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 24058
+/* 24050 */   MCD_OPC_CheckPredicate, 0, 203, 64, // Skip to: 40641
+/* 24054 */   MCD_OPC_Decode, 188, 2, 117, // Opcode: FABSv2f64
+/* 24058 */   MCD_OPC_FilterValue, 3, 195, 64, // Skip to: 40641
+/* 24062 */   MCD_OPC_CheckPredicate, 0, 191, 64, // Skip to: 40641
+/* 24066 */   MCD_OPC_Decode, 132, 5, 117, // Opcode: FNEGv2f64
+/* 24070 */   MCD_OPC_FilterValue, 33, 183, 64, // Skip to: 40641
+/* 24074 */   MCD_OPC_CheckPredicate, 0, 179, 64, // Skip to: 40641
+/* 24078 */   MCD_OPC_CheckField, 29, 3, 3, 173, 64, // Skip to: 40641
+/* 24084 */   MCD_OPC_Decode, 200, 5, 117, // Opcode: FSQRTv2f64
+/* 24088 */   MCD_OPC_FilterValue, 63, 165, 64, // Skip to: 40641
+/* 24092 */   MCD_OPC_CheckPredicate, 0, 161, 64, // Skip to: 40641
+/* 24096 */   MCD_OPC_CheckField, 29, 3, 2, 155, 64, // Skip to: 40641
+/* 24102 */   MCD_OPC_CheckField, 21, 1, 1, 149, 64, // Skip to: 40641
+/* 24108 */   MCD_OPC_Decode, 195, 5, 112, // Opcode: FRSQRTSv2f64
+/* 24112 */   MCD_OPC_FilterValue, 12, 165, 13, // Skip to: 27609
+/* 24116 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 24119 */   MCD_OPC_FilterValue, 0, 66, 3, // Skip to: 24957
+/* 24123 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 24126 */   MCD_OPC_FilterValue, 1, 171, 2, // Skip to: 24813
+/* 24130 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 24133 */   MCD_OPC_FilterValue, 0, 91, 1, // Skip to: 24484
+/* 24137 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 24140 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 24273
+/* 24144 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24147 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 24240
+/* 24151 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24154 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 24207
+/* 24158 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 24161 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24174
+/* 24165 */   MCD_OPC_CheckPredicate, 0, 88, 64, // Skip to: 40641
+/* 24169 */   MCD_OPC_Decode, 205, 8, 145, 1, // Opcode: MOVIv2i32
+/* 24174 */   MCD_OPC_FilterValue, 1, 79, 64, // Skip to: 40641
+/* 24178 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24181 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24194
+/* 24185 */   MCD_OPC_CheckPredicate, 0, 68, 64, // Skip to: 40641
+/* 24189 */   MCD_OPC_Decode, 154, 13, 146, 1, // Opcode: SSHRv8i8_shift
+/* 24194 */   MCD_OPC_FilterValue, 1, 59, 64, // Skip to: 40641
+/* 24198 */   MCD_OPC_CheckPredicate, 0, 55, 64, // Skip to: 40641
+/* 24202 */   MCD_OPC_Decode, 252, 12, 146, 1, // Opcode: SRSHRv8i8_shift
+/* 24207 */   MCD_OPC_FilterValue, 1, 46, 64, // Skip to: 40641
+/* 24211 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24214 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24227
+/* 24218 */   MCD_OPC_CheckPredicate, 0, 35, 64, // Skip to: 40641
+/* 24222 */   MCD_OPC_Decode, 151, 13, 147, 1, // Opcode: SSHRv4i16_shift
+/* 24227 */   MCD_OPC_FilterValue, 1, 26, 64, // Skip to: 40641
+/* 24231 */   MCD_OPC_CheckPredicate, 0, 22, 64, // Skip to: 40641
+/* 24235 */   MCD_OPC_Decode, 249, 12, 147, 1, // Opcode: SRSHRv4i16_shift
+/* 24240 */   MCD_OPC_FilterValue, 1, 13, 64, // Skip to: 40641
+/* 24244 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24247 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24260
+/* 24251 */   MCD_OPC_CheckPredicate, 0, 2, 64, // Skip to: 40641
+/* 24255 */   MCD_OPC_Decode, 149, 13, 148, 1, // Opcode: SSHRv2i32_shift
+/* 24260 */   MCD_OPC_FilterValue, 1, 249, 63, // Skip to: 40641
+/* 24264 */   MCD_OPC_CheckPredicate, 0, 245, 63, // Skip to: 40641
+/* 24268 */   MCD_OPC_Decode, 247, 12, 148, 1, // Opcode: SRSHRv2i32_shift
+/* 24273 */   MCD_OPC_FilterValue, 1, 236, 63, // Skip to: 40641
+/* 24277 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24280 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 24425
+/* 24284 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24287 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 24366
+/* 24291 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 24294 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24307
+/* 24298 */   MCD_OPC_CheckPredicate, 0, 211, 63, // Skip to: 40641
+/* 24302 */   MCD_OPC_Decode, 142, 9, 149, 1, // Opcode: ORRv2i32
+/* 24307 */   MCD_OPC_FilterValue, 1, 202, 63, // Skip to: 40641
+/* 24311 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24314 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24327
+/* 24318 */   MCD_OPC_CheckPredicate, 0, 191, 63, // Skip to: 40641
+/* 24322 */   MCD_OPC_Decode, 162, 13, 150, 1, // Opcode: SSRAv8i8_shift
+/* 24327 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24340
+/* 24331 */   MCD_OPC_CheckPredicate, 0, 178, 63, // Skip to: 40641
+/* 24335 */   MCD_OPC_Decode, 132, 13, 150, 1, // Opcode: SRSRAv8i8_shift
+/* 24340 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24353
+/* 24344 */   MCD_OPC_CheckPredicate, 0, 165, 63, // Skip to: 40641
+/* 24348 */   MCD_OPC_Decode, 183, 10, 151, 1, // Opcode: SHLv8i8_shift
+/* 24353 */   MCD_OPC_FilterValue, 3, 156, 63, // Skip to: 40641
+/* 24357 */   MCD_OPC_CheckPredicate, 0, 152, 63, // Skip to: 40641
+/* 24361 */   MCD_OPC_Decode, 175, 12, 151, 1, // Opcode: SQSHLv8i8_shift
+/* 24366 */   MCD_OPC_FilterValue, 1, 143, 63, // Skip to: 40641
+/* 24370 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24373 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24386
+/* 24377 */   MCD_OPC_CheckPredicate, 0, 132, 63, // Skip to: 40641
+/* 24381 */   MCD_OPC_Decode, 159, 13, 152, 1, // Opcode: SSRAv4i16_shift
+/* 24386 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24399
+/* 24390 */   MCD_OPC_CheckPredicate, 0, 119, 63, // Skip to: 40641
+/* 24394 */   MCD_OPC_Decode, 129, 13, 152, 1, // Opcode: SRSRAv4i16_shift
+/* 24399 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24412
+/* 24403 */   MCD_OPC_CheckPredicate, 0, 106, 63, // Skip to: 40641
+/* 24407 */   MCD_OPC_Decode, 180, 10, 153, 1, // Opcode: SHLv4i16_shift
+/* 24412 */   MCD_OPC_FilterValue, 3, 97, 63, // Skip to: 40641
+/* 24416 */   MCD_OPC_CheckPredicate, 0, 93, 63, // Skip to: 40641
+/* 24420 */   MCD_OPC_Decode, 169, 12, 153, 1, // Opcode: SQSHLv4i16_shift
+/* 24425 */   MCD_OPC_FilterValue, 1, 84, 63, // Skip to: 40641
+/* 24429 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 24432 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24445
+/* 24436 */   MCD_OPC_CheckPredicate, 0, 73, 63, // Skip to: 40641
+/* 24440 */   MCD_OPC_Decode, 157, 13, 154, 1, // Opcode: SSRAv2i32_shift
+/* 24445 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 24458
+/* 24449 */   MCD_OPC_CheckPredicate, 0, 60, 63, // Skip to: 40641
+/* 24453 */   MCD_OPC_Decode, 255, 12, 154, 1, // Opcode: SRSRAv2i32_shift
+/* 24458 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 24471
+/* 24462 */   MCD_OPC_CheckPredicate, 0, 47, 63, // Skip to: 40641
+/* 24466 */   MCD_OPC_Decode, 178, 10, 155, 1, // Opcode: SHLv2i32_shift
+/* 24471 */   MCD_OPC_FilterValue, 3, 38, 63, // Skip to: 40641
+/* 24475 */   MCD_OPC_CheckPredicate, 0, 34, 63, // Skip to: 40641
+/* 24479 */   MCD_OPC_Decode, 165, 12, 155, 1, // Opcode: SQSHLv2i32_shift
+/* 24484 */   MCD_OPC_FilterValue, 1, 25, 63, // Skip to: 40641
+/* 24488 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
+/* 24491 */   MCD_OPC_FilterValue, 0, 227, 0, // Skip to: 24722
+/* 24495 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 24498 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 24631
+/* 24502 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24505 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 24598
+/* 24509 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24512 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 24565
+/* 24516 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 24519 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24532
+/* 24523 */   MCD_OPC_CheckPredicate, 0, 242, 62, // Skip to: 40641
+/* 24527 */   MCD_OPC_Decode, 207, 8, 145, 1, // Opcode: MOVIv4i16
+/* 24532 */   MCD_OPC_FilterValue, 1, 233, 62, // Skip to: 40641
+/* 24536 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 24539 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24552
+/* 24543 */   MCD_OPC_CheckPredicate, 0, 222, 62, // Skip to: 40641
+/* 24547 */   MCD_OPC_Decode, 189, 10, 156, 1, // Opcode: SHRNv8i8_shift
+/* 24552 */   MCD_OPC_FilterValue, 1, 213, 62, // Skip to: 40641
+/* 24556 */   MCD_OPC_CheckPredicate, 0, 209, 62, // Skip to: 40641
+/* 24560 */   MCD_OPC_Decode, 138, 13, 157, 1, // Opcode: SSHLLv8i8_shift
+/* 24565 */   MCD_OPC_FilterValue, 1, 200, 62, // Skip to: 40641
+/* 24569 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 24572 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24585
+/* 24576 */   MCD_OPC_CheckPredicate, 0, 189, 62, // Skip to: 40641
+/* 24580 */   MCD_OPC_Decode, 186, 10, 158, 1, // Opcode: SHRNv4i16_shift
+/* 24585 */   MCD_OPC_FilterValue, 1, 180, 62, // Skip to: 40641
+/* 24589 */   MCD_OPC_CheckPredicate, 0, 176, 62, // Skip to: 40641
+/* 24593 */   MCD_OPC_Decode, 135, 13, 159, 1, // Opcode: SSHLLv4i16_shift
+/* 24598 */   MCD_OPC_FilterValue, 1, 167, 62, // Skip to: 40641
+/* 24602 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 24605 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24618
+/* 24609 */   MCD_OPC_CheckPredicate, 0, 156, 62, // Skip to: 40641
+/* 24613 */   MCD_OPC_Decode, 185, 10, 160, 1, // Opcode: SHRNv2i32_shift
+/* 24618 */   MCD_OPC_FilterValue, 1, 147, 62, // Skip to: 40641
+/* 24622 */   MCD_OPC_CheckPredicate, 0, 143, 62, // Skip to: 40641
+/* 24626 */   MCD_OPC_Decode, 134, 13, 161, 1, // Opcode: SSHLLv2i32_shift
+/* 24631 */   MCD_OPC_FilterValue, 1, 134, 62, // Skip to: 40641
+/* 24635 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24638 */   MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 24703
+/* 24642 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24645 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24684
+/* 24649 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 24652 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 24665
+/* 24656 */   MCD_OPC_CheckPredicate, 0, 109, 62, // Skip to: 40641
+/* 24660 */   MCD_OPC_Decode, 143, 9, 149, 1, // Opcode: ORRv4i16
+/* 24665 */   MCD_OPC_FilterValue, 1, 100, 62, // Skip to: 40641
+/* 24669 */   MCD_OPC_CheckPredicate, 0, 96, 62, // Skip to: 40641
+/* 24673 */   MCD_OPC_CheckField, 13, 1, 0, 90, 62, // Skip to: 40641
+/* 24679 */   MCD_OPC_Decode, 184, 12, 156, 1, // Opcode: SQSHRNv8i8_shift
+/* 24684 */   MCD_OPC_FilterValue, 1, 81, 62, // Skip to: 40641
+/* 24688 */   MCD_OPC_CheckPredicate, 0, 77, 62, // Skip to: 40641
+/* 24692 */   MCD_OPC_CheckField, 13, 1, 0, 71, 62, // Skip to: 40641
+/* 24698 */   MCD_OPC_Decode, 181, 12, 158, 1, // Opcode: SQSHRNv4i16_shift
+/* 24703 */   MCD_OPC_FilterValue, 1, 62, 62, // Skip to: 40641
+/* 24707 */   MCD_OPC_CheckPredicate, 0, 58, 62, // Skip to: 40641
+/* 24711 */   MCD_OPC_CheckField, 13, 1, 0, 52, 62, // Skip to: 40641
+/* 24717 */   MCD_OPC_Decode, 180, 12, 160, 1, // Opcode: SQSHRNv2i32_shift
+/* 24722 */   MCD_OPC_FilterValue, 1, 43, 62, // Skip to: 40641
+/* 24726 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 24729 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24748
+/* 24733 */   MCD_OPC_CheckPredicate, 0, 32, 62, // Skip to: 40641
+/* 24737 */   MCD_OPC_CheckField, 19, 3, 0, 26, 62, // Skip to: 40641
+/* 24743 */   MCD_OPC_Decode, 206, 8, 145, 1, // Opcode: MOVIv2s_msl
+/* 24748 */   MCD_OPC_FilterValue, 1, 17, 62, // Skip to: 40641
+/* 24752 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 24755 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24794
+/* 24759 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24762 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24781
+/* 24766 */   MCD_OPC_CheckPredicate, 0, 255, 61, // Skip to: 40641
+/* 24770 */   MCD_OPC_CheckField, 19, 2, 0, 249, 61, // Skip to: 40641
+/* 24776 */   MCD_OPC_Decode, 210, 8, 145, 1, // Opcode: MOVIv8b_ns
+/* 24781 */   MCD_OPC_FilterValue, 1, 240, 61, // Skip to: 40641
+/* 24785 */   MCD_OPC_CheckPredicate, 0, 236, 61, // Skip to: 40641
+/* 24789 */   MCD_OPC_Decode, 146, 10, 148, 1, // Opcode: SCVTFv2i32_shift
+/* 24794 */   MCD_OPC_FilterValue, 1, 227, 61, // Skip to: 40641
+/* 24798 */   MCD_OPC_CheckPredicate, 0, 223, 61, // Skip to: 40641
+/* 24802 */   MCD_OPC_CheckField, 19, 3, 0, 217, 61, // Skip to: 40641
+/* 24808 */   MCD_OPC_Decode, 232, 4, 145, 1, // Opcode: FMOVv2f32_ns
+/* 24813 */   MCD_OPC_FilterValue, 3, 208, 61, // Skip to: 40641
+/* 24817 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 24820 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 24879
+/* 24824 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24827 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24866
+/* 24831 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24834 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24853
+/* 24838 */   MCD_OPC_CheckPredicate, 0, 183, 61, // Skip to: 40641
+/* 24842 */   MCD_OPC_CheckField, 19, 1, 1, 177, 61, // Skip to: 40641
+/* 24848 */   MCD_OPC_Decode, 194, 9, 156, 1, // Opcode: RSHRNv8i8_shift
+/* 24853 */   MCD_OPC_FilterValue, 1, 168, 61, // Skip to: 40641
+/* 24857 */   MCD_OPC_CheckPredicate, 0, 164, 61, // Skip to: 40641
+/* 24861 */   MCD_OPC_Decode, 191, 9, 158, 1, // Opcode: RSHRNv4i16_shift
+/* 24866 */   MCD_OPC_FilterValue, 1, 155, 61, // Skip to: 40641
+/* 24870 */   MCD_OPC_CheckPredicate, 0, 151, 61, // Skip to: 40641
+/* 24874 */   MCD_OPC_Decode, 190, 9, 160, 1, // Opcode: RSHRNv2i32_shift
+/* 24879 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 24938
+/* 24883 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24886 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 24925
+/* 24890 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24893 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 24912
+/* 24897 */   MCD_OPC_CheckPredicate, 0, 124, 61, // Skip to: 40641
+/* 24901 */   MCD_OPC_CheckField, 19, 1, 1, 118, 61, // Skip to: 40641
+/* 24907 */   MCD_OPC_Decode, 133, 12, 156, 1, // Opcode: SQRSHRNv8i8_shift
+/* 24912 */   MCD_OPC_FilterValue, 1, 109, 61, // Skip to: 40641
+/* 24916 */   MCD_OPC_CheckPredicate, 0, 105, 61, // Skip to: 40641
+/* 24920 */   MCD_OPC_Decode, 130, 12, 158, 1, // Opcode: SQRSHRNv4i16_shift
+/* 24925 */   MCD_OPC_FilterValue, 1, 96, 61, // Skip to: 40641
+/* 24929 */   MCD_OPC_CheckPredicate, 0, 92, 61, // Skip to: 40641
+/* 24933 */   MCD_OPC_Decode, 129, 12, 160, 1, // Opcode: SQRSHRNv2i32_shift
+/* 24938 */   MCD_OPC_FilterValue, 15, 83, 61, // Skip to: 40641
+/* 24942 */   MCD_OPC_CheckPredicate, 0, 79, 61, // Skip to: 40641
+/* 24946 */   MCD_OPC_CheckField, 21, 1, 1, 73, 61, // Skip to: 40641
+/* 24952 */   MCD_OPC_Decode, 250, 3, 148, 1, // Opcode: FCVTZSv2i32_shift
+/* 24957 */   MCD_OPC_FilterValue, 1, 128, 3, // Skip to: 25857
+/* 24961 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 24964 */   MCD_OPC_FilterValue, 1, 233, 2, // Skip to: 25713
+/* 24968 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 24971 */   MCD_OPC_FilterValue, 0, 168, 1, // Skip to: 25399
+/* 24975 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 24978 */   MCD_OPC_FilterValue, 0, 207, 0, // Skip to: 25189
+/* 24982 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 24985 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 25130
+/* 24989 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 24992 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 25071
+/* 24996 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 24999 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25012
+/* 25003 */   MCD_OPC_CheckPredicate, 0, 18, 61, // Skip to: 40641
+/* 25007 */   MCD_OPC_Decode, 241, 8, 145, 1, // Opcode: MVNIv2i32
+/* 25012 */   MCD_OPC_FilterValue, 1, 9, 61, // Skip to: 40641
+/* 25016 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25019 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25032
+/* 25023 */   MCD_OPC_CheckPredicate, 0, 254, 60, // Skip to: 40641
+/* 25027 */   MCD_OPC_Decode, 148, 18, 146, 1, // Opcode: USHRv8i8_shift
+/* 25032 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25045
+/* 25036 */   MCD_OPC_CheckPredicate, 0, 241, 60, // Skip to: 40641
+/* 25040 */   MCD_OPC_Decode, 244, 17, 146, 1, // Opcode: URSHRv8i8_shift
+/* 25045 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25058
+/* 25049 */   MCD_OPC_CheckPredicate, 0, 228, 60, // Skip to: 40641
+/* 25053 */   MCD_OPC_Decode, 236, 12, 150, 1, // Opcode: SRIv8i8_shift
+/* 25058 */   MCD_OPC_FilterValue, 3, 219, 60, // Skip to: 40641
+/* 25062 */   MCD_OPC_CheckPredicate, 0, 215, 60, // Skip to: 40641
+/* 25066 */   MCD_OPC_Decode, 153, 12, 151, 1, // Opcode: SQSHLUv8i8_shift
+/* 25071 */   MCD_OPC_FilterValue, 1, 206, 60, // Skip to: 40641
+/* 25075 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25078 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25091
+/* 25082 */   MCD_OPC_CheckPredicate, 0, 195, 60, // Skip to: 40641
+/* 25086 */   MCD_OPC_Decode, 145, 18, 147, 1, // Opcode: USHRv4i16_shift
+/* 25091 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25104
+/* 25095 */   MCD_OPC_CheckPredicate, 0, 182, 60, // Skip to: 40641
+/* 25099 */   MCD_OPC_Decode, 241, 17, 147, 1, // Opcode: URSHRv4i16_shift
+/* 25104 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25117
+/* 25108 */   MCD_OPC_CheckPredicate, 0, 169, 60, // Skip to: 40641
+/* 25112 */   MCD_OPC_Decode, 233, 12, 152, 1, // Opcode: SRIv4i16_shift
+/* 25117 */   MCD_OPC_FilterValue, 3, 160, 60, // Skip to: 40641
+/* 25121 */   MCD_OPC_CheckPredicate, 0, 156, 60, // Skip to: 40641
+/* 25125 */   MCD_OPC_Decode, 150, 12, 153, 1, // Opcode: SQSHLUv4i16_shift
+/* 25130 */   MCD_OPC_FilterValue, 1, 147, 60, // Skip to: 40641
+/* 25134 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25137 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25150
+/* 25141 */   MCD_OPC_CheckPredicate, 0, 136, 60, // Skip to: 40641
+/* 25145 */   MCD_OPC_Decode, 143, 18, 148, 1, // Opcode: USHRv2i32_shift
+/* 25150 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25163
+/* 25154 */   MCD_OPC_CheckPredicate, 0, 123, 60, // Skip to: 40641
+/* 25158 */   MCD_OPC_Decode, 239, 17, 148, 1, // Opcode: URSHRv2i32_shift
+/* 25163 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25176
+/* 25167 */   MCD_OPC_CheckPredicate, 0, 110, 60, // Skip to: 40641
+/* 25171 */   MCD_OPC_Decode, 231, 12, 154, 1, // Opcode: SRIv2i32_shift
+/* 25176 */   MCD_OPC_FilterValue, 3, 101, 60, // Skip to: 40641
+/* 25180 */   MCD_OPC_CheckPredicate, 0, 97, 60, // Skip to: 40641
+/* 25184 */   MCD_OPC_Decode, 148, 12, 155, 1, // Opcode: SQSHLUv2i32_shift
+/* 25189 */   MCD_OPC_FilterValue, 1, 88, 60, // Skip to: 40641
+/* 25193 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25196 */   MCD_OPC_FilterValue, 0, 140, 0, // Skip to: 25340
+/* 25200 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25203 */   MCD_OPC_FilterValue, 0, 74, 0, // Skip to: 25281
+/* 25207 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 25210 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 25222
+/* 25214 */   MCD_OPC_CheckPredicate, 0, 63, 60, // Skip to: 40641
+/* 25218 */   MCD_OPC_Decode, 115, 149, 1, // Opcode: BICv2i32
+/* 25222 */   MCD_OPC_FilterValue, 1, 55, 60, // Skip to: 40641
+/* 25226 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25229 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25242
+/* 25233 */   MCD_OPC_CheckPredicate, 0, 44, 60, // Skip to: 40641
+/* 25237 */   MCD_OPC_Decode, 167, 18, 150, 1, // Opcode: USRAv8i8_shift
+/* 25242 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25255
+/* 25246 */   MCD_OPC_CheckPredicate, 0, 31, 60, // Skip to: 40641
+/* 25250 */   MCD_OPC_Decode, 254, 17, 150, 1, // Opcode: URSRAv8i8_shift
+/* 25255 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25268
+/* 25259 */   MCD_OPC_CheckPredicate, 0, 18, 60, // Skip to: 40641
+/* 25263 */   MCD_OPC_Decode, 203, 10, 162, 1, // Opcode: SLIv8i8_shift
+/* 25268 */   MCD_OPC_FilterValue, 3, 9, 60, // Skip to: 40641
+/* 25272 */   MCD_OPC_CheckPredicate, 0, 5, 60, // Skip to: 40641
+/* 25276 */   MCD_OPC_Decode, 191, 17, 151, 1, // Opcode: UQSHLv8i8_shift
+/* 25281 */   MCD_OPC_FilterValue, 1, 252, 59, // Skip to: 40641
+/* 25285 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25288 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25301
+/* 25292 */   MCD_OPC_CheckPredicate, 0, 241, 59, // Skip to: 40641
+/* 25296 */   MCD_OPC_Decode, 164, 18, 152, 1, // Opcode: USRAv4i16_shift
+/* 25301 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25314
+/* 25305 */   MCD_OPC_CheckPredicate, 0, 228, 59, // Skip to: 40641
+/* 25309 */   MCD_OPC_Decode, 251, 17, 152, 1, // Opcode: URSRAv4i16_shift
+/* 25314 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25327
+/* 25318 */   MCD_OPC_CheckPredicate, 0, 215, 59, // Skip to: 40641
+/* 25322 */   MCD_OPC_Decode, 200, 10, 163, 1, // Opcode: SLIv4i16_shift
+/* 25327 */   MCD_OPC_FilterValue, 3, 206, 59, // Skip to: 40641
+/* 25331 */   MCD_OPC_CheckPredicate, 0, 202, 59, // Skip to: 40641
+/* 25335 */   MCD_OPC_Decode, 185, 17, 153, 1, // Opcode: UQSHLv4i16_shift
+/* 25340 */   MCD_OPC_FilterValue, 1, 193, 59, // Skip to: 40641
+/* 25344 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25347 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25360
+/* 25351 */   MCD_OPC_CheckPredicate, 0, 182, 59, // Skip to: 40641
+/* 25355 */   MCD_OPC_Decode, 162, 18, 154, 1, // Opcode: USRAv2i32_shift
+/* 25360 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 25373
+/* 25364 */   MCD_OPC_CheckPredicate, 0, 169, 59, // Skip to: 40641
+/* 25368 */   MCD_OPC_Decode, 249, 17, 154, 1, // Opcode: URSRAv2i32_shift
+/* 25373 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 25386
+/* 25377 */   MCD_OPC_CheckPredicate, 0, 156, 59, // Skip to: 40641
+/* 25381 */   MCD_OPC_Decode, 198, 10, 164, 1, // Opcode: SLIv2i32_shift
+/* 25386 */   MCD_OPC_FilterValue, 3, 147, 59, // Skip to: 40641
+/* 25390 */   MCD_OPC_CheckPredicate, 0, 143, 59, // Skip to: 40641
+/* 25394 */   MCD_OPC_Decode, 181, 17, 155, 1, // Opcode: UQSHLv2i32_shift
+/* 25399 */   MCD_OPC_FilterValue, 1, 134, 59, // Skip to: 40641
+/* 25403 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
+/* 25406 */   MCD_OPC_FilterValue, 0, 226, 0, // Skip to: 25636
+/* 25410 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 25413 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 25546
+/* 25417 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25420 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 25513
+/* 25424 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25427 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 25480
+/* 25431 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 25434 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25447
+/* 25438 */   MCD_OPC_CheckPredicate, 0, 95, 59, // Skip to: 40641
+/* 25442 */   MCD_OPC_Decode, 243, 8, 145, 1, // Opcode: MVNIv4i16
+/* 25447 */   MCD_OPC_FilterValue, 1, 86, 59, // Skip to: 40641
+/* 25451 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 25454 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25467
+/* 25458 */   MCD_OPC_CheckPredicate, 0, 75, 59, // Skip to: 40641
+/* 25462 */   MCD_OPC_Decode, 193, 12, 156, 1, // Opcode: SQSHRUNv8i8_shift
+/* 25467 */   MCD_OPC_FilterValue, 1, 66, 59, // Skip to: 40641
+/* 25471 */   MCD_OPC_CheckPredicate, 0, 62, 59, // Skip to: 40641
+/* 25475 */   MCD_OPC_Decode, 132, 18, 157, 1, // Opcode: USHLLv8i8_shift
+/* 25480 */   MCD_OPC_FilterValue, 1, 53, 59, // Skip to: 40641
+/* 25484 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 25487 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25500
+/* 25491 */   MCD_OPC_CheckPredicate, 0, 42, 59, // Skip to: 40641
+/* 25495 */   MCD_OPC_Decode, 190, 12, 158, 1, // Opcode: SQSHRUNv4i16_shift
+/* 25500 */   MCD_OPC_FilterValue, 1, 33, 59, // Skip to: 40641
+/* 25504 */   MCD_OPC_CheckPredicate, 0, 29, 59, // Skip to: 40641
+/* 25508 */   MCD_OPC_Decode, 129, 18, 159, 1, // Opcode: USHLLv4i16_shift
+/* 25513 */   MCD_OPC_FilterValue, 1, 20, 59, // Skip to: 40641
+/* 25517 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 25520 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25533
+/* 25524 */   MCD_OPC_CheckPredicate, 0, 9, 59, // Skip to: 40641
+/* 25528 */   MCD_OPC_Decode, 189, 12, 160, 1, // Opcode: SQSHRUNv2i32_shift
+/* 25533 */   MCD_OPC_FilterValue, 1, 0, 59, // Skip to: 40641
+/* 25537 */   MCD_OPC_CheckPredicate, 0, 252, 58, // Skip to: 40641
+/* 25541 */   MCD_OPC_Decode, 128, 18, 161, 1, // Opcode: USHLLv2i32_shift
+/* 25546 */   MCD_OPC_FilterValue, 1, 243, 58, // Skip to: 40641
+/* 25550 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25553 */   MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 25617
+/* 25557 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25560 */   MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 25598
+/* 25564 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 25567 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 25579
+/* 25571 */   MCD_OPC_CheckPredicate, 0, 218, 58, // Skip to: 40641
+/* 25575 */   MCD_OPC_Decode, 116, 149, 1, // Opcode: BICv4i16
+/* 25579 */   MCD_OPC_FilterValue, 1, 210, 58, // Skip to: 40641
+/* 25583 */   MCD_OPC_CheckPredicate, 0, 206, 58, // Skip to: 40641
+/* 25587 */   MCD_OPC_CheckField, 13, 1, 0, 200, 58, // Skip to: 40641
+/* 25593 */   MCD_OPC_Decode, 200, 17, 156, 1, // Opcode: UQSHRNv8i8_shift
+/* 25598 */   MCD_OPC_FilterValue, 1, 191, 58, // Skip to: 40641
+/* 25602 */   MCD_OPC_CheckPredicate, 0, 187, 58, // Skip to: 40641
+/* 25606 */   MCD_OPC_CheckField, 13, 1, 0, 181, 58, // Skip to: 40641
+/* 25612 */   MCD_OPC_Decode, 197, 17, 158, 1, // Opcode: UQSHRNv4i16_shift
+/* 25617 */   MCD_OPC_FilterValue, 1, 172, 58, // Skip to: 40641
+/* 25621 */   MCD_OPC_CheckPredicate, 0, 168, 58, // Skip to: 40641
+/* 25625 */   MCD_OPC_CheckField, 13, 1, 0, 162, 58, // Skip to: 40641
+/* 25631 */   MCD_OPC_Decode, 196, 17, 160, 1, // Opcode: UQSHRNv2i32_shift
+/* 25636 */   MCD_OPC_FilterValue, 1, 153, 58, // Skip to: 40641
+/* 25640 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 25643 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25662
+/* 25647 */   MCD_OPC_CheckPredicate, 0, 142, 58, // Skip to: 40641
+/* 25651 */   MCD_OPC_CheckField, 19, 3, 0, 136, 58, // Skip to: 40641
+/* 25657 */   MCD_OPC_Decode, 242, 8, 145, 1, // Opcode: MVNIv2s_msl
+/* 25662 */   MCD_OPC_FilterValue, 1, 127, 58, // Skip to: 40641
+/* 25666 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25669 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 25694
+/* 25673 */   MCD_OPC_CheckPredicate, 0, 116, 58, // Skip to: 40641
+/* 25677 */   MCD_OPC_CheckField, 19, 2, 0, 110, 58, // Skip to: 40641
+/* 25683 */   MCD_OPC_CheckField, 12, 1, 0, 104, 58, // Skip to: 40641
+/* 25689 */   MCD_OPC_Decode, 202, 8, 145, 1, // Opcode: MOVID
+/* 25694 */   MCD_OPC_FilterValue, 1, 95, 58, // Skip to: 40641
+/* 25698 */   MCD_OPC_CheckPredicate, 0, 91, 58, // Skip to: 40641
+/* 25702 */   MCD_OPC_CheckField, 12, 1, 0, 85, 58, // Skip to: 40641
+/* 25708 */   MCD_OPC_Decode, 176, 16, 148, 1, // Opcode: UCVTFv2i32_shift
+/* 25713 */   MCD_OPC_FilterValue, 3, 76, 58, // Skip to: 40641
+/* 25717 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 25720 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 25779
+/* 25724 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25727 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 25766
+/* 25731 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25734 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25753
+/* 25738 */   MCD_OPC_CheckPredicate, 0, 51, 58, // Skip to: 40641
+/* 25742 */   MCD_OPC_CheckField, 19, 1, 1, 45, 58, // Skip to: 40641
+/* 25748 */   MCD_OPC_Decode, 142, 12, 156, 1, // Opcode: SQRSHRUNv8i8_shift
+/* 25753 */   MCD_OPC_FilterValue, 1, 36, 58, // Skip to: 40641
+/* 25757 */   MCD_OPC_CheckPredicate, 0, 32, 58, // Skip to: 40641
+/* 25761 */   MCD_OPC_Decode, 139, 12, 158, 1, // Opcode: SQRSHRUNv4i16_shift
+/* 25766 */   MCD_OPC_FilterValue, 1, 23, 58, // Skip to: 40641
+/* 25770 */   MCD_OPC_CheckPredicate, 0, 19, 58, // Skip to: 40641
+/* 25774 */   MCD_OPC_Decode, 138, 12, 160, 1, // Opcode: SQRSHRUNv2i32_shift
+/* 25779 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 25838
+/* 25783 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25786 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 25825
+/* 25790 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25793 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 25812
+/* 25797 */   MCD_OPC_CheckPredicate, 0, 248, 57, // Skip to: 40641
+/* 25801 */   MCD_OPC_CheckField, 19, 1, 1, 242, 57, // Skip to: 40641
+/* 25807 */   MCD_OPC_Decode, 169, 17, 156, 1, // Opcode: UQRSHRNv8i8_shift
+/* 25812 */   MCD_OPC_FilterValue, 1, 233, 57, // Skip to: 40641
+/* 25816 */   MCD_OPC_CheckPredicate, 0, 229, 57, // Skip to: 40641
+/* 25820 */   MCD_OPC_Decode, 166, 17, 158, 1, // Opcode: UQRSHRNv4i16_shift
+/* 25825 */   MCD_OPC_FilterValue, 1, 220, 57, // Skip to: 40641
+/* 25829 */   MCD_OPC_CheckPredicate, 0, 216, 57, // Skip to: 40641
+/* 25833 */   MCD_OPC_Decode, 165, 17, 160, 1, // Opcode: UQRSHRNv2i32_shift
+/* 25838 */   MCD_OPC_FilterValue, 15, 207, 57, // Skip to: 40641
+/* 25842 */   MCD_OPC_CheckPredicate, 0, 203, 57, // Skip to: 40641
+/* 25846 */   MCD_OPC_CheckField, 21, 1, 1, 197, 57, // Skip to: 40641
+/* 25852 */   MCD_OPC_Decode, 151, 4, 148, 1, // Opcode: FCVTZUv2i32_shift
+/* 25857 */   MCD_OPC_FilterValue, 2, 66, 3, // Skip to: 26695
+/* 25861 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 25864 */   MCD_OPC_FilterValue, 1, 171, 2, // Skip to: 26551
+/* 25868 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 25871 */   MCD_OPC_FilterValue, 0, 91, 1, // Skip to: 26222
+/* 25875 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 25878 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 26011
+/* 25882 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 25885 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 25978
+/* 25889 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 25892 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 25945
+/* 25896 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 25899 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25912
+/* 25903 */   MCD_OPC_CheckPredicate, 0, 142, 57, // Skip to: 40641
+/* 25907 */   MCD_OPC_Decode, 208, 8, 145, 1, // Opcode: MOVIv4i32
+/* 25912 */   MCD_OPC_FilterValue, 1, 133, 57, // Skip to: 40641
+/* 25916 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25919 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25932
+/* 25923 */   MCD_OPC_CheckPredicate, 0, 122, 57, // Skip to: 40641
+/* 25927 */   MCD_OPC_Decode, 148, 13, 165, 1, // Opcode: SSHRv16i8_shift
+/* 25932 */   MCD_OPC_FilterValue, 1, 113, 57, // Skip to: 40641
+/* 25936 */   MCD_OPC_CheckPredicate, 0, 109, 57, // Skip to: 40641
+/* 25940 */   MCD_OPC_Decode, 246, 12, 165, 1, // Opcode: SRSHRv16i8_shift
+/* 25945 */   MCD_OPC_FilterValue, 1, 100, 57, // Skip to: 40641
+/* 25949 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25952 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25965
+/* 25956 */   MCD_OPC_CheckPredicate, 0, 89, 57, // Skip to: 40641
+/* 25960 */   MCD_OPC_Decode, 153, 13, 166, 1, // Opcode: SSHRv8i16_shift
+/* 25965 */   MCD_OPC_FilterValue, 1, 80, 57, // Skip to: 40641
+/* 25969 */   MCD_OPC_CheckPredicate, 0, 76, 57, // Skip to: 40641
+/* 25973 */   MCD_OPC_Decode, 251, 12, 166, 1, // Opcode: SRSHRv8i16_shift
+/* 25978 */   MCD_OPC_FilterValue, 1, 67, 57, // Skip to: 40641
+/* 25982 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 25985 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 25998
+/* 25989 */   MCD_OPC_CheckPredicate, 0, 56, 57, // Skip to: 40641
+/* 25993 */   MCD_OPC_Decode, 152, 13, 167, 1, // Opcode: SSHRv4i32_shift
+/* 25998 */   MCD_OPC_FilterValue, 1, 47, 57, // Skip to: 40641
+/* 26002 */   MCD_OPC_CheckPredicate, 0, 43, 57, // Skip to: 40641
+/* 26006 */   MCD_OPC_Decode, 250, 12, 167, 1, // Opcode: SRSHRv4i32_shift
+/* 26011 */   MCD_OPC_FilterValue, 1, 34, 57, // Skip to: 40641
+/* 26015 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26018 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 26163
+/* 26022 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26025 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 26104
+/* 26029 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 26032 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26045
+/* 26036 */   MCD_OPC_CheckPredicate, 0, 9, 57, // Skip to: 40641
+/* 26040 */   MCD_OPC_Decode, 144, 9, 149, 1, // Opcode: ORRv4i32
+/* 26045 */   MCD_OPC_FilterValue, 1, 0, 57, // Skip to: 40641
+/* 26049 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26052 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26065
+/* 26056 */   MCD_OPC_CheckPredicate, 0, 245, 56, // Skip to: 40641
+/* 26060 */   MCD_OPC_Decode, 156, 13, 168, 1, // Opcode: SSRAv16i8_shift
+/* 26065 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26078
+/* 26069 */   MCD_OPC_CheckPredicate, 0, 232, 56, // Skip to: 40641
+/* 26073 */   MCD_OPC_Decode, 254, 12, 168, 1, // Opcode: SRSRAv16i8_shift
+/* 26078 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26091
+/* 26082 */   MCD_OPC_CheckPredicate, 0, 219, 56, // Skip to: 40641
+/* 26086 */   MCD_OPC_Decode, 177, 10, 169, 1, // Opcode: SHLv16i8_shift
+/* 26091 */   MCD_OPC_FilterValue, 3, 210, 56, // Skip to: 40641
+/* 26095 */   MCD_OPC_CheckPredicate, 0, 206, 56, // Skip to: 40641
+/* 26099 */   MCD_OPC_Decode, 159, 12, 169, 1, // Opcode: SQSHLv16i8_shift
+/* 26104 */   MCD_OPC_FilterValue, 1, 197, 56, // Skip to: 40641
+/* 26108 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26111 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26124
+/* 26115 */   MCD_OPC_CheckPredicate, 0, 186, 56, // Skip to: 40641
+/* 26119 */   MCD_OPC_Decode, 161, 13, 170, 1, // Opcode: SSRAv8i16_shift
+/* 26124 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26137
+/* 26128 */   MCD_OPC_CheckPredicate, 0, 173, 56, // Skip to: 40641
+/* 26132 */   MCD_OPC_Decode, 131, 13, 170, 1, // Opcode: SRSRAv8i16_shift
+/* 26137 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26150
+/* 26141 */   MCD_OPC_CheckPredicate, 0, 160, 56, // Skip to: 40641
+/* 26145 */   MCD_OPC_Decode, 182, 10, 171, 1, // Opcode: SHLv8i16_shift
+/* 26150 */   MCD_OPC_FilterValue, 3, 151, 56, // Skip to: 40641
+/* 26154 */   MCD_OPC_CheckPredicate, 0, 147, 56, // Skip to: 40641
+/* 26158 */   MCD_OPC_Decode, 173, 12, 171, 1, // Opcode: SQSHLv8i16_shift
+/* 26163 */   MCD_OPC_FilterValue, 1, 138, 56, // Skip to: 40641
+/* 26167 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26170 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26183
+/* 26174 */   MCD_OPC_CheckPredicate, 0, 127, 56, // Skip to: 40641
+/* 26178 */   MCD_OPC_Decode, 160, 13, 172, 1, // Opcode: SSRAv4i32_shift
+/* 26183 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26196
+/* 26187 */   MCD_OPC_CheckPredicate, 0, 114, 56, // Skip to: 40641
+/* 26191 */   MCD_OPC_Decode, 130, 13, 172, 1, // Opcode: SRSRAv4i32_shift
+/* 26196 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26209
+/* 26200 */   MCD_OPC_CheckPredicate, 0, 101, 56, // Skip to: 40641
+/* 26204 */   MCD_OPC_Decode, 181, 10, 173, 1, // Opcode: SHLv4i32_shift
+/* 26209 */   MCD_OPC_FilterValue, 3, 92, 56, // Skip to: 40641
+/* 26213 */   MCD_OPC_CheckPredicate, 0, 88, 56, // Skip to: 40641
+/* 26217 */   MCD_OPC_Decode, 171, 12, 173, 1, // Opcode: SQSHLv4i32_shift
+/* 26222 */   MCD_OPC_FilterValue, 1, 79, 56, // Skip to: 40641
+/* 26226 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
+/* 26229 */   MCD_OPC_FilterValue, 0, 227, 0, // Skip to: 26460
+/* 26233 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 26236 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 26369
+/* 26240 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26243 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 26336
+/* 26247 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26250 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 26303
+/* 26254 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 26257 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26270
+/* 26261 */   MCD_OPC_CheckPredicate, 0, 40, 56, // Skip to: 40641
+/* 26265 */   MCD_OPC_Decode, 211, 8, 145, 1, // Opcode: MOVIv8i16
+/* 26270 */   MCD_OPC_FilterValue, 1, 31, 56, // Skip to: 40641
+/* 26274 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 26277 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26290
+/* 26281 */   MCD_OPC_CheckPredicate, 0, 20, 56, // Skip to: 40641
+/* 26285 */   MCD_OPC_Decode, 184, 10, 174, 1, // Opcode: SHRNv16i8_shift
+/* 26290 */   MCD_OPC_FilterValue, 1, 11, 56, // Skip to: 40641
+/* 26294 */   MCD_OPC_CheckPredicate, 0, 7, 56, // Skip to: 40641
+/* 26298 */   MCD_OPC_Decode, 133, 13, 169, 1, // Opcode: SSHLLv16i8_shift
+/* 26303 */   MCD_OPC_FilterValue, 1, 254, 55, // Skip to: 40641
+/* 26307 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 26310 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26323
+/* 26314 */   MCD_OPC_CheckPredicate, 0, 243, 55, // Skip to: 40641
+/* 26318 */   MCD_OPC_Decode, 188, 10, 175, 1, // Opcode: SHRNv8i16_shift
+/* 26323 */   MCD_OPC_FilterValue, 1, 234, 55, // Skip to: 40641
+/* 26327 */   MCD_OPC_CheckPredicate, 0, 230, 55, // Skip to: 40641
+/* 26331 */   MCD_OPC_Decode, 137, 13, 171, 1, // Opcode: SSHLLv8i16_shift
+/* 26336 */   MCD_OPC_FilterValue, 1, 221, 55, // Skip to: 40641
+/* 26340 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 26343 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26356
+/* 26347 */   MCD_OPC_CheckPredicate, 0, 210, 55, // Skip to: 40641
+/* 26351 */   MCD_OPC_Decode, 187, 10, 176, 1, // Opcode: SHRNv4i32_shift
+/* 26356 */   MCD_OPC_FilterValue, 1, 201, 55, // Skip to: 40641
+/* 26360 */   MCD_OPC_CheckPredicate, 0, 197, 55, // Skip to: 40641
+/* 26364 */   MCD_OPC_Decode, 136, 13, 173, 1, // Opcode: SSHLLv4i32_shift
+/* 26369 */   MCD_OPC_FilterValue, 1, 188, 55, // Skip to: 40641
+/* 26373 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26376 */   MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 26441
+/* 26380 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26383 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26422
+/* 26387 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 26390 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26403
+/* 26394 */   MCD_OPC_CheckPredicate, 0, 163, 55, // Skip to: 40641
+/* 26398 */   MCD_OPC_Decode, 145, 9, 149, 1, // Opcode: ORRv8i16
+/* 26403 */   MCD_OPC_FilterValue, 1, 154, 55, // Skip to: 40641
+/* 26407 */   MCD_OPC_CheckPredicate, 0, 150, 55, // Skip to: 40641
+/* 26411 */   MCD_OPC_CheckField, 13, 1, 0, 144, 55, // Skip to: 40641
+/* 26417 */   MCD_OPC_Decode, 179, 12, 174, 1, // Opcode: SQSHRNv16i8_shift
+/* 26422 */   MCD_OPC_FilterValue, 1, 135, 55, // Skip to: 40641
+/* 26426 */   MCD_OPC_CheckPredicate, 0, 131, 55, // Skip to: 40641
+/* 26430 */   MCD_OPC_CheckField, 13, 1, 0, 125, 55, // Skip to: 40641
+/* 26436 */   MCD_OPC_Decode, 183, 12, 175, 1, // Opcode: SQSHRNv8i16_shift
+/* 26441 */   MCD_OPC_FilterValue, 1, 116, 55, // Skip to: 40641
+/* 26445 */   MCD_OPC_CheckPredicate, 0, 112, 55, // Skip to: 40641
+/* 26449 */   MCD_OPC_CheckField, 13, 1, 0, 106, 55, // Skip to: 40641
+/* 26455 */   MCD_OPC_Decode, 182, 12, 176, 1, // Opcode: SQSHRNv4i32_shift
+/* 26460 */   MCD_OPC_FilterValue, 1, 97, 55, // Skip to: 40641
+/* 26464 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 26467 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26486
+/* 26471 */   MCD_OPC_CheckPredicate, 0, 86, 55, // Skip to: 40641
+/* 26475 */   MCD_OPC_CheckField, 19, 3, 0, 80, 55, // Skip to: 40641
+/* 26481 */   MCD_OPC_Decode, 209, 8, 145, 1, // Opcode: MOVIv4s_msl
+/* 26486 */   MCD_OPC_FilterValue, 1, 71, 55, // Skip to: 40641
+/* 26490 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 26493 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26532
+/* 26497 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26500 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26519
+/* 26504 */   MCD_OPC_CheckPredicate, 0, 53, 55, // Skip to: 40641
+/* 26508 */   MCD_OPC_CheckField, 19, 2, 0, 47, 55, // Skip to: 40641
+/* 26514 */   MCD_OPC_Decode, 203, 8, 145, 1, // Opcode: MOVIv16b_ns
+/* 26519 */   MCD_OPC_FilterValue, 1, 38, 55, // Skip to: 40641
+/* 26523 */   MCD_OPC_CheckPredicate, 0, 34, 55, // Skip to: 40641
+/* 26527 */   MCD_OPC_Decode, 149, 10, 167, 1, // Opcode: SCVTFv4i32_shift
+/* 26532 */   MCD_OPC_FilterValue, 1, 25, 55, // Skip to: 40641
+/* 26536 */   MCD_OPC_CheckPredicate, 0, 21, 55, // Skip to: 40641
+/* 26540 */   MCD_OPC_CheckField, 19, 3, 0, 15, 55, // Skip to: 40641
+/* 26546 */   MCD_OPC_Decode, 234, 4, 145, 1, // Opcode: FMOVv4f32_ns
+/* 26551 */   MCD_OPC_FilterValue, 3, 6, 55, // Skip to: 40641
+/* 26555 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 26558 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 26617
+/* 26562 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26565 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26604
+/* 26569 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26572 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26591
+/* 26576 */   MCD_OPC_CheckPredicate, 0, 237, 54, // Skip to: 40641
+/* 26580 */   MCD_OPC_CheckField, 19, 1, 1, 231, 54, // Skip to: 40641
+/* 26586 */   MCD_OPC_Decode, 189, 9, 174, 1, // Opcode: RSHRNv16i8_shift
+/* 26591 */   MCD_OPC_FilterValue, 1, 222, 54, // Skip to: 40641
+/* 26595 */   MCD_OPC_CheckPredicate, 0, 218, 54, // Skip to: 40641
+/* 26599 */   MCD_OPC_Decode, 193, 9, 175, 1, // Opcode: RSHRNv8i16_shift
+/* 26604 */   MCD_OPC_FilterValue, 1, 209, 54, // Skip to: 40641
+/* 26608 */   MCD_OPC_CheckPredicate, 0, 205, 54, // Skip to: 40641
+/* 26612 */   MCD_OPC_Decode, 192, 9, 176, 1, // Opcode: RSHRNv4i32_shift
+/* 26617 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 26676
+/* 26621 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26624 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 26663
+/* 26628 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26631 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 26650
+/* 26635 */   MCD_OPC_CheckPredicate, 0, 178, 54, // Skip to: 40641
+/* 26639 */   MCD_OPC_CheckField, 19, 1, 1, 172, 54, // Skip to: 40641
+/* 26645 */   MCD_OPC_Decode, 128, 12, 174, 1, // Opcode: SQRSHRNv16i8_shift
+/* 26650 */   MCD_OPC_FilterValue, 1, 163, 54, // Skip to: 40641
+/* 26654 */   MCD_OPC_CheckPredicate, 0, 159, 54, // Skip to: 40641
+/* 26658 */   MCD_OPC_Decode, 132, 12, 175, 1, // Opcode: SQRSHRNv8i16_shift
+/* 26663 */   MCD_OPC_FilterValue, 1, 150, 54, // Skip to: 40641
+/* 26667 */   MCD_OPC_CheckPredicate, 0, 146, 54, // Skip to: 40641
+/* 26671 */   MCD_OPC_Decode, 131, 12, 176, 1, // Opcode: SQRSHRNv4i32_shift
+/* 26676 */   MCD_OPC_FilterValue, 15, 137, 54, // Skip to: 40641
+/* 26680 */   MCD_OPC_CheckPredicate, 0, 133, 54, // Skip to: 40641
+/* 26684 */   MCD_OPC_CheckField, 21, 1, 1, 127, 54, // Skip to: 40641
+/* 26690 */   MCD_OPC_Decode, 253, 3, 167, 1, // Opcode: FCVTZSv4i32_shift
+/* 26695 */   MCD_OPC_FilterValue, 3, 118, 54, // Skip to: 40641
+/* 26699 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 26702 */   MCD_OPC_FilterValue, 1, 247, 2, // Skip to: 27465
+/* 26706 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 26709 */   MCD_OPC_FilterValue, 0, 168, 1, // Skip to: 27137
+/* 26713 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 26716 */   MCD_OPC_FilterValue, 0, 207, 0, // Skip to: 26927
+/* 26720 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26723 */   MCD_OPC_FilterValue, 0, 141, 0, // Skip to: 26868
+/* 26727 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26730 */   MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 26809
+/* 26734 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 26737 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26750
+/* 26741 */   MCD_OPC_CheckPredicate, 0, 72, 54, // Skip to: 40641
+/* 26745 */   MCD_OPC_Decode, 244, 8, 145, 1, // Opcode: MVNIv4i32
+/* 26750 */   MCD_OPC_FilterValue, 1, 63, 54, // Skip to: 40641
+/* 26754 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26757 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26770
+/* 26761 */   MCD_OPC_CheckPredicate, 0, 52, 54, // Skip to: 40641
+/* 26765 */   MCD_OPC_Decode, 142, 18, 165, 1, // Opcode: USHRv16i8_shift
+/* 26770 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26783
+/* 26774 */   MCD_OPC_CheckPredicate, 0, 39, 54, // Skip to: 40641
+/* 26778 */   MCD_OPC_Decode, 238, 17, 165, 1, // Opcode: URSHRv16i8_shift
+/* 26783 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26796
+/* 26787 */   MCD_OPC_CheckPredicate, 0, 26, 54, // Skip to: 40641
+/* 26791 */   MCD_OPC_Decode, 230, 12, 168, 1, // Opcode: SRIv16i8_shift
+/* 26796 */   MCD_OPC_FilterValue, 3, 17, 54, // Skip to: 40641
+/* 26800 */   MCD_OPC_CheckPredicate, 0, 13, 54, // Skip to: 40641
+/* 26804 */   MCD_OPC_Decode, 147, 12, 169, 1, // Opcode: SQSHLUv16i8_shift
+/* 26809 */   MCD_OPC_FilterValue, 1, 4, 54, // Skip to: 40641
+/* 26813 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26816 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26829
+/* 26820 */   MCD_OPC_CheckPredicate, 0, 249, 53, // Skip to: 40641
+/* 26824 */   MCD_OPC_Decode, 147, 18, 166, 1, // Opcode: USHRv8i16_shift
+/* 26829 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26842
+/* 26833 */   MCD_OPC_CheckPredicate, 0, 236, 53, // Skip to: 40641
+/* 26837 */   MCD_OPC_Decode, 243, 17, 166, 1, // Opcode: URSHRv8i16_shift
+/* 26842 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26855
+/* 26846 */   MCD_OPC_CheckPredicate, 0, 223, 53, // Skip to: 40641
+/* 26850 */   MCD_OPC_Decode, 235, 12, 170, 1, // Opcode: SRIv8i16_shift
+/* 26855 */   MCD_OPC_FilterValue, 3, 214, 53, // Skip to: 40641
+/* 26859 */   MCD_OPC_CheckPredicate, 0, 210, 53, // Skip to: 40641
+/* 26863 */   MCD_OPC_Decode, 152, 12, 171, 1, // Opcode: SQSHLUv8i16_shift
+/* 26868 */   MCD_OPC_FilterValue, 1, 201, 53, // Skip to: 40641
+/* 26872 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26875 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26888
+/* 26879 */   MCD_OPC_CheckPredicate, 0, 190, 53, // Skip to: 40641
+/* 26883 */   MCD_OPC_Decode, 146, 18, 167, 1, // Opcode: USHRv4i32_shift
+/* 26888 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26901
+/* 26892 */   MCD_OPC_CheckPredicate, 0, 177, 53, // Skip to: 40641
+/* 26896 */   MCD_OPC_Decode, 242, 17, 167, 1, // Opcode: URSHRv4i32_shift
+/* 26901 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 26914
+/* 26905 */   MCD_OPC_CheckPredicate, 0, 164, 53, // Skip to: 40641
+/* 26909 */   MCD_OPC_Decode, 234, 12, 172, 1, // Opcode: SRIv4i32_shift
+/* 26914 */   MCD_OPC_FilterValue, 3, 155, 53, // Skip to: 40641
+/* 26918 */   MCD_OPC_CheckPredicate, 0, 151, 53, // Skip to: 40641
+/* 26922 */   MCD_OPC_Decode, 151, 12, 173, 1, // Opcode: SQSHLUv4i32_shift
+/* 26927 */   MCD_OPC_FilterValue, 1, 142, 53, // Skip to: 40641
+/* 26931 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 26934 */   MCD_OPC_FilterValue, 0, 140, 0, // Skip to: 27078
+/* 26938 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 26941 */   MCD_OPC_FilterValue, 0, 74, 0, // Skip to: 27019
+/* 26945 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 26948 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 26960
+/* 26952 */   MCD_OPC_CheckPredicate, 0, 117, 53, // Skip to: 40641
+/* 26956 */   MCD_OPC_Decode, 117, 149, 1, // Opcode: BICv4i32
+/* 26960 */   MCD_OPC_FilterValue, 1, 109, 53, // Skip to: 40641
+/* 26964 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 26967 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 26980
+/* 26971 */   MCD_OPC_CheckPredicate, 0, 98, 53, // Skip to: 40641
+/* 26975 */   MCD_OPC_Decode, 161, 18, 168, 1, // Opcode: USRAv16i8_shift
+/* 26980 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 26993
+/* 26984 */   MCD_OPC_CheckPredicate, 0, 85, 53, // Skip to: 40641
+/* 26988 */   MCD_OPC_Decode, 248, 17, 168, 1, // Opcode: URSRAv16i8_shift
+/* 26993 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27006
+/* 26997 */   MCD_OPC_CheckPredicate, 0, 72, 53, // Skip to: 40641
+/* 27001 */   MCD_OPC_Decode, 197, 10, 177, 1, // Opcode: SLIv16i8_shift
+/* 27006 */   MCD_OPC_FilterValue, 3, 63, 53, // Skip to: 40641
+/* 27010 */   MCD_OPC_CheckPredicate, 0, 59, 53, // Skip to: 40641
+/* 27014 */   MCD_OPC_Decode, 175, 17, 169, 1, // Opcode: UQSHLv16i8_shift
+/* 27019 */   MCD_OPC_FilterValue, 1, 50, 53, // Skip to: 40641
+/* 27023 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 27026 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27039
+/* 27030 */   MCD_OPC_CheckPredicate, 0, 39, 53, // Skip to: 40641
+/* 27034 */   MCD_OPC_Decode, 166, 18, 170, 1, // Opcode: USRAv8i16_shift
+/* 27039 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27052
+/* 27043 */   MCD_OPC_CheckPredicate, 0, 26, 53, // Skip to: 40641
+/* 27047 */   MCD_OPC_Decode, 253, 17, 170, 1, // Opcode: URSRAv8i16_shift
+/* 27052 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27065
+/* 27056 */   MCD_OPC_CheckPredicate, 0, 13, 53, // Skip to: 40641
+/* 27060 */   MCD_OPC_Decode, 202, 10, 178, 1, // Opcode: SLIv8i16_shift
+/* 27065 */   MCD_OPC_FilterValue, 3, 4, 53, // Skip to: 40641
+/* 27069 */   MCD_OPC_CheckPredicate, 0, 0, 53, // Skip to: 40641
+/* 27073 */   MCD_OPC_Decode, 189, 17, 171, 1, // Opcode: UQSHLv8i16_shift
+/* 27078 */   MCD_OPC_FilterValue, 1, 247, 52, // Skip to: 40641
+/* 27082 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 27085 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27098
+/* 27089 */   MCD_OPC_CheckPredicate, 0, 236, 52, // Skip to: 40641
+/* 27093 */   MCD_OPC_Decode, 165, 18, 172, 1, // Opcode: USRAv4i32_shift
+/* 27098 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27111
+/* 27102 */   MCD_OPC_CheckPredicate, 0, 223, 52, // Skip to: 40641
+/* 27106 */   MCD_OPC_Decode, 252, 17, 172, 1, // Opcode: URSRAv4i32_shift
+/* 27111 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 27124
+/* 27115 */   MCD_OPC_CheckPredicate, 0, 210, 52, // Skip to: 40641
+/* 27119 */   MCD_OPC_Decode, 201, 10, 179, 1, // Opcode: SLIv4i32_shift
+/* 27124 */   MCD_OPC_FilterValue, 3, 201, 52, // Skip to: 40641
+/* 27128 */   MCD_OPC_CheckPredicate, 0, 197, 52, // Skip to: 40641
+/* 27132 */   MCD_OPC_Decode, 187, 17, 173, 1, // Opcode: UQSHLv4i32_shift
+/* 27137 */   MCD_OPC_FilterValue, 1, 188, 52, // Skip to: 40641
+/* 27141 */   MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
+/* 27144 */   MCD_OPC_FilterValue, 0, 226, 0, // Skip to: 27374
+/* 27148 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 27151 */   MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 27284
+/* 27155 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 27158 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 27251
+/* 27162 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 27165 */   MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 27218
+/* 27169 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 27172 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27185
+/* 27176 */   MCD_OPC_CheckPredicate, 0, 149, 52, // Skip to: 40641
+/* 27180 */   MCD_OPC_Decode, 246, 8, 145, 1, // Opcode: MVNIv8i16
+/* 27185 */   MCD_OPC_FilterValue, 1, 140, 52, // Skip to: 40641
+/* 27189 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 27192 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27205
+/* 27196 */   MCD_OPC_CheckPredicate, 0, 129, 52, // Skip to: 40641
+/* 27200 */   MCD_OPC_Decode, 188, 12, 174, 1, // Opcode: SQSHRUNv16i8_shift
+/* 27205 */   MCD_OPC_FilterValue, 1, 120, 52, // Skip to: 40641
+/* 27209 */   MCD_OPC_CheckPredicate, 0, 116, 52, // Skip to: 40641
+/* 27213 */   MCD_OPC_Decode, 255, 17, 169, 1, // Opcode: USHLLv16i8_shift
+/* 27218 */   MCD_OPC_FilterValue, 1, 107, 52, // Skip to: 40641
+/* 27222 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 27225 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27238
+/* 27229 */   MCD_OPC_CheckPredicate, 0, 96, 52, // Skip to: 40641
+/* 27233 */   MCD_OPC_Decode, 192, 12, 175, 1, // Opcode: SQSHRUNv8i16_shift
+/* 27238 */   MCD_OPC_FilterValue, 1, 87, 52, // Skip to: 40641
+/* 27242 */   MCD_OPC_CheckPredicate, 0, 83, 52, // Skip to: 40641
+/* 27246 */   MCD_OPC_Decode, 131, 18, 171, 1, // Opcode: USHLLv8i16_shift
+/* 27251 */   MCD_OPC_FilterValue, 1, 74, 52, // Skip to: 40641
+/* 27255 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 27258 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27271
+/* 27262 */   MCD_OPC_CheckPredicate, 0, 63, 52, // Skip to: 40641
+/* 27266 */   MCD_OPC_Decode, 191, 12, 176, 1, // Opcode: SQSHRUNv4i32_shift
+/* 27271 */   MCD_OPC_FilterValue, 1, 54, 52, // Skip to: 40641
+/* 27275 */   MCD_OPC_CheckPredicate, 0, 50, 52, // Skip to: 40641
+/* 27279 */   MCD_OPC_Decode, 130, 18, 173, 1, // Opcode: USHLLv4i32_shift
+/* 27284 */   MCD_OPC_FilterValue, 1, 41, 52, // Skip to: 40641
+/* 27288 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 27291 */   MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 27355
+/* 27295 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 27298 */   MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 27336
+/* 27302 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 27305 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 27317
+/* 27309 */   MCD_OPC_CheckPredicate, 0, 16, 52, // Skip to: 40641
+/* 27313 */   MCD_OPC_Decode, 118, 149, 1, // Opcode: BICv8i16
+/* 27317 */   MCD_OPC_FilterValue, 1, 8, 52, // Skip to: 40641
+/* 27321 */   MCD_OPC_CheckPredicate, 0, 4, 52, // Skip to: 40641
+/* 27325 */   MCD_OPC_CheckField, 13, 1, 0, 254, 51, // Skip to: 40641
+/* 27331 */   MCD_OPC_Decode, 195, 17, 174, 1, // Opcode: UQSHRNv16i8_shift
+/* 27336 */   MCD_OPC_FilterValue, 1, 245, 51, // Skip to: 40641
+/* 27340 */   MCD_OPC_CheckPredicate, 0, 241, 51, // Skip to: 40641
+/* 27344 */   MCD_OPC_CheckField, 13, 1, 0, 235, 51, // Skip to: 40641
+/* 27350 */   MCD_OPC_Decode, 199, 17, 175, 1, // Opcode: UQSHRNv8i16_shift
+/* 27355 */   MCD_OPC_FilterValue, 1, 226, 51, // Skip to: 40641
+/* 27359 */   MCD_OPC_CheckPredicate, 0, 222, 51, // Skip to: 40641
+/* 27363 */   MCD_OPC_CheckField, 13, 1, 0, 216, 51, // Skip to: 40641
+/* 27369 */   MCD_OPC_Decode, 198, 17, 176, 1, // Opcode: UQSHRNv4i32_shift
+/* 27374 */   MCD_OPC_FilterValue, 1, 207, 51, // Skip to: 40641
+/* 27378 */   MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 27381 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27400
+/* 27385 */   MCD_OPC_CheckPredicate, 0, 196, 51, // Skip to: 40641
+/* 27389 */   MCD_OPC_CheckField, 19, 3, 0, 190, 51, // Skip to: 40641
+/* 27395 */   MCD_OPC_Decode, 245, 8, 145, 1, // Opcode: MVNIv4s_msl
+/* 27400 */   MCD_OPC_FilterValue, 1, 181, 51, // Skip to: 40641
+/* 27404 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 27407 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27446
+/* 27411 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 27414 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27433
+/* 27418 */   MCD_OPC_CheckPredicate, 0, 163, 51, // Skip to: 40641
+/* 27422 */   MCD_OPC_CheckField, 19, 2, 0, 157, 51, // Skip to: 40641
+/* 27428 */   MCD_OPC_Decode, 204, 8, 145, 1, // Opcode: MOVIv2d_ns
+/* 27433 */   MCD_OPC_FilterValue, 1, 148, 51, // Skip to: 40641
+/* 27437 */   MCD_OPC_CheckPredicate, 0, 144, 51, // Skip to: 40641
+/* 27441 */   MCD_OPC_Decode, 179, 16, 167, 1, // Opcode: UCVTFv4i32_shift
+/* 27446 */   MCD_OPC_FilterValue, 1, 135, 51, // Skip to: 40641
+/* 27450 */   MCD_OPC_CheckPredicate, 0, 131, 51, // Skip to: 40641
+/* 27454 */   MCD_OPC_CheckField, 19, 3, 0, 125, 51, // Skip to: 40641
+/* 27460 */   MCD_OPC_Decode, 233, 4, 145, 1, // Opcode: FMOVv2f64_ns
+/* 27465 */   MCD_OPC_FilterValue, 3, 116, 51, // Skip to: 40641
+/* 27469 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 27472 */   MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 27531
+/* 27476 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 27479 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27518
+/* 27483 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 27486 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27505
+/* 27490 */   MCD_OPC_CheckPredicate, 0, 91, 51, // Skip to: 40641
+/* 27494 */   MCD_OPC_CheckField, 19, 1, 1, 85, 51, // Skip to: 40641
+/* 27500 */   MCD_OPC_Decode, 137, 12, 174, 1, // Opcode: SQRSHRUNv16i8_shift
+/* 27505 */   MCD_OPC_FilterValue, 1, 76, 51, // Skip to: 40641
+/* 27509 */   MCD_OPC_CheckPredicate, 0, 72, 51, // Skip to: 40641
+/* 27513 */   MCD_OPC_Decode, 141, 12, 175, 1, // Opcode: SQRSHRUNv8i16_shift
+/* 27518 */   MCD_OPC_FilterValue, 1, 63, 51, // Skip to: 40641
+/* 27522 */   MCD_OPC_CheckPredicate, 0, 59, 51, // Skip to: 40641
+/* 27526 */   MCD_OPC_Decode, 140, 12, 176, 1, // Opcode: SQRSHRUNv4i32_shift
+/* 27531 */   MCD_OPC_FilterValue, 9, 55, 0, // Skip to: 27590
+/* 27535 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 27538 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 27577
+/* 27542 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 27545 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27564
+/* 27549 */   MCD_OPC_CheckPredicate, 0, 32, 51, // Skip to: 40641
+/* 27553 */   MCD_OPC_CheckField, 19, 1, 1, 26, 51, // Skip to: 40641
+/* 27559 */   MCD_OPC_Decode, 164, 17, 174, 1, // Opcode: UQRSHRNv16i8_shift
+/* 27564 */   MCD_OPC_FilterValue, 1, 17, 51, // Skip to: 40641
+/* 27568 */   MCD_OPC_CheckPredicate, 0, 13, 51, // Skip to: 40641
+/* 27572 */   MCD_OPC_Decode, 168, 17, 175, 1, // Opcode: UQRSHRNv8i16_shift
+/* 27577 */   MCD_OPC_FilterValue, 1, 4, 51, // Skip to: 40641
+/* 27581 */   MCD_OPC_CheckPredicate, 0, 0, 51, // Skip to: 40641
+/* 27585 */   MCD_OPC_Decode, 167, 17, 176, 1, // Opcode: UQRSHRNv4i32_shift
+/* 27590 */   MCD_OPC_FilterValue, 15, 247, 50, // Skip to: 40641
+/* 27594 */   MCD_OPC_CheckPredicate, 0, 243, 50, // Skip to: 40641
+/* 27598 */   MCD_OPC_CheckField, 21, 1, 1, 237, 50, // Skip to: 40641
+/* 27604 */   MCD_OPC_Decode, 154, 4, 167, 1, // Opcode: FCVTZUv4i32_shift
+/* 27609 */   MCD_OPC_FilterValue, 13, 221, 3, // Skip to: 28602
+/* 27613 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 27616 */   MCD_OPC_FilterValue, 0, 80, 0, // Skip to: 27700
+/* 27620 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 27623 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 27642
+/* 27627 */   MCD_OPC_CheckPredicate, 0, 210, 50, // Skip to: 40641
+/* 27631 */   MCD_OPC_CheckField, 10, 1, 0, 204, 50, // Skip to: 40641
+/* 27637 */   MCD_OPC_Decode, 186, 8, 180, 1, // Opcode: MLAv4i16_indexed
+/* 27642 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 27661
+/* 27646 */   MCD_OPC_CheckPredicate, 0, 191, 50, // Skip to: 40641
+/* 27650 */   MCD_OPC_CheckField, 10, 2, 1, 185, 50, // Skip to: 40641
+/* 27656 */   MCD_OPC_Decode, 150, 13, 181, 1, // Opcode: SSHRv2i64_shift
+/* 27661 */   MCD_OPC_FilterValue, 3, 176, 50, // Skip to: 40641
+/* 27665 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 27668 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27681
+/* 27672 */   MCD_OPC_CheckPredicate, 0, 165, 50, // Skip to: 40641
+/* 27676 */   MCD_OPC_Decode, 190, 8, 182, 1, // Opcode: MLAv8i16_indexed
+/* 27681 */   MCD_OPC_FilterValue, 1, 156, 50, // Skip to: 40641
+/* 27685 */   MCD_OPC_CheckPredicate, 0, 152, 50, // Skip to: 40641
+/* 27689 */   MCD_OPC_CheckField, 11, 1, 0, 146, 50, // Skip to: 40641
+/* 27695 */   MCD_OPC_Decode, 144, 18, 181, 1, // Opcode: USHRv2i64_shift
+/* 27700 */   MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 27745
+/* 27704 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 27707 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 27726
+/* 27711 */   MCD_OPC_CheckPredicate, 0, 126, 50, // Skip to: 40641
+/* 27715 */   MCD_OPC_CheckField, 10, 2, 1, 120, 50, // Skip to: 40641
+/* 27721 */   MCD_OPC_Decode, 158, 13, 183, 1, // Opcode: SSRAv2i64_shift
+/* 27726 */   MCD_OPC_FilterValue, 3, 111, 50, // Skip to: 40641
+/* 27730 */   MCD_OPC_CheckPredicate, 0, 107, 50, // Skip to: 40641
+/* 27734 */   MCD_OPC_CheckField, 10, 2, 1, 101, 50, // Skip to: 40641
+/* 27740 */   MCD_OPC_Decode, 163, 18, 183, 1, // Opcode: USRAv2i64_shift
+/* 27745 */   MCD_OPC_FilterValue, 2, 119, 0, // Skip to: 27868
+/* 27749 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 27752 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27771
+/* 27756 */   MCD_OPC_CheckPredicate, 0, 81, 50, // Skip to: 40641
+/* 27760 */   MCD_OPC_CheckField, 10, 1, 0, 75, 50, // Skip to: 40641
+/* 27766 */   MCD_OPC_Decode, 243, 10, 184, 1, // Opcode: SMLALv4i16_indexed
+/* 27771 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 27790
+/* 27775 */   MCD_OPC_CheckPredicate, 0, 62, 50, // Skip to: 40641
+/* 27779 */   MCD_OPC_CheckField, 10, 1, 0, 56, 50, // Skip to: 40641
+/* 27785 */   MCD_OPC_Decode, 234, 16, 184, 1, // Opcode: UMLALv4i16_indexed
+/* 27790 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 27829
+/* 27794 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 27797 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27810
+/* 27801 */   MCD_OPC_CheckPredicate, 0, 36, 50, // Skip to: 40641
+/* 27805 */   MCD_OPC_Decode, 247, 10, 182, 1, // Opcode: SMLALv8i16_indexed
+/* 27810 */   MCD_OPC_FilterValue, 1, 27, 50, // Skip to: 40641
+/* 27814 */   MCD_OPC_CheckPredicate, 0, 23, 50, // Skip to: 40641
+/* 27818 */   MCD_OPC_CheckField, 11, 1, 0, 17, 50, // Skip to: 40641
+/* 27824 */   MCD_OPC_Decode, 248, 12, 181, 1, // Opcode: SRSHRv2i64_shift
+/* 27829 */   MCD_OPC_FilterValue, 3, 8, 50, // Skip to: 40641
+/* 27833 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 27836 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27849
+/* 27840 */   MCD_OPC_CheckPredicate, 0, 253, 49, // Skip to: 40641
+/* 27844 */   MCD_OPC_Decode, 238, 16, 182, 1, // Opcode: UMLALv8i16_indexed
+/* 27849 */   MCD_OPC_FilterValue, 1, 244, 49, // Skip to: 40641
+/* 27853 */   MCD_OPC_CheckPredicate, 0, 240, 49, // Skip to: 40641
+/* 27857 */   MCD_OPC_CheckField, 11, 1, 0, 234, 49, // Skip to: 40641
+/* 27863 */   MCD_OPC_Decode, 240, 17, 181, 1, // Opcode: URSHRv2i64_shift
+/* 27868 */   MCD_OPC_FilterValue, 3, 80, 0, // Skip to: 27952
+/* 27872 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 27875 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 27894
+/* 27879 */   MCD_OPC_CheckPredicate, 0, 214, 49, // Skip to: 40641
+/* 27883 */   MCD_OPC_CheckField, 10, 1, 0, 208, 49, // Skip to: 40641
+/* 27889 */   MCD_OPC_Decode, 177, 11, 184, 1, // Opcode: SQDMLALv4i16_indexed
+/* 27894 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 27933
+/* 27898 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 27901 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 27914
+/* 27905 */   MCD_OPC_CheckPredicate, 0, 188, 49, // Skip to: 40641
+/* 27909 */   MCD_OPC_Decode, 181, 11, 182, 1, // Opcode: SQDMLALv8i16_indexed
+/* 27914 */   MCD_OPC_FilterValue, 1, 179, 49, // Skip to: 40641
+/* 27918 */   MCD_OPC_CheckPredicate, 0, 175, 49, // Skip to: 40641
+/* 27922 */   MCD_OPC_CheckField, 11, 1, 0, 169, 49, // Skip to: 40641
+/* 27928 */   MCD_OPC_Decode, 128, 13, 183, 1, // Opcode: SRSRAv2i64_shift
+/* 27933 */   MCD_OPC_FilterValue, 3, 160, 49, // Skip to: 40641
+/* 27937 */   MCD_OPC_CheckPredicate, 0, 156, 49, // Skip to: 40641
+/* 27941 */   MCD_OPC_CheckField, 10, 2, 1, 150, 49, // Skip to: 40641
+/* 27947 */   MCD_OPC_Decode, 250, 17, 183, 1, // Opcode: URSRAv2i64_shift
+/* 27952 */   MCD_OPC_FilterValue, 4, 61, 0, // Skip to: 28017
+/* 27956 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 27959 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 27992
+/* 27963 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 27966 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 27979
+/* 27970 */   MCD_OPC_CheckPredicate, 0, 123, 49, // Skip to: 40641
+/* 27974 */   MCD_OPC_Decode, 196, 8, 180, 1, // Opcode: MLSv4i16_indexed
+/* 27979 */   MCD_OPC_FilterValue, 3, 114, 49, // Skip to: 40641
+/* 27983 */   MCD_OPC_CheckPredicate, 0, 110, 49, // Skip to: 40641
+/* 27987 */   MCD_OPC_Decode, 200, 8, 182, 1, // Opcode: MLSv8i16_indexed
+/* 27992 */   MCD_OPC_FilterValue, 1, 101, 49, // Skip to: 40641
+/* 27996 */   MCD_OPC_CheckPredicate, 0, 97, 49, // Skip to: 40641
+/* 28000 */   MCD_OPC_CheckField, 29, 3, 3, 91, 49, // Skip to: 40641
+/* 28006 */   MCD_OPC_CheckField, 11, 1, 0, 85, 49, // Skip to: 40641
+/* 28012 */   MCD_OPC_Decode, 232, 12, 183, 1, // Opcode: SRIv2i64_shift
+/* 28017 */   MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 28062
+/* 28021 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28024 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28043
+/* 28028 */   MCD_OPC_CheckPredicate, 0, 65, 49, // Skip to: 40641
+/* 28032 */   MCD_OPC_CheckField, 10, 2, 1, 59, 49, // Skip to: 40641
+/* 28038 */   MCD_OPC_Decode, 179, 10, 185, 1, // Opcode: SHLv2i64_shift
+/* 28043 */   MCD_OPC_FilterValue, 3, 50, 49, // Skip to: 40641
+/* 28047 */   MCD_OPC_CheckPredicate, 0, 46, 49, // Skip to: 40641
+/* 28051 */   MCD_OPC_CheckField, 10, 2, 1, 40, 49, // Skip to: 40641
+/* 28057 */   MCD_OPC_Decode, 199, 10, 186, 1, // Opcode: SLIv2i64_shift
+/* 28062 */   MCD_OPC_FilterValue, 6, 99, 0, // Skip to: 28165
+/* 28066 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28069 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28088
+/* 28073 */   MCD_OPC_CheckPredicate, 0, 20, 49, // Skip to: 40641
+/* 28077 */   MCD_OPC_CheckField, 10, 1, 0, 14, 49, // Skip to: 40641
+/* 28083 */   MCD_OPC_Decode, 253, 10, 184, 1, // Opcode: SMLSLv4i16_indexed
+/* 28088 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28107
+/* 28092 */   MCD_OPC_CheckPredicate, 0, 1, 49, // Skip to: 40641
+/* 28096 */   MCD_OPC_CheckField, 10, 1, 0, 251, 48, // Skip to: 40641
+/* 28102 */   MCD_OPC_Decode, 244, 16, 184, 1, // Opcode: UMLSLv4i16_indexed
+/* 28107 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28126
+/* 28111 */   MCD_OPC_CheckPredicate, 0, 238, 48, // Skip to: 40641
+/* 28115 */   MCD_OPC_CheckField, 10, 1, 0, 232, 48, // Skip to: 40641
+/* 28121 */   MCD_OPC_Decode, 129, 11, 182, 1, // Opcode: SMLSLv8i16_indexed
+/* 28126 */   MCD_OPC_FilterValue, 3, 223, 48, // Skip to: 40641
+/* 28130 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 28133 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 28146
+/* 28137 */   MCD_OPC_CheckPredicate, 0, 212, 48, // Skip to: 40641
+/* 28141 */   MCD_OPC_Decode, 248, 16, 182, 1, // Opcode: UMLSLv8i16_indexed
+/* 28146 */   MCD_OPC_FilterValue, 1, 203, 48, // Skip to: 40641
+/* 28150 */   MCD_OPC_CheckPredicate, 0, 199, 48, // Skip to: 40641
+/* 28154 */   MCD_OPC_CheckField, 11, 1, 0, 193, 48, // Skip to: 40641
+/* 28160 */   MCD_OPC_Decode, 149, 12, 185, 1, // Opcode: SQSHLUv2i64_shift
+/* 28165 */   MCD_OPC_FilterValue, 7, 80, 0, // Skip to: 28249
+/* 28169 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28172 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28191
+/* 28176 */   MCD_OPC_CheckPredicate, 0, 173, 48, // Skip to: 40641
+/* 28180 */   MCD_OPC_CheckField, 10, 1, 0, 167, 48, // Skip to: 40641
+/* 28186 */   MCD_OPC_Decode, 189, 11, 184, 1, // Opcode: SQDMLSLv4i16_indexed
+/* 28191 */   MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 28230
+/* 28195 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 28198 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 28211
+/* 28202 */   MCD_OPC_CheckPredicate, 0, 147, 48, // Skip to: 40641
+/* 28206 */   MCD_OPC_Decode, 193, 11, 182, 1, // Opcode: SQDMLSLv8i16_indexed
+/* 28211 */   MCD_OPC_FilterValue, 1, 138, 48, // Skip to: 40641
+/* 28215 */   MCD_OPC_CheckPredicate, 0, 134, 48, // Skip to: 40641
+/* 28219 */   MCD_OPC_CheckField, 11, 1, 0, 128, 48, // Skip to: 40641
+/* 28225 */   MCD_OPC_Decode, 167, 12, 185, 1, // Opcode: SQSHLv2i64_shift
+/* 28230 */   MCD_OPC_FilterValue, 3, 119, 48, // Skip to: 40641
+/* 28234 */   MCD_OPC_CheckPredicate, 0, 115, 48, // Skip to: 40641
+/* 28238 */   MCD_OPC_CheckField, 10, 2, 1, 109, 48, // Skip to: 40641
+/* 28244 */   MCD_OPC_Decode, 183, 17, 185, 1, // Opcode: UQSHLv2i64_shift
+/* 28249 */   MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 28294
+/* 28253 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28256 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28275
+/* 28260 */   MCD_OPC_CheckPredicate, 0, 89, 48, // Skip to: 40641
+/* 28264 */   MCD_OPC_CheckField, 10, 1, 0, 83, 48, // Skip to: 40641
+/* 28270 */   MCD_OPC_Decode, 235, 8, 187, 1, // Opcode: MULv4i16_indexed
+/* 28275 */   MCD_OPC_FilterValue, 2, 74, 48, // Skip to: 40641
+/* 28279 */   MCD_OPC_CheckPredicate, 0, 70, 48, // Skip to: 40641
+/* 28283 */   MCD_OPC_CheckField, 10, 1, 0, 64, 48, // Skip to: 40641
+/* 28289 */   MCD_OPC_Decode, 239, 8, 188, 1, // Opcode: MULv8i16_indexed
+/* 28294 */   MCD_OPC_FilterValue, 10, 79, 0, // Skip to: 28377
+/* 28298 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28301 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28320
+/* 28305 */   MCD_OPC_CheckPredicate, 0, 44, 48, // Skip to: 40641
+/* 28309 */   MCD_OPC_CheckField, 10, 1, 0, 38, 48, // Skip to: 40641
+/* 28315 */   MCD_OPC_Decode, 142, 11, 189, 1, // Opcode: SMULLv4i16_indexed
+/* 28320 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28339
+/* 28324 */   MCD_OPC_CheckPredicate, 0, 25, 48, // Skip to: 40641
+/* 28328 */   MCD_OPC_CheckField, 10, 1, 0, 19, 48, // Skip to: 40641
+/* 28334 */   MCD_OPC_Decode, 132, 17, 189, 1, // Opcode: UMULLv4i16_indexed
+/* 28339 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28358
+/* 28343 */   MCD_OPC_CheckPredicate, 0, 6, 48, // Skip to: 40641
+/* 28347 */   MCD_OPC_CheckField, 10, 1, 0, 0, 48, // Skip to: 40641
+/* 28353 */   MCD_OPC_Decode, 146, 11, 188, 1, // Opcode: SMULLv8i16_indexed
+/* 28358 */   MCD_OPC_FilterValue, 3, 247, 47, // Skip to: 40641
+/* 28362 */   MCD_OPC_CheckPredicate, 0, 243, 47, // Skip to: 40641
+/* 28366 */   MCD_OPC_CheckField, 10, 1, 0, 237, 47, // Skip to: 40641
+/* 28372 */   MCD_OPC_Decode, 136, 17, 188, 1, // Opcode: UMULLv8i16_indexed
+/* 28377 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 28422
+/* 28381 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28384 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28403
+/* 28388 */   MCD_OPC_CheckPredicate, 0, 217, 47, // Skip to: 40641
+/* 28392 */   MCD_OPC_CheckField, 10, 1, 0, 211, 47, // Skip to: 40641
+/* 28398 */   MCD_OPC_Decode, 213, 11, 189, 1, // Opcode: SQDMULLv4i16_indexed
+/* 28403 */   MCD_OPC_FilterValue, 2, 202, 47, // Skip to: 40641
+/* 28407 */   MCD_OPC_CheckPredicate, 0, 198, 47, // Skip to: 40641
+/* 28411 */   MCD_OPC_CheckField, 10, 1, 0, 192, 47, // Skip to: 40641
+/* 28417 */   MCD_OPC_Decode, 217, 11, 188, 1, // Opcode: SQDMULLv8i16_indexed
+/* 28422 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 28467
+/* 28426 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28429 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28448
+/* 28433 */   MCD_OPC_CheckPredicate, 0, 172, 47, // Skip to: 40641
+/* 28437 */   MCD_OPC_CheckField, 10, 1, 0, 166, 47, // Skip to: 40641
+/* 28443 */   MCD_OPC_Decode, 202, 11, 187, 1, // Opcode: SQDMULHv4i16_indexed
+/* 28448 */   MCD_OPC_FilterValue, 2, 157, 47, // Skip to: 40641
+/* 28452 */   MCD_OPC_CheckPredicate, 0, 153, 47, // Skip to: 40641
+/* 28456 */   MCD_OPC_CheckField, 10, 1, 0, 147, 47, // Skip to: 40641
+/* 28462 */   MCD_OPC_Decode, 206, 11, 188, 1, // Opcode: SQDMULHv8i16_indexed
+/* 28467 */   MCD_OPC_FilterValue, 13, 41, 0, // Skip to: 28512
+/* 28471 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28474 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28493
+/* 28478 */   MCD_OPC_CheckPredicate, 0, 127, 47, // Skip to: 40641
+/* 28482 */   MCD_OPC_CheckField, 10, 1, 0, 121, 47, // Skip to: 40641
+/* 28488 */   MCD_OPC_Decode, 237, 11, 187, 1, // Opcode: SQRDMULHv4i16_indexed
+/* 28493 */   MCD_OPC_FilterValue, 2, 112, 47, // Skip to: 40641
+/* 28497 */   MCD_OPC_CheckPredicate, 0, 108, 47, // Skip to: 40641
+/* 28501 */   MCD_OPC_CheckField, 10, 1, 0, 102, 47, // Skip to: 40641
+/* 28507 */   MCD_OPC_Decode, 241, 11, 188, 1, // Opcode: SQRDMULHv8i16_indexed
+/* 28512 */   MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 28557
+/* 28516 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28519 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28538
+/* 28523 */   MCD_OPC_CheckPredicate, 0, 82, 47, // Skip to: 40641
+/* 28527 */   MCD_OPC_CheckField, 10, 2, 1, 76, 47, // Skip to: 40641
+/* 28533 */   MCD_OPC_Decode, 147, 10, 181, 1, // Opcode: SCVTFv2i64_shift
+/* 28538 */   MCD_OPC_FilterValue, 3, 67, 47, // Skip to: 40641
+/* 28542 */   MCD_OPC_CheckPredicate, 0, 63, 47, // Skip to: 40641
+/* 28546 */   MCD_OPC_CheckField, 10, 2, 1, 57, 47, // Skip to: 40641
+/* 28552 */   MCD_OPC_Decode, 177, 16, 181, 1, // Opcode: UCVTFv2i64_shift
+/* 28557 */   MCD_OPC_FilterValue, 15, 48, 47, // Skip to: 40641
+/* 28561 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28564 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28583
+/* 28568 */   MCD_OPC_CheckPredicate, 0, 37, 47, // Skip to: 40641
+/* 28572 */   MCD_OPC_CheckField, 10, 2, 3, 31, 47, // Skip to: 40641
+/* 28578 */   MCD_OPC_Decode, 251, 3, 181, 1, // Opcode: FCVTZSv2i64_shift
+/* 28583 */   MCD_OPC_FilterValue, 3, 22, 47, // Skip to: 40641
+/* 28587 */   MCD_OPC_CheckPredicate, 0, 18, 47, // Skip to: 40641
+/* 28591 */   MCD_OPC_CheckField, 10, 2, 3, 12, 47, // Skip to: 40641
+/* 28597 */   MCD_OPC_Decode, 152, 4, 181, 1, // Opcode: FCVTZUv2i64_shift
+/* 28602 */   MCD_OPC_FilterValue, 14, 17, 3, // Skip to: 29391
+/* 28606 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 28609 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 28654
+/* 28613 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28616 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28635
+/* 28620 */   MCD_OPC_CheckPredicate, 0, 241, 46, // Skip to: 40641
+/* 28624 */   MCD_OPC_CheckField, 10, 1, 0, 235, 46, // Skip to: 40641
+/* 28630 */   MCD_OPC_Decode, 184, 8, 190, 1, // Opcode: MLAv2i32_indexed
+/* 28635 */   MCD_OPC_FilterValue, 3, 226, 46, // Skip to: 40641
+/* 28639 */   MCD_OPC_CheckPredicate, 0, 222, 46, // Skip to: 40641
+/* 28643 */   MCD_OPC_CheckField, 10, 1, 0, 216, 46, // Skip to: 40641
+/* 28649 */   MCD_OPC_Decode, 188, 8, 191, 1, // Opcode: MLAv4i32_indexed
+/* 28654 */   MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 28699
+/* 28658 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28661 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28680
+/* 28665 */   MCD_OPC_CheckPredicate, 0, 196, 46, // Skip to: 40641
+/* 28669 */   MCD_OPC_CheckField, 10, 1, 0, 190, 46, // Skip to: 40641
+/* 28675 */   MCD_OPC_Decode, 210, 4, 190, 1, // Opcode: FMLAv2i32_indexed
+/* 28680 */   MCD_OPC_FilterValue, 2, 181, 46, // Skip to: 40641
+/* 28684 */   MCD_OPC_CheckPredicate, 0, 177, 46, // Skip to: 40641
+/* 28688 */   MCD_OPC_CheckField, 10, 1, 0, 171, 46, // Skip to: 40641
+/* 28694 */   MCD_OPC_Decode, 213, 4, 191, 1, // Opcode: FMLAv4i32_indexed
+/* 28699 */   MCD_OPC_FilterValue, 2, 79, 0, // Skip to: 28782
+/* 28703 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28706 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28725
+/* 28710 */   MCD_OPC_CheckPredicate, 0, 151, 46, // Skip to: 40641
+/* 28714 */   MCD_OPC_CheckField, 10, 1, 0, 145, 46, // Skip to: 40641
+/* 28720 */   MCD_OPC_Decode, 241, 10, 192, 1, // Opcode: SMLALv2i32_indexed
+/* 28725 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28744
+/* 28729 */   MCD_OPC_CheckPredicate, 0, 132, 46, // Skip to: 40641
+/* 28733 */   MCD_OPC_CheckField, 10, 1, 0, 126, 46, // Skip to: 40641
+/* 28739 */   MCD_OPC_Decode, 232, 16, 192, 1, // Opcode: UMLALv2i32_indexed
+/* 28744 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28763
+/* 28748 */   MCD_OPC_CheckPredicate, 0, 113, 46, // Skip to: 40641
+/* 28752 */   MCD_OPC_CheckField, 10, 1, 0, 107, 46, // Skip to: 40641
+/* 28758 */   MCD_OPC_Decode, 245, 10, 191, 1, // Opcode: SMLALv4i32_indexed
+/* 28763 */   MCD_OPC_FilterValue, 3, 98, 46, // Skip to: 40641
+/* 28767 */   MCD_OPC_CheckPredicate, 0, 94, 46, // Skip to: 40641
+/* 28771 */   MCD_OPC_CheckField, 10, 1, 0, 88, 46, // Skip to: 40641
+/* 28777 */   MCD_OPC_Decode, 236, 16, 191, 1, // Opcode: UMLALv4i32_indexed
+/* 28782 */   MCD_OPC_FilterValue, 3, 41, 0, // Skip to: 28827
+/* 28786 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28789 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28808
+/* 28793 */   MCD_OPC_CheckPredicate, 0, 68, 46, // Skip to: 40641
+/* 28797 */   MCD_OPC_CheckField, 10, 1, 0, 62, 46, // Skip to: 40641
+/* 28803 */   MCD_OPC_Decode, 175, 11, 192, 1, // Opcode: SQDMLALv2i32_indexed
+/* 28808 */   MCD_OPC_FilterValue, 2, 53, 46, // Skip to: 40641
+/* 28812 */   MCD_OPC_CheckPredicate, 0, 49, 46, // Skip to: 40641
+/* 28816 */   MCD_OPC_CheckField, 10, 1, 0, 43, 46, // Skip to: 40641
+/* 28822 */   MCD_OPC_Decode, 179, 11, 191, 1, // Opcode: SQDMLALv4i32_indexed
+/* 28827 */   MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 28872
+/* 28831 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28834 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28853
+/* 28838 */   MCD_OPC_CheckPredicate, 0, 23, 46, // Skip to: 40641
+/* 28842 */   MCD_OPC_CheckField, 10, 1, 0, 17, 46, // Skip to: 40641
+/* 28848 */   MCD_OPC_Decode, 194, 8, 190, 1, // Opcode: MLSv2i32_indexed
+/* 28853 */   MCD_OPC_FilterValue, 3, 8, 46, // Skip to: 40641
+/* 28857 */   MCD_OPC_CheckPredicate, 0, 4, 46, // Skip to: 40641
+/* 28861 */   MCD_OPC_CheckField, 10, 1, 0, 254, 45, // Skip to: 40641
+/* 28867 */   MCD_OPC_Decode, 198, 8, 191, 1, // Opcode: MLSv4i32_indexed
+/* 28872 */   MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 28917
+/* 28876 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28879 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28898
+/* 28883 */   MCD_OPC_CheckPredicate, 0, 234, 45, // Skip to: 40641
+/* 28887 */   MCD_OPC_CheckField, 10, 1, 0, 228, 45, // Skip to: 40641
+/* 28893 */   MCD_OPC_Decode, 218, 4, 190, 1, // Opcode: FMLSv2i32_indexed
+/* 28898 */   MCD_OPC_FilterValue, 2, 219, 45, // Skip to: 40641
+/* 28902 */   MCD_OPC_CheckPredicate, 0, 215, 45, // Skip to: 40641
+/* 28906 */   MCD_OPC_CheckField, 10, 1, 0, 209, 45, // Skip to: 40641
+/* 28912 */   MCD_OPC_Decode, 221, 4, 191, 1, // Opcode: FMLSv4i32_indexed
+/* 28917 */   MCD_OPC_FilterValue, 6, 79, 0, // Skip to: 29000
+/* 28921 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 28924 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 28943
+/* 28928 */   MCD_OPC_CheckPredicate, 0, 189, 45, // Skip to: 40641
+/* 28932 */   MCD_OPC_CheckField, 10, 1, 0, 183, 45, // Skip to: 40641
+/* 28938 */   MCD_OPC_Decode, 251, 10, 192, 1, // Opcode: SMLSLv2i32_indexed
+/* 28943 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 28962
+/* 28947 */   MCD_OPC_CheckPredicate, 0, 170, 45, // Skip to: 40641
+/* 28951 */   MCD_OPC_CheckField, 10, 1, 0, 164, 45, // Skip to: 40641
+/* 28957 */   MCD_OPC_Decode, 242, 16, 192, 1, // Opcode: UMLSLv2i32_indexed
+/* 28962 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 28981
+/* 28966 */   MCD_OPC_CheckPredicate, 0, 151, 45, // Skip to: 40641
+/* 28970 */   MCD_OPC_CheckField, 10, 1, 0, 145, 45, // Skip to: 40641
+/* 28976 */   MCD_OPC_Decode, 255, 10, 191, 1, // Opcode: SMLSLv4i32_indexed
+/* 28981 */   MCD_OPC_FilterValue, 3, 136, 45, // Skip to: 40641
+/* 28985 */   MCD_OPC_CheckPredicate, 0, 132, 45, // Skip to: 40641
+/* 28989 */   MCD_OPC_CheckField, 10, 1, 0, 126, 45, // Skip to: 40641
+/* 28995 */   MCD_OPC_Decode, 246, 16, 191, 1, // Opcode: UMLSLv4i32_indexed
+/* 29000 */   MCD_OPC_FilterValue, 7, 41, 0, // Skip to: 29045
+/* 29004 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29007 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29026
+/* 29011 */   MCD_OPC_CheckPredicate, 0, 106, 45, // Skip to: 40641
+/* 29015 */   MCD_OPC_CheckField, 10, 1, 0, 100, 45, // Skip to: 40641
+/* 29021 */   MCD_OPC_Decode, 187, 11, 192, 1, // Opcode: SQDMLSLv2i32_indexed
+/* 29026 */   MCD_OPC_FilterValue, 2, 91, 45, // Skip to: 40641
+/* 29030 */   MCD_OPC_CheckPredicate, 0, 87, 45, // Skip to: 40641
+/* 29034 */   MCD_OPC_CheckField, 10, 1, 0, 81, 45, // Skip to: 40641
+/* 29040 */   MCD_OPC_Decode, 191, 11, 191, 1, // Opcode: SQDMLSLv4i32_indexed
+/* 29045 */   MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 29090
+/* 29049 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29052 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29071
+/* 29056 */   MCD_OPC_CheckPredicate, 0, 61, 45, // Skip to: 40641
+/* 29060 */   MCD_OPC_CheckField, 10, 1, 0, 55, 45, // Skip to: 40641
+/* 29066 */   MCD_OPC_Decode, 233, 8, 193, 1, // Opcode: MULv2i32_indexed
+/* 29071 */   MCD_OPC_FilterValue, 2, 46, 45, // Skip to: 40641
+/* 29075 */   MCD_OPC_CheckPredicate, 0, 42, 45, // Skip to: 40641
+/* 29079 */   MCD_OPC_CheckField, 10, 1, 0, 36, 45, // Skip to: 40641
+/* 29085 */   MCD_OPC_Decode, 237, 8, 194, 1, // Opcode: MULv4i32_indexed
+/* 29090 */   MCD_OPC_FilterValue, 9, 79, 0, // Skip to: 29173
+/* 29094 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29097 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29116
+/* 29101 */   MCD_OPC_CheckPredicate, 0, 16, 45, // Skip to: 40641
+/* 29105 */   MCD_OPC_CheckField, 10, 1, 0, 10, 45, // Skip to: 40641
+/* 29111 */   MCD_OPC_Decode, 253, 4, 193, 1, // Opcode: FMULv2i32_indexed
+/* 29116 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 29135
+/* 29120 */   MCD_OPC_CheckPredicate, 0, 253, 44, // Skip to: 40641
+/* 29124 */   MCD_OPC_CheckField, 10, 1, 0, 247, 44, // Skip to: 40641
+/* 29130 */   MCD_OPC_Decode, 245, 4, 193, 1, // Opcode: FMULXv2i32_indexed
+/* 29135 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 29154
+/* 29139 */   MCD_OPC_CheckPredicate, 0, 234, 44, // Skip to: 40641
+/* 29143 */   MCD_OPC_CheckField, 10, 1, 0, 228, 44, // Skip to: 40641
+/* 29149 */   MCD_OPC_Decode, 128, 5, 194, 1, // Opcode: FMULv4i32_indexed
+/* 29154 */   MCD_OPC_FilterValue, 3, 219, 44, // Skip to: 40641
+/* 29158 */   MCD_OPC_CheckPredicate, 0, 215, 44, // Skip to: 40641
+/* 29162 */   MCD_OPC_CheckField, 10, 1, 0, 209, 44, // Skip to: 40641
+/* 29168 */   MCD_OPC_Decode, 248, 4, 194, 1, // Opcode: FMULXv4i32_indexed
+/* 29173 */   MCD_OPC_FilterValue, 10, 79, 0, // Skip to: 29256
+/* 29177 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29180 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29199
+/* 29184 */   MCD_OPC_CheckPredicate, 0, 189, 44, // Skip to: 40641
+/* 29188 */   MCD_OPC_CheckField, 10, 1, 0, 183, 44, // Skip to: 40641
+/* 29194 */   MCD_OPC_Decode, 140, 11, 195, 1, // Opcode: SMULLv2i32_indexed
+/* 29199 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 29218
+/* 29203 */   MCD_OPC_CheckPredicate, 0, 170, 44, // Skip to: 40641
+/* 29207 */   MCD_OPC_CheckField, 10, 1, 0, 164, 44, // Skip to: 40641
+/* 29213 */   MCD_OPC_Decode, 130, 17, 195, 1, // Opcode: UMULLv2i32_indexed
+/* 29218 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 29237
+/* 29222 */   MCD_OPC_CheckPredicate, 0, 151, 44, // Skip to: 40641
+/* 29226 */   MCD_OPC_CheckField, 10, 1, 0, 145, 44, // Skip to: 40641
+/* 29232 */   MCD_OPC_Decode, 144, 11, 194, 1, // Opcode: SMULLv4i32_indexed
+/* 29237 */   MCD_OPC_FilterValue, 3, 136, 44, // Skip to: 40641
+/* 29241 */   MCD_OPC_CheckPredicate, 0, 132, 44, // Skip to: 40641
+/* 29245 */   MCD_OPC_CheckField, 10, 1, 0, 126, 44, // Skip to: 40641
+/* 29251 */   MCD_OPC_Decode, 134, 17, 194, 1, // Opcode: UMULLv4i32_indexed
+/* 29256 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 29301
+/* 29260 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29263 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29282
+/* 29267 */   MCD_OPC_CheckPredicate, 0, 106, 44, // Skip to: 40641
+/* 29271 */   MCD_OPC_CheckField, 10, 1, 0, 100, 44, // Skip to: 40641
+/* 29277 */   MCD_OPC_Decode, 211, 11, 195, 1, // Opcode: SQDMULLv2i32_indexed
+/* 29282 */   MCD_OPC_FilterValue, 2, 91, 44, // Skip to: 40641
+/* 29286 */   MCD_OPC_CheckPredicate, 0, 87, 44, // Skip to: 40641
+/* 29290 */   MCD_OPC_CheckField, 10, 1, 0, 81, 44, // Skip to: 40641
+/* 29296 */   MCD_OPC_Decode, 215, 11, 194, 1, // Opcode: SQDMULLv4i32_indexed
+/* 29301 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 29346
+/* 29305 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29308 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29327
+/* 29312 */   MCD_OPC_CheckPredicate, 0, 61, 44, // Skip to: 40641
+/* 29316 */   MCD_OPC_CheckField, 10, 1, 0, 55, 44, // Skip to: 40641
+/* 29322 */   MCD_OPC_Decode, 200, 11, 193, 1, // Opcode: SQDMULHv2i32_indexed
+/* 29327 */   MCD_OPC_FilterValue, 2, 46, 44, // Skip to: 40641
+/* 29331 */   MCD_OPC_CheckPredicate, 0, 42, 44, // Skip to: 40641
+/* 29335 */   MCD_OPC_CheckField, 10, 1, 0, 36, 44, // Skip to: 40641
+/* 29341 */   MCD_OPC_Decode, 204, 11, 194, 1, // Opcode: SQDMULHv4i32_indexed
+/* 29346 */   MCD_OPC_FilterValue, 13, 27, 44, // Skip to: 40641
+/* 29350 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29353 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 29372
+/* 29357 */   MCD_OPC_CheckPredicate, 0, 16, 44, // Skip to: 40641
+/* 29361 */   MCD_OPC_CheckField, 10, 1, 0, 10, 44, // Skip to: 40641
+/* 29367 */   MCD_OPC_Decode, 235, 11, 193, 1, // Opcode: SQRDMULHv2i32_indexed
+/* 29372 */   MCD_OPC_FilterValue, 2, 1, 44, // Skip to: 40641
+/* 29376 */   MCD_OPC_CheckPredicate, 0, 253, 43, // Skip to: 40641
+/* 29380 */   MCD_OPC_CheckField, 10, 1, 0, 247, 43, // Skip to: 40641
+/* 29386 */   MCD_OPC_Decode, 239, 11, 194, 1, // Opcode: SQRDMULHv4i32_indexed
+/* 29391 */   MCD_OPC_FilterValue, 15, 238, 43, // Skip to: 40641
+/* 29395 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 29398 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 29429
+/* 29402 */   MCD_OPC_CheckPredicate, 0, 227, 43, // Skip to: 40641
+/* 29406 */   MCD_OPC_CheckField, 29, 3, 2, 221, 43, // Skip to: 40641
+/* 29412 */   MCD_OPC_CheckField, 21, 1, 0, 215, 43, // Skip to: 40641
+/* 29418 */   MCD_OPC_CheckField, 10, 1, 0, 209, 43, // Skip to: 40641
+/* 29424 */   MCD_OPC_Decode, 211, 4, 196, 1, // Opcode: FMLAv2i64_indexed
+/* 29429 */   MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 29460
+/* 29433 */   MCD_OPC_CheckPredicate, 0, 196, 43, // Skip to: 40641
+/* 29437 */   MCD_OPC_CheckField, 29, 3, 2, 190, 43, // Skip to: 40641
+/* 29443 */   MCD_OPC_CheckField, 21, 1, 0, 184, 43, // Skip to: 40641
+/* 29449 */   MCD_OPC_CheckField, 10, 1, 0, 178, 43, // Skip to: 40641
+/* 29455 */   MCD_OPC_Decode, 219, 4, 196, 1, // Opcode: FMLSv2i64_indexed
+/* 29460 */   MCD_OPC_FilterValue, 9, 169, 43, // Skip to: 40641
+/* 29464 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29467 */   MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 29492
+/* 29471 */   MCD_OPC_CheckPredicate, 0, 158, 43, // Skip to: 40641
+/* 29475 */   MCD_OPC_CheckField, 21, 1, 0, 152, 43, // Skip to: 40641
+/* 29481 */   MCD_OPC_CheckField, 10, 1, 0, 146, 43, // Skip to: 40641
+/* 29487 */   MCD_OPC_Decode, 254, 4, 197, 1, // Opcode: FMULv2i64_indexed
+/* 29492 */   MCD_OPC_FilterValue, 3, 137, 43, // Skip to: 40641
+/* 29496 */   MCD_OPC_CheckPredicate, 0, 133, 43, // Skip to: 40641
+/* 29500 */   MCD_OPC_CheckField, 21, 1, 0, 127, 43, // Skip to: 40641
+/* 29506 */   MCD_OPC_CheckField, 10, 1, 0, 121, 43, // Skip to: 40641
+/* 29512 */   MCD_OPC_Decode, 246, 4, 197, 1, // Opcode: FMULXv2i64_indexed
+/* 29517 */   MCD_OPC_FilterValue, 4, 191, 1, // Skip to: 29968
+/* 29521 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 29524 */   MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 29547
+/* 29528 */   MCD_OPC_ExtractField, 31, 1,  // Inst{31} ...
+/* 29531 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29539
+/* 29535 */   MCD_OPC_Decode, 81, 198, 1, // Opcode: ADR
+/* 29539 */   MCD_OPC_FilterValue, 1, 90, 43, // Skip to: 40641
+/* 29543 */   MCD_OPC_Decode, 82, 198, 1, // Opcode: ADRP
+/* 29547 */   MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 29622
+/* 29551 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29554 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29562
+/* 29558 */   MCD_OPC_Decode, 62, 199, 1, // Opcode: ADDWri
+/* 29562 */   MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 29570
+/* 29566 */   MCD_OPC_Decode, 48, 199, 1, // Opcode: ADDSWri
+/* 29570 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 29579
+/* 29574 */   MCD_OPC_Decode, 166, 15, 199, 1, // Opcode: SUBWri
+/* 29579 */   MCD_OPC_FilterValue, 3, 5, 0, // Skip to: 29588
+/* 29583 */   MCD_OPC_Decode, 157, 15, 199, 1, // Opcode: SUBSWri
+/* 29588 */   MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 29596
+/* 29592 */   MCD_OPC_Decode, 66, 199, 1, // Opcode: ADDXri
+/* 29596 */   MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 29604
+/* 29600 */   MCD_OPC_Decode, 52, 199, 1, // Opcode: ADDSXri
+/* 29604 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 29613
+/* 29608 */   MCD_OPC_Decode, 170, 15, 199, 1, // Opcode: SUBXri
+/* 29613 */   MCD_OPC_FilterValue, 7, 16, 43, // Skip to: 40641
+/* 29617 */   MCD_OPC_Decode, 161, 15, 199, 1, // Opcode: SUBSXri
+/* 29622 */   MCD_OPC_FilterValue, 2, 197, 0, // Skip to: 29823
+/* 29626 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29629 */   MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 29659
+/* 29633 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29636 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 29650
+/* 29640 */   MCD_OPC_CheckField, 22, 1, 0, 243, 42, // Skip to: 40641
+/* 29646 */   MCD_OPC_Decode, 93, 200, 1, // Opcode: ANDWri
+/* 29650 */   MCD_OPC_FilterValue, 1, 235, 42, // Skip to: 40641
+/* 29654 */   MCD_OPC_Decode, 214, 8, 201, 1, // Opcode: MOVNWi
+/* 29659 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 29674
+/* 29663 */   MCD_OPC_CheckField, 22, 2, 0, 220, 42, // Skip to: 40641
+/* 29669 */   MCD_OPC_Decode, 135, 9, 200, 1, // Opcode: ORRWri
+/* 29674 */   MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 29705
+/* 29678 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29681 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 29696
+/* 29685 */   MCD_OPC_CheckField, 22, 1, 0, 198, 42, // Skip to: 40641
+/* 29691 */   MCD_OPC_Decode, 166, 2, 200, 1, // Opcode: EORWri
+/* 29696 */   MCD_OPC_FilterValue, 1, 189, 42, // Skip to: 40641
+/* 29700 */   MCD_OPC_Decode, 216, 8, 201, 1, // Opcode: MOVZWi
+/* 29705 */   MCD_OPC_FilterValue, 3, 26, 0, // Skip to: 29735
+/* 29709 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29712 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 29726
+/* 29716 */   MCD_OPC_CheckField, 22, 1, 0, 167, 42, // Skip to: 40641
+/* 29722 */   MCD_OPC_Decode, 87, 200, 1, // Opcode: ANDSWri
+/* 29726 */   MCD_OPC_FilterValue, 1, 159, 42, // Skip to: 40641
+/* 29730 */   MCD_OPC_Decode, 212, 8, 201, 1, // Opcode: MOVKWi
+/* 29735 */   MCD_OPC_FilterValue, 4, 20, 0, // Skip to: 29759
+/* 29739 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29742 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29750
+/* 29746 */   MCD_OPC_Decode, 96, 200, 1, // Opcode: ANDXri
+/* 29750 */   MCD_OPC_FilterValue, 1, 135, 42, // Skip to: 40641
+/* 29754 */   MCD_OPC_Decode, 215, 8, 201, 1, // Opcode: MOVNXi
+/* 29759 */   MCD_OPC_FilterValue, 5, 11, 0, // Skip to: 29774
+/* 29763 */   MCD_OPC_CheckField, 23, 1, 0, 120, 42, // Skip to: 40641
+/* 29769 */   MCD_OPC_Decode, 138, 9, 200, 1, // Opcode: ORRXri
+/* 29774 */   MCD_OPC_FilterValue, 6, 21, 0, // Skip to: 29799
+/* 29778 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29781 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 29790
+/* 29785 */   MCD_OPC_Decode, 169, 2, 200, 1, // Opcode: EORXri
+/* 29790 */   MCD_OPC_FilterValue, 1, 95, 42, // Skip to: 40641
+/* 29794 */   MCD_OPC_Decode, 217, 8, 201, 1, // Opcode: MOVZXi
+/* 29799 */   MCD_OPC_FilterValue, 7, 86, 42, // Skip to: 40641
+/* 29803 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 29806 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29814
+/* 29810 */   MCD_OPC_Decode, 90, 200, 1, // Opcode: ANDSXri
+/* 29814 */   MCD_OPC_FilterValue, 1, 71, 42, // Skip to: 40641
+/* 29818 */   MCD_OPC_Decode, 213, 8, 201, 1, // Opcode: MOVKXi
+/* 29823 */   MCD_OPC_FilterValue, 3, 62, 42, // Skip to: 40641
+/* 29827 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29830 */   MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 29867
+/* 29834 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 29837 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 29852
+/* 29841 */   MCD_OPC_CheckField, 15, 1, 0, 42, 42, // Skip to: 40641
+/* 29847 */   MCD_OPC_Decode, 130, 10, 202, 1, // Opcode: SBFMWri
+/* 29852 */   MCD_OPC_FilterValue, 4, 33, 42, // Skip to: 40641
+/* 29856 */   MCD_OPC_CheckField, 15, 1, 0, 27, 42, // Skip to: 40641
+/* 29862 */   MCD_OPC_Decode, 175, 2, 203, 1, // Opcode: EXTRWrri
+/* 29867 */   MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 29887
+/* 29871 */   MCD_OPC_CheckField, 21, 3, 0, 12, 42, // Skip to: 40641
+/* 29877 */   MCD_OPC_CheckField, 15, 1, 0, 6, 42, // Skip to: 40641
+/* 29883 */   MCD_OPC_Decode, 104, 204, 1, // Opcode: BFMWri
+/* 29887 */   MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 29908
+/* 29891 */   MCD_OPC_CheckField, 21, 3, 0, 248, 41, // Skip to: 40641
+/* 29897 */   MCD_OPC_CheckField, 15, 1, 0, 242, 41, // Skip to: 40641
+/* 29903 */   MCD_OPC_Decode, 160, 16, 202, 1, // Opcode: UBFMWri
+/* 29908 */   MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 29939
+/* 29912 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 29915 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 29924
+/* 29919 */   MCD_OPC_Decode, 131, 10, 205, 1, // Opcode: SBFMXri
+/* 29924 */   MCD_OPC_FilterValue, 3, 217, 41, // Skip to: 40641
+/* 29928 */   MCD_OPC_CheckField, 21, 1, 0, 211, 41, // Skip to: 40641
+/* 29934 */   MCD_OPC_Decode, 176, 2, 206, 1, // Opcode: EXTRXrri
+/* 29939 */   MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 29953
+/* 29943 */   MCD_OPC_CheckField, 22, 2, 1, 196, 41, // Skip to: 40641
+/* 29949 */   MCD_OPC_Decode, 105, 207, 1, // Opcode: BFMXri
+/* 29953 */   MCD_OPC_FilterValue, 6, 188, 41, // Skip to: 40641
+/* 29957 */   MCD_OPC_CheckField, 22, 2, 1, 182, 41, // Skip to: 40641
+/* 29963 */   MCD_OPC_Decode, 161, 16, 205, 1, // Opcode: UBFMXri
+/* 29968 */   MCD_OPC_FilterValue, 5, 218, 1, // Skip to: 30446
+/* 29972 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 29975 */   MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 29983
+/* 29979 */   MCD_OPC_Decode, 103, 208, 1, // Opcode: B
+/* 29983 */   MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 30026
+/* 29987 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 29990 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 29999
+/* 29994 */   MCD_OPC_Decode, 133, 1, 209, 1, // Opcode: CBZW
+/* 29999 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30008
+/* 30003 */   MCD_OPC_Decode, 131, 1, 209, 1, // Opcode: CBNZW
+/* 30008 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30017
+/* 30012 */   MCD_OPC_Decode, 215, 15, 210, 1, // Opcode: TBZW
+/* 30017 */   MCD_OPC_FilterValue, 3, 124, 41, // Skip to: 40641
+/* 30021 */   MCD_OPC_Decode, 205, 15, 210, 1, // Opcode: TBNZW
+/* 30026 */   MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 30047
+/* 30030 */   MCD_OPC_CheckField, 24, 2, 0, 109, 41, // Skip to: 40641
+/* 30036 */   MCD_OPC_CheckField, 4, 1, 0, 103, 41, // Skip to: 40641
+/* 30042 */   MCD_OPC_Decode, 130, 1, 211, 1, // Opcode: Bcc
+/* 30047 */   MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 30055
+/* 30051 */   MCD_OPC_Decode, 124, 208, 1, // Opcode: BL
+/* 30055 */   MCD_OPC_FilterValue, 5, 39, 0, // Skip to: 30098
+/* 30059 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 30062 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30071
+/* 30066 */   MCD_OPC_Decode, 134, 1, 212, 1, // Opcode: CBZX
+/* 30071 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30080
+/* 30075 */   MCD_OPC_Decode, 132, 1, 212, 1, // Opcode: CBNZX
+/* 30080 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30089
+/* 30084 */   MCD_OPC_Decode, 216, 15, 210, 1, // Opcode: TBZX
+/* 30089 */   MCD_OPC_FilterValue, 3, 52, 41, // Skip to: 40641
+/* 30093 */   MCD_OPC_Decode, 206, 15, 210, 1, // Opcode: TBNZX
+/* 30098 */   MCD_OPC_FilterValue, 6, 43, 41, // Skip to: 40641
+/* 30102 */   MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 30105 */   MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 30139
+/* 30109 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
+/* 30112 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30121
+/* 30116 */   MCD_OPC_Decode, 194, 15, 213, 1, // Opcode: SVC
+/* 30121 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30130
+/* 30125 */   MCD_OPC_Decode, 209, 5, 213, 1, // Opcode: HVC
+/* 30130 */   MCD_OPC_FilterValue, 3, 11, 41, // Skip to: 40641
+/* 30134 */   MCD_OPC_Decode, 222, 10, 213, 1, // Opcode: SMC
+/* 30139 */   MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 30153
+/* 30143 */   MCD_OPC_CheckField, 0, 5, 0, 252, 40, // Skip to: 40641
+/* 30149 */   MCD_OPC_Decode, 127, 213, 1, // Opcode: BRK
+/* 30153 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 30168
+/* 30157 */   MCD_OPC_CheckField, 0, 5, 0, 238, 40, // Skip to: 40641
+/* 30163 */   MCD_OPC_Decode, 208, 5, 213, 1, // Opcode: HLT
+/* 30168 */   MCD_OPC_FilterValue, 5, 30, 0, // Skip to: 30202
+/* 30172 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
+/* 30175 */   MCD_OPC_FilterValue, 1, 5, 0, // Skip to: 30184
+/* 30179 */   MCD_OPC_Decode, 142, 2, 213, 1, // Opcode: DCPS1
+/* 30184 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30193
+/* 30188 */   MCD_OPC_Decode, 143, 2, 213, 1, // Opcode: DCPS2
+/* 30193 */   MCD_OPC_FilterValue, 3, 204, 40, // Skip to: 40641
+/* 30197 */   MCD_OPC_Decode, 144, 2, 213, 1, // Opcode: DCPS3
+/* 30202 */   MCD_OPC_FilterValue, 8, 122, 0, // Skip to: 30328
+/* 30206 */   MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
+/* 30209 */   MCD_OPC_FilterValue, 95, 11, 0, // Skip to: 30224
+/* 30213 */   MCD_OPC_CheckField, 12, 9, 51, 53, 0, // Skip to: 30272
+/* 30219 */   MCD_OPC_Decode, 143, 1, 214, 1, // Opcode: CLREX
+/* 30224 */   MCD_OPC_FilterValue, 159, 1, 11, 0, // Skip to: 30240
+/* 30229 */   MCD_OPC_CheckField, 12, 9, 51, 37, 0, // Skip to: 30272
+/* 30235 */   MCD_OPC_Decode, 147, 2, 214, 1, // Opcode: DSB
+/* 30240 */   MCD_OPC_FilterValue, 191, 1, 11, 0, // Skip to: 30256
+/* 30245 */   MCD_OPC_CheckField, 12, 9, 51, 21, 0, // Skip to: 30272
+/* 30251 */   MCD_OPC_Decode, 145, 2, 214, 1, // Opcode: DMB
+/* 30256 */   MCD_OPC_FilterValue, 223, 1, 11, 0, // Skip to: 30272
+/* 30261 */   MCD_OPC_CheckField, 12, 9, 51, 5, 0, // Skip to: 30272
+/* 30267 */   MCD_OPC_Decode, 218, 5, 214, 1, // Opcode: ISB
+/* 30272 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
+/* 30275 */   MCD_OPC_FilterValue, 31, 33, 0, // Skip to: 30312
+/* 30279 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 30282 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 30297
+/* 30286 */   MCD_OPC_CheckField, 16, 5, 3, 20, 0, // Skip to: 30312
+/* 30292 */   MCD_OPC_Decode, 207, 5, 215, 1, // Opcode: HINT
+/* 30297 */   MCD_OPC_FilterValue, 4, 11, 0, // Skip to: 30312
+/* 30301 */   MCD_OPC_CheckField, 19, 2, 0, 5, 0, // Skip to: 30312
+/* 30307 */   MCD_OPC_Decode, 228, 8, 216, 1, // Opcode: MSRpstate
+/* 30312 */   MCD_OPC_CheckField, 19, 2, 1, 5, 0, // Skip to: 30323
+/* 30318 */   MCD_OPC_Decode, 196, 15, 217, 1, // Opcode: SYSxt
+/* 30323 */   MCD_OPC_Decode, 227, 8, 218, 1, // Opcode: MSR
+/* 30328 */   MCD_OPC_FilterValue, 9, 16, 0, // Skip to: 30348
+/* 30332 */   MCD_OPC_CheckField, 19, 2, 1, 5, 0, // Skip to: 30343
+/* 30338 */   MCD_OPC_Decode, 195, 15, 219, 1, // Opcode: SYSLxt
+/* 30343 */   MCD_OPC_Decode, 226, 8, 220, 1, // Opcode: MRS
+/* 30348 */   MCD_OPC_FilterValue, 16, 17, 0, // Skip to: 30369
+/* 30352 */   MCD_OPC_CheckField, 10, 11, 192, 15, 42, 40, // Skip to: 40641
+/* 30359 */   MCD_OPC_CheckField, 0, 5, 0, 36, 40, // Skip to: 40641
+/* 30365 */   MCD_OPC_Decode, 126, 221, 1, // Opcode: BR
+/* 30369 */   MCD_OPC_FilterValue, 17, 17, 0, // Skip to: 30390
+/* 30373 */   MCD_OPC_CheckField, 10, 11, 192, 15, 21, 40, // Skip to: 40641
+/* 30380 */   MCD_OPC_CheckField, 0, 5, 0, 15, 40, // Skip to: 40641
+/* 30386 */   MCD_OPC_Decode, 125, 221, 1, // Opcode: BLR
+/* 30390 */   MCD_OPC_FilterValue, 18, 18, 0, // Skip to: 30412
+/* 30394 */   MCD_OPC_CheckField, 10, 11, 192, 15, 0, 40, // Skip to: 40641
+/* 30401 */   MCD_OPC_CheckField, 0, 5, 0, 250, 39, // Skip to: 40641
+/* 30407 */   MCD_OPC_Decode, 168, 9, 221, 1, // Opcode: RET
+/* 30412 */   MCD_OPC_FilterValue, 20, 13, 0, // Skip to: 30429
+/* 30416 */   MCD_OPC_CheckField, 0, 21, 224, 135, 124, 233, 39, // Skip to: 40641
+/* 30424 */   MCD_OPC_Decode, 174, 2, 222, 1, // Opcode: ERET
+/* 30429 */   MCD_OPC_FilterValue, 21, 224, 39, // Skip to: 40641
+/* 30433 */   MCD_OPC_CheckField, 0, 21, 224, 135, 124, 216, 39, // Skip to: 40641
+/* 30441 */   MCD_OPC_Decode, 146, 2, 222, 1, // Opcode: DRPS
+/* 30446 */   MCD_OPC_FilterValue, 6, 54, 10, // Skip to: 33064
+/* 30450 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 30453 */   MCD_OPC_FilterValue, 0, 41, 1, // Skip to: 30754
+/* 30457 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 30460 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30469
+/* 30464 */   MCD_OPC_Decode, 134, 8, 209, 1, // Opcode: LDRWl
+/* 30469 */   MCD_OPC_FilterValue, 2, 244, 0, // Skip to: 30717
+/* 30473 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 30476 */   MCD_OPC_FilterValue, 0, 68, 0, // Skip to: 30548
+/* 30480 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 30483 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 30497
+/* 30487 */   MCD_OPC_CheckField, 12, 4, 0, 164, 39, // Skip to: 40641
+/* 30493 */   MCD_OPC_Decode, 32, 223, 1, // Opcode: ADCWr
+/* 30497 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 30506
+/* 30501 */   MCD_OPC_Decode, 134, 2, 224, 1, // Opcode: CSELWr
+/* 30506 */   MCD_OPC_FilterValue, 6, 147, 39, // Skip to: 40641
+/* 30510 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 30513 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30522
+/* 30517 */   MCD_OPC_Decode, 176, 8, 223, 1, // Opcode: LSLVWr
+/* 30522 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 30535
+/* 30526 */   MCD_OPC_CheckPredicate, 2, 127, 39, // Skip to: 40641
+/* 30530 */   MCD_OPC_Decode, 254, 1, 223, 1, // Opcode: CRC32Brr
+/* 30535 */   MCD_OPC_FilterValue, 5, 118, 39, // Skip to: 40641
+/* 30539 */   MCD_OPC_CheckPredicate, 2, 114, 39, // Skip to: 40641
+/* 30543 */   MCD_OPC_Decode, 255, 1, 223, 1, // Opcode: CRC32CBrr
+/* 30548 */   MCD_OPC_FilterValue, 1, 54, 0, // Skip to: 30606
+/* 30552 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 30555 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 30564
+/* 30559 */   MCD_OPC_Decode, 136, 2, 224, 1, // Opcode: CSINCWr
+/* 30564 */   MCD_OPC_FilterValue, 6, 89, 39, // Skip to: 40641
+/* 30568 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 30571 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30580
+/* 30575 */   MCD_OPC_Decode, 178, 8, 223, 1, // Opcode: LSRVWr
+/* 30580 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 30593
+/* 30584 */   MCD_OPC_CheckPredicate, 2, 69, 39, // Skip to: 40641
+/* 30588 */   MCD_OPC_Decode, 131, 2, 223, 1, // Opcode: CRC32Hrr
+/* 30593 */   MCD_OPC_FilterValue, 5, 60, 39, // Skip to: 40641
+/* 30597 */   MCD_OPC_CheckPredicate, 2, 56, 39, // Skip to: 40641
+/* 30601 */   MCD_OPC_Decode, 128, 2, 223, 1, // Opcode: CRC32CHrr
+/* 30606 */   MCD_OPC_FilterValue, 2, 70, 0, // Skip to: 30680
+/* 30610 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 30613 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30628
+/* 30617 */   MCD_OPC_CheckField, 21, 3, 6, 34, 39, // Skip to: 40641
+/* 30623 */   MCD_OPC_Decode, 180, 16, 223, 1, // Opcode: UDIVWr
+/* 30628 */   MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 30642
+/* 30632 */   MCD_OPC_CheckField, 21, 3, 6, 19, 39, // Skip to: 40641
+/* 30638 */   MCD_OPC_Decode, 101, 223, 1, // Opcode: ASRVWr
+/* 30642 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 30661
+/* 30646 */   MCD_OPC_CheckPredicate, 2, 7, 39, // Skip to: 40641
+/* 30650 */   MCD_OPC_CheckField, 21, 3, 6, 1, 39, // Skip to: 40641
+/* 30656 */   MCD_OPC_Decode, 132, 2, 223, 1, // Opcode: CRC32Wrr
+/* 30661 */   MCD_OPC_FilterValue, 5, 248, 38, // Skip to: 40641
+/* 30665 */   MCD_OPC_CheckPredicate, 2, 244, 38, // Skip to: 40641
+/* 30669 */   MCD_OPC_CheckField, 21, 3, 6, 238, 38, // Skip to: 40641
+/* 30675 */   MCD_OPC_Decode, 129, 2, 223, 1, // Opcode: CRC32CWrr
+/* 30680 */   MCD_OPC_FilterValue, 3, 229, 38, // Skip to: 40641
+/* 30684 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 30687 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30702
+/* 30691 */   MCD_OPC_CheckField, 21, 3, 6, 216, 38, // Skip to: 40641
+/* 30697 */   MCD_OPC_Decode, 150, 10, 223, 1, // Opcode: SDIVWr
+/* 30702 */   MCD_OPC_FilterValue, 2, 207, 38, // Skip to: 40641
+/* 30706 */   MCD_OPC_CheckField, 21, 3, 6, 201, 38, // Skip to: 40641
+/* 30712 */   MCD_OPC_Decode, 187, 9, 223, 1, // Opcode: RORVWr
+/* 30717 */   MCD_OPC_FilterValue, 3, 192, 38, // Skip to: 40641
+/* 30721 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 30724 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30739
+/* 30728 */   MCD_OPC_CheckField, 21, 3, 0, 179, 38, // Skip to: 40641
+/* 30734 */   MCD_OPC_Decode, 180, 8, 225, 1, // Opcode: MADDWrrr
+/* 30739 */   MCD_OPC_FilterValue, 1, 170, 38, // Skip to: 40641
+/* 30743 */   MCD_OPC_CheckField, 21, 3, 0, 164, 38, // Skip to: 40641
+/* 30749 */   MCD_OPC_Decode, 229, 8, 225, 1, // Opcode: MSUBWrrr
+/* 30754 */   MCD_OPC_FilterValue, 1, 224, 1, // Skip to: 31238
+/* 30758 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 30761 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 30854
+/* 30765 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 30768 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30783
+/* 30772 */   MCD_OPC_CheckField, 21, 1, 0, 135, 38, // Skip to: 40641
+/* 30778 */   MCD_OPC_Decode, 136, 15, 226, 1, // Opcode: STURBBi
+/* 30783 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 30798
+/* 30787 */   MCD_OPC_CheckField, 21, 1, 0, 120, 38, // Skip to: 40641
+/* 30793 */   MCD_OPC_Decode, 215, 14, 226, 1, // Opcode: STRBBpost
+/* 30798 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 30839
+/* 30802 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 30805 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30814
+/* 30809 */   MCD_OPC_Decode, 132, 15, 226, 1, // Opcode: STTRBi
+/* 30814 */   MCD_OPC_FilterValue, 1, 95, 38, // Skip to: 40641
+/* 30818 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 30821 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30830
+/* 30825 */   MCD_OPC_Decode, 217, 14, 227, 1, // Opcode: STRBBroW
+/* 30830 */   MCD_OPC_FilterValue, 3, 79, 38, // Skip to: 40641
+/* 30834 */   MCD_OPC_Decode, 218, 14, 228, 1, // Opcode: STRBBroX
+/* 30839 */   MCD_OPC_FilterValue, 3, 70, 38, // Skip to: 40641
+/* 30843 */   MCD_OPC_CheckField, 21, 1, 0, 64, 38, // Skip to: 40641
+/* 30849 */   MCD_OPC_Decode, 216, 14, 226, 1, // Opcode: STRBBpre
+/* 30854 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 30947
+/* 30858 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 30861 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30876
+/* 30865 */   MCD_OPC_CheckField, 21, 1, 0, 42, 38, // Skip to: 40641
+/* 30871 */   MCD_OPC_Decode, 155, 8, 226, 1, // Opcode: LDURBBi
+/* 30876 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 30891
+/* 30880 */   MCD_OPC_CheckField, 21, 1, 0, 27, 38, // Skip to: 40641
+/* 30886 */   MCD_OPC_Decode, 198, 7, 226, 1, // Opcode: LDRBBpost
+/* 30891 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 30932
+/* 30895 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 30898 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 30907
+/* 30902 */   MCD_OPC_Decode, 146, 8, 226, 1, // Opcode: LDTRBi
+/* 30907 */   MCD_OPC_FilterValue, 1, 2, 38, // Skip to: 40641
+/* 30911 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 30914 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 30923
+/* 30918 */   MCD_OPC_Decode, 200, 7, 227, 1, // Opcode: LDRBBroW
+/* 30923 */   MCD_OPC_FilterValue, 3, 242, 37, // Skip to: 40641
+/* 30927 */   MCD_OPC_Decode, 201, 7, 228, 1, // Opcode: LDRBBroX
+/* 30932 */   MCD_OPC_FilterValue, 3, 233, 37, // Skip to: 40641
+/* 30936 */   MCD_OPC_CheckField, 21, 1, 0, 227, 37, // Skip to: 40641
+/* 30942 */   MCD_OPC_Decode, 199, 7, 226, 1, // Opcode: LDRBBpre
+/* 30947 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 31040
+/* 30951 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 30954 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 30969
+/* 30958 */   MCD_OPC_CheckField, 21, 1, 0, 205, 37, // Skip to: 40641
+/* 30964 */   MCD_OPC_Decode, 162, 8, 226, 1, // Opcode: LDURSBXi
+/* 30969 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 30984
+/* 30973 */   MCD_OPC_CheckField, 21, 1, 0, 190, 37, // Skip to: 40641
+/* 30979 */   MCD_OPC_Decode, 235, 7, 226, 1, // Opcode: LDRSBXpost
+/* 30984 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31025
+/* 30988 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 30991 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31000
+/* 30995 */   MCD_OPC_Decode, 149, 8, 226, 1, // Opcode: LDTRSBXi
+/* 31000 */   MCD_OPC_FilterValue, 1, 165, 37, // Skip to: 40641
+/* 31004 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31007 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31016
+/* 31011 */   MCD_OPC_Decode, 237, 7, 229, 1, // Opcode: LDRSBXroW
+/* 31016 */   MCD_OPC_FilterValue, 3, 149, 37, // Skip to: 40641
+/* 31020 */   MCD_OPC_Decode, 238, 7, 230, 1, // Opcode: LDRSBXroX
+/* 31025 */   MCD_OPC_FilterValue, 3, 140, 37, // Skip to: 40641
+/* 31029 */   MCD_OPC_CheckField, 21, 1, 0, 134, 37, // Skip to: 40641
+/* 31035 */   MCD_OPC_Decode, 236, 7, 226, 1, // Opcode: LDRSBXpre
+/* 31040 */   MCD_OPC_FilterValue, 3, 89, 0, // Skip to: 31133
+/* 31044 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31047 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31062
+/* 31051 */   MCD_OPC_CheckField, 21, 1, 0, 112, 37, // Skip to: 40641
+/* 31057 */   MCD_OPC_Decode, 161, 8, 226, 1, // Opcode: LDURSBWi
+/* 31062 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31077
+/* 31066 */   MCD_OPC_CheckField, 21, 1, 0, 97, 37, // Skip to: 40641
+/* 31072 */   MCD_OPC_Decode, 230, 7, 226, 1, // Opcode: LDRSBWpost
+/* 31077 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31118
+/* 31081 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 31084 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31093
+/* 31088 */   MCD_OPC_Decode, 148, 8, 226, 1, // Opcode: LDTRSBWi
+/* 31093 */   MCD_OPC_FilterValue, 1, 72, 37, // Skip to: 40641
+/* 31097 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31100 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31109
+/* 31104 */   MCD_OPC_Decode, 232, 7, 227, 1, // Opcode: LDRSBWroW
+/* 31109 */   MCD_OPC_FilterValue, 3, 56, 37, // Skip to: 40641
+/* 31113 */   MCD_OPC_Decode, 233, 7, 228, 1, // Opcode: LDRSBWroX
+/* 31118 */   MCD_OPC_FilterValue, 3, 47, 37, // Skip to: 40641
+/* 31122 */   MCD_OPC_CheckField, 21, 1, 0, 41, 37, // Skip to: 40641
+/* 31128 */   MCD_OPC_Decode, 231, 7, 226, 1, // Opcode: LDRSBWpre
+/* 31133 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31142
+/* 31137 */   MCD_OPC_Decode, 219, 14, 231, 1, // Opcode: STRBBui
+/* 31142 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 31151
+/* 31146 */   MCD_OPC_Decode, 202, 7, 231, 1, // Opcode: LDRBBui
+/* 31151 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 31160
+/* 31155 */   MCD_OPC_Decode, 239, 7, 231, 1, // Opcode: LDRSBXui
+/* 31160 */   MCD_OPC_FilterValue, 7, 5, 0, // Skip to: 31169
+/* 31164 */   MCD_OPC_Decode, 234, 7, 231, 1, // Opcode: LDRSBWui
+/* 31169 */   MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 31189
+/* 31173 */   MCD_OPC_CheckField, 21, 1, 0, 246, 36, // Skip to: 40641
+/* 31179 */   MCD_OPC_CheckField, 10, 6, 0, 240, 36, // Skip to: 40641
+/* 31185 */   MCD_OPC_Decode, 30, 223, 1, // Opcode: ADCSWr
+/* 31189 */   MCD_OPC_FilterValue, 9, 232, 36, // Skip to: 40641
+/* 31193 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31196 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 31217
+/* 31200 */   MCD_OPC_CheckField, 21, 1, 0, 219, 36, // Skip to: 40641
+/* 31206 */   MCD_OPC_CheckField, 4, 1, 0, 213, 36, // Skip to: 40641
+/* 31212 */   MCD_OPC_Decode, 136, 1, 232, 1, // Opcode: CCMNWr
+/* 31217 */   MCD_OPC_FilterValue, 2, 204, 36, // Skip to: 40641
+/* 31221 */   MCD_OPC_CheckField, 21, 1, 0, 198, 36, // Skip to: 40641
+/* 31227 */   MCD_OPC_CheckField, 4, 1, 0, 192, 36, // Skip to: 40641
+/* 31233 */   MCD_OPC_Decode, 135, 1, 233, 1, // Opcode: CCMNWi
+/* 31238 */   MCD_OPC_FilterValue, 2, 132, 0, // Skip to: 31374
+/* 31242 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 31245 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31254
+/* 31249 */   MCD_OPC_Decode, 140, 8, 212, 1, // Opcode: LDRXl
+/* 31254 */   MCD_OPC_FilterValue, 2, 167, 36, // Skip to: 40641
+/* 31258 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31261 */   MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 31317
+/* 31265 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 31268 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31283
+/* 31272 */   MCD_OPC_CheckField, 12, 4, 0, 147, 36, // Skip to: 40641
+/* 31278 */   MCD_OPC_Decode, 128, 10, 223, 1, // Opcode: SBCWr
+/* 31283 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31292
+/* 31287 */   MCD_OPC_Decode, 138, 2, 224, 1, // Opcode: CSINVWr
+/* 31292 */   MCD_OPC_FilterValue, 6, 129, 36, // Skip to: 40641
+/* 31296 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
+/* 31299 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31308
+/* 31303 */   MCD_OPC_Decode, 164, 9, 234, 1, // Opcode: RBITWr
+/* 31308 */   MCD_OPC_FilterValue, 1, 113, 36, // Skip to: 40641
+/* 31312 */   MCD_OPC_Decode, 152, 1, 234, 1, // Opcode: CLZWr
+/* 31317 */   MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 31358
+/* 31321 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 31324 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31333
+/* 31328 */   MCD_OPC_Decode, 140, 2, 224, 1, // Opcode: CSNEGWr
+/* 31333 */   MCD_OPC_FilterValue, 6, 88, 36, // Skip to: 40641
+/* 31337 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
+/* 31340 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31349
+/* 31344 */   MCD_OPC_Decode, 170, 9, 234, 1, // Opcode: REV16Wr
+/* 31349 */   MCD_OPC_FilterValue, 1, 72, 36, // Skip to: 40641
+/* 31353 */   MCD_OPC_Decode, 144, 1, 234, 1, // Opcode: CLSWr
+/* 31358 */   MCD_OPC_FilterValue, 2, 63, 36, // Skip to: 40641
+/* 31362 */   MCD_OPC_CheckField, 12, 12, 128, 24, 56, 36, // Skip to: 40641
+/* 31369 */   MCD_OPC_Decode, 185, 9, 234, 1, // Opcode: REVWr
+/* 31374 */   MCD_OPC_FilterValue, 3, 225, 1, // Skip to: 31859
+/* 31378 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 31381 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 31474
+/* 31385 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31388 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31403
+/* 31392 */   MCD_OPC_CheckField, 21, 1, 0, 27, 36, // Skip to: 40641
+/* 31398 */   MCD_OPC_Decode, 139, 15, 226, 1, // Opcode: STURHHi
+/* 31403 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31418
+/* 31407 */   MCD_OPC_CheckField, 21, 1, 0, 12, 36, // Skip to: 40641
+/* 31413 */   MCD_OPC_Decode, 230, 14, 226, 1, // Opcode: STRHHpost
+/* 31418 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31459
+/* 31422 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 31425 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31434
+/* 31429 */   MCD_OPC_Decode, 133, 15, 226, 1, // Opcode: STTRHi
+/* 31434 */   MCD_OPC_FilterValue, 1, 243, 35, // Skip to: 40641
+/* 31438 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31441 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31450
+/* 31445 */   MCD_OPC_Decode, 232, 14, 227, 1, // Opcode: STRHHroW
+/* 31450 */   MCD_OPC_FilterValue, 3, 227, 35, // Skip to: 40641
+/* 31454 */   MCD_OPC_Decode, 233, 14, 228, 1, // Opcode: STRHHroX
+/* 31459 */   MCD_OPC_FilterValue, 3, 218, 35, // Skip to: 40641
+/* 31463 */   MCD_OPC_CheckField, 21, 1, 0, 212, 35, // Skip to: 40641
+/* 31469 */   MCD_OPC_Decode, 231, 14, 226, 1, // Opcode: STRHHpre
+/* 31474 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 31567
+/* 31478 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31481 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31496
+/* 31485 */   MCD_OPC_CheckField, 21, 1, 0, 190, 35, // Skip to: 40641
+/* 31491 */   MCD_OPC_Decode, 158, 8, 226, 1, // Opcode: LDURHHi
+/* 31496 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31511
+/* 31500 */   MCD_OPC_CheckField, 21, 1, 0, 175, 35, // Skip to: 40641
+/* 31506 */   MCD_OPC_Decode, 214, 7, 226, 1, // Opcode: LDRHHpost
+/* 31511 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31552
+/* 31515 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 31518 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31527
+/* 31522 */   MCD_OPC_Decode, 147, 8, 226, 1, // Opcode: LDTRHi
+/* 31527 */   MCD_OPC_FilterValue, 1, 150, 35, // Skip to: 40641
+/* 31531 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31534 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31543
+/* 31538 */   MCD_OPC_Decode, 216, 7, 227, 1, // Opcode: LDRHHroW
+/* 31543 */   MCD_OPC_FilterValue, 3, 134, 35, // Skip to: 40641
+/* 31547 */   MCD_OPC_Decode, 217, 7, 228, 1, // Opcode: LDRHHroX
+/* 31552 */   MCD_OPC_FilterValue, 3, 125, 35, // Skip to: 40641
+/* 31556 */   MCD_OPC_CheckField, 21, 1, 0, 119, 35, // Skip to: 40641
+/* 31562 */   MCD_OPC_Decode, 215, 7, 226, 1, // Opcode: LDRHHpre
+/* 31567 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 31660
+/* 31571 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31574 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31589
+/* 31578 */   MCD_OPC_CheckField, 21, 1, 0, 97, 35, // Skip to: 40641
+/* 31584 */   MCD_OPC_Decode, 164, 8, 226, 1, // Opcode: LDURSHXi
+/* 31589 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31604
+/* 31593 */   MCD_OPC_CheckField, 21, 1, 0, 82, 35, // Skip to: 40641
+/* 31599 */   MCD_OPC_Decode, 245, 7, 226, 1, // Opcode: LDRSHXpost
+/* 31604 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31645
+/* 31608 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 31611 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31620
+/* 31615 */   MCD_OPC_Decode, 151, 8, 226, 1, // Opcode: LDTRSHXi
+/* 31620 */   MCD_OPC_FilterValue, 1, 57, 35, // Skip to: 40641
+/* 31624 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31627 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31636
+/* 31631 */   MCD_OPC_Decode, 247, 7, 229, 1, // Opcode: LDRSHXroW
+/* 31636 */   MCD_OPC_FilterValue, 3, 41, 35, // Skip to: 40641
+/* 31640 */   MCD_OPC_Decode, 248, 7, 230, 1, // Opcode: LDRSHXroX
+/* 31645 */   MCD_OPC_FilterValue, 3, 32, 35, // Skip to: 40641
+/* 31649 */   MCD_OPC_CheckField, 21, 1, 0, 26, 35, // Skip to: 40641
+/* 31655 */   MCD_OPC_Decode, 246, 7, 226, 1, // Opcode: LDRSHXpre
+/* 31660 */   MCD_OPC_FilterValue, 3, 89, 0, // Skip to: 31753
+/* 31664 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31667 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31682
+/* 31671 */   MCD_OPC_CheckField, 21, 1, 0, 4, 35, // Skip to: 40641
+/* 31677 */   MCD_OPC_Decode, 163, 8, 226, 1, // Opcode: LDURSHWi
+/* 31682 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 31697
+/* 31686 */   MCD_OPC_CheckField, 21, 1, 0, 245, 34, // Skip to: 40641
+/* 31692 */   MCD_OPC_Decode, 240, 7, 226, 1, // Opcode: LDRSHWpost
+/* 31697 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 31738
+/* 31701 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 31704 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31713
+/* 31708 */   MCD_OPC_Decode, 150, 8, 226, 1, // Opcode: LDTRSHWi
+/* 31713 */   MCD_OPC_FilterValue, 1, 220, 34, // Skip to: 40641
+/* 31717 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 31720 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 31729
+/* 31724 */   MCD_OPC_Decode, 242, 7, 227, 1, // Opcode: LDRSHWroW
+/* 31729 */   MCD_OPC_FilterValue, 3, 204, 34, // Skip to: 40641
+/* 31733 */   MCD_OPC_Decode, 243, 7, 228, 1, // Opcode: LDRSHWroX
+/* 31738 */   MCD_OPC_FilterValue, 3, 195, 34, // Skip to: 40641
+/* 31742 */   MCD_OPC_CheckField, 21, 1, 0, 189, 34, // Skip to: 40641
+/* 31748 */   MCD_OPC_Decode, 241, 7, 226, 1, // Opcode: LDRSHWpre
+/* 31753 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31762
+/* 31757 */   MCD_OPC_Decode, 234, 14, 231, 1, // Opcode: STRHHui
+/* 31762 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 31771
+/* 31766 */   MCD_OPC_Decode, 218, 7, 231, 1, // Opcode: LDRHHui
+/* 31771 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 31780
+/* 31775 */   MCD_OPC_Decode, 249, 7, 231, 1, // Opcode: LDRSHXui
+/* 31780 */   MCD_OPC_FilterValue, 7, 5, 0, // Skip to: 31789
+/* 31784 */   MCD_OPC_Decode, 244, 7, 231, 1, // Opcode: LDRSHWui
+/* 31789 */   MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 31810
+/* 31793 */   MCD_OPC_CheckField, 21, 1, 0, 138, 34, // Skip to: 40641
+/* 31799 */   MCD_OPC_CheckField, 10, 6, 0, 132, 34, // Skip to: 40641
+/* 31805 */   MCD_OPC_Decode, 254, 9, 223, 1, // Opcode: SBCSWr
+/* 31810 */   MCD_OPC_FilterValue, 9, 123, 34, // Skip to: 40641
+/* 31814 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31817 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 31838
+/* 31821 */   MCD_OPC_CheckField, 21, 1, 0, 110, 34, // Skip to: 40641
+/* 31827 */   MCD_OPC_CheckField, 4, 1, 0, 104, 34, // Skip to: 40641
+/* 31833 */   MCD_OPC_Decode, 140, 1, 232, 1, // Opcode: CCMPWr
+/* 31838 */   MCD_OPC_FilterValue, 2, 95, 34, // Skip to: 40641
+/* 31842 */   MCD_OPC_CheckField, 21, 1, 0, 89, 34, // Skip to: 40641
+/* 31848 */   MCD_OPC_CheckField, 4, 1, 0, 83, 34, // Skip to: 40641
+/* 31854 */   MCD_OPC_Decode, 139, 1, 233, 1, // Opcode: CCMPWi
+/* 31859 */   MCD_OPC_FilterValue, 4, 62, 1, // Skip to: 32181
+/* 31863 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 31866 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 31875
+/* 31870 */   MCD_OPC_Decode, 250, 7, 212, 1, // Opcode: LDRSWl
+/* 31875 */   MCD_OPC_FilterValue, 2, 190, 0, // Skip to: 32069
+/* 31879 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 31882 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 31927
+/* 31886 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 31889 */   MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 31903
+/* 31893 */   MCD_OPC_CheckField, 12, 4, 0, 38, 34, // Skip to: 40641
+/* 31899 */   MCD_OPC_Decode, 33, 235, 1, // Opcode: ADCXr
+/* 31903 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31912
+/* 31907 */   MCD_OPC_Decode, 135, 2, 236, 1, // Opcode: CSELXr
+/* 31912 */   MCD_OPC_FilterValue, 6, 21, 34, // Skip to: 40641
+/* 31916 */   MCD_OPC_CheckField, 12, 4, 2, 15, 34, // Skip to: 40641
+/* 31922 */   MCD_OPC_Decode, 177, 8, 235, 1, // Opcode: LSLVXr
+/* 31927 */   MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 31958
+/* 31931 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 31934 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 31943
+/* 31938 */   MCD_OPC_Decode, 137, 2, 236, 1, // Opcode: CSINCXr
+/* 31943 */   MCD_OPC_FilterValue, 6, 246, 33, // Skip to: 40641
+/* 31947 */   MCD_OPC_CheckField, 12, 4, 2, 240, 33, // Skip to: 40641
+/* 31953 */   MCD_OPC_Decode, 179, 8, 235, 1, // Opcode: LSRVXr
+/* 31958 */   MCD_OPC_FilterValue, 2, 32, 0, // Skip to: 31994
+/* 31962 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 31965 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 31980
+/* 31969 */   MCD_OPC_CheckField, 21, 3, 6, 218, 33, // Skip to: 40641
+/* 31975 */   MCD_OPC_Decode, 181, 16, 235, 1, // Opcode: UDIVXr
+/* 31980 */   MCD_OPC_FilterValue, 2, 209, 33, // Skip to: 40641
+/* 31984 */   MCD_OPC_CheckField, 21, 3, 6, 203, 33, // Skip to: 40641
+/* 31990 */   MCD_OPC_Decode, 102, 235, 1, // Opcode: ASRVXr
+/* 31994 */   MCD_OPC_FilterValue, 3, 195, 33, // Skip to: 40641
+/* 31998 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 32001 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32016
+/* 32005 */   MCD_OPC_CheckField, 21, 3, 6, 182, 33, // Skip to: 40641
+/* 32011 */   MCD_OPC_Decode, 151, 10, 235, 1, // Opcode: SDIVXr
+/* 32016 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32031
+/* 32020 */   MCD_OPC_CheckField, 21, 3, 6, 167, 33, // Skip to: 40641
+/* 32026 */   MCD_OPC_Decode, 188, 9, 235, 1, // Opcode: RORVXr
+/* 32031 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 32050
+/* 32035 */   MCD_OPC_CheckPredicate, 2, 154, 33, // Skip to: 40641
+/* 32039 */   MCD_OPC_CheckField, 21, 3, 6, 148, 33, // Skip to: 40641
+/* 32045 */   MCD_OPC_Decode, 133, 2, 237, 1, // Opcode: CRC32Xrr
+/* 32050 */   MCD_OPC_FilterValue, 5, 139, 33, // Skip to: 40641
+/* 32054 */   MCD_OPC_CheckPredicate, 2, 135, 33, // Skip to: 40641
+/* 32058 */   MCD_OPC_CheckField, 21, 3, 6, 129, 33, // Skip to: 40641
+/* 32064 */   MCD_OPC_Decode, 130, 2, 237, 1, // Opcode: CRC32CXrr
+/* 32069 */   MCD_OPC_FilterValue, 3, 120, 33, // Skip to: 40641
+/* 32073 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 32076 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 32101
+/* 32080 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 32083 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32092
+/* 32087 */   MCD_OPC_Decode, 181, 8, 238, 1, // Opcode: MADDXrrr
+/* 32092 */   MCD_OPC_FilterValue, 1, 97, 33, // Skip to: 40641
+/* 32096 */   MCD_OPC_Decode, 230, 8, 238, 1, // Opcode: MSUBXrrr
+/* 32101 */   MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 32126
+/* 32105 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 32108 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32117
+/* 32112 */   MCD_OPC_Decode, 204, 10, 239, 1, // Opcode: SMADDLrrr
+/* 32117 */   MCD_OPC_FilterValue, 1, 72, 33, // Skip to: 40641
+/* 32121 */   MCD_OPC_Decode, 137, 11, 239, 1, // Opcode: SMSUBLrrr
+/* 32126 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32141
+/* 32130 */   MCD_OPC_CheckField, 15, 1, 0, 57, 33, // Skip to: 40641
+/* 32136 */   MCD_OPC_Decode, 138, 11, 235, 1, // Opcode: SMULHrr
+/* 32141 */   MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 32166
+/* 32145 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 32148 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32157
+/* 32152 */   MCD_OPC_Decode, 196, 16, 239, 1, // Opcode: UMADDLrrr
+/* 32157 */   MCD_OPC_FilterValue, 1, 32, 33, // Skip to: 40641
+/* 32161 */   MCD_OPC_Decode, 255, 16, 239, 1, // Opcode: UMSUBLrrr
+/* 32166 */   MCD_OPC_FilterValue, 6, 23, 33, // Skip to: 40641
+/* 32170 */   MCD_OPC_CheckField, 15, 1, 0, 17, 33, // Skip to: 40641
+/* 32176 */   MCD_OPC_Decode, 128, 17, 235, 1, // Opcode: UMULHrr
+/* 32181 */   MCD_OPC_FilterValue, 5, 122, 1, // Skip to: 32563
+/* 32185 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 32188 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 32281
+/* 32192 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32195 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32210
+/* 32199 */   MCD_OPC_CheckField, 21, 1, 0, 244, 32, // Skip to: 40641
+/* 32205 */   MCD_OPC_Decode, 143, 15, 226, 1, // Opcode: STURWi
+/* 32210 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32225
+/* 32214 */   MCD_OPC_CheckField, 21, 1, 0, 229, 32, // Skip to: 40641
+/* 32220 */   MCD_OPC_Decode, 250, 14, 226, 1, // Opcode: STRWpost
+/* 32225 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32266
+/* 32229 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 32232 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32241
+/* 32236 */   MCD_OPC_Decode, 134, 15, 226, 1, // Opcode: STTRWi
+/* 32241 */   MCD_OPC_FilterValue, 1, 204, 32, // Skip to: 40641
+/* 32245 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32248 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32257
+/* 32252 */   MCD_OPC_Decode, 252, 14, 227, 1, // Opcode: STRWroW
+/* 32257 */   MCD_OPC_FilterValue, 3, 188, 32, // Skip to: 40641
+/* 32261 */   MCD_OPC_Decode, 253, 14, 228, 1, // Opcode: STRWroX
+/* 32266 */   MCD_OPC_FilterValue, 3, 179, 32, // Skip to: 40641
+/* 32270 */   MCD_OPC_CheckField, 21, 1, 0, 173, 32, // Skip to: 40641
+/* 32276 */   MCD_OPC_Decode, 251, 14, 226, 1, // Opcode: STRWpre
+/* 32281 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 32374
+/* 32285 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32288 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32303
+/* 32292 */   MCD_OPC_CheckField, 21, 1, 0, 151, 32, // Skip to: 40641
+/* 32298 */   MCD_OPC_Decode, 167, 8, 226, 1, // Opcode: LDURWi
+/* 32303 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32318
+/* 32307 */   MCD_OPC_CheckField, 21, 1, 0, 136, 32, // Skip to: 40641
+/* 32313 */   MCD_OPC_Decode, 135, 8, 226, 1, // Opcode: LDRWpost
+/* 32318 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32359
+/* 32322 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 32325 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32334
+/* 32329 */   MCD_OPC_Decode, 153, 8, 226, 1, // Opcode: LDTRWi
+/* 32334 */   MCD_OPC_FilterValue, 1, 111, 32, // Skip to: 40641
+/* 32338 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32341 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32350
+/* 32345 */   MCD_OPC_Decode, 137, 8, 227, 1, // Opcode: LDRWroW
+/* 32350 */   MCD_OPC_FilterValue, 3, 95, 32, // Skip to: 40641
+/* 32354 */   MCD_OPC_Decode, 138, 8, 228, 1, // Opcode: LDRWroX
+/* 32359 */   MCD_OPC_FilterValue, 3, 86, 32, // Skip to: 40641
+/* 32363 */   MCD_OPC_CheckField, 21, 1, 0, 80, 32, // Skip to: 40641
+/* 32369 */   MCD_OPC_Decode, 136, 8, 226, 1, // Opcode: LDRWpre
+/* 32374 */   MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 32467
+/* 32378 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32381 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32396
+/* 32385 */   MCD_OPC_CheckField, 21, 1, 0, 58, 32, // Skip to: 40641
+/* 32391 */   MCD_OPC_Decode, 165, 8, 226, 1, // Opcode: LDURSWi
+/* 32396 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32411
+/* 32400 */   MCD_OPC_CheckField, 21, 1, 0, 43, 32, // Skip to: 40641
+/* 32406 */   MCD_OPC_Decode, 251, 7, 226, 1, // Opcode: LDRSWpost
+/* 32411 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32452
+/* 32415 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 32418 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32427
+/* 32422 */   MCD_OPC_Decode, 152, 8, 226, 1, // Opcode: LDTRSWi
+/* 32427 */   MCD_OPC_FilterValue, 1, 18, 32, // Skip to: 40641
+/* 32431 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32434 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32443
+/* 32438 */   MCD_OPC_Decode, 253, 7, 229, 1, // Opcode: LDRSWroW
+/* 32443 */   MCD_OPC_FilterValue, 3, 2, 32, // Skip to: 40641
+/* 32447 */   MCD_OPC_Decode, 254, 7, 230, 1, // Opcode: LDRSWroX
+/* 32452 */   MCD_OPC_FilterValue, 3, 249, 31, // Skip to: 40641
+/* 32456 */   MCD_OPC_CheckField, 21, 1, 0, 243, 31, // Skip to: 40641
+/* 32462 */   MCD_OPC_Decode, 252, 7, 226, 1, // Opcode: LDRSWpre
+/* 32467 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32476
+/* 32471 */   MCD_OPC_Decode, 254, 14, 231, 1, // Opcode: STRWui
+/* 32476 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 32485
+/* 32480 */   MCD_OPC_Decode, 139, 8, 231, 1, // Opcode: LDRWui
+/* 32485 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 32494
+/* 32489 */   MCD_OPC_Decode, 255, 7, 231, 1, // Opcode: LDRSWui
+/* 32494 */   MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 32514
+/* 32498 */   MCD_OPC_CheckField, 21, 1, 0, 201, 31, // Skip to: 40641
+/* 32504 */   MCD_OPC_CheckField, 10, 6, 0, 195, 31, // Skip to: 40641
+/* 32510 */   MCD_OPC_Decode, 31, 235, 1, // Opcode: ADCSXr
+/* 32514 */   MCD_OPC_FilterValue, 9, 187, 31, // Skip to: 40641
+/* 32518 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32521 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 32542
+/* 32525 */   MCD_OPC_CheckField, 21, 1, 0, 174, 31, // Skip to: 40641
+/* 32531 */   MCD_OPC_CheckField, 4, 1, 0, 168, 31, // Skip to: 40641
+/* 32537 */   MCD_OPC_Decode, 138, 1, 240, 1, // Opcode: CCMNXr
+/* 32542 */   MCD_OPC_FilterValue, 2, 159, 31, // Skip to: 40641
+/* 32546 */   MCD_OPC_CheckField, 21, 1, 0, 153, 31, // Skip to: 40641
+/* 32552 */   MCD_OPC_CheckField, 4, 1, 0, 147, 31, // Skip to: 40641
+/* 32558 */   MCD_OPC_Decode, 137, 1, 241, 1, // Opcode: CCMNXi
+/* 32563 */   MCD_OPC_FilterValue, 6, 148, 0, // Skip to: 32715
+/* 32567 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 32570 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32579
+/* 32574 */   MCD_OPC_Decode, 153, 9, 242, 1, // Opcode: PRFMl
+/* 32579 */   MCD_OPC_FilterValue, 2, 122, 31, // Skip to: 40641
+/* 32583 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32586 */   MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 32642
+/* 32590 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 32593 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32608
+/* 32597 */   MCD_OPC_CheckField, 12, 4, 0, 102, 31, // Skip to: 40641
+/* 32603 */   MCD_OPC_Decode, 129, 10, 235, 1, // Opcode: SBCXr
+/* 32608 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32617
+/* 32612 */   MCD_OPC_Decode, 139, 2, 236, 1, // Opcode: CSINVXr
+/* 32617 */   MCD_OPC_FilterValue, 6, 84, 31, // Skip to: 40641
+/* 32621 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
+/* 32624 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32633
+/* 32628 */   MCD_OPC_Decode, 165, 9, 243, 1, // Opcode: RBITXr
+/* 32633 */   MCD_OPC_FilterValue, 1, 68, 31, // Skip to: 40641
+/* 32637 */   MCD_OPC_Decode, 153, 1, 243, 1, // Opcode: CLZXr
+/* 32642 */   MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 32683
+/* 32646 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 32649 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32658
+/* 32653 */   MCD_OPC_Decode, 141, 2, 236, 1, // Opcode: CSNEGXr
+/* 32658 */   MCD_OPC_FilterValue, 6, 43, 31, // Skip to: 40641
+/* 32662 */   MCD_OPC_ExtractField, 12, 9,  // Inst{20-12} ...
+/* 32665 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32674
+/* 32669 */   MCD_OPC_Decode, 171, 9, 243, 1, // Opcode: REV16Xr
+/* 32674 */   MCD_OPC_FilterValue, 1, 27, 31, // Skip to: 40641
+/* 32678 */   MCD_OPC_Decode, 145, 1, 243, 1, // Opcode: CLSXr
+/* 32683 */   MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 32699
+/* 32687 */   MCD_OPC_CheckField, 12, 12, 128, 24, 11, 31, // Skip to: 40641
+/* 32694 */   MCD_OPC_Decode, 174, 9, 243, 1, // Opcode: REV32Xr
+/* 32699 */   MCD_OPC_FilterValue, 3, 2, 31, // Skip to: 40641
+/* 32703 */   MCD_OPC_CheckField, 12, 12, 128, 24, 251, 30, // Skip to: 40641
+/* 32710 */   MCD_OPC_Decode, 186, 9, 243, 1, // Opcode: REVXr
+/* 32715 */   MCD_OPC_FilterValue, 7, 242, 30, // Skip to: 40641
+/* 32719 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 32722 */   MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 32815
+/* 32726 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32729 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32744
+/* 32733 */   MCD_OPC_CheckField, 21, 1, 0, 222, 30, // Skip to: 40641
+/* 32739 */   MCD_OPC_Decode, 144, 15, 226, 1, // Opcode: STURXi
+/* 32744 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32759
+/* 32748 */   MCD_OPC_CheckField, 21, 1, 0, 207, 30, // Skip to: 40641
+/* 32754 */   MCD_OPC_Decode, 255, 14, 226, 1, // Opcode: STRXpost
+/* 32759 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32800
+/* 32763 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 32766 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32775
+/* 32770 */   MCD_OPC_Decode, 135, 15, 226, 1, // Opcode: STTRXi
+/* 32775 */   MCD_OPC_FilterValue, 1, 182, 30, // Skip to: 40641
+/* 32779 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32782 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32791
+/* 32786 */   MCD_OPC_Decode, 129, 15, 229, 1, // Opcode: STRXroW
+/* 32791 */   MCD_OPC_FilterValue, 3, 166, 30, // Skip to: 40641
+/* 32795 */   MCD_OPC_Decode, 130, 15, 230, 1, // Opcode: STRXroX
+/* 32800 */   MCD_OPC_FilterValue, 3, 157, 30, // Skip to: 40641
+/* 32804 */   MCD_OPC_CheckField, 21, 1, 0, 151, 30, // Skip to: 40641
+/* 32810 */   MCD_OPC_Decode, 128, 15, 226, 1, // Opcode: STRXpre
+/* 32815 */   MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 32908
+/* 32819 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32822 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32837
+/* 32826 */   MCD_OPC_CheckField, 21, 1, 0, 129, 30, // Skip to: 40641
+/* 32832 */   MCD_OPC_Decode, 168, 8, 226, 1, // Opcode: LDURXi
+/* 32837 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 32852
+/* 32841 */   MCD_OPC_CheckField, 21, 1, 0, 114, 30, // Skip to: 40641
+/* 32847 */   MCD_OPC_Decode, 141, 8, 226, 1, // Opcode: LDRXpost
+/* 32852 */   MCD_OPC_FilterValue, 2, 37, 0, // Skip to: 32893
+/* 32856 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 32859 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 32868
+/* 32863 */   MCD_OPC_Decode, 154, 8, 226, 1, // Opcode: LDTRXi
+/* 32868 */   MCD_OPC_FilterValue, 1, 89, 30, // Skip to: 40641
+/* 32872 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32875 */   MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 32884
+/* 32879 */   MCD_OPC_Decode, 143, 8, 229, 1, // Opcode: LDRXroW
+/* 32884 */   MCD_OPC_FilterValue, 3, 73, 30, // Skip to: 40641
+/* 32888 */   MCD_OPC_Decode, 144, 8, 230, 1, // Opcode: LDRXroX
+/* 32893 */   MCD_OPC_FilterValue, 3, 64, 30, // Skip to: 40641
+/* 32897 */   MCD_OPC_CheckField, 21, 1, 0, 58, 30, // Skip to: 40641
+/* 32903 */   MCD_OPC_Decode, 142, 8, 226, 1, // Opcode: LDRXpre
+/* 32908 */   MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 32967
+/* 32912 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 32915 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 32930
+/* 32919 */   MCD_OPC_CheckField, 21, 1, 0, 36, 30, // Skip to: 40641
+/* 32925 */   MCD_OPC_Decode, 157, 9, 226, 1, // Opcode: PRFUMi
+/* 32930 */   MCD_OPC_FilterValue, 2, 27, 30, // Skip to: 40641
+/* 32934 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 32937 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 32952
+/* 32941 */   MCD_OPC_CheckField, 21, 1, 1, 14, 30, // Skip to: 40641
+/* 32947 */   MCD_OPC_Decode, 154, 9, 244, 1, // Opcode: PRFMroW
+/* 32952 */   MCD_OPC_FilterValue, 3, 5, 30, // Skip to: 40641
+/* 32956 */   MCD_OPC_CheckField, 21, 1, 1, 255, 29, // Skip to: 40641
+/* 32962 */   MCD_OPC_Decode, 155, 9, 245, 1, // Opcode: PRFMroX
+/* 32967 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 32976
+/* 32971 */   MCD_OPC_Decode, 131, 15, 231, 1, // Opcode: STRXui
+/* 32976 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 32985
+/* 32980 */   MCD_OPC_Decode, 145, 8, 231, 1, // Opcode: LDRXui
+/* 32985 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 32994
+/* 32989 */   MCD_OPC_Decode, 156, 9, 231, 1, // Opcode: PRFMui
+/* 32994 */   MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 33015
+/* 32998 */   MCD_OPC_CheckField, 21, 1, 0, 213, 29, // Skip to: 40641
+/* 33004 */   MCD_OPC_CheckField, 10, 6, 0, 207, 29, // Skip to: 40641
+/* 33010 */   MCD_OPC_Decode, 255, 9, 235, 1, // Opcode: SBCSXr
+/* 33015 */   MCD_OPC_FilterValue, 9, 198, 29, // Skip to: 40641
+/* 33019 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 33022 */   MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 33043
+/* 33026 */   MCD_OPC_CheckField, 21, 1, 0, 185, 29, // Skip to: 40641
+/* 33032 */   MCD_OPC_CheckField, 4, 1, 0, 179, 29, // Skip to: 40641
+/* 33038 */   MCD_OPC_Decode, 142, 1, 240, 1, // Opcode: CCMPXr
+/* 33043 */   MCD_OPC_FilterValue, 2, 170, 29, // Skip to: 40641
+/* 33047 */   MCD_OPC_CheckField, 21, 1, 0, 164, 29, // Skip to: 40641
+/* 33053 */   MCD_OPC_CheckField, 4, 1, 0, 158, 29, // Skip to: 40641
+/* 33059 */   MCD_OPC_Decode, 141, 1, 241, 1, // Opcode: CCMPXi
+/* 33064 */   MCD_OPC_FilterValue, 7, 149, 29, // Skip to: 40641
+/* 33068 */   MCD_OPC_ExtractField, 29, 3,  // Inst{31-29} ...
+/* 33071 */   MCD_OPC_FilterValue, 0, 8, 6, // Skip to: 34619
+/* 33075 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 33078 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 33087
+/* 33082 */   MCD_OPC_Decode, 128, 8, 246, 1, // Opcode: LDRSl
+/* 33087 */   MCD_OPC_FilterValue, 2, 109, 5, // Skip to: 34480
+/* 33091 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 33094 */   MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 33153
+/* 33098 */   MCD_OPC_ExtractField, 15, 6,  // Inst{20-15} ...
+/* 33101 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33114
+/* 33105 */   MCD_OPC_CheckPredicate, 3, 108, 29, // Skip to: 40641
+/* 33109 */   MCD_OPC_Decode, 133, 10, 247, 1, // Opcode: SCVTFSWSri
+/* 33114 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33127
+/* 33118 */   MCD_OPC_CheckPredicate, 3, 95, 29, // Skip to: 40641
+/* 33122 */   MCD_OPC_Decode, 163, 16, 247, 1, // Opcode: UCVTFSWSri
+/* 33127 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 33140
+/* 33131 */   MCD_OPC_CheckPredicate, 3, 82, 29, // Skip to: 40641
+/* 33135 */   MCD_OPC_Decode, 226, 3, 248, 1, // Opcode: FCVTZSSWSri
+/* 33140 */   MCD_OPC_FilterValue, 51, 73, 29, // Skip to: 40641
+/* 33144 */   MCD_OPC_CheckPredicate, 3, 69, 29, // Skip to: 40641
+/* 33148 */   MCD_OPC_Decode, 255, 3, 248, 1, // Opcode: FCVTZUSWSri
+/* 33153 */   MCD_OPC_FilterValue, 1, 125, 2, // Skip to: 33794
+/* 33157 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 33160 */   MCD_OPC_FilterValue, 0, 204, 1, // Skip to: 33624
+/* 33164 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 33167 */   MCD_OPC_FilterValue, 0, 178, 1, // Skip to: 33605
+/* 33171 */   MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 33174 */   MCD_OPC_FilterValue, 0, 185, 0, // Skip to: 33363
+/* 33178 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 33181 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33194
+/* 33185 */   MCD_OPC_CheckPredicate, 3, 28, 29, // Skip to: 40641
+/* 33189 */   MCD_OPC_Decode, 181, 3, 249, 1, // Opcode: FCVTNSUWSr
+/* 33194 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33207
+/* 33198 */   MCD_OPC_CheckPredicate, 3, 15, 29, // Skip to: 40641
+/* 33202 */   MCD_OPC_Decode, 190, 3, 249, 1, // Opcode: FCVTNUUWSr
+/* 33207 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33220
+/* 33211 */   MCD_OPC_CheckPredicate, 3, 2, 29, // Skip to: 40641
+/* 33215 */   MCD_OPC_Decode, 137, 10, 250, 1, // Opcode: SCVTFUWSri
+/* 33220 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33233
+/* 33224 */   MCD_OPC_CheckPredicate, 3, 245, 28, // Skip to: 40641
+/* 33228 */   MCD_OPC_Decode, 167, 16, 250, 1, // Opcode: UCVTFUWSri
+/* 33233 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33246
+/* 33237 */   MCD_OPC_CheckPredicate, 3, 232, 28, // Skip to: 40641
+/* 33241 */   MCD_OPC_Decode, 137, 3, 249, 1, // Opcode: FCVTASUWSr
+/* 33246 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33259
+/* 33250 */   MCD_OPC_CheckPredicate, 3, 219, 28, // Skip to: 40641
+/* 33254 */   MCD_OPC_Decode, 146, 3, 249, 1, // Opcode: FCVTAUUWSr
+/* 33259 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33272
+/* 33263 */   MCD_OPC_CheckPredicate, 3, 206, 28, // Skip to: 40641
+/* 33267 */   MCD_OPC_Decode, 226, 4, 249, 1, // Opcode: FMOVSWr
+/* 33272 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33285
+/* 33276 */   MCD_OPC_CheckPredicate, 3, 193, 28, // Skip to: 40641
+/* 33280 */   MCD_OPC_Decode, 229, 4, 250, 1, // Opcode: FMOVWSr
+/* 33285 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33298
+/* 33289 */   MCD_OPC_CheckPredicate, 3, 180, 28, // Skip to: 40641
+/* 33293 */   MCD_OPC_Decode, 203, 3, 249, 1, // Opcode: FCVTPSUWSr
+/* 33298 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 33311
+/* 33302 */   MCD_OPC_CheckPredicate, 3, 167, 28, // Skip to: 40641
+/* 33306 */   MCD_OPC_Decode, 212, 3, 249, 1, // Opcode: FCVTPUUWSr
+/* 33311 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 33324
+/* 33315 */   MCD_OPC_CheckPredicate, 3, 154, 28, // Skip to: 40641
+/* 33319 */   MCD_OPC_Decode, 163, 3, 249, 1, // Opcode: FCVTMSUWSr
+/* 33324 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 33337
+/* 33328 */   MCD_OPC_CheckPredicate, 3, 141, 28, // Skip to: 40641
+/* 33332 */   MCD_OPC_Decode, 172, 3, 249, 1, // Opcode: FCVTMUUWSr
+/* 33337 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 33350
+/* 33341 */   MCD_OPC_CheckPredicate, 3, 128, 28, // Skip to: 40641
+/* 33345 */   MCD_OPC_Decode, 230, 3, 249, 1, // Opcode: FCVTZSUWSr
+/* 33350 */   MCD_OPC_FilterValue, 25, 119, 28, // Skip to: 40641
+/* 33354 */   MCD_OPC_CheckPredicate, 3, 115, 28, // Skip to: 40641
+/* 33358 */   MCD_OPC_Decode, 131, 4, 249, 1, // Opcode: FCVTZUUWSr
+/* 33363 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 33422
+/* 33367 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
+/* 33370 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33383
+/* 33374 */   MCD_OPC_CheckPredicate, 3, 95, 28, // Skip to: 40641
+/* 33378 */   MCD_OPC_Decode, 133, 3, 251, 1, // Opcode: FCMPSrr
+/* 33383 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33396
+/* 33387 */   MCD_OPC_CheckPredicate, 3, 82, 28, // Skip to: 40641
+/* 33391 */   MCD_OPC_Decode, 132, 3, 252, 1, // Opcode: FCMPSri
+/* 33396 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 33409
+/* 33400 */   MCD_OPC_CheckPredicate, 3, 69, 28, // Skip to: 40641
+/* 33404 */   MCD_OPC_Decode, 131, 3, 251, 1, // Opcode: FCMPESrr
+/* 33409 */   MCD_OPC_FilterValue, 24, 60, 28, // Skip to: 40641
+/* 33413 */   MCD_OPC_CheckPredicate, 3, 56, 28, // Skip to: 40641
+/* 33417 */   MCD_OPC_Decode, 130, 3, 252, 1, // Opcode: FCMPESri
+/* 33422 */   MCD_OPC_FilterValue, 2, 81, 0, // Skip to: 33507
+/* 33426 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 33429 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33442
+/* 33433 */   MCD_OPC_CheckPredicate, 3, 36, 28, // Skip to: 40641
+/* 33437 */   MCD_OPC_Decode, 228, 4, 253, 1, // Opcode: FMOVSr
+/* 33442 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33455
+/* 33446 */   MCD_OPC_CheckPredicate, 3, 23, 28, // Skip to: 40641
+/* 33450 */   MCD_OPC_Decode, 130, 5, 253, 1, // Opcode: FNEGSr
+/* 33455 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33468
+/* 33459 */   MCD_OPC_CheckPredicate, 3, 10, 28, // Skip to: 40641
+/* 33463 */   MCD_OPC_Decode, 168, 5, 253, 1, // Opcode: FRINTNSr
+/* 33468 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33481
+/* 33472 */   MCD_OPC_CheckPredicate, 3, 253, 27, // Skip to: 40641
+/* 33476 */   MCD_OPC_Decode, 163, 5, 253, 1, // Opcode: FRINTMSr
+/* 33481 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33494
+/* 33485 */   MCD_OPC_CheckPredicate, 3, 240, 27, // Skip to: 40641
+/* 33489 */   MCD_OPC_Decode, 153, 5, 253, 1, // Opcode: FRINTASr
+/* 33494 */   MCD_OPC_FilterValue, 7, 231, 27, // Skip to: 40641
+/* 33498 */   MCD_OPC_CheckPredicate, 3, 227, 27, // Skip to: 40641
+/* 33502 */   MCD_OPC_Decode, 178, 5, 253, 1, // Opcode: FRINTXSr
+/* 33507 */   MCD_OPC_FilterValue, 6, 218, 27, // Skip to: 40641
+/* 33511 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 33514 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33527
+/* 33518 */   MCD_OPC_CheckPredicate, 3, 207, 27, // Skip to: 40641
+/* 33522 */   MCD_OPC_Decode, 186, 2, 253, 1, // Opcode: FABSSr
+/* 33527 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33540
+/* 33531 */   MCD_OPC_CheckPredicate, 3, 194, 27, // Skip to: 40641
+/* 33535 */   MCD_OPC_Decode, 198, 5, 253, 1, // Opcode: FSQRTSr
+/* 33540 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33553
+/* 33544 */   MCD_OPC_CheckPredicate, 3, 181, 27, // Skip to: 40641
+/* 33548 */   MCD_OPC_Decode, 155, 3, 254, 1, // Opcode: FCVTDSr
+/* 33553 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33566
+/* 33557 */   MCD_OPC_CheckPredicate, 3, 168, 27, // Skip to: 40641
+/* 33561 */   MCD_OPC_Decode, 157, 3, 255, 1, // Opcode: FCVTHSr
+/* 33566 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33579
+/* 33570 */   MCD_OPC_CheckPredicate, 3, 155, 27, // Skip to: 40641
+/* 33574 */   MCD_OPC_Decode, 173, 5, 253, 1, // Opcode: FRINTPSr
+/* 33579 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33592
+/* 33583 */   MCD_OPC_CheckPredicate, 3, 142, 27, // Skip to: 40641
+/* 33587 */   MCD_OPC_Decode, 183, 5, 253, 1, // Opcode: FRINTZSr
+/* 33592 */   MCD_OPC_FilterValue, 7, 133, 27, // Skip to: 40641
+/* 33596 */   MCD_OPC_CheckPredicate, 3, 129, 27, // Skip to: 40641
+/* 33600 */   MCD_OPC_Decode, 158, 5, 253, 1, // Opcode: FRINTISr
+/* 33605 */   MCD_OPC_FilterValue, 1, 120, 27, // Skip to: 40641
+/* 33609 */   MCD_OPC_CheckPredicate, 3, 116, 27, // Skip to: 40641
+/* 33613 */   MCD_OPC_CheckField, 5, 5, 0, 110, 27, // Skip to: 40641
+/* 33619 */   MCD_OPC_Decode, 227, 4, 128, 2, // Opcode: FMOVSi
+/* 33624 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 33657
+/* 33628 */   MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 33631 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33644
+/* 33635 */   MCD_OPC_CheckPredicate, 3, 90, 27, // Skip to: 40641
+/* 33639 */   MCD_OPC_Decode, 213, 2, 129, 2, // Opcode: FCCMPSrr
+/* 33644 */   MCD_OPC_FilterValue, 1, 81, 27, // Skip to: 40641
+/* 33648 */   MCD_OPC_CheckPredicate, 3, 77, 27, // Skip to: 40641
+/* 33652 */   MCD_OPC_Decode, 212, 2, 129, 2, // Opcode: FCCMPESrr
+/* 33657 */   MCD_OPC_FilterValue, 2, 120, 0, // Skip to: 33781
+/* 33661 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 33664 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33677
+/* 33668 */   MCD_OPC_CheckPredicate, 3, 57, 27, // Skip to: 40641
+/* 33672 */   MCD_OPC_Decode, 238, 4, 130, 2, // Opcode: FMULSrr
+/* 33677 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33690
+/* 33681 */   MCD_OPC_CheckPredicate, 3, 44, 27, // Skip to: 40641
+/* 33685 */   MCD_OPC_Decode, 156, 4, 130, 2, // Opcode: FDIVSrr
+/* 33690 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 33703
+/* 33694 */   MCD_OPC_CheckPredicate, 3, 31, 27, // Skip to: 40641
+/* 33698 */   MCD_OPC_Decode, 206, 2, 130, 2, // Opcode: FADDSrr
+/* 33703 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 33716
+/* 33707 */   MCD_OPC_CheckPredicate, 3, 18, 27, // Skip to: 40641
+/* 33711 */   MCD_OPC_Decode, 203, 5, 130, 2, // Opcode: FSUBSrr
+/* 33716 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33729
+/* 33720 */   MCD_OPC_CheckPredicate, 3, 5, 27, // Skip to: 40641
+/* 33724 */   MCD_OPC_Decode, 179, 4, 130, 2, // Opcode: FMAXSrr
+/* 33729 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33742
+/* 33733 */   MCD_OPC_CheckPredicate, 3, 248, 26, // Skip to: 40641
+/* 33737 */   MCD_OPC_Decode, 201, 4, 130, 2, // Opcode: FMINSrr
+/* 33742 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 33755
+/* 33746 */   MCD_OPC_CheckPredicate, 3, 235, 26, // Skip to: 40641
+/* 33750 */   MCD_OPC_Decode, 169, 4, 130, 2, // Opcode: FMAXNMSrr
+/* 33755 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33768
+/* 33759 */   MCD_OPC_CheckPredicate, 3, 222, 26, // Skip to: 40641
+/* 33763 */   MCD_OPC_Decode, 191, 4, 130, 2, // Opcode: FMINNMSrr
+/* 33768 */   MCD_OPC_FilterValue, 8, 213, 26, // Skip to: 40641
+/* 33772 */   MCD_OPC_CheckPredicate, 3, 209, 26, // Skip to: 40641
+/* 33776 */   MCD_OPC_Decode, 139, 5, 130, 2, // Opcode: FNMULSrr
+/* 33781 */   MCD_OPC_FilterValue, 3, 200, 26, // Skip to: 40641
+/* 33785 */   MCD_OPC_CheckPredicate, 3, 196, 26, // Skip to: 40641
+/* 33789 */   MCD_OPC_Decode, 135, 3, 131, 2, // Opcode: FCSELSrrr
+/* 33794 */   MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 33853
+/* 33798 */   MCD_OPC_ExtractField, 15, 6,  // Inst{20-15} ...
+/* 33801 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33814
+/* 33805 */   MCD_OPC_CheckPredicate, 3, 176, 26, // Skip to: 40641
+/* 33809 */   MCD_OPC_Decode, 132, 10, 132, 2, // Opcode: SCVTFSWDri
+/* 33814 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 33827
+/* 33818 */   MCD_OPC_CheckPredicate, 3, 163, 26, // Skip to: 40641
+/* 33822 */   MCD_OPC_Decode, 162, 16, 132, 2, // Opcode: UCVTFSWDri
+/* 33827 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 33840
+/* 33831 */   MCD_OPC_CheckPredicate, 3, 150, 26, // Skip to: 40641
+/* 33835 */   MCD_OPC_Decode, 225, 3, 133, 2, // Opcode: FCVTZSSWDri
+/* 33840 */   MCD_OPC_FilterValue, 51, 141, 26, // Skip to: 40641
+/* 33844 */   MCD_OPC_CheckPredicate, 3, 137, 26, // Skip to: 40641
+/* 33848 */   MCD_OPC_Decode, 254, 3, 133, 2, // Opcode: FCVTZUSWDri
+/* 33853 */   MCD_OPC_FilterValue, 3, 76, 2, // Skip to: 34445
+/* 33857 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 33860 */   MCD_OPC_FilterValue, 0, 164, 1, // Skip to: 34284
+/* 33864 */   MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 33867 */   MCD_OPC_FilterValue, 0, 138, 1, // Skip to: 34265
+/* 33871 */   MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 33874 */   MCD_OPC_FilterValue, 0, 157, 0, // Skip to: 34035
+/* 33878 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 33881 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 33894
+/* 33885 */   MCD_OPC_CheckPredicate, 3, 96, 26, // Skip to: 40641
+/* 33889 */   MCD_OPC_Decode, 180, 3, 134, 2, // Opcode: FCVTNSUWDr
+/* 33894 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 33907
+/* 33898 */   MCD_OPC_CheckPredicate, 3, 83, 26, // Skip to: 40641
+/* 33902 */   MCD_OPC_Decode, 189, 3, 134, 2, // Opcode: FCVTNUUWDr
+/* 33907 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 33919
+/* 33911 */   MCD_OPC_CheckPredicate, 3, 70, 26, // Skip to: 40641
+/* 33915 */   MCD_OPC_Decode, 136, 10, 91, // Opcode: SCVTFUWDri
+/* 33919 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 33931
+/* 33923 */   MCD_OPC_CheckPredicate, 3, 58, 26, // Skip to: 40641
+/* 33927 */   MCD_OPC_Decode, 166, 16, 91, // Opcode: UCVTFUWDri
+/* 33931 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 33944
+/* 33935 */   MCD_OPC_CheckPredicate, 3, 46, 26, // Skip to: 40641
+/* 33939 */   MCD_OPC_Decode, 136, 3, 134, 2, // Opcode: FCVTASUWDr
+/* 33944 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 33957
+/* 33948 */   MCD_OPC_CheckPredicate, 3, 33, 26, // Skip to: 40641
+/* 33952 */   MCD_OPC_Decode, 145, 3, 134, 2, // Opcode: FCVTAUUWDr
+/* 33957 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 33970
+/* 33961 */   MCD_OPC_CheckPredicate, 3, 20, 26, // Skip to: 40641
+/* 33965 */   MCD_OPC_Decode, 202, 3, 134, 2, // Opcode: FCVTPSUWDr
+/* 33970 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 33983
+/* 33974 */   MCD_OPC_CheckPredicate, 3, 7, 26, // Skip to: 40641
+/* 33978 */   MCD_OPC_Decode, 211, 3, 134, 2, // Opcode: FCVTPUUWDr
+/* 33983 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 33996
+/* 33987 */   MCD_OPC_CheckPredicate, 3, 250, 25, // Skip to: 40641
+/* 33991 */   MCD_OPC_Decode, 162, 3, 134, 2, // Opcode: FCVTMSUWDr
+/* 33996 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 34009
+/* 34000 */   MCD_OPC_CheckPredicate, 3, 237, 25, // Skip to: 40641
+/* 34004 */   MCD_OPC_Decode, 171, 3, 134, 2, // Opcode: FCVTMUUWDr
+/* 34009 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 34022
+/* 34013 */   MCD_OPC_CheckPredicate, 3, 224, 25, // Skip to: 40641
+/* 34017 */   MCD_OPC_Decode, 229, 3, 134, 2, // Opcode: FCVTZSUWDr
+/* 34022 */   MCD_OPC_FilterValue, 25, 215, 25, // Skip to: 40641
+/* 34026 */   MCD_OPC_CheckPredicate, 3, 211, 25, // Skip to: 40641
+/* 34030 */   MCD_OPC_Decode, 130, 4, 134, 2, // Opcode: FCVTZUUWDr
+/* 34035 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 34094
+/* 34039 */   MCD_OPC_ExtractField, 0, 5,  // Inst{4-0} ...
+/* 34042 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34055
+/* 34046 */   MCD_OPC_CheckPredicate, 3, 191, 25, // Skip to: 40641
+/* 34050 */   MCD_OPC_Decode, 255, 2, 135, 2, // Opcode: FCMPDrr
+/* 34055 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 34068
+/* 34059 */   MCD_OPC_CheckPredicate, 3, 178, 25, // Skip to: 40641
+/* 34063 */   MCD_OPC_Decode, 254, 2, 136, 2, // Opcode: FCMPDri
+/* 34068 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 34081
+/* 34072 */   MCD_OPC_CheckPredicate, 3, 165, 25, // Skip to: 40641
+/* 34076 */   MCD_OPC_Decode, 129, 3, 135, 2, // Opcode: FCMPEDrr
+/* 34081 */   MCD_OPC_FilterValue, 24, 156, 25, // Skip to: 40641
+/* 34085 */   MCD_OPC_CheckPredicate, 3, 152, 25, // Skip to: 40641
+/* 34089 */   MCD_OPC_Decode, 128, 3, 136, 2, // Opcode: FCMPEDri
+/* 34094 */   MCD_OPC_FilterValue, 2, 88, 0, // Skip to: 34186
+/* 34098 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 34101 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34113
+/* 34105 */   MCD_OPC_CheckPredicate, 3, 132, 25, // Skip to: 40641
+/* 34109 */   MCD_OPC_Decode, 225, 4, 90, // Opcode: FMOVDr
+/* 34113 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34125
+/* 34117 */   MCD_OPC_CheckPredicate, 3, 120, 25, // Skip to: 40641
+/* 34121 */   MCD_OPC_Decode, 129, 5, 90, // Opcode: FNEGDr
+/* 34125 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 34138
+/* 34129 */   MCD_OPC_CheckPredicate, 3, 108, 25, // Skip to: 40641
+/* 34133 */   MCD_OPC_Decode, 220, 3, 144, 1, // Opcode: FCVTSDr
+/* 34138 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34150
+/* 34142 */   MCD_OPC_CheckPredicate, 3, 95, 25, // Skip to: 40641
+/* 34146 */   MCD_OPC_Decode, 167, 5, 90, // Opcode: FRINTNDr
+/* 34150 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34162
+/* 34154 */   MCD_OPC_CheckPredicate, 3, 83, 25, // Skip to: 40641
+/* 34158 */   MCD_OPC_Decode, 162, 5, 90, // Opcode: FRINTMDr
+/* 34162 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 34174
+/* 34166 */   MCD_OPC_CheckPredicate, 3, 71, 25, // Skip to: 40641
+/* 34170 */   MCD_OPC_Decode, 152, 5, 90, // Opcode: FRINTADr
+/* 34174 */   MCD_OPC_FilterValue, 7, 63, 25, // Skip to: 40641
+/* 34178 */   MCD_OPC_CheckPredicate, 3, 59, 25, // Skip to: 40641
+/* 34182 */   MCD_OPC_Decode, 177, 5, 90, // Opcode: FRINTXDr
+/* 34186 */   MCD_OPC_FilterValue, 6, 51, 25, // Skip to: 40641
+/* 34190 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 34193 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34205
+/* 34197 */   MCD_OPC_CheckPredicate, 3, 40, 25, // Skip to: 40641
+/* 34201 */   MCD_OPC_Decode, 185, 2, 90, // Opcode: FABSDr
+/* 34205 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34217
+/* 34209 */   MCD_OPC_CheckPredicate, 3, 28, 25, // Skip to: 40641
+/* 34213 */   MCD_OPC_Decode, 197, 5, 90, // Opcode: FSQRTDr
+/* 34217 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 34229
+/* 34221 */   MCD_OPC_CheckPredicate, 3, 16, 25, // Skip to: 40641
+/* 34225 */   MCD_OPC_Decode, 156, 3, 100, // Opcode: FCVTHDr
+/* 34229 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34241
+/* 34233 */   MCD_OPC_CheckPredicate, 3, 4, 25, // Skip to: 40641
+/* 34237 */   MCD_OPC_Decode, 172, 5, 90, // Opcode: FRINTPDr
+/* 34241 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34253
+/* 34245 */   MCD_OPC_CheckPredicate, 3, 248, 24, // Skip to: 40641
+/* 34249 */   MCD_OPC_Decode, 182, 5, 90, // Opcode: FRINTZDr
+/* 34253 */   MCD_OPC_FilterValue, 7, 240, 24, // Skip to: 40641
+/* 34257 */   MCD_OPC_CheckPredicate, 3, 236, 24, // Skip to: 40641
+/* 34261 */   MCD_OPC_Decode, 157, 5, 90, // Opcode: FRINTIDr
+/* 34265 */   MCD_OPC_FilterValue, 1, 228, 24, // Skip to: 40641
+/* 34269 */   MCD_OPC_CheckPredicate, 3, 224, 24, // Skip to: 40641
+/* 34273 */   MCD_OPC_CheckField, 5, 5, 0, 218, 24, // Skip to: 40641
+/* 34279 */   MCD_OPC_Decode, 224, 4, 137, 2, // Opcode: FMOVDi
+/* 34284 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 34317
+/* 34288 */   MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 34291 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34304
+/* 34295 */   MCD_OPC_CheckPredicate, 3, 198, 24, // Skip to: 40641
+/* 34299 */   MCD_OPC_Decode, 210, 2, 138, 2, // Opcode: FCCMPDrr
+/* 34304 */   MCD_OPC_FilterValue, 1, 189, 24, // Skip to: 40641
+/* 34308 */   MCD_OPC_CheckPredicate, 3, 185, 24, // Skip to: 40641
+/* 34312 */   MCD_OPC_Decode, 211, 2, 138, 2, // Opcode: FCCMPEDrr
+/* 34317 */   MCD_OPC_FilterValue, 2, 111, 0, // Skip to: 34432
+/* 34321 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 34324 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 34336
+/* 34328 */   MCD_OPC_CheckPredicate, 3, 165, 24, // Skip to: 40641
+/* 34332 */   MCD_OPC_Decode, 237, 4, 89, // Opcode: FMULDrr
+/* 34336 */   MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 34348
+/* 34340 */   MCD_OPC_CheckPredicate, 3, 153, 24, // Skip to: 40641
+/* 34344 */   MCD_OPC_Decode, 155, 4, 89, // Opcode: FDIVDrr
+/* 34348 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 34360
+/* 34352 */   MCD_OPC_CheckPredicate, 3, 141, 24, // Skip to: 40641
+/* 34356 */   MCD_OPC_Decode, 200, 2, 89, // Opcode: FADDDrr
+/* 34360 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 34372
+/* 34364 */   MCD_OPC_CheckPredicate, 3, 129, 24, // Skip to: 40641
+/* 34368 */   MCD_OPC_Decode, 202, 5, 89, // Opcode: FSUBDrr
+/* 34372 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 34384
+/* 34376 */   MCD_OPC_CheckPredicate, 3, 117, 24, // Skip to: 40641
+/* 34380 */   MCD_OPC_Decode, 162, 4, 89, // Opcode: FMAXDrr
+/* 34384 */   MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 34396
+/* 34388 */   MCD_OPC_CheckPredicate, 3, 105, 24, // Skip to: 40641
+/* 34392 */   MCD_OPC_Decode, 184, 4, 89, // Opcode: FMINDrr
+/* 34396 */   MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 34408
+/* 34400 */   MCD_OPC_CheckPredicate, 3, 93, 24, // Skip to: 40641
+/* 34404 */   MCD_OPC_Decode, 163, 4, 89, // Opcode: FMAXNMDrr
+/* 34408 */   MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 34420
+/* 34412 */   MCD_OPC_CheckPredicate, 3, 81, 24, // Skip to: 40641
+/* 34416 */   MCD_OPC_Decode, 185, 4, 89, // Opcode: FMINNMDrr
+/* 34420 */   MCD_OPC_FilterValue, 8, 73, 24, // Skip to: 40641
+/* 34424 */   MCD_OPC_CheckPredicate, 3, 69, 24, // Skip to: 40641
+/* 34428 */   MCD_OPC_Decode, 138, 5, 89, // Opcode: FNMULDrr
+/* 34432 */   MCD_OPC_FilterValue, 3, 61, 24, // Skip to: 40641
+/* 34436 */   MCD_OPC_CheckPredicate, 3, 57, 24, // Skip to: 40641
+/* 34440 */   MCD_OPC_Decode, 134, 3, 139, 2, // Opcode: FCSELDrrr
+/* 34445 */   MCD_OPC_FilterValue, 7, 48, 24, // Skip to: 40641
+/* 34449 */   MCD_OPC_ExtractField, 10, 11,  // Inst{20-10} ...
+/* 34452 */   MCD_OPC_FilterValue, 144, 1, 9, 0, // Skip to: 34466
+/* 34457 */   MCD_OPC_CheckPredicate, 3, 36, 24, // Skip to: 40641
+/* 34461 */   MCD_OPC_Decode, 221, 3, 140, 2, // Opcode: FCVTSHr
+/* 34466 */   MCD_OPC_FilterValue, 176, 1, 26, 24, // Skip to: 40641
+/* 34471 */   MCD_OPC_CheckPredicate, 3, 22, 24, // Skip to: 40641
+/* 34475 */   MCD_OPC_Decode, 154, 3, 141, 2, // Opcode: FCVTDHr
+/* 34480 */   MCD_OPC_FilterValue, 3, 13, 24, // Skip to: 40641
+/* 34484 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 34487 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 34520
+/* 34491 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 34494 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34507
+/* 34498 */   MCD_OPC_CheckPredicate, 3, 251, 23, // Skip to: 40641
+/* 34502 */   MCD_OPC_Decode, 161, 4, 142, 2, // Opcode: FMADDSrrr
+/* 34507 */   MCD_OPC_FilterValue, 1, 242, 23, // Skip to: 40641
+/* 34511 */   MCD_OPC_CheckPredicate, 3, 238, 23, // Skip to: 40641
+/* 34515 */   MCD_OPC_Decode, 236, 4, 142, 2, // Opcode: FMSUBSrrr
+/* 34520 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 34553
+/* 34524 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 34527 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34540
+/* 34531 */   MCD_OPC_CheckPredicate, 3, 218, 23, // Skip to: 40641
+/* 34535 */   MCD_OPC_Decode, 135, 5, 142, 2, // Opcode: FNMADDSrrr
+/* 34540 */   MCD_OPC_FilterValue, 1, 209, 23, // Skip to: 40641
+/* 34544 */   MCD_OPC_CheckPredicate, 3, 205, 23, // Skip to: 40641
+/* 34548 */   MCD_OPC_Decode, 137, 5, 142, 2, // Opcode: FNMSUBSrrr
+/* 34553 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 34586
+/* 34557 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 34560 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34573
+/* 34564 */   MCD_OPC_CheckPredicate, 3, 185, 23, // Skip to: 40641
+/* 34568 */   MCD_OPC_Decode, 160, 4, 143, 2, // Opcode: FMADDDrrr
+/* 34573 */   MCD_OPC_FilterValue, 1, 176, 23, // Skip to: 40641
+/* 34577 */   MCD_OPC_CheckPredicate, 3, 172, 23, // Skip to: 40641
+/* 34581 */   MCD_OPC_Decode, 235, 4, 143, 2, // Opcode: FMSUBDrrr
+/* 34586 */   MCD_OPC_FilterValue, 3, 163, 23, // Skip to: 40641
+/* 34590 */   MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
+/* 34593 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 34606
+/* 34597 */   MCD_OPC_CheckPredicate, 3, 152, 23, // Skip to: 40641
+/* 34601 */   MCD_OPC_Decode, 134, 5, 143, 2, // Opcode: FNMADDDrrr
+/* 34606 */   MCD_OPC_FilterValue, 1, 143, 23, // Skip to: 40641
+/* 34610 */   MCD_OPC_CheckPredicate, 3, 139, 23, // Skip to: 40641
+/* 34614 */   MCD_OPC_Decode, 136, 5, 143, 2, // Opcode: FNMSUBDrrr
+/* 34619 */   MCD_OPC_FilterValue, 1, 139, 1, // Skip to: 35018
+/* 34623 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 34626 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 34715
+/* 34630 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 34633 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34648
+/* 34637 */   MCD_OPC_CheckField, 21, 1, 0, 110, 23, // Skip to: 40641
+/* 34643 */   MCD_OPC_Decode, 137, 15, 226, 1, // Opcode: STURBi
+/* 34648 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34663
+/* 34652 */   MCD_OPC_CheckField, 21, 1, 0, 95, 23, // Skip to: 40641
+/* 34658 */   MCD_OPC_Decode, 220, 14, 226, 1, // Opcode: STRBpost
+/* 34663 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34700
+/* 34667 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 34670 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34685
+/* 34674 */   MCD_OPC_CheckField, 21, 1, 1, 73, 23, // Skip to: 40641
+/* 34680 */   MCD_OPC_Decode, 222, 14, 144, 2, // Opcode: STRBroW
+/* 34685 */   MCD_OPC_FilterValue, 3, 64, 23, // Skip to: 40641
+/* 34689 */   MCD_OPC_CheckField, 21, 1, 1, 58, 23, // Skip to: 40641
+/* 34695 */   MCD_OPC_Decode, 223, 14, 145, 2, // Opcode: STRBroX
+/* 34700 */   MCD_OPC_FilterValue, 3, 49, 23, // Skip to: 40641
+/* 34704 */   MCD_OPC_CheckField, 21, 1, 0, 43, 23, // Skip to: 40641
+/* 34710 */   MCD_OPC_Decode, 221, 14, 226, 1, // Opcode: STRBpre
+/* 34715 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 34804
+/* 34719 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 34722 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34737
+/* 34726 */   MCD_OPC_CheckField, 21, 1, 0, 21, 23, // Skip to: 40641
+/* 34732 */   MCD_OPC_Decode, 156, 8, 226, 1, // Opcode: LDURBi
+/* 34737 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34752
+/* 34741 */   MCD_OPC_CheckField, 21, 1, 0, 6, 23, // Skip to: 40641
+/* 34747 */   MCD_OPC_Decode, 203, 7, 226, 1, // Opcode: LDRBpost
+/* 34752 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34789
+/* 34756 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 34759 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34774
+/* 34763 */   MCD_OPC_CheckField, 21, 1, 1, 240, 22, // Skip to: 40641
+/* 34769 */   MCD_OPC_Decode, 205, 7, 144, 2, // Opcode: LDRBroW
+/* 34774 */   MCD_OPC_FilterValue, 3, 231, 22, // Skip to: 40641
+/* 34778 */   MCD_OPC_CheckField, 21, 1, 1, 225, 22, // Skip to: 40641
+/* 34784 */   MCD_OPC_Decode, 206, 7, 145, 2, // Opcode: LDRBroX
+/* 34789 */   MCD_OPC_FilterValue, 3, 216, 22, // Skip to: 40641
+/* 34793 */   MCD_OPC_CheckField, 21, 1, 0, 210, 22, // Skip to: 40641
+/* 34799 */   MCD_OPC_Decode, 204, 7, 226, 1, // Opcode: LDRBpre
+/* 34804 */   MCD_OPC_FilterValue, 2, 85, 0, // Skip to: 34893
+/* 34808 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 34811 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34826
+/* 34815 */   MCD_OPC_CheckField, 21, 1, 0, 188, 22, // Skip to: 40641
+/* 34821 */   MCD_OPC_Decode, 141, 15, 226, 1, // Opcode: STURQi
+/* 34826 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34841
+/* 34830 */   MCD_OPC_CheckField, 21, 1, 0, 173, 22, // Skip to: 40641
+/* 34836 */   MCD_OPC_Decode, 240, 14, 226, 1, // Opcode: STRQpost
+/* 34841 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34878
+/* 34845 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 34848 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34863
+/* 34852 */   MCD_OPC_CheckField, 21, 1, 1, 151, 22, // Skip to: 40641
+/* 34858 */   MCD_OPC_Decode, 242, 14, 146, 2, // Opcode: STRQroW
+/* 34863 */   MCD_OPC_FilterValue, 3, 142, 22, // Skip to: 40641
+/* 34867 */   MCD_OPC_CheckField, 21, 1, 1, 136, 22, // Skip to: 40641
+/* 34873 */   MCD_OPC_Decode, 243, 14, 147, 2, // Opcode: STRQroX
+/* 34878 */   MCD_OPC_FilterValue, 3, 127, 22, // Skip to: 40641
+/* 34882 */   MCD_OPC_CheckField, 21, 1, 0, 121, 22, // Skip to: 40641
+/* 34888 */   MCD_OPC_Decode, 241, 14, 226, 1, // Opcode: STRQpre
+/* 34893 */   MCD_OPC_FilterValue, 3, 85, 0, // Skip to: 34982
+/* 34897 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 34900 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 34915
+/* 34904 */   MCD_OPC_CheckField, 21, 1, 0, 99, 22, // Skip to: 40641
+/* 34910 */   MCD_OPC_Decode, 160, 8, 226, 1, // Opcode: LDURQi
+/* 34915 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 34930
+/* 34919 */   MCD_OPC_CheckField, 21, 1, 0, 84, 22, // Skip to: 40641
+/* 34925 */   MCD_OPC_Decode, 225, 7, 226, 1, // Opcode: LDRQpost
+/* 34930 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 34967
+/* 34934 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 34937 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 34952
+/* 34941 */   MCD_OPC_CheckField, 21, 1, 1, 62, 22, // Skip to: 40641
+/* 34947 */   MCD_OPC_Decode, 227, 7, 146, 2, // Opcode: LDRQroW
+/* 34952 */   MCD_OPC_FilterValue, 3, 53, 22, // Skip to: 40641
+/* 34956 */   MCD_OPC_CheckField, 21, 1, 1, 47, 22, // Skip to: 40641
+/* 34962 */   MCD_OPC_Decode, 228, 7, 147, 2, // Opcode: LDRQroX
+/* 34967 */   MCD_OPC_FilterValue, 3, 38, 22, // Skip to: 40641
+/* 34971 */   MCD_OPC_CheckField, 21, 1, 0, 32, 22, // Skip to: 40641
+/* 34977 */   MCD_OPC_Decode, 226, 7, 226, 1, // Opcode: LDRQpre
+/* 34982 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 34991
+/* 34986 */   MCD_OPC_Decode, 224, 14, 231, 1, // Opcode: STRBui
+/* 34991 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 35000
+/* 34995 */   MCD_OPC_Decode, 207, 7, 231, 1, // Opcode: LDRBui
+/* 35000 */   MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 35009
+/* 35004 */   MCD_OPC_Decode, 244, 14, 231, 1, // Opcode: STRQui
+/* 35009 */   MCD_OPC_FilterValue, 7, 252, 21, // Skip to: 40641
+/* 35013 */   MCD_OPC_Decode, 229, 7, 231, 1, // Opcode: LDRQui
+/* 35018 */   MCD_OPC_FilterValue, 2, 240, 8, // Skip to: 37310
+/* 35022 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 35025 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 35034
+/* 35029 */   MCD_OPC_Decode, 208, 7, 148, 2, // Opcode: LDRDl
+/* 35034 */   MCD_OPC_FilterValue, 2, 175, 5, // Skip to: 36493
+/* 35038 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 35041 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 35060
+/* 35045 */   MCD_OPC_CheckPredicate, 1, 216, 21, // Skip to: 40641
+/* 35049 */   MCD_OPC_CheckField, 21, 3, 0, 210, 21, // Skip to: 40641
+/* 35055 */   MCD_OPC_Decode, 154, 10, 149, 2, // Opcode: SHA1Crrr
+/* 35060 */   MCD_OPC_FilterValue, 1, 99, 0, // Skip to: 35163
+/* 35064 */   MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
+/* 35067 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 35144
+/* 35071 */   MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
+/* 35074 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 35125
+/* 35078 */   MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
+/* 35081 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 35106
+/* 35085 */   MCD_OPC_CheckPredicate, 0, 176, 21, // Skip to: 40641
+/* 35089 */   MCD_OPC_CheckField, 21, 3, 0, 170, 21, // Skip to: 40641
+/* 35095 */   MCD_OPC_CheckField, 19, 1, 1, 164, 21, // Skip to: 40641
+/* 35101 */   MCD_OPC_Decode, 252, 1, 150, 2, // Opcode: CPYi64
+/* 35106 */   MCD_OPC_FilterValue, 1, 155, 21, // Skip to: 40641
+/* 35110 */   MCD_OPC_CheckPredicate, 0, 151, 21, // Skip to: 40641
+/* 35114 */   MCD_OPC_CheckField, 21, 3, 0, 145, 21, // Skip to: 40641
+/* 35120 */   MCD_OPC_Decode, 251, 1, 151, 2, // Opcode: CPYi32
+/* 35125 */   MCD_OPC_FilterValue, 1, 136, 21, // Skip to: 40641
+/* 35129 */   MCD_OPC_CheckPredicate, 0, 132, 21, // Skip to: 40641
+/* 35133 */   MCD_OPC_CheckField, 21, 3, 0, 126, 21, // Skip to: 40641
+/* 35139 */   MCD_OPC_Decode, 250, 1, 152, 2, // Opcode: CPYi16
+/* 35144 */   MCD_OPC_FilterValue, 1, 117, 21, // Skip to: 40641
+/* 35148 */   MCD_OPC_CheckPredicate, 0, 113, 21, // Skip to: 40641
+/* 35152 */   MCD_OPC_CheckField, 21, 3, 0, 107, 21, // Skip to: 40641
+/* 35158 */   MCD_OPC_Decode, 253, 1, 153, 2, // Opcode: CPYi8
+/* 35163 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 35182
+/* 35167 */   MCD_OPC_CheckPredicate, 1, 94, 21, // Skip to: 40641
+/* 35171 */   MCD_OPC_CheckField, 16, 8, 40, 88, 21, // Skip to: 40641
+/* 35177 */   MCD_OPC_Decode, 155, 10, 253, 1, // Opcode: SHA1Hrr
+/* 35182 */   MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 35240
+/* 35186 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35189 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35202
+/* 35193 */   MCD_OPC_CheckPredicate, 0, 68, 21, // Skip to: 40641
+/* 35197 */   MCD_OPC_Decode, 164, 11, 154, 2, // Opcode: SQADDv1i8
+/* 35202 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35215
+/* 35206 */   MCD_OPC_CheckPredicate, 0, 55, 21, // Skip to: 40641
+/* 35210 */   MCD_OPC_Decode, 161, 11, 155, 2, // Opcode: SQADDv1i16
+/* 35215 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35228
+/* 35219 */   MCD_OPC_CheckPredicate, 0, 42, 21, // Skip to: 40641
+/* 35223 */   MCD_OPC_Decode, 162, 11, 130, 2, // Opcode: SQADDv1i32
+/* 35228 */   MCD_OPC_FilterValue, 7, 33, 21, // Skip to: 40641
+/* 35232 */   MCD_OPC_CheckPredicate, 0, 29, 21, // Skip to: 40641
+/* 35236 */   MCD_OPC_Decode, 163, 11, 89, // Opcode: SQADDv1i64
+/* 35240 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 35259
+/* 35244 */   MCD_OPC_CheckPredicate, 1, 17, 21, // Skip to: 40641
+/* 35248 */   MCD_OPC_CheckField, 21, 3, 0, 11, 21, // Skip to: 40641
+/* 35254 */   MCD_OPC_Decode, 157, 10, 149, 2, // Opcode: SHA1Prrr
+/* 35259 */   MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 35277
+/* 35263 */   MCD_OPC_CheckPredicate, 1, 254, 20, // Skip to: 40641
+/* 35267 */   MCD_OPC_CheckField, 16, 8, 40, 248, 20, // Skip to: 40641
+/* 35273 */   MCD_OPC_Decode, 159, 10, 126, // Opcode: SHA1SU1rr
+/* 35277 */   MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 35296
+/* 35281 */   MCD_OPC_CheckPredicate, 1, 236, 20, // Skip to: 40641
+/* 35285 */   MCD_OPC_CheckField, 21, 3, 0, 230, 20, // Skip to: 40641
+/* 35291 */   MCD_OPC_Decode, 156, 10, 149, 2, // Opcode: SHA1Mrrr
+/* 35296 */   MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 35314
+/* 35300 */   MCD_OPC_CheckPredicate, 1, 217, 20, // Skip to: 40641
+/* 35304 */   MCD_OPC_CheckField, 16, 8, 40, 211, 20, // Skip to: 40641
+/* 35310 */   MCD_OPC_Decode, 162, 10, 126, // Opcode: SHA256SU0rr
+/* 35314 */   MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 35372
+/* 35318 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35321 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35334
+/* 35325 */   MCD_OPC_CheckPredicate, 0, 192, 20, // Skip to: 40641
+/* 35329 */   MCD_OPC_Decode, 198, 12, 154, 2, // Opcode: SQSUBv1i8
+/* 35334 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35347
+/* 35338 */   MCD_OPC_CheckPredicate, 0, 179, 20, // Skip to: 40641
+/* 35342 */   MCD_OPC_Decode, 195, 12, 155, 2, // Opcode: SQSUBv1i16
+/* 35347 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35360
+/* 35351 */   MCD_OPC_CheckPredicate, 0, 166, 20, // Skip to: 40641
+/* 35355 */   MCD_OPC_Decode, 196, 12, 130, 2, // Opcode: SQSUBv1i32
+/* 35360 */   MCD_OPC_FilterValue, 7, 157, 20, // Skip to: 40641
+/* 35364 */   MCD_OPC_CheckPredicate, 0, 153, 20, // Skip to: 40641
+/* 35368 */   MCD_OPC_Decode, 197, 12, 89, // Opcode: SQSUBv1i64
+/* 35372 */   MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 35390
+/* 35376 */   MCD_OPC_CheckPredicate, 1, 141, 20, // Skip to: 40641
+/* 35380 */   MCD_OPC_CheckField, 21, 3, 0, 135, 20, // Skip to: 40641
+/* 35386 */   MCD_OPC_Decode, 158, 10, 120, // Opcode: SHA1SU0rrr
+/* 35390 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 35408
+/* 35394 */   MCD_OPC_CheckPredicate, 0, 123, 20, // Skip to: 40641
+/* 35398 */   MCD_OPC_CheckField, 21, 3, 7, 117, 20, // Skip to: 40641
+/* 35404 */   MCD_OPC_Decode, 194, 1, 89, // Opcode: CMGTv1i64
+/* 35408 */   MCD_OPC_FilterValue, 14, 56, 0, // Skip to: 35468
+/* 35412 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 35415 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 35428
+/* 35419 */   MCD_OPC_CheckPredicate, 0, 98, 20, // Skip to: 40641
+/* 35423 */   MCD_OPC_Decode, 187, 15, 156, 2, // Opcode: SUQADDv1i8
+/* 35428 */   MCD_OPC_FilterValue, 96, 9, 0, // Skip to: 35441
+/* 35432 */   MCD_OPC_CheckPredicate, 0, 85, 20, // Skip to: 40641
+/* 35436 */   MCD_OPC_Decode, 184, 15, 157, 2, // Opcode: SUQADDv1i16
+/* 35441 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 35455
+/* 35446 */   MCD_OPC_CheckPredicate, 0, 71, 20, // Skip to: 40641
+/* 35450 */   MCD_OPC_Decode, 185, 15, 158, 2, // Opcode: SUQADDv1i32
+/* 35455 */   MCD_OPC_FilterValue, 224, 1, 61, 20, // Skip to: 40641
+/* 35460 */   MCD_OPC_CheckPredicate, 0, 57, 20, // Skip to: 40641
+/* 35464 */   MCD_OPC_Decode, 186, 15, 99, // Opcode: SUQADDv1i64
+/* 35468 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 35486
+/* 35472 */   MCD_OPC_CheckPredicate, 0, 45, 20, // Skip to: 40641
+/* 35476 */   MCD_OPC_CheckField, 21, 3, 7, 39, 20, // Skip to: 40641
+/* 35482 */   MCD_OPC_Decode, 178, 1, 89, // Opcode: CMGEv1i64
+/* 35486 */   MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 35504
+/* 35490 */   MCD_OPC_CheckPredicate, 1, 27, 20, // Skip to: 40641
+/* 35494 */   MCD_OPC_CheckField, 21, 3, 0, 21, 20, // Skip to: 40641
+/* 35500 */   MCD_OPC_Decode, 161, 10, 120, // Opcode: SHA256Hrrr
+/* 35504 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 35522
+/* 35508 */   MCD_OPC_CheckPredicate, 0, 9, 20, // Skip to: 40641
+/* 35512 */   MCD_OPC_CheckField, 21, 3, 7, 3, 20, // Skip to: 40641
+/* 35518 */   MCD_OPC_Decode, 140, 13, 89, // Opcode: SSHLv1i64
+/* 35522 */   MCD_OPC_FilterValue, 18, 43, 0, // Skip to: 35569
+/* 35526 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 35529 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 35542
+/* 35533 */   MCD_OPC_CheckPredicate, 0, 240, 19, // Skip to: 40641
+/* 35537 */   MCD_OPC_Decode, 208, 12, 159, 2, // Opcode: SQXTNv1i8
+/* 35542 */   MCD_OPC_FilterValue, 97, 9, 0, // Skip to: 35555
+/* 35546 */   MCD_OPC_CheckPredicate, 0, 227, 19, // Skip to: 40641
+/* 35550 */   MCD_OPC_Decode, 206, 12, 255, 1, // Opcode: SQXTNv1i16
+/* 35555 */   MCD_OPC_FilterValue, 161, 1, 217, 19, // Skip to: 40641
+/* 35560 */   MCD_OPC_CheckPredicate, 0, 213, 19, // Skip to: 40641
+/* 35564 */   MCD_OPC_Decode, 207, 12, 144, 1, // Opcode: SQXTNv1i32
+/* 35569 */   MCD_OPC_FilterValue, 19, 54, 0, // Skip to: 35627
+/* 35573 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35576 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35589
+/* 35580 */   MCD_OPC_CheckPredicate, 0, 193, 19, // Skip to: 40641
+/* 35584 */   MCD_OPC_Decode, 163, 12, 154, 2, // Opcode: SQSHLv1i8
+/* 35589 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35602
+/* 35593 */   MCD_OPC_CheckPredicate, 0, 180, 19, // Skip to: 40641
+/* 35597 */   MCD_OPC_Decode, 160, 12, 155, 2, // Opcode: SQSHLv1i16
+/* 35602 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35615
+/* 35606 */   MCD_OPC_CheckPredicate, 0, 167, 19, // Skip to: 40641
+/* 35610 */   MCD_OPC_Decode, 161, 12, 130, 2, // Opcode: SQSHLv1i32
+/* 35615 */   MCD_OPC_FilterValue, 7, 158, 19, // Skip to: 40641
+/* 35619 */   MCD_OPC_CheckPredicate, 0, 154, 19, // Skip to: 40641
+/* 35623 */   MCD_OPC_Decode, 162, 12, 89, // Opcode: SQSHLv1i64
+/* 35627 */   MCD_OPC_FilterValue, 20, 14, 0, // Skip to: 35645
+/* 35631 */   MCD_OPC_CheckPredicate, 1, 142, 19, // Skip to: 40641
+/* 35635 */   MCD_OPC_CheckField, 21, 3, 0, 136, 19, // Skip to: 40641
+/* 35641 */   MCD_OPC_Decode, 160, 10, 120, // Opcode: SHA256H2rrr
+/* 35645 */   MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 35663
+/* 35649 */   MCD_OPC_CheckPredicate, 0, 124, 19, // Skip to: 40641
+/* 35653 */   MCD_OPC_CheckField, 21, 3, 7, 118, 19, // Skip to: 40641
+/* 35659 */   MCD_OPC_Decode, 238, 12, 89, // Opcode: SRSHLv1i64
+/* 35663 */   MCD_OPC_FilterValue, 23, 54, 0, // Skip to: 35721
+/* 35667 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35670 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 35683
+/* 35674 */   MCD_OPC_CheckPredicate, 0, 99, 19, // Skip to: 40641
+/* 35678 */   MCD_OPC_Decode, 246, 11, 154, 2, // Opcode: SQRSHLv1i8
+/* 35683 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35696
+/* 35687 */   MCD_OPC_CheckPredicate, 0, 86, 19, // Skip to: 40641
+/* 35691 */   MCD_OPC_Decode, 243, 11, 155, 2, // Opcode: SQRSHLv1i16
+/* 35696 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 35709
+/* 35700 */   MCD_OPC_CheckPredicate, 0, 73, 19, // Skip to: 40641
+/* 35704 */   MCD_OPC_Decode, 244, 11, 130, 2, // Opcode: SQRSHLv1i32
+/* 35709 */   MCD_OPC_FilterValue, 7, 64, 19, // Skip to: 40641
+/* 35713 */   MCD_OPC_CheckPredicate, 0, 60, 19, // Skip to: 40641
+/* 35717 */   MCD_OPC_Decode, 245, 11, 89, // Opcode: SQRSHLv1i64
+/* 35721 */   MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 35739
+/* 35725 */   MCD_OPC_CheckPredicate, 1, 48, 19, // Skip to: 40641
+/* 35729 */   MCD_OPC_CheckField, 21, 3, 0, 42, 19, // Skip to: 40641
+/* 35735 */   MCD_OPC_Decode, 163, 10, 120, // Opcode: SHA256SU1rrr
+/* 35739 */   MCD_OPC_FilterValue, 30, 56, 0, // Skip to: 35799
+/* 35743 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 35746 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 35759
+/* 35750 */   MCD_OPC_CheckPredicate, 0, 23, 19, // Skip to: 40641
+/* 35754 */   MCD_OPC_Decode, 153, 11, 160, 2, // Opcode: SQABSv1i8
+/* 35759 */   MCD_OPC_FilterValue, 96, 9, 0, // Skip to: 35772
+/* 35763 */   MCD_OPC_CheckPredicate, 0, 10, 19, // Skip to: 40641
+/* 35767 */   MCD_OPC_Decode, 150, 11, 161, 2, // Opcode: SQABSv1i16
+/* 35772 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 35786
+/* 35777 */   MCD_OPC_CheckPredicate, 0, 252, 18, // Skip to: 40641
+/* 35781 */   MCD_OPC_Decode, 151, 11, 253, 1, // Opcode: SQABSv1i32
+/* 35786 */   MCD_OPC_FilterValue, 224, 1, 242, 18, // Skip to: 40641
+/* 35791 */   MCD_OPC_CheckPredicate, 0, 238, 18, // Skip to: 40641
+/* 35795 */   MCD_OPC_Decode, 152, 11, 90, // Opcode: SQABSv1i64
+/* 35799 */   MCD_OPC_FilterValue, 33, 13, 0, // Skip to: 35816
+/* 35803 */   MCD_OPC_CheckPredicate, 0, 226, 18, // Skip to: 40641
+/* 35807 */   MCD_OPC_CheckField, 21, 3, 7, 220, 18, // Skip to: 40641
+/* 35813 */   MCD_OPC_Decode, 72, 89, // Opcode: ADDv1i64
+/* 35816 */   MCD_OPC_FilterValue, 34, 15, 0, // Skip to: 35835
+/* 35820 */   MCD_OPC_CheckPredicate, 0, 209, 18, // Skip to: 40641
+/* 35824 */   MCD_OPC_CheckField, 16, 8, 224, 1, 202, 18, // Skip to: 40641
+/* 35831 */   MCD_OPC_Decode, 195, 1, 90, // Opcode: CMGTv1i64rz
+/* 35835 */   MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 35853
+/* 35839 */   MCD_OPC_CheckPredicate, 0, 190, 18, // Skip to: 40641
+/* 35843 */   MCD_OPC_CheckField, 21, 3, 7, 184, 18, // Skip to: 40641
+/* 35849 */   MCD_OPC_Decode, 241, 1, 89, // Opcode: CMTSTv1i64
+/* 35853 */   MCD_OPC_FilterValue, 36, 29, 0, // Skip to: 35886
+/* 35857 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35860 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35873
+/* 35864 */   MCD_OPC_CheckPredicate, 0, 165, 18, // Skip to: 40641
+/* 35868 */   MCD_OPC_Decode, 171, 11, 162, 2, // Opcode: SQDMLALi16
+/* 35873 */   MCD_OPC_FilterValue, 5, 156, 18, // Skip to: 40641
+/* 35877 */   MCD_OPC_CheckPredicate, 0, 152, 18, // Skip to: 40641
+/* 35881 */   MCD_OPC_Decode, 172, 11, 163, 2, // Opcode: SQDMLALi32
+/* 35886 */   MCD_OPC_FilterValue, 38, 15, 0, // Skip to: 35905
+/* 35890 */   MCD_OPC_CheckPredicate, 0, 139, 18, // Skip to: 40641
+/* 35894 */   MCD_OPC_CheckField, 16, 8, 224, 1, 132, 18, // Skip to: 40641
+/* 35901 */   MCD_OPC_Decode, 163, 1, 90, // Opcode: CMEQv1i64rz
+/* 35905 */   MCD_OPC_FilterValue, 42, 68, 0, // Skip to: 35977
+/* 35909 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 35912 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 35925
+/* 35916 */   MCD_OPC_CheckPredicate, 0, 113, 18, // Skip to: 40641
+/* 35920 */   MCD_OPC_Decode, 184, 3, 253, 1, // Opcode: FCVTNSv1i32
+/* 35925 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 35937
+/* 35929 */   MCD_OPC_CheckPredicate, 0, 100, 18, // Skip to: 40641
+/* 35933 */   MCD_OPC_Decode, 185, 3, 90, // Opcode: FCVTNSv1i64
+/* 35937 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 35951
+/* 35942 */   MCD_OPC_CheckPredicate, 0, 87, 18, // Skip to: 40641
+/* 35946 */   MCD_OPC_Decode, 206, 3, 253, 1, // Opcode: FCVTPSv1i32
+/* 35951 */   MCD_OPC_FilterValue, 224, 1, 8, 0, // Skip to: 35964
+/* 35956 */   MCD_OPC_CheckPredicate, 0, 73, 18, // Skip to: 40641
+/* 35960 */   MCD_OPC_Decode, 233, 1, 90, // Opcode: CMLTv1i64rz
+/* 35964 */   MCD_OPC_FilterValue, 225, 1, 64, 18, // Skip to: 40641
+/* 35969 */   MCD_OPC_CheckPredicate, 0, 60, 18, // Skip to: 40641
+/* 35973 */   MCD_OPC_Decode, 207, 3, 90, // Opcode: FCVTPSv1i64
+/* 35977 */   MCD_OPC_FilterValue, 44, 29, 0, // Skip to: 36010
+/* 35981 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 35984 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 35997
+/* 35988 */   MCD_OPC_CheckPredicate, 0, 41, 18, // Skip to: 40641
+/* 35992 */   MCD_OPC_Decode, 183, 11, 162, 2, // Opcode: SQDMLSLi16
+/* 35997 */   MCD_OPC_FilterValue, 5, 32, 18, // Skip to: 40641
+/* 36001 */   MCD_OPC_CheckPredicate, 0, 28, 18, // Skip to: 40641
+/* 36005 */   MCD_OPC_Decode, 184, 11, 163, 2, // Opcode: SQDMLSLi32
+/* 36010 */   MCD_OPC_FilterValue, 45, 29, 0, // Skip to: 36043
+/* 36014 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 36017 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 36030
+/* 36021 */   MCD_OPC_CheckPredicate, 0, 8, 18, // Skip to: 40641
+/* 36025 */   MCD_OPC_Decode, 195, 11, 155, 2, // Opcode: SQDMULHv1i16
+/* 36030 */   MCD_OPC_FilterValue, 5, 255, 17, // Skip to: 40641
+/* 36034 */   MCD_OPC_CheckPredicate, 0, 251, 17, // Skip to: 40641
+/* 36038 */   MCD_OPC_Decode, 197, 11, 130, 2, // Opcode: SQDMULHv1i32
+/* 36043 */   MCD_OPC_FilterValue, 46, 79, 0, // Skip to: 36126
+/* 36047 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 36050 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36063
+/* 36054 */   MCD_OPC_CheckPredicate, 0, 231, 17, // Skip to: 40641
+/* 36058 */   MCD_OPC_Decode, 166, 3, 253, 1, // Opcode: FCVTMSv1i32
+/* 36063 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36075
+/* 36067 */   MCD_OPC_CheckPredicate, 0, 218, 17, // Skip to: 40641
+/* 36071 */   MCD_OPC_Decode, 167, 3, 90, // Opcode: FCVTMSv1i64
+/* 36075 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36089
+/* 36080 */   MCD_OPC_CheckPredicate, 0, 205, 17, // Skip to: 40641
+/* 36084 */   MCD_OPC_Decode, 246, 3, 253, 1, // Opcode: FCVTZSv1i32
+/* 36089 */   MCD_OPC_FilterValue, 224, 1, 7, 0, // Skip to: 36101
+/* 36094 */   MCD_OPC_CheckPredicate, 0, 191, 17, // Skip to: 40641
+/* 36098 */   MCD_OPC_Decode, 23, 90, // Opcode: ABSv1i64
+/* 36101 */   MCD_OPC_FilterValue, 225, 1, 8, 0, // Skip to: 36114
+/* 36106 */   MCD_OPC_CheckPredicate, 0, 179, 17, // Skip to: 40641
+/* 36110 */   MCD_OPC_Decode, 247, 3, 90, // Opcode: FCVTZSv1i64
+/* 36114 */   MCD_OPC_FilterValue, 241, 1, 170, 17, // Skip to: 40641
+/* 36119 */   MCD_OPC_CheckPredicate, 0, 166, 17, // Skip to: 40641
+/* 36123 */   MCD_OPC_Decode, 43, 95, // Opcode: ADDPv2i64p
+/* 36126 */   MCD_OPC_FilterValue, 50, 55, 0, // Skip to: 36185
+/* 36130 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 36133 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36146
+/* 36137 */   MCD_OPC_CheckPredicate, 0, 148, 17, // Skip to: 40641
+/* 36141 */   MCD_OPC_Decode, 140, 3, 253, 1, // Opcode: FCVTASv1i32
+/* 36146 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36158
+/* 36150 */   MCD_OPC_CheckPredicate, 0, 135, 17, // Skip to: 40641
+/* 36154 */   MCD_OPC_Decode, 141, 3, 90, // Opcode: FCVTASv1i64
+/* 36158 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36172
+/* 36163 */   MCD_OPC_CheckPredicate, 0, 122, 17, // Skip to: 40641
+/* 36167 */   MCD_OPC_Decode, 236, 2, 253, 1, // Opcode: FCMGTv1i32rz
+/* 36172 */   MCD_OPC_FilterValue, 224, 1, 112, 17, // Skip to: 40641
+/* 36177 */   MCD_OPC_CheckPredicate, 0, 108, 17, // Skip to: 40641
+/* 36181 */   MCD_OPC_Decode, 237, 2, 90, // Opcode: FCMGTv1i64rz
+/* 36185 */   MCD_OPC_FilterValue, 52, 29, 0, // Skip to: 36218
+/* 36189 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 36192 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 36205
+/* 36196 */   MCD_OPC_CheckPredicate, 0, 89, 17, // Skip to: 40641
+/* 36200 */   MCD_OPC_Decode, 207, 11, 164, 2, // Opcode: SQDMULLi16
+/* 36205 */   MCD_OPC_FilterValue, 5, 80, 17, // Skip to: 40641
+/* 36209 */   MCD_OPC_CheckPredicate, 0, 76, 17, // Skip to: 40641
+/* 36213 */   MCD_OPC_Decode, 208, 11, 165, 2, // Opcode: SQDMULLi32
+/* 36218 */   MCD_OPC_FilterValue, 54, 82, 0, // Skip to: 36304
+/* 36222 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 36225 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 36238
+/* 36229 */   MCD_OPC_CheckPredicate, 0, 56, 17, // Skip to: 40641
+/* 36233 */   MCD_OPC_Decode, 142, 10, 253, 1, // Opcode: SCVTFv1i32
+/* 36238 */   MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 36250
+/* 36242 */   MCD_OPC_CheckPredicate, 0, 43, 17, // Skip to: 40641
+/* 36246 */   MCD_OPC_Decode, 143, 10, 90, // Opcode: SCVTFv1i64
+/* 36250 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36264
+/* 36255 */   MCD_OPC_CheckPredicate, 0, 30, 17, // Skip to: 40641
+/* 36259 */   MCD_OPC_Decode, 216, 2, 253, 1, // Opcode: FCMEQv1i32rz
+/* 36264 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36278
+/* 36269 */   MCD_OPC_CheckPredicate, 0, 16, 17, // Skip to: 40641
+/* 36273 */   MCD_OPC_Decode, 140, 5, 253, 1, // Opcode: FRECPEv1i32
+/* 36278 */   MCD_OPC_FilterValue, 224, 1, 8, 0, // Skip to: 36291
+/* 36283 */   MCD_OPC_CheckPredicate, 0, 2, 17, // Skip to: 40641
+/* 36287 */   MCD_OPC_Decode, 217, 2, 90, // Opcode: FCMEQv1i64rz
+/* 36291 */   MCD_OPC_FilterValue, 225, 1, 249, 16, // Skip to: 40641
+/* 36296 */   MCD_OPC_CheckPredicate, 0, 245, 16, // Skip to: 40641
+/* 36300 */   MCD_OPC_Decode, 141, 5, 90, // Opcode: FRECPEv1i64
+/* 36304 */   MCD_OPC_FilterValue, 55, 28, 0, // Skip to: 36336
+/* 36308 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 36311 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36324
+/* 36315 */   MCD_OPC_CheckPredicate, 0, 226, 16, // Skip to: 40641
+/* 36319 */   MCD_OPC_Decode, 239, 4, 130, 2, // Opcode: FMULX32
+/* 36324 */   MCD_OPC_FilterValue, 3, 217, 16, // Skip to: 40641
+/* 36328 */   MCD_OPC_CheckPredicate, 0, 213, 16, // Skip to: 40641
+/* 36332 */   MCD_OPC_Decode, 240, 4, 89, // Opcode: FMULX64
+/* 36336 */   MCD_OPC_FilterValue, 57, 28, 0, // Skip to: 36368
+/* 36340 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 36343 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36356
+/* 36347 */   MCD_OPC_CheckPredicate, 0, 194, 16, // Skip to: 40641
+/* 36351 */   MCD_OPC_Decode, 214, 2, 130, 2, // Opcode: FCMEQ32
+/* 36356 */   MCD_OPC_FilterValue, 3, 185, 16, // Skip to: 40641
+/* 36360 */   MCD_OPC_CheckPredicate, 0, 181, 16, // Skip to: 40641
+/* 36364 */   MCD_OPC_Decode, 215, 2, 89, // Opcode: FCMEQ64
+/* 36368 */   MCD_OPC_FilterValue, 58, 30, 0, // Skip to: 36402
+/* 36372 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 36375 */   MCD_OPC_FilterValue, 160, 1, 9, 0, // Skip to: 36389
+/* 36380 */   MCD_OPC_CheckPredicate, 0, 161, 16, // Skip to: 40641
+/* 36384 */   MCD_OPC_Decode, 249, 2, 253, 1, // Opcode: FCMLTv1i32rz
+/* 36389 */   MCD_OPC_FilterValue, 224, 1, 151, 16, // Skip to: 40641
+/* 36394 */   MCD_OPC_CheckPredicate, 0, 147, 16, // Skip to: 40641
+/* 36398 */   MCD_OPC_Decode, 250, 2, 90, // Opcode: FCMLTv1i64rz
+/* 36402 */   MCD_OPC_FilterValue, 62, 30, 0, // Skip to: 36436
+/* 36406 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 36409 */   MCD_OPC_FilterValue, 161, 1, 9, 0, // Skip to: 36423
+/* 36414 */   MCD_OPC_CheckPredicate, 0, 127, 16, // Skip to: 40641
+/* 36418 */   MCD_OPC_Decode, 150, 5, 253, 1, // Opcode: FRECPXv1i32
+/* 36423 */   MCD_OPC_FilterValue, 225, 1, 117, 16, // Skip to: 40641
+/* 36428 */   MCD_OPC_CheckPredicate, 0, 113, 16, // Skip to: 40641
+/* 36432 */   MCD_OPC_Decode, 151, 5, 90, // Opcode: FRECPXv1i64
+/* 36436 */   MCD_OPC_FilterValue, 63, 105, 16, // Skip to: 40641
+/* 36440 */   MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 36443 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36456
+/* 36447 */   MCD_OPC_CheckPredicate, 0, 94, 16, // Skip to: 40641
+/* 36451 */   MCD_OPC_Decode, 145, 5, 130, 2, // Opcode: FRECPS32
+/* 36456 */   MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 36468
+/* 36460 */   MCD_OPC_CheckPredicate, 0, 81, 16, // Skip to: 40641
+/* 36464 */   MCD_OPC_Decode, 146, 5, 89, // Opcode: FRECPS64
+/* 36468 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 36481
+/* 36472 */   MCD_OPC_CheckPredicate, 0, 69, 16, // Skip to: 40641
+/* 36476 */   MCD_OPC_Decode, 192, 5, 130, 2, // Opcode: FRSQRTS32
+/* 36481 */   MCD_OPC_FilterValue, 7, 60, 16, // Skip to: 40641
+/* 36485 */   MCD_OPC_CheckPredicate, 0, 56, 16, // Skip to: 40641
+/* 36489 */   MCD_OPC_Decode, 193, 5, 89, // Opcode: FRSQRTS64
+/* 36493 */   MCD_OPC_FilterValue, 3, 48, 16, // Skip to: 40641
+/* 36497 */   MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 36500 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 36525
+/* 36504 */   MCD_OPC_CheckPredicate, 0, 37, 16, // Skip to: 40641
+/* 36508 */   MCD_OPC_CheckField, 22, 2, 1, 31, 16, // Skip to: 40641
+/* 36514 */   MCD_OPC_CheckField, 10, 2, 1, 25, 16, // Skip to: 40641
+/* 36520 */   MCD_OPC_Decode, 147, 13, 166, 2, // Opcode: SSHRd
+/* 36525 */   MCD_OPC_FilterValue, 1, 66, 0, // Skip to: 36595
+/* 36529 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 36532 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 36551
+/* 36536 */   MCD_OPC_CheckPredicate, 0, 5, 16, // Skip to: 40641
+/* 36540 */   MCD_OPC_CheckField, 10, 2, 1, 255, 15, // Skip to: 40641
+/* 36546 */   MCD_OPC_Decode, 155, 13, 167, 2, // Opcode: SSRAd
+/* 36551 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 36570
+/* 36555 */   MCD_OPC_CheckPredicate, 0, 242, 15, // Skip to: 40641
+/* 36559 */   MCD_OPC_CheckField, 10, 1, 0, 236, 15, // Skip to: 40641
+/* 36565 */   MCD_OPC_Decode, 206, 4, 168, 2, // Opcode: FMLAv1i32_indexed
+/* 36570 */   MCD_OPC_FilterValue, 3, 227, 15, // Skip to: 40641
+/* 36574 */   MCD_OPC_CheckPredicate, 0, 223, 15, // Skip to: 40641
+/* 36578 */   MCD_OPC_CheckField, 21, 1, 0, 217, 15, // Skip to: 40641
+/* 36584 */   MCD_OPC_CheckField, 10, 1, 0, 211, 15, // Skip to: 40641
+/* 36590 */   MCD_OPC_Decode, 207, 4, 169, 2, // Opcode: FMLAv1i64_indexed
+/* 36595 */   MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 36620
+/* 36599 */   MCD_OPC_CheckPredicate, 0, 198, 15, // Skip to: 40641
+/* 36603 */   MCD_OPC_CheckField, 22, 2, 1, 192, 15, // Skip to: 40641
+/* 36609 */   MCD_OPC_CheckField, 10, 2, 1, 186, 15, // Skip to: 40641
+/* 36615 */   MCD_OPC_Decode, 245, 12, 166, 2, // Opcode: SRSHRd
+/* 36620 */   MCD_OPC_FilterValue, 3, 61, 0, // Skip to: 36685
+/* 36624 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 36627 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 36660
+/* 36631 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 36634 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 36647
+/* 36638 */   MCD_OPC_CheckPredicate, 0, 159, 15, // Skip to: 40641
+/* 36642 */   MCD_OPC_Decode, 173, 11, 170, 2, // Opcode: SQDMLALv1i32_indexed
+/* 36647 */   MCD_OPC_FilterValue, 2, 150, 15, // Skip to: 40641
+/* 36651 */   MCD_OPC_CheckPredicate, 0, 146, 15, // Skip to: 40641
+/* 36655 */   MCD_OPC_Decode, 174, 11, 171, 2, // Opcode: SQDMLALv1i64_indexed
+/* 36660 */   MCD_OPC_FilterValue, 1, 137, 15, // Skip to: 40641
+/* 36664 */   MCD_OPC_CheckPredicate, 0, 133, 15, // Skip to: 40641
+/* 36668 */   MCD_OPC_CheckField, 22, 2, 1, 127, 15, // Skip to: 40641
+/* 36674 */   MCD_OPC_CheckField, 11, 1, 0, 121, 15, // Skip to: 40641
+/* 36680 */   MCD_OPC_Decode, 253, 12, 167, 2, // Opcode: SRSRAd
+/* 36685 */   MCD_OPC_FilterValue, 5, 66, 0, // Skip to: 36755
+/* 36689 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 36692 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 36711
+/* 36696 */   MCD_OPC_CheckPredicate, 0, 101, 15, // Skip to: 40641
+/* 36700 */   MCD_OPC_CheckField, 10, 2, 1, 95, 15, // Skip to: 40641
+/* 36706 */   MCD_OPC_Decode, 176, 10, 172, 2, // Opcode: SHLd
+/* 36711 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 36730
+/* 36715 */   MCD_OPC_CheckPredicate, 0, 82, 15, // Skip to: 40641
+/* 36719 */   MCD_OPC_CheckField, 10, 1, 0, 76, 15, // Skip to: 40641
+/* 36725 */   MCD_OPC_Decode, 214, 4, 168, 2, // Opcode: FMLSv1i32_indexed
+/* 36730 */   MCD_OPC_FilterValue, 3, 67, 15, // Skip to: 40641
+/* 36734 */   MCD_OPC_CheckPredicate, 0, 63, 15, // Skip to: 40641
+/* 36738 */   MCD_OPC_CheckField, 21, 1, 0, 57, 15, // Skip to: 40641
+/* 36744 */   MCD_OPC_CheckField, 10, 1, 0, 51, 15, // Skip to: 40641
+/* 36750 */   MCD_OPC_Decode, 215, 4, 169, 2, // Opcode: FMLSv1i64_indexed
+/* 36755 */   MCD_OPC_FilterValue, 7, 138, 0, // Skip to: 36897
+/* 36759 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 36762 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 36839
+/* 36766 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 36769 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 36820
+/* 36773 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 36776 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 36801
+/* 36780 */   MCD_OPC_CheckPredicate, 0, 17, 15, // Skip to: 40641
+/* 36784 */   MCD_OPC_CheckField, 19, 1, 1, 11, 15, // Skip to: 40641
+/* 36790 */   MCD_OPC_CheckField, 10, 2, 1, 5, 15, // Skip to: 40641
+/* 36796 */   MCD_OPC_Decode, 154, 12, 173, 2, // Opcode: SQSHLb
+/* 36801 */   MCD_OPC_FilterValue, 1, 252, 14, // Skip to: 40641
+/* 36805 */   MCD_OPC_CheckPredicate, 0, 248, 14, // Skip to: 40641
+/* 36809 */   MCD_OPC_CheckField, 10, 2, 1, 242, 14, // Skip to: 40641
+/* 36815 */   MCD_OPC_Decode, 156, 12, 174, 2, // Opcode: SQSHLh
+/* 36820 */   MCD_OPC_FilterValue, 1, 233, 14, // Skip to: 40641
+/* 36824 */   MCD_OPC_CheckPredicate, 0, 229, 14, // Skip to: 40641
+/* 36828 */   MCD_OPC_CheckField, 10, 2, 1, 223, 14, // Skip to: 40641
+/* 36834 */   MCD_OPC_Decode, 157, 12, 175, 2, // Opcode: SQSHLs
+/* 36839 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 36878
+/* 36843 */   MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 36846 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 36859
+/* 36850 */   MCD_OPC_CheckPredicate, 0, 203, 14, // Skip to: 40641
+/* 36854 */   MCD_OPC_Decode, 185, 11, 170, 2, // Opcode: SQDMLSLv1i32_indexed
+/* 36859 */   MCD_OPC_FilterValue, 1, 194, 14, // Skip to: 40641
+/* 36863 */   MCD_OPC_CheckPredicate, 0, 190, 14, // Skip to: 40641
+/* 36867 */   MCD_OPC_CheckField, 11, 1, 0, 184, 14, // Skip to: 40641
+/* 36873 */   MCD_OPC_Decode, 155, 12, 172, 2, // Opcode: SQSHLd
+/* 36878 */   MCD_OPC_FilterValue, 2, 175, 14, // Skip to: 40641
+/* 36882 */   MCD_OPC_CheckPredicate, 0, 171, 14, // Skip to: 40641
+/* 36886 */   MCD_OPC_CheckField, 10, 1, 0, 165, 14, // Skip to: 40641
+/* 36892 */   MCD_OPC_Decode, 186, 11, 171, 2, // Opcode: SQDMLSLv1i64_indexed
+/* 36897 */   MCD_OPC_FilterValue, 9, 172, 0, // Skip to: 37073
+/* 36901 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 36904 */   MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 37029
+/* 36908 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 36911 */   MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 36970
+/* 36915 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 36918 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 36957
+/* 36922 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 36925 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 36944
+/* 36929 */   MCD_OPC_CheckPredicate, 0, 124, 14, // Skip to: 40641
+/* 36933 */   MCD_OPC_CheckField, 19, 1, 1, 118, 14, // Skip to: 40641
+/* 36939 */   MCD_OPC_Decode, 176, 12, 176, 2, // Opcode: SQSHRNb
+/* 36944 */   MCD_OPC_FilterValue, 1, 109, 14, // Skip to: 40641
+/* 36948 */   MCD_OPC_CheckPredicate, 0, 105, 14, // Skip to: 40641
+/* 36952 */   MCD_OPC_Decode, 177, 12, 177, 2, // Opcode: SQSHRNh
+/* 36957 */   MCD_OPC_FilterValue, 1, 96, 14, // Skip to: 40641
+/* 36961 */   MCD_OPC_CheckPredicate, 0, 92, 14, // Skip to: 40641
+/* 36965 */   MCD_OPC_Decode, 178, 12, 178, 2, // Opcode: SQSHRNs
+/* 36970 */   MCD_OPC_FilterValue, 3, 83, 14, // Skip to: 40641
+/* 36974 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 36977 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 37016
+/* 36981 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 36984 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 37003
+/* 36988 */   MCD_OPC_CheckPredicate, 0, 65, 14, // Skip to: 40641
+/* 36992 */   MCD_OPC_CheckField, 19, 1, 1, 59, 14, // Skip to: 40641
+/* 36998 */   MCD_OPC_Decode, 253, 11, 176, 2, // Opcode: SQRSHRNb
+/* 37003 */   MCD_OPC_FilterValue, 1, 50, 14, // Skip to: 40641
+/* 37007 */   MCD_OPC_CheckPredicate, 0, 46, 14, // Skip to: 40641
+/* 37011 */   MCD_OPC_Decode, 254, 11, 177, 2, // Opcode: SQRSHRNh
+/* 37016 */   MCD_OPC_FilterValue, 1, 37, 14, // Skip to: 40641
+/* 37020 */   MCD_OPC_CheckPredicate, 0, 33, 14, // Skip to: 40641
+/* 37024 */   MCD_OPC_Decode, 255, 11, 178, 2, // Opcode: SQRSHRNs
+/* 37029 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 37048
+/* 37033 */   MCD_OPC_CheckPredicate, 0, 20, 14, // Skip to: 40641
+/* 37037 */   MCD_OPC_CheckField, 10, 1, 0, 14, 14, // Skip to: 40641
+/* 37043 */   MCD_OPC_Decode, 249, 4, 179, 2, // Opcode: FMULv1i32_indexed
+/* 37048 */   MCD_OPC_FilterValue, 3, 5, 14, // Skip to: 40641
+/* 37052 */   MCD_OPC_CheckPredicate, 0, 1, 14, // Skip to: 40641
+/* 37056 */   MCD_OPC_CheckField, 21, 1, 0, 251, 13, // Skip to: 40641
+/* 37062 */   MCD_OPC_CheckField, 10, 1, 0, 245, 13, // Skip to: 40641
+/* 37068 */   MCD_OPC_Decode, 250, 4, 180, 2, // Opcode: FMULv1i64_indexed
+/* 37073 */   MCD_OPC_FilterValue, 11, 41, 0, // Skip to: 37118
+/* 37077 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 37080 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37099
+/* 37084 */   MCD_OPC_CheckPredicate, 0, 225, 13, // Skip to: 40641
+/* 37088 */   MCD_OPC_CheckField, 10, 1, 0, 219, 13, // Skip to: 40641
+/* 37094 */   MCD_OPC_Decode, 209, 11, 181, 2, // Opcode: SQDMULLv1i32_indexed
+/* 37099 */   MCD_OPC_FilterValue, 2, 210, 13, // Skip to: 40641
+/* 37103 */   MCD_OPC_CheckPredicate, 0, 206, 13, // Skip to: 40641
+/* 37107 */   MCD_OPC_CheckField, 10, 1, 0, 200, 13, // Skip to: 40641
+/* 37113 */   MCD_OPC_Decode, 210, 11, 182, 2, // Opcode: SQDMULLv1i64_indexed
+/* 37118 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 37163
+/* 37122 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 37125 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37144
+/* 37129 */   MCD_OPC_CheckPredicate, 0, 180, 13, // Skip to: 40641
+/* 37133 */   MCD_OPC_CheckField, 10, 1, 0, 174, 13, // Skip to: 40641
+/* 37139 */   MCD_OPC_Decode, 196, 11, 183, 2, // Opcode: SQDMULHv1i16_indexed
+/* 37144 */   MCD_OPC_FilterValue, 2, 165, 13, // Skip to: 40641
+/* 37148 */   MCD_OPC_CheckPredicate, 0, 161, 13, // Skip to: 40641
+/* 37152 */   MCD_OPC_CheckField, 10, 1, 0, 155, 13, // Skip to: 40641
+/* 37158 */   MCD_OPC_Decode, 198, 11, 179, 2, // Opcode: SQDMULHv1i32_indexed
+/* 37163 */   MCD_OPC_FilterValue, 13, 41, 0, // Skip to: 37208
+/* 37167 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 37170 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 37189
+/* 37174 */   MCD_OPC_CheckPredicate, 0, 135, 13, // Skip to: 40641
+/* 37178 */   MCD_OPC_CheckField, 10, 1, 0, 129, 13, // Skip to: 40641
+/* 37184 */   MCD_OPC_Decode, 231, 11, 183, 2, // Opcode: SQRDMULHv1i16_indexed
+/* 37189 */   MCD_OPC_FilterValue, 2, 120, 13, // Skip to: 40641
+/* 37193 */   MCD_OPC_CheckPredicate, 0, 116, 13, // Skip to: 40641
+/* 37197 */   MCD_OPC_CheckField, 10, 1, 0, 110, 13, // Skip to: 40641
+/* 37203 */   MCD_OPC_Decode, 233, 11, 179, 2, // Opcode: SQRDMULHv1i32_indexed
+/* 37208 */   MCD_OPC_FilterValue, 14, 47, 0, // Skip to: 37259
+/* 37212 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 37215 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 37240
+/* 37219 */   MCD_OPC_CheckPredicate, 0, 90, 13, // Skip to: 40641
+/* 37223 */   MCD_OPC_CheckField, 21, 1, 1, 84, 13, // Skip to: 40641
+/* 37229 */   MCD_OPC_CheckField, 10, 2, 1, 78, 13, // Skip to: 40641
+/* 37235 */   MCD_OPC_Decode, 141, 10, 184, 2, // Opcode: SCVTFs
+/* 37240 */   MCD_OPC_FilterValue, 1, 69, 13, // Skip to: 40641
+/* 37244 */   MCD_OPC_CheckPredicate, 0, 65, 13, // Skip to: 40641
+/* 37248 */   MCD_OPC_CheckField, 10, 2, 1, 59, 13, // Skip to: 40641
+/* 37254 */   MCD_OPC_Decode, 140, 10, 166, 2, // Opcode: SCVTFd
+/* 37259 */   MCD_OPC_FilterValue, 15, 50, 13, // Skip to: 40641
+/* 37263 */   MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 37266 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 37291
+/* 37270 */   MCD_OPC_CheckPredicate, 0, 39, 13, // Skip to: 40641
+/* 37274 */   MCD_OPC_CheckField, 21, 1, 1, 33, 13, // Skip to: 40641
+/* 37280 */   MCD_OPC_CheckField, 10, 2, 3, 27, 13, // Skip to: 40641
+/* 37286 */   MCD_OPC_Decode, 245, 3, 184, 2, // Opcode: FCVTZSs
+/* 37291 */   MCD_OPC_FilterValue, 1, 18, 13, // Skip to: 40641
+/* 37295 */   MCD_OPC_CheckPredicate, 0, 14, 13, // Skip to: 40641
+/* 37299 */   MCD_OPC_CheckField, 10, 2, 3, 8, 13, // Skip to: 40641
+/* 37305 */   MCD_OPC_Decode, 244, 3, 166, 2, // Opcode: FCVTZSd
+/* 37310 */   MCD_OPC_FilterValue, 3, 212, 8, // Skip to: 39574
+/* 37314 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 37317 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 37406
+/* 37321 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 37324 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 37339
+/* 37328 */   MCD_OPC_CheckField, 21, 1, 0, 235, 12, // Skip to: 40641
+/* 37334 */   MCD_OPC_Decode, 140, 15, 226, 1, // Opcode: STURHi
+/* 37339 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 37354
+/* 37343 */   MCD_OPC_CheckField, 21, 1, 0, 220, 12, // Skip to: 40641
+/* 37349 */   MCD_OPC_Decode, 235, 14, 226, 1, // Opcode: STRHpost
+/* 37354 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 37391
+/* 37358 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 37361 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 37376
+/* 37365 */   MCD_OPC_CheckField, 21, 1, 1, 198, 12, // Skip to: 40641
+/* 37371 */   MCD_OPC_Decode, 237, 14, 185, 2, // Opcode: STRHroW
+/* 37376 */   MCD_OPC_FilterValue, 3, 189, 12, // Skip to: 40641
+/* 37380 */   MCD_OPC_CheckField, 21, 1, 1, 183, 12, // Skip to: 40641
+/* 37386 */   MCD_OPC_Decode, 238, 14, 186, 2, // Opcode: STRHroX
+/* 37391 */   MCD_OPC_FilterValue, 3, 174, 12, // Skip to: 40641
+/* 37395 */   MCD_OPC_CheckField, 21, 1, 0, 168, 12, // Skip to: 40641
+/* 37401 */   MCD_OPC_Decode, 236, 14, 226, 1, // Opcode: STRHpre
+/* 37406 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 37495
+/* 37410 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 37413 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 37428
+/* 37417 */   MCD_OPC_CheckField, 21, 1, 0, 146, 12, // Skip to: 40641
+/* 37423 */   MCD_OPC_Decode, 159, 8, 226, 1, // Opcode: LDURHi
+/* 37428 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 37443
+/* 37432 */   MCD_OPC_CheckField, 21, 1, 0, 131, 12, // Skip to: 40641
+/* 37438 */   MCD_OPC_Decode, 219, 7, 226, 1, // Opcode: LDRHpost
+/* 37443 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 37480
+/* 37447 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 37450 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 37465
+/* 37454 */   MCD_OPC_CheckField, 21, 1, 1, 109, 12, // Skip to: 40641
+/* 37460 */   MCD_OPC_Decode, 221, 7, 185, 2, // Opcode: LDRHroW
+/* 37465 */   MCD_OPC_FilterValue, 3, 100, 12, // Skip to: 40641
+/* 37469 */   MCD_OPC_CheckField, 21, 1, 1, 94, 12, // Skip to: 40641
+/* 37475 */   MCD_OPC_Decode, 222, 7, 186, 2, // Opcode: LDRHroX
+/* 37480 */   MCD_OPC_FilterValue, 3, 85, 12, // Skip to: 40641
+/* 37484 */   MCD_OPC_CheckField, 21, 1, 0, 79, 12, // Skip to: 40641
+/* 37490 */   MCD_OPC_Decode, 220, 7, 226, 1, // Opcode: LDRHpre
+/* 37495 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 37504
+/* 37499 */   MCD_OPC_Decode, 239, 14, 231, 1, // Opcode: STRHui
+/* 37504 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 37513
+/* 37508 */   MCD_OPC_Decode, 223, 7, 231, 1, // Opcode: LDRHui
+/* 37513 */   MCD_OPC_FilterValue, 8, 60, 1, // Skip to: 37833
+/* 37517 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 37520 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 37539
+/* 37524 */   MCD_OPC_CheckPredicate, 0, 41, 12, // Skip to: 40641
+/* 37528 */   MCD_OPC_CheckField, 21, 1, 1, 35, 12, // Skip to: 40641
+/* 37534 */   MCD_OPC_Decode, 143, 17, 154, 2, // Opcode: UQADDv1i8
+/* 37539 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 37558
+/* 37543 */   MCD_OPC_CheckPredicate, 0, 22, 12, // Skip to: 40641
+/* 37547 */   MCD_OPC_CheckField, 16, 6, 33, 16, 12, // Skip to: 40641
+/* 37553 */   MCD_OPC_Decode, 217, 12, 159, 2, // Opcode: SQXTUNv1i8
+/* 37558 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 37577
+/* 37562 */   MCD_OPC_CheckPredicate, 0, 3, 12, // Skip to: 40641
+/* 37566 */   MCD_OPC_CheckField, 21, 1, 1, 253, 11, // Skip to: 40641
+/* 37572 */   MCD_OPC_Decode, 205, 17, 154, 2, // Opcode: UQSUBv1i8
+/* 37577 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 37596
+/* 37581 */   MCD_OPC_CheckPredicate, 0, 240, 11, // Skip to: 40641
+/* 37585 */   MCD_OPC_CheckField, 16, 6, 32, 234, 11, // Skip to: 40641
+/* 37591 */   MCD_OPC_Decode, 153, 18, 156, 2, // Opcode: USQADDv1i8
+/* 37596 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 37615
+/* 37600 */   MCD_OPC_CheckPredicate, 0, 221, 11, // Skip to: 40641
+/* 37604 */   MCD_OPC_CheckField, 16, 6, 33, 215, 11, // Skip to: 40641
+/* 37610 */   MCD_OPC_Decode, 215, 17, 159, 2, // Opcode: UQXTNv1i8
+/* 37615 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 37634
+/* 37619 */   MCD_OPC_CheckPredicate, 0, 202, 11, // Skip to: 40641
+/* 37623 */   MCD_OPC_CheckField, 21, 1, 1, 196, 11, // Skip to: 40641
+/* 37629 */   MCD_OPC_Decode, 179, 17, 154, 2, // Opcode: UQSHLv1i8
+/* 37634 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 37653
+/* 37638 */   MCD_OPC_CheckPredicate, 0, 183, 11, // Skip to: 40641
+/* 37642 */   MCD_OPC_CheckField, 21, 1, 1, 177, 11, // Skip to: 40641
+/* 37648 */   MCD_OPC_Decode, 154, 17, 154, 2, // Opcode: UQRSHLv1i8
+/* 37653 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 37672
+/* 37657 */   MCD_OPC_CheckPredicate, 0, 164, 11, // Skip to: 40641
+/* 37661 */   MCD_OPC_CheckField, 16, 6, 32, 158, 11, // Skip to: 40641
+/* 37667 */   MCD_OPC_Decode, 223, 11, 160, 2, // Opcode: SQNEGv1i8
+/* 37672 */   MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 37691
+/* 37676 */   MCD_OPC_CheckPredicate, 0, 145, 11, // Skip to: 40641
+/* 37680 */   MCD_OPC_CheckField, 16, 6, 33, 139, 11, // Skip to: 40641
+/* 37686 */   MCD_OPC_Decode, 193, 3, 253, 1, // Opcode: FCVTNUv1i32
+/* 37691 */   MCD_OPC_FilterValue, 46, 15, 0, // Skip to: 37710
+/* 37695 */   MCD_OPC_CheckPredicate, 0, 126, 11, // Skip to: 40641
+/* 37699 */   MCD_OPC_CheckField, 16, 6, 33, 120, 11, // Skip to: 40641
+/* 37705 */   MCD_OPC_Decode, 175, 3, 253, 1, // Opcode: FCVTMUv1i32
+/* 37710 */   MCD_OPC_FilterValue, 50, 29, 0, // Skip to: 37743
+/* 37714 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 37717 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 37730
+/* 37721 */   MCD_OPC_CheckPredicate, 0, 100, 11, // Skip to: 40641
+/* 37725 */   MCD_OPC_Decode, 149, 3, 253, 1, // Opcode: FCVTAUv1i32
+/* 37730 */   MCD_OPC_FilterValue, 48, 91, 11, // Skip to: 40641
+/* 37734 */   MCD_OPC_CheckPredicate, 0, 87, 11, // Skip to: 40641
+/* 37738 */   MCD_OPC_Decode, 166, 4, 144, 1, // Opcode: FMAXNMPv2i32p
+/* 37743 */   MCD_OPC_FilterValue, 54, 29, 0, // Skip to: 37776
+/* 37747 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 37750 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 37763
+/* 37754 */   MCD_OPC_CheckPredicate, 0, 67, 11, // Skip to: 40641
+/* 37758 */   MCD_OPC_Decode, 172, 16, 253, 1, // Opcode: UCVTFv1i32
+/* 37763 */   MCD_OPC_FilterValue, 48, 58, 11, // Skip to: 40641
+/* 37767 */   MCD_OPC_CheckPredicate, 0, 54, 11, // Skip to: 40641
+/* 37771 */   MCD_OPC_Decode, 203, 2, 144, 1, // Opcode: FADDPv2i32p
+/* 37776 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 37795
+/* 37780 */   MCD_OPC_CheckPredicate, 0, 41, 11, // Skip to: 40641
+/* 37784 */   MCD_OPC_CheckField, 21, 1, 1, 35, 11, // Skip to: 40641
+/* 37790 */   MCD_OPC_Decode, 224, 2, 130, 2, // Opcode: FCMGE32
+/* 37795 */   MCD_OPC_FilterValue, 59, 15, 0, // Skip to: 37814
+/* 37799 */   MCD_OPC_CheckPredicate, 0, 22, 11, // Skip to: 40641
+/* 37803 */   MCD_OPC_CheckField, 21, 1, 1, 16, 11, // Skip to: 40641
+/* 37809 */   MCD_OPC_Decode, 190, 2, 130, 2, // Opcode: FACGE32
+/* 37814 */   MCD_OPC_FilterValue, 62, 7, 11, // Skip to: 40641
+/* 37818 */   MCD_OPC_CheckPredicate, 0, 3, 11, // Skip to: 40641
+/* 37822 */   MCD_OPC_CheckField, 16, 6, 48, 253, 10, // Skip to: 40641
+/* 37828 */   MCD_OPC_Decode, 176, 4, 144, 1, // Opcode: FMAXPv2i32p
+/* 37833 */   MCD_OPC_FilterValue, 9, 89, 1, // Skip to: 38182
+/* 37837 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 37840 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 37859
+/* 37844 */   MCD_OPC_CheckPredicate, 0, 233, 10, // Skip to: 40641
+/* 37848 */   MCD_OPC_CheckField, 21, 1, 1, 227, 10, // Skip to: 40641
+/* 37854 */   MCD_OPC_Decode, 140, 17, 155, 2, // Opcode: UQADDv1i16
+/* 37859 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 37878
+/* 37863 */   MCD_OPC_CheckPredicate, 0, 214, 10, // Skip to: 40641
+/* 37867 */   MCD_OPC_CheckField, 16, 6, 33, 208, 10, // Skip to: 40641
+/* 37873 */   MCD_OPC_Decode, 215, 12, 255, 1, // Opcode: SQXTUNv1i16
+/* 37878 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 37897
+/* 37882 */   MCD_OPC_CheckPredicate, 0, 195, 10, // Skip to: 40641
+/* 37886 */   MCD_OPC_CheckField, 21, 1, 1, 189, 10, // Skip to: 40641
+/* 37892 */   MCD_OPC_Decode, 202, 17, 155, 2, // Opcode: UQSUBv1i16
+/* 37897 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 37916
+/* 37901 */   MCD_OPC_CheckPredicate, 0, 176, 10, // Skip to: 40641
+/* 37905 */   MCD_OPC_CheckField, 16, 6, 32, 170, 10, // Skip to: 40641
+/* 37911 */   MCD_OPC_Decode, 150, 18, 157, 2, // Opcode: USQADDv1i16
+/* 37916 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 37935
+/* 37920 */   MCD_OPC_CheckPredicate, 0, 157, 10, // Skip to: 40641
+/* 37924 */   MCD_OPC_CheckField, 16, 6, 33, 151, 10, // Skip to: 40641
+/* 37930 */   MCD_OPC_Decode, 213, 17, 255, 1, // Opcode: UQXTNv1i16
+/* 37935 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 37954
+/* 37939 */   MCD_OPC_CheckPredicate, 0, 138, 10, // Skip to: 40641
+/* 37943 */   MCD_OPC_CheckField, 21, 1, 1, 132, 10, // Skip to: 40641
+/* 37949 */   MCD_OPC_Decode, 176, 17, 155, 2, // Opcode: UQSHLv1i16
+/* 37954 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 37973
+/* 37958 */   MCD_OPC_CheckPredicate, 0, 119, 10, // Skip to: 40641
+/* 37962 */   MCD_OPC_CheckField, 21, 1, 1, 113, 10, // Skip to: 40641
+/* 37968 */   MCD_OPC_Decode, 151, 17, 155, 2, // Opcode: UQRSHLv1i16
+/* 37973 */   MCD_OPC_FilterValue, 26, 15, 0, // Skip to: 37992
+/* 37977 */   MCD_OPC_CheckPredicate, 0, 100, 10, // Skip to: 40641
+/* 37981 */   MCD_OPC_CheckField, 16, 6, 33, 94, 10, // Skip to: 40641
+/* 37987 */   MCD_OPC_Decode, 222, 3, 144, 1, // Opcode: FCVTXNv1i64
+/* 37992 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 38011
+/* 37996 */   MCD_OPC_CheckPredicate, 0, 81, 10, // Skip to: 40641
+/* 38000 */   MCD_OPC_CheckField, 16, 6, 32, 75, 10, // Skip to: 40641
+/* 38006 */   MCD_OPC_Decode, 220, 11, 161, 2, // Opcode: SQNEGv1i16
+/* 38011 */   MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 38029
+/* 38015 */   MCD_OPC_CheckPredicate, 0, 62, 10, // Skip to: 40641
+/* 38019 */   MCD_OPC_CheckField, 16, 6, 33, 56, 10, // Skip to: 40641
+/* 38025 */   MCD_OPC_Decode, 194, 3, 90, // Opcode: FCVTNUv1i64
+/* 38029 */   MCD_OPC_FilterValue, 45, 15, 0, // Skip to: 38048
+/* 38033 */   MCD_OPC_CheckPredicate, 0, 44, 10, // Skip to: 40641
+/* 38037 */   MCD_OPC_CheckField, 21, 1, 1, 38, 10, // Skip to: 40641
+/* 38043 */   MCD_OPC_Decode, 230, 11, 155, 2, // Opcode: SQRDMULHv1i16
+/* 38048 */   MCD_OPC_FilterValue, 46, 14, 0, // Skip to: 38066
+/* 38052 */   MCD_OPC_CheckPredicate, 0, 25, 10, // Skip to: 40641
+/* 38056 */   MCD_OPC_CheckField, 16, 6, 33, 19, 10, // Skip to: 40641
+/* 38062 */   MCD_OPC_Decode, 176, 3, 90, // Opcode: FCVTMUv1i64
+/* 38066 */   MCD_OPC_FilterValue, 50, 27, 0, // Skip to: 38097
+/* 38070 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38073 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 38085
+/* 38077 */   MCD_OPC_CheckPredicate, 0, 0, 10, // Skip to: 40641
+/* 38081 */   MCD_OPC_Decode, 150, 3, 90, // Opcode: FCVTAUv1i64
+/* 38085 */   MCD_OPC_FilterValue, 48, 248, 9, // Skip to: 40641
+/* 38089 */   MCD_OPC_CheckPredicate, 0, 244, 9, // Skip to: 40641
+/* 38093 */   MCD_OPC_Decode, 167, 4, 95, // Opcode: FMAXNMPv2i64p
+/* 38097 */   MCD_OPC_FilterValue, 54, 27, 0, // Skip to: 38128
+/* 38101 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38104 */   MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 38116
+/* 38108 */   MCD_OPC_CheckPredicate, 0, 225, 9, // Skip to: 40641
+/* 38112 */   MCD_OPC_Decode, 173, 16, 90, // Opcode: UCVTFv1i64
+/* 38116 */   MCD_OPC_FilterValue, 48, 217, 9, // Skip to: 40641
+/* 38120 */   MCD_OPC_CheckPredicate, 0, 213, 9, // Skip to: 40641
+/* 38124 */   MCD_OPC_Decode, 204, 2, 95, // Opcode: FADDPv2i64p
+/* 38128 */   MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 38146
+/* 38132 */   MCD_OPC_CheckPredicate, 0, 201, 9, // Skip to: 40641
+/* 38136 */   MCD_OPC_CheckField, 21, 1, 1, 195, 9, // Skip to: 40641
+/* 38142 */   MCD_OPC_Decode, 225, 2, 89, // Opcode: FCMGE64
+/* 38146 */   MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 38164
+/* 38150 */   MCD_OPC_CheckPredicate, 0, 183, 9, // Skip to: 40641
+/* 38154 */   MCD_OPC_CheckField, 21, 1, 1, 177, 9, // Skip to: 40641
+/* 38160 */   MCD_OPC_Decode, 191, 2, 89, // Opcode: FACGE64
+/* 38164 */   MCD_OPC_FilterValue, 62, 169, 9, // Skip to: 40641
+/* 38168 */   MCD_OPC_CheckPredicate, 0, 165, 9, // Skip to: 40641
+/* 38172 */   MCD_OPC_CheckField, 16, 6, 48, 159, 9, // Skip to: 40641
+/* 38178 */   MCD_OPC_Decode, 177, 4, 95, // Opcode: FMAXPv2i64p
+/* 38182 */   MCD_OPC_FilterValue, 10, 98, 1, // Skip to: 38540
+/* 38186 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 38189 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 38208
+/* 38193 */   MCD_OPC_CheckPredicate, 0, 140, 9, // Skip to: 40641
+/* 38197 */   MCD_OPC_CheckField, 21, 1, 1, 134, 9, // Skip to: 40641
+/* 38203 */   MCD_OPC_Decode, 141, 17, 130, 2, // Opcode: UQADDv1i32
+/* 38208 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 38227
+/* 38212 */   MCD_OPC_CheckPredicate, 0, 121, 9, // Skip to: 40641
+/* 38216 */   MCD_OPC_CheckField, 16, 6, 33, 115, 9, // Skip to: 40641
+/* 38222 */   MCD_OPC_Decode, 216, 12, 144, 1, // Opcode: SQXTUNv1i32
+/* 38227 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 38246
+/* 38231 */   MCD_OPC_CheckPredicate, 0, 102, 9, // Skip to: 40641
+/* 38235 */   MCD_OPC_CheckField, 21, 1, 1, 96, 9, // Skip to: 40641
+/* 38241 */   MCD_OPC_Decode, 203, 17, 130, 2, // Opcode: UQSUBv1i32
+/* 38246 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 38265
+/* 38250 */   MCD_OPC_CheckPredicate, 0, 83, 9, // Skip to: 40641
+/* 38254 */   MCD_OPC_CheckField, 16, 6, 32, 77, 9, // Skip to: 40641
+/* 38260 */   MCD_OPC_Decode, 151, 18, 158, 2, // Opcode: USQADDv1i32
+/* 38265 */   MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 38284
+/* 38269 */   MCD_OPC_CheckPredicate, 0, 64, 9, // Skip to: 40641
+/* 38273 */   MCD_OPC_CheckField, 16, 6, 33, 58, 9, // Skip to: 40641
+/* 38279 */   MCD_OPC_Decode, 214, 17, 144, 1, // Opcode: UQXTNv1i32
+/* 38284 */   MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 38303
+/* 38288 */   MCD_OPC_CheckPredicate, 0, 45, 9, // Skip to: 40641
+/* 38292 */   MCD_OPC_CheckField, 21, 1, 1, 39, 9, // Skip to: 40641
+/* 38298 */   MCD_OPC_Decode, 177, 17, 130, 2, // Opcode: UQSHLv1i32
+/* 38303 */   MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 38322
+/* 38307 */   MCD_OPC_CheckPredicate, 0, 26, 9, // Skip to: 40641
+/* 38311 */   MCD_OPC_CheckField, 21, 1, 1, 20, 9, // Skip to: 40641
+/* 38317 */   MCD_OPC_Decode, 152, 17, 130, 2, // Opcode: UQRSHLv1i32
+/* 38322 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 38341
+/* 38326 */   MCD_OPC_CheckPredicate, 0, 7, 9, // Skip to: 40641
+/* 38330 */   MCD_OPC_CheckField, 16, 6, 32, 1, 9, // Skip to: 40641
+/* 38336 */   MCD_OPC_Decode, 221, 11, 253, 1, // Opcode: SQNEGv1i32
+/* 38341 */   MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 38360
+/* 38345 */   MCD_OPC_CheckPredicate, 0, 244, 8, // Skip to: 40641
+/* 38349 */   MCD_OPC_CheckField, 16, 6, 33, 238, 8, // Skip to: 40641
+/* 38355 */   MCD_OPC_Decode, 215, 3, 253, 1, // Opcode: FCVTPUv1i32
+/* 38360 */   MCD_OPC_FilterValue, 45, 15, 0, // Skip to: 38379
+/* 38364 */   MCD_OPC_CheckPredicate, 0, 225, 8, // Skip to: 40641
+/* 38368 */   MCD_OPC_CheckField, 21, 1, 1, 219, 8, // Skip to: 40641
+/* 38374 */   MCD_OPC_Decode, 232, 11, 130, 2, // Opcode: SQRDMULHv1i32
+/* 38379 */   MCD_OPC_FilterValue, 46, 15, 0, // Skip to: 38398
+/* 38383 */   MCD_OPC_CheckPredicate, 0, 206, 8, // Skip to: 40641
+/* 38387 */   MCD_OPC_CheckField, 16, 6, 33, 200, 8, // Skip to: 40641
+/* 38393 */   MCD_OPC_Decode, 147, 4, 253, 1, // Opcode: FCVTZUv1i32
+/* 38398 */   MCD_OPC_FilterValue, 50, 29, 0, // Skip to: 38431
+/* 38402 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38405 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 38418
+/* 38409 */   MCD_OPC_CheckPredicate, 0, 180, 8, // Skip to: 40641
+/* 38413 */   MCD_OPC_Decode, 226, 2, 253, 1, // Opcode: FCMGEv1i32rz
+/* 38418 */   MCD_OPC_FilterValue, 48, 171, 8, // Skip to: 40641
+/* 38422 */   MCD_OPC_CheckPredicate, 0, 167, 8, // Skip to: 40641
+/* 38426 */   MCD_OPC_Decode, 188, 4, 144, 1, // Opcode: FMINNMPv2i32p
+/* 38431 */   MCD_OPC_FilterValue, 53, 15, 0, // Skip to: 38450
+/* 38435 */   MCD_OPC_CheckPredicate, 0, 154, 8, // Skip to: 40641
+/* 38439 */   MCD_OPC_CheckField, 21, 1, 1, 148, 8, // Skip to: 40641
+/* 38445 */   MCD_OPC_Decode, 180, 2, 130, 2, // Opcode: FABD32
+/* 38450 */   MCD_OPC_FilterValue, 54, 29, 0, // Skip to: 38483
+/* 38454 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38457 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 38470
+/* 38461 */   MCD_OPC_CheckPredicate, 0, 128, 8, // Skip to: 40641
+/* 38465 */   MCD_OPC_Decode, 244, 2, 253, 1, // Opcode: FCMLEv1i32rz
+/* 38470 */   MCD_OPC_FilterValue, 33, 119, 8, // Skip to: 40641
+/* 38474 */   MCD_OPC_CheckPredicate, 0, 115, 8, // Skip to: 40641
+/* 38478 */   MCD_OPC_Decode, 187, 5, 253, 1, // Opcode: FRSQRTEv1i32
+/* 38483 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 38502
+/* 38487 */   MCD_OPC_CheckPredicate, 0, 102, 8, // Skip to: 40641
+/* 38491 */   MCD_OPC_CheckField, 21, 1, 1, 96, 8, // Skip to: 40641
+/* 38497 */   MCD_OPC_Decode, 234, 2, 130, 2, // Opcode: FCMGT32
+/* 38502 */   MCD_OPC_FilterValue, 59, 15, 0, // Skip to: 38521
+/* 38506 */   MCD_OPC_CheckPredicate, 0, 83, 8, // Skip to: 40641
+/* 38510 */   MCD_OPC_CheckField, 21, 1, 1, 77, 8, // Skip to: 40641
+/* 38516 */   MCD_OPC_Decode, 195, 2, 130, 2, // Opcode: FACGT32
+/* 38521 */   MCD_OPC_FilterValue, 62, 68, 8, // Skip to: 40641
+/* 38525 */   MCD_OPC_CheckPredicate, 0, 64, 8, // Skip to: 40641
+/* 38529 */   MCD_OPC_CheckField, 16, 6, 48, 58, 8, // Skip to: 40641
+/* 38535 */   MCD_OPC_Decode, 198, 4, 144, 1, // Opcode: FMINPv2i32p
+/* 38540 */   MCD_OPC_FilterValue, 11, 182, 1, // Skip to: 38982
+/* 38544 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 38547 */   MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 38565
+/* 38551 */   MCD_OPC_CheckPredicate, 0, 38, 8, // Skip to: 40641
+/* 38555 */   MCD_OPC_CheckField, 21, 1, 1, 32, 8, // Skip to: 40641
+/* 38561 */   MCD_OPC_Decode, 142, 17, 89, // Opcode: UQADDv1i64
+/* 38565 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 38583
+/* 38569 */   MCD_OPC_CheckPredicate, 0, 20, 8, // Skip to: 40641
+/* 38573 */   MCD_OPC_CheckField, 21, 1, 1, 14, 8, // Skip to: 40641
+/* 38579 */   MCD_OPC_Decode, 204, 17, 89, // Opcode: UQSUBv1i64
+/* 38583 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 38601
+/* 38587 */   MCD_OPC_CheckPredicate, 0, 2, 8, // Skip to: 40641
+/* 38591 */   MCD_OPC_CheckField, 21, 1, 1, 252, 7, // Skip to: 40641
+/* 38597 */   MCD_OPC_Decode, 209, 1, 89, // Opcode: CMHIv1i64
+/* 38601 */   MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 38619
+/* 38605 */   MCD_OPC_CheckPredicate, 0, 240, 7, // Skip to: 40641
+/* 38609 */   MCD_OPC_CheckField, 16, 6, 32, 234, 7, // Skip to: 40641
+/* 38615 */   MCD_OPC_Decode, 152, 18, 99, // Opcode: USQADDv1i64
+/* 38619 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 38637
+/* 38623 */   MCD_OPC_CheckPredicate, 0, 222, 7, // Skip to: 40641
+/* 38627 */   MCD_OPC_CheckField, 21, 1, 1, 216, 7, // Skip to: 40641
+/* 38633 */   MCD_OPC_Decode, 217, 1, 89, // Opcode: CMHSv1i64
+/* 38637 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 38655
+/* 38641 */   MCD_OPC_CheckPredicate, 0, 204, 7, // Skip to: 40641
+/* 38645 */   MCD_OPC_CheckField, 21, 1, 1, 198, 7, // Skip to: 40641
+/* 38651 */   MCD_OPC_Decode, 134, 18, 89, // Opcode: USHLv1i64
+/* 38655 */   MCD_OPC_FilterValue, 19, 14, 0, // Skip to: 38673
+/* 38659 */   MCD_OPC_CheckPredicate, 0, 186, 7, // Skip to: 40641
+/* 38663 */   MCD_OPC_CheckField, 21, 1, 1, 180, 7, // Skip to: 40641
+/* 38669 */   MCD_OPC_Decode, 178, 17, 89, // Opcode: UQSHLv1i64
+/* 38673 */   MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 38691
+/* 38677 */   MCD_OPC_CheckPredicate, 0, 168, 7, // Skip to: 40641
+/* 38681 */   MCD_OPC_CheckField, 21, 1, 1, 162, 7, // Skip to: 40641
+/* 38687 */   MCD_OPC_Decode, 230, 17, 89, // Opcode: URSHLv1i64
+/* 38691 */   MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 38709
+/* 38695 */   MCD_OPC_CheckPredicate, 0, 150, 7, // Skip to: 40641
+/* 38699 */   MCD_OPC_CheckField, 21, 1, 1, 144, 7, // Skip to: 40641
+/* 38705 */   MCD_OPC_Decode, 153, 17, 89, // Opcode: UQRSHLv1i64
+/* 38709 */   MCD_OPC_FilterValue, 30, 14, 0, // Skip to: 38727
+/* 38713 */   MCD_OPC_CheckPredicate, 0, 132, 7, // Skip to: 40641
+/* 38717 */   MCD_OPC_CheckField, 16, 6, 32, 126, 7, // Skip to: 40641
+/* 38723 */   MCD_OPC_Decode, 222, 11, 90, // Opcode: SQNEGv1i64
+/* 38727 */   MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 38745
+/* 38731 */   MCD_OPC_CheckPredicate, 0, 114, 7, // Skip to: 40641
+/* 38735 */   MCD_OPC_CheckField, 21, 1, 1, 108, 7, // Skip to: 40641
+/* 38741 */   MCD_OPC_Decode, 176, 15, 89, // Opcode: SUBv1i64
+/* 38745 */   MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 38763
+/* 38749 */   MCD_OPC_CheckPredicate, 0, 96, 7, // Skip to: 40641
+/* 38753 */   MCD_OPC_CheckField, 16, 6, 32, 90, 7, // Skip to: 40641
+/* 38759 */   MCD_OPC_Decode, 179, 1, 90, // Opcode: CMGEv1i64rz
+/* 38763 */   MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 38781
+/* 38767 */   MCD_OPC_CheckPredicate, 0, 78, 7, // Skip to: 40641
+/* 38771 */   MCD_OPC_CheckField, 21, 1, 1, 72, 7, // Skip to: 40641
+/* 38777 */   MCD_OPC_Decode, 162, 1, 89, // Opcode: CMEQv1i64
+/* 38781 */   MCD_OPC_FilterValue, 38, 14, 0, // Skip to: 38799
+/* 38785 */   MCD_OPC_CheckPredicate, 0, 60, 7, // Skip to: 40641
+/* 38789 */   MCD_OPC_CheckField, 16, 6, 32, 54, 7, // Skip to: 40641
+/* 38795 */   MCD_OPC_Decode, 225, 1, 90, // Opcode: CMLEv1i64rz
+/* 38799 */   MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 38817
+/* 38803 */   MCD_OPC_CheckPredicate, 0, 42, 7, // Skip to: 40641
+/* 38807 */   MCD_OPC_CheckField, 16, 6, 33, 36, 7, // Skip to: 40641
+/* 38813 */   MCD_OPC_Decode, 216, 3, 90, // Opcode: FCVTPUv1i64
+/* 38817 */   MCD_OPC_FilterValue, 46, 27, 0, // Skip to: 38848
+/* 38821 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38824 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38836
+/* 38828 */   MCD_OPC_CheckPredicate, 0, 17, 7, // Skip to: 40641
+/* 38832 */   MCD_OPC_Decode, 248, 8, 90, // Opcode: NEGv1i64
+/* 38836 */   MCD_OPC_FilterValue, 33, 9, 7, // Skip to: 40641
+/* 38840 */   MCD_OPC_CheckPredicate, 0, 5, 7, // Skip to: 40641
+/* 38844 */   MCD_OPC_Decode, 148, 4, 90, // Opcode: FCVTZUv1i64
+/* 38848 */   MCD_OPC_FilterValue, 50, 27, 0, // Skip to: 38879
+/* 38852 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38855 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38867
+/* 38859 */   MCD_OPC_CheckPredicate, 0, 242, 6, // Skip to: 40641
+/* 38863 */   MCD_OPC_Decode, 227, 2, 90, // Opcode: FCMGEv1i64rz
+/* 38867 */   MCD_OPC_FilterValue, 48, 234, 6, // Skip to: 40641
+/* 38871 */   MCD_OPC_CheckPredicate, 0, 230, 6, // Skip to: 40641
+/* 38875 */   MCD_OPC_Decode, 189, 4, 95, // Opcode: FMINNMPv2i64p
+/* 38879 */   MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 38897
+/* 38883 */   MCD_OPC_CheckPredicate, 0, 218, 6, // Skip to: 40641
+/* 38887 */   MCD_OPC_CheckField, 21, 1, 1, 212, 6, // Skip to: 40641
+/* 38893 */   MCD_OPC_Decode, 181, 2, 89, // Opcode: FABD64
+/* 38897 */   MCD_OPC_FilterValue, 54, 27, 0, // Skip to: 38928
+/* 38901 */   MCD_OPC_ExtractField, 16, 6,  // Inst{21-16} ...
+/* 38904 */   MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 38916
+/* 38908 */   MCD_OPC_CheckPredicate, 0, 193, 6, // Skip to: 40641
+/* 38912 */   MCD_OPC_Decode, 245, 2, 90, // Opcode: FCMLEv1i64rz
+/* 38916 */   MCD_OPC_FilterValue, 33, 185, 6, // Skip to: 40641
+/* 38920 */   MCD_OPC_CheckPredicate, 0, 181, 6, // Skip to: 40641
+/* 38924 */   MCD_OPC_Decode, 188, 5, 90, // Opcode: FRSQRTEv1i64
+/* 38928 */   MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 38946
+/* 38932 */   MCD_OPC_CheckPredicate, 0, 169, 6, // Skip to: 40641
+/* 38936 */   MCD_OPC_CheckField, 21, 1, 1, 163, 6, // Skip to: 40641
+/* 38942 */   MCD_OPC_Decode, 235, 2, 89, // Opcode: FCMGT64
+/* 38946 */   MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 38964
+/* 38950 */   MCD_OPC_CheckPredicate, 0, 151, 6, // Skip to: 40641
+/* 38954 */   MCD_OPC_CheckField, 21, 1, 1, 145, 6, // Skip to: 40641
+/* 38960 */   MCD_OPC_Decode, 196, 2, 89, // Opcode: FACGT64
+/* 38964 */   MCD_OPC_FilterValue, 62, 137, 6, // Skip to: 40641
+/* 38968 */   MCD_OPC_CheckPredicate, 0, 133, 6, // Skip to: 40641
+/* 38972 */   MCD_OPC_CheckField, 16, 6, 48, 127, 6, // Skip to: 40641
+/* 38978 */   MCD_OPC_Decode, 199, 4, 95, // Opcode: FMINPv2i64p
+/* 38982 */   MCD_OPC_FilterValue, 12, 139, 1, // Skip to: 39381
+/* 38986 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 38989 */   MCD_OPC_FilterValue, 25, 55, 0, // Skip to: 39048
+/* 38993 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 38996 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39035
+/* 39000 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39003 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39022
+/* 39007 */   MCD_OPC_CheckPredicate, 0, 94, 6, // Skip to: 40641
+/* 39011 */   MCD_OPC_CheckField, 19, 1, 1, 88, 6, // Skip to: 40641
+/* 39017 */   MCD_OPC_Decode, 143, 12, 173, 2, // Opcode: SQSHLUb
+/* 39022 */   MCD_OPC_FilterValue, 1, 79, 6, // Skip to: 40641
+/* 39026 */   MCD_OPC_CheckPredicate, 0, 75, 6, // Skip to: 40641
+/* 39030 */   MCD_OPC_Decode, 145, 12, 174, 2, // Opcode: SQSHLUh
+/* 39035 */   MCD_OPC_FilterValue, 1, 66, 6, // Skip to: 40641
+/* 39039 */   MCD_OPC_CheckPredicate, 0, 62, 6, // Skip to: 40641
+/* 39043 */   MCD_OPC_Decode, 146, 12, 175, 2, // Opcode: SQSHLUs
+/* 39048 */   MCD_OPC_FilterValue, 29, 55, 0, // Skip to: 39107
+/* 39052 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 39055 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39094
+/* 39059 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39062 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39081
+/* 39066 */   MCD_OPC_CheckPredicate, 0, 35, 6, // Skip to: 40641
+/* 39070 */   MCD_OPC_CheckField, 19, 1, 1, 29, 6, // Skip to: 40641
+/* 39076 */   MCD_OPC_Decode, 170, 17, 173, 2, // Opcode: UQSHLb
+/* 39081 */   MCD_OPC_FilterValue, 1, 20, 6, // Skip to: 40641
+/* 39085 */   MCD_OPC_CheckPredicate, 0, 16, 6, // Skip to: 40641
+/* 39089 */   MCD_OPC_Decode, 172, 17, 174, 2, // Opcode: UQSHLh
+/* 39094 */   MCD_OPC_FilterValue, 1, 7, 6, // Skip to: 40641
+/* 39098 */   MCD_OPC_CheckPredicate, 0, 3, 6, // Skip to: 40641
+/* 39102 */   MCD_OPC_Decode, 173, 17, 175, 2, // Opcode: UQSHLs
+/* 39107 */   MCD_OPC_FilterValue, 33, 55, 0, // Skip to: 39166
+/* 39111 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 39114 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39153
+/* 39118 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39121 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39140
+/* 39125 */   MCD_OPC_CheckPredicate, 0, 232, 5, // Skip to: 40641
+/* 39129 */   MCD_OPC_CheckField, 19, 1, 1, 226, 5, // Skip to: 40641
+/* 39135 */   MCD_OPC_Decode, 185, 12, 176, 2, // Opcode: SQSHRUNb
+/* 39140 */   MCD_OPC_FilterValue, 1, 217, 5, // Skip to: 40641
+/* 39144 */   MCD_OPC_CheckPredicate, 0, 213, 5, // Skip to: 40641
+/* 39148 */   MCD_OPC_Decode, 186, 12, 177, 2, // Opcode: SQSHRUNh
+/* 39153 */   MCD_OPC_FilterValue, 1, 204, 5, // Skip to: 40641
+/* 39157 */   MCD_OPC_CheckPredicate, 0, 200, 5, // Skip to: 40641
+/* 39161 */   MCD_OPC_Decode, 187, 12, 178, 2, // Opcode: SQSHRUNs
+/* 39166 */   MCD_OPC_FilterValue, 35, 55, 0, // Skip to: 39225
+/* 39170 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 39173 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39212
+/* 39177 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39180 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39199
+/* 39184 */   MCD_OPC_CheckPredicate, 0, 173, 5, // Skip to: 40641
+/* 39188 */   MCD_OPC_CheckField, 19, 1, 1, 167, 5, // Skip to: 40641
+/* 39194 */   MCD_OPC_Decode, 134, 12, 176, 2, // Opcode: SQRSHRUNb
+/* 39199 */   MCD_OPC_FilterValue, 1, 158, 5, // Skip to: 40641
+/* 39203 */   MCD_OPC_CheckPredicate, 0, 154, 5, // Skip to: 40641
+/* 39207 */   MCD_OPC_Decode, 135, 12, 177, 2, // Opcode: SQRSHRUNh
+/* 39212 */   MCD_OPC_FilterValue, 1, 145, 5, // Skip to: 40641
+/* 39216 */   MCD_OPC_CheckPredicate, 0, 141, 5, // Skip to: 40641
+/* 39220 */   MCD_OPC_Decode, 136, 12, 178, 2, // Opcode: SQRSHRUNs
+/* 39225 */   MCD_OPC_FilterValue, 37, 55, 0, // Skip to: 39284
+/* 39229 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 39232 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39271
+/* 39236 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39239 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39258
+/* 39243 */   MCD_OPC_CheckPredicate, 0, 114, 5, // Skip to: 40641
+/* 39247 */   MCD_OPC_CheckField, 19, 1, 1, 108, 5, // Skip to: 40641
+/* 39253 */   MCD_OPC_Decode, 192, 17, 176, 2, // Opcode: UQSHRNb
+/* 39258 */   MCD_OPC_FilterValue, 1, 99, 5, // Skip to: 40641
+/* 39262 */   MCD_OPC_CheckPredicate, 0, 95, 5, // Skip to: 40641
+/* 39266 */   MCD_OPC_Decode, 193, 17, 177, 2, // Opcode: UQSHRNh
+/* 39271 */   MCD_OPC_FilterValue, 1, 86, 5, // Skip to: 40641
+/* 39275 */   MCD_OPC_CheckPredicate, 0, 82, 5, // Skip to: 40641
+/* 39279 */   MCD_OPC_Decode, 194, 17, 178, 2, // Opcode: UQSHRNs
+/* 39284 */   MCD_OPC_FilterValue, 39, 55, 0, // Skip to: 39343
+/* 39288 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 39291 */   MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 39330
+/* 39295 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 39298 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 39317
+/* 39302 */   MCD_OPC_CheckPredicate, 0, 55, 5, // Skip to: 40641
+/* 39306 */   MCD_OPC_CheckField, 19, 1, 1, 49, 5, // Skip to: 40641
+/* 39312 */   MCD_OPC_Decode, 161, 17, 176, 2, // Opcode: UQRSHRNb
+/* 39317 */   MCD_OPC_FilterValue, 1, 40, 5, // Skip to: 40641
+/* 39321 */   MCD_OPC_CheckPredicate, 0, 36, 5, // Skip to: 40641
+/* 39325 */   MCD_OPC_Decode, 162, 17, 177, 2, // Opcode: UQRSHRNh
+/* 39330 */   MCD_OPC_FilterValue, 1, 27, 5, // Skip to: 40641
+/* 39334 */   MCD_OPC_CheckPredicate, 0, 23, 5, // Skip to: 40641
+/* 39338 */   MCD_OPC_Decode, 163, 17, 178, 2, // Opcode: UQRSHRNs
+/* 39343 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 39362
+/* 39347 */   MCD_OPC_CheckPredicate, 0, 10, 5, // Skip to: 40641
+/* 39351 */   MCD_OPC_CheckField, 21, 1, 1, 4, 5, // Skip to: 40641
+/* 39357 */   MCD_OPC_Decode, 171, 16, 184, 2, // Opcode: UCVTFs
+/* 39362 */   MCD_OPC_FilterValue, 63, 251, 4, // Skip to: 40641
+/* 39366 */   MCD_OPC_CheckPredicate, 0, 247, 4, // Skip to: 40641
+/* 39370 */   MCD_OPC_CheckField, 21, 1, 1, 241, 4, // Skip to: 40641
+/* 39376 */   MCD_OPC_Decode, 146, 4, 184, 2, // Opcode: FCVTZUs
+/* 39381 */   MCD_OPC_FilterValue, 13, 133, 0, // Skip to: 39518
+/* 39385 */   MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 39388 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 39401
+/* 39392 */   MCD_OPC_CheckPredicate, 0, 221, 4, // Skip to: 40641
+/* 39396 */   MCD_OPC_Decode, 141, 18, 166, 2, // Opcode: USHRd
+/* 39401 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 39414
+/* 39405 */   MCD_OPC_CheckPredicate, 0, 208, 4, // Skip to: 40641
+/* 39409 */   MCD_OPC_Decode, 160, 18, 167, 2, // Opcode: USRAd
+/* 39414 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 39427
+/* 39418 */   MCD_OPC_CheckPredicate, 0, 195, 4, // Skip to: 40641
+/* 39422 */   MCD_OPC_Decode, 237, 17, 166, 2, // Opcode: URSHRd
+/* 39427 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 39440
+/* 39431 */   MCD_OPC_CheckPredicate, 0, 182, 4, // Skip to: 40641
+/* 39435 */   MCD_OPC_Decode, 247, 17, 167, 2, // Opcode: URSRAd
+/* 39440 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 39453
+/* 39444 */   MCD_OPC_CheckPredicate, 0, 169, 4, // Skip to: 40641
+/* 39448 */   MCD_OPC_Decode, 229, 12, 167, 2, // Opcode: SRId
+/* 39453 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 39466
+/* 39457 */   MCD_OPC_CheckPredicate, 0, 156, 4, // Skip to: 40641
+/* 39461 */   MCD_OPC_Decode, 196, 10, 187, 2, // Opcode: SLId
+/* 39466 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 39479
+/* 39470 */   MCD_OPC_CheckPredicate, 0, 143, 4, // Skip to: 40641
+/* 39474 */   MCD_OPC_Decode, 144, 12, 172, 2, // Opcode: SQSHLUd
+/* 39479 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 39492
+/* 39483 */   MCD_OPC_CheckPredicate, 0, 130, 4, // Skip to: 40641
+/* 39487 */   MCD_OPC_Decode, 171, 17, 172, 2, // Opcode: UQSHLd
+/* 39492 */   MCD_OPC_FilterValue, 57, 9, 0, // Skip to: 39505
+/* 39496 */   MCD_OPC_CheckPredicate, 0, 117, 4, // Skip to: 40641
+/* 39500 */   MCD_OPC_Decode, 170, 16, 166, 2, // Opcode: UCVTFd
+/* 39505 */   MCD_OPC_FilterValue, 63, 108, 4, // Skip to: 40641
+/* 39509 */   MCD_OPC_CheckPredicate, 0, 104, 4, // Skip to: 40641
+/* 39513 */   MCD_OPC_Decode, 145, 4, 166, 2, // Opcode: FCVTZUd
+/* 39518 */   MCD_OPC_FilterValue, 14, 21, 0, // Skip to: 39543
+/* 39522 */   MCD_OPC_CheckPredicate, 0, 91, 4, // Skip to: 40641
+/* 39526 */   MCD_OPC_CheckField, 12, 4, 9, 85, 4, // Skip to: 40641
+/* 39532 */   MCD_OPC_CheckField, 10, 1, 0, 79, 4, // Skip to: 40641
+/* 39538 */   MCD_OPC_Decode, 241, 4, 179, 2, // Opcode: FMULXv1i32_indexed
+/* 39543 */   MCD_OPC_FilterValue, 15, 70, 4, // Skip to: 40641
+/* 39547 */   MCD_OPC_CheckPredicate, 0, 66, 4, // Skip to: 40641
+/* 39551 */   MCD_OPC_CheckField, 21, 1, 0, 60, 4, // Skip to: 40641
+/* 39557 */   MCD_OPC_CheckField, 12, 4, 9, 54, 4, // Skip to: 40641
+/* 39563 */   MCD_OPC_CheckField, 10, 1, 0, 48, 4, // Skip to: 40641
+/* 39569 */   MCD_OPC_Decode, 242, 4, 180, 2, // Opcode: FMULXv1i64_indexed
+/* 39574 */   MCD_OPC_FilterValue, 4, 145, 2, // Skip to: 40235
+/* 39578 */   MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 39581 */   MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 39590
+/* 39585 */   MCD_OPC_Decode, 224, 7, 188, 2, // Opcode: LDRQl
+/* 39590 */   MCD_OPC_FilterValue, 2, 23, 4, // Skip to: 40641
+/* 39594 */   MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
+/* 39597 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 39610
+/* 39601 */   MCD_OPC_CheckPredicate, 3, 12, 4, // Skip to: 40641
+/* 39605 */   MCD_OPC_Decode, 135, 10, 189, 2, // Opcode: SCVTFSXSri
+/* 39610 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 39623
+/* 39614 */   MCD_OPC_CheckPredicate, 3, 255, 3, // Skip to: 40641
+/* 39618 */   MCD_OPC_Decode, 165, 16, 189, 2, // Opcode: UCVTFSXSri
+/* 39623 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 39636
+/* 39627 */   MCD_OPC_CheckPredicate, 3, 242, 3, // Skip to: 40641
+/* 39631 */   MCD_OPC_Decode, 228, 3, 190, 2, // Opcode: FCVTZSSXSri
+/* 39636 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 39649
+/* 39640 */   MCD_OPC_CheckPredicate, 3, 229, 3, // Skip to: 40641
+/* 39644 */   MCD_OPC_Decode, 129, 4, 190, 2, // Opcode: FCVTZUSXSri
+/* 39649 */   MCD_OPC_FilterValue, 32, 15, 0, // Skip to: 39668
+/* 39653 */   MCD_OPC_CheckPredicate, 3, 216, 3, // Skip to: 40641
+/* 39657 */   MCD_OPC_CheckField, 10, 6, 0, 210, 3, // Skip to: 40641
+/* 39663 */   MCD_OPC_Decode, 183, 3, 191, 2, // Opcode: FCVTNSUXSr
+/* 39668 */   MCD_OPC_FilterValue, 33, 15, 0, // Skip to: 39687
+/* 39672 */   MCD_OPC_CheckPredicate, 3, 197, 3, // Skip to: 40641
+/* 39676 */   MCD_OPC_CheckField, 10, 6, 0, 191, 3, // Skip to: 40641
+/* 39682 */   MCD_OPC_Decode, 192, 3, 191, 2, // Opcode: FCVTNUUXSr
+/* 39687 */   MCD_OPC_FilterValue, 34, 15, 0, // Skip to: 39706
+/* 39691 */   MCD_OPC_CheckPredicate, 3, 178, 3, // Skip to: 40641
+/* 39695 */   MCD_OPC_CheckField, 10, 6, 0, 172, 3, // Skip to: 40641
+/* 39701 */   MCD_OPC_Decode, 139, 10, 192, 2, // Opcode: SCVTFUXSri
+/* 39706 */   MCD_OPC_FilterValue, 35, 15, 0, // Skip to: 39725
+/* 39710 */   MCD_OPC_CheckPredicate, 3, 159, 3, // Skip to: 40641
+/* 39714 */   MCD_OPC_CheckField, 10, 6, 0, 153, 3, // Skip to: 40641
+/* 39720 */   MCD_OPC_Decode, 169, 16, 192, 2, // Opcode: UCVTFUXSri
+/* 39725 */   MCD_OPC_FilterValue, 36, 15, 0, // Skip to: 39744
+/* 39729 */   MCD_OPC_CheckPredicate, 3, 140, 3, // Skip to: 40641
+/* 39733 */   MCD_OPC_CheckField, 10, 6, 0, 134, 3, // Skip to: 40641
+/* 39739 */   MCD_OPC_Decode, 139, 3, 191, 2, // Opcode: FCVTASUXSr
+/* 39744 */   MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 39763
+/* 39748 */   MCD_OPC_CheckPredicate, 3, 121, 3, // Skip to: 40641
+/* 39752 */   MCD_OPC_CheckField, 10, 6, 0, 115, 3, // Skip to: 40641
+/* 39758 */   MCD_OPC_Decode, 148, 3, 191, 2, // Opcode: FCVTAUUXSr
+/* 39763 */   MCD_OPC_FilterValue, 40, 15, 0, // Skip to: 39782
+/* 39767 */   MCD_OPC_CheckPredicate, 3, 102, 3, // Skip to: 40641
+/* 39771 */   MCD_OPC_CheckField, 10, 6, 0, 96, 3, // Skip to: 40641
+/* 39777 */   MCD_OPC_Decode, 205, 3, 191, 2, // Opcode: FCVTPSUXSr
+/* 39782 */   MCD_OPC_FilterValue, 41, 15, 0, // Skip to: 39801
+/* 39786 */   MCD_OPC_CheckPredicate, 3, 83, 3, // Skip to: 40641
+/* 39790 */   MCD_OPC_CheckField, 10, 6, 0, 77, 3, // Skip to: 40641
+/* 39796 */   MCD_OPC_Decode, 214, 3, 191, 2, // Opcode: FCVTPUUXSr
+/* 39801 */   MCD_OPC_FilterValue, 48, 15, 0, // Skip to: 39820
+/* 39805 */   MCD_OPC_CheckPredicate, 3, 64, 3, // Skip to: 40641
+/* 39809 */   MCD_OPC_CheckField, 10, 6, 0, 58, 3, // Skip to: 40641
+/* 39815 */   MCD_OPC_Decode, 165, 3, 191, 2, // Opcode: FCVTMSUXSr
+/* 39820 */   MCD_OPC_FilterValue, 49, 15, 0, // Skip to: 39839
+/* 39824 */   MCD_OPC_CheckPredicate, 3, 45, 3, // Skip to: 40641
+/* 39828 */   MCD_OPC_CheckField, 10, 6, 0, 39, 3, // Skip to: 40641
+/* 39834 */   MCD_OPC_Decode, 174, 3, 191, 2, // Opcode: FCVTMUUXSr
+/* 39839 */   MCD_OPC_FilterValue, 56, 15, 0, // Skip to: 39858
+/* 39843 */   MCD_OPC_CheckPredicate, 3, 26, 3, // Skip to: 40641
+/* 39847 */   MCD_OPC_CheckField, 10, 6, 0, 20, 3, // Skip to: 40641
+/* 39853 */   MCD_OPC_Decode, 232, 3, 191, 2, // Opcode: FCVTZSUXSr
+/* 39858 */   MCD_OPC_FilterValue, 57, 15, 0, // Skip to: 39877
+/* 39862 */   MCD_OPC_CheckPredicate, 3, 7, 3, // Skip to: 40641
+/* 39866 */   MCD_OPC_CheckField, 10, 6, 0, 1, 3, // Skip to: 40641
+/* 39872 */   MCD_OPC_Decode, 133, 4, 191, 2, // Opcode: FCVTZUUXSr
+/* 39877 */   MCD_OPC_FilterValue, 66, 9, 0, // Skip to: 39890
+/* 39881 */   MCD_OPC_CheckPredicate, 3, 244, 2, // Skip to: 40641
+/* 39885 */   MCD_OPC_Decode, 134, 10, 193, 2, // Opcode: SCVTFSXDri
+/* 39890 */   MCD_OPC_FilterValue, 67, 9, 0, // Skip to: 39903
+/* 39894 */   MCD_OPC_CheckPredicate, 3, 231, 2, // Skip to: 40641
+/* 39898 */   MCD_OPC_Decode, 164, 16, 193, 2, // Opcode: UCVTFSXDri
+/* 39903 */   MCD_OPC_FilterValue, 88, 9, 0, // Skip to: 39916
+/* 39907 */   MCD_OPC_CheckPredicate, 3, 218, 2, // Skip to: 40641
+/* 39911 */   MCD_OPC_Decode, 227, 3, 194, 2, // Opcode: FCVTZSSXDri
+/* 39916 */   MCD_OPC_FilterValue, 89, 9, 0, // Skip to: 39929
+/* 39920 */   MCD_OPC_CheckPredicate, 3, 205, 2, // Skip to: 40641
+/* 39924 */   MCD_OPC_Decode, 128, 4, 194, 2, // Opcode: FCVTZUSXDri
+/* 39929 */   MCD_OPC_FilterValue, 96, 15, 0, // Skip to: 39948
+/* 39933 */   MCD_OPC_CheckPredicate, 3, 192, 2, // Skip to: 40641
+/* 39937 */   MCD_OPC_CheckField, 10, 6, 0, 186, 2, // Skip to: 40641
+/* 39943 */   MCD_OPC_Decode, 182, 3, 195, 2, // Opcode: FCVTNSUXDr
+/* 39948 */   MCD_OPC_FilterValue, 97, 15, 0, // Skip to: 39967
+/* 39952 */   MCD_OPC_CheckPredicate, 3, 173, 2, // Skip to: 40641
+/* 39956 */   MCD_OPC_CheckField, 10, 6, 0, 167, 2, // Skip to: 40641
+/* 39962 */   MCD_OPC_Decode, 191, 3, 195, 2, // Opcode: FCVTNUUXDr
+/* 39967 */   MCD_OPC_FilterValue, 98, 15, 0, // Skip to: 39986
+/* 39971 */   MCD_OPC_CheckPredicate, 3, 154, 2, // Skip to: 40641
+/* 39975 */   MCD_OPC_CheckField, 10, 6, 0, 148, 2, // Skip to: 40641
+/* 39981 */   MCD_OPC_Decode, 138, 10, 196, 2, // Opcode: SCVTFUXDri
+/* 39986 */   MCD_OPC_FilterValue, 99, 15, 0, // Skip to: 40005
+/* 39990 */   MCD_OPC_CheckPredicate, 3, 135, 2, // Skip to: 40641
+/* 39994 */   MCD_OPC_CheckField, 10, 6, 0, 129, 2, // Skip to: 40641
+/* 40000 */   MCD_OPC_Decode, 168, 16, 196, 2, // Opcode: UCVTFUXDri
+/* 40005 */   MCD_OPC_FilterValue, 100, 15, 0, // Skip to: 40024
+/* 40009 */   MCD_OPC_CheckPredicate, 3, 116, 2, // Skip to: 40641
+/* 40013 */   MCD_OPC_CheckField, 10, 6, 0, 110, 2, // Skip to: 40641
+/* 40019 */   MCD_OPC_Decode, 138, 3, 195, 2, // Opcode: FCVTASUXDr
+/* 40024 */   MCD_OPC_FilterValue, 101, 15, 0, // Skip to: 40043
+/* 40028 */   MCD_OPC_CheckPredicate, 3, 97, 2, // Skip to: 40641
+/* 40032 */   MCD_OPC_CheckField, 10, 6, 0, 91, 2, // Skip to: 40641
+/* 40038 */   MCD_OPC_Decode, 147, 3, 195, 2, // Opcode: FCVTAUUXDr
+/* 40043 */   MCD_OPC_FilterValue, 102, 15, 0, // Skip to: 40062
+/* 40047 */   MCD_OPC_CheckPredicate, 3, 78, 2, // Skip to: 40641
+/* 40051 */   MCD_OPC_CheckField, 10, 6, 0, 72, 2, // Skip to: 40641
+/* 40057 */   MCD_OPC_Decode, 223, 4, 195, 2, // Opcode: FMOVDXr
+/* 40062 */   MCD_OPC_FilterValue, 103, 15, 0, // Skip to: 40081
+/* 40066 */   MCD_OPC_CheckPredicate, 3, 59, 2, // Skip to: 40641
+/* 40070 */   MCD_OPC_CheckField, 10, 6, 0, 53, 2, // Skip to: 40641
+/* 40076 */   MCD_OPC_Decode, 231, 4, 196, 2, // Opcode: FMOVXDr
+/* 40081 */   MCD_OPC_FilterValue, 104, 15, 0, // Skip to: 40100
+/* 40085 */   MCD_OPC_CheckPredicate, 3, 40, 2, // Skip to: 40641
+/* 40089 */   MCD_OPC_CheckField, 10, 6, 0, 34, 2, // Skip to: 40641
+/* 40095 */   MCD_OPC_Decode, 204, 3, 195, 2, // Opcode: FCVTPSUXDr
+/* 40100 */   MCD_OPC_FilterValue, 105, 15, 0, // Skip to: 40119
+/* 40104 */   MCD_OPC_CheckPredicate, 3, 21, 2, // Skip to: 40641
+/* 40108 */   MCD_OPC_CheckField, 10, 6, 0, 15, 2, // Skip to: 40641
+/* 40114 */   MCD_OPC_Decode, 213, 3, 195, 2, // Opcode: FCVTPUUXDr
+/* 40119 */   MCD_OPC_FilterValue, 112, 15, 0, // Skip to: 40138
+/* 40123 */   MCD_OPC_CheckPredicate, 3, 2, 2, // Skip to: 40641
+/* 40127 */   MCD_OPC_CheckField, 10, 6, 0, 252, 1, // Skip to: 40641
+/* 40133 */   MCD_OPC_Decode, 164, 3, 195, 2, // Opcode: FCVTMSUXDr
+/* 40138 */   MCD_OPC_FilterValue, 113, 15, 0, // Skip to: 40157
+/* 40142 */   MCD_OPC_CheckPredicate, 3, 239, 1, // Skip to: 40641
+/* 40146 */   MCD_OPC_CheckField, 10, 6, 0, 233, 1, // Skip to: 40641
+/* 40152 */   MCD_OPC_Decode, 173, 3, 195, 2, // Opcode: FCVTMUUXDr
+/* 40157 */   MCD_OPC_FilterValue, 120, 15, 0, // Skip to: 40176
+/* 40161 */   MCD_OPC_CheckPredicate, 3, 220, 1, // Skip to: 40641
+/* 40165 */   MCD_OPC_CheckField, 10, 6, 0, 214, 1, // Skip to: 40641
+/* 40171 */   MCD_OPC_Decode, 231, 3, 195, 2, // Opcode: FCVTZSUXDr
+/* 40176 */   MCD_OPC_FilterValue, 121, 15, 0, // Skip to: 40195
+/* 40180 */   MCD_OPC_CheckPredicate, 3, 201, 1, // Skip to: 40641
+/* 40184 */   MCD_OPC_CheckField, 10, 6, 0, 195, 1, // Skip to: 40641
+/* 40190 */   MCD_OPC_Decode, 132, 4, 195, 2, // Opcode: FCVTZUUXDr
+/* 40195 */   MCD_OPC_FilterValue, 174, 1, 15, 0, // Skip to: 40215
+/* 40200 */   MCD_OPC_CheckPredicate, 3, 181, 1, // Skip to: 40641
+/* 40204 */   MCD_OPC_CheckField, 10, 6, 0, 175, 1, // Skip to: 40641
+/* 40210 */   MCD_OPC_Decode, 222, 4, 197, 2, // Opcode: FMOVDXHighr
+/* 40215 */   MCD_OPC_FilterValue, 175, 1, 165, 1, // Skip to: 40641
+/* 40220 */   MCD_OPC_CheckPredicate, 3, 161, 1, // Skip to: 40641
+/* 40224 */   MCD_OPC_CheckField, 10, 6, 0, 155, 1, // Skip to: 40641
+/* 40230 */   MCD_OPC_Decode, 230, 4, 197, 2, // Opcode: FMOVXDHighr
+/* 40235 */   MCD_OPC_FilterValue, 5, 199, 0, // Skip to: 40438
+/* 40239 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 40242 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 40331
+/* 40246 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 40249 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40264
+/* 40253 */   MCD_OPC_CheckField, 21, 1, 0, 126, 1, // Skip to: 40641
+/* 40259 */   MCD_OPC_Decode, 142, 15, 226, 1, // Opcode: STURSi
+/* 40264 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40279
+/* 40268 */   MCD_OPC_CheckField, 21, 1, 0, 111, 1, // Skip to: 40641
+/* 40274 */   MCD_OPC_Decode, 245, 14, 226, 1, // Opcode: STRSpost
+/* 40279 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40316
+/* 40283 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 40286 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40301
+/* 40290 */   MCD_OPC_CheckField, 21, 1, 1, 89, 1, // Skip to: 40641
+/* 40296 */   MCD_OPC_Decode, 247, 14, 198, 2, // Opcode: STRSroW
+/* 40301 */   MCD_OPC_FilterValue, 3, 80, 1, // Skip to: 40641
+/* 40305 */   MCD_OPC_CheckField, 21, 1, 1, 74, 1, // Skip to: 40641
+/* 40311 */   MCD_OPC_Decode, 248, 14, 199, 2, // Opcode: STRSroX
+/* 40316 */   MCD_OPC_FilterValue, 3, 65, 1, // Skip to: 40641
+/* 40320 */   MCD_OPC_CheckField, 21, 1, 0, 59, 1, // Skip to: 40641
+/* 40326 */   MCD_OPC_Decode, 246, 14, 226, 1, // Opcode: STRSpre
+/* 40331 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 40420
+/* 40335 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 40338 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40353
+/* 40342 */   MCD_OPC_CheckField, 21, 1, 0, 37, 1, // Skip to: 40641
+/* 40348 */   MCD_OPC_Decode, 166, 8, 226, 1, // Opcode: LDURSi
+/* 40353 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40368
+/* 40357 */   MCD_OPC_CheckField, 21, 1, 0, 22, 1, // Skip to: 40641
+/* 40363 */   MCD_OPC_Decode, 129, 8, 226, 1, // Opcode: LDRSpost
+/* 40368 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40405
+/* 40372 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 40375 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40390
+/* 40379 */   MCD_OPC_CheckField, 21, 1, 1, 0, 1, // Skip to: 40641
+/* 40385 */   MCD_OPC_Decode, 131, 8, 198, 2, // Opcode: LDRSroW
+/* 40390 */   MCD_OPC_FilterValue, 3, 247, 0, // Skip to: 40641
+/* 40394 */   MCD_OPC_CheckField, 21, 1, 1, 241, 0, // Skip to: 40641
+/* 40400 */   MCD_OPC_Decode, 132, 8, 199, 2, // Opcode: LDRSroX
+/* 40405 */   MCD_OPC_FilterValue, 3, 232, 0, // Skip to: 40641
+/* 40409 */   MCD_OPC_CheckField, 21, 1, 0, 226, 0, // Skip to: 40641
+/* 40415 */   MCD_OPC_Decode, 130, 8, 226, 1, // Opcode: LDRSpre
+/* 40420 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 40429
+/* 40424 */   MCD_OPC_Decode, 249, 14, 231, 1, // Opcode: STRSui
+/* 40429 */   MCD_OPC_FilterValue, 5, 208, 0, // Skip to: 40641
+/* 40433 */   MCD_OPC_Decode, 133, 8, 231, 1, // Opcode: LDRSui
+/* 40438 */   MCD_OPC_FilterValue, 7, 199, 0, // Skip to: 40641
+/* 40442 */   MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 40445 */   MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 40534
+/* 40449 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 40452 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40467
+/* 40456 */   MCD_OPC_CheckField, 21, 1, 0, 179, 0, // Skip to: 40641
+/* 40462 */   MCD_OPC_Decode, 138, 15, 226, 1, // Opcode: STURDi
+/* 40467 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40482
+/* 40471 */   MCD_OPC_CheckField, 21, 1, 0, 164, 0, // Skip to: 40641
+/* 40477 */   MCD_OPC_Decode, 225, 14, 226, 1, // Opcode: STRDpost
+/* 40482 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40519
+/* 40486 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 40489 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40504
+/* 40493 */   MCD_OPC_CheckField, 21, 1, 1, 142, 0, // Skip to: 40641
+/* 40499 */   MCD_OPC_Decode, 227, 14, 200, 2, // Opcode: STRDroW
+/* 40504 */   MCD_OPC_FilterValue, 3, 133, 0, // Skip to: 40641
+/* 40508 */   MCD_OPC_CheckField, 21, 1, 1, 127, 0, // Skip to: 40641
+/* 40514 */   MCD_OPC_Decode, 228, 14, 201, 2, // Opcode: STRDroX
+/* 40519 */   MCD_OPC_FilterValue, 3, 118, 0, // Skip to: 40641
+/* 40523 */   MCD_OPC_CheckField, 21, 1, 0, 112, 0, // Skip to: 40641
+/* 40529 */   MCD_OPC_Decode, 226, 14, 226, 1, // Opcode: STRDpre
+/* 40534 */   MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 40623
+/* 40538 */   MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 40541 */   MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 40556
+/* 40545 */   MCD_OPC_CheckField, 21, 1, 0, 90, 0, // Skip to: 40641
+/* 40551 */   MCD_OPC_Decode, 157, 8, 226, 1, // Opcode: LDURDi
+/* 40556 */   MCD_OPC_FilterValue, 1, 11, 0, // Skip to: 40571
+/* 40560 */   MCD_OPC_CheckField, 21, 1, 0, 75, 0, // Skip to: 40641
+/* 40566 */   MCD_OPC_Decode, 209, 7, 226, 1, // Opcode: LDRDpost
+/* 40571 */   MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 40608
+/* 40575 */   MCD_OPC_ExtractField, 13, 2,  // Inst{14-13} ...
+/* 40578 */   MCD_OPC_FilterValue, 2, 11, 0, // Skip to: 40593
+/* 40582 */   MCD_OPC_CheckField, 21, 1, 1, 53, 0, // Skip to: 40641
+/* 40588 */   MCD_OPC_Decode, 211, 7, 200, 2, // Opcode: LDRDroW
+/* 40593 */   MCD_OPC_FilterValue, 3, 44, 0, // Skip to: 40641
+/* 40597 */   MCD_OPC_CheckField, 21, 1, 1, 38, 0, // Skip to: 40641
+/* 40603 */   MCD_OPC_Decode, 212, 7, 201, 2, // Opcode: LDRDroX
+/* 40608 */   MCD_OPC_FilterValue, 3, 29, 0, // Skip to: 40641
+/* 40612 */   MCD_OPC_CheckField, 21, 1, 0, 23, 0, // Skip to: 40641
+/* 40618 */   MCD_OPC_Decode, 210, 7, 226, 1, // Opcode: LDRDpre
+/* 40623 */   MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 40632
+/* 40627 */   MCD_OPC_Decode, 229, 14, 231, 1, // Opcode: STRDui
+/* 40632 */   MCD_OPC_FilterValue, 5, 5, 0, // Skip to: 40641
+/* 40636 */   MCD_OPC_Decode, 213, 7, 231, 1, // Opcode: LDRDui
+/* 40641 */   MCD_OPC_Fail,
   0
 };
 
@@ -9759,8 +9751,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9769,8 +9761,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9779,8 +9771,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9789,8 +9781,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9799,8 +9791,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9817,8 +9809,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9835,8 +9827,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9845,8 +9837,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9855,8 +9847,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9865,8 +9857,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9875,8 +9867,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9893,8 +9885,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9913,8 +9905,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9925,8 +9917,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9937,8 +9929,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9949,8 +9941,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9961,8 +9953,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -9983,8 +9975,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10005,8 +9997,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10017,8 +10009,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10029,8 +10021,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10041,8 +10033,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10053,8 +10045,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10075,8 +10067,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10097,8 +10089,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10111,8 +10103,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10125,8 +10117,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10139,8 +10131,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10153,8 +10145,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10167,8 +10159,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10181,8 +10173,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10195,8 +10187,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10209,8 +10201,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10223,8 +10215,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10261,8 +10253,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10275,8 +10267,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10315,8 +10307,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10331,8 +10323,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10347,8 +10339,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10363,8 +10355,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 10, 3) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 3); \
+    tmp |= fieldname(insn, 10, 3) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 3; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10379,8 +10371,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10395,8 +10387,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10411,8 +10403,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10427,8 +10419,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 2) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 2); \
+    tmp |= fieldname(insn, 11, 2) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10443,8 +10435,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10459,8 +10451,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10503,8 +10495,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10519,8 +10511,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeQQQQRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 30, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 30, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 5, 5); \
     if (!Check(&S, DecodeGPR64spRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -11375,8 +11367,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 181: \
@@ -11397,8 +11389,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 183: \
@@ -11421,8 +11413,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 185: \
@@ -11451,8 +11443,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 188: \
@@ -11463,8 +11455,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 189: \
@@ -11475,8 +11467,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 190: \
@@ -11489,8 +11481,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 191: \
@@ -11503,8 +11495,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 192: \
@@ -11517,8 +11509,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 193: \
@@ -11529,8 +11521,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 194: \
@@ -11541,8 +11533,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 195: \
@@ -11553,8 +11545,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 196: \
@@ -11684,11 +11676,11 @@ static DecodeStatus fname(DecodeStatus S
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 214: \
-    tmp = fieldname(insn, 5, 7); \
+    tmp = fieldname(insn, 8, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 215: \
-    tmp = fieldname(insn, 8, 4); \
+    tmp = fieldname(insn, 5, 7); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 216: \
@@ -11707,7 +11699,7 @@ static DecodeStatus fname(DecodeStatus S
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 218: \
-    tmp = fieldname(insn, 5, 15); \
+    tmp = fieldname(insn, 5, 16); \
     if (!Check(&S, DecodeMSRSystemRegister(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -11727,7 +11719,7 @@ static DecodeStatus fname(DecodeStatus S
   case 220: \
     tmp = fieldname(insn, 0, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 5, 15); \
+    tmp = fieldname(insn, 5, 16); \
     if (!Check(&S, DecodeMRSSystemRegister(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 221: \
@@ -11775,8 +11767,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 228: \
@@ -11787,8 +11779,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 229: \
@@ -11799,8 +11791,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 230: \
@@ -11811,8 +11803,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 231: \
@@ -11930,8 +11922,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 245: \
@@ -11942,8 +11934,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 246: \
@@ -12140,8 +12132,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 273: \
@@ -12152,8 +12144,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 274: \
@@ -12164,8 +12156,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 275: \
@@ -12176,8 +12168,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 276: \
@@ -12350,8 +12342,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 297: \
@@ -12376,8 +12368,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 299: \
@@ -12390,8 +12382,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 300: \
@@ -12458,8 +12450,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 308: \
@@ -12480,8 +12472,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 310: \
@@ -12492,8 +12484,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeFPR128RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 1); \
-    tmp |= (fieldname(insn, 21, 1) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 1; \
+    tmp |= fieldname(insn, 21, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 311: \
@@ -12504,8 +12496,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeFPR128_loRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 1) << 2); \
-    tmp |= (fieldname(insn, 20, 2) << 0); \
+    tmp |= fieldname(insn, 11, 1) << 2; \
+    tmp |= fieldname(insn, 20, 2) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 312: \
@@ -12524,8 +12516,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 314: \
@@ -12536,8 +12528,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 315: \
@@ -12623,8 +12615,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 327: \
@@ -12635,8 +12627,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 328: \
@@ -12647,8 +12639,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 329: \
@@ -12659,12 +12651,12 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 1) << 0); \
-    tmp |= (fieldname(insn, 15, 1) << 1); \
+    tmp |= fieldname(insn, 12, 1) << 0; \
+    tmp |= fieldname(insn, 15, 1) << 1; \
     if (!Check(&S, DecodeMemExtend(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   } \
-} 
+}
 
 #define DecodeInstruction(fname, fieldname, decoder, InsnType) \
 static DecodeStatus fname(const uint8_t DecodeTable[], MCInst *MI, \
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenInstrInfo.inc 4.0.2-3/arch/AArch64/AArch64GenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64GenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,2375 +34,2377 @@ enum {
     AArch64_STACKMAP	= 17,
     AArch64_PATCHPOINT	= 18,
     AArch64_LOAD_STACK_GUARD	= 19,
-    AArch64_ABSv16i8	= 20,
-    AArch64_ABSv1i64	= 21,
-    AArch64_ABSv2i32	= 22,
-    AArch64_ABSv2i64	= 23,
-    AArch64_ABSv4i16	= 24,
-    AArch64_ABSv4i32	= 25,
-    AArch64_ABSv8i16	= 26,
-    AArch64_ABSv8i8	= 27,
-    AArch64_ADCSWr	= 28,
-    AArch64_ADCSXr	= 29,
-    AArch64_ADCWr	= 30,
-    AArch64_ADCXr	= 31,
-    AArch64_ADDHNv2i64_v2i32	= 32,
-    AArch64_ADDHNv2i64_v4i32	= 33,
-    AArch64_ADDHNv4i32_v4i16	= 34,
-    AArch64_ADDHNv4i32_v8i16	= 35,
-    AArch64_ADDHNv8i16_v16i8	= 36,
-    AArch64_ADDHNv8i16_v8i8	= 37,
-    AArch64_ADDPv16i8	= 38,
-    AArch64_ADDPv2i32	= 39,
-    AArch64_ADDPv2i64	= 40,
-    AArch64_ADDPv2i64p	= 41,
-    AArch64_ADDPv4i16	= 42,
-    AArch64_ADDPv4i32	= 43,
-    AArch64_ADDPv8i16	= 44,
-    AArch64_ADDPv8i8	= 45,
-    AArch64_ADDSWri	= 46,
-    AArch64_ADDSWrr	= 47,
-    AArch64_ADDSWrs	= 48,
-    AArch64_ADDSWrx	= 49,
-    AArch64_ADDSXri	= 50,
-    AArch64_ADDSXrr	= 51,
-    AArch64_ADDSXrs	= 52,
-    AArch64_ADDSXrx	= 53,
-    AArch64_ADDSXrx64	= 54,
-    AArch64_ADDVv16i8v	= 55,
-    AArch64_ADDVv4i16v	= 56,
-    AArch64_ADDVv4i32v	= 57,
-    AArch64_ADDVv8i16v	= 58,
-    AArch64_ADDVv8i8v	= 59,
-    AArch64_ADDWri	= 60,
-    AArch64_ADDWrr	= 61,
-    AArch64_ADDWrs	= 62,
-    AArch64_ADDWrx	= 63,
-    AArch64_ADDXri	= 64,
-    AArch64_ADDXrr	= 65,
-    AArch64_ADDXrs	= 66,
-    AArch64_ADDXrx	= 67,
-    AArch64_ADDXrx64	= 68,
-    AArch64_ADDv16i8	= 69,
-    AArch64_ADDv1i64	= 70,
-    AArch64_ADDv2i32	= 71,
-    AArch64_ADDv2i64	= 72,
-    AArch64_ADDv4i16	= 73,
-    AArch64_ADDv4i32	= 74,
-    AArch64_ADDv8i16	= 75,
-    AArch64_ADDv8i8	= 76,
-    AArch64_ADJCALLSTACKDOWN	= 77,
-    AArch64_ADJCALLSTACKUP	= 78,
-    AArch64_ADR	= 79,
-    AArch64_ADRP	= 80,
-    AArch64_AESDrr	= 81,
-    AArch64_AESErr	= 82,
-    AArch64_AESIMCrr	= 83,
-    AArch64_AESMCrr	= 84,
-    AArch64_ANDSWri	= 85,
-    AArch64_ANDSWrr	= 86,
-    AArch64_ANDSWrs	= 87,
-    AArch64_ANDSXri	= 88,
-    AArch64_ANDSXrr	= 89,
-    AArch64_ANDSXrs	= 90,
-    AArch64_ANDWri	= 91,
-    AArch64_ANDWrr	= 92,
-    AArch64_ANDWrs	= 93,
-    AArch64_ANDXri	= 94,
-    AArch64_ANDXrr	= 95,
-    AArch64_ANDXrs	= 96,
-    AArch64_ANDv16i8	= 97,
-    AArch64_ANDv8i8	= 98,
-    AArch64_ASRVWr	= 99,
-    AArch64_ASRVXr	= 100,
-    AArch64_B	= 101,
-    AArch64_BFMWri	= 102,
-    AArch64_BFMXri	= 103,
-    AArch64_BICSWrr	= 104,
-    AArch64_BICSWrs	= 105,
-    AArch64_BICSXrr	= 106,
-    AArch64_BICSXrs	= 107,
-    AArch64_BICWrr	= 108,
-    AArch64_BICWrs	= 109,
-    AArch64_BICXrr	= 110,
-    AArch64_BICXrs	= 111,
-    AArch64_BICv16i8	= 112,
-    AArch64_BICv2i32	= 113,
-    AArch64_BICv4i16	= 114,
-    AArch64_BICv4i32	= 115,
-    AArch64_BICv8i16	= 116,
-    AArch64_BICv8i8	= 117,
-    AArch64_BIFv16i8	= 118,
-    AArch64_BIFv8i8	= 119,
-    AArch64_BITv16i8	= 120,
-    AArch64_BITv8i8	= 121,
-    AArch64_BL	= 122,
-    AArch64_BLR	= 123,
-    AArch64_BR	= 124,
-    AArch64_BRK	= 125,
-    AArch64_BSLv16i8	= 126,
-    AArch64_BSLv8i8	= 127,
-    AArch64_Bcc	= 128,
-    AArch64_CBNZW	= 129,
-    AArch64_CBNZX	= 130,
-    AArch64_CBZW	= 131,
-    AArch64_CBZX	= 132,
-    AArch64_CCMNWi	= 133,
-    AArch64_CCMNWr	= 134,
-    AArch64_CCMNXi	= 135,
-    AArch64_CCMNXr	= 136,
-    AArch64_CCMPWi	= 137,
-    AArch64_CCMPWr	= 138,
-    AArch64_CCMPXi	= 139,
-    AArch64_CCMPXr	= 140,
-    AArch64_CLREX	= 141,
-    AArch64_CLSWr	= 142,
-    AArch64_CLSXr	= 143,
-    AArch64_CLSv16i8	= 144,
-    AArch64_CLSv2i32	= 145,
-    AArch64_CLSv4i16	= 146,
-    AArch64_CLSv4i32	= 147,
-    AArch64_CLSv8i16	= 148,
-    AArch64_CLSv8i8	= 149,
-    AArch64_CLZWr	= 150,
-    AArch64_CLZXr	= 151,
-    AArch64_CLZv16i8	= 152,
-    AArch64_CLZv2i32	= 153,
-    AArch64_CLZv4i16	= 154,
-    AArch64_CLZv4i32	= 155,
-    AArch64_CLZv8i16	= 156,
-    AArch64_CLZv8i8	= 157,
-    AArch64_CMEQv16i8	= 158,
-    AArch64_CMEQv16i8rz	= 159,
-    AArch64_CMEQv1i64	= 160,
-    AArch64_CMEQv1i64rz	= 161,
-    AArch64_CMEQv2i32	= 162,
-    AArch64_CMEQv2i32rz	= 163,
-    AArch64_CMEQv2i64	= 164,
-    AArch64_CMEQv2i64rz	= 165,
-    AArch64_CMEQv4i16	= 166,
-    AArch64_CMEQv4i16rz	= 167,
-    AArch64_CMEQv4i32	= 168,
-    AArch64_CMEQv4i32rz	= 169,
-    AArch64_CMEQv8i16	= 170,
-    AArch64_CMEQv8i16rz	= 171,
-    AArch64_CMEQv8i8	= 172,
-    AArch64_CMEQv8i8rz	= 173,
-    AArch64_CMGEv16i8	= 174,
-    AArch64_CMGEv16i8rz	= 175,
-    AArch64_CMGEv1i64	= 176,
-    AArch64_CMGEv1i64rz	= 177,
-    AArch64_CMGEv2i32	= 178,
-    AArch64_CMGEv2i32rz	= 179,
-    AArch64_CMGEv2i64	= 180,
-    AArch64_CMGEv2i64rz	= 181,
-    AArch64_CMGEv4i16	= 182,
-    AArch64_CMGEv4i16rz	= 183,
-    AArch64_CMGEv4i32	= 184,
-    AArch64_CMGEv4i32rz	= 185,
-    AArch64_CMGEv8i16	= 186,
-    AArch64_CMGEv8i16rz	= 187,
-    AArch64_CMGEv8i8	= 188,
-    AArch64_CMGEv8i8rz	= 189,
-    AArch64_CMGTv16i8	= 190,
-    AArch64_CMGTv16i8rz	= 191,
-    AArch64_CMGTv1i64	= 192,
-    AArch64_CMGTv1i64rz	= 193,
-    AArch64_CMGTv2i32	= 194,
-    AArch64_CMGTv2i32rz	= 195,
-    AArch64_CMGTv2i64	= 196,
-    AArch64_CMGTv2i64rz	= 197,
-    AArch64_CMGTv4i16	= 198,
-    AArch64_CMGTv4i16rz	= 199,
-    AArch64_CMGTv4i32	= 200,
-    AArch64_CMGTv4i32rz	= 201,
-    AArch64_CMGTv8i16	= 202,
-    AArch64_CMGTv8i16rz	= 203,
-    AArch64_CMGTv8i8	= 204,
-    AArch64_CMGTv8i8rz	= 205,
-    AArch64_CMHIv16i8	= 206,
-    AArch64_CMHIv1i64	= 207,
-    AArch64_CMHIv2i32	= 208,
-    AArch64_CMHIv2i64	= 209,
-    AArch64_CMHIv4i16	= 210,
-    AArch64_CMHIv4i32	= 211,
-    AArch64_CMHIv8i16	= 212,
-    AArch64_CMHIv8i8	= 213,
-    AArch64_CMHSv16i8	= 214,
-    AArch64_CMHSv1i64	= 215,
-    AArch64_CMHSv2i32	= 216,
-    AArch64_CMHSv2i64	= 217,
-    AArch64_CMHSv4i16	= 218,
-    AArch64_CMHSv4i32	= 219,
-    AArch64_CMHSv8i16	= 220,
-    AArch64_CMHSv8i8	= 221,
-    AArch64_CMLEv16i8rz	= 222,
-    AArch64_CMLEv1i64rz	= 223,
-    AArch64_CMLEv2i32rz	= 224,
-    AArch64_CMLEv2i64rz	= 225,
-    AArch64_CMLEv4i16rz	= 226,
-    AArch64_CMLEv4i32rz	= 227,
-    AArch64_CMLEv8i16rz	= 228,
-    AArch64_CMLEv8i8rz	= 229,
-    AArch64_CMLTv16i8rz	= 230,
-    AArch64_CMLTv1i64rz	= 231,
-    AArch64_CMLTv2i32rz	= 232,
-    AArch64_CMLTv2i64rz	= 233,
-    AArch64_CMLTv4i16rz	= 234,
-    AArch64_CMLTv4i32rz	= 235,
-    AArch64_CMLTv8i16rz	= 236,
-    AArch64_CMLTv8i8rz	= 237,
-    AArch64_CMTSTv16i8	= 238,
-    AArch64_CMTSTv1i64	= 239,
-    AArch64_CMTSTv2i32	= 240,
-    AArch64_CMTSTv2i64	= 241,
-    AArch64_CMTSTv4i16	= 242,
-    AArch64_CMTSTv4i32	= 243,
-    AArch64_CMTSTv8i16	= 244,
-    AArch64_CMTSTv8i8	= 245,
-    AArch64_CNTv16i8	= 246,
-    AArch64_CNTv8i8	= 247,
-    AArch64_CPYi16	= 248,
-    AArch64_CPYi32	= 249,
-    AArch64_CPYi64	= 250,
-    AArch64_CPYi8	= 251,
-    AArch64_CRC32Brr	= 252,
-    AArch64_CRC32CBrr	= 253,
-    AArch64_CRC32CHrr	= 254,
-    AArch64_CRC32CWrr	= 255,
-    AArch64_CRC32CXrr	= 256,
-    AArch64_CRC32Hrr	= 257,
-    AArch64_CRC32Wrr	= 258,
-    AArch64_CRC32Xrr	= 259,
-    AArch64_CSELWr	= 260,
-    AArch64_CSELXr	= 261,
-    AArch64_CSINCWr	= 262,
-    AArch64_CSINCXr	= 263,
-    AArch64_CSINVWr	= 264,
-    AArch64_CSINVXr	= 265,
-    AArch64_CSNEGWr	= 266,
-    AArch64_CSNEGXr	= 267,
-    AArch64_DCPS1	= 268,
-    AArch64_DCPS2	= 269,
-    AArch64_DCPS3	= 270,
-    AArch64_DMB	= 271,
-    AArch64_DRPS	= 272,
-    AArch64_DSB	= 273,
-    AArch64_DUPv16i8gpr	= 274,
-    AArch64_DUPv16i8lane	= 275,
-    AArch64_DUPv2i32gpr	= 276,
-    AArch64_DUPv2i32lane	= 277,
-    AArch64_DUPv2i64gpr	= 278,
-    AArch64_DUPv2i64lane	= 279,
-    AArch64_DUPv4i16gpr	= 280,
-    AArch64_DUPv4i16lane	= 281,
-    AArch64_DUPv4i32gpr	= 282,
-    AArch64_DUPv4i32lane	= 283,
-    AArch64_DUPv8i16gpr	= 284,
-    AArch64_DUPv8i16lane	= 285,
-    AArch64_DUPv8i8gpr	= 286,
-    AArch64_DUPv8i8lane	= 287,
-    AArch64_EONWrr	= 288,
-    AArch64_EONWrs	= 289,
-    AArch64_EONXrr	= 290,
-    AArch64_EONXrs	= 291,
-    AArch64_EORWri	= 292,
-    AArch64_EORWrr	= 293,
-    AArch64_EORWrs	= 294,
-    AArch64_EORXri	= 295,
-    AArch64_EORXrr	= 296,
-    AArch64_EORXrs	= 297,
-    AArch64_EORv16i8	= 298,
-    AArch64_EORv8i8	= 299,
-    AArch64_ERET	= 300,
-    AArch64_EXTRWrri	= 301,
-    AArch64_EXTRXrri	= 302,
-    AArch64_EXTv16i8	= 303,
-    AArch64_EXTv8i8	= 304,
-    AArch64_F128CSEL	= 305,
-    AArch64_FABD32	= 306,
-    AArch64_FABD64	= 307,
-    AArch64_FABDv2f32	= 308,
-    AArch64_FABDv2f64	= 309,
-    AArch64_FABDv4f32	= 310,
-    AArch64_FABSDr	= 311,
-    AArch64_FABSSr	= 312,
-    AArch64_FABSv2f32	= 313,
-    AArch64_FABSv2f64	= 314,
-    AArch64_FABSv4f32	= 315,
-    AArch64_FACGE32	= 316,
-    AArch64_FACGE64	= 317,
-    AArch64_FACGEv2f32	= 318,
-    AArch64_FACGEv2f64	= 319,
-    AArch64_FACGEv4f32	= 320,
-    AArch64_FACGT32	= 321,
-    AArch64_FACGT64	= 322,
-    AArch64_FACGTv2f32	= 323,
-    AArch64_FACGTv2f64	= 324,
-    AArch64_FACGTv4f32	= 325,
-    AArch64_FADDDrr	= 326,
-    AArch64_FADDPv2f32	= 327,
-    AArch64_FADDPv2f64	= 328,
-    AArch64_FADDPv2i32p	= 329,
-    AArch64_FADDPv2i64p	= 330,
-    AArch64_FADDPv4f32	= 331,
-    AArch64_FADDSrr	= 332,
-    AArch64_FADDv2f32	= 333,
-    AArch64_FADDv2f64	= 334,
-    AArch64_FADDv4f32	= 335,
-    AArch64_FCCMPDrr	= 336,
-    AArch64_FCCMPEDrr	= 337,
-    AArch64_FCCMPESrr	= 338,
-    AArch64_FCCMPSrr	= 339,
-    AArch64_FCMEQ32	= 340,
-    AArch64_FCMEQ64	= 341,
-    AArch64_FCMEQv1i32rz	= 342,
-    AArch64_FCMEQv1i64rz	= 343,
-    AArch64_FCMEQv2f32	= 344,
-    AArch64_FCMEQv2f64	= 345,
-    AArch64_FCMEQv2i32rz	= 346,
-    AArch64_FCMEQv2i64rz	= 347,
-    AArch64_FCMEQv4f32	= 348,
-    AArch64_FCMEQv4i32rz	= 349,
-    AArch64_FCMGE32	= 350,
-    AArch64_FCMGE64	= 351,
-    AArch64_FCMGEv1i32rz	= 352,
-    AArch64_FCMGEv1i64rz	= 353,
-    AArch64_FCMGEv2f32	= 354,
-    AArch64_FCMGEv2f64	= 355,
-    AArch64_FCMGEv2i32rz	= 356,
-    AArch64_FCMGEv2i64rz	= 357,
-    AArch64_FCMGEv4f32	= 358,
-    AArch64_FCMGEv4i32rz	= 359,
-    AArch64_FCMGT32	= 360,
-    AArch64_FCMGT64	= 361,
-    AArch64_FCMGTv1i32rz	= 362,
-    AArch64_FCMGTv1i64rz	= 363,
-    AArch64_FCMGTv2f32	= 364,
-    AArch64_FCMGTv2f64	= 365,
-    AArch64_FCMGTv2i32rz	= 366,
-    AArch64_FCMGTv2i64rz	= 367,
-    AArch64_FCMGTv4f32	= 368,
-    AArch64_FCMGTv4i32rz	= 369,
-    AArch64_FCMLEv1i32rz	= 370,
-    AArch64_FCMLEv1i64rz	= 371,
-    AArch64_FCMLEv2i32rz	= 372,
-    AArch64_FCMLEv2i64rz	= 373,
-    AArch64_FCMLEv4i32rz	= 374,
-    AArch64_FCMLTv1i32rz	= 375,
-    AArch64_FCMLTv1i64rz	= 376,
-    AArch64_FCMLTv2i32rz	= 377,
-    AArch64_FCMLTv2i64rz	= 378,
-    AArch64_FCMLTv4i32rz	= 379,
-    AArch64_FCMPDri	= 380,
-    AArch64_FCMPDrr	= 381,
-    AArch64_FCMPEDri	= 382,
-    AArch64_FCMPEDrr	= 383,
-    AArch64_FCMPESri	= 384,
-    AArch64_FCMPESrr	= 385,
-    AArch64_FCMPSri	= 386,
-    AArch64_FCMPSrr	= 387,
-    AArch64_FCSELDrrr	= 388,
-    AArch64_FCSELSrrr	= 389,
-    AArch64_FCVTASUWDr	= 390,
-    AArch64_FCVTASUWSr	= 391,
-    AArch64_FCVTASUXDr	= 392,
-    AArch64_FCVTASUXSr	= 393,
-    AArch64_FCVTASv1i32	= 394,
-    AArch64_FCVTASv1i64	= 395,
-    AArch64_FCVTASv2f32	= 396,
-    AArch64_FCVTASv2f64	= 397,
-    AArch64_FCVTASv4f32	= 398,
-    AArch64_FCVTAUUWDr	= 399,
-    AArch64_FCVTAUUWSr	= 400,
-    AArch64_FCVTAUUXDr	= 401,
-    AArch64_FCVTAUUXSr	= 402,
-    AArch64_FCVTAUv1i32	= 403,
-    AArch64_FCVTAUv1i64	= 404,
-    AArch64_FCVTAUv2f32	= 405,
-    AArch64_FCVTAUv2f64	= 406,
-    AArch64_FCVTAUv4f32	= 407,
-    AArch64_FCVTDHr	= 408,
-    AArch64_FCVTDSr	= 409,
-    AArch64_FCVTHDr	= 410,
-    AArch64_FCVTHSr	= 411,
-    AArch64_FCVTLv2i32	= 412,
-    AArch64_FCVTLv4i16	= 413,
-    AArch64_FCVTLv4i32	= 414,
-    AArch64_FCVTLv8i16	= 415,
-    AArch64_FCVTMSUWDr	= 416,
-    AArch64_FCVTMSUWSr	= 417,
-    AArch64_FCVTMSUXDr	= 418,
-    AArch64_FCVTMSUXSr	= 419,
-    AArch64_FCVTMSv1i32	= 420,
-    AArch64_FCVTMSv1i64	= 421,
-    AArch64_FCVTMSv2f32	= 422,
-    AArch64_FCVTMSv2f64	= 423,
-    AArch64_FCVTMSv4f32	= 424,
-    AArch64_FCVTMUUWDr	= 425,
-    AArch64_FCVTMUUWSr	= 426,
-    AArch64_FCVTMUUXDr	= 427,
-    AArch64_FCVTMUUXSr	= 428,
-    AArch64_FCVTMUv1i32	= 429,
-    AArch64_FCVTMUv1i64	= 430,
-    AArch64_FCVTMUv2f32	= 431,
-    AArch64_FCVTMUv2f64	= 432,
-    AArch64_FCVTMUv4f32	= 433,
-    AArch64_FCVTNSUWDr	= 434,
-    AArch64_FCVTNSUWSr	= 435,
-    AArch64_FCVTNSUXDr	= 436,
-    AArch64_FCVTNSUXSr	= 437,
-    AArch64_FCVTNSv1i32	= 438,
-    AArch64_FCVTNSv1i64	= 439,
-    AArch64_FCVTNSv2f32	= 440,
-    AArch64_FCVTNSv2f64	= 441,
-    AArch64_FCVTNSv4f32	= 442,
-    AArch64_FCVTNUUWDr	= 443,
-    AArch64_FCVTNUUWSr	= 444,
-    AArch64_FCVTNUUXDr	= 445,
-    AArch64_FCVTNUUXSr	= 446,
-    AArch64_FCVTNUv1i32	= 447,
-    AArch64_FCVTNUv1i64	= 448,
-    AArch64_FCVTNUv2f32	= 449,
-    AArch64_FCVTNUv2f64	= 450,
-    AArch64_FCVTNUv4f32	= 451,
-    AArch64_FCVTNv2i32	= 452,
-    AArch64_FCVTNv4i16	= 453,
-    AArch64_FCVTNv4i32	= 454,
-    AArch64_FCVTNv8i16	= 455,
-    AArch64_FCVTPSUWDr	= 456,
-    AArch64_FCVTPSUWSr	= 457,
-    AArch64_FCVTPSUXDr	= 458,
-    AArch64_FCVTPSUXSr	= 459,
-    AArch64_FCVTPSv1i32	= 460,
-    AArch64_FCVTPSv1i64	= 461,
-    AArch64_FCVTPSv2f32	= 462,
-    AArch64_FCVTPSv2f64	= 463,
-    AArch64_FCVTPSv4f32	= 464,
-    AArch64_FCVTPUUWDr	= 465,
-    AArch64_FCVTPUUWSr	= 466,
-    AArch64_FCVTPUUXDr	= 467,
-    AArch64_FCVTPUUXSr	= 468,
-    AArch64_FCVTPUv1i32	= 469,
-    AArch64_FCVTPUv1i64	= 470,
-    AArch64_FCVTPUv2f32	= 471,
-    AArch64_FCVTPUv2f64	= 472,
-    AArch64_FCVTPUv4f32	= 473,
-    AArch64_FCVTSDr	= 474,
-    AArch64_FCVTSHr	= 475,
-    AArch64_FCVTXNv1i64	= 476,
-    AArch64_FCVTXNv2f32	= 477,
-    AArch64_FCVTXNv4f32	= 478,
-    AArch64_FCVTZSSWDri	= 479,
-    AArch64_FCVTZSSWSri	= 480,
-    AArch64_FCVTZSSXDri	= 481,
-    AArch64_FCVTZSSXSri	= 482,
-    AArch64_FCVTZSUWDr	= 483,
-    AArch64_FCVTZSUWSr	= 484,
-    AArch64_FCVTZSUXDr	= 485,
-    AArch64_FCVTZSUXSr	= 486,
-    AArch64_FCVTZS_IntSWDri	= 487,
-    AArch64_FCVTZS_IntSWSri	= 488,
-    AArch64_FCVTZS_IntSXDri	= 489,
-    AArch64_FCVTZS_IntSXSri	= 490,
-    AArch64_FCVTZS_IntUWDr	= 491,
-    AArch64_FCVTZS_IntUWSr	= 492,
-    AArch64_FCVTZS_IntUXDr	= 493,
-    AArch64_FCVTZS_IntUXSr	= 494,
-    AArch64_FCVTZS_Intv2f32	= 495,
-    AArch64_FCVTZS_Intv2f64	= 496,
-    AArch64_FCVTZS_Intv4f32	= 497,
-    AArch64_FCVTZSd	= 498,
-    AArch64_FCVTZSs	= 499,
-    AArch64_FCVTZSv1i32	= 500,
-    AArch64_FCVTZSv1i64	= 501,
-    AArch64_FCVTZSv2f32	= 502,
-    AArch64_FCVTZSv2f64	= 503,
-    AArch64_FCVTZSv2i32_shift	= 504,
-    AArch64_FCVTZSv2i64_shift	= 505,
-    AArch64_FCVTZSv4f32	= 506,
-    AArch64_FCVTZSv4i32_shift	= 507,
-    AArch64_FCVTZUSWDri	= 508,
-    AArch64_FCVTZUSWSri	= 509,
-    AArch64_FCVTZUSXDri	= 510,
-    AArch64_FCVTZUSXSri	= 511,
-    AArch64_FCVTZUUWDr	= 512,
-    AArch64_FCVTZUUWSr	= 513,
-    AArch64_FCVTZUUXDr	= 514,
-    AArch64_FCVTZUUXSr	= 515,
-    AArch64_FCVTZU_IntSWDri	= 516,
-    AArch64_FCVTZU_IntSWSri	= 517,
-    AArch64_FCVTZU_IntSXDri	= 518,
-    AArch64_FCVTZU_IntSXSri	= 519,
-    AArch64_FCVTZU_IntUWDr	= 520,
-    AArch64_FCVTZU_IntUWSr	= 521,
-    AArch64_FCVTZU_IntUXDr	= 522,
-    AArch64_FCVTZU_IntUXSr	= 523,
-    AArch64_FCVTZU_Intv2f32	= 524,
-    AArch64_FCVTZU_Intv2f64	= 525,
-    AArch64_FCVTZU_Intv4f32	= 526,
-    AArch64_FCVTZUd	= 527,
-    AArch64_FCVTZUs	= 528,
-    AArch64_FCVTZUv1i32	= 529,
-    AArch64_FCVTZUv1i64	= 530,
-    AArch64_FCVTZUv2f32	= 531,
-    AArch64_FCVTZUv2f64	= 532,
-    AArch64_FCVTZUv2i32_shift	= 533,
-    AArch64_FCVTZUv2i64_shift	= 534,
-    AArch64_FCVTZUv4f32	= 535,
-    AArch64_FCVTZUv4i32_shift	= 536,
-    AArch64_FDIVDrr	= 537,
-    AArch64_FDIVSrr	= 538,
-    AArch64_FDIVv2f32	= 539,
-    AArch64_FDIVv2f64	= 540,
-    AArch64_FDIVv4f32	= 541,
-    AArch64_FMADDDrrr	= 542,
-    AArch64_FMADDSrrr	= 543,
-    AArch64_FMAXDrr	= 544,
-    AArch64_FMAXNMDrr	= 545,
-    AArch64_FMAXNMPv2f32	= 546,
-    AArch64_FMAXNMPv2f64	= 547,
-    AArch64_FMAXNMPv2i32p	= 548,
-    AArch64_FMAXNMPv2i64p	= 549,
-    AArch64_FMAXNMPv4f32	= 550,
-    AArch64_FMAXNMSrr	= 551,
-    AArch64_FMAXNMVv4i32v	= 552,
-    AArch64_FMAXNMv2f32	= 553,
-    AArch64_FMAXNMv2f64	= 554,
-    AArch64_FMAXNMv4f32	= 555,
-    AArch64_FMAXPv2f32	= 556,
-    AArch64_FMAXPv2f64	= 557,
-    AArch64_FMAXPv2i32p	= 558,
-    AArch64_FMAXPv2i64p	= 559,
-    AArch64_FMAXPv4f32	= 560,
-    AArch64_FMAXSrr	= 561,
-    AArch64_FMAXVv4i32v	= 562,
-    AArch64_FMAXv2f32	= 563,
-    AArch64_FMAXv2f64	= 564,
-    AArch64_FMAXv4f32	= 565,
-    AArch64_FMINDrr	= 566,
-    AArch64_FMINNMDrr	= 567,
-    AArch64_FMINNMPv2f32	= 568,
-    AArch64_FMINNMPv2f64	= 569,
-    AArch64_FMINNMPv2i32p	= 570,
-    AArch64_FMINNMPv2i64p	= 571,
-    AArch64_FMINNMPv4f32	= 572,
-    AArch64_FMINNMSrr	= 573,
-    AArch64_FMINNMVv4i32v	= 574,
-    AArch64_FMINNMv2f32	= 575,
-    AArch64_FMINNMv2f64	= 576,
-    AArch64_FMINNMv4f32	= 577,
-    AArch64_FMINPv2f32	= 578,
-    AArch64_FMINPv2f64	= 579,
-    AArch64_FMINPv2i32p	= 580,
-    AArch64_FMINPv2i64p	= 581,
-    AArch64_FMINPv4f32	= 582,
-    AArch64_FMINSrr	= 583,
-    AArch64_FMINVv4i32v	= 584,
-    AArch64_FMINv2f32	= 585,
-    AArch64_FMINv2f64	= 586,
-    AArch64_FMINv4f32	= 587,
-    AArch64_FMLAv1i32_indexed	= 588,
-    AArch64_FMLAv1i64_indexed	= 589,
-    AArch64_FMLAv2f32	= 590,
-    AArch64_FMLAv2f64	= 591,
-    AArch64_FMLAv2i32_indexed	= 592,
-    AArch64_FMLAv2i64_indexed	= 593,
-    AArch64_FMLAv4f32	= 594,
-    AArch64_FMLAv4i32_indexed	= 595,
-    AArch64_FMLSv1i32_indexed	= 596,
-    AArch64_FMLSv1i64_indexed	= 597,
-    AArch64_FMLSv2f32	= 598,
-    AArch64_FMLSv2f64	= 599,
-    AArch64_FMLSv2i32_indexed	= 600,
-    AArch64_FMLSv2i64_indexed	= 601,
-    AArch64_FMLSv4f32	= 602,
-    AArch64_FMLSv4i32_indexed	= 603,
-    AArch64_FMOVDXHighr	= 604,
-    AArch64_FMOVDXr	= 605,
-    AArch64_FMOVDi	= 606,
-    AArch64_FMOVDr	= 607,
-    AArch64_FMOVSWr	= 608,
-    AArch64_FMOVSi	= 609,
-    AArch64_FMOVSr	= 610,
-    AArch64_FMOVWSr	= 611,
-    AArch64_FMOVXDHighr	= 612,
-    AArch64_FMOVXDr	= 613,
-    AArch64_FMOVv2f32_ns	= 614,
-    AArch64_FMOVv2f64_ns	= 615,
-    AArch64_FMOVv4f32_ns	= 616,
-    AArch64_FMSUBDrrr	= 617,
-    AArch64_FMSUBSrrr	= 618,
-    AArch64_FMULDrr	= 619,
-    AArch64_FMULSrr	= 620,
-    AArch64_FMULX32	= 621,
-    AArch64_FMULX64	= 622,
-    AArch64_FMULXv1i32_indexed	= 623,
-    AArch64_FMULXv1i64_indexed	= 624,
-    AArch64_FMULXv2f32	= 625,
-    AArch64_FMULXv2f64	= 626,
-    AArch64_FMULXv2i32_indexed	= 627,
-    AArch64_FMULXv2i64_indexed	= 628,
-    AArch64_FMULXv4f32	= 629,
-    AArch64_FMULXv4i32_indexed	= 630,
-    AArch64_FMULv1i32_indexed	= 631,
-    AArch64_FMULv1i64_indexed	= 632,
-    AArch64_FMULv2f32	= 633,
-    AArch64_FMULv2f64	= 634,
-    AArch64_FMULv2i32_indexed	= 635,
-    AArch64_FMULv2i64_indexed	= 636,
-    AArch64_FMULv4f32	= 637,
-    AArch64_FMULv4i32_indexed	= 638,
-    AArch64_FNEGDr	= 639,
-    AArch64_FNEGSr	= 640,
-    AArch64_FNEGv2f32	= 641,
-    AArch64_FNEGv2f64	= 642,
-    AArch64_FNEGv4f32	= 643,
-    AArch64_FNMADDDrrr	= 644,
-    AArch64_FNMADDSrrr	= 645,
-    AArch64_FNMSUBDrrr	= 646,
-    AArch64_FNMSUBSrrr	= 647,
-    AArch64_FNMULDrr	= 648,
-    AArch64_FNMULSrr	= 649,
-    AArch64_FRECPEv1i32	= 650,
-    AArch64_FRECPEv1i64	= 651,
-    AArch64_FRECPEv2f32	= 652,
-    AArch64_FRECPEv2f64	= 653,
-    AArch64_FRECPEv4f32	= 654,
-    AArch64_FRECPS32	= 655,
-    AArch64_FRECPS64	= 656,
-    AArch64_FRECPSv2f32	= 657,
-    AArch64_FRECPSv2f64	= 658,
-    AArch64_FRECPSv4f32	= 659,
-    AArch64_FRECPXv1i32	= 660,
-    AArch64_FRECPXv1i64	= 661,
-    AArch64_FRINTADr	= 662,
-    AArch64_FRINTASr	= 663,
-    AArch64_FRINTAv2f32	= 664,
-    AArch64_FRINTAv2f64	= 665,
-    AArch64_FRINTAv4f32	= 666,
-    AArch64_FRINTIDr	= 667,
-    AArch64_FRINTISr	= 668,
-    AArch64_FRINTIv2f32	= 669,
-    AArch64_FRINTIv2f64	= 670,
-    AArch64_FRINTIv4f32	= 671,
-    AArch64_FRINTMDr	= 672,
-    AArch64_FRINTMSr	= 673,
-    AArch64_FRINTMv2f32	= 674,
-    AArch64_FRINTMv2f64	= 675,
-    AArch64_FRINTMv4f32	= 676,
-    AArch64_FRINTNDr	= 677,
-    AArch64_FRINTNSr	= 678,
-    AArch64_FRINTNv2f32	= 679,
-    AArch64_FRINTNv2f64	= 680,
-    AArch64_FRINTNv4f32	= 681,
-    AArch64_FRINTPDr	= 682,
-    AArch64_FRINTPSr	= 683,
-    AArch64_FRINTPv2f32	= 684,
-    AArch64_FRINTPv2f64	= 685,
-    AArch64_FRINTPv4f32	= 686,
-    AArch64_FRINTXDr	= 687,
-    AArch64_FRINTXSr	= 688,
-    AArch64_FRINTXv2f32	= 689,
-    AArch64_FRINTXv2f64	= 690,
-    AArch64_FRINTXv4f32	= 691,
-    AArch64_FRINTZDr	= 692,
-    AArch64_FRINTZSr	= 693,
-    AArch64_FRINTZv2f32	= 694,
-    AArch64_FRINTZv2f64	= 695,
-    AArch64_FRINTZv4f32	= 696,
-    AArch64_FRSQRTEv1i32	= 697,
-    AArch64_FRSQRTEv1i64	= 698,
-    AArch64_FRSQRTEv2f32	= 699,
-    AArch64_FRSQRTEv2f64	= 700,
-    AArch64_FRSQRTEv4f32	= 701,
-    AArch64_FRSQRTS32	= 702,
-    AArch64_FRSQRTS64	= 703,
-    AArch64_FRSQRTSv2f32	= 704,
-    AArch64_FRSQRTSv2f64	= 705,
-    AArch64_FRSQRTSv4f32	= 706,
-    AArch64_FSQRTDr	= 707,
-    AArch64_FSQRTSr	= 708,
-    AArch64_FSQRTv2f32	= 709,
-    AArch64_FSQRTv2f64	= 710,
-    AArch64_FSQRTv4f32	= 711,
-    AArch64_FSUBDrr	= 712,
-    AArch64_FSUBSrr	= 713,
-    AArch64_FSUBv2f32	= 714,
-    AArch64_FSUBv2f64	= 715,
-    AArch64_FSUBv4f32	= 716,
-    AArch64_HINT	= 717,
-    AArch64_HLT	= 718,
-    AArch64_HVC	= 719,
-    AArch64_INSvi16gpr	= 720,
-    AArch64_INSvi16lane	= 721,
-    AArch64_INSvi32gpr	= 722,
-    AArch64_INSvi32lane	= 723,
-    AArch64_INSvi64gpr	= 724,
-    AArch64_INSvi64lane	= 725,
-    AArch64_INSvi8gpr	= 726,
-    AArch64_INSvi8lane	= 727,
-    AArch64_ISB	= 728,
-    AArch64_LD1Fourv16b	= 729,
-    AArch64_LD1Fourv16b_POST	= 730,
-    AArch64_LD1Fourv1d	= 731,
-    AArch64_LD1Fourv1d_POST	= 732,
-    AArch64_LD1Fourv2d	= 733,
-    AArch64_LD1Fourv2d_POST	= 734,
-    AArch64_LD1Fourv2s	= 735,
-    AArch64_LD1Fourv2s_POST	= 736,
-    AArch64_LD1Fourv4h	= 737,
-    AArch64_LD1Fourv4h_POST	= 738,
-    AArch64_LD1Fourv4s	= 739,
-    AArch64_LD1Fourv4s_POST	= 740,
-    AArch64_LD1Fourv8b	= 741,
-    AArch64_LD1Fourv8b_POST	= 742,
-    AArch64_LD1Fourv8h	= 743,
-    AArch64_LD1Fourv8h_POST	= 744,
-    AArch64_LD1Onev16b	= 745,
-    AArch64_LD1Onev16b_POST	= 746,
-    AArch64_LD1Onev1d	= 747,
-    AArch64_LD1Onev1d_POST	= 748,
-    AArch64_LD1Onev2d	= 749,
-    AArch64_LD1Onev2d_POST	= 750,
-    AArch64_LD1Onev2s	= 751,
-    AArch64_LD1Onev2s_POST	= 752,
-    AArch64_LD1Onev4h	= 753,
-    AArch64_LD1Onev4h_POST	= 754,
-    AArch64_LD1Onev4s	= 755,
-    AArch64_LD1Onev4s_POST	= 756,
-    AArch64_LD1Onev8b	= 757,
-    AArch64_LD1Onev8b_POST	= 758,
-    AArch64_LD1Onev8h	= 759,
-    AArch64_LD1Onev8h_POST	= 760,
-    AArch64_LD1Rv16b	= 761,
-    AArch64_LD1Rv16b_POST	= 762,
-    AArch64_LD1Rv1d	= 763,
-    AArch64_LD1Rv1d_POST	= 764,
-    AArch64_LD1Rv2d	= 765,
-    AArch64_LD1Rv2d_POST	= 766,
-    AArch64_LD1Rv2s	= 767,
-    AArch64_LD1Rv2s_POST	= 768,
-    AArch64_LD1Rv4h	= 769,
-    AArch64_LD1Rv4h_POST	= 770,
-    AArch64_LD1Rv4s	= 771,
-    AArch64_LD1Rv4s_POST	= 772,
-    AArch64_LD1Rv8b	= 773,
-    AArch64_LD1Rv8b_POST	= 774,
-    AArch64_LD1Rv8h	= 775,
-    AArch64_LD1Rv8h_POST	= 776,
-    AArch64_LD1Threev16b	= 777,
-    AArch64_LD1Threev16b_POST	= 778,
-    AArch64_LD1Threev1d	= 779,
-    AArch64_LD1Threev1d_POST	= 780,
-    AArch64_LD1Threev2d	= 781,
-    AArch64_LD1Threev2d_POST	= 782,
-    AArch64_LD1Threev2s	= 783,
-    AArch64_LD1Threev2s_POST	= 784,
-    AArch64_LD1Threev4h	= 785,
-    AArch64_LD1Threev4h_POST	= 786,
-    AArch64_LD1Threev4s	= 787,
-    AArch64_LD1Threev4s_POST	= 788,
-    AArch64_LD1Threev8b	= 789,
-    AArch64_LD1Threev8b_POST	= 790,
-    AArch64_LD1Threev8h	= 791,
-    AArch64_LD1Threev8h_POST	= 792,
-    AArch64_LD1Twov16b	= 793,
-    AArch64_LD1Twov16b_POST	= 794,
-    AArch64_LD1Twov1d	= 795,
-    AArch64_LD1Twov1d_POST	= 796,
-    AArch64_LD1Twov2d	= 797,
-    AArch64_LD1Twov2d_POST	= 798,
-    AArch64_LD1Twov2s	= 799,
-    AArch64_LD1Twov2s_POST	= 800,
-    AArch64_LD1Twov4h	= 801,
-    AArch64_LD1Twov4h_POST	= 802,
-    AArch64_LD1Twov4s	= 803,
-    AArch64_LD1Twov4s_POST	= 804,
-    AArch64_LD1Twov8b	= 805,
-    AArch64_LD1Twov8b_POST	= 806,
-    AArch64_LD1Twov8h	= 807,
-    AArch64_LD1Twov8h_POST	= 808,
-    AArch64_LD1i16	= 809,
-    AArch64_LD1i16_POST	= 810,
-    AArch64_LD1i32	= 811,
-    AArch64_LD1i32_POST	= 812,
-    AArch64_LD1i64	= 813,
-    AArch64_LD1i64_POST	= 814,
-    AArch64_LD1i8	= 815,
-    AArch64_LD1i8_POST	= 816,
-    AArch64_LD2Rv16b	= 817,
-    AArch64_LD2Rv16b_POST	= 818,
-    AArch64_LD2Rv1d	= 819,
-    AArch64_LD2Rv1d_POST	= 820,
-    AArch64_LD2Rv2d	= 821,
-    AArch64_LD2Rv2d_POST	= 822,
-    AArch64_LD2Rv2s	= 823,
-    AArch64_LD2Rv2s_POST	= 824,
-    AArch64_LD2Rv4h	= 825,
-    AArch64_LD2Rv4h_POST	= 826,
-    AArch64_LD2Rv4s	= 827,
-    AArch64_LD2Rv4s_POST	= 828,
-    AArch64_LD2Rv8b	= 829,
-    AArch64_LD2Rv8b_POST	= 830,
-    AArch64_LD2Rv8h	= 831,
-    AArch64_LD2Rv8h_POST	= 832,
-    AArch64_LD2Twov16b	= 833,
-    AArch64_LD2Twov16b_POST	= 834,
-    AArch64_LD2Twov2d	= 835,
-    AArch64_LD2Twov2d_POST	= 836,
-    AArch64_LD2Twov2s	= 837,
-    AArch64_LD2Twov2s_POST	= 838,
-    AArch64_LD2Twov4h	= 839,
-    AArch64_LD2Twov4h_POST	= 840,
-    AArch64_LD2Twov4s	= 841,
-    AArch64_LD2Twov4s_POST	= 842,
-    AArch64_LD2Twov8b	= 843,
-    AArch64_LD2Twov8b_POST	= 844,
-    AArch64_LD2Twov8h	= 845,
-    AArch64_LD2Twov8h_POST	= 846,
-    AArch64_LD2i16	= 847,
-    AArch64_LD2i16_POST	= 848,
-    AArch64_LD2i32	= 849,
-    AArch64_LD2i32_POST	= 850,
-    AArch64_LD2i64	= 851,
-    AArch64_LD2i64_POST	= 852,
-    AArch64_LD2i8	= 853,
-    AArch64_LD2i8_POST	= 854,
-    AArch64_LD3Rv16b	= 855,
-    AArch64_LD3Rv16b_POST	= 856,
-    AArch64_LD3Rv1d	= 857,
-    AArch64_LD3Rv1d_POST	= 858,
-    AArch64_LD3Rv2d	= 859,
-    AArch64_LD3Rv2d_POST	= 860,
-    AArch64_LD3Rv2s	= 861,
-    AArch64_LD3Rv2s_POST	= 862,
-    AArch64_LD3Rv4h	= 863,
-    AArch64_LD3Rv4h_POST	= 864,
-    AArch64_LD3Rv4s	= 865,
-    AArch64_LD3Rv4s_POST	= 866,
-    AArch64_LD3Rv8b	= 867,
-    AArch64_LD3Rv8b_POST	= 868,
-    AArch64_LD3Rv8h	= 869,
-    AArch64_LD3Rv8h_POST	= 870,
-    AArch64_LD3Threev16b	= 871,
-    AArch64_LD3Threev16b_POST	= 872,
-    AArch64_LD3Threev2d	= 873,
-    AArch64_LD3Threev2d_POST	= 874,
-    AArch64_LD3Threev2s	= 875,
-    AArch64_LD3Threev2s_POST	= 876,
-    AArch64_LD3Threev4h	= 877,
-    AArch64_LD3Threev4h_POST	= 878,
-    AArch64_LD3Threev4s	= 879,
-    AArch64_LD3Threev4s_POST	= 880,
-    AArch64_LD3Threev8b	= 881,
-    AArch64_LD3Threev8b_POST	= 882,
-    AArch64_LD3Threev8h	= 883,
-    AArch64_LD3Threev8h_POST	= 884,
-    AArch64_LD3i16	= 885,
-    AArch64_LD3i16_POST	= 886,
-    AArch64_LD3i32	= 887,
-    AArch64_LD3i32_POST	= 888,
-    AArch64_LD3i64	= 889,
-    AArch64_LD3i64_POST	= 890,
-    AArch64_LD3i8	= 891,
-    AArch64_LD3i8_POST	= 892,
-    AArch64_LD4Fourv16b	= 893,
-    AArch64_LD4Fourv16b_POST	= 894,
-    AArch64_LD4Fourv2d	= 895,
-    AArch64_LD4Fourv2d_POST	= 896,
-    AArch64_LD4Fourv2s	= 897,
-    AArch64_LD4Fourv2s_POST	= 898,
-    AArch64_LD4Fourv4h	= 899,
-    AArch64_LD4Fourv4h_POST	= 900,
-    AArch64_LD4Fourv4s	= 901,
-    AArch64_LD4Fourv4s_POST	= 902,
-    AArch64_LD4Fourv8b	= 903,
-    AArch64_LD4Fourv8b_POST	= 904,
-    AArch64_LD4Fourv8h	= 905,
-    AArch64_LD4Fourv8h_POST	= 906,
-    AArch64_LD4Rv16b	= 907,
-    AArch64_LD4Rv16b_POST	= 908,
-    AArch64_LD4Rv1d	= 909,
-    AArch64_LD4Rv1d_POST	= 910,
-    AArch64_LD4Rv2d	= 911,
-    AArch64_LD4Rv2d_POST	= 912,
-    AArch64_LD4Rv2s	= 913,
-    AArch64_LD4Rv2s_POST	= 914,
-    AArch64_LD4Rv4h	= 915,
-    AArch64_LD4Rv4h_POST	= 916,
-    AArch64_LD4Rv4s	= 917,
-    AArch64_LD4Rv4s_POST	= 918,
-    AArch64_LD4Rv8b	= 919,
-    AArch64_LD4Rv8b_POST	= 920,
-    AArch64_LD4Rv8h	= 921,
-    AArch64_LD4Rv8h_POST	= 922,
-    AArch64_LD4i16	= 923,
-    AArch64_LD4i16_POST	= 924,
-    AArch64_LD4i32	= 925,
-    AArch64_LD4i32_POST	= 926,
-    AArch64_LD4i64	= 927,
-    AArch64_LD4i64_POST	= 928,
-    AArch64_LD4i8	= 929,
-    AArch64_LD4i8_POST	= 930,
-    AArch64_LDARB	= 931,
-    AArch64_LDARH	= 932,
-    AArch64_LDARW	= 933,
-    AArch64_LDARX	= 934,
-    AArch64_LDAXPW	= 935,
-    AArch64_LDAXPX	= 936,
-    AArch64_LDAXRB	= 937,
-    AArch64_LDAXRH	= 938,
-    AArch64_LDAXRW	= 939,
-    AArch64_LDAXRX	= 940,
-    AArch64_LDNPDi	= 941,
-    AArch64_LDNPQi	= 942,
-    AArch64_LDNPSi	= 943,
-    AArch64_LDNPWi	= 944,
-    AArch64_LDNPXi	= 945,
-    AArch64_LDPDi	= 946,
-    AArch64_LDPDpost	= 947,
-    AArch64_LDPDpre	= 948,
-    AArch64_LDPQi	= 949,
-    AArch64_LDPQpost	= 950,
-    AArch64_LDPQpre	= 951,
-    AArch64_LDPSWi	= 952,
-    AArch64_LDPSWpost	= 953,
-    AArch64_LDPSWpre	= 954,
-    AArch64_LDPSi	= 955,
-    AArch64_LDPSpost	= 956,
-    AArch64_LDPSpre	= 957,
-    AArch64_LDPWi	= 958,
-    AArch64_LDPWpost	= 959,
-    AArch64_LDPWpre	= 960,
-    AArch64_LDPXi	= 961,
-    AArch64_LDPXpost	= 962,
-    AArch64_LDPXpre	= 963,
-    AArch64_LDRBBpost	= 964,
-    AArch64_LDRBBpre	= 965,
-    AArch64_LDRBBroW	= 966,
-    AArch64_LDRBBroX	= 967,
-    AArch64_LDRBBui	= 968,
-    AArch64_LDRBpost	= 969,
-    AArch64_LDRBpre	= 970,
-    AArch64_LDRBroW	= 971,
-    AArch64_LDRBroX	= 972,
-    AArch64_LDRBui	= 973,
-    AArch64_LDRDl	= 974,
-    AArch64_LDRDpost	= 975,
-    AArch64_LDRDpre	= 976,
-    AArch64_LDRDroW	= 977,
-    AArch64_LDRDroX	= 978,
-    AArch64_LDRDui	= 979,
-    AArch64_LDRHHpost	= 980,
-    AArch64_LDRHHpre	= 981,
-    AArch64_LDRHHroW	= 982,
-    AArch64_LDRHHroX	= 983,
-    AArch64_LDRHHui	= 984,
-    AArch64_LDRHpost	= 985,
-    AArch64_LDRHpre	= 986,
-    AArch64_LDRHroW	= 987,
-    AArch64_LDRHroX	= 988,
-    AArch64_LDRHui	= 989,
-    AArch64_LDRQl	= 990,
-    AArch64_LDRQpost	= 991,
-    AArch64_LDRQpre	= 992,
-    AArch64_LDRQroW	= 993,
-    AArch64_LDRQroX	= 994,
-    AArch64_LDRQui	= 995,
-    AArch64_LDRSBWpost	= 996,
-    AArch64_LDRSBWpre	= 997,
-    AArch64_LDRSBWroW	= 998,
-    AArch64_LDRSBWroX	= 999,
-    AArch64_LDRSBWui	= 1000,
-    AArch64_LDRSBXpost	= 1001,
-    AArch64_LDRSBXpre	= 1002,
-    AArch64_LDRSBXroW	= 1003,
-    AArch64_LDRSBXroX	= 1004,
-    AArch64_LDRSBXui	= 1005,
-    AArch64_LDRSHWpost	= 1006,
-    AArch64_LDRSHWpre	= 1007,
-    AArch64_LDRSHWroW	= 1008,
-    AArch64_LDRSHWroX	= 1009,
-    AArch64_LDRSHWui	= 1010,
-    AArch64_LDRSHXpost	= 1011,
-    AArch64_LDRSHXpre	= 1012,
-    AArch64_LDRSHXroW	= 1013,
-    AArch64_LDRSHXroX	= 1014,
-    AArch64_LDRSHXui	= 1015,
-    AArch64_LDRSWl	= 1016,
-    AArch64_LDRSWpost	= 1017,
-    AArch64_LDRSWpre	= 1018,
-    AArch64_LDRSWroW	= 1019,
-    AArch64_LDRSWroX	= 1020,
-    AArch64_LDRSWui	= 1021,
-    AArch64_LDRSl	= 1022,
-    AArch64_LDRSpost	= 1023,
-    AArch64_LDRSpre	= 1024,
-    AArch64_LDRSroW	= 1025,
-    AArch64_LDRSroX	= 1026,
-    AArch64_LDRSui	= 1027,
-    AArch64_LDRWl	= 1028,
-    AArch64_LDRWpost	= 1029,
-    AArch64_LDRWpre	= 1030,
-    AArch64_LDRWroW	= 1031,
-    AArch64_LDRWroX	= 1032,
-    AArch64_LDRWui	= 1033,
-    AArch64_LDRXl	= 1034,
-    AArch64_LDRXpost	= 1035,
-    AArch64_LDRXpre	= 1036,
-    AArch64_LDRXroW	= 1037,
-    AArch64_LDRXroX	= 1038,
-    AArch64_LDRXui	= 1039,
-    AArch64_LDTRBi	= 1040,
-    AArch64_LDTRHi	= 1041,
-    AArch64_LDTRSBWi	= 1042,
-    AArch64_LDTRSBXi	= 1043,
-    AArch64_LDTRSHWi	= 1044,
-    AArch64_LDTRSHXi	= 1045,
-    AArch64_LDTRSWi	= 1046,
-    AArch64_LDTRWi	= 1047,
-    AArch64_LDTRXi	= 1048,
-    AArch64_LDURBBi	= 1049,
-    AArch64_LDURBi	= 1050,
-    AArch64_LDURDi	= 1051,
-    AArch64_LDURHHi	= 1052,
-    AArch64_LDURHi	= 1053,
-    AArch64_LDURQi	= 1054,
-    AArch64_LDURSBWi	= 1055,
-    AArch64_LDURSBXi	= 1056,
-    AArch64_LDURSHWi	= 1057,
-    AArch64_LDURSHXi	= 1058,
-    AArch64_LDURSWi	= 1059,
-    AArch64_LDURSi	= 1060,
-    AArch64_LDURWi	= 1061,
-    AArch64_LDURXi	= 1062,
-    AArch64_LDXPW	= 1063,
-    AArch64_LDXPX	= 1064,
-    AArch64_LDXRB	= 1065,
-    AArch64_LDXRH	= 1066,
-    AArch64_LDXRW	= 1067,
-    AArch64_LDXRX	= 1068,
-    AArch64_LOADgot	= 1069,
-    AArch64_LSLVWr	= 1070,
-    AArch64_LSLVXr	= 1071,
-    AArch64_LSRVWr	= 1072,
-    AArch64_LSRVXr	= 1073,
-    AArch64_MADDWrrr	= 1074,
-    AArch64_MADDXrrr	= 1075,
-    AArch64_MLAv16i8	= 1076,
-    AArch64_MLAv2i32	= 1077,
-    AArch64_MLAv2i32_indexed	= 1078,
-    AArch64_MLAv4i16	= 1079,
-    AArch64_MLAv4i16_indexed	= 1080,
-    AArch64_MLAv4i32	= 1081,
-    AArch64_MLAv4i32_indexed	= 1082,
-    AArch64_MLAv8i16	= 1083,
-    AArch64_MLAv8i16_indexed	= 1084,
-    AArch64_MLAv8i8	= 1085,
-    AArch64_MLSv16i8	= 1086,
-    AArch64_MLSv2i32	= 1087,
-    AArch64_MLSv2i32_indexed	= 1088,
-    AArch64_MLSv4i16	= 1089,
-    AArch64_MLSv4i16_indexed	= 1090,
-    AArch64_MLSv4i32	= 1091,
-    AArch64_MLSv4i32_indexed	= 1092,
-    AArch64_MLSv8i16	= 1093,
-    AArch64_MLSv8i16_indexed	= 1094,
-    AArch64_MLSv8i8	= 1095,
-    AArch64_MOVID	= 1096,
-    AArch64_MOVIv16b_ns	= 1097,
-    AArch64_MOVIv2d_ns	= 1098,
-    AArch64_MOVIv2i32	= 1099,
-    AArch64_MOVIv2s_msl	= 1100,
-    AArch64_MOVIv4i16	= 1101,
-    AArch64_MOVIv4i32	= 1102,
-    AArch64_MOVIv4s_msl	= 1103,
-    AArch64_MOVIv8b_ns	= 1104,
-    AArch64_MOVIv8i16	= 1105,
-    AArch64_MOVKWi	= 1106,
-    AArch64_MOVKXi	= 1107,
-    AArch64_MOVNWi	= 1108,
-    AArch64_MOVNXi	= 1109,
-    AArch64_MOVZWi	= 1110,
-    AArch64_MOVZXi	= 1111,
-    AArch64_MOVaddr	= 1112,
-    AArch64_MOVaddrBA	= 1113,
-    AArch64_MOVaddrCP	= 1114,
-    AArch64_MOVaddrEXT	= 1115,
-    AArch64_MOVaddrJT	= 1116,
-    AArch64_MOVaddrTLS	= 1117,
-    AArch64_MOVi32imm	= 1118,
-    AArch64_MOVi64imm	= 1119,
-    AArch64_MRS	= 1120,
-    AArch64_MSR	= 1121,
-    AArch64_MSRpstate	= 1122,
-    AArch64_MSUBWrrr	= 1123,
-    AArch64_MSUBXrrr	= 1124,
-    AArch64_MULv16i8	= 1125,
-    AArch64_MULv2i32	= 1126,
-    AArch64_MULv2i32_indexed	= 1127,
-    AArch64_MULv4i16	= 1128,
-    AArch64_MULv4i16_indexed	= 1129,
-    AArch64_MULv4i32	= 1130,
-    AArch64_MULv4i32_indexed	= 1131,
-    AArch64_MULv8i16	= 1132,
-    AArch64_MULv8i16_indexed	= 1133,
-    AArch64_MULv8i8	= 1134,
-    AArch64_MVNIv2i32	= 1135,
-    AArch64_MVNIv2s_msl	= 1136,
-    AArch64_MVNIv4i16	= 1137,
-    AArch64_MVNIv4i32	= 1138,
-    AArch64_MVNIv4s_msl	= 1139,
-    AArch64_MVNIv8i16	= 1140,
-    AArch64_NEGv16i8	= 1141,
-    AArch64_NEGv1i64	= 1142,
-    AArch64_NEGv2i32	= 1143,
-    AArch64_NEGv2i64	= 1144,
-    AArch64_NEGv4i16	= 1145,
-    AArch64_NEGv4i32	= 1146,
-    AArch64_NEGv8i16	= 1147,
-    AArch64_NEGv8i8	= 1148,
-    AArch64_NOTv16i8	= 1149,
-    AArch64_NOTv8i8	= 1150,
-    AArch64_ORNWrr	= 1151,
-    AArch64_ORNWrs	= 1152,
-    AArch64_ORNXrr	= 1153,
-    AArch64_ORNXrs	= 1154,
-    AArch64_ORNv16i8	= 1155,
-    AArch64_ORNv8i8	= 1156,
-    AArch64_ORRWri	= 1157,
-    AArch64_ORRWrr	= 1158,
-    AArch64_ORRWrs	= 1159,
-    AArch64_ORRXri	= 1160,
-    AArch64_ORRXrr	= 1161,
-    AArch64_ORRXrs	= 1162,
-    AArch64_ORRv16i8	= 1163,
-    AArch64_ORRv2i32	= 1164,
-    AArch64_ORRv4i16	= 1165,
-    AArch64_ORRv4i32	= 1166,
-    AArch64_ORRv8i16	= 1167,
-    AArch64_ORRv8i8	= 1168,
-    AArch64_PMULLv16i8	= 1169,
-    AArch64_PMULLv1i64	= 1170,
-    AArch64_PMULLv2i64	= 1171,
-    AArch64_PMULLv8i8	= 1172,
-    AArch64_PMULv16i8	= 1173,
-    AArch64_PMULv8i8	= 1174,
-    AArch64_PRFMl	= 1175,
-    AArch64_PRFMroW	= 1176,
-    AArch64_PRFMroX	= 1177,
-    AArch64_PRFMui	= 1178,
-    AArch64_PRFUMi	= 1179,
-    AArch64_RADDHNv2i64_v2i32	= 1180,
-    AArch64_RADDHNv2i64_v4i32	= 1181,
-    AArch64_RADDHNv4i32_v4i16	= 1182,
-    AArch64_RADDHNv4i32_v8i16	= 1183,
-    AArch64_RADDHNv8i16_v16i8	= 1184,
-    AArch64_RADDHNv8i16_v8i8	= 1185,
-    AArch64_RBITWr	= 1186,
-    AArch64_RBITXr	= 1187,
-    AArch64_RBITv16i8	= 1188,
-    AArch64_RBITv8i8	= 1189,
-    AArch64_RET	= 1190,
-    AArch64_RET_ReallyLR	= 1191,
-    AArch64_REV16Wr	= 1192,
-    AArch64_REV16Xr	= 1193,
-    AArch64_REV16v16i8	= 1194,
-    AArch64_REV16v8i8	= 1195,
-    AArch64_REV32Xr	= 1196,
-    AArch64_REV32v16i8	= 1197,
-    AArch64_REV32v4i16	= 1198,
-    AArch64_REV32v8i16	= 1199,
-    AArch64_REV32v8i8	= 1200,
-    AArch64_REV64v16i8	= 1201,
-    AArch64_REV64v2i32	= 1202,
-    AArch64_REV64v4i16	= 1203,
-    AArch64_REV64v4i32	= 1204,
-    AArch64_REV64v8i16	= 1205,
-    AArch64_REV64v8i8	= 1206,
-    AArch64_REVWr	= 1207,
-    AArch64_REVXr	= 1208,
-    AArch64_RORVWr	= 1209,
-    AArch64_RORVXr	= 1210,
-    AArch64_RSHRNv16i8_shift	= 1211,
-    AArch64_RSHRNv2i32_shift	= 1212,
-    AArch64_RSHRNv4i16_shift	= 1213,
-    AArch64_RSHRNv4i32_shift	= 1214,
-    AArch64_RSHRNv8i16_shift	= 1215,
-    AArch64_RSHRNv8i8_shift	= 1216,
-    AArch64_RSUBHNv2i64_v2i32	= 1217,
-    AArch64_RSUBHNv2i64_v4i32	= 1218,
-    AArch64_RSUBHNv4i32_v4i16	= 1219,
-    AArch64_RSUBHNv4i32_v8i16	= 1220,
-    AArch64_RSUBHNv8i16_v16i8	= 1221,
-    AArch64_RSUBHNv8i16_v8i8	= 1222,
-    AArch64_SABALv16i8_v8i16	= 1223,
-    AArch64_SABALv2i32_v2i64	= 1224,
-    AArch64_SABALv4i16_v4i32	= 1225,
-    AArch64_SABALv4i32_v2i64	= 1226,
-    AArch64_SABALv8i16_v4i32	= 1227,
-    AArch64_SABALv8i8_v8i16	= 1228,
-    AArch64_SABAv16i8	= 1229,
-    AArch64_SABAv2i32	= 1230,
-    AArch64_SABAv4i16	= 1231,
-    AArch64_SABAv4i32	= 1232,
-    AArch64_SABAv8i16	= 1233,
-    AArch64_SABAv8i8	= 1234,
-    AArch64_SABDLv16i8_v8i16	= 1235,
-    AArch64_SABDLv2i32_v2i64	= 1236,
-    AArch64_SABDLv4i16_v4i32	= 1237,
-    AArch64_SABDLv4i32_v2i64	= 1238,
-    AArch64_SABDLv8i16_v4i32	= 1239,
-    AArch64_SABDLv8i8_v8i16	= 1240,
-    AArch64_SABDv16i8	= 1241,
-    AArch64_SABDv2i32	= 1242,
-    AArch64_SABDv4i16	= 1243,
-    AArch64_SABDv4i32	= 1244,
-    AArch64_SABDv8i16	= 1245,
-    AArch64_SABDv8i8	= 1246,
-    AArch64_SADALPv16i8_v8i16	= 1247,
-    AArch64_SADALPv2i32_v1i64	= 1248,
-    AArch64_SADALPv4i16_v2i32	= 1249,
-    AArch64_SADALPv4i32_v2i64	= 1250,
-    AArch64_SADALPv8i16_v4i32	= 1251,
-    AArch64_SADALPv8i8_v4i16	= 1252,
-    AArch64_SADDLPv16i8_v8i16	= 1253,
-    AArch64_SADDLPv2i32_v1i64	= 1254,
-    AArch64_SADDLPv4i16_v2i32	= 1255,
-    AArch64_SADDLPv4i32_v2i64	= 1256,
-    AArch64_SADDLPv8i16_v4i32	= 1257,
-    AArch64_SADDLPv8i8_v4i16	= 1258,
-    AArch64_SADDLVv16i8v	= 1259,
-    AArch64_SADDLVv4i16v	= 1260,
-    AArch64_SADDLVv4i32v	= 1261,
-    AArch64_SADDLVv8i16v	= 1262,
-    AArch64_SADDLVv8i8v	= 1263,
-    AArch64_SADDLv16i8_v8i16	= 1264,
-    AArch64_SADDLv2i32_v2i64	= 1265,
-    AArch64_SADDLv4i16_v4i32	= 1266,
-    AArch64_SADDLv4i32_v2i64	= 1267,
-    AArch64_SADDLv8i16_v4i32	= 1268,
-    AArch64_SADDLv8i8_v8i16	= 1269,
-    AArch64_SADDWv16i8_v8i16	= 1270,
-    AArch64_SADDWv2i32_v2i64	= 1271,
-    AArch64_SADDWv4i16_v4i32	= 1272,
-    AArch64_SADDWv4i32_v2i64	= 1273,
-    AArch64_SADDWv8i16_v4i32	= 1274,
-    AArch64_SADDWv8i8_v8i16	= 1275,
-    AArch64_SBCSWr	= 1276,
-    AArch64_SBCSXr	= 1277,
-    AArch64_SBCWr	= 1278,
-    AArch64_SBCXr	= 1279,
-    AArch64_SBFMWri	= 1280,
-    AArch64_SBFMXri	= 1281,
-    AArch64_SCVTFSWDri	= 1282,
-    AArch64_SCVTFSWSri	= 1283,
-    AArch64_SCVTFSXDri	= 1284,
-    AArch64_SCVTFSXSri	= 1285,
-    AArch64_SCVTFUWDri	= 1286,
-    AArch64_SCVTFUWSri	= 1287,
-    AArch64_SCVTFUXDri	= 1288,
-    AArch64_SCVTFUXSri	= 1289,
-    AArch64_SCVTFd	= 1290,
-    AArch64_SCVTFs	= 1291,
-    AArch64_SCVTFv1i32	= 1292,
-    AArch64_SCVTFv1i64	= 1293,
-    AArch64_SCVTFv2f32	= 1294,
-    AArch64_SCVTFv2f64	= 1295,
-    AArch64_SCVTFv2i32_shift	= 1296,
-    AArch64_SCVTFv2i64_shift	= 1297,
-    AArch64_SCVTFv4f32	= 1298,
-    AArch64_SCVTFv4i32_shift	= 1299,
-    AArch64_SDIVWr	= 1300,
-    AArch64_SDIVXr	= 1301,
-    AArch64_SDIV_IntWr	= 1302,
-    AArch64_SDIV_IntXr	= 1303,
-    AArch64_SHA1Crrr	= 1304,
-    AArch64_SHA1Hrr	= 1305,
-    AArch64_SHA1Mrrr	= 1306,
-    AArch64_SHA1Prrr	= 1307,
-    AArch64_SHA1SU0rrr	= 1308,
-    AArch64_SHA1SU1rr	= 1309,
-    AArch64_SHA256H2rrr	= 1310,
-    AArch64_SHA256Hrrr	= 1311,
-    AArch64_SHA256SU0rr	= 1312,
-    AArch64_SHA256SU1rrr	= 1313,
-    AArch64_SHADDv16i8	= 1314,
-    AArch64_SHADDv2i32	= 1315,
-    AArch64_SHADDv4i16	= 1316,
-    AArch64_SHADDv4i32	= 1317,
-    AArch64_SHADDv8i16	= 1318,
-    AArch64_SHADDv8i8	= 1319,
-    AArch64_SHLLv16i8	= 1320,
-    AArch64_SHLLv2i32	= 1321,
-    AArch64_SHLLv4i16	= 1322,
-    AArch64_SHLLv4i32	= 1323,
-    AArch64_SHLLv8i16	= 1324,
-    AArch64_SHLLv8i8	= 1325,
-    AArch64_SHLd	= 1326,
-    AArch64_SHLv16i8_shift	= 1327,
-    AArch64_SHLv2i32_shift	= 1328,
-    AArch64_SHLv2i64_shift	= 1329,
-    AArch64_SHLv4i16_shift	= 1330,
-    AArch64_SHLv4i32_shift	= 1331,
-    AArch64_SHLv8i16_shift	= 1332,
-    AArch64_SHLv8i8_shift	= 1333,
-    AArch64_SHRNv16i8_shift	= 1334,
-    AArch64_SHRNv2i32_shift	= 1335,
-    AArch64_SHRNv4i16_shift	= 1336,
-    AArch64_SHRNv4i32_shift	= 1337,
-    AArch64_SHRNv8i16_shift	= 1338,
-    AArch64_SHRNv8i8_shift	= 1339,
-    AArch64_SHSUBv16i8	= 1340,
-    AArch64_SHSUBv2i32	= 1341,
-    AArch64_SHSUBv4i16	= 1342,
-    AArch64_SHSUBv4i32	= 1343,
-    AArch64_SHSUBv8i16	= 1344,
-    AArch64_SHSUBv8i8	= 1345,
-    AArch64_SLId	= 1346,
-    AArch64_SLIv16i8_shift	= 1347,
-    AArch64_SLIv2i32_shift	= 1348,
-    AArch64_SLIv2i64_shift	= 1349,
-    AArch64_SLIv4i16_shift	= 1350,
-    AArch64_SLIv4i32_shift	= 1351,
-    AArch64_SLIv8i16_shift	= 1352,
-    AArch64_SLIv8i8_shift	= 1353,
-    AArch64_SMADDLrrr	= 1354,
-    AArch64_SMAXPv16i8	= 1355,
-    AArch64_SMAXPv2i32	= 1356,
-    AArch64_SMAXPv4i16	= 1357,
-    AArch64_SMAXPv4i32	= 1358,
-    AArch64_SMAXPv8i16	= 1359,
-    AArch64_SMAXPv8i8	= 1360,
-    AArch64_SMAXVv16i8v	= 1361,
-    AArch64_SMAXVv4i16v	= 1362,
-    AArch64_SMAXVv4i32v	= 1363,
-    AArch64_SMAXVv8i16v	= 1364,
-    AArch64_SMAXVv8i8v	= 1365,
-    AArch64_SMAXv16i8	= 1366,
-    AArch64_SMAXv2i32	= 1367,
-    AArch64_SMAXv4i16	= 1368,
-    AArch64_SMAXv4i32	= 1369,
-    AArch64_SMAXv8i16	= 1370,
-    AArch64_SMAXv8i8	= 1371,
-    AArch64_SMC	= 1372,
-    AArch64_SMINPv16i8	= 1373,
-    AArch64_SMINPv2i32	= 1374,
-    AArch64_SMINPv4i16	= 1375,
-    AArch64_SMINPv4i32	= 1376,
-    AArch64_SMINPv8i16	= 1377,
-    AArch64_SMINPv8i8	= 1378,
-    AArch64_SMINVv16i8v	= 1379,
-    AArch64_SMINVv4i16v	= 1380,
-    AArch64_SMINVv4i32v	= 1381,
-    AArch64_SMINVv8i16v	= 1382,
-    AArch64_SMINVv8i8v	= 1383,
-    AArch64_SMINv16i8	= 1384,
-    AArch64_SMINv2i32	= 1385,
-    AArch64_SMINv4i16	= 1386,
-    AArch64_SMINv4i32	= 1387,
-    AArch64_SMINv8i16	= 1388,
-    AArch64_SMINv8i8	= 1389,
-    AArch64_SMLALv16i8_v8i16	= 1390,
-    AArch64_SMLALv2i32_indexed	= 1391,
-    AArch64_SMLALv2i32_v2i64	= 1392,
-    AArch64_SMLALv4i16_indexed	= 1393,
-    AArch64_SMLALv4i16_v4i32	= 1394,
-    AArch64_SMLALv4i32_indexed	= 1395,
-    AArch64_SMLALv4i32_v2i64	= 1396,
-    AArch64_SMLALv8i16_indexed	= 1397,
-    AArch64_SMLALv8i16_v4i32	= 1398,
-    AArch64_SMLALv8i8_v8i16	= 1399,
-    AArch64_SMLSLv16i8_v8i16	= 1400,
-    AArch64_SMLSLv2i32_indexed	= 1401,
-    AArch64_SMLSLv2i32_v2i64	= 1402,
-    AArch64_SMLSLv4i16_indexed	= 1403,
-    AArch64_SMLSLv4i16_v4i32	= 1404,
-    AArch64_SMLSLv4i32_indexed	= 1405,
-    AArch64_SMLSLv4i32_v2i64	= 1406,
-    AArch64_SMLSLv8i16_indexed	= 1407,
-    AArch64_SMLSLv8i16_v4i32	= 1408,
-    AArch64_SMLSLv8i8_v8i16	= 1409,
-    AArch64_SMOVvi16to32	= 1410,
-    AArch64_SMOVvi16to64	= 1411,
-    AArch64_SMOVvi32to64	= 1412,
-    AArch64_SMOVvi8to32	= 1413,
-    AArch64_SMOVvi8to64	= 1414,
-    AArch64_SMSUBLrrr	= 1415,
-    AArch64_SMULHrr	= 1416,
-    AArch64_SMULLv16i8_v8i16	= 1417,
-    AArch64_SMULLv2i32_indexed	= 1418,
-    AArch64_SMULLv2i32_v2i64	= 1419,
-    AArch64_SMULLv4i16_indexed	= 1420,
-    AArch64_SMULLv4i16_v4i32	= 1421,
-    AArch64_SMULLv4i32_indexed	= 1422,
-    AArch64_SMULLv4i32_v2i64	= 1423,
-    AArch64_SMULLv8i16_indexed	= 1424,
-    AArch64_SMULLv8i16_v4i32	= 1425,
-    AArch64_SMULLv8i8_v8i16	= 1426,
-    AArch64_SQABSv16i8	= 1427,
-    AArch64_SQABSv1i16	= 1428,
-    AArch64_SQABSv1i32	= 1429,
-    AArch64_SQABSv1i64	= 1430,
-    AArch64_SQABSv1i8	= 1431,
-    AArch64_SQABSv2i32	= 1432,
-    AArch64_SQABSv2i64	= 1433,
-    AArch64_SQABSv4i16	= 1434,
-    AArch64_SQABSv4i32	= 1435,
-    AArch64_SQABSv8i16	= 1436,
-    AArch64_SQABSv8i8	= 1437,
-    AArch64_SQADDv16i8	= 1438,
-    AArch64_SQADDv1i16	= 1439,
-    AArch64_SQADDv1i32	= 1440,
-    AArch64_SQADDv1i64	= 1441,
-    AArch64_SQADDv1i8	= 1442,
-    AArch64_SQADDv2i32	= 1443,
-    AArch64_SQADDv2i64	= 1444,
-    AArch64_SQADDv4i16	= 1445,
-    AArch64_SQADDv4i32	= 1446,
-    AArch64_SQADDv8i16	= 1447,
-    AArch64_SQADDv8i8	= 1448,
-    AArch64_SQDMLALi16	= 1449,
-    AArch64_SQDMLALi32	= 1450,
-    AArch64_SQDMLALv1i32_indexed	= 1451,
-    AArch64_SQDMLALv1i64_indexed	= 1452,
-    AArch64_SQDMLALv2i32_indexed	= 1453,
-    AArch64_SQDMLALv2i32_v2i64	= 1454,
-    AArch64_SQDMLALv4i16_indexed	= 1455,
-    AArch64_SQDMLALv4i16_v4i32	= 1456,
-    AArch64_SQDMLALv4i32_indexed	= 1457,
-    AArch64_SQDMLALv4i32_v2i64	= 1458,
-    AArch64_SQDMLALv8i16_indexed	= 1459,
-    AArch64_SQDMLALv8i16_v4i32	= 1460,
-    AArch64_SQDMLSLi16	= 1461,
-    AArch64_SQDMLSLi32	= 1462,
-    AArch64_SQDMLSLv1i32_indexed	= 1463,
-    AArch64_SQDMLSLv1i64_indexed	= 1464,
-    AArch64_SQDMLSLv2i32_indexed	= 1465,
-    AArch64_SQDMLSLv2i32_v2i64	= 1466,
-    AArch64_SQDMLSLv4i16_indexed	= 1467,
-    AArch64_SQDMLSLv4i16_v4i32	= 1468,
-    AArch64_SQDMLSLv4i32_indexed	= 1469,
-    AArch64_SQDMLSLv4i32_v2i64	= 1470,
-    AArch64_SQDMLSLv8i16_indexed	= 1471,
-    AArch64_SQDMLSLv8i16_v4i32	= 1472,
-    AArch64_SQDMULHv1i16	= 1473,
-    AArch64_SQDMULHv1i16_indexed	= 1474,
-    AArch64_SQDMULHv1i32	= 1475,
-    AArch64_SQDMULHv1i32_indexed	= 1476,
-    AArch64_SQDMULHv2i32	= 1477,
-    AArch64_SQDMULHv2i32_indexed	= 1478,
-    AArch64_SQDMULHv4i16	= 1479,
-    AArch64_SQDMULHv4i16_indexed	= 1480,
-    AArch64_SQDMULHv4i32	= 1481,
-    AArch64_SQDMULHv4i32_indexed	= 1482,
-    AArch64_SQDMULHv8i16	= 1483,
-    AArch64_SQDMULHv8i16_indexed	= 1484,
-    AArch64_SQDMULLi16	= 1485,
-    AArch64_SQDMULLi32	= 1486,
-    AArch64_SQDMULLv1i32_indexed	= 1487,
-    AArch64_SQDMULLv1i64_indexed	= 1488,
-    AArch64_SQDMULLv2i32_indexed	= 1489,
-    AArch64_SQDMULLv2i32_v2i64	= 1490,
-    AArch64_SQDMULLv4i16_indexed	= 1491,
-    AArch64_SQDMULLv4i16_v4i32	= 1492,
-    AArch64_SQDMULLv4i32_indexed	= 1493,
-    AArch64_SQDMULLv4i32_v2i64	= 1494,
-    AArch64_SQDMULLv8i16_indexed	= 1495,
-    AArch64_SQDMULLv8i16_v4i32	= 1496,
-    AArch64_SQNEGv16i8	= 1497,
-    AArch64_SQNEGv1i16	= 1498,
-    AArch64_SQNEGv1i32	= 1499,
-    AArch64_SQNEGv1i64	= 1500,
-    AArch64_SQNEGv1i8	= 1501,
-    AArch64_SQNEGv2i32	= 1502,
-    AArch64_SQNEGv2i64	= 1503,
-    AArch64_SQNEGv4i16	= 1504,
-    AArch64_SQNEGv4i32	= 1505,
-    AArch64_SQNEGv8i16	= 1506,
-    AArch64_SQNEGv8i8	= 1507,
-    AArch64_SQRDMULHv1i16	= 1508,
-    AArch64_SQRDMULHv1i16_indexed	= 1509,
-    AArch64_SQRDMULHv1i32	= 1510,
-    AArch64_SQRDMULHv1i32_indexed	= 1511,
-    AArch64_SQRDMULHv2i32	= 1512,
-    AArch64_SQRDMULHv2i32_indexed	= 1513,
-    AArch64_SQRDMULHv4i16	= 1514,
-    AArch64_SQRDMULHv4i16_indexed	= 1515,
-    AArch64_SQRDMULHv4i32	= 1516,
-    AArch64_SQRDMULHv4i32_indexed	= 1517,
-    AArch64_SQRDMULHv8i16	= 1518,
-    AArch64_SQRDMULHv8i16_indexed	= 1519,
-    AArch64_SQRSHLv16i8	= 1520,
-    AArch64_SQRSHLv1i16	= 1521,
-    AArch64_SQRSHLv1i32	= 1522,
-    AArch64_SQRSHLv1i64	= 1523,
-    AArch64_SQRSHLv1i8	= 1524,
-    AArch64_SQRSHLv2i32	= 1525,
-    AArch64_SQRSHLv2i64	= 1526,
-    AArch64_SQRSHLv4i16	= 1527,
-    AArch64_SQRSHLv4i32	= 1528,
-    AArch64_SQRSHLv8i16	= 1529,
-    AArch64_SQRSHLv8i8	= 1530,
-    AArch64_SQRSHRNb	= 1531,
-    AArch64_SQRSHRNh	= 1532,
-    AArch64_SQRSHRNs	= 1533,
-    AArch64_SQRSHRNv16i8_shift	= 1534,
-    AArch64_SQRSHRNv2i32_shift	= 1535,
-    AArch64_SQRSHRNv4i16_shift	= 1536,
-    AArch64_SQRSHRNv4i32_shift	= 1537,
-    AArch64_SQRSHRNv8i16_shift	= 1538,
-    AArch64_SQRSHRNv8i8_shift	= 1539,
-    AArch64_SQRSHRUNb	= 1540,
-    AArch64_SQRSHRUNh	= 1541,
-    AArch64_SQRSHRUNs	= 1542,
-    AArch64_SQRSHRUNv16i8_shift	= 1543,
-    AArch64_SQRSHRUNv2i32_shift	= 1544,
-    AArch64_SQRSHRUNv4i16_shift	= 1545,
-    AArch64_SQRSHRUNv4i32_shift	= 1546,
-    AArch64_SQRSHRUNv8i16_shift	= 1547,
-    AArch64_SQRSHRUNv8i8_shift	= 1548,
-    AArch64_SQSHLUb	= 1549,
-    AArch64_SQSHLUd	= 1550,
-    AArch64_SQSHLUh	= 1551,
-    AArch64_SQSHLUs	= 1552,
-    AArch64_SQSHLUv16i8_shift	= 1553,
-    AArch64_SQSHLUv2i32_shift	= 1554,
-    AArch64_SQSHLUv2i64_shift	= 1555,
-    AArch64_SQSHLUv4i16_shift	= 1556,
-    AArch64_SQSHLUv4i32_shift	= 1557,
-    AArch64_SQSHLUv8i16_shift	= 1558,
-    AArch64_SQSHLUv8i8_shift	= 1559,
-    AArch64_SQSHLb	= 1560,
-    AArch64_SQSHLd	= 1561,
-    AArch64_SQSHLh	= 1562,
-    AArch64_SQSHLs	= 1563,
-    AArch64_SQSHLv16i8	= 1564,
-    AArch64_SQSHLv16i8_shift	= 1565,
-    AArch64_SQSHLv1i16	= 1566,
-    AArch64_SQSHLv1i32	= 1567,
-    AArch64_SQSHLv1i64	= 1568,
-    AArch64_SQSHLv1i8	= 1569,
-    AArch64_SQSHLv2i32	= 1570,
-    AArch64_SQSHLv2i32_shift	= 1571,
-    AArch64_SQSHLv2i64	= 1572,
-    AArch64_SQSHLv2i64_shift	= 1573,
-    AArch64_SQSHLv4i16	= 1574,
-    AArch64_SQSHLv4i16_shift	= 1575,
-    AArch64_SQSHLv4i32	= 1576,
-    AArch64_SQSHLv4i32_shift	= 1577,
-    AArch64_SQSHLv8i16	= 1578,
-    AArch64_SQSHLv8i16_shift	= 1579,
-    AArch64_SQSHLv8i8	= 1580,
-    AArch64_SQSHLv8i8_shift	= 1581,
-    AArch64_SQSHRNb	= 1582,
-    AArch64_SQSHRNh	= 1583,
-    AArch64_SQSHRNs	= 1584,
-    AArch64_SQSHRNv16i8_shift	= 1585,
-    AArch64_SQSHRNv2i32_shift	= 1586,
-    AArch64_SQSHRNv4i16_shift	= 1587,
-    AArch64_SQSHRNv4i32_shift	= 1588,
-    AArch64_SQSHRNv8i16_shift	= 1589,
-    AArch64_SQSHRNv8i8_shift	= 1590,
-    AArch64_SQSHRUNb	= 1591,
-    AArch64_SQSHRUNh	= 1592,
-    AArch64_SQSHRUNs	= 1593,
-    AArch64_SQSHRUNv16i8_shift	= 1594,
-    AArch64_SQSHRUNv2i32_shift	= 1595,
-    AArch64_SQSHRUNv4i16_shift	= 1596,
-    AArch64_SQSHRUNv4i32_shift	= 1597,
-    AArch64_SQSHRUNv8i16_shift	= 1598,
-    AArch64_SQSHRUNv8i8_shift	= 1599,
-    AArch64_SQSUBv16i8	= 1600,
-    AArch64_SQSUBv1i16	= 1601,
-    AArch64_SQSUBv1i32	= 1602,
-    AArch64_SQSUBv1i64	= 1603,
-    AArch64_SQSUBv1i8	= 1604,
-    AArch64_SQSUBv2i32	= 1605,
-    AArch64_SQSUBv2i64	= 1606,
-    AArch64_SQSUBv4i16	= 1607,
-    AArch64_SQSUBv4i32	= 1608,
-    AArch64_SQSUBv8i16	= 1609,
-    AArch64_SQSUBv8i8	= 1610,
-    AArch64_SQXTNv16i8	= 1611,
-    AArch64_SQXTNv1i16	= 1612,
-    AArch64_SQXTNv1i32	= 1613,
-    AArch64_SQXTNv1i8	= 1614,
-    AArch64_SQXTNv2i32	= 1615,
-    AArch64_SQXTNv4i16	= 1616,
-    AArch64_SQXTNv4i32	= 1617,
-    AArch64_SQXTNv8i16	= 1618,
-    AArch64_SQXTNv8i8	= 1619,
-    AArch64_SQXTUNv16i8	= 1620,
-    AArch64_SQXTUNv1i16	= 1621,
-    AArch64_SQXTUNv1i32	= 1622,
-    AArch64_SQXTUNv1i8	= 1623,
-    AArch64_SQXTUNv2i32	= 1624,
-    AArch64_SQXTUNv4i16	= 1625,
-    AArch64_SQXTUNv4i32	= 1626,
-    AArch64_SQXTUNv8i16	= 1627,
-    AArch64_SQXTUNv8i8	= 1628,
-    AArch64_SRHADDv16i8	= 1629,
-    AArch64_SRHADDv2i32	= 1630,
-    AArch64_SRHADDv4i16	= 1631,
-    AArch64_SRHADDv4i32	= 1632,
-    AArch64_SRHADDv8i16	= 1633,
-    AArch64_SRHADDv8i8	= 1634,
-    AArch64_SRId	= 1635,
-    AArch64_SRIv16i8_shift	= 1636,
-    AArch64_SRIv2i32_shift	= 1637,
-    AArch64_SRIv2i64_shift	= 1638,
-    AArch64_SRIv4i16_shift	= 1639,
-    AArch64_SRIv4i32_shift	= 1640,
-    AArch64_SRIv8i16_shift	= 1641,
-    AArch64_SRIv8i8_shift	= 1642,
-    AArch64_SRSHLv16i8	= 1643,
-    AArch64_SRSHLv1i64	= 1644,
-    AArch64_SRSHLv2i32	= 1645,
-    AArch64_SRSHLv2i64	= 1646,
-    AArch64_SRSHLv4i16	= 1647,
-    AArch64_SRSHLv4i32	= 1648,
-    AArch64_SRSHLv8i16	= 1649,
-    AArch64_SRSHLv8i8	= 1650,
-    AArch64_SRSHRd	= 1651,
-    AArch64_SRSHRv16i8_shift	= 1652,
-    AArch64_SRSHRv2i32_shift	= 1653,
-    AArch64_SRSHRv2i64_shift	= 1654,
-    AArch64_SRSHRv4i16_shift	= 1655,
-    AArch64_SRSHRv4i32_shift	= 1656,
-    AArch64_SRSHRv8i16_shift	= 1657,
-    AArch64_SRSHRv8i8_shift	= 1658,
-    AArch64_SRSRAd	= 1659,
-    AArch64_SRSRAv16i8_shift	= 1660,
-    AArch64_SRSRAv2i32_shift	= 1661,
-    AArch64_SRSRAv2i64_shift	= 1662,
-    AArch64_SRSRAv4i16_shift	= 1663,
-    AArch64_SRSRAv4i32_shift	= 1664,
-    AArch64_SRSRAv8i16_shift	= 1665,
-    AArch64_SRSRAv8i8_shift	= 1666,
-    AArch64_SSHLLv16i8_shift	= 1667,
-    AArch64_SSHLLv2i32_shift	= 1668,
-    AArch64_SSHLLv4i16_shift	= 1669,
-    AArch64_SSHLLv4i32_shift	= 1670,
-    AArch64_SSHLLv8i16_shift	= 1671,
-    AArch64_SSHLLv8i8_shift	= 1672,
-    AArch64_SSHLv16i8	= 1673,
-    AArch64_SSHLv1i64	= 1674,
-    AArch64_SSHLv2i32	= 1675,
-    AArch64_SSHLv2i64	= 1676,
-    AArch64_SSHLv4i16	= 1677,
-    AArch64_SSHLv4i32	= 1678,
-    AArch64_SSHLv8i16	= 1679,
-    AArch64_SSHLv8i8	= 1680,
-    AArch64_SSHRd	= 1681,
-    AArch64_SSHRv16i8_shift	= 1682,
-    AArch64_SSHRv2i32_shift	= 1683,
-    AArch64_SSHRv2i64_shift	= 1684,
-    AArch64_SSHRv4i16_shift	= 1685,
-    AArch64_SSHRv4i32_shift	= 1686,
-    AArch64_SSHRv8i16_shift	= 1687,
-    AArch64_SSHRv8i8_shift	= 1688,
-    AArch64_SSRAd	= 1689,
-    AArch64_SSRAv16i8_shift	= 1690,
-    AArch64_SSRAv2i32_shift	= 1691,
-    AArch64_SSRAv2i64_shift	= 1692,
-    AArch64_SSRAv4i16_shift	= 1693,
-    AArch64_SSRAv4i32_shift	= 1694,
-    AArch64_SSRAv8i16_shift	= 1695,
-    AArch64_SSRAv8i8_shift	= 1696,
-    AArch64_SSUBLv16i8_v8i16	= 1697,
-    AArch64_SSUBLv2i32_v2i64	= 1698,
-    AArch64_SSUBLv4i16_v4i32	= 1699,
-    AArch64_SSUBLv4i32_v2i64	= 1700,
-    AArch64_SSUBLv8i16_v4i32	= 1701,
-    AArch64_SSUBLv8i8_v8i16	= 1702,
-    AArch64_SSUBWv16i8_v8i16	= 1703,
-    AArch64_SSUBWv2i32_v2i64	= 1704,
-    AArch64_SSUBWv4i16_v4i32	= 1705,
-    AArch64_SSUBWv4i32_v2i64	= 1706,
-    AArch64_SSUBWv8i16_v4i32	= 1707,
-    AArch64_SSUBWv8i8_v8i16	= 1708,
-    AArch64_ST1Fourv16b	= 1709,
-    AArch64_ST1Fourv16b_POST	= 1710,
-    AArch64_ST1Fourv1d	= 1711,
-    AArch64_ST1Fourv1d_POST	= 1712,
-    AArch64_ST1Fourv2d	= 1713,
-    AArch64_ST1Fourv2d_POST	= 1714,
-    AArch64_ST1Fourv2s	= 1715,
-    AArch64_ST1Fourv2s_POST	= 1716,
-    AArch64_ST1Fourv4h	= 1717,
-    AArch64_ST1Fourv4h_POST	= 1718,
-    AArch64_ST1Fourv4s	= 1719,
-    AArch64_ST1Fourv4s_POST	= 1720,
-    AArch64_ST1Fourv8b	= 1721,
-    AArch64_ST1Fourv8b_POST	= 1722,
-    AArch64_ST1Fourv8h	= 1723,
-    AArch64_ST1Fourv8h_POST	= 1724,
-    AArch64_ST1Onev16b	= 1725,
-    AArch64_ST1Onev16b_POST	= 1726,
-    AArch64_ST1Onev1d	= 1727,
-    AArch64_ST1Onev1d_POST	= 1728,
-    AArch64_ST1Onev2d	= 1729,
-    AArch64_ST1Onev2d_POST	= 1730,
-    AArch64_ST1Onev2s	= 1731,
-    AArch64_ST1Onev2s_POST	= 1732,
-    AArch64_ST1Onev4h	= 1733,
-    AArch64_ST1Onev4h_POST	= 1734,
-    AArch64_ST1Onev4s	= 1735,
-    AArch64_ST1Onev4s_POST	= 1736,
-    AArch64_ST1Onev8b	= 1737,
-    AArch64_ST1Onev8b_POST	= 1738,
-    AArch64_ST1Onev8h	= 1739,
-    AArch64_ST1Onev8h_POST	= 1740,
-    AArch64_ST1Threev16b	= 1741,
-    AArch64_ST1Threev16b_POST	= 1742,
-    AArch64_ST1Threev1d	= 1743,
-    AArch64_ST1Threev1d_POST	= 1744,
-    AArch64_ST1Threev2d	= 1745,
-    AArch64_ST1Threev2d_POST	= 1746,
-    AArch64_ST1Threev2s	= 1747,
-    AArch64_ST1Threev2s_POST	= 1748,
-    AArch64_ST1Threev4h	= 1749,
-    AArch64_ST1Threev4h_POST	= 1750,
-    AArch64_ST1Threev4s	= 1751,
-    AArch64_ST1Threev4s_POST	= 1752,
-    AArch64_ST1Threev8b	= 1753,
-    AArch64_ST1Threev8b_POST	= 1754,
-    AArch64_ST1Threev8h	= 1755,
-    AArch64_ST1Threev8h_POST	= 1756,
-    AArch64_ST1Twov16b	= 1757,
-    AArch64_ST1Twov16b_POST	= 1758,
-    AArch64_ST1Twov1d	= 1759,
-    AArch64_ST1Twov1d_POST	= 1760,
-    AArch64_ST1Twov2d	= 1761,
-    AArch64_ST1Twov2d_POST	= 1762,
-    AArch64_ST1Twov2s	= 1763,
-    AArch64_ST1Twov2s_POST	= 1764,
-    AArch64_ST1Twov4h	= 1765,
-    AArch64_ST1Twov4h_POST	= 1766,
-    AArch64_ST1Twov4s	= 1767,
-    AArch64_ST1Twov4s_POST	= 1768,
-    AArch64_ST1Twov8b	= 1769,
-    AArch64_ST1Twov8b_POST	= 1770,
-    AArch64_ST1Twov8h	= 1771,
-    AArch64_ST1Twov8h_POST	= 1772,
-    AArch64_ST1i16	= 1773,
-    AArch64_ST1i16_POST	= 1774,
-    AArch64_ST1i32	= 1775,
-    AArch64_ST1i32_POST	= 1776,
-    AArch64_ST1i64	= 1777,
-    AArch64_ST1i64_POST	= 1778,
-    AArch64_ST1i8	= 1779,
-    AArch64_ST1i8_POST	= 1780,
-    AArch64_ST2Twov16b	= 1781,
-    AArch64_ST2Twov16b_POST	= 1782,
-    AArch64_ST2Twov2d	= 1783,
-    AArch64_ST2Twov2d_POST	= 1784,
-    AArch64_ST2Twov2s	= 1785,
-    AArch64_ST2Twov2s_POST	= 1786,
-    AArch64_ST2Twov4h	= 1787,
-    AArch64_ST2Twov4h_POST	= 1788,
-    AArch64_ST2Twov4s	= 1789,
-    AArch64_ST2Twov4s_POST	= 1790,
-    AArch64_ST2Twov8b	= 1791,
-    AArch64_ST2Twov8b_POST	= 1792,
-    AArch64_ST2Twov8h	= 1793,
-    AArch64_ST2Twov8h_POST	= 1794,
-    AArch64_ST2i16	= 1795,
-    AArch64_ST2i16_POST	= 1796,
-    AArch64_ST2i32	= 1797,
-    AArch64_ST2i32_POST	= 1798,
-    AArch64_ST2i64	= 1799,
-    AArch64_ST2i64_POST	= 1800,
-    AArch64_ST2i8	= 1801,
-    AArch64_ST2i8_POST	= 1802,
-    AArch64_ST3Threev16b	= 1803,
-    AArch64_ST3Threev16b_POST	= 1804,
-    AArch64_ST3Threev2d	= 1805,
-    AArch64_ST3Threev2d_POST	= 1806,
-    AArch64_ST3Threev2s	= 1807,
-    AArch64_ST3Threev2s_POST	= 1808,
-    AArch64_ST3Threev4h	= 1809,
-    AArch64_ST3Threev4h_POST	= 1810,
-    AArch64_ST3Threev4s	= 1811,
-    AArch64_ST3Threev4s_POST	= 1812,
-    AArch64_ST3Threev8b	= 1813,
-    AArch64_ST3Threev8b_POST	= 1814,
-    AArch64_ST3Threev8h	= 1815,
-    AArch64_ST3Threev8h_POST	= 1816,
-    AArch64_ST3i16	= 1817,
-    AArch64_ST3i16_POST	= 1818,
-    AArch64_ST3i32	= 1819,
-    AArch64_ST3i32_POST	= 1820,
-    AArch64_ST3i64	= 1821,
-    AArch64_ST3i64_POST	= 1822,
-    AArch64_ST3i8	= 1823,
-    AArch64_ST3i8_POST	= 1824,
-    AArch64_ST4Fourv16b	= 1825,
-    AArch64_ST4Fourv16b_POST	= 1826,
-    AArch64_ST4Fourv2d	= 1827,
-    AArch64_ST4Fourv2d_POST	= 1828,
-    AArch64_ST4Fourv2s	= 1829,
-    AArch64_ST4Fourv2s_POST	= 1830,
-    AArch64_ST4Fourv4h	= 1831,
-    AArch64_ST4Fourv4h_POST	= 1832,
-    AArch64_ST4Fourv4s	= 1833,
-    AArch64_ST4Fourv4s_POST	= 1834,
-    AArch64_ST4Fourv8b	= 1835,
-    AArch64_ST4Fourv8b_POST	= 1836,
-    AArch64_ST4Fourv8h	= 1837,
-    AArch64_ST4Fourv8h_POST	= 1838,
-    AArch64_ST4i16	= 1839,
-    AArch64_ST4i16_POST	= 1840,
-    AArch64_ST4i32	= 1841,
-    AArch64_ST4i32_POST	= 1842,
-    AArch64_ST4i64	= 1843,
-    AArch64_ST4i64_POST	= 1844,
-    AArch64_ST4i8	= 1845,
-    AArch64_ST4i8_POST	= 1846,
-    AArch64_STLRB	= 1847,
-    AArch64_STLRH	= 1848,
-    AArch64_STLRW	= 1849,
-    AArch64_STLRX	= 1850,
-    AArch64_STLXPW	= 1851,
-    AArch64_STLXPX	= 1852,
-    AArch64_STLXRB	= 1853,
-    AArch64_STLXRH	= 1854,
-    AArch64_STLXRW	= 1855,
-    AArch64_STLXRX	= 1856,
-    AArch64_STNPDi	= 1857,
-    AArch64_STNPQi	= 1858,
-    AArch64_STNPSi	= 1859,
-    AArch64_STNPWi	= 1860,
-    AArch64_STNPXi	= 1861,
-    AArch64_STPDi	= 1862,
-    AArch64_STPDpost	= 1863,
-    AArch64_STPDpre	= 1864,
-    AArch64_STPQi	= 1865,
-    AArch64_STPQpost	= 1866,
-    AArch64_STPQpre	= 1867,
-    AArch64_STPSi	= 1868,
-    AArch64_STPSpost	= 1869,
-    AArch64_STPSpre	= 1870,
-    AArch64_STPWi	= 1871,
-    AArch64_STPWpost	= 1872,
-    AArch64_STPWpre	= 1873,
-    AArch64_STPXi	= 1874,
-    AArch64_STPXpost	= 1875,
-    AArch64_STPXpre	= 1876,
-    AArch64_STRBBpost	= 1877,
-    AArch64_STRBBpre	= 1878,
-    AArch64_STRBBroW	= 1879,
-    AArch64_STRBBroX	= 1880,
-    AArch64_STRBBui	= 1881,
-    AArch64_STRBpost	= 1882,
-    AArch64_STRBpre	= 1883,
-    AArch64_STRBroW	= 1884,
-    AArch64_STRBroX	= 1885,
-    AArch64_STRBui	= 1886,
-    AArch64_STRDpost	= 1887,
-    AArch64_STRDpre	= 1888,
-    AArch64_STRDroW	= 1889,
-    AArch64_STRDroX	= 1890,
-    AArch64_STRDui	= 1891,
-    AArch64_STRHHpost	= 1892,
-    AArch64_STRHHpre	= 1893,
-    AArch64_STRHHroW	= 1894,
-    AArch64_STRHHroX	= 1895,
-    AArch64_STRHHui	= 1896,
-    AArch64_STRHpost	= 1897,
-    AArch64_STRHpre	= 1898,
-    AArch64_STRHroW	= 1899,
-    AArch64_STRHroX	= 1900,
-    AArch64_STRHui	= 1901,
-    AArch64_STRQpost	= 1902,
-    AArch64_STRQpre	= 1903,
-    AArch64_STRQroW	= 1904,
-    AArch64_STRQroX	= 1905,
-    AArch64_STRQui	= 1906,
-    AArch64_STRSpost	= 1907,
-    AArch64_STRSpre	= 1908,
-    AArch64_STRSroW	= 1909,
-    AArch64_STRSroX	= 1910,
-    AArch64_STRSui	= 1911,
-    AArch64_STRWpost	= 1912,
-    AArch64_STRWpre	= 1913,
-    AArch64_STRWroW	= 1914,
-    AArch64_STRWroX	= 1915,
-    AArch64_STRWui	= 1916,
-    AArch64_STRXpost	= 1917,
-    AArch64_STRXpre	= 1918,
-    AArch64_STRXroW	= 1919,
-    AArch64_STRXroX	= 1920,
-    AArch64_STRXui	= 1921,
-    AArch64_STTRBi	= 1922,
-    AArch64_STTRHi	= 1923,
-    AArch64_STTRWi	= 1924,
-    AArch64_STTRXi	= 1925,
-    AArch64_STURBBi	= 1926,
-    AArch64_STURBi	= 1927,
-    AArch64_STURDi	= 1928,
-    AArch64_STURHHi	= 1929,
-    AArch64_STURHi	= 1930,
-    AArch64_STURQi	= 1931,
-    AArch64_STURSi	= 1932,
-    AArch64_STURWi	= 1933,
-    AArch64_STURXi	= 1934,
-    AArch64_STXPW	= 1935,
-    AArch64_STXPX	= 1936,
-    AArch64_STXRB	= 1937,
-    AArch64_STXRH	= 1938,
-    AArch64_STXRW	= 1939,
-    AArch64_STXRX	= 1940,
-    AArch64_SUBHNv2i64_v2i32	= 1941,
-    AArch64_SUBHNv2i64_v4i32	= 1942,
-    AArch64_SUBHNv4i32_v4i16	= 1943,
-    AArch64_SUBHNv4i32_v8i16	= 1944,
-    AArch64_SUBHNv8i16_v16i8	= 1945,
-    AArch64_SUBHNv8i16_v8i8	= 1946,
-    AArch64_SUBSWri	= 1947,
-    AArch64_SUBSWrr	= 1948,
-    AArch64_SUBSWrs	= 1949,
-    AArch64_SUBSWrx	= 1950,
-    AArch64_SUBSXri	= 1951,
-    AArch64_SUBSXrr	= 1952,
-    AArch64_SUBSXrs	= 1953,
-    AArch64_SUBSXrx	= 1954,
-    AArch64_SUBSXrx64	= 1955,
-    AArch64_SUBWri	= 1956,
-    AArch64_SUBWrr	= 1957,
-    AArch64_SUBWrs	= 1958,
-    AArch64_SUBWrx	= 1959,
-    AArch64_SUBXri	= 1960,
-    AArch64_SUBXrr	= 1961,
-    AArch64_SUBXrs	= 1962,
-    AArch64_SUBXrx	= 1963,
-    AArch64_SUBXrx64	= 1964,
-    AArch64_SUBv16i8	= 1965,
-    AArch64_SUBv1i64	= 1966,
-    AArch64_SUBv2i32	= 1967,
-    AArch64_SUBv2i64	= 1968,
-    AArch64_SUBv4i16	= 1969,
-    AArch64_SUBv4i32	= 1970,
-    AArch64_SUBv8i16	= 1971,
-    AArch64_SUBv8i8	= 1972,
-    AArch64_SUQADDv16i8	= 1973,
-    AArch64_SUQADDv1i16	= 1974,
-    AArch64_SUQADDv1i32	= 1975,
-    AArch64_SUQADDv1i64	= 1976,
-    AArch64_SUQADDv1i8	= 1977,
-    AArch64_SUQADDv2i32	= 1978,
-    AArch64_SUQADDv2i64	= 1979,
-    AArch64_SUQADDv4i16	= 1980,
-    AArch64_SUQADDv4i32	= 1981,
-    AArch64_SUQADDv8i16	= 1982,
-    AArch64_SUQADDv8i8	= 1983,
-    AArch64_SVC	= 1984,
-    AArch64_SYSLxt	= 1985,
-    AArch64_SYSxt	= 1986,
-    AArch64_TBLv16i8Four	= 1987,
-    AArch64_TBLv16i8One	= 1988,
-    AArch64_TBLv16i8Three	= 1989,
-    AArch64_TBLv16i8Two	= 1990,
-    AArch64_TBLv8i8Four	= 1991,
-    AArch64_TBLv8i8One	= 1992,
-    AArch64_TBLv8i8Three	= 1993,
-    AArch64_TBLv8i8Two	= 1994,
-    AArch64_TBNZW	= 1995,
-    AArch64_TBNZX	= 1996,
-    AArch64_TBXv16i8Four	= 1997,
-    AArch64_TBXv16i8One	= 1998,
-    AArch64_TBXv16i8Three	= 1999,
-    AArch64_TBXv16i8Two	= 2000,
-    AArch64_TBXv8i8Four	= 2001,
-    AArch64_TBXv8i8One	= 2002,
-    AArch64_TBXv8i8Three	= 2003,
-    AArch64_TBXv8i8Two	= 2004,
-    AArch64_TBZW	= 2005,
-    AArch64_TBZX	= 2006,
-    AArch64_TCRETURNdi	= 2007,
-    AArch64_TCRETURNri	= 2008,
-    AArch64_TLSDESCCALL	= 2009,
-    AArch64_TLSDESC_BLR	= 2010,
-    AArch64_TRN1v16i8	= 2011,
-    AArch64_TRN1v2i32	= 2012,
-    AArch64_TRN1v2i64	= 2013,
-    AArch64_TRN1v4i16	= 2014,
-    AArch64_TRN1v4i32	= 2015,
-    AArch64_TRN1v8i16	= 2016,
-    AArch64_TRN1v8i8	= 2017,
-    AArch64_TRN2v16i8	= 2018,
-    AArch64_TRN2v2i32	= 2019,
-    AArch64_TRN2v2i64	= 2020,
-    AArch64_TRN2v4i16	= 2021,
-    AArch64_TRN2v4i32	= 2022,
-    AArch64_TRN2v8i16	= 2023,
-    AArch64_TRN2v8i8	= 2024,
-    AArch64_UABALv16i8_v8i16	= 2025,
-    AArch64_UABALv2i32_v2i64	= 2026,
-    AArch64_UABALv4i16_v4i32	= 2027,
-    AArch64_UABALv4i32_v2i64	= 2028,
-    AArch64_UABALv8i16_v4i32	= 2029,
-    AArch64_UABALv8i8_v8i16	= 2030,
-    AArch64_UABAv16i8	= 2031,
-    AArch64_UABAv2i32	= 2032,
-    AArch64_UABAv4i16	= 2033,
-    AArch64_UABAv4i32	= 2034,
-    AArch64_UABAv8i16	= 2035,
-    AArch64_UABAv8i8	= 2036,
-    AArch64_UABDLv16i8_v8i16	= 2037,
-    AArch64_UABDLv2i32_v2i64	= 2038,
-    AArch64_UABDLv4i16_v4i32	= 2039,
-    AArch64_UABDLv4i32_v2i64	= 2040,
-    AArch64_UABDLv8i16_v4i32	= 2041,
-    AArch64_UABDLv8i8_v8i16	= 2042,
-    AArch64_UABDv16i8	= 2043,
-    AArch64_UABDv2i32	= 2044,
-    AArch64_UABDv4i16	= 2045,
-    AArch64_UABDv4i32	= 2046,
-    AArch64_UABDv8i16	= 2047,
-    AArch64_UABDv8i8	= 2048,
-    AArch64_UADALPv16i8_v8i16	= 2049,
-    AArch64_UADALPv2i32_v1i64	= 2050,
-    AArch64_UADALPv4i16_v2i32	= 2051,
-    AArch64_UADALPv4i32_v2i64	= 2052,
-    AArch64_UADALPv8i16_v4i32	= 2053,
-    AArch64_UADALPv8i8_v4i16	= 2054,
-    AArch64_UADDLPv16i8_v8i16	= 2055,
-    AArch64_UADDLPv2i32_v1i64	= 2056,
-    AArch64_UADDLPv4i16_v2i32	= 2057,
-    AArch64_UADDLPv4i32_v2i64	= 2058,
-    AArch64_UADDLPv8i16_v4i32	= 2059,
-    AArch64_UADDLPv8i8_v4i16	= 2060,
-    AArch64_UADDLVv16i8v	= 2061,
-    AArch64_UADDLVv4i16v	= 2062,
-    AArch64_UADDLVv4i32v	= 2063,
-    AArch64_UADDLVv8i16v	= 2064,
-    AArch64_UADDLVv8i8v	= 2065,
-    AArch64_UADDLv16i8_v8i16	= 2066,
-    AArch64_UADDLv2i32_v2i64	= 2067,
-    AArch64_UADDLv4i16_v4i32	= 2068,
-    AArch64_UADDLv4i32_v2i64	= 2069,
-    AArch64_UADDLv8i16_v4i32	= 2070,
-    AArch64_UADDLv8i8_v8i16	= 2071,
-    AArch64_UADDWv16i8_v8i16	= 2072,
-    AArch64_UADDWv2i32_v2i64	= 2073,
-    AArch64_UADDWv4i16_v4i32	= 2074,
-    AArch64_UADDWv4i32_v2i64	= 2075,
-    AArch64_UADDWv8i16_v4i32	= 2076,
-    AArch64_UADDWv8i8_v8i16	= 2077,
-    AArch64_UBFMWri	= 2078,
-    AArch64_UBFMXri	= 2079,
-    AArch64_UCVTFSWDri	= 2080,
-    AArch64_UCVTFSWSri	= 2081,
-    AArch64_UCVTFSXDri	= 2082,
-    AArch64_UCVTFSXSri	= 2083,
-    AArch64_UCVTFUWDri	= 2084,
-    AArch64_UCVTFUWSri	= 2085,
-    AArch64_UCVTFUXDri	= 2086,
-    AArch64_UCVTFUXSri	= 2087,
-    AArch64_UCVTFd	= 2088,
-    AArch64_UCVTFs	= 2089,
-    AArch64_UCVTFv1i32	= 2090,
-    AArch64_UCVTFv1i64	= 2091,
-    AArch64_UCVTFv2f32	= 2092,
-    AArch64_UCVTFv2f64	= 2093,
-    AArch64_UCVTFv2i32_shift	= 2094,
-    AArch64_UCVTFv2i64_shift	= 2095,
-    AArch64_UCVTFv4f32	= 2096,
-    AArch64_UCVTFv4i32_shift	= 2097,
-    AArch64_UDIVWr	= 2098,
-    AArch64_UDIVXr	= 2099,
-    AArch64_UDIV_IntWr	= 2100,
-    AArch64_UDIV_IntXr	= 2101,
-    AArch64_UHADDv16i8	= 2102,
-    AArch64_UHADDv2i32	= 2103,
-    AArch64_UHADDv4i16	= 2104,
-    AArch64_UHADDv4i32	= 2105,
-    AArch64_UHADDv8i16	= 2106,
-    AArch64_UHADDv8i8	= 2107,
-    AArch64_UHSUBv16i8	= 2108,
-    AArch64_UHSUBv2i32	= 2109,
-    AArch64_UHSUBv4i16	= 2110,
-    AArch64_UHSUBv4i32	= 2111,
-    AArch64_UHSUBv8i16	= 2112,
-    AArch64_UHSUBv8i8	= 2113,
-    AArch64_UMADDLrrr	= 2114,
-    AArch64_UMAXPv16i8	= 2115,
-    AArch64_UMAXPv2i32	= 2116,
-    AArch64_UMAXPv4i16	= 2117,
-    AArch64_UMAXPv4i32	= 2118,
-    AArch64_UMAXPv8i16	= 2119,
-    AArch64_UMAXPv8i8	= 2120,
-    AArch64_UMAXVv16i8v	= 2121,
-    AArch64_UMAXVv4i16v	= 2122,
-    AArch64_UMAXVv4i32v	= 2123,
-    AArch64_UMAXVv8i16v	= 2124,
-    AArch64_UMAXVv8i8v	= 2125,
-    AArch64_UMAXv16i8	= 2126,
-    AArch64_UMAXv2i32	= 2127,
-    AArch64_UMAXv4i16	= 2128,
-    AArch64_UMAXv4i32	= 2129,
-    AArch64_UMAXv8i16	= 2130,
-    AArch64_UMAXv8i8	= 2131,
-    AArch64_UMINPv16i8	= 2132,
-    AArch64_UMINPv2i32	= 2133,
-    AArch64_UMINPv4i16	= 2134,
-    AArch64_UMINPv4i32	= 2135,
-    AArch64_UMINPv8i16	= 2136,
-    AArch64_UMINPv8i8	= 2137,
-    AArch64_UMINVv16i8v	= 2138,
-    AArch64_UMINVv4i16v	= 2139,
-    AArch64_UMINVv4i32v	= 2140,
-    AArch64_UMINVv8i16v	= 2141,
-    AArch64_UMINVv8i8v	= 2142,
-    AArch64_UMINv16i8	= 2143,
-    AArch64_UMINv2i32	= 2144,
-    AArch64_UMINv4i16	= 2145,
-    AArch64_UMINv4i32	= 2146,
-    AArch64_UMINv8i16	= 2147,
-    AArch64_UMINv8i8	= 2148,
-    AArch64_UMLALv16i8_v8i16	= 2149,
-    AArch64_UMLALv2i32_indexed	= 2150,
-    AArch64_UMLALv2i32_v2i64	= 2151,
-    AArch64_UMLALv4i16_indexed	= 2152,
-    AArch64_UMLALv4i16_v4i32	= 2153,
-    AArch64_UMLALv4i32_indexed	= 2154,
-    AArch64_UMLALv4i32_v2i64	= 2155,
-    AArch64_UMLALv8i16_indexed	= 2156,
-    AArch64_UMLALv8i16_v4i32	= 2157,
-    AArch64_UMLALv8i8_v8i16	= 2158,
-    AArch64_UMLSLv16i8_v8i16	= 2159,
-    AArch64_UMLSLv2i32_indexed	= 2160,
-    AArch64_UMLSLv2i32_v2i64	= 2161,
-    AArch64_UMLSLv4i16_indexed	= 2162,
-    AArch64_UMLSLv4i16_v4i32	= 2163,
-    AArch64_UMLSLv4i32_indexed	= 2164,
-    AArch64_UMLSLv4i32_v2i64	= 2165,
-    AArch64_UMLSLv8i16_indexed	= 2166,
-    AArch64_UMLSLv8i16_v4i32	= 2167,
-    AArch64_UMLSLv8i8_v8i16	= 2168,
-    AArch64_UMOVvi16	= 2169,
-    AArch64_UMOVvi32	= 2170,
-    AArch64_UMOVvi64	= 2171,
-    AArch64_UMOVvi8	= 2172,
-    AArch64_UMSUBLrrr	= 2173,
-    AArch64_UMULHrr	= 2174,
-    AArch64_UMULLv16i8_v8i16	= 2175,
-    AArch64_UMULLv2i32_indexed	= 2176,
-    AArch64_UMULLv2i32_v2i64	= 2177,
-    AArch64_UMULLv4i16_indexed	= 2178,
-    AArch64_UMULLv4i16_v4i32	= 2179,
-    AArch64_UMULLv4i32_indexed	= 2180,
-    AArch64_UMULLv4i32_v2i64	= 2181,
-    AArch64_UMULLv8i16_indexed	= 2182,
-    AArch64_UMULLv8i16_v4i32	= 2183,
-    AArch64_UMULLv8i8_v8i16	= 2184,
-    AArch64_UQADDv16i8	= 2185,
-    AArch64_UQADDv1i16	= 2186,
-    AArch64_UQADDv1i32	= 2187,
-    AArch64_UQADDv1i64	= 2188,
-    AArch64_UQADDv1i8	= 2189,
-    AArch64_UQADDv2i32	= 2190,
-    AArch64_UQADDv2i64	= 2191,
-    AArch64_UQADDv4i16	= 2192,
-    AArch64_UQADDv4i32	= 2193,
-    AArch64_UQADDv8i16	= 2194,
-    AArch64_UQADDv8i8	= 2195,
-    AArch64_UQRSHLv16i8	= 2196,
-    AArch64_UQRSHLv1i16	= 2197,
-    AArch64_UQRSHLv1i32	= 2198,
-    AArch64_UQRSHLv1i64	= 2199,
-    AArch64_UQRSHLv1i8	= 2200,
-    AArch64_UQRSHLv2i32	= 2201,
-    AArch64_UQRSHLv2i64	= 2202,
-    AArch64_UQRSHLv4i16	= 2203,
-    AArch64_UQRSHLv4i32	= 2204,
-    AArch64_UQRSHLv8i16	= 2205,
-    AArch64_UQRSHLv8i8	= 2206,
-    AArch64_UQRSHRNb	= 2207,
-    AArch64_UQRSHRNh	= 2208,
-    AArch64_UQRSHRNs	= 2209,
-    AArch64_UQRSHRNv16i8_shift	= 2210,
-    AArch64_UQRSHRNv2i32_shift	= 2211,
-    AArch64_UQRSHRNv4i16_shift	= 2212,
-    AArch64_UQRSHRNv4i32_shift	= 2213,
-    AArch64_UQRSHRNv8i16_shift	= 2214,
-    AArch64_UQRSHRNv8i8_shift	= 2215,
-    AArch64_UQSHLb	= 2216,
-    AArch64_UQSHLd	= 2217,
-    AArch64_UQSHLh	= 2218,
-    AArch64_UQSHLs	= 2219,
-    AArch64_UQSHLv16i8	= 2220,
-    AArch64_UQSHLv16i8_shift	= 2221,
-    AArch64_UQSHLv1i16	= 2222,
-    AArch64_UQSHLv1i32	= 2223,
-    AArch64_UQSHLv1i64	= 2224,
-    AArch64_UQSHLv1i8	= 2225,
-    AArch64_UQSHLv2i32	= 2226,
-    AArch64_UQSHLv2i32_shift	= 2227,
-    AArch64_UQSHLv2i64	= 2228,
-    AArch64_UQSHLv2i64_shift	= 2229,
-    AArch64_UQSHLv4i16	= 2230,
-    AArch64_UQSHLv4i16_shift	= 2231,
-    AArch64_UQSHLv4i32	= 2232,
-    AArch64_UQSHLv4i32_shift	= 2233,
-    AArch64_UQSHLv8i16	= 2234,
-    AArch64_UQSHLv8i16_shift	= 2235,
-    AArch64_UQSHLv8i8	= 2236,
-    AArch64_UQSHLv8i8_shift	= 2237,
-    AArch64_UQSHRNb	= 2238,
-    AArch64_UQSHRNh	= 2239,
-    AArch64_UQSHRNs	= 2240,
-    AArch64_UQSHRNv16i8_shift	= 2241,
-    AArch64_UQSHRNv2i32_shift	= 2242,
-    AArch64_UQSHRNv4i16_shift	= 2243,
-    AArch64_UQSHRNv4i32_shift	= 2244,
-    AArch64_UQSHRNv8i16_shift	= 2245,
-    AArch64_UQSHRNv8i8_shift	= 2246,
-    AArch64_UQSUBv16i8	= 2247,
-    AArch64_UQSUBv1i16	= 2248,
-    AArch64_UQSUBv1i32	= 2249,
-    AArch64_UQSUBv1i64	= 2250,
-    AArch64_UQSUBv1i8	= 2251,
-    AArch64_UQSUBv2i32	= 2252,
-    AArch64_UQSUBv2i64	= 2253,
-    AArch64_UQSUBv4i16	= 2254,
-    AArch64_UQSUBv4i32	= 2255,
-    AArch64_UQSUBv8i16	= 2256,
-    AArch64_UQSUBv8i8	= 2257,
-    AArch64_UQXTNv16i8	= 2258,
-    AArch64_UQXTNv1i16	= 2259,
-    AArch64_UQXTNv1i32	= 2260,
-    AArch64_UQXTNv1i8	= 2261,
-    AArch64_UQXTNv2i32	= 2262,
-    AArch64_UQXTNv4i16	= 2263,
-    AArch64_UQXTNv4i32	= 2264,
-    AArch64_UQXTNv8i16	= 2265,
-    AArch64_UQXTNv8i8	= 2266,
-    AArch64_URECPEv2i32	= 2267,
-    AArch64_URECPEv4i32	= 2268,
-    AArch64_URHADDv16i8	= 2269,
-    AArch64_URHADDv2i32	= 2270,
-    AArch64_URHADDv4i16	= 2271,
-    AArch64_URHADDv4i32	= 2272,
-    AArch64_URHADDv8i16	= 2273,
-    AArch64_URHADDv8i8	= 2274,
-    AArch64_URSHLv16i8	= 2275,
-    AArch64_URSHLv1i64	= 2276,
-    AArch64_URSHLv2i32	= 2277,
-    AArch64_URSHLv2i64	= 2278,
-    AArch64_URSHLv4i16	= 2279,
-    AArch64_URSHLv4i32	= 2280,
-    AArch64_URSHLv8i16	= 2281,
-    AArch64_URSHLv8i8	= 2282,
-    AArch64_URSHRd	= 2283,
-    AArch64_URSHRv16i8_shift	= 2284,
-    AArch64_URSHRv2i32_shift	= 2285,
-    AArch64_URSHRv2i64_shift	= 2286,
-    AArch64_URSHRv4i16_shift	= 2287,
-    AArch64_URSHRv4i32_shift	= 2288,
-    AArch64_URSHRv8i16_shift	= 2289,
-    AArch64_URSHRv8i8_shift	= 2290,
-    AArch64_URSQRTEv2i32	= 2291,
-    AArch64_URSQRTEv4i32	= 2292,
-    AArch64_URSRAd	= 2293,
-    AArch64_URSRAv16i8_shift	= 2294,
-    AArch64_URSRAv2i32_shift	= 2295,
-    AArch64_URSRAv2i64_shift	= 2296,
-    AArch64_URSRAv4i16_shift	= 2297,
-    AArch64_URSRAv4i32_shift	= 2298,
-    AArch64_URSRAv8i16_shift	= 2299,
-    AArch64_URSRAv8i8_shift	= 2300,
-    AArch64_USHLLv16i8_shift	= 2301,
-    AArch64_USHLLv2i32_shift	= 2302,
-    AArch64_USHLLv4i16_shift	= 2303,
-    AArch64_USHLLv4i32_shift	= 2304,
-    AArch64_USHLLv8i16_shift	= 2305,
-    AArch64_USHLLv8i8_shift	= 2306,
-    AArch64_USHLv16i8	= 2307,
-    AArch64_USHLv1i64	= 2308,
-    AArch64_USHLv2i32	= 2309,
-    AArch64_USHLv2i64	= 2310,
-    AArch64_USHLv4i16	= 2311,
-    AArch64_USHLv4i32	= 2312,
-    AArch64_USHLv8i16	= 2313,
-    AArch64_USHLv8i8	= 2314,
-    AArch64_USHRd	= 2315,
-    AArch64_USHRv16i8_shift	= 2316,
-    AArch64_USHRv2i32_shift	= 2317,
-    AArch64_USHRv2i64_shift	= 2318,
-    AArch64_USHRv4i16_shift	= 2319,
-    AArch64_USHRv4i32_shift	= 2320,
-    AArch64_USHRv8i16_shift	= 2321,
-    AArch64_USHRv8i8_shift	= 2322,
-    AArch64_USQADDv16i8	= 2323,
-    AArch64_USQADDv1i16	= 2324,
-    AArch64_USQADDv1i32	= 2325,
-    AArch64_USQADDv1i64	= 2326,
-    AArch64_USQADDv1i8	= 2327,
-    AArch64_USQADDv2i32	= 2328,
-    AArch64_USQADDv2i64	= 2329,
-    AArch64_USQADDv4i16	= 2330,
-    AArch64_USQADDv4i32	= 2331,
-    AArch64_USQADDv8i16	= 2332,
-    AArch64_USQADDv8i8	= 2333,
-    AArch64_USRAd	= 2334,
-    AArch64_USRAv16i8_shift	= 2335,
-    AArch64_USRAv2i32_shift	= 2336,
-    AArch64_USRAv2i64_shift	= 2337,
-    AArch64_USRAv4i16_shift	= 2338,
-    AArch64_USRAv4i32_shift	= 2339,
-    AArch64_USRAv8i16_shift	= 2340,
-    AArch64_USRAv8i8_shift	= 2341,
-    AArch64_USUBLv16i8_v8i16	= 2342,
-    AArch64_USUBLv2i32_v2i64	= 2343,
-    AArch64_USUBLv4i16_v4i32	= 2344,
-    AArch64_USUBLv4i32_v2i64	= 2345,
-    AArch64_USUBLv8i16_v4i32	= 2346,
-    AArch64_USUBLv8i8_v8i16	= 2347,
-    AArch64_USUBWv16i8_v8i16	= 2348,
-    AArch64_USUBWv2i32_v2i64	= 2349,
-    AArch64_USUBWv4i16_v4i32	= 2350,
-    AArch64_USUBWv4i32_v2i64	= 2351,
-    AArch64_USUBWv8i16_v4i32	= 2352,
-    AArch64_USUBWv8i8_v8i16	= 2353,
-    AArch64_UZP1v16i8	= 2354,
-    AArch64_UZP1v2i32	= 2355,
-    AArch64_UZP1v2i64	= 2356,
-    AArch64_UZP1v4i16	= 2357,
-    AArch64_UZP1v4i32	= 2358,
-    AArch64_UZP1v8i16	= 2359,
-    AArch64_UZP1v8i8	= 2360,
-    AArch64_UZP2v16i8	= 2361,
-    AArch64_UZP2v2i32	= 2362,
-    AArch64_UZP2v2i64	= 2363,
-    AArch64_UZP2v4i16	= 2364,
-    AArch64_UZP2v4i32	= 2365,
-    AArch64_UZP2v8i16	= 2366,
-    AArch64_UZP2v8i8	= 2367,
-    AArch64_XTNv16i8	= 2368,
-    AArch64_XTNv2i32	= 2369,
-    AArch64_XTNv4i16	= 2370,
-    AArch64_XTNv4i32	= 2371,
-    AArch64_XTNv8i16	= 2372,
-    AArch64_XTNv8i8	= 2373,
-    AArch64_ZIP1v16i8	= 2374,
-    AArch64_ZIP1v2i32	= 2375,
-    AArch64_ZIP1v2i64	= 2376,
-    AArch64_ZIP1v4i16	= 2377,
-    AArch64_ZIP1v4i32	= 2378,
-    AArch64_ZIP1v8i16	= 2379,
-    AArch64_ZIP1v8i8	= 2380,
-    AArch64_ZIP2v16i8	= 2381,
-    AArch64_ZIP2v2i32	= 2382,
-    AArch64_ZIP2v2i64	= 2383,
-    AArch64_ZIP2v4i16	= 2384,
-    AArch64_ZIP2v4i32	= 2385,
-    AArch64_ZIP2v8i16	= 2386,
-    AArch64_ZIP2v8i8	= 2387,
-    AArch64_INSTRUCTION_LIST_END = 2388
+    AArch64_STATEPOINT	= 20,
+    AArch64_FRAME_ALLOC	= 21,
+    AArch64_ABSv16i8	= 22,
+    AArch64_ABSv1i64	= 23,
+    AArch64_ABSv2i32	= 24,
+    AArch64_ABSv2i64	= 25,
+    AArch64_ABSv4i16	= 26,
+    AArch64_ABSv4i32	= 27,
+    AArch64_ABSv8i16	= 28,
+    AArch64_ABSv8i8	= 29,
+    AArch64_ADCSWr	= 30,
+    AArch64_ADCSXr	= 31,
+    AArch64_ADCWr	= 32,
+    AArch64_ADCXr	= 33,
+    AArch64_ADDHNv2i64_v2i32	= 34,
+    AArch64_ADDHNv2i64_v4i32	= 35,
+    AArch64_ADDHNv4i32_v4i16	= 36,
+    AArch64_ADDHNv4i32_v8i16	= 37,
+    AArch64_ADDHNv8i16_v16i8	= 38,
+    AArch64_ADDHNv8i16_v8i8	= 39,
+    AArch64_ADDPv16i8	= 40,
+    AArch64_ADDPv2i32	= 41,
+    AArch64_ADDPv2i64	= 42,
+    AArch64_ADDPv2i64p	= 43,
+    AArch64_ADDPv4i16	= 44,
+    AArch64_ADDPv4i32	= 45,
+    AArch64_ADDPv8i16	= 46,
+    AArch64_ADDPv8i8	= 47,
+    AArch64_ADDSWri	= 48,
+    AArch64_ADDSWrr	= 49,
+    AArch64_ADDSWrs	= 50,
+    AArch64_ADDSWrx	= 51,
+    AArch64_ADDSXri	= 52,
+    AArch64_ADDSXrr	= 53,
+    AArch64_ADDSXrs	= 54,
+    AArch64_ADDSXrx	= 55,
+    AArch64_ADDSXrx64	= 56,
+    AArch64_ADDVv16i8v	= 57,
+    AArch64_ADDVv4i16v	= 58,
+    AArch64_ADDVv4i32v	= 59,
+    AArch64_ADDVv8i16v	= 60,
+    AArch64_ADDVv8i8v	= 61,
+    AArch64_ADDWri	= 62,
+    AArch64_ADDWrr	= 63,
+    AArch64_ADDWrs	= 64,
+    AArch64_ADDWrx	= 65,
+    AArch64_ADDXri	= 66,
+    AArch64_ADDXrr	= 67,
+    AArch64_ADDXrs	= 68,
+    AArch64_ADDXrx	= 69,
+    AArch64_ADDXrx64	= 70,
+    AArch64_ADDv16i8	= 71,
+    AArch64_ADDv1i64	= 72,
+    AArch64_ADDv2i32	= 73,
+    AArch64_ADDv2i64	= 74,
+    AArch64_ADDv4i16	= 75,
+    AArch64_ADDv4i32	= 76,
+    AArch64_ADDv8i16	= 77,
+    AArch64_ADDv8i8	= 78,
+    AArch64_ADJCALLSTACKDOWN	= 79,
+    AArch64_ADJCALLSTACKUP	= 80,
+    AArch64_ADR	= 81,
+    AArch64_ADRP	= 82,
+    AArch64_AESDrr	= 83,
+    AArch64_AESErr	= 84,
+    AArch64_AESIMCrr	= 85,
+    AArch64_AESMCrr	= 86,
+    AArch64_ANDSWri	= 87,
+    AArch64_ANDSWrr	= 88,
+    AArch64_ANDSWrs	= 89,
+    AArch64_ANDSXri	= 90,
+    AArch64_ANDSXrr	= 91,
+    AArch64_ANDSXrs	= 92,
+    AArch64_ANDWri	= 93,
+    AArch64_ANDWrr	= 94,
+    AArch64_ANDWrs	= 95,
+    AArch64_ANDXri	= 96,
+    AArch64_ANDXrr	= 97,
+    AArch64_ANDXrs	= 98,
+    AArch64_ANDv16i8	= 99,
+    AArch64_ANDv8i8	= 100,
+    AArch64_ASRVWr	= 101,
+    AArch64_ASRVXr	= 102,
+    AArch64_B	= 103,
+    AArch64_BFMWri	= 104,
+    AArch64_BFMXri	= 105,
+    AArch64_BICSWrr	= 106,
+    AArch64_BICSWrs	= 107,
+    AArch64_BICSXrr	= 108,
+    AArch64_BICSXrs	= 109,
+    AArch64_BICWrr	= 110,
+    AArch64_BICWrs	= 111,
+    AArch64_BICXrr	= 112,
+    AArch64_BICXrs	= 113,
+    AArch64_BICv16i8	= 114,
+    AArch64_BICv2i32	= 115,
+    AArch64_BICv4i16	= 116,
+    AArch64_BICv4i32	= 117,
+    AArch64_BICv8i16	= 118,
+    AArch64_BICv8i8	= 119,
+    AArch64_BIFv16i8	= 120,
+    AArch64_BIFv8i8	= 121,
+    AArch64_BITv16i8	= 122,
+    AArch64_BITv8i8	= 123,
+    AArch64_BL	= 124,
+    AArch64_BLR	= 125,
+    AArch64_BR	= 126,
+    AArch64_BRK	= 127,
+    AArch64_BSLv16i8	= 128,
+    AArch64_BSLv8i8	= 129,
+    AArch64_Bcc	= 130,
+    AArch64_CBNZW	= 131,
+    AArch64_CBNZX	= 132,
+    AArch64_CBZW	= 133,
+    AArch64_CBZX	= 134,
+    AArch64_CCMNWi	= 135,
+    AArch64_CCMNWr	= 136,
+    AArch64_CCMNXi	= 137,
+    AArch64_CCMNXr	= 138,
+    AArch64_CCMPWi	= 139,
+    AArch64_CCMPWr	= 140,
+    AArch64_CCMPXi	= 141,
+    AArch64_CCMPXr	= 142,
+    AArch64_CLREX	= 143,
+    AArch64_CLSWr	= 144,
+    AArch64_CLSXr	= 145,
+    AArch64_CLSv16i8	= 146,
+    AArch64_CLSv2i32	= 147,
+    AArch64_CLSv4i16	= 148,
+    AArch64_CLSv4i32	= 149,
+    AArch64_CLSv8i16	= 150,
+    AArch64_CLSv8i8	= 151,
+    AArch64_CLZWr	= 152,
+    AArch64_CLZXr	= 153,
+    AArch64_CLZv16i8	= 154,
+    AArch64_CLZv2i32	= 155,
+    AArch64_CLZv4i16	= 156,
+    AArch64_CLZv4i32	= 157,
+    AArch64_CLZv8i16	= 158,
+    AArch64_CLZv8i8	= 159,
+    AArch64_CMEQv16i8	= 160,
+    AArch64_CMEQv16i8rz	= 161,
+    AArch64_CMEQv1i64	= 162,
+    AArch64_CMEQv1i64rz	= 163,
+    AArch64_CMEQv2i32	= 164,
+    AArch64_CMEQv2i32rz	= 165,
+    AArch64_CMEQv2i64	= 166,
+    AArch64_CMEQv2i64rz	= 167,
+    AArch64_CMEQv4i16	= 168,
+    AArch64_CMEQv4i16rz	= 169,
+    AArch64_CMEQv4i32	= 170,
+    AArch64_CMEQv4i32rz	= 171,
+    AArch64_CMEQv8i16	= 172,
+    AArch64_CMEQv8i16rz	= 173,
+    AArch64_CMEQv8i8	= 174,
+    AArch64_CMEQv8i8rz	= 175,
+    AArch64_CMGEv16i8	= 176,
+    AArch64_CMGEv16i8rz	= 177,
+    AArch64_CMGEv1i64	= 178,
+    AArch64_CMGEv1i64rz	= 179,
+    AArch64_CMGEv2i32	= 180,
+    AArch64_CMGEv2i32rz	= 181,
+    AArch64_CMGEv2i64	= 182,
+    AArch64_CMGEv2i64rz	= 183,
+    AArch64_CMGEv4i16	= 184,
+    AArch64_CMGEv4i16rz	= 185,
+    AArch64_CMGEv4i32	= 186,
+    AArch64_CMGEv4i32rz	= 187,
+    AArch64_CMGEv8i16	= 188,
+    AArch64_CMGEv8i16rz	= 189,
+    AArch64_CMGEv8i8	= 190,
+    AArch64_CMGEv8i8rz	= 191,
+    AArch64_CMGTv16i8	= 192,
+    AArch64_CMGTv16i8rz	= 193,
+    AArch64_CMGTv1i64	= 194,
+    AArch64_CMGTv1i64rz	= 195,
+    AArch64_CMGTv2i32	= 196,
+    AArch64_CMGTv2i32rz	= 197,
+    AArch64_CMGTv2i64	= 198,
+    AArch64_CMGTv2i64rz	= 199,
+    AArch64_CMGTv4i16	= 200,
+    AArch64_CMGTv4i16rz	= 201,
+    AArch64_CMGTv4i32	= 202,
+    AArch64_CMGTv4i32rz	= 203,
+    AArch64_CMGTv8i16	= 204,
+    AArch64_CMGTv8i16rz	= 205,
+    AArch64_CMGTv8i8	= 206,
+    AArch64_CMGTv8i8rz	= 207,
+    AArch64_CMHIv16i8	= 208,
+    AArch64_CMHIv1i64	= 209,
+    AArch64_CMHIv2i32	= 210,
+    AArch64_CMHIv2i64	= 211,
+    AArch64_CMHIv4i16	= 212,
+    AArch64_CMHIv4i32	= 213,
+    AArch64_CMHIv8i16	= 214,
+    AArch64_CMHIv8i8	= 215,
+    AArch64_CMHSv16i8	= 216,
+    AArch64_CMHSv1i64	= 217,
+    AArch64_CMHSv2i32	= 218,
+    AArch64_CMHSv2i64	= 219,
+    AArch64_CMHSv4i16	= 220,
+    AArch64_CMHSv4i32	= 221,
+    AArch64_CMHSv8i16	= 222,
+    AArch64_CMHSv8i8	= 223,
+    AArch64_CMLEv16i8rz	= 224,
+    AArch64_CMLEv1i64rz	= 225,
+    AArch64_CMLEv2i32rz	= 226,
+    AArch64_CMLEv2i64rz	= 227,
+    AArch64_CMLEv4i16rz	= 228,
+    AArch64_CMLEv4i32rz	= 229,
+    AArch64_CMLEv8i16rz	= 230,
+    AArch64_CMLEv8i8rz	= 231,
+    AArch64_CMLTv16i8rz	= 232,
+    AArch64_CMLTv1i64rz	= 233,
+    AArch64_CMLTv2i32rz	= 234,
+    AArch64_CMLTv2i64rz	= 235,
+    AArch64_CMLTv4i16rz	= 236,
+    AArch64_CMLTv4i32rz	= 237,
+    AArch64_CMLTv8i16rz	= 238,
+    AArch64_CMLTv8i8rz	= 239,
+    AArch64_CMTSTv16i8	= 240,
+    AArch64_CMTSTv1i64	= 241,
+    AArch64_CMTSTv2i32	= 242,
+    AArch64_CMTSTv2i64	= 243,
+    AArch64_CMTSTv4i16	= 244,
+    AArch64_CMTSTv4i32	= 245,
+    AArch64_CMTSTv8i16	= 246,
+    AArch64_CMTSTv8i8	= 247,
+    AArch64_CNTv16i8	= 248,
+    AArch64_CNTv8i8	= 249,
+    AArch64_CPYi16	= 250,
+    AArch64_CPYi32	= 251,
+    AArch64_CPYi64	= 252,
+    AArch64_CPYi8	= 253,
+    AArch64_CRC32Brr	= 254,
+    AArch64_CRC32CBrr	= 255,
+    AArch64_CRC32CHrr	= 256,
+    AArch64_CRC32CWrr	= 257,
+    AArch64_CRC32CXrr	= 258,
+    AArch64_CRC32Hrr	= 259,
+    AArch64_CRC32Wrr	= 260,
+    AArch64_CRC32Xrr	= 261,
+    AArch64_CSELWr	= 262,
+    AArch64_CSELXr	= 263,
+    AArch64_CSINCWr	= 264,
+    AArch64_CSINCXr	= 265,
+    AArch64_CSINVWr	= 266,
+    AArch64_CSINVXr	= 267,
+    AArch64_CSNEGWr	= 268,
+    AArch64_CSNEGXr	= 269,
+    AArch64_DCPS1	= 270,
+    AArch64_DCPS2	= 271,
+    AArch64_DCPS3	= 272,
+    AArch64_DMB	= 273,
+    AArch64_DRPS	= 274,
+    AArch64_DSB	= 275,
+    AArch64_DUPv16i8gpr	= 276,
+    AArch64_DUPv16i8lane	= 277,
+    AArch64_DUPv2i32gpr	= 278,
+    AArch64_DUPv2i32lane	= 279,
+    AArch64_DUPv2i64gpr	= 280,
+    AArch64_DUPv2i64lane	= 281,
+    AArch64_DUPv4i16gpr	= 282,
+    AArch64_DUPv4i16lane	= 283,
+    AArch64_DUPv4i32gpr	= 284,
+    AArch64_DUPv4i32lane	= 285,
+    AArch64_DUPv8i16gpr	= 286,
+    AArch64_DUPv8i16lane	= 287,
+    AArch64_DUPv8i8gpr	= 288,
+    AArch64_DUPv8i8lane	= 289,
+    AArch64_EONWrr	= 290,
+    AArch64_EONWrs	= 291,
+    AArch64_EONXrr	= 292,
+    AArch64_EONXrs	= 293,
+    AArch64_EORWri	= 294,
+    AArch64_EORWrr	= 295,
+    AArch64_EORWrs	= 296,
+    AArch64_EORXri	= 297,
+    AArch64_EORXrr	= 298,
+    AArch64_EORXrs	= 299,
+    AArch64_EORv16i8	= 300,
+    AArch64_EORv8i8	= 301,
+    AArch64_ERET	= 302,
+    AArch64_EXTRWrri	= 303,
+    AArch64_EXTRXrri	= 304,
+    AArch64_EXTv16i8	= 305,
+    AArch64_EXTv8i8	= 306,
+    AArch64_F128CSEL	= 307,
+    AArch64_FABD32	= 308,
+    AArch64_FABD64	= 309,
+    AArch64_FABDv2f32	= 310,
+    AArch64_FABDv2f64	= 311,
+    AArch64_FABDv4f32	= 312,
+    AArch64_FABSDr	= 313,
+    AArch64_FABSSr	= 314,
+    AArch64_FABSv2f32	= 315,
+    AArch64_FABSv2f64	= 316,
+    AArch64_FABSv4f32	= 317,
+    AArch64_FACGE32	= 318,
+    AArch64_FACGE64	= 319,
+    AArch64_FACGEv2f32	= 320,
+    AArch64_FACGEv2f64	= 321,
+    AArch64_FACGEv4f32	= 322,
+    AArch64_FACGT32	= 323,
+    AArch64_FACGT64	= 324,
+    AArch64_FACGTv2f32	= 325,
+    AArch64_FACGTv2f64	= 326,
+    AArch64_FACGTv4f32	= 327,
+    AArch64_FADDDrr	= 328,
+    AArch64_FADDPv2f32	= 329,
+    AArch64_FADDPv2f64	= 330,
+    AArch64_FADDPv2i32p	= 331,
+    AArch64_FADDPv2i64p	= 332,
+    AArch64_FADDPv4f32	= 333,
+    AArch64_FADDSrr	= 334,
+    AArch64_FADDv2f32	= 335,
+    AArch64_FADDv2f64	= 336,
+    AArch64_FADDv4f32	= 337,
+    AArch64_FCCMPDrr	= 338,
+    AArch64_FCCMPEDrr	= 339,
+    AArch64_FCCMPESrr	= 340,
+    AArch64_FCCMPSrr	= 341,
+    AArch64_FCMEQ32	= 342,
+    AArch64_FCMEQ64	= 343,
+    AArch64_FCMEQv1i32rz	= 344,
+    AArch64_FCMEQv1i64rz	= 345,
+    AArch64_FCMEQv2f32	= 346,
+    AArch64_FCMEQv2f64	= 347,
+    AArch64_FCMEQv2i32rz	= 348,
+    AArch64_FCMEQv2i64rz	= 349,
+    AArch64_FCMEQv4f32	= 350,
+    AArch64_FCMEQv4i32rz	= 351,
+    AArch64_FCMGE32	= 352,
+    AArch64_FCMGE64	= 353,
+    AArch64_FCMGEv1i32rz	= 354,
+    AArch64_FCMGEv1i64rz	= 355,
+    AArch64_FCMGEv2f32	= 356,
+    AArch64_FCMGEv2f64	= 357,
+    AArch64_FCMGEv2i32rz	= 358,
+    AArch64_FCMGEv2i64rz	= 359,
+    AArch64_FCMGEv4f32	= 360,
+    AArch64_FCMGEv4i32rz	= 361,
+    AArch64_FCMGT32	= 362,
+    AArch64_FCMGT64	= 363,
+    AArch64_FCMGTv1i32rz	= 364,
+    AArch64_FCMGTv1i64rz	= 365,
+    AArch64_FCMGTv2f32	= 366,
+    AArch64_FCMGTv2f64	= 367,
+    AArch64_FCMGTv2i32rz	= 368,
+    AArch64_FCMGTv2i64rz	= 369,
+    AArch64_FCMGTv4f32	= 370,
+    AArch64_FCMGTv4i32rz	= 371,
+    AArch64_FCMLEv1i32rz	= 372,
+    AArch64_FCMLEv1i64rz	= 373,
+    AArch64_FCMLEv2i32rz	= 374,
+    AArch64_FCMLEv2i64rz	= 375,
+    AArch64_FCMLEv4i32rz	= 376,
+    AArch64_FCMLTv1i32rz	= 377,
+    AArch64_FCMLTv1i64rz	= 378,
+    AArch64_FCMLTv2i32rz	= 379,
+    AArch64_FCMLTv2i64rz	= 380,
+    AArch64_FCMLTv4i32rz	= 381,
+    AArch64_FCMPDri	= 382,
+    AArch64_FCMPDrr	= 383,
+    AArch64_FCMPEDri	= 384,
+    AArch64_FCMPEDrr	= 385,
+    AArch64_FCMPESri	= 386,
+    AArch64_FCMPESrr	= 387,
+    AArch64_FCMPSri	= 388,
+    AArch64_FCMPSrr	= 389,
+    AArch64_FCSELDrrr	= 390,
+    AArch64_FCSELSrrr	= 391,
+    AArch64_FCVTASUWDr	= 392,
+    AArch64_FCVTASUWSr	= 393,
+    AArch64_FCVTASUXDr	= 394,
+    AArch64_FCVTASUXSr	= 395,
+    AArch64_FCVTASv1i32	= 396,
+    AArch64_FCVTASv1i64	= 397,
+    AArch64_FCVTASv2f32	= 398,
+    AArch64_FCVTASv2f64	= 399,
+    AArch64_FCVTASv4f32	= 400,
+    AArch64_FCVTAUUWDr	= 401,
+    AArch64_FCVTAUUWSr	= 402,
+    AArch64_FCVTAUUXDr	= 403,
+    AArch64_FCVTAUUXSr	= 404,
+    AArch64_FCVTAUv1i32	= 405,
+    AArch64_FCVTAUv1i64	= 406,
+    AArch64_FCVTAUv2f32	= 407,
+    AArch64_FCVTAUv2f64	= 408,
+    AArch64_FCVTAUv4f32	= 409,
+    AArch64_FCVTDHr	= 410,
+    AArch64_FCVTDSr	= 411,
+    AArch64_FCVTHDr	= 412,
+    AArch64_FCVTHSr	= 413,
+    AArch64_FCVTLv2i32	= 414,
+    AArch64_FCVTLv4i16	= 415,
+    AArch64_FCVTLv4i32	= 416,
+    AArch64_FCVTLv8i16	= 417,
+    AArch64_FCVTMSUWDr	= 418,
+    AArch64_FCVTMSUWSr	= 419,
+    AArch64_FCVTMSUXDr	= 420,
+    AArch64_FCVTMSUXSr	= 421,
+    AArch64_FCVTMSv1i32	= 422,
+    AArch64_FCVTMSv1i64	= 423,
+    AArch64_FCVTMSv2f32	= 424,
+    AArch64_FCVTMSv2f64	= 425,
+    AArch64_FCVTMSv4f32	= 426,
+    AArch64_FCVTMUUWDr	= 427,
+    AArch64_FCVTMUUWSr	= 428,
+    AArch64_FCVTMUUXDr	= 429,
+    AArch64_FCVTMUUXSr	= 430,
+    AArch64_FCVTMUv1i32	= 431,
+    AArch64_FCVTMUv1i64	= 432,
+    AArch64_FCVTMUv2f32	= 433,
+    AArch64_FCVTMUv2f64	= 434,
+    AArch64_FCVTMUv4f32	= 435,
+    AArch64_FCVTNSUWDr	= 436,
+    AArch64_FCVTNSUWSr	= 437,
+    AArch64_FCVTNSUXDr	= 438,
+    AArch64_FCVTNSUXSr	= 439,
+    AArch64_FCVTNSv1i32	= 440,
+    AArch64_FCVTNSv1i64	= 441,
+    AArch64_FCVTNSv2f32	= 442,
+    AArch64_FCVTNSv2f64	= 443,
+    AArch64_FCVTNSv4f32	= 444,
+    AArch64_FCVTNUUWDr	= 445,
+    AArch64_FCVTNUUWSr	= 446,
+    AArch64_FCVTNUUXDr	= 447,
+    AArch64_FCVTNUUXSr	= 448,
+    AArch64_FCVTNUv1i32	= 449,
+    AArch64_FCVTNUv1i64	= 450,
+    AArch64_FCVTNUv2f32	= 451,
+    AArch64_FCVTNUv2f64	= 452,
+    AArch64_FCVTNUv4f32	= 453,
+    AArch64_FCVTNv2i32	= 454,
+    AArch64_FCVTNv4i16	= 455,
+    AArch64_FCVTNv4i32	= 456,
+    AArch64_FCVTNv8i16	= 457,
+    AArch64_FCVTPSUWDr	= 458,
+    AArch64_FCVTPSUWSr	= 459,
+    AArch64_FCVTPSUXDr	= 460,
+    AArch64_FCVTPSUXSr	= 461,
+    AArch64_FCVTPSv1i32	= 462,
+    AArch64_FCVTPSv1i64	= 463,
+    AArch64_FCVTPSv2f32	= 464,
+    AArch64_FCVTPSv2f64	= 465,
+    AArch64_FCVTPSv4f32	= 466,
+    AArch64_FCVTPUUWDr	= 467,
+    AArch64_FCVTPUUWSr	= 468,
+    AArch64_FCVTPUUXDr	= 469,
+    AArch64_FCVTPUUXSr	= 470,
+    AArch64_FCVTPUv1i32	= 471,
+    AArch64_FCVTPUv1i64	= 472,
+    AArch64_FCVTPUv2f32	= 473,
+    AArch64_FCVTPUv2f64	= 474,
+    AArch64_FCVTPUv4f32	= 475,
+    AArch64_FCVTSDr	= 476,
+    AArch64_FCVTSHr	= 477,
+    AArch64_FCVTXNv1i64	= 478,
+    AArch64_FCVTXNv2f32	= 479,
+    AArch64_FCVTXNv4f32	= 480,
+    AArch64_FCVTZSSWDri	= 481,
+    AArch64_FCVTZSSWSri	= 482,
+    AArch64_FCVTZSSXDri	= 483,
+    AArch64_FCVTZSSXSri	= 484,
+    AArch64_FCVTZSUWDr	= 485,
+    AArch64_FCVTZSUWSr	= 486,
+    AArch64_FCVTZSUXDr	= 487,
+    AArch64_FCVTZSUXSr	= 488,
+    AArch64_FCVTZS_IntSWDri	= 489,
+    AArch64_FCVTZS_IntSWSri	= 490,
+    AArch64_FCVTZS_IntSXDri	= 491,
+    AArch64_FCVTZS_IntSXSri	= 492,
+    AArch64_FCVTZS_IntUWDr	= 493,
+    AArch64_FCVTZS_IntUWSr	= 494,
+    AArch64_FCVTZS_IntUXDr	= 495,
+    AArch64_FCVTZS_IntUXSr	= 496,
+    AArch64_FCVTZS_Intv2f32	= 497,
+    AArch64_FCVTZS_Intv2f64	= 498,
+    AArch64_FCVTZS_Intv4f32	= 499,
+    AArch64_FCVTZSd	= 500,
+    AArch64_FCVTZSs	= 501,
+    AArch64_FCVTZSv1i32	= 502,
+    AArch64_FCVTZSv1i64	= 503,
+    AArch64_FCVTZSv2f32	= 504,
+    AArch64_FCVTZSv2f64	= 505,
+    AArch64_FCVTZSv2i32_shift	= 506,
+    AArch64_FCVTZSv2i64_shift	= 507,
+    AArch64_FCVTZSv4f32	= 508,
+    AArch64_FCVTZSv4i32_shift	= 509,
+    AArch64_FCVTZUSWDri	= 510,
+    AArch64_FCVTZUSWSri	= 511,
+    AArch64_FCVTZUSXDri	= 512,
+    AArch64_FCVTZUSXSri	= 513,
+    AArch64_FCVTZUUWDr	= 514,
+    AArch64_FCVTZUUWSr	= 515,
+    AArch64_FCVTZUUXDr	= 516,
+    AArch64_FCVTZUUXSr	= 517,
+    AArch64_FCVTZU_IntSWDri	= 518,
+    AArch64_FCVTZU_IntSWSri	= 519,
+    AArch64_FCVTZU_IntSXDri	= 520,
+    AArch64_FCVTZU_IntSXSri	= 521,
+    AArch64_FCVTZU_IntUWDr	= 522,
+    AArch64_FCVTZU_IntUWSr	= 523,
+    AArch64_FCVTZU_IntUXDr	= 524,
+    AArch64_FCVTZU_IntUXSr	= 525,
+    AArch64_FCVTZU_Intv2f32	= 526,
+    AArch64_FCVTZU_Intv2f64	= 527,
+    AArch64_FCVTZU_Intv4f32	= 528,
+    AArch64_FCVTZUd	= 529,
+    AArch64_FCVTZUs	= 530,
+    AArch64_FCVTZUv1i32	= 531,
+    AArch64_FCVTZUv1i64	= 532,
+    AArch64_FCVTZUv2f32	= 533,
+    AArch64_FCVTZUv2f64	= 534,
+    AArch64_FCVTZUv2i32_shift	= 535,
+    AArch64_FCVTZUv2i64_shift	= 536,
+    AArch64_FCVTZUv4f32	= 537,
+    AArch64_FCVTZUv4i32_shift	= 538,
+    AArch64_FDIVDrr	= 539,
+    AArch64_FDIVSrr	= 540,
+    AArch64_FDIVv2f32	= 541,
+    AArch64_FDIVv2f64	= 542,
+    AArch64_FDIVv4f32	= 543,
+    AArch64_FMADDDrrr	= 544,
+    AArch64_FMADDSrrr	= 545,
+    AArch64_FMAXDrr	= 546,
+    AArch64_FMAXNMDrr	= 547,
+    AArch64_FMAXNMPv2f32	= 548,
+    AArch64_FMAXNMPv2f64	= 549,
+    AArch64_FMAXNMPv2i32p	= 550,
+    AArch64_FMAXNMPv2i64p	= 551,
+    AArch64_FMAXNMPv4f32	= 552,
+    AArch64_FMAXNMSrr	= 553,
+    AArch64_FMAXNMVv4i32v	= 554,
+    AArch64_FMAXNMv2f32	= 555,
+    AArch64_FMAXNMv2f64	= 556,
+    AArch64_FMAXNMv4f32	= 557,
+    AArch64_FMAXPv2f32	= 558,
+    AArch64_FMAXPv2f64	= 559,
+    AArch64_FMAXPv2i32p	= 560,
+    AArch64_FMAXPv2i64p	= 561,
+    AArch64_FMAXPv4f32	= 562,
+    AArch64_FMAXSrr	= 563,
+    AArch64_FMAXVv4i32v	= 564,
+    AArch64_FMAXv2f32	= 565,
+    AArch64_FMAXv2f64	= 566,
+    AArch64_FMAXv4f32	= 567,
+    AArch64_FMINDrr	= 568,
+    AArch64_FMINNMDrr	= 569,
+    AArch64_FMINNMPv2f32	= 570,
+    AArch64_FMINNMPv2f64	= 571,
+    AArch64_FMINNMPv2i32p	= 572,
+    AArch64_FMINNMPv2i64p	= 573,
+    AArch64_FMINNMPv4f32	= 574,
+    AArch64_FMINNMSrr	= 575,
+    AArch64_FMINNMVv4i32v	= 576,
+    AArch64_FMINNMv2f32	= 577,
+    AArch64_FMINNMv2f64	= 578,
+    AArch64_FMINNMv4f32	= 579,
+    AArch64_FMINPv2f32	= 580,
+    AArch64_FMINPv2f64	= 581,
+    AArch64_FMINPv2i32p	= 582,
+    AArch64_FMINPv2i64p	= 583,
+    AArch64_FMINPv4f32	= 584,
+    AArch64_FMINSrr	= 585,
+    AArch64_FMINVv4i32v	= 586,
+    AArch64_FMINv2f32	= 587,
+    AArch64_FMINv2f64	= 588,
+    AArch64_FMINv4f32	= 589,
+    AArch64_FMLAv1i32_indexed	= 590,
+    AArch64_FMLAv1i64_indexed	= 591,
+    AArch64_FMLAv2f32	= 592,
+    AArch64_FMLAv2f64	= 593,
+    AArch64_FMLAv2i32_indexed	= 594,
+    AArch64_FMLAv2i64_indexed	= 595,
+    AArch64_FMLAv4f32	= 596,
+    AArch64_FMLAv4i32_indexed	= 597,
+    AArch64_FMLSv1i32_indexed	= 598,
+    AArch64_FMLSv1i64_indexed	= 599,
+    AArch64_FMLSv2f32	= 600,
+    AArch64_FMLSv2f64	= 601,
+    AArch64_FMLSv2i32_indexed	= 602,
+    AArch64_FMLSv2i64_indexed	= 603,
+    AArch64_FMLSv4f32	= 604,
+    AArch64_FMLSv4i32_indexed	= 605,
+    AArch64_FMOVDXHighr	= 606,
+    AArch64_FMOVDXr	= 607,
+    AArch64_FMOVDi	= 608,
+    AArch64_FMOVDr	= 609,
+    AArch64_FMOVSWr	= 610,
+    AArch64_FMOVSi	= 611,
+    AArch64_FMOVSr	= 612,
+    AArch64_FMOVWSr	= 613,
+    AArch64_FMOVXDHighr	= 614,
+    AArch64_FMOVXDr	= 615,
+    AArch64_FMOVv2f32_ns	= 616,
+    AArch64_FMOVv2f64_ns	= 617,
+    AArch64_FMOVv4f32_ns	= 618,
+    AArch64_FMSUBDrrr	= 619,
+    AArch64_FMSUBSrrr	= 620,
+    AArch64_FMULDrr	= 621,
+    AArch64_FMULSrr	= 622,
+    AArch64_FMULX32	= 623,
+    AArch64_FMULX64	= 624,
+    AArch64_FMULXv1i32_indexed	= 625,
+    AArch64_FMULXv1i64_indexed	= 626,
+    AArch64_FMULXv2f32	= 627,
+    AArch64_FMULXv2f64	= 628,
+    AArch64_FMULXv2i32_indexed	= 629,
+    AArch64_FMULXv2i64_indexed	= 630,
+    AArch64_FMULXv4f32	= 631,
+    AArch64_FMULXv4i32_indexed	= 632,
+    AArch64_FMULv1i32_indexed	= 633,
+    AArch64_FMULv1i64_indexed	= 634,
+    AArch64_FMULv2f32	= 635,
+    AArch64_FMULv2f64	= 636,
+    AArch64_FMULv2i32_indexed	= 637,
+    AArch64_FMULv2i64_indexed	= 638,
+    AArch64_FMULv4f32	= 639,
+    AArch64_FMULv4i32_indexed	= 640,
+    AArch64_FNEGDr	= 641,
+    AArch64_FNEGSr	= 642,
+    AArch64_FNEGv2f32	= 643,
+    AArch64_FNEGv2f64	= 644,
+    AArch64_FNEGv4f32	= 645,
+    AArch64_FNMADDDrrr	= 646,
+    AArch64_FNMADDSrrr	= 647,
+    AArch64_FNMSUBDrrr	= 648,
+    AArch64_FNMSUBSrrr	= 649,
+    AArch64_FNMULDrr	= 650,
+    AArch64_FNMULSrr	= 651,
+    AArch64_FRECPEv1i32	= 652,
+    AArch64_FRECPEv1i64	= 653,
+    AArch64_FRECPEv2f32	= 654,
+    AArch64_FRECPEv2f64	= 655,
+    AArch64_FRECPEv4f32	= 656,
+    AArch64_FRECPS32	= 657,
+    AArch64_FRECPS64	= 658,
+    AArch64_FRECPSv2f32	= 659,
+    AArch64_FRECPSv2f64	= 660,
+    AArch64_FRECPSv4f32	= 661,
+    AArch64_FRECPXv1i32	= 662,
+    AArch64_FRECPXv1i64	= 663,
+    AArch64_FRINTADr	= 664,
+    AArch64_FRINTASr	= 665,
+    AArch64_FRINTAv2f32	= 666,
+    AArch64_FRINTAv2f64	= 667,
+    AArch64_FRINTAv4f32	= 668,
+    AArch64_FRINTIDr	= 669,
+    AArch64_FRINTISr	= 670,
+    AArch64_FRINTIv2f32	= 671,
+    AArch64_FRINTIv2f64	= 672,
+    AArch64_FRINTIv4f32	= 673,
+    AArch64_FRINTMDr	= 674,
+    AArch64_FRINTMSr	= 675,
+    AArch64_FRINTMv2f32	= 676,
+    AArch64_FRINTMv2f64	= 677,
+    AArch64_FRINTMv4f32	= 678,
+    AArch64_FRINTNDr	= 679,
+    AArch64_FRINTNSr	= 680,
+    AArch64_FRINTNv2f32	= 681,
+    AArch64_FRINTNv2f64	= 682,
+    AArch64_FRINTNv4f32	= 683,
+    AArch64_FRINTPDr	= 684,
+    AArch64_FRINTPSr	= 685,
+    AArch64_FRINTPv2f32	= 686,
+    AArch64_FRINTPv2f64	= 687,
+    AArch64_FRINTPv4f32	= 688,
+    AArch64_FRINTXDr	= 689,
+    AArch64_FRINTXSr	= 690,
+    AArch64_FRINTXv2f32	= 691,
+    AArch64_FRINTXv2f64	= 692,
+    AArch64_FRINTXv4f32	= 693,
+    AArch64_FRINTZDr	= 694,
+    AArch64_FRINTZSr	= 695,
+    AArch64_FRINTZv2f32	= 696,
+    AArch64_FRINTZv2f64	= 697,
+    AArch64_FRINTZv4f32	= 698,
+    AArch64_FRSQRTEv1i32	= 699,
+    AArch64_FRSQRTEv1i64	= 700,
+    AArch64_FRSQRTEv2f32	= 701,
+    AArch64_FRSQRTEv2f64	= 702,
+    AArch64_FRSQRTEv4f32	= 703,
+    AArch64_FRSQRTS32	= 704,
+    AArch64_FRSQRTS64	= 705,
+    AArch64_FRSQRTSv2f32	= 706,
+    AArch64_FRSQRTSv2f64	= 707,
+    AArch64_FRSQRTSv4f32	= 708,
+    AArch64_FSQRTDr	= 709,
+    AArch64_FSQRTSr	= 710,
+    AArch64_FSQRTv2f32	= 711,
+    AArch64_FSQRTv2f64	= 712,
+    AArch64_FSQRTv4f32	= 713,
+    AArch64_FSUBDrr	= 714,
+    AArch64_FSUBSrr	= 715,
+    AArch64_FSUBv2f32	= 716,
+    AArch64_FSUBv2f64	= 717,
+    AArch64_FSUBv4f32	= 718,
+    AArch64_HINT	= 719,
+    AArch64_HLT	= 720,
+    AArch64_HVC	= 721,
+    AArch64_INSvi16gpr	= 722,
+    AArch64_INSvi16lane	= 723,
+    AArch64_INSvi32gpr	= 724,
+    AArch64_INSvi32lane	= 725,
+    AArch64_INSvi64gpr	= 726,
+    AArch64_INSvi64lane	= 727,
+    AArch64_INSvi8gpr	= 728,
+    AArch64_INSvi8lane	= 729,
+    AArch64_ISB	= 730,
+    AArch64_LD1Fourv16b	= 731,
+    AArch64_LD1Fourv16b_POST	= 732,
+    AArch64_LD1Fourv1d	= 733,
+    AArch64_LD1Fourv1d_POST	= 734,
+    AArch64_LD1Fourv2d	= 735,
+    AArch64_LD1Fourv2d_POST	= 736,
+    AArch64_LD1Fourv2s	= 737,
+    AArch64_LD1Fourv2s_POST	= 738,
+    AArch64_LD1Fourv4h	= 739,
+    AArch64_LD1Fourv4h_POST	= 740,
+    AArch64_LD1Fourv4s	= 741,
+    AArch64_LD1Fourv4s_POST	= 742,
+    AArch64_LD1Fourv8b	= 743,
+    AArch64_LD1Fourv8b_POST	= 744,
+    AArch64_LD1Fourv8h	= 745,
+    AArch64_LD1Fourv8h_POST	= 746,
+    AArch64_LD1Onev16b	= 747,
+    AArch64_LD1Onev16b_POST	= 748,
+    AArch64_LD1Onev1d	= 749,
+    AArch64_LD1Onev1d_POST	= 750,
+    AArch64_LD1Onev2d	= 751,
+    AArch64_LD1Onev2d_POST	= 752,
+    AArch64_LD1Onev2s	= 753,
+    AArch64_LD1Onev2s_POST	= 754,
+    AArch64_LD1Onev4h	= 755,
+    AArch64_LD1Onev4h_POST	= 756,
+    AArch64_LD1Onev4s	= 757,
+    AArch64_LD1Onev4s_POST	= 758,
+    AArch64_LD1Onev8b	= 759,
+    AArch64_LD1Onev8b_POST	= 760,
+    AArch64_LD1Onev8h	= 761,
+    AArch64_LD1Onev8h_POST	= 762,
+    AArch64_LD1Rv16b	= 763,
+    AArch64_LD1Rv16b_POST	= 764,
+    AArch64_LD1Rv1d	= 765,
+    AArch64_LD1Rv1d_POST	= 766,
+    AArch64_LD1Rv2d	= 767,
+    AArch64_LD1Rv2d_POST	= 768,
+    AArch64_LD1Rv2s	= 769,
+    AArch64_LD1Rv2s_POST	= 770,
+    AArch64_LD1Rv4h	= 771,
+    AArch64_LD1Rv4h_POST	= 772,
+    AArch64_LD1Rv4s	= 773,
+    AArch64_LD1Rv4s_POST	= 774,
+    AArch64_LD1Rv8b	= 775,
+    AArch64_LD1Rv8b_POST	= 776,
+    AArch64_LD1Rv8h	= 777,
+    AArch64_LD1Rv8h_POST	= 778,
+    AArch64_LD1Threev16b	= 779,
+    AArch64_LD1Threev16b_POST	= 780,
+    AArch64_LD1Threev1d	= 781,
+    AArch64_LD1Threev1d_POST	= 782,
+    AArch64_LD1Threev2d	= 783,
+    AArch64_LD1Threev2d_POST	= 784,
+    AArch64_LD1Threev2s	= 785,
+    AArch64_LD1Threev2s_POST	= 786,
+    AArch64_LD1Threev4h	= 787,
+    AArch64_LD1Threev4h_POST	= 788,
+    AArch64_LD1Threev4s	= 789,
+    AArch64_LD1Threev4s_POST	= 790,
+    AArch64_LD1Threev8b	= 791,
+    AArch64_LD1Threev8b_POST	= 792,
+    AArch64_LD1Threev8h	= 793,
+    AArch64_LD1Threev8h_POST	= 794,
+    AArch64_LD1Twov16b	= 795,
+    AArch64_LD1Twov16b_POST	= 796,
+    AArch64_LD1Twov1d	= 797,
+    AArch64_LD1Twov1d_POST	= 798,
+    AArch64_LD1Twov2d	= 799,
+    AArch64_LD1Twov2d_POST	= 800,
+    AArch64_LD1Twov2s	= 801,
+    AArch64_LD1Twov2s_POST	= 802,
+    AArch64_LD1Twov4h	= 803,
+    AArch64_LD1Twov4h_POST	= 804,
+    AArch64_LD1Twov4s	= 805,
+    AArch64_LD1Twov4s_POST	= 806,
+    AArch64_LD1Twov8b	= 807,
+    AArch64_LD1Twov8b_POST	= 808,
+    AArch64_LD1Twov8h	= 809,
+    AArch64_LD1Twov8h_POST	= 810,
+    AArch64_LD1i16	= 811,
+    AArch64_LD1i16_POST	= 812,
+    AArch64_LD1i32	= 813,
+    AArch64_LD1i32_POST	= 814,
+    AArch64_LD1i64	= 815,
+    AArch64_LD1i64_POST	= 816,
+    AArch64_LD1i8	= 817,
+    AArch64_LD1i8_POST	= 818,
+    AArch64_LD2Rv16b	= 819,
+    AArch64_LD2Rv16b_POST	= 820,
+    AArch64_LD2Rv1d	= 821,
+    AArch64_LD2Rv1d_POST	= 822,
+    AArch64_LD2Rv2d	= 823,
+    AArch64_LD2Rv2d_POST	= 824,
+    AArch64_LD2Rv2s	= 825,
+    AArch64_LD2Rv2s_POST	= 826,
+    AArch64_LD2Rv4h	= 827,
+    AArch64_LD2Rv4h_POST	= 828,
+    AArch64_LD2Rv4s	= 829,
+    AArch64_LD2Rv4s_POST	= 830,
+    AArch64_LD2Rv8b	= 831,
+    AArch64_LD2Rv8b_POST	= 832,
+    AArch64_LD2Rv8h	= 833,
+    AArch64_LD2Rv8h_POST	= 834,
+    AArch64_LD2Twov16b	= 835,
+    AArch64_LD2Twov16b_POST	= 836,
+    AArch64_LD2Twov2d	= 837,
+    AArch64_LD2Twov2d_POST	= 838,
+    AArch64_LD2Twov2s	= 839,
+    AArch64_LD2Twov2s_POST	= 840,
+    AArch64_LD2Twov4h	= 841,
+    AArch64_LD2Twov4h_POST	= 842,
+    AArch64_LD2Twov4s	= 843,
+    AArch64_LD2Twov4s_POST	= 844,
+    AArch64_LD2Twov8b	= 845,
+    AArch64_LD2Twov8b_POST	= 846,
+    AArch64_LD2Twov8h	= 847,
+    AArch64_LD2Twov8h_POST	= 848,
+    AArch64_LD2i16	= 849,
+    AArch64_LD2i16_POST	= 850,
+    AArch64_LD2i32	= 851,
+    AArch64_LD2i32_POST	= 852,
+    AArch64_LD2i64	= 853,
+    AArch64_LD2i64_POST	= 854,
+    AArch64_LD2i8	= 855,
+    AArch64_LD2i8_POST	= 856,
+    AArch64_LD3Rv16b	= 857,
+    AArch64_LD3Rv16b_POST	= 858,
+    AArch64_LD3Rv1d	= 859,
+    AArch64_LD3Rv1d_POST	= 860,
+    AArch64_LD3Rv2d	= 861,
+    AArch64_LD3Rv2d_POST	= 862,
+    AArch64_LD3Rv2s	= 863,
+    AArch64_LD3Rv2s_POST	= 864,
+    AArch64_LD3Rv4h	= 865,
+    AArch64_LD3Rv4h_POST	= 866,
+    AArch64_LD3Rv4s	= 867,
+    AArch64_LD3Rv4s_POST	= 868,
+    AArch64_LD3Rv8b	= 869,
+    AArch64_LD3Rv8b_POST	= 870,
+    AArch64_LD3Rv8h	= 871,
+    AArch64_LD3Rv8h_POST	= 872,
+    AArch64_LD3Threev16b	= 873,
+    AArch64_LD3Threev16b_POST	= 874,
+    AArch64_LD3Threev2d	= 875,
+    AArch64_LD3Threev2d_POST	= 876,
+    AArch64_LD3Threev2s	= 877,
+    AArch64_LD3Threev2s_POST	= 878,
+    AArch64_LD3Threev4h	= 879,
+    AArch64_LD3Threev4h_POST	= 880,
+    AArch64_LD3Threev4s	= 881,
+    AArch64_LD3Threev4s_POST	= 882,
+    AArch64_LD3Threev8b	= 883,
+    AArch64_LD3Threev8b_POST	= 884,
+    AArch64_LD3Threev8h	= 885,
+    AArch64_LD3Threev8h_POST	= 886,
+    AArch64_LD3i16	= 887,
+    AArch64_LD3i16_POST	= 888,
+    AArch64_LD3i32	= 889,
+    AArch64_LD3i32_POST	= 890,
+    AArch64_LD3i64	= 891,
+    AArch64_LD3i64_POST	= 892,
+    AArch64_LD3i8	= 893,
+    AArch64_LD3i8_POST	= 894,
+    AArch64_LD4Fourv16b	= 895,
+    AArch64_LD4Fourv16b_POST	= 896,
+    AArch64_LD4Fourv2d	= 897,
+    AArch64_LD4Fourv2d_POST	= 898,
+    AArch64_LD4Fourv2s	= 899,
+    AArch64_LD4Fourv2s_POST	= 900,
+    AArch64_LD4Fourv4h	= 901,
+    AArch64_LD4Fourv4h_POST	= 902,
+    AArch64_LD4Fourv4s	= 903,
+    AArch64_LD4Fourv4s_POST	= 904,
+    AArch64_LD4Fourv8b	= 905,
+    AArch64_LD4Fourv8b_POST	= 906,
+    AArch64_LD4Fourv8h	= 907,
+    AArch64_LD4Fourv8h_POST	= 908,
+    AArch64_LD4Rv16b	= 909,
+    AArch64_LD4Rv16b_POST	= 910,
+    AArch64_LD4Rv1d	= 911,
+    AArch64_LD4Rv1d_POST	= 912,
+    AArch64_LD4Rv2d	= 913,
+    AArch64_LD4Rv2d_POST	= 914,
+    AArch64_LD4Rv2s	= 915,
+    AArch64_LD4Rv2s_POST	= 916,
+    AArch64_LD4Rv4h	= 917,
+    AArch64_LD4Rv4h_POST	= 918,
+    AArch64_LD4Rv4s	= 919,
+    AArch64_LD4Rv4s_POST	= 920,
+    AArch64_LD4Rv8b	= 921,
+    AArch64_LD4Rv8b_POST	= 922,
+    AArch64_LD4Rv8h	= 923,
+    AArch64_LD4Rv8h_POST	= 924,
+    AArch64_LD4i16	= 925,
+    AArch64_LD4i16_POST	= 926,
+    AArch64_LD4i32	= 927,
+    AArch64_LD4i32_POST	= 928,
+    AArch64_LD4i64	= 929,
+    AArch64_LD4i64_POST	= 930,
+    AArch64_LD4i8	= 931,
+    AArch64_LD4i8_POST	= 932,
+    AArch64_LDARB	= 933,
+    AArch64_LDARH	= 934,
+    AArch64_LDARW	= 935,
+    AArch64_LDARX	= 936,
+    AArch64_LDAXPW	= 937,
+    AArch64_LDAXPX	= 938,
+    AArch64_LDAXRB	= 939,
+    AArch64_LDAXRH	= 940,
+    AArch64_LDAXRW	= 941,
+    AArch64_LDAXRX	= 942,
+    AArch64_LDNPDi	= 943,
+    AArch64_LDNPQi	= 944,
+    AArch64_LDNPSi	= 945,
+    AArch64_LDNPWi	= 946,
+    AArch64_LDNPXi	= 947,
+    AArch64_LDPDi	= 948,
+    AArch64_LDPDpost	= 949,
+    AArch64_LDPDpre	= 950,
+    AArch64_LDPQi	= 951,
+    AArch64_LDPQpost	= 952,
+    AArch64_LDPQpre	= 953,
+    AArch64_LDPSWi	= 954,
+    AArch64_LDPSWpost	= 955,
+    AArch64_LDPSWpre	= 956,
+    AArch64_LDPSi	= 957,
+    AArch64_LDPSpost	= 958,
+    AArch64_LDPSpre	= 959,
+    AArch64_LDPWi	= 960,
+    AArch64_LDPWpost	= 961,
+    AArch64_LDPWpre	= 962,
+    AArch64_LDPXi	= 963,
+    AArch64_LDPXpost	= 964,
+    AArch64_LDPXpre	= 965,
+    AArch64_LDRBBpost	= 966,
+    AArch64_LDRBBpre	= 967,
+    AArch64_LDRBBroW	= 968,
+    AArch64_LDRBBroX	= 969,
+    AArch64_LDRBBui	= 970,
+    AArch64_LDRBpost	= 971,
+    AArch64_LDRBpre	= 972,
+    AArch64_LDRBroW	= 973,
+    AArch64_LDRBroX	= 974,
+    AArch64_LDRBui	= 975,
+    AArch64_LDRDl	= 976,
+    AArch64_LDRDpost	= 977,
+    AArch64_LDRDpre	= 978,
+    AArch64_LDRDroW	= 979,
+    AArch64_LDRDroX	= 980,
+    AArch64_LDRDui	= 981,
+    AArch64_LDRHHpost	= 982,
+    AArch64_LDRHHpre	= 983,
+    AArch64_LDRHHroW	= 984,
+    AArch64_LDRHHroX	= 985,
+    AArch64_LDRHHui	= 986,
+    AArch64_LDRHpost	= 987,
+    AArch64_LDRHpre	= 988,
+    AArch64_LDRHroW	= 989,
+    AArch64_LDRHroX	= 990,
+    AArch64_LDRHui	= 991,
+    AArch64_LDRQl	= 992,
+    AArch64_LDRQpost	= 993,
+    AArch64_LDRQpre	= 994,
+    AArch64_LDRQroW	= 995,
+    AArch64_LDRQroX	= 996,
+    AArch64_LDRQui	= 997,
+    AArch64_LDRSBWpost	= 998,
+    AArch64_LDRSBWpre	= 999,
+    AArch64_LDRSBWroW	= 1000,
+    AArch64_LDRSBWroX	= 1001,
+    AArch64_LDRSBWui	= 1002,
+    AArch64_LDRSBXpost	= 1003,
+    AArch64_LDRSBXpre	= 1004,
+    AArch64_LDRSBXroW	= 1005,
+    AArch64_LDRSBXroX	= 1006,
+    AArch64_LDRSBXui	= 1007,
+    AArch64_LDRSHWpost	= 1008,
+    AArch64_LDRSHWpre	= 1009,
+    AArch64_LDRSHWroW	= 1010,
+    AArch64_LDRSHWroX	= 1011,
+    AArch64_LDRSHWui	= 1012,
+    AArch64_LDRSHXpost	= 1013,
+    AArch64_LDRSHXpre	= 1014,
+    AArch64_LDRSHXroW	= 1015,
+    AArch64_LDRSHXroX	= 1016,
+    AArch64_LDRSHXui	= 1017,
+    AArch64_LDRSWl	= 1018,
+    AArch64_LDRSWpost	= 1019,
+    AArch64_LDRSWpre	= 1020,
+    AArch64_LDRSWroW	= 1021,
+    AArch64_LDRSWroX	= 1022,
+    AArch64_LDRSWui	= 1023,
+    AArch64_LDRSl	= 1024,
+    AArch64_LDRSpost	= 1025,
+    AArch64_LDRSpre	= 1026,
+    AArch64_LDRSroW	= 1027,
+    AArch64_LDRSroX	= 1028,
+    AArch64_LDRSui	= 1029,
+    AArch64_LDRWl	= 1030,
+    AArch64_LDRWpost	= 1031,
+    AArch64_LDRWpre	= 1032,
+    AArch64_LDRWroW	= 1033,
+    AArch64_LDRWroX	= 1034,
+    AArch64_LDRWui	= 1035,
+    AArch64_LDRXl	= 1036,
+    AArch64_LDRXpost	= 1037,
+    AArch64_LDRXpre	= 1038,
+    AArch64_LDRXroW	= 1039,
+    AArch64_LDRXroX	= 1040,
+    AArch64_LDRXui	= 1041,
+    AArch64_LDTRBi	= 1042,
+    AArch64_LDTRHi	= 1043,
+    AArch64_LDTRSBWi	= 1044,
+    AArch64_LDTRSBXi	= 1045,
+    AArch64_LDTRSHWi	= 1046,
+    AArch64_LDTRSHXi	= 1047,
+    AArch64_LDTRSWi	= 1048,
+    AArch64_LDTRWi	= 1049,
+    AArch64_LDTRXi	= 1050,
+    AArch64_LDURBBi	= 1051,
+    AArch64_LDURBi	= 1052,
+    AArch64_LDURDi	= 1053,
+    AArch64_LDURHHi	= 1054,
+    AArch64_LDURHi	= 1055,
+    AArch64_LDURQi	= 1056,
+    AArch64_LDURSBWi	= 1057,
+    AArch64_LDURSBXi	= 1058,
+    AArch64_LDURSHWi	= 1059,
+    AArch64_LDURSHXi	= 1060,
+    AArch64_LDURSWi	= 1061,
+    AArch64_LDURSi	= 1062,
+    AArch64_LDURWi	= 1063,
+    AArch64_LDURXi	= 1064,
+    AArch64_LDXPW	= 1065,
+    AArch64_LDXPX	= 1066,
+    AArch64_LDXRB	= 1067,
+    AArch64_LDXRH	= 1068,
+    AArch64_LDXRW	= 1069,
+    AArch64_LDXRX	= 1070,
+    AArch64_LOADgot	= 1071,
+    AArch64_LSLVWr	= 1072,
+    AArch64_LSLVXr	= 1073,
+    AArch64_LSRVWr	= 1074,
+    AArch64_LSRVXr	= 1075,
+    AArch64_MADDWrrr	= 1076,
+    AArch64_MADDXrrr	= 1077,
+    AArch64_MLAv16i8	= 1078,
+    AArch64_MLAv2i32	= 1079,
+    AArch64_MLAv2i32_indexed	= 1080,
+    AArch64_MLAv4i16	= 1081,
+    AArch64_MLAv4i16_indexed	= 1082,
+    AArch64_MLAv4i32	= 1083,
+    AArch64_MLAv4i32_indexed	= 1084,
+    AArch64_MLAv8i16	= 1085,
+    AArch64_MLAv8i16_indexed	= 1086,
+    AArch64_MLAv8i8	= 1087,
+    AArch64_MLSv16i8	= 1088,
+    AArch64_MLSv2i32	= 1089,
+    AArch64_MLSv2i32_indexed	= 1090,
+    AArch64_MLSv4i16	= 1091,
+    AArch64_MLSv4i16_indexed	= 1092,
+    AArch64_MLSv4i32	= 1093,
+    AArch64_MLSv4i32_indexed	= 1094,
+    AArch64_MLSv8i16	= 1095,
+    AArch64_MLSv8i16_indexed	= 1096,
+    AArch64_MLSv8i8	= 1097,
+    AArch64_MOVID	= 1098,
+    AArch64_MOVIv16b_ns	= 1099,
+    AArch64_MOVIv2d_ns	= 1100,
+    AArch64_MOVIv2i32	= 1101,
+    AArch64_MOVIv2s_msl	= 1102,
+    AArch64_MOVIv4i16	= 1103,
+    AArch64_MOVIv4i32	= 1104,
+    AArch64_MOVIv4s_msl	= 1105,
+    AArch64_MOVIv8b_ns	= 1106,
+    AArch64_MOVIv8i16	= 1107,
+    AArch64_MOVKWi	= 1108,
+    AArch64_MOVKXi	= 1109,
+    AArch64_MOVNWi	= 1110,
+    AArch64_MOVNXi	= 1111,
+    AArch64_MOVZWi	= 1112,
+    AArch64_MOVZXi	= 1113,
+    AArch64_MOVaddr	= 1114,
+    AArch64_MOVaddrBA	= 1115,
+    AArch64_MOVaddrCP	= 1116,
+    AArch64_MOVaddrEXT	= 1117,
+    AArch64_MOVaddrJT	= 1118,
+    AArch64_MOVaddrTLS	= 1119,
+    AArch64_MOVi32imm	= 1120,
+    AArch64_MOVi64imm	= 1121,
+    AArch64_MRS	= 1122,
+    AArch64_MSR	= 1123,
+    AArch64_MSRpstate	= 1124,
+    AArch64_MSUBWrrr	= 1125,
+    AArch64_MSUBXrrr	= 1126,
+    AArch64_MULv16i8	= 1127,
+    AArch64_MULv2i32	= 1128,
+    AArch64_MULv2i32_indexed	= 1129,
+    AArch64_MULv4i16	= 1130,
+    AArch64_MULv4i16_indexed	= 1131,
+    AArch64_MULv4i32	= 1132,
+    AArch64_MULv4i32_indexed	= 1133,
+    AArch64_MULv8i16	= 1134,
+    AArch64_MULv8i16_indexed	= 1135,
+    AArch64_MULv8i8	= 1136,
+    AArch64_MVNIv2i32	= 1137,
+    AArch64_MVNIv2s_msl	= 1138,
+    AArch64_MVNIv4i16	= 1139,
+    AArch64_MVNIv4i32	= 1140,
+    AArch64_MVNIv4s_msl	= 1141,
+    AArch64_MVNIv8i16	= 1142,
+    AArch64_NEGv16i8	= 1143,
+    AArch64_NEGv1i64	= 1144,
+    AArch64_NEGv2i32	= 1145,
+    AArch64_NEGv2i64	= 1146,
+    AArch64_NEGv4i16	= 1147,
+    AArch64_NEGv4i32	= 1148,
+    AArch64_NEGv8i16	= 1149,
+    AArch64_NEGv8i8	= 1150,
+    AArch64_NOTv16i8	= 1151,
+    AArch64_NOTv8i8	= 1152,
+    AArch64_ORNWrr	= 1153,
+    AArch64_ORNWrs	= 1154,
+    AArch64_ORNXrr	= 1155,
+    AArch64_ORNXrs	= 1156,
+    AArch64_ORNv16i8	= 1157,
+    AArch64_ORNv8i8	= 1158,
+    AArch64_ORRWri	= 1159,
+    AArch64_ORRWrr	= 1160,
+    AArch64_ORRWrs	= 1161,
+    AArch64_ORRXri	= 1162,
+    AArch64_ORRXrr	= 1163,
+    AArch64_ORRXrs	= 1164,
+    AArch64_ORRv16i8	= 1165,
+    AArch64_ORRv2i32	= 1166,
+    AArch64_ORRv4i16	= 1167,
+    AArch64_ORRv4i32	= 1168,
+    AArch64_ORRv8i16	= 1169,
+    AArch64_ORRv8i8	= 1170,
+    AArch64_PMULLv16i8	= 1171,
+    AArch64_PMULLv1i64	= 1172,
+    AArch64_PMULLv2i64	= 1173,
+    AArch64_PMULLv8i8	= 1174,
+    AArch64_PMULv16i8	= 1175,
+    AArch64_PMULv8i8	= 1176,
+    AArch64_PRFMl	= 1177,
+    AArch64_PRFMroW	= 1178,
+    AArch64_PRFMroX	= 1179,
+    AArch64_PRFMui	= 1180,
+    AArch64_PRFUMi	= 1181,
+    AArch64_RADDHNv2i64_v2i32	= 1182,
+    AArch64_RADDHNv2i64_v4i32	= 1183,
+    AArch64_RADDHNv4i32_v4i16	= 1184,
+    AArch64_RADDHNv4i32_v8i16	= 1185,
+    AArch64_RADDHNv8i16_v16i8	= 1186,
+    AArch64_RADDHNv8i16_v8i8	= 1187,
+    AArch64_RBITWr	= 1188,
+    AArch64_RBITXr	= 1189,
+    AArch64_RBITv16i8	= 1190,
+    AArch64_RBITv8i8	= 1191,
+    AArch64_RET	= 1192,
+    AArch64_RET_ReallyLR	= 1193,
+    AArch64_REV16Wr	= 1194,
+    AArch64_REV16Xr	= 1195,
+    AArch64_REV16v16i8	= 1196,
+    AArch64_REV16v8i8	= 1197,
+    AArch64_REV32Xr	= 1198,
+    AArch64_REV32v16i8	= 1199,
+    AArch64_REV32v4i16	= 1200,
+    AArch64_REV32v8i16	= 1201,
+    AArch64_REV32v8i8	= 1202,
+    AArch64_REV64v16i8	= 1203,
+    AArch64_REV64v2i32	= 1204,
+    AArch64_REV64v4i16	= 1205,
+    AArch64_REV64v4i32	= 1206,
+    AArch64_REV64v8i16	= 1207,
+    AArch64_REV64v8i8	= 1208,
+    AArch64_REVWr	= 1209,
+    AArch64_REVXr	= 1210,
+    AArch64_RORVWr	= 1211,
+    AArch64_RORVXr	= 1212,
+    AArch64_RSHRNv16i8_shift	= 1213,
+    AArch64_RSHRNv2i32_shift	= 1214,
+    AArch64_RSHRNv4i16_shift	= 1215,
+    AArch64_RSHRNv4i32_shift	= 1216,
+    AArch64_RSHRNv8i16_shift	= 1217,
+    AArch64_RSHRNv8i8_shift	= 1218,
+    AArch64_RSUBHNv2i64_v2i32	= 1219,
+    AArch64_RSUBHNv2i64_v4i32	= 1220,
+    AArch64_RSUBHNv4i32_v4i16	= 1221,
+    AArch64_RSUBHNv4i32_v8i16	= 1222,
+    AArch64_RSUBHNv8i16_v16i8	= 1223,
+    AArch64_RSUBHNv8i16_v8i8	= 1224,
+    AArch64_SABALv16i8_v8i16	= 1225,
+    AArch64_SABALv2i32_v2i64	= 1226,
+    AArch64_SABALv4i16_v4i32	= 1227,
+    AArch64_SABALv4i32_v2i64	= 1228,
+    AArch64_SABALv8i16_v4i32	= 1229,
+    AArch64_SABALv8i8_v8i16	= 1230,
+    AArch64_SABAv16i8	= 1231,
+    AArch64_SABAv2i32	= 1232,
+    AArch64_SABAv4i16	= 1233,
+    AArch64_SABAv4i32	= 1234,
+    AArch64_SABAv8i16	= 1235,
+    AArch64_SABAv8i8	= 1236,
+    AArch64_SABDLv16i8_v8i16	= 1237,
+    AArch64_SABDLv2i32_v2i64	= 1238,
+    AArch64_SABDLv4i16_v4i32	= 1239,
+    AArch64_SABDLv4i32_v2i64	= 1240,
+    AArch64_SABDLv8i16_v4i32	= 1241,
+    AArch64_SABDLv8i8_v8i16	= 1242,
+    AArch64_SABDv16i8	= 1243,
+    AArch64_SABDv2i32	= 1244,
+    AArch64_SABDv4i16	= 1245,
+    AArch64_SABDv4i32	= 1246,
+    AArch64_SABDv8i16	= 1247,
+    AArch64_SABDv8i8	= 1248,
+    AArch64_SADALPv16i8_v8i16	= 1249,
+    AArch64_SADALPv2i32_v1i64	= 1250,
+    AArch64_SADALPv4i16_v2i32	= 1251,
+    AArch64_SADALPv4i32_v2i64	= 1252,
+    AArch64_SADALPv8i16_v4i32	= 1253,
+    AArch64_SADALPv8i8_v4i16	= 1254,
+    AArch64_SADDLPv16i8_v8i16	= 1255,
+    AArch64_SADDLPv2i32_v1i64	= 1256,
+    AArch64_SADDLPv4i16_v2i32	= 1257,
+    AArch64_SADDLPv4i32_v2i64	= 1258,
+    AArch64_SADDLPv8i16_v4i32	= 1259,
+    AArch64_SADDLPv8i8_v4i16	= 1260,
+    AArch64_SADDLVv16i8v	= 1261,
+    AArch64_SADDLVv4i16v	= 1262,
+    AArch64_SADDLVv4i32v	= 1263,
+    AArch64_SADDLVv8i16v	= 1264,
+    AArch64_SADDLVv8i8v	= 1265,
+    AArch64_SADDLv16i8_v8i16	= 1266,
+    AArch64_SADDLv2i32_v2i64	= 1267,
+    AArch64_SADDLv4i16_v4i32	= 1268,
+    AArch64_SADDLv4i32_v2i64	= 1269,
+    AArch64_SADDLv8i16_v4i32	= 1270,
+    AArch64_SADDLv8i8_v8i16	= 1271,
+    AArch64_SADDWv16i8_v8i16	= 1272,
+    AArch64_SADDWv2i32_v2i64	= 1273,
+    AArch64_SADDWv4i16_v4i32	= 1274,
+    AArch64_SADDWv4i32_v2i64	= 1275,
+    AArch64_SADDWv8i16_v4i32	= 1276,
+    AArch64_SADDWv8i8_v8i16	= 1277,
+    AArch64_SBCSWr	= 1278,
+    AArch64_SBCSXr	= 1279,
+    AArch64_SBCWr	= 1280,
+    AArch64_SBCXr	= 1281,
+    AArch64_SBFMWri	= 1282,
+    AArch64_SBFMXri	= 1283,
+    AArch64_SCVTFSWDri	= 1284,
+    AArch64_SCVTFSWSri	= 1285,
+    AArch64_SCVTFSXDri	= 1286,
+    AArch64_SCVTFSXSri	= 1287,
+    AArch64_SCVTFUWDri	= 1288,
+    AArch64_SCVTFUWSri	= 1289,
+    AArch64_SCVTFUXDri	= 1290,
+    AArch64_SCVTFUXSri	= 1291,
+    AArch64_SCVTFd	= 1292,
+    AArch64_SCVTFs	= 1293,
+    AArch64_SCVTFv1i32	= 1294,
+    AArch64_SCVTFv1i64	= 1295,
+    AArch64_SCVTFv2f32	= 1296,
+    AArch64_SCVTFv2f64	= 1297,
+    AArch64_SCVTFv2i32_shift	= 1298,
+    AArch64_SCVTFv2i64_shift	= 1299,
+    AArch64_SCVTFv4f32	= 1300,
+    AArch64_SCVTFv4i32_shift	= 1301,
+    AArch64_SDIVWr	= 1302,
+    AArch64_SDIVXr	= 1303,
+    AArch64_SDIV_IntWr	= 1304,
+    AArch64_SDIV_IntXr	= 1305,
+    AArch64_SHA1Crrr	= 1306,
+    AArch64_SHA1Hrr	= 1307,
+    AArch64_SHA1Mrrr	= 1308,
+    AArch64_SHA1Prrr	= 1309,
+    AArch64_SHA1SU0rrr	= 1310,
+    AArch64_SHA1SU1rr	= 1311,
+    AArch64_SHA256H2rrr	= 1312,
+    AArch64_SHA256Hrrr	= 1313,
+    AArch64_SHA256SU0rr	= 1314,
+    AArch64_SHA256SU1rrr	= 1315,
+    AArch64_SHADDv16i8	= 1316,
+    AArch64_SHADDv2i32	= 1317,
+    AArch64_SHADDv4i16	= 1318,
+    AArch64_SHADDv4i32	= 1319,
+    AArch64_SHADDv8i16	= 1320,
+    AArch64_SHADDv8i8	= 1321,
+    AArch64_SHLLv16i8	= 1322,
+    AArch64_SHLLv2i32	= 1323,
+    AArch64_SHLLv4i16	= 1324,
+    AArch64_SHLLv4i32	= 1325,
+    AArch64_SHLLv8i16	= 1326,
+    AArch64_SHLLv8i8	= 1327,
+    AArch64_SHLd	= 1328,
+    AArch64_SHLv16i8_shift	= 1329,
+    AArch64_SHLv2i32_shift	= 1330,
+    AArch64_SHLv2i64_shift	= 1331,
+    AArch64_SHLv4i16_shift	= 1332,
+    AArch64_SHLv4i32_shift	= 1333,
+    AArch64_SHLv8i16_shift	= 1334,
+    AArch64_SHLv8i8_shift	= 1335,
+    AArch64_SHRNv16i8_shift	= 1336,
+    AArch64_SHRNv2i32_shift	= 1337,
+    AArch64_SHRNv4i16_shift	= 1338,
+    AArch64_SHRNv4i32_shift	= 1339,
+    AArch64_SHRNv8i16_shift	= 1340,
+    AArch64_SHRNv8i8_shift	= 1341,
+    AArch64_SHSUBv16i8	= 1342,
+    AArch64_SHSUBv2i32	= 1343,
+    AArch64_SHSUBv4i16	= 1344,
+    AArch64_SHSUBv4i32	= 1345,
+    AArch64_SHSUBv8i16	= 1346,
+    AArch64_SHSUBv8i8	= 1347,
+    AArch64_SLId	= 1348,
+    AArch64_SLIv16i8_shift	= 1349,
+    AArch64_SLIv2i32_shift	= 1350,
+    AArch64_SLIv2i64_shift	= 1351,
+    AArch64_SLIv4i16_shift	= 1352,
+    AArch64_SLIv4i32_shift	= 1353,
+    AArch64_SLIv8i16_shift	= 1354,
+    AArch64_SLIv8i8_shift	= 1355,
+    AArch64_SMADDLrrr	= 1356,
+    AArch64_SMAXPv16i8	= 1357,
+    AArch64_SMAXPv2i32	= 1358,
+    AArch64_SMAXPv4i16	= 1359,
+    AArch64_SMAXPv4i32	= 1360,
+    AArch64_SMAXPv8i16	= 1361,
+    AArch64_SMAXPv8i8	= 1362,
+    AArch64_SMAXVv16i8v	= 1363,
+    AArch64_SMAXVv4i16v	= 1364,
+    AArch64_SMAXVv4i32v	= 1365,
+    AArch64_SMAXVv8i16v	= 1366,
+    AArch64_SMAXVv8i8v	= 1367,
+    AArch64_SMAXv16i8	= 1368,
+    AArch64_SMAXv2i32	= 1369,
+    AArch64_SMAXv4i16	= 1370,
+    AArch64_SMAXv4i32	= 1371,
+    AArch64_SMAXv8i16	= 1372,
+    AArch64_SMAXv8i8	= 1373,
+    AArch64_SMC	= 1374,
+    AArch64_SMINPv16i8	= 1375,
+    AArch64_SMINPv2i32	= 1376,
+    AArch64_SMINPv4i16	= 1377,
+    AArch64_SMINPv4i32	= 1378,
+    AArch64_SMINPv8i16	= 1379,
+    AArch64_SMINPv8i8	= 1380,
+    AArch64_SMINVv16i8v	= 1381,
+    AArch64_SMINVv4i16v	= 1382,
+    AArch64_SMINVv4i32v	= 1383,
+    AArch64_SMINVv8i16v	= 1384,
+    AArch64_SMINVv8i8v	= 1385,
+    AArch64_SMINv16i8	= 1386,
+    AArch64_SMINv2i32	= 1387,
+    AArch64_SMINv4i16	= 1388,
+    AArch64_SMINv4i32	= 1389,
+    AArch64_SMINv8i16	= 1390,
+    AArch64_SMINv8i8	= 1391,
+    AArch64_SMLALv16i8_v8i16	= 1392,
+    AArch64_SMLALv2i32_indexed	= 1393,
+    AArch64_SMLALv2i32_v2i64	= 1394,
+    AArch64_SMLALv4i16_indexed	= 1395,
+    AArch64_SMLALv4i16_v4i32	= 1396,
+    AArch64_SMLALv4i32_indexed	= 1397,
+    AArch64_SMLALv4i32_v2i64	= 1398,
+    AArch64_SMLALv8i16_indexed	= 1399,
+    AArch64_SMLALv8i16_v4i32	= 1400,
+    AArch64_SMLALv8i8_v8i16	= 1401,
+    AArch64_SMLSLv16i8_v8i16	= 1402,
+    AArch64_SMLSLv2i32_indexed	= 1403,
+    AArch64_SMLSLv2i32_v2i64	= 1404,
+    AArch64_SMLSLv4i16_indexed	= 1405,
+    AArch64_SMLSLv4i16_v4i32	= 1406,
+    AArch64_SMLSLv4i32_indexed	= 1407,
+    AArch64_SMLSLv4i32_v2i64	= 1408,
+    AArch64_SMLSLv8i16_indexed	= 1409,
+    AArch64_SMLSLv8i16_v4i32	= 1410,
+    AArch64_SMLSLv8i8_v8i16	= 1411,
+    AArch64_SMOVvi16to32	= 1412,
+    AArch64_SMOVvi16to64	= 1413,
+    AArch64_SMOVvi32to64	= 1414,
+    AArch64_SMOVvi8to32	= 1415,
+    AArch64_SMOVvi8to64	= 1416,
+    AArch64_SMSUBLrrr	= 1417,
+    AArch64_SMULHrr	= 1418,
+    AArch64_SMULLv16i8_v8i16	= 1419,
+    AArch64_SMULLv2i32_indexed	= 1420,
+    AArch64_SMULLv2i32_v2i64	= 1421,
+    AArch64_SMULLv4i16_indexed	= 1422,
+    AArch64_SMULLv4i16_v4i32	= 1423,
+    AArch64_SMULLv4i32_indexed	= 1424,
+    AArch64_SMULLv4i32_v2i64	= 1425,
+    AArch64_SMULLv8i16_indexed	= 1426,
+    AArch64_SMULLv8i16_v4i32	= 1427,
+    AArch64_SMULLv8i8_v8i16	= 1428,
+    AArch64_SQABSv16i8	= 1429,
+    AArch64_SQABSv1i16	= 1430,
+    AArch64_SQABSv1i32	= 1431,
+    AArch64_SQABSv1i64	= 1432,
+    AArch64_SQABSv1i8	= 1433,
+    AArch64_SQABSv2i32	= 1434,
+    AArch64_SQABSv2i64	= 1435,
+    AArch64_SQABSv4i16	= 1436,
+    AArch64_SQABSv4i32	= 1437,
+    AArch64_SQABSv8i16	= 1438,
+    AArch64_SQABSv8i8	= 1439,
+    AArch64_SQADDv16i8	= 1440,
+    AArch64_SQADDv1i16	= 1441,
+    AArch64_SQADDv1i32	= 1442,
+    AArch64_SQADDv1i64	= 1443,
+    AArch64_SQADDv1i8	= 1444,
+    AArch64_SQADDv2i32	= 1445,
+    AArch64_SQADDv2i64	= 1446,
+    AArch64_SQADDv4i16	= 1447,
+    AArch64_SQADDv4i32	= 1448,
+    AArch64_SQADDv8i16	= 1449,
+    AArch64_SQADDv8i8	= 1450,
+    AArch64_SQDMLALi16	= 1451,
+    AArch64_SQDMLALi32	= 1452,
+    AArch64_SQDMLALv1i32_indexed	= 1453,
+    AArch64_SQDMLALv1i64_indexed	= 1454,
+    AArch64_SQDMLALv2i32_indexed	= 1455,
+    AArch64_SQDMLALv2i32_v2i64	= 1456,
+    AArch64_SQDMLALv4i16_indexed	= 1457,
+    AArch64_SQDMLALv4i16_v4i32	= 1458,
+    AArch64_SQDMLALv4i32_indexed	= 1459,
+    AArch64_SQDMLALv4i32_v2i64	= 1460,
+    AArch64_SQDMLALv8i16_indexed	= 1461,
+    AArch64_SQDMLALv8i16_v4i32	= 1462,
+    AArch64_SQDMLSLi16	= 1463,
+    AArch64_SQDMLSLi32	= 1464,
+    AArch64_SQDMLSLv1i32_indexed	= 1465,
+    AArch64_SQDMLSLv1i64_indexed	= 1466,
+    AArch64_SQDMLSLv2i32_indexed	= 1467,
+    AArch64_SQDMLSLv2i32_v2i64	= 1468,
+    AArch64_SQDMLSLv4i16_indexed	= 1469,
+    AArch64_SQDMLSLv4i16_v4i32	= 1470,
+    AArch64_SQDMLSLv4i32_indexed	= 1471,
+    AArch64_SQDMLSLv4i32_v2i64	= 1472,
+    AArch64_SQDMLSLv8i16_indexed	= 1473,
+    AArch64_SQDMLSLv8i16_v4i32	= 1474,
+    AArch64_SQDMULHv1i16	= 1475,
+    AArch64_SQDMULHv1i16_indexed	= 1476,
+    AArch64_SQDMULHv1i32	= 1477,
+    AArch64_SQDMULHv1i32_indexed	= 1478,
+    AArch64_SQDMULHv2i32	= 1479,
+    AArch64_SQDMULHv2i32_indexed	= 1480,
+    AArch64_SQDMULHv4i16	= 1481,
+    AArch64_SQDMULHv4i16_indexed	= 1482,
+    AArch64_SQDMULHv4i32	= 1483,
+    AArch64_SQDMULHv4i32_indexed	= 1484,
+    AArch64_SQDMULHv8i16	= 1485,
+    AArch64_SQDMULHv8i16_indexed	= 1486,
+    AArch64_SQDMULLi16	= 1487,
+    AArch64_SQDMULLi32	= 1488,
+    AArch64_SQDMULLv1i32_indexed	= 1489,
+    AArch64_SQDMULLv1i64_indexed	= 1490,
+    AArch64_SQDMULLv2i32_indexed	= 1491,
+    AArch64_SQDMULLv2i32_v2i64	= 1492,
+    AArch64_SQDMULLv4i16_indexed	= 1493,
+    AArch64_SQDMULLv4i16_v4i32	= 1494,
+    AArch64_SQDMULLv4i32_indexed	= 1495,
+    AArch64_SQDMULLv4i32_v2i64	= 1496,
+    AArch64_SQDMULLv8i16_indexed	= 1497,
+    AArch64_SQDMULLv8i16_v4i32	= 1498,
+    AArch64_SQNEGv16i8	= 1499,
+    AArch64_SQNEGv1i16	= 1500,
+    AArch64_SQNEGv1i32	= 1501,
+    AArch64_SQNEGv1i64	= 1502,
+    AArch64_SQNEGv1i8	= 1503,
+    AArch64_SQNEGv2i32	= 1504,
+    AArch64_SQNEGv2i64	= 1505,
+    AArch64_SQNEGv4i16	= 1506,
+    AArch64_SQNEGv4i32	= 1507,
+    AArch64_SQNEGv8i16	= 1508,
+    AArch64_SQNEGv8i8	= 1509,
+    AArch64_SQRDMULHv1i16	= 1510,
+    AArch64_SQRDMULHv1i16_indexed	= 1511,
+    AArch64_SQRDMULHv1i32	= 1512,
+    AArch64_SQRDMULHv1i32_indexed	= 1513,
+    AArch64_SQRDMULHv2i32	= 1514,
+    AArch64_SQRDMULHv2i32_indexed	= 1515,
+    AArch64_SQRDMULHv4i16	= 1516,
+    AArch64_SQRDMULHv4i16_indexed	= 1517,
+    AArch64_SQRDMULHv4i32	= 1518,
+    AArch64_SQRDMULHv4i32_indexed	= 1519,
+    AArch64_SQRDMULHv8i16	= 1520,
+    AArch64_SQRDMULHv8i16_indexed	= 1521,
+    AArch64_SQRSHLv16i8	= 1522,
+    AArch64_SQRSHLv1i16	= 1523,
+    AArch64_SQRSHLv1i32	= 1524,
+    AArch64_SQRSHLv1i64	= 1525,
+    AArch64_SQRSHLv1i8	= 1526,
+    AArch64_SQRSHLv2i32	= 1527,
+    AArch64_SQRSHLv2i64	= 1528,
+    AArch64_SQRSHLv4i16	= 1529,
+    AArch64_SQRSHLv4i32	= 1530,
+    AArch64_SQRSHLv8i16	= 1531,
+    AArch64_SQRSHLv8i8	= 1532,
+    AArch64_SQRSHRNb	= 1533,
+    AArch64_SQRSHRNh	= 1534,
+    AArch64_SQRSHRNs	= 1535,
+    AArch64_SQRSHRNv16i8_shift	= 1536,
+    AArch64_SQRSHRNv2i32_shift	= 1537,
+    AArch64_SQRSHRNv4i16_shift	= 1538,
+    AArch64_SQRSHRNv4i32_shift	= 1539,
+    AArch64_SQRSHRNv8i16_shift	= 1540,
+    AArch64_SQRSHRNv8i8_shift	= 1541,
+    AArch64_SQRSHRUNb	= 1542,
+    AArch64_SQRSHRUNh	= 1543,
+    AArch64_SQRSHRUNs	= 1544,
+    AArch64_SQRSHRUNv16i8_shift	= 1545,
+    AArch64_SQRSHRUNv2i32_shift	= 1546,
+    AArch64_SQRSHRUNv4i16_shift	= 1547,
+    AArch64_SQRSHRUNv4i32_shift	= 1548,
+    AArch64_SQRSHRUNv8i16_shift	= 1549,
+    AArch64_SQRSHRUNv8i8_shift	= 1550,
+    AArch64_SQSHLUb	= 1551,
+    AArch64_SQSHLUd	= 1552,
+    AArch64_SQSHLUh	= 1553,
+    AArch64_SQSHLUs	= 1554,
+    AArch64_SQSHLUv16i8_shift	= 1555,
+    AArch64_SQSHLUv2i32_shift	= 1556,
+    AArch64_SQSHLUv2i64_shift	= 1557,
+    AArch64_SQSHLUv4i16_shift	= 1558,
+    AArch64_SQSHLUv4i32_shift	= 1559,
+    AArch64_SQSHLUv8i16_shift	= 1560,
+    AArch64_SQSHLUv8i8_shift	= 1561,
+    AArch64_SQSHLb	= 1562,
+    AArch64_SQSHLd	= 1563,
+    AArch64_SQSHLh	= 1564,
+    AArch64_SQSHLs	= 1565,
+    AArch64_SQSHLv16i8	= 1566,
+    AArch64_SQSHLv16i8_shift	= 1567,
+    AArch64_SQSHLv1i16	= 1568,
+    AArch64_SQSHLv1i32	= 1569,
+    AArch64_SQSHLv1i64	= 1570,
+    AArch64_SQSHLv1i8	= 1571,
+    AArch64_SQSHLv2i32	= 1572,
+    AArch64_SQSHLv2i32_shift	= 1573,
+    AArch64_SQSHLv2i64	= 1574,
+    AArch64_SQSHLv2i64_shift	= 1575,
+    AArch64_SQSHLv4i16	= 1576,
+    AArch64_SQSHLv4i16_shift	= 1577,
+    AArch64_SQSHLv4i32	= 1578,
+    AArch64_SQSHLv4i32_shift	= 1579,
+    AArch64_SQSHLv8i16	= 1580,
+    AArch64_SQSHLv8i16_shift	= 1581,
+    AArch64_SQSHLv8i8	= 1582,
+    AArch64_SQSHLv8i8_shift	= 1583,
+    AArch64_SQSHRNb	= 1584,
+    AArch64_SQSHRNh	= 1585,
+    AArch64_SQSHRNs	= 1586,
+    AArch64_SQSHRNv16i8_shift	= 1587,
+    AArch64_SQSHRNv2i32_shift	= 1588,
+    AArch64_SQSHRNv4i16_shift	= 1589,
+    AArch64_SQSHRNv4i32_shift	= 1590,
+    AArch64_SQSHRNv8i16_shift	= 1591,
+    AArch64_SQSHRNv8i8_shift	= 1592,
+    AArch64_SQSHRUNb	= 1593,
+    AArch64_SQSHRUNh	= 1594,
+    AArch64_SQSHRUNs	= 1595,
+    AArch64_SQSHRUNv16i8_shift	= 1596,
+    AArch64_SQSHRUNv2i32_shift	= 1597,
+    AArch64_SQSHRUNv4i16_shift	= 1598,
+    AArch64_SQSHRUNv4i32_shift	= 1599,
+    AArch64_SQSHRUNv8i16_shift	= 1600,
+    AArch64_SQSHRUNv8i8_shift	= 1601,
+    AArch64_SQSUBv16i8	= 1602,
+    AArch64_SQSUBv1i16	= 1603,
+    AArch64_SQSUBv1i32	= 1604,
+    AArch64_SQSUBv1i64	= 1605,
+    AArch64_SQSUBv1i8	= 1606,
+    AArch64_SQSUBv2i32	= 1607,
+    AArch64_SQSUBv2i64	= 1608,
+    AArch64_SQSUBv4i16	= 1609,
+    AArch64_SQSUBv4i32	= 1610,
+    AArch64_SQSUBv8i16	= 1611,
+    AArch64_SQSUBv8i8	= 1612,
+    AArch64_SQXTNv16i8	= 1613,
+    AArch64_SQXTNv1i16	= 1614,
+    AArch64_SQXTNv1i32	= 1615,
+    AArch64_SQXTNv1i8	= 1616,
+    AArch64_SQXTNv2i32	= 1617,
+    AArch64_SQXTNv4i16	= 1618,
+    AArch64_SQXTNv4i32	= 1619,
+    AArch64_SQXTNv8i16	= 1620,
+    AArch64_SQXTNv8i8	= 1621,
+    AArch64_SQXTUNv16i8	= 1622,
+    AArch64_SQXTUNv1i16	= 1623,
+    AArch64_SQXTUNv1i32	= 1624,
+    AArch64_SQXTUNv1i8	= 1625,
+    AArch64_SQXTUNv2i32	= 1626,
+    AArch64_SQXTUNv4i16	= 1627,
+    AArch64_SQXTUNv4i32	= 1628,
+    AArch64_SQXTUNv8i16	= 1629,
+    AArch64_SQXTUNv8i8	= 1630,
+    AArch64_SRHADDv16i8	= 1631,
+    AArch64_SRHADDv2i32	= 1632,
+    AArch64_SRHADDv4i16	= 1633,
+    AArch64_SRHADDv4i32	= 1634,
+    AArch64_SRHADDv8i16	= 1635,
+    AArch64_SRHADDv8i8	= 1636,
+    AArch64_SRId	= 1637,
+    AArch64_SRIv16i8_shift	= 1638,
+    AArch64_SRIv2i32_shift	= 1639,
+    AArch64_SRIv2i64_shift	= 1640,
+    AArch64_SRIv4i16_shift	= 1641,
+    AArch64_SRIv4i32_shift	= 1642,
+    AArch64_SRIv8i16_shift	= 1643,
+    AArch64_SRIv8i8_shift	= 1644,
+    AArch64_SRSHLv16i8	= 1645,
+    AArch64_SRSHLv1i64	= 1646,
+    AArch64_SRSHLv2i32	= 1647,
+    AArch64_SRSHLv2i64	= 1648,
+    AArch64_SRSHLv4i16	= 1649,
+    AArch64_SRSHLv4i32	= 1650,
+    AArch64_SRSHLv8i16	= 1651,
+    AArch64_SRSHLv8i8	= 1652,
+    AArch64_SRSHRd	= 1653,
+    AArch64_SRSHRv16i8_shift	= 1654,
+    AArch64_SRSHRv2i32_shift	= 1655,
+    AArch64_SRSHRv2i64_shift	= 1656,
+    AArch64_SRSHRv4i16_shift	= 1657,
+    AArch64_SRSHRv4i32_shift	= 1658,
+    AArch64_SRSHRv8i16_shift	= 1659,
+    AArch64_SRSHRv8i8_shift	= 1660,
+    AArch64_SRSRAd	= 1661,
+    AArch64_SRSRAv16i8_shift	= 1662,
+    AArch64_SRSRAv2i32_shift	= 1663,
+    AArch64_SRSRAv2i64_shift	= 1664,
+    AArch64_SRSRAv4i16_shift	= 1665,
+    AArch64_SRSRAv4i32_shift	= 1666,
+    AArch64_SRSRAv8i16_shift	= 1667,
+    AArch64_SRSRAv8i8_shift	= 1668,
+    AArch64_SSHLLv16i8_shift	= 1669,
+    AArch64_SSHLLv2i32_shift	= 1670,
+    AArch64_SSHLLv4i16_shift	= 1671,
+    AArch64_SSHLLv4i32_shift	= 1672,
+    AArch64_SSHLLv8i16_shift	= 1673,
+    AArch64_SSHLLv8i8_shift	= 1674,
+    AArch64_SSHLv16i8	= 1675,
+    AArch64_SSHLv1i64	= 1676,
+    AArch64_SSHLv2i32	= 1677,
+    AArch64_SSHLv2i64	= 1678,
+    AArch64_SSHLv4i16	= 1679,
+    AArch64_SSHLv4i32	= 1680,
+    AArch64_SSHLv8i16	= 1681,
+    AArch64_SSHLv8i8	= 1682,
+    AArch64_SSHRd	= 1683,
+    AArch64_SSHRv16i8_shift	= 1684,
+    AArch64_SSHRv2i32_shift	= 1685,
+    AArch64_SSHRv2i64_shift	= 1686,
+    AArch64_SSHRv4i16_shift	= 1687,
+    AArch64_SSHRv4i32_shift	= 1688,
+    AArch64_SSHRv8i16_shift	= 1689,
+    AArch64_SSHRv8i8_shift	= 1690,
+    AArch64_SSRAd	= 1691,
+    AArch64_SSRAv16i8_shift	= 1692,
+    AArch64_SSRAv2i32_shift	= 1693,
+    AArch64_SSRAv2i64_shift	= 1694,
+    AArch64_SSRAv4i16_shift	= 1695,
+    AArch64_SSRAv4i32_shift	= 1696,
+    AArch64_SSRAv8i16_shift	= 1697,
+    AArch64_SSRAv8i8_shift	= 1698,
+    AArch64_SSUBLv16i8_v8i16	= 1699,
+    AArch64_SSUBLv2i32_v2i64	= 1700,
+    AArch64_SSUBLv4i16_v4i32	= 1701,
+    AArch64_SSUBLv4i32_v2i64	= 1702,
+    AArch64_SSUBLv8i16_v4i32	= 1703,
+    AArch64_SSUBLv8i8_v8i16	= 1704,
+    AArch64_SSUBWv16i8_v8i16	= 1705,
+    AArch64_SSUBWv2i32_v2i64	= 1706,
+    AArch64_SSUBWv4i16_v4i32	= 1707,
+    AArch64_SSUBWv4i32_v2i64	= 1708,
+    AArch64_SSUBWv8i16_v4i32	= 1709,
+    AArch64_SSUBWv8i8_v8i16	= 1710,
+    AArch64_ST1Fourv16b	= 1711,
+    AArch64_ST1Fourv16b_POST	= 1712,
+    AArch64_ST1Fourv1d	= 1713,
+    AArch64_ST1Fourv1d_POST	= 1714,
+    AArch64_ST1Fourv2d	= 1715,
+    AArch64_ST1Fourv2d_POST	= 1716,
+    AArch64_ST1Fourv2s	= 1717,
+    AArch64_ST1Fourv2s_POST	= 1718,
+    AArch64_ST1Fourv4h	= 1719,
+    AArch64_ST1Fourv4h_POST	= 1720,
+    AArch64_ST1Fourv4s	= 1721,
+    AArch64_ST1Fourv4s_POST	= 1722,
+    AArch64_ST1Fourv8b	= 1723,
+    AArch64_ST1Fourv8b_POST	= 1724,
+    AArch64_ST1Fourv8h	= 1725,
+    AArch64_ST1Fourv8h_POST	= 1726,
+    AArch64_ST1Onev16b	= 1727,
+    AArch64_ST1Onev16b_POST	= 1728,
+    AArch64_ST1Onev1d	= 1729,
+    AArch64_ST1Onev1d_POST	= 1730,
+    AArch64_ST1Onev2d	= 1731,
+    AArch64_ST1Onev2d_POST	= 1732,
+    AArch64_ST1Onev2s	= 1733,
+    AArch64_ST1Onev2s_POST	= 1734,
+    AArch64_ST1Onev4h	= 1735,
+    AArch64_ST1Onev4h_POST	= 1736,
+    AArch64_ST1Onev4s	= 1737,
+    AArch64_ST1Onev4s_POST	= 1738,
+    AArch64_ST1Onev8b	= 1739,
+    AArch64_ST1Onev8b_POST	= 1740,
+    AArch64_ST1Onev8h	= 1741,
+    AArch64_ST1Onev8h_POST	= 1742,
+    AArch64_ST1Threev16b	= 1743,
+    AArch64_ST1Threev16b_POST	= 1744,
+    AArch64_ST1Threev1d	= 1745,
+    AArch64_ST1Threev1d_POST	= 1746,
+    AArch64_ST1Threev2d	= 1747,
+    AArch64_ST1Threev2d_POST	= 1748,
+    AArch64_ST1Threev2s	= 1749,
+    AArch64_ST1Threev2s_POST	= 1750,
+    AArch64_ST1Threev4h	= 1751,
+    AArch64_ST1Threev4h_POST	= 1752,
+    AArch64_ST1Threev4s	= 1753,
+    AArch64_ST1Threev4s_POST	= 1754,
+    AArch64_ST1Threev8b	= 1755,
+    AArch64_ST1Threev8b_POST	= 1756,
+    AArch64_ST1Threev8h	= 1757,
+    AArch64_ST1Threev8h_POST	= 1758,
+    AArch64_ST1Twov16b	= 1759,
+    AArch64_ST1Twov16b_POST	= 1760,
+    AArch64_ST1Twov1d	= 1761,
+    AArch64_ST1Twov1d_POST	= 1762,
+    AArch64_ST1Twov2d	= 1763,
+    AArch64_ST1Twov2d_POST	= 1764,
+    AArch64_ST1Twov2s	= 1765,
+    AArch64_ST1Twov2s_POST	= 1766,
+    AArch64_ST1Twov4h	= 1767,
+    AArch64_ST1Twov4h_POST	= 1768,
+    AArch64_ST1Twov4s	= 1769,
+    AArch64_ST1Twov4s_POST	= 1770,
+    AArch64_ST1Twov8b	= 1771,
+    AArch64_ST1Twov8b_POST	= 1772,
+    AArch64_ST1Twov8h	= 1773,
+    AArch64_ST1Twov8h_POST	= 1774,
+    AArch64_ST1i16	= 1775,
+    AArch64_ST1i16_POST	= 1776,
+    AArch64_ST1i32	= 1777,
+    AArch64_ST1i32_POST	= 1778,
+    AArch64_ST1i64	= 1779,
+    AArch64_ST1i64_POST	= 1780,
+    AArch64_ST1i8	= 1781,
+    AArch64_ST1i8_POST	= 1782,
+    AArch64_ST2Twov16b	= 1783,
+    AArch64_ST2Twov16b_POST	= 1784,
+    AArch64_ST2Twov2d	= 1785,
+    AArch64_ST2Twov2d_POST	= 1786,
+    AArch64_ST2Twov2s	= 1787,
+    AArch64_ST2Twov2s_POST	= 1788,
+    AArch64_ST2Twov4h	= 1789,
+    AArch64_ST2Twov4h_POST	= 1790,
+    AArch64_ST2Twov4s	= 1791,
+    AArch64_ST2Twov4s_POST	= 1792,
+    AArch64_ST2Twov8b	= 1793,
+    AArch64_ST2Twov8b_POST	= 1794,
+    AArch64_ST2Twov8h	= 1795,
+    AArch64_ST2Twov8h_POST	= 1796,
+    AArch64_ST2i16	= 1797,
+    AArch64_ST2i16_POST	= 1798,
+    AArch64_ST2i32	= 1799,
+    AArch64_ST2i32_POST	= 1800,
+    AArch64_ST2i64	= 1801,
+    AArch64_ST2i64_POST	= 1802,
+    AArch64_ST2i8	= 1803,
+    AArch64_ST2i8_POST	= 1804,
+    AArch64_ST3Threev16b	= 1805,
+    AArch64_ST3Threev16b_POST	= 1806,
+    AArch64_ST3Threev2d	= 1807,
+    AArch64_ST3Threev2d_POST	= 1808,
+    AArch64_ST3Threev2s	= 1809,
+    AArch64_ST3Threev2s_POST	= 1810,
+    AArch64_ST3Threev4h	= 1811,
+    AArch64_ST3Threev4h_POST	= 1812,
+    AArch64_ST3Threev4s	= 1813,
+    AArch64_ST3Threev4s_POST	= 1814,
+    AArch64_ST3Threev8b	= 1815,
+    AArch64_ST3Threev8b_POST	= 1816,
+    AArch64_ST3Threev8h	= 1817,
+    AArch64_ST3Threev8h_POST	= 1818,
+    AArch64_ST3i16	= 1819,
+    AArch64_ST3i16_POST	= 1820,
+    AArch64_ST3i32	= 1821,
+    AArch64_ST3i32_POST	= 1822,
+    AArch64_ST3i64	= 1823,
+    AArch64_ST3i64_POST	= 1824,
+    AArch64_ST3i8	= 1825,
+    AArch64_ST3i8_POST	= 1826,
+    AArch64_ST4Fourv16b	= 1827,
+    AArch64_ST4Fourv16b_POST	= 1828,
+    AArch64_ST4Fourv2d	= 1829,
+    AArch64_ST4Fourv2d_POST	= 1830,
+    AArch64_ST4Fourv2s	= 1831,
+    AArch64_ST4Fourv2s_POST	= 1832,
+    AArch64_ST4Fourv4h	= 1833,
+    AArch64_ST4Fourv4h_POST	= 1834,
+    AArch64_ST4Fourv4s	= 1835,
+    AArch64_ST4Fourv4s_POST	= 1836,
+    AArch64_ST4Fourv8b	= 1837,
+    AArch64_ST4Fourv8b_POST	= 1838,
+    AArch64_ST4Fourv8h	= 1839,
+    AArch64_ST4Fourv8h_POST	= 1840,
+    AArch64_ST4i16	= 1841,
+    AArch64_ST4i16_POST	= 1842,
+    AArch64_ST4i32	= 1843,
+    AArch64_ST4i32_POST	= 1844,
+    AArch64_ST4i64	= 1845,
+    AArch64_ST4i64_POST	= 1846,
+    AArch64_ST4i8	= 1847,
+    AArch64_ST4i8_POST	= 1848,
+    AArch64_STLRB	= 1849,
+    AArch64_STLRH	= 1850,
+    AArch64_STLRW	= 1851,
+    AArch64_STLRX	= 1852,
+    AArch64_STLXPW	= 1853,
+    AArch64_STLXPX	= 1854,
+    AArch64_STLXRB	= 1855,
+    AArch64_STLXRH	= 1856,
+    AArch64_STLXRW	= 1857,
+    AArch64_STLXRX	= 1858,
+    AArch64_STNPDi	= 1859,
+    AArch64_STNPQi	= 1860,
+    AArch64_STNPSi	= 1861,
+    AArch64_STNPWi	= 1862,
+    AArch64_STNPXi	= 1863,
+    AArch64_STPDi	= 1864,
+    AArch64_STPDpost	= 1865,
+    AArch64_STPDpre	= 1866,
+    AArch64_STPQi	= 1867,
+    AArch64_STPQpost	= 1868,
+    AArch64_STPQpre	= 1869,
+    AArch64_STPSi	= 1870,
+    AArch64_STPSpost	= 1871,
+    AArch64_STPSpre	= 1872,
+    AArch64_STPWi	= 1873,
+    AArch64_STPWpost	= 1874,
+    AArch64_STPWpre	= 1875,
+    AArch64_STPXi	= 1876,
+    AArch64_STPXpost	= 1877,
+    AArch64_STPXpre	= 1878,
+    AArch64_STRBBpost	= 1879,
+    AArch64_STRBBpre	= 1880,
+    AArch64_STRBBroW	= 1881,
+    AArch64_STRBBroX	= 1882,
+    AArch64_STRBBui	= 1883,
+    AArch64_STRBpost	= 1884,
+    AArch64_STRBpre	= 1885,
+    AArch64_STRBroW	= 1886,
+    AArch64_STRBroX	= 1887,
+    AArch64_STRBui	= 1888,
+    AArch64_STRDpost	= 1889,
+    AArch64_STRDpre	= 1890,
+    AArch64_STRDroW	= 1891,
+    AArch64_STRDroX	= 1892,
+    AArch64_STRDui	= 1893,
+    AArch64_STRHHpost	= 1894,
+    AArch64_STRHHpre	= 1895,
+    AArch64_STRHHroW	= 1896,
+    AArch64_STRHHroX	= 1897,
+    AArch64_STRHHui	= 1898,
+    AArch64_STRHpost	= 1899,
+    AArch64_STRHpre	= 1900,
+    AArch64_STRHroW	= 1901,
+    AArch64_STRHroX	= 1902,
+    AArch64_STRHui	= 1903,
+    AArch64_STRQpost	= 1904,
+    AArch64_STRQpre	= 1905,
+    AArch64_STRQroW	= 1906,
+    AArch64_STRQroX	= 1907,
+    AArch64_STRQui	= 1908,
+    AArch64_STRSpost	= 1909,
+    AArch64_STRSpre	= 1910,
+    AArch64_STRSroW	= 1911,
+    AArch64_STRSroX	= 1912,
+    AArch64_STRSui	= 1913,
+    AArch64_STRWpost	= 1914,
+    AArch64_STRWpre	= 1915,
+    AArch64_STRWroW	= 1916,
+    AArch64_STRWroX	= 1917,
+    AArch64_STRWui	= 1918,
+    AArch64_STRXpost	= 1919,
+    AArch64_STRXpre	= 1920,
+    AArch64_STRXroW	= 1921,
+    AArch64_STRXroX	= 1922,
+    AArch64_STRXui	= 1923,
+    AArch64_STTRBi	= 1924,
+    AArch64_STTRHi	= 1925,
+    AArch64_STTRWi	= 1926,
+    AArch64_STTRXi	= 1927,
+    AArch64_STURBBi	= 1928,
+    AArch64_STURBi	= 1929,
+    AArch64_STURDi	= 1930,
+    AArch64_STURHHi	= 1931,
+    AArch64_STURHi	= 1932,
+    AArch64_STURQi	= 1933,
+    AArch64_STURSi	= 1934,
+    AArch64_STURWi	= 1935,
+    AArch64_STURXi	= 1936,
+    AArch64_STXPW	= 1937,
+    AArch64_STXPX	= 1938,
+    AArch64_STXRB	= 1939,
+    AArch64_STXRH	= 1940,
+    AArch64_STXRW	= 1941,
+    AArch64_STXRX	= 1942,
+    AArch64_SUBHNv2i64_v2i32	= 1943,
+    AArch64_SUBHNv2i64_v4i32	= 1944,
+    AArch64_SUBHNv4i32_v4i16	= 1945,
+    AArch64_SUBHNv4i32_v8i16	= 1946,
+    AArch64_SUBHNv8i16_v16i8	= 1947,
+    AArch64_SUBHNv8i16_v8i8	= 1948,
+    AArch64_SUBSWri	= 1949,
+    AArch64_SUBSWrr	= 1950,
+    AArch64_SUBSWrs	= 1951,
+    AArch64_SUBSWrx	= 1952,
+    AArch64_SUBSXri	= 1953,
+    AArch64_SUBSXrr	= 1954,
+    AArch64_SUBSXrs	= 1955,
+    AArch64_SUBSXrx	= 1956,
+    AArch64_SUBSXrx64	= 1957,
+    AArch64_SUBWri	= 1958,
+    AArch64_SUBWrr	= 1959,
+    AArch64_SUBWrs	= 1960,
+    AArch64_SUBWrx	= 1961,
+    AArch64_SUBXri	= 1962,
+    AArch64_SUBXrr	= 1963,
+    AArch64_SUBXrs	= 1964,
+    AArch64_SUBXrx	= 1965,
+    AArch64_SUBXrx64	= 1966,
+    AArch64_SUBv16i8	= 1967,
+    AArch64_SUBv1i64	= 1968,
+    AArch64_SUBv2i32	= 1969,
+    AArch64_SUBv2i64	= 1970,
+    AArch64_SUBv4i16	= 1971,
+    AArch64_SUBv4i32	= 1972,
+    AArch64_SUBv8i16	= 1973,
+    AArch64_SUBv8i8	= 1974,
+    AArch64_SUQADDv16i8	= 1975,
+    AArch64_SUQADDv1i16	= 1976,
+    AArch64_SUQADDv1i32	= 1977,
+    AArch64_SUQADDv1i64	= 1978,
+    AArch64_SUQADDv1i8	= 1979,
+    AArch64_SUQADDv2i32	= 1980,
+    AArch64_SUQADDv2i64	= 1981,
+    AArch64_SUQADDv4i16	= 1982,
+    AArch64_SUQADDv4i32	= 1983,
+    AArch64_SUQADDv8i16	= 1984,
+    AArch64_SUQADDv8i8	= 1985,
+    AArch64_SVC	= 1986,
+    AArch64_SYSLxt	= 1987,
+    AArch64_SYSxt	= 1988,
+    AArch64_TBLv16i8Four	= 1989,
+    AArch64_TBLv16i8One	= 1990,
+    AArch64_TBLv16i8Three	= 1991,
+    AArch64_TBLv16i8Two	= 1992,
+    AArch64_TBLv8i8Four	= 1993,
+    AArch64_TBLv8i8One	= 1994,
+    AArch64_TBLv8i8Three	= 1995,
+    AArch64_TBLv8i8Two	= 1996,
+    AArch64_TBNZW	= 1997,
+    AArch64_TBNZX	= 1998,
+    AArch64_TBXv16i8Four	= 1999,
+    AArch64_TBXv16i8One	= 2000,
+    AArch64_TBXv16i8Three	= 2001,
+    AArch64_TBXv16i8Two	= 2002,
+    AArch64_TBXv8i8Four	= 2003,
+    AArch64_TBXv8i8One	= 2004,
+    AArch64_TBXv8i8Three	= 2005,
+    AArch64_TBXv8i8Two	= 2006,
+    AArch64_TBZW	= 2007,
+    AArch64_TBZX	= 2008,
+    AArch64_TCRETURNdi	= 2009,
+    AArch64_TCRETURNri	= 2010,
+    AArch64_TLSDESCCALL	= 2011,
+    AArch64_TLSDESC_BLR	= 2012,
+    AArch64_TRN1v16i8	= 2013,
+    AArch64_TRN1v2i32	= 2014,
+    AArch64_TRN1v2i64	= 2015,
+    AArch64_TRN1v4i16	= 2016,
+    AArch64_TRN1v4i32	= 2017,
+    AArch64_TRN1v8i16	= 2018,
+    AArch64_TRN1v8i8	= 2019,
+    AArch64_TRN2v16i8	= 2020,
+    AArch64_TRN2v2i32	= 2021,
+    AArch64_TRN2v2i64	= 2022,
+    AArch64_TRN2v4i16	= 2023,
+    AArch64_TRN2v4i32	= 2024,
+    AArch64_TRN2v8i16	= 2025,
+    AArch64_TRN2v8i8	= 2026,
+    AArch64_UABALv16i8_v8i16	= 2027,
+    AArch64_UABALv2i32_v2i64	= 2028,
+    AArch64_UABALv4i16_v4i32	= 2029,
+    AArch64_UABALv4i32_v2i64	= 2030,
+    AArch64_UABALv8i16_v4i32	= 2031,
+    AArch64_UABALv8i8_v8i16	= 2032,
+    AArch64_UABAv16i8	= 2033,
+    AArch64_UABAv2i32	= 2034,
+    AArch64_UABAv4i16	= 2035,
+    AArch64_UABAv4i32	= 2036,
+    AArch64_UABAv8i16	= 2037,
+    AArch64_UABAv8i8	= 2038,
+    AArch64_UABDLv16i8_v8i16	= 2039,
+    AArch64_UABDLv2i32_v2i64	= 2040,
+    AArch64_UABDLv4i16_v4i32	= 2041,
+    AArch64_UABDLv4i32_v2i64	= 2042,
+    AArch64_UABDLv8i16_v4i32	= 2043,
+    AArch64_UABDLv8i8_v8i16	= 2044,
+    AArch64_UABDv16i8	= 2045,
+    AArch64_UABDv2i32	= 2046,
+    AArch64_UABDv4i16	= 2047,
+    AArch64_UABDv4i32	= 2048,
+    AArch64_UABDv8i16	= 2049,
+    AArch64_UABDv8i8	= 2050,
+    AArch64_UADALPv16i8_v8i16	= 2051,
+    AArch64_UADALPv2i32_v1i64	= 2052,
+    AArch64_UADALPv4i16_v2i32	= 2053,
+    AArch64_UADALPv4i32_v2i64	= 2054,
+    AArch64_UADALPv8i16_v4i32	= 2055,
+    AArch64_UADALPv8i8_v4i16	= 2056,
+    AArch64_UADDLPv16i8_v8i16	= 2057,
+    AArch64_UADDLPv2i32_v1i64	= 2058,
+    AArch64_UADDLPv4i16_v2i32	= 2059,
+    AArch64_UADDLPv4i32_v2i64	= 2060,
+    AArch64_UADDLPv8i16_v4i32	= 2061,
+    AArch64_UADDLPv8i8_v4i16	= 2062,
+    AArch64_UADDLVv16i8v	= 2063,
+    AArch64_UADDLVv4i16v	= 2064,
+    AArch64_UADDLVv4i32v	= 2065,
+    AArch64_UADDLVv8i16v	= 2066,
+    AArch64_UADDLVv8i8v	= 2067,
+    AArch64_UADDLv16i8_v8i16	= 2068,
+    AArch64_UADDLv2i32_v2i64	= 2069,
+    AArch64_UADDLv4i16_v4i32	= 2070,
+    AArch64_UADDLv4i32_v2i64	= 2071,
+    AArch64_UADDLv8i16_v4i32	= 2072,
+    AArch64_UADDLv8i8_v8i16	= 2073,
+    AArch64_UADDWv16i8_v8i16	= 2074,
+    AArch64_UADDWv2i32_v2i64	= 2075,
+    AArch64_UADDWv4i16_v4i32	= 2076,
+    AArch64_UADDWv4i32_v2i64	= 2077,
+    AArch64_UADDWv8i16_v4i32	= 2078,
+    AArch64_UADDWv8i8_v8i16	= 2079,
+    AArch64_UBFMWri	= 2080,
+    AArch64_UBFMXri	= 2081,
+    AArch64_UCVTFSWDri	= 2082,
+    AArch64_UCVTFSWSri	= 2083,
+    AArch64_UCVTFSXDri	= 2084,
+    AArch64_UCVTFSXSri	= 2085,
+    AArch64_UCVTFUWDri	= 2086,
+    AArch64_UCVTFUWSri	= 2087,
+    AArch64_UCVTFUXDri	= 2088,
+    AArch64_UCVTFUXSri	= 2089,
+    AArch64_UCVTFd	= 2090,
+    AArch64_UCVTFs	= 2091,
+    AArch64_UCVTFv1i32	= 2092,
+    AArch64_UCVTFv1i64	= 2093,
+    AArch64_UCVTFv2f32	= 2094,
+    AArch64_UCVTFv2f64	= 2095,
+    AArch64_UCVTFv2i32_shift	= 2096,
+    AArch64_UCVTFv2i64_shift	= 2097,
+    AArch64_UCVTFv4f32	= 2098,
+    AArch64_UCVTFv4i32_shift	= 2099,
+    AArch64_UDIVWr	= 2100,
+    AArch64_UDIVXr	= 2101,
+    AArch64_UDIV_IntWr	= 2102,
+    AArch64_UDIV_IntXr	= 2103,
+    AArch64_UHADDv16i8	= 2104,
+    AArch64_UHADDv2i32	= 2105,
+    AArch64_UHADDv4i16	= 2106,
+    AArch64_UHADDv4i32	= 2107,
+    AArch64_UHADDv8i16	= 2108,
+    AArch64_UHADDv8i8	= 2109,
+    AArch64_UHSUBv16i8	= 2110,
+    AArch64_UHSUBv2i32	= 2111,
+    AArch64_UHSUBv4i16	= 2112,
+    AArch64_UHSUBv4i32	= 2113,
+    AArch64_UHSUBv8i16	= 2114,
+    AArch64_UHSUBv8i8	= 2115,
+    AArch64_UMADDLrrr	= 2116,
+    AArch64_UMAXPv16i8	= 2117,
+    AArch64_UMAXPv2i32	= 2118,
+    AArch64_UMAXPv4i16	= 2119,
+    AArch64_UMAXPv4i32	= 2120,
+    AArch64_UMAXPv8i16	= 2121,
+    AArch64_UMAXPv8i8	= 2122,
+    AArch64_UMAXVv16i8v	= 2123,
+    AArch64_UMAXVv4i16v	= 2124,
+    AArch64_UMAXVv4i32v	= 2125,
+    AArch64_UMAXVv8i16v	= 2126,
+    AArch64_UMAXVv8i8v	= 2127,
+    AArch64_UMAXv16i8	= 2128,
+    AArch64_UMAXv2i32	= 2129,
+    AArch64_UMAXv4i16	= 2130,
+    AArch64_UMAXv4i32	= 2131,
+    AArch64_UMAXv8i16	= 2132,
+    AArch64_UMAXv8i8	= 2133,
+    AArch64_UMINPv16i8	= 2134,
+    AArch64_UMINPv2i32	= 2135,
+    AArch64_UMINPv4i16	= 2136,
+    AArch64_UMINPv4i32	= 2137,
+    AArch64_UMINPv8i16	= 2138,
+    AArch64_UMINPv8i8	= 2139,
+    AArch64_UMINVv16i8v	= 2140,
+    AArch64_UMINVv4i16v	= 2141,
+    AArch64_UMINVv4i32v	= 2142,
+    AArch64_UMINVv8i16v	= 2143,
+    AArch64_UMINVv8i8v	= 2144,
+    AArch64_UMINv16i8	= 2145,
+    AArch64_UMINv2i32	= 2146,
+    AArch64_UMINv4i16	= 2147,
+    AArch64_UMINv4i32	= 2148,
+    AArch64_UMINv8i16	= 2149,
+    AArch64_UMINv8i8	= 2150,
+    AArch64_UMLALv16i8_v8i16	= 2151,
+    AArch64_UMLALv2i32_indexed	= 2152,
+    AArch64_UMLALv2i32_v2i64	= 2153,
+    AArch64_UMLALv4i16_indexed	= 2154,
+    AArch64_UMLALv4i16_v4i32	= 2155,
+    AArch64_UMLALv4i32_indexed	= 2156,
+    AArch64_UMLALv4i32_v2i64	= 2157,
+    AArch64_UMLALv8i16_indexed	= 2158,
+    AArch64_UMLALv8i16_v4i32	= 2159,
+    AArch64_UMLALv8i8_v8i16	= 2160,
+    AArch64_UMLSLv16i8_v8i16	= 2161,
+    AArch64_UMLSLv2i32_indexed	= 2162,
+    AArch64_UMLSLv2i32_v2i64	= 2163,
+    AArch64_UMLSLv4i16_indexed	= 2164,
+    AArch64_UMLSLv4i16_v4i32	= 2165,
+    AArch64_UMLSLv4i32_indexed	= 2166,
+    AArch64_UMLSLv4i32_v2i64	= 2167,
+    AArch64_UMLSLv8i16_indexed	= 2168,
+    AArch64_UMLSLv8i16_v4i32	= 2169,
+    AArch64_UMLSLv8i8_v8i16	= 2170,
+    AArch64_UMOVvi16	= 2171,
+    AArch64_UMOVvi32	= 2172,
+    AArch64_UMOVvi64	= 2173,
+    AArch64_UMOVvi8	= 2174,
+    AArch64_UMSUBLrrr	= 2175,
+    AArch64_UMULHrr	= 2176,
+    AArch64_UMULLv16i8_v8i16	= 2177,
+    AArch64_UMULLv2i32_indexed	= 2178,
+    AArch64_UMULLv2i32_v2i64	= 2179,
+    AArch64_UMULLv4i16_indexed	= 2180,
+    AArch64_UMULLv4i16_v4i32	= 2181,
+    AArch64_UMULLv4i32_indexed	= 2182,
+    AArch64_UMULLv4i32_v2i64	= 2183,
+    AArch64_UMULLv8i16_indexed	= 2184,
+    AArch64_UMULLv8i16_v4i32	= 2185,
+    AArch64_UMULLv8i8_v8i16	= 2186,
+    AArch64_UQADDv16i8	= 2187,
+    AArch64_UQADDv1i16	= 2188,
+    AArch64_UQADDv1i32	= 2189,
+    AArch64_UQADDv1i64	= 2190,
+    AArch64_UQADDv1i8	= 2191,
+    AArch64_UQADDv2i32	= 2192,
+    AArch64_UQADDv2i64	= 2193,
+    AArch64_UQADDv4i16	= 2194,
+    AArch64_UQADDv4i32	= 2195,
+    AArch64_UQADDv8i16	= 2196,
+    AArch64_UQADDv8i8	= 2197,
+    AArch64_UQRSHLv16i8	= 2198,
+    AArch64_UQRSHLv1i16	= 2199,
+    AArch64_UQRSHLv1i32	= 2200,
+    AArch64_UQRSHLv1i64	= 2201,
+    AArch64_UQRSHLv1i8	= 2202,
+    AArch64_UQRSHLv2i32	= 2203,
+    AArch64_UQRSHLv2i64	= 2204,
+    AArch64_UQRSHLv4i16	= 2205,
+    AArch64_UQRSHLv4i32	= 2206,
+    AArch64_UQRSHLv8i16	= 2207,
+    AArch64_UQRSHLv8i8	= 2208,
+    AArch64_UQRSHRNb	= 2209,
+    AArch64_UQRSHRNh	= 2210,
+    AArch64_UQRSHRNs	= 2211,
+    AArch64_UQRSHRNv16i8_shift	= 2212,
+    AArch64_UQRSHRNv2i32_shift	= 2213,
+    AArch64_UQRSHRNv4i16_shift	= 2214,
+    AArch64_UQRSHRNv4i32_shift	= 2215,
+    AArch64_UQRSHRNv8i16_shift	= 2216,
+    AArch64_UQRSHRNv8i8_shift	= 2217,
+    AArch64_UQSHLb	= 2218,
+    AArch64_UQSHLd	= 2219,
+    AArch64_UQSHLh	= 2220,
+    AArch64_UQSHLs	= 2221,
+    AArch64_UQSHLv16i8	= 2222,
+    AArch64_UQSHLv16i8_shift	= 2223,
+    AArch64_UQSHLv1i16	= 2224,
+    AArch64_UQSHLv1i32	= 2225,
+    AArch64_UQSHLv1i64	= 2226,
+    AArch64_UQSHLv1i8	= 2227,
+    AArch64_UQSHLv2i32	= 2228,
+    AArch64_UQSHLv2i32_shift	= 2229,
+    AArch64_UQSHLv2i64	= 2230,
+    AArch64_UQSHLv2i64_shift	= 2231,
+    AArch64_UQSHLv4i16	= 2232,
+    AArch64_UQSHLv4i16_shift	= 2233,
+    AArch64_UQSHLv4i32	= 2234,
+    AArch64_UQSHLv4i32_shift	= 2235,
+    AArch64_UQSHLv8i16	= 2236,
+    AArch64_UQSHLv8i16_shift	= 2237,
+    AArch64_UQSHLv8i8	= 2238,
+    AArch64_UQSHLv8i8_shift	= 2239,
+    AArch64_UQSHRNb	= 2240,
+    AArch64_UQSHRNh	= 2241,
+    AArch64_UQSHRNs	= 2242,
+    AArch64_UQSHRNv16i8_shift	= 2243,
+    AArch64_UQSHRNv2i32_shift	= 2244,
+    AArch64_UQSHRNv4i16_shift	= 2245,
+    AArch64_UQSHRNv4i32_shift	= 2246,
+    AArch64_UQSHRNv8i16_shift	= 2247,
+    AArch64_UQSHRNv8i8_shift	= 2248,
+    AArch64_UQSUBv16i8	= 2249,
+    AArch64_UQSUBv1i16	= 2250,
+    AArch64_UQSUBv1i32	= 2251,
+    AArch64_UQSUBv1i64	= 2252,
+    AArch64_UQSUBv1i8	= 2253,
+    AArch64_UQSUBv2i32	= 2254,
+    AArch64_UQSUBv2i64	= 2255,
+    AArch64_UQSUBv4i16	= 2256,
+    AArch64_UQSUBv4i32	= 2257,
+    AArch64_UQSUBv8i16	= 2258,
+    AArch64_UQSUBv8i8	= 2259,
+    AArch64_UQXTNv16i8	= 2260,
+    AArch64_UQXTNv1i16	= 2261,
+    AArch64_UQXTNv1i32	= 2262,
+    AArch64_UQXTNv1i8	= 2263,
+    AArch64_UQXTNv2i32	= 2264,
+    AArch64_UQXTNv4i16	= 2265,
+    AArch64_UQXTNv4i32	= 2266,
+    AArch64_UQXTNv8i16	= 2267,
+    AArch64_UQXTNv8i8	= 2268,
+    AArch64_URECPEv2i32	= 2269,
+    AArch64_URECPEv4i32	= 2270,
+    AArch64_URHADDv16i8	= 2271,
+    AArch64_URHADDv2i32	= 2272,
+    AArch64_URHADDv4i16	= 2273,
+    AArch64_URHADDv4i32	= 2274,
+    AArch64_URHADDv8i16	= 2275,
+    AArch64_URHADDv8i8	= 2276,
+    AArch64_URSHLv16i8	= 2277,
+    AArch64_URSHLv1i64	= 2278,
+    AArch64_URSHLv2i32	= 2279,
+    AArch64_URSHLv2i64	= 2280,
+    AArch64_URSHLv4i16	= 2281,
+    AArch64_URSHLv4i32	= 2282,
+    AArch64_URSHLv8i16	= 2283,
+    AArch64_URSHLv8i8	= 2284,
+    AArch64_URSHRd	= 2285,
+    AArch64_URSHRv16i8_shift	= 2286,
+    AArch64_URSHRv2i32_shift	= 2287,
+    AArch64_URSHRv2i64_shift	= 2288,
+    AArch64_URSHRv4i16_shift	= 2289,
+    AArch64_URSHRv4i32_shift	= 2290,
+    AArch64_URSHRv8i16_shift	= 2291,
+    AArch64_URSHRv8i8_shift	= 2292,
+    AArch64_URSQRTEv2i32	= 2293,
+    AArch64_URSQRTEv4i32	= 2294,
+    AArch64_URSRAd	= 2295,
+    AArch64_URSRAv16i8_shift	= 2296,
+    AArch64_URSRAv2i32_shift	= 2297,
+    AArch64_URSRAv2i64_shift	= 2298,
+    AArch64_URSRAv4i16_shift	= 2299,
+    AArch64_URSRAv4i32_shift	= 2300,
+    AArch64_URSRAv8i16_shift	= 2301,
+    AArch64_URSRAv8i8_shift	= 2302,
+    AArch64_USHLLv16i8_shift	= 2303,
+    AArch64_USHLLv2i32_shift	= 2304,
+    AArch64_USHLLv4i16_shift	= 2305,
+    AArch64_USHLLv4i32_shift	= 2306,
+    AArch64_USHLLv8i16_shift	= 2307,
+    AArch64_USHLLv8i8_shift	= 2308,
+    AArch64_USHLv16i8	= 2309,
+    AArch64_USHLv1i64	= 2310,
+    AArch64_USHLv2i32	= 2311,
+    AArch64_USHLv2i64	= 2312,
+    AArch64_USHLv4i16	= 2313,
+    AArch64_USHLv4i32	= 2314,
+    AArch64_USHLv8i16	= 2315,
+    AArch64_USHLv8i8	= 2316,
+    AArch64_USHRd	= 2317,
+    AArch64_USHRv16i8_shift	= 2318,
+    AArch64_USHRv2i32_shift	= 2319,
+    AArch64_USHRv2i64_shift	= 2320,
+    AArch64_USHRv4i16_shift	= 2321,
+    AArch64_USHRv4i32_shift	= 2322,
+    AArch64_USHRv8i16_shift	= 2323,
+    AArch64_USHRv8i8_shift	= 2324,
+    AArch64_USQADDv16i8	= 2325,
+    AArch64_USQADDv1i16	= 2326,
+    AArch64_USQADDv1i32	= 2327,
+    AArch64_USQADDv1i64	= 2328,
+    AArch64_USQADDv1i8	= 2329,
+    AArch64_USQADDv2i32	= 2330,
+    AArch64_USQADDv2i64	= 2331,
+    AArch64_USQADDv4i16	= 2332,
+    AArch64_USQADDv4i32	= 2333,
+    AArch64_USQADDv8i16	= 2334,
+    AArch64_USQADDv8i8	= 2335,
+    AArch64_USRAd	= 2336,
+    AArch64_USRAv16i8_shift	= 2337,
+    AArch64_USRAv2i32_shift	= 2338,
+    AArch64_USRAv2i64_shift	= 2339,
+    AArch64_USRAv4i16_shift	= 2340,
+    AArch64_USRAv4i32_shift	= 2341,
+    AArch64_USRAv8i16_shift	= 2342,
+    AArch64_USRAv8i8_shift	= 2343,
+    AArch64_USUBLv16i8_v8i16	= 2344,
+    AArch64_USUBLv2i32_v2i64	= 2345,
+    AArch64_USUBLv4i16_v4i32	= 2346,
+    AArch64_USUBLv4i32_v2i64	= 2347,
+    AArch64_USUBLv8i16_v4i32	= 2348,
+    AArch64_USUBLv8i8_v8i16	= 2349,
+    AArch64_USUBWv16i8_v8i16	= 2350,
+    AArch64_USUBWv2i32_v2i64	= 2351,
+    AArch64_USUBWv4i16_v4i32	= 2352,
+    AArch64_USUBWv4i32_v2i64	= 2353,
+    AArch64_USUBWv8i16_v4i32	= 2354,
+    AArch64_USUBWv8i8_v8i16	= 2355,
+    AArch64_UZP1v16i8	= 2356,
+    AArch64_UZP1v2i32	= 2357,
+    AArch64_UZP1v2i64	= 2358,
+    AArch64_UZP1v4i16	= 2359,
+    AArch64_UZP1v4i32	= 2360,
+    AArch64_UZP1v8i16	= 2361,
+    AArch64_UZP1v8i8	= 2362,
+    AArch64_UZP2v16i8	= 2363,
+    AArch64_UZP2v2i32	= 2364,
+    AArch64_UZP2v2i64	= 2365,
+    AArch64_UZP2v4i16	= 2366,
+    AArch64_UZP2v4i32	= 2367,
+    AArch64_UZP2v8i16	= 2368,
+    AArch64_UZP2v8i8	= 2369,
+    AArch64_XTNv16i8	= 2370,
+    AArch64_XTNv2i32	= 2371,
+    AArch64_XTNv4i16	= 2372,
+    AArch64_XTNv4i32	= 2373,
+    AArch64_XTNv8i16	= 2374,
+    AArch64_XTNv8i8	= 2375,
+    AArch64_ZIP1v16i8	= 2376,
+    AArch64_ZIP1v2i32	= 2377,
+    AArch64_ZIP1v2i64	= 2378,
+    AArch64_ZIP1v4i16	= 2379,
+    AArch64_ZIP1v4i32	= 2380,
+    AArch64_ZIP1v8i16	= 2381,
+    AArch64_ZIP1v8i8	= 2382,
+    AArch64_ZIP2v16i8	= 2383,
+    AArch64_ZIP2v2i32	= 2384,
+    AArch64_ZIP2v2i64	= 2385,
+    AArch64_ZIP2v4i16	= 2386,
+    AArch64_ZIP2v4i32	= 2387,
+    AArch64_ZIP2v8i16	= 2388,
+    AArch64_ZIP2v8i8	= 2389,
+    AArch64_INSTRUCTION_LIST_END = 2390
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenRegisterInfo.inc 4.0.2-3/arch/AArch64/AArch64GenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64GenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -481,7 +481,7 @@ enum {
   AArch64_QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID = 39,
   AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loRegClassID = 40,
   AArch64_QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID = 41,
-  AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID = 42
+  AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID = 42,
 };
 
 // Register alternate name indices
@@ -561,7 +561,7 @@ enum {
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_MC_DESC
@@ -638,427 +638,427 @@ static const uint16_t AArch64SubRegIdxLi
   /* 86 */ 10, 2, 14, 7, 1, 11, 26, 28, 27, 25, 12, 34, 36, 35, 33, 13, 30, 32, 31, 29, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 0,
 };
 
-static const MCRegisterDesc AArch64RegDesc[] = { // Descriptors
-  { 3, 0, 0, 0, 0 },
-  { 1518, 266, 4, 5, 10001 },
-  { 1525, 266, 4, 5, 10001 },
-  { 1536, 4, 4, 4, 10001 },
-  { 1522, 3, 4, 5, 3152 },
-  { 1521, 4, 625, 4, 3152 },
-  { 1528, 4, 3, 4, 3184 },
-  { 1532, 625, 4, 5, 3184 },
-  { 146, 4, 101, 4, 9969 },
-  { 335, 4, 146, 4, 9969 },
-  { 480, 4, 206, 4, 9969 },
-  { 625, 4, 68, 4, 9969 },
-  { 768, 4, 68, 4, 9969 },
-  { 911, 4, 68, 4, 9969 },
-  { 1054, 4, 68, 4, 9969 },
-  { 1197, 4, 68, 4, 9969 },
-  { 1340, 4, 68, 4, 9969 },
-  { 1479, 4, 68, 4, 9969 },
-  { 0, 4, 68, 4, 9969 },
-  { 191, 4, 68, 4, 9969 },
-  { 378, 4, 68, 4, 9969 },
-  { 521, 4, 68, 4, 9969 },
-  { 664, 4, 68, 4, 9969 },
-  { 807, 4, 68, 4, 9969 },
-  { 950, 4, 68, 4, 9969 },
-  { 1093, 4, 68, 4, 9969 },
-  { 1236, 4, 68, 4, 9969 },
-  { 1379, 4, 68, 4, 9969 },
-  { 46, 4, 68, 4, 9969 },
-  { 239, 4, 68, 4, 9969 },
-  { 428, 4, 68, 4, 9969 },
-  { 573, 4, 68, 4, 9969 },
-  { 716, 4, 68, 4, 9969 },
-  { 859, 4, 68, 4, 9969 },
-  { 1002, 4, 68, 4, 9969 },
-  { 1145, 4, 68, 4, 9969 },
-  { 1288, 4, 68, 4, 9969 },
-  { 1431, 4, 68, 4, 9969 },
-  { 98, 4, 68, 4, 9969 },
-  { 291, 4, 68, 4, 9969 },
-  { 161, 426, 104, 1, 9697 },
-  { 349, 426, 149, 1, 9697 },
-  { 493, 426, 209, 1, 9697 },
-  { 637, 426, 71, 1, 9697 },
-  { 780, 426, 71, 1, 9697 },
-  { 923, 426, 71, 1, 9697 },
-  { 1066, 426, 71, 1, 9697 },
-  { 1209, 426, 71, 1, 9697 },
-  { 1352, 426, 71, 1, 9697 },
-  { 1491, 426, 71, 1, 9697 },
-  { 13, 426, 71, 1, 9697 },
-  { 205, 426, 71, 1, 9697 },
-  { 393, 426, 71, 1, 9697 },
-  { 537, 426, 71, 1, 9697 },
-  { 680, 426, 71, 1, 9697 },
-  { 823, 426, 71, 1, 9697 },
-  { 966, 426, 71, 1, 9697 },
-  { 1109, 426, 71, 1, 9697 },
-  { 1252, 426, 71, 1, 9697 },
-  { 1395, 426, 71, 1, 9697 },
-  { 62, 426, 71, 1, 9697 },
-  { 255, 426, 71, 1, 9697 },
-  { 444, 426, 71, 1, 9697 },
-  { 589, 426, 71, 1, 9697 },
-  { 732, 426, 71, 1, 9697 },
-  { 875, 426, 71, 1, 9697 },
-  { 1018, 426, 71, 1, 9697 },
-  { 1161, 426, 71, 1, 9697 },
-  { 1304, 426, 71, 1, 9697 },
-  { 1447, 426, 71, 1, 9697 },
-  { 114, 426, 71, 1, 9697 },
-  { 307, 426, 71, 1, 9697 },
-  { 164, 428, 102, 3, 6705 },
-  { 352, 428, 147, 3, 6705 },
-  { 496, 428, 207, 3, 6705 },
-  { 640, 428, 69, 3, 6705 },
-  { 783, 428, 69, 3, 6705 },
-  { 926, 428, 69, 3, 6705 },
-  { 1069, 428, 69, 3, 6705 },
-  { 1212, 428, 69, 3, 6705 },
-  { 1355, 428, 69, 3, 6705 },
-  { 1494, 428, 69, 3, 6705 },
-  { 17, 428, 69, 3, 6705 },
-  { 209, 428, 69, 3, 6705 },
-  { 397, 428, 69, 3, 6705 },
-  { 541, 428, 69, 3, 6705 },
-  { 684, 428, 69, 3, 6705 },
-  { 827, 428, 69, 3, 6705 },
-  { 970, 428, 69, 3, 6705 },
-  { 1113, 428, 69, 3, 6705 },
-  { 1256, 428, 69, 3, 6705 },
-  { 1399, 428, 69, 3, 6705 },
-  { 66, 428, 69, 3, 6705 },
-  { 259, 428, 69, 3, 6705 },
-  { 448, 428, 69, 3, 6705 },
-  { 593, 428, 69, 3, 6705 },
-  { 736, 428, 69, 3, 6705 },
-  { 879, 428, 69, 3, 6705 },
-  { 1022, 428, 69, 3, 6705 },
-  { 1165, 428, 69, 3, 6705 },
-  { 1308, 428, 69, 3, 6705 },
-  { 1451, 428, 69, 3, 6705 },
-  { 118, 428, 69, 3, 6705 },
-  { 311, 428, 69, 3, 6705 },
-  { 179, 439, 124, 0, 4801 },
-  { 366, 439, 169, 0, 4801 },
-  { 509, 439, 229, 0, 4801 },
-  { 652, 439, 91, 0, 4801 },
-  { 795, 439, 91, 0, 4801 },
-  { 938, 439, 91, 0, 4801 },
-  { 1081, 439, 91, 0, 4801 },
-  { 1224, 439, 91, 0, 4801 },
-  { 1367, 439, 91, 0, 4801 },
-  { 1506, 439, 91, 0, 4801 },
-  { 30, 439, 91, 0, 4801 },
-  { 223, 439, 91, 0, 4801 },
-  { 412, 439, 91, 0, 4801 },
-  { 557, 439, 91, 0, 4801 },
-  { 700, 439, 91, 0, 4801 },
-  { 843, 439, 91, 0, 4801 },
-  { 986, 439, 91, 0, 4801 },
-  { 1129, 439, 91, 0, 4801 },
-  { 1272, 439, 91, 0, 4801 },
-  { 1415, 439, 91, 0, 4801 },
-  { 82, 439, 91, 0, 4801 },
-  { 275, 439, 91, 0, 4801 },
-  { 464, 439, 91, 0, 4801 },
-  { 609, 439, 91, 0, 4801 },
-  { 752, 439, 91, 0, 4801 },
-  { 895, 439, 91, 0, 4801 },
-  { 1038, 439, 91, 0, 4801 },
-  { 1181, 439, 91, 0, 4801 },
-  { 1324, 439, 91, 0, 4801 },
-  { 1467, 439, 91, 0, 4801 },
-  { 134, 439, 91, 0, 4801 },
-  { 327, 439, 91, 0, 4801 },
-  { 182, 427, 103, 2, 4769 },
-  { 369, 427, 148, 2, 4769 },
-  { 512, 427, 208, 2, 4769 },
-  { 655, 427, 70, 2, 4769 },
-  { 798, 427, 70, 2, 4769 },
-  { 941, 427, 70, 2, 4769 },
-  { 1084, 427, 70, 2, 4769 },
-  { 1227, 427, 70, 2, 4769 },
-  { 1370, 427, 70, 2, 4769 },
-  { 1509, 427, 70, 2, 4769 },
-  { 34, 427, 70, 2, 4769 },
-  { 227, 427, 70, 2, 4769 },
-  { 416, 427, 70, 2, 4769 },
-  { 561, 427, 70, 2, 4769 },
-  { 704, 427, 70, 2, 4769 },
-  { 847, 427, 70, 2, 4769 },
-  { 990, 427, 70, 2, 4769 },
-  { 1133, 427, 70, 2, 4769 },
-  { 1276, 427, 70, 2, 4769 },
-  { 1419, 427, 70, 2, 4769 },
-  { 86, 427, 70, 2, 4769 },
-  { 279, 427, 70, 2, 4769 },
-  { 468, 427, 70, 2, 4769 },
-  { 613, 427, 70, 2, 4769 },
-  { 756, 427, 70, 2, 4769 },
-  { 899, 427, 70, 2, 4769 },
-  { 1042, 427, 70, 2, 4769 },
-  { 1185, 427, 70, 2, 4769 },
-  { 1328, 427, 70, 2, 4769 },
-  { 1471, 427, 70, 2, 4769 },
-  { 138, 427, 70, 2, 4769 },
-  { 331, 427, 70, 2, 4769 },
-  { 185, 4, 256, 4, 4769 },
-  { 372, 4, 256, 4, 4769 },
-  { 515, 4, 256, 4, 4769 },
-  { 658, 4, 256, 4, 4769 },
-  { 801, 4, 256, 4, 4769 },
-  { 944, 4, 256, 4, 4769 },
-  { 1087, 4, 256, 4, 4769 },
-  { 1230, 4, 256, 4, 4769 },
-  { 1373, 4, 256, 4, 4769 },
-  { 1512, 4, 256, 4, 4769 },
-  { 38, 4, 256, 4, 4769 },
-  { 231, 4, 256, 4, 4769 },
-  { 420, 4, 256, 4, 4769 },
-  { 565, 4, 256, 4, 4769 },
-  { 708, 4, 256, 4, 4769 },
-  { 851, 4, 256, 4, 4769 },
-  { 994, 4, 256, 4, 4769 },
-  { 1137, 4, 256, 4, 4769 },
-  { 1280, 4, 256, 4, 4769 },
-  { 1423, 4, 256, 4, 4769 },
-  { 90, 4, 256, 4, 4769 },
-  { 283, 4, 256, 4, 4769 },
-  { 472, 4, 256, 4, 4769 },
-  { 617, 4, 256, 4, 4769 },
-  { 760, 4, 256, 4, 4769 },
-  { 903, 4, 256, 4, 4769 },
-  { 1046, 4, 256, 4, 4769 },
-  { 1189, 4, 256, 4, 4769 },
-  { 1332, 4, 256, 4, 4769 },
-  { 1475, 4, 294, 4, 4673 },
-  { 142, 4, 294, 4, 4673 },
-  { 188, 621, 4, 5, 4737 },
-  { 375, 621, 4, 5, 4737 },
-  { 518, 621, 4, 5, 4737 },
-  { 661, 621, 4, 5, 4737 },
-  { 804, 621, 4, 5, 4737 },
-  { 947, 621, 4, 5, 4737 },
-  { 1090, 621, 4, 5, 4737 },
-  { 1233, 621, 4, 5, 4737 },
-  { 1376, 621, 4, 5, 4737 },
-  { 1515, 621, 4, 5, 4737 },
-  { 42, 621, 4, 5, 4737 },
-  { 235, 621, 4, 5, 4737 },
-  { 424, 621, 4, 5, 4737 },
-  { 569, 621, 4, 5, 4737 },
-  { 712, 621, 4, 5, 4737 },
-  { 855, 621, 4, 5, 4737 },
-  { 998, 621, 4, 5, 4737 },
-  { 1141, 621, 4, 5, 4737 },
-  { 1284, 621, 4, 5, 4737 },
-  { 1427, 621, 4, 5, 4737 },
-  { 94, 621, 4, 5, 4737 },
-  { 287, 621, 4, 5, 4737 },
-  { 476, 621, 4, 5, 4737 },
-  { 621, 621, 4, 5, 4737 },
-  { 764, 621, 4, 5, 4737 },
-  { 907, 621, 4, 5, 4737 },
-  { 1050, 621, 4, 5, 4737 },
-  { 1193, 621, 4, 5, 4737 },
-  { 1336, 621, 4, 5, 4737 },
-  { 346, 430, 179, 7, 1041 },
-  { 490, 430, 243, 7, 1041 },
-  { 634, 430, 134, 7, 1041 },
-  { 777, 430, 134, 7, 1041 },
-  { 920, 430, 134, 7, 1041 },
-  { 1063, 430, 134, 7, 1041 },
-  { 1206, 430, 134, 7, 1041 },
-  { 1349, 430, 134, 7, 1041 },
-  { 1488, 430, 134, 7, 1041 },
-  { 10, 430, 134, 7, 1041 },
-  { 201, 430, 134, 7, 1041 },
-  { 389, 430, 134, 7, 1041 },
-  { 533, 430, 134, 7, 1041 },
-  { 676, 430, 134, 7, 1041 },
-  { 819, 430, 134, 7, 1041 },
-  { 962, 430, 134, 7, 1041 },
-  { 1105, 430, 134, 7, 1041 },
-  { 1248, 430, 134, 7, 1041 },
-  { 1391, 430, 134, 7, 1041 },
-  { 58, 430, 134, 7, 1041 },
-  { 251, 430, 134, 7, 1041 },
-  { 440, 430, 134, 7, 1041 },
-  { 585, 430, 134, 7, 1041 },
-  { 728, 430, 134, 7, 1041 },
-  { 871, 430, 134, 7, 1041 },
-  { 1014, 430, 134, 7, 1041 },
-  { 1157, 430, 134, 7, 1041 },
-  { 1300, 430, 134, 7, 1041 },
-  { 1443, 430, 134, 7, 1041 },
-  { 110, 430, 134, 7, 1041 },
-  { 303, 430, 134, 7, 1041 },
-  { 157, 421, 134, 7, 4080 },
-  { 628, 562, 264, 31, 81 },
-  { 771, 562, 264, 31, 81 },
-  { 914, 562, 264, 31, 81 },
-  { 1057, 562, 264, 31, 81 },
-  { 1200, 562, 264, 31, 81 },
-  { 1343, 562, 264, 31, 81 },
-  { 1482, 562, 264, 31, 81 },
-  { 4, 562, 264, 31, 81 },
-  { 195, 562, 264, 31, 81 },
-  { 382, 562, 264, 31, 81 },
-  { 525, 562, 264, 31, 81 },
-  { 668, 562, 264, 31, 81 },
-  { 811, 562, 264, 31, 81 },
-  { 954, 562, 264, 31, 81 },
-  { 1097, 562, 264, 31, 81 },
-  { 1240, 562, 264, 31, 81 },
-  { 1383, 562, 264, 31, 81 },
-  { 50, 562, 264, 31, 81 },
-  { 243, 562, 264, 31, 81 },
-  { 432, 562, 264, 31, 81 },
-  { 577, 562, 264, 31, 81 },
-  { 720, 562, 264, 31, 81 },
-  { 863, 562, 264, 31, 81 },
-  { 1006, 562, 264, 31, 81 },
-  { 1149, 562, 264, 31, 81 },
-  { 1292, 562, 264, 31, 81 },
-  { 1435, 562, 264, 31, 81 },
-  { 102, 562, 264, 31, 81 },
-  { 295, 562, 264, 31, 81 },
-  { 149, 584, 264, 31, 160 },
-  { 338, 397, 264, 31, 368 },
-  { 483, 540, 264, 31, 3216 },
-  { 487, 32, 258, 16, 305 },
-  { 631, 32, 191, 16, 305 },
-  { 774, 32, 191, 16, 305 },
-  { 917, 32, 191, 16, 305 },
-  { 1060, 32, 191, 16, 305 },
-  { 1203, 32, 191, 16, 305 },
-  { 1346, 32, 191, 16, 305 },
-  { 1485, 32, 191, 16, 305 },
-  { 7, 32, 191, 16, 305 },
-  { 198, 32, 191, 16, 305 },
-  { 385, 32, 191, 16, 305 },
-  { 529, 32, 191, 16, 305 },
-  { 672, 32, 191, 16, 305 },
-  { 815, 32, 191, 16, 305 },
-  { 958, 32, 191, 16, 305 },
-  { 1101, 32, 191, 16, 305 },
-  { 1244, 32, 191, 16, 305 },
-  { 1387, 32, 191, 16, 305 },
-  { 54, 32, 191, 16, 305 },
-  { 247, 32, 191, 16, 305 },
-  { 436, 32, 191, 16, 305 },
-  { 581, 32, 191, 16, 305 },
-  { 724, 32, 191, 16, 305 },
-  { 867, 32, 191, 16, 305 },
-  { 1010, 32, 191, 16, 305 },
-  { 1153, 32, 191, 16, 305 },
-  { 1296, 32, 191, 16, 305 },
-  { 1439, 32, 191, 16, 305 },
-  { 106, 32, 191, 16, 305 },
-  { 299, 32, 191, 16, 305 },
-  { 153, 47, 191, 16, 448 },
-  { 342, 608, 191, 16, 3824 },
-  { 363, 268, 185, 53, 993 },
-  { 506, 268, 249, 53, 993 },
-  { 649, 268, 140, 53, 993 },
-  { 792, 268, 140, 53, 993 },
-  { 935, 268, 140, 53, 993 },
-  { 1078, 268, 140, 53, 993 },
-  { 1221, 268, 140, 53, 993 },
-  { 1364, 268, 140, 53, 993 },
-  { 1503, 268, 140, 53, 993 },
-  { 27, 268, 140, 53, 993 },
-  { 219, 268, 140, 53, 993 },
-  { 408, 268, 140, 53, 993 },
-  { 553, 268, 140, 53, 993 },
-  { 696, 268, 140, 53, 993 },
-  { 839, 268, 140, 53, 993 },
-  { 982, 268, 140, 53, 993 },
-  { 1125, 268, 140, 53, 993 },
-  { 1268, 268, 140, 53, 993 },
-  { 1411, 268, 140, 53, 993 },
-  { 78, 268, 140, 53, 993 },
-  { 271, 268, 140, 53, 993 },
-  { 460, 268, 140, 53, 993 },
-  { 605, 268, 140, 53, 993 },
-  { 748, 268, 140, 53, 993 },
-  { 891, 268, 140, 53, 993 },
-  { 1034, 268, 140, 53, 993 },
-  { 1177, 268, 140, 53, 993 },
-  { 1320, 268, 140, 53, 993 },
-  { 1463, 268, 140, 53, 993 },
-  { 130, 268, 140, 53, 993 },
-  { 323, 268, 140, 53, 993 },
-  { 175, 280, 140, 53, 4080 },
-  { 643, 476, 4, 86, 1 },
-  { 786, 476, 4, 86, 1 },
-  { 929, 476, 4, 86, 1 },
-  { 1072, 476, 4, 86, 1 },
-  { 1215, 476, 4, 86, 1 },
-  { 1358, 476, 4, 86, 1 },
-  { 1497, 476, 4, 86, 1 },
-  { 21, 476, 4, 86, 1 },
-  { 213, 476, 4, 86, 1 },
-  { 401, 476, 4, 86, 1 },
-  { 545, 476, 4, 86, 1 },
-  { 688, 476, 4, 86, 1 },
-  { 831, 476, 4, 86, 1 },
-  { 974, 476, 4, 86, 1 },
-  { 1117, 476, 4, 86, 1 },
-  { 1260, 476, 4, 86, 1 },
-  { 1403, 476, 4, 86, 1 },
-  { 70, 476, 4, 86, 1 },
-  { 263, 476, 4, 86, 1 },
-  { 452, 476, 4, 86, 1 },
-  { 597, 476, 4, 86, 1 },
-  { 740, 476, 4, 86, 1 },
-  { 883, 476, 4, 86, 1 },
-  { 1026, 476, 4, 86, 1 },
-  { 1169, 476, 4, 86, 1 },
-  { 1312, 476, 4, 86, 1 },
-  { 1455, 476, 4, 86, 1 },
-  { 122, 476, 4, 86, 1 },
-  { 315, 476, 4, 86, 1 },
-  { 167, 508, 4, 86, 160 },
-  { 355, 365, 4, 86, 368 },
-  { 499, 444, 4, 86, 3216 },
-  { 503, 302, 261, 65, 241 },
-  { 646, 302, 88, 65, 241 },
-  { 789, 302, 88, 65, 241 },
-  { 932, 302, 88, 65, 241 },
-  { 1075, 302, 88, 65, 241 },
-  { 1218, 302, 88, 65, 241 },
-  { 1361, 302, 88, 65, 241 },
-  { 1500, 302, 88, 65, 241 },
-  { 24, 302, 88, 65, 241 },
-  { 216, 302, 88, 65, 241 },
-  { 404, 302, 88, 65, 241 },
-  { 549, 302, 88, 65, 241 },
-  { 692, 302, 88, 65, 241 },
-  { 835, 302, 88, 65, 241 },
-  { 978, 302, 88, 65, 241 },
-  { 1121, 302, 88, 65, 241 },
-  { 1264, 302, 88, 65, 241 },
-  { 1407, 302, 88, 65, 241 },
-  { 74, 302, 88, 65, 241 },
-  { 267, 302, 88, 65, 241 },
-  { 456, 302, 88, 65, 241 },
-  { 601, 302, 88, 65, 241 },
-  { 744, 302, 88, 65, 241 },
-  { 887, 302, 88, 65, 241 },
-  { 1030, 302, 88, 65, 241 },
-  { 1173, 302, 88, 65, 241 },
-  { 1316, 302, 88, 65, 241 },
-  { 1459, 302, 88, 65, 241 },
-  { 126, 302, 88, 65, 241 },
-  { 319, 302, 88, 65, 241 },
-  { 171, 323, 88, 65, 448 },
-  { 359, 344, 88, 65, 3824 },
+static MCRegisterDesc AArch64RegDesc[] = { // Descriptors
+  { 3, 0, 0, 0, 0, 0 },
+  { 1518, 266, 4, 5, 10001, 26 },
+  { 1525, 266, 4, 5, 10001, 26 },
+  { 1536, 4, 4, 4, 10001, 0 },
+  { 1522, 3, 4, 5, 3152, 26 },
+  { 1521, 4, 625, 4, 3152, 0 },
+  { 1528, 4, 3, 4, 3184, 0 },
+  { 1532, 625, 4, 5, 3184, 26 },
+  { 146, 4, 101, 4, 9969, 0 },
+  { 335, 4, 146, 4, 9969, 0 },
+  { 480, 4, 206, 4, 9969, 0 },
+  { 625, 4, 68, 4, 9969, 0 },
+  { 768, 4, 68, 4, 9969, 0 },
+  { 911, 4, 68, 4, 9969, 0 },
+  { 1054, 4, 68, 4, 9969, 0 },
+  { 1197, 4, 68, 4, 9969, 0 },
+  { 1340, 4, 68, 4, 9969, 0 },
+  { 1479, 4, 68, 4, 9969, 0 },
+  { 0, 4, 68, 4, 9969, 0 },
+  { 191, 4, 68, 4, 9969, 0 },
+  { 378, 4, 68, 4, 9969, 0 },
+  { 521, 4, 68, 4, 9969, 0 },
+  { 664, 4, 68, 4, 9969, 0 },
+  { 807, 4, 68, 4, 9969, 0 },
+  { 950, 4, 68, 4, 9969, 0 },
+  { 1093, 4, 68, 4, 9969, 0 },
+  { 1236, 4, 68, 4, 9969, 0 },
+  { 1379, 4, 68, 4, 9969, 0 },
+  { 46, 4, 68, 4, 9969, 0 },
+  { 239, 4, 68, 4, 9969, 0 },
+  { 428, 4, 68, 4, 9969, 0 },
+  { 573, 4, 68, 4, 9969, 0 },
+  { 716, 4, 68, 4, 9969, 0 },
+  { 859, 4, 68, 4, 9969, 0 },
+  { 1002, 4, 68, 4, 9969, 0 },
+  { 1145, 4, 68, 4, 9969, 0 },
+  { 1288, 4, 68, 4, 9969, 0 },
+  { 1431, 4, 68, 4, 9969, 0 },
+  { 98, 4, 68, 4, 9969, 0 },
+  { 291, 4, 68, 4, 9969, 0 },
+  { 161, 426, 104, 1, 9697, 3 },
+  { 349, 426, 149, 1, 9697, 3 },
+  { 493, 426, 209, 1, 9697, 3 },
+  { 637, 426, 71, 1, 9697, 3 },
+  { 780, 426, 71, 1, 9697, 3 },
+  { 923, 426, 71, 1, 9697, 3 },
+  { 1066, 426, 71, 1, 9697, 3 },
+  { 1209, 426, 71, 1, 9697, 3 },
+  { 1352, 426, 71, 1, 9697, 3 },
+  { 1491, 426, 71, 1, 9697, 3 },
+  { 13, 426, 71, 1, 9697, 3 },
+  { 205, 426, 71, 1, 9697, 3 },
+  { 393, 426, 71, 1, 9697, 3 },
+  { 537, 426, 71, 1, 9697, 3 },
+  { 680, 426, 71, 1, 9697, 3 },
+  { 823, 426, 71, 1, 9697, 3 },
+  { 966, 426, 71, 1, 9697, 3 },
+  { 1109, 426, 71, 1, 9697, 3 },
+  { 1252, 426, 71, 1, 9697, 3 },
+  { 1395, 426, 71, 1, 9697, 3 },
+  { 62, 426, 71, 1, 9697, 3 },
+  { 255, 426, 71, 1, 9697, 3 },
+  { 444, 426, 71, 1, 9697, 3 },
+  { 589, 426, 71, 1, 9697, 3 },
+  { 732, 426, 71, 1, 9697, 3 },
+  { 875, 426, 71, 1, 9697, 3 },
+  { 1018, 426, 71, 1, 9697, 3 },
+  { 1161, 426, 71, 1, 9697, 3 },
+  { 1304, 426, 71, 1, 9697, 3 },
+  { 1447, 426, 71, 1, 9697, 3 },
+  { 114, 426, 71, 1, 9697, 3 },
+  { 307, 426, 71, 1, 9697, 3 },
+  { 164, 428, 102, 3, 6705, 3 },
+  { 352, 428, 147, 3, 6705, 3 },
+  { 496, 428, 207, 3, 6705, 3 },
+  { 640, 428, 69, 3, 6705, 3 },
+  { 783, 428, 69, 3, 6705, 3 },
+  { 926, 428, 69, 3, 6705, 3 },
+  { 1069, 428, 69, 3, 6705, 3 },
+  { 1212, 428, 69, 3, 6705, 3 },
+  { 1355, 428, 69, 3, 6705, 3 },
+  { 1494, 428, 69, 3, 6705, 3 },
+  { 17, 428, 69, 3, 6705, 3 },
+  { 209, 428, 69, 3, 6705, 3 },
+  { 397, 428, 69, 3, 6705, 3 },
+  { 541, 428, 69, 3, 6705, 3 },
+  { 684, 428, 69, 3, 6705, 3 },
+  { 827, 428, 69, 3, 6705, 3 },
+  { 970, 428, 69, 3, 6705, 3 },
+  { 1113, 428, 69, 3, 6705, 3 },
+  { 1256, 428, 69, 3, 6705, 3 },
+  { 1399, 428, 69, 3, 6705, 3 },
+  { 66, 428, 69, 3, 6705, 3 },
+  { 259, 428, 69, 3, 6705, 3 },
+  { 448, 428, 69, 3, 6705, 3 },
+  { 593, 428, 69, 3, 6705, 3 },
+  { 736, 428, 69, 3, 6705, 3 },
+  { 879, 428, 69, 3, 6705, 3 },
+  { 1022, 428, 69, 3, 6705, 3 },
+  { 1165, 428, 69, 3, 6705, 3 },
+  { 1308, 428, 69, 3, 6705, 3 },
+  { 1451, 428, 69, 3, 6705, 3 },
+  { 118, 428, 69, 3, 6705, 3 },
+  { 311, 428, 69, 3, 6705, 3 },
+  { 179, 439, 124, 0, 4801, 3 },
+  { 366, 439, 169, 0, 4801, 3 },
+  { 509, 439, 229, 0, 4801, 3 },
+  { 652, 439, 91, 0, 4801, 3 },
+  { 795, 439, 91, 0, 4801, 3 },
+  { 938, 439, 91, 0, 4801, 3 },
+  { 1081, 439, 91, 0, 4801, 3 },
+  { 1224, 439, 91, 0, 4801, 3 },
+  { 1367, 439, 91, 0, 4801, 3 },
+  { 1506, 439, 91, 0, 4801, 3 },
+  { 30, 439, 91, 0, 4801, 3 },
+  { 223, 439, 91, 0, 4801, 3 },
+  { 412, 439, 91, 0, 4801, 3 },
+  { 557, 439, 91, 0, 4801, 3 },
+  { 700, 439, 91, 0, 4801, 3 },
+  { 843, 439, 91, 0, 4801, 3 },
+  { 986, 439, 91, 0, 4801, 3 },
+  { 1129, 439, 91, 0, 4801, 3 },
+  { 1272, 439, 91, 0, 4801, 3 },
+  { 1415, 439, 91, 0, 4801, 3 },
+  { 82, 439, 91, 0, 4801, 3 },
+  { 275, 439, 91, 0, 4801, 3 },
+  { 464, 439, 91, 0, 4801, 3 },
+  { 609, 439, 91, 0, 4801, 3 },
+  { 752, 439, 91, 0, 4801, 3 },
+  { 895, 439, 91, 0, 4801, 3 },
+  { 1038, 439, 91, 0, 4801, 3 },
+  { 1181, 439, 91, 0, 4801, 3 },
+  { 1324, 439, 91, 0, 4801, 3 },
+  { 1467, 439, 91, 0, 4801, 3 },
+  { 134, 439, 91, 0, 4801, 3 },
+  { 327, 439, 91, 0, 4801, 3 },
+  { 182, 427, 103, 2, 4769, 3 },
+  { 369, 427, 148, 2, 4769, 3 },
+  { 512, 427, 208, 2, 4769, 3 },
+  { 655, 427, 70, 2, 4769, 3 },
+  { 798, 427, 70, 2, 4769, 3 },
+  { 941, 427, 70, 2, 4769, 3 },
+  { 1084, 427, 70, 2, 4769, 3 },
+  { 1227, 427, 70, 2, 4769, 3 },
+  { 1370, 427, 70, 2, 4769, 3 },
+  { 1509, 427, 70, 2, 4769, 3 },
+  { 34, 427, 70, 2, 4769, 3 },
+  { 227, 427, 70, 2, 4769, 3 },
+  { 416, 427, 70, 2, 4769, 3 },
+  { 561, 427, 70, 2, 4769, 3 },
+  { 704, 427, 70, 2, 4769, 3 },
+  { 847, 427, 70, 2, 4769, 3 },
+  { 990, 427, 70, 2, 4769, 3 },
+  { 1133, 427, 70, 2, 4769, 3 },
+  { 1276, 427, 70, 2, 4769, 3 },
+  { 1419, 427, 70, 2, 4769, 3 },
+  { 86, 427, 70, 2, 4769, 3 },
+  { 279, 427, 70, 2, 4769, 3 },
+  { 468, 427, 70, 2, 4769, 3 },
+  { 613, 427, 70, 2, 4769, 3 },
+  { 756, 427, 70, 2, 4769, 3 },
+  { 899, 427, 70, 2, 4769, 3 },
+  { 1042, 427, 70, 2, 4769, 3 },
+  { 1185, 427, 70, 2, 4769, 3 },
+  { 1328, 427, 70, 2, 4769, 3 },
+  { 1471, 427, 70, 2, 4769, 3 },
+  { 138, 427, 70, 2, 4769, 3 },
+  { 331, 427, 70, 2, 4769, 3 },
+  { 185, 4, 256, 4, 4769, 0 },
+  { 372, 4, 256, 4, 4769, 0 },
+  { 515, 4, 256, 4, 4769, 0 },
+  { 658, 4, 256, 4, 4769, 0 },
+  { 801, 4, 256, 4, 4769, 0 },
+  { 944, 4, 256, 4, 4769, 0 },
+  { 1087, 4, 256, 4, 4769, 0 },
+  { 1230, 4, 256, 4, 4769, 0 },
+  { 1373, 4, 256, 4, 4769, 0 },
+  { 1512, 4, 256, 4, 4769, 0 },
+  { 38, 4, 256, 4, 4769, 0 },
+  { 231, 4, 256, 4, 4769, 0 },
+  { 420, 4, 256, 4, 4769, 0 },
+  { 565, 4, 256, 4, 4769, 0 },
+  { 708, 4, 256, 4, 4769, 0 },
+  { 851, 4, 256, 4, 4769, 0 },
+  { 994, 4, 256, 4, 4769, 0 },
+  { 1137, 4, 256, 4, 4769, 0 },
+  { 1280, 4, 256, 4, 4769, 0 },
+  { 1423, 4, 256, 4, 4769, 0 },
+  { 90, 4, 256, 4, 4769, 0 },
+  { 283, 4, 256, 4, 4769, 0 },
+  { 472, 4, 256, 4, 4769, 0 },
+  { 617, 4, 256, 4, 4769, 0 },
+  { 760, 4, 256, 4, 4769, 0 },
+  { 903, 4, 256, 4, 4769, 0 },
+  { 1046, 4, 256, 4, 4769, 0 },
+  { 1189, 4, 256, 4, 4769, 0 },
+  { 1332, 4, 256, 4, 4769, 0 },
+  { 1475, 4, 294, 4, 4673, 0 },
+  { 142, 4, 294, 4, 4673, 0 },
+  { 188, 621, 4, 5, 4737, 26 },
+  { 375, 621, 4, 5, 4737, 26 },
+  { 518, 621, 4, 5, 4737, 26 },
+  { 661, 621, 4, 5, 4737, 26 },
+  { 804, 621, 4, 5, 4737, 26 },
+  { 947, 621, 4, 5, 4737, 26 },
+  { 1090, 621, 4, 5, 4737, 26 },
+  { 1233, 621, 4, 5, 4737, 26 },
+  { 1376, 621, 4, 5, 4737, 26 },
+  { 1515, 621, 4, 5, 4737, 26 },
+  { 42, 621, 4, 5, 4737, 26 },
+  { 235, 621, 4, 5, 4737, 26 },
+  { 424, 621, 4, 5, 4737, 26 },
+  { 569, 621, 4, 5, 4737, 26 },
+  { 712, 621, 4, 5, 4737, 26 },
+  { 855, 621, 4, 5, 4737, 26 },
+  { 998, 621, 4, 5, 4737, 26 },
+  { 1141, 621, 4, 5, 4737, 26 },
+  { 1284, 621, 4, 5, 4737, 26 },
+  { 1427, 621, 4, 5, 4737, 26 },
+  { 94, 621, 4, 5, 4737, 26 },
+  { 287, 621, 4, 5, 4737, 26 },
+  { 476, 621, 4, 5, 4737, 26 },
+  { 621, 621, 4, 5, 4737, 26 },
+  { 764, 621, 4, 5, 4737, 26 },
+  { 907, 621, 4, 5, 4737, 26 },
+  { 1050, 621, 4, 5, 4737, 26 },
+  { 1193, 621, 4, 5, 4737, 26 },
+  { 1336, 621, 4, 5, 4737, 26 },
+  { 346, 430, 179, 7, 1041, 30 },
+  { 490, 430, 243, 7, 1041, 30 },
+  { 634, 430, 134, 7, 1041, 30 },
+  { 777, 430, 134, 7, 1041, 30 },
+  { 920, 430, 134, 7, 1041, 30 },
+  { 1063, 430, 134, 7, 1041, 30 },
+  { 1206, 430, 134, 7, 1041, 30 },
+  { 1349, 430, 134, 7, 1041, 30 },
+  { 1488, 430, 134, 7, 1041, 30 },
+  { 10, 430, 134, 7, 1041, 30 },
+  { 201, 430, 134, 7, 1041, 30 },
+  { 389, 430, 134, 7, 1041, 30 },
+  { 533, 430, 134, 7, 1041, 30 },
+  { 676, 430, 134, 7, 1041, 30 },
+  { 819, 430, 134, 7, 1041, 30 },
+  { 962, 430, 134, 7, 1041, 30 },
+  { 1105, 430, 134, 7, 1041, 30 },
+  { 1248, 430, 134, 7, 1041, 30 },
+  { 1391, 430, 134, 7, 1041, 30 },
+  { 58, 430, 134, 7, 1041, 30 },
+  { 251, 430, 134, 7, 1041, 30 },
+  { 440, 430, 134, 7, 1041, 30 },
+  { 585, 430, 134, 7, 1041, 30 },
+  { 728, 430, 134, 7, 1041, 30 },
+  { 871, 430, 134, 7, 1041, 30 },
+  { 1014, 430, 134, 7, 1041, 30 },
+  { 1157, 430, 134, 7, 1041, 30 },
+  { 1300, 430, 134, 7, 1041, 30 },
+  { 1443, 430, 134, 7, 1041, 30 },
+  { 110, 430, 134, 7, 1041, 30 },
+  { 303, 430, 134, 7, 1041, 30 },
+  { 157, 421, 134, 7, 4080, 2 },
+  { 628, 562, 264, 31, 81, 37 },
+  { 771, 562, 264, 31, 81, 37 },
+  { 914, 562, 264, 31, 81, 37 },
+  { 1057, 562, 264, 31, 81, 37 },
+  { 1200, 562, 264, 31, 81, 37 },
+  { 1343, 562, 264, 31, 81, 37 },
+  { 1482, 562, 264, 31, 81, 37 },
+  { 4, 562, 264, 31, 81, 37 },
+  { 195, 562, 264, 31, 81, 37 },
+  { 382, 562, 264, 31, 81, 37 },
+  { 525, 562, 264, 31, 81, 37 },
+  { 668, 562, 264, 31, 81, 37 },
+  { 811, 562, 264, 31, 81, 37 },
+  { 954, 562, 264, 31, 81, 37 },
+  { 1097, 562, 264, 31, 81, 37 },
+  { 1240, 562, 264, 31, 81, 37 },
+  { 1383, 562, 264, 31, 81, 37 },
+  { 50, 562, 264, 31, 81, 37 },
+  { 243, 562, 264, 31, 81, 37 },
+  { 432, 562, 264, 31, 81, 37 },
+  { 577, 562, 264, 31, 81, 37 },
+  { 720, 562, 264, 31, 81, 37 },
+  { 863, 562, 264, 31, 81, 37 },
+  { 1006, 562, 264, 31, 81, 37 },
+  { 1149, 562, 264, 31, 81, 37 },
+  { 1292, 562, 264, 31, 81, 37 },
+  { 1435, 562, 264, 31, 81, 37 },
+  { 102, 562, 264, 31, 81, 37 },
+  { 295, 562, 264, 31, 81, 37 },
+  { 149, 584, 264, 31, 160, 42 },
+  { 338, 397, 264, 31, 368, 28 },
+  { 483, 540, 264, 31, 3216, 5 },
+  { 487, 32, 258, 16, 305, 43 },
+  { 631, 32, 191, 16, 305, 43 },
+  { 774, 32, 191, 16, 305, 43 },
+  { 917, 32, 191, 16, 305, 43 },
+  { 1060, 32, 191, 16, 305, 43 },
+  { 1203, 32, 191, 16, 305, 43 },
+  { 1346, 32, 191, 16, 305, 43 },
+  { 1485, 32, 191, 16, 305, 43 },
+  { 7, 32, 191, 16, 305, 43 },
+  { 198, 32, 191, 16, 305, 43 },
+  { 385, 32, 191, 16, 305, 43 },
+  { 529, 32, 191, 16, 305, 43 },
+  { 672, 32, 191, 16, 305, 43 },
+  { 815, 32, 191, 16, 305, 43 },
+  { 958, 32, 191, 16, 305, 43 },
+  { 1101, 32, 191, 16, 305, 43 },
+  { 1244, 32, 191, 16, 305, 43 },
+  { 1387, 32, 191, 16, 305, 43 },
+  { 54, 32, 191, 16, 305, 43 },
+  { 247, 32, 191, 16, 305, 43 },
+  { 436, 32, 191, 16, 305, 43 },
+  { 581, 32, 191, 16, 305, 43 },
+  { 724, 32, 191, 16, 305, 43 },
+  { 867, 32, 191, 16, 305, 43 },
+  { 1010, 32, 191, 16, 305, 43 },
+  { 1153, 32, 191, 16, 305, 43 },
+  { 1296, 32, 191, 16, 305, 43 },
+  { 1439, 32, 191, 16, 305, 43 },
+  { 106, 32, 191, 16, 305, 43 },
+  { 299, 32, 191, 16, 305, 43 },
+  { 153, 47, 191, 16, 448, 33 },
+  { 342, 608, 191, 16, 3824, 10 },
+  { 363, 268, 185, 53, 993, 49 },
+  { 506, 268, 249, 53, 993, 49 },
+  { 649, 268, 140, 53, 993, 49 },
+  { 792, 268, 140, 53, 993, 49 },
+  { 935, 268, 140, 53, 993, 49 },
+  { 1078, 268, 140, 53, 993, 49 },
+  { 1221, 268, 140, 53, 993, 49 },
+  { 1364, 268, 140, 53, 993, 49 },
+  { 1503, 268, 140, 53, 993, 49 },
+  { 27, 268, 140, 53, 993, 49 },
+  { 219, 268, 140, 53, 993, 49 },
+  { 408, 268, 140, 53, 993, 49 },
+  { 553, 268, 140, 53, 993, 49 },
+  { 696, 268, 140, 53, 993, 49 },
+  { 839, 268, 140, 53, 993, 49 },
+  { 982, 268, 140, 53, 993, 49 },
+  { 1125, 268, 140, 53, 993, 49 },
+  { 1268, 268, 140, 53, 993, 49 },
+  { 1411, 268, 140, 53, 993, 49 },
+  { 78, 268, 140, 53, 993, 49 },
+  { 271, 268, 140, 53, 993, 49 },
+  { 460, 268, 140, 53, 993, 49 },
+  { 605, 268, 140, 53, 993, 49 },
+  { 748, 268, 140, 53, 993, 49 },
+  { 891, 268, 140, 53, 993, 49 },
+  { 1034, 268, 140, 53, 993, 49 },
+  { 1177, 268, 140, 53, 993, 49 },
+  { 1320, 268, 140, 53, 993, 49 },
+  { 1463, 268, 140, 53, 993, 49 },
+  { 130, 268, 140, 53, 993, 49 },
+  { 323, 268, 140, 53, 993, 49 },
+  { 175, 280, 140, 53, 4080, 14 },
+  { 643, 476, 4, 86, 1, 56 },
+  { 786, 476, 4, 86, 1, 56 },
+  { 929, 476, 4, 86, 1, 56 },
+  { 1072, 476, 4, 86, 1, 56 },
+  { 1215, 476, 4, 86, 1, 56 },
+  { 1358, 476, 4, 86, 1, 56 },
+  { 1497, 476, 4, 86, 1, 56 },
+  { 21, 476, 4, 86, 1, 56 },
+  { 213, 476, 4, 86, 1, 56 },
+  { 401, 476, 4, 86, 1, 56 },
+  { 545, 476, 4, 86, 1, 56 },
+  { 688, 476, 4, 86, 1, 56 },
+  { 831, 476, 4, 86, 1, 56 },
+  { 974, 476, 4, 86, 1, 56 },
+  { 1117, 476, 4, 86, 1, 56 },
+  { 1260, 476, 4, 86, 1, 56 },
+  { 1403, 476, 4, 86, 1, 56 },
+  { 70, 476, 4, 86, 1, 56 },
+  { 263, 476, 4, 86, 1, 56 },
+  { 452, 476, 4, 86, 1, 56 },
+  { 597, 476, 4, 86, 1, 56 },
+  { 740, 476, 4, 86, 1, 56 },
+  { 883, 476, 4, 86, 1, 56 },
+  { 1026, 476, 4, 86, 1, 56 },
+  { 1169, 476, 4, 86, 1, 56 },
+  { 1312, 476, 4, 86, 1, 56 },
+  { 1455, 476, 4, 86, 1, 56 },
+  { 122, 476, 4, 86, 1, 56 },
+  { 315, 476, 4, 86, 1, 56 },
+  { 167, 508, 4, 86, 160, 61 },
+  { 355, 365, 4, 86, 368, 47 },
+  { 499, 444, 4, 86, 3216, 17 },
+  { 503, 302, 261, 65, 241, 62 },
+  { 646, 302, 88, 65, 241, 62 },
+  { 789, 302, 88, 65, 241, 62 },
+  { 932, 302, 88, 65, 241, 62 },
+  { 1075, 302, 88, 65, 241, 62 },
+  { 1218, 302, 88, 65, 241, 62 },
+  { 1361, 302, 88, 65, 241, 62 },
+  { 1500, 302, 88, 65, 241, 62 },
+  { 24, 302, 88, 65, 241, 62 },
+  { 216, 302, 88, 65, 241, 62 },
+  { 404, 302, 88, 65, 241, 62 },
+  { 549, 302, 88, 65, 241, 62 },
+  { 692, 302, 88, 65, 241, 62 },
+  { 835, 302, 88, 65, 241, 62 },
+  { 978, 302, 88, 65, 241, 62 },
+  { 1121, 302, 88, 65, 241, 62 },
+  { 1264, 302, 88, 65, 241, 62 },
+  { 1407, 302, 88, 65, 241, 62 },
+  { 74, 302, 88, 65, 241, 62 },
+  { 267, 302, 88, 65, 241, 62 },
+  { 456, 302, 88, 65, 241, 62 },
+  { 601, 302, 88, 65, 241, 62 },
+  { 744, 302, 88, 65, 241, 62 },
+  { 887, 302, 88, 65, 241, 62 },
+  { 1030, 302, 88, 65, 241, 62 },
+  { 1173, 302, 88, 65, 241, 62 },
+  { 1316, 302, 88, 65, 241, 62 },
+  { 1459, 302, 88, 65, 241, 62 },
+  { 126, 302, 88, 65, 241, 62 },
+  { 319, 302, 88, 65, 241, 62 },
+  { 171, 323, 88, 65, 448, 52 },
+  { 359, 344, 88, 65, 3824, 22 },
 };
 
   // FPR8 Register Class...
@@ -1491,50 +1491,50 @@ static const MCRegisterDesc AArch64RegDe
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xff, 0x01, 
   };
 
-static const MCRegisterClass AArch64MCRegisterClasses[] = {
-  { "FPR8", FPR8, FPR8Bits, 32, sizeof(FPR8Bits), AArch64_FPR8RegClassID, 1, 1, 1, 1 },
-  { "FPR16", FPR16, FPR16Bits, 32, sizeof(FPR16Bits), AArch64_FPR16RegClassID, 2, 2, 1, 1 },
-  { "GPR32all", GPR32all, GPR32allBits, 33, sizeof(GPR32allBits), AArch64_GPR32allRegClassID, 4, 4, 1, 1 },
-  { "FPR32", FPR32, FPR32Bits, 32, sizeof(FPR32Bits), AArch64_FPR32RegClassID, 4, 4, 1, 1 },
-  { "GPR32", GPR32, GPR32Bits, 32, sizeof(GPR32Bits), AArch64_GPR32RegClassID, 4, 4, 1, 1 },
-  { "GPR32sp", GPR32sp, GPR32spBits, 32, sizeof(GPR32spBits), AArch64_GPR32spRegClassID, 4, 4, 1, 1 },
-  { "GPR32common", GPR32common, GPR32commonBits, 31, sizeof(GPR32commonBits), AArch64_GPR32commonRegClassID, 4, 4, 1, 1 },
-  { "CCR", CCR, CCRBits, 1, sizeof(CCRBits), AArch64_CCRRegClassID, 4, 4, -1, 0 },
-  { "GPR32sponly", GPR32sponly, GPR32sponlyBits, 1, sizeof(GPR32sponlyBits), AArch64_GPR32sponlyRegClassID, 4, 4, 1, 1 },
-  { "GPR64all", GPR64all, GPR64allBits, 33, sizeof(GPR64allBits), AArch64_GPR64allRegClassID, 8, 8, 1, 1 },
-  { "FPR64", FPR64, FPR64Bits, 32, sizeof(FPR64Bits), AArch64_FPR64RegClassID, 8, 8, 1, 1 },
-  { "GPR64", GPR64, GPR64Bits, 32, sizeof(GPR64Bits), AArch64_GPR64RegClassID, 8, 8, 1, 1 },
-  { "GPR64sp", GPR64sp, GPR64spBits, 32, sizeof(GPR64spBits), AArch64_GPR64spRegClassID, 8, 8, 1, 1 },
-  { "GPR64common", GPR64common, GPR64commonBits, 31, sizeof(GPR64commonBits), AArch64_GPR64commonRegClassID, 8, 8, 1, 1 },
-  { "tcGPR64", tcGPR64, tcGPR64Bits, 19, sizeof(tcGPR64Bits), AArch64_tcGPR64RegClassID, 8, 8, 1, 1 },
-  { "GPR64sponly", GPR64sponly, GPR64sponlyBits, 1, sizeof(GPR64sponlyBits), AArch64_GPR64sponlyRegClassID, 8, 8, 1, 1 },
-  { "DD", DD, DDBits, 32, sizeof(DDBits), AArch64_DDRegClassID, 16, 8, 1, 1 },
-  { "FPR128", FPR128, FPR128Bits, 32, sizeof(FPR128Bits), AArch64_FPR128RegClassID, 16, 16, 1, 1 },
-  { "FPR128_lo", FPR128_lo, FPR128_loBits, 16, sizeof(FPR128_loBits), AArch64_FPR128_loRegClassID, 16, 16, 1, 1 },
-  { "DDD", DDD, DDDBits, 32, sizeof(DDDBits), AArch64_DDDRegClassID, 24, 8, 1, 1 },
-  { "DDDD", DDDD, DDDDBits, 32, sizeof(DDDDBits), AArch64_DDDDRegClassID, 32, 8, 1, 1 },
-  { "QQ", QQ, QQBits, 32, sizeof(QQBits), AArch64_QQRegClassID, 32, 16, 1, 1 },
-  { "QQ_with_qsub0_in_FPR128_lo", QQ_with_qsub0_in_FPR128_lo, QQ_with_qsub0_in_FPR128_loBits, 16, sizeof(QQ_with_qsub0_in_FPR128_loBits), AArch64_QQ_with_qsub0_in_FPR128_loRegClassID, 32, 16, 1, 1 },
-  { "QQ_with_qsub1_in_FPR128_lo", QQ_with_qsub1_in_FPR128_lo, QQ_with_qsub1_in_FPR128_loBits, 16, sizeof(QQ_with_qsub1_in_FPR128_loBits), AArch64_QQ_with_qsub1_in_FPR128_loRegClassID, 32, 16, 1, 1 },
-  { "QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_lo", QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_lo, QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loBits, 15, sizeof(QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loBits), AArch64_QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loRegClassID, 32, 16, 1, 1 },
-  { "QQQ", QQQ, QQQBits, 32, sizeof(QQQBits), AArch64_QQQRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub0_in_FPR128_lo", QQQ_with_qsub0_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_loBits, 16, sizeof(QQQ_with_qsub0_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub1_in_FPR128_lo", QQQ_with_qsub1_in_FPR128_lo, QQQ_with_qsub1_in_FPR128_loBits, 16, sizeof(QQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQ_with_qsub1_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub2_in_FPR128_lo", QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub2_in_FPR128_loBits, 16, sizeof(QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_lo", QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loBits, 15, sizeof(QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo", QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits, 15, sizeof(QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo", QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits, 14, sizeof(QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
-  { "QQQQ", QQQQ, QQQQBits, 32, sizeof(QQQQBits), AArch64_QQQQRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub0_in_FPR128_lo", QQQQ_with_qsub0_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_loBits, 16, sizeof(QQQQ_with_qsub0_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub1_in_FPR128_lo", QQQQ_with_qsub1_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_loBits, 16, sizeof(QQQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub2_in_FPR128_lo", QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub2_in_FPR128_loBits, 16, sizeof(QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub3_in_FPR128_lo", QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub3_in_FPR128_loBits, 16, sizeof(QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_lo", QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loBits, 15, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo", QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits, 15, sizeof(QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo", QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 15, sizeof(QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo", QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits, 14, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo", QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 14, sizeof(QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
-  { "QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo", QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 13, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+static MCRegisterClass AArch64MCRegisterClasses[] = {
+  { FPR8, FPR8Bits, 39, 32, sizeof(FPR8Bits), AArch64_FPR8RegClassID, 1, 1, 1, 1 },
+  { FPR16, FPR16Bits, 26, 32, sizeof(FPR16Bits), AArch64_FPR16RegClassID, 2, 2, 1, 1 },
+  { GPR32all, GPR32allBits, 58, 33, sizeof(GPR32allBits), AArch64_GPR32allRegClassID, 4, 4, 1, 1 },
+  { FPR32, FPR32Bits, 0, 32, sizeof(FPR32Bits), AArch64_FPR32RegClassID, 4, 4, 1, 1 },
+  { GPR32, GPR32Bits, 6, 32, sizeof(GPR32Bits), AArch64_GPR32RegClassID, 4, 4, 1, 1 },
+  { GPR32sp, GPR32spBits, 739, 32, sizeof(GPR32spBits), AArch64_GPR32spRegClassID, 4, 4, 1, 1 },
+  { GPR32common, GPR32commonBits, 76, 31, sizeof(GPR32commonBits), AArch64_GPR32commonRegClassID, 4, 4, 1, 1 },
+  { CCR, CCRBits, 54, 1, sizeof(CCRBits), AArch64_CCRRegClassID, 4, 4, -1, 0 },
+  { GPR32sponly, GPR32sponlyBits, 755, 1, sizeof(GPR32sponlyBits), AArch64_GPR32sponlyRegClassID, 4, 4, 1, 1 },
+  { GPR64all, GPR64allBits, 67, 33, sizeof(GPR64allBits), AArch64_GPR64allRegClassID, 8, 8, 1, 1 },
+  { FPR64, FPR64Bits, 12, 32, sizeof(FPR64Bits), AArch64_FPR64RegClassID, 8, 8, 1, 1 },
+  { GPR64, GPR64Bits, 20, 32, sizeof(GPR64Bits), AArch64_GPR64RegClassID, 8, 8, 1, 1 },
+  { GPR64sp, GPR64spBits, 747, 32, sizeof(GPR64spBits), AArch64_GPR64spRegClassID, 8, 8, 1, 1 },
+  { GPR64common, GPR64commonBits, 88, 31, sizeof(GPR64commonBits), AArch64_GPR64commonRegClassID, 8, 8, 1, 1 },
+  { tcGPR64, tcGPR64Bits, 18, 19, sizeof(tcGPR64Bits), AArch64_tcGPR64RegClassID, 8, 8, 1, 1 },
+  { GPR64sponly, GPR64sponlyBits, 767, 1, sizeof(GPR64sponlyBits), AArch64_GPR64sponlyRegClassID, 8, 8, 1, 1 },
+  { DD, DDBits, 46, 32, sizeof(DDBits), AArch64_DDRegClassID, 16, 8, 1, 1 },
+  { FPR128, FPR128Bits, 32, 32, sizeof(FPR128Bits), AArch64_FPR128RegClassID, 16, 16, 1, 1 },
+  { FPR128_lo, FPR128_loBits, 119, 16, sizeof(FPR128_loBits), AArch64_FPR128_loRegClassID, 16, 16, 1, 1 },
+  { DDD, DDDBits, 45, 32, sizeof(DDDBits), AArch64_DDDRegClassID, 24, 8, 1, 1 },
+  { DDDD, DDDDBits, 44, 32, sizeof(DDDDBits), AArch64_DDDDRegClassID, 32, 8, 1, 1 },
+  { QQ, QQBits, 51, 32, sizeof(QQBits), AArch64_QQRegClassID, 32, 16, 1, 1 },
+  { QQ_with_qsub0_in_FPR128_lo, QQ_with_qsub0_in_FPR128_loBits, 102, 16, sizeof(QQ_with_qsub0_in_FPR128_loBits), AArch64_QQ_with_qsub0_in_FPR128_loRegClassID, 32, 16, 1, 1 },
+  { QQ_with_qsub1_in_FPR128_lo, QQ_with_qsub1_in_FPR128_loBits, 164, 16, sizeof(QQ_with_qsub1_in_FPR128_loBits), AArch64_QQ_with_qsub1_in_FPR128_loRegClassID, 32, 16, 1, 1 },
+  { QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_lo, QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loBits, 251, 15, sizeof(QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loBits), AArch64_QQ_with_qsub0_in_FPR128_lo_and_QQ_with_qsub1_in_FPR128_loRegClassID, 32, 16, 1, 1 },
+  { QQQ, QQQBits, 50, 32, sizeof(QQQBits), AArch64_QQQRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub0_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_loBits, 101, 16, sizeof(QQQ_with_qsub0_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub1_in_FPR128_lo, QQQ_with_qsub1_in_FPR128_loBits, 163, 16, sizeof(QQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQ_with_qsub1_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub2_in_FPR128_loBits, 343, 16, sizeof(QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loBits, 191, 15, sizeof(QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub1_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits, 493, 15, sizeof(QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub1_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_lo, QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits, 433, 14, sizeof(QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQ_with_qsub0_in_FPR128_lo_and_QQQ_with_qsub2_in_FPR128_loRegClassID, 48, 16, 1, 1 },
+  { QQQQ, QQQQBits, 49, 32, sizeof(QQQQBits), AArch64_QQQQRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub0_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_loBits, 100, 16, sizeof(QQQQ_with_qsub0_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub1_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_loBits, 162, 16, sizeof(QQQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub2_in_FPR128_loBits, 342, 16, sizeof(QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub3_in_FPR128_loBits, 586, 16, sizeof(QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loBits, 129, 15, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub1_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits, 371, 15, sizeof(QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 677, 15, sizeof(QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub2_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits, 309, 14, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub2_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 615, 14, sizeof(QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub1_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
+  { QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_lo, QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits, 553, 13, sizeof(QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loBits), AArch64_QQQQ_with_qsub0_in_FPR128_lo_and_QQQQ_with_qsub3_in_FPR128_loRegClassID, 64, 16, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenSubtargetInfo.inc 4.0.2-3/arch/AArch64/AArch64GenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64GenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64GenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64InstPrinter.c 4.0.2-3/arch/AArch64/AArch64InstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64InstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64InstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,11 +12,11 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2016 */
 
 #ifdef CAPSTONE_HAS_ARM64
 
-#include <platform.h>
+#include <capstone/platform.h>
 #include <stdio.h>
 #include <stdlib.h>
 
@@ -45,14 +45,34 @@ static char *printAliasInstr(MCInst *MI,
 static void printInstruction(MCInst *MI, SStream *O, MCRegisterInfo *MRI);
 static void printShifter(MCInst *MI, unsigned OpNum, SStream *O);
 
+static cs_ac_type get_op_access(cs_struct *h, unsigned int id, unsigned int index)
+{
+#ifndef CAPSTONE_DIET
+	uint8_t *arr = AArch64_get_op_access(h, id);
+
+	if (arr[index] == CS_AC_IGNORE)
+		return 0;
+
+	return arr[index];
+#else
+	return 0;
+#endif
+}
+
 static void set_mem_access(MCInst *MI, bool status)
 {
+	MI->csh->doing_mem = status;
+
 	if (MI->csh->detail != CS_OPT_ON)
 		return;
 
-	MI->csh->doing_mem = status;
-
 	if (status) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_MEM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.base = ARM64_REG_INVALID;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.index = ARM64_REG_INVALID;
@@ -116,9 +136,20 @@ void AArch64_printInst(MCInst *MI, SStre
 						getRegisterName(getWRegFromXReg(MCOperand_getReg(Op1)), AArch64_NoRegAltName));
 
 				if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+					uint8_t access;
+					access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+					MI->ac_idx++;
+#endif
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 					MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+					access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+					MI->ac_idx++;
+#endif
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = getWRegFromXReg(MCOperand_getReg(Op1));
 					MI->flat_insn->detail->arm64.op_count++;
@@ -170,12 +201,28 @@ void AArch64_printInst(MCInst *MI, SStre
 				MCInst_setOpcodePub(MI, AArch64_map_insn(AsmMnemonic));
 
 				if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+					uint8_t access;
+					access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+					MI->ac_idx++;
+#endif
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 					MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+					access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+					MI->ac_idx++;
+#endif
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op1);
 					MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+					access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+					MI->ac_idx++;
+#endif
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = shift;
 					MI->flat_insn->detail->arm64.op_count++;
@@ -197,15 +244,36 @@ void AArch64_printInst(MCInst *MI, SStre
 			MCInst_setOpcodePub(MI, AArch64_map_insn(IsSigned ? "sbfiz" : "ubfiz"));
 
 			if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op1);
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = (Is64Bit ? 64 : 32) - (int)MCOperand_getImm(Op2);
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = MCOperand_getImm(Op3) + 1;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -225,15 +293,36 @@ void AArch64_printInst(MCInst *MI, SStre
 		MCInst_setOpcodePub(MI, AArch64_map_insn(IsSigned ? "sbfx" : "ubfx"));
 
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op1);
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = MCOperand_getImm(Op2);
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = MCOperand_getImm(Op3) - MCOperand_getImm(Op2) + 1;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -263,15 +352,36 @@ void AArch64_printInst(MCInst *MI, SStre
 			MCInst_setOpcodePub(MI, AArch64_map_insn("bfi"));
 
 			if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op2);
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = LSB;
 				MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Width;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -292,15 +402,36 @@ void AArch64_printInst(MCInst *MI, SStre
 		MCInst_setOpcodePub(MI, AArch64_map_insn("bfxil"));
 
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op0);
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(Op2);
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = LSB;
 			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Width;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -313,6 +444,16 @@ void AArch64_printInst(MCInst *MI, SStre
 	if (mnem) {
 		MCInst_setOpcodePub(MI, AArch64_map_insn(mnem));
 		cs_mem_free(mnem);
+
+		switch(MCInst_getOpcode(MI)) {
+			default: break;
+			case AArch64_UMOVvi64:
+				 arm64_op_addVectorElementSizeSpecifier(MI, ARM64_VESS_D);
+				 break;
+			case AArch64_UMOVvi32:
+				 arm64_op_addVectorElementSizeSpecifier(MI, ARM64_VESS_S);
+				 break;
+		}
 	} else {
 		printInstruction(MI, O, Info);
 	}
@@ -565,6 +706,12 @@ static bool printSysAlias(MCInst *MI, SS
 		MCInst_setOpcodePub(MI, insn_id);
 		SStream_concat0(O, Asm);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_SYS;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].sys = op_ic + op_dc + op_at + op_tlbi;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -574,6 +721,12 @@ static bool printSysAlias(MCInst *MI, SS
 			unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, 4));
 			SStream_concat(O, ", %s", getRegisterName(Reg, AArch64_NoRegAltName));
 			if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Reg;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -600,6 +753,12 @@ static void printOperand(MCInst *MI, uns
 					MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.index = Reg;
 				}
 			} else {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Reg;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -611,12 +770,26 @@ static void printOperand(MCInst *MI, uns
 		if (MI->Opcode == AArch64_ADR) {
 			imm += MI->address;
 			printUInt64Bang(O, imm);
-		} else
-			printUInt64Bang(O, imm);
+		} else {
+			if (MI->csh->doing_mem) {
+				if (MI->csh->imm_unsigned)
+					printUInt64Bang(O, imm);
+				else
+					printInt64Bang(O, imm);
+			} else
+				printUInt64Bang(O, imm);
+		}
+
 		if (MI->csh->detail) {
 			if (MI->csh->doing_mem) {
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.disp = (int32_t)imm;
 			} else {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = imm;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -630,6 +803,12 @@ static void printHexImm(MCInst *MI, unsi
 	MCOperand *Op = MCInst_getOperand(MI, OpNo);
 	SStream_concat(O, "#%#llx", MCOperand_getImm(Op));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = MCOperand_getImm(Op);
 		MI->flat_insn->detail->arm64.op_count++;
@@ -646,6 +825,12 @@ static void printPostIncOperand(MCInst *
 		if (Reg == AArch64_XZR) {
 			printInt32Bang(O, Imm);
 			if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Imm;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -653,6 +838,12 @@ static void printPostIncOperand(MCInst *
 		} else {
 			SStream_concat0(O, getRegisterName(Reg, AArch64_NoRegAltName));
 			if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Reg;
 				MI->flat_insn->detail->arm64.op_count++;
@@ -674,6 +865,12 @@ static void printVRegOperand(MCInst *MI,
 	unsigned Reg = MCOperand_getReg(Op);
 	SStream_concat0(O, getRegisterName(Reg, AArch64_vreg));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = AArch64_map_vregister(Reg);
 		MI->flat_insn->detail->arm64.op_count++;
@@ -686,6 +883,12 @@ static void printSysCROperand(MCInst *MI
 	//assert(Op.isImm() && "System instruction C[nm] operands must be immediates!");
 	SStream_concat(O, "c%u", MCOperand_getImm(Op));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_CIMM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = MCOperand_getImm(Op);
 		MI->flat_insn->detail->arm64.op_count++;
@@ -703,6 +906,12 @@ static void printAddSubImm(MCInst *MI, u
 		printInt32Bang(O, Val);
 
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -721,6 +930,12 @@ static void printLogicalImm32(MCInst *MI
 	printUInt32Bang(O, (int)Val);
 
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
 		MI->flat_insn->detail->arm64.op_count++;
@@ -749,8 +964,14 @@ static void printLogicalImm64(MCInst *MI
 	}
 
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
-		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = (int64_t)Val;
 		MI->flat_insn->detail->arm64.op_count++;
 	}
 }
@@ -796,6 +1017,12 @@ static void printShiftedRegister(MCInst
 {
 	SStream_concat0(O, getRegisterName(MCOperand_getReg(MCInst_getOperand(MI, OpNum)), AArch64_NoRegAltName));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
 		MI->flat_insn->detail->arm64.op_count++;
@@ -882,6 +1109,12 @@ static void printExtendedRegister(MCInst
 
 	SStream_concat0(O, getRegisterName(Reg, AArch64_NoRegAltName));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Reg;
 		MI->flat_insn->detail->arm64.op_count++;
@@ -976,6 +1209,12 @@ static void printImmScale(MCInst *MI, un
 		if (MI->csh->doing_mem) {
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.disp = (int32_t)val;
 		} else {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = val;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -994,9 +1233,15 @@ static void printUImm12Offset(MCInst *MI
 			if (MI->csh->doing_mem) {
 				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].mem.disp = (int32_t)val;
 			} else {
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = val;
-			MI->flat_insn->detail->arm64.op_count++;
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+				MI->ac_idx++;
+#endif
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
+				MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = (int)val;
+				MI->flat_insn->detail->arm64.op_count++;
 			}
 		}
 	}
@@ -1024,6 +1269,12 @@ static void printPrefetchOp(MCInst *MI,
 	} else {
 		printInt32Bang(O, prfop);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = prfop;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -1044,6 +1295,12 @@ static void printFPImmOperand(MCInst *MI
 	SStream_concat(O, "#%.8f", FPImm);
 #endif
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_FP;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].fp = FPImm;
 		MI->flat_insn->detail->arm64.op_count++;
@@ -1135,6 +1392,12 @@ static void printVectorList(MCInst *MI,
 		if (i + 1 != NumRegs)
 			SStream_concat0(O, ", ");
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = AArch64_map_vregister(Reg);
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].vas = vas;
@@ -1251,6 +1514,12 @@ static void printAlignedLabel(MCInst *MI
 		uint64_t imm = (MCOperand_getImm(Op) * 4) + MI->address;
 		printUInt64Bang(O, imm);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = imm;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -1270,6 +1539,12 @@ static void printAdrpLabel(MCInst *MI, u
 		printUInt64Bang(O, imm);
 
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = imm;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -1293,6 +1568,12 @@ static void printBarrierOption(MCInst *M
 	if (Valid) {
 		SStream_concat0(O, Name);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_BARRIER;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].barrier = Val;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -1300,6 +1581,12 @@ static void printBarrierOption(MCInst *M
 	} else {
 		printUInt32Bang(O, Val);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
 			MI->flat_insn->detail->arm64.op_count++;
@@ -1310,36 +1597,42 @@ static void printBarrierOption(MCInst *M
 static void printMRSSystemRegister(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	unsigned Val = (unsigned)MCOperand_getImm(MCInst_getOperand(MI, OpNo));
-	bool Valid;
 	char Name[128];
 
-	A64SysRegMapper_toString(&AArch64_MRSMapper, Val, &Valid, Name);
+	A64SysRegMapper_toString(&AArch64_MRSMapper, Val, Name);
 
-	if (Valid) {
-		SStream_concat0(O, Name);
-		if (MI->csh->detail) {
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG_MRS;
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Val;
-			MI->flat_insn->detail->arm64.op_count++;
-		}
+	SStream_concat0(O, Name);
+	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG_MRS;
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Val;
+		MI->flat_insn->detail->arm64.op_count++;
 	}
 }
 
 static void printMSRSystemRegister(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	unsigned Val = (unsigned)MCOperand_getImm(MCInst_getOperand(MI, OpNo));
-	bool Valid;
 	char Name[128];
 
-	A64SysRegMapper_toString(&AArch64_MSRMapper, Val, &Valid, Name);
+	A64SysRegMapper_toString(&AArch64_MSRMapper, Val, Name);
 
-	if (Valid) {
-		SStream_concat0(O, Name);
-		if (MI->csh->detail) {
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG_MSR;
-			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Val;
-			MI->flat_insn->detail->arm64.op_count++;
-		}
+	SStream_concat0(O, Name);
+	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_REG_MSR;
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].reg = Val;
+		MI->flat_insn->detail->arm64.op_count++;
 	}
 }
 
@@ -1353,12 +1646,26 @@ static void printSystemPStateField(MCIns
 	if (Valid) {
 		SStream_concat0(O, Name);
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access;
+			access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+			MI->ac_idx++;
+#endif
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_PSTATE;
 			MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].pstate = Val;
 			MI->flat_insn->detail->arm64.op_count++;
 		}
 	} else {
+#ifndef CAPSTONE_DIET
+		unsigned char access;
+#endif
 		printInt32Bang(O, Val);
+#ifndef CAPSTONE_DIET
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
 		MI->flat_insn->detail->arm64.op_count++;
@@ -1371,6 +1678,12 @@ static void printSIMDType10Operand(MCIns
 	uint64_t Val = AArch64_AM_decodeAdvSIMDModImmType10(RawVal);
 	SStream_concat(O, "#%#016llx", Val);
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		unsigned char access;
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].access = access;
+		MI->ac_idx++;
+#endif
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].type = ARM64_OP_IMM;
 		MI->flat_insn->detail->arm64.operands[MI->flat_insn->detail->arm64.op_count].imm = Val;
 		MI->flat_insn->detail->arm64.op_count++;
@@ -1386,9 +1699,253 @@ void AArch64_post_printer(csh handle, cs
 	if (((cs_struct *)handle)->detail != CS_OPT_ON)
 		return;
 
-	// check if this insn requests write-back
-	if (strrchr(insn_asm, '!') != NULL)
-		flat_insn->detail->arm64.writeback = true;
+	if (mci->csh->detail) {
+		unsigned opcode = MCInst_getOpcode(mci);
+		switch (opcode) {
+			default:
+				break;
+			case AArch64_LD1Fourv16b_POST:
+			case AArch64_LD1Fourv1d_POST:
+			case AArch64_LD1Fourv2d_POST:
+			case AArch64_LD1Fourv2s_POST:
+			case AArch64_LD1Fourv4h_POST:
+			case AArch64_LD1Fourv4s_POST:
+			case AArch64_LD1Fourv8b_POST:
+			case AArch64_LD1Fourv8h_POST:
+			case AArch64_LD1Onev16b_POST:
+			case AArch64_LD1Onev1d_POST:
+			case AArch64_LD1Onev2d_POST:
+			case AArch64_LD1Onev2s_POST:
+			case AArch64_LD1Onev4h_POST:
+			case AArch64_LD1Onev4s_POST:
+			case AArch64_LD1Onev8b_POST:
+			case AArch64_LD1Onev8h_POST:
+			case AArch64_LD1Rv16b_POST:
+			case AArch64_LD1Rv1d_POST:
+			case AArch64_LD1Rv2d_POST:
+			case AArch64_LD1Rv2s_POST:
+			case AArch64_LD1Rv4h_POST:
+			case AArch64_LD1Rv4s_POST:
+			case AArch64_LD1Rv8b_POST:
+			case AArch64_LD1Rv8h_POST:
+			case AArch64_LD1Threev16b_POST:
+			case AArch64_LD1Threev1d_POST:
+			case AArch64_LD1Threev2d_POST:
+			case AArch64_LD1Threev2s_POST:
+			case AArch64_LD1Threev4h_POST:
+			case AArch64_LD1Threev4s_POST:
+			case AArch64_LD1Threev8b_POST:
+			case AArch64_LD1Threev8h_POST:
+			case AArch64_LD1Twov16b_POST:
+			case AArch64_LD1Twov1d_POST:
+			case AArch64_LD1Twov2d_POST:
+			case AArch64_LD1Twov2s_POST:
+			case AArch64_LD1Twov4h_POST:
+			case AArch64_LD1Twov4s_POST:
+			case AArch64_LD1Twov8b_POST:
+			case AArch64_LD1Twov8h_POST:
+			case AArch64_LD1i16_POST:
+			case AArch64_LD1i32_POST:
+			case AArch64_LD1i64_POST:
+			case AArch64_LD1i8_POST:
+			case AArch64_LD2Rv16b_POST:
+			case AArch64_LD2Rv1d_POST:
+			case AArch64_LD2Rv2d_POST:
+			case AArch64_LD2Rv2s_POST:
+			case AArch64_LD2Rv4h_POST:
+			case AArch64_LD2Rv4s_POST:
+			case AArch64_LD2Rv8b_POST:
+			case AArch64_LD2Rv8h_POST:
+			case AArch64_LD2Twov16b_POST:
+			case AArch64_LD2Twov2d_POST:
+			case AArch64_LD2Twov2s_POST:
+			case AArch64_LD2Twov4h_POST:
+			case AArch64_LD2Twov4s_POST:
+			case AArch64_LD2Twov8b_POST:
+			case AArch64_LD2Twov8h_POST:
+			case AArch64_LD2i16_POST:
+			case AArch64_LD2i32_POST:
+			case AArch64_LD2i64_POST:
+			case AArch64_LD2i8_POST:
+			case AArch64_LD3Rv16b_POST:
+			case AArch64_LD3Rv1d_POST:
+			case AArch64_LD3Rv2d_POST:
+			case AArch64_LD3Rv2s_POST:
+			case AArch64_LD3Rv4h_POST:
+			case AArch64_LD3Rv4s_POST:
+			case AArch64_LD3Rv8b_POST:
+			case AArch64_LD3Rv8h_POST:
+			case AArch64_LD3Threev16b_POST:
+			case AArch64_LD3Threev2d_POST:
+			case AArch64_LD3Threev2s_POST:
+			case AArch64_LD3Threev4h_POST:
+			case AArch64_LD3Threev4s_POST:
+			case AArch64_LD3Threev8b_POST:
+			case AArch64_LD3Threev8h_POST:
+			case AArch64_LD3i16_POST:
+			case AArch64_LD3i32_POST:
+			case AArch64_LD3i64_POST:
+			case AArch64_LD3i8_POST:
+			case AArch64_LD4Fourv16b_POST:
+			case AArch64_LD4Fourv2d_POST:
+			case AArch64_LD4Fourv2s_POST:
+			case AArch64_LD4Fourv4h_POST:
+			case AArch64_LD4Fourv4s_POST:
+			case AArch64_LD4Fourv8b_POST:
+			case AArch64_LD4Fourv8h_POST:
+			case AArch64_LD4Rv16b_POST:
+			case AArch64_LD4Rv1d_POST:
+			case AArch64_LD4Rv2d_POST:
+			case AArch64_LD4Rv2s_POST:
+			case AArch64_LD4Rv4h_POST:
+			case AArch64_LD4Rv4s_POST:
+			case AArch64_LD4Rv8b_POST:
+			case AArch64_LD4Rv8h_POST:
+			case AArch64_LD4i16_POST:
+			case AArch64_LD4i32_POST:
+			case AArch64_LD4i64_POST:
+			case AArch64_LD4i8_POST:
+			case AArch64_LDPDpost:
+			case AArch64_LDPDpre:
+			case AArch64_LDPQpost:
+			case AArch64_LDPQpre:
+			case AArch64_LDPSWpost:
+			case AArch64_LDPSWpre:
+			case AArch64_LDPSpost:
+			case AArch64_LDPSpre:
+			case AArch64_LDPWpost:
+			case AArch64_LDPWpre:
+			case AArch64_LDPXpost:
+			case AArch64_LDPXpre:
+			case AArch64_LDRBBpost:
+			case AArch64_LDRBBpre:
+			case AArch64_LDRBpost:
+			case AArch64_LDRBpre:
+			case AArch64_LDRDpost:
+			case AArch64_LDRDpre:
+			case AArch64_LDRHHpost:
+			case AArch64_LDRHHpre:
+			case AArch64_LDRHpost:
+			case AArch64_LDRHpre:
+			case AArch64_LDRQpost:
+			case AArch64_LDRQpre:
+			case AArch64_LDRSBWpost:
+			case AArch64_LDRSBWpre:
+			case AArch64_LDRSBXpost:
+			case AArch64_LDRSBXpre:
+			case AArch64_LDRSHWpost:
+			case AArch64_LDRSHWpre:
+			case AArch64_LDRSHXpost:
+			case AArch64_LDRSHXpre:
+			case AArch64_LDRSWpost:
+			case AArch64_LDRSWpre:
+			case AArch64_LDRSpost:
+			case AArch64_LDRSpre:
+			case AArch64_LDRWpost:
+			case AArch64_LDRWpre:
+			case AArch64_LDRXpost:
+			case AArch64_LDRXpre:
+			case AArch64_ST1Fourv16b_POST:
+			case AArch64_ST1Fourv1d_POST:
+			case AArch64_ST1Fourv2d_POST:
+			case AArch64_ST1Fourv2s_POST:
+			case AArch64_ST1Fourv4h_POST:
+			case AArch64_ST1Fourv4s_POST:
+			case AArch64_ST1Fourv8b_POST:
+			case AArch64_ST1Fourv8h_POST:
+			case AArch64_ST1Onev16b_POST:
+			case AArch64_ST1Onev1d_POST:
+			case AArch64_ST1Onev2d_POST:
+			case AArch64_ST1Onev2s_POST:
+			case AArch64_ST1Onev4h_POST:
+			case AArch64_ST1Onev4s_POST:
+			case AArch64_ST1Onev8b_POST:
+			case AArch64_ST1Onev8h_POST:
+			case AArch64_ST1Threev16b_POST:
+			case AArch64_ST1Threev1d_POST:
+			case AArch64_ST1Threev2d_POST:
+			case AArch64_ST1Threev2s_POST:
+			case AArch64_ST1Threev4h_POST:
+			case AArch64_ST1Threev4s_POST:
+			case AArch64_ST1Threev8b_POST:
+			case AArch64_ST1Threev8h_POST:
+			case AArch64_ST1Twov16b_POST:
+			case AArch64_ST1Twov1d_POST:
+			case AArch64_ST1Twov2d_POST:
+			case AArch64_ST1Twov2s_POST:
+			case AArch64_ST1Twov4h_POST:
+			case AArch64_ST1Twov4s_POST:
+			case AArch64_ST1Twov8b_POST:
+			case AArch64_ST1Twov8h_POST:
+			case AArch64_ST1i16_POST:
+			case AArch64_ST1i32_POST:
+			case AArch64_ST1i64_POST:
+			case AArch64_ST1i8_POST:
+			case AArch64_ST2Twov16b_POST:
+			case AArch64_ST2Twov2d_POST:
+			case AArch64_ST2Twov2s_POST:
+			case AArch64_ST2Twov4h_POST:
+			case AArch64_ST2Twov4s_POST:
+			case AArch64_ST2Twov8b_POST:
+			case AArch64_ST2Twov8h_POST:
+			case AArch64_ST2i16_POST:
+			case AArch64_ST2i32_POST:
+			case AArch64_ST2i64_POST:
+			case AArch64_ST2i8_POST:
+			case AArch64_ST3Threev16b_POST:
+			case AArch64_ST3Threev2d_POST:
+			case AArch64_ST3Threev2s_POST:
+			case AArch64_ST3Threev4h_POST:
+			case AArch64_ST3Threev4s_POST:
+			case AArch64_ST3Threev8b_POST:
+			case AArch64_ST3Threev8h_POST:
+			case AArch64_ST3i16_POST:
+			case AArch64_ST3i32_POST:
+			case AArch64_ST3i64_POST:
+			case AArch64_ST3i8_POST:
+			case AArch64_ST4Fourv16b_POST:
+			case AArch64_ST4Fourv2d_POST:
+			case AArch64_ST4Fourv2s_POST:
+			case AArch64_ST4Fourv4h_POST:
+			case AArch64_ST4Fourv4s_POST:
+			case AArch64_ST4Fourv8b_POST:
+			case AArch64_ST4Fourv8h_POST:
+			case AArch64_ST4i16_POST:
+			case AArch64_ST4i32_POST:
+			case AArch64_ST4i64_POST:
+			case AArch64_ST4i8_POST:
+			case AArch64_STPDpost:
+			case AArch64_STPDpre:
+			case AArch64_STPQpost:
+			case AArch64_STPQpre:
+			case AArch64_STPSpost:
+			case AArch64_STPSpre:
+			case AArch64_STPWpost:
+			case AArch64_STPWpre:
+			case AArch64_STPXpost:
+			case AArch64_STPXpre:
+			case AArch64_STRBBpost:
+			case AArch64_STRBBpre:
+			case AArch64_STRBpost:
+			case AArch64_STRBpre:
+			case AArch64_STRDpost:
+			case AArch64_STRDpre:
+			case AArch64_STRHHpost:
+			case AArch64_STRHHpre:
+			case AArch64_STRHpost:
+			case AArch64_STRHpre:
+			case AArch64_STRQpost:
+			case AArch64_STRQpre:
+			case AArch64_STRSpost:
+			case AArch64_STRSpre:
+			case AArch64_STRWpost:
+			case AArch64_STRWpre:
+			case AArch64_STRXpost:
+			case AArch64_STRXpre:
+				flat_insn->detail->arm64.writeback = true;
+				break;
+		}
+	}
 }
 
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64InstPrinter.h 4.0.2-3/arch/AArch64/AArch64InstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64InstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64InstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_AARCH64INSTPRINTER_H
 #define CS_LLVM_AARCH64INSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Mapping.c 4.0.2-3/arch/AArch64/AArch64Mapping.c
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Mapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64Mapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM64
 
@@ -283,7 +283,7 @@ static const name_map reg_name_maps[] =
 const char *AArch64_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= ARM64_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -301,13976 +301,9 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		AArch64_ABSv16i8, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv1i64, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv2i32, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv2i64, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv4i16, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv4i32, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv8i16, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ABSv8i8, ARM64_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADCSWr, ARM64_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADCSXr, ARM64_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADCWr, ARM64_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADCXr, ARM64_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv2i64_v2i32, ARM64_INS_ADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv2i64_v4i32, ARM64_INS_ADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv4i32_v4i16, ARM64_INS_ADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv4i32_v8i16, ARM64_INS_ADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv8i16_v16i8, ARM64_INS_ADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDHNv8i16_v8i8, ARM64_INS_ADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv16i8, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv2i32, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv2i64, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv2i64p, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv4i16, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv4i32, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv8i16, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDPv8i8, ARM64_INS_ADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSWri, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSWrs, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSWrx, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSXri, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSXrs, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSXrx, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDSXrx64, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDVv16i8v, ARM64_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDVv4i16v, ARM64_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDVv4i32v, ARM64_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDVv8i16v, ARM64_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDVv8i8v, ARM64_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDWri, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDWrs, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDWrx, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDXri, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDXrs, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDXrx, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDXrx64, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv16i8, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv1i64, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv2i32, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv2i64, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv4i16, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv4i32, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv8i16, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADDv8i8, ARM64_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADR, ARM64_INS_ADR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ADRP, ARM64_INS_ADRP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_AESDrr, ARM64_INS_AESD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_AESErr, ARM64_INS_AESE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_AESIMCrr, ARM64_INS_AESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_AESMCrr, ARM64_INS_AESMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDSWri, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDSWrs, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDSXri, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDSXrs, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDWri, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDWrs, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDXri, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDXrs, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDv16i8, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ANDv8i8, ARM64_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ASRVWr, ARM64_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ASRVXr, ARM64_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_B, ARM64_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_BFMWri, ARM64_INS_BFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BFMXri, ARM64_INS_BFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICSWrs, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICSXrs, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICWrs, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICXrs, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv16i8, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv2i32, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv4i16, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv4i32, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv8i16, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BICv8i8, ARM64_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BIFv16i8, ARM64_INS_BIF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BIFv8i8, ARM64_INS_BIF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BITv16i8, ARM64_INS_BIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BITv8i8, ARM64_INS_BIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BL, ARM64_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BLR, ARM64_INS_BLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BR, ARM64_INS_BR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		AArch64_BRK, ARM64_INS_BRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BSLv16i8, ARM64_INS_BSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_BSLv8i8, ARM64_INS_BSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_Bcc, ARM64_INS_B,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_CBNZW, ARM64_INS_CBNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_CBNZX, ARM64_INS_CBNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_CBZW, ARM64_INS_CBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_CBZX, ARM64_INS_CBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_CCMNWi, ARM64_INS_CCMN,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMNWr, ARM64_INS_CCMN,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMNXi, ARM64_INS_CCMN,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMNXr, ARM64_INS_CCMN,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMPWi, ARM64_INS_CCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMPWr, ARM64_INS_CCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMPXi, ARM64_INS_CCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CCMPXr, ARM64_INS_CCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLREX, ARM64_INS_CLREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSWr, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSXr, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv16i8, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv2i32, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv4i16, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv4i32, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv8i16, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLSv8i8, ARM64_INS_CLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZWr, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZXr, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv16i8, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv2i32, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv4i16, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv4i32, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv8i16, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CLZv8i8, ARM64_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv16i8, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv16i8rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv1i64, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv1i64rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv2i32, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv2i32rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv2i64, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv2i64rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv4i16, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv4i16rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv4i32, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv4i32rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv8i16, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv8i16rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv8i8, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMEQv8i8rz, ARM64_INS_CMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv16i8, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv16i8rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv1i64, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv1i64rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv2i32, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv2i32rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv2i64, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv2i64rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv4i16, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv4i16rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv4i32, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv4i32rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv8i16, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv8i16rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv8i8, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGEv8i8rz, ARM64_INS_CMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv16i8, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv16i8rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv1i64, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv1i64rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv2i32, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv2i32rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv2i64, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv2i64rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv4i16, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv4i16rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv4i32, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv4i32rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv8i16, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv8i16rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv8i8, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMGTv8i8rz, ARM64_INS_CMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv16i8, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv1i64, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv2i32, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv2i64, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv4i16, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv4i32, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv8i16, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHIv8i8, ARM64_INS_CMHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv16i8, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv1i64, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv2i32, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv2i64, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv4i16, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv4i32, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv8i16, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMHSv8i8, ARM64_INS_CMHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv16i8rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv1i64rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv2i32rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv2i64rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv4i16rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv4i32rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv8i16rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLEv8i8rz, ARM64_INS_CMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv16i8rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv1i64rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv2i32rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv2i64rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv4i16rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv4i32rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv8i16rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMLTv8i8rz, ARM64_INS_CMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv16i8, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv1i64, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv2i32, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv2i64, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv4i16, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv4i32, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv8i16, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CMTSTv8i8, ARM64_INS_CMTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CNTv16i8, ARM64_INS_CNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CNTv8i8, ARM64_INS_CNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CPYi16, ARM64_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CPYi32, ARM64_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CPYi64, ARM64_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CPYi8, ARM64_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32Brr, ARM64_INS_CRC32B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32CBrr, ARM64_INS_CRC32CB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32CHrr, ARM64_INS_CRC32CH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32CWrr, ARM64_INS_CRC32CW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32CXrr, ARM64_INS_CRC32CX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32Hrr, ARM64_INS_CRC32H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32Wrr, ARM64_INS_CRC32W,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CRC32Xrr, ARM64_INS_CRC32X,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSELWr, ARM64_INS_CSEL,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSELXr, ARM64_INS_CSEL,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSINCWr, ARM64_INS_CSINC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSINCXr, ARM64_INS_CSINC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSINVWr, ARM64_INS_CSINV,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSINVXr, ARM64_INS_CSINV,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSNEGWr, ARM64_INS_CSNEG,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_CSNEGXr, ARM64_INS_CSNEG,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DCPS1, ARM64_INS_DCPS1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DCPS2, ARM64_INS_DCPS2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DCPS3, ARM64_INS_DCPS3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DMB, ARM64_INS_DMB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DRPS, ARM64_INS_DRPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DSB, ARM64_INS_DSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv16i8gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv16i8lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv2i32gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv2i32lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv2i64gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv2i64lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv4i16gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv4i16lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv4i32gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv4i32lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv8i16gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv8i16lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv8i8gpr, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_DUPv8i8lane, ARM64_INS_DUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EONWrs, ARM64_INS_EON,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EONXrs, ARM64_INS_EON,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORWri, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORWrs, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORXri, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORXrs, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORv16i8, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EORv8i8, ARM64_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ERET, ARM64_INS_ERET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EXTRWrri, ARM64_INS_EXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EXTRXrri, ARM64_INS_EXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EXTv16i8, ARM64_INS_EXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_EXTv8i8, ARM64_INS_EXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABD32, ARM64_INS_FABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABD64, ARM64_INS_FABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABDv2f32, ARM64_INS_FABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABDv2f64, ARM64_INS_FABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABDv4f32, ARM64_INS_FABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABSDr, ARM64_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABSSr, ARM64_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABSv2f32, ARM64_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABSv2f64, ARM64_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FABSv4f32, ARM64_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGE32, ARM64_INS_FACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGE64, ARM64_INS_FACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGEv2f32, ARM64_INS_FACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGEv2f64, ARM64_INS_FACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGEv4f32, ARM64_INS_FACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGT32, ARM64_INS_FACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGT64, ARM64_INS_FACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGTv2f32, ARM64_INS_FACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGTv2f64, ARM64_INS_FACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FACGTv4f32, ARM64_INS_FACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDDrr, ARM64_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDPv2f32, ARM64_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDPv2f64, ARM64_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDPv2i32p, ARM64_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDPv2i64p, ARM64_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDPv4f32, ARM64_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDSrr, ARM64_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDv2f32, ARM64_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDv2f64, ARM64_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FADDv4f32, ARM64_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCCMPDrr, ARM64_INS_FCCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCCMPEDrr, ARM64_INS_FCCMPE,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCCMPESrr, ARM64_INS_FCCMPE,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCCMPSrr, ARM64_INS_FCCMP,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQ32, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQ64, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv1i32rz, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv1i64rz, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv2f32, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv2f64, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv2i32rz, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv2i64rz, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv4f32, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMEQv4i32rz, ARM64_INS_FCMEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGE32, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGE64, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv1i32rz, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv1i64rz, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv2f32, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv2f64, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv2i32rz, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv2i64rz, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv4f32, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGEv4i32rz, ARM64_INS_FCMGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGT32, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGT64, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv1i32rz, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv1i64rz, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv2f32, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv2f64, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv2i32rz, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv2i64rz, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv4f32, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMGTv4i32rz, ARM64_INS_FCMGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLEv1i32rz, ARM64_INS_FCMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLEv1i64rz, ARM64_INS_FCMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLEv2i32rz, ARM64_INS_FCMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLEv2i64rz, ARM64_INS_FCMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLEv4i32rz, ARM64_INS_FCMLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLTv1i32rz, ARM64_INS_FCMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLTv1i64rz, ARM64_INS_FCMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLTv2i32rz, ARM64_INS_FCMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLTv2i64rz, ARM64_INS_FCMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMLTv4i32rz, ARM64_INS_FCMLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPDri, ARM64_INS_FCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPDrr, ARM64_INS_FCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPEDri, ARM64_INS_FCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPEDrr, ARM64_INS_FCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPESri, ARM64_INS_FCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPESrr, ARM64_INS_FCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPSri, ARM64_INS_FCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCMPSrr, ARM64_INS_FCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCSELDrrr, ARM64_INS_FCSEL,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCSELSrrr, ARM64_INS_FCSEL,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASUWDr, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASUWSr, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASUXDr, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASUXSr, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASv1i32, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASv1i64, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASv2f32, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASv2f64, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTASv4f32, ARM64_INS_FCVTAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUUWDr, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUUWSr, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUUXDr, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUUXSr, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUv1i32, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUv1i64, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUv2f32, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUv2f64, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTAUv4f32, ARM64_INS_FCVTAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTDHr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTDSr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTHDr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTHSr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTLv2i32, ARM64_INS_FCVTL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTLv4i16, ARM64_INS_FCVTL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTLv4i32, ARM64_INS_FCVTL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTLv8i16, ARM64_INS_FCVTL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSUWDr, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSUWSr, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSUXDr, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSUXSr, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSv1i32, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSv1i64, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSv2f32, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSv2f64, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMSv4f32, ARM64_INS_FCVTMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUUWDr, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUUWSr, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUUXDr, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUUXSr, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUv1i32, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUv1i64, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUv2f32, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUv2f64, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTMUv4f32, ARM64_INS_FCVTMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSUWDr, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSUWSr, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSUXDr, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSUXSr, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSv1i32, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSv1i64, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSv2f32, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSv2f64, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNSv4f32, ARM64_INS_FCVTNS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUUWDr, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUUWSr, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUUXDr, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUUXSr, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUv1i32, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUv1i64, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUv2f32, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUv2f64, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNUv4f32, ARM64_INS_FCVTNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNv2i32, ARM64_INS_FCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNv4i16, ARM64_INS_FCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNv4i32, ARM64_INS_FCVTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTNv8i16, ARM64_INS_FCVTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSUWDr, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSUWSr, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSUXDr, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSUXSr, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSv1i32, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSv1i64, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSv2f32, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSv2f64, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPSv4f32, ARM64_INS_FCVTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUUWDr, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUUWSr, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUUXDr, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUUXSr, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUv1i32, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUv1i64, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUv2f32, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUv2f64, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTPUv4f32, ARM64_INS_FCVTPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTSDr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTSHr, ARM64_INS_FCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTXNv1i64, ARM64_INS_FCVTXN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTXNv2f32, ARM64_INS_FCVTXN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTXNv4f32, ARM64_INS_FCVTXN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSSWDri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSSWSri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSSXDri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSSXSri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSUWDr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSUWSr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSUXDr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSUXSr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntSWDri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntSWSri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntSXDri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntSXSri, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntUWDr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntUWSr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntUXDr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_IntUXSr, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_Intv2f32, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_Intv2f64, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZS_Intv4f32, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSd, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSs, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv1i32, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv1i64, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv2f32, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv2f64, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv2i32_shift, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv2i64_shift, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv4f32, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZSv4i32_shift, ARM64_INS_FCVTZS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUSWDri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUSWSri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUSXDri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUSXSri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUUWDr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUUWSr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUUXDr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUUXSr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntSWDri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntSWSri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntSXDri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntSXSri, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntUWDr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntUWSr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntUXDr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_IntUXSr, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_Intv2f32, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_Intv2f64, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZU_Intv4f32, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUd, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUs, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv1i32, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv1i64, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv2f32, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv2f64, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv2i32_shift, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv2i64_shift, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv4f32, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FCVTZUv4i32_shift, ARM64_INS_FCVTZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FDIVDrr, ARM64_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FDIVSrr, ARM64_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FDIVv2f32, ARM64_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FDIVv2f64, ARM64_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FDIVv4f32, ARM64_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMADDDrrr, ARM64_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMADDSrrr, ARM64_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXDrr, ARM64_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMDrr, ARM64_INS_FMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMPv2f32, ARM64_INS_FMAXNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMPv2f64, ARM64_INS_FMAXNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMPv2i32p, ARM64_INS_FMAXNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMPv2i64p, ARM64_INS_FMAXNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMPv4f32, ARM64_INS_FMAXNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMSrr, ARM64_INS_FMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMVv4i32v, ARM64_INS_FMAXNMV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMv2f32, ARM64_INS_FMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMv2f64, ARM64_INS_FMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXNMv4f32, ARM64_INS_FMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXPv2f32, ARM64_INS_FMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXPv2f64, ARM64_INS_FMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXPv2i32p, ARM64_INS_FMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXPv2i64p, ARM64_INS_FMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXPv4f32, ARM64_INS_FMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXSrr, ARM64_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXVv4i32v, ARM64_INS_FMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXv2f32, ARM64_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXv2f64, ARM64_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMAXv4f32, ARM64_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINDrr, ARM64_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMDrr, ARM64_INS_FMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMPv2f32, ARM64_INS_FMINNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMPv2f64, ARM64_INS_FMINNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMPv2i32p, ARM64_INS_FMINNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMPv2i64p, ARM64_INS_FMINNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMPv4f32, ARM64_INS_FMINNMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMSrr, ARM64_INS_FMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMVv4i32v, ARM64_INS_FMINNMV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMv2f32, ARM64_INS_FMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMv2f64, ARM64_INS_FMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINNMv4f32, ARM64_INS_FMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINPv2f32, ARM64_INS_FMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINPv2f64, ARM64_INS_FMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINPv2i32p, ARM64_INS_FMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINPv2i64p, ARM64_INS_FMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINPv4f32, ARM64_INS_FMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINSrr, ARM64_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINVv4i32v, ARM64_INS_FMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINv2f32, ARM64_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINv2f64, ARM64_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMINv4f32, ARM64_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv1i32_indexed, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv1i64_indexed, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv2f32, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv2f64, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv2i32_indexed, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv2i64_indexed, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv4f32, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLAv4i32_indexed, ARM64_INS_FMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv1i32_indexed, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv1i64_indexed, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv2f32, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv2f64, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv2i32_indexed, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv2i64_indexed, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv4f32, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMLSv4i32_indexed, ARM64_INS_FMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVDXHighr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVDXr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVDi, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVDr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVSWr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVSi, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVSr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVWSr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVXDHighr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVXDr, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVv2f32_ns, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVv2f64_ns, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMOVv4f32_ns, ARM64_INS_FMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMSUBDrrr, ARM64_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMSUBSrrr, ARM64_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULDrr, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULSrr, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULX32, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULX64, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv1i32_indexed, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv1i64_indexed, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv2f32, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv2f64, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv2i32_indexed, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv2i64_indexed, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv4f32, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULXv4i32_indexed, ARM64_INS_FMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv1i32_indexed, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv1i64_indexed, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv2f32, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv2f64, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv2i32_indexed, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv2i64_indexed, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv4f32, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FMULv4i32_indexed, ARM64_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNEGDr, ARM64_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNEGSr, ARM64_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNEGv2f32, ARM64_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNEGv2f64, ARM64_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNEGv4f32, ARM64_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMADDDrrr, ARM64_INS_FNMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMADDSrrr, ARM64_INS_FNMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMSUBDrrr, ARM64_INS_FNMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMSUBSrrr, ARM64_INS_FNMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMULDrr, ARM64_INS_FNMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FNMULSrr, ARM64_INS_FNMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPEv1i32, ARM64_INS_FRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPEv1i64, ARM64_INS_FRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPEv2f32, ARM64_INS_FRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPEv2f64, ARM64_INS_FRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPEv4f32, ARM64_INS_FRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPS32, ARM64_INS_FRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPS64, ARM64_INS_FRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPSv2f32, ARM64_INS_FRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPSv2f64, ARM64_INS_FRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPSv4f32, ARM64_INS_FRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPXv1i32, ARM64_INS_FRECPX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRECPXv1i64, ARM64_INS_FRECPX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTADr, ARM64_INS_FRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTASr, ARM64_INS_FRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTAv2f32, ARM64_INS_FRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTAv2f64, ARM64_INS_FRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTAv4f32, ARM64_INS_FRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTIDr, ARM64_INS_FRINTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTISr, ARM64_INS_FRINTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTIv2f32, ARM64_INS_FRINTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTIv2f64, ARM64_INS_FRINTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTIv4f32, ARM64_INS_FRINTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTMDr, ARM64_INS_FRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTMSr, ARM64_INS_FRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTMv2f32, ARM64_INS_FRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTMv2f64, ARM64_INS_FRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTMv4f32, ARM64_INS_FRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTNDr, ARM64_INS_FRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTNSr, ARM64_INS_FRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTNv2f32, ARM64_INS_FRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTNv2f64, ARM64_INS_FRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTNv4f32, ARM64_INS_FRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTPDr, ARM64_INS_FRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTPSr, ARM64_INS_FRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTPv2f32, ARM64_INS_FRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTPv2f64, ARM64_INS_FRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTPv4f32, ARM64_INS_FRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTXDr, ARM64_INS_FRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTXSr, ARM64_INS_FRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTXv2f32, ARM64_INS_FRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTXv2f64, ARM64_INS_FRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTXv4f32, ARM64_INS_FRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTZDr, ARM64_INS_FRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTZSr, ARM64_INS_FRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTZv2f32, ARM64_INS_FRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTZv2f64, ARM64_INS_FRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRINTZv4f32, ARM64_INS_FRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTEv1i32, ARM64_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTEv1i64, ARM64_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTEv2f32, ARM64_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTEv2f64, ARM64_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTEv4f32, ARM64_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTS32, ARM64_INS_FRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTS64, ARM64_INS_FRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTSv2f32, ARM64_INS_FRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTSv2f64, ARM64_INS_FRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FRSQRTSv4f32, ARM64_INS_FRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSQRTDr, ARM64_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSQRTSr, ARM64_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSQRTv2f32, ARM64_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSQRTv2f64, ARM64_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSQRTv4f32, ARM64_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSUBDrr, ARM64_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSUBSrr, ARM64_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSUBv2f32, ARM64_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSUBv2f64, ARM64_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_FSUBv4f32, ARM64_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_HINT, ARM64_INS_HINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_HLT, ARM64_INS_HLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_HVC, ARM64_INS_HVC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi16gpr, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi16lane, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi32gpr, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi32lane, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi64gpr, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi64lane, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi8gpr, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_INSvi8lane, ARM64_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ISB, ARM64_INS_ISB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv16b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv16b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv1d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv1d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv2d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv2d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv2s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv2s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv4h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv4h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv4s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv4s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv8b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv8b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv8h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Fourv8h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev16b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev16b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev1d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev1d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev2d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev2d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev2s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev2s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev4h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev4h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev4s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev4s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev8b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev8b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev8h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Onev8h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv16b, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv16b_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv1d, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv1d_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv2d, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv2d_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv2s, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv2s_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv4h, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv4h_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv4s, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv4s_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv8b, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv8b_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv8h, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Rv8h_POST, ARM64_INS_LD1R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev16b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev16b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev1d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev1d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev2d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev2d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev2s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev2s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev4h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev4h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev4s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev4s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev8b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev8b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev8h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Threev8h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov16b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov16b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov1d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov1d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov2d, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov2d_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov2s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov2s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov4h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov4h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov4s, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov4s_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov8b, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov8b_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov8h, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1Twov8h_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i16, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i16_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i32, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i32_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i64, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i64_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i8, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD1i8_POST, ARM64_INS_LD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv16b, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv16b_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv1d, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv1d_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv2d, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv2d_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv2s, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv2s_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv4h, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv4h_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv4s, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv4s_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv8b, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv8b_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv8h, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Rv8h_POST, ARM64_INS_LD2R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov16b, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov16b_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov2d, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov2d_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov2s, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov2s_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov4h, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov4h_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov4s, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov4s_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov8b, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov8b_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov8h, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2Twov8h_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i16, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i16_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i32, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i32_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i64, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i64_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i8, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD2i8_POST, ARM64_INS_LD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv16b, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv16b_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv1d, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv1d_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv2d, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv2d_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv2s, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv2s_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv4h, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv4h_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv4s, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv4s_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv8b, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv8b_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv8h, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Rv8h_POST, ARM64_INS_LD3R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev16b, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev16b_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev2d, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev2d_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev2s, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev2s_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev4h, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev4h_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev4s, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev4s_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev8b, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev8b_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev8h, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3Threev8h_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i16, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i16_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i32, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i32_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i64, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i64_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i8, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD3i8_POST, ARM64_INS_LD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv16b, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv16b_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv2d, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv2d_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv2s, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv2s_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv4h, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv4h_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv4s, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv4s_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv8b, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv8b_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv8h, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Fourv8h_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv16b, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv16b_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv1d, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv1d_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv2d, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv2d_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv2s, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv2s_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv4h, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv4h_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv4s, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv4s_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv8b, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv8b_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv8h, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4Rv8h_POST, ARM64_INS_LD4R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i16, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i16_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i32, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i32_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i64, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i64_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i8, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LD4i8_POST, ARM64_INS_LD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDARB, ARM64_INS_LDARB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDARH, ARM64_INS_LDARH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDARW, ARM64_INS_LDAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDARX, ARM64_INS_LDAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXPW, ARM64_INS_LDAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXPX, ARM64_INS_LDAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXRB, ARM64_INS_LDAXRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXRH, ARM64_INS_LDAXRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXRW, ARM64_INS_LDAXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDAXRX, ARM64_INS_LDAXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDNPDi, ARM64_INS_LDNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDNPQi, ARM64_INS_LDNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDNPSi, ARM64_INS_LDNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDNPWi, ARM64_INS_LDNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDNPXi, ARM64_INS_LDNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPDi, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPDpost, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPDpre, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPQi, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPQpost, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPQpre, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSWi, ARM64_INS_LDPSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSWpost, ARM64_INS_LDPSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSWpre, ARM64_INS_LDPSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSi, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSpost, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPSpre, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPWi, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPWpost, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPWpre, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPXi, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPXpost, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDPXpre, ARM64_INS_LDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBBpost, ARM64_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBBpre, ARM64_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBBroW, ARM64_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBBroX, ARM64_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBBui, ARM64_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRBui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDl, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRDui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHHpost, ARM64_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHHpre, ARM64_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHHroW, ARM64_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHHroX, ARM64_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHHui, ARM64_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRHui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQl, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRQui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBWpost, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBWpre, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBWroW, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBWroX, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBWui, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBXpost, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBXpre, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBXroW, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBXroX, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSBXui, ARM64_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHWpost, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHWpre, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHWroW, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHWroX, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHWui, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHXpost, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHXpre, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHXroW, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHXroX, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSHXui, ARM64_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWl, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWpost, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWpre, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWroW, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWroX, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSWui, ARM64_INS_LDRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSl, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRSui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWl, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRWui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXl, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXpost, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXpre, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXroW, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXroX, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDRXui, ARM64_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRBi, ARM64_INS_LDTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRHi, ARM64_INS_LDTRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRSBWi, ARM64_INS_LDTRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRSBXi, ARM64_INS_LDTRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRSHWi, ARM64_INS_LDTRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRSHXi, ARM64_INS_LDTRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRSWi, ARM64_INS_LDTRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRWi, ARM64_INS_LDTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDTRXi, ARM64_INS_LDTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURBBi, ARM64_INS_LDURB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURBi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURDi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURHHi, ARM64_INS_LDURH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURHi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURQi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSBWi, ARM64_INS_LDURSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSBXi, ARM64_INS_LDURSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSHWi, ARM64_INS_LDURSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSHXi, ARM64_INS_LDURSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSWi, ARM64_INS_LDURSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURSi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURWi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDURXi, ARM64_INS_LDUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXPW, ARM64_INS_LDXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXPX, ARM64_INS_LDXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXRB, ARM64_INS_LDXRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXRH, ARM64_INS_LDXRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXRW, ARM64_INS_LDXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LDXRX, ARM64_INS_LDXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LSLVWr, ARM64_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LSLVXr, ARM64_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LSRVWr, ARM64_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_LSRVXr, ARM64_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MADDWrrr, ARM64_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MADDXrrr, ARM64_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv16i8, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv2i32, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv2i32_indexed, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv4i16, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv4i16_indexed, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv4i32, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv4i32_indexed, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv8i16, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv8i16_indexed, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLAv8i8, ARM64_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv16i8, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv2i32, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv2i32_indexed, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv4i16, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv4i16_indexed, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv4i32, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv4i32_indexed, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv8i16, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv8i16_indexed, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MLSv8i8, ARM64_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVID, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv16b_ns, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv2d_ns, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv2i32, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv2s_msl, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv4i16, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv4i32, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv4s_msl, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv8b_ns, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVIv8i16, ARM64_INS_MOVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVKWi, ARM64_INS_MOVK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVKXi, ARM64_INS_MOVK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVNWi, ARM64_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVNXi, ARM64_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVZWi, ARM64_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MOVZXi, ARM64_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MRS, ARM64_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MSR, ARM64_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MSRpstate, ARM64_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MSUBWrrr, ARM64_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MSUBXrrr, ARM64_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv16i8, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv2i32, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv2i32_indexed, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv4i16, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv4i16_indexed, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv4i32, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv4i32_indexed, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv8i16, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv8i16_indexed, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MULv8i8, ARM64_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv2i32, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv2s_msl, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv4i16, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv4i32, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv4s_msl, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_MVNIv8i16, ARM64_INS_MVNI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv16i8, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv1i64, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv2i32, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv2i64, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv4i16, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv4i32, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv8i16, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NEGv8i8, ARM64_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NOTv16i8, ARM64_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_NOTv8i8, ARM64_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORNWrs, ARM64_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORNXrs, ARM64_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORNv16i8, ARM64_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORNv8i8, ARM64_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRWri, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRWrs, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRXri, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRXrs, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv16i8, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv2i32, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv4i16, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv4i32, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv8i16, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ORRv8i8, ARM64_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULLv16i8, ARM64_INS_PMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULLv1i64, ARM64_INS_PMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULLv2i64, ARM64_INS_PMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULLv8i8, ARM64_INS_PMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULv16i8, ARM64_INS_PMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PMULv8i8, ARM64_INS_PMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PRFMl, ARM64_INS_PRFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PRFMroW, ARM64_INS_PRFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PRFMroX, ARM64_INS_PRFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PRFMui, ARM64_INS_PRFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_PRFUMi, ARM64_INS_PRFUM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv2i64_v2i32, ARM64_INS_RADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv2i64_v4i32, ARM64_INS_RADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv4i32_v4i16, ARM64_INS_RADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv4i32_v8i16, ARM64_INS_RADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv8i16_v16i8, ARM64_INS_RADDHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RADDHNv8i16_v8i8, ARM64_INS_RADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RBITWr, ARM64_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RBITXr, ARM64_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RBITv16i8, ARM64_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RBITv8i8, ARM64_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RET, ARM64_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV16Wr, ARM64_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV16Xr, ARM64_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV16v16i8, ARM64_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV16v8i8, ARM64_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV32Xr, ARM64_INS_REV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV32v16i8, ARM64_INS_REV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV32v4i16, ARM64_INS_REV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV32v8i16, ARM64_INS_REV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV32v8i8, ARM64_INS_REV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v16i8, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v2i32, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v4i16, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v4i32, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v8i16, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REV64v8i8, ARM64_INS_REV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REVWr, ARM64_INS_REV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_REVXr, ARM64_INS_REV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RORVWr, ARM64_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RORVXr, ARM64_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv16i8_shift, ARM64_INS_RSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv2i32_shift, ARM64_INS_RSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv4i16_shift, ARM64_INS_RSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv4i32_shift, ARM64_INS_RSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv8i16_shift, ARM64_INS_RSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSHRNv8i8_shift, ARM64_INS_RSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv2i64_v2i32, ARM64_INS_RSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv2i64_v4i32, ARM64_INS_RSUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv4i32_v4i16, ARM64_INS_RSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv4i32_v8i16, ARM64_INS_RSUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv8i16_v16i8, ARM64_INS_RSUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_RSUBHNv8i16_v8i8, ARM64_INS_RSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv16i8_v8i16, ARM64_INS_SABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv2i32_v2i64, ARM64_INS_SABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv4i16_v4i32, ARM64_INS_SABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv4i32_v2i64, ARM64_INS_SABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv8i16_v4i32, ARM64_INS_SABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABALv8i8_v8i16, ARM64_INS_SABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv16i8, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv2i32, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv4i16, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv4i32, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv8i16, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABAv8i8, ARM64_INS_SABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv16i8_v8i16, ARM64_INS_SABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv2i32_v2i64, ARM64_INS_SABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv4i16_v4i32, ARM64_INS_SABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv4i32_v2i64, ARM64_INS_SABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv8i16_v4i32, ARM64_INS_SABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDLv8i8_v8i16, ARM64_INS_SABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv16i8, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv2i32, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv4i16, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv4i32, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv8i16, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SABDv8i8, ARM64_INS_SABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv16i8_v8i16, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv2i32_v1i64, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv4i16_v2i32, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv4i32_v2i64, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv8i16_v4i32, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADALPv8i8_v4i16, ARM64_INS_SADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv16i8_v8i16, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv2i32_v1i64, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv4i16_v2i32, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv4i32_v2i64, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv8i16_v4i32, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLPv8i8_v4i16, ARM64_INS_SADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLVv16i8v, ARM64_INS_SADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLVv4i16v, ARM64_INS_SADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLVv4i32v, ARM64_INS_SADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLVv8i16v, ARM64_INS_SADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLVv8i8v, ARM64_INS_SADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv16i8_v8i16, ARM64_INS_SADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv2i32_v2i64, ARM64_INS_SADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv4i16_v4i32, ARM64_INS_SADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv4i32_v2i64, ARM64_INS_SADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv8i16_v4i32, ARM64_INS_SADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDLv8i8_v8i16, ARM64_INS_SADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv16i8_v8i16, ARM64_INS_SADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv2i32_v2i64, ARM64_INS_SADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv4i16_v4i32, ARM64_INS_SADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv4i32_v2i64, ARM64_INS_SADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv8i16_v4i32, ARM64_INS_SADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SADDWv8i8_v8i16, ARM64_INS_SADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBCSWr, ARM64_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBCSXr, ARM64_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBCWr, ARM64_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBCXr, ARM64_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBFMWri, ARM64_INS_SBFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SBFMXri, ARM64_INS_SBFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFSWDri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFSWSri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFSXDri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFSXSri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFUWDri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFUWSri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFUXDri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFUXSri, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFd, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFs, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv1i32, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv1i64, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv2f32, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv2f64, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv2i32_shift, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv2i64_shift, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv4f32, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SCVTFv4i32_shift, ARM64_INS_SCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SDIVWr, ARM64_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SDIVXr, ARM64_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SDIV_IntWr, ARM64_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SDIV_IntXr, ARM64_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1Crrr, ARM64_INS_SHA1C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1Hrr, ARM64_INS_SHA1H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1Mrrr, ARM64_INS_SHA1M,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1Prrr, ARM64_INS_SHA1P,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1SU0rrr, ARM64_INS_SHA1SU0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA1SU1rr, ARM64_INS_SHA1SU1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA256H2rrr, ARM64_INS_SHA256H2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA256Hrrr, ARM64_INS_SHA256H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA256SU0rr, ARM64_INS_SHA256SU0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHA256SU1rrr, ARM64_INS_SHA256SU1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv16i8, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv2i32, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv4i16, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv4i32, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv8i16, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHADDv8i8, ARM64_INS_SHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv16i8, ARM64_INS_SHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv2i32, ARM64_INS_SHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv4i16, ARM64_INS_SHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv4i32, ARM64_INS_SHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv8i16, ARM64_INS_SHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLLv8i8, ARM64_INS_SHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLd, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv16i8_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv2i32_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv2i64_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv4i16_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv4i32_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv8i16_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHLv8i8_shift, ARM64_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv16i8_shift, ARM64_INS_SHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv2i32_shift, ARM64_INS_SHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv4i16_shift, ARM64_INS_SHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv4i32_shift, ARM64_INS_SHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv8i16_shift, ARM64_INS_SHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHRNv8i8_shift, ARM64_INS_SHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv16i8, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv2i32, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv4i16, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv4i32, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv8i16, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SHSUBv8i8, ARM64_INS_SHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLId, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv16i8_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv2i32_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv2i64_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv4i16_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv4i32_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv8i16_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SLIv8i8_shift, ARM64_INS_SLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMADDLrrr, ARM64_INS_SMADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv16i8, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv2i32, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv4i16, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv4i32, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv8i16, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXPv8i8, ARM64_INS_SMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXVv16i8v, ARM64_INS_SMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXVv4i16v, ARM64_INS_SMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXVv4i32v, ARM64_INS_SMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXVv8i16v, ARM64_INS_SMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXVv8i8v, ARM64_INS_SMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv16i8, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv2i32, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv4i16, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv4i32, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv8i16, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMAXv8i8, ARM64_INS_SMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMC, ARM64_INS_SMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv16i8, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv2i32, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv4i16, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv4i32, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv8i16, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINPv8i8, ARM64_INS_SMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINVv16i8v, ARM64_INS_SMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINVv4i16v, ARM64_INS_SMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINVv4i32v, ARM64_INS_SMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINVv8i16v, ARM64_INS_SMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINVv8i8v, ARM64_INS_SMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv16i8, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv2i32, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv4i16, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv4i32, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv8i16, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMINv8i8, ARM64_INS_SMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv16i8_v8i16, ARM64_INS_SMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv2i32_indexed, ARM64_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv2i32_v2i64, ARM64_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv4i16_indexed, ARM64_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv4i16_v4i32, ARM64_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv4i32_indexed, ARM64_INS_SMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv4i32_v2i64, ARM64_INS_SMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv8i16_indexed, ARM64_INS_SMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv8i16_v4i32, ARM64_INS_SMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLALv8i8_v8i16, ARM64_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv16i8_v8i16, ARM64_INS_SMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv2i32_indexed, ARM64_INS_SMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv2i32_v2i64, ARM64_INS_SMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv4i16_indexed, ARM64_INS_SMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv4i16_v4i32, ARM64_INS_SMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv4i32_indexed, ARM64_INS_SMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv4i32_v2i64, ARM64_INS_SMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv8i16_indexed, ARM64_INS_SMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv8i16_v4i32, ARM64_INS_SMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMLSLv8i8_v8i16, ARM64_INS_SMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMOVvi16to32, ARM64_INS_SMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMOVvi16to64, ARM64_INS_SMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMOVvi32to64, ARM64_INS_SMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMOVvi8to32, ARM64_INS_SMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMOVvi8to64, ARM64_INS_SMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMSUBLrrr, ARM64_INS_SMSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULHrr, ARM64_INS_SMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv16i8_v8i16, ARM64_INS_SMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv2i32_indexed, ARM64_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv2i32_v2i64, ARM64_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv4i16_indexed, ARM64_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv4i16_v4i32, ARM64_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv4i32_indexed, ARM64_INS_SMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv4i32_v2i64, ARM64_INS_SMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv8i16_indexed, ARM64_INS_SMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv8i16_v4i32, ARM64_INS_SMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SMULLv8i8_v8i16, ARM64_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv16i8, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv1i16, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv1i32, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv1i64, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv1i8, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv2i32, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv2i64, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv4i16, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv4i32, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv8i16, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQABSv8i8, ARM64_INS_SQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv16i8, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv1i16, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv1i32, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv1i64, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv1i8, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv2i32, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv2i64, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv4i16, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv4i32, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv8i16, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQADDv8i8, ARM64_INS_SQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALi16, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALi32, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv1i32_indexed, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv1i64_indexed, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv2i32_indexed, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv2i32_v2i64, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv4i16_indexed, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv4i16_v4i32, ARM64_INS_SQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv4i32_indexed, ARM64_INS_SQDMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv4i32_v2i64, ARM64_INS_SQDMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv8i16_indexed, ARM64_INS_SQDMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLALv8i16_v4i32, ARM64_INS_SQDMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLi16, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLi32, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv1i32_indexed, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv1i64_indexed, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv2i32_indexed, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv2i32_v2i64, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv4i16_indexed, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv4i16_v4i32, ARM64_INS_SQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv4i32_indexed, ARM64_INS_SQDMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv4i32_v2i64, ARM64_INS_SQDMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv8i16_indexed, ARM64_INS_SQDMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMLSLv8i16_v4i32, ARM64_INS_SQDMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv1i16, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv1i16_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv1i32, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv1i32_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv2i32, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv2i32_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv4i16, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv4i16_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv4i32, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv4i32_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv8i16, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULHv8i16_indexed, ARM64_INS_SQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLi16, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLi32, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv1i32_indexed, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv1i64_indexed, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv2i32_indexed, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv2i32_v2i64, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv4i16_indexed, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv4i16_v4i32, ARM64_INS_SQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv4i32_indexed, ARM64_INS_SQDMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv4i32_v2i64, ARM64_INS_SQDMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv8i16_indexed, ARM64_INS_SQDMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQDMULLv8i16_v4i32, ARM64_INS_SQDMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv16i8, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv1i16, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv1i32, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv1i64, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv1i8, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv2i32, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv2i64, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv4i16, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv4i32, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv8i16, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQNEGv8i8, ARM64_INS_SQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv1i16, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv1i16_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv1i32, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv1i32_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv2i32, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv2i32_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv4i16, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv4i16_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv4i32, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv4i32_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv8i16, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRDMULHv8i16_indexed, ARM64_INS_SQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv16i8, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv1i16, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv1i32, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv1i64, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv1i8, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv2i32, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv2i64, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv4i16, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv4i32, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv8i16, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHLv8i8, ARM64_INS_SQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNb, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNh, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNs, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv16i8_shift, ARM64_INS_SQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv2i32_shift, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv4i16_shift, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv4i32_shift, ARM64_INS_SQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv8i16_shift, ARM64_INS_SQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRNv8i8_shift, ARM64_INS_SQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNb, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNh, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNs, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv16i8_shift, ARM64_INS_SQRSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv2i32_shift, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv4i16_shift, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv4i32_shift, ARM64_INS_SQRSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv8i16_shift, ARM64_INS_SQRSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQRSHRUNv8i8_shift, ARM64_INS_SQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUb, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUd, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUh, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUs, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv16i8_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv2i32_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv2i64_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv4i16_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv4i32_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv8i16_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLUv8i8_shift, ARM64_INS_SQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLb, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLd, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLh, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLs, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv16i8, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv16i8_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv1i16, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv1i32, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv1i64, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv1i8, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv2i32, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv2i32_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv2i64, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv2i64_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv4i16, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv4i16_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv4i32, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv4i32_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv8i16, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv8i16_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv8i8, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHLv8i8_shift, ARM64_INS_SQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNb, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNh, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNs, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv16i8_shift, ARM64_INS_SQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv2i32_shift, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv4i16_shift, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv4i32_shift, ARM64_INS_SQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv8i16_shift, ARM64_INS_SQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRNv8i8_shift, ARM64_INS_SQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNb, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNh, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNs, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv16i8_shift, ARM64_INS_SQSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv2i32_shift, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv4i16_shift, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv4i32_shift, ARM64_INS_SQSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv8i16_shift, ARM64_INS_SQSHRUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSHRUNv8i8_shift, ARM64_INS_SQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv16i8, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv1i16, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv1i32, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv1i64, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv1i8, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv2i32, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv2i64, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv4i16, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv4i32, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv8i16, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQSUBv8i8, ARM64_INS_SQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv16i8, ARM64_INS_SQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv1i16, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv1i32, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv1i8, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv2i32, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv4i16, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv4i32, ARM64_INS_SQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv8i16, ARM64_INS_SQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTNv8i8, ARM64_INS_SQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv16i8, ARM64_INS_SQXTUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv1i16, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv1i32, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv1i8, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv2i32, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv4i16, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv4i32, ARM64_INS_SQXTUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv8i16, ARM64_INS_SQXTUN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SQXTUNv8i8, ARM64_INS_SQXTUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv16i8, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv2i32, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv4i16, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv4i32, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv8i16, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRHADDv8i8, ARM64_INS_SRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRId, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv16i8_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv2i32_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv2i64_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv4i16_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv4i32_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv8i16_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRIv8i8_shift, ARM64_INS_SRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv16i8, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv1i64, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv2i32, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv2i64, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv4i16, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv4i32, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv8i16, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHLv8i8, ARM64_INS_SRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRd, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv16i8_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv2i32_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv2i64_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv4i16_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv4i32_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv8i16_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSHRv8i8_shift, ARM64_INS_SRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAd, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv16i8_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv2i32_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv2i64_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv4i16_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv4i32_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv8i16_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SRSRAv8i8_shift, ARM64_INS_SRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv16i8_shift, ARM64_INS_SSHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv2i32_shift, ARM64_INS_SSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv4i16_shift, ARM64_INS_SSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv4i32_shift, ARM64_INS_SSHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv8i16_shift, ARM64_INS_SSHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLLv8i8_shift, ARM64_INS_SSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv16i8, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv1i64, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv2i32, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv2i64, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv4i16, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv4i32, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv8i16, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHLv8i8, ARM64_INS_SSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRd, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv16i8_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv2i32_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv2i64_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv4i16_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv4i32_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv8i16_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSHRv8i8_shift, ARM64_INS_SSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAd, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv16i8_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv2i32_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv2i64_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv4i16_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv4i32_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv8i16_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSRAv8i8_shift, ARM64_INS_SSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv16i8_v8i16, ARM64_INS_SSUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv2i32_v2i64, ARM64_INS_SSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv4i16_v4i32, ARM64_INS_SSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv4i32_v2i64, ARM64_INS_SSUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv8i16_v4i32, ARM64_INS_SSUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBLv8i8_v8i16, ARM64_INS_SSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv16i8_v8i16, ARM64_INS_SSUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv2i32_v2i64, ARM64_INS_SSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv4i16_v4i32, ARM64_INS_SSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv4i32_v2i64, ARM64_INS_SSUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv8i16_v4i32, ARM64_INS_SSUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SSUBWv8i8_v8i16, ARM64_INS_SSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv16b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv16b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv1d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv1d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv2d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv2d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv2s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv2s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv4h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv4h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv4s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv4s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv8b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv8b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv8h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Fourv8h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev16b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev16b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev1d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev1d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev2d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev2d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev2s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev2s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev4h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev4h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev4s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev4s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev8b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev8b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev8h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Onev8h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev16b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev16b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev1d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev1d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev2d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev2d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev2s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev2s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev4h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev4h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev4s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev4s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev8b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev8b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev8h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Threev8h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov16b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov16b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov1d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov1d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov2d, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov2d_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov2s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov2s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov4h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov4h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov4s, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov4s_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov8b, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov8b_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov8h, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1Twov8h_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i16, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i16_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i32, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i32_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i64, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i64_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i8, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST1i8_POST, ARM64_INS_ST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov16b, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov16b_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov2d, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov2d_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov2s, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov2s_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov4h, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov4h_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov4s, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov4s_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov8b, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov8b_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov8h, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2Twov8h_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i16, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i16_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i32, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i32_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i64, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i64_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i8, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST2i8_POST, ARM64_INS_ST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev16b, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev16b_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev2d, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev2d_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev2s, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev2s_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev4h, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev4h_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev4s, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev4s_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev8b, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev8b_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev8h, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3Threev8h_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i16, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i16_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i32, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i32_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i64, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i64_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i8, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST3i8_POST, ARM64_INS_ST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv16b, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv16b_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv2d, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv2d_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv2s, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv2s_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv4h, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv4h_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv4s, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv4s_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv8b, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv8b_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv8h, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4Fourv8h_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i16, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i16_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i32, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i32_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i64, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i64_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i8, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ST4i8_POST, ARM64_INS_ST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLRB, ARM64_INS_STLRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLRH, ARM64_INS_STLRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLRW, ARM64_INS_STLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLRX, ARM64_INS_STLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXPW, ARM64_INS_STLXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXPX, ARM64_INS_STLXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXRB, ARM64_INS_STLXRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXRH, ARM64_INS_STLXRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXRW, ARM64_INS_STLXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STLXRX, ARM64_INS_STLXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STNPDi, ARM64_INS_STNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STNPQi, ARM64_INS_STNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STNPSi, ARM64_INS_STNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STNPWi, ARM64_INS_STNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STNPXi, ARM64_INS_STNP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPDi, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPDpost, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPDpre, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPQi, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPQpost, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPQpre, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPSi, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPSpost, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPSpre, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPWi, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPWpost, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPWpre, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPXi, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPXpost, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STPXpre, ARM64_INS_STP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBBpost, ARM64_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBBpre, ARM64_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBBroW, ARM64_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBBroX, ARM64_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBBui, ARM64_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRBui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRDpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRDpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRDroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRDroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRDui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHHpost, ARM64_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHHpre, ARM64_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHHroW, ARM64_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHHroX, ARM64_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHHui, ARM64_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRHui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRQpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRQpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRQroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRQroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRQui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRSpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRSpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRSroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRSroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRSui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRWpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRWpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRWroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRWroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRWui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRXpost, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRXpre, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRXroW, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRXroX, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STRXui, ARM64_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STTRBi, ARM64_INS_STTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STTRHi, ARM64_INS_STTRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STTRWi, ARM64_INS_STTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STTRXi, ARM64_INS_STTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURBBi, ARM64_INS_STURB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURBi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURDi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURHHi, ARM64_INS_STURH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURHi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURQi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURSi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURWi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STURXi, ARM64_INS_STUR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXPW, ARM64_INS_STXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXPX, ARM64_INS_STXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXRB, ARM64_INS_STXRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXRH, ARM64_INS_STXRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXRW, ARM64_INS_STXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_STXRX, ARM64_INS_STXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv2i64_v2i32, ARM64_INS_SUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv2i64_v4i32, ARM64_INS_SUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv4i32_v4i16, ARM64_INS_SUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv4i32_v8i16, ARM64_INS_SUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv8i16_v16i8, ARM64_INS_SUBHN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBHNv8i16_v8i8, ARM64_INS_SUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSWri, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSWrs, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSWrx, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSXri, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSXrs, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSXrx, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBSXrx64, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBWri, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBWrs, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBWrx, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBXri, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBXrs, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBXrx, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBXrx64, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv16i8, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv1i64, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv2i32, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv2i64, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv4i16, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv4i32, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv8i16, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUBv8i8, ARM64_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv16i8, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv1i16, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv1i32, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv1i64, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv1i8, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv2i32, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv2i64, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv4i16, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv4i32, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv8i16, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SUQADDv8i8, ARM64_INS_SUQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SVC, ARM64_INS_SVC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SYSLxt, ARM64_INS_SYSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_SYSxt, ARM64_INS_SYS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv16i8Four, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv16i8One, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv16i8Three, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv16i8Two, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv8i8Four, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv8i8One, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv8i8Three, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBLv8i8Two, ARM64_INS_TBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBNZW, ARM64_INS_TBNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_TBNZX, ARM64_INS_TBNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_TBXv16i8Four, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv16i8One, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv16i8Three, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv16i8Two, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv8i8Four, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv8i8One, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv8i8Three, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBXv8i8Two, ARM64_INS_TBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TBZW, ARM64_INS_TBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_TBZX, ARM64_INS_TBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		AArch64_TRN1v16i8, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v2i32, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v2i64, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v4i16, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v4i32, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v8i16, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN1v8i8, ARM64_INS_TRN1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v16i8, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v2i32, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v2i64, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v4i16, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v4i32, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v8i16, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_TRN2v8i8, ARM64_INS_TRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv16i8_v8i16, ARM64_INS_UABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv2i32_v2i64, ARM64_INS_UABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv4i16_v4i32, ARM64_INS_UABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv4i32_v2i64, ARM64_INS_UABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv8i16_v4i32, ARM64_INS_UABAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABALv8i8_v8i16, ARM64_INS_UABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv16i8, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv2i32, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv4i16, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv4i32, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv8i16, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABAv8i8, ARM64_INS_UABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv16i8_v8i16, ARM64_INS_UABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv2i32_v2i64, ARM64_INS_UABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv4i16_v4i32, ARM64_INS_UABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv4i32_v2i64, ARM64_INS_UABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv8i16_v4i32, ARM64_INS_UABDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDLv8i8_v8i16, ARM64_INS_UABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv16i8, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv2i32, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv4i16, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv4i32, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv8i16, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UABDv8i8, ARM64_INS_UABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv16i8_v8i16, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv2i32_v1i64, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv4i16_v2i32, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv4i32_v2i64, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv8i16_v4i32, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADALPv8i8_v4i16, ARM64_INS_UADALP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv16i8_v8i16, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv2i32_v1i64, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv4i16_v2i32, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv4i32_v2i64, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv8i16_v4i32, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLPv8i8_v4i16, ARM64_INS_UADDLP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLVv16i8v, ARM64_INS_UADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLVv4i16v, ARM64_INS_UADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLVv4i32v, ARM64_INS_UADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLVv8i16v, ARM64_INS_UADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLVv8i8v, ARM64_INS_UADDLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv16i8_v8i16, ARM64_INS_UADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv2i32_v2i64, ARM64_INS_UADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv4i16_v4i32, ARM64_INS_UADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv4i32_v2i64, ARM64_INS_UADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv8i16_v4i32, ARM64_INS_UADDL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDLv8i8_v8i16, ARM64_INS_UADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv16i8_v8i16, ARM64_INS_UADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv2i32_v2i64, ARM64_INS_UADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv4i16_v4i32, ARM64_INS_UADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv4i32_v2i64, ARM64_INS_UADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv8i16_v4i32, ARM64_INS_UADDW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UADDWv8i8_v8i16, ARM64_INS_UADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UBFMWri, ARM64_INS_UBFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UBFMXri, ARM64_INS_UBFM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFSWDri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFSWSri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFSXDri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFSXSri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFUWDri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFUWSri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFUXDri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFUXSri, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFd, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFs, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv1i32, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv1i64, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv2f32, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv2f64, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv2i32_shift, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv2i64_shift, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv4f32, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UCVTFv4i32_shift, ARM64_INS_UCVTF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UDIVWr, ARM64_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UDIVXr, ARM64_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UDIV_IntWr, ARM64_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UDIV_IntXr, ARM64_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv16i8, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv2i32, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv4i16, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv4i32, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv8i16, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHADDv8i8, ARM64_INS_UHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv16i8, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv2i32, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv4i16, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv4i32, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv8i16, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UHSUBv8i8, ARM64_INS_UHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMADDLrrr, ARM64_INS_UMADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv16i8, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv2i32, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv4i16, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv4i32, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv8i16, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXPv8i8, ARM64_INS_UMAXP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXVv16i8v, ARM64_INS_UMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXVv4i16v, ARM64_INS_UMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXVv4i32v, ARM64_INS_UMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXVv8i16v, ARM64_INS_UMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXVv8i8v, ARM64_INS_UMAXV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv16i8, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv2i32, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv4i16, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv4i32, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv8i16, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMAXv8i8, ARM64_INS_UMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv16i8, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv2i32, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv4i16, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv4i32, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv8i16, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINPv8i8, ARM64_INS_UMINP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINVv16i8v, ARM64_INS_UMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINVv4i16v, ARM64_INS_UMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINVv4i32v, ARM64_INS_UMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINVv8i16v, ARM64_INS_UMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINVv8i8v, ARM64_INS_UMINV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv16i8, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv2i32, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv4i16, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv4i32, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv8i16, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMINv8i8, ARM64_INS_UMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv16i8_v8i16, ARM64_INS_UMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv2i32_indexed, ARM64_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv2i32_v2i64, ARM64_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv4i16_indexed, ARM64_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv4i16_v4i32, ARM64_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv4i32_indexed, ARM64_INS_UMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv4i32_v2i64, ARM64_INS_UMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv8i16_indexed, ARM64_INS_UMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv8i16_v4i32, ARM64_INS_UMLAL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLALv8i8_v8i16, ARM64_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv16i8_v8i16, ARM64_INS_UMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv2i32_indexed, ARM64_INS_UMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv2i32_v2i64, ARM64_INS_UMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv4i16_indexed, ARM64_INS_UMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv4i16_v4i32, ARM64_INS_UMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv4i32_indexed, ARM64_INS_UMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv4i32_v2i64, ARM64_INS_UMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv8i16_indexed, ARM64_INS_UMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv8i16_v4i32, ARM64_INS_UMLSL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMLSLv8i8_v8i16, ARM64_INS_UMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMOVvi16, ARM64_INS_UMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMOVvi32, ARM64_INS_UMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMOVvi64, ARM64_INS_UMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMOVvi8, ARM64_INS_UMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMSUBLrrr, ARM64_INS_UMSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULHrr, ARM64_INS_UMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv16i8_v8i16, ARM64_INS_UMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv2i32_indexed, ARM64_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv2i32_v2i64, ARM64_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv4i16_indexed, ARM64_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv4i16_v4i32, ARM64_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv4i32_indexed, ARM64_INS_UMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv4i32_v2i64, ARM64_INS_UMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv8i16_indexed, ARM64_INS_UMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv8i16_v4i32, ARM64_INS_UMULL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UMULLv8i8_v8i16, ARM64_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv16i8, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv1i16, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv1i32, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv1i64, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv1i8, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv2i32, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv2i64, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv4i16, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv4i32, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv8i16, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQADDv8i8, ARM64_INS_UQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv16i8, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv1i16, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv1i32, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv1i64, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv1i8, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv2i32, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv2i64, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv4i16, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv4i32, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv8i16, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHLv8i8, ARM64_INS_UQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNb, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNh, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNs, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv16i8_shift, ARM64_INS_UQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv2i32_shift, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv4i16_shift, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv4i32_shift, ARM64_INS_UQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv8i16_shift, ARM64_INS_UQRSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQRSHRNv8i8_shift, ARM64_INS_UQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLb, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLd, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLh, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLs, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv16i8, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv16i8_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv1i16, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv1i32, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv1i64, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv1i8, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv2i32, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv2i32_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv2i64, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv2i64_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv4i16, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv4i16_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv4i32, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv4i32_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv8i16, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv8i16_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv8i8, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHLv8i8_shift, ARM64_INS_UQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNb, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNh, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNs, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv16i8_shift, ARM64_INS_UQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv2i32_shift, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv4i16_shift, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv4i32_shift, ARM64_INS_UQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv8i16_shift, ARM64_INS_UQSHRN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSHRNv8i8_shift, ARM64_INS_UQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv16i8, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv1i16, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv1i32, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv1i64, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv1i8, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv2i32, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv2i64, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv4i16, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv4i32, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv8i16, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQSUBv8i8, ARM64_INS_UQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv16i8, ARM64_INS_UQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv1i16, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv1i32, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv1i8, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv2i32, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv4i16, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv4i32, ARM64_INS_UQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv8i16, ARM64_INS_UQXTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UQXTNv8i8, ARM64_INS_UQXTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URECPEv2i32, ARM64_INS_URECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URECPEv4i32, ARM64_INS_URECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv16i8, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv2i32, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv4i16, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv4i32, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv8i16, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URHADDv8i8, ARM64_INS_URHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv16i8, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv1i64, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv2i32, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv2i64, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv4i16, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv4i32, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv8i16, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHLv8i8, ARM64_INS_URSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRd, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv16i8_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv2i32_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv2i64_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv4i16_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv4i32_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv8i16_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSHRv8i8_shift, ARM64_INS_URSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSQRTEv2i32, ARM64_INS_URSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSQRTEv4i32, ARM64_INS_URSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAd, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv16i8_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv2i32_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv2i64_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv4i16_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv4i32_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv8i16_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_URSRAv8i8_shift, ARM64_INS_URSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv16i8_shift, ARM64_INS_USHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv2i32_shift, ARM64_INS_USHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv4i16_shift, ARM64_INS_USHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv4i32_shift, ARM64_INS_USHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv8i16_shift, ARM64_INS_USHLL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLLv8i8_shift, ARM64_INS_USHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv16i8, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv1i64, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv2i32, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv2i64, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv4i16, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv4i32, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv8i16, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHLv8i8, ARM64_INS_USHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRd, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv16i8_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv2i32_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv2i64_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv4i16_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv4i32_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv8i16_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USHRv8i8_shift, ARM64_INS_USHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv16i8, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv1i16, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv1i32, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv1i64, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv1i8, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv2i32, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv2i64, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv4i16, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv4i32, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv8i16, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USQADDv8i8, ARM64_INS_USQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAd, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv16i8_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv2i32_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv2i64_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv4i16_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv4i32_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv8i16_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USRAv8i8_shift, ARM64_INS_USRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv16i8_v8i16, ARM64_INS_USUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv2i32_v2i64, ARM64_INS_USUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv4i16_v4i32, ARM64_INS_USUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv4i32_v2i64, ARM64_INS_USUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv8i16_v4i32, ARM64_INS_USUBL2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBLv8i8_v8i16, ARM64_INS_USUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv16i8_v8i16, ARM64_INS_USUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv2i32_v2i64, ARM64_INS_USUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv4i16_v4i32, ARM64_INS_USUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv4i32_v2i64, ARM64_INS_USUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv8i16_v4i32, ARM64_INS_USUBW2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_USUBWv8i8_v8i16, ARM64_INS_USUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v16i8, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v2i32, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v2i64, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v4i16, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v4i32, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v8i16, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP1v8i8, ARM64_INS_UZP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v16i8, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v2i32, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v2i64, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v4i16, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v4i32, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v8i16, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_UZP2v8i8, ARM64_INS_UZP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv16i8, ARM64_INS_XTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv2i32, ARM64_INS_XTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv4i16, ARM64_INS_XTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv4i32, ARM64_INS_XTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv8i16, ARM64_INS_XTN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_XTNv8i8, ARM64_INS_XTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v16i8, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v2i32, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v2i64, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v4i16, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v4i32, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v8i16, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP1v8i8, ARM64_INS_ZIP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v16i8, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v2i32, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v2i64, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v4i16, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v4i32, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v8i16, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		AArch64_ZIP2v8i8, ARM64_INS_ZIP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
-#endif
-	},
+#include "AArch64MappingInsn.inc"
 };
 
-// some alias instruction only need to be defined locally to satisfy
-// some lookup functions
-// just make sure these IDs never reuse any other IDs ARM_INS_*
-#define ARM64_INS_NEGS (unsigned short)-1
-#define ARM64_INS_NGCS (unsigned short)-2
-
 // given internal insn id, return public instruction info
 void AArch64_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
 {
@@ -14290,15 +323,9 @@ void AArch64_get_insn_id(cs_struct *h, c
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			insn->detail->arm64.update_flags = cs_reg_write((csh)&handle, insn, ARM64_REG_NZCV);
-
-			if (insns[i].branch || insns[i].indirect_branch) {
-				// this insn also belongs to JUMP group. add JUMP group
-				insn->detail->groups[insn->detail->groups_count] = ARM64_GRP_JUMP;
-				insn->detail->groups_count++;
-			}
 #endif
 		}
 	}
@@ -14805,28 +832,24 @@ static const name_map group_name_maps[]
 	// generic groups
 	{ ARM64_GRP_INVALID, NULL },
 	{ ARM64_GRP_JUMP, "jump" },
+	{ ARM64_GRP_CALL, "call" },
+	{ ARM64_GRP_RET, "return" },
+	{ ARM64_GRP_PRIVILEGE, "privilege" },
+	{ ARM64_GRP_INT, "int" },
+	{ ARM64_GRP_BRANCH_RELATIVE, "branch_relative" },
 
 	// architecture-specific groups
 	{ ARM64_GRP_CRYPTO, "crypto" },
 	{ ARM64_GRP_FPARMV8, "fparmv8" },
 	{ ARM64_GRP_NEON, "neon" },
 	{ ARM64_GRP_CRC, "crc" },
-
 };
 #endif
 
 const char *AArch64_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= ARM64_GRP_ENDING || (id > ARM64_GRP_JUMP && id < ARM64_GRP_CRYPTO))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
@@ -14972,4 +995,85 @@ void arm64_op_addImm(MCInst *MI, int64_t
 	}
 }
 
+#ifndef CAPSTONE_DIET
+
+// map instruction to its characteristics
+typedef struct insn_op {
+	unsigned int eflags_update;	// how this instruction update status flags
+	uint8_t access[5];
+} insn_op;
+
+static insn_op insn_ops[] = {
+    {
+         /* NULL item */
+        0, { 0 }
+    },
+
+#include "AArch64MappingInsnOp.inc"
+};
+
+// given internal insn id, return operand access info
+uint8_t *AArch64_get_op_access(cs_struct *h, unsigned int id)
+{
+	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	if (i != 0) {
+		return insn_ops[i].access;
+	}
+
+	return NULL;
+}
+
+void AArch64_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count)
+{
+	uint8_t i;
+	uint8_t read_count, write_count;
+	cs_arm64 *arm64 = &(insn->detail->arm64);
+
+	read_count = insn->detail->regs_read_count;
+	write_count = insn->detail->regs_write_count;
+
+	// implicit registers
+	memcpy(regs_read, insn->detail->regs_read, read_count * sizeof(insn->detail->regs_read[0]));
+	memcpy(regs_write, insn->detail->regs_write, write_count * sizeof(insn->detail->regs_write[0]));
+
+	// explicit registers
+	for (i = 0; i < arm64->op_count; i++) {
+		cs_arm64_op *op = &(arm64->operands[i]);
+		switch((int)op->type) {
+			case ARM64_OP_REG:
+				if ((op->access & CS_AC_READ) && !arr_exist(regs_read, read_count, op->reg)) {
+					regs_read[read_count] = (uint16_t)op->reg;
+					read_count++;
+				}
+				if ((op->access & CS_AC_WRITE) && !arr_exist(regs_write, write_count, op->reg)) {
+					regs_write[write_count] = (uint16_t)op->reg;
+					write_count++;
+				}
+				break;
+			case ARM_OP_MEM:
+				// registers appeared in memory references always being read
+				if ((op->mem.base != ARM64_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.base)) {
+					regs_read[read_count] = (uint16_t)op->mem.base;
+					read_count++;
+				}
+				if ((op->mem.index != ARM64_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.index)) {
+					regs_read[read_count] = (uint16_t)op->mem.index;
+					read_count++;
+				}
+				if ((arm64->writeback) && (op->mem.base != ARM64_REG_INVALID) && !arr_exist(regs_write, write_count, op->mem.base)) {
+					regs_write[write_count] = (uint16_t)op->mem.base;
+					write_count++;
+				}
+			default:
+				break;
+		}
+	}
+
+	*regs_read_count = read_count;
+	*regs_write_count = write_count;
+}
+#endif
+
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Mapping.h 4.0.2-3/arch/AArch64/AArch64Mapping.h
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Mapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64Mapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_ARM64_MAP_H
 #define CS_ARM64_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *AArch64_reg_name(csh handle, unsigned int reg);
@@ -32,4 +32,10 @@ void arm64_op_addFP(MCInst *MI, float fp
 
 void arm64_op_addImm(MCInst *MI, int64_t imm);
 
+uint8_t *AArch64_get_op_access(cs_struct *h, unsigned int id);
+
+void AArch64_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count);
+
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64MappingInsn.inc 4.0.2-3/arch/AArch64/AArch64MappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64MappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64MappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,13965 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	AArch64_ABSv16i8, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv1i64, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv2i32, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv2i64, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv4i16, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv4i32, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv8i16, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ABSv8i8, ARM64_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADCSWr, ARM64_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADCSXr, ARM64_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADCWr, ARM64_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADCXr, ARM64_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv2i64_v2i32, ARM64_INS_ADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv2i64_v4i32, ARM64_INS_ADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv4i32_v4i16, ARM64_INS_ADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv4i32_v8i16, ARM64_INS_ADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv8i16_v16i8, ARM64_INS_ADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDHNv8i16_v8i8, ARM64_INS_ADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv16i8, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv2i32, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv2i64, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv2i64p, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv4i16, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv4i32, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv8i16, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDPv8i8, ARM64_INS_ADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSWri, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSWrs, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSWrx, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSXri, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSXrs, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSXrx, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDSXrx64, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDVv16i8v, ARM64_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDVv4i16v, ARM64_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDVv4i32v, ARM64_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDVv8i16v, ARM64_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDVv8i8v, ARM64_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDWri, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDWrs, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDWrx, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDXri, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDXrs, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDXrx, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDXrx64, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv16i8, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv1i64, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv2i32, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv2i64, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv4i16, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv4i32, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv8i16, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADDv8i8, ARM64_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADR, ARM64_INS_ADR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ADRP, ARM64_INS_ADRP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_AESDrr, ARM64_INS_AESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_AESErr, ARM64_INS_AESE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_AESIMCrr, ARM64_INS_AESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_AESMCrr, ARM64_INS_AESMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDSWri, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDSWrs, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDSXri, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDSXrs, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDWri, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDWrs, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDXri, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDXrs, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDv16i8, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ANDv8i8, ARM64_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ASRVWr, ARM64_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ASRVXr, ARM64_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_B, ARM64_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_BFMWri, ARM64_INS_BFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BFMXri, ARM64_INS_BFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICSWrs, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICSXrs, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICWrs, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICXrs, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv16i8, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv2i32, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv4i16, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv4i32, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv8i16, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BICv8i8, ARM64_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BIFv16i8, ARM64_INS_BIF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BIFv8i8, ARM64_INS_BIF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BITv16i8, ARM64_INS_BIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BITv8i8, ARM64_INS_BIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BL, ARM64_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_LR, 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_BLR, ARM64_INS_BLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_LR, 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 1
+#endif
+},
+{
+	AArch64_BR, ARM64_INS_BR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, 0 }, 1, 1
+#endif
+},
+{
+	AArch64_BRK, ARM64_INS_BRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BSLv16i8, ARM64_INS_BSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_BSLv8i8, ARM64_INS_BSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_Bcc, ARM64_INS_B,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_CBNZW, ARM64_INS_CBNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_CBNZX, ARM64_INS_CBNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_CBZW, ARM64_INS_CBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_CBZX, ARM64_INS_CBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_CCMNWi, ARM64_INS_CCMN,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMNWr, ARM64_INS_CCMN,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMNXi, ARM64_INS_CCMN,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMNXr, ARM64_INS_CCMN,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMPWi, ARM64_INS_CCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMPWr, ARM64_INS_CCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMPXi, ARM64_INS_CCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CCMPXr, ARM64_INS_CCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLREX, ARM64_INS_CLREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSWr, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSXr, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv16i8, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv2i32, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv4i16, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv4i32, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv8i16, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLSv8i8, ARM64_INS_CLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZWr, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZXr, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv16i8, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv2i32, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv4i16, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv4i32, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv8i16, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CLZv8i8, ARM64_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv16i8, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv16i8rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv1i64, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv1i64rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv2i32, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv2i32rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv2i64, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv2i64rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv4i16, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv4i16rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv4i32, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv4i32rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv8i16, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv8i16rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv8i8, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMEQv8i8rz, ARM64_INS_CMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv16i8, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv16i8rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv1i64, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv1i64rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv2i32, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv2i32rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv2i64, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv2i64rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv4i16, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv4i16rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv4i32, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv4i32rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv8i16, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv8i16rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv8i8, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGEv8i8rz, ARM64_INS_CMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv16i8, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv16i8rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv1i64, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv1i64rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv2i32, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv2i32rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv2i64, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv2i64rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv4i16, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv4i16rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv4i32, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv4i32rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv8i16, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv8i16rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv8i8, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMGTv8i8rz, ARM64_INS_CMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv16i8, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv1i64, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv2i32, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv2i64, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv4i16, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv4i32, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv8i16, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHIv8i8, ARM64_INS_CMHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv16i8, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv1i64, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv2i32, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv2i64, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv4i16, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv4i32, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv8i16, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMHSv8i8, ARM64_INS_CMHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv16i8rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv1i64rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv2i32rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv2i64rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv4i16rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv4i32rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv8i16rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLEv8i8rz, ARM64_INS_CMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv16i8rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv1i64rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv2i32rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv2i64rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv4i16rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv4i32rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv8i16rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMLTv8i8rz, ARM64_INS_CMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv16i8, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv1i64, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv2i32, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv2i64, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv4i16, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv4i32, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv8i16, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CMTSTv8i8, ARM64_INS_CMTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CNTv16i8, ARM64_INS_CNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CNTv8i8, ARM64_INS_CNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CPYi16, ARM64_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CPYi32, ARM64_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CPYi64, ARM64_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CPYi8, ARM64_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32Brr, ARM64_INS_CRC32B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32CBrr, ARM64_INS_CRC32CB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32CHrr, ARM64_INS_CRC32CH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32CWrr, ARM64_INS_CRC32CW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32CXrr, ARM64_INS_CRC32CX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32Hrr, ARM64_INS_CRC32H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32Wrr, ARM64_INS_CRC32W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CRC32Xrr, ARM64_INS_CRC32X,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSELWr, ARM64_INS_CSEL,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSELXr, ARM64_INS_CSEL,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSINCWr, ARM64_INS_CSINC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSINCXr, ARM64_INS_CSINC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSINVWr, ARM64_INS_CSINV,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSINVXr, ARM64_INS_CSINV,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSNEGWr, ARM64_INS_CSNEG,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_CSNEGXr, ARM64_INS_CSNEG,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DCPS1, ARM64_INS_DCPS1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DCPS2, ARM64_INS_DCPS2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DCPS3, ARM64_INS_DCPS3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DMB, ARM64_INS_DMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DRPS, ARM64_INS_DRPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DSB, ARM64_INS_DSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv16i8gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv16i8lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv2i32gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv2i32lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv2i64gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv2i64lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv4i16gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv4i16lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv4i32gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv4i32lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv8i16gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv8i16lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv8i8gpr, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_DUPv8i8lane, ARM64_INS_DUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EONWrs, ARM64_INS_EON,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EONXrs, ARM64_INS_EON,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORWri, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORWrs, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORXri, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORXrs, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORv16i8, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EORv8i8, ARM64_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ERET, ARM64_INS_ERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EXTRWrri, ARM64_INS_EXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EXTRXrri, ARM64_INS_EXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EXTv16i8, ARM64_INS_EXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_EXTv8i8, ARM64_INS_EXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABD32, ARM64_INS_FABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABD64, ARM64_INS_FABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABDv2f32, ARM64_INS_FABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABDv2f64, ARM64_INS_FABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABDv4f32, ARM64_INS_FABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABSDr, ARM64_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABSSr, ARM64_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABSv2f32, ARM64_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABSv2f64, ARM64_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FABSv4f32, ARM64_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGE32, ARM64_INS_FACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGE64, ARM64_INS_FACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGEv2f32, ARM64_INS_FACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGEv2f64, ARM64_INS_FACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGEv4f32, ARM64_INS_FACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGT32, ARM64_INS_FACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGT64, ARM64_INS_FACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGTv2f32, ARM64_INS_FACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGTv2f64, ARM64_INS_FACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FACGTv4f32, ARM64_INS_FACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDDrr, ARM64_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDPv2f32, ARM64_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDPv2f64, ARM64_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDPv2i32p, ARM64_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDPv2i64p, ARM64_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDPv4f32, ARM64_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDSrr, ARM64_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDv2f32, ARM64_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDv2f64, ARM64_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FADDv4f32, ARM64_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCCMPDrr, ARM64_INS_FCCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCCMPEDrr, ARM64_INS_FCCMPE,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCCMPESrr, ARM64_INS_FCCMPE,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCCMPSrr, ARM64_INS_FCCMP,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQ32, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQ64, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv1i32rz, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv1i64rz, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv2f32, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv2f64, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv2i32rz, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv2i64rz, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv4f32, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMEQv4i32rz, ARM64_INS_FCMEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGE32, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGE64, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv1i32rz, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv1i64rz, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv2f32, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv2f64, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv2i32rz, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv2i64rz, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv4f32, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGEv4i32rz, ARM64_INS_FCMGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGT32, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGT64, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv1i32rz, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv1i64rz, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv2f32, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv2f64, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv2i32rz, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv2i64rz, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv4f32, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMGTv4i32rz, ARM64_INS_FCMGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLEv1i32rz, ARM64_INS_FCMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLEv1i64rz, ARM64_INS_FCMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLEv2i32rz, ARM64_INS_FCMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLEv2i64rz, ARM64_INS_FCMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLEv4i32rz, ARM64_INS_FCMLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLTv1i32rz, ARM64_INS_FCMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLTv1i64rz, ARM64_INS_FCMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLTv2i32rz, ARM64_INS_FCMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLTv2i64rz, ARM64_INS_FCMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMLTv4i32rz, ARM64_INS_FCMLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPDri, ARM64_INS_FCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPDrr, ARM64_INS_FCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPEDri, ARM64_INS_FCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPEDrr, ARM64_INS_FCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPESri, ARM64_INS_FCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPESrr, ARM64_INS_FCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPSri, ARM64_INS_FCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCMPSrr, ARM64_INS_FCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCSELDrrr, ARM64_INS_FCSEL,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCSELSrrr, ARM64_INS_FCSEL,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASUWDr, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASUWSr, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASUXDr, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASUXSr, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASv1i32, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASv1i64, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASv2f32, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASv2f64, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTASv4f32, ARM64_INS_FCVTAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUUWDr, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUUWSr, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUUXDr, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUUXSr, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUv1i32, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUv1i64, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUv2f32, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUv2f64, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTAUv4f32, ARM64_INS_FCVTAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTDHr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTDSr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTHDr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTHSr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTLv2i32, ARM64_INS_FCVTL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTLv4i16, ARM64_INS_FCVTL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTLv4i32, ARM64_INS_FCVTL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTLv8i16, ARM64_INS_FCVTL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSUWDr, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSUWSr, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSUXDr, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSUXSr, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSv1i32, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSv1i64, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSv2f32, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSv2f64, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMSv4f32, ARM64_INS_FCVTMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUUWDr, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUUWSr, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUUXDr, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUUXSr, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUv1i32, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUv1i64, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUv2f32, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUv2f64, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTMUv4f32, ARM64_INS_FCVTMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSUWDr, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSUWSr, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSUXDr, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSUXSr, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSv1i32, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSv1i64, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSv2f32, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSv2f64, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNSv4f32, ARM64_INS_FCVTNS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUUWDr, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUUWSr, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUUXDr, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUUXSr, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUv1i32, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUv1i64, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUv2f32, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUv2f64, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNUv4f32, ARM64_INS_FCVTNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNv2i32, ARM64_INS_FCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNv4i16, ARM64_INS_FCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNv4i32, ARM64_INS_FCVTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTNv8i16, ARM64_INS_FCVTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSUWDr, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSUWSr, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSUXDr, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSUXSr, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSv1i32, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSv1i64, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSv2f32, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSv2f64, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPSv4f32, ARM64_INS_FCVTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUUWDr, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUUWSr, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUUXDr, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUUXSr, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUv1i32, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUv1i64, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUv2f32, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUv2f64, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTPUv4f32, ARM64_INS_FCVTPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTSDr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTSHr, ARM64_INS_FCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTXNv1i64, ARM64_INS_FCVTXN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTXNv2f32, ARM64_INS_FCVTXN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTXNv4f32, ARM64_INS_FCVTXN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSSWDri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSSWSri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSSXDri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSSXSri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSUWDr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSUWSr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSUXDr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSUXSr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntSWDri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntSWSri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntSXDri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntSXSri, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntUWDr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntUWSr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntUXDr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_IntUXSr, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_Intv2f32, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_Intv2f64, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZS_Intv4f32, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSd, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSs, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv1i32, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv1i64, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv2f32, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv2f64, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv2i32_shift, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv2i64_shift, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv4f32, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZSv4i32_shift, ARM64_INS_FCVTZS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUSWDri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUSWSri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUSXDri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUSXSri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUUWDr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUUWSr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUUXDr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUUXSr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntSWDri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntSWSri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntSXDri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntSXSri, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntUWDr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntUWSr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntUXDr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_IntUXSr, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_Intv2f32, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_Intv2f64, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZU_Intv4f32, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUd, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUs, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv1i32, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv1i64, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv2f32, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv2f64, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv2i32_shift, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv2i64_shift, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv4f32, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FCVTZUv4i32_shift, ARM64_INS_FCVTZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FDIVDrr, ARM64_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FDIVSrr, ARM64_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FDIVv2f32, ARM64_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FDIVv2f64, ARM64_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FDIVv4f32, ARM64_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMADDDrrr, ARM64_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMADDSrrr, ARM64_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXDrr, ARM64_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMDrr, ARM64_INS_FMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMPv2f32, ARM64_INS_FMAXNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMPv2f64, ARM64_INS_FMAXNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMPv2i32p, ARM64_INS_FMAXNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMPv2i64p, ARM64_INS_FMAXNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMPv4f32, ARM64_INS_FMAXNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMSrr, ARM64_INS_FMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMVv4i32v, ARM64_INS_FMAXNMV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMv2f32, ARM64_INS_FMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMv2f64, ARM64_INS_FMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXNMv4f32, ARM64_INS_FMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXPv2f32, ARM64_INS_FMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXPv2f64, ARM64_INS_FMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXPv2i32p, ARM64_INS_FMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXPv2i64p, ARM64_INS_FMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXPv4f32, ARM64_INS_FMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXSrr, ARM64_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXVv4i32v, ARM64_INS_FMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXv2f32, ARM64_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXv2f64, ARM64_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMAXv4f32, ARM64_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINDrr, ARM64_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMDrr, ARM64_INS_FMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMPv2f32, ARM64_INS_FMINNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMPv2f64, ARM64_INS_FMINNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMPv2i32p, ARM64_INS_FMINNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMPv2i64p, ARM64_INS_FMINNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMPv4f32, ARM64_INS_FMINNMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMSrr, ARM64_INS_FMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMVv4i32v, ARM64_INS_FMINNMV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMv2f32, ARM64_INS_FMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMv2f64, ARM64_INS_FMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINNMv4f32, ARM64_INS_FMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINPv2f32, ARM64_INS_FMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINPv2f64, ARM64_INS_FMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINPv2i32p, ARM64_INS_FMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINPv2i64p, ARM64_INS_FMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINPv4f32, ARM64_INS_FMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINSrr, ARM64_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINVv4i32v, ARM64_INS_FMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINv2f32, ARM64_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINv2f64, ARM64_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMINv4f32, ARM64_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv1i32_indexed, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv1i64_indexed, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv2f32, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv2f64, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv2i32_indexed, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv2i64_indexed, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv4f32, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLAv4i32_indexed, ARM64_INS_FMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv1i32_indexed, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv1i64_indexed, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv2f32, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv2f64, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv2i32_indexed, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv2i64_indexed, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv4f32, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMLSv4i32_indexed, ARM64_INS_FMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVDXHighr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVDXr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVDi, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVDr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVSWr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVSi, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVSr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVWSr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVXDHighr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVXDr, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVv2f32_ns, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVv2f64_ns, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMOVv4f32_ns, ARM64_INS_FMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMSUBDrrr, ARM64_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMSUBSrrr, ARM64_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULDrr, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULSrr, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULX32, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULX64, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv1i32_indexed, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv1i64_indexed, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv2f32, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv2f64, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv2i32_indexed, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv2i64_indexed, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv4f32, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULXv4i32_indexed, ARM64_INS_FMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv1i32_indexed, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv1i64_indexed, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv2f32, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv2f64, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv2i32_indexed, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv2i64_indexed, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv4f32, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FMULv4i32_indexed, ARM64_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNEGDr, ARM64_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNEGSr, ARM64_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNEGv2f32, ARM64_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNEGv2f64, ARM64_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNEGv4f32, ARM64_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMADDDrrr, ARM64_INS_FNMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMADDSrrr, ARM64_INS_FNMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMSUBDrrr, ARM64_INS_FNMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMSUBSrrr, ARM64_INS_FNMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMULDrr, ARM64_INS_FNMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FNMULSrr, ARM64_INS_FNMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPEv1i32, ARM64_INS_FRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPEv1i64, ARM64_INS_FRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPEv2f32, ARM64_INS_FRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPEv2f64, ARM64_INS_FRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPEv4f32, ARM64_INS_FRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPS32, ARM64_INS_FRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPS64, ARM64_INS_FRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPSv2f32, ARM64_INS_FRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPSv2f64, ARM64_INS_FRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPSv4f32, ARM64_INS_FRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPXv1i32, ARM64_INS_FRECPX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRECPXv1i64, ARM64_INS_FRECPX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTADr, ARM64_INS_FRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTASr, ARM64_INS_FRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTAv2f32, ARM64_INS_FRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTAv2f64, ARM64_INS_FRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTAv4f32, ARM64_INS_FRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTIDr, ARM64_INS_FRINTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTISr, ARM64_INS_FRINTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTIv2f32, ARM64_INS_FRINTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTIv2f64, ARM64_INS_FRINTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTIv4f32, ARM64_INS_FRINTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTMDr, ARM64_INS_FRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTMSr, ARM64_INS_FRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTMv2f32, ARM64_INS_FRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTMv2f64, ARM64_INS_FRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTMv4f32, ARM64_INS_FRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTNDr, ARM64_INS_FRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTNSr, ARM64_INS_FRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTNv2f32, ARM64_INS_FRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTNv2f64, ARM64_INS_FRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTNv4f32, ARM64_INS_FRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTPDr, ARM64_INS_FRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTPSr, ARM64_INS_FRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTPv2f32, ARM64_INS_FRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTPv2f64, ARM64_INS_FRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTPv4f32, ARM64_INS_FRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTXDr, ARM64_INS_FRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTXSr, ARM64_INS_FRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTXv2f32, ARM64_INS_FRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTXv2f64, ARM64_INS_FRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTXv4f32, ARM64_INS_FRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTZDr, ARM64_INS_FRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTZSr, ARM64_INS_FRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTZv2f32, ARM64_INS_FRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTZv2f64, ARM64_INS_FRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRINTZv4f32, ARM64_INS_FRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTEv1i32, ARM64_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTEv1i64, ARM64_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTEv2f32, ARM64_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTEv2f64, ARM64_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTEv4f32, ARM64_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTS32, ARM64_INS_FRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTS64, ARM64_INS_FRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTSv2f32, ARM64_INS_FRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTSv2f64, ARM64_INS_FRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FRSQRTSv4f32, ARM64_INS_FRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSQRTDr, ARM64_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSQRTSr, ARM64_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSQRTv2f32, ARM64_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSQRTv2f64, ARM64_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSQRTv4f32, ARM64_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSUBDrr, ARM64_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSUBSrr, ARM64_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSUBv2f32, ARM64_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSUBv2f64, ARM64_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_FSUBv4f32, ARM64_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_HINT, ARM64_INS_HINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_HLT, ARM64_INS_HLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_HVC, ARM64_INS_HVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi16gpr, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi16lane, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi32gpr, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi32lane, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi64gpr, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi64lane, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi8gpr, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_INSvi8lane, ARM64_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ISB, ARM64_INS_ISB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv16b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv16b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv1d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv1d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv2d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv2d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv2s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv2s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv4h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv4h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv4s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv4s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv8b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv8b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv8h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Fourv8h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev16b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev16b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev1d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev1d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev2d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev2d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev2s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev2s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev4h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev4h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev4s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev4s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev8b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev8b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev8h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Onev8h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv16b, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv16b_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv1d, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv1d_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv2d, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv2d_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv2s, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv2s_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv4h, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv4h_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv4s, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv4s_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv8b, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv8b_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv8h, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Rv8h_POST, ARM64_INS_LD1R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev16b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev16b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev1d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev1d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev2d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev2d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev2s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev2s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev4h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev4h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev4s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev4s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev8b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev8b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev8h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Threev8h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov16b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov16b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov1d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov1d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov2d, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov2d_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov2s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov2s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov4h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov4h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov4s, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov4s_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov8b, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov8b_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov8h, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1Twov8h_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i16, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i16_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i32, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i32_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i64, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i64_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i8, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD1i8_POST, ARM64_INS_LD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv16b, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv16b_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv1d, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv1d_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv2d, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv2d_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv2s, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv2s_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv4h, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv4h_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv4s, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv4s_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv8b, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv8b_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv8h, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Rv8h_POST, ARM64_INS_LD2R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov16b, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov16b_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov2d, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov2d_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov2s, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov2s_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov4h, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov4h_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov4s, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov4s_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov8b, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov8b_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov8h, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2Twov8h_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i16, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i16_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i32, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i32_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i64, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i64_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i8, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD2i8_POST, ARM64_INS_LD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv16b, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv16b_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv1d, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv1d_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv2d, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv2d_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv2s, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv2s_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv4h, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv4h_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv4s, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv4s_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv8b, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv8b_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv8h, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Rv8h_POST, ARM64_INS_LD3R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev16b, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev16b_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev2d, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev2d_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev2s, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev2s_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev4h, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev4h_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev4s, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev4s_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev8b, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev8b_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev8h, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3Threev8h_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i16, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i16_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i32, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i32_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i64, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i64_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i8, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD3i8_POST, ARM64_INS_LD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv16b, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv16b_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv2d, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv2d_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv2s, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv2s_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv4h, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv4h_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv4s, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv4s_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv8b, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv8b_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv8h, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Fourv8h_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv16b, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv16b_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv1d, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv1d_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv2d, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv2d_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv2s, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv2s_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv4h, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv4h_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv4s, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv4s_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv8b, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv8b_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv8h, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4Rv8h_POST, ARM64_INS_LD4R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i16, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i16_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i32, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i32_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i64, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i64_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i8, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LD4i8_POST, ARM64_INS_LD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDARB, ARM64_INS_LDARB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDARH, ARM64_INS_LDARH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDARW, ARM64_INS_LDAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDARX, ARM64_INS_LDAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXPW, ARM64_INS_LDAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXPX, ARM64_INS_LDAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXRB, ARM64_INS_LDAXRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXRH, ARM64_INS_LDAXRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXRW, ARM64_INS_LDAXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDAXRX, ARM64_INS_LDAXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDNPDi, ARM64_INS_LDNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDNPQi, ARM64_INS_LDNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDNPSi, ARM64_INS_LDNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDNPWi, ARM64_INS_LDNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDNPXi, ARM64_INS_LDNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPDi, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPDpost, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPDpre, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPQi, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPQpost, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPQpre, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSWi, ARM64_INS_LDPSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSWpost, ARM64_INS_LDPSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSWpre, ARM64_INS_LDPSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSi, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSpost, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPSpre, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPWi, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPWpost, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPWpre, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPXi, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPXpost, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDPXpre, ARM64_INS_LDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBBpost, ARM64_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBBpre, ARM64_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBBroW, ARM64_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBBroX, ARM64_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBBui, ARM64_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRBui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDl, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRDui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHHpost, ARM64_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHHpre, ARM64_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHHroW, ARM64_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHHroX, ARM64_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHHui, ARM64_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRHui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQl, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRQui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBWpost, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBWpre, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBWroW, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBWroX, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBWui, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBXpost, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBXpre, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBXroW, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBXroX, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSBXui, ARM64_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHWpost, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHWpre, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHWroW, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHWroX, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHWui, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHXpost, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHXpre, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHXroW, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHXroX, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSHXui, ARM64_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWl, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWpost, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWpre, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWroW, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWroX, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSWui, ARM64_INS_LDRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSl, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRSui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWl, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRWui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXl, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXpost, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXpre, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXroW, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXroX, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDRXui, ARM64_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRBi, ARM64_INS_LDTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRHi, ARM64_INS_LDTRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRSBWi, ARM64_INS_LDTRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRSBXi, ARM64_INS_LDTRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRSHWi, ARM64_INS_LDTRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRSHXi, ARM64_INS_LDTRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRSWi, ARM64_INS_LDTRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRWi, ARM64_INS_LDTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDTRXi, ARM64_INS_LDTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURBBi, ARM64_INS_LDURB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURBi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURDi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURHHi, ARM64_INS_LDURH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURHi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURQi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSBWi, ARM64_INS_LDURSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSBXi, ARM64_INS_LDURSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSHWi, ARM64_INS_LDURSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSHXi, ARM64_INS_LDURSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSWi, ARM64_INS_LDURSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURSi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURWi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDURXi, ARM64_INS_LDUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXPW, ARM64_INS_LDXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXPX, ARM64_INS_LDXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXRB, ARM64_INS_LDXRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXRH, ARM64_INS_LDXRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXRW, ARM64_INS_LDXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LDXRX, ARM64_INS_LDXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LSLVWr, ARM64_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LSLVXr, ARM64_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LSRVWr, ARM64_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_LSRVXr, ARM64_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MADDWrrr, ARM64_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MADDXrrr, ARM64_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv16i8, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv2i32, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv2i32_indexed, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv4i16, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv4i16_indexed, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv4i32, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv4i32_indexed, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv8i16, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv8i16_indexed, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLAv8i8, ARM64_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv16i8, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv2i32, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv2i32_indexed, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv4i16, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv4i16_indexed, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv4i32, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv4i32_indexed, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv8i16, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv8i16_indexed, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MLSv8i8, ARM64_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVID, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv16b_ns, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv2d_ns, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv2i32, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv2s_msl, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv4i16, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv4i32, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv4s_msl, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv8b_ns, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVIv8i16, ARM64_INS_MOVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVKWi, ARM64_INS_MOVK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVKXi, ARM64_INS_MOVK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVNWi, ARM64_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVNXi, ARM64_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVZWi, ARM64_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MOVZXi, ARM64_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MRS, ARM64_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MSR, ARM64_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MSRpstate, ARM64_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { ARM64_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MSUBWrrr, ARM64_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MSUBXrrr, ARM64_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv16i8, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv2i32, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv2i32_indexed, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv4i16, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv4i16_indexed, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv4i32, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv4i32_indexed, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv8i16, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv8i16_indexed, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MULv8i8, ARM64_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv2i32, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv2s_msl, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv4i16, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv4i32, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv4s_msl, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_MVNIv8i16, ARM64_INS_MVNI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv16i8, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv1i64, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv2i32, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv2i64, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv4i16, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv4i32, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv8i16, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NEGv8i8, ARM64_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NOTv16i8, ARM64_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_NOTv8i8, ARM64_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORNWrs, ARM64_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORNXrs, ARM64_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORNv16i8, ARM64_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORNv8i8, ARM64_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRWri, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRWrs, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRXri, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRXrs, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv16i8, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv2i32, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv4i16, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv4i32, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv8i16, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ORRv8i8, ARM64_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULLv16i8, ARM64_INS_PMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULLv1i64, ARM64_INS_PMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULLv2i64, ARM64_INS_PMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULLv8i8, ARM64_INS_PMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULv16i8, ARM64_INS_PMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PMULv8i8, ARM64_INS_PMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PRFMl, ARM64_INS_PRFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PRFMroW, ARM64_INS_PRFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PRFMroX, ARM64_INS_PRFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PRFMui, ARM64_INS_PRFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_PRFUMi, ARM64_INS_PRFUM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv2i64_v2i32, ARM64_INS_RADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv2i64_v4i32, ARM64_INS_RADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv4i32_v4i16, ARM64_INS_RADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv4i32_v8i16, ARM64_INS_RADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv8i16_v16i8, ARM64_INS_RADDHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RADDHNv8i16_v8i8, ARM64_INS_RADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RBITWr, ARM64_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RBITXr, ARM64_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RBITv16i8, ARM64_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RBITv8i8, ARM64_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RET, ARM64_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV16Wr, ARM64_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV16Xr, ARM64_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV16v16i8, ARM64_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV16v8i8, ARM64_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV32Xr, ARM64_INS_REV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV32v16i8, ARM64_INS_REV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV32v4i16, ARM64_INS_REV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV32v8i16, ARM64_INS_REV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV32v8i8, ARM64_INS_REV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v16i8, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v2i32, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v4i16, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v4i32, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v8i16, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REV64v8i8, ARM64_INS_REV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REVWr, ARM64_INS_REV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_REVXr, ARM64_INS_REV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RORVWr, ARM64_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RORVXr, ARM64_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv16i8_shift, ARM64_INS_RSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv2i32_shift, ARM64_INS_RSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv4i16_shift, ARM64_INS_RSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv4i32_shift, ARM64_INS_RSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv8i16_shift, ARM64_INS_RSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSHRNv8i8_shift, ARM64_INS_RSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv2i64_v2i32, ARM64_INS_RSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv2i64_v4i32, ARM64_INS_RSUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv4i32_v4i16, ARM64_INS_RSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv4i32_v8i16, ARM64_INS_RSUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv8i16_v16i8, ARM64_INS_RSUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_RSUBHNv8i16_v8i8, ARM64_INS_RSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv16i8_v8i16, ARM64_INS_SABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv2i32_v2i64, ARM64_INS_SABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv4i16_v4i32, ARM64_INS_SABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv4i32_v2i64, ARM64_INS_SABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv8i16_v4i32, ARM64_INS_SABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABALv8i8_v8i16, ARM64_INS_SABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv16i8, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv2i32, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv4i16, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv4i32, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv8i16, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABAv8i8, ARM64_INS_SABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv16i8_v8i16, ARM64_INS_SABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv2i32_v2i64, ARM64_INS_SABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv4i16_v4i32, ARM64_INS_SABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv4i32_v2i64, ARM64_INS_SABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv8i16_v4i32, ARM64_INS_SABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDLv8i8_v8i16, ARM64_INS_SABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv16i8, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv2i32, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv4i16, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv4i32, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv8i16, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SABDv8i8, ARM64_INS_SABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv16i8_v8i16, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv2i32_v1i64, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv4i16_v2i32, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv4i32_v2i64, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv8i16_v4i32, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADALPv8i8_v4i16, ARM64_INS_SADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv16i8_v8i16, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv2i32_v1i64, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv4i16_v2i32, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv4i32_v2i64, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv8i16_v4i32, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLPv8i8_v4i16, ARM64_INS_SADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLVv16i8v, ARM64_INS_SADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLVv4i16v, ARM64_INS_SADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLVv4i32v, ARM64_INS_SADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLVv8i16v, ARM64_INS_SADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLVv8i8v, ARM64_INS_SADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv16i8_v8i16, ARM64_INS_SADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv2i32_v2i64, ARM64_INS_SADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv4i16_v4i32, ARM64_INS_SADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv4i32_v2i64, ARM64_INS_SADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv8i16_v4i32, ARM64_INS_SADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDLv8i8_v8i16, ARM64_INS_SADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv16i8_v8i16, ARM64_INS_SADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv2i32_v2i64, ARM64_INS_SADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv4i16_v4i32, ARM64_INS_SADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv4i32_v2i64, ARM64_INS_SADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv8i16_v4i32, ARM64_INS_SADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SADDWv8i8_v8i16, ARM64_INS_SADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBCSWr, ARM64_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBCSXr, ARM64_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBCWr, ARM64_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBCXr, ARM64_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM64_REG_NZCV, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBFMWri, ARM64_INS_SBFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SBFMXri, ARM64_INS_SBFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFSWDri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFSWSri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFSXDri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFSXSri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFUWDri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFUWSri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFUXDri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFUXSri, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFd, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFs, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv1i32, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv1i64, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv2f32, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv2f64, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv2i32_shift, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv2i64_shift, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv4f32, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SCVTFv4i32_shift, ARM64_INS_SCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SDIVWr, ARM64_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SDIVXr, ARM64_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SDIV_IntWr, ARM64_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SDIV_IntXr, ARM64_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1Crrr, ARM64_INS_SHA1C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1Hrr, ARM64_INS_SHA1H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1Mrrr, ARM64_INS_SHA1M,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1Prrr, ARM64_INS_SHA1P,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1SU0rrr, ARM64_INS_SHA1SU0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA1SU1rr, ARM64_INS_SHA1SU1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA256H2rrr, ARM64_INS_SHA256H2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA256Hrrr, ARM64_INS_SHA256H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA256SU0rr, ARM64_INS_SHA256SU0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHA256SU1rrr, ARM64_INS_SHA256SU1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv16i8, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv2i32, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv4i16, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv4i32, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv8i16, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHADDv8i8, ARM64_INS_SHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv16i8, ARM64_INS_SHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv2i32, ARM64_INS_SHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv4i16, ARM64_INS_SHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv4i32, ARM64_INS_SHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv8i16, ARM64_INS_SHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLLv8i8, ARM64_INS_SHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLd, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv16i8_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv2i32_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv2i64_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv4i16_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv4i32_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv8i16_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHLv8i8_shift, ARM64_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv16i8_shift, ARM64_INS_SHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv2i32_shift, ARM64_INS_SHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv4i16_shift, ARM64_INS_SHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv4i32_shift, ARM64_INS_SHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv8i16_shift, ARM64_INS_SHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHRNv8i8_shift, ARM64_INS_SHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv16i8, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv2i32, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv4i16, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv4i32, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv8i16, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SHSUBv8i8, ARM64_INS_SHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLId, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv16i8_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv2i32_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv2i64_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv4i16_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv4i32_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv8i16_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SLIv8i8_shift, ARM64_INS_SLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMADDLrrr, ARM64_INS_SMADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv16i8, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv2i32, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv4i16, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv4i32, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv8i16, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXPv8i8, ARM64_INS_SMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXVv16i8v, ARM64_INS_SMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXVv4i16v, ARM64_INS_SMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXVv4i32v, ARM64_INS_SMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXVv8i16v, ARM64_INS_SMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXVv8i8v, ARM64_INS_SMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv16i8, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv2i32, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv4i16, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv4i32, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv8i16, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMAXv8i8, ARM64_INS_SMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMC, ARM64_INS_SMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv16i8, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv2i32, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv4i16, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv4i32, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv8i16, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINPv8i8, ARM64_INS_SMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINVv16i8v, ARM64_INS_SMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINVv4i16v, ARM64_INS_SMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINVv4i32v, ARM64_INS_SMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINVv8i16v, ARM64_INS_SMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINVv8i8v, ARM64_INS_SMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv16i8, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv2i32, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv4i16, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv4i32, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv8i16, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMINv8i8, ARM64_INS_SMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv16i8_v8i16, ARM64_INS_SMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv2i32_indexed, ARM64_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv2i32_v2i64, ARM64_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv4i16_indexed, ARM64_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv4i16_v4i32, ARM64_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv4i32_indexed, ARM64_INS_SMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv4i32_v2i64, ARM64_INS_SMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv8i16_indexed, ARM64_INS_SMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv8i16_v4i32, ARM64_INS_SMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLALv8i8_v8i16, ARM64_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv16i8_v8i16, ARM64_INS_SMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv2i32_indexed, ARM64_INS_SMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv2i32_v2i64, ARM64_INS_SMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv4i16_indexed, ARM64_INS_SMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv4i16_v4i32, ARM64_INS_SMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv4i32_indexed, ARM64_INS_SMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv4i32_v2i64, ARM64_INS_SMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv8i16_indexed, ARM64_INS_SMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv8i16_v4i32, ARM64_INS_SMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMLSLv8i8_v8i16, ARM64_INS_SMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMOVvi16to32, ARM64_INS_SMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMOVvi16to64, ARM64_INS_SMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMOVvi32to64, ARM64_INS_SMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMOVvi8to32, ARM64_INS_SMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMOVvi8to64, ARM64_INS_SMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMSUBLrrr, ARM64_INS_SMSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULHrr, ARM64_INS_SMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv16i8_v8i16, ARM64_INS_SMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv2i32_indexed, ARM64_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv2i32_v2i64, ARM64_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv4i16_indexed, ARM64_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv4i16_v4i32, ARM64_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv4i32_indexed, ARM64_INS_SMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv4i32_v2i64, ARM64_INS_SMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv8i16_indexed, ARM64_INS_SMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv8i16_v4i32, ARM64_INS_SMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SMULLv8i8_v8i16, ARM64_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv16i8, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv1i16, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv1i32, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv1i64, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv1i8, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv2i32, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv2i64, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv4i16, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv4i32, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv8i16, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQABSv8i8, ARM64_INS_SQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv16i8, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv1i16, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv1i32, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv1i64, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv1i8, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv2i32, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv2i64, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv4i16, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv4i32, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv8i16, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQADDv8i8, ARM64_INS_SQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALi16, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALi32, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv1i32_indexed, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv1i64_indexed, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv2i32_indexed, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv2i32_v2i64, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv4i16_indexed, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv4i16_v4i32, ARM64_INS_SQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv4i32_indexed, ARM64_INS_SQDMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv4i32_v2i64, ARM64_INS_SQDMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv8i16_indexed, ARM64_INS_SQDMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLALv8i16_v4i32, ARM64_INS_SQDMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLi16, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLi32, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv1i32_indexed, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv1i64_indexed, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv2i32_indexed, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv2i32_v2i64, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv4i16_indexed, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv4i16_v4i32, ARM64_INS_SQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv4i32_indexed, ARM64_INS_SQDMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv4i32_v2i64, ARM64_INS_SQDMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv8i16_indexed, ARM64_INS_SQDMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMLSLv8i16_v4i32, ARM64_INS_SQDMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv1i16, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv1i16_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv1i32, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv1i32_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv2i32, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv2i32_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv4i16, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv4i16_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv4i32, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv4i32_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv8i16, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULHv8i16_indexed, ARM64_INS_SQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLi16, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLi32, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv1i32_indexed, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv1i64_indexed, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv2i32_indexed, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv2i32_v2i64, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv4i16_indexed, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv4i16_v4i32, ARM64_INS_SQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv4i32_indexed, ARM64_INS_SQDMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv4i32_v2i64, ARM64_INS_SQDMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv8i16_indexed, ARM64_INS_SQDMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQDMULLv8i16_v4i32, ARM64_INS_SQDMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv16i8, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv1i16, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv1i32, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv1i64, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv1i8, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv2i32, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv2i64, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv4i16, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv4i32, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv8i16, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQNEGv8i8, ARM64_INS_SQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv1i16, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv1i16_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv1i32, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv1i32_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv2i32, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv2i32_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv4i16, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv4i16_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv4i32, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv4i32_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv8i16, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRDMULHv8i16_indexed, ARM64_INS_SQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv16i8, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv1i16, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv1i32, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv1i64, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv1i8, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv2i32, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv2i64, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv4i16, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv4i32, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv8i16, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHLv8i8, ARM64_INS_SQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNb, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNh, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNs, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv16i8_shift, ARM64_INS_SQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv2i32_shift, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv4i16_shift, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv4i32_shift, ARM64_INS_SQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv8i16_shift, ARM64_INS_SQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRNv8i8_shift, ARM64_INS_SQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNb, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNh, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNs, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv16i8_shift, ARM64_INS_SQRSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv2i32_shift, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv4i16_shift, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv4i32_shift, ARM64_INS_SQRSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv8i16_shift, ARM64_INS_SQRSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQRSHRUNv8i8_shift, ARM64_INS_SQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUb, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUd, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUh, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUs, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv16i8_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv2i32_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv2i64_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv4i16_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv4i32_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv8i16_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLUv8i8_shift, ARM64_INS_SQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLb, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLd, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLh, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLs, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv16i8, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv16i8_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv1i16, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv1i32, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv1i64, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv1i8, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv2i32, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv2i32_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv2i64, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv2i64_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv4i16, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv4i16_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv4i32, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv4i32_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv8i16, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv8i16_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv8i8, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHLv8i8_shift, ARM64_INS_SQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNb, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNh, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNs, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv16i8_shift, ARM64_INS_SQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv2i32_shift, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv4i16_shift, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv4i32_shift, ARM64_INS_SQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv8i16_shift, ARM64_INS_SQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRNv8i8_shift, ARM64_INS_SQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNb, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNh, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNs, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv16i8_shift, ARM64_INS_SQSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv2i32_shift, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv4i16_shift, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv4i32_shift, ARM64_INS_SQSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv8i16_shift, ARM64_INS_SQSHRUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSHRUNv8i8_shift, ARM64_INS_SQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv16i8, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv1i16, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv1i32, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv1i64, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv1i8, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv2i32, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv2i64, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv4i16, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv4i32, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv8i16, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQSUBv8i8, ARM64_INS_SQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv16i8, ARM64_INS_SQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv1i16, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv1i32, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv1i8, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv2i32, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv4i16, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv4i32, ARM64_INS_SQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv8i16, ARM64_INS_SQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTNv8i8, ARM64_INS_SQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv16i8, ARM64_INS_SQXTUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv1i16, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv1i32, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv1i8, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv2i32, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv4i16, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv4i32, ARM64_INS_SQXTUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv8i16, ARM64_INS_SQXTUN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SQXTUNv8i8, ARM64_INS_SQXTUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv16i8, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv2i32, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv4i16, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv4i32, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv8i16, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRHADDv8i8, ARM64_INS_SRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRId, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv16i8_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv2i32_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv2i64_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv4i16_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv4i32_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv8i16_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRIv8i8_shift, ARM64_INS_SRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv16i8, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv1i64, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv2i32, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv2i64, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv4i16, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv4i32, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv8i16, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHLv8i8, ARM64_INS_SRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRd, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv16i8_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv2i32_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv2i64_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv4i16_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv4i32_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv8i16_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSHRv8i8_shift, ARM64_INS_SRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAd, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv16i8_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv2i32_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv2i64_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv4i16_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv4i32_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv8i16_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SRSRAv8i8_shift, ARM64_INS_SRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv16i8_shift, ARM64_INS_SSHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv2i32_shift, ARM64_INS_SSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv4i16_shift, ARM64_INS_SSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv4i32_shift, ARM64_INS_SSHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv8i16_shift, ARM64_INS_SSHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLLv8i8_shift, ARM64_INS_SSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv16i8, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv1i64, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv2i32, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv2i64, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv4i16, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv4i32, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv8i16, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHLv8i8, ARM64_INS_SSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRd, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv16i8_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv2i32_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv2i64_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv4i16_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv4i32_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv8i16_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSHRv8i8_shift, ARM64_INS_SSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAd, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv16i8_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv2i32_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv2i64_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv4i16_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv4i32_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv8i16_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSRAv8i8_shift, ARM64_INS_SSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv16i8_v8i16, ARM64_INS_SSUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv2i32_v2i64, ARM64_INS_SSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv4i16_v4i32, ARM64_INS_SSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv4i32_v2i64, ARM64_INS_SSUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv8i16_v4i32, ARM64_INS_SSUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBLv8i8_v8i16, ARM64_INS_SSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv16i8_v8i16, ARM64_INS_SSUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv2i32_v2i64, ARM64_INS_SSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv4i16_v4i32, ARM64_INS_SSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv4i32_v2i64, ARM64_INS_SSUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv8i16_v4i32, ARM64_INS_SSUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SSUBWv8i8_v8i16, ARM64_INS_SSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv16b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv16b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv1d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv1d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv2d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv2d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv2s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv2s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv4h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv4h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv4s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv4s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv8b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv8b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv8h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Fourv8h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev16b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev16b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev1d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev1d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev2d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev2d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev2s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev2s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev4h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev4h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev4s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev4s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev8b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev8b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev8h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Onev8h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev16b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev16b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev1d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev1d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev2d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev2d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev2s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev2s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev4h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev4h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev4s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev4s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev8b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev8b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev8h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Threev8h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov16b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov16b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov1d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov1d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov2d, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov2d_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov2s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov2s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov4h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov4h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov4s, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov4s_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov8b, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov8b_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov8h, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1Twov8h_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i16, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i16_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i32, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i32_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i64, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i64_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i8, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST1i8_POST, ARM64_INS_ST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov16b, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov16b_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov2d, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov2d_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov2s, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov2s_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov4h, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov4h_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov4s, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov4s_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov8b, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov8b_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov8h, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2Twov8h_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i16, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i16_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i32, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i32_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i64, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i64_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i8, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST2i8_POST, ARM64_INS_ST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev16b, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev16b_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev2d, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev2d_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev2s, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev2s_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev4h, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev4h_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev4s, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev4s_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev8b, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev8b_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev8h, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3Threev8h_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i16, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i16_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i32, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i32_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i64, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i64_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i8, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST3i8_POST, ARM64_INS_ST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv16b, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv16b_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv2d, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv2d_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv2s, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv2s_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv4h, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv4h_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv4s, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv4s_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv8b, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv8b_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv8h, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4Fourv8h_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i16, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i16_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i32, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i32_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i64, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i64_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i8, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ST4i8_POST, ARM64_INS_ST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLRB, ARM64_INS_STLRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLRH, ARM64_INS_STLRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLRW, ARM64_INS_STLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLRX, ARM64_INS_STLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXPW, ARM64_INS_STLXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXPX, ARM64_INS_STLXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXRB, ARM64_INS_STLXRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXRH, ARM64_INS_STLXRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXRW, ARM64_INS_STLXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STLXRX, ARM64_INS_STLXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STNPDi, ARM64_INS_STNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STNPQi, ARM64_INS_STNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STNPSi, ARM64_INS_STNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STNPWi, ARM64_INS_STNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STNPXi, ARM64_INS_STNP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPDi, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPDpost, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPDpre, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPQi, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPQpost, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPQpre, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPSi, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPSpost, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPSpre, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPWi, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPWpost, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPWpre, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPXi, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPXpost, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STPXpre, ARM64_INS_STP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBBpost, ARM64_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBBpre, ARM64_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBBroW, ARM64_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBBroX, ARM64_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBBui, ARM64_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRBui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRDpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRDpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRDroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRDroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRDui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHHpost, ARM64_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHHpre, ARM64_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHHroW, ARM64_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHHroX, ARM64_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHHui, ARM64_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRHui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRQpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRQpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRQroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRQroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRQui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRSpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRSpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRSroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRSroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRSui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRWpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRWpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRWroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRWroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRWui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRXpost, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRXpre, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRXroW, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRXroX, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STRXui, ARM64_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STTRBi, ARM64_INS_STTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STTRHi, ARM64_INS_STTRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STTRWi, ARM64_INS_STTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STTRXi, ARM64_INS_STTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURBBi, ARM64_INS_STURB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURBi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURDi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURHHi, ARM64_INS_STURH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURHi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURQi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURSi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURWi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STURXi, ARM64_INS_STUR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXPW, ARM64_INS_STXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXPX, ARM64_INS_STXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXRB, ARM64_INS_STXRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXRH, ARM64_INS_STXRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXRW, ARM64_INS_STXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_STXRX, ARM64_INS_STXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv2i64_v2i32, ARM64_INS_SUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv2i64_v4i32, ARM64_INS_SUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv4i32_v4i16, ARM64_INS_SUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv4i32_v8i16, ARM64_INS_SUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv8i16_v16i8, ARM64_INS_SUBHN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBHNv8i16_v8i8, ARM64_INS_SUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSWri, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSWrs, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSWrx, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSXri, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSXrs, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSXrx, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBSXrx64, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM64_REG_NZCV, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBWri, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBWrs, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBWrx, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBXri, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBXrs, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBXrx, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBXrx64, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv16i8, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv1i64, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv2i32, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv2i64, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv4i16, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv4i32, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv8i16, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUBv8i8, ARM64_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv16i8, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv1i16, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv1i32, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv1i64, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv1i8, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv2i32, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv2i64, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv4i16, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv4i32, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv8i16, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SUQADDv8i8, ARM64_INS_SUQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SVC, ARM64_INS_SVC,
+#ifndef CAPSTONE_DIET
+	{ 0, 0 }, { ARM64_REG_LR, 0 }, { ARM64_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SYSLxt, ARM64_INS_SYSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_SYSxt, ARM64_INS_SYS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv16i8Four, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv16i8One, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv16i8Three, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv16i8Two, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv8i8Four, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv8i8One, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv8i8Three, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBLv8i8Two, ARM64_INS_TBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBNZW, ARM64_INS_TBNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_TBNZX, ARM64_INS_TBNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_TBXv16i8Four, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv16i8One, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv16i8Three, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv16i8Two, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv8i8Four, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv8i8One, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv8i8Three, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBXv8i8Two, ARM64_INS_TBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TBZW, ARM64_INS_TBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_TBZX, ARM64_INS_TBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_JUMP, ARM64_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	AArch64_TRN1v16i8, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v2i32, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v2i64, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v4i16, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v4i32, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v8i16, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN1v8i8, ARM64_INS_TRN1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v16i8, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v2i32, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v2i64, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v4i16, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v4i32, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v8i16, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_TRN2v8i8, ARM64_INS_TRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv16i8_v8i16, ARM64_INS_UABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv2i32_v2i64, ARM64_INS_UABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv4i16_v4i32, ARM64_INS_UABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv4i32_v2i64, ARM64_INS_UABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv8i16_v4i32, ARM64_INS_UABAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABALv8i8_v8i16, ARM64_INS_UABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv16i8, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv2i32, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv4i16, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv4i32, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv8i16, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABAv8i8, ARM64_INS_UABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv16i8_v8i16, ARM64_INS_UABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv2i32_v2i64, ARM64_INS_UABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv4i16_v4i32, ARM64_INS_UABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv4i32_v2i64, ARM64_INS_UABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv8i16_v4i32, ARM64_INS_UABDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDLv8i8_v8i16, ARM64_INS_UABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv16i8, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv2i32, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv4i16, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv4i32, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv8i16, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UABDv8i8, ARM64_INS_UABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv16i8_v8i16, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv2i32_v1i64, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv4i16_v2i32, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv4i32_v2i64, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv8i16_v4i32, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADALPv8i8_v4i16, ARM64_INS_UADALP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv16i8_v8i16, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv2i32_v1i64, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv4i16_v2i32, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv4i32_v2i64, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv8i16_v4i32, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLPv8i8_v4i16, ARM64_INS_UADDLP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLVv16i8v, ARM64_INS_UADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLVv4i16v, ARM64_INS_UADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLVv4i32v, ARM64_INS_UADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLVv8i16v, ARM64_INS_UADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLVv8i8v, ARM64_INS_UADDLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv16i8_v8i16, ARM64_INS_UADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv2i32_v2i64, ARM64_INS_UADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv4i16_v4i32, ARM64_INS_UADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv4i32_v2i64, ARM64_INS_UADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv8i16_v4i32, ARM64_INS_UADDL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDLv8i8_v8i16, ARM64_INS_UADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv16i8_v8i16, ARM64_INS_UADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv2i32_v2i64, ARM64_INS_UADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv4i16_v4i32, ARM64_INS_UADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv4i32_v2i64, ARM64_INS_UADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv8i16_v4i32, ARM64_INS_UADDW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UADDWv8i8_v8i16, ARM64_INS_UADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UBFMWri, ARM64_INS_UBFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UBFMXri, ARM64_INS_UBFM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFSWDri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFSWSri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFSXDri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFSXSri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFUWDri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFUWSri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFUXDri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFUXSri, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFd, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFs, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv1i32, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv1i64, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv2f32, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv2f64, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv2i32_shift, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv2i64_shift, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv4f32, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UCVTFv4i32_shift, ARM64_INS_UCVTF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UDIVWr, ARM64_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UDIVXr, ARM64_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UDIV_IntWr, ARM64_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UDIV_IntXr, ARM64_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv16i8, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv2i32, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv4i16, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv4i32, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv8i16, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHADDv8i8, ARM64_INS_UHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv16i8, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv2i32, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv4i16, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv4i32, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv8i16, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UHSUBv8i8, ARM64_INS_UHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMADDLrrr, ARM64_INS_UMADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv16i8, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv2i32, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv4i16, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv4i32, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv8i16, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXPv8i8, ARM64_INS_UMAXP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXVv16i8v, ARM64_INS_UMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXVv4i16v, ARM64_INS_UMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXVv4i32v, ARM64_INS_UMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXVv8i16v, ARM64_INS_UMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXVv8i8v, ARM64_INS_UMAXV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv16i8, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv2i32, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv4i16, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv4i32, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv8i16, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMAXv8i8, ARM64_INS_UMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv16i8, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv2i32, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv4i16, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv4i32, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv8i16, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINPv8i8, ARM64_INS_UMINP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINVv16i8v, ARM64_INS_UMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINVv4i16v, ARM64_INS_UMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINVv4i32v, ARM64_INS_UMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINVv8i16v, ARM64_INS_UMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINVv8i8v, ARM64_INS_UMINV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv16i8, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv2i32, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv4i16, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv4i32, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv8i16, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMINv8i8, ARM64_INS_UMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv16i8_v8i16, ARM64_INS_UMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv2i32_indexed, ARM64_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv2i32_v2i64, ARM64_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv4i16_indexed, ARM64_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv4i16_v4i32, ARM64_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv4i32_indexed, ARM64_INS_UMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv4i32_v2i64, ARM64_INS_UMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv8i16_indexed, ARM64_INS_UMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv8i16_v4i32, ARM64_INS_UMLAL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLALv8i8_v8i16, ARM64_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv16i8_v8i16, ARM64_INS_UMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv2i32_indexed, ARM64_INS_UMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv2i32_v2i64, ARM64_INS_UMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv4i16_indexed, ARM64_INS_UMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv4i16_v4i32, ARM64_INS_UMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv4i32_indexed, ARM64_INS_UMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv4i32_v2i64, ARM64_INS_UMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv8i16_indexed, ARM64_INS_UMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv8i16_v4i32, ARM64_INS_UMLSL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMLSLv8i8_v8i16, ARM64_INS_UMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMOVvi16, ARM64_INS_UMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMOVvi32, ARM64_INS_UMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMOVvi64, ARM64_INS_UMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMOVvi8, ARM64_INS_UMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMSUBLrrr, ARM64_INS_UMSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULHrr, ARM64_INS_UMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv16i8_v8i16, ARM64_INS_UMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv2i32_indexed, ARM64_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv2i32_v2i64, ARM64_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv4i16_indexed, ARM64_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv4i16_v4i32, ARM64_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv4i32_indexed, ARM64_INS_UMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv4i32_v2i64, ARM64_INS_UMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv8i16_indexed, ARM64_INS_UMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv8i16_v4i32, ARM64_INS_UMULL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UMULLv8i8_v8i16, ARM64_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv16i8, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv1i16, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv1i32, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv1i64, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv1i8, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv2i32, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv2i64, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv4i16, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv4i32, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv8i16, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQADDv8i8, ARM64_INS_UQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv16i8, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv1i16, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv1i32, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv1i64, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv1i8, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv2i32, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv2i64, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv4i16, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv4i32, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv8i16, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHLv8i8, ARM64_INS_UQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNb, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNh, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNs, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv16i8_shift, ARM64_INS_UQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv2i32_shift, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv4i16_shift, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv4i32_shift, ARM64_INS_UQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv8i16_shift, ARM64_INS_UQRSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQRSHRNv8i8_shift, ARM64_INS_UQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLb, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLd, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLh, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLs, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv16i8, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv16i8_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv1i16, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv1i32, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv1i64, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv1i8, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv2i32, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv2i32_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv2i64, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv2i64_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv4i16, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv4i16_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv4i32, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv4i32_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv8i16, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv8i16_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv8i8, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHLv8i8_shift, ARM64_INS_UQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNb, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNh, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNs, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv16i8_shift, ARM64_INS_UQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv2i32_shift, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv4i16_shift, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv4i32_shift, ARM64_INS_UQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv8i16_shift, ARM64_INS_UQSHRN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSHRNv8i8_shift, ARM64_INS_UQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv16i8, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv1i16, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv1i32, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv1i64, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv1i8, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv2i32, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv2i64, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv4i16, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv4i32, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv8i16, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQSUBv8i8, ARM64_INS_UQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv16i8, ARM64_INS_UQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv1i16, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv1i32, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv1i8, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv2i32, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv4i16, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv4i32, ARM64_INS_UQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv8i16, ARM64_INS_UQXTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UQXTNv8i8, ARM64_INS_UQXTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URECPEv2i32, ARM64_INS_URECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URECPEv4i32, ARM64_INS_URECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv16i8, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv2i32, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv4i16, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv4i32, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv8i16, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URHADDv8i8, ARM64_INS_URHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv16i8, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv1i64, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv2i32, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv2i64, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv4i16, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv4i32, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv8i16, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHLv8i8, ARM64_INS_URSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRd, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv16i8_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv2i32_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv2i64_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv4i16_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv4i32_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv8i16_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSHRv8i8_shift, ARM64_INS_URSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSQRTEv2i32, ARM64_INS_URSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSQRTEv4i32, ARM64_INS_URSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAd, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv16i8_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv2i32_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv2i64_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv4i16_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv4i32_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv8i16_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_URSRAv8i8_shift, ARM64_INS_URSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv16i8_shift, ARM64_INS_USHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv2i32_shift, ARM64_INS_USHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv4i16_shift, ARM64_INS_USHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv4i32_shift, ARM64_INS_USHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv8i16_shift, ARM64_INS_USHLL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLLv8i8_shift, ARM64_INS_USHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv16i8, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv1i64, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv2i32, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv2i64, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv4i16, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv4i32, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv8i16, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHLv8i8, ARM64_INS_USHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRd, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv16i8_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv2i32_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv2i64_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv4i16_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv4i32_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv8i16_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USHRv8i8_shift, ARM64_INS_USHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv16i8, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv1i16, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv1i32, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv1i64, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv1i8, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv2i32, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv2i64, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv4i16, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv4i32, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv8i16, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USQADDv8i8, ARM64_INS_USQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAd, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv16i8_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv2i32_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv2i64_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv4i16_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv4i32_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv8i16_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USRAv8i8_shift, ARM64_INS_USRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv16i8_v8i16, ARM64_INS_USUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv2i32_v2i64, ARM64_INS_USUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv4i16_v4i32, ARM64_INS_USUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv4i32_v2i64, ARM64_INS_USUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv8i16_v4i32, ARM64_INS_USUBL2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBLv8i8_v8i16, ARM64_INS_USUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv16i8_v8i16, ARM64_INS_USUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv2i32_v2i64, ARM64_INS_USUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv4i16_v4i32, ARM64_INS_USUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv4i32_v2i64, ARM64_INS_USUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv8i16_v4i32, ARM64_INS_USUBW2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_USUBWv8i8_v8i16, ARM64_INS_USUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v16i8, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v2i32, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v2i64, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v4i16, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v4i32, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v8i16, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP1v8i8, ARM64_INS_UZP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v16i8, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v2i32, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v2i64, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v4i16, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v4i32, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v8i16, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_UZP2v8i8, ARM64_INS_UZP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv16i8, ARM64_INS_XTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv2i32, ARM64_INS_XTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv4i16, ARM64_INS_XTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv4i32, ARM64_INS_XTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv8i16, ARM64_INS_XTN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_XTNv8i8, ARM64_INS_XTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v16i8, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v2i32, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v2i64, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v4i16, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v4i32, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v8i16, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP1v8i8, ARM64_INS_ZIP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v16i8, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v2i32, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v2i64, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v4i16, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v4i32, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v8i16, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	AArch64_ZIP2v8i8, ARM64_INS_ZIP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM64_GRP_NEON, 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64MappingInsnOp.inc 4.0.2-3/arch/AArch64/AArch64MappingInsnOp.inc
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64MappingInsnOp.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64MappingInsnOp.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,9308 @@
+{    /* AArch64_ABSv16i8, ARM64_INS_ABS: abs.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv1i64, ARM64_INS_ABS: abs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv2i32, ARM64_INS_ABS: abs.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv2i64, ARM64_INS_ABS: abs.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv4i16, ARM64_INS_ABS: abs.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv4i32, ARM64_INS_ABS: abs.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv8i16, ARM64_INS_ABS: abs.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ABSv8i8, ARM64_INS_ABS: abs.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADCSWr, ARM64_INS_ADCS: adcs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADCSXr, ARM64_INS_ADCS: adcs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADCWr, ARM64_INS_ADC: adc    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADCXr, ARM64_INS_ADC: adc    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv2i64_v2i32, ARM64_INS_ADDHN: addhn.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv2i64_v4i32, ARM64_INS_ADDHN2: addhn2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv4i32_v4i16, ARM64_INS_ADDHN: addhn.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv4i32_v8i16, ARM64_INS_ADDHN2: addhn2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv8i16_v16i8, ARM64_INS_ADDHN2: addhn2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDHNv8i16_v8i8, ARM64_INS_ADDHN: addhn.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv16i8, ARM64_INS_ADDP: addp.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv2i32, ARM64_INS_ADDP: addp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv2i64, ARM64_INS_ADDP: addp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv2i64p, ARM64_INS_ADDP: addp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv4i16, ARM64_INS_ADDP: addp.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv4i32, ARM64_INS_ADDP: addp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv8i16, ARM64_INS_ADDP: addp.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDPv8i8, ARM64_INS_ADDP: addp.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSWri, ARM64_INS_ADDS: adds    $rd, $rn, $imm */
+	0,
+	{  CS_AC_READ, CS_AC_READ, CS_AC_READ,0 }
+},
+{    /* AArch64_ADDSWrs, ARM64_INS_ADDS: adds    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSWrx, ARM64_INS_ADDS: adds    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSXri, ARM64_INS_ADDS: adds    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSXrs, ARM64_INS_ADDS: adds    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSXrx, ARM64_INS_ADDS: adds    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDSXrx64, ARM64_INS_ADDS: adds    $rd, $rn, $rm$ext */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDVv16i8v, ARM64_INS_ADDV: addv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDVv4i16v, ARM64_INS_ADDV: addv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDVv4i32v, ARM64_INS_ADDV: addv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDVv8i16v, ARM64_INS_ADDV: addv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDVv8i8v, ARM64_INS_ADDV: addv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDWri, ARM64_INS_ADD: add    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDWrs, ARM64_INS_ADD: add    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDWrx, ARM64_INS_ADD: add    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDXri, ARM64_INS_ADD: add    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDXrs, ARM64_INS_ADD: add    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDXrx, ARM64_INS_ADD: add    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDXrx64, ARM64_INS_ADD: add    $rd, $rn, $rm$ext */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv16i8, ARM64_INS_ADD: add.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv1i64, ARM64_INS_ADD: add    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv2i32, ARM64_INS_ADD: add.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv2i64, ARM64_INS_ADD: add.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv4i16, ARM64_INS_ADD: add.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv4i32, ARM64_INS_ADD: add.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv8i16, ARM64_INS_ADD: add.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADDv8i8, ARM64_INS_ADD: add.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADR, ARM64_INS_ADR: adr    $xd, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ADRP, ARM64_INS_ADRP: adrp    $xd, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_AESDrr, ARM64_INS_AESD: aesd.16b    $rd, $rn */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_AESErr, ARM64_INS_AESE: aese.16b    $rd, $rn */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_AESIMCrr, ARM64_INS_AESIMC: aesimc.16b    $rd, $rn */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_AESMCrr, ARM64_INS_AESMC: aesmc.16b    $rd, $rn */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDSWri, ARM64_INS_ANDS: ands    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDSWrs, ARM64_INS_ANDS: ands    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDSXri, ARM64_INS_ANDS: ands    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDSXrs, ARM64_INS_ANDS: ands    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDWri, ARM64_INS_AND: and    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDWrs, ARM64_INS_AND: and    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDXri, ARM64_INS_AND: and    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDXrs, ARM64_INS_AND: and    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDv16i8, ARM64_INS_AND: and.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ANDv8i8, ARM64_INS_AND: and.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ASRVWr, ARM64_INS_ASR: asr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ASRVXr, ARM64_INS_ASR: asr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_B, ARM64_INS_B: b    $addr */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_BFMWri, ARM64_INS_BFM: bfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_BFMXri, ARM64_INS_BFM: bfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_BICSWrs, ARM64_INS_BICS: bics    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICSXrs, ARM64_INS_BICS: bics    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICWrs, ARM64_INS_BIC: bic    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICXrs, ARM64_INS_BIC: bic    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv16i8, ARM64_INS_BIC: bic.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv2i32, ARM64_INS_BIC: bic.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv4i16, ARM64_INS_BIC: bic.4h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv4i32, ARM64_INS_BIC: bic.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv8i16, ARM64_INS_BIC: bic.8h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_BICv8i8, ARM64_INS_BIC: bic.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_BIFv16i8, ARM64_INS_BIF: bif.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BIFv8i8, ARM64_INS_BIF: bif.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BITv16i8, ARM64_INS_BIT: bit.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BITv8i8, ARM64_INS_BIT: bit.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BL, ARM64_INS_BL: bl    $addr */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_BLR, ARM64_INS_BLR: blr    $rn */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_BR, ARM64_INS_BR: br    $rn */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_BRK, ARM64_INS_BRK: brk    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_BSLv16i8, ARM64_INS_BSL: bsl.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_BSLv8i8, ARM64_INS_BSL: bsl.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_Bcc, ARM64_INS_B: b.$cond    $target */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_CBNZW, ARM64_INS_CBNZ: cbnz    $rt, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CBNZX, ARM64_INS_CBNZ: cbnz    $rt, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CBZW, ARM64_INS_CBZ: cbz    $rt, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CBZX, ARM64_INS_CBZ: cbz    $rt, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CCMNWi, ARM64_INS_CCMN: ccmn    $rn, $imm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMNWr, ARM64_INS_CCMN: ccmn    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMNXi, ARM64_INS_CCMN: ccmn    $rn, $imm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMNXr, ARM64_INS_CCMN: ccmn    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMPWi, ARM64_INS_CCMP: ccmp    $rn, $imm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMPWr, ARM64_INS_CCMP: ccmp    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMPXi, ARM64_INS_CCMP: ccmp    $rn, $imm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CCMPXr, ARM64_INS_CCMP: ccmp    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CLREX, ARM64_INS_CLREX: clrex    $crm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSWr, ARM64_INS_CLS: cls    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSXr, ARM64_INS_CLS: cls    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv16i8, ARM64_INS_CLS: cls.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv2i32, ARM64_INS_CLS: cls.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv4i16, ARM64_INS_CLS: cls.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv4i32, ARM64_INS_CLS: cls.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv8i16, ARM64_INS_CLS: cls.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLSv8i8, ARM64_INS_CLS: cls.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZWr, ARM64_INS_CLZ: clz    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZXr, ARM64_INS_CLZ: clz    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv16i8, ARM64_INS_CLZ: clz.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv2i32, ARM64_INS_CLZ: clz.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv4i16, ARM64_INS_CLZ: clz.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv4i32, ARM64_INS_CLZ: clz.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv8i16, ARM64_INS_CLZ: clz.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CLZv8i8, ARM64_INS_CLZ: clz.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv16i8, ARM64_INS_CMEQ: cmeq.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv16i8rz, ARM64_INS_CMEQ: cmeq.16b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv1i64, ARM64_INS_CMEQ: cmeq    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv1i64rz, ARM64_INS_CMEQ: cmeq    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv2i32, ARM64_INS_CMEQ: cmeq.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv2i32rz, ARM64_INS_CMEQ: cmeq.2s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv2i64, ARM64_INS_CMEQ: cmeq.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv2i64rz, ARM64_INS_CMEQ: cmeq.2d    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv4i16, ARM64_INS_CMEQ: cmeq.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv4i16rz, ARM64_INS_CMEQ: cmeq.4h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv4i32, ARM64_INS_CMEQ: cmeq.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv4i32rz, ARM64_INS_CMEQ: cmeq.4s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv8i16, ARM64_INS_CMEQ: cmeq.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv8i16rz, ARM64_INS_CMEQ: cmeq.8h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv8i8, ARM64_INS_CMEQ: cmeq.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMEQv8i8rz, ARM64_INS_CMEQ: cmeq.8b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv16i8, ARM64_INS_CMGE: cmge.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv16i8rz, ARM64_INS_CMGE: cmge.16b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv1i64, ARM64_INS_CMGE: cmge    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv1i64rz, ARM64_INS_CMGE: cmge    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv2i32, ARM64_INS_CMGE: cmge.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv2i32rz, ARM64_INS_CMGE: cmge.2s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv2i64, ARM64_INS_CMGE: cmge.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv2i64rz, ARM64_INS_CMGE: cmge.2d    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv4i16, ARM64_INS_CMGE: cmge.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv4i16rz, ARM64_INS_CMGE: cmge.4h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv4i32, ARM64_INS_CMGE: cmge.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv4i32rz, ARM64_INS_CMGE: cmge.4s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv8i16, ARM64_INS_CMGE: cmge.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv8i16rz, ARM64_INS_CMGE: cmge.8h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv8i8, ARM64_INS_CMGE: cmge.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGEv8i8rz, ARM64_INS_CMGE: cmge.8b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv16i8, ARM64_INS_CMGT: cmgt.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv16i8rz, ARM64_INS_CMGT: cmgt.16b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv1i64, ARM64_INS_CMGT: cmgt    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv1i64rz, ARM64_INS_CMGT: cmgt    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv2i32, ARM64_INS_CMGT: cmgt.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv2i32rz, ARM64_INS_CMGT: cmgt.2s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv2i64, ARM64_INS_CMGT: cmgt.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv2i64rz, ARM64_INS_CMGT: cmgt.2d    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv4i16, ARM64_INS_CMGT: cmgt.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv4i16rz, ARM64_INS_CMGT: cmgt.4h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv4i32, ARM64_INS_CMGT: cmgt.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv4i32rz, ARM64_INS_CMGT: cmgt.4s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv8i16, ARM64_INS_CMGT: cmgt.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv8i16rz, ARM64_INS_CMGT: cmgt.8h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv8i8, ARM64_INS_CMGT: cmgt.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMGTv8i8rz, ARM64_INS_CMGT: cmgt.8b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv16i8, ARM64_INS_CMHI: cmhi.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv1i64, ARM64_INS_CMHI: cmhi    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv2i32, ARM64_INS_CMHI: cmhi.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv2i64, ARM64_INS_CMHI: cmhi.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv4i16, ARM64_INS_CMHI: cmhi.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv4i32, ARM64_INS_CMHI: cmhi.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv8i16, ARM64_INS_CMHI: cmhi.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHIv8i8, ARM64_INS_CMHI: cmhi.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv16i8, ARM64_INS_CMHS: cmhs.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv1i64, ARM64_INS_CMHS: cmhs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv2i32, ARM64_INS_CMHS: cmhs.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv2i64, ARM64_INS_CMHS: cmhs.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv4i16, ARM64_INS_CMHS: cmhs.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv4i32, ARM64_INS_CMHS: cmhs.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv8i16, ARM64_INS_CMHS: cmhs.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMHSv8i8, ARM64_INS_CMHS: cmhs.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv16i8rz, ARM64_INS_CMLE: cmle.16b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv1i64rz, ARM64_INS_CMLE: cmle    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv2i32rz, ARM64_INS_CMLE: cmle.2s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv2i64rz, ARM64_INS_CMLE: cmle.2d    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv4i16rz, ARM64_INS_CMLE: cmle.4h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv4i32rz, ARM64_INS_CMLE: cmle.4s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv8i16rz, ARM64_INS_CMLE: cmle.8h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLEv8i8rz, ARM64_INS_CMLE: cmle.8b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv16i8rz, ARM64_INS_CMLT: cmlt.16b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv1i64rz, ARM64_INS_CMLT: cmlt    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv2i32rz, ARM64_INS_CMLT: cmlt.2s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv2i64rz, ARM64_INS_CMLT: cmlt.2d    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv4i16rz, ARM64_INS_CMLT: cmlt.4h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv4i32rz, ARM64_INS_CMLT: cmlt.4s    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv8i16rz, ARM64_INS_CMLT: cmlt.8h    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMLTv8i8rz, ARM64_INS_CMLT: cmlt.8b    $rd, $rn, #0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv16i8, ARM64_INS_CMTST: cmtst.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv1i64, ARM64_INS_CMTST: cmtst    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv2i32, ARM64_INS_CMTST: cmtst.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv2i64, ARM64_INS_CMTST: cmtst.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv4i16, ARM64_INS_CMTST: cmtst.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv4i32, ARM64_INS_CMTST: cmtst.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv8i16, ARM64_INS_CMTST: cmtst.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CMTSTv8i8, ARM64_INS_CMTST: cmtst.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CNTv16i8, ARM64_INS_CNT: cnt.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CNTv8i8, ARM64_INS_CNT: cnt.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_CPYi16, ARM64_INS_MOV: mov    $dst, $src$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CPYi32, ARM64_INS_MOV: mov    $dst, $src$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CPYi64, ARM64_INS_MOV: mov    $dst, $src$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CPYi8, ARM64_INS_MOV: mov    $dst, $src$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32Brr, ARM64_INS_CRC32B: crc32b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32CBrr, ARM64_INS_CRC32CB: crc32cb    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32CHrr, ARM64_INS_CRC32CH: crc32ch    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32CWrr, ARM64_INS_CRC32CW: crc32cw    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32CXrr, ARM64_INS_CRC32CX: crc32cx    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32Hrr, ARM64_INS_CRC32H: crc32h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32Wrr, ARM64_INS_CRC32W: crc32w    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CRC32Xrr, ARM64_INS_CRC32X: crc32x    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_CSELWr, ARM64_INS_CSEL: csel    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSELXr, ARM64_INS_CSEL: csel    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSINCWr, ARM64_INS_CSINC: csinc    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSINCXr, ARM64_INS_CSINC: csinc    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSINVWr, ARM64_INS_CSINV: csinv    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSINVXr, ARM64_INS_CSINV: csinv    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSNEGWr, ARM64_INS_CSNEG: csneg    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_CSNEGXr, ARM64_INS_CSNEG: csneg    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_DCPS1, ARM64_INS_DCPS1: dcps1    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_DCPS2, ARM64_INS_DCPS2: dcps2    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_DCPS3, ARM64_INS_DCPS3: dcps3    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_DMB, ARM64_INS_DMB: dmb    $crm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_DRPS, ARM64_INS_DRPS: drps */
+	0,
+	{ 0 }
+},
+{    /* AArch64_DSB, ARM64_INS_DSB: dsb    $crm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv16i8gpr, ARM64_INS_DUP: dup.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv16i8lane, ARM64_INS_DUP: dup.16b    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv2i32gpr, ARM64_INS_DUP: dup.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv2i32lane, ARM64_INS_DUP: dup.2s    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv2i64gpr, ARM64_INS_DUP: dup.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv2i64lane, ARM64_INS_DUP: dup.2d    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv4i16gpr, ARM64_INS_DUP: dup.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv4i16lane, ARM64_INS_DUP: dup.4h    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv4i32gpr, ARM64_INS_DUP: dup.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv4i32lane, ARM64_INS_DUP: dup.4s    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv8i16gpr, ARM64_INS_DUP: dup.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv8i16lane, ARM64_INS_DUP: dup.8h    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv8i8gpr, ARM64_INS_DUP: dup.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_DUPv8i8lane, ARM64_INS_DUP: dup.8b    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EONWrs, ARM64_INS_EON: eon    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EONXrs, ARM64_INS_EON: eon    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORWri, ARM64_INS_EOR: eor    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORWrs, ARM64_INS_EOR: eor    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORXri, ARM64_INS_EOR: eor    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORXrs, ARM64_INS_EOR: eor    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORv16i8, ARM64_INS_EOR: eor.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_EORv8i8, ARM64_INS_EOR: eor.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ERET, ARM64_INS_ERET: eret */
+	0,
+	{ 0 }
+},
+{    /* AArch64_EXTRWrri, ARM64_INS_EXTR: extr    $rd, $rn, $rm, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_EXTRXrri, ARM64_INS_EXTR: extr    $rd, $rn, $rm, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_EXTv16i8, ARM64_INS_EXT: ext.16b    $rd, $rn, $rm, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_EXTv8i8, ARM64_INS_EXT: ext.8b    $rd, $rn, $rm, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FABD32, ARM64_INS_FABD: fabd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABD64, ARM64_INS_FABD: fabd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABDv2f32, ARM64_INS_FABD: fabd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABDv2f64, ARM64_INS_FABD: fabd.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABDv4f32, ARM64_INS_FABD: fabd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABSDr, ARM64_INS_FABS: fabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABSSr, ARM64_INS_FABS: fabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABSv2f32, ARM64_INS_FABS: fabs.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABSv2f64, ARM64_INS_FABS: fabs.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FABSv4f32, ARM64_INS_FABS: fabs.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGE32, ARM64_INS_FACGE: facge    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGE64, ARM64_INS_FACGE: facge    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGEv2f32, ARM64_INS_FACGE: facge.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGEv2f64, ARM64_INS_FACGE: facge.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGEv4f32, ARM64_INS_FACGE: facge.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGT32, ARM64_INS_FACGT: facgt    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGT64, ARM64_INS_FACGT: facgt    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGTv2f32, ARM64_INS_FACGT: facgt.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGTv2f64, ARM64_INS_FACGT: facgt.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FACGTv4f32, ARM64_INS_FACGT: facgt.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDDrr, ARM64_INS_FADD: fadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDPv2f32, ARM64_INS_FADDP: faddp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDPv2f64, ARM64_INS_FADDP: faddp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDPv2i32p, ARM64_INS_FADDP: faddp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDPv2i64p, ARM64_INS_FADDP: faddp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDPv4f32, ARM64_INS_FADDP: faddp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDSrr, ARM64_INS_FADD: fadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDv2f32, ARM64_INS_FADD: fadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDv2f64, ARM64_INS_FADD: fadd.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FADDv4f32, ARM64_INS_FADD: fadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCCMPDrr, ARM64_INS_FCCMP: fccmp    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE, CS_AC_READ }
+},
+{    /* AArch64_FCCMPEDrr, ARM64_INS_FCCMPE: fccmpe    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE, CS_AC_READ }
+},
+{    /* AArch64_FCCMPESrr, ARM64_INS_FCCMPE: fccmpe    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE, CS_AC_READ }
+},
+{    /* AArch64_FCCMPSrr, ARM64_INS_FCCMP: fccmp    $rn, $rm, $nzcv, $cond */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE, CS_AC_READ }
+},
+{    /* AArch64_FCMEQ32, ARM64_INS_FCMEQ: fcmeq    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQ64, ARM64_INS_FCMEQ: fcmeq    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv1i32rz, ARM64_INS_FCMEQ: fcmeq    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv1i64rz, ARM64_INS_FCMEQ: fcmeq    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv2f32, ARM64_INS_FCMEQ: fcmeq.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv2f64, ARM64_INS_FCMEQ: fcmeq.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv2i32rz, ARM64_INS_FCMEQ: fcmeq.2s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv2i64rz, ARM64_INS_FCMEQ: fcmeq.2d    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv4f32, ARM64_INS_FCMEQ: fcmeq.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMEQv4i32rz, ARM64_INS_FCMEQ: fcmeq.4s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGE32, ARM64_INS_FCMGE: fcmge    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGE64, ARM64_INS_FCMGE: fcmge    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv1i32rz, ARM64_INS_FCMGE: fcmge    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv1i64rz, ARM64_INS_FCMGE: fcmge    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv2f32, ARM64_INS_FCMGE: fcmge.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv2f64, ARM64_INS_FCMGE: fcmge.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv2i32rz, ARM64_INS_FCMGE: fcmge.2s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv2i64rz, ARM64_INS_FCMGE: fcmge.2d    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv4f32, ARM64_INS_FCMGE: fcmge.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGEv4i32rz, ARM64_INS_FCMGE: fcmge.4s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGT32, ARM64_INS_FCMGT: fcmgt    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGT64, ARM64_INS_FCMGT: fcmgt    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv1i32rz, ARM64_INS_FCMGT: fcmgt    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv1i64rz, ARM64_INS_FCMGT: fcmgt    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv2f32, ARM64_INS_FCMGT: fcmgt.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv2f64, ARM64_INS_FCMGT: fcmgt.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv2i32rz, ARM64_INS_FCMGT: fcmgt.2s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv2i64rz, ARM64_INS_FCMGT: fcmgt.2d    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv4f32, ARM64_INS_FCMGT: fcmgt.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMGTv4i32rz, ARM64_INS_FCMGT: fcmgt.4s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLEv1i32rz, ARM64_INS_FCMLE: fcmle    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLEv1i64rz, ARM64_INS_FCMLE: fcmle    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLEv2i32rz, ARM64_INS_FCMLE: fcmle.2s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLEv2i64rz, ARM64_INS_FCMLE: fcmle.2d    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLEv4i32rz, ARM64_INS_FCMLE: fcmle.4s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLTv1i32rz, ARM64_INS_FCMLT: fcmlt    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLTv1i64rz, ARM64_INS_FCMLT: fcmlt    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLTv2i32rz, ARM64_INS_FCMLT: fcmlt.2s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLTv2i64rz, ARM64_INS_FCMLT: fcmlt.2d    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMLTv4i32rz, ARM64_INS_FCMLT: fcmlt.4s    $rd, $rn, #0.0 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPDri, ARM64_INS_FCMP: fcmp    $rn, #0.0 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPDrr, ARM64_INS_FCMP: fcmp    $rn, $rm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPEDri, ARM64_INS_FCMPE: fcmpe    $rn, #0.0 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPEDrr, ARM64_INS_FCMPE: fcmpe    $rn, $rm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPESri, ARM64_INS_FCMPE: fcmpe    $rn, #0.0 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPESrr, ARM64_INS_FCMPE: fcmpe    $rn, $rm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPSri, ARM64_INS_FCMP: fcmp    $rn, #0.0 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCMPSrr, ARM64_INS_FCMP: fcmp    $rn, $rm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCSELDrrr, ARM64_INS_FCSEL: fcsel    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FCSELSrrr, ARM64_INS_FCSEL: fcsel    $rd, $rn, $rm, $cond */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FCVTASUWDr, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASUWSr, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASUXDr, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASUXSr, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASv1i32, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASv1i64, ARM64_INS_FCVTAS: fcvtas    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASv2f32, ARM64_INS_FCVTAS: fcvtas.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASv2f64, ARM64_INS_FCVTAS: fcvtas.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTASv4f32, ARM64_INS_FCVTAS: fcvtas.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUUWDr, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUUWSr, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUUXDr, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUUXSr, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUv1i32, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUv1i64, ARM64_INS_FCVTAU: fcvtau    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUv2f32, ARM64_INS_FCVTAU: fcvtau.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUv2f64, ARM64_INS_FCVTAU: fcvtau.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTAUv4f32, ARM64_INS_FCVTAU: fcvtau.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTDHr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTDSr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTHDr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTHSr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTLv2i32, ARM64_INS_FCVTL: fcvtl    $rd.2d, $rn.2s */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTLv4i16, ARM64_INS_FCVTL: fcvtl    $rd.4s, $rn.4h */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTLv4i32, ARM64_INS_FCVTL2: fcvtl2    $rd.2d, $rn.4s */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTLv8i16, ARM64_INS_FCVTL2: fcvtl2    $rd.4s, $rn.8h */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSUWDr, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSUWSr, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSUXDr, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSUXSr, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSv1i32, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSv1i64, ARM64_INS_FCVTMS: fcvtms    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSv2f32, ARM64_INS_FCVTMS: fcvtms.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSv2f64, ARM64_INS_FCVTMS: fcvtms.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMSv4f32, ARM64_INS_FCVTMS: fcvtms.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUUWDr, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUUWSr, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUUXDr, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUUXSr, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUv1i32, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUv1i64, ARM64_INS_FCVTMU: fcvtmu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUv2f32, ARM64_INS_FCVTMU: fcvtmu.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUv2f64, ARM64_INS_FCVTMU: fcvtmu.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTMUv4f32, ARM64_INS_FCVTMU: fcvtmu.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSUWDr, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSUWSr, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSUXDr, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSUXSr, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSv1i32, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSv1i64, ARM64_INS_FCVTNS: fcvtns    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSv2f32, ARM64_INS_FCVTNS: fcvtns.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSv2f64, ARM64_INS_FCVTNS: fcvtns.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNSv4f32, ARM64_INS_FCVTNS: fcvtns.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUUWDr, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUUWSr, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUUXDr, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUUXSr, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUv1i32, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUv1i64, ARM64_INS_FCVTNU: fcvtnu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUv2f32, ARM64_INS_FCVTNU: fcvtnu.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUv2f64, ARM64_INS_FCVTNU: fcvtnu.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNUv4f32, ARM64_INS_FCVTNU: fcvtnu.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNv2i32, ARM64_INS_FCVTN: fcvtn    $rd.2s, $rn.2d */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNv4i16, ARM64_INS_FCVTN: fcvtn    $rd.4h, $rn.4s */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNv4i32, ARM64_INS_FCVTN2: fcvtn2    $rd.4s, $rn.2d */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTNv8i16, ARM64_INS_FCVTN2: fcvtn2    $rd.8h, $rn.4s */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSUWDr, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSUWSr, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSUXDr, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSUXSr, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSv1i32, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSv1i64, ARM64_INS_FCVTPS: fcvtps    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSv2f32, ARM64_INS_FCVTPS: fcvtps.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSv2f64, ARM64_INS_FCVTPS: fcvtps.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPSv4f32, ARM64_INS_FCVTPS: fcvtps.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUUWDr, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUUWSr, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUUXDr, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUUXSr, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUv1i32, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUv1i64, ARM64_INS_FCVTPU: fcvtpu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUv2f32, ARM64_INS_FCVTPU: fcvtpu.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUv2f64, ARM64_INS_FCVTPU: fcvtpu.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTPUv4f32, ARM64_INS_FCVTPU: fcvtpu.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTSDr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTSHr, ARM64_INS_FCVT: fcvt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTXNv1i64, ARM64_INS_FCVTXN: fcvtxn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTXNv2f32, ARM64_INS_FCVTXN: fcvtxn    $rd.2s, $rn.2d */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTXNv4f32, ARM64_INS_FCVTXN2: fcvtxn2    $rd.4s, $rn.2d */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSSWDri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSSWSri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSSXDri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSSXSri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSUWDr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSUWSr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSUXDr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSUXSr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntSWDri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntSWSri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntSXDri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntSXSri, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntUWDr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntUWSr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntUXDr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_IntUXSr, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_Intv2f32, ARM64_INS_FCVTZS: fcvtzs.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_Intv2f64, ARM64_INS_FCVTZS: fcvtzs.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZS_Intv4f32, ARM64_INS_FCVTZS: fcvtzs.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSd, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSs, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv1i32, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv1i64, ARM64_INS_FCVTZS: fcvtzs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv2f32, ARM64_INS_FCVTZS: fcvtzs.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv2f64, ARM64_INS_FCVTZS: fcvtzs.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv2i32_shift, ARM64_INS_FCVTZS: fcvtzs.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv2i64_shift, ARM64_INS_FCVTZS: fcvtzs.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv4f32, ARM64_INS_FCVTZS: fcvtzs.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZSv4i32_shift, ARM64_INS_FCVTZS: fcvtzs.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUSWDri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUSWSri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUSXDri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUSXSri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUUWDr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUUWSr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUUXDr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUUXSr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntSWDri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntSWSri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntSXDri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntSXSri, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntUWDr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntUWSr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntUXDr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_IntUXSr, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_Intv2f32, ARM64_INS_FCVTZU: fcvtzu.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_Intv2f64, ARM64_INS_FCVTZU: fcvtzu.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZU_Intv4f32, ARM64_INS_FCVTZU: fcvtzu.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUd, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUs, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv1i32, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv1i64, ARM64_INS_FCVTZU: fcvtzu    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv2f32, ARM64_INS_FCVTZU: fcvtzu.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv2f64, ARM64_INS_FCVTZU: fcvtzu.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv2i32_shift, ARM64_INS_FCVTZU: fcvtzu.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv2i64_shift, ARM64_INS_FCVTZU: fcvtzu.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv4f32, ARM64_INS_FCVTZU: fcvtzu.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FCVTZUv4i32_shift, ARM64_INS_FCVTZU: fcvtzu.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FDIVDrr, ARM64_INS_FDIV: fdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FDIVSrr, ARM64_INS_FDIV: fdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FDIVv2f32, ARM64_INS_FDIV: fdiv.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FDIVv2f64, ARM64_INS_FDIV: fdiv.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FDIVv4f32, ARM64_INS_FDIV: fdiv.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMADDDrrr, ARM64_INS_FMADD: fmadd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMADDSrrr, ARM64_INS_FMADD: fmadd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMAXDrr, ARM64_INS_FMAX: fmax    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMDrr, ARM64_INS_FMAXNM: fmaxnm    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMPv2f32, ARM64_INS_FMAXNMP: fmaxnmp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMPv2f64, ARM64_INS_FMAXNMP: fmaxnmp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMPv2i32p, ARM64_INS_FMAXNMP: fmaxnmp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMPv2i64p, ARM64_INS_FMAXNMP: fmaxnmp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMPv4f32, ARM64_INS_FMAXNMP: fmaxnmp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMSrr, ARM64_INS_FMAXNM: fmaxnm    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMVv4i32v, ARM64_INS_FMAXNMV: fmaxnmv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMv2f32, ARM64_INS_FMAXNM: fmaxnm.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMv2f64, ARM64_INS_FMAXNM: fmaxnm.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXNMv4f32, ARM64_INS_FMAXNM: fmaxnm.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXPv2f32, ARM64_INS_FMAXP: fmaxp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXPv2f64, ARM64_INS_FMAXP: fmaxp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXPv2i32p, ARM64_INS_FMAXP: fmaxp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXPv2i64p, ARM64_INS_FMAXP: fmaxp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXPv4f32, ARM64_INS_FMAXP: fmaxp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXSrr, ARM64_INS_FMAX: fmax    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXVv4i32v, ARM64_INS_FMAXV: fmaxv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXv2f32, ARM64_INS_FMAX: fmax.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXv2f64, ARM64_INS_FMAX: fmax.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMAXv4f32, ARM64_INS_FMAX: fmax.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINDrr, ARM64_INS_FMIN: fmin    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMDrr, ARM64_INS_FMINNM: fminnm    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMPv2f32, ARM64_INS_FMINNMP: fminnmp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMPv2f64, ARM64_INS_FMINNMP: fminnmp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMPv2i32p, ARM64_INS_FMINNMP: fminnmp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMPv2i64p, ARM64_INS_FMINNMP: fminnmp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMPv4f32, ARM64_INS_FMINNMP: fminnmp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMSrr, ARM64_INS_FMINNM: fminnm    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMVv4i32v, ARM64_INS_FMINNMV: fminnmv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMv2f32, ARM64_INS_FMINNM: fminnm.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMv2f64, ARM64_INS_FMINNM: fminnm.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINNMv4f32, ARM64_INS_FMINNM: fminnm.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINPv2f32, ARM64_INS_FMINP: fminp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINPv2f64, ARM64_INS_FMINP: fminp.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINPv2i32p, ARM64_INS_FMINP: fminp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINPv2i64p, ARM64_INS_FMINP: fminp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINPv4f32, ARM64_INS_FMINP: fminp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINSrr, ARM64_INS_FMIN: fmin    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINVv4i32v, ARM64_INS_FMINV: fminv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINv2f32, ARM64_INS_FMIN: fmin.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINv2f64, ARM64_INS_FMIN: fmin.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMINv4f32, ARM64_INS_FMIN: fmin.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLAv1i32_indexed, ARM64_INS_FMLA: fmla.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLAv1i64_indexed, ARM64_INS_FMLA: fmla.d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLAv2f32, ARM64_INS_FMLA: fmla.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLAv2f64, ARM64_INS_FMLA: fmla.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLAv2i32_indexed, ARM64_INS_FMLA: fmla.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLAv2i64_indexed, ARM64_INS_FMLA: fmla.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLAv4f32, ARM64_INS_FMLA: fmla.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLAv4i32_indexed, ARM64_INS_FMLA: fmla.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLSv1i32_indexed, ARM64_INS_FMLS: fmls.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLSv1i64_indexed, ARM64_INS_FMLS: fmls.d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLSv2f32, ARM64_INS_FMLS: fmls.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLSv2f64, ARM64_INS_FMLS: fmls.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLSv2i32_indexed, ARM64_INS_FMLS: fmls.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLSv2i64_indexed, ARM64_INS_FMLS: fmls.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMLSv4f32, ARM64_INS_FMLS: fmls.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMLSv4i32_indexed, ARM64_INS_FMLS: fmls.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMOVDXHighr, ARM64_INS_FMOV: fmov.d    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVDXr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVDi, ARM64_INS_FMOV: fmov    $rd, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVDr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVSWr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVSi, ARM64_INS_FMOV: fmov    $rd, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVSr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVWSr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVXDHighr, ARM64_INS_FMOV: fmov.d    $rd$idx, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVXDr, ARM64_INS_FMOV: fmov    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FMOVv2f32_ns, ARM64_INS_FMOV: fmov.2s    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,0 }
+},
+{    /* AArch64_FMOVv2f64_ns, ARM64_INS_FMOV: fmov.2d    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,0 }
+},
+{    /* AArch64_FMOVv4f32_ns, ARM64_INS_FMOV: fmov.4s    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,0 }
+},
+{    /* AArch64_FMSUBDrrr, ARM64_INS_FMSUB: fmsub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMSUBSrrr, ARM64_INS_FMSUB: fmsub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULDrr, ARM64_INS_FMUL: fmul    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULSrr, ARM64_INS_FMUL: fmul    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULX32, ARM64_INS_FMULX: fmulx    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULX64, ARM64_INS_FMULX: fmulx    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULXv1i32_indexed, ARM64_INS_FMULX: fmulx.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULXv1i64_indexed, ARM64_INS_FMULX: fmulx.d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULXv2f32, ARM64_INS_FMULX: fmulx.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULXv2f64, ARM64_INS_FMULX: fmulx.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULXv2i32_indexed, ARM64_INS_FMULX: fmulx.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULXv2i64_indexed, ARM64_INS_FMULX: fmulx.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULXv4f32, ARM64_INS_FMULX: fmulx.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULXv4i32_indexed, ARM64_INS_FMULX: fmulx.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULv1i32_indexed, ARM64_INS_FMUL: fmul.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULv1i64_indexed, ARM64_INS_FMUL: fmul.d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULv2f32, ARM64_INS_FMUL: fmul.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULv2f64, ARM64_INS_FMUL: fmul.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULv2i32_indexed, ARM64_INS_FMUL: fmul.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULv2i64_indexed, ARM64_INS_FMUL: fmul.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FMULv4f32, ARM64_INS_FMUL: fmul.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, 0 }
+},
+{    /* AArch64_FMULv4i32_indexed, ARM64_INS_FMUL: fmul.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ,  CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FNEGDr, ARM64_INS_FNEG: fneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNEGSr, ARM64_INS_FNEG: fneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNEGv2f32, ARM64_INS_FNEG: fneg.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNEGv2f64, ARM64_INS_FNEG: fneg.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNEGv4f32, ARM64_INS_FNEG: fneg.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNMADDDrrr, ARM64_INS_FNMADD: fnmadd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FNMADDSrrr, ARM64_INS_FNMADD: fnmadd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FNMSUBDrrr, ARM64_INS_FNMSUB: fnmsub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FNMSUBSrrr, ARM64_INS_FNMSUB: fnmsub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_FNMULDrr, ARM64_INS_FNMUL: fnmul    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FNMULSrr, ARM64_INS_FNMUL: fnmul    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPEv1i32, ARM64_INS_FRECPE: frecpe    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPEv1i64, ARM64_INS_FRECPE: frecpe    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPEv2f32, ARM64_INS_FRECPE: frecpe.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPEv2f64, ARM64_INS_FRECPE: frecpe.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPEv4f32, ARM64_INS_FRECPE: frecpe.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPS32, ARM64_INS_FRECPS: frecps    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPS64, ARM64_INS_FRECPS: frecps    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPSv2f32, ARM64_INS_FRECPS: frecps.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPSv2f64, ARM64_INS_FRECPS: frecps.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPSv4f32, ARM64_INS_FRECPS: frecps.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPXv1i32, ARM64_INS_FRECPX: frecpx    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRECPXv1i64, ARM64_INS_FRECPX: frecpx    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTADr, ARM64_INS_FRINTA: frinta    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTASr, ARM64_INS_FRINTA: frinta    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTAv2f32, ARM64_INS_FRINTA: frinta.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTAv2f64, ARM64_INS_FRINTA: frinta.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTAv4f32, ARM64_INS_FRINTA: frinta.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTIDr, ARM64_INS_FRINTI: frinti    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTISr, ARM64_INS_FRINTI: frinti    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTIv2f32, ARM64_INS_FRINTI: frinti.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTIv2f64, ARM64_INS_FRINTI: frinti.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTIv4f32, ARM64_INS_FRINTI: frinti.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTMDr, ARM64_INS_FRINTM: frintm    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTMSr, ARM64_INS_FRINTM: frintm    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTMv2f32, ARM64_INS_FRINTM: frintm.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTMv2f64, ARM64_INS_FRINTM: frintm.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTMv4f32, ARM64_INS_FRINTM: frintm.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTNDr, ARM64_INS_FRINTN: frintn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTNSr, ARM64_INS_FRINTN: frintn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTNv2f32, ARM64_INS_FRINTN: frintn.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTNv2f64, ARM64_INS_FRINTN: frintn.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTNv4f32, ARM64_INS_FRINTN: frintn.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTPDr, ARM64_INS_FRINTP: frintp    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTPSr, ARM64_INS_FRINTP: frintp    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTPv2f32, ARM64_INS_FRINTP: frintp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTPv2f64, ARM64_INS_FRINTP: frintp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTPv4f32, ARM64_INS_FRINTP: frintp.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTXDr, ARM64_INS_FRINTX: frintx    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTXSr, ARM64_INS_FRINTX: frintx    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTXv2f32, ARM64_INS_FRINTX: frintx.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTXv2f64, ARM64_INS_FRINTX: frintx.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTXv4f32, ARM64_INS_FRINTX: frintx.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTZDr, ARM64_INS_FRINTZ: frintz    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTZSr, ARM64_INS_FRINTZ: frintz    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTZv2f32, ARM64_INS_FRINTZ: frintz.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTZv2f64, ARM64_INS_FRINTZ: frintz.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRINTZv4f32, ARM64_INS_FRINTZ: frintz.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTEv1i32, ARM64_INS_FRSQRTE: frsqrte    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTEv1i64, ARM64_INS_FRSQRTE: frsqrte    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTEv2f32, ARM64_INS_FRSQRTE: frsqrte.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTEv2f64, ARM64_INS_FRSQRTE: frsqrte.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTEv4f32, ARM64_INS_FRSQRTE: frsqrte.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTS32, ARM64_INS_FRSQRTS: frsqrts    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTS64, ARM64_INS_FRSQRTS: frsqrts    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTSv2f32, ARM64_INS_FRSQRTS: frsqrts.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTSv2f64, ARM64_INS_FRSQRTS: frsqrts.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FRSQRTSv4f32, ARM64_INS_FRSQRTS: frsqrts.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSQRTDr, ARM64_INS_FSQRT: fsqrt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSQRTSr, ARM64_INS_FSQRT: fsqrt    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSQRTv2f32, ARM64_INS_FSQRT: fsqrt.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSQRTv2f64, ARM64_INS_FSQRT: fsqrt.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSQRTv4f32, ARM64_INS_FSQRT: fsqrt.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSUBDrr, ARM64_INS_FSUB: fsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSUBSrr, ARM64_INS_FSUB: fsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSUBv2f32, ARM64_INS_FSUB: fsub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSUBv2f64, ARM64_INS_FSUB: fsub.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_FSUBv4f32, ARM64_INS_FSUB: fsub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_HINT, ARM64_INS_HINT: hint $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_HLT, ARM64_INS_HLT: hlt    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_HVC, ARM64_INS_HVC: hvc    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_INSvi16gpr, ARM64_INS_INS: ins.h    $rd$idx, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_INSvi16lane, ARM64_INS_INS: ins.h    $rd$idx, $rn$idx2 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_INSvi32gpr, ARM64_INS_INS: ins.s    $rd$idx, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_INSvi32lane, ARM64_INS_INS: ins.s    $rd$idx, $rn$idx2 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_INSvi64gpr, ARM64_INS_INS: ins.d    $rd$idx, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_INSvi64lane, ARM64_INS_INS: ins.d    $rd$idx, $rn$idx2 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_INSvi8gpr, ARM64_INS_INS: ins.b    $rd$idx, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_INSvi8lane, ARM64_INS_INS: ins.b    $rd$idx, $rn$idx2 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_ISB, ARM64_INS_ISB: isb    $crm */
+	0,
+	{ 0 }
+},
+{    /* AArch64_LD1Fourv16b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv16b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv1d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ,  0 }
+},
+{    /* AArch64_LD1Fourv1d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv2d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv2d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv2s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv2s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv4h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv4h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv4s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv4s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv8b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv8b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv8h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Fourv8h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev16b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev16b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev1d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev1d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev2d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev2d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD1Onev2s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev2s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev4h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev4h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev4s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev4s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev8b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev8b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev8h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Onev8h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv16b, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv16b_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv1d, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv1d_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv2d, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv2d_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv2s, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv2s_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv4h, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv4h_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv4s, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv4s_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv8b, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv8b_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv8h, ARM64_INS_LD1R: ld1r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Rv8h_POST, ARM64_INS_LD1R: ld1r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev16b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev16b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev1d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev1d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev2d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev2d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev2s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev2s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev4h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev4h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev4s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev4s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev8b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev8b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev8h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Threev8h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov16b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov16b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov1d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov1d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov2d, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov2d_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov2s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov2s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov4h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov4h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov4s, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov4s_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov8b, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov8b_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov8h, ARM64_INS_LD1: ld1    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1Twov8h_POST, ARM64_INS_LD1: ld1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i16, ARM64_INS_LD1: ld1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i16_POST, ARM64_INS_LD1: ld1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i32, ARM64_INS_LD1: ld1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i32_POST, ARM64_INS_LD1: ld1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i64, ARM64_INS_LD1: ld1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i64_POST, ARM64_INS_LD1: ld1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i8, ARM64_INS_LD1: ld1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD1i8_POST, ARM64_INS_LD1: ld1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv16b, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv16b_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv1d, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv1d_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv2d, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv2d_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv2s, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv2s_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv4h, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv4h_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv4s, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv4s_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv8b, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv8b_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv8h, ARM64_INS_LD2R: ld2r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Rv8h_POST, ARM64_INS_LD2R: ld2r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD2Twov16b, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov16b_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov2d, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov2d_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov2s, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov2s_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov4h, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov4h_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov4s, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov4s_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov8b, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov8b_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov8h, ARM64_INS_LD2: ld2    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2Twov8h_POST, ARM64_INS_LD2: ld2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i16, ARM64_INS_LD2: ld2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i16_POST, ARM64_INS_LD2: ld2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i32, ARM64_INS_LD2: ld2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i32_POST, ARM64_INS_LD2: ld2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i64, ARM64_INS_LD2: ld2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i64_POST, ARM64_INS_LD2: ld2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i8, ARM64_INS_LD2: ld2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0}
+},
+{    /* AArch64_LD2i8_POST, ARM64_INS_LD2: ld2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LD3Rv16b, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv16b_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv1d, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv1d_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv2d, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv2d_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv2s, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv2s_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv4h, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv4h_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv4s, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv4s_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv8b, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv8b_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv8h, ARM64_INS_LD3R: ld3r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Rv8h_POST, ARM64_INS_LD3R: ld3r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev16b, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev16b_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev2d, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev2d_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev2s, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev2s_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev4h, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev4h_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev4s, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev4s_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev8b, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev8b_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev8h, ARM64_INS_LD3: ld3    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3Threev8h_POST, ARM64_INS_LD3: ld3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3i16, ARM64_INS_LD3: ld3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3i16_POST, ARM64_INS_LD3: ld3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD3i32, ARM64_INS_LD3: ld3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3i32_POST, ARM64_INS_LD3: ld3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD3i64, ARM64_INS_LD3: ld3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3i64_POST, ARM64_INS_LD3: ld3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD3i8, ARM64_INS_LD3: ld3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD3i8_POST, ARM64_INS_LD3: ld3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD4Fourv16b, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv16b_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv2d, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv2d_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv2s, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv2s_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv4h, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv4h_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv4s, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv4s_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv8b, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv8b_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv8h, ARM64_INS_LD4: ld4    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Fourv8h_POST, ARM64_INS_LD4: ld4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv16b, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv16b_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv1d, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv1d_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv2d, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv2d_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv2s, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv2s_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv4h, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv4h_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv4s, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv4s_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv8b, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv8b_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv8h, ARM64_INS_LD4R: ld4r    $vt, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4Rv8h_POST, ARM64_INS_LD4R: ld4r    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4i16, ARM64_INS_LD4: ld4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4i16_POST, ARM64_INS_LD4: ld4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD4i32, ARM64_INS_LD4: ld4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4i32_POST, ARM64_INS_LD4: ld4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD4i64, ARM64_INS_LD4: ld4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4i64_POST, ARM64_INS_LD4: ld4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LD4i8, ARM64_INS_LD4: ld4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_LD4i8_POST, ARM64_INS_LD4: ld4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDARB, ARM64_INS_LDARB: ldarb    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDARH, ARM64_INS_LDARH: ldarh    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDARW, ARM64_INS_LDAR: ldar    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDARX, ARM64_INS_LDAR: ldar    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXPW, ARM64_INS_LDAXP: ldaxp    $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXPX, ARM64_INS_LDAXP: ldaxp    $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXRB, ARM64_INS_LDAXRB: ldaxrb    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXRH, ARM64_INS_LDAXRH: ldaxrh    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXRW, ARM64_INS_LDAXR: ldaxr    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDAXRX, ARM64_INS_LDAXR: ldaxr    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDNPDi, ARM64_INS_LDNP: ldnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDNPQi, ARM64_INS_LDNP: ldnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDNPSi, ARM64_INS_LDNP: ldnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDNPWi, ARM64_INS_LDNP: ldnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDNPXi, ARM64_INS_LDNP: ldnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPDi, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPDpost, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPDpre, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPQi, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPQpost, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPQpre, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSWi, ARM64_INS_LDPSW: ldpsw    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSWpost, ARM64_INS_LDPSW: ldpsw    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSWpre, ARM64_INS_LDPSW: ldpsw    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSi, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSpost, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPSpre, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPWi, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPWpost, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPWpre, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPXi, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPXpost, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDPXpre, ARM64_INS_LDP: ldp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRBBpost, ARM64_INS_LDRB: ldrb    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRBBpre, ARM64_INS_LDRB: ldrb    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRBBroW, ARM64_INS_LDRB: ldrb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRBBroX, ARM64_INS_LDRB: ldrb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRBBui, ARM64_INS_LDRB: ldrb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRBpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRBpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRBroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRBroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRBui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRDl, ARM64_INS_LDR: ldr    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRDpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRDpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRDroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	00,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRDroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRDui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHHpost, ARM64_INS_LDRH: ldrh    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHHpre, ARM64_INS_LDRH: ldrh    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHHroW, ARM64_INS_LDRH: ldrh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHHroX, ARM64_INS_LDRH: ldrh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHHui, ARM64_INS_LDRH: ldrh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRHroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRHroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRHui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRQl, ARM64_INS_LDR: ldr    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRQpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRQpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRQroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRQroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRQui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBWpost, ARM64_INS_LDRSB: ldrsb    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBWpre, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBWroW, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSBWroX, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSBWui, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBXpost, ARM64_INS_LDRSB: ldrsb    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBXpre, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSBXroW, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSBXroX, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSBXui, ARM64_INS_LDRSB: ldrsb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHWpost, ARM64_INS_LDRSH: ldrsh    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHWpre, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHWroW, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSHWroX, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSHWui, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHXpost, ARM64_INS_LDRSH: ldrsh    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHXpre, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSHXroW, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSHXroX, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSHXui, ARM64_INS_LDRSH: ldrsh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSWl, ARM64_INS_LDRSW: ldrsw    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSWpost, ARM64_INS_LDRSW: ldrsw    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSWpre, ARM64_INS_LDRSW: ldrsw    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSWroW, ARM64_INS_LDRSW: ldrsw    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSWroX, ARM64_INS_LDRSW: ldrsw    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSWui, ARM64_INS_LDRSW: ldrsw    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSl, ARM64_INS_LDR: ldr    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRSroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRSui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRWl, ARM64_INS_LDR: ldr    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRWpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRWpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRWroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRWroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRWui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRXl, ARM64_INS_LDR: ldr    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRXpost, ARM64_INS_LDR: ldr    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRXpre, ARM64_INS_LDR: ldr    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDRXroW, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRXroX, ARM64_INS_LDR: ldr    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_LDRXui, ARM64_INS_LDR: ldr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDTRBi, ARM64_INS_LDTRB: ldtrb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRHi, ARM64_INS_LDTRH: ldtrh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRSBWi, ARM64_INS_LDTRSB: ldtrsb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRSBXi, ARM64_INS_LDTRSB: ldtrsb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRSHWi, ARM64_INS_LDTRSH: ldtrsh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRSHXi, ARM64_INS_LDTRSH: ldtrsh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRSWi, ARM64_INS_LDTRSW: ldtrsw    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRWi, ARM64_INS_LDTR: ldtr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDTRXi, ARM64_INS_LDTR: ldtr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURBBi, ARM64_INS_LDURB: ldurb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURBi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURDi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURHHi, ARM64_INS_LDURH: ldurh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURHi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURQi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSBWi, ARM64_INS_LDURSB: ldursb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSBXi, ARM64_INS_LDURSB: ldursb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSHWi, ARM64_INS_LDURSH: ldursh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSHXi, ARM64_INS_LDURSH: ldursh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSWi, ARM64_INS_LDURSW: ldursw    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURSi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURWi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDURXi, ARM64_INS_LDUR: ldur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_LDXPW, ARM64_INS_LDXP: ldxp    $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDXPX, ARM64_INS_LDXP: ldxp    $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDXRB, ARM64_INS_LDXRB: ldxrb    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDXRH, ARM64_INS_LDXRH: ldxrh    $rt, [$rn] */
+	0,
+	{  CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDXRW, ARM64_INS_LDXR: ldxr    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LDXRX, ARM64_INS_LDXR: ldxr    $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_LSLVWr, ARM64_INS_LSL: lsl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LSLVXr, ARM64_INS_LSL: lsl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LSRVWr, ARM64_INS_LSR: lsr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_LSRVXr, ARM64_INS_LSR: lsr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MADDWrrr, ARM64_INS_MADD: madd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MADDXrrr, ARM64_INS_MADD: madd    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLAv16i8, ARM64_INS_MLA: mla.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLAv2i32, ARM64_INS_MLA: mla.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLAv2i32_indexed, ARM64_INS_MLA: mla.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLAv4i16, ARM64_INS_MLA: mla.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLAv4i16_indexed, ARM64_INS_MLA: mla.4h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLAv4i32, ARM64_INS_MLA: mla.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLAv4i32_indexed, ARM64_INS_MLA: mla.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLAv8i16, ARM64_INS_MLA: mla.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLAv8i16_indexed, ARM64_INS_MLA: mla.8h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLAv8i8, ARM64_INS_MLA: mla.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv16i8, ARM64_INS_MLS: mls.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv2i32, ARM64_INS_MLS: mls.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv2i32_indexed, ARM64_INS_MLS: mls.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLSv4i16, ARM64_INS_MLS: mls.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv4i16_indexed, ARM64_INS_MLS: mls.4h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLSv4i32, ARM64_INS_MLS: mls.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv4i32_indexed, ARM64_INS_MLS: mls.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLSv8i16, ARM64_INS_MLS: mls.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MLSv8i16_indexed, ARM64_INS_MLS: mls.8h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MLSv8i8, ARM64_INS_MLS: mls.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVID, ARM64_INS_MOVI: movi    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv16b_ns, ARM64_INS_MOVI: movi.16b    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv2d_ns, ARM64_INS_MOVI: movi.2d    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv2i32, ARM64_INS_MOVI: movi.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv2s_msl, ARM64_INS_MOVI: movi.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv4i16, ARM64_INS_MOVI: movi.4h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv4i32, ARM64_INS_MOVI: movi.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv4s_msl, ARM64_INS_MOVI: movi.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv8b_ns, ARM64_INS_MOVI: movi.8b    $rd, $imm8 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVIv8i16, ARM64_INS_MOVI: movi.8h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVKWi, ARM64_INS_MOVK: movk    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVKXi, ARM64_INS_MOVK: movk    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVNWi, ARM64_INS_MOVN: movn    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVNXi, ARM64_INS_MOVN: movn    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVZWi, ARM64_INS_MOVZ: movz    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MOVZXi, ARM64_INS_MOVZ: movz    $rd, $imm$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MRS, ARM64_INS_MRS: mrs    $rt, $systemreg */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_MSR, ARM64_INS_MSR: msr    $systemreg, $rt */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_MSRpstate, ARM64_INS_MSR: msr    $pstate_field, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MSUBWrrr, ARM64_INS_MSUB: msub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MSUBXrrr, ARM64_INS_MSUB: msub    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MULv16i8, ARM64_INS_MUL: mul.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv2i32, ARM64_INS_MUL: mul.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv2i32_indexed, ARM64_INS_MUL: mul.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MULv4i16, ARM64_INS_MUL: mul.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv4i16_indexed, ARM64_INS_MUL: mul.4h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_MULv4i32, ARM64_INS_MUL: mul.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv4i32_indexed, ARM64_INS_MUL: mul.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv8i16, ARM64_INS_MUL: mul.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv8i16_indexed, ARM64_INS_MUL: mul.8h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MULv8i8, ARM64_INS_MUL: mul.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv2i32, ARM64_INS_MVNI: mvni.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv2s_msl, ARM64_INS_MVNI: mvni.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv4i16, ARM64_INS_MVNI: mvni.4h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv4i32, ARM64_INS_MVNI: mvni.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv4s_msl, ARM64_INS_MVNI: mvni.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_MVNIv8i16, ARM64_INS_MVNI: mvni.8h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv16i8, ARM64_INS_NEG: neg.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv1i64, ARM64_INS_NEG: neg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv2i32, ARM64_INS_NEG: neg.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv2i64, ARM64_INS_NEG: neg.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv4i16, ARM64_INS_NEG: neg.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv4i32, ARM64_INS_NEG: neg.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv8i16, ARM64_INS_NEG: neg.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NEGv8i8, ARM64_INS_NEG: neg.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NOTv16i8, ARM64_INS_NOT: not.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_NOTv8i8, ARM64_INS_NOT: not.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORNWrs, ARM64_INS_ORN: orn    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORNXrs, ARM64_INS_ORN: orn    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORNv16i8, ARM64_INS_ORN: orn.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORNv8i8, ARM64_INS_ORN: orn.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRWri, ARM64_INS_ORR: orr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRWrs, ARM64_INS_ORR: orr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRXri, ARM64_INS_ORR: orr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRXrs, ARM64_INS_ORR: orr    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv16i8, ARM64_INS_ORR: orr.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv2i32, ARM64_INS_ORR: orr.2s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv4i16, ARM64_INS_ORR: orr.4h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv4i32, ARM64_INS_ORR: orr.4s    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv8i16, ARM64_INS_ORR: orr.8h    $rd, $imm8$shift */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ORRv8i8, ARM64_INS_ORR: orr.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_PMULLv16i8, ARM64_INS_PMULL2: pmull2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PMULLv1i64, ARM64_INS_PMULL: pmull.1q    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PMULLv2i64, ARM64_INS_PMULL2: pmull2.1q    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PMULLv8i8, ARM64_INS_PMULL: pmull.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PMULv16i8, ARM64_INS_PMUL: pmul.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PMULv8i8, ARM64_INS_PMUL: pmul.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_PRFMl, ARM64_INS_PRFM: prfm    $rt, $label */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_PRFMroW, ARM64_INS_PRFM: prfm    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_PRFMroX, ARM64_INS_PRFM: prfm    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_PRFMui, ARM64_INS_PRFM: prfm    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_PRFUMi, ARM64_INS_PRFUM: prfum    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_RADDHNv2i64_v2i32, ARM64_INS_RADDHN: raddhn.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RADDHNv2i64_v4i32, ARM64_INS_RADDHN2: raddhn2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RADDHNv4i32_v4i16, ARM64_INS_RADDHN: raddhn.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RADDHNv4i32_v8i16, ARM64_INS_RADDHN2: raddhn2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RADDHNv8i16_v16i8, ARM64_INS_RADDHN2: raddhn2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RADDHNv8i16_v8i8, ARM64_INS_RADDHN: raddhn.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RBITWr, ARM64_INS_RBIT: rbit    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_RBITXr, ARM64_INS_RBIT: rbit    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_RBITv16i8, ARM64_INS_RBIT: rbit.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_RBITv8i8, ARM64_INS_RBIT: rbit.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_RET, ARM64_INS_RET: ret    $rn */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_REV16Wr, ARM64_INS_REV16: rev16    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV16Xr, ARM64_INS_REV16: rev16    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV16v16i8, ARM64_INS_REV16: rev16.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV16v8i8, ARM64_INS_REV16: rev16.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV32Xr, ARM64_INS_REV32: rev32    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV32v16i8, ARM64_INS_REV32: rev32.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV32v4i16, ARM64_INS_REV32: rev32.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV32v8i16, ARM64_INS_REV32: rev32.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV32v8i8, ARM64_INS_REV32: rev32.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v16i8, ARM64_INS_REV64: rev64.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v2i32, ARM64_INS_REV64: rev64.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v4i16, ARM64_INS_REV64: rev64.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v4i32, ARM64_INS_REV64: rev64.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v8i16, ARM64_INS_REV64: rev64.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REV64v8i8, ARM64_INS_REV64: rev64.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REVWr, ARM64_INS_REV: rev    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_REVXr, ARM64_INS_REV: rev    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_RORVWr, ARM64_INS_ROR: ror    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RORVXr, ARM64_INS_ROR: ror    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv16i8_shift, ARM64_INS_RSHRN2: rshrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv2i32_shift, ARM64_INS_RSHRN: rshrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv4i16_shift, ARM64_INS_RSHRN: rshrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv4i32_shift, ARM64_INS_RSHRN2: rshrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv8i16_shift, ARM64_INS_RSHRN2: rshrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSHRNv8i8_shift, ARM64_INS_RSHRN: rshrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv2i64_v2i32, ARM64_INS_RSUBHN: rsubhn.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv2i64_v4i32, ARM64_INS_RSUBHN2: rsubhn2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv4i32_v4i16, ARM64_INS_RSUBHN: rsubhn.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv4i32_v8i16, ARM64_INS_RSUBHN2: rsubhn2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv8i16_v16i8, ARM64_INS_RSUBHN2: rsubhn2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_RSUBHNv8i16_v8i8, ARM64_INS_RSUBHN: rsubhn.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv16i8_v8i16, ARM64_INS_SABAL2: sabal2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv2i32_v2i64, ARM64_INS_SABAL: sabal.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv4i16_v4i32, ARM64_INS_SABAL: sabal.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv4i32_v2i64, ARM64_INS_SABAL2: sabal2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv8i16_v4i32, ARM64_INS_SABAL2: sabal2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABALv8i8_v8i16, ARM64_INS_SABAL: sabal.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv16i8, ARM64_INS_SABA: saba.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv2i32, ARM64_INS_SABA: saba.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv4i16, ARM64_INS_SABA: saba.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv4i32, ARM64_INS_SABA: saba.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv8i16, ARM64_INS_SABA: saba.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABAv8i8, ARM64_INS_SABA: saba.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv16i8_v8i16, ARM64_INS_SABDL2: sabdl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv2i32_v2i64, ARM64_INS_SABDL: sabdl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv4i16_v4i32, ARM64_INS_SABDL: sabdl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv4i32_v2i64, ARM64_INS_SABDL2: sabdl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv8i16_v4i32, ARM64_INS_SABDL2: sabdl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDLv8i8_v8i16, ARM64_INS_SABDL: sabdl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv16i8, ARM64_INS_SABD: sabd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv2i32, ARM64_INS_SABD: sabd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv4i16, ARM64_INS_SABD: sabd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv4i32, ARM64_INS_SABD: sabd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv8i16, ARM64_INS_SABD: sabd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SABDv8i8, ARM64_INS_SABD: sabd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv16i8_v8i16, ARM64_INS_SADALP: sadalp.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv2i32_v1i64, ARM64_INS_SADALP: sadalp.1d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv4i16_v2i32, ARM64_INS_SADALP: sadalp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv4i32_v2i64, ARM64_INS_SADALP: sadalp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv8i16_v4i32, ARM64_INS_SADALP: sadalp.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADALPv8i8_v4i16, ARM64_INS_SADALP: sadalp.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv16i8_v8i16, ARM64_INS_SADDLP: saddlp.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv2i32_v1i64, ARM64_INS_SADDLP: saddlp.1d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv4i16_v2i32, ARM64_INS_SADDLP: saddlp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv4i32_v2i64, ARM64_INS_SADDLP: saddlp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv8i16_v4i32, ARM64_INS_SADDLP: saddlp.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLPv8i8_v4i16, ARM64_INS_SADDLP: saddlp.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLVv16i8v, ARM64_INS_SADDLV: saddlv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLVv4i16v, ARM64_INS_SADDLV: saddlv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLVv4i32v, ARM64_INS_SADDLV: saddlv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLVv8i16v, ARM64_INS_SADDLV: saddlv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLVv8i8v, ARM64_INS_SADDLV: saddlv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv16i8_v8i16, ARM64_INS_SADDL2: saddl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv2i32_v2i64, ARM64_INS_SADDL: saddl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv4i16_v4i32, ARM64_INS_SADDL: saddl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv4i32_v2i64, ARM64_INS_SADDL2: saddl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv8i16_v4i32, ARM64_INS_SADDL2: saddl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDLv8i8_v8i16, ARM64_INS_SADDL: saddl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv16i8_v8i16, ARM64_INS_SADDW2: saddw2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv2i32_v2i64, ARM64_INS_SADDW: saddw.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv4i16_v4i32, ARM64_INS_SADDW: saddw.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv4i32_v2i64, ARM64_INS_SADDW2: saddw2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv8i16_v4i32, ARM64_INS_SADDW2: saddw2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SADDWv8i8_v8i16, ARM64_INS_SADDW: saddw.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SBCSWr, ARM64_INS_SBCS: sbcs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SBCSXr, ARM64_INS_SBCS: sbcs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SBCWr, ARM64_INS_SBC: sbc    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SBCXr, ARM64_INS_SBC: sbc    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SBFMWri, ARM64_INS_SBFM: sbfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SBFMXri, ARM64_INS_SBFM: sbfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SCVTFSWDri, ARM64_INS_SCVTF: scvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFSWSri, ARM64_INS_SCVTF: scvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFSXDri, ARM64_INS_SCVTF: scvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFSXSri, ARM64_INS_SCVTF: scvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFUWDri, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFUWSri, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFUXDri, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFUXSri, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFd, ARM64_INS_SCVTF: scvtf    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFs, ARM64_INS_SCVTF: scvtf    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv1i32, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv1i64, ARM64_INS_SCVTF: scvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv2f32, ARM64_INS_SCVTF: scvtf.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv2f64, ARM64_INS_SCVTF: scvtf.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv2i32_shift, ARM64_INS_SCVTF: scvtf.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv2i64_shift, ARM64_INS_SCVTF: scvtf.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv4f32, ARM64_INS_SCVTF: scvtf.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0}
+},
+{    /* AArch64_SCVTFv4i32_shift, ARM64_INS_SCVTF: scvtf.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SDIVWr, ARM64_INS_SDIV: sdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SDIVXr, ARM64_INS_SDIV: sdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SDIV_IntWr, ARM64_INS_SDIV: sdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SDIV_IntXr, ARM64_INS_SDIV: sdiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHA1Crrr, ARM64_INS_SHA1C: sha1c.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA1Hrr, ARM64_INS_SHA1H: sha1h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA1Mrrr, ARM64_INS_SHA1M: sha1m.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA1Prrr, ARM64_INS_SHA1P: sha1p.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA1SU0rrr, ARM64_INS_SHA1SU0: sha1su0.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA1SU1rr, ARM64_INS_SHA1SU1: sha1su1.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA256H2rrr, ARM64_INS_SHA256H2: sha256h2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA256Hrrr, ARM64_INS_SHA256H: sha256h.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA256SU0rr, ARM64_INS_SHA256SU0: sha256su0.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHA256SU1rrr, ARM64_INS_SHA256SU1: sha256su1.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SHADDv16i8, ARM64_INS_SHADD: shadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHADDv2i32, ARM64_INS_SHADD: shadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHADDv4i16, ARM64_INS_SHADD: shadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHADDv4i32, ARM64_INS_SHADD: shadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHADDv8i16, ARM64_INS_SHADD: shadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHADDv8i8, ARM64_INS_SHADD: shadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv16i8, ARM64_INS_SHLL2: shll2.8h    $rd, $rn, #8 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv2i32, ARM64_INS_SHLL: shll.2d    $rd, $rn, #32 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv4i16, ARM64_INS_SHLL: shll.4s    $rd, $rn, #16 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv4i32, ARM64_INS_SHLL2: shll2.2d    $rd, $rn, #32 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv8i16, ARM64_INS_SHLL2: shll2.4s    $rd, $rn, #16 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLLv8i8, ARM64_INS_SHLL: shll.8h    $rd, $rn, #8 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLd, ARM64_INS_SHL: shl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv16i8_shift, ARM64_INS_SHL: shl.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv2i32_shift, ARM64_INS_SHL: shl.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv2i64_shift, ARM64_INS_SHL: shl.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv4i16_shift, ARM64_INS_SHL: shl.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv4i32_shift, ARM64_INS_SHL: shl.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv8i16_shift, ARM64_INS_SHL: shl.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHLv8i8_shift, ARM64_INS_SHL: shl.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv16i8_shift, ARM64_INS_SHRN2: shrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv2i32_shift, ARM64_INS_SHRN: shrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv4i16_shift, ARM64_INS_SHRN: shrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv4i32_shift, ARM64_INS_SHRN2: shrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv8i16_shift, ARM64_INS_SHRN2: shrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHRNv8i8_shift, ARM64_INS_SHRN: shrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv16i8, ARM64_INS_SHSUB: shsub.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv2i32, ARM64_INS_SHSUB: shsub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv4i16, ARM64_INS_SHSUB: shsub.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv4i32, ARM64_INS_SHSUB: shsub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv8i16, ARM64_INS_SHSUB: shsub.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SHSUBv8i8, ARM64_INS_SHSUB: shsub.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLId, ARM64_INS_SLI: sli    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv16i8_shift, ARM64_INS_SLI: sli.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv2i32_shift, ARM64_INS_SLI: sli.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv2i64_shift, ARM64_INS_SLI: sli.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv4i16_shift, ARM64_INS_SLI: sli.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv4i32_shift, ARM64_INS_SLI: sli.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv8i16_shift, ARM64_INS_SLI: sli.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SLIv8i8_shift, ARM64_INS_SLI: sli.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0}
+},
+{    /* AArch64_SMADDLrrr, ARM64_INS_SMADDL: smaddl    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv16i8, ARM64_INS_SMAXP: smaxp.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv2i32, ARM64_INS_SMAXP: smaxp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv4i16, ARM64_INS_SMAXP: smaxp.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv4i32, ARM64_INS_SMAXP: smaxp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv8i16, ARM64_INS_SMAXP: smaxp.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXPv8i8, ARM64_INS_SMAXP: smaxp.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXVv16i8v, ARM64_INS_SMAXV: smaxv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXVv4i16v, ARM64_INS_SMAXV: smaxv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXVv4i32v, ARM64_INS_SMAXV: smaxv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXVv8i16v, ARM64_INS_SMAXV: smaxv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXVv8i8v, ARM64_INS_SMAXV: smaxv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv16i8, ARM64_INS_SMAX: smax.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv2i32, ARM64_INS_SMAX: smax.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv4i16, ARM64_INS_SMAX: smax.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv4i32, ARM64_INS_SMAX: smax.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv8i16, ARM64_INS_SMAX: smax.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMAXv8i8, ARM64_INS_SMAX: smax.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMC, ARM64_INS_SMC: smc    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv16i8, ARM64_INS_SMINP: sminp.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv2i32, ARM64_INS_SMINP: sminp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv4i16, ARM64_INS_SMINP: sminp.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv4i32, ARM64_INS_SMINP: sminp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv8i16, ARM64_INS_SMINP: sminp.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINPv8i8, ARM64_INS_SMINP: sminp.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINVv16i8v, ARM64_INS_SMINV: sminv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINVv4i16v, ARM64_INS_SMINV: sminv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINVv4i32v, ARM64_INS_SMINV: sminv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINVv8i16v, ARM64_INS_SMINV: sminv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINVv8i8v, ARM64_INS_SMINV: sminv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv16i8, ARM64_INS_SMIN: smin.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv2i32, ARM64_INS_SMIN: smin.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv4i16, ARM64_INS_SMIN: smin.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv4i32, ARM64_INS_SMIN: smin.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv8i16, ARM64_INS_SMIN: smin.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMINv8i8, ARM64_INS_SMIN: smin.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv16i8_v8i16, ARM64_INS_SMLAL2: smlal2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv2i32_indexed, ARM64_INS_SMLAL: smlal.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLALv2i32_v2i64, ARM64_INS_SMLAL: smlal.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv4i16_indexed, ARM64_INS_SMLAL: smlal.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLALv4i16_v4i32, ARM64_INS_SMLAL: smlal.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv4i32_indexed, ARM64_INS_SMLAL2: smlal2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLALv4i32_v2i64, ARM64_INS_SMLAL2: smlal2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv8i16_indexed, ARM64_INS_SMLAL2: smlal2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLALv8i16_v4i32, ARM64_INS_SMLAL2: smlal2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLALv8i8_v8i16, ARM64_INS_SMLAL: smlal.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv16i8_v8i16, ARM64_INS_SMLSL2: smlsl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv2i32_indexed, ARM64_INS_SMLSL: smlsl.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLSLv2i32_v2i64, ARM64_INS_SMLSL: smlsl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv4i16_indexed, ARM64_INS_SMLSL: smlsl.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLSLv4i16_v4i32, ARM64_INS_SMLSL: smlsl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv4i32_indexed, ARM64_INS_SMLSL2: smlsl2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLSLv4i32_v2i64, ARM64_INS_SMLSL2: smlsl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv8i16_indexed, ARM64_INS_SMLSL2: smlsl2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SMLSLv8i16_v4i32, ARM64_INS_SMLSL2: smlsl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMLSLv8i8_v8i16, ARM64_INS_SMLSL: smlsl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMOVvi16to32, ARM64_INS_SMOV: smov.h    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMOVvi16to64, ARM64_INS_SMOV: smov.h    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMOVvi32to64, ARM64_INS_SMOV: smov.s    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMOVvi8to32, ARM64_INS_SMOV: smov.b    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMOVvi8to64, ARM64_INS_SMOV: smov.b    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMSUBLrrr, ARM64_INS_SMSUBL: smsubl    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULHrr, ARM64_INS_SMULH: smulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv16i8_v8i16, ARM64_INS_SMULL2: smull2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv2i32_indexed, ARM64_INS_SMULL: smull.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv2i32_v2i64, ARM64_INS_SMULL: smull.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv4i16_indexed, ARM64_INS_SMULL: smull.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv4i16_v4i32, ARM64_INS_SMULL: smull.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv4i32_indexed, ARM64_INS_SMULL2: smull2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv4i32_v2i64, ARM64_INS_SMULL2: smull2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv8i16_indexed, ARM64_INS_SMULL2: smull2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv8i16_v4i32, ARM64_INS_SMULL2: smull2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SMULLv8i8_v8i16, ARM64_INS_SMULL: smull.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv16i8, ARM64_INS_SQABS: sqabs.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv1i16, ARM64_INS_SQABS: sqabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv1i32, ARM64_INS_SQABS: sqabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv1i64, ARM64_INS_SQABS: sqabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv1i8, ARM64_INS_SQABS: sqabs    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv2i32, ARM64_INS_SQABS: sqabs.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv2i64, ARM64_INS_SQABS: sqabs.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv4i16, ARM64_INS_SQABS: sqabs.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv4i32, ARM64_INS_SQABS: sqabs.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv8i16, ARM64_INS_SQABS: sqabs.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQABSv8i8, ARM64_INS_SQABS: sqabs.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv16i8, ARM64_INS_SQADD: sqadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv1i16, ARM64_INS_SQADD: sqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv1i32, ARM64_INS_SQADD: sqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv1i64, ARM64_INS_SQADD: sqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv1i8, ARM64_INS_SQADD: sqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv2i32, ARM64_INS_SQADD: sqadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv2i64, ARM64_INS_SQADD: sqadd.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv4i16, ARM64_INS_SQADD: sqadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv4i32, ARM64_INS_SQADD: sqadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv8i16, ARM64_INS_SQADD: sqadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQADDv8i8, ARM64_INS_SQADD: sqadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALi16, ARM64_INS_SQDMLAL: sqdmlal    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALi32, ARM64_INS_SQDMLAL: sqdmlal    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALv1i32_indexed, ARM64_INS_SQDMLAL: sqdmlal.h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv1i64_indexed, ARM64_INS_SQDMLAL: sqdmlal.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv2i32_indexed, ARM64_INS_SQDMLAL: sqdmlal.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv2i32_v2i64, ARM64_INS_SQDMLAL: sqdmlal.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALv4i16_indexed, ARM64_INS_SQDMLAL: sqdmlal.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv4i16_v4i32, ARM64_INS_SQDMLAL: sqdmlal.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALv4i32_indexed, ARM64_INS_SQDMLAL2: sqdmlal2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv4i32_v2i64, ARM64_INS_SQDMLAL2: sqdmlal2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLALv8i16_indexed, ARM64_INS_SQDMLAL2: sqdmlal2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLALv8i16_v4i32, ARM64_INS_SQDMLAL2: sqdmlal2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLi16, ARM64_INS_SQDMLSL: sqdmlsl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLi32, ARM64_INS_SQDMLSL: sqdmlsl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLv1i32_indexed, ARM64_INS_SQDMLSL: sqdmlsl.h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv1i64_indexed, ARM64_INS_SQDMLSL: sqdmlsl.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv2i32_indexed, ARM64_INS_SQDMLSL: sqdmlsl.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv2i32_v2i64, ARM64_INS_SQDMLSL: sqdmlsl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLv4i16_indexed, ARM64_INS_SQDMLSL: sqdmlsl.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv4i16_v4i32, ARM64_INS_SQDMLSL: sqdmlsl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLv4i32_indexed, ARM64_INS_SQDMLSL2: sqdmlsl2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv4i32_v2i64, ARM64_INS_SQDMLSL2: sqdmlsl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMLSLv8i16_indexed, ARM64_INS_SQDMLSL2: sqdmlsl2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQDMLSLv8i16_v4i32, ARM64_INS_SQDMLSL2: sqdmlsl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv1i16, ARM64_INS_SQDMULH: sqdmulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv1i16_indexed, ARM64_INS_SQDMULH: sqdmulh.h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv1i32, ARM64_INS_SQDMULH: sqdmulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv1i32_indexed, ARM64_INS_SQDMULH: sqdmulh.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv2i32, ARM64_INS_SQDMULH: sqdmulh.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv2i32_indexed, ARM64_INS_SQDMULH: sqdmulh.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv4i16, ARM64_INS_SQDMULH: sqdmulh.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv4i16_indexed, ARM64_INS_SQDMULH: sqdmulh.4h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv4i32, ARM64_INS_SQDMULH: sqdmulh.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv4i32_indexed, ARM64_INS_SQDMULH: sqdmulh.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv8i16, ARM64_INS_SQDMULH: sqdmulh.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULHv8i16_indexed, ARM64_INS_SQDMULH: sqdmulh.8h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLi16, ARM64_INS_SQDMULL: sqdmull    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLi32, ARM64_INS_SQDMULL: sqdmull    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv1i32_indexed, ARM64_INS_SQDMULL: sqdmull.h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv1i64_indexed, ARM64_INS_SQDMULL: sqdmull.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv2i32_indexed, ARM64_INS_SQDMULL: sqdmull.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv2i32_v2i64, ARM64_INS_SQDMULL: sqdmull.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv4i16_indexed, ARM64_INS_SQDMULL: sqdmull.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv4i16_v4i32, ARM64_INS_SQDMULL: sqdmull.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv4i32_indexed, ARM64_INS_SQDMULL2: sqdmull2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv4i32_v2i64, ARM64_INS_SQDMULL2: sqdmull2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv8i16_indexed, ARM64_INS_SQDMULL2: sqdmull2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQDMULLv8i16_v4i32, ARM64_INS_SQDMULL2: sqdmull2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv16i8, ARM64_INS_SQNEG: sqneg.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv1i16, ARM64_INS_SQNEG: sqneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv1i32, ARM64_INS_SQNEG: sqneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv1i64, ARM64_INS_SQNEG: sqneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv1i8, ARM64_INS_SQNEG: sqneg    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv2i32, ARM64_INS_SQNEG: sqneg.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv2i64, ARM64_INS_SQNEG: sqneg.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv4i16, ARM64_INS_SQNEG: sqneg.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv4i32, ARM64_INS_SQNEG: sqneg.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv8i16, ARM64_INS_SQNEG: sqneg.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQNEGv8i8, ARM64_INS_SQNEG: sqneg.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv1i16, ARM64_INS_SQRDMULH: sqrdmulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv1i16_indexed, ARM64_INS_SQRDMULH: sqrdmulh.h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRDMULHv1i32, ARM64_INS_SQRDMULH: sqrdmulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv1i32_indexed, ARM64_INS_SQRDMULH: sqrdmulh.s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRDMULHv2i32, ARM64_INS_SQRDMULH: sqrdmulh.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv2i32_indexed, ARM64_INS_SQRDMULH: sqrdmulh.2s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRDMULHv4i16, ARM64_INS_SQRDMULH: sqrdmulh.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv4i16_indexed, ARM64_INS_SQRDMULH: sqrdmulh.4h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRDMULHv4i32, ARM64_INS_SQRDMULH: sqrdmulh.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv4i32_indexed, ARM64_INS_SQRDMULH: sqrdmulh.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRDMULHv8i16, ARM64_INS_SQRDMULH: sqrdmulh.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRDMULHv8i16_indexed, ARM64_INS_SQRDMULH: sqrdmulh.8h    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SQRSHLv16i8, ARM64_INS_SQRSHL: sqrshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv1i16, ARM64_INS_SQRSHL: sqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv1i32, ARM64_INS_SQRSHL: sqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv1i64, ARM64_INS_SQRSHL: sqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv1i8, ARM64_INS_SQRSHL: sqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv2i32, ARM64_INS_SQRSHL: sqrshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv2i64, ARM64_INS_SQRSHL: sqrshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv4i16, ARM64_INS_SQRSHL: sqrshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv4i32, ARM64_INS_SQRSHL: sqrshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv8i16, ARM64_INS_SQRSHL: sqrshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHLv8i8, ARM64_INS_SQRSHL: sqrshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNb, ARM64_INS_SQRSHRN: sqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNh, ARM64_INS_SQRSHRN: sqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNs, ARM64_INS_SQRSHRN: sqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv16i8_shift, ARM64_INS_SQRSHRN2: sqrshrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv2i32_shift, ARM64_INS_SQRSHRN: sqrshrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv4i16_shift, ARM64_INS_SQRSHRN: sqrshrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv4i32_shift, ARM64_INS_SQRSHRN2: sqrshrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv8i16_shift, ARM64_INS_SQRSHRN2: sqrshrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRNv8i8_shift, ARM64_INS_SQRSHRN: sqrshrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNb, ARM64_INS_SQRSHRUN: sqrshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNh, ARM64_INS_SQRSHRUN: sqrshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNs, ARM64_INS_SQRSHRUN: sqrshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv16i8_shift, ARM64_INS_SQRSHRUN2: sqrshrun2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv2i32_shift, ARM64_INS_SQRSHRUN: sqrshrun.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv4i16_shift, ARM64_INS_SQRSHRUN: sqrshrun.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv4i32_shift, ARM64_INS_SQRSHRUN2: sqrshrun2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv8i16_shift, ARM64_INS_SQRSHRUN2: sqrshrun2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQRSHRUNv8i8_shift, ARM64_INS_SQRSHRUN: sqrshrun.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUb, ARM64_INS_SQSHLU: sqshlu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUd, ARM64_INS_SQSHLU: sqshlu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUh, ARM64_INS_SQSHLU: sqshlu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUs, ARM64_INS_SQSHLU: sqshlu    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv16i8_shift, ARM64_INS_SQSHLU: sqshlu.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv2i32_shift, ARM64_INS_SQSHLU: sqshlu.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv2i64_shift, ARM64_INS_SQSHLU: sqshlu.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv4i16_shift, ARM64_INS_SQSHLU: sqshlu.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv4i32_shift, ARM64_INS_SQSHLU: sqshlu.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv8i16_shift, ARM64_INS_SQSHLU: sqshlu.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLUv8i8_shift, ARM64_INS_SQSHLU: sqshlu.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLb, ARM64_INS_SQSHL: sqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLd, ARM64_INS_SQSHL: sqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLh, ARM64_INS_SQSHL: sqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLs, ARM64_INS_SQSHL: sqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv16i8, ARM64_INS_SQSHL: sqshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv16i8_shift, ARM64_INS_SQSHL: sqshl.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv1i16, ARM64_INS_SQSHL: sqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv1i32, ARM64_INS_SQSHL: sqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv1i64, ARM64_INS_SQSHL: sqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv1i8, ARM64_INS_SQSHL: sqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv2i32, ARM64_INS_SQSHL: sqshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv2i32_shift, ARM64_INS_SQSHL: sqshl.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv2i64, ARM64_INS_SQSHL: sqshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv2i64_shift, ARM64_INS_SQSHL: sqshl.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv4i16, ARM64_INS_SQSHL: sqshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv4i16_shift, ARM64_INS_SQSHL: sqshl.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv4i32, ARM64_INS_SQSHL: sqshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv4i32_shift, ARM64_INS_SQSHL: sqshl.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv8i16, ARM64_INS_SQSHL: sqshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv8i16_shift, ARM64_INS_SQSHL: sqshl.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv8i8, ARM64_INS_SQSHL: sqshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHLv8i8_shift, ARM64_INS_SQSHL: sqshl.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNb, ARM64_INS_SQSHRN: sqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNh, ARM64_INS_SQSHRN: sqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNs, ARM64_INS_SQSHRN: sqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv16i8_shift, ARM64_INS_SQSHRN2: sqshrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv2i32_shift, ARM64_INS_SQSHRN: sqshrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv4i16_shift, ARM64_INS_SQSHRN: sqshrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv4i32_shift, ARM64_INS_SQSHRN2: sqshrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv8i16_shift, ARM64_INS_SQSHRN2: sqshrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRNv8i8_shift, ARM64_INS_SQSHRN: sqshrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNb, ARM64_INS_SQSHRUN: sqshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNh, ARM64_INS_SQSHRUN: sqshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNs, ARM64_INS_SQSHRUN: sqshrun    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv16i8_shift, ARM64_INS_SQSHRUN2: sqshrun2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv2i32_shift, ARM64_INS_SQSHRUN: sqshrun.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv4i16_shift, ARM64_INS_SQSHRUN: sqshrun.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv4i32_shift, ARM64_INS_SQSHRUN2: sqshrun2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv8i16_shift, ARM64_INS_SQSHRUN2: sqshrun2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSHRUNv8i8_shift, ARM64_INS_SQSHRUN: sqshrun.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv16i8, ARM64_INS_SQSUB: sqsub.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv1i16, ARM64_INS_SQSUB: sqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv1i32, ARM64_INS_SQSUB: sqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv1i64, ARM64_INS_SQSUB: sqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv1i8, ARM64_INS_SQSUB: sqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv2i32, ARM64_INS_SQSUB: sqsub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv2i64, ARM64_INS_SQSUB: sqsub.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv4i16, ARM64_INS_SQSUB: sqsub.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv4i32, ARM64_INS_SQSUB: sqsub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv8i16, ARM64_INS_SQSUB: sqsub.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQSUBv8i8, ARM64_INS_SQSUB: sqsub.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv16i8, ARM64_INS_SQXTN2: sqxtn2.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv1i16, ARM64_INS_SQXTN: sqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv1i32, ARM64_INS_SQXTN: sqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv1i8, ARM64_INS_SQXTN: sqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv2i32, ARM64_INS_SQXTN: sqxtn.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv4i16, ARM64_INS_SQXTN: sqxtn.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv4i32, ARM64_INS_SQXTN2: sqxtn2.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv8i16, ARM64_INS_SQXTN2: sqxtn2.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTNv8i8, ARM64_INS_SQXTN: sqxtn.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv16i8, ARM64_INS_SQXTUN2: sqxtun2.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv1i16, ARM64_INS_SQXTUN: sqxtun    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv1i32, ARM64_INS_SQXTUN: sqxtun    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv1i8, ARM64_INS_SQXTUN: sqxtun    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv2i32, ARM64_INS_SQXTUN: sqxtun.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv4i16, ARM64_INS_SQXTUN: sqxtun.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv4i32, ARM64_INS_SQXTUN2: sqxtun2.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv8i16, ARM64_INS_SQXTUN2: sqxtun2.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SQXTUNv8i8, ARM64_INS_SQXTUN: sqxtun.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv16i8, ARM64_INS_SRHADD: srhadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv2i32, ARM64_INS_SRHADD: srhadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv4i16, ARM64_INS_SRHADD: srhadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv4i32, ARM64_INS_SRHADD: srhadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv8i16, ARM64_INS_SRHADD: srhadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRHADDv8i8, ARM64_INS_SRHADD: srhadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRId, ARM64_INS_SRI: sri    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv16i8_shift, ARM64_INS_SRI: sri.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv2i32_shift, ARM64_INS_SRI: sri.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv2i64_shift, ARM64_INS_SRI: sri.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv4i16_shift, ARM64_INS_SRI: sri.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv4i32_shift, ARM64_INS_SRI: sri.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv8i16_shift, ARM64_INS_SRI: sri.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRIv8i8_shift, ARM64_INS_SRI: sri.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv16i8, ARM64_INS_SRSHL: srshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv1i64, ARM64_INS_SRSHL: srshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv2i32, ARM64_INS_SRSHL: srshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv2i64, ARM64_INS_SRSHL: srshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv4i16, ARM64_INS_SRSHL: srshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv4i32, ARM64_INS_SRSHL: srshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv8i16, ARM64_INS_SRSHL: srshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHLv8i8, ARM64_INS_SRSHL: srshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRd, ARM64_INS_SRSHR: srshr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv16i8_shift, ARM64_INS_SRSHR: srshr.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv2i32_shift, ARM64_INS_SRSHR: srshr.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv2i64_shift, ARM64_INS_SRSHR: srshr.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv4i16_shift, ARM64_INS_SRSHR: srshr.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv4i32_shift, ARM64_INS_SRSHR: srshr.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv8i16_shift, ARM64_INS_SRSHR: srshr.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSHRv8i8_shift, ARM64_INS_SRSHR: srshr.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAd, ARM64_INS_SRSRA: srsra    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv16i8_shift, ARM64_INS_SRSRA: srsra.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv2i32_shift, ARM64_INS_SRSRA: srsra.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv2i64_shift, ARM64_INS_SRSRA: srsra.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv4i16_shift, ARM64_INS_SRSRA: srsra.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv4i32_shift, ARM64_INS_SRSRA: srsra.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv8i16_shift, ARM64_INS_SRSRA: srsra.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SRSRAv8i8_shift, ARM64_INS_SRSRA: srsra.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv16i8_shift, ARM64_INS_SSHLL2: sshll2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv2i32_shift, ARM64_INS_SSHLL: sshll.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv4i16_shift, ARM64_INS_SSHLL: sshll.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv4i32_shift, ARM64_INS_SSHLL2: sshll2.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv8i16_shift, ARM64_INS_SSHLL2: sshll2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLLv8i8_shift, ARM64_INS_SSHLL: sshll.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv16i8, ARM64_INS_SSHL: sshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv1i64, ARM64_INS_SSHL: sshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv2i32, ARM64_INS_SSHL: sshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv2i64, ARM64_INS_SSHL: sshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv4i16, ARM64_INS_SSHL: sshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv4i32, ARM64_INS_SSHL: sshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv8i16, ARM64_INS_SSHL: sshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHLv8i8, ARM64_INS_SSHL: sshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRd, ARM64_INS_SSHR: sshr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv16i8_shift, ARM64_INS_SSHR: sshr.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv2i32_shift, ARM64_INS_SSHR: sshr.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv2i64_shift, ARM64_INS_SSHR: sshr.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv4i16_shift, ARM64_INS_SSHR: sshr.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv4i32_shift, ARM64_INS_SSHR: sshr.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv8i16_shift, ARM64_INS_SSHR: sshr.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSHRv8i8_shift, ARM64_INS_SSHR: sshr.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ,  CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAd, ARM64_INS_SSRA: ssra    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv16i8_shift, ARM64_INS_SSRA: ssra.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv2i32_shift, ARM64_INS_SSRA: ssra.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv2i64_shift, ARM64_INS_SSRA: ssra.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv4i16_shift, ARM64_INS_SSRA: ssra.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv4i32_shift, ARM64_INS_SSRA: ssra.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv8i16_shift, ARM64_INS_SSRA: ssra.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSRAv8i8_shift, ARM64_INS_SSRA: ssra.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv16i8_v8i16, ARM64_INS_SSUBL2: ssubl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv2i32_v2i64, ARM64_INS_SSUBL: ssubl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv4i16_v4i32, ARM64_INS_SSUBL: ssubl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv4i32_v2i64, ARM64_INS_SSUBL2: ssubl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv8i16_v4i32, ARM64_INS_SSUBL2: ssubl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBLv8i8_v8i16, ARM64_INS_SSUBL: ssubl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv16i8_v8i16, ARM64_INS_SSUBW2: ssubw2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv2i32_v2i64, ARM64_INS_SSUBW: ssubw.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv4i16_v4i32, ARM64_INS_SSUBW: ssubw.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv4i32_v2i64, ARM64_INS_SSUBW2: ssubw2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv8i16_v4i32, ARM64_INS_SSUBW2: ssubw2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SSUBWv8i8_v8i16, ARM64_INS_SSUBW: ssubw.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv16b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv16b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv1d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv1d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv2d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv2d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv2s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv2s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv4h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv4h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv4s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv4s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv8b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv8b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv8h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Fourv8h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev16b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev16b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev1d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev1d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev2d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev2d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev2s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev2s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev4h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev4h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev4s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev4s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev8b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev8b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev8h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Onev8h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev16b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev16b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev1d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev1d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev2d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev2d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev2s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev2s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev4h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev4h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev4s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev4s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev8b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev8b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev8h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Threev8h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov16b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov16b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov1d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov1d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov2d, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov2d_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov2s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov2s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov4h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov4h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov4s, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov4s_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov8b, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov8b_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov8h, ARM64_INS_ST1: st1    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1Twov8h_POST, ARM64_INS_ST1: st1    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i16, ARM64_INS_ST1: st1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i16_POST, ARM64_INS_ST1: st1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i32, ARM64_INS_ST1: st1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i32_POST, ARM64_INS_ST1: st1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i64, ARM64_INS_ST1: st1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i64_POST, ARM64_INS_ST1: st1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i8, ARM64_INS_ST1: st1    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST1i8_POST, ARM64_INS_ST1: st1    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov16b, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov16b_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov2d, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov2d_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov2s, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov2s_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov4h, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov4h_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov4s, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov4s_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov8b, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov8b_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov8h, ARM64_INS_ST2: st2    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2Twov8h_POST, ARM64_INS_ST2: st2    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i16, ARM64_INS_ST2: st2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i16_POST, ARM64_INS_ST2: st2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i32, ARM64_INS_ST2: st2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i32_POST, ARM64_INS_ST2: st2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i64, ARM64_INS_ST2: st2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i64_POST, ARM64_INS_ST2: st2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i8, ARM64_INS_ST2: st2    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST2i8_POST, ARM64_INS_ST2: st2    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev16b, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev16b_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev2d, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev2d_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev2s, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev2s_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev4h, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev4h_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev4s, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev4s_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev8b, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev8b_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev8h, ARM64_INS_ST3: st3    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3Threev8h_POST, ARM64_INS_ST3: st3    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i16, ARM64_INS_ST3: st3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i16_POST, ARM64_INS_ST3: st3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i32, ARM64_INS_ST3: st3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i32_POST, ARM64_INS_ST3: st3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i64, ARM64_INS_ST3: st3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i64_POST, ARM64_INS_ST3: st3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i8, ARM64_INS_ST3: st3    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST3i8_POST, ARM64_INS_ST3: st3    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv16b, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv16b_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv2d, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv2d_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv2s, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv2s_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv4h, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv4h_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv4s, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv4s_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv8b, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv8b_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv8h, ARM64_INS_ST4: st4    $vt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4Fourv8h_POST, ARM64_INS_ST4: st4    $vt, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i16, ARM64_INS_ST4: st4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i16_POST, ARM64_INS_ST4: st4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i32, ARM64_INS_ST4: st4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i32_POST, ARM64_INS_ST4: st4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i64, ARM64_INS_ST4: st4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i64_POST, ARM64_INS_ST4: st4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i8, ARM64_INS_ST4: st4    $vt$idx, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, 0 }
+},
+{    /* AArch64_ST4i8_POST, ARM64_INS_ST4: st4    $vt$idx, [$rn], $xm */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLRB, ARM64_INS_STLRB: stlrb    $rt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLRH, ARM64_INS_STLRH: stlrh    $rt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLRW, ARM64_INS_STLR: stlr    $rt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLRX, ARM64_INS_STLR: stlr    $rt, [$rn] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXPW, ARM64_INS_STLXP: stlxp    $ws, $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXPX, ARM64_INS_STLXP: stlxp    $ws, $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXRB, ARM64_INS_STLXRB: stlxrb    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXRH, ARM64_INS_STLXRH: stlxrh    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXRW, ARM64_INS_STLXR: stlxr    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STLXRX, ARM64_INS_STLXR: stlxr    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STNPDi, ARM64_INS_STNP: stnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STNPQi, ARM64_INS_STNP: stnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STNPSi, ARM64_INS_STNP: stnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STNPWi, ARM64_INS_STNP: stnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STNPXi, ARM64_INS_STNP: stnp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPDi, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPDpost, ARM64_INS_STP: stp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPDpre, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPQi, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPQpost, ARM64_INS_STP: stp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPQpre, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPSi, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPSpost, ARM64_INS_STP: stp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPSpre, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPWi, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPWpost, ARM64_INS_STP: stp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPWpre, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPXi, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPXpost, ARM64_INS_STP: stp    $rt, $rt2, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STPXpre, ARM64_INS_STP: stp    $rt, $rt2, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRBBpost, ARM64_INS_STRB: strb    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRBBpre, ARM64_INS_STRB: strb    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRBBroW, ARM64_INS_STRB: strb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRBBroX, ARM64_INS_STRB: strb    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRBBui, ARM64_INS_STRB: strb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRBpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRBpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRBroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRBroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRBui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRDpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRDpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRDroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRDroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRDui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHHpost, ARM64_INS_STRH: strh    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHHpre, ARM64_INS_STRH: strh    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHHroW, ARM64_INS_STRH: strh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRHHroX, ARM64_INS_STRH: strh    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRHHui, ARM64_INS_STRH: strh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRHroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRHroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRHui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRQpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRQpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRQroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRQroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRQui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRSpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRSpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRSroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRSroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRSui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRWpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRWpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRWroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRWroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRWui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRXpost, ARM64_INS_STR: str    $rt, [$rn], $offset */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRXpre, ARM64_INS_STR: str    $rt, [$rn, $offset]! */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STRXroW, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRXroX, ARM64_INS_STR: str    $rt, [$rn, $rm, $extend] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STRXui, ARM64_INS_STR: str    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STTRBi, ARM64_INS_STTRB: sttrb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STTRHi, ARM64_INS_STTRH: sttrh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STTRWi, ARM64_INS_STTR: sttr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STTRXi, ARM64_INS_STTR: sttr    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURBBi, ARM64_INS_STURB: sturb    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURBi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURDi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURHHi, ARM64_INS_STURH: sturh    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURHi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURQi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURSi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURWi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STURXi, ARM64_INS_STUR: stur    $rt, [$rn, $offset] */
+	0,
+	{ CS_AC_READ, CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STXPW, ARM64_INS_STXP: stxp    $ws, $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STXPX, ARM64_INS_STXP: stxp    $ws, $rt, $rt2, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_STXRB, ARM64_INS_STXRB: stxrb    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STXRH, ARM64_INS_STXRH: stxrh    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STXRW, ARM64_INS_STXR: stxr    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_STXRX, ARM64_INS_STXR: stxr    $ws, $rt, [$rn] */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv2i64_v2i32, ARM64_INS_SUBHN: subhn.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv2i64_v4i32, ARM64_INS_SUBHN2: subhn2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv4i32_v4i16, ARM64_INS_SUBHN: subhn.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv4i32_v8i16, ARM64_INS_SUBHN2: subhn2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv8i16_v16i8, ARM64_INS_SUBHN2: subhn2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBHNv8i16_v8i8, ARM64_INS_SUBHN: subhn.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSWri, ARM64_INS_SUBS: subs    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSWrs, ARM64_INS_SUBS: subs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSWrx, ARM64_INS_SUBS: subs    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSXri, ARM64_INS_SUBS: subs    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSXrs, ARM64_INS_SUBS: subs    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSXrx, ARM64_INS_SUBS: subs    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBSXrx64, ARM64_INS_SUBS: subs    $rd, $rn, $rm$ext */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SUBWri, ARM64_INS_SUB: sub    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBWrs, ARM64_INS_SUB: sub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBWrx, ARM64_INS_SUB: sub    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBXri, ARM64_INS_SUB: sub    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBXrs, ARM64_INS_SUB: sub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBXrx, ARM64_INS_SUB: sub    $r1, $r2, $r3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBXrx64, ARM64_INS_SUB: sub    $rd, $rn, $rm$ext */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SUBv16i8, ARM64_INS_SUB: sub.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv1i64, ARM64_INS_SUB: sub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv2i32, ARM64_INS_SUB: sub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv2i64, ARM64_INS_SUB: sub.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv4i16, ARM64_INS_SUB: sub.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv4i32, ARM64_INS_SUB: sub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv8i16, ARM64_INS_SUB: sub.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUBv8i8, ARM64_INS_SUB: sub.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv16i8, ARM64_INS_SUQADD: suqadd.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv1i16, ARM64_INS_SUQADD: suqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv1i32, ARM64_INS_SUQADD: suqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv1i64, ARM64_INS_SUQADD: suqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv1i8, ARM64_INS_SUQADD: suqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv2i32, ARM64_INS_SUQADD: suqadd.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv2i64, ARM64_INS_SUQADD: suqadd.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv4i16, ARM64_INS_SUQADD: suqadd.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv4i32, ARM64_INS_SUQADD: suqadd.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv8i16, ARM64_INS_SUQADD: suqadd.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SUQADDv8i8, ARM64_INS_SUQADD: suqadd.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_SVC, ARM64_INS_SVC: svc    $imm */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{    /* AArch64_SYSLxt, ARM64_INS_SYSL: sysl    $rt, $op1, $cn, $cm, $op2 */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ }
+},
+{    /* AArch64_SYSxt, ARM64_INS_SYS: sys    $op1, $cn, $cm, $op2, $rt */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_WRITE | CS_AC_READ }
+},
+{    /* AArch64_TBLv16i8Four, ARM64_INS_TBL: tbl    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv16i8One, ARM64_INS_TBL: tbl    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv16i8Three, ARM64_INS_TBL: tbl    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv16i8Two, ARM64_INS_TBL: tbl    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv8i8Four, ARM64_INS_TBL: tbl    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv8i8One, ARM64_INS_TBL: tbl    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv8i8Three, ARM64_INS_TBL: tbl    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBLv8i8Two, ARM64_INS_TBL: tbl    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBNZW, ARM64_INS_TBNZ: tbnz    $rt, $bit_off, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBNZX, ARM64_INS_TBNZ: tbnz    $rt, $bit_off, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv16i8Four, ARM64_INS_TBX: tbx    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv16i8One, ARM64_INS_TBX: tbx    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv16i8Three, ARM64_INS_TBX: tbx    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv16i8Two, ARM64_INS_TBX: tbx    $vd.16b, $vn, $vm.16b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv8i8Four, ARM64_INS_TBX: tbx    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv8i8One, ARM64_INS_TBX: tbx    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv8i8Three, ARM64_INS_TBX: tbx    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBXv8i8Two, ARM64_INS_TBX: tbx    $vd.8b, $vn, $vm.8b */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBZW, ARM64_INS_TBZ: tbz    $rt, $bit_off, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TBZX, ARM64_INS_TBZ: tbz    $rt, $bit_off, $target */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v16i8, ARM64_INS_TRN1: trn1.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v2i32, ARM64_INS_TRN1: trn1.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v2i64, ARM64_INS_TRN1: trn1.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v4i16, ARM64_INS_TRN1: trn1.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v4i32, ARM64_INS_TRN1: trn1.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v8i16, ARM64_INS_TRN1: trn1.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN1v8i8, ARM64_INS_TRN1: trn1.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v16i8, ARM64_INS_TRN2: trn2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v2i32, ARM64_INS_TRN2: trn2.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v2i64, ARM64_INS_TRN2: trn2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v4i16, ARM64_INS_TRN2: trn2.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v4i32, ARM64_INS_TRN2: trn2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v8i16, ARM64_INS_TRN2: trn2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_TRN2v8i8, ARM64_INS_TRN2: trn2.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv16i8_v8i16, ARM64_INS_UABAL2: uabal2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv2i32_v2i64, ARM64_INS_UABAL: uabal.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv4i16_v4i32, ARM64_INS_UABAL: uabal.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv4i32_v2i64, ARM64_INS_UABAL2: uabal2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv8i16_v4i32, ARM64_INS_UABAL2: uabal2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABALv8i8_v8i16, ARM64_INS_UABAL: uabal.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv16i8, ARM64_INS_UABA: uaba.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv2i32, ARM64_INS_UABA: uaba.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv4i16, ARM64_INS_UABA: uaba.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv4i32, ARM64_INS_UABA: uaba.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv8i16, ARM64_INS_UABA: uaba.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABAv8i8, ARM64_INS_UABA: uaba.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv16i8_v8i16, ARM64_INS_UABDL2: uabdl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv2i32_v2i64, ARM64_INS_UABDL: uabdl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv4i16_v4i32, ARM64_INS_UABDL: uabdl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv4i32_v2i64, ARM64_INS_UABDL2: uabdl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv8i16_v4i32, ARM64_INS_UABDL2: uabdl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDLv8i8_v8i16, ARM64_INS_UABDL: uabdl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv16i8, ARM64_INS_UABD: uabd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv2i32, ARM64_INS_UABD: uabd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv4i16, ARM64_INS_UABD: uabd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv4i32, ARM64_INS_UABD: uabd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv8i16, ARM64_INS_UABD: uabd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UABDv8i8, ARM64_INS_UABD: uabd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADALPv16i8_v8i16, ARM64_INS_UADALP: uadalp.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADALPv2i32_v1i64, ARM64_INS_UADALP: uadalp.1d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,  0 }
+},
+{    /* AArch64_UADALPv4i16_v2i32, ARM64_INS_UADALP: uadalp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,  0 }
+},
+{    /* AArch64_UADALPv4i32_v2i64, ARM64_INS_UADALP: uadalp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,  0 }
+},
+{    /* AArch64_UADALPv8i16_v4i32, ARM64_INS_UADALP: uadalp.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,  0 }
+},
+{    /* AArch64_UADALPv8i8_v4i16, ARM64_INS_UADALP: uadalp.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ,  0 }
+},
+{    /* AArch64_UADDLPv16i8_v8i16, ARM64_INS_UADDLP: uaddlp.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLPv2i32_v1i64, ARM64_INS_UADDLP: uaddlp.1d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLPv4i16_v2i32, ARM64_INS_UADDLP: uaddlp.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLPv4i32_v2i64, ARM64_INS_UADDLP: uaddlp.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLPv8i16_v4i32, ARM64_INS_UADDLP: uaddlp.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLPv8i8_v4i16, ARM64_INS_UADDLP: uaddlp.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLVv16i8v, ARM64_INS_UADDLV: uaddlv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLVv4i16v, ARM64_INS_UADDLV: uaddlv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLVv4i32v, ARM64_INS_UADDLV: uaddlv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLVv8i16v, ARM64_INS_UADDLV: uaddlv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLVv8i8v, ARM64_INS_UADDLV: uaddlv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv16i8_v8i16, ARM64_INS_UADDL2: uaddl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv2i32_v2i64, ARM64_INS_UADDL: uaddl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv4i16_v4i32, ARM64_INS_UADDL: uaddl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv4i32_v2i64, ARM64_INS_UADDL2: uaddl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv8i16_v4i32, ARM64_INS_UADDL2: uaddl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDLv8i8_v8i16, ARM64_INS_UADDL: uaddl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv16i8_v8i16, ARM64_INS_UADDW2: uaddw2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv2i32_v2i64, ARM64_INS_UADDW: uaddw.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv4i16_v4i32, ARM64_INS_UADDW: uaddw.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv4i32_v2i64, ARM64_INS_UADDW2: uaddw2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv8i16_v4i32, ARM64_INS_UADDW2: uaddw2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UADDWv8i8_v8i16, ARM64_INS_UADDW: uaddw.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UBFMWri, ARM64_INS_UBFM: ubfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UBFMXri, ARM64_INS_UBFM: ubfm    $rd, $rn, $immr, $imms */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFSWDri, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFSWSri, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFSXDri, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFSXSri, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $scale */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFUWDri, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFUWSri, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFUXDri, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFUXSri, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFd, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFs, ARM64_INS_UCVTF: ucvtf    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv1i32, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv1i64, ARM64_INS_UCVTF: ucvtf    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv2f32, ARM64_INS_UCVTF: ucvtf.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv2f64, ARM64_INS_UCVTF: ucvtf.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv2i32_shift, ARM64_INS_UCVTF: ucvtf.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv2i64_shift, ARM64_INS_UCVTF: ucvtf.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv4f32, ARM64_INS_UCVTF: ucvtf.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UCVTFv4i32_shift, ARM64_INS_UCVTF: ucvtf.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UDIVWr, ARM64_INS_UDIV: udiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UDIVXr, ARM64_INS_UDIV: udiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UDIV_IntWr, ARM64_INS_UDIV: udiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UDIV_IntXr, ARM64_INS_UDIV: udiv    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv16i8, ARM64_INS_UHADD: uhadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv2i32, ARM64_INS_UHADD: uhadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv4i16, ARM64_INS_UHADD: uhadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv4i32, ARM64_INS_UHADD: uhadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv8i16, ARM64_INS_UHADD: uhadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHADDv8i8, ARM64_INS_UHADD: uhadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv16i8, ARM64_INS_UHSUB: uhsub.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv2i32, ARM64_INS_UHSUB: uhsub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv4i16, ARM64_INS_UHSUB: uhsub.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv4i32, ARM64_INS_UHSUB: uhsub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv8i16, ARM64_INS_UHSUB: uhsub.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UHSUBv8i8, ARM64_INS_UHSUB: uhsub.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMADDLrrr, ARM64_INS_UMADDL: umaddl    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv16i8, ARM64_INS_UMAXP: umaxp.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv2i32, ARM64_INS_UMAXP: umaxp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv4i16, ARM64_INS_UMAXP: umaxp.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv4i32, ARM64_INS_UMAXP: umaxp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv8i16, ARM64_INS_UMAXP: umaxp.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXPv8i8, ARM64_INS_UMAXP: umaxp.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXVv16i8v, ARM64_INS_UMAXV: umaxv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXVv4i16v, ARM64_INS_UMAXV: umaxv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXVv4i32v, ARM64_INS_UMAXV: umaxv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXVv8i16v, ARM64_INS_UMAXV: umaxv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXVv8i8v, ARM64_INS_UMAXV: umaxv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv16i8, ARM64_INS_UMAX: umax.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv2i32, ARM64_INS_UMAX: umax.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv4i16, ARM64_INS_UMAX: umax.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv4i32, ARM64_INS_UMAX: umax.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv8i16, ARM64_INS_UMAX: umax.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMAXv8i8, ARM64_INS_UMAX: umax.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv16i8, ARM64_INS_UMINP: uminp.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv2i32, ARM64_INS_UMINP: uminp.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv4i16, ARM64_INS_UMINP: uminp.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv4i32, ARM64_INS_UMINP: uminp.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv8i16, ARM64_INS_UMINP: uminp.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINPv8i8, ARM64_INS_UMINP: uminp.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINVv16i8v, ARM64_INS_UMINV: uminv.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINVv4i16v, ARM64_INS_UMINV: uminv.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINVv4i32v, ARM64_INS_UMINV: uminv.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINVv8i16v, ARM64_INS_UMINV: uminv.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINVv8i8v, ARM64_INS_UMINV: uminv.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv16i8, ARM64_INS_UMIN: umin.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv2i32, ARM64_INS_UMIN: umin.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv4i16, ARM64_INS_UMIN: umin.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv4i32, ARM64_INS_UMIN: umin.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv8i16, ARM64_INS_UMIN: umin.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMINv8i8, ARM64_INS_UMIN: umin.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv16i8_v8i16, ARM64_INS_UMLAL2: umlal2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv2i32_indexed, ARM64_INS_UMLAL: umlal.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv2i32_v2i64, ARM64_INS_UMLAL: umlal.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv4i16_indexed, ARM64_INS_UMLAL: umlal.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv4i16_v4i32, ARM64_INS_UMLAL: umlal.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv4i32_indexed, ARM64_INS_UMLAL2: umlal2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv4i32_v2i64, ARM64_INS_UMLAL2: umlal2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv8i16_indexed, ARM64_INS_UMLAL2: umlal2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv8i16_v4i32, ARM64_INS_UMLAL2: umlal2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLALv8i8_v8i16, ARM64_INS_UMLAL: umlal.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv16i8_v8i16, ARM64_INS_UMLSL2: umlsl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv2i32_indexed, ARM64_INS_UMLSL: umlsl.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv2i32_v2i64, ARM64_INS_UMLSL: umlsl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv4i16_indexed, ARM64_INS_UMLSL: umlsl.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv4i16_v4i32, ARM64_INS_UMLSL: umlsl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv4i32_indexed, ARM64_INS_UMLSL2: umlsl2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv4i32_v2i64, ARM64_INS_UMLSL2: umlsl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv8i16_indexed, ARM64_INS_UMLSL2: umlsl2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv8i16_v4i32, ARM64_INS_UMLSL2: umlsl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMLSLv8i8_v8i16, ARM64_INS_UMLSL: umlsl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMOVvi16, ARM64_INS_UMOV: umov.h    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMOVvi32, ARM64_INS_UMOV: umov.s    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMOVvi64, ARM64_INS_UMOV: umov.d    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMOVvi8, ARM64_INS_UMOV: umov.b    $rd, $rn$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMSUBLrrr, ARM64_INS_UMSUBL: umsubl    $rd, $rn, $rm, $ra */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULHrr, ARM64_INS_UMULH: umulh    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv16i8_v8i16, ARM64_INS_UMULL2: umull2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv2i32_indexed, ARM64_INS_UMULL: umull.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv2i32_v2i64, ARM64_INS_UMULL: umull.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv4i16_indexed, ARM64_INS_UMULL: umull.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv4i16_v4i32, ARM64_INS_UMULL: umull.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv4i32_indexed, ARM64_INS_UMULL2: umull2.2d    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv4i32_v2i64, ARM64_INS_UMULL2: umull2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv8i16_indexed, ARM64_INS_UMULL2: umull2.4s    $rd, $rn, $rm$idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv8i16_v4i32, ARM64_INS_UMULL2: umull2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UMULLv8i8_v8i16, ARM64_INS_UMULL: umull.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv16i8, ARM64_INS_UQADD: uqadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv1i16, ARM64_INS_UQADD: uqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv1i32, ARM64_INS_UQADD: uqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv1i64, ARM64_INS_UQADD: uqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv1i8, ARM64_INS_UQADD: uqadd    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv2i32, ARM64_INS_UQADD: uqadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv2i64, ARM64_INS_UQADD: uqadd.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv4i16, ARM64_INS_UQADD: uqadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv4i32, ARM64_INS_UQADD: uqadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv8i16, ARM64_INS_UQADD: uqadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQADDv8i8, ARM64_INS_UQADD: uqadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv16i8, ARM64_INS_UQRSHL: uqrshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv1i16, ARM64_INS_UQRSHL: uqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv1i32, ARM64_INS_UQRSHL: uqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv1i64, ARM64_INS_UQRSHL: uqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv1i8, ARM64_INS_UQRSHL: uqrshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv2i32, ARM64_INS_UQRSHL: uqrshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv2i64, ARM64_INS_UQRSHL: uqrshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv4i16, ARM64_INS_UQRSHL: uqrshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv4i32, ARM64_INS_UQRSHL: uqrshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv8i16, ARM64_INS_UQRSHL: uqrshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHLv8i8, ARM64_INS_UQRSHL: uqrshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNb, ARM64_INS_UQRSHRN: uqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNh, ARM64_INS_UQRSHRN: uqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNs, ARM64_INS_UQRSHRN: uqrshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv16i8_shift, ARM64_INS_UQRSHRN2: uqrshrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv2i32_shift, ARM64_INS_UQRSHRN: uqrshrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv4i16_shift, ARM64_INS_UQRSHRN: uqrshrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv4i32_shift, ARM64_INS_UQRSHRN2: uqrshrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv8i16_shift, ARM64_INS_UQRSHRN2: uqrshrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQRSHRNv8i8_shift, ARM64_INS_UQRSHRN: uqrshrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLb, ARM64_INS_UQSHL: uqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLd, ARM64_INS_UQSHL: uqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLh, ARM64_INS_UQSHL: uqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLs, ARM64_INS_UQSHL: uqshl    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv16i8, ARM64_INS_UQSHL: uqshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv16i8_shift, ARM64_INS_UQSHL: uqshl.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv1i16, ARM64_INS_UQSHL: uqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv1i32, ARM64_INS_UQSHL: uqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv1i64, ARM64_INS_UQSHL: uqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv1i8, ARM64_INS_UQSHL: uqshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv2i32, ARM64_INS_UQSHL: uqshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv2i32_shift, ARM64_INS_UQSHL: uqshl.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv2i64, ARM64_INS_UQSHL: uqshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv2i64_shift, ARM64_INS_UQSHL: uqshl.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv4i16, ARM64_INS_UQSHL: uqshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv4i16_shift, ARM64_INS_UQSHL: uqshl.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv4i32, ARM64_INS_UQSHL: uqshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv4i32_shift, ARM64_INS_UQSHL: uqshl.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv8i16, ARM64_INS_UQSHL: uqshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv8i16_shift, ARM64_INS_UQSHL: uqshl.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv8i8, ARM64_INS_UQSHL: uqshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHLv8i8_shift, ARM64_INS_UQSHL: uqshl.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNb, ARM64_INS_UQSHRN: uqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNh, ARM64_INS_UQSHRN: uqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNs, ARM64_INS_UQSHRN: uqshrn    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv16i8_shift, ARM64_INS_UQSHRN2: uqshrn2.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv2i32_shift, ARM64_INS_UQSHRN: uqshrn.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv4i16_shift, ARM64_INS_UQSHRN: uqshrn.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv4i32_shift, ARM64_INS_UQSHRN2: uqshrn2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv8i16_shift, ARM64_INS_UQSHRN2: uqshrn2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSHRNv8i8_shift, ARM64_INS_UQSHRN: uqshrn.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv16i8, ARM64_INS_UQSUB: uqsub.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv1i16, ARM64_INS_UQSUB: uqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv1i32, ARM64_INS_UQSUB: uqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv1i64, ARM64_INS_UQSUB: uqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv1i8, ARM64_INS_UQSUB: uqsub    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv2i32, ARM64_INS_UQSUB: uqsub.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv2i64, ARM64_INS_UQSUB: uqsub.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv4i16, ARM64_INS_UQSUB: uqsub.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv4i32, ARM64_INS_UQSUB: uqsub.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv8i16, ARM64_INS_UQSUB: uqsub.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQSUBv8i8, ARM64_INS_UQSUB: uqsub.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv16i8, ARM64_INS_UQXTN2: uqxtn2.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv1i16, ARM64_INS_UQXTN: uqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv1i32, ARM64_INS_UQXTN: uqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv1i8, ARM64_INS_UQXTN: uqxtn    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv2i32, ARM64_INS_UQXTN: uqxtn.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv4i16, ARM64_INS_UQXTN: uqxtn.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv4i32, ARM64_INS_UQXTN2: uqxtn2.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv8i16, ARM64_INS_UQXTN2: uqxtn2.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_UQXTNv8i8, ARM64_INS_UQXTN: uqxtn.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_URECPEv2i32, ARM64_INS_URECPE: urecpe.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_URECPEv4i32, ARM64_INS_URECPE: urecpe.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv16i8, ARM64_INS_URHADD: urhadd.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv2i32, ARM64_INS_URHADD: urhadd.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv4i16, ARM64_INS_URHADD: urhadd.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv4i32, ARM64_INS_URHADD: urhadd.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv8i16, ARM64_INS_URHADD: urhadd.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URHADDv8i8, ARM64_INS_URHADD: urhadd.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv16i8, ARM64_INS_URSHL: urshl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv1i64, ARM64_INS_URSHL: urshl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv2i32, ARM64_INS_URSHL: urshl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv2i64, ARM64_INS_URSHL: urshl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv4i16, ARM64_INS_URSHL: urshl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv4i32, ARM64_INS_URSHL: urshl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv8i16, ARM64_INS_URSHL: urshl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHLv8i8, ARM64_INS_URSHL: urshl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRd, ARM64_INS_URSHR: urshr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv16i8_shift, ARM64_INS_URSHR: urshr.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv2i32_shift, ARM64_INS_URSHR: urshr.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv2i64_shift, ARM64_INS_URSHR: urshr.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv4i16_shift, ARM64_INS_URSHR: urshr.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv4i32_shift, ARM64_INS_URSHR: urshr.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv8i16_shift, ARM64_INS_URSHR: urshr.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSHRv8i8_shift, ARM64_INS_URSHR: urshr.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSQRTEv2i32, ARM64_INS_URSQRTE: ursqrte.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSQRTEv4i32, ARM64_INS_URSQRTE: ursqrte.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAd, ARM64_INS_URSRA: ursra    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv16i8_shift, ARM64_INS_URSRA: ursra.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv2i32_shift, ARM64_INS_URSRA: ursra.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv2i64_shift, ARM64_INS_URSRA: ursra.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv4i16_shift, ARM64_INS_URSRA: ursra.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv4i32_shift, ARM64_INS_URSRA: ursra.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv8i16_shift, ARM64_INS_URSRA: ursra.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_URSRAv8i8_shift, ARM64_INS_URSRA: ursra.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv16i8_shift, ARM64_INS_USHLL2: ushll2.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv2i32_shift, ARM64_INS_USHLL: ushll.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv4i16_shift, ARM64_INS_USHLL: ushll.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv4i32_shift, ARM64_INS_USHLL2: ushll2.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv8i16_shift, ARM64_INS_USHLL2: ushll2.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLLv8i8_shift, ARM64_INS_USHLL: ushll.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv16i8, ARM64_INS_USHL: ushl.16b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv1i64, ARM64_INS_USHL: ushl    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv2i32, ARM64_INS_USHL: ushl.2s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv2i64, ARM64_INS_USHL: ushl.2d    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv4i16, ARM64_INS_USHL: ushl.4h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv4i32, ARM64_INS_USHL: ushl.4s    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv8i16, ARM64_INS_USHL: ushl.8h    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHLv8i8, ARM64_INS_USHL: ushl.8b    $rd, $rn, $rm| */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRd, ARM64_INS_USHR: ushr    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv16i8_shift, ARM64_INS_USHR: ushr.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv2i32_shift, ARM64_INS_USHR: ushr.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv2i64_shift, ARM64_INS_USHR: ushr.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv4i16_shift, ARM64_INS_USHR: ushr.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv4i32_shift, ARM64_INS_USHR: ushr.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv8i16_shift, ARM64_INS_USHR: ushr.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USHRv8i8_shift, ARM64_INS_USHR: ushr.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv16i8, ARM64_INS_USQADD: usqadd.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv1i16, ARM64_INS_USQADD: usqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv1i32, ARM64_INS_USQADD: usqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv1i64, ARM64_INS_USQADD: usqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv1i8, ARM64_INS_USQADD: usqadd    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv2i32, ARM64_INS_USQADD: usqadd.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv2i64, ARM64_INS_USQADD: usqadd.2d    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv4i16, ARM64_INS_USQADD: usqadd.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv4i32, ARM64_INS_USQADD: usqadd.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv8i16, ARM64_INS_USQADD: usqadd.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USQADDv8i8, ARM64_INS_USQADD: usqadd.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAd, ARM64_INS_USRA: usra    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv16i8_shift, ARM64_INS_USRA: usra.16b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv2i32_shift, ARM64_INS_USRA: usra.2s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv2i64_shift, ARM64_INS_USRA: usra.2d    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv4i16_shift, ARM64_INS_USRA: usra.4h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv4i32_shift, ARM64_INS_USRA: usra.4s    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv8i16_shift, ARM64_INS_USRA: usra.8h    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USRAv8i8_shift, ARM64_INS_USRA: usra.8b    $rd, $rn, $imm */
+	0,
+	{ CS_AC_WRITE | CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv16i8_v8i16, ARM64_INS_USUBL2: usubl2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv2i32_v2i64, ARM64_INS_USUBL: usubl.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv4i16_v4i32, ARM64_INS_USUBL: usubl.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv4i32_v2i64, ARM64_INS_USUBL2: usubl2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv8i16_v4i32, ARM64_INS_USUBL2: usubl2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBLv8i8_v8i16, ARM64_INS_USUBL: usubl.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv16i8_v8i16, ARM64_INS_USUBW2: usubw2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv2i32_v2i64, ARM64_INS_USUBW: usubw.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv4i16_v4i32, ARM64_INS_USUBW: usubw.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv4i32_v2i64, ARM64_INS_USUBW2: usubw2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv8i16_v4i32, ARM64_INS_USUBW2: usubw2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_USUBWv8i8_v8i16, ARM64_INS_USUBW: usubw.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v16i8, ARM64_INS_UZP1: uzp1.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v2i32, ARM64_INS_UZP1: uzp1.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v2i64, ARM64_INS_UZP1: uzp1.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v4i16, ARM64_INS_UZP1: uzp1.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v4i32, ARM64_INS_UZP1: uzp1.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v8i16, ARM64_INS_UZP1: uzp1.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP1v8i8, ARM64_INS_UZP1: uzp1.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v16i8, ARM64_INS_UZP2: uzp2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v2i32, ARM64_INS_UZP2: uzp2.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v2i64, ARM64_INS_UZP2: uzp2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v4i16, ARM64_INS_UZP2: uzp2.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v4i32, ARM64_INS_UZP2: uzp2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v8i16, ARM64_INS_UZP2: uzp2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_UZP2v8i8, ARM64_INS_UZP2: uzp2.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv16i8, ARM64_INS_XTN2: xtn2.16b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv2i32, ARM64_INS_XTN: xtn.2s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv4i16, ARM64_INS_XTN: xtn.4h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv4i32, ARM64_INS_XTN2: xtn2.4s    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv8i16, ARM64_INS_XTN2: xtn2.8h    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_XTNv8i8, ARM64_INS_XTN: xtn.8b    $rd, $rn */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v16i8, ARM64_INS_ZIP1: zip1.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v2i32, ARM64_INS_ZIP1: zip1.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v2i64, ARM64_INS_ZIP1: zip1.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v4i16, ARM64_INS_ZIP1: zip1.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v4i32, ARM64_INS_ZIP1: zip1.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v8i16, ARM64_INS_ZIP1: zip1.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP1v8i8, ARM64_INS_ZIP1: zip1.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v16i8, ARM64_INS_ZIP2: zip2.16b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v2i32, ARM64_INS_ZIP2: zip2.2s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v2i64, ARM64_INS_ZIP2: zip2.2d    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v4i16, ARM64_INS_ZIP2: zip2.4h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v4i32, ARM64_INS_ZIP2: zip2.4s    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v8i16, ARM64_INS_ZIP2: zip2.8h    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{    /* AArch64_ZIP2v8i8, ARM64_INS_ZIP2: zip2.8b    $rd, $rn, $rm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+}
diff -pruN 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Module.c 4.0.2-3/arch/AArch64/AArch64Module.c
--- 4.0.1+really+3.0.5-2/arch/AArch64/AArch64Module.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/AArch64/AArch64Module.c	2020-05-08 10:03:30.000000000 +0000
@@ -25,6 +25,9 @@ cs_err AArch64_global_init(cs_struct *ud
 	ud->insn_name = AArch64_insn_name;
 	ud->group_name = AArch64_group_name;
 	ud->post_printer = AArch64_post_printer;
+#ifndef CAPSTONE_DIET
+	ud->reg_access = AArch64_reg_access;
+#endif
 
 	return CS_ERR_OK;
 }
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMAddressingModes.h 4.0.2-3/arch/ARM/ARMAddressingModes.h
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMAddressingModes.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMAddressingModes.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,12 +12,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_TARGET_ARM_ARMADDRESSINGMODES_H
 #define CS_LLVM_TARGET_ARM_ARMADDRESSINGMODES_H
 
-#include "../../include/platform.h"
+#include "capstone/platform.h"
 #include "../../MathExtras.h"
 
 /// ARM_AM - ARM Addressing Mode Stuff
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMBaseInfo.h 4.0.2-3/arch/ARM/ARMBaseInfo.h
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMBaseInfo.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMBaseInfo.h	2020-05-08 10:03:30.000000000 +0000
@@ -15,12 +15,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_ARMBASEINFO_H
 #define CS_ARMBASEINFO_H
 
-#include "../../include/arm.h"
+#include "capstone/arm.h"
 
 // Defines symbolic names for ARM registers.  This defines a mapping from
 // register name to register number.
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMDisassembler.c 4.0.2-3/arch/ARM/ARMDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,14 +8,14 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM
 
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
-#include <platform.h>
+#include <capstone/platform.h>
 
 #include "ARMAddressingModes.h"
 #include "ARMBaseInfo.h"
@@ -161,8 +161,6 @@ static DecodeStatus DecodePredicateOpera
 		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeCCOutOperand(MCInst *Inst, unsigned Val,
 		uint64_t Address, const void *Decoder);
-static DecodeStatus DecodeSOImmOperand(MCInst *Inst, unsigned Val,
-		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeRegListOperand(MCInst *Inst, unsigned Val,
 		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeSPRRegListOperand(MCInst *Inst, unsigned Val,
@@ -251,6 +249,8 @@ static DecodeStatus DecodeInstSyncBarrie
 		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeMSRMask(MCInst *Inst, unsigned Insn,
 		uint64_t Address, const void *Decoder);
+static DecodeStatus DecodeBankedReg(MCInst *Inst, unsigned Insn,
+		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeDoubleRegLoad(MCInst *Inst, unsigned Insn,
 		uint64_t Address, const void *Decoder);
 static DecodeStatus DecodeDoubleRegStore(MCInst *Inst, unsigned Insn,
@@ -443,11 +443,31 @@ void ARM_init(MCRegisterInfo *MRI)
 			0);
 }
 
+// Post-decoding checks
+static DecodeStatus checkDecodedInstruction(MCInst *MI,
+		uint32_t Insn,
+		DecodeStatus Result)
+{
+	switch (MCInst_getOpcode(MI)) {
+		case ARM_HVC: {
+			  // HVC is undefined if condition = 0xf otherwise upredictable
+			  // if condition != 0xe
+			  uint32_t Cond = (Insn >> 28) & 0xF;
+			  if (Cond == 0xF)
+				  return MCDisassembler_Fail;
+			  if (Cond != 0xE)
+				  return MCDisassembler_SoftFail;
+			  return Result;
+		  }
+		default:
+			   return Result;
+	}
+}
+
 static DecodeStatus _ARM_getInstruction(cs_struct *ud, MCInst *MI, const uint8_t *code, size_t code_len,
 		uint16_t *Size, uint64_t Address)
 {
 	uint32_t insn, i;
-	uint8_t bytes[4];
 	DecodeStatus result;
 
 	if (code_len < 4)
@@ -455,28 +475,30 @@ static DecodeStatus _ARM_getInstruction(
 		return MCDisassembler_Fail;
 
 	if (MI->flat_insn->detail) {
-		memset(&MI->flat_insn->detail->arm, 0, sizeof(cs_arm));
-		for (i = 0; i < ARR_SIZE(MI->flat_insn->detail->arm.operands); i++)
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, arm)+sizeof(cs_arm));
+		for (i = 0; i < ARR_SIZE(MI->flat_insn->detail->arm.operands); i++) {
 			MI->flat_insn->detail->arm.operands[i].vector_index = -1;
+			MI->flat_insn->detail->arm.operands[i].neon_lane = -1;
+		}
 	}
 
-	memcpy(bytes, code, 4);
-
 	if (MODE_IS_BIG_ENDIAN(ud->mode))
-		insn = (bytes[3] << 0) |
-			(bytes[2] << 8) |
-			(bytes[1] <<  16) |
-			(((uint32_t) bytes[0]) << 24);
+		insn = (code[3] << 0) |
+			(code[2] << 8) |
+			(code[1] <<  16) |
+			((uint32_t) code[0] << 24);
 	else
-		insn = (((uint32_t) bytes[3]) << 24) |
-			(bytes[2] << 16) |
-			(bytes[1] <<  8) |
-			(bytes[0] <<  0);
+		insn = ((uint32_t) code[3] << 24) |
+			(code[2] << 16) |
+			(code[1] <<  8) |
+			(code[0] <<  0);
 
 	// Calling the auto-generated decoder function.
 	result = decodeInstruction_4(DecoderTableARM32, MI, insn, Address, NULL, ud->mode);
 	if (result != MCDisassembler_Fail) {
-		*Size = 4;
+		result = checkDecodedInstruction(MI, insn, result);
+		if (result != MCDisassembler_Fail)
+			*Size = 4;
 		return result;
 	}
 
@@ -683,7 +705,6 @@ static void UpdateThumbVFPPredicate(cs_s
 static DecodeStatus _Thumb_getInstruction(cs_struct *ud, MCInst *MI, const uint8_t *code, size_t code_len,
 		uint16_t *Size, uint64_t Address)
 {
-	uint8_t bytes[4];
 	uint16_t insn16;
 	DecodeStatus result;
 	bool InITBlock;
@@ -697,17 +718,17 @@ static DecodeStatus _Thumb_getInstructio
 		return MCDisassembler_Fail;
 
 	if (MI->flat_insn->detail) {
-		memset(&MI->flat_insn->detail->arm, 0, sizeof(cs_arm));
-		for (i = 0; i < ARR_SIZE(MI->flat_insn->detail->arm.operands); i++)
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, arm)+sizeof(cs_arm));
+		for (i = 0; i < ARR_SIZE(MI->flat_insn->detail->arm.operands); i++) {
 			MI->flat_insn->detail->arm.operands[i].vector_index = -1;
+			MI->flat_insn->detail->arm.operands[i].neon_lane = -1;
+		}
 	}
 
-	memcpy(bytes, code, 2);
-
 	if (MODE_IS_BIG_ENDIAN(ud->mode))
-		insn16 = (bytes[0] << 8) | bytes[1];
+		insn16 = (code[0] << 8) | code[1];
 	else
-		insn16 = (bytes[1] << 8) | bytes[0];
+		insn16 = (code[1] << 8) | code[0];
 
 	result = decodeInstruction_2(DecoderTableThumb16, MI, insn16, Address, NULL, ud->mode);
 	if (result != MCDisassembler_Fail) {
@@ -755,18 +776,16 @@ static DecodeStatus _Thumb_getInstructio
 		// not enough data
 		return MCDisassembler_Fail;
 
-	memcpy(bytes, code, 4);
-
 	if (MODE_IS_BIG_ENDIAN(ud->mode))
-		insn32 = (bytes[3] <<  0) |
-			(bytes[2] <<  8) |
-			(bytes[1] << 16) |
-			(((uint32_t) bytes[0]) << 24);
+		insn32 = (code[3] <<  0) |
+			(code[2] <<  8) |
+			(code[1] << 16) |
+			((uint32_t) code[0] << 24);
 	else
-		insn32 = (bytes[3] <<  8) |
-			(bytes[2] <<  0) |
-			(((uint32_t) bytes[1]) << 24) |
-			(bytes[0] << 16);
+		insn32 = (code[3] <<  8) |
+			(code[2] <<  0) |
+			((uint32_t) code[1] << 24) |
+			(code[0] << 16);
 
 	MCInst_clear(MI);
 	result = decodeInstruction_4(DecoderTableThumb32, MI, insn32, Address, NULL, ud->mode);
@@ -786,14 +805,6 @@ static DecodeStatus _Thumb_getInstructio
 		return result;
 	}
 
-	MCInst_clear(MI);
-	result = decodeInstruction_4(DecoderTableVFP32, MI, insn32, Address, NULL, ud->mode);
-	if (result != MCDisassembler_Fail) {
-		*Size = 4;
-		UpdateThumbVFPPredicate(ud, MI);
-		return result;
-	}
-
 	if (fieldFromInstruction_4(insn32, 28, 4) == 0xE) {
 		MCInst_clear(MI);
 		result = decodeInstruction_4(DecoderTableVFP32, MI, insn32, Address, NULL, ud->mode);
@@ -1046,12 +1057,18 @@ static const uint16_t DPRDecoderTable[]
 static DecodeStatus DecodeDPRRegisterClass(MCInst *Inst, unsigned RegNo,
 		uint64_t Address, const void *Decoder)
 {
-	unsigned Register = 0;
+	unsigned Register;
+
+	//uint64_t featureBits = ARM_getFeatureBits(Inst->csh->mode);
+	//bool hasD16 = featureBits & ARM_FeatureD16;
+
+	//if (RegNo > 31 || (hasD16 && RegNo > 15))	// FIXME
 	if (RegNo > 31)
 		return MCDisassembler_Fail;
 
 	Register = DPRDecoderTable[RegNo];
 	MCOperand_CreateReg0(Inst, Register);
+
 	return MCDisassembler_Success;
 }
 
@@ -1146,16 +1163,6 @@ static DecodeStatus DecodeCCOutOperand(M
 	return MCDisassembler_Success;
 }
 
-static DecodeStatus DecodeSOImmOperand(MCInst *Inst, unsigned Val,
-		uint64_t Address, const void *Decoder)
-{
-	uint32_t imm = Val & 0xFF;
-	uint32_t rot = (Val & 0xF00) >> 7;
-	uint32_t rot_imm = (imm >> rot) | (imm << ((32-rot) & 0x1F));
-	MCOperand_CreateImm0(Inst, rot_imm);
-	return MCDisassembler_Success;
-}
-
 static DecodeStatus DecodeSORegImmOperand(MCInst *Inst, unsigned Val,
 		uint64_t Address, const void *Decoder)
 {
@@ -3337,6 +3344,9 @@ static DecodeStatus DecodeT2LoadShift(MC
 	unsigned addrmode;
 	unsigned Rt = fieldFromInstruction_4(Insn, 12, 4);
 	unsigned Rn = fieldFromInstruction_4(Insn, 16, 4);
+	uint64_t featureBits = ARM_getFeatureBits(Inst->csh->mode);
+	bool hasMP = ((featureBits & ARM_FeatureMP) != 0);
+	bool hasV7Ops = ((featureBits & ARM_HasV7Ops) != 0);
 
 	if (Rn == 15) {
 		switch (MCInst_getOpcode(Inst)) {
@@ -3373,11 +3383,10 @@ static DecodeStatus DecodeT2LoadShift(MC
 			case ARM_t2LDRSHs:
 				return MCDisassembler_Fail;
 			case ARM_t2LDRHs:
-				// FIXME: this instruction is only available with MP extensions,
-				// this should be checked first but we don't have access to the
-				// feature bits here.
 				MCInst_setOpcode(Inst, ARM_t2PLDWs);
 				break;
+			case ARM_t2LDRSBs:
+				MCInst_setOpcode(Inst, ARM_t2PLIs);
 			default:
 				break;
 		}
@@ -3385,8 +3394,14 @@ static DecodeStatus DecodeT2LoadShift(MC
 
 	switch (MCInst_getOpcode(Inst)) {
 		case ARM_t2PLDs:
-		case ARM_t2PLDWs:
+			break;
 		case ARM_t2PLIs:
+			if (!hasV7Ops)
+				return MCDisassembler_Fail;
+			break;
+		case ARM_t2PLDWs:
+			if (!hasV7Ops || !hasMP)
+				return MCDisassembler_Fail;
 			break;
 		default:
 			if (!Check(&S, DecodeGPRRegisterClass(Inst, Rt, Address, Decoder)))
@@ -3411,9 +3426,14 @@ static DecodeStatus DecodeT2LoadImm8(MCI
 	unsigned Rt = fieldFromInstruction_4(Insn, 12, 4);
 	unsigned U = fieldFromInstruction_4(Insn, 9, 1);
 	unsigned imm = fieldFromInstruction_4(Insn, 0, 8);
+	unsigned add = fieldFromInstruction_4(Insn, 9, 1);
+
+	uint64_t featureBits = ARM_getFeatureBits(Inst->csh->mode);
+	bool hasMP = ((featureBits & ARM_FeatureMP) != 0);
+	bool hasV7Ops = ((featureBits & ARM_HasV7Ops) != 0);
+
 	imm |= (U << 8);
 	imm |= (Rn << 9);
-
 	if (Rn == 15) {
 		switch (MCInst_getOpcode(Inst)) {
 			case ARM_t2LDRi8:
@@ -3447,6 +3467,13 @@ static DecodeStatus DecodeT2LoadImm8(MCI
 		switch (MCInst_getOpcode(Inst)) {
 			case ARM_t2LDRSHi8:
 				return MCDisassembler_Fail;
+			case ARM_t2LDRHi8:
+				if (!add)
+					MCInst_setOpcode(Inst, ARM_t2PLDWi8);
+				break;
+			case ARM_t2LDRSBi8:
+				MCInst_setOpcode(Inst, ARM_t2PLIi8);
+				break;
 			default:
 				break;
 		}
@@ -3454,8 +3481,14 @@ static DecodeStatus DecodeT2LoadImm8(MCI
 
 	switch (MCInst_getOpcode(Inst)) {
 		case ARM_t2PLDi8:
+			break;
 		case ARM_t2PLIi8:
+			if (!hasV7Ops)
+				return MCDisassembler_Fail;
+			break;
 		case ARM_t2PLDWi8:
+			if (!hasV7Ops || !hasMP)
+				return MCDisassembler_Fail;
 			break;
 		default:
 			if (!Check(&S, DecodeGPRRegisterClass(Inst, Rt, Address, Decoder)))
@@ -3475,6 +3508,10 @@ static DecodeStatus DecodeT2LoadImm12(MC
 	unsigned Rn = fieldFromInstruction_4(Insn, 16, 4);
 	unsigned Rt = fieldFromInstruction_4(Insn, 12, 4);
 	unsigned imm = fieldFromInstruction_4(Insn, 0, 12);
+	uint64_t featureBits = ARM_getFeatureBits(Inst->csh->mode);
+	bool hasMP = ((featureBits & ARM_FeatureMP) != 0);
+	bool hasV7Ops = ((featureBits & ARM_HasV7Ops) != 0);
+
 	imm |= (Rn << 13);
 
 	if (Rn == 15) {
@@ -3511,7 +3548,10 @@ static DecodeStatus DecodeT2LoadImm12(MC
 			case ARM_t2LDRSHi12:
 				return MCDisassembler_Fail;
 			case ARM_t2LDRHi12:
-				MCInst_setOpcode(Inst, ARM_t2PLDi12);
+				MCInst_setOpcode(Inst, ARM_t2PLDWi12);
+				break;
+			case ARM_t2LDRSBi12:
+				MCInst_setOpcode(Inst, ARM_t2PLIi12);
 				break;
 			default:
 				break;
@@ -3520,8 +3560,14 @@ static DecodeStatus DecodeT2LoadImm12(MC
 
 	switch (MCInst_getOpcode(Inst)) {
 		case ARM_t2PLDi12:
-		case ARM_t2PLDWi12:
+			break;
 		case ARM_t2PLIi12:
+			if (!hasV7Ops)
+				return MCDisassembler_Fail;
+			break;
+		case ARM_t2PLDWi12:
+			if (!hasV7Ops || !hasMP)
+				return MCDisassembler_Fail;
 			break;
 		default:
 			if (!Check(&S, DecodeGPRRegisterClass(Inst, Rt, Address, Decoder)))
@@ -3581,6 +3627,8 @@ static DecodeStatus DecodeT2LoadLabel(MC
 	unsigned Rt = fieldFromInstruction_4(Insn, 12, 4);
 	unsigned U = fieldFromInstruction_4(Insn, 23, 1);
 	int imm = fieldFromInstruction_4(Insn, 0, 12);
+	uint64_t featureBits = ARM_getFeatureBits(Inst->csh->mode);
+	bool hasV7Ops = ((featureBits & ARM_HasV7Ops) != 0);
 
 	if (Rt == 15) {
 		switch (MCInst_getOpcode(Inst)) {
@@ -3600,7 +3648,10 @@ static DecodeStatus DecodeT2LoadLabel(MC
 
 	switch(MCInst_getOpcode(Inst)) {
 		case ARM_t2PLDpci:
+			break;
 		case ARM_t2PLIpci:
+			if (!hasV7Ops)
+				return MCDisassembler_Fail;
 			break;
 		default:
 			if (!Check(&S, DecodeGPRRegisterClass(Inst, Rt, Address, Decoder)))
@@ -4053,6 +4104,7 @@ static DecodeStatus DecodeInstSyncBarrie
 static DecodeStatus DecodeMSRMask(MCInst *Inst, unsigned Val,
 		uint64_t Address, const void *Decoder)
 {
+	DecodeStatus S = MCDisassembler_Success;
 	uint64_t FeatureBits = ARM_getFeatureBits(Inst->csh->mode);
 	if (FeatureBits & ARM_FeatureMClass) {
 		unsigned ValLow = Val & 0xff;
@@ -4082,17 +4134,25 @@ static DecodeStatus DecodeMSRMask(MCInst
 				return MCDisassembler_Fail;
 		}
 
-		// The ARMv7-M architecture has an additional 2-bit mask value in the MSR
-		// instruction (bits {11,10}). The mask is used only with apsr, iapsr,
-		// eapsr and xpsr, it has to be 0b10 in other cases. Bit mask{1} indicates
-		// if the NZCVQ bits should be moved by the instruction. Bit mask{0}
-		// indicates the move for the GE{3:0} bits, the mask{0} bit can be set
-		// only if the processor includes the DSP extension.
-		if ((FeatureBits & ARM_HasV7Ops) && MCInst_getOpcode(Inst) == ARM_t2MSR_M) {
-			unsigned Mask = (Val >> 10) & 3;
-			if (Mask == 0 || (Mask != 2 && ValLow > 3) ||
-					(!(FeatureBits & ARM_FeatureDSPThumb2) && Mask == 1))
-				return MCDisassembler_Fail;
+		if (MCInst_getOpcode(Inst) == ARM_t2MSR_M) {
+			unsigned Mask = fieldFromInstruction_4(Val, 10, 2);
+			if (!(FeatureBits & ARM_HasV7Ops)) {
+				// The ARMv6-M MSR bits {11-10} can be only 0b10, other values are
+				// unpredictable.
+				if (Mask != 2)
+					S = MCDisassembler_SoftFail;
+			}
+			else {
+				// The ARMv7-M architecture stores an additional 2-bit mask value in
+				// MSR bits {11-10}. The mask is used only with apsr, iapsr, eapsr and
+				// xpsr, it has to be 0b10 in other cases. Bit mask{1} indicates if
+				// the NZCVQ bits should be moved by the instruction. Bit mask{0}
+				// indicates the move for the GE{3:0} bits, the mask{0} bit can be set
+				// only if the processor includes the DSP extension.
+				if (Mask == 0 || (Mask != 2 && ValLow > 3) ||
+						(!(FeatureBits & ARM_FeatureDSPThumb2) && (Mask & 1)))
+					S = MCDisassembler_SoftFail;
+			}
 		}
 	} else {
 		// A/R class
@@ -4101,6 +4161,30 @@ static DecodeStatus DecodeMSRMask(MCInst
 	}
 
 	MCOperand_CreateImm0(Inst, Val);
+	return S;
+}
+
+static DecodeStatus DecodeBankedReg(MCInst *Inst, unsigned Val,
+		uint64_t Address, const void *Decoder)
+{
+
+	unsigned R = fieldFromInstruction_4(Val, 5, 1);
+	unsigned SysM = fieldFromInstruction_4(Val, 0, 5);
+
+	// The table of encodings for these banked registers comes from B9.2.3 of the
+	// ARM ARM. There are patterns, but nothing regular enough to make this logic
+	// neater. So by fiat, these values are UNPREDICTABLE:
+	if (!R) {
+		if (SysM == 0x7 || SysM == 0xf || SysM == 0x18 || SysM == 0x19 ||
+				SysM == 0x1a || SysM == 0x1b)
+			return MCDisassembler_SoftFail;
+	} else {
+		if (SysM != 0xe && SysM != 0x10 && SysM != 0x12 && SysM != 0x14 &&
+				SysM != 0x16 && SysM != 0x1c && SysM != 0x1e)
+			return MCDisassembler_SoftFail;
+	}
+
+	MCOperand_CreateImm0(Inst, Val);
 	return MCDisassembler_Success;
 }
 
@@ -4961,8 +5045,10 @@ static DecodeStatus DecodeT2ShifterImmOp
 	DecodeStatus S = MCDisassembler_Success;
 
 	// Shift of "asr #32" is not allowed in Thumb2 mode.
-	if (Val == 0x20) S = MCDisassembler_SoftFail;
+	if (Val == 0x20)
+		S = MCDisassembler_Fail;
 	MCOperand_CreateImm0(Inst, Val);
+
 	return S;
 }
 
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMDisassembler.h 4.0.2-3/arch/ARM/ARMDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_ARMDISASSEMBLER_H
 #define CS_ARMDISASSEMBLER_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 
 void ARM_init(MCRegisterInfo *MRI);
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMGenAsmWriter.inc 4.0.2-3/arch/ARM/ARMGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 /// printInstruction - This method is automatically generated by tablegen
 /// from the instruction set description.
@@ -25,244 +25,250 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    1329U,	// DBG_VALUE
+    1341U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    1322U,	// BUNDLE
-    1339U,	// LIFETIME_START
-    1309U,	// LIFETIME_END
+    1334U,	// BUNDLE
+    1351U,	// LIFETIME_START
+    1321U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// ABS
-    5768U,	// ADCri
-    5768U,	// ADCrr
-    9864U,	// ADCrsi
-    13960U,	// ADCrsr
+    5780U,	// ADCri
+    5780U,	// ADCrr
+    9876U,	// ADCrsi
+    13972U,	// ADCrsr
     0U,	// ADDSri
     0U,	// ADDSrr
     0U,	// ADDSrsi
     0U,	// ADDSrsr
-    5829U,	// ADDri
-    5829U,	// ADDrr
-    9925U,	// ADDrsi
-    14021U,	// ADDrsr
+    5841U,	// ADDri
+    5841U,	// ADDrr
+    9937U,	// ADDrsi
+    14033U,	// ADDrsr
     0U,	// ADJCALLSTACKDOWN
     0U,	// ADJCALLSTACKUP
-    18806U,	// ADR
+    18818U,	// ADR
     1090671288U,	// AESD
     1090671296U,	// AESE
     1107448485U,	// AESIMC
     1107448495U,	// AESMC
-    5882U,	// ANDri
-    5882U,	// ANDrr
-    9978U,	// ANDrsi
-    14074U,	// ANDrsr
-    268708U,	// ASRi
-    268708U,	// ASRr
+    5894U,	// ANDri
+    5894U,	// ANDrr
+    9990U,	// ANDrsi
+    14086U,	// ANDrsr
+    268720U,	// ASRi
+    268720U,	// ASRr
     0U,	// B
     0U,	// BCCZi64
     0U,	// BCCi64
-    26256U,	// BFC
-    30677U,	// BFI
-    5781U,	// BICri
-    5781U,	// BICrr
-    9877U,	// BICrsi
-    13973U,	// BICrsr
-    414542U,	// BKPT
-    414522U,	// BL
-    414582U,	// BLX
-    1073777581U,	// BLX_pred
-    414582U,	// BLXi
-    1073776678U,	// BL_pred
+    26268U,	// BFC
+    30689U,	// BFI
+    5793U,	// BICri
+    5793U,	// BICrr
+    9889U,	// BICrsi
+    13985U,	// BICrsr
+    414547U,	// BKPT
+    414527U,	// BL
+    414594U,	// BLX
+    1073777598U,	// BLX_pred
+    414594U,	// BLXi
+    1073776690U,	// BL_pred
     0U,	// BMOVPCB_CALL
     0U,	// BMOVPCRX_CALL
     0U,	// BR_JTadd
     0U,	// BR_JTm
     0U,	// BR_JTr
-    414578U,	// BX
-    1073776615U,	// BXJ
+    414590U,	// BX
+    1073776627U,	// BXJ
     0U,	// BX_CALL
-    564041U,	// BX_RET
-    1073777481U,	// BX_pred
-    1073776035U,	// Bcc
-    2197858625U,	// CDP
+    564058U,	// BX_RET
+    1073777498U,	// BX_pred
+    1073776047U,	// Bcc
+    2197858637U,	// CDP
     67809687U,	// CDP2
-    2967U,	// CLREX
-    19417U,	// CLZ
-    18663U,	// CMNri
-    18663U,	// CMNzrr
-    26855U,	// CMNzrsi
-    30951U,	// CMNzrsr
-    18763U,	// CMPri
-    18763U,	// CMPrr
-    26955U,	// CMPrsi
-    31051U,	// CMPrsr
+    2984U,	// CLREX
+    19434U,	// CLZ
+    18675U,	// CMNri
+    18675U,	// CMNzrr
+    26867U,	// CMNzrsi
+    30963U,	// CMNzrsr
+    18775U,	// CMPri
+    18775U,	// CMPrr
+    26967U,	// CMPrsi
+    31063U,	// CMPrsr
     0U,	// CONSTPOOL_ENTRY
     0U,	// COPY_STRUCT_BYVAL_I32
-    414526U,	// CPS1p
-    1157679610U,	// CPS2p
-    83937786U,	// CPS3p
+    414531U,	// CPS1p
+    1157679622U,	// CPS2p
+    83937798U,	// CPS3p
     33706710U,	// CRC32B
     33706718U,	// CRC32CB
-    33706782U,	// CRC32CH
-    33706851U,	// CRC32CW
-    33706774U,	// CRC32H
-    33706843U,	// CRC32W
-    1073776474U,	// DBG
+    33706787U,	// CRC32CH
+    33706863U,	// CRC32CW
+    33706779U,	// CRC32H
+    33706855U,	// CRC32W
+    1073776486U,	// DBG
     54005U,	// DMB
     54010U,	// DSB
-    6546U,	// EORri
-    6546U,	// EORrr
-    10642U,	// EORrsi
-    14738U,	// EORrsr
-    3322694386U,	// FCONSTD
-    3322825458U,	// FCONSTS
-    33573700U,	// FLDMXDB_UPD
-    35597U,	// FLDMXIA
-    33573645U,	// FLDMXIA_UPD
-    1087998U,	// FMSTAT
-    33573708U,	// FSTMXDB_UPD
-    35605U,	// FSTMXIA
-    33573653U,	// FSTMXIA_UPD
-    1073777285U,	// HINT
-    414537U,	// HLT
+    6558U,	// EORri
+    6558U,	// EORrr
+    10654U,	// EORrsi
+    14750U,	// EORrsr
+    432735U,	// ERET
+    3322694403U,	// FCONSTD
+    3322825475U,	// FCONSTS
+    33573717U,	// FLDMXDB_UPD
+    35614U,	// FLDMXIA
+    33573662U,	// FLDMXIA_UPD
+    1088010U,	// FMSTAT
+    33573725U,	// FSTMXDB_UPD
+    35622U,	// FSTMXIA
+    33573670U,	// FSTMXIA_UPD
+    1073777302U,	// HINT
+    414542U,	// HLT
+    414468U,	// HVC
     58111U,	// ISB
-    117766771U,	// ITasm
+    117766788U,	// ITasm
     0U,	// Int_eh_sjlj_dispatchsetup
     0U,	// Int_eh_sjlj_longjmp
     0U,	// Int_eh_sjlj_setjmp
     0U,	// Int_eh_sjlj_setjmp_nofp
-    17743U,	// LDA
-    17824U,	// LDAB
-    19333U,	// LDAEX
-    18024U,	// LDAEXB
-    134235924U,	// LDAEXD
-    18361U,	// LDAEXH
-    18281U,	// LDAH
-    152220460U,	// LDC2L_OFFSET
-    1242739500U,	// LDC2L_OPTION
-    2316481324U,	// LDC2L_POST
-    185774892U,	// LDC2L_PRE
+    17755U,	// LDA
+    17836U,	// LDAB
+    19350U,	// LDAEX
+    18036U,	// LDAEXB
+    134235936U,	// LDAEXD
+    18373U,	// LDAEXH
+    18293U,	// LDAH
+    152220465U,	// LDC2L_OFFSET
+    1242739505U,	// LDC2L_OPTION
+    2316481329U,	// LDC2L_POST
+    185774897U,	// LDC2L_PRE
     152220030U,	// LDC2_OFFSET
     1242739070U,	// LDC2_OPTION
     2316480894U,	// LDC2_POST
     185774462U,	// LDC2_PRE
-    3271587887U,	// LDCL_OFFSET
-    3271587887U,	// LDCL_OPTION
-    3271587887U,	// LDCL_POST
-    3271587887U,	// LDCL_PRE
-    3271587468U,	// LDC_OFFSET
-    3271587468U,	// LDC_OPTION
-    3271587468U,	// LDC_POST
-    3271587468U,	// LDC_PRE
-    34131U,	// LDMDA
-    33572179U,	// LDMDA_UPD
-    34258U,	// LDMDB
-    33572306U,	// LDMDB_UPD
-    34998U,	// LDMIA
+    3271587899U,	// LDCL_OFFSET
+    3271587899U,	// LDCL_OPTION
+    3271587899U,	// LDCL_POST
+    3271587899U,	// LDCL_PRE
+    3271587480U,	// LDC_OFFSET
+    3271587480U,	// LDC_OPTION
+    3271587480U,	// LDC_POST
+    3271587480U,	// LDC_PRE
+    34143U,	// LDMDA
+    33572191U,	// LDMDA_UPD
+    34270U,	// LDMDB
+    33572318U,	// LDMDB_UPD
+    35010U,	// LDMIA
     0U,	// LDMIA_RET
-    33573046U,	// LDMIA_UPD
-    34277U,	// LDMIB
-    33572325U,	// LDMIB_UPD
-    281152U,	// LDRBT_POST
-    68160U,	// LDRBT_POST_IMM
-    68160U,	// LDRBT_POST_REG
-    67071U,	// LDRB_POST_IMM
-    67071U,	// LDRB_POST_REG
-    30207U,	// LDRB_PRE_IMM
-    67071U,	// LDRB_PRE_REG
-    26111U,	// LDRBi12
-    30207U,	// LDRBrs
-    67326U,	// LDRD
-    42750U,	// LDRD_POST
-    42750U,	// LDRD_PRE
-    19345U,	// LDREX
-    18038U,	// LDREXB
-    134235938U,	// LDREXD
-    18375U,	// LDREXH
-    30612U,	// LDRH
-    31326U,	// LDRHTi
-    68190U,	// LDRHTr
-    67476U,	// LDRH_POST
-    67476U,	// LDRH_PRE
+    33573058U,	// LDMIA_UPD
+    34289U,	// LDMIB
+    33572337U,	// LDMIB_UPD
+    281164U,	// LDRBT_POST
+    68172U,	// LDRBT_POST_IMM
+    68172U,	// LDRBT_POST_REG
+    67083U,	// LDRB_POST_IMM
+    67083U,	// LDRB_POST_REG
+    30219U,	// LDRB_PRE_IMM
+    67083U,	// LDRB_PRE_REG
+    26123U,	// LDRBi12
+    30219U,	// LDRBrs
+    67338U,	// LDRD
+    42762U,	// LDRD_POST
+    42762U,	// LDRD_PRE
+    19362U,	// LDREX
+    18050U,	// LDREXB
+    134235950U,	// LDREXD
+    18387U,	// LDREXH
+    30624U,	// LDRH
+    31343U,	// LDRHTi
+    68207U,	// LDRHTr
+    67488U,	// LDRH_POST
+    67488U,	// LDRH_PRE
     0U,	// LDRLIT_ga_abs
     0U,	// LDRLIT_ga_pcrel
     0U,	// LDRLIT_ga_pcrel_ldr
-    30225U,	// LDRSB
-    31308U,	// LDRSBTi
-    68172U,	// LDRSBTr
-    67089U,	// LDRSB_POST
-    67089U,	// LDRSB_PRE
-    30622U,	// LDRSH
-    31338U,	// LDRSHTi
-    68202U,	// LDRSHTr
-    67486U,	// LDRSH_POST
-    67486U,	// LDRSH_PRE
-    281226U,	// LDRT_POST
-    68234U,	// LDRT_POST_IMM
-    68234U,	// LDRT_POST_REG
-    67963U,	// LDR_POST_IMM
-    67963U,	// LDR_POST_REG
-    31099U,	// LDR_PRE_IMM
-    67963U,	// LDR_PRE_REG
-    27003U,	// LDRcp
-    27003U,	// LDRi12
-    31099U,	// LDRrs
+    30237U,	// LDRSB
+    31320U,	// LDRSBTi
+    68184U,	// LDRSBTr
+    67101U,	// LDRSB_POST
+    67101U,	// LDRSB_PRE
+    30634U,	// LDRSH
+    31355U,	// LDRSHTi
+    68219U,	// LDRSHTr
+    67498U,	// LDRSH_POST
+    67498U,	// LDRSH_PRE
+    281243U,	// LDRT_POST
+    68251U,	// LDRT_POST_IMM
+    68251U,	// LDRT_POST_REG
+    67975U,	// LDR_POST_IMM
+    67975U,	// LDR_POST_REG
+    31111U,	// LDR_PRE_IMM
+    67975U,	// LDR_PRE_REG
+    27015U,	// LDRcp
+    27015U,	// LDRi12
+    31111U,	// LDRrs
     0U,	// LEApcrel
     0U,	// LEApcrelJT
-    268433U,	// LSLi
-    268433U,	// LSLr
-    268715U,	// LSRi
-    268715U,	// LSRr
-    2197858674U,	// MCR
+    268445U,	// LSLi
+    268445U,	// LSLr
+    268727U,	// LSRi
+    268727U,	// LSRr
+    2197858686U,	// MCR
     17478045U,	// MCR2
-    2197883290U,	// MCRR
+    2197883302U,	// MCRR
     17478051U,	// MCRR2
-    9595U,	// MLA
+    9607U,	// MLA
     0U,	// MLAv5
-    31197U,	// MLS
+    31209U,	// MLS
     0U,	// MOVCCi
     0U,	// MOVCCi16
     0U,	// MOVCCi32imm
     0U,	// MOVCCr
     0U,	// MOVCCsi
     0U,	// MOVCCsr
-    1350387U,	// MOVPCLR
+    1350404U,	// MOVPCLR
     0U,	// MOVPCRX
-    27328U,	// MOVTi16
+    27345U,	// MOVTi16
     0U,	// MOVTi16_ga_pcrel
     0U,	// MOV_ga_pcrel
     0U,	// MOV_ga_pcrel_ldr
-    72435U,	// MOVi
-    19208U,	// MOVi16
+    72452U,	// MOVi
+    19225U,	// MOVi16
     0U,	// MOVi16_ga_pcrel
     0U,	// MOVi32imm
-    72435U,	// MOVr
-    72435U,	// MOVr_TC
-    6899U,	// MOVsi
-    10995U,	// MOVsr
+    72452U,	// MOVr
+    72452U,	// MOVr_TC
+    6916U,	// MOVsi
+    11012U,	// MOVsr
     0U,	// MOVsra_flag
     0U,	// MOVsrl_flag
-    201369245U,	// MRC
+    201369257U,	// MRC
     74116U,	// MRC2
-    2197882529U,	// MRRC
+    2197882541U,	// MRRC
     17478026U,	// MRRC2
-    35327U,	// MRS
-    1073777151U,	// MRSsys
-    218122672U,	// MSR
-    218122672U,	// MSRi
-    6305U,	// MUL
+    35339U,	// MRS
+    18955U,	// MRSbanked
+    1073777163U,	// MRSsys
+    2365606332U,	// MSR
+    234899900U,	// MSRbanked
+    2365606332U,	// MSRi
+    6317U,	// MUL
     0U,	// MULv5
     0U,	// MVNCCi
-    71979U,	// MVNi
-    71979U,	// MVNr
-    6443U,	// MVNsi
-    10539U,	// MVNsr
-    6560U,	// ORRri
-    6560U,	// ORRrr
-    10656U,	// ORRrsi
-    14752U,	// ORRrsr
+    71991U,	// MVNi
+    71991U,	// MVNr
+    6455U,	// MVNsi
+    10551U,	// MVNsr
+    6572U,	// ORRri
+    6572U,	// ORRrr
+    10668U,	// ORRrsi
+    14764U,	// ORRrsr
     0U,	// PICADD
     0U,	// PICLDR
     0U,	// PICLDRB
@@ -272,28 +278,28 @@ static void printInstruction(MCInst *MI,
     0U,	// PICSTR
     0U,	// PICSTRB
     0U,	// PICSTRH
-    31275U,	// PKHBT
-    30238U,	// PKHTB
-    78700U,	// PLDWi12
-    82796U,	// PLDWrs
-    78596U,	// PLDi12
-    82692U,	// PLDrs
-    78631U,	// PLIi12
-    82727U,	// PLIrs
-    26333U,	// QADD
-    25764U,	// QADD16
-    25867U,	// QADD8
-    27586U,	// QASX
-    26307U,	// QDADD
-    26179U,	// QDSUB
-    27445U,	// QSAX
-    26192U,	// QSUB
-    25726U,	// QSUB16
-    25828U,	// QSUB8
-    19057U,	// RBIT
-    19167U,	// REV
-    17608U,	// REV16
-    18345U,	// REVSH
+    31287U,	// PKHBT
+    30250U,	// PKHTB
+    78712U,	// PLDWi12
+    82808U,	// PLDWrs
+    78601U,	// PLDi12
+    82697U,	// PLDrs
+    78636U,	// PLIi12
+    82732U,	// PLIrs
+    26345U,	// QADD
+    25776U,	// QADD16
+    25879U,	// QADD8
+    27603U,	// QASX
+    26319U,	// QDADD
+    26191U,	// QDSUB
+    27462U,	// QSAX
+    26204U,	// QSUB
+    25738U,	// QSUB16
+    25840U,	// QSUB8
+    19074U,	// RBIT
+    19184U,	// REV
+    17620U,	// REV16
+    18357U,	// REVSH
     414408U,	// RFEDA
     1462984U,	// RFEDA_UPD
     414439U,	// RFEDB
@@ -302,32 +308,32 @@ static void printInstruction(MCInst *MI,
     1462991U,	// RFEIA_UPD
     414446U,	// RFEIB
     1463022U,	// RFEIB_UPD
-    268694U,	// RORi
-    268694U,	// RORr
+    268706U,	// RORi
+    268706U,	// RORr
     0U,	// RRX
-    334769U,	// RRXi
+    334786U,	// RRXi
     0U,	// RSBSri
     0U,	// RSBSrsi
     0U,	// RSBSrsr
-    5651U,	// RSBri
-    5651U,	// RSBrr
-    9747U,	// RSBrsi
-    13843U,	// RSBrsr
-    5798U,	// RSCri
-    5798U,	// RSCrr
-    9894U,	// RSCrsi
-    13990U,	// RSCrsr
-    25771U,	// SADD16
-    25873U,	// SADD8
-    27591U,	// SASX
-    5764U,	// SBCri
-    5764U,	// SBCrr
-    9860U,	// SBCrsi
-    13956U,	// SBCrsr
-    31651U,	// SBFX
-    27363U,	// SDIV
-    26700U,	// SEL
-    86793U,	// SETEND
+    5663U,	// RSBri
+    5663U,	// RSBrr
+    9759U,	// RSBrsi
+    13855U,	// RSBrsr
+    5810U,	// RSCri
+    5810U,	// RSCrr
+    9906U,	// RSCrsi
+    14002U,	// RSCrsr
+    25783U,	// SADD16
+    25885U,	// SADD8
+    27608U,	// SASX
+    5776U,	// SBCri
+    5776U,	// SBCrr
+    9872U,	// SBCrsi
+    13968U,	// SBCrsr
+    31668U,	// SBFX
+    27380U,	// SDIV
+    26712U,	// SEL
+    86798U,	// SETEND
     16928834U,	// SHA1C
     1107447884U,	// SHA1H
     16928866U,	// SHA1M
@@ -338,390 +344,391 @@ static void printInstruction(MCInst *MI,
     16928821U,	// SHA256H2
     1090670605U,	// SHA256SU0
     16928807U,	// SHA256SU1
-    25747U,	// SHADD16
-    25852U,	// SHADD8
-    27573U,	// SHASX
-    27432U,	// SHSAX
-    25709U,	// SHSUB16
-    25813U,	// SHSUB8
-    1073776281U,	// SMC
-    30129U,	// SMLABB
-    31268U,	// SMLABT
-    30386U,	// SMLAD
-    31577U,	// SMLADX
-    92178U,	// SMLAL
-    30136U,	// SMLALBB
-    31281U,	// SMLALBT
-    30439U,	// SMLALD
-    31591U,	// SMLALDX
-    30244U,	// SMLALTB
-    31398U,	// SMLALTT
+    25759U,	// SHADD16
+    25864U,	// SHADD8
+    27590U,	// SHASX
+    27449U,	// SHSAX
+    25721U,	// SHSUB16
+    25825U,	// SHSUB8
+    1073776293U,	// SMC
+    30141U,	// SMLABB
+    31280U,	// SMLABT
+    30398U,	// SMLAD
+    31594U,	// SMLADX
+    92190U,	// SMLAL
+    30148U,	// SMLALBB
+    31293U,	// SMLALBT
+    30451U,	// SMLALD
+    31608U,	// SMLALDX
+    30256U,	// SMLALTB
+    31415U,	// SMLALTT
     0U,	// SMLALv5
-    30231U,	// SMLATB
-    31391U,	// SMLATT
-    30298U,	// SMLAWB
-    31429U,	// SMLAWT
-    30472U,	// SMLSD
-    31607U,	// SMLSDX
-    30450U,	// SMLSLD
-    31599U,	// SMLSLDX
-    30073U,	// SMMLA
-    31083U,	// SMMLAR
-    31195U,	// SMMLS
-    31144U,	// SMMLSR
-    26783U,	// SMMUL
-    27018U,	// SMMULR
-    26296U,	// SMUAD
-    27488U,	// SMUADX
-    26048U,	// SMULBB
-    27193U,	// SMULBT
-    10358U,	// SMULL
+    30243U,	// SMLATB
+    31408U,	// SMLATT
+    30310U,	// SMLAWB
+    31446U,	// SMLAWT
+    30484U,	// SMLSD
+    31624U,	// SMLSDX
+    30462U,	// SMLSLD
+    31616U,	// SMLSLDX
+    30085U,	// SMMLA
+    31095U,	// SMMLAR
+    31207U,	// SMMLS
+    31156U,	// SMMLSR
+    26795U,	// SMMUL
+    27030U,	// SMMULR
+    26308U,	// SMUAD
+    27505U,	// SMUADX
+    26060U,	// SMULBB
+    27205U,	// SMULBT
+    10370U,	// SMULL
     0U,	// SMULLv5
-    26156U,	// SMULTB
-    27310U,	// SMULTT
-    26209U,	// SMULWB
-    27340U,	// SMULWT
-    26382U,	// SMUSD
-    27518U,	// SMUSDX
-    414646U,	// SRSDA
-    414598U,	// SRSDA_UPD
-    414668U,	// SRSDB
-    414622U,	// SRSDB_UPD
-    414657U,	// SRSIA
-    414610U,	// SRSIA_UPD
-    414679U,	// SRSIB
-    414634U,	// SRSIB_UPD
-    31258U,	// SSAT
-    25785U,	// SSAT16
-    27450U,	// SSAX
-    25733U,	// SSUB16
-    25834U,	// SSUB8
-    152220467U,	// STC2L_OFFSET
-    1242739507U,	// STC2L_OPTION
-    2316481331U,	// STC2L_POST
-    185774899U,	// STC2L_PRE
+    26168U,	// SMULTB
+    27327U,	// SMULTT
+    26221U,	// SMULWB
+    27357U,	// SMULWT
+    26394U,	// SMUSD
+    27535U,	// SMUSDX
+    0U,	// SPACE
+    414658U,	// SRSDA
+    414610U,	// SRSDA_UPD
+    414680U,	// SRSDB
+    414634U,	// SRSDB_UPD
+    414669U,	// SRSIA
+    414622U,	// SRSIA_UPD
+    414691U,	// SRSIB
+    414646U,	// SRSIB_UPD
+    31270U,	// SSAT
+    25797U,	// SSAT16
+    27467U,	// SSAX
+    25745U,	// SSUB16
+    25846U,	// SSUB8
+    152220472U,	// STC2L_OFFSET
+    1242739512U,	// STC2L_OPTION
+    2316481336U,	// STC2L_POST
+    185774904U,	// STC2L_PRE
     152220049U,	// STC2_OFFSET
     1242739089U,	// STC2_OPTION
     2316480913U,	// STC2_POST
     185774481U,	// STC2_PRE
-    3271587892U,	// STCL_OFFSET
-    3271587892U,	// STCL_OPTION
-    3271587892U,	// STCL_POST
-    3271587892U,	// STCL_PRE
-    3271587498U,	// STC_OFFSET
-    3271587498U,	// STC_OPTION
-    3271587498U,	// STC_POST
-    3271587498U,	// STC_PRE
-    18587U,	// STL
-    17905U,	// STLB
-    27531U,	// STLEX
-    26223U,	// STLEXB
-    26395U,	// STLEXD
-    26560U,	// STLEXH
-    18302U,	// STLH
-    34137U,	// STMDA
-    33572185U,	// STMDA_UPD
-    34265U,	// STMDB
-    33572313U,	// STMDB_UPD
-    35002U,	// STMIA
-    33573050U,	// STMIA_UPD
-    34283U,	// STMIB
-    33572331U,	// STMIB_UPD
-    281158U,	// STRBT_POST
-    33622598U,	// STRBT_POST_IMM
-    33622598U,	// STRBT_POST_REG
-    33621508U,	// STRB_POST_IMM
-    33621508U,	// STRB_POST_REG
-    33584644U,	// STRB_PRE_IMM
-    33621508U,	// STRB_PRE_REG
-    26116U,	// STRBi12
+    3271587904U,	// STCL_OFFSET
+    3271587904U,	// STCL_OPTION
+    3271587904U,	// STCL_POST
+    3271587904U,	// STCL_PRE
+    3271587510U,	// STC_OFFSET
+    3271587510U,	// STC_OPTION
+    3271587510U,	// STC_POST
+    3271587510U,	// STC_PRE
+    18599U,	// STL
+    17917U,	// STLB
+    27548U,	// STLEX
+    26235U,	// STLEXB
+    26407U,	// STLEXD
+    26572U,	// STLEXH
+    18314U,	// STLH
+    34149U,	// STMDA
+    33572197U,	// STMDA_UPD
+    34277U,	// STMDB
+    33572325U,	// STMDB_UPD
+    35014U,	// STMIA
+    33573062U,	// STMIA_UPD
+    34295U,	// STMIB
+    33572343U,	// STMIB_UPD
+    281170U,	// STRBT_POST
+    33622610U,	// STRBT_POST_IMM
+    33622610U,	// STRBT_POST_REG
+    33621520U,	// STRB_POST_IMM
+    33621520U,	// STRB_POST_REG
+    33584656U,	// STRB_PRE_IMM
+    33621520U,	// STRB_PRE_REG
+    26128U,	// STRBi12
     0U,	// STRBi_preidx
     0U,	// STRBr_preidx
-    30212U,	// STRBrs
-    67331U,	// STRD
-    33597187U,	// STRD_POST
-    33597187U,	// STRD_PRE
-    27549U,	// STREX
-    26237U,	// STREXB
-    26409U,	// STREXD
-    26574U,	// STREXH
-    30617U,	// STRH
-    33585764U,	// STRHTi
-    33622628U,	// STRHTr
-    33621913U,	// STRH_POST
-    33621913U,	// STRH_PRE
+    30224U,	// STRBrs
+    67343U,	// STRD
+    33597199U,	// STRD_POST
+    33597199U,	// STRD_PRE
+    27566U,	// STREX
+    26249U,	// STREXB
+    26421U,	// STREXD
+    26586U,	// STREXH
+    30629U,	// STRH
+    33585781U,	// STRHTi
+    33622645U,	// STRHTr
+    33621925U,	// STRH_POST
+    33621925U,	// STRH_PRE
     0U,	// STRH_preidx
-    281237U,	// STRT_POST
-    33622677U,	// STRT_POST_IMM
-    33622677U,	// STRT_POST_REG
-    33622460U,	// STR_POST_IMM
-    33622460U,	// STR_POST_REG
-    33585596U,	// STR_PRE_IMM
-    33622460U,	// STR_PRE_REG
-    27068U,	// STRi12
+    281254U,	// STRT_POST
+    33622694U,	// STRT_POST_IMM
+    33622694U,	// STRT_POST_REG
+    33622472U,	// STR_POST_IMM
+    33622472U,	// STR_POST_REG
+    33585608U,	// STR_PRE_IMM
+    33622472U,	// STR_PRE_REG
+    27080U,	// STRi12
     0U,	// STRi_preidx
     0U,	// STRr_preidx
-    31164U,	// STRrs
+    31176U,	// STRrs
     0U,	// SUBS_PC_LR
     0U,	// SUBSri
     0U,	// SUBSrr
     0U,	// SUBSrsi
     0U,	// SUBSrsr
-    5701U,	// SUBri
-    5701U,	// SUBrr
-    9797U,	// SUBrsi
-    13893U,	// SUBrsr
-    1073776302U,	// SVC
-    26969U,	// SWP
-    26106U,	// SWPB
-    30117U,	// SXTAB
-    29775U,	// SXTAB16
-    30574U,	// SXTAH
-    26169U,	// SXTB
-    25695U,	// SXTB16
-    26543U,	// SXTH
+    5713U,	// SUBri
+    5713U,	// SUBrr
+    9809U,	// SUBrsi
+    13905U,	// SUBrsr
+    1073776314U,	// SVC
+    26981U,	// SWP
+    26118U,	// SWPB
+    30129U,	// SXTAB
+    29787U,	// SXTAB16
+    30586U,	// SXTAH
+    26181U,	// SXTB
+    25707U,	// SXTB16
+    26555U,	// SXTH
     0U,	// TAILJMPd
     0U,	// TAILJMPr
     0U,	// TCRETURNdi
     0U,	// TCRETURNri
-    18791U,	// TEQri
-    18791U,	// TEQrr
-    26983U,	// TEQrsi
-    31079U,	// TEQrsr
+    18803U,	// TEQri
+    18803U,	// TEQrr
+    26995U,	// TEQrsi
+    31091U,	// TEQrsr
     0U,	// TPsoft
-    2364U,	// TRAP
-    2364U,	// TRAPNaCl
-    19099U,	// TSTri
-    19099U,	// TSTrr
-    27291U,	// TSTrsi
-    31387U,	// TSTrsr
-    25778U,	// UADD16
-    25879U,	// UADD8
-    27596U,	// UASX
-    31656U,	// UBFX
-    414481U,	// UDF
-    27368U,	// UDIV
-    25755U,	// UHADD16
-    25859U,	// UHADD8
-    27579U,	// UHASX
-    27438U,	// UHSAX
-    25717U,	// UHSUB16
-    25820U,	// UHSUB8
-    30711U,	// UMAAL
-    92184U,	// UMLAL
+    2376U,	// TRAP
+    2376U,	// TRAPNaCl
+    19116U,	// TSTri
+    19116U,	// TSTrr
+    27308U,	// TSTrsi
+    31404U,	// TSTrsr
+    25790U,	// UADD16
+    25891U,	// UADD8
+    27613U,	// UASX
+    31673U,	// UBFX
+    414486U,	// UDF
+    27385U,	// UDIV
+    25767U,	// UHADD16
+    25871U,	// UHADD8
+    27596U,	// UHASX
+    27455U,	// UHSAX
+    25729U,	// UHSUB16
+    25832U,	// UHSUB8
+    30723U,	// UMAAL
+    92196U,	// UMLAL
     0U,	// UMLALv5
-    10364U,	// UMULL
+    10376U,	// UMULL
     0U,	// UMULLv5
-    25763U,	// UQADD16
-    25866U,	// UQADD8
-    27585U,	// UQASX
-    27444U,	// UQSAX
-    25725U,	// UQSUB16
-    25827U,	// UQSUB8
-    25846U,	// USAD8
-    29902U,	// USADA8
-    31263U,	// USAT
-    25792U,	// USAT16
-    27455U,	// USAX
-    25740U,	// USUB16
-    25840U,	// USUB8
-    30123U,	// UXTAB
-    29783U,	// UXTAB16
-    30580U,	// UXTAH
-    26174U,	// UXTB
-    25702U,	// UXTB16
-    26548U,	// UXTH
-    18380797U,	// VABALsv2i64
-    18511869U,	// VABALsv4i32
-    18642941U,	// VABALsv8i16
-    18774013U,	// VABALuv2i64
-    18905085U,	// VABALuv4i32
-    19036157U,	// VABALuv8i16
-    18642250U,	// VABAsv16i8
-    18380106U,	// VABAsv2i32
-    18511178U,	// VABAsv4i16
-    18380106U,	// VABAsv4i32
-    18511178U,	// VABAsv8i16
-    18642250U,	// VABAsv8i8
-    19035466U,	// VABAuv16i8
-    18773322U,	// VABAuv2i32
-    18904394U,	// VABAuv4i16
-    18773322U,	// VABAuv4i32
-    18904394U,	// VABAuv8i16
-    19035466U,	// VABAuv8i8
-    35153977U,	// VABDLsv2i64
-    35285049U,	// VABDLsv4i32
-    35416121U,	// VABDLsv8i16
-    35547193U,	// VABDLuv2i64
-    35678265U,	// VABDLuv4i32
-    35809337U,	// VABDLuv8i16
-    2249090750U,	// VABDfd
-    2249090750U,	// VABDfq
-    35415742U,	// VABDsv16i8
-    35153598U,	// VABDsv2i32
-    35284670U,	// VABDsv4i16
-    35153598U,	// VABDsv4i32
-    35284670U,	// VABDsv8i16
-    35415742U,	// VABDsv8i8
-    35808958U,	// VABDuv16i8
-    35546814U,	// VABDuv2i32
-    35677886U,	// VABDuv4i16
-    35546814U,	// VABDuv4i32
-    35677886U,	// VABDuv8i16
-    35808958U,	// VABDuv8i8
-    2248952268U,	// VABSD
-    2249083340U,	// VABSS
-    2249083340U,	// VABSfd
-    2249083340U,	// VABSfq
-    1109150156U,	// VABSv16i8
-    1108888012U,	// VABSv2i32
-    1109019084U,	// VABSv4i16
-    1108888012U,	// VABSv4i32
-    1109019084U,	// VABSv8i16
-    1109150156U,	// VABSv8i8
-    2249090864U,	// VACGEd
-    2249090864U,	// VACGEq
-    2249091667U,	// VACGTd
-    2249091667U,	// VACGTq
-    2248959714U,	// VADDD
-    35940565U,	// VADDHNv2i32
-    36071637U,	// VADDHNv4i16
-    36202709U,	// VADDHNv8i8
-    35153990U,	// VADDLsv2i64
-    35285062U,	// VADDLsv4i32
-    35416134U,	// VADDLsv8i16
-    35547206U,	// VADDLuv2i64
-    35678278U,	// VADDLuv4i32
-    35809350U,	// VADDLuv8i16
-    2249090786U,	// VADDS
-    35154685U,	// VADDWsv2i64
-    35285757U,	// VADDWsv4i32
-    35416829U,	// VADDWsv8i16
-    35547901U,	// VADDWuv2i64
-    35678973U,	// VADDWuv4i32
-    35810045U,	// VADDWuv8i16
-    2249090786U,	// VADDfd
-    2249090786U,	// VADDfq
-    36333282U,	// VADDv16i8
-    35940066U,	// VADDv1i64
-    36071138U,	// VADDv2i32
-    35940066U,	// VADDv2i64
-    36202210U,	// VADDv4i16
-    36071138U,	// VADDv4i32
-    36202210U,	// VADDv8i16
-    36333282U,	// VADDv8i8
-    26361U,	// VANDd
-    26361U,	// VANDq
-    26260U,	// VBICd
-    237397652U,	// VBICiv2i32
-    237528724U,	// VBICiv4i16
-    237397652U,	// VBICiv4i32
-    237528724U,	// VBICiv8i16
-    26260U,	// VBICq
-    30549U,	// VBIFd
-    30549U,	// VBIFq
-    31350U,	// VBITd
-    31350U,	// VBITq
-    30856U,	// VBSLd
-    30856U,	// VBSLq
-    2249091426U,	// VCEQfd
-    2249091426U,	// VCEQfq
-    36333922U,	// VCEQv16i8
-    36071778U,	// VCEQv2i32
-    36202850U,	// VCEQv4i16
-    36071778U,	// VCEQv4i32
-    36202850U,	// VCEQv8i16
-    36333922U,	// VCEQv8i8
-    2183809378U,	// VCEQzv16i8
-    2249083234U,	// VCEQzv2f32
-    2183547234U,	// VCEQzv2i32
-    2249083234U,	// VCEQzv4f32
-    2183678306U,	// VCEQzv4i16
-    2183547234U,	// VCEQzv4i32
-    2183678306U,	// VCEQzv8i16
-    2183809378U,	// VCEQzv8i8
-    2249090870U,	// VCGEfd
-    2249090870U,	// VCGEfq
-    35415862U,	// VCGEsv16i8
-    35153718U,	// VCGEsv2i32
-    35284790U,	// VCGEsv4i16
-    35153718U,	// VCGEsv4i32
-    35284790U,	// VCGEsv8i16
-    35415862U,	// VCGEsv8i8
-    35809078U,	// VCGEuv16i8
-    35546934U,	// VCGEuv2i32
-    35678006U,	// VCGEuv4i16
-    35546934U,	// VCGEuv4i32
-    35678006U,	// VCGEuv8i16
-    35809078U,	// VCGEuv8i8
-    2182891318U,	// VCGEzv16i8
-    2249082678U,	// VCGEzv2f32
-    2182629174U,	// VCGEzv2i32
-    2249082678U,	// VCGEzv4f32
-    2182760246U,	// VCGEzv4i16
-    2182629174U,	// VCGEzv4i32
-    2182760246U,	// VCGEzv8i16
-    2182891318U,	// VCGEzv8i8
-    2249091673U,	// VCGTfd
-    2249091673U,	// VCGTfq
-    35416665U,	// VCGTsv16i8
-    35154521U,	// VCGTsv2i32
-    35285593U,	// VCGTsv4i16
-    35154521U,	// VCGTsv4i32
-    35285593U,	// VCGTsv8i16
-    35416665U,	// VCGTsv8i8
-    35809881U,	// VCGTuv16i8
-    35547737U,	// VCGTuv2i32
-    35678809U,	// VCGTuv4i16
-    35547737U,	// VCGTuv4i32
-    35678809U,	// VCGTuv8i16
-    35809881U,	// VCGTuv8i8
-    2182892121U,	// VCGTzv16i8
-    2249083481U,	// VCGTzv2f32
-    2182629977U,	// VCGTzv2i32
-    2249083481U,	// VCGTzv4f32
-    2182761049U,	// VCGTzv4i16
-    2182629977U,	// VCGTzv4i32
-    2182761049U,	// VCGTzv8i16
-    2182892121U,	// VCGTzv8i8
-    2182891323U,	// VCLEzv16i8
-    2249082683U,	// VCLEzv2f32
-    2182629179U,	// VCLEzv2i32
-    2249082683U,	// VCLEzv4f32
-    2182760251U,	// VCLEzv4i16
-    2182629179U,	// VCLEzv4i32
-    2182760251U,	// VCLEzv8i16
-    2182891323U,	// VCLEzv8i8
-    1109150166U,	// VCLSv16i8
-    1108888022U,	// VCLSv2i32
-    1109019094U,	// VCLSv4i16
-    1108888022U,	// VCLSv4i32
-    1109019094U,	// VCLSv8i16
-    1109150166U,	// VCLSv8i8
-    2182892155U,	// VCLTzv16i8
-    2249083515U,	// VCLTzv2f32
-    2182630011U,	// VCLTzv2i32
-    2249083515U,	// VCLTzv4f32
-    2182761083U,	// VCLTzv4i16
-    2182630011U,	// VCLTzv4i32
-    2182761083U,	// VCLTzv8i16
-    2182892155U,	// VCLTzv8i8
-    1110068184U,	// VCLZv16i8
-    1109806040U,	// VCLZv2i32
-    1109937112U,	// VCLZv4i16
-    1109806040U,	// VCLZv4i32
-    1109937112U,	// VCLZv8i16
-    1110068184U,	// VCLZv8i8
-    2248952138U,	// VCMPD
-    2248951623U,	// VCMPED
-    2249082695U,	// VCMPES
-    252479303U,	// VCMPEZD
-    252610375U,	// VCMPEZS
-    2249083210U,	// VCMPS
-    252479818U,	// VCMPZD
-    252610890U,	// VCMPZS
-    2902656U,	// VCNTd
-    2902656U,	// VCNTq
+    25775U,	// UQADD16
+    25878U,	// UQADD8
+    27602U,	// UQASX
+    27461U,	// UQSAX
+    25737U,	// UQSUB16
+    25839U,	// UQSUB8
+    25858U,	// USAD8
+    29914U,	// USADA8
+    31275U,	// USAT
+    25804U,	// USAT16
+    27472U,	// USAX
+    25752U,	// USUB16
+    25852U,	// USUB8
+    30135U,	// UXTAB
+    29795U,	// UXTAB16
+    30592U,	// UXTAH
+    26186U,	// UXTB
+    25714U,	// UXTB16
+    26560U,	// UXTH
+    18380809U,	// VABALsv2i64
+    18511881U,	// VABALsv4i32
+    18642953U,	// VABALsv8i16
+    18774025U,	// VABALuv2i64
+    18905097U,	// VABALuv4i32
+    19036169U,	// VABALuv8i16
+    18642262U,	// VABAsv16i8
+    18380118U,	// VABAsv2i32
+    18511190U,	// VABAsv4i16
+    18380118U,	// VABAsv4i32
+    18511190U,	// VABAsv8i16
+    18642262U,	// VABAsv8i8
+    19035478U,	// VABAuv16i8
+    18773334U,	// VABAuv2i32
+    18904406U,	// VABAuv4i16
+    18773334U,	// VABAuv4i32
+    18904406U,	// VABAuv8i16
+    19035478U,	// VABAuv8i8
+    35153989U,	// VABDLsv2i64
+    35285061U,	// VABDLsv4i32
+    35416133U,	// VABDLsv8i16
+    35547205U,	// VABDLuv2i64
+    35678277U,	// VABDLuv4i32
+    35809349U,	// VABDLuv8i16
+    2249090762U,	// VABDfd
+    2249090762U,	// VABDfq
+    35415754U,	// VABDsv16i8
+    35153610U,	// VABDsv2i32
+    35284682U,	// VABDsv4i16
+    35153610U,	// VABDsv4i32
+    35284682U,	// VABDsv8i16
+    35415754U,	// VABDsv8i8
+    35808970U,	// VABDuv16i8
+    35546826U,	// VABDuv2i32
+    35677898U,	// VABDuv4i16
+    35546826U,	// VABDuv4i32
+    35677898U,	// VABDuv8i16
+    35808970U,	// VABDuv8i8
+    2248952280U,	// VABSD
+    2249083352U,	// VABSS
+    2249083352U,	// VABSfd
+    2249083352U,	// VABSfq
+    1109150168U,	// VABSv16i8
+    1108888024U,	// VABSv2i32
+    1109019096U,	// VABSv4i16
+    1108888024U,	// VABSv4i32
+    1109019096U,	// VABSv8i16
+    1109150168U,	// VABSv8i8
+    2249090876U,	// VACGEd
+    2249090876U,	// VACGEq
+    2249091684U,	// VACGTd
+    2249091684U,	// VACGTq
+    2248959726U,	// VADDD
+    35940577U,	// VADDHNv2i32
+    36071649U,	// VADDHNv4i16
+    36202721U,	// VADDHNv8i8
+    35154002U,	// VADDLsv2i64
+    35285074U,	// VADDLsv4i32
+    35416146U,	// VADDLsv8i16
+    35547218U,	// VADDLuv2i64
+    35678290U,	// VADDLuv4i32
+    35809362U,	// VADDLuv8i16
+    2249090798U,	// VADDS
+    35154702U,	// VADDWsv2i64
+    35285774U,	// VADDWsv4i32
+    35416846U,	// VADDWsv8i16
+    35547918U,	// VADDWuv2i64
+    35678990U,	// VADDWuv4i32
+    35810062U,	// VADDWuv8i16
+    2249090798U,	// VADDfd
+    2249090798U,	// VADDfq
+    36333294U,	// VADDv16i8
+    35940078U,	// VADDv1i64
+    36071150U,	// VADDv2i32
+    35940078U,	// VADDv2i64
+    36202222U,	// VADDv4i16
+    36071150U,	// VADDv4i32
+    36202222U,	// VADDv8i16
+    36333294U,	// VADDv8i8
+    26373U,	// VANDd
+    26373U,	// VANDq
+    26272U,	// VBICd
+    254174880U,	// VBICiv2i32
+    254305952U,	// VBICiv4i16
+    254174880U,	// VBICiv4i32
+    254305952U,	// VBICiv8i16
+    26272U,	// VBICq
+    30561U,	// VBIFd
+    30561U,	// VBIFq
+    31367U,	// VBITd
+    31367U,	// VBITq
+    30868U,	// VBSLd
+    30868U,	// VBSLq
+    2249091438U,	// VCEQfd
+    2249091438U,	// VCEQfq
+    36333934U,	// VCEQv16i8
+    36071790U,	// VCEQv2i32
+    36202862U,	// VCEQv4i16
+    36071790U,	// VCEQv4i32
+    36202862U,	// VCEQv8i16
+    36333934U,	// VCEQv8i8
+    3257551214U,	// VCEQzv16i8
+    2249083246U,	// VCEQzv2f32
+    3257289070U,	// VCEQzv2i32
+    2249083246U,	// VCEQzv4f32
+    3257420142U,	// VCEQzv4i16
+    3257289070U,	// VCEQzv4i32
+    3257420142U,	// VCEQzv8i16
+    3257551214U,	// VCEQzv8i8
+    2249090882U,	// VCGEfd
+    2249090882U,	// VCGEfq
+    35415874U,	// VCGEsv16i8
+    35153730U,	// VCGEsv2i32
+    35284802U,	// VCGEsv4i16
+    35153730U,	// VCGEsv4i32
+    35284802U,	// VCGEsv8i16
+    35415874U,	// VCGEsv8i8
+    35809090U,	// VCGEuv16i8
+    35546946U,	// VCGEuv2i32
+    35678018U,	// VCGEuv4i16
+    35546946U,	// VCGEuv4i32
+    35678018U,	// VCGEuv8i16
+    35809090U,	// VCGEuv8i8
+    3256633154U,	// VCGEzv16i8
+    2249082690U,	// VCGEzv2f32
+    3256371010U,	// VCGEzv2i32
+    2249082690U,	// VCGEzv4f32
+    3256502082U,	// VCGEzv4i16
+    3256371010U,	// VCGEzv4i32
+    3256502082U,	// VCGEzv8i16
+    3256633154U,	// VCGEzv8i8
+    2249091690U,	// VCGTfd
+    2249091690U,	// VCGTfq
+    35416682U,	// VCGTsv16i8
+    35154538U,	// VCGTsv2i32
+    35285610U,	// VCGTsv4i16
+    35154538U,	// VCGTsv4i32
+    35285610U,	// VCGTsv8i16
+    35416682U,	// VCGTsv8i8
+    35809898U,	// VCGTuv16i8
+    35547754U,	// VCGTuv2i32
+    35678826U,	// VCGTuv4i16
+    35547754U,	// VCGTuv4i32
+    35678826U,	// VCGTuv8i16
+    35809898U,	// VCGTuv8i8
+    3256633962U,	// VCGTzv16i8
+    2249083498U,	// VCGTzv2f32
+    3256371818U,	// VCGTzv2i32
+    2249083498U,	// VCGTzv4f32
+    3256502890U,	// VCGTzv4i16
+    3256371818U,	// VCGTzv4i32
+    3256502890U,	// VCGTzv8i16
+    3256633962U,	// VCGTzv8i8
+    3256633159U,	// VCLEzv16i8
+    2249082695U,	// VCLEzv2f32
+    3256371015U,	// VCLEzv2i32
+    2249082695U,	// VCLEzv4f32
+    3256502087U,	// VCLEzv4i16
+    3256371015U,	// VCLEzv4i32
+    3256502087U,	// VCLEzv8i16
+    3256633159U,	// VCLEzv8i8
+    1109150178U,	// VCLSv16i8
+    1108888034U,	// VCLSv2i32
+    1109019106U,	// VCLSv4i16
+    1108888034U,	// VCLSv4i32
+    1109019106U,	// VCLSv8i16
+    1109150178U,	// VCLSv8i8
+    3256633996U,	// VCLTzv16i8
+    2249083532U,	// VCLTzv2f32
+    3256371852U,	// VCLTzv2i32
+    2249083532U,	// VCLTzv4f32
+    3256502924U,	// VCLTzv4i16
+    3256371852U,	// VCLTzv4i32
+    3256502924U,	// VCLTzv8i16
+    3256633996U,	// VCLTzv8i8
+    1110068201U,	// VCLZv16i8
+    1109806057U,	// VCLZv2i32
+    1109937129U,	// VCLZv4i16
+    1109806057U,	// VCLZv4i32
+    1109937129U,	// VCLZv8i16
+    1110068201U,	// VCLZv8i8
+    2248952150U,	// VCMPD
+    2248951635U,	// VCMPED
+    2249082707U,	// VCMPES
+    269256531U,	// VCMPEZD
+    269387603U,	// VCMPEZS
+    2249083222U,	// VCMPS
+    269257046U,	// VCMPZD
+    269388118U,	// VCMPZS
+    2902673U,	// VCNTd
+    2902673U,	// VCNTq
     1107447926U,	// VCVTANSD
     1107447926U,	// VCVTANSQ
     1107447986U,	// VCVTANUD
@@ -730,11 +737,11 @@ static void printInstruction(MCInst *MI,
     1107447926U,	// VCVTASS
     1107448294U,	// VCVTAUD
     1107447986U,	// VCVTAUS
-    3032627U,	// VCVTBDH
-    3163699U,	// VCVTBHD
-    3294771U,	// VCVTBHS
-    3425843U,	// VCVTBSH
-    3558075U,	// VCVTDS
+    3032639U,	// VCVTBDH
+    3163711U,	// VCVTBHD
+    3294783U,	// VCVTBHS
+    3425855U,	// VCVTBSH
+    3558092U,	// VCVTDS
     1107447941U,	// VCVTMNSD
     1107447941U,	// VCVTMNSQ
     1107448001U,	// VCVTMNUD
@@ -759,938 +766,938 @@ static void printInstruction(MCInst *MI,
     1107447971U,	// VCVTPSS
     1107448339U,	// VCVTPUD
     1107448031U,	// VCVTPUS
-    3689147U,	// VCVTSD
-    3033781U,	// VCVTTDH
-    3164853U,	// VCVTTHD
-    3295925U,	// VCVTTHS
-    3426997U,	// VCVTTSH
-    3427003U,	// VCVTf2h
-    272255675U,	// VCVTf2sd
-    272255675U,	// VCVTf2sq
-    272386747U,	// VCVTf2ud
-    272386747U,	// VCVTf2uq
-    3325717179U,	// VCVTf2xsd
-    3325717179U,	// VCVTf2xsq
-    3325848251U,	// VCVTf2xud
-    3325848251U,	// VCVTf2xuq
-    3295931U,	// VCVTh2f
-    272517819U,	// VCVTs2fd
-    272517819U,	// VCVTs2fq
-    272648891U,	// VCVTu2fd
-    272648891U,	// VCVTu2fq
-    3325979323U,	// VCVTxs2fd
-    3325979323U,	// VCVTxs2fq
-    3326110395U,	// VCVTxu2fd
-    3326110395U,	// VCVTxu2fq
-    2248960749U,	// VDIVD
-    2249091821U,	// VDIVS
-    4344147U,	// VDUP16d
-    4344147U,	// VDUP16q
-    4475219U,	// VDUP32d
-    4475219U,	// VDUP32q
-    2902355U,	// VDUP8d
-    2902355U,	// VDUP8q
-    4352339U,	// VDUPLN16d
-    4352339U,	// VDUPLN16q
-    4483411U,	// VDUPLN32d
-    4483411U,	// VDUPLN32q
-    2910547U,	// VDUPLN8d
-    2910547U,	// VDUPLN8q
-    27025U,	// VEORd
-    27025U,	// VEORq
-    4356819U,	// VEXTd16
-    4487891U,	// VEXTd32
-    2915027U,	// VEXTd8
-    4356819U,	// VEXTq16
-    4487891U,	// VEXTq32
-    4618963U,	// VEXTq64
-    2915027U,	// VEXTq8
-    3322705290U,	// VFMAD
-    3322836362U,	// VFMAS
-    3322836362U,	// VFMAfd
-    3322836362U,	// VFMAfq
-    3322706412U,	// VFMSD
-    3322837484U,	// VFMSS
-    3322837484U,	// VFMSfd
-    3322837484U,	// VFMSfq
-    3322705295U,	// VFNMAD
-    3322836367U,	// VFNMAS
-    3322706417U,	// VFNMSD
-    3322837489U,	// VFNMSS
-    4483826U,	// VGETLNi32
-    35285746U,	// VGETLNs16
-    35416818U,	// VGETLNs8
-    35678962U,	// VGETLNu16
-    35810034U,	// VGETLNu8
-    35415760U,	// VHADDsv16i8
-    35153616U,	// VHADDsv2i32
-    35284688U,	// VHADDsv4i16
-    35153616U,	// VHADDsv4i32
-    35284688U,	// VHADDsv8i16
-    35415760U,	// VHADDsv8i8
-    35808976U,	// VHADDuv16i8
-    35546832U,	// VHADDuv2i32
-    35677904U,	// VHADDuv4i16
-    35546832U,	// VHADDuv4i32
-    35677904U,	// VHADDuv8i16
-    35808976U,	// VHADDuv8i8
-    35415625U,	// VHSUBsv16i8
-    35153481U,	// VHSUBsv2i32
-    35284553U,	// VHSUBsv4i16
-    35153481U,	// VHSUBsv4i32
-    35284553U,	// VHSUBsv8i16
-    35415625U,	// VHSUBsv8i8
-    35808841U,	// VHSUBuv16i8
-    35546697U,	// VHSUBuv2i32
-    35677769U,	// VHSUBuv4i16
-    35546697U,	// VHSUBuv4i32
-    35677769U,	// VHSUBuv8i16
-    35808841U,	// VHSUBuv8i8
-    1363305442U,	// VLD1DUPd16
-    2437051362U,	// VLD1DUPd16wb_fixed
-    2437088226U,	// VLD1DUPd16wb_register
-    1363436514U,	// VLD1DUPd32
-    2437182434U,	// VLD1DUPd32wb_fixed
-    2437219298U,	// VLD1DUPd32wb_register
-    1361863650U,	// VLD1DUPd8
-    2435609570U,	// VLD1DUPd8wb_fixed
-    2435646434U,	// VLD1DUPd8wb_register
-    1380082658U,	// VLD1DUPq16
-    2453828578U,	// VLD1DUPq16wb_fixed
-    2453865442U,	// VLD1DUPq16wb_register
-    1380213730U,	// VLD1DUPq32
-    2453959650U,	// VLD1DUPq32wb_fixed
-    2453996514U,	// VLD1DUPq32wb_register
-    1378640866U,	// VLD1DUPq8
-    2452386786U,	// VLD1DUPq8wb_fixed
-    2452423650U,	// VLD1DUPq8wb_register
-    3226010594U,	// VLD1LNd16
-    3226039266U,	// VLD1LNd16_UPD
-    3226141666U,	// VLD1LNd32
-    3226170338U,	// VLD1LNd32_UPD
-    3226272738U,	// VLD1LNd8
-    3226301410U,	// VLD1LNd8_UPD
-    4355042U,	// VLD1LNdAsm_16
-    4486114U,	// VLD1LNdAsm_32
-    2913250U,	// VLD1LNdAsm_8
-    4355042U,	// VLD1LNdWB_fixed_Asm_16
-    4486114U,	// VLD1LNdWB_fixed_Asm_32
-    2913250U,	// VLD1LNdWB_fixed_Asm_8
-    4391906U,	// VLD1LNdWB_register_Asm_16
-    4522978U,	// VLD1LNdWB_register_Asm_32
-    2950114U,	// VLD1LNdWB_register_Asm_8
+    3689164U,	// VCVTSD
+    3033798U,	// VCVTTDH
+    3164870U,	// VCVTTHD
+    3295942U,	// VCVTTHS
+    3427014U,	// VCVTTSH
+    3427020U,	// VCVTf2h
+    289032908U,	// VCVTf2sd
+    289032908U,	// VCVTf2sq
+    289163980U,	// VCVTf2ud
+    289163980U,	// VCVTf2uq
+    104491724U,	// VCVTf2xsd
+    104491724U,	// VCVTf2xsq
+    104622796U,	// VCVTf2xud
+    104622796U,	// VCVTf2xuq
+    3295948U,	// VCVTh2f
+    289295052U,	// VCVTs2fd
+    289295052U,	// VCVTs2fq
+    289426124U,	// VCVTu2fd
+    289426124U,	// VCVTu2fq
+    104753868U,	// VCVTxs2fd
+    104753868U,	// VCVTxs2fq
+    104884940U,	// VCVTxu2fd
+    104884940U,	// VCVTxu2fq
+    2248960766U,	// VDIVD
+    2249091838U,	// VDIVS
+    4344159U,	// VDUP16d
+    4344159U,	// VDUP16q
+    4475231U,	// VDUP32d
+    4475231U,	// VDUP32q
+    2902367U,	// VDUP8d
+    2902367U,	// VDUP8q
+    4352351U,	// VDUPLN16d
+    4352351U,	// VDUPLN16q
+    4483423U,	// VDUPLN32d
+    4483423U,	// VDUPLN32q
+    2910559U,	// VDUPLN8d
+    2910559U,	// VDUPLN8q
+    27037U,	// VEORd
+    27037U,	// VEORq
+    4356836U,	// VEXTd16
+    4487908U,	// VEXTd32
+    2915044U,	// VEXTd8
+    4356836U,	// VEXTq16
+    4487908U,	// VEXTq32
+    4618980U,	// VEXTq64
+    2915044U,	// VEXTq8
+    101479830U,	// VFMAD
+    101610902U,	// VFMAS
+    101610902U,	// VFMAfd
+    101610902U,	// VFMAfq
+    101480952U,	// VFMSD
+    101612024U,	// VFMSS
+    101612024U,	// VFMSfd
+    101612024U,	// VFMSfq
+    101479835U,	// VFNMAD
+    101610907U,	// VFNMAS
+    101480957U,	// VFNMSD
+    101612029U,	// VFNMSS
+    4483843U,	// VGETLNi32
+    1109027587U,	// VGETLNs16
+    1109158659U,	// VGETLNs8
+    1109420803U,	// VGETLNu16
+    1109551875U,	// VGETLNu8
+    35415772U,	// VHADDsv16i8
+    35153628U,	// VHADDsv2i32
+    35284700U,	// VHADDsv4i16
+    35153628U,	// VHADDsv4i32
+    35284700U,	// VHADDsv8i16
+    35415772U,	// VHADDsv8i8
+    35808988U,	// VHADDuv16i8
+    35546844U,	// VHADDuv2i32
+    35677916U,	// VHADDuv4i16
+    35546844U,	// VHADDuv4i32
+    35677916U,	// VHADDuv8i16
+    35808988U,	// VHADDuv8i8
+    35415637U,	// VHSUBsv16i8
+    35153493U,	// VHSUBsv2i32
+    35284565U,	// VHSUBsv4i16
+    35153493U,	// VHSUBsv4i32
+    35284565U,	// VHSUBsv8i16
+    35415637U,	// VHSUBsv8i8
+    35808853U,	// VHSUBuv16i8
+    35546709U,	// VHSUBuv2i32
+    35677781U,	// VHSUBuv4i16
+    35546709U,	// VHSUBuv4i32
+    35677781U,	// VHSUBuv8i16
+    35808853U,	// VHSUBuv8i8
+    2453824494U,	// VLD1DUPd16
+    3527570414U,	// VLD1DUPd16wb_fixed
+    3527607278U,	// VLD1DUPd16wb_register
+    2453955566U,	// VLD1DUPd32
+    3527701486U,	// VLD1DUPd32wb_fixed
+    3527738350U,	// VLD1DUPd32wb_register
+    2452382702U,	// VLD1DUPd8
+    3526128622U,	// VLD1DUPd8wb_fixed
+    3526165486U,	// VLD1DUPd8wb_register
+    2470601710U,	// VLD1DUPq16
+    3544347630U,	// VLD1DUPq16wb_fixed
+    3544384494U,	// VLD1DUPq16wb_register
+    2470732782U,	// VLD1DUPq32
+    3544478702U,	// VLD1DUPq32wb_fixed
+    3544515566U,	// VLD1DUPq32wb_register
+    2469159918U,	// VLD1DUPq8
+    3542905838U,	// VLD1DUPq8wb_fixed
+    3542942702U,	// VLD1DUPq8wb_register
+    4785134U,	// VLD1LNd16
+    4813806U,	// VLD1LNd16_UPD
+    4916206U,	// VLD1LNd32
+    4944878U,	// VLD1LNd32_UPD
+    5047278U,	// VLD1LNd8
+    5075950U,	// VLD1LNd8_UPD
+    4355054U,	// VLD1LNdAsm_16
+    4486126U,	// VLD1LNdAsm_32
+    2913262U,	// VLD1LNdAsm_8
+    4355054U,	// VLD1LNdWB_fixed_Asm_16
+    4486126U,	// VLD1LNdWB_fixed_Asm_32
+    2913262U,	// VLD1LNdWB_fixed_Asm_8
+    4391918U,	// VLD1LNdWB_register_Asm_16
+    4522990U,	// VLD1LNdWB_register_Asm_32
+    2950126U,	// VLD1LNdWB_register_Asm_8
     0U,	// VLD1LNq16Pseudo
     0U,	// VLD1LNq16Pseudo_UPD
     0U,	// VLD1LNq32Pseudo
     0U,	// VLD1LNq32Pseudo_UPD
     0U,	// VLD1LNq8Pseudo
     0U,	// VLD1LNq8Pseudo_UPD
-    1396859874U,	// VLD1d16
-    1413637090U,	// VLD1d16Q
-    2487383010U,	// VLD1d16Qwb_fixed
-    2487419874U,	// VLD1d16Qwb_register
-    1430414306U,	// VLD1d16T
-    2504160226U,	// VLD1d16Twb_fixed
-    2504197090U,	// VLD1d16Twb_register
-    2470605794U,	// VLD1d16wb_fixed
-    2470642658U,	// VLD1d16wb_register
-    1396990946U,	// VLD1d32
-    1413768162U,	// VLD1d32Q
-    2487514082U,	// VLD1d32Qwb_fixed
-    2487550946U,	// VLD1d32Qwb_register
-    1430545378U,	// VLD1d32T
-    2504291298U,	// VLD1d32Twb_fixed
-    2504328162U,	// VLD1d32Twb_register
-    2470736866U,	// VLD1d32wb_fixed
-    2470773730U,	// VLD1d32wb_register
-    1397122018U,	// VLD1d64
-    1413899234U,	// VLD1d64Q
+    2487378926U,	// VLD1d16
+    2504156142U,	// VLD1d16Q
+    3577902062U,	// VLD1d16Qwb_fixed
+    3577938926U,	// VLD1d16Qwb_register
+    2520933358U,	// VLD1d16T
+    3594679278U,	// VLD1d16Twb_fixed
+    3594716142U,	// VLD1d16Twb_register
+    3561124846U,	// VLD1d16wb_fixed
+    3561161710U,	// VLD1d16wb_register
+    2487509998U,	// VLD1d32
+    2504287214U,	// VLD1d32Q
+    3578033134U,	// VLD1d32Qwb_fixed
+    3578069998U,	// VLD1d32Qwb_register
+    2521064430U,	// VLD1d32T
+    3594810350U,	// VLD1d32Twb_fixed
+    3594847214U,	// VLD1d32Twb_register
+    3561255918U,	// VLD1d32wb_fixed
+    3561292782U,	// VLD1d32wb_register
+    2487641070U,	// VLD1d64
+    2504418286U,	// VLD1d64Q
     0U,	// VLD1d64QPseudo
     0U,	// VLD1d64QPseudoWB_fixed
     0U,	// VLD1d64QPseudoWB_register
-    2487645154U,	// VLD1d64Qwb_fixed
-    2487682018U,	// VLD1d64Qwb_register
-    1430676450U,	// VLD1d64T
+    3578164206U,	// VLD1d64Qwb_fixed
+    3578201070U,	// VLD1d64Qwb_register
+    2521195502U,	// VLD1d64T
     0U,	// VLD1d64TPseudo
     0U,	// VLD1d64TPseudoWB_fixed
     0U,	// VLD1d64TPseudoWB_register
-    2504422370U,	// VLD1d64Twb_fixed
-    2504459234U,	// VLD1d64Twb_register
-    2470867938U,	// VLD1d64wb_fixed
-    2470904802U,	// VLD1d64wb_register
-    1395418082U,	// VLD1d8
-    1412195298U,	// VLD1d8Q
-    2485941218U,	// VLD1d8Qwb_fixed
-    2485978082U,	// VLD1d8Qwb_register
-    1428972514U,	// VLD1d8T
-    2502718434U,	// VLD1d8Twb_fixed
-    2502755298U,	// VLD1d8Twb_register
-    2469164002U,	// VLD1d8wb_fixed
-    2469200866U,	// VLD1d8wb_register
-    1447191522U,	// VLD1q16
-    2520937442U,	// VLD1q16wb_fixed
-    2520974306U,	// VLD1q16wb_register
-    1447322594U,	// VLD1q32
-    2521068514U,	// VLD1q32wb_fixed
-    2521105378U,	// VLD1q32wb_register
-    1447453666U,	// VLD1q64
-    2521199586U,	// VLD1q64wb_fixed
-    2521236450U,	// VLD1q64wb_register
-    1445749730U,	// VLD1q8
-    2519495650U,	// VLD1q8wb_fixed
-    2519532514U,	// VLD1q8wb_register
-    1380082702U,	// VLD2DUPd16
-    2453828622U,	// VLD2DUPd16wb_fixed
-    2453865486U,	// VLD2DUPd16wb_register
-    1463968782U,	// VLD2DUPd16x2
-    2537714702U,	// VLD2DUPd16x2wb_fixed
-    2537751566U,	// VLD2DUPd16x2wb_register
-    1380213774U,	// VLD2DUPd32
-    2453959694U,	// VLD2DUPd32wb_fixed
-    2453996558U,	// VLD2DUPd32wb_register
-    1464099854U,	// VLD2DUPd32x2
-    2537845774U,	// VLD2DUPd32x2wb_fixed
-    2537882638U,	// VLD2DUPd32x2wb_register
-    1378640910U,	// VLD2DUPd8
-    2452386830U,	// VLD2DUPd8wb_fixed
-    2452423694U,	// VLD2DUPd8wb_register
-    1462526990U,	// VLD2DUPd8x2
-    2536272910U,	// VLD2DUPd8x2wb_fixed
-    2536309774U,	// VLD2DUPd8x2wb_register
-    3226039310U,	// VLD2LNd16
+    3594941422U,	// VLD1d64Twb_fixed
+    3594978286U,	// VLD1d64Twb_register
+    3561386990U,	// VLD1d64wb_fixed
+    3561423854U,	// VLD1d64wb_register
+    2485937134U,	// VLD1d8
+    2502714350U,	// VLD1d8Q
+    3576460270U,	// VLD1d8Qwb_fixed
+    3576497134U,	// VLD1d8Qwb_register
+    2519491566U,	// VLD1d8T
+    3593237486U,	// VLD1d8Twb_fixed
+    3593274350U,	// VLD1d8Twb_register
+    3559683054U,	// VLD1d8wb_fixed
+    3559719918U,	// VLD1d8wb_register
+    2537710574U,	// VLD1q16
+    3611456494U,	// VLD1q16wb_fixed
+    3611493358U,	// VLD1q16wb_register
+    2537841646U,	// VLD1q32
+    3611587566U,	// VLD1q32wb_fixed
+    3611624430U,	// VLD1q32wb_register
+    2537972718U,	// VLD1q64
+    3611718638U,	// VLD1q64wb_fixed
+    3611755502U,	// VLD1q64wb_register
+    2536268782U,	// VLD1q8
+    3610014702U,	// VLD1q8wb_fixed
+    3610051566U,	// VLD1q8wb_register
+    2470601754U,	// VLD2DUPd16
+    3544347674U,	// VLD2DUPd16wb_fixed
+    3544384538U,	// VLD2DUPd16wb_register
+    2554487834U,	// VLD2DUPd16x2
+    3628233754U,	// VLD2DUPd16x2wb_fixed
+    3628270618U,	// VLD2DUPd16x2wb_register
+    2470732826U,	// VLD2DUPd32
+    3544478746U,	// VLD2DUPd32wb_fixed
+    3544515610U,	// VLD2DUPd32wb_register
+    2554618906U,	// VLD2DUPd32x2
+    3628364826U,	// VLD2DUPd32x2wb_fixed
+    3628401690U,	// VLD2DUPd32x2wb_register
+    2469159962U,	// VLD2DUPd8
+    3542905882U,	// VLD2DUPd8wb_fixed
+    3542942746U,	// VLD2DUPd8wb_register
+    2553046042U,	// VLD2DUPd8x2
+    3626791962U,	// VLD2DUPd8x2wb_fixed
+    3626828826U,	// VLD2DUPd8x2wb_register
+    4813850U,	// VLD2LNd16
     0U,	// VLD2LNd16Pseudo
     0U,	// VLD2LNd16Pseudo_UPD
-    3226043406U,	// VLD2LNd16_UPD
-    3226170382U,	// VLD2LNd32
+    4817946U,	// VLD2LNd16_UPD
+    4944922U,	// VLD2LNd32
     0U,	// VLD2LNd32Pseudo
     0U,	// VLD2LNd32Pseudo_UPD
-    3226174478U,	// VLD2LNd32_UPD
-    3226301454U,	// VLD2LNd8
+    4949018U,	// VLD2LNd32_UPD
+    5075994U,	// VLD2LNd8
     0U,	// VLD2LNd8Pseudo
     0U,	// VLD2LNd8Pseudo_UPD
-    3226305550U,	// VLD2LNd8_UPD
-    4355086U,	// VLD2LNdAsm_16
-    4486158U,	// VLD2LNdAsm_32
-    2913294U,	// VLD2LNdAsm_8
-    4355086U,	// VLD2LNdWB_fixed_Asm_16
-    4486158U,	// VLD2LNdWB_fixed_Asm_32
-    2913294U,	// VLD2LNdWB_fixed_Asm_8
-    4391950U,	// VLD2LNdWB_register_Asm_16
-    4523022U,	// VLD2LNdWB_register_Asm_32
-    2950158U,	// VLD2LNdWB_register_Asm_8
-    3226039310U,	// VLD2LNq16
+    5080090U,	// VLD2LNd8_UPD
+    4355098U,	// VLD2LNdAsm_16
+    4486170U,	// VLD2LNdAsm_32
+    2913306U,	// VLD2LNdAsm_8
+    4355098U,	// VLD2LNdWB_fixed_Asm_16
+    4486170U,	// VLD2LNdWB_fixed_Asm_32
+    2913306U,	// VLD2LNdWB_fixed_Asm_8
+    4391962U,	// VLD2LNdWB_register_Asm_16
+    4523034U,	// VLD2LNdWB_register_Asm_32
+    2950170U,	// VLD2LNdWB_register_Asm_8
+    4813850U,	// VLD2LNq16
     0U,	// VLD2LNq16Pseudo
     0U,	// VLD2LNq16Pseudo_UPD
-    3226043406U,	// VLD2LNq16_UPD
-    3226170382U,	// VLD2LNq32
+    4817946U,	// VLD2LNq16_UPD
+    4944922U,	// VLD2LNq32
     0U,	// VLD2LNq32Pseudo
     0U,	// VLD2LNq32Pseudo_UPD
-    3226174478U,	// VLD2LNq32_UPD
-    4355086U,	// VLD2LNqAsm_16
-    4486158U,	// VLD2LNqAsm_32
-    4355086U,	// VLD2LNqWB_fixed_Asm_16
-    4486158U,	// VLD2LNqWB_fixed_Asm_32
-    4391950U,	// VLD2LNqWB_register_Asm_16
-    4523022U,	// VLD2LNqWB_register_Asm_32
-    1480745998U,	// VLD2b16
-    2554491918U,	// VLD2b16wb_fixed
-    2554528782U,	// VLD2b16wb_register
-    1480877070U,	// VLD2b32
-    2554622990U,	// VLD2b32wb_fixed
-    2554659854U,	// VLD2b32wb_register
-    1479304206U,	// VLD2b8
-    2553050126U,	// VLD2b8wb_fixed
-    2553086990U,	// VLD2b8wb_register
-    1447191566U,	// VLD2d16
-    2520937486U,	// VLD2d16wb_fixed
-    2520974350U,	// VLD2d16wb_register
-    1447322638U,	// VLD2d32
-    2521068558U,	// VLD2d32wb_fixed
-    2521105422U,	// VLD2d32wb_register
-    1445749774U,	// VLD2d8
-    2519495694U,	// VLD2d8wb_fixed
-    2519532558U,	// VLD2d8wb_register
-    1413637134U,	// VLD2q16
+    4949018U,	// VLD2LNq32_UPD
+    4355098U,	// VLD2LNqAsm_16
+    4486170U,	// VLD2LNqAsm_32
+    4355098U,	// VLD2LNqWB_fixed_Asm_16
+    4486170U,	// VLD2LNqWB_fixed_Asm_32
+    4391962U,	// VLD2LNqWB_register_Asm_16
+    4523034U,	// VLD2LNqWB_register_Asm_32
+    2571265050U,	// VLD2b16
+    3645010970U,	// VLD2b16wb_fixed
+    3645047834U,	// VLD2b16wb_register
+    2571396122U,	// VLD2b32
+    3645142042U,	// VLD2b32wb_fixed
+    3645178906U,	// VLD2b32wb_register
+    2569823258U,	// VLD2b8
+    3643569178U,	// VLD2b8wb_fixed
+    3643606042U,	// VLD2b8wb_register
+    2537710618U,	// VLD2d16
+    3611456538U,	// VLD2d16wb_fixed
+    3611493402U,	// VLD2d16wb_register
+    2537841690U,	// VLD2d32
+    3611587610U,	// VLD2d32wb_fixed
+    3611624474U,	// VLD2d32wb_register
+    2536268826U,	// VLD2d8
+    3610014746U,	// VLD2d8wb_fixed
+    3610051610U,	// VLD2d8wb_register
+    2504156186U,	// VLD2q16
     0U,	// VLD2q16Pseudo
     0U,	// VLD2q16PseudoWB_fixed
     0U,	// VLD2q16PseudoWB_register
-    2487383054U,	// VLD2q16wb_fixed
-    2487419918U,	// VLD2q16wb_register
-    1413768206U,	// VLD2q32
+    3577902106U,	// VLD2q16wb_fixed
+    3577938970U,	// VLD2q16wb_register
+    2504287258U,	// VLD2q32
     0U,	// VLD2q32Pseudo
     0U,	// VLD2q32PseudoWB_fixed
     0U,	// VLD2q32PseudoWB_register
-    2487514126U,	// VLD2q32wb_fixed
-    2487550990U,	// VLD2q32wb_register
-    1412195342U,	// VLD2q8
+    3578033178U,	// VLD2q32wb_fixed
+    3578070042U,	// VLD2q32wb_register
+    2502714394U,	// VLD2q8
     0U,	// VLD2q8Pseudo
     0U,	// VLD2q8PseudoWB_fixed
     0U,	// VLD2q8PseudoWB_register
-    2485941262U,	// VLD2q8wb_fixed
-    2485978126U,	// VLD2q8wb_register
-    4785198U,	// VLD3DUPd16
+    3576460314U,	// VLD2q8wb_fixed
+    3576497178U,	// VLD2q8wb_register
+    1078527034U,	// VLD3DUPd16
     0U,	// VLD3DUPd16Pseudo
     0U,	// VLD3DUPd16Pseudo_UPD
-    4813870U,	// VLD3DUPd16_UPD
-    4916270U,	// VLD3DUPd32
+    1078555706U,	// VLD3DUPd16_UPD
+    1078658106U,	// VLD3DUPd32
     0U,	// VLD3DUPd32Pseudo
     0U,	// VLD3DUPd32Pseudo_UPD
-    4944942U,	// VLD3DUPd32_UPD
-    5047342U,	// VLD3DUPd8
+    1078686778U,	// VLD3DUPd32_UPD
+    1078789178U,	// VLD3DUPd8
     0U,	// VLD3DUPd8Pseudo
     0U,	// VLD3DUPd8Pseudo_UPD
-    5076014U,	// VLD3DUPd8_UPD
-    1497523246U,	// VLD3DUPdAsm_16
-    1497654318U,	// VLD3DUPdAsm_32
-    1496081454U,	// VLD3DUPdAsm_8
-    1497523246U,	// VLD3DUPdWB_fixed_Asm_16
-    1497654318U,	// VLD3DUPdWB_fixed_Asm_32
-    1496081454U,	// VLD3DUPdWB_fixed_Asm_8
-    423785518U,	// VLD3DUPdWB_register_Asm_16
-    423916590U,	// VLD3DUPdWB_register_Asm_32
-    422343726U,	// VLD3DUPdWB_register_Asm_8
-    4785198U,	// VLD3DUPq16
-    4813870U,	// VLD3DUPq16_UPD
-    4916270U,	// VLD3DUPq32
-    4944942U,	// VLD3DUPq32_UPD
-    5047342U,	// VLD3DUPq8
-    5076014U,	// VLD3DUPq8_UPD
-    1514300462U,	// VLD3DUPqAsm_16
-    1514431534U,	// VLD3DUPqAsm_32
-    1512858670U,	// VLD3DUPqAsm_8
-    1514300462U,	// VLD3DUPqWB_fixed_Asm_16
-    1514431534U,	// VLD3DUPqWB_fixed_Asm_32
-    1512858670U,	// VLD3DUPqWB_fixed_Asm_8
-    440562734U,	// VLD3DUPqWB_register_Asm_16
-    440693806U,	// VLD3DUPqWB_register_Asm_32
-    439120942U,	// VLD3DUPqWB_register_Asm_8
-    3226043438U,	// VLD3LNd16
+    1078817850U,	// VLD3DUPd8_UPD
+    1514300474U,	// VLD3DUPdAsm_16
+    1514431546U,	// VLD3DUPdAsm_32
+    1512858682U,	// VLD3DUPdAsm_8
+    2588042298U,	// VLD3DUPdWB_fixed_Asm_16
+    2588173370U,	// VLD3DUPdWB_fixed_Asm_32
+    2586600506U,	// VLD3DUPdWB_fixed_Asm_8
+    440562746U,	// VLD3DUPdWB_register_Asm_16
+    440693818U,	// VLD3DUPdWB_register_Asm_32
+    439120954U,	// VLD3DUPdWB_register_Asm_8
+    1078527034U,	// VLD3DUPq16
+    1078555706U,	// VLD3DUPq16_UPD
+    1078658106U,	// VLD3DUPq32
+    1078686778U,	// VLD3DUPq32_UPD
+    1078789178U,	// VLD3DUPq8
+    1078817850U,	// VLD3DUPq8_UPD
+    1531077690U,	// VLD3DUPqAsm_16
+    1531208762U,	// VLD3DUPqAsm_32
+    1529635898U,	// VLD3DUPqAsm_8
+    2604819514U,	// VLD3DUPqWB_fixed_Asm_16
+    2604950586U,	// VLD3DUPqWB_fixed_Asm_32
+    2603377722U,	// VLD3DUPqWB_fixed_Asm_8
+    457339962U,	// VLD3DUPqWB_register_Asm_16
+    457471034U,	// VLD3DUPqWB_register_Asm_32
+    455898170U,	// VLD3DUPqWB_register_Asm_8
+    4817978U,	// VLD3LNd16
     0U,	// VLD3LNd16Pseudo
     0U,	// VLD3LNd16Pseudo_UPD
-    3226047534U,	// VLD3LNd16_UPD
-    3226174510U,	// VLD3LNd32
+    4822074U,	// VLD3LNd16_UPD
+    4949050U,	// VLD3LNd32
     0U,	// VLD3LNd32Pseudo
     0U,	// VLD3LNd32Pseudo_UPD
-    3226178606U,	// VLD3LNd32_UPD
-    3226305582U,	// VLD3LNd8
+    4953146U,	// VLD3LNd32_UPD
+    5080122U,	// VLD3LNd8
     0U,	// VLD3LNd8Pseudo
     0U,	// VLD3LNd8Pseudo_UPD
-    3226309678U,	// VLD3LNd8_UPD
-    4355118U,	// VLD3LNdAsm_16
-    4486190U,	// VLD3LNdAsm_32
-    2913326U,	// VLD3LNdAsm_8
-    4355118U,	// VLD3LNdWB_fixed_Asm_16
-    4486190U,	// VLD3LNdWB_fixed_Asm_32
-    2913326U,	// VLD3LNdWB_fixed_Asm_8
-    4391982U,	// VLD3LNdWB_register_Asm_16
-    4523054U,	// VLD3LNdWB_register_Asm_32
-    2950190U,	// VLD3LNdWB_register_Asm_8
-    3226043438U,	// VLD3LNq16
+    5084218U,	// VLD3LNd8_UPD
+    4355130U,	// VLD3LNdAsm_16
+    4486202U,	// VLD3LNdAsm_32
+    2913338U,	// VLD3LNdAsm_8
+    4355130U,	// VLD3LNdWB_fixed_Asm_16
+    4486202U,	// VLD3LNdWB_fixed_Asm_32
+    2913338U,	// VLD3LNdWB_fixed_Asm_8
+    4391994U,	// VLD3LNdWB_register_Asm_16
+    4523066U,	// VLD3LNdWB_register_Asm_32
+    2950202U,	// VLD3LNdWB_register_Asm_8
+    4817978U,	// VLD3LNq16
     0U,	// VLD3LNq16Pseudo
     0U,	// VLD3LNq16Pseudo_UPD
-    3226047534U,	// VLD3LNq16_UPD
-    3226174510U,	// VLD3LNq32
+    4822074U,	// VLD3LNq16_UPD
+    4949050U,	// VLD3LNq32
     0U,	// VLD3LNq32Pseudo
     0U,	// VLD3LNq32Pseudo_UPD
-    3226178606U,	// VLD3LNq32_UPD
-    4355118U,	// VLD3LNqAsm_16
-    4486190U,	// VLD3LNqAsm_32
-    4355118U,	// VLD3LNqWB_fixed_Asm_16
-    4486190U,	// VLD3LNqWB_fixed_Asm_32
-    4391982U,	// VLD3LNqWB_register_Asm_16
-    4523054U,	// VLD3LNqWB_register_Asm_32
-    4785198U,	// VLD3d16
+    4953146U,	// VLD3LNq32_UPD
+    4355130U,	// VLD3LNqAsm_16
+    4486202U,	// VLD3LNqAsm_32
+    4355130U,	// VLD3LNqWB_fixed_Asm_16
+    4486202U,	// VLD3LNqWB_fixed_Asm_32
+    4391994U,	// VLD3LNqWB_register_Asm_16
+    4523066U,	// VLD3LNqWB_register_Asm_32
+    4785210U,	// VLD3d16
     0U,	// VLD3d16Pseudo
     0U,	// VLD3d16Pseudo_UPD
-    4813870U,	// VLD3d16_UPD
-    4916270U,	// VLD3d32
+    4813882U,	// VLD3d16_UPD
+    4916282U,	// VLD3d32
     0U,	// VLD3d32Pseudo
     0U,	// VLD3d32Pseudo_UPD
-    4944942U,	// VLD3d32_UPD
-    5047342U,	// VLD3d8
+    4944954U,	// VLD3d32_UPD
+    5047354U,	// VLD3d8
     0U,	// VLD3d8Pseudo
     0U,	// VLD3d8Pseudo_UPD
-    5076014U,	// VLD3d8_UPD
-    1430414382U,	// VLD3dAsm_16
-    1430545454U,	// VLD3dAsm_32
-    1428972590U,	// VLD3dAsm_8
-    1430414382U,	// VLD3dWB_fixed_Asm_16
-    1430545454U,	// VLD3dWB_fixed_Asm_32
-    1428972590U,	// VLD3dWB_fixed_Asm_8
-    1430418478U,	// VLD3dWB_register_Asm_16
-    1430549550U,	// VLD3dWB_register_Asm_32
-    1428976686U,	// VLD3dWB_register_Asm_8
-    4785198U,	// VLD3q16
+    5076026U,	// VLD3d8_UPD
+    2520933434U,	// VLD3dAsm_16
+    2521064506U,	// VLD3dAsm_32
+    2519491642U,	// VLD3dAsm_8
+    2520933434U,	// VLD3dWB_fixed_Asm_16
+    2521064506U,	// VLD3dWB_fixed_Asm_32
+    2519491642U,	// VLD3dWB_fixed_Asm_8
+    2520937530U,	// VLD3dWB_register_Asm_16
+    2521068602U,	// VLD3dWB_register_Asm_32
+    2519495738U,	// VLD3dWB_register_Asm_8
+    4785210U,	// VLD3q16
     0U,	// VLD3q16Pseudo_UPD
-    4813870U,	// VLD3q16_UPD
+    4813882U,	// VLD3q16_UPD
     0U,	// VLD3q16oddPseudo
     0U,	// VLD3q16oddPseudo_UPD
-    4916270U,	// VLD3q32
+    4916282U,	// VLD3q32
     0U,	// VLD3q32Pseudo_UPD
-    4944942U,	// VLD3q32_UPD
+    4944954U,	// VLD3q32_UPD
     0U,	// VLD3q32oddPseudo
     0U,	// VLD3q32oddPseudo_UPD
-    5047342U,	// VLD3q8
+    5047354U,	// VLD3q8
     0U,	// VLD3q8Pseudo_UPD
-    5076014U,	// VLD3q8_UPD
+    5076026U,	// VLD3q8_UPD
     0U,	// VLD3q8oddPseudo
     0U,	// VLD3q8oddPseudo_UPD
-    1531077678U,	// VLD3qAsm_16
-    1531208750U,	// VLD3qAsm_32
-    1529635886U,	// VLD3qAsm_8
-    1531077678U,	// VLD3qWB_fixed_Asm_16
-    1531208750U,	// VLD3qWB_fixed_Asm_32
-    1529635886U,	// VLD3qWB_fixed_Asm_8
-    457339950U,	// VLD3qWB_register_Asm_16
-    457471022U,	// VLD3qWB_register_Asm_32
-    455898158U,	// VLD3qWB_register_Asm_8
-    4760645U,	// VLD4DUPd16
+    1547854906U,	// VLD3qAsm_16
+    1547985978U,	// VLD3qAsm_32
+    1546413114U,	// VLD3qAsm_8
+    2621596730U,	// VLD3qWB_fixed_Asm_16
+    2621727802U,	// VLD3qWB_fixed_Asm_32
+    2620154938U,	// VLD3qWB_fixed_Asm_8
+    474117178U,	// VLD3qWB_register_Asm_16
+    474248250U,	// VLD3qWB_register_Asm_32
+    472675386U,	// VLD3qWB_register_Asm_8
+    1078502481U,	// VLD4DUPd16
     0U,	// VLD4DUPd16Pseudo
     0U,	// VLD4DUPd16Pseudo_UPD
-    4826181U,	// VLD4DUPd16_UPD
-    4891717U,	// VLD4DUPd32
+    1078568017U,	// VLD4DUPd16_UPD
+    1078633553U,	// VLD4DUPd32
     0U,	// VLD4DUPd32Pseudo
     0U,	// VLD4DUPd32Pseudo_UPD
-    4957253U,	// VLD4DUPd32_UPD
-    5022789U,	// VLD4DUPd8
+    1078699089U,	// VLD4DUPd32_UPD
+    1078764625U,	// VLD4DUPd8
     0U,	// VLD4DUPd8Pseudo
     0U,	// VLD4DUPd8Pseudo_UPD
-    5088325U,	// VLD4DUPd8_UPD
-    1547854917U,	// VLD4DUPdAsm_16
-    1547985989U,	// VLD4DUPdAsm_32
-    1546413125U,	// VLD4DUPdAsm_8
-    1547854917U,	// VLD4DUPdWB_fixed_Asm_16
-    1547985989U,	// VLD4DUPdWB_fixed_Asm_32
-    1546413125U,	// VLD4DUPdWB_fixed_Asm_8
-    474117189U,	// VLD4DUPdWB_register_Asm_16
-    474248261U,	// VLD4DUPdWB_register_Asm_32
-    472675397U,	// VLD4DUPdWB_register_Asm_8
-    4760645U,	// VLD4DUPq16
-    4826181U,	// VLD4DUPq16_UPD
-    4891717U,	// VLD4DUPq32
-    4957253U,	// VLD4DUPq32_UPD
-    5022789U,	// VLD4DUPq8
-    5088325U,	// VLD4DUPq8_UPD
-    1564632133U,	// VLD4DUPqAsm_16
-    1564763205U,	// VLD4DUPqAsm_32
-    1563190341U,	// VLD4DUPqAsm_8
-    1564632133U,	// VLD4DUPqWB_fixed_Asm_16
-    1564763205U,	// VLD4DUPqWB_fixed_Asm_32
-    1563190341U,	// VLD4DUPqWB_fixed_Asm_8
-    490894405U,	// VLD4DUPqWB_register_Asm_16
-    491025477U,	// VLD4DUPqWB_register_Asm_32
-    489452613U,	// VLD4DUPqWB_register_Asm_8
-    3226047557U,	// VLD4LNd16
+    1078830161U,	// VLD4DUPd8_UPD
+    1564632145U,	// VLD4DUPdAsm_16
+    1564763217U,	// VLD4DUPdAsm_32
+    1563190353U,	// VLD4DUPdAsm_8
+    2638373969U,	// VLD4DUPdWB_fixed_Asm_16
+    2638505041U,	// VLD4DUPdWB_fixed_Asm_32
+    2636932177U,	// VLD4DUPdWB_fixed_Asm_8
+    490894417U,	// VLD4DUPdWB_register_Asm_16
+    491025489U,	// VLD4DUPdWB_register_Asm_32
+    489452625U,	// VLD4DUPdWB_register_Asm_8
+    1078502481U,	// VLD4DUPq16
+    1078568017U,	// VLD4DUPq16_UPD
+    1078633553U,	// VLD4DUPq32
+    1078699089U,	// VLD4DUPq32_UPD
+    1078764625U,	// VLD4DUPq8
+    1078830161U,	// VLD4DUPq8_UPD
+    1581409361U,	// VLD4DUPqAsm_16
+    1581540433U,	// VLD4DUPqAsm_32
+    1579967569U,	// VLD4DUPqAsm_8
+    2655151185U,	// VLD4DUPqWB_fixed_Asm_16
+    2655282257U,	// VLD4DUPqWB_fixed_Asm_32
+    2653709393U,	// VLD4DUPqWB_fixed_Asm_8
+    507671633U,	// VLD4DUPqWB_register_Asm_16
+    507802705U,	// VLD4DUPqWB_register_Asm_32
+    506229841U,	// VLD4DUPqWB_register_Asm_8
+    4822097U,	// VLD4LNd16
     0U,	// VLD4LNd16Pseudo
     0U,	// VLD4LNd16Pseudo_UPD
-    3226055749U,	// VLD4LNd16_UPD
-    3226178629U,	// VLD4LNd32
+    4830289U,	// VLD4LNd16_UPD
+    4953169U,	// VLD4LNd32
     0U,	// VLD4LNd32Pseudo
     0U,	// VLD4LNd32Pseudo_UPD
-    3226186821U,	// VLD4LNd32_UPD
-    3226309701U,	// VLD4LNd8
+    4961361U,	// VLD4LNd32_UPD
+    5084241U,	// VLD4LNd8
     0U,	// VLD4LNd8Pseudo
     0U,	// VLD4LNd8Pseudo_UPD
-    3226317893U,	// VLD4LNd8_UPD
-    4355141U,	// VLD4LNdAsm_16
-    4486213U,	// VLD4LNdAsm_32
-    2913349U,	// VLD4LNdAsm_8
-    4355141U,	// VLD4LNdWB_fixed_Asm_16
-    4486213U,	// VLD4LNdWB_fixed_Asm_32
-    2913349U,	// VLD4LNdWB_fixed_Asm_8
-    4392005U,	// VLD4LNdWB_register_Asm_16
-    4523077U,	// VLD4LNdWB_register_Asm_32
-    2950213U,	// VLD4LNdWB_register_Asm_8
-    3226047557U,	// VLD4LNq16
+    5092433U,	// VLD4LNd8_UPD
+    4355153U,	// VLD4LNdAsm_16
+    4486225U,	// VLD4LNdAsm_32
+    2913361U,	// VLD4LNdAsm_8
+    4355153U,	// VLD4LNdWB_fixed_Asm_16
+    4486225U,	// VLD4LNdWB_fixed_Asm_32
+    2913361U,	// VLD4LNdWB_fixed_Asm_8
+    4392017U,	// VLD4LNdWB_register_Asm_16
+    4523089U,	// VLD4LNdWB_register_Asm_32
+    2950225U,	// VLD4LNdWB_register_Asm_8
+    4822097U,	// VLD4LNq16
     0U,	// VLD4LNq16Pseudo
     0U,	// VLD4LNq16Pseudo_UPD
-    3226055749U,	// VLD4LNq16_UPD
-    3226178629U,	// VLD4LNq32
+    4830289U,	// VLD4LNq16_UPD
+    4953169U,	// VLD4LNq32
     0U,	// VLD4LNq32Pseudo
     0U,	// VLD4LNq32Pseudo_UPD
-    3226186821U,	// VLD4LNq32_UPD
-    4355141U,	// VLD4LNqAsm_16
-    4486213U,	// VLD4LNqAsm_32
-    4355141U,	// VLD4LNqWB_fixed_Asm_16
-    4486213U,	// VLD4LNqWB_fixed_Asm_32
-    4392005U,	// VLD4LNqWB_register_Asm_16
-    4523077U,	// VLD4LNqWB_register_Asm_32
-    4760645U,	// VLD4d16
+    4961361U,	// VLD4LNq32_UPD
+    4355153U,	// VLD4LNqAsm_16
+    4486225U,	// VLD4LNqAsm_32
+    4355153U,	// VLD4LNqWB_fixed_Asm_16
+    4486225U,	// VLD4LNqWB_fixed_Asm_32
+    4392017U,	// VLD4LNqWB_register_Asm_16
+    4523089U,	// VLD4LNqWB_register_Asm_32
+    4760657U,	// VLD4d16
     0U,	// VLD4d16Pseudo
     0U,	// VLD4d16Pseudo_UPD
-    4826181U,	// VLD4d16_UPD
-    4891717U,	// VLD4d32
+    4826193U,	// VLD4d16_UPD
+    4891729U,	// VLD4d32
     0U,	// VLD4d32Pseudo
     0U,	// VLD4d32Pseudo_UPD
-    4957253U,	// VLD4d32_UPD
-    5022789U,	// VLD4d8
+    4957265U,	// VLD4d32_UPD
+    5022801U,	// VLD4d8
     0U,	// VLD4d8Pseudo
     0U,	// VLD4d8Pseudo_UPD
-    5088325U,	// VLD4d8_UPD
-    1413637189U,	// VLD4dAsm_16
-    1413768261U,	// VLD4dAsm_32
-    1412195397U,	// VLD4dAsm_8
-    1413637189U,	// VLD4dWB_fixed_Asm_16
-    1413768261U,	// VLD4dWB_fixed_Asm_32
-    1412195397U,	// VLD4dWB_fixed_Asm_8
-    1413641285U,	// VLD4dWB_register_Asm_16
-    1413772357U,	// VLD4dWB_register_Asm_32
-    1412199493U,	// VLD4dWB_register_Asm_8
-    4760645U,	// VLD4q16
+    5088337U,	// VLD4d8_UPD
+    2504156241U,	// VLD4dAsm_16
+    2504287313U,	// VLD4dAsm_32
+    2502714449U,	// VLD4dAsm_8
+    2504156241U,	// VLD4dWB_fixed_Asm_16
+    2504287313U,	// VLD4dWB_fixed_Asm_32
+    2502714449U,	// VLD4dWB_fixed_Asm_8
+    2504160337U,	// VLD4dWB_register_Asm_16
+    2504291409U,	// VLD4dWB_register_Asm_32
+    2502718545U,	// VLD4dWB_register_Asm_8
+    4760657U,	// VLD4q16
     0U,	// VLD4q16Pseudo_UPD
-    4826181U,	// VLD4q16_UPD
+    4826193U,	// VLD4q16_UPD
     0U,	// VLD4q16oddPseudo
     0U,	// VLD4q16oddPseudo_UPD
-    4891717U,	// VLD4q32
+    4891729U,	// VLD4q32
     0U,	// VLD4q32Pseudo_UPD
-    4957253U,	// VLD4q32_UPD
+    4957265U,	// VLD4q32_UPD
     0U,	// VLD4q32oddPseudo
     0U,	// VLD4q32oddPseudo_UPD
-    5022789U,	// VLD4q8
+    5022801U,	// VLD4q8
     0U,	// VLD4q8Pseudo_UPD
-    5088325U,	// VLD4q8_UPD
+    5088337U,	// VLD4q8_UPD
     0U,	// VLD4q8oddPseudo
     0U,	// VLD4q8oddPseudo_UPD
-    1581409349U,	// VLD4qAsm_16
-    1581540421U,	// VLD4qAsm_32
-    1579967557U,	// VLD4qAsm_8
-    1581409349U,	// VLD4qWB_fixed_Asm_16
-    1581540421U,	// VLD4qWB_fixed_Asm_32
-    1579967557U,	// VLD4qWB_fixed_Asm_8
-    507671621U,	// VLD4qWB_register_Asm_16
-    507802693U,	// VLD4qWB_register_Asm_32
-    506229829U,	// VLD4qWB_register_Asm_8
-    33572305U,	// VLDMDDB_UPD
-    34149U,	// VLDMDIA
-    33572197U,	// VLDMDIA_UPD
+    1598186577U,	// VLD4qAsm_16
+    1598317649U,	// VLD4qAsm_32
+    1596744785U,	// VLD4qAsm_8
+    2671928401U,	// VLD4qWB_fixed_Asm_16
+    2672059473U,	// VLD4qWB_fixed_Asm_32
+    2670486609U,	// VLD4qWB_fixed_Asm_8
+    524448849U,	// VLD4qWB_register_Asm_16
+    524579921U,	// VLD4qWB_register_Asm_32
+    523007057U,	// VLD4qWB_register_Asm_8
+    33572317U,	// VLDMDDB_UPD
+    34161U,	// VLDMDIA
+    33572209U,	// VLDMDIA_UPD
     0U,	// VLDMQIA
-    33572305U,	// VLDMSDB_UPD
-    34149U,	// VLDMSIA
-    33572197U,	// VLDMSIA_UPD
-    27002U,	// VLDRD
-    27002U,	// VLDRS
+    33572317U,	// VLDMSDB_UPD
+    34161U,	// VLDMSIA
+    33572209U,	// VLDMSIA_UPD
+    27014U,	// VLDRD
+    27014U,	// VLDRS
     33706566U,	// VMAXNMD
     33706258U,	// VMAXNMND
     33706258U,	// VMAXNMNQ
     33706258U,	// VMAXNMS
-    2249091875U,	// VMAXfd
-    2249091875U,	// VMAXfq
-    35416867U,	// VMAXsv16i8
-    35154723U,	// VMAXsv2i32
-    35285795U,	// VMAXsv4i16
-    35154723U,	// VMAXsv4i32
-    35285795U,	// VMAXsv8i16
-    35416867U,	// VMAXsv8i8
-    35810083U,	// VMAXuv16i8
-    35547939U,	// VMAXuv2i32
-    35679011U,	// VMAXuv4i16
-    35547939U,	// VMAXuv4i32
-    35679011U,	// VMAXuv8i16
-    35810083U,	// VMAXuv8i8
+    2249091892U,	// VMAXfd
+    2249091892U,	// VMAXfq
+    35416884U,	// VMAXsv16i8
+    35154740U,	// VMAXsv2i32
+    35285812U,	// VMAXsv4i16
+    35154740U,	// VMAXsv4i32
+    35285812U,	// VMAXsv8i16
+    35416884U,	// VMAXsv8i8
+    35810100U,	// VMAXuv16i8
+    35547956U,	// VMAXuv2i32
+    35679028U,	// VMAXuv4i16
+    35547956U,	// VMAXuv4i32
+    35679028U,	// VMAXuv8i16
+    35810100U,	// VMAXuv8i8
     33706554U,	// VMINNMD
     33706246U,	// VMINNMND
     33706246U,	// VMINNMNQ
     33706246U,	// VMINNMS
-    2249091298U,	// VMINfd
-    2249091298U,	// VMINfq
-    35416290U,	// VMINsv16i8
-    35154146U,	// VMINsv2i32
-    35285218U,	// VMINsv4i16
-    35154146U,	// VMINsv4i32
-    35285218U,	// VMINsv8i16
-    35416290U,	// VMINsv8i8
-    35809506U,	// VMINuv16i8
-    35547362U,	// VMINuv2i32
-    35678434U,	// VMINuv4i16
-    35547362U,	// VMINuv4i32
-    35678434U,	// VMINuv8i16
-    35809506U,	// VMINuv8i8
-    3322705285U,	// VMLAD
-    18417694U,	// VMLALslsv2i32
-    18548766U,	// VMLALslsv4i16
-    18810910U,	// VMLALsluv2i32
-    18941982U,	// VMLALsluv4i16
-    18380830U,	// VMLALsv2i64
-    18511902U,	// VMLALsv4i32
-    18642974U,	// VMLALsv8i16
-    18774046U,	// VMLALuv2i64
-    18905118U,	// VMLALuv4i32
-    19036190U,	// VMLALuv8i16
-    3322836357U,	// VMLAS
-    3322836357U,	// VMLAfd
-    3322836357U,	// VMLAfq
-    3322873221U,	// VMLAslfd
-    3322873221U,	// VMLAslfq
-    19334533U,	// VMLAslv2i32
-    19465605U,	// VMLAslv4i16
-    19334533U,	// VMLAslv4i32
-    19465605U,	// VMLAslv8i16
-    19559813U,	// VMLAv16i8
-    19297669U,	// VMLAv2i32
-    19428741U,	// VMLAv4i16
-    19297669U,	// VMLAv4i32
-    19428741U,	// VMLAv8i16
-    19559813U,	// VMLAv8i8
-    3322706407U,	// VMLSD
-    18417813U,	// VMLSLslsv2i32
-    18548885U,	// VMLSLslsv4i16
-    18811029U,	// VMLSLsluv2i32
-    18942101U,	// VMLSLsluv4i16
-    18380949U,	// VMLSLsv2i64
-    18512021U,	// VMLSLsv4i32
-    18643093U,	// VMLSLsv8i16
-    18774165U,	// VMLSLuv2i64
-    18905237U,	// VMLSLuv4i32
-    19036309U,	// VMLSLuv8i16
-    3322837479U,	// VMLSS
-    3322837479U,	// VMLSfd
-    3322837479U,	// VMLSfq
-    3322874343U,	// VMLSslfd
-    3322874343U,	// VMLSslfq
-    19335655U,	// VMLSslv2i32
-    19466727U,	// VMLSslv4i16
-    19335655U,	// VMLSslv4i32
-    19466727U,	// VMLSslv8i16
-    19560935U,	// VMLSv16i8
-    19298791U,	// VMLSv2i32
-    19429863U,	// VMLSv4i16
-    19298791U,	// VMLSv4i32
-    19429863U,	// VMLSv8i16
-    19560935U,	// VMLSv8i8
-    2248952562U,	// VMOVD
+    2249091310U,	// VMINfd
+    2249091310U,	// VMINfq
+    35416302U,	// VMINsv16i8
+    35154158U,	// VMINsv2i32
+    35285230U,	// VMINsv4i16
+    35154158U,	// VMINsv4i32
+    35285230U,	// VMINsv8i16
+    35416302U,	// VMINsv8i8
+    35809518U,	// VMINuv16i8
+    35547374U,	// VMINuv2i32
+    35678446U,	// VMINuv4i16
+    35547374U,	// VMINuv4i32
+    35678446U,	// VMINuv8i16
+    35809518U,	// VMINuv8i8
+    101479825U,	// VMLAD
+    18417706U,	// VMLALslsv2i32
+    18548778U,	// VMLALslsv4i16
+    18810922U,	// VMLALsluv2i32
+    18941994U,	// VMLALsluv4i16
+    18380842U,	// VMLALsv2i64
+    18511914U,	// VMLALsv4i32
+    18642986U,	// VMLALsv8i16
+    18774058U,	// VMLALuv2i64
+    18905130U,	// VMLALuv4i32
+    19036202U,	// VMLALuv8i16
+    101610897U,	// VMLAS
+    101610897U,	// VMLAfd
+    101610897U,	// VMLAfq
+    101647761U,	// VMLAslfd
+    101647761U,	// VMLAslfq
+    19334545U,	// VMLAslv2i32
+    19465617U,	// VMLAslv4i16
+    19334545U,	// VMLAslv4i32
+    19465617U,	// VMLAslv8i16
+    19559825U,	// VMLAv16i8
+    19297681U,	// VMLAv2i32
+    19428753U,	// VMLAv4i16
+    19297681U,	// VMLAv4i32
+    19428753U,	// VMLAv8i16
+    19559825U,	// VMLAv8i8
+    101480947U,	// VMLSD
+    18417825U,	// VMLSLslsv2i32
+    18548897U,	// VMLSLslsv4i16
+    18811041U,	// VMLSLsluv2i32
+    18942113U,	// VMLSLsluv4i16
+    18380961U,	// VMLSLsv2i64
+    18512033U,	// VMLSLsv4i32
+    18643105U,	// VMLSLsv8i16
+    18774177U,	// VMLSLuv2i64
+    18905249U,	// VMLSLuv4i32
+    19036321U,	// VMLSLuv8i16
+    101612019U,	// VMLSS
+    101612019U,	// VMLSfd
+    101612019U,	// VMLSfq
+    101648883U,	// VMLSslfd
+    101648883U,	// VMLSslfq
+    19335667U,	// VMLSslv2i32
+    19466739U,	// VMLSslv4i16
+    19335667U,	// VMLSslv4i32
+    19466739U,	// VMLSslv8i16
+    19560947U,	// VMLSv16i8
+    19298803U,	// VMLSv2i32
+    19429875U,	// VMLSv4i16
+    19298803U,	// VMLSv4i32
+    19429875U,	// VMLSv8i16
+    19560947U,	// VMLSv8i8
+    2248952579U,	// VMOVD
     0U,	// VMOVD0
-    27378U,	// VMOVDRR
+    27395U,	// VMOVDRR
     0U,	// VMOVDcc
-    1108887728U,	// VMOVLsv2i64
-    1109018800U,	// VMOVLsv4i32
-    1109149872U,	// VMOVLsv8i16
-    1109280944U,	// VMOVLuv2i64
-    1109412016U,	// VMOVLuv4i32
-    1109543088U,	// VMOVLuv8i16
-    1109674294U,	// VMOVNv2i32
-    1109805366U,	// VMOVNv4i16
-    1109936438U,	// VMOVNv8i8
+    1108887740U,	// VMOVLsv2i64
+    1109018812U,	// VMOVLsv4i32
+    1109149884U,	// VMOVLsv8i16
+    1109280956U,	// VMOVLuv2i64
+    1109412028U,	// VMOVLuv4i32
+    1109543100U,	// VMOVLuv8i16
+    1109674306U,	// VMOVNv2i32
+    1109805378U,	// VMOVNv4i16
+    1109936450U,	// VMOVNv8i8
     0U,	// VMOVQ0
-    27378U,	// VMOVRRD
-    31474U,	// VMOVRRS
-    19186U,	// VMOVRS
-    2249083634U,	// VMOVS
-    19186U,	// VMOVSR
-    31474U,	// VMOVSRR
+    27395U,	// VMOVRRD
+    31491U,	// VMOVRRS
+    19203U,	// VMOVRS
+    2249083651U,	// VMOVS
+    19203U,	// VMOVSR
+    31491U,	// VMOVSRR
     0U,	// VMOVScc
-    237652722U,	// VMOVv16i8
-    237259506U,	// VMOVv1i64
-    3322825458U,	// VMOVv2f32
-    237390578U,	// VMOVv2i32
-    237259506U,	// VMOVv2i64
-    3322825458U,	// VMOVv4f32
-    237521650U,	// VMOVv4i16
-    237390578U,	// VMOVv4i32
-    237521650U,	// VMOVv8i16
-    237652722U,	// VMOVv8i8
-    2147518974U,	// VMRS
-    3221260798U,	// VMRS_FPEXC
-    35326U,	// VMRS_FPINST
-    1073777150U,	// VMRS_FPINST2
-    2147518974U,	// VMRS_FPSID
-    3221260798U,	// VMRS_MVFR0
-    35326U,	// VMRS_MVFR1
-    1073777150U,	// VMRS_MVFR2
-    5147055U,	// VMSR
-    5278127U,	// VMSR_FPEXC
-    5409199U,	// VMSR_FPINST
-    5540271U,	// VMSR_FPINST2
-    5671343U,	// VMSR_FPSID
-    2248960171U,	// VMULD
+    254429955U,	// VMOVv16i8
+    254036739U,	// VMOVv1i64
+    3322825475U,	// VMOVv2f32
+    254167811U,	// VMOVv2i32
+    254036739U,	// VMOVv2i64
+    3322825475U,	// VMOVv4f32
+    254298883U,	// VMOVv4i16
+    254167811U,	// VMOVv4i32
+    254298883U,	// VMOVv8i16
+    254429955U,	// VMOVv8i8
+    3221260810U,	// VMRS
+    35338U,	// VMRS_FPEXC
+    1073777162U,	// VMRS_FPINST
+    2147518986U,	// VMRS_FPINST2
+    3221260810U,	// VMRS_FPSID
+    35338U,	// VMRS_MVFR0
+    1073777162U,	// VMRS_MVFR1
+    2147518986U,	// VMRS_MVFR2
+    5147067U,	// VMSR
+    5278139U,	// VMSR_FPEXC
+    5409211U,	// VMSR_FPINST
+    5540283U,	// VMSR_FPINST2
+    5671355U,	// VMSR_FPSID
+    2248960183U,	// VMULD
     33706650U,	// VMULLp64
-    5793922U,	// VMULLp8
-    35158146U,	// VMULLslsv2i32
-    35289218U,	// VMULLslsv4i16
-    35551362U,	// VMULLsluv2i32
-    35682434U,	// VMULLsluv4i16
-    35154050U,	// VMULLsv2i64
-    35285122U,	// VMULLsv4i32
-    35416194U,	// VMULLsv8i16
-    35547266U,	// VMULLuv2i64
-    35678338U,	// VMULLuv4i32
-    35809410U,	// VMULLuv8i16
-    2249091243U,	// VMULS
-    2249091243U,	// VMULfd
-    2249091243U,	// VMULfq
-    5793963U,	// VMULpd
-    5793963U,	// VMULpq
-    2249095339U,	// VMULslfd
-    2249095339U,	// VMULslfq
-    36075691U,	// VMULslv2i32
-    36206763U,	// VMULslv4i16
-    36075691U,	// VMULslv4i32
-    36206763U,	// VMULslv8i16
-    36333739U,	// VMULv16i8
-    36071595U,	// VMULv2i32
-    36202667U,	// VMULv4i16
-    36071595U,	// VMULv4i32
-    36202667U,	// VMULv8i16
-    36333739U,	// VMULv8i8
-    18730U,	// VMVNd
-    18730U,	// VMVNq
-    237390122U,	// VMVNv2i32
-    237521194U,	// VMVNv4i16
-    237390122U,	// VMVNv4i32
-    237521194U,	// VMVNv8i16
-    2248951652U,	// VNEGD
-    2249082724U,	// VNEGS
-    2249082724U,	// VNEGf32q
-    2249082724U,	// VNEGfd
-    1109018468U,	// VNEGs16d
-    1109018468U,	// VNEGs16q
-    1108887396U,	// VNEGs32d
-    1108887396U,	// VNEGs32q
-    1109149540U,	// VNEGs8d
-    1109149540U,	// VNEGs8q
-    3322705279U,	// VNMLAD
-    3322836351U,	// VNMLAS
-    3322706401U,	// VNMLSD
-    3322837473U,	// VNMLSS
-    2248960165U,	// VNMULD
-    2249091237U,	// VNMULS
-    26887U,	// VORNd
-    26887U,	// VORNq
-    27039U,	// VORRd
-    237398431U,	// VORRiv2i32
-    237529503U,	// VORRiv4i16
-    237398431U,	// VORRiv4i32
-    237529503U,	// VORRiv8i16
-    27039U,	// VORRq
-    1092380675U,	// VPADALsv16i8
-    1092118531U,	// VPADALsv2i32
-    1092249603U,	// VPADALsv4i16
-    1092118531U,	// VPADALsv4i32
-    1092249603U,	// VPADALsv8i16
-    1092380675U,	// VPADALsv8i8
-    1092773891U,	// VPADALuv16i8
-    1092511747U,	// VPADALuv2i32
-    1092642819U,	// VPADALuv4i16
-    1092511747U,	// VPADALuv4i32
-    1092642819U,	// VPADALuv8i16
-    1092773891U,	// VPADALuv8i8
-    1109149759U,	// VPADDLsv16i8
-    1108887615U,	// VPADDLsv2i32
-    1109018687U,	// VPADDLsv4i16
-    1108887615U,	// VPADDLsv4i32
-    1109018687U,	// VPADDLsv8i16
-    1109149759U,	// VPADDLsv8i8
-    1109542975U,	// VPADDLuv16i8
-    1109280831U,	// VPADDLuv2i32
-    1109411903U,	// VPADDLuv4i16
-    1109280831U,	// VPADDLuv4i32
-    1109411903U,	// VPADDLuv8i16
-    1109542975U,	// VPADDLuv8i8
-    2249090774U,	// VPADDf
-    36202198U,	// VPADDi16
-    36071126U,	// VPADDi32
-    36333270U,	// VPADDi8
-    2249091869U,	// VPMAXf
-    35285789U,	// VPMAXs16
-    35154717U,	// VPMAXs32
-    35416861U,	// VPMAXs8
-    35679005U,	// VPMAXu16
-    35547933U,	// VPMAXu32
-    35810077U,	// VPMAXu8
-    2249091292U,	// VPMINf
-    35285212U,	// VPMINs16
-    35154140U,	// VPMINs32
-    35416284U,	// VPMINs8
-    35678428U,	// VPMINu16
-    35547356U,	// VPMINu32
-    35809500U,	// VPMINu8
-    1109150150U,	// VQABSv16i8
-    1108888006U,	// VQABSv2i32
-    1109019078U,	// VQABSv4i16
-    1108888006U,	// VQABSv4i32
-    1109019078U,	// VQABSv8i16
-    1109150150U,	// VQABSv8i8
-    35415772U,	// VQADDsv16i8
-    39479004U,	// VQADDsv1i64
-    35153628U,	// VQADDsv2i32
-    39479004U,	// VQADDsv2i64
-    35284700U,	// VQADDsv4i16
-    35153628U,	// VQADDsv4i32
-    35284700U,	// VQADDsv8i16
-    35415772U,	// VQADDsv8i8
-    35808988U,	// VQADDuv16i8
-    39610076U,	// VQADDuv1i64
-    35546844U,	// VQADDuv2i32
-    39610076U,	// VQADDuv2i64
-    35677916U,	// VQADDuv4i16
-    35546844U,	// VQADDuv4i32
-    35677916U,	// VQADDuv8i16
-    35808988U,	// VQADDuv8i8
-    18417674U,	// VQDMLALslv2i32
-    18548746U,	// VQDMLALslv4i16
-    18380810U,	// VQDMLALv2i64
-    18511882U,	// VQDMLALv4i32
-    18417805U,	// VQDMLSLslv2i32
-    18548877U,	// VQDMLSLslv4i16
-    18380941U,	// VQDMLSLv2i64
-    18512013U,	// VQDMLSLv4i32
-    35157891U,	// VQDMULHslv2i32
-    35288963U,	// VQDMULHslv4i16
-    35157891U,	// VQDMULHslv4i32
-    35288963U,	// VQDMULHslv8i16
-    35153795U,	// VQDMULHv2i32
-    35284867U,	// VQDMULHv4i16
-    35153795U,	// VQDMULHv4i32
-    35284867U,	// VQDMULHv8i16
-    35158126U,	// VQDMULLslv2i32
-    35289198U,	// VQDMULLslv4i16
-    35154030U,	// VQDMULLv2i64
-    35285102U,	// VQDMULLv4i32
-    1113213218U,	// VQMOVNsuv2i32
-    1108887842U,	// VQMOVNsuv4i16
-    1109018914U,	// VQMOVNsuv8i8
-    1113213231U,	// VQMOVNsv2i32
-    1108887855U,	// VQMOVNsv4i16
-    1109018927U,	// VQMOVNsv8i8
-    1113344303U,	// VQMOVNuv2i32
-    1109281071U,	// VQMOVNuv4i16
-    1109412143U,	// VQMOVNuv8i8
-    1109149534U,	// VQNEGv16i8
-    1108887390U,	// VQNEGv2i32
-    1109018462U,	// VQNEGv4i16
-    1108887390U,	// VQNEGv4i32
-    1109018462U,	// VQNEGv8i16
-    1109149534U,	// VQNEGv8i8
-    35157899U,	// VQRDMULHslv2i32
-    35288971U,	// VQRDMULHslv4i16
-    35157899U,	// VQRDMULHslv4i32
-    35288971U,	// VQRDMULHslv8i16
-    35153803U,	// VQRDMULHv2i32
-    35284875U,	// VQRDMULHv4i16
-    35153803U,	// VQRDMULHv4i32
-    35284875U,	// VQRDMULHv8i16
-    35416150U,	// VQRSHLsv16i8
-    39479382U,	// VQRSHLsv1i64
-    35154006U,	// VQRSHLsv2i32
-    39479382U,	// VQRSHLsv2i64
-    35285078U,	// VQRSHLsv4i16
-    35154006U,	// VQRSHLsv4i32
-    35285078U,	// VQRSHLsv8i16
-    35416150U,	// VQRSHLsv8i8
-    35809366U,	// VQRSHLuv16i8
-    39610454U,	// VQRSHLuv1i64
-    35547222U,	// VQRSHLuv2i32
-    39610454U,	// VQRSHLuv2i64
-    35678294U,	// VQRSHLuv4i16
-    35547222U,	// VQRSHLuv4i32
-    35678294U,	// VQRSHLuv8i16
-    35809366U,	// VQRSHLuv8i8
-    39479538U,	// VQRSHRNsv2i32
-    35154162U,	// VQRSHRNsv4i16
-    35285234U,	// VQRSHRNsv8i8
-    39610610U,	// VQRSHRNuv2i32
-    35547378U,	// VQRSHRNuv4i16
-    35678450U,	// VQRSHRNuv8i8
-    39479577U,	// VQRSHRUNv2i32
-    35154201U,	// VQRSHRUNv4i16
-    35285273U,	// VQRSHRUNv8i8
-    35416144U,	// VQSHLsiv16i8
-    39479376U,	// VQSHLsiv1i64
-    35154000U,	// VQSHLsiv2i32
-    39479376U,	// VQSHLsiv2i64
-    35285072U,	// VQSHLsiv4i16
-    35154000U,	// VQSHLsiv4i32
-    35285072U,	// VQSHLsiv8i16
-    35416144U,	// VQSHLsiv8i8
-    35416792U,	// VQSHLsuv16i8
-    39480024U,	// VQSHLsuv1i64
-    35154648U,	// VQSHLsuv2i32
-    39480024U,	// VQSHLsuv2i64
-    35285720U,	// VQSHLsuv4i16
-    35154648U,	// VQSHLsuv4i32
-    35285720U,	// VQSHLsuv8i16
-    35416792U,	// VQSHLsuv8i8
-    35416144U,	// VQSHLsv16i8
-    39479376U,	// VQSHLsv1i64
-    35154000U,	// VQSHLsv2i32
-    39479376U,	// VQSHLsv2i64
-    35285072U,	// VQSHLsv4i16
-    35154000U,	// VQSHLsv4i32
-    35285072U,	// VQSHLsv8i16
-    35416144U,	// VQSHLsv8i8
-    35809360U,	// VQSHLuiv16i8
-    39610448U,	// VQSHLuiv1i64
-    35547216U,	// VQSHLuiv2i32
-    39610448U,	// VQSHLuiv2i64
-    35678288U,	// VQSHLuiv4i16
-    35547216U,	// VQSHLuiv4i32
-    35678288U,	// VQSHLuiv8i16
-    35809360U,	// VQSHLuiv8i8
-    35809360U,	// VQSHLuv16i8
-    39610448U,	// VQSHLuv1i64
-    35547216U,	// VQSHLuv2i32
-    39610448U,	// VQSHLuv2i64
-    35678288U,	// VQSHLuv4i16
-    35547216U,	// VQSHLuv4i32
-    35678288U,	// VQSHLuv8i16
-    35809360U,	// VQSHLuv8i8
-    39479531U,	// VQSHRNsv2i32
-    35154155U,	// VQSHRNsv4i16
-    35285227U,	// VQSHRNsv8i8
-    39610603U,	// VQSHRNuv2i32
-    35547371U,	// VQSHRNuv4i16
-    35678443U,	// VQSHRNuv8i8
-    39479569U,	// VQSHRUNv2i32
-    35154193U,	// VQSHRUNv4i16
-    35285265U,	// VQSHRUNv8i8
-    35415631U,	// VQSUBsv16i8
-    39478863U,	// VQSUBsv1i64
-    35153487U,	// VQSUBsv2i32
-    39478863U,	// VQSUBsv2i64
-    35284559U,	// VQSUBsv4i16
-    35153487U,	// VQSUBsv4i32
-    35284559U,	// VQSUBsv8i16
-    35415631U,	// VQSUBsv8i8
-    35808847U,	// VQSUBuv16i8
-    39609935U,	// VQSUBuv1i64
-    35546703U,	// VQSUBuv2i32
-    39609935U,	// VQSUBuv2i64
-    35677775U,	// VQSUBuv4i16
-    35546703U,	// VQSUBuv4i32
-    35677775U,	// VQSUBuv8i16
-    35808847U,	// VQSUBuv8i8
-    35940557U,	// VRADDHNv2i32
-    36071629U,	// VRADDHNv4i16
-    36202701U,	// VRADDHNv8i8
-    1109280576U,	// VRECPEd
-    2249082688U,	// VRECPEfd
-    2249082688U,	// VRECPEfq
-    1109280576U,	// VRECPEq
-    2249091575U,	// VRECPSfd
-    2249091575U,	// VRECPSfq
-    2901191U,	// VREV16d8
-    2901191U,	// VREV16q8
-    4342770U,	// VREV32d16
-    2900978U,	// VREV32d8
-    4342770U,	// VREV32q16
-    2900978U,	// VREV32q8
-    4342846U,	// VREV64d16
-    4473918U,	// VREV64d32
-    2901054U,	// VREV64d8
-    4342846U,	// VREV64q16
-    4473918U,	// VREV64q32
-    2901054U,	// VREV64q8
-    35415753U,	// VRHADDsv16i8
-    35153609U,	// VRHADDsv2i32
-    35284681U,	// VRHADDsv4i16
-    35153609U,	// VRHADDsv4i32
-    35284681U,	// VRHADDsv8i16
-    35415753U,	// VRHADDsv8i8
-    35808969U,	// VRHADDuv16i8
-    35546825U,	// VRHADDuv2i32
-    35677897U,	// VRHADDuv4i16
-    35546825U,	// VRHADDuv4i32
-    35677897U,	// VRHADDuv8i16
-    35808969U,	// VRHADDuv8i8
+    5793934U,	// VMULLp8
+    35158158U,	// VMULLslsv2i32
+    35289230U,	// VMULLslsv4i16
+    35551374U,	// VMULLsluv2i32
+    35682446U,	// VMULLsluv4i16
+    35154062U,	// VMULLsv2i64
+    35285134U,	// VMULLsv4i32
+    35416206U,	// VMULLsv8i16
+    35547278U,	// VMULLuv2i64
+    35678350U,	// VMULLuv4i32
+    35809422U,	// VMULLuv8i16
+    2249091255U,	// VMULS
+    2249091255U,	// VMULfd
+    2249091255U,	// VMULfq
+    5793975U,	// VMULpd
+    5793975U,	// VMULpq
+    2249095351U,	// VMULslfd
+    2249095351U,	// VMULslfq
+    36075703U,	// VMULslv2i32
+    36206775U,	// VMULslv4i16
+    36075703U,	// VMULslv4i32
+    36206775U,	// VMULslv8i16
+    36333751U,	// VMULv16i8
+    36071607U,	// VMULv2i32
+    36202679U,	// VMULv4i16
+    36071607U,	// VMULv4i32
+    36202679U,	// VMULv8i16
+    36333751U,	// VMULv8i8
+    18742U,	// VMVNd
+    18742U,	// VMVNq
+    254167350U,	// VMVNv2i32
+    254298422U,	// VMVNv4i16
+    254167350U,	// VMVNv4i32
+    254298422U,	// VMVNv8i16
+    2248951664U,	// VNEGD
+    2249082736U,	// VNEGS
+    2249082736U,	// VNEGf32q
+    2249082736U,	// VNEGfd
+    1109018480U,	// VNEGs16d
+    1109018480U,	// VNEGs16q
+    1108887408U,	// VNEGs32d
+    1108887408U,	// VNEGs32q
+    1109149552U,	// VNEGs8d
+    1109149552U,	// VNEGs8q
+    101479819U,	// VNMLAD
+    101610891U,	// VNMLAS
+    101480941U,	// VNMLSD
+    101612013U,	// VNMLSS
+    2248960177U,	// VNMULD
+    2249091249U,	// VNMULS
+    26899U,	// VORNd
+    26899U,	// VORNq
+    27051U,	// VORRd
+    254175659U,	// VORRiv2i32
+    254306731U,	// VORRiv4i16
+    254175659U,	// VORRiv4i32
+    254306731U,	// VORRiv8i16
+    27051U,	// VORRq
+    1092380687U,	// VPADALsv16i8
+    1092118543U,	// VPADALsv2i32
+    1092249615U,	// VPADALsv4i16
+    1092118543U,	// VPADALsv4i32
+    1092249615U,	// VPADALsv8i16
+    1092380687U,	// VPADALsv8i8
+    1092773903U,	// VPADALuv16i8
+    1092511759U,	// VPADALuv2i32
+    1092642831U,	// VPADALuv4i16
+    1092511759U,	// VPADALuv4i32
+    1092642831U,	// VPADALuv8i16
+    1092773903U,	// VPADALuv8i8
+    1109149771U,	// VPADDLsv16i8
+    1108887627U,	// VPADDLsv2i32
+    1109018699U,	// VPADDLsv4i16
+    1108887627U,	// VPADDLsv4i32
+    1109018699U,	// VPADDLsv8i16
+    1109149771U,	// VPADDLsv8i8
+    1109542987U,	// VPADDLuv16i8
+    1109280843U,	// VPADDLuv2i32
+    1109411915U,	// VPADDLuv4i16
+    1109280843U,	// VPADDLuv4i32
+    1109411915U,	// VPADDLuv8i16
+    1109542987U,	// VPADDLuv8i8
+    2249090786U,	// VPADDf
+    36202210U,	// VPADDi16
+    36071138U,	// VPADDi32
+    36333282U,	// VPADDi8
+    2249091886U,	// VPMAXf
+    35285806U,	// VPMAXs16
+    35154734U,	// VPMAXs32
+    35416878U,	// VPMAXs8
+    35679022U,	// VPMAXu16
+    35547950U,	// VPMAXu32
+    35810094U,	// VPMAXu8
+    2249091304U,	// VPMINf
+    35285224U,	// VPMINs16
+    35154152U,	// VPMINs32
+    35416296U,	// VPMINs8
+    35678440U,	// VPMINu16
+    35547368U,	// VPMINu32
+    35809512U,	// VPMINu8
+    1109150162U,	// VQABSv16i8
+    1108888018U,	// VQABSv2i32
+    1109019090U,	// VQABSv4i16
+    1108888018U,	// VQABSv4i32
+    1109019090U,	// VQABSv8i16
+    1109150162U,	// VQABSv8i8
+    35415784U,	// VQADDsv16i8
+    39479016U,	// VQADDsv1i64
+    35153640U,	// VQADDsv2i32
+    39479016U,	// VQADDsv2i64
+    35284712U,	// VQADDsv4i16
+    35153640U,	// VQADDsv4i32
+    35284712U,	// VQADDsv8i16
+    35415784U,	// VQADDsv8i8
+    35809000U,	// VQADDuv16i8
+    39610088U,	// VQADDuv1i64
+    35546856U,	// VQADDuv2i32
+    39610088U,	// VQADDuv2i64
+    35677928U,	// VQADDuv4i16
+    35546856U,	// VQADDuv4i32
+    35677928U,	// VQADDuv8i16
+    35809000U,	// VQADDuv8i8
+    18417686U,	// VQDMLALslv2i32
+    18548758U,	// VQDMLALslv4i16
+    18380822U,	// VQDMLALv2i64
+    18511894U,	// VQDMLALv4i32
+    18417817U,	// VQDMLSLslv2i32
+    18548889U,	// VQDMLSLslv4i16
+    18380953U,	// VQDMLSLv2i64
+    18512025U,	// VQDMLSLv4i32
+    35157903U,	// VQDMULHslv2i32
+    35288975U,	// VQDMULHslv4i16
+    35157903U,	// VQDMULHslv4i32
+    35288975U,	// VQDMULHslv8i16
+    35153807U,	// VQDMULHv2i32
+    35284879U,	// VQDMULHv4i16
+    35153807U,	// VQDMULHv4i32
+    35284879U,	// VQDMULHv8i16
+    35158138U,	// VQDMULLslv2i32
+    35289210U,	// VQDMULLslv4i16
+    35154042U,	// VQDMULLv2i64
+    35285114U,	// VQDMULLv4i32
+    1113213230U,	// VQMOVNsuv2i32
+    1108887854U,	// VQMOVNsuv4i16
+    1109018926U,	// VQMOVNsuv8i8
+    1113213243U,	// VQMOVNsv2i32
+    1108887867U,	// VQMOVNsv4i16
+    1109018939U,	// VQMOVNsv8i8
+    1113344315U,	// VQMOVNuv2i32
+    1109281083U,	// VQMOVNuv4i16
+    1109412155U,	// VQMOVNuv8i8
+    1109149546U,	// VQNEGv16i8
+    1108887402U,	// VQNEGv2i32
+    1109018474U,	// VQNEGv4i16
+    1108887402U,	// VQNEGv4i32
+    1109018474U,	// VQNEGv8i16
+    1109149546U,	// VQNEGv8i8
+    35157911U,	// VQRDMULHslv2i32
+    35288983U,	// VQRDMULHslv4i16
+    35157911U,	// VQRDMULHslv4i32
+    35288983U,	// VQRDMULHslv8i16
+    35153815U,	// VQRDMULHv2i32
+    35284887U,	// VQRDMULHv4i16
+    35153815U,	// VQRDMULHv4i32
+    35284887U,	// VQRDMULHv8i16
+    35416162U,	// VQRSHLsv16i8
+    39479394U,	// VQRSHLsv1i64
+    35154018U,	// VQRSHLsv2i32
+    39479394U,	// VQRSHLsv2i64
+    35285090U,	// VQRSHLsv4i16
+    35154018U,	// VQRSHLsv4i32
+    35285090U,	// VQRSHLsv8i16
+    35416162U,	// VQRSHLsv8i8
+    35809378U,	// VQRSHLuv16i8
+    39610466U,	// VQRSHLuv1i64
+    35547234U,	// VQRSHLuv2i32
+    39610466U,	// VQRSHLuv2i64
+    35678306U,	// VQRSHLuv4i16
+    35547234U,	// VQRSHLuv4i32
+    35678306U,	// VQRSHLuv8i16
+    35809378U,	// VQRSHLuv8i8
+    39479550U,	// VQRSHRNsv2i32
+    35154174U,	// VQRSHRNsv4i16
+    35285246U,	// VQRSHRNsv8i8
+    39610622U,	// VQRSHRNuv2i32
+    35547390U,	// VQRSHRNuv4i16
+    35678462U,	// VQRSHRNuv8i8
+    39479589U,	// VQRSHRUNv2i32
+    35154213U,	// VQRSHRUNv4i16
+    35285285U,	// VQRSHRUNv8i8
+    35416156U,	// VQSHLsiv16i8
+    39479388U,	// VQSHLsiv1i64
+    35154012U,	// VQSHLsiv2i32
+    39479388U,	// VQSHLsiv2i64
+    35285084U,	// VQSHLsiv4i16
+    35154012U,	// VQSHLsiv4i32
+    35285084U,	// VQSHLsiv8i16
+    35416156U,	// VQSHLsiv8i8
+    35416809U,	// VQSHLsuv16i8
+    39480041U,	// VQSHLsuv1i64
+    35154665U,	// VQSHLsuv2i32
+    39480041U,	// VQSHLsuv2i64
+    35285737U,	// VQSHLsuv4i16
+    35154665U,	// VQSHLsuv4i32
+    35285737U,	// VQSHLsuv8i16
+    35416809U,	// VQSHLsuv8i8
+    35416156U,	// VQSHLsv16i8
+    39479388U,	// VQSHLsv1i64
+    35154012U,	// VQSHLsv2i32
+    39479388U,	// VQSHLsv2i64
+    35285084U,	// VQSHLsv4i16
+    35154012U,	// VQSHLsv4i32
+    35285084U,	// VQSHLsv8i16
+    35416156U,	// VQSHLsv8i8
+    35809372U,	// VQSHLuiv16i8
+    39610460U,	// VQSHLuiv1i64
+    35547228U,	// VQSHLuiv2i32
+    39610460U,	// VQSHLuiv2i64
+    35678300U,	// VQSHLuiv4i16
+    35547228U,	// VQSHLuiv4i32
+    35678300U,	// VQSHLuiv8i16
+    35809372U,	// VQSHLuiv8i8
+    35809372U,	// VQSHLuv16i8
+    39610460U,	// VQSHLuv1i64
+    35547228U,	// VQSHLuv2i32
+    39610460U,	// VQSHLuv2i64
+    35678300U,	// VQSHLuv4i16
+    35547228U,	// VQSHLuv4i32
+    35678300U,	// VQSHLuv8i16
+    35809372U,	// VQSHLuv8i8
+    39479543U,	// VQSHRNsv2i32
+    35154167U,	// VQSHRNsv4i16
+    35285239U,	// VQSHRNsv8i8
+    39610615U,	// VQSHRNuv2i32
+    35547383U,	// VQSHRNuv4i16
+    35678455U,	// VQSHRNuv8i8
+    39479581U,	// VQSHRUNv2i32
+    35154205U,	// VQSHRUNv4i16
+    35285277U,	// VQSHRUNv8i8
+    35415643U,	// VQSUBsv16i8
+    39478875U,	// VQSUBsv1i64
+    35153499U,	// VQSUBsv2i32
+    39478875U,	// VQSUBsv2i64
+    35284571U,	// VQSUBsv4i16
+    35153499U,	// VQSUBsv4i32
+    35284571U,	// VQSUBsv8i16
+    35415643U,	// VQSUBsv8i8
+    35808859U,	// VQSUBuv16i8
+    39609947U,	// VQSUBuv1i64
+    35546715U,	// VQSUBuv2i32
+    39609947U,	// VQSUBuv2i64
+    35677787U,	// VQSUBuv4i16
+    35546715U,	// VQSUBuv4i32
+    35677787U,	// VQSUBuv8i16
+    35808859U,	// VQSUBuv8i8
+    35940569U,	// VRADDHNv2i32
+    36071641U,	// VRADDHNv4i16
+    36202713U,	// VRADDHNv8i8
+    1109280588U,	// VRECPEd
+    2249082700U,	// VRECPEfd
+    2249082700U,	// VRECPEfq
+    1109280588U,	// VRECPEq
+    2249091587U,	// VRECPSfd
+    2249091587U,	// VRECPSfq
+    2901203U,	// VREV16d8
+    2901203U,	// VREV16q8
+    4342782U,	// VREV32d16
+    2900990U,	// VREV32d8
+    4342782U,	// VREV32q16
+    2900990U,	// VREV32q8
+    4342858U,	// VREV64d16
+    4473930U,	// VREV64d32
+    2901066U,	// VREV64d8
+    4342858U,	// VREV64q16
+    4473930U,	// VREV64q32
+    2901066U,	// VREV64q8
+    35415765U,	// VRHADDsv16i8
+    35153621U,	// VRHADDsv2i32
+    35284693U,	// VRHADDsv4i16
+    35153621U,	// VRHADDsv4i32
+    35284693U,	// VRHADDsv8i16
+    35415765U,	// VRHADDsv8i8
+    35808981U,	// VRHADDuv16i8
+    35546837U,	// VRHADDuv2i32
+    35677909U,	// VRHADDuv4i16
+    35546837U,	// VRHADDuv4i32
+    35677909U,	// VRHADDuv8i16
+    35808981U,	// VRHADDuv8i8
     1107448354U,	// VRINTAD
     1107448046U,	// VRINTAND
     1107448046U,	// VRINTANQ
@@ -1707,76 +1714,76 @@ static void printInstruction(MCInst *MI,
     1107448118U,	// VRINTPND
     1107448118U,	// VRINTPNQ
     1107448118U,	// VRINTPS
-    2248952244U,	// VRINTRD
-    2249083316U,	// VRINTRS
-    2248952785U,	// VRINTXD
+    2248952256U,	// VRINTRD
+    2249083328U,	// VRINTRS
+    2248952802U,	// VRINTXD
     1107448166U,	// VRINTXND
     1107448166U,	// VRINTXNQ
-    2249083857U,	// VRINTXS
-    2248952797U,	// VRINTZD
+    2249083874U,	// VRINTXS
+    2248952814U,	// VRINTZD
     1107448178U,	// VRINTZND
     1107448178U,	// VRINTZNQ
-    2249083869U,	// VRINTZS
-    35416157U,	// VRSHLsv16i8
-    39479389U,	// VRSHLsv1i64
-    35154013U,	// VRSHLsv2i32
-    39479389U,	// VRSHLsv2i64
-    35285085U,	// VRSHLsv4i16
-    35154013U,	// VRSHLsv4i32
-    35285085U,	// VRSHLsv8i16
-    35416157U,	// VRSHLsv8i8
-    35809373U,	// VRSHLuv16i8
-    39610461U,	// VRSHLuv1i64
-    35547229U,	// VRSHLuv2i32
-    39610461U,	// VRSHLuv2i64
-    35678301U,	// VRSHLuv4i16
-    35547229U,	// VRSHLuv4i32
-    35678301U,	// VRSHLuv8i16
-    35809373U,	// VRSHLuv8i8
-    35940602U,	// VRSHRNv2i32
-    36071674U,	// VRSHRNv4i16
-    36202746U,	// VRSHRNv8i8
-    35416447U,	// VRSHRsv16i8
-    39479679U,	// VRSHRsv1i64
-    35154303U,	// VRSHRsv2i32
-    39479679U,	// VRSHRsv2i64
-    35285375U,	// VRSHRsv4i16
-    35154303U,	// VRSHRsv4i32
-    35285375U,	// VRSHRsv8i16
-    35416447U,	// VRSHRsv8i8
-    35809663U,	// VRSHRuv16i8
-    39610751U,	// VRSHRuv1i64
-    35547519U,	// VRSHRuv2i32
-    39610751U,	// VRSHRuv2i64
-    35678591U,	// VRSHRuv4i16
-    35547519U,	// VRSHRuv4i32
-    35678591U,	// VRSHRuv8i16
-    35809663U,	// VRSHRuv8i8
-    1109280589U,	// VRSQRTEd
-    2249082701U,	// VRSQRTEfd
-    2249082701U,	// VRSQRTEfq
-    1109280589U,	// VRSQRTEq
-    2249091597U,	// VRSQRTSfd
-    2249091597U,	// VRSQRTSfq
-    18642325U,	// VRSRAsv16i8
-    22705557U,	// VRSRAsv1i64
-    18380181U,	// VRSRAsv2i32
-    22705557U,	// VRSRAsv2i64
-    18511253U,	// VRSRAsv4i16
-    18380181U,	// VRSRAsv4i32
-    18511253U,	// VRSRAsv8i16
-    18642325U,	// VRSRAsv8i8
-    19035541U,	// VRSRAuv16i8
-    22836629U,	// VRSRAuv1i64
-    18773397U,	// VRSRAuv2i32
-    22836629U,	// VRSRAuv2i64
-    18904469U,	// VRSRAuv4i16
-    18773397U,	// VRSRAuv4i32
-    18904469U,	// VRSRAuv8i16
-    19035541U,	// VRSRAuv8i8
-    35940542U,	// VRSUBHNv2i32
-    36071614U,	// VRSUBHNv4i16
-    36202686U,	// VRSUBHNv8i8
+    2249083886U,	// VRINTZS
+    35416169U,	// VRSHLsv16i8
+    39479401U,	// VRSHLsv1i64
+    35154025U,	// VRSHLsv2i32
+    39479401U,	// VRSHLsv2i64
+    35285097U,	// VRSHLsv4i16
+    35154025U,	// VRSHLsv4i32
+    35285097U,	// VRSHLsv8i16
+    35416169U,	// VRSHLsv8i8
+    35809385U,	// VRSHLuv16i8
+    39610473U,	// VRSHLuv1i64
+    35547241U,	// VRSHLuv2i32
+    39610473U,	// VRSHLuv2i64
+    35678313U,	// VRSHLuv4i16
+    35547241U,	// VRSHLuv4i32
+    35678313U,	// VRSHLuv8i16
+    35809385U,	// VRSHLuv8i8
+    35940614U,	// VRSHRNv2i32
+    36071686U,	// VRSHRNv4i16
+    36202758U,	// VRSHRNv8i8
+    35416459U,	// VRSHRsv16i8
+    39479691U,	// VRSHRsv1i64
+    35154315U,	// VRSHRsv2i32
+    39479691U,	// VRSHRsv2i64
+    35285387U,	// VRSHRsv4i16
+    35154315U,	// VRSHRsv4i32
+    35285387U,	// VRSHRsv8i16
+    35416459U,	// VRSHRsv8i8
+    35809675U,	// VRSHRuv16i8
+    39610763U,	// VRSHRuv1i64
+    35547531U,	// VRSHRuv2i32
+    39610763U,	// VRSHRuv2i64
+    35678603U,	// VRSHRuv4i16
+    35547531U,	// VRSHRuv4i32
+    35678603U,	// VRSHRuv8i16
+    35809675U,	// VRSHRuv8i8
+    1109280601U,	// VRSQRTEd
+    2249082713U,	// VRSQRTEfd
+    2249082713U,	// VRSQRTEfq
+    1109280601U,	// VRSQRTEq
+    2249091609U,	// VRSQRTSfd
+    2249091609U,	// VRSQRTSfq
+    18642337U,	// VRSRAsv16i8
+    22705569U,	// VRSRAsv1i64
+    18380193U,	// VRSRAsv2i32
+    22705569U,	// VRSRAsv2i64
+    18511265U,	// VRSRAsv4i16
+    18380193U,	// VRSRAsv4i32
+    18511265U,	// VRSRAsv8i16
+    18642337U,	// VRSRAsv8i8
+    19035553U,	// VRSRAuv16i8
+    22836641U,	// VRSRAuv1i64
+    18773409U,	// VRSRAuv2i32
+    22836641U,	// VRSRAuv2i64
+    18904481U,	// VRSRAuv4i16
+    18773409U,	// VRSRAuv4i32
+    18904481U,	// VRSRAuv8i16
+    19035553U,	// VRSRAuv8i8
+    35940554U,	// VRSUBHNv2i32
+    36071626U,	// VRSUBHNv4i16
+    36202698U,	// VRSUBHNv8i8
     33706614U,	// VSELEQD
     33706306U,	// VSELEQS
     33706542U,	// VSELGED
@@ -1785,665 +1792,666 @@ static void printInstruction(MCInst *MI,
     33706330U,	// VSELGTS
     33706626U,	// VSELVSD
     33706318U,	// VSELVSS
-    2151840498U,	// VSETLNi16
-    2151971570U,	// VSETLNi32
-    2150398706U,	// VSETLNi8
-    36202600U,	// VSHLLi16
-    36071528U,	// VSHLLi32
-    36333672U,	// VSHLLi8
-    35154024U,	// VSHLLsv2i64
-    35285096U,	// VSHLLsv4i32
-    35416168U,	// VSHLLsv8i16
-    35547240U,	// VSHLLuv2i64
-    35678312U,	// VSHLLuv4i32
-    35809384U,	// VSHLLuv8i16
-    36333667U,	// VSHLiv16i8
-    35940451U,	// VSHLiv1i64
-    36071523U,	// VSHLiv2i32
-    35940451U,	// VSHLiv2i64
-    36202595U,	// VSHLiv4i16
-    36071523U,	// VSHLiv4i32
-    36202595U,	// VSHLiv8i16
-    36333667U,	// VSHLiv8i8
-    35416163U,	// VSHLsv16i8
-    39479395U,	// VSHLsv1i64
-    35154019U,	// VSHLsv2i32
-    39479395U,	// VSHLsv2i64
-    35285091U,	// VSHLsv4i16
-    35154019U,	// VSHLsv4i32
-    35285091U,	// VSHLsv8i16
-    35416163U,	// VSHLsv8i8
-    35809379U,	// VSHLuv16i8
-    39610467U,	// VSHLuv1i64
-    35547235U,	// VSHLuv2i32
-    39610467U,	// VSHLuv2i64
-    35678307U,	// VSHLuv4i16
-    35547235U,	// VSHLuv4i32
-    35678307U,	// VSHLuv8i16
-    35809379U,	// VSHLuv8i8
-    35940609U,	// VSHRNv2i32
-    36071681U,	// VSHRNv4i16
-    36202753U,	// VSHRNv8i8
-    35416453U,	// VSHRsv16i8
-    39479685U,	// VSHRsv1i64
-    35154309U,	// VSHRsv2i32
-    39479685U,	// VSHRsv2i64
-    35285381U,	// VSHRsv4i16
-    35154309U,	// VSHRsv4i32
-    35285381U,	// VSHRsv8i16
-    35416453U,	// VSHRsv8i8
-    35809669U,	// VSHRuv16i8
-    39610757U,	// VSHRuv1i64
-    35547525U,	// VSHRuv2i32
-    39610757U,	// VSHRuv2i64
-    35678597U,	// VSHRuv4i16
-    35547525U,	// VSHRuv4i32
-    35678597U,	// VSHRuv8i16
-    35809669U,	// VSHRuv8i8
-    6187707U,	// VSHTOD
-    6318779U,	// VSHTOS
-    274877115U,	// VSITOD
-    272517819U,	// VSITOS
-    2914269U,	// VSLIv16i8
-    4618205U,	// VSLIv1i64
-    4487133U,	// VSLIv2i32
-    4618205U,	// VSLIv2i64
-    4356061U,	// VSLIv4i16
-    4487133U,	// VSLIv4i32
-    4356061U,	// VSLIv8i16
-    2914269U,	// VSLIv8i8
-    3328338619U,	// VSLTOD
-    3325979323U,	// VSLTOS
-    2248952463U,	// VSQRTD
-    2249083535U,	// VSQRTS
-    18642331U,	// VSRAsv16i8
-    22705563U,	// VSRAsv1i64
-    18380187U,	// VSRAsv2i32
-    22705563U,	// VSRAsv2i64
-    18511259U,	// VSRAsv4i16
-    18380187U,	// VSRAsv4i32
-    18511259U,	// VSRAsv8i16
-    18642331U,	// VSRAsv8i8
-    19035547U,	// VSRAuv16i8
-    22836635U,	// VSRAuv1i64
-    18773403U,	// VSRAuv2i32
-    22836635U,	// VSRAuv2i64
-    18904475U,	// VSRAuv4i16
-    18773403U,	// VSRAuv4i32
-    18904475U,	// VSRAuv8i16
-    19035547U,	// VSRAuv8i8
-    2914274U,	// VSRIv16i8
-    4618210U,	// VSRIv1i64
-    4487138U,	// VSRIv2i32
-    4618210U,	// VSRIv2i64
-    4356066U,	// VSRIv4i16
-    4487138U,	// VSRIv4i32
-    4356066U,	// VSRIv8i16
-    2914274U,	// VSRIv8i8
-    3242750957U,	// VST1LNd16
-    3746079725U,	// VST1LNd16_UPD
-    3242882029U,	// VST1LNd32
-    3746210797U,	// VST1LNd32_UPD
-    3243013101U,	// VST1LNd8
-    3746341869U,	// VST1LNd8_UPD
-    4355053U,	// VST1LNdAsm_16
-    4486125U,	// VST1LNdAsm_32
-    2913261U,	// VST1LNdAsm_8
-    4355053U,	// VST1LNdWB_fixed_Asm_16
-    4486125U,	// VST1LNdWB_fixed_Asm_32
-    2913261U,	// VST1LNdWB_fixed_Asm_8
-    4391917U,	// VST1LNdWB_register_Asm_16
-    4522989U,	// VST1LNdWB_register_Asm_32
-    2950125U,	// VST1LNdWB_register_Asm_8
+    3225582339U,	// VSETLNi16
+    3225713411U,	// VSETLNi32
+    3224140547U,	// VSETLNi8
+    36202612U,	// VSHLLi16
+    36071540U,	// VSHLLi32
+    36333684U,	// VSHLLi8
+    35154036U,	// VSHLLsv2i64
+    35285108U,	// VSHLLsv4i32
+    35416180U,	// VSHLLsv8i16
+    35547252U,	// VSHLLuv2i64
+    35678324U,	// VSHLLuv4i32
+    35809396U,	// VSHLLuv8i16
+    36333679U,	// VSHLiv16i8
+    35940463U,	// VSHLiv1i64
+    36071535U,	// VSHLiv2i32
+    35940463U,	// VSHLiv2i64
+    36202607U,	// VSHLiv4i16
+    36071535U,	// VSHLiv4i32
+    36202607U,	// VSHLiv8i16
+    36333679U,	// VSHLiv8i8
+    35416175U,	// VSHLsv16i8
+    39479407U,	// VSHLsv1i64
+    35154031U,	// VSHLsv2i32
+    39479407U,	// VSHLsv2i64
+    35285103U,	// VSHLsv4i16
+    35154031U,	// VSHLsv4i32
+    35285103U,	// VSHLsv8i16
+    35416175U,	// VSHLsv8i8
+    35809391U,	// VSHLuv16i8
+    39610479U,	// VSHLuv1i64
+    35547247U,	// VSHLuv2i32
+    39610479U,	// VSHLuv2i64
+    35678319U,	// VSHLuv4i16
+    35547247U,	// VSHLuv4i32
+    35678319U,	// VSHLuv8i16
+    35809391U,	// VSHLuv8i8
+    35940621U,	// VSHRNv2i32
+    36071693U,	// VSHRNv4i16
+    36202765U,	// VSHRNv8i8
+    35416465U,	// VSHRsv16i8
+    39479697U,	// VSHRsv1i64
+    35154321U,	// VSHRsv2i32
+    39479697U,	// VSHRsv2i64
+    35285393U,	// VSHRsv4i16
+    35154321U,	// VSHRsv4i32
+    35285393U,	// VSHRsv8i16
+    35416465U,	// VSHRsv8i8
+    35809681U,	// VSHRuv16i8
+    39610769U,	// VSHRuv1i64
+    35547537U,	// VSHRuv2i32
+    39610769U,	// VSHRuv2i64
+    35678609U,	// VSHRuv4i16
+    35547537U,	// VSHRuv4i32
+    35678609U,	// VSHRuv8i16
+    35809681U,	// VSHRuv8i8
+    6187724U,	// VSHTOD
+    6318796U,	// VSHTOS
+    291654348U,	// VSITOD
+    289295052U,	// VSITOS
+    2914281U,	// VSLIv16i8
+    4618217U,	// VSLIv1i64
+    4487145U,	// VSLIv2i32
+    4618217U,	// VSLIv2i64
+    4356073U,	// VSLIv4i16
+    4487145U,	// VSLIv4i32
+    4356073U,	// VSLIv8i16
+    2914281U,	// VSLIv8i8
+    107113164U,	// VSLTOD
+    104753868U,	// VSLTOS
+    2248952480U,	// VSQRTD
+    2249083552U,	// VSQRTS
+    18642343U,	// VSRAsv16i8
+    22705575U,	// VSRAsv1i64
+    18380199U,	// VSRAsv2i32
+    22705575U,	// VSRAsv2i64
+    18511271U,	// VSRAsv4i16
+    18380199U,	// VSRAsv4i32
+    18511271U,	// VSRAsv8i16
+    18642343U,	// VSRAsv8i8
+    19035559U,	// VSRAuv16i8
+    22836647U,	// VSRAuv1i64
+    18773415U,	// VSRAuv2i32
+    22836647U,	// VSRAuv2i64
+    18904487U,	// VSRAuv4i16
+    18773415U,	// VSRAuv4i32
+    18904487U,	// VSRAuv8i16
+    19035559U,	// VSRAuv8i8
+    2914286U,	// VSRIv16i8
+    4618222U,	// VSRIv1i64
+    4487150U,	// VSRIv2i32
+    4618222U,	// VSRIv2i64
+    4356078U,	// VSRIv4i16
+    4487150U,	// VSRIv4i32
+    4356078U,	// VSRIv8i16
+    2914286U,	// VSRIv8i8
+    21525497U,	// VST1LNd16
+    541631481U,	// VST1LNd16_UPD
+    21656569U,	// VST1LNd32
+    541762553U,	// VST1LNd32_UPD
+    21787641U,	// VST1LNd8
+    541893625U,	// VST1LNd8_UPD
+    4355065U,	// VST1LNdAsm_16
+    4486137U,	// VST1LNdAsm_32
+    2913273U,	// VST1LNdAsm_8
+    4355065U,	// VST1LNdWB_fixed_Asm_16
+    4486137U,	// VST1LNdWB_fixed_Asm_32
+    2913273U,	// VST1LNdWB_fixed_Asm_8
+    4391929U,	// VST1LNdWB_register_Asm_16
+    4523001U,	// VST1LNdWB_register_Asm_32
+    2950137U,	// VST1LNdWB_register_Asm_8
     0U,	// VST1LNq16Pseudo
     0U,	// VST1LNq16Pseudo_UPD
     0U,	// VST1LNq32Pseudo
     0U,	// VST1LNq32Pseudo_UPD
     0U,	// VST1LNq8Pseudo
     0U,	// VST1LNq8Pseudo_UPD
-    541221869U,	// VST1d16
-    557999085U,	// VST1d16Q
-    574780397U,	// VST1d16Qwb_fixed
-    591594477U,	// VST1d16Qwb_register
-    608330733U,	// VST1d16T
-    625112045U,	// VST1d16Twb_fixed
-    641926125U,	// VST1d16Twb_register
-    658666477U,	// VST1d16wb_fixed
-    675480557U,	// VST1d16wb_register
-    541352941U,	// VST1d32
-    558130157U,	// VST1d32Q
-    574911469U,	// VST1d32Qwb_fixed
-    591725549U,	// VST1d32Qwb_register
-    608461805U,	// VST1d32T
-    625243117U,	// VST1d32Twb_fixed
-    642057197U,	// VST1d32Twb_register
-    658797549U,	// VST1d32wb_fixed
-    675611629U,	// VST1d32wb_register
-    541484013U,	// VST1d64
-    558261229U,	// VST1d64Q
+    557999097U,	// VST1d16
+    574776313U,	// VST1d16Q
+    591557625U,	// VST1d16Qwb_fixed
+    608371705U,	// VST1d16Qwb_register
+    625107961U,	// VST1d16T
+    641889273U,	// VST1d16Twb_fixed
+    658703353U,	// VST1d16Twb_register
+    675443705U,	// VST1d16wb_fixed
+    692257785U,	// VST1d16wb_register
+    558130169U,	// VST1d32
+    574907385U,	// VST1d32Q
+    591688697U,	// VST1d32Qwb_fixed
+    608502777U,	// VST1d32Qwb_register
+    625239033U,	// VST1d32T
+    642020345U,	// VST1d32Twb_fixed
+    658834425U,	// VST1d32Twb_register
+    675574777U,	// VST1d32wb_fixed
+    692388857U,	// VST1d32wb_register
+    558261241U,	// VST1d64
+    575038457U,	// VST1d64Q
     0U,	// VST1d64QPseudo
     0U,	// VST1d64QPseudoWB_fixed
     0U,	// VST1d64QPseudoWB_register
-    575042541U,	// VST1d64Qwb_fixed
-    591856621U,	// VST1d64Qwb_register
-    608592877U,	// VST1d64T
+    591819769U,	// VST1d64Qwb_fixed
+    608633849U,	// VST1d64Qwb_register
+    625370105U,	// VST1d64T
     0U,	// VST1d64TPseudo
     0U,	// VST1d64TPseudoWB_fixed
     0U,	// VST1d64TPseudoWB_register
-    625374189U,	// VST1d64Twb_fixed
-    642188269U,	// VST1d64Twb_register
-    658928621U,	// VST1d64wb_fixed
-    675742701U,	// VST1d64wb_register
-    539780077U,	// VST1d8
-    556557293U,	// VST1d8Q
-    573338605U,	// VST1d8Qwb_fixed
-    590152685U,	// VST1d8Qwb_register
-    606888941U,	// VST1d8T
-    623670253U,	// VST1d8Twb_fixed
-    640484333U,	// VST1d8Twb_register
-    657224685U,	// VST1d8wb_fixed
-    674038765U,	// VST1d8wb_register
-    692216813U,	// VST1q16
-    708998125U,	// VST1q16wb_fixed
-    725812205U,	// VST1q16wb_register
-    692347885U,	// VST1q32
-    709129197U,	// VST1q32wb_fixed
-    725943277U,	// VST1q32wb_register
-    692478957U,	// VST1q64
-    709260269U,	// VST1q64wb_fixed
-    726074349U,	// VST1q64wb_register
-    690775021U,	// VST1q8
-    707556333U,	// VST1q8wb_fixed
-    724370413U,	// VST1q8wb_register
-    3242787881U,	// VST2LNd16
+    642151417U,	// VST1d64Twb_fixed
+    658965497U,	// VST1d64Twb_register
+    675705849U,	// VST1d64wb_fixed
+    692519929U,	// VST1d64wb_register
+    556557305U,	// VST1d8
+    573334521U,	// VST1d8Q
+    590115833U,	// VST1d8Qwb_fixed
+    606929913U,	// VST1d8Qwb_register
+    623666169U,	// VST1d8T
+    640447481U,	// VST1d8Twb_fixed
+    657261561U,	// VST1d8Twb_register
+    674001913U,	// VST1d8wb_fixed
+    690815993U,	// VST1d8wb_register
+    708994041U,	// VST1q16
+    725775353U,	// VST1q16wb_fixed
+    742589433U,	// VST1q16wb_register
+    709125113U,	// VST1q32
+    725906425U,	// VST1q32wb_fixed
+    742720505U,	// VST1q32wb_register
+    709256185U,	// VST1q64
+    726037497U,	// VST1q64wb_fixed
+    742851577U,	// VST1q64wb_register
+    707552249U,	// VST1q8
+    724333561U,	// VST1q8wb_fixed
+    741147641U,	// VST1q8wb_register
+    21562421U,	// VST2LNd16
     0U,	// VST2LNd16Pseudo
     0U,	// VST2LNd16Pseudo_UPD
-    3746133033U,	// VST2LNd16_UPD
-    3242918953U,	// VST2LNd32
+    541684789U,	// VST2LNd16_UPD
+    21693493U,	// VST2LNd32
     0U,	// VST2LNd32Pseudo
     0U,	// VST2LNd32Pseudo_UPD
-    3746264105U,	// VST2LNd32_UPD
-    3243050025U,	// VST2LNd8
+    541815861U,	// VST2LNd32_UPD
+    21824565U,	// VST2LNd8
     0U,	// VST2LNd8Pseudo
     0U,	// VST2LNd8Pseudo_UPD
-    3746395177U,	// VST2LNd8_UPD
-    4355113U,	// VST2LNdAsm_16
-    4486185U,	// VST2LNdAsm_32
-    2913321U,	// VST2LNdAsm_8
-    4355113U,	// VST2LNdWB_fixed_Asm_16
-    4486185U,	// VST2LNdWB_fixed_Asm_32
-    2913321U,	// VST2LNdWB_fixed_Asm_8
-    4391977U,	// VST2LNdWB_register_Asm_16
-    4523049U,	// VST2LNdWB_register_Asm_32
-    2950185U,	// VST2LNdWB_register_Asm_8
-    3242787881U,	// VST2LNq16
+    541946933U,	// VST2LNd8_UPD
+    4355125U,	// VST2LNdAsm_16
+    4486197U,	// VST2LNdAsm_32
+    2913333U,	// VST2LNdAsm_8
+    4355125U,	// VST2LNdWB_fixed_Asm_16
+    4486197U,	// VST2LNdWB_fixed_Asm_32
+    2913333U,	// VST2LNdWB_fixed_Asm_8
+    4391989U,	// VST2LNdWB_register_Asm_16
+    4523061U,	// VST2LNdWB_register_Asm_32
+    2950197U,	// VST2LNdWB_register_Asm_8
+    21562421U,	// VST2LNq16
     0U,	// VST2LNq16Pseudo
     0U,	// VST2LNq16Pseudo_UPD
-    3746133033U,	// VST2LNq16_UPD
-    3242918953U,	// VST2LNq32
+    541684789U,	// VST2LNq16_UPD
+    21693493U,	// VST2LNq32
     0U,	// VST2LNq32Pseudo
     0U,	// VST2LNq32Pseudo_UPD
-    3746264105U,	// VST2LNq32_UPD
-    4355113U,	// VST2LNqAsm_16
-    4486185U,	// VST2LNqAsm_32
-    4355113U,	// VST2LNqWB_fixed_Asm_16
-    4486185U,	// VST2LNqWB_fixed_Asm_32
-    4391977U,	// VST2LNqWB_register_Asm_16
-    4523049U,	// VST2LNqWB_register_Asm_32
-    742548521U,	// VST2b16
-    759329833U,	// VST2b16wb_fixed
-    776143913U,	// VST2b16wb_register
-    742679593U,	// VST2b32
-    759460905U,	// VST2b32wb_fixed
-    776274985U,	// VST2b32wb_register
-    741106729U,	// VST2b8
-    757888041U,	// VST2b8wb_fixed
-    774702121U,	// VST2b8wb_register
-    692216873U,	// VST2d16
-    708998185U,	// VST2d16wb_fixed
-    725812265U,	// VST2d16wb_register
-    692347945U,	// VST2d32
-    709129257U,	// VST2d32wb_fixed
-    725943337U,	// VST2d32wb_register
-    690775081U,	// VST2d8
-    707556393U,	// VST2d8wb_fixed
-    724370473U,	// VST2d8wb_register
-    557999145U,	// VST2q16
+    541815861U,	// VST2LNq32_UPD
+    4355125U,	// VST2LNqAsm_16
+    4486197U,	// VST2LNqAsm_32
+    4355125U,	// VST2LNqWB_fixed_Asm_16
+    4486197U,	// VST2LNqWB_fixed_Asm_32
+    4391989U,	// VST2LNqWB_register_Asm_16
+    4523061U,	// VST2LNqWB_register_Asm_32
+    759325749U,	// VST2b16
+    776107061U,	// VST2b16wb_fixed
+    792921141U,	// VST2b16wb_register
+    759456821U,	// VST2b32
+    776238133U,	// VST2b32wb_fixed
+    793052213U,	// VST2b32wb_register
+    757883957U,	// VST2b8
+    774665269U,	// VST2b8wb_fixed
+    791479349U,	// VST2b8wb_register
+    708994101U,	// VST2d16
+    725775413U,	// VST2d16wb_fixed
+    742589493U,	// VST2d16wb_register
+    709125173U,	// VST2d32
+    725906485U,	// VST2d32wb_fixed
+    742720565U,	// VST2d32wb_register
+    707552309U,	// VST2d8
+    724333621U,	// VST2d8wb_fixed
+    741147701U,	// VST2d8wb_register
+    574776373U,	// VST2q16
     0U,	// VST2q16Pseudo
     0U,	// VST2q16PseudoWB_fixed
     0U,	// VST2q16PseudoWB_register
-    574780457U,	// VST2q16wb_fixed
-    591594537U,	// VST2q16wb_register
-    558130217U,	// VST2q32
+    591557685U,	// VST2q16wb_fixed
+    608371765U,	// VST2q16wb_register
+    574907445U,	// VST2q32
     0U,	// VST2q32Pseudo
     0U,	// VST2q32PseudoWB_fixed
     0U,	// VST2q32PseudoWB_register
-    574911529U,	// VST2q32wb_fixed
-    591725609U,	// VST2q32wb_register
-    556557353U,	// VST2q8
+    591688757U,	// VST2q32wb_fixed
+    608502837U,	// VST2q32wb_register
+    573334581U,	// VST2q8
     0U,	// VST2q8Pseudo
     0U,	// VST2q8PseudoWB_fixed
     0U,	// VST2q8PseudoWB_register
-    573338665U,	// VST2q8wb_fixed
-    590152745U,	// VST2q8wb_register
-    3242763321U,	// VST3LNd16
+    590115893U,	// VST2q8wb_fixed
+    606929973U,	// VST2q8wb_register
+    21537861U,	// VST3LNd16
     0U,	// VST3LNd16Pseudo
     0U,	// VST3LNd16Pseudo_UPD
-    3746145337U,	// VST3LNd16_UPD
-    3242894393U,	// VST3LNd32
+    541697093U,	// VST3LNd16_UPD
+    21668933U,	// VST3LNd32
     0U,	// VST3LNd32Pseudo
     0U,	// VST3LNd32Pseudo_UPD
-    3746276409U,	// VST3LNd32_UPD
-    3243025465U,	// VST3LNd8
+    541828165U,	// VST3LNd32_UPD
+    21800005U,	// VST3LNd8
     0U,	// VST3LNd8Pseudo
     0U,	// VST3LNd8Pseudo_UPD
-    3746407481U,	// VST3LNd8_UPD
-    4355129U,	// VST3LNdAsm_16
-    4486201U,	// VST3LNdAsm_32
-    2913337U,	// VST3LNdAsm_8
-    4355129U,	// VST3LNdWB_fixed_Asm_16
-    4486201U,	// VST3LNdWB_fixed_Asm_32
-    2913337U,	// VST3LNdWB_fixed_Asm_8
-    4391993U,	// VST3LNdWB_register_Asm_16
-    4523065U,	// VST3LNdWB_register_Asm_32
-    2950201U,	// VST3LNdWB_register_Asm_8
-    3242763321U,	// VST3LNq16
+    541959237U,	// VST3LNd8_UPD
+    4355141U,	// VST3LNdAsm_16
+    4486213U,	// VST3LNdAsm_32
+    2913349U,	// VST3LNdAsm_8
+    4355141U,	// VST3LNdWB_fixed_Asm_16
+    4486213U,	// VST3LNdWB_fixed_Asm_32
+    2913349U,	// VST3LNdWB_fixed_Asm_8
+    4392005U,	// VST3LNdWB_register_Asm_16
+    4523077U,	// VST3LNdWB_register_Asm_32
+    2950213U,	// VST3LNdWB_register_Asm_8
+    21537861U,	// VST3LNq16
     0U,	// VST3LNq16Pseudo
     0U,	// VST3LNq16Pseudo_UPD
-    3746145337U,	// VST3LNq16_UPD
-    3242894393U,	// VST3LNq32
+    541697093U,	// VST3LNq16_UPD
+    21668933U,	// VST3LNq32
     0U,	// VST3LNq32Pseudo
     0U,	// VST3LNq32Pseudo_UPD
-    3746276409U,	// VST3LNq32_UPD
-    4355129U,	// VST3LNqAsm_16
-    4486201U,	// VST3LNqAsm_32
-    4355129U,	// VST3LNqWB_fixed_Asm_16
-    4486201U,	// VST3LNqWB_fixed_Asm_32
-    4391993U,	// VST3LNqWB_register_Asm_16
-    4523065U,	// VST3LNqWB_register_Asm_32
-    21562425U,	// VST3d16
+    541828165U,	// VST3LNq32_UPD
+    4355141U,	// VST3LNqAsm_16
+    4486213U,	// VST3LNqAsm_32
+    4355141U,	// VST3LNqWB_fixed_Asm_16
+    4486213U,	// VST3LNqWB_fixed_Asm_32
+    4392005U,	// VST3LNqWB_register_Asm_16
+    4523077U,	// VST3LNqWB_register_Asm_32
+    21562437U,	// VST3d16
     0U,	// VST3d16Pseudo
     0U,	// VST3d16Pseudo_UPD
-    524907577U,	// VST3d16_UPD
-    21693497U,	// VST3d32
+    541684805U,	// VST3d16_UPD
+    21693509U,	// VST3d32
     0U,	// VST3d32Pseudo
     0U,	// VST3d32Pseudo_UPD
-    525038649U,	// VST3d32_UPD
-    21824569U,	// VST3d8
+    541815877U,	// VST3d32_UPD
+    21824581U,	// VST3d8
     0U,	// VST3d8Pseudo
     0U,	// VST3d8Pseudo_UPD
-    525169721U,	// VST3d8_UPD
-    1430414393U,	// VST3dAsm_16
-    1430545465U,	// VST3dAsm_32
-    1428972601U,	// VST3dAsm_8
-    1430414393U,	// VST3dWB_fixed_Asm_16
-    1430545465U,	// VST3dWB_fixed_Asm_32
-    1428972601U,	// VST3dWB_fixed_Asm_8
-    1430418489U,	// VST3dWB_register_Asm_16
-    1430549561U,	// VST3dWB_register_Asm_32
-    1428976697U,	// VST3dWB_register_Asm_8
-    21562425U,	// VST3q16
+    541946949U,	// VST3d8_UPD
+    2520933445U,	// VST3dAsm_16
+    2521064517U,	// VST3dAsm_32
+    2519491653U,	// VST3dAsm_8
+    2520933445U,	// VST3dWB_fixed_Asm_16
+    2521064517U,	// VST3dWB_fixed_Asm_32
+    2519491653U,	// VST3dWB_fixed_Asm_8
+    2520937541U,	// VST3dWB_register_Asm_16
+    2521068613U,	// VST3dWB_register_Asm_32
+    2519495749U,	// VST3dWB_register_Asm_8
+    21562437U,	// VST3q16
     0U,	// VST3q16Pseudo_UPD
-    524907577U,	// VST3q16_UPD
+    541684805U,	// VST3q16_UPD
     0U,	// VST3q16oddPseudo
     0U,	// VST3q16oddPseudo_UPD
-    21693497U,	// VST3q32
+    21693509U,	// VST3q32
     0U,	// VST3q32Pseudo_UPD
-    525038649U,	// VST3q32_UPD
+    541815877U,	// VST3q32_UPD
     0U,	// VST3q32oddPseudo
     0U,	// VST3q32oddPseudo_UPD
-    21824569U,	// VST3q8
+    21824581U,	// VST3q8
     0U,	// VST3q8Pseudo_UPD
-    525169721U,	// VST3q8_UPD
+    541946949U,	// VST3q8_UPD
     0U,	// VST3q8oddPseudo
     0U,	// VST3q8oddPseudo_UPD
-    1531077689U,	// VST3qAsm_16
-    1531208761U,	// VST3qAsm_32
-    1529635897U,	// VST3qAsm_8
-    1531077689U,	// VST3qWB_fixed_Asm_16
-    1531208761U,	// VST3qWB_fixed_Asm_32
-    1529635897U,	// VST3qWB_fixed_Asm_8
-    457339961U,	// VST3qWB_register_Asm_16
-    457471033U,	// VST3qWB_register_Asm_32
-    455898169U,	// VST3qWB_register_Asm_8
-    3242816586U,	// VST4LNd16
+    1547854917U,	// VST3qAsm_16
+    1547985989U,	// VST3qAsm_32
+    1546413125U,	// VST3qAsm_8
+    2621596741U,	// VST3qWB_fixed_Asm_16
+    2621727813U,	// VST3qWB_fixed_Asm_32
+    2620154949U,	// VST3qWB_fixed_Asm_8
+    474117189U,	// VST3qWB_register_Asm_16
+    474248261U,	// VST3qWB_register_Asm_32
+    472675397U,	// VST3qWB_register_Asm_8
+    21591126U,	// VST4LNd16
     0U,	// VST4LNd16Pseudo
     0U,	// VST4LNd16Pseudo_UPD
-    3746137162U,	// VST4LNd16_UPD
-    3242947658U,	// VST4LNd32
+    541688918U,	// VST4LNd16_UPD
+    21722198U,	// VST4LNd32
     0U,	// VST4LNd32Pseudo
     0U,	// VST4LNd32Pseudo_UPD
-    3746268234U,	// VST4LNd32_UPD
-    3243078730U,	// VST4LNd8
+    541819990U,	// VST4LNd32_UPD
+    21853270U,	// VST4LNd8
     0U,	// VST4LNd8Pseudo
     0U,	// VST4LNd8Pseudo_UPD
-    3746399306U,	// VST4LNd8_UPD
-    4355146U,	// VST4LNdAsm_16
-    4486218U,	// VST4LNdAsm_32
-    2913354U,	// VST4LNdAsm_8
-    4355146U,	// VST4LNdWB_fixed_Asm_16
-    4486218U,	// VST4LNdWB_fixed_Asm_32
-    2913354U,	// VST4LNdWB_fixed_Asm_8
-    4392010U,	// VST4LNdWB_register_Asm_16
-    4523082U,	// VST4LNdWB_register_Asm_32
-    2950218U,	// VST4LNdWB_register_Asm_8
-    3242816586U,	// VST4LNq16
+    541951062U,	// VST4LNd8_UPD
+    4355158U,	// VST4LNdAsm_16
+    4486230U,	// VST4LNdAsm_32
+    2913366U,	// VST4LNdAsm_8
+    4355158U,	// VST4LNdWB_fixed_Asm_16
+    4486230U,	// VST4LNdWB_fixed_Asm_32
+    2913366U,	// VST4LNdWB_fixed_Asm_8
+    4392022U,	// VST4LNdWB_register_Asm_16
+    4523094U,	// VST4LNdWB_register_Asm_32
+    2950230U,	// VST4LNdWB_register_Asm_8
+    21591126U,	// VST4LNq16
     0U,	// VST4LNq16Pseudo
     0U,	// VST4LNq16Pseudo_UPD
-    3746137162U,	// VST4LNq16_UPD
-    3242947658U,	// VST4LNq32
+    541688918U,	// VST4LNq16_UPD
+    21722198U,	// VST4LNq32
     0U,	// VST4LNq32Pseudo
     0U,	// VST4LNq32Pseudo_UPD
-    3746268234U,	// VST4LNq32_UPD
-    4355146U,	// VST4LNqAsm_16
-    4486218U,	// VST4LNqAsm_32
-    4355146U,	// VST4LNqWB_fixed_Asm_16
-    4486218U,	// VST4LNqWB_fixed_Asm_32
-    4392010U,	// VST4LNqWB_register_Asm_16
-    4523082U,	// VST4LNqWB_register_Asm_32
-    21537866U,	// VST4d16
+    541819990U,	// VST4LNq32_UPD
+    4355158U,	// VST4LNqAsm_16
+    4486230U,	// VST4LNqAsm_32
+    4355158U,	// VST4LNqWB_fixed_Asm_16
+    4486230U,	// VST4LNqWB_fixed_Asm_32
+    4392022U,	// VST4LNqWB_register_Asm_16
+    4523094U,	// VST4LNqWB_register_Asm_32
+    21537878U,	// VST4d16
     0U,	// VST4d16Pseudo
     0U,	// VST4d16Pseudo_UPD
-    524919882U,	// VST4d16_UPD
-    21668938U,	// VST4d32
+    541697110U,	// VST4d16_UPD
+    21668950U,	// VST4d32
     0U,	// VST4d32Pseudo
     0U,	// VST4d32Pseudo_UPD
-    525050954U,	// VST4d32_UPD
-    21800010U,	// VST4d8
+    541828182U,	// VST4d32_UPD
+    21800022U,	// VST4d8
     0U,	// VST4d8Pseudo
     0U,	// VST4d8Pseudo_UPD
-    525182026U,	// VST4d8_UPD
-    1413637194U,	// VST4dAsm_16
-    1413768266U,	// VST4dAsm_32
-    1412195402U,	// VST4dAsm_8
-    1413637194U,	// VST4dWB_fixed_Asm_16
-    1413768266U,	// VST4dWB_fixed_Asm_32
-    1412195402U,	// VST4dWB_fixed_Asm_8
-    1413641290U,	// VST4dWB_register_Asm_16
-    1413772362U,	// VST4dWB_register_Asm_32
-    1412199498U,	// VST4dWB_register_Asm_8
-    21537866U,	// VST4q16
+    541959254U,	// VST4d8_UPD
+    2504156246U,	// VST4dAsm_16
+    2504287318U,	// VST4dAsm_32
+    2502714454U,	// VST4dAsm_8
+    2504156246U,	// VST4dWB_fixed_Asm_16
+    2504287318U,	// VST4dWB_fixed_Asm_32
+    2502714454U,	// VST4dWB_fixed_Asm_8
+    2504160342U,	// VST4dWB_register_Asm_16
+    2504291414U,	// VST4dWB_register_Asm_32
+    2502718550U,	// VST4dWB_register_Asm_8
+    21537878U,	// VST4q16
     0U,	// VST4q16Pseudo_UPD
-    524919882U,	// VST4q16_UPD
+    541697110U,	// VST4q16_UPD
     0U,	// VST4q16oddPseudo
     0U,	// VST4q16oddPseudo_UPD
-    21668938U,	// VST4q32
+    21668950U,	// VST4q32
     0U,	// VST4q32Pseudo_UPD
-    525050954U,	// VST4q32_UPD
+    541828182U,	// VST4q32_UPD
     0U,	// VST4q32oddPseudo
     0U,	// VST4q32oddPseudo_UPD
-    21800010U,	// VST4q8
+    21800022U,	// VST4q8
     0U,	// VST4q8Pseudo_UPD
-    525182026U,	// VST4q8_UPD
+    541959254U,	// VST4q8_UPD
     0U,	// VST4q8oddPseudo
     0U,	// VST4q8oddPseudo_UPD
-    1581409354U,	// VST4qAsm_16
-    1581540426U,	// VST4qAsm_32
-    1579967562U,	// VST4qAsm_8
-    1581409354U,	// VST4qWB_fixed_Asm_16
-    1581540426U,	// VST4qWB_fixed_Asm_32
-    1579967562U,	// VST4qWB_fixed_Asm_8
-    507671626U,	// VST4qWB_register_Asm_16
-    507802698U,	// VST4qWB_register_Asm_32
-    506229834U,	// VST4qWB_register_Asm_8
-    33572312U,	// VSTMDDB_UPD
-    34156U,	// VSTMDIA
-    33572204U,	// VSTMDIA_UPD
+    1598186582U,	// VST4qAsm_16
+    1598317654U,	// VST4qAsm_32
+    1596744790U,	// VST4qAsm_8
+    2671928406U,	// VST4qWB_fixed_Asm_16
+    2672059478U,	// VST4qWB_fixed_Asm_32
+    2670486614U,	// VST4qWB_fixed_Asm_8
+    524448854U,	// VST4qWB_register_Asm_16
+    524579926U,	// VST4qWB_register_Asm_32
+    523007062U,	// VST4qWB_register_Asm_8
+    33572324U,	// VSTMDDB_UPD
+    34168U,	// VSTMDIA
+    33572216U,	// VSTMDIA_UPD
     0U,	// VSTMQIA
-    33572312U,	// VSTMSDB_UPD
-    34156U,	// VSTMSIA
-    33572204U,	// VSTMSIA_UPD
-    27067U,	// VSTRD
-    27067U,	// VSTRS
-    2248959573U,	// VSUBD
-    35940550U,	// VSUBHNv2i32
-    36071622U,	// VSUBHNv4i16
-    36202694U,	// VSUBHNv8i8
-    35153961U,	// VSUBLsv2i64
-    35285033U,	// VSUBLsv4i32
-    35416105U,	// VSUBLsv8i16
-    35547177U,	// VSUBLuv2i64
-    35678249U,	// VSUBLuv4i32
-    35809321U,	// VSUBLuv8i16
-    2249090645U,	// VSUBS
-    35154679U,	// VSUBWsv2i64
-    35285751U,	// VSUBWsv4i32
-    35416823U,	// VSUBWsv8i16
-    35547895U,	// VSUBWuv2i64
-    35678967U,	// VSUBWuv4i32
-    35810039U,	// VSUBWuv8i16
-    2249090645U,	// VSUBfd
-    2249090645U,	// VSUBfq
-    36333141U,	// VSUBv16i8
-    35939925U,	// VSUBv1i64
-    36070997U,	// VSUBv2i32
-    35939925U,	// VSUBv2i64
-    36202069U,	// VSUBv4i16
-    36070997U,	// VSUBv4i32
-    36202069U,	// VSUBv8i16
-    36333141U,	// VSUBv8i8
-    31064U,	// VSWPd
-    31064U,	// VSWPq
-    2910244U,	// VTBL1
-    2910244U,	// VTBL2
-    2910244U,	// VTBL3
+    33572324U,	// VSTMSDB_UPD
+    34168U,	// VSTMSIA
+    33572216U,	// VSTMSIA_UPD
+    27079U,	// VSTRD
+    27079U,	// VSTRS
+    2248959585U,	// VSUBD
+    35940562U,	// VSUBHNv2i32
+    36071634U,	// VSUBHNv4i16
+    36202706U,	// VSUBHNv8i8
+    35153973U,	// VSUBLsv2i64
+    35285045U,	// VSUBLsv4i32
+    35416117U,	// VSUBLsv8i16
+    35547189U,	// VSUBLuv2i64
+    35678261U,	// VSUBLuv4i32
+    35809333U,	// VSUBLuv8i16
+    2249090657U,	// VSUBS
+    35154696U,	// VSUBWsv2i64
+    35285768U,	// VSUBWsv4i32
+    35416840U,	// VSUBWsv8i16
+    35547912U,	// VSUBWuv2i64
+    35678984U,	// VSUBWuv4i32
+    35810056U,	// VSUBWuv8i16
+    2249090657U,	// VSUBfd
+    2249090657U,	// VSUBfq
+    36333153U,	// VSUBv16i8
+    35939937U,	// VSUBv1i64
+    36071009U,	// VSUBv2i32
+    35939937U,	// VSUBv2i64
+    36202081U,	// VSUBv4i16
+    36071009U,	// VSUBv4i32
+    36202081U,	// VSUBv8i16
+    36333153U,	// VSUBv8i8
+    31076U,	// VSWPd
+    31076U,	// VSWPq
+    2910256U,	// VTBL1
+    2910256U,	// VTBL2
+    2910256U,	// VTBL3
     0U,	// VTBL3Pseudo
-    2910244U,	// VTBL4
+    2910256U,	// VTBL4
     0U,	// VTBL4Pseudo
-    2915156U,	// VTBX1
-    2915156U,	// VTBX2
-    2915156U,	// VTBX3
+    2915173U,	// VTBX1
+    2915173U,	// VTBX2
+    2915173U,	// VTBX3
     0U,	// VTBX3Pseudo
-    2915156U,	// VTBX4
+    2915173U,	// VTBX4
     0U,	// VTBX4Pseudo
-    6580923U,	// VTOSHD
-    6711995U,	// VTOSHS
-    275270080U,	// VTOSIRD
-    272255424U,	// VTOSIRS
-    275270331U,	// VTOSIZD
-    272255675U,	// VTOSIZS
-    3328731835U,	// VTOSLD
-    3325717179U,	// VTOSLS
-    6974139U,	// VTOUHD
-    7105211U,	// VTOUHS
-    275663296U,	// VTOUIRD
-    272386496U,	// VTOUIRS
-    275663547U,	// VTOUIZD
-    272386747U,	// VTOUIZS
-    3329125051U,	// VTOULD
-    3325848251U,	// VTOULS
-    4356364U,	// VTRNd16
-    4487436U,	// VTRNd32
-    2914572U,	// VTRNd8
-    4356364U,	// VTRNq16
-    4487436U,	// VTRNq32
-    2914572U,	// VTRNq8
-    2910874U,	// VTSTv16i8
-    4483738U,	// VTSTv2i32
-    4352666U,	// VTSTv4i16
-    4483738U,	// VTSTv4i32
-    4352666U,	// VTSTv8i16
-    2910874U,	// VTSTv8i8
-    7367355U,	// VUHTOD
-    7498427U,	// VUHTOS
-    276056763U,	// VUITOD
-    272648891U,	// VUITOS
-    3329518267U,	// VULTOD
-    3326110395U,	// VULTOS
-    4356445U,	// VUZPd16
-    2914653U,	// VUZPd8
-    4356445U,	// VUZPq16
-    4487517U,	// VUZPq32
-    2914653U,	// VUZPq8
-    4356421U,	// VZIPd16
-    2914629U,	// VZIPd8
-    4356421U,	// VZIPq16
-    4487493U,	// VZIPq32
-    2914629U,	// VZIPq8
+    6580940U,	// VTOSHD
+    6712012U,	// VTOSHS
+    292047308U,	// VTOSIRD
+    289032652U,	// VTOSIRS
+    292047564U,	// VTOSIZD
+    289032908U,	// VTOSIZS
+    107506380U,	// VTOSLD
+    104491724U,	// VTOSLS
+    6974156U,	// VTOUHD
+    7105228U,	// VTOUHS
+    292440524U,	// VTOUIRD
+    289163724U,	// VTOUIRS
+    292440780U,	// VTOUIZD
+    289163980U,	// VTOUIZS
+    107899596U,	// VTOULD
+    104622796U,	// VTOULS
+    4356376U,	// VTRNd16
+    4487448U,	// VTRNd32
+    2914584U,	// VTRNd8
+    4356376U,	// VTRNq16
+    4487448U,	// VTRNq32
+    2914584U,	// VTRNq8
+    2910891U,	// VTSTv16i8
+    4483755U,	// VTSTv2i32
+    4352683U,	// VTSTv4i16
+    4483755U,	// VTSTv4i32
+    4352683U,	// VTSTv8i16
+    2910891U,	// VTSTv8i8
+    7367372U,	// VUHTOD
+    7498444U,	// VUHTOS
+    292833996U,	// VUITOD
+    289426124U,	// VUITOS
+    108292812U,	// VULTOD
+    104884940U,	// VULTOS
+    4356457U,	// VUZPd16
+    2914665U,	// VUZPd8
+    4356457U,	// VUZPq16
+    4487529U,	// VUZPq32
+    2914665U,	// VUZPq8
+    4356433U,	// VZIPd16
+    2914641U,	// VZIPd8
+    4356433U,	// VZIPq16
+    4487505U,	// VZIPq32
+    2914641U,	// VZIPq8
     0U,	// WIN__CHKSTK
-    34131U,	// sysLDMDA
-    33572179U,	// sysLDMDA_UPD
-    34258U,	// sysLDMDB
-    33572306U,	// sysLDMDB_UPD
-    34998U,	// sysLDMIA
-    33573046U,	// sysLDMIA_UPD
-    34277U,	// sysLDMIB
-    33572325U,	// sysLDMIB_UPD
-    34137U,	// sysSTMDA
-    33572185U,	// sysSTMDA_UPD
-    34265U,	// sysSTMDB
-    33572313U,	// sysSTMDB_UPD
-    35002U,	// sysSTMIA
-    33573050U,	// sysSTMIA_UPD
-    34283U,	// sysSTMIB
-    33572331U,	// sysSTMIB_UPD
+    34143U,	// sysLDMDA
+    33572191U,	// sysLDMDA_UPD
+    34270U,	// sysLDMDB
+    33572318U,	// sysLDMDB_UPD
+    35010U,	// sysLDMIA
+    33573058U,	// sysLDMIA_UPD
+    34289U,	// sysLDMIB
+    33572337U,	// sysLDMIB_UPD
+    34149U,	// sysSTMDA
+    33572197U,	// sysSTMDA_UPD
+    34277U,	// sysSTMDB
+    33572325U,	// sysSTMDB_UPD
+    35014U,	// sysSTMIA
+    33573062U,	// sysSTMIA_UPD
+    34295U,	// sysSTMIB
+    33572343U,	// sysSTMIB_UPD
     0U,	// t2ABS
-    5768U,	// t2ADCri
-    7739016U,	// t2ADCrr
-    7743112U,	// t2ADCrs
+    5780U,	// t2ADCri
+    7739028U,	// t2ADCrr
+    7743124U,	// t2ADCrs
     0U,	// t2ADDSri
     0U,	// t2ADDSrr
     0U,	// t2ADDSrs
-    7739077U,	// t2ADDri
-    27390U,	// t2ADDri12
-    7739077U,	// t2ADDrr
-    7743173U,	// t2ADDrs
-    7752054U,	// t2ADR
-    5882U,	// t2ANDri
-    7739130U,	// t2ANDrr
-    7743226U,	// t2ANDrs
-    7739812U,	// t2ASRri
-    7739812U,	// t2ASRrr
-    1081509283U,	// t2B
-    26256U,	// t2BFC
-    30677U,	// t2BFI
-    5781U,	// t2BICri
-    7739029U,	// t2BICrr
-    7743125U,	// t2BICrs
+    7739089U,	// t2ADDri
+    27407U,	// t2ADDri12
+    7739089U,	// t2ADDrr
+    7743185U,	// t2ADDrs
+    7752066U,	// t2ADR
+    5894U,	// t2ANDri
+    7739142U,	// t2ANDrr
+    7743238U,	// t2ANDrs
+    7739824U,	// t2ASRri
+    7739824U,	// t2ASRrr
+    1081509295U,	// t2B
+    26268U,	// t2BFC
+    30689U,	// t2BFI
+    5793U,	// t2BICri
+    7739041U,	// t2BICrr
+    7743137U,	// t2BICrs
     0U,	// t2BR_JT
-    1073776615U,	// t2BXJ
-    1081509283U,	// t2Bcc
-    2197858625U,	// t2CDP
-    2197857299U,	// t2CDP2
-    433047U,	// t2CLREX
-    19417U,	// t2CLZ
-    7751911U,	// t2CMNri
-    7751911U,	// t2CMNzrr
-    7760103U,	// t2CMNzrs
-    7752011U,	// t2CMPri
-    7752011U,	// t2CMPrr
-    7760203U,	// t2CMPrs
-    414526U,	// t2CPS1p
-    1165412858U,	// t2CPS2p
-    83937786U,	// t2CPS3p
+    1073776627U,	// t2BXJ
+    1081509295U,	// t2Bcc
+    2197858637U,	// t2CDP
+    2197857311U,	// t2CDP2
+    433064U,	// t2CLREX
+    19434U,	// t2CLZ
+    7751923U,	// t2CMNri
+    7751923U,	// t2CMNzrr
+    7760115U,	// t2CMNzrs
+    7752023U,	// t2CMPri
+    7752023U,	// t2CMPrr
+    7760215U,	// t2CMPrs
+    414531U,	// t2CPS1p
+    1165412870U,	// t2CPS2p
+    83937798U,	// t2CPS3p
     33706710U,	// t2CRC32B
     33706718U,	// t2CRC32CB
-    33706782U,	// t2CRC32CH
-    33706851U,	// t2CRC32CW
-    33706774U,	// t2CRC32H
-    33706843U,	// t2CRC32W
-    1073776474U,	// t2DBG
-    431079U,	// t2DCPS1
-    431139U,	// t2DCPS2
-    431155U,	// t2DCPS3
-    788563446U,	// t2DMB
-    788563465U,	// t2DSB
-    6546U,	// t2EORri
-    7739794U,	// t2EORrr
-    7743890U,	// t2EORrs
-    1081510533U,	// t2HINT
-    805340685U,	// t2ISB
-    117504627U,	// t2IT
+    33706787U,	// t2CRC32CH
+    33706863U,	// t2CRC32CW
+    33706779U,	// t2CRC32H
+    33706855U,	// t2CRC32W
+    1073776486U,	// t2DBG
+    431091U,	// t2DCPS1
+    431151U,	// t2DCPS2
+    431167U,	// t2DCPS3
+    805340674U,	// t2DMB
+    805340693U,	// t2DSB
+    6558U,	// t2EORri
+    7739806U,	// t2EORrr
+    7743902U,	// t2EORrs
+    1081510550U,	// t2HINT
+    414553U,	// t2HVC
+    822117913U,	// t2ISB
+    117504644U,	// t2IT
     0U,	// t2Int_eh_sjlj_setjmp
     0U,	// t2Int_eh_sjlj_setjmp_nofp
-    17743U,	// t2LDA
-    17824U,	// t2LDAB
-    19333U,	// t2LDAEX
-    18024U,	// t2LDAEXB
-    26388U,	// t2LDAEXD
-    18361U,	// t2LDAEXH
-    18281U,	// t2LDAH
-    3271587819U,	// t2LDC2L_OFFSET
-    3271587819U,	// t2LDC2L_OPTION
-    3271587819U,	// t2LDC2L_POST
-    3271587819U,	// t2LDC2L_PRE
-    3271586809U,	// t2LDC2_OFFSET
-    3271586809U,	// t2LDC2_OPTION
-    3271586809U,	// t2LDC2_POST
-    3271586809U,	// t2LDC2_PRE
-    3271587887U,	// t2LDCL_OFFSET
-    3271587887U,	// t2LDCL_OPTION
-    3271587887U,	// t2LDCL_POST
-    3271587887U,	// t2LDCL_PRE
-    3271587468U,	// t2LDC_OFFSET
-    3271587468U,	// t2LDC_OPTION
-    3271587468U,	// t2LDC_POST
-    3271587468U,	// t2LDC_PRE
-    34258U,	// t2LDMDB
-    33572306U,	// t2LDMDB_UPD
-    7768246U,	// t2LDMIA
+    17755U,	// t2LDA
+    17836U,	// t2LDAB
+    19350U,	// t2LDAEX
+    18036U,	// t2LDAEXB
+    26400U,	// t2LDAEXD
+    18373U,	// t2LDAEXH
+    18293U,	// t2LDAH
+    3271587831U,	// t2LDC2L_OFFSET
+    3271587831U,	// t2LDC2L_OPTION
+    3271587831U,	// t2LDC2L_POST
+    3271587831U,	// t2LDC2L_PRE
+    3271586821U,	// t2LDC2_OFFSET
+    3271586821U,	// t2LDC2_OPTION
+    3271586821U,	// t2LDC2_POST
+    3271586821U,	// t2LDC2_PRE
+    3271587899U,	// t2LDCL_OFFSET
+    3271587899U,	// t2LDCL_OPTION
+    3271587899U,	// t2LDCL_POST
+    3271587899U,	// t2LDCL_PRE
+    3271587480U,	// t2LDC_OFFSET
+    3271587480U,	// t2LDC_OPTION
+    3271587480U,	// t2LDC_POST
+    3271587480U,	// t2LDC_PRE
+    34270U,	// t2LDMDB
+    33572318U,	// t2LDMDB_UPD
+    7768258U,	// t2LDMIA
     0U,	// t2LDMIA_RET
-    41306294U,	// t2LDMIA_UPD
-    27200U,	// t2LDRBT
-    30207U,	// t2LDRB_POST
-    30207U,	// t2LDRB_PRE
-    7759359U,	// t2LDRBi12
-    26111U,	// t2LDRBi8
-    7751167U,	// t2LDRBpci
-    280063U,	// t2LDRBpcrel
-    7763455U,	// t2LDRBs
-    67326U,	// t2LDRD_POST
-    67326U,	// t2LDRD_PRE
-    30462U,	// t2LDRDi8
-    27537U,	// t2LDREX
-    18038U,	// t2LDREXB
-    26402U,	// t2LDREXD
-    18375U,	// t2LDREXH
-    27230U,	// t2LDRHT
-    30612U,	// t2LDRH_POST
-    30612U,	// t2LDRH_PRE
-    7759764U,	// t2LDRHi12
-    26516U,	// t2LDRHi8
-    7751572U,	// t2LDRHpci
-    280468U,	// t2LDRHpcrel
-    7763860U,	// t2LDRHs
-    27212U,	// t2LDRSBT
-    30225U,	// t2LDRSB_POST
-    30225U,	// t2LDRSB_PRE
-    7759377U,	// t2LDRSBi12
-    26129U,	// t2LDRSBi8
-    7751185U,	// t2LDRSBpci
-    280081U,	// t2LDRSBpcrel
-    7763473U,	// t2LDRSBs
-    27242U,	// t2LDRSHT
-    30622U,	// t2LDRSH_POST
-    30622U,	// t2LDRSH_PRE
-    7759774U,	// t2LDRSHi12
-    26526U,	// t2LDRSHi8
-    7751582U,	// t2LDRSHpci
-    280478U,	// t2LDRSHpcrel
-    7763870U,	// t2LDRSHs
-    27274U,	// t2LDRT
-    31099U,	// t2LDR_POST
-    31099U,	// t2LDR_PRE
-    7760251U,	// t2LDRi12
-    27003U,	// t2LDRi8
-    7752059U,	// t2LDRpci
+    41306306U,	// t2LDMIA_UPD
+    27212U,	// t2LDRBT
+    30219U,	// t2LDRB_POST
+    30219U,	// t2LDRB_PRE
+    7759371U,	// t2LDRBi12
+    26123U,	// t2LDRBi8
+    7751179U,	// t2LDRBpci
+    280075U,	// t2LDRBpcrel
+    7763467U,	// t2LDRBs
+    67338U,	// t2LDRD_POST
+    67338U,	// t2LDRD_PRE
+    30474U,	// t2LDRDi8
+    27554U,	// t2LDREX
+    18050U,	// t2LDREXB
+    26414U,	// t2LDREXD
+    18387U,	// t2LDREXH
+    27247U,	// t2LDRHT
+    30624U,	// t2LDRH_POST
+    30624U,	// t2LDRH_PRE
+    7759776U,	// t2LDRHi12
+    26528U,	// t2LDRHi8
+    7751584U,	// t2LDRHpci
+    280480U,	// t2LDRHpcrel
+    7763872U,	// t2LDRHs
+    27224U,	// t2LDRSBT
+    30237U,	// t2LDRSB_POST
+    30237U,	// t2LDRSB_PRE
+    7759389U,	// t2LDRSBi12
+    26141U,	// t2LDRSBi8
+    7751197U,	// t2LDRSBpci
+    280093U,	// t2LDRSBpcrel
+    7763485U,	// t2LDRSBs
+    27259U,	// t2LDRSHT
+    30634U,	// t2LDRSH_POST
+    30634U,	// t2LDRSH_PRE
+    7759786U,	// t2LDRSHi12
+    26538U,	// t2LDRSHi8
+    7751594U,	// t2LDRSHpci
+    280490U,	// t2LDRSHpcrel
+    7763882U,	// t2LDRSHs
+    27291U,	// t2LDRT
+    31111U,	// t2LDR_POST
+    31111U,	// t2LDR_PRE
+    7760263U,	// t2LDRi12
+    27015U,	// t2LDRi8
+    7752071U,	// t2LDRpci
     0U,	// t2LDRpci_pic
-    280955U,	// t2LDRpcrel
-    7764347U,	// t2LDRs
+    280967U,	// t2LDRpcrel
+    7764359U,	// t2LDRs
     0U,	// t2LEApcrel
     0U,	// t2LEApcrelJT
-    7739537U,	// t2LSLri
-    7739537U,	// t2LSLrr
-    7739819U,	// t2LSRri
-    7739819U,	// t2LSRrr
-    2197858674U,	// t2MCR
-    2197857304U,	// t2MCR2
-    2197883290U,	// t2MCRR
-    2197881885U,	// t2MCRR2
-    30075U,	// t2MLA
-    31197U,	// t2MLS
+    7739549U,	// t2LSLri
+    7739549U,	// t2LSLrr
+    7739831U,	// t2LSRri
+    7739831U,	// t2LSRrr
+    2197858686U,	// t2MCR
+    2197857316U,	// t2MCR2
+    2197883302U,	// t2MCRR
+    2197881897U,	// t2MCRR2
+    30087U,	// t2MLA
+    31209U,	// t2MLS
     0U,	// t2MOVCCasr
     0U,	// t2MOVCCi
     0U,	// t2MOVCCi16
@@ -2452,357 +2460,360 @@ static void printInstruction(MCInst *MI,
     0U,	// t2MOVCClsr
     0U,	// t2MOVCCr
     0U,	// t2MOVCCror
-    289301U,	// t2MOVSsi
-    293397U,	// t2MOVSsr
-    27328U,	// t2MOVTi16
+    289313U,	// t2MOVSsi
+    293409U,	// t2MOVSsr
+    27345U,	// t2MOVTi16
     0U,	// t2MOVTi16_ga_pcrel
     0U,	// t2MOV_ga_pcrel
-    7805683U,	// t2MOVi
-    19208U,	// t2MOVi16
+    7805700U,	// t2MOVi
+    19225U,	// t2MOVi16
     0U,	// t2MOVi16_ga_pcrel
     0U,	// t2MOVi32imm
-    7805683U,	// t2MOVr
-    289523U,	// t2MOVsi
-    293619U,	// t2MOVsr
-    7752195U,	// t2MOVsra_flag
-    7752200U,	// t2MOVsrl_flag
-    201369245U,	// t2MRC
-    201368574U,	// t2MRC2
-    2197882529U,	// t2MRRC
-    2197881859U,	// t2MRRC2
-    35327U,	// t2MRS_AR
-    18943U,	// t2MRS_M
-    1073777151U,	// t2MRSsys_AR
-    218122672U,	// t2MSR_AR
-    218122672U,	// t2MSR_M
-    26785U,	// t2MUL
+    7805700U,	// t2MOVr
+    289540U,	// t2MOVsi
+    293636U,	// t2MOVsr
+    7752207U,	// t2MOVsra_flag
+    7752212U,	// t2MOVsrl_flag
+    201369257U,	// t2MRC
+    201368586U,	// t2MRC2
+    2197882541U,	// t2MRRC
+    2197881871U,	// t2MRRC2
+    35339U,	// t2MRS_AR
+    18955U,	// t2MRS_M
+    18955U,	// t2MRSbanked
+    1073777163U,	// t2MRSsys_AR
+    2365606332U,	// t2MSR_AR
+    2365606332U,	// t2MSR_M
+    234899900U,	// t2MSRbanked
+    26797U,	// t2MUL
     0U,	// t2MVNCCi
-    71979U,	// t2MVNi
-    7805227U,	// t2MVNr
-    7739691U,	// t2MVNs
-    6408U,	// t2ORNri
-    6408U,	// t2ORNrr
-    10504U,	// t2ORNrs
-    6560U,	// t2ORRri
-    7739808U,	// t2ORRrr
-    7743904U,	// t2ORRrs
-    31275U,	// t2PKHBT
-    30238U,	// t2PKHTB
-    822102787U,	// t2PLDWi12
-    838880003U,	// t2PLDWi8
-    855665411U,	// t2PLDWs
-    822101742U,	// t2PLDi12
-    838878958U,	// t2PLDi8
-    872449774U,	// t2PLDpci
-    855664366U,	// t2PLDs
-    822101977U,	// t2PLIi12
-    838879193U,	// t2PLIi8
-    872450009U,	// t2PLIpci
-    855664601U,	// t2PLIs
-    26333U,	// t2QADD
-    25764U,	// t2QADD16
-    25867U,	// t2QADD8
-    27586U,	// t2QASX
-    26307U,	// t2QDADD
-    26179U,	// t2QDSUB
-    27445U,	// t2QSAX
-    26192U,	// t2QSUB
-    25726U,	// t2QSUB16
-    25828U,	// t2QSUB8
-    19057U,	// t2RBIT
-    7752415U,	// t2REV
-    7750856U,	// t2REV16
-    7751593U,	// t2REVSH
-    1073776075U,	// t2RFEDB
-    1073776075U,	// t2RFEDBW
-    1073775967U,	// t2RFEIA
-    1073775967U,	// t2RFEIAW
-    7739798U,	// t2RORri
-    7739798U,	// t2RORrr
-    72625U,	// t2RRX
+    71991U,	// t2MVNi
+    7805239U,	// t2MVNr
+    7739703U,	// t2MVNs
+    6420U,	// t2ORNri
+    6420U,	// t2ORNrr
+    10516U,	// t2ORNrs
+    6572U,	// t2ORRri
+    7739820U,	// t2ORRrr
+    7743916U,	// t2ORRrs
+    31287U,	// t2PKHBT
+    30250U,	// t2PKHTB
+    838880020U,	// t2PLDWi12
+    855657236U,	// t2PLDWi8
+    872442644U,	// t2PLDWs
+    838878970U,	// t2PLDi12
+    855656186U,	// t2PLDi8
+    889227002U,	// t2PLDpci
+    872441594U,	// t2PLDs
+    838879205U,	// t2PLIi12
+    855656421U,	// t2PLIi8
+    889227237U,	// t2PLIpci
+    872441829U,	// t2PLIs
+    26345U,	// t2QADD
+    25776U,	// t2QADD16
+    25879U,	// t2QADD8
+    27603U,	// t2QASX
+    26319U,	// t2QDADD
+    26191U,	// t2QDSUB
+    27462U,	// t2QSAX
+    26204U,	// t2QSUB
+    25738U,	// t2QSUB16
+    25840U,	// t2QSUB8
+    19074U,	// t2RBIT
+    7752432U,	// t2REV
+    7750868U,	// t2REV16
+    7751605U,	// t2REVSH
+    1073776087U,	// t2RFEDB
+    2147517911U,	// t2RFEDBW
+    1073775979U,	// t2RFEIA
+    2147517803U,	// t2RFEIAW
+    7739810U,	// t2RORri
+    7739810U,	// t2RORrr
+    72642U,	// t2RRX
     0U,	// t2RSBSri
     0U,	// t2RSBSrs
-    7738899U,	// t2RSBri
-    5651U,	// t2RSBrr
-    9747U,	// t2RSBrs
-    25771U,	// t2SADD16
-    25873U,	// t2SADD8
-    27591U,	// t2SASX
-    5764U,	// t2SBCri
-    7739012U,	// t2SBCrr
-    7743108U,	// t2SBCrs
-    31651U,	// t2SBFX
-    27363U,	// t2SDIV
-    26700U,	// t2SEL
-    25747U,	// t2SHADD16
-    25852U,	// t2SHADD8
-    27573U,	// t2SHASX
-    27432U,	// t2SHSAX
-    25709U,	// t2SHSUB16
-    25813U,	// t2SHSUB8
-    1073776281U,	// t2SMC
-    30129U,	// t2SMLABB
-    31268U,	// t2SMLABT
-    30386U,	// t2SMLAD
-    31577U,	// t2SMLADX
-    43026U,	// t2SMLAL
-    30136U,	// t2SMLALBB
-    31281U,	// t2SMLALBT
-    30439U,	// t2SMLALD
-    31591U,	// t2SMLALDX
-    30244U,	// t2SMLALTB
-    31398U,	// t2SMLALTT
-    30231U,	// t2SMLATB
-    31391U,	// t2SMLATT
-    30298U,	// t2SMLAWB
-    31429U,	// t2SMLAWT
-    30472U,	// t2SMLSD
-    31607U,	// t2SMLSDX
-    30450U,	// t2SMLSLD
-    31599U,	// t2SMLSLDX
-    30073U,	// t2SMMLA
-    31083U,	// t2SMMLAR
-    31195U,	// t2SMMLS
-    31144U,	// t2SMMLSR
-    26783U,	// t2SMMUL
-    27018U,	// t2SMMULR
-    26296U,	// t2SMUAD
-    27488U,	// t2SMUADX
-    26048U,	// t2SMULBB
-    27193U,	// t2SMULBT
-    30838U,	// t2SMULL
-    26156U,	// t2SMULTB
-    27310U,	// t2SMULTT
-    26209U,	// t2SMULWB
-    27340U,	// t2SMULWT
-    26382U,	// t2SMUSD
-    27518U,	// t2SMUSDX
-    7898591U,	// t2SRSDB
-    8029663U,	// t2SRSDB_UPD
-    7898483U,	// t2SRSIA
-    8029555U,	// t2SRSIA_UPD
-    31258U,	// t2SSAT
-    25785U,	// t2SSAT16
-    27450U,	// t2SSAX
-    25733U,	// t2SSUB16
-    25834U,	// t2SSUB8
-    3271587825U,	// t2STC2L_OFFSET
-    3271587825U,	// t2STC2L_OPTION
-    3271587825U,	// t2STC2L_POST
-    3271587825U,	// t2STC2L_PRE
-    3271586825U,	// t2STC2_OFFSET
-    3271586825U,	// t2STC2_OPTION
-    3271586825U,	// t2STC2_POST
-    3271586825U,	// t2STC2_PRE
-    3271587892U,	// t2STCL_OFFSET
-    3271587892U,	// t2STCL_OPTION
-    3271587892U,	// t2STCL_POST
-    3271587892U,	// t2STCL_PRE
-    3271587498U,	// t2STC_OFFSET
-    3271587498U,	// t2STC_OPTION
-    3271587498U,	// t2STC_POST
-    3271587498U,	// t2STC_PRE
-    18587U,	// t2STL
-    17905U,	// t2STLB
-    27531U,	// t2STLEX
-    26223U,	// t2STLEXB
-    30491U,	// t2STLEXD
-    26560U,	// t2STLEXH
-    18302U,	// t2STLH
-    34265U,	// t2STMDB
-    33572313U,	// t2STMDB_UPD
-    7768250U,	// t2STMIA
-    41306298U,	// t2STMIA_UPD
-    27206U,	// t2STRBT
-    33584644U,	// t2STRB_POST
-    33584644U,	// t2STRB_PRE
+    7738911U,	// t2RSBri
+    5663U,	// t2RSBrr
+    9759U,	// t2RSBrs
+    25783U,	// t2SADD16
+    25885U,	// t2SADD8
+    27608U,	// t2SASX
+    5776U,	// t2SBCri
+    7739024U,	// t2SBCrr
+    7743120U,	// t2SBCrs
+    31668U,	// t2SBFX
+    27380U,	// t2SDIV
+    26712U,	// t2SEL
+    25759U,	// t2SHADD16
+    25864U,	// t2SHADD8
+    27590U,	// t2SHASX
+    27449U,	// t2SHSAX
+    25721U,	// t2SHSUB16
+    25825U,	// t2SHSUB8
+    1073776293U,	// t2SMC
+    30141U,	// t2SMLABB
+    31280U,	// t2SMLABT
+    30398U,	// t2SMLAD
+    31594U,	// t2SMLADX
+    43038U,	// t2SMLAL
+    30148U,	// t2SMLALBB
+    31293U,	// t2SMLALBT
+    30451U,	// t2SMLALD
+    31608U,	// t2SMLALDX
+    30256U,	// t2SMLALTB
+    31415U,	// t2SMLALTT
+    30243U,	// t2SMLATB
+    31408U,	// t2SMLATT
+    30310U,	// t2SMLAWB
+    31446U,	// t2SMLAWT
+    30484U,	// t2SMLSD
+    31624U,	// t2SMLSDX
+    30462U,	// t2SMLSLD
+    31616U,	// t2SMLSLDX
+    30085U,	// t2SMMLA
+    31095U,	// t2SMMLAR
+    31207U,	// t2SMMLS
+    31156U,	// t2SMMLSR
+    26795U,	// t2SMMUL
+    27030U,	// t2SMMULR
+    26308U,	// t2SMUAD
+    27505U,	// t2SMUADX
+    26060U,	// t2SMULBB
+    27205U,	// t2SMULBT
+    30850U,	// t2SMULL
+    26168U,	// t2SMULTB
+    27327U,	// t2SMULTT
+    26221U,	// t2SMULWB
+    27357U,	// t2SMULWT
+    26394U,	// t2SMUSD
+    27535U,	// t2SMUSDX
+    7898603U,	// t2SRSDB
+    8029675U,	// t2SRSDB_UPD
+    7898495U,	// t2SRSIA
+    8029567U,	// t2SRSIA_UPD
+    31270U,	// t2SSAT
+    25797U,	// t2SSAT16
+    27467U,	// t2SSAX
+    25745U,	// t2SSUB16
+    25846U,	// t2SSUB8
+    3271587837U,	// t2STC2L_OFFSET
+    3271587837U,	// t2STC2L_OPTION
+    3271587837U,	// t2STC2L_POST
+    3271587837U,	// t2STC2L_PRE
+    3271586837U,	// t2STC2_OFFSET
+    3271586837U,	// t2STC2_OPTION
+    3271586837U,	// t2STC2_POST
+    3271586837U,	// t2STC2_PRE
+    3271587904U,	// t2STCL_OFFSET
+    3271587904U,	// t2STCL_OPTION
+    3271587904U,	// t2STCL_POST
+    3271587904U,	// t2STCL_PRE
+    3271587510U,	// t2STC_OFFSET
+    3271587510U,	// t2STC_OPTION
+    3271587510U,	// t2STC_POST
+    3271587510U,	// t2STC_PRE
+    18599U,	// t2STL
+    17917U,	// t2STLB
+    27548U,	// t2STLEX
+    26235U,	// t2STLEXB
+    30503U,	// t2STLEXD
+    26572U,	// t2STLEXH
+    18314U,	// t2STLH
+    34277U,	// t2STMDB
+    33572325U,	// t2STMDB_UPD
+    7768262U,	// t2STMIA
+    41306310U,	// t2STMIA_UPD
+    27218U,	// t2STRBT
+    33584656U,	// t2STRB_POST
+    33584656U,	// t2STRB_PRE
     0U,	// t2STRB_preidx
-    7759364U,	// t2STRBi12
-    26116U,	// t2STRBi8
-    7763460U,	// t2STRBs
-    33621763U,	// t2STRD_POST
-    33621763U,	// t2STRD_PRE
-    30467U,	// t2STRDi8
-    31645U,	// t2STREX
-    26237U,	// t2STREXB
-    30505U,	// t2STREXD
-    26574U,	// t2STREXH
-    27236U,	// t2STRHT
-    33585049U,	// t2STRH_POST
-    33585049U,	// t2STRH_PRE
+    7759376U,	// t2STRBi12
+    26128U,	// t2STRBi8
+    7763472U,	// t2STRBs
+    33621775U,	// t2STRD_POST
+    33621775U,	// t2STRD_PRE
+    30479U,	// t2STRDi8
+    31662U,	// t2STREX
+    26249U,	// t2STREXB
+    30517U,	// t2STREXD
+    26586U,	// t2STREXH
+    27253U,	// t2STRHT
+    33585061U,	// t2STRH_POST
+    33585061U,	// t2STRH_PRE
     0U,	// t2STRH_preidx
-    7759769U,	// t2STRHi12
-    26521U,	// t2STRHi8
-    7763865U,	// t2STRHs
-    27285U,	// t2STRT
-    33585596U,	// t2STR_POST
-    33585596U,	// t2STR_PRE
+    7759781U,	// t2STRHi12
+    26533U,	// t2STRHi8
+    7763877U,	// t2STRHs
+    27302U,	// t2STRT
+    33585608U,	// t2STR_POST
+    33585608U,	// t2STR_PRE
     0U,	// t2STR_preidx
-    7760316U,	// t2STRi12
-    27068U,	// t2STRi8
-    7764412U,	// t2STRs
-    8161745U,	// t2SUBS_PC_LR
+    7760328U,	// t2STRi12
+    27080U,	// t2STRi8
+    7764424U,	// t2STRs
+    8161757U,	// t2SUBS_PC_LR
     0U,	// t2SUBSri
     0U,	// t2SUBSrr
     0U,	// t2SUBSrs
-    7738949U,	// t2SUBri
-    27384U,	// t2SUBri12
-    7738949U,	// t2SUBrr
-    7743045U,	// t2SUBrs
-    30117U,	// t2SXTAB
-    29775U,	// t2SXTAB16
-    30574U,	// t2SXTAH
-    7759417U,	// t2SXTB
-    25695U,	// t2SXTB16
-    7759791U,	// t2SXTH
-    889210311U,	// t2TBB
+    7738961U,	// t2SUBri
+    27401U,	// t2SUBri12
+    7738961U,	// t2SUBrr
+    7743057U,	// t2SUBrs
+    30129U,	// t2SXTAB
+    29787U,	// t2SXTAB16
+    30586U,	// t2SXTAH
+    7759429U,	// t2SXTB
+    25707U,	// t2SXTB16
+    7759803U,	// t2SXTH
+    905987539U,	// t2TBB
     0U,	// t2TBB_JT
-    905987962U,	// t2TBH
+    922765190U,	// t2TBH
     0U,	// t2TBH_JT
-    7752039U,	// t2TEQri
-    7752039U,	// t2TEQrr
-    7760231U,	// t2TEQrs
-    7752347U,	// t2TSTri
-    7752347U,	// t2TSTrr
-    7760539U,	// t2TSTrs
-    25778U,	// t2UADD16
-    25879U,	// t2UADD8
-    27596U,	// t2UASX
-    31656U,	// t2UBFX
-    414548U,	// t2UDF
-    27368U,	// t2UDIV
-    25755U,	// t2UHADD16
-    25859U,	// t2UHADD8
-    27579U,	// t2UHASX
-    27438U,	// t2UHSAX
-    25717U,	// t2UHSUB16
-    25820U,	// t2UHSUB8
-    30711U,	// t2UMAAL
-    43032U,	// t2UMLAL
-    30844U,	// t2UMULL
-    25763U,	// t2UQADD16
-    25866U,	// t2UQADD8
-    27585U,	// t2UQASX
-    27444U,	// t2UQSAX
-    25725U,	// t2UQSUB16
-    25827U,	// t2UQSUB8
-    25846U,	// t2USAD8
-    29902U,	// t2USADA8
-    31263U,	// t2USAT
-    25792U,	// t2USAT16
-    27455U,	// t2USAX
-    25740U,	// t2USUB16
-    25840U,	// t2USUB8
-    30123U,	// t2UXTAB
-    29783U,	// t2UXTAB16
-    30580U,	// t2UXTAH
-    7759422U,	// t2UXTB
-    25702U,	// t2UXTB16
-    7759796U,	// t2UXTH
-    931120776U,	// tADC
-    26309U,	// tADDhirr
-    25151173U,	// tADDi3
-    931120837U,	// tADDi8
-    26309U,	// tADDrSP
-    26309U,	// tADDrSPi
-    25151173U,	// tADDrr
-    26309U,	// tADDspi
-    26309U,	// tADDspr
+    7752051U,	// t2TEQri
+    7752051U,	// t2TEQrr
+    7760243U,	// t2TEQrs
+    7752364U,	// t2TSTri
+    7752364U,	// t2TSTrr
+    7760556U,	// t2TSTrs
+    25790U,	// t2UADD16
+    25891U,	// t2UADD8
+    27613U,	// t2UASX
+    31673U,	// t2UBFX
+    414560U,	// t2UDF
+    27385U,	// t2UDIV
+    25767U,	// t2UHADD16
+    25871U,	// t2UHADD8
+    27596U,	// t2UHASX
+    27455U,	// t2UHSAX
+    25729U,	// t2UHSUB16
+    25832U,	// t2UHSUB8
+    30723U,	// t2UMAAL
+    43044U,	// t2UMLAL
+    30856U,	// t2UMULL
+    25775U,	// t2UQADD16
+    25878U,	// t2UQADD8
+    27602U,	// t2UQASX
+    27461U,	// t2UQSAX
+    25737U,	// t2UQSUB16
+    25839U,	// t2UQSUB8
+    25858U,	// t2USAD8
+    29914U,	// t2USADA8
+    31275U,	// t2USAT
+    25804U,	// t2USAT16
+    27472U,	// t2USAX
+    25752U,	// t2USUB16
+    25852U,	// t2USUB8
+    30135U,	// t2UXTAB
+    29795U,	// t2UXTAB16
+    30592U,	// t2UXTAH
+    7759434U,	// t2UXTB
+    25714U,	// t2UXTB16
+    7759808U,	// t2UXTH
+    947898004U,	// tADC
+    0U,	// tADDframe
+    26321U,	// tADDhirr
+    25151185U,	// tADDi3
+    947898065U,	// tADDi8
+    26321U,	// tADDrSP
+    26321U,	// tADDrSPi
+    25151185U,	// tADDrr
+    26321U,	// tADDspi
+    26321U,	// tADDspr
     0U,	// tADJCALLSTACKDOWN
     0U,	// tADJCALLSTACKUP
-    18806U,	// tADR
-    931120890U,	// tAND
-    25151908U,	// tASRri
-    931121572U,	// tASRrr
-    1073776035U,	// tB
-    931120789U,	// tBIC
-    414542U,	// tBKPT
-    1090557990U,	// tBL
-    1090558893U,	// tBLXi
-    1090558893U,	// tBLXr
+    18818U,	// tADR
+    947898118U,	// tAND
+    25151920U,	// tASRri
+    947898800U,	// tASRrr
+    1073776047U,	// tB
+    947898017U,	// tBIC
+    414547U,	// tBKPT
+    1090558002U,	// tBL
+    1090558910U,	// tBLXi
+    1090558910U,	// tBLXr
     0U,	// tBRIND
     0U,	// tBR_JTr
-    1073777481U,	// tBX
+    1073777498U,	// tBX
     0U,	// tBX_CALL
     0U,	// tBX_RET
     0U,	// tBX_RET_vararg
-    1073776035U,	// tBcc
+    1073776047U,	// tBcc
     0U,	// tBfar
-    1107448704U,	// tCBNZ
-    1107448699U,	// tCBZ
-    18663U,	// tCMNz
-    18763U,	// tCMPhir
-    18763U,	// tCMPi8
-    18763U,	// tCMPr
-    1157941754U,	// tCPS
-    931121554U,	// tEOR
-    1073777285U,	// tHINT
-    414537U,	// tHLT
+    1107448716U,	// tCBNZ
+    1107448711U,	// tCBZ
+    18675U,	// tCMNz
+    18775U,	// tCMPhir
+    18775U,	// tCMPi8
+    18775U,	// tCMPr
+    1157941766U,	// tCPS
+    947898782U,	// tEOR
+    1073777302U,	// tHINT
+    414542U,	// tHLT
     0U,	// tInt_eh_sjlj_longjmp
     0U,	// tInt_eh_sjlj_setjmp
-    34998U,	// tLDMIA
+    35010U,	// tLDMIA
     0U,	// tLDMIA_UPD
-    26111U,	// tLDRBi
-    26111U,	// tLDRBr
-    26516U,	// tLDRHi
-    26516U,	// tLDRHr
+    26123U,	// tLDRBi
+    26123U,	// tLDRBr
+    26528U,	// tLDRHi
+    26528U,	// tLDRHr
     0U,	// tLDRLIT_ga_abs
     0U,	// tLDRLIT_ga_pcrel
-    26129U,	// tLDRSB
-    26526U,	// tLDRSH
-    27003U,	// tLDRi
-    18811U,	// tLDRpci
+    26141U,	// tLDRSB
+    26538U,	// tLDRSH
+    27015U,	// tLDRi
+    18823U,	// tLDRpci
     0U,	// tLDRpci_pic
-    27003U,	// tLDRr
-    27003U,	// tLDRspi
+    27015U,	// tLDRr
+    27015U,	// tLDRspi
     0U,	// tLEApcrel
     0U,	// tLEApcrelJT
-    25151633U,	// tLSLri
-    931121297U,	// tLSLrr
-    25151915U,	// tLSRri
-    931121579U,	// tLSRrr
+    25151645U,	// tLSLri
+    947898525U,	// tLSLrr
+    25151927U,	// tLSRri
+    947898807U,	// tLSRrr
     0U,	// tMOVCCr_pseudo
-    1107448643U,	// tMOVSr
-    276941555U,	// tMOVi8
-    19187U,	// tMOVr
-    25151649U,	// tMUL
-    276941099U,	// tMVN
-    931121568U,	// tORR
+    1107448648U,	// tMOVSr
+    293718788U,	// tMOVi8
+    19204U,	// tMOVr
+    25151661U,	// tMUL
+    293718327U,	// tMVN
+    947898796U,	// tORR
     0U,	// tPICADD
-    939563343U,	// tPOP
+    956340571U,	// tPOP
     0U,	// tPOP_RET
-    939562916U,	// tPUSH
-    19167U,	// tREV
-    17608U,	// tREV16
-    18345U,	// tREVSH
-    931121558U,	// tROR
-    260163091U,	// tRSB
-    931120772U,	// tSBC
-    86793U,	// tSETEND
-    33573050U,	// tSTMIA_UPD
-    26116U,	// tSTRBi
-    26116U,	// tSTRBr
-    26521U,	// tSTRHi
-    26521U,	// tSTRHr
-    27068U,	// tSTRi
-    27068U,	// tSTRr
-    27068U,	// tSTRspi
-    25151045U,	// tSUBi3
-    931120709U,	// tSUBi8
-    25151045U,	// tSUBrr
-    26181U,	// tSUBspi
-    1073776302U,	// tSVC
-    17977U,	// tSXTB
-    18351U,	// tSXTH
+    956340144U,	// tPUSH
+    19184U,	// tREV
+    17620U,	// tREV16
+    18357U,	// tREVSH
+    947898786U,	// tROR
+    276940319U,	// tRSB
+    947898000U,	// tSBC
+    86798U,	// tSETEND
+    33573062U,	// tSTMIA_UPD
+    26128U,	// tSTRBi
+    26128U,	// tSTRBr
+    26533U,	// tSTRHi
+    26533U,	// tSTRHr
+    27080U,	// tSTRi
+    27080U,	// tSTRr
+    27080U,	// tSTRspi
+    25151057U,	// tSUBi3
+    947897937U,	// tSUBi8
+    25151057U,	// tSUBrr
+    26193U,	// tSUBspi
+    1073776314U,	// tSVC
+    17989U,	// tSXTB
+    18363U,	// tSXTH
     0U,	// tTAILJMPd
     0U,	// tTAILJMPdND
     0U,	// tTAILJMPr
     0U,	// tTPsoft
-    2364U,	// tTRAP
-    19099U,	// tTST
-    414481U,	// tUDF
-    17982U,	// tUXTB
-    18356U,	// tUXTH
+    2376U,	// tTRAP
+    19116U,	// tTST
+    414486U,	// tUDF
+    17994U,	// tUXTB
+    18368U,	// tUXTH
     0U
   };
 
@@ -2827,18 +2838,20 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// ABS
     0U,	// ADCri
-    0U,	// ADCrr
-    16384U,	// ADCrsi
+    16384U,	// ADCrr
+    32768U,	// ADCrsi
     0U,	// ADCrsr
     0U,	// ADDSri
     0U,	// ADDSrr
     0U,	// ADDSrsi
     0U,	// ADDSrsr
     0U,	// ADDri
-    0U,	// ADDrr
-    16384U,	// ADDrsi
+    16384U,	// ADDrr
+    32768U,	// ADDrsi
     0U,	// ADDrsr
     0U,	// ADJCALLSTACKDOWN
     0U,	// ADJCALLSTACKUP
@@ -2848,19 +2861,19 @@ static void printInstruction(MCInst *MI,
     0U,	// AESIMC
     0U,	// AESMC
     0U,	// ANDri
-    0U,	// ANDrr
-    16384U,	// ANDrsi
+    16384U,	// ANDrr
+    32768U,	// ANDrsi
     0U,	// ANDrsr
-    0U,	// ASRi
-    0U,	// ASRr
+    16384U,	// ASRi
+    16384U,	// ASRr
     0U,	// B
     0U,	// BCCZi64
     0U,	// BCCi64
     16U,	// BFC
-    32792U,	// BFI
+    49176U,	// BFI
     0U,	// BICri
-    0U,	// BICrr
-    16384U,	// BICrsi
+    16384U,	// BICrr
+    32768U,	// BICrsi
     0U,	// BICrsr
     0U,	// BKPT
     0U,	// BL
@@ -2883,14 +2896,14 @@ static void printInstruction(MCInst *MI,
     0U,	// CDP2
     0U,	// CLREX
     1024U,	// CLZ
-    1024U,	// CMNri
+    40U,	// CMNri
     1024U,	// CMNzrr
-    40U,	// CMNzrsi
-    48U,	// CMNzrsr
-    1024U,	// CMPri
+    48U,	// CMNzrsi
+    56U,	// CMNzrsr
+    40U,	// CMPri
     1024U,	// CMPrr
-    40U,	// CMPrsi
-    48U,	// CMPrsr
+    48U,	// CMPrsi
+    56U,	// CMPrsr
     0U,	// CONSTPOOL_ENTRY
     0U,	// COPY_STRUCT_BYVAL_I32
     0U,	// CPS1p
@@ -2906,33 +2919,35 @@ static void printInstruction(MCInst *MI,
     0U,	// DMB
     0U,	// DSB
     0U,	// EORri
-    0U,	// EORrr
-    16384U,	// EORrsi
+    16384U,	// EORrr
+    32768U,	// EORrsi
     0U,	// EORrsr
+    0U,	// ERET
     0U,	// FCONSTD
     0U,	// FCONSTS
-    57U,	// FLDMXDB_UPD
-    1088U,	// FLDMXIA
-    57U,	// FLDMXIA_UPD
+    65U,	// FLDMXDB_UPD
+    1096U,	// FLDMXIA
+    65U,	// FLDMXIA_UPD
     0U,	// FMSTAT
-    57U,	// FSTMXDB_UPD
-    1088U,	// FSTMXIA
-    57U,	// FSTMXIA_UPD
+    65U,	// FSTMXDB_UPD
+    1096U,	// FSTMXIA
+    65U,	// FSTMXIA_UPD
     0U,	// HINT
     0U,	// HLT
+    0U,	// HVC
     0U,	// ISB
     0U,	// ITasm
     0U,	// Int_eh_sjlj_dispatchsetup
     0U,	// Int_eh_sjlj_longjmp
     0U,	// Int_eh_sjlj_setjmp
     0U,	// Int_eh_sjlj_setjmp_nofp
-    72U,	// LDA
-    72U,	// LDAB
-    72U,	// LDAEX
-    72U,	// LDAEXB
+    80U,	// LDA
+    80U,	// LDAB
+    80U,	// LDAEX
+    80U,	// LDAEXB
     0U,	// LDAEXD
-    72U,	// LDAEXH
-    72U,	// LDAH
+    80U,	// LDAEXH
+    80U,	// LDAH
     0U,	// LDC2L_OFFSET
     1U,	// LDC2L_OPTION
     1U,	// LDC2L_POST
@@ -2941,80 +2956,80 @@ static void printInstruction(MCInst *MI,
     1U,	// LDC2_OPTION
     1U,	// LDC2_POST
     0U,	// LDC2_PRE
-    81U,	// LDCL_OFFSET
-    49241U,	// LDCL_OPTION
-    65625U,	// LDCL_POST
-    97U,	// LDCL_PRE
-    81U,	// LDC_OFFSET
-    49241U,	// LDC_OPTION
-    65625U,	// LDC_POST
-    97U,	// LDC_PRE
-    1088U,	// LDMDA
-    57U,	// LDMDA_UPD
-    1088U,	// LDMDB
-    57U,	// LDMDB_UPD
-    1088U,	// LDMIA
+    89U,	// LDCL_OFFSET
+    65633U,	// LDCL_OPTION
+    82017U,	// LDCL_POST
+    105U,	// LDCL_PRE
+    89U,	// LDC_OFFSET
+    65633U,	// LDC_OPTION
+    82017U,	// LDC_POST
+    105U,	// LDC_PRE
+    1096U,	// LDMDA
+    65U,	// LDMDA_UPD
+    1096U,	// LDMDB
+    65U,	// LDMDB_UPD
+    1096U,	// LDMIA
     0U,	// LDMIA_RET
-    57U,	// LDMIA_UPD
-    1088U,	// LDMIB
-    57U,	// LDMIB_UPD
-    72U,	// LDRBT_POST
-    82008U,	// LDRBT_POST_IMM
-    82008U,	// LDRBT_POST_REG
-    82008U,	// LDRB_POST_IMM
-    82008U,	// LDRB_POST_REG
-    104U,	// LDRB_PRE_IMM
-    112U,	// LDRB_PRE_REG
-    120U,	// LDRBi12
-    128U,	// LDRBrs
-    98304U,	// LDRD
-    1163264U,	// LDRD_POST
-    131072U,	// LDRD_PRE
-    72U,	// LDREX
-    72U,	// LDREXB
+    65U,	// LDMIA_UPD
+    1096U,	// LDMIB
+    65U,	// LDMIB_UPD
+    80U,	// LDRBT_POST
+    98400U,	// LDRBT_POST_IMM
+    98400U,	// LDRBT_POST_REG
+    98400U,	// LDRB_POST_IMM
+    98400U,	// LDRB_POST_REG
+    112U,	// LDRB_PRE_IMM
+    120U,	// LDRB_PRE_REG
+    128U,	// LDRBi12
+    136U,	// LDRBrs
+    114688U,	// LDRD
+    1179648U,	// LDRD_POST
+    147456U,	// LDRD_PRE
+    80U,	// LDREX
+    80U,	// LDREXB
     0U,	// LDREXD
-    72U,	// LDREXH
-    136U,	// LDRH
-    147544U,	// LDRHTi
-    163928U,	// LDRHTr
-    180312U,	// LDRH_POST
-    144U,	// LDRH_PRE
+    80U,	// LDREXH
+    144U,	// LDRH
+    163936U,	// LDRHTi
+    180320U,	// LDRHTr
+    196704U,	// LDRH_POST
+    152U,	// LDRH_PRE
     0U,	// LDRLIT_ga_abs
     0U,	// LDRLIT_ga_pcrel
     0U,	// LDRLIT_ga_pcrel_ldr
-    136U,	// LDRSB
-    147544U,	// LDRSBTi
-    163928U,	// LDRSBTr
-    180312U,	// LDRSB_POST
-    144U,	// LDRSB_PRE
-    136U,	// LDRSH
-    147544U,	// LDRSHTi
-    163928U,	// LDRSHTr
-    180312U,	// LDRSH_POST
-    144U,	// LDRSH_PRE
-    72U,	// LDRT_POST
-    82008U,	// LDRT_POST_IMM
-    82008U,	// LDRT_POST_REG
-    82008U,	// LDR_POST_IMM
-    82008U,	// LDR_POST_REG
-    104U,	// LDR_PRE_IMM
-    112U,	// LDR_PRE_REG
-    120U,	// LDRcp
-    120U,	// LDRi12
-    128U,	// LDRrs
+    144U,	// LDRSB
+    163936U,	// LDRSBTi
+    180320U,	// LDRSBTr
+    196704U,	// LDRSB_POST
+    152U,	// LDRSB_PRE
+    144U,	// LDRSH
+    163936U,	// LDRSHTi
+    180320U,	// LDRSHTr
+    196704U,	// LDRSH_POST
+    152U,	// LDRSH_PRE
+    80U,	// LDRT_POST
+    98400U,	// LDRT_POST_IMM
+    98400U,	// LDRT_POST_REG
+    98400U,	// LDR_POST_IMM
+    98400U,	// LDR_POST_REG
+    112U,	// LDR_PRE_IMM
+    120U,	// LDR_PRE_REG
+    128U,	// LDRcp
+    128U,	// LDRi12
+    136U,	// LDRrs
     0U,	// LEApcrel
     0U,	// LEApcrelJT
-    0U,	// LSLi
-    0U,	// LSLr
-    0U,	// LSRi
-    0U,	// LSRr
-    2295328U,	// MCR
-    152U,	// MCR2
-    3343904U,	// MCRR
-    213152U,	// MCRR2
-    17825792U,	// MLA
+    16384U,	// LSLi
+    16384U,	// LSLr
+    16384U,	// LSRi
+    16384U,	// LSRr
+    2311712U,	// MCR
+    160U,	// MCR2
+    3360288U,	// MCRR
+    229544U,	// MCRR2
+    17842176U,	// MLA
     0U,	// MLAv5
-    17825792U,	// MLS
+    17842176U,	// MLS
     0U,	// MOVCCi
     0U,	// MOVCCi16
     0U,	// MOVCCi32imm
@@ -3027,34 +3042,36 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVTi16_ga_pcrel
     0U,	// MOV_ga_pcrel
     0U,	// MOV_ga_pcrel_ldr
-    1024U,	// MOVi
+    40U,	// MOVi
     1024U,	// MOVi16
     0U,	// MOVi16_ga_pcrel
     0U,	// MOVi32imm
     1024U,	// MOVr
     1024U,	// MOVr_TC
-    40U,	// MOVsi
-    48U,	// MOVsr
+    48U,	// MOVsi
+    56U,	// MOVsr
     0U,	// MOVsra_flag
     0U,	// MOVsrl_flag
     0U,	// MRC
     0U,	// MRC2
-    3343904U,	// MRRC
-    213152U,	// MRRC2
+    3360288U,	// MRRC
+    229544U,	// MRRC2
     2U,	// MRS
+    176U,	// MRSbanked
     2U,	// MRSsys
-    0U,	// MSR
-    0U,	// MSRi
-    0U,	// MUL
+    64U,	// MSR
+    0U,	// MSRbanked
+    2U,	// MSRi
+    16384U,	// MUL
     0U,	// MULv5
     0U,	// MVNCCi
-    1024U,	// MVNi
+    40U,	// MVNi
     1024U,	// MVNr
-    40U,	// MVNsi
-    48U,	// MVNsr
+    48U,	// MVNsi
+    56U,	// MVNsr
     0U,	// ORRri
-    0U,	// ORRrr
-    16384U,	// ORRrsi
+    16384U,	// ORRrr
+    32768U,	// ORRrsi
     0U,	// ORRrsr
     0U,	// PICADD
     0U,	// PICLDR
@@ -3065,24 +3082,24 @@ static void printInstruction(MCInst *MI,
     0U,	// PICSTR
     0U,	// PICSTRB
     0U,	// PICSTRH
-    4194304U,	// PKHBT
-    5242880U,	// PKHTB
+    4210688U,	// PKHBT
+    5259264U,	// PKHTB
     0U,	// PLDWi12
     0U,	// PLDWrs
     0U,	// PLDi12
     0U,	// PLDrs
     0U,	// PLIi12
     0U,	// PLIrs
-    0U,	// QADD
-    0U,	// QADD16
-    0U,	// QADD8
-    0U,	// QASX
-    0U,	// QDADD
-    0U,	// QDSUB
-    0U,	// QSAX
-    0U,	// QSUB
-    0U,	// QSUB16
-    0U,	// QSUB8
+    16384U,	// QADD
+    16384U,	// QADD16
+    16384U,	// QADD8
+    16384U,	// QASX
+    16384U,	// QDADD
+    16384U,	// QDSUB
+    16384U,	// QSAX
+    16384U,	// QSUB
+    16384U,	// QSUB16
+    16384U,	// QSUB8
     1024U,	// RBIT
     1024U,	// REV
     1024U,	// REV16
@@ -3095,87 +3112,88 @@ static void printInstruction(MCInst *MI,
     0U,	// RFEIA_UPD
     0U,	// RFEIB
     0U,	// RFEIB_UPD
-    0U,	// RORi
-    0U,	// RORr
+    16384U,	// RORi
+    16384U,	// RORr
     0U,	// RRX
     1024U,	// RRXi
     0U,	// RSBSri
     0U,	// RSBSrsi
     0U,	// RSBSrsr
     0U,	// RSBri
-    0U,	// RSBrr
-    16384U,	// RSBrsi
+    16384U,	// RSBrr
+    32768U,	// RSBrsi
     0U,	// RSBrsr
     0U,	// RSCri
-    0U,	// RSCrr
-    16384U,	// RSCrsi
+    16384U,	// RSCrr
+    32768U,	// RSCrsi
     0U,	// RSCrsr
-    0U,	// SADD16
-    0U,	// SADD8
-    0U,	// SASX
+    16384U,	// SADD16
+    16384U,	// SADD8
+    16384U,	// SASX
     0U,	// SBCri
-    0U,	// SBCrr
-    16384U,	// SBCrsi
+    16384U,	// SBCrr
+    32768U,	// SBCrsi
     0U,	// SBCrsr
-    34603008U,	// SBFX
-    0U,	// SDIV
-    0U,	// SEL
+    34619392U,	// SBFX
+    16384U,	// SDIV
+    16384U,	// SEL
     0U,	// SETEND
-    1184U,	// SHA1C
+    1192U,	// SHA1C
     0U,	// SHA1H
-    1184U,	// SHA1M
-    1184U,	// SHA1P
-    1184U,	// SHA1SU0
+    1192U,	// SHA1M
+    1192U,	// SHA1P
+    1192U,	// SHA1SU0
     0U,	// SHA1SU1
-    1184U,	// SHA256H
-    1184U,	// SHA256H2
+    1192U,	// SHA256H
+    1192U,	// SHA256H2
     0U,	// SHA256SU0
-    1184U,	// SHA256SU1
-    0U,	// SHADD16
-    0U,	// SHADD8
-    0U,	// SHASX
-    0U,	// SHSAX
-    0U,	// SHSUB16
-    0U,	// SHSUB8
+    1192U,	// SHA256SU1
+    16384U,	// SHADD16
+    16384U,	// SHADD8
+    16384U,	// SHASX
+    16384U,	// SHSAX
+    16384U,	// SHSUB16
+    16384U,	// SHSUB8
     0U,	// SMC
-    17825792U,	// SMLABB
-    17825792U,	// SMLABT
-    17825792U,	// SMLAD
-    17825792U,	// SMLADX
+    17842176U,	// SMLABB
+    17842176U,	// SMLABT
+    17842176U,	// SMLAD
+    17842176U,	// SMLADX
     0U,	// SMLAL
-    17825792U,	// SMLALBB
-    17825792U,	// SMLALBT
-    17825792U,	// SMLALD
-    17825792U,	// SMLALDX
-    17825792U,	// SMLALTB
-    17825792U,	// SMLALTT
+    17842176U,	// SMLALBB
+    17842176U,	// SMLALBT
+    17842176U,	// SMLALD
+    17842176U,	// SMLALDX
+    17842176U,	// SMLALTB
+    17842176U,	// SMLALTT
     0U,	// SMLALv5
-    17825792U,	// SMLATB
-    17825792U,	// SMLATT
-    17825792U,	// SMLAWB
-    17825792U,	// SMLAWT
-    17825792U,	// SMLSD
-    17825792U,	// SMLSDX
-    17825792U,	// SMLSLD
-    17825792U,	// SMLSLDX
-    17825792U,	// SMMLA
-    17825792U,	// SMMLAR
-    17825792U,	// SMMLS
-    17825792U,	// SMMLSR
-    0U,	// SMMUL
-    0U,	// SMMULR
-    0U,	// SMUAD
-    0U,	// SMUADX
-    0U,	// SMULBB
-    0U,	// SMULBT
-    17825792U,	// SMULL
+    17842176U,	// SMLATB
+    17842176U,	// SMLATT
+    17842176U,	// SMLAWB
+    17842176U,	// SMLAWT
+    17842176U,	// SMLSD
+    17842176U,	// SMLSDX
+    17842176U,	// SMLSLD
+    17842176U,	// SMLSLDX
+    17842176U,	// SMMLA
+    17842176U,	// SMMLAR
+    17842176U,	// SMMLS
+    17842176U,	// SMMLSR
+    16384U,	// SMMUL
+    16384U,	// SMMULR
+    16384U,	// SMUAD
+    16384U,	// SMUADX
+    16384U,	// SMULBB
+    16384U,	// SMULBT
+    17842176U,	// SMULL
     0U,	// SMULLv5
-    0U,	// SMULTB
-    0U,	// SMULTT
-    0U,	// SMULWB
-    0U,	// SMULWT
-    0U,	// SMUSD
-    0U,	// SMUSDX
+    16384U,	// SMULTB
+    16384U,	// SMULTT
+    16384U,	// SMULWB
+    16384U,	// SMULWT
+    16384U,	// SMUSD
+    16384U,	// SMUSDX
+    0U,	// SPACE
     0U,	// SRSDA
     0U,	// SRSDA_UPD
     0U,	// SRSDB
@@ -3184,11 +3202,11 @@ static void printInstruction(MCInst *MI,
     0U,	// SRSIA_UPD
     0U,	// SRSIB
     0U,	// SRSIB_UPD
-    2216U,	// SSAT
-    1192U,	// SSAT16
-    0U,	// SSAX
-    0U,	// SSUB16
-    0U,	// SSUB8
+    2232U,	// SSAT
+    1208U,	// SSAT16
+    16384U,	// SSAX
+    16384U,	// SSUB16
+    16384U,	// SSUB8
     0U,	// STC2L_OFFSET
     1U,	// STC2L_OPTION
     1U,	// STC2L_POST
@@ -3197,79 +3215,79 @@ static void printInstruction(MCInst *MI,
     1U,	// STC2_OPTION
     1U,	// STC2_POST
     0U,	// STC2_PRE
-    81U,	// STCL_OFFSET
-    49241U,	// STCL_OPTION
-    65625U,	// STCL_POST
-    97U,	// STCL_PRE
-    81U,	// STC_OFFSET
-    49241U,	// STC_OPTION
-    65625U,	// STC_POST
-    97U,	// STC_PRE
-    72U,	// STL
-    72U,	// STLB
-    229376U,	// STLEX
-    229376U,	// STLEXB
-    176U,	// STLEXD
-    229376U,	// STLEXH
-    72U,	// STLH
-    1088U,	// STMDA
-    57U,	// STMDA_UPD
-    1088U,	// STMDB
-    57U,	// STMDB_UPD
-    1088U,	// STMIA
-    57U,	// STMIA_UPD
-    1088U,	// STMIB
-    57U,	// STMIB_UPD
-    72U,	// STRBT_POST
-    82008U,	// STRBT_POST_IMM
-    82008U,	// STRBT_POST_REG
-    82008U,	// STRB_POST_IMM
-    82008U,	// STRB_POST_REG
-    104U,	// STRB_PRE_IMM
-    112U,	// STRB_PRE_REG
-    120U,	// STRBi12
+    89U,	// STCL_OFFSET
+    65633U,	// STCL_OPTION
+    82017U,	// STCL_POST
+    105U,	// STCL_PRE
+    89U,	// STC_OFFSET
+    65633U,	// STC_OPTION
+    82017U,	// STC_POST
+    105U,	// STC_PRE
+    80U,	// STL
+    80U,	// STLB
+    245760U,	// STLEX
+    245760U,	// STLEXB
+    192U,	// STLEXD
+    245760U,	// STLEXH
+    80U,	// STLH
+    1096U,	// STMDA
+    65U,	// STMDA_UPD
+    1096U,	// STMDB
+    65U,	// STMDB_UPD
+    1096U,	// STMIA
+    65U,	// STMIA_UPD
+    1096U,	// STMIB
+    65U,	// STMIB_UPD
+    80U,	// STRBT_POST
+    98400U,	// STRBT_POST_IMM
+    98400U,	// STRBT_POST_REG
+    98400U,	// STRB_POST_IMM
+    98400U,	// STRB_POST_REG
+    112U,	// STRB_PRE_IMM
+    120U,	// STRB_PRE_REG
+    128U,	// STRBi12
     0U,	// STRBi_preidx
     0U,	// STRBr_preidx
-    128U,	// STRBrs
-    98304U,	// STRD
-    1163288U,	// STRD_POST
-    131096U,	// STRD_PRE
-    229376U,	// STREX
-    229376U,	// STREXB
-    176U,	// STREXD
-    229376U,	// STREXH
-    136U,	// STRH
-    147544U,	// STRHTi
-    163928U,	// STRHTr
-    180312U,	// STRH_POST
-    144U,	// STRH_PRE
+    136U,	// STRBrs
+    114688U,	// STRD
+    1179672U,	// STRD_POST
+    147480U,	// STRD_PRE
+    245760U,	// STREX
+    245760U,	// STREXB
+    192U,	// STREXD
+    245760U,	// STREXH
+    144U,	// STRH
+    163936U,	// STRHTi
+    180320U,	// STRHTr
+    196704U,	// STRH_POST
+    152U,	// STRH_PRE
     0U,	// STRH_preidx
-    72U,	// STRT_POST
-    82008U,	// STRT_POST_IMM
-    82008U,	// STRT_POST_REG
-    82008U,	// STR_POST_IMM
-    82008U,	// STR_POST_REG
-    104U,	// STR_PRE_IMM
-    112U,	// STR_PRE_REG
-    120U,	// STRi12
+    80U,	// STRT_POST
+    98400U,	// STRT_POST_IMM
+    98400U,	// STRT_POST_REG
+    98400U,	// STR_POST_IMM
+    98400U,	// STR_POST_REG
+    112U,	// STR_PRE_IMM
+    120U,	// STR_PRE_REG
+    128U,	// STRi12
     0U,	// STRi_preidx
     0U,	// STRr_preidx
-    128U,	// STRrs
+    136U,	// STRrs
     0U,	// SUBS_PC_LR
     0U,	// SUBSri
     0U,	// SUBSrr
     0U,	// SUBSrsi
     0U,	// SUBSrsr
     0U,	// SUBri
-    0U,	// SUBrr
-    16384U,	// SUBrsi
+    16384U,	// SUBrr
+    32768U,	// SUBrsi
     0U,	// SUBrsr
     0U,	// SVC
-    229376U,	// SWP
-    229376U,	// SWPB
-    6291456U,	// SXTAB
-    6291456U,	// SXTAB16
-    6291456U,	// SXTAH
+    245760U,	// SWP
+    245760U,	// SWPB
+    6307840U,	// SXTAB
+    6307840U,	// SXTAB16
+    6307840U,	// SXTAH
     2560U,	// SXTB
     2560U,	// SXTB16
     2560U,	// SXTH
@@ -3277,79 +3295,79 @@ static void printInstruction(MCInst *MI,
     0U,	// TAILJMPr
     0U,	// TCRETURNdi
     0U,	// TCRETURNri
-    1024U,	// TEQri
+    40U,	// TEQri
     1024U,	// TEQrr
-    40U,	// TEQrsi
-    48U,	// TEQrsr
+    48U,	// TEQrsi
+    56U,	// TEQrsr
     0U,	// TPsoft
     0U,	// TRAP
     0U,	// TRAPNaCl
-    1024U,	// TSTri
+    40U,	// TSTri
     1024U,	// TSTrr
-    40U,	// TSTrsi
-    48U,	// TSTrsr
-    0U,	// UADD16
-    0U,	// UADD8
-    0U,	// UASX
-    34603008U,	// UBFX
+    48U,	// TSTrsi
+    56U,	// TSTrsr
+    16384U,	// UADD16
+    16384U,	// UADD8
+    16384U,	// UASX
+    34619392U,	// UBFX
     0U,	// UDF
-    0U,	// UDIV
-    0U,	// UHADD16
-    0U,	// UHADD8
-    0U,	// UHASX
-    0U,	// UHSAX
-    0U,	// UHSUB16
-    0U,	// UHSUB8
-    17825792U,	// UMAAL
+    16384U,	// UDIV
+    16384U,	// UHADD16
+    16384U,	// UHADD8
+    16384U,	// UHASX
+    16384U,	// UHSAX
+    16384U,	// UHSUB16
+    16384U,	// UHSUB8
+    17842176U,	// UMAAL
     0U,	// UMLAL
     0U,	// UMLALv5
-    17825792U,	// UMULL
+    17842176U,	// UMULL
     0U,	// UMULLv5
-    0U,	// UQADD16
-    0U,	// UQADD8
-    0U,	// UQASX
-    0U,	// UQSAX
-    0U,	// UQSUB16
-    0U,	// UQSUB8
-    0U,	// USAD8
-    17825792U,	// USADA8
-    7340032U,	// USAT
-    0U,	// USAT16
-    0U,	// USAX
-    0U,	// USUB16
-    0U,	// USUB8
-    6291456U,	// UXTAB
-    6291456U,	// UXTAB16
-    6291456U,	// UXTAH
+    16384U,	// UQADD16
+    16384U,	// UQADD8
+    16384U,	// UQASX
+    16384U,	// UQSAX
+    16384U,	// UQSUB16
+    16384U,	// UQSUB8
+    16384U,	// USAD8
+    17842176U,	// USADA8
+    7356416U,	// USAT
+    16384U,	// USAT16
+    16384U,	// USAX
+    16384U,	// USUB16
+    16384U,	// USUB8
+    6307840U,	// UXTAB
+    6307840U,	// UXTAB16
+    6307840U,	// UXTAH
     2560U,	// UXTB
     2560U,	// UXTB16
     2560U,	// UXTH
-    1184U,	// VABALsv2i64
-    1184U,	// VABALsv4i32
-    1184U,	// VABALsv8i16
-    1184U,	// VABALuv2i64
-    1184U,	// VABALuv4i32
-    1184U,	// VABALuv8i16
-    1184U,	// VABAsv16i8
-    1184U,	// VABAsv2i32
-    1184U,	// VABAsv4i16
-    1184U,	// VABAsv4i32
-    1184U,	// VABAsv8i16
-    1184U,	// VABAsv8i8
-    1184U,	// VABAuv16i8
-    1184U,	// VABAuv2i32
-    1184U,	// VABAuv4i16
-    1184U,	// VABAuv4i32
-    1184U,	// VABAuv8i16
-    1184U,	// VABAuv8i8
+    1192U,	// VABALsv2i64
+    1192U,	// VABALsv4i32
+    1192U,	// VABALsv8i16
+    1192U,	// VABALuv2i64
+    1192U,	// VABALuv4i32
+    1192U,	// VABALuv8i16
+    1192U,	// VABAsv16i8
+    1192U,	// VABAsv2i32
+    1192U,	// VABAsv4i16
+    1192U,	// VABAsv4i32
+    1192U,	// VABAsv8i16
+    1192U,	// VABAsv8i8
+    1192U,	// VABAuv16i8
+    1192U,	// VABAuv2i32
+    1192U,	// VABAuv4i16
+    1192U,	// VABAuv4i32
+    1192U,	// VABAuv8i16
+    1192U,	// VABAuv8i8
     1048U,	// VABDLsv2i64
     1048U,	// VABDLsv4i32
     1048U,	// VABDLsv8i16
     1048U,	// VABDLuv2i64
     1048U,	// VABDLuv4i32
     1048U,	// VABDLuv8i16
-    247328U,	// VABDfd
-    247328U,	// VABDfq
+    263712U,	// VABDfd
+    263712U,	// VABDfq
     1048U,	// VABDsv16i8
     1048U,	// VABDsv2i32
     1048U,	// VABDsv4i16
@@ -3362,21 +3380,21 @@ static void printInstruction(MCInst *MI,
     1048U,	// VABDuv4i32
     1048U,	// VABDuv8i16
     1048U,	// VABDuv8i8
-    56U,	// VABSD
-    56U,	// VABSS
-    56U,	// VABSfd
-    56U,	// VABSfq
+    64U,	// VABSD
+    64U,	// VABSS
+    64U,	// VABSfd
+    64U,	// VABSfq
     0U,	// VABSv16i8
     0U,	// VABSv2i32
     0U,	// VABSv4i16
     0U,	// VABSv4i32
     0U,	// VABSv8i16
     0U,	// VABSv8i8
-    247328U,	// VACGEd
-    247328U,	// VACGEq
-    247328U,	// VACGTd
-    247328U,	// VACGTq
-    247328U,	// VADDD
+    263712U,	// VACGEd
+    263712U,	// VACGEq
+    263712U,	// VACGTd
+    263712U,	// VACGTq
+    263712U,	// VADDD
     1048U,	// VADDHNv2i32
     1048U,	// VADDHNv4i16
     1048U,	// VADDHNv8i8
@@ -3386,15 +3404,15 @@ static void printInstruction(MCInst *MI,
     1048U,	// VADDLuv2i64
     1048U,	// VADDLuv4i32
     1048U,	// VADDLuv8i16
-    247328U,	// VADDS
+    263712U,	// VADDS
     1048U,	// VADDWsv2i64
     1048U,	// VADDWsv4i32
     1048U,	// VADDWsv8i16
     1048U,	// VADDWuv2i64
     1048U,	// VADDWuv4i32
     1048U,	// VADDWuv8i16
-    247328U,	// VADDfd
-    247328U,	// VADDfq
+    263712U,	// VADDfd
+    263712U,	// VADDfq
     1048U,	// VADDv16i8
     1048U,	// VADDv1i64
     1048U,	// VADDv2i32
@@ -3403,22 +3421,22 @@ static void printInstruction(MCInst *MI,
     1048U,	// VADDv4i32
     1048U,	// VADDv8i16
     1048U,	// VADDv8i8
-    0U,	// VANDd
-    0U,	// VANDq
-    0U,	// VBICd
+    16384U,	// VANDd
+    16384U,	// VANDq
+    16384U,	// VBICd
     0U,	// VBICiv2i32
     0U,	// VBICiv4i16
     0U,	// VBICiv4i32
     0U,	// VBICiv8i16
-    0U,	// VBICq
-    262168U,	// VBIFd
-    262168U,	// VBIFq
-    262168U,	// VBITd
-    262168U,	// VBITq
-    262168U,	// VBSLd
-    262168U,	// VBSLq
-    247328U,	// VCEQfd
-    247328U,	// VCEQfq
+    16384U,	// VBICq
+    278552U,	// VBIFd
+    278552U,	// VBIFq
+    278552U,	// VBITd
+    278552U,	// VBITq
+    278552U,	// VBSLd
+    278552U,	// VBSLq
+    263712U,	// VCEQfd
+    263712U,	// VCEQfq
     1048U,	// VCEQv16i8
     1048U,	// VCEQv2i32
     1048U,	// VCEQv4i16
@@ -3426,15 +3444,15 @@ static void printInstruction(MCInst *MI,
     1048U,	// VCEQv8i16
     1048U,	// VCEQv8i8
     2U,	// VCEQzv16i8
-    184U,	// VCEQzv2f32
+    200U,	// VCEQzv2f32
     2U,	// VCEQzv2i32
-    184U,	// VCEQzv4f32
+    200U,	// VCEQzv4f32
     2U,	// VCEQzv4i16
     2U,	// VCEQzv4i32
     2U,	// VCEQzv8i16
     2U,	// VCEQzv8i8
-    247328U,	// VCGEfd
-    247328U,	// VCGEfq
+    263712U,	// VCGEfd
+    263712U,	// VCGEfq
     1048U,	// VCGEsv16i8
     1048U,	// VCGEsv2i32
     1048U,	// VCGEsv4i16
@@ -3448,15 +3466,15 @@ static void printInstruction(MCInst *MI,
     1048U,	// VCGEuv8i16
     1048U,	// VCGEuv8i8
     2U,	// VCGEzv16i8
-    184U,	// VCGEzv2f32
+    200U,	// VCGEzv2f32
     2U,	// VCGEzv2i32
-    184U,	// VCGEzv4f32
+    200U,	// VCGEzv4f32
     2U,	// VCGEzv4i16
     2U,	// VCGEzv4i32
     2U,	// VCGEzv8i16
     2U,	// VCGEzv8i8
-    247328U,	// VCGTfd
-    247328U,	// VCGTfq
+    263712U,	// VCGTfd
+    263712U,	// VCGTfq
     1048U,	// VCGTsv16i8
     1048U,	// VCGTsv2i32
     1048U,	// VCGTsv4i16
@@ -3470,17 +3488,17 @@ static void printInstruction(MCInst *MI,
     1048U,	// VCGTuv8i16
     1048U,	// VCGTuv8i8
     2U,	// VCGTzv16i8
-    184U,	// VCGTzv2f32
+    200U,	// VCGTzv2f32
     2U,	// VCGTzv2i32
-    184U,	// VCGTzv4f32
+    200U,	// VCGTzv4f32
     2U,	// VCGTzv4i16
     2U,	// VCGTzv4i32
     2U,	// VCGTzv8i16
     2U,	// VCGTzv8i8
     2U,	// VCLEzv16i8
-    184U,	// VCLEzv2f32
+    200U,	// VCLEzv2f32
     2U,	// VCLEzv2i32
-    184U,	// VCLEzv4f32
+    200U,	// VCLEzv4f32
     2U,	// VCLEzv4i16
     2U,	// VCLEzv4i32
     2U,	// VCLEzv8i16
@@ -3492,9 +3510,9 @@ static void printInstruction(MCInst *MI,
     0U,	// VCLSv8i16
     0U,	// VCLSv8i8
     2U,	// VCLTzv16i8
-    184U,	// VCLTzv2f32
+    200U,	// VCLTzv2f32
     2U,	// VCLTzv2i32
-    184U,	// VCLTzv4f32
+    200U,	// VCLTzv4f32
     2U,	// VCLTzv4i16
     2U,	// VCLTzv4i32
     2U,	// VCLTzv8i16
@@ -3505,12 +3523,12 @@ static void printInstruction(MCInst *MI,
     0U,	// VCLZv4i32
     0U,	// VCLZv8i16
     0U,	// VCLZv8i8
-    56U,	// VCMPD
-    56U,	// VCMPED
-    56U,	// VCMPES
+    64U,	// VCMPD
+    64U,	// VCMPED
+    64U,	// VCMPES
     0U,	// VCMPEZD
     0U,	// VCMPEZS
-    56U,	// VCMPS
+    64U,	// VCMPS
     0U,	// VCMPZD
     0U,	// VCMPZS
     1024U,	// VCNTd
@@ -3562,21 +3580,21 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTf2sq
     0U,	// VCVTf2ud
     0U,	// VCVTf2uq
-    58U,	// VCVTf2xsd
-    58U,	// VCVTf2xsq
-    58U,	// VCVTf2xud
-    58U,	// VCVTf2xuq
+    67U,	// VCVTf2xsd
+    67U,	// VCVTf2xsq
+    67U,	// VCVTf2xud
+    67U,	// VCVTf2xuq
     0U,	// VCVTh2f
     0U,	// VCVTs2fd
     0U,	// VCVTs2fq
     0U,	// VCVTu2fd
     0U,	// VCVTu2fq
-    58U,	// VCVTxs2fd
-    58U,	// VCVTxs2fq
-    58U,	// VCVTxu2fd
-    58U,	// VCVTxu2fq
-    247328U,	// VDIVD
-    247328U,	// VDIVS
+    67U,	// VCVTxs2fd
+    67U,	// VCVTxs2fq
+    67U,	// VCVTxu2fd
+    67U,	// VCVTxu2fq
+    263712U,	// VDIVD
+    263712U,	// VDIVS
     1024U,	// VDUP16d
     1024U,	// VDUP16q
     1024U,	// VDUP32d
@@ -3589,27 +3607,27 @@ static void printInstruction(MCInst *MI,
     3072U,	// VDUPLN32q
     3072U,	// VDUPLN8d
     3072U,	// VDUPLN8q
-    0U,	// VEORd
-    0U,	// VEORq
-    17825792U,	// VEXTd16
-    17825792U,	// VEXTd32
-    17825792U,	// VEXTd8
-    17825792U,	// VEXTq16
-    17825792U,	// VEXTq32
-    17825792U,	// VEXTq64
-    17825792U,	// VEXTq8
-    249378U,	// VFMAD
-    249378U,	// VFMAS
-    249378U,	// VFMAfd
-    249378U,	// VFMAfq
-    249378U,	// VFMSD
-    249378U,	// VFMSS
-    249378U,	// VFMSfd
-    249378U,	// VFMSfq
-    249378U,	// VFNMAD
-    249378U,	// VFNMAS
-    249378U,	// VFNMSD
-    249378U,	// VFNMSS
+    16384U,	// VEORd
+    16384U,	// VEORq
+    17842176U,	// VEXTd16
+    17842176U,	// VEXTd32
+    17842176U,	// VEXTd8
+    17842176U,	// VEXTq16
+    17842176U,	// VEXTq32
+    17842176U,	// VEXTq64
+    17842176U,	// VEXTq8
+    265763U,	// VFMAD
+    265763U,	// VFMAS
+    265763U,	// VFMAfd
+    265763U,	// VFMAfq
+    265763U,	// VFMSD
+    265763U,	// VFMSS
+    265763U,	// VFMSfd
+    265763U,	// VFMSfq
+    265763U,	// VFNMAD
+    265763U,	// VFNMAS
+    265763U,	// VFNMSD
+    265763U,	// VFNMSS
     3072U,	// VGETLNi32
     3U,	// VGETLNs16
     3U,	// VGETLNs8
@@ -3639,293 +3657,293 @@ static void printInstruction(MCInst *MI,
     1048U,	// VHSUBuv4i32
     1048U,	// VHSUBuv8i16
     1048U,	// VHSUBuv8i8
-    59U,	// VLD1DUPd16
-    195U,	// VLD1DUPd16wb_fixed
+    67U,	// VLD1DUPd16
+    211U,	// VLD1DUPd16wb_fixed
     4131U,	// VLD1DUPd16wb_register
-    59U,	// VLD1DUPd32
-    195U,	// VLD1DUPd32wb_fixed
+    67U,	// VLD1DUPd32
+    211U,	// VLD1DUPd32wb_fixed
     4131U,	// VLD1DUPd32wb_register
-    59U,	// VLD1DUPd8
-    195U,	// VLD1DUPd8wb_fixed
+    67U,	// VLD1DUPd8
+    211U,	// VLD1DUPd8wb_fixed
     4131U,	// VLD1DUPd8wb_register
-    59U,	// VLD1DUPq16
-    195U,	// VLD1DUPq16wb_fixed
+    67U,	// VLD1DUPq16
+    211U,	// VLD1DUPq16wb_fixed
     4131U,	// VLD1DUPq16wb_register
-    59U,	// VLD1DUPq32
-    195U,	// VLD1DUPq32wb_fixed
+    67U,	// VLD1DUPq32
+    211U,	// VLD1DUPq32wb_fixed
     4131U,	// VLD1DUPq32wb_register
-    59U,	// VLD1DUPq8
-    195U,	// VLD1DUPq8wb_fixed
+    67U,	// VLD1DUPq8
+    211U,	// VLD1DUPq8wb_fixed
     4131U,	// VLD1DUPq8wb_register
-    283339U,	// VLD1LNd16
-    299731U,	// VLD1LNd16_UPD
-    283339U,	// VLD1LNd32
-    299731U,	// VLD1LNd32_UPD
-    283339U,	// VLD1LNd8
-    299731U,	// VLD1LNd8_UPD
-    1240U,	// VLD1LNdAsm_16
-    1240U,	// VLD1LNdAsm_32
-    1240U,	// VLD1LNdAsm_8
-    5336U,	// VLD1LNdWB_fixed_Asm_16
-    5336U,	// VLD1LNdWB_fixed_Asm_32
-    5336U,	// VLD1LNdWB_fixed_Asm_8
-    311512U,	// VLD1LNdWB_register_Asm_16
-    311512U,	// VLD1LNdWB_register_Asm_32
-    311512U,	// VLD1LNdWB_register_Asm_8
+    299740U,	// VLD1LNd16
+    316132U,	// VLD1LNd16_UPD
+    299740U,	// VLD1LNd32
+    316132U,	// VLD1LNd32_UPD
+    299740U,	// VLD1LNd8
+    316132U,	// VLD1LNd8_UPD
+    1256U,	// VLD1LNdAsm_16
+    1256U,	// VLD1LNdAsm_32
+    1256U,	// VLD1LNdAsm_8
+    5352U,	// VLD1LNdWB_fixed_Asm_16
+    5352U,	// VLD1LNdWB_fixed_Asm_32
+    5352U,	// VLD1LNdWB_fixed_Asm_8
+    327912U,	// VLD1LNdWB_register_Asm_16
+    327912U,	// VLD1LNdWB_register_Asm_32
+    327912U,	// VLD1LNdWB_register_Asm_8
     0U,	// VLD1LNq16Pseudo
     0U,	// VLD1LNq16Pseudo_UPD
     0U,	// VLD1LNq32Pseudo
     0U,	// VLD1LNq32Pseudo_UPD
     0U,	// VLD1LNq8Pseudo
     0U,	// VLD1LNq8Pseudo_UPD
-    59U,	// VLD1d16
-    59U,	// VLD1d16Q
-    195U,	// VLD1d16Qwb_fixed
+    67U,	// VLD1d16
+    67U,	// VLD1d16Q
+    211U,	// VLD1d16Qwb_fixed
     4131U,	// VLD1d16Qwb_register
-    59U,	// VLD1d16T
-    195U,	// VLD1d16Twb_fixed
+    67U,	// VLD1d16T
+    211U,	// VLD1d16Twb_fixed
     4131U,	// VLD1d16Twb_register
-    195U,	// VLD1d16wb_fixed
+    211U,	// VLD1d16wb_fixed
     4131U,	// VLD1d16wb_register
-    59U,	// VLD1d32
-    59U,	// VLD1d32Q
-    195U,	// VLD1d32Qwb_fixed
+    67U,	// VLD1d32
+    67U,	// VLD1d32Q
+    211U,	// VLD1d32Qwb_fixed
     4131U,	// VLD1d32Qwb_register
-    59U,	// VLD1d32T
-    195U,	// VLD1d32Twb_fixed
+    67U,	// VLD1d32T
+    211U,	// VLD1d32Twb_fixed
     4131U,	// VLD1d32Twb_register
-    195U,	// VLD1d32wb_fixed
+    211U,	// VLD1d32wb_fixed
     4131U,	// VLD1d32wb_register
-    59U,	// VLD1d64
-    59U,	// VLD1d64Q
+    67U,	// VLD1d64
+    67U,	// VLD1d64Q
     0U,	// VLD1d64QPseudo
     0U,	// VLD1d64QPseudoWB_fixed
     0U,	// VLD1d64QPseudoWB_register
-    195U,	// VLD1d64Qwb_fixed
+    211U,	// VLD1d64Qwb_fixed
     4131U,	// VLD1d64Qwb_register
-    59U,	// VLD1d64T
+    67U,	// VLD1d64T
     0U,	// VLD1d64TPseudo
     0U,	// VLD1d64TPseudoWB_fixed
     0U,	// VLD1d64TPseudoWB_register
-    195U,	// VLD1d64Twb_fixed
+    211U,	// VLD1d64Twb_fixed
     4131U,	// VLD1d64Twb_register
-    195U,	// VLD1d64wb_fixed
+    211U,	// VLD1d64wb_fixed
     4131U,	// VLD1d64wb_register
-    59U,	// VLD1d8
-    59U,	// VLD1d8Q
-    195U,	// VLD1d8Qwb_fixed
+    67U,	// VLD1d8
+    67U,	// VLD1d8Q
+    211U,	// VLD1d8Qwb_fixed
     4131U,	// VLD1d8Qwb_register
-    59U,	// VLD1d8T
-    195U,	// VLD1d8Twb_fixed
+    67U,	// VLD1d8T
+    211U,	// VLD1d8Twb_fixed
     4131U,	// VLD1d8Twb_register
-    195U,	// VLD1d8wb_fixed
+    211U,	// VLD1d8wb_fixed
     4131U,	// VLD1d8wb_register
-    59U,	// VLD1q16
-    195U,	// VLD1q16wb_fixed
+    67U,	// VLD1q16
+    211U,	// VLD1q16wb_fixed
     4131U,	// VLD1q16wb_register
-    59U,	// VLD1q32
-    195U,	// VLD1q32wb_fixed
+    67U,	// VLD1q32
+    211U,	// VLD1q32wb_fixed
     4131U,	// VLD1q32wb_register
-    59U,	// VLD1q64
-    195U,	// VLD1q64wb_fixed
+    67U,	// VLD1q64
+    211U,	// VLD1q64wb_fixed
     4131U,	// VLD1q64wb_register
-    59U,	// VLD1q8
-    195U,	// VLD1q8wb_fixed
+    67U,	// VLD1q8
+    211U,	// VLD1q8wb_fixed
     4131U,	// VLD1q8wb_register
-    59U,	// VLD2DUPd16
-    195U,	// VLD2DUPd16wb_fixed
+    67U,	// VLD2DUPd16
+    211U,	// VLD2DUPd16wb_fixed
     4131U,	// VLD2DUPd16wb_register
-    59U,	// VLD2DUPd16x2
-    195U,	// VLD2DUPd16x2wb_fixed
+    67U,	// VLD2DUPd16x2
+    211U,	// VLD2DUPd16x2wb_fixed
     4131U,	// VLD2DUPd16x2wb_register
-    59U,	// VLD2DUPd32
-    195U,	// VLD2DUPd32wb_fixed
+    67U,	// VLD2DUPd32
+    211U,	// VLD2DUPd32wb_fixed
     4131U,	// VLD2DUPd32wb_register
-    59U,	// VLD2DUPd32x2
-    195U,	// VLD2DUPd32x2wb_fixed
+    67U,	// VLD2DUPd32x2
+    211U,	// VLD2DUPd32x2wb_fixed
     4131U,	// VLD2DUPd32x2wb_register
-    59U,	// VLD2DUPd8
-    195U,	// VLD2DUPd8wb_fixed
+    67U,	// VLD2DUPd8
+    211U,	// VLD2DUPd8wb_fixed
     4131U,	// VLD2DUPd8wb_register
-    59U,	// VLD2DUPd8x2
-    195U,	// VLD2DUPd8x2wb_fixed
+    67U,	// VLD2DUPd8x2
+    211U,	// VLD2DUPd8x2wb_fixed
     4131U,	// VLD2DUPd8x2wb_register
-    333523U,	// VLD2LNd16
+    349924U,	// VLD2LNd16
     0U,	// VLD2LNd16Pseudo
     0U,	// VLD2LNd16Pseudo_UPD
-    350435U,	// VLD2LNd16_UPD
-    333523U,	// VLD2LNd32
+    366836U,	// VLD2LNd16_UPD
+    349924U,	// VLD2LNd32
     0U,	// VLD2LNd32Pseudo
     0U,	// VLD2LNd32Pseudo_UPD
-    350435U,	// VLD2LNd32_UPD
-    333523U,	// VLD2LNd8
+    366836U,	// VLD2LNd32_UPD
+    349924U,	// VLD2LNd8
     0U,	// VLD2LNd8Pseudo
     0U,	// VLD2LNd8Pseudo_UPD
-    350435U,	// VLD2LNd8_UPD
-    1240U,	// VLD2LNdAsm_16
-    1240U,	// VLD2LNdAsm_32
-    1240U,	// VLD2LNdAsm_8
-    5336U,	// VLD2LNdWB_fixed_Asm_16
-    5336U,	// VLD2LNdWB_fixed_Asm_32
-    5336U,	// VLD2LNdWB_fixed_Asm_8
-    311512U,	// VLD2LNdWB_register_Asm_16
-    311512U,	// VLD2LNdWB_register_Asm_32
-    311512U,	// VLD2LNdWB_register_Asm_8
-    333523U,	// VLD2LNq16
+    366836U,	// VLD2LNd8_UPD
+    1256U,	// VLD2LNdAsm_16
+    1256U,	// VLD2LNdAsm_32
+    1256U,	// VLD2LNdAsm_8
+    5352U,	// VLD2LNdWB_fixed_Asm_16
+    5352U,	// VLD2LNdWB_fixed_Asm_32
+    5352U,	// VLD2LNdWB_fixed_Asm_8
+    327912U,	// VLD2LNdWB_register_Asm_16
+    327912U,	// VLD2LNdWB_register_Asm_32
+    327912U,	// VLD2LNdWB_register_Asm_8
+    349924U,	// VLD2LNq16
     0U,	// VLD2LNq16Pseudo
     0U,	// VLD2LNq16Pseudo_UPD
-    350435U,	// VLD2LNq16_UPD
-    333523U,	// VLD2LNq32
+    366836U,	// VLD2LNq16_UPD
+    349924U,	// VLD2LNq32
     0U,	// VLD2LNq32Pseudo
     0U,	// VLD2LNq32Pseudo_UPD
-    350435U,	// VLD2LNq32_UPD
-    1240U,	// VLD2LNqAsm_16
-    1240U,	// VLD2LNqAsm_32
-    5336U,	// VLD2LNqWB_fixed_Asm_16
-    5336U,	// VLD2LNqWB_fixed_Asm_32
-    311512U,	// VLD2LNqWB_register_Asm_16
-    311512U,	// VLD2LNqWB_register_Asm_32
-    59U,	// VLD2b16
-    195U,	// VLD2b16wb_fixed
+    366836U,	// VLD2LNq32_UPD
+    1256U,	// VLD2LNqAsm_16
+    1256U,	// VLD2LNqAsm_32
+    5352U,	// VLD2LNqWB_fixed_Asm_16
+    5352U,	// VLD2LNqWB_fixed_Asm_32
+    327912U,	// VLD2LNqWB_register_Asm_16
+    327912U,	// VLD2LNqWB_register_Asm_32
+    67U,	// VLD2b16
+    211U,	// VLD2b16wb_fixed
     4131U,	// VLD2b16wb_register
-    59U,	// VLD2b32
-    195U,	// VLD2b32wb_fixed
+    67U,	// VLD2b32
+    211U,	// VLD2b32wb_fixed
     4131U,	// VLD2b32wb_register
-    59U,	// VLD2b8
-    195U,	// VLD2b8wb_fixed
+    67U,	// VLD2b8
+    211U,	// VLD2b8wb_fixed
     4131U,	// VLD2b8wb_register
-    59U,	// VLD2d16
-    195U,	// VLD2d16wb_fixed
+    67U,	// VLD2d16
+    211U,	// VLD2d16wb_fixed
     4131U,	// VLD2d16wb_register
-    59U,	// VLD2d32
-    195U,	// VLD2d32wb_fixed
+    67U,	// VLD2d32
+    211U,	// VLD2d32wb_fixed
     4131U,	// VLD2d32wb_register
-    59U,	// VLD2d8
-    195U,	// VLD2d8wb_fixed
+    67U,	// VLD2d8
+    211U,	// VLD2d8wb_fixed
     4131U,	// VLD2d8wb_register
-    59U,	// VLD2q16
+    67U,	// VLD2q16
     0U,	// VLD2q16Pseudo
     0U,	// VLD2q16PseudoWB_fixed
     0U,	// VLD2q16PseudoWB_register
-    195U,	// VLD2q16wb_fixed
+    211U,	// VLD2q16wb_fixed
     4131U,	// VLD2q16wb_register
-    59U,	// VLD2q32
+    67U,	// VLD2q32
     0U,	// VLD2q32Pseudo
     0U,	// VLD2q32PseudoWB_fixed
     0U,	// VLD2q32PseudoWB_register
-    195U,	// VLD2q32wb_fixed
+    211U,	// VLD2q32wb_fixed
     4131U,	// VLD2q32wb_register
-    59U,	// VLD2q8
+    67U,	// VLD2q8
     0U,	// VLD2q8Pseudo
     0U,	// VLD2q8PseudoWB_fixed
     0U,	// VLD2q8PseudoWB_register
-    195U,	// VLD2q8wb_fixed
+    211U,	// VLD2q8wb_fixed
     4131U,	// VLD2q8wb_register
-    6892U,	// VLD3DUPd16
+    6908U,	// VLD3DUPd16
     0U,	// VLD3DUPd16Pseudo
     0U,	// VLD3DUPd16Pseudo_UPD
-    367852U,	// VLD3DUPd16_UPD
-    6892U,	// VLD3DUPd32
+    384252U,	// VLD3DUPd16_UPD
+    6908U,	// VLD3DUPd32
     0U,	// VLD3DUPd32Pseudo
     0U,	// VLD3DUPd32Pseudo_UPD
-    367852U,	// VLD3DUPd32_UPD
-    6892U,	// VLD3DUPd8
+    384252U,	// VLD3DUPd32_UPD
+    6908U,	// VLD3DUPd8
     0U,	// VLD3DUPd8Pseudo
     0U,	// VLD3DUPd8Pseudo_UPD
-    367852U,	// VLD3DUPd8_UPD
+    384252U,	// VLD3DUPd8_UPD
     0U,	// VLD3DUPdAsm_16
     0U,	// VLD3DUPdAsm_32
     0U,	// VLD3DUPdAsm_8
     4U,	// VLD3DUPdWB_fixed_Asm_16
     4U,	// VLD3DUPdWB_fixed_Asm_32
     4U,	// VLD3DUPdWB_fixed_Asm_8
-    1184U,	// VLD3DUPdWB_register_Asm_16
-    1184U,	// VLD3DUPdWB_register_Asm_32
-    1184U,	// VLD3DUPdWB_register_Asm_8
-    6892U,	// VLD3DUPq16
-    367852U,	// VLD3DUPq16_UPD
-    6892U,	// VLD3DUPq32
-    367852U,	// VLD3DUPq32_UPD
-    6892U,	// VLD3DUPq8
-    367852U,	// VLD3DUPq8_UPD
+    1192U,	// VLD3DUPdWB_register_Asm_16
+    1192U,	// VLD3DUPdWB_register_Asm_32
+    1192U,	// VLD3DUPdWB_register_Asm_8
+    6908U,	// VLD3DUPq16
+    384252U,	// VLD3DUPq16_UPD
+    6908U,	// VLD3DUPq32
+    384252U,	// VLD3DUPq32_UPD
+    6908U,	// VLD3DUPq8
+    384252U,	// VLD3DUPq8_UPD
     0U,	// VLD3DUPqAsm_16
     0U,	// VLD3DUPqAsm_32
     0U,	// VLD3DUPqAsm_8
     4U,	// VLD3DUPqWB_fixed_Asm_16
     4U,	// VLD3DUPqWB_fixed_Asm_32
     4U,	// VLD3DUPqWB_fixed_Asm_8
-    1184U,	// VLD3DUPqWB_register_Asm_16
-    1184U,	// VLD3DUPqWB_register_Asm_32
-    1184U,	// VLD3DUPqWB_register_Asm_8
-    383203U,	// VLD3LNd16
+    1192U,	// VLD3DUPqWB_register_Asm_16
+    1192U,	// VLD3DUPqWB_register_Asm_32
+    1192U,	// VLD3DUPqWB_register_Asm_8
+    399604U,	// VLD3LNd16
     0U,	// VLD3LNd16Pseudo
     0U,	// VLD3LNd16Pseudo_UPD
-    398067U,	// VLD3LNd16_UPD
-    383203U,	// VLD3LNd32
+    414468U,	// VLD3LNd16_UPD
+    399604U,	// VLD3LNd32
     0U,	// VLD3LNd32Pseudo
     0U,	// VLD3LNd32Pseudo_UPD
-    398067U,	// VLD3LNd32_UPD
-    383203U,	// VLD3LNd8
+    414468U,	// VLD3LNd32_UPD
+    399604U,	// VLD3LNd8
     0U,	// VLD3LNd8Pseudo
     0U,	// VLD3LNd8Pseudo_UPD
-    398067U,	// VLD3LNd8_UPD
-    1240U,	// VLD3LNdAsm_16
-    1240U,	// VLD3LNdAsm_32
-    1240U,	// VLD3LNdAsm_8
-    5336U,	// VLD3LNdWB_fixed_Asm_16
-    5336U,	// VLD3LNdWB_fixed_Asm_32
-    5336U,	// VLD3LNdWB_fixed_Asm_8
-    311512U,	// VLD3LNdWB_register_Asm_16
-    311512U,	// VLD3LNdWB_register_Asm_32
-    311512U,	// VLD3LNdWB_register_Asm_8
-    383203U,	// VLD3LNq16
+    414468U,	// VLD3LNd8_UPD
+    1256U,	// VLD3LNdAsm_16
+    1256U,	// VLD3LNdAsm_32
+    1256U,	// VLD3LNdAsm_8
+    5352U,	// VLD3LNdWB_fixed_Asm_16
+    5352U,	// VLD3LNdWB_fixed_Asm_32
+    5352U,	// VLD3LNdWB_fixed_Asm_8
+    327912U,	// VLD3LNdWB_register_Asm_16
+    327912U,	// VLD3LNdWB_register_Asm_32
+    327912U,	// VLD3LNdWB_register_Asm_8
+    399604U,	// VLD3LNq16
     0U,	// VLD3LNq16Pseudo
     0U,	// VLD3LNq16Pseudo_UPD
-    398067U,	// VLD3LNq16_UPD
-    383203U,	// VLD3LNq32
+    414468U,	// VLD3LNq16_UPD
+    399604U,	// VLD3LNq32
     0U,	// VLD3LNq32Pseudo
     0U,	// VLD3LNq32Pseudo_UPD
-    398067U,	// VLD3LNq32_UPD
-    1240U,	// VLD3LNqAsm_16
-    1240U,	// VLD3LNqAsm_32
-    5336U,	// VLD3LNqWB_fixed_Asm_16
-    5336U,	// VLD3LNqWB_fixed_Asm_32
-    311512U,	// VLD3LNqWB_register_Asm_16
-    311512U,	// VLD3LNqWB_register_Asm_32
-    58720256U,	// VLD3d16
+    414468U,	// VLD3LNq32_UPD
+    1256U,	// VLD3LNqAsm_16
+    1256U,	// VLD3LNqAsm_32
+    5352U,	// VLD3LNqWB_fixed_Asm_16
+    5352U,	// VLD3LNqWB_fixed_Asm_32
+    327912U,	// VLD3LNqWB_register_Asm_16
+    327912U,	// VLD3LNqWB_register_Asm_32
+    58736640U,	// VLD3d16
     0U,	// VLD3d16Pseudo
     0U,	// VLD3d16Pseudo_UPD
-    75497472U,	// VLD3d16_UPD
-    58720256U,	// VLD3d32
+    75513856U,	// VLD3d16_UPD
+    58736640U,	// VLD3d32
     0U,	// VLD3d32Pseudo
     0U,	// VLD3d32Pseudo_UPD
-    75497472U,	// VLD3d32_UPD
-    58720256U,	// VLD3d8
+    75513856U,	// VLD3d32_UPD
+    58736640U,	// VLD3d8
     0U,	// VLD3d8Pseudo
     0U,	// VLD3d8Pseudo_UPD
-    75497472U,	// VLD3d8_UPD
-    59U,	// VLD3dAsm_16
-    59U,	// VLD3dAsm_32
-    59U,	// VLD3dAsm_8
-    195U,	// VLD3dWB_fixed_Asm_16
-    195U,	// VLD3dWB_fixed_Asm_32
-    195U,	// VLD3dWB_fixed_Asm_8
-    249379U,	// VLD3dWB_register_Asm_16
-    249379U,	// VLD3dWB_register_Asm_32
-    249379U,	// VLD3dWB_register_Asm_8
-    58720256U,	// VLD3q16
+    75513856U,	// VLD3d8_UPD
+    67U,	// VLD3dAsm_16
+    67U,	// VLD3dAsm_32
+    67U,	// VLD3dAsm_8
+    211U,	// VLD3dWB_fixed_Asm_16
+    211U,	// VLD3dWB_fixed_Asm_32
+    211U,	// VLD3dWB_fixed_Asm_8
+    265763U,	// VLD3dWB_register_Asm_16
+    265763U,	// VLD3dWB_register_Asm_32
+    265763U,	// VLD3dWB_register_Asm_8
+    58736640U,	// VLD3q16
     0U,	// VLD3q16Pseudo_UPD
-    75497472U,	// VLD3q16_UPD
+    75513856U,	// VLD3q16_UPD
     0U,	// VLD3q16oddPseudo
     0U,	// VLD3q16oddPseudo_UPD
-    58720256U,	// VLD3q32
+    58736640U,	// VLD3q32
     0U,	// VLD3q32Pseudo_UPD
-    75497472U,	// VLD3q32_UPD
+    75513856U,	// VLD3q32_UPD
     0U,	// VLD3q32oddPseudo
     0U,	// VLD3q32oddPseudo_UPD
-    58720256U,	// VLD3q8
+    58736640U,	// VLD3q8
     0U,	// VLD3q8Pseudo_UPD
-    75497472U,	// VLD3q8_UPD
+    75513856U,	// VLD3q8_UPD
     0U,	// VLD3q8oddPseudo
     0U,	// VLD3q8oddPseudo_UPD
     0U,	// VLD3qAsm_16
@@ -3934,114 +3952,114 @@ static void printInstruction(MCInst *MI,
     4U,	// VLD3qWB_fixed_Asm_16
     4U,	// VLD3qWB_fixed_Asm_32
     4U,	// VLD3qWB_fixed_Asm_8
-    1184U,	// VLD3qWB_register_Asm_16
-    1184U,	// VLD3qWB_register_Asm_32
-    1184U,	// VLD3qWB_register_Asm_8
-    253180U,	// VLD4DUPd16
+    1192U,	// VLD3qWB_register_Asm_16
+    1192U,	// VLD3qWB_register_Asm_32
+    1192U,	// VLD3qWB_register_Asm_8
+    269580U,	// VLD4DUPd16
     0U,	// VLD4DUPd16Pseudo
     0U,	// VLD4DUPd16Pseudo_UPD
-    7932U,	// VLD4DUPd16_UPD
-    253180U,	// VLD4DUPd32
+    7948U,	// VLD4DUPd16_UPD
+    269580U,	// VLD4DUPd32
     0U,	// VLD4DUPd32Pseudo
     0U,	// VLD4DUPd32Pseudo_UPD
-    7932U,	// VLD4DUPd32_UPD
-    253180U,	// VLD4DUPd8
+    7948U,	// VLD4DUPd32_UPD
+    269580U,	// VLD4DUPd8
     0U,	// VLD4DUPd8Pseudo
     0U,	// VLD4DUPd8Pseudo_UPD
-    7932U,	// VLD4DUPd8_UPD
+    7948U,	// VLD4DUPd8_UPD
     0U,	// VLD4DUPdAsm_16
     0U,	// VLD4DUPdAsm_32
     0U,	// VLD4DUPdAsm_8
     4U,	// VLD4DUPdWB_fixed_Asm_16
     4U,	// VLD4DUPdWB_fixed_Asm_32
     4U,	// VLD4DUPdWB_fixed_Asm_8
-    1184U,	// VLD4DUPdWB_register_Asm_16
-    1184U,	// VLD4DUPdWB_register_Asm_32
-    1184U,	// VLD4DUPdWB_register_Asm_8
-    253180U,	// VLD4DUPq16
-    7932U,	// VLD4DUPq16_UPD
-    253180U,	// VLD4DUPq32
-    7932U,	// VLD4DUPq32_UPD
-    253180U,	// VLD4DUPq8
-    7932U,	// VLD4DUPq8_UPD
+    1192U,	// VLD4DUPdWB_register_Asm_16
+    1192U,	// VLD4DUPdWB_register_Asm_32
+    1192U,	// VLD4DUPdWB_register_Asm_8
+    269580U,	// VLD4DUPq16
+    7948U,	// VLD4DUPq16_UPD
+    269580U,	// VLD4DUPq32
+    7948U,	// VLD4DUPq32_UPD
+    269580U,	// VLD4DUPq8
+    7948U,	// VLD4DUPq8_UPD
     0U,	// VLD4DUPqAsm_16
     0U,	// VLD4DUPqAsm_32
     0U,	// VLD4DUPqAsm_8
     4U,	// VLD4DUPqWB_fixed_Asm_16
     4U,	// VLD4DUPqWB_fixed_Asm_32
     4U,	// VLD4DUPqWB_fixed_Asm_8
-    1184U,	// VLD4DUPqWB_register_Asm_16
-    1184U,	// VLD4DUPqWB_register_Asm_32
-    1184U,	// VLD4DUPqWB_register_Asm_8
-    93591283U,	// VLD4LNd16
+    1192U,	// VLD4DUPqWB_register_Asm_16
+    1192U,	// VLD4DUPqWB_register_Asm_32
+    1192U,	// VLD4DUPqWB_register_Asm_8
+    93607684U,	// VLD4LNd16
     0U,	// VLD4LNd16Pseudo
     0U,	// VLD4LNd16Pseudo_UPD
-    259U,	// VLD4LNd16_UPD
-    93591283U,	// VLD4LNd32
+    276U,	// VLD4LNd16_UPD
+    93607684U,	// VLD4LNd32
     0U,	// VLD4LNd32Pseudo
     0U,	// VLD4LNd32Pseudo_UPD
-    259U,	// VLD4LNd32_UPD
-    93591283U,	// VLD4LNd8
+    276U,	// VLD4LNd32_UPD
+    93607684U,	// VLD4LNd8
     0U,	// VLD4LNd8Pseudo
     0U,	// VLD4LNd8Pseudo_UPD
-    259U,	// VLD4LNd8_UPD
-    1240U,	// VLD4LNdAsm_16
-    1240U,	// VLD4LNdAsm_32
-    1240U,	// VLD4LNdAsm_8
-    5336U,	// VLD4LNdWB_fixed_Asm_16
-    5336U,	// VLD4LNdWB_fixed_Asm_32
-    5336U,	// VLD4LNdWB_fixed_Asm_8
-    311512U,	// VLD4LNdWB_register_Asm_16
-    311512U,	// VLD4LNdWB_register_Asm_32
-    311512U,	// VLD4LNdWB_register_Asm_8
-    93591283U,	// VLD4LNq16
+    276U,	// VLD4LNd8_UPD
+    1256U,	// VLD4LNdAsm_16
+    1256U,	// VLD4LNdAsm_32
+    1256U,	// VLD4LNdAsm_8
+    5352U,	// VLD4LNdWB_fixed_Asm_16
+    5352U,	// VLD4LNdWB_fixed_Asm_32
+    5352U,	// VLD4LNdWB_fixed_Asm_8
+    327912U,	// VLD4LNdWB_register_Asm_16
+    327912U,	// VLD4LNdWB_register_Asm_32
+    327912U,	// VLD4LNdWB_register_Asm_8
+    93607684U,	// VLD4LNq16
     0U,	// VLD4LNq16Pseudo
     0U,	// VLD4LNq16Pseudo_UPD
-    259U,	// VLD4LNq16_UPD
-    93591283U,	// VLD4LNq32
+    276U,	// VLD4LNq16_UPD
+    93607684U,	// VLD4LNq32
     0U,	// VLD4LNq32Pseudo
     0U,	// VLD4LNq32Pseudo_UPD
-    259U,	// VLD4LNq32_UPD
-    1240U,	// VLD4LNqAsm_16
-    1240U,	// VLD4LNqAsm_32
-    5336U,	// VLD4LNqWB_fixed_Asm_16
-    5336U,	// VLD4LNqWB_fixed_Asm_32
-    311512U,	// VLD4LNqWB_register_Asm_16
-    311512U,	// VLD4LNqWB_register_Asm_32
-    286261248U,	// VLD4d16
+    276U,	// VLD4LNq32_UPD
+    1256U,	// VLD4LNqAsm_16
+    1256U,	// VLD4LNqAsm_32
+    5352U,	// VLD4LNqWB_fixed_Asm_16
+    5352U,	// VLD4LNqWB_fixed_Asm_32
+    327912U,	// VLD4LNqWB_register_Asm_16
+    327912U,	// VLD4LNqWB_register_Asm_32
+    286277632U,	// VLD4d16
     0U,	// VLD4d16Pseudo
     0U,	// VLD4d16Pseudo_UPD
-    823132160U,	// VLD4d16_UPD
-    286261248U,	// VLD4d32
+    823148544U,	// VLD4d16_UPD
+    286277632U,	// VLD4d32
     0U,	// VLD4d32Pseudo
     0U,	// VLD4d32Pseudo_UPD
-    823132160U,	// VLD4d32_UPD
-    286261248U,	// VLD4d8
+    823148544U,	// VLD4d32_UPD
+    286277632U,	// VLD4d8
     0U,	// VLD4d8Pseudo
     0U,	// VLD4d8Pseudo_UPD
-    823132160U,	// VLD4d8_UPD
-    59U,	// VLD4dAsm_16
-    59U,	// VLD4dAsm_32
-    59U,	// VLD4dAsm_8
-    195U,	// VLD4dWB_fixed_Asm_16
-    195U,	// VLD4dWB_fixed_Asm_32
-    195U,	// VLD4dWB_fixed_Asm_8
-    249379U,	// VLD4dWB_register_Asm_16
-    249379U,	// VLD4dWB_register_Asm_32
-    249379U,	// VLD4dWB_register_Asm_8
-    286261248U,	// VLD4q16
+    823148544U,	// VLD4d8_UPD
+    67U,	// VLD4dAsm_16
+    67U,	// VLD4dAsm_32
+    67U,	// VLD4dAsm_8
+    211U,	// VLD4dWB_fixed_Asm_16
+    211U,	// VLD4dWB_fixed_Asm_32
+    211U,	// VLD4dWB_fixed_Asm_8
+    265763U,	// VLD4dWB_register_Asm_16
+    265763U,	// VLD4dWB_register_Asm_32
+    265763U,	// VLD4dWB_register_Asm_8
+    286277632U,	// VLD4q16
     0U,	// VLD4q16Pseudo_UPD
-    823132160U,	// VLD4q16_UPD
+    823148544U,	// VLD4q16_UPD
     0U,	// VLD4q16oddPseudo
     0U,	// VLD4q16oddPseudo_UPD
-    286261248U,	// VLD4q32
+    286277632U,	// VLD4q32
     0U,	// VLD4q32Pseudo_UPD
-    823132160U,	// VLD4q32_UPD
+    823148544U,	// VLD4q32_UPD
     0U,	// VLD4q32oddPseudo
     0U,	// VLD4q32oddPseudo_UPD
-    286261248U,	// VLD4q8
+    286277632U,	// VLD4q8
     0U,	// VLD4q8Pseudo_UPD
-    823132160U,	// VLD4q8_UPD
+    823148544U,	// VLD4q8_UPD
     0U,	// VLD4q8oddPseudo
     0U,	// VLD4q8oddPseudo_UPD
     0U,	// VLD4qAsm_16
@@ -4050,24 +4068,24 @@ static void printInstruction(MCInst *MI,
     4U,	// VLD4qWB_fixed_Asm_16
     4U,	// VLD4qWB_fixed_Asm_32
     4U,	// VLD4qWB_fixed_Asm_8
-    1184U,	// VLD4qWB_register_Asm_16
-    1184U,	// VLD4qWB_register_Asm_32
-    1184U,	// VLD4qWB_register_Asm_8
-    57U,	// VLDMDDB_UPD
-    1088U,	// VLDMDIA
-    57U,	// VLDMDIA_UPD
+    1192U,	// VLD4qWB_register_Asm_16
+    1192U,	// VLD4qWB_register_Asm_32
+    1192U,	// VLD4qWB_register_Asm_8
+    65U,	// VLDMDDB_UPD
+    1096U,	// VLDMDIA
+    65U,	// VLDMDIA_UPD
     0U,	// VLDMQIA
-    57U,	// VLDMSDB_UPD
-    1088U,	// VLDMSIA
-    57U,	// VLDMSIA_UPD
-    264U,	// VLDRD
-    264U,	// VLDRS
+    65U,	// VLDMSDB_UPD
+    1096U,	// VLDMSIA
+    65U,	// VLDMSIA_UPD
+    280U,	// VLDRD
+    280U,	// VLDRS
     1048U,	// VMAXNMD
     1048U,	// VMAXNMND
     1048U,	// VMAXNMNQ
     1048U,	// VMAXNMS
-    247328U,	// VMAXfd
-    247328U,	// VMAXfq
+    263712U,	// VMAXfd
+    263712U,	// VMAXfq
     1048U,	// VMAXsv16i8
     1048U,	// VMAXsv2i32
     1048U,	// VMAXsv4i16
@@ -4084,8 +4102,8 @@ static void printInstruction(MCInst *MI,
     1048U,	// VMINNMND
     1048U,	// VMINNMNQ
     1048U,	// VMINNMS
-    247328U,	// VMINfd
-    247328U,	// VMINfq
+    263712U,	// VMINfd
+    263712U,	// VMINfq
     1048U,	// VMINsv16i8
     1048U,	// VMINsv2i32
     1048U,	// VMINsv4i16
@@ -4098,61 +4116,61 @@ static void printInstruction(MCInst *MI,
     1048U,	// VMINuv4i32
     1048U,	// VMINuv8i16
     1048U,	// VMINuv8i8
-    249378U,	// VMLAD
-    8352U,	// VMLALslsv2i32
-    8352U,	// VMLALslsv4i16
-    8352U,	// VMLALsluv2i32
-    8352U,	// VMLALsluv4i16
-    1184U,	// VMLALsv2i64
-    1184U,	// VMLALsv4i32
-    1184U,	// VMLALsv8i16
-    1184U,	// VMLALuv2i64
-    1184U,	// VMLALuv4i32
-    1184U,	// VMLALuv8i16
-    249378U,	// VMLAS
-    249378U,	// VMLAfd
-    249378U,	// VMLAfq
-    413218U,	// VMLAslfd
-    413218U,	// VMLAslfq
-    8352U,	// VMLAslv2i32
-    8352U,	// VMLAslv4i16
-    8352U,	// VMLAslv4i32
-    8352U,	// VMLAslv8i16
-    1184U,	// VMLAv16i8
-    1184U,	// VMLAv2i32
-    1184U,	// VMLAv4i16
-    1184U,	// VMLAv4i32
-    1184U,	// VMLAv8i16
-    1184U,	// VMLAv8i8
-    249378U,	// VMLSD
-    8352U,	// VMLSLslsv2i32
-    8352U,	// VMLSLslsv4i16
-    8352U,	// VMLSLsluv2i32
-    8352U,	// VMLSLsluv4i16
-    1184U,	// VMLSLsv2i64
-    1184U,	// VMLSLsv4i32
-    1184U,	// VMLSLsv8i16
-    1184U,	// VMLSLuv2i64
-    1184U,	// VMLSLuv4i32
-    1184U,	// VMLSLuv8i16
-    249378U,	// VMLSS
-    249378U,	// VMLSfd
-    249378U,	// VMLSfq
-    413218U,	// VMLSslfd
-    413218U,	// VMLSslfq
-    8352U,	// VMLSslv2i32
-    8352U,	// VMLSslv4i16
-    8352U,	// VMLSslv4i32
-    8352U,	// VMLSslv8i16
-    1184U,	// VMLSv16i8
-    1184U,	// VMLSv2i32
-    1184U,	// VMLSv4i16
-    1184U,	// VMLSv4i32
-    1184U,	// VMLSv8i16
-    1184U,	// VMLSv8i8
-    56U,	// VMOVD
+    265763U,	// VMLAD
+    8360U,	// VMLALslsv2i32
+    8360U,	// VMLALslsv4i16
+    8360U,	// VMLALsluv2i32
+    8360U,	// VMLALsluv4i16
+    1192U,	// VMLALsv2i64
+    1192U,	// VMLALsv4i32
+    1192U,	// VMLALsv8i16
+    1192U,	// VMLALuv2i64
+    1192U,	// VMLALuv4i32
+    1192U,	// VMLALuv8i16
+    265763U,	// VMLAS
+    265763U,	// VMLAfd
+    265763U,	// VMLAfq
+    429603U,	// VMLAslfd
+    429603U,	// VMLAslfq
+    8360U,	// VMLAslv2i32
+    8360U,	// VMLAslv4i16
+    8360U,	// VMLAslv4i32
+    8360U,	// VMLAslv8i16
+    1192U,	// VMLAv16i8
+    1192U,	// VMLAv2i32
+    1192U,	// VMLAv4i16
+    1192U,	// VMLAv4i32
+    1192U,	// VMLAv8i16
+    1192U,	// VMLAv8i8
+    265763U,	// VMLSD
+    8360U,	// VMLSLslsv2i32
+    8360U,	// VMLSLslsv4i16
+    8360U,	// VMLSLsluv2i32
+    8360U,	// VMLSLsluv4i16
+    1192U,	// VMLSLsv2i64
+    1192U,	// VMLSLsv4i32
+    1192U,	// VMLSLsv8i16
+    1192U,	// VMLSLuv2i64
+    1192U,	// VMLSLuv4i32
+    1192U,	// VMLSLuv8i16
+    265763U,	// VMLSS
+    265763U,	// VMLSfd
+    265763U,	// VMLSfq
+    429603U,	// VMLSslfd
+    429603U,	// VMLSslfq
+    8360U,	// VMLSslv2i32
+    8360U,	// VMLSslv4i16
+    8360U,	// VMLSslv4i32
+    8360U,	// VMLSslv8i16
+    1192U,	// VMLSv16i8
+    1192U,	// VMLSv2i32
+    1192U,	// VMLSv4i16
+    1192U,	// VMLSv4i32
+    1192U,	// VMLSv8i16
+    1192U,	// VMLSv8i8
+    64U,	// VMOVD
     0U,	// VMOVD0
-    0U,	// VMOVDRR
+    16384U,	// VMOVDRR
     0U,	// VMOVDcc
     0U,	// VMOVLsv2i64
     0U,	// VMOVLsv4i32
@@ -4164,12 +4182,12 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVNv4i16
     0U,	// VMOVNv8i8
     0U,	// VMOVQ0
-    0U,	// VMOVRRD
-    17825792U,	// VMOVRRS
+    16384U,	// VMOVRRD
+    17842176U,	// VMOVRRS
     1024U,	// VMOVRS
-    56U,	// VMOVS
+    64U,	// VMOVS
     1024U,	// VMOVSR
-    17825792U,	// VMOVSRR
+    17842176U,	// VMOVSRR
     0U,	// VMOVScc
     0U,	// VMOVv16i8
     0U,	// VMOVv1i64
@@ -4182,11 +4200,11 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVv8i16
     0U,	// VMOVv8i8
     4U,	// VMRS
-    4U,	// VMRS_FPEXC
+    5U,	// VMRS_FPEXC
     5U,	// VMRS_FPINST
     5U,	// VMRS_FPINST2
     5U,	// VMRS_FPSID
-    5U,	// VMRS_MVFR0
+    6U,	// VMRS_MVFR0
     6U,	// VMRS_MVFR1
     6U,	// VMRS_MVFR2
     0U,	// VMSR
@@ -4194,7 +4212,7 @@ static void printInstruction(MCInst *MI,
     0U,	// VMSR_FPINST
     0U,	// VMSR_FPINST2
     0U,	// VMSR_FPSID
-    247328U,	// VMULD
+    263712U,	// VMULD
     1048U,	// VMULLp64
     0U,	// VMULLp8
     8728U,	// VMULLslsv2i32
@@ -4207,13 +4225,13 @@ static void printInstruction(MCInst *MI,
     1048U,	// VMULLuv2i64
     1048U,	// VMULLuv4i32
     1048U,	// VMULLuv8i16
-    247328U,	// VMULS
-    247328U,	// VMULfd
-    247328U,	// VMULfq
+    263712U,	// VMULS
+    263712U,	// VMULfd
+    263712U,	// VMULfq
     0U,	// VMULpd
     0U,	// VMULpq
-    427552U,	// VMULslfd
-    427552U,	// VMULslfq
+    443936U,	// VMULslfd
+    443936U,	// VMULslfq
     8728U,	// VMULslv2i32
     8728U,	// VMULslv4i16
     8728U,	// VMULslv4i32
@@ -4230,30 +4248,30 @@ static void printInstruction(MCInst *MI,
     0U,	// VMVNv4i16
     0U,	// VMVNv4i32
     0U,	// VMVNv8i16
-    56U,	// VNEGD
-    56U,	// VNEGS
-    56U,	// VNEGf32q
-    56U,	// VNEGfd
+    64U,	// VNEGD
+    64U,	// VNEGS
+    64U,	// VNEGf32q
+    64U,	// VNEGfd
     0U,	// VNEGs16d
     0U,	// VNEGs16q
     0U,	// VNEGs32d
     0U,	// VNEGs32q
     0U,	// VNEGs8d
     0U,	// VNEGs8q
-    249378U,	// VNMLAD
-    249378U,	// VNMLAS
-    249378U,	// VNMLSD
-    249378U,	// VNMLSS
-    247328U,	// VNMULD
-    247328U,	// VNMULS
-    0U,	// VORNd
-    0U,	// VORNq
-    0U,	// VORRd
+    265763U,	// VNMLAD
+    265763U,	// VNMLAS
+    265763U,	// VNMLSD
+    265763U,	// VNMLSS
+    263712U,	// VNMULD
+    263712U,	// VNMULS
+    16384U,	// VORNd
+    16384U,	// VORNq
+    16384U,	// VORRd
     0U,	// VORRiv2i32
     0U,	// VORRiv4i16
     0U,	// VORRiv4i32
     0U,	// VORRiv8i16
-    0U,	// VORRq
+    16384U,	// VORRq
     0U,	// VPADALsv16i8
     0U,	// VPADALsv2i32
     0U,	// VPADALsv4i16
@@ -4278,18 +4296,18 @@ static void printInstruction(MCInst *MI,
     0U,	// VPADDLuv4i32
     0U,	// VPADDLuv8i16
     0U,	// VPADDLuv8i8
-    247328U,	// VPADDf
+    263712U,	// VPADDf
     1048U,	// VPADDi16
     1048U,	// VPADDi32
     1048U,	// VPADDi8
-    247328U,	// VPMAXf
+    263712U,	// VPMAXf
     1048U,	// VPMAXs16
     1048U,	// VPMAXs32
     1048U,	// VPMAXs8
     1048U,	// VPMAXu16
     1048U,	// VPMAXu32
     1048U,	// VPMAXu8
-    247328U,	// VPMINf
+    263712U,	// VPMINf
     1048U,	// VPMINs16
     1048U,	// VPMINs32
     1048U,	// VPMINs8
@@ -4318,14 +4336,14 @@ static void printInstruction(MCInst *MI,
     1048U,	// VQADDuv4i32
     1048U,	// VQADDuv8i16
     1048U,	// VQADDuv8i8
-    8352U,	// VQDMLALslv2i32
-    8352U,	// VQDMLALslv4i16
-    1184U,	// VQDMLALv2i64
-    1184U,	// VQDMLALv4i32
-    8352U,	// VQDMLSLslv2i32
-    8352U,	// VQDMLSLslv4i16
-    1184U,	// VQDMLSLv2i64
-    1184U,	// VQDMLSLv4i32
+    8360U,	// VQDMLALslv2i32
+    8360U,	// VQDMLALslv4i16
+    1192U,	// VQDMLALv2i64
+    1192U,	// VQDMLALv4i32
+    8360U,	// VQDMLSLslv2i32
+    8360U,	// VQDMLSLslv4i16
+    1192U,	// VQDMLSLv2i64
+    1192U,	// VQDMLSLv4i32
     8728U,	// VQDMULHslv2i32
     8728U,	// VQDMULHslv4i16
     8728U,	// VQDMULHslv4i32
@@ -4455,11 +4473,11 @@ static void printInstruction(MCInst *MI,
     1048U,	// VRADDHNv4i16
     1048U,	// VRADDHNv8i8
     0U,	// VRECPEd
-    56U,	// VRECPEfd
-    56U,	// VRECPEfq
+    64U,	// VRECPEfd
+    64U,	// VRECPEfq
     0U,	// VRECPEq
-    247328U,	// VRECPSfd
-    247328U,	// VRECPSfq
+    263712U,	// VRECPSfd
+    263712U,	// VRECPSfq
     1024U,	// VREV16d8
     1024U,	// VREV16q8
     1024U,	// VREV32d16
@@ -4500,16 +4518,16 @@ static void printInstruction(MCInst *MI,
     0U,	// VRINTPND
     0U,	// VRINTPNQ
     0U,	// VRINTPS
-    56U,	// VRINTRD
-    56U,	// VRINTRS
-    56U,	// VRINTXD
+    64U,	// VRINTRD
+    64U,	// VRINTRS
+    64U,	// VRINTXD
     0U,	// VRINTXND
     0U,	// VRINTXNQ
-    56U,	// VRINTXS
-    56U,	// VRINTZD
+    64U,	// VRINTXS
+    64U,	// VRINTZD
     0U,	// VRINTZND
     0U,	// VRINTZNQ
-    56U,	// VRINTZS
+    64U,	// VRINTZS
     1048U,	// VRSHLsv16i8
     1048U,	// VRSHLsv1i64
     1048U,	// VRSHLsv2i32
@@ -4546,27 +4564,27 @@ static void printInstruction(MCInst *MI,
     1048U,	// VRSHRuv8i16
     1048U,	// VRSHRuv8i8
     0U,	// VRSQRTEd
-    56U,	// VRSQRTEfd
-    56U,	// VRSQRTEfq
+    64U,	// VRSQRTEfd
+    64U,	// VRSQRTEfq
     0U,	// VRSQRTEq
-    247328U,	// VRSQRTSfd
-    247328U,	// VRSQRTSfq
-    1184U,	// VRSRAsv16i8
-    1184U,	// VRSRAsv1i64
-    1184U,	// VRSRAsv2i32
-    1184U,	// VRSRAsv2i64
-    1184U,	// VRSRAsv4i16
-    1184U,	// VRSRAsv4i32
-    1184U,	// VRSRAsv8i16
-    1184U,	// VRSRAsv8i8
-    1184U,	// VRSRAuv16i8
-    1184U,	// VRSRAuv1i64
-    1184U,	// VRSRAuv2i32
-    1184U,	// VRSRAuv2i64
-    1184U,	// VRSRAuv4i16
-    1184U,	// VRSRAuv4i32
-    1184U,	// VRSRAuv8i16
-    1184U,	// VRSRAuv8i8
+    263712U,	// VRSQRTSfd
+    263712U,	// VRSQRTSfq
+    1192U,	// VRSRAsv16i8
+    1192U,	// VRSRAsv1i64
+    1192U,	// VRSRAsv2i32
+    1192U,	// VRSRAsv2i64
+    1192U,	// VRSRAsv4i16
+    1192U,	// VRSRAsv4i32
+    1192U,	// VRSRAsv8i16
+    1192U,	// VRSRAsv8i8
+    1192U,	// VRSRAuv16i8
+    1192U,	// VRSRAuv1i64
+    1192U,	// VRSRAuv2i32
+    1192U,	// VRSRAuv2i64
+    1192U,	// VRSRAuv4i16
+    1192U,	// VRSRAuv4i32
+    1192U,	// VRSRAuv8i16
+    1192U,	// VRSRAuv8i8
     1048U,	// VRSUBHNv2i32
     1048U,	// VRSUBHNv4i16
     1048U,	// VRSUBHNv8i8
@@ -4637,57 +4655,57 @@ static void printInstruction(MCInst *MI,
     0U,	// VSHTOS
     0U,	// VSITOD
     0U,	// VSITOS
-    262168U,	// VSLIv16i8
-    262168U,	// VSLIv1i64
-    262168U,	// VSLIv2i32
-    262168U,	// VSLIv2i64
-    262168U,	// VSLIv4i16
-    262168U,	// VSLIv4i32
-    262168U,	// VSLIv8i16
-    262168U,	// VSLIv8i8
-    6U,	// VSLTOD
-    6U,	// VSLTOS
-    56U,	// VSQRTD
-    56U,	// VSQRTS
-    1184U,	// VSRAsv16i8
-    1184U,	// VSRAsv1i64
-    1184U,	// VSRAsv2i32
-    1184U,	// VSRAsv2i64
-    1184U,	// VSRAsv4i16
-    1184U,	// VSRAsv4i32
-    1184U,	// VSRAsv8i16
-    1184U,	// VSRAsv8i8
-    1184U,	// VSRAuv16i8
-    1184U,	// VSRAuv1i64
-    1184U,	// VSRAuv2i32
-    1184U,	// VSRAuv2i64
-    1184U,	// VSRAuv4i16
-    1184U,	// VSRAuv4i32
-    1184U,	// VSRAuv8i16
-    1184U,	// VSRAuv8i8
-    262168U,	// VSRIv16i8
-    262168U,	// VSRIv1i64
-    262168U,	// VSRIv2i32
-    262168U,	// VSRIv2i64
-    262168U,	// VSRIv4i16
-    262168U,	// VSRIv4i32
-    262168U,	// VSRIv8i16
-    262168U,	// VSRIv8i8
-    275U,	// VST1LNd16
-    10769179U,	// VST1LNd16_UPD
-    275U,	// VST1LNd32
-    10769179U,	// VST1LNd32_UPD
-    275U,	// VST1LNd8
-    10769179U,	// VST1LNd8_UPD
-    1240U,	// VST1LNdAsm_16
-    1240U,	// VST1LNdAsm_32
-    1240U,	// VST1LNdAsm_8
-    5336U,	// VST1LNdWB_fixed_Asm_16
-    5336U,	// VST1LNdWB_fixed_Asm_32
-    5336U,	// VST1LNdWB_fixed_Asm_8
-    311512U,	// VST1LNdWB_register_Asm_16
-    311512U,	// VST1LNdWB_register_Asm_32
-    311512U,	// VST1LNdWB_register_Asm_8
+    278552U,	// VSLIv16i8
+    278552U,	// VSLIv1i64
+    278552U,	// VSLIv2i32
+    278552U,	// VSLIv2i64
+    278552U,	// VSLIv4i16
+    278552U,	// VSLIv4i32
+    278552U,	// VSLIv8i16
+    278552U,	// VSLIv8i8
+    7U,	// VSLTOD
+    7U,	// VSLTOS
+    64U,	// VSQRTD
+    64U,	// VSQRTS
+    1192U,	// VSRAsv16i8
+    1192U,	// VSRAsv1i64
+    1192U,	// VSRAsv2i32
+    1192U,	// VSRAsv2i64
+    1192U,	// VSRAsv4i16
+    1192U,	// VSRAsv4i32
+    1192U,	// VSRAsv8i16
+    1192U,	// VSRAsv8i8
+    1192U,	// VSRAuv16i8
+    1192U,	// VSRAuv1i64
+    1192U,	// VSRAuv2i32
+    1192U,	// VSRAuv2i64
+    1192U,	// VSRAuv4i16
+    1192U,	// VSRAuv4i32
+    1192U,	// VSRAuv8i16
+    1192U,	// VSRAuv8i8
+    278552U,	// VSRIv16i8
+    278552U,	// VSRIv1i64
+    278552U,	// VSRIv2i32
+    278552U,	// VSRIv2i64
+    278552U,	// VSRIv4i16
+    278552U,	// VSRIv4i32
+    278552U,	// VSRIv8i16
+    278552U,	// VSRIv8i8
+    292U,	// VST1LNd16
+    10785580U,	// VST1LNd16_UPD
+    292U,	// VST1LNd32
+    10785580U,	// VST1LNd32_UPD
+    292U,	// VST1LNd8
+    10785580U,	// VST1LNd8_UPD
+    1256U,	// VST1LNdAsm_16
+    1256U,	// VST1LNdAsm_32
+    1256U,	// VST1LNdAsm_8
+    5352U,	// VST1LNdWB_fixed_Asm_16
+    5352U,	// VST1LNdWB_fixed_Asm_32
+    5352U,	// VST1LNdWB_fixed_Asm_8
+    327912U,	// VST1LNdWB_register_Asm_16
+    327912U,	// VST1LNdWB_register_Asm_32
+    327912U,	// VST1LNdWB_register_Asm_8
     0U,	// VST1LNq16Pseudo
     0U,	// VST1LNq16Pseudo_UPD
     0U,	// VST1LNq32Pseudo
@@ -4748,41 +4766,41 @@ static void printInstruction(MCInst *MI,
     0U,	// VST1q8
     0U,	// VST1q8wb_fixed
     0U,	// VST1q8wb_register
-    110368459U,	// VST2LNd16
+    110384860U,	// VST2LNd16
     0U,	// VST2LNd16Pseudo
     0U,	// VST2LNd16Pseudo_UPD
-    448211U,	// VST2LNd16_UPD
-    110368459U,	// VST2LNd32
+    464612U,	// VST2LNd16_UPD
+    110384860U,	// VST2LNd32
     0U,	// VST2LNd32Pseudo
     0U,	// VST2LNd32Pseudo_UPD
-    448211U,	// VST2LNd32_UPD
-    110368459U,	// VST2LNd8
+    464612U,	// VST2LNd32_UPD
+    110384860U,	// VST2LNd8
     0U,	// VST2LNd8Pseudo
     0U,	// VST2LNd8Pseudo_UPD
-    448211U,	// VST2LNd8_UPD
-    1240U,	// VST2LNdAsm_16
-    1240U,	// VST2LNdAsm_32
-    1240U,	// VST2LNdAsm_8
-    5336U,	// VST2LNdWB_fixed_Asm_16
-    5336U,	// VST2LNdWB_fixed_Asm_32
-    5336U,	// VST2LNdWB_fixed_Asm_8
-    311512U,	// VST2LNdWB_register_Asm_16
-    311512U,	// VST2LNdWB_register_Asm_32
-    311512U,	// VST2LNdWB_register_Asm_8
-    110368459U,	// VST2LNq16
+    464612U,	// VST2LNd8_UPD
+    1256U,	// VST2LNdAsm_16
+    1256U,	// VST2LNdAsm_32
+    1256U,	// VST2LNdAsm_8
+    5352U,	// VST2LNdWB_fixed_Asm_16
+    5352U,	// VST2LNdWB_fixed_Asm_32
+    5352U,	// VST2LNdWB_fixed_Asm_8
+    327912U,	// VST2LNdWB_register_Asm_16
+    327912U,	// VST2LNdWB_register_Asm_32
+    327912U,	// VST2LNdWB_register_Asm_8
+    110384860U,	// VST2LNq16
     0U,	// VST2LNq16Pseudo
     0U,	// VST2LNq16Pseudo_UPD
-    448211U,	// VST2LNq16_UPD
-    110368459U,	// VST2LNq32
+    464612U,	// VST2LNq16_UPD
+    110384860U,	// VST2LNq32
     0U,	// VST2LNq32Pseudo
     0U,	// VST2LNq32Pseudo_UPD
-    448211U,	// VST2LNq32_UPD
-    1240U,	// VST2LNqAsm_16
-    1240U,	// VST2LNqAsm_32
-    5336U,	// VST2LNqWB_fixed_Asm_16
-    5336U,	// VST2LNqWB_fixed_Asm_32
-    311512U,	// VST2LNqWB_register_Asm_16
-    311512U,	// VST2LNqWB_register_Asm_32
+    464612U,	// VST2LNq32_UPD
+    1256U,	// VST2LNqAsm_16
+    1256U,	// VST2LNqAsm_32
+    5352U,	// VST2LNqWB_fixed_Asm_16
+    5352U,	// VST2LNqWB_fixed_Asm_32
+    327912U,	// VST2LNqWB_register_Asm_16
+    327912U,	// VST2LNqWB_register_Asm_32
     0U,	// VST2b16
     0U,	// VST2b16wb_fixed
     0U,	// VST2b16wb_register
@@ -4819,75 +4837,75 @@ static void printInstruction(MCInst *MI,
     0U,	// VST2q8PseudoWB_register
     0U,	// VST2q8wb_fixed
     0U,	// VST2q8wb_register
-    127145755U,	// VST3LNd16
+    127162156U,	// VST3LNd16
     0U,	// VST3LNd16Pseudo
     0U,	// VST3LNd16Pseudo_UPD
-    291U,	// VST3LNd16_UPD
-    127145755U,	// VST3LNd32
+    308U,	// VST3LNd16_UPD
+    127162156U,	// VST3LNd32
     0U,	// VST3LNd32Pseudo
     0U,	// VST3LNd32Pseudo_UPD
-    291U,	// VST3LNd32_UPD
-    127145755U,	// VST3LNd8
+    308U,	// VST3LNd32_UPD
+    127162156U,	// VST3LNd8
     0U,	// VST3LNd8Pseudo
     0U,	// VST3LNd8Pseudo_UPD
-    291U,	// VST3LNd8_UPD
-    1240U,	// VST3LNdAsm_16
-    1240U,	// VST3LNdAsm_32
-    1240U,	// VST3LNdAsm_8
-    5336U,	// VST3LNdWB_fixed_Asm_16
-    5336U,	// VST3LNdWB_fixed_Asm_32
-    5336U,	// VST3LNdWB_fixed_Asm_8
-    311512U,	// VST3LNdWB_register_Asm_16
-    311512U,	// VST3LNdWB_register_Asm_32
-    311512U,	// VST3LNdWB_register_Asm_8
-    127145755U,	// VST3LNq16
+    308U,	// VST3LNd8_UPD
+    1256U,	// VST3LNdAsm_16
+    1256U,	// VST3LNdAsm_32
+    1256U,	// VST3LNdAsm_8
+    5352U,	// VST3LNdWB_fixed_Asm_16
+    5352U,	// VST3LNdWB_fixed_Asm_32
+    5352U,	// VST3LNdWB_fixed_Asm_8
+    327912U,	// VST3LNdWB_register_Asm_16
+    327912U,	// VST3LNdWB_register_Asm_32
+    327912U,	// VST3LNdWB_register_Asm_8
+    127162156U,	// VST3LNq16
     0U,	// VST3LNq16Pseudo
     0U,	// VST3LNq16Pseudo_UPD
-    291U,	// VST3LNq16_UPD
-    127145755U,	// VST3LNq32
+    308U,	// VST3LNq16_UPD
+    127162156U,	// VST3LNq32
     0U,	// VST3LNq32Pseudo
     0U,	// VST3LNq32Pseudo_UPD
-    291U,	// VST3LNq32_UPD
-    1240U,	// VST3LNqAsm_16
-    1240U,	// VST3LNqAsm_32
-    5336U,	// VST3LNqWB_fixed_Asm_16
-    5336U,	// VST3LNqWB_fixed_Asm_32
-    311512U,	// VST3LNqWB_register_Asm_16
-    311512U,	// VST3LNqWB_register_Asm_32
-    142917792U,	// VST3d16
+    308U,	// VST3LNq32_UPD
+    1256U,	// VST3LNqAsm_16
+    1256U,	// VST3LNqAsm_32
+    5352U,	// VST3LNqWB_fixed_Asm_16
+    5352U,	// VST3LNqWB_fixed_Asm_32
+    327912U,	// VST3LNqWB_register_Asm_16
+    327912U,	// VST3LNqWB_register_Asm_32
+    142934184U,	// VST3d16
     0U,	// VST3d16Pseudo
     0U,	// VST3d16Pseudo_UPD
-    9512U,	// VST3d16_UPD
-    142917792U,	// VST3d32
+    9528U,	// VST3d16_UPD
+    142934184U,	// VST3d32
     0U,	// VST3d32Pseudo
     0U,	// VST3d32Pseudo_UPD
-    9512U,	// VST3d32_UPD
-    142917792U,	// VST3d8
+    9528U,	// VST3d32_UPD
+    142934184U,	// VST3d8
     0U,	// VST3d8Pseudo
     0U,	// VST3d8Pseudo_UPD
-    9512U,	// VST3d8_UPD
-    59U,	// VST3dAsm_16
-    59U,	// VST3dAsm_32
-    59U,	// VST3dAsm_8
-    195U,	// VST3dWB_fixed_Asm_16
-    195U,	// VST3dWB_fixed_Asm_32
-    195U,	// VST3dWB_fixed_Asm_8
-    249379U,	// VST3dWB_register_Asm_16
-    249379U,	// VST3dWB_register_Asm_32
-    249379U,	// VST3dWB_register_Asm_8
-    142917792U,	// VST3q16
+    9528U,	// VST3d8_UPD
+    67U,	// VST3dAsm_16
+    67U,	// VST3dAsm_32
+    67U,	// VST3dAsm_8
+    211U,	// VST3dWB_fixed_Asm_16
+    211U,	// VST3dWB_fixed_Asm_32
+    211U,	// VST3dWB_fixed_Asm_8
+    265763U,	// VST3dWB_register_Asm_16
+    265763U,	// VST3dWB_register_Asm_32
+    265763U,	// VST3dWB_register_Asm_8
+    142934184U,	// VST3q16
     0U,	// VST3q16Pseudo_UPD
-    9512U,	// VST3q16_UPD
+    9528U,	// VST3q16_UPD
     0U,	// VST3q16oddPseudo
     0U,	// VST3q16oddPseudo_UPD
-    142917792U,	// VST3q32
+    142934184U,	// VST3q32
     0U,	// VST3q32Pseudo_UPD
-    9512U,	// VST3q32_UPD
+    9528U,	// VST3q32_UPD
     0U,	// VST3q32oddPseudo
     0U,	// VST3q32oddPseudo_UPD
-    142917792U,	// VST3q8
+    142934184U,	// VST3q8
     0U,	// VST3q8Pseudo_UPD
-    9512U,	// VST3q8_UPD
+    9528U,	// VST3q8_UPD
     0U,	// VST3q8oddPseudo
     0U,	// VST3q8oddPseudo_UPD
     0U,	// VST3qAsm_16
@@ -4896,78 +4914,78 @@ static void printInstruction(MCInst *MI,
     4U,	// VST3qWB_fixed_Asm_16
     4U,	// VST3qWB_fixed_Asm_32
     4U,	// VST3qWB_fixed_Asm_8
-    1184U,	// VST3qWB_register_Asm_16
-    1184U,	// VST3qWB_register_Asm_32
-    1184U,	// VST3qWB_register_Asm_8
-    160700115U,	// VST4LNd16
+    1192U,	// VST3qWB_register_Asm_16
+    1192U,	// VST3qWB_register_Asm_32
+    1192U,	// VST3qWB_register_Asm_8
+    160716516U,	// VST4LNd16
     0U,	// VST4LNd16Pseudo
     0U,	// VST4LNd16Pseudo_UPD
-    9955U,	// VST4LNd16_UPD
-    160700115U,	// VST4LNd32
+    9972U,	// VST4LNd16_UPD
+    160716516U,	// VST4LNd32
     0U,	// VST4LNd32Pseudo
     0U,	// VST4LNd32Pseudo_UPD
-    9955U,	// VST4LNd32_UPD
-    160700115U,	// VST4LNd8
+    9972U,	// VST4LNd32_UPD
+    160716516U,	// VST4LNd8
     0U,	// VST4LNd8Pseudo
     0U,	// VST4LNd8Pseudo_UPD
-    9955U,	// VST4LNd8_UPD
-    1240U,	// VST4LNdAsm_16
-    1240U,	// VST4LNdAsm_32
-    1240U,	// VST4LNdAsm_8
-    5336U,	// VST4LNdWB_fixed_Asm_16
-    5336U,	// VST4LNdWB_fixed_Asm_32
-    5336U,	// VST4LNdWB_fixed_Asm_8
-    311512U,	// VST4LNdWB_register_Asm_16
-    311512U,	// VST4LNdWB_register_Asm_32
-    311512U,	// VST4LNdWB_register_Asm_8
-    160700115U,	// VST4LNq16
+    9972U,	// VST4LNd8_UPD
+    1256U,	// VST4LNdAsm_16
+    1256U,	// VST4LNdAsm_32
+    1256U,	// VST4LNdAsm_8
+    5352U,	// VST4LNdWB_fixed_Asm_16
+    5352U,	// VST4LNdWB_fixed_Asm_32
+    5352U,	// VST4LNdWB_fixed_Asm_8
+    327912U,	// VST4LNdWB_register_Asm_16
+    327912U,	// VST4LNdWB_register_Asm_32
+    327912U,	// VST4LNdWB_register_Asm_8
+    160716516U,	// VST4LNq16
     0U,	// VST4LNq16Pseudo
     0U,	// VST4LNq16Pseudo_UPD
-    9955U,	// VST4LNq16_UPD
-    160700115U,	// VST4LNq32
+    9972U,	// VST4LNq16_UPD
+    160716516U,	// VST4LNq32
     0U,	// VST4LNq32Pseudo
     0U,	// VST4LNq32Pseudo_UPD
-    9955U,	// VST4LNq32_UPD
-    1240U,	// VST4LNqAsm_16
-    1240U,	// VST4LNqAsm_32
-    5336U,	// VST4LNqWB_fixed_Asm_16
-    5336U,	// VST4LNqWB_fixed_Asm_32
-    311512U,	// VST4LNqWB_register_Asm_16
-    311512U,	// VST4LNqWB_register_Asm_32
-    169132192U,	// VST4d16
+    9972U,	// VST4LNq32_UPD
+    1256U,	// VST4LNqAsm_16
+    1256U,	// VST4LNqAsm_32
+    5352U,	// VST4LNqWB_fixed_Asm_16
+    5352U,	// VST4LNqWB_fixed_Asm_32
+    327912U,	// VST4LNqWB_register_Asm_16
+    327912U,	// VST4LNqWB_register_Asm_32
+    169148584U,	// VST4d16
     0U,	// VST4d16Pseudo
     0U,	// VST4d16Pseudo_UPD
-    459048U,	// VST4d16_UPD
-    169132192U,	// VST4d32
+    475448U,	// VST4d16_UPD
+    169148584U,	// VST4d32
     0U,	// VST4d32Pseudo
     0U,	// VST4d32Pseudo_UPD
-    459048U,	// VST4d32_UPD
-    169132192U,	// VST4d8
+    475448U,	// VST4d32_UPD
+    169148584U,	// VST4d8
     0U,	// VST4d8Pseudo
     0U,	// VST4d8Pseudo_UPD
-    459048U,	// VST4d8_UPD
-    59U,	// VST4dAsm_16
-    59U,	// VST4dAsm_32
-    59U,	// VST4dAsm_8
-    195U,	// VST4dWB_fixed_Asm_16
-    195U,	// VST4dWB_fixed_Asm_32
-    195U,	// VST4dWB_fixed_Asm_8
-    249379U,	// VST4dWB_register_Asm_16
-    249379U,	// VST4dWB_register_Asm_32
-    249379U,	// VST4dWB_register_Asm_8
-    169132192U,	// VST4q16
+    475448U,	// VST4d8_UPD
+    67U,	// VST4dAsm_16
+    67U,	// VST4dAsm_32
+    67U,	// VST4dAsm_8
+    211U,	// VST4dWB_fixed_Asm_16
+    211U,	// VST4dWB_fixed_Asm_32
+    211U,	// VST4dWB_fixed_Asm_8
+    265763U,	// VST4dWB_register_Asm_16
+    265763U,	// VST4dWB_register_Asm_32
+    265763U,	// VST4dWB_register_Asm_8
+    169148584U,	// VST4q16
     0U,	// VST4q16Pseudo_UPD
-    459048U,	// VST4q16_UPD
+    475448U,	// VST4q16_UPD
     0U,	// VST4q16oddPseudo
     0U,	// VST4q16oddPseudo_UPD
-    169132192U,	// VST4q32
+    169148584U,	// VST4q32
     0U,	// VST4q32Pseudo_UPD
-    459048U,	// VST4q32_UPD
+    475448U,	// VST4q32_UPD
     0U,	// VST4q32oddPseudo
     0U,	// VST4q32oddPseudo_UPD
-    169132192U,	// VST4q8
+    169148584U,	// VST4q8
     0U,	// VST4q8Pseudo_UPD
-    459048U,	// VST4q8_UPD
+    475448U,	// VST4q8_UPD
     0U,	// VST4q8oddPseudo
     0U,	// VST4q8oddPseudo_UPD
     0U,	// VST4qAsm_16
@@ -4976,19 +4994,19 @@ static void printInstruction(MCInst *MI,
     4U,	// VST4qWB_fixed_Asm_16
     4U,	// VST4qWB_fixed_Asm_32
     4U,	// VST4qWB_fixed_Asm_8
-    1184U,	// VST4qWB_register_Asm_16
-    1184U,	// VST4qWB_register_Asm_32
-    1184U,	// VST4qWB_register_Asm_8
-    57U,	// VSTMDDB_UPD
-    1088U,	// VSTMDIA
-    57U,	// VSTMDIA_UPD
+    1192U,	// VST4qWB_register_Asm_16
+    1192U,	// VST4qWB_register_Asm_32
+    1192U,	// VST4qWB_register_Asm_8
+    65U,	// VSTMDDB_UPD
+    1096U,	// VSTMDIA
+    65U,	// VSTMDIA_UPD
     0U,	// VSTMQIA
-    57U,	// VSTMSDB_UPD
-    1088U,	// VSTMSIA
-    57U,	// VSTMSIA_UPD
-    264U,	// VSTRD
-    264U,	// VSTRS
-    247328U,	// VSUBD
+    65U,	// VSTMSDB_UPD
+    1096U,	// VSTMSIA
+    65U,	// VSTMSIA_UPD
+    280U,	// VSTRD
+    280U,	// VSTRS
+    263712U,	// VSUBD
     1048U,	// VSUBHNv2i32
     1048U,	// VSUBHNv4i16
     1048U,	// VSUBHNv8i8
@@ -4998,15 +5016,15 @@ static void printInstruction(MCInst *MI,
     1048U,	// VSUBLuv2i64
     1048U,	// VSUBLuv4i32
     1048U,	// VSUBLuv8i16
-    247328U,	// VSUBS
+    263712U,	// VSUBS
     1048U,	// VSUBWsv2i64
     1048U,	// VSUBWsv4i32
     1048U,	// VSUBWsv8i16
     1048U,	// VSUBWuv2i64
     1048U,	// VSUBWuv4i32
     1048U,	// VSUBWuv8i16
-    247328U,	// VSUBfd
-    247328U,	// VSUBfq
+    263712U,	// VSUBfd
+    263712U,	// VSUBfq
     1048U,	// VSUBv16i8
     1048U,	// VSUBv1i64
     1048U,	// VSUBv2i32
@@ -5017,17 +5035,17 @@ static void printInstruction(MCInst *MI,
     1048U,	// VSUBv8i8
     1024U,	// VSWPd
     1024U,	// VSWPq
-    304U,	// VTBL1
-    312U,	// VTBL2
-    320U,	// VTBL3
+    320U,	// VTBL1
+    328U,	// VTBL2
+    336U,	// VTBL3
     0U,	// VTBL3Pseudo
-    328U,	// VTBL4
+    344U,	// VTBL4
     0U,	// VTBL4Pseudo
-    336U,	// VTBX1
-    344U,	// VTBX2
-    352U,	// VTBX3
+    352U,	// VTBX1
+    360U,	// VTBX2
+    368U,	// VTBX3
     0U,	// VTBX3Pseudo
-    360U,	// VTBX4
+    376U,	// VTBX4
     0U,	// VTBX4Pseudo
     0U,	// VTOSHD
     0U,	// VTOSHS
@@ -5035,34 +5053,34 @@ static void printInstruction(MCInst *MI,
     0U,	// VTOSIRS
     0U,	// VTOSIZD
     0U,	// VTOSIZS
-    6U,	// VTOSLD
-    6U,	// VTOSLS
+    7U,	// VTOSLD
+    7U,	// VTOSLS
     0U,	// VTOUHD
     0U,	// VTOUHS
     0U,	// VTOUIRD
     0U,	// VTOUIRS
     0U,	// VTOUIZD
     0U,	// VTOUIZS
-    6U,	// VTOULD
-    6U,	// VTOULS
+    7U,	// VTOULD
+    7U,	// VTOULS
     1024U,	// VTRNd16
     1024U,	// VTRNd32
     1024U,	// VTRNd8
     1024U,	// VTRNq16
     1024U,	// VTRNq32
     1024U,	// VTRNq8
-    0U,	// VTSTv16i8
-    0U,	// VTSTv2i32
-    0U,	// VTSTv4i16
-    0U,	// VTSTv4i32
-    0U,	// VTSTv8i16
-    0U,	// VTSTv8i8
+    16384U,	// VTSTv16i8
+    16384U,	// VTSTv2i32
+    16384U,	// VTSTv4i16
+    16384U,	// VTSTv4i32
+    16384U,	// VTSTv8i16
+    16384U,	// VTSTv8i8
     0U,	// VUHTOD
     0U,	// VUHTOS
     0U,	// VUITOD
     0U,	// VUITOS
-    6U,	// VULTOD
-    6U,	// VULTOS
+    7U,	// VULTOD
+    7U,	// VULTOS
     1024U,	// VUZPd16
     1024U,	// VUZPd8
     1024U,	// VUZPq16
@@ -5074,45 +5092,45 @@ static void printInstruction(MCInst *MI,
     1024U,	// VZIPq32
     1024U,	// VZIPq8
     0U,	// WIN__CHKSTK
-    10304U,	// sysLDMDA
-    369U,	// sysLDMDA_UPD
-    10304U,	// sysLDMDB
-    369U,	// sysLDMDB_UPD
-    10304U,	// sysLDMIA
-    369U,	// sysLDMIA_UPD
-    10304U,	// sysLDMIB
-    369U,	// sysLDMIB_UPD
-    10304U,	// sysSTMDA
-    369U,	// sysSTMDA_UPD
-    10304U,	// sysSTMDB
-    369U,	// sysSTMDB_UPD
-    10304U,	// sysSTMIA
-    369U,	// sysSTMIA_UPD
-    10304U,	// sysSTMIB
-    369U,	// sysSTMIB_UPD
+    10312U,	// sysLDMDA
+    385U,	// sysLDMDA_UPD
+    10312U,	// sysLDMDB
+    385U,	// sysLDMDB_UPD
+    10312U,	// sysLDMIA
+    385U,	// sysLDMIA_UPD
+    10312U,	// sysLDMIB
+    385U,	// sysLDMIB_UPD
+    10312U,	// sysSTMDA
+    385U,	// sysSTMDA_UPD
+    10312U,	// sysSTMDB
+    385U,	// sysSTMDB_UPD
+    10312U,	// sysSTMIA
+    385U,	// sysSTMIA_UPD
+    10312U,	// sysSTMIB
+    385U,	// sysSTMIB_UPD
     0U,	// t2ABS
-    0U,	// t2ADCri
-    0U,	// t2ADCrr
-    475136U,	// t2ADCrs
+    16384U,	// t2ADCri
+    16384U,	// t2ADCrr
+    491520U,	// t2ADCrs
     0U,	// t2ADDSri
     0U,	// t2ADDSrr
     0U,	// t2ADDSrs
-    0U,	// t2ADDri
-    0U,	// t2ADDri12
-    0U,	// t2ADDrr
-    475136U,	// t2ADDrs
+    16384U,	// t2ADDri
+    16384U,	// t2ADDri12
+    16384U,	// t2ADDrr
+    491520U,	// t2ADDrs
     8U,	// t2ADR
-    0U,	// t2ANDri
-    0U,	// t2ANDrr
-    475136U,	// t2ANDrs
-    491520U,	// t2ASRri
-    0U,	// t2ASRrr
+    16384U,	// t2ANDri
+    16384U,	// t2ANDrr
+    491520U,	// t2ANDrs
+    507904U,	// t2ASRri
+    16384U,	// t2ASRrr
     0U,	// t2B
     16U,	// t2BFC
-    32792U,	// t2BFI
-    0U,	// t2BICri
-    0U,	// t2BICrr
-    475136U,	// t2BICrs
+    49176U,	// t2BFI
+    16384U,	// t2BICri
+    16384U,	// t2BICrr
+    491520U,	// t2BICrs
     0U,	// t2BR_JT
     0U,	// t2BXJ
     0U,	// t2Bcc
@@ -5122,10 +5140,10 @@ static void printInstruction(MCInst *MI,
     1024U,	// t2CLZ
     1024U,	// t2CMNri
     1024U,	// t2CMNzrr
-    376U,	// t2CMNzrs
+    392U,	// t2CMNzrs
     1024U,	// t2CMPri
     1024U,	// t2CMPrr
-    376U,	// t2CMPrs
+    392U,	// t2CMPrs
     0U,	// t2CPS1p
     0U,	// t2CPS2p
     1048U,	// t2CPS3p
@@ -5141,102 +5159,103 @@ static void printInstruction(MCInst *MI,
     0U,	// t2DCPS3
     0U,	// t2DMB
     0U,	// t2DSB
-    0U,	// t2EORri
-    0U,	// t2EORrr
-    475136U,	// t2EORrs
+    16384U,	// t2EORri
+    16384U,	// t2EORrr
+    491520U,	// t2EORrs
     0U,	// t2HINT
+    0U,	// t2HVC
     0U,	// t2ISB
     0U,	// t2IT
     0U,	// t2Int_eh_sjlj_setjmp
     0U,	// t2Int_eh_sjlj_setjmp_nofp
-    72U,	// t2LDA
-    72U,	// t2LDAB
-    72U,	// t2LDAEX
-    72U,	// t2LDAEXB
-    229376U,	// t2LDAEXD
-    72U,	// t2LDAEXH
-    72U,	// t2LDAH
-    81U,	// t2LDC2L_OFFSET
-    49241U,	// t2LDC2L_OPTION
-    65625U,	// t2LDC2L_POST
-    97U,	// t2LDC2L_PRE
-    81U,	// t2LDC2_OFFSET
-    49241U,	// t2LDC2_OPTION
-    65625U,	// t2LDC2_POST
-    97U,	// t2LDC2_PRE
-    81U,	// t2LDCL_OFFSET
-    49241U,	// t2LDCL_OPTION
-    65625U,	// t2LDCL_POST
-    97U,	// t2LDCL_PRE
-    81U,	// t2LDC_OFFSET
-    49241U,	// t2LDC_OPTION
-    65625U,	// t2LDC_POST
-    97U,	// t2LDC_PRE
-    1088U,	// t2LDMDB
-    57U,	// t2LDMDB_UPD
-    1088U,	// t2LDMIA
+    80U,	// t2LDA
+    80U,	// t2LDAB
+    80U,	// t2LDAEX
+    80U,	// t2LDAEXB
+    245760U,	// t2LDAEXD
+    80U,	// t2LDAEXH
+    80U,	// t2LDAH
+    89U,	// t2LDC2L_OFFSET
+    65633U,	// t2LDC2L_OPTION
+    82017U,	// t2LDC2L_POST
+    105U,	// t2LDC2L_PRE
+    89U,	// t2LDC2_OFFSET
+    65633U,	// t2LDC2_OPTION
+    82017U,	// t2LDC2_POST
+    105U,	// t2LDC2_PRE
+    89U,	// t2LDCL_OFFSET
+    65633U,	// t2LDCL_OPTION
+    82017U,	// t2LDCL_POST
+    105U,	// t2LDCL_PRE
+    89U,	// t2LDC_OFFSET
+    65633U,	// t2LDC_OPTION
+    82017U,	// t2LDC_POST
+    105U,	// t2LDC_PRE
+    1096U,	// t2LDMDB
+    65U,	// t2LDMDB_UPD
+    1096U,	// t2LDMIA
     0U,	// t2LDMIA_RET
-    57U,	// t2LDMIA_UPD
-    384U,	// t2LDRBT
-    10840U,	// t2LDRB_POST
-    392U,	// t2LDRB_PRE
-    120U,	// t2LDRBi12
-    384U,	// t2LDRBi8
-    400U,	// t2LDRBpci
+    65U,	// t2LDMIA_UPD
+    400U,	// t2LDRBT
+    10848U,	// t2LDRB_POST
+    408U,	// t2LDRB_PRE
+    128U,	// t2LDRBi12
+    400U,	// t2LDRBi8
+    416U,	// t2LDRBpci
     1024U,	// t2LDRBpcrel
-    408U,	// t2LDRBs
-    11649024U,	// t2LDRD_POST
-    507904U,	// t2LDRD_PRE
-    524288U,	// t2LDRDi8
-    416U,	// t2LDREX
-    72U,	// t2LDREXB
-    229376U,	// t2LDREXD
-    72U,	// t2LDREXH
-    384U,	// t2LDRHT
-    10840U,	// t2LDRH_POST
-    392U,	// t2LDRH_PRE
-    120U,	// t2LDRHi12
-    384U,	// t2LDRHi8
-    400U,	// t2LDRHpci
+    424U,	// t2LDRBs
+    11665408U,	// t2LDRD_POST
+    524288U,	// t2LDRD_PRE
+    540672U,	// t2LDRDi8
+    432U,	// t2LDREX
+    80U,	// t2LDREXB
+    245760U,	// t2LDREXD
+    80U,	// t2LDREXH
+    400U,	// t2LDRHT
+    10848U,	// t2LDRH_POST
+    408U,	// t2LDRH_PRE
+    128U,	// t2LDRHi12
+    400U,	// t2LDRHi8
+    416U,	// t2LDRHpci
     1024U,	// t2LDRHpcrel
-    408U,	// t2LDRHs
-    384U,	// t2LDRSBT
-    10840U,	// t2LDRSB_POST
-    392U,	// t2LDRSB_PRE
-    120U,	// t2LDRSBi12
-    384U,	// t2LDRSBi8
-    400U,	// t2LDRSBpci
+    424U,	// t2LDRHs
+    400U,	// t2LDRSBT
+    10848U,	// t2LDRSB_POST
+    408U,	// t2LDRSB_PRE
+    128U,	// t2LDRSBi12
+    400U,	// t2LDRSBi8
+    416U,	// t2LDRSBpci
     1024U,	// t2LDRSBpcrel
-    408U,	// t2LDRSBs
-    384U,	// t2LDRSHT
-    10840U,	// t2LDRSH_POST
-    392U,	// t2LDRSH_PRE
-    120U,	// t2LDRSHi12
-    384U,	// t2LDRSHi8
-    400U,	// t2LDRSHpci
+    424U,	// t2LDRSBs
+    400U,	// t2LDRSHT
+    10848U,	// t2LDRSH_POST
+    408U,	// t2LDRSH_PRE
+    128U,	// t2LDRSHi12
+    400U,	// t2LDRSHi8
+    416U,	// t2LDRSHpci
     1024U,	// t2LDRSHpcrel
-    408U,	// t2LDRSHs
-    384U,	// t2LDRT
-    10840U,	// t2LDR_POST
-    392U,	// t2LDR_PRE
-    120U,	// t2LDRi12
-    384U,	// t2LDRi8
-    400U,	// t2LDRpci
+    424U,	// t2LDRSHs
+    400U,	// t2LDRT
+    10848U,	// t2LDR_POST
+    408U,	// t2LDR_PRE
+    128U,	// t2LDRi12
+    400U,	// t2LDRi8
+    416U,	// t2LDRpci
     0U,	// t2LDRpci_pic
     1024U,	// t2LDRpcrel
-    408U,	// t2LDRs
+    424U,	// t2LDRs
     0U,	// t2LEApcrel
     0U,	// t2LEApcrelJT
-    0U,	// t2LSLri
-    0U,	// t2LSLrr
-    491520U,	// t2LSRri
-    0U,	// t2LSRrr
-    2295328U,	// t2MCR
-    2295328U,	// t2MCR2
-    3343904U,	// t2MCRR
-    3343904U,	// t2MCRR2
-    17825792U,	// t2MLA
-    17825792U,	// t2MLS
+    16384U,	// t2LSLri
+    16384U,	// t2LSLrr
+    507904U,	// t2LSRri
+    16384U,	// t2LSRrr
+    2311712U,	// t2MCR
+    2311712U,	// t2MCR2
+    3360288U,	// t2MCRR
+    3360288U,	// t2MCRR2
+    17842176U,	// t2MLA
+    17842176U,	// t2MLS
     0U,	// t2MOVCCasr
     0U,	// t2MOVCCi
     0U,	// t2MOVCCi16
@@ -5245,8 +5264,8 @@ static void printInstruction(MCInst *MI,
     0U,	// t2MOVCClsr
     0U,	// t2MOVCCr
     0U,	// t2MOVCCror
-    376U,	// t2MOVSsi
-    48U,	// t2MOVSsr
+    392U,	// t2MOVSsi
+    56U,	// t2MOVSsr
     1048U,	// t2MOVTi16
     0U,	// t2MOVTi16_ga_pcrel
     0U,	// t2MOV_ga_pcrel
@@ -5255,32 +5274,34 @@ static void printInstruction(MCInst *MI,
     0U,	// t2MOVi16_ga_pcrel
     0U,	// t2MOVi32imm
     1024U,	// t2MOVr
-    376U,	// t2MOVsi
-    48U,	// t2MOVsr
+    392U,	// t2MOVsi
+    56U,	// t2MOVsr
     11264U,	// t2MOVsra_flag
     11264U,	// t2MOVsrl_flag
     0U,	// t2MRC
     0U,	// t2MRC2
-    3343904U,	// t2MRRC
-    3343904U,	// t2MRRC2
+    3360288U,	// t2MRRC
+    3360288U,	// t2MRRC2
     2U,	// t2MRS_AR
-    424U,	// t2MRS_M
+    440U,	// t2MRS_M
+    176U,	// t2MRSbanked
     2U,	// t2MRSsys_AR
-    0U,	// t2MSR_AR
-    0U,	// t2MSR_M
-    0U,	// t2MUL
+    64U,	// t2MSR_AR
+    64U,	// t2MSR_M
+    0U,	// t2MSRbanked
+    16384U,	// t2MUL
     0U,	// t2MVNCCi
     1024U,	// t2MVNi
     1024U,	// t2MVNr
-    376U,	// t2MVNs
-    0U,	// t2ORNri
-    0U,	// t2ORNrr
-    475136U,	// t2ORNrs
-    0U,	// t2ORRri
-    0U,	// t2ORRrr
-    475136U,	// t2ORRrs
-    4194304U,	// t2PKHBT
-    5242880U,	// t2PKHTB
+    392U,	// t2MVNs
+    16384U,	// t2ORNri
+    16384U,	// t2ORNrr
+    491520U,	// t2ORNrs
+    16384U,	// t2ORRri
+    16384U,	// t2ORRrr
+    491520U,	// t2ORRrs
+    4210688U,	// t2PKHBT
+    5259264U,	// t2PKHTB
     0U,	// t2PLDWi12
     0U,	// t2PLDWi8
     0U,	// t2PLDWs
@@ -5292,16 +5313,16 @@ static void printInstruction(MCInst *MI,
     0U,	// t2PLIi8
     0U,	// t2PLIpci
     0U,	// t2PLIs
-    0U,	// t2QADD
-    0U,	// t2QADD16
-    0U,	// t2QADD8
-    0U,	// t2QASX
-    0U,	// t2QDADD
-    0U,	// t2QDSUB
-    0U,	// t2QSAX
-    0U,	// t2QSUB
-    0U,	// t2QSUB16
-    0U,	// t2QSUB8
+    16384U,	// t2QADD
+    16384U,	// t2QADD16
+    16384U,	// t2QADD8
+    16384U,	// t2QASX
+    16384U,	// t2QDADD
+    16384U,	// t2QDSUB
+    16384U,	// t2QSAX
+    16384U,	// t2QSUB
+    16384U,	// t2QSUB16
+    16384U,	// t2QSUB8
     1024U,	// t2RBIT
     1024U,	// t2REV
     1024U,	// t2REV16
@@ -5310,141 +5331,141 @@ static void printInstruction(MCInst *MI,
     4U,	// t2RFEDBW
     0U,	// t2RFEIA
     4U,	// t2RFEIAW
-    0U,	// t2RORri
-    0U,	// t2RORrr
+    16384U,	// t2RORri
+    16384U,	// t2RORrr
     1024U,	// t2RRX
     0U,	// t2RSBSri
     0U,	// t2RSBSrs
-    0U,	// t2RSBri
-    0U,	// t2RSBrr
-    475136U,	// t2RSBrs
-    0U,	// t2SADD16
-    0U,	// t2SADD8
-    0U,	// t2SASX
-    0U,	// t2SBCri
-    0U,	// t2SBCrr
-    475136U,	// t2SBCrs
-    34603008U,	// t2SBFX
-    0U,	// t2SDIV
-    0U,	// t2SEL
-    0U,	// t2SHADD16
-    0U,	// t2SHADD8
-    0U,	// t2SHASX
-    0U,	// t2SHSAX
-    0U,	// t2SHSUB16
-    0U,	// t2SHSUB8
+    16384U,	// t2RSBri
+    16384U,	// t2RSBrr
+    491520U,	// t2RSBrs
+    16384U,	// t2SADD16
+    16384U,	// t2SADD8
+    16384U,	// t2SASX
+    16384U,	// t2SBCri
+    16384U,	// t2SBCrr
+    491520U,	// t2SBCrs
+    34619392U,	// t2SBFX
+    16384U,	// t2SDIV
+    16384U,	// t2SEL
+    16384U,	// t2SHADD16
+    16384U,	// t2SHADD8
+    16384U,	// t2SHASX
+    16384U,	// t2SHSAX
+    16384U,	// t2SHSUB16
+    16384U,	// t2SHSUB8
     0U,	// t2SMC
-    17825792U,	// t2SMLABB
-    17825792U,	// t2SMLABT
-    17825792U,	// t2SMLAD
-    17825792U,	// t2SMLADX
-    17825792U,	// t2SMLAL
-    17825792U,	// t2SMLALBB
-    17825792U,	// t2SMLALBT
-    17825792U,	// t2SMLALD
-    17825792U,	// t2SMLALDX
-    17825792U,	// t2SMLALTB
-    17825792U,	// t2SMLALTT
-    17825792U,	// t2SMLATB
-    17825792U,	// t2SMLATT
-    17825792U,	// t2SMLAWB
-    17825792U,	// t2SMLAWT
-    17825792U,	// t2SMLSD
-    17825792U,	// t2SMLSDX
-    17825792U,	// t2SMLSLD
-    185860096U,	// t2SMLSLDX
-    17825792U,	// t2SMMLA
-    17825792U,	// t2SMMLAR
-    17825792U,	// t2SMMLS
-    17825792U,	// t2SMMLSR
-    0U,	// t2SMMUL
-    0U,	// t2SMMULR
-    0U,	// t2SMUAD
-    0U,	// t2SMUADX
-    0U,	// t2SMULBB
-    0U,	// t2SMULBT
-    17825792U,	// t2SMULL
-    0U,	// t2SMULTB
-    0U,	// t2SMULTT
-    0U,	// t2SMULWB
-    0U,	// t2SMULWT
-    0U,	// t2SMUSD
-    0U,	// t2SMUSDX
+    17842176U,	// t2SMLABB
+    17842176U,	// t2SMLABT
+    17842176U,	// t2SMLAD
+    17842176U,	// t2SMLADX
+    17842176U,	// t2SMLAL
+    17842176U,	// t2SMLALBB
+    17842176U,	// t2SMLALBT
+    17842176U,	// t2SMLALD
+    17842176U,	// t2SMLALDX
+    17842176U,	// t2SMLALTB
+    17842176U,	// t2SMLALTT
+    17842176U,	// t2SMLATB
+    17842176U,	// t2SMLATT
+    17842176U,	// t2SMLAWB
+    17842176U,	// t2SMLAWT
+    17842176U,	// t2SMLSD
+    17842176U,	// t2SMLSDX
+    17842176U,	// t2SMLSLD
+    185876480U,	// t2SMLSLDX
+    17842176U,	// t2SMMLA
+    17842176U,	// t2SMMLAR
+    17842176U,	// t2SMMLS
+    17842176U,	// t2SMMLSR
+    16384U,	// t2SMMUL
+    16384U,	// t2SMMULR
+    16384U,	// t2SMUAD
+    16384U,	// t2SMUADX
+    16384U,	// t2SMULBB
+    16384U,	// t2SMULBT
+    17842176U,	// t2SMULL
+    16384U,	// t2SMULTB
+    16384U,	// t2SMULTT
+    16384U,	// t2SMULWB
+    16384U,	// t2SMULWT
+    16384U,	// t2SMUSD
+    16384U,	// t2SMUSDX
     0U,	// t2SRSDB
     0U,	// t2SRSDB_UPD
     0U,	// t2SRSIA
     0U,	// t2SRSIA_UPD
-    2216U,	// t2SSAT
-    1192U,	// t2SSAT16
-    0U,	// t2SSAX
-    0U,	// t2SSUB16
-    0U,	// t2SSUB8
-    81U,	// t2STC2L_OFFSET
-    49241U,	// t2STC2L_OPTION
-    65625U,	// t2STC2L_POST
-    97U,	// t2STC2L_PRE
-    81U,	// t2STC2_OFFSET
-    49241U,	// t2STC2_OPTION
-    65625U,	// t2STC2_POST
-    97U,	// t2STC2_PRE
-    81U,	// t2STCL_OFFSET
-    49241U,	// t2STCL_OPTION
-    65625U,	// t2STCL_POST
-    97U,	// t2STCL_PRE
-    81U,	// t2STC_OFFSET
-    49241U,	// t2STC_OPTION
-    65625U,	// t2STC_POST
-    97U,	// t2STC_PRE
-    72U,	// t2STL
-    72U,	// t2STLB
-    229376U,	// t2STLEX
-    229376U,	// t2STLEXB
-    202375168U,	// t2STLEXD
-    229376U,	// t2STLEXH
-    72U,	// t2STLH
-    1088U,	// t2STMDB
-    57U,	// t2STMDB_UPD
-    1088U,	// t2STMIA
-    57U,	// t2STMIA_UPD
-    384U,	// t2STRBT
-    10840U,	// t2STRB_POST
-    392U,	// t2STRB_PRE
+    2232U,	// t2SSAT
+    1208U,	// t2SSAT16
+    16384U,	// t2SSAX
+    16384U,	// t2SSUB16
+    16384U,	// t2SSUB8
+    89U,	// t2STC2L_OFFSET
+    65633U,	// t2STC2L_OPTION
+    82017U,	// t2STC2L_POST
+    105U,	// t2STC2L_PRE
+    89U,	// t2STC2_OFFSET
+    65633U,	// t2STC2_OPTION
+    82017U,	// t2STC2_POST
+    105U,	// t2STC2_PRE
+    89U,	// t2STCL_OFFSET
+    65633U,	// t2STCL_OPTION
+    82017U,	// t2STCL_POST
+    105U,	// t2STCL_PRE
+    89U,	// t2STC_OFFSET
+    65633U,	// t2STC_OPTION
+    82017U,	// t2STC_POST
+    105U,	// t2STC_PRE
+    80U,	// t2STL
+    80U,	// t2STLB
+    245760U,	// t2STLEX
+    245760U,	// t2STLEXB
+    202391552U,	// t2STLEXD
+    245760U,	// t2STLEXH
+    80U,	// t2STLH
+    1096U,	// t2STMDB
+    65U,	// t2STMDB_UPD
+    1096U,	// t2STMIA
+    65U,	// t2STMIA_UPD
+    400U,	// t2STRBT
+    10848U,	// t2STRB_POST
+    408U,	// t2STRB_PRE
     0U,	// t2STRB_preidx
-    120U,	// t2STRBi12
-    384U,	// t2STRBi8
-    408U,	// t2STRBs
-    11649048U,	// t2STRD_POST
-    507928U,	// t2STRD_PRE
-    524288U,	// t2STRDi8
-    540672U,	// t2STREX
-    229376U,	// t2STREXB
-    202375168U,	// t2STREXD
-    229376U,	// t2STREXH
-    384U,	// t2STRHT
-    10840U,	// t2STRH_POST
-    392U,	// t2STRH_PRE
+    128U,	// t2STRBi12
+    400U,	// t2STRBi8
+    424U,	// t2STRBs
+    11665432U,	// t2STRD_POST
+    524312U,	// t2STRD_PRE
+    540672U,	// t2STRDi8
+    557056U,	// t2STREX
+    245760U,	// t2STREXB
+    202391552U,	// t2STREXD
+    245760U,	// t2STREXH
+    400U,	// t2STRHT
+    10848U,	// t2STRH_POST
+    408U,	// t2STRH_PRE
     0U,	// t2STRH_preidx
-    120U,	// t2STRHi12
-    384U,	// t2STRHi8
-    408U,	// t2STRHs
-    384U,	// t2STRT
-    10840U,	// t2STR_POST
-    392U,	// t2STR_PRE
+    128U,	// t2STRHi12
+    400U,	// t2STRHi8
+    424U,	// t2STRHs
+    400U,	// t2STRT
+    10848U,	// t2STR_POST
+    408U,	// t2STR_PRE
     0U,	// t2STR_preidx
-    120U,	// t2STRi12
-    384U,	// t2STRi8
-    408U,	// t2STRs
+    128U,	// t2STRi12
+    400U,	// t2STRi8
+    424U,	// t2STRs
     0U,	// t2SUBS_PC_LR
     0U,	// t2SUBSri
     0U,	// t2SUBSrr
     0U,	// t2SUBSrs
-    0U,	// t2SUBri
-    0U,	// t2SUBri12
-    0U,	// t2SUBrr
-    475136U,	// t2SUBrs
-    6291456U,	// t2SXTAB
-    6291456U,	// t2SXTAB16
-    6291456U,	// t2SXTAH
+    16384U,	// t2SUBri
+    16384U,	// t2SUBri12
+    16384U,	// t2SUBrr
+    491520U,	// t2SUBrs
+    6307840U,	// t2SXTAB
+    6307840U,	// t2SXTAB16
+    6307840U,	// t2SXTAH
     2560U,	// t2SXTB
     2560U,	// t2SXTB16
     2560U,	// t2SXTH
@@ -5454,58 +5475,59 @@ static void printInstruction(MCInst *MI,
     0U,	// t2TBH_JT
     1024U,	// t2TEQri
     1024U,	// t2TEQrr
-    376U,	// t2TEQrs
+    392U,	// t2TEQrs
     1024U,	// t2TSTri
     1024U,	// t2TSTrr
-    376U,	// t2TSTrs
-    0U,	// t2UADD16
-    0U,	// t2UADD8
-    0U,	// t2UASX
-    34603008U,	// t2UBFX
+    392U,	// t2TSTrs
+    16384U,	// t2UADD16
+    16384U,	// t2UADD8
+    16384U,	// t2UASX
+    34619392U,	// t2UBFX
     0U,	// t2UDF
-    0U,	// t2UDIV
-    0U,	// t2UHADD16
-    0U,	// t2UHADD8
-    0U,	// t2UHASX
-    0U,	// t2UHSAX
-    0U,	// t2UHSUB16
-    0U,	// t2UHSUB8
-    17825792U,	// t2UMAAL
-    17825792U,	// t2UMLAL
-    17825792U,	// t2UMULL
-    0U,	// t2UQADD16
-    0U,	// t2UQADD8
-    0U,	// t2UQASX
-    0U,	// t2UQSAX
-    0U,	// t2UQSUB16
-    0U,	// t2UQSUB8
-    0U,	// t2USAD8
-    17825792U,	// t2USADA8
-    7340032U,	// t2USAT
-    0U,	// t2USAT16
-    0U,	// t2USAX
-    0U,	// t2USUB16
-    0U,	// t2USUB8
-    6291456U,	// t2UXTAB
-    6291456U,	// t2UXTAB16
-    6291456U,	// t2UXTAH
+    16384U,	// t2UDIV
+    16384U,	// t2UHADD16
+    16384U,	// t2UHADD8
+    16384U,	// t2UHASX
+    16384U,	// t2UHSAX
+    16384U,	// t2UHSUB16
+    16384U,	// t2UHSUB8
+    17842176U,	// t2UMAAL
+    17842176U,	// t2UMLAL
+    17842176U,	// t2UMULL
+    16384U,	// t2UQADD16
+    16384U,	// t2UQADD8
+    16384U,	// t2UQASX
+    16384U,	// t2UQSAX
+    16384U,	// t2UQSUB16
+    16384U,	// t2UQSUB8
+    16384U,	// t2USAD8
+    17842176U,	// t2USADA8
+    7356416U,	// t2USAT
+    16384U,	// t2USAT16
+    16384U,	// t2USAX
+    16384U,	// t2USUB16
+    16384U,	// t2USUB8
+    6307840U,	// t2UXTAB
+    6307840U,	// t2UXTAB16
+    6307840U,	// t2UXTAH
     2560U,	// t2UXTB
     2560U,	// t2UXTB16
     2560U,	// t2UXTH
     0U,	// tADC
+    0U,	// tADDframe
     1048U,	// tADDhirr
-    1184U,	// tADDi3
+    1192U,	// tADDi3
     0U,	// tADDi8
-    0U,	// tADDrSP
-    557056U,	// tADDrSPi
-    1184U,	// tADDrr
-    432U,	// tADDspi
+    16384U,	// tADDrSP
+    573440U,	// tADDrSPi
+    1192U,	// tADDrr
+    448U,	// tADDspi
     1048U,	// tADDspr
     0U,	// tADJCALLSTACKDOWN
     0U,	// tADJCALLSTACKUP
-    440U,	// tADR
+    456U,	// tADR
     0U,	// tAND
-    448U,	// tASRri
+    464U,	// tASRri
     0U,	// tASRrr
     0U,	// tB
     0U,	// tBIC
@@ -5533,32 +5555,32 @@ static void printInstruction(MCInst *MI,
     0U,	// tHLT
     0U,	// tInt_eh_sjlj_longjmp
     0U,	// tInt_eh_sjlj_setjmp
-    1088U,	// tLDMIA
+    1096U,	// tLDMIA
     0U,	// tLDMIA_UPD
-    456U,	// tLDRBi
-    464U,	// tLDRBr
-    472U,	// tLDRHi
-    464U,	// tLDRHr
+    472U,	// tLDRBi
+    480U,	// tLDRBr
+    488U,	// tLDRHi
+    480U,	// tLDRHr
     0U,	// tLDRLIT_ga_abs
     0U,	// tLDRLIT_ga_pcrel
-    464U,	// tLDRSB
-    464U,	// tLDRSH
-    480U,	// tLDRi
-    400U,	// tLDRpci
+    480U,	// tLDRSB
+    480U,	// tLDRSH
+    496U,	// tLDRi
+    416U,	// tLDRpci
     0U,	// tLDRpci_pic
-    464U,	// tLDRr
-    488U,	// tLDRspi
+    480U,	// tLDRr
+    504U,	// tLDRspi
     0U,	// tLEApcrel
     0U,	// tLEApcrelJT
-    1184U,	// tLSLri
+    1192U,	// tLSLri
     0U,	// tLSLrr
-    448U,	// tLSRri
+    464U,	// tLSRri
     0U,	// tLSRrr
     0U,	// tMOVCCr_pseudo
     0U,	// tMOVSr
     0U,	// tMOVi8
     1024U,	// tMOVr
-    1184U,	// tMUL
+    1192U,	// tMUL
     0U,	// tMVN
     0U,	// tORR
     0U,	// tPICADD
@@ -5572,18 +5594,18 @@ static void printInstruction(MCInst *MI,
     0U,	// tRSB
     0U,	// tSBC
     0U,	// tSETEND
-    57U,	// tSTMIA_UPD
-    456U,	// tSTRBi
-    464U,	// tSTRBr
-    472U,	// tSTRHi
-    464U,	// tSTRHr
-    480U,	// tSTRi
-    464U,	// tSTRr
-    488U,	// tSTRspi
-    1184U,	// tSUBi3
+    65U,	// tSTMIA_UPD
+    472U,	// tSTRBi
+    480U,	// tSTRBr
+    488U,	// tSTRHi
+    480U,	// tSTRHr
+    496U,	// tSTRi
+    480U,	// tSTRr
+    504U,	// tSTRspi
+    1192U,	// tSUBi3
     0U,	// tSUBi8
-    1184U,	// tSUBrr
-    432U,	// tSUBspi
+    1192U,	// tSUBrr
+    448U,	// tSUBspi
     0U,	// tSVC
     1024U,	// tSXTB
     1024U,	// tSXTH
@@ -5670,383 +5692,387 @@ static void printInstruction(MCInst *MI,
   /* 756 */ 'd', 'm', 'b', 9, 0,
   /* 761 */ 'd', 's', 'b', 9, 0,
   /* 766 */ 'i', 's', 'b', 9, 0,
-  /* 771 */ 'p', 'l', 'd', 9, 0,
-  /* 776 */ 's', 'e', 't', 'e', 'n', 'd', 9, 0,
-  /* 784 */ 'u', 'd', 'f', 9, 0,
-  /* 789 */ 'c', 'r', 'c', '3', '2', 'h', 9, 0,
-  /* 797 */ 'c', 'r', 'c', '3', '2', 'c', 'h', 9, 0,
-  /* 806 */ 'p', 'l', 'i', 9, 0,
-  /* 811 */ 'l', 'd', 'c', '2', 'l', 9, 0,
-  /* 818 */ 's', 't', 'c', '2', 'l', 9, 0,
-  /* 825 */ 'b', 'l', 9, 0,
-  /* 829 */ 'c', 'p', 's', 9, 0,
-  /* 834 */ 'm', 'o', 'v', 's', 9, 0,
-  /* 840 */ 'h', 'l', 't', 9, 0,
-  /* 845 */ 'b', 'k', 'p', 't', 9, 0,
-  /* 851 */ 'u', 'd', 'f', '.', 'w', 9, 0,
-  /* 858 */ 'c', 'r', 'c', '3', '2', 'w', 9, 0,
-  /* 866 */ 'c', 'r', 'c', '3', '2', 'c', 'w', 9, 0,
-  /* 875 */ 'p', 'l', 'd', 'w', 9, 0,
-  /* 881 */ 'b', 'x', 9, 0,
-  /* 885 */ 'b', 'l', 'x', 9, 0,
-  /* 890 */ 'c', 'b', 'z', 9, 0,
-  /* 895 */ 'c', 'b', 'n', 'z', 9, 0,
-  /* 901 */ 's', 'r', 's', 'd', 'a', 9, 's', 'p', '!', ',', 32, 0,
-  /* 913 */ 's', 'r', 's', 'i', 'a', 9, 's', 'p', '!', ',', 32, 0,
-  /* 925 */ 's', 'r', 's', 'd', 'b', 9, 's', 'p', '!', ',', 32, 0,
-  /* 937 */ 's', 'r', 's', 'i', 'b', 9, 's', 'p', '!', ',', 32, 0,
-  /* 949 */ 's', 'r', 's', 'd', 'a', 9, 's', 'p', ',', 32, 0,
-  /* 960 */ 's', 'r', 's', 'i', 'a', 9, 's', 'p', ',', 32, 0,
-  /* 971 */ 's', 'r', 's', 'd', 'b', 9, 's', 'p', ',', 32, 0,
-  /* 982 */ 's', 'r', 's', 'i', 'b', 9, 's', 'p', ',', 32, 0,
-  /* 993 */ 'v', 'l', 'd', '1', 0,
-  /* 998 */ 'd', 'c', 'p', 's', '1', 0,
-  /* 1004 */ 'v', 's', 't', '1', 0,
-  /* 1009 */ 'v', 'r', 'e', 'v', '3', '2', 0,
-  /* 1016 */ 'l', 'd', 'c', '2', 0,
-  /* 1021 */ 'm', 'r', 'c', '2', 0,
-  /* 1026 */ 'm', 'r', 'r', 'c', '2', 0,
-  /* 1032 */ 's', 't', 'c', '2', 0,
-  /* 1037 */ 'v', 'l', 'd', '2', 0,
-  /* 1042 */ 'c', 'd', 'p', '2', 0,
-  /* 1047 */ 'm', 'c', 'r', '2', 0,
-  /* 1052 */ 'm', 'c', 'r', 'r', '2', 0,
-  /* 1058 */ 'd', 'c', 'p', 's', '2', 0,
-  /* 1064 */ 'v', 's', 't', '2', 0,
-  /* 1069 */ 'v', 'l', 'd', '3', 0,
-  /* 1074 */ 'd', 'c', 'p', 's', '3', 0,
-  /* 1080 */ 'v', 's', 't', '3', 0,
-  /* 1085 */ 'v', 'r', 'e', 'v', '6', '4', 0,
-  /* 1092 */ 'v', 'l', 'd', '4', 0,
-  /* 1097 */ 'v', 's', 't', '4', 0,
-  /* 1102 */ 's', 'x', 't', 'a', 'b', '1', '6', 0,
-  /* 1110 */ 'u', 'x', 't', 'a', 'b', '1', '6', 0,
-  /* 1118 */ 's', 'x', 't', 'b', '1', '6', 0,
-  /* 1125 */ 'u', 'x', 't', 'b', '1', '6', 0,
-  /* 1132 */ 's', 'h', 's', 'u', 'b', '1', '6', 0,
-  /* 1140 */ 'u', 'h', 's', 'u', 'b', '1', '6', 0,
-  /* 1148 */ 'u', 'q', 's', 'u', 'b', '1', '6', 0,
-  /* 1156 */ 's', 's', 'u', 'b', '1', '6', 0,
-  /* 1163 */ 'u', 's', 'u', 'b', '1', '6', 0,
-  /* 1170 */ 's', 'h', 'a', 'd', 'd', '1', '6', 0,
-  /* 1178 */ 'u', 'h', 'a', 'd', 'd', '1', '6', 0,
-  /* 1186 */ 'u', 'q', 'a', 'd', 'd', '1', '6', 0,
-  /* 1194 */ 's', 'a', 'd', 'd', '1', '6', 0,
-  /* 1201 */ 'u', 'a', 'd', 'd', '1', '6', 0,
-  /* 1208 */ 's', 's', 'a', 't', '1', '6', 0,
-  /* 1215 */ 'u', 's', 'a', 't', '1', '6', 0,
-  /* 1222 */ 'v', 'r', 'e', 'v', '1', '6', 0,
-  /* 1229 */ 'u', 's', 'a', 'd', 'a', '8', 0,
-  /* 1236 */ 's', 'h', 's', 'u', 'b', '8', 0,
-  /* 1243 */ 'u', 'h', 's', 'u', 'b', '8', 0,
-  /* 1250 */ 'u', 'q', 's', 'u', 'b', '8', 0,
-  /* 1257 */ 's', 's', 'u', 'b', '8', 0,
-  /* 1263 */ 'u', 's', 'u', 'b', '8', 0,
-  /* 1269 */ 'u', 's', 'a', 'd', '8', 0,
-  /* 1275 */ 's', 'h', 'a', 'd', 'd', '8', 0,
-  /* 1282 */ 'u', 'h', 'a', 'd', 'd', '8', 0,
-  /* 1289 */ 'u', 'q', 'a', 'd', 'd', '8', 0,
-  /* 1296 */ 's', 'a', 'd', 'd', '8', 0,
-  /* 1302 */ 'u', 'a', 'd', 'd', '8', 0,
-  /* 1308 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 1321 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 1328 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 1338 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 1353 */ 'v', 'a', 'b', 'a', 0,
-  /* 1358 */ 'l', 'd', 'a', 0,
-  /* 1362 */ 'l', 'd', 'm', 'd', 'a', 0,
-  /* 1368 */ 's', 't', 'm', 'd', 'a', 0,
-  /* 1374 */ 'r', 'f', 'e', 'i', 'a', 0,
-  /* 1380 */ 'v', 'l', 'd', 'm', 'i', 'a', 0,
-  /* 1387 */ 'v', 's', 't', 'm', 'i', 'a', 0,
-  /* 1394 */ 's', 'r', 's', 'i', 'a', 0,
-  /* 1400 */ 's', 'm', 'm', 'l', 'a', 0,
-  /* 1406 */ 'v', 'n', 'm', 'l', 'a', 0,
-  /* 1412 */ 'v', 'm', 'l', 'a', 0,
-  /* 1417 */ 'v', 'f', 'm', 'a', 0,
-  /* 1422 */ 'v', 'f', 'n', 'm', 'a', 0,
-  /* 1428 */ 'v', 'r', 's', 'r', 'a', 0,
-  /* 1434 */ 'v', 's', 'r', 'a', 0,
-  /* 1439 */ 'l', 'd', 'a', 'b', 0,
-  /* 1444 */ 's', 'x', 't', 'a', 'b', 0,
-  /* 1450 */ 'u', 'x', 't', 'a', 'b', 0,
-  /* 1456 */ 's', 'm', 'l', 'a', 'b', 'b', 0,
-  /* 1463 */ 's', 'm', 'l', 'a', 'l', 'b', 'b', 0,
-  /* 1471 */ 's', 'm', 'u', 'l', 'b', 'b', 0,
-  /* 1478 */ 't', 'b', 'b', 0,
-  /* 1482 */ 'r', 'f', 'e', 'd', 'b', 0,
-  /* 1488 */ 'v', 'l', 'd', 'm', 'd', 'b', 0,
-  /* 1495 */ 'v', 's', 't', 'm', 'd', 'b', 0,
-  /* 1502 */ 's', 'r', 's', 'd', 'b', 0,
-  /* 1508 */ 'l', 'd', 'm', 'i', 'b', 0,
-  /* 1514 */ 's', 't', 'm', 'i', 'b', 0,
-  /* 1520 */ 's', 't', 'l', 'b', 0,
-  /* 1525 */ 'd', 'm', 'b', 0,
-  /* 1529 */ 's', 'w', 'p', 'b', 0,
-  /* 1534 */ 'l', 'd', 'r', 'b', 0,
-  /* 1539 */ 's', 't', 'r', 'b', 0,
-  /* 1544 */ 'd', 's', 'b', 0,
-  /* 1548 */ 'i', 's', 'b', 0,
-  /* 1552 */ 'l', 'd', 'r', 's', 'b', 0,
-  /* 1558 */ 's', 'm', 'l', 'a', 't', 'b', 0,
-  /* 1565 */ 'p', 'k', 'h', 't', 'b', 0,
-  /* 1571 */ 's', 'm', 'l', 'a', 'l', 't', 'b', 0,
-  /* 1579 */ 's', 'm', 'u', 'l', 't', 'b', 0,
-  /* 1586 */ 'v', 'c', 'v', 't', 'b', 0,
-  /* 1592 */ 's', 'x', 't', 'b', 0,
-  /* 1597 */ 'u', 'x', 't', 'b', 0,
-  /* 1602 */ 'q', 'd', 's', 'u', 'b', 0,
-  /* 1608 */ 'v', 'h', 's', 'u', 'b', 0,
-  /* 1614 */ 'v', 'q', 's', 'u', 'b', 0,
-  /* 1620 */ 'v', 's', 'u', 'b', 0,
-  /* 1625 */ 's', 'm', 'l', 'a', 'w', 'b', 0,
-  /* 1632 */ 's', 'm', 'u', 'l', 'w', 'b', 0,
-  /* 1639 */ 'l', 'd', 'a', 'e', 'x', 'b', 0,
-  /* 1646 */ 's', 't', 'l', 'e', 'x', 'b', 0,
-  /* 1653 */ 'l', 'd', 'r', 'e', 'x', 'b', 0,
-  /* 1660 */ 's', 't', 'r', 'e', 'x', 'b', 0,
-  /* 1667 */ 's', 'b', 'c', 0,
-  /* 1671 */ 'a', 'd', 'c', 0,
-  /* 1675 */ 'l', 'd', 'c', 0,
-  /* 1679 */ 'b', 'f', 'c', 0,
-  /* 1683 */ 'v', 'b', 'i', 'c', 0,
-  /* 1688 */ 's', 'm', 'c', 0,
-  /* 1692 */ 'm', 'r', 'c', 0,
-  /* 1696 */ 'm', 'r', 'r', 'c', 0,
-  /* 1701 */ 'r', 's', 'c', 0,
-  /* 1705 */ 's', 't', 'c', 0,
-  /* 1709 */ 's', 'v', 'c', 0,
-  /* 1713 */ 's', 'm', 'l', 'a', 'd', 0,
-  /* 1719 */ 's', 'm', 'u', 'a', 'd', 0,
-  /* 1725 */ 'v', 'a', 'b', 'd', 0,
-  /* 1730 */ 'q', 'd', 'a', 'd', 'd', 0,
-  /* 1736 */ 'v', 'r', 'h', 'a', 'd', 'd', 0,
-  /* 1743 */ 'v', 'h', 'a', 'd', 'd', 0,
-  /* 1749 */ 'v', 'p', 'a', 'd', 'd', 0,
-  /* 1755 */ 'v', 'q', 'a', 'd', 'd', 0,
-  /* 1761 */ 'v', 'a', 'd', 'd', 0,
-  /* 1766 */ 's', 'm', 'l', 'a', 'l', 'd', 0,
-  /* 1773 */ 'p', 'l', 'd', 0,
-  /* 1777 */ 's', 'm', 'l', 's', 'l', 'd', 0,
-  /* 1784 */ 'v', 'a', 'n', 'd', 0,
-  /* 1789 */ 'l', 'd', 'r', 'd', 0,
-  /* 1794 */ 's', 't', 'r', 'd', 0,
-  /* 1799 */ 's', 'm', 'l', 's', 'd', 0,
-  /* 1805 */ 's', 'm', 'u', 's', 'd', 0,
-  /* 1811 */ 'l', 'd', 'a', 'e', 'x', 'd', 0,
-  /* 1818 */ 's', 't', 'l', 'e', 'x', 'd', 0,
-  /* 1825 */ 'l', 'd', 'r', 'e', 'x', 'd', 0,
-  /* 1832 */ 's', 't', 'r', 'e', 'x', 'd', 0,
-  /* 1839 */ 'v', 'a', 'c', 'g', 'e', 0,
-  /* 1845 */ 'v', 'c', 'g', 'e', 0,
-  /* 1850 */ 'v', 'c', 'l', 'e', 0,
-  /* 1855 */ 'v', 'r', 'e', 'c', 'p', 'e', 0,
-  /* 1862 */ 'v', 'c', 'm', 'p', 'e', 0,
-  /* 1868 */ 'v', 'r', 's', 'q', 'r', 't', 'e', 0,
-  /* 1876 */ 'v', 'b', 'i', 'f', 0,
-  /* 1881 */ 'd', 'b', 'g', 0,
-  /* 1885 */ 'v', 'q', 'n', 'e', 'g', 0,
-  /* 1891 */ 'v', 'n', 'e', 'g', 0,
-  /* 1896 */ 'l', 'd', 'a', 'h', 0,
-  /* 1901 */ 's', 'x', 't', 'a', 'h', 0,
-  /* 1907 */ 'u', 'x', 't', 'a', 'h', 0,
-  /* 1913 */ 't', 'b', 'h', 0,
-  /* 1917 */ 's', 't', 'l', 'h', 0,
-  /* 1922 */ 'v', 'q', 'd', 'm', 'u', 'l', 'h', 0,
-  /* 1930 */ 'v', 'q', 'r', 'd', 'm', 'u', 'l', 'h', 0,
-  /* 1939 */ 'l', 'd', 'r', 'h', 0,
-  /* 1944 */ 's', 't', 'r', 'h', 0,
-  /* 1949 */ 'l', 'd', 'r', 's', 'h', 0,
-  /* 1955 */ 'p', 'u', 's', 'h', 0,
-  /* 1960 */ 'r', 'e', 'v', 's', 'h', 0,
-  /* 1966 */ 's', 'x', 't', 'h', 0,
-  /* 1971 */ 'u', 'x', 't', 'h', 0,
-  /* 1976 */ 'l', 'd', 'a', 'e', 'x', 'h', 0,
-  /* 1983 */ 's', 't', 'l', 'e', 'x', 'h', 0,
-  /* 1990 */ 'l', 'd', 'r', 'e', 'x', 'h', 0,
-  /* 1997 */ 's', 't', 'r', 'e', 'x', 'h', 0,
-  /* 2004 */ 'b', 'f', 'i', 0,
-  /* 2008 */ 'p', 'l', 'i', 0,
-  /* 2012 */ 'v', 's', 'l', 'i', 0,
-  /* 2017 */ 'v', 's', 'r', 'i', 0,
-  /* 2022 */ 'b', 'x', 'j', 0,
-  /* 2026 */ 'l', 'd', 'c', '2', 'l', 0,
-  /* 2032 */ 's', 't', 'c', '2', 'l', 0,
-  /* 2038 */ 'u', 'm', 'a', 'a', 'l', 0,
-  /* 2044 */ 'v', 'a', 'b', 'a', 'l', 0,
-  /* 2050 */ 'v', 'p', 'a', 'd', 'a', 'l', 0,
-  /* 2057 */ 'v', 'q', 'd', 'm', 'l', 'a', 'l', 0,
-  /* 2065 */ 's', 'm', 'l', 'a', 'l', 0,
-  /* 2071 */ 'u', 'm', 'l', 'a', 'l', 0,
-  /* 2077 */ 'v', 'm', 'l', 'a', 'l', 0,
-  /* 2083 */ 'v', 't', 'b', 'l', 0,
-  /* 2088 */ 'v', 's', 'u', 'b', 'l', 0,
-  /* 2094 */ 'l', 'd', 'c', 'l', 0,
-  /* 2099 */ 's', 't', 'c', 'l', 0,
-  /* 2104 */ 'v', 'a', 'b', 'd', 'l', 0,
-  /* 2110 */ 'v', 'p', 'a', 'd', 'd', 'l', 0,
-  /* 2117 */ 'v', 'a', 'd', 'd', 'l', 0,
-  /* 2123 */ 's', 'e', 'l', 0,
-  /* 2127 */ 'v', 'q', 's', 'h', 'l', 0,
-  /* 2133 */ 'v', 'q', 'r', 's', 'h', 'l', 0,
-  /* 2140 */ 'v', 'r', 's', 'h', 'l', 0,
-  /* 2146 */ 'v', 's', 'h', 'l', 0,
-  /* 2151 */ 'v', 's', 'h', 'l', 'l', 0,
-  /* 2157 */ 'v', 'q', 'd', 'm', 'u', 'l', 'l', 0,
-  /* 2165 */ 's', 'm', 'u', 'l', 'l', 0,
-  /* 2171 */ 'u', 'm', 'u', 'l', 'l', 0,
-  /* 2177 */ 'v', 'm', 'u', 'l', 'l', 0,
-  /* 2183 */ 'v', 'b', 's', 'l', 0,
-  /* 2188 */ 'v', 'q', 'd', 'm', 'l', 's', 'l', 0,
-  /* 2196 */ 'v', 'm', 'l', 's', 'l', 0,
-  /* 2202 */ 's', 't', 'l', 0,
-  /* 2206 */ 's', 'm', 'm', 'u', 'l', 0,
-  /* 2212 */ 'v', 'n', 'm', 'u', 'l', 0,
-  /* 2218 */ 'v', 'm', 'u', 'l', 0,
-  /* 2223 */ 'v', 'm', 'o', 'v', 'l', 0,
-  /* 2229 */ 'l', 'd', 'm', 0,
-  /* 2233 */ 's', 't', 'm', 0,
-  /* 2237 */ 'v', 'r', 's', 'u', 'b', 'h', 'n', 0,
-  /* 2245 */ 'v', 's', 'u', 'b', 'h', 'n', 0,
-  /* 2252 */ 'v', 'r', 'a', 'd', 'd', 'h', 'n', 0,
-  /* 2260 */ 'v', 'a', 'd', 'd', 'h', 'n', 0,
-  /* 2267 */ 'v', 'p', 'm', 'i', 'n', 0,
-  /* 2273 */ 'v', 'm', 'i', 'n', 0,
-  /* 2278 */ 'c', 'm', 'n', 0,
-  /* 2282 */ 'v', 'q', 's', 'h', 'r', 'n', 0,
-  /* 2289 */ 'v', 'q', 'r', 's', 'h', 'r', 'n', 0,
-  /* 2297 */ 'v', 'r', 's', 'h', 'r', 'n', 0,
-  /* 2304 */ 'v', 's', 'h', 'r', 'n', 0,
-  /* 2310 */ 'v', 'o', 'r', 'n', 0,
-  /* 2315 */ 'v', 't', 'r', 'n', 0,
-  /* 2320 */ 'v', 'q', 's', 'h', 'r', 'u', 'n', 0,
-  /* 2328 */ 'v', 'q', 'r', 's', 'h', 'r', 'u', 'n', 0,
-  /* 2337 */ 'v', 'q', 'm', 'o', 'v', 'u', 'n', 0,
-  /* 2345 */ 'v', 'm', 'v', 'n', 0,
-  /* 2350 */ 'v', 'q', 'm', 'o', 'v', 'n', 0,
-  /* 2357 */ 'v', 'm', 'o', 'v', 'n', 0,
-  /* 2363 */ 't', 'r', 'a', 'p', 0,
-  /* 2368 */ 'c', 'd', 'p', 0,
-  /* 2372 */ 'v', 'z', 'i', 'p', 0,
-  /* 2377 */ 'v', 'c', 'm', 'p', 0,
-  /* 2382 */ 'p', 'o', 'p', 0,
-  /* 2386 */ 'v', 'd', 'u', 'p', 0,
-  /* 2391 */ 'v', 's', 'w', 'p', 0,
-  /* 2396 */ 'v', 'u', 'z', 'p', 0,
-  /* 2401 */ 'v', 'c', 'e', 'q', 0,
-  /* 2406 */ 't', 'e', 'q', 0,
-  /* 2410 */ 's', 'm', 'm', 'l', 'a', 'r', 0,
-  /* 2417 */ 'm', 'c', 'r', 0,
-  /* 2421 */ 'a', 'd', 'r', 0,
-  /* 2425 */ 'v', 'l', 'd', 'r', 0,
-  /* 2430 */ 'v', 'r', 's', 'h', 'r', 0,
-  /* 2436 */ 'v', 's', 'h', 'r', 0,
-  /* 2441 */ 's', 'm', 'm', 'u', 'l', 'r', 0,
-  /* 2448 */ 'v', 'e', 'o', 'r', 0,
-  /* 2453 */ 'r', 'o', 'r', 0,
-  /* 2457 */ 'm', 'c', 'r', 'r', 0,
-  /* 2462 */ 'v', 'o', 'r', 'r', 0,
-  /* 2467 */ 'a', 's', 'r', 0,
-  /* 2471 */ 's', 'm', 'm', 'l', 's', 'r', 0,
-  /* 2478 */ 'v', 'm', 's', 'r', 0,
-  /* 2483 */ 'v', 'r', 'i', 'n', 't', 'r', 0,
-  /* 2490 */ 'v', 's', 't', 'r', 0,
-  /* 2495 */ 'v', 'c', 'v', 't', 'r', 0,
-  /* 2501 */ 'v', 'q', 'a', 'b', 's', 0,
-  /* 2507 */ 'v', 'a', 'b', 's', 0,
-  /* 2512 */ 's', 'u', 'b', 's', 0,
-  /* 2517 */ 'v', 'c', 'l', 's', 0,
-  /* 2522 */ 's', 'm', 'm', 'l', 's', 0,
-  /* 2528 */ 'v', 'n', 'm', 'l', 's', 0,
-  /* 2534 */ 'v', 'm', 'l', 's', 0,
-  /* 2539 */ 'v', 'f', 'm', 's', 0,
-  /* 2544 */ 'v', 'f', 'n', 'm', 's', 0,
-  /* 2550 */ 'v', 'r', 'e', 'c', 'p', 's', 0,
-  /* 2557 */ 'v', 'm', 'r', 's', 0,
-  /* 2562 */ 'a', 's', 'r', 's', 0,
-  /* 2567 */ 'l', 's', 'r', 's', 0,
-  /* 2572 */ 'v', 'r', 's', 'q', 'r', 't', 's', 0,
-  /* 2580 */ 'm', 'o', 'v', 's', 0,
-  /* 2585 */ 's', 's', 'a', 't', 0,
-  /* 2590 */ 'u', 's', 'a', 't', 0,
-  /* 2595 */ 's', 'm', 'l', 'a', 'b', 't', 0,
-  /* 2602 */ 'p', 'k', 'h', 'b', 't', 0,
-  /* 2608 */ 's', 'm', 'l', 'a', 'l', 'b', 't', 0,
-  /* 2616 */ 's', 'm', 'u', 'l', 'b', 't', 0,
-  /* 2623 */ 'l', 'd', 'r', 'b', 't', 0,
-  /* 2629 */ 's', 't', 'r', 'b', 't', 0,
-  /* 2635 */ 'l', 'd', 'r', 's', 'b', 't', 0,
-  /* 2642 */ 'v', 'a', 'c', 'g', 't', 0,
-  /* 2648 */ 'v', 'c', 'g', 't', 0,
-  /* 2653 */ 'l', 'd', 'r', 'h', 't', 0,
-  /* 2659 */ 's', 't', 'r', 'h', 't', 0,
-  /* 2665 */ 'l', 'd', 'r', 's', 'h', 't', 0,
-  /* 2672 */ 'r', 'b', 'i', 't', 0,
-  /* 2677 */ 'v', 'b', 'i', 't', 0,
-  /* 2682 */ 'v', 'c', 'l', 't', 0,
-  /* 2687 */ 'v', 'c', 'n', 't', 0,
-  /* 2692 */ 'h', 'i', 'n', 't', 0,
-  /* 2697 */ 'l', 'd', 'r', 't', 0,
-  /* 2702 */ 'v', 's', 'q', 'r', 't', 0,
-  /* 2708 */ 's', 't', 'r', 't', 0,
-  /* 2713 */ 'v', 't', 's', 't', 0,
-  /* 2718 */ 's', 'm', 'l', 'a', 't', 't', 0,
-  /* 2725 */ 's', 'm', 'l', 'a', 'l', 't', 't', 0,
-  /* 2733 */ 's', 'm', 'u', 'l', 't', 't', 0,
-  /* 2740 */ 'v', 'c', 'v', 't', 't', 0,
-  /* 2746 */ 'v', 'c', 'v', 't', 0,
-  /* 2751 */ 'm', 'o', 'v', 't', 0,
-  /* 2756 */ 's', 'm', 'l', 'a', 'w', 't', 0,
-  /* 2763 */ 's', 'm', 'u', 'l', 'w', 't', 0,
-  /* 2770 */ 'v', 'e', 'x', 't', 0,
-  /* 2775 */ 'v', 'q', 's', 'h', 'l', 'u', 0,
-  /* 2782 */ 'r', 'e', 'v', 0,
-  /* 2786 */ 's', 'd', 'i', 'v', 0,
-  /* 2791 */ 'u', 'd', 'i', 'v', 0,
-  /* 2796 */ 'v', 'd', 'i', 'v', 0,
-  /* 2801 */ 'v', 'm', 'o', 'v', 0,
-  /* 2806 */ 'v', 's', 'u', 'b', 'w', 0,
-  /* 2812 */ 'v', 'a', 'd', 'd', 'w', 0,
-  /* 2818 */ 'p', 'l', 'd', 'w', 0,
-  /* 2823 */ 'm', 'o', 'v', 'w', 0,
-  /* 2828 */ 'f', 'l', 'd', 'm', 'i', 'a', 'x', 0,
-  /* 2836 */ 'f', 's', 't', 'm', 'i', 'a', 'x', 0,
-  /* 2844 */ 'v', 'p', 'm', 'a', 'x', 0,
-  /* 2850 */ 'v', 'm', 'a', 'x', 0,
-  /* 2855 */ 's', 'h', 's', 'a', 'x', 0,
-  /* 2861 */ 'u', 'h', 's', 'a', 'x', 0,
-  /* 2867 */ 'u', 'q', 's', 'a', 'x', 0,
-  /* 2873 */ 's', 's', 'a', 'x', 0,
-  /* 2878 */ 'u', 's', 'a', 'x', 0,
-  /* 2883 */ 'f', 'l', 'd', 'm', 'd', 'b', 'x', 0,
-  /* 2891 */ 'f', 's', 't', 'm', 'd', 'b', 'x', 0,
-  /* 2899 */ 'v', 't', 'b', 'x', 0,
-  /* 2904 */ 's', 'm', 'l', 'a', 'd', 'x', 0,
-  /* 2911 */ 's', 'm', 'u', 'a', 'd', 'x', 0,
-  /* 2918 */ 's', 'm', 'l', 'a', 'l', 'd', 'x', 0,
-  /* 2926 */ 's', 'm', 'l', 's', 'l', 'd', 'x', 0,
-  /* 2934 */ 's', 'm', 'l', 's', 'd', 'x', 0,
-  /* 2941 */ 's', 'm', 'u', 's', 'd', 'x', 0,
-  /* 2948 */ 'l', 'd', 'a', 'e', 'x', 0,
-  /* 2954 */ 's', 't', 'l', 'e', 'x', 0,
-  /* 2960 */ 'l', 'd', 'r', 'e', 'x', 0,
-  /* 2966 */ 'c', 'l', 'r', 'e', 'x', 0,
-  /* 2972 */ 's', 't', 'r', 'e', 'x', 0,
-  /* 2978 */ 's', 'b', 'f', 'x', 0,
-  /* 2983 */ 'u', 'b', 'f', 'x', 0,
-  /* 2988 */ 'b', 'l', 'x', 0,
-  /* 2992 */ 'r', 'r', 'x', 0,
-  /* 2996 */ 's', 'h', 'a', 's', 'x', 0,
-  /* 3002 */ 'u', 'h', 'a', 's', 'x', 0,
-  /* 3008 */ 'u', 'q', 'a', 's', 'x', 0,
-  /* 3014 */ 's', 'a', 's', 'x', 0,
-  /* 3019 */ 'u', 'a', 's', 'x', 0,
-  /* 3024 */ 'v', 'r', 'i', 'n', 't', 'x', 0,
-  /* 3031 */ 'v', 'c', 'l', 'z', 0,
-  /* 3036 */ 'v', 'r', 'i', 'n', 't', 'z', 0,
+  /* 771 */ 'h', 'v', 'c', 9, 0,
+  /* 776 */ 'p', 'l', 'd', 9, 0,
+  /* 781 */ 's', 'e', 't', 'e', 'n', 'd', 9, 0,
+  /* 789 */ 'u', 'd', 'f', 9, 0,
+  /* 794 */ 'c', 'r', 'c', '3', '2', 'h', 9, 0,
+  /* 802 */ 'c', 'r', 'c', '3', '2', 'c', 'h', 9, 0,
+  /* 811 */ 'p', 'l', 'i', 9, 0,
+  /* 816 */ 'l', 'd', 'c', '2', 'l', 9, 0,
+  /* 823 */ 's', 't', 'c', '2', 'l', 9, 0,
+  /* 830 */ 'b', 'l', 9, 0,
+  /* 834 */ 'c', 'p', 's', 9, 0,
+  /* 839 */ 'm', 'o', 'v', 's', 9, 0,
+  /* 845 */ 'h', 'l', 't', 9, 0,
+  /* 850 */ 'b', 'k', 'p', 't', 9, 0,
+  /* 856 */ 'h', 'v', 'c', '.', 'w', 9, 0,
+  /* 863 */ 'u', 'd', 'f', '.', 'w', 9, 0,
+  /* 870 */ 'c', 'r', 'c', '3', '2', 'w', 9, 0,
+  /* 878 */ 'c', 'r', 'c', '3', '2', 'c', 'w', 9, 0,
+  /* 887 */ 'p', 'l', 'd', 'w', 9, 0,
+  /* 893 */ 'b', 'x', 9, 0,
+  /* 897 */ 'b', 'l', 'x', 9, 0,
+  /* 902 */ 'c', 'b', 'z', 9, 0,
+  /* 907 */ 'c', 'b', 'n', 'z', 9, 0,
+  /* 913 */ 's', 'r', 's', 'd', 'a', 9, 's', 'p', '!', ',', 32, 0,
+  /* 925 */ 's', 'r', 's', 'i', 'a', 9, 's', 'p', '!', ',', 32, 0,
+  /* 937 */ 's', 'r', 's', 'd', 'b', 9, 's', 'p', '!', ',', 32, 0,
+  /* 949 */ 's', 'r', 's', 'i', 'b', 9, 's', 'p', '!', ',', 32, 0,
+  /* 961 */ 's', 'r', 's', 'd', 'a', 9, 's', 'p', ',', 32, 0,
+  /* 972 */ 's', 'r', 's', 'i', 'a', 9, 's', 'p', ',', 32, 0,
+  /* 983 */ 's', 'r', 's', 'd', 'b', 9, 's', 'p', ',', 32, 0,
+  /* 994 */ 's', 'r', 's', 'i', 'b', 9, 's', 'p', ',', 32, 0,
+  /* 1005 */ 'v', 'l', 'd', '1', 0,
+  /* 1010 */ 'd', 'c', 'p', 's', '1', 0,
+  /* 1016 */ 'v', 's', 't', '1', 0,
+  /* 1021 */ 'v', 'r', 'e', 'v', '3', '2', 0,
+  /* 1028 */ 'l', 'd', 'c', '2', 0,
+  /* 1033 */ 'm', 'r', 'c', '2', 0,
+  /* 1038 */ 'm', 'r', 'r', 'c', '2', 0,
+  /* 1044 */ 's', 't', 'c', '2', 0,
+  /* 1049 */ 'v', 'l', 'd', '2', 0,
+  /* 1054 */ 'c', 'd', 'p', '2', 0,
+  /* 1059 */ 'm', 'c', 'r', '2', 0,
+  /* 1064 */ 'm', 'c', 'r', 'r', '2', 0,
+  /* 1070 */ 'd', 'c', 'p', 's', '2', 0,
+  /* 1076 */ 'v', 's', 't', '2', 0,
+  /* 1081 */ 'v', 'l', 'd', '3', 0,
+  /* 1086 */ 'd', 'c', 'p', 's', '3', 0,
+  /* 1092 */ 'v', 's', 't', '3', 0,
+  /* 1097 */ 'v', 'r', 'e', 'v', '6', '4', 0,
+  /* 1104 */ 'v', 'l', 'd', '4', 0,
+  /* 1109 */ 'v', 's', 't', '4', 0,
+  /* 1114 */ 's', 'x', 't', 'a', 'b', '1', '6', 0,
+  /* 1122 */ 'u', 'x', 't', 'a', 'b', '1', '6', 0,
+  /* 1130 */ 's', 'x', 't', 'b', '1', '6', 0,
+  /* 1137 */ 'u', 'x', 't', 'b', '1', '6', 0,
+  /* 1144 */ 's', 'h', 's', 'u', 'b', '1', '6', 0,
+  /* 1152 */ 'u', 'h', 's', 'u', 'b', '1', '6', 0,
+  /* 1160 */ 'u', 'q', 's', 'u', 'b', '1', '6', 0,
+  /* 1168 */ 's', 's', 'u', 'b', '1', '6', 0,
+  /* 1175 */ 'u', 's', 'u', 'b', '1', '6', 0,
+  /* 1182 */ 's', 'h', 'a', 'd', 'd', '1', '6', 0,
+  /* 1190 */ 'u', 'h', 'a', 'd', 'd', '1', '6', 0,
+  /* 1198 */ 'u', 'q', 'a', 'd', 'd', '1', '6', 0,
+  /* 1206 */ 's', 'a', 'd', 'd', '1', '6', 0,
+  /* 1213 */ 'u', 'a', 'd', 'd', '1', '6', 0,
+  /* 1220 */ 's', 's', 'a', 't', '1', '6', 0,
+  /* 1227 */ 'u', 's', 'a', 't', '1', '6', 0,
+  /* 1234 */ 'v', 'r', 'e', 'v', '1', '6', 0,
+  /* 1241 */ 'u', 's', 'a', 'd', 'a', '8', 0,
+  /* 1248 */ 's', 'h', 's', 'u', 'b', '8', 0,
+  /* 1255 */ 'u', 'h', 's', 'u', 'b', '8', 0,
+  /* 1262 */ 'u', 'q', 's', 'u', 'b', '8', 0,
+  /* 1269 */ 's', 's', 'u', 'b', '8', 0,
+  /* 1275 */ 'u', 's', 'u', 'b', '8', 0,
+  /* 1281 */ 'u', 's', 'a', 'd', '8', 0,
+  /* 1287 */ 's', 'h', 'a', 'd', 'd', '8', 0,
+  /* 1294 */ 'u', 'h', 'a', 'd', 'd', '8', 0,
+  /* 1301 */ 'u', 'q', 'a', 'd', 'd', '8', 0,
+  /* 1308 */ 's', 'a', 'd', 'd', '8', 0,
+  /* 1314 */ 'u', 'a', 'd', 'd', '8', 0,
+  /* 1320 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 1333 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 1340 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 1350 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 1365 */ 'v', 'a', 'b', 'a', 0,
+  /* 1370 */ 'l', 'd', 'a', 0,
+  /* 1374 */ 'l', 'd', 'm', 'd', 'a', 0,
+  /* 1380 */ 's', 't', 'm', 'd', 'a', 0,
+  /* 1386 */ 'r', 'f', 'e', 'i', 'a', 0,
+  /* 1392 */ 'v', 'l', 'd', 'm', 'i', 'a', 0,
+  /* 1399 */ 'v', 's', 't', 'm', 'i', 'a', 0,
+  /* 1406 */ 's', 'r', 's', 'i', 'a', 0,
+  /* 1412 */ 's', 'm', 'm', 'l', 'a', 0,
+  /* 1418 */ 'v', 'n', 'm', 'l', 'a', 0,
+  /* 1424 */ 'v', 'm', 'l', 'a', 0,
+  /* 1429 */ 'v', 'f', 'm', 'a', 0,
+  /* 1434 */ 'v', 'f', 'n', 'm', 'a', 0,
+  /* 1440 */ 'v', 'r', 's', 'r', 'a', 0,
+  /* 1446 */ 'v', 's', 'r', 'a', 0,
+  /* 1451 */ 'l', 'd', 'a', 'b', 0,
+  /* 1456 */ 's', 'x', 't', 'a', 'b', 0,
+  /* 1462 */ 'u', 'x', 't', 'a', 'b', 0,
+  /* 1468 */ 's', 'm', 'l', 'a', 'b', 'b', 0,
+  /* 1475 */ 's', 'm', 'l', 'a', 'l', 'b', 'b', 0,
+  /* 1483 */ 's', 'm', 'u', 'l', 'b', 'b', 0,
+  /* 1490 */ 't', 'b', 'b', 0,
+  /* 1494 */ 'r', 'f', 'e', 'd', 'b', 0,
+  /* 1500 */ 'v', 'l', 'd', 'm', 'd', 'b', 0,
+  /* 1507 */ 'v', 's', 't', 'm', 'd', 'b', 0,
+  /* 1514 */ 's', 'r', 's', 'd', 'b', 0,
+  /* 1520 */ 'l', 'd', 'm', 'i', 'b', 0,
+  /* 1526 */ 's', 't', 'm', 'i', 'b', 0,
+  /* 1532 */ 's', 't', 'l', 'b', 0,
+  /* 1537 */ 'd', 'm', 'b', 0,
+  /* 1541 */ 's', 'w', 'p', 'b', 0,
+  /* 1546 */ 'l', 'd', 'r', 'b', 0,
+  /* 1551 */ 's', 't', 'r', 'b', 0,
+  /* 1556 */ 'd', 's', 'b', 0,
+  /* 1560 */ 'i', 's', 'b', 0,
+  /* 1564 */ 'l', 'd', 'r', 's', 'b', 0,
+  /* 1570 */ 's', 'm', 'l', 'a', 't', 'b', 0,
+  /* 1577 */ 'p', 'k', 'h', 't', 'b', 0,
+  /* 1583 */ 's', 'm', 'l', 'a', 'l', 't', 'b', 0,
+  /* 1591 */ 's', 'm', 'u', 'l', 't', 'b', 0,
+  /* 1598 */ 'v', 'c', 'v', 't', 'b', 0,
+  /* 1604 */ 's', 'x', 't', 'b', 0,
+  /* 1609 */ 'u', 'x', 't', 'b', 0,
+  /* 1614 */ 'q', 'd', 's', 'u', 'b', 0,
+  /* 1620 */ 'v', 'h', 's', 'u', 'b', 0,
+  /* 1626 */ 'v', 'q', 's', 'u', 'b', 0,
+  /* 1632 */ 'v', 's', 'u', 'b', 0,
+  /* 1637 */ 's', 'm', 'l', 'a', 'w', 'b', 0,
+  /* 1644 */ 's', 'm', 'u', 'l', 'w', 'b', 0,
+  /* 1651 */ 'l', 'd', 'a', 'e', 'x', 'b', 0,
+  /* 1658 */ 's', 't', 'l', 'e', 'x', 'b', 0,
+  /* 1665 */ 'l', 'd', 'r', 'e', 'x', 'b', 0,
+  /* 1672 */ 's', 't', 'r', 'e', 'x', 'b', 0,
+  /* 1679 */ 's', 'b', 'c', 0,
+  /* 1683 */ 'a', 'd', 'c', 0,
+  /* 1687 */ 'l', 'd', 'c', 0,
+  /* 1691 */ 'b', 'f', 'c', 0,
+  /* 1695 */ 'v', 'b', 'i', 'c', 0,
+  /* 1700 */ 's', 'm', 'c', 0,
+  /* 1704 */ 'm', 'r', 'c', 0,
+  /* 1708 */ 'm', 'r', 'r', 'c', 0,
+  /* 1713 */ 'r', 's', 'c', 0,
+  /* 1717 */ 's', 't', 'c', 0,
+  /* 1721 */ 's', 'v', 'c', 0,
+  /* 1725 */ 's', 'm', 'l', 'a', 'd', 0,
+  /* 1731 */ 's', 'm', 'u', 'a', 'd', 0,
+  /* 1737 */ 'v', 'a', 'b', 'd', 0,
+  /* 1742 */ 'q', 'd', 'a', 'd', 'd', 0,
+  /* 1748 */ 'v', 'r', 'h', 'a', 'd', 'd', 0,
+  /* 1755 */ 'v', 'h', 'a', 'd', 'd', 0,
+  /* 1761 */ 'v', 'p', 'a', 'd', 'd', 0,
+  /* 1767 */ 'v', 'q', 'a', 'd', 'd', 0,
+  /* 1773 */ 'v', 'a', 'd', 'd', 0,
+  /* 1778 */ 's', 'm', 'l', 'a', 'l', 'd', 0,
+  /* 1785 */ 'p', 'l', 'd', 0,
+  /* 1789 */ 's', 'm', 'l', 's', 'l', 'd', 0,
+  /* 1796 */ 'v', 'a', 'n', 'd', 0,
+  /* 1801 */ 'l', 'd', 'r', 'd', 0,
+  /* 1806 */ 's', 't', 'r', 'd', 0,
+  /* 1811 */ 's', 'm', 'l', 's', 'd', 0,
+  /* 1817 */ 's', 'm', 'u', 's', 'd', 0,
+  /* 1823 */ 'l', 'd', 'a', 'e', 'x', 'd', 0,
+  /* 1830 */ 's', 't', 'l', 'e', 'x', 'd', 0,
+  /* 1837 */ 'l', 'd', 'r', 'e', 'x', 'd', 0,
+  /* 1844 */ 's', 't', 'r', 'e', 'x', 'd', 0,
+  /* 1851 */ 'v', 'a', 'c', 'g', 'e', 0,
+  /* 1857 */ 'v', 'c', 'g', 'e', 0,
+  /* 1862 */ 'v', 'c', 'l', 'e', 0,
+  /* 1867 */ 'v', 'r', 'e', 'c', 'p', 'e', 0,
+  /* 1874 */ 'v', 'c', 'm', 'p', 'e', 0,
+  /* 1880 */ 'v', 'r', 's', 'q', 'r', 't', 'e', 0,
+  /* 1888 */ 'v', 'b', 'i', 'f', 0,
+  /* 1893 */ 'd', 'b', 'g', 0,
+  /* 1897 */ 'v', 'q', 'n', 'e', 'g', 0,
+  /* 1903 */ 'v', 'n', 'e', 'g', 0,
+  /* 1908 */ 'l', 'd', 'a', 'h', 0,
+  /* 1913 */ 's', 'x', 't', 'a', 'h', 0,
+  /* 1919 */ 'u', 'x', 't', 'a', 'h', 0,
+  /* 1925 */ 't', 'b', 'h', 0,
+  /* 1929 */ 's', 't', 'l', 'h', 0,
+  /* 1934 */ 'v', 'q', 'd', 'm', 'u', 'l', 'h', 0,
+  /* 1942 */ 'v', 'q', 'r', 'd', 'm', 'u', 'l', 'h', 0,
+  /* 1951 */ 'l', 'd', 'r', 'h', 0,
+  /* 1956 */ 's', 't', 'r', 'h', 0,
+  /* 1961 */ 'l', 'd', 'r', 's', 'h', 0,
+  /* 1967 */ 'p', 'u', 's', 'h', 0,
+  /* 1972 */ 'r', 'e', 'v', 's', 'h', 0,
+  /* 1978 */ 's', 'x', 't', 'h', 0,
+  /* 1983 */ 'u', 'x', 't', 'h', 0,
+  /* 1988 */ 'l', 'd', 'a', 'e', 'x', 'h', 0,
+  /* 1995 */ 's', 't', 'l', 'e', 'x', 'h', 0,
+  /* 2002 */ 'l', 'd', 'r', 'e', 'x', 'h', 0,
+  /* 2009 */ 's', 't', 'r', 'e', 'x', 'h', 0,
+  /* 2016 */ 'b', 'f', 'i', 0,
+  /* 2020 */ 'p', 'l', 'i', 0,
+  /* 2024 */ 'v', 's', 'l', 'i', 0,
+  /* 2029 */ 'v', 's', 'r', 'i', 0,
+  /* 2034 */ 'b', 'x', 'j', 0,
+  /* 2038 */ 'l', 'd', 'c', '2', 'l', 0,
+  /* 2044 */ 's', 't', 'c', '2', 'l', 0,
+  /* 2050 */ 'u', 'm', 'a', 'a', 'l', 0,
+  /* 2056 */ 'v', 'a', 'b', 'a', 'l', 0,
+  /* 2062 */ 'v', 'p', 'a', 'd', 'a', 'l', 0,
+  /* 2069 */ 'v', 'q', 'd', 'm', 'l', 'a', 'l', 0,
+  /* 2077 */ 's', 'm', 'l', 'a', 'l', 0,
+  /* 2083 */ 'u', 'm', 'l', 'a', 'l', 0,
+  /* 2089 */ 'v', 'm', 'l', 'a', 'l', 0,
+  /* 2095 */ 'v', 't', 'b', 'l', 0,
+  /* 2100 */ 'v', 's', 'u', 'b', 'l', 0,
+  /* 2106 */ 'l', 'd', 'c', 'l', 0,
+  /* 2111 */ 's', 't', 'c', 'l', 0,
+  /* 2116 */ 'v', 'a', 'b', 'd', 'l', 0,
+  /* 2122 */ 'v', 'p', 'a', 'd', 'd', 'l', 0,
+  /* 2129 */ 'v', 'a', 'd', 'd', 'l', 0,
+  /* 2135 */ 's', 'e', 'l', 0,
+  /* 2139 */ 'v', 'q', 's', 'h', 'l', 0,
+  /* 2145 */ 'v', 'q', 'r', 's', 'h', 'l', 0,
+  /* 2152 */ 'v', 'r', 's', 'h', 'l', 0,
+  /* 2158 */ 'v', 's', 'h', 'l', 0,
+  /* 2163 */ 'v', 's', 'h', 'l', 'l', 0,
+  /* 2169 */ 'v', 'q', 'd', 'm', 'u', 'l', 'l', 0,
+  /* 2177 */ 's', 'm', 'u', 'l', 'l', 0,
+  /* 2183 */ 'u', 'm', 'u', 'l', 'l', 0,
+  /* 2189 */ 'v', 'm', 'u', 'l', 'l', 0,
+  /* 2195 */ 'v', 'b', 's', 'l', 0,
+  /* 2200 */ 'v', 'q', 'd', 'm', 'l', 's', 'l', 0,
+  /* 2208 */ 'v', 'm', 'l', 's', 'l', 0,
+  /* 2214 */ 's', 't', 'l', 0,
+  /* 2218 */ 's', 'm', 'm', 'u', 'l', 0,
+  /* 2224 */ 'v', 'n', 'm', 'u', 'l', 0,
+  /* 2230 */ 'v', 'm', 'u', 'l', 0,
+  /* 2235 */ 'v', 'm', 'o', 'v', 'l', 0,
+  /* 2241 */ 'l', 'd', 'm', 0,
+  /* 2245 */ 's', 't', 'm', 0,
+  /* 2249 */ 'v', 'r', 's', 'u', 'b', 'h', 'n', 0,
+  /* 2257 */ 'v', 's', 'u', 'b', 'h', 'n', 0,
+  /* 2264 */ 'v', 'r', 'a', 'd', 'd', 'h', 'n', 0,
+  /* 2272 */ 'v', 'a', 'd', 'd', 'h', 'n', 0,
+  /* 2279 */ 'v', 'p', 'm', 'i', 'n', 0,
+  /* 2285 */ 'v', 'm', 'i', 'n', 0,
+  /* 2290 */ 'c', 'm', 'n', 0,
+  /* 2294 */ 'v', 'q', 's', 'h', 'r', 'n', 0,
+  /* 2301 */ 'v', 'q', 'r', 's', 'h', 'r', 'n', 0,
+  /* 2309 */ 'v', 'r', 's', 'h', 'r', 'n', 0,
+  /* 2316 */ 'v', 's', 'h', 'r', 'n', 0,
+  /* 2322 */ 'v', 'o', 'r', 'n', 0,
+  /* 2327 */ 'v', 't', 'r', 'n', 0,
+  /* 2332 */ 'v', 'q', 's', 'h', 'r', 'u', 'n', 0,
+  /* 2340 */ 'v', 'q', 'r', 's', 'h', 'r', 'u', 'n', 0,
+  /* 2349 */ 'v', 'q', 'm', 'o', 'v', 'u', 'n', 0,
+  /* 2357 */ 'v', 'm', 'v', 'n', 0,
+  /* 2362 */ 'v', 'q', 'm', 'o', 'v', 'n', 0,
+  /* 2369 */ 'v', 'm', 'o', 'v', 'n', 0,
+  /* 2375 */ 't', 'r', 'a', 'p', 0,
+  /* 2380 */ 'c', 'd', 'p', 0,
+  /* 2384 */ 'v', 'z', 'i', 'p', 0,
+  /* 2389 */ 'v', 'c', 'm', 'p', 0,
+  /* 2394 */ 'p', 'o', 'p', 0,
+  /* 2398 */ 'v', 'd', 'u', 'p', 0,
+  /* 2403 */ 'v', 's', 'w', 'p', 0,
+  /* 2408 */ 'v', 'u', 'z', 'p', 0,
+  /* 2413 */ 'v', 'c', 'e', 'q', 0,
+  /* 2418 */ 't', 'e', 'q', 0,
+  /* 2422 */ 's', 'm', 'm', 'l', 'a', 'r', 0,
+  /* 2429 */ 'm', 'c', 'r', 0,
+  /* 2433 */ 'a', 'd', 'r', 0,
+  /* 2437 */ 'v', 'l', 'd', 'r', 0,
+  /* 2442 */ 'v', 'r', 's', 'h', 'r', 0,
+  /* 2448 */ 'v', 's', 'h', 'r', 0,
+  /* 2453 */ 's', 'm', 'm', 'u', 'l', 'r', 0,
+  /* 2460 */ 'v', 'e', 'o', 'r', 0,
+  /* 2465 */ 'r', 'o', 'r', 0,
+  /* 2469 */ 'm', 'c', 'r', 'r', 0,
+  /* 2474 */ 'v', 'o', 'r', 'r', 0,
+  /* 2479 */ 'a', 's', 'r', 0,
+  /* 2483 */ 's', 'm', 'm', 'l', 's', 'r', 0,
+  /* 2490 */ 'v', 'm', 's', 'r', 0,
+  /* 2495 */ 'v', 'r', 'i', 'n', 't', 'r', 0,
+  /* 2502 */ 'v', 's', 't', 'r', 0,
+  /* 2507 */ 'v', 'c', 'v', 't', 'r', 0,
+  /* 2513 */ 'v', 'q', 'a', 'b', 's', 0,
+  /* 2519 */ 'v', 'a', 'b', 's', 0,
+  /* 2524 */ 's', 'u', 'b', 's', 0,
+  /* 2529 */ 'v', 'c', 'l', 's', 0,
+  /* 2534 */ 's', 'm', 'm', 'l', 's', 0,
+  /* 2540 */ 'v', 'n', 'm', 'l', 's', 0,
+  /* 2546 */ 'v', 'm', 'l', 's', 0,
+  /* 2551 */ 'v', 'f', 'm', 's', 0,
+  /* 2556 */ 'v', 'f', 'n', 'm', 's', 0,
+  /* 2562 */ 'v', 'r', 'e', 'c', 'p', 's', 0,
+  /* 2569 */ 'v', 'm', 'r', 's', 0,
+  /* 2574 */ 'a', 's', 'r', 's', 0,
+  /* 2579 */ 'l', 's', 'r', 's', 0,
+  /* 2584 */ 'v', 'r', 's', 'q', 'r', 't', 's', 0,
+  /* 2592 */ 'm', 'o', 'v', 's', 0,
+  /* 2597 */ 's', 's', 'a', 't', 0,
+  /* 2602 */ 'u', 's', 'a', 't', 0,
+  /* 2607 */ 's', 'm', 'l', 'a', 'b', 't', 0,
+  /* 2614 */ 'p', 'k', 'h', 'b', 't', 0,
+  /* 2620 */ 's', 'm', 'l', 'a', 'l', 'b', 't', 0,
+  /* 2628 */ 's', 'm', 'u', 'l', 'b', 't', 0,
+  /* 2635 */ 'l', 'd', 'r', 'b', 't', 0,
+  /* 2641 */ 's', 't', 'r', 'b', 't', 0,
+  /* 2647 */ 'l', 'd', 'r', 's', 'b', 't', 0,
+  /* 2654 */ 'e', 'r', 'e', 't', 0,
+  /* 2659 */ 'v', 'a', 'c', 'g', 't', 0,
+  /* 2665 */ 'v', 'c', 'g', 't', 0,
+  /* 2670 */ 'l', 'd', 'r', 'h', 't', 0,
+  /* 2676 */ 's', 't', 'r', 'h', 't', 0,
+  /* 2682 */ 'l', 'd', 'r', 's', 'h', 't', 0,
+  /* 2689 */ 'r', 'b', 'i', 't', 0,
+  /* 2694 */ 'v', 'b', 'i', 't', 0,
+  /* 2699 */ 'v', 'c', 'l', 't', 0,
+  /* 2704 */ 'v', 'c', 'n', 't', 0,
+  /* 2709 */ 'h', 'i', 'n', 't', 0,
+  /* 2714 */ 'l', 'd', 'r', 't', 0,
+  /* 2719 */ 'v', 's', 'q', 'r', 't', 0,
+  /* 2725 */ 's', 't', 'r', 't', 0,
+  /* 2730 */ 'v', 't', 's', 't', 0,
+  /* 2735 */ 's', 'm', 'l', 'a', 't', 't', 0,
+  /* 2742 */ 's', 'm', 'l', 'a', 'l', 't', 't', 0,
+  /* 2750 */ 's', 'm', 'u', 'l', 't', 't', 0,
+  /* 2757 */ 'v', 'c', 'v', 't', 't', 0,
+  /* 2763 */ 'v', 'c', 'v', 't', 0,
+  /* 2768 */ 'm', 'o', 'v', 't', 0,
+  /* 2773 */ 's', 'm', 'l', 'a', 'w', 't', 0,
+  /* 2780 */ 's', 'm', 'u', 'l', 'w', 't', 0,
+  /* 2787 */ 'v', 'e', 'x', 't', 0,
+  /* 2792 */ 'v', 'q', 's', 'h', 'l', 'u', 0,
+  /* 2799 */ 'r', 'e', 'v', 0,
+  /* 2803 */ 's', 'd', 'i', 'v', 0,
+  /* 2808 */ 'u', 'd', 'i', 'v', 0,
+  /* 2813 */ 'v', 'd', 'i', 'v', 0,
+  /* 2818 */ 'v', 'm', 'o', 'v', 0,
+  /* 2823 */ 'v', 's', 'u', 'b', 'w', 0,
+  /* 2829 */ 'v', 'a', 'd', 'd', 'w', 0,
+  /* 2835 */ 'p', 'l', 'd', 'w', 0,
+  /* 2840 */ 'm', 'o', 'v', 'w', 0,
+  /* 2845 */ 'f', 'l', 'd', 'm', 'i', 'a', 'x', 0,
+  /* 2853 */ 'f', 's', 't', 'm', 'i', 'a', 'x', 0,
+  /* 2861 */ 'v', 'p', 'm', 'a', 'x', 0,
+  /* 2867 */ 'v', 'm', 'a', 'x', 0,
+  /* 2872 */ 's', 'h', 's', 'a', 'x', 0,
+  /* 2878 */ 'u', 'h', 's', 'a', 'x', 0,
+  /* 2884 */ 'u', 'q', 's', 'a', 'x', 0,
+  /* 2890 */ 's', 's', 'a', 'x', 0,
+  /* 2895 */ 'u', 's', 'a', 'x', 0,
+  /* 2900 */ 'f', 'l', 'd', 'm', 'd', 'b', 'x', 0,
+  /* 2908 */ 'f', 's', 't', 'm', 'd', 'b', 'x', 0,
+  /* 2916 */ 'v', 't', 'b', 'x', 0,
+  /* 2921 */ 's', 'm', 'l', 'a', 'd', 'x', 0,
+  /* 2928 */ 's', 'm', 'u', 'a', 'd', 'x', 0,
+  /* 2935 */ 's', 'm', 'l', 'a', 'l', 'd', 'x', 0,
+  /* 2943 */ 's', 'm', 'l', 's', 'l', 'd', 'x', 0,
+  /* 2951 */ 's', 'm', 'l', 's', 'd', 'x', 0,
+  /* 2958 */ 's', 'm', 'u', 's', 'd', 'x', 0,
+  /* 2965 */ 'l', 'd', 'a', 'e', 'x', 0,
+  /* 2971 */ 's', 't', 'l', 'e', 'x', 0,
+  /* 2977 */ 'l', 'd', 'r', 'e', 'x', 0,
+  /* 2983 */ 'c', 'l', 'r', 'e', 'x', 0,
+  /* 2989 */ 's', 't', 'r', 'e', 'x', 0,
+  /* 2995 */ 's', 'b', 'f', 'x', 0,
+  /* 3000 */ 'u', 'b', 'f', 'x', 0,
+  /* 3005 */ 'b', 'l', 'x', 0,
+  /* 3009 */ 'r', 'r', 'x', 0,
+  /* 3013 */ 's', 'h', 'a', 's', 'x', 0,
+  /* 3019 */ 'u', 'h', 'a', 's', 'x', 0,
+  /* 3025 */ 'u', 'q', 'a', 's', 'x', 0,
+  /* 3031 */ 's', 'a', 's', 'x', 0,
+  /* 3036 */ 'u', 'a', 's', 'x', 0,
+  /* 3041 */ 'v', 'r', 'i', 'n', 't', 'x', 0,
+  /* 3048 */ 'v', 'c', 'l', 'z', 0,
+  /* 3053 */ 'v', 'r', 'i', 'n', 't', 'z', 0,
   };
 #endif
 
+  // printf(">>> opcode: %u\n", MCInst_getOpcode(MI));
   // Emit the opcode for the instruction.
   uint64_t Bits1 = OpInfo[MCInst_getOpcode(MI)];
   uint64_t Bits2 = OpInfo2[MCInst_getOpcode(MI)];
@@ -6060,7 +6086,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 0 encoded into 5 bits for 29 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 12) & 31);
   switch ((Bits >> 12) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, CLREX, TRAP, TRAPNaCl...
     return;
@@ -6108,7 +6134,7 @@ static void printInstruction(MCInst *MI,
     printPredicateOperand(MI, 1, O); 
     break;
   case 9:
-    // BX_RET, FMSTAT, MOVPCLR, t2CLREX, t2DCPS1, t2DCPS2, t2DCPS3, tBL, tBLX...
+    // BX_RET, ERET, FMSTAT, MOVPCLR, t2CLREX, t2DCPS1, t2DCPS2, t2DCPS3, tBL...
     printPredicateOperand(MI, 0, O); 
     break;
   case 10:
@@ -6221,7 +6247,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 1 encoded into 7 bits for 65 unique commands.
   //printf("Frag-1: %"PRIu64"\n", (Bits >> 17) & 127);
   switch ((Bits >> 17) & 127) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADCri, ADCrr, ADCrsi, ADDri, ADDrr, ADDrsi, ADR, ANDri, ANDrr, ANDrsi,...
     SStream_concat0(O, "\t"); 
@@ -6235,12 +6261,12 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, " "); 
     break;
   case 3:
-    // BKPT, BL, BLX, BLXi, BX, CPS1p, HLT, RFEDA, RFEDB, RFEIA, RFEIB, SRSDA...
+    // BKPT, BL, BLX, BLXi, BX, CPS1p, ERET, HLT, HVC, RFEDA, RFEDB, RFEIA, R...
     return;
     break;
   case 4:
     // BX_RET
-    SStream_concat0(O, "\tlr");
+    SStream_concat0(O, "\tlr"); 
 	ARM_addReg(MI, ARM_REG_LR);
     return;
     break;
@@ -6251,19 +6277,19 @@ static void printInstruction(MCInst *MI,
     break;
   case 6:
     // FCONSTD, VABSD, VADDD, VCMPD, VCMPED, VCMPEZD, VCMPZD, VDIVD, VFMAD, V...
-    SStream_concat0(O, ".f64\t");
+    SStream_concat0(O, ".f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64);
     printOperand(MI, 0, O); 
     break;
   case 7:
     // FCONSTS, VABDfd, VABDfq, VABSS, VABSfd, VABSfq, VACGEd, VACGEq, VACGTd...
-    SStream_concat0(O, ".f32\t");
+    SStream_concat0(O, ".f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32);
     printOperand(MI, 0, O); 
     break;
   case 8:
     // FMSTAT
-    SStream_concat0(O, "\tapsr_nzcv, fpscr");
+    SStream_concat0(O, "\tapsr_nzcv, fpscr"); 
 	ARM_addReg(MI, ARM_REG_APSR_NZCV);
 	ARM_addReg(MI, ARM_REG_FPSCR);
     return;
@@ -6275,7 +6301,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 10:
     // MOVPCLR
-    SStream_concat0(O, "\tpc, lr");
+    SStream_concat0(O, "\tpc, lr"); 
 	ARM_addReg(MI, ARM_REG_PC);
 	ARM_addReg(MI, ARM_REG_LR);
     return;
@@ -6287,82 +6313,82 @@ static void printInstruction(MCInst *MI,
     break;
   case 12:
     // VABALsv2i64, VABAsv2i32, VABAsv4i32, VABDLsv2i64, VABDsv2i32, VABDsv4i...
-    SStream_concat0(O, ".s32\t");
+    SStream_concat0(O, ".s32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 13:
     // VABALsv4i32, VABAsv4i16, VABAsv8i16, VABDLsv4i32, VABDsv4i16, VABDsv8i...
-    SStream_concat0(O, ".s16\t");
+    SStream_concat0(O, ".s16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 14:
     // VABALsv8i16, VABAsv16i8, VABAsv8i8, VABDLsv8i16, VABDsv16i8, VABDsv8i8...
-    SStream_concat0(O, ".s8\t");
+    SStream_concat0(O, ".s8\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S8);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 15:
     // VABALuv2i64, VABAuv2i32, VABAuv4i32, VABDLuv2i64, VABDuv2i32, VABDuv4i...
-    SStream_concat0(O, ".u32\t");
+    SStream_concat0(O, ".u32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 16:
     // VABALuv4i32, VABAuv4i16, VABAuv8i16, VABDLuv4i32, VABDuv4i16, VABDuv8i...
-    SStream_concat0(O, ".u16\t");
+    SStream_concat0(O, ".u16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 17:
     // VABALuv8i16, VABAuv16i8, VABAuv8i8, VABDLuv8i16, VABDuv16i8, VABDuv8i8...
-    SStream_concat0(O, ".u8\t");
+    SStream_concat0(O, ".u8\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U8);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 18:
     // VADDHNv2i32, VADDv1i64, VADDv2i64, VMOVNv2i32, VMOVv1i64, VMOVv2i64, V...
-    SStream_concat0(O, ".i64\t");
+    SStream_concat0(O, ".i64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_I64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 19:
     // VADDHNv4i16, VADDv2i32, VADDv4i32, VBICiv2i32, VBICiv4i32, VCEQv2i32, ...
-    SStream_concat0(O, ".i32\t");
+    SStream_concat0(O, ".i32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_I32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 20:
     // VADDHNv8i8, VADDv4i16, VADDv8i16, VBICiv4i16, VBICiv8i16, VCEQv4i16, V...
-    SStream_concat0(O, ".i16\t");
+    SStream_concat0(O, ".i16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_I16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 21:
     // VADDv16i8, VADDv8i8, VCEQv16i8, VCEQv8i8, VCEQzv16i8, VCEQzv8i8, VCLZv...
-    SStream_concat0(O, ".i8\t");
+    SStream_concat0(O, ".i8\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_I8);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 22:
     // VCNTd, VCNTq, VDUP8d, VDUP8q, VDUPLN8d, VDUPLN8q, VEXTd8, VEXTq8, VLD1...
-    SStream_concat0(O, ".8\t");
+    SStream_concat0(O, ".8\t"); 
 	ARM_addVectorDataSize(MI, 8);
     break;
   case 23:
     // VCVTBDH, VCVTTDH
-    SStream_concat0(O, ".f16.f64\t");
+    SStream_concat0(O, ".f16.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F16F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6371,7 +6397,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 24:
     // VCVTBHD, VCVTTHD
-    SStream_concat0(O, ".f64.f16\t");
+    SStream_concat0(O, ".f64.f16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64F16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6380,7 +6406,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 25:
     // VCVTBHS, VCVTTHS, VCVTh2f
-    SStream_concat0(O, ".f32.f16\t");
+    SStream_concat0(O, ".f32.f16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32F16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6389,7 +6415,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 26:
     // VCVTBSH, VCVTTSH, VCVTf2h
-    SStream_concat0(O, ".f16.f32\t");
+    SStream_concat0(O, ".f16.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F16F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6398,7 +6424,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 27:
     // VCVTDS
-    SStream_concat0(O, ".f64.f32\t");
+    SStream_concat0(O, ".f64.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6407,7 +6433,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 28:
     // VCVTSD
-    SStream_concat0(O, ".f32.f64\t");
+    SStream_concat0(O, ".f32.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6416,7 +6442,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 29:
     // VCVTf2sd, VCVTf2sq, VCVTf2xsd, VCVTf2xsq, VTOSIRS, VTOSIZS, VTOSLS
-    SStream_concat0(O, ".s32.f32\t");
+    SStream_concat0(O, ".s32.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S32F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6424,7 +6450,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 30:
     // VCVTf2ud, VCVTf2uq, VCVTf2xud, VCVTf2xuq, VTOUIRS, VTOUIZS, VTOULS
-    SStream_concat0(O, ".u32.f32\t");
+    SStream_concat0(O, ".u32.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U32F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6432,7 +6458,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 31:
     // VCVTs2fd, VCVTs2fq, VCVTxs2fd, VCVTxs2fq, VSITOS, VSLTOS
-    SStream_concat0(O, ".f32.s32\t");
+    SStream_concat0(O, ".f32.s32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32S32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6440,7 +6466,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 32:
     // VCVTu2fd, VCVTu2fq, VCVTxu2fd, VCVTxu2fq, VUITOS, VULTOS
-    SStream_concat0(O, ".f32.u32\t");
+    SStream_concat0(O, ".f32.u32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32U32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6448,72 +6474,72 @@ static void printInstruction(MCInst *MI,
     break;
   case 33:
     // VDUP16d, VDUP16q, VDUPLN16d, VDUPLN16q, VEXTd16, VEXTq16, VLD1DUPd16, ...
-    SStream_concat0(O, ".16\t");
+    SStream_concat0(O, ".16\t"); 
 	ARM_addVectorDataSize(MI, 16);
     break;
   case 34:
     // VDUP32d, VDUP32q, VDUPLN32d, VDUPLN32q, VEXTd32, VEXTq32, VGETLNi32, V...
-    SStream_concat0(O, ".32\t");
+    SStream_concat0(O, ".32\t"); 
 	ARM_addVectorDataSize(MI, 32);
     break;
   case 35:
     // VEXTq64, VLD1d64, VLD1d64Q, VLD1d64Qwb_fixed, VLD1d64Qwb_register, VLD...
-    SStream_concat0(O, ".64\t");
+    SStream_concat0(O, ".64\t"); 
 	ARM_addVectorDataSize(MI, 64);
     break;
   case 36:
     // VLD1LNd16, VLD1LNd16_UPD, VLD2LNd16, VLD2LNd16_UPD, VLD2LNq16, VLD2LNq...
-    SStream_concat0(O, ".16\t{");
+    SStream_concat0(O, ".16\t{"); 
 	ARM_addVectorDataSize(MI, 16);
     break;
   case 37:
     // VLD1LNd32, VLD1LNd32_UPD, VLD2LNd32, VLD2LNd32_UPD, VLD2LNq32, VLD2LNq...
-    SStream_concat0(O, ".32\t{");
+    SStream_concat0(O, ".32\t{"); 
 	ARM_addVectorDataSize(MI, 32);
     break;
   case 38:
     // VLD1LNd8, VLD1LNd8_UPD, VLD2LNd8, VLD2LNd8_UPD, VLD3DUPd8, VLD3DUPd8_U...
-    SStream_concat0(O, ".8\t{");
+    SStream_concat0(O, ".8\t{"); 
 	ARM_addVectorDataSize(MI, 8);
     break;
   case 39:
     // VMSR
-    SStream_concat0(O, "\tfpscr, ");
+    SStream_concat0(O, "\tfpscr, "); 
 	ARM_addReg(MI, ARM_REG_FPSCR);
     printOperand(MI, 0, O); 
     return;
     break;
   case 40:
     // VMSR_FPEXC
-    SStream_concat0(O, "\tfpexc, ");
+    SStream_concat0(O, "\tfpexc, "); 
 	ARM_addReg(MI, ARM_REG_FPEXC);
     printOperand(MI, 0, O); 
     return;
     break;
   case 41:
     // VMSR_FPINST
-    SStream_concat0(O, "\tfpinst, ");
+    SStream_concat0(O, "\tfpinst, "); 
 	ARM_addReg(MI, ARM_REG_FPINST);
     printOperand(MI, 0, O); 
     return;
     break;
   case 42:
     // VMSR_FPINST2
-    SStream_concat0(O, "\tfpinst2, ");
+    SStream_concat0(O, "\tfpinst2, "); 
 	ARM_addReg(MI, ARM_REG_FPINST2);
     printOperand(MI, 0, O); 
     return;
     break;
   case 43:
     // VMSR_FPSID
-    SStream_concat0(O, "\tfpsid, ");
+    SStream_concat0(O, "\tfpsid, "); 
 	ARM_addReg(MI, ARM_REG_FPSID);
     printOperand(MI, 0, O); 
     return;
     break;
   case 44:
     // VMULLp8, VMULpd, VMULpq
-    SStream_concat0(O, ".p8\t");
+    SStream_concat0(O, ".p8\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_P8);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6524,21 +6550,21 @@ static void printInstruction(MCInst *MI,
     break;
   case 45:
     // VQADDsv1i64, VQADDsv2i64, VQMOVNsuv2i32, VQMOVNsv2i32, VQRSHLsv1i64, V...
-    SStream_concat0(O, ".s64\t");
+    SStream_concat0(O, ".s64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 46:
     // VQADDuv1i64, VQADDuv2i64, VQMOVNuv2i32, VQRSHLuv1i64, VQRSHLuv2i64, VQ...
-    SStream_concat0(O, ".u64\t");
+    SStream_concat0(O, ".u64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 47:
     // VSHTOD
-    SStream_concat0(O, ".f64.s16\t");
+    SStream_concat0(O, ".f64.s16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64S16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6549,7 +6575,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 48:
     // VSHTOS
-    SStream_concat0(O, ".f32.s16\t");
+    SStream_concat0(O, ".f32.s16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32S16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6560,7 +6586,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 49:
     // VSITOD, VSLTOD
-    SStream_concat0(O, ".f64.s32\t");
+    SStream_concat0(O, ".f64.s32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64S32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6568,7 +6594,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 50:
     // VTOSHD
-    SStream_concat0(O, ".s16.f64\t");
+    SStream_concat0(O, ".s16.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S16F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6579,7 +6605,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 51:
     // VTOSHS
-    SStream_concat0(O, ".s16.f32\t");
+    SStream_concat0(O, ".s16.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S16F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6590,7 +6616,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 52:
     // VTOSIRD, VTOSIZD, VTOSLD
-    SStream_concat0(O, ".s32.f64\t");
+    SStream_concat0(O, ".s32.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_S32F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6598,7 +6624,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 53:
     // VTOUHD
-    SStream_concat0(O, ".u16.f64\t");
+    SStream_concat0(O, ".u16.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U16F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6609,7 +6635,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 54:
     // VTOUHS
-    SStream_concat0(O, ".u16.f32\t");
+    SStream_concat0(O, ".u16.f32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U16F32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6620,7 +6646,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 55:
     // VTOUIRD, VTOUIZD, VTOULD
-    SStream_concat0(O, ".u32.f64\t");
+    SStream_concat0(O, ".u32.f64\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_U32F64);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6628,7 +6654,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 56:
     // VUHTOD
-    SStream_concat0(O, ".f64.u16\t");
+    SStream_concat0(O, ".f64.u16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64U16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6639,7 +6665,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 57:
     // VUHTOS
-    SStream_concat0(O, ".f32.u16\t");
+    SStream_concat0(O, ".f32.u16\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F32U16);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6650,7 +6676,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 58:
     // VUITOD, VULTOD
-    SStream_concat0(O, ".f64.u32\t");
+    SStream_concat0(O, ".f64.u32\t"); 
 	ARM_addVectorDataType(MI, ARM_VECTORDATA_F64U32);
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -6662,21 +6688,21 @@ static void printInstruction(MCInst *MI,
     break;
   case 60:
     // t2SRSDB, t2SRSIA
-    SStream_concat0(O, "\tsp, ");
+    SStream_concat0(O, "\tsp, "); 
 	ARM_addReg(MI, ARM_REG_SP);
     printOperand(MI, 0, O); 
     return;
     break;
   case 61:
     // t2SRSDB_UPD, t2SRSIA_UPD
-    SStream_concat0(O, "\tsp!, ");
+    SStream_concat0(O, "\tsp!, "); 
 	ARM_addReg(MI, ARM_REG_SP);
     printOperand(MI, 0, O); 
     return;
     break;
   case 62:
     // t2SUBS_PC_LR
-    SStream_concat0(O, "\tpc, lr, ");
+    SStream_concat0(O, "\tpc, lr, "); 
 	ARM_addReg(MI, ARM_REG_PC);
 	ARM_addReg(MI, ARM_REG_LR);
     printOperand(MI, 0, O); 
@@ -6700,10 +6726,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 2 encoded into 6 bits for 57 unique commands.
+  // Fragment 2 encoded into 6 bits for 58 unique commands.
   //printf("Frag-2: %"PRIu64"\n", (Bits >> 24) & 63);
   switch ((Bits >> 24) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADCri, ADCrr, ADCrsi, ADDri, ADDrr, ADDrsi, ADR, ANDri, ANDrr, ANDrsi,...
     printOperand(MI, 0, O); 
@@ -6787,119 +6813,124 @@ static void printInstruction(MCInst *MI,
     // MSR, MSRi, t2MSR_AR, t2MSR_M
     printMSRMaskOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
+    break;
+  case 14:
+    // MSRbanked, t2MSRbanked
+    printBankedRegOperand(MI, 0, O); 
+    SStream_concat0(O, ", "); 
     printOperand(MI, 1, O); 
     return;
     break;
-  case 14:
+  case 15:
     // VBICiv2i32, VBICiv4i16, VBICiv4i32, VBICiv8i16, VMOVv16i8, VMOVv1i64, ...
     printNEONModImmOperand(MI, 1, O); 
     return;
     break;
-  case 15:
+  case 16:
     // VCMPEZD, VCMPEZS, VCMPZD, VCMPZS, tRSB
     SStream_concat0(O, ", #0"); 
 	op_addImm(MI, 0);
     return;
     break;
-  case 16:
+  case 17:
     // VCVTf2sd, VCVTf2sq, VCVTf2ud, VCVTf2uq, VCVTs2fd, VCVTs2fq, VCVTu2fd, ...
     return;
     break;
-  case 17:
+  case 18:
     // VLD1DUPd16, VLD1DUPd16wb_fixed, VLD1DUPd16wb_register, VLD1DUPd32, VLD...
     printVectorListOneAllLanes(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 18:
+  case 19:
     // VLD1DUPq16, VLD1DUPq16wb_fixed, VLD1DUPq16wb_register, VLD1DUPq32, VLD...
     printVectorListTwoAllLanes(MI, 0, O, MRI); 
     SStream_concat0(O, ", "); 
     break;
-  case 19:
+  case 20:
     // VLD1d16, VLD1d16wb_fixed, VLD1d16wb_register, VLD1d32, VLD1d32wb_fixed...
     printVectorListOne(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 20:
+  case 21:
     // VLD1d16Q, VLD1d16Qwb_fixed, VLD1d16Qwb_register, VLD1d32Q, VLD1d32Qwb_...
     printVectorListFour(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 21:
+  case 22:
     // VLD1d16T, VLD1d16Twb_fixed, VLD1d16Twb_register, VLD1d32T, VLD1d32Twb_...
     printVectorListThree(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 22:
+  case 23:
     // VLD1q16, VLD1q16wb_fixed, VLD1q16wb_register, VLD1q32, VLD1q32wb_fixed...
     printVectorListTwo(MI, 0, O, MRI); 
     SStream_concat0(O, ", "); 
     break;
-  case 23:
+  case 24:
     // VLD2DUPd16x2, VLD2DUPd16x2wb_fixed, VLD2DUPd16x2wb_register, VLD2DUPd3...
     printVectorListTwoSpacedAllLanes(MI, 0, O, MRI); 
     SStream_concat0(O, ", "); 
     break;
-  case 24:
+  case 25:
     // VLD2b16, VLD2b16wb_fixed, VLD2b16wb_register, VLD2b32, VLD2b32wb_fixed...
     printVectorListTwoSpaced(MI, 0, O, MRI); 
     SStream_concat0(O, ", "); 
     break;
-  case 25:
+  case 26:
     // VLD3DUPdAsm_16, VLD3DUPdAsm_32, VLD3DUPdAsm_8, VLD3DUPdWB_fixed_Asm_16...
     printVectorListThreeAllLanes(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 26:
+  case 27:
     // VLD3DUPqAsm_16, VLD3DUPqAsm_32, VLD3DUPqAsm_8, VLD3DUPqWB_fixed_Asm_16...
     printVectorListThreeSpacedAllLanes(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 27:
+  case 28:
     // VLD3qAsm_16, VLD3qAsm_32, VLD3qAsm_8, VLD3qWB_fixed_Asm_16, VLD3qWB_fi...
     printVectorListThreeSpaced(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 28:
+  case 29:
     // VLD4DUPdAsm_16, VLD4DUPdAsm_32, VLD4DUPdAsm_8, VLD4DUPdWB_fixed_Asm_16...
     printVectorListFourAllLanes(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 29:
+  case 30:
     // VLD4DUPqAsm_16, VLD4DUPqAsm_32, VLD4DUPqAsm_8, VLD4DUPqWB_fixed_Asm_16...
     printVectorListFourSpacedAllLanes(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 30:
+  case 31:
     // VLD4qAsm_16, VLD4qAsm_32, VLD4qAsm_8, VLD4qWB_fixed_Asm_16, VLD4qWB_fi...
     printVectorListFourSpaced(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 31:
+  case 32:
     // VST1LNd16_UPD, VST1LNd32_UPD, VST1LNd8_UPD, VST2LNd16_UPD, VST2LNd32_U...
     printOperand(MI, 4, O); 
     break;
-  case 32:
+  case 33:
     // VST1d16, VST1d32, VST1d64, VST1d8
     printVectorListOne(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 33:
+  case 34:
     // VST1d16Q, VST1d32Q, VST1d64Q, VST1d8Q, VST2q16, VST2q32, VST2q8
     printVectorListFour(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 34:
+  case 35:
     // VST1d16Qwb_fixed, VST1d32Qwb_fixed, VST1d64Qwb_fixed, VST1d8Qwb_fixed,...
     printVectorListFour(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -6907,7 +6938,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 35:
+  case 36:
     // VST1d16Qwb_register, VST1d32Qwb_register, VST1d64Qwb_register, VST1d8Q...
     printVectorListFour(MI, 4, O); 
     SStream_concat0(O, ", "); 
@@ -6916,14 +6947,14 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 3, O); 
     return;
     break;
-  case 36:
+  case 37:
     // VST1d16T, VST1d32T, VST1d64T, VST1d8T
     printVectorListThree(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 37:
+  case 38:
     // VST1d16Twb_fixed, VST1d32Twb_fixed, VST1d64Twb_fixed, VST1d8Twb_fixed
     printVectorListThree(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -6931,7 +6962,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 38:
+  case 39:
     // VST1d16Twb_register, VST1d32Twb_register, VST1d64Twb_register, VST1d8T...
     printVectorListThree(MI, 4, O); 
     SStream_concat0(O, ", "); 
@@ -6940,7 +6971,7 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 3, O); 
     return;
     break;
-  case 39:
+  case 40:
     // VST1d16wb_fixed, VST1d32wb_fixed, VST1d64wb_fixed, VST1d8wb_fixed
     printVectorListOne(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -6948,7 +6979,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 40:
+  case 41:
     // VST1d16wb_register, VST1d32wb_register, VST1d64wb_register, VST1d8wb_r...
     printVectorListOne(MI, 4, O); 
     SStream_concat0(O, ", "); 
@@ -6957,14 +6988,14 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 3, O); 
     return;
     break;
-  case 41:
+  case 42:
     // VST1q16, VST1q32, VST1q64, VST1q8, VST2d16, VST2d32, VST2d8
     printVectorListTwo(MI, 2, O, MRI); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 42:
+  case 43:
     // VST1q16wb_fixed, VST1q32wb_fixed, VST1q64wb_fixed, VST1q8wb_fixed, VST...
     printVectorListTwo(MI, 3, O, MRI); 
     SStream_concat0(O, ", "); 
@@ -6972,7 +7003,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 43:
+  case 44:
     // VST1q16wb_register, VST1q32wb_register, VST1q64wb_register, VST1q8wb_r...
     printVectorListTwo(MI, 4, O, MRI); 
     SStream_concat0(O, ", "); 
@@ -6981,14 +7012,14 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 3, O); 
     return;
     break;
-  case 44:
+  case 45:
     // VST2b16, VST2b32, VST2b8
     printVectorListTwoSpaced(MI, 2, O, MRI); 
     SStream_concat0(O, ", "); 
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 45:
+  case 46:
     // VST2b16wb_fixed, VST2b32wb_fixed, VST2b8wb_fixed
     printVectorListTwoSpaced(MI, 3, O, MRI); 
     SStream_concat0(O, ", "); 
@@ -6996,7 +7027,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 46:
+  case 47:
     // VST2b16wb_register, VST2b32wb_register, VST2b8wb_register
     printVectorListTwoSpaced(MI, 4, O, MRI); 
     SStream_concat0(O, ", "); 
@@ -7005,52 +7036,52 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 3, O); 
     return;
     break;
-  case 47:
+  case 48:
     // t2DMB, t2DSB
     printMemBOption(MI, 0, O); 
     return;
     break;
-  case 48:
+  case 49:
     // t2ISB
     printInstSyncBOption(MI, 0, O); 
     return;
     break;
-  case 49:
+  case 50:
     // t2PLDWi12, t2PLDi12, t2PLIi12
     printAddrModeImm12Operand(MI, 0, O, false); 
     return;
     break;
-  case 50:
+  case 51:
     // t2PLDWi8, t2PLDi8, t2PLIi8
     printT2AddrModeImm8Operand(MI, 0, O, false); 
     return;
     break;
-  case 51:
+  case 52:
     // t2PLDWs, t2PLDs, t2PLIs
     printT2AddrModeSoRegOperand(MI, 0, O); 
     return;
     break;
-  case 52:
+  case 53:
     // t2PLDpci, t2PLIpci
     printThumbLdrLabelOperand(MI, 0, O); 
     return;
     break;
-  case 53:
+  case 54:
     // t2TBB
     printAddrModeTBB(MI, 0, O); 
     return;
     break;
-  case 54:
+  case 55:
     // t2TBH
     printAddrModeTBH(MI, 0, O); 
     return;
     break;
-  case 55:
+  case 56:
     // tADC, tADDi8, tAND, tASRrr, tBIC, tEOR, tLSLrr, tLSRrr, tORR, tROR, tS...
     printOperand(MI, 3, O); 
     return;
     break;
-  case 56:
+  case 57:
     // tPOP, tPUSH
     printRegisterList(MI, 2, O); 
     return;
@@ -7058,10 +7089,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 3 encoded into 5 bits for 28 unique commands.
+  // Fragment 3 encoded into 5 bits for 29 unique commands.
   //printf("Frag-3: %"PRIu64"\n", (Bits >> 30) & 31);
   switch ((Bits >> 30) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADCri, ADCrr, ADCrsi, ADDri, ADDrr, ADDrsi, ADR, ANDri, ANDrr, ANDrsi,...
     SStream_concat0(O, ", "); 
@@ -7071,7 +7102,7 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 2:
-    // CDP, MCR, MCRR, MRRC, VABDfd, VABDfq, VABSD, VABSS, VABSfd, VABSfq, VA...
+    // CDP, MCR, MCRR, MRRC, MSR, VABDfd, VABDfq, VABSD, VABSS, VABSfd, VABSf...
     printOperand(MI, 1, O); 
     break;
   case 3:
@@ -7101,112 +7132,117 @@ static void printInstruction(MCInst *MI,
     break;
   case 8:
     // MRS, t2MRS_AR
-    SStream_concat0(O, ", apsr");
+    SStream_concat0(O, ", apsr"); 
 	ARM_addReg(MI, ARM_REG_APSR);
     return;
     break;
   case 9:
     // MRSsys, t2MRSsys_AR
-    SStream_concat0(O, ", spsr");
+    SStream_concat0(O, ", spsr"); 
 	ARM_addReg(MI, ARM_REG_SPSR);
     return;
     break;
   case 10:
+    // MSRi
+    printModImmOperand(MI, 1, O); 
+    return;
+    break;
+  case 11:
     // VCEQzv16i8, VCEQzv2i32, VCEQzv4i16, VCEQzv4i32, VCEQzv8i16, VCEQzv8i8,...
     SStream_concat0(O, ", #0"); 
 	op_addImm(MI, 0);
     return;
     break;
-  case 11:
+  case 12:
     // VCVTf2xsd, VCVTf2xsq, VCVTf2xud, VCVTf2xuq, VCVTxs2fd, VCVTxs2fq, VCVT...
     printOperand(MI, 2, O); 
     break;
-  case 12:
+  case 13:
     // VGETLNs16, VGETLNs8, VGETLNu16, VGETLNu8
     printVectorIndex(MI, 2, O); 
     return;
     break;
-  case 13:
+  case 14:
     // VLD1DUPd16, VLD1DUPd32, VLD1DUPd8, VLD1DUPq16, VLD1DUPq32, VLD1DUPq8, ...
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 14:
+  case 15:
     // VLD1DUPd16wb_fixed, VLD1DUPd16wb_register, VLD1DUPd32wb_fixed, VLD1DUP...
     printAddrMode6Operand(MI, 2, O); 
     break;
-  case 15:
+  case 16:
     // VLD1LNd16, VLD1LNd16_UPD, VLD1LNd32, VLD1LNd32_UPD, VLD1LNd8, VLD1LNd8...
     SStream_concat0(O, "["); 
 	set_mem_access(MI, true);
     break;
-  case 16:
+  case 17:
     // VLD3DUPd16, VLD3DUPd16_UPD, VLD3DUPd32, VLD3DUPd32_UPD, VLD3DUPd8, VLD...
     SStream_concat0(O, "[], "); 
     printOperand(MI, 1, O); 
     SStream_concat0(O, "[], "); 
     printOperand(MI, 2, O); 
     break;
-  case 17:
+  case 18:
     // VLD3DUPdWB_fixed_Asm_16, VLD3DUPdWB_fixed_Asm_32, VLD3DUPdWB_fixed_Asm...
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 18:
+  case 19:
     // VMRS
-    SStream_concat0(O, ", fpscr");
+    SStream_concat0(O, ", fpscr"); 
 	ARM_addReg(MI, ARM_REG_FPSCR);
     return;
     break;
-  case 19:
+  case 20:
     // VMRS_FPEXC
-    SStream_concat0(O, ", fpexc");
+    SStream_concat0(O, ", fpexc"); 
 	ARM_addReg(MI, ARM_REG_FPEXC);
     return;
     break;
-  case 20:
+  case 21:
     // VMRS_FPINST
-    SStream_concat0(O, ", fpinst");
+    SStream_concat0(O, ", fpinst"); 
 	ARM_addReg(MI, ARM_REG_FPINST);
     return;
     break;
-  case 21:
+  case 22:
     // VMRS_FPINST2
-    SStream_concat0(O, ", fpinst2");
+    SStream_concat0(O, ", fpinst2"); 
 	ARM_addReg(MI, ARM_REG_FPINST2);
     return;
     break;
-  case 22:
+  case 23:
     // VMRS_FPSID
-    SStream_concat0(O, ", fpsid");
+    SStream_concat0(O, ", fpsid"); 
 	ARM_addReg(MI, ARM_REG_FPSID);
     return;
     break;
-  case 23:
+  case 24:
     // VMRS_MVFR0
-    SStream_concat0(O, ", mvfr0");
+    SStream_concat0(O, ", mvfr0"); 
 	ARM_addReg(MI, ARM_REG_MVFR0);
     return;
     break;
-  case 24:
+  case 25:
     // VMRS_MVFR1
-    SStream_concat0(O, ", mvfr1");
+    SStream_concat0(O, ", mvfr1"); 
 	ARM_addReg(MI, ARM_REG_MVFR1);
     return;
     break;
-  case 25:
+  case 26:
     // VMRS_MVFR2
-    SStream_concat0(O, ", mvfr2");
+    SStream_concat0(O, ", mvfr2"); 
 	ARM_addReg(MI, ARM_REG_MVFR2);
     return;
     break;
-  case 26:
+  case 27:
     // VSETLNi16, VSETLNi32, VSETLNi8
     printVectorIndex(MI, 3, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 27:
+  case 28:
     // VSLTOD, VSLTOS, VTOSLD, VTOSLS, VTOULD, VTOULS, VULTOD, VULTOS
     printFBits32(MI, 2, O); 
     return;
@@ -7214,10 +7250,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 4 encoded into 6 bits for 62 unique commands.
+  // Fragment 4 encoded into 6 bits for 64 unique commands.
   //printf("Frag-4: %"PRIu64"\n", (Bits >> 35) & 63);
   switch ((Bits >> 35) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADCri, ADCrr, ADCrsi, ADDri, ADDrr, ADDrsi, ANDri, ANDrr, ANDrsi, ASRi...
     printOperand(MI, 1, O); 
@@ -7241,77 +7277,82 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 5:
+    // CMNri, CMPri, MOVi, MVNi, TEQri, TSTri
+    printModImmOperand(MI, 1, O); 
+    return;
+    break;
+  case 6:
     // CMNzrsi, CMPrsi, MOVsi, MVNsi, TEQrsi, TSTrsi
     printSORegImmOperand(MI, 1, O); 
     return;
     break;
-  case 6:
+  case 7:
     // CMNzrsr, CMPrsr, MOVsr, MVNsr, TEQrsr, TSTrsr, t2MOVSsr, t2MOVsr
     printSORegRegOperand(MI, 1, O); 
     return;
     break;
-  case 7:
+  case 8:
     // FLDMXDB_UPD, FLDMXIA_UPD, FSTMXDB_UPD, FSTMXIA_UPD, LDMDA_UPD, LDMDB_U...
     return;
     break;
-  case 8:
+  case 9:
     // FLDMXIA, FSTMXIA, LDMDA, LDMDB, LDMIA, LDMIB, STMDA, STMDB, STMIA, STM...
     printRegisterList(MI, 3, O); 
     break;
-  case 9:
+  case 10:
     // LDA, LDAB, LDAEX, LDAEXB, LDAEXH, LDAH, LDRBT_POST, LDREX, LDREXB, LDR...
     printAddrMode7Operand(MI, 1, O); 
     return;
     break;
-  case 10:
+  case 11:
     // LDCL_OFFSET, LDC_OFFSET, STCL_OFFSET, STC_OFFSET, t2LDC2L_OFFSET, t2LD...
     printAddrMode5Operand(MI, 2, O, false); 
     return;
     break;
-  case 11:
+  case 12:
     // LDCL_OPTION, LDCL_POST, LDC_OPTION, LDC_POST, LDRBT_POST_IMM, LDRBT_PO...
     printAddrMode7Operand(MI, 2, O); 
     break;
-  case 12:
+  case 13:
     // LDCL_PRE, LDC_PRE, STCL_PRE, STC_PRE, t2LDC2L_PRE, t2LDC2_PRE, t2LDCL_...
     printAddrMode5Operand(MI, 2, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 13:
+  case 14:
     // LDRB_PRE_IMM, LDR_PRE_IMM, STRB_PRE_IMM, STR_PRE_IMM
     printAddrModeImm12Operand(MI, 2, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 14:
+  case 15:
     // LDRB_PRE_REG, LDR_PRE_REG, STRB_PRE_REG, STR_PRE_REG
     printAddrMode2Operand(MI, 2, O); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 15:
+  case 16:
     // LDRBi12, LDRcp, LDRi12, STRBi12, STRi12, t2LDRBi12, t2LDRHi12, t2LDRSB...
     printAddrModeImm12Operand(MI, 1, O, false); 
     return;
     break;
-  case 16:
+  case 17:
     // LDRBrs, LDRrs, STRBrs, STRrs
     printAddrMode2Operand(MI, 1, O); 
     return;
     break;
-  case 17:
+  case 18:
     // LDRH, LDRSB, LDRSH, STRH
     printAddrMode3Operand(MI, 1, O, false); 
     return;
     break;
-  case 18:
+  case 19:
     // LDRH_PRE, LDRSB_PRE, LDRSH_PRE, STRH_PRE
     printAddrMode3Operand(MI, 2, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 19:
+  case 20:
     // MCR2
     printCImmediate(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -7320,57 +7361,62 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 5, O); 
     return;
     break;
-  case 20:
+  case 21:
     // MCRR2, MRRC2, SHA1C, SHA1M, SHA1P, SHA1SU0, SHA256H, SHA256H2, SHA256S...
     printOperand(MI, 3, O); 
     break;
-  case 21:
+  case 22:
+    // MRSbanked, t2MRSbanked
+    printBankedRegOperand(MI, 1, O); 
+    return;
+    break;
+  case 23:
     // SSAT, SSAT16, t2SSAT, t2SSAT16
     printImmPlusOneOperand(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     break;
-  case 22:
+  case 24:
     // STLEXD, STREXD
     printGPRPairOperand(MI, 1, O, MRI); 
     SStream_concat0(O, ", "); 
     printAddrMode7Operand(MI, 2, O); 
     return;
     break;
-  case 23:
+  case 25:
     // VCEQzv2f32, VCEQzv4f32, VCGEzv2f32, VCGEzv4f32, VCGTzv2f32, VCGTzv4f32...
     SStream_concat0(O, ", #0"); 
 	op_addImm(MI, 0);
     return;
     break;
-  case 24:
+  case 26:
     // VLD1DUPd16wb_fixed, VLD1DUPd32wb_fixed, VLD1DUPd8wb_fixed, VLD1DUPq16w...
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 25:
+  case 27:
     // VLD1LNd16, VLD1LNd32, VLD1LNd8, VST2LNd16, VST2LNd32, VST2LNd8, VST2LN...
     printNoHashImmediate(MI, 4, O); 
     break;
-  case 26:
+  case 28:
     // VLD1LNd16_UPD, VLD1LNd32_UPD, VLD1LNd8_UPD, VLD2LNd16, VLD2LNd32, VLD2...
     printNoHashImmediate(MI, 6, O); 
     break;
-  case 27:
+  case 29:
     // VLD1LNdAsm_16, VLD1LNdAsm_32, VLD1LNdAsm_8, VLD1LNdWB_fixed_Asm_16, VL...
     printAddrMode6Operand(MI, 2, O); 
     break;
-  case 28:
+  case 30:
     // VLD2LNd16_UPD, VLD2LNd32_UPD, VLD2LNd8_UPD, VLD2LNq16_UPD, VLD2LNq32_U...
     printNoHashImmediate(MI, 8, O); 
     SStream_concat0(O, "], "); 
 	set_mem_access(MI, false);
     break;
-  case 29:
+  case 31:
     // VLD3DUPd16, VLD3DUPd16_UPD, VLD3DUPd32, VLD3DUPd32_UPD, VLD3DUPd8, VLD...
     SStream_concat0(O, "[]}, "); 
     break;
-  case 30:
+  case 32:
     // VLD3LNd16_UPD, VLD3LNd32_UPD, VLD3LNd8_UPD, VLD3LNq16_UPD, VLD3LNq32_U...
     printNoHashImmediate(MI, 10, O); 
     SStream_concat0(O, "], "); 
@@ -7386,13 +7432,13 @@ static void printInstruction(MCInst *MI,
 	set_mem_access(MI, true);
     printNoHashImmediate(MI, 10, O); 
     break;
-  case 31:
+  case 33:
     // VLD4DUPd16, VLD4DUPd16_UPD, VLD4DUPd32, VLD4DUPd32_UPD, VLD4DUPd8, VLD...
     SStream_concat0(O, "[], "); 
     printOperand(MI, 3, O); 
     SStream_concat0(O, "[]}, "); 
     break;
-  case 32:
+  case 34:
     // VLD4LNd16_UPD, VLD4LNd32_UPD, VLD4LNd8_UPD, VLD4LNq16_UPD, VLD4LNq32_U...
     printNoHashImmediate(MI, 12, O); 
     SStream_concat0(O, "], "); 
@@ -7419,12 +7465,12 @@ static void printInstruction(MCInst *MI,
     printAddrMode6OffsetOperand(MI, 7, O); 
     return;
     break;
-  case 33:
+  case 35:
     // VLDRD, VLDRS, VSTRD, VSTRS
     printAddrMode5Operand(MI, 1, O, false); 
     return;
     break;
-  case 34:
+  case 36:
     // VST1LNd16, VST1LNd32, VST1LNd8
     printNoHashImmediate(MI, 3, O); 
     SStream_concat0(O, "]}, "); 
@@ -7432,11 +7478,11 @@ static void printInstruction(MCInst *MI,
     printAddrMode6Operand(MI, 0, O); 
     return;
     break;
-  case 35:
+  case 37:
     // VST1LNd16_UPD, VST1LNd32_UPD, VST1LNd8_UPD, VST3LNd16, VST3LNd32, VST3...
     printNoHashImmediate(MI, 5, O); 
     break;
-  case 36:
+  case 38:
     // VST3LNd16_UPD, VST3LNd32_UPD, VST3LNd8_UPD, VST3LNq16_UPD, VST3LNq32_U...
     printNoHashImmediate(MI, 7, O); 
     SStream_concat0(O, "], "); 
@@ -7457,146 +7503,146 @@ static void printInstruction(MCInst *MI,
     printAddrMode6OffsetOperand(MI, 3, O); 
     return;
     break;
-  case 37:
+  case 39:
     // VST3d16_UPD, VST3d32_UPD, VST3d8_UPD, VST3q16_UPD, VST3q32_UPD, VST3q8...
     printOperand(MI, 5, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 6, O); 
     break;
-  case 38:
+  case 40:
     // VTBL1
     printVectorListOne(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 39:
+  case 41:
     // VTBL2
     printVectorListTwo(MI, 1, O, MRI); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 40:
+  case 42:
     // VTBL3
     printVectorListThree(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 41:
+  case 43:
     // VTBL4
     printVectorListFour(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 42:
+  case 44:
     // VTBX1
     printVectorListOne(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 3, O); 
     return;
     break;
-  case 43:
+  case 45:
     // VTBX2
     printVectorListTwo(MI, 2, O, MRI); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 3, O); 
     return;
     break;
-  case 44:
+  case 46:
     // VTBX3
     printVectorListThree(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 3, O); 
     return;
     break;
-  case 45:
+  case 47:
     // VTBX4
     printVectorListFour(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 3, O); 
     return;
     break;
-  case 46:
+  case 48:
     // sysLDMDA_UPD, sysLDMDB_UPD, sysLDMIA_UPD, sysLDMIB_UPD, sysSTMDA_UPD, ...
-    SStream_concat0(O, " ^");
+    SStream_concat0(O, " ^"); 
 	ARM_addUserMode(MI);
     return;
     break;
-  case 47:
+  case 49:
     // t2CMNzrs, t2CMPrs, t2MOVSsi, t2MOVsi, t2MVNs, t2TEQrs, t2TSTrs
     printT2SOOperand(MI, 1, O); 
     return;
     break;
-  case 48:
+  case 50:
     // t2LDRBT, t2LDRBi8, t2LDRHT, t2LDRHi8, t2LDRSBT, t2LDRSBi8, t2LDRSHT, t...
     printT2AddrModeImm8Operand(MI, 1, O, false); 
     return;
     break;
-  case 49:
+  case 51:
     // t2LDRB_PRE, t2LDRH_PRE, t2LDRSB_PRE, t2LDRSH_PRE, t2LDR_PRE, t2STRB_PR...
     printT2AddrModeImm8Operand(MI, 2, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 50:
+  case 52:
     // t2LDRBpci, t2LDRHpci, t2LDRSBpci, t2LDRSHpci, t2LDRpci, tLDRpci
     printThumbLdrLabelOperand(MI, 1, O); 
     return;
     break;
-  case 51:
+  case 53:
     // t2LDRBs, t2LDRHs, t2LDRSBs, t2LDRSHs, t2LDRs, t2STRBs, t2STRHs, t2STRs
     printT2AddrModeSoRegOperand(MI, 1, O); 
     return;
     break;
-  case 52:
+  case 54:
     // t2LDREX
     printT2AddrModeImm0_1020s4Operand(MI, 1, O); 
     return;
     break;
-  case 53:
+  case 55:
     // t2MRS_M
     printMSRMaskOperand(MI, 1, O); 
     return;
     break;
-  case 54:
+  case 56:
     // tADDspi, tSUBspi
     printThumbS4ImmOperand(MI, 2, O); 
     return;
     break;
-  case 55:
+  case 57:
     // tADR
     printAdrLabelOperand(MI, 1, O, 2); 
     return;
     break;
-  case 56:
+  case 58:
     // tASRri, tLSRri
     printThumbSRImm(MI, 3, O); 
     return;
     break;
-  case 57:
+  case 59:
     // tLDRBi, tSTRBi
     printThumbAddrModeImm5S1Operand(MI, 1, O); 
     return;
     break;
-  case 58:
+  case 60:
     // tLDRBr, tLDRHr, tLDRSB, tLDRSH, tLDRr, tSTRBr, tSTRHr, tSTRr
     printThumbAddrModeRROperand(MI, 1, O); 
     return;
     break;
-  case 59:
+  case 61:
     // tLDRHi, tSTRHi
     printThumbAddrModeImm5S2Operand(MI, 1, O); 
     return;
     break;
-  case 60:
+  case 62:
     // tLDRi, tSTRi
     printThumbAddrModeImm5S4Operand(MI, 1, O); 
     return;
     break;
-  case 61:
+  case 63:
     // tLDRspi, tSTRspi
     printThumbAddrModeSPOperand(MI, 1, O); 
     return;
@@ -7607,7 +7653,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 5 encoded into 5 bits for 23 unique commands.
   //printf("Frag-5: %"PRIu64"\n", (Bits >> 41) & 31);
   switch ((Bits >> 41) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADCri, ADCrr, ADCrsi, ADDri, ADDrr, ADDrsi, ANDri, ANDrr, ANDrsi, ASRi...
     SStream_concat0(O, ", "); 
@@ -7624,7 +7670,7 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 2:
-    // CLZ, CMNri, CMNzrr, CMPri, CMPrr, CPS3p, CRC32B, CRC32CB, CRC32CH, CRC...
+    // CLZ, CMNzrr, CMPrr, CPS3p, CRC32B, CRC32CB, CRC32CH, CRC32CW, CRC32H, ...
     return;
     break;
   case 3:
@@ -7735,7 +7781,7 @@ static void printInstruction(MCInst *MI,
     break;
   case 20:
     // sysLDMDA, sysLDMDB, sysLDMIA, sysLDMIB, sysSTMDA, sysSTMDB, sysSTMIA, ...
-    SStream_concat0(O, " ^");
+    SStream_concat0(O, " ^"); 
 	ARM_addUserMode(MI);
     return;
     break;
@@ -7753,106 +7799,111 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 6 encoded into 6 bits for 35 unique commands.
+  // Fragment 6 encoded into 6 bits for 36 unique commands.
   //printf("Frag-6: %"PRIu64"\n", (Bits >> 46) & 63);
   switch ((Bits >> 46) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ADCri, ADCrr, ADDri, ADDrr, ANDri, ANDrr, ASRi, ASRr, BICri, BICrr, EO...
-    printOperand(MI, 2, O); 
+    // ADCri, ADDri, ANDri, BICri, EORri, ORRri, RSBri, RSCri, SBCri, SUBri
+    printModImmOperand(MI, 2, O); 
+    return;
     break;
   case 1:
+    // ADCrr, ADDrr, ANDrr, ASRi, ASRr, BICrr, EORrr, LSLi, LSLr, LSRi, LSRr,...
+    printOperand(MI, 2, O); 
+    break;
+  case 2:
     // ADCrsi, ADDrsi, ANDrsi, BICrsi, EORrsi, ORRrsi, RSBrsi, RSCrsi, SBCrsi...
     printSORegImmOperand(MI, 2, O); 
     return;
     break;
-  case 2:
+  case 3:
     // BFI, t2BFI
     printBitfieldInvMaskImmOperand(MI, 3, O); 
     return;
     break;
-  case 3:
+  case 4:
     // LDCL_OPTION, LDC_OPTION, STCL_OPTION, STC_OPTION, t2LDC2L_OPTION, t2LD...
     printCoprocOptionImm(MI, 3, O); 
     return;
     break;
-  case 4:
+  case 5:
     // LDCL_POST, LDC_POST, STCL_POST, STC_POST, t2LDC2L_POST, t2LDC2_POST, t...
     printPostIdxImm8s4Operand(MI, 3, O); 
     return;
     break;
-  case 5:
+  case 6:
     // LDRBT_POST_IMM, LDRBT_POST_REG, LDRB_POST_IMM, LDRB_POST_REG, LDRT_POS...
     printAddrMode2OffsetOperand(MI, 3, O); 
     return;
     break;
-  case 6:
+  case 7:
     // LDRD, STRD
     printAddrMode3Operand(MI, 2, O, false); 
     return;
     break;
-  case 7:
+  case 8:
     // LDRD_POST, STRD_POST, t2LDRD_POST, t2STRD_POST
     printAddrMode7Operand(MI, 3, O); 
     break;
-  case 8:
+  case 9:
     // LDRD_PRE, STRD_PRE
     printAddrMode3Operand(MI, 3, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 9:
+  case 10:
     // LDRHTi, LDRSBTi, LDRSHTi, STRHTi
     printPostIdxImm8Operand(MI, 3, O); 
     return;
     break;
-  case 10:
+  case 11:
     // LDRHTr, LDRSBTr, LDRSHTr, STRHTr
     printPostIdxRegOperand(MI, 3, O); 
     return;
     break;
-  case 11:
+  case 12:
     // LDRH_POST, LDRSB_POST, LDRSH_POST, STRH_POST
     printAddrMode3OffsetOperand(MI, 3, O); 
     return;
     break;
-  case 12:
+  case 13:
     // MCR, MCRR, MRRC, t2MCR, t2MCR2, t2MCRR, t2MCRR2, t2MRRC, t2MRRC2
     SStream_concat0(O, ", "); 
     break;
-  case 13:
+  case 14:
     // MCRR2, MRRC2
     printCImmediate(MI, 4, O); 
     return;
     break;
-  case 14:
+  case 15:
     // STLEX, STLEXB, STLEXH, STREX, STREXB, STREXH, SWP, SWPB, t2LDAEXD, t2L...
     printAddrMode7Operand(MI, 2, O); 
     return;
     break;
-  case 15:
+  case 16:
     // VABDfd, VABDfq, VACGEd, VACGEq, VACGTd, VACGTq, VADDD, VADDS, VADDfd, ...
     return;
     break;
-  case 16:
+  case 17:
     // VBIFd, VBIFq, VBITd, VBITq, VBSLd, VBSLq, VLD4LNd16, VLD4LNd32, VLD4LN...
     printOperand(MI, 3, O); 
     break;
-  case 17:
+  case 18:
     // VLD1LNd16, VLD1LNd32, VLD1LNd8, VST1LNd16_UPD, VST1LNd32_UPD, VST1LNd8...
     printAddrMode6Operand(MI, 1, O); 
     break;
-  case 18:
+  case 19:
     // VLD1LNd16_UPD, VLD1LNd32_UPD, VLD1LNd8_UPD
     printAddrMode6Operand(MI, 2, O); 
     printAddrMode6OffsetOperand(MI, 4, O); 
     return;
     break;
-  case 19:
+  case 20:
     // VLD1LNdWB_register_Asm_16, VLD1LNdWB_register_Asm_32, VLD1LNdWB_regist...
     printOperand(MI, 4, O); 
     break;
-  case 20:
+  case 21:
     // VLD2LNd16, VLD2LNd32, VLD2LNd8, VLD2LNq16, VLD2LNq32
     printOperand(MI, 1, O); 
     SStream_concat0(O, "["); 
@@ -7863,7 +7914,7 @@ static void printInstruction(MCInst *MI,
     printAddrMode6Operand(MI, 2, O); 
     return;
     break;
-  case 21:
+  case 22:
     // VLD2LNd16_UPD, VLD2LNd32_UPD, VLD2LNd8_UPD, VLD2LNq16_UPD, VLD2LNq32_U...
     SStream_concat0(O, "]}, "); 
 	set_mem_access(MI, false);
@@ -7871,12 +7922,12 @@ static void printInstruction(MCInst *MI,
     printAddrMode6OffsetOperand(MI, 5, O); 
     return;
     break;
-  case 22:
+  case 23:
     // VLD3DUPd16_UPD, VLD3DUPd32_UPD, VLD3DUPd8_UPD, VLD3DUPq16_UPD, VLD3DUP...
     printAddrMode6OffsetOperand(MI, 6, O); 
     return;
     break;
-  case 23:
+  case 24:
     // VLD3LNd16, VLD3LNd32, VLD3LNd8, VLD3LNq16, VLD3LNq32
     SStream_concat0(O, "], "); 
 	set_mem_access(MI, false);
@@ -7889,23 +7940,23 @@ static void printInstruction(MCInst *MI,
     printAddrMode6Operand(MI, 3, O); 
     return;
     break;
-  case 24:
+  case 25:
     // VLD3LNd16_UPD, VLD3LNd32_UPD, VLD3LNd8_UPD, VLD3LNq16_UPD, VLD3LNq32_U...
     printAddrMode6Operand(MI, 4, O); 
     printAddrMode6OffsetOperand(MI, 6, O); 
     return;
     break;
-  case 25:
+  case 26:
     // VMLAslfd, VMLAslfq, VMLSslfd, VMLSslfq
     printVectorIndex(MI, 4, O); 
     return;
     break;
-  case 26:
+  case 27:
     // VMULslfd, VMULslfq
     printVectorIndex(MI, 3, O); 
     return;
     break;
-  case 27:
+  case 28:
     // VST2LNd16_UPD, VST2LNd32_UPD, VST2LNd8_UPD, VST2LNq16_UPD, VST2LNq32_U...
     printOperand(MI, 5, O); 
     SStream_concat0(O, "["); 
@@ -7917,7 +7968,7 @@ static void printInstruction(MCInst *MI,
     printAddrMode6OffsetOperand(MI, 3, O); 
     return;
     break;
-  case 28:
+  case 29:
     // VST4d16_UPD, VST4d32_UPD, VST4d8_UPD, VST4q16_UPD, VST4q32_UPD, VST4q8...
     printOperand(MI, 7, O); 
     SStream_concat0(O, "}, "); 
@@ -7925,33 +7976,33 @@ static void printInstruction(MCInst *MI,
     printAddrMode6OffsetOperand(MI, 3, O); 
     return;
     break;
-  case 29:
+  case 30:
     // t2ADCrs, t2ADDrs, t2ANDrs, t2BICrs, t2EORrs, t2ORNrs, t2ORRrs, t2RSBrs...
     printT2SOOperand(MI, 2, O); 
     return;
     break;
-  case 30:
+  case 31:
     // t2ASRri, t2LSRri
     printThumbSRImm(MI, 2, O); 
     return;
     break;
-  case 31:
+  case 32:
     // t2LDRD_PRE, t2STRD_PRE
     printT2AddrModeImm8s4Operand(MI, 3, O, true); 
     SStream_concat0(O, "!"); 
     return;
     break;
-  case 32:
+  case 33:
     // t2LDRDi8, t2STRDi8
     printT2AddrModeImm8s4Operand(MI, 2, O, false); 
     return;
     break;
-  case 33:
+  case 34:
     // t2STREX
     printT2AddrModeImm0_1020s4Operand(MI, 2, O); 
     return;
     break;
-  case 34:
+  case 35:
     // tADDrSPi
     printThumbS4ImmOperand(MI, 2, O); 
     return;
@@ -7962,9 +8013,9 @@ static void printInstruction(MCInst *MI,
   // Fragment 7 encoded into 4 bits for 12 unique commands.
   //printf("Frag-7: %"PRIu64"\n", (Bits >> 52) & 15);
   switch ((Bits >> 52) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ADCri, ADCrr, ADDri, ADDrr, ANDri, ANDrr, ASRi, ASRr, BICri, BICrr, EO...
+    // ADCrr, ADDrr, ANDrr, ASRi, ASRr, BICrr, EORrr, LSLi, LSLr, LSRi, LSRr,...
     return;
     break;
   case 1:
@@ -8032,7 +8083,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 8 encoded into 4 bits for 13 unique commands.
   //printf("Frag-8: %"PRIu64"\n", (Bits >> 56) & 15);
   switch ((Bits >> 56) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // LDRD_POST, STRD_POST
     printAddrMode3OffsetOperand(MI, 4, O); 
@@ -8359,7 +8410,7 @@ static const char *getRegisterName(unsig
   /* 1447 */ 'a', 'p', 's', 'r', '_', 'n', 'z', 'c', 'v', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
+  static const uint16_t RegAsmOffset[] = {
     1414, 1447, 1419, 1373, 1429, 1405, 1436, 1379, 1385, 1411, 1370, 1402, 1424, 131, 
     288, 420, 566, 710, 849, 977, 1100, 1228, 1351, 39, 192, 347, 485, 625, 
     765, 893, 1017, 1144, 1268, 83, 232, 391, 525, 669, 805, 933, 1053, 1184, 
@@ -8384,7 +8435,7 @@ static const char *getRegisterName(unsig
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
@@ -8704,8 +8755,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
-      // (ANDri rGPR:$Rd, rGPR:$Rn, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "bic$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      // (ANDri rGPR:$Rd, rGPR:$Rn, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "bic$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -8713,8 +8764,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
-      // (ANDri rGPR:$Rdn, rGPR:$Rdn, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "bic$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      // (ANDri rGPR:$Rdn, rGPR:$Rdn, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "bic$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -8724,8 +8775,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
-      // (BICri rGPR:$Rd, rGPR:$Rn, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "and$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      // (BICri rGPR:$Rd, rGPR:$Rn, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "and$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -8733,8 +8784,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
-      // (BICri rGPR:$Rdn, rGPR:$Rdn, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "and$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      // (BICri rGPR:$Rdn, rGPR:$Rdn, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "and$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -8751,8 +8802,8 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
-      // (CMNri rGPR:$Rd, so_imm_neg:$imm, pred:$p)
-      AsmString = "cmp$\xFF\x03\x01} $\x01, $\x02";
+      // (CMNri rGPR:$Rd, mod_imm_neg:$imm, pred:$p)
+      AsmString = "cmp$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -8760,8 +8811,8 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
-      // (CMPri rGPR:$Rd, so_imm_neg:$imm, pred:$p)
-      AsmString = "cmn$\xFF\x03\x01} $\x01, $\x02";
+      // (CMPri rGPR:$Rd, mod_imm_neg:$imm, pred:$p)
+      AsmString = "cmn$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -8788,7 +8839,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
       // (FCONSTD DPR:$Dd, vfp_f64imm:$val, pred:$p)
-      AsmString = "fconstd$\xFF\x03\x01} $\x01, $\xFF\x02\x03";
+      AsmString = "fconstd$\xFF\x03\x01 $\x01, $\xFF\x02\x03";
       break;
     }
     return NULL;
@@ -8797,14 +8848,14 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 0)) {
       // (FCONSTS SPR:$Sd, vfp_f32imm:$val, pred:$p)
-      AsmString = "fconsts$\xFF\x03\x01} $\x01, $\xFF\x02\x03";
+      AsmString = "fconsts$\xFF\x03\x01 $\x01, $\xFF\x02\x03";
       break;
     }
     return NULL;
   case ARM_FMSTAT:
     if (MCInst_getNumOperands(MI) == 2) {
       // (FMSTAT pred:$p)
-      AsmString = "fmstat$\xFF\x01\x01}";
+      AsmString = "fmstat$\xFF\x01\x01";
       break;
     }
     return NULL;
@@ -8865,7 +8916,7 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_getReg(MCInst_getOperand(MI, 0)) == ARM_SP) {
       // (LDMIA_UPD SP, pred:$p, reglist:$regs)
-      AsmString = "pop$\xFF\x02\x01} $\xFF\x04\x04";
+      AsmString = "pop$\xFF\x02\x01 $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -8876,7 +8927,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (MCR p_imm:$cop, imm0_7:$opc1, GPR:$Rt, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mcr$\xFF\x07\x01} $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mcr$\xFF\x07\x01 $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -8902,7 +8953,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 3)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 3)) {
       // (MLA GPRnopc:$Rd, GPRnopc:$Rn, GPRnopc:$Rm, GPRnopc:$Ra, pred:$p, cc_out:$s)
-      AsmString = "mla$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\x03, $\x04";
+      AsmString = "mla$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\x03, $\x04";
       break;
     }
     return NULL;
@@ -8910,8 +8961,8 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 5 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
-      // (MOVi rGPR:$Rd, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "mvn$\xFF\x05\x02}$\xFF\x03\x01} $\x01, $\x02";
+      // (MOVi rGPR:$Rd, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "mvn$\xFF\x05\x02$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -8920,7 +8971,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (MOVi16 GPR:$Rd, imm0_65535_expr:$imm, pred:$p)
-      AsmString = "mov$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "mov$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -8931,7 +8982,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (MRC GPRwithAPSR:$Rt, p_imm:$cop, imm0_7:$opc1, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mrc$\xFF\x07\x01} $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mrc$\xFF\x07\x01 $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -8951,7 +9002,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (MRS GPRnopc:$Rd, pred:$p)
-      AsmString = "mrs$\xFF\x02\x01} $\x01, cpsr";
+      AsmString = "mrs$\xFF\x02\x01 $\x01, cpsr";
       break;
     }
     return NULL;
@@ -8964,7 +9015,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 2)) {
       // (MUL GPRnopc:$Rd, GPRnopc:$Rn, GPRnopc:$Rm, pred:$p, cc_out:$s)
-      AsmString = "mul$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "mul$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -8972,8 +9023,8 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 5 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
-      // (MVNi rGPR:$Rd, so_imm_not:$imm, pred:$p, cc_out:$s)
-      AsmString = "mov$\xFF\x05\x02}$\xFF\x03\x01} $\x01, $\x02";
+      // (MVNi rGPR:$Rd, mod_imm_not:$imm, pred:$p, cc_out:$s)
+      AsmString = "mov$\xFF\x05\x02$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -8986,7 +9037,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (RSBri GPR:$Rd, GPR:$Rm, 0, pred:$p, cc_out:$s)
-      AsmString = "neg$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "neg$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9001,7 +9052,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 3)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 3)) {
       // (SMLAL GPR:$RdLo, GPR:$RdHi, GPR:$Rn, GPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "smlal$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\x03, $\x04";
+      AsmString = "smlal$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\x03, $\x04";
       break;
     }
     return NULL;
@@ -9016,7 +9067,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 3)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 3)) {
       // (SMULL GPR:$RdLo, GPR:$RdHi, GPR:$Rn, GPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "smull$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\x03, $\x04";
+      AsmString = "smull$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\x03, $\x04";
       break;
     }
     return NULL;
@@ -9085,7 +9136,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (SSAT GPRnopc:$Rd, imm1_32:$sat_imm, GPRnopc:$Rn, 0, pred:$p)
-      AsmString = "ssat$\xFF\x05\x01} $\x01, $\xFF\x02\x07, $\x03";
+      AsmString = "ssat$\xFF\x05\x01 $\x01, $\xFF\x02\x07, $\x03";
       break;
     }
     return NULL;
@@ -9093,7 +9144,7 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_getReg(MCInst_getOperand(MI, 0)) == ARM_SP) {
       // (STMDB_UPD SP, pred:$p, reglist:$regs)
-      AsmString = "push$\xFF\x02\x01} $\xFF\x04\x04";
+      AsmString = "push$\xFF\x02\x01 $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -9103,8 +9154,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 1)) {
-      // (SUBri GPR:$Rd, GPR:$Rn, so_imm_neg:$imm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      // (SUBri GPR:$Rd, GPR:$Rn, mod_imm_neg:$imm, pred:$p, cc_out:$s)
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -9112,8 +9163,8 @@ static char *printAliasInstr(MCInst *MI,
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0) &&
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
-      // (SUBri GPR:$Rd, GPR:$Rd, so_imm_neg:$imm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      // (SUBri GPR:$Rd, GPR:$Rd, mod_imm_neg:$imm, pred:$p, cc_out:$s)
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -9128,7 +9179,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (SXTAB GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxtab$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtab$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9143,7 +9194,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (SXTAB16 GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxtab16$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtab16$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9158,7 +9209,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (SXTAH GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxtah$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtah$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9171,7 +9222,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (SXTB GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxtb$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "sxtb$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9184,7 +9235,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (SXTB16 GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxtb16$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "sxtb16$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9197,7 +9248,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (SXTH GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "sxth$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "sxth$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9212,7 +9263,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 3)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 3)) {
       // (UMLAL GPR:$RdLo, GPR:$RdHi, GPR:$Rn, GPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "umlal$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\x03, $\x04";
+      AsmString = "umlal$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\x03, $\x04";
       break;
     }
     return NULL;
@@ -9227,7 +9278,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 3)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 3)) {
       // (UMULL GPR:$RdLo, GPR:$RdHi, GPR:$Rn, GPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "umull$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\x03, $\x04";
+      AsmString = "umull$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\x03, $\x04";
       break;
     }
     return NULL;
@@ -9240,7 +9291,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (USAT GPRnopc:$Rd, imm0_31:$sat_imm, GPRnopc:$Rn, 0, pred:$p)
-      AsmString = "usat$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "usat$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9255,7 +9306,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (UXTAB GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxtab$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtab$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9270,7 +9321,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (UXTAB16 GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxtab16$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtab16$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9285,7 +9336,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (UXTAH GPRnopc:$Rd, GPR:$Rn, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxtah$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtah$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9298,7 +9349,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (UXTB GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxtb$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "uxtb$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9311,7 +9362,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (UXTB16 GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxtb16$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "uxtb16$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9324,7 +9375,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (UXTH GPRnopc:$Rd, GPRnopc:$Rm, 0, pred:$p)
-      AsmString = "uxth$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "uxth$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9337,7 +9388,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VACGEd DPR:$Vd, DPR:$Vm, DPR:$Vn, pred:$p)
-      AsmString = "vacle$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vacle$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -9348,7 +9399,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (VACGEd DPR:$Vd, DPR:$Vm, DPR:$Vd, pred:$p)
-      AsmString = "vacle$\xFF\x04\x01}.f32 $\x01, $\x02";
+      AsmString = "vacle$\xFF\x04\x01.f32 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9361,7 +9412,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VACGEq QPR:$Vd, QPR:$Vm, QPR:$Vn, pred:$p)
-      AsmString = "vacle$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vacle$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -9372,7 +9423,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (VACGEq QPR:$Vd, QPR:$Vm, QPR:$Vd, pred:$p)
-      AsmString = "vacle$\xFF\x04\x01}.f32 $\x01, $\x02";
+      AsmString = "vacle$\xFF\x04\x01.f32 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9385,7 +9436,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VACGTd DPR:$Vd, DPR:$Vm, DPR:$Vn, pred:$p)
-      AsmString = "vaclt$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vaclt$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -9396,7 +9447,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (VACGTd DPR:$Vd, DPR:$Vm, DPR:$Vd, pred:$p)
-      AsmString = "vaclt$\xFF\x04\x01}.f32 $\x01, $\x02";
+      AsmString = "vaclt$\xFF\x04\x01.f32 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9409,7 +9460,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VACGTq QPR:$Vd, QPR:$Vm, QPR:$Vn, pred:$p)
-      AsmString = "vaclt$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vaclt$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -9420,7 +9471,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (VACGTq QPR:$Vd, QPR:$Vm, QPR:$Vd, pred:$p)
-      AsmString = "vaclt$\xFF\x04\x01}.f32 $\x01, $\x02";
+      AsmString = "vaclt$\xFF\x04\x01.f32 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9433,7 +9484,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VADDD DPR:$Dd, DPR:$Dn, DPR:$Dm, pred:$p)
-      AsmString = "faddd$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "faddd$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9446,7 +9497,43 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 2)) {
       // (VADDS SPR:$Sd, SPR:$Sn, SPR:$Sm, pred:$p)
-      AsmString = "fadds$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "fadds$\xFF\x04\x01 $\x01, $\x02, $\x03";
+      break;
+    }
+    return NULL;
+  case ARM_VBICiv2i32:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
+      // (VBICiv2i32 DPR:$Vd, nImmSplatNotI32:$imm, pred:$p)
+      AsmString = "vand$\xFF\x03\x01.i32 $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case ARM_VBICiv4i16:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
+      // (VBICiv4i16 DPR:$Vd, nImmSplatNotI16:$imm, pred:$p)
+      AsmString = "vand$\xFF\x03\x01.i16 $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case ARM_VBICiv4i32:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 0)) {
+      // (VBICiv4i32 QPR:$Vd, nImmSplatNotI32:$imm, pred:$p)
+      AsmString = "vand$\xFF\x03\x01.i32 $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case ARM_VBICiv8i16:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 0)) {
+      // (VBICiv8i16 QPR:$Vd, nImmSplatNotI16:$imm, pred:$p)
+      AsmString = "vand$\xFF\x03\x01.i16 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9459,7 +9546,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEfd DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9472,7 +9559,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEfq QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9485,7 +9572,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEsv16i8 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s8 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9498,7 +9585,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEsv2i32 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9511,7 +9598,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEsv4i16 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s16 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9524,7 +9611,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEsv4i32 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9537,7 +9624,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEsv8i16 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s16 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9550,7 +9637,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEsv8i8 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.s8 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.s8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9563,7 +9650,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEuv16i8 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u8 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9576,7 +9663,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEuv2i32 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9589,7 +9676,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEuv4i16 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u16 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9602,7 +9689,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEuv4i32 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u32 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9615,7 +9702,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGEuv8i16 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u16 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9628,7 +9715,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGEuv8i8 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vcle$\xFF\x04\x01}.u8 $\x01, $\x03, $\x02";
+      AsmString = "vcle$\xFF\x04\x01.u8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9641,7 +9728,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTfd DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9654,7 +9741,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTfq QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.f32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.f32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9667,7 +9754,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTsv16i8 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s8 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9680,7 +9767,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTsv2i32 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9693,7 +9780,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTsv4i16 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s16 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9706,7 +9793,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTsv4i32 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9719,7 +9806,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTsv8i16 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s16 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9732,7 +9819,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTsv8i8 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.s8 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.s8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9745,7 +9832,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTuv16i8 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u8 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9758,7 +9845,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTuv2i32 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9771,7 +9858,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTuv4i16 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u16 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9784,7 +9871,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTuv4i32 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u32 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u32 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9797,7 +9884,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 2)) {
       // (VCGTuv8i16 QPR:$Qd, QPR:$Qm, QPR:$Qn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u16 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u16 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9810,7 +9897,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VCGTuv8i8 DPR:$Dd, DPR:$Dm, DPR:$Dn, pred:$p)
-      AsmString = "vclt$\xFF\x04\x01}.u8 $\x01, $\x03, $\x02";
+      AsmString = "vclt$\xFF\x04\x01.u8 $\x01, $\x03, $\x02";
       break;
     }
     return NULL;
@@ -9819,7 +9906,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
       // (VCMPZD DPR:$val, pred:$p)
-      AsmString = "fcmpzd$\xFF\x02\x01} $\x01";
+      AsmString = "fcmpzd$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
@@ -9828,7 +9915,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 0)) {
       // (VCMPZS SPR:$val, pred:$p)
-      AsmString = "fcmpzs$\xFF\x02\x01} $\x01";
+      AsmString = "fcmpzs$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
@@ -9837,7 +9924,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
       // (VLDRD DPR:$Dd, addrmode5:$addr, pred:$p)
-      AsmString = "vldr$\xFF\x04\x01}.64 $\x01, $\xFF\x02\x08";
+      AsmString = "vldr$\xFF\x04\x01.64 $\x01, $\xFF\x02\x08";
       break;
     }
     return NULL;
@@ -9846,7 +9933,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 0)) {
       // (VLDRS SPR:$Sd, addrmode5:$addr, pred:$p)
-      AsmString = "vldr$\xFF\x04\x01}.32 $\x01, $\xFF\x02\x08";
+      AsmString = "vldr$\xFF\x04\x01.32 $\x01, $\xFF\x02\x08";
       break;
     }
     return NULL;
@@ -9859,7 +9946,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 2)) {
       // (VMOVDRR DPR:$Dn, GPR:$Rt, GPR:$Rt2, pred:$p)
-      AsmString = "vmov$\xFF\x04\x01}.f64 $\x01, $\x02, $\x03";
+      AsmString = "vmov$\xFF\x04\x01.f64 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9872,7 +9959,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VMOVRRD GPR:$Rt, GPR:$Rt2, DPR:$Dn, pred:$p)
-      AsmString = "vmov$\xFF\x04\x01}.f64 $\x01, $\x02, $\x03";
+      AsmString = "vmov$\xFF\x04\x01.f64 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -9883,7 +9970,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 1)) {
       // (VMOVS SPR:$Sd, SPR:$Sm, pred:$p)
-      AsmString = "vmov$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "vmov$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -9892,7 +9979,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
       // (VMVNv2i32 DPR:$Vd, nImmVMOVI32Neg:$imm, pred:$p)
-      AsmString = "vmov$\xFF\x03\x01}.i32 $\x01, $\xFF\x02\x09";
+      AsmString = "vmov$\xFF\x03\x01.i32 $\x01, $\xFF\x02\x09";
       break;
     }
     return NULL;
@@ -9901,7 +9988,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_QPRRegClassID, 0)) {
       // (VMVNv4i32 QPR:$Vd, nImmVMOVI32Neg:$imm, pred:$p)
-      AsmString = "vmov$\xFF\x03\x01}.i32 $\x01, $\xFF\x02\x09";
+      AsmString = "vmov$\xFF\x03\x01.i32 $\x01, $\xFF\x02\x09";
       break;
     }
     return NULL;
@@ -10200,7 +10287,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 1) {
       // (VSETLNi32 DPR:$Dd, GPR:$Rn, 1, pred:$p)
-      AsmString = "fmdhr$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "fmdhr$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -10211,7 +10298,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (VSETLNi32 DPR:$Dd, GPR:$Rn, 0, pred:$p)
-      AsmString = "fmdlr$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "fmdlr$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10222,7 +10309,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 1)) {
       // (VSQRTD DPR:$Dd, DPR:$Dm, pred:$p)
-      AsmString = "vsqrt$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "vsqrt$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10233,7 +10320,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 1)) {
       // (VSQRTS SPR:$Sd, SPR:$Sm, pred:$p)
-      AsmString = "vsqrt$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "vsqrt$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10242,7 +10329,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 0)) {
       // (VSTRD DPR:$Dd, addrmode5:$addr, pred:$p)
-      AsmString = "vstr$\xFF\x04\x01}.64 $\x01, $\xFF\x02\x08";
+      AsmString = "vstr$\xFF\x04\x01.64 $\x01, $\xFF\x02\x08";
       break;
     }
     return NULL;
@@ -10251,7 +10338,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 0)) {
       // (VSTRS SPR:$Sd, addrmode5:$addr, pred:$p)
-      AsmString = "vstr$\xFF\x04\x01}.32 $\x01, $\xFF\x02\x08";
+      AsmString = "vstr$\xFF\x04\x01.32 $\x01, $\xFF\x02\x08";
       break;
     }
     return NULL;
@@ -10264,7 +10351,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_DPRRegClassID, 2)) {
       // (VSUBD DPR:$Dd, DPR:$Dn, DPR:$Dm, pred:$p)
-      AsmString = "fsubd$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "fsubd$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10277,7 +10364,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_SPRRegClassID, 2)) {
       // (VSUBS SPR:$Sd, SPR:$Sn, SPR:$Sm, pred:$p)
-      AsmString = "fsubs$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "fsubs$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10290,7 +10377,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ADCrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "adc$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "adc$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10301,7 +10388,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2ADCrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "adc$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "adc$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -10312,7 +10399,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 1)) {
       // (t2ADDri GPRnopc:$Rd, GPRnopc:$Rn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -10321,7 +10408,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2ADDri GPRnopc:$Rdn, GPRnopc:$Rdn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -10332,7 +10419,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 1)) {
       // (t2ADDri12 GPRnopc:$Rd, GPR:$Rn, imm0_4095:$imm, pred:$p)
-      AsmString = "add$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "add$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -10341,7 +10428,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2ADDri12 GPRnopc:$Rdn, GPRnopc:$Rdn, imm0_4095:$imm, pred:$p)
-      AsmString = "add$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "add$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -10354,7 +10441,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ADDrr GPRnopc:$Rd, GPRnopc:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -10365,7 +10452,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ADDrr GPRnopc:$Rdn, GPRnopc:$Rdn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "add$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -10376,7 +10463,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 1)) {
       // (t2ADDrs GPRnopc:$Rd, GPRnopc:$Rn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "add$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     if (MCInst_getNumOperands(MI) == 7 &&
@@ -10385,7 +10472,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2ADDrs GPRnopc:$Rdn, GPRnopc:$Rdn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "add$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\xFF\x03\x0A";
+      AsmString = "add$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -10394,7 +10481,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2ADR rGPR:$Rd, t2adrlabel:$addr, pred:$p)
-      AsmString = "adr$\xFF\x03\x01} $\x01, $\xFF\x02\x0B";
+      AsmString = "adr$\xFF\x03\x01 $\x01, $\xFF\x02\x0B";
       break;
     }
     return NULL;
@@ -10407,7 +10494,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ANDrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "and$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "and$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10418,7 +10505,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2ANDrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$shift, pred:$p, cc_out:$s)
-      AsmString = "and$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "and$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -10429,7 +10516,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2ASRri rGPR:$Rd, rGPR:$Rn, imm_sr:$imm, pred:$p, cc_out:$s)
-      AsmString = "asr$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\xFF\x03\x0C";
+      AsmString = "asr$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\xFF\x03\x0C";
       break;
     }
     return NULL;
@@ -10442,7 +10529,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ASRrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "asr$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "asr$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10455,7 +10542,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2BICrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "bic$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "bic$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10466,7 +10553,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2BICrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$shift, pred:$p, cc_out:$s)
-      AsmString = "bic$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "bic$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -10475,14 +10562,14 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2CMNri GPRnopc:$Rn, t2_so_imm:$imm, pred:$p)
-      AsmString = "cmn$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "cmn$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2CMNri rGPR:$Rd, t2_so_imm_neg:$imm, pred:$p)
-      AsmString = "cmp$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "cmp$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10493,7 +10580,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2CMNzrr GPRnopc:$Rn, rGPR:$Rm, pred:$p)
-      AsmString = "cmn$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "cmn$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10502,7 +10589,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2CMNzrs GPRnopc:$Rn, t2_so_reg:$shift, pred:$p)
-      AsmString = "cmn$\xFF\x04\x01} $\x01, $\xFF\x02\x0A";
+      AsmString = "cmn$\xFF\x04\x01 $\x01, $\xFF\x02\x0A";
       break;
     }
     return NULL;
@@ -10511,14 +10598,14 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2CMPri rGPR:$Rd, t2_so_imm_neg:$imm, pred:$p)
-      AsmString = "cmn$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "cmn$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2CMPri GPRnopc:$Rn, t2_so_imm:$imm, pred:$p)
-      AsmString = "cmp$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "cmp$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10527,7 +10614,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2CMPrs GPRnopc:$Rn, t2_so_reg:$shift, pred:$p)
-      AsmString = "cmp$\xFF\x04\x01} $\x01, $\xFF\x02\x0A";
+      AsmString = "cmp$\xFF\x04\x01 $\x01, $\xFF\x02\x0A";
       break;
     }
     return NULL;
@@ -10536,7 +10623,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 0)) == 15) {
       // (t2DMB 15, pred:$p)
-      AsmString = "dmb$\xFF\x02\x01}";
+      AsmString = "dmb$\xFF\x02\x01";
       break;
     }
     return NULL;
@@ -10545,7 +10632,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 0)) == 15) {
       // (t2DSB 15, pred:$p)
-      AsmString = "dsb$\xFF\x02\x01}";
+      AsmString = "dsb$\xFF\x02\x01";
       break;
     }
     return NULL;
@@ -10556,7 +10643,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2EORri rGPR:$Rd, rGPR:$Rn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "eor$\xFF\x06\x02}$\xFF\x04\x01}.w $\x01, $\x02, $\x03";
+      AsmString = "eor$\xFF\x06\x02$\xFF\x04\x01.w $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10569,7 +10656,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2EORrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "eor$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "eor$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10580,7 +10667,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2EORrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$shift, pred:$p, cc_out:$s)
-      AsmString = "eor$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "eor$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -10633,12 +10720,19 @@ static char *printAliasInstr(MCInst *MI,
       break;
     }
     return NULL;
+  case ARM_t2HVC:
+    if (MCInst_getNumOperands(MI) == 1) {
+      // (t2HVC imm0_65535:$imm16)
+      AsmString = "hvc	$\x01";
+      break;
+    }
+    return NULL;
   case ARM_t2ISB:
     if (MCInst_getNumOperands(MI) == 3 &&
         MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 0)) == 15) {
       // (t2ISB 15, pred:$p)
-      AsmString = "isb$\xFF\x02\x01}";
+      AsmString = "isb$\xFF\x02\x01";
       break;
     }
     return NULL;
@@ -10647,7 +10741,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDMDB GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "ldmdb$\xFF\x02\x01}.w $\x01, $\xFF\x04\x04";
+      AsmString = "ldmdb$\xFF\x02\x01.w $\x01, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -10656,7 +10750,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDMDB_UPD GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "ldmdb$\xFF\x02\x01}.w $\x01!, $\xFF\x04\x04";
+      AsmString = "ldmdb$\xFF\x02\x01.w $\x01!, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -10665,7 +10759,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDMIA GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "ldm$\xFF\x02\x01} $\x01, $\xFF\x04\x04";
+      AsmString = "ldm$\xFF\x02\x01 $\x01, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -10674,7 +10768,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDMIA_UPD GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "ldm$\xFF\x02\x01} $\x01!, $\xFF\x04\x04";
+      AsmString = "ldm$\xFF\x02\x01 $\x01!, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -10683,7 +10777,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRBi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "ldrb$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "ldrb$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -10692,7 +10786,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRBpci rGPR:$Rt, t2ldrlabel:$addr, pred:$p)
-      AsmString = "ldrb$\xFF\x03\x01} $\x01, $\xFF\x02\x0E";
+      AsmString = "ldrb$\xFF\x03\x01 $\x01, $\xFF\x02\x0E";
       break;
     }
     return NULL;
@@ -10701,7 +10795,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2LDRBpcrel GPRnopc:$Rt, t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "ldrb$\xFF\x03\x01}.w $\x01, $\x02";
+      AsmString = "ldrb$\xFF\x03\x01.w $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10710,7 +10804,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRBs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "ldrb$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "ldrb$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -10719,7 +10813,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRHi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "ldrh$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "ldrh$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -10728,7 +10822,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRHpci rGPR:$Rt, t2ldrlabel:$addr, pred:$p)
-      AsmString = "ldrh$\xFF\x03\x01} $\x01, $\xFF\x02\x0E";
+      AsmString = "ldrh$\xFF\x03\x01 $\x01, $\xFF\x02\x0E";
       break;
     }
     return NULL;
@@ -10737,7 +10831,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2LDRHpcrel GPRnopc:$Rt, t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "ldrh$\xFF\x03\x01}.w $\x01, $\x02";
+      AsmString = "ldrh$\xFF\x03\x01.w $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10746,7 +10840,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRHs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "ldrh$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "ldrh$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -10755,7 +10849,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSBi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "ldrsb$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "ldrsb$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -10764,7 +10858,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSBpci rGPR:$Rt, t2ldrlabel:$addr, pred:$p)
-      AsmString = "ldrsb$\xFF\x03\x01} $\x01, $\xFF\x02\x0E";
+      AsmString = "ldrsb$\xFF\x03\x01 $\x01, $\xFF\x02\x0E";
       break;
     }
     return NULL;
@@ -10773,7 +10867,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2LDRSBpcrel GPRnopc:$Rt, t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "ldrsb$\xFF\x03\x01}.w $\x01, $\x02";
+      AsmString = "ldrsb$\xFF\x03\x01.w $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10782,7 +10876,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSBs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "ldrsb$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "ldrsb$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -10791,7 +10885,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSHi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "ldrsh$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "ldrsh$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -10800,7 +10894,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSHpci rGPR:$Rt, t2ldrlabel:$addr, pred:$p)
-      AsmString = "ldrsh$\xFF\x03\x01} $\x01, $\xFF\x02\x0E";
+      AsmString = "ldrsh$\xFF\x03\x01 $\x01, $\xFF\x02\x0E";
       break;
     }
     return NULL;
@@ -10809,7 +10903,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2LDRSHpcrel GPRnopc:$Rt, t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "ldrsh$\xFF\x03\x01}.w $\x01, $\x02";
+      AsmString = "ldrsh$\xFF\x03\x01.w $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10818,7 +10912,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2LDRSHs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "ldrsh$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "ldrsh$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -10827,7 +10921,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDRi12 GPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "ldr$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "ldr$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -10836,7 +10930,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2LDRpci GPRnopc:$Rt, t2ldrlabel:$addr, pred:$p)
-      AsmString = "ldr$\xFF\x03\x01} $\x01, $\xFF\x02\x0E";
+      AsmString = "ldr$\xFF\x03\x01 $\x01, $\xFF\x02\x0E";
       break;
     }
     return NULL;
@@ -10845,7 +10939,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2LDRs GPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "ldr$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "ldr$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -10856,7 +10950,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2LSLri rGPR:$Rd, rGPR:$Rn, imm0_31:$imm, pred:$p, cc_out:$s)
-      AsmString = "lsl$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "lsl$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10869,7 +10963,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2LSLrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "lsl$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "lsl$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10880,7 +10974,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2LSRri rGPR:$Rd, rGPR:$Rn, imm_sr:$imm, pred:$p, cc_out:$s)
-      AsmString = "lsr$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\xFF\x03\x0C";
+      AsmString = "lsr$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\xFF\x03\x0C";
       break;
     }
     return NULL;
@@ -10893,7 +10987,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2LSRrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "lsr$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "lsr$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -10904,7 +10998,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (t2MCR p_imm:$cop, imm0_7:$opc1, GPR:$Rt, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mcr$\xFF\x07\x01} $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mcr$\xFF\x07\x01 $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -10915,7 +11009,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (t2MCR2 p_imm:$cop, imm0_7:$opc1, GPR:$Rt, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mcr2$\xFF\x07\x01} $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mcr2$\xFF\x07\x01 $\xFF\x01\x05, $\x02, $\x03, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -10924,7 +11018,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2MOVi16 rGPR:$Rd, imm256_65535_expr:$imm, pred:$p)
-      AsmString = "mov$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "mov$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10935,7 +11029,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (t2MRC GPRwithAPSR:$Rt, p_imm:$cop, imm0_7:$opc1, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mrc$\xFF\x07\x01} $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mrc$\xFF\x07\x01 $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -10946,7 +11040,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 5)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 5)) == 0) {
       // (t2MRC2 GPRwithAPSR:$Rt, p_imm:$cop, imm0_7:$opc1, c_imm:$CRn, c_imm:$CRm, 0, pred:$p)
-      AsmString = "mrc2$\xFF\x07\x01} $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
+      AsmString = "mrc2$\xFF\x07\x01 $\xFF\x02\x05, $\x03, $\x01, $\xFF\x04\x06, $\xFF\x05\x06";
       break;
     }
     return NULL;
@@ -10955,7 +11049,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2MRS_AR GPR:$Rd, pred:$p)
-      AsmString = "mrs$\xFF\x02\x01} $\x01, cpsr";
+      AsmString = "mrs$\xFF\x02\x01 $\x01, cpsr";
       break;
     }
     return NULL;
@@ -10968,7 +11062,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2MUL rGPR:$Rn, rGPR:$Rm, rGPR:$Rn, pred:$p)
-      AsmString = "mul$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "mul$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10977,7 +11071,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2MVNi rGPR:$Rd, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "mvn$\xFF\x05\x02}$\xFF\x03\x01}.w $\x01, $\x02";
+      AsmString = "mvn$\xFF\x05\x02$\xFF\x03\x01.w $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10988,7 +11082,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2MVNr rGPR:$Rd, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "mvn$\xFF\x05\x02}$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "mvn$\xFF\x05\x02$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -10997,7 +11091,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2MVNs rGPR:$Rd, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "mvn$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\xFF\x02\x0A";
+      AsmString = "mvn$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\xFF\x02\x0A";
       break;
     }
     return NULL;
@@ -11008,7 +11102,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2ORNri rGPR:$Rdn, rGPR:$Rdn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "orn$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "orn$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -11021,7 +11115,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ORNrr rGPR:$Rdn, rGPR:$Rdn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "orn$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "orn$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -11032,7 +11126,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2ORNrs rGPR:$Rdn, rGPR:$Rdn, t2_so_reg:$shift, pred:$p, cc_out:$s)
-      AsmString = "orn$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\xFF\x03\x0A";
+      AsmString = "orn$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -11043,7 +11137,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2ORRri rGPR:$Rd, rGPR:$Rn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "orr$\xFF\x06\x02}$\xFF\x04\x01}.w $\x01, $\x02, $\x03";
+      AsmString = "orr$\xFF\x06\x02$\xFF\x04\x01.w $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11056,7 +11150,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2ORRrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "orr$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "orr$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11067,21 +11161,21 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2ORRrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$shift, pred:$p, cc_out:$s)
-      AsmString = "orr$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "orr$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
   case ARM_t2PLDpci:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2PLDpci t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "pld$\xFF\x02\x01} $\x01";
+      AsmString = "pld$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
   case ARM_t2PLIpci:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2PLIpci t2ldr_pcrel_imm12:$addr, pred:$p)
-      AsmString = "pli$\xFF\x02\x01} $\x01";
+      AsmString = "pli$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
@@ -11092,7 +11186,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2REV rGPR:$Rd, rGPR:$Rm, pred:$p)
-      AsmString = "rev$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "rev$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11103,7 +11197,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2REV16 rGPR:$Rd, rGPR:$Rm, pred:$p)
-      AsmString = "rev16$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "rev16$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11114,7 +11208,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2REVSH rGPR:$Rd, rGPR:$Rm, pred:$p)
-      AsmString = "revsh$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "revsh$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11125,7 +11219,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2RORri rGPR:$Rd, rGPR:$Rn, imm0_31:$imm, pred:$p, cc_out:$s)
-      AsmString = "ror$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "ror$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11138,7 +11232,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2RORrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "ror$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "ror$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11149,7 +11243,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2RSBri rGPR:$Rd, rGPR:$Rn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "rsb$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "rsb$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -11158,7 +11252,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2RSBri rGPR:$Rdn, rGPR:$Rdn, t2_so_imm:$imm, pred:$p, cc_out:$s)
-      AsmString = "rsb$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "rsb$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     if (MCInst_getNumOperands(MI) == 6 &&
@@ -11169,7 +11263,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (t2RSBri rGPR:$Rd, rGPR:$Rm, 0, pred:$p, cc_out:$s)
-      AsmString = "neg$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "neg$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11182,7 +11276,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2RSBrr rGPR:$Rdn, rGPR:$Rdn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "rsb$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "rsb$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -11193,7 +11287,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2RSBrs rGPR:$Rdn, rGPR:$Rdn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "rsb$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\xFF\x03\x0A";
+      AsmString = "rsb$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -11206,7 +11300,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2SBCrr rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "sbc$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "sbc$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11217,35 +11311,35 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2SBCrs rGPR:$Rd, rGPR:$Rn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "sbc$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "sbc$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     return NULL;
   case ARM_t2SRSDB:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2SRSDB imm0_31:$mode, pred:$p)
-      AsmString = "srsdb$\xFF\x02\x01} $\x01";
+      AsmString = "srsdb$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
   case ARM_t2SRSDB_UPD:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2SRSDB_UPD imm0_31:$mode, pred:$p)
-      AsmString = "srsdb$\xFF\x02\x01} $\x01!";
+      AsmString = "srsdb$\xFF\x02\x01 $\x01!";
       break;
     }
     return NULL;
   case ARM_t2SRSIA:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2SRSIA imm0_31:$mode, pred:$p)
-      AsmString = "srsia$\xFF\x02\x01} $\x01";
+      AsmString = "srsia$\xFF\x02\x01 $\x01";
       break;
     }
     return NULL;
   case ARM_t2SRSIA_UPD:
     if (MCInst_getNumOperands(MI) == 3) {
       // (t2SRSIA_UPD imm0_31:$mode, pred:$p)
-      AsmString = "srsia$\xFF\x02\x01} $\x01!";
+      AsmString = "srsia$\xFF\x02\x01 $\x01!";
       break;
     }
     return NULL;
@@ -11258,7 +11352,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2SSAT rGPR:$Rd, imm1_32:$sat_imm, rGPR:$Rn, 0, pred:$p)
-      AsmString = "ssat$\xFF\x05\x01} $\x01, $\xFF\x02\x07, $\x03";
+      AsmString = "ssat$\xFF\x05\x01 $\x01, $\xFF\x02\x07, $\x03";
       break;
     }
     return NULL;
@@ -11267,7 +11361,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2STMDB GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "stmdb$\xFF\x02\x01}.w $\x01, $\xFF\x04\x04";
+      AsmString = "stmdb$\xFF\x02\x01.w $\x01, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -11276,7 +11370,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2STMDB_UPD GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "stmdb$\xFF\x02\x01}.w $\x01!, $\xFF\x04\x04";
+      AsmString = "stmdb$\xFF\x02\x01.w $\x01!, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -11285,7 +11379,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2STMIA_UPD GPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "stm$\xFF\x02\x01} $\x01!, $\xFF\x04\x04";
+      AsmString = "stm$\xFF\x02\x01 $\x01!, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -11294,7 +11388,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2STRBi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "strb$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "strb$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -11303,7 +11397,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2STRBs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "strb$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "strb$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -11312,7 +11406,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2STRHi12 rGPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "strh$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "strh$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -11321,7 +11415,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 0)) {
       // (t2STRHs rGPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "strh$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "strh$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
       break;
     }
     return NULL;
@@ -11330,7 +11424,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2STRi12 GPR:$Rt, t2addrmode_imm12:$addr, pred:$p)
-      AsmString = "str$\xFF\x04\x01} $\x01, $\xFF\x02\x0D";
+      AsmString = "str$\xFF\x04\x01 $\x01, $\xFF\x02\x0D";
       break;
     }
     return NULL;
@@ -11339,7 +11433,16 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRRegClassID, 0)) {
       // (t2STRs GPR:$Rt, t2addrmode_so_reg:$addr, pred:$p)
-      AsmString = "str$\xFF\x05\x01} $\x01, $\xFF\x02\x0F";
+      AsmString = "str$\xFF\x05\x01 $\x01, $\xFF\x02\x0F";
+      break;
+    }
+    return NULL;
+  case ARM_t2SUBS_PC_LR:
+    if (MCInst_getNumOperands(MI) == 3 &&
+        MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 0)) == 0) {
+      // (t2SUBS_PC_LR 0, pred:$p)
+      AsmString = "eret$\xFF\x02\x01";
       break;
     }
     return NULL;
@@ -11352,7 +11455,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 2)) {
       // (t2SUBrr GPRnopc:$Rd, GPRnopc:$Rn, rGPR:$Rm, pred:$p, cc_out:$s)
-      AsmString = "sub$\xFF\x06\x02}$\xFF\x04\x01} $\x01, $\x02, $\x03";
+      AsmString = "sub$\xFF\x06\x02$\xFF\x04\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11363,7 +11466,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 1)) {
       // (t2SUBrs GPRnopc:$Rd, GPRnopc:$Rn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "sub$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\x02, $\xFF\x03\x0A";
+      AsmString = "sub$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\x02, $\xFF\x03\x0A";
       break;
     }
     if (MCInst_getNumOperands(MI) == 7 &&
@@ -11372,7 +11475,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (t2SUBrs GPRnopc:$Rdn, GPRnopc:$Rdn, t2_so_reg:$ShiftedRm, pred:$p, cc_out:$s)
-      AsmString = "sub$\xFF\x07\x02}$\xFF\x05\x01} $\x01, $\xFF\x03\x0A";
+      AsmString = "sub$\xFF\x07\x02$\xFF\x05\x01 $\x01, $\xFF\x03\x0A";
       break;
     }
     return NULL;
@@ -11387,7 +11490,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2SXTAB rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "sxtab$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtab$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11402,7 +11505,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2SXTAB16 rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "sxtab16$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtab16$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11417,7 +11520,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2SXTAH rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "sxtah$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "sxtah$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11428,7 +11531,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2SXTB rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "sxtb$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "sxtb$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11441,7 +11544,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (t2SXTB16 rGPR:$Rd, rGPR:$Rm, 0, pred:$p)
-      AsmString = "sxtb16$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "sxtb16$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -11450,7 +11553,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2SXTB16 rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "sxtb16$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "sxtb16$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11461,7 +11564,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2SXTH rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "sxth$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "sxth$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11470,7 +11573,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2TEQri GPRnopc:$Rn, t2_so_imm:$imm, pred:$p)
-      AsmString = "teq$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "teq$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11481,7 +11584,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2TEQrr GPRnopc:$Rn, rGPR:$Rm, pred:$p)
-      AsmString = "teq$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "teq$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11490,7 +11593,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2TEQrs GPRnopc:$Rn, t2_so_reg:$shift, pred:$p)
-      AsmString = "teq$\xFF\x04\x01} $\x01, $\xFF\x02\x0A";
+      AsmString = "teq$\xFF\x04\x01 $\x01, $\xFF\x02\x0A";
       break;
     }
     return NULL;
@@ -11499,7 +11602,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2TSTri GPRnopc:$Rn, t2_so_imm:$imm, pred:$p)
-      AsmString = "tst$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "tst$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11510,7 +11613,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2TSTrr GPRnopc:$Rn, rGPR:$Rm, pred:$p)
-      AsmString = "tst$\xFF\x03\x01} $\x01, $\x02";
+      AsmString = "tst$\xFF\x03\x01 $\x01, $\x02";
       break;
     }
     return NULL;
@@ -11519,7 +11622,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_GPRnopcRegClassID, 0)) {
       // (t2TSTrs GPRnopc:$Rn, t2_so_reg:$shift, pred:$p)
-      AsmString = "tst$\xFF\x04\x01} $\x01, $\xFF\x02\x0A";
+      AsmString = "tst$\xFF\x04\x01 $\x01, $\xFF\x02\x0A";
       break;
     }
     return NULL;
@@ -11532,7 +11635,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2USAT rGPR:$Rd, imm0_31:$sat_imm, rGPR:$Rn, 0, pred:$p)
-      AsmString = "usat$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "usat$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11547,7 +11650,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2UXTAB rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "uxtab$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtab$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11562,7 +11665,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2UXTAB16 rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "uxtab16$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtab16$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11577,7 +11680,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
       // (t2UXTAH rGPR:$Rd, rGPR:$Rn, rGPR:$Rm, 0, pred:$p)
-      AsmString = "uxtah$\xFF\x05\x01} $\x01, $\x02, $\x03";
+      AsmString = "uxtah$\xFF\x05\x01 $\x01, $\x02, $\x03";
       break;
     }
     return NULL;
@@ -11588,7 +11691,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2UXTB rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "uxtb$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "uxtb$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11601,7 +11704,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
         MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
       // (t2UXTB16 rGPR:$Rd, rGPR:$Rm, 0, pred:$p)
-      AsmString = "uxtb16$\xFF\x04\x01} $\x01, $\x02";
+      AsmString = "uxtb16$\xFF\x04\x01 $\x01, $\x02";
       break;
     }
     if (MCInst_getNumOperands(MI) == 5 &&
@@ -11610,7 +11713,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2UXTB16 rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "uxtb16$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "uxtb16$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11621,7 +11724,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
         GETREGCLASS_CONTAIN(ARM_rGPRRegClassID, 1)) {
       // (t2UXTH rGPR:$Rd, rGPR:$Rm, rot_imm:$rot, pred:$p)
-      AsmString = "uxth$\xFF\x04\x01} $\x01, $\x02$\xFF\x03\x10";
+      AsmString = "uxth$\xFF\x04\x01 $\x01, $\x02$\xFF\x03\x10";
       break;
     }
     return NULL;
@@ -11632,7 +11735,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (tASRri tGPR:$Rdm, cc_out:$s, tGPR:$Rdm, imm_sr:$imm, pred:$p)
-      AsmString = "asr$\xFF\x02\x02}$\xFF\x05\x01} $\x01, $\xFF\x04\x0C";
+      AsmString = "asr$\xFF\x02\x02$\xFF\x05\x01 $\x01, $\xFF\x04\x0C";
       break;
     }
     return NULL;
@@ -11694,7 +11797,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
         GETREGCLASS_CONTAIN(ARM_tGPRRegClassID, 0)) {
       // (tLDMIA tGPR:$Rn, pred:$p, reglist:$regs)
-      AsmString = "ldm$\xFF\x02\x01} $\x01!, $\xFF\x04\x04";
+      AsmString = "ldm$\xFF\x02\x01 $\x01!, $\xFF\x04\x04";
       break;
     }
     return NULL;
@@ -11705,7 +11808,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (tLSLri tGPR:$Rdm, cc_out:$s, tGPR:$Rdm, imm0_31:$imm, pred:$p)
-      AsmString = "lsl$\xFF\x02\x02}$\xFF\x05\x01} $\x01, $\x04";
+      AsmString = "lsl$\xFF\x02\x02$\xFF\x05\x01 $\x01, $\x04";
       break;
     }
     return NULL;
@@ -11716,7 +11819,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0))) {
       // (tLSRri tGPR:$Rdm, cc_out:$s, tGPR:$Rdm, imm_sr:$imm, pred:$p)
-      AsmString = "lsr$\xFF\x02\x02}$\xFF\x05\x01} $\x01, $\xFF\x04\x0C";
+      AsmString = "lsr$\xFF\x02\x02$\xFF\x05\x01 $\x01, $\xFF\x04\x0C";
       break;
     }
     return NULL;
@@ -11754,7 +11857,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_tGPRRegClassID, 2)) {
       // (tMUL tGPR:$Rdm, s_cc_out:$s, tGPR:$Rn, pred:$p)
-      AsmString = "mul$\xFF\x02\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "mul$\xFF\x02\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -11765,7 +11868,7 @@ static char *printAliasInstr(MCInst *MI,
         MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
         GETREGCLASS_CONTAIN(ARM_tGPRRegClassID, 2)) {
       // (tRSB tGPR:$Rd, s_cc_out:$s, tGPR:$Rm, pred:$p)
-      AsmString = "neg$\xFF\x02\x02}$\xFF\x04\x01} $\x01, $\x03";
+      AsmString = "neg$\xFF\x02\x02$\xFF\x04\x01 $\x01, $\x03";
       break;
     }
     return NULL;
@@ -11773,7 +11876,7 @@ static char *printAliasInstr(MCInst *MI,
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_getReg(MCInst_getOperand(MI, 0)) == ARM_SP) {
       // (tSUBspi SP, t_imm0_508s4_neg:$imm, pred:$p)
-      AsmString = "add$\xFF\x03\x01} sp, $\x02";
+      AsmString = "add$\xFF\x03\x01 sp, $\x02";
       break;
     }
     return NULL;
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMGenDisassemblerTables.inc 4.0.2-3/arch/ARM/ARMGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -26,9 +26,9 @@ static InsnType fname(InsnType insn, uns
 
 static const uint8_t DecoderTableARM32[] = {
 /* 0 */       MCD_OPC_ExtractField, 25, 3,  // Inst{27-25} ...
-/* 3 */       MCD_OPC_FilterValue, 0, 160, 11, // Skip to: 2983
+/* 3 */       MCD_OPC_FilterValue, 0, 12, 12, // Skip to: 3091
 /* 7 */       MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10 */      MCD_OPC_FilterValue, 0, 9, 6, // Skip to: 1559
+/* 10 */      MCD_OPC_FilterValue, 0, 68, 6, // Skip to: 1618
 /* 14 */      MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
 /* 17 */      MCD_OPC_FilterValue, 0, 80, 1, // Skip to: 357
 /* 21 */      MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
@@ -37,86 +37,86 @@ static const uint8_t DecoderTableARM32[]
 /* 31 */      MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 55
 /* 35 */      MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 48
 /* 39 */      MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 48
-/* 45 */      MCD_OPC_Decode, 41, 0, // Opcode: ANDrr
-/* 48 */      MCD_OPC_CheckPredicate, 0, 142, 29, // Skip to: 7618
-/* 52 */      MCD_OPC_Decode, 42, 1, // Opcode: ANDrsi
+/* 45 */      MCD_OPC_Decode, 43, 0, // Opcode: ANDrr
+/* 48 */      MCD_OPC_CheckPredicate, 0, 252, 29, // Skip to: 7728
+/* 52 */      MCD_OPC_Decode, 44, 1, // Opcode: ANDrsi
 /* 55 */      MCD_OPC_FilterValue, 1, 22, 0, // Skip to: 81
 /* 59 */      MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 73
 /* 63 */      MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 73
-/* 69 */      MCD_OPC_Decode, 198, 3, 0, // Opcode: SUBrr
-/* 73 */      MCD_OPC_CheckPredicate, 0, 117, 29, // Skip to: 7618
-/* 77 */      MCD_OPC_Decode, 199, 3, 1, // Opcode: SUBrsi
+/* 69 */      MCD_OPC_Decode, 205, 3, 0, // Opcode: SUBrr
+/* 73 */      MCD_OPC_CheckPredicate, 0, 227, 29, // Skip to: 7728
+/* 77 */      MCD_OPC_Decode, 206, 3, 1, // Opcode: SUBrsi
 /* 81 */      MCD_OPC_FilterValue, 2, 20, 0, // Skip to: 105
 /* 85 */      MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 98
 /* 89 */      MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 98
-/* 95 */      MCD_OPC_Decode, 30, 0, // Opcode: ADDrr
-/* 98 */      MCD_OPC_CheckPredicate, 0, 92, 29, // Skip to: 7618
-/* 102 */     MCD_OPC_Decode, 31, 1, // Opcode: ADDrsi
-/* 105 */     MCD_OPC_FilterValue, 3, 85, 29, // Skip to: 7618
+/* 95 */      MCD_OPC_Decode, 32, 0, // Opcode: ADDrr
+/* 98 */      MCD_OPC_CheckPredicate, 0, 202, 29, // Skip to: 7728
+/* 102 */     MCD_OPC_Decode, 33, 1, // Opcode: ADDrsi
+/* 105 */     MCD_OPC_FilterValue, 3, 195, 29, // Skip to: 7728
 /* 109 */     MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 123
 /* 113 */     MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 123
-/* 119 */     MCD_OPC_Decode, 179, 2, 0, // Opcode: SBCrr
-/* 123 */     MCD_OPC_CheckPredicate, 0, 67, 29, // Skip to: 7618
-/* 127 */     MCD_OPC_Decode, 180, 2, 1, // Opcode: SBCrsi
-/* 131 */     MCD_OPC_FilterValue, 1, 59, 29, // Skip to: 7618
+/* 119 */     MCD_OPC_Decode, 185, 2, 0, // Opcode: SBCrr
+/* 123 */     MCD_OPC_CheckPredicate, 0, 177, 29, // Skip to: 7728
+/* 127 */     MCD_OPC_Decode, 186, 2, 1, // Opcode: SBCrsi
+/* 131 */     MCD_OPC_FilterValue, 1, 169, 29, // Skip to: 7728
 /* 135 */     MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
 /* 138 */     MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 191
 /* 142 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 145 */     MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 156
-/* 149 */     MCD_OPC_CheckPredicate, 0, 41, 29, // Skip to: 7618
-/* 153 */     MCD_OPC_Decode, 43, 2, // Opcode: ANDrsr
+/* 149 */     MCD_OPC_CheckPredicate, 0, 151, 29, // Skip to: 7728
+/* 153 */     MCD_OPC_Decode, 45, 2, // Opcode: ANDrsr
 /* 156 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 168
-/* 160 */     MCD_OPC_CheckPredicate, 0, 30, 29, // Skip to: 7618
-/* 164 */     MCD_OPC_Decode, 200, 3, 2, // Opcode: SUBrsr
+/* 160 */     MCD_OPC_CheckPredicate, 0, 140, 29, // Skip to: 7728
+/* 164 */     MCD_OPC_Decode, 207, 3, 2, // Opcode: SUBrsr
 /* 168 */     MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 179
-/* 172 */     MCD_OPC_CheckPredicate, 0, 18, 29, // Skip to: 7618
-/* 176 */     MCD_OPC_Decode, 32, 2, // Opcode: ADDrsr
-/* 179 */     MCD_OPC_FilterValue, 3, 11, 29, // Skip to: 7618
-/* 183 */     MCD_OPC_CheckPredicate, 0, 7, 29, // Skip to: 7618
-/* 187 */     MCD_OPC_Decode, 181, 2, 3, // Opcode: SBCrsr
-/* 191 */     MCD_OPC_FilterValue, 1, 255, 28, // Skip to: 7618
+/* 172 */     MCD_OPC_CheckPredicate, 0, 128, 29, // Skip to: 7728
+/* 176 */     MCD_OPC_Decode, 34, 2, // Opcode: ADDrsr
+/* 179 */     MCD_OPC_FilterValue, 3, 121, 29, // Skip to: 7728
+/* 183 */     MCD_OPC_CheckPredicate, 0, 117, 29, // Skip to: 7728
+/* 187 */     MCD_OPC_Decode, 187, 2, 3, // Opcode: SBCrsr
+/* 191 */     MCD_OPC_FilterValue, 1, 109, 29, // Skip to: 7728
 /* 195 */     MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
 /* 198 */     MCD_OPC_FilterValue, 0, 62, 0, // Skip to: 264
 /* 202 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 205 */     MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 222
-/* 209 */     MCD_OPC_CheckPredicate, 1, 237, 28, // Skip to: 7618
+/* 209 */     MCD_OPC_CheckPredicate, 1, 91, 29, // Skip to: 7728
 /* 213 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 218 */     MCD_OPC_Decode, 238, 1, 4, // Opcode: MUL
+/* 218 */     MCD_OPC_Decode, 244, 1, 4, // Opcode: MUL
 /* 222 */     MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 240
-/* 226 */     MCD_OPC_CheckPredicate, 1, 220, 28, // Skip to: 7618
-/* 230 */     MCD_OPC_CheckField, 20, 1, 0, 214, 28, // Skip to: 7618
-/* 236 */     MCD_OPC_Decode, 237, 3, 5, // Opcode: UMAAL
+/* 226 */     MCD_OPC_CheckPredicate, 1, 74, 29, // Skip to: 7728
+/* 230 */     MCD_OPC_CheckField, 20, 1, 0, 68, 29, // Skip to: 7728
+/* 236 */     MCD_OPC_Decode, 244, 3, 5, // Opcode: UMAAL
 /* 240 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 252
-/* 244 */     MCD_OPC_CheckPredicate, 1, 202, 28, // Skip to: 7618
-/* 248 */     MCD_OPC_Decode, 240, 3, 6, // Opcode: UMULL
-/* 252 */     MCD_OPC_FilterValue, 3, 194, 28, // Skip to: 7618
-/* 256 */     MCD_OPC_CheckPredicate, 1, 190, 28, // Skip to: 7618
-/* 260 */     MCD_OPC_Decode, 233, 2, 6, // Opcode: SMULL
+/* 244 */     MCD_OPC_CheckPredicate, 1, 56, 29, // Skip to: 7728
+/* 248 */     MCD_OPC_Decode, 247, 3, 6, // Opcode: UMULL
+/* 252 */     MCD_OPC_FilterValue, 3, 48, 29, // Skip to: 7728
+/* 256 */     MCD_OPC_CheckPredicate, 1, 44, 29, // Skip to: 7728
+/* 260 */     MCD_OPC_Decode, 239, 2, 6, // Opcode: SMULL
 /* 264 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 295
 /* 268 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 271 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 283
-/* 275 */     MCD_OPC_CheckPredicate, 0, 171, 28, // Skip to: 7618
-/* 279 */     MCD_OPC_Decode, 178, 3, 7, // Opcode: STRH_POST
-/* 283 */     MCD_OPC_FilterValue, 1, 163, 28, // Skip to: 7618
-/* 287 */     MCD_OPC_CheckPredicate, 0, 159, 28, // Skip to: 7618
-/* 291 */     MCD_OPC_Decode, 170, 1, 7, // Opcode: LDRH_POST
+/* 275 */     MCD_OPC_CheckPredicate, 0, 25, 29, // Skip to: 7728
+/* 279 */     MCD_OPC_Decode, 185, 3, 7, // Opcode: STRH_POST
+/* 283 */     MCD_OPC_FilterValue, 1, 17, 29, // Skip to: 7728
+/* 287 */     MCD_OPC_CheckPredicate, 0, 13, 29, // Skip to: 7728
+/* 291 */     MCD_OPC_Decode, 174, 1, 7, // Opcode: LDRH_POST
 /* 295 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 326
 /* 299 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 302 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 314
-/* 306 */     MCD_OPC_CheckPredicate, 0, 140, 28, // Skip to: 7618
-/* 310 */     MCD_OPC_Decode, 161, 1, 7, // Opcode: LDRD_POST
-/* 314 */     MCD_OPC_FilterValue, 1, 132, 28, // Skip to: 7618
-/* 318 */     MCD_OPC_CheckPredicate, 0, 128, 28, // Skip to: 7618
-/* 322 */     MCD_OPC_Decode, 178, 1, 7, // Opcode: LDRSB_POST
-/* 326 */     MCD_OPC_FilterValue, 3, 120, 28, // Skip to: 7618
+/* 306 */     MCD_OPC_CheckPredicate, 0, 250, 28, // Skip to: 7728
+/* 310 */     MCD_OPC_Decode, 165, 1, 7, // Opcode: LDRD_POST
+/* 314 */     MCD_OPC_FilterValue, 1, 242, 28, // Skip to: 7728
+/* 318 */     MCD_OPC_CheckPredicate, 0, 238, 28, // Skip to: 7728
+/* 322 */     MCD_OPC_Decode, 182, 1, 7, // Opcode: LDRSB_POST
+/* 326 */     MCD_OPC_FilterValue, 3, 230, 28, // Skip to: 7728
 /* 330 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 333 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 345
-/* 337 */     MCD_OPC_CheckPredicate, 0, 109, 28, // Skip to: 7618
-/* 341 */     MCD_OPC_Decode, 169, 3, 7, // Opcode: STRD_POST
-/* 345 */     MCD_OPC_FilterValue, 1, 101, 28, // Skip to: 7618
-/* 349 */     MCD_OPC_CheckPredicate, 0, 97, 28, // Skip to: 7618
-/* 353 */     MCD_OPC_Decode, 183, 1, 7, // Opcode: LDRSH_POST
-/* 357 */     MCD_OPC_FilterValue, 1, 89, 28, // Skip to: 7618
+/* 337 */     MCD_OPC_CheckPredicate, 0, 219, 28, // Skip to: 7728
+/* 341 */     MCD_OPC_Decode, 176, 3, 7, // Opcode: STRD_POST
+/* 345 */     MCD_OPC_FilterValue, 1, 211, 28, // Skip to: 7728
+/* 349 */     MCD_OPC_CheckPredicate, 0, 207, 28, // Skip to: 7728
+/* 353 */     MCD_OPC_Decode, 187, 1, 7, // Opcode: LDRSH_POST
+/* 357 */     MCD_OPC_FilterValue, 1, 199, 28, // Skip to: 7728
 /* 361 */     MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 364 */     MCD_OPC_FilterValue, 0, 166, 1, // Skip to: 790
 /* 368 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
@@ -131,1748 +131,1771 @@ static const uint8_t DecoderTableARM32[]
 /* 400 */     MCD_OPC_CheckField, 6, 2, 1, 138, 0, // Skip to: 544
 /* 406 */     MCD_OPC_CheckField, 4, 1, 0, 132, 0, // Skip to: 544
 /* 412 */     MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 416 */     MCD_OPC_Decode, 89, 8, // Opcode: CRC32B
+/* 416 */     MCD_OPC_Decode, 91, 8, // Opcode: CRC32B
 /* 419 */     MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 544
 /* 423 */     MCD_OPC_CheckPredicate, 2, 117, 0, // Skip to: 544
 /* 427 */     MCD_OPC_CheckField, 6, 2, 1, 111, 0, // Skip to: 544
 /* 433 */     MCD_OPC_CheckField, 4, 1, 0, 105, 0, // Skip to: 544
 /* 439 */     MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 443 */     MCD_OPC_Decode, 90, 8, // Opcode: CRC32CB
+/* 443 */     MCD_OPC_Decode, 92, 8, // Opcode: CRC32CB
 /* 446 */     MCD_OPC_FilterValue, 15, 94, 0, // Skip to: 544
 /* 450 */     MCD_OPC_ExtractField, 10, 8,  // Inst{17-10} ...
 /* 453 */     MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 476
 /* 457 */     MCD_OPC_CheckPredicate, 0, 83, 0, // Skip to: 544
 /* 461 */     MCD_OPC_CheckField, 9, 1, 0, 77, 0, // Skip to: 544
 /* 467 */     MCD_OPC_CheckField, 0, 5, 0, 71, 0, // Skip to: 544
-/* 473 */     MCD_OPC_Decode, 87, 9, // Opcode: CPS2p
+/* 473 */     MCD_OPC_Decode, 89, 9, // Opcode: CPS2p
 /* 476 */     MCD_OPC_FilterValue, 64, 26, 0, // Skip to: 506
 /* 480 */     MCD_OPC_CheckPredicate, 0, 60, 0, // Skip to: 544
 /* 484 */     MCD_OPC_CheckField, 18, 2, 0, 54, 0, // Skip to: 544
 /* 490 */     MCD_OPC_CheckField, 6, 3, 0, 48, 0, // Skip to: 544
 /* 496 */     MCD_OPC_CheckField, 0, 5, 0, 42, 0, // Skip to: 544
-/* 502 */     MCD_OPC_Decode, 185, 2, 10, // Opcode: SETEND
+/* 502 */     MCD_OPC_Decode, 191, 2, 10, // Opcode: SETEND
 /* 506 */     MCD_OPC_FilterValue, 128, 1, 33, 0, // Skip to: 544
 /* 511 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 514 */     MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 544
 /* 518 */     MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 537
 /* 522 */     MCD_OPC_CheckField, 18, 2, 0, 9, 0, // Skip to: 537
 /* 528 */     MCD_OPC_CheckField, 6, 3, 0, 3, 0, // Skip to: 537
-/* 534 */     MCD_OPC_Decode, 86, 9, // Opcode: CPS1p
+/* 534 */     MCD_OPC_Decode, 88, 9, // Opcode: CPS1p
 /* 537 */     MCD_OPC_CheckPredicate, 0, 3, 0, // Skip to: 544
-/* 541 */     MCD_OPC_Decode, 88, 9, // Opcode: CPS3p
+/* 541 */     MCD_OPC_Decode, 90, 9, // Opcode: CPS3p
 /* 544 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 547 */     MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 583
-/* 551 */     MCD_OPC_CheckPredicate, 0, 140, 3, // Skip to: 1463
-/* 555 */     MCD_OPC_CheckField, 16, 1, 1, 134, 3, // Skip to: 1463
-/* 561 */     MCD_OPC_CheckField, 9, 1, 0, 128, 3, // Skip to: 1463
-/* 567 */     MCD_OPC_CheckField, 4, 1, 0, 122, 3, // Skip to: 1463
+/* 551 */     MCD_OPC_CheckPredicate, 0, 163, 3, // Skip to: 1486
+/* 555 */     MCD_OPC_CheckField, 16, 1, 1, 157, 3, // Skip to: 1486
+/* 561 */     MCD_OPC_CheckField, 9, 1, 0, 151, 3, // Skip to: 1486
+/* 567 */     MCD_OPC_CheckField, 4, 1, 0, 145, 3, // Skip to: 1486
 /* 573 */     MCD_OPC_SoftFail, 143, 26 /* 0xD0F */, 128, 128, 56 /* 0xE0000 */,
-/* 579 */     MCD_OPC_Decode, 234, 1, 11, // Opcode: MRS
+/* 579 */     MCD_OPC_Decode, 238, 1, 11, // Opcode: MRS
 /* 583 */     MCD_OPC_FilterValue, 1, 18, 0, // Skip to: 605
-/* 587 */     MCD_OPC_CheckPredicate, 0, 104, 3, // Skip to: 1463
-/* 591 */     MCD_OPC_CheckField, 4, 1, 1, 98, 3, // Skip to: 1463
+/* 587 */     MCD_OPC_CheckPredicate, 0, 127, 3, // Skip to: 1486
+/* 591 */     MCD_OPC_CheckField, 4, 1, 1, 121, 3, // Skip to: 1486
 /* 597 */     MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 601 */     MCD_OPC_Decode, 138, 2, 12, // Opcode: QADD
+/* 601 */     MCD_OPC_Decode, 144, 2, 12, // Opcode: QADD
 /* 605 */     MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 640
 /* 609 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 612 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 624
-/* 616 */     MCD_OPC_CheckPredicate, 3, 75, 3, // Skip to: 1463
-/* 620 */     MCD_OPC_Decode, 203, 2, 13, // Opcode: SMLABB
-/* 624 */     MCD_OPC_FilterValue, 1, 67, 3, // Skip to: 1463
-/* 628 */     MCD_OPC_CheckPredicate, 4, 63, 3, // Skip to: 1463
+/* 616 */     MCD_OPC_CheckPredicate, 3, 98, 3, // Skip to: 1486
+/* 620 */     MCD_OPC_Decode, 209, 2, 13, // Opcode: SMLABB
+/* 624 */     MCD_OPC_FilterValue, 1, 90, 3, // Skip to: 1486
+/* 628 */     MCD_OPC_CheckPredicate, 4, 86, 3, // Skip to: 1486
 /* 632 */     MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 636 */     MCD_OPC_Decode, 202, 3, 14, // Opcode: SWP
-/* 640 */     MCD_OPC_FilterValue, 3, 51, 3, // Skip to: 1463
-/* 644 */     MCD_OPC_CheckPredicate, 3, 47, 3, // Skip to: 1463
-/* 648 */     MCD_OPC_CheckField, 4, 1, 0, 41, 3, // Skip to: 1463
-/* 654 */     MCD_OPC_Decode, 204, 2, 13, // Opcode: SMLABT
-/* 658 */     MCD_OPC_FilterValue, 1, 33, 3, // Skip to: 1463
+/* 636 */     MCD_OPC_Decode, 209, 3, 14, // Opcode: SWP
+/* 640 */     MCD_OPC_FilterValue, 3, 74, 3, // Skip to: 1486
+/* 644 */     MCD_OPC_CheckPredicate, 3, 70, 3, // Skip to: 1486
+/* 648 */     MCD_OPC_CheckField, 4, 1, 0, 64, 3, // Skip to: 1486
+/* 654 */     MCD_OPC_Decode, 210, 2, 13, // Opcode: SMLABT
+/* 658 */     MCD_OPC_FilterValue, 1, 56, 3, // Skip to: 1486
 /* 662 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 665 */     MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 688
-/* 669 */     MCD_OPC_CheckPredicate, 5, 22, 3, // Skip to: 1463
-/* 673 */     MCD_OPC_CheckField, 28, 4, 14, 16, 3, // Skip to: 1463
-/* 679 */     MCD_OPC_CheckField, 4, 1, 1, 10, 3, // Skip to: 1463
-/* 685 */     MCD_OPC_Decode, 112, 15, // Opcode: HLT
+/* 669 */     MCD_OPC_CheckPredicate, 5, 45, 3, // Skip to: 1486
+/* 673 */     MCD_OPC_CheckField, 28, 4, 14, 39, 3, // Skip to: 1486
+/* 679 */     MCD_OPC_CheckField, 4, 1, 1, 33, 3, // Skip to: 1486
+/* 685 */     MCD_OPC_Decode, 115, 15, // Opcode: HLT
 /* 688 */     MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 706
-/* 692 */     MCD_OPC_CheckPredicate, 3, 255, 2, // Skip to: 1463
-/* 696 */     MCD_OPC_CheckField, 4, 1, 0, 249, 2, // Skip to: 1463
-/* 702 */     MCD_OPC_Decode, 215, 2, 13, // Opcode: SMLATB
-/* 706 */     MCD_OPC_FilterValue, 3, 241, 2, // Skip to: 1463
-/* 710 */     MCD_OPC_CheckPredicate, 3, 237, 2, // Skip to: 1463
-/* 714 */     MCD_OPC_CheckField, 4, 1, 0, 231, 2, // Skip to: 1463
-/* 720 */     MCD_OPC_Decode, 216, 2, 13, // Opcode: SMLATT
-/* 724 */     MCD_OPC_FilterValue, 1, 223, 2, // Skip to: 1463
+/* 692 */     MCD_OPC_CheckPredicate, 3, 22, 3, // Skip to: 1486
+/* 696 */     MCD_OPC_CheckField, 4, 1, 0, 16, 3, // Skip to: 1486
+/* 702 */     MCD_OPC_Decode, 221, 2, 13, // Opcode: SMLATB
+/* 706 */     MCD_OPC_FilterValue, 3, 8, 3, // Skip to: 1486
+/* 710 */     MCD_OPC_CheckPredicate, 3, 4, 3, // Skip to: 1486
+/* 714 */     MCD_OPC_CheckField, 4, 1, 0, 254, 2, // Skip to: 1486
+/* 720 */     MCD_OPC_Decode, 222, 2, 13, // Opcode: SMLATT
+/* 724 */     MCD_OPC_FilterValue, 1, 246, 2, // Skip to: 1486
 /* 728 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 731 */     MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 767
 /* 735 */     MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 754
 /* 739 */     MCD_OPC_CheckField, 5, 7, 0, 9, 0, // Skip to: 754
 /* 745 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 750 */     MCD_OPC_Decode, 222, 3, 16, // Opcode: TSTrr
-/* 754 */     MCD_OPC_CheckPredicate, 0, 193, 2, // Skip to: 1463
+/* 750 */     MCD_OPC_Decode, 229, 3, 16, // Opcode: TSTrr
+/* 754 */     MCD_OPC_CheckPredicate, 0, 216, 2, // Skip to: 1486
 /* 758 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 763 */     MCD_OPC_Decode, 223, 3, 17, // Opcode: TSTrsi
-/* 767 */     MCD_OPC_FilterValue, 1, 180, 2, // Skip to: 1463
-/* 771 */     MCD_OPC_CheckPredicate, 0, 176, 2, // Skip to: 1463
-/* 775 */     MCD_OPC_CheckField, 7, 1, 0, 170, 2, // Skip to: 1463
+/* 763 */     MCD_OPC_Decode, 230, 3, 17, // Opcode: TSTrsi
+/* 767 */     MCD_OPC_FilterValue, 1, 203, 2, // Skip to: 1486
+/* 771 */     MCD_OPC_CheckPredicate, 0, 199, 2, // Skip to: 1486
+/* 775 */     MCD_OPC_CheckField, 7, 1, 0, 193, 2, // Skip to: 1486
 /* 781 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 786 */     MCD_OPC_Decode, 224, 3, 18, // Opcode: TSTrsr
-/* 790 */     MCD_OPC_FilterValue, 1, 252, 0, // Skip to: 1046
+/* 786 */     MCD_OPC_Decode, 231, 3, 18, // Opcode: TSTrsr
+/* 790 */     MCD_OPC_FilterValue, 1, 19, 1, // Skip to: 1069
 /* 794 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 797 */     MCD_OPC_FilterValue, 0, 165, 0, // Skip to: 966
 /* 801 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 804 */     MCD_OPC_FilterValue, 0, 124, 0, // Skip to: 932
 /* 808 */     MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
 /* 811 */     MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 835
-/* 815 */     MCD_OPC_CheckPredicate, 0, 132, 2, // Skip to: 1463
-/* 819 */     MCD_OPC_CheckField, 9, 1, 0, 126, 2, // Skip to: 1463
+/* 815 */     MCD_OPC_CheckPredicate, 0, 155, 2, // Skip to: 1486
+/* 819 */     MCD_OPC_CheckField, 9, 1, 0, 149, 2, // Skip to: 1486
 /* 825 */     MCD_OPC_SoftFail, 143, 26 /* 0xD0F */, 128, 128, 60 /* 0xF0000 */,
-/* 831 */     MCD_OPC_Decode, 235, 1, 11, // Opcode: MRSsys
+/* 831 */     MCD_OPC_Decode, 240, 1, 11, // Opcode: MRSsys
 /* 835 */     MCD_OPC_FilterValue, 2, 45, 0, // Skip to: 884
 /* 839 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 842 */     MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 863
-/* 846 */     MCD_OPC_CheckPredicate, 2, 101, 2, // Skip to: 1463
-/* 850 */     MCD_OPC_CheckField, 28, 4, 14, 95, 2, // Skip to: 1463
+/* 846 */     MCD_OPC_CheckPredicate, 2, 124, 2, // Skip to: 1486
+/* 850 */     MCD_OPC_CheckField, 28, 4, 14, 118, 2, // Skip to: 1486
 /* 856 */     MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 860 */     MCD_OPC_Decode, 94, 8, // Opcode: CRC32W
-/* 863 */     MCD_OPC_FilterValue, 1, 84, 2, // Skip to: 1463
-/* 867 */     MCD_OPC_CheckPredicate, 2, 80, 2, // Skip to: 1463
-/* 871 */     MCD_OPC_CheckField, 28, 4, 14, 74, 2, // Skip to: 1463
+/* 860 */     MCD_OPC_Decode, 96, 8, // Opcode: CRC32W
+/* 863 */     MCD_OPC_FilterValue, 1, 107, 2, // Skip to: 1486
+/* 867 */     MCD_OPC_CheckPredicate, 2, 103, 2, // Skip to: 1486
+/* 871 */     MCD_OPC_CheckField, 28, 4, 14, 97, 2, // Skip to: 1486
 /* 877 */     MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 881 */     MCD_OPC_Decode, 92, 8, // Opcode: CRC32CW
+/* 881 */     MCD_OPC_Decode, 94, 8, // Opcode: CRC32CW
 /* 884 */     MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 896
-/* 888 */     MCD_OPC_CheckPredicate, 3, 59, 2, // Skip to: 1463
-/* 892 */     MCD_OPC_Decode, 208, 2, 19, // Opcode: SMLALBB
+/* 888 */     MCD_OPC_CheckPredicate, 3, 82, 2, // Skip to: 1486
+/* 892 */     MCD_OPC_Decode, 214, 2, 19, // Opcode: SMLALBB
 /* 896 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 908
-/* 900 */     MCD_OPC_CheckPredicate, 3, 47, 2, // Skip to: 1463
-/* 904 */     MCD_OPC_Decode, 212, 2, 19, // Opcode: SMLALTB
+/* 900 */     MCD_OPC_CheckPredicate, 3, 70, 2, // Skip to: 1486
+/* 904 */     MCD_OPC_Decode, 218, 2, 19, // Opcode: SMLALTB
 /* 908 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 920
-/* 912 */     MCD_OPC_CheckPredicate, 3, 35, 2, // Skip to: 1463
-/* 916 */     MCD_OPC_Decode, 209, 2, 19, // Opcode: SMLALBT
-/* 920 */     MCD_OPC_FilterValue, 7, 27, 2, // Skip to: 1463
-/* 924 */     MCD_OPC_CheckPredicate, 3, 23, 2, // Skip to: 1463
-/* 928 */     MCD_OPC_Decode, 213, 2, 19, // Opcode: SMLALTT
-/* 932 */     MCD_OPC_FilterValue, 1, 15, 2, // Skip to: 1463
+/* 912 */     MCD_OPC_CheckPredicate, 3, 58, 2, // Skip to: 1486
+/* 916 */     MCD_OPC_Decode, 215, 2, 19, // Opcode: SMLALBT
+/* 920 */     MCD_OPC_FilterValue, 7, 50, 2, // Skip to: 1486
+/* 924 */     MCD_OPC_CheckPredicate, 3, 46, 2, // Skip to: 1486
+/* 928 */     MCD_OPC_Decode, 219, 2, 19, // Opcode: SMLALTT
+/* 932 */     MCD_OPC_FilterValue, 1, 38, 2, // Skip to: 1486
 /* 936 */     MCD_OPC_CheckPredicate, 0, 14, 0, // Skip to: 954
 /* 940 */     MCD_OPC_CheckField, 5, 7, 0, 8, 0, // Skip to: 954
 /* 946 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 951 */     MCD_OPC_Decode, 81, 16, // Opcode: CMPrr
-/* 954 */     MCD_OPC_CheckPredicate, 0, 249, 1, // Skip to: 1463
+/* 951 */     MCD_OPC_Decode, 83, 16, // Opcode: CMPrr
+/* 954 */     MCD_OPC_CheckPredicate, 0, 16, 2, // Skip to: 1486
 /* 958 */     MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 963 */     MCD_OPC_Decode, 82, 17, // Opcode: CMPrsi
-/* 966 */     MCD_OPC_FilterValue, 1, 237, 1, // Skip to: 1463
+/* 963 */     MCD_OPC_Decode, 84, 17, // Opcode: CMPrsi
+/* 966 */     MCD_OPC_FilterValue, 1, 4, 2, // Skip to: 1486
 /* 970 */     MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 973 */     MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 1018
+/* 973 */     MCD_OPC_FilterValue, 0, 64, 0, // Skip to: 1041
 /* 977 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 980 */     MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 1002
-/* 984 */     MCD_OPC_CheckPredicate, 0, 219, 1, // Skip to: 1463
-/* 988 */     MCD_OPC_CheckField, 5, 2, 2, 213, 1, // Skip to: 1463
-/* 994 */     MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 998 */     MCD_OPC_Decode, 142, 2, 20, // Opcode: QDADD
-/* 1002 */    MCD_OPC_FilterValue, 1, 201, 1, // Skip to: 1463
-/* 1006 */    MCD_OPC_CheckPredicate, 0, 197, 1, // Skip to: 1463
-/* 1010 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 1015 */    MCD_OPC_Decode, 83, 18, // Opcode: CMPrsr
-/* 1018 */    MCD_OPC_FilterValue, 1, 185, 1, // Skip to: 1463
-/* 1022 */    MCD_OPC_CheckPredicate, 4, 181, 1, // Skip to: 1463
-/* 1026 */    MCD_OPC_CheckField, 20, 1, 0, 175, 1, // Skip to: 1463
-/* 1032 */    MCD_OPC_CheckField, 5, 2, 0, 169, 1, // Skip to: 1463
-/* 1038 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 1042 */    MCD_OPC_Decode, 203, 3, 14, // Opcode: SWPB
-/* 1046 */    MCD_OPC_FilterValue, 2, 206, 0, // Skip to: 1256
-/* 1050 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1053 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 1079
-/* 1057 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1071
-/* 1061 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1071
-/* 1067 */    MCD_OPC_Decode, 246, 1, 0, // Opcode: ORRrr
-/* 1071 */    MCD_OPC_CheckPredicate, 0, 132, 1, // Skip to: 1463
-/* 1075 */    MCD_OPC_Decode, 247, 1, 1, // Opcode: ORRrsi
-/* 1079 */    MCD_OPC_FilterValue, 1, 124, 1, // Skip to: 1463
-/* 1083 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 1086 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1098
-/* 1090 */    MCD_OPC_CheckPredicate, 0, 113, 1, // Skip to: 1463
-/* 1094 */    MCD_OPC_Decode, 248, 1, 2, // Opcode: ORRrsr
-/* 1098 */    MCD_OPC_FilterValue, 1, 105, 1, // Skip to: 1463
-/* 1102 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 1105 */    MCD_OPC_FilterValue, 12, 50, 0, // Skip to: 1159
-/* 1109 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1112 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1136
-/* 1116 */    MCD_OPC_CheckPredicate, 5, 87, 1, // Skip to: 1463
-/* 1120 */    MCD_OPC_CheckField, 12, 4, 15, 81, 1, // Skip to: 1463
-/* 1126 */    MCD_OPC_CheckField, 5, 2, 0, 75, 1, // Skip to: 1463
-/* 1132 */    MCD_OPC_Decode, 142, 3, 21, // Opcode: STL
-/* 1136 */    MCD_OPC_FilterValue, 1, 67, 1, // Skip to: 1463
-/* 1140 */    MCD_OPC_CheckPredicate, 5, 63, 1, // Skip to: 1463
-/* 1144 */    MCD_OPC_CheckField, 5, 2, 0, 57, 1, // Skip to: 1463
-/* 1150 */    MCD_OPC_CheckField, 0, 4, 15, 51, 1, // Skip to: 1463
-/* 1156 */    MCD_OPC_Decode, 119, 22, // Opcode: LDA
-/* 1159 */    MCD_OPC_FilterValue, 14, 44, 0, // Skip to: 1207
-/* 1163 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1166 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1184
-/* 1170 */    MCD_OPC_CheckPredicate, 5, 33, 1, // Skip to: 1463
-/* 1174 */    MCD_OPC_CheckField, 5, 2, 0, 27, 1, // Skip to: 1463
-/* 1180 */    MCD_OPC_Decode, 144, 3, 23, // Opcode: STLEX
-/* 1184 */    MCD_OPC_FilterValue, 1, 19, 1, // Skip to: 1463
-/* 1188 */    MCD_OPC_CheckPredicate, 5, 15, 1, // Skip to: 1463
-/* 1192 */    MCD_OPC_CheckField, 5, 2, 0, 9, 1, // Skip to: 1463
-/* 1198 */    MCD_OPC_CheckField, 0, 4, 15, 3, 1, // Skip to: 1463
-/* 1204 */    MCD_OPC_Decode, 121, 22, // Opcode: LDAEX
-/* 1207 */    MCD_OPC_FilterValue, 15, 252, 0, // Skip to: 1463
-/* 1211 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1214 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1232
-/* 1218 */    MCD_OPC_CheckPredicate, 0, 241, 0, // Skip to: 1463
-/* 1222 */    MCD_OPC_CheckField, 5, 2, 0, 235, 0, // Skip to: 1463
-/* 1228 */    MCD_OPC_Decode, 171, 3, 23, // Opcode: STREX
-/* 1232 */    MCD_OPC_FilterValue, 1, 227, 0, // Skip to: 1463
-/* 1236 */    MCD_OPC_CheckPredicate, 0, 223, 0, // Skip to: 1463
-/* 1240 */    MCD_OPC_CheckField, 5, 2, 0, 217, 0, // Skip to: 1463
-/* 1246 */    MCD_OPC_CheckField, 0, 4, 15, 211, 0, // Skip to: 1463
-/* 1252 */    MCD_OPC_Decode, 163, 1, 22, // Opcode: LDREX
-/* 1256 */    MCD_OPC_FilterValue, 3, 203, 0, // Skip to: 1463
-/* 1260 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1263 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1287
-/* 1267 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1280
-/* 1271 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1280
-/* 1277 */    MCD_OPC_Decode, 52, 0, // Opcode: BICrr
-/* 1280 */    MCD_OPC_CheckPredicate, 0, 179, 0, // Skip to: 1463
-/* 1284 */    MCD_OPC_Decode, 53, 1, // Opcode: BICrsi
-/* 1287 */    MCD_OPC_FilterValue, 1, 172, 0, // Skip to: 1463
-/* 1291 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 1294 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 1305
-/* 1298 */    MCD_OPC_CheckPredicate, 0, 161, 0, // Skip to: 1463
-/* 1302 */    MCD_OPC_Decode, 54, 2, // Opcode: BICrsr
-/* 1305 */    MCD_OPC_FilterValue, 1, 154, 0, // Skip to: 1463
-/* 1309 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 1312 */    MCD_OPC_FilterValue, 12, 50, 0, // Skip to: 1366
-/* 1316 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1319 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1343
-/* 1323 */    MCD_OPC_CheckPredicate, 5, 136, 0, // Skip to: 1463
-/* 1327 */    MCD_OPC_CheckField, 12, 4, 15, 130, 0, // Skip to: 1463
-/* 1333 */    MCD_OPC_CheckField, 5, 2, 0, 124, 0, // Skip to: 1463
-/* 1339 */    MCD_OPC_Decode, 143, 3, 21, // Opcode: STLB
-/* 1343 */    MCD_OPC_FilterValue, 1, 116, 0, // Skip to: 1463
-/* 1347 */    MCD_OPC_CheckPredicate, 5, 112, 0, // Skip to: 1463
-/* 1351 */    MCD_OPC_CheckField, 5, 2, 0, 106, 0, // Skip to: 1463
-/* 1357 */    MCD_OPC_CheckField, 0, 4, 15, 100, 0, // Skip to: 1463
-/* 1363 */    MCD_OPC_Decode, 120, 22, // Opcode: LDAB
-/* 1366 */    MCD_OPC_FilterValue, 14, 44, 0, // Skip to: 1414
-/* 1370 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1373 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1391
-/* 1377 */    MCD_OPC_CheckPredicate, 5, 82, 0, // Skip to: 1463
-/* 1381 */    MCD_OPC_CheckField, 5, 2, 0, 76, 0, // Skip to: 1463
-/* 1387 */    MCD_OPC_Decode, 145, 3, 23, // Opcode: STLEXB
-/* 1391 */    MCD_OPC_FilterValue, 1, 68, 0, // Skip to: 1463
-/* 1395 */    MCD_OPC_CheckPredicate, 5, 64, 0, // Skip to: 1463
-/* 1399 */    MCD_OPC_CheckField, 5, 2, 0, 58, 0, // Skip to: 1463
-/* 1405 */    MCD_OPC_CheckField, 0, 4, 15, 52, 0, // Skip to: 1463
-/* 1411 */    MCD_OPC_Decode, 122, 22, // Opcode: LDAEXB
-/* 1414 */    MCD_OPC_FilterValue, 15, 45, 0, // Skip to: 1463
-/* 1418 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1421 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1439
-/* 1425 */    MCD_OPC_CheckPredicate, 0, 34, 0, // Skip to: 1463
-/* 1429 */    MCD_OPC_CheckField, 5, 2, 0, 28, 0, // Skip to: 1463
-/* 1435 */    MCD_OPC_Decode, 172, 3, 23, // Opcode: STREXB
-/* 1439 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 1463
-/* 1443 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 1463
-/* 1447 */    MCD_OPC_CheckField, 5, 2, 0, 10, 0, // Skip to: 1463
-/* 1453 */    MCD_OPC_CheckField, 0, 4, 15, 4, 0, // Skip to: 1463
-/* 1459 */    MCD_OPC_Decode, 164, 1, 22, // Opcode: LDREXB
-/* 1463 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 1466 */    MCD_OPC_FilterValue, 11, 27, 0, // Skip to: 1497
-/* 1470 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1473 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1485
-/* 1477 */    MCD_OPC_CheckPredicate, 0, 249, 23, // Skip to: 7618
-/* 1481 */    MCD_OPC_Decode, 175, 3, 7, // Opcode: STRH
-/* 1485 */    MCD_OPC_FilterValue, 1, 241, 23, // Skip to: 7618
-/* 1489 */    MCD_OPC_CheckPredicate, 0, 237, 23, // Skip to: 7618
-/* 1493 */    MCD_OPC_Decode, 167, 1, 7, // Opcode: LDRH
-/* 1497 */    MCD_OPC_FilterValue, 13, 27, 0, // Skip to: 1528
-/* 1501 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1504 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1516
-/* 1508 */    MCD_OPC_CheckPredicate, 3, 218, 23, // Skip to: 7618
-/* 1512 */    MCD_OPC_Decode, 160, 1, 7, // Opcode: LDRD
-/* 1516 */    MCD_OPC_FilterValue, 1, 210, 23, // Skip to: 7618
-/* 1520 */    MCD_OPC_CheckPredicate, 0, 206, 23, // Skip to: 7618
-/* 1524 */    MCD_OPC_Decode, 175, 1, 7, // Opcode: LDRSB
-/* 1528 */    MCD_OPC_FilterValue, 15, 198, 23, // Skip to: 7618
-/* 1532 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1535 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1547
-/* 1539 */    MCD_OPC_CheckPredicate, 3, 187, 23, // Skip to: 7618
-/* 1543 */    MCD_OPC_Decode, 168, 3, 7, // Opcode: STRD
-/* 1547 */    MCD_OPC_FilterValue, 1, 179, 23, // Skip to: 7618
-/* 1551 */    MCD_OPC_CheckPredicate, 0, 175, 23, // Skip to: 7618
-/* 1555 */    MCD_OPC_Decode, 180, 1, 7, // Opcode: LDRSH
-/* 1559 */    MCD_OPC_FilterValue, 1, 167, 23, // Skip to: 7618
-/* 1563 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1566 */    MCD_OPC_FilterValue, 0, 32, 2, // Skip to: 2114
-/* 1570 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 1573 */    MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 1630
-/* 1577 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1580 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1604
-/* 1584 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1597
-/* 1588 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1597
-/* 1594 */    MCD_OPC_Decode, 99, 0, // Opcode: EORrr
-/* 1597 */    MCD_OPC_CheckPredicate, 0, 129, 23, // Skip to: 7618
-/* 1601 */    MCD_OPC_Decode, 100, 1, // Opcode: EORrsi
-/* 1604 */    MCD_OPC_FilterValue, 1, 122, 23, // Skip to: 7618
-/* 1608 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1622
-/* 1612 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1622
-/* 1618 */    MCD_OPC_Decode, 168, 2, 0, // Opcode: RSBrr
-/* 1622 */    MCD_OPC_CheckPredicate, 0, 104, 23, // Skip to: 7618
-/* 1626 */    MCD_OPC_Decode, 169, 2, 1, // Opcode: RSBrsi
-/* 1630 */    MCD_OPC_FilterValue, 1, 53, 0, // Skip to: 1687
-/* 1634 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1637 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1661
-/* 1641 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1654
-/* 1645 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1654
-/* 1651 */    MCD_OPC_Decode, 22, 0, // Opcode: ADCrr
-/* 1654 */    MCD_OPC_CheckPredicate, 0, 72, 23, // Skip to: 7618
-/* 1658 */    MCD_OPC_Decode, 23, 1, // Opcode: ADCrsi
-/* 1661 */    MCD_OPC_FilterValue, 1, 65, 23, // Skip to: 7618
-/* 1665 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1679
-/* 1669 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1679
-/* 1675 */    MCD_OPC_Decode, 172, 2, 0, // Opcode: RSCrr
-/* 1679 */    MCD_OPC_CheckPredicate, 0, 47, 23, // Skip to: 7618
-/* 1683 */    MCD_OPC_Decode, 173, 2, 1, // Opcode: RSCrsi
-/* 1687 */    MCD_OPC_FilterValue, 2, 59, 1, // Skip to: 2006
-/* 1691 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 1694 */    MCD_OPC_FilterValue, 0, 231, 0, // Skip to: 1929
-/* 1698 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
-/* 1701 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 1720
-/* 1705 */    MCD_OPC_CheckPredicate, 0, 21, 23, // Skip to: 7618
-/* 1709 */    MCD_OPC_CheckField, 8, 8, 240, 1, 14, 23, // Skip to: 7618
-/* 1716 */    MCD_OPC_Decode, 236, 1, 24, // Opcode: MSR
-/* 1720 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 1744
-/* 1724 */    MCD_OPC_CheckPredicate, 0, 2, 23, // Skip to: 7618
-/* 1728 */    MCD_OPC_CheckField, 22, 1, 0, 252, 22, // Skip to: 7618
-/* 1734 */    MCD_OPC_CheckField, 8, 12, 255, 31, 245, 22, // Skip to: 7618
-/* 1741 */    MCD_OPC_Decode, 67, 25, // Opcode: BXJ
-/* 1744 */    MCD_OPC_FilterValue, 2, 57, 0, // Skip to: 1805
-/* 1748 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
-/* 1751 */    MCD_OPC_FilterValue, 0, 23, 0, // Skip to: 1778
-/* 1755 */    MCD_OPC_CheckPredicate, 2, 227, 22, // Skip to: 7618
-/* 1759 */    MCD_OPC_CheckField, 28, 4, 14, 221, 22, // Skip to: 7618
-/* 1765 */    MCD_OPC_CheckField, 22, 1, 0, 215, 22, // Skip to: 7618
-/* 1771 */    MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 1775 */    MCD_OPC_Decode, 93, 8, // Opcode: CRC32H
-/* 1778 */    MCD_OPC_FilterValue, 1, 204, 22, // Skip to: 7618
-/* 1782 */    MCD_OPC_CheckPredicate, 2, 200, 22, // Skip to: 7618
-/* 1786 */    MCD_OPC_CheckField, 28, 4, 14, 194, 22, // Skip to: 7618
-/* 1792 */    MCD_OPC_CheckField, 22, 1, 0, 188, 22, // Skip to: 7618
-/* 1798 */    MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
-/* 1802 */    MCD_OPC_Decode, 91, 8, // Opcode: CRC32CH
-/* 1805 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 1836
-/* 1809 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1812 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1824
-/* 1816 */    MCD_OPC_CheckPredicate, 3, 166, 22, // Skip to: 7618
-/* 1820 */    MCD_OPC_Decode, 217, 2, 13, // Opcode: SMLAWB
-/* 1824 */    MCD_OPC_FilterValue, 1, 158, 22, // Skip to: 7618
-/* 1828 */    MCD_OPC_CheckPredicate, 3, 154, 22, // Skip to: 7618
-/* 1832 */    MCD_OPC_Decode, 231, 2, 26, // Opcode: SMULBB
-/* 1836 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 1867
-/* 1840 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1843 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1855
-/* 1847 */    MCD_OPC_CheckPredicate, 3, 135, 22, // Skip to: 7618
-/* 1851 */    MCD_OPC_Decode, 237, 2, 26, // Opcode: SMULWB
-/* 1855 */    MCD_OPC_FilterValue, 1, 127, 22, // Skip to: 7618
-/* 1859 */    MCD_OPC_CheckPredicate, 3, 123, 22, // Skip to: 7618
-/* 1863 */    MCD_OPC_Decode, 235, 2, 26, // Opcode: SMULTB
-/* 1867 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 1898
-/* 1871 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1874 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1886
-/* 1878 */    MCD_OPC_CheckPredicate, 3, 104, 22, // Skip to: 7618
-/* 1882 */    MCD_OPC_Decode, 218, 2, 13, // Opcode: SMLAWT
-/* 1886 */    MCD_OPC_FilterValue, 1, 96, 22, // Skip to: 7618
-/* 1890 */    MCD_OPC_CheckPredicate, 3, 92, 22, // Skip to: 7618
-/* 1894 */    MCD_OPC_Decode, 232, 2, 26, // Opcode: SMULBT
-/* 1898 */    MCD_OPC_FilterValue, 7, 84, 22, // Skip to: 7618
-/* 1902 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1905 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1917
-/* 1909 */    MCD_OPC_CheckPredicate, 3, 73, 22, // Skip to: 7618
-/* 1913 */    MCD_OPC_Decode, 238, 2, 26, // Opcode: SMULWT
-/* 1917 */    MCD_OPC_FilterValue, 1, 65, 22, // Skip to: 7618
-/* 1921 */    MCD_OPC_CheckPredicate, 3, 61, 22, // Skip to: 7618
-/* 1925 */    MCD_OPC_Decode, 236, 2, 26, // Opcode: SMULTT
-/* 1929 */    MCD_OPC_FilterValue, 1, 53, 22, // Skip to: 7618
-/* 1933 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 1936 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 1972
-/* 1940 */    MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 1959
-/* 1944 */    MCD_OPC_CheckField, 5, 7, 0, 9, 0, // Skip to: 1959
-/* 1950 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 1955 */    MCD_OPC_Decode, 215, 3, 16, // Opcode: TEQrr
-/* 1959 */    MCD_OPC_CheckPredicate, 0, 23, 22, // Skip to: 7618
-/* 1963 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 1968 */    MCD_OPC_Decode, 216, 3, 17, // Opcode: TEQrsi
-/* 1972 */    MCD_OPC_FilterValue, 1, 10, 22, // Skip to: 7618
-/* 1976 */    MCD_OPC_CheckPredicate, 0, 14, 0, // Skip to: 1994
-/* 1980 */    MCD_OPC_CheckField, 5, 7, 0, 8, 0, // Skip to: 1994
-/* 1986 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 1991 */    MCD_OPC_Decode, 77, 16, // Opcode: CMNzrr
-/* 1994 */    MCD_OPC_CheckPredicate, 0, 244, 21, // Skip to: 7618
-/* 1998 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 2003 */    MCD_OPC_Decode, 78, 17, // Opcode: CMNzrsi
-/* 2006 */    MCD_OPC_FilterValue, 3, 232, 21, // Skip to: 7618
-/* 2010 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 2013 */    MCD_OPC_FilterValue, 0, 64, 0, // Skip to: 2081
-/* 2017 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 2038
-/* 2021 */    MCD_OPC_CheckField, 5, 16, 128, 15, 10, 0, // Skip to: 2038
-/* 2028 */    MCD_OPC_CheckField, 0, 4, 14, 4, 0, // Skip to: 2038
-/* 2034 */    MCD_OPC_Decode, 214, 1, 27, // Opcode: MOVPCLR
-/* 2038 */    MCD_OPC_ExtractField, 5, 7,  // Inst{11-5} ...
-/* 2041 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 2067
-/* 2045 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2059
-/* 2049 */    MCD_OPC_CheckField, 16, 4, 0, 4, 0, // Skip to: 2059
-/* 2055 */    MCD_OPC_Decode, 224, 1, 28, // Opcode: MOVr
-/* 2059 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 2067
-/* 2063 */    MCD_OPC_Decode, 225, 1, 29, // Opcode: MOVr_TC
-/* 2067 */    MCD_OPC_CheckPredicate, 0, 171, 21, // Skip to: 7618
-/* 2071 */    MCD_OPC_CheckField, 16, 4, 0, 165, 21, // Skip to: 7618
-/* 2077 */    MCD_OPC_Decode, 226, 1, 30, // Opcode: MOVsi
-/* 2081 */    MCD_OPC_FilterValue, 1, 157, 21, // Skip to: 7618
-/* 2085 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 2088 */    MCD_OPC_FilterValue, 0, 150, 21, // Skip to: 7618
-/* 2092 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2106
-/* 2096 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 2106
-/* 2102 */    MCD_OPC_Decode, 242, 1, 28, // Opcode: MVNr
-/* 2106 */    MCD_OPC_CheckPredicate, 0, 132, 21, // Skip to: 7618
-/* 2110 */    MCD_OPC_Decode, 243, 1, 30, // Opcode: MVNsi
-/* 2114 */    MCD_OPC_FilterValue, 1, 124, 21, // Skip to: 7618
-/* 2118 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 2121 */    MCD_OPC_FilterValue, 0, 57, 1, // Skip to: 2438
-/* 2125 */    MCD_OPC_ExtractField, 22, 3,  // Inst{24-22} ...
-/* 2128 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 2139
-/* 2132 */    MCD_OPC_CheckPredicate, 0, 106, 21, // Skip to: 7618
-/* 2136 */    MCD_OPC_Decode, 101, 2, // Opcode: EORrsr
-/* 2139 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2151
-/* 2143 */    MCD_OPC_CheckPredicate, 0, 95, 21, // Skip to: 7618
-/* 2147 */    MCD_OPC_Decode, 170, 2, 2, // Opcode: RSBrsr
-/* 2151 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 2162
-/* 2155 */    MCD_OPC_CheckPredicate, 0, 83, 21, // Skip to: 7618
-/* 2159 */    MCD_OPC_Decode, 24, 3, // Opcode: ADCrsr
-/* 2162 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2174
-/* 2166 */    MCD_OPC_CheckPredicate, 0, 72, 21, // Skip to: 7618
-/* 2170 */    MCD_OPC_Decode, 174, 2, 2, // Opcode: RSCrsr
-/* 2174 */    MCD_OPC_FilterValue, 4, 137, 0, // Skip to: 2315
-/* 2178 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2181 */    MCD_OPC_FilterValue, 0, 113, 0, // Skip to: 2298
-/* 2185 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 2188 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 2233
-/* 2192 */    MCD_OPC_ExtractField, 8, 12,  // Inst{19-8} ...
-/* 2195 */    MCD_OPC_FilterValue, 255, 31, 42, 21, // Skip to: 7618
-/* 2200 */    MCD_OPC_CheckPredicate, 6, 9, 0, // Skip to: 2213
-/* 2204 */    MCD_OPC_CheckField, 0, 4, 14, 3, 0, // Skip to: 2213
-/* 2210 */    MCD_OPC_Decode, 69, 27, // Opcode: BX_RET
-/* 2213 */    MCD_OPC_CheckPredicate, 6, 9, 0, // Skip to: 2226
-/* 2217 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 2226
-/* 2223 */    MCD_OPC_Decode, 66, 31, // Opcode: BX
-/* 2226 */    MCD_OPC_CheckPredicate, 6, 12, 21, // Skip to: 7618
-/* 2230 */    MCD_OPC_Decode, 70, 25, // Opcode: BX_pred
-/* 2233 */    MCD_OPC_FilterValue, 1, 28, 0, // Skip to: 2265
-/* 2237 */    MCD_OPC_ExtractField, 8, 12,  // Inst{19-8} ...
-/* 2240 */    MCD_OPC_FilterValue, 255, 31, 253, 20, // Skip to: 7618
-/* 2245 */    MCD_OPC_CheckPredicate, 7, 9, 0, // Skip to: 2258
-/* 2249 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 2258
-/* 2255 */    MCD_OPC_Decode, 57, 31, // Opcode: BLX
-/* 2258 */    MCD_OPC_CheckPredicate, 7, 236, 20, // Skip to: 7618
-/* 2262 */    MCD_OPC_Decode, 58, 25, // Opcode: BLX_pred
-/* 2265 */    MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 2281
-/* 2269 */    MCD_OPC_CheckPredicate, 0, 225, 20, // Skip to: 7618
-/* 2273 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 2277 */    MCD_OPC_Decode, 145, 2, 20, // Opcode: QSUB
-/* 2281 */    MCD_OPC_FilterValue, 3, 213, 20, // Skip to: 7618
-/* 2285 */    MCD_OPC_CheckPredicate, 0, 209, 20, // Skip to: 7618
-/* 2289 */    MCD_OPC_CheckField, 28, 4, 14, 203, 20, // Skip to: 7618
-/* 2295 */    MCD_OPC_Decode, 55, 15, // Opcode: BKPT
-/* 2298 */    MCD_OPC_FilterValue, 1, 196, 20, // Skip to: 7618
-/* 2302 */    MCD_OPC_CheckPredicate, 0, 192, 20, // Skip to: 7618
-/* 2306 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 2311 */    MCD_OPC_Decode, 217, 3, 18, // Opcode: TEQrsr
-/* 2315 */    MCD_OPC_FilterValue, 5, 83, 0, // Skip to: 2402
-/* 2319 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2322 */    MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 2386
-/* 2326 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 2329 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 2352
-/* 2333 */    MCD_OPC_CheckPredicate, 7, 161, 20, // Skip to: 7618
-/* 2337 */    MCD_OPC_CheckField, 16, 4, 15, 155, 20, // Skip to: 7618
-/* 2343 */    MCD_OPC_CheckField, 8, 4, 15, 149, 20, // Skip to: 7618
-/* 2349 */    MCD_OPC_Decode, 75, 32, // Opcode: CLZ
-/* 2352 */    MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 2368
-/* 2356 */    MCD_OPC_CheckPredicate, 0, 138, 20, // Skip to: 7618
-/* 2360 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 2364 */    MCD_OPC_Decode, 143, 2, 20, // Opcode: QDSUB
-/* 2368 */    MCD_OPC_FilterValue, 3, 126, 20, // Skip to: 7618
-/* 2372 */    MCD_OPC_CheckPredicate, 8, 122, 20, // Skip to: 7618
-/* 2376 */    MCD_OPC_CheckField, 8, 12, 0, 116, 20, // Skip to: 7618
-/* 2382 */    MCD_OPC_Decode, 202, 2, 33, // Opcode: SMC
-/* 2386 */    MCD_OPC_FilterValue, 1, 108, 20, // Skip to: 7618
-/* 2390 */    MCD_OPC_CheckPredicate, 0, 104, 20, // Skip to: 7618
-/* 2394 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 2399 */    MCD_OPC_Decode, 79, 18, // Opcode: CMNzrsr
-/* 2402 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 2420
-/* 2406 */    MCD_OPC_CheckPredicate, 0, 88, 20, // Skip to: 7618
-/* 2410 */    MCD_OPC_CheckField, 16, 4, 0, 82, 20, // Skip to: 7618
-/* 2416 */    MCD_OPC_Decode, 227, 1, 34, // Opcode: MOVsr
-/* 2420 */    MCD_OPC_FilterValue, 7, 74, 20, // Skip to: 7618
-/* 2424 */    MCD_OPC_CheckPredicate, 0, 70, 20, // Skip to: 7618
-/* 2428 */    MCD_OPC_CheckField, 16, 4, 0, 64, 20, // Skip to: 7618
-/* 2434 */    MCD_OPC_Decode, 244, 1, 35, // Opcode: MVNsr
-/* 2438 */    MCD_OPC_FilterValue, 1, 56, 20, // Skip to: 7618
-/* 2442 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 2445 */    MCD_OPC_FilterValue, 0, 3, 1, // Skip to: 2708
-/* 2449 */    MCD_OPC_ExtractField, 22, 3,  // Inst{24-22} ...
-/* 2452 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2464
-/* 2456 */    MCD_OPC_CheckPredicate, 1, 38, 20, // Skip to: 7618
-/* 2460 */    MCD_OPC_Decode, 205, 1, 36, // Opcode: MLA
-/* 2464 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 2482
-/* 2468 */    MCD_OPC_CheckPredicate, 9, 26, 20, // Skip to: 7618
-/* 2472 */    MCD_OPC_CheckField, 20, 1, 0, 20, 20, // Skip to: 7618
-/* 2478 */    MCD_OPC_Decode, 207, 1, 37, // Opcode: MLS
-/* 2482 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2494
-/* 2486 */    MCD_OPC_CheckPredicate, 1, 8, 20, // Skip to: 7618
-/* 2490 */    MCD_OPC_Decode, 238, 3, 38, // Opcode: UMLAL
-/* 2494 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2506
-/* 2498 */    MCD_OPC_CheckPredicate, 1, 252, 19, // Skip to: 7618
-/* 2502 */    MCD_OPC_Decode, 207, 2, 38, // Opcode: SMLAL
-/* 2506 */    MCD_OPC_FilterValue, 6, 76, 0, // Skip to: 2586
-/* 2510 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 2513 */    MCD_OPC_FilterValue, 14, 32, 0, // Skip to: 2549
-/* 2517 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2520 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2532
-/* 2524 */    MCD_OPC_CheckPredicate, 5, 226, 19, // Skip to: 7618
-/* 2528 */    MCD_OPC_Decode, 146, 3, 39, // Opcode: STLEXD
-/* 2532 */    MCD_OPC_FilterValue, 1, 218, 19, // Skip to: 7618
-/* 2536 */    MCD_OPC_CheckPredicate, 5, 214, 19, // Skip to: 7618
-/* 2540 */    MCD_OPC_CheckField, 0, 4, 15, 208, 19, // Skip to: 7618
-/* 2546 */    MCD_OPC_Decode, 123, 40, // Opcode: LDAEXD
-/* 2549 */    MCD_OPC_FilterValue, 15, 201, 19, // Skip to: 7618
-/* 2553 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2556 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2568
-/* 2560 */    MCD_OPC_CheckPredicate, 0, 190, 19, // Skip to: 7618
-/* 2564 */    MCD_OPC_Decode, 173, 3, 39, // Opcode: STREXD
-/* 2568 */    MCD_OPC_FilterValue, 1, 182, 19, // Skip to: 7618
-/* 2572 */    MCD_OPC_CheckPredicate, 0, 178, 19, // Skip to: 7618
-/* 2576 */    MCD_OPC_CheckField, 0, 4, 15, 172, 19, // Skip to: 7618
-/* 2582 */    MCD_OPC_Decode, 165, 1, 40, // Opcode: LDREXD
-/* 2586 */    MCD_OPC_FilterValue, 7, 164, 19, // Skip to: 7618
-/* 2590 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 2593 */    MCD_OPC_FilterValue, 12, 38, 0, // Skip to: 2635
-/* 2597 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2600 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2618
-/* 2604 */    MCD_OPC_CheckPredicate, 5, 146, 19, // Skip to: 7618
-/* 2608 */    MCD_OPC_CheckField, 12, 4, 15, 140, 19, // Skip to: 7618
-/* 2614 */    MCD_OPC_Decode, 148, 3, 21, // Opcode: STLH
-/* 2618 */    MCD_OPC_FilterValue, 1, 132, 19, // Skip to: 7618
-/* 2622 */    MCD_OPC_CheckPredicate, 5, 128, 19, // Skip to: 7618
-/* 2626 */    MCD_OPC_CheckField, 0, 4, 15, 122, 19, // Skip to: 7618
-/* 2632 */    MCD_OPC_Decode, 125, 22, // Opcode: LDAH
-/* 2635 */    MCD_OPC_FilterValue, 14, 32, 0, // Skip to: 2671
-/* 2639 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2642 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2654
-/* 2646 */    MCD_OPC_CheckPredicate, 5, 104, 19, // Skip to: 7618
-/* 2650 */    MCD_OPC_Decode, 147, 3, 23, // Opcode: STLEXH
-/* 2654 */    MCD_OPC_FilterValue, 1, 96, 19, // Skip to: 7618
-/* 2658 */    MCD_OPC_CheckPredicate, 5, 92, 19, // Skip to: 7618
-/* 2662 */    MCD_OPC_CheckField, 0, 4, 15, 86, 19, // Skip to: 7618
-/* 2668 */    MCD_OPC_Decode, 124, 22, // Opcode: LDAEXH
-/* 2671 */    MCD_OPC_FilterValue, 15, 79, 19, // Skip to: 7618
-/* 2675 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2678 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2690
-/* 2682 */    MCD_OPC_CheckPredicate, 0, 68, 19, // Skip to: 7618
-/* 2686 */    MCD_OPC_Decode, 174, 3, 23, // Opcode: STREXH
-/* 2690 */    MCD_OPC_FilterValue, 1, 60, 19, // Skip to: 7618
-/* 2694 */    MCD_OPC_CheckPredicate, 0, 56, 19, // Skip to: 7618
-/* 2698 */    MCD_OPC_CheckField, 0, 4, 15, 50, 19, // Skip to: 7618
-/* 2704 */    MCD_OPC_Decode, 166, 1, 22, // Opcode: LDREXH
-/* 2708 */    MCD_OPC_FilterValue, 1, 113, 0, // Skip to: 2825
-/* 2712 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2715 */    MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 2771
-/* 2719 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 2722 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 2759
-/* 2726 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 2729 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2747
-/* 2733 */    MCD_OPC_CheckPredicate, 0, 17, 19, // Skip to: 7618
-/* 2737 */    MCD_OPC_CheckField, 8, 4, 0, 11, 19, // Skip to: 7618
-/* 2743 */    MCD_OPC_Decode, 177, 3, 41, // Opcode: STRHTr
-/* 2747 */    MCD_OPC_FilterValue, 1, 3, 19, // Skip to: 7618
-/* 2751 */    MCD_OPC_CheckPredicate, 0, 255, 18, // Skip to: 7618
-/* 2755 */    MCD_OPC_Decode, 176, 3, 42, // Opcode: STRHTi
-/* 2759 */    MCD_OPC_FilterValue, 1, 247, 18, // Skip to: 7618
-/* 2763 */    MCD_OPC_CheckPredicate, 0, 243, 18, // Skip to: 7618
-/* 2767 */    MCD_OPC_Decode, 179, 3, 7, // Opcode: STRH_PRE
-/* 2771 */    MCD_OPC_FilterValue, 1, 235, 18, // Skip to: 7618
-/* 2775 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 2778 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 2813
-/* 2782 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 2785 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 2801
-/* 2789 */    MCD_OPC_CheckPredicate, 0, 217, 18, // Skip to: 7618
-/* 2793 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 2797 */    MCD_OPC_Decode, 169, 1, 43, // Opcode: LDRHTr
-/* 2801 */    MCD_OPC_FilterValue, 1, 205, 18, // Skip to: 7618
-/* 2805 */    MCD_OPC_CheckPredicate, 0, 201, 18, // Skip to: 7618
-/* 2809 */    MCD_OPC_Decode, 168, 1, 44, // Opcode: LDRHTi
-/* 2813 */    MCD_OPC_FilterValue, 1, 193, 18, // Skip to: 7618
-/* 2817 */    MCD_OPC_CheckPredicate, 0, 189, 18, // Skip to: 7618
-/* 2821 */    MCD_OPC_Decode, 171, 1, 7, // Opcode: LDRH_PRE
-/* 2825 */    MCD_OPC_FilterValue, 2, 75, 0, // Skip to: 2904
-/* 2829 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2832 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2850
-/* 2836 */    MCD_OPC_CheckPredicate, 0, 170, 18, // Skip to: 7618
-/* 2840 */    MCD_OPC_CheckField, 24, 1, 1, 164, 18, // Skip to: 7618
-/* 2846 */    MCD_OPC_Decode, 162, 1, 7, // Opcode: LDRD_PRE
-/* 2850 */    MCD_OPC_FilterValue, 1, 156, 18, // Skip to: 7618
-/* 2854 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 2857 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 2892
-/* 2861 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 2864 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 2880
-/* 2868 */    MCD_OPC_CheckPredicate, 0, 138, 18, // Skip to: 7618
-/* 2872 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 2876 */    MCD_OPC_Decode, 177, 1, 43, // Opcode: LDRSBTr
-/* 2880 */    MCD_OPC_FilterValue, 1, 126, 18, // Skip to: 7618
-/* 2884 */    MCD_OPC_CheckPredicate, 0, 122, 18, // Skip to: 7618
-/* 2888 */    MCD_OPC_Decode, 176, 1, 44, // Opcode: LDRSBTi
-/* 2892 */    MCD_OPC_FilterValue, 1, 114, 18, // Skip to: 7618
-/* 2896 */    MCD_OPC_CheckPredicate, 0, 110, 18, // Skip to: 7618
-/* 2900 */    MCD_OPC_Decode, 179, 1, 7, // Opcode: LDRSB_PRE
-/* 2904 */    MCD_OPC_FilterValue, 3, 102, 18, // Skip to: 7618
-/* 2908 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2911 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2929
-/* 2915 */    MCD_OPC_CheckPredicate, 0, 91, 18, // Skip to: 7618
-/* 2919 */    MCD_OPC_CheckField, 24, 1, 1, 85, 18, // Skip to: 7618
-/* 2925 */    MCD_OPC_Decode, 170, 3, 7, // Opcode: STRD_PRE
-/* 2929 */    MCD_OPC_FilterValue, 1, 77, 18, // Skip to: 7618
-/* 2933 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 2936 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 2971
-/* 2940 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 2943 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 2959
-/* 2947 */    MCD_OPC_CheckPredicate, 0, 59, 18, // Skip to: 7618
-/* 2951 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
-/* 2955 */    MCD_OPC_Decode, 182, 1, 43, // Opcode: LDRSHTr
-/* 2959 */    MCD_OPC_FilterValue, 1, 47, 18, // Skip to: 7618
-/* 2963 */    MCD_OPC_CheckPredicate, 0, 43, 18, // Skip to: 7618
-/* 2967 */    MCD_OPC_Decode, 181, 1, 44, // Opcode: LDRSHTi
-/* 2971 */    MCD_OPC_FilterValue, 1, 35, 18, // Skip to: 7618
-/* 2975 */    MCD_OPC_CheckPredicate, 0, 31, 18, // Skip to: 7618
-/* 2979 */    MCD_OPC_Decode, 184, 1, 7, // Opcode: LDRSH_PRE
-/* 2983 */    MCD_OPC_FilterValue, 1, 147, 1, // Skip to: 3390
-/* 2987 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 2990 */    MCD_OPC_FilterValue, 0, 170, 0, // Skip to: 3164
-/* 2994 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 2997 */    MCD_OPC_FilterValue, 0, 62, 0, // Skip to: 3063
-/* 3001 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 3004 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3015
-/* 3008 */    MCD_OPC_CheckPredicate, 0, 38, 0, // Skip to: 3050
-/* 3012 */    MCD_OPC_Decode, 40, 45, // Opcode: ANDri
-/* 3015 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3027
-/* 3019 */    MCD_OPC_CheckPredicate, 0, 27, 0, // Skip to: 3050
-/* 3023 */    MCD_OPC_Decode, 197, 3, 45, // Opcode: SUBri
-/* 3027 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 3038
-/* 3031 */    MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 3050
-/* 3035 */    MCD_OPC_Decode, 29, 45, // Opcode: ADDri
-/* 3038 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 3050
-/* 3042 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 3050
-/* 3046 */    MCD_OPC_Decode, 178, 2, 45, // Opcode: SBCri
-/* 3050 */    MCD_OPC_CheckPredicate, 0, 212, 17, // Skip to: 7618
-/* 3054 */    MCD_OPC_CheckField, 16, 5, 15, 206, 17, // Skip to: 7618
-/* 3060 */    MCD_OPC_Decode, 35, 46, // Opcode: ADR
-/* 3063 */    MCD_OPC_FilterValue, 1, 199, 17, // Skip to: 7618
-/* 3067 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
-/* 3070 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 3106
-/* 3074 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3077 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3089
-/* 3081 */    MCD_OPC_CheckPredicate, 9, 181, 17, // Skip to: 7618
-/* 3085 */    MCD_OPC_Decode, 221, 1, 47, // Opcode: MOVi16
-/* 3089 */    MCD_OPC_FilterValue, 1, 173, 17, // Skip to: 7618
-/* 3093 */    MCD_OPC_CheckPredicate, 0, 169, 17, // Skip to: 7618
-/* 3097 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 3102 */    MCD_OPC_Decode, 221, 3, 48, // Opcode: TSTri
-/* 3106 */    MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 3141
-/* 3110 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3113 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3125
-/* 3117 */    MCD_OPC_CheckPredicate, 9, 145, 17, // Skip to: 7618
-/* 3121 */    MCD_OPC_Decode, 216, 1, 47, // Opcode: MOVTi16
-/* 3125 */    MCD_OPC_FilterValue, 1, 137, 17, // Skip to: 7618
-/* 3129 */    MCD_OPC_CheckPredicate, 0, 133, 17, // Skip to: 7618
-/* 3133 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 3138 */    MCD_OPC_Decode, 80, 48, // Opcode: CMPri
-/* 3141 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3153
-/* 3145 */    MCD_OPC_CheckPredicate, 0, 117, 17, // Skip to: 7618
-/* 3149 */    MCD_OPC_Decode, 245, 1, 45, // Opcode: ORRri
-/* 3153 */    MCD_OPC_FilterValue, 3, 109, 17, // Skip to: 7618
-/* 3157 */    MCD_OPC_CheckPredicate, 0, 105, 17, // Skip to: 7618
-/* 3161 */    MCD_OPC_Decode, 51, 45, // Opcode: BICri
-/* 3164 */    MCD_OPC_FilterValue, 1, 98, 17, // Skip to: 7618
-/* 3168 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 3171 */    MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 3201
-/* 3175 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 3178 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3189
-/* 3182 */    MCD_OPC_CheckPredicate, 0, 80, 17, // Skip to: 7618
-/* 3186 */    MCD_OPC_Decode, 98, 45, // Opcode: EORri
-/* 3189 */    MCD_OPC_FilterValue, 1, 73, 17, // Skip to: 7618
-/* 3193 */    MCD_OPC_CheckPredicate, 0, 69, 17, // Skip to: 7618
-/* 3197 */    MCD_OPC_Decode, 167, 2, 45, // Opcode: RSBri
-/* 3201 */    MCD_OPC_FilterValue, 1, 26, 0, // Skip to: 3231
-/* 3205 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 3208 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3219
-/* 3212 */    MCD_OPC_CheckPredicate, 0, 50, 17, // Skip to: 7618
-/* 3216 */    MCD_OPC_Decode, 21, 45, // Opcode: ADCri
-/* 3219 */    MCD_OPC_FilterValue, 1, 43, 17, // Skip to: 7618
-/* 3223 */    MCD_OPC_CheckPredicate, 0, 39, 17, // Skip to: 7618
-/* 3227 */    MCD_OPC_Decode, 171, 2, 45, // Opcode: RSCri
-/* 3231 */    MCD_OPC_FilterValue, 2, 112, 0, // Skip to: 3347
-/* 3235 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3238 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 3307
-/* 3242 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 3245 */    MCD_OPC_FilterValue, 15, 17, 17, // Skip to: 7618
-/* 3249 */    MCD_OPC_CheckPredicate, 10, 21, 0, // Skip to: 3274
-/* 3253 */    MCD_OPC_CheckField, 22, 1, 0, 15, 0, // Skip to: 3274
-/* 3259 */    MCD_OPC_CheckField, 16, 4, 0, 9, 0, // Skip to: 3274
-/* 3265 */    MCD_OPC_CheckField, 4, 8, 15, 3, 0, // Skip to: 3274
-/* 3271 */    MCD_OPC_Decode, 95, 33, // Opcode: DBG
-/* 3274 */    MCD_OPC_CheckPredicate, 1, 21, 0, // Skip to: 3299
-/* 3278 */    MCD_OPC_CheckField, 22, 1, 0, 15, 0, // Skip to: 3299
-/* 3284 */    MCD_OPC_CheckField, 16, 4, 0, 9, 0, // Skip to: 3299
-/* 3290 */    MCD_OPC_CheckField, 8, 4, 0, 3, 0, // Skip to: 3299
-/* 3296 */    MCD_OPC_Decode, 111, 49, // Opcode: HINT
-/* 3299 */    MCD_OPC_CheckPredicate, 0, 219, 16, // Skip to: 7618
-/* 3303 */    MCD_OPC_Decode, 237, 1, 50, // Opcode: MSRi
-/* 3307 */    MCD_OPC_FilterValue, 1, 211, 16, // Skip to: 7618
-/* 3311 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 3314 */    MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 3331
-/* 3318 */    MCD_OPC_CheckPredicate, 0, 200, 16, // Skip to: 7618
-/* 3322 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 3327 */    MCD_OPC_Decode, 214, 3, 48, // Opcode: TEQri
-/* 3331 */    MCD_OPC_FilterValue, 1, 187, 16, // Skip to: 7618
-/* 3335 */    MCD_OPC_CheckPredicate, 0, 183, 16, // Skip to: 7618
-/* 3339 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
-/* 3344 */    MCD_OPC_Decode, 76, 48, // Opcode: CMNri
-/* 3347 */    MCD_OPC_FilterValue, 3, 171, 16, // Skip to: 7618
-/* 3351 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
-/* 3354 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3372
-/* 3358 */    MCD_OPC_CheckPredicate, 0, 160, 16, // Skip to: 7618
-/* 3362 */    MCD_OPC_CheckField, 16, 4, 0, 154, 16, // Skip to: 7618
-/* 3368 */    MCD_OPC_Decode, 220, 1, 51, // Opcode: MOVi
-/* 3372 */    MCD_OPC_FilterValue, 1, 146, 16, // Skip to: 7618
-/* 3376 */    MCD_OPC_CheckPredicate, 0, 142, 16, // Skip to: 7618
-/* 3380 */    MCD_OPC_CheckField, 16, 4, 0, 136, 16, // Skip to: 7618
-/* 3386 */    MCD_OPC_Decode, 241, 1, 51, // Opcode: MVNi
-/* 3390 */    MCD_OPC_FilterValue, 2, 160, 1, // Skip to: 3810
-/* 3394 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 3397 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 3428
-/* 3401 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3404 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3416
-/* 3408 */    MCD_OPC_CheckPredicate, 0, 110, 16, // Skip to: 7618
-/* 3412 */    MCD_OPC_Decode, 184, 3, 52, // Opcode: STR_POST_IMM
-/* 3416 */    MCD_OPC_FilterValue, 1, 102, 16, // Skip to: 7618
-/* 3420 */    MCD_OPC_CheckPredicate, 0, 98, 16, // Skip to: 7618
-/* 3424 */    MCD_OPC_Decode, 188, 3, 53, // Opcode: STRi12
-/* 3428 */    MCD_OPC_FilterValue, 1, 47, 0, // Skip to: 3479
-/* 3432 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3435 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3447
-/* 3439 */    MCD_OPC_CheckPredicate, 0, 79, 16, // Skip to: 7618
-/* 3443 */    MCD_OPC_Decode, 188, 1, 52, // Opcode: LDR_POST_IMM
-/* 3447 */    MCD_OPC_FilterValue, 1, 71, 16, // Skip to: 7618
-/* 3451 */    MCD_OPC_CheckPredicate, 11, 16, 0, // Skip to: 3471
-/* 3455 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3471
-/* 3461 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3471
-/* 3467 */    MCD_OPC_Decode, 132, 2, 54, // Opcode: PLDWi12
-/* 3471 */    MCD_OPC_CheckPredicate, 0, 47, 16, // Skip to: 7618
-/* 3475 */    MCD_OPC_Decode, 193, 1, 53, // Opcode: LDRi12
-/* 3479 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 3510
-/* 3483 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3486 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3498
-/* 3490 */    MCD_OPC_CheckPredicate, 0, 28, 16, // Skip to: 7618
-/* 3494 */    MCD_OPC_Decode, 182, 3, 52, // Opcode: STRT_POST_IMM
-/* 3498 */    MCD_OPC_FilterValue, 1, 20, 16, // Skip to: 7618
-/* 3502 */    MCD_OPC_CheckPredicate, 0, 16, 16, // Skip to: 7618
-/* 3506 */    MCD_OPC_Decode, 186, 3, 55, // Opcode: STR_PRE_IMM
-/* 3510 */    MCD_OPC_FilterValue, 3, 27, 0, // Skip to: 3541
-/* 3514 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3517 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3529
-/* 3521 */    MCD_OPC_CheckPredicate, 0, 253, 15, // Skip to: 7618
-/* 3525 */    MCD_OPC_Decode, 186, 1, 52, // Opcode: LDRT_POST_IMM
-/* 3529 */    MCD_OPC_FilterValue, 1, 245, 15, // Skip to: 7618
-/* 3533 */    MCD_OPC_CheckPredicate, 0, 241, 15, // Skip to: 7618
-/* 3537 */    MCD_OPC_Decode, 190, 1, 56, // Opcode: LDR_PRE_IMM
-/* 3541 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 3572
-/* 3545 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3548 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3560
-/* 3552 */    MCD_OPC_CheckPredicate, 0, 222, 15, // Skip to: 7618
-/* 3556 */    MCD_OPC_Decode, 160, 3, 52, // Opcode: STRB_POST_IMM
-/* 3560 */    MCD_OPC_FilterValue, 1, 214, 15, // Skip to: 7618
-/* 3564 */    MCD_OPC_CheckPredicate, 0, 210, 15, // Skip to: 7618
-/* 3568 */    MCD_OPC_Decode, 164, 3, 57, // Opcode: STRBi12
-/* 3572 */    MCD_OPC_FilterValue, 5, 67, 0, // Skip to: 3643
-/* 3576 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3579 */    MCD_OPC_FilterValue, 0, 28, 0, // Skip to: 3611
-/* 3583 */    MCD_OPC_CheckPredicate, 10, 16, 0, // Skip to: 3603
-/* 3587 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3603
-/* 3593 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3603
-/* 3599 */    MCD_OPC_Decode, 136, 2, 54, // Opcode: PLIi12
-/* 3603 */    MCD_OPC_CheckPredicate, 0, 171, 15, // Skip to: 7618
-/* 3607 */    MCD_OPC_Decode, 154, 1, 52, // Opcode: LDRB_POST_IMM
-/* 3611 */    MCD_OPC_FilterValue, 1, 163, 15, // Skip to: 7618
-/* 3615 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 3635
-/* 3619 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3635
-/* 3625 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3635
-/* 3631 */    MCD_OPC_Decode, 134, 2, 54, // Opcode: PLDi12
-/* 3635 */    MCD_OPC_CheckPredicate, 0, 139, 15, // Skip to: 7618
-/* 3639 */    MCD_OPC_Decode, 158, 1, 57, // Opcode: LDRBi12
-/* 3643 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 3674
-/* 3647 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3650 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3662
-/* 3654 */    MCD_OPC_CheckPredicate, 0, 120, 15, // Skip to: 7618
-/* 3658 */    MCD_OPC_Decode, 158, 3, 52, // Opcode: STRBT_POST_IMM
-/* 3662 */    MCD_OPC_FilterValue, 1, 112, 15, // Skip to: 7618
-/* 3666 */    MCD_OPC_CheckPredicate, 0, 108, 15, // Skip to: 7618
-/* 3670 */    MCD_OPC_Decode, 162, 3, 55, // Opcode: STRB_PRE_IMM
-/* 3674 */    MCD_OPC_FilterValue, 7, 100, 15, // Skip to: 7618
-/* 3678 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3681 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3693
-/* 3685 */    MCD_OPC_CheckPredicate, 0, 89, 15, // Skip to: 7618
-/* 3689 */    MCD_OPC_Decode, 152, 1, 52, // Opcode: LDRBT_POST_IMM
-/* 3693 */    MCD_OPC_FilterValue, 1, 81, 15, // Skip to: 7618
-/* 3697 */    MCD_OPC_CheckPredicate, 10, 23, 0, // Skip to: 3724
-/* 3701 */    MCD_OPC_CheckField, 28, 4, 15, 17, 0, // Skip to: 3724
-/* 3707 */    MCD_OPC_CheckField, 23, 1, 0, 11, 0, // Skip to: 3724
-/* 3713 */    MCD_OPC_CheckField, 0, 20, 159, 224, 63, 3, 0, // Skip to: 3724
-/* 3721 */    MCD_OPC_Decode, 74, 58, // Opcode: CLREX
-/* 3724 */    MCD_OPC_ExtractField, 4, 16,  // Inst{19-4} ...
-/* 3727 */    MCD_OPC_FilterValue, 132, 254, 3, 19, 0, // Skip to: 3752
-/* 3733 */    MCD_OPC_CheckPredicate, 12, 65, 0, // Skip to: 3802
-/* 3737 */    MCD_OPC_CheckField, 28, 4, 15, 59, 0, // Skip to: 3802
-/* 3743 */    MCD_OPC_CheckField, 23, 1, 0, 53, 0, // Skip to: 3802
-/* 3749 */    MCD_OPC_Decode, 97, 59, // Opcode: DSB
-/* 3752 */    MCD_OPC_FilterValue, 133, 254, 3, 19, 0, // Skip to: 3777
-/* 3758 */    MCD_OPC_CheckPredicate, 12, 40, 0, // Skip to: 3802
-/* 3762 */    MCD_OPC_CheckField, 28, 4, 15, 34, 0, // Skip to: 3802
-/* 3768 */    MCD_OPC_CheckField, 23, 1, 0, 28, 0, // Skip to: 3802
-/* 3774 */    MCD_OPC_Decode, 96, 59, // Opcode: DMB
-/* 3777 */    MCD_OPC_FilterValue, 134, 254, 3, 19, 0, // Skip to: 3802
-/* 3783 */    MCD_OPC_CheckPredicate, 12, 15, 0, // Skip to: 3802
-/* 3787 */    MCD_OPC_CheckField, 28, 4, 15, 9, 0, // Skip to: 3802
-/* 3793 */    MCD_OPC_CheckField, 23, 1, 0, 3, 0, // Skip to: 3802
-/* 3799 */    MCD_OPC_Decode, 113, 60, // Opcode: ISB
-/* 3802 */    MCD_OPC_CheckPredicate, 0, 228, 14, // Skip to: 7618
-/* 3806 */    MCD_OPC_Decode, 156, 1, 56, // Opcode: LDRB_PRE_IMM
-/* 3810 */    MCD_OPC_FilterValue, 3, 44, 9, // Skip to: 6162
-/* 3814 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
-/* 3817 */    MCD_OPC_FilterValue, 0, 109, 2, // Skip to: 4442
-/* 3821 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 3824 */    MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 3913
-/* 3828 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3831 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 3862
-/* 3835 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3838 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3850
-/* 3842 */    MCD_OPC_CheckPredicate, 0, 188, 14, // Skip to: 7618
-/* 3846 */    MCD_OPC_Decode, 185, 3, 52, // Opcode: STR_POST_REG
-/* 3850 */    MCD_OPC_FilterValue, 1, 180, 14, // Skip to: 7618
-/* 3854 */    MCD_OPC_CheckPredicate, 0, 176, 14, // Skip to: 7618
-/* 3858 */    MCD_OPC_Decode, 191, 3, 61, // Opcode: STRrs
-/* 3862 */    MCD_OPC_FilterValue, 1, 168, 14, // Skip to: 7618
-/* 3866 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 3869 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3881
-/* 3873 */    MCD_OPC_CheckPredicate, 0, 157, 14, // Skip to: 7618
-/* 3877 */    MCD_OPC_Decode, 189, 1, 52, // Opcode: LDR_POST_REG
-/* 3881 */    MCD_OPC_FilterValue, 1, 149, 14, // Skip to: 7618
-/* 3885 */    MCD_OPC_CheckPredicate, 11, 16, 0, // Skip to: 3905
-/* 3889 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3905
-/* 3895 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3905
-/* 3901 */    MCD_OPC_Decode, 133, 2, 62, // Opcode: PLDWrs
-/* 3905 */    MCD_OPC_CheckPredicate, 0, 125, 14, // Skip to: 7618
-/* 3909 */    MCD_OPC_Decode, 194, 1, 61, // Opcode: LDRrs
-/* 3913 */    MCD_OPC_FilterValue, 1, 117, 14, // Skip to: 7618
-/* 3917 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 3920 */    MCD_OPC_FilterValue, 0, 176, 0, // Skip to: 4100
-/* 3924 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 3927 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 3978
-/* 3931 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 3934 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 3956
-/* 3938 */    MCD_OPC_CheckPredicate, 0, 92, 14, // Skip to: 7618
-/* 3942 */    MCD_OPC_CheckField, 20, 1, 1, 86, 14, // Skip to: 7618
-/* 3948 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 3952 */    MCD_OPC_Decode, 175, 2, 63, // Opcode: SADD16
-/* 3956 */    MCD_OPC_FilterValue, 1, 74, 14, // Skip to: 7618
-/* 3960 */    MCD_OPC_CheckPredicate, 0, 70, 14, // Skip to: 7618
-/* 3964 */    MCD_OPC_CheckField, 20, 1, 1, 64, 14, // Skip to: 7618
-/* 3970 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 3974 */    MCD_OPC_Decode, 176, 2, 63, // Opcode: SADD8
-/* 3978 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3996
-/* 3982 */    MCD_OPC_CheckPredicate, 1, 48, 14, // Skip to: 7618
-/* 3986 */    MCD_OPC_CheckField, 20, 1, 0, 42, 14, // Skip to: 7618
-/* 3992 */    MCD_OPC_Decode, 130, 2, 64, // Opcode: PKHBT
-/* 3996 */    MCD_OPC_FilterValue, 2, 60, 0, // Skip to: 4060
-/* 4000 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4003 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 4036
-/* 4007 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4010 */    MCD_OPC_FilterValue, 0, 20, 14, // Skip to: 7618
-/* 4014 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4028
-/* 4018 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4028
-/* 4024 */    MCD_OPC_Decode, 229, 2, 65, // Opcode: SMUAD
-/* 4028 */    MCD_OPC_CheckPredicate, 1, 2, 14, // Skip to: 7618
-/* 4032 */    MCD_OPC_Decode, 205, 2, 66, // Opcode: SMLAD
-/* 4036 */    MCD_OPC_FilterValue, 1, 250, 13, // Skip to: 7618
-/* 4040 */    MCD_OPC_CheckPredicate, 13, 246, 13, // Skip to: 7618
-/* 4044 */    MCD_OPC_CheckField, 12, 4, 15, 240, 13, // Skip to: 7618
-/* 4050 */    MCD_OPC_CheckField, 7, 1, 0, 234, 13, // Skip to: 7618
-/* 4056 */    MCD_OPC_Decode, 183, 2, 26, // Opcode: SDIV
-/* 4060 */    MCD_OPC_FilterValue, 3, 226, 13, // Skip to: 7618
-/* 4064 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4067 */    MCD_OPC_FilterValue, 0, 219, 13, // Skip to: 7618
-/* 4071 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4074 */    MCD_OPC_FilterValue, 0, 212, 13, // Skip to: 7618
-/* 4078 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4092
-/* 4082 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4092
-/* 4088 */    MCD_OPC_Decode, 248, 3, 26, // Opcode: USAD8
-/* 4092 */    MCD_OPC_CheckPredicate, 1, 194, 13, // Skip to: 7618
-/* 4096 */    MCD_OPC_Decode, 249, 3, 37, // Opcode: USADA8
-/* 4100 */    MCD_OPC_FilterValue, 1, 99, 0, // Skip to: 4203
-/* 4104 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 4107 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4135
-/* 4111 */    MCD_OPC_CheckPredicate, 0, 175, 13, // Skip to: 7618
-/* 4115 */    MCD_OPC_CheckField, 20, 1, 1, 169, 13, // Skip to: 7618
-/* 4121 */    MCD_OPC_CheckField, 7, 1, 0, 163, 13, // Skip to: 7618
-/* 4127 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4131 */    MCD_OPC_Decode, 177, 2, 63, // Opcode: SASX
-/* 4135 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 4163
-/* 4139 */    MCD_OPC_CheckPredicate, 1, 147, 13, // Skip to: 7618
-/* 4143 */    MCD_OPC_CheckField, 20, 1, 0, 141, 13, // Skip to: 7618
-/* 4149 */    MCD_OPC_CheckField, 7, 1, 1, 135, 13, // Skip to: 7618
-/* 4155 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4159 */    MCD_OPC_Decode, 184, 2, 67, // Opcode: SEL
-/* 4163 */    MCD_OPC_FilterValue, 2, 123, 13, // Skip to: 7618
-/* 4167 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4170 */    MCD_OPC_FilterValue, 0, 116, 13, // Skip to: 7618
-/* 4174 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4177 */    MCD_OPC_FilterValue, 0, 109, 13, // Skip to: 7618
-/* 4181 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4195
-/* 4185 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4195
-/* 4191 */    MCD_OPC_Decode, 230, 2, 65, // Opcode: SMUADX
-/* 4195 */    MCD_OPC_CheckPredicate, 1, 91, 13, // Skip to: 7618
-/* 4199 */    MCD_OPC_Decode, 206, 2, 66, // Opcode: SMLADX
-/* 4203 */    MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 4296
-/* 4207 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 4210 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4238
-/* 4214 */    MCD_OPC_CheckPredicate, 0, 72, 13, // Skip to: 7618
-/* 4218 */    MCD_OPC_CheckField, 20, 1, 1, 66, 13, // Skip to: 7618
-/* 4224 */    MCD_OPC_CheckField, 7, 1, 0, 60, 13, // Skip to: 7618
-/* 4230 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4234 */    MCD_OPC_Decode, 251, 2, 63, // Opcode: SSAX
-/* 4238 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4256
-/* 4242 */    MCD_OPC_CheckPredicate, 1, 44, 13, // Skip to: 7618
-/* 4246 */    MCD_OPC_CheckField, 20, 1, 0, 38, 13, // Skip to: 7618
-/* 4252 */    MCD_OPC_Decode, 131, 2, 64, // Opcode: PKHTB
-/* 4256 */    MCD_OPC_FilterValue, 2, 30, 13, // Skip to: 7618
-/* 4260 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4263 */    MCD_OPC_FilterValue, 0, 23, 13, // Skip to: 7618
-/* 4267 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4270 */    MCD_OPC_FilterValue, 0, 16, 13, // Skip to: 7618
-/* 4274 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4288
-/* 4278 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4288
-/* 4284 */    MCD_OPC_Decode, 239, 2, 65, // Opcode: SMUSD
-/* 4288 */    MCD_OPC_CheckPredicate, 1, 254, 12, // Skip to: 7618
-/* 4292 */    MCD_OPC_Decode, 219, 2, 66, // Opcode: SMLSD
-/* 4296 */    MCD_OPC_FilterValue, 3, 246, 12, // Skip to: 7618
-/* 4300 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 4303 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 4354
-/* 4307 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4310 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 4332
-/* 4314 */    MCD_OPC_CheckPredicate, 0, 228, 12, // Skip to: 7618
-/* 4318 */    MCD_OPC_CheckField, 20, 1, 1, 222, 12, // Skip to: 7618
-/* 4324 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4328 */    MCD_OPC_Decode, 252, 2, 63, // Opcode: SSUB16
-/* 4332 */    MCD_OPC_FilterValue, 1, 210, 12, // Skip to: 7618
-/* 4336 */    MCD_OPC_CheckPredicate, 0, 206, 12, // Skip to: 7618
-/* 4340 */    MCD_OPC_CheckField, 20, 1, 1, 200, 12, // Skip to: 7618
-/* 4346 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4350 */    MCD_OPC_Decode, 253, 2, 63, // Opcode: SSUB8
-/* 4354 */    MCD_OPC_FilterValue, 1, 44, 0, // Skip to: 4402
-/* 4358 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4361 */    MCD_OPC_FilterValue, 0, 181, 12, // Skip to: 7618
-/* 4365 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4368 */    MCD_OPC_FilterValue, 0, 174, 12, // Skip to: 7618
-/* 4372 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 4390
-/* 4376 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 4390
-/* 4382 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4386 */    MCD_OPC_Decode, 208, 3, 68, // Opcode: SXTB16
-/* 4390 */    MCD_OPC_CheckPredicate, 1, 152, 12, // Skip to: 7618
-/* 4394 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4398 */    MCD_OPC_Decode, 205, 3, 69, // Opcode: SXTAB16
-/* 4402 */    MCD_OPC_FilterValue, 2, 140, 12, // Skip to: 7618
-/* 4406 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4409 */    MCD_OPC_FilterValue, 0, 133, 12, // Skip to: 7618
-/* 4413 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4416 */    MCD_OPC_FilterValue, 0, 126, 12, // Skip to: 7618
-/* 4420 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4434
-/* 4424 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4434
-/* 4430 */    MCD_OPC_Decode, 240, 2, 65, // Opcode: SMUSDX
-/* 4434 */    MCD_OPC_CheckPredicate, 1, 108, 12, // Skip to: 7618
-/* 4438 */    MCD_OPC_Decode, 220, 2, 66, // Opcode: SMLSDX
-/* 4442 */    MCD_OPC_FilterValue, 1, 30, 2, // Skip to: 4988
-/* 4446 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 4449 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 4518
-/* 4453 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4456 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 4487
-/* 4460 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 4463 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4475
-/* 4467 */    MCD_OPC_CheckPredicate, 0, 75, 12, // Skip to: 7618
-/* 4471 */    MCD_OPC_Decode, 183, 3, 52, // Opcode: STRT_POST_REG
-/* 4475 */    MCD_OPC_FilterValue, 1, 67, 12, // Skip to: 7618
-/* 4479 */    MCD_OPC_CheckPredicate, 0, 63, 12, // Skip to: 7618
-/* 4483 */    MCD_OPC_Decode, 187, 3, 70, // Opcode: STR_PRE_REG
-/* 4487 */    MCD_OPC_FilterValue, 1, 55, 12, // Skip to: 7618
-/* 4491 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 4494 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4506
-/* 4498 */    MCD_OPC_CheckPredicate, 0, 44, 12, // Skip to: 7618
-/* 4502 */    MCD_OPC_Decode, 187, 1, 52, // Opcode: LDRT_POST_REG
-/* 4506 */    MCD_OPC_FilterValue, 1, 36, 12, // Skip to: 7618
-/* 4510 */    MCD_OPC_CheckPredicate, 0, 32, 12, // Skip to: 7618
-/* 4514 */    MCD_OPC_Decode, 191, 1, 71, // Opcode: LDR_PRE_REG
-/* 4518 */    MCD_OPC_FilterValue, 1, 24, 12, // Skip to: 7618
-/* 4522 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 4525 */    MCD_OPC_FilterValue, 0, 237, 0, // Skip to: 4766
-/* 4529 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
-/* 4532 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 4571
-/* 4536 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4539 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4555
-/* 4543 */    MCD_OPC_CheckPredicate, 0, 255, 11, // Skip to: 7618
-/* 4547 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4551 */    MCD_OPC_Decode, 139, 2, 63, // Opcode: QADD16
-/* 4555 */    MCD_OPC_FilterValue, 1, 243, 11, // Skip to: 7618
-/* 4559 */    MCD_OPC_CheckPredicate, 0, 239, 11, // Skip to: 7618
-/* 4563 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4567 */    MCD_OPC_Decode, 196, 2, 63, // Opcode: SHADD16
-/* 4571 */    MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 4610
-/* 4575 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4578 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4594
-/* 4582 */    MCD_OPC_CheckPredicate, 0, 216, 11, // Skip to: 7618
-/* 4586 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4590 */    MCD_OPC_Decode, 141, 2, 63, // Opcode: QASX
-/* 4594 */    MCD_OPC_FilterValue, 1, 204, 11, // Skip to: 7618
-/* 4598 */    MCD_OPC_CheckPredicate, 0, 200, 11, // Skip to: 7618
-/* 4602 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4606 */    MCD_OPC_Decode, 198, 2, 63, // Opcode: SHASX
-/* 4610 */    MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 4649
-/* 4614 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4617 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4633
-/* 4621 */    MCD_OPC_CheckPredicate, 0, 177, 11, // Skip to: 7618
-/* 4625 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4629 */    MCD_OPC_Decode, 144, 2, 63, // Opcode: QSAX
-/* 4633 */    MCD_OPC_FilterValue, 1, 165, 11, // Skip to: 7618
-/* 4637 */    MCD_OPC_CheckPredicate, 0, 161, 11, // Skip to: 7618
-/* 4641 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4645 */    MCD_OPC_Decode, 199, 2, 63, // Opcode: SHSAX
-/* 4649 */    MCD_OPC_FilterValue, 3, 35, 0, // Skip to: 4688
-/* 4653 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4656 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4672
-/* 4660 */    MCD_OPC_CheckPredicate, 0, 138, 11, // Skip to: 7618
-/* 4664 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4668 */    MCD_OPC_Decode, 146, 2, 63, // Opcode: QSUB16
-/* 4672 */    MCD_OPC_FilterValue, 1, 126, 11, // Skip to: 7618
-/* 4676 */    MCD_OPC_CheckPredicate, 0, 122, 11, // Skip to: 7618
-/* 4680 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4684 */    MCD_OPC_Decode, 200, 2, 63, // Opcode: SHSUB16
-/* 4688 */    MCD_OPC_FilterValue, 4, 35, 0, // Skip to: 4727
-/* 4692 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4695 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4711
-/* 4699 */    MCD_OPC_CheckPredicate, 0, 99, 11, // Skip to: 7618
-/* 4703 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4707 */    MCD_OPC_Decode, 140, 2, 63, // Opcode: QADD8
-/* 4711 */    MCD_OPC_FilterValue, 1, 87, 11, // Skip to: 7618
-/* 4715 */    MCD_OPC_CheckPredicate, 0, 83, 11, // Skip to: 7618
-/* 4719 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4723 */    MCD_OPC_Decode, 197, 2, 63, // Opcode: SHADD8
-/* 4727 */    MCD_OPC_FilterValue, 7, 71, 11, // Skip to: 7618
-/* 4731 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4734 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4750
-/* 4738 */    MCD_OPC_CheckPredicate, 0, 60, 11, // Skip to: 7618
-/* 4742 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4746 */    MCD_OPC_Decode, 147, 2, 63, // Opcode: QSUB8
-/* 4750 */    MCD_OPC_FilterValue, 1, 48, 11, // Skip to: 7618
-/* 4754 */    MCD_OPC_CheckPredicate, 0, 44, 11, // Skip to: 7618
-/* 4758 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 4762 */    MCD_OPC_Decode, 201, 2, 63, // Opcode: SHSUB8
-/* 4766 */    MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 4940
-/* 4770 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 4773 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4785
-/* 4777 */    MCD_OPC_CheckPredicate, 0, 21, 11, // Skip to: 7618
-/* 4781 */    MCD_OPC_Decode, 249, 2, 72, // Opcode: SSAT
-/* 4785 */    MCD_OPC_FilterValue, 1, 13, 11, // Skip to: 7618
-/* 4789 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 4792 */    MCD_OPC_FilterValue, 0, 45, 0, // Skip to: 4841
-/* 4796 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4799 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4817
-/* 4803 */    MCD_OPC_CheckPredicate, 0, 251, 10, // Skip to: 7618
-/* 4807 */    MCD_OPC_CheckField, 8, 4, 15, 245, 10, // Skip to: 7618
-/* 4813 */    MCD_OPC_Decode, 250, 2, 73, // Opcode: SSAT16
-/* 4817 */    MCD_OPC_FilterValue, 1, 237, 10, // Skip to: 7618
-/* 4821 */    MCD_OPC_CheckPredicate, 1, 233, 10, // Skip to: 7618
-/* 4825 */    MCD_OPC_CheckField, 16, 4, 15, 227, 10, // Skip to: 7618
-/* 4831 */    MCD_OPC_CheckField, 8, 4, 15, 221, 10, // Skip to: 7618
-/* 4837 */    MCD_OPC_Decode, 149, 2, 32, // Opcode: REV
-/* 4841 */    MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 4916
-/* 4845 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4848 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 4882
-/* 4852 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 4870
-/* 4856 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 4870
-/* 4862 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4866 */    MCD_OPC_Decode, 207, 3, 68, // Opcode: SXTB
-/* 4870 */    MCD_OPC_CheckPredicate, 1, 184, 10, // Skip to: 7618
-/* 4874 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4878 */    MCD_OPC_Decode, 204, 3, 69, // Opcode: SXTAB
-/* 4882 */    MCD_OPC_FilterValue, 1, 172, 10, // Skip to: 7618
-/* 4886 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 4904
-/* 4890 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 4904
-/* 4896 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4900 */    MCD_OPC_Decode, 209, 3, 68, // Opcode: SXTH
-/* 4904 */    MCD_OPC_CheckPredicate, 1, 150, 10, // Skip to: 7618
-/* 4908 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 4912 */    MCD_OPC_Decode, 206, 3, 69, // Opcode: SXTAH
-/* 4916 */    MCD_OPC_FilterValue, 2, 138, 10, // Skip to: 7618
-/* 4920 */    MCD_OPC_CheckPredicate, 1, 134, 10, // Skip to: 7618
-/* 4924 */    MCD_OPC_CheckField, 16, 5, 31, 128, 10, // Skip to: 7618
-/* 4930 */    MCD_OPC_CheckField, 8, 4, 15, 122, 10, // Skip to: 7618
-/* 4936 */    MCD_OPC_Decode, 150, 2, 32, // Opcode: REV16
-/* 4940 */    MCD_OPC_FilterValue, 2, 26, 0, // Skip to: 4970
-/* 4944 */    MCD_OPC_CheckPredicate, 13, 110, 10, // Skip to: 7618
-/* 4948 */    MCD_OPC_CheckField, 20, 1, 1, 104, 10, // Skip to: 7618
-/* 4954 */    MCD_OPC_CheckField, 12, 4, 15, 98, 10, // Skip to: 7618
-/* 4960 */    MCD_OPC_CheckField, 5, 3, 0, 92, 10, // Skip to: 7618
-/* 4966 */    MCD_OPC_Decode, 230, 3, 26, // Opcode: UDIV
-/* 4970 */    MCD_OPC_FilterValue, 3, 84, 10, // Skip to: 7618
-/* 4974 */    MCD_OPC_CheckPredicate, 9, 80, 10, // Skip to: 7618
-/* 4978 */    MCD_OPC_CheckField, 5, 2, 2, 74, 10, // Skip to: 7618
-/* 4984 */    MCD_OPC_Decode, 182, 2, 74, // Opcode: SBFX
-/* 4988 */    MCD_OPC_FilterValue, 2, 67, 2, // Skip to: 5571
-/* 4992 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 4995 */    MCD_OPC_FilterValue, 0, 105, 0, // Skip to: 5104
-/* 4999 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5002 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5033
-/* 5006 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 5009 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5021
-/* 5013 */    MCD_OPC_CheckPredicate, 0, 41, 10, // Skip to: 7618
-/* 5017 */    MCD_OPC_Decode, 161, 3, 52, // Opcode: STRB_POST_REG
-/* 5021 */    MCD_OPC_FilterValue, 1, 33, 10, // Skip to: 7618
-/* 5025 */    MCD_OPC_CheckPredicate, 0, 29, 10, // Skip to: 7618
-/* 5029 */    MCD_OPC_Decode, 167, 3, 75, // Opcode: STRBrs
-/* 5033 */    MCD_OPC_FilterValue, 1, 21, 10, // Skip to: 7618
-/* 5037 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 5040 */    MCD_OPC_FilterValue, 0, 28, 0, // Skip to: 5072
-/* 5044 */    MCD_OPC_CheckPredicate, 10, 16, 0, // Skip to: 5064
-/* 5048 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 5064
-/* 5054 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5064
-/* 5060 */    MCD_OPC_Decode, 137, 2, 62, // Opcode: PLIrs
-/* 5064 */    MCD_OPC_CheckPredicate, 0, 246, 9, // Skip to: 7618
-/* 5068 */    MCD_OPC_Decode, 155, 1, 52, // Opcode: LDRB_POST_REG
-/* 5072 */    MCD_OPC_FilterValue, 1, 238, 9, // Skip to: 7618
-/* 5076 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 5096
-/* 5080 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 5096
-/* 5086 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5096
-/* 5092 */    MCD_OPC_Decode, 135, 2, 62, // Opcode: PLDrs
-/* 5096 */    MCD_OPC_CheckPredicate, 0, 214, 9, // Skip to: 7618
-/* 5100 */    MCD_OPC_Decode, 159, 1, 75, // Opcode: LDRBrs
-/* 5104 */    MCD_OPC_FilterValue, 1, 206, 9, // Skip to: 7618
-/* 5108 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 5111 */    MCD_OPC_FilterValue, 0, 136, 0, // Skip to: 5251
-/* 5115 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 5118 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5169
-/* 5122 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5125 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5147
-/* 5129 */    MCD_OPC_CheckPredicate, 0, 181, 9, // Skip to: 7618
-/* 5133 */    MCD_OPC_CheckField, 20, 1, 1, 175, 9, // Skip to: 7618
-/* 5139 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5143 */    MCD_OPC_Decode, 225, 3, 63, // Opcode: UADD16
-/* 5147 */    MCD_OPC_FilterValue, 1, 163, 9, // Skip to: 7618
-/* 5151 */    MCD_OPC_CheckPredicate, 0, 159, 9, // Skip to: 7618
-/* 5155 */    MCD_OPC_CheckField, 20, 1, 1, 153, 9, // Skip to: 7618
-/* 5161 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5165 */    MCD_OPC_Decode, 226, 3, 63, // Opcode: UADD8
-/* 5169 */    MCD_OPC_FilterValue, 2, 54, 0, // Skip to: 5227
-/* 5173 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5176 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5194
-/* 5180 */    MCD_OPC_CheckPredicate, 1, 130, 9, // Skip to: 7618
-/* 5184 */    MCD_OPC_CheckField, 7, 1, 0, 124, 9, // Skip to: 7618
-/* 5190 */    MCD_OPC_Decode, 210, 2, 19, // Opcode: SMLALD
-/* 5194 */    MCD_OPC_FilterValue, 1, 116, 9, // Skip to: 7618
-/* 5198 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5201 */    MCD_OPC_FilterValue, 0, 109, 9, // Skip to: 7618
-/* 5205 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 5219
-/* 5209 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5219
-/* 5215 */    MCD_OPC_Decode, 227, 2, 26, // Opcode: SMMUL
-/* 5219 */    MCD_OPC_CheckPredicate, 1, 91, 9, // Skip to: 7618
-/* 5223 */    MCD_OPC_Decode, 223, 2, 37, // Opcode: SMMLA
-/* 5227 */    MCD_OPC_FilterValue, 3, 83, 9, // Skip to: 7618
-/* 5231 */    MCD_OPC_CheckPredicate, 9, 9, 0, // Skip to: 5244
-/* 5235 */    MCD_OPC_CheckField, 0, 4, 15, 3, 0, // Skip to: 5244
-/* 5241 */    MCD_OPC_Decode, 49, 76, // Opcode: BFC
-/* 5244 */    MCD_OPC_CheckPredicate, 9, 66, 9, // Skip to: 7618
-/* 5248 */    MCD_OPC_Decode, 50, 77, // Opcode: BFI
-/* 5251 */    MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 5344
-/* 5255 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5258 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 5282
-/* 5262 */    MCD_OPC_CheckPredicate, 1, 48, 9, // Skip to: 7618
-/* 5266 */    MCD_OPC_CheckField, 23, 2, 2, 42, 9, // Skip to: 7618
-/* 5272 */    MCD_OPC_CheckField, 7, 1, 0, 36, 9, // Skip to: 7618
-/* 5278 */    MCD_OPC_Decode, 211, 2, 19, // Opcode: SMLALDX
-/* 5282 */    MCD_OPC_FilterValue, 1, 28, 9, // Skip to: 7618
-/* 5286 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 5289 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5311
-/* 5293 */    MCD_OPC_CheckPredicate, 0, 17, 9, // Skip to: 7618
-/* 5297 */    MCD_OPC_CheckField, 7, 1, 0, 11, 9, // Skip to: 7618
-/* 5303 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5307 */    MCD_OPC_Decode, 227, 3, 63, // Opcode: UASX
-/* 5311 */    MCD_OPC_FilterValue, 2, 255, 8, // Skip to: 7618
-/* 5315 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5318 */    MCD_OPC_FilterValue, 0, 248, 8, // Skip to: 7618
-/* 5322 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 5336
-/* 5326 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5336
-/* 5332 */    MCD_OPC_Decode, 228, 2, 26, // Opcode: SMMULR
-/* 5336 */    MCD_OPC_CheckPredicate, 1, 230, 8, // Skip to: 7618
-/* 5340 */    MCD_OPC_Decode, 224, 2, 37, // Opcode: SMMLAR
-/* 5344 */    MCD_OPC_FilterValue, 2, 74, 0, // Skip to: 5422
-/* 5348 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5351 */    MCD_OPC_FilterValue, 0, 43, 0, // Skip to: 5398
-/* 5355 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5358 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5376
-/* 5362 */    MCD_OPC_CheckPredicate, 1, 204, 8, // Skip to: 7618
-/* 5366 */    MCD_OPC_CheckField, 23, 2, 2, 198, 8, // Skip to: 7618
-/* 5372 */    MCD_OPC_Decode, 221, 2, 19, // Opcode: SMLSLD
-/* 5376 */    MCD_OPC_FilterValue, 1, 190, 8, // Skip to: 7618
-/* 5380 */    MCD_OPC_CheckPredicate, 0, 186, 8, // Skip to: 7618
-/* 5384 */    MCD_OPC_CheckField, 23, 2, 0, 180, 8, // Skip to: 7618
-/* 5390 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5394 */    MCD_OPC_Decode, 252, 3, 63, // Opcode: USAX
-/* 5398 */    MCD_OPC_FilterValue, 1, 168, 8, // Skip to: 7618
-/* 5402 */    MCD_OPC_CheckPredicate, 1, 164, 8, // Skip to: 7618
-/* 5406 */    MCD_OPC_CheckField, 23, 2, 2, 158, 8, // Skip to: 7618
-/* 5412 */    MCD_OPC_CheckField, 20, 1, 1, 152, 8, // Skip to: 7618
-/* 5418 */    MCD_OPC_Decode, 225, 2, 37, // Opcode: SMMLS
-/* 5422 */    MCD_OPC_FilterValue, 3, 144, 8, // Skip to: 7618
-/* 5426 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 5429 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5480
-/* 5433 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5436 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5458
-/* 5440 */    MCD_OPC_CheckPredicate, 0, 126, 8, // Skip to: 7618
-/* 5444 */    MCD_OPC_CheckField, 20, 1, 1, 120, 8, // Skip to: 7618
-/* 5450 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5454 */    MCD_OPC_Decode, 253, 3, 63, // Opcode: USUB16
-/* 5458 */    MCD_OPC_FilterValue, 1, 108, 8, // Skip to: 7618
-/* 5462 */    MCD_OPC_CheckPredicate, 0, 104, 8, // Skip to: 7618
-/* 5466 */    MCD_OPC_CheckField, 20, 1, 1, 98, 8, // Skip to: 7618
-/* 5472 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5476 */    MCD_OPC_Decode, 254, 3, 63, // Opcode: USUB8
-/* 5480 */    MCD_OPC_FilterValue, 1, 44, 0, // Skip to: 5528
-/* 5484 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5487 */    MCD_OPC_FilterValue, 0, 79, 8, // Skip to: 7618
-/* 5491 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5494 */    MCD_OPC_FilterValue, 0, 72, 8, // Skip to: 7618
-/* 5498 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 5516
-/* 5502 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 5516
-/* 5508 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 5512 */    MCD_OPC_Decode, 131, 4, 68, // Opcode: UXTB16
-/* 5516 */    MCD_OPC_CheckPredicate, 1, 50, 8, // Skip to: 7618
-/* 5520 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 5524 */    MCD_OPC_Decode, 128, 4, 69, // Opcode: UXTAB16
-/* 5528 */    MCD_OPC_FilterValue, 2, 38, 8, // Skip to: 7618
-/* 5532 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 5535 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5553
-/* 5539 */    MCD_OPC_CheckPredicate, 1, 27, 8, // Skip to: 7618
-/* 5543 */    MCD_OPC_CheckField, 20, 1, 0, 21, 8, // Skip to: 7618
-/* 5549 */    MCD_OPC_Decode, 222, 2, 19, // Opcode: SMLSLDX
-/* 5553 */    MCD_OPC_FilterValue, 1, 13, 8, // Skip to: 7618
-/* 5557 */    MCD_OPC_CheckPredicate, 1, 9, 8, // Skip to: 7618
-/* 5561 */    MCD_OPC_CheckField, 20, 1, 1, 3, 8, // Skip to: 7618
-/* 5567 */    MCD_OPC_Decode, 226, 2, 37, // Opcode: SMMLSR
-/* 5571 */    MCD_OPC_FilterValue, 3, 251, 7, // Skip to: 7618
-/* 5575 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 5578 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 5647
-/* 5582 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5585 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5616
-/* 5589 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 5592 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5604
-/* 5596 */    MCD_OPC_CheckPredicate, 0, 226, 7, // Skip to: 7618
-/* 5600 */    MCD_OPC_Decode, 159, 3, 52, // Opcode: STRBT_POST_REG
-/* 5604 */    MCD_OPC_FilterValue, 1, 218, 7, // Skip to: 7618
-/* 5608 */    MCD_OPC_CheckPredicate, 0, 214, 7, // Skip to: 7618
-/* 5612 */    MCD_OPC_Decode, 163, 3, 70, // Opcode: STRB_PRE_REG
-/* 5616 */    MCD_OPC_FilterValue, 1, 206, 7, // Skip to: 7618
-/* 5620 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 5623 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5635
-/* 5627 */    MCD_OPC_CheckPredicate, 0, 195, 7, // Skip to: 7618
-/* 5631 */    MCD_OPC_Decode, 153, 1, 52, // Opcode: LDRBT_POST_REG
-/* 5635 */    MCD_OPC_FilterValue, 1, 187, 7, // Skip to: 7618
-/* 5639 */    MCD_OPC_CheckPredicate, 0, 183, 7, // Skip to: 7618
-/* 5643 */    MCD_OPC_Decode, 157, 1, 71, // Opcode: LDRB_PRE_REG
-/* 5647 */    MCD_OPC_FilterValue, 1, 175, 7, // Skip to: 7618
-/* 5651 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
-/* 5654 */    MCD_OPC_FilterValue, 0, 237, 0, // Skip to: 5895
-/* 5658 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
-/* 5661 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 5700
-/* 5665 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5668 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5684
-/* 5672 */    MCD_OPC_CheckPredicate, 0, 150, 7, // Skip to: 7618
-/* 5676 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5680 */    MCD_OPC_Decode, 242, 3, 63, // Opcode: UQADD16
-/* 5684 */    MCD_OPC_FilterValue, 1, 138, 7, // Skip to: 7618
-/* 5688 */    MCD_OPC_CheckPredicate, 0, 134, 7, // Skip to: 7618
-/* 5692 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5696 */    MCD_OPC_Decode, 231, 3, 63, // Opcode: UHADD16
-/* 5700 */    MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 5739
-/* 5704 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5707 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5723
-/* 5711 */    MCD_OPC_CheckPredicate, 0, 111, 7, // Skip to: 7618
-/* 5715 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5719 */    MCD_OPC_Decode, 244, 3, 63, // Opcode: UQASX
-/* 5723 */    MCD_OPC_FilterValue, 1, 99, 7, // Skip to: 7618
-/* 5727 */    MCD_OPC_CheckPredicate, 0, 95, 7, // Skip to: 7618
-/* 5731 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5735 */    MCD_OPC_Decode, 233, 3, 63, // Opcode: UHASX
-/* 5739 */    MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 5778
-/* 5743 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5746 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5762
-/* 5750 */    MCD_OPC_CheckPredicate, 0, 72, 7, // Skip to: 7618
-/* 5754 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5758 */    MCD_OPC_Decode, 245, 3, 63, // Opcode: UQSAX
-/* 5762 */    MCD_OPC_FilterValue, 1, 60, 7, // Skip to: 7618
-/* 5766 */    MCD_OPC_CheckPredicate, 0, 56, 7, // Skip to: 7618
-/* 5770 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5774 */    MCD_OPC_Decode, 234, 3, 63, // Opcode: UHSAX
-/* 5778 */    MCD_OPC_FilterValue, 3, 35, 0, // Skip to: 5817
-/* 5782 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5785 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5801
-/* 5789 */    MCD_OPC_CheckPredicate, 0, 33, 7, // Skip to: 7618
-/* 5793 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5797 */    MCD_OPC_Decode, 246, 3, 63, // Opcode: UQSUB16
-/* 5801 */    MCD_OPC_FilterValue, 1, 21, 7, // Skip to: 7618
-/* 5805 */    MCD_OPC_CheckPredicate, 0, 17, 7, // Skip to: 7618
-/* 5809 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5813 */    MCD_OPC_Decode, 235, 3, 63, // Opcode: UHSUB16
-/* 5817 */    MCD_OPC_FilterValue, 4, 35, 0, // Skip to: 5856
-/* 5821 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5824 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5840
-/* 5828 */    MCD_OPC_CheckPredicate, 0, 250, 6, // Skip to: 7618
-/* 5832 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5836 */    MCD_OPC_Decode, 243, 3, 63, // Opcode: UQADD8
-/* 5840 */    MCD_OPC_FilterValue, 1, 238, 6, // Skip to: 7618
-/* 5844 */    MCD_OPC_CheckPredicate, 0, 234, 6, // Skip to: 7618
-/* 5848 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5852 */    MCD_OPC_Decode, 232, 3, 63, // Opcode: UHADD8
-/* 5856 */    MCD_OPC_FilterValue, 7, 222, 6, // Skip to: 7618
-/* 5860 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5863 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5879
-/* 5867 */    MCD_OPC_CheckPredicate, 0, 211, 6, // Skip to: 7618
-/* 5871 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5875 */    MCD_OPC_Decode, 247, 3, 63, // Opcode: UQSUB8
-/* 5879 */    MCD_OPC_FilterValue, 1, 199, 6, // Skip to: 7618
-/* 5883 */    MCD_OPC_CheckPredicate, 0, 195, 6, // Skip to: 7618
-/* 5887 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
-/* 5891 */    MCD_OPC_Decode, 236, 3, 63, // Opcode: UHSUB8
-/* 5895 */    MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 6069
-/* 5899 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 5902 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5914
-/* 5906 */    MCD_OPC_CheckPredicate, 0, 172, 6, // Skip to: 7618
-/* 5910 */    MCD_OPC_Decode, 250, 3, 72, // Opcode: USAT
-/* 5914 */    MCD_OPC_FilterValue, 1, 164, 6, // Skip to: 7618
-/* 5918 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5921 */    MCD_OPC_FilterValue, 0, 45, 0, // Skip to: 5970
-/* 5925 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5928 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5946
-/* 5932 */    MCD_OPC_CheckPredicate, 0, 146, 6, // Skip to: 7618
-/* 5936 */    MCD_OPC_CheckField, 8, 4, 15, 140, 6, // Skip to: 7618
-/* 5942 */    MCD_OPC_Decode, 251, 3, 73, // Opcode: USAT16
-/* 5946 */    MCD_OPC_FilterValue, 1, 132, 6, // Skip to: 7618
-/* 5950 */    MCD_OPC_CheckPredicate, 9, 128, 6, // Skip to: 7618
-/* 5954 */    MCD_OPC_CheckField, 16, 4, 15, 122, 6, // Skip to: 7618
-/* 5960 */    MCD_OPC_CheckField, 8, 4, 15, 116, 6, // Skip to: 7618
-/* 5966 */    MCD_OPC_Decode, 148, 2, 32, // Opcode: RBIT
-/* 5970 */    MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 6045
-/* 5974 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5977 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 6011
-/* 5981 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 5999
-/* 5985 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 5999
-/* 5991 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 5995 */    MCD_OPC_Decode, 130, 4, 68, // Opcode: UXTB
-/* 5999 */    MCD_OPC_CheckPredicate, 1, 79, 6, // Skip to: 7618
-/* 6003 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 6007 */    MCD_OPC_Decode, 255, 3, 69, // Opcode: UXTAB
-/* 6011 */    MCD_OPC_FilterValue, 1, 67, 6, // Skip to: 7618
-/* 6015 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 6033
-/* 6019 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 6033
-/* 6025 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 6029 */    MCD_OPC_Decode, 132, 4, 68, // Opcode: UXTH
-/* 6033 */    MCD_OPC_CheckPredicate, 1, 45, 6, // Skip to: 7618
-/* 6037 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
-/* 6041 */    MCD_OPC_Decode, 129, 4, 69, // Opcode: UXTAH
-/* 6045 */    MCD_OPC_FilterValue, 2, 33, 6, // Skip to: 7618
-/* 6049 */    MCD_OPC_CheckPredicate, 1, 29, 6, // Skip to: 7618
-/* 6053 */    MCD_OPC_CheckField, 16, 5, 31, 23, 6, // Skip to: 7618
-/* 6059 */    MCD_OPC_CheckField, 8, 4, 15, 17, 6, // Skip to: 7618
-/* 6065 */    MCD_OPC_Decode, 151, 2, 32, // Opcode: REVSH
-/* 6069 */    MCD_OPC_FilterValue, 3, 9, 6, // Skip to: 7618
-/* 6073 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
-/* 6076 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6088
-/* 6080 */    MCD_OPC_CheckPredicate, 9, 254, 5, // Skip to: 7618
-/* 6084 */    MCD_OPC_Decode, 228, 3, 74, // Opcode: UBFX
-/* 6088 */    MCD_OPC_FilterValue, 3, 246, 5, // Skip to: 7618
-/* 6092 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 6095 */    MCD_OPC_FilterValue, 1, 239, 5, // Skip to: 7618
-/* 6099 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 6102 */    MCD_OPC_FilterValue, 1, 232, 5, // Skip to: 7618
-/* 6106 */    MCD_OPC_ExtractField, 28, 4,  // Inst{31-28} ...
-/* 6109 */    MCD_OPC_FilterValue, 14, 225, 5, // Skip to: 7618
-/* 6113 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
-/* 6116 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 6135
-/* 6120 */    MCD_OPC_CheckPredicate, 14, 30, 0, // Skip to: 6154
-/* 6124 */    MCD_OPC_CheckField, 8, 12, 222, 29, 23, 0, // Skip to: 6154
-/* 6131 */    MCD_OPC_Decode, 220, 3, 58, // Opcode: TRAPNaCl
-/* 6135 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 6154
-/* 6139 */    MCD_OPC_CheckPredicate, 0, 11, 0, // Skip to: 6154
-/* 6143 */    MCD_OPC_CheckField, 8, 12, 222, 31, 4, 0, // Skip to: 6154
-/* 6150 */    MCD_OPC_Decode, 219, 3, 58, // Opcode: TRAP
-/* 6154 */    MCD_OPC_CheckPredicate, 0, 180, 5, // Skip to: 7618
-/* 6158 */    MCD_OPC_Decode, 229, 3, 15, // Opcode: UDF
-/* 6162 */    MCD_OPC_FilterValue, 4, 219, 2, // Skip to: 6897
-/* 6166 */    MCD_OPC_ExtractField, 20, 5,  // Inst{24-20} ...
-/* 6169 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6181
-/* 6173 */    MCD_OPC_CheckPredicate, 0, 161, 5, // Skip to: 7618
-/* 6177 */    MCD_OPC_Decode, 149, 3, 78, // Opcode: STMDA
-/* 6181 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 6214
-/* 6185 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6206
-/* 6189 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6206
-/* 6195 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6206
-/* 6202 */    MCD_OPC_Decode, 152, 2, 79, // Opcode: RFEDA
-/* 6206 */    MCD_OPC_CheckPredicate, 0, 128, 5, // Skip to: 7618
-/* 6210 */    MCD_OPC_Decode, 142, 1, 78, // Opcode: LDMDA
-/* 6214 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6226
-/* 6218 */    MCD_OPC_CheckPredicate, 0, 116, 5, // Skip to: 7618
-/* 6222 */    MCD_OPC_Decode, 150, 3, 80, // Opcode: STMDA_UPD
-/* 6226 */    MCD_OPC_FilterValue, 3, 29, 0, // Skip to: 6259
-/* 6230 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6251
-/* 6234 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6251
-/* 6240 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6251
-/* 6247 */    MCD_OPC_Decode, 153, 2, 79, // Opcode: RFEDA_UPD
-/* 6251 */    MCD_OPC_CheckPredicate, 0, 83, 5, // Skip to: 7618
-/* 6255 */    MCD_OPC_Decode, 143, 1, 80, // Opcode: LDMDA_UPD
-/* 6259 */    MCD_OPC_FilterValue, 4, 30, 0, // Skip to: 6293
-/* 6263 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6285
-/* 6267 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6285
-/* 6273 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6285
-/* 6281 */    MCD_OPC_Decode, 241, 2, 81, // Opcode: SRSDA
-/* 6285 */    MCD_OPC_CheckPredicate, 0, 49, 5, // Skip to: 7618
-/* 6289 */    MCD_OPC_Decode, 227, 17, 78, // Opcode: sysSTMDA
-/* 6293 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 6305
-/* 6297 */    MCD_OPC_CheckPredicate, 0, 37, 5, // Skip to: 7618
-/* 6301 */    MCD_OPC_Decode, 219, 17, 78, // Opcode: sysLDMDA
-/* 6305 */    MCD_OPC_FilterValue, 6, 30, 0, // Skip to: 6339
-/* 6309 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6331
-/* 6313 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6331
-/* 6319 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6331
-/* 6327 */    MCD_OPC_Decode, 242, 2, 81, // Opcode: SRSDA_UPD
-/* 6331 */    MCD_OPC_CheckPredicate, 0, 3, 5, // Skip to: 7618
-/* 6335 */    MCD_OPC_Decode, 228, 17, 80, // Opcode: sysSTMDA_UPD
-/* 6339 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 6351
-/* 6343 */    MCD_OPC_CheckPredicate, 0, 247, 4, // Skip to: 7618
-/* 6347 */    MCD_OPC_Decode, 220, 17, 80, // Opcode: sysLDMDA_UPD
-/* 6351 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 6363
-/* 6355 */    MCD_OPC_CheckPredicate, 0, 235, 4, // Skip to: 7618
-/* 6359 */    MCD_OPC_Decode, 153, 3, 78, // Opcode: STMIA
-/* 6363 */    MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 6396
-/* 6367 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6388
-/* 6371 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6388
-/* 6377 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6388
-/* 6384 */    MCD_OPC_Decode, 156, 2, 79, // Opcode: RFEIA
-/* 6388 */    MCD_OPC_CheckPredicate, 0, 202, 4, // Skip to: 7618
-/* 6392 */    MCD_OPC_Decode, 146, 1, 78, // Opcode: LDMIA
-/* 6396 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 6408
-/* 6400 */    MCD_OPC_CheckPredicate, 0, 190, 4, // Skip to: 7618
-/* 6404 */    MCD_OPC_Decode, 154, 3, 80, // Opcode: STMIA_UPD
-/* 6408 */    MCD_OPC_FilterValue, 11, 29, 0, // Skip to: 6441
-/* 6412 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6433
-/* 6416 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6433
-/* 6422 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6433
-/* 6429 */    MCD_OPC_Decode, 157, 2, 79, // Opcode: RFEIA_UPD
-/* 6433 */    MCD_OPC_CheckPredicate, 0, 157, 4, // Skip to: 7618
-/* 6437 */    MCD_OPC_Decode, 148, 1, 80, // Opcode: LDMIA_UPD
-/* 6441 */    MCD_OPC_FilterValue, 12, 30, 0, // Skip to: 6475
-/* 6445 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6467
-/* 6449 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6467
-/* 6455 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6467
-/* 6463 */    MCD_OPC_Decode, 245, 2, 81, // Opcode: SRSIA
-/* 6467 */    MCD_OPC_CheckPredicate, 0, 123, 4, // Skip to: 7618
-/* 6471 */    MCD_OPC_Decode, 231, 17, 78, // Opcode: sysSTMIA
-/* 6475 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 6487
-/* 6479 */    MCD_OPC_CheckPredicate, 0, 111, 4, // Skip to: 7618
-/* 6483 */    MCD_OPC_Decode, 223, 17, 78, // Opcode: sysLDMIA
-/* 6487 */    MCD_OPC_FilterValue, 14, 30, 0, // Skip to: 6521
-/* 6491 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6513
-/* 6495 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6513
-/* 6501 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6513
-/* 6509 */    MCD_OPC_Decode, 246, 2, 81, // Opcode: SRSIA_UPD
-/* 6513 */    MCD_OPC_CheckPredicate, 0, 77, 4, // Skip to: 7618
-/* 6517 */    MCD_OPC_Decode, 232, 17, 80, // Opcode: sysSTMIA_UPD
-/* 6521 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 6533
-/* 6525 */    MCD_OPC_CheckPredicate, 0, 65, 4, // Skip to: 7618
-/* 6529 */    MCD_OPC_Decode, 224, 17, 80, // Opcode: sysLDMIA_UPD
-/* 6533 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 6545
-/* 6537 */    MCD_OPC_CheckPredicate, 0, 53, 4, // Skip to: 7618
-/* 6541 */    MCD_OPC_Decode, 151, 3, 78, // Opcode: STMDB
-/* 6545 */    MCD_OPC_FilterValue, 17, 29, 0, // Skip to: 6578
-/* 6549 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6570
-/* 6553 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6570
-/* 6559 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6570
-/* 6566 */    MCD_OPC_Decode, 154, 2, 79, // Opcode: RFEDB
-/* 6570 */    MCD_OPC_CheckPredicate, 0, 20, 4, // Skip to: 7618
-/* 6574 */    MCD_OPC_Decode, 144, 1, 78, // Opcode: LDMDB
-/* 6578 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 6590
-/* 6582 */    MCD_OPC_CheckPredicate, 0, 8, 4, // Skip to: 7618
-/* 6586 */    MCD_OPC_Decode, 152, 3, 80, // Opcode: STMDB_UPD
-/* 6590 */    MCD_OPC_FilterValue, 19, 29, 0, // Skip to: 6623
-/* 6594 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6615
-/* 6598 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6615
-/* 6604 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6615
-/* 6611 */    MCD_OPC_Decode, 155, 2, 79, // Opcode: RFEDB_UPD
-/* 6615 */    MCD_OPC_CheckPredicate, 0, 231, 3, // Skip to: 7618
-/* 6619 */    MCD_OPC_Decode, 145, 1, 80, // Opcode: LDMDB_UPD
-/* 6623 */    MCD_OPC_FilterValue, 20, 30, 0, // Skip to: 6657
-/* 6627 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6649
-/* 6631 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6649
-/* 6637 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6649
-/* 6645 */    MCD_OPC_Decode, 243, 2, 81, // Opcode: SRSDB
-/* 6649 */    MCD_OPC_CheckPredicate, 0, 197, 3, // Skip to: 7618
-/* 6653 */    MCD_OPC_Decode, 229, 17, 78, // Opcode: sysSTMDB
-/* 6657 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 6669
-/* 6661 */    MCD_OPC_CheckPredicate, 0, 185, 3, // Skip to: 7618
-/* 6665 */    MCD_OPC_Decode, 221, 17, 78, // Opcode: sysLDMDB
-/* 6669 */    MCD_OPC_FilterValue, 22, 30, 0, // Skip to: 6703
-/* 6673 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6695
-/* 6677 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6695
-/* 6683 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6695
-/* 6691 */    MCD_OPC_Decode, 244, 2, 81, // Opcode: SRSDB_UPD
-/* 6695 */    MCD_OPC_CheckPredicate, 0, 151, 3, // Skip to: 7618
-/* 6699 */    MCD_OPC_Decode, 230, 17, 80, // Opcode: sysSTMDB_UPD
-/* 6703 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 6715
-/* 6707 */    MCD_OPC_CheckPredicate, 0, 139, 3, // Skip to: 7618
-/* 6711 */    MCD_OPC_Decode, 222, 17, 80, // Opcode: sysLDMDB_UPD
-/* 6715 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 6727
-/* 6719 */    MCD_OPC_CheckPredicate, 0, 127, 3, // Skip to: 7618
-/* 6723 */    MCD_OPC_Decode, 155, 3, 78, // Opcode: STMIB
-/* 6727 */    MCD_OPC_FilterValue, 25, 29, 0, // Skip to: 6760
-/* 6731 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6752
-/* 6735 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6752
-/* 6741 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6752
-/* 6748 */    MCD_OPC_Decode, 158, 2, 79, // Opcode: RFEIB
-/* 6752 */    MCD_OPC_CheckPredicate, 0, 94, 3, // Skip to: 7618
-/* 6756 */    MCD_OPC_Decode, 149, 1, 78, // Opcode: LDMIB
-/* 6760 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 6772
-/* 6764 */    MCD_OPC_CheckPredicate, 0, 82, 3, // Skip to: 7618
-/* 6768 */    MCD_OPC_Decode, 156, 3, 80, // Opcode: STMIB_UPD
-/* 6772 */    MCD_OPC_FilterValue, 27, 29, 0, // Skip to: 6805
-/* 6776 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6797
-/* 6780 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6797
-/* 6786 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6797
-/* 6793 */    MCD_OPC_Decode, 159, 2, 79, // Opcode: RFEIB_UPD
-/* 6797 */    MCD_OPC_CheckPredicate, 0, 49, 3, // Skip to: 7618
-/* 6801 */    MCD_OPC_Decode, 150, 1, 80, // Opcode: LDMIB_UPD
-/* 6805 */    MCD_OPC_FilterValue, 28, 30, 0, // Skip to: 6839
-/* 6809 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6831
-/* 6813 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6831
-/* 6819 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6831
-/* 6827 */    MCD_OPC_Decode, 247, 2, 81, // Opcode: SRSIB
-/* 6831 */    MCD_OPC_CheckPredicate, 0, 15, 3, // Skip to: 7618
-/* 6835 */    MCD_OPC_Decode, 233, 17, 78, // Opcode: sysSTMIB
-/* 6839 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 6851
-/* 6843 */    MCD_OPC_CheckPredicate, 0, 3, 3, // Skip to: 7618
-/* 6847 */    MCD_OPC_Decode, 225, 17, 78, // Opcode: sysLDMIB
-/* 6851 */    MCD_OPC_FilterValue, 30, 30, 0, // Skip to: 6885
-/* 6855 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6877
-/* 6859 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6877
-/* 6865 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6877
-/* 6873 */    MCD_OPC_Decode, 248, 2, 81, // Opcode: SRSIB_UPD
-/* 6877 */    MCD_OPC_CheckPredicate, 0, 225, 2, // Skip to: 7618
-/* 6881 */    MCD_OPC_Decode, 234, 17, 80, // Opcode: sysSTMIB_UPD
-/* 6885 */    MCD_OPC_FilterValue, 31, 217, 2, // Skip to: 7618
-/* 6889 */    MCD_OPC_CheckPredicate, 0, 213, 2, // Skip to: 7618
-/* 6893 */    MCD_OPC_Decode, 226, 17, 80, // Opcode: sysLDMIB_UPD
-/* 6897 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 6952
-/* 6901 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 6904 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 6915
-/* 6908 */    MCD_OPC_CheckPredicate, 0, 27, 0, // Skip to: 6939
-/* 6912 */    MCD_OPC_Decode, 71, 82, // Opcode: Bcc
-/* 6915 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 6939
-/* 6919 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 6932
-/* 6923 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 6932
-/* 6929 */    MCD_OPC_Decode, 56, 82, // Opcode: BL
-/* 6932 */    MCD_OPC_CheckPredicate, 0, 3, 0, // Skip to: 6939
-/* 6936 */    MCD_OPC_Decode, 60, 82, // Opcode: BL_pred
-/* 6939 */    MCD_OPC_CheckPredicate, 7, 163, 2, // Skip to: 7618
-/* 6943 */    MCD_OPC_CheckField, 28, 4, 15, 157, 2, // Skip to: 7618
-/* 6949 */    MCD_OPC_Decode, 59, 83, // Opcode: BLXi
-/* 6952 */    MCD_OPC_FilterValue, 6, 41, 2, // Skip to: 7509
-/* 6956 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 6959 */    MCD_OPC_FilterValue, 0, 62, 0, // Skip to: 7025
-/* 6963 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 6966 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 6999
-/* 6970 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 6973 */    MCD_OPC_FilterValue, 1, 129, 2, // Skip to: 7618
-/* 6977 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 6991
-/* 6981 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 6991
-/* 6987 */    MCD_OPC_Decode, 131, 3, 84, // Opcode: STC2_OPTION
-/* 6991 */    MCD_OPC_CheckPredicate, 0, 111, 2, // Skip to: 7618
-/* 6995 */    MCD_OPC_Decode, 139, 3, 84, // Opcode: STC_OPTION
-/* 6999 */    MCD_OPC_FilterValue, 1, 103, 2, // Skip to: 7618
-/* 7003 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7017
-/* 7007 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7017
-/* 7013 */    MCD_OPC_Decode, 130, 3, 84, // Opcode: STC2_OFFSET
-/* 7017 */    MCD_OPC_CheckPredicate, 0, 85, 2, // Skip to: 7618
-/* 7021 */    MCD_OPC_Decode, 138, 3, 84, // Opcode: STC_OFFSET
-/* 7025 */    MCD_OPC_FilterValue, 1, 62, 0, // Skip to: 7091
-/* 7029 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7032 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 7065
-/* 7036 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 7039 */    MCD_OPC_FilterValue, 1, 63, 2, // Skip to: 7618
-/* 7043 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7057
-/* 7047 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7057
-/* 7053 */    MCD_OPC_Decode, 131, 1, 84, // Opcode: LDC2_OPTION
-/* 7057 */    MCD_OPC_CheckPredicate, 0, 45, 2, // Skip to: 7618
-/* 7061 */    MCD_OPC_Decode, 139, 1, 84, // Opcode: LDC_OPTION
-/* 7065 */    MCD_OPC_FilterValue, 1, 37, 2, // Skip to: 7618
-/* 7069 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7083
-/* 7073 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7083
-/* 7079 */    MCD_OPC_Decode, 130, 1, 84, // Opcode: LDC2_OFFSET
-/* 7083 */    MCD_OPC_CheckPredicate, 0, 19, 2, // Skip to: 7618
-/* 7087 */    MCD_OPC_Decode, 138, 1, 84, // Opcode: LDC_OFFSET
-/* 7091 */    MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 7150
-/* 7095 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7098 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7124
-/* 7102 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7116
-/* 7106 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7116
-/* 7112 */    MCD_OPC_Decode, 132, 3, 84, // Opcode: STC2_POST
-/* 7116 */    MCD_OPC_CheckPredicate, 0, 242, 1, // Skip to: 7618
-/* 7120 */    MCD_OPC_Decode, 140, 3, 84, // Opcode: STC_POST
-/* 7124 */    MCD_OPC_FilterValue, 1, 234, 1, // Skip to: 7618
-/* 7128 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7142
-/* 7132 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7142
-/* 7138 */    MCD_OPC_Decode, 133, 3, 84, // Opcode: STC2_PRE
-/* 7142 */    MCD_OPC_CheckPredicate, 0, 216, 1, // Skip to: 7618
-/* 7146 */    MCD_OPC_Decode, 141, 3, 84, // Opcode: STC_PRE
-/* 7150 */    MCD_OPC_FilterValue, 3, 55, 0, // Skip to: 7209
-/* 7154 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7157 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7183
-/* 7161 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7175
-/* 7165 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7175
-/* 7171 */    MCD_OPC_Decode, 132, 1, 84, // Opcode: LDC2_POST
-/* 7175 */    MCD_OPC_CheckPredicate, 0, 183, 1, // Skip to: 7618
-/* 7179 */    MCD_OPC_Decode, 140, 1, 84, // Opcode: LDC_POST
-/* 7183 */    MCD_OPC_FilterValue, 1, 175, 1, // Skip to: 7618
-/* 7187 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7201
-/* 7191 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7201
-/* 7197 */    MCD_OPC_Decode, 133, 1, 84, // Opcode: LDC2_PRE
-/* 7201 */    MCD_OPC_CheckPredicate, 0, 157, 1, // Skip to: 7618
-/* 7205 */    MCD_OPC_Decode, 141, 1, 84, // Opcode: LDC_PRE
-/* 7209 */    MCD_OPC_FilterValue, 4, 88, 0, // Skip to: 7301
-/* 7213 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7216 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7275
-/* 7220 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 7223 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7249
-/* 7227 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7241
-/* 7231 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7241
-/* 7237 */    MCD_OPC_Decode, 204, 1, 85, // Opcode: MCRR2
-/* 7241 */    MCD_OPC_CheckPredicate, 0, 117, 1, // Skip to: 7618
-/* 7245 */    MCD_OPC_Decode, 203, 1, 86, // Opcode: MCRR
-/* 7249 */    MCD_OPC_FilterValue, 1, 109, 1, // Skip to: 7618
-/* 7253 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7267
-/* 7257 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7267
-/* 7263 */    MCD_OPC_Decode, 255, 2, 84, // Opcode: STC2L_OPTION
-/* 7267 */    MCD_OPC_CheckPredicate, 0, 91, 1, // Skip to: 7618
-/* 7271 */    MCD_OPC_Decode, 135, 3, 84, // Opcode: STCL_OPTION
-/* 7275 */    MCD_OPC_FilterValue, 1, 83, 1, // Skip to: 7618
-/* 7279 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7293
-/* 7283 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7293
-/* 7289 */    MCD_OPC_Decode, 254, 2, 84, // Opcode: STC2L_OFFSET
-/* 7293 */    MCD_OPC_CheckPredicate, 0, 65, 1, // Skip to: 7618
-/* 7297 */    MCD_OPC_Decode, 134, 3, 84, // Opcode: STCL_OFFSET
-/* 7301 */    MCD_OPC_FilterValue, 5, 86, 0, // Skip to: 7391
-/* 7305 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7308 */    MCD_OPC_FilterValue, 0, 54, 0, // Skip to: 7366
-/* 7312 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 7315 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7341
-/* 7319 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7333
-/* 7323 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7333
-/* 7329 */    MCD_OPC_Decode, 233, 1, 85, // Opcode: MRRC2
-/* 7333 */    MCD_OPC_CheckPredicate, 0, 25, 1, // Skip to: 7618
-/* 7337 */    MCD_OPC_Decode, 232, 1, 86, // Opcode: MRRC
-/* 7341 */    MCD_OPC_FilterValue, 1, 17, 1, // Skip to: 7618
-/* 7345 */    MCD_OPC_CheckPredicate, 4, 9, 0, // Skip to: 7358
-/* 7349 */    MCD_OPC_CheckField, 28, 4, 15, 3, 0, // Skip to: 7358
-/* 7355 */    MCD_OPC_Decode, 127, 84, // Opcode: LDC2L_OPTION
-/* 7358 */    MCD_OPC_CheckPredicate, 0, 0, 1, // Skip to: 7618
-/* 7362 */    MCD_OPC_Decode, 135, 1, 84, // Opcode: LDCL_OPTION
-/* 7366 */    MCD_OPC_FilterValue, 1, 248, 0, // Skip to: 7618
-/* 7370 */    MCD_OPC_CheckPredicate, 4, 9, 0, // Skip to: 7383
-/* 7374 */    MCD_OPC_CheckField, 28, 4, 15, 3, 0, // Skip to: 7383
-/* 7380 */    MCD_OPC_Decode, 126, 84, // Opcode: LDC2L_OFFSET
-/* 7383 */    MCD_OPC_CheckPredicate, 0, 231, 0, // Skip to: 7618
-/* 7387 */    MCD_OPC_Decode, 134, 1, 84, // Opcode: LDCL_OFFSET
-/* 7391 */    MCD_OPC_FilterValue, 6, 55, 0, // Skip to: 7450
-/* 7395 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7398 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7424
-/* 7402 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7416
-/* 7406 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7416
-/* 7412 */    MCD_OPC_Decode, 128, 3, 84, // Opcode: STC2L_POST
-/* 7416 */    MCD_OPC_CheckPredicate, 0, 198, 0, // Skip to: 7618
-/* 7420 */    MCD_OPC_Decode, 136, 3, 84, // Opcode: STCL_POST
-/* 7424 */    MCD_OPC_FilterValue, 1, 190, 0, // Skip to: 7618
-/* 7428 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7442
-/* 7432 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7442
-/* 7438 */    MCD_OPC_Decode, 129, 3, 84, // Opcode: STC2L_PRE
-/* 7442 */    MCD_OPC_CheckPredicate, 0, 172, 0, // Skip to: 7618
-/* 7446 */    MCD_OPC_Decode, 137, 3, 84, // Opcode: STCL_PRE
-/* 7450 */    MCD_OPC_FilterValue, 7, 164, 0, // Skip to: 7618
-/* 7454 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7457 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7483
-/* 7461 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7475
-/* 7465 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7475
-/* 7471 */    MCD_OPC_Decode, 128, 1, 84, // Opcode: LDC2L_POST
-/* 7475 */    MCD_OPC_CheckPredicate, 0, 139, 0, // Skip to: 7618
-/* 7479 */    MCD_OPC_Decode, 136, 1, 84, // Opcode: LDCL_POST
-/* 7483 */    MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 7618
-/* 7487 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7501
-/* 7491 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7501
-/* 7497 */    MCD_OPC_Decode, 129, 1, 84, // Opcode: LDC2L_PRE
-/* 7501 */    MCD_OPC_CheckPredicate, 0, 113, 0, // Skip to: 7618
-/* 7505 */    MCD_OPC_Decode, 137, 1, 84, // Opcode: LDCL_PRE
-/* 7509 */    MCD_OPC_FilterValue, 7, 105, 0, // Skip to: 7618
-/* 7513 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 7516 */    MCD_OPC_FilterValue, 0, 86, 0, // Skip to: 7606
-/* 7520 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 7523 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 7547
-/* 7527 */    MCD_OPC_CheckPredicate, 4, 9, 0, // Skip to: 7540
-/* 7531 */    MCD_OPC_CheckField, 28, 4, 15, 3, 0, // Skip to: 7540
-/* 7537 */    MCD_OPC_Decode, 73, 87, // Opcode: CDP2
-/* 7540 */    MCD_OPC_CheckPredicate, 4, 74, 0, // Skip to: 7618
-/* 7544 */    MCD_OPC_Decode, 72, 88, // Opcode: CDP
-/* 7547 */    MCD_OPC_FilterValue, 1, 67, 0, // Skip to: 7618
-/* 7551 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 7554 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7580
-/* 7558 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7572
-/* 7562 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7572
-/* 7568 */    MCD_OPC_Decode, 202, 1, 89, // Opcode: MCR2
-/* 7572 */    MCD_OPC_CheckPredicate, 0, 42, 0, // Skip to: 7618
-/* 7576 */    MCD_OPC_Decode, 201, 1, 90, // Opcode: MCR
-/* 7580 */    MCD_OPC_FilterValue, 1, 34, 0, // Skip to: 7618
-/* 7584 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7598
-/* 7588 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7598
-/* 7594 */    MCD_OPC_Decode, 231, 1, 91, // Opcode: MRC2
-/* 7598 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 7618
-/* 7602 */    MCD_OPC_Decode, 230, 1, 92, // Opcode: MRC
-/* 7606 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7618
-/* 7610 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 7618
-/* 7614 */    MCD_OPC_Decode, 201, 3, 93, // Opcode: SVC
-/* 7618 */    MCD_OPC_Fail,
+/* 980 */     MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 1025
+/* 984 */     MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 987 */     MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 1003
+/* 991 */     MCD_OPC_CheckPredicate, 0, 235, 1, // Skip to: 1486
+/* 995 */     MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 999 */     MCD_OPC_Decode, 148, 2, 20, // Opcode: QDADD
+/* 1003 */    MCD_OPC_FilterValue, 3, 223, 1, // Skip to: 1486
+/* 1007 */    MCD_OPC_CheckPredicate, 6, 219, 1, // Skip to: 1486
+/* 1011 */    MCD_OPC_SoftFail, 128, 128, 128, 128, 1 /* 0x10000000 */, 128, 128, 128, 128, 14 /* 0xFFFFFFFFE0000000 */,
+/* 1022 */    MCD_OPC_Decode, 116, 15, // Opcode: HVC
+/* 1025 */    MCD_OPC_FilterValue, 1, 201, 1, // Skip to: 1486
+/* 1029 */    MCD_OPC_CheckPredicate, 0, 197, 1, // Skip to: 1486
+/* 1033 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 1038 */    MCD_OPC_Decode, 85, 18, // Opcode: CMPrsr
+/* 1041 */    MCD_OPC_FilterValue, 1, 185, 1, // Skip to: 1486
+/* 1045 */    MCD_OPC_CheckPredicate, 4, 181, 1, // Skip to: 1486
+/* 1049 */    MCD_OPC_CheckField, 20, 1, 0, 175, 1, // Skip to: 1486
+/* 1055 */    MCD_OPC_CheckField, 5, 2, 0, 169, 1, // Skip to: 1486
+/* 1061 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 1065 */    MCD_OPC_Decode, 210, 3, 14, // Opcode: SWPB
+/* 1069 */    MCD_OPC_FilterValue, 2, 206, 0, // Skip to: 1279
+/* 1073 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1076 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 1102
+/* 1080 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1094
+/* 1084 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1094
+/* 1090 */    MCD_OPC_Decode, 252, 1, 0, // Opcode: ORRrr
+/* 1094 */    MCD_OPC_CheckPredicate, 0, 132, 1, // Skip to: 1486
+/* 1098 */    MCD_OPC_Decode, 253, 1, 1, // Opcode: ORRrsi
+/* 1102 */    MCD_OPC_FilterValue, 1, 124, 1, // Skip to: 1486
+/* 1106 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 1109 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1121
+/* 1113 */    MCD_OPC_CheckPredicate, 0, 113, 1, // Skip to: 1486
+/* 1117 */    MCD_OPC_Decode, 254, 1, 2, // Opcode: ORRrsr
+/* 1121 */    MCD_OPC_FilterValue, 1, 105, 1, // Skip to: 1486
+/* 1125 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 1128 */    MCD_OPC_FilterValue, 12, 50, 0, // Skip to: 1182
+/* 1132 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1135 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1159
+/* 1139 */    MCD_OPC_CheckPredicate, 5, 87, 1, // Skip to: 1486
+/* 1143 */    MCD_OPC_CheckField, 12, 4, 15, 81, 1, // Skip to: 1486
+/* 1149 */    MCD_OPC_CheckField, 5, 2, 0, 75, 1, // Skip to: 1486
+/* 1155 */    MCD_OPC_Decode, 149, 3, 21, // Opcode: STL
+/* 1159 */    MCD_OPC_FilterValue, 1, 67, 1, // Skip to: 1486
+/* 1163 */    MCD_OPC_CheckPredicate, 5, 63, 1, // Skip to: 1486
+/* 1167 */    MCD_OPC_CheckField, 5, 2, 0, 57, 1, // Skip to: 1486
+/* 1173 */    MCD_OPC_CheckField, 0, 4, 15, 51, 1, // Skip to: 1486
+/* 1179 */    MCD_OPC_Decode, 123, 22, // Opcode: LDA
+/* 1182 */    MCD_OPC_FilterValue, 14, 44, 0, // Skip to: 1230
+/* 1186 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1189 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1207
+/* 1193 */    MCD_OPC_CheckPredicate, 5, 33, 1, // Skip to: 1486
+/* 1197 */    MCD_OPC_CheckField, 5, 2, 0, 27, 1, // Skip to: 1486
+/* 1203 */    MCD_OPC_Decode, 151, 3, 23, // Opcode: STLEX
+/* 1207 */    MCD_OPC_FilterValue, 1, 19, 1, // Skip to: 1486
+/* 1211 */    MCD_OPC_CheckPredicate, 5, 15, 1, // Skip to: 1486
+/* 1215 */    MCD_OPC_CheckField, 5, 2, 0, 9, 1, // Skip to: 1486
+/* 1221 */    MCD_OPC_CheckField, 0, 4, 15, 3, 1, // Skip to: 1486
+/* 1227 */    MCD_OPC_Decode, 125, 22, // Opcode: LDAEX
+/* 1230 */    MCD_OPC_FilterValue, 15, 252, 0, // Skip to: 1486
+/* 1234 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1237 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1255
+/* 1241 */    MCD_OPC_CheckPredicate, 0, 241, 0, // Skip to: 1486
+/* 1245 */    MCD_OPC_CheckField, 5, 2, 0, 235, 0, // Skip to: 1486
+/* 1251 */    MCD_OPC_Decode, 178, 3, 23, // Opcode: STREX
+/* 1255 */    MCD_OPC_FilterValue, 1, 227, 0, // Skip to: 1486
+/* 1259 */    MCD_OPC_CheckPredicate, 0, 223, 0, // Skip to: 1486
+/* 1263 */    MCD_OPC_CheckField, 5, 2, 0, 217, 0, // Skip to: 1486
+/* 1269 */    MCD_OPC_CheckField, 0, 4, 15, 211, 0, // Skip to: 1486
+/* 1275 */    MCD_OPC_Decode, 167, 1, 22, // Opcode: LDREX
+/* 1279 */    MCD_OPC_FilterValue, 3, 203, 0, // Skip to: 1486
+/* 1283 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1286 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1310
+/* 1290 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1303
+/* 1294 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1303
+/* 1300 */    MCD_OPC_Decode, 54, 0, // Opcode: BICrr
+/* 1303 */    MCD_OPC_CheckPredicate, 0, 179, 0, // Skip to: 1486
+/* 1307 */    MCD_OPC_Decode, 55, 1, // Opcode: BICrsi
+/* 1310 */    MCD_OPC_FilterValue, 1, 172, 0, // Skip to: 1486
+/* 1314 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 1317 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 1328
+/* 1321 */    MCD_OPC_CheckPredicate, 0, 161, 0, // Skip to: 1486
+/* 1325 */    MCD_OPC_Decode, 56, 2, // Opcode: BICrsr
+/* 1328 */    MCD_OPC_FilterValue, 1, 154, 0, // Skip to: 1486
+/* 1332 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 1335 */    MCD_OPC_FilterValue, 12, 50, 0, // Skip to: 1389
+/* 1339 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1342 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1366
+/* 1346 */    MCD_OPC_CheckPredicate, 5, 136, 0, // Skip to: 1486
+/* 1350 */    MCD_OPC_CheckField, 12, 4, 15, 130, 0, // Skip to: 1486
+/* 1356 */    MCD_OPC_CheckField, 5, 2, 0, 124, 0, // Skip to: 1486
+/* 1362 */    MCD_OPC_Decode, 150, 3, 21, // Opcode: STLB
+/* 1366 */    MCD_OPC_FilterValue, 1, 116, 0, // Skip to: 1486
+/* 1370 */    MCD_OPC_CheckPredicate, 5, 112, 0, // Skip to: 1486
+/* 1374 */    MCD_OPC_CheckField, 5, 2, 0, 106, 0, // Skip to: 1486
+/* 1380 */    MCD_OPC_CheckField, 0, 4, 15, 100, 0, // Skip to: 1486
+/* 1386 */    MCD_OPC_Decode, 124, 22, // Opcode: LDAB
+/* 1389 */    MCD_OPC_FilterValue, 14, 44, 0, // Skip to: 1437
+/* 1393 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1396 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1414
+/* 1400 */    MCD_OPC_CheckPredicate, 5, 82, 0, // Skip to: 1486
+/* 1404 */    MCD_OPC_CheckField, 5, 2, 0, 76, 0, // Skip to: 1486
+/* 1410 */    MCD_OPC_Decode, 152, 3, 23, // Opcode: STLEXB
+/* 1414 */    MCD_OPC_FilterValue, 1, 68, 0, // Skip to: 1486
+/* 1418 */    MCD_OPC_CheckPredicate, 5, 64, 0, // Skip to: 1486
+/* 1422 */    MCD_OPC_CheckField, 5, 2, 0, 58, 0, // Skip to: 1486
+/* 1428 */    MCD_OPC_CheckField, 0, 4, 15, 52, 0, // Skip to: 1486
+/* 1434 */    MCD_OPC_Decode, 126, 22, // Opcode: LDAEXB
+/* 1437 */    MCD_OPC_FilterValue, 15, 45, 0, // Skip to: 1486
+/* 1441 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1444 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1462
+/* 1448 */    MCD_OPC_CheckPredicate, 0, 34, 0, // Skip to: 1486
+/* 1452 */    MCD_OPC_CheckField, 5, 2, 0, 28, 0, // Skip to: 1486
+/* 1458 */    MCD_OPC_Decode, 179, 3, 23, // Opcode: STREXB
+/* 1462 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 1486
+/* 1466 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 1486
+/* 1470 */    MCD_OPC_CheckField, 5, 2, 0, 10, 0, // Skip to: 1486
+/* 1476 */    MCD_OPC_CheckField, 0, 4, 15, 4, 0, // Skip to: 1486
+/* 1482 */    MCD_OPC_Decode, 168, 1, 22, // Opcode: LDREXB
+/* 1486 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 1489 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 1525
+/* 1493 */    MCD_OPC_CheckPredicate, 6, 87, 24, // Skip to: 7728
+/* 1497 */    MCD_OPC_CheckField, 23, 1, 0, 81, 24, // Skip to: 7728
+/* 1503 */    MCD_OPC_CheckField, 20, 1, 0, 75, 24, // Skip to: 7728
+/* 1509 */    MCD_OPC_CheckField, 9, 3, 1, 69, 24, // Skip to: 7728
+/* 1515 */    MCD_OPC_CheckField, 0, 4, 0, 63, 24, // Skip to: 7728
+/* 1521 */    MCD_OPC_Decode, 239, 1, 24, // Opcode: MRSbanked
+/* 1525 */    MCD_OPC_FilterValue, 11, 27, 0, // Skip to: 1556
+/* 1529 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1532 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1544
+/* 1536 */    MCD_OPC_CheckPredicate, 0, 44, 24, // Skip to: 7728
+/* 1540 */    MCD_OPC_Decode, 182, 3, 7, // Opcode: STRH
+/* 1544 */    MCD_OPC_FilterValue, 1, 36, 24, // Skip to: 7728
+/* 1548 */    MCD_OPC_CheckPredicate, 0, 32, 24, // Skip to: 7728
+/* 1552 */    MCD_OPC_Decode, 171, 1, 7, // Opcode: LDRH
+/* 1556 */    MCD_OPC_FilterValue, 13, 27, 0, // Skip to: 1587
+/* 1560 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1563 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1575
+/* 1567 */    MCD_OPC_CheckPredicate, 3, 13, 24, // Skip to: 7728
+/* 1571 */    MCD_OPC_Decode, 164, 1, 7, // Opcode: LDRD
+/* 1575 */    MCD_OPC_FilterValue, 1, 5, 24, // Skip to: 7728
+/* 1579 */    MCD_OPC_CheckPredicate, 0, 1, 24, // Skip to: 7728
+/* 1583 */    MCD_OPC_Decode, 179, 1, 7, // Opcode: LDRSB
+/* 1587 */    MCD_OPC_FilterValue, 15, 249, 23, // Skip to: 7728
+/* 1591 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1594 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1606
+/* 1598 */    MCD_OPC_CheckPredicate, 3, 238, 23, // Skip to: 7728
+/* 1602 */    MCD_OPC_Decode, 175, 3, 7, // Opcode: STRD
+/* 1606 */    MCD_OPC_FilterValue, 1, 230, 23, // Skip to: 7728
+/* 1610 */    MCD_OPC_CheckPredicate, 0, 226, 23, // Skip to: 7728
+/* 1614 */    MCD_OPC_Decode, 184, 1, 7, // Opcode: LDRSH
+/* 1618 */    MCD_OPC_FilterValue, 1, 218, 23, // Skip to: 7728
+/* 1622 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1625 */    MCD_OPC_FilterValue, 0, 79, 2, // Skip to: 2220
+/* 1629 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 1632 */    MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 1689
+/* 1636 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 1639 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1663
+/* 1643 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1656
+/* 1647 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1656
+/* 1653 */    MCD_OPC_Decode, 101, 0, // Opcode: EORrr
+/* 1656 */    MCD_OPC_CheckPredicate, 0, 180, 23, // Skip to: 7728
+/* 1660 */    MCD_OPC_Decode, 102, 1, // Opcode: EORrsi
+/* 1663 */    MCD_OPC_FilterValue, 1, 173, 23, // Skip to: 7728
+/* 1667 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1681
+/* 1671 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1681
+/* 1677 */    MCD_OPC_Decode, 174, 2, 0, // Opcode: RSBrr
+/* 1681 */    MCD_OPC_CheckPredicate, 0, 155, 23, // Skip to: 7728
+/* 1685 */    MCD_OPC_Decode, 175, 2, 1, // Opcode: RSBrsi
+/* 1689 */    MCD_OPC_FilterValue, 1, 53, 0, // Skip to: 1746
+/* 1693 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 1696 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1720
+/* 1700 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 1713
+/* 1704 */    MCD_OPC_CheckField, 5, 7, 0, 3, 0, // Skip to: 1713
+/* 1710 */    MCD_OPC_Decode, 24, 0, // Opcode: ADCrr
+/* 1713 */    MCD_OPC_CheckPredicate, 0, 123, 23, // Skip to: 7728
+/* 1717 */    MCD_OPC_Decode, 25, 1, // Opcode: ADCrsi
+/* 1720 */    MCD_OPC_FilterValue, 1, 116, 23, // Skip to: 7728
+/* 1724 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1738
+/* 1728 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 1738
+/* 1734 */    MCD_OPC_Decode, 178, 2, 0, // Opcode: RSCrr
+/* 1738 */    MCD_OPC_CheckPredicate, 0, 98, 23, // Skip to: 7728
+/* 1742 */    MCD_OPC_Decode, 179, 2, 1, // Opcode: RSCrsi
+/* 1746 */    MCD_OPC_FilterValue, 2, 106, 1, // Skip to: 2112
+/* 1750 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 1753 */    MCD_OPC_FilterValue, 0, 22, 1, // Skip to: 2035
+/* 1757 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
+/* 1760 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 1797
+/* 1764 */    MCD_OPC_ExtractField, 9, 7,  // Inst{15-9} ...
+/* 1767 */    MCD_OPC_FilterValue, 120, 14, 0, // Skip to: 1785
+/* 1771 */    MCD_OPC_CheckPredicate, 0, 65, 23, // Skip to: 7728
+/* 1775 */    MCD_OPC_CheckField, 8, 1, 0, 59, 23, // Skip to: 7728
+/* 1781 */    MCD_OPC_Decode, 241, 1, 25, // Opcode: MSR
+/* 1785 */    MCD_OPC_FilterValue, 121, 51, 23, // Skip to: 7728
+/* 1789 */    MCD_OPC_CheckPredicate, 6, 47, 23, // Skip to: 7728
+/* 1793 */    MCD_OPC_Decode, 242, 1, 26, // Opcode: MSRbanked
+/* 1797 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 1821
+/* 1801 */    MCD_OPC_CheckPredicate, 0, 35, 23, // Skip to: 7728
+/* 1805 */    MCD_OPC_CheckField, 22, 1, 0, 29, 23, // Skip to: 7728
+/* 1811 */    MCD_OPC_CheckField, 8, 12, 255, 31, 22, 23, // Skip to: 7728
+/* 1818 */    MCD_OPC_Decode, 69, 27, // Opcode: BXJ
+/* 1821 */    MCD_OPC_FilterValue, 2, 57, 0, // Skip to: 1882
+/* 1825 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
+/* 1828 */    MCD_OPC_FilterValue, 0, 23, 0, // Skip to: 1855
+/* 1832 */    MCD_OPC_CheckPredicate, 2, 4, 23, // Skip to: 7728
+/* 1836 */    MCD_OPC_CheckField, 28, 4, 14, 254, 22, // Skip to: 7728
+/* 1842 */    MCD_OPC_CheckField, 22, 1, 0, 248, 22, // Skip to: 7728
+/* 1848 */    MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
+/* 1852 */    MCD_OPC_Decode, 95, 8, // Opcode: CRC32H
+/* 1855 */    MCD_OPC_FilterValue, 1, 237, 22, // Skip to: 7728
+/* 1859 */    MCD_OPC_CheckPredicate, 2, 233, 22, // Skip to: 7728
+/* 1863 */    MCD_OPC_CheckField, 28, 4, 14, 227, 22, // Skip to: 7728
+/* 1869 */    MCD_OPC_CheckField, 22, 1, 0, 221, 22, // Skip to: 7728
+/* 1875 */    MCD_OPC_SoftFail, 128, 26 /* 0xD00 */, 0,
+/* 1879 */    MCD_OPC_Decode, 93, 8, // Opcode: CRC32CH
+/* 1882 */    MCD_OPC_FilterValue, 3, 25, 0, // Skip to: 1911
+/* 1886 */    MCD_OPC_CheckPredicate, 6, 206, 22, // Skip to: 7728
+/* 1890 */    MCD_OPC_CheckField, 22, 1, 1, 200, 22, // Skip to: 7728
+/* 1896 */    MCD_OPC_CheckField, 8, 12, 0, 194, 22, // Skip to: 7728
+/* 1902 */    MCD_OPC_CheckField, 0, 4, 14, 188, 22, // Skip to: 7728
+/* 1908 */    MCD_OPC_Decode, 104, 28, // Opcode: ERET
+/* 1911 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 1942
+/* 1915 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 1918 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1930
+/* 1922 */    MCD_OPC_CheckPredicate, 3, 170, 22, // Skip to: 7728
+/* 1926 */    MCD_OPC_Decode, 223, 2, 13, // Opcode: SMLAWB
+/* 1930 */    MCD_OPC_FilterValue, 1, 162, 22, // Skip to: 7728
+/* 1934 */    MCD_OPC_CheckPredicate, 3, 158, 22, // Skip to: 7728
+/* 1938 */    MCD_OPC_Decode, 237, 2, 29, // Opcode: SMULBB
+/* 1942 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 1973
+/* 1946 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 1949 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1961
+/* 1953 */    MCD_OPC_CheckPredicate, 3, 139, 22, // Skip to: 7728
+/* 1957 */    MCD_OPC_Decode, 243, 2, 29, // Opcode: SMULWB
+/* 1961 */    MCD_OPC_FilterValue, 1, 131, 22, // Skip to: 7728
+/* 1965 */    MCD_OPC_CheckPredicate, 3, 127, 22, // Skip to: 7728
+/* 1969 */    MCD_OPC_Decode, 241, 2, 29, // Opcode: SMULTB
+/* 1973 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 2004
+/* 1977 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 1980 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1992
+/* 1984 */    MCD_OPC_CheckPredicate, 3, 108, 22, // Skip to: 7728
+/* 1988 */    MCD_OPC_Decode, 224, 2, 13, // Opcode: SMLAWT
+/* 1992 */    MCD_OPC_FilterValue, 1, 100, 22, // Skip to: 7728
+/* 1996 */    MCD_OPC_CheckPredicate, 3, 96, 22, // Skip to: 7728
+/* 2000 */    MCD_OPC_Decode, 238, 2, 29, // Opcode: SMULBT
+/* 2004 */    MCD_OPC_FilterValue, 7, 88, 22, // Skip to: 7728
+/* 2008 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2011 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2023
+/* 2015 */    MCD_OPC_CheckPredicate, 3, 77, 22, // Skip to: 7728
+/* 2019 */    MCD_OPC_Decode, 244, 2, 29, // Opcode: SMULWT
+/* 2023 */    MCD_OPC_FilterValue, 1, 69, 22, // Skip to: 7728
+/* 2027 */    MCD_OPC_CheckPredicate, 3, 65, 22, // Skip to: 7728
+/* 2031 */    MCD_OPC_Decode, 242, 2, 29, // Opcode: SMULTT
+/* 2035 */    MCD_OPC_FilterValue, 1, 57, 22, // Skip to: 7728
+/* 2039 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2042 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 2078
+/* 2046 */    MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 2065
+/* 2050 */    MCD_OPC_CheckField, 5, 7, 0, 9, 0, // Skip to: 2065
+/* 2056 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2061 */    MCD_OPC_Decode, 222, 3, 16, // Opcode: TEQrr
+/* 2065 */    MCD_OPC_CheckPredicate, 0, 27, 22, // Skip to: 7728
+/* 2069 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2074 */    MCD_OPC_Decode, 223, 3, 17, // Opcode: TEQrsi
+/* 2078 */    MCD_OPC_FilterValue, 1, 14, 22, // Skip to: 7728
+/* 2082 */    MCD_OPC_CheckPredicate, 0, 14, 0, // Skip to: 2100
+/* 2086 */    MCD_OPC_CheckField, 5, 7, 0, 8, 0, // Skip to: 2100
+/* 2092 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2097 */    MCD_OPC_Decode, 79, 16, // Opcode: CMNzrr
+/* 2100 */    MCD_OPC_CheckPredicate, 0, 248, 21, // Skip to: 7728
+/* 2104 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2109 */    MCD_OPC_Decode, 80, 17, // Opcode: CMNzrsi
+/* 2112 */    MCD_OPC_FilterValue, 3, 236, 21, // Skip to: 7728
+/* 2116 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2119 */    MCD_OPC_FilterValue, 0, 64, 0, // Skip to: 2187
+/* 2123 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 2144
+/* 2127 */    MCD_OPC_CheckField, 5, 16, 128, 15, 10, 0, // Skip to: 2144
+/* 2134 */    MCD_OPC_CheckField, 0, 4, 14, 4, 0, // Skip to: 2144
+/* 2140 */    MCD_OPC_Decode, 218, 1, 28, // Opcode: MOVPCLR
+/* 2144 */    MCD_OPC_ExtractField, 5, 7,  // Inst{11-5} ...
+/* 2147 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 2173
+/* 2151 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2165
+/* 2155 */    MCD_OPC_CheckField, 16, 4, 0, 4, 0, // Skip to: 2165
+/* 2161 */    MCD_OPC_Decode, 228, 1, 30, // Opcode: MOVr
+/* 2165 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 2173
+/* 2169 */    MCD_OPC_Decode, 229, 1, 31, // Opcode: MOVr_TC
+/* 2173 */    MCD_OPC_CheckPredicate, 0, 175, 21, // Skip to: 7728
+/* 2177 */    MCD_OPC_CheckField, 16, 4, 0, 169, 21, // Skip to: 7728
+/* 2183 */    MCD_OPC_Decode, 230, 1, 32, // Opcode: MOVsi
+/* 2187 */    MCD_OPC_FilterValue, 1, 161, 21, // Skip to: 7728
+/* 2191 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 2194 */    MCD_OPC_FilterValue, 0, 154, 21, // Skip to: 7728
+/* 2198 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2212
+/* 2202 */    MCD_OPC_CheckField, 5, 7, 0, 4, 0, // Skip to: 2212
+/* 2208 */    MCD_OPC_Decode, 248, 1, 30, // Opcode: MVNr
+/* 2212 */    MCD_OPC_CheckPredicate, 0, 136, 21, // Skip to: 7728
+/* 2216 */    MCD_OPC_Decode, 249, 1, 32, // Opcode: MVNsi
+/* 2220 */    MCD_OPC_FilterValue, 1, 128, 21, // Skip to: 7728
+/* 2224 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 2227 */    MCD_OPC_FilterValue, 0, 57, 1, // Skip to: 2544
+/* 2231 */    MCD_OPC_ExtractField, 22, 3,  // Inst{24-22} ...
+/* 2234 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 2245
+/* 2238 */    MCD_OPC_CheckPredicate, 0, 110, 21, // Skip to: 7728
+/* 2242 */    MCD_OPC_Decode, 103, 2, // Opcode: EORrsr
+/* 2245 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2257
+/* 2249 */    MCD_OPC_CheckPredicate, 0, 99, 21, // Skip to: 7728
+/* 2253 */    MCD_OPC_Decode, 176, 2, 2, // Opcode: RSBrsr
+/* 2257 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 2268
+/* 2261 */    MCD_OPC_CheckPredicate, 0, 87, 21, // Skip to: 7728
+/* 2265 */    MCD_OPC_Decode, 26, 3, // Opcode: ADCrsr
+/* 2268 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2280
+/* 2272 */    MCD_OPC_CheckPredicate, 0, 76, 21, // Skip to: 7728
+/* 2276 */    MCD_OPC_Decode, 180, 2, 2, // Opcode: RSCrsr
+/* 2280 */    MCD_OPC_FilterValue, 4, 137, 0, // Skip to: 2421
+/* 2284 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2287 */    MCD_OPC_FilterValue, 0, 113, 0, // Skip to: 2404
+/* 2291 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 2294 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 2339
+/* 2298 */    MCD_OPC_ExtractField, 8, 12,  // Inst{19-8} ...
+/* 2301 */    MCD_OPC_FilterValue, 255, 31, 46, 21, // Skip to: 7728
+/* 2306 */    MCD_OPC_CheckPredicate, 7, 9, 0, // Skip to: 2319
+/* 2310 */    MCD_OPC_CheckField, 0, 4, 14, 3, 0, // Skip to: 2319
+/* 2316 */    MCD_OPC_Decode, 71, 28, // Opcode: BX_RET
+/* 2319 */    MCD_OPC_CheckPredicate, 7, 9, 0, // Skip to: 2332
+/* 2323 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 2332
+/* 2329 */    MCD_OPC_Decode, 68, 33, // Opcode: BX
+/* 2332 */    MCD_OPC_CheckPredicate, 7, 16, 21, // Skip to: 7728
+/* 2336 */    MCD_OPC_Decode, 72, 27, // Opcode: BX_pred
+/* 2339 */    MCD_OPC_FilterValue, 1, 28, 0, // Skip to: 2371
+/* 2343 */    MCD_OPC_ExtractField, 8, 12,  // Inst{19-8} ...
+/* 2346 */    MCD_OPC_FilterValue, 255, 31, 1, 21, // Skip to: 7728
+/* 2351 */    MCD_OPC_CheckPredicate, 8, 9, 0, // Skip to: 2364
+/* 2355 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 2364
+/* 2361 */    MCD_OPC_Decode, 59, 33, // Opcode: BLX
+/* 2364 */    MCD_OPC_CheckPredicate, 8, 240, 20, // Skip to: 7728
+/* 2368 */    MCD_OPC_Decode, 60, 27, // Opcode: BLX_pred
+/* 2371 */    MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 2387
+/* 2375 */    MCD_OPC_CheckPredicate, 0, 229, 20, // Skip to: 7728
+/* 2379 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 2383 */    MCD_OPC_Decode, 151, 2, 20, // Opcode: QSUB
+/* 2387 */    MCD_OPC_FilterValue, 3, 217, 20, // Skip to: 7728
+/* 2391 */    MCD_OPC_CheckPredicate, 0, 213, 20, // Skip to: 7728
+/* 2395 */    MCD_OPC_CheckField, 28, 4, 14, 207, 20, // Skip to: 7728
+/* 2401 */    MCD_OPC_Decode, 57, 15, // Opcode: BKPT
+/* 2404 */    MCD_OPC_FilterValue, 1, 200, 20, // Skip to: 7728
+/* 2408 */    MCD_OPC_CheckPredicate, 0, 196, 20, // Skip to: 7728
+/* 2412 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2417 */    MCD_OPC_Decode, 224, 3, 18, // Opcode: TEQrsr
+/* 2421 */    MCD_OPC_FilterValue, 5, 83, 0, // Skip to: 2508
+/* 2425 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2428 */    MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 2492
+/* 2432 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 2435 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 2458
+/* 2439 */    MCD_OPC_CheckPredicate, 8, 165, 20, // Skip to: 7728
+/* 2443 */    MCD_OPC_CheckField, 16, 4, 15, 159, 20, // Skip to: 7728
+/* 2449 */    MCD_OPC_CheckField, 8, 4, 15, 153, 20, // Skip to: 7728
+/* 2455 */    MCD_OPC_Decode, 77, 34, // Opcode: CLZ
+/* 2458 */    MCD_OPC_FilterValue, 2, 12, 0, // Skip to: 2474
+/* 2462 */    MCD_OPC_CheckPredicate, 0, 142, 20, // Skip to: 7728
+/* 2466 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 2470 */    MCD_OPC_Decode, 149, 2, 20, // Opcode: QDSUB
+/* 2474 */    MCD_OPC_FilterValue, 3, 130, 20, // Skip to: 7728
+/* 2478 */    MCD_OPC_CheckPredicate, 9, 126, 20, // Skip to: 7728
+/* 2482 */    MCD_OPC_CheckField, 8, 12, 0, 120, 20, // Skip to: 7728
+/* 2488 */    MCD_OPC_Decode, 208, 2, 35, // Opcode: SMC
+/* 2492 */    MCD_OPC_FilterValue, 1, 112, 20, // Skip to: 7728
+/* 2496 */    MCD_OPC_CheckPredicate, 0, 108, 20, // Skip to: 7728
+/* 2500 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 2505 */    MCD_OPC_Decode, 81, 18, // Opcode: CMNzrsr
+/* 2508 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 2526
+/* 2512 */    MCD_OPC_CheckPredicate, 0, 92, 20, // Skip to: 7728
+/* 2516 */    MCD_OPC_CheckField, 16, 4, 0, 86, 20, // Skip to: 7728
+/* 2522 */    MCD_OPC_Decode, 231, 1, 36, // Opcode: MOVsr
+/* 2526 */    MCD_OPC_FilterValue, 7, 78, 20, // Skip to: 7728
+/* 2530 */    MCD_OPC_CheckPredicate, 0, 74, 20, // Skip to: 7728
+/* 2534 */    MCD_OPC_CheckField, 16, 4, 0, 68, 20, // Skip to: 7728
+/* 2540 */    MCD_OPC_Decode, 250, 1, 37, // Opcode: MVNsr
+/* 2544 */    MCD_OPC_FilterValue, 1, 60, 20, // Skip to: 7728
+/* 2548 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 2551 */    MCD_OPC_FilterValue, 0, 5, 1, // Skip to: 2816
+/* 2555 */    MCD_OPC_ExtractField, 22, 3,  // Inst{24-22} ...
+/* 2558 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2570
+/* 2562 */    MCD_OPC_CheckPredicate, 1, 42, 20, // Skip to: 7728
+/* 2566 */    MCD_OPC_Decode, 209, 1, 38, // Opcode: MLA
+/* 2570 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 2588
+/* 2574 */    MCD_OPC_CheckPredicate, 10, 30, 20, // Skip to: 7728
+/* 2578 */    MCD_OPC_CheckField, 20, 1, 0, 24, 20, // Skip to: 7728
+/* 2584 */    MCD_OPC_Decode, 211, 1, 39, // Opcode: MLS
+/* 2588 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2600
+/* 2592 */    MCD_OPC_CheckPredicate, 1, 12, 20, // Skip to: 7728
+/* 2596 */    MCD_OPC_Decode, 245, 3, 40, // Opcode: UMLAL
+/* 2600 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2612
+/* 2604 */    MCD_OPC_CheckPredicate, 1, 0, 20, // Skip to: 7728
+/* 2608 */    MCD_OPC_Decode, 213, 2, 40, // Opcode: SMLAL
+/* 2612 */    MCD_OPC_FilterValue, 6, 76, 0, // Skip to: 2692
+/* 2616 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 2619 */    MCD_OPC_FilterValue, 14, 32, 0, // Skip to: 2655
+/* 2623 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2626 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2638
+/* 2630 */    MCD_OPC_CheckPredicate, 5, 230, 19, // Skip to: 7728
+/* 2634 */    MCD_OPC_Decode, 153, 3, 41, // Opcode: STLEXD
+/* 2638 */    MCD_OPC_FilterValue, 1, 222, 19, // Skip to: 7728
+/* 2642 */    MCD_OPC_CheckPredicate, 5, 218, 19, // Skip to: 7728
+/* 2646 */    MCD_OPC_CheckField, 0, 4, 15, 212, 19, // Skip to: 7728
+/* 2652 */    MCD_OPC_Decode, 127, 42, // Opcode: LDAEXD
+/* 2655 */    MCD_OPC_FilterValue, 15, 205, 19, // Skip to: 7728
+/* 2659 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2662 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2674
+/* 2666 */    MCD_OPC_CheckPredicate, 0, 194, 19, // Skip to: 7728
+/* 2670 */    MCD_OPC_Decode, 180, 3, 41, // Opcode: STREXD
+/* 2674 */    MCD_OPC_FilterValue, 1, 186, 19, // Skip to: 7728
+/* 2678 */    MCD_OPC_CheckPredicate, 0, 182, 19, // Skip to: 7728
+/* 2682 */    MCD_OPC_CheckField, 0, 4, 15, 176, 19, // Skip to: 7728
+/* 2688 */    MCD_OPC_Decode, 169, 1, 42, // Opcode: LDREXD
+/* 2692 */    MCD_OPC_FilterValue, 7, 168, 19, // Skip to: 7728
+/* 2696 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 2699 */    MCD_OPC_FilterValue, 12, 39, 0, // Skip to: 2742
+/* 2703 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2706 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2724
+/* 2710 */    MCD_OPC_CheckPredicate, 5, 150, 19, // Skip to: 7728
+/* 2714 */    MCD_OPC_CheckField, 12, 4, 15, 144, 19, // Skip to: 7728
+/* 2720 */    MCD_OPC_Decode, 155, 3, 21, // Opcode: STLH
+/* 2724 */    MCD_OPC_FilterValue, 1, 136, 19, // Skip to: 7728
+/* 2728 */    MCD_OPC_CheckPredicate, 5, 132, 19, // Skip to: 7728
+/* 2732 */    MCD_OPC_CheckField, 0, 4, 15, 126, 19, // Skip to: 7728
+/* 2738 */    MCD_OPC_Decode, 129, 1, 22, // Opcode: LDAH
+/* 2742 */    MCD_OPC_FilterValue, 14, 33, 0, // Skip to: 2779
+/* 2746 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2749 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2761
+/* 2753 */    MCD_OPC_CheckPredicate, 5, 107, 19, // Skip to: 7728
+/* 2757 */    MCD_OPC_Decode, 154, 3, 23, // Opcode: STLEXH
+/* 2761 */    MCD_OPC_FilterValue, 1, 99, 19, // Skip to: 7728
+/* 2765 */    MCD_OPC_CheckPredicate, 5, 95, 19, // Skip to: 7728
+/* 2769 */    MCD_OPC_CheckField, 0, 4, 15, 89, 19, // Skip to: 7728
+/* 2775 */    MCD_OPC_Decode, 128, 1, 22, // Opcode: LDAEXH
+/* 2779 */    MCD_OPC_FilterValue, 15, 81, 19, // Skip to: 7728
+/* 2783 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2786 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2798
+/* 2790 */    MCD_OPC_CheckPredicate, 0, 70, 19, // Skip to: 7728
+/* 2794 */    MCD_OPC_Decode, 181, 3, 23, // Opcode: STREXH
+/* 2798 */    MCD_OPC_FilterValue, 1, 62, 19, // Skip to: 7728
+/* 2802 */    MCD_OPC_CheckPredicate, 0, 58, 19, // Skip to: 7728
+/* 2806 */    MCD_OPC_CheckField, 0, 4, 15, 52, 19, // Skip to: 7728
+/* 2812 */    MCD_OPC_Decode, 170, 1, 22, // Opcode: LDREXH
+/* 2816 */    MCD_OPC_FilterValue, 1, 113, 0, // Skip to: 2933
+/* 2820 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2823 */    MCD_OPC_FilterValue, 0, 52, 0, // Skip to: 2879
+/* 2827 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 2830 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 2867
+/* 2834 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2837 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2855
+/* 2841 */    MCD_OPC_CheckPredicate, 0, 19, 19, // Skip to: 7728
+/* 2845 */    MCD_OPC_CheckField, 8, 4, 0, 13, 19, // Skip to: 7728
+/* 2851 */    MCD_OPC_Decode, 184, 3, 43, // Opcode: STRHTr
+/* 2855 */    MCD_OPC_FilterValue, 1, 5, 19, // Skip to: 7728
+/* 2859 */    MCD_OPC_CheckPredicate, 0, 1, 19, // Skip to: 7728
+/* 2863 */    MCD_OPC_Decode, 183, 3, 44, // Opcode: STRHTi
+/* 2867 */    MCD_OPC_FilterValue, 1, 249, 18, // Skip to: 7728
+/* 2871 */    MCD_OPC_CheckPredicate, 0, 245, 18, // Skip to: 7728
+/* 2875 */    MCD_OPC_Decode, 186, 3, 7, // Opcode: STRH_PRE
+/* 2879 */    MCD_OPC_FilterValue, 1, 237, 18, // Skip to: 7728
+/* 2883 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 2886 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 2921
+/* 2890 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2893 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 2909
+/* 2897 */    MCD_OPC_CheckPredicate, 0, 219, 18, // Skip to: 7728
+/* 2901 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 2905 */    MCD_OPC_Decode, 173, 1, 45, // Opcode: LDRHTr
+/* 2909 */    MCD_OPC_FilterValue, 1, 207, 18, // Skip to: 7728
+/* 2913 */    MCD_OPC_CheckPredicate, 0, 203, 18, // Skip to: 7728
+/* 2917 */    MCD_OPC_Decode, 172, 1, 46, // Opcode: LDRHTi
+/* 2921 */    MCD_OPC_FilterValue, 1, 195, 18, // Skip to: 7728
+/* 2925 */    MCD_OPC_CheckPredicate, 0, 191, 18, // Skip to: 7728
+/* 2929 */    MCD_OPC_Decode, 175, 1, 7, // Opcode: LDRH_PRE
+/* 2933 */    MCD_OPC_FilterValue, 2, 75, 0, // Skip to: 3012
+/* 2937 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 2940 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2958
+/* 2944 */    MCD_OPC_CheckPredicate, 0, 172, 18, // Skip to: 7728
+/* 2948 */    MCD_OPC_CheckField, 24, 1, 1, 166, 18, // Skip to: 7728
+/* 2954 */    MCD_OPC_Decode, 166, 1, 7, // Opcode: LDRD_PRE
+/* 2958 */    MCD_OPC_FilterValue, 1, 158, 18, // Skip to: 7728
+/* 2962 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 2965 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3000
+/* 2969 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 2972 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 2988
+/* 2976 */    MCD_OPC_CheckPredicate, 0, 140, 18, // Skip to: 7728
+/* 2980 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 2984 */    MCD_OPC_Decode, 181, 1, 45, // Opcode: LDRSBTr
+/* 2988 */    MCD_OPC_FilterValue, 1, 128, 18, // Skip to: 7728
+/* 2992 */    MCD_OPC_CheckPredicate, 0, 124, 18, // Skip to: 7728
+/* 2996 */    MCD_OPC_Decode, 180, 1, 46, // Opcode: LDRSBTi
+/* 3000 */    MCD_OPC_FilterValue, 1, 116, 18, // Skip to: 7728
+/* 3004 */    MCD_OPC_CheckPredicate, 0, 112, 18, // Skip to: 7728
+/* 3008 */    MCD_OPC_Decode, 183, 1, 7, // Opcode: LDRSB_PRE
+/* 3012 */    MCD_OPC_FilterValue, 3, 104, 18, // Skip to: 7728
+/* 3016 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 3019 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3037
+/* 3023 */    MCD_OPC_CheckPredicate, 0, 93, 18, // Skip to: 7728
+/* 3027 */    MCD_OPC_CheckField, 24, 1, 1, 87, 18, // Skip to: 7728
+/* 3033 */    MCD_OPC_Decode, 177, 3, 7, // Opcode: STRD_PRE
+/* 3037 */    MCD_OPC_FilterValue, 1, 79, 18, // Skip to: 7728
+/* 3041 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3044 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3079
+/* 3048 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 3051 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 3067
+/* 3055 */    MCD_OPC_CheckPredicate, 0, 61, 18, // Skip to: 7728
+/* 3059 */    MCD_OPC_SoftFail, 128, 30 /* 0xF00 */, 0,
+/* 3063 */    MCD_OPC_Decode, 186, 1, 45, // Opcode: LDRSHTr
+/* 3067 */    MCD_OPC_FilterValue, 1, 49, 18, // Skip to: 7728
+/* 3071 */    MCD_OPC_CheckPredicate, 0, 45, 18, // Skip to: 7728
+/* 3075 */    MCD_OPC_Decode, 185, 1, 46, // Opcode: LDRSHTi
+/* 3079 */    MCD_OPC_FilterValue, 1, 37, 18, // Skip to: 7728
+/* 3083 */    MCD_OPC_CheckPredicate, 0, 33, 18, // Skip to: 7728
+/* 3087 */    MCD_OPC_Decode, 188, 1, 7, // Opcode: LDRSH_PRE
+/* 3091 */    MCD_OPC_FilterValue, 1, 147, 1, // Skip to: 3498
+/* 3095 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 3098 */    MCD_OPC_FilterValue, 0, 170, 0, // Skip to: 3272
+/* 3102 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3105 */    MCD_OPC_FilterValue, 0, 62, 0, // Skip to: 3171
+/* 3109 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 3112 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3123
+/* 3116 */    MCD_OPC_CheckPredicate, 0, 38, 0, // Skip to: 3158
+/* 3120 */    MCD_OPC_Decode, 42, 47, // Opcode: ANDri
+/* 3123 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3135
+/* 3127 */    MCD_OPC_CheckPredicate, 0, 27, 0, // Skip to: 3158
+/* 3131 */    MCD_OPC_Decode, 204, 3, 47, // Opcode: SUBri
+/* 3135 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 3146
+/* 3139 */    MCD_OPC_CheckPredicate, 0, 15, 0, // Skip to: 3158
+/* 3143 */    MCD_OPC_Decode, 31, 47, // Opcode: ADDri
+/* 3146 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 3158
+/* 3150 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 3158
+/* 3154 */    MCD_OPC_Decode, 184, 2, 47, // Opcode: SBCri
+/* 3158 */    MCD_OPC_CheckPredicate, 0, 214, 17, // Skip to: 7728
+/* 3162 */    MCD_OPC_CheckField, 16, 5, 15, 208, 17, // Skip to: 7728
+/* 3168 */    MCD_OPC_Decode, 37, 48, // Opcode: ADR
+/* 3171 */    MCD_OPC_FilterValue, 1, 201, 17, // Skip to: 7728
+/* 3175 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
+/* 3178 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 3214
+/* 3182 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 3185 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3197
+/* 3189 */    MCD_OPC_CheckPredicate, 10, 183, 17, // Skip to: 7728
+/* 3193 */    MCD_OPC_Decode, 225, 1, 49, // Opcode: MOVi16
+/* 3197 */    MCD_OPC_FilterValue, 1, 175, 17, // Skip to: 7728
+/* 3201 */    MCD_OPC_CheckPredicate, 0, 171, 17, // Skip to: 7728
+/* 3205 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 3210 */    MCD_OPC_Decode, 228, 3, 50, // Opcode: TSTri
+/* 3214 */    MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 3249
+/* 3218 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 3221 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3233
+/* 3225 */    MCD_OPC_CheckPredicate, 10, 147, 17, // Skip to: 7728
+/* 3229 */    MCD_OPC_Decode, 220, 1, 49, // Opcode: MOVTi16
+/* 3233 */    MCD_OPC_FilterValue, 1, 139, 17, // Skip to: 7728
+/* 3237 */    MCD_OPC_CheckPredicate, 0, 135, 17, // Skip to: 7728
+/* 3241 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 3246 */    MCD_OPC_Decode, 82, 50, // Opcode: CMPri
+/* 3249 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3261
+/* 3253 */    MCD_OPC_CheckPredicate, 0, 119, 17, // Skip to: 7728
+/* 3257 */    MCD_OPC_Decode, 251, 1, 47, // Opcode: ORRri
+/* 3261 */    MCD_OPC_FilterValue, 3, 111, 17, // Skip to: 7728
+/* 3265 */    MCD_OPC_CheckPredicate, 0, 107, 17, // Skip to: 7728
+/* 3269 */    MCD_OPC_Decode, 53, 47, // Opcode: BICri
+/* 3272 */    MCD_OPC_FilterValue, 1, 100, 17, // Skip to: 7728
+/* 3276 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 3279 */    MCD_OPC_FilterValue, 0, 26, 0, // Skip to: 3309
+/* 3283 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 3286 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3297
+/* 3290 */    MCD_OPC_CheckPredicate, 0, 82, 17, // Skip to: 7728
+/* 3294 */    MCD_OPC_Decode, 100, 47, // Opcode: EORri
+/* 3297 */    MCD_OPC_FilterValue, 1, 75, 17, // Skip to: 7728
+/* 3301 */    MCD_OPC_CheckPredicate, 0, 71, 17, // Skip to: 7728
+/* 3305 */    MCD_OPC_Decode, 173, 2, 47, // Opcode: RSBri
+/* 3309 */    MCD_OPC_FilterValue, 1, 26, 0, // Skip to: 3339
+/* 3313 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 3316 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3327
+/* 3320 */    MCD_OPC_CheckPredicate, 0, 52, 17, // Skip to: 7728
+/* 3324 */    MCD_OPC_Decode, 23, 47, // Opcode: ADCri
+/* 3327 */    MCD_OPC_FilterValue, 1, 45, 17, // Skip to: 7728
+/* 3331 */    MCD_OPC_CheckPredicate, 0, 41, 17, // Skip to: 7728
+/* 3335 */    MCD_OPC_Decode, 177, 2, 47, // Opcode: RSCri
+/* 3339 */    MCD_OPC_FilterValue, 2, 112, 0, // Skip to: 3455
+/* 3343 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 3346 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 3415
+/* 3350 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 3353 */    MCD_OPC_FilterValue, 15, 19, 17, // Skip to: 7728
+/* 3357 */    MCD_OPC_CheckPredicate, 11, 21, 0, // Skip to: 3382
+/* 3361 */    MCD_OPC_CheckField, 22, 1, 0, 15, 0, // Skip to: 3382
+/* 3367 */    MCD_OPC_CheckField, 16, 4, 0, 9, 0, // Skip to: 3382
+/* 3373 */    MCD_OPC_CheckField, 4, 8, 15, 3, 0, // Skip to: 3382
+/* 3379 */    MCD_OPC_Decode, 97, 35, // Opcode: DBG
+/* 3382 */    MCD_OPC_CheckPredicate, 1, 21, 0, // Skip to: 3407
+/* 3386 */    MCD_OPC_CheckField, 22, 1, 0, 15, 0, // Skip to: 3407
+/* 3392 */    MCD_OPC_CheckField, 16, 4, 0, 9, 0, // Skip to: 3407
+/* 3398 */    MCD_OPC_CheckField, 8, 4, 0, 3, 0, // Skip to: 3407
+/* 3404 */    MCD_OPC_Decode, 114, 51, // Opcode: HINT
+/* 3407 */    MCD_OPC_CheckPredicate, 0, 221, 16, // Skip to: 7728
+/* 3411 */    MCD_OPC_Decode, 243, 1, 52, // Opcode: MSRi
+/* 3415 */    MCD_OPC_FilterValue, 1, 213, 16, // Skip to: 7728
+/* 3419 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 3422 */    MCD_OPC_FilterValue, 0, 13, 0, // Skip to: 3439
+/* 3426 */    MCD_OPC_CheckPredicate, 0, 202, 16, // Skip to: 7728
+/* 3430 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 3435 */    MCD_OPC_Decode, 221, 3, 50, // Opcode: TEQri
+/* 3439 */    MCD_OPC_FilterValue, 1, 189, 16, // Skip to: 7728
+/* 3443 */    MCD_OPC_CheckPredicate, 0, 185, 16, // Skip to: 7728
+/* 3447 */    MCD_OPC_SoftFail, 128, 224, 3 /* 0xF000 */, 0,
+/* 3452 */    MCD_OPC_Decode, 78, 50, // Opcode: CMNri
+/* 3455 */    MCD_OPC_FilterValue, 3, 173, 16, // Skip to: 7728
+/* 3459 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
+/* 3462 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3480
+/* 3466 */    MCD_OPC_CheckPredicate, 0, 162, 16, // Skip to: 7728
+/* 3470 */    MCD_OPC_CheckField, 16, 4, 0, 156, 16, // Skip to: 7728
+/* 3476 */    MCD_OPC_Decode, 224, 1, 53, // Opcode: MOVi
+/* 3480 */    MCD_OPC_FilterValue, 1, 148, 16, // Skip to: 7728
+/* 3484 */    MCD_OPC_CheckPredicate, 0, 144, 16, // Skip to: 7728
+/* 3488 */    MCD_OPC_CheckField, 16, 4, 0, 138, 16, // Skip to: 7728
+/* 3494 */    MCD_OPC_Decode, 247, 1, 53, // Opcode: MVNi
+/* 3498 */    MCD_OPC_FilterValue, 2, 160, 1, // Skip to: 3918
+/* 3502 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 3505 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 3536
+/* 3509 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3512 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3524
+/* 3516 */    MCD_OPC_CheckPredicate, 0, 112, 16, // Skip to: 7728
+/* 3520 */    MCD_OPC_Decode, 191, 3, 54, // Opcode: STR_POST_IMM
+/* 3524 */    MCD_OPC_FilterValue, 1, 104, 16, // Skip to: 7728
+/* 3528 */    MCD_OPC_CheckPredicate, 0, 100, 16, // Skip to: 7728
+/* 3532 */    MCD_OPC_Decode, 195, 3, 55, // Opcode: STRi12
+/* 3536 */    MCD_OPC_FilterValue, 1, 47, 0, // Skip to: 3587
+/* 3540 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3543 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3555
+/* 3547 */    MCD_OPC_CheckPredicate, 0, 81, 16, // Skip to: 7728
+/* 3551 */    MCD_OPC_Decode, 192, 1, 54, // Opcode: LDR_POST_IMM
+/* 3555 */    MCD_OPC_FilterValue, 1, 73, 16, // Skip to: 7728
+/* 3559 */    MCD_OPC_CheckPredicate, 12, 16, 0, // Skip to: 3579
+/* 3563 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3579
+/* 3569 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3579
+/* 3575 */    MCD_OPC_Decode, 138, 2, 56, // Opcode: PLDWi12
+/* 3579 */    MCD_OPC_CheckPredicate, 0, 49, 16, // Skip to: 7728
+/* 3583 */    MCD_OPC_Decode, 197, 1, 55, // Opcode: LDRi12
+/* 3587 */    MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 3618
+/* 3591 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3594 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3606
+/* 3598 */    MCD_OPC_CheckPredicate, 0, 30, 16, // Skip to: 7728
+/* 3602 */    MCD_OPC_Decode, 189, 3, 54, // Opcode: STRT_POST_IMM
+/* 3606 */    MCD_OPC_FilterValue, 1, 22, 16, // Skip to: 7728
+/* 3610 */    MCD_OPC_CheckPredicate, 0, 18, 16, // Skip to: 7728
+/* 3614 */    MCD_OPC_Decode, 193, 3, 57, // Opcode: STR_PRE_IMM
+/* 3618 */    MCD_OPC_FilterValue, 3, 27, 0, // Skip to: 3649
+/* 3622 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3625 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3637
+/* 3629 */    MCD_OPC_CheckPredicate, 0, 255, 15, // Skip to: 7728
+/* 3633 */    MCD_OPC_Decode, 190, 1, 54, // Opcode: LDRT_POST_IMM
+/* 3637 */    MCD_OPC_FilterValue, 1, 247, 15, // Skip to: 7728
+/* 3641 */    MCD_OPC_CheckPredicate, 0, 243, 15, // Skip to: 7728
+/* 3645 */    MCD_OPC_Decode, 194, 1, 58, // Opcode: LDR_PRE_IMM
+/* 3649 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 3680
+/* 3653 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3656 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3668
+/* 3660 */    MCD_OPC_CheckPredicate, 0, 224, 15, // Skip to: 7728
+/* 3664 */    MCD_OPC_Decode, 167, 3, 54, // Opcode: STRB_POST_IMM
+/* 3668 */    MCD_OPC_FilterValue, 1, 216, 15, // Skip to: 7728
+/* 3672 */    MCD_OPC_CheckPredicate, 0, 212, 15, // Skip to: 7728
+/* 3676 */    MCD_OPC_Decode, 171, 3, 59, // Opcode: STRBi12
+/* 3680 */    MCD_OPC_FilterValue, 5, 67, 0, // Skip to: 3751
+/* 3684 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3687 */    MCD_OPC_FilterValue, 0, 28, 0, // Skip to: 3719
+/* 3691 */    MCD_OPC_CheckPredicate, 11, 16, 0, // Skip to: 3711
+/* 3695 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3711
+/* 3701 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3711
+/* 3707 */    MCD_OPC_Decode, 142, 2, 56, // Opcode: PLIi12
+/* 3711 */    MCD_OPC_CheckPredicate, 0, 173, 15, // Skip to: 7728
+/* 3715 */    MCD_OPC_Decode, 158, 1, 54, // Opcode: LDRB_POST_IMM
+/* 3719 */    MCD_OPC_FilterValue, 1, 165, 15, // Skip to: 7728
+/* 3723 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 3743
+/* 3727 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 3743
+/* 3733 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 3743
+/* 3739 */    MCD_OPC_Decode, 140, 2, 56, // Opcode: PLDi12
+/* 3743 */    MCD_OPC_CheckPredicate, 0, 141, 15, // Skip to: 7728
+/* 3747 */    MCD_OPC_Decode, 162, 1, 59, // Opcode: LDRBi12
+/* 3751 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 3782
+/* 3755 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3758 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3770
+/* 3762 */    MCD_OPC_CheckPredicate, 0, 122, 15, // Skip to: 7728
+/* 3766 */    MCD_OPC_Decode, 165, 3, 54, // Opcode: STRBT_POST_IMM
+/* 3770 */    MCD_OPC_FilterValue, 1, 114, 15, // Skip to: 7728
+/* 3774 */    MCD_OPC_CheckPredicate, 0, 110, 15, // Skip to: 7728
+/* 3778 */    MCD_OPC_Decode, 169, 3, 57, // Opcode: STRB_PRE_IMM
+/* 3782 */    MCD_OPC_FilterValue, 7, 102, 15, // Skip to: 7728
+/* 3786 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3789 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3801
+/* 3793 */    MCD_OPC_CheckPredicate, 0, 91, 15, // Skip to: 7728
+/* 3797 */    MCD_OPC_Decode, 156, 1, 54, // Opcode: LDRBT_POST_IMM
+/* 3801 */    MCD_OPC_FilterValue, 1, 83, 15, // Skip to: 7728
+/* 3805 */    MCD_OPC_CheckPredicate, 11, 23, 0, // Skip to: 3832
+/* 3809 */    MCD_OPC_CheckField, 28, 4, 15, 17, 0, // Skip to: 3832
+/* 3815 */    MCD_OPC_CheckField, 23, 1, 0, 11, 0, // Skip to: 3832
+/* 3821 */    MCD_OPC_CheckField, 0, 20, 159, 224, 63, 3, 0, // Skip to: 3832
+/* 3829 */    MCD_OPC_Decode, 76, 60, // Opcode: CLREX
+/* 3832 */    MCD_OPC_ExtractField, 4, 16,  // Inst{19-4} ...
+/* 3835 */    MCD_OPC_FilterValue, 132, 254, 3, 19, 0, // Skip to: 3860
+/* 3841 */    MCD_OPC_CheckPredicate, 13, 65, 0, // Skip to: 3910
+/* 3845 */    MCD_OPC_CheckField, 28, 4, 15, 59, 0, // Skip to: 3910
+/* 3851 */    MCD_OPC_CheckField, 23, 1, 0, 53, 0, // Skip to: 3910
+/* 3857 */    MCD_OPC_Decode, 99, 61, // Opcode: DSB
+/* 3860 */    MCD_OPC_FilterValue, 133, 254, 3, 19, 0, // Skip to: 3885
+/* 3866 */    MCD_OPC_CheckPredicate, 13, 40, 0, // Skip to: 3910
+/* 3870 */    MCD_OPC_CheckField, 28, 4, 15, 34, 0, // Skip to: 3910
+/* 3876 */    MCD_OPC_CheckField, 23, 1, 0, 28, 0, // Skip to: 3910
+/* 3882 */    MCD_OPC_Decode, 98, 61, // Opcode: DMB
+/* 3885 */    MCD_OPC_FilterValue, 134, 254, 3, 19, 0, // Skip to: 3910
+/* 3891 */    MCD_OPC_CheckPredicate, 13, 15, 0, // Skip to: 3910
+/* 3895 */    MCD_OPC_CheckField, 28, 4, 15, 9, 0, // Skip to: 3910
+/* 3901 */    MCD_OPC_CheckField, 23, 1, 0, 3, 0, // Skip to: 3910
+/* 3907 */    MCD_OPC_Decode, 117, 62, // Opcode: ISB
+/* 3910 */    MCD_OPC_CheckPredicate, 0, 230, 14, // Skip to: 7728
+/* 3914 */    MCD_OPC_Decode, 160, 1, 58, // Opcode: LDRB_PRE_IMM
+/* 3918 */    MCD_OPC_FilterValue, 3, 44, 9, // Skip to: 6270
+/* 3922 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
+/* 3925 */    MCD_OPC_FilterValue, 0, 109, 2, // Skip to: 4550
+/* 3929 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 3932 */    MCD_OPC_FilterValue, 0, 85, 0, // Skip to: 4021
+/* 3936 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 3939 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 3970
+/* 3943 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3946 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3958
+/* 3950 */    MCD_OPC_CheckPredicate, 0, 190, 14, // Skip to: 7728
+/* 3954 */    MCD_OPC_Decode, 192, 3, 54, // Opcode: STR_POST_REG
+/* 3958 */    MCD_OPC_FilterValue, 1, 182, 14, // Skip to: 7728
+/* 3962 */    MCD_OPC_CheckPredicate, 0, 178, 14, // Skip to: 7728
+/* 3966 */    MCD_OPC_Decode, 198, 3, 63, // Opcode: STRrs
+/* 3970 */    MCD_OPC_FilterValue, 1, 170, 14, // Skip to: 7728
+/* 3974 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 3977 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3989
+/* 3981 */    MCD_OPC_CheckPredicate, 0, 159, 14, // Skip to: 7728
+/* 3985 */    MCD_OPC_Decode, 193, 1, 54, // Opcode: LDR_POST_REG
+/* 3989 */    MCD_OPC_FilterValue, 1, 151, 14, // Skip to: 7728
+/* 3993 */    MCD_OPC_CheckPredicate, 12, 16, 0, // Skip to: 4013
+/* 3997 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 4013
+/* 4003 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4013
+/* 4009 */    MCD_OPC_Decode, 139, 2, 64, // Opcode: PLDWrs
+/* 4013 */    MCD_OPC_CheckPredicate, 0, 127, 14, // Skip to: 7728
+/* 4017 */    MCD_OPC_Decode, 198, 1, 63, // Opcode: LDRrs
+/* 4021 */    MCD_OPC_FilterValue, 1, 119, 14, // Skip to: 7728
+/* 4025 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 4028 */    MCD_OPC_FilterValue, 0, 176, 0, // Skip to: 4208
+/* 4032 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 4035 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 4086
+/* 4039 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4042 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 4064
+/* 4046 */    MCD_OPC_CheckPredicate, 0, 94, 14, // Skip to: 7728
+/* 4050 */    MCD_OPC_CheckField, 20, 1, 1, 88, 14, // Skip to: 7728
+/* 4056 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4060 */    MCD_OPC_Decode, 181, 2, 65, // Opcode: SADD16
+/* 4064 */    MCD_OPC_FilterValue, 1, 76, 14, // Skip to: 7728
+/* 4068 */    MCD_OPC_CheckPredicate, 0, 72, 14, // Skip to: 7728
+/* 4072 */    MCD_OPC_CheckField, 20, 1, 1, 66, 14, // Skip to: 7728
+/* 4078 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4082 */    MCD_OPC_Decode, 182, 2, 65, // Opcode: SADD8
+/* 4086 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4104
+/* 4090 */    MCD_OPC_CheckPredicate, 1, 50, 14, // Skip to: 7728
+/* 4094 */    MCD_OPC_CheckField, 20, 1, 0, 44, 14, // Skip to: 7728
+/* 4100 */    MCD_OPC_Decode, 136, 2, 66, // Opcode: PKHBT
+/* 4104 */    MCD_OPC_FilterValue, 2, 60, 0, // Skip to: 4168
+/* 4108 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4111 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 4144
+/* 4115 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4118 */    MCD_OPC_FilterValue, 0, 22, 14, // Skip to: 7728
+/* 4122 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4136
+/* 4126 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4136
+/* 4132 */    MCD_OPC_Decode, 235, 2, 67, // Opcode: SMUAD
+/* 4136 */    MCD_OPC_CheckPredicate, 1, 4, 14, // Skip to: 7728
+/* 4140 */    MCD_OPC_Decode, 211, 2, 68, // Opcode: SMLAD
+/* 4144 */    MCD_OPC_FilterValue, 1, 252, 13, // Skip to: 7728
+/* 4148 */    MCD_OPC_CheckPredicate, 14, 248, 13, // Skip to: 7728
+/* 4152 */    MCD_OPC_CheckField, 12, 4, 15, 242, 13, // Skip to: 7728
+/* 4158 */    MCD_OPC_CheckField, 7, 1, 0, 236, 13, // Skip to: 7728
+/* 4164 */    MCD_OPC_Decode, 189, 2, 29, // Opcode: SDIV
+/* 4168 */    MCD_OPC_FilterValue, 3, 228, 13, // Skip to: 7728
+/* 4172 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4175 */    MCD_OPC_FilterValue, 0, 221, 13, // Skip to: 7728
+/* 4179 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4182 */    MCD_OPC_FilterValue, 0, 214, 13, // Skip to: 7728
+/* 4186 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4200
+/* 4190 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4200
+/* 4196 */    MCD_OPC_Decode, 255, 3, 29, // Opcode: USAD8
+/* 4200 */    MCD_OPC_CheckPredicate, 1, 196, 13, // Skip to: 7728
+/* 4204 */    MCD_OPC_Decode, 128, 4, 39, // Opcode: USADA8
+/* 4208 */    MCD_OPC_FilterValue, 1, 99, 0, // Skip to: 4311
+/* 4212 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 4215 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4243
+/* 4219 */    MCD_OPC_CheckPredicate, 0, 177, 13, // Skip to: 7728
+/* 4223 */    MCD_OPC_CheckField, 20, 1, 1, 171, 13, // Skip to: 7728
+/* 4229 */    MCD_OPC_CheckField, 7, 1, 0, 165, 13, // Skip to: 7728
+/* 4235 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4239 */    MCD_OPC_Decode, 183, 2, 65, // Opcode: SASX
+/* 4243 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 4271
+/* 4247 */    MCD_OPC_CheckPredicate, 1, 149, 13, // Skip to: 7728
+/* 4251 */    MCD_OPC_CheckField, 20, 1, 0, 143, 13, // Skip to: 7728
+/* 4257 */    MCD_OPC_CheckField, 7, 1, 1, 137, 13, // Skip to: 7728
+/* 4263 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4267 */    MCD_OPC_Decode, 190, 2, 69, // Opcode: SEL
+/* 4271 */    MCD_OPC_FilterValue, 2, 125, 13, // Skip to: 7728
+/* 4275 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4278 */    MCD_OPC_FilterValue, 0, 118, 13, // Skip to: 7728
+/* 4282 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4285 */    MCD_OPC_FilterValue, 0, 111, 13, // Skip to: 7728
+/* 4289 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4303
+/* 4293 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4303
+/* 4299 */    MCD_OPC_Decode, 236, 2, 67, // Opcode: SMUADX
+/* 4303 */    MCD_OPC_CheckPredicate, 1, 93, 13, // Skip to: 7728
+/* 4307 */    MCD_OPC_Decode, 212, 2, 68, // Opcode: SMLADX
+/* 4311 */    MCD_OPC_FilterValue, 2, 89, 0, // Skip to: 4404
+/* 4315 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 4318 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4346
+/* 4322 */    MCD_OPC_CheckPredicate, 0, 74, 13, // Skip to: 7728
+/* 4326 */    MCD_OPC_CheckField, 20, 1, 1, 68, 13, // Skip to: 7728
+/* 4332 */    MCD_OPC_CheckField, 7, 1, 0, 62, 13, // Skip to: 7728
+/* 4338 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4342 */    MCD_OPC_Decode, 130, 3, 65, // Opcode: SSAX
+/* 4346 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 4364
+/* 4350 */    MCD_OPC_CheckPredicate, 1, 46, 13, // Skip to: 7728
+/* 4354 */    MCD_OPC_CheckField, 20, 1, 0, 40, 13, // Skip to: 7728
+/* 4360 */    MCD_OPC_Decode, 137, 2, 66, // Opcode: PKHTB
+/* 4364 */    MCD_OPC_FilterValue, 2, 32, 13, // Skip to: 7728
+/* 4368 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4371 */    MCD_OPC_FilterValue, 0, 25, 13, // Skip to: 7728
+/* 4375 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4378 */    MCD_OPC_FilterValue, 0, 18, 13, // Skip to: 7728
+/* 4382 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4396
+/* 4386 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4396
+/* 4392 */    MCD_OPC_Decode, 245, 2, 67, // Opcode: SMUSD
+/* 4396 */    MCD_OPC_CheckPredicate, 1, 0, 13, // Skip to: 7728
+/* 4400 */    MCD_OPC_Decode, 225, 2, 68, // Opcode: SMLSD
+/* 4404 */    MCD_OPC_FilterValue, 3, 248, 12, // Skip to: 7728
+/* 4408 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 4411 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 4462
+/* 4415 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4418 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 4440
+/* 4422 */    MCD_OPC_CheckPredicate, 0, 230, 12, // Skip to: 7728
+/* 4426 */    MCD_OPC_CheckField, 20, 1, 1, 224, 12, // Skip to: 7728
+/* 4432 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4436 */    MCD_OPC_Decode, 131, 3, 65, // Opcode: SSUB16
+/* 4440 */    MCD_OPC_FilterValue, 1, 212, 12, // Skip to: 7728
+/* 4444 */    MCD_OPC_CheckPredicate, 0, 208, 12, // Skip to: 7728
+/* 4448 */    MCD_OPC_CheckField, 20, 1, 1, 202, 12, // Skip to: 7728
+/* 4454 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4458 */    MCD_OPC_Decode, 132, 3, 65, // Opcode: SSUB8
+/* 4462 */    MCD_OPC_FilterValue, 1, 44, 0, // Skip to: 4510
+/* 4466 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4469 */    MCD_OPC_FilterValue, 0, 183, 12, // Skip to: 7728
+/* 4473 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4476 */    MCD_OPC_FilterValue, 0, 176, 12, // Skip to: 7728
+/* 4480 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 4498
+/* 4484 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 4498
+/* 4490 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 4494 */    MCD_OPC_Decode, 215, 3, 70, // Opcode: SXTB16
+/* 4498 */    MCD_OPC_CheckPredicate, 1, 154, 12, // Skip to: 7728
+/* 4502 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 4506 */    MCD_OPC_Decode, 212, 3, 71, // Opcode: SXTAB16
+/* 4510 */    MCD_OPC_FilterValue, 2, 142, 12, // Skip to: 7728
+/* 4514 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4517 */    MCD_OPC_FilterValue, 0, 135, 12, // Skip to: 7728
+/* 4521 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4524 */    MCD_OPC_FilterValue, 0, 128, 12, // Skip to: 7728
+/* 4528 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 4542
+/* 4532 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 4542
+/* 4538 */    MCD_OPC_Decode, 246, 2, 67, // Opcode: SMUSDX
+/* 4542 */    MCD_OPC_CheckPredicate, 1, 110, 12, // Skip to: 7728
+/* 4546 */    MCD_OPC_Decode, 226, 2, 68, // Opcode: SMLSDX
+/* 4550 */    MCD_OPC_FilterValue, 1, 30, 2, // Skip to: 5096
+/* 4554 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 4557 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 4626
+/* 4561 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4564 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 4595
+/* 4568 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 4571 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4583
+/* 4575 */    MCD_OPC_CheckPredicate, 0, 77, 12, // Skip to: 7728
+/* 4579 */    MCD_OPC_Decode, 190, 3, 54, // Opcode: STRT_POST_REG
+/* 4583 */    MCD_OPC_FilterValue, 1, 69, 12, // Skip to: 7728
+/* 4587 */    MCD_OPC_CheckPredicate, 0, 65, 12, // Skip to: 7728
+/* 4591 */    MCD_OPC_Decode, 194, 3, 72, // Opcode: STR_PRE_REG
+/* 4595 */    MCD_OPC_FilterValue, 1, 57, 12, // Skip to: 7728
+/* 4599 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 4602 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4614
+/* 4606 */    MCD_OPC_CheckPredicate, 0, 46, 12, // Skip to: 7728
+/* 4610 */    MCD_OPC_Decode, 191, 1, 54, // Opcode: LDRT_POST_REG
+/* 4614 */    MCD_OPC_FilterValue, 1, 38, 12, // Skip to: 7728
+/* 4618 */    MCD_OPC_CheckPredicate, 0, 34, 12, // Skip to: 7728
+/* 4622 */    MCD_OPC_Decode, 195, 1, 73, // Opcode: LDR_PRE_REG
+/* 4626 */    MCD_OPC_FilterValue, 1, 26, 12, // Skip to: 7728
+/* 4630 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 4633 */    MCD_OPC_FilterValue, 0, 237, 0, // Skip to: 4874
+/* 4637 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
+/* 4640 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 4679
+/* 4644 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4647 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4663
+/* 4651 */    MCD_OPC_CheckPredicate, 0, 1, 12, // Skip to: 7728
+/* 4655 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4659 */    MCD_OPC_Decode, 145, 2, 65, // Opcode: QADD16
+/* 4663 */    MCD_OPC_FilterValue, 1, 245, 11, // Skip to: 7728
+/* 4667 */    MCD_OPC_CheckPredicate, 0, 241, 11, // Skip to: 7728
+/* 4671 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4675 */    MCD_OPC_Decode, 202, 2, 65, // Opcode: SHADD16
+/* 4679 */    MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 4718
+/* 4683 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4686 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4702
+/* 4690 */    MCD_OPC_CheckPredicate, 0, 218, 11, // Skip to: 7728
+/* 4694 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4698 */    MCD_OPC_Decode, 147, 2, 65, // Opcode: QASX
+/* 4702 */    MCD_OPC_FilterValue, 1, 206, 11, // Skip to: 7728
+/* 4706 */    MCD_OPC_CheckPredicate, 0, 202, 11, // Skip to: 7728
+/* 4710 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4714 */    MCD_OPC_Decode, 204, 2, 65, // Opcode: SHASX
+/* 4718 */    MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 4757
+/* 4722 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4725 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4741
+/* 4729 */    MCD_OPC_CheckPredicate, 0, 179, 11, // Skip to: 7728
+/* 4733 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4737 */    MCD_OPC_Decode, 150, 2, 65, // Opcode: QSAX
+/* 4741 */    MCD_OPC_FilterValue, 1, 167, 11, // Skip to: 7728
+/* 4745 */    MCD_OPC_CheckPredicate, 0, 163, 11, // Skip to: 7728
+/* 4749 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4753 */    MCD_OPC_Decode, 205, 2, 65, // Opcode: SHSAX
+/* 4757 */    MCD_OPC_FilterValue, 3, 35, 0, // Skip to: 4796
+/* 4761 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4764 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4780
+/* 4768 */    MCD_OPC_CheckPredicate, 0, 140, 11, // Skip to: 7728
+/* 4772 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4776 */    MCD_OPC_Decode, 152, 2, 65, // Opcode: QSUB16
+/* 4780 */    MCD_OPC_FilterValue, 1, 128, 11, // Skip to: 7728
+/* 4784 */    MCD_OPC_CheckPredicate, 0, 124, 11, // Skip to: 7728
+/* 4788 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4792 */    MCD_OPC_Decode, 206, 2, 65, // Opcode: SHSUB16
+/* 4796 */    MCD_OPC_FilterValue, 4, 35, 0, // Skip to: 4835
+/* 4800 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4803 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4819
+/* 4807 */    MCD_OPC_CheckPredicate, 0, 101, 11, // Skip to: 7728
+/* 4811 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4815 */    MCD_OPC_Decode, 146, 2, 65, // Opcode: QADD8
+/* 4819 */    MCD_OPC_FilterValue, 1, 89, 11, // Skip to: 7728
+/* 4823 */    MCD_OPC_CheckPredicate, 0, 85, 11, // Skip to: 7728
+/* 4827 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4831 */    MCD_OPC_Decode, 203, 2, 65, // Opcode: SHADD8
+/* 4835 */    MCD_OPC_FilterValue, 7, 73, 11, // Skip to: 7728
+/* 4839 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4842 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 4858
+/* 4846 */    MCD_OPC_CheckPredicate, 0, 62, 11, // Skip to: 7728
+/* 4850 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4854 */    MCD_OPC_Decode, 153, 2, 65, // Opcode: QSUB8
+/* 4858 */    MCD_OPC_FilterValue, 1, 50, 11, // Skip to: 7728
+/* 4862 */    MCD_OPC_CheckPredicate, 0, 46, 11, // Skip to: 7728
+/* 4866 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 4870 */    MCD_OPC_Decode, 207, 2, 65, // Opcode: SHSUB8
+/* 4874 */    MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 5048
+/* 4878 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 4881 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4893
+/* 4885 */    MCD_OPC_CheckPredicate, 0, 23, 11, // Skip to: 7728
+/* 4889 */    MCD_OPC_Decode, 128, 3, 74, // Opcode: SSAT
+/* 4893 */    MCD_OPC_FilterValue, 1, 15, 11, // Skip to: 7728
+/* 4897 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 4900 */    MCD_OPC_FilterValue, 0, 45, 0, // Skip to: 4949
+/* 4904 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4907 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4925
+/* 4911 */    MCD_OPC_CheckPredicate, 0, 253, 10, // Skip to: 7728
+/* 4915 */    MCD_OPC_CheckField, 8, 4, 15, 247, 10, // Skip to: 7728
+/* 4921 */    MCD_OPC_Decode, 129, 3, 75, // Opcode: SSAT16
+/* 4925 */    MCD_OPC_FilterValue, 1, 239, 10, // Skip to: 7728
+/* 4929 */    MCD_OPC_CheckPredicate, 1, 235, 10, // Skip to: 7728
+/* 4933 */    MCD_OPC_CheckField, 16, 4, 15, 229, 10, // Skip to: 7728
+/* 4939 */    MCD_OPC_CheckField, 8, 4, 15, 223, 10, // Skip to: 7728
+/* 4945 */    MCD_OPC_Decode, 155, 2, 34, // Opcode: REV
+/* 4949 */    MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 5024
+/* 4953 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4956 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 4990
+/* 4960 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 4978
+/* 4964 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 4978
+/* 4970 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 4974 */    MCD_OPC_Decode, 214, 3, 70, // Opcode: SXTB
+/* 4978 */    MCD_OPC_CheckPredicate, 1, 186, 10, // Skip to: 7728
+/* 4982 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 4986 */    MCD_OPC_Decode, 211, 3, 71, // Opcode: SXTAB
+/* 4990 */    MCD_OPC_FilterValue, 1, 174, 10, // Skip to: 7728
+/* 4994 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 5012
+/* 4998 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 5012
+/* 5004 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 5008 */    MCD_OPC_Decode, 216, 3, 70, // Opcode: SXTH
+/* 5012 */    MCD_OPC_CheckPredicate, 1, 152, 10, // Skip to: 7728
+/* 5016 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 5020 */    MCD_OPC_Decode, 213, 3, 71, // Opcode: SXTAH
+/* 5024 */    MCD_OPC_FilterValue, 2, 140, 10, // Skip to: 7728
+/* 5028 */    MCD_OPC_CheckPredicate, 1, 136, 10, // Skip to: 7728
+/* 5032 */    MCD_OPC_CheckField, 16, 5, 31, 130, 10, // Skip to: 7728
+/* 5038 */    MCD_OPC_CheckField, 8, 4, 15, 124, 10, // Skip to: 7728
+/* 5044 */    MCD_OPC_Decode, 156, 2, 34, // Opcode: REV16
+/* 5048 */    MCD_OPC_FilterValue, 2, 26, 0, // Skip to: 5078
+/* 5052 */    MCD_OPC_CheckPredicate, 14, 112, 10, // Skip to: 7728
+/* 5056 */    MCD_OPC_CheckField, 20, 1, 1, 106, 10, // Skip to: 7728
+/* 5062 */    MCD_OPC_CheckField, 12, 4, 15, 100, 10, // Skip to: 7728
+/* 5068 */    MCD_OPC_CheckField, 5, 3, 0, 94, 10, // Skip to: 7728
+/* 5074 */    MCD_OPC_Decode, 237, 3, 29, // Opcode: UDIV
+/* 5078 */    MCD_OPC_FilterValue, 3, 86, 10, // Skip to: 7728
+/* 5082 */    MCD_OPC_CheckPredicate, 10, 82, 10, // Skip to: 7728
+/* 5086 */    MCD_OPC_CheckField, 5, 2, 2, 76, 10, // Skip to: 7728
+/* 5092 */    MCD_OPC_Decode, 188, 2, 76, // Opcode: SBFX
+/* 5096 */    MCD_OPC_FilterValue, 2, 67, 2, // Skip to: 5679
+/* 5100 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 5103 */    MCD_OPC_FilterValue, 0, 105, 0, // Skip to: 5212
+/* 5107 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5110 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5141
+/* 5114 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 5117 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5129
+/* 5121 */    MCD_OPC_CheckPredicate, 0, 43, 10, // Skip to: 7728
+/* 5125 */    MCD_OPC_Decode, 168, 3, 54, // Opcode: STRB_POST_REG
+/* 5129 */    MCD_OPC_FilterValue, 1, 35, 10, // Skip to: 7728
+/* 5133 */    MCD_OPC_CheckPredicate, 0, 31, 10, // Skip to: 7728
+/* 5137 */    MCD_OPC_Decode, 174, 3, 77, // Opcode: STRBrs
+/* 5141 */    MCD_OPC_FilterValue, 1, 23, 10, // Skip to: 7728
+/* 5145 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 5148 */    MCD_OPC_FilterValue, 0, 28, 0, // Skip to: 5180
+/* 5152 */    MCD_OPC_CheckPredicate, 11, 16, 0, // Skip to: 5172
+/* 5156 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 5172
+/* 5162 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5172
+/* 5168 */    MCD_OPC_Decode, 143, 2, 64, // Opcode: PLIrs
+/* 5172 */    MCD_OPC_CheckPredicate, 0, 248, 9, // Skip to: 7728
+/* 5176 */    MCD_OPC_Decode, 159, 1, 54, // Opcode: LDRB_POST_REG
+/* 5180 */    MCD_OPC_FilterValue, 1, 240, 9, // Skip to: 7728
+/* 5184 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 5204
+/* 5188 */    MCD_OPC_CheckField, 28, 4, 15, 10, 0, // Skip to: 5204
+/* 5194 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5204
+/* 5200 */    MCD_OPC_Decode, 141, 2, 64, // Opcode: PLDrs
+/* 5204 */    MCD_OPC_CheckPredicate, 0, 216, 9, // Skip to: 7728
+/* 5208 */    MCD_OPC_Decode, 163, 1, 77, // Opcode: LDRBrs
+/* 5212 */    MCD_OPC_FilterValue, 1, 208, 9, // Skip to: 7728
+/* 5216 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 5219 */    MCD_OPC_FilterValue, 0, 136, 0, // Skip to: 5359
+/* 5223 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 5226 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5277
+/* 5230 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5233 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5255
+/* 5237 */    MCD_OPC_CheckPredicate, 0, 183, 9, // Skip to: 7728
+/* 5241 */    MCD_OPC_CheckField, 20, 1, 1, 177, 9, // Skip to: 7728
+/* 5247 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5251 */    MCD_OPC_Decode, 232, 3, 65, // Opcode: UADD16
+/* 5255 */    MCD_OPC_FilterValue, 1, 165, 9, // Skip to: 7728
+/* 5259 */    MCD_OPC_CheckPredicate, 0, 161, 9, // Skip to: 7728
+/* 5263 */    MCD_OPC_CheckField, 20, 1, 1, 155, 9, // Skip to: 7728
+/* 5269 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5273 */    MCD_OPC_Decode, 233, 3, 65, // Opcode: UADD8
+/* 5277 */    MCD_OPC_FilterValue, 2, 54, 0, // Skip to: 5335
+/* 5281 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5284 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5302
+/* 5288 */    MCD_OPC_CheckPredicate, 1, 132, 9, // Skip to: 7728
+/* 5292 */    MCD_OPC_CheckField, 7, 1, 0, 126, 9, // Skip to: 7728
+/* 5298 */    MCD_OPC_Decode, 216, 2, 19, // Opcode: SMLALD
+/* 5302 */    MCD_OPC_FilterValue, 1, 118, 9, // Skip to: 7728
+/* 5306 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5309 */    MCD_OPC_FilterValue, 0, 111, 9, // Skip to: 7728
+/* 5313 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 5327
+/* 5317 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5327
+/* 5323 */    MCD_OPC_Decode, 233, 2, 29, // Opcode: SMMUL
+/* 5327 */    MCD_OPC_CheckPredicate, 1, 93, 9, // Skip to: 7728
+/* 5331 */    MCD_OPC_Decode, 229, 2, 39, // Opcode: SMMLA
+/* 5335 */    MCD_OPC_FilterValue, 3, 85, 9, // Skip to: 7728
+/* 5339 */    MCD_OPC_CheckPredicate, 10, 9, 0, // Skip to: 5352
+/* 5343 */    MCD_OPC_CheckField, 0, 4, 15, 3, 0, // Skip to: 5352
+/* 5349 */    MCD_OPC_Decode, 51, 78, // Opcode: BFC
+/* 5352 */    MCD_OPC_CheckPredicate, 10, 68, 9, // Skip to: 7728
+/* 5356 */    MCD_OPC_Decode, 52, 79, // Opcode: BFI
+/* 5359 */    MCD_OPC_FilterValue, 1, 89, 0, // Skip to: 5452
+/* 5363 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5366 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 5390
+/* 5370 */    MCD_OPC_CheckPredicate, 1, 50, 9, // Skip to: 7728
+/* 5374 */    MCD_OPC_CheckField, 23, 2, 2, 44, 9, // Skip to: 7728
+/* 5380 */    MCD_OPC_CheckField, 7, 1, 0, 38, 9, // Skip to: 7728
+/* 5386 */    MCD_OPC_Decode, 217, 2, 19, // Opcode: SMLALDX
+/* 5390 */    MCD_OPC_FilterValue, 1, 30, 9, // Skip to: 7728
+/* 5394 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 5397 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5419
+/* 5401 */    MCD_OPC_CheckPredicate, 0, 19, 9, // Skip to: 7728
+/* 5405 */    MCD_OPC_CheckField, 7, 1, 0, 13, 9, // Skip to: 7728
+/* 5411 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5415 */    MCD_OPC_Decode, 234, 3, 65, // Opcode: UASX
+/* 5419 */    MCD_OPC_FilterValue, 2, 1, 9, // Skip to: 7728
+/* 5423 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5426 */    MCD_OPC_FilterValue, 0, 250, 8, // Skip to: 7728
+/* 5430 */    MCD_OPC_CheckPredicate, 1, 10, 0, // Skip to: 5444
+/* 5434 */    MCD_OPC_CheckField, 12, 4, 15, 4, 0, // Skip to: 5444
+/* 5440 */    MCD_OPC_Decode, 234, 2, 29, // Opcode: SMMULR
+/* 5444 */    MCD_OPC_CheckPredicate, 1, 232, 8, // Skip to: 7728
+/* 5448 */    MCD_OPC_Decode, 230, 2, 39, // Opcode: SMMLAR
+/* 5452 */    MCD_OPC_FilterValue, 2, 74, 0, // Skip to: 5530
+/* 5456 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5459 */    MCD_OPC_FilterValue, 0, 43, 0, // Skip to: 5506
+/* 5463 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5466 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5484
+/* 5470 */    MCD_OPC_CheckPredicate, 1, 206, 8, // Skip to: 7728
+/* 5474 */    MCD_OPC_CheckField, 23, 2, 2, 200, 8, // Skip to: 7728
+/* 5480 */    MCD_OPC_Decode, 227, 2, 19, // Opcode: SMLSLD
+/* 5484 */    MCD_OPC_FilterValue, 1, 192, 8, // Skip to: 7728
+/* 5488 */    MCD_OPC_CheckPredicate, 0, 188, 8, // Skip to: 7728
+/* 5492 */    MCD_OPC_CheckField, 23, 2, 0, 182, 8, // Skip to: 7728
+/* 5498 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5502 */    MCD_OPC_Decode, 131, 4, 65, // Opcode: USAX
+/* 5506 */    MCD_OPC_FilterValue, 1, 170, 8, // Skip to: 7728
+/* 5510 */    MCD_OPC_CheckPredicate, 1, 166, 8, // Skip to: 7728
+/* 5514 */    MCD_OPC_CheckField, 23, 2, 2, 160, 8, // Skip to: 7728
+/* 5520 */    MCD_OPC_CheckField, 20, 1, 1, 154, 8, // Skip to: 7728
+/* 5526 */    MCD_OPC_Decode, 231, 2, 39, // Opcode: SMMLS
+/* 5530 */    MCD_OPC_FilterValue, 3, 146, 8, // Skip to: 7728
+/* 5534 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 5537 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5588
+/* 5541 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5544 */    MCD_OPC_FilterValue, 0, 18, 0, // Skip to: 5566
+/* 5548 */    MCD_OPC_CheckPredicate, 0, 128, 8, // Skip to: 7728
+/* 5552 */    MCD_OPC_CheckField, 20, 1, 1, 122, 8, // Skip to: 7728
+/* 5558 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5562 */    MCD_OPC_Decode, 132, 4, 65, // Opcode: USUB16
+/* 5566 */    MCD_OPC_FilterValue, 1, 110, 8, // Skip to: 7728
+/* 5570 */    MCD_OPC_CheckPredicate, 0, 106, 8, // Skip to: 7728
+/* 5574 */    MCD_OPC_CheckField, 20, 1, 1, 100, 8, // Skip to: 7728
+/* 5580 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5584 */    MCD_OPC_Decode, 133, 4, 65, // Opcode: USUB8
+/* 5588 */    MCD_OPC_FilterValue, 1, 44, 0, // Skip to: 5636
+/* 5592 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5595 */    MCD_OPC_FilterValue, 0, 81, 8, // Skip to: 7728
+/* 5599 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5602 */    MCD_OPC_FilterValue, 0, 74, 8, // Skip to: 7728
+/* 5606 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 5624
+/* 5610 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 5624
+/* 5616 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 5620 */    MCD_OPC_Decode, 138, 4, 70, // Opcode: UXTB16
+/* 5624 */    MCD_OPC_CheckPredicate, 1, 52, 8, // Skip to: 7728
+/* 5628 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 5632 */    MCD_OPC_Decode, 135, 4, 71, // Opcode: UXTAB16
+/* 5636 */    MCD_OPC_FilterValue, 2, 40, 8, // Skip to: 7728
+/* 5640 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 5643 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5661
+/* 5647 */    MCD_OPC_CheckPredicate, 1, 29, 8, // Skip to: 7728
+/* 5651 */    MCD_OPC_CheckField, 20, 1, 0, 23, 8, // Skip to: 7728
+/* 5657 */    MCD_OPC_Decode, 228, 2, 19, // Opcode: SMLSLDX
+/* 5661 */    MCD_OPC_FilterValue, 1, 15, 8, // Skip to: 7728
+/* 5665 */    MCD_OPC_CheckPredicate, 1, 11, 8, // Skip to: 7728
+/* 5669 */    MCD_OPC_CheckField, 20, 1, 1, 5, 8, // Skip to: 7728
+/* 5675 */    MCD_OPC_Decode, 232, 2, 39, // Opcode: SMMLSR
+/* 5679 */    MCD_OPC_FilterValue, 3, 253, 7, // Skip to: 7728
+/* 5683 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 5686 */    MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 5755
+/* 5690 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5693 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5724
+/* 5697 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 5700 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5712
+/* 5704 */    MCD_OPC_CheckPredicate, 0, 228, 7, // Skip to: 7728
+/* 5708 */    MCD_OPC_Decode, 166, 3, 54, // Opcode: STRBT_POST_REG
+/* 5712 */    MCD_OPC_FilterValue, 1, 220, 7, // Skip to: 7728
+/* 5716 */    MCD_OPC_CheckPredicate, 0, 216, 7, // Skip to: 7728
+/* 5720 */    MCD_OPC_Decode, 170, 3, 72, // Opcode: STRB_PRE_REG
+/* 5724 */    MCD_OPC_FilterValue, 1, 208, 7, // Skip to: 7728
+/* 5728 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 5731 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5743
+/* 5735 */    MCD_OPC_CheckPredicate, 0, 197, 7, // Skip to: 7728
+/* 5739 */    MCD_OPC_Decode, 157, 1, 54, // Opcode: LDRBT_POST_REG
+/* 5743 */    MCD_OPC_FilterValue, 1, 189, 7, // Skip to: 7728
+/* 5747 */    MCD_OPC_CheckPredicate, 0, 185, 7, // Skip to: 7728
+/* 5751 */    MCD_OPC_Decode, 161, 1, 73, // Opcode: LDRB_PRE_REG
+/* 5755 */    MCD_OPC_FilterValue, 1, 177, 7, // Skip to: 7728
+/* 5759 */    MCD_OPC_ExtractField, 23, 2,  // Inst{24-23} ...
+/* 5762 */    MCD_OPC_FilterValue, 0, 237, 0, // Skip to: 6003
+/* 5766 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
+/* 5769 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 5808
+/* 5773 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5776 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5792
+/* 5780 */    MCD_OPC_CheckPredicate, 0, 152, 7, // Skip to: 7728
+/* 5784 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5788 */    MCD_OPC_Decode, 249, 3, 65, // Opcode: UQADD16
+/* 5792 */    MCD_OPC_FilterValue, 1, 140, 7, // Skip to: 7728
+/* 5796 */    MCD_OPC_CheckPredicate, 0, 136, 7, // Skip to: 7728
+/* 5800 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5804 */    MCD_OPC_Decode, 238, 3, 65, // Opcode: UHADD16
+/* 5808 */    MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 5847
+/* 5812 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5815 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5831
+/* 5819 */    MCD_OPC_CheckPredicate, 0, 113, 7, // Skip to: 7728
+/* 5823 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5827 */    MCD_OPC_Decode, 251, 3, 65, // Opcode: UQASX
+/* 5831 */    MCD_OPC_FilterValue, 1, 101, 7, // Skip to: 7728
+/* 5835 */    MCD_OPC_CheckPredicate, 0, 97, 7, // Skip to: 7728
+/* 5839 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5843 */    MCD_OPC_Decode, 240, 3, 65, // Opcode: UHASX
+/* 5847 */    MCD_OPC_FilterValue, 2, 35, 0, // Skip to: 5886
+/* 5851 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5854 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5870
+/* 5858 */    MCD_OPC_CheckPredicate, 0, 74, 7, // Skip to: 7728
+/* 5862 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5866 */    MCD_OPC_Decode, 252, 3, 65, // Opcode: UQSAX
+/* 5870 */    MCD_OPC_FilterValue, 1, 62, 7, // Skip to: 7728
+/* 5874 */    MCD_OPC_CheckPredicate, 0, 58, 7, // Skip to: 7728
+/* 5878 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5882 */    MCD_OPC_Decode, 241, 3, 65, // Opcode: UHSAX
+/* 5886 */    MCD_OPC_FilterValue, 3, 35, 0, // Skip to: 5925
+/* 5890 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5893 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5909
+/* 5897 */    MCD_OPC_CheckPredicate, 0, 35, 7, // Skip to: 7728
+/* 5901 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5905 */    MCD_OPC_Decode, 253, 3, 65, // Opcode: UQSUB16
+/* 5909 */    MCD_OPC_FilterValue, 1, 23, 7, // Skip to: 7728
+/* 5913 */    MCD_OPC_CheckPredicate, 0, 19, 7, // Skip to: 7728
+/* 5917 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5921 */    MCD_OPC_Decode, 242, 3, 65, // Opcode: UHSUB16
+/* 5925 */    MCD_OPC_FilterValue, 4, 35, 0, // Skip to: 5964
+/* 5929 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5932 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5948
+/* 5936 */    MCD_OPC_CheckPredicate, 0, 252, 6, // Skip to: 7728
+/* 5940 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5944 */    MCD_OPC_Decode, 250, 3, 65, // Opcode: UQADD8
+/* 5948 */    MCD_OPC_FilterValue, 1, 240, 6, // Skip to: 7728
+/* 5952 */    MCD_OPC_CheckPredicate, 0, 236, 6, // Skip to: 7728
+/* 5956 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5960 */    MCD_OPC_Decode, 239, 3, 65, // Opcode: UHADD8
+/* 5964 */    MCD_OPC_FilterValue, 7, 224, 6, // Skip to: 7728
+/* 5968 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5971 */    MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 5987
+/* 5975 */    MCD_OPC_CheckPredicate, 0, 213, 6, // Skip to: 7728
+/* 5979 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5983 */    MCD_OPC_Decode, 254, 3, 65, // Opcode: UQSUB8
+/* 5987 */    MCD_OPC_FilterValue, 1, 201, 6, // Skip to: 7728
+/* 5991 */    MCD_OPC_CheckPredicate, 0, 197, 6, // Skip to: 7728
+/* 5995 */    MCD_OPC_SoftFail, 0, 128, 30 /* 0xF00 */,
+/* 5999 */    MCD_OPC_Decode, 243, 3, 65, // Opcode: UHSUB8
+/* 6003 */    MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 6177
+/* 6007 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 6010 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6022
+/* 6014 */    MCD_OPC_CheckPredicate, 0, 174, 6, // Skip to: 7728
+/* 6018 */    MCD_OPC_Decode, 129, 4, 74, // Opcode: USAT
+/* 6022 */    MCD_OPC_FilterValue, 1, 166, 6, // Skip to: 7728
+/* 6026 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6029 */    MCD_OPC_FilterValue, 0, 45, 0, // Skip to: 6078
+/* 6033 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 6036 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6054
+/* 6040 */    MCD_OPC_CheckPredicate, 0, 148, 6, // Skip to: 7728
+/* 6044 */    MCD_OPC_CheckField, 8, 4, 15, 142, 6, // Skip to: 7728
+/* 6050 */    MCD_OPC_Decode, 130, 4, 75, // Opcode: USAT16
+/* 6054 */    MCD_OPC_FilterValue, 1, 134, 6, // Skip to: 7728
+/* 6058 */    MCD_OPC_CheckPredicate, 10, 130, 6, // Skip to: 7728
+/* 6062 */    MCD_OPC_CheckField, 16, 4, 15, 124, 6, // Skip to: 7728
+/* 6068 */    MCD_OPC_CheckField, 8, 4, 15, 118, 6, // Skip to: 7728
+/* 6074 */    MCD_OPC_Decode, 154, 2, 34, // Opcode: RBIT
+/* 6078 */    MCD_OPC_FilterValue, 1, 71, 0, // Skip to: 6153
+/* 6082 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 6085 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 6119
+/* 6089 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 6107
+/* 6093 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 6107
+/* 6099 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 6103 */    MCD_OPC_Decode, 137, 4, 70, // Opcode: UXTB
+/* 6107 */    MCD_OPC_CheckPredicate, 1, 81, 6, // Skip to: 7728
+/* 6111 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 6115 */    MCD_OPC_Decode, 134, 4, 71, // Opcode: UXTAB
+/* 6119 */    MCD_OPC_FilterValue, 1, 69, 6, // Skip to: 7728
+/* 6123 */    MCD_OPC_CheckPredicate, 1, 14, 0, // Skip to: 6141
+/* 6127 */    MCD_OPC_CheckField, 16, 4, 15, 8, 0, // Skip to: 6141
+/* 6133 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 6137 */    MCD_OPC_Decode, 139, 4, 70, // Opcode: UXTH
+/* 6141 */    MCD_OPC_CheckPredicate, 1, 47, 6, // Skip to: 7728
+/* 6145 */    MCD_OPC_SoftFail, 128, 6 /* 0x300 */, 0,
+/* 6149 */    MCD_OPC_Decode, 136, 4, 71, // Opcode: UXTAH
+/* 6153 */    MCD_OPC_FilterValue, 2, 35, 6, // Skip to: 7728
+/* 6157 */    MCD_OPC_CheckPredicate, 1, 31, 6, // Skip to: 7728
+/* 6161 */    MCD_OPC_CheckField, 16, 5, 31, 25, 6, // Skip to: 7728
+/* 6167 */    MCD_OPC_CheckField, 8, 4, 15, 19, 6, // Skip to: 7728
+/* 6173 */    MCD_OPC_Decode, 157, 2, 34, // Opcode: REVSH
+/* 6177 */    MCD_OPC_FilterValue, 3, 11, 6, // Skip to: 7728
+/* 6181 */    MCD_OPC_ExtractField, 5, 2,  // Inst{6-5} ...
+/* 6184 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6196
+/* 6188 */    MCD_OPC_CheckPredicate, 10, 0, 6, // Skip to: 7728
+/* 6192 */    MCD_OPC_Decode, 235, 3, 76, // Opcode: UBFX
+/* 6196 */    MCD_OPC_FilterValue, 3, 248, 5, // Skip to: 7728
+/* 6200 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 6203 */    MCD_OPC_FilterValue, 1, 241, 5, // Skip to: 7728
+/* 6207 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 6210 */    MCD_OPC_FilterValue, 1, 234, 5, // Skip to: 7728
+/* 6214 */    MCD_OPC_ExtractField, 28, 4,  // Inst{31-28} ...
+/* 6217 */    MCD_OPC_FilterValue, 14, 227, 5, // Skip to: 7728
+/* 6221 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
+/* 6224 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 6243
+/* 6228 */    MCD_OPC_CheckPredicate, 15, 30, 0, // Skip to: 6262
+/* 6232 */    MCD_OPC_CheckField, 8, 12, 222, 29, 23, 0, // Skip to: 6262
+/* 6239 */    MCD_OPC_Decode, 227, 3, 60, // Opcode: TRAPNaCl
+/* 6243 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 6262
+/* 6247 */    MCD_OPC_CheckPredicate, 0, 11, 0, // Skip to: 6262
+/* 6251 */    MCD_OPC_CheckField, 8, 12, 222, 31, 4, 0, // Skip to: 6262
+/* 6258 */    MCD_OPC_Decode, 226, 3, 60, // Opcode: TRAP
+/* 6262 */    MCD_OPC_CheckPredicate, 0, 182, 5, // Skip to: 7728
+/* 6266 */    MCD_OPC_Decode, 236, 3, 15, // Opcode: UDF
+/* 6270 */    MCD_OPC_FilterValue, 4, 219, 2, // Skip to: 7005
+/* 6274 */    MCD_OPC_ExtractField, 20, 5,  // Inst{24-20} ...
+/* 6277 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6289
+/* 6281 */    MCD_OPC_CheckPredicate, 0, 163, 5, // Skip to: 7728
+/* 6285 */    MCD_OPC_Decode, 156, 3, 80, // Opcode: STMDA
+/* 6289 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 6322
+/* 6293 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6314
+/* 6297 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6314
+/* 6303 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6314
+/* 6310 */    MCD_OPC_Decode, 158, 2, 81, // Opcode: RFEDA
+/* 6314 */    MCD_OPC_CheckPredicate, 0, 130, 5, // Skip to: 7728
+/* 6318 */    MCD_OPC_Decode, 146, 1, 80, // Opcode: LDMDA
+/* 6322 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6334
+/* 6326 */    MCD_OPC_CheckPredicate, 0, 118, 5, // Skip to: 7728
+/* 6330 */    MCD_OPC_Decode, 157, 3, 82, // Opcode: STMDA_UPD
+/* 6334 */    MCD_OPC_FilterValue, 3, 29, 0, // Skip to: 6367
+/* 6338 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6359
+/* 6342 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6359
+/* 6348 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6359
+/* 6355 */    MCD_OPC_Decode, 159, 2, 81, // Opcode: RFEDA_UPD
+/* 6359 */    MCD_OPC_CheckPredicate, 0, 85, 5, // Skip to: 7728
+/* 6363 */    MCD_OPC_Decode, 147, 1, 82, // Opcode: LDMDA_UPD
+/* 6367 */    MCD_OPC_FilterValue, 4, 30, 0, // Skip to: 6401
+/* 6371 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6393
+/* 6375 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6393
+/* 6381 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6393
+/* 6389 */    MCD_OPC_Decode, 248, 2, 83, // Opcode: SRSDA
+/* 6393 */    MCD_OPC_CheckPredicate, 0, 51, 5, // Skip to: 7728
+/* 6397 */    MCD_OPC_Decode, 234, 17, 80, // Opcode: sysSTMDA
+/* 6401 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 6413
+/* 6405 */    MCD_OPC_CheckPredicate, 0, 39, 5, // Skip to: 7728
+/* 6409 */    MCD_OPC_Decode, 226, 17, 80, // Opcode: sysLDMDA
+/* 6413 */    MCD_OPC_FilterValue, 6, 30, 0, // Skip to: 6447
+/* 6417 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6439
+/* 6421 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6439
+/* 6427 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6439
+/* 6435 */    MCD_OPC_Decode, 249, 2, 83, // Opcode: SRSDA_UPD
+/* 6439 */    MCD_OPC_CheckPredicate, 0, 5, 5, // Skip to: 7728
+/* 6443 */    MCD_OPC_Decode, 235, 17, 82, // Opcode: sysSTMDA_UPD
+/* 6447 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 6459
+/* 6451 */    MCD_OPC_CheckPredicate, 0, 249, 4, // Skip to: 7728
+/* 6455 */    MCD_OPC_Decode, 227, 17, 82, // Opcode: sysLDMDA_UPD
+/* 6459 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 6471
+/* 6463 */    MCD_OPC_CheckPredicate, 0, 237, 4, // Skip to: 7728
+/* 6467 */    MCD_OPC_Decode, 160, 3, 80, // Opcode: STMIA
+/* 6471 */    MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 6504
+/* 6475 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6496
+/* 6479 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6496
+/* 6485 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6496
+/* 6492 */    MCD_OPC_Decode, 162, 2, 81, // Opcode: RFEIA
+/* 6496 */    MCD_OPC_CheckPredicate, 0, 204, 4, // Skip to: 7728
+/* 6500 */    MCD_OPC_Decode, 150, 1, 80, // Opcode: LDMIA
+/* 6504 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 6516
+/* 6508 */    MCD_OPC_CheckPredicate, 0, 192, 4, // Skip to: 7728
+/* 6512 */    MCD_OPC_Decode, 161, 3, 82, // Opcode: STMIA_UPD
+/* 6516 */    MCD_OPC_FilterValue, 11, 29, 0, // Skip to: 6549
+/* 6520 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6541
+/* 6524 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6541
+/* 6530 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6541
+/* 6537 */    MCD_OPC_Decode, 163, 2, 81, // Opcode: RFEIA_UPD
+/* 6541 */    MCD_OPC_CheckPredicate, 0, 159, 4, // Skip to: 7728
+/* 6545 */    MCD_OPC_Decode, 152, 1, 82, // Opcode: LDMIA_UPD
+/* 6549 */    MCD_OPC_FilterValue, 12, 30, 0, // Skip to: 6583
+/* 6553 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6575
+/* 6557 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6575
+/* 6563 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6575
+/* 6571 */    MCD_OPC_Decode, 252, 2, 83, // Opcode: SRSIA
+/* 6575 */    MCD_OPC_CheckPredicate, 0, 125, 4, // Skip to: 7728
+/* 6579 */    MCD_OPC_Decode, 238, 17, 80, // Opcode: sysSTMIA
+/* 6583 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 6595
+/* 6587 */    MCD_OPC_CheckPredicate, 0, 113, 4, // Skip to: 7728
+/* 6591 */    MCD_OPC_Decode, 230, 17, 80, // Opcode: sysLDMIA
+/* 6595 */    MCD_OPC_FilterValue, 14, 30, 0, // Skip to: 6629
+/* 6599 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6621
+/* 6603 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6621
+/* 6609 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6621
+/* 6617 */    MCD_OPC_Decode, 253, 2, 83, // Opcode: SRSIA_UPD
+/* 6621 */    MCD_OPC_CheckPredicate, 0, 79, 4, // Skip to: 7728
+/* 6625 */    MCD_OPC_Decode, 239, 17, 82, // Opcode: sysSTMIA_UPD
+/* 6629 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 6641
+/* 6633 */    MCD_OPC_CheckPredicate, 0, 67, 4, // Skip to: 7728
+/* 6637 */    MCD_OPC_Decode, 231, 17, 82, // Opcode: sysLDMIA_UPD
+/* 6641 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 6653
+/* 6645 */    MCD_OPC_CheckPredicate, 0, 55, 4, // Skip to: 7728
+/* 6649 */    MCD_OPC_Decode, 158, 3, 80, // Opcode: STMDB
+/* 6653 */    MCD_OPC_FilterValue, 17, 29, 0, // Skip to: 6686
+/* 6657 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6678
+/* 6661 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6678
+/* 6667 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6678
+/* 6674 */    MCD_OPC_Decode, 160, 2, 81, // Opcode: RFEDB
+/* 6678 */    MCD_OPC_CheckPredicate, 0, 22, 4, // Skip to: 7728
+/* 6682 */    MCD_OPC_Decode, 148, 1, 80, // Opcode: LDMDB
+/* 6686 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 6698
+/* 6690 */    MCD_OPC_CheckPredicate, 0, 10, 4, // Skip to: 7728
+/* 6694 */    MCD_OPC_Decode, 159, 3, 82, // Opcode: STMDB_UPD
+/* 6698 */    MCD_OPC_FilterValue, 19, 29, 0, // Skip to: 6731
+/* 6702 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6723
+/* 6706 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6723
+/* 6712 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6723
+/* 6719 */    MCD_OPC_Decode, 161, 2, 81, // Opcode: RFEDB_UPD
+/* 6723 */    MCD_OPC_CheckPredicate, 0, 233, 3, // Skip to: 7728
+/* 6727 */    MCD_OPC_Decode, 149, 1, 82, // Opcode: LDMDB_UPD
+/* 6731 */    MCD_OPC_FilterValue, 20, 30, 0, // Skip to: 6765
+/* 6735 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6757
+/* 6739 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6757
+/* 6745 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6757
+/* 6753 */    MCD_OPC_Decode, 250, 2, 83, // Opcode: SRSDB
+/* 6757 */    MCD_OPC_CheckPredicate, 0, 199, 3, // Skip to: 7728
+/* 6761 */    MCD_OPC_Decode, 236, 17, 80, // Opcode: sysSTMDB
+/* 6765 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 6777
+/* 6769 */    MCD_OPC_CheckPredicate, 0, 187, 3, // Skip to: 7728
+/* 6773 */    MCD_OPC_Decode, 228, 17, 80, // Opcode: sysLDMDB
+/* 6777 */    MCD_OPC_FilterValue, 22, 30, 0, // Skip to: 6811
+/* 6781 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6803
+/* 6785 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6803
+/* 6791 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6803
+/* 6799 */    MCD_OPC_Decode, 251, 2, 83, // Opcode: SRSDB_UPD
+/* 6803 */    MCD_OPC_CheckPredicate, 0, 153, 3, // Skip to: 7728
+/* 6807 */    MCD_OPC_Decode, 237, 17, 82, // Opcode: sysSTMDB_UPD
+/* 6811 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 6823
+/* 6815 */    MCD_OPC_CheckPredicate, 0, 141, 3, // Skip to: 7728
+/* 6819 */    MCD_OPC_Decode, 229, 17, 82, // Opcode: sysLDMDB_UPD
+/* 6823 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 6835
+/* 6827 */    MCD_OPC_CheckPredicate, 0, 129, 3, // Skip to: 7728
+/* 6831 */    MCD_OPC_Decode, 162, 3, 80, // Opcode: STMIB
+/* 6835 */    MCD_OPC_FilterValue, 25, 29, 0, // Skip to: 6868
+/* 6839 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6860
+/* 6843 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6860
+/* 6849 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6860
+/* 6856 */    MCD_OPC_Decode, 164, 2, 81, // Opcode: RFEIB
+/* 6860 */    MCD_OPC_CheckPredicate, 0, 96, 3, // Skip to: 7728
+/* 6864 */    MCD_OPC_Decode, 153, 1, 80, // Opcode: LDMIB
+/* 6868 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 6880
+/* 6872 */    MCD_OPC_CheckPredicate, 0, 84, 3, // Skip to: 7728
+/* 6876 */    MCD_OPC_Decode, 163, 3, 82, // Opcode: STMIB_UPD
+/* 6880 */    MCD_OPC_FilterValue, 27, 29, 0, // Skip to: 6913
+/* 6884 */    MCD_OPC_CheckPredicate, 0, 17, 0, // Skip to: 6905
+/* 6888 */    MCD_OPC_CheckField, 28, 4, 15, 11, 0, // Skip to: 6905
+/* 6894 */    MCD_OPC_CheckField, 0, 16, 128, 20, 4, 0, // Skip to: 6905
+/* 6901 */    MCD_OPC_Decode, 165, 2, 81, // Opcode: RFEIB_UPD
+/* 6905 */    MCD_OPC_CheckPredicate, 0, 51, 3, // Skip to: 7728
+/* 6909 */    MCD_OPC_Decode, 154, 1, 82, // Opcode: LDMIB_UPD
+/* 6913 */    MCD_OPC_FilterValue, 28, 30, 0, // Skip to: 6947
+/* 6917 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6939
+/* 6921 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6939
+/* 6927 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6939
+/* 6935 */    MCD_OPC_Decode, 254, 2, 83, // Opcode: SRSIB
+/* 6939 */    MCD_OPC_CheckPredicate, 0, 17, 3, // Skip to: 7728
+/* 6943 */    MCD_OPC_Decode, 240, 17, 80, // Opcode: sysSTMIB
+/* 6947 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 6959
+/* 6951 */    MCD_OPC_CheckPredicate, 0, 5, 3, // Skip to: 7728
+/* 6955 */    MCD_OPC_Decode, 232, 17, 80, // Opcode: sysLDMIB
+/* 6959 */    MCD_OPC_FilterValue, 30, 30, 0, // Skip to: 6993
+/* 6963 */    MCD_OPC_CheckPredicate, 0, 18, 0, // Skip to: 6985
+/* 6967 */    MCD_OPC_CheckField, 28, 4, 15, 12, 0, // Skip to: 6985
+/* 6973 */    MCD_OPC_CheckField, 5, 15, 168, 208, 1, 4, 0, // Skip to: 6985
+/* 6981 */    MCD_OPC_Decode, 255, 2, 83, // Opcode: SRSIB_UPD
+/* 6985 */    MCD_OPC_CheckPredicate, 0, 227, 2, // Skip to: 7728
+/* 6989 */    MCD_OPC_Decode, 241, 17, 82, // Opcode: sysSTMIB_UPD
+/* 6993 */    MCD_OPC_FilterValue, 31, 219, 2, // Skip to: 7728
+/* 6997 */    MCD_OPC_CheckPredicate, 0, 215, 2, // Skip to: 7728
+/* 7001 */    MCD_OPC_Decode, 233, 17, 82, // Opcode: sysLDMIB_UPD
+/* 7005 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 7060
+/* 7009 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7012 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 7023
+/* 7016 */    MCD_OPC_CheckPredicate, 0, 27, 0, // Skip to: 7047
+/* 7020 */    MCD_OPC_Decode, 73, 84, // Opcode: Bcc
+/* 7023 */    MCD_OPC_FilterValue, 1, 20, 0, // Skip to: 7047
+/* 7027 */    MCD_OPC_CheckPredicate, 0, 9, 0, // Skip to: 7040
+/* 7031 */    MCD_OPC_CheckField, 28, 4, 14, 3, 0, // Skip to: 7040
+/* 7037 */    MCD_OPC_Decode, 58, 84, // Opcode: BL
+/* 7040 */    MCD_OPC_CheckPredicate, 0, 3, 0, // Skip to: 7047
+/* 7044 */    MCD_OPC_Decode, 62, 84, // Opcode: BL_pred
+/* 7047 */    MCD_OPC_CheckPredicate, 8, 165, 2, // Skip to: 7728
+/* 7051 */    MCD_OPC_CheckField, 28, 4, 15, 159, 2, // Skip to: 7728
+/* 7057 */    MCD_OPC_Decode, 61, 85, // Opcode: BLXi
+/* 7060 */    MCD_OPC_FilterValue, 6, 43, 2, // Skip to: 7619
+/* 7064 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 7067 */    MCD_OPC_FilterValue, 0, 62, 0, // Skip to: 7133
+/* 7071 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7074 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 7107
+/* 7078 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 7081 */    MCD_OPC_FilterValue, 1, 131, 2, // Skip to: 7728
+/* 7085 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7099
+/* 7089 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7099
+/* 7095 */    MCD_OPC_Decode, 138, 3, 86, // Opcode: STC2_OPTION
+/* 7099 */    MCD_OPC_CheckPredicate, 0, 113, 2, // Skip to: 7728
+/* 7103 */    MCD_OPC_Decode, 146, 3, 86, // Opcode: STC_OPTION
+/* 7107 */    MCD_OPC_FilterValue, 1, 105, 2, // Skip to: 7728
+/* 7111 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7125
+/* 7115 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7125
+/* 7121 */    MCD_OPC_Decode, 137, 3, 86, // Opcode: STC2_OFFSET
+/* 7125 */    MCD_OPC_CheckPredicate, 0, 87, 2, // Skip to: 7728
+/* 7129 */    MCD_OPC_Decode, 145, 3, 86, // Opcode: STC_OFFSET
+/* 7133 */    MCD_OPC_FilterValue, 1, 62, 0, // Skip to: 7199
+/* 7137 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7140 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 7173
+/* 7144 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 7147 */    MCD_OPC_FilterValue, 1, 65, 2, // Skip to: 7728
+/* 7151 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7165
+/* 7155 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7165
+/* 7161 */    MCD_OPC_Decode, 135, 1, 86, // Opcode: LDC2_OPTION
+/* 7165 */    MCD_OPC_CheckPredicate, 0, 47, 2, // Skip to: 7728
+/* 7169 */    MCD_OPC_Decode, 143, 1, 86, // Opcode: LDC_OPTION
+/* 7173 */    MCD_OPC_FilterValue, 1, 39, 2, // Skip to: 7728
+/* 7177 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7191
+/* 7181 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7191
+/* 7187 */    MCD_OPC_Decode, 134, 1, 86, // Opcode: LDC2_OFFSET
+/* 7191 */    MCD_OPC_CheckPredicate, 0, 21, 2, // Skip to: 7728
+/* 7195 */    MCD_OPC_Decode, 142, 1, 86, // Opcode: LDC_OFFSET
+/* 7199 */    MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 7258
+/* 7203 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7206 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7232
+/* 7210 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7224
+/* 7214 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7224
+/* 7220 */    MCD_OPC_Decode, 139, 3, 86, // Opcode: STC2_POST
+/* 7224 */    MCD_OPC_CheckPredicate, 0, 244, 1, // Skip to: 7728
+/* 7228 */    MCD_OPC_Decode, 147, 3, 86, // Opcode: STC_POST
+/* 7232 */    MCD_OPC_FilterValue, 1, 236, 1, // Skip to: 7728
+/* 7236 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7250
+/* 7240 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7250
+/* 7246 */    MCD_OPC_Decode, 140, 3, 86, // Opcode: STC2_PRE
+/* 7250 */    MCD_OPC_CheckPredicate, 0, 218, 1, // Skip to: 7728
+/* 7254 */    MCD_OPC_Decode, 148, 3, 86, // Opcode: STC_PRE
+/* 7258 */    MCD_OPC_FilterValue, 3, 55, 0, // Skip to: 7317
+/* 7262 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7265 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7291
+/* 7269 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7283
+/* 7273 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7283
+/* 7279 */    MCD_OPC_Decode, 136, 1, 86, // Opcode: LDC2_POST
+/* 7283 */    MCD_OPC_CheckPredicate, 0, 185, 1, // Skip to: 7728
+/* 7287 */    MCD_OPC_Decode, 144, 1, 86, // Opcode: LDC_POST
+/* 7291 */    MCD_OPC_FilterValue, 1, 177, 1, // Skip to: 7728
+/* 7295 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7309
+/* 7299 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7309
+/* 7305 */    MCD_OPC_Decode, 137, 1, 86, // Opcode: LDC2_PRE
+/* 7309 */    MCD_OPC_CheckPredicate, 0, 159, 1, // Skip to: 7728
+/* 7313 */    MCD_OPC_Decode, 145, 1, 86, // Opcode: LDC_PRE
+/* 7317 */    MCD_OPC_FilterValue, 4, 88, 0, // Skip to: 7409
+/* 7321 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7324 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7383
+/* 7328 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 7331 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7357
+/* 7335 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7349
+/* 7339 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7349
+/* 7345 */    MCD_OPC_Decode, 208, 1, 87, // Opcode: MCRR2
+/* 7349 */    MCD_OPC_CheckPredicate, 0, 119, 1, // Skip to: 7728
+/* 7353 */    MCD_OPC_Decode, 207, 1, 88, // Opcode: MCRR
+/* 7357 */    MCD_OPC_FilterValue, 1, 111, 1, // Skip to: 7728
+/* 7361 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7375
+/* 7365 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7375
+/* 7371 */    MCD_OPC_Decode, 134, 3, 86, // Opcode: STC2L_OPTION
+/* 7375 */    MCD_OPC_CheckPredicate, 0, 93, 1, // Skip to: 7728
+/* 7379 */    MCD_OPC_Decode, 142, 3, 86, // Opcode: STCL_OPTION
+/* 7383 */    MCD_OPC_FilterValue, 1, 85, 1, // Skip to: 7728
+/* 7387 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7401
+/* 7391 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7401
+/* 7397 */    MCD_OPC_Decode, 133, 3, 86, // Opcode: STC2L_OFFSET
+/* 7401 */    MCD_OPC_CheckPredicate, 0, 67, 1, // Skip to: 7728
+/* 7405 */    MCD_OPC_Decode, 141, 3, 86, // Opcode: STCL_OFFSET
+/* 7409 */    MCD_OPC_FilterValue, 5, 88, 0, // Skip to: 7501
+/* 7413 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7416 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7475
+/* 7420 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 7423 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7449
+/* 7427 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7441
+/* 7431 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7441
+/* 7437 */    MCD_OPC_Decode, 237, 1, 87, // Opcode: MRRC2
+/* 7441 */    MCD_OPC_CheckPredicate, 0, 27, 1, // Skip to: 7728
+/* 7445 */    MCD_OPC_Decode, 236, 1, 88, // Opcode: MRRC
+/* 7449 */    MCD_OPC_FilterValue, 1, 19, 1, // Skip to: 7728
+/* 7453 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7467
+/* 7457 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7467
+/* 7463 */    MCD_OPC_Decode, 131, 1, 86, // Opcode: LDC2L_OPTION
+/* 7467 */    MCD_OPC_CheckPredicate, 0, 1, 1, // Skip to: 7728
+/* 7471 */    MCD_OPC_Decode, 139, 1, 86, // Opcode: LDCL_OPTION
+/* 7475 */    MCD_OPC_FilterValue, 1, 249, 0, // Skip to: 7728
+/* 7479 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7493
+/* 7483 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7493
+/* 7489 */    MCD_OPC_Decode, 130, 1, 86, // Opcode: LDC2L_OFFSET
+/* 7493 */    MCD_OPC_CheckPredicate, 0, 231, 0, // Skip to: 7728
+/* 7497 */    MCD_OPC_Decode, 138, 1, 86, // Opcode: LDCL_OFFSET
+/* 7501 */    MCD_OPC_FilterValue, 6, 55, 0, // Skip to: 7560
+/* 7505 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7508 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7534
+/* 7512 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7526
+/* 7516 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7526
+/* 7522 */    MCD_OPC_Decode, 135, 3, 86, // Opcode: STC2L_POST
+/* 7526 */    MCD_OPC_CheckPredicate, 0, 198, 0, // Skip to: 7728
+/* 7530 */    MCD_OPC_Decode, 143, 3, 86, // Opcode: STCL_POST
+/* 7534 */    MCD_OPC_FilterValue, 1, 190, 0, // Skip to: 7728
+/* 7538 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7552
+/* 7542 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7552
+/* 7548 */    MCD_OPC_Decode, 136, 3, 86, // Opcode: STC2L_PRE
+/* 7552 */    MCD_OPC_CheckPredicate, 0, 172, 0, // Skip to: 7728
+/* 7556 */    MCD_OPC_Decode, 144, 3, 86, // Opcode: STCL_PRE
+/* 7560 */    MCD_OPC_FilterValue, 7, 164, 0, // Skip to: 7728
+/* 7564 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7567 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7593
+/* 7571 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7585
+/* 7575 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7585
+/* 7581 */    MCD_OPC_Decode, 132, 1, 86, // Opcode: LDC2L_POST
+/* 7585 */    MCD_OPC_CheckPredicate, 0, 139, 0, // Skip to: 7728
+/* 7589 */    MCD_OPC_Decode, 140, 1, 86, // Opcode: LDCL_POST
+/* 7593 */    MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 7728
+/* 7597 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7611
+/* 7601 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7611
+/* 7607 */    MCD_OPC_Decode, 133, 1, 86, // Opcode: LDC2L_PRE
+/* 7611 */    MCD_OPC_CheckPredicate, 0, 113, 0, // Skip to: 7728
+/* 7615 */    MCD_OPC_Decode, 141, 1, 86, // Opcode: LDCL_PRE
+/* 7619 */    MCD_OPC_FilterValue, 7, 105, 0, // Skip to: 7728
+/* 7623 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 7626 */    MCD_OPC_FilterValue, 0, 86, 0, // Skip to: 7716
+/* 7630 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 7633 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 7657
+/* 7637 */    MCD_OPC_CheckPredicate, 4, 9, 0, // Skip to: 7650
+/* 7641 */    MCD_OPC_CheckField, 28, 4, 15, 3, 0, // Skip to: 7650
+/* 7647 */    MCD_OPC_Decode, 75, 89, // Opcode: CDP2
+/* 7650 */    MCD_OPC_CheckPredicate, 4, 74, 0, // Skip to: 7728
+/* 7654 */    MCD_OPC_Decode, 74, 90, // Opcode: CDP
+/* 7657 */    MCD_OPC_FilterValue, 1, 67, 0, // Skip to: 7728
+/* 7661 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 7664 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 7690
+/* 7668 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7682
+/* 7672 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7682
+/* 7678 */    MCD_OPC_Decode, 206, 1, 91, // Opcode: MCR2
+/* 7682 */    MCD_OPC_CheckPredicate, 0, 42, 0, // Skip to: 7728
+/* 7686 */    MCD_OPC_Decode, 205, 1, 92, // Opcode: MCR
+/* 7690 */    MCD_OPC_FilterValue, 1, 34, 0, // Skip to: 7728
+/* 7694 */    MCD_OPC_CheckPredicate, 4, 10, 0, // Skip to: 7708
+/* 7698 */    MCD_OPC_CheckField, 28, 4, 15, 4, 0, // Skip to: 7708
+/* 7704 */    MCD_OPC_Decode, 235, 1, 93, // Opcode: MRC2
+/* 7708 */    MCD_OPC_CheckPredicate, 0, 16, 0, // Skip to: 7728
+/* 7712 */    MCD_OPC_Decode, 234, 1, 94, // Opcode: MRC
+/* 7716 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7728
+/* 7720 */    MCD_OPC_CheckPredicate, 0, 4, 0, // Skip to: 7728
+/* 7724 */    MCD_OPC_Decode, 208, 3, 95, // Opcode: SVC
+/* 7728 */    MCD_OPC_Fail,
   0
 };
 
 static const uint8_t DecoderTableNEONData32[] = {
 /* 0 */       MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 3 */       MCD_OPC_FilterValue, 0, 207, 30, // Skip to: 7894
+/* 3 */       MCD_OPC_FilterValue, 0, 230, 30, // Skip to: 7917
 /* 7 */       MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 10 */      MCD_OPC_FilterValue, 0, 113, 5, // Skip to: 1407
 /* 14 */      MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
@@ -1881,331 +1904,331 @@ static const uint8_t DecoderTableNEONDat
 /* 24 */      MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 56
 /* 29 */      MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 32 */      MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 44
-/* 36 */      MCD_OPC_CheckPredicate, 15, 172, 56, // Skip to: 14548
-/* 40 */      MCD_OPC_Decode, 173, 6, 94, // Opcode: VHADDsv8i8
-/* 44 */      MCD_OPC_FilterValue, 1, 164, 56, // Skip to: 14548
-/* 48 */      MCD_OPC_CheckPredicate, 15, 160, 56, // Skip to: 14548
-/* 52 */      MCD_OPC_Decode, 168, 6, 95, // Opcode: VHADDsv16i8
+/* 36 */      MCD_OPC_CheckPredicate, 16, 195, 56, // Skip to: 14571
+/* 40 */      MCD_OPC_Decode, 180, 6, 96, // Opcode: VHADDsv8i8
+/* 44 */      MCD_OPC_FilterValue, 1, 187, 56, // Skip to: 14571
+/* 48 */      MCD_OPC_CheckPredicate, 16, 183, 56, // Skip to: 14571
+/* 52 */      MCD_OPC_Decode, 175, 6, 97, // Opcode: VHADDsv16i8
 /* 56 */      MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 75
-/* 61 */      MCD_OPC_CheckPredicate, 15, 147, 56, // Skip to: 14548
-/* 65 */      MCD_OPC_CheckField, 6, 1, 0, 141, 56, // Skip to: 14548
-/* 71 */      MCD_OPC_Decode, 191, 4, 96, // Opcode: VADDLsv8i16
+/* 61 */      MCD_OPC_CheckPredicate, 16, 170, 56, // Skip to: 14571
+/* 65 */      MCD_OPC_CheckField, 6, 1, 0, 164, 56, // Skip to: 14571
+/* 71 */      MCD_OPC_Decode, 198, 4, 98, // Opcode: VADDLsv8i16
 /* 75 */      MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 107
 /* 80 */      MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 83 */      MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 95
-/* 87 */      MCD_OPC_CheckPredicate, 15, 121, 56, // Skip to: 14548
-/* 91 */      MCD_OPC_Decode, 179, 6, 94, // Opcode: VHADDuv8i8
-/* 95 */      MCD_OPC_FilterValue, 1, 113, 56, // Skip to: 14548
-/* 99 */      MCD_OPC_CheckPredicate, 15, 109, 56, // Skip to: 14548
-/* 103 */     MCD_OPC_Decode, 174, 6, 95, // Opcode: VHADDuv16i8
-/* 107 */     MCD_OPC_FilterValue, 231, 3, 100, 56, // Skip to: 14548
-/* 112 */     MCD_OPC_CheckPredicate, 15, 96, 56, // Skip to: 14548
-/* 116 */     MCD_OPC_CheckField, 6, 1, 0, 90, 56, // Skip to: 14548
-/* 122 */     MCD_OPC_Decode, 194, 4, 96, // Opcode: VADDLuv8i16
+/* 87 */      MCD_OPC_CheckPredicate, 16, 144, 56, // Skip to: 14571
+/* 91 */      MCD_OPC_Decode, 186, 6, 96, // Opcode: VHADDuv8i8
+/* 95 */      MCD_OPC_FilterValue, 1, 136, 56, // Skip to: 14571
+/* 99 */      MCD_OPC_CheckPredicate, 16, 132, 56, // Skip to: 14571
+/* 103 */     MCD_OPC_Decode, 181, 6, 97, // Opcode: VHADDuv16i8
+/* 107 */     MCD_OPC_FilterValue, 231, 3, 123, 56, // Skip to: 14571
+/* 112 */     MCD_OPC_CheckPredicate, 16, 119, 56, // Skip to: 14571
+/* 116 */     MCD_OPC_CheckField, 6, 1, 0, 113, 56, // Skip to: 14571
+/* 122 */     MCD_OPC_Decode, 201, 4, 98, // Opcode: VADDLuv8i16
 /* 126 */     MCD_OPC_FilterValue, 1, 105, 0, // Skip to: 235
 /* 130 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 133 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 165
 /* 138 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 141 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 153
-/* 145 */     MCD_OPC_CheckPredicate, 15, 63, 56, // Skip to: 14548
-/* 149 */     MCD_OPC_Decode, 134, 13, 94, // Opcode: VRHADDsv8i8
-/* 153 */     MCD_OPC_FilterValue, 1, 55, 56, // Skip to: 14548
-/* 157 */     MCD_OPC_CheckPredicate, 15, 51, 56, // Skip to: 14548
-/* 161 */     MCD_OPC_Decode, 129, 13, 95, // Opcode: VRHADDsv16i8
+/* 145 */     MCD_OPC_CheckPredicate, 16, 86, 56, // Skip to: 14571
+/* 149 */     MCD_OPC_Decode, 141, 13, 96, // Opcode: VRHADDsv8i8
+/* 153 */     MCD_OPC_FilterValue, 1, 78, 56, // Skip to: 14571
+/* 157 */     MCD_OPC_CheckPredicate, 16, 74, 56, // Skip to: 14571
+/* 161 */     MCD_OPC_Decode, 136, 13, 97, // Opcode: VRHADDsv16i8
 /* 165 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 184
-/* 170 */     MCD_OPC_CheckPredicate, 15, 38, 56, // Skip to: 14548
-/* 174 */     MCD_OPC_CheckField, 6, 1, 0, 32, 56, // Skip to: 14548
-/* 180 */     MCD_OPC_Decode, 198, 4, 97, // Opcode: VADDWsv8i16
+/* 170 */     MCD_OPC_CheckPredicate, 16, 61, 56, // Skip to: 14571
+/* 174 */     MCD_OPC_CheckField, 6, 1, 0, 55, 56, // Skip to: 14571
+/* 180 */     MCD_OPC_Decode, 205, 4, 99, // Opcode: VADDWsv8i16
 /* 184 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 216
 /* 189 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 192 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 204
-/* 196 */     MCD_OPC_CheckPredicate, 15, 12, 56, // Skip to: 14548
-/* 200 */     MCD_OPC_Decode, 140, 13, 94, // Opcode: VRHADDuv8i8
-/* 204 */     MCD_OPC_FilterValue, 1, 4, 56, // Skip to: 14548
-/* 208 */     MCD_OPC_CheckPredicate, 15, 0, 56, // Skip to: 14548
-/* 212 */     MCD_OPC_Decode, 135, 13, 95, // Opcode: VRHADDuv16i8
-/* 216 */     MCD_OPC_FilterValue, 231, 3, 247, 55, // Skip to: 14548
-/* 221 */     MCD_OPC_CheckPredicate, 15, 243, 55, // Skip to: 14548
-/* 225 */     MCD_OPC_CheckField, 6, 1, 0, 237, 55, // Skip to: 14548
-/* 231 */     MCD_OPC_Decode, 201, 4, 97, // Opcode: VADDWuv8i16
+/* 196 */     MCD_OPC_CheckPredicate, 16, 35, 56, // Skip to: 14571
+/* 200 */     MCD_OPC_Decode, 147, 13, 96, // Opcode: VRHADDuv8i8
+/* 204 */     MCD_OPC_FilterValue, 1, 27, 56, // Skip to: 14571
+/* 208 */     MCD_OPC_CheckPredicate, 16, 23, 56, // Skip to: 14571
+/* 212 */     MCD_OPC_Decode, 142, 13, 97, // Opcode: VRHADDuv16i8
+/* 216 */     MCD_OPC_FilterValue, 231, 3, 14, 56, // Skip to: 14571
+/* 221 */     MCD_OPC_CheckPredicate, 16, 10, 56, // Skip to: 14571
+/* 225 */     MCD_OPC_CheckField, 6, 1, 0, 4, 56, // Skip to: 14571
+/* 231 */     MCD_OPC_Decode, 208, 4, 99, // Opcode: VADDWuv8i16
 /* 235 */     MCD_OPC_FilterValue, 2, 105, 0, // Skip to: 344
 /* 239 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 242 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 274
 /* 247 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 250 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 262
-/* 254 */     MCD_OPC_CheckPredicate, 15, 210, 55, // Skip to: 14548
-/* 258 */     MCD_OPC_Decode, 185, 6, 94, // Opcode: VHSUBsv8i8
-/* 262 */     MCD_OPC_FilterValue, 1, 202, 55, // Skip to: 14548
-/* 266 */     MCD_OPC_CheckPredicate, 15, 198, 55, // Skip to: 14548
-/* 270 */     MCD_OPC_Decode, 180, 6, 95, // Opcode: VHSUBsv16i8
+/* 254 */     MCD_OPC_CheckPredicate, 16, 233, 55, // Skip to: 14571
+/* 258 */     MCD_OPC_Decode, 192, 6, 96, // Opcode: VHSUBsv8i8
+/* 262 */     MCD_OPC_FilterValue, 1, 225, 55, // Skip to: 14571
+/* 266 */     MCD_OPC_CheckPredicate, 16, 221, 55, // Skip to: 14571
+/* 270 */     MCD_OPC_Decode, 187, 6, 97, // Opcode: VHSUBsv16i8
 /* 274 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 293
-/* 279 */     MCD_OPC_CheckPredicate, 15, 185, 55, // Skip to: 14548
-/* 283 */     MCD_OPC_CheckField, 6, 1, 0, 179, 55, // Skip to: 14548
-/* 289 */     MCD_OPC_Decode, 139, 17, 96, // Opcode: VSUBLsv8i16
+/* 279 */     MCD_OPC_CheckPredicate, 16, 208, 55, // Skip to: 14571
+/* 283 */     MCD_OPC_CheckField, 6, 1, 0, 202, 55, // Skip to: 14571
+/* 289 */     MCD_OPC_Decode, 146, 17, 98, // Opcode: VSUBLsv8i16
 /* 293 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 325
 /* 298 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 301 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 313
-/* 305 */     MCD_OPC_CheckPredicate, 15, 159, 55, // Skip to: 14548
-/* 309 */     MCD_OPC_Decode, 191, 6, 94, // Opcode: VHSUBuv8i8
-/* 313 */     MCD_OPC_FilterValue, 1, 151, 55, // Skip to: 14548
-/* 317 */     MCD_OPC_CheckPredicate, 15, 147, 55, // Skip to: 14548
-/* 321 */     MCD_OPC_Decode, 186, 6, 95, // Opcode: VHSUBuv16i8
-/* 325 */     MCD_OPC_FilterValue, 231, 3, 138, 55, // Skip to: 14548
-/* 330 */     MCD_OPC_CheckPredicate, 15, 134, 55, // Skip to: 14548
-/* 334 */     MCD_OPC_CheckField, 6, 1, 0, 128, 55, // Skip to: 14548
-/* 340 */     MCD_OPC_Decode, 142, 17, 96, // Opcode: VSUBLuv8i16
+/* 305 */     MCD_OPC_CheckPredicate, 16, 182, 55, // Skip to: 14571
+/* 309 */     MCD_OPC_Decode, 198, 6, 96, // Opcode: VHSUBuv8i8
+/* 313 */     MCD_OPC_FilterValue, 1, 174, 55, // Skip to: 14571
+/* 317 */     MCD_OPC_CheckPredicate, 16, 170, 55, // Skip to: 14571
+/* 321 */     MCD_OPC_Decode, 193, 6, 97, // Opcode: VHSUBuv16i8
+/* 325 */     MCD_OPC_FilterValue, 231, 3, 161, 55, // Skip to: 14571
+/* 330 */     MCD_OPC_CheckPredicate, 16, 157, 55, // Skip to: 14571
+/* 334 */     MCD_OPC_CheckField, 6, 1, 0, 151, 55, // Skip to: 14571
+/* 340 */     MCD_OPC_Decode, 149, 17, 98, // Opcode: VSUBLuv8i16
 /* 344 */     MCD_OPC_FilterValue, 3, 105, 0, // Skip to: 453
 /* 348 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 351 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 383
 /* 356 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 359 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 371
-/* 363 */     MCD_OPC_CheckPredicate, 15, 101, 55, // Skip to: 14548
-/* 367 */     MCD_OPC_Decode, 143, 5, 94, // Opcode: VCGTsv8i8
-/* 371 */     MCD_OPC_FilterValue, 1, 93, 55, // Skip to: 14548
-/* 375 */     MCD_OPC_CheckPredicate, 15, 89, 55, // Skip to: 14548
-/* 379 */     MCD_OPC_Decode, 138, 5, 95, // Opcode: VCGTsv16i8
+/* 363 */     MCD_OPC_CheckPredicate, 16, 124, 55, // Skip to: 14571
+/* 367 */     MCD_OPC_Decode, 150, 5, 96, // Opcode: VCGTsv8i8
+/* 371 */     MCD_OPC_FilterValue, 1, 116, 55, // Skip to: 14571
+/* 375 */     MCD_OPC_CheckPredicate, 16, 112, 55, // Skip to: 14571
+/* 379 */     MCD_OPC_Decode, 145, 5, 97, // Opcode: VCGTsv16i8
 /* 383 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 402
-/* 388 */     MCD_OPC_CheckPredicate, 15, 76, 55, // Skip to: 14548
-/* 392 */     MCD_OPC_CheckField, 6, 1, 0, 70, 55, // Skip to: 14548
-/* 398 */     MCD_OPC_Decode, 146, 17, 97, // Opcode: VSUBWsv8i16
+/* 388 */     MCD_OPC_CheckPredicate, 16, 99, 55, // Skip to: 14571
+/* 392 */     MCD_OPC_CheckField, 6, 1, 0, 93, 55, // Skip to: 14571
+/* 398 */     MCD_OPC_Decode, 153, 17, 99, // Opcode: VSUBWsv8i16
 /* 402 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 434
 /* 407 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 410 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 422
-/* 414 */     MCD_OPC_CheckPredicate, 15, 50, 55, // Skip to: 14548
-/* 418 */     MCD_OPC_Decode, 149, 5, 94, // Opcode: VCGTuv8i8
-/* 422 */     MCD_OPC_FilterValue, 1, 42, 55, // Skip to: 14548
-/* 426 */     MCD_OPC_CheckPredicate, 15, 38, 55, // Skip to: 14548
-/* 430 */     MCD_OPC_Decode, 144, 5, 95, // Opcode: VCGTuv16i8
-/* 434 */     MCD_OPC_FilterValue, 231, 3, 29, 55, // Skip to: 14548
-/* 439 */     MCD_OPC_CheckPredicate, 15, 25, 55, // Skip to: 14548
-/* 443 */     MCD_OPC_CheckField, 6, 1, 0, 19, 55, // Skip to: 14548
-/* 449 */     MCD_OPC_Decode, 149, 17, 97, // Opcode: VSUBWuv8i16
+/* 414 */     MCD_OPC_CheckPredicate, 16, 73, 55, // Skip to: 14571
+/* 418 */     MCD_OPC_Decode, 156, 5, 96, // Opcode: VCGTuv8i8
+/* 422 */     MCD_OPC_FilterValue, 1, 65, 55, // Skip to: 14571
+/* 426 */     MCD_OPC_CheckPredicate, 16, 61, 55, // Skip to: 14571
+/* 430 */     MCD_OPC_Decode, 151, 5, 97, // Opcode: VCGTuv16i8
+/* 434 */     MCD_OPC_FilterValue, 231, 3, 52, 55, // Skip to: 14571
+/* 439 */     MCD_OPC_CheckPredicate, 16, 48, 55, // Skip to: 14571
+/* 443 */     MCD_OPC_CheckField, 6, 1, 0, 42, 55, // Skip to: 14571
+/* 449 */     MCD_OPC_Decode, 156, 17, 99, // Opcode: VSUBWuv8i16
 /* 453 */     MCD_OPC_FilterValue, 4, 105, 0, // Skip to: 562
 /* 457 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 460 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 492
 /* 465 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 468 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 480
-/* 472 */     MCD_OPC_CheckPredicate, 15, 248, 54, // Skip to: 14548
-/* 476 */     MCD_OPC_Decode, 134, 14, 98, // Opcode: VSHLsv8i8
-/* 480 */     MCD_OPC_FilterValue, 1, 240, 54, // Skip to: 14548
-/* 484 */     MCD_OPC_CheckPredicate, 15, 236, 54, // Skip to: 14548
-/* 488 */     MCD_OPC_Decode, 255, 13, 99, // Opcode: VSHLsv16i8
+/* 472 */     MCD_OPC_CheckPredicate, 16, 15, 55, // Skip to: 14571
+/* 476 */     MCD_OPC_Decode, 141, 14, 100, // Opcode: VSHLsv8i8
+/* 480 */     MCD_OPC_FilterValue, 1, 7, 55, // Skip to: 14571
+/* 484 */     MCD_OPC_CheckPredicate, 16, 3, 55, // Skip to: 14571
+/* 488 */     MCD_OPC_Decode, 134, 14, 101, // Opcode: VSHLsv16i8
 /* 492 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 511
-/* 497 */     MCD_OPC_CheckPredicate, 15, 223, 54, // Skip to: 14548
-/* 501 */     MCD_OPC_CheckField, 6, 1, 0, 217, 54, // Skip to: 14548
-/* 507 */     MCD_OPC_Decode, 188, 4, 100, // Opcode: VADDHNv8i8
+/* 497 */     MCD_OPC_CheckPredicate, 16, 246, 54, // Skip to: 14571
+/* 501 */     MCD_OPC_CheckField, 6, 1, 0, 240, 54, // Skip to: 14571
+/* 507 */     MCD_OPC_Decode, 195, 4, 102, // Opcode: VADDHNv8i8
 /* 511 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 543
 /* 516 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 519 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 531
-/* 523 */     MCD_OPC_CheckPredicate, 15, 197, 54, // Skip to: 14548
-/* 527 */     MCD_OPC_Decode, 142, 14, 98, // Opcode: VSHLuv8i8
-/* 531 */     MCD_OPC_FilterValue, 1, 189, 54, // Skip to: 14548
-/* 535 */     MCD_OPC_CheckPredicate, 15, 185, 54, // Skip to: 14548
-/* 539 */     MCD_OPC_Decode, 135, 14, 99, // Opcode: VSHLuv16i8
-/* 543 */     MCD_OPC_FilterValue, 231, 3, 176, 54, // Skip to: 14548
-/* 548 */     MCD_OPC_CheckPredicate, 15, 172, 54, // Skip to: 14548
-/* 552 */     MCD_OPC_CheckField, 6, 1, 0, 166, 54, // Skip to: 14548
-/* 558 */     MCD_OPC_Decode, 238, 12, 100, // Opcode: VRADDHNv8i8
+/* 523 */     MCD_OPC_CheckPredicate, 16, 220, 54, // Skip to: 14571
+/* 527 */     MCD_OPC_Decode, 149, 14, 100, // Opcode: VSHLuv8i8
+/* 531 */     MCD_OPC_FilterValue, 1, 212, 54, // Skip to: 14571
+/* 535 */     MCD_OPC_CheckPredicate, 16, 208, 54, // Skip to: 14571
+/* 539 */     MCD_OPC_Decode, 142, 14, 101, // Opcode: VSHLuv16i8
+/* 543 */     MCD_OPC_FilterValue, 231, 3, 199, 54, // Skip to: 14571
+/* 548 */     MCD_OPC_CheckPredicate, 16, 195, 54, // Skip to: 14571
+/* 552 */     MCD_OPC_CheckField, 6, 1, 0, 189, 54, // Skip to: 14571
+/* 558 */     MCD_OPC_Decode, 245, 12, 102, // Opcode: VRADDHNv8i8
 /* 562 */     MCD_OPC_FilterValue, 5, 105, 0, // Skip to: 671
 /* 566 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 569 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 601
 /* 574 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 577 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 589
-/* 581 */     MCD_OPC_CheckPredicate, 15, 139, 54, // Skip to: 14548
-/* 585 */     MCD_OPC_Decode, 174, 13, 98, // Opcode: VRSHLsv8i8
-/* 589 */     MCD_OPC_FilterValue, 1, 131, 54, // Skip to: 14548
-/* 593 */     MCD_OPC_CheckPredicate, 15, 127, 54, // Skip to: 14548
-/* 597 */     MCD_OPC_Decode, 167, 13, 99, // Opcode: VRSHLsv16i8
+/* 581 */     MCD_OPC_CheckPredicate, 16, 162, 54, // Skip to: 14571
+/* 585 */     MCD_OPC_Decode, 181, 13, 100, // Opcode: VRSHLsv8i8
+/* 589 */     MCD_OPC_FilterValue, 1, 154, 54, // Skip to: 14571
+/* 593 */     MCD_OPC_CheckPredicate, 16, 150, 54, // Skip to: 14571
+/* 597 */     MCD_OPC_Decode, 174, 13, 101, // Opcode: VRSHLsv16i8
 /* 601 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 620
-/* 606 */     MCD_OPC_CheckPredicate, 15, 114, 54, // Skip to: 14548
-/* 610 */     MCD_OPC_CheckField, 6, 1, 0, 108, 54, // Skip to: 14548
-/* 616 */     MCD_OPC_Decode, 135, 4, 101, // Opcode: VABALsv8i16
+/* 606 */     MCD_OPC_CheckPredicate, 16, 137, 54, // Skip to: 14571
+/* 610 */     MCD_OPC_CheckField, 6, 1, 0, 131, 54, // Skip to: 14571
+/* 616 */     MCD_OPC_Decode, 142, 4, 103, // Opcode: VABALsv8i16
 /* 620 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 652
 /* 625 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 628 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 640
-/* 632 */     MCD_OPC_CheckPredicate, 15, 88, 54, // Skip to: 14548
-/* 636 */     MCD_OPC_Decode, 182, 13, 98, // Opcode: VRSHLuv8i8
-/* 640 */     MCD_OPC_FilterValue, 1, 80, 54, // Skip to: 14548
-/* 644 */     MCD_OPC_CheckPredicate, 15, 76, 54, // Skip to: 14548
-/* 648 */     MCD_OPC_Decode, 175, 13, 99, // Opcode: VRSHLuv16i8
-/* 652 */     MCD_OPC_FilterValue, 231, 3, 67, 54, // Skip to: 14548
-/* 657 */     MCD_OPC_CheckPredicate, 15, 63, 54, // Skip to: 14548
-/* 661 */     MCD_OPC_CheckField, 6, 1, 0, 57, 54, // Skip to: 14548
-/* 667 */     MCD_OPC_Decode, 138, 4, 101, // Opcode: VABALuv8i16
+/* 632 */     MCD_OPC_CheckPredicate, 16, 111, 54, // Skip to: 14571
+/* 636 */     MCD_OPC_Decode, 189, 13, 100, // Opcode: VRSHLuv8i8
+/* 640 */     MCD_OPC_FilterValue, 1, 103, 54, // Skip to: 14571
+/* 644 */     MCD_OPC_CheckPredicate, 16, 99, 54, // Skip to: 14571
+/* 648 */     MCD_OPC_Decode, 182, 13, 101, // Opcode: VRSHLuv16i8
+/* 652 */     MCD_OPC_FilterValue, 231, 3, 90, 54, // Skip to: 14571
+/* 657 */     MCD_OPC_CheckPredicate, 16, 86, 54, // Skip to: 14571
+/* 661 */     MCD_OPC_CheckField, 6, 1, 0, 80, 54, // Skip to: 14571
+/* 667 */     MCD_OPC_Decode, 145, 4, 103, // Opcode: VABALuv8i16
 /* 671 */     MCD_OPC_FilterValue, 6, 105, 0, // Skip to: 780
 /* 675 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 678 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 710
 /* 683 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 686 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 698
-/* 690 */     MCD_OPC_CheckPredicate, 15, 30, 54, // Skip to: 14548
-/* 694 */     MCD_OPC_Decode, 242, 9, 94, // Opcode: VMAXsv8i8
-/* 698 */     MCD_OPC_FilterValue, 1, 22, 54, // Skip to: 14548
-/* 702 */     MCD_OPC_CheckPredicate, 15, 18, 54, // Skip to: 14548
-/* 706 */     MCD_OPC_Decode, 237, 9, 95, // Opcode: VMAXsv16i8
+/* 690 */     MCD_OPC_CheckPredicate, 16, 53, 54, // Skip to: 14571
+/* 694 */     MCD_OPC_Decode, 249, 9, 96, // Opcode: VMAXsv8i8
+/* 698 */     MCD_OPC_FilterValue, 1, 45, 54, // Skip to: 14571
+/* 702 */     MCD_OPC_CheckPredicate, 16, 41, 54, // Skip to: 14571
+/* 706 */     MCD_OPC_Decode, 244, 9, 97, // Opcode: VMAXsv16i8
 /* 710 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 729
-/* 715 */     MCD_OPC_CheckPredicate, 15, 5, 54, // Skip to: 14548
-/* 719 */     MCD_OPC_CheckField, 6, 1, 0, 255, 53, // Skip to: 14548
-/* 725 */     MCD_OPC_Decode, 136, 17, 100, // Opcode: VSUBHNv8i8
+/* 715 */     MCD_OPC_CheckPredicate, 16, 28, 54, // Skip to: 14571
+/* 719 */     MCD_OPC_CheckField, 6, 1, 0, 22, 54, // Skip to: 14571
+/* 725 */     MCD_OPC_Decode, 143, 17, 102, // Opcode: VSUBHNv8i8
 /* 729 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 761
 /* 734 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 737 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 749
-/* 741 */     MCD_OPC_CheckPredicate, 15, 235, 53, // Skip to: 14548
-/* 745 */     MCD_OPC_Decode, 248, 9, 94, // Opcode: VMAXuv8i8
-/* 749 */     MCD_OPC_FilterValue, 1, 227, 53, // Skip to: 14548
-/* 753 */     MCD_OPC_CheckPredicate, 15, 223, 53, // Skip to: 14548
-/* 757 */     MCD_OPC_Decode, 243, 9, 95, // Opcode: VMAXuv16i8
-/* 761 */     MCD_OPC_FilterValue, 231, 3, 214, 53, // Skip to: 14548
-/* 766 */     MCD_OPC_CheckPredicate, 15, 210, 53, // Skip to: 14548
-/* 770 */     MCD_OPC_CheckField, 6, 1, 0, 204, 53, // Skip to: 14548
-/* 776 */     MCD_OPC_Decode, 226, 13, 100, // Opcode: VRSUBHNv8i8
+/* 741 */     MCD_OPC_CheckPredicate, 16, 2, 54, // Skip to: 14571
+/* 745 */     MCD_OPC_Decode, 255, 9, 96, // Opcode: VMAXuv8i8
+/* 749 */     MCD_OPC_FilterValue, 1, 250, 53, // Skip to: 14571
+/* 753 */     MCD_OPC_CheckPredicate, 16, 246, 53, // Skip to: 14571
+/* 757 */     MCD_OPC_Decode, 250, 9, 97, // Opcode: VMAXuv16i8
+/* 761 */     MCD_OPC_FilterValue, 231, 3, 237, 53, // Skip to: 14571
+/* 766 */     MCD_OPC_CheckPredicate, 16, 233, 53, // Skip to: 14571
+/* 770 */     MCD_OPC_CheckField, 6, 1, 0, 227, 53, // Skip to: 14571
+/* 776 */     MCD_OPC_Decode, 233, 13, 102, // Opcode: VRSUBHNv8i8
 /* 780 */     MCD_OPC_FilterValue, 7, 105, 0, // Skip to: 889
 /* 784 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 787 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 819
 /* 792 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 795 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 807
-/* 799 */     MCD_OPC_CheckPredicate, 15, 177, 53, // Skip to: 14548
-/* 803 */     MCD_OPC_Decode, 164, 4, 94, // Opcode: VABDsv8i8
-/* 807 */     MCD_OPC_FilterValue, 1, 169, 53, // Skip to: 14548
-/* 811 */     MCD_OPC_CheckPredicate, 15, 165, 53, // Skip to: 14548
-/* 815 */     MCD_OPC_Decode, 159, 4, 95, // Opcode: VABDsv16i8
+/* 799 */     MCD_OPC_CheckPredicate, 16, 200, 53, // Skip to: 14571
+/* 803 */     MCD_OPC_Decode, 171, 4, 96, // Opcode: VABDsv8i8
+/* 807 */     MCD_OPC_FilterValue, 1, 192, 53, // Skip to: 14571
+/* 811 */     MCD_OPC_CheckPredicate, 16, 188, 53, // Skip to: 14571
+/* 815 */     MCD_OPC_Decode, 166, 4, 97, // Opcode: VABDsv16i8
 /* 819 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 838
-/* 824 */     MCD_OPC_CheckPredicate, 15, 152, 53, // Skip to: 14548
-/* 828 */     MCD_OPC_CheckField, 6, 1, 0, 146, 53, // Skip to: 14548
-/* 834 */     MCD_OPC_Decode, 153, 4, 96, // Opcode: VABDLsv8i16
+/* 824 */     MCD_OPC_CheckPredicate, 16, 175, 53, // Skip to: 14571
+/* 828 */     MCD_OPC_CheckField, 6, 1, 0, 169, 53, // Skip to: 14571
+/* 834 */     MCD_OPC_Decode, 160, 4, 98, // Opcode: VABDLsv8i16
 /* 838 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 870
 /* 843 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 846 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 858
-/* 850 */     MCD_OPC_CheckPredicate, 15, 126, 53, // Skip to: 14548
-/* 854 */     MCD_OPC_Decode, 170, 4, 94, // Opcode: VABDuv8i8
-/* 858 */     MCD_OPC_FilterValue, 1, 118, 53, // Skip to: 14548
-/* 862 */     MCD_OPC_CheckPredicate, 15, 114, 53, // Skip to: 14548
-/* 866 */     MCD_OPC_Decode, 165, 4, 95, // Opcode: VABDuv16i8
-/* 870 */     MCD_OPC_FilterValue, 231, 3, 105, 53, // Skip to: 14548
-/* 875 */     MCD_OPC_CheckPredicate, 15, 101, 53, // Skip to: 14548
-/* 879 */     MCD_OPC_CheckField, 6, 1, 0, 95, 53, // Skip to: 14548
-/* 885 */     MCD_OPC_Decode, 156, 4, 96, // Opcode: VABDLuv8i16
+/* 850 */     MCD_OPC_CheckPredicate, 16, 149, 53, // Skip to: 14571
+/* 854 */     MCD_OPC_Decode, 177, 4, 96, // Opcode: VABDuv8i8
+/* 858 */     MCD_OPC_FilterValue, 1, 141, 53, // Skip to: 14571
+/* 862 */     MCD_OPC_CheckPredicate, 16, 137, 53, // Skip to: 14571
+/* 866 */     MCD_OPC_Decode, 172, 4, 97, // Opcode: VABDuv16i8
+/* 870 */     MCD_OPC_FilterValue, 231, 3, 128, 53, // Skip to: 14571
+/* 875 */     MCD_OPC_CheckPredicate, 16, 124, 53, // Skip to: 14571
+/* 879 */     MCD_OPC_CheckField, 6, 1, 0, 118, 53, // Skip to: 14571
+/* 885 */     MCD_OPC_Decode, 163, 4, 98, // Opcode: VABDLuv8i16
 /* 889 */     MCD_OPC_FilterValue, 8, 105, 0, // Skip to: 998
 /* 893 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 896 */     MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 928
 /* 901 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 904 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 916
-/* 908 */     MCD_OPC_CheckPredicate, 15, 68, 53, // Skip to: 14548
-/* 912 */     MCD_OPC_Decode, 211, 4, 94, // Opcode: VADDv8i8
-/* 916 */     MCD_OPC_FilterValue, 1, 60, 53, // Skip to: 14548
-/* 920 */     MCD_OPC_CheckPredicate, 15, 56, 53, // Skip to: 14548
-/* 924 */     MCD_OPC_Decode, 204, 4, 95, // Opcode: VADDv16i8
+/* 908 */     MCD_OPC_CheckPredicate, 16, 91, 53, // Skip to: 14571
+/* 912 */     MCD_OPC_Decode, 218, 4, 96, // Opcode: VADDv8i8
+/* 916 */     MCD_OPC_FilterValue, 1, 83, 53, // Skip to: 14571
+/* 920 */     MCD_OPC_CheckPredicate, 16, 79, 53, // Skip to: 14571
+/* 924 */     MCD_OPC_Decode, 211, 4, 97, // Opcode: VADDv16i8
 /* 928 */     MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 947
-/* 933 */     MCD_OPC_CheckPredicate, 15, 43, 53, // Skip to: 14548
-/* 937 */     MCD_OPC_CheckField, 6, 1, 0, 37, 53, // Skip to: 14548
-/* 943 */     MCD_OPC_Decode, 146, 10, 101, // Opcode: VMLALsv8i16
+/* 933 */     MCD_OPC_CheckPredicate, 16, 66, 53, // Skip to: 14571
+/* 937 */     MCD_OPC_CheckField, 6, 1, 0, 60, 53, // Skip to: 14571
+/* 943 */     MCD_OPC_Decode, 153, 10, 103, // Opcode: VMLALsv8i16
 /* 947 */     MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 979
 /* 952 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 955 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 967
-/* 959 */     MCD_OPC_CheckPredicate, 15, 17, 53, // Skip to: 14548
-/* 963 */     MCD_OPC_Decode, 159, 17, 94, // Opcode: VSUBv8i8
-/* 967 */     MCD_OPC_FilterValue, 1, 9, 53, // Skip to: 14548
-/* 971 */     MCD_OPC_CheckPredicate, 15, 5, 53, // Skip to: 14548
-/* 975 */     MCD_OPC_Decode, 152, 17, 95, // Opcode: VSUBv16i8
-/* 979 */     MCD_OPC_FilterValue, 231, 3, 252, 52, // Skip to: 14548
-/* 984 */     MCD_OPC_CheckPredicate, 15, 248, 52, // Skip to: 14548
-/* 988 */     MCD_OPC_CheckField, 6, 1, 0, 242, 52, // Skip to: 14548
-/* 994 */     MCD_OPC_Decode, 149, 10, 101, // Opcode: VMLALuv8i16
+/* 959 */     MCD_OPC_CheckPredicate, 16, 40, 53, // Skip to: 14571
+/* 963 */     MCD_OPC_Decode, 166, 17, 96, // Opcode: VSUBv8i8
+/* 967 */     MCD_OPC_FilterValue, 1, 32, 53, // Skip to: 14571
+/* 971 */     MCD_OPC_CheckPredicate, 16, 28, 53, // Skip to: 14571
+/* 975 */     MCD_OPC_Decode, 159, 17, 97, // Opcode: VSUBv16i8
+/* 979 */     MCD_OPC_FilterValue, 231, 3, 19, 53, // Skip to: 14571
+/* 984 */     MCD_OPC_CheckPredicate, 16, 15, 53, // Skip to: 14571
+/* 988 */     MCD_OPC_CheckField, 6, 1, 0, 9, 53, // Skip to: 14571
+/* 994 */     MCD_OPC_Decode, 156, 10, 103, // Opcode: VMLALuv8i16
 /* 998 */     MCD_OPC_FilterValue, 9, 69, 0, // Skip to: 1071
 /* 1002 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1005 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 1038
 /* 1009 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1012 */    MCD_OPC_FilterValue, 228, 3, 8, 0, // Skip to: 1025
-/* 1017 */    MCD_OPC_CheckPredicate, 15, 215, 52, // Skip to: 14548
-/* 1021 */    MCD_OPC_Decode, 164, 10, 102, // Opcode: VMLAv8i8
-/* 1025 */    MCD_OPC_FilterValue, 230, 3, 206, 52, // Skip to: 14548
-/* 1030 */    MCD_OPC_CheckPredicate, 15, 202, 52, // Skip to: 14548
-/* 1034 */    MCD_OPC_Decode, 190, 10, 102, // Opcode: VMLSv8i8
-/* 1038 */    MCD_OPC_FilterValue, 1, 194, 52, // Skip to: 14548
+/* 1017 */    MCD_OPC_CheckPredicate, 16, 238, 52, // Skip to: 14571
+/* 1021 */    MCD_OPC_Decode, 171, 10, 104, // Opcode: VMLAv8i8
+/* 1025 */    MCD_OPC_FilterValue, 230, 3, 229, 52, // Skip to: 14571
+/* 1030 */    MCD_OPC_CheckPredicate, 16, 225, 52, // Skip to: 14571
+/* 1034 */    MCD_OPC_Decode, 197, 10, 104, // Opcode: VMLSv8i8
+/* 1038 */    MCD_OPC_FilterValue, 1, 217, 52, // Skip to: 14571
 /* 1042 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1045 */    MCD_OPC_FilterValue, 228, 3, 8, 0, // Skip to: 1058
-/* 1050 */    MCD_OPC_CheckPredicate, 15, 182, 52, // Skip to: 14548
-/* 1054 */    MCD_OPC_Decode, 159, 10, 103, // Opcode: VMLAv16i8
-/* 1058 */    MCD_OPC_FilterValue, 230, 3, 173, 52, // Skip to: 14548
-/* 1063 */    MCD_OPC_CheckPredicate, 15, 169, 52, // Skip to: 14548
-/* 1067 */    MCD_OPC_Decode, 185, 10, 103, // Opcode: VMLSv16i8
+/* 1050 */    MCD_OPC_CheckPredicate, 16, 205, 52, // Skip to: 14571
+/* 1054 */    MCD_OPC_Decode, 166, 10, 105, // Opcode: VMLAv16i8
+/* 1058 */    MCD_OPC_FilterValue, 230, 3, 196, 52, // Skip to: 14571
+/* 1063 */    MCD_OPC_CheckPredicate, 16, 192, 52, // Skip to: 14571
+/* 1067 */    MCD_OPC_Decode, 192, 10, 105, // Opcode: VMLSv16i8
 /* 1071 */    MCD_OPC_FilterValue, 10, 79, 0, // Skip to: 1154
 /* 1075 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1078 */    MCD_OPC_FilterValue, 228, 3, 14, 0, // Skip to: 1097
-/* 1083 */    MCD_OPC_CheckPredicate, 15, 149, 52, // Skip to: 14548
-/* 1087 */    MCD_OPC_CheckField, 6, 1, 0, 143, 52, // Skip to: 14548
-/* 1093 */    MCD_OPC_Decode, 198, 11, 94, // Opcode: VPMAXs8
+/* 1083 */    MCD_OPC_CheckPredicate, 16, 172, 52, // Skip to: 14571
+/* 1087 */    MCD_OPC_CheckField, 6, 1, 0, 166, 52, // Skip to: 14571
+/* 1093 */    MCD_OPC_Decode, 205, 11, 96, // Opcode: VPMAXs8
 /* 1097 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 1116
-/* 1102 */    MCD_OPC_CheckPredicate, 15, 130, 52, // Skip to: 14548
-/* 1106 */    MCD_OPC_CheckField, 6, 1, 0, 124, 52, // Skip to: 14548
-/* 1112 */    MCD_OPC_Decode, 172, 10, 101, // Opcode: VMLSLsv8i16
+/* 1102 */    MCD_OPC_CheckPredicate, 16, 153, 52, // Skip to: 14571
+/* 1106 */    MCD_OPC_CheckField, 6, 1, 0, 147, 52, // Skip to: 14571
+/* 1112 */    MCD_OPC_Decode, 179, 10, 103, // Opcode: VMLSLsv8i16
 /* 1116 */    MCD_OPC_FilterValue, 230, 3, 14, 0, // Skip to: 1135
-/* 1121 */    MCD_OPC_CheckPredicate, 15, 111, 52, // Skip to: 14548
-/* 1125 */    MCD_OPC_CheckField, 6, 1, 0, 105, 52, // Skip to: 14548
-/* 1131 */    MCD_OPC_Decode, 201, 11, 94, // Opcode: VPMAXu8
-/* 1135 */    MCD_OPC_FilterValue, 231, 3, 96, 52, // Skip to: 14548
-/* 1140 */    MCD_OPC_CheckPredicate, 15, 92, 52, // Skip to: 14548
-/* 1144 */    MCD_OPC_CheckField, 6, 1, 0, 86, 52, // Skip to: 14548
-/* 1150 */    MCD_OPC_Decode, 175, 10, 101, // Opcode: VMLSLuv8i16
+/* 1121 */    MCD_OPC_CheckPredicate, 16, 134, 52, // Skip to: 14571
+/* 1125 */    MCD_OPC_CheckField, 6, 1, 0, 128, 52, // Skip to: 14571
+/* 1131 */    MCD_OPC_Decode, 208, 11, 96, // Opcode: VPMAXu8
+/* 1135 */    MCD_OPC_FilterValue, 231, 3, 119, 52, // Skip to: 14571
+/* 1140 */    MCD_OPC_CheckPredicate, 16, 115, 52, // Skip to: 14571
+/* 1144 */    MCD_OPC_CheckField, 6, 1, 0, 109, 52, // Skip to: 14571
+/* 1150 */    MCD_OPC_Decode, 182, 10, 103, // Opcode: VMLSLuv8i16
 /* 1154 */    MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 1199
 /* 1158 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1161 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 1180
-/* 1166 */    MCD_OPC_CheckPredicate, 15, 66, 52, // Skip to: 14548
-/* 1170 */    MCD_OPC_CheckField, 6, 1, 0, 60, 52, // Skip to: 14548
-/* 1176 */    MCD_OPC_Decode, 244, 10, 96, // Opcode: VMULLsv8i16
-/* 1180 */    MCD_OPC_FilterValue, 231, 3, 51, 52, // Skip to: 14548
-/* 1185 */    MCD_OPC_CheckPredicate, 15, 47, 52, // Skip to: 14548
-/* 1189 */    MCD_OPC_CheckField, 6, 1, 0, 41, 52, // Skip to: 14548
-/* 1195 */    MCD_OPC_Decode, 247, 10, 96, // Opcode: VMULLuv8i16
+/* 1166 */    MCD_OPC_CheckPredicate, 16, 89, 52, // Skip to: 14571
+/* 1170 */    MCD_OPC_CheckField, 6, 1, 0, 83, 52, // Skip to: 14571
+/* 1176 */    MCD_OPC_Decode, 251, 10, 98, // Opcode: VMULLsv8i16
+/* 1180 */    MCD_OPC_FilterValue, 231, 3, 74, 52, // Skip to: 14571
+/* 1185 */    MCD_OPC_CheckPredicate, 16, 70, 52, // Skip to: 14571
+/* 1189 */    MCD_OPC_CheckField, 6, 1, 0, 64, 52, // Skip to: 14571
+/* 1195 */    MCD_OPC_Decode, 254, 10, 98, // Opcode: VMULLuv8i16
 /* 1199 */    MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 1258
 /* 1203 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1206 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 1239
 /* 1210 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1213 */    MCD_OPC_FilterValue, 228, 3, 8, 0, // Skip to: 1226
-/* 1218 */    MCD_OPC_CheckPredicate, 15, 14, 52, // Skip to: 14548
-/* 1222 */    MCD_OPC_Decode, 202, 4, 94, // Opcode: VADDfd
-/* 1226 */    MCD_OPC_FilterValue, 230, 3, 5, 52, // Skip to: 14548
-/* 1231 */    MCD_OPC_CheckPredicate, 15, 1, 52, // Skip to: 14548
-/* 1235 */    MCD_OPC_Decode, 191, 11, 94, // Opcode: VPADDf
-/* 1239 */    MCD_OPC_FilterValue, 1, 249, 51, // Skip to: 14548
-/* 1243 */    MCD_OPC_CheckPredicate, 15, 245, 51, // Skip to: 14548
-/* 1247 */    MCD_OPC_CheckField, 23, 9, 228, 3, 238, 51, // Skip to: 14548
-/* 1254 */    MCD_OPC_Decode, 203, 4, 95, // Opcode: VADDfq
+/* 1218 */    MCD_OPC_CheckPredicate, 16, 37, 52, // Skip to: 14571
+/* 1222 */    MCD_OPC_Decode, 209, 4, 96, // Opcode: VADDfd
+/* 1226 */    MCD_OPC_FilterValue, 230, 3, 28, 52, // Skip to: 14571
+/* 1231 */    MCD_OPC_CheckPredicate, 16, 24, 52, // Skip to: 14571
+/* 1235 */    MCD_OPC_Decode, 198, 11, 96, // Opcode: VPADDf
+/* 1239 */    MCD_OPC_FilterValue, 1, 16, 52, // Skip to: 14571
+/* 1243 */    MCD_OPC_CheckPredicate, 16, 12, 52, // Skip to: 14571
+/* 1247 */    MCD_OPC_CheckField, 23, 9, 228, 3, 5, 52, // Skip to: 14571
+/* 1254 */    MCD_OPC_Decode, 210, 4, 97, // Opcode: VADDfq
 /* 1258 */    MCD_OPC_FilterValue, 14, 86, 0, // Skip to: 1348
 /* 1262 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1265 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1297
 /* 1270 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1273 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1285
-/* 1277 */    MCD_OPC_CheckPredicate, 15, 211, 51, // Skip to: 14548
-/* 1281 */    MCD_OPC_Decode, 226, 4, 94, // Opcode: VCEQfd
-/* 1285 */    MCD_OPC_FilterValue, 1, 203, 51, // Skip to: 14548
-/* 1289 */    MCD_OPC_CheckPredicate, 15, 199, 51, // Skip to: 14548
-/* 1293 */    MCD_OPC_Decode, 227, 4, 95, // Opcode: VCEQfq
+/* 1277 */    MCD_OPC_CheckPredicate, 16, 234, 51, // Skip to: 14571
+/* 1281 */    MCD_OPC_Decode, 233, 4, 96, // Opcode: VCEQfd
+/* 1285 */    MCD_OPC_FilterValue, 1, 226, 51, // Skip to: 14571
+/* 1289 */    MCD_OPC_CheckPredicate, 16, 222, 51, // Skip to: 14571
+/* 1293 */    MCD_OPC_Decode, 234, 4, 97, // Opcode: VCEQfq
 /* 1297 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 1316
-/* 1302 */    MCD_OPC_CheckPredicate, 15, 186, 51, // Skip to: 14548
-/* 1306 */    MCD_OPC_CheckField, 6, 1, 0, 180, 51, // Skip to: 14548
-/* 1312 */    MCD_OPC_Decode, 237, 10, 96, // Opcode: VMULLp8
-/* 1316 */    MCD_OPC_FilterValue, 230, 3, 171, 51, // Skip to: 14548
+/* 1302 */    MCD_OPC_CheckPredicate, 16, 209, 51, // Skip to: 14571
+/* 1306 */    MCD_OPC_CheckField, 6, 1, 0, 203, 51, // Skip to: 14571
+/* 1312 */    MCD_OPC_Decode, 244, 10, 98, // Opcode: VMULLp8
+/* 1316 */    MCD_OPC_FilterValue, 230, 3, 194, 51, // Skip to: 14571
 /* 1321 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1324 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1336
-/* 1328 */    MCD_OPC_CheckPredicate, 15, 160, 51, // Skip to: 14548
-/* 1332 */    MCD_OPC_Decode, 242, 4, 94, // Opcode: VCGEfd
-/* 1336 */    MCD_OPC_FilterValue, 1, 152, 51, // Skip to: 14548
-/* 1340 */    MCD_OPC_CheckPredicate, 15, 148, 51, // Skip to: 14548
-/* 1344 */    MCD_OPC_Decode, 243, 4, 95, // Opcode: VCGEfq
-/* 1348 */    MCD_OPC_FilterValue, 15, 140, 51, // Skip to: 14548
+/* 1328 */    MCD_OPC_CheckPredicate, 16, 183, 51, // Skip to: 14571
+/* 1332 */    MCD_OPC_Decode, 249, 4, 96, // Opcode: VCGEfd
+/* 1336 */    MCD_OPC_FilterValue, 1, 175, 51, // Skip to: 14571
+/* 1340 */    MCD_OPC_CheckPredicate, 16, 171, 51, // Skip to: 14571
+/* 1344 */    MCD_OPC_Decode, 250, 4, 97, // Opcode: VCGEfq
+/* 1348 */    MCD_OPC_FilterValue, 15, 163, 51, // Skip to: 14571
 /* 1352 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1355 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 1388
 /* 1359 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1362 */    MCD_OPC_FilterValue, 228, 3, 8, 0, // Skip to: 1375
-/* 1367 */    MCD_OPC_CheckPredicate, 15, 121, 51, // Skip to: 14548
-/* 1371 */    MCD_OPC_Decode, 235, 9, 94, // Opcode: VMAXfd
-/* 1375 */    MCD_OPC_FilterValue, 230, 3, 112, 51, // Skip to: 14548
-/* 1380 */    MCD_OPC_CheckPredicate, 15, 108, 51, // Skip to: 14548
-/* 1384 */    MCD_OPC_Decode, 195, 11, 94, // Opcode: VPMAXf
-/* 1388 */    MCD_OPC_FilterValue, 1, 100, 51, // Skip to: 14548
-/* 1392 */    MCD_OPC_CheckPredicate, 15, 96, 51, // Skip to: 14548
-/* 1396 */    MCD_OPC_CheckField, 23, 9, 228, 3, 89, 51, // Skip to: 14548
-/* 1403 */    MCD_OPC_Decode, 236, 9, 95, // Opcode: VMAXfq
+/* 1367 */    MCD_OPC_CheckPredicate, 16, 144, 51, // Skip to: 14571
+/* 1371 */    MCD_OPC_Decode, 242, 9, 96, // Opcode: VMAXfd
+/* 1375 */    MCD_OPC_FilterValue, 230, 3, 135, 51, // Skip to: 14571
+/* 1380 */    MCD_OPC_CheckPredicate, 16, 131, 51, // Skip to: 14571
+/* 1384 */    MCD_OPC_Decode, 202, 11, 96, // Opcode: VPMAXf
+/* 1388 */    MCD_OPC_FilterValue, 1, 123, 51, // Skip to: 14571
+/* 1392 */    MCD_OPC_CheckPredicate, 16, 119, 51, // Skip to: 14571
+/* 1396 */    MCD_OPC_CheckField, 23, 9, 228, 3, 112, 51, // Skip to: 14571
+/* 1403 */    MCD_OPC_Decode, 243, 9, 97, // Opcode: VMAXfq
 /* 1407 */    MCD_OPC_FilterValue, 1, 38, 6, // Skip to: 2985
 /* 1411 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 1414 */    MCD_OPC_FilterValue, 0, 131, 0, // Skip to: 1549
@@ -2213,389 +2236,389 @@ static const uint8_t DecoderTableNEONDat
 /* 1421 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1453
 /* 1426 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1429 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1441
-/* 1433 */    MCD_OPC_CheckPredicate, 15, 55, 51, // Skip to: 14548
-/* 1437 */    MCD_OPC_Decode, 170, 6, 94, // Opcode: VHADDsv4i16
-/* 1441 */    MCD_OPC_FilterValue, 1, 47, 51, // Skip to: 14548
-/* 1445 */    MCD_OPC_CheckPredicate, 15, 43, 51, // Skip to: 14548
-/* 1449 */    MCD_OPC_Decode, 172, 6, 95, // Opcode: VHADDsv8i16
+/* 1433 */    MCD_OPC_CheckPredicate, 16, 78, 51, // Skip to: 14571
+/* 1437 */    MCD_OPC_Decode, 177, 6, 96, // Opcode: VHADDsv4i16
+/* 1441 */    MCD_OPC_FilterValue, 1, 70, 51, // Skip to: 14571
+/* 1445 */    MCD_OPC_CheckPredicate, 16, 66, 51, // Skip to: 14571
+/* 1449 */    MCD_OPC_Decode, 179, 6, 97, // Opcode: VHADDsv8i16
 /* 1453 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 1485
 /* 1458 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1461 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1473
-/* 1465 */    MCD_OPC_CheckPredicate, 15, 23, 51, // Skip to: 14548
-/* 1469 */    MCD_OPC_Decode, 190, 4, 96, // Opcode: VADDLsv4i32
-/* 1473 */    MCD_OPC_FilterValue, 1, 15, 51, // Skip to: 14548
-/* 1477 */    MCD_OPC_CheckPredicate, 15, 11, 51, // Skip to: 14548
-/* 1481 */    MCD_OPC_Decode, 156, 10, 104, // Opcode: VMLAslv4i16
+/* 1465 */    MCD_OPC_CheckPredicate, 16, 46, 51, // Skip to: 14571
+/* 1469 */    MCD_OPC_Decode, 197, 4, 98, // Opcode: VADDLsv4i32
+/* 1473 */    MCD_OPC_FilterValue, 1, 38, 51, // Skip to: 14571
+/* 1477 */    MCD_OPC_CheckPredicate, 16, 34, 51, // Skip to: 14571
+/* 1481 */    MCD_OPC_Decode, 163, 10, 106, // Opcode: VMLAslv4i16
 /* 1485 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 1517
 /* 1490 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1493 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1505
-/* 1497 */    MCD_OPC_CheckPredicate, 15, 247, 50, // Skip to: 14548
-/* 1501 */    MCD_OPC_Decode, 176, 6, 94, // Opcode: VHADDuv4i16
-/* 1505 */    MCD_OPC_FilterValue, 1, 239, 50, // Skip to: 14548
-/* 1509 */    MCD_OPC_CheckPredicate, 15, 235, 50, // Skip to: 14548
-/* 1513 */    MCD_OPC_Decode, 178, 6, 95, // Opcode: VHADDuv8i16
-/* 1517 */    MCD_OPC_FilterValue, 231, 3, 226, 50, // Skip to: 14548
+/* 1497 */    MCD_OPC_CheckPredicate, 16, 14, 51, // Skip to: 14571
+/* 1501 */    MCD_OPC_Decode, 183, 6, 96, // Opcode: VHADDuv4i16
+/* 1505 */    MCD_OPC_FilterValue, 1, 6, 51, // Skip to: 14571
+/* 1509 */    MCD_OPC_CheckPredicate, 16, 2, 51, // Skip to: 14571
+/* 1513 */    MCD_OPC_Decode, 185, 6, 97, // Opcode: VHADDuv8i16
+/* 1517 */    MCD_OPC_FilterValue, 231, 3, 249, 50, // Skip to: 14571
 /* 1522 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1525 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1537
-/* 1529 */    MCD_OPC_CheckPredicate, 15, 215, 50, // Skip to: 14548
-/* 1533 */    MCD_OPC_Decode, 193, 4, 96, // Opcode: VADDLuv4i32
-/* 1537 */    MCD_OPC_FilterValue, 1, 207, 50, // Skip to: 14548
-/* 1541 */    MCD_OPC_CheckPredicate, 15, 203, 50, // Skip to: 14548
-/* 1545 */    MCD_OPC_Decode, 158, 10, 105, // Opcode: VMLAslv8i16
+/* 1529 */    MCD_OPC_CheckPredicate, 16, 238, 50, // Skip to: 14571
+/* 1533 */    MCD_OPC_Decode, 200, 4, 98, // Opcode: VADDLuv4i32
+/* 1537 */    MCD_OPC_FilterValue, 1, 230, 50, // Skip to: 14571
+/* 1541 */    MCD_OPC_CheckPredicate, 16, 226, 50, // Skip to: 14571
+/* 1545 */    MCD_OPC_Decode, 165, 10, 107, // Opcode: VMLAslv8i16
 /* 1549 */    MCD_OPC_FilterValue, 1, 105, 0, // Skip to: 1658
 /* 1553 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1556 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1588
 /* 1561 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1564 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1576
-/* 1568 */    MCD_OPC_CheckPredicate, 15, 176, 50, // Skip to: 14548
-/* 1572 */    MCD_OPC_Decode, 131, 13, 94, // Opcode: VRHADDsv4i16
-/* 1576 */    MCD_OPC_FilterValue, 1, 168, 50, // Skip to: 14548
-/* 1580 */    MCD_OPC_CheckPredicate, 15, 164, 50, // Skip to: 14548
-/* 1584 */    MCD_OPC_Decode, 133, 13, 95, // Opcode: VRHADDsv8i16
+/* 1568 */    MCD_OPC_CheckPredicate, 16, 199, 50, // Skip to: 14571
+/* 1572 */    MCD_OPC_Decode, 138, 13, 96, // Opcode: VRHADDsv4i16
+/* 1576 */    MCD_OPC_FilterValue, 1, 191, 50, // Skip to: 14571
+/* 1580 */    MCD_OPC_CheckPredicate, 16, 187, 50, // Skip to: 14571
+/* 1584 */    MCD_OPC_Decode, 140, 13, 97, // Opcode: VRHADDsv8i16
 /* 1588 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 1607
-/* 1593 */    MCD_OPC_CheckPredicate, 15, 151, 50, // Skip to: 14548
-/* 1597 */    MCD_OPC_CheckField, 6, 1, 0, 145, 50, // Skip to: 14548
-/* 1603 */    MCD_OPC_Decode, 197, 4, 97, // Opcode: VADDWsv4i32
+/* 1593 */    MCD_OPC_CheckPredicate, 16, 174, 50, // Skip to: 14571
+/* 1597 */    MCD_OPC_CheckField, 6, 1, 0, 168, 50, // Skip to: 14571
+/* 1603 */    MCD_OPC_Decode, 204, 4, 99, // Opcode: VADDWsv4i32
 /* 1607 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 1639
 /* 1612 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1615 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1627
-/* 1619 */    MCD_OPC_CheckPredicate, 15, 125, 50, // Skip to: 14548
-/* 1623 */    MCD_OPC_Decode, 137, 13, 94, // Opcode: VRHADDuv4i16
-/* 1627 */    MCD_OPC_FilterValue, 1, 117, 50, // Skip to: 14548
-/* 1631 */    MCD_OPC_CheckPredicate, 15, 113, 50, // Skip to: 14548
-/* 1635 */    MCD_OPC_Decode, 139, 13, 95, // Opcode: VRHADDuv8i16
-/* 1639 */    MCD_OPC_FilterValue, 231, 3, 104, 50, // Skip to: 14548
-/* 1644 */    MCD_OPC_CheckPredicate, 15, 100, 50, // Skip to: 14548
-/* 1648 */    MCD_OPC_CheckField, 6, 1, 0, 94, 50, // Skip to: 14548
-/* 1654 */    MCD_OPC_Decode, 200, 4, 97, // Opcode: VADDWuv4i32
+/* 1619 */    MCD_OPC_CheckPredicate, 16, 148, 50, // Skip to: 14571
+/* 1623 */    MCD_OPC_Decode, 144, 13, 96, // Opcode: VRHADDuv4i16
+/* 1627 */    MCD_OPC_FilterValue, 1, 140, 50, // Skip to: 14571
+/* 1631 */    MCD_OPC_CheckPredicate, 16, 136, 50, // Skip to: 14571
+/* 1635 */    MCD_OPC_Decode, 146, 13, 97, // Opcode: VRHADDuv8i16
+/* 1639 */    MCD_OPC_FilterValue, 231, 3, 127, 50, // Skip to: 14571
+/* 1644 */    MCD_OPC_CheckPredicate, 16, 123, 50, // Skip to: 14571
+/* 1648 */    MCD_OPC_CheckField, 6, 1, 0, 117, 50, // Skip to: 14571
+/* 1654 */    MCD_OPC_Decode, 207, 4, 99, // Opcode: VADDWuv4i32
 /* 1658 */    MCD_OPC_FilterValue, 2, 131, 0, // Skip to: 1793
 /* 1662 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1665 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1697
 /* 1670 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1673 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1685
-/* 1677 */    MCD_OPC_CheckPredicate, 15, 67, 50, // Skip to: 14548
-/* 1681 */    MCD_OPC_Decode, 182, 6, 94, // Opcode: VHSUBsv4i16
-/* 1685 */    MCD_OPC_FilterValue, 1, 59, 50, // Skip to: 14548
-/* 1689 */    MCD_OPC_CheckPredicate, 15, 55, 50, // Skip to: 14548
-/* 1693 */    MCD_OPC_Decode, 184, 6, 95, // Opcode: VHSUBsv8i16
+/* 1677 */    MCD_OPC_CheckPredicate, 16, 90, 50, // Skip to: 14571
+/* 1681 */    MCD_OPC_Decode, 189, 6, 96, // Opcode: VHSUBsv4i16
+/* 1685 */    MCD_OPC_FilterValue, 1, 82, 50, // Skip to: 14571
+/* 1689 */    MCD_OPC_CheckPredicate, 16, 78, 50, // Skip to: 14571
+/* 1693 */    MCD_OPC_Decode, 191, 6, 97, // Opcode: VHSUBsv8i16
 /* 1697 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 1729
 /* 1702 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1705 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1717
-/* 1709 */    MCD_OPC_CheckPredicate, 15, 35, 50, // Skip to: 14548
-/* 1713 */    MCD_OPC_Decode, 138, 17, 96, // Opcode: VSUBLsv4i32
-/* 1717 */    MCD_OPC_FilterValue, 1, 27, 50, // Skip to: 14548
-/* 1721 */    MCD_OPC_CheckPredicate, 15, 23, 50, // Skip to: 14548
-/* 1725 */    MCD_OPC_Decode, 141, 10, 106, // Opcode: VMLALslsv4i16
+/* 1709 */    MCD_OPC_CheckPredicate, 16, 58, 50, // Skip to: 14571
+/* 1713 */    MCD_OPC_Decode, 145, 17, 98, // Opcode: VSUBLsv4i32
+/* 1717 */    MCD_OPC_FilterValue, 1, 50, 50, // Skip to: 14571
+/* 1721 */    MCD_OPC_CheckPredicate, 16, 46, 50, // Skip to: 14571
+/* 1725 */    MCD_OPC_Decode, 148, 10, 108, // Opcode: VMLALslsv4i16
 /* 1729 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 1761
 /* 1734 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1737 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1749
-/* 1741 */    MCD_OPC_CheckPredicate, 15, 3, 50, // Skip to: 14548
-/* 1745 */    MCD_OPC_Decode, 188, 6, 94, // Opcode: VHSUBuv4i16
-/* 1749 */    MCD_OPC_FilterValue, 1, 251, 49, // Skip to: 14548
-/* 1753 */    MCD_OPC_CheckPredicate, 15, 247, 49, // Skip to: 14548
-/* 1757 */    MCD_OPC_Decode, 190, 6, 95, // Opcode: VHSUBuv8i16
-/* 1761 */    MCD_OPC_FilterValue, 231, 3, 238, 49, // Skip to: 14548
+/* 1741 */    MCD_OPC_CheckPredicate, 16, 26, 50, // Skip to: 14571
+/* 1745 */    MCD_OPC_Decode, 195, 6, 96, // Opcode: VHSUBuv4i16
+/* 1749 */    MCD_OPC_FilterValue, 1, 18, 50, // Skip to: 14571
+/* 1753 */    MCD_OPC_CheckPredicate, 16, 14, 50, // Skip to: 14571
+/* 1757 */    MCD_OPC_Decode, 197, 6, 97, // Opcode: VHSUBuv8i16
+/* 1761 */    MCD_OPC_FilterValue, 231, 3, 5, 50, // Skip to: 14571
 /* 1766 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1769 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1781
-/* 1773 */    MCD_OPC_CheckPredicate, 15, 227, 49, // Skip to: 14548
-/* 1777 */    MCD_OPC_Decode, 141, 17, 96, // Opcode: VSUBLuv4i32
-/* 1781 */    MCD_OPC_FilterValue, 1, 219, 49, // Skip to: 14548
-/* 1785 */    MCD_OPC_CheckPredicate, 15, 215, 49, // Skip to: 14548
-/* 1789 */    MCD_OPC_Decode, 143, 10, 106, // Opcode: VMLALsluv4i16
+/* 1773 */    MCD_OPC_CheckPredicate, 16, 250, 49, // Skip to: 14571
+/* 1777 */    MCD_OPC_Decode, 148, 17, 98, // Opcode: VSUBLuv4i32
+/* 1781 */    MCD_OPC_FilterValue, 1, 242, 49, // Skip to: 14571
+/* 1785 */    MCD_OPC_CheckPredicate, 16, 238, 49, // Skip to: 14571
+/* 1789 */    MCD_OPC_Decode, 150, 10, 108, // Opcode: VMLALsluv4i16
 /* 1793 */    MCD_OPC_FilterValue, 3, 118, 0, // Skip to: 1915
 /* 1797 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1800 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1832
 /* 1805 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1808 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1820
-/* 1812 */    MCD_OPC_CheckPredicate, 15, 188, 49, // Skip to: 14548
-/* 1816 */    MCD_OPC_Decode, 140, 5, 94, // Opcode: VCGTsv4i16
-/* 1820 */    MCD_OPC_FilterValue, 1, 180, 49, // Skip to: 14548
-/* 1824 */    MCD_OPC_CheckPredicate, 15, 176, 49, // Skip to: 14548
-/* 1828 */    MCD_OPC_Decode, 142, 5, 95, // Opcode: VCGTsv8i16
+/* 1812 */    MCD_OPC_CheckPredicate, 16, 211, 49, // Skip to: 14571
+/* 1816 */    MCD_OPC_Decode, 147, 5, 96, // Opcode: VCGTsv4i16
+/* 1820 */    MCD_OPC_FilterValue, 1, 203, 49, // Skip to: 14571
+/* 1824 */    MCD_OPC_CheckPredicate, 16, 199, 49, // Skip to: 14571
+/* 1828 */    MCD_OPC_Decode, 149, 5, 97, // Opcode: VCGTsv8i16
 /* 1832 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 1864
 /* 1837 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1840 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1852
-/* 1844 */    MCD_OPC_CheckPredicate, 15, 156, 49, // Skip to: 14548
-/* 1848 */    MCD_OPC_Decode, 145, 17, 97, // Opcode: VSUBWsv4i32
-/* 1852 */    MCD_OPC_FilterValue, 1, 148, 49, // Skip to: 14548
-/* 1856 */    MCD_OPC_CheckPredicate, 15, 144, 49, // Skip to: 14548
-/* 1860 */    MCD_OPC_Decode, 232, 11, 106, // Opcode: VQDMLALslv4i16
+/* 1844 */    MCD_OPC_CheckPredicate, 16, 179, 49, // Skip to: 14571
+/* 1848 */    MCD_OPC_Decode, 152, 17, 99, // Opcode: VSUBWsv4i32
+/* 1852 */    MCD_OPC_FilterValue, 1, 171, 49, // Skip to: 14571
+/* 1856 */    MCD_OPC_CheckPredicate, 16, 167, 49, // Skip to: 14571
+/* 1860 */    MCD_OPC_Decode, 239, 11, 108, // Opcode: VQDMLALslv4i16
 /* 1864 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 1896
 /* 1869 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1872 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1884
-/* 1876 */    MCD_OPC_CheckPredicate, 15, 124, 49, // Skip to: 14548
-/* 1880 */    MCD_OPC_Decode, 146, 5, 94, // Opcode: VCGTuv4i16
-/* 1884 */    MCD_OPC_FilterValue, 1, 116, 49, // Skip to: 14548
-/* 1888 */    MCD_OPC_CheckPredicate, 15, 112, 49, // Skip to: 14548
-/* 1892 */    MCD_OPC_Decode, 148, 5, 95, // Opcode: VCGTuv8i16
-/* 1896 */    MCD_OPC_FilterValue, 231, 3, 103, 49, // Skip to: 14548
-/* 1901 */    MCD_OPC_CheckPredicate, 15, 99, 49, // Skip to: 14548
-/* 1905 */    MCD_OPC_CheckField, 6, 1, 0, 93, 49, // Skip to: 14548
-/* 1911 */    MCD_OPC_Decode, 148, 17, 97, // Opcode: VSUBWuv4i32
+/* 1876 */    MCD_OPC_CheckPredicate, 16, 147, 49, // Skip to: 14571
+/* 1880 */    MCD_OPC_Decode, 153, 5, 96, // Opcode: VCGTuv4i16
+/* 1884 */    MCD_OPC_FilterValue, 1, 139, 49, // Skip to: 14571
+/* 1888 */    MCD_OPC_CheckPredicate, 16, 135, 49, // Skip to: 14571
+/* 1892 */    MCD_OPC_Decode, 155, 5, 97, // Opcode: VCGTuv8i16
+/* 1896 */    MCD_OPC_FilterValue, 231, 3, 126, 49, // Skip to: 14571
+/* 1901 */    MCD_OPC_CheckPredicate, 16, 122, 49, // Skip to: 14571
+/* 1905 */    MCD_OPC_CheckField, 6, 1, 0, 116, 49, // Skip to: 14571
+/* 1911 */    MCD_OPC_Decode, 155, 17, 99, // Opcode: VSUBWuv4i32
 /* 1915 */    MCD_OPC_FilterValue, 4, 131, 0, // Skip to: 2050
 /* 1919 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1922 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 1954
 /* 1927 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1930 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1942
-/* 1934 */    MCD_OPC_CheckPredicate, 15, 66, 49, // Skip to: 14548
-/* 1938 */    MCD_OPC_Decode, 131, 14, 98, // Opcode: VSHLsv4i16
-/* 1942 */    MCD_OPC_FilterValue, 1, 58, 49, // Skip to: 14548
-/* 1946 */    MCD_OPC_CheckPredicate, 15, 54, 49, // Skip to: 14548
-/* 1950 */    MCD_OPC_Decode, 133, 14, 99, // Opcode: VSHLsv8i16
+/* 1934 */    MCD_OPC_CheckPredicate, 16, 89, 49, // Skip to: 14571
+/* 1938 */    MCD_OPC_Decode, 138, 14, 100, // Opcode: VSHLsv4i16
+/* 1942 */    MCD_OPC_FilterValue, 1, 81, 49, // Skip to: 14571
+/* 1946 */    MCD_OPC_CheckPredicate, 16, 77, 49, // Skip to: 14571
+/* 1950 */    MCD_OPC_Decode, 140, 14, 101, // Opcode: VSHLsv8i16
 /* 1954 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 1986
 /* 1959 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1962 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1974
-/* 1966 */    MCD_OPC_CheckPredicate, 15, 34, 49, // Skip to: 14548
-/* 1970 */    MCD_OPC_Decode, 187, 4, 100, // Opcode: VADDHNv4i16
-/* 1974 */    MCD_OPC_FilterValue, 1, 26, 49, // Skip to: 14548
-/* 1978 */    MCD_OPC_CheckPredicate, 15, 22, 49, // Skip to: 14548
-/* 1982 */    MCD_OPC_Decode, 182, 10, 104, // Opcode: VMLSslv4i16
+/* 1966 */    MCD_OPC_CheckPredicate, 16, 57, 49, // Skip to: 14571
+/* 1970 */    MCD_OPC_Decode, 194, 4, 102, // Opcode: VADDHNv4i16
+/* 1974 */    MCD_OPC_FilterValue, 1, 49, 49, // Skip to: 14571
+/* 1978 */    MCD_OPC_CheckPredicate, 16, 45, 49, // Skip to: 14571
+/* 1982 */    MCD_OPC_Decode, 189, 10, 106, // Opcode: VMLSslv4i16
 /* 1986 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 2018
 /* 1991 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1994 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2006
-/* 1998 */    MCD_OPC_CheckPredicate, 15, 2, 49, // Skip to: 14548
-/* 2002 */    MCD_OPC_Decode, 139, 14, 98, // Opcode: VSHLuv4i16
-/* 2006 */    MCD_OPC_FilterValue, 1, 250, 48, // Skip to: 14548
-/* 2010 */    MCD_OPC_CheckPredicate, 15, 246, 48, // Skip to: 14548
-/* 2014 */    MCD_OPC_Decode, 141, 14, 99, // Opcode: VSHLuv8i16
-/* 2018 */    MCD_OPC_FilterValue, 231, 3, 237, 48, // Skip to: 14548
+/* 1998 */    MCD_OPC_CheckPredicate, 16, 25, 49, // Skip to: 14571
+/* 2002 */    MCD_OPC_Decode, 146, 14, 100, // Opcode: VSHLuv4i16
+/* 2006 */    MCD_OPC_FilterValue, 1, 17, 49, // Skip to: 14571
+/* 2010 */    MCD_OPC_CheckPredicate, 16, 13, 49, // Skip to: 14571
+/* 2014 */    MCD_OPC_Decode, 148, 14, 101, // Opcode: VSHLuv8i16
+/* 2018 */    MCD_OPC_FilterValue, 231, 3, 4, 49, // Skip to: 14571
 /* 2023 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2026 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2038
-/* 2030 */    MCD_OPC_CheckPredicate, 15, 226, 48, // Skip to: 14548
-/* 2034 */    MCD_OPC_Decode, 237, 12, 100, // Opcode: VRADDHNv4i16
-/* 2038 */    MCD_OPC_FilterValue, 1, 218, 48, // Skip to: 14548
-/* 2042 */    MCD_OPC_CheckPredicate, 15, 214, 48, // Skip to: 14548
-/* 2046 */    MCD_OPC_Decode, 184, 10, 105, // Opcode: VMLSslv8i16
+/* 2030 */    MCD_OPC_CheckPredicate, 16, 249, 48, // Skip to: 14571
+/* 2034 */    MCD_OPC_Decode, 244, 12, 102, // Opcode: VRADDHNv4i16
+/* 2038 */    MCD_OPC_FilterValue, 1, 241, 48, // Skip to: 14571
+/* 2042 */    MCD_OPC_CheckPredicate, 16, 237, 48, // Skip to: 14571
+/* 2046 */    MCD_OPC_Decode, 191, 10, 107, // Opcode: VMLSslv8i16
 /* 2050 */    MCD_OPC_FilterValue, 5, 105, 0, // Skip to: 2159
 /* 2054 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2057 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2089
 /* 2062 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2065 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2077
-/* 2069 */    MCD_OPC_CheckPredicate, 15, 187, 48, // Skip to: 14548
-/* 2073 */    MCD_OPC_Decode, 171, 13, 98, // Opcode: VRSHLsv4i16
-/* 2077 */    MCD_OPC_FilterValue, 1, 179, 48, // Skip to: 14548
-/* 2081 */    MCD_OPC_CheckPredicate, 15, 175, 48, // Skip to: 14548
-/* 2085 */    MCD_OPC_Decode, 173, 13, 99, // Opcode: VRSHLsv8i16
+/* 2069 */    MCD_OPC_CheckPredicate, 16, 210, 48, // Skip to: 14571
+/* 2073 */    MCD_OPC_Decode, 178, 13, 100, // Opcode: VRSHLsv4i16
+/* 2077 */    MCD_OPC_FilterValue, 1, 202, 48, // Skip to: 14571
+/* 2081 */    MCD_OPC_CheckPredicate, 16, 198, 48, // Skip to: 14571
+/* 2085 */    MCD_OPC_Decode, 180, 13, 101, // Opcode: VRSHLsv8i16
 /* 2089 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 2108
-/* 2094 */    MCD_OPC_CheckPredicate, 15, 162, 48, // Skip to: 14548
-/* 2098 */    MCD_OPC_CheckField, 6, 1, 0, 156, 48, // Skip to: 14548
-/* 2104 */    MCD_OPC_Decode, 134, 4, 101, // Opcode: VABALsv4i32
+/* 2094 */    MCD_OPC_CheckPredicate, 16, 185, 48, // Skip to: 14571
+/* 2098 */    MCD_OPC_CheckField, 6, 1, 0, 179, 48, // Skip to: 14571
+/* 2104 */    MCD_OPC_Decode, 141, 4, 103, // Opcode: VABALsv4i32
 /* 2108 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 2140
 /* 2113 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2116 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2128
-/* 2120 */    MCD_OPC_CheckPredicate, 15, 136, 48, // Skip to: 14548
-/* 2124 */    MCD_OPC_Decode, 179, 13, 98, // Opcode: VRSHLuv4i16
-/* 2128 */    MCD_OPC_FilterValue, 1, 128, 48, // Skip to: 14548
-/* 2132 */    MCD_OPC_CheckPredicate, 15, 124, 48, // Skip to: 14548
-/* 2136 */    MCD_OPC_Decode, 181, 13, 99, // Opcode: VRSHLuv8i16
-/* 2140 */    MCD_OPC_FilterValue, 231, 3, 115, 48, // Skip to: 14548
-/* 2145 */    MCD_OPC_CheckPredicate, 15, 111, 48, // Skip to: 14548
-/* 2149 */    MCD_OPC_CheckField, 6, 1, 0, 105, 48, // Skip to: 14548
-/* 2155 */    MCD_OPC_Decode, 137, 4, 101, // Opcode: VABALuv4i32
+/* 2120 */    MCD_OPC_CheckPredicate, 16, 159, 48, // Skip to: 14571
+/* 2124 */    MCD_OPC_Decode, 186, 13, 100, // Opcode: VRSHLuv4i16
+/* 2128 */    MCD_OPC_FilterValue, 1, 151, 48, // Skip to: 14571
+/* 2132 */    MCD_OPC_CheckPredicate, 16, 147, 48, // Skip to: 14571
+/* 2136 */    MCD_OPC_Decode, 188, 13, 101, // Opcode: VRSHLuv8i16
+/* 2140 */    MCD_OPC_FilterValue, 231, 3, 138, 48, // Skip to: 14571
+/* 2145 */    MCD_OPC_CheckPredicate, 16, 134, 48, // Skip to: 14571
+/* 2149 */    MCD_OPC_CheckField, 6, 1, 0, 128, 48, // Skip to: 14571
+/* 2155 */    MCD_OPC_Decode, 144, 4, 103, // Opcode: VABALuv4i32
 /* 2159 */    MCD_OPC_FilterValue, 6, 131, 0, // Skip to: 2294
 /* 2163 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2166 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2198
 /* 2171 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2174 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2186
-/* 2178 */    MCD_OPC_CheckPredicate, 15, 78, 48, // Skip to: 14548
-/* 2182 */    MCD_OPC_Decode, 239, 9, 94, // Opcode: VMAXsv4i16
-/* 2186 */    MCD_OPC_FilterValue, 1, 70, 48, // Skip to: 14548
-/* 2190 */    MCD_OPC_CheckPredicate, 15, 66, 48, // Skip to: 14548
-/* 2194 */    MCD_OPC_Decode, 241, 9, 95, // Opcode: VMAXsv8i16
+/* 2178 */    MCD_OPC_CheckPredicate, 16, 101, 48, // Skip to: 14571
+/* 2182 */    MCD_OPC_Decode, 246, 9, 96, // Opcode: VMAXsv4i16
+/* 2186 */    MCD_OPC_FilterValue, 1, 93, 48, // Skip to: 14571
+/* 2190 */    MCD_OPC_CheckPredicate, 16, 89, 48, // Skip to: 14571
+/* 2194 */    MCD_OPC_Decode, 248, 9, 97, // Opcode: VMAXsv8i16
 /* 2198 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 2230
 /* 2203 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2206 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2218
-/* 2210 */    MCD_OPC_CheckPredicate, 15, 46, 48, // Skip to: 14548
-/* 2214 */    MCD_OPC_Decode, 135, 17, 100, // Opcode: VSUBHNv4i16
-/* 2218 */    MCD_OPC_FilterValue, 1, 38, 48, // Skip to: 14548
-/* 2222 */    MCD_OPC_CheckPredicate, 15, 34, 48, // Skip to: 14548
-/* 2226 */    MCD_OPC_Decode, 167, 10, 106, // Opcode: VMLSLslsv4i16
+/* 2210 */    MCD_OPC_CheckPredicate, 16, 69, 48, // Skip to: 14571
+/* 2214 */    MCD_OPC_Decode, 142, 17, 102, // Opcode: VSUBHNv4i16
+/* 2218 */    MCD_OPC_FilterValue, 1, 61, 48, // Skip to: 14571
+/* 2222 */    MCD_OPC_CheckPredicate, 16, 57, 48, // Skip to: 14571
+/* 2226 */    MCD_OPC_Decode, 174, 10, 108, // Opcode: VMLSLslsv4i16
 /* 2230 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 2262
 /* 2235 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2238 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2250
-/* 2242 */    MCD_OPC_CheckPredicate, 15, 14, 48, // Skip to: 14548
-/* 2246 */    MCD_OPC_Decode, 245, 9, 94, // Opcode: VMAXuv4i16
-/* 2250 */    MCD_OPC_FilterValue, 1, 6, 48, // Skip to: 14548
-/* 2254 */    MCD_OPC_CheckPredicate, 15, 2, 48, // Skip to: 14548
-/* 2258 */    MCD_OPC_Decode, 247, 9, 95, // Opcode: VMAXuv8i16
-/* 2262 */    MCD_OPC_FilterValue, 231, 3, 249, 47, // Skip to: 14548
+/* 2242 */    MCD_OPC_CheckPredicate, 16, 37, 48, // Skip to: 14571
+/* 2246 */    MCD_OPC_Decode, 252, 9, 96, // Opcode: VMAXuv4i16
+/* 2250 */    MCD_OPC_FilterValue, 1, 29, 48, // Skip to: 14571
+/* 2254 */    MCD_OPC_CheckPredicate, 16, 25, 48, // Skip to: 14571
+/* 2258 */    MCD_OPC_Decode, 254, 9, 97, // Opcode: VMAXuv8i16
+/* 2262 */    MCD_OPC_FilterValue, 231, 3, 16, 48, // Skip to: 14571
 /* 2267 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2270 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2282
-/* 2274 */    MCD_OPC_CheckPredicate, 15, 238, 47, // Skip to: 14548
-/* 2278 */    MCD_OPC_Decode, 225, 13, 100, // Opcode: VRSUBHNv4i16
-/* 2282 */    MCD_OPC_FilterValue, 1, 230, 47, // Skip to: 14548
-/* 2286 */    MCD_OPC_CheckPredicate, 15, 226, 47, // Skip to: 14548
-/* 2290 */    MCD_OPC_Decode, 169, 10, 106, // Opcode: VMLSLsluv4i16
+/* 2274 */    MCD_OPC_CheckPredicate, 16, 5, 48, // Skip to: 14571
+/* 2278 */    MCD_OPC_Decode, 232, 13, 102, // Opcode: VRSUBHNv4i16
+/* 2282 */    MCD_OPC_FilterValue, 1, 253, 47, // Skip to: 14571
+/* 2286 */    MCD_OPC_CheckPredicate, 16, 249, 47, // Skip to: 14571
+/* 2290 */    MCD_OPC_Decode, 176, 10, 108, // Opcode: VMLSLsluv4i16
 /* 2294 */    MCD_OPC_FilterValue, 7, 118, 0, // Skip to: 2416
 /* 2298 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2301 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2333
 /* 2306 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2309 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2321
-/* 2313 */    MCD_OPC_CheckPredicate, 15, 199, 47, // Skip to: 14548
-/* 2317 */    MCD_OPC_Decode, 161, 4, 94, // Opcode: VABDsv4i16
-/* 2321 */    MCD_OPC_FilterValue, 1, 191, 47, // Skip to: 14548
-/* 2325 */    MCD_OPC_CheckPredicate, 15, 187, 47, // Skip to: 14548
-/* 2329 */    MCD_OPC_Decode, 163, 4, 95, // Opcode: VABDsv8i16
+/* 2313 */    MCD_OPC_CheckPredicate, 16, 222, 47, // Skip to: 14571
+/* 2317 */    MCD_OPC_Decode, 168, 4, 96, // Opcode: VABDsv4i16
+/* 2321 */    MCD_OPC_FilterValue, 1, 214, 47, // Skip to: 14571
+/* 2325 */    MCD_OPC_CheckPredicate, 16, 210, 47, // Skip to: 14571
+/* 2329 */    MCD_OPC_Decode, 170, 4, 97, // Opcode: VABDsv8i16
 /* 2333 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 2365
 /* 2338 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2341 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2353
-/* 2345 */    MCD_OPC_CheckPredicate, 15, 167, 47, // Skip to: 14548
-/* 2349 */    MCD_OPC_Decode, 152, 4, 96, // Opcode: VABDLsv4i32
-/* 2353 */    MCD_OPC_FilterValue, 1, 159, 47, // Skip to: 14548
-/* 2357 */    MCD_OPC_CheckPredicate, 15, 155, 47, // Skip to: 14548
-/* 2361 */    MCD_OPC_Decode, 236, 11, 106, // Opcode: VQDMLSLslv4i16
+/* 2345 */    MCD_OPC_CheckPredicate, 16, 190, 47, // Skip to: 14571
+/* 2349 */    MCD_OPC_Decode, 159, 4, 98, // Opcode: VABDLsv4i32
+/* 2353 */    MCD_OPC_FilterValue, 1, 182, 47, // Skip to: 14571
+/* 2357 */    MCD_OPC_CheckPredicate, 16, 178, 47, // Skip to: 14571
+/* 2361 */    MCD_OPC_Decode, 243, 11, 108, // Opcode: VQDMLSLslv4i16
 /* 2365 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 2397
 /* 2370 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2373 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2385
-/* 2377 */    MCD_OPC_CheckPredicate, 15, 135, 47, // Skip to: 14548
-/* 2381 */    MCD_OPC_Decode, 167, 4, 94, // Opcode: VABDuv4i16
-/* 2385 */    MCD_OPC_FilterValue, 1, 127, 47, // Skip to: 14548
-/* 2389 */    MCD_OPC_CheckPredicate, 15, 123, 47, // Skip to: 14548
-/* 2393 */    MCD_OPC_Decode, 169, 4, 95, // Opcode: VABDuv8i16
-/* 2397 */    MCD_OPC_FilterValue, 231, 3, 114, 47, // Skip to: 14548
-/* 2402 */    MCD_OPC_CheckPredicate, 15, 110, 47, // Skip to: 14548
-/* 2406 */    MCD_OPC_CheckField, 6, 1, 0, 104, 47, // Skip to: 14548
-/* 2412 */    MCD_OPC_Decode, 155, 4, 96, // Opcode: VABDLuv4i32
+/* 2377 */    MCD_OPC_CheckPredicate, 16, 158, 47, // Skip to: 14571
+/* 2381 */    MCD_OPC_Decode, 174, 4, 96, // Opcode: VABDuv4i16
+/* 2385 */    MCD_OPC_FilterValue, 1, 150, 47, // Skip to: 14571
+/* 2389 */    MCD_OPC_CheckPredicate, 16, 146, 47, // Skip to: 14571
+/* 2393 */    MCD_OPC_Decode, 176, 4, 97, // Opcode: VABDuv8i16
+/* 2397 */    MCD_OPC_FilterValue, 231, 3, 137, 47, // Skip to: 14571
+/* 2402 */    MCD_OPC_CheckPredicate, 16, 133, 47, // Skip to: 14571
+/* 2406 */    MCD_OPC_CheckField, 6, 1, 0, 127, 47, // Skip to: 14571
+/* 2412 */    MCD_OPC_Decode, 162, 4, 98, // Opcode: VABDLuv4i32
 /* 2416 */    MCD_OPC_FilterValue, 8, 131, 0, // Skip to: 2551
 /* 2420 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2423 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2455
 /* 2428 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2431 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2443
-/* 2435 */    MCD_OPC_CheckPredicate, 15, 77, 47, // Skip to: 14548
-/* 2439 */    MCD_OPC_Decode, 208, 4, 94, // Opcode: VADDv4i16
-/* 2443 */    MCD_OPC_FilterValue, 1, 69, 47, // Skip to: 14548
-/* 2447 */    MCD_OPC_CheckPredicate, 15, 65, 47, // Skip to: 14548
-/* 2451 */    MCD_OPC_Decode, 210, 4, 95, // Opcode: VADDv8i16
+/* 2435 */    MCD_OPC_CheckPredicate, 16, 100, 47, // Skip to: 14571
+/* 2439 */    MCD_OPC_Decode, 215, 4, 96, // Opcode: VADDv4i16
+/* 2443 */    MCD_OPC_FilterValue, 1, 92, 47, // Skip to: 14571
+/* 2447 */    MCD_OPC_CheckPredicate, 16, 88, 47, // Skip to: 14571
+/* 2451 */    MCD_OPC_Decode, 217, 4, 97, // Opcode: VADDv8i16
 /* 2455 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 2487
 /* 2460 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2463 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2475
-/* 2467 */    MCD_OPC_CheckPredicate, 15, 45, 47, // Skip to: 14548
-/* 2471 */    MCD_OPC_Decode, 145, 10, 101, // Opcode: VMLALsv4i32
-/* 2475 */    MCD_OPC_FilterValue, 1, 37, 47, // Skip to: 14548
-/* 2479 */    MCD_OPC_CheckPredicate, 15, 33, 47, // Skip to: 14548
-/* 2483 */    MCD_OPC_Decode, 128, 11, 107, // Opcode: VMULslv4i16
+/* 2467 */    MCD_OPC_CheckPredicate, 16, 68, 47, // Skip to: 14571
+/* 2471 */    MCD_OPC_Decode, 152, 10, 103, // Opcode: VMLALsv4i32
+/* 2475 */    MCD_OPC_FilterValue, 1, 60, 47, // Skip to: 14571
+/* 2479 */    MCD_OPC_CheckPredicate, 16, 56, 47, // Skip to: 14571
+/* 2483 */    MCD_OPC_Decode, 135, 11, 109, // Opcode: VMULslv4i16
 /* 2487 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 2519
 /* 2492 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2495 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2507
-/* 2499 */    MCD_OPC_CheckPredicate, 15, 13, 47, // Skip to: 14548
-/* 2503 */    MCD_OPC_Decode, 156, 17, 94, // Opcode: VSUBv4i16
-/* 2507 */    MCD_OPC_FilterValue, 1, 5, 47, // Skip to: 14548
-/* 2511 */    MCD_OPC_CheckPredicate, 15, 1, 47, // Skip to: 14548
-/* 2515 */    MCD_OPC_Decode, 158, 17, 95, // Opcode: VSUBv8i16
-/* 2519 */    MCD_OPC_FilterValue, 231, 3, 248, 46, // Skip to: 14548
+/* 2499 */    MCD_OPC_CheckPredicate, 16, 36, 47, // Skip to: 14571
+/* 2503 */    MCD_OPC_Decode, 163, 17, 96, // Opcode: VSUBv4i16
+/* 2507 */    MCD_OPC_FilterValue, 1, 28, 47, // Skip to: 14571
+/* 2511 */    MCD_OPC_CheckPredicate, 16, 24, 47, // Skip to: 14571
+/* 2515 */    MCD_OPC_Decode, 165, 17, 97, // Opcode: VSUBv8i16
+/* 2519 */    MCD_OPC_FilterValue, 231, 3, 15, 47, // Skip to: 14571
 /* 2524 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2527 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2539
-/* 2531 */    MCD_OPC_CheckPredicate, 15, 237, 46, // Skip to: 14548
-/* 2535 */    MCD_OPC_Decode, 148, 10, 101, // Opcode: VMLALuv4i32
-/* 2539 */    MCD_OPC_FilterValue, 1, 229, 46, // Skip to: 14548
-/* 2543 */    MCD_OPC_CheckPredicate, 15, 225, 46, // Skip to: 14548
-/* 2547 */    MCD_OPC_Decode, 130, 11, 108, // Opcode: VMULslv8i16
+/* 2531 */    MCD_OPC_CheckPredicate, 16, 4, 47, // Skip to: 14571
+/* 2535 */    MCD_OPC_Decode, 155, 10, 103, // Opcode: VMLALuv4i32
+/* 2539 */    MCD_OPC_FilterValue, 1, 252, 46, // Skip to: 14571
+/* 2543 */    MCD_OPC_CheckPredicate, 16, 248, 46, // Skip to: 14571
+/* 2547 */    MCD_OPC_Decode, 137, 11, 110, // Opcode: VMULslv8i16
 /* 2551 */    MCD_OPC_FilterValue, 9, 86, 0, // Skip to: 2641
 /* 2555 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2558 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2590
 /* 2563 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2566 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2578
-/* 2570 */    MCD_OPC_CheckPredicate, 15, 198, 46, // Skip to: 14548
-/* 2574 */    MCD_OPC_Decode, 161, 10, 102, // Opcode: VMLAv4i16
-/* 2578 */    MCD_OPC_FilterValue, 1, 190, 46, // Skip to: 14548
-/* 2582 */    MCD_OPC_CheckPredicate, 15, 186, 46, // Skip to: 14548
-/* 2586 */    MCD_OPC_Decode, 163, 10, 103, // Opcode: VMLAv8i16
+/* 2570 */    MCD_OPC_CheckPredicate, 16, 221, 46, // Skip to: 14571
+/* 2574 */    MCD_OPC_Decode, 168, 10, 104, // Opcode: VMLAv4i16
+/* 2578 */    MCD_OPC_FilterValue, 1, 213, 46, // Skip to: 14571
+/* 2582 */    MCD_OPC_CheckPredicate, 16, 209, 46, // Skip to: 14571
+/* 2586 */    MCD_OPC_Decode, 170, 10, 105, // Opcode: VMLAv8i16
 /* 2590 */    MCD_OPC_FilterValue, 229, 3, 14, 0, // Skip to: 2609
-/* 2595 */    MCD_OPC_CheckPredicate, 15, 173, 46, // Skip to: 14548
-/* 2599 */    MCD_OPC_CheckField, 6, 1, 0, 167, 46, // Skip to: 14548
-/* 2605 */    MCD_OPC_Decode, 234, 11, 101, // Opcode: VQDMLALv4i32
-/* 2609 */    MCD_OPC_FilterValue, 230, 3, 158, 46, // Skip to: 14548
+/* 2595 */    MCD_OPC_CheckPredicate, 16, 196, 46, // Skip to: 14571
+/* 2599 */    MCD_OPC_CheckField, 6, 1, 0, 190, 46, // Skip to: 14571
+/* 2605 */    MCD_OPC_Decode, 241, 11, 103, // Opcode: VQDMLALv4i32
+/* 2609 */    MCD_OPC_FilterValue, 230, 3, 181, 46, // Skip to: 14571
 /* 2614 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2617 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2629
-/* 2621 */    MCD_OPC_CheckPredicate, 15, 147, 46, // Skip to: 14548
-/* 2625 */    MCD_OPC_Decode, 187, 10, 102, // Opcode: VMLSv4i16
-/* 2629 */    MCD_OPC_FilterValue, 1, 139, 46, // Skip to: 14548
-/* 2633 */    MCD_OPC_CheckPredicate, 15, 135, 46, // Skip to: 14548
-/* 2637 */    MCD_OPC_Decode, 189, 10, 103, // Opcode: VMLSv8i16
+/* 2621 */    MCD_OPC_CheckPredicate, 16, 170, 46, // Skip to: 14571
+/* 2625 */    MCD_OPC_Decode, 194, 10, 104, // Opcode: VMLSv4i16
+/* 2629 */    MCD_OPC_FilterValue, 1, 162, 46, // Skip to: 14571
+/* 2633 */    MCD_OPC_CheckPredicate, 16, 158, 46, // Skip to: 14571
+/* 2637 */    MCD_OPC_Decode, 196, 10, 105, // Opcode: VMLSv8i16
 /* 2641 */    MCD_OPC_FilterValue, 10, 105, 0, // Skip to: 2750
 /* 2645 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2648 */    MCD_OPC_FilterValue, 228, 3, 14, 0, // Skip to: 2667
-/* 2653 */    MCD_OPC_CheckPredicate, 15, 115, 46, // Skip to: 14548
-/* 2657 */    MCD_OPC_CheckField, 6, 1, 0, 109, 46, // Skip to: 14548
-/* 2663 */    MCD_OPC_Decode, 196, 11, 94, // Opcode: VPMAXs16
+/* 2653 */    MCD_OPC_CheckPredicate, 16, 138, 46, // Skip to: 14571
+/* 2657 */    MCD_OPC_CheckField, 6, 1, 0, 132, 46, // Skip to: 14571
+/* 2663 */    MCD_OPC_Decode, 203, 11, 96, // Opcode: VPMAXs16
 /* 2667 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 2699
 /* 2672 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2675 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2687
-/* 2679 */    MCD_OPC_CheckPredicate, 15, 89, 46, // Skip to: 14548
-/* 2683 */    MCD_OPC_Decode, 171, 10, 101, // Opcode: VMLSLsv4i32
-/* 2687 */    MCD_OPC_FilterValue, 1, 81, 46, // Skip to: 14548
-/* 2691 */    MCD_OPC_CheckPredicate, 15, 77, 46, // Skip to: 14548
-/* 2695 */    MCD_OPC_Decode, 239, 10, 109, // Opcode: VMULLslsv4i16
+/* 2679 */    MCD_OPC_CheckPredicate, 16, 112, 46, // Skip to: 14571
+/* 2683 */    MCD_OPC_Decode, 178, 10, 103, // Opcode: VMLSLsv4i32
+/* 2687 */    MCD_OPC_FilterValue, 1, 104, 46, // Skip to: 14571
+/* 2691 */    MCD_OPC_CheckPredicate, 16, 100, 46, // Skip to: 14571
+/* 2695 */    MCD_OPC_Decode, 246, 10, 111, // Opcode: VMULLslsv4i16
 /* 2699 */    MCD_OPC_FilterValue, 230, 3, 14, 0, // Skip to: 2718
-/* 2704 */    MCD_OPC_CheckPredicate, 15, 64, 46, // Skip to: 14548
-/* 2708 */    MCD_OPC_CheckField, 6, 1, 0, 58, 46, // Skip to: 14548
-/* 2714 */    MCD_OPC_Decode, 199, 11, 94, // Opcode: VPMAXu16
-/* 2718 */    MCD_OPC_FilterValue, 231, 3, 49, 46, // Skip to: 14548
+/* 2704 */    MCD_OPC_CheckPredicate, 16, 87, 46, // Skip to: 14571
+/* 2708 */    MCD_OPC_CheckField, 6, 1, 0, 81, 46, // Skip to: 14571
+/* 2714 */    MCD_OPC_Decode, 206, 11, 96, // Opcode: VPMAXu16
+/* 2718 */    MCD_OPC_FilterValue, 231, 3, 72, 46, // Skip to: 14571
 /* 2723 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2726 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2738
-/* 2730 */    MCD_OPC_CheckPredicate, 15, 38, 46, // Skip to: 14548
-/* 2734 */    MCD_OPC_Decode, 174, 10, 101, // Opcode: VMLSLuv4i32
-/* 2738 */    MCD_OPC_FilterValue, 1, 30, 46, // Skip to: 14548
-/* 2742 */    MCD_OPC_CheckPredicate, 15, 26, 46, // Skip to: 14548
-/* 2746 */    MCD_OPC_Decode, 241, 10, 109, // Opcode: VMULLsluv4i16
+/* 2730 */    MCD_OPC_CheckPredicate, 16, 61, 46, // Skip to: 14571
+/* 2734 */    MCD_OPC_Decode, 181, 10, 103, // Opcode: VMLSLuv4i32
+/* 2738 */    MCD_OPC_FilterValue, 1, 53, 46, // Skip to: 14571
+/* 2742 */    MCD_OPC_CheckPredicate, 16, 49, 46, // Skip to: 14571
+/* 2746 */    MCD_OPC_Decode, 248, 10, 111, // Opcode: VMULLsluv4i16
 /* 2750 */    MCD_OPC_FilterValue, 11, 99, 0, // Skip to: 2853
 /* 2754 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2757 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 2789
 /* 2762 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2765 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2777
-/* 2769 */    MCD_OPC_CheckPredicate, 15, 255, 45, // Skip to: 14548
-/* 2773 */    MCD_OPC_Decode, 244, 11, 94, // Opcode: VQDMULHv4i16
-/* 2777 */    MCD_OPC_FilterValue, 1, 247, 45, // Skip to: 14548
-/* 2781 */    MCD_OPC_CheckPredicate, 15, 243, 45, // Skip to: 14548
-/* 2785 */    MCD_OPC_Decode, 246, 11, 95, // Opcode: VQDMULHv8i16
+/* 2769 */    MCD_OPC_CheckPredicate, 16, 22, 46, // Skip to: 14571
+/* 2773 */    MCD_OPC_Decode, 251, 11, 96, // Opcode: VQDMULHv4i16
+/* 2777 */    MCD_OPC_FilterValue, 1, 14, 46, // Skip to: 14571
+/* 2781 */    MCD_OPC_CheckPredicate, 16, 10, 46, // Skip to: 14571
+/* 2785 */    MCD_OPC_Decode, 253, 11, 97, // Opcode: VQDMULHv8i16
 /* 2789 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 2821
 /* 2794 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2797 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2809
-/* 2801 */    MCD_OPC_CheckPredicate, 15, 223, 45, // Skip to: 14548
-/* 2805 */    MCD_OPC_Decode, 238, 11, 101, // Opcode: VQDMLSLv4i32
-/* 2809 */    MCD_OPC_FilterValue, 1, 215, 45, // Skip to: 14548
-/* 2813 */    MCD_OPC_CheckPredicate, 15, 211, 45, // Skip to: 14548
-/* 2817 */    MCD_OPC_Decode, 248, 11, 109, // Opcode: VQDMULLslv4i16
-/* 2821 */    MCD_OPC_FilterValue, 230, 3, 202, 45, // Skip to: 14548
+/* 2801 */    MCD_OPC_CheckPredicate, 16, 246, 45, // Skip to: 14571
+/* 2805 */    MCD_OPC_Decode, 245, 11, 103, // Opcode: VQDMLSLv4i32
+/* 2809 */    MCD_OPC_FilterValue, 1, 238, 45, // Skip to: 14571
+/* 2813 */    MCD_OPC_CheckPredicate, 16, 234, 45, // Skip to: 14571
+/* 2817 */    MCD_OPC_Decode, 255, 11, 111, // Opcode: VQDMULLslv4i16
+/* 2821 */    MCD_OPC_FilterValue, 230, 3, 225, 45, // Skip to: 14571
 /* 2826 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2829 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2841
-/* 2833 */    MCD_OPC_CheckPredicate, 15, 191, 45, // Skip to: 14548
-/* 2837 */    MCD_OPC_Decode, 143, 12, 94, // Opcode: VQRDMULHv4i16
-/* 2841 */    MCD_OPC_FilterValue, 1, 183, 45, // Skip to: 14548
-/* 2845 */    MCD_OPC_CheckPredicate, 15, 179, 45, // Skip to: 14548
-/* 2849 */    MCD_OPC_Decode, 145, 12, 95, // Opcode: VQRDMULHv8i16
+/* 2833 */    MCD_OPC_CheckPredicate, 16, 214, 45, // Skip to: 14571
+/* 2837 */    MCD_OPC_Decode, 150, 12, 96, // Opcode: VQRDMULHv4i16
+/* 2841 */    MCD_OPC_FilterValue, 1, 206, 45, // Skip to: 14571
+/* 2845 */    MCD_OPC_CheckPredicate, 16, 202, 45, // Skip to: 14571
+/* 2849 */    MCD_OPC_Decode, 152, 12, 97, // Opcode: VQRDMULHv8i16
 /* 2853 */    MCD_OPC_FilterValue, 12, 69, 0, // Skip to: 2926
 /* 2857 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2860 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 2893
 /* 2864 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2867 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 2880
-/* 2872 */    MCD_OPC_CheckPredicate, 15, 152, 45, // Skip to: 14548
-/* 2876 */    MCD_OPC_Decode, 243, 10, 96, // Opcode: VMULLsv4i32
-/* 2880 */    MCD_OPC_FilterValue, 231, 3, 143, 45, // Skip to: 14548
-/* 2885 */    MCD_OPC_CheckPredicate, 15, 139, 45, // Skip to: 14548
-/* 2889 */    MCD_OPC_Decode, 246, 10, 96, // Opcode: VMULLuv4i32
-/* 2893 */    MCD_OPC_FilterValue, 1, 131, 45, // Skip to: 14548
+/* 2872 */    MCD_OPC_CheckPredicate, 16, 175, 45, // Skip to: 14571
+/* 2876 */    MCD_OPC_Decode, 250, 10, 98, // Opcode: VMULLsv4i32
+/* 2880 */    MCD_OPC_FilterValue, 231, 3, 166, 45, // Skip to: 14571
+/* 2885 */    MCD_OPC_CheckPredicate, 16, 162, 45, // Skip to: 14571
+/* 2889 */    MCD_OPC_Decode, 253, 10, 98, // Opcode: VMULLuv4i32
+/* 2893 */    MCD_OPC_FilterValue, 1, 154, 45, // Skip to: 14571
 /* 2897 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2900 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 2913
-/* 2905 */    MCD_OPC_CheckPredicate, 15, 119, 45, // Skip to: 14548
-/* 2909 */    MCD_OPC_Decode, 240, 11, 107, // Opcode: VQDMULHslv4i16
-/* 2913 */    MCD_OPC_FilterValue, 231, 3, 110, 45, // Skip to: 14548
-/* 2918 */    MCD_OPC_CheckPredicate, 15, 106, 45, // Skip to: 14548
-/* 2922 */    MCD_OPC_Decode, 242, 11, 108, // Opcode: VQDMULHslv8i16
-/* 2926 */    MCD_OPC_FilterValue, 13, 98, 45, // Skip to: 14548
+/* 2905 */    MCD_OPC_CheckPredicate, 16, 142, 45, // Skip to: 14571
+/* 2909 */    MCD_OPC_Decode, 247, 11, 109, // Opcode: VQDMULHslv4i16
+/* 2913 */    MCD_OPC_FilterValue, 231, 3, 133, 45, // Skip to: 14571
+/* 2918 */    MCD_OPC_CheckPredicate, 16, 129, 45, // Skip to: 14571
+/* 2922 */    MCD_OPC_Decode, 249, 11, 110, // Opcode: VQDMULHslv8i16
+/* 2926 */    MCD_OPC_FilterValue, 13, 121, 45, // Skip to: 14571
 /* 2930 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 2933 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 2952
-/* 2937 */    MCD_OPC_CheckPredicate, 15, 87, 45, // Skip to: 14548
-/* 2941 */    MCD_OPC_CheckField, 23, 9, 229, 3, 80, 45, // Skip to: 14548
-/* 2948 */    MCD_OPC_Decode, 250, 11, 96, // Opcode: VQDMULLv4i32
-/* 2952 */    MCD_OPC_FilterValue, 1, 72, 45, // Skip to: 14548
+/* 2937 */    MCD_OPC_CheckPredicate, 16, 110, 45, // Skip to: 14571
+/* 2941 */    MCD_OPC_CheckField, 23, 9, 229, 3, 103, 45, // Skip to: 14571
+/* 2948 */    MCD_OPC_Decode, 129, 12, 98, // Opcode: VQDMULLv4i32
+/* 2952 */    MCD_OPC_FilterValue, 1, 95, 45, // Skip to: 14571
 /* 2956 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2959 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 2972
-/* 2964 */    MCD_OPC_CheckPredicate, 15, 60, 45, // Skip to: 14548
-/* 2968 */    MCD_OPC_Decode, 139, 12, 107, // Opcode: VQRDMULHslv4i16
-/* 2972 */    MCD_OPC_FilterValue, 231, 3, 51, 45, // Skip to: 14548
-/* 2977 */    MCD_OPC_CheckPredicate, 15, 47, 45, // Skip to: 14548
-/* 2981 */    MCD_OPC_Decode, 141, 12, 108, // Opcode: VQRDMULHslv8i16
+/* 2964 */    MCD_OPC_CheckPredicate, 16, 83, 45, // Skip to: 14571
+/* 2968 */    MCD_OPC_Decode, 146, 12, 109, // Opcode: VQRDMULHslv4i16
+/* 2972 */    MCD_OPC_FilterValue, 231, 3, 74, 45, // Skip to: 14571
+/* 2977 */    MCD_OPC_CheckPredicate, 16, 70, 45, // Skip to: 14571
+/* 2981 */    MCD_OPC_Decode, 148, 12, 110, // Opcode: VQRDMULHslv8i16
 /* 2985 */    MCD_OPC_FilterValue, 2, 47, 7, // Skip to: 4828
 /* 2989 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2992 */    MCD_OPC_FilterValue, 0, 131, 0, // Skip to: 3127
@@ -2603,2813 +2626,2813 @@ static const uint8_t DecoderTableNEONDat
 /* 2999 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3031
 /* 3004 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3007 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3019
-/* 3011 */    MCD_OPC_CheckPredicate, 15, 13, 45, // Skip to: 14548
-/* 3015 */    MCD_OPC_Decode, 169, 6, 94, // Opcode: VHADDsv2i32
-/* 3019 */    MCD_OPC_FilterValue, 1, 5, 45, // Skip to: 14548
-/* 3023 */    MCD_OPC_CheckPredicate, 15, 1, 45, // Skip to: 14548
-/* 3027 */    MCD_OPC_Decode, 171, 6, 95, // Opcode: VHADDsv4i32
+/* 3011 */    MCD_OPC_CheckPredicate, 16, 36, 45, // Skip to: 14571
+/* 3015 */    MCD_OPC_Decode, 176, 6, 96, // Opcode: VHADDsv2i32
+/* 3019 */    MCD_OPC_FilterValue, 1, 28, 45, // Skip to: 14571
+/* 3023 */    MCD_OPC_CheckPredicate, 16, 24, 45, // Skip to: 14571
+/* 3027 */    MCD_OPC_Decode, 178, 6, 97, // Opcode: VHADDsv4i32
 /* 3031 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3063
 /* 3036 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3039 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3051
-/* 3043 */    MCD_OPC_CheckPredicate, 15, 237, 44, // Skip to: 14548
-/* 3047 */    MCD_OPC_Decode, 189, 4, 96, // Opcode: VADDLsv2i64
-/* 3051 */    MCD_OPC_FilterValue, 1, 229, 44, // Skip to: 14548
-/* 3055 */    MCD_OPC_CheckPredicate, 15, 225, 44, // Skip to: 14548
-/* 3059 */    MCD_OPC_Decode, 155, 10, 110, // Opcode: VMLAslv2i32
+/* 3043 */    MCD_OPC_CheckPredicate, 16, 4, 45, // Skip to: 14571
+/* 3047 */    MCD_OPC_Decode, 196, 4, 98, // Opcode: VADDLsv2i64
+/* 3051 */    MCD_OPC_FilterValue, 1, 252, 44, // Skip to: 14571
+/* 3055 */    MCD_OPC_CheckPredicate, 16, 248, 44, // Skip to: 14571
+/* 3059 */    MCD_OPC_Decode, 162, 10, 112, // Opcode: VMLAslv2i32
 /* 3063 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3095
 /* 3068 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3071 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3083
-/* 3075 */    MCD_OPC_CheckPredicate, 15, 205, 44, // Skip to: 14548
-/* 3079 */    MCD_OPC_Decode, 175, 6, 94, // Opcode: VHADDuv2i32
-/* 3083 */    MCD_OPC_FilterValue, 1, 197, 44, // Skip to: 14548
-/* 3087 */    MCD_OPC_CheckPredicate, 15, 193, 44, // Skip to: 14548
-/* 3091 */    MCD_OPC_Decode, 177, 6, 95, // Opcode: VHADDuv4i32
-/* 3095 */    MCD_OPC_FilterValue, 231, 3, 184, 44, // Skip to: 14548
+/* 3075 */    MCD_OPC_CheckPredicate, 16, 228, 44, // Skip to: 14571
+/* 3079 */    MCD_OPC_Decode, 182, 6, 96, // Opcode: VHADDuv2i32
+/* 3083 */    MCD_OPC_FilterValue, 1, 220, 44, // Skip to: 14571
+/* 3087 */    MCD_OPC_CheckPredicate, 16, 216, 44, // Skip to: 14571
+/* 3091 */    MCD_OPC_Decode, 184, 6, 97, // Opcode: VHADDuv4i32
+/* 3095 */    MCD_OPC_FilterValue, 231, 3, 207, 44, // Skip to: 14571
 /* 3100 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3103 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3115
-/* 3107 */    MCD_OPC_CheckPredicate, 15, 173, 44, // Skip to: 14548
-/* 3111 */    MCD_OPC_Decode, 192, 4, 96, // Opcode: VADDLuv2i64
-/* 3115 */    MCD_OPC_FilterValue, 1, 165, 44, // Skip to: 14548
-/* 3119 */    MCD_OPC_CheckPredicate, 15, 161, 44, // Skip to: 14548
-/* 3123 */    MCD_OPC_Decode, 157, 10, 111, // Opcode: VMLAslv4i32
+/* 3107 */    MCD_OPC_CheckPredicate, 16, 196, 44, // Skip to: 14571
+/* 3111 */    MCD_OPC_Decode, 199, 4, 98, // Opcode: VADDLuv2i64
+/* 3115 */    MCD_OPC_FilterValue, 1, 188, 44, // Skip to: 14571
+/* 3119 */    MCD_OPC_CheckPredicate, 16, 184, 44, // Skip to: 14571
+/* 3123 */    MCD_OPC_Decode, 164, 10, 113, // Opcode: VMLAslv4i32
 /* 3127 */    MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 3262
 /* 3131 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3134 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3166
 /* 3139 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3142 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3154
-/* 3146 */    MCD_OPC_CheckPredicate, 15, 134, 44, // Skip to: 14548
-/* 3150 */    MCD_OPC_Decode, 130, 13, 94, // Opcode: VRHADDsv2i32
-/* 3154 */    MCD_OPC_FilterValue, 1, 126, 44, // Skip to: 14548
-/* 3158 */    MCD_OPC_CheckPredicate, 15, 122, 44, // Skip to: 14548
-/* 3162 */    MCD_OPC_Decode, 132, 13, 95, // Opcode: VRHADDsv4i32
+/* 3146 */    MCD_OPC_CheckPredicate, 16, 157, 44, // Skip to: 14571
+/* 3150 */    MCD_OPC_Decode, 137, 13, 96, // Opcode: VRHADDsv2i32
+/* 3154 */    MCD_OPC_FilterValue, 1, 149, 44, // Skip to: 14571
+/* 3158 */    MCD_OPC_CheckPredicate, 16, 145, 44, // Skip to: 14571
+/* 3162 */    MCD_OPC_Decode, 139, 13, 97, // Opcode: VRHADDsv4i32
 /* 3166 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3198
 /* 3171 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3174 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3186
-/* 3178 */    MCD_OPC_CheckPredicate, 15, 102, 44, // Skip to: 14548
-/* 3182 */    MCD_OPC_Decode, 196, 4, 97, // Opcode: VADDWsv2i64
-/* 3186 */    MCD_OPC_FilterValue, 1, 94, 44, // Skip to: 14548
-/* 3190 */    MCD_OPC_CheckPredicate, 15, 90, 44, // Skip to: 14548
-/* 3194 */    MCD_OPC_Decode, 153, 10, 110, // Opcode: VMLAslfd
+/* 3178 */    MCD_OPC_CheckPredicate, 16, 125, 44, // Skip to: 14571
+/* 3182 */    MCD_OPC_Decode, 203, 4, 99, // Opcode: VADDWsv2i64
+/* 3186 */    MCD_OPC_FilterValue, 1, 117, 44, // Skip to: 14571
+/* 3190 */    MCD_OPC_CheckPredicate, 16, 113, 44, // Skip to: 14571
+/* 3194 */    MCD_OPC_Decode, 160, 10, 112, // Opcode: VMLAslfd
 /* 3198 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3230
 /* 3203 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3206 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3218
-/* 3210 */    MCD_OPC_CheckPredicate, 15, 70, 44, // Skip to: 14548
-/* 3214 */    MCD_OPC_Decode, 136, 13, 94, // Opcode: VRHADDuv2i32
-/* 3218 */    MCD_OPC_FilterValue, 1, 62, 44, // Skip to: 14548
-/* 3222 */    MCD_OPC_CheckPredicate, 15, 58, 44, // Skip to: 14548
-/* 3226 */    MCD_OPC_Decode, 138, 13, 95, // Opcode: VRHADDuv4i32
-/* 3230 */    MCD_OPC_FilterValue, 231, 3, 49, 44, // Skip to: 14548
+/* 3210 */    MCD_OPC_CheckPredicate, 16, 93, 44, // Skip to: 14571
+/* 3214 */    MCD_OPC_Decode, 143, 13, 96, // Opcode: VRHADDuv2i32
+/* 3218 */    MCD_OPC_FilterValue, 1, 85, 44, // Skip to: 14571
+/* 3222 */    MCD_OPC_CheckPredicate, 16, 81, 44, // Skip to: 14571
+/* 3226 */    MCD_OPC_Decode, 145, 13, 97, // Opcode: VRHADDuv4i32
+/* 3230 */    MCD_OPC_FilterValue, 231, 3, 72, 44, // Skip to: 14571
 /* 3235 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3238 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3250
-/* 3242 */    MCD_OPC_CheckPredicate, 15, 38, 44, // Skip to: 14548
-/* 3246 */    MCD_OPC_Decode, 199, 4, 97, // Opcode: VADDWuv2i64
-/* 3250 */    MCD_OPC_FilterValue, 1, 30, 44, // Skip to: 14548
-/* 3254 */    MCD_OPC_CheckPredicate, 15, 26, 44, // Skip to: 14548
-/* 3258 */    MCD_OPC_Decode, 154, 10, 111, // Opcode: VMLAslfq
+/* 3242 */    MCD_OPC_CheckPredicate, 16, 61, 44, // Skip to: 14571
+/* 3246 */    MCD_OPC_Decode, 206, 4, 99, // Opcode: VADDWuv2i64
+/* 3250 */    MCD_OPC_FilterValue, 1, 53, 44, // Skip to: 14571
+/* 3254 */    MCD_OPC_CheckPredicate, 16, 49, 44, // Skip to: 14571
+/* 3258 */    MCD_OPC_Decode, 161, 10, 113, // Opcode: VMLAslfq
 /* 3262 */    MCD_OPC_FilterValue, 2, 131, 0, // Skip to: 3397
 /* 3266 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3269 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3301
 /* 3274 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3277 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3289
-/* 3281 */    MCD_OPC_CheckPredicate, 15, 255, 43, // Skip to: 14548
-/* 3285 */    MCD_OPC_Decode, 181, 6, 94, // Opcode: VHSUBsv2i32
-/* 3289 */    MCD_OPC_FilterValue, 1, 247, 43, // Skip to: 14548
-/* 3293 */    MCD_OPC_CheckPredicate, 15, 243, 43, // Skip to: 14548
-/* 3297 */    MCD_OPC_Decode, 183, 6, 95, // Opcode: VHSUBsv4i32
+/* 3281 */    MCD_OPC_CheckPredicate, 16, 22, 44, // Skip to: 14571
+/* 3285 */    MCD_OPC_Decode, 188, 6, 96, // Opcode: VHSUBsv2i32
+/* 3289 */    MCD_OPC_FilterValue, 1, 14, 44, // Skip to: 14571
+/* 3293 */    MCD_OPC_CheckPredicate, 16, 10, 44, // Skip to: 14571
+/* 3297 */    MCD_OPC_Decode, 190, 6, 97, // Opcode: VHSUBsv4i32
 /* 3301 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3333
 /* 3306 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3309 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3321
-/* 3313 */    MCD_OPC_CheckPredicate, 15, 223, 43, // Skip to: 14548
-/* 3317 */    MCD_OPC_Decode, 137, 17, 96, // Opcode: VSUBLsv2i64
-/* 3321 */    MCD_OPC_FilterValue, 1, 215, 43, // Skip to: 14548
-/* 3325 */    MCD_OPC_CheckPredicate, 15, 211, 43, // Skip to: 14548
-/* 3329 */    MCD_OPC_Decode, 140, 10, 112, // Opcode: VMLALslsv2i32
+/* 3313 */    MCD_OPC_CheckPredicate, 16, 246, 43, // Skip to: 14571
+/* 3317 */    MCD_OPC_Decode, 144, 17, 98, // Opcode: VSUBLsv2i64
+/* 3321 */    MCD_OPC_FilterValue, 1, 238, 43, // Skip to: 14571
+/* 3325 */    MCD_OPC_CheckPredicate, 16, 234, 43, // Skip to: 14571
+/* 3329 */    MCD_OPC_Decode, 147, 10, 114, // Opcode: VMLALslsv2i32
 /* 3333 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3365
 /* 3338 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3341 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3353
-/* 3345 */    MCD_OPC_CheckPredicate, 15, 191, 43, // Skip to: 14548
-/* 3349 */    MCD_OPC_Decode, 187, 6, 94, // Opcode: VHSUBuv2i32
-/* 3353 */    MCD_OPC_FilterValue, 1, 183, 43, // Skip to: 14548
-/* 3357 */    MCD_OPC_CheckPredicate, 15, 179, 43, // Skip to: 14548
-/* 3361 */    MCD_OPC_Decode, 189, 6, 95, // Opcode: VHSUBuv4i32
-/* 3365 */    MCD_OPC_FilterValue, 231, 3, 170, 43, // Skip to: 14548
+/* 3345 */    MCD_OPC_CheckPredicate, 16, 214, 43, // Skip to: 14571
+/* 3349 */    MCD_OPC_Decode, 194, 6, 96, // Opcode: VHSUBuv2i32
+/* 3353 */    MCD_OPC_FilterValue, 1, 206, 43, // Skip to: 14571
+/* 3357 */    MCD_OPC_CheckPredicate, 16, 202, 43, // Skip to: 14571
+/* 3361 */    MCD_OPC_Decode, 196, 6, 97, // Opcode: VHSUBuv4i32
+/* 3365 */    MCD_OPC_FilterValue, 231, 3, 193, 43, // Skip to: 14571
 /* 3370 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3373 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3385
-/* 3377 */    MCD_OPC_CheckPredicate, 15, 159, 43, // Skip to: 14548
-/* 3381 */    MCD_OPC_Decode, 140, 17, 96, // Opcode: VSUBLuv2i64
-/* 3385 */    MCD_OPC_FilterValue, 1, 151, 43, // Skip to: 14548
-/* 3389 */    MCD_OPC_CheckPredicate, 15, 147, 43, // Skip to: 14548
-/* 3393 */    MCD_OPC_Decode, 142, 10, 112, // Opcode: VMLALsluv2i32
+/* 3377 */    MCD_OPC_CheckPredicate, 16, 182, 43, // Skip to: 14571
+/* 3381 */    MCD_OPC_Decode, 147, 17, 98, // Opcode: VSUBLuv2i64
+/* 3385 */    MCD_OPC_FilterValue, 1, 174, 43, // Skip to: 14571
+/* 3389 */    MCD_OPC_CheckPredicate, 16, 170, 43, // Skip to: 14571
+/* 3393 */    MCD_OPC_Decode, 149, 10, 114, // Opcode: VMLALsluv2i32
 /* 3397 */    MCD_OPC_FilterValue, 3, 118, 0, // Skip to: 3519
 /* 3401 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3404 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3436
 /* 3409 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3412 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3424
-/* 3416 */    MCD_OPC_CheckPredicate, 15, 120, 43, // Skip to: 14548
-/* 3420 */    MCD_OPC_Decode, 139, 5, 94, // Opcode: VCGTsv2i32
-/* 3424 */    MCD_OPC_FilterValue, 1, 112, 43, // Skip to: 14548
-/* 3428 */    MCD_OPC_CheckPredicate, 15, 108, 43, // Skip to: 14548
-/* 3432 */    MCD_OPC_Decode, 141, 5, 95, // Opcode: VCGTsv4i32
+/* 3416 */    MCD_OPC_CheckPredicate, 16, 143, 43, // Skip to: 14571
+/* 3420 */    MCD_OPC_Decode, 146, 5, 96, // Opcode: VCGTsv2i32
+/* 3424 */    MCD_OPC_FilterValue, 1, 135, 43, // Skip to: 14571
+/* 3428 */    MCD_OPC_CheckPredicate, 16, 131, 43, // Skip to: 14571
+/* 3432 */    MCD_OPC_Decode, 148, 5, 97, // Opcode: VCGTsv4i32
 /* 3436 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3468
 /* 3441 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3444 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3456
-/* 3448 */    MCD_OPC_CheckPredicate, 15, 88, 43, // Skip to: 14548
-/* 3452 */    MCD_OPC_Decode, 144, 17, 97, // Opcode: VSUBWsv2i64
-/* 3456 */    MCD_OPC_FilterValue, 1, 80, 43, // Skip to: 14548
-/* 3460 */    MCD_OPC_CheckPredicate, 15, 76, 43, // Skip to: 14548
-/* 3464 */    MCD_OPC_Decode, 231, 11, 112, // Opcode: VQDMLALslv2i32
+/* 3448 */    MCD_OPC_CheckPredicate, 16, 111, 43, // Skip to: 14571
+/* 3452 */    MCD_OPC_Decode, 151, 17, 99, // Opcode: VSUBWsv2i64
+/* 3456 */    MCD_OPC_FilterValue, 1, 103, 43, // Skip to: 14571
+/* 3460 */    MCD_OPC_CheckPredicate, 16, 99, 43, // Skip to: 14571
+/* 3464 */    MCD_OPC_Decode, 238, 11, 114, // Opcode: VQDMLALslv2i32
 /* 3468 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3500
 /* 3473 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3476 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3488
-/* 3480 */    MCD_OPC_CheckPredicate, 15, 56, 43, // Skip to: 14548
-/* 3484 */    MCD_OPC_Decode, 145, 5, 94, // Opcode: VCGTuv2i32
-/* 3488 */    MCD_OPC_FilterValue, 1, 48, 43, // Skip to: 14548
-/* 3492 */    MCD_OPC_CheckPredicate, 15, 44, 43, // Skip to: 14548
-/* 3496 */    MCD_OPC_Decode, 147, 5, 95, // Opcode: VCGTuv4i32
-/* 3500 */    MCD_OPC_FilterValue, 231, 3, 35, 43, // Skip to: 14548
-/* 3505 */    MCD_OPC_CheckPredicate, 15, 31, 43, // Skip to: 14548
-/* 3509 */    MCD_OPC_CheckField, 6, 1, 0, 25, 43, // Skip to: 14548
-/* 3515 */    MCD_OPC_Decode, 147, 17, 97, // Opcode: VSUBWuv2i64
+/* 3480 */    MCD_OPC_CheckPredicate, 16, 79, 43, // Skip to: 14571
+/* 3484 */    MCD_OPC_Decode, 152, 5, 96, // Opcode: VCGTuv2i32
+/* 3488 */    MCD_OPC_FilterValue, 1, 71, 43, // Skip to: 14571
+/* 3492 */    MCD_OPC_CheckPredicate, 16, 67, 43, // Skip to: 14571
+/* 3496 */    MCD_OPC_Decode, 154, 5, 97, // Opcode: VCGTuv4i32
+/* 3500 */    MCD_OPC_FilterValue, 231, 3, 58, 43, // Skip to: 14571
+/* 3505 */    MCD_OPC_CheckPredicate, 16, 54, 43, // Skip to: 14571
+/* 3509 */    MCD_OPC_CheckField, 6, 1, 0, 48, 43, // Skip to: 14571
+/* 3515 */    MCD_OPC_Decode, 154, 17, 99, // Opcode: VSUBWuv2i64
 /* 3519 */    MCD_OPC_FilterValue, 4, 131, 0, // Skip to: 3654
 /* 3523 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3526 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3558
 /* 3531 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3534 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3546
-/* 3538 */    MCD_OPC_CheckPredicate, 15, 254, 42, // Skip to: 14548
-/* 3542 */    MCD_OPC_Decode, 129, 14, 98, // Opcode: VSHLsv2i32
-/* 3546 */    MCD_OPC_FilterValue, 1, 246, 42, // Skip to: 14548
-/* 3550 */    MCD_OPC_CheckPredicate, 15, 242, 42, // Skip to: 14548
-/* 3554 */    MCD_OPC_Decode, 132, 14, 99, // Opcode: VSHLsv4i32
+/* 3538 */    MCD_OPC_CheckPredicate, 16, 21, 43, // Skip to: 14571
+/* 3542 */    MCD_OPC_Decode, 136, 14, 100, // Opcode: VSHLsv2i32
+/* 3546 */    MCD_OPC_FilterValue, 1, 13, 43, // Skip to: 14571
+/* 3550 */    MCD_OPC_CheckPredicate, 16, 9, 43, // Skip to: 14571
+/* 3554 */    MCD_OPC_Decode, 139, 14, 101, // Opcode: VSHLsv4i32
 /* 3558 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3590
 /* 3563 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3566 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3578
-/* 3570 */    MCD_OPC_CheckPredicate, 15, 222, 42, // Skip to: 14548
-/* 3574 */    MCD_OPC_Decode, 186, 4, 100, // Opcode: VADDHNv2i32
-/* 3578 */    MCD_OPC_FilterValue, 1, 214, 42, // Skip to: 14548
-/* 3582 */    MCD_OPC_CheckPredicate, 15, 210, 42, // Skip to: 14548
-/* 3586 */    MCD_OPC_Decode, 181, 10, 110, // Opcode: VMLSslv2i32
+/* 3570 */    MCD_OPC_CheckPredicate, 16, 245, 42, // Skip to: 14571
+/* 3574 */    MCD_OPC_Decode, 193, 4, 102, // Opcode: VADDHNv2i32
+/* 3578 */    MCD_OPC_FilterValue, 1, 237, 42, // Skip to: 14571
+/* 3582 */    MCD_OPC_CheckPredicate, 16, 233, 42, // Skip to: 14571
+/* 3586 */    MCD_OPC_Decode, 188, 10, 112, // Opcode: VMLSslv2i32
 /* 3590 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3622
 /* 3595 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3598 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3610
-/* 3602 */    MCD_OPC_CheckPredicate, 15, 190, 42, // Skip to: 14548
-/* 3606 */    MCD_OPC_Decode, 137, 14, 98, // Opcode: VSHLuv2i32
-/* 3610 */    MCD_OPC_FilterValue, 1, 182, 42, // Skip to: 14548
-/* 3614 */    MCD_OPC_CheckPredicate, 15, 178, 42, // Skip to: 14548
-/* 3618 */    MCD_OPC_Decode, 140, 14, 99, // Opcode: VSHLuv4i32
-/* 3622 */    MCD_OPC_FilterValue, 231, 3, 169, 42, // Skip to: 14548
+/* 3602 */    MCD_OPC_CheckPredicate, 16, 213, 42, // Skip to: 14571
+/* 3606 */    MCD_OPC_Decode, 144, 14, 100, // Opcode: VSHLuv2i32
+/* 3610 */    MCD_OPC_FilterValue, 1, 205, 42, // Skip to: 14571
+/* 3614 */    MCD_OPC_CheckPredicate, 16, 201, 42, // Skip to: 14571
+/* 3618 */    MCD_OPC_Decode, 147, 14, 101, // Opcode: VSHLuv4i32
+/* 3622 */    MCD_OPC_FilterValue, 231, 3, 192, 42, // Skip to: 14571
 /* 3627 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3630 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3642
-/* 3634 */    MCD_OPC_CheckPredicate, 15, 158, 42, // Skip to: 14548
-/* 3638 */    MCD_OPC_Decode, 236, 12, 100, // Opcode: VRADDHNv2i32
-/* 3642 */    MCD_OPC_FilterValue, 1, 150, 42, // Skip to: 14548
-/* 3646 */    MCD_OPC_CheckPredicate, 15, 146, 42, // Skip to: 14548
-/* 3650 */    MCD_OPC_Decode, 183, 10, 111, // Opcode: VMLSslv4i32
+/* 3634 */    MCD_OPC_CheckPredicate, 16, 181, 42, // Skip to: 14571
+/* 3638 */    MCD_OPC_Decode, 243, 12, 102, // Opcode: VRADDHNv2i32
+/* 3642 */    MCD_OPC_FilterValue, 1, 173, 42, // Skip to: 14571
+/* 3646 */    MCD_OPC_CheckPredicate, 16, 169, 42, // Skip to: 14571
+/* 3650 */    MCD_OPC_Decode, 190, 10, 113, // Opcode: VMLSslv4i32
 /* 3654 */    MCD_OPC_FilterValue, 5, 131, 0, // Skip to: 3789
 /* 3658 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3661 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3693
 /* 3666 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3669 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3681
-/* 3673 */    MCD_OPC_CheckPredicate, 15, 119, 42, // Skip to: 14548
-/* 3677 */    MCD_OPC_Decode, 169, 13, 98, // Opcode: VRSHLsv2i32
-/* 3681 */    MCD_OPC_FilterValue, 1, 111, 42, // Skip to: 14548
-/* 3685 */    MCD_OPC_CheckPredicate, 15, 107, 42, // Skip to: 14548
-/* 3689 */    MCD_OPC_Decode, 172, 13, 99, // Opcode: VRSHLsv4i32
+/* 3673 */    MCD_OPC_CheckPredicate, 16, 142, 42, // Skip to: 14571
+/* 3677 */    MCD_OPC_Decode, 176, 13, 100, // Opcode: VRSHLsv2i32
+/* 3681 */    MCD_OPC_FilterValue, 1, 134, 42, // Skip to: 14571
+/* 3685 */    MCD_OPC_CheckPredicate, 16, 130, 42, // Skip to: 14571
+/* 3689 */    MCD_OPC_Decode, 179, 13, 101, // Opcode: VRSHLsv4i32
 /* 3693 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3725
 /* 3698 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3701 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3713
-/* 3705 */    MCD_OPC_CheckPredicate, 15, 87, 42, // Skip to: 14548
-/* 3709 */    MCD_OPC_Decode, 133, 4, 101, // Opcode: VABALsv2i64
-/* 3713 */    MCD_OPC_FilterValue, 1, 79, 42, // Skip to: 14548
-/* 3717 */    MCD_OPC_CheckPredicate, 15, 75, 42, // Skip to: 14548
-/* 3721 */    MCD_OPC_Decode, 179, 10, 110, // Opcode: VMLSslfd
+/* 3705 */    MCD_OPC_CheckPredicate, 16, 110, 42, // Skip to: 14571
+/* 3709 */    MCD_OPC_Decode, 140, 4, 103, // Opcode: VABALsv2i64
+/* 3713 */    MCD_OPC_FilterValue, 1, 102, 42, // Skip to: 14571
+/* 3717 */    MCD_OPC_CheckPredicate, 16, 98, 42, // Skip to: 14571
+/* 3721 */    MCD_OPC_Decode, 186, 10, 112, // Opcode: VMLSslfd
 /* 3725 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3757
 /* 3730 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3733 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3745
-/* 3737 */    MCD_OPC_CheckPredicate, 15, 55, 42, // Skip to: 14548
-/* 3741 */    MCD_OPC_Decode, 177, 13, 98, // Opcode: VRSHLuv2i32
-/* 3745 */    MCD_OPC_FilterValue, 1, 47, 42, // Skip to: 14548
-/* 3749 */    MCD_OPC_CheckPredicate, 15, 43, 42, // Skip to: 14548
-/* 3753 */    MCD_OPC_Decode, 180, 13, 99, // Opcode: VRSHLuv4i32
-/* 3757 */    MCD_OPC_FilterValue, 231, 3, 34, 42, // Skip to: 14548
+/* 3737 */    MCD_OPC_CheckPredicate, 16, 78, 42, // Skip to: 14571
+/* 3741 */    MCD_OPC_Decode, 184, 13, 100, // Opcode: VRSHLuv2i32
+/* 3745 */    MCD_OPC_FilterValue, 1, 70, 42, // Skip to: 14571
+/* 3749 */    MCD_OPC_CheckPredicate, 16, 66, 42, // Skip to: 14571
+/* 3753 */    MCD_OPC_Decode, 187, 13, 101, // Opcode: VRSHLuv4i32
+/* 3757 */    MCD_OPC_FilterValue, 231, 3, 57, 42, // Skip to: 14571
 /* 3762 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3765 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3777
-/* 3769 */    MCD_OPC_CheckPredicate, 15, 23, 42, // Skip to: 14548
-/* 3773 */    MCD_OPC_Decode, 136, 4, 101, // Opcode: VABALuv2i64
-/* 3777 */    MCD_OPC_FilterValue, 1, 15, 42, // Skip to: 14548
-/* 3781 */    MCD_OPC_CheckPredicate, 15, 11, 42, // Skip to: 14548
-/* 3785 */    MCD_OPC_Decode, 180, 10, 111, // Opcode: VMLSslfq
+/* 3769 */    MCD_OPC_CheckPredicate, 16, 46, 42, // Skip to: 14571
+/* 3773 */    MCD_OPC_Decode, 143, 4, 103, // Opcode: VABALuv2i64
+/* 3777 */    MCD_OPC_FilterValue, 1, 38, 42, // Skip to: 14571
+/* 3781 */    MCD_OPC_CheckPredicate, 16, 34, 42, // Skip to: 14571
+/* 3785 */    MCD_OPC_Decode, 187, 10, 113, // Opcode: VMLSslfq
 /* 3789 */    MCD_OPC_FilterValue, 6, 131, 0, // Skip to: 3924
 /* 3793 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3796 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3828
 /* 3801 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3804 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3816
-/* 3808 */    MCD_OPC_CheckPredicate, 15, 240, 41, // Skip to: 14548
-/* 3812 */    MCD_OPC_Decode, 238, 9, 94, // Opcode: VMAXsv2i32
-/* 3816 */    MCD_OPC_FilterValue, 1, 232, 41, // Skip to: 14548
-/* 3820 */    MCD_OPC_CheckPredicate, 15, 228, 41, // Skip to: 14548
-/* 3824 */    MCD_OPC_Decode, 240, 9, 95, // Opcode: VMAXsv4i32
+/* 3808 */    MCD_OPC_CheckPredicate, 16, 7, 42, // Skip to: 14571
+/* 3812 */    MCD_OPC_Decode, 245, 9, 96, // Opcode: VMAXsv2i32
+/* 3816 */    MCD_OPC_FilterValue, 1, 255, 41, // Skip to: 14571
+/* 3820 */    MCD_OPC_CheckPredicate, 16, 251, 41, // Skip to: 14571
+/* 3824 */    MCD_OPC_Decode, 247, 9, 97, // Opcode: VMAXsv4i32
 /* 3828 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3860
 /* 3833 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3836 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3848
-/* 3840 */    MCD_OPC_CheckPredicate, 15, 208, 41, // Skip to: 14548
-/* 3844 */    MCD_OPC_Decode, 134, 17, 100, // Opcode: VSUBHNv2i32
-/* 3848 */    MCD_OPC_FilterValue, 1, 200, 41, // Skip to: 14548
-/* 3852 */    MCD_OPC_CheckPredicate, 15, 196, 41, // Skip to: 14548
-/* 3856 */    MCD_OPC_Decode, 166, 10, 112, // Opcode: VMLSLslsv2i32
+/* 3840 */    MCD_OPC_CheckPredicate, 16, 231, 41, // Skip to: 14571
+/* 3844 */    MCD_OPC_Decode, 141, 17, 102, // Opcode: VSUBHNv2i32
+/* 3848 */    MCD_OPC_FilterValue, 1, 223, 41, // Skip to: 14571
+/* 3852 */    MCD_OPC_CheckPredicate, 16, 219, 41, // Skip to: 14571
+/* 3856 */    MCD_OPC_Decode, 173, 10, 114, // Opcode: VMLSLslsv2i32
 /* 3860 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 3892
 /* 3865 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3868 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3880
-/* 3872 */    MCD_OPC_CheckPredicate, 15, 176, 41, // Skip to: 14548
-/* 3876 */    MCD_OPC_Decode, 244, 9, 94, // Opcode: VMAXuv2i32
-/* 3880 */    MCD_OPC_FilterValue, 1, 168, 41, // Skip to: 14548
-/* 3884 */    MCD_OPC_CheckPredicate, 15, 164, 41, // Skip to: 14548
-/* 3888 */    MCD_OPC_Decode, 246, 9, 95, // Opcode: VMAXuv4i32
-/* 3892 */    MCD_OPC_FilterValue, 231, 3, 155, 41, // Skip to: 14548
+/* 3872 */    MCD_OPC_CheckPredicate, 16, 199, 41, // Skip to: 14571
+/* 3876 */    MCD_OPC_Decode, 251, 9, 96, // Opcode: VMAXuv2i32
+/* 3880 */    MCD_OPC_FilterValue, 1, 191, 41, // Skip to: 14571
+/* 3884 */    MCD_OPC_CheckPredicate, 16, 187, 41, // Skip to: 14571
+/* 3888 */    MCD_OPC_Decode, 253, 9, 97, // Opcode: VMAXuv4i32
+/* 3892 */    MCD_OPC_FilterValue, 231, 3, 178, 41, // Skip to: 14571
 /* 3897 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3900 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3912
-/* 3904 */    MCD_OPC_CheckPredicate, 15, 144, 41, // Skip to: 14548
-/* 3908 */    MCD_OPC_Decode, 224, 13, 100, // Opcode: VRSUBHNv2i32
-/* 3912 */    MCD_OPC_FilterValue, 1, 136, 41, // Skip to: 14548
-/* 3916 */    MCD_OPC_CheckPredicate, 15, 132, 41, // Skip to: 14548
-/* 3920 */    MCD_OPC_Decode, 168, 10, 112, // Opcode: VMLSLsluv2i32
+/* 3904 */    MCD_OPC_CheckPredicate, 16, 167, 41, // Skip to: 14571
+/* 3908 */    MCD_OPC_Decode, 231, 13, 102, // Opcode: VRSUBHNv2i32
+/* 3912 */    MCD_OPC_FilterValue, 1, 159, 41, // Skip to: 14571
+/* 3916 */    MCD_OPC_CheckPredicate, 16, 155, 41, // Skip to: 14571
+/* 3920 */    MCD_OPC_Decode, 175, 10, 114, // Opcode: VMLSLsluv2i32
 /* 3924 */    MCD_OPC_FilterValue, 7, 118, 0, // Skip to: 4046
 /* 3928 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3931 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 3963
 /* 3936 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3939 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3951
-/* 3943 */    MCD_OPC_CheckPredicate, 15, 105, 41, // Skip to: 14548
-/* 3947 */    MCD_OPC_Decode, 160, 4, 94, // Opcode: VABDsv2i32
-/* 3951 */    MCD_OPC_FilterValue, 1, 97, 41, // Skip to: 14548
-/* 3955 */    MCD_OPC_CheckPredicate, 15, 93, 41, // Skip to: 14548
-/* 3959 */    MCD_OPC_Decode, 162, 4, 95, // Opcode: VABDsv4i32
+/* 3943 */    MCD_OPC_CheckPredicate, 16, 128, 41, // Skip to: 14571
+/* 3947 */    MCD_OPC_Decode, 167, 4, 96, // Opcode: VABDsv2i32
+/* 3951 */    MCD_OPC_FilterValue, 1, 120, 41, // Skip to: 14571
+/* 3955 */    MCD_OPC_CheckPredicate, 16, 116, 41, // Skip to: 14571
+/* 3959 */    MCD_OPC_Decode, 169, 4, 97, // Opcode: VABDsv4i32
 /* 3963 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 3995
 /* 3968 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3971 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3983
-/* 3975 */    MCD_OPC_CheckPredicate, 15, 73, 41, // Skip to: 14548
-/* 3979 */    MCD_OPC_Decode, 151, 4, 96, // Opcode: VABDLsv2i64
-/* 3983 */    MCD_OPC_FilterValue, 1, 65, 41, // Skip to: 14548
-/* 3987 */    MCD_OPC_CheckPredicate, 15, 61, 41, // Skip to: 14548
-/* 3991 */    MCD_OPC_Decode, 235, 11, 112, // Opcode: VQDMLSLslv2i32
+/* 3975 */    MCD_OPC_CheckPredicate, 16, 96, 41, // Skip to: 14571
+/* 3979 */    MCD_OPC_Decode, 158, 4, 98, // Opcode: VABDLsv2i64
+/* 3983 */    MCD_OPC_FilterValue, 1, 88, 41, // Skip to: 14571
+/* 3987 */    MCD_OPC_CheckPredicate, 16, 84, 41, // Skip to: 14571
+/* 3991 */    MCD_OPC_Decode, 242, 11, 114, // Opcode: VQDMLSLslv2i32
 /* 3995 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 4027
 /* 4000 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4003 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4015
-/* 4007 */    MCD_OPC_CheckPredicate, 15, 41, 41, // Skip to: 14548
-/* 4011 */    MCD_OPC_Decode, 166, 4, 94, // Opcode: VABDuv2i32
-/* 4015 */    MCD_OPC_FilterValue, 1, 33, 41, // Skip to: 14548
-/* 4019 */    MCD_OPC_CheckPredicate, 15, 29, 41, // Skip to: 14548
-/* 4023 */    MCD_OPC_Decode, 168, 4, 95, // Opcode: VABDuv4i32
-/* 4027 */    MCD_OPC_FilterValue, 231, 3, 20, 41, // Skip to: 14548
-/* 4032 */    MCD_OPC_CheckPredicate, 15, 16, 41, // Skip to: 14548
-/* 4036 */    MCD_OPC_CheckField, 6, 1, 0, 10, 41, // Skip to: 14548
-/* 4042 */    MCD_OPC_Decode, 154, 4, 96, // Opcode: VABDLuv2i64
+/* 4007 */    MCD_OPC_CheckPredicate, 16, 64, 41, // Skip to: 14571
+/* 4011 */    MCD_OPC_Decode, 173, 4, 96, // Opcode: VABDuv2i32
+/* 4015 */    MCD_OPC_FilterValue, 1, 56, 41, // Skip to: 14571
+/* 4019 */    MCD_OPC_CheckPredicate, 16, 52, 41, // Skip to: 14571
+/* 4023 */    MCD_OPC_Decode, 175, 4, 97, // Opcode: VABDuv4i32
+/* 4027 */    MCD_OPC_FilterValue, 231, 3, 43, 41, // Skip to: 14571
+/* 4032 */    MCD_OPC_CheckPredicate, 16, 39, 41, // Skip to: 14571
+/* 4036 */    MCD_OPC_CheckField, 6, 1, 0, 33, 41, // Skip to: 14571
+/* 4042 */    MCD_OPC_Decode, 161, 4, 98, // Opcode: VABDLuv2i64
 /* 4046 */    MCD_OPC_FilterValue, 8, 131, 0, // Skip to: 4181
 /* 4050 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4053 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 4085
 /* 4058 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4061 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4073
-/* 4065 */    MCD_OPC_CheckPredicate, 15, 239, 40, // Skip to: 14548
-/* 4069 */    MCD_OPC_Decode, 206, 4, 94, // Opcode: VADDv2i32
-/* 4073 */    MCD_OPC_FilterValue, 1, 231, 40, // Skip to: 14548
-/* 4077 */    MCD_OPC_CheckPredicate, 15, 227, 40, // Skip to: 14548
-/* 4081 */    MCD_OPC_Decode, 209, 4, 95, // Opcode: VADDv4i32
+/* 4065 */    MCD_OPC_CheckPredicate, 16, 6, 41, // Skip to: 14571
+/* 4069 */    MCD_OPC_Decode, 213, 4, 96, // Opcode: VADDv2i32
+/* 4073 */    MCD_OPC_FilterValue, 1, 254, 40, // Skip to: 14571
+/* 4077 */    MCD_OPC_CheckPredicate, 16, 250, 40, // Skip to: 14571
+/* 4081 */    MCD_OPC_Decode, 216, 4, 97, // Opcode: VADDv4i32
 /* 4085 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 4117
 /* 4090 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4093 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4105
-/* 4097 */    MCD_OPC_CheckPredicate, 15, 207, 40, // Skip to: 14548
-/* 4101 */    MCD_OPC_Decode, 144, 10, 101, // Opcode: VMLALsv2i64
-/* 4105 */    MCD_OPC_FilterValue, 1, 199, 40, // Skip to: 14548
-/* 4109 */    MCD_OPC_CheckPredicate, 15, 195, 40, // Skip to: 14548
-/* 4113 */    MCD_OPC_Decode, 255, 10, 113, // Opcode: VMULslv2i32
+/* 4097 */    MCD_OPC_CheckPredicate, 16, 230, 40, // Skip to: 14571
+/* 4101 */    MCD_OPC_Decode, 151, 10, 103, // Opcode: VMLALsv2i64
+/* 4105 */    MCD_OPC_FilterValue, 1, 222, 40, // Skip to: 14571
+/* 4109 */    MCD_OPC_CheckPredicate, 16, 218, 40, // Skip to: 14571
+/* 4113 */    MCD_OPC_Decode, 134, 11, 115, // Opcode: VMULslv2i32
 /* 4117 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 4149
 /* 4122 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4125 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4137
-/* 4129 */    MCD_OPC_CheckPredicate, 15, 175, 40, // Skip to: 14548
-/* 4133 */    MCD_OPC_Decode, 154, 17, 94, // Opcode: VSUBv2i32
-/* 4137 */    MCD_OPC_FilterValue, 1, 167, 40, // Skip to: 14548
-/* 4141 */    MCD_OPC_CheckPredicate, 15, 163, 40, // Skip to: 14548
-/* 4145 */    MCD_OPC_Decode, 157, 17, 95, // Opcode: VSUBv4i32
-/* 4149 */    MCD_OPC_FilterValue, 231, 3, 154, 40, // Skip to: 14548
+/* 4129 */    MCD_OPC_CheckPredicate, 16, 198, 40, // Skip to: 14571
+/* 4133 */    MCD_OPC_Decode, 161, 17, 96, // Opcode: VSUBv2i32
+/* 4137 */    MCD_OPC_FilterValue, 1, 190, 40, // Skip to: 14571
+/* 4141 */    MCD_OPC_CheckPredicate, 16, 186, 40, // Skip to: 14571
+/* 4145 */    MCD_OPC_Decode, 164, 17, 97, // Opcode: VSUBv4i32
+/* 4149 */    MCD_OPC_FilterValue, 231, 3, 177, 40, // Skip to: 14571
 /* 4154 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4157 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4169
-/* 4161 */    MCD_OPC_CheckPredicate, 15, 143, 40, // Skip to: 14548
-/* 4165 */    MCD_OPC_Decode, 147, 10, 101, // Opcode: VMLALuv2i64
-/* 4169 */    MCD_OPC_FilterValue, 1, 135, 40, // Skip to: 14548
-/* 4173 */    MCD_OPC_CheckPredicate, 15, 131, 40, // Skip to: 14548
-/* 4177 */    MCD_OPC_Decode, 129, 11, 114, // Opcode: VMULslv4i32
+/* 4161 */    MCD_OPC_CheckPredicate, 16, 166, 40, // Skip to: 14571
+/* 4165 */    MCD_OPC_Decode, 154, 10, 103, // Opcode: VMLALuv2i64
+/* 4169 */    MCD_OPC_FilterValue, 1, 158, 40, // Skip to: 14571
+/* 4173 */    MCD_OPC_CheckPredicate, 16, 154, 40, // Skip to: 14571
+/* 4177 */    MCD_OPC_Decode, 136, 11, 116, // Opcode: VMULslv4i32
 /* 4181 */    MCD_OPC_FilterValue, 9, 118, 0, // Skip to: 4303
 /* 4185 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4188 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 4220
 /* 4193 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4196 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4208
-/* 4200 */    MCD_OPC_CheckPredicate, 15, 104, 40, // Skip to: 14548
-/* 4204 */    MCD_OPC_Decode, 160, 10, 102, // Opcode: VMLAv2i32
-/* 4208 */    MCD_OPC_FilterValue, 1, 96, 40, // Skip to: 14548
-/* 4212 */    MCD_OPC_CheckPredicate, 15, 92, 40, // Skip to: 14548
-/* 4216 */    MCD_OPC_Decode, 162, 10, 103, // Opcode: VMLAv4i32
+/* 4200 */    MCD_OPC_CheckPredicate, 16, 127, 40, // Skip to: 14571
+/* 4204 */    MCD_OPC_Decode, 167, 10, 104, // Opcode: VMLAv2i32
+/* 4208 */    MCD_OPC_FilterValue, 1, 119, 40, // Skip to: 14571
+/* 4212 */    MCD_OPC_CheckPredicate, 16, 115, 40, // Skip to: 14571
+/* 4216 */    MCD_OPC_Decode, 169, 10, 105, // Opcode: VMLAv4i32
 /* 4220 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 4252
 /* 4225 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4228 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4240
-/* 4232 */    MCD_OPC_CheckPredicate, 15, 72, 40, // Skip to: 14548
-/* 4236 */    MCD_OPC_Decode, 233, 11, 101, // Opcode: VQDMLALv2i64
-/* 4240 */    MCD_OPC_FilterValue, 1, 64, 40, // Skip to: 14548
-/* 4244 */    MCD_OPC_CheckPredicate, 15, 60, 40, // Skip to: 14548
-/* 4248 */    MCD_OPC_Decode, 253, 10, 113, // Opcode: VMULslfd
+/* 4232 */    MCD_OPC_CheckPredicate, 16, 95, 40, // Skip to: 14571
+/* 4236 */    MCD_OPC_Decode, 240, 11, 103, // Opcode: VQDMLALv2i64
+/* 4240 */    MCD_OPC_FilterValue, 1, 87, 40, // Skip to: 14571
+/* 4244 */    MCD_OPC_CheckPredicate, 16, 83, 40, // Skip to: 14571
+/* 4248 */    MCD_OPC_Decode, 132, 11, 115, // Opcode: VMULslfd
 /* 4252 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 4284
 /* 4257 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4260 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4272
-/* 4264 */    MCD_OPC_CheckPredicate, 15, 40, 40, // Skip to: 14548
-/* 4268 */    MCD_OPC_Decode, 186, 10, 102, // Opcode: VMLSv2i32
-/* 4272 */    MCD_OPC_FilterValue, 1, 32, 40, // Skip to: 14548
-/* 4276 */    MCD_OPC_CheckPredicate, 15, 28, 40, // Skip to: 14548
-/* 4280 */    MCD_OPC_Decode, 188, 10, 103, // Opcode: VMLSv4i32
-/* 4284 */    MCD_OPC_FilterValue, 231, 3, 19, 40, // Skip to: 14548
-/* 4289 */    MCD_OPC_CheckPredicate, 15, 15, 40, // Skip to: 14548
-/* 4293 */    MCD_OPC_CheckField, 6, 1, 1, 9, 40, // Skip to: 14548
-/* 4299 */    MCD_OPC_Decode, 254, 10, 114, // Opcode: VMULslfq
+/* 4264 */    MCD_OPC_CheckPredicate, 16, 63, 40, // Skip to: 14571
+/* 4268 */    MCD_OPC_Decode, 193, 10, 104, // Opcode: VMLSv2i32
+/* 4272 */    MCD_OPC_FilterValue, 1, 55, 40, // Skip to: 14571
+/* 4276 */    MCD_OPC_CheckPredicate, 16, 51, 40, // Skip to: 14571
+/* 4280 */    MCD_OPC_Decode, 195, 10, 105, // Opcode: VMLSv4i32
+/* 4284 */    MCD_OPC_FilterValue, 231, 3, 42, 40, // Skip to: 14571
+/* 4289 */    MCD_OPC_CheckPredicate, 16, 38, 40, // Skip to: 14571
+/* 4293 */    MCD_OPC_CheckField, 6, 1, 1, 32, 40, // Skip to: 14571
+/* 4299 */    MCD_OPC_Decode, 133, 11, 116, // Opcode: VMULslfq
 /* 4303 */    MCD_OPC_FilterValue, 10, 105, 0, // Skip to: 4412
 /* 4307 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4310 */    MCD_OPC_FilterValue, 228, 3, 14, 0, // Skip to: 4329
-/* 4315 */    MCD_OPC_CheckPredicate, 15, 245, 39, // Skip to: 14548
-/* 4319 */    MCD_OPC_CheckField, 6, 1, 0, 239, 39, // Skip to: 14548
-/* 4325 */    MCD_OPC_Decode, 197, 11, 94, // Opcode: VPMAXs32
+/* 4315 */    MCD_OPC_CheckPredicate, 16, 12, 40, // Skip to: 14571
+/* 4319 */    MCD_OPC_CheckField, 6, 1, 0, 6, 40, // Skip to: 14571
+/* 4325 */    MCD_OPC_Decode, 204, 11, 96, // Opcode: VPMAXs32
 /* 4329 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 4361
 /* 4334 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4337 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4349
-/* 4341 */    MCD_OPC_CheckPredicate, 15, 219, 39, // Skip to: 14548
-/* 4345 */    MCD_OPC_Decode, 170, 10, 101, // Opcode: VMLSLsv2i64
-/* 4349 */    MCD_OPC_FilterValue, 1, 211, 39, // Skip to: 14548
-/* 4353 */    MCD_OPC_CheckPredicate, 15, 207, 39, // Skip to: 14548
-/* 4357 */    MCD_OPC_Decode, 238, 10, 115, // Opcode: VMULLslsv2i32
+/* 4341 */    MCD_OPC_CheckPredicate, 16, 242, 39, // Skip to: 14571
+/* 4345 */    MCD_OPC_Decode, 177, 10, 103, // Opcode: VMLSLsv2i64
+/* 4349 */    MCD_OPC_FilterValue, 1, 234, 39, // Skip to: 14571
+/* 4353 */    MCD_OPC_CheckPredicate, 16, 230, 39, // Skip to: 14571
+/* 4357 */    MCD_OPC_Decode, 245, 10, 117, // Opcode: VMULLslsv2i32
 /* 4361 */    MCD_OPC_FilterValue, 230, 3, 14, 0, // Skip to: 4380
-/* 4366 */    MCD_OPC_CheckPredicate, 15, 194, 39, // Skip to: 14548
-/* 4370 */    MCD_OPC_CheckField, 6, 1, 0, 188, 39, // Skip to: 14548
-/* 4376 */    MCD_OPC_Decode, 200, 11, 94, // Opcode: VPMAXu32
-/* 4380 */    MCD_OPC_FilterValue, 231, 3, 179, 39, // Skip to: 14548
+/* 4366 */    MCD_OPC_CheckPredicate, 16, 217, 39, // Skip to: 14571
+/* 4370 */    MCD_OPC_CheckField, 6, 1, 0, 211, 39, // Skip to: 14571
+/* 4376 */    MCD_OPC_Decode, 207, 11, 96, // Opcode: VPMAXu32
+/* 4380 */    MCD_OPC_FilterValue, 231, 3, 202, 39, // Skip to: 14571
 /* 4385 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4388 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4400
-/* 4392 */    MCD_OPC_CheckPredicate, 15, 168, 39, // Skip to: 14548
-/* 4396 */    MCD_OPC_Decode, 173, 10, 101, // Opcode: VMLSLuv2i64
-/* 4400 */    MCD_OPC_FilterValue, 1, 160, 39, // Skip to: 14548
-/* 4404 */    MCD_OPC_CheckPredicate, 15, 156, 39, // Skip to: 14548
-/* 4408 */    MCD_OPC_Decode, 240, 10, 115, // Opcode: VMULLsluv2i32
+/* 4392 */    MCD_OPC_CheckPredicate, 16, 191, 39, // Skip to: 14571
+/* 4396 */    MCD_OPC_Decode, 180, 10, 103, // Opcode: VMLSLuv2i64
+/* 4400 */    MCD_OPC_FilterValue, 1, 183, 39, // Skip to: 14571
+/* 4404 */    MCD_OPC_CheckPredicate, 16, 179, 39, // Skip to: 14571
+/* 4408 */    MCD_OPC_Decode, 247, 10, 117, // Opcode: VMULLsluv2i32
 /* 4412 */    MCD_OPC_FilterValue, 11, 99, 0, // Skip to: 4515
 /* 4416 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4419 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 4451
 /* 4424 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4427 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4439
-/* 4431 */    MCD_OPC_CheckPredicate, 15, 129, 39, // Skip to: 14548
-/* 4435 */    MCD_OPC_Decode, 243, 11, 94, // Opcode: VQDMULHv2i32
-/* 4439 */    MCD_OPC_FilterValue, 1, 121, 39, // Skip to: 14548
-/* 4443 */    MCD_OPC_CheckPredicate, 15, 117, 39, // Skip to: 14548
-/* 4447 */    MCD_OPC_Decode, 245, 11, 95, // Opcode: VQDMULHv4i32
+/* 4431 */    MCD_OPC_CheckPredicate, 16, 152, 39, // Skip to: 14571
+/* 4435 */    MCD_OPC_Decode, 250, 11, 96, // Opcode: VQDMULHv2i32
+/* 4439 */    MCD_OPC_FilterValue, 1, 144, 39, // Skip to: 14571
+/* 4443 */    MCD_OPC_CheckPredicate, 16, 140, 39, // Skip to: 14571
+/* 4447 */    MCD_OPC_Decode, 252, 11, 97, // Opcode: VQDMULHv4i32
 /* 4451 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 4483
 /* 4456 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4459 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4471
-/* 4463 */    MCD_OPC_CheckPredicate, 15, 97, 39, // Skip to: 14548
-/* 4467 */    MCD_OPC_Decode, 237, 11, 101, // Opcode: VQDMLSLv2i64
-/* 4471 */    MCD_OPC_FilterValue, 1, 89, 39, // Skip to: 14548
-/* 4475 */    MCD_OPC_CheckPredicate, 15, 85, 39, // Skip to: 14548
-/* 4479 */    MCD_OPC_Decode, 247, 11, 115, // Opcode: VQDMULLslv2i32
-/* 4483 */    MCD_OPC_FilterValue, 230, 3, 76, 39, // Skip to: 14548
+/* 4463 */    MCD_OPC_CheckPredicate, 16, 120, 39, // Skip to: 14571
+/* 4467 */    MCD_OPC_Decode, 244, 11, 103, // Opcode: VQDMLSLv2i64
+/* 4471 */    MCD_OPC_FilterValue, 1, 112, 39, // Skip to: 14571
+/* 4475 */    MCD_OPC_CheckPredicate, 16, 108, 39, // Skip to: 14571
+/* 4479 */    MCD_OPC_Decode, 254, 11, 117, // Opcode: VQDMULLslv2i32
+/* 4483 */    MCD_OPC_FilterValue, 230, 3, 99, 39, // Skip to: 14571
 /* 4488 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4491 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4503
-/* 4495 */    MCD_OPC_CheckPredicate, 15, 65, 39, // Skip to: 14548
-/* 4499 */    MCD_OPC_Decode, 142, 12, 94, // Opcode: VQRDMULHv2i32
-/* 4503 */    MCD_OPC_FilterValue, 1, 57, 39, // Skip to: 14548
-/* 4507 */    MCD_OPC_CheckPredicate, 15, 53, 39, // Skip to: 14548
-/* 4511 */    MCD_OPC_Decode, 144, 12, 95, // Opcode: VQRDMULHv4i32
+/* 4495 */    MCD_OPC_CheckPredicate, 16, 88, 39, // Skip to: 14571
+/* 4499 */    MCD_OPC_Decode, 149, 12, 96, // Opcode: VQRDMULHv2i32
+/* 4503 */    MCD_OPC_FilterValue, 1, 80, 39, // Skip to: 14571
+/* 4507 */    MCD_OPC_CheckPredicate, 16, 76, 39, // Skip to: 14571
+/* 4511 */    MCD_OPC_Decode, 151, 12, 97, // Opcode: VQRDMULHv4i32
 /* 4515 */    MCD_OPC_FilterValue, 12, 69, 0, // Skip to: 4588
 /* 4519 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4522 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 4555
 /* 4526 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4529 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 4542
-/* 4534 */    MCD_OPC_CheckPredicate, 15, 26, 39, // Skip to: 14548
-/* 4538 */    MCD_OPC_Decode, 242, 10, 96, // Opcode: VMULLsv2i64
-/* 4542 */    MCD_OPC_FilterValue, 231, 3, 17, 39, // Skip to: 14548
-/* 4547 */    MCD_OPC_CheckPredicate, 15, 13, 39, // Skip to: 14548
-/* 4551 */    MCD_OPC_Decode, 245, 10, 96, // Opcode: VMULLuv2i64
-/* 4555 */    MCD_OPC_FilterValue, 1, 5, 39, // Skip to: 14548
+/* 4534 */    MCD_OPC_CheckPredicate, 16, 49, 39, // Skip to: 14571
+/* 4538 */    MCD_OPC_Decode, 249, 10, 98, // Opcode: VMULLsv2i64
+/* 4542 */    MCD_OPC_FilterValue, 231, 3, 40, 39, // Skip to: 14571
+/* 4547 */    MCD_OPC_CheckPredicate, 16, 36, 39, // Skip to: 14571
+/* 4551 */    MCD_OPC_Decode, 252, 10, 98, // Opcode: VMULLuv2i64
+/* 4555 */    MCD_OPC_FilterValue, 1, 28, 39, // Skip to: 14571
 /* 4559 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4562 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 4575
-/* 4567 */    MCD_OPC_CheckPredicate, 15, 249, 38, // Skip to: 14548
-/* 4571 */    MCD_OPC_Decode, 239, 11, 113, // Opcode: VQDMULHslv2i32
-/* 4575 */    MCD_OPC_FilterValue, 231, 3, 240, 38, // Skip to: 14548
-/* 4580 */    MCD_OPC_CheckPredicate, 15, 236, 38, // Skip to: 14548
-/* 4584 */    MCD_OPC_Decode, 241, 11, 114, // Opcode: VQDMULHslv4i32
+/* 4567 */    MCD_OPC_CheckPredicate, 16, 16, 39, // Skip to: 14571
+/* 4571 */    MCD_OPC_Decode, 246, 11, 115, // Opcode: VQDMULHslv2i32
+/* 4575 */    MCD_OPC_FilterValue, 231, 3, 7, 39, // Skip to: 14571
+/* 4580 */    MCD_OPC_CheckPredicate, 16, 3, 39, // Skip to: 14571
+/* 4584 */    MCD_OPC_Decode, 248, 11, 116, // Opcode: VQDMULHslv4i32
 /* 4588 */    MCD_OPC_FilterValue, 13, 118, 0, // Skip to: 4710
 /* 4592 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4595 */    MCD_OPC_FilterValue, 228, 3, 27, 0, // Skip to: 4627
 /* 4600 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4603 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4615
-/* 4607 */    MCD_OPC_CheckPredicate, 15, 209, 38, // Skip to: 14548
-/* 4611 */    MCD_OPC_Decode, 150, 17, 94, // Opcode: VSUBfd
-/* 4615 */    MCD_OPC_FilterValue, 1, 201, 38, // Skip to: 14548
-/* 4619 */    MCD_OPC_CheckPredicate, 15, 197, 38, // Skip to: 14548
-/* 4623 */    MCD_OPC_Decode, 151, 17, 95, // Opcode: VSUBfq
+/* 4607 */    MCD_OPC_CheckPredicate, 16, 232, 38, // Skip to: 14571
+/* 4611 */    MCD_OPC_Decode, 157, 17, 96, // Opcode: VSUBfd
+/* 4615 */    MCD_OPC_FilterValue, 1, 224, 38, // Skip to: 14571
+/* 4619 */    MCD_OPC_CheckPredicate, 16, 220, 38, // Skip to: 14571
+/* 4623 */    MCD_OPC_Decode, 158, 17, 97, // Opcode: VSUBfq
 /* 4627 */    MCD_OPC_FilterValue, 229, 3, 27, 0, // Skip to: 4659
 /* 4632 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4635 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4647
-/* 4639 */    MCD_OPC_CheckPredicate, 15, 177, 38, // Skip to: 14548
-/* 4643 */    MCD_OPC_Decode, 249, 11, 96, // Opcode: VQDMULLv2i64
-/* 4647 */    MCD_OPC_FilterValue, 1, 169, 38, // Skip to: 14548
-/* 4651 */    MCD_OPC_CheckPredicate, 15, 165, 38, // Skip to: 14548
-/* 4655 */    MCD_OPC_Decode, 138, 12, 113, // Opcode: VQRDMULHslv2i32
+/* 4639 */    MCD_OPC_CheckPredicate, 16, 200, 38, // Skip to: 14571
+/* 4643 */    MCD_OPC_Decode, 128, 12, 98, // Opcode: VQDMULLv2i64
+/* 4647 */    MCD_OPC_FilterValue, 1, 192, 38, // Skip to: 14571
+/* 4651 */    MCD_OPC_CheckPredicate, 16, 188, 38, // Skip to: 14571
+/* 4655 */    MCD_OPC_Decode, 145, 12, 115, // Opcode: VQRDMULHslv2i32
 /* 4659 */    MCD_OPC_FilterValue, 230, 3, 27, 0, // Skip to: 4691
 /* 4664 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4667 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4679
-/* 4671 */    MCD_OPC_CheckPredicate, 15, 145, 38, // Skip to: 14548
-/* 4675 */    MCD_OPC_Decode, 157, 4, 94, // Opcode: VABDfd
-/* 4679 */    MCD_OPC_FilterValue, 1, 137, 38, // Skip to: 14548
-/* 4683 */    MCD_OPC_CheckPredicate, 15, 133, 38, // Skip to: 14548
-/* 4687 */    MCD_OPC_Decode, 158, 4, 95, // Opcode: VABDfq
-/* 4691 */    MCD_OPC_FilterValue, 231, 3, 124, 38, // Skip to: 14548
-/* 4696 */    MCD_OPC_CheckPredicate, 15, 120, 38, // Skip to: 14548
-/* 4700 */    MCD_OPC_CheckField, 6, 1, 1, 114, 38, // Skip to: 14548
-/* 4706 */    MCD_OPC_Decode, 140, 12, 114, // Opcode: VQRDMULHslv4i32
+/* 4671 */    MCD_OPC_CheckPredicate, 16, 168, 38, // Skip to: 14571
+/* 4675 */    MCD_OPC_Decode, 164, 4, 96, // Opcode: VABDfd
+/* 4679 */    MCD_OPC_FilterValue, 1, 160, 38, // Skip to: 14571
+/* 4683 */    MCD_OPC_CheckPredicate, 16, 156, 38, // Skip to: 14571
+/* 4687 */    MCD_OPC_Decode, 165, 4, 97, // Opcode: VABDfq
+/* 4691 */    MCD_OPC_FilterValue, 231, 3, 147, 38, // Skip to: 14571
+/* 4696 */    MCD_OPC_CheckPredicate, 16, 143, 38, // Skip to: 14571
+/* 4700 */    MCD_OPC_CheckField, 6, 1, 1, 137, 38, // Skip to: 14571
+/* 4706 */    MCD_OPC_Decode, 147, 12, 116, // Opcode: VQRDMULHslv4i32
 /* 4710 */    MCD_OPC_FilterValue, 14, 55, 0, // Skip to: 4769
 /* 4714 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4717 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 4750
 /* 4721 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4724 */    MCD_OPC_FilterValue, 229, 3, 8, 0, // Skip to: 4737
-/* 4729 */    MCD_OPC_CheckPredicate, 16, 87, 38, // Skip to: 14548
-/* 4733 */    MCD_OPC_Decode, 236, 10, 96, // Opcode: VMULLp64
-/* 4737 */    MCD_OPC_FilterValue, 230, 3, 78, 38, // Skip to: 14548
-/* 4742 */    MCD_OPC_CheckPredicate, 15, 74, 38, // Skip to: 14548
-/* 4746 */    MCD_OPC_Decode, 136, 5, 94, // Opcode: VCGTfd
-/* 4750 */    MCD_OPC_FilterValue, 1, 66, 38, // Skip to: 14548
-/* 4754 */    MCD_OPC_CheckPredicate, 15, 62, 38, // Skip to: 14548
-/* 4758 */    MCD_OPC_CheckField, 23, 9, 230, 3, 55, 38, // Skip to: 14548
-/* 4765 */    MCD_OPC_Decode, 137, 5, 95, // Opcode: VCGTfq
-/* 4769 */    MCD_OPC_FilterValue, 15, 47, 38, // Skip to: 14548
+/* 4729 */    MCD_OPC_CheckPredicate, 17, 110, 38, // Skip to: 14571
+/* 4733 */    MCD_OPC_Decode, 243, 10, 98, // Opcode: VMULLp64
+/* 4737 */    MCD_OPC_FilterValue, 230, 3, 101, 38, // Skip to: 14571
+/* 4742 */    MCD_OPC_CheckPredicate, 16, 97, 38, // Skip to: 14571
+/* 4746 */    MCD_OPC_Decode, 143, 5, 96, // Opcode: VCGTfd
+/* 4750 */    MCD_OPC_FilterValue, 1, 89, 38, // Skip to: 14571
+/* 4754 */    MCD_OPC_CheckPredicate, 16, 85, 38, // Skip to: 14571
+/* 4758 */    MCD_OPC_CheckField, 23, 9, 230, 3, 78, 38, // Skip to: 14571
+/* 4765 */    MCD_OPC_Decode, 144, 5, 97, // Opcode: VCGTfq
+/* 4769 */    MCD_OPC_FilterValue, 15, 70, 38, // Skip to: 14571
 /* 4773 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4776 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 4809
 /* 4780 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4783 */    MCD_OPC_FilterValue, 228, 3, 8, 0, // Skip to: 4796
-/* 4788 */    MCD_OPC_CheckPredicate, 15, 28, 38, // Skip to: 14548
-/* 4792 */    MCD_OPC_Decode, 253, 9, 94, // Opcode: VMINfd
-/* 4796 */    MCD_OPC_FilterValue, 230, 3, 19, 38, // Skip to: 14548
-/* 4801 */    MCD_OPC_CheckPredicate, 15, 15, 38, // Skip to: 14548
-/* 4805 */    MCD_OPC_Decode, 202, 11, 94, // Opcode: VPMINf
-/* 4809 */    MCD_OPC_FilterValue, 1, 7, 38, // Skip to: 14548
-/* 4813 */    MCD_OPC_CheckPredicate, 15, 3, 38, // Skip to: 14548
-/* 4817 */    MCD_OPC_CheckField, 23, 9, 228, 3, 252, 37, // Skip to: 14548
-/* 4824 */    MCD_OPC_Decode, 254, 9, 95, // Opcode: VMINfq
-/* 4828 */    MCD_OPC_FilterValue, 3, 244, 37, // Skip to: 14548
+/* 4788 */    MCD_OPC_CheckPredicate, 16, 51, 38, // Skip to: 14571
+/* 4792 */    MCD_OPC_Decode, 132, 10, 96, // Opcode: VMINfd
+/* 4796 */    MCD_OPC_FilterValue, 230, 3, 42, 38, // Skip to: 14571
+/* 4801 */    MCD_OPC_CheckPredicate, 16, 38, 38, // Skip to: 14571
+/* 4805 */    MCD_OPC_Decode, 209, 11, 96, // Opcode: VPMINf
+/* 4809 */    MCD_OPC_FilterValue, 1, 30, 38, // Skip to: 14571
+/* 4813 */    MCD_OPC_CheckPredicate, 16, 26, 38, // Skip to: 14571
+/* 4817 */    MCD_OPC_CheckField, 23, 9, 228, 3, 19, 38, // Skip to: 14571
+/* 4824 */    MCD_OPC_Decode, 133, 10, 97, // Opcode: VMINfq
+/* 4828 */    MCD_OPC_FilterValue, 3, 11, 38, // Skip to: 14571
 /* 4832 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4835 */    MCD_OPC_FilterValue, 228, 3, 96, 0, // Skip to: 4936
 /* 4840 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 4843 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 4874
 /* 4847 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4850 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4862
-/* 4854 */    MCD_OPC_CheckPredicate, 15, 218, 37, // Skip to: 14548
-/* 4858 */    MCD_OPC_Decode, 128, 14, 98, // Opcode: VSHLsv1i64
-/* 4862 */    MCD_OPC_FilterValue, 1, 210, 37, // Skip to: 14548
-/* 4866 */    MCD_OPC_CheckPredicate, 15, 206, 37, // Skip to: 14548
-/* 4870 */    MCD_OPC_Decode, 130, 14, 99, // Opcode: VSHLsv2i64
+/* 4854 */    MCD_OPC_CheckPredicate, 16, 241, 37, // Skip to: 14571
+/* 4858 */    MCD_OPC_Decode, 135, 14, 100, // Opcode: VSHLsv1i64
+/* 4862 */    MCD_OPC_FilterValue, 1, 233, 37, // Skip to: 14571
+/* 4866 */    MCD_OPC_CheckPredicate, 16, 229, 37, // Skip to: 14571
+/* 4870 */    MCD_OPC_Decode, 137, 14, 101, // Opcode: VSHLsv2i64
 /* 4874 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 4905
 /* 4878 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4881 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4893
-/* 4885 */    MCD_OPC_CheckPredicate, 15, 187, 37, // Skip to: 14548
-/* 4889 */    MCD_OPC_Decode, 168, 13, 98, // Opcode: VRSHLsv1i64
-/* 4893 */    MCD_OPC_FilterValue, 1, 179, 37, // Skip to: 14548
-/* 4897 */    MCD_OPC_CheckPredicate, 15, 175, 37, // Skip to: 14548
-/* 4901 */    MCD_OPC_Decode, 170, 13, 99, // Opcode: VRSHLsv2i64
-/* 4905 */    MCD_OPC_FilterValue, 8, 167, 37, // Skip to: 14548
+/* 4885 */    MCD_OPC_CheckPredicate, 16, 210, 37, // Skip to: 14571
+/* 4889 */    MCD_OPC_Decode, 175, 13, 100, // Opcode: VRSHLsv1i64
+/* 4893 */    MCD_OPC_FilterValue, 1, 202, 37, // Skip to: 14571
+/* 4897 */    MCD_OPC_CheckPredicate, 16, 198, 37, // Skip to: 14571
+/* 4901 */    MCD_OPC_Decode, 177, 13, 101, // Opcode: VRSHLsv2i64
+/* 4905 */    MCD_OPC_FilterValue, 8, 190, 37, // Skip to: 14571
 /* 4909 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4912 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4924
-/* 4916 */    MCD_OPC_CheckPredicate, 15, 156, 37, // Skip to: 14548
-/* 4920 */    MCD_OPC_Decode, 205, 4, 94, // Opcode: VADDv1i64
-/* 4924 */    MCD_OPC_FilterValue, 1, 148, 37, // Skip to: 14548
-/* 4928 */    MCD_OPC_CheckPredicate, 15, 144, 37, // Skip to: 14548
-/* 4932 */    MCD_OPC_Decode, 207, 4, 95, // Opcode: VADDv2i64
+/* 4916 */    MCD_OPC_CheckPredicate, 16, 179, 37, // Skip to: 14571
+/* 4920 */    MCD_OPC_Decode, 212, 4, 96, // Opcode: VADDv1i64
+/* 4924 */    MCD_OPC_FilterValue, 1, 171, 37, // Skip to: 14571
+/* 4928 */    MCD_OPC_CheckPredicate, 16, 167, 37, // Skip to: 14571
+/* 4932 */    MCD_OPC_Decode, 214, 4, 97, // Opcode: VADDv2i64
 /* 4936 */    MCD_OPC_FilterValue, 229, 3, 104, 0, // Skip to: 5045
 /* 4941 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4944 */    MCD_OPC_FilterValue, 0, 43, 0, // Skip to: 4991
 /* 4948 */    MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 4951 */    MCD_OPC_FilterValue, 0, 121, 37, // Skip to: 14548
-/* 4955 */    MCD_OPC_CheckPredicate, 15, 10, 0, // Skip to: 4969
+/* 4951 */    MCD_OPC_FilterValue, 0, 144, 37, // Skip to: 14571
+/* 4955 */    MCD_OPC_CheckPredicate, 16, 10, 0, // Skip to: 4969
 /* 4959 */    MCD_OPC_CheckField, 8, 2, 0, 4, 0, // Skip to: 4969
-/* 4965 */    MCD_OPC_Decode, 145, 6, 116, // Opcode: VEXTd32
-/* 4969 */    MCD_OPC_CheckPredicate, 15, 10, 0, // Skip to: 4983
+/* 4965 */    MCD_OPC_Decode, 152, 6, 118, // Opcode: VEXTd32
+/* 4969 */    MCD_OPC_CheckPredicate, 16, 10, 0, // Skip to: 4983
 /* 4973 */    MCD_OPC_CheckField, 8, 1, 0, 4, 0, // Skip to: 4983
-/* 4979 */    MCD_OPC_Decode, 144, 6, 117, // Opcode: VEXTd16
-/* 4983 */    MCD_OPC_CheckPredicate, 15, 89, 37, // Skip to: 14548
-/* 4987 */    MCD_OPC_Decode, 146, 6, 118, // Opcode: VEXTd8
-/* 4991 */    MCD_OPC_FilterValue, 1, 81, 37, // Skip to: 14548
-/* 4995 */    MCD_OPC_CheckPredicate, 15, 10, 0, // Skip to: 5009
+/* 4979 */    MCD_OPC_Decode, 151, 6, 119, // Opcode: VEXTd16
+/* 4983 */    MCD_OPC_CheckPredicate, 16, 112, 37, // Skip to: 14571
+/* 4987 */    MCD_OPC_Decode, 153, 6, 120, // Opcode: VEXTd8
+/* 4991 */    MCD_OPC_FilterValue, 1, 104, 37, // Skip to: 14571
+/* 4995 */    MCD_OPC_CheckPredicate, 16, 10, 0, // Skip to: 5009
 /* 4999 */    MCD_OPC_CheckField, 8, 3, 0, 4, 0, // Skip to: 5009
-/* 5005 */    MCD_OPC_Decode, 149, 6, 119, // Opcode: VEXTq64
-/* 5009 */    MCD_OPC_CheckPredicate, 15, 10, 0, // Skip to: 5023
+/* 5005 */    MCD_OPC_Decode, 156, 6, 121, // Opcode: VEXTq64
+/* 5009 */    MCD_OPC_CheckPredicate, 16, 10, 0, // Skip to: 5023
 /* 5013 */    MCD_OPC_CheckField, 8, 2, 0, 4, 0, // Skip to: 5023
-/* 5019 */    MCD_OPC_Decode, 148, 6, 120, // Opcode: VEXTq32
-/* 5023 */    MCD_OPC_CheckPredicate, 15, 10, 0, // Skip to: 5037
+/* 5019 */    MCD_OPC_Decode, 155, 6, 122, // Opcode: VEXTq32
+/* 5023 */    MCD_OPC_CheckPredicate, 16, 10, 0, // Skip to: 5037
 /* 5027 */    MCD_OPC_CheckField, 8, 1, 0, 4, 0, // Skip to: 5037
-/* 5033 */    MCD_OPC_Decode, 147, 6, 121, // Opcode: VEXTq16
-/* 5037 */    MCD_OPC_CheckPredicate, 15, 35, 37, // Skip to: 14548
-/* 5041 */    MCD_OPC_Decode, 150, 6, 122, // Opcode: VEXTq8
+/* 5033 */    MCD_OPC_Decode, 154, 6, 123, // Opcode: VEXTq16
+/* 5037 */    MCD_OPC_CheckPredicate, 16, 58, 37, // Skip to: 14571
+/* 5041 */    MCD_OPC_Decode, 157, 6, 124, // Opcode: VEXTq8
 /* 5045 */    MCD_OPC_FilterValue, 230, 3, 96, 0, // Skip to: 5146
 /* 5050 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 5053 */    MCD_OPC_FilterValue, 4, 27, 0, // Skip to: 5084
 /* 5057 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 5060 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5072
-/* 5064 */    MCD_OPC_CheckPredicate, 15, 8, 37, // Skip to: 14548
-/* 5068 */    MCD_OPC_Decode, 136, 14, 98, // Opcode: VSHLuv1i64
-/* 5072 */    MCD_OPC_FilterValue, 1, 0, 37, // Skip to: 14548
-/* 5076 */    MCD_OPC_CheckPredicate, 15, 252, 36, // Skip to: 14548
-/* 5080 */    MCD_OPC_Decode, 138, 14, 99, // Opcode: VSHLuv2i64
+/* 5064 */    MCD_OPC_CheckPredicate, 16, 31, 37, // Skip to: 14571
+/* 5068 */    MCD_OPC_Decode, 143, 14, 100, // Opcode: VSHLuv1i64
+/* 5072 */    MCD_OPC_FilterValue, 1, 23, 37, // Skip to: 14571
+/* 5076 */    MCD_OPC_CheckPredicate, 16, 19, 37, // Skip to: 14571
+/* 5080 */    MCD_OPC_Decode, 145, 14, 101, // Opcode: VSHLuv2i64
 /* 5084 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 5115
 /* 5088 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 5091 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5103
-/* 5095 */    MCD_OPC_CheckPredicate, 15, 233, 36, // Skip to: 14548
-/* 5099 */    MCD_OPC_Decode, 176, 13, 98, // Opcode: VRSHLuv1i64
-/* 5103 */    MCD_OPC_FilterValue, 1, 225, 36, // Skip to: 14548
-/* 5107 */    MCD_OPC_CheckPredicate, 15, 221, 36, // Skip to: 14548
-/* 5111 */    MCD_OPC_Decode, 178, 13, 99, // Opcode: VRSHLuv2i64
-/* 5115 */    MCD_OPC_FilterValue, 8, 213, 36, // Skip to: 14548
+/* 5095 */    MCD_OPC_CheckPredicate, 16, 0, 37, // Skip to: 14571
+/* 5099 */    MCD_OPC_Decode, 183, 13, 100, // Opcode: VRSHLuv1i64
+/* 5103 */    MCD_OPC_FilterValue, 1, 248, 36, // Skip to: 14571
+/* 5107 */    MCD_OPC_CheckPredicate, 16, 244, 36, // Skip to: 14571
+/* 5111 */    MCD_OPC_Decode, 185, 13, 101, // Opcode: VRSHLuv2i64
+/* 5115 */    MCD_OPC_FilterValue, 8, 236, 36, // Skip to: 14571
 /* 5119 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 5122 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5134
-/* 5126 */    MCD_OPC_CheckPredicate, 15, 202, 36, // Skip to: 14548
-/* 5130 */    MCD_OPC_Decode, 153, 17, 94, // Opcode: VSUBv1i64
-/* 5134 */    MCD_OPC_FilterValue, 1, 194, 36, // Skip to: 14548
-/* 5138 */    MCD_OPC_CheckPredicate, 15, 190, 36, // Skip to: 14548
-/* 5142 */    MCD_OPC_Decode, 155, 17, 95, // Opcode: VSUBv2i64
-/* 5146 */    MCD_OPC_FilterValue, 231, 3, 181, 36, // Skip to: 14548
+/* 5126 */    MCD_OPC_CheckPredicate, 16, 225, 36, // Skip to: 14571
+/* 5130 */    MCD_OPC_Decode, 160, 17, 96, // Opcode: VSUBv1i64
+/* 5134 */    MCD_OPC_FilterValue, 1, 217, 36, // Skip to: 14571
+/* 5138 */    MCD_OPC_CheckPredicate, 16, 213, 36, // Skip to: 14571
+/* 5142 */    MCD_OPC_Decode, 162, 17, 97, // Opcode: VSUBv2i64
+/* 5146 */    MCD_OPC_FilterValue, 231, 3, 204, 36, // Skip to: 14571
 /* 5151 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 5154 */    MCD_OPC_FilterValue, 0, 170, 1, // Skip to: 5584
+/* 5154 */    MCD_OPC_FilterValue, 0, 174, 1, // Skip to: 5588
 /* 5158 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 5161 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 5216
 /* 5165 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 5168 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5180
-/* 5172 */    MCD_OPC_CheckPredicate, 15, 156, 36, // Skip to: 14548
-/* 5176 */    MCD_OPC_Decode, 253, 12, 123, // Opcode: VREV64d8
+/* 5172 */    MCD_OPC_CheckPredicate, 16, 179, 36, // Skip to: 14571
+/* 5176 */    MCD_OPC_Decode, 132, 13, 125, // Opcode: VREV64d8
 /* 5180 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5192
-/* 5184 */    MCD_OPC_CheckPredicate, 15, 144, 36, // Skip to: 14548
-/* 5188 */    MCD_OPC_Decode, 128, 13, 124, // Opcode: VREV64q8
+/* 5184 */    MCD_OPC_CheckPredicate, 16, 167, 36, // Skip to: 14571
+/* 5188 */    MCD_OPC_Decode, 135, 13, 126, // Opcode: VREV64q8
 /* 5192 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5204
-/* 5196 */    MCD_OPC_CheckPredicate, 15, 132, 36, // Skip to: 14548
-/* 5200 */    MCD_OPC_Decode, 248, 12, 123, // Opcode: VREV32d8
-/* 5204 */    MCD_OPC_FilterValue, 3, 124, 36, // Skip to: 14548
-/* 5208 */    MCD_OPC_CheckPredicate, 15, 120, 36, // Skip to: 14548
-/* 5212 */    MCD_OPC_Decode, 250, 12, 124, // Opcode: VREV32q8
+/* 5196 */    MCD_OPC_CheckPredicate, 16, 155, 36, // Skip to: 14571
+/* 5200 */    MCD_OPC_Decode, 255, 12, 125, // Opcode: VREV32d8
+/* 5204 */    MCD_OPC_FilterValue, 3, 147, 36, // Skip to: 14571
+/* 5208 */    MCD_OPC_CheckPredicate, 16, 143, 36, // Skip to: 14571
+/* 5212 */    MCD_OPC_Decode, 129, 13, 126, // Opcode: VREV32q8
 /* 5216 */    MCD_OPC_FilterValue, 1, 51, 0, // Skip to: 5271
 /* 5220 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 5223 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5235
-/* 5227 */    MCD_OPC_CheckPredicate, 15, 101, 36, // Skip to: 14548
-/* 5231 */    MCD_OPC_Decode, 157, 5, 123, // Opcode: VCGTzv8i8
+/* 5227 */    MCD_OPC_CheckPredicate, 16, 124, 36, // Skip to: 14571
+/* 5231 */    MCD_OPC_Decode, 164, 5, 125, // Opcode: VCGTzv8i8
 /* 5235 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5247
-/* 5239 */    MCD_OPC_CheckPredicate, 15, 89, 36, // Skip to: 14548
-/* 5243 */    MCD_OPC_Decode, 150, 5, 124, // Opcode: VCGTzv16i8
+/* 5239 */    MCD_OPC_CheckPredicate, 16, 112, 36, // Skip to: 14571
+/* 5243 */    MCD_OPC_Decode, 157, 5, 126, // Opcode: VCGTzv16i8
 /* 5247 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5259
-/* 5251 */    MCD_OPC_CheckPredicate, 15, 77, 36, // Skip to: 14548
-/* 5255 */    MCD_OPC_Decode, 135, 5, 123, // Opcode: VCGEzv8i8
-/* 5259 */    MCD_OPC_FilterValue, 3, 69, 36, // Skip to: 14548
-/* 5263 */    MCD_OPC_CheckPredicate, 15, 65, 36, // Skip to: 14548
-/* 5267 */    MCD_OPC_Decode, 128, 5, 124, // Opcode: VCGEzv16i8
-/* 5271 */    MCD_OPC_FilterValue, 2, 51, 0, // Skip to: 5326
+/* 5251 */    MCD_OPC_CheckPredicate, 16, 100, 36, // Skip to: 14571
+/* 5255 */    MCD_OPC_Decode, 142, 5, 125, // Opcode: VCGEzv8i8
+/* 5259 */    MCD_OPC_FilterValue, 3, 92, 36, // Skip to: 14571
+/* 5263 */    MCD_OPC_CheckPredicate, 16, 88, 36, // Skip to: 14571
+/* 5267 */    MCD_OPC_Decode, 135, 5, 126, // Opcode: VCGEzv16i8
+/* 5271 */    MCD_OPC_FilterValue, 2, 53, 0, // Skip to: 5328
 /* 5275 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 5278 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5290
-/* 5282 */    MCD_OPC_CheckPredicate, 15, 46, 36, // Skip to: 14548
-/* 5286 */    MCD_OPC_Decode, 160, 17, 125, // Opcode: VSWPd
-/* 5290 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5302
-/* 5294 */    MCD_OPC_CheckPredicate, 15, 34, 36, // Skip to: 14548
-/* 5298 */    MCD_OPC_Decode, 161, 17, 126, // Opcode: VSWPq
-/* 5302 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5314
-/* 5306 */    MCD_OPC_CheckPredicate, 15, 22, 36, // Skip to: 14548
-/* 5310 */    MCD_OPC_Decode, 192, 17, 125, // Opcode: VTRNd8
-/* 5314 */    MCD_OPC_FilterValue, 3, 14, 36, // Skip to: 14548
-/* 5318 */    MCD_OPC_CheckPredicate, 15, 10, 36, // Skip to: 14548
-/* 5322 */    MCD_OPC_Decode, 195, 17, 126, // Opcode: VTRNq8
-/* 5326 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 5381
-/* 5330 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5333 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5345
-/* 5337 */    MCD_OPC_CheckPredicate, 15, 247, 35, // Skip to: 14548
-/* 5341 */    MCD_OPC_Decode, 251, 12, 123, // Opcode: VREV64d16
-/* 5345 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5357
-/* 5349 */    MCD_OPC_CheckPredicate, 15, 235, 35, // Skip to: 14548
-/* 5353 */    MCD_OPC_Decode, 254, 12, 124, // Opcode: VREV64q16
-/* 5357 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5369
-/* 5361 */    MCD_OPC_CheckPredicate, 15, 223, 35, // Skip to: 14548
-/* 5365 */    MCD_OPC_Decode, 247, 12, 123, // Opcode: VREV32d16
-/* 5369 */    MCD_OPC_FilterValue, 3, 215, 35, // Skip to: 14548
-/* 5373 */    MCD_OPC_CheckPredicate, 15, 211, 35, // Skip to: 14548
-/* 5377 */    MCD_OPC_Decode, 249, 12, 124, // Opcode: VREV32q16
-/* 5381 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 5436
-/* 5385 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5388 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5400
-/* 5392 */    MCD_OPC_CheckPredicate, 15, 192, 35, // Skip to: 14548
-/* 5396 */    MCD_OPC_Decode, 154, 5, 123, // Opcode: VCGTzv4i16
-/* 5400 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5412
-/* 5404 */    MCD_OPC_CheckPredicate, 15, 180, 35, // Skip to: 14548
-/* 5408 */    MCD_OPC_Decode, 156, 5, 124, // Opcode: VCGTzv8i16
-/* 5412 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5424
-/* 5416 */    MCD_OPC_CheckPredicate, 15, 168, 35, // Skip to: 14548
-/* 5420 */    MCD_OPC_Decode, 132, 5, 123, // Opcode: VCGEzv4i16
-/* 5424 */    MCD_OPC_FilterValue, 3, 160, 35, // Skip to: 14548
-/* 5428 */    MCD_OPC_CheckPredicate, 15, 156, 35, // Skip to: 14548
-/* 5432 */    MCD_OPC_Decode, 134, 5, 124, // Opcode: VCGEzv8i16
-/* 5436 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 5467
-/* 5440 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5443 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5455
-/* 5447 */    MCD_OPC_CheckPredicate, 15, 137, 35, // Skip to: 14548
-/* 5451 */    MCD_OPC_Decode, 190, 17, 125, // Opcode: VTRNd16
-/* 5455 */    MCD_OPC_FilterValue, 3, 129, 35, // Skip to: 14548
-/* 5459 */    MCD_OPC_CheckPredicate, 15, 125, 35, // Skip to: 14548
-/* 5463 */    MCD_OPC_Decode, 193, 17, 126, // Opcode: VTRNq16
-/* 5467 */    MCD_OPC_FilterValue, 8, 27, 0, // Skip to: 5498
-/* 5471 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5474 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5486
-/* 5478 */    MCD_OPC_CheckPredicate, 15, 106, 35, // Skip to: 14548
-/* 5482 */    MCD_OPC_Decode, 252, 12, 123, // Opcode: VREV64d32
-/* 5486 */    MCD_OPC_FilterValue, 1, 98, 35, // Skip to: 14548
-/* 5490 */    MCD_OPC_CheckPredicate, 15, 94, 35, // Skip to: 14548
-/* 5494 */    MCD_OPC_Decode, 255, 12, 124, // Opcode: VREV64q32
-/* 5498 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 5553
-/* 5502 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5505 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5517
-/* 5509 */    MCD_OPC_CheckPredicate, 15, 75, 35, // Skip to: 14548
-/* 5513 */    MCD_OPC_Decode, 152, 5, 123, // Opcode: VCGTzv2i32
-/* 5517 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5529
-/* 5521 */    MCD_OPC_CheckPredicate, 15, 63, 35, // Skip to: 14548
-/* 5525 */    MCD_OPC_Decode, 155, 5, 124, // Opcode: VCGTzv4i32
-/* 5529 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5541
-/* 5533 */    MCD_OPC_CheckPredicate, 15, 51, 35, // Skip to: 14548
-/* 5537 */    MCD_OPC_Decode, 130, 5, 123, // Opcode: VCGEzv2i32
-/* 5541 */    MCD_OPC_FilterValue, 3, 43, 35, // Skip to: 14548
-/* 5545 */    MCD_OPC_CheckPredicate, 15, 39, 35, // Skip to: 14548
-/* 5549 */    MCD_OPC_Decode, 133, 5, 124, // Opcode: VCGEzv4i32
-/* 5553 */    MCD_OPC_FilterValue, 10, 31, 35, // Skip to: 14548
-/* 5557 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5560 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5572
-/* 5564 */    MCD_OPC_CheckPredicate, 15, 20, 35, // Skip to: 14548
-/* 5568 */    MCD_OPC_Decode, 191, 17, 125, // Opcode: VTRNd32
-/* 5572 */    MCD_OPC_FilterValue, 3, 12, 35, // Skip to: 14548
-/* 5576 */    MCD_OPC_CheckPredicate, 15, 8, 35, // Skip to: 14548
-/* 5580 */    MCD_OPC_Decode, 194, 17, 126, // Opcode: VTRNq32
-/* 5584 */    MCD_OPC_FilterValue, 1, 84, 1, // Skip to: 5928
-/* 5588 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 5591 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5622
-/* 5595 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5598 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5610
-/* 5602 */    MCD_OPC_CheckPredicate, 15, 238, 34, // Skip to: 14548
-/* 5606 */    MCD_OPC_Decode, 245, 12, 123, // Opcode: VREV16d8
-/* 5610 */    MCD_OPC_FilterValue, 1, 230, 34, // Skip to: 14548
-/* 5614 */    MCD_OPC_CheckPredicate, 15, 226, 34, // Skip to: 14548
-/* 5618 */    MCD_OPC_Decode, 246, 12, 124, // Opcode: VREV16q8
-/* 5622 */    MCD_OPC_FilterValue, 1, 51, 0, // Skip to: 5677
-/* 5626 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5629 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5641
-/* 5633 */    MCD_OPC_CheckPredicate, 15, 207, 34, // Skip to: 14548
-/* 5637 */    MCD_OPC_Decode, 241, 4, 123, // Opcode: VCEQzv8i8
-/* 5641 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5653
-/* 5645 */    MCD_OPC_CheckPredicate, 15, 195, 34, // Skip to: 14548
-/* 5649 */    MCD_OPC_Decode, 234, 4, 124, // Opcode: VCEQzv16i8
-/* 5653 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5665
-/* 5657 */    MCD_OPC_CheckPredicate, 15, 183, 34, // Skip to: 14548
-/* 5661 */    MCD_OPC_Decode, 165, 5, 123, // Opcode: VCLEzv8i8
-/* 5665 */    MCD_OPC_FilterValue, 3, 175, 34, // Skip to: 14548
-/* 5669 */    MCD_OPC_CheckPredicate, 15, 171, 34, // Skip to: 14548
-/* 5673 */    MCD_OPC_Decode, 158, 5, 124, // Opcode: VCLEzv16i8
-/* 5677 */    MCD_OPC_FilterValue, 2, 51, 0, // Skip to: 5732
-/* 5681 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5684 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5696
-/* 5688 */    MCD_OPC_CheckPredicate, 15, 152, 34, // Skip to: 14548
-/* 5692 */    MCD_OPC_Decode, 209, 17, 125, // Opcode: VUZPd8
-/* 5696 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5708
-/* 5700 */    MCD_OPC_CheckPredicate, 15, 140, 34, // Skip to: 14548
-/* 5704 */    MCD_OPC_Decode, 212, 17, 126, // Opcode: VUZPq8
-/* 5708 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5720
-/* 5712 */    MCD_OPC_CheckPredicate, 15, 128, 34, // Skip to: 14548
-/* 5716 */    MCD_OPC_Decode, 214, 17, 125, // Opcode: VZIPd8
-/* 5720 */    MCD_OPC_FilterValue, 3, 120, 34, // Skip to: 14548
-/* 5724 */    MCD_OPC_CheckPredicate, 15, 116, 34, // Skip to: 14548
-/* 5728 */    MCD_OPC_Decode, 217, 17, 126, // Opcode: VZIPq8
-/* 5732 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 5787
-/* 5736 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5739 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5751
-/* 5743 */    MCD_OPC_CheckPredicate, 15, 97, 34, // Skip to: 14548
-/* 5747 */    MCD_OPC_Decode, 238, 4, 123, // Opcode: VCEQzv4i16
-/* 5751 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5763
-/* 5755 */    MCD_OPC_CheckPredicate, 15, 85, 34, // Skip to: 14548
-/* 5759 */    MCD_OPC_Decode, 240, 4, 124, // Opcode: VCEQzv8i16
-/* 5763 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5775
-/* 5767 */    MCD_OPC_CheckPredicate, 15, 73, 34, // Skip to: 14548
-/* 5771 */    MCD_OPC_Decode, 162, 5, 123, // Opcode: VCLEzv4i16
-/* 5775 */    MCD_OPC_FilterValue, 3, 65, 34, // Skip to: 14548
-/* 5779 */    MCD_OPC_CheckPredicate, 15, 61, 34, // Skip to: 14548
-/* 5783 */    MCD_OPC_Decode, 164, 5, 124, // Opcode: VCLEzv8i16
-/* 5787 */    MCD_OPC_FilterValue, 6, 51, 0, // Skip to: 5842
-/* 5791 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5794 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5806
-/* 5798 */    MCD_OPC_CheckPredicate, 15, 42, 34, // Skip to: 14548
-/* 5802 */    MCD_OPC_Decode, 208, 17, 125, // Opcode: VUZPd16
-/* 5806 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5818
-/* 5810 */    MCD_OPC_CheckPredicate, 15, 30, 34, // Skip to: 14548
-/* 5814 */    MCD_OPC_Decode, 210, 17, 126, // Opcode: VUZPq16
-/* 5818 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5830
-/* 5822 */    MCD_OPC_CheckPredicate, 15, 18, 34, // Skip to: 14548
-/* 5826 */    MCD_OPC_Decode, 213, 17, 125, // Opcode: VZIPd16
-/* 5830 */    MCD_OPC_FilterValue, 3, 10, 34, // Skip to: 14548
-/* 5834 */    MCD_OPC_CheckPredicate, 15, 6, 34, // Skip to: 14548
-/* 5838 */    MCD_OPC_Decode, 215, 17, 126, // Opcode: VZIPq16
-/* 5842 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 5897
-/* 5846 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5849 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5861
-/* 5853 */    MCD_OPC_CheckPredicate, 15, 243, 33, // Skip to: 14548
-/* 5857 */    MCD_OPC_Decode, 236, 4, 123, // Opcode: VCEQzv2i32
-/* 5861 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5873
-/* 5865 */    MCD_OPC_CheckPredicate, 15, 231, 33, // Skip to: 14548
-/* 5869 */    MCD_OPC_Decode, 239, 4, 124, // Opcode: VCEQzv4i32
-/* 5873 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5885
-/* 5877 */    MCD_OPC_CheckPredicate, 15, 219, 33, // Skip to: 14548
-/* 5881 */    MCD_OPC_Decode, 160, 5, 123, // Opcode: VCLEzv2i32
-/* 5885 */    MCD_OPC_FilterValue, 3, 211, 33, // Skip to: 14548
-/* 5889 */    MCD_OPC_CheckPredicate, 15, 207, 33, // Skip to: 14548
-/* 5893 */    MCD_OPC_Decode, 163, 5, 124, // Opcode: VCLEzv4i32
-/* 5897 */    MCD_OPC_FilterValue, 10, 199, 33, // Skip to: 14548
-/* 5901 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5904 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5916
-/* 5908 */    MCD_OPC_CheckPredicate, 15, 188, 33, // Skip to: 14548
-/* 5912 */    MCD_OPC_Decode, 211, 17, 126, // Opcode: VUZPq32
-/* 5916 */    MCD_OPC_FilterValue, 3, 180, 33, // Skip to: 14548
-/* 5920 */    MCD_OPC_CheckPredicate, 15, 176, 33, // Skip to: 14548
-/* 5924 */    MCD_OPC_Decode, 216, 17, 126, // Opcode: VZIPq32
-/* 5928 */    MCD_OPC_FilterValue, 2, 170, 1, // Skip to: 6358
-/* 5932 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 5935 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 5990
-/* 5939 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5942 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5954
-/* 5946 */    MCD_OPC_CheckPredicate, 15, 150, 33, // Skip to: 14548
-/* 5950 */    MCD_OPC_Decode, 184, 11, 123, // Opcode: VPADDLsv8i8
-/* 5954 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5966
-/* 5958 */    MCD_OPC_CheckPredicate, 15, 138, 33, // Skip to: 14548
-/* 5962 */    MCD_OPC_Decode, 179, 11, 124, // Opcode: VPADDLsv16i8
-/* 5966 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5978
-/* 5970 */    MCD_OPC_CheckPredicate, 15, 126, 33, // Skip to: 14548
-/* 5974 */    MCD_OPC_Decode, 190, 11, 123, // Opcode: VPADDLuv8i8
-/* 5978 */    MCD_OPC_FilterValue, 3, 118, 33, // Skip to: 14548
-/* 5982 */    MCD_OPC_CheckPredicate, 15, 114, 33, // Skip to: 14548
-/* 5986 */    MCD_OPC_Decode, 185, 11, 124, // Opcode: VPADDLuv16i8
-/* 5990 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 6021
-/* 5994 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 5997 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6009
-/* 6001 */    MCD_OPC_CheckPredicate, 15, 95, 33, // Skip to: 14548
-/* 6005 */    MCD_OPC_Decode, 179, 5, 123, // Opcode: VCLTzv8i8
-/* 6009 */    MCD_OPC_FilterValue, 1, 87, 33, // Skip to: 14548
-/* 6013 */    MCD_OPC_CheckPredicate, 15, 83, 33, // Skip to: 14548
-/* 6017 */    MCD_OPC_Decode, 172, 5, 124, // Opcode: VCLTzv16i8
-/* 6021 */    MCD_OPC_FilterValue, 2, 51, 0, // Skip to: 6076
-/* 6025 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6028 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6040
-/* 6032 */    MCD_OPC_CheckPredicate, 15, 64, 33, // Skip to: 14548
-/* 6036 */    MCD_OPC_Decode, 203, 10, 127, // Opcode: VMOVNv8i8
-/* 6040 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6052
-/* 6044 */    MCD_OPC_CheckPredicate, 15, 52, 33, // Skip to: 14548
-/* 6048 */    MCD_OPC_Decode, 253, 11, 127, // Opcode: VQMOVNsuv8i8
-/* 6052 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6064
-/* 6056 */    MCD_OPC_CheckPredicate, 15, 40, 33, // Skip to: 14548
-/* 6060 */    MCD_OPC_Decode, 128, 12, 127, // Opcode: VQMOVNsv8i8
-/* 6064 */    MCD_OPC_FilterValue, 3, 32, 33, // Skip to: 14548
-/* 6068 */    MCD_OPC_CheckPredicate, 15, 28, 33, // Skip to: 14548
-/* 6072 */    MCD_OPC_Decode, 131, 12, 127, // Opcode: VQMOVNuv8i8
-/* 6076 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 6131
-/* 6080 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6083 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6095
-/* 6087 */    MCD_OPC_CheckPredicate, 15, 9, 33, // Skip to: 14548
-/* 6091 */    MCD_OPC_Decode, 181, 11, 123, // Opcode: VPADDLsv4i16
-/* 6095 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6107
-/* 6099 */    MCD_OPC_CheckPredicate, 15, 253, 32, // Skip to: 14548
-/* 6103 */    MCD_OPC_Decode, 183, 11, 124, // Opcode: VPADDLsv8i16
-/* 6107 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6119
-/* 6111 */    MCD_OPC_CheckPredicate, 15, 241, 32, // Skip to: 14548
-/* 6115 */    MCD_OPC_Decode, 187, 11, 123, // Opcode: VPADDLuv4i16
-/* 6119 */    MCD_OPC_FilterValue, 3, 233, 32, // Skip to: 14548
-/* 6123 */    MCD_OPC_CheckPredicate, 15, 229, 32, // Skip to: 14548
-/* 6127 */    MCD_OPC_Decode, 189, 11, 124, // Opcode: VPADDLuv8i16
-/* 6131 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 6162
-/* 6135 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6138 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6150
-/* 6142 */    MCD_OPC_CheckPredicate, 15, 210, 32, // Skip to: 14548
-/* 6146 */    MCD_OPC_Decode, 176, 5, 123, // Opcode: VCLTzv4i16
-/* 6150 */    MCD_OPC_FilterValue, 1, 202, 32, // Skip to: 14548
-/* 6154 */    MCD_OPC_CheckPredicate, 15, 198, 32, // Skip to: 14548
-/* 6158 */    MCD_OPC_Decode, 178, 5, 124, // Opcode: VCLTzv8i16
-/* 6162 */    MCD_OPC_FilterValue, 6, 51, 0, // Skip to: 6217
-/* 6166 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6169 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6181
-/* 6173 */    MCD_OPC_CheckPredicate, 15, 179, 32, // Skip to: 14548
-/* 6177 */    MCD_OPC_Decode, 202, 10, 127, // Opcode: VMOVNv4i16
-/* 6181 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6193
-/* 6185 */    MCD_OPC_CheckPredicate, 15, 167, 32, // Skip to: 14548
-/* 6189 */    MCD_OPC_Decode, 252, 11, 127, // Opcode: VQMOVNsuv4i16
-/* 6193 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6205
-/* 6197 */    MCD_OPC_CheckPredicate, 15, 155, 32, // Skip to: 14548
-/* 6201 */    MCD_OPC_Decode, 255, 11, 127, // Opcode: VQMOVNsv4i16
-/* 6205 */    MCD_OPC_FilterValue, 3, 147, 32, // Skip to: 14548
-/* 6209 */    MCD_OPC_CheckPredicate, 15, 143, 32, // Skip to: 14548
-/* 6213 */    MCD_OPC_Decode, 130, 12, 127, // Opcode: VQMOVNuv4i16
-/* 6217 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 6272
-/* 6221 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6224 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6236
-/* 6228 */    MCD_OPC_CheckPredicate, 15, 124, 32, // Skip to: 14548
-/* 6232 */    MCD_OPC_Decode, 180, 11, 123, // Opcode: VPADDLsv2i32
-/* 6236 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6248
-/* 6240 */    MCD_OPC_CheckPredicate, 15, 112, 32, // Skip to: 14548
-/* 6244 */    MCD_OPC_Decode, 182, 11, 124, // Opcode: VPADDLsv4i32
-/* 6248 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6260
-/* 6252 */    MCD_OPC_CheckPredicate, 15, 100, 32, // Skip to: 14548
-/* 6256 */    MCD_OPC_Decode, 186, 11, 123, // Opcode: VPADDLuv2i32
-/* 6260 */    MCD_OPC_FilterValue, 3, 92, 32, // Skip to: 14548
-/* 6264 */    MCD_OPC_CheckPredicate, 15, 88, 32, // Skip to: 14548
-/* 6268 */    MCD_OPC_Decode, 188, 11, 124, // Opcode: VPADDLuv4i32
-/* 6272 */    MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 6303
-/* 6276 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6279 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6291
-/* 6283 */    MCD_OPC_CheckPredicate, 15, 69, 32, // Skip to: 14548
-/* 6287 */    MCD_OPC_Decode, 174, 5, 123, // Opcode: VCLTzv2i32
-/* 6291 */    MCD_OPC_FilterValue, 1, 61, 32, // Skip to: 14548
-/* 6295 */    MCD_OPC_CheckPredicate, 15, 57, 32, // Skip to: 14548
-/* 6299 */    MCD_OPC_Decode, 177, 5, 124, // Opcode: VCLTzv4i32
-/* 6303 */    MCD_OPC_FilterValue, 10, 49, 32, // Skip to: 14548
-/* 6307 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6310 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6322
-/* 6314 */    MCD_OPC_CheckPredicate, 15, 38, 32, // Skip to: 14548
-/* 6318 */    MCD_OPC_Decode, 201, 10, 127, // Opcode: VMOVNv2i32
-/* 6322 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6334
-/* 6326 */    MCD_OPC_CheckPredicate, 15, 26, 32, // Skip to: 14548
-/* 6330 */    MCD_OPC_Decode, 251, 11, 127, // Opcode: VQMOVNsuv2i32
-/* 6334 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6346
-/* 6338 */    MCD_OPC_CheckPredicate, 15, 14, 32, // Skip to: 14548
-/* 6342 */    MCD_OPC_Decode, 254, 11, 127, // Opcode: VQMOVNsv2i32
-/* 6346 */    MCD_OPC_FilterValue, 3, 6, 32, // Skip to: 14548
-/* 6350 */    MCD_OPC_CheckPredicate, 15, 2, 32, // Skip to: 14548
-/* 6354 */    MCD_OPC_Decode, 129, 12, 127, // Opcode: VQMOVNuv2i32
-/* 6358 */    MCD_OPC_FilterValue, 3, 225, 0, // Skip to: 6587
-/* 6362 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 6365 */    MCD_OPC_FilterValue, 1, 51, 0, // Skip to: 6420
-/* 6369 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6372 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6384
-/* 6376 */    MCD_OPC_CheckPredicate, 15, 232, 31, // Skip to: 14548
-/* 6380 */    MCD_OPC_Decode, 180, 4, 123, // Opcode: VABSv8i8
-/* 6384 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6396
-/* 6388 */    MCD_OPC_CheckPredicate, 15, 220, 31, // Skip to: 14548
-/* 6392 */    MCD_OPC_Decode, 175, 4, 124, // Opcode: VABSv16i8
-/* 6396 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6408
-/* 6400 */    MCD_OPC_CheckPredicate, 15, 208, 31, // Skip to: 14548
-/* 6404 */    MCD_OPC_Decode, 151, 11, 123, // Opcode: VNEGs8d
-/* 6408 */    MCD_OPC_FilterValue, 3, 200, 31, // Skip to: 14548
-/* 6412 */    MCD_OPC_CheckPredicate, 15, 196, 31, // Skip to: 14548
-/* 6416 */    MCD_OPC_Decode, 152, 11, 124, // Opcode: VNEGs8q
-/* 6420 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 6439
-/* 6424 */    MCD_OPC_CheckPredicate, 15, 184, 31, // Skip to: 14548
-/* 6428 */    MCD_OPC_CheckField, 6, 2, 0, 178, 31, // Skip to: 14548
-/* 6434 */    MCD_OPC_Decode, 240, 13, 128, 1, // Opcode: VSHLLi8
-/* 6439 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 6494
-/* 6443 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6446 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6458
-/* 6450 */    MCD_OPC_CheckPredicate, 15, 158, 31, // Skip to: 14548
-/* 6454 */    MCD_OPC_Decode, 177, 4, 123, // Opcode: VABSv4i16
-/* 6458 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6470
-/* 6462 */    MCD_OPC_CheckPredicate, 15, 146, 31, // Skip to: 14548
-/* 6466 */    MCD_OPC_Decode, 179, 4, 124, // Opcode: VABSv8i16
-/* 6470 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6482
-/* 6474 */    MCD_OPC_CheckPredicate, 15, 134, 31, // Skip to: 14548
-/* 6478 */    MCD_OPC_Decode, 147, 11, 123, // Opcode: VNEGs16d
-/* 6482 */    MCD_OPC_FilterValue, 3, 126, 31, // Skip to: 14548
-/* 6486 */    MCD_OPC_CheckPredicate, 15, 122, 31, // Skip to: 14548
-/* 6490 */    MCD_OPC_Decode, 148, 11, 124, // Opcode: VNEGs16q
-/* 6494 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 6513
-/* 6498 */    MCD_OPC_CheckPredicate, 15, 110, 31, // Skip to: 14548
-/* 6502 */    MCD_OPC_CheckField, 6, 2, 0, 104, 31, // Skip to: 14548
-/* 6508 */    MCD_OPC_Decode, 238, 13, 128, 1, // Opcode: VSHLLi16
-/* 6513 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 6568
-/* 6517 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6520 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6532
-/* 6524 */    MCD_OPC_CheckPredicate, 15, 84, 31, // Skip to: 14548
-/* 6528 */    MCD_OPC_Decode, 176, 4, 123, // Opcode: VABSv2i32
-/* 6532 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6544
-/* 6536 */    MCD_OPC_CheckPredicate, 15, 72, 31, // Skip to: 14548
-/* 6540 */    MCD_OPC_Decode, 178, 4, 124, // Opcode: VABSv4i32
-/* 6544 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6556
-/* 6548 */    MCD_OPC_CheckPredicate, 15, 60, 31, // Skip to: 14548
-/* 6552 */    MCD_OPC_Decode, 149, 11, 123, // Opcode: VNEGs32d
-/* 6556 */    MCD_OPC_FilterValue, 3, 52, 31, // Skip to: 14548
-/* 6560 */    MCD_OPC_CheckPredicate, 15, 48, 31, // Skip to: 14548
-/* 6564 */    MCD_OPC_Decode, 150, 11, 124, // Opcode: VNEGs32q
-/* 6568 */    MCD_OPC_FilterValue, 10, 40, 31, // Skip to: 14548
-/* 6572 */    MCD_OPC_CheckPredicate, 15, 36, 31, // Skip to: 14548
-/* 6576 */    MCD_OPC_CheckField, 6, 2, 0, 30, 31, // Skip to: 14548
-/* 6582 */    MCD_OPC_Decode, 239, 13, 128, 1, // Opcode: VSHLLi32
-/* 6587 */    MCD_OPC_FilterValue, 4, 22, 1, // Skip to: 6869
-/* 6591 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 6594 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 6649
-/* 6598 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6601 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6613
-/* 6605 */    MCD_OPC_CheckPredicate, 15, 3, 31, // Skip to: 14548
-/* 6609 */    MCD_OPC_Decode, 171, 5, 123, // Opcode: VCLSv8i8
-/* 6613 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6625
-/* 6617 */    MCD_OPC_CheckPredicate, 15, 247, 30, // Skip to: 14548
-/* 6621 */    MCD_OPC_Decode, 166, 5, 124, // Opcode: VCLSv16i8
-/* 6625 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6637
-/* 6629 */    MCD_OPC_CheckPredicate, 15, 235, 30, // Skip to: 14548
-/* 6633 */    MCD_OPC_Decode, 185, 5, 123, // Opcode: VCLZv8i8
-/* 6637 */    MCD_OPC_FilterValue, 3, 227, 30, // Skip to: 14548
-/* 6641 */    MCD_OPC_CheckPredicate, 15, 223, 30, // Skip to: 14548
-/* 6645 */    MCD_OPC_Decode, 180, 5, 124, // Opcode: VCLZv16i8
-/* 6649 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 6704
-/* 6653 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6656 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6668
-/* 6660 */    MCD_OPC_CheckPredicate, 15, 204, 30, // Skip to: 14548
-/* 6664 */    MCD_OPC_Decode, 168, 5, 123, // Opcode: VCLSv4i16
-/* 6668 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6680
-/* 6672 */    MCD_OPC_CheckPredicate, 15, 192, 30, // Skip to: 14548
-/* 6676 */    MCD_OPC_Decode, 170, 5, 124, // Opcode: VCLSv8i16
-/* 6680 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6692
-/* 6684 */    MCD_OPC_CheckPredicate, 15, 180, 30, // Skip to: 14548
-/* 6688 */    MCD_OPC_Decode, 182, 5, 123, // Opcode: VCLZv4i16
-/* 6692 */    MCD_OPC_FilterValue, 3, 172, 30, // Skip to: 14548
-/* 6696 */    MCD_OPC_CheckPredicate, 15, 168, 30, // Skip to: 14548
-/* 6700 */    MCD_OPC_Decode, 184, 5, 124, // Opcode: VCLZv8i16
-/* 6704 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 6759
-/* 6708 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6711 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6723
-/* 6715 */    MCD_OPC_CheckPredicate, 15, 149, 30, // Skip to: 14548
-/* 6719 */    MCD_OPC_Decode, 167, 5, 123, // Opcode: VCLSv2i32
-/* 6723 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6735
-/* 6727 */    MCD_OPC_CheckPredicate, 15, 137, 30, // Skip to: 14548
-/* 6731 */    MCD_OPC_Decode, 169, 5, 124, // Opcode: VCLSv4i32
-/* 6735 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6747
-/* 6739 */    MCD_OPC_CheckPredicate, 15, 125, 30, // Skip to: 14548
-/* 6743 */    MCD_OPC_Decode, 181, 5, 123, // Opcode: VCLZv2i32
-/* 6747 */    MCD_OPC_FilterValue, 3, 117, 30, // Skip to: 14548
-/* 6751 */    MCD_OPC_CheckPredicate, 15, 113, 30, // Skip to: 14548
-/* 6755 */    MCD_OPC_Decode, 183, 5, 124, // Opcode: VCLZv4i32
-/* 6759 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 6814
-/* 6763 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6766 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6778
-/* 6770 */    MCD_OPC_CheckPredicate, 15, 94, 30, // Skip to: 14548
-/* 6774 */    MCD_OPC_Decode, 151, 5, 123, // Opcode: VCGTzv2f32
-/* 6778 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6790
-/* 6782 */    MCD_OPC_CheckPredicate, 15, 82, 30, // Skip to: 14548
-/* 6786 */    MCD_OPC_Decode, 153, 5, 124, // Opcode: VCGTzv4f32
-/* 6790 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6802
-/* 6794 */    MCD_OPC_CheckPredicate, 15, 70, 30, // Skip to: 14548
-/* 6798 */    MCD_OPC_Decode, 129, 5, 123, // Opcode: VCGEzv2f32
-/* 6802 */    MCD_OPC_FilterValue, 3, 62, 30, // Skip to: 14548
-/* 6806 */    MCD_OPC_CheckPredicate, 15, 58, 30, // Skip to: 14548
-/* 6810 */    MCD_OPC_Decode, 131, 5, 124, // Opcode: VCGEzv4f32
-/* 6814 */    MCD_OPC_FilterValue, 11, 50, 30, // Skip to: 14548
-/* 6818 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6821 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6833
-/* 6825 */    MCD_OPC_CheckPredicate, 15, 39, 30, // Skip to: 14548
-/* 6829 */    MCD_OPC_Decode, 239, 12, 123, // Opcode: VRECPEd
-/* 6833 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6845
-/* 6837 */    MCD_OPC_CheckPredicate, 15, 27, 30, // Skip to: 14548
-/* 6841 */    MCD_OPC_Decode, 242, 12, 124, // Opcode: VRECPEq
-/* 6845 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6857
-/* 6849 */    MCD_OPC_CheckPredicate, 15, 15, 30, // Skip to: 14548
-/* 6853 */    MCD_OPC_Decode, 202, 13, 123, // Opcode: VRSQRTEd
-/* 6857 */    MCD_OPC_FilterValue, 3, 7, 30, // Skip to: 14548
-/* 6861 */    MCD_OPC_CheckPredicate, 15, 3, 30, // Skip to: 14548
-/* 6865 */    MCD_OPC_Decode, 205, 13, 124, // Opcode: VRSQRTEq
-/* 6869 */    MCD_OPC_FilterValue, 5, 175, 0, // Skip to: 7048
-/* 6873 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6876 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6919
-/* 6880 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 6883 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6895
-/* 6887 */    MCD_OPC_CheckPredicate, 15, 233, 29, // Skip to: 14548
-/* 6891 */    MCD_OPC_Decode, 194, 5, 123, // Opcode: VCNTd
-/* 6895 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6907
-/* 6899 */    MCD_OPC_CheckPredicate, 15, 221, 29, // Skip to: 14548
-/* 6903 */    MCD_OPC_Decode, 235, 4, 123, // Opcode: VCEQzv2f32
-/* 6907 */    MCD_OPC_FilterValue, 11, 213, 29, // Skip to: 14548
-/* 6911 */    MCD_OPC_CheckPredicate, 15, 209, 29, // Skip to: 14548
-/* 6915 */    MCD_OPC_Decode, 240, 12, 123, // Opcode: VRECPEfd
-/* 6919 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 6962
-/* 6923 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 6926 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6938
-/* 6930 */    MCD_OPC_CheckPredicate, 15, 190, 29, // Skip to: 14548
-/* 6934 */    MCD_OPC_Decode, 195, 5, 124, // Opcode: VCNTq
-/* 6938 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6950
-/* 6942 */    MCD_OPC_CheckPredicate, 15, 178, 29, // Skip to: 14548
-/* 6946 */    MCD_OPC_Decode, 237, 4, 124, // Opcode: VCEQzv4f32
-/* 6950 */    MCD_OPC_FilterValue, 11, 170, 29, // Skip to: 14548
-/* 6954 */    MCD_OPC_CheckPredicate, 15, 166, 29, // Skip to: 14548
-/* 6958 */    MCD_OPC_Decode, 241, 12, 124, // Opcode: VRECPEfq
-/* 6962 */    MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 7005
-/* 6966 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 6969 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6981
-/* 6973 */    MCD_OPC_CheckPredicate, 15, 147, 29, // Skip to: 14548
-/* 6977 */    MCD_OPC_Decode, 137, 11, 123, // Opcode: VMVNd
-/* 6981 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6993
-/* 6985 */    MCD_OPC_CheckPredicate, 15, 135, 29, // Skip to: 14548
-/* 6989 */    MCD_OPC_Decode, 159, 5, 123, // Opcode: VCLEzv2f32
-/* 6993 */    MCD_OPC_FilterValue, 11, 127, 29, // Skip to: 14548
-/* 6997 */    MCD_OPC_CheckPredicate, 15, 123, 29, // Skip to: 14548
-/* 7001 */    MCD_OPC_Decode, 203, 13, 123, // Opcode: VRSQRTEfd
-/* 7005 */    MCD_OPC_FilterValue, 3, 115, 29, // Skip to: 14548
-/* 7009 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 7012 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7024
-/* 7016 */    MCD_OPC_CheckPredicate, 15, 104, 29, // Skip to: 14548
-/* 7020 */    MCD_OPC_Decode, 138, 11, 124, // Opcode: VMVNq
-/* 7024 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7036
-/* 7028 */    MCD_OPC_CheckPredicate, 15, 92, 29, // Skip to: 14548
-/* 7032 */    MCD_OPC_Decode, 161, 5, 124, // Opcode: VCLEzv4f32
-/* 7036 */    MCD_OPC_FilterValue, 11, 84, 29, // Skip to: 14548
-/* 7040 */    MCD_OPC_CheckPredicate, 15, 80, 29, // Skip to: 14548
-/* 7044 */    MCD_OPC_Decode, 204, 13, 124, // Opcode: VRSQRTEfq
-/* 7048 */    MCD_OPC_FilterValue, 6, 28, 1, // Skip to: 7336
-/* 7052 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 7055 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7114
-/* 7059 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7062 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7075
-/* 7066 */    MCD_OPC_CheckPredicate, 15, 54, 29, // Skip to: 14548
-/* 7070 */    MCD_OPC_Decode, 172, 11, 129, 1, // Opcode: VPADALsv8i8
-/* 7075 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7088
-/* 7079 */    MCD_OPC_CheckPredicate, 15, 41, 29, // Skip to: 14548
-/* 7083 */    MCD_OPC_Decode, 167, 11, 130, 1, // Opcode: VPADALsv16i8
-/* 7088 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7101
-/* 7092 */    MCD_OPC_CheckPredicate, 15, 28, 29, // Skip to: 14548
-/* 7096 */    MCD_OPC_Decode, 178, 11, 129, 1, // Opcode: VPADALuv8i8
-/* 7101 */    MCD_OPC_FilterValue, 3, 19, 29, // Skip to: 14548
-/* 7105 */    MCD_OPC_CheckPredicate, 15, 15, 29, // Skip to: 14548
-/* 7109 */    MCD_OPC_Decode, 173, 11, 130, 1, // Opcode: VPADALuv16i8
-/* 7114 */    MCD_OPC_FilterValue, 4, 55, 0, // Skip to: 7173
-/* 7118 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7121 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7134
-/* 7125 */    MCD_OPC_CheckPredicate, 15, 251, 28, // Skip to: 14548
-/* 7129 */    MCD_OPC_Decode, 169, 11, 129, 1, // Opcode: VPADALsv4i16
-/* 7134 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7147
-/* 7138 */    MCD_OPC_CheckPredicate, 15, 238, 28, // Skip to: 14548
-/* 7142 */    MCD_OPC_Decode, 171, 11, 130, 1, // Opcode: VPADALsv8i16
-/* 7147 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7160
-/* 7151 */    MCD_OPC_CheckPredicate, 15, 225, 28, // Skip to: 14548
-/* 7155 */    MCD_OPC_Decode, 175, 11, 129, 1, // Opcode: VPADALuv4i16
-/* 7160 */    MCD_OPC_FilterValue, 3, 216, 28, // Skip to: 14548
-/* 7164 */    MCD_OPC_CheckPredicate, 15, 212, 28, // Skip to: 14548
-/* 7168 */    MCD_OPC_Decode, 177, 11, 130, 1, // Opcode: VPADALuv8i16
-/* 7173 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 7191
-/* 7177 */    MCD_OPC_CheckPredicate, 17, 199, 28, // Skip to: 14548
-/* 7181 */    MCD_OPC_CheckField, 6, 2, 0, 193, 28, // Skip to: 14548
-/* 7187 */    MCD_OPC_Decode, 238, 5, 127, // Opcode: VCVTf2h
-/* 7191 */    MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 7250
-/* 7195 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7198 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7211
-/* 7202 */    MCD_OPC_CheckPredicate, 15, 174, 28, // Skip to: 14548
-/* 7206 */    MCD_OPC_Decode, 168, 11, 129, 1, // Opcode: VPADALsv2i32
-/* 7211 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7224
-/* 7215 */    MCD_OPC_CheckPredicate, 15, 161, 28, // Skip to: 14548
-/* 7219 */    MCD_OPC_Decode, 170, 11, 130, 1, // Opcode: VPADALsv4i32
-/* 7224 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7237
-/* 7228 */    MCD_OPC_CheckPredicate, 15, 148, 28, // Skip to: 14548
-/* 7232 */    MCD_OPC_Decode, 174, 11, 129, 1, // Opcode: VPADALuv2i32
-/* 7237 */    MCD_OPC_FilterValue, 3, 139, 28, // Skip to: 14548
-/* 7241 */    MCD_OPC_CheckPredicate, 15, 135, 28, // Skip to: 14548
-/* 7245 */    MCD_OPC_Decode, 176, 11, 130, 1, // Opcode: VPADALuv4i32
-/* 7250 */    MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 7281
-/* 7254 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7257 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7269
-/* 7261 */    MCD_OPC_CheckPredicate, 15, 115, 28, // Skip to: 14548
-/* 7265 */    MCD_OPC_Decode, 173, 5, 123, // Opcode: VCLTzv2f32
-/* 7269 */    MCD_OPC_FilterValue, 1, 107, 28, // Skip to: 14548
-/* 7273 */    MCD_OPC_CheckPredicate, 15, 103, 28, // Skip to: 14548
-/* 7277 */    MCD_OPC_Decode, 175, 5, 124, // Opcode: VCLTzv4f32
-/* 7281 */    MCD_OPC_FilterValue, 11, 95, 28, // Skip to: 14548
-/* 7285 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7288 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7300
-/* 7292 */    MCD_OPC_CheckPredicate, 15, 84, 28, // Skip to: 14548
-/* 7296 */    MCD_OPC_Decode, 248, 5, 123, // Opcode: VCVTs2fd
-/* 7300 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7312
-/* 7304 */    MCD_OPC_CheckPredicate, 15, 72, 28, // Skip to: 14548
-/* 7308 */    MCD_OPC_Decode, 249, 5, 124, // Opcode: VCVTs2fq
-/* 7312 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7324
-/* 7316 */    MCD_OPC_CheckPredicate, 15, 60, 28, // Skip to: 14548
-/* 7320 */    MCD_OPC_Decode, 250, 5, 123, // Opcode: VCVTu2fd
-/* 7324 */    MCD_OPC_FilterValue, 3, 52, 28, // Skip to: 14548
-/* 7328 */    MCD_OPC_CheckPredicate, 15, 48, 28, // Skip to: 14548
-/* 7332 */    MCD_OPC_Decode, 251, 5, 124, // Opcode: VCVTu2fq
-/* 7336 */    MCD_OPC_FilterValue, 7, 41, 1, // Skip to: 7637
-/* 7340 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 7343 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 7398
-/* 7347 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7350 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7362
-/* 7354 */    MCD_OPC_CheckPredicate, 15, 22, 28, // Skip to: 14548
-/* 7358 */    MCD_OPC_Decode, 214, 11, 123, // Opcode: VQABSv8i8
-/* 7362 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7374
-/* 7366 */    MCD_OPC_CheckPredicate, 15, 10, 28, // Skip to: 14548
-/* 7370 */    MCD_OPC_Decode, 209, 11, 124, // Opcode: VQABSv16i8
-/* 7374 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7386
-/* 7378 */    MCD_OPC_CheckPredicate, 15, 254, 27, // Skip to: 14548
-/* 7382 */    MCD_OPC_Decode, 137, 12, 123, // Opcode: VQNEGv8i8
-/* 7386 */    MCD_OPC_FilterValue, 3, 246, 27, // Skip to: 14548
-/* 7390 */    MCD_OPC_CheckPredicate, 15, 242, 27, // Skip to: 14548
-/* 7394 */    MCD_OPC_Decode, 132, 12, 124, // Opcode: VQNEGv16i8
-/* 7398 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 7453
-/* 7402 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7405 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7417
-/* 7409 */    MCD_OPC_CheckPredicate, 15, 223, 27, // Skip to: 14548
-/* 7413 */    MCD_OPC_Decode, 211, 11, 123, // Opcode: VQABSv4i16
-/* 7417 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7429
-/* 7421 */    MCD_OPC_CheckPredicate, 15, 211, 27, // Skip to: 14548
-/* 7425 */    MCD_OPC_Decode, 213, 11, 124, // Opcode: VQABSv8i16
-/* 7429 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7441
-/* 7433 */    MCD_OPC_CheckPredicate, 15, 199, 27, // Skip to: 14548
-/* 7437 */    MCD_OPC_Decode, 134, 12, 123, // Opcode: VQNEGv4i16
-/* 7441 */    MCD_OPC_FilterValue, 3, 191, 27, // Skip to: 14548
-/* 7445 */    MCD_OPC_CheckPredicate, 15, 187, 27, // Skip to: 14548
-/* 7449 */    MCD_OPC_Decode, 136, 12, 124, // Opcode: VQNEGv8i16
-/* 7453 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 7472
-/* 7457 */    MCD_OPC_CheckPredicate, 17, 175, 27, // Skip to: 14548
-/* 7461 */    MCD_OPC_CheckField, 6, 2, 0, 169, 27, // Skip to: 14548
-/* 7467 */    MCD_OPC_Decode, 247, 5, 131, 1, // Opcode: VCVTh2f
-/* 7472 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 7527
-/* 7476 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7479 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7491
-/* 7483 */    MCD_OPC_CheckPredicate, 15, 149, 27, // Skip to: 14548
-/* 7487 */    MCD_OPC_Decode, 210, 11, 123, // Opcode: VQABSv2i32
-/* 7491 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7503
-/* 7495 */    MCD_OPC_CheckPredicate, 15, 137, 27, // Skip to: 14548
-/* 7499 */    MCD_OPC_Decode, 212, 11, 124, // Opcode: VQABSv4i32
-/* 7503 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7515
-/* 7507 */    MCD_OPC_CheckPredicate, 15, 125, 27, // Skip to: 14548
-/* 7511 */    MCD_OPC_Decode, 133, 12, 123, // Opcode: VQNEGv2i32
-/* 7515 */    MCD_OPC_FilterValue, 3, 117, 27, // Skip to: 14548
-/* 7519 */    MCD_OPC_CheckPredicate, 15, 113, 27, // Skip to: 14548
-/* 7523 */    MCD_OPC_Decode, 135, 12, 124, // Opcode: VQNEGv4i32
-/* 7527 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 7582
-/* 7531 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7534 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7546
-/* 7538 */    MCD_OPC_CheckPredicate, 15, 94, 27, // Skip to: 14548
-/* 7542 */    MCD_OPC_Decode, 173, 4, 123, // Opcode: VABSfd
-/* 7546 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7558
-/* 7550 */    MCD_OPC_CheckPredicate, 15, 82, 27, // Skip to: 14548
-/* 7554 */    MCD_OPC_Decode, 174, 4, 124, // Opcode: VABSfq
-/* 7558 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7570
-/* 7562 */    MCD_OPC_CheckPredicate, 15, 70, 27, // Skip to: 14548
-/* 7566 */    MCD_OPC_Decode, 146, 11, 123, // Opcode: VNEGfd
-/* 7570 */    MCD_OPC_FilterValue, 3, 62, 27, // Skip to: 14548
-/* 7574 */    MCD_OPC_CheckPredicate, 15, 58, 27, // Skip to: 14548
-/* 7578 */    MCD_OPC_Decode, 145, 11, 124, // Opcode: VNEGf32q
-/* 7582 */    MCD_OPC_FilterValue, 11, 50, 27, // Skip to: 14548
-/* 7586 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7589 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7601
-/* 7593 */    MCD_OPC_CheckPredicate, 15, 39, 27, // Skip to: 14548
-/* 7597 */    MCD_OPC_Decode, 239, 5, 123, // Opcode: VCVTf2sd
-/* 7601 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7613
-/* 7605 */    MCD_OPC_CheckPredicate, 15, 27, 27, // Skip to: 14548
-/* 7609 */    MCD_OPC_Decode, 240, 5, 124, // Opcode: VCVTf2sq
-/* 7613 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7625
-/* 7617 */    MCD_OPC_CheckPredicate, 15, 15, 27, // Skip to: 14548
-/* 7621 */    MCD_OPC_Decode, 241, 5, 123, // Opcode: VCVTf2ud
-/* 7625 */    MCD_OPC_FilterValue, 3, 7, 27, // Skip to: 14548
-/* 7629 */    MCD_OPC_CheckPredicate, 15, 3, 27, // Skip to: 14548
-/* 7633 */    MCD_OPC_Decode, 242, 5, 124, // Opcode: VCVTf2uq
-/* 7637 */    MCD_OPC_FilterValue, 8, 29, 0, // Skip to: 7670
-/* 7641 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
-/* 7644 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7657
-/* 7648 */    MCD_OPC_CheckPredicate, 15, 240, 26, // Skip to: 14548
-/* 7652 */    MCD_OPC_Decode, 162, 17, 132, 1, // Opcode: VTBL1
-/* 7657 */    MCD_OPC_FilterValue, 1, 231, 26, // Skip to: 14548
-/* 7661 */    MCD_OPC_CheckPredicate, 15, 227, 26, // Skip to: 14548
-/* 7665 */    MCD_OPC_Decode, 168, 17, 132, 1, // Opcode: VTBX1
-/* 7670 */    MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 7703
-/* 7674 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
-/* 7677 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7690
-/* 7681 */    MCD_OPC_CheckPredicate, 15, 207, 26, // Skip to: 14548
-/* 7685 */    MCD_OPC_Decode, 163, 17, 132, 1, // Opcode: VTBL2
-/* 7690 */    MCD_OPC_FilterValue, 1, 198, 26, // Skip to: 14548
-/* 7694 */    MCD_OPC_CheckPredicate, 15, 194, 26, // Skip to: 14548
-/* 7698 */    MCD_OPC_Decode, 169, 17, 132, 1, // Opcode: VTBX2
-/* 7703 */    MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 7736
-/* 7707 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
-/* 7710 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7723
-/* 7714 */    MCD_OPC_CheckPredicate, 15, 174, 26, // Skip to: 14548
-/* 7718 */    MCD_OPC_Decode, 164, 17, 132, 1, // Opcode: VTBL3
-/* 7723 */    MCD_OPC_FilterValue, 1, 165, 26, // Skip to: 14548
-/* 7727 */    MCD_OPC_CheckPredicate, 15, 161, 26, // Skip to: 14548
-/* 7731 */    MCD_OPC_Decode, 170, 17, 132, 1, // Opcode: VTBX3
-/* 7736 */    MCD_OPC_FilterValue, 11, 29, 0, // Skip to: 7769
-/* 7740 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
-/* 7743 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7756
-/* 7747 */    MCD_OPC_CheckPredicate, 15, 141, 26, // Skip to: 14548
-/* 7751 */    MCD_OPC_Decode, 166, 17, 132, 1, // Opcode: VTBL4
-/* 7756 */    MCD_OPC_FilterValue, 1, 132, 26, // Skip to: 14548
-/* 7760 */    MCD_OPC_CheckPredicate, 15, 128, 26, // Skip to: 14548
-/* 7764 */    MCD_OPC_Decode, 172, 17, 132, 1, // Opcode: VTBX4
-/* 7769 */    MCD_OPC_FilterValue, 12, 119, 26, // Skip to: 14548
-/* 7773 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 7776 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7835
-/* 7780 */    MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
-/* 7783 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 7822
-/* 7787 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
-/* 7790 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 7809
-/* 7794 */    MCD_OPC_CheckPredicate, 15, 94, 26, // Skip to: 14548
-/* 7798 */    MCD_OPC_CheckField, 18, 1, 1, 88, 26, // Skip to: 14548
-/* 7804 */    MCD_OPC_Decode, 138, 6, 133, 1, // Opcode: VDUPLN32d
-/* 7809 */    MCD_OPC_FilterValue, 1, 79, 26, // Skip to: 14548
-/* 7813 */    MCD_OPC_CheckPredicate, 15, 75, 26, // Skip to: 14548
-/* 7817 */    MCD_OPC_Decode, 136, 6, 134, 1, // Opcode: VDUPLN16d
-/* 7822 */    MCD_OPC_FilterValue, 1, 66, 26, // Skip to: 14548
-/* 7826 */    MCD_OPC_CheckPredicate, 15, 62, 26, // Skip to: 14548
-/* 7830 */    MCD_OPC_Decode, 140, 6, 135, 1, // Opcode: VDUPLN8d
-/* 7835 */    MCD_OPC_FilterValue, 1, 53, 26, // Skip to: 14548
-/* 7839 */    MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
-/* 7842 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 7881
-/* 7846 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
-/* 7849 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 7868
-/* 7853 */    MCD_OPC_CheckPredicate, 15, 35, 26, // Skip to: 14548
-/* 7857 */    MCD_OPC_CheckField, 18, 1, 1, 29, 26, // Skip to: 14548
-/* 7863 */    MCD_OPC_Decode, 139, 6, 136, 1, // Opcode: VDUPLN32q
-/* 7868 */    MCD_OPC_FilterValue, 1, 20, 26, // Skip to: 14548
-/* 7872 */    MCD_OPC_CheckPredicate, 15, 16, 26, // Skip to: 14548
-/* 7876 */    MCD_OPC_Decode, 137, 6, 137, 1, // Opcode: VDUPLN16q
-/* 7881 */    MCD_OPC_FilterValue, 1, 7, 26, // Skip to: 14548
-/* 7885 */    MCD_OPC_CheckPredicate, 15, 3, 26, // Skip to: 14548
-/* 7889 */    MCD_OPC_Decode, 141, 6, 138, 1, // Opcode: VDUPLN8q
-/* 7894 */    MCD_OPC_FilterValue, 1, 250, 25, // Skip to: 14548
-/* 7898 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
-/* 7901 */    MCD_OPC_FilterValue, 0, 185, 13, // Skip to: 11418
-/* 7905 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 7908 */    MCD_OPC_FilterValue, 0, 28, 6, // Skip to: 9476
-/* 7912 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 7915 */    MCD_OPC_FilterValue, 0, 135, 0, // Skip to: 8054
-/* 7919 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 7922 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 7955
-/* 7926 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 7929 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 7942
-/* 7934 */    MCD_OPC_CheckPredicate, 15, 210, 25, // Skip to: 14548
-/* 7938 */    MCD_OPC_Decode, 222, 11, 94, // Opcode: VQADDsv8i8
-/* 7942 */    MCD_OPC_FilterValue, 243, 1, 201, 25, // Skip to: 14548
-/* 7947 */    MCD_OPC_CheckPredicate, 15, 197, 25, // Skip to: 14548
-/* 7951 */    MCD_OPC_Decode, 230, 11, 94, // Opcode: VQADDuv8i8
-/* 7955 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 7988
-/* 7959 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 7962 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 7975
-/* 7967 */    MCD_OPC_CheckPredicate, 15, 177, 25, // Skip to: 14548
-/* 7971 */    MCD_OPC_Decode, 219, 11, 94, // Opcode: VQADDsv4i16
-/* 7975 */    MCD_OPC_FilterValue, 243, 1, 168, 25, // Skip to: 14548
-/* 7980 */    MCD_OPC_CheckPredicate, 15, 164, 25, // Skip to: 14548
-/* 7984 */    MCD_OPC_Decode, 227, 11, 94, // Opcode: VQADDuv4i16
-/* 7988 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8021
-/* 7992 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 7995 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8008
-/* 8000 */    MCD_OPC_CheckPredicate, 15, 144, 25, // Skip to: 14548
-/* 8004 */    MCD_OPC_Decode, 217, 11, 94, // Opcode: VQADDsv2i32
-/* 8008 */    MCD_OPC_FilterValue, 243, 1, 135, 25, // Skip to: 14548
-/* 8013 */    MCD_OPC_CheckPredicate, 15, 131, 25, // Skip to: 14548
-/* 8017 */    MCD_OPC_Decode, 225, 11, 94, // Opcode: VQADDuv2i32
-/* 8021 */    MCD_OPC_FilterValue, 3, 123, 25, // Skip to: 14548
-/* 8025 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8028 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8041
-/* 8033 */    MCD_OPC_CheckPredicate, 15, 111, 25, // Skip to: 14548
-/* 8037 */    MCD_OPC_Decode, 216, 11, 94, // Opcode: VQADDsv1i64
-/* 8041 */    MCD_OPC_FilterValue, 243, 1, 102, 25, // Skip to: 14548
-/* 8046 */    MCD_OPC_CheckPredicate, 15, 98, 25, // Skip to: 14548
-/* 8050 */    MCD_OPC_Decode, 224, 11, 94, // Opcode: VQADDuv1i64
-/* 8054 */    MCD_OPC_FilterValue, 1, 135, 0, // Skip to: 8193
-/* 8058 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8061 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8094
-/* 8065 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8068 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8081
-/* 8073 */    MCD_OPC_CheckPredicate, 15, 71, 25, // Skip to: 14548
-/* 8077 */    MCD_OPC_Decode, 212, 4, 94, // Opcode: VANDd
-/* 8081 */    MCD_OPC_FilterValue, 243, 1, 62, 25, // Skip to: 14548
-/* 8086 */    MCD_OPC_CheckPredicate, 15, 58, 25, // Skip to: 14548
-/* 8090 */    MCD_OPC_Decode, 142, 6, 94, // Opcode: VEORd
-/* 8094 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8127
-/* 8098 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8101 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8114
-/* 8106 */    MCD_OPC_CheckPredicate, 15, 38, 25, // Skip to: 14548
-/* 8110 */    MCD_OPC_Decode, 214, 4, 94, // Opcode: VBICd
-/* 8114 */    MCD_OPC_FilterValue, 243, 1, 29, 25, // Skip to: 14548
-/* 8119 */    MCD_OPC_CheckPredicate, 15, 25, 25, // Skip to: 14548
-/* 8123 */    MCD_OPC_Decode, 224, 4, 102, // Opcode: VBSLd
-/* 8127 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8160
-/* 8131 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8134 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8147
-/* 8139 */    MCD_OPC_CheckPredicate, 15, 5, 25, // Skip to: 14548
-/* 8143 */    MCD_OPC_Decode, 161, 11, 94, // Opcode: VORRd
-/* 8147 */    MCD_OPC_FilterValue, 243, 1, 252, 24, // Skip to: 14548
-/* 8152 */    MCD_OPC_CheckPredicate, 15, 248, 24, // Skip to: 14548
-/* 8156 */    MCD_OPC_Decode, 222, 4, 102, // Opcode: VBITd
-/* 8160 */    MCD_OPC_FilterValue, 3, 240, 24, // Skip to: 14548
-/* 8164 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8167 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8180
-/* 8172 */    MCD_OPC_CheckPredicate, 15, 228, 24, // Skip to: 14548
-/* 8176 */    MCD_OPC_Decode, 159, 11, 94, // Opcode: VORNd
-/* 8180 */    MCD_OPC_FilterValue, 243, 1, 219, 24, // Skip to: 14548
-/* 8185 */    MCD_OPC_CheckPredicate, 15, 215, 24, // Skip to: 14548
-/* 8189 */    MCD_OPC_Decode, 220, 4, 102, // Opcode: VBIFd
-/* 8193 */    MCD_OPC_FilterValue, 2, 135, 0, // Skip to: 8332
-/* 8197 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8200 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8233
-/* 8204 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8207 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8220
-/* 8212 */    MCD_OPC_CheckPredicate, 15, 188, 24, // Skip to: 14548
-/* 8216 */    MCD_OPC_Decode, 227, 12, 94, // Opcode: VQSUBsv8i8
-/* 8220 */    MCD_OPC_FilterValue, 243, 1, 179, 24, // Skip to: 14548
-/* 8225 */    MCD_OPC_CheckPredicate, 15, 175, 24, // Skip to: 14548
-/* 8229 */    MCD_OPC_Decode, 235, 12, 94, // Opcode: VQSUBuv8i8
-/* 8233 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8266
-/* 8237 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8240 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8253
-/* 8245 */    MCD_OPC_CheckPredicate, 15, 155, 24, // Skip to: 14548
-/* 8249 */    MCD_OPC_Decode, 224, 12, 94, // Opcode: VQSUBsv4i16
-/* 8253 */    MCD_OPC_FilterValue, 243, 1, 146, 24, // Skip to: 14548
-/* 8258 */    MCD_OPC_CheckPredicate, 15, 142, 24, // Skip to: 14548
-/* 8262 */    MCD_OPC_Decode, 232, 12, 94, // Opcode: VQSUBuv4i16
-/* 8266 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8299
-/* 8270 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8273 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8286
-/* 8278 */    MCD_OPC_CheckPredicate, 15, 122, 24, // Skip to: 14548
-/* 8282 */    MCD_OPC_Decode, 222, 12, 94, // Opcode: VQSUBsv2i32
-/* 8286 */    MCD_OPC_FilterValue, 243, 1, 113, 24, // Skip to: 14548
-/* 8291 */    MCD_OPC_CheckPredicate, 15, 109, 24, // Skip to: 14548
-/* 8295 */    MCD_OPC_Decode, 230, 12, 94, // Opcode: VQSUBuv2i32
-/* 8299 */    MCD_OPC_FilterValue, 3, 101, 24, // Skip to: 14548
-/* 8303 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8306 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8319
-/* 8311 */    MCD_OPC_CheckPredicate, 15, 89, 24, // Skip to: 14548
-/* 8315 */    MCD_OPC_Decode, 221, 12, 94, // Opcode: VQSUBsv1i64
-/* 8319 */    MCD_OPC_FilterValue, 243, 1, 80, 24, // Skip to: 14548
-/* 8324 */    MCD_OPC_CheckPredicate, 15, 76, 24, // Skip to: 14548
-/* 8328 */    MCD_OPC_Decode, 229, 12, 94, // Opcode: VQSUBuv1i64
-/* 8332 */    MCD_OPC_FilterValue, 3, 102, 0, // Skip to: 8438
-/* 8336 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8339 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8372
-/* 8343 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8346 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8359
-/* 8351 */    MCD_OPC_CheckPredicate, 15, 49, 24, // Skip to: 14548
-/* 8355 */    MCD_OPC_Decode, 249, 4, 94, // Opcode: VCGEsv8i8
-/* 8359 */    MCD_OPC_FilterValue, 243, 1, 40, 24, // Skip to: 14548
-/* 8364 */    MCD_OPC_CheckPredicate, 15, 36, 24, // Skip to: 14548
-/* 8368 */    MCD_OPC_Decode, 255, 4, 94, // Opcode: VCGEuv8i8
-/* 8372 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8405
-/* 8376 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8379 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8392
-/* 8384 */    MCD_OPC_CheckPredicate, 15, 16, 24, // Skip to: 14548
-/* 8388 */    MCD_OPC_Decode, 246, 4, 94, // Opcode: VCGEsv4i16
-/* 8392 */    MCD_OPC_FilterValue, 243, 1, 7, 24, // Skip to: 14548
-/* 8397 */    MCD_OPC_CheckPredicate, 15, 3, 24, // Skip to: 14548
-/* 8401 */    MCD_OPC_Decode, 252, 4, 94, // Opcode: VCGEuv4i16
-/* 8405 */    MCD_OPC_FilterValue, 2, 251, 23, // Skip to: 14548
-/* 8409 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8412 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8425
-/* 8417 */    MCD_OPC_CheckPredicate, 15, 239, 23, // Skip to: 14548
-/* 8421 */    MCD_OPC_Decode, 245, 4, 94, // Opcode: VCGEsv2i32
-/* 8425 */    MCD_OPC_FilterValue, 243, 1, 230, 23, // Skip to: 14548
-/* 8430 */    MCD_OPC_CheckPredicate, 15, 226, 23, // Skip to: 14548
-/* 8434 */    MCD_OPC_Decode, 251, 4, 94, // Opcode: VCGEuv2i32
-/* 8438 */    MCD_OPC_FilterValue, 4, 135, 0, // Skip to: 8577
-/* 8442 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8445 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8478
-/* 8449 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8452 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8465
-/* 8457 */    MCD_OPC_CheckPredicate, 15, 199, 23, // Skip to: 14548
-/* 8461 */    MCD_OPC_Decode, 194, 12, 98, // Opcode: VQSHLsv8i8
-/* 8465 */    MCD_OPC_FilterValue, 243, 1, 190, 23, // Skip to: 14548
-/* 8470 */    MCD_OPC_CheckPredicate, 15, 186, 23, // Skip to: 14548
-/* 8474 */    MCD_OPC_Decode, 210, 12, 98, // Opcode: VQSHLuv8i8
-/* 8478 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8511
-/* 8482 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8485 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8498
-/* 8490 */    MCD_OPC_CheckPredicate, 15, 166, 23, // Skip to: 14548
-/* 8494 */    MCD_OPC_Decode, 191, 12, 98, // Opcode: VQSHLsv4i16
-/* 8498 */    MCD_OPC_FilterValue, 243, 1, 157, 23, // Skip to: 14548
-/* 8503 */    MCD_OPC_CheckPredicate, 15, 153, 23, // Skip to: 14548
-/* 8507 */    MCD_OPC_Decode, 207, 12, 98, // Opcode: VQSHLuv4i16
-/* 8511 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8544
-/* 8515 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8518 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8531
-/* 8523 */    MCD_OPC_CheckPredicate, 15, 133, 23, // Skip to: 14548
-/* 8527 */    MCD_OPC_Decode, 189, 12, 98, // Opcode: VQSHLsv2i32
-/* 8531 */    MCD_OPC_FilterValue, 243, 1, 124, 23, // Skip to: 14548
-/* 8536 */    MCD_OPC_CheckPredicate, 15, 120, 23, // Skip to: 14548
-/* 8540 */    MCD_OPC_Decode, 205, 12, 98, // Opcode: VQSHLuv2i32
-/* 8544 */    MCD_OPC_FilterValue, 3, 112, 23, // Skip to: 14548
-/* 8548 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8551 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8564
-/* 8556 */    MCD_OPC_CheckPredicate, 15, 100, 23, // Skip to: 14548
-/* 8560 */    MCD_OPC_Decode, 188, 12, 98, // Opcode: VQSHLsv1i64
-/* 8564 */    MCD_OPC_FilterValue, 243, 1, 91, 23, // Skip to: 14548
-/* 8569 */    MCD_OPC_CheckPredicate, 15, 87, 23, // Skip to: 14548
-/* 8573 */    MCD_OPC_Decode, 204, 12, 98, // Opcode: VQSHLuv1i64
-/* 8577 */    MCD_OPC_FilterValue, 5, 135, 0, // Skip to: 8716
-/* 8581 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8584 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8617
-/* 8588 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8591 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8604
-/* 8596 */    MCD_OPC_CheckPredicate, 15, 60, 23, // Skip to: 14548
-/* 8600 */    MCD_OPC_Decode, 153, 12, 98, // Opcode: VQRSHLsv8i8
-/* 8604 */    MCD_OPC_FilterValue, 243, 1, 51, 23, // Skip to: 14548
-/* 8609 */    MCD_OPC_CheckPredicate, 15, 47, 23, // Skip to: 14548
-/* 8613 */    MCD_OPC_Decode, 161, 12, 98, // Opcode: VQRSHLuv8i8
-/* 8617 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8650
-/* 8621 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8624 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8637
-/* 8629 */    MCD_OPC_CheckPredicate, 15, 27, 23, // Skip to: 14548
-/* 8633 */    MCD_OPC_Decode, 150, 12, 98, // Opcode: VQRSHLsv4i16
-/* 8637 */    MCD_OPC_FilterValue, 243, 1, 18, 23, // Skip to: 14548
-/* 8642 */    MCD_OPC_CheckPredicate, 15, 14, 23, // Skip to: 14548
-/* 8646 */    MCD_OPC_Decode, 158, 12, 98, // Opcode: VQRSHLuv4i16
-/* 8650 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8683
-/* 8654 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8657 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8670
-/* 8662 */    MCD_OPC_CheckPredicate, 15, 250, 22, // Skip to: 14548
-/* 8666 */    MCD_OPC_Decode, 148, 12, 98, // Opcode: VQRSHLsv2i32
-/* 8670 */    MCD_OPC_FilterValue, 243, 1, 241, 22, // Skip to: 14548
-/* 8675 */    MCD_OPC_CheckPredicate, 15, 237, 22, // Skip to: 14548
-/* 8679 */    MCD_OPC_Decode, 156, 12, 98, // Opcode: VQRSHLuv2i32
-/* 8683 */    MCD_OPC_FilterValue, 3, 229, 22, // Skip to: 14548
-/* 8687 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8690 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8703
-/* 8695 */    MCD_OPC_CheckPredicate, 15, 217, 22, // Skip to: 14548
-/* 8699 */    MCD_OPC_Decode, 147, 12, 98, // Opcode: VQRSHLsv1i64
-/* 8703 */    MCD_OPC_FilterValue, 243, 1, 208, 22, // Skip to: 14548
-/* 8708 */    MCD_OPC_CheckPredicate, 15, 204, 22, // Skip to: 14548
-/* 8712 */    MCD_OPC_Decode, 155, 12, 98, // Opcode: VQRSHLuv1i64
-/* 8716 */    MCD_OPC_FilterValue, 6, 102, 0, // Skip to: 8822
-/* 8720 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8723 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8756
-/* 8727 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8730 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8743
-/* 8735 */    MCD_OPC_CheckPredicate, 15, 177, 22, // Skip to: 14548
-/* 8739 */    MCD_OPC_Decode, 132, 10, 94, // Opcode: VMINsv8i8
-/* 8743 */    MCD_OPC_FilterValue, 243, 1, 168, 22, // Skip to: 14548
-/* 8748 */    MCD_OPC_CheckPredicate, 15, 164, 22, // Skip to: 14548
-/* 8752 */    MCD_OPC_Decode, 138, 10, 94, // Opcode: VMINuv8i8
-/* 8756 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8789
-/* 8760 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8763 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8776
-/* 8768 */    MCD_OPC_CheckPredicate, 15, 144, 22, // Skip to: 14548
-/* 8772 */    MCD_OPC_Decode, 129, 10, 94, // Opcode: VMINsv4i16
-/* 8776 */    MCD_OPC_FilterValue, 243, 1, 135, 22, // Skip to: 14548
-/* 8781 */    MCD_OPC_CheckPredicate, 15, 131, 22, // Skip to: 14548
-/* 8785 */    MCD_OPC_Decode, 135, 10, 94, // Opcode: VMINuv4i16
-/* 8789 */    MCD_OPC_FilterValue, 2, 123, 22, // Skip to: 14548
-/* 8793 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8796 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8809
-/* 8801 */    MCD_OPC_CheckPredicate, 15, 111, 22, // Skip to: 14548
-/* 8805 */    MCD_OPC_Decode, 128, 10, 94, // Opcode: VMINsv2i32
-/* 8809 */    MCD_OPC_FilterValue, 243, 1, 102, 22, // Skip to: 14548
-/* 8814 */    MCD_OPC_CheckPredicate, 15, 98, 22, // Skip to: 14548
-/* 8818 */    MCD_OPC_Decode, 134, 10, 94, // Opcode: VMINuv2i32
-/* 8822 */    MCD_OPC_FilterValue, 7, 102, 0, // Skip to: 8928
-/* 8826 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8829 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8862
-/* 8833 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8836 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8849
-/* 8841 */    MCD_OPC_CheckPredicate, 15, 71, 22, // Skip to: 14548
-/* 8845 */    MCD_OPC_Decode, 144, 4, 102, // Opcode: VABAsv8i8
-/* 8849 */    MCD_OPC_FilterValue, 243, 1, 62, 22, // Skip to: 14548
-/* 8854 */    MCD_OPC_CheckPredicate, 15, 58, 22, // Skip to: 14548
-/* 8858 */    MCD_OPC_Decode, 150, 4, 102, // Opcode: VABAuv8i8
-/* 8862 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8895
-/* 8866 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8869 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8882
-/* 8874 */    MCD_OPC_CheckPredicate, 15, 38, 22, // Skip to: 14548
-/* 8878 */    MCD_OPC_Decode, 141, 4, 102, // Opcode: VABAsv4i16
-/* 8882 */    MCD_OPC_FilterValue, 243, 1, 29, 22, // Skip to: 14548
-/* 8887 */    MCD_OPC_CheckPredicate, 15, 25, 22, // Skip to: 14548
-/* 8891 */    MCD_OPC_Decode, 147, 4, 102, // Opcode: VABAuv4i16
-/* 8895 */    MCD_OPC_FilterValue, 2, 17, 22, // Skip to: 14548
-/* 8899 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8902 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8915
-/* 8907 */    MCD_OPC_CheckPredicate, 15, 5, 22, // Skip to: 14548
-/* 8911 */    MCD_OPC_Decode, 140, 4, 102, // Opcode: VABAsv2i32
-/* 8915 */    MCD_OPC_FilterValue, 243, 1, 252, 21, // Skip to: 14548
-/* 8920 */    MCD_OPC_CheckPredicate, 15, 248, 21, // Skip to: 14548
-/* 8924 */    MCD_OPC_Decode, 146, 4, 102, // Opcode: VABAuv2i32
-/* 8928 */    MCD_OPC_FilterValue, 8, 102, 0, // Skip to: 9034
-/* 8932 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 8935 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8968
-/* 8939 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8942 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8955
-/* 8947 */    MCD_OPC_CheckPredicate, 15, 221, 21, // Skip to: 14548
-/* 8951 */    MCD_OPC_Decode, 201, 17, 94, // Opcode: VTSTv8i8
-/* 8955 */    MCD_OPC_FilterValue, 243, 1, 212, 21, // Skip to: 14548
-/* 8960 */    MCD_OPC_CheckPredicate, 15, 208, 21, // Skip to: 14548
-/* 8964 */    MCD_OPC_Decode, 233, 4, 94, // Opcode: VCEQv8i8
-/* 8968 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 9001
-/* 8972 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 8975 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8988
-/* 8980 */    MCD_OPC_CheckPredicate, 15, 188, 21, // Skip to: 14548
-/* 8984 */    MCD_OPC_Decode, 198, 17, 94, // Opcode: VTSTv4i16
-/* 8988 */    MCD_OPC_FilterValue, 243, 1, 179, 21, // Skip to: 14548
-/* 8993 */    MCD_OPC_CheckPredicate, 15, 175, 21, // Skip to: 14548
-/* 8997 */    MCD_OPC_Decode, 230, 4, 94, // Opcode: VCEQv4i16
-/* 9001 */    MCD_OPC_FilterValue, 2, 167, 21, // Skip to: 14548
-/* 9005 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9008 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9021
-/* 9013 */    MCD_OPC_CheckPredicate, 15, 155, 21, // Skip to: 14548
-/* 9017 */    MCD_OPC_Decode, 197, 17, 94, // Opcode: VTSTv2i32
-/* 9021 */    MCD_OPC_FilterValue, 243, 1, 146, 21, // Skip to: 14548
-/* 9026 */    MCD_OPC_CheckPredicate, 15, 142, 21, // Skip to: 14548
-/* 9030 */    MCD_OPC_Decode, 229, 4, 94, // Opcode: VCEQv2i32
-/* 9034 */    MCD_OPC_FilterValue, 9, 74, 0, // Skip to: 9112
-/* 9038 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9041 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9074
-/* 9045 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9048 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9061
-/* 9053 */    MCD_OPC_CheckPredicate, 15, 115, 21, // Skip to: 14548
-/* 9057 */    MCD_OPC_Decode, 136, 11, 94, // Opcode: VMULv8i8
-/* 9061 */    MCD_OPC_FilterValue, 243, 1, 106, 21, // Skip to: 14548
-/* 9066 */    MCD_OPC_CheckPredicate, 15, 102, 21, // Skip to: 14548
-/* 9070 */    MCD_OPC_Decode, 251, 10, 94, // Opcode: VMULpd
-/* 9074 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 9093
-/* 9078 */    MCD_OPC_CheckPredicate, 15, 90, 21, // Skip to: 14548
-/* 9082 */    MCD_OPC_CheckField, 24, 8, 242, 1, 83, 21, // Skip to: 14548
-/* 9089 */    MCD_OPC_Decode, 133, 11, 94, // Opcode: VMULv4i16
-/* 9093 */    MCD_OPC_FilterValue, 2, 75, 21, // Skip to: 14548
-/* 9097 */    MCD_OPC_CheckPredicate, 15, 71, 21, // Skip to: 14548
-/* 9101 */    MCD_OPC_CheckField, 24, 8, 242, 1, 64, 21, // Skip to: 14548
-/* 9108 */    MCD_OPC_Decode, 132, 11, 94, // Opcode: VMULv2i32
-/* 9112 */    MCD_OPC_FilterValue, 10, 102, 0, // Skip to: 9218
-/* 9116 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9119 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9152
-/* 9123 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9126 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9139
-/* 9131 */    MCD_OPC_CheckPredicate, 15, 37, 21, // Skip to: 14548
-/* 9135 */    MCD_OPC_Decode, 205, 11, 94, // Opcode: VPMINs8
-/* 9139 */    MCD_OPC_FilterValue, 243, 1, 28, 21, // Skip to: 14548
-/* 9144 */    MCD_OPC_CheckPredicate, 15, 24, 21, // Skip to: 14548
-/* 9148 */    MCD_OPC_Decode, 208, 11, 94, // Opcode: VPMINu8
-/* 9152 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 9185
-/* 9156 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9159 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9172
-/* 9164 */    MCD_OPC_CheckPredicate, 15, 4, 21, // Skip to: 14548
-/* 9168 */    MCD_OPC_Decode, 203, 11, 94, // Opcode: VPMINs16
-/* 9172 */    MCD_OPC_FilterValue, 243, 1, 251, 20, // Skip to: 14548
-/* 9177 */    MCD_OPC_CheckPredicate, 15, 247, 20, // Skip to: 14548
-/* 9181 */    MCD_OPC_Decode, 206, 11, 94, // Opcode: VPMINu16
-/* 9185 */    MCD_OPC_FilterValue, 2, 239, 20, // Skip to: 14548
-/* 9189 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9192 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9205
-/* 9197 */    MCD_OPC_CheckPredicate, 15, 227, 20, // Skip to: 14548
-/* 9201 */    MCD_OPC_Decode, 204, 11, 94, // Opcode: VPMINs32
-/* 9205 */    MCD_OPC_FilterValue, 243, 1, 218, 20, // Skip to: 14548
-/* 9210 */    MCD_OPC_CheckPredicate, 15, 214, 20, // Skip to: 14548
-/* 9214 */    MCD_OPC_Decode, 207, 11, 94, // Opcode: VPMINu32
-/* 9218 */    MCD_OPC_FilterValue, 11, 60, 0, // Skip to: 9282
-/* 9222 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9225 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9244
-/* 9229 */    MCD_OPC_CheckPredicate, 15, 195, 20, // Skip to: 14548
-/* 9233 */    MCD_OPC_CheckField, 24, 8, 242, 1, 188, 20, // Skip to: 14548
-/* 9240 */    MCD_OPC_Decode, 194, 11, 94, // Opcode: VPADDi8
-/* 9244 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 9263
-/* 9248 */    MCD_OPC_CheckPredicate, 15, 176, 20, // Skip to: 14548
-/* 9252 */    MCD_OPC_CheckField, 24, 8, 242, 1, 169, 20, // Skip to: 14548
-/* 9259 */    MCD_OPC_Decode, 192, 11, 94, // Opcode: VPADDi16
-/* 9263 */    MCD_OPC_FilterValue, 2, 161, 20, // Skip to: 14548
-/* 9267 */    MCD_OPC_CheckPredicate, 15, 157, 20, // Skip to: 14548
-/* 9271 */    MCD_OPC_CheckField, 24, 8, 242, 1, 150, 20, // Skip to: 14548
-/* 9278 */    MCD_OPC_Decode, 193, 11, 94, // Opcode: VPADDi32
-/* 9282 */    MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 9327
-/* 9286 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9289 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9308
-/* 9293 */    MCD_OPC_CheckPredicate, 18, 131, 20, // Skip to: 14548
-/* 9297 */    MCD_OPC_CheckField, 24, 8, 242, 1, 124, 20, // Skip to: 14548
-/* 9304 */    MCD_OPC_Decode, 153, 6, 102, // Opcode: VFMAfd
-/* 9308 */    MCD_OPC_FilterValue, 2, 116, 20, // Skip to: 14548
-/* 9312 */    MCD_OPC_CheckPredicate, 18, 112, 20, // Skip to: 14548
-/* 9316 */    MCD_OPC_CheckField, 24, 8, 242, 1, 105, 20, // Skip to: 14548
-/* 9323 */    MCD_OPC_Decode, 157, 6, 102, // Opcode: VFMSfd
-/* 9327 */    MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 9386
-/* 9331 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9334 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9367
-/* 9338 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 9341 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9354
-/* 9346 */    MCD_OPC_CheckPredicate, 15, 78, 20, // Skip to: 14548
-/* 9350 */    MCD_OPC_Decode, 151, 10, 102, // Opcode: VMLAfd
-/* 9354 */    MCD_OPC_FilterValue, 243, 1, 69, 20, // Skip to: 14548
-/* 9359 */    MCD_OPC_CheckPredicate, 15, 65, 20, // Skip to: 14548
-/* 9363 */    MCD_OPC_Decode, 249, 10, 94, // Opcode: VMULfd
-/* 9367 */    MCD_OPC_FilterValue, 2, 57, 20, // Skip to: 14548
-/* 9371 */    MCD_OPC_CheckPredicate, 15, 53, 20, // Skip to: 14548
-/* 9375 */    MCD_OPC_CheckField, 24, 8, 242, 1, 46, 20, // Skip to: 14548
-/* 9382 */    MCD_OPC_Decode, 177, 10, 102, // Opcode: VMLSfd
-/* 9386 */    MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 9431
-/* 9390 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9393 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9412
-/* 9397 */    MCD_OPC_CheckPredicate, 15, 27, 20, // Skip to: 14548
-/* 9401 */    MCD_OPC_CheckField, 24, 8, 243, 1, 20, 20, // Skip to: 14548
-/* 9408 */    MCD_OPC_Decode, 181, 4, 94, // Opcode: VACGEd
-/* 9412 */    MCD_OPC_FilterValue, 2, 12, 20, // Skip to: 14548
-/* 9416 */    MCD_OPC_CheckPredicate, 15, 8, 20, // Skip to: 14548
-/* 9420 */    MCD_OPC_CheckField, 24, 8, 243, 1, 1, 20, // Skip to: 14548
-/* 9427 */    MCD_OPC_Decode, 183, 4, 94, // Opcode: VACGTd
-/* 9431 */    MCD_OPC_FilterValue, 15, 249, 19, // Skip to: 14548
-/* 9435 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 9438 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9457
-/* 9442 */    MCD_OPC_CheckPredicate, 15, 238, 19, // Skip to: 14548
-/* 9446 */    MCD_OPC_CheckField, 24, 8, 242, 1, 231, 19, // Skip to: 14548
-/* 9453 */    MCD_OPC_Decode, 243, 12, 94, // Opcode: VRECPSfd
-/* 9457 */    MCD_OPC_FilterValue, 2, 223, 19, // Skip to: 14548
-/* 9461 */    MCD_OPC_CheckPredicate, 15, 219, 19, // Skip to: 14548
-/* 9465 */    MCD_OPC_CheckField, 24, 8, 242, 1, 212, 19, // Skip to: 14548
-/* 9472 */    MCD_OPC_Decode, 206, 13, 94, // Opcode: VRSQRTSfd
-/* 9476 */    MCD_OPC_FilterValue, 1, 204, 19, // Skip to: 14548
-/* 9480 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 9483 */    MCD_OPC_FilterValue, 0, 138, 6, // Skip to: 11161
-/* 9487 */    MCD_OPC_ExtractField, 25, 7,  // Inst{31-25} ...
-/* 9490 */    MCD_OPC_FilterValue, 121, 190, 19, // Skip to: 14548
-/* 9494 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 9497 */    MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 9622
-/* 9501 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 9504 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9589
-/* 9508 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 9511 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9556
-/* 9515 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9518 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9537
-/* 9522 */    MCD_OPC_CheckPredicate, 15, 190, 5, // Skip to: 10996
-/* 9526 */    MCD_OPC_CheckField, 19, 1, 1, 184, 5, // Skip to: 10996
-/* 9532 */    MCD_OPC_Decode, 153, 14, 139, 1, // Opcode: VSHRsv8i8
-/* 9537 */    MCD_OPC_FilterValue, 1, 175, 5, // Skip to: 10996
-/* 9541 */    MCD_OPC_CheckPredicate, 15, 171, 5, // Skip to: 10996
-/* 9545 */    MCD_OPC_CheckField, 19, 1, 1, 165, 5, // Skip to: 10996
-/* 9551 */    MCD_OPC_Decode, 161, 14, 139, 1, // Opcode: VSHRuv8i8
-/* 9556 */    MCD_OPC_FilterValue, 1, 156, 5, // Skip to: 10996
-/* 9560 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9563 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9576
-/* 9567 */    MCD_OPC_CheckPredicate, 15, 145, 5, // Skip to: 10996
-/* 9571 */    MCD_OPC_Decode, 150, 14, 140, 1, // Opcode: VSHRsv4i16
-/* 9576 */    MCD_OPC_FilterValue, 1, 136, 5, // Skip to: 10996
-/* 9580 */    MCD_OPC_CheckPredicate, 15, 132, 5, // Skip to: 10996
-/* 9584 */    MCD_OPC_Decode, 158, 14, 140, 1, // Opcode: VSHRuv4i16
-/* 9589 */    MCD_OPC_FilterValue, 1, 123, 5, // Skip to: 10996
-/* 9593 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9596 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9609
-/* 9600 */    MCD_OPC_CheckPredicate, 15, 112, 5, // Skip to: 10996
-/* 9604 */    MCD_OPC_Decode, 148, 14, 141, 1, // Opcode: VSHRsv2i32
-/* 9609 */    MCD_OPC_FilterValue, 1, 103, 5, // Skip to: 10996
-/* 9613 */    MCD_OPC_CheckPredicate, 15, 99, 5, // Skip to: 10996
-/* 9617 */    MCD_OPC_Decode, 156, 14, 141, 1, // Opcode: VSHRuv2i32
-/* 9622 */    MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 9747
-/* 9626 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 9629 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9714
-/* 9633 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 9636 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9681
-/* 9640 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9643 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9662
-/* 9647 */    MCD_OPC_CheckPredicate, 15, 65, 5, // Skip to: 10996
-/* 9651 */    MCD_OPC_CheckField, 19, 1, 1, 59, 5, // Skip to: 10996
-/* 9657 */    MCD_OPC_Decode, 185, 14, 142, 1, // Opcode: VSRAsv8i8
-/* 9662 */    MCD_OPC_FilterValue, 1, 50, 5, // Skip to: 10996
-/* 9666 */    MCD_OPC_CheckPredicate, 15, 46, 5, // Skip to: 10996
-/* 9670 */    MCD_OPC_CheckField, 19, 1, 1, 40, 5, // Skip to: 10996
-/* 9676 */    MCD_OPC_Decode, 193, 14, 142, 1, // Opcode: VSRAuv8i8
-/* 9681 */    MCD_OPC_FilterValue, 1, 31, 5, // Skip to: 10996
-/* 9685 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9688 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9701
-/* 9692 */    MCD_OPC_CheckPredicate, 15, 20, 5, // Skip to: 10996
-/* 9696 */    MCD_OPC_Decode, 182, 14, 143, 1, // Opcode: VSRAsv4i16
-/* 9701 */    MCD_OPC_FilterValue, 1, 11, 5, // Skip to: 10996
-/* 9705 */    MCD_OPC_CheckPredicate, 15, 7, 5, // Skip to: 10996
-/* 9709 */    MCD_OPC_Decode, 190, 14, 143, 1, // Opcode: VSRAuv4i16
-/* 9714 */    MCD_OPC_FilterValue, 1, 254, 4, // Skip to: 10996
-/* 9718 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9721 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9734
-/* 9725 */    MCD_OPC_CheckPredicate, 15, 243, 4, // Skip to: 10996
-/* 9729 */    MCD_OPC_Decode, 180, 14, 144, 1, // Opcode: VSRAsv2i32
-/* 9734 */    MCD_OPC_FilterValue, 1, 234, 4, // Skip to: 10996
-/* 9738 */    MCD_OPC_CheckPredicate, 15, 230, 4, // Skip to: 10996
-/* 9742 */    MCD_OPC_Decode, 188, 14, 144, 1, // Opcode: VSRAuv2i32
-/* 9747 */    MCD_OPC_FilterValue, 2, 121, 0, // Skip to: 9872
-/* 9751 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 9754 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9839
-/* 9758 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 9761 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9806
-/* 9765 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9768 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9787
-/* 9772 */    MCD_OPC_CheckPredicate, 15, 196, 4, // Skip to: 10996
-/* 9776 */    MCD_OPC_CheckField, 19, 1, 1, 190, 4, // Skip to: 10996
-/* 9782 */    MCD_OPC_Decode, 193, 13, 139, 1, // Opcode: VRSHRsv8i8
-/* 9787 */    MCD_OPC_FilterValue, 1, 181, 4, // Skip to: 10996
-/* 9791 */    MCD_OPC_CheckPredicate, 15, 177, 4, // Skip to: 10996
-/* 9795 */    MCD_OPC_CheckField, 19, 1, 1, 171, 4, // Skip to: 10996
-/* 9801 */    MCD_OPC_Decode, 201, 13, 139, 1, // Opcode: VRSHRuv8i8
-/* 9806 */    MCD_OPC_FilterValue, 1, 162, 4, // Skip to: 10996
-/* 9810 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9813 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9826
-/* 9817 */    MCD_OPC_CheckPredicate, 15, 151, 4, // Skip to: 10996
-/* 9821 */    MCD_OPC_Decode, 190, 13, 140, 1, // Opcode: VRSHRsv4i16
-/* 9826 */    MCD_OPC_FilterValue, 1, 142, 4, // Skip to: 10996
-/* 9830 */    MCD_OPC_CheckPredicate, 15, 138, 4, // Skip to: 10996
-/* 9834 */    MCD_OPC_Decode, 198, 13, 140, 1, // Opcode: VRSHRuv4i16
-/* 9839 */    MCD_OPC_FilterValue, 1, 129, 4, // Skip to: 10996
-/* 9843 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9846 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9859
-/* 9850 */    MCD_OPC_CheckPredicate, 15, 118, 4, // Skip to: 10996
-/* 9854 */    MCD_OPC_Decode, 188, 13, 141, 1, // Opcode: VRSHRsv2i32
-/* 9859 */    MCD_OPC_FilterValue, 1, 109, 4, // Skip to: 10996
-/* 9863 */    MCD_OPC_CheckPredicate, 15, 105, 4, // Skip to: 10996
-/* 9867 */    MCD_OPC_Decode, 196, 13, 141, 1, // Opcode: VRSHRuv2i32
-/* 9872 */    MCD_OPC_FilterValue, 3, 121, 0, // Skip to: 9997
-/* 9876 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 9879 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9964
-/* 9883 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 9886 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9931
-/* 9890 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9893 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9912
-/* 9897 */    MCD_OPC_CheckPredicate, 15, 71, 4, // Skip to: 10996
-/* 9901 */    MCD_OPC_CheckField, 19, 1, 1, 65, 4, // Skip to: 10996
-/* 9907 */    MCD_OPC_Decode, 215, 13, 142, 1, // Opcode: VRSRAsv8i8
-/* 9912 */    MCD_OPC_FilterValue, 1, 56, 4, // Skip to: 10996
-/* 9916 */    MCD_OPC_CheckPredicate, 15, 52, 4, // Skip to: 10996
-/* 9920 */    MCD_OPC_CheckField, 19, 1, 1, 46, 4, // Skip to: 10996
-/* 9926 */    MCD_OPC_Decode, 223, 13, 142, 1, // Opcode: VRSRAuv8i8
-/* 9931 */    MCD_OPC_FilterValue, 1, 37, 4, // Skip to: 10996
-/* 9935 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9938 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9951
-/* 9942 */    MCD_OPC_CheckPredicate, 15, 26, 4, // Skip to: 10996
-/* 9946 */    MCD_OPC_Decode, 212, 13, 143, 1, // Opcode: VRSRAsv4i16
-/* 9951 */    MCD_OPC_FilterValue, 1, 17, 4, // Skip to: 10996
-/* 9955 */    MCD_OPC_CheckPredicate, 15, 13, 4, // Skip to: 10996
-/* 9959 */    MCD_OPC_Decode, 220, 13, 143, 1, // Opcode: VRSRAuv4i16
-/* 9964 */    MCD_OPC_FilterValue, 1, 4, 4, // Skip to: 10996
-/* 9968 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 9971 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9984
-/* 9975 */    MCD_OPC_CheckPredicate, 15, 249, 3, // Skip to: 10996
-/* 9979 */    MCD_OPC_Decode, 210, 13, 144, 1, // Opcode: VRSRAsv2i32
-/* 9984 */    MCD_OPC_FilterValue, 1, 240, 3, // Skip to: 10996
-/* 9988 */    MCD_OPC_CheckPredicate, 15, 236, 3, // Skip to: 10996
-/* 9992 */    MCD_OPC_Decode, 218, 13, 144, 1, // Opcode: VRSRAuv2i32
-/* 9997 */    MCD_OPC_FilterValue, 4, 73, 0, // Skip to: 10074
-/* 10001 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10004 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 10055
-/* 10008 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10011 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 10036
-/* 10015 */   MCD_OPC_CheckPredicate, 15, 209, 3, // Skip to: 10996
-/* 10019 */   MCD_OPC_CheckField, 24, 1, 1, 203, 3, // Skip to: 10996
-/* 10025 */   MCD_OPC_CheckField, 19, 1, 1, 197, 3, // Skip to: 10996
-/* 10031 */   MCD_OPC_Decode, 201, 14, 142, 1, // Opcode: VSRIv8i8
-/* 10036 */   MCD_OPC_FilterValue, 1, 188, 3, // Skip to: 10996
-/* 10040 */   MCD_OPC_CheckPredicate, 15, 184, 3, // Skip to: 10996
-/* 10044 */   MCD_OPC_CheckField, 24, 1, 1, 178, 3, // Skip to: 10996
-/* 10050 */   MCD_OPC_Decode, 198, 14, 143, 1, // Opcode: VSRIv4i16
-/* 10055 */   MCD_OPC_FilterValue, 1, 169, 3, // Skip to: 10996
-/* 10059 */   MCD_OPC_CheckPredicate, 15, 165, 3, // Skip to: 10996
-/* 10063 */   MCD_OPC_CheckField, 24, 1, 1, 159, 3, // Skip to: 10996
-/* 10069 */   MCD_OPC_Decode, 196, 14, 144, 1, // Opcode: VSRIv2i32
-/* 10074 */   MCD_OPC_FilterValue, 5, 121, 0, // Skip to: 10199
-/* 10078 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10081 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10166
-/* 10085 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10088 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10133
-/* 10092 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10095 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10114
-/* 10099 */   MCD_OPC_CheckPredicate, 15, 125, 3, // Skip to: 10996
-/* 10103 */   MCD_OPC_CheckField, 19, 1, 1, 119, 3, // Skip to: 10996
-/* 10109 */   MCD_OPC_Decode, 254, 13, 145, 1, // Opcode: VSHLiv8i8
-/* 10114 */   MCD_OPC_FilterValue, 1, 110, 3, // Skip to: 10996
-/* 10118 */   MCD_OPC_CheckPredicate, 15, 106, 3, // Skip to: 10996
-/* 10122 */   MCD_OPC_CheckField, 19, 1, 1, 100, 3, // Skip to: 10996
-/* 10128 */   MCD_OPC_Decode, 173, 14, 146, 1, // Opcode: VSLIv8i8
-/* 10133 */   MCD_OPC_FilterValue, 1, 91, 3, // Skip to: 10996
-/* 10137 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10140 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10153
-/* 10144 */   MCD_OPC_CheckPredicate, 15, 80, 3, // Skip to: 10996
-/* 10148 */   MCD_OPC_Decode, 251, 13, 147, 1, // Opcode: VSHLiv4i16
-/* 10153 */   MCD_OPC_FilterValue, 1, 71, 3, // Skip to: 10996
-/* 10157 */   MCD_OPC_CheckPredicate, 15, 67, 3, // Skip to: 10996
-/* 10161 */   MCD_OPC_Decode, 170, 14, 148, 1, // Opcode: VSLIv4i16
-/* 10166 */   MCD_OPC_FilterValue, 1, 58, 3, // Skip to: 10996
-/* 10170 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10173 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10186
-/* 10177 */   MCD_OPC_CheckPredicate, 15, 47, 3, // Skip to: 10996
-/* 10181 */   MCD_OPC_Decode, 249, 13, 149, 1, // Opcode: VSHLiv2i32
-/* 10186 */   MCD_OPC_FilterValue, 1, 38, 3, // Skip to: 10996
-/* 10190 */   MCD_OPC_CheckPredicate, 15, 34, 3, // Skip to: 10996
-/* 10194 */   MCD_OPC_Decode, 168, 14, 150, 1, // Opcode: VSLIv2i32
-/* 10199 */   MCD_OPC_FilterValue, 6, 73, 0, // Skip to: 10276
-/* 10203 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10206 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 10257
-/* 10210 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10213 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 10238
-/* 10217 */   MCD_OPC_CheckPredicate, 15, 7, 3, // Skip to: 10996
-/* 10221 */   MCD_OPC_CheckField, 24, 1, 1, 1, 3, // Skip to: 10996
-/* 10227 */   MCD_OPC_CheckField, 19, 1, 1, 251, 2, // Skip to: 10996
-/* 10233 */   MCD_OPC_Decode, 186, 12, 145, 1, // Opcode: VQSHLsuv8i8
-/* 10238 */   MCD_OPC_FilterValue, 1, 242, 2, // Skip to: 10996
-/* 10242 */   MCD_OPC_CheckPredicate, 15, 238, 2, // Skip to: 10996
-/* 10246 */   MCD_OPC_CheckField, 24, 1, 1, 232, 2, // Skip to: 10996
-/* 10252 */   MCD_OPC_Decode, 183, 12, 147, 1, // Opcode: VQSHLsuv4i16
-/* 10257 */   MCD_OPC_FilterValue, 1, 223, 2, // Skip to: 10996
-/* 10261 */   MCD_OPC_CheckPredicate, 15, 219, 2, // Skip to: 10996
-/* 10265 */   MCD_OPC_CheckField, 24, 1, 1, 213, 2, // Skip to: 10996
-/* 10271 */   MCD_OPC_Decode, 181, 12, 149, 1, // Opcode: VQSHLsuv2i32
-/* 10276 */   MCD_OPC_FilterValue, 7, 121, 0, // Skip to: 10401
-/* 10280 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10283 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10368
-/* 10287 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10290 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10335
-/* 10294 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10297 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10316
-/* 10301 */   MCD_OPC_CheckPredicate, 15, 179, 2, // Skip to: 10996
-/* 10305 */   MCD_OPC_CheckField, 19, 1, 1, 173, 2, // Skip to: 10996
-/* 10311 */   MCD_OPC_Decode, 178, 12, 145, 1, // Opcode: VQSHLsiv8i8
-/* 10316 */   MCD_OPC_FilterValue, 1, 164, 2, // Skip to: 10996
-/* 10320 */   MCD_OPC_CheckPredicate, 15, 160, 2, // Skip to: 10996
-/* 10324 */   MCD_OPC_CheckField, 19, 1, 1, 154, 2, // Skip to: 10996
-/* 10330 */   MCD_OPC_Decode, 202, 12, 145, 1, // Opcode: VQSHLuiv8i8
-/* 10335 */   MCD_OPC_FilterValue, 1, 145, 2, // Skip to: 10996
-/* 10339 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10342 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10355
-/* 10346 */   MCD_OPC_CheckPredicate, 15, 134, 2, // Skip to: 10996
-/* 10350 */   MCD_OPC_Decode, 175, 12, 147, 1, // Opcode: VQSHLsiv4i16
-/* 10355 */   MCD_OPC_FilterValue, 1, 125, 2, // Skip to: 10996
-/* 10359 */   MCD_OPC_CheckPredicate, 15, 121, 2, // Skip to: 10996
-/* 10363 */   MCD_OPC_Decode, 199, 12, 147, 1, // Opcode: VQSHLuiv4i16
-/* 10368 */   MCD_OPC_FilterValue, 1, 112, 2, // Skip to: 10996
-/* 10372 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10375 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10388
-/* 10379 */   MCD_OPC_CheckPredicate, 15, 101, 2, // Skip to: 10996
-/* 10383 */   MCD_OPC_Decode, 173, 12, 149, 1, // Opcode: VQSHLsiv2i32
-/* 10388 */   MCD_OPC_FilterValue, 1, 92, 2, // Skip to: 10996
-/* 10392 */   MCD_OPC_CheckPredicate, 15, 88, 2, // Skip to: 10996
-/* 10396 */   MCD_OPC_Decode, 197, 12, 149, 1, // Opcode: VQSHLuiv2i32
-/* 10401 */   MCD_OPC_FilterValue, 8, 121, 0, // Skip to: 10526
-/* 10405 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10408 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10493
-/* 10412 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10415 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10460
-/* 10419 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10422 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10441
-/* 10426 */   MCD_OPC_CheckPredicate, 15, 54, 2, // Skip to: 10996
-/* 10430 */   MCD_OPC_CheckField, 19, 1, 1, 48, 2, // Skip to: 10996
-/* 10436 */   MCD_OPC_Decode, 145, 14, 151, 1, // Opcode: VSHRNv8i8
-/* 10441 */   MCD_OPC_FilterValue, 1, 39, 2, // Skip to: 10996
-/* 10445 */   MCD_OPC_CheckPredicate, 15, 35, 2, // Skip to: 10996
-/* 10449 */   MCD_OPC_CheckField, 19, 1, 1, 29, 2, // Skip to: 10996
-/* 10455 */   MCD_OPC_Decode, 219, 12, 151, 1, // Opcode: VQSHRUNv8i8
-/* 10460 */   MCD_OPC_FilterValue, 1, 20, 2, // Skip to: 10996
-/* 10464 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10467 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10480
-/* 10471 */   MCD_OPC_CheckPredicate, 15, 9, 2, // Skip to: 10996
-/* 10475 */   MCD_OPC_Decode, 144, 14, 152, 1, // Opcode: VSHRNv4i16
-/* 10480 */   MCD_OPC_FilterValue, 1, 0, 2, // Skip to: 10996
-/* 10484 */   MCD_OPC_CheckPredicate, 15, 252, 1, // Skip to: 10996
-/* 10488 */   MCD_OPC_Decode, 218, 12, 152, 1, // Opcode: VQSHRUNv4i16
-/* 10493 */   MCD_OPC_FilterValue, 1, 243, 1, // Skip to: 10996
-/* 10497 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10500 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10513
-/* 10504 */   MCD_OPC_CheckPredicate, 15, 232, 1, // Skip to: 10996
-/* 10508 */   MCD_OPC_Decode, 143, 14, 153, 1, // Opcode: VSHRNv2i32
-/* 10513 */   MCD_OPC_FilterValue, 1, 223, 1, // Skip to: 10996
-/* 10517 */   MCD_OPC_CheckPredicate, 15, 219, 1, // Skip to: 10996
-/* 10521 */   MCD_OPC_Decode, 217, 12, 153, 1, // Opcode: VQSHRUNv2i32
-/* 10526 */   MCD_OPC_FilterValue, 9, 121, 0, // Skip to: 10651
-/* 10530 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10533 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10618
-/* 10537 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10540 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10585
-/* 10544 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10547 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10566
-/* 10551 */   MCD_OPC_CheckPredicate, 15, 185, 1, // Skip to: 10996
-/* 10555 */   MCD_OPC_CheckField, 19, 1, 1, 179, 1, // Skip to: 10996
-/* 10561 */   MCD_OPC_Decode, 213, 12, 151, 1, // Opcode: VQSHRNsv8i8
-/* 10566 */   MCD_OPC_FilterValue, 1, 170, 1, // Skip to: 10996
-/* 10570 */   MCD_OPC_CheckPredicate, 15, 166, 1, // Skip to: 10996
-/* 10574 */   MCD_OPC_CheckField, 19, 1, 1, 160, 1, // Skip to: 10996
-/* 10580 */   MCD_OPC_Decode, 216, 12, 151, 1, // Opcode: VQSHRNuv8i8
-/* 10585 */   MCD_OPC_FilterValue, 1, 151, 1, // Skip to: 10996
-/* 10589 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10592 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10605
-/* 10596 */   MCD_OPC_CheckPredicate, 15, 140, 1, // Skip to: 10996
-/* 10600 */   MCD_OPC_Decode, 212, 12, 152, 1, // Opcode: VQSHRNsv4i16
-/* 10605 */   MCD_OPC_FilterValue, 1, 131, 1, // Skip to: 10996
-/* 10609 */   MCD_OPC_CheckPredicate, 15, 127, 1, // Skip to: 10996
-/* 10613 */   MCD_OPC_Decode, 215, 12, 152, 1, // Opcode: VQSHRNuv4i16
-/* 10618 */   MCD_OPC_FilterValue, 1, 118, 1, // Skip to: 10996
-/* 10622 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10625 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10638
-/* 10629 */   MCD_OPC_CheckPredicate, 15, 107, 1, // Skip to: 10996
-/* 10633 */   MCD_OPC_Decode, 211, 12, 153, 1, // Opcode: VQSHRNsv2i32
-/* 10638 */   MCD_OPC_FilterValue, 1, 98, 1, // Skip to: 10996
-/* 10642 */   MCD_OPC_CheckPredicate, 15, 94, 1, // Skip to: 10996
-/* 10646 */   MCD_OPC_Decode, 214, 12, 153, 1, // Opcode: VQSHRNuv2i32
-/* 10651 */   MCD_OPC_FilterValue, 10, 213, 0, // Skip to: 10868
-/* 10655 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 10658 */   MCD_OPC_FilterValue, 0, 143, 0, // Skip to: 10805
-/* 10662 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 10665 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 10742
-/* 10669 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10672 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 10707
-/* 10676 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 10679 */   MCD_OPC_FilterValue, 1, 57, 1, // Skip to: 10996
-/* 10683 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10698
-/* 10687 */   MCD_OPC_CheckField, 16, 3, 0, 5, 0, // Skip to: 10698
-/* 10693 */   MCD_OPC_Decode, 197, 10, 131, 1, // Opcode: VMOVLsv8i16
-/* 10698 */   MCD_OPC_CheckPredicate, 15, 38, 1, // Skip to: 10996
-/* 10702 */   MCD_OPC_Decode, 243, 13, 154, 1, // Opcode: VSHLLsv8i16
-/* 10707 */   MCD_OPC_FilterValue, 1, 29, 1, // Skip to: 10996
-/* 10711 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
-/* 10714 */   MCD_OPC_FilterValue, 1, 22, 1, // Skip to: 10996
-/* 10718 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10733
-/* 10722 */   MCD_OPC_CheckField, 16, 3, 0, 5, 0, // Skip to: 10733
-/* 10728 */   MCD_OPC_Decode, 200, 10, 131, 1, // Opcode: VMOVLuv8i16
-/* 10733 */   MCD_OPC_CheckPredicate, 15, 3, 1, // Skip to: 10996
-/* 10737 */   MCD_OPC_Decode, 246, 13, 154, 1, // Opcode: VSHLLuv8i16
-/* 10742 */   MCD_OPC_FilterValue, 1, 250, 0, // Skip to: 10996
-/* 10746 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10749 */   MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 10777
-/* 10753 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10768
-/* 10757 */   MCD_OPC_CheckField, 16, 4, 0, 5, 0, // Skip to: 10768
-/* 10763 */   MCD_OPC_Decode, 196, 10, 131, 1, // Opcode: VMOVLsv4i32
-/* 10768 */   MCD_OPC_CheckPredicate, 15, 224, 0, // Skip to: 10996
-/* 10772 */   MCD_OPC_Decode, 242, 13, 155, 1, // Opcode: VSHLLsv4i32
-/* 10777 */   MCD_OPC_FilterValue, 1, 215, 0, // Skip to: 10996
-/* 10781 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10796
-/* 10785 */   MCD_OPC_CheckField, 16, 4, 0, 5, 0, // Skip to: 10796
-/* 10791 */   MCD_OPC_Decode, 199, 10, 131, 1, // Opcode: VMOVLuv4i32
-/* 10796 */   MCD_OPC_CheckPredicate, 15, 196, 0, // Skip to: 10996
-/* 10800 */   MCD_OPC_Decode, 245, 13, 155, 1, // Opcode: VSHLLuv4i32
-/* 10805 */   MCD_OPC_FilterValue, 1, 187, 0, // Skip to: 10996
-/* 10809 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10812 */   MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 10840
-/* 10816 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10831
-/* 10820 */   MCD_OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 10831
-/* 10826 */   MCD_OPC_Decode, 195, 10, 131, 1, // Opcode: VMOVLsv2i64
-/* 10831 */   MCD_OPC_CheckPredicate, 15, 161, 0, // Skip to: 10996
-/* 10835 */   MCD_OPC_Decode, 241, 13, 156, 1, // Opcode: VSHLLsv2i64
-/* 10840 */   MCD_OPC_FilterValue, 1, 152, 0, // Skip to: 10996
-/* 10844 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10859
-/* 10848 */   MCD_OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 10859
-/* 10854 */   MCD_OPC_Decode, 198, 10, 131, 1, // Opcode: VMOVLuv2i64
-/* 10859 */   MCD_OPC_CheckPredicate, 15, 133, 0, // Skip to: 10996
-/* 10863 */   MCD_OPC_Decode, 244, 13, 156, 1, // Opcode: VSHLLuv2i64
-/* 10868 */   MCD_OPC_FilterValue, 14, 70, 0, // Skip to: 10942
-/* 10872 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 10875 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10894
-/* 10879 */   MCD_OPC_CheckPredicate, 15, 30, 0, // Skip to: 10913
-/* 10883 */   MCD_OPC_CheckField, 19, 3, 0, 24, 0, // Skip to: 10913
-/* 10889 */   MCD_OPC_Decode, 221, 10, 157, 1, // Opcode: VMOVv8i8
-/* 10894 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 10913
-/* 10898 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 10913
-/* 10902 */   MCD_OPC_CheckField, 19, 3, 0, 5, 0, // Skip to: 10913
-/* 10908 */   MCD_OPC_Decode, 213, 10, 157, 1, // Opcode: VMOVv1i64
-/* 10913 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10916 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10929
-/* 10920 */   MCD_OPC_CheckPredicate, 15, 72, 0, // Skip to: 10996
-/* 10924 */   MCD_OPC_Decode, 252, 5, 158, 1, // Opcode: VCVTxs2fd
-/* 10929 */   MCD_OPC_FilterValue, 1, 63, 0, // Skip to: 10996
-/* 10933 */   MCD_OPC_CheckPredicate, 15, 59, 0, // Skip to: 10996
-/* 10937 */   MCD_OPC_Decode, 254, 5, 158, 1, // Opcode: VCVTxu2fd
-/* 10942 */   MCD_OPC_FilterValue, 15, 50, 0, // Skip to: 10996
-/* 10946 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 10949 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10962
-/* 10953 */   MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 10975
-/* 10957 */   MCD_OPC_Decode, 243, 5, 158, 1, // Opcode: VCVTf2xsd
-/* 10962 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10975
-/* 10966 */   MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 10975
-/* 10970 */   MCD_OPC_Decode, 245, 5, 158, 1, // Opcode: VCVTf2xud
-/* 10975 */   MCD_OPC_CheckPredicate, 15, 17, 0, // Skip to: 10996
-/* 10979 */   MCD_OPC_CheckField, 19, 3, 0, 11, 0, // Skip to: 10996
-/* 10985 */   MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 10996
-/* 10991 */   MCD_OPC_Decode, 214, 10, 157, 1, // Opcode: VMOVv2f32
-/* 10996 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 10999 */   MCD_OPC_FilterValue, 0, 77, 0, // Skip to: 11080
-/* 11003 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
-/* 11006 */   MCD_OPC_FilterValue, 0, 210, 13, // Skip to: 14548
-/* 11010 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 11013 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11032
-/* 11017 */   MCD_OPC_CheckPredicate, 15, 50, 0, // Skip to: 11071
-/* 11021 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 11071
-/* 11027 */   MCD_OPC_Decode, 218, 10, 157, 1, // Opcode: VMOVv4i16
-/* 11032 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 11071
-/* 11036 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 11039 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11052
-/* 11043 */   MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 11071
-/* 11047 */   MCD_OPC_Decode, 162, 11, 157, 1, // Opcode: VORRiv2i32
-/* 11052 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11071
-/* 11056 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 11071
-/* 11060 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 11071
-/* 11066 */   MCD_OPC_Decode, 163, 11, 157, 1, // Opcode: VORRiv4i16
-/* 11071 */   MCD_OPC_CheckPredicate, 15, 145, 13, // Skip to: 14548
-/* 11075 */   MCD_OPC_Decode, 215, 10, 157, 1, // Opcode: VMOVv2i32
-/* 11080 */   MCD_OPC_FilterValue, 1, 136, 13, // Skip to: 14548
-/* 11084 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
-/* 11087 */   MCD_OPC_FilterValue, 0, 129, 13, // Skip to: 14548
-/* 11091 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 11094 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11113
-/* 11098 */   MCD_OPC_CheckPredicate, 15, 50, 0, // Skip to: 11152
-/* 11102 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 11152
-/* 11108 */   MCD_OPC_Decode, 140, 11, 157, 1, // Opcode: VMVNv4i16
-/* 11113 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 11152
-/* 11117 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 11120 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11133
-/* 11124 */   MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 11152
-/* 11128 */   MCD_OPC_Decode, 215, 4, 157, 1, // Opcode: VBICiv2i32
-/* 11133 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11152
-/* 11137 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 11152
-/* 11141 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 11152
-/* 11147 */   MCD_OPC_Decode, 216, 4, 157, 1, // Opcode: VBICiv4i16
-/* 11152 */   MCD_OPC_CheckPredicate, 15, 64, 13, // Skip to: 14548
-/* 11156 */   MCD_OPC_Decode, 139, 11, 157, 1, // Opcode: VMVNv2i32
-/* 11161 */   MCD_OPC_FilterValue, 1, 55, 13, // Skip to: 14548
-/* 11165 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 11168 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 11203
-/* 11172 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11175 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11189
-/* 11180 */   MCD_OPC_CheckPredicate, 15, 36, 13, // Skip to: 14548
-/* 11184 */   MCD_OPC_Decode, 147, 14, 159, 1, // Opcode: VSHRsv1i64
-/* 11189 */   MCD_OPC_FilterValue, 243, 1, 26, 13, // Skip to: 14548
-/* 11194 */   MCD_OPC_CheckPredicate, 15, 22, 13, // Skip to: 14548
-/* 11198 */   MCD_OPC_Decode, 155, 14, 159, 1, // Opcode: VSHRuv1i64
-/* 11203 */   MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 11238
-/* 11207 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11210 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11224
-/* 11215 */   MCD_OPC_CheckPredicate, 15, 1, 13, // Skip to: 14548
-/* 11219 */   MCD_OPC_Decode, 179, 14, 160, 1, // Opcode: VSRAsv1i64
-/* 11224 */   MCD_OPC_FilterValue, 243, 1, 247, 12, // Skip to: 14548
-/* 11229 */   MCD_OPC_CheckPredicate, 15, 243, 12, // Skip to: 14548
-/* 11233 */   MCD_OPC_Decode, 187, 14, 160, 1, // Opcode: VSRAuv1i64
-/* 11238 */   MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 11273
-/* 11242 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11245 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11259
-/* 11250 */   MCD_OPC_CheckPredicate, 15, 222, 12, // Skip to: 14548
-/* 11254 */   MCD_OPC_Decode, 187, 13, 159, 1, // Opcode: VRSHRsv1i64
-/* 11259 */   MCD_OPC_FilterValue, 243, 1, 212, 12, // Skip to: 14548
-/* 11264 */   MCD_OPC_CheckPredicate, 15, 208, 12, // Skip to: 14548
-/* 11268 */   MCD_OPC_Decode, 195, 13, 159, 1, // Opcode: VRSHRuv1i64
-/* 11273 */   MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 11308
-/* 11277 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11280 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11294
-/* 11285 */   MCD_OPC_CheckPredicate, 15, 187, 12, // Skip to: 14548
-/* 11289 */   MCD_OPC_Decode, 209, 13, 160, 1, // Opcode: VRSRAsv1i64
-/* 11294 */   MCD_OPC_FilterValue, 243, 1, 177, 12, // Skip to: 14548
-/* 11299 */   MCD_OPC_CheckPredicate, 15, 173, 12, // Skip to: 14548
-/* 11303 */   MCD_OPC_Decode, 217, 13, 160, 1, // Opcode: VRSRAuv1i64
-/* 11308 */   MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 11328
-/* 11312 */   MCD_OPC_CheckPredicate, 15, 160, 12, // Skip to: 14548
-/* 11316 */   MCD_OPC_CheckField, 24, 8, 243, 1, 153, 12, // Skip to: 14548
-/* 11323 */   MCD_OPC_Decode, 195, 14, 160, 1, // Opcode: VSRIv1i64
-/* 11328 */   MCD_OPC_FilterValue, 5, 31, 0, // Skip to: 11363
-/* 11332 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11335 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11349
-/* 11340 */   MCD_OPC_CheckPredicate, 15, 132, 12, // Skip to: 14548
-/* 11344 */   MCD_OPC_Decode, 248, 13, 161, 1, // Opcode: VSHLiv1i64
-/* 11349 */   MCD_OPC_FilterValue, 243, 1, 122, 12, // Skip to: 14548
-/* 11354 */   MCD_OPC_CheckPredicate, 15, 118, 12, // Skip to: 14548
-/* 11358 */   MCD_OPC_Decode, 167, 14, 162, 1, // Opcode: VSLIv1i64
-/* 11363 */   MCD_OPC_FilterValue, 6, 16, 0, // Skip to: 11383
-/* 11367 */   MCD_OPC_CheckPredicate, 15, 105, 12, // Skip to: 14548
-/* 11371 */   MCD_OPC_CheckField, 24, 8, 243, 1, 98, 12, // Skip to: 14548
-/* 11378 */   MCD_OPC_Decode, 180, 12, 161, 1, // Opcode: VQSHLsuv1i64
-/* 11383 */   MCD_OPC_FilterValue, 7, 89, 12, // Skip to: 14548
-/* 11387 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11390 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11404
-/* 11395 */   MCD_OPC_CheckPredicate, 15, 77, 12, // Skip to: 14548
-/* 11399 */   MCD_OPC_Decode, 172, 12, 161, 1, // Opcode: VQSHLsiv1i64
-/* 11404 */   MCD_OPC_FilterValue, 243, 1, 67, 12, // Skip to: 14548
-/* 11409 */   MCD_OPC_CheckPredicate, 15, 63, 12, // Skip to: 14548
-/* 11413 */   MCD_OPC_Decode, 196, 12, 161, 1, // Opcode: VQSHLuiv1i64
-/* 11418 */   MCD_OPC_FilterValue, 1, 54, 12, // Skip to: 14548
-/* 11422 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 11425 */   MCD_OPC_FilterValue, 0, 114, 5, // Skip to: 12823
-/* 11429 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 11432 */   MCD_OPC_FilterValue, 0, 135, 0, // Skip to: 11571
-/* 11436 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 11439 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11472
-/* 11443 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11446 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11459
-/* 11451 */   MCD_OPC_CheckPredicate, 15, 21, 12, // Skip to: 14548
-/* 11455 */   MCD_OPC_Decode, 215, 11, 95, // Opcode: VQADDsv16i8
-/* 11459 */   MCD_OPC_FilterValue, 243, 1, 12, 12, // Skip to: 14548
-/* 11464 */   MCD_OPC_CheckPredicate, 15, 8, 12, // Skip to: 14548
-/* 11468 */   MCD_OPC_Decode, 223, 11, 95, // Opcode: VQADDuv16i8
-/* 11472 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11505
-/* 11476 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11479 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11492
-/* 11484 */   MCD_OPC_CheckPredicate, 15, 244, 11, // Skip to: 14548
-/* 11488 */   MCD_OPC_Decode, 221, 11, 95, // Opcode: VQADDsv8i16
-/* 11492 */   MCD_OPC_FilterValue, 243, 1, 235, 11, // Skip to: 14548
-/* 11497 */   MCD_OPC_CheckPredicate, 15, 231, 11, // Skip to: 14548
-/* 11501 */   MCD_OPC_Decode, 229, 11, 95, // Opcode: VQADDuv8i16
-/* 11505 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11538
-/* 11509 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11512 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11525
-/* 11517 */   MCD_OPC_CheckPredicate, 15, 211, 11, // Skip to: 14548
-/* 11521 */   MCD_OPC_Decode, 220, 11, 95, // Opcode: VQADDsv4i32
-/* 11525 */   MCD_OPC_FilterValue, 243, 1, 202, 11, // Skip to: 14548
-/* 11530 */   MCD_OPC_CheckPredicate, 15, 198, 11, // Skip to: 14548
-/* 11534 */   MCD_OPC_Decode, 228, 11, 95, // Opcode: VQADDuv4i32
-/* 11538 */   MCD_OPC_FilterValue, 3, 190, 11, // Skip to: 14548
-/* 11542 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11545 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11558
-/* 11550 */   MCD_OPC_CheckPredicate, 15, 178, 11, // Skip to: 14548
-/* 11554 */   MCD_OPC_Decode, 218, 11, 95, // Opcode: VQADDsv2i64
-/* 11558 */   MCD_OPC_FilterValue, 243, 1, 169, 11, // Skip to: 14548
-/* 11563 */   MCD_OPC_CheckPredicate, 15, 165, 11, // Skip to: 14548
-/* 11567 */   MCD_OPC_Decode, 226, 11, 95, // Opcode: VQADDuv2i64
-/* 11571 */   MCD_OPC_FilterValue, 1, 135, 0, // Skip to: 11710
-/* 11575 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 11578 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11611
-/* 11582 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11585 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11598
-/* 11590 */   MCD_OPC_CheckPredicate, 15, 138, 11, // Skip to: 14548
-/* 11594 */   MCD_OPC_Decode, 213, 4, 95, // Opcode: VANDq
-/* 11598 */   MCD_OPC_FilterValue, 243, 1, 129, 11, // Skip to: 14548
-/* 11603 */   MCD_OPC_CheckPredicate, 15, 125, 11, // Skip to: 14548
-/* 11607 */   MCD_OPC_Decode, 143, 6, 95, // Opcode: VEORq
-/* 11611 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11644
-/* 11615 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11618 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11631
-/* 11623 */   MCD_OPC_CheckPredicate, 15, 105, 11, // Skip to: 14548
-/* 11627 */   MCD_OPC_Decode, 219, 4, 95, // Opcode: VBICq
-/* 11631 */   MCD_OPC_FilterValue, 243, 1, 96, 11, // Skip to: 14548
-/* 11636 */   MCD_OPC_CheckPredicate, 15, 92, 11, // Skip to: 14548
-/* 11640 */   MCD_OPC_Decode, 225, 4, 103, // Opcode: VBSLq
-/* 11644 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11677
-/* 11648 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11651 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11664
-/* 11656 */   MCD_OPC_CheckPredicate, 15, 72, 11, // Skip to: 14548
-/* 11660 */   MCD_OPC_Decode, 166, 11, 95, // Opcode: VORRq
-/* 11664 */   MCD_OPC_FilterValue, 243, 1, 63, 11, // Skip to: 14548
-/* 11669 */   MCD_OPC_CheckPredicate, 15, 59, 11, // Skip to: 14548
-/* 11673 */   MCD_OPC_Decode, 223, 4, 103, // Opcode: VBITq
-/* 11677 */   MCD_OPC_FilterValue, 3, 51, 11, // Skip to: 14548
-/* 11681 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11684 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11697
-/* 11689 */   MCD_OPC_CheckPredicate, 15, 39, 11, // Skip to: 14548
-/* 11693 */   MCD_OPC_Decode, 160, 11, 95, // Opcode: VORNq
-/* 11697 */   MCD_OPC_FilterValue, 243, 1, 30, 11, // Skip to: 14548
-/* 11702 */   MCD_OPC_CheckPredicate, 15, 26, 11, // Skip to: 14548
-/* 11706 */   MCD_OPC_Decode, 221, 4, 103, // Opcode: VBIFq
-/* 11710 */   MCD_OPC_FilterValue, 2, 135, 0, // Skip to: 11849
-/* 11714 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 11717 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11750
-/* 11721 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11724 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11737
-/* 11729 */   MCD_OPC_CheckPredicate, 15, 255, 10, // Skip to: 14548
-/* 11733 */   MCD_OPC_Decode, 220, 12, 95, // Opcode: VQSUBsv16i8
-/* 11737 */   MCD_OPC_FilterValue, 243, 1, 246, 10, // Skip to: 14548
-/* 11742 */   MCD_OPC_CheckPredicate, 15, 242, 10, // Skip to: 14548
-/* 11746 */   MCD_OPC_Decode, 228, 12, 95, // Opcode: VQSUBuv16i8
-/* 11750 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11783
-/* 11754 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11757 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11770
-/* 11762 */   MCD_OPC_CheckPredicate, 15, 222, 10, // Skip to: 14548
-/* 11766 */   MCD_OPC_Decode, 226, 12, 95, // Opcode: VQSUBsv8i16
-/* 11770 */   MCD_OPC_FilterValue, 243, 1, 213, 10, // Skip to: 14548
-/* 11775 */   MCD_OPC_CheckPredicate, 15, 209, 10, // Skip to: 14548
-/* 11779 */   MCD_OPC_Decode, 234, 12, 95, // Opcode: VQSUBuv8i16
-/* 11783 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11816
-/* 11787 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11790 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11803
-/* 11795 */   MCD_OPC_CheckPredicate, 15, 189, 10, // Skip to: 14548
-/* 11799 */   MCD_OPC_Decode, 225, 12, 95, // Opcode: VQSUBsv4i32
-/* 11803 */   MCD_OPC_FilterValue, 243, 1, 180, 10, // Skip to: 14548
-/* 11808 */   MCD_OPC_CheckPredicate, 15, 176, 10, // Skip to: 14548
-/* 11812 */   MCD_OPC_Decode, 233, 12, 95, // Opcode: VQSUBuv4i32
-/* 11816 */   MCD_OPC_FilterValue, 3, 168, 10, // Skip to: 14548
-/* 11820 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11823 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11836
-/* 11828 */   MCD_OPC_CheckPredicate, 15, 156, 10, // Skip to: 14548
-/* 11832 */   MCD_OPC_Decode, 223, 12, 95, // Opcode: VQSUBsv2i64
-/* 11836 */   MCD_OPC_FilterValue, 243, 1, 147, 10, // Skip to: 14548
-/* 11841 */   MCD_OPC_CheckPredicate, 15, 143, 10, // Skip to: 14548
-/* 11845 */   MCD_OPC_Decode, 231, 12, 95, // Opcode: VQSUBuv2i64
-/* 11849 */   MCD_OPC_FilterValue, 3, 102, 0, // Skip to: 11955
-/* 11853 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 11856 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11889
-/* 11860 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11863 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11876
-/* 11868 */   MCD_OPC_CheckPredicate, 15, 116, 10, // Skip to: 14548
-/* 11872 */   MCD_OPC_Decode, 244, 4, 95, // Opcode: VCGEsv16i8
-/* 11876 */   MCD_OPC_FilterValue, 243, 1, 107, 10, // Skip to: 14548
-/* 11881 */   MCD_OPC_CheckPredicate, 15, 103, 10, // Skip to: 14548
-/* 11885 */   MCD_OPC_Decode, 250, 4, 95, // Opcode: VCGEuv16i8
-/* 11889 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11922
-/* 11893 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11896 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11909
-/* 11901 */   MCD_OPC_CheckPredicate, 15, 83, 10, // Skip to: 14548
-/* 11905 */   MCD_OPC_Decode, 248, 4, 95, // Opcode: VCGEsv8i16
-/* 11909 */   MCD_OPC_FilterValue, 243, 1, 74, 10, // Skip to: 14548
-/* 11914 */   MCD_OPC_CheckPredicate, 15, 70, 10, // Skip to: 14548
-/* 11918 */   MCD_OPC_Decode, 254, 4, 95, // Opcode: VCGEuv8i16
-/* 11922 */   MCD_OPC_FilterValue, 2, 62, 10, // Skip to: 14548
-/* 11926 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11929 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11942
-/* 11934 */   MCD_OPC_CheckPredicate, 15, 50, 10, // Skip to: 14548
-/* 11938 */   MCD_OPC_Decode, 247, 4, 95, // Opcode: VCGEsv4i32
-/* 11942 */   MCD_OPC_FilterValue, 243, 1, 41, 10, // Skip to: 14548
-/* 11947 */   MCD_OPC_CheckPredicate, 15, 37, 10, // Skip to: 14548
-/* 11951 */   MCD_OPC_Decode, 253, 4, 95, // Opcode: VCGEuv4i32
-/* 11955 */   MCD_OPC_FilterValue, 4, 135, 0, // Skip to: 12094
-/* 11959 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 11962 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11995
-/* 11966 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 11969 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11982
-/* 11974 */   MCD_OPC_CheckPredicate, 15, 10, 10, // Skip to: 14548
-/* 11978 */   MCD_OPC_Decode, 187, 12, 99, // Opcode: VQSHLsv16i8
-/* 11982 */   MCD_OPC_FilterValue, 243, 1, 1, 10, // Skip to: 14548
-/* 11987 */   MCD_OPC_CheckPredicate, 15, 253, 9, // Skip to: 14548
-/* 11991 */   MCD_OPC_Decode, 203, 12, 99, // Opcode: VQSHLuv16i8
-/* 11995 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12028
-/* 11999 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12002 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12015
-/* 12007 */   MCD_OPC_CheckPredicate, 15, 233, 9, // Skip to: 14548
-/* 12011 */   MCD_OPC_Decode, 193, 12, 99, // Opcode: VQSHLsv8i16
-/* 12015 */   MCD_OPC_FilterValue, 243, 1, 224, 9, // Skip to: 14548
-/* 12020 */   MCD_OPC_CheckPredicate, 15, 220, 9, // Skip to: 14548
-/* 12024 */   MCD_OPC_Decode, 209, 12, 99, // Opcode: VQSHLuv8i16
-/* 12028 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 12061
-/* 12032 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12035 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12048
-/* 12040 */   MCD_OPC_CheckPredicate, 15, 200, 9, // Skip to: 14548
-/* 12044 */   MCD_OPC_Decode, 192, 12, 99, // Opcode: VQSHLsv4i32
-/* 12048 */   MCD_OPC_FilterValue, 243, 1, 191, 9, // Skip to: 14548
-/* 12053 */   MCD_OPC_CheckPredicate, 15, 187, 9, // Skip to: 14548
-/* 12057 */   MCD_OPC_Decode, 208, 12, 99, // Opcode: VQSHLuv4i32
-/* 12061 */   MCD_OPC_FilterValue, 3, 179, 9, // Skip to: 14548
-/* 12065 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12068 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12081
-/* 12073 */   MCD_OPC_CheckPredicate, 15, 167, 9, // Skip to: 14548
-/* 12077 */   MCD_OPC_Decode, 190, 12, 99, // Opcode: VQSHLsv2i64
-/* 12081 */   MCD_OPC_FilterValue, 243, 1, 158, 9, // Skip to: 14548
-/* 12086 */   MCD_OPC_CheckPredicate, 15, 154, 9, // Skip to: 14548
-/* 12090 */   MCD_OPC_Decode, 206, 12, 99, // Opcode: VQSHLuv2i64
-/* 12094 */   MCD_OPC_FilterValue, 5, 135, 0, // Skip to: 12233
-/* 12098 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12101 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12134
-/* 12105 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12108 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12121
-/* 12113 */   MCD_OPC_CheckPredicate, 15, 127, 9, // Skip to: 14548
-/* 12117 */   MCD_OPC_Decode, 146, 12, 99, // Opcode: VQRSHLsv16i8
-/* 12121 */   MCD_OPC_FilterValue, 243, 1, 118, 9, // Skip to: 14548
-/* 12126 */   MCD_OPC_CheckPredicate, 15, 114, 9, // Skip to: 14548
-/* 12130 */   MCD_OPC_Decode, 154, 12, 99, // Opcode: VQRSHLuv16i8
-/* 12134 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12167
-/* 12138 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12141 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12154
-/* 12146 */   MCD_OPC_CheckPredicate, 15, 94, 9, // Skip to: 14548
-/* 12150 */   MCD_OPC_Decode, 152, 12, 99, // Opcode: VQRSHLsv8i16
-/* 12154 */   MCD_OPC_FilterValue, 243, 1, 85, 9, // Skip to: 14548
-/* 12159 */   MCD_OPC_CheckPredicate, 15, 81, 9, // Skip to: 14548
-/* 12163 */   MCD_OPC_Decode, 160, 12, 99, // Opcode: VQRSHLuv8i16
-/* 12167 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 12200
-/* 12171 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12174 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12187
-/* 12179 */   MCD_OPC_CheckPredicate, 15, 61, 9, // Skip to: 14548
-/* 12183 */   MCD_OPC_Decode, 151, 12, 99, // Opcode: VQRSHLsv4i32
-/* 12187 */   MCD_OPC_FilterValue, 243, 1, 52, 9, // Skip to: 14548
-/* 12192 */   MCD_OPC_CheckPredicate, 15, 48, 9, // Skip to: 14548
-/* 12196 */   MCD_OPC_Decode, 159, 12, 99, // Opcode: VQRSHLuv4i32
-/* 12200 */   MCD_OPC_FilterValue, 3, 40, 9, // Skip to: 14548
-/* 12204 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12207 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12220
-/* 12212 */   MCD_OPC_CheckPredicate, 15, 28, 9, // Skip to: 14548
-/* 12216 */   MCD_OPC_Decode, 149, 12, 99, // Opcode: VQRSHLsv2i64
-/* 12220 */   MCD_OPC_FilterValue, 243, 1, 19, 9, // Skip to: 14548
-/* 12225 */   MCD_OPC_CheckPredicate, 15, 15, 9, // Skip to: 14548
-/* 12229 */   MCD_OPC_Decode, 157, 12, 99, // Opcode: VQRSHLuv2i64
-/* 12233 */   MCD_OPC_FilterValue, 6, 102, 0, // Skip to: 12339
-/* 12237 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12240 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12273
-/* 12244 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12247 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12260
-/* 12252 */   MCD_OPC_CheckPredicate, 15, 244, 8, // Skip to: 14548
-/* 12256 */   MCD_OPC_Decode, 255, 9, 95, // Opcode: VMINsv16i8
-/* 12260 */   MCD_OPC_FilterValue, 243, 1, 235, 8, // Skip to: 14548
-/* 12265 */   MCD_OPC_CheckPredicate, 15, 231, 8, // Skip to: 14548
-/* 12269 */   MCD_OPC_Decode, 133, 10, 95, // Opcode: VMINuv16i8
-/* 12273 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12306
-/* 12277 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12280 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12293
-/* 12285 */   MCD_OPC_CheckPredicate, 15, 211, 8, // Skip to: 14548
-/* 12289 */   MCD_OPC_Decode, 131, 10, 95, // Opcode: VMINsv8i16
-/* 12293 */   MCD_OPC_FilterValue, 243, 1, 202, 8, // Skip to: 14548
-/* 12298 */   MCD_OPC_CheckPredicate, 15, 198, 8, // Skip to: 14548
-/* 12302 */   MCD_OPC_Decode, 137, 10, 95, // Opcode: VMINuv8i16
-/* 12306 */   MCD_OPC_FilterValue, 2, 190, 8, // Skip to: 14548
-/* 12310 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12313 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12326
-/* 12318 */   MCD_OPC_CheckPredicate, 15, 178, 8, // Skip to: 14548
-/* 12322 */   MCD_OPC_Decode, 130, 10, 95, // Opcode: VMINsv4i32
-/* 12326 */   MCD_OPC_FilterValue, 243, 1, 169, 8, // Skip to: 14548
-/* 12331 */   MCD_OPC_CheckPredicate, 15, 165, 8, // Skip to: 14548
-/* 12335 */   MCD_OPC_Decode, 136, 10, 95, // Opcode: VMINuv4i32
-/* 12339 */   MCD_OPC_FilterValue, 7, 102, 0, // Skip to: 12445
-/* 12343 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12346 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12379
-/* 12350 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12353 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12366
-/* 12358 */   MCD_OPC_CheckPredicate, 15, 138, 8, // Skip to: 14548
-/* 12362 */   MCD_OPC_Decode, 139, 4, 103, // Opcode: VABAsv16i8
-/* 12366 */   MCD_OPC_FilterValue, 243, 1, 129, 8, // Skip to: 14548
-/* 12371 */   MCD_OPC_CheckPredicate, 15, 125, 8, // Skip to: 14548
-/* 12375 */   MCD_OPC_Decode, 145, 4, 103, // Opcode: VABAuv16i8
-/* 12379 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12412
-/* 12383 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12386 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12399
-/* 12391 */   MCD_OPC_CheckPredicate, 15, 105, 8, // Skip to: 14548
-/* 12395 */   MCD_OPC_Decode, 143, 4, 103, // Opcode: VABAsv8i16
-/* 12399 */   MCD_OPC_FilterValue, 243, 1, 96, 8, // Skip to: 14548
-/* 12404 */   MCD_OPC_CheckPredicate, 15, 92, 8, // Skip to: 14548
-/* 12408 */   MCD_OPC_Decode, 149, 4, 103, // Opcode: VABAuv8i16
-/* 12412 */   MCD_OPC_FilterValue, 2, 84, 8, // Skip to: 14548
-/* 12416 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12419 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12432
-/* 12424 */   MCD_OPC_CheckPredicate, 15, 72, 8, // Skip to: 14548
-/* 12428 */   MCD_OPC_Decode, 142, 4, 103, // Opcode: VABAsv4i32
-/* 12432 */   MCD_OPC_FilterValue, 243, 1, 63, 8, // Skip to: 14548
-/* 12437 */   MCD_OPC_CheckPredicate, 15, 59, 8, // Skip to: 14548
-/* 12441 */   MCD_OPC_Decode, 148, 4, 103, // Opcode: VABAuv4i32
-/* 12445 */   MCD_OPC_FilterValue, 8, 102, 0, // Skip to: 12551
-/* 12449 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12452 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12485
-/* 12456 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12459 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12472
-/* 12464 */   MCD_OPC_CheckPredicate, 15, 32, 8, // Skip to: 14548
-/* 12468 */   MCD_OPC_Decode, 196, 17, 95, // Opcode: VTSTv16i8
-/* 12472 */   MCD_OPC_FilterValue, 243, 1, 23, 8, // Skip to: 14548
-/* 12477 */   MCD_OPC_CheckPredicate, 15, 19, 8, // Skip to: 14548
-/* 12481 */   MCD_OPC_Decode, 228, 4, 95, // Opcode: VCEQv16i8
-/* 12485 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12518
-/* 12489 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12492 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12505
-/* 12497 */   MCD_OPC_CheckPredicate, 15, 255, 7, // Skip to: 14548
-/* 12501 */   MCD_OPC_Decode, 200, 17, 95, // Opcode: VTSTv8i16
-/* 12505 */   MCD_OPC_FilterValue, 243, 1, 246, 7, // Skip to: 14548
-/* 12510 */   MCD_OPC_CheckPredicate, 15, 242, 7, // Skip to: 14548
-/* 12514 */   MCD_OPC_Decode, 232, 4, 95, // Opcode: VCEQv8i16
-/* 12518 */   MCD_OPC_FilterValue, 2, 234, 7, // Skip to: 14548
-/* 12522 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12525 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12538
-/* 12530 */   MCD_OPC_CheckPredicate, 15, 222, 7, // Skip to: 14548
-/* 12534 */   MCD_OPC_Decode, 199, 17, 95, // Opcode: VTSTv4i32
-/* 12538 */   MCD_OPC_FilterValue, 243, 1, 213, 7, // Skip to: 14548
-/* 12543 */   MCD_OPC_CheckPredicate, 15, 209, 7, // Skip to: 14548
-/* 12547 */   MCD_OPC_Decode, 231, 4, 95, // Opcode: VCEQv4i32
-/* 12551 */   MCD_OPC_FilterValue, 9, 74, 0, // Skip to: 12629
-/* 12555 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12558 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12591
-/* 12562 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12565 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12578
-/* 12570 */   MCD_OPC_CheckPredicate, 15, 182, 7, // Skip to: 14548
-/* 12574 */   MCD_OPC_Decode, 131, 11, 95, // Opcode: VMULv16i8
-/* 12578 */   MCD_OPC_FilterValue, 243, 1, 173, 7, // Skip to: 14548
-/* 12583 */   MCD_OPC_CheckPredicate, 15, 169, 7, // Skip to: 14548
-/* 12587 */   MCD_OPC_Decode, 252, 10, 95, // Opcode: VMULpq
-/* 12591 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 12610
-/* 12595 */   MCD_OPC_CheckPredicate, 15, 157, 7, // Skip to: 14548
-/* 12599 */   MCD_OPC_CheckField, 24, 8, 242, 1, 150, 7, // Skip to: 14548
-/* 12606 */   MCD_OPC_Decode, 135, 11, 95, // Opcode: VMULv8i16
-/* 12610 */   MCD_OPC_FilterValue, 2, 142, 7, // Skip to: 14548
-/* 12614 */   MCD_OPC_CheckPredicate, 15, 138, 7, // Skip to: 14548
-/* 12618 */   MCD_OPC_CheckField, 24, 8, 242, 1, 131, 7, // Skip to: 14548
-/* 12625 */   MCD_OPC_Decode, 134, 11, 95, // Opcode: VMULv4i32
-/* 12629 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 12674
-/* 12633 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12636 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12655
-/* 12640 */   MCD_OPC_CheckPredicate, 18, 112, 7, // Skip to: 14548
-/* 12644 */   MCD_OPC_CheckField, 24, 8, 242, 1, 105, 7, // Skip to: 14548
-/* 12651 */   MCD_OPC_Decode, 154, 6, 103, // Opcode: VFMAfq
-/* 12655 */   MCD_OPC_FilterValue, 2, 97, 7, // Skip to: 14548
-/* 12659 */   MCD_OPC_CheckPredicate, 18, 93, 7, // Skip to: 14548
-/* 12663 */   MCD_OPC_CheckField, 24, 8, 242, 1, 86, 7, // Skip to: 14548
-/* 12670 */   MCD_OPC_Decode, 158, 6, 103, // Opcode: VFMSfq
-/* 12674 */   MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 12733
-/* 12678 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12681 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12714
-/* 12685 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 12688 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12701
-/* 12693 */   MCD_OPC_CheckPredicate, 15, 59, 7, // Skip to: 14548
-/* 12697 */   MCD_OPC_Decode, 152, 10, 103, // Opcode: VMLAfq
-/* 12701 */   MCD_OPC_FilterValue, 243, 1, 50, 7, // Skip to: 14548
-/* 12706 */   MCD_OPC_CheckPredicate, 15, 46, 7, // Skip to: 14548
-/* 12710 */   MCD_OPC_Decode, 250, 10, 95, // Opcode: VMULfq
-/* 12714 */   MCD_OPC_FilterValue, 2, 38, 7, // Skip to: 14548
-/* 12718 */   MCD_OPC_CheckPredicate, 15, 34, 7, // Skip to: 14548
-/* 12722 */   MCD_OPC_CheckField, 24, 8, 242, 1, 27, 7, // Skip to: 14548
-/* 12729 */   MCD_OPC_Decode, 178, 10, 103, // Opcode: VMLSfq
-/* 12733 */   MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 12778
-/* 12737 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12740 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12759
-/* 12744 */   MCD_OPC_CheckPredicate, 15, 8, 7, // Skip to: 14548
-/* 12748 */   MCD_OPC_CheckField, 24, 8, 243, 1, 1, 7, // Skip to: 14548
-/* 12755 */   MCD_OPC_Decode, 182, 4, 95, // Opcode: VACGEq
-/* 12759 */   MCD_OPC_FilterValue, 2, 249, 6, // Skip to: 14548
-/* 12763 */   MCD_OPC_CheckPredicate, 15, 245, 6, // Skip to: 14548
-/* 12767 */   MCD_OPC_CheckField, 24, 8, 243, 1, 238, 6, // Skip to: 14548
-/* 12774 */   MCD_OPC_Decode, 184, 4, 95, // Opcode: VACGTq
-/* 12778 */   MCD_OPC_FilterValue, 15, 230, 6, // Skip to: 14548
-/* 12782 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
-/* 12785 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12804
-/* 12789 */   MCD_OPC_CheckPredicate, 15, 219, 6, // Skip to: 14548
-/* 12793 */   MCD_OPC_CheckField, 24, 8, 242, 1, 212, 6, // Skip to: 14548
-/* 12800 */   MCD_OPC_Decode, 244, 12, 95, // Opcode: VRECPSfq
-/* 12804 */   MCD_OPC_FilterValue, 2, 204, 6, // Skip to: 14548
-/* 12808 */   MCD_OPC_CheckPredicate, 15, 200, 6, // Skip to: 14548
-/* 12812 */   MCD_OPC_CheckField, 24, 8, 242, 1, 193, 6, // Skip to: 14548
-/* 12819 */   MCD_OPC_Decode, 207, 13, 95, // Opcode: VRSQRTSfq
-/* 12823 */   MCD_OPC_FilterValue, 1, 185, 6, // Skip to: 14548
-/* 12827 */   MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 12830 */   MCD_OPC_FilterValue, 0, 177, 5, // Skip to: 14291
-/* 12834 */   MCD_OPC_ExtractField, 25, 7,  // Inst{31-25} ...
-/* 12837 */   MCD_OPC_FilterValue, 121, 171, 6, // Skip to: 14548
-/* 12841 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 12844 */   MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 12969
-/* 12848 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 12851 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 12936
-/* 12855 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 12858 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 12903
-/* 12862 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 12865 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12884
-/* 12869 */   MCD_OPC_CheckPredicate, 15, 229, 4, // Skip to: 14126
-/* 12873 */   MCD_OPC_CheckField, 19, 1, 1, 223, 4, // Skip to: 14126
-/* 12879 */   MCD_OPC_Decode, 146, 14, 163, 1, // Opcode: VSHRsv16i8
-/* 12884 */   MCD_OPC_FilterValue, 1, 214, 4, // Skip to: 14126
-/* 12888 */   MCD_OPC_CheckPredicate, 15, 210, 4, // Skip to: 14126
-/* 12892 */   MCD_OPC_CheckField, 19, 1, 1, 204, 4, // Skip to: 14126
-/* 12898 */   MCD_OPC_Decode, 154, 14, 163, 1, // Opcode: VSHRuv16i8
-/* 12903 */   MCD_OPC_FilterValue, 1, 195, 4, // Skip to: 14126
-/* 12907 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 12910 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 12923
-/* 12914 */   MCD_OPC_CheckPredicate, 15, 184, 4, // Skip to: 14126
-/* 12918 */   MCD_OPC_Decode, 152, 14, 164, 1, // Opcode: VSHRsv8i16
-/* 12923 */   MCD_OPC_FilterValue, 1, 175, 4, // Skip to: 14126
-/* 12927 */   MCD_OPC_CheckPredicate, 15, 171, 4, // Skip to: 14126
-/* 12931 */   MCD_OPC_Decode, 160, 14, 164, 1, // Opcode: VSHRuv8i16
-/* 12936 */   MCD_OPC_FilterValue, 1, 162, 4, // Skip to: 14126
-/* 12940 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 12943 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 12956
-/* 12947 */   MCD_OPC_CheckPredicate, 15, 151, 4, // Skip to: 14126
-/* 12951 */   MCD_OPC_Decode, 151, 14, 165, 1, // Opcode: VSHRsv4i32
-/* 12956 */   MCD_OPC_FilterValue, 1, 142, 4, // Skip to: 14126
-/* 12960 */   MCD_OPC_CheckPredicate, 15, 138, 4, // Skip to: 14126
-/* 12964 */   MCD_OPC_Decode, 159, 14, 165, 1, // Opcode: VSHRuv4i32
-/* 12969 */   MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 13094
-/* 12973 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 12976 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13061
-/* 12980 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 12983 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13028
-/* 12987 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 12990 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13009
-/* 12994 */   MCD_OPC_CheckPredicate, 15, 104, 4, // Skip to: 14126
-/* 12998 */   MCD_OPC_CheckField, 19, 1, 1, 98, 4, // Skip to: 14126
-/* 13004 */   MCD_OPC_Decode, 178, 14, 166, 1, // Opcode: VSRAsv16i8
-/* 13009 */   MCD_OPC_FilterValue, 1, 89, 4, // Skip to: 14126
-/* 13013 */   MCD_OPC_CheckPredicate, 15, 85, 4, // Skip to: 14126
-/* 13017 */   MCD_OPC_CheckField, 19, 1, 1, 79, 4, // Skip to: 14126
-/* 13023 */   MCD_OPC_Decode, 186, 14, 166, 1, // Opcode: VSRAuv16i8
-/* 13028 */   MCD_OPC_FilterValue, 1, 70, 4, // Skip to: 14126
-/* 13032 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13035 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13048
-/* 13039 */   MCD_OPC_CheckPredicate, 15, 59, 4, // Skip to: 14126
-/* 13043 */   MCD_OPC_Decode, 184, 14, 167, 1, // Opcode: VSRAsv8i16
-/* 13048 */   MCD_OPC_FilterValue, 1, 50, 4, // Skip to: 14126
-/* 13052 */   MCD_OPC_CheckPredicate, 15, 46, 4, // Skip to: 14126
-/* 13056 */   MCD_OPC_Decode, 192, 14, 167, 1, // Opcode: VSRAuv8i16
-/* 13061 */   MCD_OPC_FilterValue, 1, 37, 4, // Skip to: 14126
-/* 13065 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13068 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13081
-/* 13072 */   MCD_OPC_CheckPredicate, 15, 26, 4, // Skip to: 14126
-/* 13076 */   MCD_OPC_Decode, 183, 14, 168, 1, // Opcode: VSRAsv4i32
-/* 13081 */   MCD_OPC_FilterValue, 1, 17, 4, // Skip to: 14126
-/* 13085 */   MCD_OPC_CheckPredicate, 15, 13, 4, // Skip to: 14126
-/* 13089 */   MCD_OPC_Decode, 191, 14, 168, 1, // Opcode: VSRAuv4i32
-/* 13094 */   MCD_OPC_FilterValue, 2, 121, 0, // Skip to: 13219
-/* 13098 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13101 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13186
-/* 13105 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13108 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13153
-/* 13112 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13115 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13134
-/* 13119 */   MCD_OPC_CheckPredicate, 15, 235, 3, // Skip to: 14126
-/* 13123 */   MCD_OPC_CheckField, 19, 1, 1, 229, 3, // Skip to: 14126
-/* 13129 */   MCD_OPC_Decode, 186, 13, 163, 1, // Opcode: VRSHRsv16i8
-/* 13134 */   MCD_OPC_FilterValue, 1, 220, 3, // Skip to: 14126
-/* 13138 */   MCD_OPC_CheckPredicate, 15, 216, 3, // Skip to: 14126
-/* 13142 */   MCD_OPC_CheckField, 19, 1, 1, 210, 3, // Skip to: 14126
-/* 13148 */   MCD_OPC_Decode, 194, 13, 163, 1, // Opcode: VRSHRuv16i8
-/* 13153 */   MCD_OPC_FilterValue, 1, 201, 3, // Skip to: 14126
-/* 13157 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13160 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13173
-/* 13164 */   MCD_OPC_CheckPredicate, 15, 190, 3, // Skip to: 14126
-/* 13168 */   MCD_OPC_Decode, 192, 13, 164, 1, // Opcode: VRSHRsv8i16
-/* 13173 */   MCD_OPC_FilterValue, 1, 181, 3, // Skip to: 14126
-/* 13177 */   MCD_OPC_CheckPredicate, 15, 177, 3, // Skip to: 14126
-/* 13181 */   MCD_OPC_Decode, 200, 13, 164, 1, // Opcode: VRSHRuv8i16
-/* 13186 */   MCD_OPC_FilterValue, 1, 168, 3, // Skip to: 14126
-/* 13190 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13193 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13206
-/* 13197 */   MCD_OPC_CheckPredicate, 15, 157, 3, // Skip to: 14126
-/* 13201 */   MCD_OPC_Decode, 191, 13, 165, 1, // Opcode: VRSHRsv4i32
-/* 13206 */   MCD_OPC_FilterValue, 1, 148, 3, // Skip to: 14126
-/* 13210 */   MCD_OPC_CheckPredicate, 15, 144, 3, // Skip to: 14126
-/* 13214 */   MCD_OPC_Decode, 199, 13, 165, 1, // Opcode: VRSHRuv4i32
-/* 13219 */   MCD_OPC_FilterValue, 3, 121, 0, // Skip to: 13344
-/* 13223 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13226 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13311
-/* 13230 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13233 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13278
-/* 13237 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13240 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13259
-/* 13244 */   MCD_OPC_CheckPredicate, 15, 110, 3, // Skip to: 14126
-/* 13248 */   MCD_OPC_CheckField, 19, 1, 1, 104, 3, // Skip to: 14126
-/* 13254 */   MCD_OPC_Decode, 208, 13, 166, 1, // Opcode: VRSRAsv16i8
-/* 13259 */   MCD_OPC_FilterValue, 1, 95, 3, // Skip to: 14126
-/* 13263 */   MCD_OPC_CheckPredicate, 15, 91, 3, // Skip to: 14126
-/* 13267 */   MCD_OPC_CheckField, 19, 1, 1, 85, 3, // Skip to: 14126
-/* 13273 */   MCD_OPC_Decode, 216, 13, 166, 1, // Opcode: VRSRAuv16i8
-/* 13278 */   MCD_OPC_FilterValue, 1, 76, 3, // Skip to: 14126
-/* 13282 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13285 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13298
-/* 13289 */   MCD_OPC_CheckPredicate, 15, 65, 3, // Skip to: 14126
-/* 13293 */   MCD_OPC_Decode, 214, 13, 167, 1, // Opcode: VRSRAsv8i16
-/* 13298 */   MCD_OPC_FilterValue, 1, 56, 3, // Skip to: 14126
-/* 13302 */   MCD_OPC_CheckPredicate, 15, 52, 3, // Skip to: 14126
-/* 13306 */   MCD_OPC_Decode, 222, 13, 167, 1, // Opcode: VRSRAuv8i16
-/* 13311 */   MCD_OPC_FilterValue, 1, 43, 3, // Skip to: 14126
-/* 13315 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13318 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13331
-/* 13322 */   MCD_OPC_CheckPredicate, 15, 32, 3, // Skip to: 14126
-/* 13326 */   MCD_OPC_Decode, 213, 13, 168, 1, // Opcode: VRSRAsv4i32
-/* 13331 */   MCD_OPC_FilterValue, 1, 23, 3, // Skip to: 14126
-/* 13335 */   MCD_OPC_CheckPredicate, 15, 19, 3, // Skip to: 14126
-/* 13339 */   MCD_OPC_Decode, 221, 13, 168, 1, // Opcode: VRSRAuv4i32
-/* 13344 */   MCD_OPC_FilterValue, 4, 73, 0, // Skip to: 13421
-/* 13348 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13351 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 13402
-/* 13355 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13358 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 13383
-/* 13362 */   MCD_OPC_CheckPredicate, 15, 248, 2, // Skip to: 14126
-/* 13366 */   MCD_OPC_CheckField, 24, 1, 1, 242, 2, // Skip to: 14126
-/* 13372 */   MCD_OPC_CheckField, 19, 1, 1, 236, 2, // Skip to: 14126
-/* 13378 */   MCD_OPC_Decode, 194, 14, 166, 1, // Opcode: VSRIv16i8
-/* 13383 */   MCD_OPC_FilterValue, 1, 227, 2, // Skip to: 14126
-/* 13387 */   MCD_OPC_CheckPredicate, 15, 223, 2, // Skip to: 14126
-/* 13391 */   MCD_OPC_CheckField, 24, 1, 1, 217, 2, // Skip to: 14126
-/* 13397 */   MCD_OPC_Decode, 200, 14, 167, 1, // Opcode: VSRIv8i16
-/* 13402 */   MCD_OPC_FilterValue, 1, 208, 2, // Skip to: 14126
-/* 13406 */   MCD_OPC_CheckPredicate, 15, 204, 2, // Skip to: 14126
-/* 13410 */   MCD_OPC_CheckField, 24, 1, 1, 198, 2, // Skip to: 14126
-/* 13416 */   MCD_OPC_Decode, 199, 14, 168, 1, // Opcode: VSRIv4i32
-/* 13421 */   MCD_OPC_FilterValue, 5, 121, 0, // Skip to: 13546
-/* 13425 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13428 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13513
-/* 13432 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13435 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13480
-/* 13439 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13442 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13461
-/* 13446 */   MCD_OPC_CheckPredicate, 15, 164, 2, // Skip to: 14126
-/* 13450 */   MCD_OPC_CheckField, 19, 1, 1, 158, 2, // Skip to: 14126
-/* 13456 */   MCD_OPC_Decode, 247, 13, 169, 1, // Opcode: VSHLiv16i8
-/* 13461 */   MCD_OPC_FilterValue, 1, 149, 2, // Skip to: 14126
-/* 13465 */   MCD_OPC_CheckPredicate, 15, 145, 2, // Skip to: 14126
-/* 13469 */   MCD_OPC_CheckField, 19, 1, 1, 139, 2, // Skip to: 14126
-/* 13475 */   MCD_OPC_Decode, 166, 14, 170, 1, // Opcode: VSLIv16i8
-/* 13480 */   MCD_OPC_FilterValue, 1, 130, 2, // Skip to: 14126
-/* 13484 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13487 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13500
-/* 13491 */   MCD_OPC_CheckPredicate, 15, 119, 2, // Skip to: 14126
-/* 13495 */   MCD_OPC_Decode, 253, 13, 171, 1, // Opcode: VSHLiv8i16
-/* 13500 */   MCD_OPC_FilterValue, 1, 110, 2, // Skip to: 14126
-/* 13504 */   MCD_OPC_CheckPredicate, 15, 106, 2, // Skip to: 14126
-/* 13508 */   MCD_OPC_Decode, 172, 14, 172, 1, // Opcode: VSLIv8i16
-/* 13513 */   MCD_OPC_FilterValue, 1, 97, 2, // Skip to: 14126
-/* 13517 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13520 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13533
-/* 13524 */   MCD_OPC_CheckPredicate, 15, 86, 2, // Skip to: 14126
-/* 13528 */   MCD_OPC_Decode, 252, 13, 173, 1, // Opcode: VSHLiv4i32
-/* 13533 */   MCD_OPC_FilterValue, 1, 77, 2, // Skip to: 14126
-/* 13537 */   MCD_OPC_CheckPredicate, 15, 73, 2, // Skip to: 14126
-/* 13541 */   MCD_OPC_Decode, 171, 14, 174, 1, // Opcode: VSLIv4i32
-/* 13546 */   MCD_OPC_FilterValue, 6, 73, 0, // Skip to: 13623
-/* 13550 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13553 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 13604
-/* 13557 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13560 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 13585
-/* 13564 */   MCD_OPC_CheckPredicate, 15, 46, 2, // Skip to: 14126
-/* 13568 */   MCD_OPC_CheckField, 24, 1, 1, 40, 2, // Skip to: 14126
-/* 13574 */   MCD_OPC_CheckField, 19, 1, 1, 34, 2, // Skip to: 14126
-/* 13580 */   MCD_OPC_Decode, 179, 12, 169, 1, // Opcode: VQSHLsuv16i8
-/* 13585 */   MCD_OPC_FilterValue, 1, 25, 2, // Skip to: 14126
-/* 13589 */   MCD_OPC_CheckPredicate, 15, 21, 2, // Skip to: 14126
-/* 13593 */   MCD_OPC_CheckField, 24, 1, 1, 15, 2, // Skip to: 14126
-/* 13599 */   MCD_OPC_Decode, 185, 12, 171, 1, // Opcode: VQSHLsuv8i16
-/* 13604 */   MCD_OPC_FilterValue, 1, 6, 2, // Skip to: 14126
-/* 13608 */   MCD_OPC_CheckPredicate, 15, 2, 2, // Skip to: 14126
-/* 13612 */   MCD_OPC_CheckField, 24, 1, 1, 252, 1, // Skip to: 14126
-/* 13618 */   MCD_OPC_Decode, 184, 12, 173, 1, // Opcode: VQSHLsuv4i32
-/* 13623 */   MCD_OPC_FilterValue, 7, 121, 0, // Skip to: 13748
-/* 13627 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13630 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13715
-/* 13634 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13637 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13682
-/* 13641 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13644 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13663
-/* 13648 */   MCD_OPC_CheckPredicate, 15, 218, 1, // Skip to: 14126
-/* 13652 */   MCD_OPC_CheckField, 19, 1, 1, 212, 1, // Skip to: 14126
-/* 13658 */   MCD_OPC_Decode, 171, 12, 169, 1, // Opcode: VQSHLsiv16i8
-/* 13663 */   MCD_OPC_FilterValue, 1, 203, 1, // Skip to: 14126
-/* 13667 */   MCD_OPC_CheckPredicate, 15, 199, 1, // Skip to: 14126
-/* 13671 */   MCD_OPC_CheckField, 19, 1, 1, 193, 1, // Skip to: 14126
-/* 13677 */   MCD_OPC_Decode, 195, 12, 169, 1, // Opcode: VQSHLuiv16i8
-/* 13682 */   MCD_OPC_FilterValue, 1, 184, 1, // Skip to: 14126
-/* 13686 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13689 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13702
-/* 13693 */   MCD_OPC_CheckPredicate, 15, 173, 1, // Skip to: 14126
-/* 13697 */   MCD_OPC_Decode, 177, 12, 171, 1, // Opcode: VQSHLsiv8i16
-/* 13702 */   MCD_OPC_FilterValue, 1, 164, 1, // Skip to: 14126
-/* 13706 */   MCD_OPC_CheckPredicate, 15, 160, 1, // Skip to: 14126
-/* 13710 */   MCD_OPC_Decode, 201, 12, 171, 1, // Opcode: VQSHLuiv8i16
-/* 13715 */   MCD_OPC_FilterValue, 1, 151, 1, // Skip to: 14126
-/* 13719 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13722 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13735
-/* 13726 */   MCD_OPC_CheckPredicate, 15, 140, 1, // Skip to: 14126
-/* 13730 */   MCD_OPC_Decode, 176, 12, 173, 1, // Opcode: VQSHLsiv4i32
-/* 13735 */   MCD_OPC_FilterValue, 1, 131, 1, // Skip to: 14126
-/* 13739 */   MCD_OPC_CheckPredicate, 15, 127, 1, // Skip to: 14126
-/* 13743 */   MCD_OPC_Decode, 200, 12, 173, 1, // Opcode: VQSHLuiv4i32
-/* 13748 */   MCD_OPC_FilterValue, 8, 121, 0, // Skip to: 13873
-/* 13752 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13755 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13840
-/* 13759 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13762 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13807
-/* 13766 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13769 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13788
-/* 13773 */   MCD_OPC_CheckPredicate, 15, 93, 1, // Skip to: 14126
-/* 13777 */   MCD_OPC_CheckField, 19, 1, 1, 87, 1, // Skip to: 14126
-/* 13783 */   MCD_OPC_Decode, 185, 13, 151, 1, // Opcode: VRSHRNv8i8
-/* 13788 */   MCD_OPC_FilterValue, 1, 78, 1, // Skip to: 14126
-/* 13792 */   MCD_OPC_CheckPredicate, 15, 74, 1, // Skip to: 14126
-/* 13796 */   MCD_OPC_CheckField, 19, 1, 1, 68, 1, // Skip to: 14126
-/* 13802 */   MCD_OPC_Decode, 170, 12, 151, 1, // Opcode: VQRSHRUNv8i8
-/* 13807 */   MCD_OPC_FilterValue, 1, 59, 1, // Skip to: 14126
-/* 13811 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13814 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13827
-/* 13818 */   MCD_OPC_CheckPredicate, 15, 48, 1, // Skip to: 14126
-/* 13822 */   MCD_OPC_Decode, 184, 13, 152, 1, // Opcode: VRSHRNv4i16
-/* 13827 */   MCD_OPC_FilterValue, 1, 39, 1, // Skip to: 14126
-/* 13831 */   MCD_OPC_CheckPredicate, 15, 35, 1, // Skip to: 14126
-/* 13835 */   MCD_OPC_Decode, 169, 12, 152, 1, // Opcode: VQRSHRUNv4i16
-/* 13840 */   MCD_OPC_FilterValue, 1, 26, 1, // Skip to: 14126
-/* 13844 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13847 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13860
-/* 13851 */   MCD_OPC_CheckPredicate, 15, 15, 1, // Skip to: 14126
-/* 13855 */   MCD_OPC_Decode, 183, 13, 153, 1, // Opcode: VRSHRNv2i32
-/* 13860 */   MCD_OPC_FilterValue, 1, 6, 1, // Skip to: 14126
-/* 13864 */   MCD_OPC_CheckPredicate, 15, 2, 1, // Skip to: 14126
-/* 13868 */   MCD_OPC_Decode, 168, 12, 153, 1, // Opcode: VQRSHRUNv2i32
-/* 13873 */   MCD_OPC_FilterValue, 9, 121, 0, // Skip to: 13998
-/* 13877 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 13880 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13965
-/* 13884 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 13887 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13932
-/* 13891 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13894 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13913
-/* 13898 */   MCD_OPC_CheckPredicate, 15, 224, 0, // Skip to: 14126
-/* 13902 */   MCD_OPC_CheckField, 19, 1, 1, 218, 0, // Skip to: 14126
-/* 13908 */   MCD_OPC_Decode, 164, 12, 151, 1, // Opcode: VQRSHRNsv8i8
-/* 13913 */   MCD_OPC_FilterValue, 1, 209, 0, // Skip to: 14126
-/* 13917 */   MCD_OPC_CheckPredicate, 15, 205, 0, // Skip to: 14126
-/* 13921 */   MCD_OPC_CheckField, 19, 1, 1, 199, 0, // Skip to: 14126
-/* 13927 */   MCD_OPC_Decode, 167, 12, 151, 1, // Opcode: VQRSHRNuv8i8
-/* 13932 */   MCD_OPC_FilterValue, 1, 190, 0, // Skip to: 14126
-/* 13936 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13939 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13952
-/* 13943 */   MCD_OPC_CheckPredicate, 15, 179, 0, // Skip to: 14126
-/* 13947 */   MCD_OPC_Decode, 163, 12, 152, 1, // Opcode: VQRSHRNsv4i16
-/* 13952 */   MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 14126
-/* 13956 */   MCD_OPC_CheckPredicate, 15, 166, 0, // Skip to: 14126
-/* 13960 */   MCD_OPC_Decode, 166, 12, 152, 1, // Opcode: VQRSHRNuv4i16
-/* 13965 */   MCD_OPC_FilterValue, 1, 157, 0, // Skip to: 14126
-/* 13969 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 13972 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13985
-/* 13976 */   MCD_OPC_CheckPredicate, 15, 146, 0, // Skip to: 14126
-/* 13980 */   MCD_OPC_Decode, 162, 12, 153, 1, // Opcode: VQRSHRNsv2i32
-/* 13985 */   MCD_OPC_FilterValue, 1, 137, 0, // Skip to: 14126
-/* 13989 */   MCD_OPC_CheckPredicate, 15, 133, 0, // Skip to: 14126
-/* 13993 */   MCD_OPC_Decode, 165, 12, 153, 1, // Opcode: VQRSHRNuv2i32
-/* 13998 */   MCD_OPC_FilterValue, 14, 70, 0, // Skip to: 14072
-/* 14002 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 14005 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14024
-/* 14009 */   MCD_OPC_CheckPredicate, 15, 30, 0, // Skip to: 14043
-/* 14013 */   MCD_OPC_CheckField, 19, 3, 0, 24, 0, // Skip to: 14043
-/* 14019 */   MCD_OPC_Decode, 212, 10, 157, 1, // Opcode: VMOVv16i8
-/* 14024 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14043
-/* 14028 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 14043
-/* 14032 */   MCD_OPC_CheckField, 19, 3, 0, 5, 0, // Skip to: 14043
-/* 14038 */   MCD_OPC_Decode, 216, 10, 157, 1, // Opcode: VMOVv2i64
-/* 14043 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 14046 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14059
-/* 14050 */   MCD_OPC_CheckPredicate, 15, 72, 0, // Skip to: 14126
-/* 14054 */   MCD_OPC_Decode, 253, 5, 175, 1, // Opcode: VCVTxs2fq
-/* 14059 */   MCD_OPC_FilterValue, 1, 63, 0, // Skip to: 14126
-/* 14063 */   MCD_OPC_CheckPredicate, 15, 59, 0, // Skip to: 14126
-/* 14067 */   MCD_OPC_Decode, 255, 5, 175, 1, // Opcode: VCVTxu2fq
-/* 14072 */   MCD_OPC_FilterValue, 15, 50, 0, // Skip to: 14126
-/* 14076 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
-/* 14079 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14092
-/* 14083 */   MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 14105
-/* 14087 */   MCD_OPC_Decode, 244, 5, 175, 1, // Opcode: VCVTf2xsq
-/* 14092 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 14105
-/* 14096 */   MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 14105
-/* 14100 */   MCD_OPC_Decode, 246, 5, 175, 1, // Opcode: VCVTf2xuq
-/* 14105 */   MCD_OPC_CheckPredicate, 15, 17, 0, // Skip to: 14126
-/* 14109 */   MCD_OPC_CheckField, 19, 3, 0, 11, 0, // Skip to: 14126
-/* 14115 */   MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 14126
-/* 14121 */   MCD_OPC_Decode, 217, 10, 157, 1, // Opcode: VMOVv4f32
-/* 14126 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 14129 */   MCD_OPC_FilterValue, 0, 77, 0, // Skip to: 14210
-/* 14133 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
-/* 14136 */   MCD_OPC_FilterValue, 0, 152, 1, // Skip to: 14548
-/* 14140 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 14143 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14162
-/* 14147 */   MCD_OPC_CheckPredicate, 15, 50, 0, // Skip to: 14201
-/* 14151 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 14201
-/* 14157 */   MCD_OPC_Decode, 220, 10, 157, 1, // Opcode: VMOVv8i16
-/* 14162 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 14201
-/* 14166 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 14169 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14182
-/* 14173 */   MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 14201
-/* 14177 */   MCD_OPC_Decode, 164, 11, 157, 1, // Opcode: VORRiv4i32
-/* 14182 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14201
-/* 14186 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 14201
-/* 14190 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 14201
-/* 14196 */   MCD_OPC_Decode, 165, 11, 157, 1, // Opcode: VORRiv8i16
-/* 14201 */   MCD_OPC_CheckPredicate, 15, 87, 1, // Skip to: 14548
-/* 14205 */   MCD_OPC_Decode, 219, 10, 157, 1, // Opcode: VMOVv4i32
-/* 14210 */   MCD_OPC_FilterValue, 1, 78, 1, // Skip to: 14548
-/* 14214 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
-/* 14217 */   MCD_OPC_FilterValue, 0, 71, 1, // Skip to: 14548
-/* 14221 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 14224 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14243
-/* 14228 */   MCD_OPC_CheckPredicate, 15, 50, 0, // Skip to: 14282
-/* 14232 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 14282
-/* 14238 */   MCD_OPC_Decode, 142, 11, 157, 1, // Opcode: VMVNv8i16
-/* 14243 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 14282
-/* 14247 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 14250 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14263
-/* 14254 */   MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 14282
-/* 14258 */   MCD_OPC_Decode, 217, 4, 157, 1, // Opcode: VBICiv4i32
-/* 14263 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14282
-/* 14267 */   MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 14282
-/* 14271 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 14282
-/* 14277 */   MCD_OPC_Decode, 218, 4, 157, 1, // Opcode: VBICiv8i16
-/* 14282 */   MCD_OPC_CheckPredicate, 15, 6, 1, // Skip to: 14548
-/* 14286 */   MCD_OPC_Decode, 141, 11, 157, 1, // Opcode: VMVNv4i32
-/* 14291 */   MCD_OPC_FilterValue, 1, 253, 0, // Skip to: 14548
-/* 14295 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
-/* 14298 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 14333
-/* 14302 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14305 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14319
-/* 14310 */   MCD_OPC_CheckPredicate, 15, 234, 0, // Skip to: 14548
-/* 14314 */   MCD_OPC_Decode, 149, 14, 176, 1, // Opcode: VSHRsv2i64
-/* 14319 */   MCD_OPC_FilterValue, 243, 1, 224, 0, // Skip to: 14548
-/* 14324 */   MCD_OPC_CheckPredicate, 15, 220, 0, // Skip to: 14548
-/* 14328 */   MCD_OPC_Decode, 157, 14, 176, 1, // Opcode: VSHRuv2i64
-/* 14333 */   MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 14368
-/* 14337 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14340 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14354
-/* 14345 */   MCD_OPC_CheckPredicate, 15, 199, 0, // Skip to: 14548
-/* 14349 */   MCD_OPC_Decode, 181, 14, 177, 1, // Opcode: VSRAsv2i64
-/* 14354 */   MCD_OPC_FilterValue, 243, 1, 189, 0, // Skip to: 14548
-/* 14359 */   MCD_OPC_CheckPredicate, 15, 185, 0, // Skip to: 14548
-/* 14363 */   MCD_OPC_Decode, 189, 14, 177, 1, // Opcode: VSRAuv2i64
-/* 14368 */   MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 14403
-/* 14372 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14375 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14389
-/* 14380 */   MCD_OPC_CheckPredicate, 15, 164, 0, // Skip to: 14548
-/* 14384 */   MCD_OPC_Decode, 189, 13, 176, 1, // Opcode: VRSHRsv2i64
-/* 14389 */   MCD_OPC_FilterValue, 243, 1, 154, 0, // Skip to: 14548
-/* 14394 */   MCD_OPC_CheckPredicate, 15, 150, 0, // Skip to: 14548
-/* 14398 */   MCD_OPC_Decode, 197, 13, 176, 1, // Opcode: VRSHRuv2i64
-/* 14403 */   MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 14438
-/* 14407 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14410 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14424
-/* 14415 */   MCD_OPC_CheckPredicate, 15, 129, 0, // Skip to: 14548
-/* 14419 */   MCD_OPC_Decode, 211, 13, 177, 1, // Opcode: VRSRAsv2i64
-/* 14424 */   MCD_OPC_FilterValue, 243, 1, 119, 0, // Skip to: 14548
-/* 14429 */   MCD_OPC_CheckPredicate, 15, 115, 0, // Skip to: 14548
-/* 14433 */   MCD_OPC_Decode, 219, 13, 177, 1, // Opcode: VRSRAuv2i64
-/* 14438 */   MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 14458
-/* 14442 */   MCD_OPC_CheckPredicate, 15, 102, 0, // Skip to: 14548
-/* 14446 */   MCD_OPC_CheckField, 24, 8, 243, 1, 95, 0, // Skip to: 14548
-/* 14453 */   MCD_OPC_Decode, 197, 14, 177, 1, // Opcode: VSRIv2i64
-/* 14458 */   MCD_OPC_FilterValue, 5, 31, 0, // Skip to: 14493
-/* 14462 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14465 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14479
-/* 14470 */   MCD_OPC_CheckPredicate, 15, 74, 0, // Skip to: 14548
-/* 14474 */   MCD_OPC_Decode, 250, 13, 178, 1, // Opcode: VSHLiv2i64
-/* 14479 */   MCD_OPC_FilterValue, 243, 1, 64, 0, // Skip to: 14548
-/* 14484 */   MCD_OPC_CheckPredicate, 15, 60, 0, // Skip to: 14548
-/* 14488 */   MCD_OPC_Decode, 169, 14, 179, 1, // Opcode: VSLIv2i64
-/* 14493 */   MCD_OPC_FilterValue, 6, 16, 0, // Skip to: 14513
-/* 14497 */   MCD_OPC_CheckPredicate, 15, 47, 0, // Skip to: 14548
-/* 14501 */   MCD_OPC_CheckField, 24, 8, 243, 1, 40, 0, // Skip to: 14548
-/* 14508 */   MCD_OPC_Decode, 182, 12, 178, 1, // Opcode: VQSHLsuv2i64
-/* 14513 */   MCD_OPC_FilterValue, 7, 31, 0, // Skip to: 14548
-/* 14517 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
-/* 14520 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14534
-/* 14525 */   MCD_OPC_CheckPredicate, 15, 19, 0, // Skip to: 14548
-/* 14529 */   MCD_OPC_Decode, 174, 12, 178, 1, // Opcode: VQSHLsiv2i64
-/* 14534 */   MCD_OPC_FilterValue, 243, 1, 9, 0, // Skip to: 14548
-/* 14539 */   MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 14548
-/* 14543 */   MCD_OPC_Decode, 198, 12, 178, 1, // Opcode: VQSHLuiv2i64
-/* 14548 */   MCD_OPC_Fail,
+/* 5282 */    MCD_OPC_CheckPredicate, 16, 69, 36, // Skip to: 14571
+/* 5286 */    MCD_OPC_Decode, 167, 17, 127, // Opcode: VSWPd
+/* 5290 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 5303
+/* 5294 */    MCD_OPC_CheckPredicate, 16, 57, 36, // Skip to: 14571
+/* 5298 */    MCD_OPC_Decode, 168, 17, 128, 1, // Opcode: VSWPq
+/* 5303 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5315
+/* 5307 */    MCD_OPC_CheckPredicate, 16, 44, 36, // Skip to: 14571
+/* 5311 */    MCD_OPC_Decode, 199, 17, 127, // Opcode: VTRNd8
+/* 5315 */    MCD_OPC_FilterValue, 3, 36, 36, // Skip to: 14571
+/* 5319 */    MCD_OPC_CheckPredicate, 16, 32, 36, // Skip to: 14571
+/* 5323 */    MCD_OPC_Decode, 202, 17, 128, 1, // Opcode: VTRNq8
+/* 5328 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 5383
+/* 5332 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5335 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5347
+/* 5339 */    MCD_OPC_CheckPredicate, 16, 12, 36, // Skip to: 14571
+/* 5343 */    MCD_OPC_Decode, 130, 13, 125, // Opcode: VREV64d16
+/* 5347 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5359
+/* 5351 */    MCD_OPC_CheckPredicate, 16, 0, 36, // Skip to: 14571
+/* 5355 */    MCD_OPC_Decode, 133, 13, 126, // Opcode: VREV64q16
+/* 5359 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5371
+/* 5363 */    MCD_OPC_CheckPredicate, 16, 244, 35, // Skip to: 14571
+/* 5367 */    MCD_OPC_Decode, 254, 12, 125, // Opcode: VREV32d16
+/* 5371 */    MCD_OPC_FilterValue, 3, 236, 35, // Skip to: 14571
+/* 5375 */    MCD_OPC_CheckPredicate, 16, 232, 35, // Skip to: 14571
+/* 5379 */    MCD_OPC_Decode, 128, 13, 126, // Opcode: VREV32q16
+/* 5383 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 5438
+/* 5387 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5390 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5402
+/* 5394 */    MCD_OPC_CheckPredicate, 16, 213, 35, // Skip to: 14571
+/* 5398 */    MCD_OPC_Decode, 161, 5, 125, // Opcode: VCGTzv4i16
+/* 5402 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5414
+/* 5406 */    MCD_OPC_CheckPredicate, 16, 201, 35, // Skip to: 14571
+/* 5410 */    MCD_OPC_Decode, 163, 5, 126, // Opcode: VCGTzv8i16
+/* 5414 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5426
+/* 5418 */    MCD_OPC_CheckPredicate, 16, 189, 35, // Skip to: 14571
+/* 5422 */    MCD_OPC_Decode, 139, 5, 125, // Opcode: VCGEzv4i16
+/* 5426 */    MCD_OPC_FilterValue, 3, 181, 35, // Skip to: 14571
+/* 5430 */    MCD_OPC_CheckPredicate, 16, 177, 35, // Skip to: 14571
+/* 5434 */    MCD_OPC_Decode, 141, 5, 126, // Opcode: VCGEzv8i16
+/* 5438 */    MCD_OPC_FilterValue, 6, 28, 0, // Skip to: 5470
+/* 5442 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5445 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5457
+/* 5449 */    MCD_OPC_CheckPredicate, 16, 158, 35, // Skip to: 14571
+/* 5453 */    MCD_OPC_Decode, 197, 17, 127, // Opcode: VTRNd16
+/* 5457 */    MCD_OPC_FilterValue, 3, 150, 35, // Skip to: 14571
+/* 5461 */    MCD_OPC_CheckPredicate, 16, 146, 35, // Skip to: 14571
+/* 5465 */    MCD_OPC_Decode, 200, 17, 128, 1, // Opcode: VTRNq16
+/* 5470 */    MCD_OPC_FilterValue, 8, 27, 0, // Skip to: 5501
+/* 5474 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5477 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5489
+/* 5481 */    MCD_OPC_CheckPredicate, 16, 126, 35, // Skip to: 14571
+/* 5485 */    MCD_OPC_Decode, 131, 13, 125, // Opcode: VREV64d32
+/* 5489 */    MCD_OPC_FilterValue, 1, 118, 35, // Skip to: 14571
+/* 5493 */    MCD_OPC_CheckPredicate, 16, 114, 35, // Skip to: 14571
+/* 5497 */    MCD_OPC_Decode, 134, 13, 126, // Opcode: VREV64q32
+/* 5501 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 5556
+/* 5505 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5508 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5520
+/* 5512 */    MCD_OPC_CheckPredicate, 16, 95, 35, // Skip to: 14571
+/* 5516 */    MCD_OPC_Decode, 159, 5, 125, // Opcode: VCGTzv2i32
+/* 5520 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5532
+/* 5524 */    MCD_OPC_CheckPredicate, 16, 83, 35, // Skip to: 14571
+/* 5528 */    MCD_OPC_Decode, 162, 5, 126, // Opcode: VCGTzv4i32
+/* 5532 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5544
+/* 5536 */    MCD_OPC_CheckPredicate, 16, 71, 35, // Skip to: 14571
+/* 5540 */    MCD_OPC_Decode, 137, 5, 125, // Opcode: VCGEzv2i32
+/* 5544 */    MCD_OPC_FilterValue, 3, 63, 35, // Skip to: 14571
+/* 5548 */    MCD_OPC_CheckPredicate, 16, 59, 35, // Skip to: 14571
+/* 5552 */    MCD_OPC_Decode, 140, 5, 126, // Opcode: VCGEzv4i32
+/* 5556 */    MCD_OPC_FilterValue, 10, 51, 35, // Skip to: 14571
+/* 5560 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5563 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5575
+/* 5567 */    MCD_OPC_CheckPredicate, 16, 40, 35, // Skip to: 14571
+/* 5571 */    MCD_OPC_Decode, 198, 17, 127, // Opcode: VTRNd32
+/* 5575 */    MCD_OPC_FilterValue, 3, 32, 35, // Skip to: 14571
+/* 5579 */    MCD_OPC_CheckPredicate, 16, 28, 35, // Skip to: 14571
+/* 5583 */    MCD_OPC_Decode, 201, 17, 128, 1, // Opcode: VTRNq32
+/* 5588 */    MCD_OPC_FilterValue, 1, 90, 1, // Skip to: 5938
+/* 5592 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 5595 */    MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 5626
+/* 5599 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5602 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5614
+/* 5606 */    MCD_OPC_CheckPredicate, 16, 1, 35, // Skip to: 14571
+/* 5610 */    MCD_OPC_Decode, 252, 12, 125, // Opcode: VREV16d8
+/* 5614 */    MCD_OPC_FilterValue, 1, 249, 34, // Skip to: 14571
+/* 5618 */    MCD_OPC_CheckPredicate, 16, 245, 34, // Skip to: 14571
+/* 5622 */    MCD_OPC_Decode, 253, 12, 126, // Opcode: VREV16q8
+/* 5626 */    MCD_OPC_FilterValue, 1, 51, 0, // Skip to: 5681
+/* 5630 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5633 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5645
+/* 5637 */    MCD_OPC_CheckPredicate, 16, 226, 34, // Skip to: 14571
+/* 5641 */    MCD_OPC_Decode, 248, 4, 125, // Opcode: VCEQzv8i8
+/* 5645 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5657
+/* 5649 */    MCD_OPC_CheckPredicate, 16, 214, 34, // Skip to: 14571
+/* 5653 */    MCD_OPC_Decode, 241, 4, 126, // Opcode: VCEQzv16i8
+/* 5657 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5669
+/* 5661 */    MCD_OPC_CheckPredicate, 16, 202, 34, // Skip to: 14571
+/* 5665 */    MCD_OPC_Decode, 172, 5, 125, // Opcode: VCLEzv8i8
+/* 5669 */    MCD_OPC_FilterValue, 3, 194, 34, // Skip to: 14571
+/* 5673 */    MCD_OPC_CheckPredicate, 16, 190, 34, // Skip to: 14571
+/* 5677 */    MCD_OPC_Decode, 165, 5, 126, // Opcode: VCLEzv16i8
+/* 5681 */    MCD_OPC_FilterValue, 2, 53, 0, // Skip to: 5738
+/* 5685 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5688 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5700
+/* 5692 */    MCD_OPC_CheckPredicate, 16, 171, 34, // Skip to: 14571
+/* 5696 */    MCD_OPC_Decode, 216, 17, 127, // Opcode: VUZPd8
+/* 5700 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 5713
+/* 5704 */    MCD_OPC_CheckPredicate, 16, 159, 34, // Skip to: 14571
+/* 5708 */    MCD_OPC_Decode, 219, 17, 128, 1, // Opcode: VUZPq8
+/* 5713 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5725
+/* 5717 */    MCD_OPC_CheckPredicate, 16, 146, 34, // Skip to: 14571
+/* 5721 */    MCD_OPC_Decode, 221, 17, 127, // Opcode: VZIPd8
+/* 5725 */    MCD_OPC_FilterValue, 3, 138, 34, // Skip to: 14571
+/* 5729 */    MCD_OPC_CheckPredicate, 16, 134, 34, // Skip to: 14571
+/* 5733 */    MCD_OPC_Decode, 224, 17, 128, 1, // Opcode: VZIPq8
+/* 5738 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 5793
+/* 5742 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5745 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5757
+/* 5749 */    MCD_OPC_CheckPredicate, 16, 114, 34, // Skip to: 14571
+/* 5753 */    MCD_OPC_Decode, 245, 4, 125, // Opcode: VCEQzv4i16
+/* 5757 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5769
+/* 5761 */    MCD_OPC_CheckPredicate, 16, 102, 34, // Skip to: 14571
+/* 5765 */    MCD_OPC_Decode, 247, 4, 126, // Opcode: VCEQzv8i16
+/* 5769 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5781
+/* 5773 */    MCD_OPC_CheckPredicate, 16, 90, 34, // Skip to: 14571
+/* 5777 */    MCD_OPC_Decode, 169, 5, 125, // Opcode: VCLEzv4i16
+/* 5781 */    MCD_OPC_FilterValue, 3, 82, 34, // Skip to: 14571
+/* 5785 */    MCD_OPC_CheckPredicate, 16, 78, 34, // Skip to: 14571
+/* 5789 */    MCD_OPC_Decode, 171, 5, 126, // Opcode: VCLEzv8i16
+/* 5793 */    MCD_OPC_FilterValue, 6, 53, 0, // Skip to: 5850
+/* 5797 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5800 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5812
+/* 5804 */    MCD_OPC_CheckPredicate, 16, 59, 34, // Skip to: 14571
+/* 5808 */    MCD_OPC_Decode, 215, 17, 127, // Opcode: VUZPd16
+/* 5812 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 5825
+/* 5816 */    MCD_OPC_CheckPredicate, 16, 47, 34, // Skip to: 14571
+/* 5820 */    MCD_OPC_Decode, 217, 17, 128, 1, // Opcode: VUZPq16
+/* 5825 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5837
+/* 5829 */    MCD_OPC_CheckPredicate, 16, 34, 34, // Skip to: 14571
+/* 5833 */    MCD_OPC_Decode, 220, 17, 127, // Opcode: VZIPd16
+/* 5837 */    MCD_OPC_FilterValue, 3, 26, 34, // Skip to: 14571
+/* 5841 */    MCD_OPC_CheckPredicate, 16, 22, 34, // Skip to: 14571
+/* 5845 */    MCD_OPC_Decode, 222, 17, 128, 1, // Opcode: VZIPq16
+/* 5850 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 5905
+/* 5854 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5857 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5869
+/* 5861 */    MCD_OPC_CheckPredicate, 16, 2, 34, // Skip to: 14571
+/* 5865 */    MCD_OPC_Decode, 243, 4, 125, // Opcode: VCEQzv2i32
+/* 5869 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5881
+/* 5873 */    MCD_OPC_CheckPredicate, 16, 246, 33, // Skip to: 14571
+/* 5877 */    MCD_OPC_Decode, 246, 4, 126, // Opcode: VCEQzv4i32
+/* 5881 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5893
+/* 5885 */    MCD_OPC_CheckPredicate, 16, 234, 33, // Skip to: 14571
+/* 5889 */    MCD_OPC_Decode, 167, 5, 125, // Opcode: VCLEzv2i32
+/* 5893 */    MCD_OPC_FilterValue, 3, 226, 33, // Skip to: 14571
+/* 5897 */    MCD_OPC_CheckPredicate, 16, 222, 33, // Skip to: 14571
+/* 5901 */    MCD_OPC_Decode, 170, 5, 126, // Opcode: VCLEzv4i32
+/* 5905 */    MCD_OPC_FilterValue, 10, 214, 33, // Skip to: 14571
+/* 5909 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5912 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 5925
+/* 5916 */    MCD_OPC_CheckPredicate, 16, 203, 33, // Skip to: 14571
+/* 5920 */    MCD_OPC_Decode, 218, 17, 128, 1, // Opcode: VUZPq32
+/* 5925 */    MCD_OPC_FilterValue, 3, 194, 33, // Skip to: 14571
+/* 5929 */    MCD_OPC_CheckPredicate, 16, 190, 33, // Skip to: 14571
+/* 5933 */    MCD_OPC_Decode, 223, 17, 128, 1, // Opcode: VZIPq32
+/* 5938 */    MCD_OPC_FilterValue, 2, 182, 1, // Skip to: 6380
+/* 5942 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 5945 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 6000
+/* 5949 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 5952 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5964
+/* 5956 */    MCD_OPC_CheckPredicate, 16, 163, 33, // Skip to: 14571
+/* 5960 */    MCD_OPC_Decode, 191, 11, 125, // Opcode: VPADDLsv8i8
+/* 5964 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5976
+/* 5968 */    MCD_OPC_CheckPredicate, 16, 151, 33, // Skip to: 14571
+/* 5972 */    MCD_OPC_Decode, 186, 11, 126, // Opcode: VPADDLsv16i8
+/* 5976 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5988
+/* 5980 */    MCD_OPC_CheckPredicate, 16, 139, 33, // Skip to: 14571
+/* 5984 */    MCD_OPC_Decode, 197, 11, 125, // Opcode: VPADDLuv8i8
+/* 5988 */    MCD_OPC_FilterValue, 3, 131, 33, // Skip to: 14571
+/* 5992 */    MCD_OPC_CheckPredicate, 16, 127, 33, // Skip to: 14571
+/* 5996 */    MCD_OPC_Decode, 192, 11, 126, // Opcode: VPADDLuv16i8
+/* 6000 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 6031
+/* 6004 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6007 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6019
+/* 6011 */    MCD_OPC_CheckPredicate, 16, 108, 33, // Skip to: 14571
+/* 6015 */    MCD_OPC_Decode, 186, 5, 125, // Opcode: VCLTzv8i8
+/* 6019 */    MCD_OPC_FilterValue, 1, 100, 33, // Skip to: 14571
+/* 6023 */    MCD_OPC_CheckPredicate, 16, 96, 33, // Skip to: 14571
+/* 6027 */    MCD_OPC_Decode, 179, 5, 126, // Opcode: VCLTzv16i8
+/* 6031 */    MCD_OPC_FilterValue, 2, 55, 0, // Skip to: 6090
+/* 6035 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6038 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6051
+/* 6042 */    MCD_OPC_CheckPredicate, 16, 77, 33, // Skip to: 14571
+/* 6046 */    MCD_OPC_Decode, 210, 10, 129, 1, // Opcode: VMOVNv8i8
+/* 6051 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 6064
+/* 6055 */    MCD_OPC_CheckPredicate, 16, 64, 33, // Skip to: 14571
+/* 6059 */    MCD_OPC_Decode, 132, 12, 129, 1, // Opcode: VQMOVNsuv8i8
+/* 6064 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 6077
+/* 6068 */    MCD_OPC_CheckPredicate, 16, 51, 33, // Skip to: 14571
+/* 6072 */    MCD_OPC_Decode, 135, 12, 129, 1, // Opcode: VQMOVNsv8i8
+/* 6077 */    MCD_OPC_FilterValue, 3, 42, 33, // Skip to: 14571
+/* 6081 */    MCD_OPC_CheckPredicate, 16, 38, 33, // Skip to: 14571
+/* 6085 */    MCD_OPC_Decode, 138, 12, 129, 1, // Opcode: VQMOVNuv8i8
+/* 6090 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 6145
+/* 6094 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6097 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6109
+/* 6101 */    MCD_OPC_CheckPredicate, 16, 18, 33, // Skip to: 14571
+/* 6105 */    MCD_OPC_Decode, 188, 11, 125, // Opcode: VPADDLsv4i16
+/* 6109 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6121
+/* 6113 */    MCD_OPC_CheckPredicate, 16, 6, 33, // Skip to: 14571
+/* 6117 */    MCD_OPC_Decode, 190, 11, 126, // Opcode: VPADDLsv8i16
+/* 6121 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6133
+/* 6125 */    MCD_OPC_CheckPredicate, 16, 250, 32, // Skip to: 14571
+/* 6129 */    MCD_OPC_Decode, 194, 11, 125, // Opcode: VPADDLuv4i16
+/* 6133 */    MCD_OPC_FilterValue, 3, 242, 32, // Skip to: 14571
+/* 6137 */    MCD_OPC_CheckPredicate, 16, 238, 32, // Skip to: 14571
+/* 6141 */    MCD_OPC_Decode, 196, 11, 126, // Opcode: VPADDLuv8i16
+/* 6145 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 6176
+/* 6149 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6152 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6164
+/* 6156 */    MCD_OPC_CheckPredicate, 16, 219, 32, // Skip to: 14571
+/* 6160 */    MCD_OPC_Decode, 183, 5, 125, // Opcode: VCLTzv4i16
+/* 6164 */    MCD_OPC_FilterValue, 1, 211, 32, // Skip to: 14571
+/* 6168 */    MCD_OPC_CheckPredicate, 16, 207, 32, // Skip to: 14571
+/* 6172 */    MCD_OPC_Decode, 185, 5, 126, // Opcode: VCLTzv8i16
+/* 6176 */    MCD_OPC_FilterValue, 6, 55, 0, // Skip to: 6235
+/* 6180 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6183 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6196
+/* 6187 */    MCD_OPC_CheckPredicate, 16, 188, 32, // Skip to: 14571
+/* 6191 */    MCD_OPC_Decode, 209, 10, 129, 1, // Opcode: VMOVNv4i16
+/* 6196 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 6209
+/* 6200 */    MCD_OPC_CheckPredicate, 16, 175, 32, // Skip to: 14571
+/* 6204 */    MCD_OPC_Decode, 131, 12, 129, 1, // Opcode: VQMOVNsuv4i16
+/* 6209 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 6222
+/* 6213 */    MCD_OPC_CheckPredicate, 16, 162, 32, // Skip to: 14571
+/* 6217 */    MCD_OPC_Decode, 134, 12, 129, 1, // Opcode: VQMOVNsv4i16
+/* 6222 */    MCD_OPC_FilterValue, 3, 153, 32, // Skip to: 14571
+/* 6226 */    MCD_OPC_CheckPredicate, 16, 149, 32, // Skip to: 14571
+/* 6230 */    MCD_OPC_Decode, 137, 12, 129, 1, // Opcode: VQMOVNuv4i16
+/* 6235 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 6290
+/* 6239 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6242 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6254
+/* 6246 */    MCD_OPC_CheckPredicate, 16, 129, 32, // Skip to: 14571
+/* 6250 */    MCD_OPC_Decode, 187, 11, 125, // Opcode: VPADDLsv2i32
+/* 6254 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6266
+/* 6258 */    MCD_OPC_CheckPredicate, 16, 117, 32, // Skip to: 14571
+/* 6262 */    MCD_OPC_Decode, 189, 11, 126, // Opcode: VPADDLsv4i32
+/* 6266 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6278
+/* 6270 */    MCD_OPC_CheckPredicate, 16, 105, 32, // Skip to: 14571
+/* 6274 */    MCD_OPC_Decode, 193, 11, 125, // Opcode: VPADDLuv2i32
+/* 6278 */    MCD_OPC_FilterValue, 3, 97, 32, // Skip to: 14571
+/* 6282 */    MCD_OPC_CheckPredicate, 16, 93, 32, // Skip to: 14571
+/* 6286 */    MCD_OPC_Decode, 195, 11, 126, // Opcode: VPADDLuv4i32
+/* 6290 */    MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 6321
+/* 6294 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6297 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6309
+/* 6301 */    MCD_OPC_CheckPredicate, 16, 74, 32, // Skip to: 14571
+/* 6305 */    MCD_OPC_Decode, 181, 5, 125, // Opcode: VCLTzv2i32
+/* 6309 */    MCD_OPC_FilterValue, 1, 66, 32, // Skip to: 14571
+/* 6313 */    MCD_OPC_CheckPredicate, 16, 62, 32, // Skip to: 14571
+/* 6317 */    MCD_OPC_Decode, 184, 5, 126, // Opcode: VCLTzv4i32
+/* 6321 */    MCD_OPC_FilterValue, 10, 54, 32, // Skip to: 14571
+/* 6325 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6328 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6341
+/* 6332 */    MCD_OPC_CheckPredicate, 16, 43, 32, // Skip to: 14571
+/* 6336 */    MCD_OPC_Decode, 208, 10, 129, 1, // Opcode: VMOVNv2i32
+/* 6341 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 6354
+/* 6345 */    MCD_OPC_CheckPredicate, 16, 30, 32, // Skip to: 14571
+/* 6349 */    MCD_OPC_Decode, 130, 12, 129, 1, // Opcode: VQMOVNsuv2i32
+/* 6354 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 6367
+/* 6358 */    MCD_OPC_CheckPredicate, 16, 17, 32, // Skip to: 14571
+/* 6362 */    MCD_OPC_Decode, 133, 12, 129, 1, // Opcode: VQMOVNsv2i32
+/* 6367 */    MCD_OPC_FilterValue, 3, 8, 32, // Skip to: 14571
+/* 6371 */    MCD_OPC_CheckPredicate, 16, 4, 32, // Skip to: 14571
+/* 6375 */    MCD_OPC_Decode, 136, 12, 129, 1, // Opcode: VQMOVNuv2i32
+/* 6380 */    MCD_OPC_FilterValue, 3, 225, 0, // Skip to: 6609
+/* 6384 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 6387 */    MCD_OPC_FilterValue, 1, 51, 0, // Skip to: 6442
+/* 6391 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6394 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6406
+/* 6398 */    MCD_OPC_CheckPredicate, 16, 233, 31, // Skip to: 14571
+/* 6402 */    MCD_OPC_Decode, 187, 4, 125, // Opcode: VABSv8i8
+/* 6406 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6418
+/* 6410 */    MCD_OPC_CheckPredicate, 16, 221, 31, // Skip to: 14571
+/* 6414 */    MCD_OPC_Decode, 182, 4, 126, // Opcode: VABSv16i8
+/* 6418 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6430
+/* 6422 */    MCD_OPC_CheckPredicate, 16, 209, 31, // Skip to: 14571
+/* 6426 */    MCD_OPC_Decode, 158, 11, 125, // Opcode: VNEGs8d
+/* 6430 */    MCD_OPC_FilterValue, 3, 201, 31, // Skip to: 14571
+/* 6434 */    MCD_OPC_CheckPredicate, 16, 197, 31, // Skip to: 14571
+/* 6438 */    MCD_OPC_Decode, 159, 11, 126, // Opcode: VNEGs8q
+/* 6442 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 6461
+/* 6446 */    MCD_OPC_CheckPredicate, 16, 185, 31, // Skip to: 14571
+/* 6450 */    MCD_OPC_CheckField, 6, 2, 0, 179, 31, // Skip to: 14571
+/* 6456 */    MCD_OPC_Decode, 247, 13, 130, 1, // Opcode: VSHLLi8
+/* 6461 */    MCD_OPC_FilterValue, 5, 51, 0, // Skip to: 6516
+/* 6465 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6468 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6480
+/* 6472 */    MCD_OPC_CheckPredicate, 16, 159, 31, // Skip to: 14571
+/* 6476 */    MCD_OPC_Decode, 184, 4, 125, // Opcode: VABSv4i16
+/* 6480 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6492
+/* 6484 */    MCD_OPC_CheckPredicate, 16, 147, 31, // Skip to: 14571
+/* 6488 */    MCD_OPC_Decode, 186, 4, 126, // Opcode: VABSv8i16
+/* 6492 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6504
+/* 6496 */    MCD_OPC_CheckPredicate, 16, 135, 31, // Skip to: 14571
+/* 6500 */    MCD_OPC_Decode, 154, 11, 125, // Opcode: VNEGs16d
+/* 6504 */    MCD_OPC_FilterValue, 3, 127, 31, // Skip to: 14571
+/* 6508 */    MCD_OPC_CheckPredicate, 16, 123, 31, // Skip to: 14571
+/* 6512 */    MCD_OPC_Decode, 155, 11, 126, // Opcode: VNEGs16q
+/* 6516 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 6535
+/* 6520 */    MCD_OPC_CheckPredicate, 16, 111, 31, // Skip to: 14571
+/* 6524 */    MCD_OPC_CheckField, 6, 2, 0, 105, 31, // Skip to: 14571
+/* 6530 */    MCD_OPC_Decode, 245, 13, 130, 1, // Opcode: VSHLLi16
+/* 6535 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 6590
+/* 6539 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6542 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6554
+/* 6546 */    MCD_OPC_CheckPredicate, 16, 85, 31, // Skip to: 14571
+/* 6550 */    MCD_OPC_Decode, 183, 4, 125, // Opcode: VABSv2i32
+/* 6554 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6566
+/* 6558 */    MCD_OPC_CheckPredicate, 16, 73, 31, // Skip to: 14571
+/* 6562 */    MCD_OPC_Decode, 185, 4, 126, // Opcode: VABSv4i32
+/* 6566 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6578
+/* 6570 */    MCD_OPC_CheckPredicate, 16, 61, 31, // Skip to: 14571
+/* 6574 */    MCD_OPC_Decode, 156, 11, 125, // Opcode: VNEGs32d
+/* 6578 */    MCD_OPC_FilterValue, 3, 53, 31, // Skip to: 14571
+/* 6582 */    MCD_OPC_CheckPredicate, 16, 49, 31, // Skip to: 14571
+/* 6586 */    MCD_OPC_Decode, 157, 11, 126, // Opcode: VNEGs32q
+/* 6590 */    MCD_OPC_FilterValue, 10, 41, 31, // Skip to: 14571
+/* 6594 */    MCD_OPC_CheckPredicate, 16, 37, 31, // Skip to: 14571
+/* 6598 */    MCD_OPC_CheckField, 6, 2, 0, 31, 31, // Skip to: 14571
+/* 6604 */    MCD_OPC_Decode, 246, 13, 130, 1, // Opcode: VSHLLi32
+/* 6609 */    MCD_OPC_FilterValue, 4, 22, 1, // Skip to: 6891
+/* 6613 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 6616 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 6671
+/* 6620 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6623 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6635
+/* 6627 */    MCD_OPC_CheckPredicate, 16, 4, 31, // Skip to: 14571
+/* 6631 */    MCD_OPC_Decode, 178, 5, 125, // Opcode: VCLSv8i8
+/* 6635 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6647
+/* 6639 */    MCD_OPC_CheckPredicate, 16, 248, 30, // Skip to: 14571
+/* 6643 */    MCD_OPC_Decode, 173, 5, 126, // Opcode: VCLSv16i8
+/* 6647 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6659
+/* 6651 */    MCD_OPC_CheckPredicate, 16, 236, 30, // Skip to: 14571
+/* 6655 */    MCD_OPC_Decode, 192, 5, 125, // Opcode: VCLZv8i8
+/* 6659 */    MCD_OPC_FilterValue, 3, 228, 30, // Skip to: 14571
+/* 6663 */    MCD_OPC_CheckPredicate, 16, 224, 30, // Skip to: 14571
+/* 6667 */    MCD_OPC_Decode, 187, 5, 126, // Opcode: VCLZv16i8
+/* 6671 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 6726
+/* 6675 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6678 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6690
+/* 6682 */    MCD_OPC_CheckPredicate, 16, 205, 30, // Skip to: 14571
+/* 6686 */    MCD_OPC_Decode, 175, 5, 125, // Opcode: VCLSv4i16
+/* 6690 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6702
+/* 6694 */    MCD_OPC_CheckPredicate, 16, 193, 30, // Skip to: 14571
+/* 6698 */    MCD_OPC_Decode, 177, 5, 126, // Opcode: VCLSv8i16
+/* 6702 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6714
+/* 6706 */    MCD_OPC_CheckPredicate, 16, 181, 30, // Skip to: 14571
+/* 6710 */    MCD_OPC_Decode, 189, 5, 125, // Opcode: VCLZv4i16
+/* 6714 */    MCD_OPC_FilterValue, 3, 173, 30, // Skip to: 14571
+/* 6718 */    MCD_OPC_CheckPredicate, 16, 169, 30, // Skip to: 14571
+/* 6722 */    MCD_OPC_Decode, 191, 5, 126, // Opcode: VCLZv8i16
+/* 6726 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 6781
+/* 6730 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6733 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6745
+/* 6737 */    MCD_OPC_CheckPredicate, 16, 150, 30, // Skip to: 14571
+/* 6741 */    MCD_OPC_Decode, 174, 5, 125, // Opcode: VCLSv2i32
+/* 6745 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6757
+/* 6749 */    MCD_OPC_CheckPredicate, 16, 138, 30, // Skip to: 14571
+/* 6753 */    MCD_OPC_Decode, 176, 5, 126, // Opcode: VCLSv4i32
+/* 6757 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6769
+/* 6761 */    MCD_OPC_CheckPredicate, 16, 126, 30, // Skip to: 14571
+/* 6765 */    MCD_OPC_Decode, 188, 5, 125, // Opcode: VCLZv2i32
+/* 6769 */    MCD_OPC_FilterValue, 3, 118, 30, // Skip to: 14571
+/* 6773 */    MCD_OPC_CheckPredicate, 16, 114, 30, // Skip to: 14571
+/* 6777 */    MCD_OPC_Decode, 190, 5, 126, // Opcode: VCLZv4i32
+/* 6781 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 6836
+/* 6785 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6788 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6800
+/* 6792 */    MCD_OPC_CheckPredicate, 16, 95, 30, // Skip to: 14571
+/* 6796 */    MCD_OPC_Decode, 158, 5, 125, // Opcode: VCGTzv2f32
+/* 6800 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6812
+/* 6804 */    MCD_OPC_CheckPredicate, 16, 83, 30, // Skip to: 14571
+/* 6808 */    MCD_OPC_Decode, 160, 5, 126, // Opcode: VCGTzv4f32
+/* 6812 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6824
+/* 6816 */    MCD_OPC_CheckPredicate, 16, 71, 30, // Skip to: 14571
+/* 6820 */    MCD_OPC_Decode, 136, 5, 125, // Opcode: VCGEzv2f32
+/* 6824 */    MCD_OPC_FilterValue, 3, 63, 30, // Skip to: 14571
+/* 6828 */    MCD_OPC_CheckPredicate, 16, 59, 30, // Skip to: 14571
+/* 6832 */    MCD_OPC_Decode, 138, 5, 126, // Opcode: VCGEzv4f32
+/* 6836 */    MCD_OPC_FilterValue, 11, 51, 30, // Skip to: 14571
+/* 6840 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6843 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6855
+/* 6847 */    MCD_OPC_CheckPredicate, 16, 40, 30, // Skip to: 14571
+/* 6851 */    MCD_OPC_Decode, 246, 12, 125, // Opcode: VRECPEd
+/* 6855 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6867
+/* 6859 */    MCD_OPC_CheckPredicate, 16, 28, 30, // Skip to: 14571
+/* 6863 */    MCD_OPC_Decode, 249, 12, 126, // Opcode: VRECPEq
+/* 6867 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6879
+/* 6871 */    MCD_OPC_CheckPredicate, 16, 16, 30, // Skip to: 14571
+/* 6875 */    MCD_OPC_Decode, 209, 13, 125, // Opcode: VRSQRTEd
+/* 6879 */    MCD_OPC_FilterValue, 3, 8, 30, // Skip to: 14571
+/* 6883 */    MCD_OPC_CheckPredicate, 16, 4, 30, // Skip to: 14571
+/* 6887 */    MCD_OPC_Decode, 212, 13, 126, // Opcode: VRSQRTEq
+/* 6891 */    MCD_OPC_FilterValue, 5, 175, 0, // Skip to: 7070
+/* 6895 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 6898 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 6941
+/* 6902 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 6905 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6917
+/* 6909 */    MCD_OPC_CheckPredicate, 16, 234, 29, // Skip to: 14571
+/* 6913 */    MCD_OPC_Decode, 201, 5, 125, // Opcode: VCNTd
+/* 6917 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6929
+/* 6921 */    MCD_OPC_CheckPredicate, 16, 222, 29, // Skip to: 14571
+/* 6925 */    MCD_OPC_Decode, 242, 4, 125, // Opcode: VCEQzv2f32
+/* 6929 */    MCD_OPC_FilterValue, 11, 214, 29, // Skip to: 14571
+/* 6933 */    MCD_OPC_CheckPredicate, 16, 210, 29, // Skip to: 14571
+/* 6937 */    MCD_OPC_Decode, 247, 12, 125, // Opcode: VRECPEfd
+/* 6941 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 6984
+/* 6945 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 6948 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6960
+/* 6952 */    MCD_OPC_CheckPredicate, 16, 191, 29, // Skip to: 14571
+/* 6956 */    MCD_OPC_Decode, 202, 5, 126, // Opcode: VCNTq
+/* 6960 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6972
+/* 6964 */    MCD_OPC_CheckPredicate, 16, 179, 29, // Skip to: 14571
+/* 6968 */    MCD_OPC_Decode, 244, 4, 126, // Opcode: VCEQzv4f32
+/* 6972 */    MCD_OPC_FilterValue, 11, 171, 29, // Skip to: 14571
+/* 6976 */    MCD_OPC_CheckPredicate, 16, 167, 29, // Skip to: 14571
+/* 6980 */    MCD_OPC_Decode, 248, 12, 126, // Opcode: VRECPEfq
+/* 6984 */    MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 7027
+/* 6988 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 6991 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7003
+/* 6995 */    MCD_OPC_CheckPredicate, 16, 148, 29, // Skip to: 14571
+/* 6999 */    MCD_OPC_Decode, 144, 11, 125, // Opcode: VMVNd
+/* 7003 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7015
+/* 7007 */    MCD_OPC_CheckPredicate, 16, 136, 29, // Skip to: 14571
+/* 7011 */    MCD_OPC_Decode, 166, 5, 125, // Opcode: VCLEzv2f32
+/* 7015 */    MCD_OPC_FilterValue, 11, 128, 29, // Skip to: 14571
+/* 7019 */    MCD_OPC_CheckPredicate, 16, 124, 29, // Skip to: 14571
+/* 7023 */    MCD_OPC_Decode, 210, 13, 125, // Opcode: VRSQRTEfd
+/* 7027 */    MCD_OPC_FilterValue, 3, 116, 29, // Skip to: 14571
+/* 7031 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 7034 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7046
+/* 7038 */    MCD_OPC_CheckPredicate, 16, 105, 29, // Skip to: 14571
+/* 7042 */    MCD_OPC_Decode, 145, 11, 126, // Opcode: VMVNq
+/* 7046 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7058
+/* 7050 */    MCD_OPC_CheckPredicate, 16, 93, 29, // Skip to: 14571
+/* 7054 */    MCD_OPC_Decode, 168, 5, 126, // Opcode: VCLEzv4f32
+/* 7058 */    MCD_OPC_FilterValue, 11, 85, 29, // Skip to: 14571
+/* 7062 */    MCD_OPC_CheckPredicate, 16, 81, 29, // Skip to: 14571
+/* 7066 */    MCD_OPC_Decode, 211, 13, 126, // Opcode: VRSQRTEfq
+/* 7070 */    MCD_OPC_FilterValue, 6, 29, 1, // Skip to: 7359
+/* 7074 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 7077 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7136
+/* 7081 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7084 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7097
+/* 7088 */    MCD_OPC_CheckPredicate, 16, 55, 29, // Skip to: 14571
+/* 7092 */    MCD_OPC_Decode, 179, 11, 131, 1, // Opcode: VPADALsv8i8
+/* 7097 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7110
+/* 7101 */    MCD_OPC_CheckPredicate, 16, 42, 29, // Skip to: 14571
+/* 7105 */    MCD_OPC_Decode, 174, 11, 132, 1, // Opcode: VPADALsv16i8
+/* 7110 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7123
+/* 7114 */    MCD_OPC_CheckPredicate, 16, 29, 29, // Skip to: 14571
+/* 7118 */    MCD_OPC_Decode, 185, 11, 131, 1, // Opcode: VPADALuv8i8
+/* 7123 */    MCD_OPC_FilterValue, 3, 20, 29, // Skip to: 14571
+/* 7127 */    MCD_OPC_CheckPredicate, 16, 16, 29, // Skip to: 14571
+/* 7131 */    MCD_OPC_Decode, 180, 11, 132, 1, // Opcode: VPADALuv16i8
+/* 7136 */    MCD_OPC_FilterValue, 4, 55, 0, // Skip to: 7195
+/* 7140 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7143 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7156
+/* 7147 */    MCD_OPC_CheckPredicate, 16, 252, 28, // Skip to: 14571
+/* 7151 */    MCD_OPC_Decode, 176, 11, 131, 1, // Opcode: VPADALsv4i16
+/* 7156 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7169
+/* 7160 */    MCD_OPC_CheckPredicate, 16, 239, 28, // Skip to: 14571
+/* 7164 */    MCD_OPC_Decode, 178, 11, 132, 1, // Opcode: VPADALsv8i16
+/* 7169 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7182
+/* 7173 */    MCD_OPC_CheckPredicate, 16, 226, 28, // Skip to: 14571
+/* 7177 */    MCD_OPC_Decode, 182, 11, 131, 1, // Opcode: VPADALuv4i16
+/* 7182 */    MCD_OPC_FilterValue, 3, 217, 28, // Skip to: 14571
+/* 7186 */    MCD_OPC_CheckPredicate, 16, 213, 28, // Skip to: 14571
+/* 7190 */    MCD_OPC_Decode, 184, 11, 132, 1, // Opcode: VPADALuv8i16
+/* 7195 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 7214
+/* 7199 */    MCD_OPC_CheckPredicate, 18, 200, 28, // Skip to: 14571
+/* 7203 */    MCD_OPC_CheckField, 6, 2, 0, 194, 28, // Skip to: 14571
+/* 7209 */    MCD_OPC_Decode, 245, 5, 129, 1, // Opcode: VCVTf2h
+/* 7214 */    MCD_OPC_FilterValue, 8, 55, 0, // Skip to: 7273
+/* 7218 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7221 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7234
+/* 7225 */    MCD_OPC_CheckPredicate, 16, 174, 28, // Skip to: 14571
+/* 7229 */    MCD_OPC_Decode, 175, 11, 131, 1, // Opcode: VPADALsv2i32
+/* 7234 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7247
+/* 7238 */    MCD_OPC_CheckPredicate, 16, 161, 28, // Skip to: 14571
+/* 7242 */    MCD_OPC_Decode, 177, 11, 132, 1, // Opcode: VPADALsv4i32
+/* 7247 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7260
+/* 7251 */    MCD_OPC_CheckPredicate, 16, 148, 28, // Skip to: 14571
+/* 7255 */    MCD_OPC_Decode, 181, 11, 131, 1, // Opcode: VPADALuv2i32
+/* 7260 */    MCD_OPC_FilterValue, 3, 139, 28, // Skip to: 14571
+/* 7264 */    MCD_OPC_CheckPredicate, 16, 135, 28, // Skip to: 14571
+/* 7268 */    MCD_OPC_Decode, 183, 11, 132, 1, // Opcode: VPADALuv4i32
+/* 7273 */    MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 7304
+/* 7277 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7280 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7292
+/* 7284 */    MCD_OPC_CheckPredicate, 16, 115, 28, // Skip to: 14571
+/* 7288 */    MCD_OPC_Decode, 180, 5, 125, // Opcode: VCLTzv2f32
+/* 7292 */    MCD_OPC_FilterValue, 1, 107, 28, // Skip to: 14571
+/* 7296 */    MCD_OPC_CheckPredicate, 16, 103, 28, // Skip to: 14571
+/* 7300 */    MCD_OPC_Decode, 182, 5, 126, // Opcode: VCLTzv4f32
+/* 7304 */    MCD_OPC_FilterValue, 11, 95, 28, // Skip to: 14571
+/* 7308 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7311 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7323
+/* 7315 */    MCD_OPC_CheckPredicate, 16, 84, 28, // Skip to: 14571
+/* 7319 */    MCD_OPC_Decode, 255, 5, 125, // Opcode: VCVTs2fd
+/* 7323 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7335
+/* 7327 */    MCD_OPC_CheckPredicate, 16, 72, 28, // Skip to: 14571
+/* 7331 */    MCD_OPC_Decode, 128, 6, 126, // Opcode: VCVTs2fq
+/* 7335 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7347
+/* 7339 */    MCD_OPC_CheckPredicate, 16, 60, 28, // Skip to: 14571
+/* 7343 */    MCD_OPC_Decode, 129, 6, 125, // Opcode: VCVTu2fd
+/* 7347 */    MCD_OPC_FilterValue, 3, 52, 28, // Skip to: 14571
+/* 7351 */    MCD_OPC_CheckPredicate, 16, 48, 28, // Skip to: 14571
+/* 7355 */    MCD_OPC_Decode, 130, 6, 126, // Opcode: VCVTu2fq
+/* 7359 */    MCD_OPC_FilterValue, 7, 41, 1, // Skip to: 7660
+/* 7363 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 7366 */    MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 7421
+/* 7370 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7373 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7385
+/* 7377 */    MCD_OPC_CheckPredicate, 16, 22, 28, // Skip to: 14571
+/* 7381 */    MCD_OPC_Decode, 221, 11, 125, // Opcode: VQABSv8i8
+/* 7385 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7397
+/* 7389 */    MCD_OPC_CheckPredicate, 16, 10, 28, // Skip to: 14571
+/* 7393 */    MCD_OPC_Decode, 216, 11, 126, // Opcode: VQABSv16i8
+/* 7397 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7409
+/* 7401 */    MCD_OPC_CheckPredicate, 16, 254, 27, // Skip to: 14571
+/* 7405 */    MCD_OPC_Decode, 144, 12, 125, // Opcode: VQNEGv8i8
+/* 7409 */    MCD_OPC_FilterValue, 3, 246, 27, // Skip to: 14571
+/* 7413 */    MCD_OPC_CheckPredicate, 16, 242, 27, // Skip to: 14571
+/* 7417 */    MCD_OPC_Decode, 139, 12, 126, // Opcode: VQNEGv16i8
+/* 7421 */    MCD_OPC_FilterValue, 4, 51, 0, // Skip to: 7476
+/* 7425 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7428 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7440
+/* 7432 */    MCD_OPC_CheckPredicate, 16, 223, 27, // Skip to: 14571
+/* 7436 */    MCD_OPC_Decode, 218, 11, 125, // Opcode: VQABSv4i16
+/* 7440 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7452
+/* 7444 */    MCD_OPC_CheckPredicate, 16, 211, 27, // Skip to: 14571
+/* 7448 */    MCD_OPC_Decode, 220, 11, 126, // Opcode: VQABSv8i16
+/* 7452 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7464
+/* 7456 */    MCD_OPC_CheckPredicate, 16, 199, 27, // Skip to: 14571
+/* 7460 */    MCD_OPC_Decode, 141, 12, 125, // Opcode: VQNEGv4i16
+/* 7464 */    MCD_OPC_FilterValue, 3, 191, 27, // Skip to: 14571
+/* 7468 */    MCD_OPC_CheckPredicate, 16, 187, 27, // Skip to: 14571
+/* 7472 */    MCD_OPC_Decode, 143, 12, 126, // Opcode: VQNEGv8i16
+/* 7476 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 7495
+/* 7480 */    MCD_OPC_CheckPredicate, 18, 175, 27, // Skip to: 14571
+/* 7484 */    MCD_OPC_CheckField, 6, 2, 0, 169, 27, // Skip to: 14571
+/* 7490 */    MCD_OPC_Decode, 254, 5, 133, 1, // Opcode: VCVTh2f
+/* 7495 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 7550
+/* 7499 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7502 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7514
+/* 7506 */    MCD_OPC_CheckPredicate, 16, 149, 27, // Skip to: 14571
+/* 7510 */    MCD_OPC_Decode, 217, 11, 125, // Opcode: VQABSv2i32
+/* 7514 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7526
+/* 7518 */    MCD_OPC_CheckPredicate, 16, 137, 27, // Skip to: 14571
+/* 7522 */    MCD_OPC_Decode, 219, 11, 126, // Opcode: VQABSv4i32
+/* 7526 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7538
+/* 7530 */    MCD_OPC_CheckPredicate, 16, 125, 27, // Skip to: 14571
+/* 7534 */    MCD_OPC_Decode, 140, 12, 125, // Opcode: VQNEGv2i32
+/* 7538 */    MCD_OPC_FilterValue, 3, 117, 27, // Skip to: 14571
+/* 7542 */    MCD_OPC_CheckPredicate, 16, 113, 27, // Skip to: 14571
+/* 7546 */    MCD_OPC_Decode, 142, 12, 126, // Opcode: VQNEGv4i32
+/* 7550 */    MCD_OPC_FilterValue, 9, 51, 0, // Skip to: 7605
+/* 7554 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7557 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7569
+/* 7561 */    MCD_OPC_CheckPredicate, 16, 94, 27, // Skip to: 14571
+/* 7565 */    MCD_OPC_Decode, 180, 4, 125, // Opcode: VABSfd
+/* 7569 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7581
+/* 7573 */    MCD_OPC_CheckPredicate, 16, 82, 27, // Skip to: 14571
+/* 7577 */    MCD_OPC_Decode, 181, 4, 126, // Opcode: VABSfq
+/* 7581 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7593
+/* 7585 */    MCD_OPC_CheckPredicate, 16, 70, 27, // Skip to: 14571
+/* 7589 */    MCD_OPC_Decode, 153, 11, 125, // Opcode: VNEGfd
+/* 7593 */    MCD_OPC_FilterValue, 3, 62, 27, // Skip to: 14571
+/* 7597 */    MCD_OPC_CheckPredicate, 16, 58, 27, // Skip to: 14571
+/* 7601 */    MCD_OPC_Decode, 152, 11, 126, // Opcode: VNEGf32q
+/* 7605 */    MCD_OPC_FilterValue, 11, 50, 27, // Skip to: 14571
+/* 7609 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7612 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7624
+/* 7616 */    MCD_OPC_CheckPredicate, 16, 39, 27, // Skip to: 14571
+/* 7620 */    MCD_OPC_Decode, 246, 5, 125, // Opcode: VCVTf2sd
+/* 7624 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7636
+/* 7628 */    MCD_OPC_CheckPredicate, 16, 27, 27, // Skip to: 14571
+/* 7632 */    MCD_OPC_Decode, 247, 5, 126, // Opcode: VCVTf2sq
+/* 7636 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7648
+/* 7640 */    MCD_OPC_CheckPredicate, 16, 15, 27, // Skip to: 14571
+/* 7644 */    MCD_OPC_Decode, 248, 5, 125, // Opcode: VCVTf2ud
+/* 7648 */    MCD_OPC_FilterValue, 3, 7, 27, // Skip to: 14571
+/* 7652 */    MCD_OPC_CheckPredicate, 16, 3, 27, // Skip to: 14571
+/* 7656 */    MCD_OPC_Decode, 249, 5, 126, // Opcode: VCVTf2uq
+/* 7660 */    MCD_OPC_FilterValue, 8, 29, 0, // Skip to: 7693
+/* 7664 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
+/* 7667 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7680
+/* 7671 */    MCD_OPC_CheckPredicate, 16, 240, 26, // Skip to: 14571
+/* 7675 */    MCD_OPC_Decode, 169, 17, 134, 1, // Opcode: VTBL1
+/* 7680 */    MCD_OPC_FilterValue, 1, 231, 26, // Skip to: 14571
+/* 7684 */    MCD_OPC_CheckPredicate, 16, 227, 26, // Skip to: 14571
+/* 7688 */    MCD_OPC_Decode, 175, 17, 134, 1, // Opcode: VTBX1
+/* 7693 */    MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 7726
+/* 7697 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
+/* 7700 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7713
+/* 7704 */    MCD_OPC_CheckPredicate, 16, 207, 26, // Skip to: 14571
+/* 7708 */    MCD_OPC_Decode, 170, 17, 134, 1, // Opcode: VTBL2
+/* 7713 */    MCD_OPC_FilterValue, 1, 198, 26, // Skip to: 14571
+/* 7717 */    MCD_OPC_CheckPredicate, 16, 194, 26, // Skip to: 14571
+/* 7721 */    MCD_OPC_Decode, 176, 17, 134, 1, // Opcode: VTBX2
+/* 7726 */    MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 7759
+/* 7730 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
+/* 7733 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7746
+/* 7737 */    MCD_OPC_CheckPredicate, 16, 174, 26, // Skip to: 14571
+/* 7741 */    MCD_OPC_Decode, 171, 17, 134, 1, // Opcode: VTBL3
+/* 7746 */    MCD_OPC_FilterValue, 1, 165, 26, // Skip to: 14571
+/* 7750 */    MCD_OPC_CheckPredicate, 16, 161, 26, // Skip to: 14571
+/* 7754 */    MCD_OPC_Decode, 177, 17, 134, 1, // Opcode: VTBX3
+/* 7759 */    MCD_OPC_FilterValue, 11, 29, 0, // Skip to: 7792
+/* 7763 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
+/* 7766 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7779
+/* 7770 */    MCD_OPC_CheckPredicate, 16, 141, 26, // Skip to: 14571
+/* 7774 */    MCD_OPC_Decode, 173, 17, 134, 1, // Opcode: VTBL4
+/* 7779 */    MCD_OPC_FilterValue, 1, 132, 26, // Skip to: 14571
+/* 7783 */    MCD_OPC_CheckPredicate, 16, 128, 26, // Skip to: 14571
+/* 7787 */    MCD_OPC_Decode, 179, 17, 134, 1, // Opcode: VTBX4
+/* 7792 */    MCD_OPC_FilterValue, 12, 119, 26, // Skip to: 14571
+/* 7796 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7799 */    MCD_OPC_FilterValue, 0, 55, 0, // Skip to: 7858
+/* 7803 */    MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
+/* 7806 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 7845
+/* 7810 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
+/* 7813 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 7832
+/* 7817 */    MCD_OPC_CheckPredicate, 16, 94, 26, // Skip to: 14571
+/* 7821 */    MCD_OPC_CheckField, 18, 1, 1, 88, 26, // Skip to: 14571
+/* 7827 */    MCD_OPC_Decode, 145, 6, 135, 1, // Opcode: VDUPLN32d
+/* 7832 */    MCD_OPC_FilterValue, 1, 79, 26, // Skip to: 14571
+/* 7836 */    MCD_OPC_CheckPredicate, 16, 75, 26, // Skip to: 14571
+/* 7840 */    MCD_OPC_Decode, 143, 6, 136, 1, // Opcode: VDUPLN16d
+/* 7845 */    MCD_OPC_FilterValue, 1, 66, 26, // Skip to: 14571
+/* 7849 */    MCD_OPC_CheckPredicate, 16, 62, 26, // Skip to: 14571
+/* 7853 */    MCD_OPC_Decode, 147, 6, 137, 1, // Opcode: VDUPLN8d
+/* 7858 */    MCD_OPC_FilterValue, 1, 53, 26, // Skip to: 14571
+/* 7862 */    MCD_OPC_ExtractField, 16, 1,  // Inst{16} ...
+/* 7865 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 7904
+/* 7869 */    MCD_OPC_ExtractField, 17, 1,  // Inst{17} ...
+/* 7872 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 7891
+/* 7876 */    MCD_OPC_CheckPredicate, 16, 35, 26, // Skip to: 14571
+/* 7880 */    MCD_OPC_CheckField, 18, 1, 1, 29, 26, // Skip to: 14571
+/* 7886 */    MCD_OPC_Decode, 146, 6, 138, 1, // Opcode: VDUPLN32q
+/* 7891 */    MCD_OPC_FilterValue, 1, 20, 26, // Skip to: 14571
+/* 7895 */    MCD_OPC_CheckPredicate, 16, 16, 26, // Skip to: 14571
+/* 7899 */    MCD_OPC_Decode, 144, 6, 139, 1, // Opcode: VDUPLN16q
+/* 7904 */    MCD_OPC_FilterValue, 1, 7, 26, // Skip to: 14571
+/* 7908 */    MCD_OPC_CheckPredicate, 16, 3, 26, // Skip to: 14571
+/* 7912 */    MCD_OPC_Decode, 148, 6, 140, 1, // Opcode: VDUPLN8q
+/* 7917 */    MCD_OPC_FilterValue, 1, 250, 25, // Skip to: 14571
+/* 7921 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
+/* 7924 */    MCD_OPC_FilterValue, 0, 185, 13, // Skip to: 11441
+/* 7928 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 7931 */    MCD_OPC_FilterValue, 0, 28, 6, // Skip to: 9499
+/* 7935 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 7938 */    MCD_OPC_FilterValue, 0, 135, 0, // Skip to: 8077
+/* 7942 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 7945 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 7978
+/* 7949 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 7952 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 7965
+/* 7957 */    MCD_OPC_CheckPredicate, 16, 210, 25, // Skip to: 14571
+/* 7961 */    MCD_OPC_Decode, 229, 11, 96, // Opcode: VQADDsv8i8
+/* 7965 */    MCD_OPC_FilterValue, 243, 1, 201, 25, // Skip to: 14571
+/* 7970 */    MCD_OPC_CheckPredicate, 16, 197, 25, // Skip to: 14571
+/* 7974 */    MCD_OPC_Decode, 237, 11, 96, // Opcode: VQADDuv8i8
+/* 7978 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8011
+/* 7982 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 7985 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 7998
+/* 7990 */    MCD_OPC_CheckPredicate, 16, 177, 25, // Skip to: 14571
+/* 7994 */    MCD_OPC_Decode, 226, 11, 96, // Opcode: VQADDsv4i16
+/* 7998 */    MCD_OPC_FilterValue, 243, 1, 168, 25, // Skip to: 14571
+/* 8003 */    MCD_OPC_CheckPredicate, 16, 164, 25, // Skip to: 14571
+/* 8007 */    MCD_OPC_Decode, 234, 11, 96, // Opcode: VQADDuv4i16
+/* 8011 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8044
+/* 8015 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8018 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8031
+/* 8023 */    MCD_OPC_CheckPredicate, 16, 144, 25, // Skip to: 14571
+/* 8027 */    MCD_OPC_Decode, 224, 11, 96, // Opcode: VQADDsv2i32
+/* 8031 */    MCD_OPC_FilterValue, 243, 1, 135, 25, // Skip to: 14571
+/* 8036 */    MCD_OPC_CheckPredicate, 16, 131, 25, // Skip to: 14571
+/* 8040 */    MCD_OPC_Decode, 232, 11, 96, // Opcode: VQADDuv2i32
+/* 8044 */    MCD_OPC_FilterValue, 3, 123, 25, // Skip to: 14571
+/* 8048 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8051 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8064
+/* 8056 */    MCD_OPC_CheckPredicate, 16, 111, 25, // Skip to: 14571
+/* 8060 */    MCD_OPC_Decode, 223, 11, 96, // Opcode: VQADDsv1i64
+/* 8064 */    MCD_OPC_FilterValue, 243, 1, 102, 25, // Skip to: 14571
+/* 8069 */    MCD_OPC_CheckPredicate, 16, 98, 25, // Skip to: 14571
+/* 8073 */    MCD_OPC_Decode, 231, 11, 96, // Opcode: VQADDuv1i64
+/* 8077 */    MCD_OPC_FilterValue, 1, 135, 0, // Skip to: 8216
+/* 8081 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8084 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8117
+/* 8088 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8091 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8104
+/* 8096 */    MCD_OPC_CheckPredicate, 16, 71, 25, // Skip to: 14571
+/* 8100 */    MCD_OPC_Decode, 219, 4, 96, // Opcode: VANDd
+/* 8104 */    MCD_OPC_FilterValue, 243, 1, 62, 25, // Skip to: 14571
+/* 8109 */    MCD_OPC_CheckPredicate, 16, 58, 25, // Skip to: 14571
+/* 8113 */    MCD_OPC_Decode, 149, 6, 96, // Opcode: VEORd
+/* 8117 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8150
+/* 8121 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8124 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8137
+/* 8129 */    MCD_OPC_CheckPredicate, 16, 38, 25, // Skip to: 14571
+/* 8133 */    MCD_OPC_Decode, 221, 4, 96, // Opcode: VBICd
+/* 8137 */    MCD_OPC_FilterValue, 243, 1, 29, 25, // Skip to: 14571
+/* 8142 */    MCD_OPC_CheckPredicate, 16, 25, 25, // Skip to: 14571
+/* 8146 */    MCD_OPC_Decode, 231, 4, 104, // Opcode: VBSLd
+/* 8150 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8183
+/* 8154 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8157 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8170
+/* 8162 */    MCD_OPC_CheckPredicate, 16, 5, 25, // Skip to: 14571
+/* 8166 */    MCD_OPC_Decode, 168, 11, 96, // Opcode: VORRd
+/* 8170 */    MCD_OPC_FilterValue, 243, 1, 252, 24, // Skip to: 14571
+/* 8175 */    MCD_OPC_CheckPredicate, 16, 248, 24, // Skip to: 14571
+/* 8179 */    MCD_OPC_Decode, 229, 4, 104, // Opcode: VBITd
+/* 8183 */    MCD_OPC_FilterValue, 3, 240, 24, // Skip to: 14571
+/* 8187 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8190 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8203
+/* 8195 */    MCD_OPC_CheckPredicate, 16, 228, 24, // Skip to: 14571
+/* 8199 */    MCD_OPC_Decode, 166, 11, 96, // Opcode: VORNd
+/* 8203 */    MCD_OPC_FilterValue, 243, 1, 219, 24, // Skip to: 14571
+/* 8208 */    MCD_OPC_CheckPredicate, 16, 215, 24, // Skip to: 14571
+/* 8212 */    MCD_OPC_Decode, 227, 4, 104, // Opcode: VBIFd
+/* 8216 */    MCD_OPC_FilterValue, 2, 135, 0, // Skip to: 8355
+/* 8220 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8223 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8256
+/* 8227 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8230 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8243
+/* 8235 */    MCD_OPC_CheckPredicate, 16, 188, 24, // Skip to: 14571
+/* 8239 */    MCD_OPC_Decode, 234, 12, 96, // Opcode: VQSUBsv8i8
+/* 8243 */    MCD_OPC_FilterValue, 243, 1, 179, 24, // Skip to: 14571
+/* 8248 */    MCD_OPC_CheckPredicate, 16, 175, 24, // Skip to: 14571
+/* 8252 */    MCD_OPC_Decode, 242, 12, 96, // Opcode: VQSUBuv8i8
+/* 8256 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8289
+/* 8260 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8263 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8276
+/* 8268 */    MCD_OPC_CheckPredicate, 16, 155, 24, // Skip to: 14571
+/* 8272 */    MCD_OPC_Decode, 231, 12, 96, // Opcode: VQSUBsv4i16
+/* 8276 */    MCD_OPC_FilterValue, 243, 1, 146, 24, // Skip to: 14571
+/* 8281 */    MCD_OPC_CheckPredicate, 16, 142, 24, // Skip to: 14571
+/* 8285 */    MCD_OPC_Decode, 239, 12, 96, // Opcode: VQSUBuv4i16
+/* 8289 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8322
+/* 8293 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8296 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8309
+/* 8301 */    MCD_OPC_CheckPredicate, 16, 122, 24, // Skip to: 14571
+/* 8305 */    MCD_OPC_Decode, 229, 12, 96, // Opcode: VQSUBsv2i32
+/* 8309 */    MCD_OPC_FilterValue, 243, 1, 113, 24, // Skip to: 14571
+/* 8314 */    MCD_OPC_CheckPredicate, 16, 109, 24, // Skip to: 14571
+/* 8318 */    MCD_OPC_Decode, 237, 12, 96, // Opcode: VQSUBuv2i32
+/* 8322 */    MCD_OPC_FilterValue, 3, 101, 24, // Skip to: 14571
+/* 8326 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8329 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8342
+/* 8334 */    MCD_OPC_CheckPredicate, 16, 89, 24, // Skip to: 14571
+/* 8338 */    MCD_OPC_Decode, 228, 12, 96, // Opcode: VQSUBsv1i64
+/* 8342 */    MCD_OPC_FilterValue, 243, 1, 80, 24, // Skip to: 14571
+/* 8347 */    MCD_OPC_CheckPredicate, 16, 76, 24, // Skip to: 14571
+/* 8351 */    MCD_OPC_Decode, 236, 12, 96, // Opcode: VQSUBuv1i64
+/* 8355 */    MCD_OPC_FilterValue, 3, 102, 0, // Skip to: 8461
+/* 8359 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8362 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8395
+/* 8366 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8369 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8382
+/* 8374 */    MCD_OPC_CheckPredicate, 16, 49, 24, // Skip to: 14571
+/* 8378 */    MCD_OPC_Decode, 128, 5, 96, // Opcode: VCGEsv8i8
+/* 8382 */    MCD_OPC_FilterValue, 243, 1, 40, 24, // Skip to: 14571
+/* 8387 */    MCD_OPC_CheckPredicate, 16, 36, 24, // Skip to: 14571
+/* 8391 */    MCD_OPC_Decode, 134, 5, 96, // Opcode: VCGEuv8i8
+/* 8395 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8428
+/* 8399 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8402 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8415
+/* 8407 */    MCD_OPC_CheckPredicate, 16, 16, 24, // Skip to: 14571
+/* 8411 */    MCD_OPC_Decode, 253, 4, 96, // Opcode: VCGEsv4i16
+/* 8415 */    MCD_OPC_FilterValue, 243, 1, 7, 24, // Skip to: 14571
+/* 8420 */    MCD_OPC_CheckPredicate, 16, 3, 24, // Skip to: 14571
+/* 8424 */    MCD_OPC_Decode, 131, 5, 96, // Opcode: VCGEuv4i16
+/* 8428 */    MCD_OPC_FilterValue, 2, 251, 23, // Skip to: 14571
+/* 8432 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8435 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8448
+/* 8440 */    MCD_OPC_CheckPredicate, 16, 239, 23, // Skip to: 14571
+/* 8444 */    MCD_OPC_Decode, 252, 4, 96, // Opcode: VCGEsv2i32
+/* 8448 */    MCD_OPC_FilterValue, 243, 1, 230, 23, // Skip to: 14571
+/* 8453 */    MCD_OPC_CheckPredicate, 16, 226, 23, // Skip to: 14571
+/* 8457 */    MCD_OPC_Decode, 130, 5, 96, // Opcode: VCGEuv2i32
+/* 8461 */    MCD_OPC_FilterValue, 4, 135, 0, // Skip to: 8600
+/* 8465 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8468 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8501
+/* 8472 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8475 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8488
+/* 8480 */    MCD_OPC_CheckPredicate, 16, 199, 23, // Skip to: 14571
+/* 8484 */    MCD_OPC_Decode, 201, 12, 100, // Opcode: VQSHLsv8i8
+/* 8488 */    MCD_OPC_FilterValue, 243, 1, 190, 23, // Skip to: 14571
+/* 8493 */    MCD_OPC_CheckPredicate, 16, 186, 23, // Skip to: 14571
+/* 8497 */    MCD_OPC_Decode, 217, 12, 100, // Opcode: VQSHLuv8i8
+/* 8501 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8534
+/* 8505 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8508 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8521
+/* 8513 */    MCD_OPC_CheckPredicate, 16, 166, 23, // Skip to: 14571
+/* 8517 */    MCD_OPC_Decode, 198, 12, 100, // Opcode: VQSHLsv4i16
+/* 8521 */    MCD_OPC_FilterValue, 243, 1, 157, 23, // Skip to: 14571
+/* 8526 */    MCD_OPC_CheckPredicate, 16, 153, 23, // Skip to: 14571
+/* 8530 */    MCD_OPC_Decode, 214, 12, 100, // Opcode: VQSHLuv4i16
+/* 8534 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8567
+/* 8538 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8541 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8554
+/* 8546 */    MCD_OPC_CheckPredicate, 16, 133, 23, // Skip to: 14571
+/* 8550 */    MCD_OPC_Decode, 196, 12, 100, // Opcode: VQSHLsv2i32
+/* 8554 */    MCD_OPC_FilterValue, 243, 1, 124, 23, // Skip to: 14571
+/* 8559 */    MCD_OPC_CheckPredicate, 16, 120, 23, // Skip to: 14571
+/* 8563 */    MCD_OPC_Decode, 212, 12, 100, // Opcode: VQSHLuv2i32
+/* 8567 */    MCD_OPC_FilterValue, 3, 112, 23, // Skip to: 14571
+/* 8571 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8574 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8587
+/* 8579 */    MCD_OPC_CheckPredicate, 16, 100, 23, // Skip to: 14571
+/* 8583 */    MCD_OPC_Decode, 195, 12, 100, // Opcode: VQSHLsv1i64
+/* 8587 */    MCD_OPC_FilterValue, 243, 1, 91, 23, // Skip to: 14571
+/* 8592 */    MCD_OPC_CheckPredicate, 16, 87, 23, // Skip to: 14571
+/* 8596 */    MCD_OPC_Decode, 211, 12, 100, // Opcode: VQSHLuv1i64
+/* 8600 */    MCD_OPC_FilterValue, 5, 135, 0, // Skip to: 8739
+/* 8604 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8607 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8640
+/* 8611 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8614 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8627
+/* 8619 */    MCD_OPC_CheckPredicate, 16, 60, 23, // Skip to: 14571
+/* 8623 */    MCD_OPC_Decode, 160, 12, 100, // Opcode: VQRSHLsv8i8
+/* 8627 */    MCD_OPC_FilterValue, 243, 1, 51, 23, // Skip to: 14571
+/* 8632 */    MCD_OPC_CheckPredicate, 16, 47, 23, // Skip to: 14571
+/* 8636 */    MCD_OPC_Decode, 168, 12, 100, // Opcode: VQRSHLuv8i8
+/* 8640 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8673
+/* 8644 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8647 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8660
+/* 8652 */    MCD_OPC_CheckPredicate, 16, 27, 23, // Skip to: 14571
+/* 8656 */    MCD_OPC_Decode, 157, 12, 100, // Opcode: VQRSHLsv4i16
+/* 8660 */    MCD_OPC_FilterValue, 243, 1, 18, 23, // Skip to: 14571
+/* 8665 */    MCD_OPC_CheckPredicate, 16, 14, 23, // Skip to: 14571
+/* 8669 */    MCD_OPC_Decode, 165, 12, 100, // Opcode: VQRSHLuv4i16
+/* 8673 */    MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 8706
+/* 8677 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8680 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8693
+/* 8685 */    MCD_OPC_CheckPredicate, 16, 250, 22, // Skip to: 14571
+/* 8689 */    MCD_OPC_Decode, 155, 12, 100, // Opcode: VQRSHLsv2i32
+/* 8693 */    MCD_OPC_FilterValue, 243, 1, 241, 22, // Skip to: 14571
+/* 8698 */    MCD_OPC_CheckPredicate, 16, 237, 22, // Skip to: 14571
+/* 8702 */    MCD_OPC_Decode, 163, 12, 100, // Opcode: VQRSHLuv2i32
+/* 8706 */    MCD_OPC_FilterValue, 3, 229, 22, // Skip to: 14571
+/* 8710 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8713 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8726
+/* 8718 */    MCD_OPC_CheckPredicate, 16, 217, 22, // Skip to: 14571
+/* 8722 */    MCD_OPC_Decode, 154, 12, 100, // Opcode: VQRSHLsv1i64
+/* 8726 */    MCD_OPC_FilterValue, 243, 1, 208, 22, // Skip to: 14571
+/* 8731 */    MCD_OPC_CheckPredicate, 16, 204, 22, // Skip to: 14571
+/* 8735 */    MCD_OPC_Decode, 162, 12, 100, // Opcode: VQRSHLuv1i64
+/* 8739 */    MCD_OPC_FilterValue, 6, 102, 0, // Skip to: 8845
+/* 8743 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8746 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8779
+/* 8750 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8753 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8766
+/* 8758 */    MCD_OPC_CheckPredicate, 16, 177, 22, // Skip to: 14571
+/* 8762 */    MCD_OPC_Decode, 139, 10, 96, // Opcode: VMINsv8i8
+/* 8766 */    MCD_OPC_FilterValue, 243, 1, 168, 22, // Skip to: 14571
+/* 8771 */    MCD_OPC_CheckPredicate, 16, 164, 22, // Skip to: 14571
+/* 8775 */    MCD_OPC_Decode, 145, 10, 96, // Opcode: VMINuv8i8
+/* 8779 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8812
+/* 8783 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8786 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8799
+/* 8791 */    MCD_OPC_CheckPredicate, 16, 144, 22, // Skip to: 14571
+/* 8795 */    MCD_OPC_Decode, 136, 10, 96, // Opcode: VMINsv4i16
+/* 8799 */    MCD_OPC_FilterValue, 243, 1, 135, 22, // Skip to: 14571
+/* 8804 */    MCD_OPC_CheckPredicate, 16, 131, 22, // Skip to: 14571
+/* 8808 */    MCD_OPC_Decode, 142, 10, 96, // Opcode: VMINuv4i16
+/* 8812 */    MCD_OPC_FilterValue, 2, 123, 22, // Skip to: 14571
+/* 8816 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8819 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8832
+/* 8824 */    MCD_OPC_CheckPredicate, 16, 111, 22, // Skip to: 14571
+/* 8828 */    MCD_OPC_Decode, 135, 10, 96, // Opcode: VMINsv2i32
+/* 8832 */    MCD_OPC_FilterValue, 243, 1, 102, 22, // Skip to: 14571
+/* 8837 */    MCD_OPC_CheckPredicate, 16, 98, 22, // Skip to: 14571
+/* 8841 */    MCD_OPC_Decode, 141, 10, 96, // Opcode: VMINuv2i32
+/* 8845 */    MCD_OPC_FilterValue, 7, 102, 0, // Skip to: 8951
+/* 8849 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8852 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8885
+/* 8856 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8859 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8872
+/* 8864 */    MCD_OPC_CheckPredicate, 16, 71, 22, // Skip to: 14571
+/* 8868 */    MCD_OPC_Decode, 151, 4, 104, // Opcode: VABAsv8i8
+/* 8872 */    MCD_OPC_FilterValue, 243, 1, 62, 22, // Skip to: 14571
+/* 8877 */    MCD_OPC_CheckPredicate, 16, 58, 22, // Skip to: 14571
+/* 8881 */    MCD_OPC_Decode, 157, 4, 104, // Opcode: VABAuv8i8
+/* 8885 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 8918
+/* 8889 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8892 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8905
+/* 8897 */    MCD_OPC_CheckPredicate, 16, 38, 22, // Skip to: 14571
+/* 8901 */    MCD_OPC_Decode, 148, 4, 104, // Opcode: VABAsv4i16
+/* 8905 */    MCD_OPC_FilterValue, 243, 1, 29, 22, // Skip to: 14571
+/* 8910 */    MCD_OPC_CheckPredicate, 16, 25, 22, // Skip to: 14571
+/* 8914 */    MCD_OPC_Decode, 154, 4, 104, // Opcode: VABAuv4i16
+/* 8918 */    MCD_OPC_FilterValue, 2, 17, 22, // Skip to: 14571
+/* 8922 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8925 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8938
+/* 8930 */    MCD_OPC_CheckPredicate, 16, 5, 22, // Skip to: 14571
+/* 8934 */    MCD_OPC_Decode, 147, 4, 104, // Opcode: VABAsv2i32
+/* 8938 */    MCD_OPC_FilterValue, 243, 1, 252, 21, // Skip to: 14571
+/* 8943 */    MCD_OPC_CheckPredicate, 16, 248, 21, // Skip to: 14571
+/* 8947 */    MCD_OPC_Decode, 153, 4, 104, // Opcode: VABAuv2i32
+/* 8951 */    MCD_OPC_FilterValue, 8, 102, 0, // Skip to: 9057
+/* 8955 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 8958 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 8991
+/* 8962 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8965 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 8978
+/* 8970 */    MCD_OPC_CheckPredicate, 16, 221, 21, // Skip to: 14571
+/* 8974 */    MCD_OPC_Decode, 208, 17, 96, // Opcode: VTSTv8i8
+/* 8978 */    MCD_OPC_FilterValue, 243, 1, 212, 21, // Skip to: 14571
+/* 8983 */    MCD_OPC_CheckPredicate, 16, 208, 21, // Skip to: 14571
+/* 8987 */    MCD_OPC_Decode, 240, 4, 96, // Opcode: VCEQv8i8
+/* 8991 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 9024
+/* 8995 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 8998 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9011
+/* 9003 */    MCD_OPC_CheckPredicate, 16, 188, 21, // Skip to: 14571
+/* 9007 */    MCD_OPC_Decode, 205, 17, 96, // Opcode: VTSTv4i16
+/* 9011 */    MCD_OPC_FilterValue, 243, 1, 179, 21, // Skip to: 14571
+/* 9016 */    MCD_OPC_CheckPredicate, 16, 175, 21, // Skip to: 14571
+/* 9020 */    MCD_OPC_Decode, 237, 4, 96, // Opcode: VCEQv4i16
+/* 9024 */    MCD_OPC_FilterValue, 2, 167, 21, // Skip to: 14571
+/* 9028 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9031 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9044
+/* 9036 */    MCD_OPC_CheckPredicate, 16, 155, 21, // Skip to: 14571
+/* 9040 */    MCD_OPC_Decode, 204, 17, 96, // Opcode: VTSTv2i32
+/* 9044 */    MCD_OPC_FilterValue, 243, 1, 146, 21, // Skip to: 14571
+/* 9049 */    MCD_OPC_CheckPredicate, 16, 142, 21, // Skip to: 14571
+/* 9053 */    MCD_OPC_Decode, 236, 4, 96, // Opcode: VCEQv2i32
+/* 9057 */    MCD_OPC_FilterValue, 9, 74, 0, // Skip to: 9135
+/* 9061 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9064 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9097
+/* 9068 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9071 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9084
+/* 9076 */    MCD_OPC_CheckPredicate, 16, 115, 21, // Skip to: 14571
+/* 9080 */    MCD_OPC_Decode, 143, 11, 96, // Opcode: VMULv8i8
+/* 9084 */    MCD_OPC_FilterValue, 243, 1, 106, 21, // Skip to: 14571
+/* 9089 */    MCD_OPC_CheckPredicate, 16, 102, 21, // Skip to: 14571
+/* 9093 */    MCD_OPC_Decode, 130, 11, 96, // Opcode: VMULpd
+/* 9097 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 9116
+/* 9101 */    MCD_OPC_CheckPredicate, 16, 90, 21, // Skip to: 14571
+/* 9105 */    MCD_OPC_CheckField, 24, 8, 242, 1, 83, 21, // Skip to: 14571
+/* 9112 */    MCD_OPC_Decode, 140, 11, 96, // Opcode: VMULv4i16
+/* 9116 */    MCD_OPC_FilterValue, 2, 75, 21, // Skip to: 14571
+/* 9120 */    MCD_OPC_CheckPredicate, 16, 71, 21, // Skip to: 14571
+/* 9124 */    MCD_OPC_CheckField, 24, 8, 242, 1, 64, 21, // Skip to: 14571
+/* 9131 */    MCD_OPC_Decode, 139, 11, 96, // Opcode: VMULv2i32
+/* 9135 */    MCD_OPC_FilterValue, 10, 102, 0, // Skip to: 9241
+/* 9139 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9142 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9175
+/* 9146 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9149 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9162
+/* 9154 */    MCD_OPC_CheckPredicate, 16, 37, 21, // Skip to: 14571
+/* 9158 */    MCD_OPC_Decode, 212, 11, 96, // Opcode: VPMINs8
+/* 9162 */    MCD_OPC_FilterValue, 243, 1, 28, 21, // Skip to: 14571
+/* 9167 */    MCD_OPC_CheckPredicate, 16, 24, 21, // Skip to: 14571
+/* 9171 */    MCD_OPC_Decode, 215, 11, 96, // Opcode: VPMINu8
+/* 9175 */    MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 9208
+/* 9179 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9182 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9195
+/* 9187 */    MCD_OPC_CheckPredicate, 16, 4, 21, // Skip to: 14571
+/* 9191 */    MCD_OPC_Decode, 210, 11, 96, // Opcode: VPMINs16
+/* 9195 */    MCD_OPC_FilterValue, 243, 1, 251, 20, // Skip to: 14571
+/* 9200 */    MCD_OPC_CheckPredicate, 16, 247, 20, // Skip to: 14571
+/* 9204 */    MCD_OPC_Decode, 213, 11, 96, // Opcode: VPMINu16
+/* 9208 */    MCD_OPC_FilterValue, 2, 239, 20, // Skip to: 14571
+/* 9212 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9215 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9228
+/* 9220 */    MCD_OPC_CheckPredicate, 16, 227, 20, // Skip to: 14571
+/* 9224 */    MCD_OPC_Decode, 211, 11, 96, // Opcode: VPMINs32
+/* 9228 */    MCD_OPC_FilterValue, 243, 1, 218, 20, // Skip to: 14571
+/* 9233 */    MCD_OPC_CheckPredicate, 16, 214, 20, // Skip to: 14571
+/* 9237 */    MCD_OPC_Decode, 214, 11, 96, // Opcode: VPMINu32
+/* 9241 */    MCD_OPC_FilterValue, 11, 60, 0, // Skip to: 9305
+/* 9245 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9248 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9267
+/* 9252 */    MCD_OPC_CheckPredicate, 16, 195, 20, // Skip to: 14571
+/* 9256 */    MCD_OPC_CheckField, 24, 8, 242, 1, 188, 20, // Skip to: 14571
+/* 9263 */    MCD_OPC_Decode, 201, 11, 96, // Opcode: VPADDi8
+/* 9267 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 9286
+/* 9271 */    MCD_OPC_CheckPredicate, 16, 176, 20, // Skip to: 14571
+/* 9275 */    MCD_OPC_CheckField, 24, 8, 242, 1, 169, 20, // Skip to: 14571
+/* 9282 */    MCD_OPC_Decode, 199, 11, 96, // Opcode: VPADDi16
+/* 9286 */    MCD_OPC_FilterValue, 2, 161, 20, // Skip to: 14571
+/* 9290 */    MCD_OPC_CheckPredicate, 16, 157, 20, // Skip to: 14571
+/* 9294 */    MCD_OPC_CheckField, 24, 8, 242, 1, 150, 20, // Skip to: 14571
+/* 9301 */    MCD_OPC_Decode, 200, 11, 96, // Opcode: VPADDi32
+/* 9305 */    MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 9350
+/* 9309 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9312 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9331
+/* 9316 */    MCD_OPC_CheckPredicate, 19, 131, 20, // Skip to: 14571
+/* 9320 */    MCD_OPC_CheckField, 24, 8, 242, 1, 124, 20, // Skip to: 14571
+/* 9327 */    MCD_OPC_Decode, 160, 6, 104, // Opcode: VFMAfd
+/* 9331 */    MCD_OPC_FilterValue, 2, 116, 20, // Skip to: 14571
+/* 9335 */    MCD_OPC_CheckPredicate, 19, 112, 20, // Skip to: 14571
+/* 9339 */    MCD_OPC_CheckField, 24, 8, 242, 1, 105, 20, // Skip to: 14571
+/* 9346 */    MCD_OPC_Decode, 164, 6, 104, // Opcode: VFMSfd
+/* 9350 */    MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 9409
+/* 9354 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9357 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 9390
+/* 9361 */    MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 9364 */    MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 9377
+/* 9369 */    MCD_OPC_CheckPredicate, 16, 78, 20, // Skip to: 14571
+/* 9373 */    MCD_OPC_Decode, 158, 10, 104, // Opcode: VMLAfd
+/* 9377 */    MCD_OPC_FilterValue, 243, 1, 69, 20, // Skip to: 14571
+/* 9382 */    MCD_OPC_CheckPredicate, 16, 65, 20, // Skip to: 14571
+/* 9386 */    MCD_OPC_Decode, 128, 11, 96, // Opcode: VMULfd
+/* 9390 */    MCD_OPC_FilterValue, 2, 57, 20, // Skip to: 14571
+/* 9394 */    MCD_OPC_CheckPredicate, 16, 53, 20, // Skip to: 14571
+/* 9398 */    MCD_OPC_CheckField, 24, 8, 242, 1, 46, 20, // Skip to: 14571
+/* 9405 */    MCD_OPC_Decode, 184, 10, 104, // Opcode: VMLSfd
+/* 9409 */    MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 9454
+/* 9413 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9416 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9435
+/* 9420 */    MCD_OPC_CheckPredicate, 16, 27, 20, // Skip to: 14571
+/* 9424 */    MCD_OPC_CheckField, 24, 8, 243, 1, 20, 20, // Skip to: 14571
+/* 9431 */    MCD_OPC_Decode, 188, 4, 96, // Opcode: VACGEd
+/* 9435 */    MCD_OPC_FilterValue, 2, 12, 20, // Skip to: 14571
+/* 9439 */    MCD_OPC_CheckPredicate, 16, 8, 20, // Skip to: 14571
+/* 9443 */    MCD_OPC_CheckField, 24, 8, 243, 1, 1, 20, // Skip to: 14571
+/* 9450 */    MCD_OPC_Decode, 190, 4, 96, // Opcode: VACGTd
+/* 9454 */    MCD_OPC_FilterValue, 15, 249, 19, // Skip to: 14571
+/* 9458 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 9461 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9480
+/* 9465 */    MCD_OPC_CheckPredicate, 16, 238, 19, // Skip to: 14571
+/* 9469 */    MCD_OPC_CheckField, 24, 8, 242, 1, 231, 19, // Skip to: 14571
+/* 9476 */    MCD_OPC_Decode, 250, 12, 96, // Opcode: VRECPSfd
+/* 9480 */    MCD_OPC_FilterValue, 2, 223, 19, // Skip to: 14571
+/* 9484 */    MCD_OPC_CheckPredicate, 16, 219, 19, // Skip to: 14571
+/* 9488 */    MCD_OPC_CheckField, 24, 8, 242, 1, 212, 19, // Skip to: 14571
+/* 9495 */    MCD_OPC_Decode, 213, 13, 96, // Opcode: VRSQRTSfd
+/* 9499 */    MCD_OPC_FilterValue, 1, 204, 19, // Skip to: 14571
+/* 9503 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 9506 */    MCD_OPC_FilterValue, 0, 138, 6, // Skip to: 11184
+/* 9510 */    MCD_OPC_ExtractField, 25, 7,  // Inst{31-25} ...
+/* 9513 */    MCD_OPC_FilterValue, 121, 190, 19, // Skip to: 14571
+/* 9517 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 9520 */    MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 9645
+/* 9524 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 9527 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9612
+/* 9531 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 9534 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9579
+/* 9538 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9541 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9560
+/* 9545 */    MCD_OPC_CheckPredicate, 16, 190, 5, // Skip to: 11019
+/* 9549 */    MCD_OPC_CheckField, 19, 1, 1, 184, 5, // Skip to: 11019
+/* 9555 */    MCD_OPC_Decode, 160, 14, 141, 1, // Opcode: VSHRsv8i8
+/* 9560 */    MCD_OPC_FilterValue, 1, 175, 5, // Skip to: 11019
+/* 9564 */    MCD_OPC_CheckPredicate, 16, 171, 5, // Skip to: 11019
+/* 9568 */    MCD_OPC_CheckField, 19, 1, 1, 165, 5, // Skip to: 11019
+/* 9574 */    MCD_OPC_Decode, 168, 14, 141, 1, // Opcode: VSHRuv8i8
+/* 9579 */    MCD_OPC_FilterValue, 1, 156, 5, // Skip to: 11019
+/* 9583 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9586 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9599
+/* 9590 */    MCD_OPC_CheckPredicate, 16, 145, 5, // Skip to: 11019
+/* 9594 */    MCD_OPC_Decode, 157, 14, 142, 1, // Opcode: VSHRsv4i16
+/* 9599 */    MCD_OPC_FilterValue, 1, 136, 5, // Skip to: 11019
+/* 9603 */    MCD_OPC_CheckPredicate, 16, 132, 5, // Skip to: 11019
+/* 9607 */    MCD_OPC_Decode, 165, 14, 142, 1, // Opcode: VSHRuv4i16
+/* 9612 */    MCD_OPC_FilterValue, 1, 123, 5, // Skip to: 11019
+/* 9616 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9619 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9632
+/* 9623 */    MCD_OPC_CheckPredicate, 16, 112, 5, // Skip to: 11019
+/* 9627 */    MCD_OPC_Decode, 155, 14, 143, 1, // Opcode: VSHRsv2i32
+/* 9632 */    MCD_OPC_FilterValue, 1, 103, 5, // Skip to: 11019
+/* 9636 */    MCD_OPC_CheckPredicate, 16, 99, 5, // Skip to: 11019
+/* 9640 */    MCD_OPC_Decode, 163, 14, 143, 1, // Opcode: VSHRuv2i32
+/* 9645 */    MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 9770
+/* 9649 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 9652 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9737
+/* 9656 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 9659 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9704
+/* 9663 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9666 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9685
+/* 9670 */    MCD_OPC_CheckPredicate, 16, 65, 5, // Skip to: 11019
+/* 9674 */    MCD_OPC_CheckField, 19, 1, 1, 59, 5, // Skip to: 11019
+/* 9680 */    MCD_OPC_Decode, 192, 14, 144, 1, // Opcode: VSRAsv8i8
+/* 9685 */    MCD_OPC_FilterValue, 1, 50, 5, // Skip to: 11019
+/* 9689 */    MCD_OPC_CheckPredicate, 16, 46, 5, // Skip to: 11019
+/* 9693 */    MCD_OPC_CheckField, 19, 1, 1, 40, 5, // Skip to: 11019
+/* 9699 */    MCD_OPC_Decode, 200, 14, 144, 1, // Opcode: VSRAuv8i8
+/* 9704 */    MCD_OPC_FilterValue, 1, 31, 5, // Skip to: 11019
+/* 9708 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9711 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9724
+/* 9715 */    MCD_OPC_CheckPredicate, 16, 20, 5, // Skip to: 11019
+/* 9719 */    MCD_OPC_Decode, 189, 14, 145, 1, // Opcode: VSRAsv4i16
+/* 9724 */    MCD_OPC_FilterValue, 1, 11, 5, // Skip to: 11019
+/* 9728 */    MCD_OPC_CheckPredicate, 16, 7, 5, // Skip to: 11019
+/* 9732 */    MCD_OPC_Decode, 197, 14, 145, 1, // Opcode: VSRAuv4i16
+/* 9737 */    MCD_OPC_FilterValue, 1, 254, 4, // Skip to: 11019
+/* 9741 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9744 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9757
+/* 9748 */    MCD_OPC_CheckPredicate, 16, 243, 4, // Skip to: 11019
+/* 9752 */    MCD_OPC_Decode, 187, 14, 146, 1, // Opcode: VSRAsv2i32
+/* 9757 */    MCD_OPC_FilterValue, 1, 234, 4, // Skip to: 11019
+/* 9761 */    MCD_OPC_CheckPredicate, 16, 230, 4, // Skip to: 11019
+/* 9765 */    MCD_OPC_Decode, 195, 14, 146, 1, // Opcode: VSRAuv2i32
+/* 9770 */    MCD_OPC_FilterValue, 2, 121, 0, // Skip to: 9895
+/* 9774 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 9777 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9862
+/* 9781 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 9784 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9829
+/* 9788 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9791 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9810
+/* 9795 */    MCD_OPC_CheckPredicate, 16, 196, 4, // Skip to: 11019
+/* 9799 */    MCD_OPC_CheckField, 19, 1, 1, 190, 4, // Skip to: 11019
+/* 9805 */    MCD_OPC_Decode, 200, 13, 141, 1, // Opcode: VRSHRsv8i8
+/* 9810 */    MCD_OPC_FilterValue, 1, 181, 4, // Skip to: 11019
+/* 9814 */    MCD_OPC_CheckPredicate, 16, 177, 4, // Skip to: 11019
+/* 9818 */    MCD_OPC_CheckField, 19, 1, 1, 171, 4, // Skip to: 11019
+/* 9824 */    MCD_OPC_Decode, 208, 13, 141, 1, // Opcode: VRSHRuv8i8
+/* 9829 */    MCD_OPC_FilterValue, 1, 162, 4, // Skip to: 11019
+/* 9833 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9836 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9849
+/* 9840 */    MCD_OPC_CheckPredicate, 16, 151, 4, // Skip to: 11019
+/* 9844 */    MCD_OPC_Decode, 197, 13, 142, 1, // Opcode: VRSHRsv4i16
+/* 9849 */    MCD_OPC_FilterValue, 1, 142, 4, // Skip to: 11019
+/* 9853 */    MCD_OPC_CheckPredicate, 16, 138, 4, // Skip to: 11019
+/* 9857 */    MCD_OPC_Decode, 205, 13, 142, 1, // Opcode: VRSHRuv4i16
+/* 9862 */    MCD_OPC_FilterValue, 1, 129, 4, // Skip to: 11019
+/* 9866 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9869 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9882
+/* 9873 */    MCD_OPC_CheckPredicate, 16, 118, 4, // Skip to: 11019
+/* 9877 */    MCD_OPC_Decode, 195, 13, 143, 1, // Opcode: VRSHRsv2i32
+/* 9882 */    MCD_OPC_FilterValue, 1, 109, 4, // Skip to: 11019
+/* 9886 */    MCD_OPC_CheckPredicate, 16, 105, 4, // Skip to: 11019
+/* 9890 */    MCD_OPC_Decode, 203, 13, 143, 1, // Opcode: VRSHRuv2i32
+/* 9895 */    MCD_OPC_FilterValue, 3, 121, 0, // Skip to: 10020
+/* 9899 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 9902 */    MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 9987
+/* 9906 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 9909 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 9954
+/* 9913 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9916 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 9935
+/* 9920 */    MCD_OPC_CheckPredicate, 16, 71, 4, // Skip to: 11019
+/* 9924 */    MCD_OPC_CheckField, 19, 1, 1, 65, 4, // Skip to: 11019
+/* 9930 */    MCD_OPC_Decode, 222, 13, 144, 1, // Opcode: VRSRAsv8i8
+/* 9935 */    MCD_OPC_FilterValue, 1, 56, 4, // Skip to: 11019
+/* 9939 */    MCD_OPC_CheckPredicate, 16, 52, 4, // Skip to: 11019
+/* 9943 */    MCD_OPC_CheckField, 19, 1, 1, 46, 4, // Skip to: 11019
+/* 9949 */    MCD_OPC_Decode, 230, 13, 144, 1, // Opcode: VRSRAuv8i8
+/* 9954 */    MCD_OPC_FilterValue, 1, 37, 4, // Skip to: 11019
+/* 9958 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9961 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9974
+/* 9965 */    MCD_OPC_CheckPredicate, 16, 26, 4, // Skip to: 11019
+/* 9969 */    MCD_OPC_Decode, 219, 13, 145, 1, // Opcode: VRSRAsv4i16
+/* 9974 */    MCD_OPC_FilterValue, 1, 17, 4, // Skip to: 11019
+/* 9978 */    MCD_OPC_CheckPredicate, 16, 13, 4, // Skip to: 11019
+/* 9982 */    MCD_OPC_Decode, 227, 13, 145, 1, // Opcode: VRSRAuv4i16
+/* 9987 */    MCD_OPC_FilterValue, 1, 4, 4, // Skip to: 11019
+/* 9991 */    MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 9994 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10007
+/* 9998 */    MCD_OPC_CheckPredicate, 16, 249, 3, // Skip to: 11019
+/* 10002 */   MCD_OPC_Decode, 217, 13, 146, 1, // Opcode: VRSRAsv2i32
+/* 10007 */   MCD_OPC_FilterValue, 1, 240, 3, // Skip to: 11019
+/* 10011 */   MCD_OPC_CheckPredicate, 16, 236, 3, // Skip to: 11019
+/* 10015 */   MCD_OPC_Decode, 225, 13, 146, 1, // Opcode: VRSRAuv2i32
+/* 10020 */   MCD_OPC_FilterValue, 4, 73, 0, // Skip to: 10097
+/* 10024 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10027 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 10078
+/* 10031 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10034 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 10059
+/* 10038 */   MCD_OPC_CheckPredicate, 16, 209, 3, // Skip to: 11019
+/* 10042 */   MCD_OPC_CheckField, 24, 1, 1, 203, 3, // Skip to: 11019
+/* 10048 */   MCD_OPC_CheckField, 19, 1, 1, 197, 3, // Skip to: 11019
+/* 10054 */   MCD_OPC_Decode, 208, 14, 144, 1, // Opcode: VSRIv8i8
+/* 10059 */   MCD_OPC_FilterValue, 1, 188, 3, // Skip to: 11019
+/* 10063 */   MCD_OPC_CheckPredicate, 16, 184, 3, // Skip to: 11019
+/* 10067 */   MCD_OPC_CheckField, 24, 1, 1, 178, 3, // Skip to: 11019
+/* 10073 */   MCD_OPC_Decode, 205, 14, 145, 1, // Opcode: VSRIv4i16
+/* 10078 */   MCD_OPC_FilterValue, 1, 169, 3, // Skip to: 11019
+/* 10082 */   MCD_OPC_CheckPredicate, 16, 165, 3, // Skip to: 11019
+/* 10086 */   MCD_OPC_CheckField, 24, 1, 1, 159, 3, // Skip to: 11019
+/* 10092 */   MCD_OPC_Decode, 203, 14, 146, 1, // Opcode: VSRIv2i32
+/* 10097 */   MCD_OPC_FilterValue, 5, 121, 0, // Skip to: 10222
+/* 10101 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10104 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10189
+/* 10108 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10111 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10156
+/* 10115 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10118 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10137
+/* 10122 */   MCD_OPC_CheckPredicate, 16, 125, 3, // Skip to: 11019
+/* 10126 */   MCD_OPC_CheckField, 19, 1, 1, 119, 3, // Skip to: 11019
+/* 10132 */   MCD_OPC_Decode, 133, 14, 147, 1, // Opcode: VSHLiv8i8
+/* 10137 */   MCD_OPC_FilterValue, 1, 110, 3, // Skip to: 11019
+/* 10141 */   MCD_OPC_CheckPredicate, 16, 106, 3, // Skip to: 11019
+/* 10145 */   MCD_OPC_CheckField, 19, 1, 1, 100, 3, // Skip to: 11019
+/* 10151 */   MCD_OPC_Decode, 180, 14, 148, 1, // Opcode: VSLIv8i8
+/* 10156 */   MCD_OPC_FilterValue, 1, 91, 3, // Skip to: 11019
+/* 10160 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10163 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10176
+/* 10167 */   MCD_OPC_CheckPredicate, 16, 80, 3, // Skip to: 11019
+/* 10171 */   MCD_OPC_Decode, 130, 14, 149, 1, // Opcode: VSHLiv4i16
+/* 10176 */   MCD_OPC_FilterValue, 1, 71, 3, // Skip to: 11019
+/* 10180 */   MCD_OPC_CheckPredicate, 16, 67, 3, // Skip to: 11019
+/* 10184 */   MCD_OPC_Decode, 177, 14, 150, 1, // Opcode: VSLIv4i16
+/* 10189 */   MCD_OPC_FilterValue, 1, 58, 3, // Skip to: 11019
+/* 10193 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10196 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10209
+/* 10200 */   MCD_OPC_CheckPredicate, 16, 47, 3, // Skip to: 11019
+/* 10204 */   MCD_OPC_Decode, 128, 14, 151, 1, // Opcode: VSHLiv2i32
+/* 10209 */   MCD_OPC_FilterValue, 1, 38, 3, // Skip to: 11019
+/* 10213 */   MCD_OPC_CheckPredicate, 16, 34, 3, // Skip to: 11019
+/* 10217 */   MCD_OPC_Decode, 175, 14, 152, 1, // Opcode: VSLIv2i32
+/* 10222 */   MCD_OPC_FilterValue, 6, 73, 0, // Skip to: 10299
+/* 10226 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10229 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 10280
+/* 10233 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10236 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 10261
+/* 10240 */   MCD_OPC_CheckPredicate, 16, 7, 3, // Skip to: 11019
+/* 10244 */   MCD_OPC_CheckField, 24, 1, 1, 1, 3, // Skip to: 11019
+/* 10250 */   MCD_OPC_CheckField, 19, 1, 1, 251, 2, // Skip to: 11019
+/* 10256 */   MCD_OPC_Decode, 193, 12, 147, 1, // Opcode: VQSHLsuv8i8
+/* 10261 */   MCD_OPC_FilterValue, 1, 242, 2, // Skip to: 11019
+/* 10265 */   MCD_OPC_CheckPredicate, 16, 238, 2, // Skip to: 11019
+/* 10269 */   MCD_OPC_CheckField, 24, 1, 1, 232, 2, // Skip to: 11019
+/* 10275 */   MCD_OPC_Decode, 190, 12, 149, 1, // Opcode: VQSHLsuv4i16
+/* 10280 */   MCD_OPC_FilterValue, 1, 223, 2, // Skip to: 11019
+/* 10284 */   MCD_OPC_CheckPredicate, 16, 219, 2, // Skip to: 11019
+/* 10288 */   MCD_OPC_CheckField, 24, 1, 1, 213, 2, // Skip to: 11019
+/* 10294 */   MCD_OPC_Decode, 188, 12, 151, 1, // Opcode: VQSHLsuv2i32
+/* 10299 */   MCD_OPC_FilterValue, 7, 121, 0, // Skip to: 10424
+/* 10303 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10306 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10391
+/* 10310 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10313 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10358
+/* 10317 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10320 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10339
+/* 10324 */   MCD_OPC_CheckPredicate, 16, 179, 2, // Skip to: 11019
+/* 10328 */   MCD_OPC_CheckField, 19, 1, 1, 173, 2, // Skip to: 11019
+/* 10334 */   MCD_OPC_Decode, 185, 12, 147, 1, // Opcode: VQSHLsiv8i8
+/* 10339 */   MCD_OPC_FilterValue, 1, 164, 2, // Skip to: 11019
+/* 10343 */   MCD_OPC_CheckPredicate, 16, 160, 2, // Skip to: 11019
+/* 10347 */   MCD_OPC_CheckField, 19, 1, 1, 154, 2, // Skip to: 11019
+/* 10353 */   MCD_OPC_Decode, 209, 12, 147, 1, // Opcode: VQSHLuiv8i8
+/* 10358 */   MCD_OPC_FilterValue, 1, 145, 2, // Skip to: 11019
+/* 10362 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10365 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10378
+/* 10369 */   MCD_OPC_CheckPredicate, 16, 134, 2, // Skip to: 11019
+/* 10373 */   MCD_OPC_Decode, 182, 12, 149, 1, // Opcode: VQSHLsiv4i16
+/* 10378 */   MCD_OPC_FilterValue, 1, 125, 2, // Skip to: 11019
+/* 10382 */   MCD_OPC_CheckPredicate, 16, 121, 2, // Skip to: 11019
+/* 10386 */   MCD_OPC_Decode, 206, 12, 149, 1, // Opcode: VQSHLuiv4i16
+/* 10391 */   MCD_OPC_FilterValue, 1, 112, 2, // Skip to: 11019
+/* 10395 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10398 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10411
+/* 10402 */   MCD_OPC_CheckPredicate, 16, 101, 2, // Skip to: 11019
+/* 10406 */   MCD_OPC_Decode, 180, 12, 151, 1, // Opcode: VQSHLsiv2i32
+/* 10411 */   MCD_OPC_FilterValue, 1, 92, 2, // Skip to: 11019
+/* 10415 */   MCD_OPC_CheckPredicate, 16, 88, 2, // Skip to: 11019
+/* 10419 */   MCD_OPC_Decode, 204, 12, 151, 1, // Opcode: VQSHLuiv2i32
+/* 10424 */   MCD_OPC_FilterValue, 8, 121, 0, // Skip to: 10549
+/* 10428 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10431 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10516
+/* 10435 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10438 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10483
+/* 10442 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10445 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10464
+/* 10449 */   MCD_OPC_CheckPredicate, 16, 54, 2, // Skip to: 11019
+/* 10453 */   MCD_OPC_CheckField, 19, 1, 1, 48, 2, // Skip to: 11019
+/* 10459 */   MCD_OPC_Decode, 152, 14, 153, 1, // Opcode: VSHRNv8i8
+/* 10464 */   MCD_OPC_FilterValue, 1, 39, 2, // Skip to: 11019
+/* 10468 */   MCD_OPC_CheckPredicate, 16, 35, 2, // Skip to: 11019
+/* 10472 */   MCD_OPC_CheckField, 19, 1, 1, 29, 2, // Skip to: 11019
+/* 10478 */   MCD_OPC_Decode, 226, 12, 153, 1, // Opcode: VQSHRUNv8i8
+/* 10483 */   MCD_OPC_FilterValue, 1, 20, 2, // Skip to: 11019
+/* 10487 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10490 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10503
+/* 10494 */   MCD_OPC_CheckPredicate, 16, 9, 2, // Skip to: 11019
+/* 10498 */   MCD_OPC_Decode, 151, 14, 154, 1, // Opcode: VSHRNv4i16
+/* 10503 */   MCD_OPC_FilterValue, 1, 0, 2, // Skip to: 11019
+/* 10507 */   MCD_OPC_CheckPredicate, 16, 252, 1, // Skip to: 11019
+/* 10511 */   MCD_OPC_Decode, 225, 12, 154, 1, // Opcode: VQSHRUNv4i16
+/* 10516 */   MCD_OPC_FilterValue, 1, 243, 1, // Skip to: 11019
+/* 10520 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10523 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10536
+/* 10527 */   MCD_OPC_CheckPredicate, 16, 232, 1, // Skip to: 11019
+/* 10531 */   MCD_OPC_Decode, 150, 14, 155, 1, // Opcode: VSHRNv2i32
+/* 10536 */   MCD_OPC_FilterValue, 1, 223, 1, // Skip to: 11019
+/* 10540 */   MCD_OPC_CheckPredicate, 16, 219, 1, // Skip to: 11019
+/* 10544 */   MCD_OPC_Decode, 224, 12, 155, 1, // Opcode: VQSHRUNv2i32
+/* 10549 */   MCD_OPC_FilterValue, 9, 121, 0, // Skip to: 10674
+/* 10553 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10556 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 10641
+/* 10560 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10563 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 10608
+/* 10567 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10570 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10589
+/* 10574 */   MCD_OPC_CheckPredicate, 16, 185, 1, // Skip to: 11019
+/* 10578 */   MCD_OPC_CheckField, 19, 1, 1, 179, 1, // Skip to: 11019
+/* 10584 */   MCD_OPC_Decode, 220, 12, 153, 1, // Opcode: VQSHRNsv8i8
+/* 10589 */   MCD_OPC_FilterValue, 1, 170, 1, // Skip to: 11019
+/* 10593 */   MCD_OPC_CheckPredicate, 16, 166, 1, // Skip to: 11019
+/* 10597 */   MCD_OPC_CheckField, 19, 1, 1, 160, 1, // Skip to: 11019
+/* 10603 */   MCD_OPC_Decode, 223, 12, 153, 1, // Opcode: VQSHRNuv8i8
+/* 10608 */   MCD_OPC_FilterValue, 1, 151, 1, // Skip to: 11019
+/* 10612 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10615 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10628
+/* 10619 */   MCD_OPC_CheckPredicate, 16, 140, 1, // Skip to: 11019
+/* 10623 */   MCD_OPC_Decode, 219, 12, 154, 1, // Opcode: VQSHRNsv4i16
+/* 10628 */   MCD_OPC_FilterValue, 1, 131, 1, // Skip to: 11019
+/* 10632 */   MCD_OPC_CheckPredicate, 16, 127, 1, // Skip to: 11019
+/* 10636 */   MCD_OPC_Decode, 222, 12, 154, 1, // Opcode: VQSHRNuv4i16
+/* 10641 */   MCD_OPC_FilterValue, 1, 118, 1, // Skip to: 11019
+/* 10645 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10648 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10661
+/* 10652 */   MCD_OPC_CheckPredicate, 16, 107, 1, // Skip to: 11019
+/* 10656 */   MCD_OPC_Decode, 218, 12, 155, 1, // Opcode: VQSHRNsv2i32
+/* 10661 */   MCD_OPC_FilterValue, 1, 98, 1, // Skip to: 11019
+/* 10665 */   MCD_OPC_CheckPredicate, 16, 94, 1, // Skip to: 11019
+/* 10669 */   MCD_OPC_Decode, 221, 12, 155, 1, // Opcode: VQSHRNuv2i32
+/* 10674 */   MCD_OPC_FilterValue, 10, 213, 0, // Skip to: 10891
+/* 10678 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 10681 */   MCD_OPC_FilterValue, 0, 143, 0, // Skip to: 10828
+/* 10685 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 10688 */   MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 10765
+/* 10692 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10695 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 10730
+/* 10699 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 10702 */   MCD_OPC_FilterValue, 1, 57, 1, // Skip to: 11019
+/* 10706 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10721
+/* 10710 */   MCD_OPC_CheckField, 16, 3, 0, 5, 0, // Skip to: 10721
+/* 10716 */   MCD_OPC_Decode, 204, 10, 133, 1, // Opcode: VMOVLsv8i16
+/* 10721 */   MCD_OPC_CheckPredicate, 16, 38, 1, // Skip to: 11019
+/* 10725 */   MCD_OPC_Decode, 250, 13, 156, 1, // Opcode: VSHLLsv8i16
+/* 10730 */   MCD_OPC_FilterValue, 1, 29, 1, // Skip to: 11019
+/* 10734 */   MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
+/* 10737 */   MCD_OPC_FilterValue, 1, 22, 1, // Skip to: 11019
+/* 10741 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10756
+/* 10745 */   MCD_OPC_CheckField, 16, 3, 0, 5, 0, // Skip to: 10756
+/* 10751 */   MCD_OPC_Decode, 207, 10, 133, 1, // Opcode: VMOVLuv8i16
+/* 10756 */   MCD_OPC_CheckPredicate, 16, 3, 1, // Skip to: 11019
+/* 10760 */   MCD_OPC_Decode, 253, 13, 156, 1, // Opcode: VSHLLuv8i16
+/* 10765 */   MCD_OPC_FilterValue, 1, 250, 0, // Skip to: 11019
+/* 10769 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10772 */   MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 10800
+/* 10776 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10791
+/* 10780 */   MCD_OPC_CheckField, 16, 4, 0, 5, 0, // Skip to: 10791
+/* 10786 */   MCD_OPC_Decode, 203, 10, 133, 1, // Opcode: VMOVLsv4i32
+/* 10791 */   MCD_OPC_CheckPredicate, 16, 224, 0, // Skip to: 11019
+/* 10795 */   MCD_OPC_Decode, 249, 13, 157, 1, // Opcode: VSHLLsv4i32
+/* 10800 */   MCD_OPC_FilterValue, 1, 215, 0, // Skip to: 11019
+/* 10804 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10819
+/* 10808 */   MCD_OPC_CheckField, 16, 4, 0, 5, 0, // Skip to: 10819
+/* 10814 */   MCD_OPC_Decode, 206, 10, 133, 1, // Opcode: VMOVLuv4i32
+/* 10819 */   MCD_OPC_CheckPredicate, 16, 196, 0, // Skip to: 11019
+/* 10823 */   MCD_OPC_Decode, 252, 13, 157, 1, // Opcode: VSHLLuv4i32
+/* 10828 */   MCD_OPC_FilterValue, 1, 187, 0, // Skip to: 11019
+/* 10832 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10835 */   MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 10863
+/* 10839 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10854
+/* 10843 */   MCD_OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 10854
+/* 10849 */   MCD_OPC_Decode, 202, 10, 133, 1, // Opcode: VMOVLsv2i64
+/* 10854 */   MCD_OPC_CheckPredicate, 16, 161, 0, // Skip to: 11019
+/* 10858 */   MCD_OPC_Decode, 248, 13, 158, 1, // Opcode: VSHLLsv2i64
+/* 10863 */   MCD_OPC_FilterValue, 1, 152, 0, // Skip to: 11019
+/* 10867 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10882
+/* 10871 */   MCD_OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 10882
+/* 10877 */   MCD_OPC_Decode, 205, 10, 133, 1, // Opcode: VMOVLuv2i64
+/* 10882 */   MCD_OPC_CheckPredicate, 16, 133, 0, // Skip to: 11019
+/* 10886 */   MCD_OPC_Decode, 251, 13, 158, 1, // Opcode: VSHLLuv2i64
+/* 10891 */   MCD_OPC_FilterValue, 14, 70, 0, // Skip to: 10965
+/* 10895 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 10898 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 10917
+/* 10902 */   MCD_OPC_CheckPredicate, 16, 30, 0, // Skip to: 10936
+/* 10906 */   MCD_OPC_CheckField, 19, 3, 0, 24, 0, // Skip to: 10936
+/* 10912 */   MCD_OPC_Decode, 228, 10, 159, 1, // Opcode: VMOVv8i8
+/* 10917 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 10936
+/* 10921 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 10936
+/* 10925 */   MCD_OPC_CheckField, 19, 3, 0, 5, 0, // Skip to: 10936
+/* 10931 */   MCD_OPC_Decode, 220, 10, 159, 1, // Opcode: VMOVv1i64
+/* 10936 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10939 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10952
+/* 10943 */   MCD_OPC_CheckPredicate, 16, 72, 0, // Skip to: 11019
+/* 10947 */   MCD_OPC_Decode, 131, 6, 160, 1, // Opcode: VCVTxs2fd
+/* 10952 */   MCD_OPC_FilterValue, 1, 63, 0, // Skip to: 11019
+/* 10956 */   MCD_OPC_CheckPredicate, 16, 59, 0, // Skip to: 11019
+/* 10960 */   MCD_OPC_Decode, 133, 6, 160, 1, // Opcode: VCVTxu2fd
+/* 10965 */   MCD_OPC_FilterValue, 15, 50, 0, // Skip to: 11019
+/* 10969 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 10972 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10985
+/* 10976 */   MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 10998
+/* 10980 */   MCD_OPC_Decode, 250, 5, 160, 1, // Opcode: VCVTf2xsd
+/* 10985 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10998
+/* 10989 */   MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 10998
+/* 10993 */   MCD_OPC_Decode, 252, 5, 160, 1, // Opcode: VCVTf2xud
+/* 10998 */   MCD_OPC_CheckPredicate, 16, 17, 0, // Skip to: 11019
+/* 11002 */   MCD_OPC_CheckField, 19, 3, 0, 11, 0, // Skip to: 11019
+/* 11008 */   MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 11019
+/* 11014 */   MCD_OPC_Decode, 221, 10, 159, 1, // Opcode: VMOVv2f32
+/* 11019 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 11022 */   MCD_OPC_FilterValue, 0, 77, 0, // Skip to: 11103
+/* 11026 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
+/* 11029 */   MCD_OPC_FilterValue, 0, 210, 13, // Skip to: 14571
+/* 11033 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 11036 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11055
+/* 11040 */   MCD_OPC_CheckPredicate, 16, 50, 0, // Skip to: 11094
+/* 11044 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 11094
+/* 11050 */   MCD_OPC_Decode, 225, 10, 159, 1, // Opcode: VMOVv4i16
+/* 11055 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 11094
+/* 11059 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
+/* 11062 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11075
+/* 11066 */   MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 11094
+/* 11070 */   MCD_OPC_Decode, 169, 11, 159, 1, // Opcode: VORRiv2i32
+/* 11075 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11094
+/* 11079 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 11094
+/* 11083 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 11094
+/* 11089 */   MCD_OPC_Decode, 170, 11, 159, 1, // Opcode: VORRiv4i16
+/* 11094 */   MCD_OPC_CheckPredicate, 16, 145, 13, // Skip to: 14571
+/* 11098 */   MCD_OPC_Decode, 222, 10, 159, 1, // Opcode: VMOVv2i32
+/* 11103 */   MCD_OPC_FilterValue, 1, 136, 13, // Skip to: 14571
+/* 11107 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
+/* 11110 */   MCD_OPC_FilterValue, 0, 129, 13, // Skip to: 14571
+/* 11114 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 11117 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11136
+/* 11121 */   MCD_OPC_CheckPredicate, 16, 50, 0, // Skip to: 11175
+/* 11125 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 11175
+/* 11131 */   MCD_OPC_Decode, 147, 11, 159, 1, // Opcode: VMVNv4i16
+/* 11136 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 11175
+/* 11140 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
+/* 11143 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11156
+/* 11147 */   MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 11175
+/* 11151 */   MCD_OPC_Decode, 222, 4, 159, 1, // Opcode: VBICiv2i32
+/* 11156 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11175
+/* 11160 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 11175
+/* 11164 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 11175
+/* 11170 */   MCD_OPC_Decode, 223, 4, 159, 1, // Opcode: VBICiv4i16
+/* 11175 */   MCD_OPC_CheckPredicate, 16, 64, 13, // Skip to: 14571
+/* 11179 */   MCD_OPC_Decode, 146, 11, 159, 1, // Opcode: VMVNv2i32
+/* 11184 */   MCD_OPC_FilterValue, 1, 55, 13, // Skip to: 14571
+/* 11188 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 11191 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 11226
+/* 11195 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11198 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11212
+/* 11203 */   MCD_OPC_CheckPredicate, 16, 36, 13, // Skip to: 14571
+/* 11207 */   MCD_OPC_Decode, 154, 14, 161, 1, // Opcode: VSHRsv1i64
+/* 11212 */   MCD_OPC_FilterValue, 243, 1, 26, 13, // Skip to: 14571
+/* 11217 */   MCD_OPC_CheckPredicate, 16, 22, 13, // Skip to: 14571
+/* 11221 */   MCD_OPC_Decode, 162, 14, 161, 1, // Opcode: VSHRuv1i64
+/* 11226 */   MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 11261
+/* 11230 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11233 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11247
+/* 11238 */   MCD_OPC_CheckPredicate, 16, 1, 13, // Skip to: 14571
+/* 11242 */   MCD_OPC_Decode, 186, 14, 162, 1, // Opcode: VSRAsv1i64
+/* 11247 */   MCD_OPC_FilterValue, 243, 1, 247, 12, // Skip to: 14571
+/* 11252 */   MCD_OPC_CheckPredicate, 16, 243, 12, // Skip to: 14571
+/* 11256 */   MCD_OPC_Decode, 194, 14, 162, 1, // Opcode: VSRAuv1i64
+/* 11261 */   MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 11296
+/* 11265 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11268 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11282
+/* 11273 */   MCD_OPC_CheckPredicate, 16, 222, 12, // Skip to: 14571
+/* 11277 */   MCD_OPC_Decode, 194, 13, 161, 1, // Opcode: VRSHRsv1i64
+/* 11282 */   MCD_OPC_FilterValue, 243, 1, 212, 12, // Skip to: 14571
+/* 11287 */   MCD_OPC_CheckPredicate, 16, 208, 12, // Skip to: 14571
+/* 11291 */   MCD_OPC_Decode, 202, 13, 161, 1, // Opcode: VRSHRuv1i64
+/* 11296 */   MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 11331
+/* 11300 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11303 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11317
+/* 11308 */   MCD_OPC_CheckPredicate, 16, 187, 12, // Skip to: 14571
+/* 11312 */   MCD_OPC_Decode, 216, 13, 162, 1, // Opcode: VRSRAsv1i64
+/* 11317 */   MCD_OPC_FilterValue, 243, 1, 177, 12, // Skip to: 14571
+/* 11322 */   MCD_OPC_CheckPredicate, 16, 173, 12, // Skip to: 14571
+/* 11326 */   MCD_OPC_Decode, 224, 13, 162, 1, // Opcode: VRSRAuv1i64
+/* 11331 */   MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 11351
+/* 11335 */   MCD_OPC_CheckPredicate, 16, 160, 12, // Skip to: 14571
+/* 11339 */   MCD_OPC_CheckField, 24, 8, 243, 1, 153, 12, // Skip to: 14571
+/* 11346 */   MCD_OPC_Decode, 202, 14, 162, 1, // Opcode: VSRIv1i64
+/* 11351 */   MCD_OPC_FilterValue, 5, 31, 0, // Skip to: 11386
+/* 11355 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11358 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11372
+/* 11363 */   MCD_OPC_CheckPredicate, 16, 132, 12, // Skip to: 14571
+/* 11367 */   MCD_OPC_Decode, 255, 13, 163, 1, // Opcode: VSHLiv1i64
+/* 11372 */   MCD_OPC_FilterValue, 243, 1, 122, 12, // Skip to: 14571
+/* 11377 */   MCD_OPC_CheckPredicate, 16, 118, 12, // Skip to: 14571
+/* 11381 */   MCD_OPC_Decode, 174, 14, 164, 1, // Opcode: VSLIv1i64
+/* 11386 */   MCD_OPC_FilterValue, 6, 16, 0, // Skip to: 11406
+/* 11390 */   MCD_OPC_CheckPredicate, 16, 105, 12, // Skip to: 14571
+/* 11394 */   MCD_OPC_CheckField, 24, 8, 243, 1, 98, 12, // Skip to: 14571
+/* 11401 */   MCD_OPC_Decode, 187, 12, 163, 1, // Opcode: VQSHLsuv1i64
+/* 11406 */   MCD_OPC_FilterValue, 7, 89, 12, // Skip to: 14571
+/* 11410 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11413 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 11427
+/* 11418 */   MCD_OPC_CheckPredicate, 16, 77, 12, // Skip to: 14571
+/* 11422 */   MCD_OPC_Decode, 179, 12, 163, 1, // Opcode: VQSHLsiv1i64
+/* 11427 */   MCD_OPC_FilterValue, 243, 1, 67, 12, // Skip to: 14571
+/* 11432 */   MCD_OPC_CheckPredicate, 16, 63, 12, // Skip to: 14571
+/* 11436 */   MCD_OPC_Decode, 203, 12, 163, 1, // Opcode: VQSHLuiv1i64
+/* 11441 */   MCD_OPC_FilterValue, 1, 54, 12, // Skip to: 14571
+/* 11445 */   MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 11448 */   MCD_OPC_FilterValue, 0, 114, 5, // Skip to: 12846
+/* 11452 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 11455 */   MCD_OPC_FilterValue, 0, 135, 0, // Skip to: 11594
+/* 11459 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 11462 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11495
+/* 11466 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11469 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11482
+/* 11474 */   MCD_OPC_CheckPredicate, 16, 21, 12, // Skip to: 14571
+/* 11478 */   MCD_OPC_Decode, 222, 11, 97, // Opcode: VQADDsv16i8
+/* 11482 */   MCD_OPC_FilterValue, 243, 1, 12, 12, // Skip to: 14571
+/* 11487 */   MCD_OPC_CheckPredicate, 16, 8, 12, // Skip to: 14571
+/* 11491 */   MCD_OPC_Decode, 230, 11, 97, // Opcode: VQADDuv16i8
+/* 11495 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11528
+/* 11499 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11502 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11515
+/* 11507 */   MCD_OPC_CheckPredicate, 16, 244, 11, // Skip to: 14571
+/* 11511 */   MCD_OPC_Decode, 228, 11, 97, // Opcode: VQADDsv8i16
+/* 11515 */   MCD_OPC_FilterValue, 243, 1, 235, 11, // Skip to: 14571
+/* 11520 */   MCD_OPC_CheckPredicate, 16, 231, 11, // Skip to: 14571
+/* 11524 */   MCD_OPC_Decode, 236, 11, 97, // Opcode: VQADDuv8i16
+/* 11528 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11561
+/* 11532 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11535 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11548
+/* 11540 */   MCD_OPC_CheckPredicate, 16, 211, 11, // Skip to: 14571
+/* 11544 */   MCD_OPC_Decode, 227, 11, 97, // Opcode: VQADDsv4i32
+/* 11548 */   MCD_OPC_FilterValue, 243, 1, 202, 11, // Skip to: 14571
+/* 11553 */   MCD_OPC_CheckPredicate, 16, 198, 11, // Skip to: 14571
+/* 11557 */   MCD_OPC_Decode, 235, 11, 97, // Opcode: VQADDuv4i32
+/* 11561 */   MCD_OPC_FilterValue, 3, 190, 11, // Skip to: 14571
+/* 11565 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11568 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11581
+/* 11573 */   MCD_OPC_CheckPredicate, 16, 178, 11, // Skip to: 14571
+/* 11577 */   MCD_OPC_Decode, 225, 11, 97, // Opcode: VQADDsv2i64
+/* 11581 */   MCD_OPC_FilterValue, 243, 1, 169, 11, // Skip to: 14571
+/* 11586 */   MCD_OPC_CheckPredicate, 16, 165, 11, // Skip to: 14571
+/* 11590 */   MCD_OPC_Decode, 233, 11, 97, // Opcode: VQADDuv2i64
+/* 11594 */   MCD_OPC_FilterValue, 1, 135, 0, // Skip to: 11733
+/* 11598 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 11601 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11634
+/* 11605 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11608 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11621
+/* 11613 */   MCD_OPC_CheckPredicate, 16, 138, 11, // Skip to: 14571
+/* 11617 */   MCD_OPC_Decode, 220, 4, 97, // Opcode: VANDq
+/* 11621 */   MCD_OPC_FilterValue, 243, 1, 129, 11, // Skip to: 14571
+/* 11626 */   MCD_OPC_CheckPredicate, 16, 125, 11, // Skip to: 14571
+/* 11630 */   MCD_OPC_Decode, 150, 6, 97, // Opcode: VEORq
+/* 11634 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11667
+/* 11638 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11641 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11654
+/* 11646 */   MCD_OPC_CheckPredicate, 16, 105, 11, // Skip to: 14571
+/* 11650 */   MCD_OPC_Decode, 226, 4, 97, // Opcode: VBICq
+/* 11654 */   MCD_OPC_FilterValue, 243, 1, 96, 11, // Skip to: 14571
+/* 11659 */   MCD_OPC_CheckPredicate, 16, 92, 11, // Skip to: 14571
+/* 11663 */   MCD_OPC_Decode, 232, 4, 105, // Opcode: VBSLq
+/* 11667 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11700
+/* 11671 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11674 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11687
+/* 11679 */   MCD_OPC_CheckPredicate, 16, 72, 11, // Skip to: 14571
+/* 11683 */   MCD_OPC_Decode, 173, 11, 97, // Opcode: VORRq
+/* 11687 */   MCD_OPC_FilterValue, 243, 1, 63, 11, // Skip to: 14571
+/* 11692 */   MCD_OPC_CheckPredicate, 16, 59, 11, // Skip to: 14571
+/* 11696 */   MCD_OPC_Decode, 230, 4, 105, // Opcode: VBITq
+/* 11700 */   MCD_OPC_FilterValue, 3, 51, 11, // Skip to: 14571
+/* 11704 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11707 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11720
+/* 11712 */   MCD_OPC_CheckPredicate, 16, 39, 11, // Skip to: 14571
+/* 11716 */   MCD_OPC_Decode, 167, 11, 97, // Opcode: VORNq
+/* 11720 */   MCD_OPC_FilterValue, 243, 1, 30, 11, // Skip to: 14571
+/* 11725 */   MCD_OPC_CheckPredicate, 16, 26, 11, // Skip to: 14571
+/* 11729 */   MCD_OPC_Decode, 228, 4, 105, // Opcode: VBIFq
+/* 11733 */   MCD_OPC_FilterValue, 2, 135, 0, // Skip to: 11872
+/* 11737 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 11740 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11773
+/* 11744 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11747 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11760
+/* 11752 */   MCD_OPC_CheckPredicate, 16, 255, 10, // Skip to: 14571
+/* 11756 */   MCD_OPC_Decode, 227, 12, 97, // Opcode: VQSUBsv16i8
+/* 11760 */   MCD_OPC_FilterValue, 243, 1, 246, 10, // Skip to: 14571
+/* 11765 */   MCD_OPC_CheckPredicate, 16, 242, 10, // Skip to: 14571
+/* 11769 */   MCD_OPC_Decode, 235, 12, 97, // Opcode: VQSUBuv16i8
+/* 11773 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11806
+/* 11777 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11780 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11793
+/* 11785 */   MCD_OPC_CheckPredicate, 16, 222, 10, // Skip to: 14571
+/* 11789 */   MCD_OPC_Decode, 233, 12, 97, // Opcode: VQSUBsv8i16
+/* 11793 */   MCD_OPC_FilterValue, 243, 1, 213, 10, // Skip to: 14571
+/* 11798 */   MCD_OPC_CheckPredicate, 16, 209, 10, // Skip to: 14571
+/* 11802 */   MCD_OPC_Decode, 241, 12, 97, // Opcode: VQSUBuv8i16
+/* 11806 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 11839
+/* 11810 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11813 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11826
+/* 11818 */   MCD_OPC_CheckPredicate, 16, 189, 10, // Skip to: 14571
+/* 11822 */   MCD_OPC_Decode, 232, 12, 97, // Opcode: VQSUBsv4i32
+/* 11826 */   MCD_OPC_FilterValue, 243, 1, 180, 10, // Skip to: 14571
+/* 11831 */   MCD_OPC_CheckPredicate, 16, 176, 10, // Skip to: 14571
+/* 11835 */   MCD_OPC_Decode, 240, 12, 97, // Opcode: VQSUBuv4i32
+/* 11839 */   MCD_OPC_FilterValue, 3, 168, 10, // Skip to: 14571
+/* 11843 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11846 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11859
+/* 11851 */   MCD_OPC_CheckPredicate, 16, 156, 10, // Skip to: 14571
+/* 11855 */   MCD_OPC_Decode, 230, 12, 97, // Opcode: VQSUBsv2i64
+/* 11859 */   MCD_OPC_FilterValue, 243, 1, 147, 10, // Skip to: 14571
+/* 11864 */   MCD_OPC_CheckPredicate, 16, 143, 10, // Skip to: 14571
+/* 11868 */   MCD_OPC_Decode, 238, 12, 97, // Opcode: VQSUBuv2i64
+/* 11872 */   MCD_OPC_FilterValue, 3, 102, 0, // Skip to: 11978
+/* 11876 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 11879 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 11912
+/* 11883 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11886 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11899
+/* 11891 */   MCD_OPC_CheckPredicate, 16, 116, 10, // Skip to: 14571
+/* 11895 */   MCD_OPC_Decode, 251, 4, 97, // Opcode: VCGEsv16i8
+/* 11899 */   MCD_OPC_FilterValue, 243, 1, 107, 10, // Skip to: 14571
+/* 11904 */   MCD_OPC_CheckPredicate, 16, 103, 10, // Skip to: 14571
+/* 11908 */   MCD_OPC_Decode, 129, 5, 97, // Opcode: VCGEuv16i8
+/* 11912 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 11945
+/* 11916 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11919 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11932
+/* 11924 */   MCD_OPC_CheckPredicate, 16, 83, 10, // Skip to: 14571
+/* 11928 */   MCD_OPC_Decode, 255, 4, 97, // Opcode: VCGEsv8i16
+/* 11932 */   MCD_OPC_FilterValue, 243, 1, 74, 10, // Skip to: 14571
+/* 11937 */   MCD_OPC_CheckPredicate, 16, 70, 10, // Skip to: 14571
+/* 11941 */   MCD_OPC_Decode, 133, 5, 97, // Opcode: VCGEuv8i16
+/* 11945 */   MCD_OPC_FilterValue, 2, 62, 10, // Skip to: 14571
+/* 11949 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11952 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 11965
+/* 11957 */   MCD_OPC_CheckPredicate, 16, 50, 10, // Skip to: 14571
+/* 11961 */   MCD_OPC_Decode, 254, 4, 97, // Opcode: VCGEsv4i32
+/* 11965 */   MCD_OPC_FilterValue, 243, 1, 41, 10, // Skip to: 14571
+/* 11970 */   MCD_OPC_CheckPredicate, 16, 37, 10, // Skip to: 14571
+/* 11974 */   MCD_OPC_Decode, 132, 5, 97, // Opcode: VCGEuv4i32
+/* 11978 */   MCD_OPC_FilterValue, 4, 135, 0, // Skip to: 12117
+/* 11982 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 11985 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12018
+/* 11989 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 11992 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12005
+/* 11997 */   MCD_OPC_CheckPredicate, 16, 10, 10, // Skip to: 14571
+/* 12001 */   MCD_OPC_Decode, 194, 12, 101, // Opcode: VQSHLsv16i8
+/* 12005 */   MCD_OPC_FilterValue, 243, 1, 1, 10, // Skip to: 14571
+/* 12010 */   MCD_OPC_CheckPredicate, 16, 253, 9, // Skip to: 14571
+/* 12014 */   MCD_OPC_Decode, 210, 12, 101, // Opcode: VQSHLuv16i8
+/* 12018 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12051
+/* 12022 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12025 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12038
+/* 12030 */   MCD_OPC_CheckPredicate, 16, 233, 9, // Skip to: 14571
+/* 12034 */   MCD_OPC_Decode, 200, 12, 101, // Opcode: VQSHLsv8i16
+/* 12038 */   MCD_OPC_FilterValue, 243, 1, 224, 9, // Skip to: 14571
+/* 12043 */   MCD_OPC_CheckPredicate, 16, 220, 9, // Skip to: 14571
+/* 12047 */   MCD_OPC_Decode, 216, 12, 101, // Opcode: VQSHLuv8i16
+/* 12051 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 12084
+/* 12055 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12058 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12071
+/* 12063 */   MCD_OPC_CheckPredicate, 16, 200, 9, // Skip to: 14571
+/* 12067 */   MCD_OPC_Decode, 199, 12, 101, // Opcode: VQSHLsv4i32
+/* 12071 */   MCD_OPC_FilterValue, 243, 1, 191, 9, // Skip to: 14571
+/* 12076 */   MCD_OPC_CheckPredicate, 16, 187, 9, // Skip to: 14571
+/* 12080 */   MCD_OPC_Decode, 215, 12, 101, // Opcode: VQSHLuv4i32
+/* 12084 */   MCD_OPC_FilterValue, 3, 179, 9, // Skip to: 14571
+/* 12088 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12091 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12104
+/* 12096 */   MCD_OPC_CheckPredicate, 16, 167, 9, // Skip to: 14571
+/* 12100 */   MCD_OPC_Decode, 197, 12, 101, // Opcode: VQSHLsv2i64
+/* 12104 */   MCD_OPC_FilterValue, 243, 1, 158, 9, // Skip to: 14571
+/* 12109 */   MCD_OPC_CheckPredicate, 16, 154, 9, // Skip to: 14571
+/* 12113 */   MCD_OPC_Decode, 213, 12, 101, // Opcode: VQSHLuv2i64
+/* 12117 */   MCD_OPC_FilterValue, 5, 135, 0, // Skip to: 12256
+/* 12121 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12124 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12157
+/* 12128 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12131 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12144
+/* 12136 */   MCD_OPC_CheckPredicate, 16, 127, 9, // Skip to: 14571
+/* 12140 */   MCD_OPC_Decode, 153, 12, 101, // Opcode: VQRSHLsv16i8
+/* 12144 */   MCD_OPC_FilterValue, 243, 1, 118, 9, // Skip to: 14571
+/* 12149 */   MCD_OPC_CheckPredicate, 16, 114, 9, // Skip to: 14571
+/* 12153 */   MCD_OPC_Decode, 161, 12, 101, // Opcode: VQRSHLuv16i8
+/* 12157 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12190
+/* 12161 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12164 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12177
+/* 12169 */   MCD_OPC_CheckPredicate, 16, 94, 9, // Skip to: 14571
+/* 12173 */   MCD_OPC_Decode, 159, 12, 101, // Opcode: VQRSHLsv8i16
+/* 12177 */   MCD_OPC_FilterValue, 243, 1, 85, 9, // Skip to: 14571
+/* 12182 */   MCD_OPC_CheckPredicate, 16, 81, 9, // Skip to: 14571
+/* 12186 */   MCD_OPC_Decode, 167, 12, 101, // Opcode: VQRSHLuv8i16
+/* 12190 */   MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 12223
+/* 12194 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12197 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12210
+/* 12202 */   MCD_OPC_CheckPredicate, 16, 61, 9, // Skip to: 14571
+/* 12206 */   MCD_OPC_Decode, 158, 12, 101, // Opcode: VQRSHLsv4i32
+/* 12210 */   MCD_OPC_FilterValue, 243, 1, 52, 9, // Skip to: 14571
+/* 12215 */   MCD_OPC_CheckPredicate, 16, 48, 9, // Skip to: 14571
+/* 12219 */   MCD_OPC_Decode, 166, 12, 101, // Opcode: VQRSHLuv4i32
+/* 12223 */   MCD_OPC_FilterValue, 3, 40, 9, // Skip to: 14571
+/* 12227 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12230 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12243
+/* 12235 */   MCD_OPC_CheckPredicate, 16, 28, 9, // Skip to: 14571
+/* 12239 */   MCD_OPC_Decode, 156, 12, 101, // Opcode: VQRSHLsv2i64
+/* 12243 */   MCD_OPC_FilterValue, 243, 1, 19, 9, // Skip to: 14571
+/* 12248 */   MCD_OPC_CheckPredicate, 16, 15, 9, // Skip to: 14571
+/* 12252 */   MCD_OPC_Decode, 164, 12, 101, // Opcode: VQRSHLuv2i64
+/* 12256 */   MCD_OPC_FilterValue, 6, 102, 0, // Skip to: 12362
+/* 12260 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12263 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12296
+/* 12267 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12270 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12283
+/* 12275 */   MCD_OPC_CheckPredicate, 16, 244, 8, // Skip to: 14571
+/* 12279 */   MCD_OPC_Decode, 134, 10, 97, // Opcode: VMINsv16i8
+/* 12283 */   MCD_OPC_FilterValue, 243, 1, 235, 8, // Skip to: 14571
+/* 12288 */   MCD_OPC_CheckPredicate, 16, 231, 8, // Skip to: 14571
+/* 12292 */   MCD_OPC_Decode, 140, 10, 97, // Opcode: VMINuv16i8
+/* 12296 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12329
+/* 12300 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12303 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12316
+/* 12308 */   MCD_OPC_CheckPredicate, 16, 211, 8, // Skip to: 14571
+/* 12312 */   MCD_OPC_Decode, 138, 10, 97, // Opcode: VMINsv8i16
+/* 12316 */   MCD_OPC_FilterValue, 243, 1, 202, 8, // Skip to: 14571
+/* 12321 */   MCD_OPC_CheckPredicate, 16, 198, 8, // Skip to: 14571
+/* 12325 */   MCD_OPC_Decode, 144, 10, 97, // Opcode: VMINuv8i16
+/* 12329 */   MCD_OPC_FilterValue, 2, 190, 8, // Skip to: 14571
+/* 12333 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12336 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12349
+/* 12341 */   MCD_OPC_CheckPredicate, 16, 178, 8, // Skip to: 14571
+/* 12345 */   MCD_OPC_Decode, 137, 10, 97, // Opcode: VMINsv4i32
+/* 12349 */   MCD_OPC_FilterValue, 243, 1, 169, 8, // Skip to: 14571
+/* 12354 */   MCD_OPC_CheckPredicate, 16, 165, 8, // Skip to: 14571
+/* 12358 */   MCD_OPC_Decode, 143, 10, 97, // Opcode: VMINuv4i32
+/* 12362 */   MCD_OPC_FilterValue, 7, 102, 0, // Skip to: 12468
+/* 12366 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12369 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12402
+/* 12373 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12376 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12389
+/* 12381 */   MCD_OPC_CheckPredicate, 16, 138, 8, // Skip to: 14571
+/* 12385 */   MCD_OPC_Decode, 146, 4, 105, // Opcode: VABAsv16i8
+/* 12389 */   MCD_OPC_FilterValue, 243, 1, 129, 8, // Skip to: 14571
+/* 12394 */   MCD_OPC_CheckPredicate, 16, 125, 8, // Skip to: 14571
+/* 12398 */   MCD_OPC_Decode, 152, 4, 105, // Opcode: VABAuv16i8
+/* 12402 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12435
+/* 12406 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12409 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12422
+/* 12414 */   MCD_OPC_CheckPredicate, 16, 105, 8, // Skip to: 14571
+/* 12418 */   MCD_OPC_Decode, 150, 4, 105, // Opcode: VABAsv8i16
+/* 12422 */   MCD_OPC_FilterValue, 243, 1, 96, 8, // Skip to: 14571
+/* 12427 */   MCD_OPC_CheckPredicate, 16, 92, 8, // Skip to: 14571
+/* 12431 */   MCD_OPC_Decode, 156, 4, 105, // Opcode: VABAuv8i16
+/* 12435 */   MCD_OPC_FilterValue, 2, 84, 8, // Skip to: 14571
+/* 12439 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12442 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12455
+/* 12447 */   MCD_OPC_CheckPredicate, 16, 72, 8, // Skip to: 14571
+/* 12451 */   MCD_OPC_Decode, 149, 4, 105, // Opcode: VABAsv4i32
+/* 12455 */   MCD_OPC_FilterValue, 243, 1, 63, 8, // Skip to: 14571
+/* 12460 */   MCD_OPC_CheckPredicate, 16, 59, 8, // Skip to: 14571
+/* 12464 */   MCD_OPC_Decode, 155, 4, 105, // Opcode: VABAuv4i32
+/* 12468 */   MCD_OPC_FilterValue, 8, 102, 0, // Skip to: 12574
+/* 12472 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12475 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12508
+/* 12479 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12482 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12495
+/* 12487 */   MCD_OPC_CheckPredicate, 16, 32, 8, // Skip to: 14571
+/* 12491 */   MCD_OPC_Decode, 203, 17, 97, // Opcode: VTSTv16i8
+/* 12495 */   MCD_OPC_FilterValue, 243, 1, 23, 8, // Skip to: 14571
+/* 12500 */   MCD_OPC_CheckPredicate, 16, 19, 8, // Skip to: 14571
+/* 12504 */   MCD_OPC_Decode, 235, 4, 97, // Opcode: VCEQv16i8
+/* 12508 */   MCD_OPC_FilterValue, 1, 29, 0, // Skip to: 12541
+/* 12512 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12515 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12528
+/* 12520 */   MCD_OPC_CheckPredicate, 16, 255, 7, // Skip to: 14571
+/* 12524 */   MCD_OPC_Decode, 207, 17, 97, // Opcode: VTSTv8i16
+/* 12528 */   MCD_OPC_FilterValue, 243, 1, 246, 7, // Skip to: 14571
+/* 12533 */   MCD_OPC_CheckPredicate, 16, 242, 7, // Skip to: 14571
+/* 12537 */   MCD_OPC_Decode, 239, 4, 97, // Opcode: VCEQv8i16
+/* 12541 */   MCD_OPC_FilterValue, 2, 234, 7, // Skip to: 14571
+/* 12545 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12548 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12561
+/* 12553 */   MCD_OPC_CheckPredicate, 16, 222, 7, // Skip to: 14571
+/* 12557 */   MCD_OPC_Decode, 206, 17, 97, // Opcode: VTSTv4i32
+/* 12561 */   MCD_OPC_FilterValue, 243, 1, 213, 7, // Skip to: 14571
+/* 12566 */   MCD_OPC_CheckPredicate, 16, 209, 7, // Skip to: 14571
+/* 12570 */   MCD_OPC_Decode, 238, 4, 97, // Opcode: VCEQv4i32
+/* 12574 */   MCD_OPC_FilterValue, 9, 74, 0, // Skip to: 12652
+/* 12578 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12581 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12614
+/* 12585 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12588 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12601
+/* 12593 */   MCD_OPC_CheckPredicate, 16, 182, 7, // Skip to: 14571
+/* 12597 */   MCD_OPC_Decode, 138, 11, 97, // Opcode: VMULv16i8
+/* 12601 */   MCD_OPC_FilterValue, 243, 1, 173, 7, // Skip to: 14571
+/* 12606 */   MCD_OPC_CheckPredicate, 16, 169, 7, // Skip to: 14571
+/* 12610 */   MCD_OPC_Decode, 131, 11, 97, // Opcode: VMULpq
+/* 12614 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 12633
+/* 12618 */   MCD_OPC_CheckPredicate, 16, 157, 7, // Skip to: 14571
+/* 12622 */   MCD_OPC_CheckField, 24, 8, 242, 1, 150, 7, // Skip to: 14571
+/* 12629 */   MCD_OPC_Decode, 142, 11, 97, // Opcode: VMULv8i16
+/* 12633 */   MCD_OPC_FilterValue, 2, 142, 7, // Skip to: 14571
+/* 12637 */   MCD_OPC_CheckPredicate, 16, 138, 7, // Skip to: 14571
+/* 12641 */   MCD_OPC_CheckField, 24, 8, 242, 1, 131, 7, // Skip to: 14571
+/* 12648 */   MCD_OPC_Decode, 141, 11, 97, // Opcode: VMULv4i32
+/* 12652 */   MCD_OPC_FilterValue, 12, 41, 0, // Skip to: 12697
+/* 12656 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12659 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12678
+/* 12663 */   MCD_OPC_CheckPredicate, 19, 112, 7, // Skip to: 14571
+/* 12667 */   MCD_OPC_CheckField, 24, 8, 242, 1, 105, 7, // Skip to: 14571
+/* 12674 */   MCD_OPC_Decode, 161, 6, 105, // Opcode: VFMAfq
+/* 12678 */   MCD_OPC_FilterValue, 2, 97, 7, // Skip to: 14571
+/* 12682 */   MCD_OPC_CheckPredicate, 19, 93, 7, // Skip to: 14571
+/* 12686 */   MCD_OPC_CheckField, 24, 8, 242, 1, 86, 7, // Skip to: 14571
+/* 12693 */   MCD_OPC_Decode, 165, 6, 105, // Opcode: VFMSfq
+/* 12697 */   MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 12756
+/* 12701 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12704 */   MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 12737
+/* 12708 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 12711 */   MCD_OPC_FilterValue, 242, 1, 8, 0, // Skip to: 12724
+/* 12716 */   MCD_OPC_CheckPredicate, 16, 59, 7, // Skip to: 14571
+/* 12720 */   MCD_OPC_Decode, 159, 10, 105, // Opcode: VMLAfq
+/* 12724 */   MCD_OPC_FilterValue, 243, 1, 50, 7, // Skip to: 14571
+/* 12729 */   MCD_OPC_CheckPredicate, 16, 46, 7, // Skip to: 14571
+/* 12733 */   MCD_OPC_Decode, 129, 11, 97, // Opcode: VMULfq
+/* 12737 */   MCD_OPC_FilterValue, 2, 38, 7, // Skip to: 14571
+/* 12741 */   MCD_OPC_CheckPredicate, 16, 34, 7, // Skip to: 14571
+/* 12745 */   MCD_OPC_CheckField, 24, 8, 242, 1, 27, 7, // Skip to: 14571
+/* 12752 */   MCD_OPC_Decode, 185, 10, 105, // Opcode: VMLSfq
+/* 12756 */   MCD_OPC_FilterValue, 14, 41, 0, // Skip to: 12801
+/* 12760 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12763 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12782
+/* 12767 */   MCD_OPC_CheckPredicate, 16, 8, 7, // Skip to: 14571
+/* 12771 */   MCD_OPC_CheckField, 24, 8, 243, 1, 1, 7, // Skip to: 14571
+/* 12778 */   MCD_OPC_Decode, 189, 4, 97, // Opcode: VACGEq
+/* 12782 */   MCD_OPC_FilterValue, 2, 249, 6, // Skip to: 14571
+/* 12786 */   MCD_OPC_CheckPredicate, 16, 245, 6, // Skip to: 14571
+/* 12790 */   MCD_OPC_CheckField, 24, 8, 243, 1, 238, 6, // Skip to: 14571
+/* 12797 */   MCD_OPC_Decode, 191, 4, 97, // Opcode: VACGTq
+/* 12801 */   MCD_OPC_FilterValue, 15, 230, 6, // Skip to: 14571
+/* 12805 */   MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
+/* 12808 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12827
+/* 12812 */   MCD_OPC_CheckPredicate, 16, 219, 6, // Skip to: 14571
+/* 12816 */   MCD_OPC_CheckField, 24, 8, 242, 1, 212, 6, // Skip to: 14571
+/* 12823 */   MCD_OPC_Decode, 251, 12, 97, // Opcode: VRECPSfq
+/* 12827 */   MCD_OPC_FilterValue, 2, 204, 6, // Skip to: 14571
+/* 12831 */   MCD_OPC_CheckPredicate, 16, 200, 6, // Skip to: 14571
+/* 12835 */   MCD_OPC_CheckField, 24, 8, 242, 1, 193, 6, // Skip to: 14571
+/* 12842 */   MCD_OPC_Decode, 214, 13, 97, // Opcode: VRSQRTSfq
+/* 12846 */   MCD_OPC_FilterValue, 1, 185, 6, // Skip to: 14571
+/* 12850 */   MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 12853 */   MCD_OPC_FilterValue, 0, 177, 5, // Skip to: 14314
+/* 12857 */   MCD_OPC_ExtractField, 25, 7,  // Inst{31-25} ...
+/* 12860 */   MCD_OPC_FilterValue, 121, 171, 6, // Skip to: 14571
+/* 12864 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 12867 */   MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 12992
+/* 12871 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 12874 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 12959
+/* 12878 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 12881 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 12926
+/* 12885 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 12888 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12907
+/* 12892 */   MCD_OPC_CheckPredicate, 16, 229, 4, // Skip to: 14149
+/* 12896 */   MCD_OPC_CheckField, 19, 1, 1, 223, 4, // Skip to: 14149
+/* 12902 */   MCD_OPC_Decode, 153, 14, 165, 1, // Opcode: VSHRsv16i8
+/* 12907 */   MCD_OPC_FilterValue, 1, 214, 4, // Skip to: 14149
+/* 12911 */   MCD_OPC_CheckPredicate, 16, 210, 4, // Skip to: 14149
+/* 12915 */   MCD_OPC_CheckField, 19, 1, 1, 204, 4, // Skip to: 14149
+/* 12921 */   MCD_OPC_Decode, 161, 14, 165, 1, // Opcode: VSHRuv16i8
+/* 12926 */   MCD_OPC_FilterValue, 1, 195, 4, // Skip to: 14149
+/* 12930 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 12933 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 12946
+/* 12937 */   MCD_OPC_CheckPredicate, 16, 184, 4, // Skip to: 14149
+/* 12941 */   MCD_OPC_Decode, 159, 14, 166, 1, // Opcode: VSHRsv8i16
+/* 12946 */   MCD_OPC_FilterValue, 1, 175, 4, // Skip to: 14149
+/* 12950 */   MCD_OPC_CheckPredicate, 16, 171, 4, // Skip to: 14149
+/* 12954 */   MCD_OPC_Decode, 167, 14, 166, 1, // Opcode: VSHRuv8i16
+/* 12959 */   MCD_OPC_FilterValue, 1, 162, 4, // Skip to: 14149
+/* 12963 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 12966 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 12979
+/* 12970 */   MCD_OPC_CheckPredicate, 16, 151, 4, // Skip to: 14149
+/* 12974 */   MCD_OPC_Decode, 158, 14, 167, 1, // Opcode: VSHRsv4i32
+/* 12979 */   MCD_OPC_FilterValue, 1, 142, 4, // Skip to: 14149
+/* 12983 */   MCD_OPC_CheckPredicate, 16, 138, 4, // Skip to: 14149
+/* 12987 */   MCD_OPC_Decode, 166, 14, 167, 1, // Opcode: VSHRuv4i32
+/* 12992 */   MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 13117
+/* 12996 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 12999 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13084
+/* 13003 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13006 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13051
+/* 13010 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13013 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13032
+/* 13017 */   MCD_OPC_CheckPredicate, 16, 104, 4, // Skip to: 14149
+/* 13021 */   MCD_OPC_CheckField, 19, 1, 1, 98, 4, // Skip to: 14149
+/* 13027 */   MCD_OPC_Decode, 185, 14, 168, 1, // Opcode: VSRAsv16i8
+/* 13032 */   MCD_OPC_FilterValue, 1, 89, 4, // Skip to: 14149
+/* 13036 */   MCD_OPC_CheckPredicate, 16, 85, 4, // Skip to: 14149
+/* 13040 */   MCD_OPC_CheckField, 19, 1, 1, 79, 4, // Skip to: 14149
+/* 13046 */   MCD_OPC_Decode, 193, 14, 168, 1, // Opcode: VSRAuv16i8
+/* 13051 */   MCD_OPC_FilterValue, 1, 70, 4, // Skip to: 14149
+/* 13055 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13058 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13071
+/* 13062 */   MCD_OPC_CheckPredicate, 16, 59, 4, // Skip to: 14149
+/* 13066 */   MCD_OPC_Decode, 191, 14, 169, 1, // Opcode: VSRAsv8i16
+/* 13071 */   MCD_OPC_FilterValue, 1, 50, 4, // Skip to: 14149
+/* 13075 */   MCD_OPC_CheckPredicate, 16, 46, 4, // Skip to: 14149
+/* 13079 */   MCD_OPC_Decode, 199, 14, 169, 1, // Opcode: VSRAuv8i16
+/* 13084 */   MCD_OPC_FilterValue, 1, 37, 4, // Skip to: 14149
+/* 13088 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13091 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13104
+/* 13095 */   MCD_OPC_CheckPredicate, 16, 26, 4, // Skip to: 14149
+/* 13099 */   MCD_OPC_Decode, 190, 14, 170, 1, // Opcode: VSRAsv4i32
+/* 13104 */   MCD_OPC_FilterValue, 1, 17, 4, // Skip to: 14149
+/* 13108 */   MCD_OPC_CheckPredicate, 16, 13, 4, // Skip to: 14149
+/* 13112 */   MCD_OPC_Decode, 198, 14, 170, 1, // Opcode: VSRAuv4i32
+/* 13117 */   MCD_OPC_FilterValue, 2, 121, 0, // Skip to: 13242
+/* 13121 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13124 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13209
+/* 13128 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13131 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13176
+/* 13135 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13138 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13157
+/* 13142 */   MCD_OPC_CheckPredicate, 16, 235, 3, // Skip to: 14149
+/* 13146 */   MCD_OPC_CheckField, 19, 1, 1, 229, 3, // Skip to: 14149
+/* 13152 */   MCD_OPC_Decode, 193, 13, 165, 1, // Opcode: VRSHRsv16i8
+/* 13157 */   MCD_OPC_FilterValue, 1, 220, 3, // Skip to: 14149
+/* 13161 */   MCD_OPC_CheckPredicate, 16, 216, 3, // Skip to: 14149
+/* 13165 */   MCD_OPC_CheckField, 19, 1, 1, 210, 3, // Skip to: 14149
+/* 13171 */   MCD_OPC_Decode, 201, 13, 165, 1, // Opcode: VRSHRuv16i8
+/* 13176 */   MCD_OPC_FilterValue, 1, 201, 3, // Skip to: 14149
+/* 13180 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13183 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13196
+/* 13187 */   MCD_OPC_CheckPredicate, 16, 190, 3, // Skip to: 14149
+/* 13191 */   MCD_OPC_Decode, 199, 13, 166, 1, // Opcode: VRSHRsv8i16
+/* 13196 */   MCD_OPC_FilterValue, 1, 181, 3, // Skip to: 14149
+/* 13200 */   MCD_OPC_CheckPredicate, 16, 177, 3, // Skip to: 14149
+/* 13204 */   MCD_OPC_Decode, 207, 13, 166, 1, // Opcode: VRSHRuv8i16
+/* 13209 */   MCD_OPC_FilterValue, 1, 168, 3, // Skip to: 14149
+/* 13213 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13216 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13229
+/* 13220 */   MCD_OPC_CheckPredicate, 16, 157, 3, // Skip to: 14149
+/* 13224 */   MCD_OPC_Decode, 198, 13, 167, 1, // Opcode: VRSHRsv4i32
+/* 13229 */   MCD_OPC_FilterValue, 1, 148, 3, // Skip to: 14149
+/* 13233 */   MCD_OPC_CheckPredicate, 16, 144, 3, // Skip to: 14149
+/* 13237 */   MCD_OPC_Decode, 206, 13, 167, 1, // Opcode: VRSHRuv4i32
+/* 13242 */   MCD_OPC_FilterValue, 3, 121, 0, // Skip to: 13367
+/* 13246 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13249 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13334
+/* 13253 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13256 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13301
+/* 13260 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13263 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13282
+/* 13267 */   MCD_OPC_CheckPredicate, 16, 110, 3, // Skip to: 14149
+/* 13271 */   MCD_OPC_CheckField, 19, 1, 1, 104, 3, // Skip to: 14149
+/* 13277 */   MCD_OPC_Decode, 215, 13, 168, 1, // Opcode: VRSRAsv16i8
+/* 13282 */   MCD_OPC_FilterValue, 1, 95, 3, // Skip to: 14149
+/* 13286 */   MCD_OPC_CheckPredicate, 16, 91, 3, // Skip to: 14149
+/* 13290 */   MCD_OPC_CheckField, 19, 1, 1, 85, 3, // Skip to: 14149
+/* 13296 */   MCD_OPC_Decode, 223, 13, 168, 1, // Opcode: VRSRAuv16i8
+/* 13301 */   MCD_OPC_FilterValue, 1, 76, 3, // Skip to: 14149
+/* 13305 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13308 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13321
+/* 13312 */   MCD_OPC_CheckPredicate, 16, 65, 3, // Skip to: 14149
+/* 13316 */   MCD_OPC_Decode, 221, 13, 169, 1, // Opcode: VRSRAsv8i16
+/* 13321 */   MCD_OPC_FilterValue, 1, 56, 3, // Skip to: 14149
+/* 13325 */   MCD_OPC_CheckPredicate, 16, 52, 3, // Skip to: 14149
+/* 13329 */   MCD_OPC_Decode, 229, 13, 169, 1, // Opcode: VRSRAuv8i16
+/* 13334 */   MCD_OPC_FilterValue, 1, 43, 3, // Skip to: 14149
+/* 13338 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13341 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13354
+/* 13345 */   MCD_OPC_CheckPredicate, 16, 32, 3, // Skip to: 14149
+/* 13349 */   MCD_OPC_Decode, 220, 13, 170, 1, // Opcode: VRSRAsv4i32
+/* 13354 */   MCD_OPC_FilterValue, 1, 23, 3, // Skip to: 14149
+/* 13358 */   MCD_OPC_CheckPredicate, 16, 19, 3, // Skip to: 14149
+/* 13362 */   MCD_OPC_Decode, 228, 13, 170, 1, // Opcode: VRSRAuv4i32
+/* 13367 */   MCD_OPC_FilterValue, 4, 73, 0, // Skip to: 13444
+/* 13371 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13374 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 13425
+/* 13378 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13381 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 13406
+/* 13385 */   MCD_OPC_CheckPredicate, 16, 248, 2, // Skip to: 14149
+/* 13389 */   MCD_OPC_CheckField, 24, 1, 1, 242, 2, // Skip to: 14149
+/* 13395 */   MCD_OPC_CheckField, 19, 1, 1, 236, 2, // Skip to: 14149
+/* 13401 */   MCD_OPC_Decode, 201, 14, 168, 1, // Opcode: VSRIv16i8
+/* 13406 */   MCD_OPC_FilterValue, 1, 227, 2, // Skip to: 14149
+/* 13410 */   MCD_OPC_CheckPredicate, 16, 223, 2, // Skip to: 14149
+/* 13414 */   MCD_OPC_CheckField, 24, 1, 1, 217, 2, // Skip to: 14149
+/* 13420 */   MCD_OPC_Decode, 207, 14, 169, 1, // Opcode: VSRIv8i16
+/* 13425 */   MCD_OPC_FilterValue, 1, 208, 2, // Skip to: 14149
+/* 13429 */   MCD_OPC_CheckPredicate, 16, 204, 2, // Skip to: 14149
+/* 13433 */   MCD_OPC_CheckField, 24, 1, 1, 198, 2, // Skip to: 14149
+/* 13439 */   MCD_OPC_Decode, 206, 14, 170, 1, // Opcode: VSRIv4i32
+/* 13444 */   MCD_OPC_FilterValue, 5, 121, 0, // Skip to: 13569
+/* 13448 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13451 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13536
+/* 13455 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13458 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13503
+/* 13462 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13465 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13484
+/* 13469 */   MCD_OPC_CheckPredicate, 16, 164, 2, // Skip to: 14149
+/* 13473 */   MCD_OPC_CheckField, 19, 1, 1, 158, 2, // Skip to: 14149
+/* 13479 */   MCD_OPC_Decode, 254, 13, 171, 1, // Opcode: VSHLiv16i8
+/* 13484 */   MCD_OPC_FilterValue, 1, 149, 2, // Skip to: 14149
+/* 13488 */   MCD_OPC_CheckPredicate, 16, 145, 2, // Skip to: 14149
+/* 13492 */   MCD_OPC_CheckField, 19, 1, 1, 139, 2, // Skip to: 14149
+/* 13498 */   MCD_OPC_Decode, 173, 14, 172, 1, // Opcode: VSLIv16i8
+/* 13503 */   MCD_OPC_FilterValue, 1, 130, 2, // Skip to: 14149
+/* 13507 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13510 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13523
+/* 13514 */   MCD_OPC_CheckPredicate, 16, 119, 2, // Skip to: 14149
+/* 13518 */   MCD_OPC_Decode, 132, 14, 173, 1, // Opcode: VSHLiv8i16
+/* 13523 */   MCD_OPC_FilterValue, 1, 110, 2, // Skip to: 14149
+/* 13527 */   MCD_OPC_CheckPredicate, 16, 106, 2, // Skip to: 14149
+/* 13531 */   MCD_OPC_Decode, 179, 14, 174, 1, // Opcode: VSLIv8i16
+/* 13536 */   MCD_OPC_FilterValue, 1, 97, 2, // Skip to: 14149
+/* 13540 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13543 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13556
+/* 13547 */   MCD_OPC_CheckPredicate, 16, 86, 2, // Skip to: 14149
+/* 13551 */   MCD_OPC_Decode, 131, 14, 175, 1, // Opcode: VSHLiv4i32
+/* 13556 */   MCD_OPC_FilterValue, 1, 77, 2, // Skip to: 14149
+/* 13560 */   MCD_OPC_CheckPredicate, 16, 73, 2, // Skip to: 14149
+/* 13564 */   MCD_OPC_Decode, 178, 14, 176, 1, // Opcode: VSLIv4i32
+/* 13569 */   MCD_OPC_FilterValue, 6, 73, 0, // Skip to: 13646
+/* 13573 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13576 */   MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 13627
+/* 13580 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13583 */   MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 13608
+/* 13587 */   MCD_OPC_CheckPredicate, 16, 46, 2, // Skip to: 14149
+/* 13591 */   MCD_OPC_CheckField, 24, 1, 1, 40, 2, // Skip to: 14149
+/* 13597 */   MCD_OPC_CheckField, 19, 1, 1, 34, 2, // Skip to: 14149
+/* 13603 */   MCD_OPC_Decode, 186, 12, 171, 1, // Opcode: VQSHLsuv16i8
+/* 13608 */   MCD_OPC_FilterValue, 1, 25, 2, // Skip to: 14149
+/* 13612 */   MCD_OPC_CheckPredicate, 16, 21, 2, // Skip to: 14149
+/* 13616 */   MCD_OPC_CheckField, 24, 1, 1, 15, 2, // Skip to: 14149
+/* 13622 */   MCD_OPC_Decode, 192, 12, 173, 1, // Opcode: VQSHLsuv8i16
+/* 13627 */   MCD_OPC_FilterValue, 1, 6, 2, // Skip to: 14149
+/* 13631 */   MCD_OPC_CheckPredicate, 16, 2, 2, // Skip to: 14149
+/* 13635 */   MCD_OPC_CheckField, 24, 1, 1, 252, 1, // Skip to: 14149
+/* 13641 */   MCD_OPC_Decode, 191, 12, 175, 1, // Opcode: VQSHLsuv4i32
+/* 13646 */   MCD_OPC_FilterValue, 7, 121, 0, // Skip to: 13771
+/* 13650 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13653 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13738
+/* 13657 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13660 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13705
+/* 13664 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13667 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13686
+/* 13671 */   MCD_OPC_CheckPredicate, 16, 218, 1, // Skip to: 14149
+/* 13675 */   MCD_OPC_CheckField, 19, 1, 1, 212, 1, // Skip to: 14149
+/* 13681 */   MCD_OPC_Decode, 178, 12, 171, 1, // Opcode: VQSHLsiv16i8
+/* 13686 */   MCD_OPC_FilterValue, 1, 203, 1, // Skip to: 14149
+/* 13690 */   MCD_OPC_CheckPredicate, 16, 199, 1, // Skip to: 14149
+/* 13694 */   MCD_OPC_CheckField, 19, 1, 1, 193, 1, // Skip to: 14149
+/* 13700 */   MCD_OPC_Decode, 202, 12, 171, 1, // Opcode: VQSHLuiv16i8
+/* 13705 */   MCD_OPC_FilterValue, 1, 184, 1, // Skip to: 14149
+/* 13709 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13712 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13725
+/* 13716 */   MCD_OPC_CheckPredicate, 16, 173, 1, // Skip to: 14149
+/* 13720 */   MCD_OPC_Decode, 184, 12, 173, 1, // Opcode: VQSHLsiv8i16
+/* 13725 */   MCD_OPC_FilterValue, 1, 164, 1, // Skip to: 14149
+/* 13729 */   MCD_OPC_CheckPredicate, 16, 160, 1, // Skip to: 14149
+/* 13733 */   MCD_OPC_Decode, 208, 12, 173, 1, // Opcode: VQSHLuiv8i16
+/* 13738 */   MCD_OPC_FilterValue, 1, 151, 1, // Skip to: 14149
+/* 13742 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13745 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13758
+/* 13749 */   MCD_OPC_CheckPredicate, 16, 140, 1, // Skip to: 14149
+/* 13753 */   MCD_OPC_Decode, 183, 12, 175, 1, // Opcode: VQSHLsiv4i32
+/* 13758 */   MCD_OPC_FilterValue, 1, 131, 1, // Skip to: 14149
+/* 13762 */   MCD_OPC_CheckPredicate, 16, 127, 1, // Skip to: 14149
+/* 13766 */   MCD_OPC_Decode, 207, 12, 175, 1, // Opcode: VQSHLuiv4i32
+/* 13771 */   MCD_OPC_FilterValue, 8, 121, 0, // Skip to: 13896
+/* 13775 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13778 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13863
+/* 13782 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13785 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13830
+/* 13789 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13792 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13811
+/* 13796 */   MCD_OPC_CheckPredicate, 16, 93, 1, // Skip to: 14149
+/* 13800 */   MCD_OPC_CheckField, 19, 1, 1, 87, 1, // Skip to: 14149
+/* 13806 */   MCD_OPC_Decode, 192, 13, 153, 1, // Opcode: VRSHRNv8i8
+/* 13811 */   MCD_OPC_FilterValue, 1, 78, 1, // Skip to: 14149
+/* 13815 */   MCD_OPC_CheckPredicate, 16, 74, 1, // Skip to: 14149
+/* 13819 */   MCD_OPC_CheckField, 19, 1, 1, 68, 1, // Skip to: 14149
+/* 13825 */   MCD_OPC_Decode, 177, 12, 153, 1, // Opcode: VQRSHRUNv8i8
+/* 13830 */   MCD_OPC_FilterValue, 1, 59, 1, // Skip to: 14149
+/* 13834 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13837 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13850
+/* 13841 */   MCD_OPC_CheckPredicate, 16, 48, 1, // Skip to: 14149
+/* 13845 */   MCD_OPC_Decode, 191, 13, 154, 1, // Opcode: VRSHRNv4i16
+/* 13850 */   MCD_OPC_FilterValue, 1, 39, 1, // Skip to: 14149
+/* 13854 */   MCD_OPC_CheckPredicate, 16, 35, 1, // Skip to: 14149
+/* 13858 */   MCD_OPC_Decode, 176, 12, 154, 1, // Opcode: VQRSHRUNv4i16
+/* 13863 */   MCD_OPC_FilterValue, 1, 26, 1, // Skip to: 14149
+/* 13867 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13870 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13883
+/* 13874 */   MCD_OPC_CheckPredicate, 16, 15, 1, // Skip to: 14149
+/* 13878 */   MCD_OPC_Decode, 190, 13, 155, 1, // Opcode: VRSHRNv2i32
+/* 13883 */   MCD_OPC_FilterValue, 1, 6, 1, // Skip to: 14149
+/* 13887 */   MCD_OPC_CheckPredicate, 16, 2, 1, // Skip to: 14149
+/* 13891 */   MCD_OPC_Decode, 175, 12, 155, 1, // Opcode: VQRSHRUNv2i32
+/* 13896 */   MCD_OPC_FilterValue, 9, 121, 0, // Skip to: 14021
+/* 13900 */   MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 13903 */   MCD_OPC_FilterValue, 0, 81, 0, // Skip to: 13988
+/* 13907 */   MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 13910 */   MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 13955
+/* 13914 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13917 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13936
+/* 13921 */   MCD_OPC_CheckPredicate, 16, 224, 0, // Skip to: 14149
+/* 13925 */   MCD_OPC_CheckField, 19, 1, 1, 218, 0, // Skip to: 14149
+/* 13931 */   MCD_OPC_Decode, 171, 12, 153, 1, // Opcode: VQRSHRNsv8i8
+/* 13936 */   MCD_OPC_FilterValue, 1, 209, 0, // Skip to: 14149
+/* 13940 */   MCD_OPC_CheckPredicate, 16, 205, 0, // Skip to: 14149
+/* 13944 */   MCD_OPC_CheckField, 19, 1, 1, 199, 0, // Skip to: 14149
+/* 13950 */   MCD_OPC_Decode, 174, 12, 153, 1, // Opcode: VQRSHRNuv8i8
+/* 13955 */   MCD_OPC_FilterValue, 1, 190, 0, // Skip to: 14149
+/* 13959 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13962 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 13975
+/* 13966 */   MCD_OPC_CheckPredicate, 16, 179, 0, // Skip to: 14149
+/* 13970 */   MCD_OPC_Decode, 170, 12, 154, 1, // Opcode: VQRSHRNsv4i16
+/* 13975 */   MCD_OPC_FilterValue, 1, 170, 0, // Skip to: 14149
+/* 13979 */   MCD_OPC_CheckPredicate, 16, 166, 0, // Skip to: 14149
+/* 13983 */   MCD_OPC_Decode, 173, 12, 154, 1, // Opcode: VQRSHRNuv4i16
+/* 13988 */   MCD_OPC_FilterValue, 1, 157, 0, // Skip to: 14149
+/* 13992 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 13995 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14008
+/* 13999 */   MCD_OPC_CheckPredicate, 16, 146, 0, // Skip to: 14149
+/* 14003 */   MCD_OPC_Decode, 169, 12, 155, 1, // Opcode: VQRSHRNsv2i32
+/* 14008 */   MCD_OPC_FilterValue, 1, 137, 0, // Skip to: 14149
+/* 14012 */   MCD_OPC_CheckPredicate, 16, 133, 0, // Skip to: 14149
+/* 14016 */   MCD_OPC_Decode, 172, 12, 155, 1, // Opcode: VQRSHRNuv2i32
+/* 14021 */   MCD_OPC_FilterValue, 14, 70, 0, // Skip to: 14095
+/* 14025 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 14028 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14047
+/* 14032 */   MCD_OPC_CheckPredicate, 16, 30, 0, // Skip to: 14066
+/* 14036 */   MCD_OPC_CheckField, 19, 3, 0, 24, 0, // Skip to: 14066
+/* 14042 */   MCD_OPC_Decode, 219, 10, 159, 1, // Opcode: VMOVv16i8
+/* 14047 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14066
+/* 14051 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 14066
+/* 14055 */   MCD_OPC_CheckField, 19, 3, 0, 5, 0, // Skip to: 14066
+/* 14061 */   MCD_OPC_Decode, 223, 10, 159, 1, // Opcode: VMOVv2i64
+/* 14066 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 14069 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14082
+/* 14073 */   MCD_OPC_CheckPredicate, 16, 72, 0, // Skip to: 14149
+/* 14077 */   MCD_OPC_Decode, 132, 6, 177, 1, // Opcode: VCVTxs2fq
+/* 14082 */   MCD_OPC_FilterValue, 1, 63, 0, // Skip to: 14149
+/* 14086 */   MCD_OPC_CheckPredicate, 16, 59, 0, // Skip to: 14149
+/* 14090 */   MCD_OPC_Decode, 134, 6, 177, 1, // Opcode: VCVTxu2fq
+/* 14095 */   MCD_OPC_FilterValue, 15, 50, 0, // Skip to: 14149
+/* 14099 */   MCD_OPC_ExtractField, 24, 1,  // Inst{24} ...
+/* 14102 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14115
+/* 14106 */   MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 14128
+/* 14110 */   MCD_OPC_Decode, 251, 5, 177, 1, // Opcode: VCVTf2xsq
+/* 14115 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 14128
+/* 14119 */   MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 14128
+/* 14123 */   MCD_OPC_Decode, 253, 5, 177, 1, // Opcode: VCVTf2xuq
+/* 14128 */   MCD_OPC_CheckPredicate, 16, 17, 0, // Skip to: 14149
+/* 14132 */   MCD_OPC_CheckField, 19, 3, 0, 11, 0, // Skip to: 14149
+/* 14138 */   MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 14149
+/* 14144 */   MCD_OPC_Decode, 224, 10, 159, 1, // Opcode: VMOVv4f32
+/* 14149 */   MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 14152 */   MCD_OPC_FilterValue, 0, 77, 0, // Skip to: 14233
+/* 14156 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
+/* 14159 */   MCD_OPC_FilterValue, 0, 152, 1, // Skip to: 14571
+/* 14163 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 14166 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14185
+/* 14170 */   MCD_OPC_CheckPredicate, 16, 50, 0, // Skip to: 14224
+/* 14174 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 14224
+/* 14180 */   MCD_OPC_Decode, 227, 10, 159, 1, // Opcode: VMOVv8i16
+/* 14185 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 14224
+/* 14189 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
+/* 14192 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14205
+/* 14196 */   MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 14224
+/* 14200 */   MCD_OPC_Decode, 171, 11, 159, 1, // Opcode: VORRiv4i32
+/* 14205 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14224
+/* 14209 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 14224
+/* 14213 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 14224
+/* 14219 */   MCD_OPC_Decode, 172, 11, 159, 1, // Opcode: VORRiv8i16
+/* 14224 */   MCD_OPC_CheckPredicate, 16, 87, 1, // Skip to: 14571
+/* 14228 */   MCD_OPC_Decode, 226, 10, 159, 1, // Opcode: VMOVv4i32
+/* 14233 */   MCD_OPC_FilterValue, 1, 78, 1, // Skip to: 14571
+/* 14237 */   MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
+/* 14240 */   MCD_OPC_FilterValue, 0, 71, 1, // Skip to: 14571
+/* 14244 */   MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 14247 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 14266
+/* 14251 */   MCD_OPC_CheckPredicate, 16, 50, 0, // Skip to: 14305
+/* 14255 */   MCD_OPC_CheckField, 10, 2, 2, 44, 0, // Skip to: 14305
+/* 14261 */   MCD_OPC_Decode, 149, 11, 159, 1, // Opcode: VMVNv8i16
+/* 14266 */   MCD_OPC_FilterValue, 1, 35, 0, // Skip to: 14305
+/* 14270 */   MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
+/* 14273 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 14286
+/* 14277 */   MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 14305
+/* 14281 */   MCD_OPC_Decode, 224, 4, 159, 1, // Opcode: VBICiv4i32
+/* 14286 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 14305
+/* 14290 */   MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 14305
+/* 14294 */   MCD_OPC_CheckField, 10, 1, 0, 5, 0, // Skip to: 14305
+/* 14300 */   MCD_OPC_Decode, 225, 4, 159, 1, // Opcode: VBICiv8i16
+/* 14305 */   MCD_OPC_CheckPredicate, 16, 6, 1, // Skip to: 14571
+/* 14309 */   MCD_OPC_Decode, 148, 11, 159, 1, // Opcode: VMVNv4i32
+/* 14314 */   MCD_OPC_FilterValue, 1, 253, 0, // Skip to: 14571
+/* 14318 */   MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
+/* 14321 */   MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 14356
+/* 14325 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14328 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14342
+/* 14333 */   MCD_OPC_CheckPredicate, 16, 234, 0, // Skip to: 14571
+/* 14337 */   MCD_OPC_Decode, 156, 14, 178, 1, // Opcode: VSHRsv2i64
+/* 14342 */   MCD_OPC_FilterValue, 243, 1, 224, 0, // Skip to: 14571
+/* 14347 */   MCD_OPC_CheckPredicate, 16, 220, 0, // Skip to: 14571
+/* 14351 */   MCD_OPC_Decode, 164, 14, 178, 1, // Opcode: VSHRuv2i64
+/* 14356 */   MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 14391
+/* 14360 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14363 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14377
+/* 14368 */   MCD_OPC_CheckPredicate, 16, 199, 0, // Skip to: 14571
+/* 14372 */   MCD_OPC_Decode, 188, 14, 179, 1, // Opcode: VSRAsv2i64
+/* 14377 */   MCD_OPC_FilterValue, 243, 1, 189, 0, // Skip to: 14571
+/* 14382 */   MCD_OPC_CheckPredicate, 16, 185, 0, // Skip to: 14571
+/* 14386 */   MCD_OPC_Decode, 196, 14, 179, 1, // Opcode: VSRAuv2i64
+/* 14391 */   MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 14426
+/* 14395 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14398 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14412
+/* 14403 */   MCD_OPC_CheckPredicate, 16, 164, 0, // Skip to: 14571
+/* 14407 */   MCD_OPC_Decode, 196, 13, 178, 1, // Opcode: VRSHRsv2i64
+/* 14412 */   MCD_OPC_FilterValue, 243, 1, 154, 0, // Skip to: 14571
+/* 14417 */   MCD_OPC_CheckPredicate, 16, 150, 0, // Skip to: 14571
+/* 14421 */   MCD_OPC_Decode, 204, 13, 178, 1, // Opcode: VRSHRuv2i64
+/* 14426 */   MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 14461
+/* 14430 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14433 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14447
+/* 14438 */   MCD_OPC_CheckPredicate, 16, 129, 0, // Skip to: 14571
+/* 14442 */   MCD_OPC_Decode, 218, 13, 179, 1, // Opcode: VRSRAsv2i64
+/* 14447 */   MCD_OPC_FilterValue, 243, 1, 119, 0, // Skip to: 14571
+/* 14452 */   MCD_OPC_CheckPredicate, 16, 115, 0, // Skip to: 14571
+/* 14456 */   MCD_OPC_Decode, 226, 13, 179, 1, // Opcode: VRSRAuv2i64
+/* 14461 */   MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 14481
+/* 14465 */   MCD_OPC_CheckPredicate, 16, 102, 0, // Skip to: 14571
+/* 14469 */   MCD_OPC_CheckField, 24, 8, 243, 1, 95, 0, // Skip to: 14571
+/* 14476 */   MCD_OPC_Decode, 204, 14, 179, 1, // Opcode: VSRIv2i64
+/* 14481 */   MCD_OPC_FilterValue, 5, 31, 0, // Skip to: 14516
+/* 14485 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14488 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14502
+/* 14493 */   MCD_OPC_CheckPredicate, 16, 74, 0, // Skip to: 14571
+/* 14497 */   MCD_OPC_Decode, 129, 14, 180, 1, // Opcode: VSHLiv2i64
+/* 14502 */   MCD_OPC_FilterValue, 243, 1, 64, 0, // Skip to: 14571
+/* 14507 */   MCD_OPC_CheckPredicate, 16, 60, 0, // Skip to: 14571
+/* 14511 */   MCD_OPC_Decode, 176, 14, 181, 1, // Opcode: VSLIv2i64
+/* 14516 */   MCD_OPC_FilterValue, 6, 16, 0, // Skip to: 14536
+/* 14520 */   MCD_OPC_CheckPredicate, 16, 47, 0, // Skip to: 14571
+/* 14524 */   MCD_OPC_CheckField, 24, 8, 243, 1, 40, 0, // Skip to: 14571
+/* 14531 */   MCD_OPC_Decode, 189, 12, 180, 1, // Opcode: VQSHLsuv2i64
+/* 14536 */   MCD_OPC_FilterValue, 7, 31, 0, // Skip to: 14571
+/* 14540 */   MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
+/* 14543 */   MCD_OPC_FilterValue, 242, 1, 9, 0, // Skip to: 14557
+/* 14548 */   MCD_OPC_CheckPredicate, 16, 19, 0, // Skip to: 14571
+/* 14552 */   MCD_OPC_Decode, 181, 12, 180, 1, // Opcode: VQSHLsiv2i64
+/* 14557 */   MCD_OPC_FilterValue, 243, 1, 9, 0, // Skip to: 14571
+/* 14562 */   MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 14571
+/* 14566 */   MCD_OPC_Decode, 205, 12, 180, 1, // Opcode: VQSHLuiv2i64
+/* 14571 */   MCD_OPC_Fail,
   0
 };
 
@@ -5420,88 +5443,88 @@ static const uint8_t DecoderTableNEONDup
 /* 10 */      MCD_OPC_FilterValue, 16, 53, 0, // Skip to: 67
 /* 14 */      MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 17 */      MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 42
-/* 21 */      MCD_OPC_CheckPredicate, 15, 124, 1, // Skip to: 405
+/* 21 */      MCD_OPC_CheckPredicate, 20, 124, 1, // Skip to: 405
 /* 25 */      MCD_OPC_CheckField, 8, 4, 11, 118, 1, // Skip to: 405
 /* 31 */      MCD_OPC_CheckField, 6, 1, 0, 112, 1, // Skip to: 405
-/* 37 */      MCD_OPC_Decode, 236, 13, 180, 1, // Opcode: VSETLNi32
+/* 37 */      MCD_OPC_Decode, 243, 13, 182, 1, // Opcode: VSETLNi32
 /* 42 */      MCD_OPC_FilterValue, 1, 103, 1, // Skip to: 405
-/* 46 */      MCD_OPC_CheckPredicate, 15, 99, 1, // Skip to: 405
+/* 46 */      MCD_OPC_CheckPredicate, 20, 99, 1, // Skip to: 405
 /* 50 */      MCD_OPC_CheckField, 8, 4, 11, 93, 1, // Skip to: 405
 /* 56 */      MCD_OPC_CheckField, 6, 1, 0, 87, 1, // Skip to: 405
-/* 62 */      MCD_OPC_Decode, 163, 6, 181, 1, // Opcode: VGETLNi32
+/* 62 */      MCD_OPC_Decode, 170, 6, 183, 1, // Opcode: VGETLNi32
 /* 67 */      MCD_OPC_FilterValue, 48, 78, 1, // Skip to: 405
 /* 71 */      MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 74 */      MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 93
-/* 78 */      MCD_OPC_CheckPredicate, 15, 67, 1, // Skip to: 405
+/* 78 */      MCD_OPC_CheckPredicate, 16, 67, 1, // Skip to: 405
 /* 82 */      MCD_OPC_CheckField, 8, 4, 11, 61, 1, // Skip to: 405
-/* 88 */      MCD_OPC_Decode, 235, 13, 182, 1, // Opcode: VSETLNi16
+/* 88 */      MCD_OPC_Decode, 242, 13, 184, 1, // Opcode: VSETLNi16
 /* 93 */      MCD_OPC_FilterValue, 1, 52, 1, // Skip to: 405
-/* 97 */      MCD_OPC_CheckPredicate, 15, 48, 1, // Skip to: 405
+/* 97 */      MCD_OPC_CheckPredicate, 16, 48, 1, // Skip to: 405
 /* 101 */     MCD_OPC_CheckField, 8, 4, 11, 42, 1, // Skip to: 405
-/* 107 */     MCD_OPC_Decode, 164, 6, 183, 1, // Opcode: VGETLNs16
+/* 107 */     MCD_OPC_Decode, 171, 6, 185, 1, // Opcode: VGETLNs16
 /* 112 */     MCD_OPC_FilterValue, 57, 53, 0, // Skip to: 169
 /* 116 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 119 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 144
-/* 123 */     MCD_OPC_CheckPredicate, 15, 22, 1, // Skip to: 405
+/* 123 */     MCD_OPC_CheckPredicate, 16, 22, 1, // Skip to: 405
 /* 127 */     MCD_OPC_CheckField, 8, 4, 11, 16, 1, // Skip to: 405
 /* 133 */     MCD_OPC_CheckField, 0, 5, 16, 10, 1, // Skip to: 405
-/* 139 */     MCD_OPC_Decode, 237, 13, 184, 1, // Opcode: VSETLNi8
+/* 139 */     MCD_OPC_Decode, 244, 13, 186, 1, // Opcode: VSETLNi8
 /* 144 */     MCD_OPC_FilterValue, 1, 1, 1, // Skip to: 405
-/* 148 */     MCD_OPC_CheckPredicate, 15, 253, 0, // Skip to: 405
+/* 148 */     MCD_OPC_CheckPredicate, 16, 253, 0, // Skip to: 405
 /* 152 */     MCD_OPC_CheckField, 8, 4, 11, 247, 0, // Skip to: 405
 /* 158 */     MCD_OPC_CheckField, 0, 5, 16, 241, 0, // Skip to: 405
-/* 164 */     MCD_OPC_Decode, 165, 6, 185, 1, // Opcode: VGETLNs8
+/* 164 */     MCD_OPC_Decode, 172, 6, 187, 1, // Opcode: VGETLNs8
 /* 169 */     MCD_OPC_FilterValue, 58, 143, 0, // Skip to: 316
 /* 173 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 176 */     MCD_OPC_FilterValue, 16, 53, 0, // Skip to: 233
 /* 180 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 183 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 208
-/* 187 */     MCD_OPC_CheckPredicate, 15, 214, 0, // Skip to: 405
+/* 187 */     MCD_OPC_CheckPredicate, 16, 214, 0, // Skip to: 405
 /* 191 */     MCD_OPC_CheckField, 8, 4, 11, 208, 0, // Skip to: 405
 /* 197 */     MCD_OPC_CheckField, 6, 1, 0, 202, 0, // Skip to: 405
-/* 203 */     MCD_OPC_Decode, 132, 6, 186, 1, // Opcode: VDUP32d
+/* 203 */     MCD_OPC_Decode, 139, 6, 188, 1, // Opcode: VDUP32d
 /* 208 */     MCD_OPC_FilterValue, 2, 193, 0, // Skip to: 405
-/* 212 */     MCD_OPC_CheckPredicate, 15, 189, 0, // Skip to: 405
+/* 212 */     MCD_OPC_CheckPredicate, 16, 189, 0, // Skip to: 405
 /* 216 */     MCD_OPC_CheckField, 8, 4, 11, 183, 0, // Skip to: 405
 /* 222 */     MCD_OPC_CheckField, 6, 1, 0, 177, 0, // Skip to: 405
-/* 228 */     MCD_OPC_Decode, 133, 6, 187, 1, // Opcode: VDUP32q
+/* 228 */     MCD_OPC_Decode, 140, 6, 189, 1, // Opcode: VDUP32q
 /* 233 */     MCD_OPC_FilterValue, 48, 168, 0, // Skip to: 405
 /* 237 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 240 */     MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 297
 /* 244 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 247 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 272
-/* 251 */     MCD_OPC_CheckPredicate, 15, 150, 0, // Skip to: 405
+/* 251 */     MCD_OPC_CheckPredicate, 16, 150, 0, // Skip to: 405
 /* 255 */     MCD_OPC_CheckField, 8, 4, 11, 144, 0, // Skip to: 405
 /* 261 */     MCD_OPC_CheckField, 6, 1, 0, 138, 0, // Skip to: 405
-/* 267 */     MCD_OPC_Decode, 130, 6, 186, 1, // Opcode: VDUP16d
+/* 267 */     MCD_OPC_Decode, 137, 6, 188, 1, // Opcode: VDUP16d
 /* 272 */     MCD_OPC_FilterValue, 1, 129, 0, // Skip to: 405
-/* 276 */     MCD_OPC_CheckPredicate, 15, 125, 0, // Skip to: 405
+/* 276 */     MCD_OPC_CheckPredicate, 16, 125, 0, // Skip to: 405
 /* 280 */     MCD_OPC_CheckField, 8, 4, 11, 119, 0, // Skip to: 405
 /* 286 */     MCD_OPC_CheckField, 6, 1, 0, 113, 0, // Skip to: 405
-/* 292 */     MCD_OPC_Decode, 131, 6, 187, 1, // Opcode: VDUP16q
+/* 292 */     MCD_OPC_Decode, 138, 6, 189, 1, // Opcode: VDUP16q
 /* 297 */     MCD_OPC_FilterValue, 1, 104, 0, // Skip to: 405
-/* 301 */     MCD_OPC_CheckPredicate, 15, 100, 0, // Skip to: 405
+/* 301 */     MCD_OPC_CheckPredicate, 16, 100, 0, // Skip to: 405
 /* 305 */     MCD_OPC_CheckField, 8, 4, 11, 94, 0, // Skip to: 405
-/* 311 */     MCD_OPC_Decode, 166, 6, 183, 1, // Opcode: VGETLNu16
+/* 311 */     MCD_OPC_Decode, 173, 6, 185, 1, // Opcode: VGETLNu16
 /* 316 */     MCD_OPC_FilterValue, 59, 85, 0, // Skip to: 405
 /* 320 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 323 */     MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 380
 /* 327 */     MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 330 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 355
-/* 334 */     MCD_OPC_CheckPredicate, 15, 67, 0, // Skip to: 405
+/* 334 */     MCD_OPC_CheckPredicate, 16, 67, 0, // Skip to: 405
 /* 338 */     MCD_OPC_CheckField, 8, 4, 11, 61, 0, // Skip to: 405
 /* 344 */     MCD_OPC_CheckField, 0, 7, 16, 55, 0, // Skip to: 405
-/* 350 */     MCD_OPC_Decode, 134, 6, 186, 1, // Opcode: VDUP8d
+/* 350 */     MCD_OPC_Decode, 141, 6, 188, 1, // Opcode: VDUP8d
 /* 355 */     MCD_OPC_FilterValue, 1, 46, 0, // Skip to: 405
-/* 359 */     MCD_OPC_CheckPredicate, 15, 42, 0, // Skip to: 405
+/* 359 */     MCD_OPC_CheckPredicate, 16, 42, 0, // Skip to: 405
 /* 363 */     MCD_OPC_CheckField, 8, 4, 11, 36, 0, // Skip to: 405
 /* 369 */     MCD_OPC_CheckField, 0, 7, 16, 30, 0, // Skip to: 405
-/* 375 */     MCD_OPC_Decode, 135, 6, 187, 1, // Opcode: VDUP8q
+/* 375 */     MCD_OPC_Decode, 142, 6, 189, 1, // Opcode: VDUP8q
 /* 380 */     MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 405
-/* 384 */     MCD_OPC_CheckPredicate, 15, 17, 0, // Skip to: 405
+/* 384 */     MCD_OPC_CheckPredicate, 16, 17, 0, // Skip to: 405
 /* 388 */     MCD_OPC_CheckField, 8, 4, 11, 11, 0, // Skip to: 405
 /* 394 */     MCD_OPC_CheckField, 0, 5, 16, 5, 0, // Skip to: 405
-/* 400 */     MCD_OPC_Decode, 167, 6, 185, 1, // Opcode: VGETLNu8
+/* 400 */     MCD_OPC_Decode, 174, 6, 187, 1, // Opcode: VGETLNu8
 /* 405 */     MCD_OPC_Fail,
   0
 };
@@ -5515,61 +5538,61 @@ static const uint8_t DecoderTableNEONLoa
 /* 17 */      MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 109
 /* 22 */      MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 25 */      MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 53
-/* 29 */      MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 44
+/* 29 */      MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 44
 /* 33 */      MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 44
-/* 39 */      MCD_OPC_Decode, 215, 16, 188, 1, // Opcode: VST4d8
-/* 44 */      MCD_OPC_CheckPredicate, 15, 194, 22, // Skip to: 5874
-/* 48 */      MCD_OPC_Decode, 218, 16, 188, 1, // Opcode: VST4d8_UPD
+/* 39 */      MCD_OPC_Decode, 222, 16, 190, 1, // Opcode: VST4d8
+/* 44 */      MCD_OPC_CheckPredicate, 16, 194, 22, // Skip to: 5874
+/* 48 */      MCD_OPC_Decode, 225, 16, 190, 1, // Opcode: VST4d8_UPD
 /* 53 */      MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 81
-/* 57 */      MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 72
+/* 57 */      MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 72
 /* 61 */      MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 72
-/* 67 */      MCD_OPC_Decode, 207, 16, 188, 1, // Opcode: VST4d16
-/* 72 */      MCD_OPC_CheckPredicate, 15, 166, 22, // Skip to: 5874
-/* 76 */      MCD_OPC_Decode, 210, 16, 188, 1, // Opcode: VST4d16_UPD
+/* 67 */      MCD_OPC_Decode, 214, 16, 190, 1, // Opcode: VST4d16
+/* 72 */      MCD_OPC_CheckPredicate, 16, 166, 22, // Skip to: 5874
+/* 76 */      MCD_OPC_Decode, 217, 16, 190, 1, // Opcode: VST4d16_UPD
 /* 81 */      MCD_OPC_FilterValue, 2, 157, 22, // Skip to: 5874
-/* 85 */      MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 100
+/* 85 */      MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 100
 /* 89 */      MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 100
-/* 95 */      MCD_OPC_Decode, 211, 16, 188, 1, // Opcode: VST4d32
-/* 100 */     MCD_OPC_CheckPredicate, 15, 138, 22, // Skip to: 5874
-/* 104 */     MCD_OPC_Decode, 214, 16, 188, 1, // Opcode: VST4d32_UPD
+/* 95 */      MCD_OPC_Decode, 218, 16, 190, 1, // Opcode: VST4d32
+/* 100 */     MCD_OPC_CheckPredicate, 16, 138, 22, // Skip to: 5874
+/* 104 */     MCD_OPC_Decode, 221, 16, 190, 1, // Opcode: VST4d32_UPD
 /* 109 */     MCD_OPC_FilterValue, 233, 3, 128, 22, // Skip to: 5874
 /* 114 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 117 */     MCD_OPC_FilterValue, 0, 121, 22, // Skip to: 5874
-/* 121 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 136
+/* 121 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 136
 /* 125 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 136
-/* 131 */     MCD_OPC_Decode, 206, 14, 189, 1, // Opcode: VST1LNd8
-/* 136 */     MCD_OPC_CheckPredicate, 15, 102, 22, // Skip to: 5874
-/* 140 */     MCD_OPC_Decode, 207, 14, 189, 1, // Opcode: VST1LNd8_UPD
+/* 131 */     MCD_OPC_Decode, 213, 14, 191, 1, // Opcode: VST1LNd8
+/* 136 */     MCD_OPC_CheckPredicate, 16, 102, 22, // Skip to: 5874
+/* 140 */     MCD_OPC_Decode, 214, 14, 191, 1, // Opcode: VST1LNd8_UPD
 /* 145 */     MCD_OPC_FilterValue, 2, 93, 22, // Skip to: 5874
 /* 149 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 152 */     MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 244
 /* 157 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 160 */     MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 188
-/* 164 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 179
+/* 164 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 179
 /* 168 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 179
-/* 174 */     MCD_OPC_Decode, 185, 9, 188, 1, // Opcode: VLD4d8
-/* 179 */     MCD_OPC_CheckPredicate, 15, 59, 22, // Skip to: 5874
-/* 183 */     MCD_OPC_Decode, 188, 9, 188, 1, // Opcode: VLD4d8_UPD
+/* 174 */     MCD_OPC_Decode, 192, 9, 190, 1, // Opcode: VLD4d8
+/* 179 */     MCD_OPC_CheckPredicate, 16, 59, 22, // Skip to: 5874
+/* 183 */     MCD_OPC_Decode, 195, 9, 190, 1, // Opcode: VLD4d8_UPD
 /* 188 */     MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 216
-/* 192 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 207
+/* 192 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 207
 /* 196 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 207
-/* 202 */     MCD_OPC_Decode, 177, 9, 188, 1, // Opcode: VLD4d16
-/* 207 */     MCD_OPC_CheckPredicate, 15, 31, 22, // Skip to: 5874
-/* 211 */     MCD_OPC_Decode, 180, 9, 188, 1, // Opcode: VLD4d16_UPD
+/* 202 */     MCD_OPC_Decode, 184, 9, 190, 1, // Opcode: VLD4d16
+/* 207 */     MCD_OPC_CheckPredicate, 16, 31, 22, // Skip to: 5874
+/* 211 */     MCD_OPC_Decode, 187, 9, 190, 1, // Opcode: VLD4d16_UPD
 /* 216 */     MCD_OPC_FilterValue, 2, 22, 22, // Skip to: 5874
-/* 220 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 235
+/* 220 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 235
 /* 224 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 235
-/* 230 */     MCD_OPC_Decode, 181, 9, 188, 1, // Opcode: VLD4d32
-/* 235 */     MCD_OPC_CheckPredicate, 15, 3, 22, // Skip to: 5874
-/* 239 */     MCD_OPC_Decode, 184, 9, 188, 1, // Opcode: VLD4d32_UPD
+/* 230 */     MCD_OPC_Decode, 188, 9, 190, 1, // Opcode: VLD4d32
+/* 235 */     MCD_OPC_CheckPredicate, 16, 3, 22, // Skip to: 5874
+/* 239 */     MCD_OPC_Decode, 191, 9, 190, 1, // Opcode: VLD4d32_UPD
 /* 244 */     MCD_OPC_FilterValue, 233, 3, 249, 21, // Skip to: 5874
 /* 249 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 252 */     MCD_OPC_FilterValue, 0, 242, 21, // Skip to: 5874
-/* 256 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 271
+/* 256 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 271
 /* 260 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 271
-/* 266 */     MCD_OPC_Decode, 214, 6, 190, 1, // Opcode: VLD1LNd8
-/* 271 */     MCD_OPC_CheckPredicate, 15, 223, 21, // Skip to: 5874
-/* 275 */     MCD_OPC_Decode, 215, 6, 190, 1, // Opcode: VLD1LNd8_UPD
+/* 266 */     MCD_OPC_Decode, 221, 6, 192, 1, // Opcode: VLD1LNd8
+/* 271 */     MCD_OPC_CheckPredicate, 16, 223, 21, // Skip to: 5874
+/* 275 */     MCD_OPC_Decode, 222, 6, 192, 1, // Opcode: VLD1LNd8_UPD
 /* 280 */     MCD_OPC_FilterValue, 1, 3, 1, // Skip to: 543
 /* 284 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 287 */     MCD_OPC_FilterValue, 0, 124, 0, // Skip to: 415
@@ -5577,57 +5600,57 @@ static const uint8_t DecoderTableNEONLoa
 /* 294 */     MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 386
 /* 299 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 302 */     MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 330
-/* 306 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 321
+/* 306 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 321
 /* 310 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 321
-/* 316 */     MCD_OPC_Decode, 238, 16, 188, 1, // Opcode: VST4q8
-/* 321 */     MCD_OPC_CheckPredicate, 15, 173, 21, // Skip to: 5874
-/* 325 */     MCD_OPC_Decode, 240, 16, 188, 1, // Opcode: VST4q8_UPD
+/* 316 */     MCD_OPC_Decode, 245, 16, 190, 1, // Opcode: VST4q8
+/* 321 */     MCD_OPC_CheckPredicate, 16, 173, 21, // Skip to: 5874
+/* 325 */     MCD_OPC_Decode, 247, 16, 190, 1, // Opcode: VST4q8_UPD
 /* 330 */     MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 358
-/* 334 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 349
+/* 334 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 349
 /* 338 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 349
-/* 344 */     MCD_OPC_Decode, 228, 16, 188, 1, // Opcode: VST4q16
-/* 349 */     MCD_OPC_CheckPredicate, 15, 145, 21, // Skip to: 5874
-/* 353 */     MCD_OPC_Decode, 230, 16, 188, 1, // Opcode: VST4q16_UPD
+/* 344 */     MCD_OPC_Decode, 235, 16, 190, 1, // Opcode: VST4q16
+/* 349 */     MCD_OPC_CheckPredicate, 16, 145, 21, // Skip to: 5874
+/* 353 */     MCD_OPC_Decode, 237, 16, 190, 1, // Opcode: VST4q16_UPD
 /* 358 */     MCD_OPC_FilterValue, 2, 136, 21, // Skip to: 5874
-/* 362 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 377
+/* 362 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 377
 /* 366 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 377
-/* 372 */     MCD_OPC_Decode, 233, 16, 188, 1, // Opcode: VST4q32
-/* 377 */     MCD_OPC_CheckPredicate, 15, 117, 21, // Skip to: 5874
-/* 381 */     MCD_OPC_Decode, 235, 16, 188, 1, // Opcode: VST4q32_UPD
+/* 372 */     MCD_OPC_Decode, 240, 16, 190, 1, // Opcode: VST4q32
+/* 377 */     MCD_OPC_CheckPredicate, 16, 117, 21, // Skip to: 5874
+/* 381 */     MCD_OPC_Decode, 242, 16, 190, 1, // Opcode: VST4q32_UPD
 /* 386 */     MCD_OPC_FilterValue, 233, 3, 107, 21, // Skip to: 5874
-/* 391 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 406
+/* 391 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 406
 /* 395 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 406
-/* 401 */     MCD_OPC_Decode, 157, 15, 191, 1, // Opcode: VST2LNd8
-/* 406 */     MCD_OPC_CheckPredicate, 15, 88, 21, // Skip to: 5874
-/* 410 */     MCD_OPC_Decode, 160, 15, 191, 1, // Opcode: VST2LNd8_UPD
+/* 401 */     MCD_OPC_Decode, 164, 15, 193, 1, // Opcode: VST2LNd8
+/* 406 */     MCD_OPC_CheckPredicate, 16, 88, 21, // Skip to: 5874
+/* 410 */     MCD_OPC_Decode, 167, 15, 193, 1, // Opcode: VST2LNd8_UPD
 /* 415 */     MCD_OPC_FilterValue, 2, 79, 21, // Skip to: 5874
 /* 419 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 422 */     MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 514
 /* 427 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 430 */     MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 458
-/* 434 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 449
+/* 434 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 449
 /* 438 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 449
-/* 444 */     MCD_OPC_Decode, 208, 9, 188, 1, // Opcode: VLD4q8
-/* 449 */     MCD_OPC_CheckPredicate, 15, 45, 21, // Skip to: 5874
-/* 453 */     MCD_OPC_Decode, 210, 9, 188, 1, // Opcode: VLD4q8_UPD
+/* 444 */     MCD_OPC_Decode, 215, 9, 190, 1, // Opcode: VLD4q8
+/* 449 */     MCD_OPC_CheckPredicate, 16, 45, 21, // Skip to: 5874
+/* 453 */     MCD_OPC_Decode, 217, 9, 190, 1, // Opcode: VLD4q8_UPD
 /* 458 */     MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 486
-/* 462 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 477
+/* 462 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 477
 /* 466 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 477
-/* 472 */     MCD_OPC_Decode, 198, 9, 188, 1, // Opcode: VLD4q16
-/* 477 */     MCD_OPC_CheckPredicate, 15, 17, 21, // Skip to: 5874
-/* 481 */     MCD_OPC_Decode, 200, 9, 188, 1, // Opcode: VLD4q16_UPD
+/* 472 */     MCD_OPC_Decode, 205, 9, 190, 1, // Opcode: VLD4q16
+/* 477 */     MCD_OPC_CheckPredicate, 16, 17, 21, // Skip to: 5874
+/* 481 */     MCD_OPC_Decode, 207, 9, 190, 1, // Opcode: VLD4q16_UPD
 /* 486 */     MCD_OPC_FilterValue, 2, 8, 21, // Skip to: 5874
-/* 490 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 505
+/* 490 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 505
 /* 494 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 505
-/* 500 */     MCD_OPC_Decode, 203, 9, 188, 1, // Opcode: VLD4q32
-/* 505 */     MCD_OPC_CheckPredicate, 15, 245, 20, // Skip to: 5874
-/* 509 */     MCD_OPC_Decode, 205, 9, 188, 1, // Opcode: VLD4q32_UPD
+/* 500 */     MCD_OPC_Decode, 210, 9, 190, 1, // Opcode: VLD4q32
+/* 505 */     MCD_OPC_CheckPredicate, 16, 245, 20, // Skip to: 5874
+/* 509 */     MCD_OPC_Decode, 212, 9, 190, 1, // Opcode: VLD4q32_UPD
 /* 514 */     MCD_OPC_FilterValue, 233, 3, 235, 20, // Skip to: 5874
-/* 519 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 534
+/* 519 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 534
 /* 523 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 534
-/* 529 */     MCD_OPC_Decode, 183, 7, 192, 1, // Opcode: VLD2LNd8
-/* 534 */     MCD_OPC_CheckPredicate, 15, 216, 20, // Skip to: 5874
-/* 538 */     MCD_OPC_Decode, 186, 7, 192, 1, // Opcode: VLD2LNd8_UPD
+/* 529 */     MCD_OPC_Decode, 190, 7, 194, 1, // Opcode: VLD2LNd8
+/* 534 */     MCD_OPC_CheckPredicate, 16, 216, 20, // Skip to: 5874
+/* 538 */     MCD_OPC_Decode, 193, 7, 194, 1, // Opcode: VLD2LNd8_UPD
 /* 543 */     MCD_OPC_FilterValue, 2, 185, 1, // Skip to: 988
 /* 547 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 550 */     MCD_OPC_FilterValue, 0, 215, 0, // Skip to: 769
@@ -5637,51 +5660,51 @@ static const uint8_t DecoderTableNEONLoa
 /* 565 */     MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 607
 /* 569 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 572 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 585
-/* 576 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 598
-/* 580 */     MCD_OPC_Decode, 130, 15, 193, 1, // Opcode: VST1d8Qwb_fixed
+/* 576 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 598
+/* 580 */     MCD_OPC_Decode, 137, 15, 195, 1, // Opcode: VST1d8Qwb_fixed
 /* 585 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 598
-/* 589 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 598
-/* 593 */     MCD_OPC_Decode, 129, 15, 193, 1, // Opcode: VST1d8Q
-/* 598 */     MCD_OPC_CheckPredicate, 15, 152, 20, // Skip to: 5874
-/* 602 */     MCD_OPC_Decode, 131, 15, 193, 1, // Opcode: VST1d8Qwb_register
+/* 589 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 598
+/* 593 */     MCD_OPC_Decode, 136, 15, 195, 1, // Opcode: VST1d8Q
+/* 598 */     MCD_OPC_CheckPredicate, 16, 152, 20, // Skip to: 5874
+/* 602 */     MCD_OPC_Decode, 138, 15, 195, 1, // Opcode: VST1d8Qwb_register
 /* 607 */     MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 649
 /* 611 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 614 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 627
-/* 618 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 640
-/* 622 */     MCD_OPC_Decode, 225, 14, 193, 1, // Opcode: VST1d16Qwb_fixed
+/* 618 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 640
+/* 622 */     MCD_OPC_Decode, 232, 14, 195, 1, // Opcode: VST1d16Qwb_fixed
 /* 627 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 640
-/* 631 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 640
-/* 635 */     MCD_OPC_Decode, 224, 14, 193, 1, // Opcode: VST1d16Q
-/* 640 */     MCD_OPC_CheckPredicate, 15, 110, 20, // Skip to: 5874
-/* 644 */     MCD_OPC_Decode, 226, 14, 193, 1, // Opcode: VST1d16Qwb_register
+/* 631 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 640
+/* 635 */     MCD_OPC_Decode, 231, 14, 195, 1, // Opcode: VST1d16Q
+/* 640 */     MCD_OPC_CheckPredicate, 16, 110, 20, // Skip to: 5874
+/* 644 */     MCD_OPC_Decode, 233, 14, 195, 1, // Opcode: VST1d16Qwb_register
 /* 649 */     MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 691
 /* 653 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 656 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 669
-/* 660 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 682
-/* 664 */     MCD_OPC_Decode, 234, 14, 193, 1, // Opcode: VST1d32Qwb_fixed
+/* 660 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 682
+/* 664 */     MCD_OPC_Decode, 241, 14, 195, 1, // Opcode: VST1d32Qwb_fixed
 /* 669 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 682
-/* 673 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 682
-/* 677 */     MCD_OPC_Decode, 233, 14, 193, 1, // Opcode: VST1d32Q
-/* 682 */     MCD_OPC_CheckPredicate, 15, 68, 20, // Skip to: 5874
-/* 686 */     MCD_OPC_Decode, 235, 14, 193, 1, // Opcode: VST1d32Qwb_register
+/* 673 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 682
+/* 677 */     MCD_OPC_Decode, 240, 14, 195, 1, // Opcode: VST1d32Q
+/* 682 */     MCD_OPC_CheckPredicate, 16, 68, 20, // Skip to: 5874
+/* 686 */     MCD_OPC_Decode, 242, 14, 195, 1, // Opcode: VST1d32Qwb_register
 /* 691 */     MCD_OPC_FilterValue, 3, 59, 20, // Skip to: 5874
 /* 695 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 698 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 711
-/* 702 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 724
-/* 706 */     MCD_OPC_Decode, 246, 14, 193, 1, // Opcode: VST1d64Qwb_fixed
+/* 702 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 724
+/* 706 */     MCD_OPC_Decode, 253, 14, 195, 1, // Opcode: VST1d64Qwb_fixed
 /* 711 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 724
-/* 715 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 724
-/* 719 */     MCD_OPC_Decode, 242, 14, 193, 1, // Opcode: VST1d64Q
-/* 724 */     MCD_OPC_CheckPredicate, 15, 26, 20, // Skip to: 5874
-/* 728 */     MCD_OPC_Decode, 247, 14, 193, 1, // Opcode: VST1d64Qwb_register
+/* 715 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 724
+/* 719 */     MCD_OPC_Decode, 249, 14, 195, 1, // Opcode: VST1d64Q
+/* 724 */     MCD_OPC_CheckPredicate, 16, 26, 20, // Skip to: 5874
+/* 728 */     MCD_OPC_Decode, 254, 14, 195, 1, // Opcode: VST1d64Qwb_register
 /* 733 */     MCD_OPC_FilterValue, 233, 3, 16, 20, // Skip to: 5874
 /* 738 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 741 */     MCD_OPC_FilterValue, 0, 9, 20, // Skip to: 5874
-/* 745 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 760
+/* 745 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 760
 /* 749 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 760
-/* 755 */     MCD_OPC_Decode, 228, 15, 194, 1, // Opcode: VST3LNd8
-/* 760 */     MCD_OPC_CheckPredicate, 15, 246, 19, // Skip to: 5874
-/* 764 */     MCD_OPC_Decode, 231, 15, 194, 1, // Opcode: VST3LNd8_UPD
+/* 755 */     MCD_OPC_Decode, 235, 15, 196, 1, // Opcode: VST3LNd8
+/* 760 */     MCD_OPC_CheckPredicate, 16, 246, 19, // Skip to: 5874
+/* 764 */     MCD_OPC_Decode, 238, 15, 196, 1, // Opcode: VST3LNd8_UPD
 /* 769 */     MCD_OPC_FilterValue, 2, 237, 19, // Skip to: 5874
 /* 773 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 776 */     MCD_OPC_FilterValue, 232, 3, 171, 0, // Skip to: 952
@@ -5689,51 +5712,51 @@ static const uint8_t DecoderTableNEONLoa
 /* 784 */     MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 826
 /* 788 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 791 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 804
-/* 795 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 817
-/* 799 */     MCD_OPC_Decode, 138, 7, 193, 1, // Opcode: VLD1d8Qwb_fixed
+/* 795 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 817
+/* 799 */     MCD_OPC_Decode, 145, 7, 195, 1, // Opcode: VLD1d8Qwb_fixed
 /* 804 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 817
-/* 808 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 817
-/* 812 */     MCD_OPC_Decode, 137, 7, 193, 1, // Opcode: VLD1d8Q
-/* 817 */     MCD_OPC_CheckPredicate, 15, 189, 19, // Skip to: 5874
-/* 821 */     MCD_OPC_Decode, 139, 7, 193, 1, // Opcode: VLD1d8Qwb_register
+/* 808 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 817
+/* 812 */     MCD_OPC_Decode, 144, 7, 195, 1, // Opcode: VLD1d8Q
+/* 817 */     MCD_OPC_CheckPredicate, 16, 189, 19, // Skip to: 5874
+/* 821 */     MCD_OPC_Decode, 146, 7, 195, 1, // Opcode: VLD1d8Qwb_register
 /* 826 */     MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 868
 /* 830 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 833 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 846
-/* 837 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 859
-/* 841 */     MCD_OPC_Decode, 233, 6, 193, 1, // Opcode: VLD1d16Qwb_fixed
+/* 837 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 859
+/* 841 */     MCD_OPC_Decode, 240, 6, 195, 1, // Opcode: VLD1d16Qwb_fixed
 /* 846 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 859
-/* 850 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 859
-/* 854 */     MCD_OPC_Decode, 232, 6, 193, 1, // Opcode: VLD1d16Q
-/* 859 */     MCD_OPC_CheckPredicate, 15, 147, 19, // Skip to: 5874
-/* 863 */     MCD_OPC_Decode, 234, 6, 193, 1, // Opcode: VLD1d16Qwb_register
+/* 850 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 859
+/* 854 */     MCD_OPC_Decode, 239, 6, 195, 1, // Opcode: VLD1d16Q
+/* 859 */     MCD_OPC_CheckPredicate, 16, 147, 19, // Skip to: 5874
+/* 863 */     MCD_OPC_Decode, 241, 6, 195, 1, // Opcode: VLD1d16Qwb_register
 /* 868 */     MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 910
 /* 872 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 875 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 888
-/* 879 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 901
-/* 883 */     MCD_OPC_Decode, 242, 6, 193, 1, // Opcode: VLD1d32Qwb_fixed
+/* 879 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 901
+/* 883 */     MCD_OPC_Decode, 249, 6, 195, 1, // Opcode: VLD1d32Qwb_fixed
 /* 888 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 901
-/* 892 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 901
-/* 896 */     MCD_OPC_Decode, 241, 6, 193, 1, // Opcode: VLD1d32Q
-/* 901 */     MCD_OPC_CheckPredicate, 15, 105, 19, // Skip to: 5874
-/* 905 */     MCD_OPC_Decode, 243, 6, 193, 1, // Opcode: VLD1d32Qwb_register
+/* 892 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 901
+/* 896 */     MCD_OPC_Decode, 248, 6, 195, 1, // Opcode: VLD1d32Q
+/* 901 */     MCD_OPC_CheckPredicate, 16, 105, 19, // Skip to: 5874
+/* 905 */     MCD_OPC_Decode, 250, 6, 195, 1, // Opcode: VLD1d32Qwb_register
 /* 910 */     MCD_OPC_FilterValue, 3, 96, 19, // Skip to: 5874
 /* 914 */     MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 917 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 930
-/* 921 */     MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 943
-/* 925 */     MCD_OPC_Decode, 254, 6, 193, 1, // Opcode: VLD1d64Qwb_fixed
+/* 921 */     MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 943
+/* 925 */     MCD_OPC_Decode, 133, 7, 195, 1, // Opcode: VLD1d64Qwb_fixed
 /* 930 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 943
-/* 934 */     MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 943
-/* 938 */     MCD_OPC_Decode, 250, 6, 193, 1, // Opcode: VLD1d64Q
-/* 943 */     MCD_OPC_CheckPredicate, 15, 63, 19, // Skip to: 5874
-/* 947 */     MCD_OPC_Decode, 255, 6, 193, 1, // Opcode: VLD1d64Qwb_register
+/* 934 */     MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 943
+/* 938 */     MCD_OPC_Decode, 129, 7, 195, 1, // Opcode: VLD1d64Q
+/* 943 */     MCD_OPC_CheckPredicate, 16, 63, 19, // Skip to: 5874
+/* 947 */     MCD_OPC_Decode, 134, 7, 195, 1, // Opcode: VLD1d64Qwb_register
 /* 952 */     MCD_OPC_FilterValue, 233, 3, 53, 19, // Skip to: 5874
 /* 957 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 960 */     MCD_OPC_FilterValue, 0, 46, 19, // Skip to: 5874
-/* 964 */     MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 979
+/* 964 */     MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 979
 /* 968 */     MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 979
-/* 974 */     MCD_OPC_Decode, 162, 8, 195, 1, // Opcode: VLD3LNd8
-/* 979 */     MCD_OPC_CheckPredicate, 15, 27, 19, // Skip to: 5874
-/* 983 */     MCD_OPC_Decode, 165, 8, 195, 1, // Opcode: VLD3LNd8_UPD
+/* 974 */     MCD_OPC_Decode, 169, 8, 197, 1, // Opcode: VLD3LNd8
+/* 979 */     MCD_OPC_CheckPredicate, 16, 27, 19, // Skip to: 5874
+/* 983 */     MCD_OPC_Decode, 172, 8, 197, 1, // Opcode: VLD3LNd8_UPD
 /* 988 */     MCD_OPC_FilterValue, 3, 87, 1, // Skip to: 1335
 /* 992 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 995 */     MCD_OPC_FilterValue, 0, 166, 0, // Skip to: 1165
@@ -5743,39 +5766,39 @@ static const uint8_t DecoderTableNEONLoa
 /* 1010 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 1052
 /* 1014 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1017 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1030
-/* 1021 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1043
-/* 1025 */    MCD_OPC_Decode, 218, 15, 196, 1, // Opcode: VST2q8wb_fixed
+/* 1021 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1043
+/* 1025 */    MCD_OPC_Decode, 225, 15, 198, 1, // Opcode: VST2q8wb_fixed
 /* 1030 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1043
-/* 1034 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1043
-/* 1038 */    MCD_OPC_Decode, 214, 15, 196, 1, // Opcode: VST2q8
-/* 1043 */    MCD_OPC_CheckPredicate, 15, 219, 18, // Skip to: 5874
-/* 1047 */    MCD_OPC_Decode, 219, 15, 196, 1, // Opcode: VST2q8wb_register
+/* 1034 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1043
+/* 1038 */    MCD_OPC_Decode, 221, 15, 198, 1, // Opcode: VST2q8
+/* 1043 */    MCD_OPC_CheckPredicate, 16, 219, 18, // Skip to: 5874
+/* 1047 */    MCD_OPC_Decode, 226, 15, 198, 1, // Opcode: VST2q8wb_register
 /* 1052 */    MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 1094
 /* 1056 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1059 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1072
-/* 1063 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1085
-/* 1067 */    MCD_OPC_Decode, 206, 15, 196, 1, // Opcode: VST2q16wb_fixed
+/* 1063 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1085
+/* 1067 */    MCD_OPC_Decode, 213, 15, 198, 1, // Opcode: VST2q16wb_fixed
 /* 1072 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1085
-/* 1076 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1085
-/* 1080 */    MCD_OPC_Decode, 202, 15, 196, 1, // Opcode: VST2q16
-/* 1085 */    MCD_OPC_CheckPredicate, 15, 177, 18, // Skip to: 5874
-/* 1089 */    MCD_OPC_Decode, 207, 15, 196, 1, // Opcode: VST2q16wb_register
+/* 1076 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1085
+/* 1080 */    MCD_OPC_Decode, 209, 15, 198, 1, // Opcode: VST2q16
+/* 1085 */    MCD_OPC_CheckPredicate, 16, 177, 18, // Skip to: 5874
+/* 1089 */    MCD_OPC_Decode, 214, 15, 198, 1, // Opcode: VST2q16wb_register
 /* 1094 */    MCD_OPC_FilterValue, 2, 168, 18, // Skip to: 5874
 /* 1098 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1101 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1114
-/* 1105 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1127
-/* 1109 */    MCD_OPC_Decode, 212, 15, 196, 1, // Opcode: VST2q32wb_fixed
+/* 1105 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1127
+/* 1109 */    MCD_OPC_Decode, 219, 15, 198, 1, // Opcode: VST2q32wb_fixed
 /* 1114 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1127
-/* 1118 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1127
-/* 1122 */    MCD_OPC_Decode, 208, 15, 196, 1, // Opcode: VST2q32
-/* 1127 */    MCD_OPC_CheckPredicate, 15, 135, 18, // Skip to: 5874
-/* 1131 */    MCD_OPC_Decode, 213, 15, 196, 1, // Opcode: VST2q32wb_register
+/* 1118 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1127
+/* 1122 */    MCD_OPC_Decode, 215, 15, 198, 1, // Opcode: VST2q32
+/* 1127 */    MCD_OPC_CheckPredicate, 16, 135, 18, // Skip to: 5874
+/* 1131 */    MCD_OPC_Decode, 220, 15, 198, 1, // Opcode: VST2q32wb_register
 /* 1136 */    MCD_OPC_FilterValue, 233, 3, 125, 18, // Skip to: 5874
-/* 1141 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1156
+/* 1141 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1156
 /* 1145 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1156
-/* 1151 */    MCD_OPC_Decode, 180, 16, 197, 1, // Opcode: VST4LNd8
-/* 1156 */    MCD_OPC_CheckPredicate, 15, 106, 18, // Skip to: 5874
-/* 1160 */    MCD_OPC_Decode, 183, 16, 197, 1, // Opcode: VST4LNd8_UPD
+/* 1151 */    MCD_OPC_Decode, 187, 16, 199, 1, // Opcode: VST4LNd8
+/* 1156 */    MCD_OPC_CheckPredicate, 16, 106, 18, // Skip to: 5874
+/* 1160 */    MCD_OPC_Decode, 190, 16, 199, 1, // Opcode: VST4LNd8_UPD
 /* 1165 */    MCD_OPC_FilterValue, 2, 97, 18, // Skip to: 5874
 /* 1169 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1172 */    MCD_OPC_FilterValue, 232, 3, 129, 0, // Skip to: 1306
@@ -5783,39 +5806,39 @@ static const uint8_t DecoderTableNEONLoa
 /* 1180 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 1222
 /* 1184 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1187 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1200
-/* 1191 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1213
-/* 1195 */    MCD_OPC_Decode, 244, 7, 196, 1, // Opcode: VLD2q8wb_fixed
+/* 1191 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1213
+/* 1195 */    MCD_OPC_Decode, 251, 7, 198, 1, // Opcode: VLD2q8wb_fixed
 /* 1200 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1213
-/* 1204 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1213
-/* 1208 */    MCD_OPC_Decode, 240, 7, 196, 1, // Opcode: VLD2q8
-/* 1213 */    MCD_OPC_CheckPredicate, 15, 49, 18, // Skip to: 5874
-/* 1217 */    MCD_OPC_Decode, 245, 7, 196, 1, // Opcode: VLD2q8wb_register
+/* 1204 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1213
+/* 1208 */    MCD_OPC_Decode, 247, 7, 198, 1, // Opcode: VLD2q8
+/* 1213 */    MCD_OPC_CheckPredicate, 16, 49, 18, // Skip to: 5874
+/* 1217 */    MCD_OPC_Decode, 252, 7, 198, 1, // Opcode: VLD2q8wb_register
 /* 1222 */    MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 1264
 /* 1226 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1229 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1242
-/* 1233 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1255
-/* 1237 */    MCD_OPC_Decode, 232, 7, 196, 1, // Opcode: VLD2q16wb_fixed
+/* 1233 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1255
+/* 1237 */    MCD_OPC_Decode, 239, 7, 198, 1, // Opcode: VLD2q16wb_fixed
 /* 1242 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1255
-/* 1246 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1255
-/* 1250 */    MCD_OPC_Decode, 228, 7, 196, 1, // Opcode: VLD2q16
-/* 1255 */    MCD_OPC_CheckPredicate, 15, 7, 18, // Skip to: 5874
-/* 1259 */    MCD_OPC_Decode, 233, 7, 196, 1, // Opcode: VLD2q16wb_register
+/* 1246 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1255
+/* 1250 */    MCD_OPC_Decode, 235, 7, 198, 1, // Opcode: VLD2q16
+/* 1255 */    MCD_OPC_CheckPredicate, 16, 7, 18, // Skip to: 5874
+/* 1259 */    MCD_OPC_Decode, 240, 7, 198, 1, // Opcode: VLD2q16wb_register
 /* 1264 */    MCD_OPC_FilterValue, 2, 254, 17, // Skip to: 5874
 /* 1268 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1271 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1284
-/* 1275 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 1297
-/* 1279 */    MCD_OPC_Decode, 238, 7, 196, 1, // Opcode: VLD2q32wb_fixed
+/* 1275 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 1297
+/* 1279 */    MCD_OPC_Decode, 245, 7, 198, 1, // Opcode: VLD2q32wb_fixed
 /* 1284 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 1297
-/* 1288 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 1297
-/* 1292 */    MCD_OPC_Decode, 234, 7, 196, 1, // Opcode: VLD2q32
-/* 1297 */    MCD_OPC_CheckPredicate, 15, 221, 17, // Skip to: 5874
-/* 1301 */    MCD_OPC_Decode, 239, 7, 196, 1, // Opcode: VLD2q32wb_register
+/* 1288 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 1297
+/* 1292 */    MCD_OPC_Decode, 241, 7, 198, 1, // Opcode: VLD2q32
+/* 1297 */    MCD_OPC_CheckPredicate, 16, 221, 17, // Skip to: 5874
+/* 1301 */    MCD_OPC_Decode, 246, 7, 198, 1, // Opcode: VLD2q32wb_register
 /* 1306 */    MCD_OPC_FilterValue, 233, 3, 211, 17, // Skip to: 5874
-/* 1311 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1326
+/* 1311 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1326
 /* 1315 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1326
-/* 1321 */    MCD_OPC_Decode, 150, 9, 198, 1, // Opcode: VLD4LNd8
-/* 1326 */    MCD_OPC_CheckPredicate, 15, 192, 17, // Skip to: 5874
-/* 1330 */    MCD_OPC_Decode, 153, 9, 198, 1, // Opcode: VLD4LNd8_UPD
+/* 1321 */    MCD_OPC_Decode, 157, 9, 200, 1, // Opcode: VLD4LNd8
+/* 1326 */    MCD_OPC_CheckPredicate, 16, 192, 17, // Skip to: 5874
+/* 1330 */    MCD_OPC_Decode, 160, 9, 200, 1, // Opcode: VLD4LNd8_UPD
 /* 1335 */    MCD_OPC_FilterValue, 4, 16, 1, // Skip to: 1611
 /* 1339 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 1342 */    MCD_OPC_FilterValue, 0, 131, 0, // Skip to: 1477
@@ -5823,60 +5846,60 @@ static const uint8_t DecoderTableNEONLoa
 /* 1349 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 1441
 /* 1354 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
 /* 1357 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 1385
-/* 1361 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1376
+/* 1361 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1376
 /* 1365 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1376
-/* 1371 */    MCD_OPC_Decode, 135, 16, 199, 1, // Opcode: VST3d8
-/* 1376 */    MCD_OPC_CheckPredicate, 15, 142, 17, // Skip to: 5874
-/* 1380 */    MCD_OPC_Decode, 138, 16, 199, 1, // Opcode: VST3d8_UPD
+/* 1371 */    MCD_OPC_Decode, 142, 16, 201, 1, // Opcode: VST3d8
+/* 1376 */    MCD_OPC_CheckPredicate, 16, 142, 17, // Skip to: 5874
+/* 1380 */    MCD_OPC_Decode, 145, 16, 201, 1, // Opcode: VST3d8_UPD
 /* 1385 */    MCD_OPC_FilterValue, 2, 24, 0, // Skip to: 1413
-/* 1389 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1404
+/* 1389 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1404
 /* 1393 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1404
-/* 1399 */    MCD_OPC_Decode, 255, 15, 199, 1, // Opcode: VST3d16
-/* 1404 */    MCD_OPC_CheckPredicate, 15, 114, 17, // Skip to: 5874
-/* 1408 */    MCD_OPC_Decode, 130, 16, 199, 1, // Opcode: VST3d16_UPD
+/* 1399 */    MCD_OPC_Decode, 134, 16, 201, 1, // Opcode: VST3d16
+/* 1404 */    MCD_OPC_CheckPredicate, 16, 114, 17, // Skip to: 5874
+/* 1408 */    MCD_OPC_Decode, 137, 16, 201, 1, // Opcode: VST3d16_UPD
 /* 1413 */    MCD_OPC_FilterValue, 4, 105, 17, // Skip to: 5874
-/* 1417 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1432
+/* 1417 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1432
 /* 1421 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1432
-/* 1427 */    MCD_OPC_Decode, 131, 16, 199, 1, // Opcode: VST3d32
-/* 1432 */    MCD_OPC_CheckPredicate, 15, 86, 17, // Skip to: 5874
-/* 1436 */    MCD_OPC_Decode, 134, 16, 199, 1, // Opcode: VST3d32_UPD
+/* 1427 */    MCD_OPC_Decode, 138, 16, 201, 1, // Opcode: VST3d32
+/* 1432 */    MCD_OPC_CheckPredicate, 16, 86, 17, // Skip to: 5874
+/* 1436 */    MCD_OPC_Decode, 141, 16, 201, 1, // Opcode: VST3d32_UPD
 /* 1441 */    MCD_OPC_FilterValue, 233, 3, 76, 17, // Skip to: 5874
 /* 1446 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 1449 */    MCD_OPC_FilterValue, 0, 69, 17, // Skip to: 5874
-/* 1453 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1468
+/* 1453 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1468
 /* 1457 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1468
-/* 1463 */    MCD_OPC_Decode, 202, 14, 189, 1, // Opcode: VST1LNd16
-/* 1468 */    MCD_OPC_CheckPredicate, 15, 50, 17, // Skip to: 5874
-/* 1472 */    MCD_OPC_Decode, 203, 14, 189, 1, // Opcode: VST1LNd16_UPD
+/* 1463 */    MCD_OPC_Decode, 209, 14, 191, 1, // Opcode: VST1LNd16
+/* 1468 */    MCD_OPC_CheckPredicate, 16, 50, 17, // Skip to: 5874
+/* 1472 */    MCD_OPC_Decode, 210, 14, 191, 1, // Opcode: VST1LNd16_UPD
 /* 1477 */    MCD_OPC_FilterValue, 2, 41, 17, // Skip to: 5874
 /* 1481 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1484 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 1576
 /* 1489 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
 /* 1492 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 1520
-/* 1496 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1511
+/* 1496 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1511
 /* 1500 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1511
-/* 1506 */    MCD_OPC_Decode, 197, 8, 199, 1, // Opcode: VLD3d8
-/* 1511 */    MCD_OPC_CheckPredicate, 15, 7, 17, // Skip to: 5874
-/* 1515 */    MCD_OPC_Decode, 200, 8, 199, 1, // Opcode: VLD3d8_UPD
+/* 1506 */    MCD_OPC_Decode, 204, 8, 201, 1, // Opcode: VLD3d8
+/* 1511 */    MCD_OPC_CheckPredicate, 16, 7, 17, // Skip to: 5874
+/* 1515 */    MCD_OPC_Decode, 207, 8, 201, 1, // Opcode: VLD3d8_UPD
 /* 1520 */    MCD_OPC_FilterValue, 2, 24, 0, // Skip to: 1548
-/* 1524 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1539
+/* 1524 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1539
 /* 1528 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1539
-/* 1534 */    MCD_OPC_Decode, 189, 8, 199, 1, // Opcode: VLD3d16
-/* 1539 */    MCD_OPC_CheckPredicate, 15, 235, 16, // Skip to: 5874
-/* 1543 */    MCD_OPC_Decode, 192, 8, 199, 1, // Opcode: VLD3d16_UPD
+/* 1534 */    MCD_OPC_Decode, 196, 8, 201, 1, // Opcode: VLD3d16
+/* 1539 */    MCD_OPC_CheckPredicate, 16, 235, 16, // Skip to: 5874
+/* 1543 */    MCD_OPC_Decode, 199, 8, 201, 1, // Opcode: VLD3d16_UPD
 /* 1548 */    MCD_OPC_FilterValue, 4, 226, 16, // Skip to: 5874
-/* 1552 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1567
+/* 1552 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1567
 /* 1556 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1567
-/* 1562 */    MCD_OPC_Decode, 193, 8, 199, 1, // Opcode: VLD3d32
-/* 1567 */    MCD_OPC_CheckPredicate, 15, 207, 16, // Skip to: 5874
-/* 1571 */    MCD_OPC_Decode, 196, 8, 199, 1, // Opcode: VLD3d32_UPD
+/* 1562 */    MCD_OPC_Decode, 200, 8, 201, 1, // Opcode: VLD3d32
+/* 1567 */    MCD_OPC_CheckPredicate, 16, 207, 16, // Skip to: 5874
+/* 1571 */    MCD_OPC_Decode, 203, 8, 201, 1, // Opcode: VLD3d32_UPD
 /* 1576 */    MCD_OPC_FilterValue, 233, 3, 197, 16, // Skip to: 5874
-/* 1581 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1596
+/* 1581 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1596
 /* 1585 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1596
-/* 1591 */    MCD_OPC_Decode, 210, 6, 190, 1, // Opcode: VLD1LNd16
-/* 1596 */    MCD_OPC_CheckPredicate, 15, 178, 16, // Skip to: 5874
+/* 1591 */    MCD_OPC_Decode, 217, 6, 192, 1, // Opcode: VLD1LNd16
+/* 1596 */    MCD_OPC_CheckPredicate, 16, 178, 16, // Skip to: 5874
 /* 1600 */    MCD_OPC_CheckField, 5, 1, 0, 172, 16, // Skip to: 5874
-/* 1606 */    MCD_OPC_Decode, 211, 6, 190, 1, // Opcode: VLD1LNd16_UPD
+/* 1606 */    MCD_OPC_Decode, 218, 6, 192, 1, // Opcode: VLD1LNd16_UPD
 /* 1611 */    MCD_OPC_FilterValue, 5, 89, 1, // Skip to: 1960
 /* 1615 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 1618 */    MCD_OPC_FilterValue, 0, 3, 1, // Skip to: 1881
@@ -5886,75 +5909,75 @@ static const uint8_t DecoderTableNEONLoa
 /* 1632 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 1724
 /* 1637 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 1640 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 1668
-/* 1644 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1659
+/* 1644 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1659
 /* 1648 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1659
-/* 1654 */    MCD_OPC_Decode, 158, 16, 199, 1, // Opcode: VST3q8
-/* 1659 */    MCD_OPC_CheckPredicate, 15, 115, 16, // Skip to: 5874
-/* 1663 */    MCD_OPC_Decode, 160, 16, 199, 1, // Opcode: VST3q8_UPD
+/* 1654 */    MCD_OPC_Decode, 165, 16, 201, 1, // Opcode: VST3q8
+/* 1659 */    MCD_OPC_CheckPredicate, 16, 115, 16, // Skip to: 5874
+/* 1663 */    MCD_OPC_Decode, 167, 16, 201, 1, // Opcode: VST3q8_UPD
 /* 1668 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 1696
-/* 1672 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1687
+/* 1672 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1687
 /* 1676 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1687
-/* 1682 */    MCD_OPC_Decode, 148, 16, 199, 1, // Opcode: VST3q16
-/* 1687 */    MCD_OPC_CheckPredicate, 15, 87, 16, // Skip to: 5874
-/* 1691 */    MCD_OPC_Decode, 150, 16, 199, 1, // Opcode: VST3q16_UPD
+/* 1682 */    MCD_OPC_Decode, 155, 16, 201, 1, // Opcode: VST3q16
+/* 1687 */    MCD_OPC_CheckPredicate, 16, 87, 16, // Skip to: 5874
+/* 1691 */    MCD_OPC_Decode, 157, 16, 201, 1, // Opcode: VST3q16_UPD
 /* 1696 */    MCD_OPC_FilterValue, 2, 78, 16, // Skip to: 5874
-/* 1700 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1715
+/* 1700 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1715
 /* 1704 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1715
-/* 1710 */    MCD_OPC_Decode, 153, 16, 199, 1, // Opcode: VST3q32
-/* 1715 */    MCD_OPC_CheckPredicate, 15, 59, 16, // Skip to: 5874
-/* 1719 */    MCD_OPC_Decode, 155, 16, 199, 1, // Opcode: VST3q32_UPD
+/* 1710 */    MCD_OPC_Decode, 160, 16, 201, 1, // Opcode: VST3q32
+/* 1715 */    MCD_OPC_CheckPredicate, 16, 59, 16, // Skip to: 5874
+/* 1719 */    MCD_OPC_Decode, 162, 16, 201, 1, // Opcode: VST3q32_UPD
 /* 1724 */    MCD_OPC_FilterValue, 233, 3, 49, 16, // Skip to: 5874
-/* 1729 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1744
+/* 1729 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1744
 /* 1733 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1744
-/* 1739 */    MCD_OPC_Decode, 149, 15, 191, 1, // Opcode: VST2LNd16
-/* 1744 */    MCD_OPC_CheckPredicate, 15, 30, 16, // Skip to: 5874
-/* 1748 */    MCD_OPC_Decode, 152, 15, 191, 1, // Opcode: VST2LNd16_UPD
+/* 1739 */    MCD_OPC_Decode, 156, 15, 193, 1, // Opcode: VST2LNd16
+/* 1744 */    MCD_OPC_CheckPredicate, 16, 30, 16, // Skip to: 5874
+/* 1748 */    MCD_OPC_Decode, 159, 15, 193, 1, // Opcode: VST2LNd16_UPD
 /* 1753 */    MCD_OPC_FilterValue, 2, 21, 16, // Skip to: 5874
 /* 1757 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1760 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 1852
 /* 1765 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 1768 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 1796
-/* 1772 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1787
+/* 1772 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1787
 /* 1776 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1787
-/* 1782 */    MCD_OPC_Decode, 220, 8, 199, 1, // Opcode: VLD3q8
-/* 1787 */    MCD_OPC_CheckPredicate, 15, 243, 15, // Skip to: 5874
-/* 1791 */    MCD_OPC_Decode, 222, 8, 199, 1, // Opcode: VLD3q8_UPD
+/* 1782 */    MCD_OPC_Decode, 227, 8, 201, 1, // Opcode: VLD3q8
+/* 1787 */    MCD_OPC_CheckPredicate, 16, 243, 15, // Skip to: 5874
+/* 1791 */    MCD_OPC_Decode, 229, 8, 201, 1, // Opcode: VLD3q8_UPD
 /* 1796 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 1824
-/* 1800 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1815
+/* 1800 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1815
 /* 1804 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1815
-/* 1810 */    MCD_OPC_Decode, 210, 8, 199, 1, // Opcode: VLD3q16
-/* 1815 */    MCD_OPC_CheckPredicate, 15, 215, 15, // Skip to: 5874
-/* 1819 */    MCD_OPC_Decode, 212, 8, 199, 1, // Opcode: VLD3q16_UPD
+/* 1810 */    MCD_OPC_Decode, 217, 8, 201, 1, // Opcode: VLD3q16
+/* 1815 */    MCD_OPC_CheckPredicate, 16, 215, 15, // Skip to: 5874
+/* 1819 */    MCD_OPC_Decode, 219, 8, 201, 1, // Opcode: VLD3q16_UPD
 /* 1824 */    MCD_OPC_FilterValue, 2, 206, 15, // Skip to: 5874
-/* 1828 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1843
+/* 1828 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1843
 /* 1832 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1843
-/* 1838 */    MCD_OPC_Decode, 215, 8, 199, 1, // Opcode: VLD3q32
-/* 1843 */    MCD_OPC_CheckPredicate, 15, 187, 15, // Skip to: 5874
-/* 1847 */    MCD_OPC_Decode, 217, 8, 199, 1, // Opcode: VLD3q32_UPD
+/* 1838 */    MCD_OPC_Decode, 222, 8, 201, 1, // Opcode: VLD3q32
+/* 1843 */    MCD_OPC_CheckPredicate, 16, 187, 15, // Skip to: 5874
+/* 1847 */    MCD_OPC_Decode, 224, 8, 201, 1, // Opcode: VLD3q32_UPD
 /* 1852 */    MCD_OPC_FilterValue, 233, 3, 177, 15, // Skip to: 5874
-/* 1857 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1872
+/* 1857 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1872
 /* 1861 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1872
-/* 1867 */    MCD_OPC_Decode, 175, 7, 192, 1, // Opcode: VLD2LNd16
-/* 1872 */    MCD_OPC_CheckPredicate, 15, 158, 15, // Skip to: 5874
-/* 1876 */    MCD_OPC_Decode, 178, 7, 192, 1, // Opcode: VLD2LNd16_UPD
+/* 1867 */    MCD_OPC_Decode, 182, 7, 194, 1, // Opcode: VLD2LNd16
+/* 1872 */    MCD_OPC_CheckPredicate, 16, 158, 15, // Skip to: 5874
+/* 1876 */    MCD_OPC_Decode, 185, 7, 194, 1, // Opcode: VLD2LNd16_UPD
 /* 1881 */    MCD_OPC_FilterValue, 1, 149, 15, // Skip to: 5874
 /* 1885 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 1888 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 1924
 /* 1892 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1895 */    MCD_OPC_FilterValue, 233, 3, 134, 15, // Skip to: 5874
-/* 1900 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1915
+/* 1900 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1915
 /* 1904 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1915
-/* 1910 */    MCD_OPC_Decode, 170, 15, 191, 1, // Opcode: VST2LNq16
-/* 1915 */    MCD_OPC_CheckPredicate, 15, 115, 15, // Skip to: 5874
-/* 1919 */    MCD_OPC_Decode, 173, 15, 191, 1, // Opcode: VST2LNq16_UPD
+/* 1910 */    MCD_OPC_Decode, 177, 15, 193, 1, // Opcode: VST2LNq16
+/* 1915 */    MCD_OPC_CheckPredicate, 16, 115, 15, // Skip to: 5874
+/* 1919 */    MCD_OPC_Decode, 180, 15, 193, 1, // Opcode: VST2LNq16_UPD
 /* 1924 */    MCD_OPC_FilterValue, 2, 106, 15, // Skip to: 5874
 /* 1928 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 1931 */    MCD_OPC_FilterValue, 233, 3, 98, 15, // Skip to: 5874
-/* 1936 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 1951
+/* 1936 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 1951
 /* 1940 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 1951
-/* 1946 */    MCD_OPC_Decode, 196, 7, 192, 1, // Opcode: VLD2LNq16
-/* 1951 */    MCD_OPC_CheckPredicate, 15, 79, 15, // Skip to: 5874
-/* 1955 */    MCD_OPC_Decode, 199, 7, 192, 1, // Opcode: VLD2LNq16_UPD
+/* 1946 */    MCD_OPC_Decode, 203, 7, 194, 1, // Opcode: VLD2LNq16
+/* 1951 */    MCD_OPC_CheckPredicate, 16, 79, 15, // Skip to: 5874
+/* 1955 */    MCD_OPC_Decode, 206, 7, 194, 1, // Opcode: VLD2LNq16_UPD
 /* 1960 */    MCD_OPC_FilterValue, 6, 31, 2, // Skip to: 2507
 /* 1964 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 1967 */    MCD_OPC_FilterValue, 0, 11, 1, // Skip to: 2238
@@ -5964,61 +5987,61 @@ static const uint8_t DecoderTableNEONLoa
 /* 1982 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 2030
 /* 1986 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1989 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2002
-/* 1993 */    MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 2021
-/* 1997 */    MCD_OPC_Decode, 133, 15, 193, 1, // Opcode: VST1d8Twb_fixed
+/* 1993 */    MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 2021
+/* 1997 */    MCD_OPC_Decode, 140, 15, 195, 1, // Opcode: VST1d8Twb_fixed
 /* 2002 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 2021
-/* 2006 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2021
+/* 2006 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2021
 /* 2010 */    MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 2021
-/* 2016 */    MCD_OPC_Decode, 132, 15, 193, 1, // Opcode: VST1d8T
-/* 2021 */    MCD_OPC_CheckPredicate, 15, 9, 15, // Skip to: 5874
-/* 2025 */    MCD_OPC_Decode, 134, 15, 193, 1, // Opcode: VST1d8Twb_register
+/* 2016 */    MCD_OPC_Decode, 139, 15, 195, 1, // Opcode: VST1d8T
+/* 2021 */    MCD_OPC_CheckPredicate, 16, 9, 15, // Skip to: 5874
+/* 2025 */    MCD_OPC_Decode, 141, 15, 195, 1, // Opcode: VST1d8Twb_register
 /* 2030 */    MCD_OPC_FilterValue, 1, 44, 0, // Skip to: 2078
 /* 2034 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2037 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2050
-/* 2041 */    MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 2069
-/* 2045 */    MCD_OPC_Decode, 228, 14, 193, 1, // Opcode: VST1d16Twb_fixed
+/* 2041 */    MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 2069
+/* 2045 */    MCD_OPC_Decode, 235, 14, 195, 1, // Opcode: VST1d16Twb_fixed
 /* 2050 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 2069
-/* 2054 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2069
+/* 2054 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2069
 /* 2058 */    MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 2069
-/* 2064 */    MCD_OPC_Decode, 227, 14, 193, 1, // Opcode: VST1d16T
-/* 2069 */    MCD_OPC_CheckPredicate, 15, 217, 14, // Skip to: 5874
-/* 2073 */    MCD_OPC_Decode, 229, 14, 193, 1, // Opcode: VST1d16Twb_register
+/* 2064 */    MCD_OPC_Decode, 234, 14, 195, 1, // Opcode: VST1d16T
+/* 2069 */    MCD_OPC_CheckPredicate, 16, 217, 14, // Skip to: 5874
+/* 2073 */    MCD_OPC_Decode, 236, 14, 195, 1, // Opcode: VST1d16Twb_register
 /* 2078 */    MCD_OPC_FilterValue, 2, 44, 0, // Skip to: 2126
 /* 2082 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2085 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2098
-/* 2089 */    MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 2117
-/* 2093 */    MCD_OPC_Decode, 237, 14, 193, 1, // Opcode: VST1d32Twb_fixed
+/* 2089 */    MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 2117
+/* 2093 */    MCD_OPC_Decode, 244, 14, 195, 1, // Opcode: VST1d32Twb_fixed
 /* 2098 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 2117
-/* 2102 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2117
+/* 2102 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2117
 /* 2106 */    MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 2117
-/* 2112 */    MCD_OPC_Decode, 236, 14, 193, 1, // Opcode: VST1d32T
-/* 2117 */    MCD_OPC_CheckPredicate, 15, 169, 14, // Skip to: 5874
-/* 2121 */    MCD_OPC_Decode, 238, 14, 193, 1, // Opcode: VST1d32Twb_register
+/* 2112 */    MCD_OPC_Decode, 243, 14, 195, 1, // Opcode: VST1d32T
+/* 2117 */    MCD_OPC_CheckPredicate, 16, 169, 14, // Skip to: 5874
+/* 2121 */    MCD_OPC_Decode, 245, 14, 195, 1, // Opcode: VST1d32Twb_register
 /* 2126 */    MCD_OPC_FilterValue, 3, 160, 14, // Skip to: 5874
 /* 2130 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2133 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2146
-/* 2137 */    MCD_OPC_CheckPredicate, 15, 24, 0, // Skip to: 2165
-/* 2141 */    MCD_OPC_Decode, 252, 14, 193, 1, // Opcode: VST1d64Twb_fixed
+/* 2137 */    MCD_OPC_CheckPredicate, 16, 24, 0, // Skip to: 2165
+/* 2141 */    MCD_OPC_Decode, 131, 15, 195, 1, // Opcode: VST1d64Twb_fixed
 /* 2146 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 2165
-/* 2150 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2165
+/* 2150 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2165
 /* 2154 */    MCD_OPC_CheckField, 5, 1, 0, 5, 0, // Skip to: 2165
-/* 2160 */    MCD_OPC_Decode, 248, 14, 193, 1, // Opcode: VST1d64T
-/* 2165 */    MCD_OPC_CheckPredicate, 15, 121, 14, // Skip to: 5874
-/* 2169 */    MCD_OPC_Decode, 253, 14, 193, 1, // Opcode: VST1d64Twb_register
+/* 2160 */    MCD_OPC_Decode, 255, 14, 195, 1, // Opcode: VST1d64T
+/* 2165 */    MCD_OPC_CheckPredicate, 16, 121, 14, // Skip to: 5874
+/* 2169 */    MCD_OPC_Decode, 132, 15, 195, 1, // Opcode: VST1d64Twb_register
 /* 2174 */    MCD_OPC_FilterValue, 233, 3, 111, 14, // Skip to: 5874
 /* 2179 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 2182 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 2210
-/* 2186 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2201
+/* 2186 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2201
 /* 2190 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2201
-/* 2196 */    MCD_OPC_Decode, 220, 15, 194, 1, // Opcode: VST3LNd16
-/* 2201 */    MCD_OPC_CheckPredicate, 15, 85, 14, // Skip to: 5874
-/* 2205 */    MCD_OPC_Decode, 223, 15, 194, 1, // Opcode: VST3LNd16_UPD
+/* 2196 */    MCD_OPC_Decode, 227, 15, 196, 1, // Opcode: VST3LNd16
+/* 2201 */    MCD_OPC_CheckPredicate, 16, 85, 14, // Skip to: 5874
+/* 2205 */    MCD_OPC_Decode, 230, 15, 196, 1, // Opcode: VST3LNd16_UPD
 /* 2210 */    MCD_OPC_FilterValue, 2, 76, 14, // Skip to: 5874
-/* 2214 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2229
+/* 2214 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2229
 /* 2218 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2229
-/* 2224 */    MCD_OPC_Decode, 241, 15, 194, 1, // Opcode: VST3LNq16
-/* 2229 */    MCD_OPC_CheckPredicate, 15, 57, 14, // Skip to: 5874
-/* 2233 */    MCD_OPC_Decode, 244, 15, 194, 1, // Opcode: VST3LNq16_UPD
+/* 2224 */    MCD_OPC_Decode, 248, 15, 196, 1, // Opcode: VST3LNq16
+/* 2229 */    MCD_OPC_CheckPredicate, 16, 57, 14, // Skip to: 5874
+/* 2233 */    MCD_OPC_Decode, 251, 15, 196, 1, // Opcode: VST3LNq16_UPD
 /* 2238 */    MCD_OPC_FilterValue, 2, 48, 14, // Skip to: 5874
 /* 2242 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 2245 */    MCD_OPC_FilterValue, 0, 215, 0, // Skip to: 2464
@@ -6028,61 +6051,61 @@ static const uint8_t DecoderTableNEONLoa
 /* 2260 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 2302
 /* 2264 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2267 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2280
-/* 2271 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2293
-/* 2275 */    MCD_OPC_Decode, 141, 7, 193, 1, // Opcode: VLD1d8Twb_fixed
+/* 2271 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2293
+/* 2275 */    MCD_OPC_Decode, 148, 7, 195, 1, // Opcode: VLD1d8Twb_fixed
 /* 2280 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2293
-/* 2284 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2293
-/* 2288 */    MCD_OPC_Decode, 140, 7, 193, 1, // Opcode: VLD1d8T
-/* 2293 */    MCD_OPC_CheckPredicate, 15, 249, 13, // Skip to: 5874
-/* 2297 */    MCD_OPC_Decode, 142, 7, 193, 1, // Opcode: VLD1d8Twb_register
+/* 2284 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2293
+/* 2288 */    MCD_OPC_Decode, 147, 7, 195, 1, // Opcode: VLD1d8T
+/* 2293 */    MCD_OPC_CheckPredicate, 16, 249, 13, // Skip to: 5874
+/* 2297 */    MCD_OPC_Decode, 149, 7, 195, 1, // Opcode: VLD1d8Twb_register
 /* 2302 */    MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 2344
 /* 2306 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2309 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2322
-/* 2313 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2335
-/* 2317 */    MCD_OPC_Decode, 236, 6, 193, 1, // Opcode: VLD1d16Twb_fixed
+/* 2313 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2335
+/* 2317 */    MCD_OPC_Decode, 243, 6, 195, 1, // Opcode: VLD1d16Twb_fixed
 /* 2322 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2335
-/* 2326 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2335
-/* 2330 */    MCD_OPC_Decode, 235, 6, 193, 1, // Opcode: VLD1d16T
-/* 2335 */    MCD_OPC_CheckPredicate, 15, 207, 13, // Skip to: 5874
-/* 2339 */    MCD_OPC_Decode, 237, 6, 193, 1, // Opcode: VLD1d16Twb_register
+/* 2326 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2335
+/* 2330 */    MCD_OPC_Decode, 242, 6, 195, 1, // Opcode: VLD1d16T
+/* 2335 */    MCD_OPC_CheckPredicate, 16, 207, 13, // Skip to: 5874
+/* 2339 */    MCD_OPC_Decode, 244, 6, 195, 1, // Opcode: VLD1d16Twb_register
 /* 2344 */    MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 2386
 /* 2348 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2351 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2364
-/* 2355 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2377
-/* 2359 */    MCD_OPC_Decode, 245, 6, 193, 1, // Opcode: VLD1d32Twb_fixed
+/* 2355 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2377
+/* 2359 */    MCD_OPC_Decode, 252, 6, 195, 1, // Opcode: VLD1d32Twb_fixed
 /* 2364 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2377
-/* 2368 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2377
-/* 2372 */    MCD_OPC_Decode, 244, 6, 193, 1, // Opcode: VLD1d32T
-/* 2377 */    MCD_OPC_CheckPredicate, 15, 165, 13, // Skip to: 5874
-/* 2381 */    MCD_OPC_Decode, 246, 6, 193, 1, // Opcode: VLD1d32Twb_register
+/* 2368 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2377
+/* 2372 */    MCD_OPC_Decode, 251, 6, 195, 1, // Opcode: VLD1d32T
+/* 2377 */    MCD_OPC_CheckPredicate, 16, 165, 13, // Skip to: 5874
+/* 2381 */    MCD_OPC_Decode, 253, 6, 195, 1, // Opcode: VLD1d32Twb_register
 /* 2386 */    MCD_OPC_FilterValue, 3, 156, 13, // Skip to: 5874
 /* 2390 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2393 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2406
-/* 2397 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2419
-/* 2401 */    MCD_OPC_Decode, 132, 7, 193, 1, // Opcode: VLD1d64Twb_fixed
+/* 2397 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2419
+/* 2401 */    MCD_OPC_Decode, 139, 7, 195, 1, // Opcode: VLD1d64Twb_fixed
 /* 2406 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2419
-/* 2410 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2419
-/* 2414 */    MCD_OPC_Decode, 128, 7, 193, 1, // Opcode: VLD1d64T
-/* 2419 */    MCD_OPC_CheckPredicate, 15, 123, 13, // Skip to: 5874
-/* 2423 */    MCD_OPC_Decode, 133, 7, 193, 1, // Opcode: VLD1d64Twb_register
+/* 2410 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2419
+/* 2414 */    MCD_OPC_Decode, 135, 7, 195, 1, // Opcode: VLD1d64T
+/* 2419 */    MCD_OPC_CheckPredicate, 16, 123, 13, // Skip to: 5874
+/* 2423 */    MCD_OPC_Decode, 140, 7, 195, 1, // Opcode: VLD1d64Twb_register
 /* 2428 */    MCD_OPC_FilterValue, 233, 3, 113, 13, // Skip to: 5874
 /* 2433 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 2436 */    MCD_OPC_FilterValue, 0, 106, 13, // Skip to: 5874
-/* 2440 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2455
+/* 2440 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2455
 /* 2444 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2455
-/* 2450 */    MCD_OPC_Decode, 154, 8, 195, 1, // Opcode: VLD3LNd16
-/* 2455 */    MCD_OPC_CheckPredicate, 15, 87, 13, // Skip to: 5874
-/* 2459 */    MCD_OPC_Decode, 157, 8, 195, 1, // Opcode: VLD3LNd16_UPD
+/* 2450 */    MCD_OPC_Decode, 161, 8, 197, 1, // Opcode: VLD3LNd16
+/* 2455 */    MCD_OPC_CheckPredicate, 16, 87, 13, // Skip to: 5874
+/* 2459 */    MCD_OPC_Decode, 164, 8, 197, 1, // Opcode: VLD3LNd16_UPD
 /* 2464 */    MCD_OPC_FilterValue, 1, 78, 13, // Skip to: 5874
 /* 2468 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 2471 */    MCD_OPC_FilterValue, 0, 71, 13, // Skip to: 5874
 /* 2475 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2478 */    MCD_OPC_FilterValue, 233, 3, 63, 13, // Skip to: 5874
-/* 2483 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2498
+/* 2483 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2498
 /* 2487 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2498
-/* 2493 */    MCD_OPC_Decode, 175, 8, 195, 1, // Opcode: VLD3LNq16
-/* 2498 */    MCD_OPC_CheckPredicate, 15, 44, 13, // Skip to: 5874
-/* 2502 */    MCD_OPC_Decode, 178, 8, 195, 1, // Opcode: VLD3LNq16_UPD
+/* 2493 */    MCD_OPC_Decode, 182, 8, 197, 1, // Opcode: VLD3LNq16
+/* 2498 */    MCD_OPC_CheckPredicate, 16, 44, 13, // Skip to: 5874
+/* 2502 */    MCD_OPC_Decode, 185, 8, 197, 1, // Opcode: VLD3LNq16_UPD
 /* 2507 */    MCD_OPC_FilterValue, 7, 1, 2, // Skip to: 3024
 /* 2511 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 2514 */    MCD_OPC_FilterValue, 0, 171, 1, // Skip to: 2945
@@ -6094,49 +6117,49 @@ static const uint8_t DecoderTableNEONLoa
 /* 2536 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 2578
 /* 2540 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2543 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2556
-/* 2547 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2569
-/* 2551 */    MCD_OPC_Decode, 135, 15, 193, 1, // Opcode: VST1d8wb_fixed
+/* 2547 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2569
+/* 2551 */    MCD_OPC_Decode, 142, 15, 195, 1, // Opcode: VST1d8wb_fixed
 /* 2556 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2569
-/* 2560 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2569
-/* 2564 */    MCD_OPC_Decode, 128, 15, 193, 1, // Opcode: VST1d8
-/* 2569 */    MCD_OPC_CheckPredicate, 15, 229, 12, // Skip to: 5874
-/* 2573 */    MCD_OPC_Decode, 136, 15, 193, 1, // Opcode: VST1d8wb_register
+/* 2560 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2569
+/* 2564 */    MCD_OPC_Decode, 135, 15, 195, 1, // Opcode: VST1d8
+/* 2569 */    MCD_OPC_CheckPredicate, 16, 229, 12, // Skip to: 5874
+/* 2573 */    MCD_OPC_Decode, 143, 15, 195, 1, // Opcode: VST1d8wb_register
 /* 2578 */    MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 2620
 /* 2582 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2585 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2598
-/* 2589 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2611
-/* 2593 */    MCD_OPC_Decode, 230, 14, 193, 1, // Opcode: VST1d16wb_fixed
+/* 2589 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2611
+/* 2593 */    MCD_OPC_Decode, 237, 14, 195, 1, // Opcode: VST1d16wb_fixed
 /* 2598 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2611
-/* 2602 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2611
-/* 2606 */    MCD_OPC_Decode, 223, 14, 193, 1, // Opcode: VST1d16
-/* 2611 */    MCD_OPC_CheckPredicate, 15, 187, 12, // Skip to: 5874
-/* 2615 */    MCD_OPC_Decode, 231, 14, 193, 1, // Opcode: VST1d16wb_register
+/* 2602 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2611
+/* 2606 */    MCD_OPC_Decode, 230, 14, 195, 1, // Opcode: VST1d16
+/* 2611 */    MCD_OPC_CheckPredicate, 16, 187, 12, // Skip to: 5874
+/* 2615 */    MCD_OPC_Decode, 238, 14, 195, 1, // Opcode: VST1d16wb_register
 /* 2620 */    MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 2662
 /* 2624 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2627 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2640
-/* 2631 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2653
-/* 2635 */    MCD_OPC_Decode, 239, 14, 193, 1, // Opcode: VST1d32wb_fixed
+/* 2631 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2653
+/* 2635 */    MCD_OPC_Decode, 246, 14, 195, 1, // Opcode: VST1d32wb_fixed
 /* 2640 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2653
-/* 2644 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2653
-/* 2648 */    MCD_OPC_Decode, 232, 14, 193, 1, // Opcode: VST1d32
-/* 2653 */    MCD_OPC_CheckPredicate, 15, 145, 12, // Skip to: 5874
-/* 2657 */    MCD_OPC_Decode, 240, 14, 193, 1, // Opcode: VST1d32wb_register
+/* 2644 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2653
+/* 2648 */    MCD_OPC_Decode, 239, 14, 195, 1, // Opcode: VST1d32
+/* 2653 */    MCD_OPC_CheckPredicate, 16, 145, 12, // Skip to: 5874
+/* 2657 */    MCD_OPC_Decode, 247, 14, 195, 1, // Opcode: VST1d32wb_register
 /* 2662 */    MCD_OPC_FilterValue, 3, 136, 12, // Skip to: 5874
 /* 2666 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2669 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2682
-/* 2673 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2695
-/* 2677 */    MCD_OPC_Decode, 254, 14, 193, 1, // Opcode: VST1d64wb_fixed
+/* 2673 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2695
+/* 2677 */    MCD_OPC_Decode, 133, 15, 195, 1, // Opcode: VST1d64wb_fixed
 /* 2682 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2695
-/* 2686 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2695
-/* 2690 */    MCD_OPC_Decode, 241, 14, 193, 1, // Opcode: VST1d64
-/* 2695 */    MCD_OPC_CheckPredicate, 15, 103, 12, // Skip to: 5874
-/* 2699 */    MCD_OPC_Decode, 255, 14, 193, 1, // Opcode: VST1d64wb_register
+/* 2686 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2695
+/* 2690 */    MCD_OPC_Decode, 248, 14, 195, 1, // Opcode: VST1d64
+/* 2695 */    MCD_OPC_CheckPredicate, 16, 103, 12, // Skip to: 5874
+/* 2699 */    MCD_OPC_Decode, 134, 15, 195, 1, // Opcode: VST1d64wb_register
 /* 2704 */    MCD_OPC_FilterValue, 233, 3, 93, 12, // Skip to: 5874
-/* 2709 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2724
+/* 2709 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2724
 /* 2713 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2724
-/* 2719 */    MCD_OPC_Decode, 172, 16, 197, 1, // Opcode: VST4LNd16
-/* 2724 */    MCD_OPC_CheckPredicate, 15, 74, 12, // Skip to: 5874
-/* 2728 */    MCD_OPC_Decode, 175, 16, 197, 1, // Opcode: VST4LNd16_UPD
+/* 2719 */    MCD_OPC_Decode, 179, 16, 199, 1, // Opcode: VST4LNd16
+/* 2724 */    MCD_OPC_CheckPredicate, 16, 74, 12, // Skip to: 5874
+/* 2728 */    MCD_OPC_Decode, 182, 16, 199, 1, // Opcode: VST4LNd16_UPD
 /* 2733 */    MCD_OPC_FilterValue, 2, 65, 12, // Skip to: 5874
 /* 2737 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2740 */    MCD_OPC_FilterValue, 232, 3, 171, 0, // Skip to: 2916
@@ -6144,67 +6167,67 @@ static const uint8_t DecoderTableNEONLoa
 /* 2748 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 2790
 /* 2752 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2755 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2768
-/* 2759 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2781
-/* 2763 */    MCD_OPC_Decode, 143, 7, 193, 1, // Opcode: VLD1d8wb_fixed
+/* 2759 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2781
+/* 2763 */    MCD_OPC_Decode, 150, 7, 195, 1, // Opcode: VLD1d8wb_fixed
 /* 2768 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2781
-/* 2772 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2781
-/* 2776 */    MCD_OPC_Decode, 136, 7, 193, 1, // Opcode: VLD1d8
-/* 2781 */    MCD_OPC_CheckPredicate, 15, 17, 12, // Skip to: 5874
-/* 2785 */    MCD_OPC_Decode, 144, 7, 193, 1, // Opcode: VLD1d8wb_register
+/* 2772 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2781
+/* 2776 */    MCD_OPC_Decode, 143, 7, 195, 1, // Opcode: VLD1d8
+/* 2781 */    MCD_OPC_CheckPredicate, 16, 17, 12, // Skip to: 5874
+/* 2785 */    MCD_OPC_Decode, 151, 7, 195, 1, // Opcode: VLD1d8wb_register
 /* 2790 */    MCD_OPC_FilterValue, 1, 38, 0, // Skip to: 2832
 /* 2794 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2797 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2810
-/* 2801 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2823
-/* 2805 */    MCD_OPC_Decode, 238, 6, 193, 1, // Opcode: VLD1d16wb_fixed
+/* 2801 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2823
+/* 2805 */    MCD_OPC_Decode, 245, 6, 195, 1, // Opcode: VLD1d16wb_fixed
 /* 2810 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2823
-/* 2814 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2823
-/* 2818 */    MCD_OPC_Decode, 231, 6, 193, 1, // Opcode: VLD1d16
-/* 2823 */    MCD_OPC_CheckPredicate, 15, 231, 11, // Skip to: 5874
-/* 2827 */    MCD_OPC_Decode, 239, 6, 193, 1, // Opcode: VLD1d16wb_register
+/* 2814 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2823
+/* 2818 */    MCD_OPC_Decode, 238, 6, 195, 1, // Opcode: VLD1d16
+/* 2823 */    MCD_OPC_CheckPredicate, 16, 231, 11, // Skip to: 5874
+/* 2827 */    MCD_OPC_Decode, 246, 6, 195, 1, // Opcode: VLD1d16wb_register
 /* 2832 */    MCD_OPC_FilterValue, 2, 38, 0, // Skip to: 2874
 /* 2836 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2839 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2852
-/* 2843 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2865
-/* 2847 */    MCD_OPC_Decode, 247, 6, 193, 1, // Opcode: VLD1d32wb_fixed
+/* 2843 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2865
+/* 2847 */    MCD_OPC_Decode, 254, 6, 195, 1, // Opcode: VLD1d32wb_fixed
 /* 2852 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2865
-/* 2856 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2865
-/* 2860 */    MCD_OPC_Decode, 240, 6, 193, 1, // Opcode: VLD1d32
-/* 2865 */    MCD_OPC_CheckPredicate, 15, 189, 11, // Skip to: 5874
-/* 2869 */    MCD_OPC_Decode, 248, 6, 193, 1, // Opcode: VLD1d32wb_register
+/* 2856 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2865
+/* 2860 */    MCD_OPC_Decode, 247, 6, 195, 1, // Opcode: VLD1d32
+/* 2865 */    MCD_OPC_CheckPredicate, 16, 189, 11, // Skip to: 5874
+/* 2869 */    MCD_OPC_Decode, 255, 6, 195, 1, // Opcode: VLD1d32wb_register
 /* 2874 */    MCD_OPC_FilterValue, 3, 180, 11, // Skip to: 5874
 /* 2878 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 2881 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2894
-/* 2885 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 2907
-/* 2889 */    MCD_OPC_Decode, 134, 7, 193, 1, // Opcode: VLD1d64wb_fixed
+/* 2885 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 2907
+/* 2889 */    MCD_OPC_Decode, 141, 7, 195, 1, // Opcode: VLD1d64wb_fixed
 /* 2894 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 2907
-/* 2898 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 2907
-/* 2902 */    MCD_OPC_Decode, 249, 6, 193, 1, // Opcode: VLD1d64
-/* 2907 */    MCD_OPC_CheckPredicate, 15, 147, 11, // Skip to: 5874
-/* 2911 */    MCD_OPC_Decode, 135, 7, 193, 1, // Opcode: VLD1d64wb_register
+/* 2898 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 2907
+/* 2902 */    MCD_OPC_Decode, 128, 7, 195, 1, // Opcode: VLD1d64
+/* 2907 */    MCD_OPC_CheckPredicate, 16, 147, 11, // Skip to: 5874
+/* 2911 */    MCD_OPC_Decode, 142, 7, 195, 1, // Opcode: VLD1d64wb_register
 /* 2916 */    MCD_OPC_FilterValue, 233, 3, 137, 11, // Skip to: 5874
-/* 2921 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2936
+/* 2921 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2936
 /* 2925 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2936
-/* 2931 */    MCD_OPC_Decode, 142, 9, 198, 1, // Opcode: VLD4LNd16
-/* 2936 */    MCD_OPC_CheckPredicate, 15, 118, 11, // Skip to: 5874
-/* 2940 */    MCD_OPC_Decode, 145, 9, 198, 1, // Opcode: VLD4LNd16_UPD
+/* 2931 */    MCD_OPC_Decode, 149, 9, 200, 1, // Opcode: VLD4LNd16
+/* 2936 */    MCD_OPC_CheckPredicate, 16, 118, 11, // Skip to: 5874
+/* 2940 */    MCD_OPC_Decode, 152, 9, 200, 1, // Opcode: VLD4LNd16_UPD
 /* 2945 */    MCD_OPC_FilterValue, 1, 109, 11, // Skip to: 5874
 /* 2949 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 2952 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 2988
 /* 2956 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2959 */    MCD_OPC_FilterValue, 233, 3, 94, 11, // Skip to: 5874
-/* 2964 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 2979
+/* 2964 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 2979
 /* 2968 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 2979
-/* 2974 */    MCD_OPC_Decode, 193, 16, 197, 1, // Opcode: VST4LNq16
-/* 2979 */    MCD_OPC_CheckPredicate, 15, 75, 11, // Skip to: 5874
-/* 2983 */    MCD_OPC_Decode, 196, 16, 197, 1, // Opcode: VST4LNq16_UPD
+/* 2974 */    MCD_OPC_Decode, 200, 16, 199, 1, // Opcode: VST4LNq16
+/* 2979 */    MCD_OPC_CheckPredicate, 16, 75, 11, // Skip to: 5874
+/* 2983 */    MCD_OPC_Decode, 203, 16, 199, 1, // Opcode: VST4LNq16_UPD
 /* 2988 */    MCD_OPC_FilterValue, 2, 66, 11, // Skip to: 5874
 /* 2992 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 2995 */    MCD_OPC_FilterValue, 233, 3, 58, 11, // Skip to: 5874
-/* 3000 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3015
+/* 3000 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3015
 /* 3004 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3015
-/* 3010 */    MCD_OPC_Decode, 163, 9, 198, 1, // Opcode: VLD4LNq16
-/* 3015 */    MCD_OPC_CheckPredicate, 15, 39, 11, // Skip to: 5874
-/* 3019 */    MCD_OPC_Decode, 166, 9, 198, 1, // Opcode: VLD4LNq16_UPD
+/* 3010 */    MCD_OPC_Decode, 170, 9, 200, 1, // Opcode: VLD4LNq16
+/* 3015 */    MCD_OPC_CheckPredicate, 16, 39, 11, // Skip to: 5874
+/* 3019 */    MCD_OPC_Decode, 173, 9, 200, 1, // Opcode: VLD4LNq16_UPD
 /* 3024 */    MCD_OPC_FilterValue, 8, 131, 1, // Skip to: 3415
 /* 3028 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3031 */    MCD_OPC_FilterValue, 0, 3, 1, // Skip to: 3294
@@ -6216,29 +6239,29 @@ static const uint8_t DecoderTableNEONLoa
 /* 3053 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 3095
 /* 3057 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3060 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3073
-/* 3064 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3086
-/* 3068 */    MCD_OPC_Decode, 200, 15, 196, 1, // Opcode: VST2d8wb_fixed
+/* 3064 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3086
+/* 3068 */    MCD_OPC_Decode, 207, 15, 198, 1, // Opcode: VST2d8wb_fixed
 /* 3073 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3086
-/* 3077 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3086
-/* 3081 */    MCD_OPC_Decode, 199, 15, 196, 1, // Opcode: VST2d8
-/* 3086 */    MCD_OPC_CheckPredicate, 15, 224, 10, // Skip to: 5874
-/* 3090 */    MCD_OPC_Decode, 201, 15, 196, 1, // Opcode: VST2d8wb_register
+/* 3077 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3086
+/* 3081 */    MCD_OPC_Decode, 206, 15, 198, 1, // Opcode: VST2d8
+/* 3086 */    MCD_OPC_CheckPredicate, 16, 224, 10, // Skip to: 5874
+/* 3090 */    MCD_OPC_Decode, 208, 15, 198, 1, // Opcode: VST2d8wb_register
 /* 3095 */    MCD_OPC_FilterValue, 1, 215, 10, // Skip to: 5874
 /* 3099 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3102 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3115
-/* 3106 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3128
-/* 3110 */    MCD_OPC_Decode, 197, 15, 196, 1, // Opcode: VST2d32wb_fixed
+/* 3106 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3128
+/* 3110 */    MCD_OPC_Decode, 204, 15, 198, 1, // Opcode: VST2d32wb_fixed
 /* 3115 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3128
-/* 3119 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3128
-/* 3123 */    MCD_OPC_Decode, 196, 15, 196, 1, // Opcode: VST2d32
-/* 3128 */    MCD_OPC_CheckPredicate, 15, 182, 10, // Skip to: 5874
-/* 3132 */    MCD_OPC_Decode, 198, 15, 196, 1, // Opcode: VST2d32wb_register
+/* 3119 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3128
+/* 3123 */    MCD_OPC_Decode, 203, 15, 198, 1, // Opcode: VST2d32
+/* 3128 */    MCD_OPC_CheckPredicate, 16, 182, 10, // Skip to: 5874
+/* 3132 */    MCD_OPC_Decode, 205, 15, 198, 1, // Opcode: VST2d32wb_register
 /* 3137 */    MCD_OPC_FilterValue, 233, 3, 172, 10, // Skip to: 5874
-/* 3142 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3157
+/* 3142 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3157
 /* 3146 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3157
-/* 3152 */    MCD_OPC_Decode, 204, 14, 189, 1, // Opcode: VST1LNd32
-/* 3157 */    MCD_OPC_CheckPredicate, 15, 153, 10, // Skip to: 5874
-/* 3161 */    MCD_OPC_Decode, 205, 14, 189, 1, // Opcode: VST1LNd32_UPD
+/* 3152 */    MCD_OPC_Decode, 211, 14, 191, 1, // Opcode: VST1LNd32
+/* 3157 */    MCD_OPC_CheckPredicate, 16, 153, 10, // Skip to: 5874
+/* 3161 */    MCD_OPC_Decode, 212, 14, 191, 1, // Opcode: VST1LNd32_UPD
 /* 3166 */    MCD_OPC_FilterValue, 2, 144, 10, // Skip to: 5874
 /* 3170 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3173 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 3265
@@ -6246,29 +6269,29 @@ static const uint8_t DecoderTableNEONLoa
 /* 3181 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 3223
 /* 3185 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3188 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3201
-/* 3192 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3214
-/* 3196 */    MCD_OPC_Decode, 226, 7, 196, 1, // Opcode: VLD2d8wb_fixed
+/* 3192 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3214
+/* 3196 */    MCD_OPC_Decode, 233, 7, 198, 1, // Opcode: VLD2d8wb_fixed
 /* 3201 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3214
-/* 3205 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3214
-/* 3209 */    MCD_OPC_Decode, 225, 7, 196, 1, // Opcode: VLD2d8
-/* 3214 */    MCD_OPC_CheckPredicate, 15, 96, 10, // Skip to: 5874
-/* 3218 */    MCD_OPC_Decode, 227, 7, 196, 1, // Opcode: VLD2d8wb_register
+/* 3205 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3214
+/* 3209 */    MCD_OPC_Decode, 232, 7, 198, 1, // Opcode: VLD2d8
+/* 3214 */    MCD_OPC_CheckPredicate, 16, 96, 10, // Skip to: 5874
+/* 3218 */    MCD_OPC_Decode, 234, 7, 198, 1, // Opcode: VLD2d8wb_register
 /* 3223 */    MCD_OPC_FilterValue, 1, 87, 10, // Skip to: 5874
 /* 3227 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3230 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3243
-/* 3234 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3256
-/* 3238 */    MCD_OPC_Decode, 223, 7, 196, 1, // Opcode: VLD2d32wb_fixed
+/* 3234 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3256
+/* 3238 */    MCD_OPC_Decode, 230, 7, 198, 1, // Opcode: VLD2d32wb_fixed
 /* 3243 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3256
-/* 3247 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3256
-/* 3251 */    MCD_OPC_Decode, 222, 7, 196, 1, // Opcode: VLD2d32
-/* 3256 */    MCD_OPC_CheckPredicate, 15, 54, 10, // Skip to: 5874
-/* 3260 */    MCD_OPC_Decode, 224, 7, 196, 1, // Opcode: VLD2d32wb_register
+/* 3247 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3256
+/* 3251 */    MCD_OPC_Decode, 229, 7, 198, 1, // Opcode: VLD2d32
+/* 3256 */    MCD_OPC_CheckPredicate, 16, 54, 10, // Skip to: 5874
+/* 3260 */    MCD_OPC_Decode, 231, 7, 198, 1, // Opcode: VLD2d32wb_register
 /* 3265 */    MCD_OPC_FilterValue, 233, 3, 44, 10, // Skip to: 5874
-/* 3270 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3285
+/* 3270 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3285
 /* 3274 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3285
-/* 3280 */    MCD_OPC_Decode, 212, 6, 190, 1, // Opcode: VLD1LNd32
-/* 3285 */    MCD_OPC_CheckPredicate, 15, 25, 10, // Skip to: 5874
-/* 3289 */    MCD_OPC_Decode, 213, 6, 190, 1, // Opcode: VLD1LNd32_UPD
+/* 3280 */    MCD_OPC_Decode, 219, 6, 192, 1, // Opcode: VLD1LNd32
+/* 3285 */    MCD_OPC_CheckPredicate, 16, 25, 10, // Skip to: 5874
+/* 3289 */    MCD_OPC_Decode, 220, 6, 192, 1, // Opcode: VLD1LNd32_UPD
 /* 3294 */    MCD_OPC_FilterValue, 1, 16, 10, // Skip to: 5874
 /* 3298 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 3301 */    MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 3358
@@ -6278,13 +6301,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 3315 */    MCD_OPC_FilterValue, 232, 3, 250, 9, // Skip to: 5874
 /* 3320 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3323 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3336
-/* 3327 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3349
-/* 3331 */    MCD_OPC_Decode, 194, 15, 196, 1, // Opcode: VST2d16wb_fixed
+/* 3327 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3349
+/* 3331 */    MCD_OPC_Decode, 201, 15, 198, 1, // Opcode: VST2d16wb_fixed
 /* 3336 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3349
-/* 3340 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3349
-/* 3344 */    MCD_OPC_Decode, 193, 15, 196, 1, // Opcode: VST2d16
-/* 3349 */    MCD_OPC_CheckPredicate, 15, 217, 9, // Skip to: 5874
-/* 3353 */    MCD_OPC_Decode, 195, 15, 196, 1, // Opcode: VST2d16wb_register
+/* 3340 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3349
+/* 3344 */    MCD_OPC_Decode, 200, 15, 198, 1, // Opcode: VST2d16
+/* 3349 */    MCD_OPC_CheckPredicate, 16, 217, 9, // Skip to: 5874
+/* 3353 */    MCD_OPC_Decode, 202, 15, 198, 1, // Opcode: VST2d16wb_register
 /* 3358 */    MCD_OPC_FilterValue, 2, 208, 9, // Skip to: 5874
 /* 3362 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
 /* 3365 */    MCD_OPC_FilterValue, 0, 201, 9, // Skip to: 5874
@@ -6292,13 +6315,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 3372 */    MCD_OPC_FilterValue, 232, 3, 193, 9, // Skip to: 5874
 /* 3377 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3380 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3393
-/* 3384 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3406
-/* 3388 */    MCD_OPC_Decode, 220, 7, 196, 1, // Opcode: VLD2d16wb_fixed
+/* 3384 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3406
+/* 3388 */    MCD_OPC_Decode, 227, 7, 198, 1, // Opcode: VLD2d16wb_fixed
 /* 3393 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3406
-/* 3397 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3406
-/* 3401 */    MCD_OPC_Decode, 219, 7, 196, 1, // Opcode: VLD2d16
-/* 3406 */    MCD_OPC_CheckPredicate, 15, 160, 9, // Skip to: 5874
-/* 3410 */    MCD_OPC_Decode, 221, 7, 196, 1, // Opcode: VLD2d16wb_register
+/* 3397 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3406
+/* 3401 */    MCD_OPC_Decode, 226, 7, 198, 1, // Opcode: VLD2d16
+/* 3406 */    MCD_OPC_CheckPredicate, 16, 160, 9, // Skip to: 5874
+/* 3410 */    MCD_OPC_Decode, 228, 7, 198, 1, // Opcode: VLD2d16wb_register
 /* 3415 */    MCD_OPC_FilterValue, 9, 217, 1, // Skip to: 3892
 /* 3419 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3422 */    MCD_OPC_FilterValue, 0, 17, 1, // Skip to: 3699
@@ -6310,31 +6333,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 3444 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 3486
 /* 3448 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3451 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3464
-/* 3455 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3477
-/* 3459 */    MCD_OPC_Decode, 191, 15, 196, 1, // Opcode: VST2b8wb_fixed
+/* 3455 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3477
+/* 3459 */    MCD_OPC_Decode, 198, 15, 198, 1, // Opcode: VST2b8wb_fixed
 /* 3464 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3477
-/* 3468 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3477
-/* 3472 */    MCD_OPC_Decode, 190, 15, 196, 1, // Opcode: VST2b8
-/* 3477 */    MCD_OPC_CheckPredicate, 15, 89, 9, // Skip to: 5874
-/* 3481 */    MCD_OPC_Decode, 192, 15, 196, 1, // Opcode: VST2b8wb_register
+/* 3468 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3477
+/* 3472 */    MCD_OPC_Decode, 197, 15, 198, 1, // Opcode: VST2b8
+/* 3477 */    MCD_OPC_CheckPredicate, 16, 89, 9, // Skip to: 5874
+/* 3481 */    MCD_OPC_Decode, 199, 15, 198, 1, // Opcode: VST2b8wb_register
 /* 3486 */    MCD_OPC_FilterValue, 1, 80, 9, // Skip to: 5874
 /* 3490 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3493 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3506
-/* 3497 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3519
-/* 3501 */    MCD_OPC_Decode, 188, 15, 196, 1, // Opcode: VST2b32wb_fixed
+/* 3497 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3519
+/* 3501 */    MCD_OPC_Decode, 195, 15, 198, 1, // Opcode: VST2b32wb_fixed
 /* 3506 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3519
-/* 3510 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3519
-/* 3514 */    MCD_OPC_Decode, 187, 15, 196, 1, // Opcode: VST2b32
-/* 3519 */    MCD_OPC_CheckPredicate, 15, 47, 9, // Skip to: 5874
-/* 3523 */    MCD_OPC_Decode, 189, 15, 196, 1, // Opcode: VST2b32wb_register
+/* 3510 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3519
+/* 3514 */    MCD_OPC_Decode, 194, 15, 198, 1, // Opcode: VST2b32
+/* 3519 */    MCD_OPC_CheckPredicate, 16, 47, 9, // Skip to: 5874
+/* 3523 */    MCD_OPC_Decode, 196, 15, 198, 1, // Opcode: VST2b32wb_register
 /* 3528 */    MCD_OPC_FilterValue, 233, 3, 37, 9, // Skip to: 5874
 /* 3533 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 3536 */    MCD_OPC_FilterValue, 0, 30, 9, // Skip to: 5874
-/* 3540 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3555
+/* 3540 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3555
 /* 3544 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3555
-/* 3550 */    MCD_OPC_Decode, 153, 15, 191, 1, // Opcode: VST2LNd32
-/* 3555 */    MCD_OPC_CheckPredicate, 15, 11, 9, // Skip to: 5874
-/* 3559 */    MCD_OPC_Decode, 156, 15, 191, 1, // Opcode: VST2LNd32_UPD
+/* 3550 */    MCD_OPC_Decode, 160, 15, 193, 1, // Opcode: VST2LNd32
+/* 3555 */    MCD_OPC_CheckPredicate, 16, 11, 9, // Skip to: 5874
+/* 3559 */    MCD_OPC_Decode, 163, 15, 193, 1, // Opcode: VST2LNd32_UPD
 /* 3564 */    MCD_OPC_FilterValue, 2, 2, 9, // Skip to: 5874
 /* 3568 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3571 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 3663
@@ -6342,31 +6365,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 3579 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 3621
 /* 3583 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3586 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3599
-/* 3590 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3612
-/* 3594 */    MCD_OPC_Decode, 217, 7, 196, 1, // Opcode: VLD2b8wb_fixed
+/* 3590 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3612
+/* 3594 */    MCD_OPC_Decode, 224, 7, 198, 1, // Opcode: VLD2b8wb_fixed
 /* 3599 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3612
-/* 3603 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3612
-/* 3607 */    MCD_OPC_Decode, 216, 7, 196, 1, // Opcode: VLD2b8
-/* 3612 */    MCD_OPC_CheckPredicate, 15, 210, 8, // Skip to: 5874
-/* 3616 */    MCD_OPC_Decode, 218, 7, 196, 1, // Opcode: VLD2b8wb_register
+/* 3603 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3612
+/* 3607 */    MCD_OPC_Decode, 223, 7, 198, 1, // Opcode: VLD2b8
+/* 3612 */    MCD_OPC_CheckPredicate, 16, 210, 8, // Skip to: 5874
+/* 3616 */    MCD_OPC_Decode, 225, 7, 198, 1, // Opcode: VLD2b8wb_register
 /* 3621 */    MCD_OPC_FilterValue, 1, 201, 8, // Skip to: 5874
 /* 3625 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3628 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3641
-/* 3632 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3654
-/* 3636 */    MCD_OPC_Decode, 214, 7, 196, 1, // Opcode: VLD2b32wb_fixed
+/* 3632 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3654
+/* 3636 */    MCD_OPC_Decode, 221, 7, 198, 1, // Opcode: VLD2b32wb_fixed
 /* 3641 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3654
-/* 3645 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3654
-/* 3649 */    MCD_OPC_Decode, 213, 7, 196, 1, // Opcode: VLD2b32
-/* 3654 */    MCD_OPC_CheckPredicate, 15, 168, 8, // Skip to: 5874
-/* 3658 */    MCD_OPC_Decode, 215, 7, 196, 1, // Opcode: VLD2b32wb_register
+/* 3645 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3654
+/* 3649 */    MCD_OPC_Decode, 220, 7, 198, 1, // Opcode: VLD2b32
+/* 3654 */    MCD_OPC_CheckPredicate, 16, 168, 8, // Skip to: 5874
+/* 3658 */    MCD_OPC_Decode, 222, 7, 198, 1, // Opcode: VLD2b32wb_register
 /* 3663 */    MCD_OPC_FilterValue, 233, 3, 158, 8, // Skip to: 5874
 /* 3668 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 3671 */    MCD_OPC_FilterValue, 0, 151, 8, // Skip to: 5874
-/* 3675 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3690
+/* 3675 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3690
 /* 3679 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3690
-/* 3685 */    MCD_OPC_Decode, 179, 7, 192, 1, // Opcode: VLD2LNd32
-/* 3690 */    MCD_OPC_CheckPredicate, 15, 132, 8, // Skip to: 5874
-/* 3694 */    MCD_OPC_Decode, 182, 7, 192, 1, // Opcode: VLD2LNd32_UPD
+/* 3685 */    MCD_OPC_Decode, 186, 7, 194, 1, // Opcode: VLD2LNd32
+/* 3690 */    MCD_OPC_CheckPredicate, 16, 132, 8, // Skip to: 5874
+/* 3694 */    MCD_OPC_Decode, 189, 7, 194, 1, // Opcode: VLD2LNd32_UPD
 /* 3699 */    MCD_OPC_FilterValue, 1, 123, 8, // Skip to: 5874
 /* 3703 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 3706 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3799
@@ -6376,21 +6399,21 @@ static const uint8_t DecoderTableNEONLoa
 /* 3721 */    MCD_OPC_FilterValue, 0, 101, 8, // Skip to: 5874
 /* 3725 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3728 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3741
-/* 3732 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3754
-/* 3736 */    MCD_OPC_Decode, 185, 15, 196, 1, // Opcode: VST2b16wb_fixed
+/* 3732 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3754
+/* 3736 */    MCD_OPC_Decode, 192, 15, 198, 1, // Opcode: VST2b16wb_fixed
 /* 3741 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3754
-/* 3745 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3754
-/* 3749 */    MCD_OPC_Decode, 184, 15, 196, 1, // Opcode: VST2b16
-/* 3754 */    MCD_OPC_CheckPredicate, 15, 68, 8, // Skip to: 5874
-/* 3758 */    MCD_OPC_Decode, 186, 15, 196, 1, // Opcode: VST2b16wb_register
+/* 3745 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3754
+/* 3749 */    MCD_OPC_Decode, 191, 15, 198, 1, // Opcode: VST2b16
+/* 3754 */    MCD_OPC_CheckPredicate, 16, 68, 8, // Skip to: 5874
+/* 3758 */    MCD_OPC_Decode, 193, 15, 198, 1, // Opcode: VST2b16wb_register
 /* 3763 */    MCD_OPC_FilterValue, 233, 3, 58, 8, // Skip to: 5874
 /* 3768 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 3771 */    MCD_OPC_FilterValue, 0, 51, 8, // Skip to: 5874
-/* 3775 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3790
+/* 3775 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3790
 /* 3779 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3790
-/* 3785 */    MCD_OPC_Decode, 174, 15, 191, 1, // Opcode: VST2LNq32
-/* 3790 */    MCD_OPC_CheckPredicate, 15, 32, 8, // Skip to: 5874
-/* 3794 */    MCD_OPC_Decode, 177, 15, 191, 1, // Opcode: VST2LNq32_UPD
+/* 3785 */    MCD_OPC_Decode, 181, 15, 193, 1, // Opcode: VST2LNq32
+/* 3790 */    MCD_OPC_CheckPredicate, 16, 32, 8, // Skip to: 5874
+/* 3794 */    MCD_OPC_Decode, 184, 15, 193, 1, // Opcode: VST2LNq32_UPD
 /* 3799 */    MCD_OPC_FilterValue, 2, 23, 8, // Skip to: 5874
 /* 3803 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 3806 */    MCD_OPC_FilterValue, 232, 3, 45, 0, // Skip to: 3856
@@ -6398,21 +6421,21 @@ static const uint8_t DecoderTableNEONLoa
 /* 3814 */    MCD_OPC_FilterValue, 0, 8, 8, // Skip to: 5874
 /* 3818 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3821 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3834
-/* 3825 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3847
-/* 3829 */    MCD_OPC_Decode, 211, 7, 196, 1, // Opcode: VLD2b16wb_fixed
+/* 3825 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3847
+/* 3829 */    MCD_OPC_Decode, 218, 7, 198, 1, // Opcode: VLD2b16wb_fixed
 /* 3834 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3847
-/* 3838 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3847
-/* 3842 */    MCD_OPC_Decode, 210, 7, 196, 1, // Opcode: VLD2b16
-/* 3847 */    MCD_OPC_CheckPredicate, 15, 231, 7, // Skip to: 5874
-/* 3851 */    MCD_OPC_Decode, 212, 7, 196, 1, // Opcode: VLD2b16wb_register
+/* 3838 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3847
+/* 3842 */    MCD_OPC_Decode, 217, 7, 198, 1, // Opcode: VLD2b16
+/* 3847 */    MCD_OPC_CheckPredicate, 16, 231, 7, // Skip to: 5874
+/* 3851 */    MCD_OPC_Decode, 219, 7, 198, 1, // Opcode: VLD2b16wb_register
 /* 3856 */    MCD_OPC_FilterValue, 233, 3, 221, 7, // Skip to: 5874
 /* 3861 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 3864 */    MCD_OPC_FilterValue, 0, 214, 7, // Skip to: 5874
-/* 3868 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 3883
+/* 3868 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 3883
 /* 3872 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 3883
-/* 3878 */    MCD_OPC_Decode, 200, 7, 192, 1, // Opcode: VLD2LNq32
-/* 3883 */    MCD_OPC_CheckPredicate, 15, 195, 7, // Skip to: 5874
-/* 3887 */    MCD_OPC_Decode, 203, 7, 192, 1, // Opcode: VLD2LNq32_UPD
+/* 3878 */    MCD_OPC_Decode, 207, 7, 194, 1, // Opcode: VLD2LNq32
+/* 3883 */    MCD_OPC_CheckPredicate, 16, 195, 7, // Skip to: 5874
+/* 3887 */    MCD_OPC_Decode, 210, 7, 194, 1, // Opcode: VLD2LNq32_UPD
 /* 3892 */    MCD_OPC_FilterValue, 10, 45, 2, // Skip to: 4453
 /* 3896 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 3899 */    MCD_OPC_FilterValue, 0, 17, 1, // Skip to: 4176
@@ -6424,31 +6447,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 3921 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 3963
 /* 3925 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3928 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3941
-/* 3932 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3954
-/* 3936 */    MCD_OPC_Decode, 147, 15, 193, 1, // Opcode: VST1q8wb_fixed
+/* 3932 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3954
+/* 3936 */    MCD_OPC_Decode, 154, 15, 195, 1, // Opcode: VST1q8wb_fixed
 /* 3941 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3954
-/* 3945 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3954
-/* 3949 */    MCD_OPC_Decode, 146, 15, 193, 1, // Opcode: VST1q8
-/* 3954 */    MCD_OPC_CheckPredicate, 15, 124, 7, // Skip to: 5874
-/* 3958 */    MCD_OPC_Decode, 148, 15, 193, 1, // Opcode: VST1q8wb_register
+/* 3945 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3954
+/* 3949 */    MCD_OPC_Decode, 153, 15, 195, 1, // Opcode: VST1q8
+/* 3954 */    MCD_OPC_CheckPredicate, 16, 124, 7, // Skip to: 5874
+/* 3958 */    MCD_OPC_Decode, 155, 15, 195, 1, // Opcode: VST1q8wb_register
 /* 3963 */    MCD_OPC_FilterValue, 1, 115, 7, // Skip to: 5874
 /* 3967 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 3970 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 3983
-/* 3974 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 3996
-/* 3978 */    MCD_OPC_Decode, 141, 15, 193, 1, // Opcode: VST1q32wb_fixed
+/* 3974 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 3996
+/* 3978 */    MCD_OPC_Decode, 148, 15, 195, 1, // Opcode: VST1q32wb_fixed
 /* 3983 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 3996
-/* 3987 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 3996
-/* 3991 */    MCD_OPC_Decode, 140, 15, 193, 1, // Opcode: VST1q32
-/* 3996 */    MCD_OPC_CheckPredicate, 15, 82, 7, // Skip to: 5874
-/* 4000 */    MCD_OPC_Decode, 142, 15, 193, 1, // Opcode: VST1q32wb_register
+/* 3987 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 3996
+/* 3991 */    MCD_OPC_Decode, 147, 15, 195, 1, // Opcode: VST1q32
+/* 3996 */    MCD_OPC_CheckPredicate, 16, 82, 7, // Skip to: 5874
+/* 4000 */    MCD_OPC_Decode, 149, 15, 195, 1, // Opcode: VST1q32wb_register
 /* 4005 */    MCD_OPC_FilterValue, 233, 3, 72, 7, // Skip to: 5874
 /* 4010 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 4013 */    MCD_OPC_FilterValue, 0, 65, 7, // Skip to: 5874
-/* 4017 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4032
+/* 4017 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4032
 /* 4021 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4032
-/* 4027 */    MCD_OPC_Decode, 224, 15, 194, 1, // Opcode: VST3LNd32
-/* 4032 */    MCD_OPC_CheckPredicate, 15, 46, 7, // Skip to: 5874
-/* 4036 */    MCD_OPC_Decode, 227, 15, 194, 1, // Opcode: VST3LNd32_UPD
+/* 4027 */    MCD_OPC_Decode, 231, 15, 196, 1, // Opcode: VST3LNd32
+/* 4032 */    MCD_OPC_CheckPredicate, 16, 46, 7, // Skip to: 5874
+/* 4036 */    MCD_OPC_Decode, 234, 15, 196, 1, // Opcode: VST3LNd32_UPD
 /* 4041 */    MCD_OPC_FilterValue, 2, 37, 7, // Skip to: 5874
 /* 4045 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4048 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 4140
@@ -6456,31 +6479,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 4056 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 4098
 /* 4060 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4063 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4076
-/* 4067 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4089
-/* 4071 */    MCD_OPC_Decode, 155, 7, 193, 1, // Opcode: VLD1q8wb_fixed
+/* 4067 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4089
+/* 4071 */    MCD_OPC_Decode, 162, 7, 195, 1, // Opcode: VLD1q8wb_fixed
 /* 4076 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4089
-/* 4080 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4089
-/* 4084 */    MCD_OPC_Decode, 154, 7, 193, 1, // Opcode: VLD1q8
-/* 4089 */    MCD_OPC_CheckPredicate, 15, 245, 6, // Skip to: 5874
-/* 4093 */    MCD_OPC_Decode, 156, 7, 193, 1, // Opcode: VLD1q8wb_register
+/* 4080 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4089
+/* 4084 */    MCD_OPC_Decode, 161, 7, 195, 1, // Opcode: VLD1q8
+/* 4089 */    MCD_OPC_CheckPredicate, 16, 245, 6, // Skip to: 5874
+/* 4093 */    MCD_OPC_Decode, 163, 7, 195, 1, // Opcode: VLD1q8wb_register
 /* 4098 */    MCD_OPC_FilterValue, 1, 236, 6, // Skip to: 5874
 /* 4102 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4105 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4118
-/* 4109 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4131
-/* 4113 */    MCD_OPC_Decode, 149, 7, 193, 1, // Opcode: VLD1q32wb_fixed
+/* 4109 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4131
+/* 4113 */    MCD_OPC_Decode, 156, 7, 195, 1, // Opcode: VLD1q32wb_fixed
 /* 4118 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4131
-/* 4122 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4131
-/* 4126 */    MCD_OPC_Decode, 148, 7, 193, 1, // Opcode: VLD1q32
-/* 4131 */    MCD_OPC_CheckPredicate, 15, 203, 6, // Skip to: 5874
-/* 4135 */    MCD_OPC_Decode, 150, 7, 193, 1, // Opcode: VLD1q32wb_register
+/* 4122 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4131
+/* 4126 */    MCD_OPC_Decode, 155, 7, 195, 1, // Opcode: VLD1q32
+/* 4131 */    MCD_OPC_CheckPredicate, 16, 203, 6, // Skip to: 5874
+/* 4135 */    MCD_OPC_Decode, 157, 7, 195, 1, // Opcode: VLD1q32wb_register
 /* 4140 */    MCD_OPC_FilterValue, 233, 3, 193, 6, // Skip to: 5874
 /* 4145 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 4148 */    MCD_OPC_FilterValue, 0, 186, 6, // Skip to: 5874
-/* 4152 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4167
+/* 4152 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4167
 /* 4156 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4167
-/* 4162 */    MCD_OPC_Decode, 158, 8, 195, 1, // Opcode: VLD3LNd32
-/* 4167 */    MCD_OPC_CheckPredicate, 15, 167, 6, // Skip to: 5874
-/* 4171 */    MCD_OPC_Decode, 161, 8, 195, 1, // Opcode: VLD3LNd32_UPD
+/* 4162 */    MCD_OPC_Decode, 165, 8, 197, 1, // Opcode: VLD3LNd32
+/* 4167 */    MCD_OPC_CheckPredicate, 16, 167, 6, // Skip to: 5874
+/* 4171 */    MCD_OPC_Decode, 168, 8, 197, 1, // Opcode: VLD3LNd32_UPD
 /* 4176 */    MCD_OPC_FilterValue, 1, 158, 6, // Skip to: 5874
 /* 4180 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4183 */    MCD_OPC_FilterValue, 0, 131, 0, // Skip to: 4318
@@ -6490,31 +6513,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 4198 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 4240
 /* 4202 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4205 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4218
-/* 4209 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4231
-/* 4213 */    MCD_OPC_Decode, 138, 15, 193, 1, // Opcode: VST1q16wb_fixed
+/* 4209 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4231
+/* 4213 */    MCD_OPC_Decode, 145, 15, 195, 1, // Opcode: VST1q16wb_fixed
 /* 4218 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4231
-/* 4222 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4231
-/* 4226 */    MCD_OPC_Decode, 137, 15, 193, 1, // Opcode: VST1q16
-/* 4231 */    MCD_OPC_CheckPredicate, 15, 103, 6, // Skip to: 5874
-/* 4235 */    MCD_OPC_Decode, 139, 15, 193, 1, // Opcode: VST1q16wb_register
+/* 4222 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4231
+/* 4226 */    MCD_OPC_Decode, 144, 15, 195, 1, // Opcode: VST1q16
+/* 4231 */    MCD_OPC_CheckPredicate, 16, 103, 6, // Skip to: 5874
+/* 4235 */    MCD_OPC_Decode, 146, 15, 195, 1, // Opcode: VST1q16wb_register
 /* 4240 */    MCD_OPC_FilterValue, 1, 94, 6, // Skip to: 5874
 /* 4244 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4247 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4260
-/* 4251 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4273
-/* 4255 */    MCD_OPC_Decode, 144, 15, 193, 1, // Opcode: VST1q64wb_fixed
+/* 4251 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4273
+/* 4255 */    MCD_OPC_Decode, 151, 15, 195, 1, // Opcode: VST1q64wb_fixed
 /* 4260 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4273
-/* 4264 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4273
-/* 4268 */    MCD_OPC_Decode, 143, 15, 193, 1, // Opcode: VST1q64
-/* 4273 */    MCD_OPC_CheckPredicate, 15, 61, 6, // Skip to: 5874
-/* 4277 */    MCD_OPC_Decode, 145, 15, 193, 1, // Opcode: VST1q64wb_register
+/* 4264 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4273
+/* 4268 */    MCD_OPC_Decode, 150, 15, 195, 1, // Opcode: VST1q64
+/* 4273 */    MCD_OPC_CheckPredicate, 16, 61, 6, // Skip to: 5874
+/* 4277 */    MCD_OPC_Decode, 152, 15, 195, 1, // Opcode: VST1q64wb_register
 /* 4282 */    MCD_OPC_FilterValue, 233, 3, 51, 6, // Skip to: 5874
 /* 4287 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 4290 */    MCD_OPC_FilterValue, 0, 44, 6, // Skip to: 5874
-/* 4294 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4309
+/* 4294 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4309
 /* 4298 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4309
-/* 4304 */    MCD_OPC_Decode, 245, 15, 194, 1, // Opcode: VST3LNq32
-/* 4309 */    MCD_OPC_CheckPredicate, 15, 25, 6, // Skip to: 5874
-/* 4313 */    MCD_OPC_Decode, 248, 15, 194, 1, // Opcode: VST3LNq32_UPD
+/* 4304 */    MCD_OPC_Decode, 252, 15, 196, 1, // Opcode: VST3LNq32
+/* 4309 */    MCD_OPC_CheckPredicate, 16, 25, 6, // Skip to: 5874
+/* 4313 */    MCD_OPC_Decode, 255, 15, 196, 1, // Opcode: VST3LNq32_UPD
 /* 4318 */    MCD_OPC_FilterValue, 2, 16, 6, // Skip to: 5874
 /* 4322 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4325 */    MCD_OPC_FilterValue, 232, 3, 87, 0, // Skip to: 4417
@@ -6522,31 +6545,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 4333 */    MCD_OPC_FilterValue, 0, 38, 0, // Skip to: 4375
 /* 4337 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4340 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4353
-/* 4344 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4366
-/* 4348 */    MCD_OPC_Decode, 146, 7, 193, 1, // Opcode: VLD1q16wb_fixed
+/* 4344 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4366
+/* 4348 */    MCD_OPC_Decode, 153, 7, 195, 1, // Opcode: VLD1q16wb_fixed
 /* 4353 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4366
-/* 4357 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4366
-/* 4361 */    MCD_OPC_Decode, 145, 7, 193, 1, // Opcode: VLD1q16
-/* 4366 */    MCD_OPC_CheckPredicate, 15, 224, 5, // Skip to: 5874
-/* 4370 */    MCD_OPC_Decode, 147, 7, 193, 1, // Opcode: VLD1q16wb_register
+/* 4357 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4366
+/* 4361 */    MCD_OPC_Decode, 152, 7, 195, 1, // Opcode: VLD1q16
+/* 4366 */    MCD_OPC_CheckPredicate, 16, 224, 5, // Skip to: 5874
+/* 4370 */    MCD_OPC_Decode, 154, 7, 195, 1, // Opcode: VLD1q16wb_register
 /* 4375 */    MCD_OPC_FilterValue, 1, 215, 5, // Skip to: 5874
 /* 4379 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4382 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4395
-/* 4386 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4408
-/* 4390 */    MCD_OPC_Decode, 152, 7, 193, 1, // Opcode: VLD1q64wb_fixed
+/* 4386 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4408
+/* 4390 */    MCD_OPC_Decode, 159, 7, 195, 1, // Opcode: VLD1q64wb_fixed
 /* 4395 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4408
-/* 4399 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4408
-/* 4403 */    MCD_OPC_Decode, 151, 7, 193, 1, // Opcode: VLD1q64
-/* 4408 */    MCD_OPC_CheckPredicate, 15, 182, 5, // Skip to: 5874
-/* 4412 */    MCD_OPC_Decode, 153, 7, 193, 1, // Opcode: VLD1q64wb_register
+/* 4399 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4408
+/* 4403 */    MCD_OPC_Decode, 158, 7, 195, 1, // Opcode: VLD1q64
+/* 4408 */    MCD_OPC_CheckPredicate, 16, 182, 5, // Skip to: 5874
+/* 4412 */    MCD_OPC_Decode, 160, 7, 195, 1, // Opcode: VLD1q64wb_register
 /* 4417 */    MCD_OPC_FilterValue, 233, 3, 172, 5, // Skip to: 5874
 /* 4422 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 4425 */    MCD_OPC_FilterValue, 0, 165, 5, // Skip to: 5874
-/* 4429 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4444
+/* 4429 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4444
 /* 4433 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4444
-/* 4439 */    MCD_OPC_Decode, 179, 8, 195, 1, // Opcode: VLD3LNq32
-/* 4444 */    MCD_OPC_CheckPredicate, 15, 146, 5, // Skip to: 5874
-/* 4448 */    MCD_OPC_Decode, 182, 8, 195, 1, // Opcode: VLD3LNq32_UPD
+/* 4439 */    MCD_OPC_Decode, 186, 8, 197, 1, // Opcode: VLD3LNq32
+/* 4444 */    MCD_OPC_CheckPredicate, 16, 146, 5, // Skip to: 5874
+/* 4448 */    MCD_OPC_Decode, 189, 8, 197, 1, // Opcode: VLD3LNq32_UPD
 /* 4453 */    MCD_OPC_FilterValue, 11, 161, 0, // Skip to: 4618
 /* 4457 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 4460 */    MCD_OPC_FilterValue, 0, 75, 0, // Skip to: 4539
@@ -6554,37 +6577,37 @@ static const uint8_t DecoderTableNEONLoa
 /* 4467 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 4503
 /* 4471 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4474 */    MCD_OPC_FilterValue, 233, 3, 115, 5, // Skip to: 5874
-/* 4479 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4494
+/* 4479 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4494
 /* 4483 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4494
-/* 4489 */    MCD_OPC_Decode, 176, 16, 197, 1, // Opcode: VST4LNd32
-/* 4494 */    MCD_OPC_CheckPredicate, 15, 96, 5, // Skip to: 5874
-/* 4498 */    MCD_OPC_Decode, 179, 16, 197, 1, // Opcode: VST4LNd32_UPD
+/* 4489 */    MCD_OPC_Decode, 183, 16, 199, 1, // Opcode: VST4LNd32
+/* 4494 */    MCD_OPC_CheckPredicate, 16, 96, 5, // Skip to: 5874
+/* 4498 */    MCD_OPC_Decode, 186, 16, 199, 1, // Opcode: VST4LNd32_UPD
 /* 4503 */    MCD_OPC_FilterValue, 2, 87, 5, // Skip to: 5874
 /* 4507 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4510 */    MCD_OPC_FilterValue, 233, 3, 79, 5, // Skip to: 5874
-/* 4515 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4530
+/* 4515 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4530
 /* 4519 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4530
-/* 4525 */    MCD_OPC_Decode, 146, 9, 198, 1, // Opcode: VLD4LNd32
-/* 4530 */    MCD_OPC_CheckPredicate, 15, 60, 5, // Skip to: 5874
-/* 4534 */    MCD_OPC_Decode, 149, 9, 198, 1, // Opcode: VLD4LNd32_UPD
+/* 4525 */    MCD_OPC_Decode, 153, 9, 200, 1, // Opcode: VLD4LNd32
+/* 4530 */    MCD_OPC_CheckPredicate, 16, 60, 5, // Skip to: 5874
+/* 4534 */    MCD_OPC_Decode, 156, 9, 200, 1, // Opcode: VLD4LNd32_UPD
 /* 4539 */    MCD_OPC_FilterValue, 1, 51, 5, // Skip to: 5874
 /* 4543 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4546 */    MCD_OPC_FilterValue, 0, 32, 0, // Skip to: 4582
 /* 4550 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4553 */    MCD_OPC_FilterValue, 233, 3, 36, 5, // Skip to: 5874
-/* 4558 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4573
+/* 4558 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4573
 /* 4562 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4573
-/* 4568 */    MCD_OPC_Decode, 197, 16, 197, 1, // Opcode: VST4LNq32
-/* 4573 */    MCD_OPC_CheckPredicate, 15, 17, 5, // Skip to: 5874
-/* 4577 */    MCD_OPC_Decode, 200, 16, 197, 1, // Opcode: VST4LNq32_UPD
+/* 4568 */    MCD_OPC_Decode, 204, 16, 199, 1, // Opcode: VST4LNq32
+/* 4573 */    MCD_OPC_CheckPredicate, 16, 17, 5, // Skip to: 5874
+/* 4577 */    MCD_OPC_Decode, 207, 16, 199, 1, // Opcode: VST4LNq32_UPD
 /* 4582 */    MCD_OPC_FilterValue, 2, 8, 5, // Skip to: 5874
 /* 4586 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 4589 */    MCD_OPC_FilterValue, 233, 3, 0, 5, // Skip to: 5874
-/* 4594 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 4609
+/* 4594 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 4609
 /* 4598 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 4609
-/* 4604 */    MCD_OPC_Decode, 167, 9, 198, 1, // Opcode: VLD4LNq32
-/* 4609 */    MCD_OPC_CheckPredicate, 15, 237, 4, // Skip to: 5874
-/* 4613 */    MCD_OPC_Decode, 170, 9, 198, 1, // Opcode: VLD4LNq32_UPD
+/* 4604 */    MCD_OPC_Decode, 174, 9, 200, 1, // Opcode: VLD4LNq32
+/* 4609 */    MCD_OPC_CheckPredicate, 16, 237, 4, // Skip to: 5874
+/* 4613 */    MCD_OPC_Decode, 177, 9, 200, 1, // Opcode: VLD4LNq32_UPD
 /* 4618 */    MCD_OPC_FilterValue, 12, 89, 1, // Skip to: 4967
 /* 4622 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
 /* 4625 */    MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 4682
@@ -6594,13 +6617,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4639 */    MCD_OPC_FilterValue, 233, 3, 206, 4, // Skip to: 5874
 /* 4644 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4647 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4660
-/* 4651 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4673
-/* 4655 */    MCD_OPC_Decode, 199, 6, 200, 1, // Opcode: VLD1DUPd8wb_fixed
+/* 4651 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4673
+/* 4655 */    MCD_OPC_Decode, 206, 6, 202, 1, // Opcode: VLD1DUPd8wb_fixed
 /* 4660 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4673
-/* 4664 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4673
-/* 4668 */    MCD_OPC_Decode, 198, 6, 200, 1, // Opcode: VLD1DUPd8
-/* 4673 */    MCD_OPC_CheckPredicate, 15, 173, 4, // Skip to: 5874
-/* 4677 */    MCD_OPC_Decode, 200, 6, 200, 1, // Opcode: VLD1DUPd8wb_register
+/* 4664 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4673
+/* 4668 */    MCD_OPC_Decode, 205, 6, 202, 1, // Opcode: VLD1DUPd8
+/* 4673 */    MCD_OPC_CheckPredicate, 16, 173, 4, // Skip to: 5874
+/* 4677 */    MCD_OPC_Decode, 207, 6, 202, 1, // Opcode: VLD1DUPd8wb_register
 /* 4682 */    MCD_OPC_FilterValue, 1, 53, 0, // Skip to: 4739
 /* 4686 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4689 */    MCD_OPC_FilterValue, 2, 157, 4, // Skip to: 5874
@@ -6608,13 +6631,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4696 */    MCD_OPC_FilterValue, 233, 3, 149, 4, // Skip to: 5874
 /* 4701 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4704 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4717
-/* 4708 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4730
-/* 4712 */    MCD_OPC_Decode, 208, 6, 200, 1, // Opcode: VLD1DUPq8wb_fixed
+/* 4708 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4730
+/* 4712 */    MCD_OPC_Decode, 215, 6, 202, 1, // Opcode: VLD1DUPq8wb_fixed
 /* 4717 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4730
-/* 4721 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4730
-/* 4725 */    MCD_OPC_Decode, 207, 6, 200, 1, // Opcode: VLD1DUPq8
-/* 4730 */    MCD_OPC_CheckPredicate, 15, 116, 4, // Skip to: 5874
-/* 4734 */    MCD_OPC_Decode, 209, 6, 200, 1, // Opcode: VLD1DUPq8wb_register
+/* 4721 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4730
+/* 4725 */    MCD_OPC_Decode, 214, 6, 202, 1, // Opcode: VLD1DUPq8
+/* 4730 */    MCD_OPC_CheckPredicate, 16, 116, 4, // Skip to: 5874
+/* 4734 */    MCD_OPC_Decode, 216, 6, 202, 1, // Opcode: VLD1DUPq8wb_register
 /* 4739 */    MCD_OPC_FilterValue, 2, 53, 0, // Skip to: 4796
 /* 4743 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4746 */    MCD_OPC_FilterValue, 2, 100, 4, // Skip to: 5874
@@ -6622,13 +6645,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4753 */    MCD_OPC_FilterValue, 233, 3, 92, 4, // Skip to: 5874
 /* 4758 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4761 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4774
-/* 4765 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4787
-/* 4769 */    MCD_OPC_Decode, 193, 6, 200, 1, // Opcode: VLD1DUPd16wb_fixed
+/* 4765 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4787
+/* 4769 */    MCD_OPC_Decode, 200, 6, 202, 1, // Opcode: VLD1DUPd16wb_fixed
 /* 4774 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4787
-/* 4778 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4787
-/* 4782 */    MCD_OPC_Decode, 192, 6, 200, 1, // Opcode: VLD1DUPd16
-/* 4787 */    MCD_OPC_CheckPredicate, 15, 59, 4, // Skip to: 5874
-/* 4791 */    MCD_OPC_Decode, 194, 6, 200, 1, // Opcode: VLD1DUPd16wb_register
+/* 4778 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4787
+/* 4782 */    MCD_OPC_Decode, 199, 6, 202, 1, // Opcode: VLD1DUPd16
+/* 4787 */    MCD_OPC_CheckPredicate, 16, 59, 4, // Skip to: 5874
+/* 4791 */    MCD_OPC_Decode, 201, 6, 202, 1, // Opcode: VLD1DUPd16wb_register
 /* 4796 */    MCD_OPC_FilterValue, 3, 53, 0, // Skip to: 4853
 /* 4800 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4803 */    MCD_OPC_FilterValue, 2, 43, 4, // Skip to: 5874
@@ -6636,13 +6659,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4810 */    MCD_OPC_FilterValue, 233, 3, 35, 4, // Skip to: 5874
 /* 4815 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4818 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4831
-/* 4822 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4844
-/* 4826 */    MCD_OPC_Decode, 202, 6, 200, 1, // Opcode: VLD1DUPq16wb_fixed
+/* 4822 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4844
+/* 4826 */    MCD_OPC_Decode, 209, 6, 202, 1, // Opcode: VLD1DUPq16wb_fixed
 /* 4831 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4844
-/* 4835 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4844
-/* 4839 */    MCD_OPC_Decode, 201, 6, 200, 1, // Opcode: VLD1DUPq16
-/* 4844 */    MCD_OPC_CheckPredicate, 15, 2, 4, // Skip to: 5874
-/* 4848 */    MCD_OPC_Decode, 203, 6, 200, 1, // Opcode: VLD1DUPq16wb_register
+/* 4835 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4844
+/* 4839 */    MCD_OPC_Decode, 208, 6, 202, 1, // Opcode: VLD1DUPq16
+/* 4844 */    MCD_OPC_CheckPredicate, 16, 2, 4, // Skip to: 5874
+/* 4848 */    MCD_OPC_Decode, 210, 6, 202, 1, // Opcode: VLD1DUPq16wb_register
 /* 4853 */    MCD_OPC_FilterValue, 4, 53, 0, // Skip to: 4910
 /* 4857 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4860 */    MCD_OPC_FilterValue, 2, 242, 3, // Skip to: 5874
@@ -6650,13 +6673,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4867 */    MCD_OPC_FilterValue, 233, 3, 234, 3, // Skip to: 5874
 /* 4872 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4875 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4888
-/* 4879 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4901
-/* 4883 */    MCD_OPC_Decode, 196, 6, 200, 1, // Opcode: VLD1DUPd32wb_fixed
+/* 4879 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4901
+/* 4883 */    MCD_OPC_Decode, 203, 6, 202, 1, // Opcode: VLD1DUPd32wb_fixed
 /* 4888 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4901
-/* 4892 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4901
-/* 4896 */    MCD_OPC_Decode, 195, 6, 200, 1, // Opcode: VLD1DUPd32
-/* 4901 */    MCD_OPC_CheckPredicate, 15, 201, 3, // Skip to: 5874
-/* 4905 */    MCD_OPC_Decode, 197, 6, 200, 1, // Opcode: VLD1DUPd32wb_register
+/* 4892 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4901
+/* 4896 */    MCD_OPC_Decode, 202, 6, 202, 1, // Opcode: VLD1DUPd32
+/* 4901 */    MCD_OPC_CheckPredicate, 16, 201, 3, // Skip to: 5874
+/* 4905 */    MCD_OPC_Decode, 204, 6, 202, 1, // Opcode: VLD1DUPd32wb_register
 /* 4910 */    MCD_OPC_FilterValue, 5, 192, 3, // Skip to: 5874
 /* 4914 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 4917 */    MCD_OPC_FilterValue, 2, 185, 3, // Skip to: 5874
@@ -6664,13 +6687,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4924 */    MCD_OPC_FilterValue, 233, 3, 177, 3, // Skip to: 5874
 /* 4929 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4932 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 4945
-/* 4936 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 4958
-/* 4940 */    MCD_OPC_Decode, 205, 6, 200, 1, // Opcode: VLD1DUPq32wb_fixed
+/* 4936 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 4958
+/* 4940 */    MCD_OPC_Decode, 212, 6, 202, 1, // Opcode: VLD1DUPq32wb_fixed
 /* 4945 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 4958
-/* 4949 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 4958
-/* 4953 */    MCD_OPC_Decode, 204, 6, 200, 1, // Opcode: VLD1DUPq32
-/* 4958 */    MCD_OPC_CheckPredicate, 15, 144, 3, // Skip to: 5874
-/* 4962 */    MCD_OPC_Decode, 206, 6, 200, 1, // Opcode: VLD1DUPq32wb_register
+/* 4949 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 4958
+/* 4953 */    MCD_OPC_Decode, 211, 6, 202, 1, // Opcode: VLD1DUPq32
+/* 4958 */    MCD_OPC_CheckPredicate, 16, 144, 3, // Skip to: 5874
+/* 4962 */    MCD_OPC_Decode, 213, 6, 202, 1, // Opcode: VLD1DUPq32wb_register
 /* 4967 */    MCD_OPC_FilterValue, 13, 89, 1, // Skip to: 5316
 /* 4971 */    MCD_OPC_ExtractField, 5, 3,  // Inst{7-5} ...
 /* 4974 */    MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 5031
@@ -6680,13 +6703,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 4988 */    MCD_OPC_FilterValue, 233, 3, 113, 3, // Skip to: 5874
 /* 4993 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 4996 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5009
-/* 5000 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5022
-/* 5004 */    MCD_OPC_Decode, 170, 7, 201, 1, // Opcode: VLD2DUPd8wb_fixed
+/* 5000 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5022
+/* 5004 */    MCD_OPC_Decode, 177, 7, 203, 1, // Opcode: VLD2DUPd8wb_fixed
 /* 5009 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5022
-/* 5013 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5022
-/* 5017 */    MCD_OPC_Decode, 169, 7, 201, 1, // Opcode: VLD2DUPd8
-/* 5022 */    MCD_OPC_CheckPredicate, 15, 80, 3, // Skip to: 5874
-/* 5026 */    MCD_OPC_Decode, 171, 7, 201, 1, // Opcode: VLD2DUPd8wb_register
+/* 5013 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5022
+/* 5017 */    MCD_OPC_Decode, 176, 7, 203, 1, // Opcode: VLD2DUPd8
+/* 5022 */    MCD_OPC_CheckPredicate, 16, 80, 3, // Skip to: 5874
+/* 5026 */    MCD_OPC_Decode, 178, 7, 203, 1, // Opcode: VLD2DUPd8wb_register
 /* 5031 */    MCD_OPC_FilterValue, 1, 53, 0, // Skip to: 5088
 /* 5035 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5038 */    MCD_OPC_FilterValue, 2, 64, 3, // Skip to: 5874
@@ -6694,13 +6717,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 5045 */    MCD_OPC_FilterValue, 233, 3, 56, 3, // Skip to: 5874
 /* 5050 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 5053 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5066
-/* 5057 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5079
-/* 5061 */    MCD_OPC_Decode, 173, 7, 201, 1, // Opcode: VLD2DUPd8x2wb_fixed
+/* 5057 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5079
+/* 5061 */    MCD_OPC_Decode, 180, 7, 203, 1, // Opcode: VLD2DUPd8x2wb_fixed
 /* 5066 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5079
-/* 5070 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5079
-/* 5074 */    MCD_OPC_Decode, 172, 7, 201, 1, // Opcode: VLD2DUPd8x2
-/* 5079 */    MCD_OPC_CheckPredicate, 15, 23, 3, // Skip to: 5874
-/* 5083 */    MCD_OPC_Decode, 174, 7, 201, 1, // Opcode: VLD2DUPd8x2wb_register
+/* 5070 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5079
+/* 5074 */    MCD_OPC_Decode, 179, 7, 203, 1, // Opcode: VLD2DUPd8x2
+/* 5079 */    MCD_OPC_CheckPredicate, 16, 23, 3, // Skip to: 5874
+/* 5083 */    MCD_OPC_Decode, 181, 7, 203, 1, // Opcode: VLD2DUPd8x2wb_register
 /* 5088 */    MCD_OPC_FilterValue, 2, 53, 0, // Skip to: 5145
 /* 5092 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5095 */    MCD_OPC_FilterValue, 2, 7, 3, // Skip to: 5874
@@ -6708,13 +6731,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 5102 */    MCD_OPC_FilterValue, 233, 3, 255, 2, // Skip to: 5874
 /* 5107 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 5110 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5123
-/* 5114 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5136
-/* 5118 */    MCD_OPC_Decode, 158, 7, 201, 1, // Opcode: VLD2DUPd16wb_fixed
+/* 5114 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5136
+/* 5118 */    MCD_OPC_Decode, 165, 7, 203, 1, // Opcode: VLD2DUPd16wb_fixed
 /* 5123 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5136
-/* 5127 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5136
-/* 5131 */    MCD_OPC_Decode, 157, 7, 201, 1, // Opcode: VLD2DUPd16
-/* 5136 */    MCD_OPC_CheckPredicate, 15, 222, 2, // Skip to: 5874
-/* 5140 */    MCD_OPC_Decode, 159, 7, 201, 1, // Opcode: VLD2DUPd16wb_register
+/* 5127 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5136
+/* 5131 */    MCD_OPC_Decode, 164, 7, 203, 1, // Opcode: VLD2DUPd16
+/* 5136 */    MCD_OPC_CheckPredicate, 16, 222, 2, // Skip to: 5874
+/* 5140 */    MCD_OPC_Decode, 166, 7, 203, 1, // Opcode: VLD2DUPd16wb_register
 /* 5145 */    MCD_OPC_FilterValue, 3, 53, 0, // Skip to: 5202
 /* 5149 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5152 */    MCD_OPC_FilterValue, 2, 206, 2, // Skip to: 5874
@@ -6722,13 +6745,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 5159 */    MCD_OPC_FilterValue, 233, 3, 198, 2, // Skip to: 5874
 /* 5164 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 5167 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5180
-/* 5171 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5193
-/* 5175 */    MCD_OPC_Decode, 161, 7, 201, 1, // Opcode: VLD2DUPd16x2wb_fixed
+/* 5171 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5193
+/* 5175 */    MCD_OPC_Decode, 168, 7, 203, 1, // Opcode: VLD2DUPd16x2wb_fixed
 /* 5180 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5193
-/* 5184 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5193
-/* 5188 */    MCD_OPC_Decode, 160, 7, 201, 1, // Opcode: VLD2DUPd16x2
-/* 5193 */    MCD_OPC_CheckPredicate, 15, 165, 2, // Skip to: 5874
-/* 5197 */    MCD_OPC_Decode, 162, 7, 201, 1, // Opcode: VLD2DUPd16x2wb_register
+/* 5184 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5193
+/* 5188 */    MCD_OPC_Decode, 167, 7, 203, 1, // Opcode: VLD2DUPd16x2
+/* 5193 */    MCD_OPC_CheckPredicate, 16, 165, 2, // Skip to: 5874
+/* 5197 */    MCD_OPC_Decode, 169, 7, 203, 1, // Opcode: VLD2DUPd16x2wb_register
 /* 5202 */    MCD_OPC_FilterValue, 4, 53, 0, // Skip to: 5259
 /* 5206 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5209 */    MCD_OPC_FilterValue, 2, 149, 2, // Skip to: 5874
@@ -6736,13 +6759,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 5216 */    MCD_OPC_FilterValue, 233, 3, 141, 2, // Skip to: 5874
 /* 5221 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 5224 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5237
-/* 5228 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5250
-/* 5232 */    MCD_OPC_Decode, 164, 7, 201, 1, // Opcode: VLD2DUPd32wb_fixed
+/* 5228 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5250
+/* 5232 */    MCD_OPC_Decode, 171, 7, 203, 1, // Opcode: VLD2DUPd32wb_fixed
 /* 5237 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5250
-/* 5241 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5250
-/* 5245 */    MCD_OPC_Decode, 163, 7, 201, 1, // Opcode: VLD2DUPd32
-/* 5250 */    MCD_OPC_CheckPredicate, 15, 108, 2, // Skip to: 5874
-/* 5254 */    MCD_OPC_Decode, 165, 7, 201, 1, // Opcode: VLD2DUPd32wb_register
+/* 5241 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5250
+/* 5245 */    MCD_OPC_Decode, 170, 7, 203, 1, // Opcode: VLD2DUPd32
+/* 5250 */    MCD_OPC_CheckPredicate, 16, 108, 2, // Skip to: 5874
+/* 5254 */    MCD_OPC_Decode, 172, 7, 203, 1, // Opcode: VLD2DUPd32wb_register
 /* 5259 */    MCD_OPC_FilterValue, 5, 99, 2, // Skip to: 5874
 /* 5263 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5266 */    MCD_OPC_FilterValue, 2, 92, 2, // Skip to: 5874
@@ -6750,13 +6773,13 @@ static const uint8_t DecoderTableNEONLoa
 /* 5273 */    MCD_OPC_FilterValue, 233, 3, 84, 2, // Skip to: 5874
 /* 5278 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 5281 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5294
-/* 5285 */    MCD_OPC_CheckPredicate, 15, 18, 0, // Skip to: 5307
-/* 5289 */    MCD_OPC_Decode, 167, 7, 201, 1, // Opcode: VLD2DUPd32x2wb_fixed
+/* 5285 */    MCD_OPC_CheckPredicate, 16, 18, 0, // Skip to: 5307
+/* 5289 */    MCD_OPC_Decode, 174, 7, 203, 1, // Opcode: VLD2DUPd32x2wb_fixed
 /* 5294 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5307
-/* 5298 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5307
-/* 5302 */    MCD_OPC_Decode, 166, 7, 201, 1, // Opcode: VLD2DUPd32x2
-/* 5307 */    MCD_OPC_CheckPredicate, 15, 51, 2, // Skip to: 5874
-/* 5311 */    MCD_OPC_Decode, 168, 7, 201, 1, // Opcode: VLD2DUPd32x2wb_register
+/* 5298 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5307
+/* 5302 */    MCD_OPC_Decode, 173, 7, 203, 1, // Opcode: VLD2DUPd32x2
+/* 5307 */    MCD_OPC_CheckPredicate, 16, 51, 2, // Skip to: 5874
+/* 5311 */    MCD_OPC_Decode, 175, 7, 203, 1, // Opcode: VLD2DUPd32x2wb_register
 /* 5316 */    MCD_OPC_FilterValue, 14, 5, 1, // Skip to: 5581
 /* 5320 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 5323 */    MCD_OPC_FilterValue, 0, 39, 0, // Skip to: 5366
@@ -6764,61 +6787,61 @@ static const uint8_t DecoderTableNEONLoa
 /* 5330 */    MCD_OPC_FilterValue, 2, 28, 2, // Skip to: 5874
 /* 5334 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5337 */    MCD_OPC_FilterValue, 233, 3, 20, 2, // Skip to: 5874
-/* 5342 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5357
+/* 5342 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5357
 /* 5346 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5357
-/* 5352 */    MCD_OPC_Decode, 254, 7, 202, 1, // Opcode: VLD3DUPd8
-/* 5357 */    MCD_OPC_CheckPredicate, 15, 1, 2, // Skip to: 5874
-/* 5361 */    MCD_OPC_Decode, 129, 8, 202, 1, // Opcode: VLD3DUPd8_UPD
+/* 5352 */    MCD_OPC_Decode, 133, 8, 204, 1, // Opcode: VLD3DUPd8
+/* 5357 */    MCD_OPC_CheckPredicate, 16, 1, 2, // Skip to: 5874
+/* 5361 */    MCD_OPC_Decode, 136, 8, 204, 1, // Opcode: VLD3DUPd8_UPD
 /* 5366 */    MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 5409
 /* 5370 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5373 */    MCD_OPC_FilterValue, 2, 241, 1, // Skip to: 5874
 /* 5377 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5380 */    MCD_OPC_FilterValue, 233, 3, 233, 1, // Skip to: 5874
-/* 5385 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5400
+/* 5385 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5400
 /* 5389 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5400
-/* 5395 */    MCD_OPC_Decode, 143, 8, 202, 1, // Opcode: VLD3DUPq8
-/* 5400 */    MCD_OPC_CheckPredicate, 15, 214, 1, // Skip to: 5874
-/* 5404 */    MCD_OPC_Decode, 144, 8, 202, 1, // Opcode: VLD3DUPq8_UPD
+/* 5395 */    MCD_OPC_Decode, 150, 8, 204, 1, // Opcode: VLD3DUPq8
+/* 5400 */    MCD_OPC_CheckPredicate, 16, 214, 1, // Skip to: 5874
+/* 5404 */    MCD_OPC_Decode, 151, 8, 204, 1, // Opcode: VLD3DUPq8_UPD
 /* 5409 */    MCD_OPC_FilterValue, 4, 39, 0, // Skip to: 5452
 /* 5413 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5416 */    MCD_OPC_FilterValue, 2, 198, 1, // Skip to: 5874
 /* 5420 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5423 */    MCD_OPC_FilterValue, 233, 3, 190, 1, // Skip to: 5874
-/* 5428 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5443
+/* 5428 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5443
 /* 5432 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5443
-/* 5438 */    MCD_OPC_Decode, 246, 7, 202, 1, // Opcode: VLD3DUPd16
-/* 5443 */    MCD_OPC_CheckPredicate, 15, 171, 1, // Skip to: 5874
-/* 5447 */    MCD_OPC_Decode, 249, 7, 202, 1, // Opcode: VLD3DUPd16_UPD
+/* 5438 */    MCD_OPC_Decode, 253, 7, 204, 1, // Opcode: VLD3DUPd16
+/* 5443 */    MCD_OPC_CheckPredicate, 16, 171, 1, // Skip to: 5874
+/* 5447 */    MCD_OPC_Decode, 128, 8, 204, 1, // Opcode: VLD3DUPd16_UPD
 /* 5452 */    MCD_OPC_FilterValue, 6, 39, 0, // Skip to: 5495
 /* 5456 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5459 */    MCD_OPC_FilterValue, 2, 155, 1, // Skip to: 5874
 /* 5463 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5466 */    MCD_OPC_FilterValue, 233, 3, 147, 1, // Skip to: 5874
-/* 5471 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5486
+/* 5471 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5486
 /* 5475 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5486
-/* 5481 */    MCD_OPC_Decode, 139, 8, 202, 1, // Opcode: VLD3DUPq16
-/* 5486 */    MCD_OPC_CheckPredicate, 15, 128, 1, // Skip to: 5874
-/* 5490 */    MCD_OPC_Decode, 140, 8, 202, 1, // Opcode: VLD3DUPq16_UPD
+/* 5481 */    MCD_OPC_Decode, 146, 8, 204, 1, // Opcode: VLD3DUPq16
+/* 5486 */    MCD_OPC_CheckPredicate, 16, 128, 1, // Skip to: 5874
+/* 5490 */    MCD_OPC_Decode, 147, 8, 204, 1, // Opcode: VLD3DUPq16_UPD
 /* 5495 */    MCD_OPC_FilterValue, 8, 39, 0, // Skip to: 5538
 /* 5499 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5502 */    MCD_OPC_FilterValue, 2, 112, 1, // Skip to: 5874
 /* 5506 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5509 */    MCD_OPC_FilterValue, 233, 3, 104, 1, // Skip to: 5874
-/* 5514 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5529
+/* 5514 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5529
 /* 5518 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5529
-/* 5524 */    MCD_OPC_Decode, 250, 7, 202, 1, // Opcode: VLD3DUPd32
-/* 5529 */    MCD_OPC_CheckPredicate, 15, 85, 1, // Skip to: 5874
-/* 5533 */    MCD_OPC_Decode, 253, 7, 202, 1, // Opcode: VLD3DUPd32_UPD
+/* 5524 */    MCD_OPC_Decode, 129, 8, 204, 1, // Opcode: VLD3DUPd32
+/* 5529 */    MCD_OPC_CheckPredicate, 16, 85, 1, // Skip to: 5874
+/* 5533 */    MCD_OPC_Decode, 132, 8, 204, 1, // Opcode: VLD3DUPd32_UPD
 /* 5538 */    MCD_OPC_FilterValue, 10, 76, 1, // Skip to: 5874
 /* 5542 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5545 */    MCD_OPC_FilterValue, 2, 69, 1, // Skip to: 5874
 /* 5549 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5552 */    MCD_OPC_FilterValue, 233, 3, 61, 1, // Skip to: 5874
-/* 5557 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5572
+/* 5557 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5572
 /* 5561 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5572
-/* 5567 */    MCD_OPC_Decode, 141, 8, 202, 1, // Opcode: VLD3DUPq32
-/* 5572 */    MCD_OPC_CheckPredicate, 15, 42, 1, // Skip to: 5874
-/* 5576 */    MCD_OPC_Decode, 142, 8, 202, 1, // Opcode: VLD3DUPq32_UPD
+/* 5567 */    MCD_OPC_Decode, 148, 8, 204, 1, // Opcode: VLD3DUPq32
+/* 5572 */    MCD_OPC_CheckPredicate, 16, 42, 1, // Skip to: 5874
+/* 5576 */    MCD_OPC_Decode, 149, 8, 204, 1, // Opcode: VLD3DUPq32_UPD
 /* 5581 */    MCD_OPC_FilterValue, 15, 33, 1, // Skip to: 5874
 /* 5585 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
 /* 5588 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 5731
@@ -6830,31 +6853,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 5609 */    MCD_OPC_FilterValue, 2, 5, 1, // Skip to: 5874
 /* 5613 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5616 */    MCD_OPC_FilterValue, 233, 3, 253, 0, // Skip to: 5874
-/* 5621 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5636
+/* 5621 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5636
 /* 5625 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5636
-/* 5631 */    MCD_OPC_Decode, 242, 8, 203, 1, // Opcode: VLD4DUPd8
-/* 5636 */    MCD_OPC_CheckPredicate, 15, 234, 0, // Skip to: 5874
-/* 5640 */    MCD_OPC_Decode, 245, 8, 203, 1, // Opcode: VLD4DUPd8_UPD
+/* 5631 */    MCD_OPC_Decode, 249, 8, 205, 1, // Opcode: VLD4DUPd8
+/* 5636 */    MCD_OPC_CheckPredicate, 16, 234, 0, // Skip to: 5874
+/* 5640 */    MCD_OPC_Decode, 252, 8, 205, 1, // Opcode: VLD4DUPd8_UPD
 /* 5645 */    MCD_OPC_FilterValue, 1, 225, 0, // Skip to: 5874
 /* 5649 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5652 */    MCD_OPC_FilterValue, 2, 218, 0, // Skip to: 5874
 /* 5656 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5659 */    MCD_OPC_FilterValue, 233, 3, 210, 0, // Skip to: 5874
-/* 5664 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5679
+/* 5664 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5679
 /* 5668 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5679
-/* 5674 */    MCD_OPC_Decode, 234, 8, 203, 1, // Opcode: VLD4DUPd16
-/* 5679 */    MCD_OPC_CheckPredicate, 15, 191, 0, // Skip to: 5874
-/* 5683 */    MCD_OPC_Decode, 237, 8, 203, 1, // Opcode: VLD4DUPd16_UPD
+/* 5674 */    MCD_OPC_Decode, 241, 8, 205, 1, // Opcode: VLD4DUPd16
+/* 5679 */    MCD_OPC_CheckPredicate, 16, 191, 0, // Skip to: 5874
+/* 5683 */    MCD_OPC_Decode, 244, 8, 205, 1, // Opcode: VLD4DUPd16_UPD
 /* 5688 */    MCD_OPC_FilterValue, 1, 182, 0, // Skip to: 5874
 /* 5692 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5695 */    MCD_OPC_FilterValue, 2, 175, 0, // Skip to: 5874
 /* 5699 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5702 */    MCD_OPC_FilterValue, 233, 3, 167, 0, // Skip to: 5874
-/* 5707 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5722
+/* 5707 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5722
 /* 5711 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5722
-/* 5717 */    MCD_OPC_Decode, 238, 8, 203, 1, // Opcode: VLD4DUPd32
-/* 5722 */    MCD_OPC_CheckPredicate, 15, 148, 0, // Skip to: 5874
-/* 5726 */    MCD_OPC_Decode, 241, 8, 203, 1, // Opcode: VLD4DUPd32_UPD
+/* 5717 */    MCD_OPC_Decode, 245, 8, 205, 1, // Opcode: VLD4DUPd32
+/* 5722 */    MCD_OPC_CheckPredicate, 16, 148, 0, // Skip to: 5874
+/* 5726 */    MCD_OPC_Decode, 248, 8, 205, 1, // Opcode: VLD4DUPd32_UPD
 /* 5731 */    MCD_OPC_FilterValue, 1, 139, 0, // Skip to: 5874
 /* 5735 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
 /* 5738 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 5831
@@ -6864,31 +6887,31 @@ static const uint8_t DecoderTableNEONLoa
 /* 5752 */    MCD_OPC_FilterValue, 2, 118, 0, // Skip to: 5874
 /* 5756 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5759 */    MCD_OPC_FilterValue, 233, 3, 110, 0, // Skip to: 5874
-/* 5764 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5779
+/* 5764 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5779
 /* 5768 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5779
-/* 5774 */    MCD_OPC_Decode, 131, 9, 203, 1, // Opcode: VLD4DUPq8
-/* 5779 */    MCD_OPC_CheckPredicate, 15, 91, 0, // Skip to: 5874
-/* 5783 */    MCD_OPC_Decode, 132, 9, 203, 1, // Opcode: VLD4DUPq8_UPD
+/* 5774 */    MCD_OPC_Decode, 138, 9, 205, 1, // Opcode: VLD4DUPq8
+/* 5779 */    MCD_OPC_CheckPredicate, 16, 91, 0, // Skip to: 5874
+/* 5783 */    MCD_OPC_Decode, 139, 9, 205, 1, // Opcode: VLD4DUPq8_UPD
 /* 5788 */    MCD_OPC_FilterValue, 1, 82, 0, // Skip to: 5874
 /* 5792 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5795 */    MCD_OPC_FilterValue, 2, 75, 0, // Skip to: 5874
 /* 5799 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5802 */    MCD_OPC_FilterValue, 233, 3, 67, 0, // Skip to: 5874
-/* 5807 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5822
+/* 5807 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5822
 /* 5811 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5822
-/* 5817 */    MCD_OPC_Decode, 255, 8, 203, 1, // Opcode: VLD4DUPq16
-/* 5822 */    MCD_OPC_CheckPredicate, 15, 48, 0, // Skip to: 5874
-/* 5826 */    MCD_OPC_Decode, 128, 9, 203, 1, // Opcode: VLD4DUPq16_UPD
+/* 5817 */    MCD_OPC_Decode, 134, 9, 205, 1, // Opcode: VLD4DUPq16
+/* 5822 */    MCD_OPC_CheckPredicate, 16, 48, 0, // Skip to: 5874
+/* 5826 */    MCD_OPC_Decode, 135, 9, 205, 1, // Opcode: VLD4DUPq16_UPD
 /* 5831 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 5874
 /* 5835 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 5838 */    MCD_OPC_FilterValue, 2, 32, 0, // Skip to: 5874
 /* 5842 */    MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 5845 */    MCD_OPC_FilterValue, 233, 3, 24, 0, // Skip to: 5874
-/* 5850 */    MCD_OPC_CheckPredicate, 15, 11, 0, // Skip to: 5865
+/* 5850 */    MCD_OPC_CheckPredicate, 16, 11, 0, // Skip to: 5865
 /* 5854 */    MCD_OPC_CheckField, 0, 4, 15, 5, 0, // Skip to: 5865
-/* 5860 */    MCD_OPC_Decode, 129, 9, 203, 1, // Opcode: VLD4DUPq32
-/* 5865 */    MCD_OPC_CheckPredicate, 15, 5, 0, // Skip to: 5874
-/* 5869 */    MCD_OPC_Decode, 130, 9, 203, 1, // Opcode: VLD4DUPq32_UPD
+/* 5860 */    MCD_OPC_Decode, 136, 9, 205, 1, // Opcode: VLD4DUPq32
+/* 5865 */    MCD_OPC_CheckPredicate, 16, 5, 0, // Skip to: 5874
+/* 5869 */    MCD_OPC_Decode, 137, 9, 205, 1, // Opcode: VLD4DUPq32_UPD
 /* 5874 */    MCD_OPC_Fail,
   0
 };
@@ -6896,13 +6919,13 @@ static const uint8_t DecoderTableNEONLoa
 static const uint8_t DecoderTableThumb16[] = {
 /* 0 */       MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 3 */       MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 22
-/* 7 */       MCD_OPC_CheckPredicate, 19, 210, 3, // Skip to: 989
+/* 7 */       MCD_OPC_CheckPredicate, 21, 210, 3, // Skip to: 989
 /* 11 */      MCD_OPC_CheckField, 6, 6, 0, 204, 3, // Skip to: 989
-/* 17 */      MCD_OPC_Decode, 188, 21, 204, 1, // Opcode: tMOVSr
+/* 17 */      MCD_OPC_Decode, 199, 21, 206, 1, // Opcode: tMOVSr
 /* 22 */      MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 41
-/* 26 */      MCD_OPC_CheckPredicate, 19, 191, 3, // Skip to: 989
+/* 26 */      MCD_OPC_CheckPredicate, 21, 191, 3, // Skip to: 989
 /* 30 */      MCD_OPC_CheckField, 11, 1, 1, 185, 3, // Skip to: 989
-/* 36 */      MCD_OPC_Decode, 158, 21, 205, 1, // Opcode: tCMPi8
+/* 36 */      MCD_OPC_Decode, 169, 21, 207, 1, // Opcode: tCMPi8
 /* 41 */      MCD_OPC_FilterValue, 4, 186, 0, // Skip to: 231
 /* 45 */      MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 48 */      MCD_OPC_FilterValue, 0, 166, 0, // Skip to: 218
@@ -6910,109 +6933,109 @@ static const uint8_t DecoderTableThumb16
 /* 55 */      MCD_OPC_FilterValue, 2, 42, 0, // Skip to: 101
 /* 59 */      MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 62 */      MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 75
-/* 66 */      MCD_OPC_CheckPredicate, 19, 151, 3, // Skip to: 989
-/* 70 */      MCD_OPC_Decode, 225, 21, 204, 1, // Opcode: tTST
+/* 66 */      MCD_OPC_CheckPredicate, 21, 151, 3, // Skip to: 989
+/* 70 */      MCD_OPC_Decode, 236, 21, 206, 1, // Opcode: tTST
 /* 75 */      MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 88
-/* 79 */      MCD_OPC_CheckPredicate, 19, 138, 3, // Skip to: 989
-/* 83 */      MCD_OPC_Decode, 159, 21, 204, 1, // Opcode: tCMPr
+/* 79 */      MCD_OPC_CheckPredicate, 21, 138, 3, // Skip to: 989
+/* 83 */      MCD_OPC_Decode, 170, 21, 206, 1, // Opcode: tCMPr
 /* 88 */      MCD_OPC_FilterValue, 3, 129, 3, // Skip to: 989
-/* 92 */      MCD_OPC_CheckPredicate, 19, 125, 3, // Skip to: 989
-/* 96 */      MCD_OPC_Decode, 156, 21, 204, 1, // Opcode: tCMNz
+/* 92 */      MCD_OPC_CheckPredicate, 21, 125, 3, // Skip to: 989
+/* 96 */      MCD_OPC_Decode, 167, 21, 206, 1, // Opcode: tCMNz
 /* 101 */     MCD_OPC_FilterValue, 4, 45, 0, // Skip to: 150
-/* 105 */     MCD_OPC_CheckPredicate, 19, 11, 0, // Skip to: 120
+/* 105 */     MCD_OPC_CheckPredicate, 21, 11, 0, // Skip to: 120
 /* 109 */     MCD_OPC_CheckField, 3, 4, 13, 5, 0, // Skip to: 120
-/* 115 */     MCD_OPC_Decode, 129, 21, 206, 1, // Opcode: tADDrSP
-/* 120 */     MCD_OPC_CheckPredicate, 19, 17, 0, // Skip to: 141
+/* 115 */     MCD_OPC_Decode, 140, 21, 208, 1, // Opcode: tADDrSP
+/* 120 */     MCD_OPC_CheckPredicate, 21, 17, 0, // Skip to: 141
 /* 124 */     MCD_OPC_CheckField, 7, 1, 1, 11, 0, // Skip to: 141
 /* 130 */     MCD_OPC_CheckField, 0, 3, 5, 5, 0, // Skip to: 141
-/* 136 */     MCD_OPC_Decode, 133, 21, 206, 1, // Opcode: tADDspr
-/* 141 */     MCD_OPC_CheckPredicate, 19, 76, 3, // Skip to: 989
-/* 145 */     MCD_OPC_Decode, 254, 20, 207, 1, // Opcode: tADDhirr
+/* 136 */     MCD_OPC_Decode, 144, 21, 208, 1, // Opcode: tADDspr
+/* 141 */     MCD_OPC_CheckPredicate, 21, 76, 3, // Skip to: 989
+/* 145 */     MCD_OPC_Decode, 137, 21, 209, 1, // Opcode: tADDhirr
 /* 150 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 163
-/* 154 */     MCD_OPC_CheckPredicate, 19, 63, 3, // Skip to: 989
-/* 158 */     MCD_OPC_Decode, 157, 21, 208, 1, // Opcode: tCMPhir
+/* 154 */     MCD_OPC_CheckPredicate, 21, 63, 3, // Skip to: 989
+/* 158 */     MCD_OPC_Decode, 168, 21, 210, 1, // Opcode: tCMPhir
 /* 163 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 176
-/* 167 */     MCD_OPC_CheckPredicate, 19, 50, 3, // Skip to: 989
-/* 171 */     MCD_OPC_Decode, 190, 21, 208, 1, // Opcode: tMOVr
+/* 167 */     MCD_OPC_CheckPredicate, 21, 50, 3, // Skip to: 989
+/* 171 */     MCD_OPC_Decode, 201, 21, 210, 1, // Opcode: tMOVr
 /* 176 */     MCD_OPC_FilterValue, 7, 41, 3, // Skip to: 989
 /* 180 */     MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
 /* 183 */     MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 199
-/* 187 */     MCD_OPC_CheckPredicate, 19, 30, 3, // Skip to: 989
+/* 187 */     MCD_OPC_CheckPredicate, 21, 30, 3, // Skip to: 989
 /* 191 */     MCD_OPC_SoftFail, 7, 0,
-/* 194 */     MCD_OPC_Decode, 148, 21, 209, 1, // Opcode: tBX
+/* 194 */     MCD_OPC_Decode, 159, 21, 211, 1, // Opcode: tBX
 /* 199 */     MCD_OPC_FilterValue, 1, 18, 3, // Skip to: 989
-/* 203 */     MCD_OPC_CheckPredicate, 20, 14, 3, // Skip to: 989
+/* 203 */     MCD_OPC_CheckPredicate, 22, 14, 3, // Skip to: 989
 /* 207 */     MCD_OPC_CheckField, 0, 3, 0, 8, 3, // Skip to: 989
-/* 213 */     MCD_OPC_Decode, 145, 21, 209, 1, // Opcode: tBLXr
+/* 213 */     MCD_OPC_Decode, 156, 21, 211, 1, // Opcode: tBLXr
 /* 218 */     MCD_OPC_FilterValue, 1, 255, 2, // Skip to: 989
-/* 222 */     MCD_OPC_CheckPredicate, 19, 251, 2, // Skip to: 989
-/* 226 */     MCD_OPC_Decode, 177, 21, 210, 1, // Opcode: tLDRpci
+/* 222 */     MCD_OPC_CheckPredicate, 21, 251, 2, // Skip to: 989
+/* 226 */     MCD_OPC_Decode, 188, 21, 212, 1, // Opcode: tLDRpci
 /* 231 */     MCD_OPC_FilterValue, 5, 107, 0, // Skip to: 342
 /* 235 */     MCD_OPC_ExtractField, 9, 3,  // Inst{11-9} ...
 /* 238 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 251
-/* 242 */     MCD_OPC_CheckPredicate, 19, 231, 2, // Skip to: 989
-/* 246 */     MCD_OPC_Decode, 211, 21, 211, 1, // Opcode: tSTRr
+/* 242 */     MCD_OPC_CheckPredicate, 21, 231, 2, // Skip to: 989
+/* 246 */     MCD_OPC_Decode, 222, 21, 213, 1, // Opcode: tSTRr
 /* 251 */     MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 264
-/* 255 */     MCD_OPC_CheckPredicate, 19, 218, 2, // Skip to: 989
-/* 259 */     MCD_OPC_Decode, 209, 21, 211, 1, // Opcode: tSTRHr
+/* 255 */     MCD_OPC_CheckPredicate, 21, 218, 2, // Skip to: 989
+/* 259 */     MCD_OPC_Decode, 220, 21, 213, 1, // Opcode: tSTRHr
 /* 264 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 277
-/* 268 */     MCD_OPC_CheckPredicate, 19, 205, 2, // Skip to: 989
-/* 272 */     MCD_OPC_Decode, 207, 21, 211, 1, // Opcode: tSTRBr
+/* 268 */     MCD_OPC_CheckPredicate, 21, 205, 2, // Skip to: 989
+/* 272 */     MCD_OPC_Decode, 218, 21, 213, 1, // Opcode: tSTRBr
 /* 277 */     MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 290
-/* 281 */     MCD_OPC_CheckPredicate, 19, 192, 2, // Skip to: 989
-/* 285 */     MCD_OPC_Decode, 174, 21, 211, 1, // Opcode: tLDRSB
+/* 281 */     MCD_OPC_CheckPredicate, 21, 192, 2, // Skip to: 989
+/* 285 */     MCD_OPC_Decode, 185, 21, 213, 1, // Opcode: tLDRSB
 /* 290 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 303
-/* 294 */     MCD_OPC_CheckPredicate, 19, 179, 2, // Skip to: 989
-/* 298 */     MCD_OPC_Decode, 179, 21, 211, 1, // Opcode: tLDRr
+/* 294 */     MCD_OPC_CheckPredicate, 21, 179, 2, // Skip to: 989
+/* 298 */     MCD_OPC_Decode, 190, 21, 213, 1, // Opcode: tLDRr
 /* 303 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 316
-/* 307 */     MCD_OPC_CheckPredicate, 19, 166, 2, // Skip to: 989
-/* 311 */     MCD_OPC_Decode, 171, 21, 211, 1, // Opcode: tLDRHr
+/* 307 */     MCD_OPC_CheckPredicate, 21, 166, 2, // Skip to: 989
+/* 311 */     MCD_OPC_Decode, 182, 21, 213, 1, // Opcode: tLDRHr
 /* 316 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 329
-/* 320 */     MCD_OPC_CheckPredicate, 19, 153, 2, // Skip to: 989
-/* 324 */     MCD_OPC_Decode, 169, 21, 211, 1, // Opcode: tLDRBr
+/* 320 */     MCD_OPC_CheckPredicate, 21, 153, 2, // Skip to: 989
+/* 324 */     MCD_OPC_Decode, 180, 21, 213, 1, // Opcode: tLDRBr
 /* 329 */     MCD_OPC_FilterValue, 7, 144, 2, // Skip to: 989
-/* 333 */     MCD_OPC_CheckPredicate, 19, 140, 2, // Skip to: 989
-/* 337 */     MCD_OPC_Decode, 175, 21, 211, 1, // Opcode: tLDRSH
+/* 333 */     MCD_OPC_CheckPredicate, 21, 140, 2, // Skip to: 989
+/* 337 */     MCD_OPC_Decode, 186, 21, 213, 1, // Opcode: tLDRSH
 /* 342 */     MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 375
 /* 346 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 349 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 362
-/* 353 */     MCD_OPC_CheckPredicate, 19, 120, 2, // Skip to: 989
-/* 357 */     MCD_OPC_Decode, 210, 21, 212, 1, // Opcode: tSTRi
+/* 353 */     MCD_OPC_CheckPredicate, 21, 120, 2, // Skip to: 989
+/* 357 */     MCD_OPC_Decode, 221, 21, 214, 1, // Opcode: tSTRi
 /* 362 */     MCD_OPC_FilterValue, 1, 111, 2, // Skip to: 989
-/* 366 */     MCD_OPC_CheckPredicate, 19, 107, 2, // Skip to: 989
-/* 370 */     MCD_OPC_Decode, 176, 21, 212, 1, // Opcode: tLDRi
+/* 366 */     MCD_OPC_CheckPredicate, 21, 107, 2, // Skip to: 989
+/* 370 */     MCD_OPC_Decode, 187, 21, 214, 1, // Opcode: tLDRi
 /* 375 */     MCD_OPC_FilterValue, 7, 29, 0, // Skip to: 408
 /* 379 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 382 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 395
-/* 386 */     MCD_OPC_CheckPredicate, 19, 87, 2, // Skip to: 989
-/* 390 */     MCD_OPC_Decode, 206, 21, 212, 1, // Opcode: tSTRBi
+/* 386 */     MCD_OPC_CheckPredicate, 21, 87, 2, // Skip to: 989
+/* 390 */     MCD_OPC_Decode, 217, 21, 214, 1, // Opcode: tSTRBi
 /* 395 */     MCD_OPC_FilterValue, 1, 78, 2, // Skip to: 989
-/* 399 */     MCD_OPC_CheckPredicate, 19, 74, 2, // Skip to: 989
-/* 403 */     MCD_OPC_Decode, 168, 21, 212, 1, // Opcode: tLDRBi
+/* 399 */     MCD_OPC_CheckPredicate, 21, 74, 2, // Skip to: 989
+/* 403 */     MCD_OPC_Decode, 179, 21, 214, 1, // Opcode: tLDRBi
 /* 408 */     MCD_OPC_FilterValue, 8, 29, 0, // Skip to: 441
 /* 412 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 415 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 428
-/* 419 */     MCD_OPC_CheckPredicate, 19, 54, 2, // Skip to: 989
-/* 423 */     MCD_OPC_Decode, 208, 21, 212, 1, // Opcode: tSTRHi
+/* 419 */     MCD_OPC_CheckPredicate, 21, 54, 2, // Skip to: 989
+/* 423 */     MCD_OPC_Decode, 219, 21, 214, 1, // Opcode: tSTRHi
 /* 428 */     MCD_OPC_FilterValue, 1, 45, 2, // Skip to: 989
-/* 432 */     MCD_OPC_CheckPredicate, 19, 41, 2, // Skip to: 989
-/* 436 */     MCD_OPC_Decode, 170, 21, 212, 1, // Opcode: tLDRHi
+/* 432 */     MCD_OPC_CheckPredicate, 21, 41, 2, // Skip to: 989
+/* 436 */     MCD_OPC_Decode, 181, 21, 214, 1, // Opcode: tLDRHi
 /* 441 */     MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 474
 /* 445 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 448 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 461
-/* 452 */     MCD_OPC_CheckPredicate, 19, 21, 2, // Skip to: 989
-/* 456 */     MCD_OPC_Decode, 212, 21, 213, 1, // Opcode: tSTRspi
+/* 452 */     MCD_OPC_CheckPredicate, 21, 21, 2, // Skip to: 989
+/* 456 */     MCD_OPC_Decode, 223, 21, 215, 1, // Opcode: tSTRspi
 /* 461 */     MCD_OPC_FilterValue, 1, 12, 2, // Skip to: 989
-/* 465 */     MCD_OPC_CheckPredicate, 19, 8, 2, // Skip to: 989
-/* 469 */     MCD_OPC_Decode, 180, 21, 213, 1, // Opcode: tLDRspi
+/* 465 */     MCD_OPC_CheckPredicate, 21, 8, 2, // Skip to: 989
+/* 469 */     MCD_OPC_Decode, 191, 21, 215, 1, // Opcode: tLDRspi
 /* 474 */     MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 507
 /* 478 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 481 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 494
-/* 485 */     MCD_OPC_CheckPredicate, 19, 244, 1, // Skip to: 989
-/* 489 */     MCD_OPC_Decode, 136, 21, 214, 1, // Opcode: tADR
+/* 485 */     MCD_OPC_CheckPredicate, 21, 244, 1, // Skip to: 989
+/* 489 */     MCD_OPC_Decode, 147, 21, 216, 1, // Opcode: tADR
 /* 494 */     MCD_OPC_FilterValue, 1, 235, 1, // Skip to: 989
-/* 498 */     MCD_OPC_CheckPredicate, 19, 231, 1, // Skip to: 989
-/* 502 */     MCD_OPC_Decode, 130, 21, 214, 1, // Opcode: tADDrSPi
+/* 498 */     MCD_OPC_CheckPredicate, 21, 231, 1, // Skip to: 989
+/* 502 */     MCD_OPC_Decode, 141, 21, 216, 1, // Opcode: tADDrSPi
 /* 507 */     MCD_OPC_FilterValue, 11, 113, 1, // Skip to: 880
 /* 511 */     MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
 /* 514 */     MCD_OPC_FilterValue, 0, 129, 0, // Skip to: 647
@@ -7022,110 +7045,110 @@ static const uint8_t DecoderTableThumb16
 /* 528 */     MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 581
 /* 532 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 535 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 548
-/* 539 */     MCD_OPC_CheckPredicate, 19, 190, 1, // Skip to: 989
-/* 543 */     MCD_OPC_Decode, 132, 21, 215, 1, // Opcode: tADDspi
+/* 539 */     MCD_OPC_CheckPredicate, 21, 190, 1, // Skip to: 989
+/* 543 */     MCD_OPC_Decode, 143, 21, 217, 1, // Opcode: tADDspi
 /* 548 */     MCD_OPC_FilterValue, 1, 181, 1, // Skip to: 989
 /* 552 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 555 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 568
-/* 559 */     MCD_OPC_CheckPredicate, 21, 170, 1, // Skip to: 989
-/* 563 */     MCD_OPC_Decode, 219, 21, 204, 1, // Opcode: tSXTH
+/* 559 */     MCD_OPC_CheckPredicate, 23, 170, 1, // Skip to: 989
+/* 563 */     MCD_OPC_Decode, 230, 21, 206, 1, // Opcode: tSXTH
 /* 568 */     MCD_OPC_FilterValue, 1, 161, 1, // Skip to: 989
-/* 572 */     MCD_OPC_CheckPredicate, 21, 157, 1, // Skip to: 989
-/* 576 */     MCD_OPC_Decode, 218, 21, 204, 1, // Opcode: tSXTB
+/* 572 */     MCD_OPC_CheckPredicate, 23, 157, 1, // Skip to: 989
+/* 576 */     MCD_OPC_Decode, 229, 21, 206, 1, // Opcode: tSXTB
 /* 581 */     MCD_OPC_FilterValue, 1, 148, 1, // Skip to: 989
 /* 585 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 588 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 601
-/* 592 */     MCD_OPC_CheckPredicate, 19, 137, 1, // Skip to: 989
-/* 596 */     MCD_OPC_Decode, 216, 21, 215, 1, // Opcode: tSUBspi
+/* 592 */     MCD_OPC_CheckPredicate, 21, 137, 1, // Skip to: 989
+/* 596 */     MCD_OPC_Decode, 227, 21, 217, 1, // Opcode: tSUBspi
 /* 601 */     MCD_OPC_FilterValue, 1, 128, 1, // Skip to: 989
 /* 605 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 608 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 621
-/* 612 */     MCD_OPC_CheckPredicate, 21, 117, 1, // Skip to: 989
-/* 616 */     MCD_OPC_Decode, 228, 21, 204, 1, // Opcode: tUXTH
+/* 612 */     MCD_OPC_CheckPredicate, 23, 117, 1, // Skip to: 989
+/* 616 */     MCD_OPC_Decode, 239, 21, 206, 1, // Opcode: tUXTH
 /* 621 */     MCD_OPC_FilterValue, 1, 108, 1, // Skip to: 989
-/* 625 */     MCD_OPC_CheckPredicate, 21, 104, 1, // Skip to: 989
-/* 629 */     MCD_OPC_Decode, 227, 21, 204, 1, // Opcode: tUXTB
+/* 625 */     MCD_OPC_CheckPredicate, 23, 104, 1, // Skip to: 989
+/* 629 */     MCD_OPC_Decode, 238, 21, 206, 1, // Opcode: tUXTB
 /* 634 */     MCD_OPC_FilterValue, 1, 95, 1, // Skip to: 989
-/* 638 */     MCD_OPC_CheckPredicate, 22, 91, 1, // Skip to: 989
-/* 642 */     MCD_OPC_Decode, 155, 21, 216, 1, // Opcode: tCBZ
+/* 638 */     MCD_OPC_CheckPredicate, 24, 91, 1, // Skip to: 989
+/* 642 */     MCD_OPC_Decode, 166, 21, 218, 1, // Opcode: tCBZ
 /* 647 */     MCD_OPC_FilterValue, 1, 67, 0, // Skip to: 718
 /* 651 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 654 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 667
-/* 658 */     MCD_OPC_CheckPredicate, 19, 71, 1, // Skip to: 989
-/* 662 */     MCD_OPC_Decode, 197, 21, 217, 1, // Opcode: tPUSH
+/* 658 */     MCD_OPC_CheckPredicate, 21, 71, 1, // Skip to: 989
+/* 662 */     MCD_OPC_Decode, 208, 21, 219, 1, // Opcode: tPUSH
 /* 667 */     MCD_OPC_FilterValue, 1, 62, 1, // Skip to: 989
 /* 671 */     MCD_OPC_ExtractField, 5, 4,  // Inst{8-5} ...
 /* 674 */     MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 699
-/* 678 */     MCD_OPC_CheckPredicate, 23, 51, 1, // Skip to: 989
+/* 678 */     MCD_OPC_CheckPredicate, 25, 51, 1, // Skip to: 989
 /* 682 */     MCD_OPC_CheckField, 4, 1, 1, 45, 1, // Skip to: 989
 /* 688 */     MCD_OPC_CheckField, 0, 3, 0, 39, 1, // Skip to: 989
-/* 694 */     MCD_OPC_Decode, 204, 21, 218, 1, // Opcode: tSETEND
+/* 694 */     MCD_OPC_Decode, 215, 21, 220, 1, // Opcode: tSETEND
 /* 699 */     MCD_OPC_FilterValue, 3, 30, 1, // Skip to: 989
-/* 703 */     MCD_OPC_CheckPredicate, 19, 26, 1, // Skip to: 989
+/* 703 */     MCD_OPC_CheckPredicate, 21, 26, 1, // Skip to: 989
 /* 707 */     MCD_OPC_CheckField, 3, 1, 0, 20, 1, // Skip to: 989
-/* 713 */     MCD_OPC_Decode, 160, 21, 219, 1, // Opcode: tCPS
+/* 713 */     MCD_OPC_Decode, 171, 21, 221, 1, // Opcode: tCPS
 /* 718 */     MCD_OPC_FilterValue, 2, 99, 0, // Skip to: 821
 /* 722 */     MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
 /* 725 */     MCD_OPC_FilterValue, 0, 79, 0, // Skip to: 808
 /* 729 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 732 */     MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 751
-/* 736 */     MCD_OPC_CheckPredicate, 21, 249, 0, // Skip to: 989
+/* 736 */     MCD_OPC_CheckPredicate, 23, 249, 0, // Skip to: 989
 /* 740 */     MCD_OPC_CheckField, 9, 1, 1, 243, 0, // Skip to: 989
-/* 746 */     MCD_OPC_Decode, 198, 21, 204, 1, // Opcode: tREV
+/* 746 */     MCD_OPC_Decode, 209, 21, 206, 1, // Opcode: tREV
 /* 751 */     MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 770
-/* 755 */     MCD_OPC_CheckPredicate, 21, 230, 0, // Skip to: 989
+/* 755 */     MCD_OPC_CheckPredicate, 23, 230, 0, // Skip to: 989
 /* 759 */     MCD_OPC_CheckField, 9, 1, 1, 224, 0, // Skip to: 989
-/* 765 */     MCD_OPC_Decode, 199, 21, 204, 1, // Opcode: tREV16
+/* 765 */     MCD_OPC_Decode, 210, 21, 206, 1, // Opcode: tREV16
 /* 770 */     MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 789
-/* 774 */     MCD_OPC_CheckPredicate, 24, 211, 0, // Skip to: 989
+/* 774 */     MCD_OPC_CheckPredicate, 26, 211, 0, // Skip to: 989
 /* 778 */     MCD_OPC_CheckField, 9, 1, 1, 205, 0, // Skip to: 989
-/* 784 */     MCD_OPC_Decode, 163, 21, 220, 1, // Opcode: tHLT
+/* 784 */     MCD_OPC_Decode, 174, 21, 222, 1, // Opcode: tHLT
 /* 789 */     MCD_OPC_FilterValue, 3, 196, 0, // Skip to: 989
-/* 793 */     MCD_OPC_CheckPredicate, 21, 192, 0, // Skip to: 989
+/* 793 */     MCD_OPC_CheckPredicate, 23, 192, 0, // Skip to: 989
 /* 797 */     MCD_OPC_CheckField, 9, 1, 1, 186, 0, // Skip to: 989
-/* 803 */     MCD_OPC_Decode, 200, 21, 204, 1, // Opcode: tREVSH
+/* 803 */     MCD_OPC_Decode, 211, 21, 206, 1, // Opcode: tREVSH
 /* 808 */     MCD_OPC_FilterValue, 1, 177, 0, // Skip to: 989
-/* 812 */     MCD_OPC_CheckPredicate, 22, 173, 0, // Skip to: 989
-/* 816 */     MCD_OPC_Decode, 154, 21, 216, 1, // Opcode: tCBNZ
+/* 812 */     MCD_OPC_CheckPredicate, 24, 173, 0, // Skip to: 989
+/* 816 */     MCD_OPC_Decode, 165, 21, 218, 1, // Opcode: tCBNZ
 /* 821 */     MCD_OPC_FilterValue, 3, 164, 0, // Skip to: 989
 /* 825 */     MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
 /* 828 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 841
-/* 832 */     MCD_OPC_CheckPredicate, 19, 153, 0, // Skip to: 989
-/* 836 */     MCD_OPC_Decode, 195, 21, 221, 1, // Opcode: tPOP
+/* 832 */     MCD_OPC_CheckPredicate, 21, 153, 0, // Skip to: 989
+/* 836 */     MCD_OPC_Decode, 206, 21, 223, 1, // Opcode: tPOP
 /* 841 */     MCD_OPC_FilterValue, 1, 144, 0, // Skip to: 989
 /* 845 */     MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
 /* 848 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 861
-/* 852 */     MCD_OPC_CheckPredicate, 19, 133, 0, // Skip to: 989
-/* 856 */     MCD_OPC_Decode, 142, 21, 222, 1, // Opcode: tBKPT
+/* 852 */     MCD_OPC_CheckPredicate, 21, 133, 0, // Skip to: 989
+/* 856 */     MCD_OPC_Decode, 153, 21, 224, 1, // Opcode: tBKPT
 /* 861 */     MCD_OPC_FilterValue, 1, 124, 0, // Skip to: 989
-/* 865 */     MCD_OPC_CheckPredicate, 25, 120, 0, // Skip to: 989
+/* 865 */     MCD_OPC_CheckPredicate, 27, 120, 0, // Skip to: 989
 /* 869 */     MCD_OPC_CheckField, 0, 4, 0, 114, 0, // Skip to: 989
-/* 875 */     MCD_OPC_Decode, 162, 21, 223, 1, // Opcode: tHINT
+/* 875 */     MCD_OPC_Decode, 173, 21, 225, 1, // Opcode: tHINT
 /* 880 */     MCD_OPC_FilterValue, 12, 29, 0, // Skip to: 913
 /* 884 */     MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
 /* 887 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 900
-/* 891 */     MCD_OPC_CheckPredicate, 19, 94, 0, // Skip to: 989
-/* 895 */     MCD_OPC_Decode, 205, 21, 224, 1, // Opcode: tSTMIA_UPD
+/* 891 */     MCD_OPC_CheckPredicate, 21, 94, 0, // Skip to: 989
+/* 895 */     MCD_OPC_Decode, 216, 21, 226, 1, // Opcode: tSTMIA_UPD
 /* 900 */     MCD_OPC_FilterValue, 1, 85, 0, // Skip to: 989
-/* 904 */     MCD_OPC_CheckPredicate, 19, 81, 0, // Skip to: 989
-/* 908 */     MCD_OPC_Decode, 166, 21, 225, 1, // Opcode: tLDMIA
+/* 904 */     MCD_OPC_CheckPredicate, 21, 81, 0, // Skip to: 989
+/* 908 */     MCD_OPC_Decode, 177, 21, 227, 1, // Opcode: tLDMIA
 /* 913 */     MCD_OPC_FilterValue, 13, 53, 0, // Skip to: 970
-/* 917 */     MCD_OPC_CheckPredicate, 19, 11, 0, // Skip to: 932
+/* 917 */     MCD_OPC_CheckPredicate, 21, 11, 0, // Skip to: 932
 /* 921 */     MCD_OPC_CheckField, 0, 12, 254, 29, 4, 0, // Skip to: 932
-/* 928 */     MCD_OPC_Decode, 224, 21, 58, // Opcode: tTRAP
+/* 928 */     MCD_OPC_Decode, 235, 21, 60, // Opcode: tTRAP
 /* 932 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 935 */     MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 948
-/* 939 */     MCD_OPC_CheckPredicate, 19, 18, 0, // Skip to: 961
-/* 943 */     MCD_OPC_Decode, 226, 21, 222, 1, // Opcode: tUDF
+/* 939 */     MCD_OPC_CheckPredicate, 21, 18, 0, // Skip to: 961
+/* 943 */     MCD_OPC_Decode, 237, 21, 224, 1, // Opcode: tUDF
 /* 948 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 961
-/* 952 */     MCD_OPC_CheckPredicate, 19, 5, 0, // Skip to: 961
-/* 956 */     MCD_OPC_Decode, 217, 21, 222, 1, // Opcode: tSVC
-/* 961 */     MCD_OPC_CheckPredicate, 19, 24, 0, // Skip to: 989
-/* 965 */     MCD_OPC_Decode, 152, 21, 226, 1, // Opcode: tBcc
+/* 952 */     MCD_OPC_CheckPredicate, 21, 5, 0, // Skip to: 961
+/* 956 */     MCD_OPC_Decode, 228, 21, 224, 1, // Opcode: tSVC
+/* 961 */     MCD_OPC_CheckPredicate, 21, 24, 0, // Skip to: 989
+/* 965 */     MCD_OPC_Decode, 163, 21, 228, 1, // Opcode: tBcc
 /* 970 */     MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 989
-/* 974 */     MCD_OPC_CheckPredicate, 19, 11, 0, // Skip to: 989
+/* 974 */     MCD_OPC_CheckPredicate, 21, 11, 0, // Skip to: 989
 /* 978 */     MCD_OPC_CheckField, 11, 1, 0, 5, 0, // Skip to: 989
-/* 984 */     MCD_OPC_Decode, 140, 21, 227, 1, // Opcode: tB
+/* 984 */     MCD_OPC_Decode, 151, 21, 229, 1, // Opcode: tB
 /* 989 */     MCD_OPC_Fail,
   0
 };
@@ -7133,24 +7156,24 @@ static const uint8_t DecoderTableThumb16
 static const uint8_t DecoderTableThumb32[] = {
 /* 0 */       MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
 /* 3 */       MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 34
-/* 7 */       MCD_OPC_CheckPredicate, 26, 48, 0, // Skip to: 59
+/* 7 */       MCD_OPC_CheckPredicate, 28, 48, 0, // Skip to: 59
 /* 11 */      MCD_OPC_CheckField, 27, 5, 30, 42, 0, // Skip to: 59
 /* 17 */      MCD_OPC_CheckField, 14, 2, 3, 36, 0, // Skip to: 59
 /* 23 */      MCD_OPC_CheckField, 0, 1, 0, 30, 0, // Skip to: 59
-/* 29 */      MCD_OPC_Decode, 144, 21, 228, 1, // Opcode: tBLXi
+/* 29 */      MCD_OPC_Decode, 155, 21, 230, 1, // Opcode: tBLXi
 /* 34 */      MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 59
-/* 38 */      MCD_OPC_CheckPredicate, 19, 17, 0, // Skip to: 59
+/* 38 */      MCD_OPC_CheckPredicate, 21, 17, 0, // Skip to: 59
 /* 42 */      MCD_OPC_CheckField, 27, 5, 30, 11, 0, // Skip to: 59
 /* 48 */      MCD_OPC_CheckField, 14, 2, 3, 5, 0, // Skip to: 59
-/* 54 */      MCD_OPC_Decode, 143, 21, 229, 1, // Opcode: tBL
+/* 54 */      MCD_OPC_Decode, 154, 21, 231, 1, // Opcode: tBL
 /* 59 */      MCD_OPC_Fail,
   0
 };
 
-static const uint8_t DecoderTableThumb216[] = {
-/* 0 */       MCD_OPC_CheckPredicate, 22, 12, 0, // Skip to: 16
+static uint8_t DecoderTableThumb216[] = {
+/* 0 */       MCD_OPC_CheckPredicate, 24, 12, 0, // Skip to: 16
 /* 4 */       MCD_OPC_CheckField, 8, 8, 191, 1, 5, 0, // Skip to: 16
-/* 11 */      MCD_OPC_Decode, 163, 18, 230, 1, // Opcode: t2IT
+/* 11 */      MCD_OPC_Decode, 171, 18, 232, 1, // Opcode: t2IT
 /* 16 */      MCD_OPC_Fail,
   0
 };
@@ -7164,1644 +7187,1659 @@ static const uint8_t DecoderTableThumb23
 /* 17 */      MCD_OPC_FilterValue, 0, 59, 0, // Skip to: 80
 /* 21 */      MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 24 */      MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 49
-/* 28 */      MCD_OPC_CheckPredicate, 22, 71, 27, // Skip to: 7015
-/* 32 */      MCD_OPC_CheckField, 23, 1, 1, 65, 27, // Skip to: 7015
-/* 38 */      MCD_OPC_CheckField, 13, 1, 0, 59, 27, // Skip to: 7015
-/* 44 */      MCD_OPC_Decode, 165, 20, 231, 1, // Opcode: t2STMIA
-/* 49 */      MCD_OPC_FilterValue, 1, 50, 27, // Skip to: 7015
-/* 53 */      MCD_OPC_CheckPredicate, 22, 46, 27, // Skip to: 7015
-/* 57 */      MCD_OPC_CheckField, 23, 1, 0, 40, 27, // Skip to: 7015
-/* 63 */      MCD_OPC_CheckField, 16, 4, 13, 34, 27, // Skip to: 7015
-/* 69 */      MCD_OPC_CheckField, 5, 10, 128, 4, 27, 27, // Skip to: 7015
-/* 76 */      MCD_OPC_Decode, 131, 20, 81, // Opcode: t2SRSDB
+/* 28 */      MCD_OPC_CheckPredicate, 24, 150, 27, // Skip to: 7094
+/* 32 */      MCD_OPC_CheckField, 23, 1, 1, 144, 27, // Skip to: 7094
+/* 38 */      MCD_OPC_CheckField, 13, 1, 0, 138, 27, // Skip to: 7094
+/* 44 */      MCD_OPC_Decode, 175, 20, 233, 1, // Opcode: t2STMIA
+/* 49 */      MCD_OPC_FilterValue, 1, 129, 27, // Skip to: 7094
+/* 53 */      MCD_OPC_CheckPredicate, 29, 125, 27, // Skip to: 7094
+/* 57 */      MCD_OPC_CheckField, 23, 1, 0, 119, 27, // Skip to: 7094
+/* 63 */      MCD_OPC_CheckField, 16, 4, 13, 113, 27, // Skip to: 7094
+/* 69 */      MCD_OPC_CheckField, 5, 10, 128, 4, 106, 27, // Skip to: 7094
+/* 76 */      MCD_OPC_Decode, 141, 20, 83, // Opcode: t2SRSDB
 /* 80 */      MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 120
 /* 84 */      MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 87 */      MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 107
-/* 91 */      MCD_OPC_CheckPredicate, 22, 8, 27, // Skip to: 7015
-/* 95 */      MCD_OPC_CheckField, 0, 16, 128, 128, 3, 0, 27, // Skip to: 7015
-/* 103 */     MCD_OPC_Decode, 195, 19, 79, // Opcode: t2RFEDB
-/* 107 */     MCD_OPC_FilterValue, 1, 248, 26, // Skip to: 7015
-/* 111 */     MCD_OPC_CheckPredicate, 22, 244, 26, // Skip to: 7015
-/* 115 */     MCD_OPC_Decode, 191, 18, 232, 1, // Opcode: t2LDMIA
+/* 91 */      MCD_OPC_CheckPredicate, 29, 87, 27, // Skip to: 7094
+/* 95 */      MCD_OPC_CheckField, 0, 16, 128, 128, 3, 79, 27, // Skip to: 7094
+/* 103 */     MCD_OPC_Decode, 205, 19, 81, // Opcode: t2RFEDB
+/* 107 */     MCD_OPC_FilterValue, 1, 71, 27, // Skip to: 7094
+/* 111 */     MCD_OPC_CheckPredicate, 24, 67, 27, // Skip to: 7094
+/* 115 */     MCD_OPC_Decode, 199, 18, 234, 1, // Opcode: t2LDMIA
 /* 120 */     MCD_OPC_FilterValue, 2, 59, 0, // Skip to: 183
 /* 124 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 127 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 152
-/* 131 */     MCD_OPC_CheckPredicate, 22, 224, 26, // Skip to: 7015
-/* 135 */     MCD_OPC_CheckField, 23, 1, 1, 218, 26, // Skip to: 7015
-/* 141 */     MCD_OPC_CheckField, 13, 1, 0, 212, 26, // Skip to: 7015
-/* 147 */     MCD_OPC_Decode, 166, 20, 233, 1, // Opcode: t2STMIA_UPD
-/* 152 */     MCD_OPC_FilterValue, 1, 203, 26, // Skip to: 7015
-/* 156 */     MCD_OPC_CheckPredicate, 22, 199, 26, // Skip to: 7015
-/* 160 */     MCD_OPC_CheckField, 23, 1, 0, 193, 26, // Skip to: 7015
-/* 166 */     MCD_OPC_CheckField, 16, 4, 13, 187, 26, // Skip to: 7015
-/* 172 */     MCD_OPC_CheckField, 5, 10, 128, 4, 180, 26, // Skip to: 7015
-/* 179 */     MCD_OPC_Decode, 132, 20, 81, // Opcode: t2SRSDB_UPD
+/* 131 */     MCD_OPC_CheckPredicate, 24, 47, 27, // Skip to: 7094
+/* 135 */     MCD_OPC_CheckField, 23, 1, 1, 41, 27, // Skip to: 7094
+/* 141 */     MCD_OPC_CheckField, 13, 1, 0, 35, 27, // Skip to: 7094
+/* 147 */     MCD_OPC_Decode, 176, 20, 235, 1, // Opcode: t2STMIA_UPD
+/* 152 */     MCD_OPC_FilterValue, 1, 26, 27, // Skip to: 7094
+/* 156 */     MCD_OPC_CheckPredicate, 29, 22, 27, // Skip to: 7094
+/* 160 */     MCD_OPC_CheckField, 23, 1, 0, 16, 27, // Skip to: 7094
+/* 166 */     MCD_OPC_CheckField, 16, 4, 13, 10, 27, // Skip to: 7094
+/* 172 */     MCD_OPC_CheckField, 5, 10, 128, 4, 3, 27, // Skip to: 7094
+/* 179 */     MCD_OPC_Decode, 142, 20, 83, // Opcode: t2SRSDB_UPD
 /* 183 */     MCD_OPC_FilterValue, 3, 36, 0, // Skip to: 223
 /* 187 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 190 */     MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 210
-/* 194 */     MCD_OPC_CheckPredicate, 22, 161, 26, // Skip to: 7015
-/* 198 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 153, 26, // Skip to: 7015
-/* 206 */     MCD_OPC_Decode, 196, 19, 79, // Opcode: t2RFEDBW
-/* 210 */     MCD_OPC_FilterValue, 1, 145, 26, // Skip to: 7015
-/* 214 */     MCD_OPC_CheckPredicate, 22, 141, 26, // Skip to: 7015
-/* 218 */     MCD_OPC_Decode, 193, 18, 234, 1, // Opcode: t2LDMIA_UPD
+/* 194 */     MCD_OPC_CheckPredicate, 29, 240, 26, // Skip to: 7094
+/* 198 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 232, 26, // Skip to: 7094
+/* 206 */     MCD_OPC_Decode, 206, 19, 81, // Opcode: t2RFEDBW
+/* 210 */     MCD_OPC_FilterValue, 1, 224, 26, // Skip to: 7094
+/* 214 */     MCD_OPC_CheckPredicate, 24, 220, 26, // Skip to: 7094
+/* 218 */     MCD_OPC_Decode, 201, 18, 236, 1, // Opcode: t2LDMIA_UPD
 /* 223 */     MCD_OPC_FilterValue, 4, 219, 0, // Skip to: 446
 /* 227 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 230 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 243
-/* 234 */     MCD_OPC_CheckPredicate, 22, 121, 26, // Skip to: 7015
-/* 238 */     MCD_OPC_Decode, 177, 20, 235, 1, // Opcode: t2STREX
-/* 243 */     MCD_OPC_FilterValue, 1, 112, 26, // Skip to: 7015
+/* 234 */     MCD_OPC_CheckPredicate, 24, 200, 26, // Skip to: 7094
+/* 238 */     MCD_OPC_Decode, 187, 20, 237, 1, // Opcode: t2STREX
+/* 243 */     MCD_OPC_FilterValue, 1, 191, 26, // Skip to: 7094
 /* 247 */     MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 250 */     MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 269
-/* 254 */     MCD_OPC_CheckPredicate, 22, 101, 26, // Skip to: 7015
-/* 258 */     MCD_OPC_CheckField, 8, 4, 15, 95, 26, // Skip to: 7015
-/* 264 */     MCD_OPC_Decode, 178, 20, 236, 1, // Opcode: t2STREXB
+/* 254 */     MCD_OPC_CheckPredicate, 24, 180, 26, // Skip to: 7094
+/* 258 */     MCD_OPC_CheckField, 8, 4, 15, 174, 26, // Skip to: 7094
+/* 264 */     MCD_OPC_Decode, 188, 20, 238, 1, // Opcode: t2STREXB
 /* 269 */     MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 288
-/* 273 */     MCD_OPC_CheckPredicate, 22, 82, 26, // Skip to: 7015
-/* 277 */     MCD_OPC_CheckField, 8, 4, 15, 76, 26, // Skip to: 7015
-/* 283 */     MCD_OPC_Decode, 180, 20, 236, 1, // Opcode: t2STREXH
+/* 273 */     MCD_OPC_CheckPredicate, 24, 161, 26, // Skip to: 7094
+/* 277 */     MCD_OPC_CheckField, 8, 4, 15, 155, 26, // Skip to: 7094
+/* 283 */     MCD_OPC_Decode, 190, 20, 238, 1, // Opcode: t2STREXH
 /* 288 */     MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 301
-/* 292 */     MCD_OPC_CheckPredicate, 22, 63, 26, // Skip to: 7015
-/* 296 */     MCD_OPC_Decode, 179, 20, 237, 1, // Opcode: t2STREXD
+/* 292 */     MCD_OPC_CheckPredicate, 29, 142, 26, // Skip to: 7094
+/* 296 */     MCD_OPC_Decode, 189, 20, 239, 1, // Opcode: t2STREXD
 /* 301 */     MCD_OPC_FilterValue, 8, 21, 0, // Skip to: 326
-/* 305 */     MCD_OPC_CheckPredicate, 24, 50, 26, // Skip to: 7015
-/* 309 */     MCD_OPC_CheckField, 8, 4, 15, 44, 26, // Skip to: 7015
-/* 315 */     MCD_OPC_CheckField, 0, 4, 15, 38, 26, // Skip to: 7015
-/* 321 */     MCD_OPC_Decode, 157, 20, 238, 1, // Opcode: t2STLB
+/* 305 */     MCD_OPC_CheckPredicate, 26, 129, 26, // Skip to: 7094
+/* 309 */     MCD_OPC_CheckField, 8, 4, 15, 123, 26, // Skip to: 7094
+/* 315 */     MCD_OPC_CheckField, 0, 4, 15, 117, 26, // Skip to: 7094
+/* 321 */     MCD_OPC_Decode, 167, 20, 240, 1, // Opcode: t2STLB
 /* 326 */     MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 351
-/* 330 */     MCD_OPC_CheckPredicate, 24, 25, 26, // Skip to: 7015
-/* 334 */     MCD_OPC_CheckField, 8, 4, 15, 19, 26, // Skip to: 7015
-/* 340 */     MCD_OPC_CheckField, 0, 4, 15, 13, 26, // Skip to: 7015
-/* 346 */     MCD_OPC_Decode, 162, 20, 238, 1, // Opcode: t2STLH
+/* 330 */     MCD_OPC_CheckPredicate, 26, 104, 26, // Skip to: 7094
+/* 334 */     MCD_OPC_CheckField, 8, 4, 15, 98, 26, // Skip to: 7094
+/* 340 */     MCD_OPC_CheckField, 0, 4, 15, 92, 26, // Skip to: 7094
+/* 346 */     MCD_OPC_Decode, 172, 20, 240, 1, // Opcode: t2STLH
 /* 351 */     MCD_OPC_FilterValue, 10, 21, 0, // Skip to: 376
-/* 355 */     MCD_OPC_CheckPredicate, 24, 0, 26, // Skip to: 7015
-/* 359 */     MCD_OPC_CheckField, 8, 4, 15, 250, 25, // Skip to: 7015
-/* 365 */     MCD_OPC_CheckField, 0, 4, 15, 244, 25, // Skip to: 7015
-/* 371 */     MCD_OPC_Decode, 156, 20, 238, 1, // Opcode: t2STL
+/* 355 */     MCD_OPC_CheckPredicate, 26, 79, 26, // Skip to: 7094
+/* 359 */     MCD_OPC_CheckField, 8, 4, 15, 73, 26, // Skip to: 7094
+/* 365 */     MCD_OPC_CheckField, 0, 4, 15, 67, 26, // Skip to: 7094
+/* 371 */     MCD_OPC_Decode, 166, 20, 240, 1, // Opcode: t2STL
 /* 376 */     MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 395
-/* 380 */     MCD_OPC_CheckPredicate, 24, 231, 25, // Skip to: 7015
-/* 384 */     MCD_OPC_CheckField, 8, 4, 15, 225, 25, // Skip to: 7015
-/* 390 */     MCD_OPC_Decode, 159, 20, 236, 1, // Opcode: t2STLEXB
+/* 380 */     MCD_OPC_CheckPredicate, 26, 54, 26, // Skip to: 7094
+/* 384 */     MCD_OPC_CheckField, 8, 4, 15, 48, 26, // Skip to: 7094
+/* 390 */     MCD_OPC_Decode, 169, 20, 238, 1, // Opcode: t2STLEXB
 /* 395 */     MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 414
-/* 399 */     MCD_OPC_CheckPredicate, 24, 212, 25, // Skip to: 7015
-/* 403 */     MCD_OPC_CheckField, 8, 4, 15, 206, 25, // Skip to: 7015
-/* 409 */     MCD_OPC_Decode, 161, 20, 236, 1, // Opcode: t2STLEXH
+/* 399 */     MCD_OPC_CheckPredicate, 26, 35, 26, // Skip to: 7094
+/* 403 */     MCD_OPC_CheckField, 8, 4, 15, 29, 26, // Skip to: 7094
+/* 409 */     MCD_OPC_Decode, 171, 20, 238, 1, // Opcode: t2STLEXH
 /* 414 */     MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 433
-/* 418 */     MCD_OPC_CheckPredicate, 24, 193, 25, // Skip to: 7015
-/* 422 */     MCD_OPC_CheckField, 8, 4, 15, 187, 25, // Skip to: 7015
-/* 428 */     MCD_OPC_Decode, 158, 20, 236, 1, // Opcode: t2STLEX
-/* 433 */     MCD_OPC_FilterValue, 15, 178, 25, // Skip to: 7015
-/* 437 */     MCD_OPC_CheckPredicate, 24, 174, 25, // Skip to: 7015
-/* 441 */     MCD_OPC_Decode, 160, 20, 237, 1, // Opcode: t2STLEXD
+/* 418 */     MCD_OPC_CheckPredicate, 26, 16, 26, // Skip to: 7094
+/* 422 */     MCD_OPC_CheckField, 8, 4, 15, 10, 26, // Skip to: 7094
+/* 428 */     MCD_OPC_Decode, 168, 20, 238, 1, // Opcode: t2STLEX
+/* 433 */     MCD_OPC_FilterValue, 15, 1, 26, // Skip to: 7094
+/* 437 */     MCD_OPC_CheckPredicate, 26, 253, 25, // Skip to: 7094
+/* 441 */     MCD_OPC_Decode, 170, 20, 239, 1, // Opcode: t2STLEXD
 /* 446 */     MCD_OPC_FilterValue, 5, 51, 1, // Skip to: 757
 /* 450 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 453 */     MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 472
-/* 457 */     MCD_OPC_CheckPredicate, 22, 154, 25, // Skip to: 7015
-/* 461 */     MCD_OPC_CheckField, 8, 4, 15, 148, 25, // Skip to: 7015
-/* 467 */     MCD_OPC_Decode, 205, 18, 239, 1, // Opcode: t2LDREX
-/* 472 */     MCD_OPC_FilterValue, 1, 139, 25, // Skip to: 7015
+/* 457 */     MCD_OPC_CheckPredicate, 24, 233, 25, // Skip to: 7094
+/* 461 */     MCD_OPC_CheckField, 8, 4, 15, 227, 25, // Skip to: 7094
+/* 467 */     MCD_OPC_Decode, 213, 18, 241, 1, // Opcode: t2LDREX
+/* 472 */     MCD_OPC_FilterValue, 1, 218, 25, // Skip to: 7094
 /* 476 */     MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 479 */     MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 499
-/* 483 */     MCD_OPC_CheckPredicate, 22, 128, 25, // Skip to: 7015
-/* 487 */     MCD_OPC_CheckField, 8, 8, 240, 1, 121, 25, // Skip to: 7015
-/* 494 */     MCD_OPC_Decode, 209, 20, 240, 1, // Opcode: t2TBB
+/* 483 */     MCD_OPC_CheckPredicate, 24, 207, 25, // Skip to: 7094
+/* 487 */     MCD_OPC_CheckField, 8, 8, 240, 1, 200, 25, // Skip to: 7094
+/* 494 */     MCD_OPC_Decode, 219, 20, 242, 1, // Opcode: t2TBB
 /* 499 */     MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 519
-/* 503 */     MCD_OPC_CheckPredicate, 22, 108, 25, // Skip to: 7015
-/* 507 */     MCD_OPC_CheckField, 8, 8, 240, 1, 101, 25, // Skip to: 7015
-/* 514 */     MCD_OPC_Decode, 211, 20, 240, 1, // Opcode: t2TBH
+/* 503 */     MCD_OPC_CheckPredicate, 24, 187, 25, // Skip to: 7094
+/* 507 */     MCD_OPC_CheckField, 8, 8, 240, 1, 180, 25, // Skip to: 7094
+/* 514 */     MCD_OPC_Decode, 221, 20, 242, 1, // Opcode: t2TBH
 /* 519 */     MCD_OPC_FilterValue, 4, 21, 0, // Skip to: 544
-/* 523 */     MCD_OPC_CheckPredicate, 22, 88, 25, // Skip to: 7015
-/* 527 */     MCD_OPC_CheckField, 8, 4, 15, 82, 25, // Skip to: 7015
-/* 533 */     MCD_OPC_CheckField, 0, 4, 15, 76, 25, // Skip to: 7015
-/* 539 */     MCD_OPC_Decode, 206, 18, 238, 1, // Opcode: t2LDREXB
+/* 523 */     MCD_OPC_CheckPredicate, 24, 167, 25, // Skip to: 7094
+/* 527 */     MCD_OPC_CheckField, 8, 4, 15, 161, 25, // Skip to: 7094
+/* 533 */     MCD_OPC_CheckField, 0, 4, 15, 155, 25, // Skip to: 7094
+/* 539 */     MCD_OPC_Decode, 214, 18, 240, 1, // Opcode: t2LDREXB
 /* 544 */     MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 569
-/* 548 */     MCD_OPC_CheckPredicate, 22, 63, 25, // Skip to: 7015
-/* 552 */     MCD_OPC_CheckField, 8, 4, 15, 57, 25, // Skip to: 7015
-/* 558 */     MCD_OPC_CheckField, 0, 4, 15, 51, 25, // Skip to: 7015
-/* 564 */     MCD_OPC_Decode, 208, 18, 238, 1, // Opcode: t2LDREXH
+/* 548 */     MCD_OPC_CheckPredicate, 24, 142, 25, // Skip to: 7094
+/* 552 */     MCD_OPC_CheckField, 8, 4, 15, 136, 25, // Skip to: 7094
+/* 558 */     MCD_OPC_CheckField, 0, 4, 15, 130, 25, // Skip to: 7094
+/* 564 */     MCD_OPC_Decode, 216, 18, 240, 1, // Opcode: t2LDREXH
 /* 569 */     MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 588
-/* 573 */     MCD_OPC_CheckPredicate, 22, 38, 25, // Skip to: 7015
-/* 577 */     MCD_OPC_CheckField, 0, 4, 15, 32, 25, // Skip to: 7015
-/* 583 */     MCD_OPC_Decode, 207, 18, 241, 1, // Opcode: t2LDREXD
+/* 573 */     MCD_OPC_CheckPredicate, 29, 117, 25, // Skip to: 7094
+/* 577 */     MCD_OPC_CheckField, 0, 4, 15, 111, 25, // Skip to: 7094
+/* 583 */     MCD_OPC_Decode, 215, 18, 243, 1, // Opcode: t2LDREXD
 /* 588 */     MCD_OPC_FilterValue, 8, 21, 0, // Skip to: 613
-/* 592 */     MCD_OPC_CheckPredicate, 24, 19, 25, // Skip to: 7015
-/* 596 */     MCD_OPC_CheckField, 8, 4, 15, 13, 25, // Skip to: 7015
-/* 602 */     MCD_OPC_CheckField, 0, 4, 15, 7, 25, // Skip to: 7015
-/* 608 */     MCD_OPC_Decode, 167, 18, 238, 1, // Opcode: t2LDAB
+/* 592 */     MCD_OPC_CheckPredicate, 26, 98, 25, // Skip to: 7094
+/* 596 */     MCD_OPC_CheckField, 8, 4, 15, 92, 25, // Skip to: 7094
+/* 602 */     MCD_OPC_CheckField, 0, 4, 15, 86, 25, // Skip to: 7094
+/* 608 */     MCD_OPC_Decode, 175, 18, 240, 1, // Opcode: t2LDAB
 /* 613 */     MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 638
-/* 617 */     MCD_OPC_CheckPredicate, 24, 250, 24, // Skip to: 7015
-/* 621 */     MCD_OPC_CheckField, 8, 4, 15, 244, 24, // Skip to: 7015
-/* 627 */     MCD_OPC_CheckField, 0, 4, 15, 238, 24, // Skip to: 7015
-/* 633 */     MCD_OPC_Decode, 172, 18, 238, 1, // Opcode: t2LDAH
+/* 617 */     MCD_OPC_CheckPredicate, 26, 73, 25, // Skip to: 7094
+/* 621 */     MCD_OPC_CheckField, 8, 4, 15, 67, 25, // Skip to: 7094
+/* 627 */     MCD_OPC_CheckField, 0, 4, 15, 61, 25, // Skip to: 7094
+/* 633 */     MCD_OPC_Decode, 180, 18, 240, 1, // Opcode: t2LDAH
 /* 638 */     MCD_OPC_FilterValue, 10, 21, 0, // Skip to: 663
-/* 642 */     MCD_OPC_CheckPredicate, 24, 225, 24, // Skip to: 7015
-/* 646 */     MCD_OPC_CheckField, 8, 4, 15, 219, 24, // Skip to: 7015
-/* 652 */     MCD_OPC_CheckField, 0, 4, 15, 213, 24, // Skip to: 7015
-/* 658 */     MCD_OPC_Decode, 166, 18, 238, 1, // Opcode: t2LDA
+/* 642 */     MCD_OPC_CheckPredicate, 26, 48, 25, // Skip to: 7094
+/* 646 */     MCD_OPC_CheckField, 8, 4, 15, 42, 25, // Skip to: 7094
+/* 652 */     MCD_OPC_CheckField, 0, 4, 15, 36, 25, // Skip to: 7094
+/* 658 */     MCD_OPC_Decode, 174, 18, 240, 1, // Opcode: t2LDA
 /* 663 */     MCD_OPC_FilterValue, 12, 21, 0, // Skip to: 688
-/* 667 */     MCD_OPC_CheckPredicate, 24, 200, 24, // Skip to: 7015
-/* 671 */     MCD_OPC_CheckField, 8, 4, 15, 194, 24, // Skip to: 7015
-/* 677 */     MCD_OPC_CheckField, 0, 4, 15, 188, 24, // Skip to: 7015
-/* 683 */     MCD_OPC_Decode, 169, 18, 238, 1, // Opcode: t2LDAEXB
+/* 667 */     MCD_OPC_CheckPredicate, 26, 23, 25, // Skip to: 7094
+/* 671 */     MCD_OPC_CheckField, 8, 4, 15, 17, 25, // Skip to: 7094
+/* 677 */     MCD_OPC_CheckField, 0, 4, 15, 11, 25, // Skip to: 7094
+/* 683 */     MCD_OPC_Decode, 177, 18, 240, 1, // Opcode: t2LDAEXB
 /* 688 */     MCD_OPC_FilterValue, 13, 21, 0, // Skip to: 713
-/* 692 */     MCD_OPC_CheckPredicate, 24, 175, 24, // Skip to: 7015
-/* 696 */     MCD_OPC_CheckField, 8, 4, 15, 169, 24, // Skip to: 7015
-/* 702 */     MCD_OPC_CheckField, 0, 4, 15, 163, 24, // Skip to: 7015
-/* 708 */     MCD_OPC_Decode, 171, 18, 238, 1, // Opcode: t2LDAEXH
+/* 692 */     MCD_OPC_CheckPredicate, 26, 254, 24, // Skip to: 7094
+/* 696 */     MCD_OPC_CheckField, 8, 4, 15, 248, 24, // Skip to: 7094
+/* 702 */     MCD_OPC_CheckField, 0, 4, 15, 242, 24, // Skip to: 7094
+/* 708 */     MCD_OPC_Decode, 179, 18, 240, 1, // Opcode: t2LDAEXH
 /* 713 */     MCD_OPC_FilterValue, 14, 21, 0, // Skip to: 738
-/* 717 */     MCD_OPC_CheckPredicate, 24, 150, 24, // Skip to: 7015
-/* 721 */     MCD_OPC_CheckField, 8, 4, 15, 144, 24, // Skip to: 7015
-/* 727 */     MCD_OPC_CheckField, 0, 4, 15, 138, 24, // Skip to: 7015
-/* 733 */     MCD_OPC_Decode, 168, 18, 238, 1, // Opcode: t2LDAEX
-/* 738 */     MCD_OPC_FilterValue, 15, 129, 24, // Skip to: 7015
-/* 742 */     MCD_OPC_CheckPredicate, 24, 125, 24, // Skip to: 7015
-/* 746 */     MCD_OPC_CheckField, 0, 4, 15, 119, 24, // Skip to: 7015
-/* 752 */     MCD_OPC_Decode, 170, 18, 241, 1, // Opcode: t2LDAEXD
+/* 717 */     MCD_OPC_CheckPredicate, 26, 229, 24, // Skip to: 7094
+/* 721 */     MCD_OPC_CheckField, 8, 4, 15, 223, 24, // Skip to: 7094
+/* 727 */     MCD_OPC_CheckField, 0, 4, 15, 217, 24, // Skip to: 7094
+/* 733 */     MCD_OPC_Decode, 176, 18, 240, 1, // Opcode: t2LDAEX
+/* 738 */     MCD_OPC_FilterValue, 15, 208, 24, // Skip to: 7094
+/* 742 */     MCD_OPC_CheckPredicate, 26, 204, 24, // Skip to: 7094
+/* 746 */     MCD_OPC_CheckField, 0, 4, 15, 198, 24, // Skip to: 7094
+/* 752 */     MCD_OPC_Decode, 178, 18, 243, 1, // Opcode: t2LDAEXD
 /* 757 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 770
-/* 761 */     MCD_OPC_CheckPredicate, 22, 106, 24, // Skip to: 7015
-/* 765 */     MCD_OPC_Decode, 174, 20, 242, 1, // Opcode: t2STRD_POST
-/* 770 */     MCD_OPC_FilterValue, 7, 97, 24, // Skip to: 7015
-/* 774 */     MCD_OPC_CheckPredicate, 22, 93, 24, // Skip to: 7015
-/* 778 */     MCD_OPC_Decode, 202, 18, 243, 1, // Opcode: t2LDRD_POST
+/* 761 */     MCD_OPC_CheckPredicate, 24, 185, 24, // Skip to: 7094
+/* 765 */     MCD_OPC_Decode, 184, 20, 244, 1, // Opcode: t2STRD_POST
+/* 770 */     MCD_OPC_FilterValue, 7, 176, 24, // Skip to: 7094
+/* 774 */     MCD_OPC_CheckPredicate, 24, 172, 24, // Skip to: 7094
+/* 778 */     MCD_OPC_Decode, 210, 18, 245, 1, // Opcode: t2LDRD_POST
 /* 783 */     MCD_OPC_FilterValue, 1, 5, 1, // Skip to: 1048
 /* 787 */     MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
 /* 790 */     MCD_OPC_FilterValue, 0, 59, 0, // Skip to: 853
 /* 794 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 797 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 822
-/* 801 */     MCD_OPC_CheckPredicate, 22, 66, 24, // Skip to: 7015
-/* 805 */     MCD_OPC_CheckField, 23, 1, 0, 60, 24, // Skip to: 7015
-/* 811 */     MCD_OPC_CheckField, 13, 1, 0, 54, 24, // Skip to: 7015
-/* 817 */     MCD_OPC_Decode, 163, 20, 231, 1, // Opcode: t2STMDB
-/* 822 */     MCD_OPC_FilterValue, 1, 45, 24, // Skip to: 7015
-/* 826 */     MCD_OPC_CheckPredicate, 22, 41, 24, // Skip to: 7015
-/* 830 */     MCD_OPC_CheckField, 23, 1, 1, 35, 24, // Skip to: 7015
-/* 836 */     MCD_OPC_CheckField, 16, 4, 13, 29, 24, // Skip to: 7015
-/* 842 */     MCD_OPC_CheckField, 5, 10, 128, 4, 22, 24, // Skip to: 7015
-/* 849 */     MCD_OPC_Decode, 133, 20, 81, // Opcode: t2SRSIA
+/* 801 */     MCD_OPC_CheckPredicate, 24, 145, 24, // Skip to: 7094
+/* 805 */     MCD_OPC_CheckField, 23, 1, 0, 139, 24, // Skip to: 7094
+/* 811 */     MCD_OPC_CheckField, 13, 1, 0, 133, 24, // Skip to: 7094
+/* 817 */     MCD_OPC_Decode, 173, 20, 233, 1, // Opcode: t2STMDB
+/* 822 */     MCD_OPC_FilterValue, 1, 124, 24, // Skip to: 7094
+/* 826 */     MCD_OPC_CheckPredicate, 29, 120, 24, // Skip to: 7094
+/* 830 */     MCD_OPC_CheckField, 23, 1, 1, 114, 24, // Skip to: 7094
+/* 836 */     MCD_OPC_CheckField, 16, 4, 13, 108, 24, // Skip to: 7094
+/* 842 */     MCD_OPC_CheckField, 5, 10, 128, 4, 101, 24, // Skip to: 7094
+/* 849 */     MCD_OPC_Decode, 143, 20, 83, // Opcode: t2SRSIA
 /* 853 */     MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 893
 /* 857 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 860 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 873
-/* 864 */     MCD_OPC_CheckPredicate, 22, 3, 24, // Skip to: 7015
-/* 868 */     MCD_OPC_Decode, 189, 18, 232, 1, // Opcode: t2LDMDB
-/* 873 */     MCD_OPC_FilterValue, 1, 250, 23, // Skip to: 7015
-/* 877 */     MCD_OPC_CheckPredicate, 22, 246, 23, // Skip to: 7015
-/* 881 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 238, 23, // Skip to: 7015
-/* 889 */     MCD_OPC_Decode, 197, 19, 79, // Opcode: t2RFEIA
+/* 864 */     MCD_OPC_CheckPredicate, 24, 82, 24, // Skip to: 7094
+/* 868 */     MCD_OPC_Decode, 197, 18, 234, 1, // Opcode: t2LDMDB
+/* 873 */     MCD_OPC_FilterValue, 1, 73, 24, // Skip to: 7094
+/* 877 */     MCD_OPC_CheckPredicate, 29, 69, 24, // Skip to: 7094
+/* 881 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 61, 24, // Skip to: 7094
+/* 889 */     MCD_OPC_Decode, 207, 19, 81, // Opcode: t2RFEIA
 /* 893 */     MCD_OPC_FilterValue, 2, 59, 0, // Skip to: 956
 /* 897 */     MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 900 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 925
-/* 904 */     MCD_OPC_CheckPredicate, 22, 219, 23, // Skip to: 7015
-/* 908 */     MCD_OPC_CheckField, 23, 1, 0, 213, 23, // Skip to: 7015
-/* 914 */     MCD_OPC_CheckField, 13, 1, 0, 207, 23, // Skip to: 7015
-/* 920 */     MCD_OPC_Decode, 164, 20, 233, 1, // Opcode: t2STMDB_UPD
-/* 925 */     MCD_OPC_FilterValue, 1, 198, 23, // Skip to: 7015
-/* 929 */     MCD_OPC_CheckPredicate, 22, 194, 23, // Skip to: 7015
-/* 933 */     MCD_OPC_CheckField, 23, 1, 1, 188, 23, // Skip to: 7015
-/* 939 */     MCD_OPC_CheckField, 16, 4, 13, 182, 23, // Skip to: 7015
-/* 945 */     MCD_OPC_CheckField, 5, 10, 128, 4, 175, 23, // Skip to: 7015
-/* 952 */     MCD_OPC_Decode, 134, 20, 81, // Opcode: t2SRSIA_UPD
+/* 904 */     MCD_OPC_CheckPredicate, 24, 42, 24, // Skip to: 7094
+/* 908 */     MCD_OPC_CheckField, 23, 1, 0, 36, 24, // Skip to: 7094
+/* 914 */     MCD_OPC_CheckField, 13, 1, 0, 30, 24, // Skip to: 7094
+/* 920 */     MCD_OPC_Decode, 174, 20, 235, 1, // Opcode: t2STMDB_UPD
+/* 925 */     MCD_OPC_FilterValue, 1, 21, 24, // Skip to: 7094
+/* 929 */     MCD_OPC_CheckPredicate, 29, 17, 24, // Skip to: 7094
+/* 933 */     MCD_OPC_CheckField, 23, 1, 1, 11, 24, // Skip to: 7094
+/* 939 */     MCD_OPC_CheckField, 16, 4, 13, 5, 24, // Skip to: 7094
+/* 945 */     MCD_OPC_CheckField, 5, 10, 128, 4, 254, 23, // Skip to: 7094
+/* 952 */     MCD_OPC_Decode, 144, 20, 83, // Opcode: t2SRSIA_UPD
 /* 956 */     MCD_OPC_FilterValue, 3, 36, 0, // Skip to: 996
 /* 960 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 963 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 976
-/* 967 */     MCD_OPC_CheckPredicate, 22, 156, 23, // Skip to: 7015
-/* 971 */     MCD_OPC_Decode, 190, 18, 234, 1, // Opcode: t2LDMDB_UPD
-/* 976 */     MCD_OPC_FilterValue, 1, 147, 23, // Skip to: 7015
-/* 980 */     MCD_OPC_CheckPredicate, 22, 143, 23, // Skip to: 7015
-/* 984 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 135, 23, // Skip to: 7015
-/* 992 */     MCD_OPC_Decode, 198, 19, 79, // Opcode: t2RFEIAW
+/* 967 */     MCD_OPC_CheckPredicate, 24, 235, 23, // Skip to: 7094
+/* 971 */     MCD_OPC_Decode, 198, 18, 236, 1, // Opcode: t2LDMDB_UPD
+/* 976 */     MCD_OPC_FilterValue, 1, 226, 23, // Skip to: 7094
+/* 980 */     MCD_OPC_CheckPredicate, 29, 222, 23, // Skip to: 7094
+/* 984 */     MCD_OPC_CheckField, 0, 16, 128, 128, 3, 214, 23, // Skip to: 7094
+/* 992 */     MCD_OPC_Decode, 208, 19, 81, // Opcode: t2RFEIAW
 /* 996 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 1009
-/* 1000 */    MCD_OPC_CheckPredicate, 22, 123, 23, // Skip to: 7015
-/* 1004 */    MCD_OPC_Decode, 176, 20, 244, 1, // Opcode: t2STRDi8
+/* 1000 */    MCD_OPC_CheckPredicate, 24, 202, 23, // Skip to: 7094
+/* 1004 */    MCD_OPC_Decode, 186, 20, 246, 1, // Opcode: t2STRDi8
 /* 1009 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 1022
-/* 1013 */    MCD_OPC_CheckPredicate, 22, 110, 23, // Skip to: 7015
-/* 1017 */    MCD_OPC_Decode, 204, 18, 244, 1, // Opcode: t2LDRDi8
+/* 1013 */    MCD_OPC_CheckPredicate, 24, 189, 23, // Skip to: 7094
+/* 1017 */    MCD_OPC_Decode, 212, 18, 246, 1, // Opcode: t2LDRDi8
 /* 1022 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 1035
-/* 1026 */    MCD_OPC_CheckPredicate, 22, 97, 23, // Skip to: 7015
-/* 1030 */    MCD_OPC_Decode, 175, 20, 245, 1, // Opcode: t2STRD_PRE
-/* 1035 */    MCD_OPC_FilterValue, 7, 88, 23, // Skip to: 7015
-/* 1039 */    MCD_OPC_CheckPredicate, 22, 84, 23, // Skip to: 7015
-/* 1043 */    MCD_OPC_Decode, 203, 18, 246, 1, // Opcode: t2LDRD_PRE
+/* 1026 */    MCD_OPC_CheckPredicate, 24, 176, 23, // Skip to: 7094
+/* 1030 */    MCD_OPC_Decode, 185, 20, 247, 1, // Opcode: t2STRD_PRE
+/* 1035 */    MCD_OPC_FilterValue, 7, 167, 23, // Skip to: 7094
+/* 1039 */    MCD_OPC_CheckPredicate, 24, 163, 23, // Skip to: 7094
+/* 1043 */    MCD_OPC_Decode, 211, 18, 248, 1, // Opcode: t2LDRD_PRE
 /* 1048 */    MCD_OPC_FilterValue, 2, 201, 1, // Skip to: 1509
 /* 1052 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
 /* 1055 */    MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 1132
-/* 1059 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 1081
+/* 1059 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 1081
 /* 1063 */    MCD_OPC_CheckField, 20, 1, 1, 12, 0, // Skip to: 1081
 /* 1069 */    MCD_OPC_CheckField, 4, 11, 240, 1, 5, 0, // Skip to: 1081
-/* 1076 */    MCD_OPC_Decode, 217, 20, 247, 1, // Opcode: t2TSTrr
-/* 1081 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1102
+/* 1076 */    MCD_OPC_Decode, 227, 20, 249, 1, // Opcode: t2TSTrr
+/* 1081 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1102
 /* 1085 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 1102
 /* 1091 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 1102
-/* 1097 */    MCD_OPC_Decode, 218, 20, 248, 1, // Opcode: t2TSTrs
-/* 1102 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1123
+/* 1097 */    MCD_OPC_Decode, 228, 20, 250, 1, // Opcode: t2TSTrs
+/* 1102 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1123
 /* 1106 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1123
 /* 1112 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1123
-/* 1118 */    MCD_OPC_Decode, 248, 17, 249, 1, // Opcode: t2ANDrr
-/* 1123 */    MCD_OPC_CheckPredicate, 22, 0, 23, // Skip to: 7015
-/* 1127 */    MCD_OPC_Decode, 249, 17, 250, 1, // Opcode: t2ANDrs
+/* 1118 */    MCD_OPC_Decode, 255, 17, 251, 1, // Opcode: t2ANDrr
+/* 1123 */    MCD_OPC_CheckPredicate, 24, 79, 23, // Skip to: 7094
+/* 1127 */    MCD_OPC_Decode, 128, 18, 252, 1, // Opcode: t2ANDrs
 /* 1132 */    MCD_OPC_FilterValue, 1, 30, 0, // Skip to: 1166
-/* 1136 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1157
+/* 1136 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1157
 /* 1140 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1157
 /* 1146 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1157
-/* 1152 */    MCD_OPC_Decode, 128, 18, 249, 1, // Opcode: t2BICrr
-/* 1157 */    MCD_OPC_CheckPredicate, 22, 222, 22, // Skip to: 7015
-/* 1161 */    MCD_OPC_Decode, 129, 18, 250, 1, // Opcode: t2BICrs
+/* 1152 */    MCD_OPC_Decode, 135, 18, 251, 1, // Opcode: t2BICrr
+/* 1157 */    MCD_OPC_CheckPredicate, 24, 45, 23, // Skip to: 7094
+/* 1161 */    MCD_OPC_Decode, 136, 18, 252, 1, // Opcode: t2BICrs
 /* 1166 */    MCD_OPC_FilterValue, 2, 151, 0, // Skip to: 1321
 /* 1170 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 1173 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 1208
 /* 1177 */    MCD_OPC_ExtractField, 12, 3,  // Inst{14-12} ...
 /* 1180 */    MCD_OPC_FilterValue, 0, 49, 0, // Skip to: 1233
-/* 1184 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 1199
+/* 1184 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 1199
 /* 1188 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 1199
-/* 1194 */    MCD_OPC_Decode, 143, 19, 251, 1, // Opcode: t2MOVr
-/* 1199 */    MCD_OPC_CheckPredicate, 22, 30, 0, // Skip to: 1233
-/* 1203 */    MCD_OPC_Decode, 166, 19, 249, 1, // Opcode: t2ORRrr
+/* 1194 */    MCD_OPC_Decode, 151, 19, 253, 1, // Opcode: t2MOVr
+/* 1199 */    MCD_OPC_CheckPredicate, 24, 30, 0, // Skip to: 1233
+/* 1203 */    MCD_OPC_Decode, 176, 19, 251, 1, // Opcode: t2ORRrr
 /* 1208 */    MCD_OPC_FilterValue, 3, 21, 0, // Skip to: 1233
-/* 1212 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1233
+/* 1212 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1233
 /* 1216 */    MCD_OPC_CheckField, 16, 4, 15, 11, 0, // Skip to: 1233
 /* 1222 */    MCD_OPC_CheckField, 12, 3, 0, 5, 0, // Skip to: 1233
-/* 1228 */    MCD_OPC_Decode, 201, 19, 252, 1, // Opcode: t2RRX
+/* 1228 */    MCD_OPC_Decode, 211, 19, 254, 1, // Opcode: t2RRX
 /* 1233 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 1236 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 1255
-/* 1240 */    MCD_OPC_CheckPredicate, 22, 68, 0, // Skip to: 1312
+/* 1240 */    MCD_OPC_CheckPredicate, 24, 68, 0, // Skip to: 1312
 /* 1244 */    MCD_OPC_CheckField, 16, 4, 15, 62, 0, // Skip to: 1312
-/* 1250 */    MCD_OPC_Decode, 244, 18, 253, 1, // Opcode: t2LSLri
+/* 1250 */    MCD_OPC_Decode, 252, 18, 255, 1, // Opcode: t2LSLri
 /* 1255 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 1274
-/* 1259 */    MCD_OPC_CheckPredicate, 22, 49, 0, // Skip to: 1312
+/* 1259 */    MCD_OPC_CheckPredicate, 24, 49, 0, // Skip to: 1312
 /* 1263 */    MCD_OPC_CheckField, 16, 4, 15, 43, 0, // Skip to: 1312
-/* 1269 */    MCD_OPC_Decode, 246, 18, 253, 1, // Opcode: t2LSRri
+/* 1269 */    MCD_OPC_Decode, 254, 18, 255, 1, // Opcode: t2LSRri
 /* 1274 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 1293
-/* 1278 */    MCD_OPC_CheckPredicate, 22, 30, 0, // Skip to: 1312
+/* 1278 */    MCD_OPC_CheckPredicate, 24, 30, 0, // Skip to: 1312
 /* 1282 */    MCD_OPC_CheckField, 16, 4, 15, 24, 0, // Skip to: 1312
-/* 1288 */    MCD_OPC_Decode, 250, 17, 253, 1, // Opcode: t2ASRri
+/* 1288 */    MCD_OPC_Decode, 129, 18, 255, 1, // Opcode: t2ASRri
 /* 1293 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 1312
-/* 1297 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 1312
+/* 1297 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 1312
 /* 1301 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 1312
-/* 1307 */    MCD_OPC_Decode, 199, 19, 253, 1, // Opcode: t2RORri
-/* 1312 */    MCD_OPC_CheckPredicate, 22, 67, 22, // Skip to: 7015
-/* 1316 */    MCD_OPC_Decode, 167, 19, 250, 1, // Opcode: t2ORRrs
+/* 1307 */    MCD_OPC_Decode, 209, 19, 255, 1, // Opcode: t2RORri
+/* 1312 */    MCD_OPC_CheckPredicate, 24, 146, 22, // Skip to: 7094
+/* 1316 */    MCD_OPC_Decode, 177, 19, 252, 1, // Opcode: t2ORRrs
 /* 1321 */    MCD_OPC_FilterValue, 3, 62, 0, // Skip to: 1387
 /* 1325 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 1328 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 1363
 /* 1332 */    MCD_OPC_ExtractField, 12, 3,  // Inst{14-12} ...
 /* 1335 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 1363
-/* 1339 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 1354
+/* 1339 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 1354
 /* 1343 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 1354
-/* 1349 */    MCD_OPC_Decode, 160, 19, 252, 1, // Opcode: t2MVNr
-/* 1354 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 1363
-/* 1358 */    MCD_OPC_Decode, 163, 19, 249, 1, // Opcode: t2ORNrr
-/* 1363 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 1378
+/* 1349 */    MCD_OPC_Decode, 170, 19, 254, 1, // Opcode: t2MVNr
+/* 1354 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 1363
+/* 1358 */    MCD_OPC_Decode, 173, 19, 251, 1, // Opcode: t2ORNrr
+/* 1363 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 1378
 /* 1367 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 1378
-/* 1373 */    MCD_OPC_Decode, 161, 19, 254, 1, // Opcode: t2MVNs
-/* 1378 */    MCD_OPC_CheckPredicate, 22, 1, 22, // Skip to: 7015
-/* 1382 */    MCD_OPC_Decode, 164, 19, 250, 1, // Opcode: t2ORNrs
+/* 1373 */    MCD_OPC_Decode, 171, 19, 128, 2, // Opcode: t2MVNs
+/* 1378 */    MCD_OPC_CheckPredicate, 24, 80, 22, // Skip to: 7094
+/* 1382 */    MCD_OPC_Decode, 174, 19, 252, 1, // Opcode: t2ORNrs
 /* 1387 */    MCD_OPC_FilterValue, 4, 73, 0, // Skip to: 1464
-/* 1391 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 1413
+/* 1391 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 1413
 /* 1395 */    MCD_OPC_CheckField, 20, 1, 1, 12, 0, // Skip to: 1413
 /* 1401 */    MCD_OPC_CheckField, 4, 11, 240, 1, 5, 0, // Skip to: 1413
-/* 1408 */    MCD_OPC_Decode, 214, 20, 247, 1, // Opcode: t2TEQrr
-/* 1413 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1434
+/* 1408 */    MCD_OPC_Decode, 224, 20, 249, 1, // Opcode: t2TEQrr
+/* 1413 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1434
 /* 1417 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 1434
 /* 1423 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 1434
-/* 1429 */    MCD_OPC_Decode, 215, 20, 248, 1, // Opcode: t2TEQrs
-/* 1434 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1455
+/* 1429 */    MCD_OPC_Decode, 225, 20, 250, 1, // Opcode: t2TEQrs
+/* 1434 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1455
 /* 1438 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1455
 /* 1444 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1455
-/* 1450 */    MCD_OPC_Decode, 159, 18, 249, 1, // Opcode: t2EORrr
-/* 1455 */    MCD_OPC_CheckPredicate, 22, 180, 21, // Skip to: 7015
-/* 1459 */    MCD_OPC_Decode, 160, 18, 250, 1, // Opcode: t2EORrs
-/* 1464 */    MCD_OPC_FilterValue, 6, 171, 21, // Skip to: 7015
+/* 1450 */    MCD_OPC_Decode, 166, 18, 251, 1, // Opcode: t2EORrr
+/* 1455 */    MCD_OPC_CheckPredicate, 24, 3, 22, // Skip to: 7094
+/* 1459 */    MCD_OPC_Decode, 167, 18, 252, 1, // Opcode: t2EORrs
+/* 1464 */    MCD_OPC_FilterValue, 6, 250, 21, // Skip to: 7094
 /* 1468 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 1471 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 1490
-/* 1475 */    MCD_OPC_CheckPredicate, 27, 160, 21, // Skip to: 7015
-/* 1479 */    MCD_OPC_CheckField, 20, 1, 0, 154, 21, // Skip to: 7015
-/* 1485 */    MCD_OPC_Decode, 168, 19, 255, 1, // Opcode: t2PKHBT
-/* 1490 */    MCD_OPC_FilterValue, 2, 145, 21, // Skip to: 7015
-/* 1494 */    MCD_OPC_CheckPredicate, 27, 141, 21, // Skip to: 7015
-/* 1498 */    MCD_OPC_CheckField, 20, 1, 0, 135, 21, // Skip to: 7015
-/* 1504 */    MCD_OPC_Decode, 169, 19, 255, 1, // Opcode: t2PKHTB
+/* 1475 */    MCD_OPC_CheckPredicate, 30, 239, 21, // Skip to: 7094
+/* 1479 */    MCD_OPC_CheckField, 20, 1, 0, 233, 21, // Skip to: 7094
+/* 1485 */    MCD_OPC_Decode, 178, 19, 129, 2, // Opcode: t2PKHBT
+/* 1490 */    MCD_OPC_FilterValue, 2, 224, 21, // Skip to: 7094
+/* 1494 */    MCD_OPC_CheckPredicate, 30, 220, 21, // Skip to: 7094
+/* 1498 */    MCD_OPC_CheckField, 20, 1, 0, 214, 21, // Skip to: 7094
+/* 1504 */    MCD_OPC_Decode, 179, 19, 129, 2, // Opcode: t2PKHTB
 /* 1509 */    MCD_OPC_FilterValue, 3, 3, 1, // Skip to: 1772
 /* 1513 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
 /* 1516 */    MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 1593
-/* 1520 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 1542
+/* 1520 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 1542
 /* 1524 */    MCD_OPC_CheckField, 20, 1, 1, 12, 0, // Skip to: 1542
 /* 1530 */    MCD_OPC_CheckField, 4, 11, 240, 1, 5, 0, // Skip to: 1542
-/* 1537 */    MCD_OPC_Decode, 138, 18, 247, 1, // Opcode: t2CMNzrr
-/* 1542 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1563
+/* 1537 */    MCD_OPC_Decode, 145, 18, 249, 1, // Opcode: t2CMNzrr
+/* 1542 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1563
 /* 1546 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 1563
 /* 1552 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 1563
-/* 1558 */    MCD_OPC_Decode, 139, 18, 248, 1, // Opcode: t2CMNzrs
-/* 1563 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1584
+/* 1558 */    MCD_OPC_Decode, 146, 18, 250, 1, // Opcode: t2CMNzrs
+/* 1563 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1584
 /* 1567 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1584
 /* 1573 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1584
-/* 1579 */    MCD_OPC_Decode, 244, 17, 128, 2, // Opcode: t2ADDrr
-/* 1584 */    MCD_OPC_CheckPredicate, 22, 51, 21, // Skip to: 7015
-/* 1588 */    MCD_OPC_Decode, 245, 17, 129, 2, // Opcode: t2ADDrs
+/* 1579 */    MCD_OPC_Decode, 251, 17, 130, 2, // Opcode: t2ADDrr
+/* 1584 */    MCD_OPC_CheckPredicate, 24, 130, 21, // Skip to: 7094
+/* 1588 */    MCD_OPC_Decode, 252, 17, 131, 2, // Opcode: t2ADDrs
 /* 1593 */    MCD_OPC_FilterValue, 2, 30, 0, // Skip to: 1627
-/* 1597 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1618
+/* 1597 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1618
 /* 1601 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1618
 /* 1607 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1618
-/* 1613 */    MCD_OPC_Decode, 237, 17, 249, 1, // Opcode: t2ADCrr
-/* 1618 */    MCD_OPC_CheckPredicate, 22, 17, 21, // Skip to: 7015
-/* 1622 */    MCD_OPC_Decode, 238, 17, 250, 1, // Opcode: t2ADCrs
+/* 1613 */    MCD_OPC_Decode, 244, 17, 251, 1, // Opcode: t2ADCrr
+/* 1618 */    MCD_OPC_CheckPredicate, 24, 96, 21, // Skip to: 7094
+/* 1622 */    MCD_OPC_Decode, 245, 17, 252, 1, // Opcode: t2ADCrs
 /* 1627 */    MCD_OPC_FilterValue, 3, 30, 0, // Skip to: 1661
-/* 1631 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1652
+/* 1631 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1652
 /* 1635 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1652
 /* 1641 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1652
-/* 1647 */    MCD_OPC_Decode, 211, 19, 249, 1, // Opcode: t2SBCrr
-/* 1652 */    MCD_OPC_CheckPredicate, 22, 239, 20, // Skip to: 7015
-/* 1656 */    MCD_OPC_Decode, 212, 19, 250, 1, // Opcode: t2SBCrs
+/* 1647 */    MCD_OPC_Decode, 221, 19, 251, 1, // Opcode: t2SBCrr
+/* 1652 */    MCD_OPC_CheckPredicate, 24, 62, 21, // Skip to: 7094
+/* 1656 */    MCD_OPC_Decode, 222, 19, 252, 1, // Opcode: t2SBCrs
 /* 1661 */    MCD_OPC_FilterValue, 5, 73, 0, // Skip to: 1738
-/* 1665 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 1687
+/* 1665 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 1687
 /* 1669 */    MCD_OPC_CheckField, 20, 1, 1, 12, 0, // Skip to: 1687
 /* 1675 */    MCD_OPC_CheckField, 4, 11, 240, 1, 5, 0, // Skip to: 1687
-/* 1682 */    MCD_OPC_Decode, 141, 18, 247, 1, // Opcode: t2CMPrr
-/* 1687 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1708
+/* 1682 */    MCD_OPC_Decode, 148, 18, 249, 1, // Opcode: t2CMPrr
+/* 1687 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1708
 /* 1691 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 1708
 /* 1697 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 1708
-/* 1703 */    MCD_OPC_Decode, 142, 18, 248, 1, // Opcode: t2CMPrs
-/* 1708 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1729
+/* 1703 */    MCD_OPC_Decode, 149, 18, 250, 1, // Opcode: t2CMPrs
+/* 1708 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1729
 /* 1712 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1729
 /* 1718 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1729
-/* 1724 */    MCD_OPC_Decode, 201, 20, 128, 2, // Opcode: t2SUBrr
-/* 1729 */    MCD_OPC_CheckPredicate, 22, 162, 20, // Skip to: 7015
-/* 1733 */    MCD_OPC_Decode, 202, 20, 129, 2, // Opcode: t2SUBrs
-/* 1738 */    MCD_OPC_FilterValue, 6, 153, 20, // Skip to: 7015
-/* 1742 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 1763
+/* 1724 */    MCD_OPC_Decode, 211, 20, 130, 2, // Opcode: t2SUBrr
+/* 1729 */    MCD_OPC_CheckPredicate, 24, 241, 20, // Skip to: 7094
+/* 1733 */    MCD_OPC_Decode, 212, 20, 131, 2, // Opcode: t2SUBrs
+/* 1738 */    MCD_OPC_FilterValue, 6, 232, 20, // Skip to: 7094
+/* 1742 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 1763
 /* 1746 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 1763
 /* 1752 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 1763
-/* 1758 */    MCD_OPC_Decode, 205, 19, 249, 1, // Opcode: t2RSBrr
-/* 1763 */    MCD_OPC_CheckPredicate, 22, 128, 20, // Skip to: 7015
-/* 1767 */    MCD_OPC_Decode, 206, 19, 250, 1, // Opcode: t2RSBrs
+/* 1758 */    MCD_OPC_Decode, 215, 19, 251, 1, // Opcode: t2RSBrr
+/* 1763 */    MCD_OPC_CheckPredicate, 24, 207, 20, // Skip to: 7094
+/* 1767 */    MCD_OPC_Decode, 216, 19, 252, 1, // Opcode: t2RSBrs
 /* 1772 */    MCD_OPC_FilterValue, 4, 151, 0, // Skip to: 1927
 /* 1776 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
 /* 1779 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1797
-/* 1783 */    MCD_OPC_CheckPredicate, 22, 108, 20, // Skip to: 7015
-/* 1787 */    MCD_OPC_CheckField, 23, 1, 1, 102, 20, // Skip to: 7015
-/* 1793 */    MCD_OPC_Decode, 153, 20, 84, // Opcode: t2STC_OPTION
+/* 1783 */    MCD_OPC_CheckPredicate, 24, 187, 20, // Skip to: 7094
+/* 1787 */    MCD_OPC_CheckField, 23, 1, 1, 181, 20, // Skip to: 7094
+/* 1793 */    MCD_OPC_Decode, 163, 20, 86, // Opcode: t2STC_OPTION
 /* 1797 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 1815
-/* 1801 */    MCD_OPC_CheckPredicate, 22, 90, 20, // Skip to: 7015
-/* 1805 */    MCD_OPC_CheckField, 23, 1, 1, 84, 20, // Skip to: 7015
-/* 1811 */    MCD_OPC_Decode, 186, 18, 84, // Opcode: t2LDC_OPTION
+/* 1801 */    MCD_OPC_CheckPredicate, 24, 169, 20, // Skip to: 7094
+/* 1805 */    MCD_OPC_CheckField, 23, 1, 1, 163, 20, // Skip to: 7094
+/* 1811 */    MCD_OPC_Decode, 194, 18, 86, // Opcode: t2LDC_OPTION
 /* 1815 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1827
-/* 1819 */    MCD_OPC_CheckPredicate, 22, 72, 20, // Skip to: 7015
-/* 1823 */    MCD_OPC_Decode, 154, 20, 84, // Opcode: t2STC_POST
+/* 1819 */    MCD_OPC_CheckPredicate, 24, 151, 20, // Skip to: 7094
+/* 1823 */    MCD_OPC_Decode, 164, 20, 86, // Opcode: t2STC_POST
 /* 1827 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1839
-/* 1831 */    MCD_OPC_CheckPredicate, 22, 60, 20, // Skip to: 7015
-/* 1835 */    MCD_OPC_Decode, 187, 18, 84, // Opcode: t2LDC_POST
+/* 1831 */    MCD_OPC_CheckPredicate, 24, 139, 20, // Skip to: 7094
+/* 1835 */    MCD_OPC_Decode, 195, 18, 86, // Opcode: t2LDC_POST
 /* 1839 */    MCD_OPC_FilterValue, 4, 28, 0, // Skip to: 1871
 /* 1843 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 1846 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1859
-/* 1850 */    MCD_OPC_CheckPredicate, 22, 41, 20, // Skip to: 7015
-/* 1854 */    MCD_OPC_Decode, 250, 18, 130, 2, // Opcode: t2MCRR
-/* 1859 */    MCD_OPC_FilterValue, 1, 32, 20, // Skip to: 7015
-/* 1863 */    MCD_OPC_CheckPredicate, 22, 28, 20, // Skip to: 7015
-/* 1867 */    MCD_OPC_Decode, 149, 20, 84, // Opcode: t2STCL_OPTION
+/* 1850 */    MCD_OPC_CheckPredicate, 24, 120, 20, // Skip to: 7094
+/* 1854 */    MCD_OPC_Decode, 130, 19, 132, 2, // Opcode: t2MCRR
+/* 1859 */    MCD_OPC_FilterValue, 1, 111, 20, // Skip to: 7094
+/* 1863 */    MCD_OPC_CheckPredicate, 24, 107, 20, // Skip to: 7094
+/* 1867 */    MCD_OPC_Decode, 159, 20, 86, // Opcode: t2STCL_OPTION
 /* 1871 */    MCD_OPC_FilterValue, 5, 28, 0, // Skip to: 1903
 /* 1875 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 1878 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1891
-/* 1882 */    MCD_OPC_CheckPredicate, 22, 9, 20, // Skip to: 7015
-/* 1886 */    MCD_OPC_Decode, 150, 19, 130, 2, // Opcode: t2MRRC
-/* 1891 */    MCD_OPC_FilterValue, 1, 0, 20, // Skip to: 7015
-/* 1895 */    MCD_OPC_CheckPredicate, 22, 252, 19, // Skip to: 7015
-/* 1899 */    MCD_OPC_Decode, 182, 18, 84, // Opcode: t2LDCL_OPTION
+/* 1882 */    MCD_OPC_CheckPredicate, 24, 88, 20, // Skip to: 7094
+/* 1886 */    MCD_OPC_Decode, 158, 19, 132, 2, // Opcode: t2MRRC
+/* 1891 */    MCD_OPC_FilterValue, 1, 79, 20, // Skip to: 7094
+/* 1895 */    MCD_OPC_CheckPredicate, 24, 75, 20, // Skip to: 7094
+/* 1899 */    MCD_OPC_Decode, 190, 18, 86, // Opcode: t2LDCL_OPTION
 /* 1903 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1915
-/* 1907 */    MCD_OPC_CheckPredicate, 22, 240, 19, // Skip to: 7015
-/* 1911 */    MCD_OPC_Decode, 150, 20, 84, // Opcode: t2STCL_POST
-/* 1915 */    MCD_OPC_FilterValue, 7, 232, 19, // Skip to: 7015
-/* 1919 */    MCD_OPC_CheckPredicate, 22, 228, 19, // Skip to: 7015
-/* 1923 */    MCD_OPC_Decode, 183, 18, 84, // Opcode: t2LDCL_POST
+/* 1907 */    MCD_OPC_CheckPredicate, 24, 63, 20, // Skip to: 7094
+/* 1911 */    MCD_OPC_Decode, 160, 20, 86, // Opcode: t2STCL_POST
+/* 1915 */    MCD_OPC_FilterValue, 7, 55, 20, // Skip to: 7094
+/* 1919 */    MCD_OPC_CheckPredicate, 24, 51, 20, // Skip to: 7094
+/* 1923 */    MCD_OPC_Decode, 191, 18, 86, // Opcode: t2LDCL_POST
 /* 1927 */    MCD_OPC_FilterValue, 5, 99, 0, // Skip to: 2030
 /* 1931 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
 /* 1934 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1946
-/* 1938 */    MCD_OPC_CheckPredicate, 22, 209, 19, // Skip to: 7015
-/* 1942 */    MCD_OPC_Decode, 152, 20, 84, // Opcode: t2STC_OFFSET
+/* 1938 */    MCD_OPC_CheckPredicate, 24, 32, 20, // Skip to: 7094
+/* 1942 */    MCD_OPC_Decode, 162, 20, 86, // Opcode: t2STC_OFFSET
 /* 1946 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1958
-/* 1950 */    MCD_OPC_CheckPredicate, 22, 197, 19, // Skip to: 7015
-/* 1954 */    MCD_OPC_Decode, 185, 18, 84, // Opcode: t2LDC_OFFSET
+/* 1950 */    MCD_OPC_CheckPredicate, 24, 20, 20, // Skip to: 7094
+/* 1954 */    MCD_OPC_Decode, 193, 18, 86, // Opcode: t2LDC_OFFSET
 /* 1958 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1970
-/* 1962 */    MCD_OPC_CheckPredicate, 22, 185, 19, // Skip to: 7015
-/* 1966 */    MCD_OPC_Decode, 155, 20, 84, // Opcode: t2STC_PRE
+/* 1962 */    MCD_OPC_CheckPredicate, 24, 8, 20, // Skip to: 7094
+/* 1966 */    MCD_OPC_Decode, 165, 20, 86, // Opcode: t2STC_PRE
 /* 1970 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1982
-/* 1974 */    MCD_OPC_CheckPredicate, 22, 173, 19, // Skip to: 7015
-/* 1978 */    MCD_OPC_Decode, 188, 18, 84, // Opcode: t2LDC_PRE
+/* 1974 */    MCD_OPC_CheckPredicate, 24, 252, 19, // Skip to: 7094
+/* 1978 */    MCD_OPC_Decode, 196, 18, 86, // Opcode: t2LDC_PRE
 /* 1982 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1994
-/* 1986 */    MCD_OPC_CheckPredicate, 22, 161, 19, // Skip to: 7015
-/* 1990 */    MCD_OPC_Decode, 148, 20, 84, // Opcode: t2STCL_OFFSET
+/* 1986 */    MCD_OPC_CheckPredicate, 24, 240, 19, // Skip to: 7094
+/* 1990 */    MCD_OPC_Decode, 158, 20, 86, // Opcode: t2STCL_OFFSET
 /* 1994 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 2006
-/* 1998 */    MCD_OPC_CheckPredicate, 22, 149, 19, // Skip to: 7015
-/* 2002 */    MCD_OPC_Decode, 181, 18, 84, // Opcode: t2LDCL_OFFSET
+/* 1998 */    MCD_OPC_CheckPredicate, 24, 228, 19, // Skip to: 7094
+/* 2002 */    MCD_OPC_Decode, 189, 18, 86, // Opcode: t2LDCL_OFFSET
 /* 2006 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 2018
-/* 2010 */    MCD_OPC_CheckPredicate, 22, 137, 19, // Skip to: 7015
-/* 2014 */    MCD_OPC_Decode, 151, 20, 84, // Opcode: t2STCL_PRE
-/* 2018 */    MCD_OPC_FilterValue, 7, 129, 19, // Skip to: 7015
-/* 2022 */    MCD_OPC_CheckPredicate, 22, 125, 19, // Skip to: 7015
-/* 2026 */    MCD_OPC_Decode, 184, 18, 84, // Opcode: t2LDCL_PRE
-/* 2030 */    MCD_OPC_FilterValue, 6, 117, 19, // Skip to: 7015
+/* 2010 */    MCD_OPC_CheckPredicate, 24, 216, 19, // Skip to: 7094
+/* 2014 */    MCD_OPC_Decode, 161, 20, 86, // Opcode: t2STCL_PRE
+/* 2018 */    MCD_OPC_FilterValue, 7, 208, 19, // Skip to: 7094
+/* 2022 */    MCD_OPC_CheckPredicate, 24, 204, 19, // Skip to: 7094
+/* 2026 */    MCD_OPC_Decode, 192, 18, 86, // Opcode: t2LDCL_PRE
+/* 2030 */    MCD_OPC_FilterValue, 6, 196, 19, // Skip to: 7094
 /* 2034 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 2037 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2049
-/* 2041 */    MCD_OPC_CheckPredicate, 28, 106, 19, // Skip to: 7015
-/* 2045 */    MCD_OPC_Decode, 133, 18, 87, // Opcode: t2CDP
-/* 2049 */    MCD_OPC_FilterValue, 1, 98, 19, // Skip to: 7015
+/* 2041 */    MCD_OPC_CheckPredicate, 31, 185, 19, // Skip to: 7094
+/* 2045 */    MCD_OPC_Decode, 140, 18, 89, // Opcode: t2CDP
+/* 2049 */    MCD_OPC_FilterValue, 1, 177, 19, // Skip to: 7094
 /* 2053 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 2056 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2068
-/* 2060 */    MCD_OPC_CheckPredicate, 22, 87, 19, // Skip to: 7015
-/* 2064 */    MCD_OPC_Decode, 248, 18, 89, // Opcode: t2MCR
-/* 2068 */    MCD_OPC_FilterValue, 1, 79, 19, // Skip to: 7015
-/* 2072 */    MCD_OPC_CheckPredicate, 22, 75, 19, // Skip to: 7015
-/* 2076 */    MCD_OPC_Decode, 148, 19, 91, // Opcode: t2MRC
-/* 2080 */    MCD_OPC_FilterValue, 30, 81, 4, // Skip to: 3189
+/* 2060 */    MCD_OPC_CheckPredicate, 24, 166, 19, // Skip to: 7094
+/* 2064 */    MCD_OPC_Decode, 128, 19, 91, // Opcode: t2MCR
+/* 2068 */    MCD_OPC_FilterValue, 1, 158, 19, // Skip to: 7094
+/* 2072 */    MCD_OPC_CheckPredicate, 24, 154, 19, // Skip to: 7094
+/* 2076 */    MCD_OPC_Decode, 156, 19, 93, // Opcode: t2MRC
+/* 2080 */    MCD_OPC_FilterValue, 30, 160, 4, // Skip to: 3268
 /* 2084 */    MCD_OPC_ExtractField, 15, 1,  // Inst{15} ...
 /* 2087 */    MCD_OPC_FilterValue, 0, 69, 2, // Skip to: 2672
 /* 2091 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
 /* 2094 */    MCD_OPC_FilterValue, 0, 140, 0, // Skip to: 2238
 /* 2098 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
 /* 2101 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 2135
-/* 2105 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 2126
+/* 2105 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 2126
 /* 2109 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 2126
 /* 2115 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 2126
-/* 2121 */    MCD_OPC_Decode, 216, 20, 131, 2, // Opcode: t2TSTri
-/* 2126 */    MCD_OPC_CheckPredicate, 22, 21, 19, // Skip to: 7015
-/* 2130 */    MCD_OPC_Decode, 247, 17, 132, 2, // Opcode: t2ANDri
+/* 2121 */    MCD_OPC_Decode, 226, 20, 133, 2, // Opcode: t2TSTri
+/* 2126 */    MCD_OPC_CheckPredicate, 24, 100, 19, // Skip to: 7094
+/* 2130 */    MCD_OPC_Decode, 254, 17, 134, 2, // Opcode: t2ANDri
 /* 2135 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 2148
-/* 2139 */    MCD_OPC_CheckPredicate, 22, 8, 19, // Skip to: 7015
-/* 2143 */    MCD_OPC_Decode, 255, 17, 132, 2, // Opcode: t2BICri
+/* 2139 */    MCD_OPC_CheckPredicate, 24, 87, 19, // Skip to: 7094
+/* 2143 */    MCD_OPC_Decode, 134, 18, 134, 2, // Opcode: t2BICri
 /* 2148 */    MCD_OPC_FilterValue, 2, 24, 0, // Skip to: 2176
-/* 2152 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 2167
+/* 2152 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 2167
 /* 2156 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 2167
-/* 2162 */    MCD_OPC_Decode, 139, 19, 133, 2, // Opcode: t2MOVi
-/* 2167 */    MCD_OPC_CheckPredicate, 22, 236, 18, // Skip to: 7015
-/* 2171 */    MCD_OPC_Decode, 165, 19, 132, 2, // Opcode: t2ORRri
+/* 2162 */    MCD_OPC_Decode, 147, 19, 135, 2, // Opcode: t2MOVi
+/* 2167 */    MCD_OPC_CheckPredicate, 24, 59, 19, // Skip to: 7094
+/* 2171 */    MCD_OPC_Decode, 175, 19, 134, 2, // Opcode: t2ORRri
 /* 2176 */    MCD_OPC_FilterValue, 3, 24, 0, // Skip to: 2204
-/* 2180 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 2195
+/* 2180 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 2195
 /* 2184 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 2195
-/* 2190 */    MCD_OPC_Decode, 159, 19, 133, 2, // Opcode: t2MVNi
-/* 2195 */    MCD_OPC_CheckPredicate, 22, 208, 18, // Skip to: 7015
-/* 2199 */    MCD_OPC_Decode, 162, 19, 132, 2, // Opcode: t2ORNri
-/* 2204 */    MCD_OPC_FilterValue, 4, 199, 18, // Skip to: 7015
-/* 2208 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 2229
+/* 2190 */    MCD_OPC_Decode, 169, 19, 135, 2, // Opcode: t2MVNi
+/* 2195 */    MCD_OPC_CheckPredicate, 24, 31, 19, // Skip to: 7094
+/* 2199 */    MCD_OPC_Decode, 172, 19, 134, 2, // Opcode: t2ORNri
+/* 2204 */    MCD_OPC_FilterValue, 4, 22, 19, // Skip to: 7094
+/* 2208 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 2229
 /* 2212 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 2229
 /* 2218 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 2229
-/* 2224 */    MCD_OPC_Decode, 213, 20, 131, 2, // Opcode: t2TEQri
-/* 2229 */    MCD_OPC_CheckPredicate, 22, 174, 18, // Skip to: 7015
-/* 2233 */    MCD_OPC_Decode, 158, 18, 132, 2, // Opcode: t2EORri
+/* 2224 */    MCD_OPC_Decode, 223, 20, 133, 2, // Opcode: t2TEQri
+/* 2229 */    MCD_OPC_CheckPredicate, 24, 253, 18, // Skip to: 7094
+/* 2233 */    MCD_OPC_Decode, 165, 18, 134, 2, // Opcode: t2EORri
 /* 2238 */    MCD_OPC_FilterValue, 1, 110, 0, // Skip to: 2352
 /* 2242 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
 /* 2245 */    MCD_OPC_FilterValue, 0, 30, 0, // Skip to: 2279
-/* 2249 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 2270
+/* 2249 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 2270
 /* 2253 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 2270
 /* 2259 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 2270
-/* 2265 */    MCD_OPC_Decode, 137, 18, 131, 2, // Opcode: t2CMNri
-/* 2270 */    MCD_OPC_CheckPredicate, 22, 133, 18, // Skip to: 7015
-/* 2274 */    MCD_OPC_Decode, 242, 17, 134, 2, // Opcode: t2ADDri
+/* 2265 */    MCD_OPC_Decode, 144, 18, 133, 2, // Opcode: t2CMNri
+/* 2270 */    MCD_OPC_CheckPredicate, 24, 212, 18, // Skip to: 7094
+/* 2274 */    MCD_OPC_Decode, 249, 17, 136, 2, // Opcode: t2ADDri
 /* 2279 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 2292
-/* 2283 */    MCD_OPC_CheckPredicate, 22, 120, 18, // Skip to: 7015
-/* 2287 */    MCD_OPC_Decode, 236, 17, 132, 2, // Opcode: t2ADCri
+/* 2283 */    MCD_OPC_CheckPredicate, 24, 199, 18, // Skip to: 7094
+/* 2287 */    MCD_OPC_Decode, 243, 17, 134, 2, // Opcode: t2ADCri
 /* 2292 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 2305
-/* 2296 */    MCD_OPC_CheckPredicate, 22, 107, 18, // Skip to: 7015
-/* 2300 */    MCD_OPC_Decode, 210, 19, 132, 2, // Opcode: t2SBCri
+/* 2296 */    MCD_OPC_CheckPredicate, 24, 186, 18, // Skip to: 7094
+/* 2300 */    MCD_OPC_Decode, 220, 19, 134, 2, // Opcode: t2SBCri
 /* 2305 */    MCD_OPC_FilterValue, 5, 30, 0, // Skip to: 2339
-/* 2309 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 2330
+/* 2309 */    MCD_OPC_CheckPredicate, 24, 17, 0, // Skip to: 2330
 /* 2313 */    MCD_OPC_CheckField, 20, 1, 1, 11, 0, // Skip to: 2330
 /* 2319 */    MCD_OPC_CheckField, 8, 4, 15, 5, 0, // Skip to: 2330
-/* 2325 */    MCD_OPC_Decode, 140, 18, 131, 2, // Opcode: t2CMPri
-/* 2330 */    MCD_OPC_CheckPredicate, 22, 73, 18, // Skip to: 7015
-/* 2334 */    MCD_OPC_Decode, 199, 20, 134, 2, // Opcode: t2SUBri
-/* 2339 */    MCD_OPC_FilterValue, 6, 64, 18, // Skip to: 7015
-/* 2343 */    MCD_OPC_CheckPredicate, 22, 60, 18, // Skip to: 7015
-/* 2347 */    MCD_OPC_Decode, 204, 19, 132, 2, // Opcode: t2RSBri
+/* 2325 */    MCD_OPC_Decode, 147, 18, 133, 2, // Opcode: t2CMPri
+/* 2330 */    MCD_OPC_CheckPredicate, 24, 152, 18, // Skip to: 7094
+/* 2334 */    MCD_OPC_Decode, 209, 20, 136, 2, // Opcode: t2SUBri
+/* 2339 */    MCD_OPC_FilterValue, 6, 143, 18, // Skip to: 7094
+/* 2343 */    MCD_OPC_CheckPredicate, 24, 139, 18, // Skip to: 7094
+/* 2347 */    MCD_OPC_Decode, 214, 19, 134, 2, // Opcode: t2RSBri
 /* 2352 */    MCD_OPC_FilterValue, 2, 115, 0, // Skip to: 2471
 /* 2356 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
 /* 2359 */    MCD_OPC_FilterValue, 0, 63, 0, // Skip to: 2426
 /* 2363 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2366 */    MCD_OPC_FilterValue, 0, 37, 18, // Skip to: 7015
+/* 2366 */    MCD_OPC_FilterValue, 0, 116, 18, // Skip to: 7094
 /* 2370 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
 /* 2373 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 2392
-/* 2377 */    MCD_OPC_CheckPredicate, 22, 30, 0, // Skip to: 2411
+/* 2377 */    MCD_OPC_CheckPredicate, 24, 30, 0, // Skip to: 2411
 /* 2381 */    MCD_OPC_CheckField, 23, 1, 0, 24, 0, // Skip to: 2411
-/* 2387 */    MCD_OPC_Decode, 243, 17, 135, 2, // Opcode: t2ADDri12
+/* 2387 */    MCD_OPC_Decode, 250, 17, 137, 2, // Opcode: t2ADDri12
 /* 2392 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 2411
-/* 2396 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 2411
+/* 2396 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 2411
 /* 2400 */    MCD_OPC_CheckField, 23, 1, 1, 5, 0, // Skip to: 2411
-/* 2406 */    MCD_OPC_Decode, 200, 20, 135, 2, // Opcode: t2SUBri12
-/* 2411 */    MCD_OPC_CheckPredicate, 22, 248, 17, // Skip to: 7015
-/* 2415 */    MCD_OPC_CheckField, 16, 4, 15, 242, 17, // Skip to: 7015
-/* 2421 */    MCD_OPC_Decode, 246, 17, 136, 2, // Opcode: t2ADR
-/* 2426 */    MCD_OPC_FilterValue, 1, 233, 17, // Skip to: 7015
+/* 2406 */    MCD_OPC_Decode, 210, 20, 137, 2, // Opcode: t2SUBri12
+/* 2411 */    MCD_OPC_CheckPredicate, 24, 71, 18, // Skip to: 7094
+/* 2415 */    MCD_OPC_CheckField, 16, 4, 15, 65, 18, // Skip to: 7094
+/* 2421 */    MCD_OPC_Decode, 253, 17, 138, 2, // Opcode: t2ADR
+/* 2426 */    MCD_OPC_FilterValue, 1, 56, 18, // Skip to: 7094
 /* 2430 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 2433 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 2452
-/* 2437 */    MCD_OPC_CheckPredicate, 22, 222, 17, // Skip to: 7015
-/* 2441 */    MCD_OPC_CheckField, 20, 2, 0, 216, 17, // Skip to: 7015
-/* 2447 */    MCD_OPC_Decode, 140, 19, 137, 2, // Opcode: t2MOVi16
-/* 2452 */    MCD_OPC_FilterValue, 1, 207, 17, // Skip to: 7015
-/* 2456 */    MCD_OPC_CheckPredicate, 22, 203, 17, // Skip to: 7015
-/* 2460 */    MCD_OPC_CheckField, 20, 2, 0, 197, 17, // Skip to: 7015
-/* 2466 */    MCD_OPC_Decode, 136, 19, 137, 2, // Opcode: t2MOVTi16
-/* 2471 */    MCD_OPC_FilterValue, 3, 188, 17, // Skip to: 7015
+/* 2437 */    MCD_OPC_CheckPredicate, 24, 45, 18, // Skip to: 7094
+/* 2441 */    MCD_OPC_CheckField, 20, 2, 0, 39, 18, // Skip to: 7094
+/* 2447 */    MCD_OPC_Decode, 148, 19, 139, 2, // Opcode: t2MOVi16
+/* 2452 */    MCD_OPC_FilterValue, 1, 30, 18, // Skip to: 7094
+/* 2456 */    MCD_OPC_CheckPredicate, 24, 26, 18, // Skip to: 7094
+/* 2460 */    MCD_OPC_CheckField, 20, 2, 0, 20, 18, // Skip to: 7094
+/* 2466 */    MCD_OPC_Decode, 144, 19, 139, 2, // Opcode: t2MOVTi16
+/* 2471 */    MCD_OPC_FilterValue, 3, 11, 18, // Skip to: 7094
 /* 2475 */    MCD_OPC_ExtractField, 22, 2,  // Inst{23-22} ...
 /* 2478 */    MCD_OPC_FilterValue, 0, 56, 0, // Skip to: 2538
 /* 2482 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 2485 */    MCD_OPC_FilterValue, 0, 174, 17, // Skip to: 7015
+/* 2485 */    MCD_OPC_FilterValue, 0, 253, 17, // Skip to: 7094
 /* 2489 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2492 */    MCD_OPC_FilterValue, 0, 167, 17, // Skip to: 7015
-/* 2496 */    MCD_OPC_CheckPredicate, 29, 29, 0, // Skip to: 2529
+/* 2492 */    MCD_OPC_FilterValue, 0, 246, 17, // Skip to: 7094
+/* 2496 */    MCD_OPC_CheckPredicate, 32, 29, 0, // Skip to: 2529
 /* 2500 */    MCD_OPC_CheckField, 21, 1, 1, 23, 0, // Skip to: 2529
 /* 2506 */    MCD_OPC_CheckField, 12, 3, 0, 17, 0, // Skip to: 2529
 /* 2512 */    MCD_OPC_CheckField, 6, 2, 0, 11, 0, // Skip to: 2529
 /* 2518 */    MCD_OPC_CheckField, 4, 1, 0, 5, 0, // Skip to: 2529
-/* 2524 */    MCD_OPC_Decode, 136, 20, 138, 2, // Opcode: t2SSAT16
-/* 2529 */    MCD_OPC_CheckPredicate, 22, 130, 17, // Skip to: 7015
-/* 2533 */    MCD_OPC_Decode, 135, 20, 139, 2, // Opcode: t2SSAT
+/* 2524 */    MCD_OPC_Decode, 146, 20, 140, 2, // Opcode: t2SSAT16
+/* 2529 */    MCD_OPC_CheckPredicate, 24, 209, 17, // Skip to: 7094
+/* 2533 */    MCD_OPC_Decode, 145, 20, 141, 2, // Opcode: t2SSAT
 /* 2538 */    MCD_OPC_FilterValue, 1, 58, 0, // Skip to: 2600
 /* 2542 */    MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 2545 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 2558
-/* 2549 */    MCD_OPC_CheckPredicate, 22, 110, 17, // Skip to: 7015
-/* 2553 */    MCD_OPC_Decode, 213, 19, 140, 2, // Opcode: t2SBFX
-/* 2558 */    MCD_OPC_FilterValue, 2, 101, 17, // Skip to: 7015
+/* 2549 */    MCD_OPC_CheckPredicate, 24, 189, 17, // Skip to: 7094
+/* 2553 */    MCD_OPC_Decode, 223, 19, 142, 2, // Opcode: t2SBFX
+/* 2558 */    MCD_OPC_FilterValue, 2, 180, 17, // Skip to: 7094
 /* 2562 */    MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
-/* 2565 */    MCD_OPC_FilterValue, 0, 94, 17, // Skip to: 7015
+/* 2565 */    MCD_OPC_FilterValue, 0, 173, 17, // Skip to: 7094
 /* 2569 */    MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 2572 */    MCD_OPC_FilterValue, 0, 87, 17, // Skip to: 7015
-/* 2576 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 2591
+/* 2572 */    MCD_OPC_FilterValue, 0, 166, 17, // Skip to: 7094
+/* 2576 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 2591
 /* 2580 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 2591
-/* 2586 */    MCD_OPC_Decode, 253, 17, 141, 2, // Opcode: t2BFC
-/* 2591 */    MCD_OPC_CheckPredicate, 22, 68, 17, // Skip to: 7015
-/* 2595 */    MCD_OPC_Decode, 254, 17, 142, 2, // Opcode: t2BFI
+/* 2586 */    MCD_OPC_Decode, 132, 18, 143, 2, // Opcode: t2BFC
+/* 2591 */    MCD_OPC_CheckPredicate, 24, 147, 17, // Skip to: 7094
+/* 2595 */    MCD_OPC_Decode, 133, 18, 144, 2, // Opcode: t2BFI
 /* 2600 */    MCD_OPC_FilterValue, 2, 49, 0, // Skip to: 2653
 /* 2604 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 2607 */    MCD_OPC_FilterValue, 0, 52, 17, // Skip to: 7015
-/* 2611 */    MCD_OPC_CheckPredicate, 29, 29, 0, // Skip to: 2644
+/* 2607 */    MCD_OPC_FilterValue, 0, 131, 17, // Skip to: 7094
+/* 2611 */    MCD_OPC_CheckPredicate, 32, 29, 0, // Skip to: 2644
 /* 2615 */    MCD_OPC_CheckField, 26, 1, 0, 23, 0, // Skip to: 2644
 /* 2621 */    MCD_OPC_CheckField, 21, 1, 1, 17, 0, // Skip to: 2644
 /* 2627 */    MCD_OPC_CheckField, 12, 3, 0, 11, 0, // Skip to: 2644
 /* 2633 */    MCD_OPC_CheckField, 4, 4, 0, 5, 0, // Skip to: 2644
-/* 2639 */    MCD_OPC_Decode, 243, 20, 138, 2, // Opcode: t2USAT16
-/* 2644 */    MCD_OPC_CheckPredicate, 22, 15, 17, // Skip to: 7015
-/* 2648 */    MCD_OPC_Decode, 242, 20, 139, 2, // Opcode: t2USAT
-/* 2653 */    MCD_OPC_FilterValue, 3, 6, 17, // Skip to: 7015
-/* 2657 */    MCD_OPC_CheckPredicate, 22, 2, 17, // Skip to: 7015
-/* 2661 */    MCD_OPC_CheckField, 20, 2, 0, 252, 16, // Skip to: 7015
-/* 2667 */    MCD_OPC_Decode, 222, 20, 140, 2, // Opcode: t2UBFX
-/* 2672 */    MCD_OPC_FilterValue, 1, 243, 16, // Skip to: 7015
+/* 2639 */    MCD_OPC_Decode, 253, 20, 140, 2, // Opcode: t2USAT16
+/* 2644 */    MCD_OPC_CheckPredicate, 24, 94, 17, // Skip to: 7094
+/* 2648 */    MCD_OPC_Decode, 252, 20, 141, 2, // Opcode: t2USAT
+/* 2653 */    MCD_OPC_FilterValue, 3, 85, 17, // Skip to: 7094
+/* 2657 */    MCD_OPC_CheckPredicate, 24, 81, 17, // Skip to: 7094
+/* 2661 */    MCD_OPC_CheckField, 20, 2, 0, 75, 17, // Skip to: 7094
+/* 2667 */    MCD_OPC_Decode, 232, 20, 142, 2, // Opcode: t2UBFX
+/* 2672 */    MCD_OPC_FilterValue, 1, 66, 17, // Skip to: 7094
 /* 2676 */    MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
-/* 2679 */    MCD_OPC_FilterValue, 0, 231, 1, // Skip to: 3170
+/* 2679 */    MCD_OPC_FilterValue, 0, 54, 2, // Skip to: 3249
 /* 2683 */    MCD_OPC_ExtractField, 14, 1,  // Inst{14} ...
-/* 2686 */    MCD_OPC_FilterValue, 0, 229, 16, // Skip to: 7015
+/* 2686 */    MCD_OPC_FilterValue, 0, 52, 17, // Skip to: 7094
 /* 2690 */    MCD_OPC_ExtractField, 16, 11,  // Inst{26-16} ...
 /* 2693 */    MCD_OPC_FilterValue, 175, 7, 115, 0, // Skip to: 2813
 /* 2698 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
 /* 2701 */    MCD_OPC_FilterValue, 0, 60, 0, // Skip to: 2765
 /* 2705 */    MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 2708 */    MCD_OPC_FilterValue, 0, 85, 1, // Skip to: 3053
+/* 2708 */    MCD_OPC_FilterValue, 0, 75, 1, // Skip to: 3043
 /* 2712 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 2715 */    MCD_OPC_FilterValue, 0, 78, 1, // Skip to: 3053
+/* 2715 */    MCD_OPC_FilterValue, 0, 68, 1, // Skip to: 3043
 /* 2719 */    MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
 /* 2722 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 2750
-/* 2726 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 2741
+/* 2726 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 2741
 /* 2730 */    MCD_OPC_CheckField, 4, 4, 15, 5, 0, // Skip to: 2741
-/* 2736 */    MCD_OPC_Decode, 152, 18, 143, 2, // Opcode: t2DBG
-/* 2741 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 2750
-/* 2745 */    MCD_OPC_Decode, 161, 18, 222, 1, // Opcode: t2HINT
-/* 2750 */    MCD_OPC_CheckPredicate, 22, 43, 1, // Skip to: 3053
-/* 2754 */    MCD_OPC_CheckField, 0, 5, 0, 37, 1, // Skip to: 3053
-/* 2760 */    MCD_OPC_Decode, 144, 18, 144, 2, // Opcode: t2CPS2p
-/* 2765 */    MCD_OPC_FilterValue, 1, 28, 1, // Skip to: 3053
+/* 2736 */    MCD_OPC_Decode, 159, 18, 145, 2, // Opcode: t2DBG
+/* 2741 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 2750
+/* 2745 */    MCD_OPC_Decode, 168, 18, 224, 1, // Opcode: t2HINT
+/* 2750 */    MCD_OPC_CheckPredicate, 29, 33, 1, // Skip to: 3043
+/* 2754 */    MCD_OPC_CheckField, 0, 5, 0, 27, 1, // Skip to: 3043
+/* 2760 */    MCD_OPC_Decode, 151, 18, 146, 2, // Opcode: t2CPS2p
+/* 2765 */    MCD_OPC_FilterValue, 1, 18, 1, // Skip to: 3043
 /* 2769 */    MCD_OPC_ExtractField, 11, 1,  // Inst{11} ...
-/* 2772 */    MCD_OPC_FilterValue, 0, 21, 1, // Skip to: 3053
+/* 2772 */    MCD_OPC_FilterValue, 0, 11, 1, // Skip to: 3043
 /* 2776 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 2779 */    MCD_OPC_FilterValue, 0, 14, 1, // Skip to: 3053
-/* 2783 */    MCD_OPC_CheckPredicate, 22, 17, 0, // Skip to: 2804
+/* 2779 */    MCD_OPC_FilterValue, 0, 4, 1, // Skip to: 3043
+/* 2783 */    MCD_OPC_CheckPredicate, 29, 17, 0, // Skip to: 2804
 /* 2787 */    MCD_OPC_CheckField, 9, 2, 0, 11, 0, // Skip to: 2804
 /* 2793 */    MCD_OPC_CheckField, 5, 3, 0, 5, 0, // Skip to: 2804
-/* 2799 */    MCD_OPC_Decode, 143, 18, 144, 2, // Opcode: t2CPS1p
-/* 2804 */    MCD_OPC_CheckPredicate, 22, 245, 0, // Skip to: 3053
-/* 2808 */    MCD_OPC_Decode, 145, 18, 144, 2, // Opcode: t2CPS3p
+/* 2799 */    MCD_OPC_Decode, 150, 18, 146, 2, // Opcode: t2CPS1p
+/* 2804 */    MCD_OPC_CheckPredicate, 29, 235, 0, // Skip to: 3043
+/* 2808 */    MCD_OPC_Decode, 152, 18, 146, 2, // Opcode: t2CPS3p
 /* 2813 */    MCD_OPC_FilterValue, 191, 7, 85, 0, // Skip to: 2903
 /* 2818 */    MCD_OPC_ExtractField, 4, 8,  // Inst{11-4} ...
 /* 2821 */    MCD_OPC_FilterValue, 242, 1, 20, 0, // Skip to: 2846
-/* 2826 */    MCD_OPC_CheckPredicate, 30, 223, 0, // Skip to: 3053
-/* 2830 */    MCD_OPC_CheckField, 13, 1, 0, 217, 0, // Skip to: 3053
-/* 2836 */    MCD_OPC_CheckField, 0, 4, 15, 211, 0, // Skip to: 3053
-/* 2842 */    MCD_OPC_Decode, 135, 18, 58, // Opcode: t2CLREX
+/* 2826 */    MCD_OPC_CheckPredicate, 33, 213, 0, // Skip to: 3043
+/* 2830 */    MCD_OPC_CheckField, 13, 1, 0, 207, 0, // Skip to: 3043
+/* 2836 */    MCD_OPC_CheckField, 0, 4, 15, 201, 0, // Skip to: 3043
+/* 2842 */    MCD_OPC_Decode, 142, 18, 60, // Opcode: t2CLREX
 /* 2846 */    MCD_OPC_FilterValue, 244, 1, 14, 0, // Skip to: 2865
-/* 2851 */    MCD_OPC_CheckPredicate, 31, 198, 0, // Skip to: 3053
-/* 2855 */    MCD_OPC_CheckField, 13, 1, 0, 192, 0, // Skip to: 3053
-/* 2861 */    MCD_OPC_Decode, 157, 18, 59, // Opcode: t2DSB
+/* 2851 */    MCD_OPC_CheckPredicate, 34, 188, 0, // Skip to: 3043
+/* 2855 */    MCD_OPC_CheckField, 13, 1, 0, 182, 0, // Skip to: 3043
+/* 2861 */    MCD_OPC_Decode, 164, 18, 61, // Opcode: t2DSB
 /* 2865 */    MCD_OPC_FilterValue, 245, 1, 14, 0, // Skip to: 2884
-/* 2870 */    MCD_OPC_CheckPredicate, 31, 179, 0, // Skip to: 3053
-/* 2874 */    MCD_OPC_CheckField, 13, 1, 0, 173, 0, // Skip to: 3053
-/* 2880 */    MCD_OPC_Decode, 156, 18, 59, // Opcode: t2DMB
-/* 2884 */    MCD_OPC_FilterValue, 246, 1, 164, 0, // Skip to: 3053
-/* 2889 */    MCD_OPC_CheckPredicate, 31, 160, 0, // Skip to: 3053
-/* 2893 */    MCD_OPC_CheckField, 13, 1, 0, 154, 0, // Skip to: 3053
-/* 2899 */    MCD_OPC_Decode, 162, 18, 60, // Opcode: t2ISB
+/* 2870 */    MCD_OPC_CheckPredicate, 34, 169, 0, // Skip to: 3043
+/* 2874 */    MCD_OPC_CheckField, 13, 1, 0, 163, 0, // Skip to: 3043
+/* 2880 */    MCD_OPC_Decode, 163, 18, 61, // Opcode: t2DMB
+/* 2884 */    MCD_OPC_FilterValue, 246, 1, 154, 0, // Skip to: 3043
+/* 2889 */    MCD_OPC_CheckPredicate, 34, 150, 0, // Skip to: 3043
+/* 2893 */    MCD_OPC_CheckField, 13, 1, 0, 144, 0, // Skip to: 3043
+/* 2899 */    MCD_OPC_Decode, 170, 18, 62, // Opcode: t2ISB
 /* 2903 */    MCD_OPC_FilterValue, 222, 7, 21, 0, // Skip to: 2929
-/* 2908 */    MCD_OPC_CheckPredicate, 22, 141, 0, // Skip to: 3053
-/* 2912 */    MCD_OPC_CheckField, 13, 1, 0, 135, 0, // Skip to: 3053
-/* 2918 */    MCD_OPC_CheckField, 8, 4, 15, 129, 0, // Skip to: 3053
-/* 2924 */    MCD_OPC_Decode, 195, 20, 222, 1, // Opcode: t2SUBS_PC_LR
-/* 2929 */    MCD_OPC_FilterValue, 239, 7, 31, 0, // Skip to: 2965
-/* 2934 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 2937 */    MCD_OPC_FilterValue, 0, 112, 0, // Skip to: 3053
-/* 2941 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 2956
-/* 2945 */    MCD_OPC_CheckField, 0, 8, 0, 5, 0, // Skip to: 2956
-/* 2951 */    MCD_OPC_Decode, 152, 19, 145, 2, // Opcode: t2MRS_AR
-/* 2956 */    MCD_OPC_CheckPredicate, 33, 93, 0, // Skip to: 3053
-/* 2960 */    MCD_OPC_Decode, 153, 19, 146, 2, // Opcode: t2MRS_M
-/* 2965 */    MCD_OPC_FilterValue, 255, 7, 21, 0, // Skip to: 2991
-/* 2970 */    MCD_OPC_CheckPredicate, 32, 79, 0, // Skip to: 3053
-/* 2974 */    MCD_OPC_CheckField, 13, 1, 0, 73, 0, // Skip to: 3053
-/* 2980 */    MCD_OPC_CheckField, 0, 8, 0, 67, 0, // Skip to: 3053
-/* 2986 */    MCD_OPC_Decode, 154, 19, 145, 2, // Opcode: t2MRSsys_AR
-/* 2991 */    MCD_OPC_FilterValue, 143, 15, 57, 0, // Skip to: 3053
-/* 2996 */    MCD_OPC_ExtractField, 0, 12,  // Inst{11-0} ...
-/* 2999 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3017
-/* 3003 */    MCD_OPC_CheckPredicate, 34, 46, 0, // Skip to: 3053
-/* 3007 */    MCD_OPC_CheckField, 13, 1, 0, 40, 0, // Skip to: 3053
-/* 3013 */    MCD_OPC_Decode, 153, 18, 58, // Opcode: t2DCPS1
-/* 3017 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3035
-/* 3021 */    MCD_OPC_CheckPredicate, 34, 28, 0, // Skip to: 3053
-/* 3025 */    MCD_OPC_CheckField, 13, 1, 0, 22, 0, // Skip to: 3053
-/* 3031 */    MCD_OPC_Decode, 154, 18, 58, // Opcode: t2DCPS2
-/* 3035 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 3053
-/* 3039 */    MCD_OPC_CheckPredicate, 34, 10, 0, // Skip to: 3053
-/* 3043 */    MCD_OPC_CheckField, 13, 1, 0, 4, 0, // Skip to: 3053
-/* 3049 */    MCD_OPC_Decode, 155, 18, 58, // Opcode: t2DCPS3
-/* 3053 */    MCD_OPC_ExtractField, 20, 7,  // Inst{26-20} ...
-/* 3056 */    MCD_OPC_FilterValue, 56, 15, 0, // Skip to: 3075
-/* 3060 */    MCD_OPC_CheckPredicate, 33, 70, 0, // Skip to: 3134
-/* 3064 */    MCD_OPC_CheckField, 13, 1, 0, 64, 0, // Skip to: 3134
-/* 3070 */    MCD_OPC_Decode, 156, 19, 147, 2, // Opcode: t2MSR_M
-/* 3075 */    MCD_OPC_FilterValue, 60, 22, 0, // Skip to: 3101
-/* 3079 */    MCD_OPC_CheckPredicate, 22, 51, 0, // Skip to: 3134
-/* 3083 */    MCD_OPC_CheckField, 13, 1, 0, 45, 0, // Skip to: 3134
-/* 3089 */    MCD_OPC_CheckField, 0, 12, 128, 30, 38, 0, // Skip to: 3134
-/* 3096 */    MCD_OPC_Decode, 131, 18, 148, 2, // Opcode: t2BXJ
-/* 3101 */    MCD_OPC_FilterValue, 127, 29, 0, // Skip to: 3134
-/* 3105 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 3108 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3121
-/* 3112 */    MCD_OPC_CheckPredicate, 35, 18, 0, // Skip to: 3134
-/* 3116 */    MCD_OPC_Decode, 222, 19, 149, 2, // Opcode: t2SMC
-/* 3121 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3134
-/* 3125 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 3134
-/* 3129 */    MCD_OPC_Decode, 223, 20, 150, 2, // Opcode: t2UDF
-/* 3134 */    MCD_OPC_CheckPredicate, 32, 23, 0, // Skip to: 3161
-/* 3138 */    MCD_OPC_CheckField, 21, 6, 28, 17, 0, // Skip to: 3161
-/* 3144 */    MCD_OPC_CheckField, 13, 1, 0, 11, 0, // Skip to: 3161
-/* 3150 */    MCD_OPC_CheckField, 0, 8, 0, 5, 0, // Skip to: 3161
-/* 3156 */    MCD_OPC_Decode, 155, 19, 151, 2, // Opcode: t2MSR_AR
-/* 3161 */    MCD_OPC_CheckPredicate, 22, 10, 15, // Skip to: 7015
-/* 3165 */    MCD_OPC_Decode, 132, 18, 152, 2, // Opcode: t2Bcc
-/* 3170 */    MCD_OPC_FilterValue, 1, 1, 15, // Skip to: 7015
-/* 3174 */    MCD_OPC_CheckPredicate, 22, 253, 14, // Skip to: 7015
-/* 3178 */    MCD_OPC_CheckField, 14, 1, 0, 247, 14, // Skip to: 7015
-/* 3184 */    MCD_OPC_Decode, 252, 17, 153, 2, // Opcode: t2B
-/* 3189 */    MCD_OPC_FilterValue, 31, 238, 14, // Skip to: 7015
-/* 3193 */    MCD_OPC_ExtractField, 24, 3,  // Inst{26-24} ...
-/* 3196 */    MCD_OPC_FilterValue, 0, 76, 3, // Skip to: 4044
-/* 3200 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 3203 */    MCD_OPC_FilterValue, 0, 109, 0, // Skip to: 3316
-/* 3207 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3210 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3303
-/* 3214 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3217 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3236
-/* 3221 */    MCD_OPC_CheckPredicate, 22, 206, 14, // Skip to: 7015
-/* 3225 */    MCD_OPC_CheckField, 6, 4, 0, 200, 14, // Skip to: 7015
-/* 3231 */    MCD_OPC_Decode, 173, 20, 154, 2, // Opcode: t2STRBs
-/* 3236 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3255
-/* 3240 */    MCD_OPC_CheckPredicate, 22, 187, 14, // Skip to: 7015
-/* 3244 */    MCD_OPC_CheckField, 8, 1, 1, 181, 14, // Skip to: 7015
-/* 3250 */    MCD_OPC_Decode, 168, 20, 155, 2, // Opcode: t2STRB_POST
-/* 3255 */    MCD_OPC_FilterValue, 3, 172, 14, // Skip to: 7015
-/* 3259 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3262 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3290
-/* 3266 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3281
-/* 3270 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3281
-/* 3276 */    MCD_OPC_Decode, 167, 20, 156, 2, // Opcode: t2STRBT
-/* 3281 */    MCD_OPC_CheckPredicate, 22, 146, 14, // Skip to: 7015
-/* 3285 */    MCD_OPC_Decode, 172, 20, 157, 2, // Opcode: t2STRBi8
-/* 3290 */    MCD_OPC_FilterValue, 1, 137, 14, // Skip to: 7015
-/* 3294 */    MCD_OPC_CheckPredicate, 22, 133, 14, // Skip to: 7015
-/* 3298 */    MCD_OPC_Decode, 169, 20, 155, 2, // Opcode: t2STRB_PRE
-/* 3303 */    MCD_OPC_FilterValue, 1, 124, 14, // Skip to: 7015
-/* 3307 */    MCD_OPC_CheckPredicate, 22, 120, 14, // Skip to: 7015
-/* 3311 */    MCD_OPC_Decode, 171, 20, 158, 2, // Opcode: t2STRBi12
-/* 3316 */    MCD_OPC_FilterValue, 1, 191, 0, // Skip to: 3511
-/* 3320 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3323 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 3452
-/* 3327 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3330 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3365
-/* 3334 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
-/* 3337 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 3480
-/* 3341 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3356
-/* 3345 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3356
-/* 3351 */    MCD_OPC_Decode, 176, 19, 159, 2, // Opcode: t2PLDs
-/* 3356 */    MCD_OPC_CheckPredicate, 22, 120, 0, // Skip to: 3480
-/* 3360 */    MCD_OPC_Decode, 201, 18, 159, 2, // Opcode: t2LDRBs
-/* 3365 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3384
-/* 3369 */    MCD_OPC_CheckPredicate, 22, 107, 0, // Skip to: 3480
-/* 3373 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 3480
-/* 3379 */    MCD_OPC_Decode, 195, 18, 155, 2, // Opcode: t2LDRB_POST
-/* 3384 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 3480
-/* 3388 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3391 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 3439
-/* 3395 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
-/* 3398 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3417
-/* 3402 */    MCD_OPC_CheckPredicate, 22, 24, 0, // Skip to: 3430
-/* 3406 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 3430
-/* 3412 */    MCD_OPC_Decode, 174, 19, 160, 2, // Opcode: t2PLDi8
-/* 3417 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3430
-/* 3421 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 3430
-/* 3425 */    MCD_OPC_Decode, 194, 18, 161, 2, // Opcode: t2LDRBT
-/* 3430 */    MCD_OPC_CheckPredicate, 22, 46, 0, // Skip to: 3480
-/* 3434 */    MCD_OPC_Decode, 198, 18, 160, 2, // Opcode: t2LDRBi8
-/* 3439 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 3480
-/* 3443 */    MCD_OPC_CheckPredicate, 22, 33, 0, // Skip to: 3480
-/* 3447 */    MCD_OPC_Decode, 196, 18, 155, 2, // Opcode: t2LDRB_PRE
-/* 3452 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 3480
-/* 3456 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3471
-/* 3460 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3471
-/* 3466 */    MCD_OPC_Decode, 173, 19, 162, 2, // Opcode: t2PLDi12
-/* 3471 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 3480
-/* 3475 */    MCD_OPC_Decode, 197, 18, 162, 2, // Opcode: t2LDRBi12
-/* 3480 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 3483 */    MCD_OPC_FilterValue, 15, 200, 13, // Skip to: 7015
-/* 3487 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3502
-/* 3491 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3502
-/* 3497 */    MCD_OPC_Decode, 175, 19, 163, 2, // Opcode: t2PLDpci
-/* 3502 */    MCD_OPC_CheckPredicate, 22, 181, 13, // Skip to: 7015
-/* 3506 */    MCD_OPC_Decode, 199, 18, 163, 2, // Opcode: t2LDRBpci
-/* 3511 */    MCD_OPC_FilterValue, 2, 109, 0, // Skip to: 3624
-/* 3515 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3518 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3611
-/* 3522 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3525 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3544
-/* 3529 */    MCD_OPC_CheckPredicate, 22, 154, 13, // Skip to: 7015
-/* 3533 */    MCD_OPC_CheckField, 6, 4, 0, 148, 13, // Skip to: 7015
-/* 3539 */    MCD_OPC_Decode, 187, 20, 154, 2, // Opcode: t2STRHs
-/* 3544 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3563
-/* 3548 */    MCD_OPC_CheckPredicate, 22, 135, 13, // Skip to: 7015
-/* 3552 */    MCD_OPC_CheckField, 8, 1, 1, 129, 13, // Skip to: 7015
-/* 3558 */    MCD_OPC_Decode, 182, 20, 155, 2, // Opcode: t2STRH_POST
-/* 3563 */    MCD_OPC_FilterValue, 3, 120, 13, // Skip to: 7015
-/* 3567 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3570 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3598
-/* 3574 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3589
-/* 3578 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3589
-/* 3584 */    MCD_OPC_Decode, 181, 20, 156, 2, // Opcode: t2STRHT
-/* 3589 */    MCD_OPC_CheckPredicate, 22, 94, 13, // Skip to: 7015
-/* 3593 */    MCD_OPC_Decode, 186, 20, 157, 2, // Opcode: t2STRHi8
-/* 3598 */    MCD_OPC_FilterValue, 1, 85, 13, // Skip to: 7015
-/* 3602 */    MCD_OPC_CheckPredicate, 22, 81, 13, // Skip to: 7015
-/* 3606 */    MCD_OPC_Decode, 183, 20, 155, 2, // Opcode: t2STRH_PRE
-/* 3611 */    MCD_OPC_FilterValue, 1, 72, 13, // Skip to: 7015
-/* 3615 */    MCD_OPC_CheckPredicate, 22, 68, 13, // Skip to: 7015
-/* 3619 */    MCD_OPC_Decode, 185, 20, 158, 2, // Opcode: t2STRHi12
-/* 3624 */    MCD_OPC_FilterValue, 3, 175, 0, // Skip to: 3803
-/* 3628 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3631 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 3760
-/* 3635 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3638 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3673
-/* 3642 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
-/* 3645 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 3788
-/* 3649 */    MCD_OPC_CheckPredicate, 36, 11, 0, // Skip to: 3664
-/* 3653 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3664
-/* 3659 */    MCD_OPC_Decode, 172, 19, 159, 2, // Opcode: t2PLDWs
-/* 3664 */    MCD_OPC_CheckPredicate, 22, 120, 0, // Skip to: 3788
-/* 3668 */    MCD_OPC_Decode, 216, 18, 159, 2, // Opcode: t2LDRHs
-/* 3673 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3692
-/* 3677 */    MCD_OPC_CheckPredicate, 22, 107, 0, // Skip to: 3788
-/* 3681 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 3788
-/* 3687 */    MCD_OPC_Decode, 210, 18, 155, 2, // Opcode: t2LDRH_POST
-/* 3692 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 3788
-/* 3696 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3699 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 3747
-/* 3703 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
-/* 3706 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3725
-/* 3710 */    MCD_OPC_CheckPredicate, 36, 24, 0, // Skip to: 3738
-/* 3714 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 3738
-/* 3720 */    MCD_OPC_Decode, 171, 19, 160, 2, // Opcode: t2PLDWi8
-/* 3725 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3738
-/* 3729 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 3738
-/* 3733 */    MCD_OPC_Decode, 209, 18, 161, 2, // Opcode: t2LDRHT
-/* 3738 */    MCD_OPC_CheckPredicate, 22, 46, 0, // Skip to: 3788
-/* 3742 */    MCD_OPC_Decode, 213, 18, 160, 2, // Opcode: t2LDRHi8
-/* 3747 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 3788
-/* 3751 */    MCD_OPC_CheckPredicate, 22, 33, 0, // Skip to: 3788
-/* 3755 */    MCD_OPC_Decode, 211, 18, 155, 2, // Opcode: t2LDRH_PRE
-/* 3760 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 3788
-/* 3764 */    MCD_OPC_CheckPredicate, 36, 11, 0, // Skip to: 3779
-/* 3768 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3779
-/* 3774 */    MCD_OPC_Decode, 170, 19, 162, 2, // Opcode: t2PLDWi12
-/* 3779 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 3788
-/* 3783 */    MCD_OPC_Decode, 212, 18, 162, 2, // Opcode: t2LDRHi12
-/* 3788 */    MCD_OPC_CheckPredicate, 22, 151, 12, // Skip to: 7015
-/* 3792 */    MCD_OPC_CheckField, 16, 4, 15, 145, 12, // Skip to: 7015
-/* 3798 */    MCD_OPC_Decode, 214, 18, 163, 2, // Opcode: t2LDRHpci
-/* 3803 */    MCD_OPC_FilterValue, 4, 109, 0, // Skip to: 3916
-/* 3807 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3810 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3903
-/* 3814 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3817 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3836
-/* 3821 */    MCD_OPC_CheckPredicate, 22, 118, 12, // Skip to: 7015
-/* 3825 */    MCD_OPC_CheckField, 6, 4, 0, 112, 12, // Skip to: 7015
-/* 3831 */    MCD_OPC_Decode, 194, 20, 164, 2, // Opcode: t2STRs
-/* 3836 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3855
-/* 3840 */    MCD_OPC_CheckPredicate, 22, 99, 12, // Skip to: 7015
-/* 3844 */    MCD_OPC_CheckField, 8, 1, 1, 93, 12, // Skip to: 7015
-/* 3850 */    MCD_OPC_Decode, 189, 20, 155, 2, // Opcode: t2STR_POST
-/* 3855 */    MCD_OPC_FilterValue, 3, 84, 12, // Skip to: 7015
-/* 3859 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3862 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3890
-/* 3866 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3881
-/* 3870 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3881
-/* 3876 */    MCD_OPC_Decode, 188, 20, 156, 2, // Opcode: t2STRT
-/* 3881 */    MCD_OPC_CheckPredicate, 22, 58, 12, // Skip to: 7015
-/* 3885 */    MCD_OPC_Decode, 193, 20, 165, 2, // Opcode: t2STRi8
-/* 3890 */    MCD_OPC_FilterValue, 1, 49, 12, // Skip to: 7015
-/* 3894 */    MCD_OPC_CheckPredicate, 22, 45, 12, // Skip to: 7015
-/* 3898 */    MCD_OPC_Decode, 190, 20, 155, 2, // Opcode: t2STR_PRE
-/* 3903 */    MCD_OPC_FilterValue, 1, 36, 12, // Skip to: 7015
-/* 3907 */    MCD_OPC_CheckPredicate, 22, 32, 12, // Skip to: 7015
-/* 3911 */    MCD_OPC_Decode, 192, 20, 166, 2, // Opcode: t2STRi12
-/* 3916 */    MCD_OPC_FilterValue, 5, 23, 12, // Skip to: 7015
-/* 3920 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 3923 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 4016
-/* 3927 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 3930 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3949
-/* 3934 */    MCD_OPC_CheckPredicate, 22, 91, 0, // Skip to: 4029
-/* 3938 */    MCD_OPC_CheckField, 6, 4, 0, 85, 0, // Skip to: 4029
-/* 3944 */    MCD_OPC_Decode, 241, 18, 159, 2, // Opcode: t2LDRs
-/* 3949 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3968
-/* 3953 */    MCD_OPC_CheckPredicate, 22, 72, 0, // Skip to: 4029
-/* 3957 */    MCD_OPC_CheckField, 8, 1, 1, 66, 0, // Skip to: 4029
-/* 3963 */    MCD_OPC_Decode, 234, 18, 155, 2, // Opcode: t2LDR_POST
-/* 3968 */    MCD_OPC_FilterValue, 3, 57, 0, // Skip to: 4029
-/* 3972 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 3975 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4003
-/* 3979 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 3994
-/* 3983 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3994
-/* 3989 */    MCD_OPC_Decode, 233, 18, 161, 2, // Opcode: t2LDRT
-/* 3994 */    MCD_OPC_CheckPredicate, 22, 31, 0, // Skip to: 4029
-/* 3998 */    MCD_OPC_Decode, 237, 18, 160, 2, // Opcode: t2LDRi8
-/* 4003 */    MCD_OPC_FilterValue, 1, 22, 0, // Skip to: 4029
-/* 4007 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 4029
-/* 4011 */    MCD_OPC_Decode, 235, 18, 155, 2, // Opcode: t2LDR_PRE
-/* 4016 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4029
-/* 4020 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 4029
-/* 4024 */    MCD_OPC_Decode, 236, 18, 162, 2, // Opcode: t2LDRi12
-/* 4029 */    MCD_OPC_CheckPredicate, 22, 166, 11, // Skip to: 7015
-/* 4033 */    MCD_OPC_CheckField, 16, 4, 15, 160, 11, // Skip to: 7015
-/* 4039 */    MCD_OPC_Decode, 238, 18, 163, 2, // Opcode: t2LDRpci
-/* 4044 */    MCD_OPC_FilterValue, 1, 70, 1, // Skip to: 4374
-/* 4048 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 4051 */    MCD_OPC_FilterValue, 1, 191, 0, // Skip to: 4246
-/* 4055 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 4058 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 4187
-/* 4062 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 4065 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4100
-/* 4069 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
-/* 4072 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 4215
-/* 4076 */    MCD_OPC_CheckPredicate, 30, 11, 0, // Skip to: 4091
-/* 4080 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4091
-/* 4086 */    MCD_OPC_Decode, 180, 19, 159, 2, // Opcode: t2PLIs
-/* 4091 */    MCD_OPC_CheckPredicate, 22, 120, 0, // Skip to: 4215
-/* 4095 */    MCD_OPC_Decode, 224, 18, 159, 2, // Opcode: t2LDRSBs
-/* 4100 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 4119
-/* 4104 */    MCD_OPC_CheckPredicate, 22, 107, 0, // Skip to: 4215
-/* 4108 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 4215
-/* 4114 */    MCD_OPC_Decode, 218, 18, 155, 2, // Opcode: t2LDRSB_POST
-/* 4119 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 4215
-/* 4123 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 4126 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 4174
-/* 4130 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
-/* 4133 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4152
-/* 4137 */    MCD_OPC_CheckPredicate, 30, 24, 0, // Skip to: 4165
-/* 4141 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 4165
-/* 4147 */    MCD_OPC_Decode, 178, 19, 160, 2, // Opcode: t2PLIi8
-/* 4152 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4165
-/* 4156 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 4165
-/* 4160 */    MCD_OPC_Decode, 217, 18, 161, 2, // Opcode: t2LDRSBT
-/* 4165 */    MCD_OPC_CheckPredicate, 22, 46, 0, // Skip to: 4215
-/* 4169 */    MCD_OPC_Decode, 221, 18, 160, 2, // Opcode: t2LDRSBi8
-/* 4174 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 4215
-/* 4178 */    MCD_OPC_CheckPredicate, 22, 33, 0, // Skip to: 4215
-/* 4182 */    MCD_OPC_Decode, 219, 18, 155, 2, // Opcode: t2LDRSB_PRE
-/* 4187 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 4215
-/* 4191 */    MCD_OPC_CheckPredicate, 30, 11, 0, // Skip to: 4206
-/* 4195 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4206
-/* 4201 */    MCD_OPC_Decode, 177, 19, 162, 2, // Opcode: t2PLIi12
-/* 4206 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 4215
-/* 4210 */    MCD_OPC_Decode, 220, 18, 162, 2, // Opcode: t2LDRSBi12
-/* 4215 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
-/* 4218 */    MCD_OPC_FilterValue, 15, 233, 10, // Skip to: 7015
-/* 4222 */    MCD_OPC_CheckPredicate, 30, 11, 0, // Skip to: 4237
-/* 4226 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4237
-/* 4232 */    MCD_OPC_Decode, 179, 19, 163, 2, // Opcode: t2PLIpci
-/* 4237 */    MCD_OPC_CheckPredicate, 22, 214, 10, // Skip to: 7015
-/* 4241 */    MCD_OPC_Decode, 222, 18, 163, 2, // Opcode: t2LDRSBpci
-/* 4246 */    MCD_OPC_FilterValue, 3, 205, 10, // Skip to: 7015
-/* 4250 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 4253 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 4346
-/* 4257 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
-/* 4260 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4279
-/* 4264 */    MCD_OPC_CheckPredicate, 22, 91, 0, // Skip to: 4359
-/* 4268 */    MCD_OPC_CheckField, 6, 4, 0, 85, 0, // Skip to: 4359
-/* 4274 */    MCD_OPC_Decode, 232, 18, 159, 2, // Opcode: t2LDRSHs
-/* 4279 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 4298
-/* 4283 */    MCD_OPC_CheckPredicate, 22, 72, 0, // Skip to: 4359
-/* 4287 */    MCD_OPC_CheckField, 8, 1, 1, 66, 0, // Skip to: 4359
-/* 4293 */    MCD_OPC_Decode, 226, 18, 155, 2, // Opcode: t2LDRSH_POST
-/* 4298 */    MCD_OPC_FilterValue, 3, 57, 0, // Skip to: 4359
-/* 4302 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
-/* 4305 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4333
-/* 4309 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 4324
-/* 4313 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 4324
-/* 4319 */    MCD_OPC_Decode, 225, 18, 161, 2, // Opcode: t2LDRSHT
-/* 4324 */    MCD_OPC_CheckPredicate, 22, 31, 0, // Skip to: 4359
-/* 4328 */    MCD_OPC_Decode, 229, 18, 160, 2, // Opcode: t2LDRSHi8
-/* 4333 */    MCD_OPC_FilterValue, 1, 22, 0, // Skip to: 4359
-/* 4337 */    MCD_OPC_CheckPredicate, 22, 18, 0, // Skip to: 4359
-/* 4341 */    MCD_OPC_Decode, 227, 18, 155, 2, // Opcode: t2LDRSH_PRE
-/* 4346 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4359
-/* 4350 */    MCD_OPC_CheckPredicate, 22, 5, 0, // Skip to: 4359
-/* 4354 */    MCD_OPC_Decode, 228, 18, 162, 2, // Opcode: t2LDRSHi12
-/* 4359 */    MCD_OPC_CheckPredicate, 22, 92, 10, // Skip to: 7015
-/* 4363 */    MCD_OPC_CheckField, 16, 4, 15, 86, 10, // Skip to: 7015
-/* 4369 */    MCD_OPC_Decode, 230, 18, 163, 2, // Opcode: t2LDRSHpci
-/* 4374 */    MCD_OPC_FilterValue, 2, 47, 6, // Skip to: 5961
-/* 4378 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
-/* 4381 */    MCD_OPC_FilterValue, 0, 105, 0, // Skip to: 4490
-/* 4385 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4388 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4413
-/* 4392 */    MCD_OPC_CheckPredicate, 22, 59, 10, // Skip to: 7015
-/* 4396 */    MCD_OPC_CheckField, 12, 4, 15, 53, 10, // Skip to: 7015
-/* 4402 */    MCD_OPC_CheckField, 4, 3, 0, 47, 10, // Skip to: 7015
-/* 4408 */    MCD_OPC_Decode, 245, 18, 249, 1, // Opcode: t2LSLrr
-/* 4413 */    MCD_OPC_FilterValue, 1, 38, 10, // Skip to: 7015
-/* 4417 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4420 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4455
-/* 4424 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4427 */    MCD_OPC_FilterValue, 15, 24, 10, // Skip to: 7015
-/* 4431 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 4446
-/* 4435 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4446
-/* 4441 */    MCD_OPC_Decode, 208, 20, 167, 2, // Opcode: t2SXTH
-/* 4446 */    MCD_OPC_CheckPredicate, 27, 5, 10, // Skip to: 7015
-/* 4450 */    MCD_OPC_Decode, 205, 20, 168, 2, // Opcode: t2SXTAH
-/* 4455 */    MCD_OPC_FilterValue, 1, 252, 9, // Skip to: 7015
-/* 4459 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4462 */    MCD_OPC_FilterValue, 15, 245, 9, // Skip to: 7015
-/* 4466 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 4481
-/* 4470 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4481
-/* 4476 */    MCD_OPC_Decode, 252, 20, 167, 2, // Opcode: t2UXTH
-/* 4481 */    MCD_OPC_CheckPredicate, 27, 226, 9, // Skip to: 7015
-/* 4485 */    MCD_OPC_Decode, 249, 20, 168, 2, // Opcode: t2UXTAH
-/* 4490 */    MCD_OPC_FilterValue, 1, 105, 0, // Skip to: 4599
-/* 4494 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4497 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4522
-/* 4501 */    MCD_OPC_CheckPredicate, 22, 206, 9, // Skip to: 7015
-/* 4505 */    MCD_OPC_CheckField, 12, 4, 15, 200, 9, // Skip to: 7015
-/* 4511 */    MCD_OPC_CheckField, 4, 3, 0, 194, 9, // Skip to: 7015
-/* 4517 */    MCD_OPC_Decode, 247, 18, 249, 1, // Opcode: t2LSRrr
-/* 4522 */    MCD_OPC_FilterValue, 1, 185, 9, // Skip to: 7015
-/* 4526 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4529 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4564
-/* 4533 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4536 */    MCD_OPC_FilterValue, 15, 171, 9, // Skip to: 7015
-/* 4540 */    MCD_OPC_CheckPredicate, 37, 11, 0, // Skip to: 4555
-/* 4544 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4555
-/* 4550 */    MCD_OPC_Decode, 207, 20, 167, 2, // Opcode: t2SXTB16
-/* 4555 */    MCD_OPC_CheckPredicate, 22, 152, 9, // Skip to: 7015
-/* 4559 */    MCD_OPC_Decode, 204, 20, 168, 2, // Opcode: t2SXTAB16
-/* 4564 */    MCD_OPC_FilterValue, 1, 143, 9, // Skip to: 7015
-/* 4568 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4571 */    MCD_OPC_FilterValue, 15, 136, 9, // Skip to: 7015
-/* 4575 */    MCD_OPC_CheckPredicate, 27, 11, 0, // Skip to: 4590
-/* 4579 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4590
-/* 4585 */    MCD_OPC_Decode, 251, 20, 167, 2, // Opcode: t2UXTB16
-/* 4590 */    MCD_OPC_CheckPredicate, 22, 117, 9, // Skip to: 7015
-/* 4594 */    MCD_OPC_Decode, 248, 20, 168, 2, // Opcode: t2UXTAB16
-/* 4599 */    MCD_OPC_FilterValue, 2, 105, 0, // Skip to: 4708
-/* 4603 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
-/* 4606 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4631
-/* 4610 */    MCD_OPC_CheckPredicate, 22, 97, 9, // Skip to: 7015
-/* 4614 */    MCD_OPC_CheckField, 12, 4, 15, 91, 9, // Skip to: 7015
-/* 4620 */    MCD_OPC_CheckField, 4, 3, 0, 85, 9, // Skip to: 7015
-/* 4626 */    MCD_OPC_Decode, 251, 17, 249, 1, // Opcode: t2ASRrr
-/* 4631 */    MCD_OPC_FilterValue, 1, 76, 9, // Skip to: 7015
-/* 4635 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4638 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4673
-/* 4642 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4645 */    MCD_OPC_FilterValue, 15, 62, 9, // Skip to: 7015
-/* 4649 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 4664
-/* 4653 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4664
-/* 4659 */    MCD_OPC_Decode, 206, 20, 167, 2, // Opcode: t2SXTB
-/* 4664 */    MCD_OPC_CheckPredicate, 27, 43, 9, // Skip to: 7015
-/* 4668 */    MCD_OPC_Decode, 203, 20, 168, 2, // Opcode: t2SXTAB
-/* 4673 */    MCD_OPC_FilterValue, 1, 34, 9, // Skip to: 7015
-/* 4677 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 4680 */    MCD_OPC_FilterValue, 15, 27, 9, // Skip to: 7015
-/* 4684 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 4699
-/* 4688 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4699
-/* 4694 */    MCD_OPC_Decode, 250, 20, 167, 2, // Opcode: t2UXTB
-/* 4699 */    MCD_OPC_CheckPredicate, 27, 8, 9, // Skip to: 7015
-/* 4703 */    MCD_OPC_Decode, 247, 20, 168, 2, // Opcode: t2UXTAB
-/* 4708 */    MCD_OPC_FilterValue, 3, 21, 0, // Skip to: 4733
-/* 4712 */    MCD_OPC_CheckPredicate, 22, 251, 8, // Skip to: 7015
-/* 4716 */    MCD_OPC_CheckField, 12, 4, 15, 245, 8, // Skip to: 7015
-/* 4722 */    MCD_OPC_CheckField, 4, 4, 0, 239, 8, // Skip to: 7015
-/* 4728 */    MCD_OPC_Decode, 200, 19, 249, 1, // Opcode: t2RORrr
-/* 4733 */    MCD_OPC_FilterValue, 4, 197, 1, // Skip to: 5190
-/* 4737 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 4740 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 4785
-/* 4744 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4747 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4766
-/* 4751 */    MCD_OPC_CheckPredicate, 29, 212, 8, // Skip to: 7015
-/* 4755 */    MCD_OPC_CheckField, 12, 4, 15, 206, 8, // Skip to: 7015
-/* 4761 */    MCD_OPC_Decode, 208, 19, 169, 2, // Opcode: t2SADD8
-/* 4766 */    MCD_OPC_FilterValue, 1, 197, 8, // Skip to: 7015
-/* 4770 */    MCD_OPC_CheckPredicate, 29, 193, 8, // Skip to: 7015
-/* 4774 */    MCD_OPC_CheckField, 12, 4, 15, 187, 8, // Skip to: 7015
-/* 4780 */    MCD_OPC_Decode, 207, 19, 169, 2, // Opcode: t2SADD16
-/* 4785 */    MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 4830
-/* 4789 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4792 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4811
-/* 4796 */    MCD_OPC_CheckPredicate, 29, 167, 8, // Skip to: 7015
-/* 4800 */    MCD_OPC_CheckField, 12, 4, 15, 161, 8, // Skip to: 7015
-/* 4806 */    MCD_OPC_Decode, 183, 19, 169, 2, // Opcode: t2QADD8
-/* 4811 */    MCD_OPC_FilterValue, 1, 152, 8, // Skip to: 7015
-/* 4815 */    MCD_OPC_CheckPredicate, 29, 148, 8, // Skip to: 7015
-/* 4819 */    MCD_OPC_CheckField, 12, 4, 15, 142, 8, // Skip to: 7015
-/* 4825 */    MCD_OPC_Decode, 182, 19, 169, 2, // Opcode: t2QADD16
-/* 4830 */    MCD_OPC_FilterValue, 2, 41, 0, // Skip to: 4875
-/* 4834 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4837 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4856
-/* 4841 */    MCD_OPC_CheckPredicate, 29, 122, 8, // Skip to: 7015
-/* 4845 */    MCD_OPC_CheckField, 12, 4, 15, 116, 8, // Skip to: 7015
-/* 4851 */    MCD_OPC_Decode, 217, 19, 169, 2, // Opcode: t2SHADD8
-/* 4856 */    MCD_OPC_FilterValue, 1, 107, 8, // Skip to: 7015
-/* 4860 */    MCD_OPC_CheckPredicate, 29, 103, 8, // Skip to: 7015
-/* 4864 */    MCD_OPC_CheckField, 12, 4, 15, 97, 8, // Skip to: 7015
-/* 4870 */    MCD_OPC_Decode, 216, 19, 169, 2, // Opcode: t2SHADD16
-/* 4875 */    MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 4920
-/* 4879 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4882 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4901
-/* 4886 */    MCD_OPC_CheckPredicate, 29, 77, 8, // Skip to: 7015
-/* 4890 */    MCD_OPC_CheckField, 12, 4, 15, 71, 8, // Skip to: 7015
-/* 4896 */    MCD_OPC_Decode, 220, 20, 169, 2, // Opcode: t2UADD8
-/* 4901 */    MCD_OPC_FilterValue, 1, 62, 8, // Skip to: 7015
-/* 4905 */    MCD_OPC_CheckPredicate, 29, 58, 8, // Skip to: 7015
-/* 4909 */    MCD_OPC_CheckField, 12, 4, 15, 52, 8, // Skip to: 7015
-/* 4915 */    MCD_OPC_Decode, 219, 20, 169, 2, // Opcode: t2UADD16
-/* 4920 */    MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 4965
-/* 4924 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4927 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4946
-/* 4931 */    MCD_OPC_CheckPredicate, 29, 32, 8, // Skip to: 7015
-/* 4935 */    MCD_OPC_CheckField, 12, 4, 15, 26, 8, // Skip to: 7015
-/* 4941 */    MCD_OPC_Decode, 235, 20, 169, 2, // Opcode: t2UQADD8
-/* 4946 */    MCD_OPC_FilterValue, 1, 17, 8, // Skip to: 7015
-/* 4950 */    MCD_OPC_CheckPredicate, 29, 13, 8, // Skip to: 7015
-/* 4954 */    MCD_OPC_CheckField, 12, 4, 15, 7, 8, // Skip to: 7015
-/* 4960 */    MCD_OPC_Decode, 234, 20, 169, 2, // Opcode: t2UQADD16
-/* 4965 */    MCD_OPC_FilterValue, 6, 41, 0, // Skip to: 5010
-/* 4969 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4972 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4991
-/* 4976 */    MCD_OPC_CheckPredicate, 29, 243, 7, // Skip to: 7015
-/* 4980 */    MCD_OPC_CheckField, 12, 4, 15, 237, 7, // Skip to: 7015
-/* 4986 */    MCD_OPC_Decode, 226, 20, 169, 2, // Opcode: t2UHADD8
-/* 4991 */    MCD_OPC_FilterValue, 1, 228, 7, // Skip to: 7015
-/* 4995 */    MCD_OPC_CheckPredicate, 29, 224, 7, // Skip to: 7015
-/* 4999 */    MCD_OPC_CheckField, 12, 4, 15, 218, 7, // Skip to: 7015
-/* 5005 */    MCD_OPC_Decode, 225, 20, 169, 2, // Opcode: t2UHADD16
-/* 5010 */    MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 5055
-/* 5014 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5017 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5036
-/* 5021 */    MCD_OPC_CheckPredicate, 29, 198, 7, // Skip to: 7015
-/* 5025 */    MCD_OPC_CheckField, 12, 4, 15, 192, 7, // Skip to: 7015
-/* 5031 */    MCD_OPC_Decode, 181, 19, 170, 2, // Opcode: t2QADD
-/* 5036 */    MCD_OPC_FilterValue, 1, 183, 7, // Skip to: 7015
-/* 5040 */    MCD_OPC_CheckPredicate, 22, 179, 7, // Skip to: 7015
-/* 5044 */    MCD_OPC_CheckField, 12, 4, 15, 173, 7, // Skip to: 7015
-/* 5050 */    MCD_OPC_Decode, 192, 19, 171, 2, // Opcode: t2REV
-/* 5055 */    MCD_OPC_FilterValue, 9, 41, 0, // Skip to: 5100
-/* 5059 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5062 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5081
-/* 5066 */    MCD_OPC_CheckPredicate, 29, 153, 7, // Skip to: 7015
-/* 5070 */    MCD_OPC_CheckField, 12, 4, 15, 147, 7, // Skip to: 7015
-/* 5076 */    MCD_OPC_Decode, 185, 19, 170, 2, // Opcode: t2QDADD
-/* 5081 */    MCD_OPC_FilterValue, 1, 138, 7, // Skip to: 7015
-/* 5085 */    MCD_OPC_CheckPredicate, 22, 134, 7, // Skip to: 7015
-/* 5089 */    MCD_OPC_CheckField, 12, 4, 15, 128, 7, // Skip to: 7015
-/* 5095 */    MCD_OPC_Decode, 193, 19, 171, 2, // Opcode: t2REV16
-/* 5100 */    MCD_OPC_FilterValue, 10, 41, 0, // Skip to: 5145
-/* 5104 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5107 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5126
-/* 5111 */    MCD_OPC_CheckPredicate, 29, 108, 7, // Skip to: 7015
-/* 5115 */    MCD_OPC_CheckField, 12, 4, 15, 102, 7, // Skip to: 7015
-/* 5121 */    MCD_OPC_Decode, 188, 19, 170, 2, // Opcode: t2QSUB
-/* 5126 */    MCD_OPC_FilterValue, 1, 93, 7, // Skip to: 7015
-/* 5130 */    MCD_OPC_CheckPredicate, 22, 89, 7, // Skip to: 7015
-/* 5134 */    MCD_OPC_CheckField, 12, 4, 15, 83, 7, // Skip to: 7015
-/* 5140 */    MCD_OPC_Decode, 191, 19, 171, 2, // Opcode: t2RBIT
-/* 5145 */    MCD_OPC_FilterValue, 11, 74, 7, // Skip to: 7015
-/* 5149 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5152 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5171
-/* 5156 */    MCD_OPC_CheckPredicate, 29, 63, 7, // Skip to: 7015
-/* 5160 */    MCD_OPC_CheckField, 12, 4, 15, 57, 7, // Skip to: 7015
-/* 5166 */    MCD_OPC_Decode, 186, 19, 170, 2, // Opcode: t2QDSUB
-/* 5171 */    MCD_OPC_FilterValue, 1, 48, 7, // Skip to: 7015
-/* 5175 */    MCD_OPC_CheckPredicate, 22, 44, 7, // Skip to: 7015
-/* 5179 */    MCD_OPC_CheckField, 12, 4, 15, 38, 7, // Skip to: 7015
-/* 5185 */    MCD_OPC_Decode, 194, 19, 171, 2, // Opcode: t2REVSH
-/* 5190 */    MCD_OPC_FilterValue, 5, 198, 0, // Skip to: 5392
-/* 5194 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 5197 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 5222
-/* 5201 */    MCD_OPC_CheckPredicate, 29, 18, 7, // Skip to: 7015
-/* 5205 */    MCD_OPC_CheckField, 20, 1, 0, 12, 7, // Skip to: 7015
-/* 5211 */    MCD_OPC_CheckField, 12, 4, 15, 6, 7, // Skip to: 7015
-/* 5217 */    MCD_OPC_Decode, 209, 19, 169, 2, // Opcode: t2SASX
-/* 5222 */    MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 5247
-/* 5226 */    MCD_OPC_CheckPredicate, 29, 249, 6, // Skip to: 7015
-/* 5230 */    MCD_OPC_CheckField, 20, 1, 0, 243, 6, // Skip to: 7015
-/* 5236 */    MCD_OPC_CheckField, 12, 4, 15, 237, 6, // Skip to: 7015
-/* 5242 */    MCD_OPC_Decode, 184, 19, 169, 2, // Opcode: t2QASX
-/* 5247 */    MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 5272
-/* 5251 */    MCD_OPC_CheckPredicate, 29, 224, 6, // Skip to: 7015
-/* 5255 */    MCD_OPC_CheckField, 20, 1, 0, 218, 6, // Skip to: 7015
-/* 5261 */    MCD_OPC_CheckField, 12, 4, 15, 212, 6, // Skip to: 7015
-/* 5267 */    MCD_OPC_Decode, 218, 19, 169, 2, // Opcode: t2SHASX
-/* 5272 */    MCD_OPC_FilterValue, 4, 21, 0, // Skip to: 5297
-/* 5276 */    MCD_OPC_CheckPredicate, 29, 199, 6, // Skip to: 7015
-/* 5280 */    MCD_OPC_CheckField, 20, 1, 0, 193, 6, // Skip to: 7015
-/* 5286 */    MCD_OPC_CheckField, 12, 4, 15, 187, 6, // Skip to: 7015
-/* 5292 */    MCD_OPC_Decode, 221, 20, 169, 2, // Opcode: t2UASX
-/* 5297 */    MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 5322
-/* 5301 */    MCD_OPC_CheckPredicate, 29, 174, 6, // Skip to: 7015
-/* 5305 */    MCD_OPC_CheckField, 20, 1, 0, 168, 6, // Skip to: 7015
-/* 5311 */    MCD_OPC_CheckField, 12, 4, 15, 162, 6, // Skip to: 7015
-/* 5317 */    MCD_OPC_Decode, 236, 20, 169, 2, // Opcode: t2UQASX
-/* 5322 */    MCD_OPC_FilterValue, 6, 21, 0, // Skip to: 5347
-/* 5326 */    MCD_OPC_CheckPredicate, 29, 149, 6, // Skip to: 7015
-/* 5330 */    MCD_OPC_CheckField, 20, 1, 0, 143, 6, // Skip to: 7015
-/* 5336 */    MCD_OPC_CheckField, 12, 4, 15, 137, 6, // Skip to: 7015
-/* 5342 */    MCD_OPC_Decode, 227, 20, 169, 2, // Opcode: t2UHASX
-/* 5347 */    MCD_OPC_FilterValue, 8, 128, 6, // Skip to: 7015
-/* 5351 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5354 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5373
-/* 5358 */    MCD_OPC_CheckPredicate, 29, 117, 6, // Skip to: 7015
-/* 5362 */    MCD_OPC_CheckField, 12, 4, 15, 111, 6, // Skip to: 7015
-/* 5368 */    MCD_OPC_Decode, 215, 19, 172, 2, // Opcode: t2SEL
-/* 5373 */    MCD_OPC_FilterValue, 1, 102, 6, // Skip to: 7015
-/* 5377 */    MCD_OPC_CheckPredicate, 22, 98, 6, // Skip to: 7015
-/* 5381 */    MCD_OPC_CheckField, 12, 4, 15, 92, 6, // Skip to: 7015
-/* 5387 */    MCD_OPC_Decode, 136, 18, 171, 2, // Opcode: t2CLZ
-/* 5392 */    MCD_OPC_FilterValue, 6, 152, 1, // Skip to: 5804
-/* 5396 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 5399 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 5444
-/* 5403 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5406 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5425
-/* 5410 */    MCD_OPC_CheckPredicate, 29, 65, 6, // Skip to: 7015
-/* 5414 */    MCD_OPC_CheckField, 12, 4, 15, 59, 6, // Skip to: 7015
-/* 5420 */    MCD_OPC_Decode, 139, 20, 169, 2, // Opcode: t2SSUB8
-/* 5425 */    MCD_OPC_FilterValue, 1, 50, 6, // Skip to: 7015
-/* 5429 */    MCD_OPC_CheckPredicate, 29, 46, 6, // Skip to: 7015
-/* 5433 */    MCD_OPC_CheckField, 12, 4, 15, 40, 6, // Skip to: 7015
-/* 5439 */    MCD_OPC_Decode, 138, 20, 169, 2, // Opcode: t2SSUB16
-/* 5444 */    MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 5489
-/* 5448 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5451 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5470
-/* 5455 */    MCD_OPC_CheckPredicate, 29, 20, 6, // Skip to: 7015
-/* 5459 */    MCD_OPC_CheckField, 12, 4, 15, 14, 6, // Skip to: 7015
-/* 5465 */    MCD_OPC_Decode, 190, 19, 169, 2, // Opcode: t2QSUB8
-/* 5470 */    MCD_OPC_FilterValue, 1, 5, 6, // Skip to: 7015
-/* 5474 */    MCD_OPC_CheckPredicate, 29, 1, 6, // Skip to: 7015
-/* 5478 */    MCD_OPC_CheckField, 12, 4, 15, 251, 5, // Skip to: 7015
-/* 5484 */    MCD_OPC_Decode, 189, 19, 169, 2, // Opcode: t2QSUB16
-/* 5489 */    MCD_OPC_FilterValue, 2, 41, 0, // Skip to: 5534
-/* 5493 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5496 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5515
-/* 5500 */    MCD_OPC_CheckPredicate, 29, 231, 5, // Skip to: 7015
-/* 5504 */    MCD_OPC_CheckField, 12, 4, 15, 225, 5, // Skip to: 7015
-/* 5510 */    MCD_OPC_Decode, 221, 19, 169, 2, // Opcode: t2SHSUB8
-/* 5515 */    MCD_OPC_FilterValue, 1, 216, 5, // Skip to: 7015
-/* 5519 */    MCD_OPC_CheckPredicate, 29, 212, 5, // Skip to: 7015
-/* 5523 */    MCD_OPC_CheckField, 12, 4, 15, 206, 5, // Skip to: 7015
-/* 5529 */    MCD_OPC_Decode, 220, 19, 169, 2, // Opcode: t2SHSUB16
-/* 5534 */    MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 5579
-/* 5538 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5541 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5560
-/* 5545 */    MCD_OPC_CheckPredicate, 29, 186, 5, // Skip to: 7015
-/* 5549 */    MCD_OPC_CheckField, 12, 4, 15, 180, 5, // Skip to: 7015
-/* 5555 */    MCD_OPC_Decode, 246, 20, 169, 2, // Opcode: t2USUB8
-/* 5560 */    MCD_OPC_FilterValue, 1, 171, 5, // Skip to: 7015
-/* 5564 */    MCD_OPC_CheckPredicate, 29, 167, 5, // Skip to: 7015
-/* 5568 */    MCD_OPC_CheckField, 12, 4, 15, 161, 5, // Skip to: 7015
-/* 5574 */    MCD_OPC_Decode, 245, 20, 169, 2, // Opcode: t2USUB16
-/* 5579 */    MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 5624
-/* 5583 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5586 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5605
-/* 5590 */    MCD_OPC_CheckPredicate, 29, 141, 5, // Skip to: 7015
-/* 5594 */    MCD_OPC_CheckField, 12, 4, 15, 135, 5, // Skip to: 7015
-/* 5600 */    MCD_OPC_Decode, 239, 20, 169, 2, // Opcode: t2UQSUB8
-/* 5605 */    MCD_OPC_FilterValue, 1, 126, 5, // Skip to: 7015
-/* 5609 */    MCD_OPC_CheckPredicate, 29, 122, 5, // Skip to: 7015
-/* 5613 */    MCD_OPC_CheckField, 12, 4, 15, 116, 5, // Skip to: 7015
-/* 5619 */    MCD_OPC_Decode, 238, 20, 169, 2, // Opcode: t2UQSUB16
-/* 5624 */    MCD_OPC_FilterValue, 6, 41, 0, // Skip to: 5669
-/* 5628 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5631 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5650
-/* 5635 */    MCD_OPC_CheckPredicate, 29, 96, 5, // Skip to: 7015
-/* 5639 */    MCD_OPC_CheckField, 12, 4, 15, 90, 5, // Skip to: 7015
-/* 5645 */    MCD_OPC_Decode, 230, 20, 169, 2, // Opcode: t2UHSUB8
-/* 5650 */    MCD_OPC_FilterValue, 1, 81, 5, // Skip to: 7015
-/* 5654 */    MCD_OPC_CheckPredicate, 29, 77, 5, // Skip to: 7015
-/* 5658 */    MCD_OPC_CheckField, 12, 4, 15, 71, 5, // Skip to: 7015
-/* 5664 */    MCD_OPC_Decode, 229, 20, 169, 2, // Opcode: t2UHSUB16
-/* 5669 */    MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 5714
-/* 5673 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5676 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5695
-/* 5680 */    MCD_OPC_CheckPredicate, 38, 51, 5, // Skip to: 7015
-/* 5684 */    MCD_OPC_CheckField, 12, 4, 15, 45, 5, // Skip to: 7015
-/* 5690 */    MCD_OPC_Decode, 146, 18, 169, 2, // Opcode: t2CRC32B
-/* 5695 */    MCD_OPC_FilterValue, 1, 36, 5, // Skip to: 7015
-/* 5699 */    MCD_OPC_CheckPredicate, 38, 32, 5, // Skip to: 7015
-/* 5703 */    MCD_OPC_CheckField, 12, 4, 15, 26, 5, // Skip to: 7015
-/* 5709 */    MCD_OPC_Decode, 147, 18, 169, 2, // Opcode: t2CRC32CB
-/* 5714 */    MCD_OPC_FilterValue, 9, 41, 0, // Skip to: 5759
-/* 5718 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5721 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5740
-/* 5725 */    MCD_OPC_CheckPredicate, 38, 6, 5, // Skip to: 7015
-/* 5729 */    MCD_OPC_CheckField, 12, 4, 15, 0, 5, // Skip to: 7015
-/* 5735 */    MCD_OPC_Decode, 150, 18, 169, 2, // Opcode: t2CRC32H
-/* 5740 */    MCD_OPC_FilterValue, 1, 247, 4, // Skip to: 7015
-/* 5744 */    MCD_OPC_CheckPredicate, 38, 243, 4, // Skip to: 7015
-/* 5748 */    MCD_OPC_CheckField, 12, 4, 15, 237, 4, // Skip to: 7015
-/* 5754 */    MCD_OPC_Decode, 148, 18, 169, 2, // Opcode: t2CRC32CH
-/* 5759 */    MCD_OPC_FilterValue, 10, 228, 4, // Skip to: 7015
-/* 5763 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5766 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5785
-/* 5770 */    MCD_OPC_CheckPredicate, 38, 217, 4, // Skip to: 7015
-/* 5774 */    MCD_OPC_CheckField, 12, 4, 15, 211, 4, // Skip to: 7015
-/* 5780 */    MCD_OPC_Decode, 151, 18, 169, 2, // Opcode: t2CRC32W
-/* 5785 */    MCD_OPC_FilterValue, 1, 202, 4, // Skip to: 7015
-/* 5789 */    MCD_OPC_CheckPredicate, 38, 198, 4, // Skip to: 7015
-/* 5793 */    MCD_OPC_CheckField, 12, 4, 15, 192, 4, // Skip to: 7015
-/* 5799 */    MCD_OPC_Decode, 149, 18, 169, 2, // Opcode: t2CRC32CW
-/* 5804 */    MCD_OPC_FilterValue, 7, 183, 4, // Skip to: 7015
-/* 5808 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 5811 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 5836
-/* 5815 */    MCD_OPC_CheckPredicate, 29, 172, 4, // Skip to: 7015
-/* 5819 */    MCD_OPC_CheckField, 20, 1, 0, 166, 4, // Skip to: 7015
-/* 5825 */    MCD_OPC_CheckField, 12, 4, 15, 160, 4, // Skip to: 7015
-/* 5831 */    MCD_OPC_Decode, 137, 20, 169, 2, // Opcode: t2SSAX
-/* 5836 */    MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 5861
-/* 5840 */    MCD_OPC_CheckPredicate, 29, 147, 4, // Skip to: 7015
-/* 5844 */    MCD_OPC_CheckField, 20, 1, 0, 141, 4, // Skip to: 7015
-/* 5850 */    MCD_OPC_CheckField, 12, 4, 15, 135, 4, // Skip to: 7015
-/* 5856 */    MCD_OPC_Decode, 187, 19, 169, 2, // Opcode: t2QSAX
-/* 5861 */    MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 5886
-/* 5865 */    MCD_OPC_CheckPredicate, 29, 122, 4, // Skip to: 7015
-/* 5869 */    MCD_OPC_CheckField, 20, 1, 0, 116, 4, // Skip to: 7015
-/* 5875 */    MCD_OPC_CheckField, 12, 4, 15, 110, 4, // Skip to: 7015
-/* 5881 */    MCD_OPC_Decode, 219, 19, 169, 2, // Opcode: t2SHSAX
-/* 5886 */    MCD_OPC_FilterValue, 4, 21, 0, // Skip to: 5911
-/* 5890 */    MCD_OPC_CheckPredicate, 29, 97, 4, // Skip to: 7015
-/* 5894 */    MCD_OPC_CheckField, 20, 1, 0, 91, 4, // Skip to: 7015
-/* 5900 */    MCD_OPC_CheckField, 12, 4, 15, 85, 4, // Skip to: 7015
-/* 5906 */    MCD_OPC_Decode, 244, 20, 169, 2, // Opcode: t2USAX
-/* 5911 */    MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 5936
-/* 5915 */    MCD_OPC_CheckPredicate, 29, 72, 4, // Skip to: 7015
-/* 5919 */    MCD_OPC_CheckField, 20, 1, 0, 66, 4, // Skip to: 7015
-/* 5925 */    MCD_OPC_CheckField, 12, 4, 15, 60, 4, // Skip to: 7015
-/* 5931 */    MCD_OPC_Decode, 237, 20, 169, 2, // Opcode: t2UQSAX
-/* 5936 */    MCD_OPC_FilterValue, 6, 51, 4, // Skip to: 7015
-/* 5940 */    MCD_OPC_CheckPredicate, 29, 47, 4, // Skip to: 7015
-/* 5944 */    MCD_OPC_CheckField, 20, 1, 0, 41, 4, // Skip to: 7015
-/* 5950 */    MCD_OPC_CheckField, 12, 4, 15, 35, 4, // Skip to: 7015
-/* 5956 */    MCD_OPC_Decode, 228, 20, 169, 2, // Opcode: t2UHSAX
-/* 5961 */    MCD_OPC_FilterValue, 3, 230, 2, // Skip to: 6707
-/* 5965 */    MCD_OPC_ExtractField, 20, 4,  // Inst{23-20} ...
-/* 5968 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 6016
-/* 5972 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 5975 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6003
-/* 5979 */    MCD_OPC_CheckPredicate, 22, 11, 0, // Skip to: 5994
-/* 5983 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 5994
-/* 5989 */    MCD_OPC_Decode, 157, 19, 169, 2, // Opcode: t2MUL
-/* 5994 */    MCD_OPC_CheckPredicate, 22, 249, 3, // Skip to: 7015
-/* 5998 */    MCD_OPC_Decode, 252, 18, 173, 2, // Opcode: t2MLA
-/* 6003 */    MCD_OPC_FilterValue, 1, 240, 3, // Skip to: 7015
-/* 6007 */    MCD_OPC_CheckPredicate, 22, 236, 3, // Skip to: 7015
-/* 6011 */    MCD_OPC_Decode, 253, 18, 173, 2, // Opcode: t2MLS
-/* 6016 */    MCD_OPC_FilterValue, 1, 115, 0, // Skip to: 6135
-/* 6020 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6023 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6051
-/* 6027 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6042
-/* 6031 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6042
-/* 6037 */    MCD_OPC_Decode, 250, 19, 169, 2, // Opcode: t2SMULBB
-/* 6042 */    MCD_OPC_CheckPredicate, 29, 201, 3, // Skip to: 7015
-/* 6046 */    MCD_OPC_Decode, 223, 19, 173, 2, // Opcode: t2SMLABB
-/* 6051 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 6079
-/* 6055 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6070
-/* 6059 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6070
-/* 6065 */    MCD_OPC_Decode, 251, 19, 169, 2, // Opcode: t2SMULBT
-/* 6070 */    MCD_OPC_CheckPredicate, 29, 173, 3, // Skip to: 7015
-/* 6074 */    MCD_OPC_Decode, 224, 19, 173, 2, // Opcode: t2SMLABT
-/* 6079 */    MCD_OPC_FilterValue, 2, 24, 0, // Skip to: 6107
-/* 6083 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6098
-/* 6087 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6098
-/* 6093 */    MCD_OPC_Decode, 253, 19, 169, 2, // Opcode: t2SMULTB
-/* 6098 */    MCD_OPC_CheckPredicate, 29, 145, 3, // Skip to: 7015
-/* 6102 */    MCD_OPC_Decode, 234, 19, 173, 2, // Opcode: t2SMLATB
-/* 6107 */    MCD_OPC_FilterValue, 3, 136, 3, // Skip to: 7015
-/* 6111 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6126
-/* 6115 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6126
-/* 6121 */    MCD_OPC_Decode, 254, 19, 169, 2, // Opcode: t2SMULTT
-/* 6126 */    MCD_OPC_CheckPredicate, 29, 117, 3, // Skip to: 7015
-/* 6130 */    MCD_OPC_Decode, 235, 19, 173, 2, // Opcode: t2SMLATT
-/* 6135 */    MCD_OPC_FilterValue, 2, 59, 0, // Skip to: 6198
-/* 6139 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6142 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6170
-/* 6146 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6161
-/* 6150 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6161
-/* 6156 */    MCD_OPC_Decode, 248, 19, 169, 2, // Opcode: t2SMUAD
-/* 6161 */    MCD_OPC_CheckPredicate, 29, 82, 3, // Skip to: 7015
-/* 6165 */    MCD_OPC_Decode, 225, 19, 173, 2, // Opcode: t2SMLAD
-/* 6170 */    MCD_OPC_FilterValue, 1, 73, 3, // Skip to: 7015
-/* 6174 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6189
-/* 6178 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6189
-/* 6184 */    MCD_OPC_Decode, 249, 19, 169, 2, // Opcode: t2SMUADX
-/* 6189 */    MCD_OPC_CheckPredicate, 29, 54, 3, // Skip to: 7015
-/* 6193 */    MCD_OPC_Decode, 226, 19, 173, 2, // Opcode: t2SMLADX
-/* 6198 */    MCD_OPC_FilterValue, 3, 59, 0, // Skip to: 6261
-/* 6202 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6205 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6233
-/* 6209 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6224
-/* 6213 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6224
-/* 6219 */    MCD_OPC_Decode, 255, 19, 169, 2, // Opcode: t2SMULWB
-/* 6224 */    MCD_OPC_CheckPredicate, 29, 19, 3, // Skip to: 7015
-/* 6228 */    MCD_OPC_Decode, 236, 19, 173, 2, // Opcode: t2SMLAWB
-/* 6233 */    MCD_OPC_FilterValue, 1, 10, 3, // Skip to: 7015
-/* 6237 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6252
-/* 6241 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6252
-/* 6247 */    MCD_OPC_Decode, 128, 20, 169, 2, // Opcode: t2SMULWT
-/* 6252 */    MCD_OPC_CheckPredicate, 29, 247, 2, // Skip to: 7015
-/* 6256 */    MCD_OPC_Decode, 237, 19, 173, 2, // Opcode: t2SMLAWT
-/* 6261 */    MCD_OPC_FilterValue, 4, 59, 0, // Skip to: 6324
-/* 6265 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6268 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6296
-/* 6272 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6287
-/* 6276 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6287
-/* 6282 */    MCD_OPC_Decode, 129, 20, 169, 2, // Opcode: t2SMUSD
-/* 6287 */    MCD_OPC_CheckPredicate, 29, 212, 2, // Skip to: 7015
-/* 6291 */    MCD_OPC_Decode, 238, 19, 173, 2, // Opcode: t2SMLSD
-/* 6296 */    MCD_OPC_FilterValue, 1, 203, 2, // Skip to: 7015
-/* 6300 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6315
-/* 6304 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6315
-/* 6310 */    MCD_OPC_Decode, 130, 20, 169, 2, // Opcode: t2SMUSDX
-/* 6315 */    MCD_OPC_CheckPredicate, 29, 184, 2, // Skip to: 7015
-/* 6319 */    MCD_OPC_Decode, 239, 19, 173, 2, // Opcode: t2SMLSDX
-/* 6324 */    MCD_OPC_FilterValue, 5, 59, 0, // Skip to: 6387
-/* 6328 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6331 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6359
-/* 6335 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6350
-/* 6339 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6350
-/* 6345 */    MCD_OPC_Decode, 246, 19, 169, 2, // Opcode: t2SMMUL
-/* 6350 */    MCD_OPC_CheckPredicate, 29, 149, 2, // Skip to: 7015
-/* 6354 */    MCD_OPC_Decode, 242, 19, 173, 2, // Opcode: t2SMMLA
-/* 6359 */    MCD_OPC_FilterValue, 1, 140, 2, // Skip to: 7015
-/* 6363 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6378
-/* 6367 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6378
-/* 6373 */    MCD_OPC_Decode, 247, 19, 169, 2, // Opcode: t2SMMULR
-/* 6378 */    MCD_OPC_CheckPredicate, 29, 121, 2, // Skip to: 7015
-/* 6382 */    MCD_OPC_Decode, 243, 19, 173, 2, // Opcode: t2SMMLAR
-/* 6387 */    MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 6420
-/* 6391 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6394 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6407
-/* 6398 */    MCD_OPC_CheckPredicate, 29, 101, 2, // Skip to: 7015
-/* 6402 */    MCD_OPC_Decode, 244, 19, 173, 2, // Opcode: t2SMMLS
-/* 6407 */    MCD_OPC_FilterValue, 1, 92, 2, // Skip to: 7015
-/* 6411 */    MCD_OPC_CheckPredicate, 29, 88, 2, // Skip to: 7015
-/* 6415 */    MCD_OPC_Decode, 245, 19, 173, 2, // Opcode: t2SMMLSR
-/* 6420 */    MCD_OPC_FilterValue, 7, 31, 0, // Skip to: 6455
-/* 6424 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6427 */    MCD_OPC_FilterValue, 0, 72, 2, // Skip to: 7015
-/* 6431 */    MCD_OPC_CheckPredicate, 29, 11, 0, // Skip to: 6446
-/* 6435 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6446
-/* 6441 */    MCD_OPC_Decode, 240, 20, 169, 2, // Opcode: t2USAD8
-/* 6446 */    MCD_OPC_CheckPredicate, 29, 53, 2, // Skip to: 7015
-/* 6450 */    MCD_OPC_Decode, 241, 20, 173, 2, // Opcode: t2USADA8
-/* 6455 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 6474
-/* 6459 */    MCD_OPC_CheckPredicate, 22, 40, 2, // Skip to: 7015
-/* 6463 */    MCD_OPC_CheckField, 4, 4, 0, 34, 2, // Skip to: 7015
-/* 6469 */    MCD_OPC_Decode, 252, 19, 174, 2, // Opcode: t2SMULL
-/* 6474 */    MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 6499
-/* 6478 */    MCD_OPC_CheckPredicate, 39, 21, 2, // Skip to: 7015
-/* 6482 */    MCD_OPC_CheckField, 12, 4, 15, 15, 2, // Skip to: 7015
-/* 6488 */    MCD_OPC_CheckField, 4, 4, 15, 9, 2, // Skip to: 7015
-/* 6494 */    MCD_OPC_Decode, 214, 19, 169, 2, // Opcode: t2SDIV
-/* 6499 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 6518
-/* 6503 */    MCD_OPC_CheckPredicate, 22, 252, 1, // Skip to: 7015
-/* 6507 */    MCD_OPC_CheckField, 4, 4, 0, 246, 1, // Skip to: 7015
-/* 6513 */    MCD_OPC_Decode, 233, 20, 174, 2, // Opcode: t2UMULL
-/* 6518 */    MCD_OPC_FilterValue, 11, 21, 0, // Skip to: 6543
-/* 6522 */    MCD_OPC_CheckPredicate, 39, 233, 1, // Skip to: 7015
-/* 6526 */    MCD_OPC_CheckField, 12, 4, 15, 227, 1, // Skip to: 7015
-/* 6532 */    MCD_OPC_CheckField, 4, 4, 15, 221, 1, // Skip to: 7015
-/* 6538 */    MCD_OPC_Decode, 224, 20, 169, 2, // Opcode: t2UDIV
-/* 6543 */    MCD_OPC_FilterValue, 12, 94, 0, // Skip to: 6641
-/* 6547 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6550 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6563
-/* 6554 */    MCD_OPC_CheckPredicate, 22, 201, 1, // Skip to: 7015
-/* 6558 */    MCD_OPC_Decode, 227, 19, 175, 2, // Opcode: t2SMLAL
-/* 6563 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 6576
-/* 6567 */    MCD_OPC_CheckPredicate, 29, 188, 1, // Skip to: 7015
-/* 6571 */    MCD_OPC_Decode, 228, 19, 174, 2, // Opcode: t2SMLALBB
-/* 6576 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 6589
-/* 6580 */    MCD_OPC_CheckPredicate, 29, 175, 1, // Skip to: 7015
-/* 6584 */    MCD_OPC_Decode, 229, 19, 174, 2, // Opcode: t2SMLALBT
-/* 6589 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 6602
-/* 6593 */    MCD_OPC_CheckPredicate, 29, 162, 1, // Skip to: 7015
-/* 6597 */    MCD_OPC_Decode, 232, 19, 174, 2, // Opcode: t2SMLALTB
-/* 6602 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 6615
-/* 6606 */    MCD_OPC_CheckPredicate, 29, 149, 1, // Skip to: 7015
-/* 6610 */    MCD_OPC_Decode, 233, 19, 174, 2, // Opcode: t2SMLALTT
-/* 6615 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 6628
-/* 6619 */    MCD_OPC_CheckPredicate, 29, 136, 1, // Skip to: 7015
-/* 6623 */    MCD_OPC_Decode, 230, 19, 174, 2, // Opcode: t2SMLALD
-/* 6628 */    MCD_OPC_FilterValue, 13, 127, 1, // Skip to: 7015
-/* 6632 */    MCD_OPC_CheckPredicate, 29, 123, 1, // Skip to: 7015
-/* 6636 */    MCD_OPC_Decode, 231, 19, 174, 2, // Opcode: t2SMLALDX
-/* 6641 */    MCD_OPC_FilterValue, 13, 29, 0, // Skip to: 6674
-/* 6645 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6648 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 6661
-/* 6652 */    MCD_OPC_CheckPredicate, 29, 103, 1, // Skip to: 7015
-/* 6656 */    MCD_OPC_Decode, 240, 19, 174, 2, // Opcode: t2SMLSLD
-/* 6661 */    MCD_OPC_FilterValue, 13, 94, 1, // Skip to: 7015
-/* 6665 */    MCD_OPC_CheckPredicate, 29, 90, 1, // Skip to: 7015
-/* 6669 */    MCD_OPC_Decode, 241, 19, 176, 2, // Opcode: t2SMLSLDX
-/* 6674 */    MCD_OPC_FilterValue, 14, 81, 1, // Skip to: 7015
-/* 6678 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
-/* 6681 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6694
-/* 6685 */    MCD_OPC_CheckPredicate, 22, 70, 1, // Skip to: 7015
-/* 6689 */    MCD_OPC_Decode, 232, 20, 175, 2, // Opcode: t2UMLAL
-/* 6694 */    MCD_OPC_FilterValue, 6, 61, 1, // Skip to: 7015
-/* 6698 */    MCD_OPC_CheckPredicate, 29, 57, 1, // Skip to: 7015
-/* 6702 */    MCD_OPC_Decode, 231, 20, 174, 2, // Opcode: t2UMAAL
-/* 6707 */    MCD_OPC_FilterValue, 4, 151, 0, // Skip to: 6862
-/* 6711 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 6714 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6732
-/* 6718 */    MCD_OPC_CheckPredicate, 40, 37, 1, // Skip to: 7015
-/* 6722 */    MCD_OPC_CheckField, 23, 1, 1, 31, 1, // Skip to: 7015
-/* 6728 */    MCD_OPC_Decode, 145, 20, 84, // Opcode: t2STC2_OPTION
-/* 6732 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 6750
-/* 6736 */    MCD_OPC_CheckPredicate, 40, 19, 1, // Skip to: 7015
-/* 6740 */    MCD_OPC_CheckField, 23, 1, 1, 13, 1, // Skip to: 7015
-/* 6746 */    MCD_OPC_Decode, 178, 18, 84, // Opcode: t2LDC2_OPTION
-/* 6750 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6762
-/* 6754 */    MCD_OPC_CheckPredicate, 40, 1, 1, // Skip to: 7015
-/* 6758 */    MCD_OPC_Decode, 146, 20, 84, // Opcode: t2STC2_POST
-/* 6762 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6774
-/* 6766 */    MCD_OPC_CheckPredicate, 40, 245, 0, // Skip to: 7015
-/* 6770 */    MCD_OPC_Decode, 179, 18, 84, // Opcode: t2LDC2_POST
-/* 6774 */    MCD_OPC_FilterValue, 4, 28, 0, // Skip to: 6806
-/* 6778 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 6781 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6794
-/* 6785 */    MCD_OPC_CheckPredicate, 28, 226, 0, // Skip to: 7015
-/* 6789 */    MCD_OPC_Decode, 251, 18, 130, 2, // Opcode: t2MCRR2
-/* 6794 */    MCD_OPC_FilterValue, 1, 217, 0, // Skip to: 7015
-/* 6798 */    MCD_OPC_CheckPredicate, 40, 213, 0, // Skip to: 7015
-/* 6802 */    MCD_OPC_Decode, 141, 20, 84, // Opcode: t2STC2L_OPTION
-/* 6806 */    MCD_OPC_FilterValue, 5, 28, 0, // Skip to: 6838
-/* 6810 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
-/* 6813 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6826
-/* 6817 */    MCD_OPC_CheckPredicate, 28, 194, 0, // Skip to: 7015
-/* 6821 */    MCD_OPC_Decode, 151, 19, 130, 2, // Opcode: t2MRRC2
-/* 6826 */    MCD_OPC_FilterValue, 1, 185, 0, // Skip to: 7015
-/* 6830 */    MCD_OPC_CheckPredicate, 40, 181, 0, // Skip to: 7015
-/* 6834 */    MCD_OPC_Decode, 174, 18, 84, // Opcode: t2LDC2L_OPTION
-/* 6838 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 6850
-/* 6842 */    MCD_OPC_CheckPredicate, 40, 169, 0, // Skip to: 7015
-/* 6846 */    MCD_OPC_Decode, 142, 20, 84, // Opcode: t2STC2L_POST
-/* 6850 */    MCD_OPC_FilterValue, 7, 161, 0, // Skip to: 7015
-/* 6854 */    MCD_OPC_CheckPredicate, 40, 157, 0, // Skip to: 7015
-/* 6858 */    MCD_OPC_Decode, 175, 18, 84, // Opcode: t2LDC2L_POST
-/* 6862 */    MCD_OPC_FilterValue, 5, 99, 0, // Skip to: 6965
-/* 6866 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
-/* 6869 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6881
-/* 6873 */    MCD_OPC_CheckPredicate, 40, 138, 0, // Skip to: 7015
-/* 6877 */    MCD_OPC_Decode, 144, 20, 84, // Opcode: t2STC2_OFFSET
-/* 6881 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6893
-/* 6885 */    MCD_OPC_CheckPredicate, 40, 126, 0, // Skip to: 7015
-/* 6889 */    MCD_OPC_Decode, 177, 18, 84, // Opcode: t2LDC2_OFFSET
-/* 6893 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6905
-/* 6897 */    MCD_OPC_CheckPredicate, 40, 114, 0, // Skip to: 7015
-/* 6901 */    MCD_OPC_Decode, 147, 20, 84, // Opcode: t2STC2_PRE
-/* 6905 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6917
-/* 6909 */    MCD_OPC_CheckPredicate, 40, 102, 0, // Skip to: 7015
-/* 6913 */    MCD_OPC_Decode, 180, 18, 84, // Opcode: t2LDC2_PRE
-/* 6917 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 6929
-/* 6921 */    MCD_OPC_CheckPredicate, 40, 90, 0, // Skip to: 7015
-/* 6925 */    MCD_OPC_Decode, 140, 20, 84, // Opcode: t2STC2L_OFFSET
-/* 6929 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 6941
-/* 6933 */    MCD_OPC_CheckPredicate, 40, 78, 0, // Skip to: 7015
-/* 6937 */    MCD_OPC_Decode, 173, 18, 84, // Opcode: t2LDC2L_OFFSET
-/* 6941 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 6953
-/* 6945 */    MCD_OPC_CheckPredicate, 40, 66, 0, // Skip to: 7015
-/* 6949 */    MCD_OPC_Decode, 143, 20, 84, // Opcode: t2STC2L_PRE
-/* 6953 */    MCD_OPC_FilterValue, 7, 58, 0, // Skip to: 7015
-/* 6957 */    MCD_OPC_CheckPredicate, 40, 54, 0, // Skip to: 7015
-/* 6961 */    MCD_OPC_Decode, 176, 18, 84, // Opcode: t2LDC2L_PRE
-/* 6965 */    MCD_OPC_FilterValue, 6, 46, 0, // Skip to: 7015
-/* 6969 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 6972 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6984
-/* 6976 */    MCD_OPC_CheckPredicate, 28, 35, 0, // Skip to: 7015
-/* 6980 */    MCD_OPC_Decode, 134, 18, 87, // Opcode: t2CDP2
-/* 6984 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 7015
-/* 6988 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 6991 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7003
-/* 6995 */    MCD_OPC_CheckPredicate, 28, 16, 0, // Skip to: 7015
-/* 6999 */    MCD_OPC_Decode, 249, 18, 89, // Opcode: t2MCR2
-/* 7003 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7015
-/* 7007 */    MCD_OPC_CheckPredicate, 28, 4, 0, // Skip to: 7015
-/* 7011 */    MCD_OPC_Decode, 149, 19, 91, // Opcode: t2MRC2
-/* 7015 */    MCD_OPC_Fail,
+/* 2908 */    MCD_OPC_CheckPredicate, 29, 131, 0, // Skip to: 3043
+/* 2912 */    MCD_OPC_CheckField, 13, 1, 0, 125, 0, // Skip to: 3043
+/* 2918 */    MCD_OPC_CheckField, 8, 4, 15, 119, 0, // Skip to: 3043
+/* 2924 */    MCD_OPC_Decode, 205, 20, 224, 1, // Opcode: t2SUBS_PC_LR
+/* 2929 */    MCD_OPC_FilterValue, 239, 7, 21, 0, // Skip to: 2955
+/* 2934 */    MCD_OPC_CheckPredicate, 29, 105, 0, // Skip to: 3043
+/* 2938 */    MCD_OPC_CheckField, 13, 1, 0, 99, 0, // Skip to: 3043
+/* 2944 */    MCD_OPC_CheckField, 0, 8, 0, 93, 0, // Skip to: 3043
+/* 2950 */    MCD_OPC_Decode, 160, 19, 147, 2, // Opcode: t2MRS_AR
+/* 2955 */    MCD_OPC_FilterValue, 255, 7, 21, 0, // Skip to: 2981
+/* 2960 */    MCD_OPC_CheckPredicate, 29, 79, 0, // Skip to: 3043
+/* 2964 */    MCD_OPC_CheckField, 13, 1, 0, 73, 0, // Skip to: 3043
+/* 2970 */    MCD_OPC_CheckField, 0, 8, 0, 67, 0, // Skip to: 3043
+/* 2976 */    MCD_OPC_Decode, 163, 19, 147, 2, // Opcode: t2MRSsys_AR
+/* 2981 */    MCD_OPC_FilterValue, 143, 15, 57, 0, // Skip to: 3043
+/* 2986 */    MCD_OPC_ExtractField, 0, 12,  // Inst{11-0} ...
+/* 2989 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3007
+/* 2993 */    MCD_OPC_CheckPredicate, 35, 46, 0, // Skip to: 3043
+/* 2997 */    MCD_OPC_CheckField, 13, 1, 0, 40, 0, // Skip to: 3043
+/* 3003 */    MCD_OPC_Decode, 160, 18, 60, // Opcode: t2DCPS1
+/* 3007 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3025
+/* 3011 */    MCD_OPC_CheckPredicate, 35, 28, 0, // Skip to: 3043
+/* 3015 */    MCD_OPC_CheckField, 13, 1, 0, 22, 0, // Skip to: 3043
+/* 3021 */    MCD_OPC_Decode, 161, 18, 60, // Opcode: t2DCPS2
+/* 3025 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 3043
+/* 3029 */    MCD_OPC_CheckPredicate, 35, 10, 0, // Skip to: 3043
+/* 3033 */    MCD_OPC_CheckField, 13, 1, 0, 4, 0, // Skip to: 3043
+/* 3039 */    MCD_OPC_Decode, 162, 18, 60, // Opcode: t2DCPS3
+/* 3043 */    MCD_OPC_ExtractField, 20, 7,  // Inst{26-20} ...
+/* 3046 */    MCD_OPC_FilterValue, 60, 22, 0, // Skip to: 3072
+/* 3050 */    MCD_OPC_CheckPredicate, 36, 70, 0, // Skip to: 3124
+/* 3054 */    MCD_OPC_CheckField, 13, 1, 0, 64, 0, // Skip to: 3124
+/* 3060 */    MCD_OPC_CheckField, 0, 12, 128, 30, 57, 0, // Skip to: 3124
+/* 3067 */    MCD_OPC_Decode, 138, 18, 148, 2, // Opcode: t2BXJ
+/* 3072 */    MCD_OPC_FilterValue, 126, 15, 0, // Skip to: 3091
+/* 3076 */    MCD_OPC_CheckPredicate, 37, 44, 0, // Skip to: 3124
+/* 3080 */    MCD_OPC_CheckField, 13, 1, 0, 38, 0, // Skip to: 3124
+/* 3086 */    MCD_OPC_Decode, 169, 18, 149, 2, // Opcode: t2HVC
+/* 3091 */    MCD_OPC_FilterValue, 127, 29, 0, // Skip to: 3124
+/* 3095 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 3098 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3111
+/* 3102 */    MCD_OPC_CheckPredicate, 38, 18, 0, // Skip to: 3124
+/* 3106 */    MCD_OPC_Decode, 232, 19, 150, 2, // Opcode: t2SMC
+/* 3111 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3124
+/* 3115 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 3124
+/* 3119 */    MCD_OPC_Decode, 233, 20, 149, 2, // Opcode: t2UDF
+/* 3124 */    MCD_OPC_ExtractField, 21, 6,  // Inst{26-21} ...
+/* 3127 */    MCD_OPC_FilterValue, 28, 62, 0, // Skip to: 3193
+/* 3131 */    MCD_OPC_CheckPredicate, 29, 17, 0, // Skip to: 3152
+/* 3135 */    MCD_OPC_CheckField, 13, 1, 0, 11, 0, // Skip to: 3152
+/* 3141 */    MCD_OPC_CheckField, 0, 8, 0, 5, 0, // Skip to: 3152
+/* 3147 */    MCD_OPC_Decode, 164, 19, 151, 2, // Opcode: t2MSR_AR
+/* 3152 */    MCD_OPC_CheckPredicate, 39, 23, 0, // Skip to: 3179
+/* 3156 */    MCD_OPC_CheckField, 13, 1, 0, 17, 0, // Skip to: 3179
+/* 3162 */    MCD_OPC_CheckField, 5, 3, 1, 11, 0, // Skip to: 3179
+/* 3168 */    MCD_OPC_CheckField, 0, 4, 0, 5, 0, // Skip to: 3179
+/* 3174 */    MCD_OPC_Decode, 166, 19, 152, 2, // Opcode: t2MSRbanked
+/* 3179 */    MCD_OPC_CheckPredicate, 40, 57, 0, // Skip to: 3240
+/* 3183 */    MCD_OPC_SoftFail, 128, 198, 64 /* 0x102300 */, 0,
+/* 3188 */    MCD_OPC_Decode, 165, 19, 153, 2, // Opcode: t2MSR_M
+/* 3193 */    MCD_OPC_FilterValue, 31, 43, 0, // Skip to: 3240
+/* 3197 */    MCD_OPC_CheckPredicate, 39, 23, 0, // Skip to: 3224
+/* 3201 */    MCD_OPC_CheckField, 13, 1, 0, 17, 0, // Skip to: 3224
+/* 3207 */    MCD_OPC_CheckField, 5, 3, 1, 11, 0, // Skip to: 3224
+/* 3213 */    MCD_OPC_CheckField, 0, 4, 0, 5, 0, // Skip to: 3224
+/* 3219 */    MCD_OPC_Decode, 162, 19, 154, 2, // Opcode: t2MRSbanked
+/* 3224 */    MCD_OPC_CheckPredicate, 40, 12, 0, // Skip to: 3240
+/* 3228 */    MCD_OPC_SoftFail, 128, 192, 64 /* 0x102000 */, 128, 128, 60 /* 0xF0000 */,
+/* 3235 */    MCD_OPC_Decode, 161, 19, 155, 2, // Opcode: t2MRS_M
+/* 3240 */    MCD_OPC_CheckPredicate, 24, 10, 15, // Skip to: 7094
+/* 3244 */    MCD_OPC_Decode, 139, 18, 156, 2, // Opcode: t2Bcc
+/* 3249 */    MCD_OPC_FilterValue, 1, 1, 15, // Skip to: 7094
+/* 3253 */    MCD_OPC_CheckPredicate, 24, 253, 14, // Skip to: 7094
+/* 3257 */    MCD_OPC_CheckField, 14, 1, 0, 247, 14, // Skip to: 7094
+/* 3263 */    MCD_OPC_Decode, 131, 18, 157, 2, // Opcode: t2B
+/* 3268 */    MCD_OPC_FilterValue, 31, 238, 14, // Skip to: 7094
+/* 3272 */    MCD_OPC_ExtractField, 24, 3,  // Inst{26-24} ...
+/* 3275 */    MCD_OPC_FilterValue, 0, 76, 3, // Skip to: 4123
+/* 3279 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 3282 */    MCD_OPC_FilterValue, 0, 109, 0, // Skip to: 3395
+/* 3286 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 3289 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3382
+/* 3293 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 3296 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3315
+/* 3300 */    MCD_OPC_CheckPredicate, 24, 206, 14, // Skip to: 7094
+/* 3304 */    MCD_OPC_CheckField, 6, 4, 0, 200, 14, // Skip to: 7094
+/* 3310 */    MCD_OPC_Decode, 183, 20, 158, 2, // Opcode: t2STRBs
+/* 3315 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3334
+/* 3319 */    MCD_OPC_CheckPredicate, 24, 187, 14, // Skip to: 7094
+/* 3323 */    MCD_OPC_CheckField, 8, 1, 1, 181, 14, // Skip to: 7094
+/* 3329 */    MCD_OPC_Decode, 178, 20, 159, 2, // Opcode: t2STRB_POST
+/* 3334 */    MCD_OPC_FilterValue, 3, 172, 14, // Skip to: 7094
+/* 3338 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 3341 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3369
+/* 3345 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3360
+/* 3349 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3360
+/* 3355 */    MCD_OPC_Decode, 177, 20, 160, 2, // Opcode: t2STRBT
+/* 3360 */    MCD_OPC_CheckPredicate, 24, 146, 14, // Skip to: 7094
+/* 3364 */    MCD_OPC_Decode, 182, 20, 161, 2, // Opcode: t2STRBi8
+/* 3369 */    MCD_OPC_FilterValue, 1, 137, 14, // Skip to: 7094
+/* 3373 */    MCD_OPC_CheckPredicate, 24, 133, 14, // Skip to: 7094
+/* 3377 */    MCD_OPC_Decode, 179, 20, 159, 2, // Opcode: t2STRB_PRE
+/* 3382 */    MCD_OPC_FilterValue, 1, 124, 14, // Skip to: 7094
+/* 3386 */    MCD_OPC_CheckPredicate, 24, 120, 14, // Skip to: 7094
+/* 3390 */    MCD_OPC_Decode, 181, 20, 162, 2, // Opcode: t2STRBi12
+/* 3395 */    MCD_OPC_FilterValue, 1, 191, 0, // Skip to: 3590
+/* 3399 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 3402 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 3531
+/* 3406 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 3409 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3444
+/* 3413 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
+/* 3416 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 3559
+/* 3420 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3435
+/* 3424 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3435
+/* 3430 */    MCD_OPC_Decode, 186, 19, 163, 2, // Opcode: t2PLDs
+/* 3435 */    MCD_OPC_CheckPredicate, 24, 120, 0, // Skip to: 3559
+/* 3439 */    MCD_OPC_Decode, 209, 18, 163, 2, // Opcode: t2LDRBs
+/* 3444 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3463
+/* 3448 */    MCD_OPC_CheckPredicate, 24, 107, 0, // Skip to: 3559
+/* 3452 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 3559
+/* 3458 */    MCD_OPC_Decode, 203, 18, 159, 2, // Opcode: t2LDRB_POST
+/* 3463 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 3559
+/* 3467 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 3470 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 3518
+/* 3474 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
+/* 3477 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3496
+/* 3481 */    MCD_OPC_CheckPredicate, 24, 24, 0, // Skip to: 3509
+/* 3485 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 3509
+/* 3491 */    MCD_OPC_Decode, 184, 19, 164, 2, // Opcode: t2PLDi8
+/* 3496 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3509
+/* 3500 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 3509
+/* 3504 */    MCD_OPC_Decode, 202, 18, 165, 2, // Opcode: t2LDRBT
+/* 3509 */    MCD_OPC_CheckPredicate, 24, 46, 0, // Skip to: 3559
+/* 3513 */    MCD_OPC_Decode, 206, 18, 164, 2, // Opcode: t2LDRBi8
+/* 3518 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 3559
+/* 3522 */    MCD_OPC_CheckPredicate, 24, 33, 0, // Skip to: 3559
+/* 3526 */    MCD_OPC_Decode, 204, 18, 159, 2, // Opcode: t2LDRB_PRE
+/* 3531 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 3559
+/* 3535 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3550
+/* 3539 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3550
+/* 3545 */    MCD_OPC_Decode, 183, 19, 166, 2, // Opcode: t2PLDi12
+/* 3550 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 3559
+/* 3554 */    MCD_OPC_Decode, 205, 18, 166, 2, // Opcode: t2LDRBi12
+/* 3559 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 3562 */    MCD_OPC_FilterValue, 15, 200, 13, // Skip to: 7094
+/* 3566 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3581
+/* 3570 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3581
+/* 3576 */    MCD_OPC_Decode, 185, 19, 167, 2, // Opcode: t2PLDpci
+/* 3581 */    MCD_OPC_CheckPredicate, 24, 181, 13, // Skip to: 7094
+/* 3585 */    MCD_OPC_Decode, 207, 18, 167, 2, // Opcode: t2LDRBpci
+/* 3590 */    MCD_OPC_FilterValue, 2, 109, 0, // Skip to: 3703
+/* 3594 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 3597 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3690
+/* 3601 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 3604 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3623
+/* 3608 */    MCD_OPC_CheckPredicate, 24, 154, 13, // Skip to: 7094
+/* 3612 */    MCD_OPC_CheckField, 6, 4, 0, 148, 13, // Skip to: 7094
+/* 3618 */    MCD_OPC_Decode, 197, 20, 158, 2, // Opcode: t2STRHs
+/* 3623 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3642
+/* 3627 */    MCD_OPC_CheckPredicate, 24, 135, 13, // Skip to: 7094
+/* 3631 */    MCD_OPC_CheckField, 8, 1, 1, 129, 13, // Skip to: 7094
+/* 3637 */    MCD_OPC_Decode, 192, 20, 159, 2, // Opcode: t2STRH_POST
+/* 3642 */    MCD_OPC_FilterValue, 3, 120, 13, // Skip to: 7094
+/* 3646 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 3649 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3677
+/* 3653 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3668
+/* 3657 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3668
+/* 3663 */    MCD_OPC_Decode, 191, 20, 160, 2, // Opcode: t2STRHT
+/* 3668 */    MCD_OPC_CheckPredicate, 24, 94, 13, // Skip to: 7094
+/* 3672 */    MCD_OPC_Decode, 196, 20, 161, 2, // Opcode: t2STRHi8
+/* 3677 */    MCD_OPC_FilterValue, 1, 85, 13, // Skip to: 7094
+/* 3681 */    MCD_OPC_CheckPredicate, 24, 81, 13, // Skip to: 7094
+/* 3685 */    MCD_OPC_Decode, 193, 20, 159, 2, // Opcode: t2STRH_PRE
+/* 3690 */    MCD_OPC_FilterValue, 1, 72, 13, // Skip to: 7094
+/* 3694 */    MCD_OPC_CheckPredicate, 24, 68, 13, // Skip to: 7094
+/* 3698 */    MCD_OPC_Decode, 195, 20, 162, 2, // Opcode: t2STRHi12
+/* 3703 */    MCD_OPC_FilterValue, 3, 175, 0, // Skip to: 3882
+/* 3707 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 3710 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 3839
+/* 3714 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 3717 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3752
+/* 3721 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
+/* 3724 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 3867
+/* 3728 */    MCD_OPC_CheckPredicate, 41, 11, 0, // Skip to: 3743
+/* 3732 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3743
+/* 3738 */    MCD_OPC_Decode, 182, 19, 163, 2, // Opcode: t2PLDWs
+/* 3743 */    MCD_OPC_CheckPredicate, 24, 120, 0, // Skip to: 3867
+/* 3747 */    MCD_OPC_Decode, 224, 18, 163, 2, // Opcode: t2LDRHs
+/* 3752 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3771
+/* 3756 */    MCD_OPC_CheckPredicate, 24, 107, 0, // Skip to: 3867
+/* 3760 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 3867
+/* 3766 */    MCD_OPC_Decode, 218, 18, 159, 2, // Opcode: t2LDRH_POST
+/* 3771 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 3867
+/* 3775 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 3778 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 3826
+/* 3782 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
+/* 3785 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3804
+/* 3789 */    MCD_OPC_CheckPredicate, 41, 24, 0, // Skip to: 3817
+/* 3793 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 3817
+/* 3799 */    MCD_OPC_Decode, 181, 19, 164, 2, // Opcode: t2PLDWi8
+/* 3804 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3817
+/* 3808 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 3817
+/* 3812 */    MCD_OPC_Decode, 217, 18, 165, 2, // Opcode: t2LDRHT
+/* 3817 */    MCD_OPC_CheckPredicate, 24, 46, 0, // Skip to: 3867
+/* 3821 */    MCD_OPC_Decode, 221, 18, 164, 2, // Opcode: t2LDRHi8
+/* 3826 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 3867
+/* 3830 */    MCD_OPC_CheckPredicate, 24, 33, 0, // Skip to: 3867
+/* 3834 */    MCD_OPC_Decode, 219, 18, 159, 2, // Opcode: t2LDRH_PRE
+/* 3839 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 3867
+/* 3843 */    MCD_OPC_CheckPredicate, 41, 11, 0, // Skip to: 3858
+/* 3847 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 3858
+/* 3853 */    MCD_OPC_Decode, 180, 19, 166, 2, // Opcode: t2PLDWi12
+/* 3858 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 3867
+/* 3862 */    MCD_OPC_Decode, 220, 18, 166, 2, // Opcode: t2LDRHi12
+/* 3867 */    MCD_OPC_CheckPredicate, 24, 151, 12, // Skip to: 7094
+/* 3871 */    MCD_OPC_CheckField, 16, 4, 15, 145, 12, // Skip to: 7094
+/* 3877 */    MCD_OPC_Decode, 222, 18, 167, 2, // Opcode: t2LDRHpci
+/* 3882 */    MCD_OPC_FilterValue, 4, 109, 0, // Skip to: 3995
+/* 3886 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 3889 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 3982
+/* 3893 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 3896 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 3915
+/* 3900 */    MCD_OPC_CheckPredicate, 24, 118, 12, // Skip to: 7094
+/* 3904 */    MCD_OPC_CheckField, 6, 4, 0, 112, 12, // Skip to: 7094
+/* 3910 */    MCD_OPC_Decode, 204, 20, 168, 2, // Opcode: t2STRs
+/* 3915 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 3934
+/* 3919 */    MCD_OPC_CheckPredicate, 24, 99, 12, // Skip to: 7094
+/* 3923 */    MCD_OPC_CheckField, 8, 1, 1, 93, 12, // Skip to: 7094
+/* 3929 */    MCD_OPC_Decode, 199, 20, 159, 2, // Opcode: t2STR_POST
+/* 3934 */    MCD_OPC_FilterValue, 3, 84, 12, // Skip to: 7094
+/* 3938 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 3941 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 3969
+/* 3945 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 3960
+/* 3949 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 3960
+/* 3955 */    MCD_OPC_Decode, 198, 20, 160, 2, // Opcode: t2STRT
+/* 3960 */    MCD_OPC_CheckPredicate, 24, 58, 12, // Skip to: 7094
+/* 3964 */    MCD_OPC_Decode, 203, 20, 169, 2, // Opcode: t2STRi8
+/* 3969 */    MCD_OPC_FilterValue, 1, 49, 12, // Skip to: 7094
+/* 3973 */    MCD_OPC_CheckPredicate, 24, 45, 12, // Skip to: 7094
+/* 3977 */    MCD_OPC_Decode, 200, 20, 159, 2, // Opcode: t2STR_PRE
+/* 3982 */    MCD_OPC_FilterValue, 1, 36, 12, // Skip to: 7094
+/* 3986 */    MCD_OPC_CheckPredicate, 24, 32, 12, // Skip to: 7094
+/* 3990 */    MCD_OPC_Decode, 202, 20, 170, 2, // Opcode: t2STRi12
+/* 3995 */    MCD_OPC_FilterValue, 5, 23, 12, // Skip to: 7094
+/* 3999 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 4002 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 4095
+/* 4006 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 4009 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4028
+/* 4013 */    MCD_OPC_CheckPredicate, 24, 91, 0, // Skip to: 4108
+/* 4017 */    MCD_OPC_CheckField, 6, 4, 0, 85, 0, // Skip to: 4108
+/* 4023 */    MCD_OPC_Decode, 249, 18, 163, 2, // Opcode: t2LDRs
+/* 4028 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 4047
+/* 4032 */    MCD_OPC_CheckPredicate, 24, 72, 0, // Skip to: 4108
+/* 4036 */    MCD_OPC_CheckField, 8, 1, 1, 66, 0, // Skip to: 4108
+/* 4042 */    MCD_OPC_Decode, 242, 18, 159, 2, // Opcode: t2LDR_POST
+/* 4047 */    MCD_OPC_FilterValue, 3, 57, 0, // Skip to: 4108
+/* 4051 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 4054 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4082
+/* 4058 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4073
+/* 4062 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 4073
+/* 4068 */    MCD_OPC_Decode, 241, 18, 165, 2, // Opcode: t2LDRT
+/* 4073 */    MCD_OPC_CheckPredicate, 24, 31, 0, // Skip to: 4108
+/* 4077 */    MCD_OPC_Decode, 245, 18, 164, 2, // Opcode: t2LDRi8
+/* 4082 */    MCD_OPC_FilterValue, 1, 22, 0, // Skip to: 4108
+/* 4086 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 4108
+/* 4090 */    MCD_OPC_Decode, 243, 18, 159, 2, // Opcode: t2LDR_PRE
+/* 4095 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4108
+/* 4099 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 4108
+/* 4103 */    MCD_OPC_Decode, 244, 18, 166, 2, // Opcode: t2LDRi12
+/* 4108 */    MCD_OPC_CheckPredicate, 24, 166, 11, // Skip to: 7094
+/* 4112 */    MCD_OPC_CheckField, 16, 4, 15, 160, 11, // Skip to: 7094
+/* 4118 */    MCD_OPC_Decode, 246, 18, 167, 2, // Opcode: t2LDRpci
+/* 4123 */    MCD_OPC_FilterValue, 1, 70, 1, // Skip to: 4453
+/* 4127 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 4130 */    MCD_OPC_FilterValue, 1, 191, 0, // Skip to: 4325
+/* 4134 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 4137 */    MCD_OPC_FilterValue, 0, 125, 0, // Skip to: 4266
+/* 4141 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 4144 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4179
+/* 4148 */    MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
+/* 4151 */    MCD_OPC_FilterValue, 0, 139, 0, // Skip to: 4294
+/* 4155 */    MCD_OPC_CheckPredicate, 33, 11, 0, // Skip to: 4170
+/* 4159 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4170
+/* 4165 */    MCD_OPC_Decode, 190, 19, 163, 2, // Opcode: t2PLIs
+/* 4170 */    MCD_OPC_CheckPredicate, 24, 120, 0, // Skip to: 4294
+/* 4174 */    MCD_OPC_Decode, 232, 18, 163, 2, // Opcode: t2LDRSBs
+/* 4179 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 4198
+/* 4183 */    MCD_OPC_CheckPredicate, 24, 107, 0, // Skip to: 4294
+/* 4187 */    MCD_OPC_CheckField, 8, 1, 1, 101, 0, // Skip to: 4294
+/* 4193 */    MCD_OPC_Decode, 226, 18, 159, 2, // Opcode: t2LDRSB_POST
+/* 4198 */    MCD_OPC_FilterValue, 3, 92, 0, // Skip to: 4294
+/* 4202 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 4205 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 4253
+/* 4209 */    MCD_OPC_ExtractField, 9, 1,  // Inst{9} ...
+/* 4212 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4231
+/* 4216 */    MCD_OPC_CheckPredicate, 33, 24, 0, // Skip to: 4244
+/* 4220 */    MCD_OPC_CheckField, 12, 4, 15, 18, 0, // Skip to: 4244
+/* 4226 */    MCD_OPC_Decode, 188, 19, 164, 2, // Opcode: t2PLIi8
+/* 4231 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4244
+/* 4235 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 4244
+/* 4239 */    MCD_OPC_Decode, 225, 18, 165, 2, // Opcode: t2LDRSBT
+/* 4244 */    MCD_OPC_CheckPredicate, 24, 46, 0, // Skip to: 4294
+/* 4248 */    MCD_OPC_Decode, 229, 18, 164, 2, // Opcode: t2LDRSBi8
+/* 4253 */    MCD_OPC_FilterValue, 1, 37, 0, // Skip to: 4294
+/* 4257 */    MCD_OPC_CheckPredicate, 24, 33, 0, // Skip to: 4294
+/* 4261 */    MCD_OPC_Decode, 227, 18, 159, 2, // Opcode: t2LDRSB_PRE
+/* 4266 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 4294
+/* 4270 */    MCD_OPC_CheckPredicate, 33, 11, 0, // Skip to: 4285
+/* 4274 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4285
+/* 4280 */    MCD_OPC_Decode, 187, 19, 166, 2, // Opcode: t2PLIi12
+/* 4285 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 4294
+/* 4289 */    MCD_OPC_Decode, 228, 18, 166, 2, // Opcode: t2LDRSBi12
+/* 4294 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
+/* 4297 */    MCD_OPC_FilterValue, 15, 233, 10, // Skip to: 7094
+/* 4301 */    MCD_OPC_CheckPredicate, 33, 11, 0, // Skip to: 4316
+/* 4305 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 4316
+/* 4311 */    MCD_OPC_Decode, 189, 19, 167, 2, // Opcode: t2PLIpci
+/* 4316 */    MCD_OPC_CheckPredicate, 24, 214, 10, // Skip to: 7094
+/* 4320 */    MCD_OPC_Decode, 230, 18, 167, 2, // Opcode: t2LDRSBpci
+/* 4325 */    MCD_OPC_FilterValue, 3, 205, 10, // Skip to: 7094
+/* 4329 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 4332 */    MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 4425
+/* 4336 */    MCD_OPC_ExtractField, 10, 2,  // Inst{11-10} ...
+/* 4339 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4358
+/* 4343 */    MCD_OPC_CheckPredicate, 24, 91, 0, // Skip to: 4438
+/* 4347 */    MCD_OPC_CheckField, 6, 4, 0, 85, 0, // Skip to: 4438
+/* 4353 */    MCD_OPC_Decode, 240, 18, 163, 2, // Opcode: t2LDRSHs
+/* 4358 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 4377
+/* 4362 */    MCD_OPC_CheckPredicate, 24, 72, 0, // Skip to: 4438
+/* 4366 */    MCD_OPC_CheckField, 8, 1, 1, 66, 0, // Skip to: 4438
+/* 4372 */    MCD_OPC_Decode, 234, 18, 159, 2, // Opcode: t2LDRSH_POST
+/* 4377 */    MCD_OPC_FilterValue, 3, 57, 0, // Skip to: 4438
+/* 4381 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 4384 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 4412
+/* 4388 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4403
+/* 4392 */    MCD_OPC_CheckField, 9, 1, 1, 5, 0, // Skip to: 4403
+/* 4398 */    MCD_OPC_Decode, 233, 18, 165, 2, // Opcode: t2LDRSHT
+/* 4403 */    MCD_OPC_CheckPredicate, 24, 31, 0, // Skip to: 4438
+/* 4407 */    MCD_OPC_Decode, 237, 18, 164, 2, // Opcode: t2LDRSHi8
+/* 4412 */    MCD_OPC_FilterValue, 1, 22, 0, // Skip to: 4438
+/* 4416 */    MCD_OPC_CheckPredicate, 24, 18, 0, // Skip to: 4438
+/* 4420 */    MCD_OPC_Decode, 235, 18, 159, 2, // Opcode: t2LDRSH_PRE
+/* 4425 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 4438
+/* 4429 */    MCD_OPC_CheckPredicate, 24, 5, 0, // Skip to: 4438
+/* 4433 */    MCD_OPC_Decode, 236, 18, 166, 2, // Opcode: t2LDRSHi12
+/* 4438 */    MCD_OPC_CheckPredicate, 24, 92, 10, // Skip to: 7094
+/* 4442 */    MCD_OPC_CheckField, 16, 4, 15, 86, 10, // Skip to: 7094
+/* 4448 */    MCD_OPC_Decode, 238, 18, 167, 2, // Opcode: t2LDRSHpci
+/* 4453 */    MCD_OPC_FilterValue, 2, 47, 6, // Skip to: 6040
+/* 4457 */    MCD_OPC_ExtractField, 21, 3,  // Inst{23-21} ...
+/* 4460 */    MCD_OPC_FilterValue, 0, 105, 0, // Skip to: 4569
+/* 4464 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4467 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4492
+/* 4471 */    MCD_OPC_CheckPredicate, 24, 59, 10, // Skip to: 7094
+/* 4475 */    MCD_OPC_CheckField, 12, 4, 15, 53, 10, // Skip to: 7094
+/* 4481 */    MCD_OPC_CheckField, 4, 3, 0, 47, 10, // Skip to: 7094
+/* 4487 */    MCD_OPC_Decode, 253, 18, 251, 1, // Opcode: t2LSLrr
+/* 4492 */    MCD_OPC_FilterValue, 1, 38, 10, // Skip to: 7094
+/* 4496 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4499 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4534
+/* 4503 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4506 */    MCD_OPC_FilterValue, 15, 24, 10, // Skip to: 7094
+/* 4510 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4525
+/* 4514 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4525
+/* 4520 */    MCD_OPC_Decode, 218, 20, 171, 2, // Opcode: t2SXTH
+/* 4525 */    MCD_OPC_CheckPredicate, 30, 5, 10, // Skip to: 7094
+/* 4529 */    MCD_OPC_Decode, 215, 20, 172, 2, // Opcode: t2SXTAH
+/* 4534 */    MCD_OPC_FilterValue, 1, 252, 9, // Skip to: 7094
+/* 4538 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4541 */    MCD_OPC_FilterValue, 15, 245, 9, // Skip to: 7094
+/* 4545 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4560
+/* 4549 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4560
+/* 4555 */    MCD_OPC_Decode, 134, 21, 171, 2, // Opcode: t2UXTH
+/* 4560 */    MCD_OPC_CheckPredicate, 30, 226, 9, // Skip to: 7094
+/* 4564 */    MCD_OPC_Decode, 131, 21, 172, 2, // Opcode: t2UXTAH
+/* 4569 */    MCD_OPC_FilterValue, 1, 105, 0, // Skip to: 4678
+/* 4573 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4576 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4601
+/* 4580 */    MCD_OPC_CheckPredicate, 24, 206, 9, // Skip to: 7094
+/* 4584 */    MCD_OPC_CheckField, 12, 4, 15, 200, 9, // Skip to: 7094
+/* 4590 */    MCD_OPC_CheckField, 4, 3, 0, 194, 9, // Skip to: 7094
+/* 4596 */    MCD_OPC_Decode, 255, 18, 251, 1, // Opcode: t2LSRrr
+/* 4601 */    MCD_OPC_FilterValue, 1, 185, 9, // Skip to: 7094
+/* 4605 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4608 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4643
+/* 4612 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4615 */    MCD_OPC_FilterValue, 15, 171, 9, // Skip to: 7094
+/* 4619 */    MCD_OPC_CheckPredicate, 42, 11, 0, // Skip to: 4634
+/* 4623 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4634
+/* 4629 */    MCD_OPC_Decode, 217, 20, 171, 2, // Opcode: t2SXTB16
+/* 4634 */    MCD_OPC_CheckPredicate, 30, 152, 9, // Skip to: 7094
+/* 4638 */    MCD_OPC_Decode, 214, 20, 172, 2, // Opcode: t2SXTAB16
+/* 4643 */    MCD_OPC_FilterValue, 1, 143, 9, // Skip to: 7094
+/* 4647 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4650 */    MCD_OPC_FilterValue, 15, 136, 9, // Skip to: 7094
+/* 4654 */    MCD_OPC_CheckPredicate, 30, 11, 0, // Skip to: 4669
+/* 4658 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4669
+/* 4664 */    MCD_OPC_Decode, 133, 21, 171, 2, // Opcode: t2UXTB16
+/* 4669 */    MCD_OPC_CheckPredicate, 30, 117, 9, // Skip to: 7094
+/* 4673 */    MCD_OPC_Decode, 130, 21, 172, 2, // Opcode: t2UXTAB16
+/* 4678 */    MCD_OPC_FilterValue, 2, 105, 0, // Skip to: 4787
+/* 4682 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 4685 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 4710
+/* 4689 */    MCD_OPC_CheckPredicate, 24, 97, 9, // Skip to: 7094
+/* 4693 */    MCD_OPC_CheckField, 12, 4, 15, 91, 9, // Skip to: 7094
+/* 4699 */    MCD_OPC_CheckField, 4, 3, 0, 85, 9, // Skip to: 7094
+/* 4705 */    MCD_OPC_Decode, 130, 18, 251, 1, // Opcode: t2ASRrr
+/* 4710 */    MCD_OPC_FilterValue, 1, 76, 9, // Skip to: 7094
+/* 4714 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4717 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 4752
+/* 4721 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4724 */    MCD_OPC_FilterValue, 15, 62, 9, // Skip to: 7094
+/* 4728 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4743
+/* 4732 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4743
+/* 4738 */    MCD_OPC_Decode, 216, 20, 171, 2, // Opcode: t2SXTB
+/* 4743 */    MCD_OPC_CheckPredicate, 30, 43, 9, // Skip to: 7094
+/* 4747 */    MCD_OPC_Decode, 213, 20, 172, 2, // Opcode: t2SXTAB
+/* 4752 */    MCD_OPC_FilterValue, 1, 34, 9, // Skip to: 7094
+/* 4756 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 4759 */    MCD_OPC_FilterValue, 15, 27, 9, // Skip to: 7094
+/* 4763 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 4778
+/* 4767 */    MCD_OPC_CheckField, 16, 4, 15, 5, 0, // Skip to: 4778
+/* 4773 */    MCD_OPC_Decode, 132, 21, 171, 2, // Opcode: t2UXTB
+/* 4778 */    MCD_OPC_CheckPredicate, 30, 8, 9, // Skip to: 7094
+/* 4782 */    MCD_OPC_Decode, 129, 21, 172, 2, // Opcode: t2UXTAB
+/* 4787 */    MCD_OPC_FilterValue, 3, 21, 0, // Skip to: 4812
+/* 4791 */    MCD_OPC_CheckPredicate, 24, 251, 8, // Skip to: 7094
+/* 4795 */    MCD_OPC_CheckField, 12, 4, 15, 245, 8, // Skip to: 7094
+/* 4801 */    MCD_OPC_CheckField, 4, 4, 0, 239, 8, // Skip to: 7094
+/* 4807 */    MCD_OPC_Decode, 210, 19, 251, 1, // Opcode: t2RORrr
+/* 4812 */    MCD_OPC_FilterValue, 4, 197, 1, // Skip to: 5269
+/* 4816 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 4819 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 4864
+/* 4823 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4826 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4845
+/* 4830 */    MCD_OPC_CheckPredicate, 32, 212, 8, // Skip to: 7094
+/* 4834 */    MCD_OPC_CheckField, 12, 4, 15, 206, 8, // Skip to: 7094
+/* 4840 */    MCD_OPC_Decode, 218, 19, 173, 2, // Opcode: t2SADD8
+/* 4845 */    MCD_OPC_FilterValue, 1, 197, 8, // Skip to: 7094
+/* 4849 */    MCD_OPC_CheckPredicate, 32, 193, 8, // Skip to: 7094
+/* 4853 */    MCD_OPC_CheckField, 12, 4, 15, 187, 8, // Skip to: 7094
+/* 4859 */    MCD_OPC_Decode, 217, 19, 173, 2, // Opcode: t2SADD16
+/* 4864 */    MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 4909
+/* 4868 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4871 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4890
+/* 4875 */    MCD_OPC_CheckPredicate, 32, 167, 8, // Skip to: 7094
+/* 4879 */    MCD_OPC_CheckField, 12, 4, 15, 161, 8, // Skip to: 7094
+/* 4885 */    MCD_OPC_Decode, 193, 19, 173, 2, // Opcode: t2QADD8
+/* 4890 */    MCD_OPC_FilterValue, 1, 152, 8, // Skip to: 7094
+/* 4894 */    MCD_OPC_CheckPredicate, 32, 148, 8, // Skip to: 7094
+/* 4898 */    MCD_OPC_CheckField, 12, 4, 15, 142, 8, // Skip to: 7094
+/* 4904 */    MCD_OPC_Decode, 192, 19, 173, 2, // Opcode: t2QADD16
+/* 4909 */    MCD_OPC_FilterValue, 2, 41, 0, // Skip to: 4954
+/* 4913 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4916 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4935
+/* 4920 */    MCD_OPC_CheckPredicate, 32, 122, 8, // Skip to: 7094
+/* 4924 */    MCD_OPC_CheckField, 12, 4, 15, 116, 8, // Skip to: 7094
+/* 4930 */    MCD_OPC_Decode, 227, 19, 173, 2, // Opcode: t2SHADD8
+/* 4935 */    MCD_OPC_FilterValue, 1, 107, 8, // Skip to: 7094
+/* 4939 */    MCD_OPC_CheckPredicate, 32, 103, 8, // Skip to: 7094
+/* 4943 */    MCD_OPC_CheckField, 12, 4, 15, 97, 8, // Skip to: 7094
+/* 4949 */    MCD_OPC_Decode, 226, 19, 173, 2, // Opcode: t2SHADD16
+/* 4954 */    MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 4999
+/* 4958 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4961 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 4980
+/* 4965 */    MCD_OPC_CheckPredicate, 32, 77, 8, // Skip to: 7094
+/* 4969 */    MCD_OPC_CheckField, 12, 4, 15, 71, 8, // Skip to: 7094
+/* 4975 */    MCD_OPC_Decode, 230, 20, 173, 2, // Opcode: t2UADD8
+/* 4980 */    MCD_OPC_FilterValue, 1, 62, 8, // Skip to: 7094
+/* 4984 */    MCD_OPC_CheckPredicate, 32, 58, 8, // Skip to: 7094
+/* 4988 */    MCD_OPC_CheckField, 12, 4, 15, 52, 8, // Skip to: 7094
+/* 4994 */    MCD_OPC_Decode, 229, 20, 173, 2, // Opcode: t2UADD16
+/* 4999 */    MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 5044
+/* 5003 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5006 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5025
+/* 5010 */    MCD_OPC_CheckPredicate, 32, 32, 8, // Skip to: 7094
+/* 5014 */    MCD_OPC_CheckField, 12, 4, 15, 26, 8, // Skip to: 7094
+/* 5020 */    MCD_OPC_Decode, 245, 20, 173, 2, // Opcode: t2UQADD8
+/* 5025 */    MCD_OPC_FilterValue, 1, 17, 8, // Skip to: 7094
+/* 5029 */    MCD_OPC_CheckPredicate, 32, 13, 8, // Skip to: 7094
+/* 5033 */    MCD_OPC_CheckField, 12, 4, 15, 7, 8, // Skip to: 7094
+/* 5039 */    MCD_OPC_Decode, 244, 20, 173, 2, // Opcode: t2UQADD16
+/* 5044 */    MCD_OPC_FilterValue, 6, 41, 0, // Skip to: 5089
+/* 5048 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5051 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5070
+/* 5055 */    MCD_OPC_CheckPredicate, 32, 243, 7, // Skip to: 7094
+/* 5059 */    MCD_OPC_CheckField, 12, 4, 15, 237, 7, // Skip to: 7094
+/* 5065 */    MCD_OPC_Decode, 236, 20, 173, 2, // Opcode: t2UHADD8
+/* 5070 */    MCD_OPC_FilterValue, 1, 228, 7, // Skip to: 7094
+/* 5074 */    MCD_OPC_CheckPredicate, 32, 224, 7, // Skip to: 7094
+/* 5078 */    MCD_OPC_CheckField, 12, 4, 15, 218, 7, // Skip to: 7094
+/* 5084 */    MCD_OPC_Decode, 235, 20, 173, 2, // Opcode: t2UHADD16
+/* 5089 */    MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 5134
+/* 5093 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5096 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5115
+/* 5100 */    MCD_OPC_CheckPredicate, 32, 198, 7, // Skip to: 7094
+/* 5104 */    MCD_OPC_CheckField, 12, 4, 15, 192, 7, // Skip to: 7094
+/* 5110 */    MCD_OPC_Decode, 191, 19, 174, 2, // Opcode: t2QADD
+/* 5115 */    MCD_OPC_FilterValue, 1, 183, 7, // Skip to: 7094
+/* 5119 */    MCD_OPC_CheckPredicate, 24, 179, 7, // Skip to: 7094
+/* 5123 */    MCD_OPC_CheckField, 12, 4, 15, 173, 7, // Skip to: 7094
+/* 5129 */    MCD_OPC_Decode, 202, 19, 175, 2, // Opcode: t2REV
+/* 5134 */    MCD_OPC_FilterValue, 9, 41, 0, // Skip to: 5179
+/* 5138 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5141 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5160
+/* 5145 */    MCD_OPC_CheckPredicate, 32, 153, 7, // Skip to: 7094
+/* 5149 */    MCD_OPC_CheckField, 12, 4, 15, 147, 7, // Skip to: 7094
+/* 5155 */    MCD_OPC_Decode, 195, 19, 174, 2, // Opcode: t2QDADD
+/* 5160 */    MCD_OPC_FilterValue, 1, 138, 7, // Skip to: 7094
+/* 5164 */    MCD_OPC_CheckPredicate, 24, 134, 7, // Skip to: 7094
+/* 5168 */    MCD_OPC_CheckField, 12, 4, 15, 128, 7, // Skip to: 7094
+/* 5174 */    MCD_OPC_Decode, 203, 19, 175, 2, // Opcode: t2REV16
+/* 5179 */    MCD_OPC_FilterValue, 10, 41, 0, // Skip to: 5224
+/* 5183 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5186 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5205
+/* 5190 */    MCD_OPC_CheckPredicate, 32, 108, 7, // Skip to: 7094
+/* 5194 */    MCD_OPC_CheckField, 12, 4, 15, 102, 7, // Skip to: 7094
+/* 5200 */    MCD_OPC_Decode, 198, 19, 174, 2, // Opcode: t2QSUB
+/* 5205 */    MCD_OPC_FilterValue, 1, 93, 7, // Skip to: 7094
+/* 5209 */    MCD_OPC_CheckPredicate, 24, 89, 7, // Skip to: 7094
+/* 5213 */    MCD_OPC_CheckField, 12, 4, 15, 83, 7, // Skip to: 7094
+/* 5219 */    MCD_OPC_Decode, 201, 19, 175, 2, // Opcode: t2RBIT
+/* 5224 */    MCD_OPC_FilterValue, 11, 74, 7, // Skip to: 7094
+/* 5228 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5231 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5250
+/* 5235 */    MCD_OPC_CheckPredicate, 32, 63, 7, // Skip to: 7094
+/* 5239 */    MCD_OPC_CheckField, 12, 4, 15, 57, 7, // Skip to: 7094
+/* 5245 */    MCD_OPC_Decode, 196, 19, 174, 2, // Opcode: t2QDSUB
+/* 5250 */    MCD_OPC_FilterValue, 1, 48, 7, // Skip to: 7094
+/* 5254 */    MCD_OPC_CheckPredicate, 24, 44, 7, // Skip to: 7094
+/* 5258 */    MCD_OPC_CheckField, 12, 4, 15, 38, 7, // Skip to: 7094
+/* 5264 */    MCD_OPC_Decode, 204, 19, 175, 2, // Opcode: t2REVSH
+/* 5269 */    MCD_OPC_FilterValue, 5, 198, 0, // Skip to: 5471
+/* 5273 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 5276 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 5301
+/* 5280 */    MCD_OPC_CheckPredicate, 32, 18, 7, // Skip to: 7094
+/* 5284 */    MCD_OPC_CheckField, 20, 1, 0, 12, 7, // Skip to: 7094
+/* 5290 */    MCD_OPC_CheckField, 12, 4, 15, 6, 7, // Skip to: 7094
+/* 5296 */    MCD_OPC_Decode, 219, 19, 173, 2, // Opcode: t2SASX
+/* 5301 */    MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 5326
+/* 5305 */    MCD_OPC_CheckPredicate, 32, 249, 6, // Skip to: 7094
+/* 5309 */    MCD_OPC_CheckField, 20, 1, 0, 243, 6, // Skip to: 7094
+/* 5315 */    MCD_OPC_CheckField, 12, 4, 15, 237, 6, // Skip to: 7094
+/* 5321 */    MCD_OPC_Decode, 194, 19, 173, 2, // Opcode: t2QASX
+/* 5326 */    MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 5351
+/* 5330 */    MCD_OPC_CheckPredicate, 32, 224, 6, // Skip to: 7094
+/* 5334 */    MCD_OPC_CheckField, 20, 1, 0, 218, 6, // Skip to: 7094
+/* 5340 */    MCD_OPC_CheckField, 12, 4, 15, 212, 6, // Skip to: 7094
+/* 5346 */    MCD_OPC_Decode, 228, 19, 173, 2, // Opcode: t2SHASX
+/* 5351 */    MCD_OPC_FilterValue, 4, 21, 0, // Skip to: 5376
+/* 5355 */    MCD_OPC_CheckPredicate, 32, 199, 6, // Skip to: 7094
+/* 5359 */    MCD_OPC_CheckField, 20, 1, 0, 193, 6, // Skip to: 7094
+/* 5365 */    MCD_OPC_CheckField, 12, 4, 15, 187, 6, // Skip to: 7094
+/* 5371 */    MCD_OPC_Decode, 231, 20, 173, 2, // Opcode: t2UASX
+/* 5376 */    MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 5401
+/* 5380 */    MCD_OPC_CheckPredicate, 32, 174, 6, // Skip to: 7094
+/* 5384 */    MCD_OPC_CheckField, 20, 1, 0, 168, 6, // Skip to: 7094
+/* 5390 */    MCD_OPC_CheckField, 12, 4, 15, 162, 6, // Skip to: 7094
+/* 5396 */    MCD_OPC_Decode, 246, 20, 173, 2, // Opcode: t2UQASX
+/* 5401 */    MCD_OPC_FilterValue, 6, 21, 0, // Skip to: 5426
+/* 5405 */    MCD_OPC_CheckPredicate, 32, 149, 6, // Skip to: 7094
+/* 5409 */    MCD_OPC_CheckField, 20, 1, 0, 143, 6, // Skip to: 7094
+/* 5415 */    MCD_OPC_CheckField, 12, 4, 15, 137, 6, // Skip to: 7094
+/* 5421 */    MCD_OPC_Decode, 237, 20, 173, 2, // Opcode: t2UHASX
+/* 5426 */    MCD_OPC_FilterValue, 8, 128, 6, // Skip to: 7094
+/* 5430 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5433 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5452
+/* 5437 */    MCD_OPC_CheckPredicate, 32, 117, 6, // Skip to: 7094
+/* 5441 */    MCD_OPC_CheckField, 12, 4, 15, 111, 6, // Skip to: 7094
+/* 5447 */    MCD_OPC_Decode, 225, 19, 176, 2, // Opcode: t2SEL
+/* 5452 */    MCD_OPC_FilterValue, 1, 102, 6, // Skip to: 7094
+/* 5456 */    MCD_OPC_CheckPredicate, 24, 98, 6, // Skip to: 7094
+/* 5460 */    MCD_OPC_CheckField, 12, 4, 15, 92, 6, // Skip to: 7094
+/* 5466 */    MCD_OPC_Decode, 143, 18, 175, 2, // Opcode: t2CLZ
+/* 5471 */    MCD_OPC_FilterValue, 6, 152, 1, // Skip to: 5883
+/* 5475 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 5478 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 5523
+/* 5482 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5485 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5504
+/* 5489 */    MCD_OPC_CheckPredicate, 32, 65, 6, // Skip to: 7094
+/* 5493 */    MCD_OPC_CheckField, 12, 4, 15, 59, 6, // Skip to: 7094
+/* 5499 */    MCD_OPC_Decode, 149, 20, 173, 2, // Opcode: t2SSUB8
+/* 5504 */    MCD_OPC_FilterValue, 1, 50, 6, // Skip to: 7094
+/* 5508 */    MCD_OPC_CheckPredicate, 32, 46, 6, // Skip to: 7094
+/* 5512 */    MCD_OPC_CheckField, 12, 4, 15, 40, 6, // Skip to: 7094
+/* 5518 */    MCD_OPC_Decode, 148, 20, 173, 2, // Opcode: t2SSUB16
+/* 5523 */    MCD_OPC_FilterValue, 1, 41, 0, // Skip to: 5568
+/* 5527 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5530 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5549
+/* 5534 */    MCD_OPC_CheckPredicate, 32, 20, 6, // Skip to: 7094
+/* 5538 */    MCD_OPC_CheckField, 12, 4, 15, 14, 6, // Skip to: 7094
+/* 5544 */    MCD_OPC_Decode, 200, 19, 173, 2, // Opcode: t2QSUB8
+/* 5549 */    MCD_OPC_FilterValue, 1, 5, 6, // Skip to: 7094
+/* 5553 */    MCD_OPC_CheckPredicate, 32, 1, 6, // Skip to: 7094
+/* 5557 */    MCD_OPC_CheckField, 12, 4, 15, 251, 5, // Skip to: 7094
+/* 5563 */    MCD_OPC_Decode, 199, 19, 173, 2, // Opcode: t2QSUB16
+/* 5568 */    MCD_OPC_FilterValue, 2, 41, 0, // Skip to: 5613
+/* 5572 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5575 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5594
+/* 5579 */    MCD_OPC_CheckPredicate, 32, 231, 5, // Skip to: 7094
+/* 5583 */    MCD_OPC_CheckField, 12, 4, 15, 225, 5, // Skip to: 7094
+/* 5589 */    MCD_OPC_Decode, 231, 19, 173, 2, // Opcode: t2SHSUB8
+/* 5594 */    MCD_OPC_FilterValue, 1, 216, 5, // Skip to: 7094
+/* 5598 */    MCD_OPC_CheckPredicate, 32, 212, 5, // Skip to: 7094
+/* 5602 */    MCD_OPC_CheckField, 12, 4, 15, 206, 5, // Skip to: 7094
+/* 5608 */    MCD_OPC_Decode, 230, 19, 173, 2, // Opcode: t2SHSUB16
+/* 5613 */    MCD_OPC_FilterValue, 4, 41, 0, // Skip to: 5658
+/* 5617 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5620 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5639
+/* 5624 */    MCD_OPC_CheckPredicate, 32, 186, 5, // Skip to: 7094
+/* 5628 */    MCD_OPC_CheckField, 12, 4, 15, 180, 5, // Skip to: 7094
+/* 5634 */    MCD_OPC_Decode, 128, 21, 173, 2, // Opcode: t2USUB8
+/* 5639 */    MCD_OPC_FilterValue, 1, 171, 5, // Skip to: 7094
+/* 5643 */    MCD_OPC_CheckPredicate, 32, 167, 5, // Skip to: 7094
+/* 5647 */    MCD_OPC_CheckField, 12, 4, 15, 161, 5, // Skip to: 7094
+/* 5653 */    MCD_OPC_Decode, 255, 20, 173, 2, // Opcode: t2USUB16
+/* 5658 */    MCD_OPC_FilterValue, 5, 41, 0, // Skip to: 5703
+/* 5662 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5665 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5684
+/* 5669 */    MCD_OPC_CheckPredicate, 32, 141, 5, // Skip to: 7094
+/* 5673 */    MCD_OPC_CheckField, 12, 4, 15, 135, 5, // Skip to: 7094
+/* 5679 */    MCD_OPC_Decode, 249, 20, 173, 2, // Opcode: t2UQSUB8
+/* 5684 */    MCD_OPC_FilterValue, 1, 126, 5, // Skip to: 7094
+/* 5688 */    MCD_OPC_CheckPredicate, 32, 122, 5, // Skip to: 7094
+/* 5692 */    MCD_OPC_CheckField, 12, 4, 15, 116, 5, // Skip to: 7094
+/* 5698 */    MCD_OPC_Decode, 248, 20, 173, 2, // Opcode: t2UQSUB16
+/* 5703 */    MCD_OPC_FilterValue, 6, 41, 0, // Skip to: 5748
+/* 5707 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5710 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5729
+/* 5714 */    MCD_OPC_CheckPredicate, 32, 96, 5, // Skip to: 7094
+/* 5718 */    MCD_OPC_CheckField, 12, 4, 15, 90, 5, // Skip to: 7094
+/* 5724 */    MCD_OPC_Decode, 240, 20, 173, 2, // Opcode: t2UHSUB8
+/* 5729 */    MCD_OPC_FilterValue, 1, 81, 5, // Skip to: 7094
+/* 5733 */    MCD_OPC_CheckPredicate, 32, 77, 5, // Skip to: 7094
+/* 5737 */    MCD_OPC_CheckField, 12, 4, 15, 71, 5, // Skip to: 7094
+/* 5743 */    MCD_OPC_Decode, 239, 20, 173, 2, // Opcode: t2UHSUB16
+/* 5748 */    MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 5793
+/* 5752 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5755 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5774
+/* 5759 */    MCD_OPC_CheckPredicate, 43, 51, 5, // Skip to: 7094
+/* 5763 */    MCD_OPC_CheckField, 12, 4, 15, 45, 5, // Skip to: 7094
+/* 5769 */    MCD_OPC_Decode, 153, 18, 173, 2, // Opcode: t2CRC32B
+/* 5774 */    MCD_OPC_FilterValue, 1, 36, 5, // Skip to: 7094
+/* 5778 */    MCD_OPC_CheckPredicate, 43, 32, 5, // Skip to: 7094
+/* 5782 */    MCD_OPC_CheckField, 12, 4, 15, 26, 5, // Skip to: 7094
+/* 5788 */    MCD_OPC_Decode, 154, 18, 173, 2, // Opcode: t2CRC32CB
+/* 5793 */    MCD_OPC_FilterValue, 9, 41, 0, // Skip to: 5838
+/* 5797 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5800 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5819
+/* 5804 */    MCD_OPC_CheckPredicate, 43, 6, 5, // Skip to: 7094
+/* 5808 */    MCD_OPC_CheckField, 12, 4, 15, 0, 5, // Skip to: 7094
+/* 5814 */    MCD_OPC_Decode, 157, 18, 173, 2, // Opcode: t2CRC32H
+/* 5819 */    MCD_OPC_FilterValue, 1, 247, 4, // Skip to: 7094
+/* 5823 */    MCD_OPC_CheckPredicate, 43, 243, 4, // Skip to: 7094
+/* 5827 */    MCD_OPC_CheckField, 12, 4, 15, 237, 4, // Skip to: 7094
+/* 5833 */    MCD_OPC_Decode, 155, 18, 173, 2, // Opcode: t2CRC32CH
+/* 5838 */    MCD_OPC_FilterValue, 10, 228, 4, // Skip to: 7094
+/* 5842 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5845 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 5864
+/* 5849 */    MCD_OPC_CheckPredicate, 43, 217, 4, // Skip to: 7094
+/* 5853 */    MCD_OPC_CheckField, 12, 4, 15, 211, 4, // Skip to: 7094
+/* 5859 */    MCD_OPC_Decode, 158, 18, 173, 2, // Opcode: t2CRC32W
+/* 5864 */    MCD_OPC_FilterValue, 1, 202, 4, // Skip to: 7094
+/* 5868 */    MCD_OPC_CheckPredicate, 43, 198, 4, // Skip to: 7094
+/* 5872 */    MCD_OPC_CheckField, 12, 4, 15, 192, 4, // Skip to: 7094
+/* 5878 */    MCD_OPC_Decode, 156, 18, 173, 2, // Opcode: t2CRC32CW
+/* 5883 */    MCD_OPC_FilterValue, 7, 183, 4, // Skip to: 7094
+/* 5887 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 5890 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 5915
+/* 5894 */    MCD_OPC_CheckPredicate, 32, 172, 4, // Skip to: 7094
+/* 5898 */    MCD_OPC_CheckField, 20, 1, 0, 166, 4, // Skip to: 7094
+/* 5904 */    MCD_OPC_CheckField, 12, 4, 15, 160, 4, // Skip to: 7094
+/* 5910 */    MCD_OPC_Decode, 147, 20, 173, 2, // Opcode: t2SSAX
+/* 5915 */    MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 5940
+/* 5919 */    MCD_OPC_CheckPredicate, 32, 147, 4, // Skip to: 7094
+/* 5923 */    MCD_OPC_CheckField, 20, 1, 0, 141, 4, // Skip to: 7094
+/* 5929 */    MCD_OPC_CheckField, 12, 4, 15, 135, 4, // Skip to: 7094
+/* 5935 */    MCD_OPC_Decode, 197, 19, 173, 2, // Opcode: t2QSAX
+/* 5940 */    MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 5965
+/* 5944 */    MCD_OPC_CheckPredicate, 32, 122, 4, // Skip to: 7094
+/* 5948 */    MCD_OPC_CheckField, 20, 1, 0, 116, 4, // Skip to: 7094
+/* 5954 */    MCD_OPC_CheckField, 12, 4, 15, 110, 4, // Skip to: 7094
+/* 5960 */    MCD_OPC_Decode, 229, 19, 173, 2, // Opcode: t2SHSAX
+/* 5965 */    MCD_OPC_FilterValue, 4, 21, 0, // Skip to: 5990
+/* 5969 */    MCD_OPC_CheckPredicate, 32, 97, 4, // Skip to: 7094
+/* 5973 */    MCD_OPC_CheckField, 20, 1, 0, 91, 4, // Skip to: 7094
+/* 5979 */    MCD_OPC_CheckField, 12, 4, 15, 85, 4, // Skip to: 7094
+/* 5985 */    MCD_OPC_Decode, 254, 20, 173, 2, // Opcode: t2USAX
+/* 5990 */    MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 6015
+/* 5994 */    MCD_OPC_CheckPredicate, 32, 72, 4, // Skip to: 7094
+/* 5998 */    MCD_OPC_CheckField, 20, 1, 0, 66, 4, // Skip to: 7094
+/* 6004 */    MCD_OPC_CheckField, 12, 4, 15, 60, 4, // Skip to: 7094
+/* 6010 */    MCD_OPC_Decode, 247, 20, 173, 2, // Opcode: t2UQSAX
+/* 6015 */    MCD_OPC_FilterValue, 6, 51, 4, // Skip to: 7094
+/* 6019 */    MCD_OPC_CheckPredicate, 32, 47, 4, // Skip to: 7094
+/* 6023 */    MCD_OPC_CheckField, 20, 1, 0, 41, 4, // Skip to: 7094
+/* 6029 */    MCD_OPC_CheckField, 12, 4, 15, 35, 4, // Skip to: 7094
+/* 6035 */    MCD_OPC_Decode, 238, 20, 173, 2, // Opcode: t2UHSAX
+/* 6040 */    MCD_OPC_FilterValue, 3, 230, 2, // Skip to: 6786
+/* 6044 */    MCD_OPC_ExtractField, 20, 4,  // Inst{23-20} ...
+/* 6047 */    MCD_OPC_FilterValue, 0, 44, 0, // Skip to: 6095
+/* 6051 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6054 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6082
+/* 6058 */    MCD_OPC_CheckPredicate, 24, 11, 0, // Skip to: 6073
+/* 6062 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6073
+/* 6068 */    MCD_OPC_Decode, 167, 19, 173, 2, // Opcode: t2MUL
+/* 6073 */    MCD_OPC_CheckPredicate, 24, 249, 3, // Skip to: 7094
+/* 6077 */    MCD_OPC_Decode, 132, 19, 177, 2, // Opcode: t2MLA
+/* 6082 */    MCD_OPC_FilterValue, 1, 240, 3, // Skip to: 7094
+/* 6086 */    MCD_OPC_CheckPredicate, 24, 236, 3, // Skip to: 7094
+/* 6090 */    MCD_OPC_Decode, 133, 19, 177, 2, // Opcode: t2MLS
+/* 6095 */    MCD_OPC_FilterValue, 1, 115, 0, // Skip to: 6214
+/* 6099 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6102 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6130
+/* 6106 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6121
+/* 6110 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6121
+/* 6116 */    MCD_OPC_Decode, 132, 20, 173, 2, // Opcode: t2SMULBB
+/* 6121 */    MCD_OPC_CheckPredicate, 32, 201, 3, // Skip to: 7094
+/* 6125 */    MCD_OPC_Decode, 233, 19, 177, 2, // Opcode: t2SMLABB
+/* 6130 */    MCD_OPC_FilterValue, 1, 24, 0, // Skip to: 6158
+/* 6134 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6149
+/* 6138 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6149
+/* 6144 */    MCD_OPC_Decode, 133, 20, 173, 2, // Opcode: t2SMULBT
+/* 6149 */    MCD_OPC_CheckPredicate, 32, 173, 3, // Skip to: 7094
+/* 6153 */    MCD_OPC_Decode, 234, 19, 177, 2, // Opcode: t2SMLABT
+/* 6158 */    MCD_OPC_FilterValue, 2, 24, 0, // Skip to: 6186
+/* 6162 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6177
+/* 6166 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6177
+/* 6172 */    MCD_OPC_Decode, 135, 20, 173, 2, // Opcode: t2SMULTB
+/* 6177 */    MCD_OPC_CheckPredicate, 32, 145, 3, // Skip to: 7094
+/* 6181 */    MCD_OPC_Decode, 244, 19, 177, 2, // Opcode: t2SMLATB
+/* 6186 */    MCD_OPC_FilterValue, 3, 136, 3, // Skip to: 7094
+/* 6190 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6205
+/* 6194 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6205
+/* 6200 */    MCD_OPC_Decode, 136, 20, 173, 2, // Opcode: t2SMULTT
+/* 6205 */    MCD_OPC_CheckPredicate, 32, 117, 3, // Skip to: 7094
+/* 6209 */    MCD_OPC_Decode, 245, 19, 177, 2, // Opcode: t2SMLATT
+/* 6214 */    MCD_OPC_FilterValue, 2, 59, 0, // Skip to: 6277
+/* 6218 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6221 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6249
+/* 6225 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6240
+/* 6229 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6240
+/* 6235 */    MCD_OPC_Decode, 130, 20, 173, 2, // Opcode: t2SMUAD
+/* 6240 */    MCD_OPC_CheckPredicate, 32, 82, 3, // Skip to: 7094
+/* 6244 */    MCD_OPC_Decode, 235, 19, 177, 2, // Opcode: t2SMLAD
+/* 6249 */    MCD_OPC_FilterValue, 1, 73, 3, // Skip to: 7094
+/* 6253 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6268
+/* 6257 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6268
+/* 6263 */    MCD_OPC_Decode, 131, 20, 173, 2, // Opcode: t2SMUADX
+/* 6268 */    MCD_OPC_CheckPredicate, 32, 54, 3, // Skip to: 7094
+/* 6272 */    MCD_OPC_Decode, 236, 19, 177, 2, // Opcode: t2SMLADX
+/* 6277 */    MCD_OPC_FilterValue, 3, 59, 0, // Skip to: 6340
+/* 6281 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6284 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6312
+/* 6288 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6303
+/* 6292 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6303
+/* 6298 */    MCD_OPC_Decode, 137, 20, 173, 2, // Opcode: t2SMULWB
+/* 6303 */    MCD_OPC_CheckPredicate, 32, 19, 3, // Skip to: 7094
+/* 6307 */    MCD_OPC_Decode, 246, 19, 177, 2, // Opcode: t2SMLAWB
+/* 6312 */    MCD_OPC_FilterValue, 1, 10, 3, // Skip to: 7094
+/* 6316 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6331
+/* 6320 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6331
+/* 6326 */    MCD_OPC_Decode, 138, 20, 173, 2, // Opcode: t2SMULWT
+/* 6331 */    MCD_OPC_CheckPredicate, 32, 247, 2, // Skip to: 7094
+/* 6335 */    MCD_OPC_Decode, 247, 19, 177, 2, // Opcode: t2SMLAWT
+/* 6340 */    MCD_OPC_FilterValue, 4, 59, 0, // Skip to: 6403
+/* 6344 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6347 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6375
+/* 6351 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6366
+/* 6355 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6366
+/* 6361 */    MCD_OPC_Decode, 139, 20, 173, 2, // Opcode: t2SMUSD
+/* 6366 */    MCD_OPC_CheckPredicate, 32, 212, 2, // Skip to: 7094
+/* 6370 */    MCD_OPC_Decode, 248, 19, 177, 2, // Opcode: t2SMLSD
+/* 6375 */    MCD_OPC_FilterValue, 1, 203, 2, // Skip to: 7094
+/* 6379 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6394
+/* 6383 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6394
+/* 6389 */    MCD_OPC_Decode, 140, 20, 173, 2, // Opcode: t2SMUSDX
+/* 6394 */    MCD_OPC_CheckPredicate, 32, 184, 2, // Skip to: 7094
+/* 6398 */    MCD_OPC_Decode, 249, 19, 177, 2, // Opcode: t2SMLSDX
+/* 6403 */    MCD_OPC_FilterValue, 5, 59, 0, // Skip to: 6466
+/* 6407 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6410 */    MCD_OPC_FilterValue, 0, 24, 0, // Skip to: 6438
+/* 6414 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6429
+/* 6418 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6429
+/* 6424 */    MCD_OPC_Decode, 128, 20, 173, 2, // Opcode: t2SMMUL
+/* 6429 */    MCD_OPC_CheckPredicate, 32, 149, 2, // Skip to: 7094
+/* 6433 */    MCD_OPC_Decode, 252, 19, 177, 2, // Opcode: t2SMMLA
+/* 6438 */    MCD_OPC_FilterValue, 1, 140, 2, // Skip to: 7094
+/* 6442 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6457
+/* 6446 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6457
+/* 6452 */    MCD_OPC_Decode, 129, 20, 173, 2, // Opcode: t2SMMULR
+/* 6457 */    MCD_OPC_CheckPredicate, 32, 121, 2, // Skip to: 7094
+/* 6461 */    MCD_OPC_Decode, 253, 19, 177, 2, // Opcode: t2SMMLAR
+/* 6466 */    MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 6499
+/* 6470 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6473 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6486
+/* 6477 */    MCD_OPC_CheckPredicate, 32, 101, 2, // Skip to: 7094
+/* 6481 */    MCD_OPC_Decode, 254, 19, 177, 2, // Opcode: t2SMMLS
+/* 6486 */    MCD_OPC_FilterValue, 1, 92, 2, // Skip to: 7094
+/* 6490 */    MCD_OPC_CheckPredicate, 32, 88, 2, // Skip to: 7094
+/* 6494 */    MCD_OPC_Decode, 255, 19, 177, 2, // Opcode: t2SMMLSR
+/* 6499 */    MCD_OPC_FilterValue, 7, 31, 0, // Skip to: 6534
+/* 6503 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6506 */    MCD_OPC_FilterValue, 0, 72, 2, // Skip to: 7094
+/* 6510 */    MCD_OPC_CheckPredicate, 32, 11, 0, // Skip to: 6525
+/* 6514 */    MCD_OPC_CheckField, 12, 4, 15, 5, 0, // Skip to: 6525
+/* 6520 */    MCD_OPC_Decode, 250, 20, 173, 2, // Opcode: t2USAD8
+/* 6525 */    MCD_OPC_CheckPredicate, 32, 53, 2, // Skip to: 7094
+/* 6529 */    MCD_OPC_Decode, 251, 20, 177, 2, // Opcode: t2USADA8
+/* 6534 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 6553
+/* 6538 */    MCD_OPC_CheckPredicate, 24, 40, 2, // Skip to: 7094
+/* 6542 */    MCD_OPC_CheckField, 4, 4, 0, 34, 2, // Skip to: 7094
+/* 6548 */    MCD_OPC_Decode, 134, 20, 178, 2, // Opcode: t2SMULL
+/* 6553 */    MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 6578
+/* 6557 */    MCD_OPC_CheckPredicate, 44, 21, 2, // Skip to: 7094
+/* 6561 */    MCD_OPC_CheckField, 12, 4, 15, 15, 2, // Skip to: 7094
+/* 6567 */    MCD_OPC_CheckField, 4, 4, 15, 9, 2, // Skip to: 7094
+/* 6573 */    MCD_OPC_Decode, 224, 19, 173, 2, // Opcode: t2SDIV
+/* 6578 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 6597
+/* 6582 */    MCD_OPC_CheckPredicate, 24, 252, 1, // Skip to: 7094
+/* 6586 */    MCD_OPC_CheckField, 4, 4, 0, 246, 1, // Skip to: 7094
+/* 6592 */    MCD_OPC_Decode, 243, 20, 178, 2, // Opcode: t2UMULL
+/* 6597 */    MCD_OPC_FilterValue, 11, 21, 0, // Skip to: 6622
+/* 6601 */    MCD_OPC_CheckPredicate, 44, 233, 1, // Skip to: 7094
+/* 6605 */    MCD_OPC_CheckField, 12, 4, 15, 227, 1, // Skip to: 7094
+/* 6611 */    MCD_OPC_CheckField, 4, 4, 15, 221, 1, // Skip to: 7094
+/* 6617 */    MCD_OPC_Decode, 234, 20, 173, 2, // Opcode: t2UDIV
+/* 6622 */    MCD_OPC_FilterValue, 12, 94, 0, // Skip to: 6720
+/* 6626 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6629 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6642
+/* 6633 */    MCD_OPC_CheckPredicate, 24, 201, 1, // Skip to: 7094
+/* 6637 */    MCD_OPC_Decode, 237, 19, 179, 2, // Opcode: t2SMLAL
+/* 6642 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 6655
+/* 6646 */    MCD_OPC_CheckPredicate, 32, 188, 1, // Skip to: 7094
+/* 6650 */    MCD_OPC_Decode, 238, 19, 178, 2, // Opcode: t2SMLALBB
+/* 6655 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 6668
+/* 6659 */    MCD_OPC_CheckPredicate, 32, 175, 1, // Skip to: 7094
+/* 6663 */    MCD_OPC_Decode, 239, 19, 178, 2, // Opcode: t2SMLALBT
+/* 6668 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 6681
+/* 6672 */    MCD_OPC_CheckPredicate, 32, 162, 1, // Skip to: 7094
+/* 6676 */    MCD_OPC_Decode, 242, 19, 178, 2, // Opcode: t2SMLALTB
+/* 6681 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 6694
+/* 6685 */    MCD_OPC_CheckPredicate, 32, 149, 1, // Skip to: 7094
+/* 6689 */    MCD_OPC_Decode, 243, 19, 178, 2, // Opcode: t2SMLALTT
+/* 6694 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 6707
+/* 6698 */    MCD_OPC_CheckPredicate, 32, 136, 1, // Skip to: 7094
+/* 6702 */    MCD_OPC_Decode, 240, 19, 178, 2, // Opcode: t2SMLALD
+/* 6707 */    MCD_OPC_FilterValue, 13, 127, 1, // Skip to: 7094
+/* 6711 */    MCD_OPC_CheckPredicate, 32, 123, 1, // Skip to: 7094
+/* 6715 */    MCD_OPC_Decode, 241, 19, 178, 2, // Opcode: t2SMLALDX
+/* 6720 */    MCD_OPC_FilterValue, 13, 29, 0, // Skip to: 6753
+/* 6724 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6727 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 6740
+/* 6731 */    MCD_OPC_CheckPredicate, 32, 103, 1, // Skip to: 7094
+/* 6735 */    MCD_OPC_Decode, 250, 19, 178, 2, // Opcode: t2SMLSLD
+/* 6740 */    MCD_OPC_FilterValue, 13, 94, 1, // Skip to: 7094
+/* 6744 */    MCD_OPC_CheckPredicate, 32, 90, 1, // Skip to: 7094
+/* 6748 */    MCD_OPC_Decode, 251, 19, 180, 2, // Opcode: t2SMLSLDX
+/* 6753 */    MCD_OPC_FilterValue, 14, 81, 1, // Skip to: 7094
+/* 6757 */    MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
+/* 6760 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6773
+/* 6764 */    MCD_OPC_CheckPredicate, 24, 70, 1, // Skip to: 7094
+/* 6768 */    MCD_OPC_Decode, 242, 20, 179, 2, // Opcode: t2UMLAL
+/* 6773 */    MCD_OPC_FilterValue, 6, 61, 1, // Skip to: 7094
+/* 6777 */    MCD_OPC_CheckPredicate, 32, 57, 1, // Skip to: 7094
+/* 6781 */    MCD_OPC_Decode, 241, 20, 178, 2, // Opcode: t2UMAAL
+/* 6786 */    MCD_OPC_FilterValue, 4, 151, 0, // Skip to: 6941
+/* 6790 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 6793 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 6811
+/* 6797 */    MCD_OPC_CheckPredicate, 45, 37, 1, // Skip to: 7094
+/* 6801 */    MCD_OPC_CheckField, 23, 1, 1, 31, 1, // Skip to: 7094
+/* 6807 */    MCD_OPC_Decode, 155, 20, 86, // Opcode: t2STC2_OPTION
+/* 6811 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 6829
+/* 6815 */    MCD_OPC_CheckPredicate, 45, 19, 1, // Skip to: 7094
+/* 6819 */    MCD_OPC_CheckField, 23, 1, 1, 13, 1, // Skip to: 7094
+/* 6825 */    MCD_OPC_Decode, 186, 18, 86, // Opcode: t2LDC2_OPTION
+/* 6829 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6841
+/* 6833 */    MCD_OPC_CheckPredicate, 45, 1, 1, // Skip to: 7094
+/* 6837 */    MCD_OPC_Decode, 156, 20, 86, // Opcode: t2STC2_POST
+/* 6841 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6853
+/* 6845 */    MCD_OPC_CheckPredicate, 45, 245, 0, // Skip to: 7094
+/* 6849 */    MCD_OPC_Decode, 187, 18, 86, // Opcode: t2LDC2_POST
+/* 6853 */    MCD_OPC_FilterValue, 4, 28, 0, // Skip to: 6885
+/* 6857 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 6860 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6873
+/* 6864 */    MCD_OPC_CheckPredicate, 31, 226, 0, // Skip to: 7094
+/* 6868 */    MCD_OPC_Decode, 131, 19, 132, 2, // Opcode: t2MCRR2
+/* 6873 */    MCD_OPC_FilterValue, 1, 217, 0, // Skip to: 7094
+/* 6877 */    MCD_OPC_CheckPredicate, 45, 213, 0, // Skip to: 7094
+/* 6881 */    MCD_OPC_Decode, 151, 20, 86, // Opcode: t2STC2L_OPTION
+/* 6885 */    MCD_OPC_FilterValue, 5, 28, 0, // Skip to: 6917
+/* 6889 */    MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
+/* 6892 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6905
+/* 6896 */    MCD_OPC_CheckPredicate, 31, 194, 0, // Skip to: 7094
+/* 6900 */    MCD_OPC_Decode, 159, 19, 132, 2, // Opcode: t2MRRC2
+/* 6905 */    MCD_OPC_FilterValue, 1, 185, 0, // Skip to: 7094
+/* 6909 */    MCD_OPC_CheckPredicate, 45, 181, 0, // Skip to: 7094
+/* 6913 */    MCD_OPC_Decode, 182, 18, 86, // Opcode: t2LDC2L_OPTION
+/* 6917 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 6929
+/* 6921 */    MCD_OPC_CheckPredicate, 45, 169, 0, // Skip to: 7094
+/* 6925 */    MCD_OPC_Decode, 152, 20, 86, // Opcode: t2STC2L_POST
+/* 6929 */    MCD_OPC_FilterValue, 7, 161, 0, // Skip to: 7094
+/* 6933 */    MCD_OPC_CheckPredicate, 45, 157, 0, // Skip to: 7094
+/* 6937 */    MCD_OPC_Decode, 183, 18, 86, // Opcode: t2LDC2L_POST
+/* 6941 */    MCD_OPC_FilterValue, 5, 99, 0, // Skip to: 7044
+/* 6945 */    MCD_OPC_ExtractField, 20, 3,  // Inst{22-20} ...
+/* 6948 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6960
+/* 6952 */    MCD_OPC_CheckPredicate, 45, 138, 0, // Skip to: 7094
+/* 6956 */    MCD_OPC_Decode, 154, 20, 86, // Opcode: t2STC2_OFFSET
+/* 6960 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6972
+/* 6964 */    MCD_OPC_CheckPredicate, 45, 126, 0, // Skip to: 7094
+/* 6968 */    MCD_OPC_Decode, 185, 18, 86, // Opcode: t2LDC2_OFFSET
+/* 6972 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6984
+/* 6976 */    MCD_OPC_CheckPredicate, 45, 114, 0, // Skip to: 7094
+/* 6980 */    MCD_OPC_Decode, 157, 20, 86, // Opcode: t2STC2_PRE
+/* 6984 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6996
+/* 6988 */    MCD_OPC_CheckPredicate, 45, 102, 0, // Skip to: 7094
+/* 6992 */    MCD_OPC_Decode, 188, 18, 86, // Opcode: t2LDC2_PRE
+/* 6996 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 7008
+/* 7000 */    MCD_OPC_CheckPredicate, 45, 90, 0, // Skip to: 7094
+/* 7004 */    MCD_OPC_Decode, 150, 20, 86, // Opcode: t2STC2L_OFFSET
+/* 7008 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 7020
+/* 7012 */    MCD_OPC_CheckPredicate, 45, 78, 0, // Skip to: 7094
+/* 7016 */    MCD_OPC_Decode, 181, 18, 86, // Opcode: t2LDC2L_OFFSET
+/* 7020 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 7032
+/* 7024 */    MCD_OPC_CheckPredicate, 45, 66, 0, // Skip to: 7094
+/* 7028 */    MCD_OPC_Decode, 153, 20, 86, // Opcode: t2STC2L_PRE
+/* 7032 */    MCD_OPC_FilterValue, 7, 58, 0, // Skip to: 7094
+/* 7036 */    MCD_OPC_CheckPredicate, 45, 54, 0, // Skip to: 7094
+/* 7040 */    MCD_OPC_Decode, 184, 18, 86, // Opcode: t2LDC2L_PRE
+/* 7044 */    MCD_OPC_FilterValue, 6, 46, 0, // Skip to: 7094
+/* 7048 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 7051 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7063
+/* 7055 */    MCD_OPC_CheckPredicate, 31, 35, 0, // Skip to: 7094
+/* 7059 */    MCD_OPC_Decode, 141, 18, 89, // Opcode: t2CDP2
+/* 7063 */    MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 7094
+/* 7067 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 7070 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7082
+/* 7074 */    MCD_OPC_CheckPredicate, 31, 16, 0, // Skip to: 7094
+/* 7078 */    MCD_OPC_Decode, 129, 19, 91, // Opcode: t2MCR2
+/* 7082 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7094
+/* 7086 */    MCD_OPC_CheckPredicate, 31, 4, 0, // Skip to: 7094
+/* 7090 */    MCD_OPC_Decode, 157, 19, 93, // Opcode: t2MRC2
+/* 7094 */    MCD_OPC_Fail,
   0
 };
 
 static const uint8_t DecoderTableThumbSBit16[] = {
 /* 0 */       MCD_OPC_ExtractField, 11, 5,  // Inst{15-11} ...
 /* 3 */       MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 16
-/* 7 */       MCD_OPC_CheckPredicate, 19, 49, 1, // Skip to: 316
-/* 11 */      MCD_OPC_Decode, 183, 21, 177, 2, // Opcode: tLSLri
+/* 7 */       MCD_OPC_CheckPredicate, 21, 49, 1, // Skip to: 316
+/* 11 */      MCD_OPC_Decode, 194, 21, 181, 2, // Opcode: tLSLri
 /* 16 */      MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 29
-/* 20 */      MCD_OPC_CheckPredicate, 19, 36, 1, // Skip to: 316
-/* 24 */      MCD_OPC_Decode, 185, 21, 177, 2, // Opcode: tLSRri
+/* 20 */      MCD_OPC_CheckPredicate, 21, 36, 1, // Skip to: 316
+/* 24 */      MCD_OPC_Decode, 196, 21, 181, 2, // Opcode: tLSRri
 /* 29 */      MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 42
-/* 33 */      MCD_OPC_CheckPredicate, 19, 23, 1, // Skip to: 316
-/* 37 */      MCD_OPC_Decode, 138, 21, 177, 2, // Opcode: tASRri
+/* 33 */      MCD_OPC_CheckPredicate, 21, 23, 1, // Skip to: 316
+/* 37 */      MCD_OPC_Decode, 149, 21, 181, 2, // Opcode: tASRri
 /* 42 */      MCD_OPC_FilterValue, 3, 55, 0, // Skip to: 101
 /* 46 */      MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
 /* 49 */      MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 62
-/* 53 */      MCD_OPC_CheckPredicate, 19, 3, 1, // Skip to: 316
-/* 57 */      MCD_OPC_Decode, 131, 21, 178, 2, // Opcode: tADDrr
+/* 53 */      MCD_OPC_CheckPredicate, 21, 3, 1, // Skip to: 316
+/* 57 */      MCD_OPC_Decode, 142, 21, 182, 2, // Opcode: tADDrr
 /* 62 */      MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 75
-/* 66 */      MCD_OPC_CheckPredicate, 19, 246, 0, // Skip to: 316
-/* 70 */      MCD_OPC_Decode, 215, 21, 178, 2, // Opcode: tSUBrr
+/* 66 */      MCD_OPC_CheckPredicate, 21, 246, 0, // Skip to: 316
+/* 70 */      MCD_OPC_Decode, 226, 21, 182, 2, // Opcode: tSUBrr
 /* 75 */      MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 88
-/* 79 */      MCD_OPC_CheckPredicate, 19, 233, 0, // Skip to: 316
-/* 83 */      MCD_OPC_Decode, 255, 20, 179, 2, // Opcode: tADDi3
+/* 79 */      MCD_OPC_CheckPredicate, 21, 233, 0, // Skip to: 316
+/* 83 */      MCD_OPC_Decode, 138, 21, 183, 2, // Opcode: tADDi3
 /* 88 */      MCD_OPC_FilterValue, 3, 224, 0, // Skip to: 316
-/* 92 */      MCD_OPC_CheckPredicate, 19, 220, 0, // Skip to: 316
-/* 96 */      MCD_OPC_Decode, 213, 21, 179, 2, // Opcode: tSUBi3
+/* 92 */      MCD_OPC_CheckPredicate, 21, 220, 0, // Skip to: 316
+/* 96 */      MCD_OPC_Decode, 224, 21, 183, 2, // Opcode: tSUBi3
 /* 101 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 114
-/* 105 */     MCD_OPC_CheckPredicate, 19, 207, 0, // Skip to: 316
-/* 109 */     MCD_OPC_Decode, 189, 21, 205, 1, // Opcode: tMOVi8
+/* 105 */     MCD_OPC_CheckPredicate, 21, 207, 0, // Skip to: 316
+/* 109 */     MCD_OPC_Decode, 200, 21, 207, 1, // Opcode: tMOVi8
 /* 114 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 127
-/* 118 */     MCD_OPC_CheckPredicate, 19, 194, 0, // Skip to: 316
-/* 122 */     MCD_OPC_Decode, 128, 21, 180, 2, // Opcode: tADDi8
+/* 118 */     MCD_OPC_CheckPredicate, 21, 194, 0, // Skip to: 316
+/* 122 */     MCD_OPC_Decode, 139, 21, 184, 2, // Opcode: tADDi8
 /* 127 */     MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 140
-/* 131 */     MCD_OPC_CheckPredicate, 19, 181, 0, // Skip to: 316
-/* 135 */     MCD_OPC_Decode, 214, 21, 180, 2, // Opcode: tSUBi8
+/* 131 */     MCD_OPC_CheckPredicate, 21, 181, 0, // Skip to: 316
+/* 135 */     MCD_OPC_Decode, 225, 21, 184, 2, // Opcode: tSUBi8
 /* 140 */     MCD_OPC_FilterValue, 8, 172, 0, // Skip to: 316
 /* 144 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 147 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 160
-/* 151 */     MCD_OPC_CheckPredicate, 19, 161, 0, // Skip to: 316
-/* 155 */     MCD_OPC_Decode, 137, 21, 181, 2, // Opcode: tAND
+/* 151 */     MCD_OPC_CheckPredicate, 21, 161, 0, // Skip to: 316
+/* 155 */     MCD_OPC_Decode, 148, 21, 185, 2, // Opcode: tAND
 /* 160 */     MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 173
-/* 164 */     MCD_OPC_CheckPredicate, 19, 148, 0, // Skip to: 316
-/* 168 */     MCD_OPC_Decode, 161, 21, 181, 2, // Opcode: tEOR
+/* 164 */     MCD_OPC_CheckPredicate, 21, 148, 0, // Skip to: 316
+/* 168 */     MCD_OPC_Decode, 172, 21, 185, 2, // Opcode: tEOR
 /* 173 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 186
-/* 177 */     MCD_OPC_CheckPredicate, 19, 135, 0, // Skip to: 316
-/* 181 */     MCD_OPC_Decode, 184, 21, 181, 2, // Opcode: tLSLrr
+/* 177 */     MCD_OPC_CheckPredicate, 21, 135, 0, // Skip to: 316
+/* 181 */     MCD_OPC_Decode, 195, 21, 185, 2, // Opcode: tLSLrr
 /* 186 */     MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 199
-/* 190 */     MCD_OPC_CheckPredicate, 19, 122, 0, // Skip to: 316
-/* 194 */     MCD_OPC_Decode, 186, 21, 181, 2, // Opcode: tLSRrr
+/* 190 */     MCD_OPC_CheckPredicate, 21, 122, 0, // Skip to: 316
+/* 194 */     MCD_OPC_Decode, 197, 21, 185, 2, // Opcode: tLSRrr
 /* 199 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 212
-/* 203 */     MCD_OPC_CheckPredicate, 19, 109, 0, // Skip to: 316
-/* 207 */     MCD_OPC_Decode, 139, 21, 181, 2, // Opcode: tASRrr
+/* 203 */     MCD_OPC_CheckPredicate, 21, 109, 0, // Skip to: 316
+/* 207 */     MCD_OPC_Decode, 150, 21, 185, 2, // Opcode: tASRrr
 /* 212 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 225
-/* 216 */     MCD_OPC_CheckPredicate, 19, 96, 0, // Skip to: 316
-/* 220 */     MCD_OPC_Decode, 253, 20, 181, 2, // Opcode: tADC
+/* 216 */     MCD_OPC_CheckPredicate, 21, 96, 0, // Skip to: 316
+/* 220 */     MCD_OPC_Decode, 135, 21, 185, 2, // Opcode: tADC
 /* 225 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 238
-/* 229 */     MCD_OPC_CheckPredicate, 19, 83, 0, // Skip to: 316
-/* 233 */     MCD_OPC_Decode, 203, 21, 181, 2, // Opcode: tSBC
+/* 229 */     MCD_OPC_CheckPredicate, 21, 83, 0, // Skip to: 316
+/* 233 */     MCD_OPC_Decode, 214, 21, 185, 2, // Opcode: tSBC
 /* 238 */     MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 251
-/* 242 */     MCD_OPC_CheckPredicate, 19, 70, 0, // Skip to: 316
-/* 246 */     MCD_OPC_Decode, 201, 21, 181, 2, // Opcode: tROR
+/* 242 */     MCD_OPC_CheckPredicate, 21, 70, 0, // Skip to: 316
+/* 246 */     MCD_OPC_Decode, 212, 21, 185, 2, // Opcode: tROR
 /* 251 */     MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 264
-/* 255 */     MCD_OPC_CheckPredicate, 19, 57, 0, // Skip to: 316
-/* 259 */     MCD_OPC_Decode, 202, 21, 204, 1, // Opcode: tRSB
+/* 255 */     MCD_OPC_CheckPredicate, 21, 57, 0, // Skip to: 316
+/* 259 */     MCD_OPC_Decode, 213, 21, 206, 1, // Opcode: tRSB
 /* 264 */     MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 277
-/* 268 */     MCD_OPC_CheckPredicate, 19, 44, 0, // Skip to: 316
-/* 272 */     MCD_OPC_Decode, 193, 21, 181, 2, // Opcode: tORR
+/* 268 */     MCD_OPC_CheckPredicate, 21, 44, 0, // Skip to: 316
+/* 272 */     MCD_OPC_Decode, 204, 21, 185, 2, // Opcode: tORR
 /* 277 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 290
-/* 281 */     MCD_OPC_CheckPredicate, 19, 31, 0, // Skip to: 316
-/* 285 */     MCD_OPC_Decode, 191, 21, 182, 2, // Opcode: tMUL
+/* 281 */     MCD_OPC_CheckPredicate, 21, 31, 0, // Skip to: 316
+/* 285 */     MCD_OPC_Decode, 202, 21, 186, 2, // Opcode: tMUL
 /* 290 */     MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 303
-/* 294 */     MCD_OPC_CheckPredicate, 19, 18, 0, // Skip to: 316
-/* 298 */     MCD_OPC_Decode, 141, 21, 181, 2, // Opcode: tBIC
+/* 294 */     MCD_OPC_CheckPredicate, 21, 18, 0, // Skip to: 316
+/* 298 */     MCD_OPC_Decode, 152, 21, 185, 2, // Opcode: tBIC
 /* 303 */     MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 316
-/* 307 */     MCD_OPC_CheckPredicate, 19, 5, 0, // Skip to: 316
-/* 311 */     MCD_OPC_Decode, 192, 21, 204, 1, // Opcode: tMVN
+/* 307 */     MCD_OPC_CheckPredicate, 21, 5, 0, // Skip to: 316
+/* 311 */     MCD_OPC_Decode, 203, 21, 206, 1, // Opcode: tMVN
 /* 316 */     MCD_OPC_Fail,
   0
 };
@@ -8815,39 +8853,39 @@ static const uint8_t DecoderTableVFP32[]
 /* 17 */      MCD_OPC_FilterValue, 10, 47, 0, // Skip to: 68
 /* 21 */      MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 24 */      MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 55
-/* 28 */      MCD_OPC_CheckPredicate, 41, 211, 10, // Skip to: 2803
+/* 28 */      MCD_OPC_CheckPredicate, 20, 211, 10, // Skip to: 2803
 /* 32 */      MCD_OPC_CheckField, 22, 1, 1, 205, 10, // Skip to: 2803
 /* 38 */      MCD_OPC_CheckField, 6, 2, 0, 199, 10, // Skip to: 2803
 /* 44 */      MCD_OPC_CheckField, 4, 1, 1, 193, 10, // Skip to: 2803
-/* 50 */      MCD_OPC_Decode, 210, 10, 183, 2, // Opcode: VMOVSRR
+/* 50 */      MCD_OPC_Decode, 217, 10, 187, 2, // Opcode: VMOVSRR
 /* 55 */      MCD_OPC_FilterValue, 1, 184, 10, // Skip to: 2803
-/* 59 */      MCD_OPC_CheckPredicate, 41, 180, 10, // Skip to: 2803
-/* 63 */      MCD_OPC_Decode, 129, 17, 184, 2, // Opcode: VSTMSIA
+/* 59 */      MCD_OPC_CheckPredicate, 20, 180, 10, // Skip to: 2803
+/* 63 */      MCD_OPC_Decode, 136, 17, 188, 2, // Opcode: VSTMSIA
 /* 68 */      MCD_OPC_FilterValue, 11, 171, 10, // Skip to: 2803
 /* 72 */      MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 75 */      MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 106
-/* 79 */      MCD_OPC_CheckPredicate, 41, 160, 10, // Skip to: 2803
+/* 79 */      MCD_OPC_CheckPredicate, 20, 160, 10, // Skip to: 2803
 /* 83 */      MCD_OPC_CheckField, 22, 1, 1, 154, 10, // Skip to: 2803
 /* 89 */      MCD_OPC_CheckField, 6, 2, 0, 148, 10, // Skip to: 2803
 /* 95 */      MCD_OPC_CheckField, 4, 1, 1, 142, 10, // Skip to: 2803
-/* 101 */     MCD_OPC_Decode, 193, 10, 185, 2, // Opcode: VMOVDRR
+/* 101 */     MCD_OPC_Decode, 200, 10, 189, 2, // Opcode: VMOVDRR
 /* 106 */     MCD_OPC_FilterValue, 1, 133, 10, // Skip to: 2803
 /* 110 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 113 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 126
-/* 117 */     MCD_OPC_CheckPredicate, 41, 122, 10, // Skip to: 2803
-/* 121 */     MCD_OPC_Decode, 253, 16, 186, 2, // Opcode: VSTMDIA
+/* 117 */     MCD_OPC_CheckPredicate, 20, 122, 10, // Skip to: 2803
+/* 121 */     MCD_OPC_Decode, 132, 17, 190, 2, // Opcode: VSTMDIA
 /* 126 */     MCD_OPC_FilterValue, 1, 113, 10, // Skip to: 2803
-/* 130 */     MCD_OPC_CheckPredicate, 41, 109, 10, // Skip to: 2803
+/* 130 */     MCD_OPC_CheckPredicate, 20, 109, 10, // Skip to: 2803
 /* 134 */     MCD_OPC_CheckField, 22, 1, 0, 103, 10, // Skip to: 2803
-/* 140 */     MCD_OPC_Decode, 109, 187, 2, // Opcode: FSTMXIA
+/* 140 */     MCD_OPC_Decode, 112, 191, 2, // Opcode: FSTMXIA
 /* 144 */     MCD_OPC_FilterValue, 13, 29, 0, // Skip to: 177
 /* 148 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 151 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 164
-/* 155 */     MCD_OPC_CheckPredicate, 41, 84, 10, // Skip to: 2803
-/* 159 */     MCD_OPC_Decode, 132, 17, 188, 2, // Opcode: VSTRS
+/* 155 */     MCD_OPC_CheckPredicate, 20, 84, 10, // Skip to: 2803
+/* 159 */     MCD_OPC_Decode, 139, 17, 192, 2, // Opcode: VSTRS
 /* 164 */     MCD_OPC_FilterValue, 11, 75, 10, // Skip to: 2803
-/* 168 */     MCD_OPC_CheckPredicate, 41, 71, 10, // Skip to: 2803
-/* 172 */     MCD_OPC_Decode, 131, 17, 189, 2, // Opcode: VSTRD
+/* 168 */     MCD_OPC_CheckPredicate, 20, 71, 10, // Skip to: 2803
+/* 172 */     MCD_OPC_Decode, 138, 17, 193, 2, // Opcode: VSTRD
 /* 177 */     MCD_OPC_FilterValue, 14, 62, 10, // Skip to: 2803
 /* 181 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 184 */     MCD_OPC_FilterValue, 0, 121, 0, // Skip to: 309
@@ -8857,36 +8895,36 @@ static const uint8_t DecoderTableVFP32[]
 /* 198 */     MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 231
 /* 202 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 205 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 218
-/* 209 */     MCD_OPC_CheckPredicate, 41, 30, 10, // Skip to: 2803
-/* 213 */     MCD_OPC_Decode, 150, 10, 190, 2, // Opcode: VMLAS
+/* 209 */     MCD_OPC_CheckPredicate, 20, 30, 10, // Skip to: 2803
+/* 213 */     MCD_OPC_Decode, 157, 10, 194, 2, // Opcode: VMLAS
 /* 218 */     MCD_OPC_FilterValue, 1, 21, 10, // Skip to: 2803
-/* 222 */     MCD_OPC_CheckPredicate, 41, 17, 10, // Skip to: 2803
-/* 226 */     MCD_OPC_Decode, 129, 6, 191, 2, // Opcode: VDIVS
+/* 222 */     MCD_OPC_CheckPredicate, 20, 17, 10, // Skip to: 2803
+/* 226 */     MCD_OPC_Decode, 136, 6, 195, 2, // Opcode: VDIVS
 /* 231 */     MCD_OPC_FilterValue, 11, 8, 10, // Skip to: 2803
 /* 235 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 238 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 251
-/* 242 */     MCD_OPC_CheckPredicate, 42, 253, 9, // Skip to: 2803
-/* 246 */     MCD_OPC_Decode, 139, 10, 192, 2, // Opcode: VMLAD
+/* 242 */     MCD_OPC_CheckPredicate, 46, 253, 9, // Skip to: 2803
+/* 246 */     MCD_OPC_Decode, 146, 10, 196, 2, // Opcode: VMLAD
 /* 251 */     MCD_OPC_FilterValue, 1, 244, 9, // Skip to: 2803
-/* 255 */     MCD_OPC_CheckPredicate, 42, 240, 9, // Skip to: 2803
-/* 259 */     MCD_OPC_Decode, 128, 6, 193, 2, // Opcode: VDIVD
+/* 255 */     MCD_OPC_CheckPredicate, 46, 240, 9, // Skip to: 2803
+/* 259 */     MCD_OPC_Decode, 135, 6, 197, 2, // Opcode: VDIVD
 /* 264 */     MCD_OPC_FilterValue, 1, 231, 9, // Skip to: 2803
 /* 268 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 271 */     MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 290
-/* 275 */     MCD_OPC_CheckPredicate, 41, 220, 9, // Skip to: 2803
+/* 275 */     MCD_OPC_CheckPredicate, 20, 220, 9, // Skip to: 2803
 /* 279 */     MCD_OPC_CheckField, 23, 1, 0, 214, 9, // Skip to: 2803
-/* 285 */     MCD_OPC_Decode, 176, 10, 190, 2, // Opcode: VMLSS
+/* 285 */     MCD_OPC_Decode, 183, 10, 194, 2, // Opcode: VMLSS
 /* 290 */     MCD_OPC_FilterValue, 11, 205, 9, // Skip to: 2803
-/* 294 */     MCD_OPC_CheckPredicate, 42, 201, 9, // Skip to: 2803
+/* 294 */     MCD_OPC_CheckPredicate, 46, 201, 9, // Skip to: 2803
 /* 298 */     MCD_OPC_CheckField, 23, 1, 0, 195, 9, // Skip to: 2803
-/* 304 */     MCD_OPC_Decode, 165, 10, 192, 2, // Opcode: VMLSD
+/* 304 */     MCD_OPC_Decode, 172, 10, 196, 2, // Opcode: VMLSD
 /* 309 */     MCD_OPC_FilterValue, 1, 186, 9, // Skip to: 2803
-/* 313 */     MCD_OPC_CheckPredicate, 41, 182, 9, // Skip to: 2803
+/* 313 */     MCD_OPC_CheckPredicate, 20, 182, 9, // Skip to: 2803
 /* 317 */     MCD_OPC_CheckField, 22, 2, 0, 176, 9, // Skip to: 2803
 /* 323 */     MCD_OPC_CheckField, 8, 4, 10, 170, 9, // Skip to: 2803
 /* 329 */     MCD_OPC_CheckField, 5, 2, 0, 164, 9, // Skip to: 2803
 /* 335 */     MCD_OPC_CheckField, 0, 4, 0, 158, 9, // Skip to: 2803
-/* 341 */     MCD_OPC_Decode, 209, 10, 194, 2, // Opcode: VMOVSR
+/* 341 */     MCD_OPC_Decode, 216, 10, 198, 2, // Opcode: VMOVSR
 /* 346 */     MCD_OPC_FilterValue, 1, 111, 1, // Skip to: 717
 /* 350 */     MCD_OPC_ExtractField, 24, 4,  // Inst{27-24} ...
 /* 353 */     MCD_OPC_FilterValue, 12, 130, 0, // Skip to: 487
@@ -8894,39 +8932,39 @@ static const uint8_t DecoderTableVFP32[]
 /* 360 */     MCD_OPC_FilterValue, 10, 47, 0, // Skip to: 411
 /* 364 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 367 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 398
-/* 371 */     MCD_OPC_CheckPredicate, 41, 124, 9, // Skip to: 2803
+/* 371 */     MCD_OPC_CheckPredicate, 20, 124, 9, // Skip to: 2803
 /* 375 */     MCD_OPC_CheckField, 22, 1, 1, 118, 9, // Skip to: 2803
 /* 381 */     MCD_OPC_CheckField, 6, 2, 0, 112, 9, // Skip to: 2803
 /* 387 */     MCD_OPC_CheckField, 4, 1, 1, 106, 9, // Skip to: 2803
-/* 393 */     MCD_OPC_Decode, 206, 10, 195, 2, // Opcode: VMOVRRS
+/* 393 */     MCD_OPC_Decode, 213, 10, 199, 2, // Opcode: VMOVRRS
 /* 398 */     MCD_OPC_FilterValue, 1, 97, 9, // Skip to: 2803
-/* 402 */     MCD_OPC_CheckPredicate, 41, 93, 9, // Skip to: 2803
-/* 406 */     MCD_OPC_Decode, 227, 9, 184, 2, // Opcode: VLDMSIA
+/* 402 */     MCD_OPC_CheckPredicate, 20, 93, 9, // Skip to: 2803
+/* 406 */     MCD_OPC_Decode, 234, 9, 188, 2, // Opcode: VLDMSIA
 /* 411 */     MCD_OPC_FilterValue, 11, 84, 9, // Skip to: 2803
 /* 415 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 418 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 449
-/* 422 */     MCD_OPC_CheckPredicate, 41, 73, 9, // Skip to: 2803
+/* 422 */     MCD_OPC_CheckPredicate, 20, 73, 9, // Skip to: 2803
 /* 426 */     MCD_OPC_CheckField, 22, 1, 1, 67, 9, // Skip to: 2803
 /* 432 */     MCD_OPC_CheckField, 6, 2, 0, 61, 9, // Skip to: 2803
 /* 438 */     MCD_OPC_CheckField, 4, 1, 1, 55, 9, // Skip to: 2803
-/* 444 */     MCD_OPC_Decode, 205, 10, 196, 2, // Opcode: VMOVRRD
+/* 444 */     MCD_OPC_Decode, 212, 10, 200, 2, // Opcode: VMOVRRD
 /* 449 */     MCD_OPC_FilterValue, 1, 46, 9, // Skip to: 2803
 /* 453 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 456 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 469
-/* 460 */     MCD_OPC_CheckPredicate, 41, 35, 9, // Skip to: 2803
-/* 464 */     MCD_OPC_Decode, 223, 9, 186, 2, // Opcode: VLDMDIA
+/* 460 */     MCD_OPC_CheckPredicate, 20, 35, 9, // Skip to: 2803
+/* 464 */     MCD_OPC_Decode, 230, 9, 190, 2, // Opcode: VLDMDIA
 /* 469 */     MCD_OPC_FilterValue, 1, 26, 9, // Skip to: 2803
-/* 473 */     MCD_OPC_CheckPredicate, 41, 22, 9, // Skip to: 2803
+/* 473 */     MCD_OPC_CheckPredicate, 20, 22, 9, // Skip to: 2803
 /* 477 */     MCD_OPC_CheckField, 22, 1, 0, 16, 9, // Skip to: 2803
-/* 483 */     MCD_OPC_Decode, 105, 187, 2, // Opcode: FLDMXIA
+/* 483 */     MCD_OPC_Decode, 108, 191, 2, // Opcode: FLDMXIA
 /* 487 */     MCD_OPC_FilterValue, 13, 29, 0, // Skip to: 520
 /* 491 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 494 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 507
-/* 498 */     MCD_OPC_CheckPredicate, 41, 253, 8, // Skip to: 2803
-/* 502 */     MCD_OPC_Decode, 230, 9, 188, 2, // Opcode: VLDRS
+/* 498 */     MCD_OPC_CheckPredicate, 20, 253, 8, // Skip to: 2803
+/* 502 */     MCD_OPC_Decode, 237, 9, 192, 2, // Opcode: VLDRS
 /* 507 */     MCD_OPC_FilterValue, 11, 244, 8, // Skip to: 2803
-/* 511 */     MCD_OPC_CheckPredicate, 41, 240, 8, // Skip to: 2803
-/* 515 */     MCD_OPC_Decode, 229, 9, 189, 2, // Opcode: VLDRD
+/* 511 */     MCD_OPC_CheckPredicate, 20, 240, 8, // Skip to: 2803
+/* 515 */     MCD_OPC_Decode, 236, 9, 193, 2, // Opcode: VLDRD
 /* 520 */     MCD_OPC_FilterValue, 14, 231, 8, // Skip to: 2803
 /* 524 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 527 */     MCD_OPC_FilterValue, 0, 149, 0, // Skip to: 680
@@ -8936,96 +8974,96 @@ static const uint8_t DecoderTableVFP32[]
 /* 541 */     MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 574
 /* 545 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 548 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 561
-/* 552 */     MCD_OPC_CheckPredicate, 41, 199, 8, // Skip to: 2803
-/* 556 */     MCD_OPC_Decode, 156, 11, 190, 2, // Opcode: VNMLSS
+/* 552 */     MCD_OPC_CheckPredicate, 20, 199, 8, // Skip to: 2803
+/* 556 */     MCD_OPC_Decode, 163, 11, 194, 2, // Opcode: VNMLSS
 /* 561 */     MCD_OPC_FilterValue, 1, 190, 8, // Skip to: 2803
-/* 565 */     MCD_OPC_CheckPredicate, 43, 186, 8, // Skip to: 2803
-/* 569 */     MCD_OPC_Decode, 162, 6, 190, 2, // Opcode: VFNMSS
+/* 565 */     MCD_OPC_CheckPredicate, 47, 186, 8, // Skip to: 2803
+/* 569 */     MCD_OPC_Decode, 169, 6, 194, 2, // Opcode: VFNMSS
 /* 574 */     MCD_OPC_FilterValue, 11, 177, 8, // Skip to: 2803
 /* 578 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 581 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 594
-/* 585 */     MCD_OPC_CheckPredicate, 42, 166, 8, // Skip to: 2803
-/* 589 */     MCD_OPC_Decode, 155, 11, 192, 2, // Opcode: VNMLSD
+/* 585 */     MCD_OPC_CheckPredicate, 46, 166, 8, // Skip to: 2803
+/* 589 */     MCD_OPC_Decode, 162, 11, 196, 2, // Opcode: VNMLSD
 /* 594 */     MCD_OPC_FilterValue, 1, 157, 8, // Skip to: 2803
-/* 598 */     MCD_OPC_CheckPredicate, 44, 153, 8, // Skip to: 2803
-/* 602 */     MCD_OPC_Decode, 161, 6, 192, 2, // Opcode: VFNMSD
+/* 598 */     MCD_OPC_CheckPredicate, 48, 153, 8, // Skip to: 2803
+/* 602 */     MCD_OPC_Decode, 168, 6, 196, 2, // Opcode: VFNMSD
 /* 607 */     MCD_OPC_FilterValue, 1, 144, 8, // Skip to: 2803
 /* 611 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 614 */     MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 647
 /* 618 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 621 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 634
-/* 625 */     MCD_OPC_CheckPredicate, 41, 126, 8, // Skip to: 2803
-/* 629 */     MCD_OPC_Decode, 154, 11, 190, 2, // Opcode: VNMLAS
+/* 625 */     MCD_OPC_CheckPredicate, 20, 126, 8, // Skip to: 2803
+/* 629 */     MCD_OPC_Decode, 161, 11, 194, 2, // Opcode: VNMLAS
 /* 634 */     MCD_OPC_FilterValue, 1, 117, 8, // Skip to: 2803
-/* 638 */     MCD_OPC_CheckPredicate, 43, 113, 8, // Skip to: 2803
-/* 642 */     MCD_OPC_Decode, 160, 6, 190, 2, // Opcode: VFNMAS
+/* 638 */     MCD_OPC_CheckPredicate, 47, 113, 8, // Skip to: 2803
+/* 642 */     MCD_OPC_Decode, 167, 6, 194, 2, // Opcode: VFNMAS
 /* 647 */     MCD_OPC_FilterValue, 11, 104, 8, // Skip to: 2803
 /* 651 */     MCD_OPC_ExtractField, 23, 1,  // Inst{23} ...
 /* 654 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 667
-/* 658 */     MCD_OPC_CheckPredicate, 42, 93, 8, // Skip to: 2803
-/* 662 */     MCD_OPC_Decode, 153, 11, 192, 2, // Opcode: VNMLAD
+/* 658 */     MCD_OPC_CheckPredicate, 46, 93, 8, // Skip to: 2803
+/* 662 */     MCD_OPC_Decode, 160, 11, 196, 2, // Opcode: VNMLAD
 /* 667 */     MCD_OPC_FilterValue, 1, 84, 8, // Skip to: 2803
-/* 671 */     MCD_OPC_CheckPredicate, 44, 80, 8, // Skip to: 2803
-/* 675 */     MCD_OPC_Decode, 159, 6, 192, 2, // Opcode: VFNMAD
+/* 671 */     MCD_OPC_CheckPredicate, 48, 80, 8, // Skip to: 2803
+/* 675 */     MCD_OPC_Decode, 166, 6, 196, 2, // Opcode: VFNMAD
 /* 680 */     MCD_OPC_FilterValue, 1, 71, 8, // Skip to: 2803
-/* 684 */     MCD_OPC_CheckPredicate, 41, 67, 8, // Skip to: 2803
+/* 684 */     MCD_OPC_CheckPredicate, 20, 67, 8, // Skip to: 2803
 /* 688 */     MCD_OPC_CheckField, 22, 2, 0, 61, 8, // Skip to: 2803
 /* 694 */     MCD_OPC_CheckField, 8, 4, 10, 55, 8, // Skip to: 2803
 /* 700 */     MCD_OPC_CheckField, 5, 2, 0, 49, 8, // Skip to: 2803
 /* 706 */     MCD_OPC_CheckField, 0, 4, 0, 43, 8, // Skip to: 2803
-/* 712 */     MCD_OPC_Decode, 207, 10, 197, 2, // Opcode: VMOVRS
+/* 712 */     MCD_OPC_Decode, 214, 10, 201, 2, // Opcode: VMOVRS
 /* 717 */     MCD_OPC_FilterValue, 2, 172, 1, // Skip to: 1149
 /* 721 */     MCD_OPC_ExtractField, 23, 5,  // Inst{27-23} ...
 /* 724 */     MCD_OPC_FilterValue, 25, 54, 0, // Skip to: 782
 /* 728 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 731 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 744
-/* 735 */     MCD_OPC_CheckPredicate, 41, 16, 8, // Skip to: 2803
-/* 739 */     MCD_OPC_Decode, 130, 17, 198, 2, // Opcode: VSTMSIA_UPD
+/* 735 */     MCD_OPC_CheckPredicate, 20, 16, 8, // Skip to: 2803
+/* 739 */     MCD_OPC_Decode, 137, 17, 202, 2, // Opcode: VSTMSIA_UPD
 /* 744 */     MCD_OPC_FilterValue, 11, 7, 8, // Skip to: 2803
 /* 748 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 751 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 764
-/* 755 */     MCD_OPC_CheckPredicate, 41, 252, 7, // Skip to: 2803
-/* 759 */     MCD_OPC_Decode, 254, 16, 199, 2, // Opcode: VSTMDIA_UPD
+/* 755 */     MCD_OPC_CheckPredicate, 20, 252, 7, // Skip to: 2803
+/* 759 */     MCD_OPC_Decode, 133, 17, 203, 2, // Opcode: VSTMDIA_UPD
 /* 764 */     MCD_OPC_FilterValue, 1, 243, 7, // Skip to: 2803
-/* 768 */     MCD_OPC_CheckPredicate, 41, 239, 7, // Skip to: 2803
+/* 768 */     MCD_OPC_CheckPredicate, 20, 239, 7, // Skip to: 2803
 /* 772 */     MCD_OPC_CheckField, 22, 1, 0, 233, 7, // Skip to: 2803
-/* 778 */     MCD_OPC_Decode, 110, 200, 2, // Opcode: FSTMXIA_UPD
+/* 778 */     MCD_OPC_Decode, 113, 204, 2, // Opcode: FSTMXIA_UPD
 /* 782 */     MCD_OPC_FilterValue, 26, 54, 0, // Skip to: 840
 /* 786 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 789 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 802
-/* 793 */     MCD_OPC_CheckPredicate, 41, 214, 7, // Skip to: 2803
-/* 797 */     MCD_OPC_Decode, 128, 17, 198, 2, // Opcode: VSTMSDB_UPD
+/* 793 */     MCD_OPC_CheckPredicate, 20, 214, 7, // Skip to: 2803
+/* 797 */     MCD_OPC_Decode, 135, 17, 202, 2, // Opcode: VSTMSDB_UPD
 /* 802 */     MCD_OPC_FilterValue, 11, 205, 7, // Skip to: 2803
 /* 806 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 809 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 822
-/* 813 */     MCD_OPC_CheckPredicate, 41, 194, 7, // Skip to: 2803
-/* 817 */     MCD_OPC_Decode, 252, 16, 199, 2, // Opcode: VSTMDDB_UPD
+/* 813 */     MCD_OPC_CheckPredicate, 20, 194, 7, // Skip to: 2803
+/* 817 */     MCD_OPC_Decode, 131, 17, 203, 2, // Opcode: VSTMDDB_UPD
 /* 822 */     MCD_OPC_FilterValue, 1, 185, 7, // Skip to: 2803
-/* 826 */     MCD_OPC_CheckPredicate, 41, 181, 7, // Skip to: 2803
+/* 826 */     MCD_OPC_CheckPredicate, 20, 181, 7, // Skip to: 2803
 /* 830 */     MCD_OPC_CheckField, 22, 1, 0, 175, 7, // Skip to: 2803
-/* 836 */     MCD_OPC_Decode, 108, 200, 2, // Opcode: FSTMXDB_UPD
+/* 836 */     MCD_OPC_Decode, 111, 204, 2, // Opcode: FSTMXDB_UPD
 /* 840 */     MCD_OPC_FilterValue, 28, 93, 0, // Skip to: 937
 /* 844 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 847 */     MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 892
 /* 851 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 854 */     MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 873
-/* 858 */     MCD_OPC_CheckPredicate, 41, 149, 7, // Skip to: 2803
+/* 858 */     MCD_OPC_CheckPredicate, 20, 149, 7, // Skip to: 2803
 /* 862 */     MCD_OPC_CheckField, 4, 1, 0, 143, 7, // Skip to: 2803
-/* 868 */     MCD_OPC_Decode, 248, 10, 191, 2, // Opcode: VMULS
+/* 868 */     MCD_OPC_Decode, 255, 10, 195, 2, // Opcode: VMULS
 /* 873 */     MCD_OPC_FilterValue, 11, 134, 7, // Skip to: 2803
-/* 877 */     MCD_OPC_CheckPredicate, 42, 130, 7, // Skip to: 2803
+/* 877 */     MCD_OPC_CheckPredicate, 46, 130, 7, // Skip to: 2803
 /* 881 */     MCD_OPC_CheckField, 4, 1, 0, 124, 7, // Skip to: 2803
-/* 887 */     MCD_OPC_Decode, 235, 10, 193, 2, // Opcode: VMULD
+/* 887 */     MCD_OPC_Decode, 242, 10, 197, 2, // Opcode: VMULD
 /* 892 */     MCD_OPC_FilterValue, 1, 115, 7, // Skip to: 2803
 /* 896 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 899 */     MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 918
-/* 903 */     MCD_OPC_CheckPredicate, 41, 104, 7, // Skip to: 2803
+/* 903 */     MCD_OPC_CheckPredicate, 20, 104, 7, // Skip to: 2803
 /* 907 */     MCD_OPC_CheckField, 4, 1, 0, 98, 7, // Skip to: 2803
-/* 913 */     MCD_OPC_Decode, 158, 11, 191, 2, // Opcode: VNMULS
+/* 913 */     MCD_OPC_Decode, 165, 11, 195, 2, // Opcode: VNMULS
 /* 918 */     MCD_OPC_FilterValue, 11, 89, 7, // Skip to: 2803
-/* 922 */     MCD_OPC_CheckPredicate, 42, 85, 7, // Skip to: 2803
+/* 922 */     MCD_OPC_CheckPredicate, 46, 85, 7, // Skip to: 2803
 /* 926 */     MCD_OPC_CheckField, 4, 1, 0, 79, 7, // Skip to: 2803
-/* 932 */     MCD_OPC_Decode, 157, 11, 193, 2, // Opcode: VNMULD
+/* 932 */     MCD_OPC_Decode, 164, 11, 197, 2, // Opcode: VNMULD
 /* 937 */     MCD_OPC_FilterValue, 29, 70, 7, // Skip to: 2803
 /* 941 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 944 */     MCD_OPC_FilterValue, 0, 69, 0, // Skip to: 1017
@@ -9033,404 +9071,404 @@ static const uint8_t DecoderTableVFP32[]
 /* 951 */     MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 984
 /* 955 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 958 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 971
-/* 962 */     MCD_OPC_CheckPredicate, 43, 45, 7, // Skip to: 2803
-/* 966 */     MCD_OPC_Decode, 152, 6, 190, 2, // Opcode: VFMAS
+/* 962 */     MCD_OPC_CheckPredicate, 47, 45, 7, // Skip to: 2803
+/* 966 */     MCD_OPC_Decode, 159, 6, 194, 2, // Opcode: VFMAS
 /* 971 */     MCD_OPC_FilterValue, 11, 36, 7, // Skip to: 2803
-/* 975 */     MCD_OPC_CheckPredicate, 44, 32, 7, // Skip to: 2803
-/* 979 */     MCD_OPC_Decode, 151, 6, 192, 2, // Opcode: VFMAD
+/* 975 */     MCD_OPC_CheckPredicate, 48, 32, 7, // Skip to: 2803
+/* 979 */     MCD_OPC_Decode, 158, 6, 196, 2, // Opcode: VFMAD
 /* 984 */     MCD_OPC_FilterValue, 1, 23, 7, // Skip to: 2803
 /* 988 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 991 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1004
-/* 995 */     MCD_OPC_CheckPredicate, 43, 12, 7, // Skip to: 2803
-/* 999 */     MCD_OPC_Decode, 156, 6, 190, 2, // Opcode: VFMSS
+/* 995 */     MCD_OPC_CheckPredicate, 47, 12, 7, // Skip to: 2803
+/* 999 */     MCD_OPC_Decode, 163, 6, 194, 2, // Opcode: VFMSS
 /* 1004 */    MCD_OPC_FilterValue, 11, 3, 7, // Skip to: 2803
-/* 1008 */    MCD_OPC_CheckPredicate, 44, 255, 6, // Skip to: 2803
-/* 1012 */    MCD_OPC_Decode, 155, 6, 192, 2, // Opcode: VFMSD
+/* 1008 */    MCD_OPC_CheckPredicate, 48, 255, 6, // Skip to: 2803
+/* 1012 */    MCD_OPC_Decode, 162, 6, 196, 2, // Opcode: VFMSD
 /* 1017 */    MCD_OPC_FilterValue, 1, 246, 6, // Skip to: 2803
 /* 1021 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 1024 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1049
-/* 1028 */    MCD_OPC_CheckPredicate, 41, 235, 6, // Skip to: 2803
+/* 1028 */    MCD_OPC_CheckPredicate, 20, 235, 6, // Skip to: 2803
 /* 1032 */    MCD_OPC_CheckField, 22, 1, 1, 229, 6, // Skip to: 2803
 /* 1038 */    MCD_OPC_CheckField, 7, 5, 20, 223, 6, // Skip to: 2803
-/* 1044 */    MCD_OPC_Decode, 234, 10, 201, 2, // Opcode: VMSR_FPSID
+/* 1044 */    MCD_OPC_Decode, 241, 10, 205, 2, // Opcode: VMSR_FPSID
 /* 1049 */    MCD_OPC_FilterValue, 1, 21, 0, // Skip to: 1074
-/* 1053 */    MCD_OPC_CheckPredicate, 41, 210, 6, // Skip to: 2803
+/* 1053 */    MCD_OPC_CheckPredicate, 20, 210, 6, // Skip to: 2803
 /* 1057 */    MCD_OPC_CheckField, 22, 1, 1, 204, 6, // Skip to: 2803
 /* 1063 */    MCD_OPC_CheckField, 7, 5, 20, 198, 6, // Skip to: 2803
-/* 1069 */    MCD_OPC_Decode, 230, 10, 201, 2, // Opcode: VMSR
+/* 1069 */    MCD_OPC_Decode, 237, 10, 205, 2, // Opcode: VMSR
 /* 1074 */    MCD_OPC_FilterValue, 8, 21, 0, // Skip to: 1099
-/* 1078 */    MCD_OPC_CheckPredicate, 41, 185, 6, // Skip to: 2803
+/* 1078 */    MCD_OPC_CheckPredicate, 20, 185, 6, // Skip to: 2803
 /* 1082 */    MCD_OPC_CheckField, 22, 1, 1, 179, 6, // Skip to: 2803
 /* 1088 */    MCD_OPC_CheckField, 7, 5, 20, 173, 6, // Skip to: 2803
-/* 1094 */    MCD_OPC_Decode, 231, 10, 201, 2, // Opcode: VMSR_FPEXC
+/* 1094 */    MCD_OPC_Decode, 238, 10, 205, 2, // Opcode: VMSR_FPEXC
 /* 1099 */    MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 1124
-/* 1103 */    MCD_OPC_CheckPredicate, 41, 160, 6, // Skip to: 2803
+/* 1103 */    MCD_OPC_CheckPredicate, 20, 160, 6, // Skip to: 2803
 /* 1107 */    MCD_OPC_CheckField, 22, 1, 1, 154, 6, // Skip to: 2803
 /* 1113 */    MCD_OPC_CheckField, 7, 5, 20, 148, 6, // Skip to: 2803
-/* 1119 */    MCD_OPC_Decode, 232, 10, 201, 2, // Opcode: VMSR_FPINST
+/* 1119 */    MCD_OPC_Decode, 239, 10, 205, 2, // Opcode: VMSR_FPINST
 /* 1124 */    MCD_OPC_FilterValue, 10, 139, 6, // Skip to: 2803
-/* 1128 */    MCD_OPC_CheckPredicate, 41, 135, 6, // Skip to: 2803
+/* 1128 */    MCD_OPC_CheckPredicate, 20, 135, 6, // Skip to: 2803
 /* 1132 */    MCD_OPC_CheckField, 22, 1, 1, 129, 6, // Skip to: 2803
 /* 1138 */    MCD_OPC_CheckField, 7, 5, 20, 123, 6, // Skip to: 2803
-/* 1144 */    MCD_OPC_Decode, 233, 10, 201, 2, // Opcode: VMSR_FPINST2
+/* 1144 */    MCD_OPC_Decode, 240, 10, 205, 2, // Opcode: VMSR_FPINST2
 /* 1149 */    MCD_OPC_FilterValue, 3, 114, 6, // Skip to: 2803
 /* 1153 */    MCD_OPC_ExtractField, 23, 5,  // Inst{27-23} ...
 /* 1156 */    MCD_OPC_FilterValue, 25, 54, 0, // Skip to: 1214
 /* 1160 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 1163 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1176
-/* 1167 */    MCD_OPC_CheckPredicate, 41, 96, 6, // Skip to: 2803
-/* 1171 */    MCD_OPC_Decode, 228, 9, 198, 2, // Opcode: VLDMSIA_UPD
+/* 1167 */    MCD_OPC_CheckPredicate, 20, 96, 6, // Skip to: 2803
+/* 1171 */    MCD_OPC_Decode, 235, 9, 202, 2, // Opcode: VLDMSIA_UPD
 /* 1176 */    MCD_OPC_FilterValue, 11, 87, 6, // Skip to: 2803
 /* 1180 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 1183 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1196
-/* 1187 */    MCD_OPC_CheckPredicate, 41, 76, 6, // Skip to: 2803
-/* 1191 */    MCD_OPC_Decode, 224, 9, 199, 2, // Opcode: VLDMDIA_UPD
+/* 1187 */    MCD_OPC_CheckPredicate, 20, 76, 6, // Skip to: 2803
+/* 1191 */    MCD_OPC_Decode, 231, 9, 203, 2, // Opcode: VLDMDIA_UPD
 /* 1196 */    MCD_OPC_FilterValue, 1, 67, 6, // Skip to: 2803
-/* 1200 */    MCD_OPC_CheckPredicate, 41, 63, 6, // Skip to: 2803
+/* 1200 */    MCD_OPC_CheckPredicate, 20, 63, 6, // Skip to: 2803
 /* 1204 */    MCD_OPC_CheckField, 22, 1, 0, 57, 6, // Skip to: 2803
-/* 1210 */    MCD_OPC_Decode, 106, 200, 2, // Opcode: FLDMXIA_UPD
+/* 1210 */    MCD_OPC_Decode, 109, 204, 2, // Opcode: FLDMXIA_UPD
 /* 1214 */    MCD_OPC_FilterValue, 26, 54, 0, // Skip to: 1272
 /* 1218 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 1221 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1234
-/* 1225 */    MCD_OPC_CheckPredicate, 41, 38, 6, // Skip to: 2803
-/* 1229 */    MCD_OPC_Decode, 226, 9, 198, 2, // Opcode: VLDMSDB_UPD
+/* 1225 */    MCD_OPC_CheckPredicate, 20, 38, 6, // Skip to: 2803
+/* 1229 */    MCD_OPC_Decode, 233, 9, 202, 2, // Opcode: VLDMSDB_UPD
 /* 1234 */    MCD_OPC_FilterValue, 11, 29, 6, // Skip to: 2803
 /* 1238 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
 /* 1241 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1254
-/* 1245 */    MCD_OPC_CheckPredicate, 41, 18, 6, // Skip to: 2803
-/* 1249 */    MCD_OPC_Decode, 222, 9, 199, 2, // Opcode: VLDMDDB_UPD
+/* 1245 */    MCD_OPC_CheckPredicate, 20, 18, 6, // Skip to: 2803
+/* 1249 */    MCD_OPC_Decode, 229, 9, 203, 2, // Opcode: VLDMDDB_UPD
 /* 1254 */    MCD_OPC_FilterValue, 1, 9, 6, // Skip to: 2803
-/* 1258 */    MCD_OPC_CheckPredicate, 41, 5, 6, // Skip to: 2803
+/* 1258 */    MCD_OPC_CheckPredicate, 20, 5, 6, // Skip to: 2803
 /* 1262 */    MCD_OPC_CheckField, 22, 1, 0, 255, 5, // Skip to: 2803
-/* 1268 */    MCD_OPC_Decode, 104, 200, 2, // Opcode: FLDMXDB_UPD
+/* 1268 */    MCD_OPC_Decode, 107, 204, 2, // Opcode: FLDMXDB_UPD
 /* 1272 */    MCD_OPC_FilterValue, 28, 93, 0, // Skip to: 1369
 /* 1276 */    MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 1279 */    MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 1324
 /* 1283 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 1286 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 1305
-/* 1290 */    MCD_OPC_CheckPredicate, 41, 229, 5, // Skip to: 2803
+/* 1290 */    MCD_OPC_CheckPredicate, 20, 229, 5, // Skip to: 2803
 /* 1294 */    MCD_OPC_CheckField, 4, 1, 0, 223, 5, // Skip to: 2803
-/* 1300 */    MCD_OPC_Decode, 195, 4, 191, 2, // Opcode: VADDS
+/* 1300 */    MCD_OPC_Decode, 202, 4, 195, 2, // Opcode: VADDS
 /* 1305 */    MCD_OPC_FilterValue, 11, 214, 5, // Skip to: 2803
-/* 1309 */    MCD_OPC_CheckPredicate, 42, 210, 5, // Skip to: 2803
+/* 1309 */    MCD_OPC_CheckPredicate, 46, 210, 5, // Skip to: 2803
 /* 1313 */    MCD_OPC_CheckField, 4, 1, 0, 204, 5, // Skip to: 2803
-/* 1319 */    MCD_OPC_Decode, 185, 4, 193, 2, // Opcode: VADDD
+/* 1319 */    MCD_OPC_Decode, 192, 4, 197, 2, // Opcode: VADDD
 /* 1324 */    MCD_OPC_FilterValue, 1, 195, 5, // Skip to: 2803
 /* 1328 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 1331 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 1350
-/* 1335 */    MCD_OPC_CheckPredicate, 41, 184, 5, // Skip to: 2803
+/* 1335 */    MCD_OPC_CheckPredicate, 20, 184, 5, // Skip to: 2803
 /* 1339 */    MCD_OPC_CheckField, 4, 1, 0, 178, 5, // Skip to: 2803
-/* 1345 */    MCD_OPC_Decode, 143, 17, 191, 2, // Opcode: VSUBS
+/* 1345 */    MCD_OPC_Decode, 150, 17, 195, 2, // Opcode: VSUBS
 /* 1350 */    MCD_OPC_FilterValue, 11, 169, 5, // Skip to: 2803
-/* 1354 */    MCD_OPC_CheckPredicate, 42, 165, 5, // Skip to: 2803
+/* 1354 */    MCD_OPC_CheckPredicate, 46, 165, 5, // Skip to: 2803
 /* 1358 */    MCD_OPC_CheckField, 4, 1, 0, 159, 5, // Skip to: 2803
-/* 1364 */    MCD_OPC_Decode, 133, 17, 193, 2, // Opcode: VSUBD
+/* 1364 */    MCD_OPC_Decode, 140, 17, 197, 2, // Opcode: VSUBD
 /* 1369 */    MCD_OPC_FilterValue, 29, 150, 5, // Skip to: 2803
 /* 1373 */    MCD_OPC_ExtractField, 6, 6,  // Inst{11-6} ...
 /* 1376 */    MCD_OPC_FilterValue, 40, 237, 0, // Skip to: 1617
 /* 1380 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
 /* 1383 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1395
-/* 1387 */    MCD_OPC_CheckPredicate, 45, 132, 5, // Skip to: 2803
-/* 1391 */    MCD_OPC_Decode, 103, 202, 2, // Opcode: FCONSTS
+/* 1387 */    MCD_OPC_CheckPredicate, 49, 132, 5, // Skip to: 2803
+/* 1391 */    MCD_OPC_Decode, 106, 206, 2, // Opcode: FCONSTS
 /* 1395 */    MCD_OPC_FilterValue, 1, 124, 5, // Skip to: 2803
 /* 1399 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 1402 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1427
-/* 1406 */    MCD_OPC_CheckPredicate, 41, 113, 5, // Skip to: 2803
+/* 1406 */    MCD_OPC_CheckPredicate, 20, 113, 5, // Skip to: 2803
 /* 1410 */    MCD_OPC_CheckField, 22, 1, 1, 107, 5, // Skip to: 2803
 /* 1416 */    MCD_OPC_CheckField, 0, 4, 0, 101, 5, // Skip to: 2803
-/* 1422 */    MCD_OPC_Decode, 226, 10, 201, 2, // Opcode: VMRS_FPSID
+/* 1422 */    MCD_OPC_Decode, 233, 10, 205, 2, // Opcode: VMRS_FPSID
 /* 1427 */    MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 1467
 /* 1431 */    MCD_OPC_ExtractField, 0, 4,  // Inst{3-0} ...
 /* 1434 */    MCD_OPC_FilterValue, 0, 85, 5, // Skip to: 2803
 /* 1438 */    MCD_OPC_ExtractField, 22, 1,  // Inst{22} ...
 /* 1441 */    MCD_OPC_FilterValue, 1, 78, 5, // Skip to: 2803
-/* 1445 */    MCD_OPC_CheckPredicate, 41, 9, 0, // Skip to: 1458
+/* 1445 */    MCD_OPC_CheckPredicate, 20, 9, 0, // Skip to: 1458
 /* 1449 */    MCD_OPC_CheckField, 12, 4, 15, 3, 0, // Skip to: 1458
-/* 1455 */    MCD_OPC_Decode, 107, 27, // Opcode: FMSTAT
-/* 1458 */    MCD_OPC_CheckPredicate, 41, 61, 5, // Skip to: 2803
-/* 1462 */    MCD_OPC_Decode, 222, 10, 201, 2, // Opcode: VMRS
+/* 1455 */    MCD_OPC_Decode, 110, 28, // Opcode: FMSTAT
+/* 1458 */    MCD_OPC_CheckPredicate, 20, 61, 5, // Skip to: 2803
+/* 1462 */    MCD_OPC_Decode, 229, 10, 205, 2, // Opcode: VMRS
 /* 1467 */    MCD_OPC_FilterValue, 5, 21, 0, // Skip to: 1492
-/* 1471 */    MCD_OPC_CheckPredicate, 46, 48, 5, // Skip to: 2803
+/* 1471 */    MCD_OPC_CheckPredicate, 50, 48, 5, // Skip to: 2803
 /* 1475 */    MCD_OPC_CheckField, 22, 1, 1, 42, 5, // Skip to: 2803
 /* 1481 */    MCD_OPC_CheckField, 0, 4, 0, 36, 5, // Skip to: 2803
-/* 1487 */    MCD_OPC_Decode, 229, 10, 201, 2, // Opcode: VMRS_MVFR2
+/* 1487 */    MCD_OPC_Decode, 236, 10, 205, 2, // Opcode: VMRS_MVFR2
 /* 1492 */    MCD_OPC_FilterValue, 6, 21, 0, // Skip to: 1517
-/* 1496 */    MCD_OPC_CheckPredicate, 41, 23, 5, // Skip to: 2803
+/* 1496 */    MCD_OPC_CheckPredicate, 20, 23, 5, // Skip to: 2803
 /* 1500 */    MCD_OPC_CheckField, 22, 1, 1, 17, 5, // Skip to: 2803
 /* 1506 */    MCD_OPC_CheckField, 0, 4, 0, 11, 5, // Skip to: 2803
-/* 1512 */    MCD_OPC_Decode, 228, 10, 201, 2, // Opcode: VMRS_MVFR1
+/* 1512 */    MCD_OPC_Decode, 235, 10, 205, 2, // Opcode: VMRS_MVFR1
 /* 1517 */    MCD_OPC_FilterValue, 7, 21, 0, // Skip to: 1542
-/* 1521 */    MCD_OPC_CheckPredicate, 41, 254, 4, // Skip to: 2803
+/* 1521 */    MCD_OPC_CheckPredicate, 20, 254, 4, // Skip to: 2803
 /* 1525 */    MCD_OPC_CheckField, 22, 1, 1, 248, 4, // Skip to: 2803
 /* 1531 */    MCD_OPC_CheckField, 0, 4, 0, 242, 4, // Skip to: 2803
-/* 1537 */    MCD_OPC_Decode, 227, 10, 201, 2, // Opcode: VMRS_MVFR0
+/* 1537 */    MCD_OPC_Decode, 234, 10, 205, 2, // Opcode: VMRS_MVFR0
 /* 1542 */    MCD_OPC_FilterValue, 8, 21, 0, // Skip to: 1567
-/* 1546 */    MCD_OPC_CheckPredicate, 41, 229, 4, // Skip to: 2803
+/* 1546 */    MCD_OPC_CheckPredicate, 20, 229, 4, // Skip to: 2803
 /* 1550 */    MCD_OPC_CheckField, 22, 1, 1, 223, 4, // Skip to: 2803
 /* 1556 */    MCD_OPC_CheckField, 0, 4, 0, 217, 4, // Skip to: 2803
-/* 1562 */    MCD_OPC_Decode, 223, 10, 201, 2, // Opcode: VMRS_FPEXC
+/* 1562 */    MCD_OPC_Decode, 230, 10, 205, 2, // Opcode: VMRS_FPEXC
 /* 1567 */    MCD_OPC_FilterValue, 9, 21, 0, // Skip to: 1592
-/* 1571 */    MCD_OPC_CheckPredicate, 41, 204, 4, // Skip to: 2803
+/* 1571 */    MCD_OPC_CheckPredicate, 20, 204, 4, // Skip to: 2803
 /* 1575 */    MCD_OPC_CheckField, 22, 1, 1, 198, 4, // Skip to: 2803
 /* 1581 */    MCD_OPC_CheckField, 0, 4, 0, 192, 4, // Skip to: 2803
-/* 1587 */    MCD_OPC_Decode, 224, 10, 201, 2, // Opcode: VMRS_FPINST
+/* 1587 */    MCD_OPC_Decode, 231, 10, 205, 2, // Opcode: VMRS_FPINST
 /* 1592 */    MCD_OPC_FilterValue, 10, 183, 4, // Skip to: 2803
-/* 1596 */    MCD_OPC_CheckPredicate, 41, 179, 4, // Skip to: 2803
+/* 1596 */    MCD_OPC_CheckPredicate, 20, 179, 4, // Skip to: 2803
 /* 1600 */    MCD_OPC_CheckField, 22, 1, 1, 173, 4, // Skip to: 2803
 /* 1606 */    MCD_OPC_CheckField, 0, 4, 0, 167, 4, // Skip to: 2803
-/* 1612 */    MCD_OPC_Decode, 225, 10, 201, 2, // Opcode: VMRS_FPINST2
+/* 1612 */    MCD_OPC_Decode, 232, 10, 205, 2, // Opcode: VMRS_FPINST2
 /* 1617 */    MCD_OPC_FilterValue, 41, 32, 1, // Skip to: 1909
 /* 1621 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 1624 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 1643
-/* 1628 */    MCD_OPC_CheckPredicate, 41, 147, 4, // Skip to: 2803
+/* 1628 */    MCD_OPC_CheckPredicate, 20, 147, 4, // Skip to: 2803
 /* 1632 */    MCD_OPC_CheckField, 4, 1, 0, 141, 4, // Skip to: 2803
-/* 1638 */    MCD_OPC_Decode, 208, 10, 203, 2, // Opcode: VMOVS
+/* 1638 */    MCD_OPC_Decode, 215, 10, 207, 2, // Opcode: VMOVS
 /* 1643 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 1662
-/* 1647 */    MCD_OPC_CheckPredicate, 41, 128, 4, // Skip to: 2803
+/* 1647 */    MCD_OPC_CheckPredicate, 20, 128, 4, // Skip to: 2803
 /* 1651 */    MCD_OPC_CheckField, 4, 1, 0, 122, 4, // Skip to: 2803
-/* 1657 */    MCD_OPC_Decode, 144, 11, 203, 2, // Opcode: VNEGS
+/* 1657 */    MCD_OPC_Decode, 151, 11, 207, 2, // Opcode: VNEGS
 /* 1662 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 1681
-/* 1666 */    MCD_OPC_CheckPredicate, 41, 109, 4, // Skip to: 2803
+/* 1666 */    MCD_OPC_CheckPredicate, 20, 109, 4, // Skip to: 2803
 /* 1670 */    MCD_OPC_CheckField, 4, 1, 0, 103, 4, // Skip to: 2803
-/* 1676 */    MCD_OPC_Decode, 206, 5, 203, 2, // Opcode: VCVTBHS
+/* 1676 */    MCD_OPC_Decode, 213, 5, 207, 2, // Opcode: VCVTBHS
 /* 1681 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 1700
-/* 1685 */    MCD_OPC_CheckPredicate, 41, 90, 4, // Skip to: 2803
+/* 1685 */    MCD_OPC_CheckPredicate, 20, 90, 4, // Skip to: 2803
 /* 1689 */    MCD_OPC_CheckField, 4, 1, 0, 84, 4, // Skip to: 2803
-/* 1695 */    MCD_OPC_Decode, 207, 5, 203, 2, // Opcode: VCVTBSH
+/* 1695 */    MCD_OPC_Decode, 214, 5, 207, 2, // Opcode: VCVTBSH
 /* 1700 */    MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 1719
-/* 1704 */    MCD_OPC_CheckPredicate, 41, 71, 4, // Skip to: 2803
+/* 1704 */    MCD_OPC_CheckPredicate, 20, 71, 4, // Skip to: 2803
 /* 1708 */    MCD_OPC_CheckField, 4, 1, 0, 65, 4, // Skip to: 2803
-/* 1714 */    MCD_OPC_Decode, 191, 5, 203, 2, // Opcode: VCMPS
+/* 1714 */    MCD_OPC_Decode, 198, 5, 207, 2, // Opcode: VCMPS
 /* 1719 */    MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 1738
-/* 1723 */    MCD_OPC_CheckPredicate, 41, 52, 4, // Skip to: 2803
+/* 1723 */    MCD_OPC_CheckPredicate, 20, 52, 4, // Skip to: 2803
 /* 1727 */    MCD_OPC_CheckField, 0, 6, 0, 46, 4, // Skip to: 2803
-/* 1733 */    MCD_OPC_Decode, 193, 5, 204, 2, // Opcode: VCMPZS
+/* 1733 */    MCD_OPC_Decode, 200, 5, 208, 2, // Opcode: VCMPZS
 /* 1738 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 1757
-/* 1742 */    MCD_OPC_CheckPredicate, 46, 33, 4, // Skip to: 2803
+/* 1742 */    MCD_OPC_CheckPredicate, 50, 33, 4, // Skip to: 2803
 /* 1746 */    MCD_OPC_CheckField, 4, 1, 0, 27, 4, // Skip to: 2803
-/* 1752 */    MCD_OPC_Decode, 158, 13, 203, 2, // Opcode: VRINTRS
+/* 1752 */    MCD_OPC_Decode, 165, 13, 207, 2, // Opcode: VRINTRS
 /* 1757 */    MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 1776
-/* 1761 */    MCD_OPC_CheckPredicate, 46, 14, 4, // Skip to: 2803
+/* 1761 */    MCD_OPC_CheckPredicate, 50, 14, 4, // Skip to: 2803
 /* 1765 */    MCD_OPC_CheckField, 4, 1, 0, 8, 4, // Skip to: 2803
-/* 1771 */    MCD_OPC_Decode, 162, 13, 203, 2, // Opcode: VRINTXS
+/* 1771 */    MCD_OPC_Decode, 169, 13, 207, 2, // Opcode: VRINTXS
 /* 1776 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 1795
-/* 1780 */    MCD_OPC_CheckPredicate, 41, 251, 3, // Skip to: 2803
+/* 1780 */    MCD_OPC_CheckPredicate, 20, 251, 3, // Skip to: 2803
 /* 1784 */    MCD_OPC_CheckField, 4, 1, 0, 245, 3, // Skip to: 2803
-/* 1790 */    MCD_OPC_Decode, 205, 17, 203, 2, // Opcode: VUITOS
+/* 1790 */    MCD_OPC_Decode, 212, 17, 207, 2, // Opcode: VUITOS
 /* 1795 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 1814
-/* 1799 */    MCD_OPC_CheckPredicate, 41, 232, 3, // Skip to: 2803
+/* 1799 */    MCD_OPC_CheckPredicate, 20, 232, 3, // Skip to: 2803
 /* 1803 */    MCD_OPC_CheckField, 4, 1, 0, 226, 3, // Skip to: 2803
-/* 1809 */    MCD_OPC_Decode, 163, 14, 205, 2, // Opcode: VSHTOS
+/* 1809 */    MCD_OPC_Decode, 170, 14, 209, 2, // Opcode: VSHTOS
 /* 1814 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 1833
-/* 1818 */    MCD_OPC_CheckPredicate, 41, 213, 3, // Skip to: 2803
+/* 1818 */    MCD_OPC_CheckPredicate, 20, 213, 3, // Skip to: 2803
 /* 1822 */    MCD_OPC_CheckField, 4, 1, 0, 207, 3, // Skip to: 2803
-/* 1828 */    MCD_OPC_Decode, 203, 17, 205, 2, // Opcode: VUHTOS
+/* 1828 */    MCD_OPC_Decode, 210, 17, 209, 2, // Opcode: VUHTOS
 /* 1833 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 1852
-/* 1837 */    MCD_OPC_CheckPredicate, 41, 194, 3, // Skip to: 2803
+/* 1837 */    MCD_OPC_CheckPredicate, 20, 194, 3, // Skip to: 2803
 /* 1841 */    MCD_OPC_CheckField, 4, 1, 0, 188, 3, // Skip to: 2803
-/* 1847 */    MCD_OPC_Decode, 185, 17, 203, 2, // Opcode: VTOUIRS
+/* 1847 */    MCD_OPC_Decode, 192, 17, 207, 2, // Opcode: VTOUIRS
 /* 1852 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 1871
-/* 1856 */    MCD_OPC_CheckPredicate, 41, 175, 3, // Skip to: 2803
+/* 1856 */    MCD_OPC_CheckPredicate, 20, 175, 3, // Skip to: 2803
 /* 1860 */    MCD_OPC_CheckField, 4, 1, 0, 169, 3, // Skip to: 2803
-/* 1866 */    MCD_OPC_Decode, 177, 17, 203, 2, // Opcode: VTOSIRS
+/* 1866 */    MCD_OPC_Decode, 184, 17, 207, 2, // Opcode: VTOSIRS
 /* 1871 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 1890
-/* 1875 */    MCD_OPC_CheckPredicate, 41, 156, 3, // Skip to: 2803
+/* 1875 */    MCD_OPC_CheckPredicate, 20, 156, 3, // Skip to: 2803
 /* 1879 */    MCD_OPC_CheckField, 4, 1, 0, 150, 3, // Skip to: 2803
-/* 1885 */    MCD_OPC_Decode, 175, 17, 205, 2, // Opcode: VTOSHS
+/* 1885 */    MCD_OPC_Decode, 182, 17, 209, 2, // Opcode: VTOSHS
 /* 1890 */    MCD_OPC_FilterValue, 15, 141, 3, // Skip to: 2803
-/* 1894 */    MCD_OPC_CheckPredicate, 41, 137, 3, // Skip to: 2803
+/* 1894 */    MCD_OPC_CheckPredicate, 20, 137, 3, // Skip to: 2803
 /* 1898 */    MCD_OPC_CheckField, 4, 1, 0, 131, 3, // Skip to: 2803
-/* 1904 */    MCD_OPC_Decode, 183, 17, 205, 2, // Opcode: VTOUHS
+/* 1904 */    MCD_OPC_Decode, 190, 17, 209, 2, // Opcode: VTOUHS
 /* 1909 */    MCD_OPC_FilterValue, 43, 32, 1, // Skip to: 2201
 /* 1913 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 1916 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 1935
-/* 1920 */    MCD_OPC_CheckPredicate, 41, 111, 3, // Skip to: 2803
+/* 1920 */    MCD_OPC_CheckPredicate, 20, 111, 3, // Skip to: 2803
 /* 1924 */    MCD_OPC_CheckField, 4, 1, 0, 105, 3, // Skip to: 2803
-/* 1930 */    MCD_OPC_Decode, 172, 4, 203, 2, // Opcode: VABSS
+/* 1930 */    MCD_OPC_Decode, 179, 4, 207, 2, // Opcode: VABSS
 /* 1935 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 1954
-/* 1939 */    MCD_OPC_CheckPredicate, 41, 92, 3, // Skip to: 2803
+/* 1939 */    MCD_OPC_CheckPredicate, 20, 92, 3, // Skip to: 2803
 /* 1943 */    MCD_OPC_CheckField, 4, 1, 0, 86, 3, // Skip to: 2803
-/* 1949 */    MCD_OPC_Decode, 177, 14, 203, 2, // Opcode: VSQRTS
+/* 1949 */    MCD_OPC_Decode, 184, 14, 207, 2, // Opcode: VSQRTS
 /* 1954 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 1973
-/* 1958 */    MCD_OPC_CheckPredicate, 41, 73, 3, // Skip to: 2803
+/* 1958 */    MCD_OPC_CheckPredicate, 20, 73, 3, // Skip to: 2803
 /* 1962 */    MCD_OPC_CheckField, 4, 1, 0, 67, 3, // Skip to: 2803
-/* 1968 */    MCD_OPC_Decode, 236, 5, 203, 2, // Opcode: VCVTTHS
+/* 1968 */    MCD_OPC_Decode, 243, 5, 207, 2, // Opcode: VCVTTHS
 /* 1973 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 1992
-/* 1977 */    MCD_OPC_CheckPredicate, 41, 54, 3, // Skip to: 2803
+/* 1977 */    MCD_OPC_CheckPredicate, 20, 54, 3, // Skip to: 2803
 /* 1981 */    MCD_OPC_CheckField, 4, 1, 0, 48, 3, // Skip to: 2803
-/* 1987 */    MCD_OPC_Decode, 237, 5, 203, 2, // Opcode: VCVTTSH
+/* 1987 */    MCD_OPC_Decode, 244, 5, 207, 2, // Opcode: VCVTTSH
 /* 1992 */    MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 2011
-/* 1996 */    MCD_OPC_CheckPredicate, 41, 35, 3, // Skip to: 2803
+/* 1996 */    MCD_OPC_CheckPredicate, 20, 35, 3, // Skip to: 2803
 /* 2000 */    MCD_OPC_CheckField, 4, 1, 0, 29, 3, // Skip to: 2803
-/* 2006 */    MCD_OPC_Decode, 188, 5, 203, 2, // Opcode: VCMPES
+/* 2006 */    MCD_OPC_Decode, 195, 5, 207, 2, // Opcode: VCMPES
 /* 2011 */    MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 2030
-/* 2015 */    MCD_OPC_CheckPredicate, 41, 16, 3, // Skip to: 2803
+/* 2015 */    MCD_OPC_CheckPredicate, 20, 16, 3, // Skip to: 2803
 /* 2019 */    MCD_OPC_CheckField, 0, 6, 0, 10, 3, // Skip to: 2803
-/* 2025 */    MCD_OPC_Decode, 190, 5, 204, 2, // Opcode: VCMPEZS
+/* 2025 */    MCD_OPC_Decode, 197, 5, 208, 2, // Opcode: VCMPEZS
 /* 2030 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 2049
-/* 2034 */    MCD_OPC_CheckPredicate, 46, 253, 2, // Skip to: 2803
+/* 2034 */    MCD_OPC_CheckPredicate, 50, 253, 2, // Skip to: 2803
 /* 2038 */    MCD_OPC_CheckField, 4, 1, 0, 247, 2, // Skip to: 2803
-/* 2044 */    MCD_OPC_Decode, 166, 13, 203, 2, // Opcode: VRINTZS
+/* 2044 */    MCD_OPC_Decode, 173, 13, 207, 2, // Opcode: VRINTZS
 /* 2049 */    MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 2068
-/* 2053 */    MCD_OPC_CheckPredicate, 41, 234, 2, // Skip to: 2803
+/* 2053 */    MCD_OPC_CheckPredicate, 46, 234, 2, // Skip to: 2803
 /* 2057 */    MCD_OPC_CheckField, 4, 1, 0, 228, 2, // Skip to: 2803
-/* 2063 */    MCD_OPC_Decode, 208, 5, 206, 2, // Opcode: VCVTDS
+/* 2063 */    MCD_OPC_Decode, 215, 5, 210, 2, // Opcode: VCVTDS
 /* 2068 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 2087
-/* 2072 */    MCD_OPC_CheckPredicate, 41, 215, 2, // Skip to: 2803
+/* 2072 */    MCD_OPC_CheckPredicate, 20, 215, 2, // Skip to: 2803
 /* 2076 */    MCD_OPC_CheckField, 4, 1, 0, 209, 2, // Skip to: 2803
-/* 2082 */    MCD_OPC_Decode, 165, 14, 203, 2, // Opcode: VSITOS
+/* 2082 */    MCD_OPC_Decode, 172, 14, 207, 2, // Opcode: VSITOS
 /* 2087 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 2106
-/* 2091 */    MCD_OPC_CheckPredicate, 41, 196, 2, // Skip to: 2803
+/* 2091 */    MCD_OPC_CheckPredicate, 20, 196, 2, // Skip to: 2803
 /* 2095 */    MCD_OPC_CheckField, 4, 1, 0, 190, 2, // Skip to: 2803
-/* 2101 */    MCD_OPC_Decode, 175, 14, 205, 2, // Opcode: VSLTOS
+/* 2101 */    MCD_OPC_Decode, 182, 14, 209, 2, // Opcode: VSLTOS
 /* 2106 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 2125
-/* 2110 */    MCD_OPC_CheckPredicate, 41, 177, 2, // Skip to: 2803
+/* 2110 */    MCD_OPC_CheckPredicate, 20, 177, 2, // Skip to: 2803
 /* 2114 */    MCD_OPC_CheckField, 4, 1, 0, 171, 2, // Skip to: 2803
-/* 2120 */    MCD_OPC_Decode, 207, 17, 205, 2, // Opcode: VULTOS
+/* 2120 */    MCD_OPC_Decode, 214, 17, 209, 2, // Opcode: VULTOS
 /* 2125 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 2144
-/* 2129 */    MCD_OPC_CheckPredicate, 41, 158, 2, // Skip to: 2803
+/* 2129 */    MCD_OPC_CheckPredicate, 20, 158, 2, // Skip to: 2803
 /* 2133 */    MCD_OPC_CheckField, 4, 1, 0, 152, 2, // Skip to: 2803
-/* 2139 */    MCD_OPC_Decode, 187, 17, 203, 2, // Opcode: VTOUIZS
+/* 2139 */    MCD_OPC_Decode, 194, 17, 207, 2, // Opcode: VTOUIZS
 /* 2144 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 2163
-/* 2148 */    MCD_OPC_CheckPredicate, 41, 139, 2, // Skip to: 2803
+/* 2148 */    MCD_OPC_CheckPredicate, 20, 139, 2, // Skip to: 2803
 /* 2152 */    MCD_OPC_CheckField, 4, 1, 0, 133, 2, // Skip to: 2803
-/* 2158 */    MCD_OPC_Decode, 179, 17, 203, 2, // Opcode: VTOSIZS
+/* 2158 */    MCD_OPC_Decode, 186, 17, 207, 2, // Opcode: VTOSIZS
 /* 2163 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 2182
-/* 2167 */    MCD_OPC_CheckPredicate, 41, 120, 2, // Skip to: 2803
+/* 2167 */    MCD_OPC_CheckPredicate, 20, 120, 2, // Skip to: 2803
 /* 2171 */    MCD_OPC_CheckField, 4, 1, 0, 114, 2, // Skip to: 2803
-/* 2177 */    MCD_OPC_Decode, 181, 17, 205, 2, // Opcode: VTOSLS
+/* 2177 */    MCD_OPC_Decode, 188, 17, 209, 2, // Opcode: VTOSLS
 /* 2182 */    MCD_OPC_FilterValue, 15, 105, 2, // Skip to: 2803
-/* 2186 */    MCD_OPC_CheckPredicate, 41, 101, 2, // Skip to: 2803
+/* 2186 */    MCD_OPC_CheckPredicate, 20, 101, 2, // Skip to: 2803
 /* 2190 */    MCD_OPC_CheckField, 4, 1, 0, 95, 2, // Skip to: 2803
-/* 2196 */    MCD_OPC_Decode, 189, 17, 205, 2, // Opcode: VTOULS
+/* 2196 */    MCD_OPC_Decode, 196, 17, 209, 2, // Opcode: VTOULS
 /* 2201 */    MCD_OPC_FilterValue, 44, 14, 0, // Skip to: 2219
-/* 2205 */    MCD_OPC_CheckPredicate, 47, 82, 2, // Skip to: 2803
+/* 2205 */    MCD_OPC_CheckPredicate, 51, 82, 2, // Skip to: 2803
 /* 2209 */    MCD_OPC_CheckField, 4, 2, 0, 76, 2, // Skip to: 2803
-/* 2215 */    MCD_OPC_Decode, 102, 207, 2, // Opcode: FCONSTD
+/* 2215 */    MCD_OPC_Decode, 105, 211, 2, // Opcode: FCONSTD
 /* 2219 */    MCD_OPC_FilterValue, 45, 32, 1, // Skip to: 2511
 /* 2223 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 2226 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 2245
-/* 2230 */    MCD_OPC_CheckPredicate, 42, 57, 2, // Skip to: 2803
+/* 2230 */    MCD_OPC_CheckPredicate, 46, 57, 2, // Skip to: 2803
 /* 2234 */    MCD_OPC_CheckField, 4, 1, 0, 51, 2, // Skip to: 2803
-/* 2240 */    MCD_OPC_Decode, 191, 10, 208, 2, // Opcode: VMOVD
+/* 2240 */    MCD_OPC_Decode, 198, 10, 212, 2, // Opcode: VMOVD
 /* 2245 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 2264
-/* 2249 */    MCD_OPC_CheckPredicate, 42, 38, 2, // Skip to: 2803
+/* 2249 */    MCD_OPC_CheckPredicate, 46, 38, 2, // Skip to: 2803
 /* 2253 */    MCD_OPC_CheckField, 4, 1, 0, 32, 2, // Skip to: 2803
-/* 2259 */    MCD_OPC_Decode, 143, 11, 208, 2, // Opcode: VNEGD
+/* 2259 */    MCD_OPC_Decode, 150, 11, 212, 2, // Opcode: VNEGD
 /* 2264 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 2283
-/* 2268 */    MCD_OPC_CheckPredicate, 48, 19, 2, // Skip to: 2803
+/* 2268 */    MCD_OPC_CheckPredicate, 52, 19, 2, // Skip to: 2803
 /* 2272 */    MCD_OPC_CheckField, 4, 1, 0, 13, 2, // Skip to: 2803
-/* 2278 */    MCD_OPC_Decode, 205, 5, 206, 2, // Opcode: VCVTBHD
+/* 2278 */    MCD_OPC_Decode, 212, 5, 210, 2, // Opcode: VCVTBHD
 /* 2283 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 2302
-/* 2287 */    MCD_OPC_CheckPredicate, 48, 0, 2, // Skip to: 2803
+/* 2287 */    MCD_OPC_CheckPredicate, 52, 0, 2, // Skip to: 2803
 /* 2291 */    MCD_OPC_CheckField, 4, 1, 0, 250, 1, // Skip to: 2803
-/* 2297 */    MCD_OPC_Decode, 204, 5, 209, 2, // Opcode: VCVTBDH
+/* 2297 */    MCD_OPC_Decode, 211, 5, 213, 2, // Opcode: VCVTBDH
 /* 2302 */    MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 2321
-/* 2306 */    MCD_OPC_CheckPredicate, 42, 237, 1, // Skip to: 2803
+/* 2306 */    MCD_OPC_CheckPredicate, 46, 237, 1, // Skip to: 2803
 /* 2310 */    MCD_OPC_CheckField, 4, 1, 0, 231, 1, // Skip to: 2803
-/* 2316 */    MCD_OPC_Decode, 186, 5, 208, 2, // Opcode: VCMPD
+/* 2316 */    MCD_OPC_Decode, 193, 5, 212, 2, // Opcode: VCMPD
 /* 2321 */    MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 2340
-/* 2325 */    MCD_OPC_CheckPredicate, 42, 218, 1, // Skip to: 2803
+/* 2325 */    MCD_OPC_CheckPredicate, 46, 218, 1, // Skip to: 2803
 /* 2329 */    MCD_OPC_CheckField, 0, 6, 0, 212, 1, // Skip to: 2803
-/* 2335 */    MCD_OPC_Decode, 192, 5, 210, 2, // Opcode: VCMPZD
+/* 2335 */    MCD_OPC_Decode, 199, 5, 214, 2, // Opcode: VCMPZD
 /* 2340 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 2359
-/* 2344 */    MCD_OPC_CheckPredicate, 48, 199, 1, // Skip to: 2803
+/* 2344 */    MCD_OPC_CheckPredicate, 52, 199, 1, // Skip to: 2803
 /* 2348 */    MCD_OPC_CheckField, 4, 1, 0, 193, 1, // Skip to: 2803
-/* 2354 */    MCD_OPC_Decode, 157, 13, 208, 2, // Opcode: VRINTRD
+/* 2354 */    MCD_OPC_Decode, 164, 13, 212, 2, // Opcode: VRINTRD
 /* 2359 */    MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 2378
-/* 2363 */    MCD_OPC_CheckPredicate, 48, 180, 1, // Skip to: 2803
+/* 2363 */    MCD_OPC_CheckPredicate, 52, 180, 1, // Skip to: 2803
 /* 2367 */    MCD_OPC_CheckField, 4, 1, 0, 174, 1, // Skip to: 2803
-/* 2373 */    MCD_OPC_Decode, 159, 13, 208, 2, // Opcode: VRINTXD
+/* 2373 */    MCD_OPC_Decode, 166, 13, 212, 2, // Opcode: VRINTXD
 /* 2378 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 2397
-/* 2382 */    MCD_OPC_CheckPredicate, 42, 161, 1, // Skip to: 2803
+/* 2382 */    MCD_OPC_CheckPredicate, 46, 161, 1, // Skip to: 2803
 /* 2386 */    MCD_OPC_CheckField, 4, 1, 0, 155, 1, // Skip to: 2803
-/* 2392 */    MCD_OPC_Decode, 204, 17, 206, 2, // Opcode: VUITOD
+/* 2392 */    MCD_OPC_Decode, 211, 17, 210, 2, // Opcode: VUITOD
 /* 2397 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 2416
-/* 2401 */    MCD_OPC_CheckPredicate, 42, 142, 1, // Skip to: 2803
+/* 2401 */    MCD_OPC_CheckPredicate, 46, 142, 1, // Skip to: 2803
 /* 2405 */    MCD_OPC_CheckField, 4, 1, 0, 136, 1, // Skip to: 2803
-/* 2411 */    MCD_OPC_Decode, 162, 14, 211, 2, // Opcode: VSHTOD
+/* 2411 */    MCD_OPC_Decode, 169, 14, 215, 2, // Opcode: VSHTOD
 /* 2416 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 2435
-/* 2420 */    MCD_OPC_CheckPredicate, 42, 123, 1, // Skip to: 2803
+/* 2420 */    MCD_OPC_CheckPredicate, 46, 123, 1, // Skip to: 2803
 /* 2424 */    MCD_OPC_CheckField, 4, 1, 0, 117, 1, // Skip to: 2803
-/* 2430 */    MCD_OPC_Decode, 202, 17, 211, 2, // Opcode: VUHTOD
+/* 2430 */    MCD_OPC_Decode, 209, 17, 215, 2, // Opcode: VUHTOD
 /* 2435 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 2454
-/* 2439 */    MCD_OPC_CheckPredicate, 42, 104, 1, // Skip to: 2803
+/* 2439 */    MCD_OPC_CheckPredicate, 46, 104, 1, // Skip to: 2803
 /* 2443 */    MCD_OPC_CheckField, 4, 1, 0, 98, 1, // Skip to: 2803
-/* 2449 */    MCD_OPC_Decode, 184, 17, 209, 2, // Opcode: VTOUIRD
+/* 2449 */    MCD_OPC_Decode, 191, 17, 213, 2, // Opcode: VTOUIRD
 /* 2454 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 2473
-/* 2458 */    MCD_OPC_CheckPredicate, 42, 85, 1, // Skip to: 2803
+/* 2458 */    MCD_OPC_CheckPredicate, 46, 85, 1, // Skip to: 2803
 /* 2462 */    MCD_OPC_CheckField, 4, 1, 0, 79, 1, // Skip to: 2803
-/* 2468 */    MCD_OPC_Decode, 176, 17, 209, 2, // Opcode: VTOSIRD
+/* 2468 */    MCD_OPC_Decode, 183, 17, 213, 2, // Opcode: VTOSIRD
 /* 2473 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 2492
-/* 2477 */    MCD_OPC_CheckPredicate, 42, 66, 1, // Skip to: 2803
+/* 2477 */    MCD_OPC_CheckPredicate, 46, 66, 1, // Skip to: 2803
 /* 2481 */    MCD_OPC_CheckField, 4, 1, 0, 60, 1, // Skip to: 2803
-/* 2487 */    MCD_OPC_Decode, 174, 17, 211, 2, // Opcode: VTOSHD
+/* 2487 */    MCD_OPC_Decode, 181, 17, 215, 2, // Opcode: VTOSHD
 /* 2492 */    MCD_OPC_FilterValue, 15, 51, 1, // Skip to: 2803
-/* 2496 */    MCD_OPC_CheckPredicate, 42, 47, 1, // Skip to: 2803
+/* 2496 */    MCD_OPC_CheckPredicate, 46, 47, 1, // Skip to: 2803
 /* 2500 */    MCD_OPC_CheckField, 4, 1, 0, 41, 1, // Skip to: 2803
-/* 2506 */    MCD_OPC_Decode, 182, 17, 211, 2, // Opcode: VTOUHD
+/* 2506 */    MCD_OPC_Decode, 189, 17, 215, 2, // Opcode: VTOUHD
 /* 2511 */    MCD_OPC_FilterValue, 47, 32, 1, // Skip to: 2803
 /* 2515 */    MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 2518 */    MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 2537
-/* 2522 */    MCD_OPC_CheckPredicate, 42, 21, 1, // Skip to: 2803
+/* 2522 */    MCD_OPC_CheckPredicate, 46, 21, 1, // Skip to: 2803
 /* 2526 */    MCD_OPC_CheckField, 4, 1, 0, 15, 1, // Skip to: 2803
-/* 2532 */    MCD_OPC_Decode, 171, 4, 208, 2, // Opcode: VABSD
+/* 2532 */    MCD_OPC_Decode, 178, 4, 212, 2, // Opcode: VABSD
 /* 2537 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 2556
-/* 2541 */    MCD_OPC_CheckPredicate, 42, 2, 1, // Skip to: 2803
+/* 2541 */    MCD_OPC_CheckPredicate, 46, 2, 1, // Skip to: 2803
 /* 2545 */    MCD_OPC_CheckField, 4, 1, 0, 252, 0, // Skip to: 2803
-/* 2551 */    MCD_OPC_Decode, 176, 14, 208, 2, // Opcode: VSQRTD
+/* 2551 */    MCD_OPC_Decode, 183, 14, 212, 2, // Opcode: VSQRTD
 /* 2556 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 2575
-/* 2560 */    MCD_OPC_CheckPredicate, 48, 239, 0, // Skip to: 2803
+/* 2560 */    MCD_OPC_CheckPredicate, 52, 239, 0, // Skip to: 2803
 /* 2564 */    MCD_OPC_CheckField, 4, 1, 0, 233, 0, // Skip to: 2803
-/* 2570 */    MCD_OPC_Decode, 235, 5, 206, 2, // Opcode: VCVTTHD
+/* 2570 */    MCD_OPC_Decode, 242, 5, 210, 2, // Opcode: VCVTTHD
 /* 2575 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 2594
-/* 2579 */    MCD_OPC_CheckPredicate, 48, 220, 0, // Skip to: 2803
+/* 2579 */    MCD_OPC_CheckPredicate, 52, 220, 0, // Skip to: 2803
 /* 2583 */    MCD_OPC_CheckField, 4, 1, 0, 214, 0, // Skip to: 2803
-/* 2589 */    MCD_OPC_Decode, 234, 5, 209, 2, // Opcode: VCVTTDH
+/* 2589 */    MCD_OPC_Decode, 241, 5, 213, 2, // Opcode: VCVTTDH
 /* 2594 */    MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 2613
-/* 2598 */    MCD_OPC_CheckPredicate, 42, 201, 0, // Skip to: 2803
+/* 2598 */    MCD_OPC_CheckPredicate, 46, 201, 0, // Skip to: 2803
 /* 2602 */    MCD_OPC_CheckField, 4, 1, 0, 195, 0, // Skip to: 2803
-/* 2608 */    MCD_OPC_Decode, 187, 5, 208, 2, // Opcode: VCMPED
+/* 2608 */    MCD_OPC_Decode, 194, 5, 212, 2, // Opcode: VCMPED
 /* 2613 */    MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 2632
-/* 2617 */    MCD_OPC_CheckPredicate, 42, 182, 0, // Skip to: 2803
+/* 2617 */    MCD_OPC_CheckPredicate, 46, 182, 0, // Skip to: 2803
 /* 2621 */    MCD_OPC_CheckField, 0, 6, 0, 176, 0, // Skip to: 2803
-/* 2627 */    MCD_OPC_Decode, 189, 5, 210, 2, // Opcode: VCMPEZD
+/* 2627 */    MCD_OPC_Decode, 196, 5, 214, 2, // Opcode: VCMPEZD
 /* 2632 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 2651
-/* 2636 */    MCD_OPC_CheckPredicate, 48, 163, 0, // Skip to: 2803
+/* 2636 */    MCD_OPC_CheckPredicate, 52, 163, 0, // Skip to: 2803
 /* 2640 */    MCD_OPC_CheckField, 4, 1, 0, 157, 0, // Skip to: 2803
-/* 2646 */    MCD_OPC_Decode, 163, 13, 208, 2, // Opcode: VRINTZD
+/* 2646 */    MCD_OPC_Decode, 170, 13, 212, 2, // Opcode: VRINTZD
 /* 2651 */    MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 2670
-/* 2655 */    MCD_OPC_CheckPredicate, 42, 144, 0, // Skip to: 2803
+/* 2655 */    MCD_OPC_CheckPredicate, 46, 144, 0, // Skip to: 2803
 /* 2659 */    MCD_OPC_CheckField, 4, 1, 0, 138, 0, // Skip to: 2803
-/* 2665 */    MCD_OPC_Decode, 233, 5, 209, 2, // Opcode: VCVTSD
+/* 2665 */    MCD_OPC_Decode, 240, 5, 213, 2, // Opcode: VCVTSD
 /* 2670 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 2689
-/* 2674 */    MCD_OPC_CheckPredicate, 42, 125, 0, // Skip to: 2803
+/* 2674 */    MCD_OPC_CheckPredicate, 46, 125, 0, // Skip to: 2803
 /* 2678 */    MCD_OPC_CheckField, 4, 1, 0, 119, 0, // Skip to: 2803
-/* 2684 */    MCD_OPC_Decode, 164, 14, 206, 2, // Opcode: VSITOD
+/* 2684 */    MCD_OPC_Decode, 171, 14, 210, 2, // Opcode: VSITOD
 /* 2689 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 2708
-/* 2693 */    MCD_OPC_CheckPredicate, 42, 106, 0, // Skip to: 2803
+/* 2693 */    MCD_OPC_CheckPredicate, 46, 106, 0, // Skip to: 2803
 /* 2697 */    MCD_OPC_CheckField, 4, 1, 0, 100, 0, // Skip to: 2803
-/* 2703 */    MCD_OPC_Decode, 174, 14, 211, 2, // Opcode: VSLTOD
+/* 2703 */    MCD_OPC_Decode, 181, 14, 215, 2, // Opcode: VSLTOD
 /* 2708 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 2727
-/* 2712 */    MCD_OPC_CheckPredicate, 42, 87, 0, // Skip to: 2803
+/* 2712 */    MCD_OPC_CheckPredicate, 46, 87, 0, // Skip to: 2803
 /* 2716 */    MCD_OPC_CheckField, 4, 1, 0, 81, 0, // Skip to: 2803
-/* 2722 */    MCD_OPC_Decode, 206, 17, 211, 2, // Opcode: VULTOD
+/* 2722 */    MCD_OPC_Decode, 213, 17, 215, 2, // Opcode: VULTOD
 /* 2727 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 2746
-/* 2731 */    MCD_OPC_CheckPredicate, 42, 68, 0, // Skip to: 2803
+/* 2731 */    MCD_OPC_CheckPredicate, 46, 68, 0, // Skip to: 2803
 /* 2735 */    MCD_OPC_CheckField, 4, 1, 0, 62, 0, // Skip to: 2803
-/* 2741 */    MCD_OPC_Decode, 186, 17, 209, 2, // Opcode: VTOUIZD
+/* 2741 */    MCD_OPC_Decode, 193, 17, 213, 2, // Opcode: VTOUIZD
 /* 2746 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 2765
-/* 2750 */    MCD_OPC_CheckPredicate, 42, 49, 0, // Skip to: 2803
+/* 2750 */    MCD_OPC_CheckPredicate, 46, 49, 0, // Skip to: 2803
 /* 2754 */    MCD_OPC_CheckField, 4, 1, 0, 43, 0, // Skip to: 2803
-/* 2760 */    MCD_OPC_Decode, 178, 17, 209, 2, // Opcode: VTOSIZD
+/* 2760 */    MCD_OPC_Decode, 185, 17, 213, 2, // Opcode: VTOSIZD
 /* 2765 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 2784
-/* 2769 */    MCD_OPC_CheckPredicate, 42, 30, 0, // Skip to: 2803
+/* 2769 */    MCD_OPC_CheckPredicate, 46, 30, 0, // Skip to: 2803
 /* 2773 */    MCD_OPC_CheckField, 4, 1, 0, 24, 0, // Skip to: 2803
-/* 2779 */    MCD_OPC_Decode, 180, 17, 211, 2, // Opcode: VTOSLD
+/* 2779 */    MCD_OPC_Decode, 187, 17, 215, 2, // Opcode: VTOSLD
 /* 2784 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 2803
-/* 2788 */    MCD_OPC_CheckPredicate, 42, 11, 0, // Skip to: 2803
+/* 2788 */    MCD_OPC_CheckPredicate, 46, 11, 0, // Skip to: 2803
 /* 2792 */    MCD_OPC_CheckField, 4, 1, 0, 5, 0, // Skip to: 2803
-/* 2798 */    MCD_OPC_Decode, 188, 17, 211, 2, // Opcode: VTOULD
+/* 2798 */    MCD_OPC_Decode, 195, 17, 215, 2, // Opcode: VTOULD
 /* 2803 */    MCD_OPC_Fail,
   0
 };
@@ -9444,215 +9482,215 @@ static const uint8_t DecoderTableVFPV832
 /* 17 */      MCD_OPC_FilterValue, 10, 43, 0, // Skip to: 64
 /* 21 */      MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 24 */      MCD_OPC_FilterValue, 252, 3, 15, 0, // Skip to: 44
-/* 29 */      MCD_OPC_CheckPredicate, 46, 254, 3, // Skip to: 1055
+/* 29 */      MCD_OPC_CheckPredicate, 50, 254, 3, // Skip to: 1055
 /* 33 */      MCD_OPC_CheckField, 4, 1, 0, 248, 3, // Skip to: 1055
-/* 39 */      MCD_OPC_Decode, 228, 13, 212, 2, // Opcode: VSELEQS
+/* 39 */      MCD_OPC_Decode, 235, 13, 216, 2, // Opcode: VSELEQS
 /* 44 */      MCD_OPC_FilterValue, 253, 3, 238, 3, // Skip to: 1055
-/* 49 */      MCD_OPC_CheckPredicate, 46, 234, 3, // Skip to: 1055
+/* 49 */      MCD_OPC_CheckPredicate, 50, 234, 3, // Skip to: 1055
 /* 53 */      MCD_OPC_CheckField, 4, 1, 0, 228, 3, // Skip to: 1055
-/* 59 */      MCD_OPC_Decode, 234, 9, 212, 2, // Opcode: VMAXNMS
+/* 59 */      MCD_OPC_Decode, 241, 9, 216, 2, // Opcode: VMAXNMS
 /* 64 */      MCD_OPC_FilterValue, 11, 219, 3, // Skip to: 1055
 /* 68 */      MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 71 */      MCD_OPC_FilterValue, 252, 3, 14, 0, // Skip to: 90
-/* 76 */      MCD_OPC_CheckPredicate, 48, 207, 3, // Skip to: 1055
+/* 76 */      MCD_OPC_CheckPredicate, 52, 207, 3, // Skip to: 1055
 /* 80 */      MCD_OPC_CheckField, 4, 1, 0, 201, 3, // Skip to: 1055
-/* 86 */      MCD_OPC_Decode, 227, 13, 94, // Opcode: VSELEQD
+/* 86 */      MCD_OPC_Decode, 234, 13, 96, // Opcode: VSELEQD
 /* 90 */      MCD_OPC_FilterValue, 253, 3, 192, 3, // Skip to: 1055
-/* 95 */      MCD_OPC_CheckPredicate, 48, 188, 3, // Skip to: 1055
+/* 95 */      MCD_OPC_CheckPredicate, 52, 188, 3, // Skip to: 1055
 /* 99 */      MCD_OPC_CheckField, 4, 1, 0, 182, 3, // Skip to: 1055
-/* 105 */     MCD_OPC_Decode, 231, 9, 94, // Opcode: VMAXNMD
+/* 105 */     MCD_OPC_Decode, 238, 9, 96, // Opcode: VMAXNMD
 /* 109 */     MCD_OPC_FilterValue, 1, 174, 3, // Skip to: 1055
 /* 113 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 116 */     MCD_OPC_FilterValue, 10, 22, 0, // Skip to: 142
-/* 120 */     MCD_OPC_CheckPredicate, 46, 163, 3, // Skip to: 1055
+/* 120 */     MCD_OPC_CheckPredicate, 50, 163, 3, // Skip to: 1055
 /* 124 */     MCD_OPC_CheckField, 23, 9, 253, 3, 156, 3, // Skip to: 1055
 /* 131 */     MCD_OPC_CheckField, 4, 1, 0, 150, 3, // Skip to: 1055
-/* 137 */     MCD_OPC_Decode, 252, 9, 212, 2, // Opcode: VMINNMS
+/* 137 */     MCD_OPC_Decode, 131, 10, 216, 2, // Opcode: VMINNMS
 /* 142 */     MCD_OPC_FilterValue, 11, 141, 3, // Skip to: 1055
-/* 146 */     MCD_OPC_CheckPredicate, 48, 137, 3, // Skip to: 1055
+/* 146 */     MCD_OPC_CheckPredicate, 52, 137, 3, // Skip to: 1055
 /* 150 */     MCD_OPC_CheckField, 23, 9, 253, 3, 130, 3, // Skip to: 1055
 /* 157 */     MCD_OPC_CheckField, 4, 1, 0, 124, 3, // Skip to: 1055
-/* 163 */     MCD_OPC_Decode, 249, 9, 94, // Opcode: VMINNMD
+/* 163 */     MCD_OPC_Decode, 128, 10, 96, // Opcode: VMINNMD
 /* 167 */     MCD_OPC_FilterValue, 1, 66, 0, // Skip to: 237
 /* 171 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 174 */     MCD_OPC_FilterValue, 10, 28, 0, // Skip to: 206
-/* 178 */     MCD_OPC_CheckPredicate, 46, 105, 3, // Skip to: 1055
+/* 178 */     MCD_OPC_CheckPredicate, 50, 105, 3, // Skip to: 1055
 /* 182 */     MCD_OPC_CheckField, 23, 9, 252, 3, 98, 3, // Skip to: 1055
 /* 189 */     MCD_OPC_CheckField, 6, 1, 0, 92, 3, // Skip to: 1055
 /* 195 */     MCD_OPC_CheckField, 4, 1, 0, 86, 3, // Skip to: 1055
-/* 201 */     MCD_OPC_Decode, 234, 13, 212, 2, // Opcode: VSELVSS
+/* 201 */     MCD_OPC_Decode, 241, 13, 216, 2, // Opcode: VSELVSS
 /* 206 */     MCD_OPC_FilterValue, 11, 77, 3, // Skip to: 1055
-/* 210 */     MCD_OPC_CheckPredicate, 48, 73, 3, // Skip to: 1055
+/* 210 */     MCD_OPC_CheckPredicate, 52, 73, 3, // Skip to: 1055
 /* 214 */     MCD_OPC_CheckField, 23, 9, 252, 3, 66, 3, // Skip to: 1055
 /* 221 */     MCD_OPC_CheckField, 6, 1, 0, 60, 3, // Skip to: 1055
 /* 227 */     MCD_OPC_CheckField, 4, 1, 0, 54, 3, // Skip to: 1055
-/* 233 */     MCD_OPC_Decode, 233, 13, 94, // Opcode: VSELVSD
+/* 233 */     MCD_OPC_Decode, 240, 13, 96, // Opcode: VSELVSD
 /* 237 */     MCD_OPC_FilterValue, 2, 66, 0, // Skip to: 307
 /* 241 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 244 */     MCD_OPC_FilterValue, 10, 28, 0, // Skip to: 276
-/* 248 */     MCD_OPC_CheckPredicate, 46, 35, 3, // Skip to: 1055
+/* 248 */     MCD_OPC_CheckPredicate, 50, 35, 3, // Skip to: 1055
 /* 252 */     MCD_OPC_CheckField, 23, 9, 252, 3, 28, 3, // Skip to: 1055
 /* 259 */     MCD_OPC_CheckField, 6, 1, 0, 22, 3, // Skip to: 1055
 /* 265 */     MCD_OPC_CheckField, 4, 1, 0, 16, 3, // Skip to: 1055
-/* 271 */     MCD_OPC_Decode, 230, 13, 212, 2, // Opcode: VSELGES
+/* 271 */     MCD_OPC_Decode, 237, 13, 216, 2, // Opcode: VSELGES
 /* 276 */     MCD_OPC_FilterValue, 11, 7, 3, // Skip to: 1055
-/* 280 */     MCD_OPC_CheckPredicate, 48, 3, 3, // Skip to: 1055
+/* 280 */     MCD_OPC_CheckPredicate, 52, 3, 3, // Skip to: 1055
 /* 284 */     MCD_OPC_CheckField, 23, 9, 252, 3, 252, 2, // Skip to: 1055
 /* 291 */     MCD_OPC_CheckField, 6, 1, 0, 246, 2, // Skip to: 1055
 /* 297 */     MCD_OPC_CheckField, 4, 1, 0, 240, 2, // Skip to: 1055
-/* 303 */     MCD_OPC_Decode, 229, 13, 94, // Opcode: VSELGED
+/* 303 */     MCD_OPC_Decode, 236, 13, 96, // Opcode: VSELGED
 /* 307 */     MCD_OPC_FilterValue, 3, 232, 2, // Skip to: 1055
 /* 311 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 314 */     MCD_OPC_FilterValue, 0, 54, 0, // Skip to: 372
 /* 318 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 321 */     MCD_OPC_FilterValue, 10, 22, 0, // Skip to: 347
-/* 325 */     MCD_OPC_CheckPredicate, 46, 214, 2, // Skip to: 1055
+/* 325 */     MCD_OPC_CheckPredicate, 50, 214, 2, // Skip to: 1055
 /* 329 */     MCD_OPC_CheckField, 23, 9, 252, 3, 207, 2, // Skip to: 1055
 /* 336 */     MCD_OPC_CheckField, 4, 1, 0, 201, 2, // Skip to: 1055
-/* 342 */     MCD_OPC_Decode, 232, 13, 212, 2, // Opcode: VSELGTS
+/* 342 */     MCD_OPC_Decode, 239, 13, 216, 2, // Opcode: VSELGTS
 /* 347 */     MCD_OPC_FilterValue, 11, 192, 2, // Skip to: 1055
-/* 351 */     MCD_OPC_CheckPredicate, 48, 188, 2, // Skip to: 1055
+/* 351 */     MCD_OPC_CheckPredicate, 52, 188, 2, // Skip to: 1055
 /* 355 */     MCD_OPC_CheckField, 23, 9, 252, 3, 181, 2, // Skip to: 1055
 /* 362 */     MCD_OPC_CheckField, 4, 1, 0, 175, 2, // Skip to: 1055
-/* 368 */     MCD_OPC_Decode, 231, 13, 94, // Opcode: VSELGTD
+/* 368 */     MCD_OPC_Decode, 238, 13, 96, // Opcode: VSELGTD
 /* 372 */     MCD_OPC_FilterValue, 1, 167, 2, // Skip to: 1055
 /* 376 */     MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 379 */     MCD_OPC_FilterValue, 8, 54, 0, // Skip to: 437
 /* 383 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 386 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 412
-/* 390 */     MCD_OPC_CheckPredicate, 46, 149, 2, // Skip to: 1055
+/* 390 */     MCD_OPC_CheckPredicate, 50, 149, 2, // Skip to: 1055
 /* 394 */     MCD_OPC_CheckField, 23, 9, 253, 3, 142, 2, // Skip to: 1055
 /* 401 */     MCD_OPC_CheckField, 4, 1, 0, 136, 2, // Skip to: 1055
-/* 407 */     MCD_OPC_Decode, 144, 13, 213, 2, // Opcode: VRINTAS
+/* 407 */     MCD_OPC_Decode, 151, 13, 217, 2, // Opcode: VRINTAS
 /* 412 */     MCD_OPC_FilterValue, 22, 127, 2, // Skip to: 1055
-/* 416 */     MCD_OPC_CheckPredicate, 48, 123, 2, // Skip to: 1055
+/* 416 */     MCD_OPC_CheckPredicate, 52, 123, 2, // Skip to: 1055
 /* 420 */     MCD_OPC_CheckField, 23, 9, 253, 3, 116, 2, // Skip to: 1055
 /* 427 */     MCD_OPC_CheckField, 4, 1, 0, 110, 2, // Skip to: 1055
-/* 433 */     MCD_OPC_Decode, 141, 13, 123, // Opcode: VRINTAD
+/* 433 */     MCD_OPC_Decode, 148, 13, 125, // Opcode: VRINTAD
 /* 437 */     MCD_OPC_FilterValue, 9, 54, 0, // Skip to: 495
 /* 441 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 444 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 470
-/* 448 */     MCD_OPC_CheckPredicate, 46, 91, 2, // Skip to: 1055
+/* 448 */     MCD_OPC_CheckPredicate, 50, 91, 2, // Skip to: 1055
 /* 452 */     MCD_OPC_CheckField, 23, 9, 253, 3, 84, 2, // Skip to: 1055
 /* 459 */     MCD_OPC_CheckField, 4, 1, 0, 78, 2, // Skip to: 1055
-/* 465 */     MCD_OPC_Decode, 152, 13, 213, 2, // Opcode: VRINTNS
+/* 465 */     MCD_OPC_Decode, 159, 13, 217, 2, // Opcode: VRINTNS
 /* 470 */     MCD_OPC_FilterValue, 22, 69, 2, // Skip to: 1055
-/* 474 */     MCD_OPC_CheckPredicate, 48, 65, 2, // Skip to: 1055
+/* 474 */     MCD_OPC_CheckPredicate, 52, 65, 2, // Skip to: 1055
 /* 478 */     MCD_OPC_CheckField, 23, 9, 253, 3, 58, 2, // Skip to: 1055
 /* 485 */     MCD_OPC_CheckField, 4, 1, 0, 52, 2, // Skip to: 1055
-/* 491 */     MCD_OPC_Decode, 149, 13, 123, // Opcode: VRINTND
+/* 491 */     MCD_OPC_Decode, 156, 13, 125, // Opcode: VRINTND
 /* 495 */     MCD_OPC_FilterValue, 10, 54, 0, // Skip to: 553
 /* 499 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 502 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 528
-/* 506 */     MCD_OPC_CheckPredicate, 46, 33, 2, // Skip to: 1055
+/* 506 */     MCD_OPC_CheckPredicate, 50, 33, 2, // Skip to: 1055
 /* 510 */     MCD_OPC_CheckField, 23, 9, 253, 3, 26, 2, // Skip to: 1055
 /* 517 */     MCD_OPC_CheckField, 4, 1, 0, 20, 2, // Skip to: 1055
-/* 523 */     MCD_OPC_Decode, 156, 13, 213, 2, // Opcode: VRINTPS
+/* 523 */     MCD_OPC_Decode, 163, 13, 217, 2, // Opcode: VRINTPS
 /* 528 */     MCD_OPC_FilterValue, 22, 11, 2, // Skip to: 1055
-/* 532 */     MCD_OPC_CheckPredicate, 48, 7, 2, // Skip to: 1055
+/* 532 */     MCD_OPC_CheckPredicate, 52, 7, 2, // Skip to: 1055
 /* 536 */     MCD_OPC_CheckField, 23, 9, 253, 3, 0, 2, // Skip to: 1055
 /* 543 */     MCD_OPC_CheckField, 4, 1, 0, 250, 1, // Skip to: 1055
-/* 549 */     MCD_OPC_Decode, 153, 13, 123, // Opcode: VRINTPD
+/* 549 */     MCD_OPC_Decode, 160, 13, 125, // Opcode: VRINTPD
 /* 553 */     MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 611
 /* 557 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 560 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 586
-/* 564 */     MCD_OPC_CheckPredicate, 46, 231, 1, // Skip to: 1055
+/* 564 */     MCD_OPC_CheckPredicate, 50, 231, 1, // Skip to: 1055
 /* 568 */     MCD_OPC_CheckField, 23, 9, 253, 3, 224, 1, // Skip to: 1055
 /* 575 */     MCD_OPC_CheckField, 4, 1, 0, 218, 1, // Skip to: 1055
-/* 581 */     MCD_OPC_Decode, 148, 13, 213, 2, // Opcode: VRINTMS
+/* 581 */     MCD_OPC_Decode, 155, 13, 217, 2, // Opcode: VRINTMS
 /* 586 */     MCD_OPC_FilterValue, 22, 209, 1, // Skip to: 1055
-/* 590 */     MCD_OPC_CheckPredicate, 48, 205, 1, // Skip to: 1055
+/* 590 */     MCD_OPC_CheckPredicate, 52, 205, 1, // Skip to: 1055
 /* 594 */     MCD_OPC_CheckField, 23, 9, 253, 3, 198, 1, // Skip to: 1055
 /* 601 */     MCD_OPC_CheckField, 4, 1, 0, 192, 1, // Skip to: 1055
-/* 607 */     MCD_OPC_Decode, 145, 13, 123, // Opcode: VRINTMD
+/* 607 */     MCD_OPC_Decode, 152, 13, 125, // Opcode: VRINTMD
 /* 611 */     MCD_OPC_FilterValue, 12, 107, 0, // Skip to: 722
 /* 615 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 618 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 644
-/* 622 */     MCD_OPC_CheckPredicate, 46, 173, 1, // Skip to: 1055
+/* 622 */     MCD_OPC_CheckPredicate, 50, 173, 1, // Skip to: 1055
 /* 626 */     MCD_OPC_CheckField, 23, 9, 253, 3, 166, 1, // Skip to: 1055
 /* 633 */     MCD_OPC_CheckField, 4, 1, 0, 160, 1, // Skip to: 1055
-/* 639 */     MCD_OPC_Decode, 203, 5, 213, 2, // Opcode: VCVTAUS
+/* 639 */     MCD_OPC_Decode, 210, 5, 217, 2, // Opcode: VCVTAUS
 /* 644 */     MCD_OPC_FilterValue, 21, 22, 0, // Skip to: 670
-/* 648 */     MCD_OPC_CheckPredicate, 46, 147, 1, // Skip to: 1055
+/* 648 */     MCD_OPC_CheckPredicate, 50, 147, 1, // Skip to: 1055
 /* 652 */     MCD_OPC_CheckField, 23, 9, 253, 3, 140, 1, // Skip to: 1055
 /* 659 */     MCD_OPC_CheckField, 4, 1, 0, 134, 1, // Skip to: 1055
-/* 665 */     MCD_OPC_Decode, 201, 5, 213, 2, // Opcode: VCVTASS
+/* 665 */     MCD_OPC_Decode, 208, 5, 217, 2, // Opcode: VCVTASS
 /* 670 */     MCD_OPC_FilterValue, 22, 22, 0, // Skip to: 696
-/* 674 */     MCD_OPC_CheckPredicate, 48, 121, 1, // Skip to: 1055
+/* 674 */     MCD_OPC_CheckPredicate, 52, 121, 1, // Skip to: 1055
 /* 678 */     MCD_OPC_CheckField, 23, 9, 253, 3, 114, 1, // Skip to: 1055
 /* 685 */     MCD_OPC_CheckField, 4, 1, 0, 108, 1, // Skip to: 1055
-/* 691 */     MCD_OPC_Decode, 202, 5, 214, 2, // Opcode: VCVTAUD
+/* 691 */     MCD_OPC_Decode, 209, 5, 218, 2, // Opcode: VCVTAUD
 /* 696 */     MCD_OPC_FilterValue, 23, 99, 1, // Skip to: 1055
-/* 700 */     MCD_OPC_CheckPredicate, 48, 95, 1, // Skip to: 1055
+/* 700 */     MCD_OPC_CheckPredicate, 52, 95, 1, // Skip to: 1055
 /* 704 */     MCD_OPC_CheckField, 23, 9, 253, 3, 88, 1, // Skip to: 1055
 /* 711 */     MCD_OPC_CheckField, 4, 1, 0, 82, 1, // Skip to: 1055
-/* 717 */     MCD_OPC_Decode, 200, 5, 214, 2, // Opcode: VCVTASD
+/* 717 */     MCD_OPC_Decode, 207, 5, 218, 2, // Opcode: VCVTASD
 /* 722 */     MCD_OPC_FilterValue, 13, 107, 0, // Skip to: 833
 /* 726 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 729 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 755
-/* 733 */     MCD_OPC_CheckPredicate, 46, 62, 1, // Skip to: 1055
+/* 733 */     MCD_OPC_CheckPredicate, 50, 62, 1, // Skip to: 1055
 /* 737 */     MCD_OPC_CheckField, 23, 9, 253, 3, 55, 1, // Skip to: 1055
 /* 744 */     MCD_OPC_CheckField, 4, 1, 0, 49, 1, // Skip to: 1055
-/* 750 */     MCD_OPC_Decode, 224, 5, 213, 2, // Opcode: VCVTNUS
+/* 750 */     MCD_OPC_Decode, 231, 5, 217, 2, // Opcode: VCVTNUS
 /* 755 */     MCD_OPC_FilterValue, 21, 22, 0, // Skip to: 781
-/* 759 */     MCD_OPC_CheckPredicate, 46, 36, 1, // Skip to: 1055
+/* 759 */     MCD_OPC_CheckPredicate, 50, 36, 1, // Skip to: 1055
 /* 763 */     MCD_OPC_CheckField, 23, 9, 253, 3, 29, 1, // Skip to: 1055
 /* 770 */     MCD_OPC_CheckField, 4, 1, 0, 23, 1, // Skip to: 1055
-/* 776 */     MCD_OPC_Decode, 222, 5, 213, 2, // Opcode: VCVTNSS
+/* 776 */     MCD_OPC_Decode, 229, 5, 217, 2, // Opcode: VCVTNSS
 /* 781 */     MCD_OPC_FilterValue, 22, 22, 0, // Skip to: 807
-/* 785 */     MCD_OPC_CheckPredicate, 48, 10, 1, // Skip to: 1055
+/* 785 */     MCD_OPC_CheckPredicate, 52, 10, 1, // Skip to: 1055
 /* 789 */     MCD_OPC_CheckField, 23, 9, 253, 3, 3, 1, // Skip to: 1055
 /* 796 */     MCD_OPC_CheckField, 4, 1, 0, 253, 0, // Skip to: 1055
-/* 802 */     MCD_OPC_Decode, 223, 5, 214, 2, // Opcode: VCVTNUD
+/* 802 */     MCD_OPC_Decode, 230, 5, 218, 2, // Opcode: VCVTNUD
 /* 807 */     MCD_OPC_FilterValue, 23, 244, 0, // Skip to: 1055
-/* 811 */     MCD_OPC_CheckPredicate, 48, 240, 0, // Skip to: 1055
+/* 811 */     MCD_OPC_CheckPredicate, 52, 240, 0, // Skip to: 1055
 /* 815 */     MCD_OPC_CheckField, 23, 9, 253, 3, 233, 0, // Skip to: 1055
 /* 822 */     MCD_OPC_CheckField, 4, 1, 0, 227, 0, // Skip to: 1055
-/* 828 */     MCD_OPC_Decode, 221, 5, 214, 2, // Opcode: VCVTNSD
+/* 828 */     MCD_OPC_Decode, 228, 5, 218, 2, // Opcode: VCVTNSD
 /* 833 */     MCD_OPC_FilterValue, 14, 107, 0, // Skip to: 944
 /* 837 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 840 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 866
-/* 844 */     MCD_OPC_CheckPredicate, 46, 207, 0, // Skip to: 1055
+/* 844 */     MCD_OPC_CheckPredicate, 50, 207, 0, // Skip to: 1055
 /* 848 */     MCD_OPC_CheckField, 23, 9, 253, 3, 200, 0, // Skip to: 1055
 /* 855 */     MCD_OPC_CheckField, 4, 1, 0, 194, 0, // Skip to: 1055
-/* 861 */     MCD_OPC_Decode, 232, 5, 213, 2, // Opcode: VCVTPUS
+/* 861 */     MCD_OPC_Decode, 239, 5, 217, 2, // Opcode: VCVTPUS
 /* 866 */     MCD_OPC_FilterValue, 21, 22, 0, // Skip to: 892
-/* 870 */     MCD_OPC_CheckPredicate, 46, 181, 0, // Skip to: 1055
+/* 870 */     MCD_OPC_CheckPredicate, 50, 181, 0, // Skip to: 1055
 /* 874 */     MCD_OPC_CheckField, 23, 9, 253, 3, 174, 0, // Skip to: 1055
 /* 881 */     MCD_OPC_CheckField, 4, 1, 0, 168, 0, // Skip to: 1055
-/* 887 */     MCD_OPC_Decode, 230, 5, 213, 2, // Opcode: VCVTPSS
+/* 887 */     MCD_OPC_Decode, 237, 5, 217, 2, // Opcode: VCVTPSS
 /* 892 */     MCD_OPC_FilterValue, 22, 22, 0, // Skip to: 918
-/* 896 */     MCD_OPC_CheckPredicate, 48, 155, 0, // Skip to: 1055
+/* 896 */     MCD_OPC_CheckPredicate, 52, 155, 0, // Skip to: 1055
 /* 900 */     MCD_OPC_CheckField, 23, 9, 253, 3, 148, 0, // Skip to: 1055
 /* 907 */     MCD_OPC_CheckField, 4, 1, 0, 142, 0, // Skip to: 1055
-/* 913 */     MCD_OPC_Decode, 231, 5, 214, 2, // Opcode: VCVTPUD
+/* 913 */     MCD_OPC_Decode, 238, 5, 218, 2, // Opcode: VCVTPUD
 /* 918 */     MCD_OPC_FilterValue, 23, 133, 0, // Skip to: 1055
-/* 922 */     MCD_OPC_CheckPredicate, 48, 129, 0, // Skip to: 1055
+/* 922 */     MCD_OPC_CheckPredicate, 52, 129, 0, // Skip to: 1055
 /* 926 */     MCD_OPC_CheckField, 23, 9, 253, 3, 122, 0, // Skip to: 1055
 /* 933 */     MCD_OPC_CheckField, 4, 1, 0, 116, 0, // Skip to: 1055
-/* 939 */     MCD_OPC_Decode, 229, 5, 214, 2, // Opcode: VCVTPSD
+/* 939 */     MCD_OPC_Decode, 236, 5, 218, 2, // Opcode: VCVTPSD
 /* 944 */     MCD_OPC_FilterValue, 15, 107, 0, // Skip to: 1055
 /* 948 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
 /* 951 */     MCD_OPC_FilterValue, 20, 22, 0, // Skip to: 977
-/* 955 */     MCD_OPC_CheckPredicate, 46, 96, 0, // Skip to: 1055
+/* 955 */     MCD_OPC_CheckPredicate, 50, 96, 0, // Skip to: 1055
 /* 959 */     MCD_OPC_CheckField, 23, 9, 253, 3, 89, 0, // Skip to: 1055
 /* 966 */     MCD_OPC_CheckField, 4, 1, 0, 83, 0, // Skip to: 1055
-/* 972 */     MCD_OPC_Decode, 216, 5, 213, 2, // Opcode: VCVTMUS
+/* 972 */     MCD_OPC_Decode, 223, 5, 217, 2, // Opcode: VCVTMUS
 /* 977 */     MCD_OPC_FilterValue, 21, 22, 0, // Skip to: 1003
-/* 981 */     MCD_OPC_CheckPredicate, 46, 70, 0, // Skip to: 1055
+/* 981 */     MCD_OPC_CheckPredicate, 50, 70, 0, // Skip to: 1055
 /* 985 */     MCD_OPC_CheckField, 23, 9, 253, 3, 63, 0, // Skip to: 1055
 /* 992 */     MCD_OPC_CheckField, 4, 1, 0, 57, 0, // Skip to: 1055
-/* 998 */     MCD_OPC_Decode, 214, 5, 213, 2, // Opcode: VCVTMSS
+/* 998 */     MCD_OPC_Decode, 221, 5, 217, 2, // Opcode: VCVTMSS
 /* 1003 */    MCD_OPC_FilterValue, 22, 22, 0, // Skip to: 1029
-/* 1007 */    MCD_OPC_CheckPredicate, 48, 44, 0, // Skip to: 1055
+/* 1007 */    MCD_OPC_CheckPredicate, 52, 44, 0, // Skip to: 1055
 /* 1011 */    MCD_OPC_CheckField, 23, 9, 253, 3, 37, 0, // Skip to: 1055
 /* 1018 */    MCD_OPC_CheckField, 4, 1, 0, 31, 0, // Skip to: 1055
-/* 1024 */    MCD_OPC_Decode, 215, 5, 214, 2, // Opcode: VCVTMUD
+/* 1024 */    MCD_OPC_Decode, 222, 5, 218, 2, // Opcode: VCVTMUD
 /* 1029 */    MCD_OPC_FilterValue, 23, 22, 0, // Skip to: 1055
-/* 1033 */    MCD_OPC_CheckPredicate, 48, 18, 0, // Skip to: 1055
+/* 1033 */    MCD_OPC_CheckPredicate, 52, 18, 0, // Skip to: 1055
 /* 1037 */    MCD_OPC_CheckField, 23, 9, 253, 3, 11, 0, // Skip to: 1055
 /* 1044 */    MCD_OPC_CheckField, 4, 1, 0, 5, 0, // Skip to: 1055
-/* 1050 */    MCD_OPC_Decode, 213, 5, 214, 2, // Opcode: VCVTMSD
+/* 1050 */    MCD_OPC_Decode, 220, 5, 218, 2, // Opcode: VCVTMSD
 /* 1055 */    MCD_OPC_Fail,
   0
 };
@@ -9662,98 +9700,98 @@ static const uint8_t DecoderTablev8Crypt
 /* 3 */       MCD_OPC_FilterValue, 0, 65, 0, // Skip to: 72
 /* 7 */       MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 10 */      MCD_OPC_FilterValue, 228, 3, 26, 0, // Skip to: 41
-/* 15 */      MCD_OPC_CheckPredicate, 16, 193, 1, // Skip to: 468
+/* 15 */      MCD_OPC_CheckPredicate, 17, 193, 1, // Skip to: 468
 /* 19 */      MCD_OPC_CheckField, 8, 4, 12, 187, 1, // Skip to: 468
 /* 25 */      MCD_OPC_CheckField, 6, 1, 1, 181, 1, // Skip to: 468
 /* 31 */      MCD_OPC_CheckField, 4, 1, 0, 175, 1, // Skip to: 468
-/* 37 */      MCD_OPC_Decode, 186, 2, 103, // Opcode: SHA1C
+/* 37 */      MCD_OPC_Decode, 192, 2, 105, // Opcode: SHA1C
 /* 41 */      MCD_OPC_FilterValue, 230, 3, 166, 1, // Skip to: 468
-/* 46 */      MCD_OPC_CheckPredicate, 16, 162, 1, // Skip to: 468
+/* 46 */      MCD_OPC_CheckPredicate, 17, 162, 1, // Skip to: 468
 /* 50 */      MCD_OPC_CheckField, 8, 4, 12, 156, 1, // Skip to: 468
 /* 56 */      MCD_OPC_CheckField, 6, 1, 1, 150, 1, // Skip to: 468
 /* 62 */      MCD_OPC_CheckField, 4, 1, 0, 144, 1, // Skip to: 468
-/* 68 */      MCD_OPC_Decode, 192, 2, 103, // Opcode: SHA256H
+/* 68 */      MCD_OPC_Decode, 198, 2, 105, // Opcode: SHA256H
 /* 72 */      MCD_OPC_FilterValue, 1, 65, 0, // Skip to: 141
 /* 76 */      MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 79 */      MCD_OPC_FilterValue, 228, 3, 26, 0, // Skip to: 110
-/* 84 */      MCD_OPC_CheckPredicate, 16, 124, 1, // Skip to: 468
+/* 84 */      MCD_OPC_CheckPredicate, 17, 124, 1, // Skip to: 468
 /* 88 */      MCD_OPC_CheckField, 8, 4, 12, 118, 1, // Skip to: 468
 /* 94 */      MCD_OPC_CheckField, 6, 1, 1, 112, 1, // Skip to: 468
 /* 100 */     MCD_OPC_CheckField, 4, 1, 0, 106, 1, // Skip to: 468
-/* 106 */     MCD_OPC_Decode, 189, 2, 103, // Opcode: SHA1P
+/* 106 */     MCD_OPC_Decode, 195, 2, 105, // Opcode: SHA1P
 /* 110 */     MCD_OPC_FilterValue, 230, 3, 97, 1, // Skip to: 468
-/* 115 */     MCD_OPC_CheckPredicate, 16, 93, 1, // Skip to: 468
+/* 115 */     MCD_OPC_CheckPredicate, 17, 93, 1, // Skip to: 468
 /* 119 */     MCD_OPC_CheckField, 8, 4, 12, 87, 1, // Skip to: 468
 /* 125 */     MCD_OPC_CheckField, 6, 1, 1, 81, 1, // Skip to: 468
 /* 131 */     MCD_OPC_CheckField, 4, 1, 0, 75, 1, // Skip to: 468
-/* 137 */     MCD_OPC_Decode, 193, 2, 103, // Opcode: SHA256H2
+/* 137 */     MCD_OPC_Decode, 199, 2, 105, // Opcode: SHA256H2
 /* 141 */     MCD_OPC_FilterValue, 2, 65, 0, // Skip to: 210
 /* 145 */     MCD_OPC_ExtractField, 23, 9,  // Inst{31-23} ...
 /* 148 */     MCD_OPC_FilterValue, 228, 3, 26, 0, // Skip to: 179
-/* 153 */     MCD_OPC_CheckPredicate, 16, 55, 1, // Skip to: 468
+/* 153 */     MCD_OPC_CheckPredicate, 17, 55, 1, // Skip to: 468
 /* 157 */     MCD_OPC_CheckField, 8, 4, 12, 49, 1, // Skip to: 468
 /* 163 */     MCD_OPC_CheckField, 6, 1, 1, 43, 1, // Skip to: 468
 /* 169 */     MCD_OPC_CheckField, 4, 1, 0, 37, 1, // Skip to: 468
-/* 175 */     MCD_OPC_Decode, 188, 2, 103, // Opcode: SHA1M
+/* 175 */     MCD_OPC_Decode, 194, 2, 105, // Opcode: SHA1M
 /* 179 */     MCD_OPC_FilterValue, 230, 3, 28, 1, // Skip to: 468
-/* 184 */     MCD_OPC_CheckPredicate, 16, 24, 1, // Skip to: 468
+/* 184 */     MCD_OPC_CheckPredicate, 17, 24, 1, // Skip to: 468
 /* 188 */     MCD_OPC_CheckField, 8, 4, 12, 18, 1, // Skip to: 468
 /* 194 */     MCD_OPC_CheckField, 6, 1, 1, 12, 1, // Skip to: 468
 /* 200 */     MCD_OPC_CheckField, 4, 1, 0, 6, 1, // Skip to: 468
-/* 206 */     MCD_OPC_Decode, 195, 2, 103, // Opcode: SHA256SU1
+/* 206 */     MCD_OPC_Decode, 201, 2, 105, // Opcode: SHA256SU1
 /* 210 */     MCD_OPC_FilterValue, 3, 254, 0, // Skip to: 468
 /* 214 */     MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 217 */     MCD_OPC_FilterValue, 2, 33, 0, // Skip to: 254
-/* 221 */     MCD_OPC_CheckPredicate, 16, 243, 0, // Skip to: 468
+/* 221 */     MCD_OPC_CheckPredicate, 17, 243, 0, // Skip to: 468
 /* 225 */     MCD_OPC_CheckField, 23, 9, 231, 3, 236, 0, // Skip to: 468
 /* 232 */     MCD_OPC_CheckField, 16, 4, 9, 230, 0, // Skip to: 468
 /* 238 */     MCD_OPC_CheckField, 6, 2, 3, 224, 0, // Skip to: 468
 /* 244 */     MCD_OPC_CheckField, 4, 1, 0, 218, 0, // Skip to: 468
-/* 250 */     MCD_OPC_Decode, 187, 2, 124, // Opcode: SHA1H
+/* 250 */     MCD_OPC_Decode, 193, 2, 126, // Opcode: SHA1H
 /* 254 */     MCD_OPC_FilterValue, 3, 179, 0, // Skip to: 437
 /* 258 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 261 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 292
-/* 265 */     MCD_OPC_CheckPredicate, 16, 199, 0, // Skip to: 468
+/* 265 */     MCD_OPC_CheckPredicate, 17, 199, 0, // Skip to: 468
 /* 269 */     MCD_OPC_CheckField, 23, 9, 231, 3, 192, 0, // Skip to: 468
 /* 276 */     MCD_OPC_CheckField, 16, 4, 0, 186, 0, // Skip to: 468
 /* 282 */     MCD_OPC_CheckField, 4, 1, 0, 180, 0, // Skip to: 468
-/* 288 */     MCD_OPC_Decode, 37, 130, 1, // Opcode: AESE
+/* 288 */     MCD_OPC_Decode, 39, 132, 1, // Opcode: AESE
 /* 292 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 323
-/* 296 */     MCD_OPC_CheckPredicate, 16, 168, 0, // Skip to: 468
+/* 296 */     MCD_OPC_CheckPredicate, 17, 168, 0, // Skip to: 468
 /* 300 */     MCD_OPC_CheckField, 23, 9, 231, 3, 161, 0, // Skip to: 468
 /* 307 */     MCD_OPC_CheckField, 16, 4, 0, 155, 0, // Skip to: 468
 /* 313 */     MCD_OPC_CheckField, 4, 1, 0, 149, 0, // Skip to: 468
-/* 319 */     MCD_OPC_Decode, 36, 130, 1, // Opcode: AESD
+/* 319 */     MCD_OPC_Decode, 38, 132, 1, // Opcode: AESD
 /* 323 */     MCD_OPC_FilterValue, 2, 53, 0, // Skip to: 380
 /* 327 */     MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 330 */     MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 354
-/* 334 */     MCD_OPC_CheckPredicate, 16, 130, 0, // Skip to: 468
+/* 334 */     MCD_OPC_CheckPredicate, 17, 130, 0, // Skip to: 468
 /* 338 */     MCD_OPC_CheckField, 23, 9, 231, 3, 123, 0, // Skip to: 468
 /* 345 */     MCD_OPC_CheckField, 4, 1, 0, 117, 0, // Skip to: 468
-/* 351 */     MCD_OPC_Decode, 39, 124, // Opcode: AESMC
+/* 351 */     MCD_OPC_Decode, 41, 126, // Opcode: AESMC
 /* 354 */     MCD_OPC_FilterValue, 10, 110, 0, // Skip to: 468
-/* 358 */     MCD_OPC_CheckPredicate, 16, 106, 0, // Skip to: 468
+/* 358 */     MCD_OPC_CheckPredicate, 17, 106, 0, // Skip to: 468
 /* 362 */     MCD_OPC_CheckField, 23, 9, 231, 3, 99, 0, // Skip to: 468
 /* 369 */     MCD_OPC_CheckField, 4, 1, 0, 93, 0, // Skip to: 468
-/* 375 */     MCD_OPC_Decode, 191, 2, 130, 1, // Opcode: SHA1SU1
+/* 375 */     MCD_OPC_Decode, 197, 2, 132, 1, // Opcode: SHA1SU1
 /* 380 */     MCD_OPC_FilterValue, 3, 84, 0, // Skip to: 468
 /* 384 */     MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 387 */     MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 411
-/* 391 */     MCD_OPC_CheckPredicate, 16, 73, 0, // Skip to: 468
+/* 391 */     MCD_OPC_CheckPredicate, 17, 73, 0, // Skip to: 468
 /* 395 */     MCD_OPC_CheckField, 23, 9, 231, 3, 66, 0, // Skip to: 468
 /* 402 */     MCD_OPC_CheckField, 4, 1, 0, 60, 0, // Skip to: 468
-/* 408 */     MCD_OPC_Decode, 38, 124, // Opcode: AESIMC
+/* 408 */     MCD_OPC_Decode, 40, 126, // Opcode: AESIMC
 /* 411 */     MCD_OPC_FilterValue, 10, 53, 0, // Skip to: 468
-/* 415 */     MCD_OPC_CheckPredicate, 16, 49, 0, // Skip to: 468
+/* 415 */     MCD_OPC_CheckPredicate, 17, 49, 0, // Skip to: 468
 /* 419 */     MCD_OPC_CheckField, 23, 9, 231, 3, 42, 0, // Skip to: 468
 /* 426 */     MCD_OPC_CheckField, 4, 1, 0, 36, 0, // Skip to: 468
-/* 432 */     MCD_OPC_Decode, 194, 2, 130, 1, // Opcode: SHA256SU0
+/* 432 */     MCD_OPC_Decode, 200, 2, 132, 1, // Opcode: SHA256SU0
 /* 437 */     MCD_OPC_FilterValue, 12, 27, 0, // Skip to: 468
-/* 441 */     MCD_OPC_CheckPredicate, 16, 23, 0, // Skip to: 468
+/* 441 */     MCD_OPC_CheckPredicate, 17, 23, 0, // Skip to: 468
 /* 445 */     MCD_OPC_CheckField, 23, 9, 228, 3, 16, 0, // Skip to: 468
 /* 452 */     MCD_OPC_CheckField, 6, 1, 1, 10, 0, // Skip to: 468
 /* 458 */     MCD_OPC_CheckField, 4, 1, 0, 4, 0, // Skip to: 468
-/* 464 */     MCD_OPC_Decode, 190, 2, 103, // Opcode: SHA1SU0
+/* 464 */     MCD_OPC_Decode, 196, 2, 105, // Opcode: SHA1SU0
 /* 468 */     MCD_OPC_Fail,
   0
 };
@@ -9763,213 +9801,213 @@ static const uint8_t DecoderTablev8NEON3
 /* 3 */       MCD_OPC_FilterValue, 0, 127, 0, // Skip to: 134
 /* 7 */       MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 10 */      MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 41
-/* 14 */      MCD_OPC_CheckPredicate, 49, 6, 4, // Skip to: 1048
+/* 14 */      MCD_OPC_CheckPredicate, 53, 6, 4, // Skip to: 1048
 /* 18 */      MCD_OPC_CheckField, 23, 9, 231, 3, 255, 3, // Skip to: 1048
 /* 25 */      MCD_OPC_CheckField, 16, 6, 59, 249, 3, // Skip to: 1048
 /* 31 */      MCD_OPC_CheckField, 4, 1, 0, 243, 3, // Skip to: 1048
-/* 37 */      MCD_OPC_Decode, 196, 5, 123, // Opcode: VCVTANSD
+/* 37 */      MCD_OPC_Decode, 203, 5, 125, // Opcode: VCVTANSD
 /* 41 */      MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 72
-/* 45 */      MCD_OPC_CheckPredicate, 49, 231, 3, // Skip to: 1048
+/* 45 */      MCD_OPC_CheckPredicate, 53, 231, 3, // Skip to: 1048
 /* 49 */      MCD_OPC_CheckField, 23, 9, 231, 3, 224, 3, // Skip to: 1048
 /* 56 */      MCD_OPC_CheckField, 16, 6, 59, 218, 3, // Skip to: 1048
 /* 62 */      MCD_OPC_CheckField, 4, 1, 0, 212, 3, // Skip to: 1048
-/* 68 */      MCD_OPC_Decode, 197, 5, 124, // Opcode: VCVTANSQ
+/* 68 */      MCD_OPC_Decode, 204, 5, 126, // Opcode: VCVTANSQ
 /* 72 */      MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 103
-/* 76 */      MCD_OPC_CheckPredicate, 49, 200, 3, // Skip to: 1048
+/* 76 */      MCD_OPC_CheckPredicate, 53, 200, 3, // Skip to: 1048
 /* 80 */      MCD_OPC_CheckField, 23, 9, 231, 3, 193, 3, // Skip to: 1048
 /* 87 */      MCD_OPC_CheckField, 16, 6, 59, 187, 3, // Skip to: 1048
 /* 93 */      MCD_OPC_CheckField, 4, 1, 0, 181, 3, // Skip to: 1048
-/* 99 */      MCD_OPC_Decode, 198, 5, 123, // Opcode: VCVTANUD
+/* 99 */      MCD_OPC_Decode, 205, 5, 125, // Opcode: VCVTANUD
 /* 103 */     MCD_OPC_FilterValue, 3, 173, 3, // Skip to: 1048
-/* 107 */     MCD_OPC_CheckPredicate, 49, 169, 3, // Skip to: 1048
+/* 107 */     MCD_OPC_CheckPredicate, 53, 169, 3, // Skip to: 1048
 /* 111 */     MCD_OPC_CheckField, 23, 9, 231, 3, 162, 3, // Skip to: 1048
 /* 118 */     MCD_OPC_CheckField, 16, 6, 59, 156, 3, // Skip to: 1048
 /* 124 */     MCD_OPC_CheckField, 4, 1, 0, 150, 3, // Skip to: 1048
-/* 130 */     MCD_OPC_Decode, 199, 5, 124, // Opcode: VCVTANUQ
+/* 130 */     MCD_OPC_Decode, 206, 5, 126, // Opcode: VCVTANUQ
 /* 134 */     MCD_OPC_FilterValue, 1, 127, 0, // Skip to: 265
 /* 138 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 141 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 172
-/* 145 */     MCD_OPC_CheckPredicate, 49, 131, 3, // Skip to: 1048
+/* 145 */     MCD_OPC_CheckPredicate, 53, 131, 3, // Skip to: 1048
 /* 149 */     MCD_OPC_CheckField, 23, 9, 231, 3, 124, 3, // Skip to: 1048
 /* 156 */     MCD_OPC_CheckField, 16, 6, 59, 118, 3, // Skip to: 1048
 /* 162 */     MCD_OPC_CheckField, 4, 1, 0, 112, 3, // Skip to: 1048
-/* 168 */     MCD_OPC_Decode, 217, 5, 123, // Opcode: VCVTNNSD
+/* 168 */     MCD_OPC_Decode, 224, 5, 125, // Opcode: VCVTNNSD
 /* 172 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 203
-/* 176 */     MCD_OPC_CheckPredicate, 49, 100, 3, // Skip to: 1048
+/* 176 */     MCD_OPC_CheckPredicate, 53, 100, 3, // Skip to: 1048
 /* 180 */     MCD_OPC_CheckField, 23, 9, 231, 3, 93, 3, // Skip to: 1048
 /* 187 */     MCD_OPC_CheckField, 16, 6, 59, 87, 3, // Skip to: 1048
 /* 193 */     MCD_OPC_CheckField, 4, 1, 0, 81, 3, // Skip to: 1048
-/* 199 */     MCD_OPC_Decode, 218, 5, 124, // Opcode: VCVTNNSQ
+/* 199 */     MCD_OPC_Decode, 225, 5, 126, // Opcode: VCVTNNSQ
 /* 203 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 234
-/* 207 */     MCD_OPC_CheckPredicate, 49, 69, 3, // Skip to: 1048
+/* 207 */     MCD_OPC_CheckPredicate, 53, 69, 3, // Skip to: 1048
 /* 211 */     MCD_OPC_CheckField, 23, 9, 231, 3, 62, 3, // Skip to: 1048
 /* 218 */     MCD_OPC_CheckField, 16, 6, 59, 56, 3, // Skip to: 1048
 /* 224 */     MCD_OPC_CheckField, 4, 1, 0, 50, 3, // Skip to: 1048
-/* 230 */     MCD_OPC_Decode, 219, 5, 123, // Opcode: VCVTNNUD
+/* 230 */     MCD_OPC_Decode, 226, 5, 125, // Opcode: VCVTNNUD
 /* 234 */     MCD_OPC_FilterValue, 3, 42, 3, // Skip to: 1048
-/* 238 */     MCD_OPC_CheckPredicate, 49, 38, 3, // Skip to: 1048
+/* 238 */     MCD_OPC_CheckPredicate, 53, 38, 3, // Skip to: 1048
 /* 242 */     MCD_OPC_CheckField, 23, 9, 231, 3, 31, 3, // Skip to: 1048
 /* 249 */     MCD_OPC_CheckField, 16, 6, 59, 25, 3, // Skip to: 1048
 /* 255 */     MCD_OPC_CheckField, 4, 1, 0, 19, 3, // Skip to: 1048
-/* 261 */     MCD_OPC_Decode, 220, 5, 124, // Opcode: VCVTNNUQ
+/* 261 */     MCD_OPC_Decode, 227, 5, 126, // Opcode: VCVTNNUQ
 /* 265 */     MCD_OPC_FilterValue, 2, 127, 0, // Skip to: 396
 /* 269 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 272 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 303
-/* 276 */     MCD_OPC_CheckPredicate, 49, 0, 3, // Skip to: 1048
+/* 276 */     MCD_OPC_CheckPredicate, 53, 0, 3, // Skip to: 1048
 /* 280 */     MCD_OPC_CheckField, 23, 9, 231, 3, 249, 2, // Skip to: 1048
 /* 287 */     MCD_OPC_CheckField, 16, 6, 59, 243, 2, // Skip to: 1048
 /* 293 */     MCD_OPC_CheckField, 4, 1, 0, 237, 2, // Skip to: 1048
-/* 299 */     MCD_OPC_Decode, 225, 5, 123, // Opcode: VCVTPNSD
+/* 299 */     MCD_OPC_Decode, 232, 5, 125, // Opcode: VCVTPNSD
 /* 303 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 334
-/* 307 */     MCD_OPC_CheckPredicate, 49, 225, 2, // Skip to: 1048
+/* 307 */     MCD_OPC_CheckPredicate, 53, 225, 2, // Skip to: 1048
 /* 311 */     MCD_OPC_CheckField, 23, 9, 231, 3, 218, 2, // Skip to: 1048
 /* 318 */     MCD_OPC_CheckField, 16, 6, 59, 212, 2, // Skip to: 1048
 /* 324 */     MCD_OPC_CheckField, 4, 1, 0, 206, 2, // Skip to: 1048
-/* 330 */     MCD_OPC_Decode, 226, 5, 124, // Opcode: VCVTPNSQ
+/* 330 */     MCD_OPC_Decode, 233, 5, 126, // Opcode: VCVTPNSQ
 /* 334 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 365
-/* 338 */     MCD_OPC_CheckPredicate, 49, 194, 2, // Skip to: 1048
+/* 338 */     MCD_OPC_CheckPredicate, 53, 194, 2, // Skip to: 1048
 /* 342 */     MCD_OPC_CheckField, 23, 9, 231, 3, 187, 2, // Skip to: 1048
 /* 349 */     MCD_OPC_CheckField, 16, 6, 59, 181, 2, // Skip to: 1048
 /* 355 */     MCD_OPC_CheckField, 4, 1, 0, 175, 2, // Skip to: 1048
-/* 361 */     MCD_OPC_Decode, 227, 5, 123, // Opcode: VCVTPNUD
+/* 361 */     MCD_OPC_Decode, 234, 5, 125, // Opcode: VCVTPNUD
 /* 365 */     MCD_OPC_FilterValue, 3, 167, 2, // Skip to: 1048
-/* 369 */     MCD_OPC_CheckPredicate, 49, 163, 2, // Skip to: 1048
+/* 369 */     MCD_OPC_CheckPredicate, 53, 163, 2, // Skip to: 1048
 /* 373 */     MCD_OPC_CheckField, 23, 9, 231, 3, 156, 2, // Skip to: 1048
 /* 380 */     MCD_OPC_CheckField, 16, 6, 59, 150, 2, // Skip to: 1048
 /* 386 */     MCD_OPC_CheckField, 4, 1, 0, 144, 2, // Skip to: 1048
-/* 392 */     MCD_OPC_Decode, 228, 5, 124, // Opcode: VCVTPNUQ
+/* 392 */     MCD_OPC_Decode, 235, 5, 126, // Opcode: VCVTPNUQ
 /* 396 */     MCD_OPC_FilterValue, 3, 127, 0, // Skip to: 527
 /* 400 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 403 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 434
-/* 407 */     MCD_OPC_CheckPredicate, 49, 125, 2, // Skip to: 1048
+/* 407 */     MCD_OPC_CheckPredicate, 53, 125, 2, // Skip to: 1048
 /* 411 */     MCD_OPC_CheckField, 23, 9, 231, 3, 118, 2, // Skip to: 1048
 /* 418 */     MCD_OPC_CheckField, 16, 6, 59, 112, 2, // Skip to: 1048
 /* 424 */     MCD_OPC_CheckField, 4, 1, 0, 106, 2, // Skip to: 1048
-/* 430 */     MCD_OPC_Decode, 209, 5, 123, // Opcode: VCVTMNSD
+/* 430 */     MCD_OPC_Decode, 216, 5, 125, // Opcode: VCVTMNSD
 /* 434 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 465
-/* 438 */     MCD_OPC_CheckPredicate, 49, 94, 2, // Skip to: 1048
+/* 438 */     MCD_OPC_CheckPredicate, 53, 94, 2, // Skip to: 1048
 /* 442 */     MCD_OPC_CheckField, 23, 9, 231, 3, 87, 2, // Skip to: 1048
 /* 449 */     MCD_OPC_CheckField, 16, 6, 59, 81, 2, // Skip to: 1048
 /* 455 */     MCD_OPC_CheckField, 4, 1, 0, 75, 2, // Skip to: 1048
-/* 461 */     MCD_OPC_Decode, 210, 5, 124, // Opcode: VCVTMNSQ
+/* 461 */     MCD_OPC_Decode, 217, 5, 126, // Opcode: VCVTMNSQ
 /* 465 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 496
-/* 469 */     MCD_OPC_CheckPredicate, 49, 63, 2, // Skip to: 1048
+/* 469 */     MCD_OPC_CheckPredicate, 53, 63, 2, // Skip to: 1048
 /* 473 */     MCD_OPC_CheckField, 23, 9, 231, 3, 56, 2, // Skip to: 1048
 /* 480 */     MCD_OPC_CheckField, 16, 6, 59, 50, 2, // Skip to: 1048
 /* 486 */     MCD_OPC_CheckField, 4, 1, 0, 44, 2, // Skip to: 1048
-/* 492 */     MCD_OPC_Decode, 211, 5, 123, // Opcode: VCVTMNUD
+/* 492 */     MCD_OPC_Decode, 218, 5, 125, // Opcode: VCVTMNUD
 /* 496 */     MCD_OPC_FilterValue, 3, 36, 2, // Skip to: 1048
-/* 500 */     MCD_OPC_CheckPredicate, 49, 32, 2, // Skip to: 1048
+/* 500 */     MCD_OPC_CheckPredicate, 53, 32, 2, // Skip to: 1048
 /* 504 */     MCD_OPC_CheckField, 23, 9, 231, 3, 25, 2, // Skip to: 1048
 /* 511 */     MCD_OPC_CheckField, 16, 6, 59, 19, 2, // Skip to: 1048
 /* 517 */     MCD_OPC_CheckField, 4, 1, 0, 13, 2, // Skip to: 1048
-/* 523 */     MCD_OPC_Decode, 212, 5, 124, // Opcode: VCVTMNUQ
+/* 523 */     MCD_OPC_Decode, 219, 5, 126, // Opcode: VCVTMNUQ
 /* 527 */     MCD_OPC_FilterValue, 4, 127, 0, // Skip to: 658
 /* 531 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 534 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 565
-/* 538 */     MCD_OPC_CheckPredicate, 49, 250, 1, // Skip to: 1048
+/* 538 */     MCD_OPC_CheckPredicate, 53, 250, 1, // Skip to: 1048
 /* 542 */     MCD_OPC_CheckField, 23, 9, 231, 3, 243, 1, // Skip to: 1048
 /* 549 */     MCD_OPC_CheckField, 16, 6, 58, 237, 1, // Skip to: 1048
 /* 555 */     MCD_OPC_CheckField, 4, 1, 0, 231, 1, // Skip to: 1048
-/* 561 */     MCD_OPC_Decode, 150, 13, 123, // Opcode: VRINTNND
+/* 561 */     MCD_OPC_Decode, 157, 13, 125, // Opcode: VRINTNND
 /* 565 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 596
-/* 569 */     MCD_OPC_CheckPredicate, 49, 219, 1, // Skip to: 1048
+/* 569 */     MCD_OPC_CheckPredicate, 53, 219, 1, // Skip to: 1048
 /* 573 */     MCD_OPC_CheckField, 23, 9, 231, 3, 212, 1, // Skip to: 1048
 /* 580 */     MCD_OPC_CheckField, 16, 6, 58, 206, 1, // Skip to: 1048
 /* 586 */     MCD_OPC_CheckField, 4, 1, 0, 200, 1, // Skip to: 1048
-/* 592 */     MCD_OPC_Decode, 151, 13, 124, // Opcode: VRINTNNQ
+/* 592 */     MCD_OPC_Decode, 158, 13, 126, // Opcode: VRINTNNQ
 /* 596 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 627
-/* 600 */     MCD_OPC_CheckPredicate, 49, 188, 1, // Skip to: 1048
+/* 600 */     MCD_OPC_CheckPredicate, 53, 188, 1, // Skip to: 1048
 /* 604 */     MCD_OPC_CheckField, 23, 9, 231, 3, 181, 1, // Skip to: 1048
 /* 611 */     MCD_OPC_CheckField, 16, 6, 58, 175, 1, // Skip to: 1048
 /* 617 */     MCD_OPC_CheckField, 4, 1, 0, 169, 1, // Skip to: 1048
-/* 623 */     MCD_OPC_Decode, 160, 13, 123, // Opcode: VRINTXND
+/* 623 */     MCD_OPC_Decode, 167, 13, 125, // Opcode: VRINTXND
 /* 627 */     MCD_OPC_FilterValue, 3, 161, 1, // Skip to: 1048
-/* 631 */     MCD_OPC_CheckPredicate, 49, 157, 1, // Skip to: 1048
+/* 631 */     MCD_OPC_CheckPredicate, 53, 157, 1, // Skip to: 1048
 /* 635 */     MCD_OPC_CheckField, 23, 9, 231, 3, 150, 1, // Skip to: 1048
 /* 642 */     MCD_OPC_CheckField, 16, 6, 58, 144, 1, // Skip to: 1048
 /* 648 */     MCD_OPC_CheckField, 4, 1, 0, 138, 1, // Skip to: 1048
-/* 654 */     MCD_OPC_Decode, 161, 13, 124, // Opcode: VRINTXNQ
+/* 654 */     MCD_OPC_Decode, 168, 13, 126, // Opcode: VRINTXNQ
 /* 658 */     MCD_OPC_FilterValue, 5, 127, 0, // Skip to: 789
 /* 662 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 665 */     MCD_OPC_FilterValue, 0, 27, 0, // Skip to: 696
-/* 669 */     MCD_OPC_CheckPredicate, 49, 119, 1, // Skip to: 1048
+/* 669 */     MCD_OPC_CheckPredicate, 53, 119, 1, // Skip to: 1048
 /* 673 */     MCD_OPC_CheckField, 23, 9, 231, 3, 112, 1, // Skip to: 1048
 /* 680 */     MCD_OPC_CheckField, 16, 6, 58, 106, 1, // Skip to: 1048
 /* 686 */     MCD_OPC_CheckField, 4, 1, 0, 100, 1, // Skip to: 1048
-/* 692 */     MCD_OPC_Decode, 142, 13, 123, // Opcode: VRINTAND
+/* 692 */     MCD_OPC_Decode, 149, 13, 125, // Opcode: VRINTAND
 /* 696 */     MCD_OPC_FilterValue, 1, 27, 0, // Skip to: 727
-/* 700 */     MCD_OPC_CheckPredicate, 49, 88, 1, // Skip to: 1048
+/* 700 */     MCD_OPC_CheckPredicate, 53, 88, 1, // Skip to: 1048
 /* 704 */     MCD_OPC_CheckField, 23, 9, 231, 3, 81, 1, // Skip to: 1048
 /* 711 */     MCD_OPC_CheckField, 16, 6, 58, 75, 1, // Skip to: 1048
 /* 717 */     MCD_OPC_CheckField, 4, 1, 0, 69, 1, // Skip to: 1048
-/* 723 */     MCD_OPC_Decode, 143, 13, 124, // Opcode: VRINTANQ
+/* 723 */     MCD_OPC_Decode, 150, 13, 126, // Opcode: VRINTANQ
 /* 727 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 758
-/* 731 */     MCD_OPC_CheckPredicate, 49, 57, 1, // Skip to: 1048
+/* 731 */     MCD_OPC_CheckPredicate, 53, 57, 1, // Skip to: 1048
 /* 735 */     MCD_OPC_CheckField, 23, 9, 231, 3, 50, 1, // Skip to: 1048
 /* 742 */     MCD_OPC_CheckField, 16, 6, 58, 44, 1, // Skip to: 1048
 /* 748 */     MCD_OPC_CheckField, 4, 1, 0, 38, 1, // Skip to: 1048
-/* 754 */     MCD_OPC_Decode, 164, 13, 123, // Opcode: VRINTZND
+/* 754 */     MCD_OPC_Decode, 171, 13, 125, // Opcode: VRINTZND
 /* 758 */     MCD_OPC_FilterValue, 3, 30, 1, // Skip to: 1048
-/* 762 */     MCD_OPC_CheckPredicate, 49, 26, 1, // Skip to: 1048
+/* 762 */     MCD_OPC_CheckPredicate, 53, 26, 1, // Skip to: 1048
 /* 766 */     MCD_OPC_CheckField, 23, 9, 231, 3, 19, 1, // Skip to: 1048
 /* 773 */     MCD_OPC_CheckField, 16, 6, 58, 13, 1, // Skip to: 1048
 /* 779 */     MCD_OPC_CheckField, 4, 1, 0, 7, 1, // Skip to: 1048
-/* 785 */     MCD_OPC_Decode, 165, 13, 124, // Opcode: VRINTZNQ
+/* 785 */     MCD_OPC_Decode, 172, 13, 126, // Opcode: VRINTZNQ
 /* 789 */     MCD_OPC_FilterValue, 6, 65, 0, // Skip to: 858
 /* 793 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 796 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 827
-/* 800 */     MCD_OPC_CheckPredicate, 49, 244, 0, // Skip to: 1048
+/* 800 */     MCD_OPC_CheckPredicate, 53, 244, 0, // Skip to: 1048
 /* 804 */     MCD_OPC_CheckField, 23, 9, 231, 3, 237, 0, // Skip to: 1048
 /* 811 */     MCD_OPC_CheckField, 16, 6, 58, 231, 0, // Skip to: 1048
 /* 817 */     MCD_OPC_CheckField, 4, 1, 0, 225, 0, // Skip to: 1048
-/* 823 */     MCD_OPC_Decode, 146, 13, 123, // Opcode: VRINTMND
+/* 823 */     MCD_OPC_Decode, 153, 13, 125, // Opcode: VRINTMND
 /* 827 */     MCD_OPC_FilterValue, 3, 217, 0, // Skip to: 1048
-/* 831 */     MCD_OPC_CheckPredicate, 49, 213, 0, // Skip to: 1048
+/* 831 */     MCD_OPC_CheckPredicate, 53, 213, 0, // Skip to: 1048
 /* 835 */     MCD_OPC_CheckField, 23, 9, 231, 3, 206, 0, // Skip to: 1048
 /* 842 */     MCD_OPC_CheckField, 16, 6, 58, 200, 0, // Skip to: 1048
 /* 848 */     MCD_OPC_CheckField, 4, 1, 0, 194, 0, // Skip to: 1048
-/* 854 */     MCD_OPC_Decode, 147, 13, 124, // Opcode: VRINTMNQ
+/* 854 */     MCD_OPC_Decode, 154, 13, 126, // Opcode: VRINTMNQ
 /* 858 */     MCD_OPC_FilterValue, 7, 65, 0, // Skip to: 927
 /* 862 */     MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
 /* 865 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 896
-/* 869 */     MCD_OPC_CheckPredicate, 49, 175, 0, // Skip to: 1048
+/* 869 */     MCD_OPC_CheckPredicate, 53, 175, 0, // Skip to: 1048
 /* 873 */     MCD_OPC_CheckField, 23, 9, 231, 3, 168, 0, // Skip to: 1048
 /* 880 */     MCD_OPC_CheckField, 16, 6, 58, 162, 0, // Skip to: 1048
 /* 886 */     MCD_OPC_CheckField, 4, 1, 0, 156, 0, // Skip to: 1048
-/* 892 */     MCD_OPC_Decode, 154, 13, 123, // Opcode: VRINTPND
+/* 892 */     MCD_OPC_Decode, 161, 13, 125, // Opcode: VRINTPND
 /* 896 */     MCD_OPC_FilterValue, 3, 148, 0, // Skip to: 1048
-/* 900 */     MCD_OPC_CheckPredicate, 49, 144, 0, // Skip to: 1048
+/* 900 */     MCD_OPC_CheckPredicate, 53, 144, 0, // Skip to: 1048
 /* 904 */     MCD_OPC_CheckField, 23, 9, 231, 3, 137, 0, // Skip to: 1048
 /* 911 */     MCD_OPC_CheckField, 16, 6, 58, 131, 0, // Skip to: 1048
 /* 917 */     MCD_OPC_CheckField, 4, 1, 0, 125, 0, // Skip to: 1048
-/* 923 */     MCD_OPC_Decode, 155, 13, 124, // Opcode: VRINTPNQ
+/* 923 */     MCD_OPC_Decode, 162, 13, 126, // Opcode: VRINTPNQ
 /* 927 */     MCD_OPC_FilterValue, 15, 117, 0, // Skip to: 1048
 /* 931 */     MCD_OPC_ExtractField, 6, 1,  // Inst{6} ...
 /* 934 */     MCD_OPC_FilterValue, 0, 53, 0, // Skip to: 991
 /* 938 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 941 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 966
-/* 945 */     MCD_OPC_CheckPredicate, 49, 99, 0, // Skip to: 1048
+/* 945 */     MCD_OPC_CheckPredicate, 53, 99, 0, // Skip to: 1048
 /* 949 */     MCD_OPC_CheckField, 23, 9, 230, 3, 92, 0, // Skip to: 1048
 /* 956 */     MCD_OPC_CheckField, 4, 1, 1, 86, 0, // Skip to: 1048
-/* 962 */     MCD_OPC_Decode, 232, 9, 94, // Opcode: VMAXNMND
+/* 962 */     MCD_OPC_Decode, 239, 9, 96, // Opcode: VMAXNMND
 /* 966 */     MCD_OPC_FilterValue, 2, 78, 0, // Skip to: 1048
-/* 970 */     MCD_OPC_CheckPredicate, 49, 74, 0, // Skip to: 1048
+/* 970 */     MCD_OPC_CheckPredicate, 53, 74, 0, // Skip to: 1048
 /* 974 */     MCD_OPC_CheckField, 23, 9, 230, 3, 67, 0, // Skip to: 1048
 /* 981 */     MCD_OPC_CheckField, 4, 1, 1, 61, 0, // Skip to: 1048
-/* 987 */     MCD_OPC_Decode, 250, 9, 94, // Opcode: VMINNMND
+/* 987 */     MCD_OPC_Decode, 129, 10, 96, // Opcode: VMINNMND
 /* 991 */     MCD_OPC_FilterValue, 1, 53, 0, // Skip to: 1048
 /* 995 */     MCD_OPC_ExtractField, 20, 2,  // Inst{21-20} ...
 /* 998 */     MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1023
-/* 1002 */    MCD_OPC_CheckPredicate, 49, 42, 0, // Skip to: 1048
+/* 1002 */    MCD_OPC_CheckPredicate, 53, 42, 0, // Skip to: 1048
 /* 1006 */    MCD_OPC_CheckField, 23, 9, 230, 3, 35, 0, // Skip to: 1048
 /* 1013 */    MCD_OPC_CheckField, 4, 1, 1, 29, 0, // Skip to: 1048
-/* 1019 */    MCD_OPC_Decode, 233, 9, 95, // Opcode: VMAXNMNQ
+/* 1019 */    MCD_OPC_Decode, 240, 9, 97, // Opcode: VMAXNMNQ
 /* 1023 */    MCD_OPC_FilterValue, 2, 21, 0, // Skip to: 1048
-/* 1027 */    MCD_OPC_CheckPredicate, 49, 17, 0, // Skip to: 1048
+/* 1027 */    MCD_OPC_CheckPredicate, 53, 17, 0, // Skip to: 1048
 /* 1031 */    MCD_OPC_CheckField, 23, 9, 230, 3, 10, 0, // Skip to: 1048
 /* 1038 */    MCD_OPC_CheckField, 4, 1, 1, 4, 0, // Skip to: 1048
-/* 1044 */    MCD_OPC_Decode, 251, 9, 95, // Opcode: VMINNMNQ
+/* 1044 */    MCD_OPC_Decode, 130, 10, 97, // Opcode: VMINNMNQ
 /* 1048 */    MCD_OPC_Fail,
   0
 };
@@ -9996,92 +10034,100 @@ static bool checkDecoderPredicate(unsign
   case 5:
     return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV8Ops));
   case 6:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV4TOps));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureVirtualization));
   case 7:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV4TOps));
   case 8:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureTrustZone));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps));
   case 9:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV6T2Ops));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureTrustZone));
   case 10:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV7Ops));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV6T2Ops));
   case 11:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV7Ops) && (Bits & ARM_FeatureMP));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV7Ops));
   case 12:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureDB));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_HasV7Ops) && (Bits & ARM_FeatureMP));
   case 13:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureHWDivARM));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureDB));
   case 14:
-    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureNaClTrap));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureHWDivARM));
   case 15:
-    return getbool((Bits & ARM_FeatureNEON));
+    return getbool(!(Bits & ARM_ModeThumb) && (Bits & ARM_FeatureNaClTrap));
   case 16:
-    return getbool((Bits & ARM_HasV8Ops) && (Bits & ARM_FeatureCrypto));
+    return getbool((Bits & ARM_FeatureNEON));
   case 17:
-    return getbool((Bits & ARM_FeatureNEON) && (Bits & ARM_FeatureFP16));
+    return getbool((Bits & ARM_HasV8Ops) && (Bits & ARM_FeatureCrypto));
   case 18:
-    return getbool((Bits & ARM_FeatureNEON) && (Bits & ARM_FeatureVFP4));
+    return getbool((Bits & ARM_FeatureNEON) && (Bits & ARM_FeatureFP16));
   case 19:
-    return getbool((Bits & ARM_ModeThumb));
+    return getbool((Bits & ARM_FeatureNEON) && (Bits & ARM_FeatureVFP4));
   case 20:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps));
+    return getbool((Bits & ARM_FeatureVFP2));
   case 21:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV6Ops));
+    return getbool((Bits & ARM_ModeThumb));
   case 22:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps));
   case 23:
-    return getbool(!(Bits & ARM_FeatureMClass));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV6Ops));
   case 24:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV8Ops));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
   case 25:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV6MOps));
+    return getbool(!(Bits & ARM_FeatureMClass));
   case 26:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps) && !(Bits & ARM_FeatureMClass));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV8Ops));
   case 27:
-    return getbool((Bits & ARM_FeatureT2XtPk) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV6MOps));
   case 28:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && !(Bits & ARM_HasV8Ops));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_HasV5TOps) && !(Bits & ARM_FeatureMClass));
   case 29:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureDSPThumb2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && !(Bits & ARM_FeatureMClass));
   case 30:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV7Ops));
+    return getbool((Bits & ARM_FeatureT2XtPk) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
   case 31:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureDB));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && !(Bits & ARM_HasV8Ops));
   case 32:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && !(Bits & ARM_FeatureMClass));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureDSPThumb2));
   case 33:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureMClass));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV7Ops));
   case 34:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV8Ops));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureDB));
   case 35:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureTrustZone));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV8Ops));
   case 36:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV7Ops) && (Bits & ARM_FeatureMP));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && !(Bits & ARM_FeatureMClass) && !(Bits & ARM_HasV8Ops));
   case 37:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureT2XtPk));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureVirtualization));
   case 38:
-    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV8Ops) && (Bits & ARM_FeatureCRC));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureTrustZone));
   case 39:
-    return getbool((Bits & ARM_FeatureHWDiv) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureVirtualization));
   case 40:
-    return getbool(!(Bits & ARM_HasV8Ops) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureMClass));
   case 41:
-    return getbool((Bits & ARM_FeatureVFP2));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV7Ops) && (Bits & ARM_FeatureMP));
   case 42:
-    return getbool((Bits & ARM_FeatureVFP2) && !(Bits & ARM_FeatureVFPOnlySP));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_FeatureT2XtPk));
   case 43:
-    return getbool((Bits & ARM_FeatureVFP4));
+    return getbool((Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2) && (Bits & ARM_HasV8Ops) && (Bits & ARM_FeatureCRC));
   case 44:
-    return getbool((Bits & ARM_FeatureVFP4) && !(Bits & ARM_FeatureVFPOnlySP));
+    return getbool((Bits & ARM_FeatureHWDiv) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
   case 45:
-    return getbool((Bits & ARM_FeatureVFP3));
+    return getbool(!(Bits & ARM_HasV8Ops) && (Bits & ARM_ModeThumb) && (Bits & ARM_FeatureThumb2));
   case 46:
-    return getbool((Bits & ARM_FeatureFPARMv8));
+    return getbool((Bits & ARM_FeatureVFP2) && !(Bits & ARM_FeatureVFPOnlySP));
   case 47:
-    return getbool((Bits & ARM_FeatureVFP3) && !(Bits & ARM_FeatureVFPOnlySP));
+    return getbool((Bits & ARM_FeatureVFP4));
   case 48:
-    return getbool((Bits & ARM_FeatureFPARMv8) && !(Bits & ARM_FeatureVFPOnlySP));
+    return getbool((Bits & ARM_FeatureVFP4) && !(Bits & ARM_FeatureVFPOnlySP));
   case 49:
+    return getbool((Bits & ARM_FeatureVFP3));
+  case 50:
+    return getbool((Bits & ARM_FeatureFPARMv8));
+  case 51:
+    return getbool((Bits & ARM_FeatureVFP3) && !(Bits & ARM_FeatureVFPOnlySP));
+  case 52:
+    return getbool((Bits & ARM_FeatureFPARMv8) && !(Bits & ARM_FeatureVFPOnlySP));
+  case 53:
     return getbool((Bits & ARM_HasV8Ops) && (Bits & ARM_FeatureNEON));
   }
 }
@@ -10111,8 +10157,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10125,9 +10171,9 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 2) << 5); \
-    tmp |= (fieldname(insn, 8, 4) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 2) << 5; \
+    tmp |= fieldname(insn, 8, 4) << 8; \
     if (!Check(&S, DecodeSORegRegOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10140,9 +10186,9 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 2) << 5); \
-    tmp |= (fieldname(insn, 8, 4) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 2) << 5; \
+    tmp |= fieldname(insn, 8, 4) << 8; \
     if (!Check(&S, DecodeSORegRegOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10222,8 +10268,8 @@ static DecodeStatus fname(DecodeStatus S
     return S; \
   case 15: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 8, 12) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 8, 12) << 4; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 16: \
@@ -10238,8 +10284,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10248,9 +10294,9 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 2) << 5); \
-    tmp |= (fieldname(insn, 8, 4) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 2) << 5; \
+    tmp |= fieldname(insn, 8, 4) << 8; \
     if (!Check(&S, DecodeSORegRegOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -10304,22 +10350,48 @@ static DecodeStatus fname(DecodeStatus S
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 24: \
+    tmp = fieldname(insn, 12, 4); \
+    if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 8, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 5; \
+    if (!Check(&S, DecodeBankedReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 4); \
+    if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 25: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 16, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 25: \
+  case 26: \
+    tmp = 0; \
+    tmp |= fieldname(insn, 8, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 5; \
+    if (!Check(&S, DecodeBankedReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 4); \
+    if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 4); \
+    if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 27: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 26: \
+  case 28: \
+    tmp = fieldname(insn, 28, 4); \
+    if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 29: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10329,11 +10401,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 27: \
-    tmp = fieldname(insn, 28, 4); \
-    if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    return S; \
-  case 28: \
+  case 30: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10343,7 +10411,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 29: \
+  case 31: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodetcGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10353,23 +10421,23 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 30: \
+  case 32: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 31: \
+  case 33: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 32: \
+  case 34: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10377,39 +10445,39 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 33: \
+  case 35: \
     tmp = fieldname(insn, 0, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 34: \
+  case 36: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 2) << 5); \
-    tmp |= (fieldname(insn, 8, 4) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 2) << 5; \
+    tmp |= fieldname(insn, 8, 4) << 8; \
     if (!Check(&S, DecodeSORegRegOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 35: \
+  case 37: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 2) << 5); \
-    tmp |= (fieldname(insn, 8, 4) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 2) << 5; \
+    tmp |= fieldname(insn, 8, 4) << 8; \
     if (!Check(&S, DecodeSORegRegOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 36: \
+  case 38: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10423,7 +10491,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 37: \
+  case 39: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10435,7 +10503,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 38: \
+  case 40: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10453,13 +10521,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 39: \
+  case 41: \
     if (!Check(&S, DecodeDoubleRegStore(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 40: \
+  case 42: \
     if (!Check(&S, DecodeDoubleRegLoad(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 41: \
+  case 43: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -10467,13 +10535,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 23, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 23, 1) << 4; \
     if (!Check(&S, DecodePostIdxReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 42: \
+  case 44: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -10481,17 +10549,17 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 8, 4) << 4); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 8, 4) << 4; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 43: \
+  case 45: \
     if (!Check(&S, DecodeLDR(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 44: \
+  case 46: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10499,141 +10567,141 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 8, 4) << 4); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 8, 4) << 4; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 45: \
+  case 47: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 12); \
-    if (!Check(&S, DecodeSOImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 46: \
+  case 48: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 22, 2) << 12); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 22, 2) << 12; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 47: \
+  case 49: \
     if (!Check(&S, DecodeArmMOVTWInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 48: \
+  case 50: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 12); \
-    if (!Check(&S, DecodeSOImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 49: \
+  case 51: \
     tmp = fieldname(insn, 0, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 50: \
+  case 52: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 16, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 12); \
-    if (!Check(&S, DecodeSOImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 51: \
+  case 53: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 12); \
-    if (!Check(&S, DecodeSOImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 52: \
+  case 54: \
     if (!Check(&S, DecodeAddrMode2IdxInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 53: \
+  case 55: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeAddrModeImm12Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 54: \
+  case 56: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeAddrModeImm12Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 55: \
+  case 57: \
     if (!Check(&S, DecodeSTRPreImm(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 56: \
+  case 58: \
     if (!Check(&S, DecodeLDRPreImm(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 57: \
+  case 59: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeAddrModeImm12Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 58: \
+  case 60: \
     return S; \
-  case 59: \
+  case 61: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeMemBarrierOption(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 60: \
+  case 62: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeInstSyncBarrierOption(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 61: \
+  case 63: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeSORegMemOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 62: \
+  case 64: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeSORegMemOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 63: \
+  case 65: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10643,7 +10711,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 64: \
+  case 66: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10655,7 +10723,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 65: \
+  case 67: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10665,7 +10733,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 66: \
+  case 68: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10677,7 +10745,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 67: \
+  case 69: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10687,7 +10755,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 68: \
+  case 70: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10697,7 +10765,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 69: \
+  case 71: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10709,13 +10777,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 70: \
+  case 72: \
     if (!Check(&S, DecodeSTRPreReg(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 71: \
+  case 73: \
     if (!Check(&S, DecodeLDRPreReg(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 72: \
+  case 74: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -10723,13 +10791,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 1) << 5); \
-    tmp |= (fieldname(insn, 7, 5) << 0); \
+    tmp |= fieldname(insn, 6, 1) << 5; \
+    tmp |= fieldname(insn, 7, 5) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 73: \
+  case 75: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -10739,7 +10807,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 74: \
+  case 76: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -10751,31 +10819,31 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 75: \
+  case 77: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 7) << 5); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
-    tmp |= (fieldname(insn, 23, 1) << 12); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 7) << 5; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
+    tmp |= fieldname(insn, 23, 1) << 12; \
     if (!Check(&S, DecodeSORegMemOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 76: \
+  case 78: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 5) << 0); \
-    tmp |= (fieldname(insn, 16, 5) << 5); \
+    tmp |= fieldname(insn, 7, 5) << 0; \
+    tmp |= fieldname(insn, 16, 5) << 5; \
     if (!Check(&S, DecodeBitfieldMaskOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 77: \
+  case 79: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -10783,13 +10851,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 5) << 0); \
-    tmp |= (fieldname(insn, 16, 5) << 5); \
+    tmp |= fieldname(insn, 7, 5) << 0; \
+    tmp |= fieldname(insn, 16, 5) << 5; \
     if (!Check(&S, DecodeBitfieldMaskOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 78: \
+  case 80: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
@@ -10797,33 +10865,33 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 79: \
+  case 81: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 80: \
+  case 82: \
     if (!Check(&S, DecodeMemMultipleWritebackInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 81: \
+  case 83: \
     tmp = fieldname(insn, 0, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 82: \
+  case 84: \
     if (!Check(&S, DecodeBranchImmInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 83: \
+  case 85: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 24) << 1); \
-    tmp |= (fieldname(insn, 24, 1) << 0); \
+    tmp |= fieldname(insn, 0, 24) << 1; \
+    tmp |= fieldname(insn, 24, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 84: \
+  case 86: \
     if (!Check(&S, DecodeCopMemInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 85: \
+  case 87: \
     if (!Check(&S, DecodeMRRC2(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 86: \
+  case 88: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 4, 4); \
@@ -10837,7 +10905,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 87: \
+  case 89: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 4); \
@@ -10851,7 +10919,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 5, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 88: \
+  case 90: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 4); \
@@ -10867,7 +10935,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 89: \
+  case 91: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 3); \
@@ -10881,7 +10949,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 5, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 90: \
+  case 92: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 3); \
@@ -10897,7 +10965,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 91: \
+  case 93: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRwithAPSRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -10911,7 +10979,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 5, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 92: \
+  case 94: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRwithAPSRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -10927,1199 +10995,1199 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 93: \
+  case 95: \
     tmp = fieldname(insn, 0, 24); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 94: \
+  case 96: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 95: \
+  case 97: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 96: \
+  case 98: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 97: \
+  case 99: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 98: \
+  case 100: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 99: \
+  case 101: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 100: \
+  case 102: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 101: \
+  case 103: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 102: \
+  case 104: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 103: \
+  case 105: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 104: \
+  case 106: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 105: \
+  case 107: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 106: \
+  case 108: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 107: \
+  case 109: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 108: \
+  case 110: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 109: \
+  case 111: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodeDPR_8RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 1); \
+    tmp |= fieldname(insn, 3, 1) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 110: \
+  case 112: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 111: \
+  case 113: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 112: \
+  case 114: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 113: \
+  case 115: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 114: \
+  case 116: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 115: \
+  case 117: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeDPR_VFP2RegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 5, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 116: \
+  case 118: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 10, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 117: \
+  case 119: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 9, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 118: \
+  case 120: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 119: \
+  case 121: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 120: \
+  case 122: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 10, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 121: \
+  case 123: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 9, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 122: \
+  case 124: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 123: \
+  case 125: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 124: \
+  case 126: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 125: \
+  case 127: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 126: \
+  case 128: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 127: \
+  case 129: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 128: \
+  case 130: \
     if (!Check(&S, DecodeVSHLMaxInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 129: \
+  case 131: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 130: \
+  case 132: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 131: \
+  case 133: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 132: \
+  case 134: \
     if (!Check(&S, DecodeTBLInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 133: \
+  case 135: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 19, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 134: \
+  case 136: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 18, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 135: \
+  case 137: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 17, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 136: \
+  case 138: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 19, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 137: \
+  case 139: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 18, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 138: \
+  case 140: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 17, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 139: \
+  case 141: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     if (!Check(&S, DecodeShiftRight8Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 140: \
+  case 142: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeShiftRight16Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 141: \
+  case 143: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeShiftRight32Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 142: \
+  case 144: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     if (!Check(&S, DecodeShiftRight8Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 143: \
+  case 145: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeShiftRight16Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 144: \
+  case 146: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeShiftRight32Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 145: \
+  case 147: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 146: \
+  case 148: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 147: \
+  case 149: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 148: \
+  case 150: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 149: \
+  case 151: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 150: \
+  case 152: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 151: \
+  case 153: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     if (!Check(&S, DecodeShiftRight8Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 152: \
+  case 154: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeShiftRight16Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 153: \
+  case 155: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeShiftRight32Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 154: \
+  case 156: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 155: \
+  case 157: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 156: \
+  case 158: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 157: \
+  case 159: \
     if (!Check(&S, DecodeNEONModImmInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 158: \
+  case 160: \
     if (!Check(&S, DecodeVCVTD(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 159: \
+  case 161: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     if (!Check(&S, DecodeShiftRight64Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 160: \
+  case 162: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     if (!Check(&S, DecodeShiftRight64Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 161: \
+  case 163: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 162: \
+  case 164: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 163: \
+  case 165: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     if (!Check(&S, DecodeShiftRight8Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 164: \
+  case 166: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeShiftRight16Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 165: \
+  case 167: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeShiftRight32Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 166: \
+  case 168: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     if (!Check(&S, DecodeShiftRight8Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 167: \
+  case 169: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeShiftRight16Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 168: \
+  case 170: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (!Check(&S, DecodeShiftRight32Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 169: \
+  case 171: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 170: \
+  case 172: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 171: \
+  case 173: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 172: \
+  case 174: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 173: \
+  case 175: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 174: \
+  case 176: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 175: \
+  case 177: \
     if (!Check(&S, DecodeVCVTQ(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 176: \
+  case 178: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     if (!Check(&S, DecodeShiftRight64Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 177: \
+  case 179: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     if (!Check(&S, DecodeShiftRight64Imm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 178: \
+  case 180: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 179: \
+  case 181: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 180: \
+  case 182: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -12128,259 +12196,259 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 181: \
+  case 183: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 182: \
+  case 184: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 1) << 0); \
-    tmp |= (fieldname(insn, 21, 1) << 1); \
+    tmp |= fieldname(insn, 6, 1) << 0; \
+    tmp |= fieldname(insn, 21, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 183: \
+  case 185: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 1) << 0); \
-    tmp |= (fieldname(insn, 21, 1) << 1); \
+    tmp |= fieldname(insn, 6, 1) << 0; \
+    tmp |= fieldname(insn, 21, 1) << 1; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 184: \
+  case 186: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 5, 2) << 0); \
-    tmp |= (fieldname(insn, 21, 1) << 2); \
+    tmp |= fieldname(insn, 5, 2) << 0; \
+    tmp |= fieldname(insn, 21, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 185: \
+  case 187: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 5, 2) << 0); \
-    tmp |= (fieldname(insn, 21, 1) << 2); \
+    tmp |= fieldname(insn, 5, 2) << 0; \
+    tmp |= fieldname(insn, 21, 1) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 186: \
+  case 188: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 187: \
+  case 189: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeQPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 188: \
+  case 190: \
     if (!Check(&S, DecodeVLDST4Instruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 189: \
+  case 191: \
     if (!Check(&S, DecodeVST1LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 190: \
+  case 192: \
     if (!Check(&S, DecodeVLD1LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 191: \
+  case 193: \
     if (!Check(&S, DecodeVST2LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 192: \
+  case 194: \
     if (!Check(&S, DecodeVLD2LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 193: \
+  case 195: \
     if (!Check(&S, DecodeVLDST1Instruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 194: \
+  case 196: \
     if (!Check(&S, DecodeVST3LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 195: \
+  case 197: \
     if (!Check(&S, DecodeVLD3LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 196: \
+  case 198: \
     if (!Check(&S, DecodeVLDST2Instruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 197: \
+  case 199: \
     if (!Check(&S, DecodeVST4LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 198: \
+  case 200: \
     if (!Check(&S, DecodeVLD4LN(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 199: \
+  case 201: \
     if (!Check(&S, DecodeVLDST3Instruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 200: \
+  case 202: \
     if (!Check(&S, DecodeVLD1DupInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 201: \
+  case 203: \
     if (!Check(&S, DecodeVLD2DupInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 202: \
+  case 204: \
     if (!Check(&S, DecodeVLD3DupInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 203: \
+  case 205: \
     if (!Check(&S, DecodeVLD4DupInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 204: \
+  case 206: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 205: \
+  case 207: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 206: \
+  case 208: \
     if (!Check(&S, DecodeThumbAddSPReg(MI, (uint16_t)insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 207: \
+  case 209: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 3) << 0); \
-    tmp |= (fieldname(insn, 7, 1) << 3); \
+    tmp |= fieldname(insn, 0, 3) << 0; \
+    tmp |= fieldname(insn, 7, 1) << 3; \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 3) << 0); \
-    tmp |= (fieldname(insn, 7, 1) << 3); \
+    tmp |= fieldname(insn, 0, 3) << 0; \
+    tmp |= fieldname(insn, 7, 1) << 3; \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 208: \
+  case 210: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 3) << 0); \
-    tmp |= (fieldname(insn, 7, 1) << 3); \
+    tmp |= fieldname(insn, 0, 3) << 0; \
+    tmp |= fieldname(insn, 7, 1) << 3; \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 209: \
+  case 211: \
     tmp = fieldname(insn, 3, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 210: \
+  case 212: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 8); \
     if (!Check(&S, DecodeThumbAddrModePC(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 211: \
+  case 213: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 6); \
     if (!Check(&S, DecodeThumbAddrModeRR(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 212: \
+  case 214: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 8); \
     if (!Check(&S, DecodeThumbAddrModeIS(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 213: \
+  case 215: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 8); \
     if (!Check(&S, DecodeThumbAddrModeSP(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 214: \
+  case 216: \
     if (!Check(&S, DecodeThumbAddSpecialReg(MI, (uint16_t)insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 215: \
+  case 217: \
     if (!Check(&S, DecodeThumbAddSPImm(MI, (uint16_t)insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 216: \
+  case 218: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 5) << 0); \
-    tmp |= (fieldname(insn, 9, 1) << 5); \
+    tmp |= fieldname(insn, 3, 5) << 0; \
+    tmp |= fieldname(insn, 9, 1) << 5; \
     if (!Check(&S, DecodeThumbCmpBROperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 217: \
+  case 219: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 8, 1) << 14); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 8, 1) << 14; \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 218: \
+  case 220: \
     tmp = fieldname(insn, 3, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 219: \
+  case 221: \
     if (!Check(&S, DecodeThumbCPS(MI, (uint16_t)insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 220: \
+  case 222: \
     tmp = fieldname(insn, 0, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 221: \
+  case 223: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 8, 1) << 15); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 8, 1) << 15; \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 222: \
+  case 224: \
     tmp = fieldname(insn, 0, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 223: \
+  case 225: \
     tmp = fieldname(insn, 4, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 224: \
+  case 226: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 3); \
@@ -12388,68 +12456,68 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 8); \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 225: \
+  case 227: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 8); \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 226: \
+  case 228: \
     tmp = fieldname(insn, 0, 8); \
     if (!Check(&S, DecodeThumbBCCTargetOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 227: \
+  case 229: \
     tmp = fieldname(insn, 0, 11); \
     if (!Check(&S, DecodeThumbBROperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 228: \
+  case 230: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 10) << 1); \
-    tmp |= (fieldname(insn, 11, 1) << 21); \
-    tmp |= (fieldname(insn, 13, 1) << 22); \
-    tmp |= (fieldname(insn, 16, 10) << 11); \
-    tmp |= (fieldname(insn, 26, 1) << 23); \
+    tmp |= fieldname(insn, 1, 10) << 1; \
+    tmp |= fieldname(insn, 11, 1) << 21; \
+    tmp |= fieldname(insn, 13, 1) << 22; \
+    tmp |= fieldname(insn, 16, 10) << 11; \
+    tmp |= fieldname(insn, 26, 1) << 23; \
     if (!Check(&S, DecodeThumbBLXOffset(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 229: \
+  case 231: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 11) << 0); \
-    tmp |= (fieldname(insn, 11, 1) << 21); \
-    tmp |= (fieldname(insn, 13, 1) << 22); \
-    tmp |= (fieldname(insn, 16, 10) << 11); \
-    tmp |= (fieldname(insn, 26, 1) << 23); \
+    tmp |= fieldname(insn, 0, 11) << 0; \
+    tmp |= fieldname(insn, 11, 1) << 21; \
+    tmp |= fieldname(insn, 13, 1) << 22; \
+    tmp |= fieldname(insn, 16, 10) << 11; \
+    tmp |= fieldname(insn, 26, 1) << 23; \
     if (!Check(&S, DecodeThumbBLTargetOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 230: \
+  case 232: \
     if (!Check(&S, DecodeIT(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 231: \
+  case 233: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 13) << 0); \
-    tmp |= (fieldname(insn, 14, 1) << 14); \
+    tmp |= fieldname(insn, 0, 13) << 0; \
+    tmp |= fieldname(insn, 14, 1) << 14; \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 232: \
+  case 234: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 233: \
+  case 235: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 13) << 0); \
-    tmp |= (fieldname(insn, 14, 1) << 14); \
+    tmp |= fieldname(insn, 0, 13) << 0; \
+    tmp |= fieldname(insn, 14, 1) << 14; \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 234: \
+  case 236: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12457,17 +12525,17 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (!Check(&S, DecodeRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 235: \
+  case 237: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 8; \
     if (!Check(&S, DecodeT2AddrModeImm0_1020s4(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 236: \
+  case 238: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -12475,7 +12543,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 237: \
+  case 239: \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -12485,24 +12553,24 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 238: \
+  case 240: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 239: \
+  case 241: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 8; \
     if (!Check(&S, DecodeT2AddrModeImm0_1020s4(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 240: \
+  case 242: \
     if (!Check(&S, DecodeThumbTableBranch(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 241: \
+  case 243: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -12510,7 +12578,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 242: \
+  case 244: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
@@ -12520,11 +12588,11 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     if (!Check(&S, DecodeT2Imm8S4(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 243: \
+  case 245: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -12534,43 +12602,43 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeAddrMode7Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     if (!Check(&S, DecodeT2Imm8S4(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 244: \
+  case 246: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     if (!Check(&S, DecodeT2AddrModeImm8s4(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 245: \
+  case 247: \
     if (!Check(&S, DecodeT2STRDPreInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 246: \
+  case 248: \
     if (!Check(&S, DecodeT2LDRDPreInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 247: \
+  case 249: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 248: \
+  case 250: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 4, 4) << 5); \
-    tmp |= (fieldname(insn, 12, 3) << 9); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 4, 4) << 5; \
+    tmp |= fieldname(insn, 12, 3) << 9; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 249: \
+  case 251: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12580,20 +12648,20 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 250: \
+  case 252: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 4, 4) << 5); \
-    tmp |= (fieldname(insn, 12, 3) << 9); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 4, 4) << 5; \
+    tmp |= fieldname(insn, 12, 3) << 9; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 251: \
+  case 253: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -12601,7 +12669,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 252: \
+  case 254: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -12609,30 +12677,30 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 253: \
+  case 255: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 254: \
+  case 256: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 4, 4) << 5); \
-    tmp |= (fieldname(insn, 12, 3) << 9); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 4, 4) << 5; \
+    tmp |= fieldname(insn, 12, 3) << 9; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 255: \
+  case 257: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12640,11 +12708,11 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 256: \
+  case 258: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12654,20 +12722,20 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 257: \
+  case 259: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 4, 4) << 5); \
-    tmp |= (fieldname(insn, 12, 3) << 9); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 4, 4) << 5; \
+    tmp |= fieldname(insn, 12, 3) << 9; \
     if (!Check(&S, DecodeSORegImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 258: \
+  case 260: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeCoprocessor(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 4, 4); \
@@ -12679,70 +12747,70 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 259: \
+  case 261: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 8); \
-    tmp |= (fieldname(insn, 26, 1) << 11); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 8; \
+    tmp |= fieldname(insn, 26, 1) << 11; \
     if (!Check(&S, DecodeT2SOImm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 260: \
+  case 262: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 8); \
-    tmp |= (fieldname(insn, 26, 1) << 11); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 8; \
+    tmp |= fieldname(insn, 26, 1) << 11; \
     if (!Check(&S, DecodeT2SOImm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 261: \
+  case 263: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 8); \
-    tmp |= (fieldname(insn, 26, 1) << 11); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 8; \
+    tmp |= fieldname(insn, 26, 1) << 11; \
     if (!Check(&S, DecodeT2SOImm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 262: \
+  case 264: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 8); \
-    tmp |= (fieldname(insn, 26, 1) << 11); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 8; \
+    tmp |= fieldname(insn, 26, 1) << 11; \
     if (!Check(&S, DecodeT2SOImm(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 1); \
     if (!Check(&S, DecodeCCOutOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 263: \
+  case 265: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRnopcRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 8); \
-    tmp |= (fieldname(insn, 26, 1) << 11); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 8; \
+    tmp |= fieldname(insn, 26, 1) << 11; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 264: \
+  case 266: \
     if (!Check(&S, DecodeT2Adr(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 265: \
+  case 267: \
     if (!Check(&S, DecodeT2MOVTWInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 266: \
+  case 268: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -12750,7 +12818,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 267: \
+  case 269: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 5); \
@@ -12758,35 +12826,35 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
-    tmp |= (fieldname(insn, 21, 1) << 5); \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
+    tmp |= fieldname(insn, 21, 1) << 5; \
     if (!Check(&S, DecodeT2ShifterImmOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 268: \
+  case 270: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 0, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 269: \
+  case 271: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 5) << 5); \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
+    tmp |= fieldname(insn, 0, 5) << 5; \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
     if (!Check(&S, DecodeBitfieldMaskOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 270: \
+  case 272: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -12794,141 +12862,161 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 5) << 5); \
-    tmp |= (fieldname(insn, 6, 2) << 0); \
-    tmp |= (fieldname(insn, 12, 3) << 2); \
+    tmp |= fieldname(insn, 0, 5) << 5; \
+    tmp |= fieldname(insn, 6, 2) << 0; \
+    tmp |= fieldname(insn, 12, 3) << 2; \
     if (!Check(&S, DecodeBitfieldMaskOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 271: \
+  case 273: \
     tmp = fieldname(insn, 0, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 272: \
+  case 274: \
     if (!Check(&S, DecodeT2CPSInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 273: \
+  case 275: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 274: \
-    tmp = fieldname(insn, 8, 4); \
-    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 0, 8); \
-    if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    return S; \
-  case 275: \
-    tmp = fieldname(insn, 0, 12); \
-    if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 16, 4); \
-    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
-    return S; \
   case 276: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 277: \
-    tmp = fieldname(insn, 16, 4); \
+    tmp = 0; \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 12; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 278: \
-    tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 12); \
+    tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 279: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 8, 4) << 0); \
-    tmp |= (fieldname(insn, 20, 1) << 4); \
+    tmp |= fieldname(insn, 8, 4) << 0; \
+    tmp |= fieldname(insn, 20, 1) << 4; \
     if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 280: \
-    if (!Check(&S, DecodeThumb2BCCInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 4, 1) << 4; \
+    tmp |= fieldname(insn, 8, 4) << 0; \
+    tmp |= fieldname(insn, 20, 1) << 5; \
+    if (!Check(&S, DecodeBankedReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 4); \
+    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 281: \
-    if (!Check(&S, DecodeT2BInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 10, 2) << 10; \
+    if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 4); \
+    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   case 282: \
+    tmp = fieldname(insn, 8, 4); \
+    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 4, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
+    tmp |= fieldname(insn, 20, 1) << 5; \
+    if (!Check(&S, DecodeBankedReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 283: \
+    tmp = fieldname(insn, 8, 4); \
+    if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 8); \
+    if (!Check(&S, DecodeMSRMask(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 284: \
+    if (!Check(&S, DecodeThumb2BCCInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 285: \
+    if (!Check(&S, DecodeT2BInstruction(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
+    return S; \
+  case 286: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 2); \
-    tmp |= (fieldname(insn, 4, 2) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 6); \
+    tmp |= fieldname(insn, 0, 4) << 2; \
+    tmp |= fieldname(insn, 4, 2) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 6; \
     if (!Check(&S, DecodeT2AddrModeSOReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 283: \
+  case 287: \
     if (!Check(&S, DecodeT2LdStPre(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 284: \
+  case 288: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
     if (!Check(&S, DecodeT2AddrModeImm8(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 285: \
+  case 289: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 9, 1) << 8); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 9, 1) << 8; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
     if (!Check(&S, DecodeT2AddrModeImm8(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 286: \
+  case 290: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
     if (!Check(&S, DecodeT2AddrModeImm12(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 287: \
+  case 291: \
     if (!Check(&S, DecodeT2LoadShift(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 288: \
+  case 292: \
     if (!Check(&S, DecodeT2LoadImm8(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 289: \
+  case 293: \
     if (!Check(&S, DecodeT2LoadT(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 290: \
+  case 294: \
     if (!Check(&S, DecodeT2LoadImm12(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 291: \
+  case 295: \
     if (!Check(&S, DecodeT2LoadLabel(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 292: \
+  case 296: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 2); \
-    tmp |= (fieldname(insn, 4, 2) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 6); \
+    tmp |= fieldname(insn, 0, 4) << 2; \
+    tmp |= fieldname(insn, 4, 2) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 6; \
     if (!Check(&S, DecodeT2AddrModeSOReg(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 293: \
+  case 297: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 9, 1) << 8); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 9, 1) << 8; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
     if (!Check(&S, DecodeT2AddrModeImm8(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 294: \
+  case 298: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 12) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 13); \
+    tmp |= fieldname(insn, 0, 12) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 13; \
     if (!Check(&S, DecodeT2AddrModeImm12(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 295: \
+  case 299: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -12936,7 +13024,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 4, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 296: \
+  case 300: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12946,7 +13034,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 4, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 297: \
+  case 301: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12954,7 +13042,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 298: \
+  case 302: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 4); \
@@ -12962,15 +13050,15 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 299: \
+  case 303: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 300: \
+  case 304: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12978,7 +13066,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 301: \
+  case 305: \
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -12988,7 +13076,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 302: \
+  case 306: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -12998,7 +13086,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 303: \
+  case 307: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -13012,7 +13100,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 8, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 304: \
+  case 308: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 4); \
@@ -13022,7 +13110,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecoderGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 305: \
+  case 309: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 3); \
@@ -13030,7 +13118,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 306: \
+  case 310: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 3); \
@@ -13038,7 +13126,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 307: \
+  case 311: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 3); \
@@ -13046,7 +13134,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 308: \
+  case 312: \
     tmp = fieldname(insn, 8, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 3); \
@@ -13054,7 +13142,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 309: \
+  case 313: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
@@ -13062,7 +13150,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 3, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 310: \
+  case 314: \
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 3, 3); \
@@ -13070,24 +13158,24 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 3); \
     if (!Check(&S, DecodetGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 311: \
+  case 315: \
     if (!Check(&S, DecodeVMOVSRR(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 312: \
+  case 316: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 4) << 9); \
-    tmp |= (fieldname(insn, 22, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 4) << 9; \
+    tmp |= fieldname(insn, 22, 1) << 8; \
     if (!Check(&S, DecodeSPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 313: \
+  case 317: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
@@ -13096,161 +13184,161 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 314: \
+  case 318: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 7) << 1); \
-    tmp |= (fieldname(insn, 12, 4) << 8); \
-    tmp |= (fieldname(insn, 22, 1) << 12); \
+    tmp |= fieldname(insn, 1, 7) << 1; \
+    tmp |= fieldname(insn, 12, 4) << 8; \
+    tmp |= fieldname(insn, 22, 1) << 12; \
     if (!Check(&S, DecodeDPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 315: \
+  case 319: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 7) << 1); \
-    tmp |= (fieldname(insn, 12, 4) << 8); \
+    tmp |= fieldname(insn, 1, 7) << 1; \
+    tmp |= fieldname(insn, 12, 4) << 8; \
     if (!Check(&S, DecodeDPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 316: \
+  case 320: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     if (!Check(&S, DecodeAddrMode5Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 317: \
+  case 321: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 9); \
-    tmp |= (fieldname(insn, 23, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 9; \
+    tmp |= fieldname(insn, 23, 1) << 8; \
     if (!Check(&S, DecodeAddrMode5Operand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 318: \
+  case 322: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 1); \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 1; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 319: \
+  case 323: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 1); \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 1; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 320: \
+  case 324: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 321: \
+  case 325: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 4); \
-    tmp |= (fieldname(insn, 16, 4) << 0); \
+    tmp |= fieldname(insn, 7, 1) << 4; \
+    tmp |= fieldname(insn, 16, 4) << 0; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 322: \
+  case 326: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 1); \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 1; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 323: \
+  case 327: \
     if (!Check(&S, DecodeVMOVRRS(MI, insn, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 324: \
+  case 328: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 325: \
+  case 329: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 1); \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 1; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 326: \
+  case 330: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -13258,12 +13346,12 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 8) << 0); \
-    tmp |= (fieldname(insn, 12, 4) << 9); \
-    tmp |= (fieldname(insn, 22, 1) << 8); \
+    tmp |= fieldname(insn, 0, 8) << 0; \
+    tmp |= fieldname(insn, 12, 4) << 9; \
+    tmp |= fieldname(insn, 22, 1) << 8; \
     if (!Check(&S, DecodeSPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 327: \
+  case 331: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -13271,12 +13359,12 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 7) << 1); \
-    tmp |= (fieldname(insn, 12, 4) << 8); \
-    tmp |= (fieldname(insn, 22, 1) << 12); \
+    tmp |= fieldname(insn, 1, 7) << 1; \
+    tmp |= fieldname(insn, 12, 4) << 8; \
+    tmp |= fieldname(insn, 22, 1) << 12; \
     if (!Check(&S, DecodeDPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 328: \
+  case 332: \
     tmp = fieldname(insn, 16, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
@@ -13284,172 +13372,172 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 7) << 1); \
-    tmp |= (fieldname(insn, 12, 4) << 8); \
+    tmp |= fieldname(insn, 1, 7) << 1; \
+    tmp |= fieldname(insn, 12, 4) << 8; \
     if (!Check(&S, DecodeDPRRegListOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 329: \
+  case 333: \
     tmp = fieldname(insn, 12, 4); \
     if (!Check(&S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 330: \
+  case 334: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 4; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 331: \
+  case 335: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 332: \
+  case 336: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 333: \
+  case 337: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 334: \
+  case 338: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 335: \
+  case 339: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 4; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 336: \
+  case 340: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 337: \
+  case 341: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 338: \
+  case 342: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 339: \
+  case 343: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 0); \
-    tmp |= (fieldname(insn, 22, 1) << 4); \
+    tmp |= fieldname(insn, 12, 4) << 0; \
+    tmp |= fieldname(insn, 22, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 28, 4); \
     if (!Check(&S, DecodePredicateOperand(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 340: \
+  case 344: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 7, 1) << 0); \
-    tmp |= (fieldname(insn, 16, 4) << 1); \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 16, 4) << 1; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 341: \
+  case 345: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 1); \
-    tmp |= (fieldname(insn, 5, 1) << 0); \
+    tmp |= fieldname(insn, 0, 4) << 1; \
+    tmp |= fieldname(insn, 5, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
-  case 342: \
+  case 346: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 12, 4) << 1); \
-    tmp |= (fieldname(insn, 22, 1) << 0); \
+    tmp |= fieldname(insn, 12, 4) << 1; \
+    tmp |= fieldname(insn, 22, 1) << 0; \
     if (!Check(&S, DecodeSPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 4) << 0); \
-    tmp |= (fieldname(insn, 5, 1) << 4); \
+    tmp |= fieldname(insn, 0, 4) << 0; \
+    tmp |= fieldname(insn, 5, 1) << 4; \
     if (!Check(&S, DecodeDPRRegisterClass(MI, tmp, Address, Decoder))) return MCDisassembler_Fail; \
     return S; \
   } \
-} 
+}
 
 #define DecodeInstruction(fname, fieldname, decoder, InsnType) \
 static DecodeStatus fname(const uint8_t DecodeTable[], MCInst *MI, \
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMGenInstrInfo.inc 4.0.2-3/arch/ARM/ARMGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,2776 +34,2787 @@ enum {
     ARM_STACKMAP	= 17,
     ARM_PATCHPOINT	= 18,
     ARM_LOAD_STACK_GUARD	= 19,
-    ARM_ABS	= 20,
-    ARM_ADCri	= 21,
-    ARM_ADCrr	= 22,
-    ARM_ADCrsi	= 23,
-    ARM_ADCrsr	= 24,
-    ARM_ADDSri	= 25,
-    ARM_ADDSrr	= 26,
-    ARM_ADDSrsi	= 27,
-    ARM_ADDSrsr	= 28,
-    ARM_ADDri	= 29,
-    ARM_ADDrr	= 30,
-    ARM_ADDrsi	= 31,
-    ARM_ADDrsr	= 32,
-    ARM_ADJCALLSTACKDOWN	= 33,
-    ARM_ADJCALLSTACKUP	= 34,
-    ARM_ADR	= 35,
-    ARM_AESD	= 36,
-    ARM_AESE	= 37,
-    ARM_AESIMC	= 38,
-    ARM_AESMC	= 39,
-    ARM_ANDri	= 40,
-    ARM_ANDrr	= 41,
-    ARM_ANDrsi	= 42,
-    ARM_ANDrsr	= 43,
-    ARM_ASRi	= 44,
-    ARM_ASRr	= 45,
-    ARM_B	= 46,
-    ARM_BCCZi64	= 47,
-    ARM_BCCi64	= 48,
-    ARM_BFC	= 49,
-    ARM_BFI	= 50,
-    ARM_BICri	= 51,
-    ARM_BICrr	= 52,
-    ARM_BICrsi	= 53,
-    ARM_BICrsr	= 54,
-    ARM_BKPT	= 55,
-    ARM_BL	= 56,
-    ARM_BLX	= 57,
-    ARM_BLX_pred	= 58,
-    ARM_BLXi	= 59,
-    ARM_BL_pred	= 60,
-    ARM_BMOVPCB_CALL	= 61,
-    ARM_BMOVPCRX_CALL	= 62,
-    ARM_BR_JTadd	= 63,
-    ARM_BR_JTm	= 64,
-    ARM_BR_JTr	= 65,
-    ARM_BX	= 66,
-    ARM_BXJ	= 67,
-    ARM_BX_CALL	= 68,
-    ARM_BX_RET	= 69,
-    ARM_BX_pred	= 70,
-    ARM_Bcc	= 71,
-    ARM_CDP	= 72,
-    ARM_CDP2	= 73,
-    ARM_CLREX	= 74,
-    ARM_CLZ	= 75,
-    ARM_CMNri	= 76,
-    ARM_CMNzrr	= 77,
-    ARM_CMNzrsi	= 78,
-    ARM_CMNzrsr	= 79,
-    ARM_CMPri	= 80,
-    ARM_CMPrr	= 81,
-    ARM_CMPrsi	= 82,
-    ARM_CMPrsr	= 83,
-    ARM_CONSTPOOL_ENTRY	= 84,
-    ARM_COPY_STRUCT_BYVAL_I32	= 85,
-    ARM_CPS1p	= 86,
-    ARM_CPS2p	= 87,
-    ARM_CPS3p	= 88,
-    ARM_CRC32B	= 89,
-    ARM_CRC32CB	= 90,
-    ARM_CRC32CH	= 91,
-    ARM_CRC32CW	= 92,
-    ARM_CRC32H	= 93,
-    ARM_CRC32W	= 94,
-    ARM_DBG	= 95,
-    ARM_DMB	= 96,
-    ARM_DSB	= 97,
-    ARM_EORri	= 98,
-    ARM_EORrr	= 99,
-    ARM_EORrsi	= 100,
-    ARM_EORrsr	= 101,
-    ARM_FCONSTD	= 102,
-    ARM_FCONSTS	= 103,
-    ARM_FLDMXDB_UPD	= 104,
-    ARM_FLDMXIA	= 105,
-    ARM_FLDMXIA_UPD	= 106,
-    ARM_FMSTAT	= 107,
-    ARM_FSTMXDB_UPD	= 108,
-    ARM_FSTMXIA	= 109,
-    ARM_FSTMXIA_UPD	= 110,
-    ARM_HINT	= 111,
-    ARM_HLT	= 112,
-    ARM_ISB	= 113,
-    ARM_ITasm	= 114,
-    ARM_Int_eh_sjlj_dispatchsetup	= 115,
-    ARM_Int_eh_sjlj_longjmp	= 116,
-    ARM_Int_eh_sjlj_setjmp	= 117,
-    ARM_Int_eh_sjlj_setjmp_nofp	= 118,
-    ARM_LDA	= 119,
-    ARM_LDAB	= 120,
-    ARM_LDAEX	= 121,
-    ARM_LDAEXB	= 122,
-    ARM_LDAEXD	= 123,
-    ARM_LDAEXH	= 124,
-    ARM_LDAH	= 125,
-    ARM_LDC2L_OFFSET	= 126,
-    ARM_LDC2L_OPTION	= 127,
-    ARM_LDC2L_POST	= 128,
-    ARM_LDC2L_PRE	= 129,
-    ARM_LDC2_OFFSET	= 130,
-    ARM_LDC2_OPTION	= 131,
-    ARM_LDC2_POST	= 132,
-    ARM_LDC2_PRE	= 133,
-    ARM_LDCL_OFFSET	= 134,
-    ARM_LDCL_OPTION	= 135,
-    ARM_LDCL_POST	= 136,
-    ARM_LDCL_PRE	= 137,
-    ARM_LDC_OFFSET	= 138,
-    ARM_LDC_OPTION	= 139,
-    ARM_LDC_POST	= 140,
-    ARM_LDC_PRE	= 141,
-    ARM_LDMDA	= 142,
-    ARM_LDMDA_UPD	= 143,
-    ARM_LDMDB	= 144,
-    ARM_LDMDB_UPD	= 145,
-    ARM_LDMIA	= 146,
-    ARM_LDMIA_RET	= 147,
-    ARM_LDMIA_UPD	= 148,
-    ARM_LDMIB	= 149,
-    ARM_LDMIB_UPD	= 150,
-    ARM_LDRBT_POST	= 151,
-    ARM_LDRBT_POST_IMM	= 152,
-    ARM_LDRBT_POST_REG	= 153,
-    ARM_LDRB_POST_IMM	= 154,
-    ARM_LDRB_POST_REG	= 155,
-    ARM_LDRB_PRE_IMM	= 156,
-    ARM_LDRB_PRE_REG	= 157,
-    ARM_LDRBi12	= 158,
-    ARM_LDRBrs	= 159,
-    ARM_LDRD	= 160,
-    ARM_LDRD_POST	= 161,
-    ARM_LDRD_PRE	= 162,
-    ARM_LDREX	= 163,
-    ARM_LDREXB	= 164,
-    ARM_LDREXD	= 165,
-    ARM_LDREXH	= 166,
-    ARM_LDRH	= 167,
-    ARM_LDRHTi	= 168,
-    ARM_LDRHTr	= 169,
-    ARM_LDRH_POST	= 170,
-    ARM_LDRH_PRE	= 171,
-    ARM_LDRLIT_ga_abs	= 172,
-    ARM_LDRLIT_ga_pcrel	= 173,
-    ARM_LDRLIT_ga_pcrel_ldr	= 174,
-    ARM_LDRSB	= 175,
-    ARM_LDRSBTi	= 176,
-    ARM_LDRSBTr	= 177,
-    ARM_LDRSB_POST	= 178,
-    ARM_LDRSB_PRE	= 179,
-    ARM_LDRSH	= 180,
-    ARM_LDRSHTi	= 181,
-    ARM_LDRSHTr	= 182,
-    ARM_LDRSH_POST	= 183,
-    ARM_LDRSH_PRE	= 184,
-    ARM_LDRT_POST	= 185,
-    ARM_LDRT_POST_IMM	= 186,
-    ARM_LDRT_POST_REG	= 187,
-    ARM_LDR_POST_IMM	= 188,
-    ARM_LDR_POST_REG	= 189,
-    ARM_LDR_PRE_IMM	= 190,
-    ARM_LDR_PRE_REG	= 191,
-    ARM_LDRcp	= 192,
-    ARM_LDRi12	= 193,
-    ARM_LDRrs	= 194,
-    ARM_LEApcrel	= 195,
-    ARM_LEApcrelJT	= 196,
-    ARM_LSLi	= 197,
-    ARM_LSLr	= 198,
-    ARM_LSRi	= 199,
-    ARM_LSRr	= 200,
-    ARM_MCR	= 201,
-    ARM_MCR2	= 202,
-    ARM_MCRR	= 203,
-    ARM_MCRR2	= 204,
-    ARM_MLA	= 205,
-    ARM_MLAv5	= 206,
-    ARM_MLS	= 207,
-    ARM_MOVCCi	= 208,
-    ARM_MOVCCi16	= 209,
-    ARM_MOVCCi32imm	= 210,
-    ARM_MOVCCr	= 211,
-    ARM_MOVCCsi	= 212,
-    ARM_MOVCCsr	= 213,
-    ARM_MOVPCLR	= 214,
-    ARM_MOVPCRX	= 215,
-    ARM_MOVTi16	= 216,
-    ARM_MOVTi16_ga_pcrel	= 217,
-    ARM_MOV_ga_pcrel	= 218,
-    ARM_MOV_ga_pcrel_ldr	= 219,
-    ARM_MOVi	= 220,
-    ARM_MOVi16	= 221,
-    ARM_MOVi16_ga_pcrel	= 222,
-    ARM_MOVi32imm	= 223,
-    ARM_MOVr	= 224,
-    ARM_MOVr_TC	= 225,
-    ARM_MOVsi	= 226,
-    ARM_MOVsr	= 227,
-    ARM_MOVsra_flag	= 228,
-    ARM_MOVsrl_flag	= 229,
-    ARM_MRC	= 230,
-    ARM_MRC2	= 231,
-    ARM_MRRC	= 232,
-    ARM_MRRC2	= 233,
-    ARM_MRS	= 234,
-    ARM_MRSsys	= 235,
-    ARM_MSR	= 236,
-    ARM_MSRi	= 237,
-    ARM_MUL	= 238,
-    ARM_MULv5	= 239,
-    ARM_MVNCCi	= 240,
-    ARM_MVNi	= 241,
-    ARM_MVNr	= 242,
-    ARM_MVNsi	= 243,
-    ARM_MVNsr	= 244,
-    ARM_ORRri	= 245,
-    ARM_ORRrr	= 246,
-    ARM_ORRrsi	= 247,
-    ARM_ORRrsr	= 248,
-    ARM_PICADD	= 249,
-    ARM_PICLDR	= 250,
-    ARM_PICLDRB	= 251,
-    ARM_PICLDRH	= 252,
-    ARM_PICLDRSB	= 253,
-    ARM_PICLDRSH	= 254,
-    ARM_PICSTR	= 255,
-    ARM_PICSTRB	= 256,
-    ARM_PICSTRH	= 257,
-    ARM_PKHBT	= 258,
-    ARM_PKHTB	= 259,
-    ARM_PLDWi12	= 260,
-    ARM_PLDWrs	= 261,
-    ARM_PLDi12	= 262,
-    ARM_PLDrs	= 263,
-    ARM_PLIi12	= 264,
-    ARM_PLIrs	= 265,
-    ARM_QADD	= 266,
-    ARM_QADD16	= 267,
-    ARM_QADD8	= 268,
-    ARM_QASX	= 269,
-    ARM_QDADD	= 270,
-    ARM_QDSUB	= 271,
-    ARM_QSAX	= 272,
-    ARM_QSUB	= 273,
-    ARM_QSUB16	= 274,
-    ARM_QSUB8	= 275,
-    ARM_RBIT	= 276,
-    ARM_REV	= 277,
-    ARM_REV16	= 278,
-    ARM_REVSH	= 279,
-    ARM_RFEDA	= 280,
-    ARM_RFEDA_UPD	= 281,
-    ARM_RFEDB	= 282,
-    ARM_RFEDB_UPD	= 283,
-    ARM_RFEIA	= 284,
-    ARM_RFEIA_UPD	= 285,
-    ARM_RFEIB	= 286,
-    ARM_RFEIB_UPD	= 287,
-    ARM_RORi	= 288,
-    ARM_RORr	= 289,
-    ARM_RRX	= 290,
-    ARM_RRXi	= 291,
-    ARM_RSBSri	= 292,
-    ARM_RSBSrsi	= 293,
-    ARM_RSBSrsr	= 294,
-    ARM_RSBri	= 295,
-    ARM_RSBrr	= 296,
-    ARM_RSBrsi	= 297,
-    ARM_RSBrsr	= 298,
-    ARM_RSCri	= 299,
-    ARM_RSCrr	= 300,
-    ARM_RSCrsi	= 301,
-    ARM_RSCrsr	= 302,
-    ARM_SADD16	= 303,
-    ARM_SADD8	= 304,
-    ARM_SASX	= 305,
-    ARM_SBCri	= 306,
-    ARM_SBCrr	= 307,
-    ARM_SBCrsi	= 308,
-    ARM_SBCrsr	= 309,
-    ARM_SBFX	= 310,
-    ARM_SDIV	= 311,
-    ARM_SEL	= 312,
-    ARM_SETEND	= 313,
-    ARM_SHA1C	= 314,
-    ARM_SHA1H	= 315,
-    ARM_SHA1M	= 316,
-    ARM_SHA1P	= 317,
-    ARM_SHA1SU0	= 318,
-    ARM_SHA1SU1	= 319,
-    ARM_SHA256H	= 320,
-    ARM_SHA256H2	= 321,
-    ARM_SHA256SU0	= 322,
-    ARM_SHA256SU1	= 323,
-    ARM_SHADD16	= 324,
-    ARM_SHADD8	= 325,
-    ARM_SHASX	= 326,
-    ARM_SHSAX	= 327,
-    ARM_SHSUB16	= 328,
-    ARM_SHSUB8	= 329,
-    ARM_SMC	= 330,
-    ARM_SMLABB	= 331,
-    ARM_SMLABT	= 332,
-    ARM_SMLAD	= 333,
-    ARM_SMLADX	= 334,
-    ARM_SMLAL	= 335,
-    ARM_SMLALBB	= 336,
-    ARM_SMLALBT	= 337,
-    ARM_SMLALD	= 338,
-    ARM_SMLALDX	= 339,
-    ARM_SMLALTB	= 340,
-    ARM_SMLALTT	= 341,
-    ARM_SMLALv5	= 342,
-    ARM_SMLATB	= 343,
-    ARM_SMLATT	= 344,
-    ARM_SMLAWB	= 345,
-    ARM_SMLAWT	= 346,
-    ARM_SMLSD	= 347,
-    ARM_SMLSDX	= 348,
-    ARM_SMLSLD	= 349,
-    ARM_SMLSLDX	= 350,
-    ARM_SMMLA	= 351,
-    ARM_SMMLAR	= 352,
-    ARM_SMMLS	= 353,
-    ARM_SMMLSR	= 354,
-    ARM_SMMUL	= 355,
-    ARM_SMMULR	= 356,
-    ARM_SMUAD	= 357,
-    ARM_SMUADX	= 358,
-    ARM_SMULBB	= 359,
-    ARM_SMULBT	= 360,
-    ARM_SMULL	= 361,
-    ARM_SMULLv5	= 362,
-    ARM_SMULTB	= 363,
-    ARM_SMULTT	= 364,
-    ARM_SMULWB	= 365,
-    ARM_SMULWT	= 366,
-    ARM_SMUSD	= 367,
-    ARM_SMUSDX	= 368,
-    ARM_SRSDA	= 369,
-    ARM_SRSDA_UPD	= 370,
-    ARM_SRSDB	= 371,
-    ARM_SRSDB_UPD	= 372,
-    ARM_SRSIA	= 373,
-    ARM_SRSIA_UPD	= 374,
-    ARM_SRSIB	= 375,
-    ARM_SRSIB_UPD	= 376,
-    ARM_SSAT	= 377,
-    ARM_SSAT16	= 378,
-    ARM_SSAX	= 379,
-    ARM_SSUB16	= 380,
-    ARM_SSUB8	= 381,
-    ARM_STC2L_OFFSET	= 382,
-    ARM_STC2L_OPTION	= 383,
-    ARM_STC2L_POST	= 384,
-    ARM_STC2L_PRE	= 385,
-    ARM_STC2_OFFSET	= 386,
-    ARM_STC2_OPTION	= 387,
-    ARM_STC2_POST	= 388,
-    ARM_STC2_PRE	= 389,
-    ARM_STCL_OFFSET	= 390,
-    ARM_STCL_OPTION	= 391,
-    ARM_STCL_POST	= 392,
-    ARM_STCL_PRE	= 393,
-    ARM_STC_OFFSET	= 394,
-    ARM_STC_OPTION	= 395,
-    ARM_STC_POST	= 396,
-    ARM_STC_PRE	= 397,
-    ARM_STL	= 398,
-    ARM_STLB	= 399,
-    ARM_STLEX	= 400,
-    ARM_STLEXB	= 401,
-    ARM_STLEXD	= 402,
-    ARM_STLEXH	= 403,
-    ARM_STLH	= 404,
-    ARM_STMDA	= 405,
-    ARM_STMDA_UPD	= 406,
-    ARM_STMDB	= 407,
-    ARM_STMDB_UPD	= 408,
-    ARM_STMIA	= 409,
-    ARM_STMIA_UPD	= 410,
-    ARM_STMIB	= 411,
-    ARM_STMIB_UPD	= 412,
-    ARM_STRBT_POST	= 413,
-    ARM_STRBT_POST_IMM	= 414,
-    ARM_STRBT_POST_REG	= 415,
-    ARM_STRB_POST_IMM	= 416,
-    ARM_STRB_POST_REG	= 417,
-    ARM_STRB_PRE_IMM	= 418,
-    ARM_STRB_PRE_REG	= 419,
-    ARM_STRBi12	= 420,
-    ARM_STRBi_preidx	= 421,
-    ARM_STRBr_preidx	= 422,
-    ARM_STRBrs	= 423,
-    ARM_STRD	= 424,
-    ARM_STRD_POST	= 425,
-    ARM_STRD_PRE	= 426,
-    ARM_STREX	= 427,
-    ARM_STREXB	= 428,
-    ARM_STREXD	= 429,
-    ARM_STREXH	= 430,
-    ARM_STRH	= 431,
-    ARM_STRHTi	= 432,
-    ARM_STRHTr	= 433,
-    ARM_STRH_POST	= 434,
-    ARM_STRH_PRE	= 435,
-    ARM_STRH_preidx	= 436,
-    ARM_STRT_POST	= 437,
-    ARM_STRT_POST_IMM	= 438,
-    ARM_STRT_POST_REG	= 439,
-    ARM_STR_POST_IMM	= 440,
-    ARM_STR_POST_REG	= 441,
-    ARM_STR_PRE_IMM	= 442,
-    ARM_STR_PRE_REG	= 443,
-    ARM_STRi12	= 444,
-    ARM_STRi_preidx	= 445,
-    ARM_STRr_preidx	= 446,
-    ARM_STRrs	= 447,
-    ARM_SUBS_PC_LR	= 448,
-    ARM_SUBSri	= 449,
-    ARM_SUBSrr	= 450,
-    ARM_SUBSrsi	= 451,
-    ARM_SUBSrsr	= 452,
-    ARM_SUBri	= 453,
-    ARM_SUBrr	= 454,
-    ARM_SUBrsi	= 455,
-    ARM_SUBrsr	= 456,
-    ARM_SVC	= 457,
-    ARM_SWP	= 458,
-    ARM_SWPB	= 459,
-    ARM_SXTAB	= 460,
-    ARM_SXTAB16	= 461,
-    ARM_SXTAH	= 462,
-    ARM_SXTB	= 463,
-    ARM_SXTB16	= 464,
-    ARM_SXTH	= 465,
-    ARM_TAILJMPd	= 466,
-    ARM_TAILJMPr	= 467,
-    ARM_TCRETURNdi	= 468,
-    ARM_TCRETURNri	= 469,
-    ARM_TEQri	= 470,
-    ARM_TEQrr	= 471,
-    ARM_TEQrsi	= 472,
-    ARM_TEQrsr	= 473,
-    ARM_TPsoft	= 474,
-    ARM_TRAP	= 475,
-    ARM_TRAPNaCl	= 476,
-    ARM_TSTri	= 477,
-    ARM_TSTrr	= 478,
-    ARM_TSTrsi	= 479,
-    ARM_TSTrsr	= 480,
-    ARM_UADD16	= 481,
-    ARM_UADD8	= 482,
-    ARM_UASX	= 483,
-    ARM_UBFX	= 484,
-    ARM_UDF	= 485,
-    ARM_UDIV	= 486,
-    ARM_UHADD16	= 487,
-    ARM_UHADD8	= 488,
-    ARM_UHASX	= 489,
-    ARM_UHSAX	= 490,
-    ARM_UHSUB16	= 491,
-    ARM_UHSUB8	= 492,
-    ARM_UMAAL	= 493,
-    ARM_UMLAL	= 494,
-    ARM_UMLALv5	= 495,
-    ARM_UMULL	= 496,
-    ARM_UMULLv5	= 497,
-    ARM_UQADD16	= 498,
-    ARM_UQADD8	= 499,
-    ARM_UQASX	= 500,
-    ARM_UQSAX	= 501,
-    ARM_UQSUB16	= 502,
-    ARM_UQSUB8	= 503,
-    ARM_USAD8	= 504,
-    ARM_USADA8	= 505,
-    ARM_USAT	= 506,
-    ARM_USAT16	= 507,
-    ARM_USAX	= 508,
-    ARM_USUB16	= 509,
-    ARM_USUB8	= 510,
-    ARM_UXTAB	= 511,
-    ARM_UXTAB16	= 512,
-    ARM_UXTAH	= 513,
-    ARM_UXTB	= 514,
-    ARM_UXTB16	= 515,
-    ARM_UXTH	= 516,
-    ARM_VABALsv2i64	= 517,
-    ARM_VABALsv4i32	= 518,
-    ARM_VABALsv8i16	= 519,
-    ARM_VABALuv2i64	= 520,
-    ARM_VABALuv4i32	= 521,
-    ARM_VABALuv8i16	= 522,
-    ARM_VABAsv16i8	= 523,
-    ARM_VABAsv2i32	= 524,
-    ARM_VABAsv4i16	= 525,
-    ARM_VABAsv4i32	= 526,
-    ARM_VABAsv8i16	= 527,
-    ARM_VABAsv8i8	= 528,
-    ARM_VABAuv16i8	= 529,
-    ARM_VABAuv2i32	= 530,
-    ARM_VABAuv4i16	= 531,
-    ARM_VABAuv4i32	= 532,
-    ARM_VABAuv8i16	= 533,
-    ARM_VABAuv8i8	= 534,
-    ARM_VABDLsv2i64	= 535,
-    ARM_VABDLsv4i32	= 536,
-    ARM_VABDLsv8i16	= 537,
-    ARM_VABDLuv2i64	= 538,
-    ARM_VABDLuv4i32	= 539,
-    ARM_VABDLuv8i16	= 540,
-    ARM_VABDfd	= 541,
-    ARM_VABDfq	= 542,
-    ARM_VABDsv16i8	= 543,
-    ARM_VABDsv2i32	= 544,
-    ARM_VABDsv4i16	= 545,
-    ARM_VABDsv4i32	= 546,
-    ARM_VABDsv8i16	= 547,
-    ARM_VABDsv8i8	= 548,
-    ARM_VABDuv16i8	= 549,
-    ARM_VABDuv2i32	= 550,
-    ARM_VABDuv4i16	= 551,
-    ARM_VABDuv4i32	= 552,
-    ARM_VABDuv8i16	= 553,
-    ARM_VABDuv8i8	= 554,
-    ARM_VABSD	= 555,
-    ARM_VABSS	= 556,
-    ARM_VABSfd	= 557,
-    ARM_VABSfq	= 558,
-    ARM_VABSv16i8	= 559,
-    ARM_VABSv2i32	= 560,
-    ARM_VABSv4i16	= 561,
-    ARM_VABSv4i32	= 562,
-    ARM_VABSv8i16	= 563,
-    ARM_VABSv8i8	= 564,
-    ARM_VACGEd	= 565,
-    ARM_VACGEq	= 566,
-    ARM_VACGTd	= 567,
-    ARM_VACGTq	= 568,
-    ARM_VADDD	= 569,
-    ARM_VADDHNv2i32	= 570,
-    ARM_VADDHNv4i16	= 571,
-    ARM_VADDHNv8i8	= 572,
-    ARM_VADDLsv2i64	= 573,
-    ARM_VADDLsv4i32	= 574,
-    ARM_VADDLsv8i16	= 575,
-    ARM_VADDLuv2i64	= 576,
-    ARM_VADDLuv4i32	= 577,
-    ARM_VADDLuv8i16	= 578,
-    ARM_VADDS	= 579,
-    ARM_VADDWsv2i64	= 580,
-    ARM_VADDWsv4i32	= 581,
-    ARM_VADDWsv8i16	= 582,
-    ARM_VADDWuv2i64	= 583,
-    ARM_VADDWuv4i32	= 584,
-    ARM_VADDWuv8i16	= 585,
-    ARM_VADDfd	= 586,
-    ARM_VADDfq	= 587,
-    ARM_VADDv16i8	= 588,
-    ARM_VADDv1i64	= 589,
-    ARM_VADDv2i32	= 590,
-    ARM_VADDv2i64	= 591,
-    ARM_VADDv4i16	= 592,
-    ARM_VADDv4i32	= 593,
-    ARM_VADDv8i16	= 594,
-    ARM_VADDv8i8	= 595,
-    ARM_VANDd	= 596,
-    ARM_VANDq	= 597,
-    ARM_VBICd	= 598,
-    ARM_VBICiv2i32	= 599,
-    ARM_VBICiv4i16	= 600,
-    ARM_VBICiv4i32	= 601,
-    ARM_VBICiv8i16	= 602,
-    ARM_VBICq	= 603,
-    ARM_VBIFd	= 604,
-    ARM_VBIFq	= 605,
-    ARM_VBITd	= 606,
-    ARM_VBITq	= 607,
-    ARM_VBSLd	= 608,
-    ARM_VBSLq	= 609,
-    ARM_VCEQfd	= 610,
-    ARM_VCEQfq	= 611,
-    ARM_VCEQv16i8	= 612,
-    ARM_VCEQv2i32	= 613,
-    ARM_VCEQv4i16	= 614,
-    ARM_VCEQv4i32	= 615,
-    ARM_VCEQv8i16	= 616,
-    ARM_VCEQv8i8	= 617,
-    ARM_VCEQzv16i8	= 618,
-    ARM_VCEQzv2f32	= 619,
-    ARM_VCEQzv2i32	= 620,
-    ARM_VCEQzv4f32	= 621,
-    ARM_VCEQzv4i16	= 622,
-    ARM_VCEQzv4i32	= 623,
-    ARM_VCEQzv8i16	= 624,
-    ARM_VCEQzv8i8	= 625,
-    ARM_VCGEfd	= 626,
-    ARM_VCGEfq	= 627,
-    ARM_VCGEsv16i8	= 628,
-    ARM_VCGEsv2i32	= 629,
-    ARM_VCGEsv4i16	= 630,
-    ARM_VCGEsv4i32	= 631,
-    ARM_VCGEsv8i16	= 632,
-    ARM_VCGEsv8i8	= 633,
-    ARM_VCGEuv16i8	= 634,
-    ARM_VCGEuv2i32	= 635,
-    ARM_VCGEuv4i16	= 636,
-    ARM_VCGEuv4i32	= 637,
-    ARM_VCGEuv8i16	= 638,
-    ARM_VCGEuv8i8	= 639,
-    ARM_VCGEzv16i8	= 640,
-    ARM_VCGEzv2f32	= 641,
-    ARM_VCGEzv2i32	= 642,
-    ARM_VCGEzv4f32	= 643,
-    ARM_VCGEzv4i16	= 644,
-    ARM_VCGEzv4i32	= 645,
-    ARM_VCGEzv8i16	= 646,
-    ARM_VCGEzv8i8	= 647,
-    ARM_VCGTfd	= 648,
-    ARM_VCGTfq	= 649,
-    ARM_VCGTsv16i8	= 650,
-    ARM_VCGTsv2i32	= 651,
-    ARM_VCGTsv4i16	= 652,
-    ARM_VCGTsv4i32	= 653,
-    ARM_VCGTsv8i16	= 654,
-    ARM_VCGTsv8i8	= 655,
-    ARM_VCGTuv16i8	= 656,
-    ARM_VCGTuv2i32	= 657,
-    ARM_VCGTuv4i16	= 658,
-    ARM_VCGTuv4i32	= 659,
-    ARM_VCGTuv8i16	= 660,
-    ARM_VCGTuv8i8	= 661,
-    ARM_VCGTzv16i8	= 662,
-    ARM_VCGTzv2f32	= 663,
-    ARM_VCGTzv2i32	= 664,
-    ARM_VCGTzv4f32	= 665,
-    ARM_VCGTzv4i16	= 666,
-    ARM_VCGTzv4i32	= 667,
-    ARM_VCGTzv8i16	= 668,
-    ARM_VCGTzv8i8	= 669,
-    ARM_VCLEzv16i8	= 670,
-    ARM_VCLEzv2f32	= 671,
-    ARM_VCLEzv2i32	= 672,
-    ARM_VCLEzv4f32	= 673,
-    ARM_VCLEzv4i16	= 674,
-    ARM_VCLEzv4i32	= 675,
-    ARM_VCLEzv8i16	= 676,
-    ARM_VCLEzv8i8	= 677,
-    ARM_VCLSv16i8	= 678,
-    ARM_VCLSv2i32	= 679,
-    ARM_VCLSv4i16	= 680,
-    ARM_VCLSv4i32	= 681,
-    ARM_VCLSv8i16	= 682,
-    ARM_VCLSv8i8	= 683,
-    ARM_VCLTzv16i8	= 684,
-    ARM_VCLTzv2f32	= 685,
-    ARM_VCLTzv2i32	= 686,
-    ARM_VCLTzv4f32	= 687,
-    ARM_VCLTzv4i16	= 688,
-    ARM_VCLTzv4i32	= 689,
-    ARM_VCLTzv8i16	= 690,
-    ARM_VCLTzv8i8	= 691,
-    ARM_VCLZv16i8	= 692,
-    ARM_VCLZv2i32	= 693,
-    ARM_VCLZv4i16	= 694,
-    ARM_VCLZv4i32	= 695,
-    ARM_VCLZv8i16	= 696,
-    ARM_VCLZv8i8	= 697,
-    ARM_VCMPD	= 698,
-    ARM_VCMPED	= 699,
-    ARM_VCMPES	= 700,
-    ARM_VCMPEZD	= 701,
-    ARM_VCMPEZS	= 702,
-    ARM_VCMPS	= 703,
-    ARM_VCMPZD	= 704,
-    ARM_VCMPZS	= 705,
-    ARM_VCNTd	= 706,
-    ARM_VCNTq	= 707,
-    ARM_VCVTANSD	= 708,
-    ARM_VCVTANSQ	= 709,
-    ARM_VCVTANUD	= 710,
-    ARM_VCVTANUQ	= 711,
-    ARM_VCVTASD	= 712,
-    ARM_VCVTASS	= 713,
-    ARM_VCVTAUD	= 714,
-    ARM_VCVTAUS	= 715,
-    ARM_VCVTBDH	= 716,
-    ARM_VCVTBHD	= 717,
-    ARM_VCVTBHS	= 718,
-    ARM_VCVTBSH	= 719,
-    ARM_VCVTDS	= 720,
-    ARM_VCVTMNSD	= 721,
-    ARM_VCVTMNSQ	= 722,
-    ARM_VCVTMNUD	= 723,
-    ARM_VCVTMNUQ	= 724,
-    ARM_VCVTMSD	= 725,
-    ARM_VCVTMSS	= 726,
-    ARM_VCVTMUD	= 727,
-    ARM_VCVTMUS	= 728,
-    ARM_VCVTNNSD	= 729,
-    ARM_VCVTNNSQ	= 730,
-    ARM_VCVTNNUD	= 731,
-    ARM_VCVTNNUQ	= 732,
-    ARM_VCVTNSD	= 733,
-    ARM_VCVTNSS	= 734,
-    ARM_VCVTNUD	= 735,
-    ARM_VCVTNUS	= 736,
-    ARM_VCVTPNSD	= 737,
-    ARM_VCVTPNSQ	= 738,
-    ARM_VCVTPNUD	= 739,
-    ARM_VCVTPNUQ	= 740,
-    ARM_VCVTPSD	= 741,
-    ARM_VCVTPSS	= 742,
-    ARM_VCVTPUD	= 743,
-    ARM_VCVTPUS	= 744,
-    ARM_VCVTSD	= 745,
-    ARM_VCVTTDH	= 746,
-    ARM_VCVTTHD	= 747,
-    ARM_VCVTTHS	= 748,
-    ARM_VCVTTSH	= 749,
-    ARM_VCVTf2h	= 750,
-    ARM_VCVTf2sd	= 751,
-    ARM_VCVTf2sq	= 752,
-    ARM_VCVTf2ud	= 753,
-    ARM_VCVTf2uq	= 754,
-    ARM_VCVTf2xsd	= 755,
-    ARM_VCVTf2xsq	= 756,
-    ARM_VCVTf2xud	= 757,
-    ARM_VCVTf2xuq	= 758,
-    ARM_VCVTh2f	= 759,
-    ARM_VCVTs2fd	= 760,
-    ARM_VCVTs2fq	= 761,
-    ARM_VCVTu2fd	= 762,
-    ARM_VCVTu2fq	= 763,
-    ARM_VCVTxs2fd	= 764,
-    ARM_VCVTxs2fq	= 765,
-    ARM_VCVTxu2fd	= 766,
-    ARM_VCVTxu2fq	= 767,
-    ARM_VDIVD	= 768,
-    ARM_VDIVS	= 769,
-    ARM_VDUP16d	= 770,
-    ARM_VDUP16q	= 771,
-    ARM_VDUP32d	= 772,
-    ARM_VDUP32q	= 773,
-    ARM_VDUP8d	= 774,
-    ARM_VDUP8q	= 775,
-    ARM_VDUPLN16d	= 776,
-    ARM_VDUPLN16q	= 777,
-    ARM_VDUPLN32d	= 778,
-    ARM_VDUPLN32q	= 779,
-    ARM_VDUPLN8d	= 780,
-    ARM_VDUPLN8q	= 781,
-    ARM_VEORd	= 782,
-    ARM_VEORq	= 783,
-    ARM_VEXTd16	= 784,
-    ARM_VEXTd32	= 785,
-    ARM_VEXTd8	= 786,
-    ARM_VEXTq16	= 787,
-    ARM_VEXTq32	= 788,
-    ARM_VEXTq64	= 789,
-    ARM_VEXTq8	= 790,
-    ARM_VFMAD	= 791,
-    ARM_VFMAS	= 792,
-    ARM_VFMAfd	= 793,
-    ARM_VFMAfq	= 794,
-    ARM_VFMSD	= 795,
-    ARM_VFMSS	= 796,
-    ARM_VFMSfd	= 797,
-    ARM_VFMSfq	= 798,
-    ARM_VFNMAD	= 799,
-    ARM_VFNMAS	= 800,
-    ARM_VFNMSD	= 801,
-    ARM_VFNMSS	= 802,
-    ARM_VGETLNi32	= 803,
-    ARM_VGETLNs16	= 804,
-    ARM_VGETLNs8	= 805,
-    ARM_VGETLNu16	= 806,
-    ARM_VGETLNu8	= 807,
-    ARM_VHADDsv16i8	= 808,
-    ARM_VHADDsv2i32	= 809,
-    ARM_VHADDsv4i16	= 810,
-    ARM_VHADDsv4i32	= 811,
-    ARM_VHADDsv8i16	= 812,
-    ARM_VHADDsv8i8	= 813,
-    ARM_VHADDuv16i8	= 814,
-    ARM_VHADDuv2i32	= 815,
-    ARM_VHADDuv4i16	= 816,
-    ARM_VHADDuv4i32	= 817,
-    ARM_VHADDuv8i16	= 818,
-    ARM_VHADDuv8i8	= 819,
-    ARM_VHSUBsv16i8	= 820,
-    ARM_VHSUBsv2i32	= 821,
-    ARM_VHSUBsv4i16	= 822,
-    ARM_VHSUBsv4i32	= 823,
-    ARM_VHSUBsv8i16	= 824,
-    ARM_VHSUBsv8i8	= 825,
-    ARM_VHSUBuv16i8	= 826,
-    ARM_VHSUBuv2i32	= 827,
-    ARM_VHSUBuv4i16	= 828,
-    ARM_VHSUBuv4i32	= 829,
-    ARM_VHSUBuv8i16	= 830,
-    ARM_VHSUBuv8i8	= 831,
-    ARM_VLD1DUPd16	= 832,
-    ARM_VLD1DUPd16wb_fixed	= 833,
-    ARM_VLD1DUPd16wb_register	= 834,
-    ARM_VLD1DUPd32	= 835,
-    ARM_VLD1DUPd32wb_fixed	= 836,
-    ARM_VLD1DUPd32wb_register	= 837,
-    ARM_VLD1DUPd8	= 838,
-    ARM_VLD1DUPd8wb_fixed	= 839,
-    ARM_VLD1DUPd8wb_register	= 840,
-    ARM_VLD1DUPq16	= 841,
-    ARM_VLD1DUPq16wb_fixed	= 842,
-    ARM_VLD1DUPq16wb_register	= 843,
-    ARM_VLD1DUPq32	= 844,
-    ARM_VLD1DUPq32wb_fixed	= 845,
-    ARM_VLD1DUPq32wb_register	= 846,
-    ARM_VLD1DUPq8	= 847,
-    ARM_VLD1DUPq8wb_fixed	= 848,
-    ARM_VLD1DUPq8wb_register	= 849,
-    ARM_VLD1LNd16	= 850,
-    ARM_VLD1LNd16_UPD	= 851,
-    ARM_VLD1LNd32	= 852,
-    ARM_VLD1LNd32_UPD	= 853,
-    ARM_VLD1LNd8	= 854,
-    ARM_VLD1LNd8_UPD	= 855,
-    ARM_VLD1LNdAsm_16	= 856,
-    ARM_VLD1LNdAsm_32	= 857,
-    ARM_VLD1LNdAsm_8	= 858,
-    ARM_VLD1LNdWB_fixed_Asm_16	= 859,
-    ARM_VLD1LNdWB_fixed_Asm_32	= 860,
-    ARM_VLD1LNdWB_fixed_Asm_8	= 861,
-    ARM_VLD1LNdWB_register_Asm_16	= 862,
-    ARM_VLD1LNdWB_register_Asm_32	= 863,
-    ARM_VLD1LNdWB_register_Asm_8	= 864,
-    ARM_VLD1LNq16Pseudo	= 865,
-    ARM_VLD1LNq16Pseudo_UPD	= 866,
-    ARM_VLD1LNq32Pseudo	= 867,
-    ARM_VLD1LNq32Pseudo_UPD	= 868,
-    ARM_VLD1LNq8Pseudo	= 869,
-    ARM_VLD1LNq8Pseudo_UPD	= 870,
-    ARM_VLD1d16	= 871,
-    ARM_VLD1d16Q	= 872,
-    ARM_VLD1d16Qwb_fixed	= 873,
-    ARM_VLD1d16Qwb_register	= 874,
-    ARM_VLD1d16T	= 875,
-    ARM_VLD1d16Twb_fixed	= 876,
-    ARM_VLD1d16Twb_register	= 877,
-    ARM_VLD1d16wb_fixed	= 878,
-    ARM_VLD1d16wb_register	= 879,
-    ARM_VLD1d32	= 880,
-    ARM_VLD1d32Q	= 881,
-    ARM_VLD1d32Qwb_fixed	= 882,
-    ARM_VLD1d32Qwb_register	= 883,
-    ARM_VLD1d32T	= 884,
-    ARM_VLD1d32Twb_fixed	= 885,
-    ARM_VLD1d32Twb_register	= 886,
-    ARM_VLD1d32wb_fixed	= 887,
-    ARM_VLD1d32wb_register	= 888,
-    ARM_VLD1d64	= 889,
-    ARM_VLD1d64Q	= 890,
-    ARM_VLD1d64QPseudo	= 891,
-    ARM_VLD1d64QPseudoWB_fixed	= 892,
-    ARM_VLD1d64QPseudoWB_register	= 893,
-    ARM_VLD1d64Qwb_fixed	= 894,
-    ARM_VLD1d64Qwb_register	= 895,
-    ARM_VLD1d64T	= 896,
-    ARM_VLD1d64TPseudo	= 897,
-    ARM_VLD1d64TPseudoWB_fixed	= 898,
-    ARM_VLD1d64TPseudoWB_register	= 899,
-    ARM_VLD1d64Twb_fixed	= 900,
-    ARM_VLD1d64Twb_register	= 901,
-    ARM_VLD1d64wb_fixed	= 902,
-    ARM_VLD1d64wb_register	= 903,
-    ARM_VLD1d8	= 904,
-    ARM_VLD1d8Q	= 905,
-    ARM_VLD1d8Qwb_fixed	= 906,
-    ARM_VLD1d8Qwb_register	= 907,
-    ARM_VLD1d8T	= 908,
-    ARM_VLD1d8Twb_fixed	= 909,
-    ARM_VLD1d8Twb_register	= 910,
-    ARM_VLD1d8wb_fixed	= 911,
-    ARM_VLD1d8wb_register	= 912,
-    ARM_VLD1q16	= 913,
-    ARM_VLD1q16wb_fixed	= 914,
-    ARM_VLD1q16wb_register	= 915,
-    ARM_VLD1q32	= 916,
-    ARM_VLD1q32wb_fixed	= 917,
-    ARM_VLD1q32wb_register	= 918,
-    ARM_VLD1q64	= 919,
-    ARM_VLD1q64wb_fixed	= 920,
-    ARM_VLD1q64wb_register	= 921,
-    ARM_VLD1q8	= 922,
-    ARM_VLD1q8wb_fixed	= 923,
-    ARM_VLD1q8wb_register	= 924,
-    ARM_VLD2DUPd16	= 925,
-    ARM_VLD2DUPd16wb_fixed	= 926,
-    ARM_VLD2DUPd16wb_register	= 927,
-    ARM_VLD2DUPd16x2	= 928,
-    ARM_VLD2DUPd16x2wb_fixed	= 929,
-    ARM_VLD2DUPd16x2wb_register	= 930,
-    ARM_VLD2DUPd32	= 931,
-    ARM_VLD2DUPd32wb_fixed	= 932,
-    ARM_VLD2DUPd32wb_register	= 933,
-    ARM_VLD2DUPd32x2	= 934,
-    ARM_VLD2DUPd32x2wb_fixed	= 935,
-    ARM_VLD2DUPd32x2wb_register	= 936,
-    ARM_VLD2DUPd8	= 937,
-    ARM_VLD2DUPd8wb_fixed	= 938,
-    ARM_VLD2DUPd8wb_register	= 939,
-    ARM_VLD2DUPd8x2	= 940,
-    ARM_VLD2DUPd8x2wb_fixed	= 941,
-    ARM_VLD2DUPd8x2wb_register	= 942,
-    ARM_VLD2LNd16	= 943,
-    ARM_VLD2LNd16Pseudo	= 944,
-    ARM_VLD2LNd16Pseudo_UPD	= 945,
-    ARM_VLD2LNd16_UPD	= 946,
-    ARM_VLD2LNd32	= 947,
-    ARM_VLD2LNd32Pseudo	= 948,
-    ARM_VLD2LNd32Pseudo_UPD	= 949,
-    ARM_VLD2LNd32_UPD	= 950,
-    ARM_VLD2LNd8	= 951,
-    ARM_VLD2LNd8Pseudo	= 952,
-    ARM_VLD2LNd8Pseudo_UPD	= 953,
-    ARM_VLD2LNd8_UPD	= 954,
-    ARM_VLD2LNdAsm_16	= 955,
-    ARM_VLD2LNdAsm_32	= 956,
-    ARM_VLD2LNdAsm_8	= 957,
-    ARM_VLD2LNdWB_fixed_Asm_16	= 958,
-    ARM_VLD2LNdWB_fixed_Asm_32	= 959,
-    ARM_VLD2LNdWB_fixed_Asm_8	= 960,
-    ARM_VLD2LNdWB_register_Asm_16	= 961,
-    ARM_VLD2LNdWB_register_Asm_32	= 962,
-    ARM_VLD2LNdWB_register_Asm_8	= 963,
-    ARM_VLD2LNq16	= 964,
-    ARM_VLD2LNq16Pseudo	= 965,
-    ARM_VLD2LNq16Pseudo_UPD	= 966,
-    ARM_VLD2LNq16_UPD	= 967,
-    ARM_VLD2LNq32	= 968,
-    ARM_VLD2LNq32Pseudo	= 969,
-    ARM_VLD2LNq32Pseudo_UPD	= 970,
-    ARM_VLD2LNq32_UPD	= 971,
-    ARM_VLD2LNqAsm_16	= 972,
-    ARM_VLD2LNqAsm_32	= 973,
-    ARM_VLD2LNqWB_fixed_Asm_16	= 974,
-    ARM_VLD2LNqWB_fixed_Asm_32	= 975,
-    ARM_VLD2LNqWB_register_Asm_16	= 976,
-    ARM_VLD2LNqWB_register_Asm_32	= 977,
-    ARM_VLD2b16	= 978,
-    ARM_VLD2b16wb_fixed	= 979,
-    ARM_VLD2b16wb_register	= 980,
-    ARM_VLD2b32	= 981,
-    ARM_VLD2b32wb_fixed	= 982,
-    ARM_VLD2b32wb_register	= 983,
-    ARM_VLD2b8	= 984,
-    ARM_VLD2b8wb_fixed	= 985,
-    ARM_VLD2b8wb_register	= 986,
-    ARM_VLD2d16	= 987,
-    ARM_VLD2d16wb_fixed	= 988,
-    ARM_VLD2d16wb_register	= 989,
-    ARM_VLD2d32	= 990,
-    ARM_VLD2d32wb_fixed	= 991,
-    ARM_VLD2d32wb_register	= 992,
-    ARM_VLD2d8	= 993,
-    ARM_VLD2d8wb_fixed	= 994,
-    ARM_VLD2d8wb_register	= 995,
-    ARM_VLD2q16	= 996,
-    ARM_VLD2q16Pseudo	= 997,
-    ARM_VLD2q16PseudoWB_fixed	= 998,
-    ARM_VLD2q16PseudoWB_register	= 999,
-    ARM_VLD2q16wb_fixed	= 1000,
-    ARM_VLD2q16wb_register	= 1001,
-    ARM_VLD2q32	= 1002,
-    ARM_VLD2q32Pseudo	= 1003,
-    ARM_VLD2q32PseudoWB_fixed	= 1004,
-    ARM_VLD2q32PseudoWB_register	= 1005,
-    ARM_VLD2q32wb_fixed	= 1006,
-    ARM_VLD2q32wb_register	= 1007,
-    ARM_VLD2q8	= 1008,
-    ARM_VLD2q8Pseudo	= 1009,
-    ARM_VLD2q8PseudoWB_fixed	= 1010,
-    ARM_VLD2q8PseudoWB_register	= 1011,
-    ARM_VLD2q8wb_fixed	= 1012,
-    ARM_VLD2q8wb_register	= 1013,
-    ARM_VLD3DUPd16	= 1014,
-    ARM_VLD3DUPd16Pseudo	= 1015,
-    ARM_VLD3DUPd16Pseudo_UPD	= 1016,
-    ARM_VLD3DUPd16_UPD	= 1017,
-    ARM_VLD3DUPd32	= 1018,
-    ARM_VLD3DUPd32Pseudo	= 1019,
-    ARM_VLD3DUPd32Pseudo_UPD	= 1020,
-    ARM_VLD3DUPd32_UPD	= 1021,
-    ARM_VLD3DUPd8	= 1022,
-    ARM_VLD3DUPd8Pseudo	= 1023,
-    ARM_VLD3DUPd8Pseudo_UPD	= 1024,
-    ARM_VLD3DUPd8_UPD	= 1025,
-    ARM_VLD3DUPdAsm_16	= 1026,
-    ARM_VLD3DUPdAsm_32	= 1027,
-    ARM_VLD3DUPdAsm_8	= 1028,
-    ARM_VLD3DUPdWB_fixed_Asm_16	= 1029,
-    ARM_VLD3DUPdWB_fixed_Asm_32	= 1030,
-    ARM_VLD3DUPdWB_fixed_Asm_8	= 1031,
-    ARM_VLD3DUPdWB_register_Asm_16	= 1032,
-    ARM_VLD3DUPdWB_register_Asm_32	= 1033,
-    ARM_VLD3DUPdWB_register_Asm_8	= 1034,
-    ARM_VLD3DUPq16	= 1035,
-    ARM_VLD3DUPq16_UPD	= 1036,
-    ARM_VLD3DUPq32	= 1037,
-    ARM_VLD3DUPq32_UPD	= 1038,
-    ARM_VLD3DUPq8	= 1039,
-    ARM_VLD3DUPq8_UPD	= 1040,
-    ARM_VLD3DUPqAsm_16	= 1041,
-    ARM_VLD3DUPqAsm_32	= 1042,
-    ARM_VLD3DUPqAsm_8	= 1043,
-    ARM_VLD3DUPqWB_fixed_Asm_16	= 1044,
-    ARM_VLD3DUPqWB_fixed_Asm_32	= 1045,
-    ARM_VLD3DUPqWB_fixed_Asm_8	= 1046,
-    ARM_VLD3DUPqWB_register_Asm_16	= 1047,
-    ARM_VLD3DUPqWB_register_Asm_32	= 1048,
-    ARM_VLD3DUPqWB_register_Asm_8	= 1049,
-    ARM_VLD3LNd16	= 1050,
-    ARM_VLD3LNd16Pseudo	= 1051,
-    ARM_VLD3LNd16Pseudo_UPD	= 1052,
-    ARM_VLD3LNd16_UPD	= 1053,
-    ARM_VLD3LNd32	= 1054,
-    ARM_VLD3LNd32Pseudo	= 1055,
-    ARM_VLD3LNd32Pseudo_UPD	= 1056,
-    ARM_VLD3LNd32_UPD	= 1057,
-    ARM_VLD3LNd8	= 1058,
-    ARM_VLD3LNd8Pseudo	= 1059,
-    ARM_VLD3LNd8Pseudo_UPD	= 1060,
-    ARM_VLD3LNd8_UPD	= 1061,
-    ARM_VLD3LNdAsm_16	= 1062,
-    ARM_VLD3LNdAsm_32	= 1063,
-    ARM_VLD3LNdAsm_8	= 1064,
-    ARM_VLD3LNdWB_fixed_Asm_16	= 1065,
-    ARM_VLD3LNdWB_fixed_Asm_32	= 1066,
-    ARM_VLD3LNdWB_fixed_Asm_8	= 1067,
-    ARM_VLD3LNdWB_register_Asm_16	= 1068,
-    ARM_VLD3LNdWB_register_Asm_32	= 1069,
-    ARM_VLD3LNdWB_register_Asm_8	= 1070,
-    ARM_VLD3LNq16	= 1071,
-    ARM_VLD3LNq16Pseudo	= 1072,
-    ARM_VLD3LNq16Pseudo_UPD	= 1073,
-    ARM_VLD3LNq16_UPD	= 1074,
-    ARM_VLD3LNq32	= 1075,
-    ARM_VLD3LNq32Pseudo	= 1076,
-    ARM_VLD3LNq32Pseudo_UPD	= 1077,
-    ARM_VLD3LNq32_UPD	= 1078,
-    ARM_VLD3LNqAsm_16	= 1079,
-    ARM_VLD3LNqAsm_32	= 1080,
-    ARM_VLD3LNqWB_fixed_Asm_16	= 1081,
-    ARM_VLD3LNqWB_fixed_Asm_32	= 1082,
-    ARM_VLD3LNqWB_register_Asm_16	= 1083,
-    ARM_VLD3LNqWB_register_Asm_32	= 1084,
-    ARM_VLD3d16	= 1085,
-    ARM_VLD3d16Pseudo	= 1086,
-    ARM_VLD3d16Pseudo_UPD	= 1087,
-    ARM_VLD3d16_UPD	= 1088,
-    ARM_VLD3d32	= 1089,
-    ARM_VLD3d32Pseudo	= 1090,
-    ARM_VLD3d32Pseudo_UPD	= 1091,
-    ARM_VLD3d32_UPD	= 1092,
-    ARM_VLD3d8	= 1093,
-    ARM_VLD3d8Pseudo	= 1094,
-    ARM_VLD3d8Pseudo_UPD	= 1095,
-    ARM_VLD3d8_UPD	= 1096,
-    ARM_VLD3dAsm_16	= 1097,
-    ARM_VLD3dAsm_32	= 1098,
-    ARM_VLD3dAsm_8	= 1099,
-    ARM_VLD3dWB_fixed_Asm_16	= 1100,
-    ARM_VLD3dWB_fixed_Asm_32	= 1101,
-    ARM_VLD3dWB_fixed_Asm_8	= 1102,
-    ARM_VLD3dWB_register_Asm_16	= 1103,
-    ARM_VLD3dWB_register_Asm_32	= 1104,
-    ARM_VLD3dWB_register_Asm_8	= 1105,
-    ARM_VLD3q16	= 1106,
-    ARM_VLD3q16Pseudo_UPD	= 1107,
-    ARM_VLD3q16_UPD	= 1108,
-    ARM_VLD3q16oddPseudo	= 1109,
-    ARM_VLD3q16oddPseudo_UPD	= 1110,
-    ARM_VLD3q32	= 1111,
-    ARM_VLD3q32Pseudo_UPD	= 1112,
-    ARM_VLD3q32_UPD	= 1113,
-    ARM_VLD3q32oddPseudo	= 1114,
-    ARM_VLD3q32oddPseudo_UPD	= 1115,
-    ARM_VLD3q8	= 1116,
-    ARM_VLD3q8Pseudo_UPD	= 1117,
-    ARM_VLD3q8_UPD	= 1118,
-    ARM_VLD3q8oddPseudo	= 1119,
-    ARM_VLD3q8oddPseudo_UPD	= 1120,
-    ARM_VLD3qAsm_16	= 1121,
-    ARM_VLD3qAsm_32	= 1122,
-    ARM_VLD3qAsm_8	= 1123,
-    ARM_VLD3qWB_fixed_Asm_16	= 1124,
-    ARM_VLD3qWB_fixed_Asm_32	= 1125,
-    ARM_VLD3qWB_fixed_Asm_8	= 1126,
-    ARM_VLD3qWB_register_Asm_16	= 1127,
-    ARM_VLD3qWB_register_Asm_32	= 1128,
-    ARM_VLD3qWB_register_Asm_8	= 1129,
-    ARM_VLD4DUPd16	= 1130,
-    ARM_VLD4DUPd16Pseudo	= 1131,
-    ARM_VLD4DUPd16Pseudo_UPD	= 1132,
-    ARM_VLD4DUPd16_UPD	= 1133,
-    ARM_VLD4DUPd32	= 1134,
-    ARM_VLD4DUPd32Pseudo	= 1135,
-    ARM_VLD4DUPd32Pseudo_UPD	= 1136,
-    ARM_VLD4DUPd32_UPD	= 1137,
-    ARM_VLD4DUPd8	= 1138,
-    ARM_VLD4DUPd8Pseudo	= 1139,
-    ARM_VLD4DUPd8Pseudo_UPD	= 1140,
-    ARM_VLD4DUPd8_UPD	= 1141,
-    ARM_VLD4DUPdAsm_16	= 1142,
-    ARM_VLD4DUPdAsm_32	= 1143,
-    ARM_VLD4DUPdAsm_8	= 1144,
-    ARM_VLD4DUPdWB_fixed_Asm_16	= 1145,
-    ARM_VLD4DUPdWB_fixed_Asm_32	= 1146,
-    ARM_VLD4DUPdWB_fixed_Asm_8	= 1147,
-    ARM_VLD4DUPdWB_register_Asm_16	= 1148,
-    ARM_VLD4DUPdWB_register_Asm_32	= 1149,
-    ARM_VLD4DUPdWB_register_Asm_8	= 1150,
-    ARM_VLD4DUPq16	= 1151,
-    ARM_VLD4DUPq16_UPD	= 1152,
-    ARM_VLD4DUPq32	= 1153,
-    ARM_VLD4DUPq32_UPD	= 1154,
-    ARM_VLD4DUPq8	= 1155,
-    ARM_VLD4DUPq8_UPD	= 1156,
-    ARM_VLD4DUPqAsm_16	= 1157,
-    ARM_VLD4DUPqAsm_32	= 1158,
-    ARM_VLD4DUPqAsm_8	= 1159,
-    ARM_VLD4DUPqWB_fixed_Asm_16	= 1160,
-    ARM_VLD4DUPqWB_fixed_Asm_32	= 1161,
-    ARM_VLD4DUPqWB_fixed_Asm_8	= 1162,
-    ARM_VLD4DUPqWB_register_Asm_16	= 1163,
-    ARM_VLD4DUPqWB_register_Asm_32	= 1164,
-    ARM_VLD4DUPqWB_register_Asm_8	= 1165,
-    ARM_VLD4LNd16	= 1166,
-    ARM_VLD4LNd16Pseudo	= 1167,
-    ARM_VLD4LNd16Pseudo_UPD	= 1168,
-    ARM_VLD4LNd16_UPD	= 1169,
-    ARM_VLD4LNd32	= 1170,
-    ARM_VLD4LNd32Pseudo	= 1171,
-    ARM_VLD4LNd32Pseudo_UPD	= 1172,
-    ARM_VLD4LNd32_UPD	= 1173,
-    ARM_VLD4LNd8	= 1174,
-    ARM_VLD4LNd8Pseudo	= 1175,
-    ARM_VLD4LNd8Pseudo_UPD	= 1176,
-    ARM_VLD4LNd8_UPD	= 1177,
-    ARM_VLD4LNdAsm_16	= 1178,
-    ARM_VLD4LNdAsm_32	= 1179,
-    ARM_VLD4LNdAsm_8	= 1180,
-    ARM_VLD4LNdWB_fixed_Asm_16	= 1181,
-    ARM_VLD4LNdWB_fixed_Asm_32	= 1182,
-    ARM_VLD4LNdWB_fixed_Asm_8	= 1183,
-    ARM_VLD4LNdWB_register_Asm_16	= 1184,
-    ARM_VLD4LNdWB_register_Asm_32	= 1185,
-    ARM_VLD4LNdWB_register_Asm_8	= 1186,
-    ARM_VLD4LNq16	= 1187,
-    ARM_VLD4LNq16Pseudo	= 1188,
-    ARM_VLD4LNq16Pseudo_UPD	= 1189,
-    ARM_VLD4LNq16_UPD	= 1190,
-    ARM_VLD4LNq32	= 1191,
-    ARM_VLD4LNq32Pseudo	= 1192,
-    ARM_VLD4LNq32Pseudo_UPD	= 1193,
-    ARM_VLD4LNq32_UPD	= 1194,
-    ARM_VLD4LNqAsm_16	= 1195,
-    ARM_VLD4LNqAsm_32	= 1196,
-    ARM_VLD4LNqWB_fixed_Asm_16	= 1197,
-    ARM_VLD4LNqWB_fixed_Asm_32	= 1198,
-    ARM_VLD4LNqWB_register_Asm_16	= 1199,
-    ARM_VLD4LNqWB_register_Asm_32	= 1200,
-    ARM_VLD4d16	= 1201,
-    ARM_VLD4d16Pseudo	= 1202,
-    ARM_VLD4d16Pseudo_UPD	= 1203,
-    ARM_VLD4d16_UPD	= 1204,
-    ARM_VLD4d32	= 1205,
-    ARM_VLD4d32Pseudo	= 1206,
-    ARM_VLD4d32Pseudo_UPD	= 1207,
-    ARM_VLD4d32_UPD	= 1208,
-    ARM_VLD4d8	= 1209,
-    ARM_VLD4d8Pseudo	= 1210,
-    ARM_VLD4d8Pseudo_UPD	= 1211,
-    ARM_VLD4d8_UPD	= 1212,
-    ARM_VLD4dAsm_16	= 1213,
-    ARM_VLD4dAsm_32	= 1214,
-    ARM_VLD4dAsm_8	= 1215,
-    ARM_VLD4dWB_fixed_Asm_16	= 1216,
-    ARM_VLD4dWB_fixed_Asm_32	= 1217,
-    ARM_VLD4dWB_fixed_Asm_8	= 1218,
-    ARM_VLD4dWB_register_Asm_16	= 1219,
-    ARM_VLD4dWB_register_Asm_32	= 1220,
-    ARM_VLD4dWB_register_Asm_8	= 1221,
-    ARM_VLD4q16	= 1222,
-    ARM_VLD4q16Pseudo_UPD	= 1223,
-    ARM_VLD4q16_UPD	= 1224,
-    ARM_VLD4q16oddPseudo	= 1225,
-    ARM_VLD4q16oddPseudo_UPD	= 1226,
-    ARM_VLD4q32	= 1227,
-    ARM_VLD4q32Pseudo_UPD	= 1228,
-    ARM_VLD4q32_UPD	= 1229,
-    ARM_VLD4q32oddPseudo	= 1230,
-    ARM_VLD4q32oddPseudo_UPD	= 1231,
-    ARM_VLD4q8	= 1232,
-    ARM_VLD4q8Pseudo_UPD	= 1233,
-    ARM_VLD4q8_UPD	= 1234,
-    ARM_VLD4q8oddPseudo	= 1235,
-    ARM_VLD4q8oddPseudo_UPD	= 1236,
-    ARM_VLD4qAsm_16	= 1237,
-    ARM_VLD4qAsm_32	= 1238,
-    ARM_VLD4qAsm_8	= 1239,
-    ARM_VLD4qWB_fixed_Asm_16	= 1240,
-    ARM_VLD4qWB_fixed_Asm_32	= 1241,
-    ARM_VLD4qWB_fixed_Asm_8	= 1242,
-    ARM_VLD4qWB_register_Asm_16	= 1243,
-    ARM_VLD4qWB_register_Asm_32	= 1244,
-    ARM_VLD4qWB_register_Asm_8	= 1245,
-    ARM_VLDMDDB_UPD	= 1246,
-    ARM_VLDMDIA	= 1247,
-    ARM_VLDMDIA_UPD	= 1248,
-    ARM_VLDMQIA	= 1249,
-    ARM_VLDMSDB_UPD	= 1250,
-    ARM_VLDMSIA	= 1251,
-    ARM_VLDMSIA_UPD	= 1252,
-    ARM_VLDRD	= 1253,
-    ARM_VLDRS	= 1254,
-    ARM_VMAXNMD	= 1255,
-    ARM_VMAXNMND	= 1256,
-    ARM_VMAXNMNQ	= 1257,
-    ARM_VMAXNMS	= 1258,
-    ARM_VMAXfd	= 1259,
-    ARM_VMAXfq	= 1260,
-    ARM_VMAXsv16i8	= 1261,
-    ARM_VMAXsv2i32	= 1262,
-    ARM_VMAXsv4i16	= 1263,
-    ARM_VMAXsv4i32	= 1264,
-    ARM_VMAXsv8i16	= 1265,
-    ARM_VMAXsv8i8	= 1266,
-    ARM_VMAXuv16i8	= 1267,
-    ARM_VMAXuv2i32	= 1268,
-    ARM_VMAXuv4i16	= 1269,
-    ARM_VMAXuv4i32	= 1270,
-    ARM_VMAXuv8i16	= 1271,
-    ARM_VMAXuv8i8	= 1272,
-    ARM_VMINNMD	= 1273,
-    ARM_VMINNMND	= 1274,
-    ARM_VMINNMNQ	= 1275,
-    ARM_VMINNMS	= 1276,
-    ARM_VMINfd	= 1277,
-    ARM_VMINfq	= 1278,
-    ARM_VMINsv16i8	= 1279,
-    ARM_VMINsv2i32	= 1280,
-    ARM_VMINsv4i16	= 1281,
-    ARM_VMINsv4i32	= 1282,
-    ARM_VMINsv8i16	= 1283,
-    ARM_VMINsv8i8	= 1284,
-    ARM_VMINuv16i8	= 1285,
-    ARM_VMINuv2i32	= 1286,
-    ARM_VMINuv4i16	= 1287,
-    ARM_VMINuv4i32	= 1288,
-    ARM_VMINuv8i16	= 1289,
-    ARM_VMINuv8i8	= 1290,
-    ARM_VMLAD	= 1291,
-    ARM_VMLALslsv2i32	= 1292,
-    ARM_VMLALslsv4i16	= 1293,
-    ARM_VMLALsluv2i32	= 1294,
-    ARM_VMLALsluv4i16	= 1295,
-    ARM_VMLALsv2i64	= 1296,
-    ARM_VMLALsv4i32	= 1297,
-    ARM_VMLALsv8i16	= 1298,
-    ARM_VMLALuv2i64	= 1299,
-    ARM_VMLALuv4i32	= 1300,
-    ARM_VMLALuv8i16	= 1301,
-    ARM_VMLAS	= 1302,
-    ARM_VMLAfd	= 1303,
-    ARM_VMLAfq	= 1304,
-    ARM_VMLAslfd	= 1305,
-    ARM_VMLAslfq	= 1306,
-    ARM_VMLAslv2i32	= 1307,
-    ARM_VMLAslv4i16	= 1308,
-    ARM_VMLAslv4i32	= 1309,
-    ARM_VMLAslv8i16	= 1310,
-    ARM_VMLAv16i8	= 1311,
-    ARM_VMLAv2i32	= 1312,
-    ARM_VMLAv4i16	= 1313,
-    ARM_VMLAv4i32	= 1314,
-    ARM_VMLAv8i16	= 1315,
-    ARM_VMLAv8i8	= 1316,
-    ARM_VMLSD	= 1317,
-    ARM_VMLSLslsv2i32	= 1318,
-    ARM_VMLSLslsv4i16	= 1319,
-    ARM_VMLSLsluv2i32	= 1320,
-    ARM_VMLSLsluv4i16	= 1321,
-    ARM_VMLSLsv2i64	= 1322,
-    ARM_VMLSLsv4i32	= 1323,
-    ARM_VMLSLsv8i16	= 1324,
-    ARM_VMLSLuv2i64	= 1325,
-    ARM_VMLSLuv4i32	= 1326,
-    ARM_VMLSLuv8i16	= 1327,
-    ARM_VMLSS	= 1328,
-    ARM_VMLSfd	= 1329,
-    ARM_VMLSfq	= 1330,
-    ARM_VMLSslfd	= 1331,
-    ARM_VMLSslfq	= 1332,
-    ARM_VMLSslv2i32	= 1333,
-    ARM_VMLSslv4i16	= 1334,
-    ARM_VMLSslv4i32	= 1335,
-    ARM_VMLSslv8i16	= 1336,
-    ARM_VMLSv16i8	= 1337,
-    ARM_VMLSv2i32	= 1338,
-    ARM_VMLSv4i16	= 1339,
-    ARM_VMLSv4i32	= 1340,
-    ARM_VMLSv8i16	= 1341,
-    ARM_VMLSv8i8	= 1342,
-    ARM_VMOVD	= 1343,
-    ARM_VMOVD0	= 1344,
-    ARM_VMOVDRR	= 1345,
-    ARM_VMOVDcc	= 1346,
-    ARM_VMOVLsv2i64	= 1347,
-    ARM_VMOVLsv4i32	= 1348,
-    ARM_VMOVLsv8i16	= 1349,
-    ARM_VMOVLuv2i64	= 1350,
-    ARM_VMOVLuv4i32	= 1351,
-    ARM_VMOVLuv8i16	= 1352,
-    ARM_VMOVNv2i32	= 1353,
-    ARM_VMOVNv4i16	= 1354,
-    ARM_VMOVNv8i8	= 1355,
-    ARM_VMOVQ0	= 1356,
-    ARM_VMOVRRD	= 1357,
-    ARM_VMOVRRS	= 1358,
-    ARM_VMOVRS	= 1359,
-    ARM_VMOVS	= 1360,
-    ARM_VMOVSR	= 1361,
-    ARM_VMOVSRR	= 1362,
-    ARM_VMOVScc	= 1363,
-    ARM_VMOVv16i8	= 1364,
-    ARM_VMOVv1i64	= 1365,
-    ARM_VMOVv2f32	= 1366,
-    ARM_VMOVv2i32	= 1367,
-    ARM_VMOVv2i64	= 1368,
-    ARM_VMOVv4f32	= 1369,
-    ARM_VMOVv4i16	= 1370,
-    ARM_VMOVv4i32	= 1371,
-    ARM_VMOVv8i16	= 1372,
-    ARM_VMOVv8i8	= 1373,
-    ARM_VMRS	= 1374,
-    ARM_VMRS_FPEXC	= 1375,
-    ARM_VMRS_FPINST	= 1376,
-    ARM_VMRS_FPINST2	= 1377,
-    ARM_VMRS_FPSID	= 1378,
-    ARM_VMRS_MVFR0	= 1379,
-    ARM_VMRS_MVFR1	= 1380,
-    ARM_VMRS_MVFR2	= 1381,
-    ARM_VMSR	= 1382,
-    ARM_VMSR_FPEXC	= 1383,
-    ARM_VMSR_FPINST	= 1384,
-    ARM_VMSR_FPINST2	= 1385,
-    ARM_VMSR_FPSID	= 1386,
-    ARM_VMULD	= 1387,
-    ARM_VMULLp64	= 1388,
-    ARM_VMULLp8	= 1389,
-    ARM_VMULLslsv2i32	= 1390,
-    ARM_VMULLslsv4i16	= 1391,
-    ARM_VMULLsluv2i32	= 1392,
-    ARM_VMULLsluv4i16	= 1393,
-    ARM_VMULLsv2i64	= 1394,
-    ARM_VMULLsv4i32	= 1395,
-    ARM_VMULLsv8i16	= 1396,
-    ARM_VMULLuv2i64	= 1397,
-    ARM_VMULLuv4i32	= 1398,
-    ARM_VMULLuv8i16	= 1399,
-    ARM_VMULS	= 1400,
-    ARM_VMULfd	= 1401,
-    ARM_VMULfq	= 1402,
-    ARM_VMULpd	= 1403,
-    ARM_VMULpq	= 1404,
-    ARM_VMULslfd	= 1405,
-    ARM_VMULslfq	= 1406,
-    ARM_VMULslv2i32	= 1407,
-    ARM_VMULslv4i16	= 1408,
-    ARM_VMULslv4i32	= 1409,
-    ARM_VMULslv8i16	= 1410,
-    ARM_VMULv16i8	= 1411,
-    ARM_VMULv2i32	= 1412,
-    ARM_VMULv4i16	= 1413,
-    ARM_VMULv4i32	= 1414,
-    ARM_VMULv8i16	= 1415,
-    ARM_VMULv8i8	= 1416,
-    ARM_VMVNd	= 1417,
-    ARM_VMVNq	= 1418,
-    ARM_VMVNv2i32	= 1419,
-    ARM_VMVNv4i16	= 1420,
-    ARM_VMVNv4i32	= 1421,
-    ARM_VMVNv8i16	= 1422,
-    ARM_VNEGD	= 1423,
-    ARM_VNEGS	= 1424,
-    ARM_VNEGf32q	= 1425,
-    ARM_VNEGfd	= 1426,
-    ARM_VNEGs16d	= 1427,
-    ARM_VNEGs16q	= 1428,
-    ARM_VNEGs32d	= 1429,
-    ARM_VNEGs32q	= 1430,
-    ARM_VNEGs8d	= 1431,
-    ARM_VNEGs8q	= 1432,
-    ARM_VNMLAD	= 1433,
-    ARM_VNMLAS	= 1434,
-    ARM_VNMLSD	= 1435,
-    ARM_VNMLSS	= 1436,
-    ARM_VNMULD	= 1437,
-    ARM_VNMULS	= 1438,
-    ARM_VORNd	= 1439,
-    ARM_VORNq	= 1440,
-    ARM_VORRd	= 1441,
-    ARM_VORRiv2i32	= 1442,
-    ARM_VORRiv4i16	= 1443,
-    ARM_VORRiv4i32	= 1444,
-    ARM_VORRiv8i16	= 1445,
-    ARM_VORRq	= 1446,
-    ARM_VPADALsv16i8	= 1447,
-    ARM_VPADALsv2i32	= 1448,
-    ARM_VPADALsv4i16	= 1449,
-    ARM_VPADALsv4i32	= 1450,
-    ARM_VPADALsv8i16	= 1451,
-    ARM_VPADALsv8i8	= 1452,
-    ARM_VPADALuv16i8	= 1453,
-    ARM_VPADALuv2i32	= 1454,
-    ARM_VPADALuv4i16	= 1455,
-    ARM_VPADALuv4i32	= 1456,
-    ARM_VPADALuv8i16	= 1457,
-    ARM_VPADALuv8i8	= 1458,
-    ARM_VPADDLsv16i8	= 1459,
-    ARM_VPADDLsv2i32	= 1460,
-    ARM_VPADDLsv4i16	= 1461,
-    ARM_VPADDLsv4i32	= 1462,
-    ARM_VPADDLsv8i16	= 1463,
-    ARM_VPADDLsv8i8	= 1464,
-    ARM_VPADDLuv16i8	= 1465,
-    ARM_VPADDLuv2i32	= 1466,
-    ARM_VPADDLuv4i16	= 1467,
-    ARM_VPADDLuv4i32	= 1468,
-    ARM_VPADDLuv8i16	= 1469,
-    ARM_VPADDLuv8i8	= 1470,
-    ARM_VPADDf	= 1471,
-    ARM_VPADDi16	= 1472,
-    ARM_VPADDi32	= 1473,
-    ARM_VPADDi8	= 1474,
-    ARM_VPMAXf	= 1475,
-    ARM_VPMAXs16	= 1476,
-    ARM_VPMAXs32	= 1477,
-    ARM_VPMAXs8	= 1478,
-    ARM_VPMAXu16	= 1479,
-    ARM_VPMAXu32	= 1480,
-    ARM_VPMAXu8	= 1481,
-    ARM_VPMINf	= 1482,
-    ARM_VPMINs16	= 1483,
-    ARM_VPMINs32	= 1484,
-    ARM_VPMINs8	= 1485,
-    ARM_VPMINu16	= 1486,
-    ARM_VPMINu32	= 1487,
-    ARM_VPMINu8	= 1488,
-    ARM_VQABSv16i8	= 1489,
-    ARM_VQABSv2i32	= 1490,
-    ARM_VQABSv4i16	= 1491,
-    ARM_VQABSv4i32	= 1492,
-    ARM_VQABSv8i16	= 1493,
-    ARM_VQABSv8i8	= 1494,
-    ARM_VQADDsv16i8	= 1495,
-    ARM_VQADDsv1i64	= 1496,
-    ARM_VQADDsv2i32	= 1497,
-    ARM_VQADDsv2i64	= 1498,
-    ARM_VQADDsv4i16	= 1499,
-    ARM_VQADDsv4i32	= 1500,
-    ARM_VQADDsv8i16	= 1501,
-    ARM_VQADDsv8i8	= 1502,
-    ARM_VQADDuv16i8	= 1503,
-    ARM_VQADDuv1i64	= 1504,
-    ARM_VQADDuv2i32	= 1505,
-    ARM_VQADDuv2i64	= 1506,
-    ARM_VQADDuv4i16	= 1507,
-    ARM_VQADDuv4i32	= 1508,
-    ARM_VQADDuv8i16	= 1509,
-    ARM_VQADDuv8i8	= 1510,
-    ARM_VQDMLALslv2i32	= 1511,
-    ARM_VQDMLALslv4i16	= 1512,
-    ARM_VQDMLALv2i64	= 1513,
-    ARM_VQDMLALv4i32	= 1514,
-    ARM_VQDMLSLslv2i32	= 1515,
-    ARM_VQDMLSLslv4i16	= 1516,
-    ARM_VQDMLSLv2i64	= 1517,
-    ARM_VQDMLSLv4i32	= 1518,
-    ARM_VQDMULHslv2i32	= 1519,
-    ARM_VQDMULHslv4i16	= 1520,
-    ARM_VQDMULHslv4i32	= 1521,
-    ARM_VQDMULHslv8i16	= 1522,
-    ARM_VQDMULHv2i32	= 1523,
-    ARM_VQDMULHv4i16	= 1524,
-    ARM_VQDMULHv4i32	= 1525,
-    ARM_VQDMULHv8i16	= 1526,
-    ARM_VQDMULLslv2i32	= 1527,
-    ARM_VQDMULLslv4i16	= 1528,
-    ARM_VQDMULLv2i64	= 1529,
-    ARM_VQDMULLv4i32	= 1530,
-    ARM_VQMOVNsuv2i32	= 1531,
-    ARM_VQMOVNsuv4i16	= 1532,
-    ARM_VQMOVNsuv8i8	= 1533,
-    ARM_VQMOVNsv2i32	= 1534,
-    ARM_VQMOVNsv4i16	= 1535,
-    ARM_VQMOVNsv8i8	= 1536,
-    ARM_VQMOVNuv2i32	= 1537,
-    ARM_VQMOVNuv4i16	= 1538,
-    ARM_VQMOVNuv8i8	= 1539,
-    ARM_VQNEGv16i8	= 1540,
-    ARM_VQNEGv2i32	= 1541,
-    ARM_VQNEGv4i16	= 1542,
-    ARM_VQNEGv4i32	= 1543,
-    ARM_VQNEGv8i16	= 1544,
-    ARM_VQNEGv8i8	= 1545,
-    ARM_VQRDMULHslv2i32	= 1546,
-    ARM_VQRDMULHslv4i16	= 1547,
-    ARM_VQRDMULHslv4i32	= 1548,
-    ARM_VQRDMULHslv8i16	= 1549,
-    ARM_VQRDMULHv2i32	= 1550,
-    ARM_VQRDMULHv4i16	= 1551,
-    ARM_VQRDMULHv4i32	= 1552,
-    ARM_VQRDMULHv8i16	= 1553,
-    ARM_VQRSHLsv16i8	= 1554,
-    ARM_VQRSHLsv1i64	= 1555,
-    ARM_VQRSHLsv2i32	= 1556,
-    ARM_VQRSHLsv2i64	= 1557,
-    ARM_VQRSHLsv4i16	= 1558,
-    ARM_VQRSHLsv4i32	= 1559,
-    ARM_VQRSHLsv8i16	= 1560,
-    ARM_VQRSHLsv8i8	= 1561,
-    ARM_VQRSHLuv16i8	= 1562,
-    ARM_VQRSHLuv1i64	= 1563,
-    ARM_VQRSHLuv2i32	= 1564,
-    ARM_VQRSHLuv2i64	= 1565,
-    ARM_VQRSHLuv4i16	= 1566,
-    ARM_VQRSHLuv4i32	= 1567,
-    ARM_VQRSHLuv8i16	= 1568,
-    ARM_VQRSHLuv8i8	= 1569,
-    ARM_VQRSHRNsv2i32	= 1570,
-    ARM_VQRSHRNsv4i16	= 1571,
-    ARM_VQRSHRNsv8i8	= 1572,
-    ARM_VQRSHRNuv2i32	= 1573,
-    ARM_VQRSHRNuv4i16	= 1574,
-    ARM_VQRSHRNuv8i8	= 1575,
-    ARM_VQRSHRUNv2i32	= 1576,
-    ARM_VQRSHRUNv4i16	= 1577,
-    ARM_VQRSHRUNv8i8	= 1578,
-    ARM_VQSHLsiv16i8	= 1579,
-    ARM_VQSHLsiv1i64	= 1580,
-    ARM_VQSHLsiv2i32	= 1581,
-    ARM_VQSHLsiv2i64	= 1582,
-    ARM_VQSHLsiv4i16	= 1583,
-    ARM_VQSHLsiv4i32	= 1584,
-    ARM_VQSHLsiv8i16	= 1585,
-    ARM_VQSHLsiv8i8	= 1586,
-    ARM_VQSHLsuv16i8	= 1587,
-    ARM_VQSHLsuv1i64	= 1588,
-    ARM_VQSHLsuv2i32	= 1589,
-    ARM_VQSHLsuv2i64	= 1590,
-    ARM_VQSHLsuv4i16	= 1591,
-    ARM_VQSHLsuv4i32	= 1592,
-    ARM_VQSHLsuv8i16	= 1593,
-    ARM_VQSHLsuv8i8	= 1594,
-    ARM_VQSHLsv16i8	= 1595,
-    ARM_VQSHLsv1i64	= 1596,
-    ARM_VQSHLsv2i32	= 1597,
-    ARM_VQSHLsv2i64	= 1598,
-    ARM_VQSHLsv4i16	= 1599,
-    ARM_VQSHLsv4i32	= 1600,
-    ARM_VQSHLsv8i16	= 1601,
-    ARM_VQSHLsv8i8	= 1602,
-    ARM_VQSHLuiv16i8	= 1603,
-    ARM_VQSHLuiv1i64	= 1604,
-    ARM_VQSHLuiv2i32	= 1605,
-    ARM_VQSHLuiv2i64	= 1606,
-    ARM_VQSHLuiv4i16	= 1607,
-    ARM_VQSHLuiv4i32	= 1608,
-    ARM_VQSHLuiv8i16	= 1609,
-    ARM_VQSHLuiv8i8	= 1610,
-    ARM_VQSHLuv16i8	= 1611,
-    ARM_VQSHLuv1i64	= 1612,
-    ARM_VQSHLuv2i32	= 1613,
-    ARM_VQSHLuv2i64	= 1614,
-    ARM_VQSHLuv4i16	= 1615,
-    ARM_VQSHLuv4i32	= 1616,
-    ARM_VQSHLuv8i16	= 1617,
-    ARM_VQSHLuv8i8	= 1618,
-    ARM_VQSHRNsv2i32	= 1619,
-    ARM_VQSHRNsv4i16	= 1620,
-    ARM_VQSHRNsv8i8	= 1621,
-    ARM_VQSHRNuv2i32	= 1622,
-    ARM_VQSHRNuv4i16	= 1623,
-    ARM_VQSHRNuv8i8	= 1624,
-    ARM_VQSHRUNv2i32	= 1625,
-    ARM_VQSHRUNv4i16	= 1626,
-    ARM_VQSHRUNv8i8	= 1627,
-    ARM_VQSUBsv16i8	= 1628,
-    ARM_VQSUBsv1i64	= 1629,
-    ARM_VQSUBsv2i32	= 1630,
-    ARM_VQSUBsv2i64	= 1631,
-    ARM_VQSUBsv4i16	= 1632,
-    ARM_VQSUBsv4i32	= 1633,
-    ARM_VQSUBsv8i16	= 1634,
-    ARM_VQSUBsv8i8	= 1635,
-    ARM_VQSUBuv16i8	= 1636,
-    ARM_VQSUBuv1i64	= 1637,
-    ARM_VQSUBuv2i32	= 1638,
-    ARM_VQSUBuv2i64	= 1639,
-    ARM_VQSUBuv4i16	= 1640,
-    ARM_VQSUBuv4i32	= 1641,
-    ARM_VQSUBuv8i16	= 1642,
-    ARM_VQSUBuv8i8	= 1643,
-    ARM_VRADDHNv2i32	= 1644,
-    ARM_VRADDHNv4i16	= 1645,
-    ARM_VRADDHNv8i8	= 1646,
-    ARM_VRECPEd	= 1647,
-    ARM_VRECPEfd	= 1648,
-    ARM_VRECPEfq	= 1649,
-    ARM_VRECPEq	= 1650,
-    ARM_VRECPSfd	= 1651,
-    ARM_VRECPSfq	= 1652,
-    ARM_VREV16d8	= 1653,
-    ARM_VREV16q8	= 1654,
-    ARM_VREV32d16	= 1655,
-    ARM_VREV32d8	= 1656,
-    ARM_VREV32q16	= 1657,
-    ARM_VREV32q8	= 1658,
-    ARM_VREV64d16	= 1659,
-    ARM_VREV64d32	= 1660,
-    ARM_VREV64d8	= 1661,
-    ARM_VREV64q16	= 1662,
-    ARM_VREV64q32	= 1663,
-    ARM_VREV64q8	= 1664,
-    ARM_VRHADDsv16i8	= 1665,
-    ARM_VRHADDsv2i32	= 1666,
-    ARM_VRHADDsv4i16	= 1667,
-    ARM_VRHADDsv4i32	= 1668,
-    ARM_VRHADDsv8i16	= 1669,
-    ARM_VRHADDsv8i8	= 1670,
-    ARM_VRHADDuv16i8	= 1671,
-    ARM_VRHADDuv2i32	= 1672,
-    ARM_VRHADDuv4i16	= 1673,
-    ARM_VRHADDuv4i32	= 1674,
-    ARM_VRHADDuv8i16	= 1675,
-    ARM_VRHADDuv8i8	= 1676,
-    ARM_VRINTAD	= 1677,
-    ARM_VRINTAND	= 1678,
-    ARM_VRINTANQ	= 1679,
-    ARM_VRINTAS	= 1680,
-    ARM_VRINTMD	= 1681,
-    ARM_VRINTMND	= 1682,
-    ARM_VRINTMNQ	= 1683,
-    ARM_VRINTMS	= 1684,
-    ARM_VRINTND	= 1685,
-    ARM_VRINTNND	= 1686,
-    ARM_VRINTNNQ	= 1687,
-    ARM_VRINTNS	= 1688,
-    ARM_VRINTPD	= 1689,
-    ARM_VRINTPND	= 1690,
-    ARM_VRINTPNQ	= 1691,
-    ARM_VRINTPS	= 1692,
-    ARM_VRINTRD	= 1693,
-    ARM_VRINTRS	= 1694,
-    ARM_VRINTXD	= 1695,
-    ARM_VRINTXND	= 1696,
-    ARM_VRINTXNQ	= 1697,
-    ARM_VRINTXS	= 1698,
-    ARM_VRINTZD	= 1699,
-    ARM_VRINTZND	= 1700,
-    ARM_VRINTZNQ	= 1701,
-    ARM_VRINTZS	= 1702,
-    ARM_VRSHLsv16i8	= 1703,
-    ARM_VRSHLsv1i64	= 1704,
-    ARM_VRSHLsv2i32	= 1705,
-    ARM_VRSHLsv2i64	= 1706,
-    ARM_VRSHLsv4i16	= 1707,
-    ARM_VRSHLsv4i32	= 1708,
-    ARM_VRSHLsv8i16	= 1709,
-    ARM_VRSHLsv8i8	= 1710,
-    ARM_VRSHLuv16i8	= 1711,
-    ARM_VRSHLuv1i64	= 1712,
-    ARM_VRSHLuv2i32	= 1713,
-    ARM_VRSHLuv2i64	= 1714,
-    ARM_VRSHLuv4i16	= 1715,
-    ARM_VRSHLuv4i32	= 1716,
-    ARM_VRSHLuv8i16	= 1717,
-    ARM_VRSHLuv8i8	= 1718,
-    ARM_VRSHRNv2i32	= 1719,
-    ARM_VRSHRNv4i16	= 1720,
-    ARM_VRSHRNv8i8	= 1721,
-    ARM_VRSHRsv16i8	= 1722,
-    ARM_VRSHRsv1i64	= 1723,
-    ARM_VRSHRsv2i32	= 1724,
-    ARM_VRSHRsv2i64	= 1725,
-    ARM_VRSHRsv4i16	= 1726,
-    ARM_VRSHRsv4i32	= 1727,
-    ARM_VRSHRsv8i16	= 1728,
-    ARM_VRSHRsv8i8	= 1729,
-    ARM_VRSHRuv16i8	= 1730,
-    ARM_VRSHRuv1i64	= 1731,
-    ARM_VRSHRuv2i32	= 1732,
-    ARM_VRSHRuv2i64	= 1733,
-    ARM_VRSHRuv4i16	= 1734,
-    ARM_VRSHRuv4i32	= 1735,
-    ARM_VRSHRuv8i16	= 1736,
-    ARM_VRSHRuv8i8	= 1737,
-    ARM_VRSQRTEd	= 1738,
-    ARM_VRSQRTEfd	= 1739,
-    ARM_VRSQRTEfq	= 1740,
-    ARM_VRSQRTEq	= 1741,
-    ARM_VRSQRTSfd	= 1742,
-    ARM_VRSQRTSfq	= 1743,
-    ARM_VRSRAsv16i8	= 1744,
-    ARM_VRSRAsv1i64	= 1745,
-    ARM_VRSRAsv2i32	= 1746,
-    ARM_VRSRAsv2i64	= 1747,
-    ARM_VRSRAsv4i16	= 1748,
-    ARM_VRSRAsv4i32	= 1749,
-    ARM_VRSRAsv8i16	= 1750,
-    ARM_VRSRAsv8i8	= 1751,
-    ARM_VRSRAuv16i8	= 1752,
-    ARM_VRSRAuv1i64	= 1753,
-    ARM_VRSRAuv2i32	= 1754,
-    ARM_VRSRAuv2i64	= 1755,
-    ARM_VRSRAuv4i16	= 1756,
-    ARM_VRSRAuv4i32	= 1757,
-    ARM_VRSRAuv8i16	= 1758,
-    ARM_VRSRAuv8i8	= 1759,
-    ARM_VRSUBHNv2i32	= 1760,
-    ARM_VRSUBHNv4i16	= 1761,
-    ARM_VRSUBHNv8i8	= 1762,
-    ARM_VSELEQD	= 1763,
-    ARM_VSELEQS	= 1764,
-    ARM_VSELGED	= 1765,
-    ARM_VSELGES	= 1766,
-    ARM_VSELGTD	= 1767,
-    ARM_VSELGTS	= 1768,
-    ARM_VSELVSD	= 1769,
-    ARM_VSELVSS	= 1770,
-    ARM_VSETLNi16	= 1771,
-    ARM_VSETLNi32	= 1772,
-    ARM_VSETLNi8	= 1773,
-    ARM_VSHLLi16	= 1774,
-    ARM_VSHLLi32	= 1775,
-    ARM_VSHLLi8	= 1776,
-    ARM_VSHLLsv2i64	= 1777,
-    ARM_VSHLLsv4i32	= 1778,
-    ARM_VSHLLsv8i16	= 1779,
-    ARM_VSHLLuv2i64	= 1780,
-    ARM_VSHLLuv4i32	= 1781,
-    ARM_VSHLLuv8i16	= 1782,
-    ARM_VSHLiv16i8	= 1783,
-    ARM_VSHLiv1i64	= 1784,
-    ARM_VSHLiv2i32	= 1785,
-    ARM_VSHLiv2i64	= 1786,
-    ARM_VSHLiv4i16	= 1787,
-    ARM_VSHLiv4i32	= 1788,
-    ARM_VSHLiv8i16	= 1789,
-    ARM_VSHLiv8i8	= 1790,
-    ARM_VSHLsv16i8	= 1791,
-    ARM_VSHLsv1i64	= 1792,
-    ARM_VSHLsv2i32	= 1793,
-    ARM_VSHLsv2i64	= 1794,
-    ARM_VSHLsv4i16	= 1795,
-    ARM_VSHLsv4i32	= 1796,
-    ARM_VSHLsv8i16	= 1797,
-    ARM_VSHLsv8i8	= 1798,
-    ARM_VSHLuv16i8	= 1799,
-    ARM_VSHLuv1i64	= 1800,
-    ARM_VSHLuv2i32	= 1801,
-    ARM_VSHLuv2i64	= 1802,
-    ARM_VSHLuv4i16	= 1803,
-    ARM_VSHLuv4i32	= 1804,
-    ARM_VSHLuv8i16	= 1805,
-    ARM_VSHLuv8i8	= 1806,
-    ARM_VSHRNv2i32	= 1807,
-    ARM_VSHRNv4i16	= 1808,
-    ARM_VSHRNv8i8	= 1809,
-    ARM_VSHRsv16i8	= 1810,
-    ARM_VSHRsv1i64	= 1811,
-    ARM_VSHRsv2i32	= 1812,
-    ARM_VSHRsv2i64	= 1813,
-    ARM_VSHRsv4i16	= 1814,
-    ARM_VSHRsv4i32	= 1815,
-    ARM_VSHRsv8i16	= 1816,
-    ARM_VSHRsv8i8	= 1817,
-    ARM_VSHRuv16i8	= 1818,
-    ARM_VSHRuv1i64	= 1819,
-    ARM_VSHRuv2i32	= 1820,
-    ARM_VSHRuv2i64	= 1821,
-    ARM_VSHRuv4i16	= 1822,
-    ARM_VSHRuv4i32	= 1823,
-    ARM_VSHRuv8i16	= 1824,
-    ARM_VSHRuv8i8	= 1825,
-    ARM_VSHTOD	= 1826,
-    ARM_VSHTOS	= 1827,
-    ARM_VSITOD	= 1828,
-    ARM_VSITOS	= 1829,
-    ARM_VSLIv16i8	= 1830,
-    ARM_VSLIv1i64	= 1831,
-    ARM_VSLIv2i32	= 1832,
-    ARM_VSLIv2i64	= 1833,
-    ARM_VSLIv4i16	= 1834,
-    ARM_VSLIv4i32	= 1835,
-    ARM_VSLIv8i16	= 1836,
-    ARM_VSLIv8i8	= 1837,
-    ARM_VSLTOD	= 1838,
-    ARM_VSLTOS	= 1839,
-    ARM_VSQRTD	= 1840,
-    ARM_VSQRTS	= 1841,
-    ARM_VSRAsv16i8	= 1842,
-    ARM_VSRAsv1i64	= 1843,
-    ARM_VSRAsv2i32	= 1844,
-    ARM_VSRAsv2i64	= 1845,
-    ARM_VSRAsv4i16	= 1846,
-    ARM_VSRAsv4i32	= 1847,
-    ARM_VSRAsv8i16	= 1848,
-    ARM_VSRAsv8i8	= 1849,
-    ARM_VSRAuv16i8	= 1850,
-    ARM_VSRAuv1i64	= 1851,
-    ARM_VSRAuv2i32	= 1852,
-    ARM_VSRAuv2i64	= 1853,
-    ARM_VSRAuv4i16	= 1854,
-    ARM_VSRAuv4i32	= 1855,
-    ARM_VSRAuv8i16	= 1856,
-    ARM_VSRAuv8i8	= 1857,
-    ARM_VSRIv16i8	= 1858,
-    ARM_VSRIv1i64	= 1859,
-    ARM_VSRIv2i32	= 1860,
-    ARM_VSRIv2i64	= 1861,
-    ARM_VSRIv4i16	= 1862,
-    ARM_VSRIv4i32	= 1863,
-    ARM_VSRIv8i16	= 1864,
-    ARM_VSRIv8i8	= 1865,
-    ARM_VST1LNd16	= 1866,
-    ARM_VST1LNd16_UPD	= 1867,
-    ARM_VST1LNd32	= 1868,
-    ARM_VST1LNd32_UPD	= 1869,
-    ARM_VST1LNd8	= 1870,
-    ARM_VST1LNd8_UPD	= 1871,
-    ARM_VST1LNdAsm_16	= 1872,
-    ARM_VST1LNdAsm_32	= 1873,
-    ARM_VST1LNdAsm_8	= 1874,
-    ARM_VST1LNdWB_fixed_Asm_16	= 1875,
-    ARM_VST1LNdWB_fixed_Asm_32	= 1876,
-    ARM_VST1LNdWB_fixed_Asm_8	= 1877,
-    ARM_VST1LNdWB_register_Asm_16	= 1878,
-    ARM_VST1LNdWB_register_Asm_32	= 1879,
-    ARM_VST1LNdWB_register_Asm_8	= 1880,
-    ARM_VST1LNq16Pseudo	= 1881,
-    ARM_VST1LNq16Pseudo_UPD	= 1882,
-    ARM_VST1LNq32Pseudo	= 1883,
-    ARM_VST1LNq32Pseudo_UPD	= 1884,
-    ARM_VST1LNq8Pseudo	= 1885,
-    ARM_VST1LNq8Pseudo_UPD	= 1886,
-    ARM_VST1d16	= 1887,
-    ARM_VST1d16Q	= 1888,
-    ARM_VST1d16Qwb_fixed	= 1889,
-    ARM_VST1d16Qwb_register	= 1890,
-    ARM_VST1d16T	= 1891,
-    ARM_VST1d16Twb_fixed	= 1892,
-    ARM_VST1d16Twb_register	= 1893,
-    ARM_VST1d16wb_fixed	= 1894,
-    ARM_VST1d16wb_register	= 1895,
-    ARM_VST1d32	= 1896,
-    ARM_VST1d32Q	= 1897,
-    ARM_VST1d32Qwb_fixed	= 1898,
-    ARM_VST1d32Qwb_register	= 1899,
-    ARM_VST1d32T	= 1900,
-    ARM_VST1d32Twb_fixed	= 1901,
-    ARM_VST1d32Twb_register	= 1902,
-    ARM_VST1d32wb_fixed	= 1903,
-    ARM_VST1d32wb_register	= 1904,
-    ARM_VST1d64	= 1905,
-    ARM_VST1d64Q	= 1906,
-    ARM_VST1d64QPseudo	= 1907,
-    ARM_VST1d64QPseudoWB_fixed	= 1908,
-    ARM_VST1d64QPseudoWB_register	= 1909,
-    ARM_VST1d64Qwb_fixed	= 1910,
-    ARM_VST1d64Qwb_register	= 1911,
-    ARM_VST1d64T	= 1912,
-    ARM_VST1d64TPseudo	= 1913,
-    ARM_VST1d64TPseudoWB_fixed	= 1914,
-    ARM_VST1d64TPseudoWB_register	= 1915,
-    ARM_VST1d64Twb_fixed	= 1916,
-    ARM_VST1d64Twb_register	= 1917,
-    ARM_VST1d64wb_fixed	= 1918,
-    ARM_VST1d64wb_register	= 1919,
-    ARM_VST1d8	= 1920,
-    ARM_VST1d8Q	= 1921,
-    ARM_VST1d8Qwb_fixed	= 1922,
-    ARM_VST1d8Qwb_register	= 1923,
-    ARM_VST1d8T	= 1924,
-    ARM_VST1d8Twb_fixed	= 1925,
-    ARM_VST1d8Twb_register	= 1926,
-    ARM_VST1d8wb_fixed	= 1927,
-    ARM_VST1d8wb_register	= 1928,
-    ARM_VST1q16	= 1929,
-    ARM_VST1q16wb_fixed	= 1930,
-    ARM_VST1q16wb_register	= 1931,
-    ARM_VST1q32	= 1932,
-    ARM_VST1q32wb_fixed	= 1933,
-    ARM_VST1q32wb_register	= 1934,
-    ARM_VST1q64	= 1935,
-    ARM_VST1q64wb_fixed	= 1936,
-    ARM_VST1q64wb_register	= 1937,
-    ARM_VST1q8	= 1938,
-    ARM_VST1q8wb_fixed	= 1939,
-    ARM_VST1q8wb_register	= 1940,
-    ARM_VST2LNd16	= 1941,
-    ARM_VST2LNd16Pseudo	= 1942,
-    ARM_VST2LNd16Pseudo_UPD	= 1943,
-    ARM_VST2LNd16_UPD	= 1944,
-    ARM_VST2LNd32	= 1945,
-    ARM_VST2LNd32Pseudo	= 1946,
-    ARM_VST2LNd32Pseudo_UPD	= 1947,
-    ARM_VST2LNd32_UPD	= 1948,
-    ARM_VST2LNd8	= 1949,
-    ARM_VST2LNd8Pseudo	= 1950,
-    ARM_VST2LNd8Pseudo_UPD	= 1951,
-    ARM_VST2LNd8_UPD	= 1952,
-    ARM_VST2LNdAsm_16	= 1953,
-    ARM_VST2LNdAsm_32	= 1954,
-    ARM_VST2LNdAsm_8	= 1955,
-    ARM_VST2LNdWB_fixed_Asm_16	= 1956,
-    ARM_VST2LNdWB_fixed_Asm_32	= 1957,
-    ARM_VST2LNdWB_fixed_Asm_8	= 1958,
-    ARM_VST2LNdWB_register_Asm_16	= 1959,
-    ARM_VST2LNdWB_register_Asm_32	= 1960,
-    ARM_VST2LNdWB_register_Asm_8	= 1961,
-    ARM_VST2LNq16	= 1962,
-    ARM_VST2LNq16Pseudo	= 1963,
-    ARM_VST2LNq16Pseudo_UPD	= 1964,
-    ARM_VST2LNq16_UPD	= 1965,
-    ARM_VST2LNq32	= 1966,
-    ARM_VST2LNq32Pseudo	= 1967,
-    ARM_VST2LNq32Pseudo_UPD	= 1968,
-    ARM_VST2LNq32_UPD	= 1969,
-    ARM_VST2LNqAsm_16	= 1970,
-    ARM_VST2LNqAsm_32	= 1971,
-    ARM_VST2LNqWB_fixed_Asm_16	= 1972,
-    ARM_VST2LNqWB_fixed_Asm_32	= 1973,
-    ARM_VST2LNqWB_register_Asm_16	= 1974,
-    ARM_VST2LNqWB_register_Asm_32	= 1975,
-    ARM_VST2b16	= 1976,
-    ARM_VST2b16wb_fixed	= 1977,
-    ARM_VST2b16wb_register	= 1978,
-    ARM_VST2b32	= 1979,
-    ARM_VST2b32wb_fixed	= 1980,
-    ARM_VST2b32wb_register	= 1981,
-    ARM_VST2b8	= 1982,
-    ARM_VST2b8wb_fixed	= 1983,
-    ARM_VST2b8wb_register	= 1984,
-    ARM_VST2d16	= 1985,
-    ARM_VST2d16wb_fixed	= 1986,
-    ARM_VST2d16wb_register	= 1987,
-    ARM_VST2d32	= 1988,
-    ARM_VST2d32wb_fixed	= 1989,
-    ARM_VST2d32wb_register	= 1990,
-    ARM_VST2d8	= 1991,
-    ARM_VST2d8wb_fixed	= 1992,
-    ARM_VST2d8wb_register	= 1993,
-    ARM_VST2q16	= 1994,
-    ARM_VST2q16Pseudo	= 1995,
-    ARM_VST2q16PseudoWB_fixed	= 1996,
-    ARM_VST2q16PseudoWB_register	= 1997,
-    ARM_VST2q16wb_fixed	= 1998,
-    ARM_VST2q16wb_register	= 1999,
-    ARM_VST2q32	= 2000,
-    ARM_VST2q32Pseudo	= 2001,
-    ARM_VST2q32PseudoWB_fixed	= 2002,
-    ARM_VST2q32PseudoWB_register	= 2003,
-    ARM_VST2q32wb_fixed	= 2004,
-    ARM_VST2q32wb_register	= 2005,
-    ARM_VST2q8	= 2006,
-    ARM_VST2q8Pseudo	= 2007,
-    ARM_VST2q8PseudoWB_fixed	= 2008,
-    ARM_VST2q8PseudoWB_register	= 2009,
-    ARM_VST2q8wb_fixed	= 2010,
-    ARM_VST2q8wb_register	= 2011,
-    ARM_VST3LNd16	= 2012,
-    ARM_VST3LNd16Pseudo	= 2013,
-    ARM_VST3LNd16Pseudo_UPD	= 2014,
-    ARM_VST3LNd16_UPD	= 2015,
-    ARM_VST3LNd32	= 2016,
-    ARM_VST3LNd32Pseudo	= 2017,
-    ARM_VST3LNd32Pseudo_UPD	= 2018,
-    ARM_VST3LNd32_UPD	= 2019,
-    ARM_VST3LNd8	= 2020,
-    ARM_VST3LNd8Pseudo	= 2021,
-    ARM_VST3LNd8Pseudo_UPD	= 2022,
-    ARM_VST3LNd8_UPD	= 2023,
-    ARM_VST3LNdAsm_16	= 2024,
-    ARM_VST3LNdAsm_32	= 2025,
-    ARM_VST3LNdAsm_8	= 2026,
-    ARM_VST3LNdWB_fixed_Asm_16	= 2027,
-    ARM_VST3LNdWB_fixed_Asm_32	= 2028,
-    ARM_VST3LNdWB_fixed_Asm_8	= 2029,
-    ARM_VST3LNdWB_register_Asm_16	= 2030,
-    ARM_VST3LNdWB_register_Asm_32	= 2031,
-    ARM_VST3LNdWB_register_Asm_8	= 2032,
-    ARM_VST3LNq16	= 2033,
-    ARM_VST3LNq16Pseudo	= 2034,
-    ARM_VST3LNq16Pseudo_UPD	= 2035,
-    ARM_VST3LNq16_UPD	= 2036,
-    ARM_VST3LNq32	= 2037,
-    ARM_VST3LNq32Pseudo	= 2038,
-    ARM_VST3LNq32Pseudo_UPD	= 2039,
-    ARM_VST3LNq32_UPD	= 2040,
-    ARM_VST3LNqAsm_16	= 2041,
-    ARM_VST3LNqAsm_32	= 2042,
-    ARM_VST3LNqWB_fixed_Asm_16	= 2043,
-    ARM_VST3LNqWB_fixed_Asm_32	= 2044,
-    ARM_VST3LNqWB_register_Asm_16	= 2045,
-    ARM_VST3LNqWB_register_Asm_32	= 2046,
-    ARM_VST3d16	= 2047,
-    ARM_VST3d16Pseudo	= 2048,
-    ARM_VST3d16Pseudo_UPD	= 2049,
-    ARM_VST3d16_UPD	= 2050,
-    ARM_VST3d32	= 2051,
-    ARM_VST3d32Pseudo	= 2052,
-    ARM_VST3d32Pseudo_UPD	= 2053,
-    ARM_VST3d32_UPD	= 2054,
-    ARM_VST3d8	= 2055,
-    ARM_VST3d8Pseudo	= 2056,
-    ARM_VST3d8Pseudo_UPD	= 2057,
-    ARM_VST3d8_UPD	= 2058,
-    ARM_VST3dAsm_16	= 2059,
-    ARM_VST3dAsm_32	= 2060,
-    ARM_VST3dAsm_8	= 2061,
-    ARM_VST3dWB_fixed_Asm_16	= 2062,
-    ARM_VST3dWB_fixed_Asm_32	= 2063,
-    ARM_VST3dWB_fixed_Asm_8	= 2064,
-    ARM_VST3dWB_register_Asm_16	= 2065,
-    ARM_VST3dWB_register_Asm_32	= 2066,
-    ARM_VST3dWB_register_Asm_8	= 2067,
-    ARM_VST3q16	= 2068,
-    ARM_VST3q16Pseudo_UPD	= 2069,
-    ARM_VST3q16_UPD	= 2070,
-    ARM_VST3q16oddPseudo	= 2071,
-    ARM_VST3q16oddPseudo_UPD	= 2072,
-    ARM_VST3q32	= 2073,
-    ARM_VST3q32Pseudo_UPD	= 2074,
-    ARM_VST3q32_UPD	= 2075,
-    ARM_VST3q32oddPseudo	= 2076,
-    ARM_VST3q32oddPseudo_UPD	= 2077,
-    ARM_VST3q8	= 2078,
-    ARM_VST3q8Pseudo_UPD	= 2079,
-    ARM_VST3q8_UPD	= 2080,
-    ARM_VST3q8oddPseudo	= 2081,
-    ARM_VST3q8oddPseudo_UPD	= 2082,
-    ARM_VST3qAsm_16	= 2083,
-    ARM_VST3qAsm_32	= 2084,
-    ARM_VST3qAsm_8	= 2085,
-    ARM_VST3qWB_fixed_Asm_16	= 2086,
-    ARM_VST3qWB_fixed_Asm_32	= 2087,
-    ARM_VST3qWB_fixed_Asm_8	= 2088,
-    ARM_VST3qWB_register_Asm_16	= 2089,
-    ARM_VST3qWB_register_Asm_32	= 2090,
-    ARM_VST3qWB_register_Asm_8	= 2091,
-    ARM_VST4LNd16	= 2092,
-    ARM_VST4LNd16Pseudo	= 2093,
-    ARM_VST4LNd16Pseudo_UPD	= 2094,
-    ARM_VST4LNd16_UPD	= 2095,
-    ARM_VST4LNd32	= 2096,
-    ARM_VST4LNd32Pseudo	= 2097,
-    ARM_VST4LNd32Pseudo_UPD	= 2098,
-    ARM_VST4LNd32_UPD	= 2099,
-    ARM_VST4LNd8	= 2100,
-    ARM_VST4LNd8Pseudo	= 2101,
-    ARM_VST4LNd8Pseudo_UPD	= 2102,
-    ARM_VST4LNd8_UPD	= 2103,
-    ARM_VST4LNdAsm_16	= 2104,
-    ARM_VST4LNdAsm_32	= 2105,
-    ARM_VST4LNdAsm_8	= 2106,
-    ARM_VST4LNdWB_fixed_Asm_16	= 2107,
-    ARM_VST4LNdWB_fixed_Asm_32	= 2108,
-    ARM_VST4LNdWB_fixed_Asm_8	= 2109,
-    ARM_VST4LNdWB_register_Asm_16	= 2110,
-    ARM_VST4LNdWB_register_Asm_32	= 2111,
-    ARM_VST4LNdWB_register_Asm_8	= 2112,
-    ARM_VST4LNq16	= 2113,
-    ARM_VST4LNq16Pseudo	= 2114,
-    ARM_VST4LNq16Pseudo_UPD	= 2115,
-    ARM_VST4LNq16_UPD	= 2116,
-    ARM_VST4LNq32	= 2117,
-    ARM_VST4LNq32Pseudo	= 2118,
-    ARM_VST4LNq32Pseudo_UPD	= 2119,
-    ARM_VST4LNq32_UPD	= 2120,
-    ARM_VST4LNqAsm_16	= 2121,
-    ARM_VST4LNqAsm_32	= 2122,
-    ARM_VST4LNqWB_fixed_Asm_16	= 2123,
-    ARM_VST4LNqWB_fixed_Asm_32	= 2124,
-    ARM_VST4LNqWB_register_Asm_16	= 2125,
-    ARM_VST4LNqWB_register_Asm_32	= 2126,
-    ARM_VST4d16	= 2127,
-    ARM_VST4d16Pseudo	= 2128,
-    ARM_VST4d16Pseudo_UPD	= 2129,
-    ARM_VST4d16_UPD	= 2130,
-    ARM_VST4d32	= 2131,
-    ARM_VST4d32Pseudo	= 2132,
-    ARM_VST4d32Pseudo_UPD	= 2133,
-    ARM_VST4d32_UPD	= 2134,
-    ARM_VST4d8	= 2135,
-    ARM_VST4d8Pseudo	= 2136,
-    ARM_VST4d8Pseudo_UPD	= 2137,
-    ARM_VST4d8_UPD	= 2138,
-    ARM_VST4dAsm_16	= 2139,
-    ARM_VST4dAsm_32	= 2140,
-    ARM_VST4dAsm_8	= 2141,
-    ARM_VST4dWB_fixed_Asm_16	= 2142,
-    ARM_VST4dWB_fixed_Asm_32	= 2143,
-    ARM_VST4dWB_fixed_Asm_8	= 2144,
-    ARM_VST4dWB_register_Asm_16	= 2145,
-    ARM_VST4dWB_register_Asm_32	= 2146,
-    ARM_VST4dWB_register_Asm_8	= 2147,
-    ARM_VST4q16	= 2148,
-    ARM_VST4q16Pseudo_UPD	= 2149,
-    ARM_VST4q16_UPD	= 2150,
-    ARM_VST4q16oddPseudo	= 2151,
-    ARM_VST4q16oddPseudo_UPD	= 2152,
-    ARM_VST4q32	= 2153,
-    ARM_VST4q32Pseudo_UPD	= 2154,
-    ARM_VST4q32_UPD	= 2155,
-    ARM_VST4q32oddPseudo	= 2156,
-    ARM_VST4q32oddPseudo_UPD	= 2157,
-    ARM_VST4q8	= 2158,
-    ARM_VST4q8Pseudo_UPD	= 2159,
-    ARM_VST4q8_UPD	= 2160,
-    ARM_VST4q8oddPseudo	= 2161,
-    ARM_VST4q8oddPseudo_UPD	= 2162,
-    ARM_VST4qAsm_16	= 2163,
-    ARM_VST4qAsm_32	= 2164,
-    ARM_VST4qAsm_8	= 2165,
-    ARM_VST4qWB_fixed_Asm_16	= 2166,
-    ARM_VST4qWB_fixed_Asm_32	= 2167,
-    ARM_VST4qWB_fixed_Asm_8	= 2168,
-    ARM_VST4qWB_register_Asm_16	= 2169,
-    ARM_VST4qWB_register_Asm_32	= 2170,
-    ARM_VST4qWB_register_Asm_8	= 2171,
-    ARM_VSTMDDB_UPD	= 2172,
-    ARM_VSTMDIA	= 2173,
-    ARM_VSTMDIA_UPD	= 2174,
-    ARM_VSTMQIA	= 2175,
-    ARM_VSTMSDB_UPD	= 2176,
-    ARM_VSTMSIA	= 2177,
-    ARM_VSTMSIA_UPD	= 2178,
-    ARM_VSTRD	= 2179,
-    ARM_VSTRS	= 2180,
-    ARM_VSUBD	= 2181,
-    ARM_VSUBHNv2i32	= 2182,
-    ARM_VSUBHNv4i16	= 2183,
-    ARM_VSUBHNv8i8	= 2184,
-    ARM_VSUBLsv2i64	= 2185,
-    ARM_VSUBLsv4i32	= 2186,
-    ARM_VSUBLsv8i16	= 2187,
-    ARM_VSUBLuv2i64	= 2188,
-    ARM_VSUBLuv4i32	= 2189,
-    ARM_VSUBLuv8i16	= 2190,
-    ARM_VSUBS	= 2191,
-    ARM_VSUBWsv2i64	= 2192,
-    ARM_VSUBWsv4i32	= 2193,
-    ARM_VSUBWsv8i16	= 2194,
-    ARM_VSUBWuv2i64	= 2195,
-    ARM_VSUBWuv4i32	= 2196,
-    ARM_VSUBWuv8i16	= 2197,
-    ARM_VSUBfd	= 2198,
-    ARM_VSUBfq	= 2199,
-    ARM_VSUBv16i8	= 2200,
-    ARM_VSUBv1i64	= 2201,
-    ARM_VSUBv2i32	= 2202,
-    ARM_VSUBv2i64	= 2203,
-    ARM_VSUBv4i16	= 2204,
-    ARM_VSUBv4i32	= 2205,
-    ARM_VSUBv8i16	= 2206,
-    ARM_VSUBv8i8	= 2207,
-    ARM_VSWPd	= 2208,
-    ARM_VSWPq	= 2209,
-    ARM_VTBL1	= 2210,
-    ARM_VTBL2	= 2211,
-    ARM_VTBL3	= 2212,
-    ARM_VTBL3Pseudo	= 2213,
-    ARM_VTBL4	= 2214,
-    ARM_VTBL4Pseudo	= 2215,
-    ARM_VTBX1	= 2216,
-    ARM_VTBX2	= 2217,
-    ARM_VTBX3	= 2218,
-    ARM_VTBX3Pseudo	= 2219,
-    ARM_VTBX4	= 2220,
-    ARM_VTBX4Pseudo	= 2221,
-    ARM_VTOSHD	= 2222,
-    ARM_VTOSHS	= 2223,
-    ARM_VTOSIRD	= 2224,
-    ARM_VTOSIRS	= 2225,
-    ARM_VTOSIZD	= 2226,
-    ARM_VTOSIZS	= 2227,
-    ARM_VTOSLD	= 2228,
-    ARM_VTOSLS	= 2229,
-    ARM_VTOUHD	= 2230,
-    ARM_VTOUHS	= 2231,
-    ARM_VTOUIRD	= 2232,
-    ARM_VTOUIRS	= 2233,
-    ARM_VTOUIZD	= 2234,
-    ARM_VTOUIZS	= 2235,
-    ARM_VTOULD	= 2236,
-    ARM_VTOULS	= 2237,
-    ARM_VTRNd16	= 2238,
-    ARM_VTRNd32	= 2239,
-    ARM_VTRNd8	= 2240,
-    ARM_VTRNq16	= 2241,
-    ARM_VTRNq32	= 2242,
-    ARM_VTRNq8	= 2243,
-    ARM_VTSTv16i8	= 2244,
-    ARM_VTSTv2i32	= 2245,
-    ARM_VTSTv4i16	= 2246,
-    ARM_VTSTv4i32	= 2247,
-    ARM_VTSTv8i16	= 2248,
-    ARM_VTSTv8i8	= 2249,
-    ARM_VUHTOD	= 2250,
-    ARM_VUHTOS	= 2251,
-    ARM_VUITOD	= 2252,
-    ARM_VUITOS	= 2253,
-    ARM_VULTOD	= 2254,
-    ARM_VULTOS	= 2255,
-    ARM_VUZPd16	= 2256,
-    ARM_VUZPd8	= 2257,
-    ARM_VUZPq16	= 2258,
-    ARM_VUZPq32	= 2259,
-    ARM_VUZPq8	= 2260,
-    ARM_VZIPd16	= 2261,
-    ARM_VZIPd8	= 2262,
-    ARM_VZIPq16	= 2263,
-    ARM_VZIPq32	= 2264,
-    ARM_VZIPq8	= 2265,
-    ARM_WIN__CHKSTK	= 2266,
-    ARM_sysLDMDA	= 2267,
-    ARM_sysLDMDA_UPD	= 2268,
-    ARM_sysLDMDB	= 2269,
-    ARM_sysLDMDB_UPD	= 2270,
-    ARM_sysLDMIA	= 2271,
-    ARM_sysLDMIA_UPD	= 2272,
-    ARM_sysLDMIB	= 2273,
-    ARM_sysLDMIB_UPD	= 2274,
-    ARM_sysSTMDA	= 2275,
-    ARM_sysSTMDA_UPD	= 2276,
-    ARM_sysSTMDB	= 2277,
-    ARM_sysSTMDB_UPD	= 2278,
-    ARM_sysSTMIA	= 2279,
-    ARM_sysSTMIA_UPD	= 2280,
-    ARM_sysSTMIB	= 2281,
-    ARM_sysSTMIB_UPD	= 2282,
-    ARM_t2ABS	= 2283,
-    ARM_t2ADCri	= 2284,
-    ARM_t2ADCrr	= 2285,
-    ARM_t2ADCrs	= 2286,
-    ARM_t2ADDSri	= 2287,
-    ARM_t2ADDSrr	= 2288,
-    ARM_t2ADDSrs	= 2289,
-    ARM_t2ADDri	= 2290,
-    ARM_t2ADDri12	= 2291,
-    ARM_t2ADDrr	= 2292,
-    ARM_t2ADDrs	= 2293,
-    ARM_t2ADR	= 2294,
-    ARM_t2ANDri	= 2295,
-    ARM_t2ANDrr	= 2296,
-    ARM_t2ANDrs	= 2297,
-    ARM_t2ASRri	= 2298,
-    ARM_t2ASRrr	= 2299,
-    ARM_t2B	= 2300,
-    ARM_t2BFC	= 2301,
-    ARM_t2BFI	= 2302,
-    ARM_t2BICri	= 2303,
-    ARM_t2BICrr	= 2304,
-    ARM_t2BICrs	= 2305,
-    ARM_t2BR_JT	= 2306,
-    ARM_t2BXJ	= 2307,
-    ARM_t2Bcc	= 2308,
-    ARM_t2CDP	= 2309,
-    ARM_t2CDP2	= 2310,
-    ARM_t2CLREX	= 2311,
-    ARM_t2CLZ	= 2312,
-    ARM_t2CMNri	= 2313,
-    ARM_t2CMNzrr	= 2314,
-    ARM_t2CMNzrs	= 2315,
-    ARM_t2CMPri	= 2316,
-    ARM_t2CMPrr	= 2317,
-    ARM_t2CMPrs	= 2318,
-    ARM_t2CPS1p	= 2319,
-    ARM_t2CPS2p	= 2320,
-    ARM_t2CPS3p	= 2321,
-    ARM_t2CRC32B	= 2322,
-    ARM_t2CRC32CB	= 2323,
-    ARM_t2CRC32CH	= 2324,
-    ARM_t2CRC32CW	= 2325,
-    ARM_t2CRC32H	= 2326,
-    ARM_t2CRC32W	= 2327,
-    ARM_t2DBG	= 2328,
-    ARM_t2DCPS1	= 2329,
-    ARM_t2DCPS2	= 2330,
-    ARM_t2DCPS3	= 2331,
-    ARM_t2DMB	= 2332,
-    ARM_t2DSB	= 2333,
-    ARM_t2EORri	= 2334,
-    ARM_t2EORrr	= 2335,
-    ARM_t2EORrs	= 2336,
-    ARM_t2HINT	= 2337,
-    ARM_t2ISB	= 2338,
-    ARM_t2IT	= 2339,
-    ARM_t2Int_eh_sjlj_setjmp	= 2340,
-    ARM_t2Int_eh_sjlj_setjmp_nofp	= 2341,
-    ARM_t2LDA	= 2342,
-    ARM_t2LDAB	= 2343,
-    ARM_t2LDAEX	= 2344,
-    ARM_t2LDAEXB	= 2345,
-    ARM_t2LDAEXD	= 2346,
-    ARM_t2LDAEXH	= 2347,
-    ARM_t2LDAH	= 2348,
-    ARM_t2LDC2L_OFFSET	= 2349,
-    ARM_t2LDC2L_OPTION	= 2350,
-    ARM_t2LDC2L_POST	= 2351,
-    ARM_t2LDC2L_PRE	= 2352,
-    ARM_t2LDC2_OFFSET	= 2353,
-    ARM_t2LDC2_OPTION	= 2354,
-    ARM_t2LDC2_POST	= 2355,
-    ARM_t2LDC2_PRE	= 2356,
-    ARM_t2LDCL_OFFSET	= 2357,
-    ARM_t2LDCL_OPTION	= 2358,
-    ARM_t2LDCL_POST	= 2359,
-    ARM_t2LDCL_PRE	= 2360,
-    ARM_t2LDC_OFFSET	= 2361,
-    ARM_t2LDC_OPTION	= 2362,
-    ARM_t2LDC_POST	= 2363,
-    ARM_t2LDC_PRE	= 2364,
-    ARM_t2LDMDB	= 2365,
-    ARM_t2LDMDB_UPD	= 2366,
-    ARM_t2LDMIA	= 2367,
-    ARM_t2LDMIA_RET	= 2368,
-    ARM_t2LDMIA_UPD	= 2369,
-    ARM_t2LDRBT	= 2370,
-    ARM_t2LDRB_POST	= 2371,
-    ARM_t2LDRB_PRE	= 2372,
-    ARM_t2LDRBi12	= 2373,
-    ARM_t2LDRBi8	= 2374,
-    ARM_t2LDRBpci	= 2375,
-    ARM_t2LDRBpcrel	= 2376,
-    ARM_t2LDRBs	= 2377,
-    ARM_t2LDRD_POST	= 2378,
-    ARM_t2LDRD_PRE	= 2379,
-    ARM_t2LDRDi8	= 2380,
-    ARM_t2LDREX	= 2381,
-    ARM_t2LDREXB	= 2382,
-    ARM_t2LDREXD	= 2383,
-    ARM_t2LDREXH	= 2384,
-    ARM_t2LDRHT	= 2385,
-    ARM_t2LDRH_POST	= 2386,
-    ARM_t2LDRH_PRE	= 2387,
-    ARM_t2LDRHi12	= 2388,
-    ARM_t2LDRHi8	= 2389,
-    ARM_t2LDRHpci	= 2390,
-    ARM_t2LDRHpcrel	= 2391,
-    ARM_t2LDRHs	= 2392,
-    ARM_t2LDRSBT	= 2393,
-    ARM_t2LDRSB_POST	= 2394,
-    ARM_t2LDRSB_PRE	= 2395,
-    ARM_t2LDRSBi12	= 2396,
-    ARM_t2LDRSBi8	= 2397,
-    ARM_t2LDRSBpci	= 2398,
-    ARM_t2LDRSBpcrel	= 2399,
-    ARM_t2LDRSBs	= 2400,
-    ARM_t2LDRSHT	= 2401,
-    ARM_t2LDRSH_POST	= 2402,
-    ARM_t2LDRSH_PRE	= 2403,
-    ARM_t2LDRSHi12	= 2404,
-    ARM_t2LDRSHi8	= 2405,
-    ARM_t2LDRSHpci	= 2406,
-    ARM_t2LDRSHpcrel	= 2407,
-    ARM_t2LDRSHs	= 2408,
-    ARM_t2LDRT	= 2409,
-    ARM_t2LDR_POST	= 2410,
-    ARM_t2LDR_PRE	= 2411,
-    ARM_t2LDRi12	= 2412,
-    ARM_t2LDRi8	= 2413,
-    ARM_t2LDRpci	= 2414,
-    ARM_t2LDRpci_pic	= 2415,
-    ARM_t2LDRpcrel	= 2416,
-    ARM_t2LDRs	= 2417,
-    ARM_t2LEApcrel	= 2418,
-    ARM_t2LEApcrelJT	= 2419,
-    ARM_t2LSLri	= 2420,
-    ARM_t2LSLrr	= 2421,
-    ARM_t2LSRri	= 2422,
-    ARM_t2LSRrr	= 2423,
-    ARM_t2MCR	= 2424,
-    ARM_t2MCR2	= 2425,
-    ARM_t2MCRR	= 2426,
-    ARM_t2MCRR2	= 2427,
-    ARM_t2MLA	= 2428,
-    ARM_t2MLS	= 2429,
-    ARM_t2MOVCCasr	= 2430,
-    ARM_t2MOVCCi	= 2431,
-    ARM_t2MOVCCi16	= 2432,
-    ARM_t2MOVCCi32imm	= 2433,
-    ARM_t2MOVCClsl	= 2434,
-    ARM_t2MOVCClsr	= 2435,
-    ARM_t2MOVCCr	= 2436,
-    ARM_t2MOVCCror	= 2437,
-    ARM_t2MOVSsi	= 2438,
-    ARM_t2MOVSsr	= 2439,
-    ARM_t2MOVTi16	= 2440,
-    ARM_t2MOVTi16_ga_pcrel	= 2441,
-    ARM_t2MOV_ga_pcrel	= 2442,
-    ARM_t2MOVi	= 2443,
-    ARM_t2MOVi16	= 2444,
-    ARM_t2MOVi16_ga_pcrel	= 2445,
-    ARM_t2MOVi32imm	= 2446,
-    ARM_t2MOVr	= 2447,
-    ARM_t2MOVsi	= 2448,
-    ARM_t2MOVsr	= 2449,
-    ARM_t2MOVsra_flag	= 2450,
-    ARM_t2MOVsrl_flag	= 2451,
-    ARM_t2MRC	= 2452,
-    ARM_t2MRC2	= 2453,
-    ARM_t2MRRC	= 2454,
-    ARM_t2MRRC2	= 2455,
-    ARM_t2MRS_AR	= 2456,
-    ARM_t2MRS_M	= 2457,
-    ARM_t2MRSsys_AR	= 2458,
-    ARM_t2MSR_AR	= 2459,
-    ARM_t2MSR_M	= 2460,
-    ARM_t2MUL	= 2461,
-    ARM_t2MVNCCi	= 2462,
-    ARM_t2MVNi	= 2463,
-    ARM_t2MVNr	= 2464,
-    ARM_t2MVNs	= 2465,
-    ARM_t2ORNri	= 2466,
-    ARM_t2ORNrr	= 2467,
-    ARM_t2ORNrs	= 2468,
-    ARM_t2ORRri	= 2469,
-    ARM_t2ORRrr	= 2470,
-    ARM_t2ORRrs	= 2471,
-    ARM_t2PKHBT	= 2472,
-    ARM_t2PKHTB	= 2473,
-    ARM_t2PLDWi12	= 2474,
-    ARM_t2PLDWi8	= 2475,
-    ARM_t2PLDWs	= 2476,
-    ARM_t2PLDi12	= 2477,
-    ARM_t2PLDi8	= 2478,
-    ARM_t2PLDpci	= 2479,
-    ARM_t2PLDs	= 2480,
-    ARM_t2PLIi12	= 2481,
-    ARM_t2PLIi8	= 2482,
-    ARM_t2PLIpci	= 2483,
-    ARM_t2PLIs	= 2484,
-    ARM_t2QADD	= 2485,
-    ARM_t2QADD16	= 2486,
-    ARM_t2QADD8	= 2487,
-    ARM_t2QASX	= 2488,
-    ARM_t2QDADD	= 2489,
-    ARM_t2QDSUB	= 2490,
-    ARM_t2QSAX	= 2491,
-    ARM_t2QSUB	= 2492,
-    ARM_t2QSUB16	= 2493,
-    ARM_t2QSUB8	= 2494,
-    ARM_t2RBIT	= 2495,
-    ARM_t2REV	= 2496,
-    ARM_t2REV16	= 2497,
-    ARM_t2REVSH	= 2498,
-    ARM_t2RFEDB	= 2499,
-    ARM_t2RFEDBW	= 2500,
-    ARM_t2RFEIA	= 2501,
-    ARM_t2RFEIAW	= 2502,
-    ARM_t2RORri	= 2503,
-    ARM_t2RORrr	= 2504,
-    ARM_t2RRX	= 2505,
-    ARM_t2RSBSri	= 2506,
-    ARM_t2RSBSrs	= 2507,
-    ARM_t2RSBri	= 2508,
-    ARM_t2RSBrr	= 2509,
-    ARM_t2RSBrs	= 2510,
-    ARM_t2SADD16	= 2511,
-    ARM_t2SADD8	= 2512,
-    ARM_t2SASX	= 2513,
-    ARM_t2SBCri	= 2514,
-    ARM_t2SBCrr	= 2515,
-    ARM_t2SBCrs	= 2516,
-    ARM_t2SBFX	= 2517,
-    ARM_t2SDIV	= 2518,
-    ARM_t2SEL	= 2519,
-    ARM_t2SHADD16	= 2520,
-    ARM_t2SHADD8	= 2521,
-    ARM_t2SHASX	= 2522,
-    ARM_t2SHSAX	= 2523,
-    ARM_t2SHSUB16	= 2524,
-    ARM_t2SHSUB8	= 2525,
-    ARM_t2SMC	= 2526,
-    ARM_t2SMLABB	= 2527,
-    ARM_t2SMLABT	= 2528,
-    ARM_t2SMLAD	= 2529,
-    ARM_t2SMLADX	= 2530,
-    ARM_t2SMLAL	= 2531,
-    ARM_t2SMLALBB	= 2532,
-    ARM_t2SMLALBT	= 2533,
-    ARM_t2SMLALD	= 2534,
-    ARM_t2SMLALDX	= 2535,
-    ARM_t2SMLALTB	= 2536,
-    ARM_t2SMLALTT	= 2537,
-    ARM_t2SMLATB	= 2538,
-    ARM_t2SMLATT	= 2539,
-    ARM_t2SMLAWB	= 2540,
-    ARM_t2SMLAWT	= 2541,
-    ARM_t2SMLSD	= 2542,
-    ARM_t2SMLSDX	= 2543,
-    ARM_t2SMLSLD	= 2544,
-    ARM_t2SMLSLDX	= 2545,
-    ARM_t2SMMLA	= 2546,
-    ARM_t2SMMLAR	= 2547,
-    ARM_t2SMMLS	= 2548,
-    ARM_t2SMMLSR	= 2549,
-    ARM_t2SMMUL	= 2550,
-    ARM_t2SMMULR	= 2551,
-    ARM_t2SMUAD	= 2552,
-    ARM_t2SMUADX	= 2553,
-    ARM_t2SMULBB	= 2554,
-    ARM_t2SMULBT	= 2555,
-    ARM_t2SMULL	= 2556,
-    ARM_t2SMULTB	= 2557,
-    ARM_t2SMULTT	= 2558,
-    ARM_t2SMULWB	= 2559,
-    ARM_t2SMULWT	= 2560,
-    ARM_t2SMUSD	= 2561,
-    ARM_t2SMUSDX	= 2562,
-    ARM_t2SRSDB	= 2563,
-    ARM_t2SRSDB_UPD	= 2564,
-    ARM_t2SRSIA	= 2565,
-    ARM_t2SRSIA_UPD	= 2566,
-    ARM_t2SSAT	= 2567,
-    ARM_t2SSAT16	= 2568,
-    ARM_t2SSAX	= 2569,
-    ARM_t2SSUB16	= 2570,
-    ARM_t2SSUB8	= 2571,
-    ARM_t2STC2L_OFFSET	= 2572,
-    ARM_t2STC2L_OPTION	= 2573,
-    ARM_t2STC2L_POST	= 2574,
-    ARM_t2STC2L_PRE	= 2575,
-    ARM_t2STC2_OFFSET	= 2576,
-    ARM_t2STC2_OPTION	= 2577,
-    ARM_t2STC2_POST	= 2578,
-    ARM_t2STC2_PRE	= 2579,
-    ARM_t2STCL_OFFSET	= 2580,
-    ARM_t2STCL_OPTION	= 2581,
-    ARM_t2STCL_POST	= 2582,
-    ARM_t2STCL_PRE	= 2583,
-    ARM_t2STC_OFFSET	= 2584,
-    ARM_t2STC_OPTION	= 2585,
-    ARM_t2STC_POST	= 2586,
-    ARM_t2STC_PRE	= 2587,
-    ARM_t2STL	= 2588,
-    ARM_t2STLB	= 2589,
-    ARM_t2STLEX	= 2590,
-    ARM_t2STLEXB	= 2591,
-    ARM_t2STLEXD	= 2592,
-    ARM_t2STLEXH	= 2593,
-    ARM_t2STLH	= 2594,
-    ARM_t2STMDB	= 2595,
-    ARM_t2STMDB_UPD	= 2596,
-    ARM_t2STMIA	= 2597,
-    ARM_t2STMIA_UPD	= 2598,
-    ARM_t2STRBT	= 2599,
-    ARM_t2STRB_POST	= 2600,
-    ARM_t2STRB_PRE	= 2601,
-    ARM_t2STRB_preidx	= 2602,
-    ARM_t2STRBi12	= 2603,
-    ARM_t2STRBi8	= 2604,
-    ARM_t2STRBs	= 2605,
-    ARM_t2STRD_POST	= 2606,
-    ARM_t2STRD_PRE	= 2607,
-    ARM_t2STRDi8	= 2608,
-    ARM_t2STREX	= 2609,
-    ARM_t2STREXB	= 2610,
-    ARM_t2STREXD	= 2611,
-    ARM_t2STREXH	= 2612,
-    ARM_t2STRHT	= 2613,
-    ARM_t2STRH_POST	= 2614,
-    ARM_t2STRH_PRE	= 2615,
-    ARM_t2STRH_preidx	= 2616,
-    ARM_t2STRHi12	= 2617,
-    ARM_t2STRHi8	= 2618,
-    ARM_t2STRHs	= 2619,
-    ARM_t2STRT	= 2620,
-    ARM_t2STR_POST	= 2621,
-    ARM_t2STR_PRE	= 2622,
-    ARM_t2STR_preidx	= 2623,
-    ARM_t2STRi12	= 2624,
-    ARM_t2STRi8	= 2625,
-    ARM_t2STRs	= 2626,
-    ARM_t2SUBS_PC_LR	= 2627,
-    ARM_t2SUBSri	= 2628,
-    ARM_t2SUBSrr	= 2629,
-    ARM_t2SUBSrs	= 2630,
-    ARM_t2SUBri	= 2631,
-    ARM_t2SUBri12	= 2632,
-    ARM_t2SUBrr	= 2633,
-    ARM_t2SUBrs	= 2634,
-    ARM_t2SXTAB	= 2635,
-    ARM_t2SXTAB16	= 2636,
-    ARM_t2SXTAH	= 2637,
-    ARM_t2SXTB	= 2638,
-    ARM_t2SXTB16	= 2639,
-    ARM_t2SXTH	= 2640,
-    ARM_t2TBB	= 2641,
-    ARM_t2TBB_JT	= 2642,
-    ARM_t2TBH	= 2643,
-    ARM_t2TBH_JT	= 2644,
-    ARM_t2TEQri	= 2645,
-    ARM_t2TEQrr	= 2646,
-    ARM_t2TEQrs	= 2647,
-    ARM_t2TSTri	= 2648,
-    ARM_t2TSTrr	= 2649,
-    ARM_t2TSTrs	= 2650,
-    ARM_t2UADD16	= 2651,
-    ARM_t2UADD8	= 2652,
-    ARM_t2UASX	= 2653,
-    ARM_t2UBFX	= 2654,
-    ARM_t2UDF	= 2655,
-    ARM_t2UDIV	= 2656,
-    ARM_t2UHADD16	= 2657,
-    ARM_t2UHADD8	= 2658,
-    ARM_t2UHASX	= 2659,
-    ARM_t2UHSAX	= 2660,
-    ARM_t2UHSUB16	= 2661,
-    ARM_t2UHSUB8	= 2662,
-    ARM_t2UMAAL	= 2663,
-    ARM_t2UMLAL	= 2664,
-    ARM_t2UMULL	= 2665,
-    ARM_t2UQADD16	= 2666,
-    ARM_t2UQADD8	= 2667,
-    ARM_t2UQASX	= 2668,
-    ARM_t2UQSAX	= 2669,
-    ARM_t2UQSUB16	= 2670,
-    ARM_t2UQSUB8	= 2671,
-    ARM_t2USAD8	= 2672,
-    ARM_t2USADA8	= 2673,
-    ARM_t2USAT	= 2674,
-    ARM_t2USAT16	= 2675,
-    ARM_t2USAX	= 2676,
-    ARM_t2USUB16	= 2677,
-    ARM_t2USUB8	= 2678,
-    ARM_t2UXTAB	= 2679,
-    ARM_t2UXTAB16	= 2680,
-    ARM_t2UXTAH	= 2681,
-    ARM_t2UXTB	= 2682,
-    ARM_t2UXTB16	= 2683,
-    ARM_t2UXTH	= 2684,
-    ARM_tADC	= 2685,
-    ARM_tADDhirr	= 2686,
-    ARM_tADDi3	= 2687,
-    ARM_tADDi8	= 2688,
-    ARM_tADDrSP	= 2689,
-    ARM_tADDrSPi	= 2690,
-    ARM_tADDrr	= 2691,
-    ARM_tADDspi	= 2692,
-    ARM_tADDspr	= 2693,
-    ARM_tADJCALLSTACKDOWN	= 2694,
-    ARM_tADJCALLSTACKUP	= 2695,
-    ARM_tADR	= 2696,
-    ARM_tAND	= 2697,
-    ARM_tASRri	= 2698,
-    ARM_tASRrr	= 2699,
-    ARM_tB	= 2700,
-    ARM_tBIC	= 2701,
-    ARM_tBKPT	= 2702,
-    ARM_tBL	= 2703,
-    ARM_tBLXi	= 2704,
-    ARM_tBLXr	= 2705,
-    ARM_tBRIND	= 2706,
-    ARM_tBR_JTr	= 2707,
-    ARM_tBX	= 2708,
-    ARM_tBX_CALL	= 2709,
-    ARM_tBX_RET	= 2710,
-    ARM_tBX_RET_vararg	= 2711,
-    ARM_tBcc	= 2712,
-    ARM_tBfar	= 2713,
-    ARM_tCBNZ	= 2714,
-    ARM_tCBZ	= 2715,
-    ARM_tCMNz	= 2716,
-    ARM_tCMPhir	= 2717,
-    ARM_tCMPi8	= 2718,
-    ARM_tCMPr	= 2719,
-    ARM_tCPS	= 2720,
-    ARM_tEOR	= 2721,
-    ARM_tHINT	= 2722,
-    ARM_tHLT	= 2723,
-    ARM_tInt_eh_sjlj_longjmp	= 2724,
-    ARM_tInt_eh_sjlj_setjmp	= 2725,
-    ARM_tLDMIA	= 2726,
-    ARM_tLDMIA_UPD	= 2727,
-    ARM_tLDRBi	= 2728,
-    ARM_tLDRBr	= 2729,
-    ARM_tLDRHi	= 2730,
-    ARM_tLDRHr	= 2731,
-    ARM_tLDRLIT_ga_abs	= 2732,
-    ARM_tLDRLIT_ga_pcrel	= 2733,
-    ARM_tLDRSB	= 2734,
-    ARM_tLDRSH	= 2735,
-    ARM_tLDRi	= 2736,
-    ARM_tLDRpci	= 2737,
-    ARM_tLDRpci_pic	= 2738,
-    ARM_tLDRr	= 2739,
-    ARM_tLDRspi	= 2740,
-    ARM_tLEApcrel	= 2741,
-    ARM_tLEApcrelJT	= 2742,
-    ARM_tLSLri	= 2743,
-    ARM_tLSLrr	= 2744,
-    ARM_tLSRri	= 2745,
-    ARM_tLSRrr	= 2746,
-    ARM_tMOVCCr_pseudo	= 2747,
-    ARM_tMOVSr	= 2748,
-    ARM_tMOVi8	= 2749,
-    ARM_tMOVr	= 2750,
-    ARM_tMUL	= 2751,
-    ARM_tMVN	= 2752,
-    ARM_tORR	= 2753,
-    ARM_tPICADD	= 2754,
-    ARM_tPOP	= 2755,
-    ARM_tPOP_RET	= 2756,
-    ARM_tPUSH	= 2757,
-    ARM_tREV	= 2758,
-    ARM_tREV16	= 2759,
-    ARM_tREVSH	= 2760,
-    ARM_tROR	= 2761,
-    ARM_tRSB	= 2762,
-    ARM_tSBC	= 2763,
-    ARM_tSETEND	= 2764,
-    ARM_tSTMIA_UPD	= 2765,
-    ARM_tSTRBi	= 2766,
-    ARM_tSTRBr	= 2767,
-    ARM_tSTRHi	= 2768,
-    ARM_tSTRHr	= 2769,
-    ARM_tSTRi	= 2770,
-    ARM_tSTRr	= 2771,
-    ARM_tSTRspi	= 2772,
-    ARM_tSUBi3	= 2773,
-    ARM_tSUBi8	= 2774,
-    ARM_tSUBrr	= 2775,
-    ARM_tSUBspi	= 2776,
-    ARM_tSVC	= 2777,
-    ARM_tSXTB	= 2778,
-    ARM_tSXTH	= 2779,
-    ARM_tTAILJMPd	= 2780,
-    ARM_tTAILJMPdND	= 2781,
-    ARM_tTAILJMPr	= 2782,
-    ARM_tTPsoft	= 2783,
-    ARM_tTRAP	= 2784,
-    ARM_tTST	= 2785,
-    ARM_tUDF	= 2786,
-    ARM_tUXTB	= 2787,
-    ARM_tUXTH	= 2788,
-    ARM_INSTRUCTION_LIST_END = 2789
+    ARM_STATEPOINT	= 20,
+    ARM_FRAME_ALLOC	= 21,
+    ARM_ABS	= 22,
+    ARM_ADCri	= 23,
+    ARM_ADCrr	= 24,
+    ARM_ADCrsi	= 25,
+    ARM_ADCrsr	= 26,
+    ARM_ADDSri	= 27,
+    ARM_ADDSrr	= 28,
+    ARM_ADDSrsi	= 29,
+    ARM_ADDSrsr	= 30,
+    ARM_ADDri	= 31,
+    ARM_ADDrr	= 32,
+    ARM_ADDrsi	= 33,
+    ARM_ADDrsr	= 34,
+    ARM_ADJCALLSTACKDOWN	= 35,
+    ARM_ADJCALLSTACKUP	= 36,
+    ARM_ADR	= 37,
+    ARM_AESD	= 38,
+    ARM_AESE	= 39,
+    ARM_AESIMC	= 40,
+    ARM_AESMC	= 41,
+    ARM_ANDri	= 42,
+    ARM_ANDrr	= 43,
+    ARM_ANDrsi	= 44,
+    ARM_ANDrsr	= 45,
+    ARM_ASRi	= 46,
+    ARM_ASRr	= 47,
+    ARM_B	= 48,
+    ARM_BCCZi64	= 49,
+    ARM_BCCi64	= 50,
+    ARM_BFC	= 51,
+    ARM_BFI	= 52,
+    ARM_BICri	= 53,
+    ARM_BICrr	= 54,
+    ARM_BICrsi	= 55,
+    ARM_BICrsr	= 56,
+    ARM_BKPT	= 57,
+    ARM_BL	= 58,
+    ARM_BLX	= 59,
+    ARM_BLX_pred	= 60,
+    ARM_BLXi	= 61,
+    ARM_BL_pred	= 62,
+    ARM_BMOVPCB_CALL	= 63,
+    ARM_BMOVPCRX_CALL	= 64,
+    ARM_BR_JTadd	= 65,
+    ARM_BR_JTm	= 66,
+    ARM_BR_JTr	= 67,
+    ARM_BX	= 68,
+    ARM_BXJ	= 69,
+    ARM_BX_CALL	= 70,
+    ARM_BX_RET	= 71,
+    ARM_BX_pred	= 72,
+    ARM_Bcc	= 73,
+    ARM_CDP	= 74,
+    ARM_CDP2	= 75,
+    ARM_CLREX	= 76,
+    ARM_CLZ	= 77,
+    ARM_CMNri	= 78,
+    ARM_CMNzrr	= 79,
+    ARM_CMNzrsi	= 80,
+    ARM_CMNzrsr	= 81,
+    ARM_CMPri	= 82,
+    ARM_CMPrr	= 83,
+    ARM_CMPrsi	= 84,
+    ARM_CMPrsr	= 85,
+    ARM_CONSTPOOL_ENTRY	= 86,
+    ARM_COPY_STRUCT_BYVAL_I32	= 87,
+    ARM_CPS1p	= 88,
+    ARM_CPS2p	= 89,
+    ARM_CPS3p	= 90,
+    ARM_CRC32B	= 91,
+    ARM_CRC32CB	= 92,
+    ARM_CRC32CH	= 93,
+    ARM_CRC32CW	= 94,
+    ARM_CRC32H	= 95,
+    ARM_CRC32W	= 96,
+    ARM_DBG	= 97,
+    ARM_DMB	= 98,
+    ARM_DSB	= 99,
+    ARM_EORri	= 100,
+    ARM_EORrr	= 101,
+    ARM_EORrsi	= 102,
+    ARM_EORrsr	= 103,
+    ARM_ERET	= 104,
+    ARM_FCONSTD	= 105,
+    ARM_FCONSTS	= 106,
+    ARM_FLDMXDB_UPD	= 107,
+    ARM_FLDMXIA	= 108,
+    ARM_FLDMXIA_UPD	= 109,
+    ARM_FMSTAT	= 110,
+    ARM_FSTMXDB_UPD	= 111,
+    ARM_FSTMXIA	= 112,
+    ARM_FSTMXIA_UPD	= 113,
+    ARM_HINT	= 114,
+    ARM_HLT	= 115,
+    ARM_HVC	= 116,
+    ARM_ISB	= 117,
+    ARM_ITasm	= 118,
+    ARM_Int_eh_sjlj_dispatchsetup	= 119,
+    ARM_Int_eh_sjlj_longjmp	= 120,
+    ARM_Int_eh_sjlj_setjmp	= 121,
+    ARM_Int_eh_sjlj_setjmp_nofp	= 122,
+    ARM_LDA	= 123,
+    ARM_LDAB	= 124,
+    ARM_LDAEX	= 125,
+    ARM_LDAEXB	= 126,
+    ARM_LDAEXD	= 127,
+    ARM_LDAEXH	= 128,
+    ARM_LDAH	= 129,
+    ARM_LDC2L_OFFSET	= 130,
+    ARM_LDC2L_OPTION	= 131,
+    ARM_LDC2L_POST	= 132,
+    ARM_LDC2L_PRE	= 133,
+    ARM_LDC2_OFFSET	= 134,
+    ARM_LDC2_OPTION	= 135,
+    ARM_LDC2_POST	= 136,
+    ARM_LDC2_PRE	= 137,
+    ARM_LDCL_OFFSET	= 138,
+    ARM_LDCL_OPTION	= 139,
+    ARM_LDCL_POST	= 140,
+    ARM_LDCL_PRE	= 141,
+    ARM_LDC_OFFSET	= 142,
+    ARM_LDC_OPTION	= 143,
+    ARM_LDC_POST	= 144,
+    ARM_LDC_PRE	= 145,
+    ARM_LDMDA	= 146,
+    ARM_LDMDA_UPD	= 147,
+    ARM_LDMDB	= 148,
+    ARM_LDMDB_UPD	= 149,
+    ARM_LDMIA	= 150,
+    ARM_LDMIA_RET	= 151,
+    ARM_LDMIA_UPD	= 152,
+    ARM_LDMIB	= 153,
+    ARM_LDMIB_UPD	= 154,
+    ARM_LDRBT_POST	= 155,
+    ARM_LDRBT_POST_IMM	= 156,
+    ARM_LDRBT_POST_REG	= 157,
+    ARM_LDRB_POST_IMM	= 158,
+    ARM_LDRB_POST_REG	= 159,
+    ARM_LDRB_PRE_IMM	= 160,
+    ARM_LDRB_PRE_REG	= 161,
+    ARM_LDRBi12	= 162,
+    ARM_LDRBrs	= 163,
+    ARM_LDRD	= 164,
+    ARM_LDRD_POST	= 165,
+    ARM_LDRD_PRE	= 166,
+    ARM_LDREX	= 167,
+    ARM_LDREXB	= 168,
+    ARM_LDREXD	= 169,
+    ARM_LDREXH	= 170,
+    ARM_LDRH	= 171,
+    ARM_LDRHTi	= 172,
+    ARM_LDRHTr	= 173,
+    ARM_LDRH_POST	= 174,
+    ARM_LDRH_PRE	= 175,
+    ARM_LDRLIT_ga_abs	= 176,
+    ARM_LDRLIT_ga_pcrel	= 177,
+    ARM_LDRLIT_ga_pcrel_ldr	= 178,
+    ARM_LDRSB	= 179,
+    ARM_LDRSBTi	= 180,
+    ARM_LDRSBTr	= 181,
+    ARM_LDRSB_POST	= 182,
+    ARM_LDRSB_PRE	= 183,
+    ARM_LDRSH	= 184,
+    ARM_LDRSHTi	= 185,
+    ARM_LDRSHTr	= 186,
+    ARM_LDRSH_POST	= 187,
+    ARM_LDRSH_PRE	= 188,
+    ARM_LDRT_POST	= 189,
+    ARM_LDRT_POST_IMM	= 190,
+    ARM_LDRT_POST_REG	= 191,
+    ARM_LDR_POST_IMM	= 192,
+    ARM_LDR_POST_REG	= 193,
+    ARM_LDR_PRE_IMM	= 194,
+    ARM_LDR_PRE_REG	= 195,
+    ARM_LDRcp	= 196,
+    ARM_LDRi12	= 197,
+    ARM_LDRrs	= 198,
+    ARM_LEApcrel	= 199,
+    ARM_LEApcrelJT	= 200,
+    ARM_LSLi	= 201,
+    ARM_LSLr	= 202,
+    ARM_LSRi	= 203,
+    ARM_LSRr	= 204,
+    ARM_MCR	= 205,
+    ARM_MCR2	= 206,
+    ARM_MCRR	= 207,
+    ARM_MCRR2	= 208,
+    ARM_MLA	= 209,
+    ARM_MLAv5	= 210,
+    ARM_MLS	= 211,
+    ARM_MOVCCi	= 212,
+    ARM_MOVCCi16	= 213,
+    ARM_MOVCCi32imm	= 214,
+    ARM_MOVCCr	= 215,
+    ARM_MOVCCsi	= 216,
+    ARM_MOVCCsr	= 217,
+    ARM_MOVPCLR	= 218,
+    ARM_MOVPCRX	= 219,
+    ARM_MOVTi16	= 220,
+    ARM_MOVTi16_ga_pcrel	= 221,
+    ARM_MOV_ga_pcrel	= 222,
+    ARM_MOV_ga_pcrel_ldr	= 223,
+    ARM_MOVi	= 224,
+    ARM_MOVi16	= 225,
+    ARM_MOVi16_ga_pcrel	= 226,
+    ARM_MOVi32imm	= 227,
+    ARM_MOVr	= 228,
+    ARM_MOVr_TC	= 229,
+    ARM_MOVsi	= 230,
+    ARM_MOVsr	= 231,
+    ARM_MOVsra_flag	= 232,
+    ARM_MOVsrl_flag	= 233,
+    ARM_MRC	= 234,
+    ARM_MRC2	= 235,
+    ARM_MRRC	= 236,
+    ARM_MRRC2	= 237,
+    ARM_MRS	= 238,
+    ARM_MRSbanked	= 239,
+    ARM_MRSsys	= 240,
+    ARM_MSR	= 241,
+    ARM_MSRbanked	= 242,
+    ARM_MSRi	= 243,
+    ARM_MUL	= 244,
+    ARM_MULv5	= 245,
+    ARM_MVNCCi	= 246,
+    ARM_MVNi	= 247,
+    ARM_MVNr	= 248,
+    ARM_MVNsi	= 249,
+    ARM_MVNsr	= 250,
+    ARM_ORRri	= 251,
+    ARM_ORRrr	= 252,
+    ARM_ORRrsi	= 253,
+    ARM_ORRrsr	= 254,
+    ARM_PICADD	= 255,
+    ARM_PICLDR	= 256,
+    ARM_PICLDRB	= 257,
+    ARM_PICLDRH	= 258,
+    ARM_PICLDRSB	= 259,
+    ARM_PICLDRSH	= 260,
+    ARM_PICSTR	= 261,
+    ARM_PICSTRB	= 262,
+    ARM_PICSTRH	= 263,
+    ARM_PKHBT	= 264,
+    ARM_PKHTB	= 265,
+    ARM_PLDWi12	= 266,
+    ARM_PLDWrs	= 267,
+    ARM_PLDi12	= 268,
+    ARM_PLDrs	= 269,
+    ARM_PLIi12	= 270,
+    ARM_PLIrs	= 271,
+    ARM_QADD	= 272,
+    ARM_QADD16	= 273,
+    ARM_QADD8	= 274,
+    ARM_QASX	= 275,
+    ARM_QDADD	= 276,
+    ARM_QDSUB	= 277,
+    ARM_QSAX	= 278,
+    ARM_QSUB	= 279,
+    ARM_QSUB16	= 280,
+    ARM_QSUB8	= 281,
+    ARM_RBIT	= 282,
+    ARM_REV	= 283,
+    ARM_REV16	= 284,
+    ARM_REVSH	= 285,
+    ARM_RFEDA	= 286,
+    ARM_RFEDA_UPD	= 287,
+    ARM_RFEDB	= 288,
+    ARM_RFEDB_UPD	= 289,
+    ARM_RFEIA	= 290,
+    ARM_RFEIA_UPD	= 291,
+    ARM_RFEIB	= 292,
+    ARM_RFEIB_UPD	= 293,
+    ARM_RORi	= 294,
+    ARM_RORr	= 295,
+    ARM_RRX	= 296,
+    ARM_RRXi	= 297,
+    ARM_RSBSri	= 298,
+    ARM_RSBSrsi	= 299,
+    ARM_RSBSrsr	= 300,
+    ARM_RSBri	= 301,
+    ARM_RSBrr	= 302,
+    ARM_RSBrsi	= 303,
+    ARM_RSBrsr	= 304,
+    ARM_RSCri	= 305,
+    ARM_RSCrr	= 306,
+    ARM_RSCrsi	= 307,
+    ARM_RSCrsr	= 308,
+    ARM_SADD16	= 309,
+    ARM_SADD8	= 310,
+    ARM_SASX	= 311,
+    ARM_SBCri	= 312,
+    ARM_SBCrr	= 313,
+    ARM_SBCrsi	= 314,
+    ARM_SBCrsr	= 315,
+    ARM_SBFX	= 316,
+    ARM_SDIV	= 317,
+    ARM_SEL	= 318,
+    ARM_SETEND	= 319,
+    ARM_SHA1C	= 320,
+    ARM_SHA1H	= 321,
+    ARM_SHA1M	= 322,
+    ARM_SHA1P	= 323,
+    ARM_SHA1SU0	= 324,
+    ARM_SHA1SU1	= 325,
+    ARM_SHA256H	= 326,
+    ARM_SHA256H2	= 327,
+    ARM_SHA256SU0	= 328,
+    ARM_SHA256SU1	= 329,
+    ARM_SHADD16	= 330,
+    ARM_SHADD8	= 331,
+    ARM_SHASX	= 332,
+    ARM_SHSAX	= 333,
+    ARM_SHSUB16	= 334,
+    ARM_SHSUB8	= 335,
+    ARM_SMC	= 336,
+    ARM_SMLABB	= 337,
+    ARM_SMLABT	= 338,
+    ARM_SMLAD	= 339,
+    ARM_SMLADX	= 340,
+    ARM_SMLAL	= 341,
+    ARM_SMLALBB	= 342,
+    ARM_SMLALBT	= 343,
+    ARM_SMLALD	= 344,
+    ARM_SMLALDX	= 345,
+    ARM_SMLALTB	= 346,
+    ARM_SMLALTT	= 347,
+    ARM_SMLALv5	= 348,
+    ARM_SMLATB	= 349,
+    ARM_SMLATT	= 350,
+    ARM_SMLAWB	= 351,
+    ARM_SMLAWT	= 352,
+    ARM_SMLSD	= 353,
+    ARM_SMLSDX	= 354,
+    ARM_SMLSLD	= 355,
+    ARM_SMLSLDX	= 356,
+    ARM_SMMLA	= 357,
+    ARM_SMMLAR	= 358,
+    ARM_SMMLS	= 359,
+    ARM_SMMLSR	= 360,
+    ARM_SMMUL	= 361,
+    ARM_SMMULR	= 362,
+    ARM_SMUAD	= 363,
+    ARM_SMUADX	= 364,
+    ARM_SMULBB	= 365,
+    ARM_SMULBT	= 366,
+    ARM_SMULL	= 367,
+    ARM_SMULLv5	= 368,
+    ARM_SMULTB	= 369,
+    ARM_SMULTT	= 370,
+    ARM_SMULWB	= 371,
+    ARM_SMULWT	= 372,
+    ARM_SMUSD	= 373,
+    ARM_SMUSDX	= 374,
+    ARM_SPACE	= 375,
+    ARM_SRSDA	= 376,
+    ARM_SRSDA_UPD	= 377,
+    ARM_SRSDB	= 378,
+    ARM_SRSDB_UPD	= 379,
+    ARM_SRSIA	= 380,
+    ARM_SRSIA_UPD	= 381,
+    ARM_SRSIB	= 382,
+    ARM_SRSIB_UPD	= 383,
+    ARM_SSAT	= 384,
+    ARM_SSAT16	= 385,
+    ARM_SSAX	= 386,
+    ARM_SSUB16	= 387,
+    ARM_SSUB8	= 388,
+    ARM_STC2L_OFFSET	= 389,
+    ARM_STC2L_OPTION	= 390,
+    ARM_STC2L_POST	= 391,
+    ARM_STC2L_PRE	= 392,
+    ARM_STC2_OFFSET	= 393,
+    ARM_STC2_OPTION	= 394,
+    ARM_STC2_POST	= 395,
+    ARM_STC2_PRE	= 396,
+    ARM_STCL_OFFSET	= 397,
+    ARM_STCL_OPTION	= 398,
+    ARM_STCL_POST	= 399,
+    ARM_STCL_PRE	= 400,
+    ARM_STC_OFFSET	= 401,
+    ARM_STC_OPTION	= 402,
+    ARM_STC_POST	= 403,
+    ARM_STC_PRE	= 404,
+    ARM_STL	= 405,
+    ARM_STLB	= 406,
+    ARM_STLEX	= 407,
+    ARM_STLEXB	= 408,
+    ARM_STLEXD	= 409,
+    ARM_STLEXH	= 410,
+    ARM_STLH	= 411,
+    ARM_STMDA	= 412,
+    ARM_STMDA_UPD	= 413,
+    ARM_STMDB	= 414,
+    ARM_STMDB_UPD	= 415,
+    ARM_STMIA	= 416,
+    ARM_STMIA_UPD	= 417,
+    ARM_STMIB	= 418,
+    ARM_STMIB_UPD	= 419,
+    ARM_STRBT_POST	= 420,
+    ARM_STRBT_POST_IMM	= 421,
+    ARM_STRBT_POST_REG	= 422,
+    ARM_STRB_POST_IMM	= 423,
+    ARM_STRB_POST_REG	= 424,
+    ARM_STRB_PRE_IMM	= 425,
+    ARM_STRB_PRE_REG	= 426,
+    ARM_STRBi12	= 427,
+    ARM_STRBi_preidx	= 428,
+    ARM_STRBr_preidx	= 429,
+    ARM_STRBrs	= 430,
+    ARM_STRD	= 431,
+    ARM_STRD_POST	= 432,
+    ARM_STRD_PRE	= 433,
+    ARM_STREX	= 434,
+    ARM_STREXB	= 435,
+    ARM_STREXD	= 436,
+    ARM_STREXH	= 437,
+    ARM_STRH	= 438,
+    ARM_STRHTi	= 439,
+    ARM_STRHTr	= 440,
+    ARM_STRH_POST	= 441,
+    ARM_STRH_PRE	= 442,
+    ARM_STRH_preidx	= 443,
+    ARM_STRT_POST	= 444,
+    ARM_STRT_POST_IMM	= 445,
+    ARM_STRT_POST_REG	= 446,
+    ARM_STR_POST_IMM	= 447,
+    ARM_STR_POST_REG	= 448,
+    ARM_STR_PRE_IMM	= 449,
+    ARM_STR_PRE_REG	= 450,
+    ARM_STRi12	= 451,
+    ARM_STRi_preidx	= 452,
+    ARM_STRr_preidx	= 453,
+    ARM_STRrs	= 454,
+    ARM_SUBS_PC_LR	= 455,
+    ARM_SUBSri	= 456,
+    ARM_SUBSrr	= 457,
+    ARM_SUBSrsi	= 458,
+    ARM_SUBSrsr	= 459,
+    ARM_SUBri	= 460,
+    ARM_SUBrr	= 461,
+    ARM_SUBrsi	= 462,
+    ARM_SUBrsr	= 463,
+    ARM_SVC	= 464,
+    ARM_SWP	= 465,
+    ARM_SWPB	= 466,
+    ARM_SXTAB	= 467,
+    ARM_SXTAB16	= 468,
+    ARM_SXTAH	= 469,
+    ARM_SXTB	= 470,
+    ARM_SXTB16	= 471,
+    ARM_SXTH	= 472,
+    ARM_TAILJMPd	= 473,
+    ARM_TAILJMPr	= 474,
+    ARM_TCRETURNdi	= 475,
+    ARM_TCRETURNri	= 476,
+    ARM_TEQri	= 477,
+    ARM_TEQrr	= 478,
+    ARM_TEQrsi	= 479,
+    ARM_TEQrsr	= 480,
+    ARM_TPsoft	= 481,
+    ARM_TRAP	= 482,
+    ARM_TRAPNaCl	= 483,
+    ARM_TSTri	= 484,
+    ARM_TSTrr	= 485,
+    ARM_TSTrsi	= 486,
+    ARM_TSTrsr	= 487,
+    ARM_UADD16	= 488,
+    ARM_UADD8	= 489,
+    ARM_UASX	= 490,
+    ARM_UBFX	= 491,
+    ARM_UDF	= 492,
+    ARM_UDIV	= 493,
+    ARM_UHADD16	= 494,
+    ARM_UHADD8	= 495,
+    ARM_UHASX	= 496,
+    ARM_UHSAX	= 497,
+    ARM_UHSUB16	= 498,
+    ARM_UHSUB8	= 499,
+    ARM_UMAAL	= 500,
+    ARM_UMLAL	= 501,
+    ARM_UMLALv5	= 502,
+    ARM_UMULL	= 503,
+    ARM_UMULLv5	= 504,
+    ARM_UQADD16	= 505,
+    ARM_UQADD8	= 506,
+    ARM_UQASX	= 507,
+    ARM_UQSAX	= 508,
+    ARM_UQSUB16	= 509,
+    ARM_UQSUB8	= 510,
+    ARM_USAD8	= 511,
+    ARM_USADA8	= 512,
+    ARM_USAT	= 513,
+    ARM_USAT16	= 514,
+    ARM_USAX	= 515,
+    ARM_USUB16	= 516,
+    ARM_USUB8	= 517,
+    ARM_UXTAB	= 518,
+    ARM_UXTAB16	= 519,
+    ARM_UXTAH	= 520,
+    ARM_UXTB	= 521,
+    ARM_UXTB16	= 522,
+    ARM_UXTH	= 523,
+    ARM_VABALsv2i64	= 524,
+    ARM_VABALsv4i32	= 525,
+    ARM_VABALsv8i16	= 526,
+    ARM_VABALuv2i64	= 527,
+    ARM_VABALuv4i32	= 528,
+    ARM_VABALuv8i16	= 529,
+    ARM_VABAsv16i8	= 530,
+    ARM_VABAsv2i32	= 531,
+    ARM_VABAsv4i16	= 532,
+    ARM_VABAsv4i32	= 533,
+    ARM_VABAsv8i16	= 534,
+    ARM_VABAsv8i8	= 535,
+    ARM_VABAuv16i8	= 536,
+    ARM_VABAuv2i32	= 537,
+    ARM_VABAuv4i16	= 538,
+    ARM_VABAuv4i32	= 539,
+    ARM_VABAuv8i16	= 540,
+    ARM_VABAuv8i8	= 541,
+    ARM_VABDLsv2i64	= 542,
+    ARM_VABDLsv4i32	= 543,
+    ARM_VABDLsv8i16	= 544,
+    ARM_VABDLuv2i64	= 545,
+    ARM_VABDLuv4i32	= 546,
+    ARM_VABDLuv8i16	= 547,
+    ARM_VABDfd	= 548,
+    ARM_VABDfq	= 549,
+    ARM_VABDsv16i8	= 550,
+    ARM_VABDsv2i32	= 551,
+    ARM_VABDsv4i16	= 552,
+    ARM_VABDsv4i32	= 553,
+    ARM_VABDsv8i16	= 554,
+    ARM_VABDsv8i8	= 555,
+    ARM_VABDuv16i8	= 556,
+    ARM_VABDuv2i32	= 557,
+    ARM_VABDuv4i16	= 558,
+    ARM_VABDuv4i32	= 559,
+    ARM_VABDuv8i16	= 560,
+    ARM_VABDuv8i8	= 561,
+    ARM_VABSD	= 562,
+    ARM_VABSS	= 563,
+    ARM_VABSfd	= 564,
+    ARM_VABSfq	= 565,
+    ARM_VABSv16i8	= 566,
+    ARM_VABSv2i32	= 567,
+    ARM_VABSv4i16	= 568,
+    ARM_VABSv4i32	= 569,
+    ARM_VABSv8i16	= 570,
+    ARM_VABSv8i8	= 571,
+    ARM_VACGEd	= 572,
+    ARM_VACGEq	= 573,
+    ARM_VACGTd	= 574,
+    ARM_VACGTq	= 575,
+    ARM_VADDD	= 576,
+    ARM_VADDHNv2i32	= 577,
+    ARM_VADDHNv4i16	= 578,
+    ARM_VADDHNv8i8	= 579,
+    ARM_VADDLsv2i64	= 580,
+    ARM_VADDLsv4i32	= 581,
+    ARM_VADDLsv8i16	= 582,
+    ARM_VADDLuv2i64	= 583,
+    ARM_VADDLuv4i32	= 584,
+    ARM_VADDLuv8i16	= 585,
+    ARM_VADDS	= 586,
+    ARM_VADDWsv2i64	= 587,
+    ARM_VADDWsv4i32	= 588,
+    ARM_VADDWsv8i16	= 589,
+    ARM_VADDWuv2i64	= 590,
+    ARM_VADDWuv4i32	= 591,
+    ARM_VADDWuv8i16	= 592,
+    ARM_VADDfd	= 593,
+    ARM_VADDfq	= 594,
+    ARM_VADDv16i8	= 595,
+    ARM_VADDv1i64	= 596,
+    ARM_VADDv2i32	= 597,
+    ARM_VADDv2i64	= 598,
+    ARM_VADDv4i16	= 599,
+    ARM_VADDv4i32	= 600,
+    ARM_VADDv8i16	= 601,
+    ARM_VADDv8i8	= 602,
+    ARM_VANDd	= 603,
+    ARM_VANDq	= 604,
+    ARM_VBICd	= 605,
+    ARM_VBICiv2i32	= 606,
+    ARM_VBICiv4i16	= 607,
+    ARM_VBICiv4i32	= 608,
+    ARM_VBICiv8i16	= 609,
+    ARM_VBICq	= 610,
+    ARM_VBIFd	= 611,
+    ARM_VBIFq	= 612,
+    ARM_VBITd	= 613,
+    ARM_VBITq	= 614,
+    ARM_VBSLd	= 615,
+    ARM_VBSLq	= 616,
+    ARM_VCEQfd	= 617,
+    ARM_VCEQfq	= 618,
+    ARM_VCEQv16i8	= 619,
+    ARM_VCEQv2i32	= 620,
+    ARM_VCEQv4i16	= 621,
+    ARM_VCEQv4i32	= 622,
+    ARM_VCEQv8i16	= 623,
+    ARM_VCEQv8i8	= 624,
+    ARM_VCEQzv16i8	= 625,
+    ARM_VCEQzv2f32	= 626,
+    ARM_VCEQzv2i32	= 627,
+    ARM_VCEQzv4f32	= 628,
+    ARM_VCEQzv4i16	= 629,
+    ARM_VCEQzv4i32	= 630,
+    ARM_VCEQzv8i16	= 631,
+    ARM_VCEQzv8i8	= 632,
+    ARM_VCGEfd	= 633,
+    ARM_VCGEfq	= 634,
+    ARM_VCGEsv16i8	= 635,
+    ARM_VCGEsv2i32	= 636,
+    ARM_VCGEsv4i16	= 637,
+    ARM_VCGEsv4i32	= 638,
+    ARM_VCGEsv8i16	= 639,
+    ARM_VCGEsv8i8	= 640,
+    ARM_VCGEuv16i8	= 641,
+    ARM_VCGEuv2i32	= 642,
+    ARM_VCGEuv4i16	= 643,
+    ARM_VCGEuv4i32	= 644,
+    ARM_VCGEuv8i16	= 645,
+    ARM_VCGEuv8i8	= 646,
+    ARM_VCGEzv16i8	= 647,
+    ARM_VCGEzv2f32	= 648,
+    ARM_VCGEzv2i32	= 649,
+    ARM_VCGEzv4f32	= 650,
+    ARM_VCGEzv4i16	= 651,
+    ARM_VCGEzv4i32	= 652,
+    ARM_VCGEzv8i16	= 653,
+    ARM_VCGEzv8i8	= 654,
+    ARM_VCGTfd	= 655,
+    ARM_VCGTfq	= 656,
+    ARM_VCGTsv16i8	= 657,
+    ARM_VCGTsv2i32	= 658,
+    ARM_VCGTsv4i16	= 659,
+    ARM_VCGTsv4i32	= 660,
+    ARM_VCGTsv8i16	= 661,
+    ARM_VCGTsv8i8	= 662,
+    ARM_VCGTuv16i8	= 663,
+    ARM_VCGTuv2i32	= 664,
+    ARM_VCGTuv4i16	= 665,
+    ARM_VCGTuv4i32	= 666,
+    ARM_VCGTuv8i16	= 667,
+    ARM_VCGTuv8i8	= 668,
+    ARM_VCGTzv16i8	= 669,
+    ARM_VCGTzv2f32	= 670,
+    ARM_VCGTzv2i32	= 671,
+    ARM_VCGTzv4f32	= 672,
+    ARM_VCGTzv4i16	= 673,
+    ARM_VCGTzv4i32	= 674,
+    ARM_VCGTzv8i16	= 675,
+    ARM_VCGTzv8i8	= 676,
+    ARM_VCLEzv16i8	= 677,
+    ARM_VCLEzv2f32	= 678,
+    ARM_VCLEzv2i32	= 679,
+    ARM_VCLEzv4f32	= 680,
+    ARM_VCLEzv4i16	= 681,
+    ARM_VCLEzv4i32	= 682,
+    ARM_VCLEzv8i16	= 683,
+    ARM_VCLEzv8i8	= 684,
+    ARM_VCLSv16i8	= 685,
+    ARM_VCLSv2i32	= 686,
+    ARM_VCLSv4i16	= 687,
+    ARM_VCLSv4i32	= 688,
+    ARM_VCLSv8i16	= 689,
+    ARM_VCLSv8i8	= 690,
+    ARM_VCLTzv16i8	= 691,
+    ARM_VCLTzv2f32	= 692,
+    ARM_VCLTzv2i32	= 693,
+    ARM_VCLTzv4f32	= 694,
+    ARM_VCLTzv4i16	= 695,
+    ARM_VCLTzv4i32	= 696,
+    ARM_VCLTzv8i16	= 697,
+    ARM_VCLTzv8i8	= 698,
+    ARM_VCLZv16i8	= 699,
+    ARM_VCLZv2i32	= 700,
+    ARM_VCLZv4i16	= 701,
+    ARM_VCLZv4i32	= 702,
+    ARM_VCLZv8i16	= 703,
+    ARM_VCLZv8i8	= 704,
+    ARM_VCMPD	= 705,
+    ARM_VCMPED	= 706,
+    ARM_VCMPES	= 707,
+    ARM_VCMPEZD	= 708,
+    ARM_VCMPEZS	= 709,
+    ARM_VCMPS	= 710,
+    ARM_VCMPZD	= 711,
+    ARM_VCMPZS	= 712,
+    ARM_VCNTd	= 713,
+    ARM_VCNTq	= 714,
+    ARM_VCVTANSD	= 715,
+    ARM_VCVTANSQ	= 716,
+    ARM_VCVTANUD	= 717,
+    ARM_VCVTANUQ	= 718,
+    ARM_VCVTASD	= 719,
+    ARM_VCVTASS	= 720,
+    ARM_VCVTAUD	= 721,
+    ARM_VCVTAUS	= 722,
+    ARM_VCVTBDH	= 723,
+    ARM_VCVTBHD	= 724,
+    ARM_VCVTBHS	= 725,
+    ARM_VCVTBSH	= 726,
+    ARM_VCVTDS	= 727,
+    ARM_VCVTMNSD	= 728,
+    ARM_VCVTMNSQ	= 729,
+    ARM_VCVTMNUD	= 730,
+    ARM_VCVTMNUQ	= 731,
+    ARM_VCVTMSD	= 732,
+    ARM_VCVTMSS	= 733,
+    ARM_VCVTMUD	= 734,
+    ARM_VCVTMUS	= 735,
+    ARM_VCVTNNSD	= 736,
+    ARM_VCVTNNSQ	= 737,
+    ARM_VCVTNNUD	= 738,
+    ARM_VCVTNNUQ	= 739,
+    ARM_VCVTNSD	= 740,
+    ARM_VCVTNSS	= 741,
+    ARM_VCVTNUD	= 742,
+    ARM_VCVTNUS	= 743,
+    ARM_VCVTPNSD	= 744,
+    ARM_VCVTPNSQ	= 745,
+    ARM_VCVTPNUD	= 746,
+    ARM_VCVTPNUQ	= 747,
+    ARM_VCVTPSD	= 748,
+    ARM_VCVTPSS	= 749,
+    ARM_VCVTPUD	= 750,
+    ARM_VCVTPUS	= 751,
+    ARM_VCVTSD	= 752,
+    ARM_VCVTTDH	= 753,
+    ARM_VCVTTHD	= 754,
+    ARM_VCVTTHS	= 755,
+    ARM_VCVTTSH	= 756,
+    ARM_VCVTf2h	= 757,
+    ARM_VCVTf2sd	= 758,
+    ARM_VCVTf2sq	= 759,
+    ARM_VCVTf2ud	= 760,
+    ARM_VCVTf2uq	= 761,
+    ARM_VCVTf2xsd	= 762,
+    ARM_VCVTf2xsq	= 763,
+    ARM_VCVTf2xud	= 764,
+    ARM_VCVTf2xuq	= 765,
+    ARM_VCVTh2f	= 766,
+    ARM_VCVTs2fd	= 767,
+    ARM_VCVTs2fq	= 768,
+    ARM_VCVTu2fd	= 769,
+    ARM_VCVTu2fq	= 770,
+    ARM_VCVTxs2fd	= 771,
+    ARM_VCVTxs2fq	= 772,
+    ARM_VCVTxu2fd	= 773,
+    ARM_VCVTxu2fq	= 774,
+    ARM_VDIVD	= 775,
+    ARM_VDIVS	= 776,
+    ARM_VDUP16d	= 777,
+    ARM_VDUP16q	= 778,
+    ARM_VDUP32d	= 779,
+    ARM_VDUP32q	= 780,
+    ARM_VDUP8d	= 781,
+    ARM_VDUP8q	= 782,
+    ARM_VDUPLN16d	= 783,
+    ARM_VDUPLN16q	= 784,
+    ARM_VDUPLN32d	= 785,
+    ARM_VDUPLN32q	= 786,
+    ARM_VDUPLN8d	= 787,
+    ARM_VDUPLN8q	= 788,
+    ARM_VEORd	= 789,
+    ARM_VEORq	= 790,
+    ARM_VEXTd16	= 791,
+    ARM_VEXTd32	= 792,
+    ARM_VEXTd8	= 793,
+    ARM_VEXTq16	= 794,
+    ARM_VEXTq32	= 795,
+    ARM_VEXTq64	= 796,
+    ARM_VEXTq8	= 797,
+    ARM_VFMAD	= 798,
+    ARM_VFMAS	= 799,
+    ARM_VFMAfd	= 800,
+    ARM_VFMAfq	= 801,
+    ARM_VFMSD	= 802,
+    ARM_VFMSS	= 803,
+    ARM_VFMSfd	= 804,
+    ARM_VFMSfq	= 805,
+    ARM_VFNMAD	= 806,
+    ARM_VFNMAS	= 807,
+    ARM_VFNMSD	= 808,
+    ARM_VFNMSS	= 809,
+    ARM_VGETLNi32	= 810,
+    ARM_VGETLNs16	= 811,
+    ARM_VGETLNs8	= 812,
+    ARM_VGETLNu16	= 813,
+    ARM_VGETLNu8	= 814,
+    ARM_VHADDsv16i8	= 815,
+    ARM_VHADDsv2i32	= 816,
+    ARM_VHADDsv4i16	= 817,
+    ARM_VHADDsv4i32	= 818,
+    ARM_VHADDsv8i16	= 819,
+    ARM_VHADDsv8i8	= 820,
+    ARM_VHADDuv16i8	= 821,
+    ARM_VHADDuv2i32	= 822,
+    ARM_VHADDuv4i16	= 823,
+    ARM_VHADDuv4i32	= 824,
+    ARM_VHADDuv8i16	= 825,
+    ARM_VHADDuv8i8	= 826,
+    ARM_VHSUBsv16i8	= 827,
+    ARM_VHSUBsv2i32	= 828,
+    ARM_VHSUBsv4i16	= 829,
+    ARM_VHSUBsv4i32	= 830,
+    ARM_VHSUBsv8i16	= 831,
+    ARM_VHSUBsv8i8	= 832,
+    ARM_VHSUBuv16i8	= 833,
+    ARM_VHSUBuv2i32	= 834,
+    ARM_VHSUBuv4i16	= 835,
+    ARM_VHSUBuv4i32	= 836,
+    ARM_VHSUBuv8i16	= 837,
+    ARM_VHSUBuv8i8	= 838,
+    ARM_VLD1DUPd16	= 839,
+    ARM_VLD1DUPd16wb_fixed	= 840,
+    ARM_VLD1DUPd16wb_register	= 841,
+    ARM_VLD1DUPd32	= 842,
+    ARM_VLD1DUPd32wb_fixed	= 843,
+    ARM_VLD1DUPd32wb_register	= 844,
+    ARM_VLD1DUPd8	= 845,
+    ARM_VLD1DUPd8wb_fixed	= 846,
+    ARM_VLD1DUPd8wb_register	= 847,
+    ARM_VLD1DUPq16	= 848,
+    ARM_VLD1DUPq16wb_fixed	= 849,
+    ARM_VLD1DUPq16wb_register	= 850,
+    ARM_VLD1DUPq32	= 851,
+    ARM_VLD1DUPq32wb_fixed	= 852,
+    ARM_VLD1DUPq32wb_register	= 853,
+    ARM_VLD1DUPq8	= 854,
+    ARM_VLD1DUPq8wb_fixed	= 855,
+    ARM_VLD1DUPq8wb_register	= 856,
+    ARM_VLD1LNd16	= 857,
+    ARM_VLD1LNd16_UPD	= 858,
+    ARM_VLD1LNd32	= 859,
+    ARM_VLD1LNd32_UPD	= 860,
+    ARM_VLD1LNd8	= 861,
+    ARM_VLD1LNd8_UPD	= 862,
+    ARM_VLD1LNdAsm_16	= 863,
+    ARM_VLD1LNdAsm_32	= 864,
+    ARM_VLD1LNdAsm_8	= 865,
+    ARM_VLD1LNdWB_fixed_Asm_16	= 866,
+    ARM_VLD1LNdWB_fixed_Asm_32	= 867,
+    ARM_VLD1LNdWB_fixed_Asm_8	= 868,
+    ARM_VLD1LNdWB_register_Asm_16	= 869,
+    ARM_VLD1LNdWB_register_Asm_32	= 870,
+    ARM_VLD1LNdWB_register_Asm_8	= 871,
+    ARM_VLD1LNq16Pseudo	= 872,
+    ARM_VLD1LNq16Pseudo_UPD	= 873,
+    ARM_VLD1LNq32Pseudo	= 874,
+    ARM_VLD1LNq32Pseudo_UPD	= 875,
+    ARM_VLD1LNq8Pseudo	= 876,
+    ARM_VLD1LNq8Pseudo_UPD	= 877,
+    ARM_VLD1d16	= 878,
+    ARM_VLD1d16Q	= 879,
+    ARM_VLD1d16Qwb_fixed	= 880,
+    ARM_VLD1d16Qwb_register	= 881,
+    ARM_VLD1d16T	= 882,
+    ARM_VLD1d16Twb_fixed	= 883,
+    ARM_VLD1d16Twb_register	= 884,
+    ARM_VLD1d16wb_fixed	= 885,
+    ARM_VLD1d16wb_register	= 886,
+    ARM_VLD1d32	= 887,
+    ARM_VLD1d32Q	= 888,
+    ARM_VLD1d32Qwb_fixed	= 889,
+    ARM_VLD1d32Qwb_register	= 890,
+    ARM_VLD1d32T	= 891,
+    ARM_VLD1d32Twb_fixed	= 892,
+    ARM_VLD1d32Twb_register	= 893,
+    ARM_VLD1d32wb_fixed	= 894,
+    ARM_VLD1d32wb_register	= 895,
+    ARM_VLD1d64	= 896,
+    ARM_VLD1d64Q	= 897,
+    ARM_VLD1d64QPseudo	= 898,
+    ARM_VLD1d64QPseudoWB_fixed	= 899,
+    ARM_VLD1d64QPseudoWB_register	= 900,
+    ARM_VLD1d64Qwb_fixed	= 901,
+    ARM_VLD1d64Qwb_register	= 902,
+    ARM_VLD1d64T	= 903,
+    ARM_VLD1d64TPseudo	= 904,
+    ARM_VLD1d64TPseudoWB_fixed	= 905,
+    ARM_VLD1d64TPseudoWB_register	= 906,
+    ARM_VLD1d64Twb_fixed	= 907,
+    ARM_VLD1d64Twb_register	= 908,
+    ARM_VLD1d64wb_fixed	= 909,
+    ARM_VLD1d64wb_register	= 910,
+    ARM_VLD1d8	= 911,
+    ARM_VLD1d8Q	= 912,
+    ARM_VLD1d8Qwb_fixed	= 913,
+    ARM_VLD1d8Qwb_register	= 914,
+    ARM_VLD1d8T	= 915,
+    ARM_VLD1d8Twb_fixed	= 916,
+    ARM_VLD1d8Twb_register	= 917,
+    ARM_VLD1d8wb_fixed	= 918,
+    ARM_VLD1d8wb_register	= 919,
+    ARM_VLD1q16	= 920,
+    ARM_VLD1q16wb_fixed	= 921,
+    ARM_VLD1q16wb_register	= 922,
+    ARM_VLD1q32	= 923,
+    ARM_VLD1q32wb_fixed	= 924,
+    ARM_VLD1q32wb_register	= 925,
+    ARM_VLD1q64	= 926,
+    ARM_VLD1q64wb_fixed	= 927,
+    ARM_VLD1q64wb_register	= 928,
+    ARM_VLD1q8	= 929,
+    ARM_VLD1q8wb_fixed	= 930,
+    ARM_VLD1q8wb_register	= 931,
+    ARM_VLD2DUPd16	= 932,
+    ARM_VLD2DUPd16wb_fixed	= 933,
+    ARM_VLD2DUPd16wb_register	= 934,
+    ARM_VLD2DUPd16x2	= 935,
+    ARM_VLD2DUPd16x2wb_fixed	= 936,
+    ARM_VLD2DUPd16x2wb_register	= 937,
+    ARM_VLD2DUPd32	= 938,
+    ARM_VLD2DUPd32wb_fixed	= 939,
+    ARM_VLD2DUPd32wb_register	= 940,
+    ARM_VLD2DUPd32x2	= 941,
+    ARM_VLD2DUPd32x2wb_fixed	= 942,
+    ARM_VLD2DUPd32x2wb_register	= 943,
+    ARM_VLD2DUPd8	= 944,
+    ARM_VLD2DUPd8wb_fixed	= 945,
+    ARM_VLD2DUPd8wb_register	= 946,
+    ARM_VLD2DUPd8x2	= 947,
+    ARM_VLD2DUPd8x2wb_fixed	= 948,
+    ARM_VLD2DUPd8x2wb_register	= 949,
+    ARM_VLD2LNd16	= 950,
+    ARM_VLD2LNd16Pseudo	= 951,
+    ARM_VLD2LNd16Pseudo_UPD	= 952,
+    ARM_VLD2LNd16_UPD	= 953,
+    ARM_VLD2LNd32	= 954,
+    ARM_VLD2LNd32Pseudo	= 955,
+    ARM_VLD2LNd32Pseudo_UPD	= 956,
+    ARM_VLD2LNd32_UPD	= 957,
+    ARM_VLD2LNd8	= 958,
+    ARM_VLD2LNd8Pseudo	= 959,
+    ARM_VLD2LNd8Pseudo_UPD	= 960,
+    ARM_VLD2LNd8_UPD	= 961,
+    ARM_VLD2LNdAsm_16	= 962,
+    ARM_VLD2LNdAsm_32	= 963,
+    ARM_VLD2LNdAsm_8	= 964,
+    ARM_VLD2LNdWB_fixed_Asm_16	= 965,
+    ARM_VLD2LNdWB_fixed_Asm_32	= 966,
+    ARM_VLD2LNdWB_fixed_Asm_8	= 967,
+    ARM_VLD2LNdWB_register_Asm_16	= 968,
+    ARM_VLD2LNdWB_register_Asm_32	= 969,
+    ARM_VLD2LNdWB_register_Asm_8	= 970,
+    ARM_VLD2LNq16	= 971,
+    ARM_VLD2LNq16Pseudo	= 972,
+    ARM_VLD2LNq16Pseudo_UPD	= 973,
+    ARM_VLD2LNq16_UPD	= 974,
+    ARM_VLD2LNq32	= 975,
+    ARM_VLD2LNq32Pseudo	= 976,
+    ARM_VLD2LNq32Pseudo_UPD	= 977,
+    ARM_VLD2LNq32_UPD	= 978,
+    ARM_VLD2LNqAsm_16	= 979,
+    ARM_VLD2LNqAsm_32	= 980,
+    ARM_VLD2LNqWB_fixed_Asm_16	= 981,
+    ARM_VLD2LNqWB_fixed_Asm_32	= 982,
+    ARM_VLD2LNqWB_register_Asm_16	= 983,
+    ARM_VLD2LNqWB_register_Asm_32	= 984,
+    ARM_VLD2b16	= 985,
+    ARM_VLD2b16wb_fixed	= 986,
+    ARM_VLD2b16wb_register	= 987,
+    ARM_VLD2b32	= 988,
+    ARM_VLD2b32wb_fixed	= 989,
+    ARM_VLD2b32wb_register	= 990,
+    ARM_VLD2b8	= 991,
+    ARM_VLD2b8wb_fixed	= 992,
+    ARM_VLD2b8wb_register	= 993,
+    ARM_VLD2d16	= 994,
+    ARM_VLD2d16wb_fixed	= 995,
+    ARM_VLD2d16wb_register	= 996,
+    ARM_VLD2d32	= 997,
+    ARM_VLD2d32wb_fixed	= 998,
+    ARM_VLD2d32wb_register	= 999,
+    ARM_VLD2d8	= 1000,
+    ARM_VLD2d8wb_fixed	= 1001,
+    ARM_VLD2d8wb_register	= 1002,
+    ARM_VLD2q16	= 1003,
+    ARM_VLD2q16Pseudo	= 1004,
+    ARM_VLD2q16PseudoWB_fixed	= 1005,
+    ARM_VLD2q16PseudoWB_register	= 1006,
+    ARM_VLD2q16wb_fixed	= 1007,
+    ARM_VLD2q16wb_register	= 1008,
+    ARM_VLD2q32	= 1009,
+    ARM_VLD2q32Pseudo	= 1010,
+    ARM_VLD2q32PseudoWB_fixed	= 1011,
+    ARM_VLD2q32PseudoWB_register	= 1012,
+    ARM_VLD2q32wb_fixed	= 1013,
+    ARM_VLD2q32wb_register	= 1014,
+    ARM_VLD2q8	= 1015,
+    ARM_VLD2q8Pseudo	= 1016,
+    ARM_VLD2q8PseudoWB_fixed	= 1017,
+    ARM_VLD2q8PseudoWB_register	= 1018,
+    ARM_VLD2q8wb_fixed	= 1019,
+    ARM_VLD2q8wb_register	= 1020,
+    ARM_VLD3DUPd16	= 1021,
+    ARM_VLD3DUPd16Pseudo	= 1022,
+    ARM_VLD3DUPd16Pseudo_UPD	= 1023,
+    ARM_VLD3DUPd16_UPD	= 1024,
+    ARM_VLD3DUPd32	= 1025,
+    ARM_VLD3DUPd32Pseudo	= 1026,
+    ARM_VLD3DUPd32Pseudo_UPD	= 1027,
+    ARM_VLD3DUPd32_UPD	= 1028,
+    ARM_VLD3DUPd8	= 1029,
+    ARM_VLD3DUPd8Pseudo	= 1030,
+    ARM_VLD3DUPd8Pseudo_UPD	= 1031,
+    ARM_VLD3DUPd8_UPD	= 1032,
+    ARM_VLD3DUPdAsm_16	= 1033,
+    ARM_VLD3DUPdAsm_32	= 1034,
+    ARM_VLD3DUPdAsm_8	= 1035,
+    ARM_VLD3DUPdWB_fixed_Asm_16	= 1036,
+    ARM_VLD3DUPdWB_fixed_Asm_32	= 1037,
+    ARM_VLD3DUPdWB_fixed_Asm_8	= 1038,
+    ARM_VLD3DUPdWB_register_Asm_16	= 1039,
+    ARM_VLD3DUPdWB_register_Asm_32	= 1040,
+    ARM_VLD3DUPdWB_register_Asm_8	= 1041,
+    ARM_VLD3DUPq16	= 1042,
+    ARM_VLD3DUPq16_UPD	= 1043,
+    ARM_VLD3DUPq32	= 1044,
+    ARM_VLD3DUPq32_UPD	= 1045,
+    ARM_VLD3DUPq8	= 1046,
+    ARM_VLD3DUPq8_UPD	= 1047,
+    ARM_VLD3DUPqAsm_16	= 1048,
+    ARM_VLD3DUPqAsm_32	= 1049,
+    ARM_VLD3DUPqAsm_8	= 1050,
+    ARM_VLD3DUPqWB_fixed_Asm_16	= 1051,
+    ARM_VLD3DUPqWB_fixed_Asm_32	= 1052,
+    ARM_VLD3DUPqWB_fixed_Asm_8	= 1053,
+    ARM_VLD3DUPqWB_register_Asm_16	= 1054,
+    ARM_VLD3DUPqWB_register_Asm_32	= 1055,
+    ARM_VLD3DUPqWB_register_Asm_8	= 1056,
+    ARM_VLD3LNd16	= 1057,
+    ARM_VLD3LNd16Pseudo	= 1058,
+    ARM_VLD3LNd16Pseudo_UPD	= 1059,
+    ARM_VLD3LNd16_UPD	= 1060,
+    ARM_VLD3LNd32	= 1061,
+    ARM_VLD3LNd32Pseudo	= 1062,
+    ARM_VLD3LNd32Pseudo_UPD	= 1063,
+    ARM_VLD3LNd32_UPD	= 1064,
+    ARM_VLD3LNd8	= 1065,
+    ARM_VLD3LNd8Pseudo	= 1066,
+    ARM_VLD3LNd8Pseudo_UPD	= 1067,
+    ARM_VLD3LNd8_UPD	= 1068,
+    ARM_VLD3LNdAsm_16	= 1069,
+    ARM_VLD3LNdAsm_32	= 1070,
+    ARM_VLD3LNdAsm_8	= 1071,
+    ARM_VLD3LNdWB_fixed_Asm_16	= 1072,
+    ARM_VLD3LNdWB_fixed_Asm_32	= 1073,
+    ARM_VLD3LNdWB_fixed_Asm_8	= 1074,
+    ARM_VLD3LNdWB_register_Asm_16	= 1075,
+    ARM_VLD3LNdWB_register_Asm_32	= 1076,
+    ARM_VLD3LNdWB_register_Asm_8	= 1077,
+    ARM_VLD3LNq16	= 1078,
+    ARM_VLD3LNq16Pseudo	= 1079,
+    ARM_VLD3LNq16Pseudo_UPD	= 1080,
+    ARM_VLD3LNq16_UPD	= 1081,
+    ARM_VLD3LNq32	= 1082,
+    ARM_VLD3LNq32Pseudo	= 1083,
+    ARM_VLD3LNq32Pseudo_UPD	= 1084,
+    ARM_VLD3LNq32_UPD	= 1085,
+    ARM_VLD3LNqAsm_16	= 1086,
+    ARM_VLD3LNqAsm_32	= 1087,
+    ARM_VLD3LNqWB_fixed_Asm_16	= 1088,
+    ARM_VLD3LNqWB_fixed_Asm_32	= 1089,
+    ARM_VLD3LNqWB_register_Asm_16	= 1090,
+    ARM_VLD3LNqWB_register_Asm_32	= 1091,
+    ARM_VLD3d16	= 1092,
+    ARM_VLD3d16Pseudo	= 1093,
+    ARM_VLD3d16Pseudo_UPD	= 1094,
+    ARM_VLD3d16_UPD	= 1095,
+    ARM_VLD3d32	= 1096,
+    ARM_VLD3d32Pseudo	= 1097,
+    ARM_VLD3d32Pseudo_UPD	= 1098,
+    ARM_VLD3d32_UPD	= 1099,
+    ARM_VLD3d8	= 1100,
+    ARM_VLD3d8Pseudo	= 1101,
+    ARM_VLD3d8Pseudo_UPD	= 1102,
+    ARM_VLD3d8_UPD	= 1103,
+    ARM_VLD3dAsm_16	= 1104,
+    ARM_VLD3dAsm_32	= 1105,
+    ARM_VLD3dAsm_8	= 1106,
+    ARM_VLD3dWB_fixed_Asm_16	= 1107,
+    ARM_VLD3dWB_fixed_Asm_32	= 1108,
+    ARM_VLD3dWB_fixed_Asm_8	= 1109,
+    ARM_VLD3dWB_register_Asm_16	= 1110,
+    ARM_VLD3dWB_register_Asm_32	= 1111,
+    ARM_VLD3dWB_register_Asm_8	= 1112,
+    ARM_VLD3q16	= 1113,
+    ARM_VLD3q16Pseudo_UPD	= 1114,
+    ARM_VLD3q16_UPD	= 1115,
+    ARM_VLD3q16oddPseudo	= 1116,
+    ARM_VLD3q16oddPseudo_UPD	= 1117,
+    ARM_VLD3q32	= 1118,
+    ARM_VLD3q32Pseudo_UPD	= 1119,
+    ARM_VLD3q32_UPD	= 1120,
+    ARM_VLD3q32oddPseudo	= 1121,
+    ARM_VLD3q32oddPseudo_UPD	= 1122,
+    ARM_VLD3q8	= 1123,
+    ARM_VLD3q8Pseudo_UPD	= 1124,
+    ARM_VLD3q8_UPD	= 1125,
+    ARM_VLD3q8oddPseudo	= 1126,
+    ARM_VLD3q8oddPseudo_UPD	= 1127,
+    ARM_VLD3qAsm_16	= 1128,
+    ARM_VLD3qAsm_32	= 1129,
+    ARM_VLD3qAsm_8	= 1130,
+    ARM_VLD3qWB_fixed_Asm_16	= 1131,
+    ARM_VLD3qWB_fixed_Asm_32	= 1132,
+    ARM_VLD3qWB_fixed_Asm_8	= 1133,
+    ARM_VLD3qWB_register_Asm_16	= 1134,
+    ARM_VLD3qWB_register_Asm_32	= 1135,
+    ARM_VLD3qWB_register_Asm_8	= 1136,
+    ARM_VLD4DUPd16	= 1137,
+    ARM_VLD4DUPd16Pseudo	= 1138,
+    ARM_VLD4DUPd16Pseudo_UPD	= 1139,
+    ARM_VLD4DUPd16_UPD	= 1140,
+    ARM_VLD4DUPd32	= 1141,
+    ARM_VLD4DUPd32Pseudo	= 1142,
+    ARM_VLD4DUPd32Pseudo_UPD	= 1143,
+    ARM_VLD4DUPd32_UPD	= 1144,
+    ARM_VLD4DUPd8	= 1145,
+    ARM_VLD4DUPd8Pseudo	= 1146,
+    ARM_VLD4DUPd8Pseudo_UPD	= 1147,
+    ARM_VLD4DUPd8_UPD	= 1148,
+    ARM_VLD4DUPdAsm_16	= 1149,
+    ARM_VLD4DUPdAsm_32	= 1150,
+    ARM_VLD4DUPdAsm_8	= 1151,
+    ARM_VLD4DUPdWB_fixed_Asm_16	= 1152,
+    ARM_VLD4DUPdWB_fixed_Asm_32	= 1153,
+    ARM_VLD4DUPdWB_fixed_Asm_8	= 1154,
+    ARM_VLD4DUPdWB_register_Asm_16	= 1155,
+    ARM_VLD4DUPdWB_register_Asm_32	= 1156,
+    ARM_VLD4DUPdWB_register_Asm_8	= 1157,
+    ARM_VLD4DUPq16	= 1158,
+    ARM_VLD4DUPq16_UPD	= 1159,
+    ARM_VLD4DUPq32	= 1160,
+    ARM_VLD4DUPq32_UPD	= 1161,
+    ARM_VLD4DUPq8	= 1162,
+    ARM_VLD4DUPq8_UPD	= 1163,
+    ARM_VLD4DUPqAsm_16	= 1164,
+    ARM_VLD4DUPqAsm_32	= 1165,
+    ARM_VLD4DUPqAsm_8	= 1166,
+    ARM_VLD4DUPqWB_fixed_Asm_16	= 1167,
+    ARM_VLD4DUPqWB_fixed_Asm_32	= 1168,
+    ARM_VLD4DUPqWB_fixed_Asm_8	= 1169,
+    ARM_VLD4DUPqWB_register_Asm_16	= 1170,
+    ARM_VLD4DUPqWB_register_Asm_32	= 1171,
+    ARM_VLD4DUPqWB_register_Asm_8	= 1172,
+    ARM_VLD4LNd16	= 1173,
+    ARM_VLD4LNd16Pseudo	= 1174,
+    ARM_VLD4LNd16Pseudo_UPD	= 1175,
+    ARM_VLD4LNd16_UPD	= 1176,
+    ARM_VLD4LNd32	= 1177,
+    ARM_VLD4LNd32Pseudo	= 1178,
+    ARM_VLD4LNd32Pseudo_UPD	= 1179,
+    ARM_VLD4LNd32_UPD	= 1180,
+    ARM_VLD4LNd8	= 1181,
+    ARM_VLD4LNd8Pseudo	= 1182,
+    ARM_VLD4LNd8Pseudo_UPD	= 1183,
+    ARM_VLD4LNd8_UPD	= 1184,
+    ARM_VLD4LNdAsm_16	= 1185,
+    ARM_VLD4LNdAsm_32	= 1186,
+    ARM_VLD4LNdAsm_8	= 1187,
+    ARM_VLD4LNdWB_fixed_Asm_16	= 1188,
+    ARM_VLD4LNdWB_fixed_Asm_32	= 1189,
+    ARM_VLD4LNdWB_fixed_Asm_8	= 1190,
+    ARM_VLD4LNdWB_register_Asm_16	= 1191,
+    ARM_VLD4LNdWB_register_Asm_32	= 1192,
+    ARM_VLD4LNdWB_register_Asm_8	= 1193,
+    ARM_VLD4LNq16	= 1194,
+    ARM_VLD4LNq16Pseudo	= 1195,
+    ARM_VLD4LNq16Pseudo_UPD	= 1196,
+    ARM_VLD4LNq16_UPD	= 1197,
+    ARM_VLD4LNq32	= 1198,
+    ARM_VLD4LNq32Pseudo	= 1199,
+    ARM_VLD4LNq32Pseudo_UPD	= 1200,
+    ARM_VLD4LNq32_UPD	= 1201,
+    ARM_VLD4LNqAsm_16	= 1202,
+    ARM_VLD4LNqAsm_32	= 1203,
+    ARM_VLD4LNqWB_fixed_Asm_16	= 1204,
+    ARM_VLD4LNqWB_fixed_Asm_32	= 1205,
+    ARM_VLD4LNqWB_register_Asm_16	= 1206,
+    ARM_VLD4LNqWB_register_Asm_32	= 1207,
+    ARM_VLD4d16	= 1208,
+    ARM_VLD4d16Pseudo	= 1209,
+    ARM_VLD4d16Pseudo_UPD	= 1210,
+    ARM_VLD4d16_UPD	= 1211,
+    ARM_VLD4d32	= 1212,
+    ARM_VLD4d32Pseudo	= 1213,
+    ARM_VLD4d32Pseudo_UPD	= 1214,
+    ARM_VLD4d32_UPD	= 1215,
+    ARM_VLD4d8	= 1216,
+    ARM_VLD4d8Pseudo	= 1217,
+    ARM_VLD4d8Pseudo_UPD	= 1218,
+    ARM_VLD4d8_UPD	= 1219,
+    ARM_VLD4dAsm_16	= 1220,
+    ARM_VLD4dAsm_32	= 1221,
+    ARM_VLD4dAsm_8	= 1222,
+    ARM_VLD4dWB_fixed_Asm_16	= 1223,
+    ARM_VLD4dWB_fixed_Asm_32	= 1224,
+    ARM_VLD4dWB_fixed_Asm_8	= 1225,
+    ARM_VLD4dWB_register_Asm_16	= 1226,
+    ARM_VLD4dWB_register_Asm_32	= 1227,
+    ARM_VLD4dWB_register_Asm_8	= 1228,
+    ARM_VLD4q16	= 1229,
+    ARM_VLD4q16Pseudo_UPD	= 1230,
+    ARM_VLD4q16_UPD	= 1231,
+    ARM_VLD4q16oddPseudo	= 1232,
+    ARM_VLD4q16oddPseudo_UPD	= 1233,
+    ARM_VLD4q32	= 1234,
+    ARM_VLD4q32Pseudo_UPD	= 1235,
+    ARM_VLD4q32_UPD	= 1236,
+    ARM_VLD4q32oddPseudo	= 1237,
+    ARM_VLD4q32oddPseudo_UPD	= 1238,
+    ARM_VLD4q8	= 1239,
+    ARM_VLD4q8Pseudo_UPD	= 1240,
+    ARM_VLD4q8_UPD	= 1241,
+    ARM_VLD4q8oddPseudo	= 1242,
+    ARM_VLD4q8oddPseudo_UPD	= 1243,
+    ARM_VLD4qAsm_16	= 1244,
+    ARM_VLD4qAsm_32	= 1245,
+    ARM_VLD4qAsm_8	= 1246,
+    ARM_VLD4qWB_fixed_Asm_16	= 1247,
+    ARM_VLD4qWB_fixed_Asm_32	= 1248,
+    ARM_VLD4qWB_fixed_Asm_8	= 1249,
+    ARM_VLD4qWB_register_Asm_16	= 1250,
+    ARM_VLD4qWB_register_Asm_32	= 1251,
+    ARM_VLD4qWB_register_Asm_8	= 1252,
+    ARM_VLDMDDB_UPD	= 1253,
+    ARM_VLDMDIA	= 1254,
+    ARM_VLDMDIA_UPD	= 1255,
+    ARM_VLDMQIA	= 1256,
+    ARM_VLDMSDB_UPD	= 1257,
+    ARM_VLDMSIA	= 1258,
+    ARM_VLDMSIA_UPD	= 1259,
+    ARM_VLDRD	= 1260,
+    ARM_VLDRS	= 1261,
+    ARM_VMAXNMD	= 1262,
+    ARM_VMAXNMND	= 1263,
+    ARM_VMAXNMNQ	= 1264,
+    ARM_VMAXNMS	= 1265,
+    ARM_VMAXfd	= 1266,
+    ARM_VMAXfq	= 1267,
+    ARM_VMAXsv16i8	= 1268,
+    ARM_VMAXsv2i32	= 1269,
+    ARM_VMAXsv4i16	= 1270,
+    ARM_VMAXsv4i32	= 1271,
+    ARM_VMAXsv8i16	= 1272,
+    ARM_VMAXsv8i8	= 1273,
+    ARM_VMAXuv16i8	= 1274,
+    ARM_VMAXuv2i32	= 1275,
+    ARM_VMAXuv4i16	= 1276,
+    ARM_VMAXuv4i32	= 1277,
+    ARM_VMAXuv8i16	= 1278,
+    ARM_VMAXuv8i8	= 1279,
+    ARM_VMINNMD	= 1280,
+    ARM_VMINNMND	= 1281,
+    ARM_VMINNMNQ	= 1282,
+    ARM_VMINNMS	= 1283,
+    ARM_VMINfd	= 1284,
+    ARM_VMINfq	= 1285,
+    ARM_VMINsv16i8	= 1286,
+    ARM_VMINsv2i32	= 1287,
+    ARM_VMINsv4i16	= 1288,
+    ARM_VMINsv4i32	= 1289,
+    ARM_VMINsv8i16	= 1290,
+    ARM_VMINsv8i8	= 1291,
+    ARM_VMINuv16i8	= 1292,
+    ARM_VMINuv2i32	= 1293,
+    ARM_VMINuv4i16	= 1294,
+    ARM_VMINuv4i32	= 1295,
+    ARM_VMINuv8i16	= 1296,
+    ARM_VMINuv8i8	= 1297,
+    ARM_VMLAD	= 1298,
+    ARM_VMLALslsv2i32	= 1299,
+    ARM_VMLALslsv4i16	= 1300,
+    ARM_VMLALsluv2i32	= 1301,
+    ARM_VMLALsluv4i16	= 1302,
+    ARM_VMLALsv2i64	= 1303,
+    ARM_VMLALsv4i32	= 1304,
+    ARM_VMLALsv8i16	= 1305,
+    ARM_VMLALuv2i64	= 1306,
+    ARM_VMLALuv4i32	= 1307,
+    ARM_VMLALuv8i16	= 1308,
+    ARM_VMLAS	= 1309,
+    ARM_VMLAfd	= 1310,
+    ARM_VMLAfq	= 1311,
+    ARM_VMLAslfd	= 1312,
+    ARM_VMLAslfq	= 1313,
+    ARM_VMLAslv2i32	= 1314,
+    ARM_VMLAslv4i16	= 1315,
+    ARM_VMLAslv4i32	= 1316,
+    ARM_VMLAslv8i16	= 1317,
+    ARM_VMLAv16i8	= 1318,
+    ARM_VMLAv2i32	= 1319,
+    ARM_VMLAv4i16	= 1320,
+    ARM_VMLAv4i32	= 1321,
+    ARM_VMLAv8i16	= 1322,
+    ARM_VMLAv8i8	= 1323,
+    ARM_VMLSD	= 1324,
+    ARM_VMLSLslsv2i32	= 1325,
+    ARM_VMLSLslsv4i16	= 1326,
+    ARM_VMLSLsluv2i32	= 1327,
+    ARM_VMLSLsluv4i16	= 1328,
+    ARM_VMLSLsv2i64	= 1329,
+    ARM_VMLSLsv4i32	= 1330,
+    ARM_VMLSLsv8i16	= 1331,
+    ARM_VMLSLuv2i64	= 1332,
+    ARM_VMLSLuv4i32	= 1333,
+    ARM_VMLSLuv8i16	= 1334,
+    ARM_VMLSS	= 1335,
+    ARM_VMLSfd	= 1336,
+    ARM_VMLSfq	= 1337,
+    ARM_VMLSslfd	= 1338,
+    ARM_VMLSslfq	= 1339,
+    ARM_VMLSslv2i32	= 1340,
+    ARM_VMLSslv4i16	= 1341,
+    ARM_VMLSslv4i32	= 1342,
+    ARM_VMLSslv8i16	= 1343,
+    ARM_VMLSv16i8	= 1344,
+    ARM_VMLSv2i32	= 1345,
+    ARM_VMLSv4i16	= 1346,
+    ARM_VMLSv4i32	= 1347,
+    ARM_VMLSv8i16	= 1348,
+    ARM_VMLSv8i8	= 1349,
+    ARM_VMOVD	= 1350,
+    ARM_VMOVD0	= 1351,
+    ARM_VMOVDRR	= 1352,
+    ARM_VMOVDcc	= 1353,
+    ARM_VMOVLsv2i64	= 1354,
+    ARM_VMOVLsv4i32	= 1355,
+    ARM_VMOVLsv8i16	= 1356,
+    ARM_VMOVLuv2i64	= 1357,
+    ARM_VMOVLuv4i32	= 1358,
+    ARM_VMOVLuv8i16	= 1359,
+    ARM_VMOVNv2i32	= 1360,
+    ARM_VMOVNv4i16	= 1361,
+    ARM_VMOVNv8i8	= 1362,
+    ARM_VMOVQ0	= 1363,
+    ARM_VMOVRRD	= 1364,
+    ARM_VMOVRRS	= 1365,
+    ARM_VMOVRS	= 1366,
+    ARM_VMOVS	= 1367,
+    ARM_VMOVSR	= 1368,
+    ARM_VMOVSRR	= 1369,
+    ARM_VMOVScc	= 1370,
+    ARM_VMOVv16i8	= 1371,
+    ARM_VMOVv1i64	= 1372,
+    ARM_VMOVv2f32	= 1373,
+    ARM_VMOVv2i32	= 1374,
+    ARM_VMOVv2i64	= 1375,
+    ARM_VMOVv4f32	= 1376,
+    ARM_VMOVv4i16	= 1377,
+    ARM_VMOVv4i32	= 1378,
+    ARM_VMOVv8i16	= 1379,
+    ARM_VMOVv8i8	= 1380,
+    ARM_VMRS	= 1381,
+    ARM_VMRS_FPEXC	= 1382,
+    ARM_VMRS_FPINST	= 1383,
+    ARM_VMRS_FPINST2	= 1384,
+    ARM_VMRS_FPSID	= 1385,
+    ARM_VMRS_MVFR0	= 1386,
+    ARM_VMRS_MVFR1	= 1387,
+    ARM_VMRS_MVFR2	= 1388,
+    ARM_VMSR	= 1389,
+    ARM_VMSR_FPEXC	= 1390,
+    ARM_VMSR_FPINST	= 1391,
+    ARM_VMSR_FPINST2	= 1392,
+    ARM_VMSR_FPSID	= 1393,
+    ARM_VMULD	= 1394,
+    ARM_VMULLp64	= 1395,
+    ARM_VMULLp8	= 1396,
+    ARM_VMULLslsv2i32	= 1397,
+    ARM_VMULLslsv4i16	= 1398,
+    ARM_VMULLsluv2i32	= 1399,
+    ARM_VMULLsluv4i16	= 1400,
+    ARM_VMULLsv2i64	= 1401,
+    ARM_VMULLsv4i32	= 1402,
+    ARM_VMULLsv8i16	= 1403,
+    ARM_VMULLuv2i64	= 1404,
+    ARM_VMULLuv4i32	= 1405,
+    ARM_VMULLuv8i16	= 1406,
+    ARM_VMULS	= 1407,
+    ARM_VMULfd	= 1408,
+    ARM_VMULfq	= 1409,
+    ARM_VMULpd	= 1410,
+    ARM_VMULpq	= 1411,
+    ARM_VMULslfd	= 1412,
+    ARM_VMULslfq	= 1413,
+    ARM_VMULslv2i32	= 1414,
+    ARM_VMULslv4i16	= 1415,
+    ARM_VMULslv4i32	= 1416,
+    ARM_VMULslv8i16	= 1417,
+    ARM_VMULv16i8	= 1418,
+    ARM_VMULv2i32	= 1419,
+    ARM_VMULv4i16	= 1420,
+    ARM_VMULv4i32	= 1421,
+    ARM_VMULv8i16	= 1422,
+    ARM_VMULv8i8	= 1423,
+    ARM_VMVNd	= 1424,
+    ARM_VMVNq	= 1425,
+    ARM_VMVNv2i32	= 1426,
+    ARM_VMVNv4i16	= 1427,
+    ARM_VMVNv4i32	= 1428,
+    ARM_VMVNv8i16	= 1429,
+    ARM_VNEGD	= 1430,
+    ARM_VNEGS	= 1431,
+    ARM_VNEGf32q	= 1432,
+    ARM_VNEGfd	= 1433,
+    ARM_VNEGs16d	= 1434,
+    ARM_VNEGs16q	= 1435,
+    ARM_VNEGs32d	= 1436,
+    ARM_VNEGs32q	= 1437,
+    ARM_VNEGs8d	= 1438,
+    ARM_VNEGs8q	= 1439,
+    ARM_VNMLAD	= 1440,
+    ARM_VNMLAS	= 1441,
+    ARM_VNMLSD	= 1442,
+    ARM_VNMLSS	= 1443,
+    ARM_VNMULD	= 1444,
+    ARM_VNMULS	= 1445,
+    ARM_VORNd	= 1446,
+    ARM_VORNq	= 1447,
+    ARM_VORRd	= 1448,
+    ARM_VORRiv2i32	= 1449,
+    ARM_VORRiv4i16	= 1450,
+    ARM_VORRiv4i32	= 1451,
+    ARM_VORRiv8i16	= 1452,
+    ARM_VORRq	= 1453,
+    ARM_VPADALsv16i8	= 1454,
+    ARM_VPADALsv2i32	= 1455,
+    ARM_VPADALsv4i16	= 1456,
+    ARM_VPADALsv4i32	= 1457,
+    ARM_VPADALsv8i16	= 1458,
+    ARM_VPADALsv8i8	= 1459,
+    ARM_VPADALuv16i8	= 1460,
+    ARM_VPADALuv2i32	= 1461,
+    ARM_VPADALuv4i16	= 1462,
+    ARM_VPADALuv4i32	= 1463,
+    ARM_VPADALuv8i16	= 1464,
+    ARM_VPADALuv8i8	= 1465,
+    ARM_VPADDLsv16i8	= 1466,
+    ARM_VPADDLsv2i32	= 1467,
+    ARM_VPADDLsv4i16	= 1468,
+    ARM_VPADDLsv4i32	= 1469,
+    ARM_VPADDLsv8i16	= 1470,
+    ARM_VPADDLsv8i8	= 1471,
+    ARM_VPADDLuv16i8	= 1472,
+    ARM_VPADDLuv2i32	= 1473,
+    ARM_VPADDLuv4i16	= 1474,
+    ARM_VPADDLuv4i32	= 1475,
+    ARM_VPADDLuv8i16	= 1476,
+    ARM_VPADDLuv8i8	= 1477,
+    ARM_VPADDf	= 1478,
+    ARM_VPADDi16	= 1479,
+    ARM_VPADDi32	= 1480,
+    ARM_VPADDi8	= 1481,
+    ARM_VPMAXf	= 1482,
+    ARM_VPMAXs16	= 1483,
+    ARM_VPMAXs32	= 1484,
+    ARM_VPMAXs8	= 1485,
+    ARM_VPMAXu16	= 1486,
+    ARM_VPMAXu32	= 1487,
+    ARM_VPMAXu8	= 1488,
+    ARM_VPMINf	= 1489,
+    ARM_VPMINs16	= 1490,
+    ARM_VPMINs32	= 1491,
+    ARM_VPMINs8	= 1492,
+    ARM_VPMINu16	= 1493,
+    ARM_VPMINu32	= 1494,
+    ARM_VPMINu8	= 1495,
+    ARM_VQABSv16i8	= 1496,
+    ARM_VQABSv2i32	= 1497,
+    ARM_VQABSv4i16	= 1498,
+    ARM_VQABSv4i32	= 1499,
+    ARM_VQABSv8i16	= 1500,
+    ARM_VQABSv8i8	= 1501,
+    ARM_VQADDsv16i8	= 1502,
+    ARM_VQADDsv1i64	= 1503,
+    ARM_VQADDsv2i32	= 1504,
+    ARM_VQADDsv2i64	= 1505,
+    ARM_VQADDsv4i16	= 1506,
+    ARM_VQADDsv4i32	= 1507,
+    ARM_VQADDsv8i16	= 1508,
+    ARM_VQADDsv8i8	= 1509,
+    ARM_VQADDuv16i8	= 1510,
+    ARM_VQADDuv1i64	= 1511,
+    ARM_VQADDuv2i32	= 1512,
+    ARM_VQADDuv2i64	= 1513,
+    ARM_VQADDuv4i16	= 1514,
+    ARM_VQADDuv4i32	= 1515,
+    ARM_VQADDuv8i16	= 1516,
+    ARM_VQADDuv8i8	= 1517,
+    ARM_VQDMLALslv2i32	= 1518,
+    ARM_VQDMLALslv4i16	= 1519,
+    ARM_VQDMLALv2i64	= 1520,
+    ARM_VQDMLALv4i32	= 1521,
+    ARM_VQDMLSLslv2i32	= 1522,
+    ARM_VQDMLSLslv4i16	= 1523,
+    ARM_VQDMLSLv2i64	= 1524,
+    ARM_VQDMLSLv4i32	= 1525,
+    ARM_VQDMULHslv2i32	= 1526,
+    ARM_VQDMULHslv4i16	= 1527,
+    ARM_VQDMULHslv4i32	= 1528,
+    ARM_VQDMULHslv8i16	= 1529,
+    ARM_VQDMULHv2i32	= 1530,
+    ARM_VQDMULHv4i16	= 1531,
+    ARM_VQDMULHv4i32	= 1532,
+    ARM_VQDMULHv8i16	= 1533,
+    ARM_VQDMULLslv2i32	= 1534,
+    ARM_VQDMULLslv4i16	= 1535,
+    ARM_VQDMULLv2i64	= 1536,
+    ARM_VQDMULLv4i32	= 1537,
+    ARM_VQMOVNsuv2i32	= 1538,
+    ARM_VQMOVNsuv4i16	= 1539,
+    ARM_VQMOVNsuv8i8	= 1540,
+    ARM_VQMOVNsv2i32	= 1541,
+    ARM_VQMOVNsv4i16	= 1542,
+    ARM_VQMOVNsv8i8	= 1543,
+    ARM_VQMOVNuv2i32	= 1544,
+    ARM_VQMOVNuv4i16	= 1545,
+    ARM_VQMOVNuv8i8	= 1546,
+    ARM_VQNEGv16i8	= 1547,
+    ARM_VQNEGv2i32	= 1548,
+    ARM_VQNEGv4i16	= 1549,
+    ARM_VQNEGv4i32	= 1550,
+    ARM_VQNEGv8i16	= 1551,
+    ARM_VQNEGv8i8	= 1552,
+    ARM_VQRDMULHslv2i32	= 1553,
+    ARM_VQRDMULHslv4i16	= 1554,
+    ARM_VQRDMULHslv4i32	= 1555,
+    ARM_VQRDMULHslv8i16	= 1556,
+    ARM_VQRDMULHv2i32	= 1557,
+    ARM_VQRDMULHv4i16	= 1558,
+    ARM_VQRDMULHv4i32	= 1559,
+    ARM_VQRDMULHv8i16	= 1560,
+    ARM_VQRSHLsv16i8	= 1561,
+    ARM_VQRSHLsv1i64	= 1562,
+    ARM_VQRSHLsv2i32	= 1563,
+    ARM_VQRSHLsv2i64	= 1564,
+    ARM_VQRSHLsv4i16	= 1565,
+    ARM_VQRSHLsv4i32	= 1566,
+    ARM_VQRSHLsv8i16	= 1567,
+    ARM_VQRSHLsv8i8	= 1568,
+    ARM_VQRSHLuv16i8	= 1569,
+    ARM_VQRSHLuv1i64	= 1570,
+    ARM_VQRSHLuv2i32	= 1571,
+    ARM_VQRSHLuv2i64	= 1572,
+    ARM_VQRSHLuv4i16	= 1573,
+    ARM_VQRSHLuv4i32	= 1574,
+    ARM_VQRSHLuv8i16	= 1575,
+    ARM_VQRSHLuv8i8	= 1576,
+    ARM_VQRSHRNsv2i32	= 1577,
+    ARM_VQRSHRNsv4i16	= 1578,
+    ARM_VQRSHRNsv8i8	= 1579,
+    ARM_VQRSHRNuv2i32	= 1580,
+    ARM_VQRSHRNuv4i16	= 1581,
+    ARM_VQRSHRNuv8i8	= 1582,
+    ARM_VQRSHRUNv2i32	= 1583,
+    ARM_VQRSHRUNv4i16	= 1584,
+    ARM_VQRSHRUNv8i8	= 1585,
+    ARM_VQSHLsiv16i8	= 1586,
+    ARM_VQSHLsiv1i64	= 1587,
+    ARM_VQSHLsiv2i32	= 1588,
+    ARM_VQSHLsiv2i64	= 1589,
+    ARM_VQSHLsiv4i16	= 1590,
+    ARM_VQSHLsiv4i32	= 1591,
+    ARM_VQSHLsiv8i16	= 1592,
+    ARM_VQSHLsiv8i8	= 1593,
+    ARM_VQSHLsuv16i8	= 1594,
+    ARM_VQSHLsuv1i64	= 1595,
+    ARM_VQSHLsuv2i32	= 1596,
+    ARM_VQSHLsuv2i64	= 1597,
+    ARM_VQSHLsuv4i16	= 1598,
+    ARM_VQSHLsuv4i32	= 1599,
+    ARM_VQSHLsuv8i16	= 1600,
+    ARM_VQSHLsuv8i8	= 1601,
+    ARM_VQSHLsv16i8	= 1602,
+    ARM_VQSHLsv1i64	= 1603,
+    ARM_VQSHLsv2i32	= 1604,
+    ARM_VQSHLsv2i64	= 1605,
+    ARM_VQSHLsv4i16	= 1606,
+    ARM_VQSHLsv4i32	= 1607,
+    ARM_VQSHLsv8i16	= 1608,
+    ARM_VQSHLsv8i8	= 1609,
+    ARM_VQSHLuiv16i8	= 1610,
+    ARM_VQSHLuiv1i64	= 1611,
+    ARM_VQSHLuiv2i32	= 1612,
+    ARM_VQSHLuiv2i64	= 1613,
+    ARM_VQSHLuiv4i16	= 1614,
+    ARM_VQSHLuiv4i32	= 1615,
+    ARM_VQSHLuiv8i16	= 1616,
+    ARM_VQSHLuiv8i8	= 1617,
+    ARM_VQSHLuv16i8	= 1618,
+    ARM_VQSHLuv1i64	= 1619,
+    ARM_VQSHLuv2i32	= 1620,
+    ARM_VQSHLuv2i64	= 1621,
+    ARM_VQSHLuv4i16	= 1622,
+    ARM_VQSHLuv4i32	= 1623,
+    ARM_VQSHLuv8i16	= 1624,
+    ARM_VQSHLuv8i8	= 1625,
+    ARM_VQSHRNsv2i32	= 1626,
+    ARM_VQSHRNsv4i16	= 1627,
+    ARM_VQSHRNsv8i8	= 1628,
+    ARM_VQSHRNuv2i32	= 1629,
+    ARM_VQSHRNuv4i16	= 1630,
+    ARM_VQSHRNuv8i8	= 1631,
+    ARM_VQSHRUNv2i32	= 1632,
+    ARM_VQSHRUNv4i16	= 1633,
+    ARM_VQSHRUNv8i8	= 1634,
+    ARM_VQSUBsv16i8	= 1635,
+    ARM_VQSUBsv1i64	= 1636,
+    ARM_VQSUBsv2i32	= 1637,
+    ARM_VQSUBsv2i64	= 1638,
+    ARM_VQSUBsv4i16	= 1639,
+    ARM_VQSUBsv4i32	= 1640,
+    ARM_VQSUBsv8i16	= 1641,
+    ARM_VQSUBsv8i8	= 1642,
+    ARM_VQSUBuv16i8	= 1643,
+    ARM_VQSUBuv1i64	= 1644,
+    ARM_VQSUBuv2i32	= 1645,
+    ARM_VQSUBuv2i64	= 1646,
+    ARM_VQSUBuv4i16	= 1647,
+    ARM_VQSUBuv4i32	= 1648,
+    ARM_VQSUBuv8i16	= 1649,
+    ARM_VQSUBuv8i8	= 1650,
+    ARM_VRADDHNv2i32	= 1651,
+    ARM_VRADDHNv4i16	= 1652,
+    ARM_VRADDHNv8i8	= 1653,
+    ARM_VRECPEd	= 1654,
+    ARM_VRECPEfd	= 1655,
+    ARM_VRECPEfq	= 1656,
+    ARM_VRECPEq	= 1657,
+    ARM_VRECPSfd	= 1658,
+    ARM_VRECPSfq	= 1659,
+    ARM_VREV16d8	= 1660,
+    ARM_VREV16q8	= 1661,
+    ARM_VREV32d16	= 1662,
+    ARM_VREV32d8	= 1663,
+    ARM_VREV32q16	= 1664,
+    ARM_VREV32q8	= 1665,
+    ARM_VREV64d16	= 1666,
+    ARM_VREV64d32	= 1667,
+    ARM_VREV64d8	= 1668,
+    ARM_VREV64q16	= 1669,
+    ARM_VREV64q32	= 1670,
+    ARM_VREV64q8	= 1671,
+    ARM_VRHADDsv16i8	= 1672,
+    ARM_VRHADDsv2i32	= 1673,
+    ARM_VRHADDsv4i16	= 1674,
+    ARM_VRHADDsv4i32	= 1675,
+    ARM_VRHADDsv8i16	= 1676,
+    ARM_VRHADDsv8i8	= 1677,
+    ARM_VRHADDuv16i8	= 1678,
+    ARM_VRHADDuv2i32	= 1679,
+    ARM_VRHADDuv4i16	= 1680,
+    ARM_VRHADDuv4i32	= 1681,
+    ARM_VRHADDuv8i16	= 1682,
+    ARM_VRHADDuv8i8	= 1683,
+    ARM_VRINTAD	= 1684,
+    ARM_VRINTAND	= 1685,
+    ARM_VRINTANQ	= 1686,
+    ARM_VRINTAS	= 1687,
+    ARM_VRINTMD	= 1688,
+    ARM_VRINTMND	= 1689,
+    ARM_VRINTMNQ	= 1690,
+    ARM_VRINTMS	= 1691,
+    ARM_VRINTND	= 1692,
+    ARM_VRINTNND	= 1693,
+    ARM_VRINTNNQ	= 1694,
+    ARM_VRINTNS	= 1695,
+    ARM_VRINTPD	= 1696,
+    ARM_VRINTPND	= 1697,
+    ARM_VRINTPNQ	= 1698,
+    ARM_VRINTPS	= 1699,
+    ARM_VRINTRD	= 1700,
+    ARM_VRINTRS	= 1701,
+    ARM_VRINTXD	= 1702,
+    ARM_VRINTXND	= 1703,
+    ARM_VRINTXNQ	= 1704,
+    ARM_VRINTXS	= 1705,
+    ARM_VRINTZD	= 1706,
+    ARM_VRINTZND	= 1707,
+    ARM_VRINTZNQ	= 1708,
+    ARM_VRINTZS	= 1709,
+    ARM_VRSHLsv16i8	= 1710,
+    ARM_VRSHLsv1i64	= 1711,
+    ARM_VRSHLsv2i32	= 1712,
+    ARM_VRSHLsv2i64	= 1713,
+    ARM_VRSHLsv4i16	= 1714,
+    ARM_VRSHLsv4i32	= 1715,
+    ARM_VRSHLsv8i16	= 1716,
+    ARM_VRSHLsv8i8	= 1717,
+    ARM_VRSHLuv16i8	= 1718,
+    ARM_VRSHLuv1i64	= 1719,
+    ARM_VRSHLuv2i32	= 1720,
+    ARM_VRSHLuv2i64	= 1721,
+    ARM_VRSHLuv4i16	= 1722,
+    ARM_VRSHLuv4i32	= 1723,
+    ARM_VRSHLuv8i16	= 1724,
+    ARM_VRSHLuv8i8	= 1725,
+    ARM_VRSHRNv2i32	= 1726,
+    ARM_VRSHRNv4i16	= 1727,
+    ARM_VRSHRNv8i8	= 1728,
+    ARM_VRSHRsv16i8	= 1729,
+    ARM_VRSHRsv1i64	= 1730,
+    ARM_VRSHRsv2i32	= 1731,
+    ARM_VRSHRsv2i64	= 1732,
+    ARM_VRSHRsv4i16	= 1733,
+    ARM_VRSHRsv4i32	= 1734,
+    ARM_VRSHRsv8i16	= 1735,
+    ARM_VRSHRsv8i8	= 1736,
+    ARM_VRSHRuv16i8	= 1737,
+    ARM_VRSHRuv1i64	= 1738,
+    ARM_VRSHRuv2i32	= 1739,
+    ARM_VRSHRuv2i64	= 1740,
+    ARM_VRSHRuv4i16	= 1741,
+    ARM_VRSHRuv4i32	= 1742,
+    ARM_VRSHRuv8i16	= 1743,
+    ARM_VRSHRuv8i8	= 1744,
+    ARM_VRSQRTEd	= 1745,
+    ARM_VRSQRTEfd	= 1746,
+    ARM_VRSQRTEfq	= 1747,
+    ARM_VRSQRTEq	= 1748,
+    ARM_VRSQRTSfd	= 1749,
+    ARM_VRSQRTSfq	= 1750,
+    ARM_VRSRAsv16i8	= 1751,
+    ARM_VRSRAsv1i64	= 1752,
+    ARM_VRSRAsv2i32	= 1753,
+    ARM_VRSRAsv2i64	= 1754,
+    ARM_VRSRAsv4i16	= 1755,
+    ARM_VRSRAsv4i32	= 1756,
+    ARM_VRSRAsv8i16	= 1757,
+    ARM_VRSRAsv8i8	= 1758,
+    ARM_VRSRAuv16i8	= 1759,
+    ARM_VRSRAuv1i64	= 1760,
+    ARM_VRSRAuv2i32	= 1761,
+    ARM_VRSRAuv2i64	= 1762,
+    ARM_VRSRAuv4i16	= 1763,
+    ARM_VRSRAuv4i32	= 1764,
+    ARM_VRSRAuv8i16	= 1765,
+    ARM_VRSRAuv8i8	= 1766,
+    ARM_VRSUBHNv2i32	= 1767,
+    ARM_VRSUBHNv4i16	= 1768,
+    ARM_VRSUBHNv8i8	= 1769,
+    ARM_VSELEQD	= 1770,
+    ARM_VSELEQS	= 1771,
+    ARM_VSELGED	= 1772,
+    ARM_VSELGES	= 1773,
+    ARM_VSELGTD	= 1774,
+    ARM_VSELGTS	= 1775,
+    ARM_VSELVSD	= 1776,
+    ARM_VSELVSS	= 1777,
+    ARM_VSETLNi16	= 1778,
+    ARM_VSETLNi32	= 1779,
+    ARM_VSETLNi8	= 1780,
+    ARM_VSHLLi16	= 1781,
+    ARM_VSHLLi32	= 1782,
+    ARM_VSHLLi8	= 1783,
+    ARM_VSHLLsv2i64	= 1784,
+    ARM_VSHLLsv4i32	= 1785,
+    ARM_VSHLLsv8i16	= 1786,
+    ARM_VSHLLuv2i64	= 1787,
+    ARM_VSHLLuv4i32	= 1788,
+    ARM_VSHLLuv8i16	= 1789,
+    ARM_VSHLiv16i8	= 1790,
+    ARM_VSHLiv1i64	= 1791,
+    ARM_VSHLiv2i32	= 1792,
+    ARM_VSHLiv2i64	= 1793,
+    ARM_VSHLiv4i16	= 1794,
+    ARM_VSHLiv4i32	= 1795,
+    ARM_VSHLiv8i16	= 1796,
+    ARM_VSHLiv8i8	= 1797,
+    ARM_VSHLsv16i8	= 1798,
+    ARM_VSHLsv1i64	= 1799,
+    ARM_VSHLsv2i32	= 1800,
+    ARM_VSHLsv2i64	= 1801,
+    ARM_VSHLsv4i16	= 1802,
+    ARM_VSHLsv4i32	= 1803,
+    ARM_VSHLsv8i16	= 1804,
+    ARM_VSHLsv8i8	= 1805,
+    ARM_VSHLuv16i8	= 1806,
+    ARM_VSHLuv1i64	= 1807,
+    ARM_VSHLuv2i32	= 1808,
+    ARM_VSHLuv2i64	= 1809,
+    ARM_VSHLuv4i16	= 1810,
+    ARM_VSHLuv4i32	= 1811,
+    ARM_VSHLuv8i16	= 1812,
+    ARM_VSHLuv8i8	= 1813,
+    ARM_VSHRNv2i32	= 1814,
+    ARM_VSHRNv4i16	= 1815,
+    ARM_VSHRNv8i8	= 1816,
+    ARM_VSHRsv16i8	= 1817,
+    ARM_VSHRsv1i64	= 1818,
+    ARM_VSHRsv2i32	= 1819,
+    ARM_VSHRsv2i64	= 1820,
+    ARM_VSHRsv4i16	= 1821,
+    ARM_VSHRsv4i32	= 1822,
+    ARM_VSHRsv8i16	= 1823,
+    ARM_VSHRsv8i8	= 1824,
+    ARM_VSHRuv16i8	= 1825,
+    ARM_VSHRuv1i64	= 1826,
+    ARM_VSHRuv2i32	= 1827,
+    ARM_VSHRuv2i64	= 1828,
+    ARM_VSHRuv4i16	= 1829,
+    ARM_VSHRuv4i32	= 1830,
+    ARM_VSHRuv8i16	= 1831,
+    ARM_VSHRuv8i8	= 1832,
+    ARM_VSHTOD	= 1833,
+    ARM_VSHTOS	= 1834,
+    ARM_VSITOD	= 1835,
+    ARM_VSITOS	= 1836,
+    ARM_VSLIv16i8	= 1837,
+    ARM_VSLIv1i64	= 1838,
+    ARM_VSLIv2i32	= 1839,
+    ARM_VSLIv2i64	= 1840,
+    ARM_VSLIv4i16	= 1841,
+    ARM_VSLIv4i32	= 1842,
+    ARM_VSLIv8i16	= 1843,
+    ARM_VSLIv8i8	= 1844,
+    ARM_VSLTOD	= 1845,
+    ARM_VSLTOS	= 1846,
+    ARM_VSQRTD	= 1847,
+    ARM_VSQRTS	= 1848,
+    ARM_VSRAsv16i8	= 1849,
+    ARM_VSRAsv1i64	= 1850,
+    ARM_VSRAsv2i32	= 1851,
+    ARM_VSRAsv2i64	= 1852,
+    ARM_VSRAsv4i16	= 1853,
+    ARM_VSRAsv4i32	= 1854,
+    ARM_VSRAsv8i16	= 1855,
+    ARM_VSRAsv8i8	= 1856,
+    ARM_VSRAuv16i8	= 1857,
+    ARM_VSRAuv1i64	= 1858,
+    ARM_VSRAuv2i32	= 1859,
+    ARM_VSRAuv2i64	= 1860,
+    ARM_VSRAuv4i16	= 1861,
+    ARM_VSRAuv4i32	= 1862,
+    ARM_VSRAuv8i16	= 1863,
+    ARM_VSRAuv8i8	= 1864,
+    ARM_VSRIv16i8	= 1865,
+    ARM_VSRIv1i64	= 1866,
+    ARM_VSRIv2i32	= 1867,
+    ARM_VSRIv2i64	= 1868,
+    ARM_VSRIv4i16	= 1869,
+    ARM_VSRIv4i32	= 1870,
+    ARM_VSRIv8i16	= 1871,
+    ARM_VSRIv8i8	= 1872,
+    ARM_VST1LNd16	= 1873,
+    ARM_VST1LNd16_UPD	= 1874,
+    ARM_VST1LNd32	= 1875,
+    ARM_VST1LNd32_UPD	= 1876,
+    ARM_VST1LNd8	= 1877,
+    ARM_VST1LNd8_UPD	= 1878,
+    ARM_VST1LNdAsm_16	= 1879,
+    ARM_VST1LNdAsm_32	= 1880,
+    ARM_VST1LNdAsm_8	= 1881,
+    ARM_VST1LNdWB_fixed_Asm_16	= 1882,
+    ARM_VST1LNdWB_fixed_Asm_32	= 1883,
+    ARM_VST1LNdWB_fixed_Asm_8	= 1884,
+    ARM_VST1LNdWB_register_Asm_16	= 1885,
+    ARM_VST1LNdWB_register_Asm_32	= 1886,
+    ARM_VST1LNdWB_register_Asm_8	= 1887,
+    ARM_VST1LNq16Pseudo	= 1888,
+    ARM_VST1LNq16Pseudo_UPD	= 1889,
+    ARM_VST1LNq32Pseudo	= 1890,
+    ARM_VST1LNq32Pseudo_UPD	= 1891,
+    ARM_VST1LNq8Pseudo	= 1892,
+    ARM_VST1LNq8Pseudo_UPD	= 1893,
+    ARM_VST1d16	= 1894,
+    ARM_VST1d16Q	= 1895,
+    ARM_VST1d16Qwb_fixed	= 1896,
+    ARM_VST1d16Qwb_register	= 1897,
+    ARM_VST1d16T	= 1898,
+    ARM_VST1d16Twb_fixed	= 1899,
+    ARM_VST1d16Twb_register	= 1900,
+    ARM_VST1d16wb_fixed	= 1901,
+    ARM_VST1d16wb_register	= 1902,
+    ARM_VST1d32	= 1903,
+    ARM_VST1d32Q	= 1904,
+    ARM_VST1d32Qwb_fixed	= 1905,
+    ARM_VST1d32Qwb_register	= 1906,
+    ARM_VST1d32T	= 1907,
+    ARM_VST1d32Twb_fixed	= 1908,
+    ARM_VST1d32Twb_register	= 1909,
+    ARM_VST1d32wb_fixed	= 1910,
+    ARM_VST1d32wb_register	= 1911,
+    ARM_VST1d64	= 1912,
+    ARM_VST1d64Q	= 1913,
+    ARM_VST1d64QPseudo	= 1914,
+    ARM_VST1d64QPseudoWB_fixed	= 1915,
+    ARM_VST1d64QPseudoWB_register	= 1916,
+    ARM_VST1d64Qwb_fixed	= 1917,
+    ARM_VST1d64Qwb_register	= 1918,
+    ARM_VST1d64T	= 1919,
+    ARM_VST1d64TPseudo	= 1920,
+    ARM_VST1d64TPseudoWB_fixed	= 1921,
+    ARM_VST1d64TPseudoWB_register	= 1922,
+    ARM_VST1d64Twb_fixed	= 1923,
+    ARM_VST1d64Twb_register	= 1924,
+    ARM_VST1d64wb_fixed	= 1925,
+    ARM_VST1d64wb_register	= 1926,
+    ARM_VST1d8	= 1927,
+    ARM_VST1d8Q	= 1928,
+    ARM_VST1d8Qwb_fixed	= 1929,
+    ARM_VST1d8Qwb_register	= 1930,
+    ARM_VST1d8T	= 1931,
+    ARM_VST1d8Twb_fixed	= 1932,
+    ARM_VST1d8Twb_register	= 1933,
+    ARM_VST1d8wb_fixed	= 1934,
+    ARM_VST1d8wb_register	= 1935,
+    ARM_VST1q16	= 1936,
+    ARM_VST1q16wb_fixed	= 1937,
+    ARM_VST1q16wb_register	= 1938,
+    ARM_VST1q32	= 1939,
+    ARM_VST1q32wb_fixed	= 1940,
+    ARM_VST1q32wb_register	= 1941,
+    ARM_VST1q64	= 1942,
+    ARM_VST1q64wb_fixed	= 1943,
+    ARM_VST1q64wb_register	= 1944,
+    ARM_VST1q8	= 1945,
+    ARM_VST1q8wb_fixed	= 1946,
+    ARM_VST1q8wb_register	= 1947,
+    ARM_VST2LNd16	= 1948,
+    ARM_VST2LNd16Pseudo	= 1949,
+    ARM_VST2LNd16Pseudo_UPD	= 1950,
+    ARM_VST2LNd16_UPD	= 1951,
+    ARM_VST2LNd32	= 1952,
+    ARM_VST2LNd32Pseudo	= 1953,
+    ARM_VST2LNd32Pseudo_UPD	= 1954,
+    ARM_VST2LNd32_UPD	= 1955,
+    ARM_VST2LNd8	= 1956,
+    ARM_VST2LNd8Pseudo	= 1957,
+    ARM_VST2LNd8Pseudo_UPD	= 1958,
+    ARM_VST2LNd8_UPD	= 1959,
+    ARM_VST2LNdAsm_16	= 1960,
+    ARM_VST2LNdAsm_32	= 1961,
+    ARM_VST2LNdAsm_8	= 1962,
+    ARM_VST2LNdWB_fixed_Asm_16	= 1963,
+    ARM_VST2LNdWB_fixed_Asm_32	= 1964,
+    ARM_VST2LNdWB_fixed_Asm_8	= 1965,
+    ARM_VST2LNdWB_register_Asm_16	= 1966,
+    ARM_VST2LNdWB_register_Asm_32	= 1967,
+    ARM_VST2LNdWB_register_Asm_8	= 1968,
+    ARM_VST2LNq16	= 1969,
+    ARM_VST2LNq16Pseudo	= 1970,
+    ARM_VST2LNq16Pseudo_UPD	= 1971,
+    ARM_VST2LNq16_UPD	= 1972,
+    ARM_VST2LNq32	= 1973,
+    ARM_VST2LNq32Pseudo	= 1974,
+    ARM_VST2LNq32Pseudo_UPD	= 1975,
+    ARM_VST2LNq32_UPD	= 1976,
+    ARM_VST2LNqAsm_16	= 1977,
+    ARM_VST2LNqAsm_32	= 1978,
+    ARM_VST2LNqWB_fixed_Asm_16	= 1979,
+    ARM_VST2LNqWB_fixed_Asm_32	= 1980,
+    ARM_VST2LNqWB_register_Asm_16	= 1981,
+    ARM_VST2LNqWB_register_Asm_32	= 1982,
+    ARM_VST2b16	= 1983,
+    ARM_VST2b16wb_fixed	= 1984,
+    ARM_VST2b16wb_register	= 1985,
+    ARM_VST2b32	= 1986,
+    ARM_VST2b32wb_fixed	= 1987,
+    ARM_VST2b32wb_register	= 1988,
+    ARM_VST2b8	= 1989,
+    ARM_VST2b8wb_fixed	= 1990,
+    ARM_VST2b8wb_register	= 1991,
+    ARM_VST2d16	= 1992,
+    ARM_VST2d16wb_fixed	= 1993,
+    ARM_VST2d16wb_register	= 1994,
+    ARM_VST2d32	= 1995,
+    ARM_VST2d32wb_fixed	= 1996,
+    ARM_VST2d32wb_register	= 1997,
+    ARM_VST2d8	= 1998,
+    ARM_VST2d8wb_fixed	= 1999,
+    ARM_VST2d8wb_register	= 2000,
+    ARM_VST2q16	= 2001,
+    ARM_VST2q16Pseudo	= 2002,
+    ARM_VST2q16PseudoWB_fixed	= 2003,
+    ARM_VST2q16PseudoWB_register	= 2004,
+    ARM_VST2q16wb_fixed	= 2005,
+    ARM_VST2q16wb_register	= 2006,
+    ARM_VST2q32	= 2007,
+    ARM_VST2q32Pseudo	= 2008,
+    ARM_VST2q32PseudoWB_fixed	= 2009,
+    ARM_VST2q32PseudoWB_register	= 2010,
+    ARM_VST2q32wb_fixed	= 2011,
+    ARM_VST2q32wb_register	= 2012,
+    ARM_VST2q8	= 2013,
+    ARM_VST2q8Pseudo	= 2014,
+    ARM_VST2q8PseudoWB_fixed	= 2015,
+    ARM_VST2q8PseudoWB_register	= 2016,
+    ARM_VST2q8wb_fixed	= 2017,
+    ARM_VST2q8wb_register	= 2018,
+    ARM_VST3LNd16	= 2019,
+    ARM_VST3LNd16Pseudo	= 2020,
+    ARM_VST3LNd16Pseudo_UPD	= 2021,
+    ARM_VST3LNd16_UPD	= 2022,
+    ARM_VST3LNd32	= 2023,
+    ARM_VST3LNd32Pseudo	= 2024,
+    ARM_VST3LNd32Pseudo_UPD	= 2025,
+    ARM_VST3LNd32_UPD	= 2026,
+    ARM_VST3LNd8	= 2027,
+    ARM_VST3LNd8Pseudo	= 2028,
+    ARM_VST3LNd8Pseudo_UPD	= 2029,
+    ARM_VST3LNd8_UPD	= 2030,
+    ARM_VST3LNdAsm_16	= 2031,
+    ARM_VST3LNdAsm_32	= 2032,
+    ARM_VST3LNdAsm_8	= 2033,
+    ARM_VST3LNdWB_fixed_Asm_16	= 2034,
+    ARM_VST3LNdWB_fixed_Asm_32	= 2035,
+    ARM_VST3LNdWB_fixed_Asm_8	= 2036,
+    ARM_VST3LNdWB_register_Asm_16	= 2037,
+    ARM_VST3LNdWB_register_Asm_32	= 2038,
+    ARM_VST3LNdWB_register_Asm_8	= 2039,
+    ARM_VST3LNq16	= 2040,
+    ARM_VST3LNq16Pseudo	= 2041,
+    ARM_VST3LNq16Pseudo_UPD	= 2042,
+    ARM_VST3LNq16_UPD	= 2043,
+    ARM_VST3LNq32	= 2044,
+    ARM_VST3LNq32Pseudo	= 2045,
+    ARM_VST3LNq32Pseudo_UPD	= 2046,
+    ARM_VST3LNq32_UPD	= 2047,
+    ARM_VST3LNqAsm_16	= 2048,
+    ARM_VST3LNqAsm_32	= 2049,
+    ARM_VST3LNqWB_fixed_Asm_16	= 2050,
+    ARM_VST3LNqWB_fixed_Asm_32	= 2051,
+    ARM_VST3LNqWB_register_Asm_16	= 2052,
+    ARM_VST3LNqWB_register_Asm_32	= 2053,
+    ARM_VST3d16	= 2054,
+    ARM_VST3d16Pseudo	= 2055,
+    ARM_VST3d16Pseudo_UPD	= 2056,
+    ARM_VST3d16_UPD	= 2057,
+    ARM_VST3d32	= 2058,
+    ARM_VST3d32Pseudo	= 2059,
+    ARM_VST3d32Pseudo_UPD	= 2060,
+    ARM_VST3d32_UPD	= 2061,
+    ARM_VST3d8	= 2062,
+    ARM_VST3d8Pseudo	= 2063,
+    ARM_VST3d8Pseudo_UPD	= 2064,
+    ARM_VST3d8_UPD	= 2065,
+    ARM_VST3dAsm_16	= 2066,
+    ARM_VST3dAsm_32	= 2067,
+    ARM_VST3dAsm_8	= 2068,
+    ARM_VST3dWB_fixed_Asm_16	= 2069,
+    ARM_VST3dWB_fixed_Asm_32	= 2070,
+    ARM_VST3dWB_fixed_Asm_8	= 2071,
+    ARM_VST3dWB_register_Asm_16	= 2072,
+    ARM_VST3dWB_register_Asm_32	= 2073,
+    ARM_VST3dWB_register_Asm_8	= 2074,
+    ARM_VST3q16	= 2075,
+    ARM_VST3q16Pseudo_UPD	= 2076,
+    ARM_VST3q16_UPD	= 2077,
+    ARM_VST3q16oddPseudo	= 2078,
+    ARM_VST3q16oddPseudo_UPD	= 2079,
+    ARM_VST3q32	= 2080,
+    ARM_VST3q32Pseudo_UPD	= 2081,
+    ARM_VST3q32_UPD	= 2082,
+    ARM_VST3q32oddPseudo	= 2083,
+    ARM_VST3q32oddPseudo_UPD	= 2084,
+    ARM_VST3q8	= 2085,
+    ARM_VST3q8Pseudo_UPD	= 2086,
+    ARM_VST3q8_UPD	= 2087,
+    ARM_VST3q8oddPseudo	= 2088,
+    ARM_VST3q8oddPseudo_UPD	= 2089,
+    ARM_VST3qAsm_16	= 2090,
+    ARM_VST3qAsm_32	= 2091,
+    ARM_VST3qAsm_8	= 2092,
+    ARM_VST3qWB_fixed_Asm_16	= 2093,
+    ARM_VST3qWB_fixed_Asm_32	= 2094,
+    ARM_VST3qWB_fixed_Asm_8	= 2095,
+    ARM_VST3qWB_register_Asm_16	= 2096,
+    ARM_VST3qWB_register_Asm_32	= 2097,
+    ARM_VST3qWB_register_Asm_8	= 2098,
+    ARM_VST4LNd16	= 2099,
+    ARM_VST4LNd16Pseudo	= 2100,
+    ARM_VST4LNd16Pseudo_UPD	= 2101,
+    ARM_VST4LNd16_UPD	= 2102,
+    ARM_VST4LNd32	= 2103,
+    ARM_VST4LNd32Pseudo	= 2104,
+    ARM_VST4LNd32Pseudo_UPD	= 2105,
+    ARM_VST4LNd32_UPD	= 2106,
+    ARM_VST4LNd8	= 2107,
+    ARM_VST4LNd8Pseudo	= 2108,
+    ARM_VST4LNd8Pseudo_UPD	= 2109,
+    ARM_VST4LNd8_UPD	= 2110,
+    ARM_VST4LNdAsm_16	= 2111,
+    ARM_VST4LNdAsm_32	= 2112,
+    ARM_VST4LNdAsm_8	= 2113,
+    ARM_VST4LNdWB_fixed_Asm_16	= 2114,
+    ARM_VST4LNdWB_fixed_Asm_32	= 2115,
+    ARM_VST4LNdWB_fixed_Asm_8	= 2116,
+    ARM_VST4LNdWB_register_Asm_16	= 2117,
+    ARM_VST4LNdWB_register_Asm_32	= 2118,
+    ARM_VST4LNdWB_register_Asm_8	= 2119,
+    ARM_VST4LNq16	= 2120,
+    ARM_VST4LNq16Pseudo	= 2121,
+    ARM_VST4LNq16Pseudo_UPD	= 2122,
+    ARM_VST4LNq16_UPD	= 2123,
+    ARM_VST4LNq32	= 2124,
+    ARM_VST4LNq32Pseudo	= 2125,
+    ARM_VST4LNq32Pseudo_UPD	= 2126,
+    ARM_VST4LNq32_UPD	= 2127,
+    ARM_VST4LNqAsm_16	= 2128,
+    ARM_VST4LNqAsm_32	= 2129,
+    ARM_VST4LNqWB_fixed_Asm_16	= 2130,
+    ARM_VST4LNqWB_fixed_Asm_32	= 2131,
+    ARM_VST4LNqWB_register_Asm_16	= 2132,
+    ARM_VST4LNqWB_register_Asm_32	= 2133,
+    ARM_VST4d16	= 2134,
+    ARM_VST4d16Pseudo	= 2135,
+    ARM_VST4d16Pseudo_UPD	= 2136,
+    ARM_VST4d16_UPD	= 2137,
+    ARM_VST4d32	= 2138,
+    ARM_VST4d32Pseudo	= 2139,
+    ARM_VST4d32Pseudo_UPD	= 2140,
+    ARM_VST4d32_UPD	= 2141,
+    ARM_VST4d8	= 2142,
+    ARM_VST4d8Pseudo	= 2143,
+    ARM_VST4d8Pseudo_UPD	= 2144,
+    ARM_VST4d8_UPD	= 2145,
+    ARM_VST4dAsm_16	= 2146,
+    ARM_VST4dAsm_32	= 2147,
+    ARM_VST4dAsm_8	= 2148,
+    ARM_VST4dWB_fixed_Asm_16	= 2149,
+    ARM_VST4dWB_fixed_Asm_32	= 2150,
+    ARM_VST4dWB_fixed_Asm_8	= 2151,
+    ARM_VST4dWB_register_Asm_16	= 2152,
+    ARM_VST4dWB_register_Asm_32	= 2153,
+    ARM_VST4dWB_register_Asm_8	= 2154,
+    ARM_VST4q16	= 2155,
+    ARM_VST4q16Pseudo_UPD	= 2156,
+    ARM_VST4q16_UPD	= 2157,
+    ARM_VST4q16oddPseudo	= 2158,
+    ARM_VST4q16oddPseudo_UPD	= 2159,
+    ARM_VST4q32	= 2160,
+    ARM_VST4q32Pseudo_UPD	= 2161,
+    ARM_VST4q32_UPD	= 2162,
+    ARM_VST4q32oddPseudo	= 2163,
+    ARM_VST4q32oddPseudo_UPD	= 2164,
+    ARM_VST4q8	= 2165,
+    ARM_VST4q8Pseudo_UPD	= 2166,
+    ARM_VST4q8_UPD	= 2167,
+    ARM_VST4q8oddPseudo	= 2168,
+    ARM_VST4q8oddPseudo_UPD	= 2169,
+    ARM_VST4qAsm_16	= 2170,
+    ARM_VST4qAsm_32	= 2171,
+    ARM_VST4qAsm_8	= 2172,
+    ARM_VST4qWB_fixed_Asm_16	= 2173,
+    ARM_VST4qWB_fixed_Asm_32	= 2174,
+    ARM_VST4qWB_fixed_Asm_8	= 2175,
+    ARM_VST4qWB_register_Asm_16	= 2176,
+    ARM_VST4qWB_register_Asm_32	= 2177,
+    ARM_VST4qWB_register_Asm_8	= 2178,
+    ARM_VSTMDDB_UPD	= 2179,
+    ARM_VSTMDIA	= 2180,
+    ARM_VSTMDIA_UPD	= 2181,
+    ARM_VSTMQIA	= 2182,
+    ARM_VSTMSDB_UPD	= 2183,
+    ARM_VSTMSIA	= 2184,
+    ARM_VSTMSIA_UPD	= 2185,
+    ARM_VSTRD	= 2186,
+    ARM_VSTRS	= 2187,
+    ARM_VSUBD	= 2188,
+    ARM_VSUBHNv2i32	= 2189,
+    ARM_VSUBHNv4i16	= 2190,
+    ARM_VSUBHNv8i8	= 2191,
+    ARM_VSUBLsv2i64	= 2192,
+    ARM_VSUBLsv4i32	= 2193,
+    ARM_VSUBLsv8i16	= 2194,
+    ARM_VSUBLuv2i64	= 2195,
+    ARM_VSUBLuv4i32	= 2196,
+    ARM_VSUBLuv8i16	= 2197,
+    ARM_VSUBS	= 2198,
+    ARM_VSUBWsv2i64	= 2199,
+    ARM_VSUBWsv4i32	= 2200,
+    ARM_VSUBWsv8i16	= 2201,
+    ARM_VSUBWuv2i64	= 2202,
+    ARM_VSUBWuv4i32	= 2203,
+    ARM_VSUBWuv8i16	= 2204,
+    ARM_VSUBfd	= 2205,
+    ARM_VSUBfq	= 2206,
+    ARM_VSUBv16i8	= 2207,
+    ARM_VSUBv1i64	= 2208,
+    ARM_VSUBv2i32	= 2209,
+    ARM_VSUBv2i64	= 2210,
+    ARM_VSUBv4i16	= 2211,
+    ARM_VSUBv4i32	= 2212,
+    ARM_VSUBv8i16	= 2213,
+    ARM_VSUBv8i8	= 2214,
+    ARM_VSWPd	= 2215,
+    ARM_VSWPq	= 2216,
+    ARM_VTBL1	= 2217,
+    ARM_VTBL2	= 2218,
+    ARM_VTBL3	= 2219,
+    ARM_VTBL3Pseudo	= 2220,
+    ARM_VTBL4	= 2221,
+    ARM_VTBL4Pseudo	= 2222,
+    ARM_VTBX1	= 2223,
+    ARM_VTBX2	= 2224,
+    ARM_VTBX3	= 2225,
+    ARM_VTBX3Pseudo	= 2226,
+    ARM_VTBX4	= 2227,
+    ARM_VTBX4Pseudo	= 2228,
+    ARM_VTOSHD	= 2229,
+    ARM_VTOSHS	= 2230,
+    ARM_VTOSIRD	= 2231,
+    ARM_VTOSIRS	= 2232,
+    ARM_VTOSIZD	= 2233,
+    ARM_VTOSIZS	= 2234,
+    ARM_VTOSLD	= 2235,
+    ARM_VTOSLS	= 2236,
+    ARM_VTOUHD	= 2237,
+    ARM_VTOUHS	= 2238,
+    ARM_VTOUIRD	= 2239,
+    ARM_VTOUIRS	= 2240,
+    ARM_VTOUIZD	= 2241,
+    ARM_VTOUIZS	= 2242,
+    ARM_VTOULD	= 2243,
+    ARM_VTOULS	= 2244,
+    ARM_VTRNd16	= 2245,
+    ARM_VTRNd32	= 2246,
+    ARM_VTRNd8	= 2247,
+    ARM_VTRNq16	= 2248,
+    ARM_VTRNq32	= 2249,
+    ARM_VTRNq8	= 2250,
+    ARM_VTSTv16i8	= 2251,
+    ARM_VTSTv2i32	= 2252,
+    ARM_VTSTv4i16	= 2253,
+    ARM_VTSTv4i32	= 2254,
+    ARM_VTSTv8i16	= 2255,
+    ARM_VTSTv8i8	= 2256,
+    ARM_VUHTOD	= 2257,
+    ARM_VUHTOS	= 2258,
+    ARM_VUITOD	= 2259,
+    ARM_VUITOS	= 2260,
+    ARM_VULTOD	= 2261,
+    ARM_VULTOS	= 2262,
+    ARM_VUZPd16	= 2263,
+    ARM_VUZPd8	= 2264,
+    ARM_VUZPq16	= 2265,
+    ARM_VUZPq32	= 2266,
+    ARM_VUZPq8	= 2267,
+    ARM_VZIPd16	= 2268,
+    ARM_VZIPd8	= 2269,
+    ARM_VZIPq16	= 2270,
+    ARM_VZIPq32	= 2271,
+    ARM_VZIPq8	= 2272,
+    ARM_WIN__CHKSTK	= 2273,
+    ARM_sysLDMDA	= 2274,
+    ARM_sysLDMDA_UPD	= 2275,
+    ARM_sysLDMDB	= 2276,
+    ARM_sysLDMDB_UPD	= 2277,
+    ARM_sysLDMIA	= 2278,
+    ARM_sysLDMIA_UPD	= 2279,
+    ARM_sysLDMIB	= 2280,
+    ARM_sysLDMIB_UPD	= 2281,
+    ARM_sysSTMDA	= 2282,
+    ARM_sysSTMDA_UPD	= 2283,
+    ARM_sysSTMDB	= 2284,
+    ARM_sysSTMDB_UPD	= 2285,
+    ARM_sysSTMIA	= 2286,
+    ARM_sysSTMIA_UPD	= 2287,
+    ARM_sysSTMIB	= 2288,
+    ARM_sysSTMIB_UPD	= 2289,
+    ARM_t2ABS	= 2290,
+    ARM_t2ADCri	= 2291,
+    ARM_t2ADCrr	= 2292,
+    ARM_t2ADCrs	= 2293,
+    ARM_t2ADDSri	= 2294,
+    ARM_t2ADDSrr	= 2295,
+    ARM_t2ADDSrs	= 2296,
+    ARM_t2ADDri	= 2297,
+    ARM_t2ADDri12	= 2298,
+    ARM_t2ADDrr	= 2299,
+    ARM_t2ADDrs	= 2300,
+    ARM_t2ADR	= 2301,
+    ARM_t2ANDri	= 2302,
+    ARM_t2ANDrr	= 2303,
+    ARM_t2ANDrs	= 2304,
+    ARM_t2ASRri	= 2305,
+    ARM_t2ASRrr	= 2306,
+    ARM_t2B	= 2307,
+    ARM_t2BFC	= 2308,
+    ARM_t2BFI	= 2309,
+    ARM_t2BICri	= 2310,
+    ARM_t2BICrr	= 2311,
+    ARM_t2BICrs	= 2312,
+    ARM_t2BR_JT	= 2313,
+    ARM_t2BXJ	= 2314,
+    ARM_t2Bcc	= 2315,
+    ARM_t2CDP	= 2316,
+    ARM_t2CDP2	= 2317,
+    ARM_t2CLREX	= 2318,
+    ARM_t2CLZ	= 2319,
+    ARM_t2CMNri	= 2320,
+    ARM_t2CMNzrr	= 2321,
+    ARM_t2CMNzrs	= 2322,
+    ARM_t2CMPri	= 2323,
+    ARM_t2CMPrr	= 2324,
+    ARM_t2CMPrs	= 2325,
+    ARM_t2CPS1p	= 2326,
+    ARM_t2CPS2p	= 2327,
+    ARM_t2CPS3p	= 2328,
+    ARM_t2CRC32B	= 2329,
+    ARM_t2CRC32CB	= 2330,
+    ARM_t2CRC32CH	= 2331,
+    ARM_t2CRC32CW	= 2332,
+    ARM_t2CRC32H	= 2333,
+    ARM_t2CRC32W	= 2334,
+    ARM_t2DBG	= 2335,
+    ARM_t2DCPS1	= 2336,
+    ARM_t2DCPS2	= 2337,
+    ARM_t2DCPS3	= 2338,
+    ARM_t2DMB	= 2339,
+    ARM_t2DSB	= 2340,
+    ARM_t2EORri	= 2341,
+    ARM_t2EORrr	= 2342,
+    ARM_t2EORrs	= 2343,
+    ARM_t2HINT	= 2344,
+    ARM_t2HVC	= 2345,
+    ARM_t2ISB	= 2346,
+    ARM_t2IT	= 2347,
+    ARM_t2Int_eh_sjlj_setjmp	= 2348,
+    ARM_t2Int_eh_sjlj_setjmp_nofp	= 2349,
+    ARM_t2LDA	= 2350,
+    ARM_t2LDAB	= 2351,
+    ARM_t2LDAEX	= 2352,
+    ARM_t2LDAEXB	= 2353,
+    ARM_t2LDAEXD	= 2354,
+    ARM_t2LDAEXH	= 2355,
+    ARM_t2LDAH	= 2356,
+    ARM_t2LDC2L_OFFSET	= 2357,
+    ARM_t2LDC2L_OPTION	= 2358,
+    ARM_t2LDC2L_POST	= 2359,
+    ARM_t2LDC2L_PRE	= 2360,
+    ARM_t2LDC2_OFFSET	= 2361,
+    ARM_t2LDC2_OPTION	= 2362,
+    ARM_t2LDC2_POST	= 2363,
+    ARM_t2LDC2_PRE	= 2364,
+    ARM_t2LDCL_OFFSET	= 2365,
+    ARM_t2LDCL_OPTION	= 2366,
+    ARM_t2LDCL_POST	= 2367,
+    ARM_t2LDCL_PRE	= 2368,
+    ARM_t2LDC_OFFSET	= 2369,
+    ARM_t2LDC_OPTION	= 2370,
+    ARM_t2LDC_POST	= 2371,
+    ARM_t2LDC_PRE	= 2372,
+    ARM_t2LDMDB	= 2373,
+    ARM_t2LDMDB_UPD	= 2374,
+    ARM_t2LDMIA	= 2375,
+    ARM_t2LDMIA_RET	= 2376,
+    ARM_t2LDMIA_UPD	= 2377,
+    ARM_t2LDRBT	= 2378,
+    ARM_t2LDRB_POST	= 2379,
+    ARM_t2LDRB_PRE	= 2380,
+    ARM_t2LDRBi12	= 2381,
+    ARM_t2LDRBi8	= 2382,
+    ARM_t2LDRBpci	= 2383,
+    ARM_t2LDRBpcrel	= 2384,
+    ARM_t2LDRBs	= 2385,
+    ARM_t2LDRD_POST	= 2386,
+    ARM_t2LDRD_PRE	= 2387,
+    ARM_t2LDRDi8	= 2388,
+    ARM_t2LDREX	= 2389,
+    ARM_t2LDREXB	= 2390,
+    ARM_t2LDREXD	= 2391,
+    ARM_t2LDREXH	= 2392,
+    ARM_t2LDRHT	= 2393,
+    ARM_t2LDRH_POST	= 2394,
+    ARM_t2LDRH_PRE	= 2395,
+    ARM_t2LDRHi12	= 2396,
+    ARM_t2LDRHi8	= 2397,
+    ARM_t2LDRHpci	= 2398,
+    ARM_t2LDRHpcrel	= 2399,
+    ARM_t2LDRHs	= 2400,
+    ARM_t2LDRSBT	= 2401,
+    ARM_t2LDRSB_POST	= 2402,
+    ARM_t2LDRSB_PRE	= 2403,
+    ARM_t2LDRSBi12	= 2404,
+    ARM_t2LDRSBi8	= 2405,
+    ARM_t2LDRSBpci	= 2406,
+    ARM_t2LDRSBpcrel	= 2407,
+    ARM_t2LDRSBs	= 2408,
+    ARM_t2LDRSHT	= 2409,
+    ARM_t2LDRSH_POST	= 2410,
+    ARM_t2LDRSH_PRE	= 2411,
+    ARM_t2LDRSHi12	= 2412,
+    ARM_t2LDRSHi8	= 2413,
+    ARM_t2LDRSHpci	= 2414,
+    ARM_t2LDRSHpcrel	= 2415,
+    ARM_t2LDRSHs	= 2416,
+    ARM_t2LDRT	= 2417,
+    ARM_t2LDR_POST	= 2418,
+    ARM_t2LDR_PRE	= 2419,
+    ARM_t2LDRi12	= 2420,
+    ARM_t2LDRi8	= 2421,
+    ARM_t2LDRpci	= 2422,
+    ARM_t2LDRpci_pic	= 2423,
+    ARM_t2LDRpcrel	= 2424,
+    ARM_t2LDRs	= 2425,
+    ARM_t2LEApcrel	= 2426,
+    ARM_t2LEApcrelJT	= 2427,
+    ARM_t2LSLri	= 2428,
+    ARM_t2LSLrr	= 2429,
+    ARM_t2LSRri	= 2430,
+    ARM_t2LSRrr	= 2431,
+    ARM_t2MCR	= 2432,
+    ARM_t2MCR2	= 2433,
+    ARM_t2MCRR	= 2434,
+    ARM_t2MCRR2	= 2435,
+    ARM_t2MLA	= 2436,
+    ARM_t2MLS	= 2437,
+    ARM_t2MOVCCasr	= 2438,
+    ARM_t2MOVCCi	= 2439,
+    ARM_t2MOVCCi16	= 2440,
+    ARM_t2MOVCCi32imm	= 2441,
+    ARM_t2MOVCClsl	= 2442,
+    ARM_t2MOVCClsr	= 2443,
+    ARM_t2MOVCCr	= 2444,
+    ARM_t2MOVCCror	= 2445,
+    ARM_t2MOVSsi	= 2446,
+    ARM_t2MOVSsr	= 2447,
+    ARM_t2MOVTi16	= 2448,
+    ARM_t2MOVTi16_ga_pcrel	= 2449,
+    ARM_t2MOV_ga_pcrel	= 2450,
+    ARM_t2MOVi	= 2451,
+    ARM_t2MOVi16	= 2452,
+    ARM_t2MOVi16_ga_pcrel	= 2453,
+    ARM_t2MOVi32imm	= 2454,
+    ARM_t2MOVr	= 2455,
+    ARM_t2MOVsi	= 2456,
+    ARM_t2MOVsr	= 2457,
+    ARM_t2MOVsra_flag	= 2458,
+    ARM_t2MOVsrl_flag	= 2459,
+    ARM_t2MRC	= 2460,
+    ARM_t2MRC2	= 2461,
+    ARM_t2MRRC	= 2462,
+    ARM_t2MRRC2	= 2463,
+    ARM_t2MRS_AR	= 2464,
+    ARM_t2MRS_M	= 2465,
+    ARM_t2MRSbanked	= 2466,
+    ARM_t2MRSsys_AR	= 2467,
+    ARM_t2MSR_AR	= 2468,
+    ARM_t2MSR_M	= 2469,
+    ARM_t2MSRbanked	= 2470,
+    ARM_t2MUL	= 2471,
+    ARM_t2MVNCCi	= 2472,
+    ARM_t2MVNi	= 2473,
+    ARM_t2MVNr	= 2474,
+    ARM_t2MVNs	= 2475,
+    ARM_t2ORNri	= 2476,
+    ARM_t2ORNrr	= 2477,
+    ARM_t2ORNrs	= 2478,
+    ARM_t2ORRri	= 2479,
+    ARM_t2ORRrr	= 2480,
+    ARM_t2ORRrs	= 2481,
+    ARM_t2PKHBT	= 2482,
+    ARM_t2PKHTB	= 2483,
+    ARM_t2PLDWi12	= 2484,
+    ARM_t2PLDWi8	= 2485,
+    ARM_t2PLDWs	= 2486,
+    ARM_t2PLDi12	= 2487,
+    ARM_t2PLDi8	= 2488,
+    ARM_t2PLDpci	= 2489,
+    ARM_t2PLDs	= 2490,
+    ARM_t2PLIi12	= 2491,
+    ARM_t2PLIi8	= 2492,
+    ARM_t2PLIpci	= 2493,
+    ARM_t2PLIs	= 2494,
+    ARM_t2QADD	= 2495,
+    ARM_t2QADD16	= 2496,
+    ARM_t2QADD8	= 2497,
+    ARM_t2QASX	= 2498,
+    ARM_t2QDADD	= 2499,
+    ARM_t2QDSUB	= 2500,
+    ARM_t2QSAX	= 2501,
+    ARM_t2QSUB	= 2502,
+    ARM_t2QSUB16	= 2503,
+    ARM_t2QSUB8	= 2504,
+    ARM_t2RBIT	= 2505,
+    ARM_t2REV	= 2506,
+    ARM_t2REV16	= 2507,
+    ARM_t2REVSH	= 2508,
+    ARM_t2RFEDB	= 2509,
+    ARM_t2RFEDBW	= 2510,
+    ARM_t2RFEIA	= 2511,
+    ARM_t2RFEIAW	= 2512,
+    ARM_t2RORri	= 2513,
+    ARM_t2RORrr	= 2514,
+    ARM_t2RRX	= 2515,
+    ARM_t2RSBSri	= 2516,
+    ARM_t2RSBSrs	= 2517,
+    ARM_t2RSBri	= 2518,
+    ARM_t2RSBrr	= 2519,
+    ARM_t2RSBrs	= 2520,
+    ARM_t2SADD16	= 2521,
+    ARM_t2SADD8	= 2522,
+    ARM_t2SASX	= 2523,
+    ARM_t2SBCri	= 2524,
+    ARM_t2SBCrr	= 2525,
+    ARM_t2SBCrs	= 2526,
+    ARM_t2SBFX	= 2527,
+    ARM_t2SDIV	= 2528,
+    ARM_t2SEL	= 2529,
+    ARM_t2SHADD16	= 2530,
+    ARM_t2SHADD8	= 2531,
+    ARM_t2SHASX	= 2532,
+    ARM_t2SHSAX	= 2533,
+    ARM_t2SHSUB16	= 2534,
+    ARM_t2SHSUB8	= 2535,
+    ARM_t2SMC	= 2536,
+    ARM_t2SMLABB	= 2537,
+    ARM_t2SMLABT	= 2538,
+    ARM_t2SMLAD	= 2539,
+    ARM_t2SMLADX	= 2540,
+    ARM_t2SMLAL	= 2541,
+    ARM_t2SMLALBB	= 2542,
+    ARM_t2SMLALBT	= 2543,
+    ARM_t2SMLALD	= 2544,
+    ARM_t2SMLALDX	= 2545,
+    ARM_t2SMLALTB	= 2546,
+    ARM_t2SMLALTT	= 2547,
+    ARM_t2SMLATB	= 2548,
+    ARM_t2SMLATT	= 2549,
+    ARM_t2SMLAWB	= 2550,
+    ARM_t2SMLAWT	= 2551,
+    ARM_t2SMLSD	= 2552,
+    ARM_t2SMLSDX	= 2553,
+    ARM_t2SMLSLD	= 2554,
+    ARM_t2SMLSLDX	= 2555,
+    ARM_t2SMMLA	= 2556,
+    ARM_t2SMMLAR	= 2557,
+    ARM_t2SMMLS	= 2558,
+    ARM_t2SMMLSR	= 2559,
+    ARM_t2SMMUL	= 2560,
+    ARM_t2SMMULR	= 2561,
+    ARM_t2SMUAD	= 2562,
+    ARM_t2SMUADX	= 2563,
+    ARM_t2SMULBB	= 2564,
+    ARM_t2SMULBT	= 2565,
+    ARM_t2SMULL	= 2566,
+    ARM_t2SMULTB	= 2567,
+    ARM_t2SMULTT	= 2568,
+    ARM_t2SMULWB	= 2569,
+    ARM_t2SMULWT	= 2570,
+    ARM_t2SMUSD	= 2571,
+    ARM_t2SMUSDX	= 2572,
+    ARM_t2SRSDB	= 2573,
+    ARM_t2SRSDB_UPD	= 2574,
+    ARM_t2SRSIA	= 2575,
+    ARM_t2SRSIA_UPD	= 2576,
+    ARM_t2SSAT	= 2577,
+    ARM_t2SSAT16	= 2578,
+    ARM_t2SSAX	= 2579,
+    ARM_t2SSUB16	= 2580,
+    ARM_t2SSUB8	= 2581,
+    ARM_t2STC2L_OFFSET	= 2582,
+    ARM_t2STC2L_OPTION	= 2583,
+    ARM_t2STC2L_POST	= 2584,
+    ARM_t2STC2L_PRE	= 2585,
+    ARM_t2STC2_OFFSET	= 2586,
+    ARM_t2STC2_OPTION	= 2587,
+    ARM_t2STC2_POST	= 2588,
+    ARM_t2STC2_PRE	= 2589,
+    ARM_t2STCL_OFFSET	= 2590,
+    ARM_t2STCL_OPTION	= 2591,
+    ARM_t2STCL_POST	= 2592,
+    ARM_t2STCL_PRE	= 2593,
+    ARM_t2STC_OFFSET	= 2594,
+    ARM_t2STC_OPTION	= 2595,
+    ARM_t2STC_POST	= 2596,
+    ARM_t2STC_PRE	= 2597,
+    ARM_t2STL	= 2598,
+    ARM_t2STLB	= 2599,
+    ARM_t2STLEX	= 2600,
+    ARM_t2STLEXB	= 2601,
+    ARM_t2STLEXD	= 2602,
+    ARM_t2STLEXH	= 2603,
+    ARM_t2STLH	= 2604,
+    ARM_t2STMDB	= 2605,
+    ARM_t2STMDB_UPD	= 2606,
+    ARM_t2STMIA	= 2607,
+    ARM_t2STMIA_UPD	= 2608,
+    ARM_t2STRBT	= 2609,
+    ARM_t2STRB_POST	= 2610,
+    ARM_t2STRB_PRE	= 2611,
+    ARM_t2STRB_preidx	= 2612,
+    ARM_t2STRBi12	= 2613,
+    ARM_t2STRBi8	= 2614,
+    ARM_t2STRBs	= 2615,
+    ARM_t2STRD_POST	= 2616,
+    ARM_t2STRD_PRE	= 2617,
+    ARM_t2STRDi8	= 2618,
+    ARM_t2STREX	= 2619,
+    ARM_t2STREXB	= 2620,
+    ARM_t2STREXD	= 2621,
+    ARM_t2STREXH	= 2622,
+    ARM_t2STRHT	= 2623,
+    ARM_t2STRH_POST	= 2624,
+    ARM_t2STRH_PRE	= 2625,
+    ARM_t2STRH_preidx	= 2626,
+    ARM_t2STRHi12	= 2627,
+    ARM_t2STRHi8	= 2628,
+    ARM_t2STRHs	= 2629,
+    ARM_t2STRT	= 2630,
+    ARM_t2STR_POST	= 2631,
+    ARM_t2STR_PRE	= 2632,
+    ARM_t2STR_preidx	= 2633,
+    ARM_t2STRi12	= 2634,
+    ARM_t2STRi8	= 2635,
+    ARM_t2STRs	= 2636,
+    ARM_t2SUBS_PC_LR	= 2637,
+    ARM_t2SUBSri	= 2638,
+    ARM_t2SUBSrr	= 2639,
+    ARM_t2SUBSrs	= 2640,
+    ARM_t2SUBri	= 2641,
+    ARM_t2SUBri12	= 2642,
+    ARM_t2SUBrr	= 2643,
+    ARM_t2SUBrs	= 2644,
+    ARM_t2SXTAB	= 2645,
+    ARM_t2SXTAB16	= 2646,
+    ARM_t2SXTAH	= 2647,
+    ARM_t2SXTB	= 2648,
+    ARM_t2SXTB16	= 2649,
+    ARM_t2SXTH	= 2650,
+    ARM_t2TBB	= 2651,
+    ARM_t2TBB_JT	= 2652,
+    ARM_t2TBH	= 2653,
+    ARM_t2TBH_JT	= 2654,
+    ARM_t2TEQri	= 2655,
+    ARM_t2TEQrr	= 2656,
+    ARM_t2TEQrs	= 2657,
+    ARM_t2TSTri	= 2658,
+    ARM_t2TSTrr	= 2659,
+    ARM_t2TSTrs	= 2660,
+    ARM_t2UADD16	= 2661,
+    ARM_t2UADD8	= 2662,
+    ARM_t2UASX	= 2663,
+    ARM_t2UBFX	= 2664,
+    ARM_t2UDF	= 2665,
+    ARM_t2UDIV	= 2666,
+    ARM_t2UHADD16	= 2667,
+    ARM_t2UHADD8	= 2668,
+    ARM_t2UHASX	= 2669,
+    ARM_t2UHSAX	= 2670,
+    ARM_t2UHSUB16	= 2671,
+    ARM_t2UHSUB8	= 2672,
+    ARM_t2UMAAL	= 2673,
+    ARM_t2UMLAL	= 2674,
+    ARM_t2UMULL	= 2675,
+    ARM_t2UQADD16	= 2676,
+    ARM_t2UQADD8	= 2677,
+    ARM_t2UQASX	= 2678,
+    ARM_t2UQSAX	= 2679,
+    ARM_t2UQSUB16	= 2680,
+    ARM_t2UQSUB8	= 2681,
+    ARM_t2USAD8	= 2682,
+    ARM_t2USADA8	= 2683,
+    ARM_t2USAT	= 2684,
+    ARM_t2USAT16	= 2685,
+    ARM_t2USAX	= 2686,
+    ARM_t2USUB16	= 2687,
+    ARM_t2USUB8	= 2688,
+    ARM_t2UXTAB	= 2689,
+    ARM_t2UXTAB16	= 2690,
+    ARM_t2UXTAH	= 2691,
+    ARM_t2UXTB	= 2692,
+    ARM_t2UXTB16	= 2693,
+    ARM_t2UXTH	= 2694,
+    ARM_tADC	= 2695,
+    ARM_tADDframe	= 2696,
+    ARM_tADDhirr	= 2697,
+    ARM_tADDi3	= 2698,
+    ARM_tADDi8	= 2699,
+    ARM_tADDrSP	= 2700,
+    ARM_tADDrSPi	= 2701,
+    ARM_tADDrr	= 2702,
+    ARM_tADDspi	= 2703,
+    ARM_tADDspr	= 2704,
+    ARM_tADJCALLSTACKDOWN	= 2705,
+    ARM_tADJCALLSTACKUP	= 2706,
+    ARM_tADR	= 2707,
+    ARM_tAND	= 2708,
+    ARM_tASRri	= 2709,
+    ARM_tASRrr	= 2710,
+    ARM_tB	= 2711,
+    ARM_tBIC	= 2712,
+    ARM_tBKPT	= 2713,
+    ARM_tBL	= 2714,
+    ARM_tBLXi	= 2715,
+    ARM_tBLXr	= 2716,
+    ARM_tBRIND	= 2717,
+    ARM_tBR_JTr	= 2718,
+    ARM_tBX	= 2719,
+    ARM_tBX_CALL	= 2720,
+    ARM_tBX_RET	= 2721,
+    ARM_tBX_RET_vararg	= 2722,
+    ARM_tBcc	= 2723,
+    ARM_tBfar	= 2724,
+    ARM_tCBNZ	= 2725,
+    ARM_tCBZ	= 2726,
+    ARM_tCMNz	= 2727,
+    ARM_tCMPhir	= 2728,
+    ARM_tCMPi8	= 2729,
+    ARM_tCMPr	= 2730,
+    ARM_tCPS	= 2731,
+    ARM_tEOR	= 2732,
+    ARM_tHINT	= 2733,
+    ARM_tHLT	= 2734,
+    ARM_tInt_eh_sjlj_longjmp	= 2735,
+    ARM_tInt_eh_sjlj_setjmp	= 2736,
+    ARM_tLDMIA	= 2737,
+    ARM_tLDMIA_UPD	= 2738,
+    ARM_tLDRBi	= 2739,
+    ARM_tLDRBr	= 2740,
+    ARM_tLDRHi	= 2741,
+    ARM_tLDRHr	= 2742,
+    ARM_tLDRLIT_ga_abs	= 2743,
+    ARM_tLDRLIT_ga_pcrel	= 2744,
+    ARM_tLDRSB	= 2745,
+    ARM_tLDRSH	= 2746,
+    ARM_tLDRi	= 2747,
+    ARM_tLDRpci	= 2748,
+    ARM_tLDRpci_pic	= 2749,
+    ARM_tLDRr	= 2750,
+    ARM_tLDRspi	= 2751,
+    ARM_tLEApcrel	= 2752,
+    ARM_tLEApcrelJT	= 2753,
+    ARM_tLSLri	= 2754,
+    ARM_tLSLrr	= 2755,
+    ARM_tLSRri	= 2756,
+    ARM_tLSRrr	= 2757,
+    ARM_tMOVCCr_pseudo	= 2758,
+    ARM_tMOVSr	= 2759,
+    ARM_tMOVi8	= 2760,
+    ARM_tMOVr	= 2761,
+    ARM_tMUL	= 2762,
+    ARM_tMVN	= 2763,
+    ARM_tORR	= 2764,
+    ARM_tPICADD	= 2765,
+    ARM_tPOP	= 2766,
+    ARM_tPOP_RET	= 2767,
+    ARM_tPUSH	= 2768,
+    ARM_tREV	= 2769,
+    ARM_tREV16	= 2770,
+    ARM_tREVSH	= 2771,
+    ARM_tROR	= 2772,
+    ARM_tRSB	= 2773,
+    ARM_tSBC	= 2774,
+    ARM_tSETEND	= 2775,
+    ARM_tSTMIA_UPD	= 2776,
+    ARM_tSTRBi	= 2777,
+    ARM_tSTRBr	= 2778,
+    ARM_tSTRHi	= 2779,
+    ARM_tSTRHr	= 2780,
+    ARM_tSTRi	= 2781,
+    ARM_tSTRr	= 2782,
+    ARM_tSTRspi	= 2783,
+    ARM_tSUBi3	= 2784,
+    ARM_tSUBi8	= 2785,
+    ARM_tSUBrr	= 2786,
+    ARM_tSUBspi	= 2787,
+    ARM_tSVC	= 2788,
+    ARM_tSXTB	= 2789,
+    ARM_tSXTH	= 2790,
+    ARM_tTAILJMPd	= 2791,
+    ARM_tTAILJMPdND	= 2792,
+    ARM_tTAILJMPr	= 2793,
+    ARM_tTPsoft	= 2794,
+    ARM_tTRAP	= 2795,
+    ARM_tTST	= 2796,
+    ARM_tUDF	= 2797,
+    ARM_tUXTB	= 2798,
+    ARM_tUXTH	= 2799,
+    ARM_INSTRUCTION_LIST_END = 2800
 };
 
 #endif // GET_INSTRINFO_ENUM
@@ -2830,365 +2841,368 @@ enum {
 #define ImplicitList14 0
 #define ImplicitList15 0
 
-static const MCOperandInfo OperandInfo2[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo3[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo4[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo5[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo6[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo7[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo8[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo9[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo10[] = { { 0, 0|(1<<MCOI_LookupPtrRegClass), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo11[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo12[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo13[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo14[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo15[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo16[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo17[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo18[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo19[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo20[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo21[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo22[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo23[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo24[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo25[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo26[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo27[] = { { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
-static const MCOperandInfo OperandInfo28[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
-static const MCOperandInfo OperandInfo29[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
-static const MCOperandInfo OperandInfo30[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo31[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo32[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo33[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo34[] = { { -1, 0, MCOI_OPERAND_PCREL, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo35[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo36[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo37[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo38[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo39[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo40[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo41[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo42[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo43[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo44[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo45[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo46[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo47[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo48[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo49[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo50[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo51[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo52[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo53[] = { { ARM_GPRPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo54[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo55[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo56[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo57[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo58[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo59[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo60[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo61[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo62[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo63[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo64[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo65[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo66[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo67[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo68[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo69[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo70[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo71[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo72[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo73[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo74[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo75[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo76[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo77[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo78[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo79[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo80[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo81[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo82[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo83[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo84[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo85[] = { { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo86[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo87[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo88[] = { { ARM_GPRwithAPSRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo89[] = { { ARM_GPRwithAPSRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo90[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo91[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo92[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo93[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo94[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo95[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo96[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo97[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo98[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo99[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo100[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo101[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo102[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo103[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo104[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo105[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo106[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo107[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo108[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo109[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo110[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo111[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo112[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo113[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo114[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo115[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo116[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo117[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo118[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo119[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo120[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo121[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo122[] = { { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo123[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo124[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo125[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo126[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo127[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo128[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo129[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo130[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo131[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo132[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo133[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo134[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo135[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo136[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo137[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo138[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo139[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo140[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo141[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo142[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo143[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo144[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo145[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo146[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo147[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo148[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo149[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo150[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo151[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo152[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo153[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo154[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo155[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo156[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo157[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo158[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo159[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo160[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo161[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo162[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo163[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo164[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo165[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo166[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo167[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo168[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo169[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo170[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo171[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo172[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo173[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo174[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo175[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo176[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo177[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo178[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo179[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo180[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo181[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo182[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo183[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo184[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo185[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((4 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo186[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo187[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((4 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo188[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo189[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo190[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo191[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo192[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo193[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo194[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo195[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo196[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo197[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo198[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo199[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo200[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo201[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo202[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo203[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo204[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo205[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo206[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo207[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo208[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo209[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo210[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo211[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo212[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo213[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo214[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo215[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo216[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo217[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo218[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo219[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo220[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo221[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo222[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo223[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo224[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo225[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo226[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo227[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo228[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo229[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo230[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo231[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo232[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo233[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo234[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo235[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo236[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo237[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo238[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo239[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo240[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo241[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo242[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo243[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo244[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo245[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo246[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo247[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo248[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo249[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo250[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo251[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo252[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo253[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo254[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo255[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo256[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo257[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo258[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo259[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo260[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo261[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo262[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo263[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo264[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo265[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo266[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo267[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo268[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo269[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo270[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo271[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo272[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo273[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo274[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo275[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo276[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo277[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo278[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo279[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo280[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo281[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo282[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo283[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo284[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo285[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo286[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo287[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo288[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo289[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo290[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo291[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo292[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo293[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo294[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo295[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo296[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo297[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo298[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo299[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo300[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo301[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo302[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo303[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo304[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo305[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo306[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo307[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo308[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo309[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo310[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo311[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo312[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo313[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo314[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo315[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo316[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo317[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo318[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo319[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo320[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo321[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo322[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo323[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo324[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo325[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo326[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo327[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo328[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo329[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo330[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo331[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo332[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo333[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo334[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo335[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo336[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo337[] = { { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo338[] = { { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo339[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo340[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
-static const MCOperandInfo OperandInfo341[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
-static const MCOperandInfo OperandInfo342[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo343[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo344[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
-static const MCOperandInfo OperandInfo345[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo346[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo347[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo348[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo349[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo350[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
-static const MCOperandInfo OperandInfo351[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo352[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo353[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo354[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo355[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo356[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo357[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo358[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo359[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
-static const MCOperandInfo OperandInfo360[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+
+static MCOperandInfo OperandInfo2[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo3[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo4[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo5[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo6[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo7[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo8[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo9[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo10[] = { { 0, 0|(1<<MCOI_LookupPtrRegClass), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo11[] = { { 0, 0|(1<<MCOI_LookupPtrRegClass), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo12[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo13[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo14[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo15[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo16[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo17[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo18[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo19[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo20[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo21[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo22[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo23[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo24[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo25[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo26[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo27[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo28[] = { { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
+static MCOperandInfo OperandInfo29[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
+static MCOperandInfo OperandInfo30[] = { { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
+static MCOperandInfo OperandInfo31[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo32[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo33[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo34[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo35[] = { { -1, 0, MCOI_OPERAND_PCREL, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo36[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo37[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo38[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo39[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo40[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo41[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo42[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo43[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo44[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo45[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo46[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo47[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo48[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo49[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo50[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo51[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo52[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo53[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo54[] = { { ARM_GPRPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo55[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo56[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo57[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo58[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo59[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo60[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo61[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo62[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo63[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo64[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo65[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo66[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo67[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo68[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo69[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo70[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo71[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo72[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo73[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo74[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo75[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo76[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo77[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo78[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo79[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo80[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo81[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo82[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo83[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo84[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo85[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo86[] = { { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo87[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo88[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo89[] = { { ARM_GPRwithAPSRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo90[] = { { ARM_GPRwithAPSRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo91[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo92[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo93[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo94[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo95[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo96[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo97[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo98[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo99[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo100[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo101[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo102[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo103[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo104[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo105[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo106[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo107[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo108[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo109[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo110[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo111[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo112[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo113[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo114[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo115[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo116[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo117[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo118[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo119[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo120[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo121[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo122[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo123[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo124[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo125[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo126[] = { { ARM_tcGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo127[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo128[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo129[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo130[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo131[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo132[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo133[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo134[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo135[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo136[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo137[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo138[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo139[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo140[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo141[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo142[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo143[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo144[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo145[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo146[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo147[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo148[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo149[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo150[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo151[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo152[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo153[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo154[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo155[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo156[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo157[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo158[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo159[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo160[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo161[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo162[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo163[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo164[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo165[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo166[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo167[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo168[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo169[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo170[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo171[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo172[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo173[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo174[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo175[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo176[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo177[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo178[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo179[] = { { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo180[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo181[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo182[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo183[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo184[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo185[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo186[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo187[] = { { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo188[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo189[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((4 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo190[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo191[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((4 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((3 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo192[] = { { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo193[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo194[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo195[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo196[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo197[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo198[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo199[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo200[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo201[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo202[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo203[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo204[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo205[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo206[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo207[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo208[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo209[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo210[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo211[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo212[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo213[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo214[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo215[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo216[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo217[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo218[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_VFP2RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo219[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo220[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPR_8RegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo221[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo222[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo223[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo224[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo225[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo226[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo227[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo228[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo229[] = { { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_SPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo230[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo231[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo232[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo233[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo234[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo235[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo236[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo237[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo238[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo239[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo240[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo241[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo242[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo243[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo244[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo245[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo246[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo247[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo248[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo249[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo250[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo251[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo252[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo253[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo254[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo255[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo256[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo257[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_QQQQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo258[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo259[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo260[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo261[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo262[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo263[] = { { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo264[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo265[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo266[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_DPairRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo267[] = { { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_QQPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_DPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo268[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo269[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo270[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo271[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo272[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo273[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo274[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo275[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo276[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo277[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo278[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo279[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo280[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo281[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo282[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo283[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo284[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo285[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo286[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo287[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo288[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo289[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo290[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo291[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo292[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((2 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo293[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo294[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo295[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo296[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo297[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo298[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo299[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo300[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo301[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo302[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo303[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo304[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo305[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo306[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo307[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo308[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo309[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo310[] = { { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo311[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo312[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo313[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo314[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo315[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo316[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo317[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo318[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo319[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo320[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((1 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo321[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo322[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo323[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo324[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo325[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo326[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo327[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo328[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo329[] = { { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo330[] = { { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, (1 << MCOI_EARLY_CLOBBER) }, { ARM_GPRnopcRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo331[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_rGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo332[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo333[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo334[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo335[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo336[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo337[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo338[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo339[] = { { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo340[] = { { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRspRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo341[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo342[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
+static MCOperandInfo OperandInfo343[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, };
+static MCOperandInfo OperandInfo344[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo345[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_PCREL, 0 }, };
+static MCOperandInfo OperandInfo346[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo347[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo348[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo349[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo350[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo351[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, };
+static MCOperandInfo OperandInfo352[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo353[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo354[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0, MCOI_OPERAND_IMMEDIATE, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo355[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo356[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo357[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo358[] = { { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_CCRRegClassID, 0|(1<<MCOI_OptionalDef), MCOI_OPERAND_UNKNOWN, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo359[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo360[] = { { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+static MCOperandInfo OperandInfo361[] = { { ARM_GPRRegClassID, 0, MCOI_OPERAND_REGISTER, 0 }, { ARM_tGPRRegClassID, 0, MCOI_OPERAND_REGISTER, ((0 << 16) | (1 << MCOI_TIED_TO)) }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0|(1<<MCOI_Predicate), MCOI_OPERAND_UNKNOWN, 0 }, { -1, 0, MCOI_OPERAND_UNKNOWN, 0 }, };
+
 
 static const MCInstrDesc ARMInsts[] = {
   { 0,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #0 = PHI
@@ -3203,7 +3217,7 @@ static const MCInstrDesc ARMInsts[] = {
   { 9,	4,	1,	0,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo6,0,nullptr },  // Inst #9 = SUBREG_TO_REG
   { 10,	3,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo3,0,nullptr },  // Inst #10 = COPY_TO_REGCLASS
   { 11,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Variadic), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #11 = DBG_VALUE
-  { 12,	1,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Variadic)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #12 = REG_SEQUENCE
+  { 12,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Variadic)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #12 = REG_SEQUENCE
   { 13,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #13 = COPY
   { 14,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #14 = BUNDLE
   { 15,	1,	0,	0,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo2,0,nullptr },  // Inst #15 = LIFETIME_START
@@ -3211,2777 +3225,2787 @@ static const MCInstrDesc ARMInsts[] = {
   { 17,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Call)|(1<<MCID_MayLoad)|(1<<MCID_UsesCustomInserter)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo8,0,nullptr },  // Inst #17 = STACKMAP
   { 18,	6,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Call)|(1<<MCID_MayLoad)|(1<<MCID_UsesCustomInserter)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo9,0,nullptr },  // Inst #18 = PATCHPOINT
   { 19,	1,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo10,0,nullptr },  // Inst #19 = LOAD_STACK_GUARD
-  { 20,	2,	1,	590,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList1, OperandInfo11,0,nullptr },  // Inst #20 = ABS
-  { 21,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #21 = ADCri
-  { 22,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #22 = ADCrr
-  { 23,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #23 = ADCrsi
-  { 24,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo15,0,nullptr },  // Inst #24 = ADCrsr
-  { 25,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo16,0,nullptr },  // Inst #25 = ADDSri
-  { 26,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo17,0,nullptr },  // Inst #26 = ADDSrr
-  { 27,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo18,0,nullptr },  // Inst #27 = ADDSrsi
-  { 28,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #28 = ADDSrsr
-  { 29,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #29 = ADDri
-  { 30,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #30 = ADDrr
-  { 31,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #31 = ADDrsi
-  { 32,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #32 = ADDrsr
-  { 33,	3,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo21,0,nullptr },  // Inst #33 = ADJCALLSTACKDOWN
-  { 34,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo22,0,nullptr },  // Inst #34 = ADJCALLSTACKUP
-  { 35,	4,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xd01ULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #35 = ADR
-  { 36,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #36 = AESD
-  { 37,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #37 = AESE
-  { 38,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #38 = AESIMC
-  { 39,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #39 = AESMC
-  { 40,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #40 = ANDri
-  { 41,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #41 = ANDrr
-  { 42,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #42 = ANDrsi
-  { 43,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #43 = ANDrsr
-  { 44,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #44 = ASRi
-  { 45,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #45 = ASRr
-  { 46,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #46 = B
-  { 47,	4,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, ImplicitList1, OperandInfo28,0,nullptr },  // Inst #47 = BCCZi64
-  { 48,	6,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, ImplicitList1, OperandInfo29,0,nullptr },  // Inst #48 = BCCi64
-  { 49,	5,	1,	278,	4,	0|(1<<MCID_Predicable), 0x201ULL, nullptr, nullptr, OperandInfo30,0,nullptr },  // Inst #49 = BFC
-  { 50,	6,	1,	278,	4,	0|(1<<MCID_Predicable), 0x201ULL, nullptr, nullptr, OperandInfo31,0,nullptr },  // Inst #50 = BFI
-  { 51,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #51 = BICri
-  { 52,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #52 = BICrr
-  { 53,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #53 = BICrsi
-  { 54,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #54 = BICrsr
-  { 55,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #55 = BKPT
-  { 56,	1,	0,	12,	4,	0|(1<<MCID_Call), 0x100ULL, ImplicitList2, ImplicitList3, OperandInfo27,0,nullptr },  // Inst #56 = BL
-  { 57,	1,	0,	12,	4,	0|(1<<MCID_Call), 0x180ULL, ImplicitList2, ImplicitList3, OperandInfo32,0,nullptr },  // Inst #57 = BLX
-  { 58,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0x180ULL, ImplicitList2, ImplicitList3, OperandInfo33,0,nullptr },  // Inst #58 = BLX_pred
-  { 59,	1,	0,	13,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x180ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #59 = BLXi
-  { 60,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0x100ULL, ImplicitList2, ImplicitList3, OperandInfo34,0,nullptr },  // Inst #60 = BL_pred
-  { 61,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo27,0,nullptr },  // Inst #61 = BMOVPCB_CALL
-  { 62,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo35,0,nullptr },  // Inst #62 = BMOVPCRX_CALL
-  { 63,	4,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo36,0,nullptr },  // Inst #63 = BR_JTadd
-  { 64,	5,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo37,0,nullptr },  // Inst #64 = BR_JTm
-  { 65,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo38,0,nullptr },  // Inst #65 = BR_JTr
-  { 66,	1,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #66 = BX
-  { 67,	3,	0,	15,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #67 = BXJ
-  { 68,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo35,0,nullptr },  // Inst #68 = BX_CALL
-  { 69,	2,	0,	10,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #69 = BX_RET
-  { 70,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x180ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #70 = BX_pred
-  { 71,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #71 = Bcc
-  { 72,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #72 = CDP
-  { 73,	6,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo41,0,nullptr },  // Inst #73 = CDP2
-  { 74,	0,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #74 = CLREX
-  { 75,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #75 = CLZ
-  { 76,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo23,0,nullptr },  // Inst #76 = CMNri
-  { 77,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo42,0,nullptr },  // Inst #77 = CMNzrr
-  { 78,	5,	0,	19,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #78 = CMNzrsi
-  { 79,	6,	0,	20,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #79 = CMNzrsr
-  { 80,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo23,0,nullptr },  // Inst #80 = CMPri
-  { 81,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo42,0,nullptr },  // Inst #81 = CMPrr
-  { 82,	5,	0,	19,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #82 = CMPrsi
-  { 83,	6,	0,	20,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #83 = CMPrsr
-  { 84,	3,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo3,0,nullptr },  // Inst #84 = CONSTPOOL_ENTRY
-  { 85,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo36,0,nullptr },  // Inst #85 = COPY_STRUCT_BYVAL_I32
-  { 86,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #86 = CPS1p
-  { 87,	2,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #87 = CPS2p
-  { 88,	3,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo45,0,nullptr },  // Inst #88 = CPS3p
-  { 89,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #89 = CRC32B
-  { 90,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #90 = CRC32CB
-  { 91,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #91 = CRC32CH
-  { 92,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #92 = CRC32CW
-  { 93,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #93 = CRC32H
-  { 94,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #94 = CRC32W
-  { 95,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #95 = DBG
-  { 96,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #96 = DMB
-  { 97,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #97 = DSB
-  { 98,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #98 = EORri
-  { 99,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #99 = EORrr
-  { 100,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #100 = EORrsi
-  { 101,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #101 = EORrsr
-  { 102,	4,	1,	487,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x8c00ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #102 = FCONSTD
-  { 103,	4,	1,	488,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x8c00ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #103 = FCONSTS
-  { 104,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #104 = FLDMXDB_UPD
-  { 105,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b04ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #105 = FLDMXIA
-  { 106,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #106 = FLDMXIA_UPD
-  { 107,	2,	0,	507,	4,	0|(1<<MCID_Predicable), 0x8c00ULL, ImplicitList4, ImplicitList1, OperandInfo39,0,nullptr },  // Inst #107 = FMSTAT
-  { 108,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #108 = FSTMXDB_UPD
-  { 109,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b04ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #109 = FSTMXIA
-  { 110,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #110 = FSTMXIA_UPD
-  { 111,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #111 = HINT
-  { 112,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #112 = HLT
-  { 113,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #113 = ISB
-  { 114,	2,	0,	377,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo7,0,0 },  // Inst #114 = ITasm
-  { 115,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #115 = Int_eh_sjlj_dispatchsetup
-  { 116,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList5, OperandInfo11,0,nullptr },  // Inst #116 = Int_eh_sjlj_longjmp
-  { 117,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList6, OperandInfo11,0,nullptr },  // Inst #117 = Int_eh_sjlj_setjmp
-  { 118,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList7, OperandInfo11,0,nullptr },  // Inst #118 = Int_eh_sjlj_setjmp_nofp
-  { 119,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #119 = LDA
-  { 120,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #120 = LDAB
-  { 121,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #121 = LDAEX
-  { 122,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #122 = LDAEXB
-  { 123,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #123 = LDAEXD
-  { 124,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #124 = LDAEXH
-  { 125,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #125 = LDAH
-  { 126,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #126 = LDC2L_OFFSET
-  { 127,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #127 = LDC2L_OPTION
-  { 128,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #128 = LDC2L_POST
-  { 129,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #129 = LDC2L_PRE
-  { 130,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #130 = LDC2_OFFSET
-  { 131,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #131 = LDC2_OPTION
-  { 132,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #132 = LDC2_POST
-  { 133,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #133 = LDC2_PRE
-  { 134,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #134 = LDCL_OFFSET
-  { 135,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #135 = LDCL_OPTION
-  { 136,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #136 = LDCL_POST
-  { 137,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #137 = LDCL_PRE
-  { 138,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #138 = LDC_OFFSET
-  { 139,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #139 = LDC_OPTION
-  { 140,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #140 = LDC_POST
-  { 141,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #141 = LDC_PRE
-  { 142,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #142 = LDMDA
-  { 143,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #143 = LDMDA_UPD
-  { 144,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #144 = LDMDB
-  { 145,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #145 = LDMDB_UPD
-  { 146,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #146 = LDMIA
-  { 147,	5,	1,	355,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #147 = LDMIA_RET
-  { 148,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #148 = LDMIA_UPD
-  { 149,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #149 = LDMIB
-  { 150,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #150 = LDMIB_UPD
-  { 151,	4,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #151 = LDRBT_POST
-  { 152,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #152 = LDRBT_POST_IMM
-  { 153,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #153 = LDRBT_POST_REG
-  { 154,	7,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #154 = LDRB_POST_IMM
-  { 155,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #155 = LDRB_POST_REG
-  { 156,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #156 = LDRB_PRE_IMM
-  { 157,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #157 = LDRB_PRE_REG
-  { 158,	5,	1,	325,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #158 = LDRBi12
-  { 159,	6,	1,	326,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x300ULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #159 = LDRBrs
-  { 160,	7,	2,	350,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x403ULL, nullptr, nullptr, OperandInfo60,0,nullptr },  // Inst #160 = LDRD
-  { 161,	8,	3,	352,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x443ULL, nullptr, nullptr, OperandInfo61,0,nullptr },  // Inst #161 = LDRD_POST
-  { 162,	8,	3,	352,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x423ULL, nullptr, nullptr, OperandInfo61,0,nullptr },  // Inst #162 = LDRD_PRE
-  { 163,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #163 = LDREX
-  { 164,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #164 = LDREXB
-  { 165,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #165 = LDREXD
-  { 166,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #166 = LDREXH
-  { 167,	6,	1,	335,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #167 = LDRH
-  { 168,	6,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #168 = LDRHTi
-  { 169,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #169 = LDRHTr
-  { 170,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #170 = LDRH_POST
-  { 171,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #171 = LDRH_PRE
-  { 172,	2,	1,	33,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #172 = LDRLIT_ga_abs
-  { 173,	2,	1,	34,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #173 = LDRLIT_ga_pcrel
-  { 174,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #174 = LDRLIT_ga_pcrel_ldr
-  { 175,	6,	1,	288,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #175 = LDRSB
-  { 176,	6,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #176 = LDRSBTi
-  { 177,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #177 = LDRSBTr
-  { 178,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #178 = LDRSB_POST
-  { 179,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #179 = LDRSB_PRE
-  { 180,	6,	1,	288,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #180 = LDRSH
-  { 181,	6,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #181 = LDRSHTi
-  { 182,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #182 = LDRSHTr
-  { 183,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #183 = LDRSH_POST
-  { 184,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #184 = LDRSH_PRE
-  { 185,	4,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #185 = LDRT_POST
-  { 186,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #186 = LDRT_POST_IMM
-  { 187,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #187 = LDRT_POST_REG
-  { 188,	7,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #188 = LDR_POST_IMM
-  { 189,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #189 = LDR_POST_REG
-  { 190,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #190 = LDR_PRE_IMM
-  { 191,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #191 = LDR_PRE_REG
-  { 192,	5,	1,	336,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #192 = LDRcp
-  { 193,	5,	1,	328,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #193 = LDRi12
-  { 194,	6,	1,	287,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x300ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #194 = LDRrs
-  { 195,	4,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo67,0,nullptr },  // Inst #195 = LEApcrel
-  { 196,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo68,0,nullptr },  // Inst #196 = LEApcrelJT
-  { 197,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #197 = LSLi
-  { 198,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #198 = LSLr
-  { 199,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #199 = LSRi
-  { 200,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #200 = LSRr
-  { 201,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo69,0,0 },  // Inst #201 = MCR
-  { 202,	6,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo70,0,nullptr },  // Inst #202 = MCR2
-  { 203,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo71,0,nullptr },  // Inst #203 = MCRR
-  { 204,	5,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo72,0,nullptr },  // Inst #204 = MCRR2
-  { 205,	7,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo73,0,nullptr },  // Inst #205 = MLA
-  { 206,	7,	1,	279,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo74,0,nullptr },  // Inst #206 = MLAv5
-  { 207,	6,	1,	279,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #207 = MLS
-  { 208,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo30,0,nullptr },  // Inst #208 = MOVCCi
-  { 209,	5,	1,	41,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo30,0,nullptr },  // Inst #209 = MOVCCi16
-  { 210,	5,	1,	273,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #210 = MOVCCi32imm
-  { 211,	5,	1,	43,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Select)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x0ULL, nullptr, nullptr, OperandInfo77,0,nullptr },  // Inst #211 = MOVCCr
-  { 212,	6,	1,	268,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo78,0,nullptr },  // Inst #212 = MOVCCsi
-  { 213,	7,	1,	268,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo79,0,nullptr },  // Inst #213 = MOVCCsr
-  { 214,	2,	0,	10,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #214 = MOVPCLR
-  { 215,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #215 = MOVPCRX
-  { 216,	5,	1,	41,	4,	0|(1<<MCID_Predicable), 0x2201ULL, nullptr, nullptr, OperandInfo80,0,nullptr },  // Inst #216 = MOVTi16
-  { 217,	4,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo81,0,nullptr },  // Inst #217 = MOVTi16_ga_pcrel
-  { 218,	2,	1,	275,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #218 = MOV_ga_pcrel
-  { 219,	2,	1,	276,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #219 = MOV_ga_pcrel_ldr
-  { 220,	5,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo82,0,nullptr },  // Inst #220 = MOVi
-  { 221,	4,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #221 = MOVi16
-  { 222,	3,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo83,0,nullptr },  // Inst #222 = MOVi16_ga_pcrel
-  { 223,	2,	1,	274,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #223 = MOVi32imm
-  { 224,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo84,0,nullptr },  // Inst #224 = MOVr
-  { 225,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo85,0,nullptr },  // Inst #225 = MOVr_TC
-  { 226,	6,	1,	269,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x3501ULL, nullptr, nullptr, OperandInfo86,0,nullptr },  // Inst #226 = MOVsi
-  { 227,	7,	1,	269,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2281ULL, nullptr, nullptr, OperandInfo87,0,nullptr },  // Inst #227 = MOVsr
-  { 228,	2,	1,	270,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, nullptr, ImplicitList1, OperandInfo11,0,nullptr },  // Inst #228 = MOVsra_flag
-  { 229,	2,	1,	270,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, nullptr, ImplicitList1, OperandInfo11,0,nullptr },  // Inst #229 = MOVsrl_flag
-  { 230,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo88,0,nullptr },  // Inst #230 = MRC
-  { 231,	6,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo89,0,nullptr },  // Inst #231 = MRC2
-  { 232,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo71,0,nullptr },  // Inst #232 = MRRC
-  { 233,	5,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo72,0,nullptr },  // Inst #233 = MRRC2
-  { 234,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo90,0,nullptr },  // Inst #234 = MRS
-  { 235,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo90,0,nullptr },  // Inst #235 = MRSsys
-  { 236,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo91,0,nullptr },  // Inst #236 = MSR
-  { 237,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #237 = MSRi
-  { 238,	6,	1,	280,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #238 = MUL
-  { 239,	6,	1,	280,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo93,0,nullptr },  // Inst #239 = MULv5
-  { 240,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo30,0,nullptr },  // Inst #240 = MVNCCi
-  { 241,	5,	1,	52,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo82,0,nullptr },  // Inst #241 = MVNi
-  { 242,	5,	1,	272,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo84,0,nullptr },  // Inst #242 = MVNr
-  { 243,	6,	1,	54,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x3501ULL, nullptr, nullptr, OperandInfo86,0,nullptr },  // Inst #243 = MVNsi
-  { 244,	7,	1,	271,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2281ULL, nullptr, nullptr, OperandInfo94,0,nullptr },  // Inst #244 = MVNsr
-  { 245,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #245 = ORRri
-  { 246,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #246 = ORRrr
-  { 247,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #247 = ORRrsi
-  { 248,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #248 = ORRrsr
-  { 249,	5,	1,	55,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo16,0,nullptr },  // Inst #249 = PICADD
-  { 250,	5,	1,	286,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #250 = PICLDR
-  { 251,	5,	1,	335,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #251 = PICLDRB
-  { 252,	5,	1,	335,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #252 = PICLDRH
-  { 253,	5,	1,	288,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #253 = PICLDRSB
-  { 254,	5,	1,	288,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #254 = PICLDRSH
-  { 255,	5,	0,	358,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #255 = PICSTR
-  { 256,	5,	0,	359,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #256 = PICSTRB
-  { 257,	5,	0,	359,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #257 = PICSTRH
-  { 258,	6,	1,	58,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo95,0,nullptr },  // Inst #258 = PKHBT
-  { 259,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo95,0,nullptr },  // Inst #259 = PKHTB
-  { 260,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo96,0,nullptr },  // Inst #260 = PLDWi12
-  { 261,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo97,0,nullptr },  // Inst #261 = PLDWrs
-  { 262,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo96,0,nullptr },  // Inst #262 = PLDi12
-  { 263,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo97,0,nullptr },  // Inst #263 = PLDrs
-  { 264,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo96,0,nullptr },  // Inst #264 = PLIi12
-  { 265,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo97,0,nullptr },  // Inst #265 = PLIrs
-  { 266,	5,	1,	299,	4,	0|(1<<MCID_Predicable), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #266 = QADD
-  { 267,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #267 = QADD16
-  { 268,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #268 = QADD8
-  { 269,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #269 = QASX
-  { 270,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #270 = QDADD
-  { 271,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #271 = QDSUB
-  { 272,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #272 = QSAX
-  { 273,	5,	1,	299,	4,	0|(1<<MCID_Predicable), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #273 = QSUB
-  { 274,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #274 = QSUB16
-  { 275,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #275 = QSUB8
-  { 276,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #276 = RBIT
-  { 277,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #277 = REV
-  { 278,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #278 = REV16
-  { 279,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #279 = REVSH
-  { 280,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #280 = RFEDA
-  { 281,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #281 = RFEDA_UPD
-  { 282,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #282 = RFEDB
-  { 283,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #283 = RFEDB_UPD
-  { 284,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #284 = RFEIA
-  { 285,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #285 = RFEIA_UPD
-  { 286,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #286 = RFEIB
-  { 287,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #287 = RFEIB_UPD
-  { 288,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #288 = RORi
-  { 289,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #289 = RORr
-  { 290,	2,	1,	50,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, ImplicitList1, nullptr, OperandInfo11,0,nullptr },  // Inst #290 = RRX
-  { 291,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo84,0,nullptr },  // Inst #291 = RRXi
-  { 292,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo16,0,nullptr },  // Inst #292 = RSBSri
-  { 293,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo18,0,nullptr },  // Inst #293 = RSBSrsi
-  { 294,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #294 = RSBSrsr
-  { 295,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #295 = RSBri
-  { 296,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #296 = RSBrr
-  { 297,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #297 = RSBrsi
-  { 298,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #298 = RSBrsr
-  { 299,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #299 = RSCri
-  { 300,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #300 = RSCrr
-  { 301,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #301 = RSCrsi
-  { 302,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo20,0,nullptr },  // Inst #302 = RSCrsr
-  { 303,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #303 = SADD16
-  { 304,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #304 = SADD8
-  { 305,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #305 = SASX
-  { 306,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #306 = SBCri
-  { 307,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #307 = SBCrr
-  { 308,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #308 = SBCrsi
-  { 309,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo15,0,nullptr },  // Inst #309 = SBCrsr
-  { 310,	6,	1,	278,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo99,0,nullptr },  // Inst #310 = SBFX
-  { 311,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #311 = SDIV
-  { 312,	5,	1,	277,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #312 = SEL
-  { 313,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,ARM_HasV8Ops,nullptr },  // Inst #313 = SETEND
-  { 314,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #314 = SHA1C
-  { 315,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #315 = SHA1H
-  { 316,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #316 = SHA1M
-  { 317,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #317 = SHA1P
-  { 318,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #318 = SHA1SU0
-  { 319,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #319 = SHA1SU1
-  { 320,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #320 = SHA256H
-  { 321,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #321 = SHA256H2
-  { 322,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #322 = SHA256SU0
-  { 323,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #323 = SHA256SU1
-  { 324,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #324 = SHADD16
-  { 325,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #325 = SHADD8
-  { 326,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #326 = SHASX
-  { 327,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #327 = SHSAX
-  { 328,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #328 = SHSUB16
-  { 329,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #329 = SHSUB8
-  { 330,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #330 = SMC
-  { 331,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #331 = SMLABB
-  { 332,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #332 = SMLABT
-  { 333,	6,	1,	319,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #333 = SMLAD
-  { 334,	6,	1,	319,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #334 = SMLADX
-  { 335,	9,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo102,0,nullptr },  // Inst #335 = SMLAL
-  { 336,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #336 = SMLALBB
-  { 337,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #337 = SMLALBT
-  { 338,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #338 = SMLALD
-  { 339,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #339 = SMLALDX
-  { 340,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #340 = SMLALTB
-  { 341,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #341 = SMLALTT
-  { 342,	9,	2,	281,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #342 = SMLALv5
-  { 343,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #343 = SMLATB
-  { 344,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #344 = SMLATT
-  { 345,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #345 = SMLAWB
-  { 346,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #346 = SMLAWT
-  { 347,	6,	1,	316,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #347 = SMLSD
-  { 348,	6,	1,	316,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #348 = SMLSDX
-  { 349,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #349 = SMLSLD
-  { 350,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #350 = SMLSLDX
-  { 351,	6,	1,	279,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #351 = SMMLA
-  { 352,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #352 = SMMLAR
-  { 353,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #353 = SMMLS
-  { 354,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #354 = SMMLSR
-  { 355,	5,	1,	280,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #355 = SMMUL
-  { 356,	5,	1,	280,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #356 = SMMULR
-  { 357,	5,	1,	314,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #357 = SMUAD
-  { 358,	5,	1,	314,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #358 = SMUADX
-  { 359,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #359 = SMULBB
-  { 360,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #360 = SMULBT
-  { 361,	7,	2,	321,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo105,0,nullptr },  // Inst #361 = SMULL
-  { 362,	7,	2,	282,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #362 = SMULLv5
-  { 363,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #363 = SMULTB
-  { 364,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #364 = SMULTT
-  { 365,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #365 = SMULWB
-  { 366,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #366 = SMULWT
-  { 367,	5,	1,	309,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #367 = SMUSD
-  { 368,	5,	1,	309,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #368 = SMUSDX
-  { 369,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #369 = SRSDA
-  { 370,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #370 = SRSDA_UPD
-  { 371,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #371 = SRSDB
-  { 372,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #372 = SRSDB_UPD
-  { 373,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #373 = SRSIA
-  { 374,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #374 = SRSIA_UPD
-  { 375,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #375 = SRSIB
-  { 376,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #376 = SRSIB_UPD
-  { 377,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0x680ULL, nullptr, nullptr, OperandInfo107,0,nullptr },  // Inst #377 = SSAT
-  { 378,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x680ULL, nullptr, nullptr, OperandInfo108,0,nullptr },  // Inst #378 = SSAT16
-  { 379,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #379 = SSAX
-  { 380,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #380 = SSUB16
-  { 381,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #381 = SSUB8
-  { 382,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #382 = STC2L_OFFSET
-  { 383,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #383 = STC2L_OPTION
-  { 384,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #384 = STC2L_POST
-  { 385,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #385 = STC2L_PRE
-  { 386,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #386 = STC2_OFFSET
-  { 387,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #387 = STC2_OPTION
-  { 388,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #388 = STC2_POST
-  { 389,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #389 = STC2_PRE
-  { 390,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #390 = STCL_OFFSET
-  { 391,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #391 = STCL_OPTION
-  { 392,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #392 = STCL_POST
-  { 393,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #393 = STCL_PRE
-  { 394,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #394 = STC_OFFSET
-  { 395,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #395 = STC_OPTION
-  { 396,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #396 = STC_POST
-  { 397,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #397 = STC_PRE
-  { 398,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #398 = STL
-  { 399,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #399 = STLB
-  { 400,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #400 = STLEX
-  { 401,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #401 = STLEXB
-  { 402,	5,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo110,0,nullptr },  // Inst #402 = STLEXD
-  { 403,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #403 = STLEXH
-  { 404,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #404 = STLH
-  { 405,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #405 = STMDA
-  { 406,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #406 = STMDA_UPD
-  { 407,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #407 = STMDB
-  { 408,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #408 = STMDB_UPD
-  { 409,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #409 = STMIA
-  { 410,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #410 = STMIA_UPD
-  { 411,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #411 = STMIB
-  { 412,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #412 = STMIB_UPD
-  { 413,	4,	0,	365,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #413 = STRBT_POST
-  { 414,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x3c2ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #414 = STRBT_POST_IMM
-  { 415,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x3c2ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #415 = STRBT_POST_REG
-  { 416,	7,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #416 = STRB_POST_IMM
-  { 417,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #417 = STRB_POST_REG
-  { 418,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #418 = STRB_PRE_IMM
-  { 419,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #419 = STRB_PRE_REG
-  { 420,	5,	0,	359,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x390ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #420 = STRBi12
-  { 421,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #421 = STRBi_preidx
-  { 422,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #422 = STRBr_preidx
-  { 423,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x380ULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #423 = STRBrs
-  { 424,	7,	0,	372,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x483ULL, nullptr, nullptr, OperandInfo60,0,nullptr },  // Inst #424 = STRD
-  { 425,	8,	1,	373,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x4c3ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #425 = STRD_POST
-  { 426,	8,	1,	373,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x4a3ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #426 = STRD_PRE
-  { 427,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #427 = STREX
-  { 428,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #428 = STREXB
-  { 429,	5,	1,	361,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo110,0,nullptr },  // Inst #429 = STREXD
-  { 430,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #430 = STREXH
-  { 431,	6,	0,	359,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x483ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #431 = STRH
-  { 432,	6,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4c3ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #432 = STRHTi
-  { 433,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4c3ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #433 = STRHTr
-  { 434,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x4c3ULL, nullptr, nullptr, OperandInfo117,0,nullptr },  // Inst #434 = STRH_POST
-  { 435,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4a3ULL, nullptr, nullptr, OperandInfo117,0,nullptr },  // Inst #435 = STRH_PRE
-  { 436,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo118,0,nullptr },  // Inst #436 = STRH_preidx
-  { 437,	4,	0,	365,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #437 = STRT_POST
-  { 438,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #438 = STRT_POST_IMM
-  { 439,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #439 = STRT_POST_REG
-  { 440,	7,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #440 = STR_POST_IMM
-  { 441,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #441 = STR_POST_REG
-  { 442,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #442 = STR_PRE_IMM
-  { 443,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #443 = STR_PRE_REG
-  { 444,	5,	0,	358,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x390ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #444 = STRi12
-  { 445,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #445 = STRi_preidx
-  { 446,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #446 = STRr_preidx
-  { 447,	6,	0,	362,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x380ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #447 = STRrs
-  { 448,	3,	0,	76,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #448 = SUBS_PC_LR
-  { 449,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo16,0,nullptr },  // Inst #449 = SUBSri
-  { 450,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo17,0,nullptr },  // Inst #450 = SUBSrr
-  { 451,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo18,0,nullptr },  // Inst #451 = SUBSrsi
-  { 452,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #452 = SUBSrsr
-  { 453,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo12,0,nullptr },  // Inst #453 = SUBri
-  { 454,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #454 = SUBrr
-  { 455,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #455 = SUBrsi
-  { 456,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo20,0,nullptr },  // Inst #456 = SUBrsr
-  { 457,	3,	0,	10,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, ImplicitList2, nullptr, OperandInfo47,0,nullptr },  // Inst #457 = SVC
-  { 458,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo119,0,nullptr },  // Inst #458 = SWP
-  { 459,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo119,0,nullptr },  // Inst #459 = SWPB
-  { 460,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #460 = SXTAB
-  { 461,	6,	1,	304,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #461 = SXTAB16
-  { 462,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #462 = SXTAH
-  { 463,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #463 = SXTB
-  { 464,	5,	1,	290,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #464 = SXTB16
-  { 465,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #465 = SXTH
-  { 466,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo27,0,nullptr },  // Inst #466 = TAILJMPd
-  { 467,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo122,0,nullptr },  // Inst #467 = TAILJMPr
-  { 468,	1,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator), 0x0ULL, ImplicitList2, nullptr, OperandInfo2,0,nullptr },  // Inst #468 = TCRETURNdi
-  { 469,	1,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator), 0x0ULL, ImplicitList2, nullptr, OperandInfo122,0,nullptr },  // Inst #469 = TCRETURNri
-  { 470,	4,	0,	79,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo23,0,nullptr },  // Inst #470 = TEQri
-  { 471,	4,	0,	80,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo42,0,nullptr },  // Inst #471 = TEQrr
-  { 472,	5,	0,	81,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #472 = TEQrsi
-  { 473,	6,	0,	82,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #473 = TEQrsr
-  { 474,	0,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList8, nullptr,0,nullptr },  // Inst #474 = TPsoft
-  { 475,	0,	0,	0,	4,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #475 = TRAP
-  { 476,	0,	0,	0,	4,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #476 = TRAPNaCl
-  { 477,	4,	0,	79,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo23,0,nullptr },  // Inst #477 = TSTri
-  { 478,	4,	0,	80,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo42,0,nullptr },  // Inst #478 = TSTrr
-  { 479,	5,	0,	81,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #479 = TSTrsi
-  { 480,	6,	0,	82,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #480 = TSTrsr
-  { 481,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #481 = UADD16
-  { 482,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #482 = UADD8
-  { 483,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #483 = UASX
-  { 484,	6,	1,	278,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo99,0,nullptr },  // Inst #484 = UBFX
-  { 485,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #485 = UDF
-  { 486,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #486 = UDIV
-  { 487,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #487 = UHADD16
-  { 488,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #488 = UHADD8
-  { 489,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #489 = UHASX
-  { 490,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #490 = UHSAX
-  { 491,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #491 = UHSUB16
-  { 492,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #492 = UHSUB8
-  { 493,	6,	2,	281,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #493 = UMAAL
-  { 494,	9,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo102,0,nullptr },  // Inst #494 = UMLAL
-  { 495,	9,	2,	281,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #495 = UMLALv5
-  { 496,	7,	2,	321,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo105,0,nullptr },  // Inst #496 = UMULL
-  { 497,	7,	2,	282,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #497 = UMULLv5
-  { 498,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #498 = UQADD16
-  { 499,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #499 = UQADD8
-  { 500,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #500 = UQASX
-  { 501,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #501 = UQSAX
-  { 502,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #502 = UQSUB16
-  { 503,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #503 = UQSUB8
-  { 504,	5,	1,	307,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #504 = USAD8
-  { 505,	6,	1,	308,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #505 = USADA8
-  { 506,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0x680ULL, nullptr, nullptr, OperandInfo107,0,nullptr },  // Inst #506 = USAT
-  { 507,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x680ULL, nullptr, nullptr, OperandInfo108,0,nullptr },  // Inst #507 = USAT16
-  { 508,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #508 = USAX
-  { 509,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #509 = USUB16
-  { 510,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #510 = USUB8
-  { 511,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #511 = UXTAB
-  { 512,	6,	1,	304,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #512 = UXTAB16
-  { 513,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #513 = UXTAH
-  { 514,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #514 = UXTB
-  { 515,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #515 = UXTB16
-  { 516,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #516 = UXTH
-  { 517,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #517 = VABALsv2i64
-  { 518,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #518 = VABALsv4i32
-  { 519,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #519 = VABALsv8i16
-  { 520,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #520 = VABALuv2i64
-  { 521,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #521 = VABALuv4i32
-  { 522,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #522 = VABALuv8i16
-  { 523,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #523 = VABAsv16i8
-  { 524,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #524 = VABAsv2i32
-  { 525,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #525 = VABAsv4i16
-  { 526,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #526 = VABAsv4i32
-  { 527,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #527 = VABAsv8i16
-  { 528,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #528 = VABAsv8i8
-  { 529,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #529 = VABAuv16i8
-  { 530,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #530 = VABAuv2i32
-  { 531,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #531 = VABAuv4i16
-  { 532,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #532 = VABAuv4i32
-  { 533,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #533 = VABAuv8i16
-  { 534,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #534 = VABAuv8i8
-  { 535,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #535 = VABDLsv2i64
-  { 536,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #536 = VABDLsv4i32
-  { 537,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #537 = VABDLsv8i16
-  { 538,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #538 = VABDLuv2i64
-  { 539,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #539 = VABDLuv4i32
-  { 540,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #540 = VABDLuv8i16
-  { 541,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #541 = VABDfd
-  { 542,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #542 = VABDfq
-  { 543,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #543 = VABDsv16i8
-  { 544,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #544 = VABDsv2i32
-  { 545,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #545 = VABDsv4i16
-  { 546,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #546 = VABDsv4i32
-  { 547,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #547 = VABDsv8i16
-  { 548,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #548 = VABDsv8i8
-  { 549,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #549 = VABDuv16i8
-  { 550,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #550 = VABDuv2i32
-  { 551,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #551 = VABDuv4i16
-  { 552,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #552 = VABDuv4i32
-  { 553,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #553 = VABDuv8i16
-  { 554,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #554 = VABDuv8i8
-  { 555,	4,	1,	437,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #555 = VABSD
-  { 556,	4,	1,	438,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #556 = VABSS
-  { 557,	4,	1,	402,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #557 = VABSfd
-  { 558,	4,	1,	403,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #558 = VABSfq
-  { 559,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #559 = VABSv16i8
-  { 560,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #560 = VABSv2i32
-  { 561,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #561 = VABSv4i16
-  { 562,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #562 = VABSv4i32
-  { 563,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #563 = VABSv8i16
-  { 564,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #564 = VABSv8i8
-  { 565,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #565 = VACGEd
-  { 566,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #566 = VACGEq
-  { 567,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #567 = VACGTd
-  { 568,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #568 = VACGTq
-  { 569,	5,	1,	448,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #569 = VADDD
-  { 570,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #570 = VADDHNv2i32
-  { 571,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #571 = VADDHNv4i16
-  { 572,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #572 = VADDHNv8i8
-  { 573,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #573 = VADDLsv2i64
-  { 574,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #574 = VADDLsv4i32
-  { 575,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #575 = VADDLsv8i16
-  { 576,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #576 = VADDLuv2i64
-  { 577,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #577 = VADDLuv4i32
-  { 578,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #578 = VADDLuv8i16
-  { 579,	5,	1,	445,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #579 = VADDS
-  { 580,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #580 = VADDWsv2i64
-  { 581,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #581 = VADDWsv4i32
-  { 582,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #582 = VADDWsv8i16
-  { 583,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #583 = VADDWuv2i64
-  { 584,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #584 = VADDWuv4i32
-  { 585,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #585 = VADDWuv8i16
-  { 586,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #586 = VADDfd
-  { 587,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #587 = VADDfq
-  { 588,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #588 = VADDv16i8
-  { 589,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #589 = VADDv1i64
-  { 590,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #590 = VADDv2i32
-  { 591,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #591 = VADDv2i64
-  { 592,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #592 = VADDv4i16
-  { 593,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #593 = VADDv4i32
-  { 594,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #594 = VADDv8i16
-  { 595,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #595 = VADDv8i8
-  { 596,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #596 = VANDd
-  { 597,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #597 = VANDq
-  { 598,	5,	1,	382,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #598 = VBICd
-  { 599,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #599 = VBICiv2i32
-  { 600,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #600 = VBICiv4i16
-  { 601,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #601 = VBICiv4i32
-  { 602,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #602 = VBICiv8i16
-  { 603,	5,	1,	381,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #603 = VBICq
-  { 604,	6,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #604 = VBIFd
-  { 605,	6,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #605 = VBIFq
-  { 606,	6,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #606 = VBITd
-  { 607,	6,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #607 = VBITq
-  { 608,	6,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #608 = VBSLd
-  { 609,	6,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #609 = VBSLq
-  { 610,	5,	1,	406,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #610 = VCEQfd
-  { 611,	5,	1,	407,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #611 = VCEQfq
-  { 612,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #612 = VCEQv16i8
-  { 613,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #613 = VCEQv2i32
-  { 614,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #614 = VCEQv4i16
-  { 615,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #615 = VCEQv4i32
-  { 616,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #616 = VCEQv8i16
-  { 617,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #617 = VCEQv8i8
-  { 618,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #618 = VCEQzv16i8
-  { 619,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #619 = VCEQzv2f32
-  { 620,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #620 = VCEQzv2i32
-  { 621,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #621 = VCEQzv4f32
-  { 622,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #622 = VCEQzv4i16
-  { 623,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #623 = VCEQzv4i32
-  { 624,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #624 = VCEQzv8i16
-  { 625,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #625 = VCEQzv8i8
-  { 626,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #626 = VCGEfd
-  { 627,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #627 = VCGEfq
-  { 628,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #628 = VCGEsv16i8
-  { 629,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #629 = VCGEsv2i32
-  { 630,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #630 = VCGEsv4i16
-  { 631,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #631 = VCGEsv4i32
-  { 632,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #632 = VCGEsv8i16
-  { 633,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #633 = VCGEsv8i8
-  { 634,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #634 = VCGEuv16i8
-  { 635,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #635 = VCGEuv2i32
-  { 636,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #636 = VCGEuv4i16
-  { 637,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #637 = VCGEuv4i32
-  { 638,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #638 = VCGEuv8i16
-  { 639,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #639 = VCGEuv8i8
-  { 640,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #640 = VCGEzv16i8
-  { 641,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #641 = VCGEzv2f32
-  { 642,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #642 = VCGEzv2i32
-  { 643,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #643 = VCGEzv4f32
-  { 644,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #644 = VCGEzv4i16
-  { 645,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #645 = VCGEzv4i32
-  { 646,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #646 = VCGEzv8i16
-  { 647,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #647 = VCGEzv8i8
-  { 648,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #648 = VCGTfd
-  { 649,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #649 = VCGTfq
-  { 650,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #650 = VCGTsv16i8
-  { 651,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #651 = VCGTsv2i32
-  { 652,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #652 = VCGTsv4i16
-  { 653,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #653 = VCGTsv4i32
-  { 654,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #654 = VCGTsv8i16
-  { 655,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #655 = VCGTsv8i8
-  { 656,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #656 = VCGTuv16i8
-  { 657,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #657 = VCGTuv2i32
-  { 658,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #658 = VCGTuv4i16
-  { 659,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #659 = VCGTuv4i32
-  { 660,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #660 = VCGTuv8i16
-  { 661,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #661 = VCGTuv8i8
-  { 662,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #662 = VCGTzv16i8
-  { 663,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #663 = VCGTzv2f32
-  { 664,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #664 = VCGTzv2i32
-  { 665,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #665 = VCGTzv4f32
-  { 666,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #666 = VCGTzv4i16
-  { 667,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #667 = VCGTzv4i32
-  { 668,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #668 = VCGTzv8i16
-  { 669,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #669 = VCGTzv8i8
-  { 670,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #670 = VCLEzv16i8
-  { 671,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #671 = VCLEzv2f32
-  { 672,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #672 = VCLEzv2i32
-  { 673,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #673 = VCLEzv4f32
-  { 674,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #674 = VCLEzv4i16
-  { 675,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #675 = VCLEzv4i32
-  { 676,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #676 = VCLEzv8i16
-  { 677,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #677 = VCLEzv8i8
-  { 678,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #678 = VCLSv16i8
-  { 679,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #679 = VCLSv2i32
-  { 680,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #680 = VCLSv4i16
-  { 681,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #681 = VCLSv4i32
-  { 682,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #682 = VCLSv8i16
-  { 683,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #683 = VCLSv8i8
-  { 684,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #684 = VCLTzv16i8
-  { 685,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #685 = VCLTzv2f32
-  { 686,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #686 = VCLTzv2i32
-  { 687,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #687 = VCLTzv4f32
-  { 688,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #688 = VCLTzv4i16
-  { 689,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #689 = VCLTzv4i32
-  { 690,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #690 = VCLTzv8i16
-  { 691,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #691 = VCLTzv8i8
-  { 692,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #692 = VCLZv16i8
-  { 693,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #693 = VCLZv2i32
-  { 694,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #694 = VCLZv4i16
-  { 695,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #695 = VCLZv4i32
-  { 696,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #696 = VCLZv8i16
-  { 697,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #697 = VCLZv8i8
-  { 698,	4,	0,	439,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, ImplicitList4, OperandInfo129,0,nullptr },  // Inst #698 = VCMPD
-  { 699,	4,	0,	439,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, ImplicitList4, OperandInfo129,0,nullptr },  // Inst #699 = VCMPED
-  { 700,	4,	0,	440,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, ImplicitList4, OperandInfo130,0,nullptr },  // Inst #700 = VCMPES
-  { 701,	3,	0,	439,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, ImplicitList4, OperandInfo137,0,nullptr },  // Inst #701 = VCMPEZD
-  { 702,	3,	0,	440,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, ImplicitList4, OperandInfo138,0,nullptr },  // Inst #702 = VCMPEZS
-  { 703,	4,	0,	440,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28780ULL, nullptr, ImplicitList4, OperandInfo130,0,nullptr },  // Inst #703 = VCMPS
-  { 704,	3,	0,	439,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, ImplicitList4, OperandInfo137,0,nullptr },  // Inst #704 = VCMPZD
-  { 705,	3,	0,	440,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28780ULL, nullptr, ImplicitList4, OperandInfo138,0,nullptr },  // Inst #705 = VCMPZS
-  { 706,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #706 = VCNTd
-  { 707,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #707 = VCNTq
-  { 708,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #708 = VCVTANSD
-  { 709,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #709 = VCVTANSQ
-  { 710,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #710 = VCVTANUD
-  { 711,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #711 = VCVTANUQ
-  { 712,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #712 = VCVTASD
-  { 713,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #713 = VCVTASS
-  { 714,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #714 = VCVTAUD
-  { 715,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #715 = VCVTAUS
-  { 716,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo142,0,nullptr },  // Inst #716 = VCVTBDH
-  { 717,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #717 = VCVTBHD
-  { 718,	4,	1,	475,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #718 = VCVTBHS
-  { 719,	4,	1,	476,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #719 = VCVTBSH
-  { 720,	4,	1,	477,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #720 = VCVTDS
-  { 721,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #721 = VCVTMNSD
-  { 722,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #722 = VCVTMNSQ
-  { 723,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #723 = VCVTMNUD
-  { 724,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #724 = VCVTMNUQ
-  { 725,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #725 = VCVTMSD
-  { 726,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #726 = VCVTMSS
-  { 727,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #727 = VCVTMUD
-  { 728,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #728 = VCVTMUS
-  { 729,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #729 = VCVTNNSD
-  { 730,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #730 = VCVTNNSQ
-  { 731,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #731 = VCVTNNUD
-  { 732,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #732 = VCVTNNUQ
-  { 733,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #733 = VCVTNSD
-  { 734,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #734 = VCVTNSS
-  { 735,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #735 = VCVTNUD
-  { 736,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #736 = VCVTNUS
-  { 737,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #737 = VCVTPNSD
-  { 738,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #738 = VCVTPNSQ
-  { 739,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #739 = VCVTPNUD
-  { 740,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #740 = VCVTPNUQ
-  { 741,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #741 = VCVTPSD
-  { 742,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #742 = VCVTPSS
-  { 743,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #743 = VCVTPUD
-  { 744,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #744 = VCVTPUS
-  { 745,	4,	1,	478,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo142,0,nullptr },  // Inst #745 = VCVTSD
-  { 746,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo142,0,nullptr },  // Inst #746 = VCVTTDH
-  { 747,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #747 = VCVTTHD
-  { 748,	4,	1,	475,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #748 = VCVTTHS
-  { 749,	4,	1,	476,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #749 = VCVTTSH
-  { 750,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #750 = VCVTf2h
-  { 751,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #751 = VCVTf2sd
-  { 752,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #752 = VCVTf2sq
-  { 753,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #753 = VCVTf2ud
-  { 754,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #754 = VCVTf2uq
-  { 755,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #755 = VCVTf2xsd
-  { 756,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #756 = VCVTf2xsq
-  { 757,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #757 = VCVTf2xud
-  { 758,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #758 = VCVTf2xuq
-  { 759,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #759 = VCVTh2f
-  { 760,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #760 = VCVTs2fd
-  { 761,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #761 = VCVTs2fq
-  { 762,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #762 = VCVTu2fd
-  { 763,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #763 = VCVTu2fq
-  { 764,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #764 = VCVTxs2fd
-  { 765,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #765 = VCVTxs2fq
-  { 766,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #766 = VCVTxu2fd
-  { 767,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #767 = VCVTxu2fq
-  { 768,	5,	1,	588,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #768 = VDIVD
-  { 769,	5,	1,	586,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #769 = VDIVS
-  { 770,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #770 = VDUP16d
-  { 771,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #771 = VDUP16q
-  { 772,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #772 = VDUP32d
-  { 773,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #773 = VDUP32q
-  { 774,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #774 = VDUP8d
-  { 775,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #775 = VDUP8q
-  { 776,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #776 = VDUPLN16d
-  { 777,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #777 = VDUPLN16q
-  { 778,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #778 = VDUPLN32d
-  { 779,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #779 = VDUPLN32q
-  { 780,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #780 = VDUPLN8d
-  { 781,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #781 = VDUPLN8q
-  { 782,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #782 = VEORd
-  { 783,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #783 = VEORq
-  { 784,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #784 = VEXTd16
-  { 785,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #785 = VEXTd32
-  { 786,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #786 = VEXTd8
-  { 787,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #787 = VEXTq16
-  { 788,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #788 = VEXTq32
-  { 789,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #789 = VEXTq64
-  { 790,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #790 = VEXTq8
-  { 791,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #791 = VFMAD
-  { 792,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #792 = VFMAS
-  { 793,	6,	1,	472,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #793 = VFMAfd
-  { 794,	6,	1,	473,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #794 = VFMAfq
-  { 795,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #795 = VFMSD
-  { 796,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #796 = VFMSS
-  { 797,	6,	1,	472,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #797 = VFMSfd
-  { 798,	6,	1,	473,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #798 = VFMSfq
-  { 799,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #799 = VFNMAD
-  { 800,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #800 = VFNMAS
-  { 801,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #801 = VFNMSD
-  { 802,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #802 = VFNMSS
-  { 803,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #803 = VGETLNi32
-  { 804,	5,	1,	504,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #804 = VGETLNs16
-  { 805,	5,	1,	504,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #805 = VGETLNs8
-  { 806,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #806 = VGETLNu16
-  { 807,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #807 = VGETLNu8
-  { 808,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #808 = VHADDsv16i8
-  { 809,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #809 = VHADDsv2i32
-  { 810,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #810 = VHADDsv4i16
-  { 811,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #811 = VHADDsv4i32
-  { 812,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #812 = VHADDsv8i16
-  { 813,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #813 = VHADDsv8i8
-  { 814,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #814 = VHADDuv16i8
-  { 815,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #815 = VHADDuv2i32
-  { 816,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #816 = VHADDuv4i16
-  { 817,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #817 = VHADDuv4i32
-  { 818,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #818 = VHADDuv8i16
-  { 819,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #819 = VHADDuv8i8
-  { 820,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #820 = VHSUBsv16i8
-  { 821,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #821 = VHSUBsv2i32
-  { 822,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #822 = VHSUBsv4i16
-  { 823,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #823 = VHSUBsv4i32
-  { 824,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #824 = VHSUBsv8i16
-  { 825,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #825 = VHSUBsv8i8
-  { 826,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #826 = VHSUBuv16i8
-  { 827,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #827 = VHSUBuv2i32
-  { 828,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #828 = VHSUBuv4i16
-  { 829,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #829 = VHSUBuv4i32
-  { 830,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #830 = VHSUBuv8i16
-  { 831,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #831 = VHSUBuv8i8
-  { 832,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #832 = VLD1DUPd16
-  { 833,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #833 = VLD1DUPd16wb_fixed
-  { 834,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #834 = VLD1DUPd16wb_register
-  { 835,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #835 = VLD1DUPd32
-  { 836,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #836 = VLD1DUPd32wb_fixed
-  { 837,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #837 = VLD1DUPd32wb_register
-  { 838,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #838 = VLD1DUPd8
-  { 839,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #839 = VLD1DUPd8wb_fixed
-  { 840,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #840 = VLD1DUPd8wb_register
-  { 841,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #841 = VLD1DUPq16
-  { 842,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #842 = VLD1DUPq16wb_fixed
-  { 843,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #843 = VLD1DUPq16wb_register
-  { 844,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #844 = VLD1DUPq32
-  { 845,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #845 = VLD1DUPq32wb_fixed
-  { 846,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #846 = VLD1DUPq32wb_register
-  { 847,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #847 = VLD1DUPq8
-  { 848,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #848 = VLD1DUPq8wb_fixed
-  { 849,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #849 = VLD1DUPq8wb_register
-  { 850,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #850 = VLD1LNd16
-  { 851,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #851 = VLD1LNd16_UPD
-  { 852,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #852 = VLD1LNd32
-  { 853,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #853 = VLD1LNd32_UPD
-  { 854,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #854 = VLD1LNd8
-  { 855,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #855 = VLD1LNd8_UPD
-  { 856,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #856 = VLD1LNdAsm_16
-  { 857,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #857 = VLD1LNdAsm_32
-  { 858,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #858 = VLD1LNdAsm_8
-  { 859,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #859 = VLD1LNdWB_fixed_Asm_16
-  { 860,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #860 = VLD1LNdWB_fixed_Asm_32
-  { 861,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #861 = VLD1LNdWB_fixed_Asm_8
-  { 862,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #862 = VLD1LNdWB_register_Asm_16
-  { 863,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #863 = VLD1LNdWB_register_Asm_32
-  { 864,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #864 = VLD1LNdWB_register_Asm_8
-  { 865,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #865 = VLD1LNq16Pseudo
-  { 866,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #866 = VLD1LNq16Pseudo_UPD
-  { 867,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #867 = VLD1LNq32Pseudo
-  { 868,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #868 = VLD1LNq32Pseudo_UPD
-  { 869,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #869 = VLD1LNq8Pseudo
-  { 870,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #870 = VLD1LNq8Pseudo_UPD
-  { 871,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #871 = VLD1d16
-  { 872,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #872 = VLD1d16Q
-  { 873,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #873 = VLD1d16Qwb_fixed
-  { 874,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #874 = VLD1d16Qwb_register
-  { 875,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #875 = VLD1d16T
-  { 876,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #876 = VLD1d16Twb_fixed
-  { 877,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #877 = VLD1d16Twb_register
-  { 878,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #878 = VLD1d16wb_fixed
-  { 879,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #879 = VLD1d16wb_register
-  { 880,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #880 = VLD1d32
-  { 881,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #881 = VLD1d32Q
-  { 882,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #882 = VLD1d32Qwb_fixed
-  { 883,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #883 = VLD1d32Qwb_register
-  { 884,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #884 = VLD1d32T
-  { 885,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #885 = VLD1d32Twb_fixed
-  { 886,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #886 = VLD1d32Twb_register
-  { 887,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #887 = VLD1d32wb_fixed
-  { 888,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #888 = VLD1d32wb_register
-  { 889,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #889 = VLD1d64
-  { 890,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #890 = VLD1d64Q
-  { 891,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #891 = VLD1d64QPseudo
-  { 892,	6,	2,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #892 = VLD1d64QPseudoWB_fixed
-  { 893,	7,	2,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #893 = VLD1d64QPseudoWB_register
-  { 894,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #894 = VLD1d64Qwb_fixed
-  { 895,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #895 = VLD1d64Qwb_register
-  { 896,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #896 = VLD1d64T
-  { 897,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #897 = VLD1d64TPseudo
-  { 898,	6,	2,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #898 = VLD1d64TPseudoWB_fixed
-  { 899,	7,	2,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #899 = VLD1d64TPseudoWB_register
-  { 900,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #900 = VLD1d64Twb_fixed
-  { 901,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #901 = VLD1d64Twb_register
-  { 902,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #902 = VLD1d64wb_fixed
-  { 903,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #903 = VLD1d64wb_register
-  { 904,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #904 = VLD1d8
-  { 905,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #905 = VLD1d8Q
-  { 906,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #906 = VLD1d8Qwb_fixed
-  { 907,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #907 = VLD1d8Qwb_register
-  { 908,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #908 = VLD1d8T
-  { 909,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #909 = VLD1d8Twb_fixed
-  { 910,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #910 = VLD1d8Twb_register
-  { 911,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #911 = VLD1d8wb_fixed
-  { 912,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #912 = VLD1d8wb_register
-  { 913,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #913 = VLD1q16
-  { 914,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #914 = VLD1q16wb_fixed
-  { 915,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #915 = VLD1q16wb_register
-  { 916,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #916 = VLD1q32
-  { 917,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #917 = VLD1q32wb_fixed
-  { 918,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #918 = VLD1q32wb_register
-  { 919,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #919 = VLD1q64
-  { 920,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #920 = VLD1q64wb_fixed
-  { 921,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #921 = VLD1q64wb_register
-  { 922,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #922 = VLD1q8
-  { 923,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #923 = VLD1q8wb_fixed
-  { 924,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #924 = VLD1q8wb_register
-  { 925,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #925 = VLD2DUPd16
-  { 926,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #926 = VLD2DUPd16wb_fixed
-  { 927,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #927 = VLD2DUPd16wb_register
-  { 928,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #928 = VLD2DUPd16x2
-  { 929,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #929 = VLD2DUPd16x2wb_fixed
-  { 930,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #930 = VLD2DUPd16x2wb_register
-  { 931,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #931 = VLD2DUPd32
-  { 932,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #932 = VLD2DUPd32wb_fixed
-  { 933,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #933 = VLD2DUPd32wb_register
-  { 934,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #934 = VLD2DUPd32x2
-  { 935,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #935 = VLD2DUPd32x2wb_fixed
-  { 936,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #936 = VLD2DUPd32x2wb_register
-  { 937,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #937 = VLD2DUPd8
-  { 938,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #938 = VLD2DUPd8wb_fixed
-  { 939,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #939 = VLD2DUPd8wb_register
-  { 940,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #940 = VLD2DUPd8x2
-  { 941,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #941 = VLD2DUPd8x2wb_fixed
-  { 942,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #942 = VLD2DUPd8x2wb_register
-  { 943,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #943 = VLD2LNd16
-  { 944,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #944 = VLD2LNd16Pseudo
-  { 945,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #945 = VLD2LNd16Pseudo_UPD
-  { 946,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #946 = VLD2LNd16_UPD
-  { 947,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #947 = VLD2LNd32
-  { 948,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #948 = VLD2LNd32Pseudo
-  { 949,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #949 = VLD2LNd32Pseudo_UPD
-  { 950,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #950 = VLD2LNd32_UPD
-  { 951,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #951 = VLD2LNd8
-  { 952,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #952 = VLD2LNd8Pseudo
-  { 953,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #953 = VLD2LNd8Pseudo_UPD
-  { 954,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #954 = VLD2LNd8_UPD
-  { 955,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #955 = VLD2LNdAsm_16
-  { 956,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #956 = VLD2LNdAsm_32
-  { 957,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #957 = VLD2LNdAsm_8
-  { 958,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #958 = VLD2LNdWB_fixed_Asm_16
-  { 959,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #959 = VLD2LNdWB_fixed_Asm_32
-  { 960,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #960 = VLD2LNdWB_fixed_Asm_8
-  { 961,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #961 = VLD2LNdWB_register_Asm_16
-  { 962,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #962 = VLD2LNdWB_register_Asm_32
-  { 963,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #963 = VLD2LNdWB_register_Asm_8
-  { 964,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #964 = VLD2LNq16
-  { 965,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #965 = VLD2LNq16Pseudo
-  { 966,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #966 = VLD2LNq16Pseudo_UPD
-  { 967,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #967 = VLD2LNq16_UPD
-  { 968,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #968 = VLD2LNq32
-  { 969,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #969 = VLD2LNq32Pseudo
-  { 970,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #970 = VLD2LNq32Pseudo_UPD
-  { 971,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #971 = VLD2LNq32_UPD
-  { 972,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #972 = VLD2LNqAsm_16
-  { 973,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #973 = VLD2LNqAsm_32
-  { 974,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #974 = VLD2LNqWB_fixed_Asm_16
-  { 975,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #975 = VLD2LNqWB_fixed_Asm_32
-  { 976,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #976 = VLD2LNqWB_register_Asm_16
-  { 977,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #977 = VLD2LNqWB_register_Asm_32
-  { 978,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #978 = VLD2b16
-  { 979,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #979 = VLD2b16wb_fixed
-  { 980,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #980 = VLD2b16wb_register
-  { 981,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #981 = VLD2b32
-  { 982,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #982 = VLD2b32wb_fixed
-  { 983,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #983 = VLD2b32wb_register
-  { 984,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #984 = VLD2b8
-  { 985,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #985 = VLD2b8wb_fixed
-  { 986,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #986 = VLD2b8wb_register
-  { 987,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #987 = VLD2d16
-  { 988,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #988 = VLD2d16wb_fixed
-  { 989,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #989 = VLD2d16wb_register
-  { 990,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #990 = VLD2d32
-  { 991,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #991 = VLD2d32wb_fixed
-  { 992,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #992 = VLD2d32wb_register
-  { 993,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #993 = VLD2d8
-  { 994,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #994 = VLD2d8wb_fixed
-  { 995,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #995 = VLD2d8wb_register
-  { 996,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #996 = VLD2q16
-  { 997,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #997 = VLD2q16Pseudo
-  { 998,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #998 = VLD2q16PseudoWB_fixed
-  { 999,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #999 = VLD2q16PseudoWB_register
-  { 1000,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #1000 = VLD2q16wb_fixed
-  { 1001,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1001 = VLD2q16wb_register
-  { 1002,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1002 = VLD2q32
-  { 1003,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1003 = VLD2q32Pseudo
-  { 1004,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1004 = VLD2q32PseudoWB_fixed
-  { 1005,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #1005 = VLD2q32PseudoWB_register
-  { 1006,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #1006 = VLD2q32wb_fixed
-  { 1007,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1007 = VLD2q32wb_register
-  { 1008,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1008 = VLD2q8
-  { 1009,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1009 = VLD2q8Pseudo
-  { 1010,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1010 = VLD2q8PseudoWB_fixed
-  { 1011,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #1011 = VLD2q8PseudoWB_register
-  { 1012,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #1012 = VLD2q8wb_fixed
-  { 1013,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1013 = VLD2q8wb_register
-  { 1014,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1014 = VLD3DUPd16
-  { 1015,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1015 = VLD3DUPd16Pseudo
-  { 1016,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1016 = VLD3DUPd16Pseudo_UPD
-  { 1017,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1017 = VLD3DUPd16_UPD
-  { 1018,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1018 = VLD3DUPd32
-  { 1019,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1019 = VLD3DUPd32Pseudo
-  { 1020,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1020 = VLD3DUPd32Pseudo_UPD
-  { 1021,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1021 = VLD3DUPd32_UPD
-  { 1022,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1022 = VLD3DUPd8
-  { 1023,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1023 = VLD3DUPd8Pseudo
-  { 1024,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1024 = VLD3DUPd8Pseudo_UPD
-  { 1025,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1025 = VLD3DUPd8_UPD
-  { 1026,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1026 = VLD3DUPdAsm_16
-  { 1027,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1027 = VLD3DUPdAsm_32
-  { 1028,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1028 = VLD3DUPdAsm_8
-  { 1029,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1029 = VLD3DUPdWB_fixed_Asm_16
-  { 1030,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1030 = VLD3DUPdWB_fixed_Asm_32
-  { 1031,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1031 = VLD3DUPdWB_fixed_Asm_8
-  { 1032,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1032 = VLD3DUPdWB_register_Asm_16
-  { 1033,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1033 = VLD3DUPdWB_register_Asm_32
-  { 1034,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1034 = VLD3DUPdWB_register_Asm_8
-  { 1035,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1035 = VLD3DUPq16
-  { 1036,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1036 = VLD3DUPq16_UPD
-  { 1037,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1037 = VLD3DUPq32
-  { 1038,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1038 = VLD3DUPq32_UPD
-  { 1039,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1039 = VLD3DUPq8
-  { 1040,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1040 = VLD3DUPq8_UPD
-  { 1041,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1041 = VLD3DUPqAsm_16
-  { 1042,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1042 = VLD3DUPqAsm_32
-  { 1043,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1043 = VLD3DUPqAsm_8
-  { 1044,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1044 = VLD3DUPqWB_fixed_Asm_16
-  { 1045,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1045 = VLD3DUPqWB_fixed_Asm_32
-  { 1046,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1046 = VLD3DUPqWB_fixed_Asm_8
-  { 1047,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1047 = VLD3DUPqWB_register_Asm_16
-  { 1048,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1048 = VLD3DUPqWB_register_Asm_32
-  { 1049,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1049 = VLD3DUPqWB_register_Asm_8
-  { 1050,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1050 = VLD3LNd16
-  { 1051,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1051 = VLD3LNd16Pseudo
-  { 1052,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1052 = VLD3LNd16Pseudo_UPD
-  { 1053,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1053 = VLD3LNd16_UPD
-  { 1054,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1054 = VLD3LNd32
-  { 1055,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1055 = VLD3LNd32Pseudo
-  { 1056,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1056 = VLD3LNd32Pseudo_UPD
-  { 1057,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1057 = VLD3LNd32_UPD
-  { 1058,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1058 = VLD3LNd8
-  { 1059,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1059 = VLD3LNd8Pseudo
-  { 1060,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1060 = VLD3LNd8Pseudo_UPD
-  { 1061,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1061 = VLD3LNd8_UPD
-  { 1062,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1062 = VLD3LNdAsm_16
-  { 1063,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1063 = VLD3LNdAsm_32
-  { 1064,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1064 = VLD3LNdAsm_8
-  { 1065,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1065 = VLD3LNdWB_fixed_Asm_16
-  { 1066,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1066 = VLD3LNdWB_fixed_Asm_32
-  { 1067,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1067 = VLD3LNdWB_fixed_Asm_8
-  { 1068,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1068 = VLD3LNdWB_register_Asm_16
-  { 1069,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1069 = VLD3LNdWB_register_Asm_32
-  { 1070,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1070 = VLD3LNdWB_register_Asm_8
-  { 1071,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1071 = VLD3LNq16
-  { 1072,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1072 = VLD3LNq16Pseudo
-  { 1073,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1073 = VLD3LNq16Pseudo_UPD
-  { 1074,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1074 = VLD3LNq16_UPD
-  { 1075,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1075 = VLD3LNq32
-  { 1076,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1076 = VLD3LNq32Pseudo
-  { 1077,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1077 = VLD3LNq32Pseudo_UPD
-  { 1078,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1078 = VLD3LNq32_UPD
-  { 1079,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1079 = VLD3LNqAsm_16
-  { 1080,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1080 = VLD3LNqAsm_32
-  { 1081,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1081 = VLD3LNqWB_fixed_Asm_16
-  { 1082,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1082 = VLD3LNqWB_fixed_Asm_32
-  { 1083,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1083 = VLD3LNqWB_register_Asm_16
-  { 1084,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1084 = VLD3LNqWB_register_Asm_32
-  { 1085,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1085 = VLD3d16
-  { 1086,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1086 = VLD3d16Pseudo
-  { 1087,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1087 = VLD3d16Pseudo_UPD
-  { 1088,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1088 = VLD3d16_UPD
-  { 1089,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1089 = VLD3d32
-  { 1090,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1090 = VLD3d32Pseudo
-  { 1091,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1091 = VLD3d32Pseudo_UPD
-  { 1092,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1092 = VLD3d32_UPD
-  { 1093,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1093 = VLD3d8
-  { 1094,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1094 = VLD3d8Pseudo
-  { 1095,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1095 = VLD3d8Pseudo_UPD
-  { 1096,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1096 = VLD3d8_UPD
-  { 1097,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1097 = VLD3dAsm_16
-  { 1098,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1098 = VLD3dAsm_32
-  { 1099,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1099 = VLD3dAsm_8
-  { 1100,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1100 = VLD3dWB_fixed_Asm_16
-  { 1101,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1101 = VLD3dWB_fixed_Asm_32
-  { 1102,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1102 = VLD3dWB_fixed_Asm_8
-  { 1103,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1103 = VLD3dWB_register_Asm_16
-  { 1104,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1104 = VLD3dWB_register_Asm_32
-  { 1105,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1105 = VLD3dWB_register_Asm_8
-  { 1106,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1106 = VLD3q16
-  { 1107,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1107 = VLD3q16Pseudo_UPD
-  { 1108,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1108 = VLD3q16_UPD
-  { 1109,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1109 = VLD3q16oddPseudo
-  { 1110,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1110 = VLD3q16oddPseudo_UPD
-  { 1111,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1111 = VLD3q32
-  { 1112,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1112 = VLD3q32Pseudo_UPD
-  { 1113,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1113 = VLD3q32_UPD
-  { 1114,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1114 = VLD3q32oddPseudo
-  { 1115,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1115 = VLD3q32oddPseudo_UPD
-  { 1116,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #1116 = VLD3q8
-  { 1117,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1117 = VLD3q8Pseudo_UPD
-  { 1118,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1118 = VLD3q8_UPD
-  { 1119,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1119 = VLD3q8oddPseudo
-  { 1120,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1120 = VLD3q8oddPseudo_UPD
-  { 1121,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1121 = VLD3qAsm_16
-  { 1122,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1122 = VLD3qAsm_32
-  { 1123,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1123 = VLD3qAsm_8
-  { 1124,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1124 = VLD3qWB_fixed_Asm_16
-  { 1125,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1125 = VLD3qWB_fixed_Asm_32
-  { 1126,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1126 = VLD3qWB_fixed_Asm_8
-  { 1127,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1127 = VLD3qWB_register_Asm_16
-  { 1128,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1128 = VLD3qWB_register_Asm_32
-  { 1129,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1129 = VLD3qWB_register_Asm_8
-  { 1130,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1130 = VLD4DUPd16
-  { 1131,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1131 = VLD4DUPd16Pseudo
-  { 1132,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1132 = VLD4DUPd16Pseudo_UPD
-  { 1133,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1133 = VLD4DUPd16_UPD
-  { 1134,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1134 = VLD4DUPd32
-  { 1135,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1135 = VLD4DUPd32Pseudo
-  { 1136,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1136 = VLD4DUPd32Pseudo_UPD
-  { 1137,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1137 = VLD4DUPd32_UPD
-  { 1138,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1138 = VLD4DUPd8
-  { 1139,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1139 = VLD4DUPd8Pseudo
-  { 1140,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1140 = VLD4DUPd8Pseudo_UPD
-  { 1141,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1141 = VLD4DUPd8_UPD
-  { 1142,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1142 = VLD4DUPdAsm_16
-  { 1143,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1143 = VLD4DUPdAsm_32
-  { 1144,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1144 = VLD4DUPdAsm_8
-  { 1145,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1145 = VLD4DUPdWB_fixed_Asm_16
-  { 1146,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1146 = VLD4DUPdWB_fixed_Asm_32
-  { 1147,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1147 = VLD4DUPdWB_fixed_Asm_8
-  { 1148,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1148 = VLD4DUPdWB_register_Asm_16
-  { 1149,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1149 = VLD4DUPdWB_register_Asm_32
-  { 1150,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1150 = VLD4DUPdWB_register_Asm_8
-  { 1151,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1151 = VLD4DUPq16
-  { 1152,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1152 = VLD4DUPq16_UPD
-  { 1153,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1153 = VLD4DUPq32
-  { 1154,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1154 = VLD4DUPq32_UPD
-  { 1155,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1155 = VLD4DUPq8
-  { 1156,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1156 = VLD4DUPq8_UPD
-  { 1157,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1157 = VLD4DUPqAsm_16
-  { 1158,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1158 = VLD4DUPqAsm_32
-  { 1159,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1159 = VLD4DUPqAsm_8
-  { 1160,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1160 = VLD4DUPqWB_fixed_Asm_16
-  { 1161,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1161 = VLD4DUPqWB_fixed_Asm_32
-  { 1162,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1162 = VLD4DUPqWB_fixed_Asm_8
-  { 1163,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1163 = VLD4DUPqWB_register_Asm_16
-  { 1164,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1164 = VLD4DUPqWB_register_Asm_32
-  { 1165,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1165 = VLD4DUPqWB_register_Asm_8
-  { 1166,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1166 = VLD4LNd16
-  { 1167,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1167 = VLD4LNd16Pseudo
-  { 1168,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1168 = VLD4LNd16Pseudo_UPD
-  { 1169,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1169 = VLD4LNd16_UPD
-  { 1170,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1170 = VLD4LNd32
-  { 1171,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1171 = VLD4LNd32Pseudo
-  { 1172,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1172 = VLD4LNd32Pseudo_UPD
-  { 1173,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1173 = VLD4LNd32_UPD
-  { 1174,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1174 = VLD4LNd8
-  { 1175,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1175 = VLD4LNd8Pseudo
-  { 1176,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1176 = VLD4LNd8Pseudo_UPD
-  { 1177,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1177 = VLD4LNd8_UPD
-  { 1178,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1178 = VLD4LNdAsm_16
-  { 1179,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1179 = VLD4LNdAsm_32
-  { 1180,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1180 = VLD4LNdAsm_8
-  { 1181,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1181 = VLD4LNdWB_fixed_Asm_16
-  { 1182,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1182 = VLD4LNdWB_fixed_Asm_32
-  { 1183,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1183 = VLD4LNdWB_fixed_Asm_8
-  { 1184,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1184 = VLD4LNdWB_register_Asm_16
-  { 1185,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1185 = VLD4LNdWB_register_Asm_32
-  { 1186,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1186 = VLD4LNdWB_register_Asm_8
-  { 1187,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1187 = VLD4LNq16
-  { 1188,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1188 = VLD4LNq16Pseudo
-  { 1189,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1189 = VLD4LNq16Pseudo_UPD
-  { 1190,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1190 = VLD4LNq16_UPD
-  { 1191,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1191 = VLD4LNq32
-  { 1192,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1192 = VLD4LNq32Pseudo
-  { 1193,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1193 = VLD4LNq32Pseudo_UPD
-  { 1194,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1194 = VLD4LNq32_UPD
-  { 1195,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1195 = VLD4LNqAsm_16
-  { 1196,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1196 = VLD4LNqAsm_32
-  { 1197,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1197 = VLD4LNqWB_fixed_Asm_16
-  { 1198,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1198 = VLD4LNqWB_fixed_Asm_32
-  { 1199,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1199 = VLD4LNqWB_register_Asm_16
-  { 1200,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1200 = VLD4LNqWB_register_Asm_32
-  { 1201,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1201 = VLD4d16
-  { 1202,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1202 = VLD4d16Pseudo
-  { 1203,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1203 = VLD4d16Pseudo_UPD
-  { 1204,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1204 = VLD4d16_UPD
-  { 1205,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1205 = VLD4d32
-  { 1206,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1206 = VLD4d32Pseudo
-  { 1207,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1207 = VLD4d32Pseudo_UPD
-  { 1208,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1208 = VLD4d32_UPD
-  { 1209,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1209 = VLD4d8
-  { 1210,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1210 = VLD4d8Pseudo
-  { 1211,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #1211 = VLD4d8Pseudo_UPD
-  { 1212,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1212 = VLD4d8_UPD
-  { 1213,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1213 = VLD4dAsm_16
-  { 1214,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1214 = VLD4dAsm_32
-  { 1215,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1215 = VLD4dAsm_8
-  { 1216,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1216 = VLD4dWB_fixed_Asm_16
-  { 1217,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1217 = VLD4dWB_fixed_Asm_32
-  { 1218,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1218 = VLD4dWB_fixed_Asm_8
-  { 1219,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1219 = VLD4dWB_register_Asm_16
-  { 1220,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1220 = VLD4dWB_register_Asm_32
-  { 1221,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1221 = VLD4dWB_register_Asm_8
-  { 1222,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1222 = VLD4q16
-  { 1223,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1223 = VLD4q16Pseudo_UPD
-  { 1224,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1224 = VLD4q16_UPD
-  { 1225,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1225 = VLD4q16oddPseudo
-  { 1226,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1226 = VLD4q16oddPseudo_UPD
-  { 1227,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1227 = VLD4q32
-  { 1228,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1228 = VLD4q32Pseudo_UPD
-  { 1229,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1229 = VLD4q32_UPD
-  { 1230,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1230 = VLD4q32oddPseudo
-  { 1231,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1231 = VLD4q32oddPseudo_UPD
-  { 1232,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1232 = VLD4q8
-  { 1233,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1233 = VLD4q8Pseudo_UPD
-  { 1234,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1234 = VLD4q8_UPD
-  { 1235,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1235 = VLD4q8oddPseudo
-  { 1236,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1236 = VLD4q8oddPseudo_UPD
-  { 1237,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1237 = VLD4qAsm_16
-  { 1238,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1238 = VLD4qAsm_32
-  { 1239,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1239 = VLD4qAsm_8
-  { 1240,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1240 = VLD4qWB_fixed_Asm_16
-  { 1241,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1241 = VLD4qWB_fixed_Asm_32
-  { 1242,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #1242 = VLD4qWB_fixed_Asm_8
-  { 1243,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1243 = VLD4qWB_register_Asm_16
-  { 1244,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1244 = VLD4qWB_register_Asm_32
-  { 1245,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1245 = VLD4qWB_register_Asm_8
-  { 1246,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #1246 = VLDMDDB_UPD
-  { 1247,	4,	0,	514,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8b84ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1247 = VLDMDIA
-  { 1248,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #1248 = VLDMDIA_UPD
-  { 1249,	4,	1,	512,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x18004ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1249 = VLDMQIA
-  { 1250,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #1250 = VLDMSDB_UPD
-  { 1251,	4,	0,	514,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18b84ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1251 = VLDMSIA
-  { 1252,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #1252 = VLDMSIA_UPD
-  { 1253,	5,	1,	508,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x18b05ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1253 = VLDRD
-  { 1254,	5,	1,	509,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x18b05ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1254 = VLDRS
-  { 1255,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1255 = VMAXNMD
-  { 1256,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1256 = VMAXNMND
-  { 1257,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo192,0,nullptr },  // Inst #1257 = VMAXNMNQ
-  { 1258,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo193,0,nullptr },  // Inst #1258 = VMAXNMS
-  { 1259,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1259 = VMAXfd
-  { 1260,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1260 = VMAXfq
-  { 1261,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1261 = VMAXsv16i8
-  { 1262,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1262 = VMAXsv2i32
-  { 1263,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1263 = VMAXsv4i16
-  { 1264,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1264 = VMAXsv4i32
-  { 1265,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1265 = VMAXsv8i16
-  { 1266,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1266 = VMAXsv8i8
-  { 1267,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1267 = VMAXuv16i8
-  { 1268,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1268 = VMAXuv2i32
-  { 1269,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1269 = VMAXuv4i16
-  { 1270,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1270 = VMAXuv4i32
-  { 1271,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1271 = VMAXuv8i16
-  { 1272,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1272 = VMAXuv8i8
-  { 1273,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1273 = VMINNMD
-  { 1274,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1274 = VMINNMND
-  { 1275,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo192,0,nullptr },  // Inst #1275 = VMINNMNQ
-  { 1276,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo193,0,nullptr },  // Inst #1276 = VMINNMS
-  { 1277,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1277 = VMINfd
-  { 1278,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1278 = VMINfq
-  { 1279,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1279 = VMINsv16i8
-  { 1280,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1280 = VMINsv2i32
-  { 1281,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1281 = VMINsv4i16
-  { 1282,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1282 = VMINsv4i32
-  { 1283,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1283 = VMINsv8i16
-  { 1284,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1284 = VMINsv8i8
-  { 1285,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1285 = VMINuv16i8
-  { 1286,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1286 = VMINuv2i32
-  { 1287,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1287 = VMINuv4i16
-  { 1288,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1288 = VMINuv4i32
-  { 1289,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1289 = VMINuv8i16
-  { 1290,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1290 = VMINuv8i8
-  { 1291,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1291 = VMLAD
-  { 1292,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1292 = VMLALslsv2i32
-  { 1293,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1293 = VMLALslsv4i16
-  { 1294,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1294 = VMLALsluv2i32
-  { 1295,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1295 = VMLALsluv4i16
-  { 1296,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1296 = VMLALsv2i64
-  { 1297,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1297 = VMLALsv4i32
-  { 1298,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1298 = VMLALsv8i16
-  { 1299,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1299 = VMLALuv2i64
-  { 1300,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1300 = VMLALuv4i32
-  { 1301,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1301 = VMLALuv8i16
-  { 1302,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #1302 = VMLAS
-  { 1303,	6,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1303 = VMLAfd
-  { 1304,	6,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1304 = VMLAfq
-  { 1305,	7,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1305 = VMLAslfd
-  { 1306,	7,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1306 = VMLAslfq
-  { 1307,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1307 = VMLAslv2i32
-  { 1308,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1308 = VMLAslv4i16
-  { 1309,	7,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1309 = VMLAslv4i32
-  { 1310,	7,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1310 = VMLAslv8i16
-  { 1311,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1311 = VMLAv16i8
-  { 1312,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1312 = VMLAv2i32
-  { 1313,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1313 = VMLAv4i16
-  { 1314,	6,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1314 = VMLAv4i32
-  { 1315,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1315 = VMLAv8i16
-  { 1316,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1316 = VMLAv8i8
-  { 1317,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1317 = VMLSD
-  { 1318,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1318 = VMLSLslsv2i32
-  { 1319,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1319 = VMLSLslsv4i16
-  { 1320,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1320 = VMLSLsluv2i32
-  { 1321,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1321 = VMLSLsluv4i16
-  { 1322,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1322 = VMLSLsv2i64
-  { 1323,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1323 = VMLSLsv4i32
-  { 1324,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1324 = VMLSLsv8i16
-  { 1325,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1325 = VMLSLuv2i64
-  { 1326,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1326 = VMLSLuv4i32
-  { 1327,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1327 = VMLSLuv8i16
-  { 1328,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #1328 = VMLSS
-  { 1329,	6,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1329 = VMLSfd
-  { 1330,	6,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1330 = VMLSfq
-  { 1331,	7,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1331 = VMLSslfd
-  { 1332,	7,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1332 = VMLSslfq
-  { 1333,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1333 = VMLSslv2i32
-  { 1334,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1334 = VMLSslv4i16
-  { 1335,	7,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1335 = VMLSslv4i32
-  { 1336,	7,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1336 = VMLSslv8i16
-  { 1337,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1337 = VMLSv16i8
-  { 1338,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1338 = VMLSv2i32
-  { 1339,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1339 = VMLSv4i16
-  { 1340,	6,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1340 = VMLSv4i32
-  { 1341,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #1341 = VMLSv8i16
-  { 1342,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1342 = VMLSv8i8
-  { 1343,	4,	1,	487,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1343 = VMOVD
-  { 1344,	1,	1,	101,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo200,0,nullptr },  // Inst #1344 = VMOVD0
-  { 1345,	5,	1,	501,	4,	0|(1<<MCID_Predicable)|(1<<MCID_RegSequence), 0x18a80ULL, nullptr, nullptr, OperandInfo201,0,nullptr },  // Inst #1345 = VMOVDRR
-  { 1346,	5,	1,	487,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1346 = VMOVDcc
-  { 1347,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1347 = VMOVLsv2i64
-  { 1348,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1348 = VMOVLsv4i32
-  { 1349,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1349 = VMOVLsv8i16
-  { 1350,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1350 = VMOVLuv2i64
-  { 1351,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1351 = VMOVLuv4i32
-  { 1352,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1352 = VMOVLuv8i16
-  { 1353,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1353 = VMOVNv2i32
-  { 1354,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1354 = VMOVNv4i16
-  { 1355,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1355 = VMOVNv8i8
-  { 1356,	1,	1,	101,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo203,0,nullptr },  // Inst #1356 = VMOVQ0
-  { 1357,	5,	2,	500,	4,	0|(1<<MCID_Predicable), 0x18980ULL, nullptr, nullptr, OperandInfo204,0,nullptr },  // Inst #1357 = VMOVRRD
-  { 1358,	6,	2,	500,	4,	0|(1<<MCID_Predicable), 0x18980ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1358 = VMOVRRS
-  { 1359,	4,	1,	497,	4,	0|(1<<MCID_Bitcast)|(1<<MCID_Predicable), 0x18900ULL, nullptr, nullptr, OperandInfo206,0,nullptr },  // Inst #1359 = VMOVRS
-  { 1360,	4,	1,	488,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1360 = VMOVS
-  { 1361,	4,	1,	498,	4,	0|(1<<MCID_Bitcast)|(1<<MCID_Predicable), 0x18a00ULL, nullptr, nullptr, OperandInfo207,0,nullptr },  // Inst #1361 = VMOVSR
-  { 1362,	6,	2,	502,	4,	0|(1<<MCID_Predicable), 0x18a80ULL, nullptr, nullptr, OperandInfo208,0,nullptr },  // Inst #1362 = VMOVSRR
-  { 1363,	5,	1,	488,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo209,0,nullptr },  // Inst #1363 = VMOVScc
-  { 1364,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1364 = VMOVv16i8
-  { 1365,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1365 = VMOVv1i64
-  { 1366,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1366 = VMOVv2f32
-  { 1367,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1367 = VMOVv2i32
-  { 1368,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1368 = VMOVv2i64
-  { 1369,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1369 = VMOVv4f32
-  { 1370,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1370 = VMOVv4i16
-  { 1371,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1371 = VMOVv4i32
-  { 1372,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1372 = VMOVv8i16
-  { 1373,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1373 = VMOVv8i8
-  { 1374,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1374 = VMRS
-  { 1375,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1375 = VMRS_FPEXC
-  { 1376,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1376 = VMRS_FPINST
-  { 1377,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1377 = VMRS_FPINST2
-  { 1378,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1378 = VMRS_FPSID
-  { 1379,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1379 = VMRS_MVFR0
-  { 1380,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1380 = VMRS_MVFR1
-  { 1381,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList9, nullptr, OperandInfo33,0,nullptr },  // Inst #1381 = VMRS_MVFR2
-  { 1382,	3,	0,	506,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList9, OperandInfo33,0,nullptr },  // Inst #1382 = VMSR
-  { 1383,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList9, OperandInfo33,0,nullptr },  // Inst #1383 = VMSR_FPEXC
-  { 1384,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList9, OperandInfo33,0,nullptr },  // Inst #1384 = VMSR_FPINST
-  { 1385,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList9, OperandInfo33,0,nullptr },  // Inst #1385 = VMSR_FPINST2
-  { 1386,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList9, OperandInfo33,0,nullptr },  // Inst #1386 = VMSR_FPSID
-  { 1387,	5,	1,	461,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1387 = VMULD
-  { 1388,	3,	1,	451,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo211,0,nullptr },  // Inst #1388 = VMULLp64
-  { 1389,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1389 = VMULLp8
-  { 1390,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo212,0,nullptr },  // Inst #1390 = VMULLslsv2i32
-  { 1391,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1391 = VMULLslsv4i16
-  { 1392,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo212,0,nullptr },  // Inst #1392 = VMULLsluv2i32
-  { 1393,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1393 = VMULLsluv4i16
-  { 1394,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1394 = VMULLsv2i64
-  { 1395,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1395 = VMULLsv4i32
-  { 1396,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1396 = VMULLsv8i16
-  { 1397,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1397 = VMULLuv2i64
-  { 1398,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1398 = VMULLuv4i32
-  { 1399,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1399 = VMULLuv8i16
-  { 1400,	5,	1,	454,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1400 = VMULS
-  { 1401,	5,	1,	455,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1401 = VMULfd
-  { 1402,	5,	1,	456,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1402 = VMULfq
-  { 1403,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1403 = VMULpd
-  { 1404,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1404 = VMULpq
-  { 1405,	6,	1,	458,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo214,0,nullptr },  // Inst #1405 = VMULslfd
-  { 1406,	6,	1,	459,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1406 = VMULslfq
-  { 1407,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo214,0,nullptr },  // Inst #1407 = VMULslv2i32
-  { 1408,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1408 = VMULslv4i16
-  { 1409,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1409 = VMULslv4i32
-  { 1410,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1410 = VMULslv8i16
-  { 1411,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1411 = VMULv16i8
-  { 1412,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1412 = VMULv2i32
-  { 1413,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1413 = VMULv4i16
-  { 1414,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1414 = VMULv4i32
-  { 1415,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1415 = VMULv8i16
-  { 1416,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1416 = VMULv8i8
-  { 1417,	4,	1,	490,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1417 = VMVNd
-  { 1418,	4,	1,	490,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1418 = VMVNq
-  { 1419,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1419 = VMVNv2i32
-  { 1420,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #1420 = VMVNv4i16
-  { 1421,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1421 = VMVNv4i32
-  { 1422,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1422 = VMVNv8i16
-  { 1423,	4,	1,	437,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1423 = VNEGD
-  { 1424,	4,	1,	438,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1424 = VNEGS
-  { 1425,	4,	1,	390,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1425 = VNEGf32q
-  { 1426,	4,	1,	391,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1426 = VNEGfd
-  { 1427,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1427 = VNEGs16d
-  { 1428,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1428 = VNEGs16q
-  { 1429,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1429 = VNEGs32d
-  { 1430,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1430 = VNEGs32q
-  { 1431,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1431 = VNEGs8d
-  { 1432,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1432 = VNEGs8q
-  { 1433,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1433 = VNMLAD
-  { 1434,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #1434 = VNMLAS
-  { 1435,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #1435 = VNMLSD
-  { 1436,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #1436 = VNMLSS
-  { 1437,	5,	1,	461,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1437 = VNMULD
-  { 1438,	5,	1,	454,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1438 = VNMULS
-  { 1439,	5,	1,	382,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1439 = VORNd
-  { 1440,	5,	1,	381,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1440 = VORNq
-  { 1441,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1441 = VORRd
-  { 1442,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1442 = VORRiv2i32
-  { 1443,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1443 = VORRiv4i16
-  { 1444,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1444 = VORRiv4i32
-  { 1445,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1445 = VORRiv8i16
-  { 1446,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1446 = VORRq
-  { 1447,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1447 = VPADALsv16i8
-  { 1448,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1448 = VPADALsv2i32
-  { 1449,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1449 = VPADALsv4i16
-  { 1450,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1450 = VPADALsv4i32
-  { 1451,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1451 = VPADALsv8i16
-  { 1452,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1452 = VPADALsv8i8
-  { 1453,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1453 = VPADALuv16i8
-  { 1454,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1454 = VPADALuv2i32
-  { 1455,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1455 = VPADALuv4i16
-  { 1456,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1456 = VPADALuv4i32
-  { 1457,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1457 = VPADALuv8i16
-  { 1458,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1458 = VPADALuv8i8
-  { 1459,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1459 = VPADDLsv16i8
-  { 1460,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1460 = VPADDLsv2i32
-  { 1461,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1461 = VPADDLsv4i16
-  { 1462,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1462 = VPADDLsv4i32
-  { 1463,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1463 = VPADDLsv8i16
-  { 1464,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1464 = VPADDLsv8i8
-  { 1465,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1465 = VPADDLuv16i8
-  { 1466,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1466 = VPADDLuv2i32
-  { 1467,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1467 = VPADDLuv4i16
-  { 1468,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1468 = VPADDLuv4i32
-  { 1469,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1469 = VPADDLuv8i16
-  { 1470,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1470 = VPADDLuv8i8
-  { 1471,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1471 = VPADDf
-  { 1472,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1472 = VPADDi16
-  { 1473,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1473 = VPADDi32
-  { 1474,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1474 = VPADDi8
-  { 1475,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1475 = VPMAXf
-  { 1476,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1476 = VPMAXs16
-  { 1477,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1477 = VPMAXs32
-  { 1478,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1478 = VPMAXs8
-  { 1479,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1479 = VPMAXu16
-  { 1480,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1480 = VPMAXu32
-  { 1481,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1481 = VPMAXu8
-  { 1482,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1482 = VPMINf
-  { 1483,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1483 = VPMINs16
-  { 1484,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1484 = VPMINs32
-  { 1485,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1485 = VPMINs8
-  { 1486,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1486 = VPMINu16
-  { 1487,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1487 = VPMINu32
-  { 1488,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1488 = VPMINu8
-  { 1489,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1489 = VQABSv16i8
-  { 1490,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1490 = VQABSv2i32
-  { 1491,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1491 = VQABSv4i16
-  { 1492,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1492 = VQABSv4i32
-  { 1493,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1493 = VQABSv8i16
-  { 1494,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1494 = VQABSv8i8
-  { 1495,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1495 = VQADDsv16i8
-  { 1496,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1496 = VQADDsv1i64
-  { 1497,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1497 = VQADDsv2i32
-  { 1498,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1498 = VQADDsv2i64
-  { 1499,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1499 = VQADDsv4i16
-  { 1500,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1500 = VQADDsv4i32
-  { 1501,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1501 = VQADDsv8i16
-  { 1502,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1502 = VQADDsv8i8
-  { 1503,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1503 = VQADDuv16i8
-  { 1504,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1504 = VQADDuv1i64
-  { 1505,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1505 = VQADDuv2i32
-  { 1506,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1506 = VQADDuv2i64
-  { 1507,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1507 = VQADDuv4i16
-  { 1508,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1508 = VQADDuv4i32
-  { 1509,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1509 = VQADDuv8i16
-  { 1510,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1510 = VQADDuv8i8
-  { 1511,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1511 = VQDMLALslv2i32
-  { 1512,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1512 = VQDMLALslv4i16
-  { 1513,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1513 = VQDMLALv2i64
-  { 1514,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1514 = VQDMLALv4i32
-  { 1515,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1515 = VQDMLSLslv2i32
-  { 1516,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1516 = VQDMLSLslv4i16
-  { 1517,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1517 = VQDMLSLv2i64
-  { 1518,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #1518 = VQDMLSLv4i32
-  { 1519,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo214,0,nullptr },  // Inst #1519 = VQDMULHslv2i32
-  { 1520,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1520 = VQDMULHslv4i16
-  { 1521,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1521 = VQDMULHslv4i32
-  { 1522,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1522 = VQDMULHslv8i16
-  { 1523,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1523 = VQDMULHv2i32
-  { 1524,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1524 = VQDMULHv4i16
-  { 1525,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1525 = VQDMULHv4i32
-  { 1526,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1526 = VQDMULHv8i16
-  { 1527,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo212,0,nullptr },  // Inst #1527 = VQDMULLslv2i32
-  { 1528,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1528 = VQDMULLslv4i16
-  { 1529,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1529 = VQDMULLv2i64
-  { 1530,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #1530 = VQDMULLv4i32
-  { 1531,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1531 = VQMOVNsuv2i32
-  { 1532,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1532 = VQMOVNsuv4i16
-  { 1533,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1533 = VQMOVNsuv8i8
-  { 1534,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1534 = VQMOVNsv2i32
-  { 1535,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1535 = VQMOVNsv4i16
-  { 1536,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1536 = VQMOVNsv8i8
-  { 1537,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1537 = VQMOVNuv2i32
-  { 1538,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1538 = VQMOVNuv4i16
-  { 1539,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #1539 = VQMOVNuv8i8
-  { 1540,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1540 = VQNEGv16i8
-  { 1541,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1541 = VQNEGv2i32
-  { 1542,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1542 = VQNEGv4i16
-  { 1543,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1543 = VQNEGv4i32
-  { 1544,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1544 = VQNEGv8i16
-  { 1545,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1545 = VQNEGv8i8
-  { 1546,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo214,0,nullptr },  // Inst #1546 = VQRDMULHslv2i32
-  { 1547,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1547 = VQRDMULHslv4i16
-  { 1548,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1548 = VQRDMULHslv4i32
-  { 1549,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1549 = VQRDMULHslv8i16
-  { 1550,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1550 = VQRDMULHv2i32
-  { 1551,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1551 = VQRDMULHv4i16
-  { 1552,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1552 = VQRDMULHv4i32
-  { 1553,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1553 = VQRDMULHv8i16
-  { 1554,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1554 = VQRSHLsv16i8
-  { 1555,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1555 = VQRSHLsv1i64
-  { 1556,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1556 = VQRSHLsv2i32
-  { 1557,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1557 = VQRSHLsv2i64
-  { 1558,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1558 = VQRSHLsv4i16
-  { 1559,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1559 = VQRSHLsv4i32
-  { 1560,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1560 = VQRSHLsv8i16
-  { 1561,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1561 = VQRSHLsv8i8
-  { 1562,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1562 = VQRSHLuv16i8
-  { 1563,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1563 = VQRSHLuv1i64
-  { 1564,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1564 = VQRSHLuv2i32
-  { 1565,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1565 = VQRSHLuv2i64
-  { 1566,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1566 = VQRSHLuv4i16
-  { 1567,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1567 = VQRSHLuv4i32
-  { 1568,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1568 = VQRSHLuv8i16
-  { 1569,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1569 = VQRSHLuv8i8
-  { 1570,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1570 = VQRSHRNsv2i32
-  { 1571,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1571 = VQRSHRNsv4i16
-  { 1572,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1572 = VQRSHRNsv8i8
-  { 1573,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1573 = VQRSHRNuv2i32
-  { 1574,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1574 = VQRSHRNuv4i16
-  { 1575,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1575 = VQRSHRNuv8i8
-  { 1576,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1576 = VQRSHRUNv2i32
-  { 1577,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1577 = VQRSHRUNv4i16
-  { 1578,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1578 = VQRSHRUNv8i8
-  { 1579,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1579 = VQSHLsiv16i8
-  { 1580,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1580 = VQSHLsiv1i64
-  { 1581,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1581 = VQSHLsiv2i32
-  { 1582,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1582 = VQSHLsiv2i64
-  { 1583,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1583 = VQSHLsiv4i16
-  { 1584,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1584 = VQSHLsiv4i32
-  { 1585,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1585 = VQSHLsiv8i16
-  { 1586,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1586 = VQSHLsiv8i8
-  { 1587,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1587 = VQSHLsuv16i8
-  { 1588,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1588 = VQSHLsuv1i64
-  { 1589,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1589 = VQSHLsuv2i32
-  { 1590,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1590 = VQSHLsuv2i64
-  { 1591,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1591 = VQSHLsuv4i16
-  { 1592,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1592 = VQSHLsuv4i32
-  { 1593,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1593 = VQSHLsuv8i16
-  { 1594,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1594 = VQSHLsuv8i8
-  { 1595,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1595 = VQSHLsv16i8
-  { 1596,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1596 = VQSHLsv1i64
-  { 1597,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1597 = VQSHLsv2i32
-  { 1598,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1598 = VQSHLsv2i64
-  { 1599,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1599 = VQSHLsv4i16
-  { 1600,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1600 = VQSHLsv4i32
-  { 1601,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1601 = VQSHLsv8i16
-  { 1602,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1602 = VQSHLsv8i8
-  { 1603,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1603 = VQSHLuiv16i8
-  { 1604,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1604 = VQSHLuiv1i64
-  { 1605,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1605 = VQSHLuiv2i32
-  { 1606,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1606 = VQSHLuiv2i64
-  { 1607,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1607 = VQSHLuiv4i16
-  { 1608,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1608 = VQSHLuiv4i32
-  { 1609,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1609 = VQSHLuiv8i16
-  { 1610,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1610 = VQSHLuiv8i8
-  { 1611,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1611 = VQSHLuv16i8
-  { 1612,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1612 = VQSHLuv1i64
-  { 1613,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1613 = VQSHLuv2i32
-  { 1614,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1614 = VQSHLuv2i64
-  { 1615,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1615 = VQSHLuv4i16
-  { 1616,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1616 = VQSHLuv4i32
-  { 1617,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1617 = VQSHLuv8i16
-  { 1618,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1618 = VQSHLuv8i8
-  { 1619,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1619 = VQSHRNsv2i32
-  { 1620,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1620 = VQSHRNsv4i16
-  { 1621,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1621 = VQSHRNsv8i8
-  { 1622,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1622 = VQSHRNuv2i32
-  { 1623,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1623 = VQSHRNuv4i16
-  { 1624,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1624 = VQSHRNuv8i8
-  { 1625,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1625 = VQSHRUNv2i32
-  { 1626,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1626 = VQSHRUNv4i16
-  { 1627,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1627 = VQSHRUNv8i8
-  { 1628,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1628 = VQSUBsv16i8
-  { 1629,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1629 = VQSUBsv1i64
-  { 1630,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1630 = VQSUBsv2i32
-  { 1631,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1631 = VQSUBsv2i64
-  { 1632,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1632 = VQSUBsv4i16
-  { 1633,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1633 = VQSUBsv4i32
-  { 1634,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1634 = VQSUBsv8i16
-  { 1635,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1635 = VQSUBsv8i8
-  { 1636,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1636 = VQSUBuv16i8
-  { 1637,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1637 = VQSUBuv1i64
-  { 1638,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1638 = VQSUBuv2i32
-  { 1639,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1639 = VQSUBuv2i64
-  { 1640,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1640 = VQSUBuv4i16
-  { 1641,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1641 = VQSUBuv4i32
-  { 1642,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1642 = VQSUBuv8i16
-  { 1643,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1643 = VQSUBuv8i8
-  { 1644,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1644 = VRADDHNv2i32
-  { 1645,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1645 = VRADDHNv4i16
-  { 1646,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1646 = VRADDHNv8i8
-  { 1647,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1647 = VRECPEd
-  { 1648,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1648 = VRECPEfd
-  { 1649,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1649 = VRECPEfq
-  { 1650,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1650 = VRECPEq
-  { 1651,	5,	1,	449,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1651 = VRECPSfd
-  { 1652,	5,	1,	450,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1652 = VRECPSfq
-  { 1653,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1653 = VREV16d8
-  { 1654,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1654 = VREV16q8
-  { 1655,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1655 = VREV32d16
-  { 1656,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1656 = VREV32d8
-  { 1657,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1657 = VREV32q16
-  { 1658,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1658 = VREV32q8
-  { 1659,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1659 = VREV64d16
-  { 1660,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1660 = VREV64d32
-  { 1661,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1661 = VREV64d8
-  { 1662,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1662 = VREV64q16
-  { 1663,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1663 = VREV64q32
-  { 1664,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1664 = VREV64q8
-  { 1665,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1665 = VRHADDsv16i8
-  { 1666,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1666 = VRHADDsv2i32
-  { 1667,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1667 = VRHADDsv4i16
-  { 1668,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1668 = VRHADDsv4i32
-  { 1669,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1669 = VRHADDsv8i16
-  { 1670,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1670 = VRHADDsv8i8
-  { 1671,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1671 = VRHADDuv16i8
-  { 1672,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1672 = VRHADDuv2i32
-  { 1673,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1673 = VRHADDuv4i16
-  { 1674,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1674 = VRHADDuv4i32
-  { 1675,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1675 = VRHADDuv8i16
-  { 1676,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1676 = VRHADDuv8i8
-  { 1677,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1677 = VRINTAD
-  { 1678,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1678 = VRINTAND
-  { 1679,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1679 = VRINTANQ
-  { 1680,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #1680 = VRINTAS
-  { 1681,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1681 = VRINTMD
-  { 1682,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1682 = VRINTMND
-  { 1683,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1683 = VRINTMNQ
-  { 1684,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #1684 = VRINTMS
-  { 1685,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1685 = VRINTND
-  { 1686,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1686 = VRINTNND
-  { 1687,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1687 = VRINTNNQ
-  { 1688,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #1688 = VRINTNS
-  { 1689,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1689 = VRINTPD
-  { 1690,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1690 = VRINTPND
-  { 1691,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1691 = VRINTPNQ
-  { 1692,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo141,0,nullptr },  // Inst #1692 = VRINTPS
-  { 1693,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1693 = VRINTRD
-  { 1694,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1694 = VRINTRS
-  { 1695,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1695 = VRINTXD
-  { 1696,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1696 = VRINTXND
-  { 1697,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1697 = VRINTXNQ
-  { 1698,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1698 = VRINTXS
-  { 1699,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1699 = VRINTZD
-  { 1700,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1700 = VRINTZND
-  { 1701,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #1701 = VRINTZNQ
-  { 1702,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1702 = VRINTZS
-  { 1703,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1703 = VRSHLsv16i8
-  { 1704,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1704 = VRSHLsv1i64
-  { 1705,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1705 = VRSHLsv2i32
-  { 1706,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1706 = VRSHLsv2i64
-  { 1707,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1707 = VRSHLsv4i16
-  { 1708,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1708 = VRSHLsv4i32
-  { 1709,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1709 = VRSHLsv8i16
-  { 1710,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1710 = VRSHLsv8i8
-  { 1711,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1711 = VRSHLuv16i8
-  { 1712,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1712 = VRSHLuv1i64
-  { 1713,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1713 = VRSHLuv2i32
-  { 1714,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1714 = VRSHLuv2i64
-  { 1715,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1715 = VRSHLuv4i16
-  { 1716,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1716 = VRSHLuv4i32
-  { 1717,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1717 = VRSHLuv8i16
-  { 1718,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1718 = VRSHLuv8i8
-  { 1719,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1719 = VRSHRNv2i32
-  { 1720,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1720 = VRSHRNv4i16
-  { 1721,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1721 = VRSHRNv8i8
-  { 1722,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1722 = VRSHRsv16i8
-  { 1723,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1723 = VRSHRsv1i64
-  { 1724,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1724 = VRSHRsv2i32
-  { 1725,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1725 = VRSHRsv2i64
-  { 1726,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1726 = VRSHRsv4i16
-  { 1727,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1727 = VRSHRsv4i32
-  { 1728,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1728 = VRSHRsv8i16
-  { 1729,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1729 = VRSHRsv8i8
-  { 1730,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1730 = VRSHRuv16i8
-  { 1731,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1731 = VRSHRuv1i64
-  { 1732,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1732 = VRSHRuv2i32
-  { 1733,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1733 = VRSHRuv2i64
-  { 1734,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1734 = VRSHRuv4i16
-  { 1735,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1735 = VRSHRuv4i32
-  { 1736,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1736 = VRSHRuv8i16
-  { 1737,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1737 = VRSHRuv8i8
-  { 1738,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1738 = VRSQRTEd
-  { 1739,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1739 = VRSQRTEfd
-  { 1740,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1740 = VRSQRTEfq
-  { 1741,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1741 = VRSQRTEq
-  { 1742,	5,	1,	449,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1742 = VRSQRTSfd
-  { 1743,	5,	1,	450,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1743 = VRSQRTSfq
-  { 1744,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1744 = VRSRAsv16i8
-  { 1745,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1745 = VRSRAsv1i64
-  { 1746,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1746 = VRSRAsv2i32
-  { 1747,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1747 = VRSRAsv2i64
-  { 1748,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1748 = VRSRAsv4i16
-  { 1749,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1749 = VRSRAsv4i32
-  { 1750,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1750 = VRSRAsv8i16
-  { 1751,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1751 = VRSRAsv8i8
-  { 1752,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1752 = VRSRAuv16i8
-  { 1753,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1753 = VRSRAuv1i64
-  { 1754,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1754 = VRSRAuv2i32
-  { 1755,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1755 = VRSRAuv2i64
-  { 1756,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1756 = VRSRAuv4i16
-  { 1757,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1757 = VRSRAuv4i32
-  { 1758,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1758 = VRSRAuv8i16
-  { 1759,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1759 = VRSRAuv8i8
-  { 1760,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1760 = VRSUBHNv2i32
-  { 1761,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1761 = VRSUBHNv4i16
-  { 1762,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1762 = VRSUBHNv8i8
-  { 1763,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo191,0,nullptr },  // Inst #1763 = VSELEQD
-  { 1764,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo193,0,nullptr },  // Inst #1764 = VSELEQS
-  { 1765,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo191,0,nullptr },  // Inst #1765 = VSELGED
-  { 1766,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo193,0,nullptr },  // Inst #1766 = VSELGES
-  { 1767,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo191,0,nullptr },  // Inst #1767 = VSELGTD
-  { 1768,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo193,0,nullptr },  // Inst #1768 = VSELGTS
-  { 1769,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo191,0,nullptr },  // Inst #1769 = VSELVSD
-  { 1770,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo193,0,nullptr },  // Inst #1770 = VSELVSS
-  { 1771,	6,	1,	499,	4,	0|(1<<MCID_Predicable), 0x10e00ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1771 = VSETLNi16
-  { 1772,	6,	1,	499,	4,	0|(1<<MCID_Predicable), 0x10e00ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1772 = VSETLNi32
-  { 1773,	6,	1,	499,	4,	0|(1<<MCID_Predicable), 0x10e00ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1773 = VSETLNi8
-  { 1774,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1774 = VSHLLi16
-  { 1775,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1775 = VSHLLi32
-  { 1776,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1776 = VSHLLi8
-  { 1777,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1777 = VSHLLsv2i64
-  { 1778,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1778 = VSHLLsv4i32
-  { 1779,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1779 = VSHLLsv8i16
-  { 1780,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1780 = VSHLLuv2i64
-  { 1781,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1781 = VSHLLuv4i32
-  { 1782,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1782 = VSHLLuv8i16
-  { 1783,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1783 = VSHLiv16i8
-  { 1784,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1784 = VSHLiv1i64
-  { 1785,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1785 = VSHLiv2i32
-  { 1786,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1786 = VSHLiv2i64
-  { 1787,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1787 = VSHLiv4i16
-  { 1788,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1788 = VSHLiv4i32
-  { 1789,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1789 = VSHLiv8i16
-  { 1790,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1790 = VSHLiv8i8
-  { 1791,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1791 = VSHLsv16i8
-  { 1792,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1792 = VSHLsv1i64
-  { 1793,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1793 = VSHLsv2i32
-  { 1794,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1794 = VSHLsv2i64
-  { 1795,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1795 = VSHLsv4i16
-  { 1796,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1796 = VSHLsv4i32
-  { 1797,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1797 = VSHLsv8i16
-  { 1798,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1798 = VSHLsv8i8
-  { 1799,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1799 = VSHLuv16i8
-  { 1800,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1800 = VSHLuv1i64
-  { 1801,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1801 = VSHLuv2i32
-  { 1802,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1802 = VSHLuv2i64
-  { 1803,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1803 = VSHLuv4i16
-  { 1804,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1804 = VSHLuv4i32
-  { 1805,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1805 = VSHLuv8i16
-  { 1806,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1806 = VSHLuv8i8
-  { 1807,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1807 = VSHRNv2i32
-  { 1808,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1808 = VSHRNv4i16
-  { 1809,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1809 = VSHRNv8i8
-  { 1810,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1810 = VSHRsv16i8
-  { 1811,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1811 = VSHRsv1i64
-  { 1812,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1812 = VSHRsv2i32
-  { 1813,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1813 = VSHRsv2i64
-  { 1814,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1814 = VSHRsv4i16
-  { 1815,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1815 = VSHRsv4i32
-  { 1816,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1816 = VSHRsv8i16
-  { 1817,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1817 = VSHRsv8i8
-  { 1818,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1818 = VSHRuv16i8
-  { 1819,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1819 = VSHRuv1i64
-  { 1820,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1820 = VSHRuv2i32
-  { 1821,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1821 = VSHRuv2i64
-  { 1822,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1822 = VSHRuv4i16
-  { 1823,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1823 = VSHRuv4i32
-  { 1824,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #1824 = VSHRuv8i16
-  { 1825,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1825 = VSHRuv8i8
-  { 1826,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1826 = VSHTOD
-  { 1827,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1827 = VSHTOS
-  { 1828,	4,	1,	481,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1828 = VSITOD
-  { 1829,	4,	1,	482,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1829 = VSITOS
-  { 1830,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1830 = VSLIv16i8
-  { 1831,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1831 = VSLIv1i64
-  { 1832,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1832 = VSLIv2i32
-  { 1833,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1833 = VSLIv2i64
-  { 1834,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1834 = VSLIv4i16
-  { 1835,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1835 = VSLIv4i32
-  { 1836,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1836 = VSLIv8i16
-  { 1837,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1837 = VSLIv8i8
-  { 1838,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1838 = VSLTOD
-  { 1839,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1839 = VSLTOS
-  { 1840,	4,	1,	589,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1840 = VSQRTD
-  { 1841,	4,	1,	587,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1841 = VSQRTS
-  { 1842,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1842 = VSRAsv16i8
-  { 1843,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1843 = VSRAsv1i64
-  { 1844,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1844 = VSRAsv2i32
-  { 1845,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1845 = VSRAsv2i64
-  { 1846,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1846 = VSRAsv4i16
-  { 1847,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1847 = VSRAsv4i32
-  { 1848,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1848 = VSRAsv8i16
-  { 1849,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1849 = VSRAsv8i8
-  { 1850,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1850 = VSRAuv16i8
-  { 1851,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1851 = VSRAuv1i64
-  { 1852,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1852 = VSRAuv2i32
-  { 1853,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1853 = VSRAuv2i64
-  { 1854,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1854 = VSRAuv4i16
-  { 1855,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1855 = VSRAuv4i32
-  { 1856,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1856 = VSRAuv8i16
-  { 1857,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1857 = VSRAuv8i8
-  { 1858,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1858 = VSRIv16i8
-  { 1859,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1859 = VSRIv1i64
-  { 1860,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1860 = VSRIv2i32
-  { 1861,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1861 = VSRIv2i64
-  { 1862,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1862 = VSRIv4i16
-  { 1863,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1863 = VSRIv4i32
-  { 1864,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1864 = VSRIv8i16
-  { 1865,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1865 = VSRIv8i8
-  { 1866,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #1866 = VST1LNd16
-  { 1867,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1867 = VST1LNd16_UPD
-  { 1868,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #1868 = VST1LNd32
-  { 1869,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1869 = VST1LNd32_UPD
-  { 1870,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #1870 = VST1LNd8
-  { 1871,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1871 = VST1LNd8_UPD
-  { 1872,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1872 = VST1LNdAsm_16
-  { 1873,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1873 = VST1LNdAsm_32
-  { 1874,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1874 = VST1LNdAsm_8
-  { 1875,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1875 = VST1LNdWB_fixed_Asm_16
-  { 1876,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1876 = VST1LNdWB_fixed_Asm_32
-  { 1877,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1877 = VST1LNdWB_fixed_Asm_8
-  { 1878,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1878 = VST1LNdWB_register_Asm_16
-  { 1879,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1879 = VST1LNdWB_register_Asm_32
-  { 1880,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1880 = VST1LNdWB_register_Asm_8
-  { 1881,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1881 = VST1LNq16Pseudo
-  { 1882,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1882 = VST1LNq16Pseudo_UPD
-  { 1883,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1883 = VST1LNq32Pseudo
-  { 1884,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1884 = VST1LNq32Pseudo_UPD
-  { 1885,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1885 = VST1LNq8Pseudo
-  { 1886,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1886 = VST1LNq8Pseudo_UPD
-  { 1887,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1887 = VST1d16
-  { 1888,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1888 = VST1d16Q
-  { 1889,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1889 = VST1d16Qwb_fixed
-  { 1890,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1890 = VST1d16Qwb_register
-  { 1891,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1891 = VST1d16T
-  { 1892,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1892 = VST1d16Twb_fixed
-  { 1893,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1893 = VST1d16Twb_register
-  { 1894,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1894 = VST1d16wb_fixed
-  { 1895,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1895 = VST1d16wb_register
-  { 1896,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1896 = VST1d32
-  { 1897,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1897 = VST1d32Q
-  { 1898,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1898 = VST1d32Qwb_fixed
-  { 1899,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1899 = VST1d32Qwb_register
-  { 1900,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1900 = VST1d32T
-  { 1901,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1901 = VST1d32Twb_fixed
-  { 1902,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1902 = VST1d32Twb_register
-  { 1903,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1903 = VST1d32wb_fixed
-  { 1904,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1904 = VST1d32wb_register
-  { 1905,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1905 = VST1d64
-  { 1906,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1906 = VST1d64Q
-  { 1907,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1907 = VST1d64QPseudo
-  { 1908,	6,	1,	568,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1908 = VST1d64QPseudoWB_fixed
-  { 1909,	7,	1,	568,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1909 = VST1d64QPseudoWB_register
-  { 1910,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1910 = VST1d64Qwb_fixed
-  { 1911,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1911 = VST1d64Qwb_register
-  { 1912,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1912 = VST1d64T
-  { 1913,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1913 = VST1d64TPseudo
-  { 1914,	6,	1,	565,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1914 = VST1d64TPseudoWB_fixed
-  { 1915,	7,	1,	565,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1915 = VST1d64TPseudoWB_register
-  { 1916,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1916 = VST1d64Twb_fixed
-  { 1917,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1917 = VST1d64Twb_register
-  { 1918,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1918 = VST1d64wb_fixed
-  { 1919,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1919 = VST1d64wb_register
-  { 1920,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1920 = VST1d8
-  { 1921,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1921 = VST1d8Q
-  { 1922,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1922 = VST1d8Qwb_fixed
-  { 1923,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1923 = VST1d8Qwb_register
-  { 1924,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1924 = VST1d8T
-  { 1925,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1925 = VST1d8Twb_fixed
-  { 1926,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1926 = VST1d8Twb_register
-  { 1927,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1927 = VST1d8wb_fixed
-  { 1928,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1928 = VST1d8wb_register
-  { 1929,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1929 = VST1q16
-  { 1930,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1930 = VST1q16wb_fixed
-  { 1931,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1931 = VST1q16wb_register
-  { 1932,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1932 = VST1q32
-  { 1933,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1933 = VST1q32wb_fixed
-  { 1934,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1934 = VST1q32wb_register
-  { 1935,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1935 = VST1q64
-  { 1936,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1936 = VST1q64wb_fixed
-  { 1937,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1937 = VST1q64wb_register
-  { 1938,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1938 = VST1q8
-  { 1939,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1939 = VST1q8wb_fixed
-  { 1940,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1940 = VST1q8wb_register
-  { 1941,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1941 = VST2LNd16
-  { 1942,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1942 = VST2LNd16Pseudo
-  { 1943,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1943 = VST2LNd16Pseudo_UPD
-  { 1944,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1944 = VST2LNd16_UPD
-  { 1945,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1945 = VST2LNd32
-  { 1946,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1946 = VST2LNd32Pseudo
-  { 1947,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1947 = VST2LNd32Pseudo_UPD
-  { 1948,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1948 = VST2LNd32_UPD
-  { 1949,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1949 = VST2LNd8
-  { 1950,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1950 = VST2LNd8Pseudo
-  { 1951,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1951 = VST2LNd8Pseudo_UPD
-  { 1952,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1952 = VST2LNd8_UPD
-  { 1953,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1953 = VST2LNdAsm_16
-  { 1954,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1954 = VST2LNdAsm_32
-  { 1955,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1955 = VST2LNdAsm_8
-  { 1956,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1956 = VST2LNdWB_fixed_Asm_16
-  { 1957,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1957 = VST2LNdWB_fixed_Asm_32
-  { 1958,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1958 = VST2LNdWB_fixed_Asm_8
-  { 1959,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1959 = VST2LNdWB_register_Asm_16
-  { 1960,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1960 = VST2LNdWB_register_Asm_32
-  { 1961,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1961 = VST2LNdWB_register_Asm_8
-  { 1962,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1962 = VST2LNq16
-  { 1963,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1963 = VST2LNq16Pseudo
-  { 1964,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1964 = VST2LNq16Pseudo_UPD
-  { 1965,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1965 = VST2LNq16_UPD
-  { 1966,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1966 = VST2LNq32
-  { 1967,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1967 = VST2LNq32Pseudo
-  { 1968,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1968 = VST2LNq32Pseudo_UPD
-  { 1969,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1969 = VST2LNq32_UPD
-  { 1970,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1970 = VST2LNqAsm_16
-  { 1971,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1971 = VST2LNqAsm_32
-  { 1972,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1972 = VST2LNqWB_fixed_Asm_16
-  { 1973,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1973 = VST2LNqWB_fixed_Asm_32
-  { 1974,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1974 = VST2LNqWB_register_Asm_16
-  { 1975,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1975 = VST2LNqWB_register_Asm_32
-  { 1976,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1976 = VST2b16
-  { 1977,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1977 = VST2b16wb_fixed
-  { 1978,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1978 = VST2b16wb_register
-  { 1979,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1979 = VST2b32
-  { 1980,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1980 = VST2b32wb_fixed
-  { 1981,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1981 = VST2b32wb_register
-  { 1982,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1982 = VST2b8
-  { 1983,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1983 = VST2b8wb_fixed
-  { 1984,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1984 = VST2b8wb_register
-  { 1985,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1985 = VST2d16
-  { 1986,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1986 = VST2d16wb_fixed
-  { 1987,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1987 = VST2d16wb_register
-  { 1988,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1988 = VST2d32
-  { 1989,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1989 = VST2d32wb_fixed
-  { 1990,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1990 = VST2d32wb_register
-  { 1991,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1991 = VST2d8
-  { 1992,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1992 = VST2d8wb_fixed
-  { 1993,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1993 = VST2d8wb_register
-  { 1994,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1994 = VST2q16
-  { 1995,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1995 = VST2q16Pseudo
-  { 1996,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1996 = VST2q16PseudoWB_fixed
-  { 1997,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1997 = VST2q16PseudoWB_register
-  { 1998,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1998 = VST2q16wb_fixed
-  { 1999,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1999 = VST2q16wb_register
-  { 2000,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #2000 = VST2q32
-  { 2001,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2001 = VST2q32Pseudo
-  { 2002,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #2002 = VST2q32PseudoWB_fixed
-  { 2003,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #2003 = VST2q32PseudoWB_register
-  { 2004,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #2004 = VST2q32wb_fixed
-  { 2005,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #2005 = VST2q32wb_register
-  { 2006,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #2006 = VST2q8
-  { 2007,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2007 = VST2q8Pseudo
-  { 2008,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #2008 = VST2q8PseudoWB_fixed
-  { 2009,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #2009 = VST2q8PseudoWB_register
-  { 2010,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #2010 = VST2q8wb_fixed
-  { 2011,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #2011 = VST2q8wb_register
-  { 2012,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2012 = VST3LNd16
-  { 2013,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2013 = VST3LNd16Pseudo
-  { 2014,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2014 = VST3LNd16Pseudo_UPD
-  { 2015,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2015 = VST3LNd16_UPD
-  { 2016,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2016 = VST3LNd32
-  { 2017,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2017 = VST3LNd32Pseudo
-  { 2018,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2018 = VST3LNd32Pseudo_UPD
-  { 2019,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2019 = VST3LNd32_UPD
-  { 2020,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2020 = VST3LNd8
-  { 2021,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2021 = VST3LNd8Pseudo
-  { 2022,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2022 = VST3LNd8Pseudo_UPD
-  { 2023,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2023 = VST3LNd8_UPD
-  { 2024,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2024 = VST3LNdAsm_16
-  { 2025,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2025 = VST3LNdAsm_32
-  { 2026,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2026 = VST3LNdAsm_8
-  { 2027,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2027 = VST3LNdWB_fixed_Asm_16
-  { 2028,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2028 = VST3LNdWB_fixed_Asm_32
-  { 2029,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2029 = VST3LNdWB_fixed_Asm_8
-  { 2030,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2030 = VST3LNdWB_register_Asm_16
-  { 2031,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2031 = VST3LNdWB_register_Asm_32
-  { 2032,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2032 = VST3LNdWB_register_Asm_8
-  { 2033,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2033 = VST3LNq16
-  { 2034,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2034 = VST3LNq16Pseudo
-  { 2035,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2035 = VST3LNq16Pseudo_UPD
-  { 2036,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2036 = VST3LNq16_UPD
-  { 2037,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2037 = VST3LNq32
-  { 2038,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2038 = VST3LNq32Pseudo
-  { 2039,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2039 = VST3LNq32Pseudo_UPD
-  { 2040,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2040 = VST3LNq32_UPD
-  { 2041,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2041 = VST3LNqAsm_16
-  { 2042,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2042 = VST3LNqAsm_32
-  { 2043,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2043 = VST3LNqWB_fixed_Asm_16
-  { 2044,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2044 = VST3LNqWB_fixed_Asm_32
-  { 2045,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2045 = VST3LNqWB_register_Asm_16
-  { 2046,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2046 = VST3LNqWB_register_Asm_32
-  { 2047,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2047 = VST3d16
-  { 2048,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2048 = VST3d16Pseudo
-  { 2049,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2049 = VST3d16Pseudo_UPD
-  { 2050,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2050 = VST3d16_UPD
-  { 2051,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2051 = VST3d32
-  { 2052,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2052 = VST3d32Pseudo
-  { 2053,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2053 = VST3d32Pseudo_UPD
-  { 2054,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2054 = VST3d32_UPD
-  { 2055,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2055 = VST3d8
-  { 2056,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2056 = VST3d8Pseudo
-  { 2057,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2057 = VST3d8Pseudo_UPD
-  { 2058,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2058 = VST3d8_UPD
-  { 2059,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2059 = VST3dAsm_16
-  { 2060,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2060 = VST3dAsm_32
-  { 2061,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2061 = VST3dAsm_8
-  { 2062,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2062 = VST3dWB_fixed_Asm_16
-  { 2063,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2063 = VST3dWB_fixed_Asm_32
-  { 2064,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2064 = VST3dWB_fixed_Asm_8
-  { 2065,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2065 = VST3dWB_register_Asm_16
-  { 2066,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2066 = VST3dWB_register_Asm_32
-  { 2067,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2067 = VST3dWB_register_Asm_8
-  { 2068,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2068 = VST3q16
-  { 2069,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2069 = VST3q16Pseudo_UPD
-  { 2070,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2070 = VST3q16_UPD
-  { 2071,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2071 = VST3q16oddPseudo
-  { 2072,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2072 = VST3q16oddPseudo_UPD
-  { 2073,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2073 = VST3q32
-  { 2074,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2074 = VST3q32Pseudo_UPD
-  { 2075,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2075 = VST3q32_UPD
-  { 2076,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2076 = VST3q32oddPseudo
-  { 2077,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2077 = VST3q32oddPseudo_UPD
-  { 2078,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2078 = VST3q8
-  { 2079,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2079 = VST3q8Pseudo_UPD
-  { 2080,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2080 = VST3q8_UPD
-  { 2081,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2081 = VST3q8oddPseudo
-  { 2082,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2082 = VST3q8oddPseudo_UPD
-  { 2083,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2083 = VST3qAsm_16
-  { 2084,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2084 = VST3qAsm_32
-  { 2085,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2085 = VST3qAsm_8
-  { 2086,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2086 = VST3qWB_fixed_Asm_16
-  { 2087,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2087 = VST3qWB_fixed_Asm_32
-  { 2088,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2088 = VST3qWB_fixed_Asm_8
-  { 2089,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2089 = VST3qWB_register_Asm_16
-  { 2090,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2090 = VST3qWB_register_Asm_32
-  { 2091,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2091 = VST3qWB_register_Asm_8
-  { 2092,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2092 = VST4LNd16
-  { 2093,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2093 = VST4LNd16Pseudo
-  { 2094,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2094 = VST4LNd16Pseudo_UPD
-  { 2095,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2095 = VST4LNd16_UPD
-  { 2096,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2096 = VST4LNd32
-  { 2097,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2097 = VST4LNd32Pseudo
-  { 2098,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2098 = VST4LNd32Pseudo_UPD
-  { 2099,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2099 = VST4LNd32_UPD
-  { 2100,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2100 = VST4LNd8
-  { 2101,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2101 = VST4LNd8Pseudo
-  { 2102,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #2102 = VST4LNd8Pseudo_UPD
-  { 2103,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2103 = VST4LNd8_UPD
-  { 2104,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2104 = VST4LNdAsm_16
-  { 2105,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2105 = VST4LNdAsm_32
-  { 2106,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2106 = VST4LNdAsm_8
-  { 2107,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2107 = VST4LNdWB_fixed_Asm_16
-  { 2108,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2108 = VST4LNdWB_fixed_Asm_32
-  { 2109,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2109 = VST4LNdWB_fixed_Asm_8
-  { 2110,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2110 = VST4LNdWB_register_Asm_16
-  { 2111,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2111 = VST4LNdWB_register_Asm_32
-  { 2112,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2112 = VST4LNdWB_register_Asm_8
-  { 2113,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2113 = VST4LNq16
-  { 2114,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2114 = VST4LNq16Pseudo
-  { 2115,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2115 = VST4LNq16Pseudo_UPD
-  { 2116,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2116 = VST4LNq16_UPD
-  { 2117,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2117 = VST4LNq32
-  { 2118,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2118 = VST4LNq32Pseudo
-  { 2119,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2119 = VST4LNq32Pseudo_UPD
-  { 2120,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2120 = VST4LNq32_UPD
-  { 2121,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2121 = VST4LNqAsm_16
-  { 2122,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2122 = VST4LNqAsm_32
-  { 2123,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2123 = VST4LNqWB_fixed_Asm_16
-  { 2124,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #2124 = VST4LNqWB_fixed_Asm_32
-  { 2125,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2125 = VST4LNqWB_register_Asm_16
-  { 2126,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #2126 = VST4LNqWB_register_Asm_32
-  { 2127,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2127 = VST4d16
-  { 2128,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2128 = VST4d16Pseudo
-  { 2129,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2129 = VST4d16Pseudo_UPD
-  { 2130,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2130 = VST4d16_UPD
-  { 2131,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2131 = VST4d32
-  { 2132,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2132 = VST4d32Pseudo
-  { 2133,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2133 = VST4d32Pseudo_UPD
-  { 2134,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2134 = VST4d32_UPD
-  { 2135,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2135 = VST4d8
-  { 2136,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2136 = VST4d8Pseudo
-  { 2137,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2137 = VST4d8Pseudo_UPD
-  { 2138,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2138 = VST4d8_UPD
-  { 2139,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2139 = VST4dAsm_16
-  { 2140,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2140 = VST4dAsm_32
-  { 2141,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2141 = VST4dAsm_8
-  { 2142,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2142 = VST4dWB_fixed_Asm_16
-  { 2143,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2143 = VST4dWB_fixed_Asm_32
-  { 2144,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2144 = VST4dWB_fixed_Asm_8
-  { 2145,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2145 = VST4dWB_register_Asm_16
-  { 2146,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2146 = VST4dWB_register_Asm_32
-  { 2147,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2147 = VST4dWB_register_Asm_8
-  { 2148,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2148 = VST4q16
-  { 2149,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2149 = VST4q16Pseudo_UPD
-  { 2150,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2150 = VST4q16_UPD
-  { 2151,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2151 = VST4q16oddPseudo
-  { 2152,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2152 = VST4q16oddPseudo_UPD
-  { 2153,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2153 = VST4q32
-  { 2154,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2154 = VST4q32Pseudo_UPD
-  { 2155,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2155 = VST4q32_UPD
-  { 2156,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2156 = VST4q32oddPseudo
-  { 2157,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2157 = VST4q32oddPseudo_UPD
-  { 2158,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2158 = VST4q8
-  { 2159,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2159 = VST4q8Pseudo_UPD
-  { 2160,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2160 = VST4q8_UPD
-  { 2161,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2161 = VST4q8oddPseudo
-  { 2162,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2162 = VST4q8oddPseudo_UPD
-  { 2163,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2163 = VST4qAsm_16
-  { 2164,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2164 = VST4qAsm_32
-  { 2165,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2165 = VST4qAsm_8
-  { 2166,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2166 = VST4qWB_fixed_Asm_16
-  { 2167,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2167 = VST4qWB_fixed_Asm_32
-  { 2168,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #2168 = VST4qWB_fixed_Asm_8
-  { 2169,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2169 = VST4qWB_register_Asm_16
-  { 2170,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2170 = VST4qWB_register_Asm_32
-  { 2171,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #2171 = VST4qWB_register_Asm_8
-  { 2172,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2172 = VSTMDDB_UPD
-  { 2173,	4,	0,	516,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8b84ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2173 = VSTMDIA
-  { 2174,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2174 = VSTMDIA_UPD
-  { 2175,	4,	0,	513,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18004ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #2175 = VSTMQIA
-  { 2176,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2176 = VSTMSDB_UPD
-  { 2177,	4,	0,	516,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18b84ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2177 = VSTMSIA
-  { 2178,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2178 = VSTMSIA_UPD
-  { 2179,	5,	0,	510,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18b05ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #2179 = VSTRD
-  { 2180,	5,	0,	511,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18b05ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #2180 = VSTRS
-  { 2181,	5,	1,	448,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2181 = VSUBD
-  { 2182,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2182 = VSUBHNv2i32
-  { 2183,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2183 = VSUBHNv4i16
-  { 2184,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2184 = VSUBHNv8i8
-  { 2185,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2185 = VSUBLsv2i64
-  { 2186,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2186 = VSUBLsv4i32
-  { 2187,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2187 = VSUBLsv8i16
-  { 2188,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2188 = VSUBLuv2i64
-  { 2189,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2189 = VSUBLuv4i32
-  { 2190,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo126,0,nullptr },  // Inst #2190 = VSUBLuv8i16
-  { 2191,	5,	1,	445,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #2191 = VSUBS
-  { 2192,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2192 = VSUBWsv2i64
-  { 2193,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2193 = VSUBWsv4i32
-  { 2194,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2194 = VSUBWsv8i16
-  { 2195,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2195 = VSUBWuv2i64
-  { 2196,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2196 = VSUBWuv4i32
-  { 2197,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2197 = VSUBWuv8i16
-  { 2198,	5,	1,	442,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2198 = VSUBfd
-  { 2199,	5,	1,	443,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2199 = VSUBfq
-  { 2200,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2200 = VSUBv16i8
-  { 2201,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2201 = VSUBv1i64
-  { 2202,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2202 = VSUBv2i32
-  { 2203,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2203 = VSUBv2i64
-  { 2204,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2204 = VSUBv4i16
-  { 2205,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2205 = VSUBv4i32
-  { 2206,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2206 = VSUBv8i16
-  { 2207,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2207 = VSUBv8i8
-  { 2208,	6,	2,	433,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2208 = VSWPd
-  { 2209,	6,	2,	433,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2209 = VSWPq
-  { 2210,	5,	1,	425,	4,	0|(1<<MCID_Predicable), 0x11480ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2210 = VTBL1
-  { 2211,	5,	1,	427,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2211 = VTBL2
-  { 2212,	5,	1,	429,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2212 = VTBL3
-  { 2213,	5,	1,	429,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2213 = VTBL3Pseudo
-  { 2214,	5,	1,	431,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2214 = VTBL4
-  { 2215,	5,	1,	431,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2215 = VTBL4Pseudo
-  { 2216,	6,	1,	426,	4,	0|(1<<MCID_Predicable), 0x11480ULL, nullptr, nullptr, OperandInfo264,0,nullptr },  // Inst #2216 = VTBX1
-  { 2217,	6,	1,	428,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo265,0,nullptr },  // Inst #2217 = VTBX2
-  { 2218,	6,	1,	430,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo264,0,nullptr },  // Inst #2218 = VTBX3
-  { 2219,	6,	1,	430,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo266,0,nullptr },  // Inst #2219 = VTBX3Pseudo
-  { 2220,	6,	1,	432,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo264,0,nullptr },  // Inst #2220 = VTBX4
-  { 2221,	6,	1,	432,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo266,0,nullptr },  // Inst #2221 = VTBX4Pseudo
-  { 2222,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2222 = VTOSHD
-  { 2223,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2223 = VTOSHS
-  { 2224,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList9, nullptr, OperandInfo142,0,nullptr },  // Inst #2224 = VTOSIRD
-  { 2225,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList9, nullptr, OperandInfo130,0,nullptr },  // Inst #2225 = VTOSIRS
-  { 2226,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo142,0,nullptr },  // Inst #2226 = VTOSIZD
-  { 2227,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2227 = VTOSIZS
-  { 2228,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2228 = VTOSLD
-  { 2229,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2229 = VTOSLS
-  { 2230,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2230 = VTOUHD
-  { 2231,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2231 = VTOUHS
-  { 2232,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList9, nullptr, OperandInfo142,0,nullptr },  // Inst #2232 = VTOUIRD
-  { 2233,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList9, nullptr, OperandInfo130,0,nullptr },  // Inst #2233 = VTOUIRS
-  { 2234,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo142,0,nullptr },  // Inst #2234 = VTOUIZD
-  { 2235,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2235 = VTOUIZS
-  { 2236,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2236 = VTOULD
-  { 2237,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2237 = VTOULS
-  { 2238,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2238 = VTRNd16
-  { 2239,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2239 = VTRNd32
-  { 2240,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2240 = VTRNd8
-  { 2241,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2241 = VTRNq16
-  { 2242,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2242 = VTRNq32
-  { 2243,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2243 = VTRNq8
-  { 2244,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2244 = VTSTv16i8
-  { 2245,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2245 = VTSTv2i32
-  { 2246,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2246 = VTSTv4i16
-  { 2247,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2247 = VTSTv4i32
-  { 2248,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #2248 = VTSTv8i16
-  { 2249,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #2249 = VTSTv8i8
-  { 2250,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2250 = VUHTOD
-  { 2251,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2251 = VUHTOS
-  { 2252,	4,	1,	481,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #2252 = VUITOD
-  { 2253,	4,	1,	482,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2253 = VUITOS
-  { 2254,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #2254 = VULTOD
-  { 2255,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #2255 = VULTOS
-  { 2256,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2256 = VUZPd16
-  { 2257,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2257 = VUZPd8
-  { 2258,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2258 = VUZPq16
-  { 2259,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2259 = VUZPq32
-  { 2260,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2260 = VUZPq8
-  { 2261,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2261 = VZIPd16
-  { 2262,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2262 = VZIPd8
-  { 2263,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2263 = VZIPq16
-  { 2264,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2264 = VZIPq32
-  { 2265,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2265 = VZIPq8
-  { 2266,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList10, ImplicitList11, nullptr,0,nullptr },  // Inst #2266 = WIN__CHKSTK
-  { 2267,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2267 = sysLDMDA
-  { 2268,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2268 = sysLDMDA_UPD
-  { 2269,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2269 = sysLDMDB
-  { 2270,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2270 = sysLDMDB_UPD
-  { 2271,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2271 = sysLDMIA
-  { 2272,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2272 = sysLDMIA_UPD
-  { 2273,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2273 = sysLDMIB
-  { 2274,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2274 = sysLDMIB_UPD
-  { 2275,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2275 = sysSTMDA
-  { 2276,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2276 = sysSTMDA_UPD
-  { 2277,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2277 = sysSTMDB
-  { 2278,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2278 = sysSTMDB_UPD
-  { 2279,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2279 = sysSTMIA
-  { 2280,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2280 = sysSTMIA_UPD
-  { 2281,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2281 = sysSTMIB
-  { 2282,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2282 = sysSTMIB_UPD
-  { 2283,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList1, OperandInfo267,0,nullptr },  // Inst #2283 = t2ABS
-  { 2284,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo268,0,nullptr },  // Inst #2284 = t2ADCri
-  { 2285,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo269,0,nullptr },  // Inst #2285 = t2ADCrr
-  { 2286,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo270,0,nullptr },  // Inst #2286 = t2ADCrs
-  { 2287,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo271,0,nullptr },  // Inst #2287 = t2ADDSri
-  { 2288,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo272,0,nullptr },  // Inst #2288 = t2ADDSrr
-  { 2289,	6,	1,	238,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo273,0,nullptr },  // Inst #2289 = t2ADDSrs
-  { 2290,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo274,0,nullptr },  // Inst #2290 = t2ADDri
-  { 2291,	5,	1,	1,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo275,0,nullptr },  // Inst #2291 = t2ADDri12
-  { 2292,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo276,0,nullptr },  // Inst #2292 = t2ADDrr
-  { 2293,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo277,0,nullptr },  // Inst #2293 = t2ADDrs
-  { 2294,	4,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo278,0,nullptr },  // Inst #2294 = t2ADR
-  { 2295,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2295 = t2ANDri
-  { 2296,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2296 = t2ANDrr
-  { 2297,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2297 = t2ANDrs
-  { 2298,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2298 = t2ASRri
-  { 2299,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2299 = t2ASRrr
-  { 2300,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2300 = t2B
-  { 2301,	5,	1,	297,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2301 = t2BFC
-  { 2302,	6,	1,	298,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2302 = t2BFI
-  { 2303,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2303 = t2BICri
-  { 2304,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2304 = t2BICrr
-  { 2305,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2305 = t2BICrs
-  { 2306,	4,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo36,0,nullptr },  // Inst #2306 = t2BR_JT
-  { 2307,	3,	0,	15,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo281,0,nullptr },  // Inst #2307 = t2BXJ
-  { 2308,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2308 = t2Bcc
-  { 2309,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2309 = t2CDP
-  { 2310,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2310 = t2CDP2
-  { 2311,	2,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2311 = t2CLREX
-  { 2312,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2312 = t2CLZ
-  { 2313,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2313 = t2CMNri
-  { 2314,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2314 = t2CMNzrr
-  { 2315,	5,	0,	240,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2315 = t2CMNzrs
-  { 2316,	4,	0,	241,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2316 = t2CMPri
-  { 2317,	4,	0,	242,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2317 = t2CMPrr
-  { 2318,	5,	0,	243,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2318 = t2CMPrs
-  { 2319,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2319 = t2CPS1p
-  { 2320,	2,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #2320 = t2CPS2p
-  { 2321,	3,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo3,0,nullptr },  // Inst #2321 = t2CPS3p
-  { 2322,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2322 = t2CRC32B
-  { 2323,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2323 = t2CRC32CB
-  { 2324,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2324 = t2CRC32CH
-  { 2325,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2325 = t2CRC32CW
-  { 2326,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2326 = t2CRC32H
-  { 2327,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2327 = t2CRC32W
-  { 2328,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2328 = t2DBG
-  { 2329,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2329 = t2DCPS1
-  { 2330,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2330 = t2DCPS2
-  { 2331,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2331 = t2DCPS3
-  { 2332,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2332 = t2DMB
-  { 2333,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2333 = t2DSB
-  { 2334,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2334 = t2EORri
-  { 2335,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2335 = t2EORrr
-  { 2336,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2336 = t2EORrs
-  { 2337,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2337 = t2HINT
-  { 2338,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2338 = t2ISB
-  { 2339,	2,	0,	378,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList12, OperandInfo7,0,0 },  // Inst #2339 = t2IT
-  { 2340,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList13, OperandInfo287,0,nullptr },  // Inst #2340 = t2Int_eh_sjlj_setjmp
-  { 2341,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList7, OperandInfo287,0,nullptr },  // Inst #2341 = t2Int_eh_sjlj_setjmp_nofp
-  { 2342,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2342 = t2LDA
-  { 2343,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2343 = t2LDAB
-  { 2344,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2344 = t2LDAEX
-  { 2345,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2345 = t2LDAEXB
-  { 2346,	5,	2,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo289,0,nullptr },  // Inst #2346 = t2LDAEXD
-  { 2347,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2347 = t2LDAEXH
-  { 2348,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2348 = t2LDAH
-  { 2349,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2349 = t2LDC2L_OFFSET
-  { 2350,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2350 = t2LDC2L_OPTION
-  { 2351,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2351 = t2LDC2L_POST
-  { 2352,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2352 = t2LDC2L_PRE
-  { 2353,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2353 = t2LDC2_OFFSET
-  { 2354,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2354 = t2LDC2_OPTION
-  { 2355,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2355 = t2LDC2_POST
-  { 2356,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2356 = t2LDC2_PRE
-  { 2357,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2357 = t2LDCL_OFFSET
-  { 2358,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2358 = t2LDCL_OPTION
-  { 2359,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2359 = t2LDCL_POST
-  { 2360,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2360 = t2LDCL_PRE
-  { 2361,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2361 = t2LDC_OFFSET
-  { 2362,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2362 = t2LDC_OPTION
-  { 2363,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2363 = t2LDC_POST
-  { 2364,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2364 = t2LDC_PRE
-  { 2365,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2365 = t2LDMDB
-  { 2366,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2366 = t2LDMDB_UPD
-  { 2367,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2367 = t2LDMIA
-  { 2368,	5,	1,	355,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2368 = t2LDMIA_RET
-  { 2369,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2369 = t2LDMIA_UPD
-  { 2370,	5,	1,	346,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2370 = t2LDRBT
-  { 2371,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2371 = t2LDRB_POST
-  { 2372,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2372 = t2LDRB_PRE
-  { 2373,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2373 = t2LDRBi12
-  { 2374,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2374 = t2LDRBi8
-  { 2375,	4,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2375 = t2LDRBpci
-  { 2376,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2376 = t2LDRBpcrel
-  { 2377,	6,	1,	326,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2377 = t2LDRBs
-  { 2378,	7,	3,	352,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo292,0,nullptr },  // Inst #2378 = t2LDRD_POST
-  { 2379,	7,	3,	352,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo292,0,nullptr },  // Inst #2379 = t2LDRD_PRE
-  { 2380,	6,	2,	351,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0xc8fULL, nullptr, nullptr, OperandInfo293,0,nullptr },  // Inst #2380 = t2LDRDi8
-  { 2381,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo294,0,nullptr },  // Inst #2381 = t2LDREX
-  { 2382,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2382 = t2LDREXB
-  { 2383,	5,	2,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo289,0,nullptr },  // Inst #2383 = t2LDREXD
-  { 2384,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2384 = t2LDREXH
-  { 2385,	5,	1,	346,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2385 = t2LDRHT
-  { 2386,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2386 = t2LDRH_POST
-  { 2387,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2387 = t2LDRH_PRE
-  { 2388,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2388 = t2LDRHi12
-  { 2389,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2389 = t2LDRHi8
-  { 2390,	4,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2390 = t2LDRHpci
-  { 2391,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2391 = t2LDRHpcrel
-  { 2392,	6,	1,	326,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2392 = t2LDRHs
-  { 2393,	5,	1,	348,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2393 = t2LDRSBT
-  { 2394,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2394 = t2LDRSB_POST
-  { 2395,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2395 = t2LDRSB_PRE
-  { 2396,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2396 = t2LDRSBi12
-  { 2397,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2397 = t2LDRSBi8
-  { 2398,	4,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2398 = t2LDRSBpci
-  { 2399,	4,	0,	338,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2399 = t2LDRSBpcrel
-  { 2400,	6,	1,	339,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2400 = t2LDRSBs
-  { 2401,	5,	1,	348,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2401 = t2LDRSHT
-  { 2402,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2402 = t2LDRSH_POST
-  { 2403,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2403 = t2LDRSH_PRE
-  { 2404,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2404 = t2LDRSHi12
-  { 2405,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2405 = t2LDRSHi8
-  { 2406,	4,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2406 = t2LDRSHpci
-  { 2407,	4,	0,	338,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2407 = t2LDRSHpcrel
-  { 2408,	6,	1,	339,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2408 = t2LDRSHs
-  { 2409,	5,	1,	347,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2409 = t2LDRT
-  { 2410,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2410 = t2LDR_POST
-  { 2411,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #2411 = t2LDR_PRE
-  { 2412,	5,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2412 = t2LDRi12
-  { 2413,	5,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2413 = t2LDRi8
-  { 2414,	4,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2414 = t2LDRpci
-  { 2415,	3,	1,	331,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo295,0,nullptr },  // Inst #2415 = t2LDRpci_pic
-  { 2416,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo23,0,nullptr },  // Inst #2416 = t2LDRpcrel
-  { 2417,	6,	1,	332,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2417 = t2LDRs
-  { 2418,	4,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo296,0,nullptr },  // Inst #2418 = t2LEApcrel
-  { 2419,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo297,0,nullptr },  // Inst #2419 = t2LEApcrelJT
-  { 2420,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2420 = t2LSLri
-  { 2421,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2421 = t2LSLrr
-  { 2422,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2422 = t2LSRri
-  { 2423,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2423 = t2LSRrr
-  { 2424,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo69,0,0 },  // Inst #2424 = t2MCR
-  { 2425,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo69,0,nullptr },  // Inst #2425 = t2MCR2
-  { 2426,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo298,0,nullptr },  // Inst #2426 = t2MCRR
-  { 2427,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo298,0,nullptr },  // Inst #2427 = t2MCRR2
-  { 2428,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2428 = t2MLA
-  { 2429,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2429 = t2MLS
-  { 2430,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2430 = t2MOVCCasr
-  { 2431,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2431 = t2MOVCCi
-  { 2432,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2432 = t2MOVCCi16
-  { 2433,	5,	1,	292,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo301,0,nullptr },  // Inst #2433 = t2MOVCCi32imm
-  { 2434,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2434 = t2MOVCClsl
-  { 2435,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2435 = t2MOVCClsr
-  { 2436,	5,	1,	43,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Select)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x0ULL, nullptr, nullptr, OperandInfo302,0,nullptr },  // Inst #2436 = t2MOVCCr
-  { 2437,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2437 = t2MOVCCror
-  { 2438,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo303,0,nullptr },  // Inst #2438 = t2MOVSsi
-  { 2439,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo304,0,nullptr },  // Inst #2439 = t2MOVSsr
-  { 2440,	5,	1,	41,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2440 = t2MOVTi16
-  { 2441,	4,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo305,0,nullptr },  // Inst #2441 = t2MOVTi16_ga_pcrel
-  { 2442,	2,	1,	294,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo306,0,nullptr },  // Inst #2442 = t2MOV_ga_pcrel
-  { 2443,	5,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo307,0,nullptr },  // Inst #2443 = t2MOVi
-  { 2444,	4,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo278,0,nullptr },  // Inst #2444 = t2MOVi16
-  { 2445,	3,	1,	295,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo295,0,nullptr },  // Inst #2445 = t2MOVi16_ga_pcrel
-  { 2446,	2,	1,	293,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo306,0,nullptr },  // Inst #2446 = t2MOVi32imm
-  { 2447,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo308,0,nullptr },  // Inst #2447 = t2MOVr
-  { 2448,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo303,0,nullptr },  // Inst #2448 = t2MOVsi
-  { 2449,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo304,0,nullptr },  // Inst #2449 = t2MOVsr
-  { 2450,	4,	1,	50,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo282,0,nullptr },  // Inst #2450 = t2MOVsra_flag
-  { 2451,	4,	1,	50,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo282,0,nullptr },  // Inst #2451 = t2MOVsrl_flag
-  { 2452,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo88,0,nullptr },  // Inst #2452 = t2MRC
-  { 2453,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo88,0,nullptr },  // Inst #2453 = t2MRC2
-  { 2454,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo298,0,nullptr },  // Inst #2454 = t2MRRC
-  { 2455,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo298,0,nullptr },  // Inst #2455 = t2MRRC2
-  { 2456,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2456 = t2MRS_AR
-  { 2457,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo278,0,nullptr },  // Inst #2457 = t2MRS_M
-  { 2458,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2458 = t2MRSsys_AR
-  { 2459,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo309,0,nullptr },  // Inst #2459 = t2MSR_AR
-  { 2460,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo309,0,nullptr },  // Inst #2460 = t2MSR_M
-  { 2461,	5,	1,	310,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2461 = t2MUL
-  { 2462,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2462 = t2MVNCCi
-  { 2463,	5,	1,	52,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo307,0,nullptr },  // Inst #2463 = t2MVNi
-  { 2464,	5,	1,	53,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2464 = t2MVNr
-  { 2465,	6,	1,	249,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo312,0,nullptr },  // Inst #2465 = t2MVNs
-  { 2466,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2466 = t2ORNri
-  { 2467,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2467 = t2ORNrr
-  { 2468,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2468 = t2ORNrs
-  { 2469,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2469 = t2ORRri
-  { 2470,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2470 = t2ORRrr
-  { 2471,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2471 = t2ORRrs
-  { 2472,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2472 = t2PKHBT
-  { 2473,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2473 = t2PKHTB
-  { 2474,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2474 = t2PLDWi12
-  { 2475,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2475 = t2PLDWi8
-  { 2476,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2476 = t2PLDWs
-  { 2477,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2477 = t2PLDi12
-  { 2478,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2478 = t2PLDi8
-  { 2479,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2479 = t2PLDpci
-  { 2480,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2480 = t2PLDs
-  { 2481,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2481 = t2PLIi12
-  { 2482,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2482 = t2PLIi8
-  { 2483,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2483 = t2PLIpci
-  { 2484,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2484 = t2PLIs
-  { 2485,	5,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2485 = t2QADD
-  { 2486,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2486 = t2QADD16
-  { 2487,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2487 = t2QADD8
-  { 2488,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2488 = t2QASX
-  { 2489,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2489 = t2QDADD
-  { 2490,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2490 = t2QDSUB
-  { 2491,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2491 = t2QSAX
-  { 2492,	5,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2492 = t2QSUB
-  { 2493,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2493 = t2QSUB16
-  { 2494,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2494 = t2QSUB8
-  { 2495,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2495 = t2RBIT
-  { 2496,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2496 = t2REV
-  { 2497,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2497 = t2REV16
-  { 2498,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2498 = t2REVSH
-  { 2499,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2499 = t2RFEDB
-  { 2500,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2500 = t2RFEDBW
-  { 2501,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2501 = t2RFEIA
-  { 2502,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2502 = t2RFEIAW
-  { 2503,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2503 = t2RORri
-  { 2504,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2504 = t2RORrr
-  { 2505,	5,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, ImplicitList1, nullptr, OperandInfo311,0,nullptr },  // Inst #2505 = t2RRX
-  { 2506,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo316,0,nullptr },  // Inst #2506 = t2RSBSri
-  { 2507,	6,	1,	58,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo317,0,nullptr },  // Inst #2507 = t2RSBSrs
-  { 2508,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo268,0,nullptr },  // Inst #2508 = t2RSBri
-  { 2509,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2509 = t2RSBrr
-  { 2510,	7,	1,	250,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2510 = t2RSBrs
-  { 2511,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2511 = t2SADD16
-  { 2512,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2512 = t2SADD8
-  { 2513,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2513 = t2SASX
-  { 2514,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo268,0,nullptr },  // Inst #2514 = t2SBCri
-  { 2515,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo269,0,nullptr },  // Inst #2515 = t2SBCrr
-  { 2516,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo270,0,nullptr },  // Inst #2516 = t2SBCrs
-  { 2517,	6,	1,	297,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo318,0,nullptr },  // Inst #2517 = t2SBFX
-  { 2518,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2518 = t2SDIV
-  { 2519,	5,	1,	296,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #2519 = t2SEL
-  { 2520,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2520 = t2SHADD16
-  { 2521,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2521 = t2SHADD8
-  { 2522,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2522 = t2SHASX
-  { 2523,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2523 = t2SHSAX
-  { 2524,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2524 = t2SHSUB16
-  { 2525,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2525 = t2SHSUB8
-  { 2526,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2526 = t2SMC
-  { 2527,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2527 = t2SMLABB
-  { 2528,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2528 = t2SMLABT
-  { 2529,	6,	1,	320,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2529 = t2SMLAD
-  { 2530,	6,	1,	320,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2530 = t2SMLADX
-  { 2531,	8,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo319,0,nullptr },  // Inst #2531 = t2SMLAL
-  { 2532,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2532 = t2SMLALBB
-  { 2533,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2533 = t2SMLALBT
-  { 2534,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2534 = t2SMLALD
-  { 2535,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2535 = t2SMLALDX
-  { 2536,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2536 = t2SMLALTB
-  { 2537,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2537 = t2SMLALTT
-  { 2538,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2538 = t2SMLATB
-  { 2539,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2539 = t2SMLATT
-  { 2540,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2540 = t2SMLAWB
-  { 2541,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2541 = t2SMLAWT
-  { 2542,	6,	1,	318,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2542 = t2SMLSD
-  { 2543,	6,	1,	318,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2543 = t2SMLSDX
-  { 2544,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2544 = t2SMLSLD
-  { 2545,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2545 = t2SMLSLDX
-  { 2546,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2546 = t2SMMLA
-  { 2547,	6,	1,	313,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2547 = t2SMMLAR
-  { 2548,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2548 = t2SMMLS
-  { 2549,	6,	1,	313,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2549 = t2SMMLSR
-  { 2550,	5,	1,	310,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2550 = t2SMMUL
-  { 2551,	5,	1,	310,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2551 = t2SMMULR
-  { 2552,	5,	1,	315,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2552 = t2SMUAD
-  { 2553,	5,	1,	315,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2553 = t2SMUADX
-  { 2554,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2554 = t2SMULBB
-  { 2555,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2555 = t2SMULBT
-  { 2556,	6,	2,	322,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2556 = t2SMULL
-  { 2557,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2557 = t2SMULTB
-  { 2558,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2558 = t2SMULTT
-  { 2559,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2559 = t2SMULWB
-  { 2560,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2560 = t2SMULWT
-  { 2561,	5,	1,	312,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2561 = t2SMUSD
-  { 2562,	5,	1,	312,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2562 = t2SMUSDX
-  { 2563,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2563 = t2SRSDB
-  { 2564,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2564 = t2SRSDB_UPD
-  { 2565,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2565 = t2SRSIA
-  { 2566,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2566 = t2SRSIA_UPD
-  { 2567,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo320,0,nullptr },  // Inst #2567 = t2SSAT
-  { 2568,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo321,0,nullptr },  // Inst #2568 = t2SSAT16
-  { 2569,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2569 = t2SSAX
-  { 2570,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2570 = t2SSUB16
-  { 2571,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2571 = t2SSUB8
-  { 2572,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2572 = t2STC2L_OFFSET
-  { 2573,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2573 = t2STC2L_OPTION
-  { 2574,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2574 = t2STC2L_POST
-  { 2575,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2575 = t2STC2L_PRE
-  { 2576,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2576 = t2STC2_OFFSET
-  { 2577,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2577 = t2STC2_OPTION
-  { 2578,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2578 = t2STC2_POST
-  { 2579,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2579 = t2STC2_PRE
-  { 2580,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2580 = t2STCL_OFFSET
-  { 2581,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2581 = t2STCL_OPTION
-  { 2582,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2582 = t2STCL_POST
-  { 2583,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2583 = t2STCL_PRE
-  { 2584,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2584 = t2STC_OFFSET
-  { 2585,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2585 = t2STC_OPTION
-  { 2586,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2586 = t2STC_POST
-  { 2587,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #2587 = t2STC_PRE
-  { 2588,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2588 = t2STL
-  { 2589,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2589 = t2STLB
-  { 2590,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2590 = t2STLEX
-  { 2591,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2591 = t2STLEXB
-  { 2592,	6,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2592 = t2STLEXD
-  { 2593,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2593 = t2STLEXH
-  { 2594,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2594 = t2STLH
-  { 2595,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2595 = t2STMDB
-  { 2596,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2596 = t2STMDB_UPD
-  { 2597,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2597 = t2STMIA
-  { 2598,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2598 = t2STMIA_UPD
-  { 2599,	5,	1,	370,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2599 = t2STRBT
-  { 2600,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2600 = t2STRB_POST
-  { 2601,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2601 = t2STRB_PRE
-  { 2602,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2602 = t2STRB_preidx
-  { 2603,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2603 = t2STRBi12
-  { 2604,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2604 = t2STRBi8
-  { 2605,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo326,0,nullptr },  // Inst #2605 = t2STRBs
-  { 2606,	7,	1,	373,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo327,0,nullptr },  // Inst #2606 = t2STRD_POST
-  { 2607,	7,	1,	373,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo327,0,nullptr },  // Inst #2607 = t2STRD_PRE
-  { 2608,	6,	0,	372,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0xc8fULL, nullptr, nullptr, OperandInfo293,0,nullptr },  // Inst #2608 = t2STRDi8
-  { 2609,	6,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo328,0,nullptr },  // Inst #2609 = t2STREX
-  { 2610,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2610 = t2STREXB
-  { 2611,	6,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2611 = t2STREXD
-  { 2612,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2612 = t2STREXH
-  { 2613,	5,	1,	370,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2613 = t2STRHT
-  { 2614,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2614 = t2STRH_POST
-  { 2615,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2615 = t2STRH_PRE
-  { 2616,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2616 = t2STRH_preidx
-  { 2617,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2617 = t2STRHi12
-  { 2618,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2618 = t2STRHi8
-  { 2619,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo326,0,nullptr },  // Inst #2619 = t2STRHs
-  { 2620,	5,	1,	371,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2620 = t2STRT
-  { 2621,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo329,0,nullptr },  // Inst #2621 = t2STR_POST
-  { 2622,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo329,0,nullptr },  // Inst #2622 = t2STR_PRE
-  { 2623,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2623 = t2STR_preidx
-  { 2624,	5,	0,	364,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2624 = t2STRi12
-  { 2625,	5,	0,	364,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2625 = t2STRi8
-  { 2626,	6,	0,	362,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2626 = t2STRs
-  { 2627,	3,	0,	0,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, ImplicitList14, OperandInfo47,0,nullptr },  // Inst #2627 = t2SUBS_PC_LR
-  { 2628,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo271,0,nullptr },  // Inst #2628 = t2SUBSri
-  { 2629,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo272,0,nullptr },  // Inst #2629 = t2SUBSrr
-  { 2630,	6,	1,	238,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo273,0,nullptr },  // Inst #2630 = t2SUBSrs
-  { 2631,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo274,0,nullptr },  // Inst #2631 = t2SUBri
-  { 2632,	5,	1,	1,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo275,0,nullptr },  // Inst #2632 = t2SUBri12
-  { 2633,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo276,0,nullptr },  // Inst #2633 = t2SUBrr
-  { 2634,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo277,0,nullptr },  // Inst #2634 = t2SUBrs
-  { 2635,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2635 = t2SXTAB
-  { 2636,	6,	1,	306,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2636 = t2SXTAB16
-  { 2637,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2637 = t2SXTAH
-  { 2638,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2638 = t2SXTB
-  { 2639,	5,	1,	291,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2639 = t2SXTB16
-  { 2640,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2640 = t2SXTH
-  { 2641,	4,	0,	14,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo330,0,nullptr },  // Inst #2641 = t2TBB
-  { 2642,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo38,0,nullptr },  // Inst #2642 = t2TBB_JT
-  { 2643,	4,	0,	14,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo330,0,nullptr },  // Inst #2643 = t2TBH
-  { 2644,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo38,0,nullptr },  // Inst #2644 = t2TBH_JT
-  { 2645,	4,	0,	255,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2645 = t2TEQri
-  { 2646,	4,	0,	256,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2646 = t2TEQrr
-  { 2647,	5,	0,	257,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2647 = t2TEQrs
-  { 2648,	4,	0,	255,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2648 = t2TSTri
-  { 2649,	4,	0,	256,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2649 = t2TSTrr
-  { 2650,	5,	0,	257,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2650 = t2TSTrs
-  { 2651,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2651 = t2UADD16
-  { 2652,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2652 = t2UADD8
-  { 2653,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2653 = t2UASX
-  { 2654,	6,	1,	297,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo318,0,nullptr },  // Inst #2654 = t2UBFX
-  { 2655,	1,	0,	76,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2655 = t2UDF
-  { 2656,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2656 = t2UDIV
-  { 2657,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2657 = t2UHADD16
-  { 2658,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2658 = t2UHADD8
-  { 2659,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2659 = t2UHASX
-  { 2660,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2660 = t2UHSAX
-  { 2661,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2661 = t2UHSUB16
-  { 2662,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2662 = t2UHSUB8
-  { 2663,	6,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2663 = t2UMAAL
-  { 2664,	8,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo319,0,nullptr },  // Inst #2664 = t2UMLAL
-  { 2665,	6,	2,	322,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2665 = t2UMULL
-  { 2666,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2666 = t2UQADD16
-  { 2667,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2667 = t2UQADD8
-  { 2668,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2668 = t2UQASX
-  { 2669,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2669 = t2UQSAX
-  { 2670,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2670 = t2UQSUB16
-  { 2671,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2671 = t2UQSUB8
-  { 2672,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2672 = t2USAD8
-  { 2673,	6,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2673 = t2USADA8
-  { 2674,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo320,0,nullptr },  // Inst #2674 = t2USAT
-  { 2675,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo321,0,nullptr },  // Inst #2675 = t2USAT16
-  { 2676,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2676 = t2USAX
-  { 2677,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2677 = t2USUB16
-  { 2678,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2678 = t2USUB8
-  { 2679,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2679 = t2UXTAB
-  { 2680,	6,	1,	306,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2680 = t2UXTAB16
-  { 2681,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2681 = t2UXTAH
-  { 2682,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2682 = t2UXTB
-  { 2683,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2683 = t2UXTB16
-  { 2684,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2684 = t2UXTH
-  { 2685,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, ImplicitList1, nullptr, OperandInfo331,0,nullptr },  // Inst #2685 = tADC
-  { 2686,	5,	1,	258,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo77,0,nullptr },  // Inst #2686 = tADDhirr
-  { 2687,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2687 = tADDi3
-  { 2688,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo333,0,nullptr },  // Inst #2688 = tADDi8
-  { 2689,	5,	1,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2689 = tADDrSP
-  { 2690,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo335,0,nullptr },  // Inst #2690 = tADDrSPi
-  { 2691,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo336,0,nullptr },  // Inst #2691 = tADDrr
-  { 2692,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo337,0,nullptr },  // Inst #2692 = tADDspi
-  { 2693,	5,	1,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo338,0,nullptr },  // Inst #2693 = tADDspr
-  { 2694,	1,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo2,0,nullptr },  // Inst #2694 = tADJCALLSTACKDOWN
-  { 2695,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo8,0,nullptr },  // Inst #2695 = tADJCALLSTACKUP
-  { 2696,	4,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo339,0,nullptr },  // Inst #2696 = tADR
-  { 2697,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2697 = tAND
-  { 2698,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2698 = tASRri
-  { 2699,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2699 = tASRrr
-  { 2700,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2700 = tB
-  { 2701,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2701 = tBIC
-  { 2702,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2702 = tBKPT
-  { 2703,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo340,0,nullptr },  // Inst #2703 = tBL
-  { 2704,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo340,0,nullptr },  // Inst #2704 = tBLXi
-  { 2705,	3,	0,	12,	2,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo341,0,nullptr },  // Inst #2705 = tBLXr
-  { 2706,	3,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2706 = tBRIND
-  { 2707,	3,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo342,0,nullptr },  // Inst #2707 = tBR_JTr
-  { 2708,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #2708 = tBX
-  { 2709,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo35,0,nullptr },  // Inst #2709 = tBX_CALL
-  { 2710,	2,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2710 = tBX_RET
-  { 2711,	3,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo343,0,nullptr },  // Inst #2711 = tBX_RET_vararg
-  { 2712,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2712 = tBcc
-  { 2713,	3,	0,	14,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList3, OperandInfo34,0,nullptr },  // Inst #2713 = tBfar
-  { 2714,	2,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo344,0,nullptr },  // Inst #2714 = tCBNZ
-  { 2715,	2,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo344,0,nullptr },  // Inst #2715 = tCBZ
-  { 2716,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo345,0,nullptr },  // Inst #2716 = tCMNz
-  { 2717,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList1, OperandInfo42,0,nullptr },  // Inst #2717 = tCMPhir
-  { 2718,	4,	0,	241,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo346,0,nullptr },  // Inst #2718 = tCMPi8
-  { 2719,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo345,0,nullptr },  // Inst #2719 = tCMPr
-  { 2720,	2,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #2720 = tCPS
-  { 2721,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2721 = tEOR
-  { 2722,	3,	0,	0,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #2722 = tHINT
-  { 2723,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2723 = tHLT
-  { 2724,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList5, OperandInfo11,0,nullptr },  // Inst #2724 = tInt_eh_sjlj_longjmp
-  { 2725,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList15, OperandInfo287,0,nullptr },  // Inst #2725 = tInt_eh_sjlj_setjmp
-  { 2726,	4,	0,	353,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo347,0,nullptr },  // Inst #2726 = tLDMIA
-  { 2727,	5,	1,	354,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Variadic), 0x0ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #2727 = tLDMIA_UPD
-  { 2728,	5,	1,	329,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc87ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2728 = tLDRBi
-  { 2729,	5,	1,	333,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc87ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2729 = tLDRBr
-  { 2730,	5,	1,	329,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc88ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2730 = tLDRHi
-  { 2731,	5,	1,	333,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc88ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2731 = tLDRHr
-  { 2732,	2,	1,	33,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2732 = tLDRLIT_ga_abs
-  { 2733,	2,	1,	34,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2733 = tLDRLIT_ga_pcrel
-  { 2734,	5,	1,	340,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2734 = tLDRSB
-  { 2735,	5,	1,	340,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2735 = tLDRSH
-  { 2736,	5,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc89ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2736 = tLDRi
-  { 2737,	4,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8aULL, nullptr, nullptr, OperandInfo339,0,nullptr },  // Inst #2737 = tLDRpci
-  { 2738,	3,	1,	327,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo83,0,nullptr },  // Inst #2738 = tLDRpci_pic
-  { 2739,	5,	1,	334,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc89ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2739 = tLDRr
-  { 2740,	5,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8aULL, nullptr, nullptr, OperandInfo351,0,nullptr },  // Inst #2740 = tLDRspi
-  { 2741,	4,	1,	259,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo352,0,nullptr },  // Inst #2741 = tLEApcrel
-  { 2742,	5,	1,	259,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo353,0,nullptr },  // Inst #2742 = tLEApcrelJT
-  { 2743,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2743 = tLSLri
-  { 2744,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2744 = tLSLrr
-  { 2745,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2745 = tLSRri
-  { 2746,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2746 = tLSRrr
-  { 2747,	5,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo354,0,nullptr },  // Inst #2747 = tMOVCCr_pseudo
-  { 2748,	2,	1,	48,	2,	0, 0xc80ULL, nullptr, ImplicitList1, OperandInfo287,0,nullptr },  // Inst #2748 = tMOVSr
-  { 2749,	5,	2,	41,	2,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo355,0,nullptr },  // Inst #2749 = tMOVi8
-  { 2750,	4,	1,	48,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #2750 = tMOVr
-  { 2751,	6,	2,	51,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo356,0,nullptr },  // Inst #2751 = tMUL
-  { 2752,	5,	2,	53,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo357,0,nullptr },  // Inst #2752 = tMVN
-  { 2753,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2753 = tORR
-  { 2754,	3,	1,	258,	2,	0|(1<<MCID_NotDuplicable), 0xc80ULL, nullptr, nullptr, OperandInfo358,0,nullptr },  // Inst #2754 = tPICADD
-  { 2755,	3,	0,	356,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, ImplicitList2, ImplicitList2, OperandInfo359,0,nullptr },  // Inst #2755 = tPOP
-  { 2756,	3,	0,	357,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo359,0,nullptr },  // Inst #2756 = tPOP_RET
-  { 2757,	3,	0,	376,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, ImplicitList2, ImplicitList2, OperandInfo359,0,nullptr },  // Inst #2757 = tPUSH
-  { 2758,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2758 = tREV
-  { 2759,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2759 = tREV16
-  { 2760,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2760 = tREVSH
-  { 2761,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2761 = tROR
-  { 2762,	5,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo357,0,nullptr },  // Inst #2762 = tRSB
-  { 2763,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, ImplicitList1, nullptr, OperandInfo331,0,nullptr },  // Inst #2763 = tSBC
-  { 2764,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,ARM_HasV8Ops,nullptr },  // Inst #2764 = tSETEND
-  { 2765,	5,	1,	375,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo360,0,nullptr },  // Inst #2765 = tSTMIA_UPD
-  { 2766,	5,	0,	363,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2766 = tSTRBi
-  { 2767,	5,	0,	359,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2767 = tSTRBr
-  { 2768,	5,	0,	363,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2768 = tSTRHi
-  { 2769,	5,	0,	359,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2769 = tSTRHr
-  { 2770,	5,	0,	364,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc89ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2770 = tSTRi
-  { 2771,	5,	0,	358,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc89ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2771 = tSTRr
-  { 2772,	5,	0,	364,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8aULL, nullptr, nullptr, OperandInfo351,0,nullptr },  // Inst #2772 = tSTRspi
-  { 2773,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2773 = tSUBi3
-  { 2774,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo333,0,nullptr },  // Inst #2774 = tSUBi8
-  { 2775,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo336,0,nullptr },  // Inst #2775 = tSUBrr
-  { 2776,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo337,0,nullptr },  // Inst #2776 = tSUBspi
-  { 2777,	3,	0,	10,	2,	0|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, ImplicitList2, nullptr, OperandInfo47,0,nullptr },  // Inst #2777 = tSVC
-  { 2778,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2778 = tSXTB
-  { 2779,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2779 = tSXTH
-  { 2780,	3,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo34,0,nullptr },  // Inst #2780 = tTAILJMPd
-  { 2781,	3,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo34,0,nullptr },  // Inst #2781 = tTAILJMPdND
-  { 2782,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo122,0,nullptr },  // Inst #2782 = tTAILJMPr
-  { 2783,	0,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList8, nullptr,0,nullptr },  // Inst #2783 = tTPsoft
-  { 2784,	0,	0,	10,	2,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #2784 = tTRAP
-  { 2785,	4,	0,	263,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo345,0,nullptr },  // Inst #2785 = tTST
-  { 2786,	1,	0,	76,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2786 = tUDF
-  { 2787,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2787 = tUXTB
-  { 2788,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2788 = tUXTH
+  { 20,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Call)|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UsesCustomInserter)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #20 = STATEPOINT
+  { 21,	2,	0,	0,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo11,0,nullptr },  // Inst #21 = FRAME_ALLOC
+  { 22,	2,	1,	590,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #22 = ABS
+  { 23,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #23 = ADCri
+  { 24,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #24 = ADCrr
+  { 25,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo15,0,nullptr },  // Inst #25 = ADCrsi
+  { 26,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo16,0,nullptr },  // Inst #26 = ADCrsr
+  { 27,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo17,0,nullptr },  // Inst #27 = ADDSri
+  { 28,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo18,0,nullptr },  // Inst #28 = ADDSrr
+  { 29,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #29 = ADDSrsi
+  { 30,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo20,0,nullptr },  // Inst #30 = ADDSrsr
+  { 31,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #31 = ADDri
+  { 32,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #32 = ADDrr
+  { 33,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #33 = ADDrsi
+  { 34,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #34 = ADDrsr
+  { 35,	3,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo22,0,nullptr },  // Inst #35 = ADJCALLSTACKDOWN
+  { 36,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo23,0,nullptr },  // Inst #36 = ADJCALLSTACKUP
+  { 37,	4,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xd01ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #37 = ADR
+  { 38,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #38 = AESD
+  { 39,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #39 = AESE
+  { 40,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #40 = AESIMC
+  { 41,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #41 = AESMC
+  { 42,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #42 = ANDri
+  { 43,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #43 = ANDrr
+  { 44,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #44 = ANDrsi
+  { 45,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #45 = ANDrsr
+  { 46,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #46 = ASRi
+  { 47,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #47 = ASRr
+  { 48,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo28,0,nullptr },  // Inst #48 = B
+  { 49,	4,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, ImplicitList1, OperandInfo29,0,nullptr },  // Inst #49 = BCCZi64
+  { 50,	6,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, ImplicitList1, OperandInfo30,0,nullptr },  // Inst #50 = BCCi64
+  { 51,	5,	1,	278,	4,	0|(1<<MCID_Predicable), 0x201ULL, nullptr, nullptr, OperandInfo31,0,nullptr },  // Inst #51 = BFC
+  { 52,	6,	1,	278,	4,	0|(1<<MCID_Predicable), 0x201ULL, nullptr, nullptr, OperandInfo32,0,nullptr },  // Inst #52 = BFI
+  { 53,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #53 = BICri
+  { 54,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #54 = BICrr
+  { 55,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #55 = BICrsi
+  { 56,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #56 = BICrsr
+  { 57,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #57 = BKPT
+  { 58,	1,	0,	12,	4,	0|(1<<MCID_Call), 0x100ULL, ImplicitList2, ImplicitList3, OperandInfo28,0,nullptr },  // Inst #58 = BL
+  { 59,	1,	0,	12,	4,	0|(1<<MCID_Call), 0x180ULL, ImplicitList2, ImplicitList3, OperandInfo33,0,nullptr },  // Inst #59 = BLX
+  { 60,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0x180ULL, ImplicitList2, ImplicitList3, OperandInfo34,0,nullptr },  // Inst #60 = BLX_pred
+  { 61,	1,	0,	13,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x180ULL, nullptr, nullptr, OperandInfo28,0,nullptr },  // Inst #61 = BLXi
+  { 62,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0x100ULL, ImplicitList2, ImplicitList3, OperandInfo35,0,nullptr },  // Inst #62 = BL_pred
+  { 63,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo28,0,nullptr },  // Inst #63 = BMOVPCB_CALL
+  { 64,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo36,0,nullptr },  // Inst #64 = BMOVPCRX_CALL
+  { 65,	4,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo37,0,nullptr },  // Inst #65 = BR_JTadd
+  { 66,	5,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo38,0,nullptr },  // Inst #66 = BR_JTm
+  { 67,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #67 = BR_JTr
+  { 68,	1,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #68 = BX
+  { 69,	3,	0,	15,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #69 = BXJ
+  { 70,	1,	0,	10,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo36,0,nullptr },  // Inst #70 = BX_CALL
+  { 71,	2,	0,	10,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #71 = BX_RET
+  { 72,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x180ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #72 = BX_pred
+  { 73,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo35,0,nullptr },  // Inst #73 = Bcc
+  { 74,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo41,0,nullptr },  // Inst #74 = CDP
+  { 75,	6,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo42,0,nullptr },  // Inst #75 = CDP2
+  { 76,	0,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #76 = CLREX
+  { 77,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #77 = CLZ
+  { 78,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo24,0,nullptr },  // Inst #78 = CMNri
+  { 79,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #79 = CMNzrr
+  { 80,	5,	0,	19,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #80 = CMNzrsi
+  { 81,	6,	0,	20,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo45,0,nullptr },  // Inst #81 = CMNzrsr
+  { 82,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo24,0,nullptr },  // Inst #82 = CMPri
+  { 83,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #83 = CMPrr
+  { 84,	5,	0,	19,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #84 = CMPrsi
+  { 85,	6,	0,	20,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo45,0,nullptr },  // Inst #85 = CMPrsr
+  { 86,	3,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo3,0,nullptr },  // Inst #86 = CONSTPOOL_ENTRY
+  { 87,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo37,0,nullptr },  // Inst #87 = COPY_STRUCT_BYVAL_I32
+  { 88,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #88 = CPS1p
+  { 89,	2,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #89 = CPS2p
+  { 90,	3,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo46,0,nullptr },  // Inst #90 = CPS3p
+  { 91,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #91 = CRC32B
+  { 92,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #92 = CRC32CB
+  { 93,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #93 = CRC32CH
+  { 94,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #94 = CRC32CW
+  { 95,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #95 = CRC32H
+  { 96,	3,	1,	0,	4,	0, 0xd00ULL, nullptr, nullptr, OperandInfo47,0,nullptr },  // Inst #96 = CRC32W
+  { 97,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #97 = DBG
+  { 98,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #98 = DMB
+  { 99,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #99 = DSB
+  { 100,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #100 = EORri
+  { 101,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #101 = EORrr
+  { 102,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #102 = EORrsi
+  { 103,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #103 = EORrsr
+  { 104,	2,	0,	0,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, ImplicitList4, OperandInfo40,0,nullptr },  // Inst #104 = ERET
+  { 105,	4,	1,	487,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x8c00ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #105 = FCONSTD
+  { 106,	4,	1,	488,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x8c00ULL, nullptr, nullptr, OperandInfo50,0,nullptr },  // Inst #106 = FCONSTS
+  { 107,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #107 = FLDMXDB_UPD
+  { 108,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b04ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #108 = FLDMXIA
+  { 109,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #109 = FLDMXIA_UPD
+  { 110,	2,	0,	507,	4,	0|(1<<MCID_Predicable), 0x8c00ULL, ImplicitList5, ImplicitList1, OperandInfo40,0,nullptr },  // Inst #110 = FMSTAT
+  { 111,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #111 = FSTMXDB_UPD
+  { 112,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b04ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #112 = FSTMXIA
+  { 113,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects), 0x8b64ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #113 = FSTMXIA_UPD
+  { 114,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #114 = HINT
+  { 115,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #115 = HLT
+  { 116,	1,	0,	0,	4,	0|(1<<MCID_Call)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #116 = HVC
+  { 117,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #117 = ISB
+  { 118,	2,	0,	377,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo7,0,0 },  // Inst #118 = ITasm
+  { 119,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #119 = Int_eh_sjlj_dispatchsetup
+  { 120,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList6, OperandInfo12,0,nullptr },  // Inst #120 = Int_eh_sjlj_longjmp
+  { 121,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList7, OperandInfo12,0,nullptr },  // Inst #121 = Int_eh_sjlj_setjmp
+  { 122,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList8, OperandInfo12,0,nullptr },  // Inst #122 = Int_eh_sjlj_setjmp_nofp
+  { 123,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #123 = LDA
+  { 124,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #124 = LDAB
+  { 125,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #125 = LDAEX
+  { 126,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #126 = LDAEXB
+  { 127,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #127 = LDAEXD
+  { 128,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #128 = LDAEXH
+  { 129,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #129 = LDAH
+  { 130,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #130 = LDC2L_OFFSET
+  { 131,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #131 = LDC2L_OPTION
+  { 132,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #132 = LDC2L_POST
+  { 133,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #133 = LDC2L_PRE
+  { 134,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #134 = LDC2_OFFSET
+  { 135,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #135 = LDC2_OPTION
+  { 136,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #136 = LDC2_POST
+  { 137,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #137 = LDC2_PRE
+  { 138,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #138 = LDCL_OFFSET
+  { 139,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #139 = LDCL_OPTION
+  { 140,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #140 = LDCL_POST
+  { 141,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #141 = LDCL_PRE
+  { 142,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #142 = LDC_OFFSET
+  { 143,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #143 = LDC_OPTION
+  { 144,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #144 = LDC_POST
+  { 145,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #145 = LDC_PRE
+  { 146,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #146 = LDMDA
+  { 147,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #147 = LDMDA_UPD
+  { 148,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #148 = LDMDB
+  { 149,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #149 = LDMDB_UPD
+  { 150,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #150 = LDMIA
+  { 151,	5,	1,	355,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #151 = LDMIA_RET
+  { 152,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #152 = LDMIA_UPD
+  { 153,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #153 = LDMIB
+  { 154,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #154 = LDMIB_UPD
+  { 155,	4,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #155 = LDRBT_POST
+  { 156,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #156 = LDRBT_POST_IMM
+  { 157,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #157 = LDRBT_POST_REG
+  { 158,	7,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #158 = LDRB_POST_IMM
+  { 159,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #159 = LDRB_POST_REG
+  { 160,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #160 = LDRB_PRE_IMM
+  { 161,	7,	2,	341,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #161 = LDRB_PRE_REG
+  { 162,	5,	1,	325,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #162 = LDRBi12
+  { 163,	6,	1,	326,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x300ULL, nullptr, nullptr, OperandInfo60,0,nullptr },  // Inst #163 = LDRBrs
+  { 164,	7,	2,	350,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x403ULL, nullptr, nullptr, OperandInfo61,0,nullptr },  // Inst #164 = LDRD
+  { 165,	8,	3,	352,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x443ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #165 = LDRD_POST
+  { 166,	8,	3,	352,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x423ULL, nullptr, nullptr, OperandInfo62,0,nullptr },  // Inst #166 = LDRD_PRE
+  { 167,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #167 = LDREX
+  { 168,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #168 = LDREXB
+  { 169,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo54,0,nullptr },  // Inst #169 = LDREXD
+  { 170,	4,	1,	327,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #170 = LDREXH
+  { 171,	6,	1,	335,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #171 = LDRH
+  { 172,	6,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #172 = LDRHTi
+  { 173,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #173 = LDRHTr
+  { 174,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #174 = LDRH_POST
+  { 175,	7,	2,	343,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #175 = LDRH_PRE
+  { 176,	2,	1,	33,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #176 = LDRLIT_ga_abs
+  { 177,	2,	1,	34,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #177 = LDRLIT_ga_pcrel
+  { 178,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #178 = LDRLIT_ga_pcrel_ldr
+  { 179,	6,	1,	288,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #179 = LDRSB
+  { 180,	6,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #180 = LDRSBTi
+  { 181,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #181 = LDRSBTr
+  { 182,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #182 = LDRSB_POST
+  { 183,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #183 = LDRSB_PRE
+  { 184,	6,	1,	288,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x403ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #184 = LDRSH
+  { 185,	6,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #185 = LDRSHTi
+  { 186,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo64,0,nullptr },  // Inst #186 = LDRSHTr
+  { 187,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x443ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #187 = LDRSH_POST
+  { 188,	7,	2,	289,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x423ULL, nullptr, nullptr, OperandInfo65,0,nullptr },  // Inst #188 = LDRSH_PRE
+  { 189,	4,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #189 = LDRT_POST
+  { 190,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #190 = LDRT_POST_IMM
+  { 191,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #191 = LDRT_POST_REG
+  { 192,	7,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #192 = LDR_POST_IMM
+  { 193,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x342ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #193 = LDR_POST_REG
+  { 194,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #194 = LDR_PRE_IMM
+  { 195,	7,	2,	344,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x322ULL, nullptr, nullptr, OperandInfo57,0,nullptr },  // Inst #195 = LDR_PRE_REG
+  { 196,	5,	1,	336,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #196 = LDRcp
+  { 197,	5,	1,	328,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x310ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #197 = LDRi12
+  { 198,	6,	1,	287,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x300ULL, nullptr, nullptr, OperandInfo67,0,nullptr },  // Inst #198 = LDRrs
+  { 199,	4,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo68,0,nullptr },  // Inst #199 = LEApcrel
+  { 200,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo69,0,nullptr },  // Inst #200 = LEApcrelJT
+  { 201,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #201 = LSLi
+  { 202,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #202 = LSLr
+  { 203,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #203 = LSRi
+  { 204,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #204 = LSRr
+  { 205,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo70,0,0 },  // Inst #205 = MCR
+  { 206,	6,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo71,0,nullptr },  // Inst #206 = MCR2
+  { 207,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo72,0,nullptr },  // Inst #207 = MCRR
+  { 208,	5,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo73,0,nullptr },  // Inst #208 = MCRR2
+  { 209,	7,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo74,0,nullptr },  // Inst #209 = MLA
+  { 210,	7,	1,	279,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo75,0,nullptr },  // Inst #210 = MLAv5
+  { 211,	6,	1,	279,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #211 = MLS
+  { 212,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo31,0,nullptr },  // Inst #212 = MOVCCi
+  { 213,	5,	1,	41,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo31,0,nullptr },  // Inst #213 = MOVCCi16
+  { 214,	5,	1,	273,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo77,0,nullptr },  // Inst #214 = MOVCCi32imm
+  { 215,	5,	1,	43,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Select)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x0ULL, nullptr, nullptr, OperandInfo78,0,nullptr },  // Inst #215 = MOVCCr
+  { 216,	6,	1,	268,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo79,0,nullptr },  // Inst #216 = MOVCCsi
+  { 217,	7,	1,	268,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo80,0,nullptr },  // Inst #217 = MOVCCsr
+  { 218,	2,	0,	10,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x180ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #218 = MOVPCLR
+  { 219,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #219 = MOVPCRX
+  { 220,	5,	1,	41,	4,	0|(1<<MCID_Predicable), 0x2201ULL, nullptr, nullptr, OperandInfo81,0,nullptr },  // Inst #220 = MOVTi16
+  { 221,	4,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo82,0,nullptr },  // Inst #221 = MOVTi16_ga_pcrel
+  { 222,	2,	1,	275,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #222 = MOV_ga_pcrel
+  { 223,	2,	1,	276,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #223 = MOV_ga_pcrel_ldr
+  { 224,	5,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo83,0,nullptr },  // Inst #224 = MOVi
+  { 225,	4,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #225 = MOVi16
+  { 226,	3,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo84,0,nullptr },  // Inst #226 = MOVi16_ga_pcrel
+  { 227,	2,	1,	274,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo66,0,nullptr },  // Inst #227 = MOVi32imm
+  { 228,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo85,0,nullptr },  // Inst #228 = MOVr
+  { 229,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo86,0,nullptr },  // Inst #229 = MOVr_TC
+  { 230,	6,	1,	269,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x3501ULL, nullptr, nullptr, OperandInfo87,0,nullptr },  // Inst #230 = MOVsi
+  { 231,	7,	1,	269,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2281ULL, nullptr, nullptr, OperandInfo88,0,nullptr },  // Inst #231 = MOVsr
+  { 232,	2,	1,	270,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, nullptr, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #232 = MOVsra_flag
+  { 233,	2,	1,	270,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, nullptr, ImplicitList1, OperandInfo12,0,nullptr },  // Inst #233 = MOVsrl_flag
+  { 234,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo89,0,nullptr },  // Inst #234 = MRC
+  { 235,	6,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo90,0,nullptr },  // Inst #235 = MRC2
+  { 236,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo72,0,nullptr },  // Inst #236 = MRRC
+  { 237,	5,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo73,0,nullptr },  // Inst #237 = MRRC2
+  { 238,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo91,0,nullptr },  // Inst #238 = MRS
+  { 239,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #239 = MRSbanked
+  { 240,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo91,0,nullptr },  // Inst #240 = MRSsys
+  { 241,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo93,0,nullptr },  // Inst #241 = MSR
+  { 242,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo94,0,nullptr },  // Inst #242 = MSRbanked
+  { 243,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo95,0,nullptr },  // Inst #243 = MSRi
+  { 244,	6,	1,	280,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #244 = MUL
+  { 245,	6,	1,	280,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo96,0,nullptr },  // Inst #245 = MULv5
+  { 246,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo31,0,nullptr },  // Inst #246 = MVNCCi
+  { 247,	5,	1,	52,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0x2201ULL, nullptr, nullptr, OperandInfo83,0,nullptr },  // Inst #247 = MVNi
+  { 248,	5,	1,	272,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2201ULL, nullptr, nullptr, OperandInfo85,0,nullptr },  // Inst #248 = MVNr
+  { 249,	6,	1,	54,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x3501ULL, nullptr, nullptr, OperandInfo87,0,nullptr },  // Inst #249 = MVNsi
+  { 250,	7,	1,	271,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x2281ULL, nullptr, nullptr, OperandInfo97,0,nullptr },  // Inst #250 = MVNsr
+  { 251,	6,	1,	264,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #251 = ORRri
+  { 252,	6,	1,	265,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #252 = ORRrr
+  { 253,	7,	1,	266,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #253 = ORRrsi
+  { 254,	8,	1,	267,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #254 = ORRrsr
+  { 255,	5,	1,	55,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo17,0,nullptr },  // Inst #255 = PICADD
+  { 256,	5,	1,	286,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #256 = PICLDR
+  { 257,	5,	1,	335,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #257 = PICLDRB
+  { 258,	5,	1,	335,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #258 = PICLDRH
+  { 259,	5,	1,	288,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #259 = PICLDRSB
+  { 260,	5,	1,	288,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #260 = PICLDRSH
+  { 261,	5,	0,	358,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #261 = PICSTR
+  { 262,	5,	0,	359,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #262 = PICSTRB
+  { 263,	5,	0,	359,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #263 = PICSTRH
+  { 264,	6,	1,	58,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #264 = PKHBT
+  { 265,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo98,0,nullptr },  // Inst #265 = PKHTB
+  { 266,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo99,0,nullptr },  // Inst #266 = PLDWi12
+  { 267,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #267 = PLDWrs
+  { 268,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo99,0,nullptr },  // Inst #268 = PLDi12
+  { 269,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #269 = PLDrs
+  { 270,	2,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd10ULL, nullptr, nullptr, OperandInfo99,0,nullptr },  // Inst #270 = PLIi12
+  { 271,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore), 0xd00ULL, nullptr, nullptr, OperandInfo100,0,nullptr },  // Inst #271 = PLIrs
+  { 272,	5,	1,	299,	4,	0|(1<<MCID_Predicable), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #272 = QADD
+  { 273,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #273 = QADD16
+  { 274,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #274 = QADD8
+  { 275,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #275 = QASX
+  { 276,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #276 = QDADD
+  { 277,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #277 = QDSUB
+  { 278,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #278 = QSAX
+  { 279,	5,	1,	299,	4,	0|(1<<MCID_Predicable), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #279 = QSUB
+  { 280,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #280 = QSUB16
+  { 281,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #281 = QSUB8
+  { 282,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #282 = RBIT
+  { 283,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #283 = REV
+  { 284,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #284 = REV16
+  { 285,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #285 = REVSH
+  { 286,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #286 = RFEDA
+  { 287,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #287 = RFEDA_UPD
+  { 288,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #288 = RFEDB
+  { 289,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #289 = RFEDB_UPD
+  { 290,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #290 = RFEIA
+  { 291,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #291 = RFEIA_UPD
+  { 292,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #292 = RFEIB
+  { 293,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo33,0,nullptr },  // Inst #293 = RFEIB_UPD
+  { 294,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #294 = RORi
+  { 295,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo27,0,nullptr },  // Inst #295 = RORr
+  { 296,	2,	1,	50,	0,	0|(1<<MCID_Pseudo), 0x2000ULL, ImplicitList1, nullptr, OperandInfo12,0,nullptr },  // Inst #296 = RRX
+  { 297,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo85,0,nullptr },  // Inst #297 = RRXi
+  { 298,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo17,0,nullptr },  // Inst #298 = RSBSri
+  { 299,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #299 = RSBSrsi
+  { 300,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo20,0,nullptr },  // Inst #300 = RSBSrsr
+  { 301,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #301 = RSBri
+  { 302,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #302 = RSBrr
+  { 303,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #303 = RSBrsi
+  { 304,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #304 = RSBrsr
+  { 305,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #305 = RSCri
+  { 306,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #306 = RSCrr
+  { 307,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo15,0,nullptr },  // Inst #307 = RSCrsi
+  { 308,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo21,0,nullptr },  // Inst #308 = RSCrsr
+  { 309,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #309 = SADD16
+  { 310,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #310 = SADD8
+  { 311,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #311 = SASX
+  { 312,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo13,0,nullptr },  // Inst #312 = SBCri
+  { 313,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x201ULL, ImplicitList1, ImplicitList1, OperandInfo14,0,nullptr },  // Inst #313 = SBCrr
+  { 314,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x1501ULL, ImplicitList1, ImplicitList1, OperandInfo15,0,nullptr },  // Inst #314 = SBCrsi
+  { 315,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0x281ULL, ImplicitList1, ImplicitList1, OperandInfo16,0,nullptr },  // Inst #315 = SBCrsr
+  { 316,	6,	1,	278,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo102,0,nullptr },  // Inst #316 = SBFX
+  { 317,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #317 = SDIV
+  { 318,	5,	1,	277,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #318 = SEL
+  { 319,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,ARM_HasV8Ops,nullptr },  // Inst #319 = SETEND
+  { 320,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #320 = SHA1C
+  { 321,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #321 = SHA1H
+  { 322,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #322 = SHA1M
+  { 323,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #323 = SHA1P
+  { 324,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #324 = SHA1SU0
+  { 325,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #325 = SHA1SU1
+  { 326,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #326 = SHA256H
+  { 327,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #327 = SHA256H2
+  { 328,	3,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo25,0,nullptr },  // Inst #328 = SHA256SU0
+  { 329,	4,	1,	0,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo103,0,nullptr },  // Inst #329 = SHA256SU1
+  { 330,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #330 = SHADD16
+  { 331,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #331 = SHADD8
+  { 332,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #332 = SHASX
+  { 333,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #333 = SHSAX
+  { 334,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #334 = SHSUB16
+  { 335,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #335 = SHSUB8
+  { 336,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #336 = SMC
+  { 337,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #337 = SMLABB
+  { 338,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #338 = SMLABT
+  { 339,	6,	1,	319,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #339 = SMLAD
+  { 340,	6,	1,	319,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #340 = SMLADX
+  { 341,	9,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo105,0,nullptr },  // Inst #341 = SMLAL
+  { 342,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #342 = SMLALBB
+  { 343,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #343 = SMLALBT
+  { 344,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #344 = SMLALD
+  { 345,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #345 = SMLALDX
+  { 346,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #346 = SMLALTB
+  { 347,	6,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #347 = SMLALTT
+  { 348,	9,	2,	281,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo107,0,nullptr },  // Inst #348 = SMLALv5
+  { 349,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #349 = SMLATB
+  { 350,	6,	1,	285,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #350 = SMLATT
+  { 351,	6,	1,	285,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #351 = SMLAWB
+  { 352,	6,	1,	285,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #352 = SMLAWT
+  { 353,	6,	1,	316,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #353 = SMLSD
+  { 354,	6,	1,	316,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo104,0,nullptr },  // Inst #354 = SMLSDX
+  { 355,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #355 = SMLSLD
+  { 356,	6,	2,	283,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo106,0,nullptr },  // Inst #356 = SMLSLDX
+  { 357,	6,	1,	279,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #357 = SMMLA
+  { 358,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #358 = SMMLAR
+  { 359,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #359 = SMMLS
+  { 360,	6,	1,	279,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #360 = SMMLSR
+  { 361,	5,	1,	280,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #361 = SMMUL
+  { 362,	5,	1,	280,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #362 = SMMULR
+  { 363,	5,	1,	314,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #363 = SMUAD
+  { 364,	5,	1,	314,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #364 = SMUADX
+  { 365,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #365 = SMULBB
+  { 366,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #366 = SMULBT
+  { 367,	7,	2,	321,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo108,0,nullptr },  // Inst #367 = SMULL
+  { 368,	7,	2,	282,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #368 = SMULLv5
+  { 369,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #369 = SMULTB
+  { 370,	5,	1,	284,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #370 = SMULTT
+  { 371,	5,	1,	284,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #371 = SMULWB
+  { 372,	5,	1,	284,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #372 = SMULWT
+  { 373,	5,	1,	309,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #373 = SMUSD
+  { 374,	5,	1,	309,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #374 = SMUSDX
+  { 375,	3,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo110,0,nullptr },  // Inst #375 = SPACE
+  { 376,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #376 = SRSDA
+  { 377,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #377 = SRSDA_UPD
+  { 378,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #378 = SRSDB
+  { 379,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #379 = SRSDB_UPD
+  { 380,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #380 = SRSIA
+  { 381,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #381 = SRSIA_UPD
+  { 382,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #382 = SRSIB
+  { 383,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #383 = SRSIB_UPD
+  { 384,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0x680ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #384 = SSAT
+  { 385,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x680ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #385 = SSAT16
+  { 386,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #386 = SSAX
+  { 387,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #387 = SSUB16
+  { 388,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #388 = SSUB8
+  { 389,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #389 = STC2L_OFFSET
+  { 390,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #390 = STC2L_OPTION
+  { 391,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #391 = STC2L_POST
+  { 392,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #392 = STC2L_PRE
+  { 393,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #393 = STC2_OFFSET
+  { 394,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #394 = STC2_OPTION
+  { 395,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #395 = STC2_POST
+  { 396,	4,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo55,0,nullptr },  // Inst #396 = STC2_PRE
+  { 397,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #397 = STCL_OFFSET
+  { 398,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #398 = STCL_OPTION
+  { 399,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #399 = STCL_POST
+  { 400,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #400 = STCL_PRE
+  { 401,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #401 = STC_OFFSET
+  { 402,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #402 = STC_OPTION
+  { 403,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x140ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #403 = STC_POST
+  { 404,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x120ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #404 = STC_PRE
+  { 405,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #405 = STL
+  { 406,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #406 = STLB
+  { 407,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #407 = STLEX
+  { 408,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #408 = STLEXB
+  { 409,	5,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #409 = STLEXD
+  { 410,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #410 = STLEXH
+  { 411,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x580ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #411 = STLH
+  { 412,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #412 = STMDA
+  { 413,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #413 = STMDA_UPD
+  { 414,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #414 = STMDB
+  { 415,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #415 = STMDB_UPD
+  { 416,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #416 = STMIA
+  { 417,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #417 = STMIA_UPD
+  { 418,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #418 = STMIB
+  { 419,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #419 = STMIB_UPD
+  { 420,	4,	0,	365,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #420 = STRBT_POST
+  { 421,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x3c2ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #421 = STRBT_POST_IMM
+  { 422,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x3c2ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #422 = STRBT_POST_REG
+  { 423,	7,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #423 = STRB_POST_IMM
+  { 424,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #424 = STRB_POST_REG
+  { 425,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo117,0,nullptr },  // Inst #425 = STRB_PRE_IMM
+  { 426,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #426 = STRB_PRE_REG
+  { 427,	5,	0,	359,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x390ULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #427 = STRBi12
+  { 428,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo118,0,nullptr },  // Inst #428 = STRBi_preidx
+  { 429,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo118,0,nullptr },  // Inst #429 = STRBr_preidx
+  { 430,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x380ULL, nullptr, nullptr, OperandInfo60,0,nullptr },  // Inst #430 = STRBrs
+  { 431,	7,	0,	372,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x483ULL, nullptr, nullptr, OperandInfo61,0,nullptr },  // Inst #431 = STRD
+  { 432,	8,	1,	373,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x4c3ULL, nullptr, nullptr, OperandInfo119,0,nullptr },  // Inst #432 = STRD_POST
+  { 433,	8,	1,	373,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x4a3ULL, nullptr, nullptr, OperandInfo119,0,nullptr },  // Inst #433 = STRD_PRE
+  { 434,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #434 = STREX
+  { 435,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #435 = STREXB
+  { 436,	5,	1,	361,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x580ULL, nullptr, nullptr, OperandInfo114,0,nullptr },  // Inst #436 = STREXD
+  { 437,	5,	1,	361,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x580ULL, nullptr, nullptr, OperandInfo113,0,nullptr },  // Inst #437 = STREXH
+  { 438,	6,	0,	359,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x483ULL, nullptr, nullptr, OperandInfo63,0,nullptr },  // Inst #438 = STRH
+  { 439,	6,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4c3ULL, nullptr, nullptr, OperandInfo120,0,nullptr },  // Inst #439 = STRHTi
+  { 440,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4c3ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #440 = STRHTr
+  { 441,	7,	1,	366,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x4c3ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #441 = STRH_POST
+  { 442,	7,	1,	366,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x4a3ULL, nullptr, nullptr, OperandInfo121,0,nullptr },  // Inst #442 = STRH_PRE
+  { 443,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo122,0,nullptr },  // Inst #443 = STRH_preidx
+  { 444,	4,	0,	365,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo53,0,nullptr },  // Inst #444 = STRT_POST
+  { 445,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #445 = STRT_POST_IMM
+  { 446,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo115,0,nullptr },  // Inst #446 = STRT_POST_REG
+  { 447,	7,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #447 = STR_POST_IMM
+  { 448,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3c2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #448 = STR_POST_REG
+  { 449,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo117,0,nullptr },  // Inst #449 = STR_PRE_IMM
+  { 450,	7,	1,	368,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x3a2ULL, nullptr, nullptr, OperandInfo116,0,nullptr },  // Inst #450 = STR_PRE_REG
+  { 451,	5,	0,	358,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x390ULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #451 = STRi12
+  { 452,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo118,0,nullptr },  // Inst #452 = STRi_preidx
+  { 453,	7,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo118,0,nullptr },  // Inst #453 = STRr_preidx
+  { 454,	6,	0,	362,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x380ULL, nullptr, nullptr, OperandInfo67,0,nullptr },  // Inst #454 = STRrs
+  { 455,	3,	0,	76,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo22,0,nullptr },  // Inst #455 = SUBS_PC_LR
+  { 456,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo17,0,nullptr },  // Inst #456 = SUBSri
+  { 457,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo18,0,nullptr },  // Inst #457 = SUBSrr
+  { 458,	6,	1,	3,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo19,0,nullptr },  // Inst #458 = SUBSrsi
+  { 459,	7,	1,	5,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo20,0,nullptr },  // Inst #459 = SUBSrsr
+  { 460,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo13,0,nullptr },  // Inst #460 = SUBri
+  { 461,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x201ULL, nullptr, nullptr, OperandInfo14,0,nullptr },  // Inst #461 = SUBrr
+  { 462,	7,	1,	3,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x1501ULL, nullptr, nullptr, OperandInfo15,0,nullptr },  // Inst #462 = SUBrsi
+  { 463,	8,	1,	4,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x281ULL, nullptr, nullptr, OperandInfo21,0,nullptr },  // Inst #463 = SUBrsr
+  { 464,	3,	0,	10,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x100ULL, ImplicitList2, nullptr, OperandInfo48,0,nullptr },  // Inst #464 = SVC
+  { 465,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #465 = SWP
+  { 466,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo123,0,nullptr },  // Inst #466 = SWPB
+  { 467,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #467 = SXTAB
+  { 468,	6,	1,	304,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #468 = SXTAB16
+  { 469,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #469 = SXTAH
+  { 470,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #470 = SXTB
+  { 471,	5,	1,	290,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #471 = SXTB16
+  { 472,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #472 = SXTH
+  { 473,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo28,0,nullptr },  // Inst #473 = TAILJMPd
+  { 474,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo126,0,nullptr },  // Inst #474 = TAILJMPr
+  { 475,	1,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator), 0x0ULL, ImplicitList2, nullptr, OperandInfo2,0,nullptr },  // Inst #475 = TCRETURNdi
+  { 476,	1,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator), 0x0ULL, ImplicitList2, nullptr, OperandInfo126,0,nullptr },  // Inst #476 = TCRETURNri
+  { 477,	4,	0,	79,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo24,0,nullptr },  // Inst #477 = TEQri
+  { 478,	4,	0,	80,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #478 = TEQrr
+  { 479,	5,	0,	81,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #479 = TEQrsi
+  { 480,	6,	0,	82,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo45,0,nullptr },  // Inst #480 = TEQrsr
+  { 481,	0,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList9, nullptr,0,nullptr },  // Inst #481 = TPsoft
+  { 482,	0,	0,	0,	4,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #482 = TRAP
+  { 483,	0,	0,	0,	4,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #483 = TRAPNaCl
+  { 484,	4,	0,	79,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x201ULL, nullptr, ImplicitList1, OperandInfo24,0,nullptr },  // Inst #484 = TSTri
+  { 485,	4,	0,	80,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x201ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #485 = TSTrr
+  { 486,	5,	0,	81,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x1501ULL, nullptr, ImplicitList1, OperandInfo44,0,nullptr },  // Inst #486 = TSTrsi
+  { 487,	6,	0,	82,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0x281ULL, nullptr, ImplicitList1, OperandInfo45,0,nullptr },  // Inst #487 = TSTrsr
+  { 488,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #488 = UADD16
+  { 489,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #489 = UADD8
+  { 490,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #490 = UASX
+  { 491,	6,	1,	278,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x201ULL, nullptr, nullptr, OperandInfo102,0,nullptr },  // Inst #491 = UBFX
+  { 492,	1,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xd00ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #492 = UDF
+  { 493,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0x600ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #493 = UDIV
+  { 494,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #494 = UHADD16
+  { 495,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #495 = UHADD8
+  { 496,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #496 = UHASX
+  { 497,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #497 = UHSAX
+  { 498,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #498 = UHSUB16
+  { 499,	5,	1,	303,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #499 = UHSUB8
+  { 500,	6,	2,	281,	4,	0|(1<<MCID_Predicable), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #500 = UMAAL
+  { 501,	9,	2,	281,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo105,0,nullptr },  // Inst #501 = UMLAL
+  { 502,	9,	2,	281,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo107,0,nullptr },  // Inst #502 = UMLALv5
+  { 503,	7,	2,	321,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x80ULL, nullptr, nullptr, OperandInfo108,0,nullptr },  // Inst #503 = UMULL
+  { 504,	7,	2,	282,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x0ULL, nullptr, nullptr, OperandInfo109,0,nullptr },  // Inst #504 = UMULLv5
+  { 505,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #505 = UQADD16
+  { 506,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #506 = UQADD8
+  { 507,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #507 = UQASX
+  { 508,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #508 = UQSAX
+  { 509,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #509 = UQSUB16
+  { 510,	5,	1,	299,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #510 = UQSUB8
+  { 511,	5,	1,	307,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #511 = USAD8
+  { 512,	6,	1,	308,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x80ULL, nullptr, nullptr, OperandInfo76,0,nullptr },  // Inst #512 = USADA8
+  { 513,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0x680ULL, nullptr, nullptr, OperandInfo111,0,nullptr },  // Inst #513 = USAT
+  { 514,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x680ULL, nullptr, nullptr, OperandInfo112,0,nullptr },  // Inst #514 = USAT16
+  { 515,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #515 = USAX
+  { 516,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #516 = USUB16
+  { 517,	5,	1,	301,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x200ULL, nullptr, nullptr, OperandInfo101,0,nullptr },  // Inst #517 = USUB8
+  { 518,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #518 = UXTAB
+  { 519,	6,	1,	304,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #519 = UXTAB16
+  { 520,	6,	1,	304,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo124,0,nullptr },  // Inst #520 = UXTAH
+  { 521,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #521 = UXTB
+  { 522,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #522 = UXTB16
+  { 523,	5,	1,	290,	4,	0|(1<<MCID_Predicable), 0x700ULL, nullptr, nullptr, OperandInfo125,0,nullptr },  // Inst #523 = UXTH
+  { 524,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #524 = VABALsv2i64
+  { 525,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #525 = VABALsv4i32
+  { 526,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #526 = VABALsv8i16
+  { 527,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #527 = VABALuv2i64
+  { 528,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #528 = VABALuv4i32
+  { 529,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #529 = VABALuv8i16
+  { 530,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #530 = VABAsv16i8
+  { 531,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #531 = VABAsv2i32
+  { 532,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #532 = VABAsv4i16
+  { 533,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #533 = VABAsv4i32
+  { 534,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #534 = VABAsv8i16
+  { 535,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #535 = VABAsv8i8
+  { 536,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #536 = VABAuv16i8
+  { 537,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #537 = VABAuv2i32
+  { 538,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #538 = VABAuv4i16
+  { 539,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #539 = VABAuv4i32
+  { 540,	6,	1,	401,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #540 = VABAuv8i16
+  { 541,	6,	1,	400,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #541 = VABAuv8i8
+  { 542,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #542 = VABDLsv2i64
+  { 543,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #543 = VABDLsv4i32
+  { 544,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #544 = VABDLsv8i16
+  { 545,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #545 = VABDLuv2i64
+  { 546,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #546 = VABDLuv4i32
+  { 547,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #547 = VABDLuv8i16
+  { 548,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #548 = VABDfd
+  { 549,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #549 = VABDfq
+  { 550,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #550 = VABDsv16i8
+  { 551,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #551 = VABDsv2i32
+  { 552,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #552 = VABDsv4i16
+  { 553,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #553 = VABDsv4i32
+  { 554,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #554 = VABDsv8i16
+  { 555,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #555 = VABDsv8i8
+  { 556,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #556 = VABDuv16i8
+  { 557,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #557 = VABDuv2i32
+  { 558,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #558 = VABDuv4i16
+  { 559,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #559 = VABDuv4i32
+  { 560,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #560 = VABDuv8i16
+  { 561,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #561 = VABDuv8i8
+  { 562,	4,	1,	437,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #562 = VABSD
+  { 563,	4,	1,	438,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #563 = VABSS
+  { 564,	4,	1,	402,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #564 = VABSfd
+  { 565,	4,	1,	403,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #565 = VABSfq
+  { 566,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #566 = VABSv16i8
+  { 567,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #567 = VABSv2i32
+  { 568,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #568 = VABSv4i16
+  { 569,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #569 = VABSv4i32
+  { 570,	4,	1,	404,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #570 = VABSv8i16
+  { 571,	4,	1,	405,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #571 = VABSv8i8
+  { 572,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #572 = VACGEd
+  { 573,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #573 = VACGEq
+  { 574,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #574 = VACGTd
+  { 575,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #575 = VACGTq
+  { 576,	5,	1,	448,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #576 = VADDD
+  { 577,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #577 = VADDHNv2i32
+  { 578,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #578 = VADDHNv4i16
+  { 579,	5,	1,	421,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #579 = VADDHNv8i8
+  { 580,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #580 = VADDLsv2i64
+  { 581,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #581 = VADDLsv4i32
+  { 582,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #582 = VADDLsv8i16
+  { 583,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #583 = VADDLuv2i64
+  { 584,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #584 = VADDLuv4i32
+  { 585,	5,	1,	379,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #585 = VADDLuv8i16
+  { 586,	5,	1,	445,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo137,0,nullptr },  // Inst #586 = VADDS
+  { 587,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #587 = VADDWsv2i64
+  { 588,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #588 = VADDWsv4i32
+  { 589,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #589 = VADDWsv8i16
+  { 590,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #590 = VADDWuv2i64
+  { 591,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #591 = VADDWuv4i32
+  { 592,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #592 = VADDWuv8i16
+  { 593,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #593 = VADDfd
+  { 594,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #594 = VADDfq
+  { 595,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #595 = VADDv16i8
+  { 596,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #596 = VADDv1i64
+  { 597,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #597 = VADDv2i32
+  { 598,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #598 = VADDv2i64
+  { 599,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #599 = VADDv4i16
+  { 600,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #600 = VADDv4i32
+  { 601,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #601 = VADDv8i16
+  { 602,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #602 = VADDv8i8
+  { 603,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #603 = VANDd
+  { 604,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #604 = VANDq
+  { 605,	5,	1,	382,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #605 = VBICd
+  { 606,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #606 = VBICiv2i32
+  { 607,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #607 = VBICiv4i16
+  { 608,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #608 = VBICiv4i32
+  { 609,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #609 = VBICiv8i16
+  { 610,	5,	1,	381,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #610 = VBICq
+  { 611,	6,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #611 = VBIFd
+  { 612,	6,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #612 = VBIFq
+  { 613,	6,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #613 = VBITd
+  { 614,	6,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #614 = VBITq
+  { 615,	6,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #615 = VBSLd
+  { 616,	6,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #616 = VBSLq
+  { 617,	5,	1,	406,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #617 = VCEQfd
+  { 618,	5,	1,	407,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #618 = VCEQfq
+  { 619,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #619 = VCEQv16i8
+  { 620,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #620 = VCEQv2i32
+  { 621,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #621 = VCEQv4i16
+  { 622,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #622 = VCEQv4i32
+  { 623,	5,	1,	408,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #623 = VCEQv8i16
+  { 624,	5,	1,	409,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #624 = VCEQv8i8
+  { 625,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #625 = VCEQzv16i8
+  { 626,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #626 = VCEQzv2f32
+  { 627,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #627 = VCEQzv2i32
+  { 628,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #628 = VCEQzv4f32
+  { 629,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #629 = VCEQzv4i16
+  { 630,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #630 = VCEQzv4i32
+  { 631,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #631 = VCEQzv8i16
+  { 632,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #632 = VCEQzv8i8
+  { 633,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #633 = VCGEfd
+  { 634,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #634 = VCGEfq
+  { 635,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #635 = VCGEsv16i8
+  { 636,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #636 = VCGEsv2i32
+  { 637,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #637 = VCGEsv4i16
+  { 638,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #638 = VCGEsv4i32
+  { 639,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #639 = VCGEsv8i16
+  { 640,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #640 = VCGEsv8i8
+  { 641,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #641 = VCGEuv16i8
+  { 642,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #642 = VCGEuv2i32
+  { 643,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #643 = VCGEuv4i16
+  { 644,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #644 = VCGEuv4i32
+  { 645,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #645 = VCGEuv8i16
+  { 646,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #646 = VCGEuv8i8
+  { 647,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #647 = VCGEzv16i8
+  { 648,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #648 = VCGEzv2f32
+  { 649,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #649 = VCGEzv2i32
+  { 650,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #650 = VCGEzv4f32
+  { 651,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #651 = VCGEzv4i16
+  { 652,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #652 = VCGEzv4i32
+  { 653,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #653 = VCGEzv8i16
+  { 654,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #654 = VCGEzv8i8
+  { 655,	5,	1,	406,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #655 = VCGTfd
+  { 656,	5,	1,	407,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #656 = VCGTfq
+  { 657,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #657 = VCGTsv16i8
+  { 658,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #658 = VCGTsv2i32
+  { 659,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #659 = VCGTsv4i16
+  { 660,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #660 = VCGTsv4i32
+  { 661,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #661 = VCGTsv8i16
+  { 662,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #662 = VCGTsv8i8
+  { 663,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #663 = VCGTuv16i8
+  { 664,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #664 = VCGTuv2i32
+  { 665,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #665 = VCGTuv4i16
+  { 666,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #666 = VCGTuv4i32
+  { 667,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #667 = VCGTuv8i16
+  { 668,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #668 = VCGTuv8i8
+  { 669,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #669 = VCGTzv16i8
+  { 670,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #670 = VCGTzv2f32
+  { 671,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #671 = VCGTzv2i32
+  { 672,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #672 = VCGTzv4f32
+  { 673,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #673 = VCGTzv4i16
+  { 674,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #674 = VCGTzv4i32
+  { 675,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #675 = VCGTzv8i16
+  { 676,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #676 = VCGTzv8i8
+  { 677,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #677 = VCLEzv16i8
+  { 678,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #678 = VCLEzv2f32
+  { 679,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #679 = VCLEzv2i32
+  { 680,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #680 = VCLEzv4f32
+  { 681,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #681 = VCLEzv4i16
+  { 682,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #682 = VCLEzv4i32
+  { 683,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #683 = VCLEzv8i16
+  { 684,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #684 = VCLEzv8i8
+  { 685,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #685 = VCLSv16i8
+  { 686,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #686 = VCLSv2i32
+  { 687,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #687 = VCLSv4i16
+  { 688,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #688 = VCLSv4i32
+  { 689,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #689 = VCLSv8i16
+  { 690,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #690 = VCLSv8i8
+  { 691,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #691 = VCLTzv16i8
+  { 692,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #692 = VCLTzv2f32
+  { 693,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #693 = VCLTzv2i32
+  { 694,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #694 = VCLTzv4f32
+  { 695,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #695 = VCLTzv4i16
+  { 696,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #696 = VCLTzv4i32
+  { 697,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #697 = VCLTzv8i16
+  { 698,	4,	1,	410,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #698 = VCLTzv8i8
+  { 699,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #699 = VCLZv16i8
+  { 700,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #700 = VCLZv2i32
+  { 701,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #701 = VCLZv4i16
+  { 702,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #702 = VCLZv4i32
+  { 703,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #703 = VCLZv8i16
+  { 704,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #704 = VCLZv8i8
+  { 705,	4,	0,	439,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, ImplicitList5, OperandInfo133,0,nullptr },  // Inst #705 = VCMPD
+  { 706,	4,	0,	439,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, ImplicitList5, OperandInfo133,0,nullptr },  // Inst #706 = VCMPED
+  { 707,	4,	0,	440,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, ImplicitList5, OperandInfo134,0,nullptr },  // Inst #707 = VCMPES
+  { 708,	3,	0,	439,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, ImplicitList5, OperandInfo141,0,nullptr },  // Inst #708 = VCMPEZD
+  { 709,	3,	0,	440,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, ImplicitList5, OperandInfo142,0,nullptr },  // Inst #709 = VCMPEZS
+  { 710,	4,	0,	440,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28780ULL, nullptr, ImplicitList5, OperandInfo134,0,nullptr },  // Inst #710 = VCMPS
+  { 711,	3,	0,	439,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, ImplicitList5, OperandInfo141,0,nullptr },  // Inst #711 = VCMPZD
+  { 712,	3,	0,	440,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28780ULL, nullptr, ImplicitList5, OperandInfo142,0,nullptr },  // Inst #712 = VCMPZS
+  { 713,	4,	1,	384,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #713 = VCNTd
+  { 714,	4,	1,	385,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #714 = VCNTq
+  { 715,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #715 = VCVTANSD
+  { 716,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #716 = VCVTANSQ
+  { 717,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #717 = VCVTANUD
+  { 718,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #718 = VCVTANUQ
+  { 719,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #719 = VCVTASD
+  { 720,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #720 = VCVTASS
+  { 721,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #721 = VCVTAUD
+  { 722,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #722 = VCVTAUS
+  { 723,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #723 = VCVTBDH
+  { 724,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #724 = VCVTBHD
+  { 725,	4,	1,	475,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #725 = VCVTBHS
+  { 726,	4,	1,	476,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #726 = VCVTBSH
+  { 727,	4,	1,	477,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #727 = VCVTDS
+  { 728,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #728 = VCVTMNSD
+  { 729,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #729 = VCVTMNSQ
+  { 730,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #730 = VCVTMNUD
+  { 731,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #731 = VCVTMNUQ
+  { 732,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #732 = VCVTMSD
+  { 733,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #733 = VCVTMSS
+  { 734,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #734 = VCVTMUD
+  { 735,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #735 = VCVTMUS
+  { 736,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #736 = VCVTNNSD
+  { 737,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #737 = VCVTNNSQ
+  { 738,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #738 = VCVTNNUD
+  { 739,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #739 = VCVTNNUQ
+  { 740,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #740 = VCVTNSD
+  { 741,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #741 = VCVTNSS
+  { 742,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #742 = VCVTNUD
+  { 743,	2,	1,	474,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #743 = VCVTNUS
+  { 744,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #744 = VCVTPNSD
+  { 745,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #745 = VCVTPNSQ
+  { 746,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #746 = VCVTPNUD
+  { 747,	2,	1,	474,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #747 = VCVTPNUQ
+  { 748,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #748 = VCVTPSD
+  { 749,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #749 = VCVTPSS
+  { 750,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo144,0,nullptr },  // Inst #750 = VCVTPUD
+  { 751,	2,	1,	474,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #751 = VCVTPUS
+  { 752,	4,	1,	478,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #752 = VCVTSD
+  { 753,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #753 = VCVTTDH
+  { 754,	4,	1,	474,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #754 = VCVTTHD
+  { 755,	4,	1,	475,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #755 = VCVTTHS
+  { 756,	4,	1,	476,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #756 = VCVTTSH
+  { 757,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #757 = VCVTf2h
+  { 758,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #758 = VCVTf2sd
+  { 759,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #759 = VCVTf2sq
+  { 760,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #760 = VCVTf2ud
+  { 761,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #761 = VCVTf2uq
+  { 762,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #762 = VCVTf2xsd
+  { 763,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #763 = VCVTf2xsq
+  { 764,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #764 = VCVTf2xud
+  { 765,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #765 = VCVTf2xuq
+  { 766,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #766 = VCVTh2f
+  { 767,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #767 = VCVTs2fd
+  { 768,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #768 = VCVTs2fq
+  { 769,	4,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #769 = VCVTu2fd
+  { 770,	4,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #770 = VCVTu2fq
+  { 771,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #771 = VCVTxs2fd
+  { 772,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #772 = VCVTxs2fq
+  { 773,	5,	1,	480,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #773 = VCVTxu2fd
+  { 774,	5,	1,	479,	4,	0|(1<<MCID_Predicable), 0x11080ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #774 = VCVTxu2fq
+  { 775,	5,	1,	588,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #775 = VDIVD
+  { 776,	5,	1,	586,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo137,0,nullptr },  // Inst #776 = VDIVS
+  { 777,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #777 = VDUP16d
+  { 778,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #778 = VDUP16q
+  { 779,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #779 = VDUP32d
+  { 780,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #780 = VDUP32q
+  { 781,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo152,0,nullptr },  // Inst #781 = VDUP8d
+  { 782,	4,	1,	496,	4,	0|(1<<MCID_Predicable), 0x10e80ULL, nullptr, nullptr, OperandInfo153,0,nullptr },  // Inst #782 = VDUP8q
+  { 783,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #783 = VDUPLN16d
+  { 784,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #784 = VDUPLN16q
+  { 785,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #785 = VDUPLN32d
+  { 786,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #786 = VDUPLN32q
+  { 787,	5,	1,	494,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #787 = VDUPLN8d
+  { 788,	5,	1,	495,	4,	0|(1<<MCID_Predicable), 0x11100ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #788 = VDUPLN8q
+  { 789,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #789 = VEORd
+  { 790,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #790 = VEORq
+  { 791,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #791 = VEXTd16
+  { 792,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #792 = VEXTd32
+  { 793,	6,	1,	396,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo155,0,nullptr },  // Inst #793 = VEXTd8
+  { 794,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #794 = VEXTq16
+  { 795,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #795 = VEXTq32
+  { 796,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #796 = VEXTq64
+  { 797,	6,	1,	397,	4,	0|(1<<MCID_Predicable), 0x11380ULL, nullptr, nullptr, OperandInfo156,0,nullptr },  // Inst #797 = VEXTq8
+  { 798,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #798 = VFMAD
+  { 799,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #799 = VFMAS
+  { 800,	6,	1,	472,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #800 = VFMAfd
+  { 801,	6,	1,	473,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #801 = VFMAfq
+  { 802,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #802 = VFMSD
+  { 803,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #803 = VFMSS
+  { 804,	6,	1,	472,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #804 = VFMSfd
+  { 805,	6,	1,	473,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #805 = VFMSfq
+  { 806,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #806 = VFNMAD
+  { 807,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #807 = VFNMAS
+  { 808,	6,	1,	462,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #808 = VFNMSD
+  { 809,	6,	1,	463,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #809 = VFNMSS
+  { 810,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #810 = VGETLNi32
+  { 811,	5,	1,	504,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #811 = VGETLNs16
+  { 812,	5,	1,	504,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #812 = VGETLNs8
+  { 813,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #813 = VGETLNu16
+  { 814,	5,	1,	503,	4,	0|(1<<MCID_Predicable), 0x10d80ULL, nullptr, nullptr, OperandInfo158,0,nullptr },  // Inst #814 = VGETLNu8
+  { 815,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #815 = VHADDsv16i8
+  { 816,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #816 = VHADDsv2i32
+  { 817,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #817 = VHADDsv4i16
+  { 818,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #818 = VHADDsv4i32
+  { 819,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #819 = VHADDsv8i16
+  { 820,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #820 = VHADDsv8i8
+  { 821,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #821 = VHADDuv16i8
+  { 822,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #822 = VHADDuv2i32
+  { 823,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #823 = VHADDuv4i16
+  { 824,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #824 = VHADDuv4i32
+  { 825,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #825 = VHADDuv8i16
+  { 826,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #826 = VHADDuv8i8
+  { 827,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #827 = VHSUBsv16i8
+  { 828,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #828 = VHSUBsv2i32
+  { 829,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #829 = VHSUBsv4i16
+  { 830,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #830 = VHSUBsv4i32
+  { 831,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #831 = VHSUBsv8i16
+  { 832,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #832 = VHSUBsv8i8
+  { 833,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #833 = VHSUBuv16i8
+  { 834,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #834 = VHSUBuv2i32
+  { 835,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #835 = VHSUBuv4i16
+  { 836,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #836 = VHSUBuv4i32
+  { 837,	5,	1,	388,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #837 = VHSUBuv8i16
+  { 838,	5,	1,	389,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #838 = VHSUBuv8i8
+  { 839,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #839 = VLD1DUPd16
+  { 840,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #840 = VLD1DUPd16wb_fixed
+  { 841,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #841 = VLD1DUPd16wb_register
+  { 842,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #842 = VLD1DUPd32
+  { 843,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #843 = VLD1DUPd32wb_fixed
+  { 844,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #844 = VLD1DUPd32wb_register
+  { 845,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #845 = VLD1DUPd8
+  { 846,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #846 = VLD1DUPd8wb_fixed
+  { 847,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #847 = VLD1DUPd8wb_register
+  { 848,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #848 = VLD1DUPq16
+  { 849,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #849 = VLD1DUPq16wb_fixed
+  { 850,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #850 = VLD1DUPq16wb_register
+  { 851,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #851 = VLD1DUPq32
+  { 852,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #852 = VLD1DUPq32wb_fixed
+  { 853,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #853 = VLD1DUPq32wb_register
+  { 854,	5,	1,	538,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #854 = VLD1DUPq8
+  { 855,	6,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #855 = VLD1DUPq8wb_fixed
+  { 856,	7,	2,	540,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #856 = VLD1DUPq8wb_register
+  { 857,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #857 = VLD1LNd16
+  { 858,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #858 = VLD1LNd16_UPD
+  { 859,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #859 = VLD1LNd32
+  { 860,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #860 = VLD1LNd32_UPD
+  { 861,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo165,0,nullptr },  // Inst #861 = VLD1LNd8
+  { 862,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo166,0,nullptr },  // Inst #862 = VLD1LNd8_UPD
+  { 863,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #863 = VLD1LNdAsm_16
+  { 864,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #864 = VLD1LNdAsm_32
+  { 865,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #865 = VLD1LNdAsm_8
+  { 866,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #866 = VLD1LNdWB_fixed_Asm_16
+  { 867,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #867 = VLD1LNdWB_fixed_Asm_32
+  { 868,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #868 = VLD1LNdWB_fixed_Asm_8
+  { 869,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #869 = VLD1LNdWB_register_Asm_16
+  { 870,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #870 = VLD1LNdWB_register_Asm_32
+  { 871,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #871 = VLD1LNdWB_register_Asm_8
+  { 872,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #872 = VLD1LNq16Pseudo
+  { 873,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #873 = VLD1LNq16Pseudo_UPD
+  { 874,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #874 = VLD1LNq32Pseudo
+  { 875,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #875 = VLD1LNq32Pseudo_UPD
+  { 876,	7,	1,	539,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #876 = VLD1LNq8Pseudo
+  { 877,	9,	2,	541,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #877 = VLD1LNq8Pseudo_UPD
+  { 878,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #878 = VLD1d16
+  { 879,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #879 = VLD1d16Q
+  { 880,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #880 = VLD1d16Qwb_fixed
+  { 881,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #881 = VLD1d16Qwb_register
+  { 882,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #882 = VLD1d16T
+  { 883,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #883 = VLD1d16Twb_fixed
+  { 884,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #884 = VLD1d16Twb_register
+  { 885,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #885 = VLD1d16wb_fixed
+  { 886,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #886 = VLD1d16wb_register
+  { 887,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #887 = VLD1d32
+  { 888,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #888 = VLD1d32Q
+  { 889,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #889 = VLD1d32Qwb_fixed
+  { 890,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #890 = VLD1d32Qwb_register
+  { 891,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #891 = VLD1d32T
+  { 892,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #892 = VLD1d32Twb_fixed
+  { 893,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #893 = VLD1d32Twb_register
+  { 894,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #894 = VLD1d32wb_fixed
+  { 895,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #895 = VLD1d32wb_register
+  { 896,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #896 = VLD1d64
+  { 897,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #897 = VLD1d64Q
+  { 898,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #898 = VLD1d64QPseudo
+  { 899,	6,	2,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #899 = VLD1d64QPseudoWB_fixed
+  { 900,	7,	2,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #900 = VLD1d64QPseudoWB_register
+  { 901,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #901 = VLD1d64Qwb_fixed
+  { 902,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #902 = VLD1d64Qwb_register
+  { 903,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #903 = VLD1d64T
+  { 904,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #904 = VLD1d64TPseudo
+  { 905,	6,	2,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #905 = VLD1d64TPseudoWB_fixed
+  { 906,	7,	2,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #906 = VLD1d64TPseudoWB_register
+  { 907,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #907 = VLD1d64Twb_fixed
+  { 908,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #908 = VLD1d64Twb_register
+  { 909,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #909 = VLD1d64wb_fixed
+  { 910,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #910 = VLD1d64wb_register
+  { 911,	5,	1,	518,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #911 = VLD1d8
+  { 912,	5,	1,	524,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #912 = VLD1d8Q
+  { 913,	6,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #913 = VLD1d8Qwb_fixed
+  { 914,	7,	2,	525,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #914 = VLD1d8Qwb_register
+  { 915,	5,	1,	522,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #915 = VLD1d8T
+  { 916,	6,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #916 = VLD1d8Twb_fixed
+  { 917,	7,	2,	523,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #917 = VLD1d8Twb_register
+  { 918,	6,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #918 = VLD1d8wb_fixed
+  { 919,	7,	2,	520,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #919 = VLD1d8wb_register
+  { 920,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #920 = VLD1q16
+  { 921,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #921 = VLD1q16wb_fixed
+  { 922,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #922 = VLD1q16wb_register
+  { 923,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #923 = VLD1q32
+  { 924,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #924 = VLD1q32wb_fixed
+  { 925,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #925 = VLD1q32wb_register
+  { 926,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #926 = VLD1q64
+  { 927,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #927 = VLD1q64wb_fixed
+  { 928,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #928 = VLD1q64wb_register
+  { 929,	5,	1,	519,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #929 = VLD1q8
+  { 930,	6,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #930 = VLD1q8wb_fixed
+  { 931,	7,	2,	521,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #931 = VLD1q8wb_register
+  { 932,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #932 = VLD2DUPd16
+  { 933,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #933 = VLD2DUPd16wb_fixed
+  { 934,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #934 = VLD2DUPd16wb_register
+  { 935,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #935 = VLD2DUPd16x2
+  { 936,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #936 = VLD2DUPd16x2wb_fixed
+  { 937,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #937 = VLD2DUPd16x2wb_register
+  { 938,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #938 = VLD2DUPd32
+  { 939,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #939 = VLD2DUPd32wb_fixed
+  { 940,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #940 = VLD2DUPd32wb_register
+  { 941,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #941 = VLD2DUPd32x2
+  { 942,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #942 = VLD2DUPd32x2wb_fixed
+  { 943,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #943 = VLD2DUPd32x2wb_register
+  { 944,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #944 = VLD2DUPd8
+  { 945,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #945 = VLD2DUPd8wb_fixed
+  { 946,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #946 = VLD2DUPd8wb_register
+  { 947,	5,	1,	542,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #947 = VLD2DUPd8x2
+  { 948,	6,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #948 = VLD2DUPd8x2wb_fixed
+  { 949,	7,	2,	545,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #949 = VLD2DUPd8x2wb_register
+  { 950,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #950 = VLD2LNd16
+  { 951,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #951 = VLD2LNd16Pseudo
+  { 952,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #952 = VLD2LNd16Pseudo_UPD
+  { 953,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #953 = VLD2LNd16_UPD
+  { 954,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #954 = VLD2LNd32
+  { 955,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #955 = VLD2LNd32Pseudo
+  { 956,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #956 = VLD2LNd32Pseudo_UPD
+  { 957,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #957 = VLD2LNd32_UPD
+  { 958,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #958 = VLD2LNd8
+  { 959,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo169,0,nullptr },  // Inst #959 = VLD2LNd8Pseudo
+  { 960,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo170,0,nullptr },  // Inst #960 = VLD2LNd8Pseudo_UPD
+  { 961,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #961 = VLD2LNd8_UPD
+  { 962,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #962 = VLD2LNdAsm_16
+  { 963,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #963 = VLD2LNdAsm_32
+  { 964,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #964 = VLD2LNdAsm_8
+  { 965,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #965 = VLD2LNdWB_fixed_Asm_16
+  { 966,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #966 = VLD2LNdWB_fixed_Asm_32
+  { 967,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #967 = VLD2LNdWB_fixed_Asm_8
+  { 968,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #968 = VLD2LNdWB_register_Asm_16
+  { 969,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #969 = VLD2LNdWB_register_Asm_32
+  { 970,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #970 = VLD2LNdWB_register_Asm_8
+  { 971,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #971 = VLD2LNq16
+  { 972,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #972 = VLD2LNq16Pseudo
+  { 973,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #973 = VLD2LNq16Pseudo_UPD
+  { 974,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #974 = VLD2LNq16_UPD
+  { 975,	9,	2,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo174,0,nullptr },  // Inst #975 = VLD2LNq32
+  { 976,	7,	1,	543,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #976 = VLD2LNq32Pseudo
+  { 977,	9,	2,	546,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #977 = VLD2LNq32Pseudo_UPD
+  { 978,	11,	3,	544,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo175,0,nullptr },  // Inst #978 = VLD2LNq32_UPD
+  { 979,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #979 = VLD2LNqAsm_16
+  { 980,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #980 = VLD2LNqAsm_32
+  { 981,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #981 = VLD2LNqWB_fixed_Asm_16
+  { 982,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #982 = VLD2LNqWB_fixed_Asm_32
+  { 983,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #983 = VLD2LNqWB_register_Asm_16
+  { 984,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #984 = VLD2LNqWB_register_Asm_32
+  { 985,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #985 = VLD2b16
+  { 986,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #986 = VLD2b16wb_fixed
+  { 987,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #987 = VLD2b16wb_register
+  { 988,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #988 = VLD2b32
+  { 989,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #989 = VLD2b32wb_fixed
+  { 990,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #990 = VLD2b32wb_register
+  { 991,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #991 = VLD2b8
+  { 992,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #992 = VLD2b8wb_fixed
+  { 993,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #993 = VLD2b8wb_register
+  { 994,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #994 = VLD2d16
+  { 995,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #995 = VLD2d16wb_fixed
+  { 996,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #996 = VLD2d16wb_register
+  { 997,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #997 = VLD2d32
+  { 998,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #998 = VLD2d32wb_fixed
+  { 999,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #999 = VLD2d32wb_register
+  { 1000,	5,	1,	526,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo162,0,nullptr },  // Inst #1000 = VLD2d8
+  { 1001,	6,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo163,0,nullptr },  // Inst #1001 = VLD2d8wb_fixed
+  { 1002,	7,	2,	528,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo164,0,nullptr },  // Inst #1002 = VLD2d8wb_register
+  { 1003,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1003 = VLD2q16
+  { 1004,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1004 = VLD2q16Pseudo
+  { 1005,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1005 = VLD2q16PseudoWB_fixed
+  { 1006,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1006 = VLD2q16PseudoWB_register
+  { 1007,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #1007 = VLD2q16wb_fixed
+  { 1008,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #1008 = VLD2q16wb_register
+  { 1009,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1009 = VLD2q32
+  { 1010,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1010 = VLD2q32Pseudo
+  { 1011,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1011 = VLD2q32PseudoWB_fixed
+  { 1012,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1012 = VLD2q32PseudoWB_register
+  { 1013,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #1013 = VLD2q32wb_fixed
+  { 1014,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #1014 = VLD2q32wb_register
+  { 1015,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1015 = VLD2q8
+  { 1016,	5,	1,	527,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1016 = VLD2q8Pseudo
+  { 1017,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo172,0,nullptr },  // Inst #1017 = VLD2q8PseudoWB_fixed
+  { 1018,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo173,0,nullptr },  // Inst #1018 = VLD2q8PseudoWB_register
+  { 1019,	6,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo160,0,nullptr },  // Inst #1019 = VLD2q8wb_fixed
+  { 1020,	7,	2,	529,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo161,0,nullptr },  // Inst #1020 = VLD2q8wb_register
+  { 1021,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1021 = VLD3DUPd16
+  { 1022,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1022 = VLD3DUPd16Pseudo
+  { 1023,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1023 = VLD3DUPd16Pseudo_UPD
+  { 1024,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1024 = VLD3DUPd16_UPD
+  { 1025,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1025 = VLD3DUPd32
+  { 1026,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1026 = VLD3DUPd32Pseudo
+  { 1027,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1027 = VLD3DUPd32Pseudo_UPD
+  { 1028,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1028 = VLD3DUPd32_UPD
+  { 1029,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1029 = VLD3DUPd8
+  { 1030,	5,	1,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1030 = VLD3DUPd8Pseudo
+  { 1031,	7,	2,	551,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1031 = VLD3DUPd8Pseudo_UPD
+  { 1032,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1032 = VLD3DUPd8_UPD
+  { 1033,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1033 = VLD3DUPdAsm_16
+  { 1034,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1034 = VLD3DUPdAsm_32
+  { 1035,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1035 = VLD3DUPdAsm_8
+  { 1036,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1036 = VLD3DUPdWB_fixed_Asm_16
+  { 1037,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1037 = VLD3DUPdWB_fixed_Asm_32
+  { 1038,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1038 = VLD3DUPdWB_fixed_Asm_8
+  { 1039,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1039 = VLD3DUPdWB_register_Asm_16
+  { 1040,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1040 = VLD3DUPdWB_register_Asm_32
+  { 1041,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1041 = VLD3DUPdWB_register_Asm_8
+  { 1042,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1042 = VLD3DUPq16
+  { 1043,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1043 = VLD3DUPq16_UPD
+  { 1044,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1044 = VLD3DUPq32
+  { 1045,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1045 = VLD3DUPq32_UPD
+  { 1046,	7,	3,	547,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1046 = VLD3DUPq8
+  { 1047,	9,	4,	549,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1047 = VLD3DUPq8_UPD
+  { 1048,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1048 = VLD3DUPqAsm_16
+  { 1049,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1049 = VLD3DUPqAsm_32
+  { 1050,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1050 = VLD3DUPqAsm_8
+  { 1051,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1051 = VLD3DUPqWB_fixed_Asm_16
+  { 1052,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1052 = VLD3DUPqWB_fixed_Asm_32
+  { 1053,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1053 = VLD3DUPqWB_fixed_Asm_8
+  { 1054,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1054 = VLD3DUPqWB_register_Asm_16
+  { 1055,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1055 = VLD3DUPqWB_register_Asm_32
+  { 1056,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1056 = VLD3DUPqWB_register_Asm_8
+  { 1057,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1057 = VLD3LNd16
+  { 1058,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1058 = VLD3LNd16Pseudo
+  { 1059,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1059 = VLD3LNd16Pseudo_UPD
+  { 1060,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1060 = VLD3LNd16_UPD
+  { 1061,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1061 = VLD3LNd32
+  { 1062,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1062 = VLD3LNd32Pseudo
+  { 1063,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1063 = VLD3LNd32Pseudo_UPD
+  { 1064,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1064 = VLD3LNd32_UPD
+  { 1065,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1065 = VLD3LNd8
+  { 1066,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1066 = VLD3LNd8Pseudo
+  { 1067,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1067 = VLD3LNd8Pseudo_UPD
+  { 1068,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1068 = VLD3LNd8_UPD
+  { 1069,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1069 = VLD3LNdAsm_16
+  { 1070,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1070 = VLD3LNdAsm_32
+  { 1071,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1071 = VLD3LNdAsm_8
+  { 1072,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1072 = VLD3LNdWB_fixed_Asm_16
+  { 1073,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1073 = VLD3LNdWB_fixed_Asm_32
+  { 1074,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1074 = VLD3LNdWB_fixed_Asm_8
+  { 1075,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1075 = VLD3LNdWB_register_Asm_16
+  { 1076,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1076 = VLD3LNdWB_register_Asm_32
+  { 1077,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1077 = VLD3LNdWB_register_Asm_8
+  { 1078,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1078 = VLD3LNq16
+  { 1079,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1079 = VLD3LNq16Pseudo
+  { 1080,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1080 = VLD3LNq16Pseudo_UPD
+  { 1081,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1081 = VLD3LNq16_UPD
+  { 1082,	11,	3,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo182,0,nullptr },  // Inst #1082 = VLD3LNq32
+  { 1083,	7,	1,	548,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1083 = VLD3LNq32Pseudo
+  { 1084,	9,	2,	552,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1084 = VLD3LNq32Pseudo_UPD
+  { 1085,	13,	4,	550,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo183,0,nullptr },  // Inst #1085 = VLD3LNq32_UPD
+  { 1086,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1086 = VLD3LNqAsm_16
+  { 1087,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1087 = VLD3LNqAsm_32
+  { 1088,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1088 = VLD3LNqWB_fixed_Asm_16
+  { 1089,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1089 = VLD3LNqWB_fixed_Asm_32
+  { 1090,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1090 = VLD3LNqWB_register_Asm_16
+  { 1091,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1091 = VLD3LNqWB_register_Asm_32
+  { 1092,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1092 = VLD3d16
+  { 1093,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1093 = VLD3d16Pseudo
+  { 1094,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1094 = VLD3d16Pseudo_UPD
+  { 1095,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1095 = VLD3d16_UPD
+  { 1096,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1096 = VLD3d32
+  { 1097,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1097 = VLD3d32Pseudo
+  { 1098,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1098 = VLD3d32Pseudo_UPD
+  { 1099,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1099 = VLD3d32_UPD
+  { 1100,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1100 = VLD3d8
+  { 1101,	5,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1101 = VLD3d8Pseudo
+  { 1102,	7,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1102 = VLD3d8Pseudo_UPD
+  { 1103,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1103 = VLD3d8_UPD
+  { 1104,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1104 = VLD3dAsm_16
+  { 1105,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1105 = VLD3dAsm_32
+  { 1106,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1106 = VLD3dAsm_8
+  { 1107,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1107 = VLD3dWB_fixed_Asm_16
+  { 1108,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1108 = VLD3dWB_fixed_Asm_32
+  { 1109,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1109 = VLD3dWB_fixed_Asm_8
+  { 1110,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1110 = VLD3dWB_register_Asm_16
+  { 1111,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1111 = VLD3dWB_register_Asm_32
+  { 1112,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1112 = VLD3dWB_register_Asm_8
+  { 1113,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1113 = VLD3q16
+  { 1114,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1114 = VLD3q16Pseudo_UPD
+  { 1115,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1115 = VLD3q16_UPD
+  { 1116,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1116 = VLD3q16oddPseudo
+  { 1117,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1117 = VLD3q16oddPseudo_UPD
+  { 1118,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1118 = VLD3q32
+  { 1119,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1119 = VLD3q32Pseudo_UPD
+  { 1120,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1120 = VLD3q32_UPD
+  { 1121,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1121 = VLD3q32oddPseudo
+  { 1122,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1122 = VLD3q32oddPseudo_UPD
+  { 1123,	7,	3,	530,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo178,0,nullptr },  // Inst #1123 = VLD3q8
+  { 1124,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1124 = VLD3q8Pseudo_UPD
+  { 1125,	9,	4,	532,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo180,0,nullptr },  // Inst #1125 = VLD3q8_UPD
+  { 1126,	6,	1,	531,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1126 = VLD3q8oddPseudo
+  { 1127,	8,	2,	533,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1127 = VLD3q8oddPseudo_UPD
+  { 1128,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1128 = VLD3qAsm_16
+  { 1129,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1129 = VLD3qAsm_32
+  { 1130,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1130 = VLD3qAsm_8
+  { 1131,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1131 = VLD3qWB_fixed_Asm_16
+  { 1132,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1132 = VLD3qWB_fixed_Asm_32
+  { 1133,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1133 = VLD3qWB_fixed_Asm_8
+  { 1134,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1134 = VLD3qWB_register_Asm_16
+  { 1135,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1135 = VLD3qWB_register_Asm_32
+  { 1136,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1136 = VLD3qWB_register_Asm_8
+  { 1137,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1137 = VLD4DUPd16
+  { 1138,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1138 = VLD4DUPd16Pseudo
+  { 1139,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1139 = VLD4DUPd16Pseudo_UPD
+  { 1140,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1140 = VLD4DUPd16_UPD
+  { 1141,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1141 = VLD4DUPd32
+  { 1142,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1142 = VLD4DUPd32Pseudo
+  { 1143,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1143 = VLD4DUPd32Pseudo_UPD
+  { 1144,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1144 = VLD4DUPd32_UPD
+  { 1145,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1145 = VLD4DUPd8
+  { 1146,	5,	1,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1146 = VLD4DUPd8Pseudo
+  { 1147,	7,	2,	557,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1147 = VLD4DUPd8Pseudo_UPD
+  { 1148,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1148 = VLD4DUPd8_UPD
+  { 1149,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1149 = VLD4DUPdAsm_16
+  { 1150,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1150 = VLD4DUPdAsm_32
+  { 1151,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1151 = VLD4DUPdAsm_8
+  { 1152,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1152 = VLD4DUPdWB_fixed_Asm_16
+  { 1153,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1153 = VLD4DUPdWB_fixed_Asm_32
+  { 1154,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1154 = VLD4DUPdWB_fixed_Asm_8
+  { 1155,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1155 = VLD4DUPdWB_register_Asm_16
+  { 1156,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1156 = VLD4DUPdWB_register_Asm_32
+  { 1157,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1157 = VLD4DUPdWB_register_Asm_8
+  { 1158,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1158 = VLD4DUPq16
+  { 1159,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1159 = VLD4DUPq16_UPD
+  { 1160,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1160 = VLD4DUPq32
+  { 1161,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1161 = VLD4DUPq32_UPD
+  { 1162,	8,	4,	553,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1162 = VLD4DUPq8
+  { 1163,	10,	5,	555,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1163 = VLD4DUPq8_UPD
+  { 1164,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1164 = VLD4DUPqAsm_16
+  { 1165,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1165 = VLD4DUPqAsm_32
+  { 1166,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1166 = VLD4DUPqAsm_8
+  { 1167,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1167 = VLD4DUPqWB_fixed_Asm_16
+  { 1168,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1168 = VLD4DUPqWB_fixed_Asm_32
+  { 1169,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1169 = VLD4DUPqWB_fixed_Asm_8
+  { 1170,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1170 = VLD4DUPqWB_register_Asm_16
+  { 1171,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1171 = VLD4DUPqWB_register_Asm_32
+  { 1172,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1172 = VLD4DUPqWB_register_Asm_8
+  { 1173,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1173 = VLD4LNd16
+  { 1174,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1174 = VLD4LNd16Pseudo
+  { 1175,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1175 = VLD4LNd16Pseudo_UPD
+  { 1176,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1176 = VLD4LNd16_UPD
+  { 1177,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1177 = VLD4LNd32
+  { 1178,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1178 = VLD4LNd32Pseudo
+  { 1179,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1179 = VLD4LNd32Pseudo_UPD
+  { 1180,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1180 = VLD4LNd32_UPD
+  { 1181,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1181 = VLD4LNd8
+  { 1182,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo176,0,nullptr },  // Inst #1182 = VLD4LNd8Pseudo
+  { 1183,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo177,0,nullptr },  // Inst #1183 = VLD4LNd8Pseudo_UPD
+  { 1184,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1184 = VLD4LNd8_UPD
+  { 1185,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1185 = VLD4LNdAsm_16
+  { 1186,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1186 = VLD4LNdAsm_32
+  { 1187,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1187 = VLD4LNdAsm_8
+  { 1188,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1188 = VLD4LNdWB_fixed_Asm_16
+  { 1189,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1189 = VLD4LNdWB_fixed_Asm_32
+  { 1190,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1190 = VLD4LNdWB_fixed_Asm_8
+  { 1191,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1191 = VLD4LNdWB_register_Asm_16
+  { 1192,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1192 = VLD4LNdWB_register_Asm_32
+  { 1193,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1193 = VLD4LNdWB_register_Asm_8
+  { 1194,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1194 = VLD4LNq16
+  { 1195,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1195 = VLD4LNq16Pseudo
+  { 1196,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1196 = VLD4LNq16Pseudo_UPD
+  { 1197,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1197 = VLD4LNq16_UPD
+  { 1198,	13,	4,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo190,0,nullptr },  // Inst #1198 = VLD4LNq32
+  { 1199,	7,	1,	554,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo184,0,nullptr },  // Inst #1199 = VLD4LNq32Pseudo
+  { 1200,	9,	2,	558,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo185,0,nullptr },  // Inst #1200 = VLD4LNq32Pseudo_UPD
+  { 1201,	15,	5,	556,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo191,0,nullptr },  // Inst #1201 = VLD4LNq32_UPD
+  { 1202,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1202 = VLD4LNqAsm_16
+  { 1203,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1203 = VLD4LNqAsm_32
+  { 1204,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1204 = VLD4LNqWB_fixed_Asm_16
+  { 1205,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1205 = VLD4LNqWB_fixed_Asm_32
+  { 1206,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1206 = VLD4LNqWB_register_Asm_16
+  { 1207,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1207 = VLD4LNqWB_register_Asm_32
+  { 1208,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1208 = VLD4d16
+  { 1209,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1209 = VLD4d16Pseudo
+  { 1210,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1210 = VLD4d16Pseudo_UPD
+  { 1211,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1211 = VLD4d16_UPD
+  { 1212,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1212 = VLD4d32
+  { 1213,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1213 = VLD4d32Pseudo
+  { 1214,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1214 = VLD4d32Pseudo_UPD
+  { 1215,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1215 = VLD4d32_UPD
+  { 1216,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1216 = VLD4d8
+  { 1217,	5,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo171,0,nullptr },  // Inst #1217 = VLD4d8Pseudo
+  { 1218,	7,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo179,0,nullptr },  // Inst #1218 = VLD4d8Pseudo_UPD
+  { 1219,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1219 = VLD4d8_UPD
+  { 1220,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1220 = VLD4dAsm_16
+  { 1221,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1221 = VLD4dAsm_32
+  { 1222,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1222 = VLD4dAsm_8
+  { 1223,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1223 = VLD4dWB_fixed_Asm_16
+  { 1224,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1224 = VLD4dWB_fixed_Asm_32
+  { 1225,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1225 = VLD4dWB_fixed_Asm_8
+  { 1226,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1226 = VLD4dWB_register_Asm_16
+  { 1227,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1227 = VLD4dWB_register_Asm_32
+  { 1228,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1228 = VLD4dWB_register_Asm_8
+  { 1229,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1229 = VLD4q16
+  { 1230,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1230 = VLD4q16Pseudo_UPD
+  { 1231,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1231 = VLD4q16_UPD
+  { 1232,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1232 = VLD4q16oddPseudo
+  { 1233,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1233 = VLD4q16oddPseudo_UPD
+  { 1234,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1234 = VLD4q32
+  { 1235,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1235 = VLD4q32Pseudo_UPD
+  { 1236,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1236 = VLD4q32_UPD
+  { 1237,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1237 = VLD4q32oddPseudo
+  { 1238,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1238 = VLD4q32oddPseudo_UPD
+  { 1239,	8,	4,	534,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo188,0,nullptr },  // Inst #1239 = VLD4q8
+  { 1240,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1240 = VLD4q8Pseudo_UPD
+  { 1241,	10,	5,	536,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo189,0,nullptr },  // Inst #1241 = VLD4q8_UPD
+  { 1242,	6,	1,	535,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo187,0,nullptr },  // Inst #1242 = VLD4q8oddPseudo
+  { 1243,	8,	2,	537,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo186,0,nullptr },  // Inst #1243 = VLD4q8oddPseudo_UPD
+  { 1244,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1244 = VLD4qAsm_16
+  { 1245,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1245 = VLD4qAsm_32
+  { 1246,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1246 = VLD4qAsm_8
+  { 1247,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1247 = VLD4qWB_fixed_Asm_16
+  { 1248,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1248 = VLD4qWB_fixed_Asm_32
+  { 1249,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1249 = VLD4qWB_fixed_Asm_8
+  { 1250,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1250 = VLD4qWB_register_Asm_16
+  { 1251,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1251 = VLD4qWB_register_Asm_32
+  { 1252,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #1252 = VLD4qWB_register_Asm_8
+  { 1253,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1253 = VLDMDDB_UPD
+  { 1254,	4,	0,	514,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8b84ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #1254 = VLDMDIA
+  { 1255,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1255 = VLDMDIA_UPD
+  { 1256,	4,	1,	512,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0x18004ULL, nullptr, nullptr, OperandInfo192,0,nullptr },  // Inst #1256 = VLDMQIA
+  { 1257,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1257 = VLDMSDB_UPD
+  { 1258,	4,	0,	514,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18b84ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #1258 = VLDMSIA
+  { 1259,	5,	1,	515,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #1259 = VLDMSIA_UPD
+  { 1260,	5,	1,	508,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x18b05ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #1260 = VLDRD
+  { 1261,	5,	1,	509,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x18b05ULL, nullptr, nullptr, OperandInfo193,0,nullptr },  // Inst #1261 = VLDRS
+  { 1262,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1262 = VMAXNMD
+  { 1263,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1263 = VMAXNMND
+  { 1264,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1264 = VMAXNMNQ
+  { 1265,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1265 = VMAXNMS
+  { 1266,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1266 = VMAXfd
+  { 1267,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1267 = VMAXfq
+  { 1268,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1268 = VMAXsv16i8
+  { 1269,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1269 = VMAXsv2i32
+  { 1270,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1270 = VMAXsv4i16
+  { 1271,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1271 = VMAXsv4i32
+  { 1272,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1272 = VMAXsv8i16
+  { 1273,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1273 = VMAXsv8i8
+  { 1274,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1274 = VMAXuv16i8
+  { 1275,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1275 = VMAXuv2i32
+  { 1276,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1276 = VMAXuv4i16
+  { 1277,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1277 = VMAXuv4i32
+  { 1278,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1278 = VMAXuv8i16
+  { 1279,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1279 = VMAXuv8i8
+  { 1280,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1280 = VMINNMD
+  { 1281,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo194,0,nullptr },  // Inst #1281 = VMINNMND
+  { 1282,	3,	1,	446,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo195,0,nullptr },  // Inst #1282 = VMINNMNQ
+  { 1283,	3,	1,	446,	4,	0, 0x8800ULL, nullptr, nullptr, OperandInfo196,0,nullptr },  // Inst #1283 = VMINNMS
+  { 1284,	5,	1,	442,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1284 = VMINfd
+  { 1285,	5,	1,	443,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1285 = VMINfq
+  { 1286,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1286 = VMINsv16i8
+  { 1287,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1287 = VMINsv2i32
+  { 1288,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1288 = VMINsv4i16
+  { 1289,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1289 = VMINsv4i32
+  { 1290,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1290 = VMINsv8i16
+  { 1291,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1291 = VMINsv8i8
+  { 1292,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1292 = VMINuv16i8
+  { 1293,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1293 = VMINuv2i32
+  { 1294,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1294 = VMINuv4i16
+  { 1295,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1295 = VMINuv4i32
+  { 1296,	5,	1,	441,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1296 = VMINuv8i16
+  { 1297,	5,	1,	444,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1297 = VMINuv8i8
+  { 1298,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1298 = VMLAD
+  { 1299,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1299 = VMLALslsv2i32
+  { 1300,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1300 = VMLALslsv4i16
+  { 1301,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1301 = VMLALsluv2i32
+  { 1302,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1302 = VMLALsluv4i16
+  { 1303,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1303 = VMLALsv2i64
+  { 1304,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1304 = VMLALsv4i32
+  { 1305,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1305 = VMLALsv8i16
+  { 1306,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1306 = VMLALuv2i64
+  { 1307,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1307 = VMLALuv4i32
+  { 1308,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1308 = VMLALuv8i16
+  { 1309,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1309 = VMLAS
+  { 1310,	6,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1310 = VMLAfd
+  { 1311,	6,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1311 = VMLAfq
+  { 1312,	7,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1312 = VMLAslfd
+  { 1313,	7,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo200,0,nullptr },  // Inst #1313 = VMLAslfq
+  { 1314,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1314 = VMLAslv2i32
+  { 1315,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo201,0,nullptr },  // Inst #1315 = VMLAslv4i16
+  { 1316,	7,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo200,0,nullptr },  // Inst #1316 = VMLAslv4i32
+  { 1317,	7,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1317 = VMLAslv8i16
+  { 1318,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1318 = VMLAv16i8
+  { 1319,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1319 = VMLAv2i32
+  { 1320,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1320 = VMLAv4i16
+  { 1321,	6,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1321 = VMLAv4i32
+  { 1322,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1322 = VMLAv8i16
+  { 1323,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1323 = VMLAv8i8
+  { 1324,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1324 = VMLSD
+  { 1325,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1325 = VMLSLslsv2i32
+  { 1326,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1326 = VMLSLslsv4i16
+  { 1327,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1327 = VMLSLsluv2i32
+  { 1328,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1328 = VMLSLsluv4i16
+  { 1329,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1329 = VMLSLsv2i64
+  { 1330,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1330 = VMLSLsv4i32
+  { 1331,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1331 = VMLSLsv8i16
+  { 1332,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1332 = VMLSLuv2i64
+  { 1333,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1333 = VMLSLuv4i32
+  { 1334,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1334 = VMLSLuv8i16
+  { 1335,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1335 = VMLSS
+  { 1336,	6,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1336 = VMLSfd
+  { 1337,	6,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1337 = VMLSfq
+  { 1338,	7,	1,	468,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1338 = VMLSslfd
+  { 1339,	7,	1,	469,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo200,0,nullptr },  // Inst #1339 = VMLSslfq
+  { 1340,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo199,0,nullptr },  // Inst #1340 = VMLSslv2i32
+  { 1341,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo201,0,nullptr },  // Inst #1341 = VMLSslv4i16
+  { 1342,	7,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo200,0,nullptr },  // Inst #1342 = VMLSslv4i32
+  { 1343,	7,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo202,0,nullptr },  // Inst #1343 = VMLSslv8i16
+  { 1344,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1344 = VMLSv16i8
+  { 1345,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1345 = VMLSv2i32
+  { 1346,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1346 = VMLSv4i16
+  { 1347,	6,	1,	470,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1347 = VMLSv4i32
+  { 1348,	6,	1,	471,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo128,0,nullptr },  // Inst #1348 = VMLSv8i16
+  { 1349,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1349 = VMLSv8i8
+  { 1350,	4,	1,	487,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1350 = VMOVD
+  { 1351,	1,	1,	101,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo203,0,nullptr },  // Inst #1351 = VMOVD0
+  { 1352,	5,	1,	501,	4,	0|(1<<MCID_Predicable)|(1<<MCID_RegSequence), 0x18a80ULL, nullptr, nullptr, OperandInfo204,0,nullptr },  // Inst #1352 = VMOVDRR
+  { 1353,	5,	1,	487,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1353 = VMOVDcc
+  { 1354,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1354 = VMOVLsv2i64
+  { 1355,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1355 = VMOVLsv4i32
+  { 1356,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1356 = VMOVLsv8i16
+  { 1357,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1357 = VMOVLuv2i64
+  { 1358,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1358 = VMOVLuv4i32
+  { 1359,	4,	1,	491,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo151,0,nullptr },  // Inst #1359 = VMOVLuv8i16
+  { 1360,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1360 = VMOVNv2i32
+  { 1361,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1361 = VMOVNv4i16
+  { 1362,	4,	1,	492,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1362 = VMOVNv8i8
+  { 1363,	1,	1,	101,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0x0ULL, nullptr, nullptr, OperandInfo206,0,nullptr },  // Inst #1363 = VMOVQ0
+  { 1364,	5,	2,	500,	4,	0|(1<<MCID_Predicable)|(1<<MCID_ExtractSubreg), 0x18980ULL, nullptr, nullptr, OperandInfo207,0,nullptr },  // Inst #1364 = VMOVRRD
+  { 1365,	6,	2,	500,	4,	0|(1<<MCID_Predicable), 0x18980ULL, nullptr, nullptr, OperandInfo208,0,nullptr },  // Inst #1365 = VMOVRRS
+  { 1366,	4,	1,	497,	4,	0|(1<<MCID_Bitcast)|(1<<MCID_Predicable), 0x18900ULL, nullptr, nullptr, OperandInfo209,0,nullptr },  // Inst #1366 = VMOVRS
+  { 1367,	4,	1,	488,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1367 = VMOVS
+  { 1368,	4,	1,	498,	4,	0|(1<<MCID_Bitcast)|(1<<MCID_Predicable), 0x18a00ULL, nullptr, nullptr, OperandInfo210,0,nullptr },  // Inst #1368 = VMOVSR
+  { 1369,	6,	2,	502,	4,	0|(1<<MCID_Predicable), 0x18a80ULL, nullptr, nullptr, OperandInfo211,0,nullptr },  // Inst #1369 = VMOVSRR
+  { 1370,	5,	1,	488,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo212,0,nullptr },  // Inst #1370 = VMOVScc
+  { 1371,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1371 = VMOVv16i8
+  { 1372,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1372 = VMOVv1i64
+  { 1373,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1373 = VMOVv2f32
+  { 1374,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1374 = VMOVv2i32
+  { 1375,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1375 = VMOVv2i64
+  { 1376,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1376 = VMOVv4f32
+  { 1377,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1377 = VMOVv4i16
+  { 1378,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1378 = VMOVv4i32
+  { 1379,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1379 = VMOVv8i16
+  { 1380,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1380 = VMOVv8i8
+  { 1381,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1381 = VMRS
+  { 1382,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1382 = VMRS_FPEXC
+  { 1383,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1383 = VMRS_FPINST
+  { 1384,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1384 = VMRS_FPINST2
+  { 1385,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1385 = VMRS_FPSID
+  { 1386,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1386 = VMRS_MVFR0
+  { 1387,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1387 = VMRS_MVFR1
+  { 1388,	3,	1,	505,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, ImplicitList10, nullptr, OperandInfo34,0,nullptr },  // Inst #1388 = VMRS_MVFR2
+  { 1389,	3,	0,	506,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList10, OperandInfo34,0,nullptr },  // Inst #1389 = VMSR
+  { 1390,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList10, OperandInfo34,0,nullptr },  // Inst #1390 = VMSR_FPEXC
+  { 1391,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList10, OperandInfo34,0,nullptr },  // Inst #1391 = VMSR_FPINST
+  { 1392,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList10, OperandInfo34,0,nullptr },  // Inst #1392 = VMSR_FPINST2
+  { 1393,	3,	0,	506,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8c00ULL, nullptr, ImplicitList10, OperandInfo34,0,nullptr },  // Inst #1393 = VMSR_FPSID
+  { 1394,	5,	1,	461,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1394 = VMULD
+  { 1395,	3,	1,	451,	4,	0, 0x11280ULL, nullptr, nullptr, OperandInfo214,0,nullptr },  // Inst #1395 = VMULLp64
+  { 1396,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1396 = VMULLp8
+  { 1397,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1397 = VMULLslsv2i32
+  { 1398,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1398 = VMULLslsv4i16
+  { 1399,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1399 = VMULLsluv2i32
+  { 1400,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1400 = VMULLsluv4i16
+  { 1401,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1401 = VMULLsv2i64
+  { 1402,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1402 = VMULLsv4i32
+  { 1403,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1403 = VMULLsv8i16
+  { 1404,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1404 = VMULLuv2i64
+  { 1405,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1405 = VMULLuv4i32
+  { 1406,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1406 = VMULLuv8i16
+  { 1407,	5,	1,	454,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo137,0,nullptr },  // Inst #1407 = VMULS
+  { 1408,	5,	1,	455,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1408 = VMULfd
+  { 1409,	5,	1,	456,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1409 = VMULfq
+  { 1410,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1410 = VMULpd
+  { 1411,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1411 = VMULpq
+  { 1412,	6,	1,	458,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1412 = VMULslfd
+  { 1413,	6,	1,	459,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1413 = VMULslfq
+  { 1414,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1414 = VMULslv2i32
+  { 1415,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1415 = VMULslv4i16
+  { 1416,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1416 = VMULslv4i32
+  { 1417,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1417 = VMULslv8i16
+  { 1418,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1418 = VMULv16i8
+  { 1419,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1419 = VMULv2i32
+  { 1420,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1420 = VMULv4i16
+  { 1421,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1421 = VMULv4i32
+  { 1422,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1422 = VMULv8i16
+  { 1423,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1423 = VMULv8i8
+  { 1424,	4,	1,	490,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1424 = VMVNd
+  { 1425,	4,	1,	490,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1425 = VMVNq
+  { 1426,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1426 = VMVNv2i32
+  { 1427,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo49,0,nullptr },  // Inst #1427 = VMVNv4i16
+  { 1428,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1428 = VMVNv4i32
+  { 1429,	4,	1,	489,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x10f80ULL, nullptr, nullptr, OperandInfo213,0,nullptr },  // Inst #1429 = VMVNv8i16
+  { 1430,	4,	1,	437,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1430 = VNEGD
+  { 1431,	4,	1,	438,	4,	0|(1<<MCID_Predicable), 0x28780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1431 = VNEGS
+  { 1432,	4,	1,	390,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1432 = VNEGf32q
+  { 1433,	4,	1,	391,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1433 = VNEGfd
+  { 1434,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1434 = VNEGs16d
+  { 1435,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1435 = VNEGs16q
+  { 1436,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1436 = VNEGs32d
+  { 1437,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1437 = VNEGs32q
+  { 1438,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1438 = VNEGs8d
+  { 1439,	4,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1439 = VNEGs8q
+  { 1440,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1440 = VNMLAD
+  { 1441,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1441 = VNMLAS
+  { 1442,	6,	1,	464,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #1442 = VNMLSD
+  { 1443,	6,	1,	467,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo157,0,nullptr },  // Inst #1443 = VNMLSS
+  { 1444,	5,	1,	461,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1444 = VNMULD
+  { 1445,	5,	1,	454,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo137,0,nullptr },  // Inst #1445 = VNMULS
+  { 1446,	5,	1,	382,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1446 = VORNd
+  { 1447,	5,	1,	381,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1447 = VORNq
+  { 1448,	5,	1,	382,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1448 = VORRd
+  { 1449,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1449 = VORRiv2i32
+  { 1450,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo139,0,nullptr },  // Inst #1450 = VORRiv4i16
+  { 1451,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #1451 = VORRiv4i32
+  { 1452,	5,	1,	383,	4,	0|(1<<MCID_Predicable), 0x10f80ULL, nullptr, nullptr, OperandInfo140,0,nullptr },  // Inst #1452 = VORRiv8i16
+  { 1453,	5,	1,	381,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1453 = VORRq
+  { 1454,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1454 = VPADALsv16i8
+  { 1455,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1455 = VPADALsv2i32
+  { 1456,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1456 = VPADALsv4i16
+  { 1457,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1457 = VPADALsv4i32
+  { 1458,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1458 = VPADALsv8i16
+  { 1459,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1459 = VPADALsv8i8
+  { 1460,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1460 = VPADALuv16i8
+  { 1461,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1461 = VPADALuv2i32
+  { 1462,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1462 = VPADALuv4i16
+  { 1463,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1463 = VPADALuv4i32
+  { 1464,	5,	1,	411,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo221,0,nullptr },  // Inst #1464 = VPADALuv8i16
+  { 1465,	5,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo205,0,nullptr },  // Inst #1465 = VPADALuv8i8
+  { 1466,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1466 = VPADDLsv16i8
+  { 1467,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1467 = VPADDLsv2i32
+  { 1468,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1468 = VPADDLsv4i16
+  { 1469,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1469 = VPADDLsv4i32
+  { 1470,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1470 = VPADDLsv8i16
+  { 1471,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1471 = VPADDLsv8i8
+  { 1472,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1472 = VPADDLuv16i8
+  { 1473,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1473 = VPADDLuv2i32
+  { 1474,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1474 = VPADDLuv4i16
+  { 1475,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1475 = VPADDLuv4i32
+  { 1476,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1476 = VPADDLuv8i16
+  { 1477,	4,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1477 = VPADDLuv8i8
+  { 1478,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1478 = VPADDf
+  { 1479,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1479 = VPADDi16
+  { 1480,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1480 = VPADDi32
+  { 1481,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1481 = VPADDi8
+  { 1482,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1482 = VPMAXf
+  { 1483,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1483 = VPMAXs16
+  { 1484,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1484 = VPMAXs32
+  { 1485,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1485 = VPMAXs8
+  { 1486,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1486 = VPMAXu16
+  { 1487,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1487 = VPMAXu32
+  { 1488,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1488 = VPMAXu8
+  { 1489,	5,	1,	447,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1489 = VPMINf
+  { 1490,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1490 = VPMINs16
+  { 1491,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1491 = VPMINs32
+  { 1492,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1492 = VPMINs8
+  { 1493,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1493 = VPMINu16
+  { 1494,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1494 = VPMINu32
+  { 1495,	5,	1,	444,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1495 = VPMINu8
+  { 1496,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1496 = VQABSv16i8
+  { 1497,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1497 = VQABSv2i32
+  { 1498,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1498 = VQABSv4i16
+  { 1499,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1499 = VQABSv4i32
+  { 1500,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1500 = VQABSv8i16
+  { 1501,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1501 = VQABSv8i8
+  { 1502,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1502 = VQADDsv16i8
+  { 1503,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1503 = VQADDsv1i64
+  { 1504,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1504 = VQADDsv2i32
+  { 1505,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1505 = VQADDsv2i64
+  { 1506,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1506 = VQADDsv4i16
+  { 1507,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1507 = VQADDsv4i32
+  { 1508,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1508 = VQADDsv8i16
+  { 1509,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1509 = VQADDsv8i8
+  { 1510,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1510 = VQADDuv16i8
+  { 1511,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1511 = VQADDuv1i64
+  { 1512,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1512 = VQADDuv2i32
+  { 1513,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1513 = VQADDuv2i64
+  { 1514,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1514 = VQADDuv4i16
+  { 1515,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1515 = VQADDuv4i32
+  { 1516,	5,	1,	415,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1516 = VQADDuv8i16
+  { 1517,	5,	1,	416,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1517 = VQADDuv8i8
+  { 1518,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1518 = VQDMLALslv2i32
+  { 1519,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1519 = VQDMLALslv4i16
+  { 1520,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1520 = VQDMLALv2i64
+  { 1521,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1521 = VQDMLALv4i32
+  { 1522,	7,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo197,0,nullptr },  // Inst #1522 = VQDMLSLslv2i32
+  { 1523,	7,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo198,0,nullptr },  // Inst #1523 = VQDMLSLslv4i16
+  { 1524,	6,	1,	465,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1524 = VQDMLSLv2i64
+  { 1525,	6,	1,	466,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo127,0,nullptr },  // Inst #1525 = VQDMLSLv4i32
+  { 1526,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1526 = VQDMULHslv2i32
+  { 1527,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1527 = VQDMULHslv4i16
+  { 1528,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1528 = VQDMULHslv4i32
+  { 1529,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1529 = VQDMULHslv8i16
+  { 1530,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1530 = VQDMULHv2i32
+  { 1531,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1531 = VQDMULHv4i16
+  { 1532,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1532 = VQDMULHv4i32
+  { 1533,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1533 = VQDMULHv8i16
+  { 1534,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo215,0,nullptr },  // Inst #1534 = VQDMULLslv2i32
+  { 1535,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo216,0,nullptr },  // Inst #1535 = VQDMULLslv4i16
+  { 1536,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1536 = VQDMULLv2i64
+  { 1537,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #1537 = VQDMULLv4i32
+  { 1538,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1538 = VQMOVNsuv2i32
+  { 1539,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1539 = VQMOVNsuv4i16
+  { 1540,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1540 = VQMOVNsuv8i8
+  { 1541,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1541 = VQMOVNsv2i32
+  { 1542,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1542 = VQMOVNsv4i16
+  { 1543,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1543 = VQMOVNsv8i8
+  { 1544,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1544 = VQMOVNuv2i32
+  { 1545,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1545 = VQMOVNuv4i16
+  { 1546,	4,	1,	493,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo148,0,nullptr },  // Inst #1546 = VQMOVNuv8i8
+  { 1547,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1547 = VQNEGv16i8
+  { 1548,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1548 = VQNEGv2i32
+  { 1549,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1549 = VQNEGv4i16
+  { 1550,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1550 = VQNEGv4i32
+  { 1551,	4,	1,	413,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1551 = VQNEGv8i16
+  { 1552,	4,	1,	414,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1552 = VQNEGv8i8
+  { 1553,	6,	1,	453,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo217,0,nullptr },  // Inst #1553 = VQRDMULHslv2i32
+  { 1554,	6,	1,	452,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo219,0,nullptr },  // Inst #1554 = VQRDMULHslv4i16
+  { 1555,	6,	1,	460,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo218,0,nullptr },  // Inst #1555 = VQRDMULHslv4i32
+  { 1556,	6,	1,	457,	4,	0|(1<<MCID_Predicable), 0x11400ULL, nullptr, nullptr, OperandInfo220,0,nullptr },  // Inst #1556 = VQRDMULHslv8i16
+  { 1557,	5,	1,	453,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1557 = VQRDMULHv2i32
+  { 1558,	5,	1,	452,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1558 = VQRDMULHv4i16
+  { 1559,	5,	1,	460,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1559 = VQRDMULHv4i32
+  { 1560,	5,	1,	457,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1560 = VQRDMULHv8i16
+  { 1561,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1561 = VQRSHLsv16i8
+  { 1562,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1562 = VQRSHLsv1i64
+  { 1563,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1563 = VQRSHLsv2i32
+  { 1564,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1564 = VQRSHLsv2i64
+  { 1565,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1565 = VQRSHLsv4i16
+  { 1566,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1566 = VQRSHLsv4i32
+  { 1567,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1567 = VQRSHLsv8i16
+  { 1568,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1568 = VQRSHLsv8i8
+  { 1569,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1569 = VQRSHLuv16i8
+  { 1570,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1570 = VQRSHLuv1i64
+  { 1571,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1571 = VQRSHLuv2i32
+  { 1572,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1572 = VQRSHLuv2i64
+  { 1573,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1573 = VQRSHLuv4i16
+  { 1574,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1574 = VQRSHLuv4i32
+  { 1575,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1575 = VQRSHLuv8i16
+  { 1576,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1576 = VQRSHLuv8i8
+  { 1577,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1577 = VQRSHRNsv2i32
+  { 1578,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1578 = VQRSHRNsv4i16
+  { 1579,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1579 = VQRSHRNsv8i8
+  { 1580,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1580 = VQRSHRNuv2i32
+  { 1581,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1581 = VQRSHRNuv4i16
+  { 1582,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1582 = VQRSHRNuv8i8
+  { 1583,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1583 = VQRSHRUNv2i32
+  { 1584,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1584 = VQRSHRUNv4i16
+  { 1585,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1585 = VQRSHRUNv8i8
+  { 1586,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1586 = VQSHLsiv16i8
+  { 1587,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1587 = VQSHLsiv1i64
+  { 1588,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1588 = VQSHLsiv2i32
+  { 1589,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1589 = VQSHLsiv2i64
+  { 1590,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1590 = VQSHLsiv4i16
+  { 1591,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1591 = VQSHLsiv4i32
+  { 1592,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1592 = VQSHLsiv8i16
+  { 1593,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1593 = VQSHLsiv8i8
+  { 1594,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1594 = VQSHLsuv16i8
+  { 1595,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1595 = VQSHLsuv1i64
+  { 1596,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1596 = VQSHLsuv2i32
+  { 1597,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1597 = VQSHLsuv2i64
+  { 1598,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1598 = VQSHLsuv4i16
+  { 1599,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1599 = VQSHLsuv4i32
+  { 1600,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1600 = VQSHLsuv8i16
+  { 1601,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1601 = VQSHLsuv8i8
+  { 1602,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1602 = VQSHLsv16i8
+  { 1603,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1603 = VQSHLsv1i64
+  { 1604,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1604 = VQSHLsv2i32
+  { 1605,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1605 = VQSHLsv2i64
+  { 1606,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1606 = VQSHLsv4i16
+  { 1607,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1607 = VQSHLsv4i32
+  { 1608,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1608 = VQSHLsv8i16
+  { 1609,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1609 = VQSHLsv8i8
+  { 1610,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1610 = VQSHLuiv16i8
+  { 1611,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1611 = VQSHLuiv1i64
+  { 1612,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1612 = VQSHLuiv2i32
+  { 1613,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1613 = VQSHLuiv2i64
+  { 1614,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1614 = VQSHLuiv4i16
+  { 1615,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1615 = VQSHLuiv4i32
+  { 1616,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1616 = VQSHLuiv8i16
+  { 1617,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1617 = VQSHLuiv8i8
+  { 1618,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1618 = VQSHLuv16i8
+  { 1619,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1619 = VQSHLuv1i64
+  { 1620,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1620 = VQSHLuv2i32
+  { 1621,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1621 = VQSHLuv2i64
+  { 1622,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1622 = VQSHLuv4i16
+  { 1623,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1623 = VQSHLuv4i32
+  { 1624,	5,	1,	394,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1624 = VQSHLuv8i16
+  { 1625,	5,	1,	393,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1625 = VQSHLuv8i8
+  { 1626,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1626 = VQSHRNsv2i32
+  { 1627,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1627 = VQSHRNsv4i16
+  { 1628,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1628 = VQSHRNsv8i8
+  { 1629,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1629 = VQSHRNuv2i32
+  { 1630,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1630 = VQSHRNuv4i16
+  { 1631,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1631 = VQSHRNuv8i8
+  { 1632,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1632 = VQSHRUNv2i32
+  { 1633,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1633 = VQSHRUNv4i16
+  { 1634,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1634 = VQSHRUNv8i8
+  { 1635,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1635 = VQSUBsv16i8
+  { 1636,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1636 = VQSUBsv1i64
+  { 1637,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1637 = VQSUBsv2i32
+  { 1638,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1638 = VQSUBsv2i64
+  { 1639,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1639 = VQSUBsv4i16
+  { 1640,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1640 = VQSUBsv4i32
+  { 1641,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1641 = VQSUBsv8i16
+  { 1642,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1642 = VQSUBsv8i8
+  { 1643,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1643 = VQSUBuv16i8
+  { 1644,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1644 = VQSUBuv1i64
+  { 1645,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1645 = VQSUBuv2i32
+  { 1646,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1646 = VQSUBuv2i64
+  { 1647,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1647 = VQSUBuv4i16
+  { 1648,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1648 = VQSUBuv4i32
+  { 1649,	5,	1,	408,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1649 = VQSUBuv8i16
+  { 1650,	5,	1,	409,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1650 = VQSUBuv8i8
+  { 1651,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1651 = VRADDHNv2i32
+  { 1652,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1652 = VRADDHNv4i16
+  { 1653,	5,	1,	424,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1653 = VRADDHNv8i8
+  { 1654,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1654 = VRECPEd
+  { 1655,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1655 = VRECPEfd
+  { 1656,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1656 = VRECPEfq
+  { 1657,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1657 = VRECPEq
+  { 1658,	5,	1,	449,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1658 = VRECPSfd
+  { 1659,	5,	1,	450,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1659 = VRECPSfq
+  { 1660,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1660 = VREV16d8
+  { 1661,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1661 = VREV16q8
+  { 1662,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1662 = VREV32d16
+  { 1663,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1663 = VREV32d8
+  { 1664,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1664 = VREV32q16
+  { 1665,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1665 = VREV32q8
+  { 1666,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1666 = VREV64d16
+  { 1667,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1667 = VREV64d32
+  { 1668,	4,	1,	398,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1668 = VREV64d8
+  { 1669,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1669 = VREV64q16
+  { 1670,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1670 = VREV64q32
+  { 1671,	4,	1,	399,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1671 = VREV64q8
+  { 1672,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1672 = VRHADDsv16i8
+  { 1673,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1673 = VRHADDsv2i32
+  { 1674,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1674 = VRHADDsv4i16
+  { 1675,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1675 = VRHADDsv4i32
+  { 1676,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1676 = VRHADDsv8i16
+  { 1677,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1677 = VRHADDsv8i8
+  { 1678,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1678 = VRHADDuv16i8
+  { 1679,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1679 = VRHADDuv2i32
+  { 1680,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1680 = VRHADDuv4i16
+  { 1681,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1681 = VRHADDuv4i32
+  { 1682,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1682 = VRHADDuv8i16
+  { 1683,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1683 = VRHADDuv8i8
+  { 1684,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1684 = VRINTAD
+  { 1685,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1685 = VRINTAND
+  { 1686,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1686 = VRINTANQ
+  { 1687,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1687 = VRINTAS
+  { 1688,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1688 = VRINTMD
+  { 1689,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1689 = VRINTMND
+  { 1690,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1690 = VRINTMNQ
+  { 1691,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1691 = VRINTMS
+  { 1692,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1692 = VRINTND
+  { 1693,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1693 = VRINTNND
+  { 1694,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1694 = VRINTNNQ
+  { 1695,	2,	1,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1695 = VRINTNS
+  { 1696,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1696 = VRINTPD
+  { 1697,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1697 = VRINTPND
+  { 1698,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1698 = VRINTPNQ
+  { 1699,	2,	1,	0,	4,	0, 0x8780ULL, nullptr, nullptr, OperandInfo145,0,nullptr },  // Inst #1699 = VRINTPS
+  { 1700,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1700 = VRINTRD
+  { 1701,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1701 = VRINTRS
+  { 1702,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1702 = VRINTXD
+  { 1703,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1703 = VRINTXND
+  { 1704,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1704 = VRINTXNQ
+  { 1705,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1705 = VRINTXS
+  { 1706,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1706 = VRINTZD
+  { 1707,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo143,0,nullptr },  // Inst #1707 = VRINTZND
+  { 1708,	2,	1,	0,	4,	0, 0x11000ULL, nullptr, nullptr, OperandInfo26,0,nullptr },  // Inst #1708 = VRINTZNQ
+  { 1709,	4,	1,	0,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1709 = VRINTZS
+  { 1710,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1710 = VRSHLsv16i8
+  { 1711,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1711 = VRSHLsv1i64
+  { 1712,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1712 = VRSHLsv2i32
+  { 1713,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1713 = VRSHLsv2i64
+  { 1714,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1714 = VRSHLsv4i16
+  { 1715,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1715 = VRSHLsv4i32
+  { 1716,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1716 = VRSHLsv8i16
+  { 1717,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1717 = VRSHLsv8i8
+  { 1718,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1718 = VRSHLuv16i8
+  { 1719,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1719 = VRSHLuv1i64
+  { 1720,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1720 = VRSHLuv2i32
+  { 1721,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1721 = VRSHLuv2i64
+  { 1722,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1722 = VRSHLuv4i16
+  { 1723,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1723 = VRSHLuv4i32
+  { 1724,	5,	1,	417,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1724 = VRSHLuv8i16
+  { 1725,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1725 = VRSHLuv8i8
+  { 1726,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1726 = VRSHRNv2i32
+  { 1727,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1727 = VRSHRNv4i16
+  { 1728,	5,	1,	423,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1728 = VRSHRNv8i8
+  { 1729,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1729 = VRSHRsv16i8
+  { 1730,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1730 = VRSHRsv1i64
+  { 1731,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1731 = VRSHRsv2i32
+  { 1732,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1732 = VRSHRsv2i64
+  { 1733,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1733 = VRSHRsv4i16
+  { 1734,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1734 = VRSHRsv4i32
+  { 1735,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1735 = VRSHRsv8i16
+  { 1736,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1736 = VRSHRsv8i8
+  { 1737,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1737 = VRSHRuv16i8
+  { 1738,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1738 = VRSHRuv1i64
+  { 1739,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1739 = VRSHRuv2i32
+  { 1740,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1740 = VRSHRuv2i64
+  { 1741,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1741 = VRSHRuv4i16
+  { 1742,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1742 = VRSHRuv4i32
+  { 1743,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1743 = VRSHRuv8i16
+  { 1744,	5,	1,	418,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1744 = VRSHRuv8i8
+  { 1745,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1745 = VRSQRTEd
+  { 1746,	4,	1,	419,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1746 = VRSQRTEfd
+  { 1747,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1747 = VRSQRTEfq
+  { 1748,	4,	1,	420,	4,	0|(1<<MCID_Predicable), 0x11000ULL, nullptr, nullptr, OperandInfo135,0,nullptr },  // Inst #1748 = VRSQRTEq
+  { 1749,	5,	1,	449,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1749 = VRSQRTSfd
+  { 1750,	5,	1,	450,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1750 = VRSQRTSfq
+  { 1751,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1751 = VRSRAsv16i8
+  { 1752,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1752 = VRSRAsv1i64
+  { 1753,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1753 = VRSRAsv2i32
+  { 1754,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1754 = VRSRAsv2i64
+  { 1755,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1755 = VRSRAsv4i16
+  { 1756,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1756 = VRSRAsv4i32
+  { 1757,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1757 = VRSRAsv8i16
+  { 1758,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1758 = VRSRAsv8i8
+  { 1759,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1759 = VRSRAuv16i8
+  { 1760,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1760 = VRSRAuv1i64
+  { 1761,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1761 = VRSRAuv2i32
+  { 1762,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1762 = VRSRAuv2i64
+  { 1763,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1763 = VRSRAuv4i16
+  { 1764,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1764 = VRSRAuv4i32
+  { 1765,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1765 = VRSRAuv8i16
+  { 1766,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1766 = VRSRAuv8i8
+  { 1767,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1767 = VRSUBHNv2i32
+  { 1768,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1768 = VRSUBHNv4i16
+  { 1769,	5,	1,	424,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #1769 = VRSUBHNv8i8
+  { 1770,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo194,0,nullptr },  // Inst #1770 = VSELEQD
+  { 1771,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo196,0,nullptr },  // Inst #1771 = VSELEQS
+  { 1772,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo194,0,nullptr },  // Inst #1772 = VSELGED
+  { 1773,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo196,0,nullptr },  // Inst #1773 = VSELGES
+  { 1774,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo194,0,nullptr },  // Inst #1774 = VSELGTD
+  { 1775,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo196,0,nullptr },  // Inst #1775 = VSELGTS
+  { 1776,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo194,0,nullptr },  // Inst #1776 = VSELVSD
+  { 1777,	3,	1,	0,	4,	0, 0x8800ULL, ImplicitList1, nullptr, OperandInfo196,0,nullptr },  // Inst #1777 = VSELVSS
+  { 1778,	6,	1,	499,	4,	0|(1<<MCID_Predicable), 0x10e00ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1778 = VSETLNi16
+  { 1779,	6,	1,	499,	4,	0|(1<<MCID_Predicable)|(1<<MCID_InsertSubreg), 0x10e00ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1779 = VSETLNi32
+  { 1780,	6,	1,	499,	4,	0|(1<<MCID_Predicable), 0x10e00ULL, nullptr, nullptr, OperandInfo227,0,nullptr },  // Inst #1780 = VSETLNi8
+  { 1781,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1781 = VSHLLi16
+  { 1782,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1782 = VSHLLi32
+  { 1783,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1783 = VSHLLi8
+  { 1784,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1784 = VSHLLsv2i64
+  { 1785,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1785 = VSHLLsv4i32
+  { 1786,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1786 = VSHLLsv8i16
+  { 1787,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1787 = VSHLLuv2i64
+  { 1788,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1788 = VSHLLuv4i32
+  { 1789,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo154,0,nullptr },  // Inst #1789 = VSHLLuv8i16
+  { 1790,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1790 = VSHLiv16i8
+  { 1791,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1791 = VSHLiv1i64
+  { 1792,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1792 = VSHLiv2i32
+  { 1793,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1793 = VSHLiv2i64
+  { 1794,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1794 = VSHLiv4i16
+  { 1795,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1795 = VSHLiv4i32
+  { 1796,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo223,0,nullptr },  // Inst #1796 = VSHLiv8i16
+  { 1797,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo224,0,nullptr },  // Inst #1797 = VSHLiv8i8
+  { 1798,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1798 = VSHLsv16i8
+  { 1799,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1799 = VSHLsv1i64
+  { 1800,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1800 = VSHLsv2i32
+  { 1801,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1801 = VSHLsv2i64
+  { 1802,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1802 = VSHLsv4i16
+  { 1803,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1803 = VSHLsv4i32
+  { 1804,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1804 = VSHLsv8i16
+  { 1805,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1805 = VSHLsv8i8
+  { 1806,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1806 = VSHLuv16i8
+  { 1807,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1807 = VSHLuv1i64
+  { 1808,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1808 = VSHLuv2i32
+  { 1809,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1809 = VSHLuv2i64
+  { 1810,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1810 = VSHLuv4i16
+  { 1811,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1811 = VSHLuv4i32
+  { 1812,	5,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #1812 = VSHLuv8i16
+  { 1813,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11300ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #1813 = VSHLuv8i8
+  { 1814,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1814 = VSHRNv2i32
+  { 1815,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1815 = VSHRNv4i16
+  { 1816,	5,	1,	422,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo222,0,nullptr },  // Inst #1816 = VSHRNv8i8
+  { 1817,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1817 = VSHRsv16i8
+  { 1818,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1818 = VSHRsv1i64
+  { 1819,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1819 = VSHRsv2i32
+  { 1820,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1820 = VSHRsv2i64
+  { 1821,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1821 = VSHRsv4i16
+  { 1822,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1822 = VSHRsv4i32
+  { 1823,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1823 = VSHRsv8i16
+  { 1824,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1824 = VSHRsv8i8
+  { 1825,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1825 = VSHRuv16i8
+  { 1826,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1826 = VSHRuv1i64
+  { 1827,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1827 = VSHRuv2i32
+  { 1828,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1828 = VSHRuv2i64
+  { 1829,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1829 = VSHRuv4i16
+  { 1830,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1830 = VSHRuv4i32
+  { 1831,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo150,0,nullptr },  // Inst #1831 = VSHRuv8i16
+  { 1832,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo149,0,nullptr },  // Inst #1832 = VSHRuv8i8
+  { 1833,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1833 = VSHTOD
+  { 1834,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #1834 = VSHTOS
+  { 1835,	4,	1,	481,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #1835 = VSITOD
+  { 1836,	4,	1,	482,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1836 = VSITOS
+  { 1837,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1837 = VSLIv16i8
+  { 1838,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1838 = VSLIv1i64
+  { 1839,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1839 = VSLIv2i32
+  { 1840,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1840 = VSLIv2i64
+  { 1841,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1841 = VSLIv4i16
+  { 1842,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1842 = VSLIv4i32
+  { 1843,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo230,0,nullptr },  // Inst #1843 = VSLIv8i16
+  { 1844,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11180ULL, nullptr, nullptr, OperandInfo231,0,nullptr },  // Inst #1844 = VSLIv8i8
+  { 1845,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #1845 = VSLTOD
+  { 1846,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #1846 = VSLTOS
+  { 1847,	4,	1,	589,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo133,0,nullptr },  // Inst #1847 = VSQRTD
+  { 1848,	4,	1,	587,	4,	0|(1<<MCID_Predicable), 0x8780ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #1848 = VSQRTS
+  { 1849,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1849 = VSRAsv16i8
+  { 1850,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1850 = VSRAsv1i64
+  { 1851,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1851 = VSRAsv2i32
+  { 1852,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1852 = VSRAsv2i64
+  { 1853,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1853 = VSRAsv4i16
+  { 1854,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1854 = VSRAsv4i32
+  { 1855,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1855 = VSRAsv8i16
+  { 1856,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1856 = VSRAsv8i8
+  { 1857,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1857 = VSRAuv16i8
+  { 1858,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1858 = VSRAuv1i64
+  { 1859,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1859 = VSRAuv2i32
+  { 1860,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1860 = VSRAuv2i64
+  { 1861,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1861 = VSRAuv4i16
+  { 1862,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1862 = VSRAuv4i32
+  { 1863,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1863 = VSRAuv8i16
+  { 1864,	6,	1,	412,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1864 = VSRAuv8i8
+  { 1865,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1865 = VSRIv16i8
+  { 1866,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1866 = VSRIv1i64
+  { 1867,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1867 = VSRIv2i32
+  { 1868,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1868 = VSRIv2i64
+  { 1869,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1869 = VSRIv4i16
+  { 1870,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1870 = VSRIv4i32
+  { 1871,	6,	1,	392,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo225,0,nullptr },  // Inst #1871 = VSRIv8i16
+  { 1872,	6,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11200ULL, nullptr, nullptr, OperandInfo226,0,nullptr },  // Inst #1872 = VSRIv8i8
+  { 1873,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1873 = VST1LNd16
+  { 1874,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1874 = VST1LNd16_UPD
+  { 1875,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1875 = VST1LNd32
+  { 1876,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1876 = VST1LNd32_UPD
+  { 1877,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo232,0,nullptr },  // Inst #1877 = VST1LNd8
+  { 1878,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10f06ULL, nullptr, nullptr, OperandInfo233,0,nullptr },  // Inst #1878 = VST1LNd8_UPD
+  { 1879,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1879 = VST1LNdAsm_16
+  { 1880,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1880 = VST1LNdAsm_32
+  { 1881,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1881 = VST1LNdAsm_8
+  { 1882,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1882 = VST1LNdWB_fixed_Asm_16
+  { 1883,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1883 = VST1LNdWB_fixed_Asm_32
+  { 1884,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1884 = VST1LNdWB_fixed_Asm_8
+  { 1885,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1885 = VST1LNdWB_register_Asm_16
+  { 1886,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1886 = VST1LNdWB_register_Asm_32
+  { 1887,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1887 = VST1LNdWB_register_Asm_8
+  { 1888,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1888 = VST1LNq16Pseudo
+  { 1889,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1889 = VST1LNq16Pseudo_UPD
+  { 1890,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1890 = VST1LNq32Pseudo
+  { 1891,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1891 = VST1LNq32Pseudo_UPD
+  { 1892,	6,	0,	578,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1892 = VST1LNq8Pseudo
+  { 1893,	8,	1,	579,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1893 = VST1LNq8Pseudo_UPD
+  { 1894,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1894 = VST1d16
+  { 1895,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1895 = VST1d16Q
+  { 1896,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1896 = VST1d16Qwb_fixed
+  { 1897,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1897 = VST1d16Qwb_register
+  { 1898,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1898 = VST1d16T
+  { 1899,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1899 = VST1d16Twb_fixed
+  { 1900,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1900 = VST1d16Twb_register
+  { 1901,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1901 = VST1d16wb_fixed
+  { 1902,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1902 = VST1d16wb_register
+  { 1903,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1903 = VST1d32
+  { 1904,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1904 = VST1d32Q
+  { 1905,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1905 = VST1d32Qwb_fixed
+  { 1906,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1906 = VST1d32Qwb_register
+  { 1907,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1907 = VST1d32T
+  { 1908,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1908 = VST1d32Twb_fixed
+  { 1909,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1909 = VST1d32Twb_register
+  { 1910,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1910 = VST1d32wb_fixed
+  { 1911,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1911 = VST1d32wb_register
+  { 1912,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1912 = VST1d64
+  { 1913,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1913 = VST1d64Q
+  { 1914,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1914 = VST1d64QPseudo
+  { 1915,	6,	1,	568,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1915 = VST1d64QPseudoWB_fixed
+  { 1916,	7,	1,	568,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1916 = VST1d64QPseudoWB_register
+  { 1917,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1917 = VST1d64Qwb_fixed
+  { 1918,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1918 = VST1d64Qwb_register
+  { 1919,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1919 = VST1d64T
+  { 1920,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #1920 = VST1d64TPseudo
+  { 1921,	6,	1,	565,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #1921 = VST1d64TPseudoWB_fixed
+  { 1922,	7,	1,	565,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #1922 = VST1d64TPseudoWB_register
+  { 1923,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1923 = VST1d64Twb_fixed
+  { 1924,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1924 = VST1d64Twb_register
+  { 1925,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1925 = VST1d64wb_fixed
+  { 1926,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1926 = VST1d64wb_register
+  { 1927,	5,	0,	559,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1927 = VST1d8
+  { 1928,	5,	0,	566,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1928 = VST1d8Q
+  { 1929,	6,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1929 = VST1d8Qwb_fixed
+  { 1930,	7,	1,	567,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1930 = VST1d8Qwb_register
+  { 1931,	5,	0,	563,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #1931 = VST1d8T
+  { 1932,	6,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1932 = VST1d8Twb_fixed
+  { 1933,	7,	1,	564,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1933 = VST1d8Twb_register
+  { 1934,	6,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #1934 = VST1d8wb_fixed
+  { 1935,	7,	1,	561,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #1935 = VST1d8wb_register
+  { 1936,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1936 = VST1q16
+  { 1937,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1937 = VST1q16wb_fixed
+  { 1938,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1938 = VST1q16wb_register
+  { 1939,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1939 = VST1q32
+  { 1940,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1940 = VST1q32wb_fixed
+  { 1941,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1941 = VST1q32wb_register
+  { 1942,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1942 = VST1q64
+  { 1943,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1943 = VST1q64wb_fixed
+  { 1944,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1944 = VST1q64wb_register
+  { 1945,	5,	0,	560,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1945 = VST1q8
+  { 1946,	6,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1946 = VST1q8wb_fixed
+  { 1947,	7,	1,	562,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1947 = VST1q8wb_register
+  { 1948,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1948 = VST2LNd16
+  { 1949,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1949 = VST2LNd16Pseudo
+  { 1950,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1950 = VST2LNd16Pseudo_UPD
+  { 1951,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1951 = VST2LNd16_UPD
+  { 1952,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1952 = VST2LNd32
+  { 1953,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1953 = VST2LNd32Pseudo
+  { 1954,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1954 = VST2LNd32Pseudo_UPD
+  { 1955,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1955 = VST2LNd32_UPD
+  { 1956,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1956 = VST2LNd8
+  { 1957,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo234,0,nullptr },  // Inst #1957 = VST2LNd8Pseudo
+  { 1958,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo235,0,nullptr },  // Inst #1958 = VST2LNd8Pseudo_UPD
+  { 1959,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1959 = VST2LNd8_UPD
+  { 1960,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1960 = VST2LNdAsm_16
+  { 1961,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1961 = VST2LNdAsm_32
+  { 1962,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1962 = VST2LNdAsm_8
+  { 1963,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1963 = VST2LNdWB_fixed_Asm_16
+  { 1964,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1964 = VST2LNdWB_fixed_Asm_32
+  { 1965,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1965 = VST2LNdWB_fixed_Asm_8
+  { 1966,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1966 = VST2LNdWB_register_Asm_16
+  { 1967,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1967 = VST2LNdWB_register_Asm_32
+  { 1968,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1968 = VST2LNdWB_register_Asm_8
+  { 1969,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1969 = VST2LNq16
+  { 1970,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #1970 = VST2LNq16Pseudo
+  { 1971,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #1971 = VST2LNq16Pseudo_UPD
+  { 1972,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1972 = VST2LNq16_UPD
+  { 1973,	7,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo245,0,nullptr },  // Inst #1973 = VST2LNq32
+  { 1974,	6,	0,	580,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #1974 = VST2LNq32Pseudo
+  { 1975,	8,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #1975 = VST2LNq32Pseudo_UPD
+  { 1976,	9,	1,	581,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo246,0,nullptr },  // Inst #1976 = VST2LNq32_UPD
+  { 1977,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1977 = VST2LNqAsm_16
+  { 1978,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1978 = VST2LNqAsm_32
+  { 1979,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1979 = VST2LNqWB_fixed_Asm_16
+  { 1980,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #1980 = VST2LNqWB_fixed_Asm_32
+  { 1981,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1981 = VST2LNqWB_register_Asm_16
+  { 1982,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #1982 = VST2LNqWB_register_Asm_32
+  { 1983,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1983 = VST2b16
+  { 1984,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1984 = VST2b16wb_fixed
+  { 1985,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1985 = VST2b16wb_register
+  { 1986,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1986 = VST2b32
+  { 1987,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1987 = VST2b32wb_fixed
+  { 1988,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1988 = VST2b32wb_register
+  { 1989,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1989 = VST2b8
+  { 1990,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1990 = VST2b8wb_fixed
+  { 1991,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1991 = VST2b8wb_register
+  { 1992,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1992 = VST2d16
+  { 1993,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1993 = VST2d16wb_fixed
+  { 1994,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1994 = VST2d16wb_register
+  { 1995,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1995 = VST2d32
+  { 1996,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1996 = VST2d32wb_fixed
+  { 1997,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #1997 = VST2d32wb_register
+  { 1998,	5,	0,	569,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo242,0,nullptr },  // Inst #1998 = VST2d8
+  { 1999,	6,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo243,0,nullptr },  // Inst #1999 = VST2d8wb_fixed
+  { 2000,	7,	1,	570,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo244,0,nullptr },  // Inst #2000 = VST2d8wb_register
+  { 2001,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2001 = VST2q16
+  { 2002,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2002 = VST2q16Pseudo
+  { 2003,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #2003 = VST2q16PseudoWB_fixed
+  { 2004,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2004 = VST2q16PseudoWB_register
+  { 2005,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #2005 = VST2q16wb_fixed
+  { 2006,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2006 = VST2q16wb_register
+  { 2007,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2007 = VST2q32
+  { 2008,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2008 = VST2q32Pseudo
+  { 2009,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #2009 = VST2q32PseudoWB_fixed
+  { 2010,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2010 = VST2q32PseudoWB_register
+  { 2011,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #2011 = VST2q32wb_fixed
+  { 2012,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2012 = VST2q32wb_register
+  { 2013,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo236,0,nullptr },  // Inst #2013 = VST2q8
+  { 2014,	5,	0,	571,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2014 = VST2q8Pseudo
+  { 2015,	6,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo240,0,nullptr },  // Inst #2015 = VST2q8PseudoWB_fixed
+  { 2016,	7,	1,	572,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo249,0,nullptr },  // Inst #2016 = VST2q8PseudoWB_register
+  { 2017,	6,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo237,0,nullptr },  // Inst #2017 = VST2q8wb_fixed
+  { 2018,	7,	1,	573,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo238,0,nullptr },  // Inst #2018 = VST2q8wb_register
+  { 2019,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2019 = VST3LNd16
+  { 2020,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2020 = VST3LNd16Pseudo
+  { 2021,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2021 = VST3LNd16Pseudo_UPD
+  { 2022,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2022 = VST3LNd16_UPD
+  { 2023,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2023 = VST3LNd32
+  { 2024,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2024 = VST3LNd32Pseudo
+  { 2025,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2025 = VST3LNd32Pseudo_UPD
+  { 2026,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2026 = VST3LNd32_UPD
+  { 2027,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2027 = VST3LNd8
+  { 2028,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2028 = VST3LNd8Pseudo
+  { 2029,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2029 = VST3LNd8Pseudo_UPD
+  { 2030,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2030 = VST3LNd8_UPD
+  { 2031,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2031 = VST3LNdAsm_16
+  { 2032,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2032 = VST3LNdAsm_32
+  { 2033,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2033 = VST3LNdAsm_8
+  { 2034,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2034 = VST3LNdWB_fixed_Asm_16
+  { 2035,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2035 = VST3LNdWB_fixed_Asm_32
+  { 2036,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2036 = VST3LNdWB_fixed_Asm_8
+  { 2037,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2037 = VST3LNdWB_register_Asm_16
+  { 2038,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2038 = VST3LNdWB_register_Asm_32
+  { 2039,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2039 = VST3LNdWB_register_Asm_8
+  { 2040,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2040 = VST3LNq16
+  { 2041,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2041 = VST3LNq16Pseudo
+  { 2042,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2042 = VST3LNq16Pseudo_UPD
+  { 2043,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2043 = VST3LNq16_UPD
+  { 2044,	8,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo250,0,nullptr },  // Inst #2044 = VST3LNq32
+  { 2045,	6,	0,	582,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2045 = VST3LNq32Pseudo
+  { 2046,	8,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2046 = VST3LNq32Pseudo_UPD
+  { 2047,	10,	1,	583,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo251,0,nullptr },  // Inst #2047 = VST3LNq32_UPD
+  { 2048,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2048 = VST3LNqAsm_16
+  { 2049,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2049 = VST3LNqAsm_32
+  { 2050,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2050 = VST3LNqWB_fixed_Asm_16
+  { 2051,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2051 = VST3LNqWB_fixed_Asm_32
+  { 2052,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2052 = VST3LNqWB_register_Asm_16
+  { 2053,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2053 = VST3LNqWB_register_Asm_32
+  { 2054,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2054 = VST3d16
+  { 2055,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2055 = VST3d16Pseudo
+  { 2056,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2056 = VST3d16Pseudo_UPD
+  { 2057,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2057 = VST3d16_UPD
+  { 2058,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2058 = VST3d32
+  { 2059,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2059 = VST3d32Pseudo
+  { 2060,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2060 = VST3d32Pseudo_UPD
+  { 2061,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2061 = VST3d32_UPD
+  { 2062,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2062 = VST3d8
+  { 2063,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2063 = VST3d8Pseudo
+  { 2064,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2064 = VST3d8Pseudo_UPD
+  { 2065,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2065 = VST3d8_UPD
+  { 2066,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2066 = VST3dAsm_16
+  { 2067,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2067 = VST3dAsm_32
+  { 2068,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2068 = VST3dAsm_8
+  { 2069,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2069 = VST3dWB_fixed_Asm_16
+  { 2070,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2070 = VST3dWB_fixed_Asm_32
+  { 2071,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2071 = VST3dWB_fixed_Asm_8
+  { 2072,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2072 = VST3dWB_register_Asm_16
+  { 2073,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2073 = VST3dWB_register_Asm_32
+  { 2074,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2074 = VST3dWB_register_Asm_8
+  { 2075,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2075 = VST3q16
+  { 2076,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2076 = VST3q16Pseudo_UPD
+  { 2077,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2077 = VST3q16_UPD
+  { 2078,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2078 = VST3q16oddPseudo
+  { 2079,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2079 = VST3q16oddPseudo_UPD
+  { 2080,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2080 = VST3q32
+  { 2081,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2081 = VST3q32Pseudo_UPD
+  { 2082,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2082 = VST3q32_UPD
+  { 2083,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2083 = VST3q32oddPseudo
+  { 2084,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2084 = VST3q32oddPseudo_UPD
+  { 2085,	7,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo254,0,nullptr },  // Inst #2085 = VST3q8
+  { 2086,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2086 = VST3q8Pseudo_UPD
+  { 2087,	9,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo255,0,nullptr },  // Inst #2087 = VST3q8_UPD
+  { 2088,	5,	0,	574,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2088 = VST3q8oddPseudo
+  { 2089,	7,	1,	575,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2089 = VST3q8oddPseudo_UPD
+  { 2090,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2090 = VST3qAsm_16
+  { 2091,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2091 = VST3qAsm_32
+  { 2092,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2092 = VST3qAsm_8
+  { 2093,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2093 = VST3qWB_fixed_Asm_16
+  { 2094,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2094 = VST3qWB_fixed_Asm_32
+  { 2095,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2095 = VST3qWB_fixed_Asm_8
+  { 2096,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2096 = VST3qWB_register_Asm_16
+  { 2097,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2097 = VST3qWB_register_Asm_32
+  { 2098,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2098 = VST3qWB_register_Asm_8
+  { 2099,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2099 = VST4LNd16
+  { 2100,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2100 = VST4LNd16Pseudo
+  { 2101,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2101 = VST4LNd16Pseudo_UPD
+  { 2102,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2102 = VST4LNd16_UPD
+  { 2103,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2103 = VST4LNd32
+  { 2104,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2104 = VST4LNd32Pseudo
+  { 2105,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2105 = VST4LNd32Pseudo_UPD
+  { 2106,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2106 = VST4LNd32_UPD
+  { 2107,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2107 = VST4LNd8
+  { 2108,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo247,0,nullptr },  // Inst #2108 = VST4LNd8Pseudo
+  { 2109,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo248,0,nullptr },  // Inst #2109 = VST4LNd8Pseudo_UPD
+  { 2110,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2110 = VST4LNd8_UPD
+  { 2111,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2111 = VST4LNdAsm_16
+  { 2112,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2112 = VST4LNdAsm_32
+  { 2113,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2113 = VST4LNdAsm_8
+  { 2114,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2114 = VST4LNdWB_fixed_Asm_16
+  { 2115,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2115 = VST4LNdWB_fixed_Asm_32
+  { 2116,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2116 = VST4LNdWB_fixed_Asm_8
+  { 2117,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2117 = VST4LNdWB_register_Asm_16
+  { 2118,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2118 = VST4LNdWB_register_Asm_32
+  { 2119,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2119 = VST4LNdWB_register_Asm_8
+  { 2120,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2120 = VST4LNq16
+  { 2121,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2121 = VST4LNq16Pseudo
+  { 2122,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2122 = VST4LNq16Pseudo_UPD
+  { 2123,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2123 = VST4LNq16_UPD
+  { 2124,	9,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo258,0,nullptr },  // Inst #2124 = VST4LNq32
+  { 2125,	6,	0,	584,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo252,0,nullptr },  // Inst #2125 = VST4LNq32Pseudo
+  { 2126,	8,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo253,0,nullptr },  // Inst #2126 = VST4LNq32Pseudo_UPD
+  { 2127,	11,	1,	585,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo259,0,nullptr },  // Inst #2127 = VST4LNq32_UPD
+  { 2128,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2128 = VST4LNqAsm_16
+  { 2129,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2129 = VST4LNqAsm_32
+  { 2130,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2130 = VST4LNqWB_fixed_Asm_16
+  { 2131,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo167,0,nullptr },  // Inst #2131 = VST4LNqWB_fixed_Asm_32
+  { 2132,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2132 = VST4LNqWB_register_Asm_16
+  { 2133,	7,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo168,0,nullptr },  // Inst #2133 = VST4LNqWB_register_Asm_32
+  { 2134,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2134 = VST4d16
+  { 2135,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2135 = VST4d16Pseudo
+  { 2136,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2136 = VST4d16Pseudo_UPD
+  { 2137,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2137 = VST4d16_UPD
+  { 2138,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2138 = VST4d32
+  { 2139,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2139 = VST4d32Pseudo
+  { 2140,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2140 = VST4d32Pseudo_UPD
+  { 2141,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2141 = VST4d32_UPD
+  { 2142,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2142 = VST4d8
+  { 2143,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo239,0,nullptr },  // Inst #2143 = VST4d8Pseudo
+  { 2144,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo241,0,nullptr },  // Inst #2144 = VST4d8Pseudo_UPD
+  { 2145,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2145 = VST4d8_UPD
+  { 2146,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2146 = VST4dAsm_16
+  { 2147,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2147 = VST4dAsm_32
+  { 2148,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2148 = VST4dAsm_8
+  { 2149,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2149 = VST4dWB_fixed_Asm_16
+  { 2150,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2150 = VST4dWB_fixed_Asm_32
+  { 2151,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2151 = VST4dWB_fixed_Asm_8
+  { 2152,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2152 = VST4dWB_register_Asm_16
+  { 2153,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2153 = VST4dWB_register_Asm_32
+  { 2154,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2154 = VST4dWB_register_Asm_8
+  { 2155,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2155 = VST4q16
+  { 2156,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2156 = VST4q16Pseudo_UPD
+  { 2157,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2157 = VST4q16_UPD
+  { 2158,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2158 = VST4q16oddPseudo
+  { 2159,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2159 = VST4q16oddPseudo_UPD
+  { 2160,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2160 = VST4q32
+  { 2161,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2161 = VST4q32Pseudo_UPD
+  { 2162,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2162 = VST4q32_UPD
+  { 2163,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2163 = VST4q32oddPseudo
+  { 2164,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2164 = VST4q32oddPseudo_UPD
+  { 2165,	8,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo260,0,nullptr },  // Inst #2165 = VST4q8
+  { 2166,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2166 = VST4q8Pseudo_UPD
+  { 2167,	10,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10f06ULL, nullptr, nullptr, OperandInfo261,0,nullptr },  // Inst #2167 = VST4q8_UPD
+  { 2168,	5,	0,	576,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo257,0,nullptr },  // Inst #2168 = VST4q8oddPseudo
+  { 2169,	7,	1,	577,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0x10006ULL, nullptr, nullptr, OperandInfo256,0,nullptr },  // Inst #2169 = VST4q8oddPseudo_UPD
+  { 2170,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2170 = VST4qAsm_16
+  { 2171,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2171 = VST4qAsm_32
+  { 2172,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2172 = VST4qAsm_8
+  { 2173,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2173 = VST4qWB_fixed_Asm_16
+  { 2174,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2174 = VST4qWB_fixed_Asm_32
+  { 2175,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2175 = VST4qWB_fixed_Asm_8
+  { 2176,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2176 = VST4qWB_register_Asm_16
+  { 2177,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2177 = VST4qWB_register_Asm_32
+  { 2178,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo181,0,nullptr },  // Inst #2178 = VST4qWB_register_Asm_8
+  { 2179,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2179 = VSTMDDB_UPD
+  { 2180,	4,	0,	516,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8b84ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2180 = VSTMDIA
+  { 2181,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x8be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2181 = VSTMDIA_UPD
+  { 2182,	4,	0,	513,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18004ULL, nullptr, nullptr, OperandInfo192,0,nullptr },  // Inst #2182 = VSTMQIA
+  { 2183,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2183 = VSTMSDB_UPD
+  { 2184,	4,	0,	516,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18b84ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2184 = VSTMSIA
+  { 2185,	5,	1,	517,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0x18be4ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2185 = VSTMSIA_UPD
+  { 2186,	5,	0,	510,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18b05ULL, nullptr, nullptr, OperandInfo159,0,nullptr },  // Inst #2186 = VSTRD
+  { 2187,	5,	0,	511,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0x18b05ULL, nullptr, nullptr, OperandInfo193,0,nullptr },  // Inst #2187 = VSTRS
+  { 2188,	5,	1,	448,	4,	0|(1<<MCID_Predicable), 0x8800ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2188 = VSUBD
+  { 2189,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #2189 = VSUBHNv2i32
+  { 2190,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #2190 = VSUBHNv4i16
+  { 2191,	5,	1,	421,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo136,0,nullptr },  // Inst #2191 = VSUBHNv8i8
+  { 2192,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2192 = VSUBLsv2i64
+  { 2193,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2193 = VSUBLsv4i32
+  { 2194,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2194 = VSUBLsv8i16
+  { 2195,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2195 = VSUBLuv2i64
+  { 2196,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2196 = VSUBLuv4i32
+  { 2197,	5,	1,	379,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo130,0,nullptr },  // Inst #2197 = VSUBLuv8i16
+  { 2198,	5,	1,	445,	4,	0|(1<<MCID_Predicable), 0x28800ULL, nullptr, nullptr, OperandInfo137,0,nullptr },  // Inst #2198 = VSUBS
+  { 2199,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2199 = VSUBWsv2i64
+  { 2200,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2200 = VSUBWsv4i32
+  { 2201,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2201 = VSUBWsv8i16
+  { 2202,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2202 = VSUBWuv2i64
+  { 2203,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2203 = VSUBWuv4i32
+  { 2204,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo138,0,nullptr },  // Inst #2204 = VSUBWuv8i16
+  { 2205,	5,	1,	442,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2205 = VSUBfd
+  { 2206,	5,	1,	443,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2206 = VSUBfq
+  { 2207,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2207 = VSUBv16i8
+  { 2208,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2208 = VSUBv1i64
+  { 2209,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2209 = VSUBv2i32
+  { 2210,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2210 = VSUBv2i64
+  { 2211,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2211 = VSUBv4i16
+  { 2212,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2212 = VSUBv4i32
+  { 2213,	5,	1,	395,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2213 = VSUBv8i16
+  { 2214,	5,	1,	380,	4,	0|(1<<MCID_Predicable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2214 = VSUBv8i8
+  { 2215,	6,	2,	433,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2215 = VSWPd
+  { 2216,	6,	2,	433,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2216 = VSWPq
+  { 2217,	5,	1,	425,	4,	0|(1<<MCID_Predicable), 0x11480ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2217 = VTBL1
+  { 2218,	5,	1,	427,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo264,0,nullptr },  // Inst #2218 = VTBL2
+  { 2219,	5,	1,	429,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2219 = VTBL3
+  { 2220,	5,	1,	429,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo265,0,nullptr },  // Inst #2220 = VTBL3Pseudo
+  { 2221,	5,	1,	431,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2221 = VTBL4
+  { 2222,	5,	1,	431,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo265,0,nullptr },  // Inst #2222 = VTBL4Pseudo
+  { 2223,	6,	1,	426,	4,	0|(1<<MCID_Predicable), 0x11480ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #2223 = VTBX1
+  { 2224,	6,	1,	428,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo266,0,nullptr },  // Inst #2224 = VTBX2
+  { 2225,	6,	1,	430,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #2225 = VTBX3
+  { 2226,	6,	1,	430,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo267,0,nullptr },  // Inst #2226 = VTBX3Pseudo
+  { 2227,	6,	1,	432,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x11480ULL, nullptr, nullptr, OperandInfo129,0,nullptr },  // Inst #2227 = VTBX4
+  { 2228,	6,	1,	432,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x10000ULL, nullptr, nullptr, OperandInfo267,0,nullptr },  // Inst #2228 = VTBX4Pseudo
+  { 2229,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2229 = VTOSHD
+  { 2230,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2230 = VTOSHS
+  { 2231,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList10, nullptr, OperandInfo146,0,nullptr },  // Inst #2231 = VTOSIRD
+  { 2232,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList10, nullptr, OperandInfo134,0,nullptr },  // Inst #2232 = VTOSIRS
+  { 2233,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #2233 = VTOSIZD
+  { 2234,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2234 = VTOSIZS
+  { 2235,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2235 = VTOSLD
+  { 2236,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2236 = VTOSLS
+  { 2237,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2237 = VTOUHD
+  { 2238,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2238 = VTOUHS
+  { 2239,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList10, nullptr, OperandInfo146,0,nullptr },  // Inst #2239 = VTOUIRD
+  { 2240,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x8880ULL, ImplicitList10, nullptr, OperandInfo134,0,nullptr },  // Inst #2240 = VTOUIRS
+  { 2241,	4,	1,	485,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo146,0,nullptr },  // Inst #2241 = VTOUIZD
+  { 2242,	4,	1,	486,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2242 = VTOUIZS
+  { 2243,	5,	1,	483,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2243 = VTOULD
+  { 2244,	5,	1,	484,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2244 = VTOULS
+  { 2245,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2245 = VTRNd16
+  { 2246,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2246 = VTRNd32
+  { 2247,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2247 = VTRNd8
+  { 2248,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2248 = VTRNq16
+  { 2249,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2249 = VTRNq32
+  { 2250,	6,	2,	435,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2250 = VTRNq8
+  { 2251,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2251 = VTSTv16i8
+  { 2252,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2252 = VTSTv2i32
+  { 2253,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2253 = VTSTv4i16
+  { 2254,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2254 = VTSTv4i32
+  { 2255,	5,	1,	386,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo132,0,nullptr },  // Inst #2255 = VTSTv8i16
+  { 2256,	5,	1,	387,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x11280ULL, nullptr, nullptr, OperandInfo131,0,nullptr },  // Inst #2256 = VTSTv8i8
+  { 2257,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2257 = VUHTOD
+  { 2258,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2258 = VUHTOS
+  { 2259,	4,	1,	481,	4,	0|(1<<MCID_Predicable), 0x8880ULL, nullptr, nullptr, OperandInfo147,0,nullptr },  // Inst #2259 = VUITOD
+  { 2260,	4,	1,	482,	4,	0|(1<<MCID_Predicable), 0x28880ULL, nullptr, nullptr, OperandInfo134,0,nullptr },  // Inst #2260 = VUITOS
+  { 2261,	5,	1,	189,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x8880ULL, nullptr, nullptr, OperandInfo228,0,nullptr },  // Inst #2261 = VULTOD
+  { 2262,	5,	1,	190,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x28880ULL, nullptr, nullptr, OperandInfo229,0,nullptr },  // Inst #2262 = VULTOS
+  { 2263,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2263 = VUZPd16
+  { 2264,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2264 = VUZPd8
+  { 2265,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2265 = VUZPq16
+  { 2266,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2266 = VUZPq32
+  { 2267,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2267 = VUZPq8
+  { 2268,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2268 = VZIPd16
+  { 2269,	6,	2,	434,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo262,0,nullptr },  // Inst #2269 = VZIPd8
+  { 2270,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2270 = VZIPq16
+  { 2271,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2271 = VZIPq32
+  { 2272,	6,	2,	436,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x11000ULL, nullptr, nullptr, OperandInfo263,0,nullptr },  // Inst #2272 = VZIPq8
+  { 2273,	0,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList11, ImplicitList12, nullptr,0,nullptr },  // Inst #2273 = WIN__CHKSTK
+  { 2274,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2274 = sysLDMDA
+  { 2275,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2275 = sysLDMDA_UPD
+  { 2276,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2276 = sysLDMDB
+  { 2277,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2277 = sysLDMDB_UPD
+  { 2278,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2278 = sysLDMIA
+  { 2279,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2279 = sysLDMIA_UPD
+  { 2280,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2280 = sysLDMIB
+  { 2281,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2281 = sysLDMIB_UPD
+  { 2282,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2282 = sysSTMDA
+  { 2283,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2283 = sysSTMDA_UPD
+  { 2284,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2284 = sysSTMDB
+  { 2285,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2285 = sysSTMDB_UPD
+  { 2286,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2286 = sysSTMIA
+  { 2287,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2287 = sysSTMIA_UPD
+  { 2288,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x504ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2288 = sysSTMIB
+  { 2289,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0x564ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2289 = sysSTMIB_UPD
+  { 2290,	2,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList1, OperandInfo268,0,nullptr },  // Inst #2290 = t2ABS
+  { 2291,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo269,0,nullptr },  // Inst #2291 = t2ADCri
+  { 2292,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo270,0,nullptr },  // Inst #2292 = t2ADCrr
+  { 2293,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo271,0,nullptr },  // Inst #2293 = t2ADCrs
+  { 2294,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo272,0,nullptr },  // Inst #2294 = t2ADDSri
+  { 2295,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo273,0,nullptr },  // Inst #2295 = t2ADDSrr
+  { 2296,	6,	1,	238,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo274,0,nullptr },  // Inst #2296 = t2ADDSrs
+  { 2297,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo275,0,nullptr },  // Inst #2297 = t2ADDri
+  { 2298,	5,	1,	1,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo276,0,nullptr },  // Inst #2298 = t2ADDri12
+  { 2299,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo277,0,nullptr },  // Inst #2299 = t2ADDrr
+  { 2300,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo278,0,nullptr },  // Inst #2300 = t2ADDrs
+  { 2301,	4,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2301 = t2ADR
+  { 2302,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2302 = t2ANDri
+  { 2303,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2303 = t2ANDrr
+  { 2304,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2304 = t2ANDrs
+  { 2305,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2305 = t2ASRri
+  { 2306,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2306 = t2ASRrr
+  { 2307,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, nullptr, OperandInfo35,0,nullptr },  // Inst #2307 = t2B
+  { 2308,	5,	1,	297,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2308 = t2BFC
+  { 2309,	6,	1,	298,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo281,0,nullptr },  // Inst #2309 = t2BFI
+  { 2310,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2310 = t2BICri
+  { 2311,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2311 = t2BICrr
+  { 2312,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2312 = t2BICrs
+  { 2313,	4,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable), 0x0ULL, nullptr, nullptr, OperandInfo37,0,nullptr },  // Inst #2313 = t2BR_JT
+  { 2314,	3,	0,	15,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo282,0,nullptr },  // Inst #2314 = t2BXJ
+  { 2315,	3,	0,	10,	4,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo35,0,nullptr },  // Inst #2315 = t2Bcc
+  { 2316,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo41,0,nullptr },  // Inst #2316 = t2CDP
+  { 2317,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo41,0,nullptr },  // Inst #2317 = t2CDP2
+  { 2318,	2,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2318 = t2CLREX
+  { 2319,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2319 = t2CLZ
+  { 2320,	4,	0,	17,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo92,0,nullptr },  // Inst #2320 = t2CMNri
+  { 2321,	4,	0,	18,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2321 = t2CMNzrr
+  { 2322,	5,	0,	240,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2322 = t2CMNzrs
+  { 2323,	4,	0,	241,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo92,0,nullptr },  // Inst #2323 = t2CMPri
+  { 2324,	4,	0,	242,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2324 = t2CMPrr
+  { 2325,	5,	0,	243,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2325 = t2CMPrs
+  { 2326,	1,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2326 = t2CPS1p
+  { 2327,	2,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #2327 = t2CPS2p
+  { 2328,	3,	0,	0,	4,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo3,0,nullptr },  // Inst #2328 = t2CPS3p
+  { 2329,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2329 = t2CRC32B
+  { 2330,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2330 = t2CRC32CB
+  { 2331,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2331 = t2CRC32CH
+  { 2332,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2332 = t2CRC32CW
+  { 2333,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2333 = t2CRC32H
+  { 2334,	3,	1,	0,	4,	0, 0xc80ULL, nullptr, nullptr, OperandInfo286,0,nullptr },  // Inst #2334 = t2CRC32W
+  { 2335,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2335 = t2DBG
+  { 2336,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2336 = t2DCPS1
+  { 2337,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2337 = t2DCPS2
+  { 2338,	2,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2338 = t2DCPS3
+  { 2339,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2339 = t2DMB
+  { 2340,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2340 = t2DSB
+  { 2341,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2341 = t2EORri
+  { 2342,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2342 = t2EORrr
+  { 2343,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2343 = t2EORrs
+  { 2344,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2344 = t2HINT
+  { 2345,	1,	0,	10,	4,	0|(1<<MCID_Call)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2345 = t2HVC
+  { 2346,	3,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2346 = t2ISB
+  { 2347,	2,	0,	378,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList13, OperandInfo7,0,0 },  // Inst #2347 = t2IT
+  { 2348,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList14, OperandInfo287,0,nullptr },  // Inst #2348 = t2Int_eh_sjlj_setjmp
+  { 2349,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList8, OperandInfo287,0,nullptr },  // Inst #2349 = t2Int_eh_sjlj_setjmp_nofp
+  { 2350,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2350 = t2LDA
+  { 2351,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2351 = t2LDAB
+  { 2352,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2352 = t2LDAEX
+  { 2353,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2353 = t2LDAEXB
+  { 2354,	5,	2,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo289,0,nullptr },  // Inst #2354 = t2LDAEXD
+  { 2355,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2355 = t2LDAEXH
+  { 2356,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2356 = t2LDAH
+  { 2357,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2357 = t2LDC2L_OFFSET
+  { 2358,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2358 = t2LDC2L_OPTION
+  { 2359,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2359 = t2LDC2L_POST
+  { 2360,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2360 = t2LDC2L_PRE
+  { 2361,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2361 = t2LDC2_OFFSET
+  { 2362,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2362 = t2LDC2_OPTION
+  { 2363,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2363 = t2LDC2_POST
+  { 2364,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2364 = t2LDC2_PRE
+  { 2365,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2365 = t2LDCL_OFFSET
+  { 2366,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2366 = t2LDCL_OPTION
+  { 2367,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2367 = t2LDCL_POST
+  { 2368,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2368 = t2LDCL_PRE
+  { 2369,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2369 = t2LDC_OFFSET
+  { 2370,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2370 = t2LDC_OPTION
+  { 2371,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2371 = t2LDC_POST
+  { 2372,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2372 = t2LDC_PRE
+  { 2373,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2373 = t2LDMDB
+  { 2374,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2374 = t2LDMDB_UPD
+  { 2375,	4,	0,	353,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2375 = t2LDMIA
+  { 2376,	5,	1,	355,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2376 = t2LDMIA_RET
+  { 2377,	5,	1,	354,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2377 = t2LDMIA_UPD
+  { 2378,	5,	1,	346,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2378 = t2LDRBT
+  { 2379,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2379 = t2LDRB_POST
+  { 2380,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2380 = t2LDRB_PRE
+  { 2381,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2381 = t2LDRBi12
+  { 2382,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2382 = t2LDRBi8
+  { 2383,	4,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2383 = t2LDRBpci
+  { 2384,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2384 = t2LDRBpcrel
+  { 2385,	6,	1,	326,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2385 = t2LDRBs
+  { 2386,	7,	3,	352,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo292,0,nullptr },  // Inst #2386 = t2LDRD_POST
+  { 2387,	7,	3,	352,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo292,0,nullptr },  // Inst #2387 = t2LDRD_PRE
+  { 2388,	6,	2,	351,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_ExtraDefRegAllocReq), 0xc8fULL, nullptr, nullptr, OperandInfo293,0,nullptr },  // Inst #2388 = t2LDRDi8
+  { 2389,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo294,0,nullptr },  // Inst #2389 = t2LDREX
+  { 2390,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2390 = t2LDREXB
+  { 2391,	5,	2,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo289,0,nullptr },  // Inst #2391 = t2LDREXD
+  { 2392,	4,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2392 = t2LDREXH
+  { 2393,	5,	1,	346,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2393 = t2LDRHT
+  { 2394,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2394 = t2LDRH_POST
+  { 2395,	6,	2,	342,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2395 = t2LDRH_PRE
+  { 2396,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2396 = t2LDRHi12
+  { 2397,	5,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2397 = t2LDRHi8
+  { 2398,	4,	1,	329,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2398 = t2LDRHpci
+  { 2399,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2399 = t2LDRHpcrel
+  { 2400,	6,	1,	326,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2400 = t2LDRHs
+  { 2401,	5,	1,	348,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2401 = t2LDRSBT
+  { 2402,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2402 = t2LDRSB_POST
+  { 2403,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2403 = t2LDRSB_PRE
+  { 2404,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2404 = t2LDRSBi12
+  { 2405,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2405 = t2LDRSBi8
+  { 2406,	4,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2406 = t2LDRSBpci
+  { 2407,	4,	0,	338,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2407 = t2LDRSBpcrel
+  { 2408,	6,	1,	339,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2408 = t2LDRSBs
+  { 2409,	5,	1,	348,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2409 = t2LDRSHT
+  { 2410,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2410 = t2LDRSH_POST
+  { 2411,	6,	2,	349,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2411 = t2LDRSH_PRE
+  { 2412,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2412 = t2LDRSHi12
+  { 2413,	5,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo59,0,nullptr },  // Inst #2413 = t2LDRSHi8
+  { 2414,	4,	1,	337,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2414 = t2LDRSHpci
+  { 2415,	4,	0,	338,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo92,0,nullptr },  // Inst #2415 = t2LDRSHpcrel
+  { 2416,	6,	1,	339,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo291,0,nullptr },  // Inst #2416 = t2LDRSHs
+  { 2417,	5,	1,	347,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2417 = t2LDRT
+  { 2418,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2418 = t2LDR_POST
+  { 2419,	6,	2,	345,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo58,0,nullptr },  // Inst #2419 = t2LDR_PRE
+  { 2420,	5,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8bULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #2420 = t2LDRi12
+  { 2421,	5,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8cULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #2421 = t2LDRi8
+  { 2422,	4,	1,	330,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8eULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #2422 = t2LDRpci
+  { 2423,	3,	1,	331,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo295,0,nullptr },  // Inst #2423 = t2LDRpci_pic
+  { 2424,	4,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo24,0,nullptr },  // Inst #2424 = t2LDRpcrel
+  { 2425,	6,	1,	332,	4,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8dULL, nullptr, nullptr, OperandInfo296,0,nullptr },  // Inst #2425 = t2LDRs
+  { 2426,	4,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo297,0,nullptr },  // Inst #2426 = t2LEApcrel
+  { 2427,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo298,0,nullptr },  // Inst #2427 = t2LEApcrelJT
+  { 2428,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2428 = t2LSLri
+  { 2429,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2429 = t2LSLrr
+  { 2430,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2430 = t2LSRri
+  { 2431,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2431 = t2LSRrr
+  { 2432,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo70,0,0 },  // Inst #2432 = t2MCR
+  { 2433,	8,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo70,0,nullptr },  // Inst #2433 = t2MCR2
+  { 2434,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2434 = t2MCRR
+  { 2435,	7,	0,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2435 = t2MCRR2
+  { 2436,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2436 = t2MLA
+  { 2437,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2437 = t2MLS
+  { 2438,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo301,0,nullptr },  // Inst #2438 = t2MOVCCasr
+  { 2439,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2439 = t2MOVCCi
+  { 2440,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2440 = t2MOVCCi16
+  { 2441,	5,	1,	292,	8,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo302,0,nullptr },  // Inst #2441 = t2MOVCCi32imm
+  { 2442,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo301,0,nullptr },  // Inst #2442 = t2MOVCClsl
+  { 2443,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo301,0,nullptr },  // Inst #2443 = t2MOVCClsr
+  { 2444,	5,	1,	43,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Select)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0x0ULL, nullptr, nullptr, OperandInfo303,0,nullptr },  // Inst #2444 = t2MOVCCr
+  { 2445,	6,	1,	247,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo301,0,nullptr },  // Inst #2445 = t2MOVCCror
+  { 2446,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo304,0,nullptr },  // Inst #2446 = t2MOVSsi
+  { 2447,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo305,0,nullptr },  // Inst #2447 = t2MOVSsr
+  { 2448,	5,	1,	41,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2448 = t2MOVTi16
+  { 2449,	4,	1,	41,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo306,0,nullptr },  // Inst #2449 = t2MOVTi16_ga_pcrel
+  { 2450,	2,	1,	294,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo307,0,nullptr },  // Inst #2450 = t2MOV_ga_pcrel
+  { 2451,	5,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo308,0,nullptr },  // Inst #2451 = t2MOVi
+  { 2452,	4,	1,	41,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2452 = t2MOVi16
+  { 2453,	3,	1,	295,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo295,0,nullptr },  // Inst #2453 = t2MOVi16_ga_pcrel
+  { 2454,	2,	1,	293,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo307,0,nullptr },  // Inst #2454 = t2MOVi32imm
+  { 2455,	5,	1,	48,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo309,0,nullptr },  // Inst #2455 = t2MOVr
+  { 2456,	5,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo304,0,nullptr },  // Inst #2456 = t2MOVsi
+  { 2457,	6,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo305,0,nullptr },  // Inst #2457 = t2MOVsr
+  { 2458,	4,	1,	50,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2458 = t2MOVsra_flag
+  { 2459,	4,	1,	50,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo283,0,nullptr },  // Inst #2459 = t2MOVsrl_flag
+  { 2460,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo89,0,nullptr },  // Inst #2460 = t2MRC
+  { 2461,	8,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo89,0,nullptr },  // Inst #2461 = t2MRC2
+  { 2462,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2462 = t2MRRC
+  { 2463,	7,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo299,0,nullptr },  // Inst #2463 = t2MRRC2
+  { 2464,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2464 = t2MRS_AR
+  { 2465,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2465 = t2MRS_M
+  { 2466,	4,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo279,0,nullptr },  // Inst #2466 = t2MRSbanked
+  { 2467,	3,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2467 = t2MRSsys_AR
+  { 2468,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2468 = t2MSR_AR
+  { 2469,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2469 = t2MSR_M
+  { 2470,	4,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo310,0,nullptr },  // Inst #2470 = t2MSRbanked
+  { 2471,	5,	1,	310,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2471 = t2MUL
+  { 2472,	5,	1,	40,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MoveImm)|(1<<MCID_Predicable), 0x0ULL, nullptr, nullptr, OperandInfo280,0,nullptr },  // Inst #2472 = t2MVNCCi
+  { 2473,	5,	1,	52,	4,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef)|(1<<MCID_CheapAsAMove), 0xc80ULL, nullptr, nullptr, OperandInfo308,0,nullptr },  // Inst #2473 = t2MVNi
+  { 2474,	5,	1,	53,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo312,0,nullptr },  // Inst #2474 = t2MVNr
+  { 2475,	6,	1,	249,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo313,0,nullptr },  // Inst #2475 = t2MVNs
+  { 2476,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2476 = t2ORNri
+  { 2477,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2477 = t2ORNrr
+  { 2478,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2478 = t2ORNrs
+  { 2479,	6,	1,	6,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2479 = t2ORRri
+  { 2480,	6,	1,	7,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2480 = t2ORRrr
+  { 2481,	7,	1,	59,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2481 = t2ORRrs
+  { 2482,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2482 = t2PKHBT
+  { 2483,	6,	1,	59,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2483 = t2PKHTB
+  { 2484,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2484 = t2PLDWi12
+  { 2485,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2485 = t2PLDWi8
+  { 2486,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2486 = t2PLDWs
+  { 2487,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2487 = t2PLDi12
+  { 2488,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2488 = t2PLDi8
+  { 2489,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2489 = t2PLDpci
+  { 2490,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2490 = t2PLDs
+  { 2491,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2491 = t2PLIi12
+  { 2492,	4,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo315,0,nullptr },  // Inst #2492 = t2PLIi8
+  { 2493,	3,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2493 = t2PLIpci
+  { 2494,	5,	0,	60,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo316,0,nullptr },  // Inst #2494 = t2PLIs
+  { 2495,	5,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2495 = t2QADD
+  { 2496,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2496 = t2QADD16
+  { 2497,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2497 = t2QADD8
+  { 2498,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2498 = t2QASX
+  { 2499,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2499 = t2QDADD
+  { 2500,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2500 = t2QDSUB
+  { 2501,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2501 = t2QSAX
+  { 2502,	5,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2502 = t2QSUB
+  { 2503,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2503 = t2QSUB16
+  { 2504,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2504 = t2QSUB8
+  { 2505,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2505 = t2RBIT
+  { 2506,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2506 = t2REV
+  { 2507,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2507 = t2REV16
+  { 2508,	4,	1,	16,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo283,0,nullptr },  // Inst #2508 = t2REVSH
+  { 2509,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2509 = t2RFEDB
+  { 2510,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2510 = t2RFEDBW
+  { 2511,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2511 = t2RFEIA
+  { 2512,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2512 = t2RFEIAW
+  { 2513,	6,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2513 = t2RORri
+  { 2514,	6,	1,	49,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2514 = t2RORrr
+  { 2515,	5,	1,	50,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, ImplicitList1, nullptr, OperandInfo312,0,nullptr },  // Inst #2515 = t2RRX
+  { 2516,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo317,0,nullptr },  // Inst #2516 = t2RSBSri
+  { 2517,	6,	1,	58,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo318,0,nullptr },  // Inst #2517 = t2RSBSrs
+  { 2518,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo269,0,nullptr },  // Inst #2518 = t2RSBri
+  { 2519,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo270,0,nullptr },  // Inst #2519 = t2RSBrr
+  { 2520,	7,	1,	250,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo271,0,nullptr },  // Inst #2520 = t2RSBrs
+  { 2521,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2521 = t2SADD16
+  { 2522,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2522 = t2SADD8
+  { 2523,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2523 = t2SASX
+  { 2524,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo269,0,nullptr },  // Inst #2524 = t2SBCri
+  { 2525,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo270,0,nullptr },  // Inst #2525 = t2SBCrr
+  { 2526,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef)|(1<<MCID_HasPostISelHook), 0xc80ULL, ImplicitList1, ImplicitList1, OperandInfo271,0,nullptr },  // Inst #2526 = t2SBCrs
+  { 2527,	6,	1,	297,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo319,0,nullptr },  // Inst #2527 = t2SBFX
+  { 2528,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2528 = t2SDIV
+  { 2529,	5,	1,	296,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo18,0,nullptr },  // Inst #2529 = t2SEL
+  { 2530,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2530 = t2SHADD16
+  { 2531,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2531 = t2SHADD8
+  { 2532,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2532 = t2SHASX
+  { 2533,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2533 = t2SHSAX
+  { 2534,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2534 = t2SHSUB16
+  { 2535,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2535 = t2SHSUB8
+  { 2536,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2536 = t2SMC
+  { 2537,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2537 = t2SMLABB
+  { 2538,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2538 = t2SMLABT
+  { 2539,	6,	1,	320,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2539 = t2SMLAD
+  { 2540,	6,	1,	320,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2540 = t2SMLADX
+  { 2541,	8,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo320,0,nullptr },  // Inst #2541 = t2SMLAL
+  { 2542,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2542 = t2SMLALBB
+  { 2543,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2543 = t2SMLALBT
+  { 2544,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2544 = t2SMLALD
+  { 2545,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2545 = t2SMLALDX
+  { 2546,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2546 = t2SMLALTB
+  { 2547,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2547 = t2SMLALTT
+  { 2548,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2548 = t2SMLATB
+  { 2549,	6,	1,	317,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2549 = t2SMLATT
+  { 2550,	6,	1,	317,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2550 = t2SMLAWB
+  { 2551,	6,	1,	317,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2551 = t2SMLAWT
+  { 2552,	6,	1,	318,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2552 = t2SMLSD
+  { 2553,	6,	1,	318,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2553 = t2SMLSDX
+  { 2554,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2554 = t2SMLSLD
+  { 2555,	6,	2,	323,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2555 = t2SMLSLDX
+  { 2556,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2556 = t2SMMLA
+  { 2557,	6,	1,	313,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2557 = t2SMMLAR
+  { 2558,	6,	1,	313,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2558 = t2SMMLS
+  { 2559,	6,	1,	313,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2559 = t2SMMLSR
+  { 2560,	5,	1,	310,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2560 = t2SMMUL
+  { 2561,	5,	1,	310,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2561 = t2SMMULR
+  { 2562,	5,	1,	315,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2562 = t2SMUAD
+  { 2563,	5,	1,	315,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2563 = t2SMUADX
+  { 2564,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2564 = t2SMULBB
+  { 2565,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2565 = t2SMULBT
+  { 2566,	6,	2,	322,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2566 = t2SMULL
+  { 2567,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2567 = t2SMULTB
+  { 2568,	5,	1,	311,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2568 = t2SMULTT
+  { 2569,	5,	1,	311,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2569 = t2SMULWB
+  { 2570,	5,	1,	311,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2570 = t2SMULWT
+  { 2571,	5,	1,	312,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2571 = t2SMUSD
+  { 2572,	5,	1,	312,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2572 = t2SMUSDX
+  { 2573,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2573 = t2SRSDB
+  { 2574,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2574 = t2SRSDB_UPD
+  { 2575,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2575 = t2SRSIA
+  { 2576,	3,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2576 = t2SRSIA_UPD
+  { 2577,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo321,0,nullptr },  // Inst #2577 = t2SSAT
+  { 2578,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2578 = t2SSAT16
+  { 2579,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2579 = t2SSAX
+  { 2580,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2580 = t2SSUB16
+  { 2581,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2581 = t2SSUB8
+  { 2582,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2582 = t2STC2L_OFFSET
+  { 2583,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2583 = t2STC2L_OPTION
+  { 2584,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2584 = t2STC2L_POST
+  { 2585,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2585 = t2STC2L_PRE
+  { 2586,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2586 = t2STC2_OFFSET
+  { 2587,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2587 = t2STC2_OPTION
+  { 2588,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2588 = t2STC2_POST
+  { 2589,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2589 = t2STC2_PRE
+  { 2590,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2590 = t2STCL_OFFSET
+  { 2591,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2591 = t2STCL_OPTION
+  { 2592,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2592 = t2STCL_POST
+  { 2593,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2593 = t2STCL_PRE
+  { 2594,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2594 = t2STC_OFFSET
+  { 2595,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2595 = t2STC_OPTION
+  { 2596,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2596 = t2STC_POST
+  { 2597,	6,	0,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo56,0,nullptr },  // Inst #2597 = t2STC_PRE
+  { 2598,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2598 = t2STL
+  { 2599,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2599 = t2STLB
+  { 2600,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2600 = t2STLEX
+  { 2601,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2601 = t2STLEXB
+  { 2602,	6,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2602 = t2STLEXD
+  { 2603,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2603 = t2STLEXH
+  { 2604,	4,	0,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo288,0,nullptr },  // Inst #2604 = t2STLH
+  { 2605,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2605 = t2STMDB
+  { 2606,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2606 = t2STMDB_UPD
+  { 2607,	4,	0,	374,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo52,0,nullptr },  // Inst #2607 = t2STMIA
+  { 2608,	5,	1,	375,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2608 = t2STMIA_UPD
+  { 2609,	5,	1,	370,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2609 = t2STRBT
+  { 2610,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2610 = t2STRB_POST
+  { 2611,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2611 = t2STRB_PRE
+  { 2612,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo326,0,nullptr },  // Inst #2612 = t2STRB_preidx
+  { 2613,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2613 = t2STRBi12
+  { 2614,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2614 = t2STRBi8
+  { 2615,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo327,0,nullptr },  // Inst #2615 = t2STRBs
+  { 2616,	7,	1,	373,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo328,0,nullptr },  // Inst #2616 = t2STRD_POST
+  { 2617,	7,	1,	373,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8fULL, nullptr, nullptr, OperandInfo328,0,nullptr },  // Inst #2617 = t2STRD_PRE
+  { 2618,	6,	0,	372,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_ExtraSrcRegAllocReq), 0xc8fULL, nullptr, nullptr, OperandInfo293,0,nullptr },  // Inst #2618 = t2STRDi8
+  { 2619,	6,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo329,0,nullptr },  // Inst #2619 = t2STREX
+  { 2620,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2620 = t2STREXB
+  { 2621,	6,	1,	0,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo324,0,nullptr },  // Inst #2621 = t2STREXD
+  { 2622,	5,	1,	0,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo323,0,nullptr },  // Inst #2622 = t2STREXH
+  { 2623,	5,	1,	370,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2623 = t2STRHT
+  { 2624,	6,	1,	367,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2624 = t2STRH_POST
+  { 2625,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo325,0,nullptr },  // Inst #2625 = t2STRH_PRE
+  { 2626,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo326,0,nullptr },  // Inst #2626 = t2STRH_preidx
+  { 2627,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2627 = t2STRHi12
+  { 2628,	5,	0,	363,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2628 = t2STRHi8
+  { 2629,	6,	0,	360,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo327,0,nullptr },  // Inst #2629 = t2STRHs
+  { 2630,	5,	1,	371,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc8cULL, nullptr, nullptr, OperandInfo290,0,nullptr },  // Inst #2630 = t2STRT
+  { 2631,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcccULL, nullptr, nullptr, OperandInfo330,0,nullptr },  // Inst #2631 = t2STR_POST
+  { 2632,	6,	1,	369,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xcacULL, nullptr, nullptr, OperandInfo330,0,nullptr },  // Inst #2632 = t2STR_PRE
+  { 2633,	6,	1,	368,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo326,0,nullptr },  // Inst #2633 = t2STR_preidx
+  { 2634,	5,	0,	364,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8bULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #2634 = t2STRi12
+  { 2635,	5,	0,	364,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8cULL, nullptr, nullptr, OperandInfo44,0,nullptr },  // Inst #2635 = t2STRi8
+  { 2636,	6,	0,	362,	4,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8dULL, nullptr, nullptr, OperandInfo296,0,nullptr },  // Inst #2636 = t2STRs
+  { 2637,	3,	0,	0,	4,	0|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, ImplicitList4, OperandInfo48,0,nullptr },  // Inst #2637 = t2SUBS_PC_LR
+  { 2638,	5,	1,	1,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo272,0,nullptr },  // Inst #2638 = t2SUBSri
+  { 2639,	5,	1,	2,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo273,0,nullptr },  // Inst #2639 = t2SUBSrr
+  { 2640,	6,	1,	238,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_HasPostISelHook), 0x0ULL, nullptr, ImplicitList1, OperandInfo274,0,nullptr },  // Inst #2640 = t2SUBSrs
+  { 2641,	6,	1,	1,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Rematerializable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo275,0,nullptr },  // Inst #2641 = t2SUBri
+  { 2642,	5,	1,	1,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo276,0,nullptr },  // Inst #2642 = t2SUBri12
+  { 2643,	6,	1,	2,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo277,0,nullptr },  // Inst #2643 = t2SUBrr
+  { 2644,	7,	1,	58,	4,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0xc80ULL, nullptr, nullptr, OperandInfo278,0,nullptr },  // Inst #2644 = t2SUBrs
+  { 2645,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2645 = t2SXTAB
+  { 2646,	6,	1,	306,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2646 = t2SXTAB16
+  { 2647,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2647 = t2SXTAH
+  { 2648,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2648 = t2SXTB
+  { 2649,	5,	1,	291,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2649 = t2SXTB16
+  { 2650,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2650 = t2SXTH
+  { 2651,	4,	0,	14,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2651 = t2TBB
+  { 2652,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2652 = t2TBB_JT
+  { 2653,	4,	0,	14,	4,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo331,0,nullptr },  // Inst #2653 = t2TBH
+  { 2654,	3,	0,	10,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_NotDuplicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo39,0,nullptr },  // Inst #2654 = t2TBH_JT
+  { 2655,	4,	0,	255,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo92,0,nullptr },  // Inst #2655 = t2TEQri
+  { 2656,	4,	0,	256,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2656 = t2TEQrr
+  { 2657,	5,	0,	257,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2657 = t2TEQrs
+  { 2658,	4,	0,	255,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo92,0,nullptr },  // Inst #2658 = t2TSTri
+  { 2659,	4,	0,	256,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo284,0,nullptr },  // Inst #2659 = t2TSTrr
+  { 2660,	5,	0,	257,	4,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo285,0,nullptr },  // Inst #2660 = t2TSTrs
+  { 2661,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2661 = t2UADD16
+  { 2662,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2662 = t2UADD8
+  { 2663,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2663 = t2UASX
+  { 2664,	6,	1,	297,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo319,0,nullptr },  // Inst #2664 = t2UBFX
+  { 2665,	1,	0,	76,	4,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2665 = t2UDF
+  { 2666,	5,	1,	324,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2666 = t2UDIV
+  { 2667,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2667 = t2UHADD16
+  { 2668,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2668 = t2UHADD8
+  { 2669,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2669 = t2UHASX
+  { 2670,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2670 = t2UHSAX
+  { 2671,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2671 = t2UHSUB16
+  { 2672,	5,	1,	305,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2672 = t2UHSUB8
+  { 2673,	6,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2673 = t2UMAAL
+  { 2674,	8,	2,	323,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo320,0,nullptr },  // Inst #2674 = t2UMLAL
+  { 2675,	6,	2,	322,	4,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2675 = t2UMULL
+  { 2676,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2676 = t2UQADD16
+  { 2677,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2677 = t2UQADD8
+  { 2678,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2678 = t2UQASX
+  { 2679,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2679 = t2UQSAX
+  { 2680,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2680 = t2UQSUB16
+  { 2681,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2681 = t2UQSUB8
+  { 2682,	5,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2682 = t2USAD8
+  { 2683,	6,	1,	0,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo300,0,nullptr },  // Inst #2683 = t2USADA8
+  { 2684,	6,	1,	300,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo321,0,nullptr },  // Inst #2684 = t2USAT
+  { 2685,	5,	1,	300,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo322,0,nullptr },  // Inst #2685 = t2USAT16
+  { 2686,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2686 = t2USAX
+  { 2687,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2687 = t2USUB16
+  { 2688,	5,	1,	302,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo311,0,nullptr },  // Inst #2688 = t2USUB8
+  { 2689,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2689 = t2UXTAB
+  { 2690,	6,	1,	306,	4,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2690 = t2UXTAB16
+  { 2691,	6,	1,	306,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo314,0,nullptr },  // Inst #2691 = t2UXTAH
+  { 2692,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2692 = t2UXTB
+  { 2693,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2693 = t2UXTB16
+  { 2694,	5,	1,	291,	4,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo317,0,nullptr },  // Inst #2694 = t2UXTH
+  { 2695,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, ImplicitList1, nullptr, OperandInfo332,0,nullptr },  // Inst #2695 = tADC
+  { 2696,	3,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList1, OperandInfo333,0,nullptr },  // Inst #2696 = tADDframe
+  { 2697,	5,	1,	258,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo78,0,nullptr },  // Inst #2697 = tADDhirr
+  { 2698,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2698 = tADDi3
+  { 2699,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo335,0,nullptr },  // Inst #2699 = tADDi8
+  { 2700,	5,	1,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo336,0,nullptr },  // Inst #2700 = tADDrSP
+  { 2701,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo337,0,nullptr },  // Inst #2701 = tADDrSPi
+  { 2702,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo338,0,nullptr },  // Inst #2702 = tADDrr
+  { 2703,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo339,0,nullptr },  // Inst #2703 = tADDspi
+  { 2704,	5,	1,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo340,0,nullptr },  // Inst #2704 = tADDspr
+  { 2705,	1,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo2,0,nullptr },  // Inst #2705 = tADJCALLSTACKDOWN
+  { 2706,	2,	0,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, ImplicitList2, OperandInfo8,0,nullptr },  // Inst #2706 = tADJCALLSTACKUP
+  { 2707,	4,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo341,0,nullptr },  // Inst #2707 = tADR
+  { 2708,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2708 = tAND
+  { 2709,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2709 = tASRri
+  { 2710,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2710 = tASRrr
+  { 2711,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0xc80ULL, nullptr, nullptr, OperandInfo35,0,nullptr },  // Inst #2711 = tB
+  { 2712,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2712 = tBIC
+  { 2713,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2713 = tBKPT
+  { 2714,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo342,0,nullptr },  // Inst #2714 = tBL
+  { 2715,	3,	0,	12,	4,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo342,0,nullptr },  // Inst #2715 = tBLXi
+  { 2716,	3,	0,	12,	2,	0|(1<<MCID_Call)|(1<<MCID_Predicable), 0xc80ULL, ImplicitList2, ImplicitList3, OperandInfo343,0,nullptr },  // Inst #2716 = tBLXr
+  { 2717,	3,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2717 = tBRIND
+  { 2718,	3,	0,	14,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo333,0,nullptr },  // Inst #2718 = tBR_JTr
+  { 2719,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_IndirectBranch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo34,0,nullptr },  // Inst #2719 = tBX
+  { 2720,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList3, OperandInfo36,0,nullptr },  // Inst #2720 = tBX_CALL
+  { 2721,	2,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator), 0x0ULL, nullptr, nullptr, OperandInfo40,0,nullptr },  // Inst #2721 = tBX_RET
+  { 2722,	3,	0,	10,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo344,0,nullptr },  // Inst #2722 = tBX_RET_vararg
+  { 2723,	3,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo35,0,nullptr },  // Inst #2723 = tBcc
+  { 2724,	3,	0,	14,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Branch)|(1<<MCID_Barrier)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList3, OperandInfo35,0,nullptr },  // Inst #2724 = tBfar
+  { 2725,	2,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2725 = tCBNZ
+  { 2726,	2,	0,	10,	2,	0|(1<<MCID_Branch)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo345,0,nullptr },  // Inst #2726 = tCBZ
+  { 2727,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo346,0,nullptr },  // Inst #2727 = tCMNz
+  { 2728,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList1, OperandInfo43,0,nullptr },  // Inst #2728 = tCMPhir
+  { 2729,	4,	0,	241,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo347,0,nullptr },  // Inst #2729 = tCMPi8
+  { 2730,	4,	0,	242,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo346,0,nullptr },  // Inst #2730 = tCMPr
+  { 2731,	2,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo7,0,nullptr },  // Inst #2731 = tCPS
+  { 2732,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2732 = tEOR
+  { 2733,	3,	0,	0,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo48,0,nullptr },  // Inst #2733 = tHINT
+  { 2734,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2734 = tHLT
+  { 2735,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, ImplicitList6, OperandInfo12,0,nullptr },  // Inst #2735 = tInt_eh_sjlj_longjmp
+  { 2736,	2,	0,	0,	0,	0|(1<<MCID_Barrier)|(1<<MCID_UsesCustomInserter)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, ImplicitList15, OperandInfo287,0,nullptr },  // Inst #2736 = tInt_eh_sjlj_setjmp
+  { 2737,	4,	0,	353,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo348,0,nullptr },  // Inst #2737 = tLDMIA
+  { 2738,	5,	1,	354,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Variadic), 0x0ULL, nullptr, nullptr, OperandInfo51,0,nullptr },  // Inst #2738 = tLDMIA_UPD
+  { 2739,	5,	1,	329,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc87ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2739 = tLDRBi
+  { 2740,	5,	1,	333,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc87ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2740 = tLDRBr
+  { 2741,	5,	1,	329,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc88ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2741 = tLDRHi
+  { 2742,	5,	1,	333,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc88ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2742 = tLDRHr
+  { 2743,	2,	1,	33,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo351,0,nullptr },  // Inst #2743 = tLDRLIT_ga_abs
+  { 2744,	2,	1,	34,	0,	0|(1<<MCID_Pseudo), 0x0ULL, nullptr, nullptr, OperandInfo351,0,nullptr },  // Inst #2744 = tLDRLIT_ga_pcrel
+  { 2745,	5,	1,	340,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2745 = tLDRSB
+  { 2746,	5,	1,	340,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2746 = tLDRSH
+  { 2747,	5,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc89ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2747 = tLDRi
+  { 2748,	4,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc8aULL, nullptr, nullptr, OperandInfo341,0,nullptr },  // Inst #2748 = tLDRpci
+  { 2749,	3,	1,	327,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_MayLoad)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo84,0,nullptr },  // Inst #2749 = tLDRpci_pic
+  { 2750,	5,	1,	334,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0xc89ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2750 = tLDRr
+  { 2751,	5,	1,	330,	2,	0|(1<<MCID_FoldableAsLoad)|(1<<MCID_MayLoad)|(1<<MCID_Predicable), 0xc8aULL, nullptr, nullptr, OperandInfo352,0,nullptr },  // Inst #2751 = tLDRspi
+  { 2752,	4,	1,	259,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_Rematerializable), 0x0ULL, nullptr, nullptr, OperandInfo353,0,nullptr },  // Inst #2752 = tLEApcrel
+  { 2753,	5,	1,	259,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, nullptr, nullptr, OperandInfo354,0,nullptr },  // Inst #2753 = tLEApcrelJT
+  { 2754,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2754 = tLSLri
+  { 2755,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2755 = tLSLrr
+  { 2756,	6,	2,	50,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2756 = tLSRri
+  { 2757,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2757 = tLSRrr
+  { 2758,	5,	1,	0,	0,	0|(1<<MCID_Pseudo)|(1<<MCID_Predicable)|(1<<MCID_UsesCustomInserter), 0x0ULL, nullptr, nullptr, OperandInfo355,0,nullptr },  // Inst #2758 = tMOVCCr_pseudo
+  { 2759,	2,	1,	48,	2,	0, 0xc80ULL, nullptr, ImplicitList1, OperandInfo287,0,nullptr },  // Inst #2759 = tMOVSr
+  { 2760,	5,	2,	41,	2,	0|(1<<MCID_MoveImm)|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo356,0,nullptr },  // Inst #2760 = tMOVi8
+  { 2761,	4,	1,	48,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo43,0,nullptr },  // Inst #2761 = tMOVr
+  { 2762,	6,	2,	51,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo357,0,nullptr },  // Inst #2762 = tMUL
+  { 2763,	5,	2,	53,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo358,0,nullptr },  // Inst #2763 = tMVN
+  { 2764,	6,	2,	260,	2,	0|(1<<MCID_Predicable)|(1<<MCID_Commutable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2764 = tORR
+  { 2765,	3,	1,	258,	2,	0|(1<<MCID_NotDuplicable), 0xc80ULL, nullptr, nullptr, OperandInfo359,0,nullptr },  // Inst #2765 = tPICADD
+  { 2766,	3,	0,	356,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0xc80ULL, ImplicitList2, ImplicitList2, OperandInfo360,0,nullptr },  // Inst #2766 = tPOP
+  { 2767,	3,	0,	357,	2,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_MayLoad)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraDefRegAllocReq), 0x0ULL, nullptr, nullptr, OperandInfo360,0,nullptr },  // Inst #2767 = tPOP_RET
+  { 2768,	3,	0,	376,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_UnmodeledSideEffects)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, ImplicitList2, ImplicitList2, OperandInfo360,0,nullptr },  // Inst #2768 = tPUSH
+  { 2769,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2769 = tREV
+  { 2770,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2770 = tREV16
+  { 2771,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2771 = tREVSH
+  { 2772,	6,	2,	49,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo332,0,nullptr },  // Inst #2772 = tROR
+  { 2773,	5,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo358,0,nullptr },  // Inst #2773 = tRSB
+  { 2774,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, ImplicitList1, nullptr, OperandInfo332,0,nullptr },  // Inst #2774 = tSBC
+  { 2775,	1,	0,	0,	2,	0|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,ARM_HasV8Ops,nullptr },  // Inst #2775 = tSETEND
+  { 2776,	5,	1,	375,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable)|(1<<MCID_Variadic)|(1<<MCID_ExtraSrcRegAllocReq), 0xc80ULL, nullptr, nullptr, OperandInfo361,0,nullptr },  // Inst #2776 = tSTMIA_UPD
+  { 2777,	5,	0,	363,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2777 = tSTRBi
+  { 2778,	5,	0,	359,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc87ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2778 = tSTRBr
+  { 2779,	5,	0,	363,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2779 = tSTRHi
+  { 2780,	5,	0,	359,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc88ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2780 = tSTRHr
+  { 2781,	5,	0,	364,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc89ULL, nullptr, nullptr, OperandInfo349,0,nullptr },  // Inst #2781 = tSTRi
+  { 2782,	5,	0,	358,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc89ULL, nullptr, nullptr, OperandInfo350,0,nullptr },  // Inst #2782 = tSTRr
+  { 2783,	5,	0,	364,	2,	0|(1<<MCID_MayStore)|(1<<MCID_Predicable), 0xc8aULL, nullptr, nullptr, OperandInfo352,0,nullptr },  // Inst #2783 = tSTRspi
+  { 2784,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo334,0,nullptr },  // Inst #2784 = tSUBi3
+  { 2785,	6,	2,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo335,0,nullptr },  // Inst #2785 = tSUBi8
+  { 2786,	6,	2,	258,	2,	0|(1<<MCID_Predicable)|(1<<MCID_HasOptionalDef), 0x40c80ULL, nullptr, nullptr, OperandInfo338,0,nullptr },  // Inst #2786 = tSUBrr
+  { 2787,	5,	1,	259,	2,	0|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo339,0,nullptr },  // Inst #2787 = tSUBspi
+  { 2788,	3,	0,	10,	2,	0|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, ImplicitList2, nullptr, OperandInfo48,0,nullptr },  // Inst #2788 = tSVC
+  { 2789,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2789 = tSXTB
+  { 2790,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2790 = tSXTH
+  { 2791,	3,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo35,0,nullptr },  // Inst #2791 = tTAILJMPd
+  { 2792,	3,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Predicable)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo35,0,nullptr },  // Inst #2792 = tTAILJMPdND
+  { 2793,	1,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Return)|(1<<MCID_Barrier)|(1<<MCID_Call)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0x0ULL, ImplicitList2, nullptr, OperandInfo126,0,nullptr },  // Inst #2793 = tTAILJMPr
+  { 2794,	0,	0,	10,	4,	0|(1<<MCID_Pseudo)|(1<<MCID_Call), 0x0ULL, ImplicitList2, ImplicitList9, nullptr,0,nullptr },  // Inst #2794 = tTPsoft
+  { 2795,	0,	0,	10,	2,	0|(1<<MCID_Barrier)|(1<<MCID_Terminator)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, nullptr,0,nullptr },  // Inst #2795 = tTRAP
+  { 2796,	4,	0,	263,	2,	0|(1<<MCID_Compare)|(1<<MCID_Predicable)|(1<<MCID_Commutable), 0xc80ULL, nullptr, ImplicitList1, OperandInfo346,0,nullptr },  // Inst #2796 = tTST
+  { 2797,	1,	0,	76,	2,	0|(1<<MCID_MayLoad)|(1<<MCID_MayStore)|(1<<MCID_UnmodeledSideEffects), 0xc80ULL, nullptr, nullptr, OperandInfo5,0,nullptr },  // Inst #2797 = tUDF
+  { 2798,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2798 = tUXTB
+  { 2799,	4,	1,	16,	2,	0|(1<<MCID_Predicable), 0xc80ULL, nullptr, nullptr, OperandInfo346,0,nullptr },  // Inst #2799 = tUXTH
 };
 
-
 #endif // GET_INSTRINFO_MC_DESC
 
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMGenRegisterInfo.inc 4.0.2-3/arch/ARM/ARMGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -407,7 +407,7 @@ enum {
   ARM_QQQQPR_with_dsub_0_in_DPR_8RegClassID = 96,
   ARM_QQQQPR_with_dsub_2_in_DPR_8RegClassID = 97,
   ARM_QQQQPR_with_dsub_4_in_DPR_8RegClassID = 98,
-  ARM_QQQQPR_with_dsub_6_in_DPR_8RegClassID = 99
+  ARM_QQQQPR_with_dsub_6_in_DPR_8RegClassID = 99,
 };
 
 // Subregister indices
@@ -483,7 +483,7 @@ enum {
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_MC_DESC
@@ -883,300 +883,301 @@ static const uint16_t ARMSubRegIdxLists[
   /* 474 */ 11, 13, 1, 17, 18, 2, 19, 20, 14, 3, 21, 22, 4, 23, 24, 33, 34, 35, 36, 37, 12, 15, 5, 31, 32, 6, 29, 30, 16, 7, 27, 28, 8, 25, 26, 51, 52, 53, 54, 55, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 56, 0,
 };
 
-static const MCRegisterDesc ARMRegDesc[] = { // Descriptors
-  { 12, 0, 0, 0, 0 },
-  { 1235, 16, 16, 2, 66945 },
-  { 1268, 16, 16, 2, 66945 },
-  { 1240, 16, 16, 2, 66945 },
-  { 1199, 16, 16, 2, 66945 },
-  { 1250, 16, 16, 2, 66945 },
-  { 1226, 16, 16, 2, 17664 },
-  { 1257, 16, 16, 2, 17664 },
-  { 1205, 16, 16, 2, 66913 },
-  { 1211, 16, 16, 2, 66913 },
-  { 1232, 16, 16, 2, 66913 },
-  { 1196, 16, 16, 2, 66913 },
-  { 1223, 16, 1526, 2, 66913 },
-  { 1245, 16, 16, 2, 66913 },
-  { 119, 350, 4013, 19, 13250 },
-  { 248, 357, 2479, 19, 13250 },
-  { 363, 364, 3957, 19, 13250 },
-  { 479, 378, 3845, 19, 13250 },
-  { 605, 392, 3893, 19, 13250 },
-  { 723, 406, 3724, 19, 13250 },
-  { 837, 420, 3780, 19, 13250 },
-  { 943, 434, 3604, 19, 13250 },
-  { 1057, 448, 3664, 19, 13250 },
-  { 1163, 462, 3484, 19, 13250 },
-  { 9, 476, 3544, 19, 13250 },
-  { 141, 490, 3364, 19, 13250 },
-  { 282, 504, 3424, 19, 13250 },
-  { 408, 518, 3244, 19, 13250 },
-  { 523, 532, 3304, 19, 13250 },
-  { 649, 546, 3149, 19, 13250 },
-  { 768, 16, 3208, 2, 17761 },
-  { 882, 16, 3078, 2, 17761 },
-  { 988, 16, 3113, 2, 17761 },
-  { 1102, 16, 3008, 2, 17761 },
-  { 59, 16, 3043, 2, 17761 },
-  { 192, 16, 2938, 2, 17761 },
-  { 336, 16, 2973, 2, 17761 },
-  { 456, 16, 2868, 2, 17761 },
-  { 575, 16, 2903, 2, 17761 },
-  { 697, 16, 2797, 2, 17761 },
-  { 804, 16, 2837, 2, 17761 },
-  { 914, 16, 2363, 2, 17761 },
-  { 1024, 16, 2411, 2, 17761 },
-  { 1134, 16, 2384, 2, 17761 },
-  { 95, 16, 2429, 2, 17761 },
-  { 224, 16, 2789, 2, 17761 },
-  { 390, 16, 16, 2, 17761 },
-  { 125, 16, 16, 2, 17761 },
-  { 257, 16, 16, 2, 17761 },
-  { 381, 16, 16, 2, 17761 },
-  { 122, 353, 1112, 22, 2196 },
-  { 254, 374, 775, 22, 2196 },
-  { 378, 402, 314, 22, 2196 },
-  { 500, 430, 244, 22, 2196 },
-  { 629, 458, 234, 22, 2196 },
-  { 744, 486, 224, 22, 2196 },
-  { 861, 514, 214, 22, 2196 },
-  { 964, 542, 204, 22, 2196 },
-  { 1081, 804, 194, 0, 12818 },
-  { 1184, 807, 184, 0, 12818 },
-  { 35, 810, 174, 0, 12818 },
-  { 168, 813, 164, 0, 12818 },
-  { 312, 816, 154, 0, 12818 },
-  { 436, 819, 591, 0, 12818 },
-  { 555, 822, 2447, 0, 12818 },
-  { 677, 825, 1106, 0, 12818 },
-  { 128, 16, 1373, 2, 66913 },
-  { 260, 16, 1371, 2, 66913 },
-  { 384, 16, 1371, 2, 66913 },
-  { 506, 16, 1369, 2, 66913 },
-  { 632, 16, 1369, 2, 66913 },
-  { 750, 16, 1367, 2, 66913 },
-  { 864, 16, 1367, 2, 66913 },
-  { 970, 16, 1365, 2, 66913 },
-  { 1084, 16, 1365, 2, 66913 },
-  { 1190, 16, 1363, 2, 66913 },
-  { 39, 16, 1363, 2, 66913 },
-  { 176, 16, 1361, 2, 66913 },
-  { 316, 16, 1359, 2, 66913 },
-  { 131, 16, 4021, 2, 65585 },
-  { 269, 16, 4012, 2, 65585 },
-  { 387, 16, 2490, 2, 65585 },
-  { 509, 16, 2478, 2, 65585 },
-  { 635, 16, 3974, 2, 65585 },
-  { 753, 16, 3956, 2, 65585 },
-  { 867, 16, 3863, 2, 65585 },
-  { 973, 16, 3844, 2, 65585 },
-  { 1087, 16, 3914, 2, 65585 },
-  { 1193, 16, 3892, 2, 65585 },
-  { 43, 16, 3745, 2, 65585 },
-  { 180, 16, 3723, 2, 65585 },
-  { 320, 16, 3803, 2, 65585 },
-  { 440, 16, 3779, 2, 65585 },
-  { 559, 16, 3627, 2, 65585 },
-  { 681, 16, 3603, 2, 65585 },
-  { 788, 16, 3687, 2, 65585 },
-  { 898, 16, 3663, 2, 65585 },
-  { 1008, 16, 3507, 2, 65585 },
-  { 1118, 16, 3483, 2, 65585 },
-  { 79, 16, 3567, 2, 65585 },
-  { 212, 16, 3543, 2, 65585 },
-  { 356, 16, 3387, 2, 65585 },
-  { 472, 16, 3363, 2, 65585 },
-  { 595, 16, 3447, 2, 65585 },
-  { 713, 16, 3423, 2, 65585 },
-  { 824, 16, 3267, 2, 65585 },
-  { 930, 16, 3243, 2, 65585 },
-  { 1044, 16, 3327, 2, 65585 },
-  { 1150, 16, 3303, 2, 65585 },
-  { 115, 16, 3172, 2, 65585 },
-  { 244, 16, 3148, 2, 65585 },
-  { 360, 367, 4015, 29, 5426 },
-  { 476, 381, 2502, 29, 5426 },
-  { 602, 395, 3992, 29, 5426 },
-  { 720, 409, 3882, 29, 5426 },
-  { 834, 423, 3936, 29, 5426 },
-  { 940, 437, 3767, 29, 5426 },
-  { 1054, 451, 3827, 29, 5426 },
-  { 1160, 465, 3651, 29, 5426 },
-  { 6, 479, 3711, 29, 5426 },
-  { 151, 493, 3531, 29, 5426 },
-  { 278, 507, 3591, 29, 5426 },
-  { 404, 521, 3411, 29, 5426 },
-  { 519, 535, 3471, 29, 5426 },
-  { 645, 549, 3291, 29, 5426 },
-  { 764, 4007, 3351, 11, 17602 },
-  { 878, 3948, 3196, 11, 13522 },
-  { 984, 1080, 3231, 8, 17329 },
-  { 1098, 1080, 3101, 8, 17329 },
-  { 55, 1080, 3136, 8, 17329 },
-  { 204, 1080, 3031, 8, 17329 },
-  { 332, 1080, 3066, 8, 17329 },
-  { 452, 1080, 2961, 8, 17329 },
-  { 571, 1080, 2996, 8, 17329 },
-  { 693, 1080, 2891, 8, 17329 },
-  { 800, 1080, 2926, 8, 17329 },
-  { 910, 1080, 2820, 8, 17329 },
-  { 1020, 1080, 2858, 8, 17329 },
-  { 1130, 1080, 2401, 8, 17329 },
-  { 91, 1080, 2440, 8, 17329 },
-  { 236, 1080, 2791, 8, 17329 },
-  { 251, 1339, 1114, 168, 1044 },
-  { 375, 1319, 347, 168, 1044 },
-  { 497, 1299, 142, 168, 1044 },
-  { 626, 1279, 142, 168, 1044 },
-  { 741, 1259, 142, 168, 1044 },
-  { 858, 1239, 142, 168, 1044 },
-  { 961, 1219, 142, 168, 1044 },
-  { 1078, 1203, 142, 88, 1456 },
-  { 1181, 1191, 142, 76, 2114 },
-  { 32, 1179, 142, 76, 2114 },
-  { 164, 1167, 142, 76, 2114 },
-  { 308, 1155, 142, 76, 2114 },
-  { 432, 1143, 142, 76, 2114 },
-  { 551, 1131, 344, 76, 2114 },
-  { 673, 1119, 1108, 76, 2114 },
-  { 491, 2156, 16, 474, 4 },
-  { 620, 2101, 16, 474, 4 },
-  { 735, 2046, 16, 474, 4 },
-  { 852, 1991, 16, 474, 4 },
-  { 955, 1936, 16, 474, 4 },
-  { 1072, 1885, 16, 423, 272 },
-  { 1175, 1838, 16, 376, 512 },
-  { 26, 1795, 16, 333, 720 },
-  { 158, 1756, 16, 294, 1186 },
-  { 301, 1717, 16, 294, 1186 },
-  { 424, 1678, 16, 294, 1186 },
-  { 543, 1639, 16, 294, 1186 },
-  { 665, 1600, 16, 294, 1186 },
-  { 1219, 4114, 16, 16, 17856 },
-  { 263, 783, 16, 16, 8946 },
-  { 503, 786, 16, 16, 8946 },
-  { 747, 789, 16, 16, 8946 },
-  { 967, 792, 16, 16, 8946 },
-  { 1187, 795, 16, 16, 8946 },
-  { 172, 798, 16, 16, 8946 },
-  { 366, 1513, 1113, 63, 1570 },
-  { 482, 4169, 2511, 63, 1570 },
-  { 611, 1500, 778, 63, 1570 },
-  { 726, 4156, 770, 63, 1570 },
-  { 843, 1487, 317, 63, 1570 },
-  { 946, 4143, 660, 63, 1570 },
-  { 1063, 1474, 308, 63, 1570 },
-  { 1166, 4130, 654, 63, 1570 },
-  { 16, 1461, 302, 63, 1570 },
-  { 134, 4117, 648, 63, 1570 },
-  { 289, 1448, 296, 63, 1570 },
-  { 412, 4101, 642, 63, 1570 },
-  { 531, 1435, 290, 63, 1570 },
-  { 653, 4088, 636, 63, 1570 },
-  { 776, 1424, 284, 52, 1680 },
-  { 886, 4079, 630, 43, 1872 },
-  { 996, 1417, 278, 36, 2401 },
-  { 1106, 4072, 624, 36, 2401 },
-  { 67, 1410, 272, 36, 2401 },
-  { 184, 4065, 618, 36, 2401 },
-  { 344, 1403, 266, 36, 2401 },
-  { 460, 4058, 612, 36, 2401 },
-  { 583, 1396, 260, 36, 2401 },
-  { 701, 4051, 606, 36, 2401 },
-  { 812, 1389, 254, 36, 2401 },
-  { 918, 4044, 600, 36, 2401 },
-  { 1032, 1382, 765, 36, 2401 },
-  { 1138, 4037, 2455, 36, 2401 },
-  { 103, 1375, 2474, 36, 2401 },
-  { 216, 4030, 1107, 36, 2401 },
-  { 599, 1026, 4018, 212, 5314 },
-  { 717, 1014, 3953, 212, 5314 },
-  { 831, 1002, 4002, 212, 5314 },
-  { 937, 990, 3909, 212, 5314 },
-  { 1051, 978, 3909, 212, 5314 },
-  { 1157, 966, 3798, 212, 5314 },
-  { 3, 954, 3798, 212, 5314 },
-  { 148, 942, 3682, 212, 5314 },
-  { 275, 930, 3682, 212, 5314 },
-  { 401, 918, 3562, 212, 5314 },
-  { 515, 906, 3562, 212, 5314 },
-  { 641, 894, 3442, 212, 5314 },
-  { 760, 1070, 3442, 202, 17506 },
-  { 874, 1060, 3322, 202, 13426 },
-  { 980, 1052, 3322, 194, 14226 },
-  { 1094, 1044, 3226, 194, 13698 },
-  { 51, 1038, 3226, 188, 14049 },
-  { 200, 1038, 3131, 188, 14049 },
-  { 328, 1038, 3131, 188, 14049 },
-  { 448, 1038, 3061, 188, 14049 },
-  { 567, 1038, 3061, 188, 14049 },
-  { 689, 1038, 2991, 188, 14049 },
-  { 796, 1038, 2991, 188, 14049 },
-  { 906, 1038, 2921, 188, 14049 },
-  { 1016, 1038, 2921, 188, 14049 },
-  { 1126, 1038, 2832, 188, 14049 },
-  { 87, 1038, 2855, 188, 14049 },
-  { 232, 1038, 2794, 188, 14049 },
-  { 828, 2677, 4010, 276, 5170 },
-  { 934, 2659, 3951, 276, 5170 },
-  { 1048, 2641, 3951, 276, 5170 },
-  { 1154, 2623, 3842, 276, 5170 },
-  { 0, 2605, 3842, 276, 5170 },
-  { 145, 2587, 3743, 276, 5170 },
-  { 272, 2569, 3743, 276, 5170 },
-  { 398, 2551, 3625, 276, 5170 },
-  { 512, 2533, 3625, 276, 5170 },
-  { 638, 2515, 3505, 276, 5170 },
-  { 756, 2773, 3505, 260, 17378 },
-  { 870, 2757, 3385, 260, 13298 },
-  { 976, 2743, 3385, 246, 14114 },
-  { 1090, 2729, 3265, 246, 13586 },
-  { 47, 2717, 3265, 234, 13954 },
-  { 196, 2705, 3170, 234, 13778 },
-  { 324, 2695, 3170, 224, 13873 },
-  { 444, 2695, 3099, 224, 13873 },
-  { 563, 2695, 3099, 224, 13873 },
-  { 685, 2695, 3029, 224, 13873 },
-  { 792, 2695, 3029, 224, 13873 },
-  { 902, 2695, 2959, 224, 13873 },
-  { 1012, 2695, 2959, 224, 13873 },
-  { 1122, 2695, 2856, 224, 13873 },
-  { 83, 2695, 2856, 224, 13873 },
-  { 228, 2695, 2795, 224, 13873 },
-  { 369, 360, 2509, 22, 1956 },
-  { 614, 388, 583, 22, 1956 },
-  { 846, 416, 756, 22, 1956 },
-  { 1066, 444, 747, 22, 1956 },
-  { 19, 472, 738, 22, 1956 },
-  { 293, 500, 729, 22, 1956 },
-  { 535, 528, 720, 22, 1956 },
-  { 780, 3839, 711, 3, 2336 },
-  { 1000, 562, 702, 0, 8898 },
-  { 71, 565, 693, 0, 8898 },
-  { 348, 568, 684, 0, 8898 },
-  { 587, 571, 675, 0, 8898 },
-  { 816, 574, 666, 0, 8898 },
-  { 1036, 577, 2460, 0, 8898 },
-  { 107, 580, 2468, 0, 8898 },
-  { 608, 2343, 2488, 148, 900 },
-  { 840, 2323, 588, 148, 900 },
-  { 1060, 2303, 588, 148, 900 },
-  { 13, 2283, 588, 148, 900 },
-  { 286, 2263, 588, 148, 900 },
-  { 527, 2243, 588, 148, 900 },
-  { 772, 2225, 588, 130, 1328 },
-  { 992, 2211, 588, 116, 1776 },
-  { 63, 1588, 588, 104, 2034 },
-  { 340, 1576, 588, 104, 2034 },
-  { 579, 1564, 588, 104, 2034 },
-  { 808, 1552, 588, 104, 2034 },
-  { 1028, 1540, 588, 104, 2034 },
-  { 99, 1528, 2382, 104, 2034 },
+
+static MCRegisterDesc ARMRegDesc[] = { // Descriptors
+  { 12, 0, 0, 0, 0, 0 },
+  { 1235, 16, 16, 2, 66945, 0 },
+  { 1268, 16, 16, 2, 66945, 0 },
+  { 1240, 16, 16, 2, 66945, 0 },
+  { 1199, 16, 16, 2, 66945, 0 },
+  { 1250, 16, 16, 2, 66945, 0 },
+  { 1226, 16, 16, 2, 17664, 0 },
+  { 1257, 16, 16, 2, 17664, 0 },
+  { 1205, 16, 16, 2, 66913, 0 },
+  { 1211, 16, 16, 2, 66913, 0 },
+  { 1232, 16, 16, 2, 66913, 0 },
+  { 1196, 16, 16, 2, 66913, 0 },
+  { 1223, 16, 1526, 2, 66913, 0 },
+  { 1245, 16, 16, 2, 66913, 0 },
+  { 119, 350, 4013, 19, 13250, 8 },
+  { 248, 357, 2479, 19, 13250, 8 },
+  { 363, 364, 3957, 19, 13250, 8 },
+  { 479, 378, 3845, 19, 13250, 8 },
+  { 605, 392, 3893, 19, 13250, 8 },
+  { 723, 406, 3724, 19, 13250, 8 },
+  { 837, 420, 3780, 19, 13250, 8 },
+  { 943, 434, 3604, 19, 13250, 8 },
+  { 1057, 448, 3664, 19, 13250, 8 },
+  { 1163, 462, 3484, 19, 13250, 8 },
+  { 9, 476, 3544, 19, 13250, 8 },
+  { 141, 490, 3364, 19, 13250, 8 },
+  { 282, 504, 3424, 19, 13250, 8 },
+  { 408, 518, 3244, 19, 13250, 8 },
+  { 523, 532, 3304, 19, 13250, 8 },
+  { 649, 546, 3149, 19, 13250, 8 },
+  { 768, 16, 3208, 2, 17761, 0 },
+  { 882, 16, 3078, 2, 17761, 0 },
+  { 988, 16, 3113, 2, 17761, 0 },
+  { 1102, 16, 3008, 2, 17761, 0 },
+  { 59, 16, 3043, 2, 17761, 0 },
+  { 192, 16, 2938, 2, 17761, 0 },
+  { 336, 16, 2973, 2, 17761, 0 },
+  { 456, 16, 2868, 2, 17761, 0 },
+  { 575, 16, 2903, 2, 17761, 0 },
+  { 697, 16, 2797, 2, 17761, 0 },
+  { 804, 16, 2837, 2, 17761, 0 },
+  { 914, 16, 2363, 2, 17761, 0 },
+  { 1024, 16, 2411, 2, 17761, 0 },
+  { 1134, 16, 2384, 2, 17761, 0 },
+  { 95, 16, 2429, 2, 17761, 0 },
+  { 224, 16, 2789, 2, 17761, 0 },
+  { 390, 16, 16, 2, 17761, 0 },
+  { 125, 16, 16, 2, 17761, 0 },
+  { 257, 16, 16, 2, 17761, 0 },
+  { 381, 16, 16, 2, 17761, 0 },
+  { 122, 353, 1112, 22, 2196, 11 },
+  { 254, 374, 775, 22, 2196, 11 },
+  { 378, 402, 314, 22, 2196, 11 },
+  { 500, 430, 244, 22, 2196, 11 },
+  { 629, 458, 234, 22, 2196, 11 },
+  { 744, 486, 224, 22, 2196, 11 },
+  { 861, 514, 214, 22, 2196, 11 },
+  { 964, 542, 204, 22, 2196, 11 },
+  { 1081, 804, 194, 0, 12818, 20 },
+  { 1184, 807, 184, 0, 12818, 20 },
+  { 35, 810, 174, 0, 12818, 20 },
+  { 168, 813, 164, 0, 12818, 20 },
+  { 312, 816, 154, 0, 12818, 20 },
+  { 436, 819, 591, 0, 12818, 20 },
+  { 555, 822, 2447, 0, 12818, 20 },
+  { 677, 825, 1106, 0, 12818, 20 },
+  { 128, 16, 1373, 2, 66913, 0 },
+  { 260, 16, 1371, 2, 66913, 0 },
+  { 384, 16, 1371, 2, 66913, 0 },
+  { 506, 16, 1369, 2, 66913, 0 },
+  { 632, 16, 1369, 2, 66913, 0 },
+  { 750, 16, 1367, 2, 66913, 0 },
+  { 864, 16, 1367, 2, 66913, 0 },
+  { 970, 16, 1365, 2, 66913, 0 },
+  { 1084, 16, 1365, 2, 66913, 0 },
+  { 1190, 16, 1363, 2, 66913, 0 },
+  { 39, 16, 1363, 2, 66913, 0 },
+  { 176, 16, 1361, 2, 66913, 0 },
+  { 316, 16, 1359, 2, 66913, 0 },
+  { 131, 16, 4021, 2, 65585, 0 },
+  { 269, 16, 4012, 2, 65585, 0 },
+  { 387, 16, 2490, 2, 65585, 0 },
+  { 509, 16, 2478, 2, 65585, 0 },
+  { 635, 16, 3974, 2, 65585, 0 },
+  { 753, 16, 3956, 2, 65585, 0 },
+  { 867, 16, 3863, 2, 65585, 0 },
+  { 973, 16, 3844, 2, 65585, 0 },
+  { 1087, 16, 3914, 2, 65585, 0 },
+  { 1193, 16, 3892, 2, 65585, 0 },
+  { 43, 16, 3745, 2, 65585, 0 },
+  { 180, 16, 3723, 2, 65585, 0 },
+  { 320, 16, 3803, 2, 65585, 0 },
+  { 440, 16, 3779, 2, 65585, 0 },
+  { 559, 16, 3627, 2, 65585, 0 },
+  { 681, 16, 3603, 2, 65585, 0 },
+  { 788, 16, 3687, 2, 65585, 0 },
+  { 898, 16, 3663, 2, 65585, 0 },
+  { 1008, 16, 3507, 2, 65585, 0 },
+  { 1118, 16, 3483, 2, 65585, 0 },
+  { 79, 16, 3567, 2, 65585, 0 },
+  { 212, 16, 3543, 2, 65585, 0 },
+  { 356, 16, 3387, 2, 65585, 0 },
+  { 472, 16, 3363, 2, 65585, 0 },
+  { 595, 16, 3447, 2, 65585, 0 },
+  { 713, 16, 3423, 2, 65585, 0 },
+  { 824, 16, 3267, 2, 65585, 0 },
+  { 930, 16, 3243, 2, 65585, 0 },
+  { 1044, 16, 3327, 2, 65585, 0 },
+  { 1150, 16, 3303, 2, 65585, 0 },
+  { 115, 16, 3172, 2, 65585, 0 },
+  { 244, 16, 3148, 2, 65585, 0 },
+  { 360, 367, 4015, 29, 5426, 23 },
+  { 476, 381, 2502, 29, 5426, 23 },
+  { 602, 395, 3992, 29, 5426, 23 },
+  { 720, 409, 3882, 29, 5426, 23 },
+  { 834, 423, 3936, 29, 5426, 23 },
+  { 940, 437, 3767, 29, 5426, 23 },
+  { 1054, 451, 3827, 29, 5426, 23 },
+  { 1160, 465, 3651, 29, 5426, 23 },
+  { 6, 479, 3711, 29, 5426, 23 },
+  { 151, 493, 3531, 29, 5426, 23 },
+  { 278, 507, 3591, 29, 5426, 23 },
+  { 404, 521, 3411, 29, 5426, 23 },
+  { 519, 535, 3471, 29, 5426, 23 },
+  { 645, 549, 3291, 29, 5426, 23 },
+  { 764, 4007, 3351, 11, 17602, 35 },
+  { 878, 3948, 3196, 11, 13522, 35 },
+  { 984, 1080, 3231, 8, 17329, 39 },
+  { 1098, 1080, 3101, 8, 17329, 39 },
+  { 55, 1080, 3136, 8, 17329, 39 },
+  { 204, 1080, 3031, 8, 17329, 39 },
+  { 332, 1080, 3066, 8, 17329, 39 },
+  { 452, 1080, 2961, 8, 17329, 39 },
+  { 571, 1080, 2996, 8, 17329, 39 },
+  { 693, 1080, 2891, 8, 17329, 39 },
+  { 800, 1080, 2926, 8, 17329, 39 },
+  { 910, 1080, 2820, 8, 17329, 39 },
+  { 1020, 1080, 2858, 8, 17329, 39 },
+  { 1130, 1080, 2401, 8, 17329, 39 },
+  { 91, 1080, 2440, 8, 17329, 39 },
+  { 236, 1080, 2791, 8, 17329, 39 },
+  { 251, 1339, 1114, 168, 1044, 57 },
+  { 375, 1319, 347, 168, 1044, 57 },
+  { 497, 1299, 142, 168, 1044, 57 },
+  { 626, 1279, 142, 168, 1044, 57 },
+  { 741, 1259, 142, 168, 1044, 57 },
+  { 858, 1239, 142, 168, 1044, 57 },
+  { 961, 1219, 142, 168, 1044, 57 },
+  { 1078, 1203, 142, 88, 1456, 74 },
+  { 1181, 1191, 142, 76, 2114, 87 },
+  { 32, 1179, 142, 76, 2114, 87 },
+  { 164, 1167, 142, 76, 2114, 87 },
+  { 308, 1155, 142, 76, 2114, 87 },
+  { 432, 1143, 142, 76, 2114, 87 },
+  { 551, 1131, 344, 76, 2114, 87 },
+  { 673, 1119, 1108, 76, 2114, 87 },
+  { 491, 2156, 16, 474, 4, 92 },
+  { 620, 2101, 16, 474, 4, 92 },
+  { 735, 2046, 16, 474, 4, 92 },
+  { 852, 1991, 16, 474, 4, 92 },
+  { 955, 1936, 16, 474, 4, 92 },
+  { 1072, 1885, 16, 423, 272, 109 },
+  { 1175, 1838, 16, 376, 512, 124 },
+  { 26, 1795, 16, 333, 720, 137 },
+  { 158, 1756, 16, 294, 1186, 148 },
+  { 301, 1717, 16, 294, 1186, 148 },
+  { 424, 1678, 16, 294, 1186, 148 },
+  { 543, 1639, 16, 294, 1186, 148 },
+  { 665, 1600, 16, 294, 1186, 148 },
+  { 1219, 4114, 16, 16, 17856, 2 },
+  { 263, 783, 16, 16, 8946, 5 },
+  { 503, 786, 16, 16, 8946, 5 },
+  { 747, 789, 16, 16, 8946, 5 },
+  { 967, 792, 16, 16, 8946, 5 },
+  { 1187, 795, 16, 16, 8946, 5 },
+  { 172, 798, 16, 16, 8946, 5 },
+  { 366, 1513, 1113, 63, 1570, 28 },
+  { 482, 4169, 2511, 63, 1570, 28 },
+  { 611, 1500, 778, 63, 1570, 28 },
+  { 726, 4156, 770, 63, 1570, 28 },
+  { 843, 1487, 317, 63, 1570, 28 },
+  { 946, 4143, 660, 63, 1570, 28 },
+  { 1063, 1474, 308, 63, 1570, 28 },
+  { 1166, 4130, 654, 63, 1570, 28 },
+  { 16, 1461, 302, 63, 1570, 28 },
+  { 134, 4117, 648, 63, 1570, 28 },
+  { 289, 1448, 296, 63, 1570, 28 },
+  { 412, 4101, 642, 63, 1570, 28 },
+  { 531, 1435, 290, 63, 1570, 28 },
+  { 653, 4088, 636, 63, 1570, 28 },
+  { 776, 1424, 284, 52, 1680, 42 },
+  { 886, 4079, 630, 43, 1872, 48 },
+  { 996, 1417, 278, 36, 2401, 53 },
+  { 1106, 4072, 624, 36, 2401, 53 },
+  { 67, 1410, 272, 36, 2401, 53 },
+  { 184, 4065, 618, 36, 2401, 53 },
+  { 344, 1403, 266, 36, 2401, 53 },
+  { 460, 4058, 612, 36, 2401, 53 },
+  { 583, 1396, 260, 36, 2401, 53 },
+  { 701, 4051, 606, 36, 2401, 53 },
+  { 812, 1389, 254, 36, 2401, 53 },
+  { 918, 4044, 600, 36, 2401, 53 },
+  { 1032, 1382, 765, 36, 2401, 53 },
+  { 1138, 4037, 2455, 36, 2401, 53 },
+  { 103, 1375, 2474, 36, 2401, 53 },
+  { 216, 4030, 1107, 36, 2401, 53 },
+  { 599, 1026, 4018, 212, 5314, 192 },
+  { 717, 1014, 3953, 212, 5314, 192 },
+  { 831, 1002, 4002, 212, 5314, 192 },
+  { 937, 990, 3909, 212, 5314, 192 },
+  { 1051, 978, 3909, 212, 5314, 192 },
+  { 1157, 966, 3798, 212, 5314, 192 },
+  { 3, 954, 3798, 212, 5314, 192 },
+  { 148, 942, 3682, 212, 5314, 192 },
+  { 275, 930, 3682, 212, 5314, 192 },
+  { 401, 918, 3562, 212, 5314, 192 },
+  { 515, 906, 3562, 212, 5314, 192 },
+  { 641, 894, 3442, 212, 5314, 192 },
+  { 760, 1070, 3442, 202, 17506, 199 },
+  { 874, 1060, 3322, 202, 13426, 199 },
+  { 980, 1052, 3322, 194, 14226, 205 },
+  { 1094, 1044, 3226, 194, 13698, 205 },
+  { 51, 1038, 3226, 188, 14049, 210 },
+  { 200, 1038, 3131, 188, 14049, 210 },
+  { 328, 1038, 3131, 188, 14049, 210 },
+  { 448, 1038, 3061, 188, 14049, 210 },
+  { 567, 1038, 3061, 188, 14049, 210 },
+  { 689, 1038, 2991, 188, 14049, 210 },
+  { 796, 1038, 2991, 188, 14049, 210 },
+  { 906, 1038, 2921, 188, 14049, 210 },
+  { 1016, 1038, 2921, 188, 14049, 210 },
+  { 1126, 1038, 2832, 188, 14049, 210 },
+  { 87, 1038, 2855, 188, 14049, 210 },
+  { 232, 1038, 2794, 188, 14049, 210 },
+  { 828, 2677, 4010, 276, 5170, 157 },
+  { 934, 2659, 3951, 276, 5170, 157 },
+  { 1048, 2641, 3951, 276, 5170, 157 },
+  { 1154, 2623, 3842, 276, 5170, 157 },
+  { 0, 2605, 3842, 276, 5170, 157 },
+  { 145, 2587, 3743, 276, 5170, 157 },
+  { 272, 2569, 3743, 276, 5170, 157 },
+  { 398, 2551, 3625, 276, 5170, 157 },
+  { 512, 2533, 3625, 276, 5170, 157 },
+  { 638, 2515, 3505, 276, 5170, 157 },
+  { 756, 2773, 3505, 260, 17378, 166 },
+  { 870, 2757, 3385, 260, 13298, 166 },
+  { 976, 2743, 3385, 246, 14114, 174 },
+  { 1090, 2729, 3265, 246, 13586, 174 },
+  { 47, 2717, 3265, 234, 13954, 181 },
+  { 196, 2705, 3170, 234, 13778, 181 },
+  { 324, 2695, 3170, 224, 13873, 187 },
+  { 444, 2695, 3099, 224, 13873, 187 },
+  { 563, 2695, 3099, 224, 13873, 187 },
+  { 685, 2695, 3029, 224, 13873, 187 },
+  { 792, 2695, 3029, 224, 13873, 187 },
+  { 902, 2695, 2959, 224, 13873, 187 },
+  { 1012, 2695, 2959, 224, 13873, 187 },
+  { 1122, 2695, 2856, 224, 13873, 187 },
+  { 83, 2695, 2856, 224, 13873, 187 },
+  { 228, 2695, 2795, 224, 13873, 187 },
+  { 369, 360, 2509, 22, 1956, 11 },
+  { 614, 388, 583, 22, 1956, 11 },
+  { 846, 416, 756, 22, 1956, 11 },
+  { 1066, 444, 747, 22, 1956, 11 },
+  { 19, 472, 738, 22, 1956, 11 },
+  { 293, 500, 729, 22, 1956, 11 },
+  { 535, 528, 720, 22, 1956, 11 },
+  { 780, 3839, 711, 3, 2336, 16 },
+  { 1000, 562, 702, 0, 8898, 20 },
+  { 71, 565, 693, 0, 8898, 20 },
+  { 348, 568, 684, 0, 8898, 20 },
+  { 587, 571, 675, 0, 8898, 20 },
+  { 816, 574, 666, 0, 8898, 20 },
+  { 1036, 577, 2460, 0, 8898, 20 },
+  { 107, 580, 2468, 0, 8898, 20 },
+  { 608, 2343, 2488, 148, 900, 57 },
+  { 840, 2323, 588, 148, 900, 57 },
+  { 1060, 2303, 588, 148, 900, 57 },
+  { 13, 2283, 588, 148, 900, 57 },
+  { 286, 2263, 588, 148, 900, 57 },
+  { 527, 2243, 588, 148, 900, 57 },
+  { 772, 2225, 588, 130, 1328, 66 },
+  { 992, 2211, 588, 116, 1776, 81 },
+  { 63, 1588, 588, 104, 2034, 87 },
+  { 340, 1576, 588, 104, 2034, 87 },
+  { 579, 1564, 588, 104, 2034, 87 },
+  { 808, 1552, 588, 104, 2034, 87 },
+  { 1028, 1540, 588, 104, 2034, 87 },
+  { 99, 1528, 2382, 104, 2034, 87 },
 };
 
   // SPR Register Class...
-  static const uint16_t SPR[] = {
+  static MCPhysReg SPR[] = {
     ARM_S0, ARM_S2, ARM_S4, ARM_S6, ARM_S8, ARM_S10, ARM_S12, ARM_S14, ARM_S16, ARM_S18, ARM_S20, ARM_S22, ARM_S24, ARM_S26, ARM_S28, ARM_S30, ARM_S1, ARM_S3, ARM_S5, ARM_S7, ARM_S9, ARM_S11, ARM_S13, ARM_S15, ARM_S17, ARM_S19, ARM_S21, ARM_S23, ARM_S25, ARM_S27, ARM_S29, ARM_S31, 
   };
 
@@ -1186,7 +1187,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPR Register Class...
-  static const uint16_t GPR[] = {
+  static MCPhysReg GPR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R4, ARM_R5, ARM_R6, ARM_R7, ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_SP, ARM_LR, ARM_PC, 
   };
 
@@ -1196,7 +1197,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRwithAPSR Register Class...
-  static const uint16_t GPRwithAPSR[] = {
+  static MCPhysReg GPRwithAPSR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R4, ARM_R5, ARM_R6, ARM_R7, ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_SP, ARM_LR, ARM_APSR_NZCV, 
   };
 
@@ -1206,7 +1207,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // SPR_8 Register Class...
-  static const uint16_t SPR_8[] = {
+  static MCPhysReg SPR_8[] = {
     ARM_S0, ARM_S1, ARM_S2, ARM_S3, ARM_S4, ARM_S5, ARM_S6, ARM_S7, ARM_S8, ARM_S9, ARM_S10, ARM_S11, ARM_S12, ARM_S13, ARM_S14, ARM_S15, 
   };
 
@@ -1216,7 +1217,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRnopc Register Class...
-  static const uint16_t GPRnopc[] = {
+  static MCPhysReg GPRnopc[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R4, ARM_R5, ARM_R6, ARM_R7, ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_SP, ARM_LR, 
   };
 
@@ -1226,7 +1227,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // rGPR Register Class...
-  static const uint16_t rGPR[] = {
+  static MCPhysReg rGPR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R4, ARM_R5, ARM_R6, ARM_R7, ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_LR, 
   };
 
@@ -1236,7 +1237,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // hGPR Register Class...
-  static const uint16_t hGPR[] = {
+  static MCPhysReg hGPR[] = {
     ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_SP, ARM_LR, ARM_PC, 
   };
 
@@ -1246,7 +1247,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // tGPR Register Class...
-  static const uint16_t tGPR[] = {
+  static MCPhysReg tGPR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R4, ARM_R5, ARM_R6, ARM_R7, 
   };
 
@@ -1256,7 +1257,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRnopc_and_hGPR Register Class...
-  static const uint16_t GPRnopc_and_hGPR[] = {
+  static MCPhysReg GPRnopc_and_hGPR[] = {
     ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_SP, ARM_LR, 
   };
 
@@ -1266,7 +1267,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // hGPR_and_rGPR Register Class...
-  static const uint16_t hGPR_and_rGPR[] = {
+  static MCPhysReg hGPR_and_rGPR[] = {
     ARM_R8, ARM_R9, ARM_R10, ARM_R11, ARM_R12, ARM_LR, 
   };
 
@@ -1276,7 +1277,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // tcGPR Register Class...
-  static const uint16_t tcGPR[] = {
+  static MCPhysReg tcGPR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, ARM_R12, 
   };
 
@@ -1286,7 +1287,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // tGPR_and_tcGPR Register Class...
-  static const uint16_t tGPR_and_tcGPR[] = {
+  static MCPhysReg tGPR_and_tcGPR[] = {
     ARM_R0, ARM_R1, ARM_R2, ARM_R3, 
   };
 
@@ -1296,7 +1297,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // CCR Register Class...
-  static const uint16_t CCR[] = {
+  static MCPhysReg CCR[] = {
     ARM_CPSR, 
   };
 
@@ -1306,7 +1307,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRsp Register Class...
-  static const uint16_t GPRsp[] = {
+  static MCPhysReg GPRsp[] = {
     ARM_SP, 
   };
 
@@ -1316,7 +1317,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // hGPR_and_tcGPR Register Class...
-  static const uint16_t hGPR_and_tcGPR[] = {
+  static MCPhysReg hGPR_and_tcGPR[] = {
     ARM_R12, 
   };
 
@@ -1326,7 +1327,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPR Register Class...
-  static const uint16_t DPR[] = {
+  static MCPhysReg DPR[] = {
     ARM_D0, ARM_D1, ARM_D2, ARM_D3, ARM_D4, ARM_D5, ARM_D6, ARM_D7, ARM_D8, ARM_D9, ARM_D10, ARM_D11, ARM_D12, ARM_D13, ARM_D14, ARM_D15, ARM_D16, ARM_D17, ARM_D18, ARM_D19, ARM_D20, ARM_D21, ARM_D22, ARM_D23, ARM_D24, ARM_D25, ARM_D26, ARM_D27, ARM_D28, ARM_D29, ARM_D30, ARM_D31, 
   };
 
@@ -1336,7 +1337,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPR_VFP2 Register Class...
-  static const uint16_t DPR_VFP2[] = {
+  static MCPhysReg DPR_VFP2[] = {
     ARM_D0, ARM_D1, ARM_D2, ARM_D3, ARM_D4, ARM_D5, ARM_D6, ARM_D7, ARM_D8, ARM_D9, ARM_D10, ARM_D11, ARM_D12, ARM_D13, ARM_D14, ARM_D15, 
   };
 
@@ -1346,7 +1347,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPR_8 Register Class...
-  static const uint16_t DPR_8[] = {
+  static MCPhysReg DPR_8[] = {
     ARM_D0, ARM_D1, ARM_D2, ARM_D3, ARM_D4, ARM_D5, ARM_D6, ARM_D7, 
   };
 
@@ -1356,7 +1357,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair Register Class...
-  static const uint16_t GPRPair[] = {
+  static MCPhysReg GPRPair[] = {
     ARM_R0_R1, ARM_R2_R3, ARM_R4_R5, ARM_R6_R7, ARM_R8_R9, ARM_R10_R11, ARM_R12_SP, 
   };
 
@@ -1366,7 +1367,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_1_in_rGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_1_in_rGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_1_in_rGPR[] = {
     ARM_R0_R1, ARM_R2_R3, ARM_R4_R5, ARM_R6_R7, ARM_R8_R9, ARM_R10_R11, 
   };
 
@@ -1376,7 +1377,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_0_in_tGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_0_in_tGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_0_in_tGPR[] = {
     ARM_R0_R1, ARM_R2_R3, ARM_R4_R5, ARM_R6_R7, 
   };
 
@@ -1386,7 +1387,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_0_in_hGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_0_in_hGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_0_in_hGPR[] = {
     ARM_R8_R9, ARM_R10_R11, ARM_R12_SP, 
   };
 
@@ -1396,7 +1397,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_0_in_tcGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_0_in_tcGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_0_in_tcGPR[] = {
     ARM_R0_R1, ARM_R2_R3, ARM_R12_SP, 
   };
 
@@ -1406,7 +1407,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_1_in_hGPR_and_rGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_1_in_hGPR_and_rGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_1_in_hGPR_and_rGPR[] = {
     ARM_R8_R9, ARM_R10_R11, 
   };
 
@@ -1416,7 +1417,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_1_in_tcGPR Register Class...
-  static const uint16_t GPRPair_with_gsub_1_in_tcGPR[] = {
+  static MCPhysReg GPRPair_with_gsub_1_in_tcGPR[] = {
     ARM_R0_R1, ARM_R2_R3, 
   };
 
@@ -1426,7 +1427,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // GPRPair_with_gsub_1_in_GPRsp Register Class...
-  static const uint16_t GPRPair_with_gsub_1_in_GPRsp[] = {
+  static MCPhysReg GPRPair_with_gsub_1_in_GPRsp[] = {
     ARM_R12_SP, 
   };
 
@@ -1436,7 +1437,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPairSpc Register Class...
-  static const uint16_t DPairSpc[] = {
+  static MCPhysReg DPairSpc[] = {
     ARM_D0_D2, ARM_D1_D3, ARM_D2_D4, ARM_D3_D5, ARM_D4_D6, ARM_D5_D7, ARM_D6_D8, ARM_D7_D9, ARM_D8_D10, ARM_D9_D11, ARM_D10_D12, ARM_D11_D13, ARM_D12_D14, ARM_D13_D15, ARM_D14_D16, ARM_D15_D17, ARM_D16_D18, ARM_D17_D19, ARM_D18_D20, ARM_D19_D21, ARM_D20_D22, ARM_D21_D23, ARM_D22_D24, ARM_D23_D25, ARM_D24_D26, ARM_D25_D27, ARM_D26_D28, ARM_D27_D29, ARM_D28_D30, ARM_D29_D31, 
   };
 
@@ -1446,7 +1447,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPairSpc_with_ssub_0 Register Class...
-  static const uint16_t DPairSpc_with_ssub_0[] = {
+  static MCPhysReg DPairSpc_with_ssub_0[] = {
     ARM_D0_D2, ARM_D1_D3, ARM_D2_D4, ARM_D3_D5, ARM_D4_D6, ARM_D5_D7, ARM_D6_D8, ARM_D7_D9, ARM_D8_D10, ARM_D9_D11, ARM_D10_D12, ARM_D11_D13, ARM_D12_D14, ARM_D13_D15, ARM_D14_D16, ARM_D15_D17, 
   };
 
@@ -1456,7 +1457,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPairSpc_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t DPairSpc_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg DPairSpc_with_dsub_2_then_ssub_0[] = {
     ARM_D0_D2, ARM_D1_D3, ARM_D2_D4, ARM_D3_D5, ARM_D4_D6, ARM_D5_D7, ARM_D6_D8, ARM_D7_D9, ARM_D8_D10, ARM_D9_D11, ARM_D10_D12, ARM_D11_D13, ARM_D12_D14, ARM_D13_D15, 
   };
 
@@ -1466,7 +1467,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPairSpc_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DPairSpc_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DPairSpc_with_dsub_0_in_DPR_8[] = {
     ARM_D0_D2, ARM_D1_D3, ARM_D2_D4, ARM_D3_D5, ARM_D4_D6, ARM_D5_D7, ARM_D6_D8, ARM_D7_D9, 
   };
 
@@ -1476,7 +1477,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPairSpc_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t DPairSpc_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg DPairSpc_with_dsub_2_in_DPR_8[] = {
     ARM_D0_D2, ARM_D1_D3, ARM_D2_D4, ARM_D3_D5, ARM_D4_D6, ARM_D5_D7, 
   };
 
@@ -1486,7 +1487,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPair Register Class...
-  static const uint16_t DPair[] = {
+  static MCPhysReg DPair[] = {
     ARM_Q0, ARM_D1_D2, ARM_Q1, ARM_D3_D4, ARM_Q2, ARM_D5_D6, ARM_Q3, ARM_D7_D8, ARM_Q4, ARM_D9_D10, ARM_Q5, ARM_D11_D12, ARM_Q6, ARM_D13_D14, ARM_Q7, ARM_D15_D16, ARM_Q8, ARM_D17_D18, ARM_Q9, ARM_D19_D20, ARM_Q10, ARM_D21_D22, ARM_Q11, ARM_D23_D24, ARM_Q12, ARM_D25_D26, ARM_Q13, ARM_D27_D28, ARM_Q14, ARM_D29_D30, ARM_Q15, 
   };
 
@@ -1496,7 +1497,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPair_with_ssub_0 Register Class...
-  static const uint16_t DPair_with_ssub_0[] = {
+  static MCPhysReg DPair_with_ssub_0[] = {
     ARM_Q0, ARM_D1_D2, ARM_Q1, ARM_D3_D4, ARM_Q2, ARM_D5_D6, ARM_Q3, ARM_D7_D8, ARM_Q4, ARM_D9_D10, ARM_Q5, ARM_D11_D12, ARM_Q6, ARM_D13_D14, ARM_Q7, ARM_D15_D16, 
   };
 
@@ -1506,7 +1507,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QPR Register Class...
-  static const uint16_t QPR[] = {
+  static MCPhysReg QPR[] = {
     ARM_Q0, ARM_Q1, ARM_Q2, ARM_Q3, ARM_Q4, ARM_Q5, ARM_Q6, ARM_Q7, ARM_Q8, ARM_Q9, ARM_Q10, ARM_Q11, ARM_Q12, ARM_Q13, ARM_Q14, ARM_Q15, 
   };
 
@@ -1516,7 +1517,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPair_with_ssub_2 Register Class...
-  static const uint16_t DPair_with_ssub_2[] = {
+  static MCPhysReg DPair_with_ssub_2[] = {
     ARM_Q0, ARM_D1_D2, ARM_Q1, ARM_D3_D4, ARM_Q2, ARM_D5_D6, ARM_Q3, ARM_D7_D8, ARM_Q4, ARM_D9_D10, ARM_Q5, ARM_D11_D12, ARM_Q6, ARM_D13_D14, ARM_Q7, 
   };
 
@@ -1526,7 +1527,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPair_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DPair_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DPair_with_dsub_0_in_DPR_8[] = {
     ARM_Q0, ARM_D1_D2, ARM_Q1, ARM_D3_D4, ARM_Q2, ARM_D5_D6, ARM_Q3, ARM_D7_D8, 
   };
 
@@ -1536,7 +1537,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QPR_VFP2 Register Class...
-  static const uint16_t QPR_VFP2[] = {
+  static MCPhysReg QPR_VFP2[] = {
     ARM_Q0, ARM_Q1, ARM_Q2, ARM_Q3, ARM_Q4, ARM_Q5, ARM_Q6, ARM_Q7, 
   };
 
@@ -1546,7 +1547,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DPair_with_dsub_1_in_DPR_8 Register Class...
-  static const uint16_t DPair_with_dsub_1_in_DPR_8[] = {
+  static MCPhysReg DPair_with_dsub_1_in_DPR_8[] = {
     ARM_Q0, ARM_D1_D2, ARM_Q1, ARM_D3_D4, ARM_Q2, ARM_D5_D6, ARM_Q3, 
   };
 
@@ -1556,7 +1557,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QPR_8 Register Class...
-  static const uint16_t QPR_8[] = {
+  static MCPhysReg QPR_8[] = {
     ARM_Q0, ARM_Q1, ARM_Q2, ARM_Q3, 
   };
 
@@ -1566,7 +1567,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple Register Class...
-  static const uint16_t DTriple[] = {
+  static MCPhysReg DTriple[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, ARM_D7_D8_D9, ARM_D8_D9_D10, ARM_D9_D10_D11, ARM_D10_D11_D12, ARM_D11_D12_D13, ARM_D12_D13_D14, ARM_D13_D14_D15, ARM_D14_D15_D16, ARM_D15_D16_D17, ARM_D16_D17_D18, ARM_D17_D18_D19, ARM_D18_D19_D20, ARM_D19_D20_D21, ARM_D20_D21_D22, ARM_D21_D22_D23, ARM_D22_D23_D24, ARM_D23_D24_D25, ARM_D24_D25_D26, ARM_D25_D26_D27, ARM_D26_D27_D28, ARM_D27_D28_D29, ARM_D28_D29_D30, ARM_D29_D30_D31, 
   };
 
@@ -1576,7 +1577,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc Register Class...
-  static const uint16_t DTripleSpc[] = {
+  static MCPhysReg DTripleSpc[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, ARM_D14_D16_D18, ARM_D15_D17_D19, ARM_D16_D18_D20, ARM_D17_D19_D21, ARM_D18_D20_D22, ARM_D19_D21_D23, ARM_D20_D22_D24, ARM_D21_D23_D25, ARM_D22_D24_D26, ARM_D23_D25_D27, ARM_D24_D26_D28, ARM_D25_D27_D29, ARM_D26_D28_D30, ARM_D27_D29_D31, 
   };
 
@@ -1586,7 +1587,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_ssub_0 Register Class...
-  static const uint16_t DTripleSpc_with_ssub_0[] = {
+  static MCPhysReg DTripleSpc_with_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, ARM_D14_D16_D18, ARM_D15_D17_D19, 
   };
 
@@ -1596,7 +1597,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_ssub_0 Register Class...
-  static const uint16_t DTriple_with_ssub_0[] = {
+  static MCPhysReg DTriple_with_ssub_0[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, ARM_D7_D8_D9, ARM_D8_D9_D10, ARM_D9_D10_D11, ARM_D10_D11_D12, ARM_D11_D12_D13, ARM_D12_D13_D14, ARM_D13_D14_D15, ARM_D14_D15_D16, ARM_D15_D16_D17, 
   };
 
@@ -1606,7 +1607,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DTriple_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DTriple_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3, ARM_D3_D4_D5, ARM_D5_D6_D7, ARM_D7_D8_D9, ARM_D9_D10_D11, ARM_D11_D12_D13, ARM_D13_D14_D15, ARM_D15_D16_D17, ARM_D17_D18_D19, ARM_D19_D20_D21, ARM_D21_D22_D23, ARM_D23_D24_D25, ARM_D25_D26_D27, ARM_D27_D28_D29, ARM_D29_D30_D31, 
   };
 
@@ -1616,7 +1617,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_qsub_0_in_QPR Register Class...
-  static const uint16_t DTriple_with_qsub_0_in_QPR[] = {
+  static MCPhysReg DTriple_with_qsub_0_in_QPR[] = {
     ARM_D0_D1_D2, ARM_D2_D3_D4, ARM_D4_D5_D6, ARM_D6_D7_D8, ARM_D8_D9_D10, ARM_D10_D11_D12, ARM_D12_D13_D14, ARM_D14_D15_D16, ARM_D16_D17_D18, ARM_D18_D19_D20, ARM_D20_D21_D22, ARM_D22_D23_D24, ARM_D24_D25_D26, ARM_D26_D27_D28, ARM_D28_D29_D30, 
   };
 
@@ -1626,7 +1627,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_ssub_2 Register Class...
-  static const uint16_t DTriple_with_ssub_2[] = {
+  static MCPhysReg DTriple_with_ssub_2[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, ARM_D7_D8_D9, ARM_D8_D9_D10, ARM_D9_D10_D11, ARM_D10_D11_D12, ARM_D11_D12_D13, ARM_D12_D13_D14, ARM_D13_D14_D15, ARM_D14_D15_D16, 
   };
 
@@ -1636,7 +1637,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t DTripleSpc_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg DTripleSpc_with_dsub_2_then_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, 
   };
 
@@ -1646,7 +1647,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t DTriple_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg DTriple_with_dsub_2_then_ssub_0[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, ARM_D7_D8_D9, ARM_D8_D9_D10, ARM_D9_D10_D11, ARM_D10_D11_D12, ARM_D11_D12_D13, ARM_D12_D13_D14, ARM_D13_D14_D15, 
   };
 
@@ -1656,7 +1657,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_dsub_4_then_ssub_0 Register Class...
-  static const uint16_t DTripleSpc_with_dsub_4_then_ssub_0[] = {
+  static MCPhysReg DTripleSpc_with_dsub_4_then_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, 
   };
 
@@ -1666,7 +1667,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DTripleSpc_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DTripleSpc_with_dsub_0_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, 
   };
 
@@ -1676,7 +1677,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DTriple_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DTriple_with_dsub_0_in_DPR_8[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, ARM_D7_D8_D9, 
   };
 
@@ -1686,7 +1687,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_qsub_0_in_QPR_VFP2 Register Class...
-  static const uint16_t DTriple_with_qsub_0_in_QPR_VFP2[] = {
+  static MCPhysReg DTriple_with_qsub_0_in_QPR_VFP2[] = {
     ARM_D0_D1_D2, ARM_D2_D3_D4, ARM_D4_D5_D6, ARM_D6_D7_D8, ARM_D8_D9_D10, ARM_D10_D11_D12, ARM_D12_D13_D14, ARM_D14_D15_D16, 
   };
 
@@ -1696,7 +1697,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3, ARM_D3_D4_D5, ARM_D5_D6_D7, ARM_D7_D8_D9, ARM_D9_D10_D11, ARM_D11_D12_D13, ARM_D13_D14_D15, ARM_D15_D16_D17, 
   };
 
@@ -1706,7 +1707,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_1_dsub_2_in_QPR_VFP2 Register Class...
-  static const uint16_t DTriple_with_dsub_1_dsub_2_in_QPR_VFP2[] = {
+  static MCPhysReg DTriple_with_dsub_1_dsub_2_in_QPR_VFP2[] = {
     ARM_D1_D2_D3, ARM_D3_D4_D5, ARM_D5_D6_D7, ARM_D7_D8_D9, ARM_D9_D10_D11, ARM_D11_D12_D13, ARM_D13_D14_D15, 
   };
 
@@ -1716,7 +1717,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_1_in_DPR_8 Register Class...
-  static const uint16_t DTriple_with_dsub_1_in_DPR_8[] = {
+  static MCPhysReg DTriple_with_dsub_1_in_DPR_8[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, ARM_D6_D7_D8, 
   };
 
@@ -1726,7 +1727,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR Register Class...
-  static const uint16_t DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR[] = {
+  static MCPhysReg DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR[] = {
     ARM_D0_D1_D2, ARM_D2_D3_D4, ARM_D4_D5_D6, ARM_D6_D7_D8, ARM_D8_D9_D10, ARM_D10_D11_D12, ARM_D12_D13_D14, 
   };
 
@@ -1736,7 +1737,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t DTripleSpc_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg DTripleSpc_with_dsub_2_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, 
   };
 
@@ -1746,7 +1747,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t DTriple_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg DTriple_with_dsub_2_in_DPR_8[] = {
     ARM_D0_D1_D2, ARM_D1_D2_D3, ARM_D2_D3_D4, ARM_D3_D4_D5, ARM_D4_D5_D6, ARM_D5_D6_D7, 
   };
 
@@ -1756,7 +1757,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTripleSpc_with_dsub_4_in_DPR_8 Register Class...
-  static const uint16_t DTripleSpc_with_dsub_4_in_DPR_8[] = {
+  static MCPhysReg DTripleSpc_with_dsub_4_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, 
   };
 
@@ -1766,7 +1767,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3, ARM_D3_D4_D5, ARM_D5_D6_D7, ARM_D7_D8_D9, 
   };
 
@@ -1776,7 +1777,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_qsub_0_in_QPR_8 Register Class...
-  static const uint16_t DTriple_with_qsub_0_in_QPR_8[] = {
+  static MCPhysReg DTriple_with_qsub_0_in_QPR_8[] = {
     ARM_D0_D1_D2, ARM_D2_D3_D4, ARM_D4_D5_D6, ARM_D6_D7_D8, 
   };
 
@@ -1786,7 +1787,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_1_dsub_2_in_QPR_8 Register Class...
-  static const uint16_t DTriple_with_dsub_1_dsub_2_in_QPR_8[] = {
+  static MCPhysReg DTriple_with_dsub_1_dsub_2_in_QPR_8[] = {
     ARM_D1_D2_D3, ARM_D3_D4_D5, ARM_D5_D6_D7, 
   };
 
@@ -1796,7 +1797,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR Register Class...
-  static const uint16_t DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR[] = {
+  static MCPhysReg DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR[] = {
     ARM_D0_D1_D2, ARM_D2_D3_D4, ARM_D4_D5_D6, 
   };
 
@@ -1806,7 +1807,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc Register Class...
-  static const uint16_t DQuadSpc[] = {
+  static MCPhysReg DQuadSpc[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, ARM_D14_D16_D18, ARM_D15_D17_D19, ARM_D16_D18_D20, ARM_D17_D19_D21, ARM_D18_D20_D22, ARM_D19_D21_D23, ARM_D20_D22_D24, ARM_D21_D23_D25, ARM_D22_D24_D26, ARM_D23_D25_D27, ARM_D24_D26_D28, ARM_D25_D27_D29, ARM_D26_D28_D30, ARM_D27_D29_D31, 
   };
 
@@ -1816,7 +1817,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_ssub_0 Register Class...
-  static const uint16_t DQuadSpc_with_ssub_0[] = {
+  static MCPhysReg DQuadSpc_with_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, ARM_D14_D16_D18, ARM_D15_D17_D19, 
   };
 
@@ -1826,7 +1827,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t DQuadSpc_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg DQuadSpc_with_dsub_2_then_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, ARM_D12_D14_D16, ARM_D13_D15_D17, 
   };
 
@@ -1836,7 +1837,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_dsub_4_then_ssub_0 Register Class...
-  static const uint16_t DQuadSpc_with_dsub_4_then_ssub_0[] = {
+  static MCPhysReg DQuadSpc_with_dsub_4_then_ssub_0[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, ARM_D8_D10_D12, ARM_D9_D11_D13, ARM_D10_D12_D14, ARM_D11_D13_D15, 
   };
 
@@ -1846,7 +1847,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DQuadSpc_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DQuadSpc_with_dsub_0_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, ARM_D6_D8_D10, ARM_D7_D9_D11, 
   };
 
@@ -1856,7 +1857,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t DQuadSpc_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg DQuadSpc_with_dsub_2_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, ARM_D4_D6_D8, ARM_D5_D7_D9, 
   };
 
@@ -1866,7 +1867,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuadSpc_with_dsub_4_in_DPR_8 Register Class...
-  static const uint16_t DQuadSpc_with_dsub_4_in_DPR_8[] = {
+  static MCPhysReg DQuadSpc_with_dsub_4_in_DPR_8[] = {
     ARM_D0_D2_D4, ARM_D1_D3_D5, ARM_D2_D4_D6, ARM_D3_D5_D7, 
   };
 
@@ -1876,7 +1877,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad Register Class...
-  static const uint16_t DQuad[] = {
+  static MCPhysReg DQuad[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, ARM_Q4_Q5, ARM_D9_D10_D11_D12, ARM_Q5_Q6, ARM_D11_D12_D13_D14, ARM_Q6_Q7, ARM_D13_D14_D15_D16, ARM_Q7_Q8, ARM_D15_D16_D17_D18, ARM_Q8_Q9, ARM_D17_D18_D19_D20, ARM_Q9_Q10, ARM_D19_D20_D21_D22, ARM_Q10_Q11, ARM_D21_D22_D23_D24, ARM_Q11_Q12, ARM_D23_D24_D25_D26, ARM_Q12_Q13, ARM_D25_D26_D27_D28, ARM_Q13_Q14, ARM_D27_D28_D29_D30, ARM_Q14_Q15, 
   };
 
@@ -1886,7 +1887,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_ssub_0 Register Class...
-  static const uint16_t DQuad_with_ssub_0[] = {
+  static MCPhysReg DQuad_with_ssub_0[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, ARM_Q4_Q5, ARM_D9_D10_D11_D12, ARM_Q5_Q6, ARM_D11_D12_D13_D14, ARM_Q6_Q7, ARM_D13_D14_D15_D16, ARM_Q7_Q8, ARM_D15_D16_D17_D18, 
   };
 
@@ -1896,7 +1897,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_ssub_2 Register Class...
-  static const uint16_t DQuad_with_ssub_2[] = {
+  static MCPhysReg DQuad_with_ssub_2[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, ARM_Q4_Q5, ARM_D9_D10_D11_D12, ARM_Q5_Q6, ARM_D11_D12_D13_D14, ARM_Q6_Q7, ARM_D13_D14_D15_D16, ARM_Q7_Q8, 
   };
 
@@ -1906,7 +1907,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQPR Register Class...
-  static const uint16_t QQPR[] = {
+  static MCPhysReg QQPR[] = {
     ARM_Q0_Q1, ARM_Q1_Q2, ARM_Q2_Q3, ARM_Q3_Q4, ARM_Q4_Q5, ARM_Q5_Q6, ARM_Q6_Q7, ARM_Q7_Q8, ARM_Q8_Q9, ARM_Q9_Q10, ARM_Q10_Q11, ARM_Q11_Q12, ARM_Q12_Q13, ARM_Q13_Q14, ARM_Q14_Q15, 
   };
 
@@ -1916,7 +1917,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DQuad_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DQuad_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, ARM_D7_D8_D9_D10, ARM_D9_D10_D11_D12, ARM_D11_D12_D13_D14, ARM_D13_D14_D15_D16, ARM_D15_D16_D17_D18, ARM_D17_D18_D19_D20, ARM_D19_D20_D21_D22, ARM_D21_D22_D23_D24, ARM_D23_D24_D25_D26, ARM_D25_D26_D27_D28, ARM_D27_D28_D29_D30, 
   };
 
@@ -1926,7 +1927,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t DQuad_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg DQuad_with_dsub_2_then_ssub_0[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, ARM_Q4_Q5, ARM_D9_D10_D11_D12, ARM_Q5_Q6, ARM_D11_D12_D13_D14, ARM_Q6_Q7, ARM_D13_D14_D15_D16, 
   };
 
@@ -1936,7 +1937,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_3_then_ssub_0 Register Class...
-  static const uint16_t DQuad_with_dsub_3_then_ssub_0[] = {
+  static MCPhysReg DQuad_with_dsub_3_then_ssub_0[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, ARM_Q4_Q5, ARM_D9_D10_D11_D12, ARM_Q5_Q6, ARM_D11_D12_D13_D14, ARM_Q6_Q7, 
   };
 
@@ -1946,7 +1947,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t DQuad_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg DQuad_with_dsub_0_in_DPR_8[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, ARM_D7_D8_D9_D10, 
   };
 
@@ -1956,7 +1957,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_qsub_0_in_QPR_VFP2 Register Class...
-  static const uint16_t DQuad_with_qsub_0_in_QPR_VFP2[] = {
+  static MCPhysReg DQuad_with_qsub_0_in_QPR_VFP2[] = {
     ARM_Q0_Q1, ARM_Q1_Q2, ARM_Q2_Q3, ARM_Q3_Q4, ARM_Q4_Q5, ARM_Q5_Q6, ARM_Q6_Q7, ARM_Q7_Q8, 
   };
 
@@ -1966,7 +1967,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, ARM_D7_D8_D9_D10, ARM_D9_D10_D11_D12, ARM_D11_D12_D13_D14, ARM_D13_D14_D15_D16, ARM_D15_D16_D17_D18, 
   };
 
@@ -1976,7 +1977,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_1_dsub_2_in_QPR_VFP2 Register Class...
-  static const uint16_t DQuad_with_dsub_1_dsub_2_in_QPR_VFP2[] = {
+  static MCPhysReg DQuad_with_dsub_1_dsub_2_in_QPR_VFP2[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, ARM_D7_D8_D9_D10, ARM_D9_D10_D11_D12, ARM_D11_D12_D13_D14, ARM_D13_D14_D15_D16, 
   };
 
@@ -1986,7 +1987,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_1_in_DPR_8 Register Class...
-  static const uint16_t DQuad_with_dsub_1_in_DPR_8[] = {
+  static MCPhysReg DQuad_with_dsub_1_in_DPR_8[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, ARM_Q3_Q4, 
   };
 
@@ -1996,7 +1997,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_qsub_1_in_QPR_VFP2 Register Class...
-  static const uint16_t DQuad_with_qsub_1_in_QPR_VFP2[] = {
+  static MCPhysReg DQuad_with_qsub_1_in_QPR_VFP2[] = {
     ARM_Q0_Q1, ARM_Q1_Q2, ARM_Q2_Q3, ARM_Q3_Q4, ARM_Q4_Q5, ARM_Q5_Q6, ARM_Q6_Q7, 
   };
 
@@ -2006,7 +2007,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t DQuad_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg DQuad_with_dsub_2_in_DPR_8[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, ARM_D5_D6_D7_D8, 
   };
 
@@ -2016,7 +2017,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, ARM_D7_D8_D9_D10, ARM_D9_D10_D11_D12, ARM_D11_D12_D13_D14, 
   };
 
@@ -2026,7 +2027,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_3_in_DPR_8 Register Class...
-  static const uint16_t DQuad_with_dsub_3_in_DPR_8[] = {
+  static MCPhysReg DQuad_with_dsub_3_in_DPR_8[] = {
     ARM_Q0_Q1, ARM_D1_D2_D3_D4, ARM_Q1_Q2, ARM_D3_D4_D5_D6, ARM_Q2_Q3, 
   };
 
@@ -2036,7 +2037,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, ARM_D7_D8_D9_D10, 
   };
 
@@ -2046,7 +2047,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_qsub_0_in_QPR_8 Register Class...
-  static const uint16_t DQuad_with_qsub_0_in_QPR_8[] = {
+  static MCPhysReg DQuad_with_qsub_0_in_QPR_8[] = {
     ARM_Q0_Q1, ARM_Q1_Q2, ARM_Q2_Q3, ARM_Q3_Q4, 
   };
 
@@ -2056,7 +2057,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_1_dsub_2_in_QPR_8 Register Class...
-  static const uint16_t DQuad_with_dsub_1_dsub_2_in_QPR_8[] = {
+  static MCPhysReg DQuad_with_dsub_1_dsub_2_in_QPR_8[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, ARM_D5_D6_D7_D8, 
   };
 
@@ -2066,7 +2067,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_qsub_1_in_QPR_8 Register Class...
-  static const uint16_t DQuad_with_qsub_1_in_QPR_8[] = {
+  static MCPhysReg DQuad_with_qsub_1_in_QPR_8[] = {
     ARM_Q0_Q1, ARM_Q1_Q2, ARM_Q2_Q3, 
   };
 
@@ -2076,7 +2077,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR Register Class...
-  static const uint16_t DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
+  static MCPhysReg DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR[] = {
     ARM_D1_D2_D3_D4, ARM_D3_D4_D5_D6, 
   };
 
@@ -2086,7 +2087,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR Register Class...
-  static const uint16_t QQQQPR[] = {
+  static MCPhysReg QQQQPR[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, ARM_Q4_Q5_Q6_Q7, ARM_Q5_Q6_Q7_Q8, ARM_Q6_Q7_Q8_Q9, ARM_Q7_Q8_Q9_Q10, ARM_Q8_Q9_Q10_Q11, ARM_Q9_Q10_Q11_Q12, ARM_Q10_Q11_Q12_Q13, ARM_Q11_Q12_Q13_Q14, ARM_Q12_Q13_Q14_Q15, 
   };
 
@@ -2096,7 +2097,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_ssub_0 Register Class...
-  static const uint16_t QQQQPR_with_ssub_0[] = {
+  static MCPhysReg QQQQPR_with_ssub_0[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, ARM_Q4_Q5_Q6_Q7, ARM_Q5_Q6_Q7_Q8, ARM_Q6_Q7_Q8_Q9, ARM_Q7_Q8_Q9_Q10, 
   };
 
@@ -2106,7 +2107,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_2_then_ssub_0 Register Class...
-  static const uint16_t QQQQPR_with_dsub_2_then_ssub_0[] = {
+  static MCPhysReg QQQQPR_with_dsub_2_then_ssub_0[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, ARM_Q4_Q5_Q6_Q7, ARM_Q5_Q6_Q7_Q8, ARM_Q6_Q7_Q8_Q9, 
   };
 
@@ -2116,7 +2117,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_5_then_ssub_0 Register Class...
-  static const uint16_t QQQQPR_with_dsub_5_then_ssub_0[] = {
+  static MCPhysReg QQQQPR_with_dsub_5_then_ssub_0[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, ARM_Q4_Q5_Q6_Q7, ARM_Q5_Q6_Q7_Q8, 
   };
 
@@ -2126,7 +2127,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_7_then_ssub_0 Register Class...
-  static const uint16_t QQQQPR_with_dsub_7_then_ssub_0[] = {
+  static MCPhysReg QQQQPR_with_dsub_7_then_ssub_0[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, ARM_Q4_Q5_Q6_Q7, 
   };
 
@@ -2136,7 +2137,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_0_in_DPR_8 Register Class...
-  static const uint16_t QQQQPR_with_dsub_0_in_DPR_8[] = {
+  static MCPhysReg QQQQPR_with_dsub_0_in_DPR_8[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, ARM_Q3_Q4_Q5_Q6, 
   };
 
@@ -2146,7 +2147,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_2_in_DPR_8 Register Class...
-  static const uint16_t QQQQPR_with_dsub_2_in_DPR_8[] = {
+  static MCPhysReg QQQQPR_with_dsub_2_in_DPR_8[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, ARM_Q2_Q3_Q4_Q5, 
   };
 
@@ -2156,7 +2157,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_4_in_DPR_8 Register Class...
-  static const uint16_t QQQQPR_with_dsub_4_in_DPR_8[] = {
+  static MCPhysReg QQQQPR_with_dsub_4_in_DPR_8[] = {
     ARM_Q0_Q1_Q2_Q3, ARM_Q1_Q2_Q3_Q4, 
   };
 
@@ -2166,7 +2167,7 @@ static const MCRegisterDesc ARMRegDesc[]
   };
 
   // QQQQPR_with_dsub_6_in_DPR_8 Register Class...
-  static const uint16_t QQQQPR_with_dsub_6_in_DPR_8[] = {
+  static MCPhysReg QQQQPR_with_dsub_6_in_DPR_8[] = {
     ARM_Q0_Q1_Q2_Q3, 
   };
 
@@ -2175,107 +2176,107 @@ static const MCRegisterDesc ARMRegDesc[]
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
   };
 
-static const MCRegisterClass ARMMCRegisterClasses[] = {
-  { "SPR", SPR, SPRBits, 32, sizeof(SPRBits), ARM_SPRRegClassID, 4, 4, 1, 1 },
-  { "GPR", GPR, GPRBits, 16, sizeof(GPRBits), ARM_GPRRegClassID, 4, 4, 1, 1 },
-  { "GPRwithAPSR", GPRwithAPSR, GPRwithAPSRBits, 16, sizeof(GPRwithAPSRBits), ARM_GPRwithAPSRRegClassID, 4, 4, 1, 1 },
-  { "SPR_8", SPR_8, SPR_8Bits, 16, sizeof(SPR_8Bits), ARM_SPR_8RegClassID, 4, 4, 1, 1 },
-  { "GPRnopc", GPRnopc, GPRnopcBits, 15, sizeof(GPRnopcBits), ARM_GPRnopcRegClassID, 4, 4, 1, 1 },
-  { "rGPR", rGPR, rGPRBits, 14, sizeof(rGPRBits), ARM_rGPRRegClassID, 4, 4, 1, 1 },
-  { "hGPR", hGPR, hGPRBits, 8, sizeof(hGPRBits), ARM_hGPRRegClassID, 4, 4, 1, 1 },
-  { "tGPR", tGPR, tGPRBits, 8, sizeof(tGPRBits), ARM_tGPRRegClassID, 4, 4, 1, 1 },
-  { "GPRnopc_and_hGPR", GPRnopc_and_hGPR, GPRnopc_and_hGPRBits, 7, sizeof(GPRnopc_and_hGPRBits), ARM_GPRnopc_and_hGPRRegClassID, 4, 4, 1, 1 },
-  { "hGPR_and_rGPR", hGPR_and_rGPR, hGPR_and_rGPRBits, 6, sizeof(hGPR_and_rGPRBits), ARM_hGPR_and_rGPRRegClassID, 4, 4, 1, 1 },
-  { "tcGPR", tcGPR, tcGPRBits, 5, sizeof(tcGPRBits), ARM_tcGPRRegClassID, 4, 4, 1, 1 },
-  { "tGPR_and_tcGPR", tGPR_and_tcGPR, tGPR_and_tcGPRBits, 4, sizeof(tGPR_and_tcGPRBits), ARM_tGPR_and_tcGPRRegClassID, 4, 4, 1, 1 },
-  { "CCR", CCR, CCRBits, 1, sizeof(CCRBits), ARM_CCRRegClassID, 4, 4, -1, 0 },
-  { "GPRsp", GPRsp, GPRspBits, 1, sizeof(GPRspBits), ARM_GPRspRegClassID, 4, 4, 1, 1 },
-  { "hGPR_and_tcGPR", hGPR_and_tcGPR, hGPR_and_tcGPRBits, 1, sizeof(hGPR_and_tcGPRBits), ARM_hGPR_and_tcGPRRegClassID, 4, 4, 1, 1 },
-  { "DPR", DPR, DPRBits, 32, sizeof(DPRBits), ARM_DPRRegClassID, 8, 8, 1, 1 },
-  { "DPR_VFP2", DPR_VFP2, DPR_VFP2Bits, 16, sizeof(DPR_VFP2Bits), ARM_DPR_VFP2RegClassID, 8, 8, 1, 1 },
-  { "DPR_8", DPR_8, DPR_8Bits, 8, sizeof(DPR_8Bits), ARM_DPR_8RegClassID, 8, 8, 1, 1 },
-  { "GPRPair", GPRPair, GPRPairBits, 7, sizeof(GPRPairBits), ARM_GPRPairRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_1_in_rGPR", GPRPair_with_gsub_1_in_rGPR, GPRPair_with_gsub_1_in_rGPRBits, 6, sizeof(GPRPair_with_gsub_1_in_rGPRBits), ARM_GPRPair_with_gsub_1_in_rGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_0_in_tGPR", GPRPair_with_gsub_0_in_tGPR, GPRPair_with_gsub_0_in_tGPRBits, 4, sizeof(GPRPair_with_gsub_0_in_tGPRBits), ARM_GPRPair_with_gsub_0_in_tGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_0_in_hGPR", GPRPair_with_gsub_0_in_hGPR, GPRPair_with_gsub_0_in_hGPRBits, 3, sizeof(GPRPair_with_gsub_0_in_hGPRBits), ARM_GPRPair_with_gsub_0_in_hGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_0_in_tcGPR", GPRPair_with_gsub_0_in_tcGPR, GPRPair_with_gsub_0_in_tcGPRBits, 3, sizeof(GPRPair_with_gsub_0_in_tcGPRBits), ARM_GPRPair_with_gsub_0_in_tcGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_1_in_hGPR_and_rGPR", GPRPair_with_gsub_1_in_hGPR_and_rGPR, GPRPair_with_gsub_1_in_hGPR_and_rGPRBits, 2, sizeof(GPRPair_with_gsub_1_in_hGPR_and_rGPRBits), ARM_GPRPair_with_gsub_1_in_hGPR_and_rGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_1_in_tcGPR", GPRPair_with_gsub_1_in_tcGPR, GPRPair_with_gsub_1_in_tcGPRBits, 2, sizeof(GPRPair_with_gsub_1_in_tcGPRBits), ARM_GPRPair_with_gsub_1_in_tcGPRRegClassID, 8, 8, 1, 1 },
-  { "GPRPair_with_gsub_1_in_GPRsp", GPRPair_with_gsub_1_in_GPRsp, GPRPair_with_gsub_1_in_GPRspBits, 1, sizeof(GPRPair_with_gsub_1_in_GPRspBits), ARM_GPRPair_with_gsub_1_in_GPRspRegClassID, 8, 8, 1, 1 },
-  { "DPairSpc", DPairSpc, DPairSpcBits, 30, sizeof(DPairSpcBits), ARM_DPairSpcRegClassID, 16, 8, 1, 1 },
-  { "DPairSpc_with_ssub_0", DPairSpc_with_ssub_0, DPairSpc_with_ssub_0Bits, 16, sizeof(DPairSpc_with_ssub_0Bits), ARM_DPairSpc_with_ssub_0RegClassID, 16, 8, 1, 1 },
-  { "DPairSpc_with_dsub_2_then_ssub_0", DPairSpc_with_dsub_2_then_ssub_0, DPairSpc_with_dsub_2_then_ssub_0Bits, 14, sizeof(DPairSpc_with_dsub_2_then_ssub_0Bits), ARM_DPairSpc_with_dsub_2_then_ssub_0RegClassID, 16, 8, 1, 1 },
-  { "DPairSpc_with_dsub_0_in_DPR_8", DPairSpc_with_dsub_0_in_DPR_8, DPairSpc_with_dsub_0_in_DPR_8Bits, 8, sizeof(DPairSpc_with_dsub_0_in_DPR_8Bits), ARM_DPairSpc_with_dsub_0_in_DPR_8RegClassID, 16, 8, 1, 1 },
-  { "DPairSpc_with_dsub_2_in_DPR_8", DPairSpc_with_dsub_2_in_DPR_8, DPairSpc_with_dsub_2_in_DPR_8Bits, 6, sizeof(DPairSpc_with_dsub_2_in_DPR_8Bits), ARM_DPairSpc_with_dsub_2_in_DPR_8RegClassID, 16, 8, 1, 1 },
-  { "DPair", DPair, DPairBits, 31, sizeof(DPairBits), ARM_DPairRegClassID, 16, 16, 1, 1 },
-  { "DPair_with_ssub_0", DPair_with_ssub_0, DPair_with_ssub_0Bits, 16, sizeof(DPair_with_ssub_0Bits), ARM_DPair_with_ssub_0RegClassID, 16, 16, 1, 1 },
-  { "QPR", QPR, QPRBits, 16, sizeof(QPRBits), ARM_QPRRegClassID, 16, 16, 1, 1 },
-  { "DPair_with_ssub_2", DPair_with_ssub_2, DPair_with_ssub_2Bits, 15, sizeof(DPair_with_ssub_2Bits), ARM_DPair_with_ssub_2RegClassID, 16, 16, 1, 1 },
-  { "DPair_with_dsub_0_in_DPR_8", DPair_with_dsub_0_in_DPR_8, DPair_with_dsub_0_in_DPR_8Bits, 8, sizeof(DPair_with_dsub_0_in_DPR_8Bits), ARM_DPair_with_dsub_0_in_DPR_8RegClassID, 16, 16, 1, 1 },
-  { "QPR_VFP2", QPR_VFP2, QPR_VFP2Bits, 8, sizeof(QPR_VFP2Bits), ARM_QPR_VFP2RegClassID, 16, 16, 1, 1 },
-  { "DPair_with_dsub_1_in_DPR_8", DPair_with_dsub_1_in_DPR_8, DPair_with_dsub_1_in_DPR_8Bits, 7, sizeof(DPair_with_dsub_1_in_DPR_8Bits), ARM_DPair_with_dsub_1_in_DPR_8RegClassID, 16, 16, 1, 1 },
-  { "QPR_8", QPR_8, QPR_8Bits, 4, sizeof(QPR_8Bits), ARM_QPR_8RegClassID, 16, 16, 1, 1 },
-  { "DTriple", DTriple, DTripleBits, 30, sizeof(DTripleBits), ARM_DTripleRegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc", DTripleSpc, DTripleSpcBits, 28, sizeof(DTripleSpcBits), ARM_DTripleSpcRegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_ssub_0", DTripleSpc_with_ssub_0, DTripleSpc_with_ssub_0Bits, 16, sizeof(DTripleSpc_with_ssub_0Bits), ARM_DTripleSpc_with_ssub_0RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_ssub_0", DTriple_with_ssub_0, DTriple_with_ssub_0Bits, 16, sizeof(DTriple_with_ssub_0Bits), ARM_DTriple_with_ssub_0RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_1_dsub_2_in_QPR", DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_dsub_1_dsub_2_in_QPRBits, 15, sizeof(DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_qsub_0_in_QPR", DTriple_with_qsub_0_in_QPR, DTriple_with_qsub_0_in_QPRBits, 15, sizeof(DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_ssub_2", DTriple_with_ssub_2, DTriple_with_ssub_2Bits, 15, sizeof(DTriple_with_ssub_2Bits), ARM_DTriple_with_ssub_2RegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_dsub_2_then_ssub_0", DTripleSpc_with_dsub_2_then_ssub_0, DTripleSpc_with_dsub_2_then_ssub_0Bits, 14, sizeof(DTripleSpc_with_dsub_2_then_ssub_0Bits), ARM_DTripleSpc_with_dsub_2_then_ssub_0RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_2_then_ssub_0", DTriple_with_dsub_2_then_ssub_0, DTriple_with_dsub_2_then_ssub_0Bits, 14, sizeof(DTriple_with_dsub_2_then_ssub_0Bits), ARM_DTriple_with_dsub_2_then_ssub_0RegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_dsub_4_then_ssub_0", DTripleSpc_with_dsub_4_then_ssub_0, DTripleSpc_with_dsub_4_then_ssub_0Bits, 12, sizeof(DTripleSpc_with_dsub_4_then_ssub_0Bits), ARM_DTripleSpc_with_dsub_4_then_ssub_0RegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_dsub_0_in_DPR_8", DTripleSpc_with_dsub_0_in_DPR_8, DTripleSpc_with_dsub_0_in_DPR_8Bits, 8, sizeof(DTripleSpc_with_dsub_0_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_0_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_0_in_DPR_8", DTriple_with_dsub_0_in_DPR_8, DTriple_with_dsub_0_in_DPR_8Bits, 8, sizeof(DTriple_with_dsub_0_in_DPR_8Bits), ARM_DTriple_with_dsub_0_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_qsub_0_in_QPR_VFP2", DTriple_with_qsub_0_in_QPR_VFP2, DTriple_with_qsub_0_in_QPR_VFP2Bits, 8, sizeof(DTriple_with_qsub_0_in_QPR_VFP2Bits), ARM_DTriple_with_qsub_0_in_QPR_VFP2RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR", DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRBits, 8, sizeof(DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_1_dsub_2_in_QPR_VFP2", DTriple_with_dsub_1_dsub_2_in_QPR_VFP2, DTriple_with_dsub_1_dsub_2_in_QPR_VFP2Bits, 7, sizeof(DTriple_with_dsub_1_dsub_2_in_QPR_VFP2Bits), ARM_DTriple_with_dsub_1_dsub_2_in_QPR_VFP2RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_1_in_DPR_8", DTriple_with_dsub_1_in_DPR_8, DTriple_with_dsub_1_in_DPR_8Bits, 7, sizeof(DTriple_with_dsub_1_in_DPR_8Bits), ARM_DTriple_with_dsub_1_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR", DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR, DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRBits, 7, sizeof(DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_dsub_2_in_DPR_8", DTripleSpc_with_dsub_2_in_DPR_8, DTripleSpc_with_dsub_2_in_DPR_8Bits, 6, sizeof(DTripleSpc_with_dsub_2_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_2_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_2_in_DPR_8", DTriple_with_dsub_2_in_DPR_8, DTriple_with_dsub_2_in_DPR_8Bits, 6, sizeof(DTriple_with_dsub_2_in_DPR_8Bits), ARM_DTriple_with_dsub_2_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTripleSpc_with_dsub_4_in_DPR_8", DTripleSpc_with_dsub_4_in_DPR_8, DTripleSpc_with_dsub_4_in_DPR_8Bits, 4, sizeof(DTripleSpc_with_dsub_4_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_4_in_DPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR", DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRBits, 4, sizeof(DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_qsub_0_in_QPR_8", DTriple_with_qsub_0_in_QPR_8, DTriple_with_qsub_0_in_QPR_8Bits, 4, sizeof(DTriple_with_qsub_0_in_QPR_8Bits), ARM_DTriple_with_qsub_0_in_QPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_1_dsub_2_in_QPR_8", DTriple_with_dsub_1_dsub_2_in_QPR_8, DTriple_with_dsub_1_dsub_2_in_QPR_8Bits, 3, sizeof(DTriple_with_dsub_1_dsub_2_in_QPR_8Bits), ARM_DTriple_with_dsub_1_dsub_2_in_QPR_8RegClassID, 24, 8, 1, 1 },
-  { "DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR", DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR, DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRBits, 3, sizeof(DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
-  { "DQuadSpc", DQuadSpc, DQuadSpcBits, 28, sizeof(DQuadSpcBits), ARM_DQuadSpcRegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_ssub_0", DQuadSpc_with_ssub_0, DQuadSpc_with_ssub_0Bits, 16, sizeof(DQuadSpc_with_ssub_0Bits), ARM_DQuadSpc_with_ssub_0RegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_dsub_2_then_ssub_0", DQuadSpc_with_dsub_2_then_ssub_0, DQuadSpc_with_dsub_2_then_ssub_0Bits, 14, sizeof(DQuadSpc_with_dsub_2_then_ssub_0Bits), ARM_DQuadSpc_with_dsub_2_then_ssub_0RegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_dsub_4_then_ssub_0", DQuadSpc_with_dsub_4_then_ssub_0, DQuadSpc_with_dsub_4_then_ssub_0Bits, 12, sizeof(DQuadSpc_with_dsub_4_then_ssub_0Bits), ARM_DQuadSpc_with_dsub_4_then_ssub_0RegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_dsub_0_in_DPR_8", DQuadSpc_with_dsub_0_in_DPR_8, DQuadSpc_with_dsub_0_in_DPR_8Bits, 8, sizeof(DQuadSpc_with_dsub_0_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_0_in_DPR_8RegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_dsub_2_in_DPR_8", DQuadSpc_with_dsub_2_in_DPR_8, DQuadSpc_with_dsub_2_in_DPR_8Bits, 6, sizeof(DQuadSpc_with_dsub_2_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_2_in_DPR_8RegClassID, 32, 8, 1, 1 },
-  { "DQuadSpc_with_dsub_4_in_DPR_8", DQuadSpc_with_dsub_4_in_DPR_8, DQuadSpc_with_dsub_4_in_DPR_8Bits, 4, sizeof(DQuadSpc_with_dsub_4_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_4_in_DPR_8RegClassID, 32, 8, 1, 1 },
-  { "DQuad", DQuad, DQuadBits, 29, sizeof(DQuadBits), ARM_DQuadRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_ssub_0", DQuad_with_ssub_0, DQuad_with_ssub_0Bits, 16, sizeof(DQuad_with_ssub_0Bits), ARM_DQuad_with_ssub_0RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_ssub_2", DQuad_with_ssub_2, DQuad_with_ssub_2Bits, 15, sizeof(DQuad_with_ssub_2Bits), ARM_DQuad_with_ssub_2RegClassID, 32, 32, 1, 1 },
-  { "QQPR", QQPR, QQPRBits, 15, sizeof(QQPRBits), ARM_QQPRRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_1_dsub_2_in_QPR", DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_1_dsub_2_in_QPRBits, 14, sizeof(DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_2_then_ssub_0", DQuad_with_dsub_2_then_ssub_0, DQuad_with_dsub_2_then_ssub_0Bits, 14, sizeof(DQuad_with_dsub_2_then_ssub_0Bits), ARM_DQuad_with_dsub_2_then_ssub_0RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_3_then_ssub_0", DQuad_with_dsub_3_then_ssub_0, DQuad_with_dsub_3_then_ssub_0Bits, 13, sizeof(DQuad_with_dsub_3_then_ssub_0Bits), ARM_DQuad_with_dsub_3_then_ssub_0RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_0_in_DPR_8", DQuad_with_dsub_0_in_DPR_8, DQuad_with_dsub_0_in_DPR_8Bits, 8, sizeof(DQuad_with_dsub_0_in_DPR_8Bits), ARM_DQuad_with_dsub_0_in_DPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_qsub_0_in_QPR_VFP2", DQuad_with_qsub_0_in_QPR_VFP2, DQuad_with_qsub_0_in_QPR_VFP2Bits, 8, sizeof(DQuad_with_qsub_0_in_QPR_VFP2Bits), ARM_DQuad_with_qsub_0_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR", DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 8, sizeof(DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_1_dsub_2_in_QPR_VFP2", DQuad_with_dsub_1_dsub_2_in_QPR_VFP2, DQuad_with_dsub_1_dsub_2_in_QPR_VFP2Bits, 7, sizeof(DQuad_with_dsub_1_dsub_2_in_QPR_VFP2Bits), ARM_DQuad_with_dsub_1_dsub_2_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_1_in_DPR_8", DQuad_with_dsub_1_in_DPR_8, DQuad_with_dsub_1_in_DPR_8Bits, 7, sizeof(DQuad_with_dsub_1_in_DPR_8Bits), ARM_DQuad_with_dsub_1_in_DPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_qsub_1_in_QPR_VFP2", DQuad_with_qsub_1_in_QPR_VFP2, DQuad_with_qsub_1_in_QPR_VFP2Bits, 7, sizeof(DQuad_with_qsub_1_in_QPR_VFP2Bits), ARM_DQuad_with_qsub_1_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_2_in_DPR_8", DQuad_with_dsub_2_in_DPR_8, DQuad_with_dsub_2_in_DPR_8Bits, 6, sizeof(DQuad_with_dsub_2_in_DPR_8Bits), ARM_DQuad_with_dsub_2_in_DPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR", DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 6, sizeof(DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_3_in_DPR_8", DQuad_with_dsub_3_in_DPR_8, DQuad_with_dsub_3_in_DPR_8Bits, 5, sizeof(DQuad_with_dsub_3_in_DPR_8Bits), ARM_DQuad_with_dsub_3_in_DPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR", DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 4, sizeof(DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_qsub_0_in_QPR_8", DQuad_with_qsub_0_in_QPR_8, DQuad_with_qsub_0_in_QPR_8Bits, 4, sizeof(DQuad_with_qsub_0_in_QPR_8Bits), ARM_DQuad_with_qsub_0_in_QPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_1_dsub_2_in_QPR_8", DQuad_with_dsub_1_dsub_2_in_QPR_8, DQuad_with_dsub_1_dsub_2_in_QPR_8Bits, 3, sizeof(DQuad_with_dsub_1_dsub_2_in_QPR_8Bits), ARM_DQuad_with_dsub_1_dsub_2_in_QPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_qsub_1_in_QPR_8", DQuad_with_qsub_1_in_QPR_8, DQuad_with_qsub_1_in_QPR_8Bits, 3, sizeof(DQuad_with_qsub_1_in_QPR_8Bits), ARM_DQuad_with_qsub_1_in_QPR_8RegClassID, 32, 32, 1, 1 },
-  { "DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR", DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 2, sizeof(DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
-  { "QQQQPR", QQQQPR, QQQQPRBits, 13, sizeof(QQQQPRBits), ARM_QQQQPRRegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_ssub_0", QQQQPR_with_ssub_0, QQQQPR_with_ssub_0Bits, 8, sizeof(QQQQPR_with_ssub_0Bits), ARM_QQQQPR_with_ssub_0RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_2_then_ssub_0", QQQQPR_with_dsub_2_then_ssub_0, QQQQPR_with_dsub_2_then_ssub_0Bits, 7, sizeof(QQQQPR_with_dsub_2_then_ssub_0Bits), ARM_QQQQPR_with_dsub_2_then_ssub_0RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_5_then_ssub_0", QQQQPR_with_dsub_5_then_ssub_0, QQQQPR_with_dsub_5_then_ssub_0Bits, 6, sizeof(QQQQPR_with_dsub_5_then_ssub_0Bits), ARM_QQQQPR_with_dsub_5_then_ssub_0RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_7_then_ssub_0", QQQQPR_with_dsub_7_then_ssub_0, QQQQPR_with_dsub_7_then_ssub_0Bits, 5, sizeof(QQQQPR_with_dsub_7_then_ssub_0Bits), ARM_QQQQPR_with_dsub_7_then_ssub_0RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_0_in_DPR_8", QQQQPR_with_dsub_0_in_DPR_8, QQQQPR_with_dsub_0_in_DPR_8Bits, 4, sizeof(QQQQPR_with_dsub_0_in_DPR_8Bits), ARM_QQQQPR_with_dsub_0_in_DPR_8RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_2_in_DPR_8", QQQQPR_with_dsub_2_in_DPR_8, QQQQPR_with_dsub_2_in_DPR_8Bits, 3, sizeof(QQQQPR_with_dsub_2_in_DPR_8Bits), ARM_QQQQPR_with_dsub_2_in_DPR_8RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_4_in_DPR_8", QQQQPR_with_dsub_4_in_DPR_8, QQQQPR_with_dsub_4_in_DPR_8Bits, 2, sizeof(QQQQPR_with_dsub_4_in_DPR_8Bits), ARM_QQQQPR_with_dsub_4_in_DPR_8RegClassID, 64, 32, 1, 1 },
-  { "QQQQPR_with_dsub_6_in_DPR_8", QQQQPR_with_dsub_6_in_DPR_8, QQQQPR_with_dsub_6_in_DPR_8Bits, 1, sizeof(QQQQPR_with_dsub_6_in_DPR_8Bits), ARM_QQQQPR_with_dsub_6_in_DPR_8RegClassID, 64, 32, 1, 1 },
+static MCRegisterClass ARMMCRegisterClasses[] = {
+  { SPR, SPRBits, 2228, 32, sizeof(SPRBits), ARM_SPRRegClassID, 4, 4, 1, 1 },
+  { GPR, GPRBits, 1512, 16, sizeof(GPRBits), ARM_GPRRegClassID, 4, 4, 1, 1 },
+  { GPRwithAPSR, GPRwithAPSRBits, 2232, 16, sizeof(GPRwithAPSRBits), ARM_GPRwithAPSRRegClassID, 4, 4, 1, 1 },
+  { SPR_8, SPR_8Bits, 1487, 16, sizeof(SPR_8Bits), ARM_SPR_8RegClassID, 4, 4, 1, 1 },
+  { GPRnopc, GPRnopcBits, 2273, 15, sizeof(GPRnopcBits), ARM_GPRnopcRegClassID, 4, 4, 1, 1 },
+  { rGPR, rGPRBits, 1666, 14, sizeof(rGPRBits), ARM_rGPRRegClassID, 4, 4, 1, 1 },
+  { hGPR, hGPRBits, 1601, 8, sizeof(hGPRBits), ARM_hGPRRegClassID, 4, 4, 1, 1 },
+  { tGPR, tGPRBits, 1722, 8, sizeof(tGPRBits), ARM_tGPRRegClassID, 4, 4, 1, 1 },
+  { GPRnopc_and_hGPR, GPRnopc_and_hGPRBits, 1589, 7, sizeof(GPRnopc_and_hGPRBits), ARM_GPRnopc_and_hGPRRegClassID, 4, 4, 1, 1 },
+  { hGPR_and_rGPR, hGPR_and_rGPRBits, 1657, 6, sizeof(hGPR_and_rGPRBits), ARM_hGPR_and_rGPRRegClassID, 4, 4, 1, 1 },
+  { tcGPR, tcGPRBits, 1510, 5, sizeof(tcGPRBits), ARM_tcGPRRegClassID, 4, 4, 1, 1 },
+  { tGPR_and_tcGPR, tGPR_and_tcGPRBits, 1516, 4, sizeof(tGPR_and_tcGPRBits), ARM_tGPR_and_tcGPRRegClassID, 4, 4, 1, 1 },
+  { CCR, CCRBits, 1493, 1, sizeof(CCRBits), ARM_CCRRegClassID, 4, 4, -1, 0 },
+  { GPRsp, GPRspBits, 2318, 1, sizeof(GPRspBits), ARM_GPRspRegClassID, 4, 4, 1, 1 },
+  { hGPR_and_tcGPR, hGPR_and_tcGPRBits, 1501, 1, sizeof(hGPR_and_tcGPRBits), ARM_hGPR_and_tcGPRRegClassID, 4, 4, 1, 1 },
+  { DPR, DPRBits, 1497, 32, sizeof(DPRBits), ARM_DPRRegClassID, 8, 8, 1, 1 },
+  { DPR_VFP2, DPR_VFP2Bits, 494, 16, sizeof(DPR_VFP2Bits), ARM_DPR_VFP2RegClassID, 8, 8, 1, 1 },
+  { DPR_8, DPR_8Bits, 749, 8, sizeof(DPR_8Bits), ARM_DPR_8RegClassID, 8, 8, 1, 1 },
+  { GPRPair, GPRPairBits, 2330, 7, sizeof(GPRPairBits), ARM_GPRPairRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_1_in_rGPR, GPRPair_with_gsub_1_in_rGPRBits, 1671, 6, sizeof(GPRPair_with_gsub_1_in_rGPRBits), ARM_GPRPair_with_gsub_1_in_rGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_0_in_tGPR, GPRPair_with_gsub_0_in_tGPRBits, 1699, 4, sizeof(GPRPair_with_gsub_0_in_tGPRBits), ARM_GPRPair_with_gsub_0_in_tGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_0_in_hGPR, GPRPair_with_gsub_0_in_hGPRBits, 1606, 3, sizeof(GPRPair_with_gsub_0_in_hGPRBits), ARM_GPRPair_with_gsub_0_in_hGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_0_in_tcGPR, GPRPair_with_gsub_0_in_tcGPRBits, 1531, 3, sizeof(GPRPair_with_gsub_0_in_tcGPRBits), ARM_GPRPair_with_gsub_0_in_tcGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_1_in_hGPR_and_rGPR, GPRPair_with_gsub_1_in_hGPR_and_rGPRBits, 1634, 2, sizeof(GPRPair_with_gsub_1_in_hGPR_and_rGPRBits), ARM_GPRPair_with_gsub_1_in_hGPR_and_rGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_1_in_tcGPR, GPRPair_with_gsub_1_in_tcGPRBits, 1560, 2, sizeof(GPRPair_with_gsub_1_in_tcGPRBits), ARM_GPRPair_with_gsub_1_in_tcGPRRegClassID, 8, 8, 1, 1 },
+  { GPRPair_with_gsub_1_in_GPRsp, GPRPair_with_gsub_1_in_GPRspBits, 2295, 1, sizeof(GPRPair_with_gsub_1_in_GPRspBits), ARM_GPRPair_with_gsub_1_in_GPRspRegClassID, 8, 8, 1, 1 },
+  { DPairSpc, DPairSpcBits, 2264, 30, sizeof(DPairSpcBits), ARM_DPairSpcRegClassID, 16, 8, 1, 1 },
+  { DPairSpc_with_ssub_0, DPairSpc_with_ssub_0Bits, 63, 16, sizeof(DPairSpc_with_ssub_0Bits), ARM_DPairSpc_with_ssub_0RegClassID, 16, 8, 1, 1 },
+  { DPairSpc_with_dsub_2_then_ssub_0, DPairSpc_with_dsub_2_then_ssub_0Bits, 239, 14, sizeof(DPairSpc_with_dsub_2_then_ssub_0Bits), ARM_DPairSpc_with_dsub_2_then_ssub_0RegClassID, 16, 8, 1, 1 },
+  { DPairSpc_with_dsub_0_in_DPR_8, DPairSpc_with_dsub_0_in_DPR_8Bits, 817, 8, sizeof(DPairSpc_with_dsub_0_in_DPR_8Bits), ARM_DPairSpc_with_dsub_0_in_DPR_8RegClassID, 16, 8, 1, 1 },
+  { DPairSpc_with_dsub_2_in_DPR_8, DPairSpc_with_dsub_2_in_DPR_8Bits, 1103, 6, sizeof(DPairSpc_with_dsub_2_in_DPR_8Bits), ARM_DPairSpc_with_dsub_2_in_DPR_8RegClassID, 16, 8, 1, 1 },
+  { DPair, DPairBits, 2324, 31, sizeof(DPairBits), ARM_DPairRegClassID, 16, 16, 1, 1 },
+  { DPair_with_ssub_0, DPair_with_ssub_0Bits, 122, 16, sizeof(DPair_with_ssub_0Bits), ARM_DPair_with_ssub_0RegClassID, 16, 16, 1, 1 },
+  { QPR, QPRBits, 1730, 16, sizeof(QPRBits), ARM_QPRRegClassID, 16, 16, 1, 1 },
+  { DPair_with_ssub_2, DPair_with_ssub_2Bits, 709, 15, sizeof(DPair_with_ssub_2Bits), ARM_DPair_with_ssub_2RegClassID, 16, 16, 1, 1 },
+  { DPair_with_dsub_0_in_DPR_8, DPair_with_dsub_0_in_DPR_8Bits, 903, 8, sizeof(DPair_with_dsub_0_in_DPR_8Bits), ARM_DPair_with_dsub_0_in_DPR_8RegClassID, 16, 16, 1, 1 },
+  { QPR_VFP2, QPR_VFP2Bits, 524, 8, sizeof(QPR_VFP2Bits), ARM_QPR_VFP2RegClassID, 16, 16, 1, 1 },
+  { DPair_with_dsub_1_in_DPR_8, DPair_with_dsub_1_in_DPR_8Bits, 986, 7, sizeof(DPair_with_dsub_1_in_DPR_8Bits), ARM_DPair_with_dsub_1_in_DPR_8RegClassID, 16, 16, 1, 1 },
+  { QPR_8, QPR_8Bits, 1355, 4, sizeof(QPR_8Bits), ARM_QPR_8RegClassID, 16, 16, 1, 1 },
+  { DTriple, DTripleBits, 2287, 30, sizeof(DTripleBits), ARM_DTripleRegClassID, 24, 8, 1, 1 },
+  { DTripleSpc, DTripleSpcBits, 2253, 28, sizeof(DTripleSpcBits), ARM_DTripleSpcRegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_ssub_0, DTripleSpc_with_ssub_0Bits, 40, 16, sizeof(DTripleSpc_with_ssub_0Bits), ARM_DTripleSpc_with_ssub_0RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_ssub_0, DTriple_with_ssub_0Bits, 102, 16, sizeof(DTriple_with_ssub_0Bits), ARM_DTriple_with_ssub_0RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_dsub_1_dsub_2_in_QPRBits, 2127, 15, sizeof(DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DTriple_with_qsub_0_in_QPR, DTriple_with_qsub_0_in_QPRBits, 1770, 15, sizeof(DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DTriple_with_ssub_2, DTriple_with_ssub_2Bits, 689, 15, sizeof(DTriple_with_ssub_2Bits), ARM_DTriple_with_ssub_2RegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_dsub_2_then_ssub_0, DTripleSpc_with_dsub_2_then_ssub_0Bits, 204, 14, sizeof(DTripleSpc_with_dsub_2_then_ssub_0Bits), ARM_DTripleSpc_with_dsub_2_then_ssub_0RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_2_then_ssub_0, DTriple_with_dsub_2_then_ssub_0Bits, 302, 14, sizeof(DTriple_with_dsub_2_then_ssub_0Bits), ARM_DTriple_with_dsub_2_then_ssub_0RegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_dsub_4_then_ssub_0, DTripleSpc_with_dsub_4_then_ssub_0Bits, 397, 12, sizeof(DTripleSpc_with_dsub_4_then_ssub_0Bits), ARM_DTripleSpc_with_dsub_4_then_ssub_0RegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_dsub_0_in_DPR_8, DTripleSpc_with_dsub_0_in_DPR_8Bits, 785, 8, sizeof(DTripleSpc_with_dsub_0_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_0_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_0_in_DPR_8, DTriple_with_dsub_0_in_DPR_8Bits, 874, 8, sizeof(DTriple_with_dsub_0_in_DPR_8Bits), ARM_DTriple_with_dsub_0_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_qsub_0_in_QPR_VFP2, DTriple_with_qsub_0_in_QPR_VFP2Bits, 533, 8, sizeof(DTriple_with_qsub_0_in_QPR_VFP2Bits), ARM_DTriple_with_qsub_0_in_QPR_VFP2RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRBits, 2103, 8, sizeof(DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_ssub_0_and_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_1_dsub_2_in_QPR_VFP2, DTriple_with_dsub_1_dsub_2_in_QPR_VFP2Bits, 632, 7, sizeof(DTriple_with_dsub_1_dsub_2_in_QPR_VFP2Bits), ARM_DTriple_with_dsub_1_dsub_2_in_QPR_VFP2RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_1_in_DPR_8, DTriple_with_dsub_1_in_DPR_8Bits, 957, 7, sizeof(DTriple_with_dsub_1_in_DPR_8Bits), ARM_DTriple_with_dsub_1_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPR, DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRBits, 1734, 7, sizeof(DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_dsub_2_then_ssub_0_and_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_dsub_2_in_DPR_8, DTripleSpc_with_dsub_2_in_DPR_8Bits, 1071, 6, sizeof(DTripleSpc_with_dsub_2_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_2_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_2_in_DPR_8, DTriple_with_dsub_2_in_DPR_8Bits, 1160, 6, sizeof(DTriple_with_dsub_2_in_DPR_8Bits), ARM_DTriple_with_dsub_2_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTripleSpc_with_dsub_4_in_DPR_8, DTripleSpc_with_dsub_4_in_DPR_8Bits, 1274, 4, sizeof(DTripleSpc_with_dsub_4_in_DPR_8Bits), ARM_DTripleSpc_with_dsub_4_in_DPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPR, DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRBits, 2161, 4, sizeof(DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRBits), ARM_DTriple_with_dsub_0_in_DPR_8_and_DTriple_with_dsub_1_dsub_2_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DTriple_with_qsub_0_in_QPR_8, DTriple_with_qsub_0_in_QPR_8Bits, 1361, 4, sizeof(DTriple_with_qsub_0_in_QPR_8Bits), ARM_DTriple_with_qsub_0_in_QPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_1_dsub_2_in_QPR_8, DTriple_with_dsub_1_dsub_2_in_QPR_8Bits, 1451, 3, sizeof(DTriple_with_dsub_1_dsub_2_in_QPR_8Bits), ARM_DTriple_with_dsub_1_dsub_2_in_QPR_8RegClassID, 24, 8, 1, 1 },
+  { DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPR, DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRBits, 1797, 3, sizeof(DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRBits), ARM_DTriple_with_dsub_2_in_DPR_8_and_DTriple_with_qsub_0_in_QPRRegClassID, 24, 8, 1, 1 },
+  { DQuadSpc, DQuadSpcBits, 2244, 28, sizeof(DQuadSpcBits), ARM_DQuadSpcRegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_ssub_0, DQuadSpc_with_ssub_0Bits, 19, 16, sizeof(DQuadSpc_with_ssub_0Bits), ARM_DQuadSpc_with_ssub_0RegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_dsub_2_then_ssub_0, DQuadSpc_with_dsub_2_then_ssub_0Bits, 171, 14, sizeof(DQuadSpc_with_dsub_2_then_ssub_0Bits), ARM_DQuadSpc_with_dsub_2_then_ssub_0RegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_dsub_4_then_ssub_0, DQuadSpc_with_dsub_4_then_ssub_0Bits, 364, 12, sizeof(DQuadSpc_with_dsub_4_then_ssub_0Bits), ARM_DQuadSpc_with_dsub_4_then_ssub_0RegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_dsub_0_in_DPR_8, DQuadSpc_with_dsub_0_in_DPR_8Bits, 755, 8, sizeof(DQuadSpc_with_dsub_0_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_0_in_DPR_8RegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_dsub_2_in_DPR_8, DQuadSpc_with_dsub_2_in_DPR_8Bits, 1041, 6, sizeof(DQuadSpc_with_dsub_2_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_2_in_DPR_8RegClassID, 32, 8, 1, 1 },
+  { DQuadSpc_with_dsub_4_in_DPR_8, DQuadSpc_with_dsub_4_in_DPR_8Bits, 1244, 4, sizeof(DQuadSpc_with_dsub_4_in_DPR_8Bits), ARM_DQuadSpc_with_dsub_4_in_DPR_8RegClassID, 32, 8, 1, 1 },
+  { DQuad, DQuadBits, 2281, 29, sizeof(DQuadBits), ARM_DQuadRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_ssub_0, DQuad_with_ssub_0Bits, 84, 16, sizeof(DQuad_with_ssub_0Bits), ARM_DQuad_with_ssub_0RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_ssub_2, DQuad_with_ssub_2Bits, 671, 15, sizeof(DQuad_with_ssub_2Bits), ARM_DQuad_with_ssub_2RegClassID, 32, 32, 1, 1 },
+  { QQPR, QQPRBits, 1729, 15, sizeof(QQPRBits), ARM_QQPRRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_1_dsub_2_in_QPRBits, 1879, 14, sizeof(DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_2_then_ssub_0, DQuad_with_dsub_2_then_ssub_0Bits, 272, 14, sizeof(DQuad_with_dsub_2_then_ssub_0Bits), ARM_DQuad_with_dsub_2_then_ssub_0RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_3_then_ssub_0, DQuad_with_dsub_3_then_ssub_0Bits, 334, 13, sizeof(DQuad_with_dsub_3_then_ssub_0Bits), ARM_DQuad_with_dsub_3_then_ssub_0RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_0_in_DPR_8, DQuad_with_dsub_0_in_DPR_8Bits, 847, 8, sizeof(DQuad_with_dsub_0_in_DPR_8Bits), ARM_DQuad_with_dsub_0_in_DPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_qsub_0_in_QPR_VFP2, DQuad_with_qsub_0_in_QPR_VFP2Bits, 503, 8, sizeof(DQuad_with_qsub_0_in_QPR_VFP2Bits), ARM_DQuad_with_qsub_0_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 1857, 8, sizeof(DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_1_dsub_2_in_QPR_VFP2, DQuad_with_dsub_1_dsub_2_in_QPR_VFP2Bits, 595, 7, sizeof(DQuad_with_dsub_1_dsub_2_in_QPR_VFP2Bits), ARM_DQuad_with_dsub_1_dsub_2_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_1_in_DPR_8, DQuad_with_dsub_1_in_DPR_8Bits, 930, 7, sizeof(DQuad_with_dsub_1_in_DPR_8Bits), ARM_DQuad_with_dsub_1_in_DPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_qsub_1_in_QPR_VFP2, DQuad_with_qsub_1_in_QPR_VFP2Bits, 565, 7, sizeof(DQuad_with_qsub_1_in_QPR_VFP2Bits), ARM_DQuad_with_qsub_1_in_QPR_VFP2RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_2_in_DPR_8, DQuad_with_dsub_2_in_DPR_8Bits, 1133, 6, sizeof(DQuad_with_dsub_2_in_DPR_8Bits), ARM_DQuad_with_dsub_2_in_DPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 1911, 6, sizeof(DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_3_then_ssub_0_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_3_in_DPR_8, DQuad_with_dsub_3_in_DPR_8Bits, 1189, 5, sizeof(DQuad_with_dsub_3_in_DPR_8Bits), ARM_DQuad_with_dsub_3_in_DPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 1977, 4, sizeof(DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_0_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
+  { DQuad_with_qsub_0_in_QPR_8, DQuad_with_qsub_0_in_QPR_8Bits, 1334, 4, sizeof(DQuad_with_qsub_0_in_QPR_8Bits), ARM_DQuad_with_qsub_0_in_QPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_1_dsub_2_in_QPR_8, DQuad_with_dsub_1_dsub_2_in_QPR_8Bits, 1417, 3, sizeof(DQuad_with_dsub_1_dsub_2_in_QPR_8Bits), ARM_DQuad_with_dsub_1_dsub_2_in_QPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_qsub_1_in_QPR_8, DQuad_with_qsub_1_in_QPR_8Bits, 1390, 3, sizeof(DQuad_with_qsub_1_in_QPR_8Bits), ARM_DQuad_with_qsub_1_in_QPR_8RegClassID, 32, 32, 1, 1 },
+  { DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPR, DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits, 2040, 2, sizeof(DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRBits), ARM_DQuad_with_dsub_3_in_DPR_8_and_DQuad_with_dsub_1_dsub_2_in_QPRRegClassID, 32, 32, 1, 1 },
+  { QQQQPR, QQQQPRBits, 1727, 13, sizeof(QQQQPRBits), ARM_QQQQPRRegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_ssub_0, QQQQPR_with_ssub_0Bits, 0, 8, sizeof(QQQQPR_with_ssub_0Bits), ARM_QQQQPR_with_ssub_0RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_2_then_ssub_0, QQQQPR_with_dsub_2_then_ssub_0Bits, 140, 7, sizeof(QQQQPR_with_dsub_2_then_ssub_0Bits), ARM_QQQQPR_with_dsub_2_then_ssub_0RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_5_then_ssub_0, QQQQPR_with_dsub_5_then_ssub_0Bits, 432, 6, sizeof(QQQQPR_with_dsub_5_then_ssub_0Bits), ARM_QQQQPR_with_dsub_5_then_ssub_0RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_7_then_ssub_0, QQQQPR_with_dsub_7_then_ssub_0Bits, 463, 5, sizeof(QQQQPR_with_dsub_7_then_ssub_0Bits), ARM_QQQQPR_with_dsub_7_then_ssub_0RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_0_in_DPR_8, QQQQPR_with_dsub_0_in_DPR_8Bits, 727, 4, sizeof(QQQQPR_with_dsub_0_in_DPR_8Bits), ARM_QQQQPR_with_dsub_0_in_DPR_8RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_2_in_DPR_8, QQQQPR_with_dsub_2_in_DPR_8Bits, 1013, 3, sizeof(QQQQPR_with_dsub_2_in_DPR_8Bits), ARM_QQQQPR_with_dsub_2_in_DPR_8RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_4_in_DPR_8, QQQQPR_with_dsub_4_in_DPR_8Bits, 1216, 2, sizeof(QQQQPR_with_dsub_4_in_DPR_8Bits), ARM_QQQQPR_with_dsub_4_in_DPR_8RegClassID, 64, 32, 1, 1 },
+  { QQQQPR_with_dsub_6_in_DPR_8, QQQQPR_with_dsub_6_in_DPR_8Bits, 1306, 1, sizeof(QQQQPR_with_dsub_6_in_DPR_8Bits), ARM_QQQQPR_with_dsub_6_in_DPR_8RegClassID, 64, 32, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMGenSubtargetInfo.inc 4.0.2-3/arch/ARM/ARMGenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMGenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMGenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,68 +7,66 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
 #undef GET_SUBTARGETINFO_ENUM
 
-#define ARM_FeatureAAPCS (1ULL << 0)
-#define ARM_FeatureAClass (1ULL << 1)
-#define ARM_FeatureAPCS (1ULL << 2)
-#define ARM_FeatureAvoidMOVsShOp (1ULL << 3)
-#define ARM_FeatureAvoidPartialCPSR (1ULL << 4)
-#define ARM_FeatureCRC (1ULL << 5)
-#define ARM_FeatureCrypto (1ULL << 6)
-#define ARM_FeatureD16 (1ULL << 7)
-#define ARM_FeatureDB (1ULL << 8)
-#define ARM_FeatureDSPThumb2 (1ULL << 9)
-#define ARM_FeatureFP16 (1ULL << 10)
-#define ARM_FeatureFPARMv8 (1ULL << 11)
-#define ARM_FeatureHWDiv (1ULL << 12)
-#define ARM_FeatureHWDivARM (1ULL << 13)
-#define ARM_FeatureHasRAS (1ULL << 14)
-#define ARM_FeatureHasSlowFPVMLx (1ULL << 15)
-#define ARM_FeatureMClass (1ULL << 16)
-#define ARM_FeatureMP (1ULL << 17)
-#define ARM_FeatureNEON (1ULL << 18)
-#define ARM_FeatureNEONForFP (1ULL << 19)
-#define ARM_FeatureNaClTrap (1ULL << 20)
-#define ARM_FeatureNoARM (1ULL << 21)
-#define ARM_FeaturePerfMon (1ULL << 22)
-#define ARM_FeaturePref32BitThumb (1ULL << 23)
-#define ARM_FeatureRClass (1ULL << 24)
-#define ARM_FeatureSlowFPBrcc (1ULL << 25)
-#define ARM_FeatureT2XtPk (1ULL << 26)
-#define ARM_FeatureThumb2 (1ULL << 27)
-#define ARM_FeatureTrustZone (1ULL << 28)
-#define ARM_FeatureVFP2 (1ULL << 29)
-#define ARM_FeatureVFP3 (1ULL << 30)
-#define ARM_FeatureVFP4 (1ULL << 31)
-#define ARM_FeatureVFPOnlySP (1ULL << 32)
-#define ARM_FeatureVMLxForwarding (1ULL << 33)
-#define ARM_FeatureVirtualization (1ULL << 34)
-#define ARM_FeatureZCZeroing (1ULL << 35)
-#define ARM_HasV4TOps (1ULL << 36)
-#define ARM_HasV5TEOps (1ULL << 37)
-#define ARM_HasV5TOps (1ULL << 38)
-#define ARM_HasV6MOps (1ULL << 39)
-#define ARM_HasV6Ops (1ULL << 40)
-#define ARM_HasV6T2Ops (1ULL << 41)
-#define ARM_HasV7Ops (1ULL << 42)
-#define ARM_HasV8Ops (1ULL << 43)
-#define ARM_ModeThumb (1ULL << 44)
-#define ARM_ProcA5 (1ULL << 45)
-#define ARM_ProcA7 (1ULL << 46)
-#define ARM_ProcA8 (1ULL << 47)
-#define ARM_ProcA9 (1ULL << 48)
-#define ARM_ProcA12 (1ULL << 49)
-#define ARM_ProcA15 (1ULL << 50)
-#define ARM_ProcA53 (1ULL << 51)
-#define ARM_ProcA57 (1ULL << 52)
-#define ARM_ProcKrait (1ULL << 53)
-#define ARM_ProcR5 (1ULL << 54)
-#define ARM_ProcSwift (1ULL << 55)
+#define ARM_FeatureAClass (1ULL << 0)
+#define ARM_FeatureAvoidMOVsShOp (1ULL << 1)
+#define ARM_FeatureAvoidPartialCPSR (1ULL << 2)
+#define ARM_FeatureCRC (1ULL << 3)
+#define ARM_FeatureCrypto (1ULL << 4)
+#define ARM_FeatureD16 (1ULL << 5)
+#define ARM_FeatureDB (1ULL << 6)
+#define ARM_FeatureDSPThumb2 (1ULL << 7)
+#define ARM_FeatureFP16 (1ULL << 8)
+#define ARM_FeatureFPARMv8 (1ULL << 9)
+#define ARM_FeatureHWDiv (1ULL << 10)
+#define ARM_FeatureHWDivARM (1ULL << 11)
+#define ARM_FeatureHasRAS (1ULL << 12)
+#define ARM_FeatureHasSlowFPVMLx (1ULL << 13)
+#define ARM_FeatureMClass (1ULL << 14)
+#define ARM_FeatureMP (1ULL << 15)
+#define ARM_FeatureNEON (1ULL << 16)
+#define ARM_FeatureNEONForFP (1ULL << 17)
+#define ARM_FeatureNaClTrap (1ULL << 18)
+#define ARM_FeatureNoARM (1ULL << 19)
+#define ARM_FeaturePerfMon (1ULL << 20)
+#define ARM_FeaturePref32BitThumb (1ULL << 21)
+#define ARM_FeatureRClass (1ULL << 22)
+#define ARM_FeatureSlowFPBrcc (1ULL << 23)
+#define ARM_FeatureT2XtPk (1ULL << 24)
+#define ARM_FeatureThumb2 (1ULL << 25)
+#define ARM_FeatureTrustZone (1ULL << 26)
+#define ARM_FeatureVFP2 (1ULL << 27)
+#define ARM_FeatureVFP3 (1ULL << 28)
+#define ARM_FeatureVFP4 (1ULL << 29)
+#define ARM_FeatureVFPOnlySP (1ULL << 30)
+#define ARM_FeatureVMLxForwarding (1ULL << 31)
+#define ARM_FeatureVirtualization (1ULL << 32)
+#define ARM_FeatureZCZeroing (1ULL << 33)
+#define ARM_HasV4TOps (1ULL << 34)
+#define ARM_HasV5TEOps (1ULL << 35)
+#define ARM_HasV5TOps (1ULL << 36)
+#define ARM_HasV6MOps (1ULL << 37)
+#define ARM_HasV6Ops (1ULL << 38)
+#define ARM_HasV6T2Ops (1ULL << 39)
+#define ARM_HasV7Ops (1ULL << 40)
+#define ARM_HasV8Ops (1ULL << 41)
+#define ARM_ModeThumb (1ULL << 42)
+#define ARM_ProcA5 (1ULL << 43)
+#define ARM_ProcA7 (1ULL << 44)
+#define ARM_ProcA8 (1ULL << 45)
+#define ARM_ProcA9 (1ULL << 46)
+#define ARM_ProcA12 (1ULL << 47)
+#define ARM_ProcA15 (1ULL << 48)
+#define ARM_ProcA17 (1ULL << 49)
+#define ARM_ProcA53 (1ULL << 50)
+#define ARM_ProcA57 (1ULL << 51)
+#define ARM_ProcKrait (1ULL << 52)
+#define ARM_ProcR5 (1ULL << 53)
+#define ARM_ProcSwift (1ULL << 54)
 
 #endif // GET_SUBTARGETINFO_ENUM
-
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMInstPrinter.c 4.0.2-3/arch/ARM/ARMInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,14 +12,14 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM
 
 #include <stdio.h>	// DEBUG
 #include <stdlib.h>
 #include <string.h>
-#include <platform.h>
+#include <capstone/platform.h>
 
 #include "ARMInstPrinter.h"
 #include "ARMAddressingModes.h"
@@ -34,6 +34,7 @@
 #define GET_SUBTARGETINFO_ENUM
 #include "ARMGenSubtargetInfo.inc"
 
+
 static void printRegName(cs_struct *h, SStream *OS, unsigned RegNo);
 
 // Autogenerated by tblgen.
@@ -116,9 +117,24 @@ static void printVectorListThreeSpacedAl
 static void printVectorListFourSpacedAllLanes(MCInst *MI, unsigned OpNum, SStream *O);
 static void printVectorListThreeSpaced(MCInst *MI, unsigned OpNum, SStream *O);
 static void printVectorListFourSpaced(MCInst *MI, unsigned OpNum, SStream *O);
+static void printBankedRegOperand(MCInst *MI, unsigned OpNum, SStream *O);
+static void printModImmOperand(MCInst *MI, unsigned OpNum, SStream *O);
 
 static void printInstSyncBOption(MCInst *MI, unsigned OpNum, SStream *O);
 
+#ifndef CAPSTONE_DIET
+// copy & normalize access info
+static uint8_t get_op_access(cs_struct *h, unsigned int id, unsigned int index)
+{
+	uint8_t *arr = ARM_get_op_access(h, id);
+
+	if (arr[index] == CS_AC_IGNORE)
+		return 0;
+
+	return arr[index];
+}
+#endif
+
 static void set_mem_access(MCInst *MI, bool status)
 {
 	if (MI->csh->detail != CS_OPT_ON)
@@ -126,11 +142,21 @@ static void set_mem_access(MCInst *MI, b
 
 	MI->csh->doing_mem = status;
 	if (status) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+#endif
+
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_MEM;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.base = ARM_REG_INVALID;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.index = ARM_REG_INVALID;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.scale = 1;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.disp = 0;
+
+#ifndef CAPSTONE_DIET
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+		MI->ac_idx++;
+#endif
 	} else {
 		// done, create the next operand slot
 		MI->flat_insn->detail->arm.op_count++;
@@ -352,7 +378,9 @@ void ARM_post_printer(csh ud, cs_insn *i
 			case ARM_LDR_POST_IMM:
 			case ARM_LDR_POST_REG:
 			case ARM_STRB_POST_IMM:
+
 			case ARM_STR_POST_IMM:
+			case ARM_STR_POST_REG:
 
 				insn->detail->arm.writeback = true;
 				break;
@@ -394,8 +422,10 @@ void ARM_post_printer(csh ud, cs_insn *i
 		case ARM_MOVPCLR:
 			insn->detail->arm.operands[0].type = ARM_OP_REG;
 			insn->detail->arm.operands[0].reg = ARM_REG_PC;
+			insn->detail->arm.operands[0].access = CS_AC_WRITE;
 			insn->detail->arm.operands[1].type = ARM_OP_REG;
 			insn->detail->arm.operands[1].reg = ARM_REG_LR;
+			insn->detail->arm.operands[1].access = CS_AC_READ;
 			insn->detail->arm.op_count = 2;
 			break;
 	}
@@ -404,9 +434,10 @@ void ARM_post_printer(csh ud, cs_insn *i
 void ARM_printInst(MCInst *MI, SStream *O, void *Info)
 {
 	MCRegisterInfo *MRI = (MCRegisterInfo *)Info;
-
 	unsigned Opcode = MCInst_getOpcode(MI), tmp, i, pubOpcode;
 
+
+	// printf(">>> Opcode 0: %u\n", MCInst_getOpcode(MI));
 	switch(Opcode) {
 		// Check for HINT instructions w/ canonical names.
 		case ARM_HINT:
@@ -441,12 +472,33 @@ void ARM_printInst(MCInst *MI, SStream *
 			// Check for MOVs and print canonical forms, instead.
 		case ARM_MOVsr: {
 							// FIXME: Thumb variants?
+							unsigned int opc;
 							MCOperand *Dst = MCInst_getOperand(MI, 0);
 							MCOperand *MO1 = MCInst_getOperand(MI, 1);
 							MCOperand *MO2 = MCInst_getOperand(MI, 2);
 							MCOperand *MO3 = MCInst_getOperand(MI, 3);
 
-							SStream_concat0(O, ARM_AM_getShiftOpcStr(ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO3))));
+							opc = ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO3));
+							SStream_concat0(O, ARM_AM_getShiftOpcStr(opc));
+							switch(opc) {
+								default:
+									break;
+								case ARM_AM_asr:
+									MCInst_setOpcodePub(MI, ARM_INS_ASR);
+									break;
+								case ARM_AM_lsl:
+									MCInst_setOpcodePub(MI, ARM_INS_LSL);
+									break;
+								case ARM_AM_lsr:
+									MCInst_setOpcodePub(MI, ARM_INS_LSR);
+									break;
+								case ARM_AM_ror:
+									MCInst_setOpcodePub(MI, ARM_INS_ROR);
+									break;
+								case ARM_AM_rrx:
+									MCInst_setOpcodePub(MI, ARM_INS_RRX);
+									break;
+							}
 							printSBitModifierOperand(MI, 6, O);
 							printPredicateOperand(MI, 4, O);
 
@@ -455,6 +507,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(Dst);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_WRITE;
 								MI->flat_insn->detail->arm.op_count++;
 							}
 
@@ -464,6 +517,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 								MI->flat_insn->detail->arm.op_count++;
 							}
 
@@ -472,6 +526,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO2);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 								MI->flat_insn->detail->arm.op_count++;
 							}
 							//assert(ARM_AM_getSORegOffset(MO3.getImm()) == 0);
@@ -480,11 +535,32 @@ void ARM_printInst(MCInst *MI, SStream *
 
 		case ARM_MOVsi: {
 							// FIXME: Thumb variants?
+							unsigned int opc;
 							MCOperand *Dst = MCInst_getOperand(MI, 0);
 							MCOperand *MO1 = MCInst_getOperand(MI, 1);
 							MCOperand *MO2 = MCInst_getOperand(MI, 2);
 
-							SStream_concat0(O, ARM_AM_getShiftOpcStr(ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO2))));
+							opc = ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO2));
+							SStream_concat0(O, ARM_AM_getShiftOpcStr(opc));
+							switch(opc) {
+								default:
+									break;
+								case ARM_AM_asr:
+									MCInst_setOpcodePub(MI, ARM_INS_ASR);
+									break;
+								case ARM_AM_lsl:
+									MCInst_setOpcodePub(MI, ARM_INS_LSL);
+									break;
+								case ARM_AM_lsr:
+									MCInst_setOpcodePub(MI, ARM_INS_LSR);
+									break;
+								case ARM_AM_ror:
+									MCInst_setOpcodePub(MI, ARM_INS_ROR);
+									break;
+								case ARM_AM_rrx:
+									MCInst_setOpcodePub(MI, ARM_INS_RRX);
+									break;
+							}
 							printSBitModifierOperand(MI, 5, O);
 							printPredicateOperand(MI, 3, O);
 
@@ -493,6 +569,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(Dst);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_WRITE;
 								MI->flat_insn->detail->arm.op_count++;
 							}
 
@@ -501,10 +578,11 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 								MI->flat_insn->detail->arm.op_count++;
 							}
 
-							if (ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO2)) == ARM_AM_rrx) {
+							if (opc == ARM_AM_rrx) {
 								//printAnnotation(O, Annot);
 								return;
 							}
@@ -514,7 +592,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							printUInt32Bang(O, tmp);
 							if (MI->csh->detail) {
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count - 1].shift.type =
-									(arm_shifter)ARM_AM_getSORegShOp((unsigned int)MCOperand_getImm(MO2));
+									(arm_shifter)opc;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count - 1].shift.value = tmp;
 							}
 							return;
@@ -532,6 +610,14 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (Opcode == ARM_t2STMDB_UPD)
 								SStream_concat0(O, ".w");
 							SStream_concat0(O, "\t");
+
+							if (MI->csh->detail) {
+								MI->flat_insn->detail->regs_read[MI->flat_insn->detail->regs_read_count] = ARM_REG_SP;
+								MI->flat_insn->detail->regs_read_count++;
+								MI->flat_insn->detail->regs_write[MI->flat_insn->detail->regs_write_count] = ARM_REG_SP;
+								MI->flat_insn->detail->regs_write_count++;
+							}
+
 							printRegisterList(MI, 4, O);
 							return;
 						}
@@ -546,8 +632,16 @@ void ARM_printInst(MCInst *MI, SStream *
 							SStream_concat0(O, "\t{");
 							printRegName(MI->csh, O, MCOperand_getReg(MCInst_getOperand(MI, 1)));
 							if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+								uint8_t access;
+#endif
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, 1));
+#ifndef CAPSTONE_DIET
+								access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+								MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+								MI->ac_idx++;
+#endif
 								MI->flat_insn->detail->arm.op_count++;
 							}
 							SStream_concat0(O, "}");
@@ -567,6 +661,15 @@ void ARM_printInst(MCInst *MI, SStream *
 							if (Opcode == ARM_t2LDMIA_UPD)
 								SStream_concat0(O, ".w");
 							SStream_concat0(O, "\t");
+							// unlike LDM, POP only write to registers, so skip the 1st access code
+							MI->ac_idx = 1;
+							if (MI->csh->detail) {
+								MI->flat_insn->detail->regs_read[MI->flat_insn->detail->regs_read_count] = ARM_REG_SP;
+								MI->flat_insn->detail->regs_read_count++;
+								MI->flat_insn->detail->regs_write[MI->flat_insn->detail->regs_write_count] = ARM_REG_SP;
+								MI->flat_insn->detail->regs_write_count++;
+							}
+
 							printRegisterList(MI, 4, O);
 							return;
 						}
@@ -586,6 +689,7 @@ void ARM_printInst(MCInst *MI, SStream *
 								if (MI->csh->detail) {
 									MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 									MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, 0));
+									MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_WRITE;
 									MI->flat_insn->detail->arm.op_count++;
                                     // this instruction implicitly read/write SP register
                                     MI->flat_insn->detail->regs_read[MI->flat_insn->detail->regs_read_count] = ARM_REG_SP;
@@ -643,6 +747,7 @@ void ARM_printInst(MCInst *MI, SStream *
 							 if (MI->csh->detail) {
 								 MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 								 MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = BaseReg;
+								 MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ | CS_AC_WRITE;
 								 MI->flat_insn->detail->arm.op_count++;
 							 }
 							 if (Writeback) {
@@ -666,8 +771,8 @@ void ARM_printInst(MCInst *MI, SStream *
 		case ARM_STLEXD: {
 				const MCRegisterClass* MRC = MCRegisterInfo_getRegClass(MRI, ARM_GPRRegClassID);
 				bool isStore = Opcode == ARM_STREXD || Opcode == ARM_STLEXD;
-
 				unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, isStore ? 1 : 0));
+
 				if (MCRegisterClass_contains(MRC, Reg)) {
 				    MCInst NewMI;
 
@@ -687,7 +792,24 @@ void ARM_printInst(MCInst *MI, SStream *
 				    printInstruction(&NewMI, O, MRI);
 				    return;
 				}
+				break;
 		 }
+		 // B9.3.3 ERET (Thumb)
+		 // For a target that has Virtualization Extensions, ERET is the preferred
+		 // disassembly of SUBS PC, LR, #0
+		case ARM_t2SUBS_PC_LR: {
+						MCOperand *opc = MCInst_getOperand(MI, 0);
+						if (MCInst_getNumOperands(MI) == 3 &&
+							MCOperand_isImm(opc) &&
+							MCOperand_getImm(opc) == 0 &&
+							(ARM_getFeatureBits(MI->csh->mode) & ARM_FeatureVirtualization)) {
+							SStream_concat0(O, "eret");
+							MCInst_setOpcodePub(MI, ARM_INS_ERET);
+							printPredicateOperand(MI, 1, O);
+							return;
+						}
+						break;
+				}
 	}
 
 	//if (printAliasInstr(MI, O, MRI))
@@ -709,8 +831,17 @@ static void printOperand(MCInst *MI, uns
 				else
 					MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.index = Reg;
 			} else {
+#ifndef CAPSTONE_DIET
+				uint8_t access;
+#endif
+
 				MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 				MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg;
+#ifndef CAPSTONE_DIET
+				access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+				MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+				MI->ac_idx++;
+#endif
 				MI->flat_insn->detail->arm.op_count++;
 			}
 		}
@@ -741,15 +872,14 @@ static void printOperand(MCInst *MI, uns
 			}
 
 			imm += address;
-
-			if (imm > HEX_THRESHOLD)
-				SStream_concat(O, "#0x%x", imm);
-			else
-				SStream_concat(O, "#%u", imm);
+			printUInt32Bang(O, imm);
 		} else {
 			switch(MI->flat_insn->id) {
 				default:
-					printInt32Bang(O, imm);
+					if (MI->csh->imm_unsigned)
+						printUInt32Bang(O, imm);
+					else
+						printInt32Bang(O, imm);
 					break;
 				case ARM_INS_AND:
 				case ARM_INS_ORR:
@@ -757,10 +887,7 @@ static void printOperand(MCInst *MI, uns
 				case ARM_INS_BIC:
 				case ARM_INS_MVN:
 					// do not print number in negative form
-					if (imm >= 0 && imm <= HEX_THRESHOLD)
-						SStream_concat(O, "#%u", imm);
-					else
-						SStream_concat(O, "#0x%x", imm);
+					printUInt32Bang(O, imm);
 					break;
 			}
 		}
@@ -793,10 +920,7 @@ static void printThumbLdrLabelOperand(MC
 	if (isSub) {
 		SStream_concat(O, "#-0x%x", -OffImm);
 	} else {
-		if (OffImm > HEX_THRESHOLD)
-			SStream_concat(O, "#0x%x", OffImm);
-		else
-			SStream_concat(O, "#%u", OffImm);
+		printUInt32Bang(O, OffImm);
 	}
 
 	SStream_concat0(O, "]");
@@ -807,6 +931,7 @@ static void printThumbLdrLabelOperand(MC
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.index = ARM_REG_INVALID;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.scale = 1;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.disp = OffImm;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 		MI->flat_insn->detail->arm.op_count++;
 	}
 }
@@ -828,6 +953,7 @@ static void printSORegRegOperand(MCInst
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].shift.type = (MCOperand_getImm(MO3) & 7) + ARM_SFT_ASR_REG - 1;
 		MI->flat_insn->detail->arm.op_count++;
@@ -856,6 +982,7 @@ static void printSORegImmOperand(MCInst
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].shift.type = MCOperand_getImm(MO2) & 7;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].shift.value = (unsigned int)MCOperand_getImm(MO2) >> 3;
 		MI->flat_insn->detail->arm.op_count++;
@@ -954,6 +1081,7 @@ static void printAddrModeTBH(MCInst *MI,
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].shift.type = ARM_SFT_LSL;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].shift.value = 1;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.lshift = 1;
 	}
 	set_mem_access(MI, false);
 }
@@ -998,6 +1126,7 @@ static void printAddrMode2OffsetOperand(
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].subtracted = subtracted == ARM_AM_sub;
 		MI->flat_insn->detail->arm.op_count++;
 	}
@@ -1088,6 +1217,7 @@ static void printAddrMode3OffsetOperand(
 		if (MI->csh->detail) {
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].subtracted = subtracted == ARM_AM_sub;
 			MI->flat_insn->detail->arm.op_count++;
 		}
@@ -1132,6 +1262,7 @@ static void printPostIdxRegOperand(MCIns
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO1);
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 		MI->flat_insn->detail->arm.op_count++;
 	}
 }
@@ -1177,6 +1308,7 @@ static void printAddrMode5Operand(MCInst
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.index = ARM_REG_INVALID;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.scale = 1;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.disp = 0;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 	}
 
 	ImmOffs = ARM_AM_getAM5Offset((unsigned int)MCOperand_getImm(MO2));
@@ -1251,6 +1383,7 @@ static void printAddrMode6OffsetOperand(
 		if (MI->csh->detail) {
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MO);
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 			MI->flat_insn->detail->arm.op_count++;
 		}
 	}
@@ -1264,10 +1397,7 @@ static void printBitfieldInvMaskImmOpera
 	int32_t width = (32 - CountLeadingZeros_32 (v)) - lsb;
 
 	//assert(MO.isImm() && "Not a valid bf_inv_mask_imm value!");
-	if (lsb > HEX_THRESHOLD)
-		SStream_concat(O, "#0x%x", lsb);
-	else
-		SStream_concat(O, "#%u", lsb);
+	printUInt32Bang(O, lsb);
 
 	if (width > HEX_THRESHOLD)
 		SStream_concat(O, ", #0x%x", width);
@@ -1365,17 +1495,37 @@ static void printPKHASRShiftImm(MCInst *
 static void printRegisterList(MCInst *MI, unsigned OpNum, SStream *O)
 {
 	unsigned i, e;
+#ifndef CAPSTONE_DIET
+	uint8_t access = 0;
+#endif
+
 	SStream_concat0(O, "{");
+
+#ifndef CAPSTONE_DIET
+	if (MI->csh->detail) {
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+	}
+#endif
+
 	for (i = OpNum, e = MCInst_getNumOperands(MI); i != e; ++i) {
 		if (i != OpNum) SStream_concat0(O, ", ");
 		printRegName(MI->csh, O, MCOperand_getReg(MCInst_getOperand(MI, i)));
 		if (MI->csh->detail) {
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, i));
+#ifndef CAPSTONE_DIET
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 			MI->flat_insn->detail->arm.op_count++;
 		}
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	if (MI->csh->detail) {
+		MI->ac_idx++;
+	}
+#endif
 }
 
 static void printGPRPairOperand(MCInst *MI, unsigned OpNum, SStream *O,
@@ -1457,52 +1607,57 @@ static void printMSRMaskOperand(MCInst *
 	unsigned SpecRegRBit = (unsigned)MCOperand_getImm(Op) >> 4;
 	unsigned Mask = (unsigned)MCOperand_getImm(Op) & 0xf;
 	unsigned reg;
+	uint64_t FeatureBits = ARM_getFeatureBits(MI->csh->mode);
 
-	if (ARM_getFeatureBits(MI->csh->mode) & ARM_FeatureMClass) {
+	if (FeatureBits & ARM_FeatureMClass) {
 		unsigned SYSm = (unsigned)MCOperand_getImm(Op);
 		unsigned Opcode = MCInst_getOpcode(MI);
-		// For reads of the special registers ignore the "mask encoding" bits
-		// which are only for writes.
-		if (Opcode == ARM_t2MRS_M)
-			SYSm &= 0xff;
+
+		// For writes, handle extended mask bits if the DSP extension is present.
+		if (Opcode == ARM_t2MSR_M && (FeatureBits & ARM_FeatureDSPThumb2)) {
+			switch (SYSm) {
+				case 0x400: SStream_concat0(O, "apsr_g"); ARM_addSysReg(MI, ARM_SYSREG_APSR_G); return;
+				case 0xc00: SStream_concat0(O, "apsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_APSR_NZCVQG); return;
+				case 0x401: SStream_concat0(O, "iapsr_g"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR_G); return;
+				case 0xc01: SStream_concat0(O, "iapsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR_NZCVQG); return;
+				case 0x402: SStream_concat0(O, "eapsr_g"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR_G); return;
+				case 0xc02: SStream_concat0(O, "eapsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR_NZCVQG); return;
+				case 0x403: SStream_concat0(O, "xpsr_g"); ARM_addSysReg(MI, ARM_SYSREG_XPSR_G); return;
+				case 0xc03: SStream_concat0(O, "xpsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_XPSR_NZCVQG); return;
+			}
+		}
+
+		// Handle the basic 8-bit mask.
+		SYSm &= 0xff;
+
+		if (Opcode == ARM_t2MSR_M && (FeatureBits & ARM_HasV7Ops)) {
+			// ARMv7-M deprecates using MSR APSR without a _<bits> qualifier as an
+			// alias for MSR APSR_nzcvq.
+			switch (SYSm) {
+				case 0: SStream_concat0(O, "apsr_nzcvq"); ARM_addSysReg(MI, ARM_SYSREG_APSR_NZCVQ); return;
+				case 1: SStream_concat0(O, "iapsr_nzcvq"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR_NZCVQ); return;
+				case 2: SStream_concat0(O, "eapsr_nzcvq"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR_NZCVQ); return;
+				case 3: SStream_concat0(O, "xpsr_nzcvq"); ARM_addSysReg(MI, ARM_SYSREG_XPSR_NZCVQ); return;
+			}
+		}
+
+
 		switch (SYSm) {
 			default: //llvm_unreachable("Unexpected mask value!");
-			case     0:
-			case 0x800: SStream_concat0(O, "apsr"); ARM_addSysReg(MI, ARM_SYSREG_APSR); return; // with _nzcvq bits is an alias for aspr
-			case 0x400: SStream_concat0(O, "apsr_g"); ARM_addSysReg(MI, ARM_SYSREG_APSR_G); return;
-			case 0xc00: SStream_concat0(O, "apsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_APSR_NZCVQG); return;
-			case     1:
-			case 0x801: SStream_concat0(O, "iapsr"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR); return; // with _nzcvq bits is an alias for iapsr
-			case 0x401: SStream_concat0(O, "iapsr_g"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR_G); return;
-			case 0xc01: SStream_concat0(O, "iapsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR_NZCVQG); return;
-			case     2:
-			case 0x802: SStream_concat0(O, "eapsr"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR); return; // with _nzcvq bits is an alias for eapsr
-			case 0x402: SStream_concat0(O, "eapsr_g"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR_G); return;
-			case 0xc02: SStream_concat0(O, "eapsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR_NZCVQG); return;
-			case     3:
-			case 0x803: SStream_concat0(O, "xpsr"); ARM_addSysReg(MI, ARM_SYSREG_XPSR); return; // with _nzcvq bits is an alias for xpsr
-			case 0x403: SStream_concat0(O, "xpsr_g"); ARM_addSysReg(MI, ARM_SYSREG_XPSR_G); return;
-			case 0xc03: SStream_concat0(O, "xpsr_nzcvqg"); ARM_addSysReg(MI, ARM_SYSREG_XPSR_NZCVQG); return;
-			case     5:
-			case 0x805: SStream_concat0(O, "ipsr"); ARM_addSysReg(MI, ARM_SYSREG_IPSR); return;
-			case     6:
-			case 0x806: SStream_concat0(O, "epsr"); ARM_addSysReg(MI, ARM_SYSREG_EPSR); return;
-			case     7:
-			case 0x807: SStream_concat0(O, "iepsr"); ARM_addSysReg(MI, ARM_SYSREG_IEPSR); return;
-			case     8:
-			case 0x808: SStream_concat0(O, "msp"); ARM_addSysReg(MI, ARM_SYSREG_MSP); return;
-			case     9:
-			case 0x809: SStream_concat0(O, "psp"); ARM_addSysReg(MI, ARM_SYSREG_PSP); return;
-			case  0x10:
-			case 0x810: SStream_concat0(O, "primask"); ARM_addSysReg(MI, ARM_SYSREG_PRIMASK); return;
-			case  0x11:
-			case 0x811: SStream_concat0(O, "basepri"); ARM_addSysReg(MI, ARM_SYSREG_BASEPRI); return;
-			case  0x12:
-			case 0x812: SStream_concat0(O, "basepri_max"); ARM_addSysReg(MI, ARM_SYSREG_BASEPRI_MAX); return;
-			case  0x13:
-			case 0x813: SStream_concat0(O, "faultmask"); ARM_addSysReg(MI, ARM_SYSREG_FAULTMASK); return;
-			case  0x14:
-			case 0x814: SStream_concat0(O, "control"); ARM_addSysReg(MI, ARM_SYSREG_CONTROL); return;
+			case  0: SStream_concat0(O, "apsr"); ARM_addSysReg(MI, ARM_SYSREG_APSR); return;
+			case  1: SStream_concat0(O, "iapsr"); ARM_addSysReg(MI, ARM_SYSREG_IAPSR); return;
+			case  2: SStream_concat0(O, "eapsr"); ARM_addSysReg(MI, ARM_SYSREG_EAPSR); return;
+			case  3: SStream_concat0(O, "xpsr"); ARM_addSysReg(MI, ARM_SYSREG_XPSR); return;
+			case  5: SStream_concat0(O, "ipsr"); ARM_addSysReg(MI, ARM_SYSREG_IPSR); return;
+			case  6: SStream_concat0(O, "epsr"); ARM_addSysReg(MI, ARM_SYSREG_EPSR); return;
+			case  7: SStream_concat0(O, "iepsr"); ARM_addSysReg(MI, ARM_SYSREG_IEPSR); return;
+			case  8: SStream_concat0(O, "msp"); ARM_addSysReg(MI, ARM_SYSREG_MSP); return;
+			case  9: SStream_concat0(O, "psp"); ARM_addSysReg(MI, ARM_SYSREG_PSP); return;
+			case 16: SStream_concat0(O, "primask"); ARM_addSysReg(MI, ARM_SYSREG_PRIMASK); return;
+			case 17: SStream_concat0(O, "basepri"); ARM_addSysReg(MI, ARM_SYSREG_BASEPRI); return;
+			case 18: SStream_concat0(O, "basepri_max"); ARM_addSysReg(MI, ARM_SYSREG_BASEPRI_MAX); return;
+			case 19: SStream_concat0(O, "faultmask"); ARM_addSysReg(MI, ARM_SYSREG_FAULTMASK); return;
+			case 20: SStream_concat0(O, "control"); ARM_addSysReg(MI, ARM_SYSREG_CONTROL); return;
 		}
 	}
 
@@ -1572,6 +1727,54 @@ static void printMSRMaskOperand(MCInst *
 	}
 }
 
+static void printBankedRegOperand(MCInst *MI, unsigned OpNum, SStream *O)
+{
+	uint32_t Banked = (uint32_t)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
+	uint32_t R = (Banked & 0x20) >> 5;
+	uint32_t SysM = Banked & 0x1f;
+	const char *RegNames[] = {
+		"r8_usr", "r9_usr", "r10_usr", "r11_usr", "r12_usr", "sp_usr", "lr_usr", "",
+		"r8_fiq", "r9_fiq", "r10_fiq", "r11_fiq", "r12_fiq", "sp_fiq", "lr_fiq", "",
+		"lr_irq", "sp_irq", "lr_svc",  "sp_svc",  "lr_abt",  "sp_abt", "lr_und", "sp_und",
+		"",       "",       "",        "",        "lr_mon",  "sp_mon", "elr_hyp", "sp_hyp"
+	};
+	arm_sysreg RegIds[] = {
+		ARM_SYSREG_R8_USR, ARM_SYSREG_R9_USR, ARM_SYSREG_R10_USR,
+		ARM_SYSREG_R11_USR, ARM_SYSREG_R12_USR, ARM_SYSREG_SP_USR,
+		ARM_SYSREG_LR_USR, 0, ARM_SYSREG_R8_FIQ, ARM_SYSREG_R9_FIQ,
+		ARM_SYSREG_R10_FIQ, ARM_SYSREG_R11_FIQ, ARM_SYSREG_R12_FIQ,
+		ARM_SYSREG_SP_FIQ, ARM_SYSREG_LR_FIQ, 0, ARM_SYSREG_LR_IRQ,
+		ARM_SYSREG_SP_IRQ, ARM_SYSREG_LR_SVC, ARM_SYSREG_SP_SVC,
+		ARM_SYSREG_LR_ABT, ARM_SYSREG_SP_ABT, ARM_SYSREG_LR_UND,
+		ARM_SYSREG_SP_UND, 0, 0, 0, 0, ARM_SYSREG_LR_MON, ARM_SYSREG_SP_MON,
+		ARM_SYSREG_ELR_HYP, ARM_SYSREG_SP_HYP,
+	};
+	const char *Name = RegNames[SysM];
+
+	// Nothing much we can do about this, the encodings are specified in B9.2.3 of
+	// the ARM ARM v7C, and are all over the shop.
+	if (R) {
+		SStream_concat0(O, "SPSR_");
+
+		switch(SysM) {
+			default: // llvm_unreachable("Invalid banked SPSR register");
+			case 0x0e: SStream_concat0(O, "fiq"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_FIQ); return;
+			case 0x10: SStream_concat0(O, "irq"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_IRQ); return;
+			case 0x12: SStream_concat0(O, "svc"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_SVC); return;
+			case 0x14: SStream_concat0(O, "abt"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_ABT); return;
+			case 0x16: SStream_concat0(O, "und"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_UND); return;
+			case 0x1c: SStream_concat0(O, "mon"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_MON); return;
+			case 0x1e: SStream_concat0(O, "hyp"); ARM_addSysReg(MI, ARM_SYSREG_SPSR_HYP); return;
+		}
+	}
+
+	//assert(!R && "should have dealt with SPSR regs");
+	//assert(Name[0] && "invalid banked register operand");
+
+	SStream_concat0(O, Name);
+	ARM_addSysReg(MI, RegIds[SysM]);
+}
+
 static void printPredicateOperand(MCInst *MI, unsigned OpNum, SStream *O)
 {
 	ARMCC_CondCodes CC = (ARMCC_CondCodes)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
@@ -1615,7 +1818,9 @@ static void printNoHashImmediate(MCInst
 	printUInt32(O, tmp);
 	if (MI->csh->detail) {
 		if (MI->csh->doing_mem) {
-			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].mem.disp = tmp;
+			MI->flat_insn->detail->arm.op_count--;
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].neon_lane = (int8_t)tmp;
+			MI->ac_idx--;	// consecutive operands share the same access right
 		} else {
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
 			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = tmp;
@@ -1695,7 +1900,9 @@ static void printAdrLabelOperand(MCInst
 static void printThumbS4ImmOperand(MCInst *MI, unsigned OpNum, SStream *O)
 {
 	unsigned tmp = (unsigned int)MCOperand_getImm(MCInst_getOperand(MI, OpNum)) * 4;
+
 	printUInt32Bang(O, tmp);
+
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = tmp;
@@ -1707,6 +1914,7 @@ static void printThumbSRImm(MCInst *MI,
 {
 	unsigned Imm = (unsigned int)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
 	unsigned tmp = Imm == 0 ? 32 : Imm;
+
 	printUInt32Bang(O, tmp);
 
 	if (MI->csh->detail) {
@@ -1824,6 +2032,7 @@ static void printT2SOOperand(MCInst *MI,
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = CS_AC_READ;
 		MI->flat_insn->detail->arm.op_count++;
 	}
 
@@ -2128,15 +2337,68 @@ static void printRotImmOperand(MCInst *M
 	}
 }
 
+static void printModImmOperand(MCInst *MI, unsigned OpNum, SStream *O)
+{
+	MCOperand *Op = MCInst_getOperand(MI, OpNum);
+	unsigned Bits = MCOperand_getImm(Op) & 0xFF;
+	unsigned Rot = (MCOperand_getImm(Op) & 0xF00) >> 7;
+	int32_t Rotated;
+
+	bool  PrintUnsigned = false;
+	switch (MCInst_getOpcode(MI)) {
+		case ARM_MOVi:
+			// Movs to PC should be treated unsigned
+			PrintUnsigned = (MCOperand_getReg(MCInst_getOperand(MI, OpNum - 1)) == ARM_PC);
+			break;
+		case ARM_MSRi:
+			// Movs to special registers should be treated unsigned
+			PrintUnsigned = true;
+			break;
+	}
+
+	Rotated = rotr32(Bits, Rot);
+	if (getSOImmVal(Rotated) == MCOperand_getImm(Op)) {
+		// #rot has the least possible value
+		if (PrintUnsigned) {
+			if (Rotated > HEX_THRESHOLD || Rotated < -HEX_THRESHOLD)
+				SStream_concat(O, "#0x%x", Rotated);
+			else
+				SStream_concat(O, "#%u", Rotated);
+		} else if (Rotated >= 0) {
+			if (Rotated > HEX_THRESHOLD)
+				SStream_concat(O, "#0x%x", Rotated);
+			else
+				SStream_concat(O, "#%u", Rotated);
+		} else {
+			SStream_concat(O, "#0x%x", Rotated);
+		}
+		if (MI->csh->detail) {
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
+			MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = Rotated;
+			MI->flat_insn->detail->arm.op_count++;
+		}
+		return;
+	}
+
+	// Explicit #bits, #rot implied
+	SStream_concat(O, "#%u, #%u", Bits, Rot);
+	if (MI->csh->detail) {
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = Bits;
+		MI->flat_insn->detail->arm.op_count++;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = Rot;
+		MI->flat_insn->detail->arm.op_count++;
+	}
+}
+
 static void printFBits16(MCInst *MI, unsigned OpNum, SStream *O)
 {
 	unsigned tmp;
 
 	tmp = 16 - (unsigned int)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
-	if (tmp > HEX_THRESHOLD)
-		SStream_concat(O, "#0x%x", tmp);
-	else
-		SStream_concat(O, "#%u", tmp);
+	printUInt32Bang(O, tmp);
+
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = tmp;
@@ -2149,10 +2411,8 @@ static void printFBits32(MCInst *MI, uns
 	unsigned tmp;
 
 	tmp = 32 - (unsigned int)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
-	if (tmp > HEX_THRESHOLD)
-		SStream_concat(O, "#0x%x", tmp);
-	else
-		SStream_concat(O, "#%u", tmp);
+	printUInt32Bang(O, tmp);
+
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_IMM;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].imm = tmp;
@@ -2164,9 +2424,9 @@ static void printVectorIndex(MCInst *MI,
 {
 	unsigned tmp = (unsigned int)MCOperand_getImm(MCInst_getOperand(MI, OpNum));
 	if (tmp > HEX_THRESHOLD)
-		SStream_concat(O, "[0x%x]",tmp);
+		SStream_concat(O, "[0x%x]", tmp);
 	else
-		SStream_concat(O, "[%u]",tmp);
+		SStream_concat(O, "[%u]", tmp);
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count - 1].vector_index = tmp;
 	}
@@ -2177,9 +2437,22 @@ static void printVectorListOne(MCInst *M
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, MCOperand_getReg(MCInst_getOperand(MI, OpNum)));
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access;
+
+		access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 	}
 	SStream_concat0(O, "}");
 }
@@ -2187,14 +2460,25 @@ static void printVectorListOne(MCInst *M
 static void printVectorListTwo(MCInst *MI, unsigned OpNum,
 		SStream *O, MCRegisterInfo *MRI)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+#endif
 	unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
 	unsigned Reg0 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_0);
 	unsigned Reg1 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_1);
+
+#ifndef CAPSTONE_DIET
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, Reg0);
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg0;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2202,22 +2486,40 @@ static void printVectorListTwo(MCInst *M
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListTwoSpaced(MCInst *MI, unsigned OpNum,
 		SStream *O, MCRegisterInfo *MRI)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+#endif
 	unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
 	unsigned Reg0 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_0);
 	unsigned Reg1 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_2);
+
+#ifndef CAPSTONE_DIET
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, Reg0);
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg0;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2225,13 +2527,26 @@ static void printVectorListTwoSpaced(MCI
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListThree(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2240,6 +2555,9 @@ static void printVectorListThree(MCInst
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2247,6 +2565,9 @@ static void printVectorListThree(MCInst
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2254,13 +2575,26 @@ static void printVectorListThree(MCInst
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListFour(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2269,6 +2603,9 @@ static void printVectorListFour(MCInst *
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2276,6 +2613,9 @@ static void printVectorListFour(MCInst *
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2283,6 +2623,9 @@ static void printVectorListFour(MCInst *
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2290,34 +2633,65 @@ static void printVectorListFour(MCInst *
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 3;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListOneAllLanes(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, MCOperand_getReg(MCInst_getOperand(MI, OpNum)));
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListTwoAllLanes(MCInst *MI, unsigned OpNum,
 		SStream *O, MCRegisterInfo *MRI)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+#endif
 	unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
 	unsigned Reg0 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_0);
 	unsigned Reg1 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_1);
+
+#ifndef CAPSTONE_DIET
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, Reg0);
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg0;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2325,13 +2699,26 @@ static void printVectorListTwoAllLanes(M
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListThreeAllLanes(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2340,6 +2727,9 @@ static void printVectorListThreeAllLanes
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2347,6 +2737,9 @@ static void printVectorListThreeAllLanes
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2354,13 +2747,26 @@ static void printVectorListThreeAllLanes
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListFourAllLanes(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2369,6 +2775,9 @@ static void printVectorListFourAllLanes(
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2376,6 +2785,9 @@ static void printVectorListFourAllLanes(
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2383,6 +2795,9 @@ static void printVectorListFourAllLanes(
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2390,22 +2805,40 @@ static void printVectorListFourAllLanes(
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 3;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListTwoSpacedAllLanes(MCInst *MI,
 		unsigned OpNum, SStream *O, MCRegisterInfo *MRI)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+#endif
 	unsigned Reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
 	unsigned Reg0 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_0);
 	unsigned Reg1 = MCRegisterInfo_getSubReg(MRI, Reg, ARM_dsub_2);
+
+#ifndef CAPSTONE_DIET
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	SStream_concat0(O, "{");
 	printRegName(MI->csh, O, Reg0);
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg0;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2413,14 +2846,27 @@ static void printVectorListTwoSpacedAllL
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = Reg1;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListThreeSpacedAllLanes(MCInst *MI,
 		unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2429,6 +2875,9 @@ static void printVectorListThreeSpacedAl
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2436,6 +2885,9 @@ static void printVectorListThreeSpacedAl
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2443,14 +2895,27 @@ static void printVectorListThreeSpacedAl
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 4;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListFourSpacedAllLanes(MCInst *MI,
 		unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2459,6 +2924,9 @@ static void printVectorListFourSpacedAll
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2466,6 +2934,9 @@ static void printVectorListFourSpacedAll
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2473,6 +2944,9 @@ static void printVectorListFourSpacedAll
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 4;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[], ");
@@ -2480,13 +2954,26 @@ static void printVectorListFourSpacedAll
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 6;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "[]}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListThreeSpaced(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2495,6 +2982,9 @@ static void printVectorListThreeSpaced(M
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2502,6 +2992,9 @@ static void printVectorListThreeSpaced(M
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2509,13 +3002,26 @@ static void printVectorListThreeSpaced(M
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 4;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 static void printVectorListFourSpaced(MCInst *MI, unsigned OpNum, SStream *O)
 {
+#ifndef CAPSTONE_DIET
+	uint8_t access;
+
+	access = get_op_access(MI->csh, MCInst_getOpcode(MI), MI->ac_idx);
+#endif
+
 	// Normally, it's not safe to use register enum values directly with
 	// addition to get the next register, but for VFP registers, the
 	// sort order is guaranteed because they're all of the form D<n>.
@@ -2524,6 +3030,9 @@ static void printVectorListFourSpaced(MC
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum));
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2531,6 +3040,9 @@ static void printVectorListFourSpaced(MC
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 2;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2538,6 +3050,9 @@ static void printVectorListFourSpaced(MC
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 4;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, ", ");
@@ -2545,9 +3060,16 @@ static void printVectorListFourSpaced(MC
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].type = ARM_OP_REG;
 		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].reg = MCOperand_getReg(MCInst_getOperand(MI, OpNum)) + 6;
+#ifndef CAPSTONE_DIET
+		MI->flat_insn->detail->arm.operands[MI->flat_insn->detail->arm.op_count].access = access;
+#endif
 		MI->flat_insn->detail->arm.op_count++;
 	}
 	SStream_concat0(O, "}");
+
+#ifndef CAPSTONE_DIET
+	MI->ac_idx++;
+#endif
 }
 
 void ARM_addVectorDataType(MCInst *MI, arm_vectordata_type vd)
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMInstPrinter.h 4.0.2-3/arch/ARM/ARMInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_ARMINSTPRINTER_H
 #define CS_ARMINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMMapping.c 4.0.2-3/arch/ARM/ARMMapping.c
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_ARM
 
@@ -245,7 +245,7 @@ static const name_map reg_name_maps2[] =
 const char *ARM_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= ARM_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -257,7 +257,7 @@ const char *ARM_reg_name(csh handle, uns
 const char *ARM_reg_name2(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= ARM_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps2))
 		return NULL;
 
 	return reg_name_maps2[reg].name;
@@ -275,13277 +275,13 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		ARM_ADCri, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADCrr, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADCrsi, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADCrsr, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADDri, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADDrr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADDrsi, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADDrsr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ADR, ARM_INS_ADR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_AESD, ARM_INS_AESD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_AESE, ARM_INS_AESE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_AESIMC, ARM_INS_AESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_AESMC, ARM_INS_AESMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ANDri, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ANDrr, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ANDrsi, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ANDrsr, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BFC, ARM_INS_BFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BFI, ARM_INS_BFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BICri, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BICrr, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BICrsi, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BICrsr, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BKPT, ARM_INS_BKPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_BL, ARM_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_BLX, ARM_INS_BLX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_BLX_pred, ARM_INS_BLX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_BLXi, ARM_INS_BLX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_BL_pred, ARM_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_BX, ARM_INS_BX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_JUMP, ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_BXJ, ARM_INS_BXJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_BX_RET, ARM_INS_BX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_BX_pred, ARM_INS_BX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_Bcc, ARM_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_CDP, ARM_INS_CDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CDP2, ARM_INS_CDP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CLREX, ARM_INS_CLREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CLZ, ARM_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMNri, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMNzrr, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMNzrsi, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMNzrsr, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMPri, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMPrr, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMPrsi, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CMPrsr, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CPS1p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CPS2p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CPS3p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32B, ARM_INS_CRC32B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32CB, ARM_INS_CRC32CB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32CH, ARM_INS_CRC32CH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32CW, ARM_INS_CRC32CW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32H, ARM_INS_CRC32H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_CRC32W, ARM_INS_CRC32W,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_DBG, ARM_INS_DBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_DMB, ARM_INS_DMB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_DSB, ARM_INS_DSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_EORri, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_EORrr, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_EORrsi, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_EORrsr, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FCONSTD, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP3, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FCONSTS, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP3, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FLDMXDB_UPD, ARM_INS_FLDMDBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FLDMXIA, ARM_INS_FLDMIAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FLDMXIA_UPD, ARM_INS_FLDMIAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FMSTAT, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR_NZCV, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FSTMXDB_UPD, ARM_INS_FSTMDBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FSTMXIA, ARM_INS_FSTMIAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_FSTMXIA_UPD, ARM_INS_FSTMIAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_HINT, ARM_INS_HINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_HLT, ARM_INS_HLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ISB, ARM_INS_ISB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDA, ARM_INS_LDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAB, ARM_INS_LDAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAEX, ARM_INS_LDAEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAEXB, ARM_INS_LDAEXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAEXD, ARM_INS_LDAEXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAEXH, ARM_INS_LDAEXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDAH, ARM_INS_LDAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2L_OFFSET, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2L_OPTION, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2L_POST, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2L_PRE, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2_OFFSET, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2_OPTION, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2_POST, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC2_PRE, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDCL_OFFSET, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDCL_OPTION, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDCL_POST, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDCL_PRE, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC_OFFSET, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC_OPTION, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC_POST, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDC_PRE, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMDA, ARM_INS_LDMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMDA_UPD, ARM_INS_LDMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMDB, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMDB_UPD, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMIA, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMIA_UPD, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMIB, ARM_INS_LDMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDMIB_UPD, ARM_INS_LDMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRBT_POST_IMM, ARM_INS_LDRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRBT_POST_REG, ARM_INS_LDRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRB_POST_IMM, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRB_POST_REG, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRB_PRE_IMM, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRB_PRE_REG, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRBi12, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRBrs, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRD, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRD_POST, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRD_PRE, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDREX, ARM_INS_LDREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDREXB, ARM_INS_LDREXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDREXD, ARM_INS_LDREXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDREXH, ARM_INS_LDREXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRH, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRHTi, ARM_INS_LDRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRHTr, ARM_INS_LDRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRH_POST, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRH_PRE, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSB, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSBTi, ARM_INS_LDRSBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSBTr, ARM_INS_LDRSBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSB_POST, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSB_PRE, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSH, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSHTi, ARM_INS_LDRSHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSHTr, ARM_INS_LDRSHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSH_POST, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRSH_PRE, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRT_POST_IMM, ARM_INS_LDRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRT_POST_REG, ARM_INS_LDRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDR_POST_IMM, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDR_POST_REG, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDR_PRE_IMM, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDR_PRE_REG, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRcp, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRi12, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_LDRrs, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MCR, ARM_INS_MCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MCR2, ARM_INS_MCR2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MCRR, ARM_INS_MCRR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MCRR2, ARM_INS_MCRR2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MLA, ARM_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MLS, ARM_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVPCLR, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVTi16, ARM_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVi, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVi16, ARM_INS_MOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVr, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVr_TC, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVsi, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MOVsr, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRC, ARM_INS_MRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRC2, ARM_INS_MRC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRRC, ARM_INS_MRRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRRC2, ARM_INS_MRRC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRS, ARM_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MRSsys, ARM_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MSR, ARM_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MSRi, ARM_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MUL, ARM_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MVNi, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MVNr, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MVNsi, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_MVNsr, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ORRri, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ORRrr, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ORRrsi, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_ORRrsr, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PKHBT, ARM_INS_PKHBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PKHTB, ARM_INS_PKHTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLDWi12, ARM_INS_PLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLDWrs, ARM_INS_PLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLDi12, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLDrs, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLIi12, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_PLIrs, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QADD, ARM_INS_QADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QADD16, ARM_INS_QADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QADD8, ARM_INS_QADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QASX, ARM_INS_QASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QDADD, ARM_INS_QDADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QDSUB, ARM_INS_QDSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QSAX, ARM_INS_QSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QSUB, ARM_INS_QSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QSUB16, ARM_INS_QSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_QSUB8, ARM_INS_QSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RBIT, ARM_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_REV, ARM_INS_REV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_REV16, ARM_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_REVSH, ARM_INS_REVSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEDA, ARM_INS_RFEDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEDA_UPD, ARM_INS_RFEDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEDB, ARM_INS_RFEDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEDB_UPD, ARM_INS_RFEDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEIA, ARM_INS_RFEIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEIA_UPD, ARM_INS_RFEIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEIB, ARM_INS_RFEIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RFEIB_UPD, ARM_INS_RFEIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSBri, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSBrr, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSBrsi, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSBrsr, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSCri, ARM_INS_RSC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSCrr, ARM_INS_RSC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSCrsi, ARM_INS_RSC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_RSCrsr, ARM_INS_RSC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SADD16, ARM_INS_SADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SADD8, ARM_INS_SADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SASX, ARM_INS_SASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SBCri, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SBCrr, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SBCrsi, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SBCrsr, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SBFX, ARM_INS_SBFX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SDIV, ARM_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SEL, ARM_INS_SEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SETEND, ARM_INS_SETEND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1C, ARM_INS_SHA1C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1H, ARM_INS_SHA1H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1M, ARM_INS_SHA1M,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1P, ARM_INS_SHA1P,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1SU0, ARM_INS_SHA1SU0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA1SU1, ARM_INS_SHA1SU1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA256H, ARM_INS_SHA256H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA256H2, ARM_INS_SHA256H2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA256SU0, ARM_INS_SHA256SU0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHA256SU1, ARM_INS_SHA256SU1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHADD16, ARM_INS_SHADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHADD8, ARM_INS_SHADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHASX, ARM_INS_SHASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHSAX, ARM_INS_SHSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHSUB16, ARM_INS_SHSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SHSUB8, ARM_INS_SHSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMC, ARM_INS_SMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_TRUSTZONE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLABB, ARM_INS_SMLABB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLABT, ARM_INS_SMLABT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLAD, ARM_INS_SMLAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLADX, ARM_INS_SMLADX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLAL, ARM_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALBB, ARM_INS_SMLALBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALBT, ARM_INS_SMLALBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALD, ARM_INS_SMLALD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALDX, ARM_INS_SMLALDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALTB, ARM_INS_SMLALTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLALTT, ARM_INS_SMLALTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLATB, ARM_INS_SMLATB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLATT, ARM_INS_SMLATT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLAWB, ARM_INS_SMLAWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLAWT, ARM_INS_SMLAWT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLSD, ARM_INS_SMLSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLSDX, ARM_INS_SMLSDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLSLD, ARM_INS_SMLSLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMLSLDX, ARM_INS_SMLSLDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMLA, ARM_INS_SMMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMLAR, ARM_INS_SMMLAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMLS, ARM_INS_SMMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMLSR, ARM_INS_SMMLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMUL, ARM_INS_SMMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMMULR, ARM_INS_SMMULR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMUAD, ARM_INS_SMUAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMUADX, ARM_INS_SMUADX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULBB, ARM_INS_SMULBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULBT, ARM_INS_SMULBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULL, ARM_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULTB, ARM_INS_SMULTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULTT, ARM_INS_SMULTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULWB, ARM_INS_SMULWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMULWT, ARM_INS_SMULWT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMUSD, ARM_INS_SMUSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SMUSDX, ARM_INS_SMUSDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSDA, ARM_INS_SRSDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSDA_UPD, ARM_INS_SRSDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSDB, ARM_INS_SRSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSDB_UPD, ARM_INS_SRSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSIA, ARM_INS_SRSIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSIA_UPD, ARM_INS_SRSIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSIB, ARM_INS_SRSIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SRSIB_UPD, ARM_INS_SRSIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SSAT, ARM_INS_SSAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SSAT16, ARM_INS_SSAT16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SSAX, ARM_INS_SSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SSUB16, ARM_INS_SSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SSUB8, ARM_INS_SSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2L_OFFSET, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2L_OPTION, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2L_POST, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2L_PRE, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2_OFFSET, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2_OPTION, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2_POST, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC2_PRE, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STCL_OFFSET, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STCL_OPTION, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STCL_POST, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STCL_PRE, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC_OFFSET, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC_OPTION, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC_POST, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STC_PRE, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STL, ARM_INS_STL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLB, ARM_INS_STLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLEX, ARM_INS_STLEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLEXB, ARM_INS_STLEXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLEXD, ARM_INS_STLEXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLEXH, ARM_INS_STLEXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STLH, ARM_INS_STLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMDA, ARM_INS_STMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMDA_UPD, ARM_INS_STMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMDB, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMDB_UPD, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMIA, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMIA_UPD, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMIB, ARM_INS_STMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STMIB_UPD, ARM_INS_STMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRBT_POST_IMM, ARM_INS_STRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRBT_POST_REG, ARM_INS_STRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRB_POST_IMM, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRB_POST_REG, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRB_PRE_IMM, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRB_PRE_REG, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRBi12, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRBrs, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRD, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRD_POST, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRD_PRE, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STREX, ARM_INS_STREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STREXB, ARM_INS_STREXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STREXD, ARM_INS_STREXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STREXH, ARM_INS_STREXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRH, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRHTi, ARM_INS_STRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRHTr, ARM_INS_STRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRH_POST, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRH_PRE, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRT_POST_IMM, ARM_INS_STRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRT_POST_REG, ARM_INS_STRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STR_POST_IMM, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STR_POST_REG, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STR_PRE_IMM, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STR_PRE_REG, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRi12, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_STRrs, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SUBri, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SUBrr, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SUBrsi, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SUBrsr, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SVC, ARM_INS_SVC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_SP, 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SWP, ARM_INS_SWP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SWPB, ARM_INS_SWPB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTAB, ARM_INS_SXTAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTAB16, ARM_INS_SXTAB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTAH, ARM_INS_SXTAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTB, ARM_INS_SXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTB16, ARM_INS_SXTB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_SXTH, ARM_INS_SXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TEQri, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TEQrr, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TEQrsi, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TEQrsr, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TRAP, ARM_INS_TRAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TRAPNaCl, ARM_INS_TRAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TSTri, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TSTrr, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TSTrsi, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_TSTrsr, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UADD16, ARM_INS_UADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UADD8, ARM_INS_UADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UASX, ARM_INS_UASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UBFX, ARM_INS_UBFX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UDF, ARM_INS_UDF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UDIV, ARM_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHADD16, ARM_INS_UHADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHADD8, ARM_INS_UHADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHASX, ARM_INS_UHASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHSAX, ARM_INS_UHSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHSUB16, ARM_INS_UHSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UHSUB8, ARM_INS_UHSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UMAAL, ARM_INS_UMAAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UMLAL, ARM_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UMULL, ARM_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQADD16, ARM_INS_UQADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQADD8, ARM_INS_UQADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQASX, ARM_INS_UQASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQSAX, ARM_INS_UQSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQSUB16, ARM_INS_UQSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UQSUB8, ARM_INS_UQSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USAD8, ARM_INS_USAD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USADA8, ARM_INS_USADA8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USAT, ARM_INS_USAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USAT16, ARM_INS_USAT16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USAX, ARM_INS_USAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USUB16, ARM_INS_USUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_USUB8, ARM_INS_USUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTAB, ARM_INS_UXTAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTAB16, ARM_INS_UXTAB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTAH, ARM_INS_UXTAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTB, ARM_INS_UXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTB16, ARM_INS_UXTB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_UXTH, ARM_INS_UXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALsv2i64, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALsv4i32, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALsv8i16, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALuv2i64, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALuv4i32, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABALuv8i16, ARM_INS_VABAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv16i8, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv2i32, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv4i16, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv4i32, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv8i16, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAsv8i8, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv16i8, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv2i32, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv4i16, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv4i32, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv8i16, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABAuv8i8, ARM_INS_VABA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLsv2i64, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLsv4i32, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLsv8i16, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLuv2i64, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLuv4i32, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDLuv8i16, ARM_INS_VABDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDfd, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDfq, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv16i8, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv2i32, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv4i16, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv4i32, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv8i16, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDsv8i8, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv16i8, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv2i32, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv4i16, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv4i32, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv8i16, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABDuv8i8, ARM_INS_VABD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSD, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSS, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSfd, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSfq, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv16i8, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv2i32, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv4i16, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv4i32, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv8i16, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VABSv8i8, ARM_INS_VABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VACGEd, ARM_INS_VACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VACGEq, ARM_INS_VACGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VACGTd, ARM_INS_VACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VACGTq, ARM_INS_VACGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDD, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDHNv2i32, ARM_INS_VADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDHNv4i16, ARM_INS_VADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDHNv8i8, ARM_INS_VADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLsv2i64, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLsv4i32, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLsv8i16, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLuv2i64, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLuv4i32, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDLuv8i16, ARM_INS_VADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDS, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWsv2i64, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWsv4i32, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWsv8i16, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWuv2i64, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWuv4i32, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDWuv8i16, ARM_INS_VADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDfd, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDfq, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv16i8, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv1i64, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv2i32, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv2i64, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv4i16, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv4i32, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv8i16, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VADDv8i8, ARM_INS_VADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VANDd, ARM_INS_VAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VANDq, ARM_INS_VAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICd, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICiv2i32, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICiv4i16, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICiv4i32, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICiv8i16, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBICq, ARM_INS_VBIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBIFd, ARM_INS_VBIF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBIFq, ARM_INS_VBIF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBITd, ARM_INS_VBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBITq, ARM_INS_VBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBSLd, ARM_INS_VBSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VBSLq, ARM_INS_VBSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQfd, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQfq, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv16i8, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv2i32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv4i16, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv4i32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv8i16, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQv8i8, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv16i8, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv2f32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv2i32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv4f32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv4i16, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv4i32, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv8i16, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCEQzv8i8, ARM_INS_VCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEfd, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEfq, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv16i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv2i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv4i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv4i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv8i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEsv8i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv16i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv2i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv4i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv4i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv8i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEuv8i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv16i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv2f32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv2i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv4f32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv4i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv4i32, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv8i16, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGEzv8i8, ARM_INS_VCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTfd, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTfq, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv16i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv2i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv4i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv4i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv8i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTsv8i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv16i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv2i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv4i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv4i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv8i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTuv8i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv16i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv2f32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv2i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv4f32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv4i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv4i32, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv8i16, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCGTzv8i8, ARM_INS_VCGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv16i8, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv2f32, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv2i32, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv4f32, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv4i16, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv4i32, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv8i16, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLEzv8i8, ARM_INS_VCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv16i8, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv2i32, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv4i16, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv4i32, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv8i16, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLSv8i8, ARM_INS_VCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv16i8, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv2f32, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv2i32, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv4f32, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv4i16, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv4i32, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv8i16, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLTzv8i8, ARM_INS_VCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv16i8, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv2i32, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv4i16, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv4i32, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv8i16, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCLZv8i8, ARM_INS_VCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPD, ARM_INS_VCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPED, ARM_INS_VCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPES, ARM_INS_VCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPEZD, ARM_INS_VCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPEZS, ARM_INS_VCMPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPS, ARM_INS_VCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPZD, ARM_INS_VCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCMPZS, ARM_INS_VCMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCNTd, ARM_INS_VCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCNTq, ARM_INS_VCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTANSD, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTANSQ, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTANUD, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTANUQ, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTASD, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTASS, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTAUD, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTAUS, ARM_INS_VCVTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTBDH, ARM_INS_VCVTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTBHD, ARM_INS_VCVTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTBHS, ARM_INS_VCVTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTBSH, ARM_INS_VCVTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTDS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMNSD, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMNSQ, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMNUD, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMNUQ, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMSD, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMSS, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMUD, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTMUS, ARM_INS_VCVTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNNSD, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNNSQ, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNNUD, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNNUQ, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNSD, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNSS, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNUD, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTNUS, ARM_INS_VCVTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPNSD, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPNSQ, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPNUD, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPNUQ, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPSD, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPSS, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPUD, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTPUS, ARM_INS_VCVTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTSD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTTDH, ARM_INS_VCVTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTTHD, ARM_INS_VCVTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTTHS, ARM_INS_VCVTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTTSH, ARM_INS_VCVTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2h, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2sd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2sq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2ud, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2uq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2xsd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2xsq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2xud, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTf2xuq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTh2f, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTs2fd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTs2fq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTu2fd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTu2fq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTxs2fd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTxs2fq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTxu2fd, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VCVTxu2fq, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDIVD, ARM_INS_VDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDIVS, ARM_INS_VDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP16d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP16q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP32d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP32q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP8d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUP8q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN16d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN16q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN32d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN32q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN8d, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VDUPLN8q, ARM_INS_VDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEORd, ARM_INS_VEOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEORq, ARM_INS_VEOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTd16, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTd32, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTd8, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTq16, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTq32, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTq64, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VEXTq8, ARM_INS_VEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMAD, ARM_INS_VFMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMAS, ARM_INS_VFMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMAfd, ARM_INS_VFMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMAfq, ARM_INS_VFMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMSD, ARM_INS_VFMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMSS, ARM_INS_VFMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMSfd, ARM_INS_VFMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFMSfq, ARM_INS_VFMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFNMAD, ARM_INS_VFNMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFNMAS, ARM_INS_VFNMA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFNMSD, ARM_INS_VFNMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VFNMSS, ARM_INS_VFNMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VGETLNi32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VGETLNs16, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VGETLNs8, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VGETLNu16, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VGETLNu8, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv16i8, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv2i32, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv4i16, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv4i32, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv8i16, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDsv8i8, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv16i8, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv2i32, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv4i16, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv4i32, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv8i16, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHADDuv8i8, ARM_INS_VHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv16i8, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv2i32, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv4i16, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv4i32, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv8i16, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBsv8i8, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv16i8, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv2i32, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv4i16, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv4i32, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv8i16, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VHSUBuv8i8, ARM_INS_VHSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd16, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd16wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd16wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd32, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd32wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd32wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd8, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd8wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPd8wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq16, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq16wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq16wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq32, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq32wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq32wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq8, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq8wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1DUPq8wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd16, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd16_UPD, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd32, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd32_UPD, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd8, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1LNd8_UPD, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16Q, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16Qwb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16Qwb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16T, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16Twb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16Twb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d16wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32Q, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32Qwb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32Qwb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32T, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32Twb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32Twb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d32wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64Q, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64Qwb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64Qwb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64T, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64Twb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64Twb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d64wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8Q, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8Qwb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8Qwb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8T, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8Twb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8Twb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1d8wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q16, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q16wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q16wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q32, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q32wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q32wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q64, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q64wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q64wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q8, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q8wb_fixed, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD1q8wb_register, ARM_INS_VLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16x2, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16x2wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd16x2wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32x2, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32x2wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd32x2wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8x2, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8x2wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2DUPd8x2wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd16_UPD, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd32_UPD, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd8, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNd8_UPD, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNq16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNq16_UPD, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNq32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2LNq32_UPD, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b16wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b16wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b32wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b32wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b8, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b8wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2b8wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d16wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d16wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d32wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d32wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d8, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d8wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2d8wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q16, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q16wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q16wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q32, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q32wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q32wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q8, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q8wb_fixed, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD2q8wb_register, ARM_INS_VLD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd8, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPd8_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq8, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3DUPq8_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd8, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNd8_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNq16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNq16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNq32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3LNq32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d8, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3d8_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q16, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q16_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q32, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q32_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q8, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD3q8_UPD, ARM_INS_VLD3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd8, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPd8_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq8, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4DUPq8_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd8, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNd8_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNq16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNq16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNq32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4LNq32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d8, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4d8_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q16, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q16_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q32, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q32_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q8, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLD4q8_UPD, ARM_INS_VLD4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMDDB_UPD, ARM_INS_VLDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMDIA, ARM_INS_VLDMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMDIA_UPD, ARM_INS_VLDMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMSDB_UPD, ARM_INS_VLDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMSIA, ARM_INS_VLDMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDMSIA_UPD, ARM_INS_VLDMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDRD, ARM_INS_VLDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VLDRS, ARM_INS_VLDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXNMD, ARM_INS_VMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXNMND, ARM_INS_VMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXNMNQ, ARM_INS_VMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXNMS, ARM_INS_VMAXNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXfd, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXfq, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv16i8, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv2i32, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv4i16, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv4i32, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv8i16, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXsv8i8, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv16i8, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv2i32, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv4i16, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv4i32, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv8i16, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMAXuv8i8, ARM_INS_VMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINNMD, ARM_INS_VMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINNMND, ARM_INS_VMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINNMNQ, ARM_INS_VMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINNMS, ARM_INS_VMINNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINfd, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINfq, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv16i8, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv2i32, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv4i16, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv4i32, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv8i16, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINsv8i8, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv16i8, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv2i32, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv4i16, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv4i32, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv8i16, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMINuv8i8, ARM_INS_VMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAD, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALslsv2i32, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALslsv4i16, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALsluv2i32, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALsluv4i16, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALsv2i64, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALsv4i32, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALsv8i16, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALuv2i64, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALuv4i32, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLALuv8i16, ARM_INS_VMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAS, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAfd, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAfq, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslfd, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslfq, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslv2i32, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslv4i16, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslv4i32, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAslv8i16, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv16i8, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv2i32, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv4i16, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv4i32, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv8i16, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLAv8i8, ARM_INS_VMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSD, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLslsv2i32, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLslsv4i16, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLsluv2i32, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLsluv4i16, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLsv2i64, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLsv4i32, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLsv8i16, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLuv2i64, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLuv4i32, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSLuv8i16, ARM_INS_VMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSS, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSfd, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSfq, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslfd, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslfq, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslv2i32, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslv4i16, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslv4i32, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSslv8i16, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv16i8, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv2i32, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv4i16, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv4i32, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv8i16, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMLSv8i8, ARM_INS_VMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVD, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVDRR, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLsv2i64, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLsv4i32, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLsv8i16, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLuv2i64, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLuv4i32, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVLuv8i16, ARM_INS_VMOVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVNv2i32, ARM_INS_VMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVNv4i16, ARM_INS_VMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVNv8i8, ARM_INS_VMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVRRD, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVRRS, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVRS, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVS, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVSR, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVSRR, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv16i8, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv1i64, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv2f32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv2i32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv2i64, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv4f32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv4i16, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv4i32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv8i16, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMOVv8i8, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_FPEXC, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_FPINST, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_FPINST2, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_FPSID, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_MVFR0, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_MVFR1, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMRS_MVFR2, ARM_INS_VMRS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMSR, ARM_INS_VMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMSR_FPEXC, ARM_INS_VMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMSR_FPINST, ARM_INS_VMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMSR_FPINST2, ARM_INS_VMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMSR_FPSID, ARM_INS_VMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULD, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLp64, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLp8, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLslsv2i32, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLslsv4i16, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLsluv2i32, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLsluv4i16, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLsv2i64, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLsv4i32, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLsv8i16, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLuv2i64, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLuv4i32, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULLuv8i16, ARM_INS_VMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULS, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULfd, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULfq, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULpd, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULpq, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslfd, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslfq, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslv2i32, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslv4i16, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslv4i32, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULslv8i16, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv16i8, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv2i32, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv4i16, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv4i32, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv8i16, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMULv8i8, ARM_INS_VMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNd, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNq, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNv2i32, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNv4i16, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNv4i32, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VMVNv8i16, ARM_INS_VMVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGD, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGS, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGf32q, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGfd, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs16d, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs16q, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs32d, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs32q, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs8d, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNEGs8q, ARM_INS_VNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMLAD, ARM_INS_VNMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMLAS, ARM_INS_VNMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMLSD, ARM_INS_VNMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMLSS, ARM_INS_VNMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMULD, ARM_INS_VNMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VNMULS, ARM_INS_VNMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORNd, ARM_INS_VORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORNq, ARM_INS_VORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRd, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRiv2i32, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRiv4i16, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRiv4i32, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRiv8i16, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VORRq, ARM_INS_VORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv16i8, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv2i32, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv4i16, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv4i32, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv8i16, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALsv8i8, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv16i8, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv2i32, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv4i16, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv4i32, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv8i16, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADALuv8i8, ARM_INS_VPADAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv16i8, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv2i32, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv4i16, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv4i32, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv8i16, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLsv8i8, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv16i8, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv2i32, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv4i16, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv4i32, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv8i16, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDLuv8i8, ARM_INS_VPADDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDf, ARM_INS_VPADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDi16, ARM_INS_VPADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDi32, ARM_INS_VPADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPADDi8, ARM_INS_VPADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXf, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXs16, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXs32, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXs8, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXu16, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXu32, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMAXu8, ARM_INS_VPMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINf, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINs16, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINs32, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINs8, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINu16, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINu32, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VPMINu8, ARM_INS_VPMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv16i8, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv2i32, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv4i16, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv4i32, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv8i16, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQABSv8i8, ARM_INS_VQABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv16i8, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv1i64, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv2i32, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv2i64, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv4i16, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv4i32, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv8i16, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDsv8i8, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv16i8, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv1i64, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv2i32, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv2i64, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv4i16, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv4i32, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv8i16, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQADDuv8i8, ARM_INS_VQADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLALslv2i32, ARM_INS_VQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLALslv4i16, ARM_INS_VQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLALv2i64, ARM_INS_VQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLALv4i32, ARM_INS_VQDMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLSLslv2i32, ARM_INS_VQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLSLslv4i16, ARM_INS_VQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLSLv2i64, ARM_INS_VQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMLSLv4i32, ARM_INS_VQDMLSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHslv2i32, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHslv4i16, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHslv4i32, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHslv8i16, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHv2i32, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHv4i16, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHv4i32, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULHv8i16, ARM_INS_VQDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULLslv2i32, ARM_INS_VQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULLslv4i16, ARM_INS_VQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULLv2i64, ARM_INS_VQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQDMULLv4i32, ARM_INS_VQDMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsuv2i32, ARM_INS_VQMOVUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsuv4i16, ARM_INS_VQMOVUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsuv8i8, ARM_INS_VQMOVUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsv2i32, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsv4i16, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNsv8i8, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNuv2i32, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNuv4i16, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQMOVNuv8i8, ARM_INS_VQMOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv16i8, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv2i32, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv4i16, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv4i32, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv8i16, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQNEGv8i8, ARM_INS_VQNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHslv2i32, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHslv4i16, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHslv4i32, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHslv8i16, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHv2i32, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHv4i16, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHv4i32, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRDMULHv8i16, ARM_INS_VQRDMULH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv16i8, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv1i64, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv2i32, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv2i64, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv4i16, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv4i32, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv8i16, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLsv8i8, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv16i8, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv1i64, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv2i32, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv2i64, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv4i16, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv4i32, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv8i16, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHLuv8i8, ARM_INS_VQRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNsv2i32, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNsv4i16, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNsv8i8, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNuv2i32, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNuv4i16, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRNuv8i8, ARM_INS_VQRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRUNv2i32, ARM_INS_VQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRUNv4i16, ARM_INS_VQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQRSHRUNv8i8, ARM_INS_VQRSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv16i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv1i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv2i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv2i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv4i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv4i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv8i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsiv8i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv16i8, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv1i64, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv2i32, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv2i64, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv4i16, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv4i32, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv8i16, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsuv8i8, ARM_INS_VQSHLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv16i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv1i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv2i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv2i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv4i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv4i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv8i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLsv8i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv16i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv1i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv2i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv2i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv4i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv4i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv8i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuiv8i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv16i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv1i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv2i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv2i64, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv4i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv4i32, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv8i16, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHLuv8i8, ARM_INS_VQSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNsv2i32, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNsv4i16, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNsv8i8, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNuv2i32, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNuv4i16, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRNuv8i8, ARM_INS_VQSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRUNv2i32, ARM_INS_VQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRUNv4i16, ARM_INS_VQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSHRUNv8i8, ARM_INS_VQSHRUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv16i8, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv1i64, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv2i32, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv2i64, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv4i16, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv4i32, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv8i16, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBsv8i8, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv16i8, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv1i64, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv2i32, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv2i64, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv4i16, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv4i32, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv8i16, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VQSUBuv8i8, ARM_INS_VQSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRADDHNv2i32, ARM_INS_VRADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRADDHNv4i16, ARM_INS_VRADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRADDHNv8i8, ARM_INS_VRADDHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPEd, ARM_INS_VRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPEfd, ARM_INS_VRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPEfq, ARM_INS_VRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPEq, ARM_INS_VRECPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPSfd, ARM_INS_VRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRECPSfq, ARM_INS_VRECPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV16d8, ARM_INS_VREV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV16q8, ARM_INS_VREV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV32d16, ARM_INS_VREV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV32d8, ARM_INS_VREV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV32q16, ARM_INS_VREV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV32q8, ARM_INS_VREV32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64d16, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64d32, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64d8, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64q16, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64q32, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VREV64q8, ARM_INS_VREV64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv16i8, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv2i32, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv4i16, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv4i32, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv8i16, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDsv8i8, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv16i8, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv2i32, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv4i16, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv4i32, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv8i16, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRHADDuv8i8, ARM_INS_VRHADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTAD, ARM_INS_VRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTAND, ARM_INS_VRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTANQ, ARM_INS_VRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTAS, ARM_INS_VRINTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTMD, ARM_INS_VRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTMND, ARM_INS_VRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTMNQ, ARM_INS_VRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTMS, ARM_INS_VRINTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTND, ARM_INS_VRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTNND, ARM_INS_VRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTNNQ, ARM_INS_VRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTNS, ARM_INS_VRINTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTPD, ARM_INS_VRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTPND, ARM_INS_VRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTPNQ, ARM_INS_VRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTPS, ARM_INS_VRINTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTRD, ARM_INS_VRINTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTRS, ARM_INS_VRINTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTXD, ARM_INS_VRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTXND, ARM_INS_VRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTXNQ, ARM_INS_VRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTXS, ARM_INS_VRINTX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTZD, ARM_INS_VRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTZND, ARM_INS_VRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTZNQ, ARM_INS_VRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRINTZS, ARM_INS_VRINTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv16i8, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv1i64, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv2i32, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv2i64, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv4i16, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv4i32, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv8i16, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLsv8i8, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv16i8, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv1i64, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv2i32, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv2i64, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv4i16, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv4i32, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv8i16, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHLuv8i8, ARM_INS_VRSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRNv2i32, ARM_INS_VRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRNv4i16, ARM_INS_VRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRNv8i8, ARM_INS_VRSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv16i8, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv1i64, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv2i32, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv2i64, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv4i16, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv4i32, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv8i16, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRsv8i8, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv16i8, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv1i64, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv2i32, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv2i64, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv4i16, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv4i32, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv8i16, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSHRuv8i8, ARM_INS_VRSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTEd, ARM_INS_VRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTEfd, ARM_INS_VRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTEfq, ARM_INS_VRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTEq, ARM_INS_VRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTSfd, ARM_INS_VRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSQRTSfq, ARM_INS_VRSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv16i8, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv1i64, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv2i32, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv2i64, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv4i16, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv4i32, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv8i16, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAsv8i8, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv16i8, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv1i64, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv2i32, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv2i64, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv4i16, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv4i32, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv8i16, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSRAuv8i8, ARM_INS_VRSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSUBHNv2i32, ARM_INS_VRSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSUBHNv4i16, ARM_INS_VRSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VRSUBHNv8i8, ARM_INS_VRSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELEQD, ARM_INS_VSELEQ,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELEQS, ARM_INS_VSELEQ,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELGED, ARM_INS_VSELGE,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELGES, ARM_INS_VSELGE,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELGTD, ARM_INS_VSELGT,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELGTS, ARM_INS_VSELGT,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELVSD, ARM_INS_VSELVS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSELVSS, ARM_INS_VSELVS,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSETLNi16, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSETLNi32, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSETLNi8, ARM_INS_VMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLi16, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLi32, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLi8, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLsv2i64, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLsv4i32, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLsv8i16, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLuv2i64, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLuv4i32, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLLuv8i16, ARM_INS_VSHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv16i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv1i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv2i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv2i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv4i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv4i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv8i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLiv8i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv16i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv1i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv2i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv2i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv4i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv4i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv8i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLsv8i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv16i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv1i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv2i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv2i64, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv4i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv4i32, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv8i16, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHLuv8i8, ARM_INS_VSHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRNv2i32, ARM_INS_VSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRNv4i16, ARM_INS_VSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRNv8i8, ARM_INS_VSHRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv16i8, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv1i64, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv2i32, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv2i64, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv4i16, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv4i32, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv8i16, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRsv8i8, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv16i8, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv1i64, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv2i32, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv2i64, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv4i16, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv4i32, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv8i16, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHRuv8i8, ARM_INS_VSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHTOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSHTOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSITOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSITOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv16i8, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv1i64, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv2i32, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv2i64, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv4i16, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv4i32, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv8i16, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLIv8i8, ARM_INS_VSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLTOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSLTOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSQRTD, ARM_INS_VSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSQRTS, ARM_INS_VSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv16i8, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv1i64, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv2i32, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv2i64, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv4i16, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv4i32, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv8i16, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAsv8i8, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv16i8, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv1i64, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv2i32, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv2i64, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv4i16, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv4i32, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv8i16, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRAuv8i8, ARM_INS_VSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv16i8, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv1i64, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv2i32, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv2i64, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv4i16, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv4i32, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv8i16, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSRIv8i8, ARM_INS_VSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd16, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd16_UPD, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd32, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd32_UPD, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd8, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1LNd8_UPD, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16Q, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16Qwb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16Qwb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16T, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16Twb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16Twb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d16wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32Q, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32Qwb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32Qwb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32T, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32Twb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32Twb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d32wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64Q, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64Qwb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64Qwb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64T, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64Twb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64Twb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d64wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8Q, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8Qwb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8Qwb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8T, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8Twb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8Twb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1d8wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q16, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q16wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q16wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q32, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q32wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q32wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q64, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q64wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q64wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q8, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q8wb_fixed, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST1q8wb_register, ARM_INS_VST1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd16, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd16_UPD, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd32, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd32_UPD, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd8, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNd8_UPD, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNq16, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNq16_UPD, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNq32, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2LNq32_UPD, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b16, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b16wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b16wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b32, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b32wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b32wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b8, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b8wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2b8wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d16, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d16wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d16wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d32, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d32wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d32wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d8, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d8wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2d8wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q16, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q16wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q16wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q32, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q32wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q32wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q8, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q8wb_fixed, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST2q8wb_register, ARM_INS_VST2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd16, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd16_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd32, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd32_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd8, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNd8_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNq16, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNq16_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNq32, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3LNq32_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d16, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d16_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d32, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d32_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d8, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3d8_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q16, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q16_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q32, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q32_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q8, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST3q8_UPD, ARM_INS_VST3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd16, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd16_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd32, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd32_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd8, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNd8_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNq16, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNq16_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNq32, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4LNq32_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d16, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d16_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d32, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d32_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d8, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4d8_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q16, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q16_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q32, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q32_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q8, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VST4q8_UPD, ARM_INS_VST4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMDDB_UPD, ARM_INS_VSTMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMDIA, ARM_INS_VSTMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMDIA_UPD, ARM_INS_VSTMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMSDB_UPD, ARM_INS_VSTMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMSIA, ARM_INS_VSTMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTMSIA_UPD, ARM_INS_VSTMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTRD, ARM_INS_VSTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSTRS, ARM_INS_VSTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBD, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBHNv2i32, ARM_INS_VSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBHNv4i16, ARM_INS_VSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBHNv8i8, ARM_INS_VSUBHN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLsv2i64, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLsv4i32, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLsv8i16, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLuv2i64, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLuv4i32, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBLuv8i16, ARM_INS_VSUBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBS, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWsv2i64, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWsv4i32, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWsv8i16, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWuv2i64, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWuv4i32, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBWuv8i16, ARM_INS_VSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBfd, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBfq, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv16i8, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv1i64, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv2i32, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv2i64, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv4i16, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv4i32, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv8i16, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSUBv8i8, ARM_INS_VSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSWPd, ARM_INS_VSWP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VSWPq, ARM_INS_VSWP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBL1, ARM_INS_VTBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBL2, ARM_INS_VTBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBL3, ARM_INS_VTBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBL4, ARM_INS_VTBL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBX1, ARM_INS_VTBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBX2, ARM_INS_VTBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBX3, ARM_INS_VTBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTBX4, ARM_INS_VTBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSHD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSHS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSIRD, ARM_INS_VCVTR,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSIRS, ARM_INS_VCVTR,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSIZD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSIZS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSLD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOSLS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUHD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUHS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUIRD, ARM_INS_VCVTR,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUIRS, ARM_INS_VCVTR,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUIZD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOUIZS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOULD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTOULS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNd16, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNd32, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNd8, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNq16, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNq32, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTRNq8, ARM_INS_VTRN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv16i8, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv2i32, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv4i16, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv4i32, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv8i16, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VTSTv8i8, ARM_INS_VTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUHTOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUHTOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUITOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUITOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VULTOD, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VULTOS, ARM_INS_VCVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUZPd16, ARM_INS_VUZP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUZPd8, ARM_INS_VUZP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUZPq16, ARM_INS_VUZP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUZPq32, ARM_INS_VUZP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VUZPq8, ARM_INS_VUZP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VZIPd16, ARM_INS_VZIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VZIPd8, ARM_INS_VZIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VZIPq16, ARM_INS_VZIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VZIPq32, ARM_INS_VZIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_VZIPq8, ARM_INS_VZIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMDA, ARM_INS_LDMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMDA_UPD, ARM_INS_LDMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMDB, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMDB_UPD, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMIA, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMIA_UPD, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMIB, ARM_INS_LDMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysLDMIB_UPD, ARM_INS_LDMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMDA, ARM_INS_STMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMDA_UPD, ARM_INS_STMDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMDB, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMDB_UPD, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMIA, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMIA_UPD, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMIB, ARM_INS_STMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_sysSTMIB_UPD, ARM_INS_STMIB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADCri, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADCrr, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADCrs, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADDri, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADDri12, ARM_INS_ADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADDrr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADDrs, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ADR, ARM_INS_ADR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ANDri, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ANDrr, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ANDrs, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ASRri, ARM_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ASRrr, ARM_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2B, ARM_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_t2BFC, ARM_INS_BFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2BFI, ARM_INS_BFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2BICri, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2BICrr, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2BICrs, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2BXJ, ARM_INS_BXJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, ARM_GRP_PREV8, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_t2Bcc, ARM_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_t2CDP, ARM_INS_CDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CDP2, ARM_INS_CDP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CLREX, ARM_INS_CLREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CLZ, ARM_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMNri, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMNzrr, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMNzrs, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMPri, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMPrr, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CMPrs, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CPS1p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CPS2p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CPS3p, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32B, ARM_INS_CRC32B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32CB, ARM_INS_CRC32CB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32CH, ARM_INS_CRC32CH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32CW, ARM_INS_CRC32CW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32H, ARM_INS_CRC32H,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2CRC32W, ARM_INS_CRC32W,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DBG, ARM_INS_DBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DCPS1, ARM_INS_DCPS1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DCPS2, ARM_INS_DCPS2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DCPS3, ARM_INS_DCPS3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DMB, ARM_INS_DMB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2DSB, ARM_INS_DSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2EORri, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2EORrr, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2EORrs, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2HINT, ARM_INS_HINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ISB, ARM_INS_ISB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2IT, ARM_INS_IT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_ITSTATE, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDA, ARM_INS_LDA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAB, ARM_INS_LDAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAEX, ARM_INS_LDAEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAEXB, ARM_INS_LDAEXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAEXD, ARM_INS_LDAEXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAEXH, ARM_INS_LDAEXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDAH, ARM_INS_LDAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2L_OFFSET, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2L_OPTION, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2L_POST, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2L_PRE, ARM_INS_LDC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2_OFFSET, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2_OPTION, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2_POST, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC2_PRE, ARM_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDCL_OFFSET, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDCL_OPTION, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDCL_POST, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDCL_PRE, ARM_INS_LDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC_OFFSET, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC_OPTION, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC_POST, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDC_PRE, ARM_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDMDB, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDMDB_UPD, ARM_INS_LDMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDMIA, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDMIA_UPD, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRBT, ARM_INS_LDRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRB_POST, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRB_PRE, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRBi12, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRBi8, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRBpci, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRBs, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRD_POST, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRD_PRE, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRDi8, ARM_INS_LDRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDREX, ARM_INS_LDREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDREXB, ARM_INS_LDREXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDREXD, ARM_INS_LDREXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDREXH, ARM_INS_LDREXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRHT, ARM_INS_LDRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRH_POST, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRH_PRE, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRHi12, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRHi8, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRHpci, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRHs, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSBT, ARM_INS_LDRSBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSB_POST, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSB_PRE, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSBi12, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSBi8, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSBpci, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSBs, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSHT, ARM_INS_LDRSHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSH_POST, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSH_PRE, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSHi12, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSHi8, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSHpci, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRSHs, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRT, ARM_INS_LDRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDR_POST, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDR_PRE, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRi12, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRi8, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRpci, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LDRs, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LSLri, ARM_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LSLrr, ARM_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LSRri, ARM_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2LSRrr, ARM_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MCR, ARM_INS_MCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MCR2, ARM_INS_MCR2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MCRR, ARM_INS_MCRR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MCRR2, ARM_INS_MCRR2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MLA, ARM_INS_MLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MLS, ARM_INS_MLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVTi16, ARM_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVi, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVi16, ARM_INS_MOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVr, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVsra_flag, ARM_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MOVsrl_flag, ARM_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRC, ARM_INS_MRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRC2, ARM_INS_MRC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRRC, ARM_INS_MRRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRRC2, ARM_INS_MRRC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRS_AR, ARM_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRS_M, ARM_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_MCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MRSsys_AR, ARM_INS_MRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MSR_AR, ARM_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MSR_M, ARM_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_MCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MUL, ARM_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MVNi, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MVNr, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2MVNs, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORNri, ARM_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORNrr, ARM_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORNrs, ARM_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORRri, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORRrr, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2ORRrs, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PKHBT, ARM_INS_PKHBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PKHTB, ARM_INS_PKHTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDWi12, ARM_INS_PLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDWi8, ARM_INS_PLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDWs, ARM_INS_PLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDi12, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDi8, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDpci, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLDs, ARM_INS_PLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLIi12, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLIi8, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLIpci, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2PLIs, ARM_INS_PLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QADD, ARM_INS_QADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QADD16, ARM_INS_QADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QADD8, ARM_INS_QADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QASX, ARM_INS_QASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QDADD, ARM_INS_QDADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QDSUB, ARM_INS_QDSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QSAX, ARM_INS_QSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QSUB, ARM_INS_QSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QSUB16, ARM_INS_QSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2QSUB8, ARM_INS_QSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RBIT, ARM_INS_RBIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2REV, ARM_INS_REV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2REV16, ARM_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2REVSH, ARM_INS_REVSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RFEDB, ARM_INS_RFEDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RFEDBW, ARM_INS_RFEDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RFEIA, ARM_INS_RFEIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RFEIAW, ARM_INS_RFEIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RORri, ARM_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RORrr, ARM_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RRX, ARM_INS_RRX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RSBri, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RSBrr, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2RSBrs, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SADD16, ARM_INS_SADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SADD8, ARM_INS_SADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SASX, ARM_INS_SASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SBCri, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SBCrr, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SBCrs, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SBFX, ARM_INS_SBFX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SDIV, ARM_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_DIVIDE, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SEL, ARM_INS_SEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHADD16, ARM_INS_SHADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHADD8, ARM_INS_SHADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHASX, ARM_INS_SHASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHSAX, ARM_INS_SHSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHSUB16, ARM_INS_SHSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SHSUB8, ARM_INS_SHSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMC, ARM_INS_SMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_TRUSTZONE, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLABB, ARM_INS_SMLABB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLABT, ARM_INS_SMLABT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLAD, ARM_INS_SMLAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLADX, ARM_INS_SMLADX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLAL, ARM_INS_SMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALBB, ARM_INS_SMLALBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALBT, ARM_INS_SMLALBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALD, ARM_INS_SMLALD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALDX, ARM_INS_SMLALDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALTB, ARM_INS_SMLALTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLALTT, ARM_INS_SMLALTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLATB, ARM_INS_SMLATB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLATT, ARM_INS_SMLATT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLAWB, ARM_INS_SMLAWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLAWT, ARM_INS_SMLAWT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLSD, ARM_INS_SMLSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLSDX, ARM_INS_SMLSDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLSLD, ARM_INS_SMLSLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMLSLDX, ARM_INS_SMLSLDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMLA, ARM_INS_SMMLA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMLAR, ARM_INS_SMMLAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMLS, ARM_INS_SMMLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMLSR, ARM_INS_SMMLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMUL, ARM_INS_SMMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMMULR, ARM_INS_SMMULR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMUAD, ARM_INS_SMUAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMUADX, ARM_INS_SMUADX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULBB, ARM_INS_SMULBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULBT, ARM_INS_SMULBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULL, ARM_INS_SMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULTB, ARM_INS_SMULTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULTT, ARM_INS_SMULTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULWB, ARM_INS_SMULWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMULWT, ARM_INS_SMULWT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMUSD, ARM_INS_SMUSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SMUSDX, ARM_INS_SMUSDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SRSDB, ARM_INS_SRSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SRSDB_UPD, ARM_INS_SRSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SRSIA, ARM_INS_SRSIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SRSIA_UPD, ARM_INS_SRSIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SSAT, ARM_INS_SSAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SSAT16, ARM_INS_SSAT16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SSAX, ARM_INS_SSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SSUB16, ARM_INS_SSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SSUB8, ARM_INS_SSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2L_OFFSET, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2L_OPTION, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2L_POST, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2L_PRE, ARM_INS_STC2L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2_OFFSET, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2_OPTION, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2_POST, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC2_PRE, ARM_INS_STC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STCL_OFFSET, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STCL_OPTION, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STCL_POST, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STCL_PRE, ARM_INS_STCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC_OFFSET, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC_OPTION, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC_POST, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STC_PRE, ARM_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STL, ARM_INS_STL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLB, ARM_INS_STLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLEX, ARM_INS_STLEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLEXB, ARM_INS_STLEXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLEXD, ARM_INS_STLEXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLEXH, ARM_INS_STLEXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STLH, ARM_INS_STLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STMDB, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STMDB_UPD, ARM_INS_STMDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STMIA, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STMIA_UPD, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRBT, ARM_INS_STRBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRB_POST, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRB_PRE, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRBi12, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRBi8, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRBs, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRD_POST, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRD_PRE, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRDi8, ARM_INS_STRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STREX, ARM_INS_STREX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STREXB, ARM_INS_STREXB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STREXD, ARM_INS_STREXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STREXH, ARM_INS_STREXH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRHT, ARM_INS_STRHT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRH_POST, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRH_PRE, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRHi12, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRHi8, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRHs, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRT, ARM_INS_STRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STR_POST, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STR_PRE, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRi12, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRi8, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2STRs, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SUBS_PC_LR, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SUBri, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SUBri12, ARM_INS_SUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SUBrr, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SUBrs, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTAB, ARM_INS_SXTAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTAB16, ARM_INS_SXTAB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTAH, ARM_INS_SXTAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTB, ARM_INS_SXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTB16, ARM_INS_SXTB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_T2EXTRACTPACK, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2SXTH, ARM_INS_SXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TBB, ARM_INS_TBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_t2TBH, ARM_INS_TBH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_t2TEQri, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TEQrr, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TEQrs, ARM_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TSTri, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TSTrr, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2TSTrs, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UADD16, ARM_INS_UADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UADD8, ARM_INS_UADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UASX, ARM_INS_UASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UBFX, ARM_INS_UBFX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UDF, ARM_INS_UDF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UDIV, ARM_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_DIVIDE, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHADD16, ARM_INS_UHADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHADD8, ARM_INS_UHADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHASX, ARM_INS_UHASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHSAX, ARM_INS_UHSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHSUB16, ARM_INS_UHSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UHSUB8, ARM_INS_UHSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UMAAL, ARM_INS_UMAAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UMLAL, ARM_INS_UMLAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UMULL, ARM_INS_UMULL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQADD16, ARM_INS_UQADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQADD8, ARM_INS_UQADD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQASX, ARM_INS_UQASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQSAX, ARM_INS_UQSAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQSUB16, ARM_INS_UQSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UQSUB8, ARM_INS_UQSUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USAD8, ARM_INS_USAD8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USADA8, ARM_INS_USADA8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USAT, ARM_INS_USAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USAT16, ARM_INS_USAT16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USAX, ARM_INS_USAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USUB16, ARM_INS_USUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2USUB8, ARM_INS_USUB8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTAB, ARM_INS_UXTAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTAB16, ARM_INS_UXTAB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTAH, ARM_INS_UXTAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTB, ARM_INS_UXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTB16, ARM_INS_UXTB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_t2UXTH, ARM_INS_UXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADC, ARM_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDhirr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDi3, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDi8, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDrSP, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDrSPi, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDrr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDspi, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADDspr, ARM_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tADR, ARM_INS_ADR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tAND, ARM_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tASRri, ARM_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tASRrr, ARM_INS_ASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tB, ARM_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tBIC, ARM_INS_BIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tBKPT, ARM_INS_BKPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tBL, ARM_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_THUMB, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tBLXi, ARM_INS_BLX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_THUMB, ARM_GRP_V5T, ARM_GRP_NOTMCLASS, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tBLXr, ARM_INS_BLX,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_THUMB, ARM_GRP_V5T, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_tBX, ARM_INS_BX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, 0 }, 0, 1
-#endif
-	},
-	{
-		ARM_tBcc, ARM_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tCBNZ, ARM_INS_CBNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tCBZ, ARM_INS_CBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 1, 0
-#endif
-	},
-	{
-		ARM_tCMNz, ARM_INS_CMN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tCMPhir, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tCMPi8, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tCMPr, ARM_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tCPS, ARM_INS_CPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tEOR, ARM_INS_EOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tHINT, ARM_INS_HINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V6M, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tHLT, ARM_INS_HLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDMIA, ARM_INS_LDM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRBi, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRBr, ARM_INS_LDRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRHi, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRHr, ARM_INS_LDRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRSB, ARM_INS_LDRSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRSH, ARM_INS_LDRSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRi, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRpci, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRr, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLDRspi, ARM_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLSLri, ARM_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLSLrr, ARM_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLSRri, ARM_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tLSRrr, ARM_INS_LSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tMOVSr, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tMOVi8, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tMOVr, ARM_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tMUL, ARM_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tMVN, ARM_INS_MVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tORR, ARM_INS_ORR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tPOP, ARM_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_SP, 0 }, { ARM_REG_SP, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tPUSH, ARM_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_SP, 0 }, { ARM_REG_SP, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tREV, ARM_INS_REV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tREV16, ARM_INS_REV16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tREVSH, ARM_INS_REVSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tROR, ARM_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tRSB, ARM_INS_RSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSBC, ARM_INS_SBC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSETEND, ARM_INS_SETEND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V6, ARM_GRP_NOTMCLASS, 0}, 0, 0
-#endif
-	},
-	{
-		ARM_tSTMIA_UPD, ARM_INS_STM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRBi, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRBr, ARM_INS_STRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRHi, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRHr, ARM_INS_STRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRi, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRr, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSTRspi, ARM_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSUBi3, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSUBi8, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSUBrr, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSUBspi, ARM_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSVC, ARM_INS_SVC,
-#ifndef CAPSTONE_DIET
-		{ ARM_REG_SP, 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSXTB, ARM_INS_SXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tSXTH, ARM_INS_SXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tTRAP, ARM_INS_TRAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tTST, ARM_INS_TST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tUDF, ARM_INS_UDF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tUXTB, ARM_INS_UXTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
-	{
-		ARM_tUXTH, ARM_INS_UXTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
-#endif
-	},
+#include "ARMMappingInsn.inc"
 };
 
 void ARM_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
 {
 	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	//printf(">> id = %u\n", id);
 	if (i != 0) {
 		insn->id = insns[i].mapid;
 
@@ -13561,7 +297,7 @@ void ARM_get_insn_id(cs_struct *h, cs_in
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			insn->detail->arm.update_flags = cs_reg_write((csh)&handle, insn, ARM_REG_CPSR);
 
@@ -13613,6 +349,7 @@ static const name_map insn_name_maps[] =
 	{ ARM_INS_DMB, "dmb" },
 	{ ARM_INS_DSB, "dsb" },
 	{ ARM_INS_EOR, "eor" },
+	{ ARM_INS_ERET, "eret" },
 	{ ARM_INS_VMOV, "vmov" },
 	{ ARM_INS_FLDMDBX, "fldmdbx" },
 	{ ARM_INS_FLDMIAX, "fldmiax" },
@@ -13621,6 +358,7 @@ static const name_map insn_name_maps[] =
 	{ ARM_INS_FSTMIAX, "fstmiax" },
 	{ ARM_INS_HINT, "hint" },
 	{ ARM_INS_HLT, "hlt" },
+	{ ARM_INS_HVC, "hvc" },
 	{ ARM_INS_ISB, "isb" },
 	{ ARM_INS_LDA, "lda" },
 	{ ARM_INS_LDAB, "ldab" },
@@ -13991,18 +729,14 @@ static const name_map insn_name_maps[] =
 	{ ARM_INS_IT, "it" },
 	{ ARM_INS_LSL, "lsl" },
 	{ ARM_INS_LSR, "lsr" },
-	{ ARM_INS_ASRS, "asrs" },
-	{ ARM_INS_LSRS, "lsrs" },
 	{ ARM_INS_ORN, "orn" },
 	{ ARM_INS_ROR, "ror" },
 	{ ARM_INS_RRX, "rrx" },
-	{ ARM_INS_SUBS, "subs" },
 	{ ARM_INS_SUBW, "subw" },
 	{ ARM_INS_TBB, "tbb" },
 	{ ARM_INS_TBH, "tbh" },
 	{ ARM_INS_CBNZ, "cbnz" },
 	{ ARM_INS_CBZ, "cbz" },
-	{ ARM_INS_MOVS, "movs" },
 	{ ARM_INS_POP, "pop" },
 	{ ARM_INS_PUSH, "push" },
 
@@ -14035,6 +769,10 @@ static const name_map group_name_maps[]
 	// generic groups
 	{ ARM_GRP_INVALID, NULL },
 	{ ARM_GRP_JUMP,	"jump" },
+	{ ARM_GRP_CALL,	"call" },
+	{ ARM_GRP_INT,	"int" },
+	{ ARM_GRP_PRIVILEGE, "privilege" },
+	{ ARM_GRP_BRANCH_RELATIVE, "branch_relative" },
 
 	// architecture-specific groups
 	{ ARM_GRP_CRYPTO, "crypto" },
@@ -14068,21 +806,14 @@ static const name_map group_name_maps[]
 	{ ARM_GRP_CRC, "crc" },
 	{ ARM_GRP_DPVFP, "dpvfp" },
 	{ ARM_GRP_V6M, "v6m" },
+	{ ARM_GRP_VIRTUALIZATION, "virtualization" },
 };
 #endif
 
 const char *ARM_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= ARM_GRP_ENDING || (id > ARM_GRP_JUMP && id < ARM_GRP_CRYPTO))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
@@ -14139,4 +870,83 @@ bool ARM_blx_to_arm_mode(cs_struct *h, u
 
 }
 
+#ifndef CAPSTONE_DIET
+// map instruction to its characteristics
+typedef struct insn_op {
+	uint8_t access[7];
+} insn_op;
+
+static insn_op insn_ops[] = {
+	{
+		// NULL item
+		{ 0 }
+	},
+
+#include "ARMMappingInsnOp.inc"
+};
+
+// given internal insn id, return operand access info
+uint8_t *ARM_get_op_access(cs_struct *h, unsigned int id)
+{
+	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	if (i != 0) {
+		return insn_ops[i].access;
+	}
+
+	return NULL;
+}
+
+void ARM_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count)
+{
+	uint8_t i;
+	uint8_t read_count, write_count;
+	cs_arm *arm = &(insn->detail->arm);
+
+	read_count = insn->detail->regs_read_count;
+	write_count = insn->detail->regs_write_count;
+
+	// implicit registers
+	memcpy(regs_read, insn->detail->regs_read, read_count * sizeof(insn->detail->regs_read[0]));
+	memcpy(regs_write, insn->detail->regs_write, write_count * sizeof(insn->detail->regs_write[0]));
+
+	// explicit registers
+	for (i = 0; i < arm->op_count; i++) {
+		cs_arm_op *op = &(arm->operands[i]);
+		switch((int)op->type) {
+			case ARM_OP_REG:
+				if ((op->access & CS_AC_READ) && !arr_exist(regs_read, read_count, op->reg)) {
+					regs_read[read_count] = (uint16_t)op->reg;
+					read_count++;
+				}
+				if ((op->access & CS_AC_WRITE) && !arr_exist(regs_write, write_count, op->reg)) {
+					regs_write[write_count] = (uint16_t)op->reg;
+					write_count++;
+				}
+				break;
+			case ARM_OP_MEM:
+				// registers appeared in memory references always being read
+				if ((op->mem.base != ARM_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.base)) {
+					regs_read[read_count] = (uint16_t)op->mem.base;
+					read_count++;
+				}
+				if ((op->mem.index != ARM_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.index)) {
+					regs_read[read_count] = (uint16_t)op->mem.index;
+					read_count++;
+				}
+				if ((arm->writeback) && (op->mem.base != ARM_REG_INVALID) && !arr_exist(regs_write, write_count, op->mem.base)) {
+					regs_write[write_count] = (uint16_t)op->mem.base;
+					write_count++;
+				}
+			default:
+				break;
+		}
+	}
+
+	*regs_read_count = read_count;
+	*regs_write_count = write_count;
+}
+#endif
+
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMMapping.h 4.0.2-3/arch/ARM/ARMMapping.h
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_ARM_MAP_H
 #define CS_ARM_MAP_H
 
-#include "../../include/capstone.h"
+#include "../../include/capstone/capstone.h"
 #include "../../utils.h"
 
 // return name of regiser in friendly string
@@ -23,4 +23,10 @@ bool ARM_rel_branch(cs_struct *h, unsign
 
 bool ARM_blx_to_arm_mode(cs_struct *h, unsigned int insn_id);
 
+uint8_t *ARM_get_op_access(cs_struct *h, unsigned int id);
+
+void ARM_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count);
+
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMMappingInsn.inc 4.0.2-3/arch/ARM/ARMMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,13311 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	ARM_ADCri, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADCrr, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADCrsi, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADCrsr, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADDri, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADDrr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADDrsi, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADDrsr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ADR, ARM_INS_ADR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_AESD, ARM_INS_AESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_AESE, ARM_INS_AESE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_AESIMC, ARM_INS_AESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_AESMC, ARM_INS_AESMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ANDri, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ANDrr, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ANDrsi, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ANDrsr, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BFC, ARM_INS_BFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BFI, ARM_INS_BFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BICri, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BICrr, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BICrsi, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BICrsr, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BKPT, ARM_INS_BKPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_BL, ARM_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_CALL, ARM_GRP_BRANCH_RELATIVE, ARM_GRP_ARM, 0 }, 1, 0
+#endif
+},
+{
+	ARM_BLX, ARM_INS_BLX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_CALL, ARM_GRP_V5T, 0 }, 0, 1
+#endif
+},
+{
+	ARM_BLX_pred, ARM_INS_BLX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_CALL, ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 0, 1
+#endif
+},
+{
+	ARM_BLXi, ARM_INS_BLX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_CALL, ARM_GRP_BRANCH_RELATIVE, ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 1, 0
+#endif
+},
+{
+	ARM_BL_pred, ARM_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_CALL, ARM_GRP_BRANCH_RELATIVE, ARM_GRP_ARM, 0 }, 1, 0
+#endif
+},
+{
+	ARM_BX, ARM_INS_BX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
+#endif
+},
+{
+	ARM_BXJ, ARM_INS_BXJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_ARM, 0 }, 0, 1
+#endif
+},
+{
+	ARM_BX_RET, ARM_INS_BX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
+#endif
+},
+{
+	ARM_BX_pred, ARM_INS_BX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_ARM, ARM_GRP_V4T, 0 }, 0, 1
+#endif
+},
+{
+	ARM_Bcc, ARM_INS_B,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_ARM, 0 }, 1, 0
+#endif
+},
+{
+	ARM_CDP, ARM_INS_CDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CDP2, ARM_INS_CDP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CLREX, ARM_INS_CLREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CLZ, ARM_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5T, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMNri, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMNzrr, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMNzrsi, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMNzrsr, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMPri, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMPrr, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMPrsi, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CMPrsr, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CPS1p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CPS2p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CPS3p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32B, ARM_INS_CRC32B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32CB, ARM_INS_CRC32CB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32CH, ARM_INS_CRC32CH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32CW, ARM_INS_CRC32CW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32H, ARM_INS_CRC32H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_CRC32W, ARM_INS_CRC32W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_DBG, ARM_INS_DBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_DMB, ARM_INS_DMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_DSB, ARM_INS_DSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_EORri, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_EORrr, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_EORrsi, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_EORrsr, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ERET, ARM_INS_ERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_ARM, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FCONSTD, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP3, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FCONSTS, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP3, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FLDMXDB_UPD, ARM_INS_FLDMDBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FLDMXIA, ARM_INS_FLDMIAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FLDMXIA_UPD, ARM_INS_FLDMIAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FMSTAT, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR_NZCV, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FSTMXDB_UPD, ARM_INS_FSTMDBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FSTMXIA, ARM_INS_FSTMIAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_FSTMXIA_UPD, ARM_INS_FSTMIAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_HINT, ARM_INS_HINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_HLT, ARM_INS_HLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_HVC, ARM_INS_HVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ISB, ARM_INS_ISB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDA, ARM_INS_LDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAB, ARM_INS_LDAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAEX, ARM_INS_LDAEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAEXB, ARM_INS_LDAEXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAEXD, ARM_INS_LDAEXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAEXH, ARM_INS_LDAEXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDAH, ARM_INS_LDAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2L_OFFSET, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2L_OPTION, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2L_POST, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2L_PRE, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2_OFFSET, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2_OPTION, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2_POST, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC2_PRE, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDCL_OFFSET, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDCL_OPTION, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDCL_POST, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDCL_PRE, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC_OFFSET, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC_OPTION, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC_POST, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDC_PRE, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMDA, ARM_INS_LDMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMDA_UPD, ARM_INS_LDMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMDB, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMDB_UPD, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMIA, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMIA_UPD, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMIB, ARM_INS_LDMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDMIB_UPD, ARM_INS_LDMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRBT_POST_IMM, ARM_INS_LDRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRBT_POST_REG, ARM_INS_LDRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRB_POST_IMM, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRB_POST_REG, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRB_PRE_IMM, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRB_PRE_REG, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRBi12, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRBrs, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRD, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRD_POST, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRD_PRE, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDREX, ARM_INS_LDREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDREXB, ARM_INS_LDREXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDREXD, ARM_INS_LDREXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDREXH, ARM_INS_LDREXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRH, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRHTi, ARM_INS_LDRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRHTr, ARM_INS_LDRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRH_POST, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRH_PRE, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSB, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSBTi, ARM_INS_LDRSBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSBTr, ARM_INS_LDRSBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSB_POST, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSB_PRE, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSH, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSHTi, ARM_INS_LDRSHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSHTr, ARM_INS_LDRSHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSH_POST, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRSH_PRE, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRT_POST_IMM, ARM_INS_LDRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRT_POST_REG, ARM_INS_LDRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDR_POST_IMM, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDR_POST_REG, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDR_PRE_IMM, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDR_PRE_REG, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRcp, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRi12, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_LDRrs, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MCR, ARM_INS_MCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MCR2, ARM_INS_MCR2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MCRR, ARM_INS_MCRR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MCRR2, ARM_INS_MCRR2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MLA, ARM_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MLS, ARM_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVPCLR, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVTi16, ARM_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVi, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVi16, ARM_INS_MOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVr, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVr_TC, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVsi, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MOVsr, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRC, ARM_INS_MRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRC2, ARM_INS_MRC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRRC, ARM_INS_MRRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRRC2, ARM_INS_MRRC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRS, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRSbanked, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MRSsys, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MSR, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MSRbanked, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MSRi, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MUL, ARM_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MVNi, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MVNr, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MVNsi, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_MVNsr, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ORRri, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ORRrr, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ORRrsi, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_ORRrsr, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PKHBT, ARM_INS_PKHBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PKHTB, ARM_INS_PKHTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLDWi12, ARM_INS_PLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLDWrs, ARM_INS_PLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLDi12, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLDrs, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLIi12, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_PLIrs, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QADD, ARM_INS_QADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QADD16, ARM_INS_QADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QADD8, ARM_INS_QADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QASX, ARM_INS_QASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QDADD, ARM_INS_QDADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QDSUB, ARM_INS_QDSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QSAX, ARM_INS_QSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QSUB, ARM_INS_QSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QSUB16, ARM_INS_QSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_QSUB8, ARM_INS_QSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RBIT, ARM_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_REV, ARM_INS_REV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_REV16, ARM_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_REVSH, ARM_INS_REVSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEDA, ARM_INS_RFEDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEDA_UPD, ARM_INS_RFEDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEDB, ARM_INS_RFEDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEDB_UPD, ARM_INS_RFEDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEIA, ARM_INS_RFEIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEIA_UPD, ARM_INS_RFEIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEIB, ARM_INS_RFEIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RFEIB_UPD, ARM_INS_RFEIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSBri, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSBrr, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSBrsi, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSBrsr, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSCri, ARM_INS_RSC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSCrr, ARM_INS_RSC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSCrsi, ARM_INS_RSC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_RSCrsr, ARM_INS_RSC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SADD16, ARM_INS_SADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SADD8, ARM_INS_SADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SASX, ARM_INS_SASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SBCri, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SBCrr, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SBCrsi, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SBCrsr, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SBFX, ARM_INS_SBFX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SDIV, ARM_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SEL, ARM_INS_SEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SETEND, ARM_INS_SETEND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1C, ARM_INS_SHA1C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1H, ARM_INS_SHA1H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1M, ARM_INS_SHA1M,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1P, ARM_INS_SHA1P,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1SU0, ARM_INS_SHA1SU0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA1SU1, ARM_INS_SHA1SU1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA256H, ARM_INS_SHA256H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA256H2, ARM_INS_SHA256H2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA256SU0, ARM_INS_SHA256SU0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHA256SU1, ARM_INS_SHA256SU1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHADD16, ARM_INS_SHADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHADD8, ARM_INS_SHADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHASX, ARM_INS_SHASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHSAX, ARM_INS_SHSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHSUB16, ARM_INS_SHSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SHSUB8, ARM_INS_SHSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMC, ARM_INS_SMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_ARM, ARM_GRP_TRUSTZONE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLABB, ARM_INS_SMLABB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLABT, ARM_INS_SMLABT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLAD, ARM_INS_SMLAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLADX, ARM_INS_SMLADX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLAL, ARM_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALBB, ARM_INS_SMLALBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALBT, ARM_INS_SMLALBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALD, ARM_INS_SMLALD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALDX, ARM_INS_SMLALDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALTB, ARM_INS_SMLALTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLALTT, ARM_INS_SMLALTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLATB, ARM_INS_SMLATB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLATT, ARM_INS_SMLATT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLAWB, ARM_INS_SMLAWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLAWT, ARM_INS_SMLAWT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLSD, ARM_INS_SMLSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLSDX, ARM_INS_SMLSDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLSLD, ARM_INS_SMLSLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMLSLDX, ARM_INS_SMLSLDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMLA, ARM_INS_SMMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMLAR, ARM_INS_SMMLAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMLS, ARM_INS_SMMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMLSR, ARM_INS_SMMLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMUL, ARM_INS_SMMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMMULR, ARM_INS_SMMULR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMUAD, ARM_INS_SMUAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMUADX, ARM_INS_SMUADX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULBB, ARM_INS_SMULBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULBT, ARM_INS_SMULBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULL, ARM_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULTB, ARM_INS_SMULTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULTT, ARM_INS_SMULTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULWB, ARM_INS_SMULWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMULWT, ARM_INS_SMULWT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMUSD, ARM_INS_SMUSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SMUSDX, ARM_INS_SMUSDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSDA, ARM_INS_SRSDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSDA_UPD, ARM_INS_SRSDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSDB, ARM_INS_SRSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSDB_UPD, ARM_INS_SRSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSIA, ARM_INS_SRSIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSIA_UPD, ARM_INS_SRSIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSIB, ARM_INS_SRSIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SRSIB_UPD, ARM_INS_SRSIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SSAT, ARM_INS_SSAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SSAT16, ARM_INS_SSAT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SSAX, ARM_INS_SSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SSUB16, ARM_INS_SSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SSUB8, ARM_INS_SSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2L_OFFSET, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2L_OPTION, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2L_POST, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2L_PRE, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2_OFFSET, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2_OPTION, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2_POST, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC2_PRE, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STCL_OFFSET, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STCL_OPTION, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STCL_POST, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STCL_PRE, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC_OFFSET, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC_OPTION, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC_POST, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STC_PRE, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STL, ARM_INS_STL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLB, ARM_INS_STLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLEX, ARM_INS_STLEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLEXB, ARM_INS_STLEXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLEXD, ARM_INS_STLEXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLEXH, ARM_INS_STLEXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STLH, ARM_INS_STLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMDA, ARM_INS_STMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMDA_UPD, ARM_INS_STMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMDB, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMDB_UPD, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMIA, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMIA_UPD, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMIB, ARM_INS_STMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STMIB_UPD, ARM_INS_STMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRBT_POST_IMM, ARM_INS_STRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRBT_POST_REG, ARM_INS_STRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRB_POST_IMM, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRB_POST_REG, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRB_PRE_IMM, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRB_PRE_REG, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRBi12, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRBrs, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRD, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V5TE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRD_POST, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRD_PRE, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STREX, ARM_INS_STREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STREXB, ARM_INS_STREXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STREXD, ARM_INS_STREXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STREXH, ARM_INS_STREXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRH, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRHTi, ARM_INS_STRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRHTr, ARM_INS_STRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRH_POST, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRH_PRE, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRT_POST_IMM, ARM_INS_STRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRT_POST_REG, ARM_INS_STRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STR_POST_IMM, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STR_POST_REG, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STR_PRE_IMM, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STR_PRE_REG, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRi12, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_STRrs, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SUBri, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SUBrr, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SUBrsi, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SUBrsr, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SVC, ARM_INS_SVC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_ARM, ARM_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SWP, ARM_INS_SWP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SWPB, ARM_INS_SWPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTAB, ARM_INS_SXTAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTAB16, ARM_INS_SXTAB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTAH, ARM_INS_SXTAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTB, ARM_INS_SXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTB16, ARM_INS_SXTB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_SXTH, ARM_INS_SXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TEQri, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TEQrr, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TEQrsi, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TEQrsr, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TRAP, ARM_INS_TRAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TRAPNaCl, ARM_INS_TRAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TSTri, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TSTrr, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TSTrsi, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_TSTrsr, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UADD16, ARM_INS_UADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UADD8, ARM_INS_UADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UASX, ARM_INS_UASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UBFX, ARM_INS_UBFX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6T2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UDF, ARM_INS_UDF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UDIV, ARM_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHADD16, ARM_INS_UHADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHADD8, ARM_INS_UHADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHASX, ARM_INS_UHASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHSAX, ARM_INS_UHSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHSUB16, ARM_INS_UHSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UHSUB8, ARM_INS_UHSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UMAAL, ARM_INS_UMAAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UMLAL, ARM_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UMULL, ARM_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQADD16, ARM_INS_UQADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQADD8, ARM_INS_UQADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQASX, ARM_INS_UQASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQSAX, ARM_INS_UQSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQSUB16, ARM_INS_UQSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UQSUB8, ARM_INS_UQSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USAD8, ARM_INS_USAD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USADA8, ARM_INS_USADA8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USAT, ARM_INS_USAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USAT16, ARM_INS_USAT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USAX, ARM_INS_USAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USUB16, ARM_INS_USUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_USUB8, ARM_INS_USUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTAB, ARM_INS_UXTAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTAB16, ARM_INS_UXTAB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTAH, ARM_INS_UXTAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTB, ARM_INS_UXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTB16, ARM_INS_UXTB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_UXTH, ARM_INS_UXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALsv2i64, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALsv4i32, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALsv8i16, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALuv2i64, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALuv4i32, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABALuv8i16, ARM_INS_VABAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv16i8, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv2i32, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv4i16, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv4i32, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv8i16, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAsv8i8, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv16i8, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv2i32, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv4i16, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv4i32, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv8i16, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABAuv8i8, ARM_INS_VABA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLsv2i64, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLsv4i32, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLsv8i16, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLuv2i64, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLuv4i32, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDLuv8i16, ARM_INS_VABDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDfd, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDfq, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv16i8, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv2i32, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv4i16, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv4i32, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv8i16, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDsv8i8, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv16i8, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv2i32, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv4i16, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv4i32, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv8i16, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABDuv8i8, ARM_INS_VABD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSD, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSS, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSfd, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSfq, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv16i8, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv2i32, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv4i16, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv4i32, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv8i16, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VABSv8i8, ARM_INS_VABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VACGEd, ARM_INS_VACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VACGEq, ARM_INS_VACGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VACGTd, ARM_INS_VACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VACGTq, ARM_INS_VACGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDD, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDHNv2i32, ARM_INS_VADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDHNv4i16, ARM_INS_VADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDHNv8i8, ARM_INS_VADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLsv2i64, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLsv4i32, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLsv8i16, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLuv2i64, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLuv4i32, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDLuv8i16, ARM_INS_VADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDS, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWsv2i64, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWsv4i32, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWsv8i16, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWuv2i64, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWuv4i32, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDWuv8i16, ARM_INS_VADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDfd, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDfq, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv16i8, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv1i64, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv2i32, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv2i64, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv4i16, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv4i32, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv8i16, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VADDv8i8, ARM_INS_VADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VANDd, ARM_INS_VAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VANDq, ARM_INS_VAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICd, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICiv2i32, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICiv4i16, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICiv4i32, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICiv8i16, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBICq, ARM_INS_VBIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBIFd, ARM_INS_VBIF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBIFq, ARM_INS_VBIF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBITd, ARM_INS_VBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBITq, ARM_INS_VBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBSLd, ARM_INS_VBSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VBSLq, ARM_INS_VBSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQfd, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQfq, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv16i8, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv2i32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv4i16, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv4i32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv8i16, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQv8i8, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv16i8, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv2f32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv2i32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv4f32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv4i16, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv4i32, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv8i16, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCEQzv8i8, ARM_INS_VCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEfd, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEfq, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv16i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv2i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv4i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv4i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv8i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEsv8i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv16i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv2i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv4i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv4i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv8i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEuv8i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv16i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv2f32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv2i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv4f32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv4i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv4i32, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv8i16, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGEzv8i8, ARM_INS_VCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTfd, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTfq, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv16i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv2i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv4i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv4i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv8i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTsv8i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv16i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv2i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv4i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv4i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv8i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTuv8i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv16i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv2f32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv2i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv4f32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv4i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv4i32, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv8i16, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCGTzv8i8, ARM_INS_VCGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv16i8, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv2f32, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv2i32, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv4f32, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv4i16, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv4i32, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv8i16, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLEzv8i8, ARM_INS_VCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv16i8, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv2i32, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv4i16, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv4i32, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv8i16, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLSv8i8, ARM_INS_VCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv16i8, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv2f32, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv2i32, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv4f32, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv4i16, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv4i32, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv8i16, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLTzv8i8, ARM_INS_VCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv16i8, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv2i32, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv4i16, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv4i32, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv8i16, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCLZv8i8, ARM_INS_VCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPD, ARM_INS_VCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPED, ARM_INS_VCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPES, ARM_INS_VCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPEZD, ARM_INS_VCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPEZS, ARM_INS_VCMPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPS, ARM_INS_VCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPZD, ARM_INS_VCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCMPZS, ARM_INS_VCMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR_NZCV, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCNTd, ARM_INS_VCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCNTq, ARM_INS_VCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTANSD, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTANSQ, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTANUD, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTANUQ, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTASD, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTASS, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTAUD, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTAUS, ARM_INS_VCVTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTBDH, ARM_INS_VCVTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTBHD, ARM_INS_VCVTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTBHS, ARM_INS_VCVTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTBSH, ARM_INS_VCVTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTDS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMNSD, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMNSQ, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMNUD, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMNUQ, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMSD, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMSS, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMUD, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTMUS, ARM_INS_VCVTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNNSD, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNNSQ, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNNUD, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNNUQ, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNSD, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNSS, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNUD, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTNUS, ARM_INS_VCVTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPNSD, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPNSQ, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPNUD, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPNUQ, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPSD, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPSS, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPUD, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTPUS, ARM_INS_VCVTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTSD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTTDH, ARM_INS_VCVTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTTHD, ARM_INS_VCVTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTTHS, ARM_INS_VCVTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTTSH, ARM_INS_VCVTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2h, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2sd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2sq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2ud, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2uq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2xsd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2xsq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2xud, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTf2xuq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTh2f, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTs2fd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTs2fq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTu2fd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTu2fq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTxs2fd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTxs2fq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTxu2fd, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VCVTxu2fq, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDIVD, ARM_INS_VDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDIVS, ARM_INS_VDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP16d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP16q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP32d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP32q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP8d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUP8q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN16d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN16q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN32d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN32q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN8d, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VDUPLN8q, ARM_INS_VDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEORd, ARM_INS_VEOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEORq, ARM_INS_VEOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTd16, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTd32, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTd8, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTq16, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTq32, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTq64, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VEXTq8, ARM_INS_VEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMAD, ARM_INS_VFMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMAS, ARM_INS_VFMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMAfd, ARM_INS_VFMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMAfq, ARM_INS_VFMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMSD, ARM_INS_VFMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMSS, ARM_INS_VFMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMSfd, ARM_INS_VFMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFMSfq, ARM_INS_VFMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFNMAD, ARM_INS_VFNMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFNMAS, ARM_INS_VFNMA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFNMSD, ARM_INS_VFNMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VFNMSS, ARM_INS_VFNMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP4, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VGETLNi32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VGETLNs16, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VGETLNs8, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VGETLNu16, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VGETLNu8, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv16i8, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv2i32, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv4i16, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv4i32, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv8i16, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDsv8i8, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv16i8, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv2i32, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv4i16, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv4i32, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv8i16, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHADDuv8i8, ARM_INS_VHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv16i8, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv2i32, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv4i16, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv4i32, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv8i16, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBsv8i8, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv16i8, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv2i32, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv4i16, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv4i32, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv8i16, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VHSUBuv8i8, ARM_INS_VHSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd16, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd16wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd16wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd32, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd32wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd32wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd8, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd8wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPd8wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq16, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq16wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq16wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq32, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq32wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq32wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq8, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq8wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1DUPq8wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd16, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd16_UPD, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd32, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd32_UPD, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd8, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1LNd8_UPD, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16Q, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16Qwb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16Qwb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16T, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16Twb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16Twb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d16wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32Q, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32Qwb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32Qwb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32T, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32Twb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32Twb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d32wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64Q, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64Qwb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64Qwb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64T, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64Twb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64Twb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d64wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8Q, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8Qwb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8Qwb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8T, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8Twb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8Twb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1d8wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q16, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q16wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q16wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q32, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q32wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q32wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q64, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q64wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q64wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q8, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q8wb_fixed, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD1q8wb_register, ARM_INS_VLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16x2, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16x2wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd16x2wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32x2, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32x2wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd32x2wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8x2, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8x2wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2DUPd8x2wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd16_UPD, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd32_UPD, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd8, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNd8_UPD, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNq16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNq16_UPD, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNq32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2LNq32_UPD, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b16wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b16wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b32wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b32wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b8, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b8wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2b8wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d16wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d16wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d32wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d32wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d8, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d8wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2d8wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q16, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q16wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q16wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q32, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q32wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q32wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q8, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q8wb_fixed, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD2q8wb_register, ARM_INS_VLD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd8, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPd8_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq8, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3DUPq8_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd8, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNd8_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNq16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNq16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNq32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3LNq32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d8, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3d8_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q16, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q16_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q32, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q32_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q8, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD3q8_UPD, ARM_INS_VLD3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd8, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPd8_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq8, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4DUPq8_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd8, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNd8_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNq16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNq16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNq32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4LNq32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d8, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4d8_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q16, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q16_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q32, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q32_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q8, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLD4q8_UPD, ARM_INS_VLD4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMDDB_UPD, ARM_INS_VLDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMDIA, ARM_INS_VLDMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMDIA_UPD, ARM_INS_VLDMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMSDB_UPD, ARM_INS_VLDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMSIA, ARM_INS_VLDMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDMSIA_UPD, ARM_INS_VLDMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDRD, ARM_INS_VLDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VLDRS, ARM_INS_VLDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXNMD, ARM_INS_VMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXNMND, ARM_INS_VMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXNMNQ, ARM_INS_VMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXNMS, ARM_INS_VMAXNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXfd, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXfq, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv16i8, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv2i32, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv4i16, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv4i32, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv8i16, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXsv8i8, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv16i8, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv2i32, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv4i16, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv4i32, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv8i16, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMAXuv8i8, ARM_INS_VMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINNMD, ARM_INS_VMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINNMND, ARM_INS_VMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINNMNQ, ARM_INS_VMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINNMS, ARM_INS_VMINNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINfd, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINfq, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv16i8, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv2i32, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv4i16, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv4i32, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv8i16, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINsv8i8, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv16i8, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv2i32, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv4i16, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv4i32, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv8i16, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMINuv8i8, ARM_INS_VMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAD, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALslsv2i32, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALslsv4i16, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALsluv2i32, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALsluv4i16, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALsv2i64, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALsv4i32, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALsv8i16, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALuv2i64, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALuv4i32, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLALuv8i16, ARM_INS_VMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAS, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAfd, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAfq, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslfd, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslfq, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslv2i32, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslv4i16, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslv4i32, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAslv8i16, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv16i8, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv2i32, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv4i16, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv4i32, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv8i16, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLAv8i8, ARM_INS_VMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSD, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLslsv2i32, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLslsv4i16, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLsluv2i32, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLsluv4i16, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLsv2i64, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLsv4i32, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLsv8i16, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLuv2i64, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLuv4i32, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSLuv8i16, ARM_INS_VMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSS, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSfd, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSfq, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslfd, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslfq, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslv2i32, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslv4i16, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslv4i32, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSslv8i16, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv16i8, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv2i32, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv4i16, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv4i32, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv8i16, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMLSv8i8, ARM_INS_VMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVD, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVDRR, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLsv2i64, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLsv4i32, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLsv8i16, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLuv2i64, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLuv4i32, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVLuv8i16, ARM_INS_VMOVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVNv2i32, ARM_INS_VMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVNv4i16, ARM_INS_VMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVNv8i8, ARM_INS_VMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVRRD, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVRRS, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVRS, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVS, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVSR, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVSRR, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv16i8, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv1i64, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv2f32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv2i32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv2i64, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv4f32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv4i16, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv4i32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv8i16, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMOVv8i8, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_FPEXC, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_FPINST, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_FPINST2, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_FPSID, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_MVFR0, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_MVFR1, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMRS_MVFR2, ARM_INS_VMRS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMSR, ARM_INS_VMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMSR_FPEXC, ARM_INS_VMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMSR_FPINST, ARM_INS_VMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMSR_FPINST2, ARM_INS_VMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMSR_FPSID, ARM_INS_VMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_FPSCR, 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULD, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLp64, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_CRYPTO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLp8, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLslsv2i32, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLslsv4i16, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLsluv2i32, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLsluv4i16, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLsv2i64, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLsv4i32, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLsv8i16, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLuv2i64, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLuv4i32, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULLuv8i16, ARM_INS_VMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULS, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULfd, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULfq, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULpd, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULpq, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslfd, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslfq, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslv2i32, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslv4i16, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslv4i32, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULslv8i16, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv16i8, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv2i32, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv4i16, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv4i32, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv8i16, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMULv8i8, ARM_INS_VMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNd, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNq, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNv2i32, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNv4i16, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNv4i32, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VMVNv8i16, ARM_INS_VMVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGD, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGS, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGf32q, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGfd, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs16d, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs16q, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs32d, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs32q, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs8d, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNEGs8q, ARM_INS_VNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMLAD, ARM_INS_VNMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMLAS, ARM_INS_VNMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMLSD, ARM_INS_VNMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMLSS, ARM_INS_VNMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_FPVMLX, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMULD, ARM_INS_VNMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VNMULS, ARM_INS_VNMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORNd, ARM_INS_VORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORNq, ARM_INS_VORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRd, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRiv2i32, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRiv4i16, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRiv4i32, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRiv8i16, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VORRq, ARM_INS_VORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv16i8, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv2i32, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv4i16, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv4i32, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv8i16, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALsv8i8, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv16i8, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv2i32, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv4i16, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv4i32, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv8i16, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADALuv8i8, ARM_INS_VPADAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv16i8, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv2i32, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv4i16, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv4i32, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv8i16, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLsv8i8, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv16i8, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv2i32, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv4i16, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv4i32, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv8i16, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDLuv8i8, ARM_INS_VPADDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDf, ARM_INS_VPADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDi16, ARM_INS_VPADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDi32, ARM_INS_VPADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPADDi8, ARM_INS_VPADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXf, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXs16, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXs32, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXs8, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXu16, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXu32, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMAXu8, ARM_INS_VPMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINf, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINs16, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINs32, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINs8, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINu16, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINu32, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VPMINu8, ARM_INS_VPMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv16i8, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv2i32, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv4i16, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv4i32, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv8i16, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQABSv8i8, ARM_INS_VQABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv16i8, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv1i64, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv2i32, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv2i64, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv4i16, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv4i32, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv8i16, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDsv8i8, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv16i8, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv1i64, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv2i32, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv2i64, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv4i16, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv4i32, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv8i16, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQADDuv8i8, ARM_INS_VQADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLALslv2i32, ARM_INS_VQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLALslv4i16, ARM_INS_VQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLALv2i64, ARM_INS_VQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLALv4i32, ARM_INS_VQDMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLSLslv2i32, ARM_INS_VQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLSLslv4i16, ARM_INS_VQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLSLv2i64, ARM_INS_VQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMLSLv4i32, ARM_INS_VQDMLSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHslv2i32, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHslv4i16, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHslv4i32, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHslv8i16, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHv2i32, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHv4i16, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHv4i32, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULHv8i16, ARM_INS_VQDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULLslv2i32, ARM_INS_VQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULLslv4i16, ARM_INS_VQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULLv2i64, ARM_INS_VQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQDMULLv4i32, ARM_INS_VQDMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsuv2i32, ARM_INS_VQMOVUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsuv4i16, ARM_INS_VQMOVUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsuv8i8, ARM_INS_VQMOVUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsv2i32, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsv4i16, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNsv8i8, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNuv2i32, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNuv4i16, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQMOVNuv8i8, ARM_INS_VQMOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv16i8, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv2i32, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv4i16, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv4i32, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv8i16, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQNEGv8i8, ARM_INS_VQNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHslv2i32, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHslv4i16, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHslv4i32, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHslv8i16, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHv2i32, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHv4i16, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHv4i32, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRDMULHv8i16, ARM_INS_VQRDMULH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv16i8, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv1i64, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv2i32, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv2i64, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv4i16, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv4i32, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv8i16, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLsv8i8, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv16i8, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv1i64, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv2i32, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv2i64, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv4i16, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv4i32, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv8i16, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHLuv8i8, ARM_INS_VQRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNsv2i32, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNsv4i16, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNsv8i8, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNuv2i32, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNuv4i16, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRNuv8i8, ARM_INS_VQRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRUNv2i32, ARM_INS_VQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRUNv4i16, ARM_INS_VQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQRSHRUNv8i8, ARM_INS_VQRSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv16i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv1i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv2i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv2i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv4i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv4i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv8i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsiv8i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv16i8, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv1i64, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv2i32, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv2i64, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv4i16, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv4i32, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv8i16, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsuv8i8, ARM_INS_VQSHLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv16i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv1i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv2i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv2i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv4i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv4i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv8i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLsv8i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv16i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv1i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv2i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv2i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv4i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv4i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv8i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuiv8i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv16i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv1i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv2i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv2i64, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv4i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv4i32, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv8i16, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHLuv8i8, ARM_INS_VQSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNsv2i32, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNsv4i16, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNsv8i8, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNuv2i32, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNuv4i16, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRNuv8i8, ARM_INS_VQSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRUNv2i32, ARM_INS_VQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRUNv4i16, ARM_INS_VQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSHRUNv8i8, ARM_INS_VQSHRUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv16i8, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv1i64, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv2i32, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv2i64, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv4i16, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv4i32, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv8i16, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBsv8i8, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv16i8, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv1i64, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv2i32, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv2i64, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv4i16, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv4i32, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv8i16, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VQSUBuv8i8, ARM_INS_VQSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRADDHNv2i32, ARM_INS_VRADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRADDHNv4i16, ARM_INS_VRADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRADDHNv8i8, ARM_INS_VRADDHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPEd, ARM_INS_VRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPEfd, ARM_INS_VRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPEfq, ARM_INS_VRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPEq, ARM_INS_VRECPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPSfd, ARM_INS_VRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRECPSfq, ARM_INS_VRECPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV16d8, ARM_INS_VREV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV16q8, ARM_INS_VREV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV32d16, ARM_INS_VREV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV32d8, ARM_INS_VREV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV32q16, ARM_INS_VREV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV32q8, ARM_INS_VREV32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64d16, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64d32, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64d8, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64q16, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64q32, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VREV64q8, ARM_INS_VREV64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv16i8, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv2i32, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv4i16, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv4i32, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv8i16, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDsv8i8, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv16i8, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv2i32, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv4i16, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv4i32, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv8i16, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRHADDuv8i8, ARM_INS_VRHADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTAD, ARM_INS_VRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTAND, ARM_INS_VRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTANQ, ARM_INS_VRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTAS, ARM_INS_VRINTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTMD, ARM_INS_VRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTMND, ARM_INS_VRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTMNQ, ARM_INS_VRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTMS, ARM_INS_VRINTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTND, ARM_INS_VRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTNND, ARM_INS_VRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTNNQ, ARM_INS_VRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTNS, ARM_INS_VRINTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTPD, ARM_INS_VRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTPND, ARM_INS_VRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTPNQ, ARM_INS_VRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTPS, ARM_INS_VRINTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTRD, ARM_INS_VRINTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTRS, ARM_INS_VRINTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTXD, ARM_INS_VRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTXND, ARM_INS_VRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTXNQ, ARM_INS_VRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTXS, ARM_INS_VRINTX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTZD, ARM_INS_VRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTZND, ARM_INS_VRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTZNQ, ARM_INS_VRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_V8, ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRINTZS, ARM_INS_VRINTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv16i8, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv1i64, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv2i32, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv2i64, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv4i16, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv4i32, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv8i16, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLsv8i8, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv16i8, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv1i64, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv2i32, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv2i64, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv4i16, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv4i32, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv8i16, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHLuv8i8, ARM_INS_VRSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRNv2i32, ARM_INS_VRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRNv4i16, ARM_INS_VRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRNv8i8, ARM_INS_VRSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv16i8, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv1i64, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv2i32, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv2i64, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv4i16, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv4i32, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv8i16, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRsv8i8, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv16i8, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv1i64, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv2i32, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv2i64, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv4i16, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv4i32, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv8i16, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSHRuv8i8, ARM_INS_VRSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTEd, ARM_INS_VRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTEfd, ARM_INS_VRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTEfq, ARM_INS_VRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTEq, ARM_INS_VRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTSfd, ARM_INS_VRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSQRTSfq, ARM_INS_VRSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv16i8, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv1i64, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv2i32, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv2i64, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv4i16, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv4i32, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv8i16, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAsv8i8, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv16i8, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv1i64, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv2i32, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv2i64, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv4i16, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv4i32, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv8i16, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSRAuv8i8, ARM_INS_VRSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSUBHNv2i32, ARM_INS_VRSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSUBHNv4i16, ARM_INS_VRSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VRSUBHNv8i8, ARM_INS_VRSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELEQD, ARM_INS_VSELEQ,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELEQS, ARM_INS_VSELEQ,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELGED, ARM_INS_VSELGE,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELGES, ARM_INS_VSELGE,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELGTD, ARM_INS_VSELGT,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELGTS, ARM_INS_VSELGT,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELVSD, ARM_INS_VSELVS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSELVSS, ARM_INS_VSELVS,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_FPARMV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSETLNi16, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSETLNi32, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSETLNi8, ARM_INS_VMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLi16, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLi32, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLi8, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLsv2i64, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLsv4i32, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLsv8i16, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLuv2i64, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLuv4i32, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLLuv8i16, ARM_INS_VSHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv16i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv1i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv2i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv2i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv4i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv4i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv8i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLiv8i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv16i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv1i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv2i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv2i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv4i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv4i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv8i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLsv8i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv16i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv1i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv2i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv2i64, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv4i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv4i32, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv8i16, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHLuv8i8, ARM_INS_VSHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRNv2i32, ARM_INS_VSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRNv4i16, ARM_INS_VSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRNv8i8, ARM_INS_VSHRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv16i8, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv1i64, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv2i32, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv2i64, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv4i16, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv4i32, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv8i16, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRsv8i8, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv16i8, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv1i64, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv2i32, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv2i64, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv4i16, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv4i32, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv8i16, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHRuv8i8, ARM_INS_VSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHTOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSHTOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSITOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSITOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv16i8, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv1i64, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv2i32, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv2i64, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv4i16, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv4i32, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv8i16, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLIv8i8, ARM_INS_VSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLTOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSLTOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSQRTD, ARM_INS_VSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSQRTS, ARM_INS_VSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv16i8, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv1i64, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv2i32, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv2i64, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv4i16, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv4i32, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv8i16, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAsv8i8, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv16i8, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv1i64, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv2i32, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv2i64, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv4i16, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv4i32, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv8i16, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRAuv8i8, ARM_INS_VSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv16i8, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv1i64, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv2i32, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv2i64, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv4i16, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv4i32, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv8i16, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSRIv8i8, ARM_INS_VSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd16, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd16_UPD, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd32, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd32_UPD, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd8, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1LNd8_UPD, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16Q, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16Qwb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16Qwb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16T, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16Twb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16Twb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d16wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32Q, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32Qwb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32Qwb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32T, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32Twb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32Twb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d32wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64Q, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64Qwb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64Qwb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64T, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64Twb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64Twb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d64wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8Q, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8Qwb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8Qwb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8T, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8Twb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8Twb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1d8wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q16, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q16wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q16wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q32, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q32wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q32wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q64, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q64wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q64wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q8, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q8wb_fixed, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST1q8wb_register, ARM_INS_VST1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd16, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd16_UPD, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd32, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd32_UPD, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd8, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNd8_UPD, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNq16, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNq16_UPD, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNq32, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2LNq32_UPD, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b16, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b16wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b16wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b32, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b32wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b32wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b8, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b8wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2b8wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d16, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d16wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d16wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d32, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d32wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d32wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d8, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d8wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2d8wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q16, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q16wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q16wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q32, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q32wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q32wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q8, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q8wb_fixed, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST2q8wb_register, ARM_INS_VST2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd16, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd16_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd32, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd32_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd8, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNd8_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNq16, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNq16_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNq32, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3LNq32_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d16, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d16_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d32, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d32_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d8, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3d8_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q16, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q16_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q32, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q32_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q8, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST3q8_UPD, ARM_INS_VST3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd16, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd16_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd32, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd32_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd8, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNd8_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNq16, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNq16_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNq32, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4LNq32_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d16, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d16_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d32, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d32_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d8, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4d8_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q16, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q16_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q32, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q32_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q8, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VST4q8_UPD, ARM_INS_VST4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMDDB_UPD, ARM_INS_VSTMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMDIA, ARM_INS_VSTMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMDIA_UPD, ARM_INS_VSTMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMSDB_UPD, ARM_INS_VSTMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMSIA, ARM_INS_VSTMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTMSIA_UPD, ARM_INS_VSTMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTRD, ARM_INS_VSTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSTRS, ARM_INS_VSTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBD, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBHNv2i32, ARM_INS_VSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBHNv4i16, ARM_INS_VSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBHNv8i8, ARM_INS_VSUBHN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLsv2i64, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLsv4i32, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLsv8i16, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLuv2i64, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLuv4i32, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBLuv8i16, ARM_INS_VSUBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBS, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWsv2i64, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWsv4i32, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWsv8i16, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWuv2i64, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWuv4i32, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBWuv8i16, ARM_INS_VSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBfd, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBfq, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv16i8, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv1i64, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv2i32, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv2i64, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv4i16, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv4i32, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv8i16, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSUBv8i8, ARM_INS_VSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSWPd, ARM_INS_VSWP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VSWPq, ARM_INS_VSWP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBL1, ARM_INS_VTBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBL2, ARM_INS_VTBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBL3, ARM_INS_VTBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBL4, ARM_INS_VTBL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBX1, ARM_INS_VTBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBX2, ARM_INS_VTBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBX3, ARM_INS_VTBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTBX4, ARM_INS_VTBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSHD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSHS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSIRD, ARM_INS_VCVTR,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSIRS, ARM_INS_VCVTR,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSIZD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSIZS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSLD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOSLS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUHD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUHS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUIRD, ARM_INS_VCVTR,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUIRS, ARM_INS_VCVTR,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_FPSCR, 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUIZD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOUIZS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOULD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTOULS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNd16, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNd32, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNd8, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNq16, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNq32, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTRNq8, ARM_INS_VTRN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv16i8, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv2i32, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv4i16, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv4i32, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv8i16, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VTSTv8i8, ARM_INS_VTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUHTOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUHTOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUITOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUITOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VULTOD, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, ARM_GRP_DPVFP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VULTOS, ARM_INS_VCVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_VFP2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUZPd16, ARM_INS_VUZP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUZPd8, ARM_INS_VUZP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUZPq16, ARM_INS_VUZP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUZPq32, ARM_INS_VUZP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VUZPq8, ARM_INS_VUZP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VZIPd16, ARM_INS_VZIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VZIPd8, ARM_INS_VZIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VZIPq16, ARM_INS_VZIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VZIPq32, ARM_INS_VZIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_VZIPq8, ARM_INS_VZIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_NEON, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMDA, ARM_INS_LDMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMDA_UPD, ARM_INS_LDMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMDB, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMDB_UPD, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMIA, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMIA_UPD, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMIB, ARM_INS_LDMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysLDMIB_UPD, ARM_INS_LDMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMDA, ARM_INS_STMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMDA_UPD, ARM_INS_STMDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMDB, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMDB_UPD, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMIA, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMIA_UPD, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMIB, ARM_INS_STMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_sysSTMIB_UPD, ARM_INS_STMIB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_ARM, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADCri, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADCrr, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADCrs, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADDri, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADDri12, ARM_INS_ADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADDrr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADDrs, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ADR, ARM_INS_ADR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ANDri, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ANDrr, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ANDrs, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ASRri, ARM_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ASRrr, ARM_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2B, ARM_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB2, 0 }, 1, 0
+#endif
+},
+{
+	ARM_t2BFC, ARM_INS_BFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2BFI, ARM_INS_BFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2BICri, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2BICrr, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2BICrs, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2BXJ, ARM_INS_BXJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, ARM_GRP_PREV8, 0 }, 0, 1
+#endif
+},
+{
+	ARM_t2Bcc, ARM_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB2, 0 }, 1, 0
+#endif
+},
+{
+	ARM_t2CDP, ARM_INS_CDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CDP2, ARM_INS_CDP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CLREX, ARM_INS_CLREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CLZ, ARM_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMNri, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMNzrr, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMNzrs, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMPri, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMPrr, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CMPrs, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CPS1p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CPS2p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CPS3p, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32B, ARM_INS_CRC32B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32CB, ARM_INS_CRC32CB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32CH, ARM_INS_CRC32CH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32CW, ARM_INS_CRC32CW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32H, ARM_INS_CRC32H,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2CRC32W, ARM_INS_CRC32W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, ARM_GRP_CRC, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DBG, ARM_INS_DBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DCPS1, ARM_INS_DCPS1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DCPS2, ARM_INS_DCPS2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DCPS3, ARM_INS_DCPS3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DMB, ARM_INS_DMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2DSB, ARM_INS_DSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2EORri, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2EORrr, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2EORrs, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2HINT, ARM_INS_HINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2HVC, ARM_INS_HVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ISB, ARM_INS_ISB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_DATABARRIER, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2IT, ARM_INS_IT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_ITSTATE, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDA, ARM_INS_LDA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAB, ARM_INS_LDAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAEX, ARM_INS_LDAEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAEXB, ARM_INS_LDAEXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAEXD, ARM_INS_LDAEXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAEXH, ARM_INS_LDAEXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDAH, ARM_INS_LDAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2L_OFFSET, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2L_OPTION, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2L_POST, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2L_PRE, ARM_INS_LDC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2_OFFSET, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2_OPTION, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2_POST, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC2_PRE, ARM_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDCL_OFFSET, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDCL_OPTION, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDCL_POST, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDCL_PRE, ARM_INS_LDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC_OFFSET, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC_OPTION, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC_POST, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDC_PRE, ARM_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDMDB, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDMDB_UPD, ARM_INS_LDMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDMIA, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDMIA_UPD, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRBT, ARM_INS_LDRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRB_POST, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRB_PRE, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRBi12, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRBi8, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRBpci, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRBs, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRD_POST, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRD_PRE, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRDi8, ARM_INS_LDRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDREX, ARM_INS_LDREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDREXB, ARM_INS_LDREXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDREXD, ARM_INS_LDREXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDREXH, ARM_INS_LDREXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRHT, ARM_INS_LDRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRH_POST, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRH_PRE, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRHi12, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRHi8, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRHpci, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRHs, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSBT, ARM_INS_LDRSBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSB_POST, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSB_PRE, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSBi12, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSBi8, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSBpci, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSBs, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSHT, ARM_INS_LDRSHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSH_POST, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSH_PRE, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSHi12, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSHi8, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSHpci, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRSHs, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRT, ARM_INS_LDRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDR_POST, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDR_PRE, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRi12, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRi8, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRpci, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LDRs, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LSLri, ARM_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LSLrr, ARM_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LSRri, ARM_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2LSRrr, ARM_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MCR, ARM_INS_MCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MCR2, ARM_INS_MCR2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MCRR, ARM_INS_MCRR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MCRR2, ARM_INS_MCRR2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MLA, ARM_INS_MLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MLS, ARM_INS_MLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVTi16, ARM_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVi, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVi16, ARM_INS_MOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVr, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVsra_flag, ARM_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MOVsrl_flag, ARM_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRC, ARM_INS_MRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRC2, ARM_INS_MRC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRRC, ARM_INS_MRRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRRC2, ARM_INS_MRRC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_PREV8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRS_AR, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRS_M, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_MCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRSbanked, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MRSsys_AR, ARM_INS_MRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MSR_AR, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MSR_M, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_MCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MSRbanked, ARM_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_VIRTUALIZATION, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MUL, ARM_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MVNi, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MVNr, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2MVNs, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORNri, ARM_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORNrr, ARM_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORNrs, ARM_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORRri, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORRrr, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2ORRrs, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PKHBT, ARM_INS_PKHBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PKHTB, ARM_INS_PKHTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDWi12, ARM_INS_PLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDWi8, ARM_INS_PLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDWs, ARM_INS_PLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, ARM_GRP_MULTPRO, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDi12, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDi8, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDpci, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLDs, ARM_INS_PLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLIi12, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLIi8, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLIpci, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2PLIs, ARM_INS_PLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_V7, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QADD, ARM_INS_QADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QADD16, ARM_INS_QADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QADD8, ARM_INS_QADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QASX, ARM_INS_QASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QDADD, ARM_INS_QDADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QDSUB, ARM_INS_QDSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QSAX, ARM_INS_QSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QSUB, ARM_INS_QSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QSUB16, ARM_INS_QSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2QSUB8, ARM_INS_QSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RBIT, ARM_INS_RBIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2REV, ARM_INS_REV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2REV16, ARM_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2REVSH, ARM_INS_REVSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RFEDB, ARM_INS_RFEDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RFEDBW, ARM_INS_RFEDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RFEIA, ARM_INS_RFEIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RFEIAW, ARM_INS_RFEIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RORri, ARM_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RORrr, ARM_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RRX, ARM_INS_RRX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RSBri, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RSBrr, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2RSBrs, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SADD16, ARM_INS_SADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SADD8, ARM_INS_SADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SASX, ARM_INS_SASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SBCri, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SBCrr, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SBCrs, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SBFX, ARM_INS_SBFX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SDIV, ARM_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_DIVIDE, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SEL, ARM_INS_SEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHADD16, ARM_INS_SHADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHADD8, ARM_INS_SHADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHASX, ARM_INS_SHASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHSAX, ARM_INS_SHSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHSUB16, ARM_INS_SHSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SHSUB8, ARM_INS_SHSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMC, ARM_INS_SMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PRIVILEGE, ARM_GRP_THUMB2, ARM_GRP_TRUSTZONE, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLABB, ARM_INS_SMLABB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLABT, ARM_INS_SMLABT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLAD, ARM_INS_SMLAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLADX, ARM_INS_SMLADX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLAL, ARM_INS_SMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALBB, ARM_INS_SMLALBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALBT, ARM_INS_SMLALBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALD, ARM_INS_SMLALD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALDX, ARM_INS_SMLALDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALTB, ARM_INS_SMLALTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLALTT, ARM_INS_SMLALTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLATB, ARM_INS_SMLATB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLATT, ARM_INS_SMLATT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLAWB, ARM_INS_SMLAWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLAWT, ARM_INS_SMLAWT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLSD, ARM_INS_SMLSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLSDX, ARM_INS_SMLSDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLSLD, ARM_INS_SMLSLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMLSLDX, ARM_INS_SMLSLDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMLA, ARM_INS_SMMLA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMLAR, ARM_INS_SMMLAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMLS, ARM_INS_SMMLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, ARM_GRP_MULOPS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMLSR, ARM_INS_SMMLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMUL, ARM_INS_SMMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMMULR, ARM_INS_SMMULR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMUAD, ARM_INS_SMUAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMUADX, ARM_INS_SMUADX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULBB, ARM_INS_SMULBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULBT, ARM_INS_SMULBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULL, ARM_INS_SMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULTB, ARM_INS_SMULTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULTT, ARM_INS_SMULTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULWB, ARM_INS_SMULWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMULWT, ARM_INS_SMULWT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMUSD, ARM_INS_SMUSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SMUSDX, ARM_INS_SMUSDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SRSDB, ARM_INS_SRSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SRSDB_UPD, ARM_INS_SRSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SRSIA, ARM_INS_SRSIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SRSIA_UPD, ARM_INS_SRSIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SSAT, ARM_INS_SSAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SSAT16, ARM_INS_SSAT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SSAX, ARM_INS_SSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SSUB16, ARM_INS_SSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SSUB8, ARM_INS_SSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2L_OFFSET, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2L_OPTION, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2L_POST, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2L_PRE, ARM_INS_STC2L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2_OFFSET, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2_OPTION, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2_POST, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC2_PRE, ARM_INS_STC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_PREV8, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STCL_OFFSET, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STCL_OPTION, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STCL_POST, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STCL_PRE, ARM_INS_STCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC_OFFSET, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC_OPTION, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC_POST, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STC_PRE, ARM_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STL, ARM_INS_STL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLB, ARM_INS_STLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLEX, ARM_INS_STLEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLEXB, ARM_INS_STLEXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLEXD, ARM_INS_STLEXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLEXH, ARM_INS_STLEXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STLH, ARM_INS_STLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STMDB, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STMDB_UPD, ARM_INS_STMDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STMIA, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STMIA_UPD, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRBT, ARM_INS_STRBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRB_POST, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRB_PRE, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRBi12, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRBi8, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRBs, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRD_POST, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRD_PRE, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRDi8, ARM_INS_STRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STREX, ARM_INS_STREX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STREXB, ARM_INS_STREXB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STREXD, ARM_INS_STREXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STREXH, ARM_INS_STREXH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRHT, ARM_INS_STRHT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRH_POST, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRH_PRE, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRHi12, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRHi8, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRHs, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRT, ARM_INS_STRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STR_POST, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STR_PRE, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRi12, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRi8, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2STRs, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SUBS_PC_LR, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_SPSR, ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_REG_CPSR, ARM_REG_PC, 0 }, { ARM_GRP_THUMB2, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SUBri, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SUBri12, ARM_INS_SUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SUBrr, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SUBrs, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTAB, ARM_INS_SXTAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTAB16, ARM_INS_SXTAB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTAH, ARM_INS_SXTAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTB, ARM_INS_SXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTB16, ARM_INS_SXTB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_T2EXTRACTPACK, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2SXTH, ARM_INS_SXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TBB, ARM_INS_TBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 1
+#endif
+},
+{
+	ARM_t2TBH, ARM_INS_TBH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 1
+#endif
+},
+{
+	ARM_t2TEQri, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TEQrr, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TEQrs, ARM_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TSTri, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TSTrr, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2TSTrs, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UADD16, ARM_INS_UADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UADD8, ARM_INS_UADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UASX, ARM_INS_UASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UBFX, ARM_INS_UBFX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UDF, ARM_INS_UDF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UDIV, ARM_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_DIVIDE, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHADD16, ARM_INS_UHADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHADD8, ARM_INS_UHADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHASX, ARM_INS_UHASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHSAX, ARM_INS_UHSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHSUB16, ARM_INS_UHSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UHSUB8, ARM_INS_UHSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UMAAL, ARM_INS_UMAAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UMLAL, ARM_INS_UMLAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UMULL, ARM_INS_UMULL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQADD16, ARM_INS_UQADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQADD8, ARM_INS_UQADD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQASX, ARM_INS_UQASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQSAX, ARM_INS_UQSAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQSUB16, ARM_INS_UQSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UQSUB8, ARM_INS_UQSUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USAD8, ARM_INS_USAD8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USADA8, ARM_INS_USADA8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USAT, ARM_INS_USAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USAT16, ARM_INS_USAT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USAX, ARM_INS_USAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USUB16, ARM_INS_USUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2USUB8, ARM_INS_USUB8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, ARM_GRP_THUMB2DSP, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTAB, ARM_INS_UXTAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTAB16, ARM_INS_UXTAB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTAH, ARM_INS_UXTAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTB, ARM_INS_UXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTB16, ARM_INS_UXTB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_T2EXTRACTPACK, ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_t2UXTH, ARM_INS_UXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB2, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADC, ARM_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDhirr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDi3, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDi8, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDrSP, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDrSPi, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDrr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDspi, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADDspr, ARM_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tADR, ARM_INS_ADR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tAND, ARM_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tASRri, ARM_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tASRrr, ARM_INS_ASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tB, ARM_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tBIC, ARM_INS_BIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tBKPT, ARM_INS_BKPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tBL, ARM_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB, ARM_GRP_CALL, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tBLXi, ARM_INS_BLX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB, ARM_GRP_V5T, ARM_GRP_NOTMCLASS, ARM_GRP_CALL, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tBLXr, ARM_INS_BLX,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, ARM_REG_PC, 0 }, { ARM_GRP_THUMB, ARM_GRP_V5T, ARM_GRP_CALL, 0 }, 0, 1
+#endif
+},
+{
+	ARM_tBX, ARM_INS_BX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_THUMB, 0 }, 0, 1
+#endif
+},
+{
+	ARM_tBcc, ARM_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_PC, 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tCBNZ, ARM_INS_CBNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB2, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tCBZ, ARM_INS_CBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_BRANCH_RELATIVE, ARM_GRP_THUMB2, 0 }, 1, 0
+#endif
+},
+{
+	ARM_tCMNz, ARM_INS_CMN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tCMPhir, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tCMPi8, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tCMPr, ARM_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tCPS, ARM_INS_CPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tEOR, ARM_INS_EOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tHINT, ARM_INS_HINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V6M, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tHLT, ARM_INS_HLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V8, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDMIA, ARM_INS_LDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRBi, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRBr, ARM_INS_LDRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRHi, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRHr, ARM_INS_LDRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRSB, ARM_INS_LDRSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRSH, ARM_INS_LDRSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRi, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRpci, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRr, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLDRspi, ARM_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLSLri, ARM_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLSLrr, ARM_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLSRri, ARM_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tLSRrr, ARM_INS_LSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tMOVSr, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tMOVi8, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tMOVr, ARM_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tMUL, ARM_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tMVN, ARM_INS_MVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tORR, ARM_INS_ORR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tPOP, ARM_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_SP, 0 }, { ARM_REG_SP, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tPUSH, ARM_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_SP, 0 }, { ARM_REG_SP, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tREV, ARM_INS_REV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tREV16, ARM_INS_REV16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tREVSH, ARM_INS_REVSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tROR, ARM_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tRSB, ARM_INS_RSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSBC, ARM_INS_SBC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_CPSR, 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSETEND, ARM_INS_SETEND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_V6, ARM_GRP_NOTMCLASS, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTMIA_UPD, ARM_INS_STM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRBi, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRBr, ARM_INS_STRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRHi, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRHr, ARM_INS_STRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRi, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRr, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSTRspi, ARM_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSUBi3, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSUBi8, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSUBrr, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSUBspi, ARM_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSVC, ARM_INS_SVC,
+#ifndef CAPSTONE_DIET
+	{ ARM_REG_PC, 0 }, { ARM_REG_LR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSXTB, ARM_INS_SXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tSXTH, ARM_INS_SXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tTRAP, ARM_INS_TRAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tTST, ARM_INS_TST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { ARM_REG_CPSR, 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tUDF, ARM_INS_UDF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tUXTB, ARM_INS_UXTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
+{
+	ARM_tUXTH, ARM_INS_UXTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { ARM_GRP_THUMB, ARM_GRP_THUMB1ONLY, ARM_GRP_V6, 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMMappingInsnOp.inc 4.0.2-3/arch/ARM/ARMMappingInsnOp.inc
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMMappingInsnOp.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMMappingInsnOp.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,6657 @@
+// This is auto-gen data for Capstone disassembly engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{	/* ARM_ADCri, ARM_INS_ADC: adc${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ADCrr, ARM_INS_ADC: adc${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ADCrsi, ARM_INS_ADC: adc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ADCrsr, ARM_INS_ADC: adc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ADDri, ARM_INS_ADD: add${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ADDrr, ARM_INS_ADD: add${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ADDrsi, ARM_INS_ADD: add${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ADDrsr, ARM_INS_ADD: add${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ADR, ARM_INS_ADR: adr${p}	$rd, $label */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_AESD, ARM_INS_AESD: aesd.8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_AESE, ARM_INS_AESE: aese.8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_AESIMC, ARM_INS_AESIMC: aesimc.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_AESMC, ARM_INS_AESMC: aesmc.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ANDri, ARM_INS_AND: and${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ANDrr, ARM_INS_AND: and${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ANDrsi, ARM_INS_AND: and${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ANDrsr, ARM_INS_AND: and${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_BFC, ARM_INS_BFC: bfc${p}	$rd, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_BFI, ARM_INS_BFI: bfi${p}	$rd, $rn, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_BICri, ARM_INS_BIC: bic${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_BICrr, ARM_INS_BIC: bic${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_BICrsi, ARM_INS_BIC: bic${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_BICrsr, ARM_INS_BIC: bic${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_BKPT, ARM_INS_BKPT: bkpt	$val */
+	{ 0 }
+},
+{	/* ARM_BL, ARM_INS_BL: bl	$func */
+	{ 0 }
+},
+{	/* ARM_BLX, ARM_INS_BLX: blx	$func */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_BLX_pred, ARM_INS_BLX: blx${p}	$func */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_BLXi, ARM_INS_BLX: blx	$target */
+	{ 0 }
+},
+{	/* ARM_BL_pred, ARM_INS_BL: bl${p}	$func */
+	{ 0 }
+},
+{	/* ARM_BX, ARM_INS_BX: bx	$dst */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_BXJ, ARM_INS_BXJ: bxj${p}	$func */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_BX_RET, ARM_INS_BX: bx${p}	lr */
+	{ 0 }
+},
+{	/* ARM_BX_pred, ARM_INS_BX: bx${p}	$dst */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_Bcc, ARM_INS_B: b${p}	$target */
+	{ 0 }
+},
+{	/* ARM_CDP, ARM_INS_CDP: cdp${p}	$cop, $opc1, $crd, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_CDP2, ARM_INS_CDP2: cdp2	$cop, $opc1, $crd, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_CLREX, ARM_INS_CLREX: clrex */
+	{ 0 }
+},
+{	/* ARM_CLZ, ARM_INS_CLZ: clz${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_CMNri, ARM_INS_CMN: cmn${p}	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_CMNzrr, ARM_INS_CMN: cmn${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CMNzrsi, ARM_INS_CMN: cmn${p}	$rn, $shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_CMNzrsr, ARM_INS_CMN: cmn${p}	$rn, $shift */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CMPri, ARM_INS_CMP: cmp${p}	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_CMPrr, ARM_INS_CMP: cmp${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CMPrsi, ARM_INS_CMP: cmp${p}	$rn, $shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_CMPrsr, ARM_INS_CMP: cmp${p}	$rn, $shift */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CPS1p, ARM_INS_CPS: cps	$mode */
+	{ 0 }
+},
+{	/* ARM_CPS2p, ARM_INS_CPS: cps$imod	$iflags */
+	{ 0 }
+},
+{	/* ARM_CPS3p, ARM_INS_CPS: cps$imod	$iflags, $mode */
+	{ 0 }
+},
+{	/* ARM_CRC32B, ARM_INS_CRC32B: crc32b	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CRC32CB, ARM_INS_CRC32CB: crc32cb	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CRC32CH, ARM_INS_CRC32CH: crc32ch	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CRC32CW, ARM_INS_CRC32CW: crc32cw	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CRC32H, ARM_INS_CRC32H: crc32h	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_CRC32W, ARM_INS_CRC32W: crc32w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_DBG, ARM_INS_DBG: dbg${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_DMB, ARM_INS_DMB: dmb	$opt */
+	{ 0 }
+},
+{	/* ARM_DSB, ARM_INS_DSB: dsb	$opt */
+	{ 0 }
+},
+{	/* ARM_EORri, ARM_INS_EOR: eor${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_EORrr, ARM_INS_EOR: eor${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_EORrsi, ARM_INS_EOR: eor${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_EORrsr, ARM_INS_EOR: eor${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ERET, ARM_INS_ERET: eret${p} */
+	{ 0 }
+},
+{	/* ARM_FCONSTD, ARM_INS_VMOV: vmov${p}.f64	$dd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_FCONSTS, ARM_INS_VMOV: vmov${p}.f32	$sd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_FLDMXDB_UPD, ARM_INS_FLDMDBX: fldmdbx${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_FLDMXIA, ARM_INS_FLDMIAX: fldmiax${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_FLDMXIA_UPD, ARM_INS_FLDMIAX: fldmiax${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_FMSTAT, ARM_INS_VMRS: vmrs${p}	apsr_nzcv, fpscr */
+	{ 0 }
+},
+{	/* ARM_FSTMXDB_UPD, ARM_INS_FSTMDBX: fstmdbx${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_FSTMXIA, ARM_INS_FSTMIAX: fstmiax${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_FSTMXIA_UPD, ARM_INS_FSTMIAX: fstmiax${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_HINT, ARM_INS_HINT: hint${p}	$imm */
+	{ 0 }
+},
+{	/* ARM_HLT, ARM_INS_HLT: hlt	$val */
+	{ 0 }
+},
+{	/* ARM_HVC, ARM_INS_HVC: hvc	$imm */
+	{ 0 }
+},
+{	/* ARM_ISB, ARM_INS_ISB: isb	$opt */
+	{ 0 }
+},
+{	/* ARM_LDA, ARM_INS_LDA: lda${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAB, ARM_INS_LDAB: ldab${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAEX, ARM_INS_LDAEX: ldaex${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAEXB, ARM_INS_LDAEXB: ldaexb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAEXD, ARM_INS_LDAEXD: ldaexd${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAEXH, ARM_INS_LDAEXH: ldaexh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDAH, ARM_INS_LDAH: ldah${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2L_OFFSET, ARM_INS_LDC2L: ldc2l	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2L_OPTION, ARM_INS_LDC2L: ldc2l	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2L_POST, ARM_INS_LDC2L: ldc2l	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2L_PRE, ARM_INS_LDC2L: ldc2l	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2_OFFSET, ARM_INS_LDC2: ldc2	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2_OPTION, ARM_INS_LDC2: ldc2	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2_POST, ARM_INS_LDC2: ldc2	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC2_PRE, ARM_INS_LDC2: ldc2	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDCL_OFFSET, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDCL_OPTION, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDCL_POST, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDCL_PRE, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC_OFFSET, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC_OPTION, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC_POST, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDC_PRE, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDMDA, ARM_INS_LDMDA: ldmda${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMDA_UPD, ARM_INS_LDMDA: ldmda${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMDB, ARM_INS_LDMDB: ldmdb${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMDB_UPD, ARM_INS_LDMDB: ldmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMIA, ARM_INS_LDM: ldm${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMIA_UPD, ARM_INS_LDM: ldm${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMIB, ARM_INS_LDMIB: ldmib${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDMIB_UPD, ARM_INS_LDMIB: ldmib${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRBT_POST_IMM, ARM_INS_LDRBT: ldrbt${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRBT_POST_REG, ARM_INS_LDRBT: ldrbt${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRB_POST_IMM, ARM_INS_LDRB: ldrb${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRB_POST_REG, ARM_INS_LDRB: ldrb${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRB_PRE_IMM, ARM_INS_LDRB: ldrb${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRB_PRE_REG, ARM_INS_LDRB: ldrb${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRBi12, ARM_INS_LDRB: ldrb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRBrs, ARM_INS_LDRB: ldrb${p}	$rt, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRD, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRD_POST, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRD_PRE, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr! */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDREX, ARM_INS_LDREX: ldrex${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDREXB, ARM_INS_LDREXB: ldrexb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDREXD, ARM_INS_LDREXD: ldrexd${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDREXH, ARM_INS_LDREXH: ldrexh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRH, ARM_INS_LDRH: ldrh${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRHTi, ARM_INS_LDRHT: ldrht${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRHTr, ARM_INS_LDRHT: ldrht${p}	$rt, $addr, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRH_POST, ARM_INS_LDRH: ldrh${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRH_PRE, ARM_INS_LDRH: ldrh${p}	$rt, $addr! */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRSB, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRSBTi, ARM_INS_LDRSBT: ldrsbt${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSBTr, ARM_INS_LDRSBT: ldrsbt${p}	$rt, $addr, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSB_POST, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSB_PRE, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr! */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRSH, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRSHTi, ARM_INS_LDRSHT: ldrsht${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSHTr, ARM_INS_LDRSHT: ldrsht${p}	$rt, $addr, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSH_POST, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRSH_PRE, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr! */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_LDRT_POST_IMM, ARM_INS_LDRT: ldrt${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRT_POST_REG, ARM_INS_LDRT: ldrt${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDR_POST_IMM, ARM_INS_LDR: ldr${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDR_POST_REG, ARM_INS_LDR: ldr${p}	$rt, $addr, $offset */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDR_PRE_IMM, ARM_INS_LDR: ldr${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDR_PRE_REG, ARM_INS_LDR: ldr${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRcp, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRi12, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_LDRrs, ARM_INS_LDR: ldr${p}	$rt, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_MCR, ARM_INS_MCR: mcr${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_MCR2, ARM_INS_MCR2: mcr2	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_MCRR, ARM_INS_MCRR: mcrr${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MCRR2, ARM_INS_MCRR2: mcrr2	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MLA, ARM_INS_MLA: mla${s}${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MLS, ARM_INS_MLS: mls${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MOVPCLR, ARM_INS_MOV: mov${p}	pc, lr */
+	{ 0 }
+},
+{	/* ARM_MOVTi16, ARM_INS_MOVT: movt${p}	$rd, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_MOVi, ARM_INS_MOV: mov${s}${p}	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MOVi16, ARM_INS_MOVW: movw${p}	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MOVr, ARM_INS_MOV: mov${s}${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_MOVr_TC, ARM_INS_MOV: mov${s}${p}	$rd, $rm */
+	{ 0 }
+},
+{	/* ARM_MOVsi, ARM_INS_MOV: mov${s}${p}	$rd, $src */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MOVsr, ARM_INS_MOV: mov${s}${p}	$rd, $src */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MRC, ARM_INS_MRC: mrc${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_MRC2, ARM_INS_MRC2: mrc2	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_MRRC, ARM_INS_MRRC: mrrc${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MRRC2, ARM_INS_MRRC2: mrrc2	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MRS, ARM_INS_MRS: mrs${p}	$rd, apsr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MRSbanked, ARM_INS_MRS: mrs${p}	$rd, $banked */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MRSsys, ARM_INS_MRS: mrs${p}	$rd, spsr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MSR, ARM_INS_MSR: msr${p}	$mask, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_MSRbanked, ARM_INS_MSR: msr${p}	$banked, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_MSRi, ARM_INS_MSR: msr${p}	$mask, $imm */
+	{ 0 }
+},
+{	/* ARM_MUL, ARM_INS_MUL: mul${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_MVNi, ARM_INS_MVN: mvn${s}${p}	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MVNr, ARM_INS_MVN: mvn${s}${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_MVNsi, ARM_INS_MVN: mvn${s}${p}	$rd, $shift */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_MVNsr, ARM_INS_MVN: mvn${s}${p}	$rd, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ORRri, ARM_INS_ORR: orr${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ORRrr, ARM_INS_ORR: orr${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_ORRrsi, ARM_INS_ORR: orr${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_ORRrsr, ARM_INS_ORR: orr${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_PKHBT, ARM_INS_PKHBT: pkhbt${p}	$rd, $rn, $rm$sh */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_PKHTB, ARM_INS_PKHTB: pkhtb${p}	$rd, $rn, $rm$sh */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_PLDWi12, ARM_INS_PLDW: pldw	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_PLDWrs, ARM_INS_PLDW: pldw	$shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_PLDi12, ARM_INS_PLD: pld	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_PLDrs, ARM_INS_PLD: pld	$shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_PLIi12, ARM_INS_PLI: pli	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_PLIrs, ARM_INS_PLI: pli	$shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_QADD, ARM_INS_QADD: qadd${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QADD16, ARM_INS_QADD16: qadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QADD8, ARM_INS_QADD8: qadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QASX, ARM_INS_QASX: qasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QDADD, ARM_INS_QDADD: qdadd${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QDSUB, ARM_INS_QDSUB: qdsub${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QSAX, ARM_INS_QSAX: qsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QSUB, ARM_INS_QSUB: qsub${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QSUB16, ARM_INS_QSUB16: qsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_QSUB8, ARM_INS_QSUB8: qsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_RBIT, ARM_INS_RBIT: rbit${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_REV, ARM_INS_REV: rev${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_REV16, ARM_INS_REV16: rev16${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_REVSH, ARM_INS_REVSH: revsh${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_RFEDA, ARM_INS_RFEDA: rfeda	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEDA_UPD, ARM_INS_RFEDA: rfeda	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEDB, ARM_INS_RFEDB: rfedb	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEDB_UPD, ARM_INS_RFEDB: rfedb	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEIA, ARM_INS_RFEIA: rfeia	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEIA_UPD, ARM_INS_RFEIA: rfeia	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEIB, ARM_INS_RFEIB: rfeib	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RFEIB_UPD, ARM_INS_RFEIB: rfeib	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_RSBri, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_RSBrr, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_RSBrsi, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_RSBrsr, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_RSCri, ARM_INS_RSC: rsc${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_RSCrr, ARM_INS_RSC: rsc${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_RSCrsi, ARM_INS_RSC: rsc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_RSCrsr, ARM_INS_RSC: rsc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SADD16, ARM_INS_SADD16: sadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SADD8, ARM_INS_SADD8: sadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SASX, ARM_INS_SASX: sasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SBCri, ARM_INS_SBC: sbc${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SBCrr, ARM_INS_SBC: sbc${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SBCrsi, ARM_INS_SBC: sbc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SBCrsr, ARM_INS_SBC: sbc${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SBFX, ARM_INS_SBFX: sbfx${p}	$rd, $rn, $lsb, $width */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SDIV, ARM_INS_SDIV: sdiv${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SEL, ARM_INS_SEL: sel${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SETEND, ARM_INS_SETEND: setend	$end */
+	{ 0 }
+},
+{	/* ARM_SHA1C, ARM_INS_SHA1C: sha1c.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA1H, ARM_INS_SHA1H: sha1h.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA1M, ARM_INS_SHA1M: sha1m.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA1P, ARM_INS_SHA1P: sha1p.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA1SU0, ARM_INS_SHA1SU0: sha1su0.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA1SU1, ARM_INS_SHA1SU1: sha1su1.32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA256H, ARM_INS_SHA256H: sha256h.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA256H2, ARM_INS_SHA256H2: sha256h2.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA256SU0, ARM_INS_SHA256SU0: sha256su0.32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SHA256SU1, ARM_INS_SHA256SU1: sha256su1.32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHADD16, ARM_INS_SHADD16: shadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHADD8, ARM_INS_SHADD8: shadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHASX, ARM_INS_SHASX: shasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHSAX, ARM_INS_SHSAX: shsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHSUB16, ARM_INS_SHSUB16: shsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SHSUB8, ARM_INS_SHSUB8: shsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMC, ARM_INS_SMC: smc${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_SMLABB, ARM_INS_SMLABB: smlabb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLABT, ARM_INS_SMLABT: smlabt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLAD, ARM_INS_SMLAD: smlad${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLADX, ARM_INS_SMLADX: smladx${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLAL, ARM_INS_SMLAL: smlal${s}${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALBB, ARM_INS_SMLALBB: smlalbb${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALBT, ARM_INS_SMLALBT: smlalbt${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALD, ARM_INS_SMLALD: smlald${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALDX, ARM_INS_SMLALDX: smlaldx${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALTB, ARM_INS_SMLALTB: smlaltb${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLALTT, ARM_INS_SMLALTT: smlaltt${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLATB, ARM_INS_SMLATB: smlatb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLATT, ARM_INS_SMLATT: smlatt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLAWB, ARM_INS_SMLAWB: smlawb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLAWT, ARM_INS_SMLAWT: smlawt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLSD, ARM_INS_SMLSD: smlsd${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLSDX, ARM_INS_SMLSDX: smlsdx${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLSLD, ARM_INS_SMLSLD: smlsld${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMLSLDX, ARM_INS_SMLSLDX: smlsldx${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMLA, ARM_INS_SMMLA: smmla${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMLAR, ARM_INS_SMMLAR: smmlar${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMLS, ARM_INS_SMMLS: smmls${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMLSR, ARM_INS_SMMLSR: smmlsr${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMUL, ARM_INS_SMMUL: smmul${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMMULR, ARM_INS_SMMULR: smmulr${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMUAD, ARM_INS_SMUAD: smuad${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMUADX, ARM_INS_SMUADX: smuadx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULBB, ARM_INS_SMULBB: smulbb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULBT, ARM_INS_SMULBT: smulbt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULL, ARM_INS_SMULL: smull${s}${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULTB, ARM_INS_SMULTB: smultb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULTT, ARM_INS_SMULTT: smultt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULWB, ARM_INS_SMULWB: smulwb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMULWT, ARM_INS_SMULWT: smulwt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMUSD, ARM_INS_SMUSD: smusd${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SMUSDX, ARM_INS_SMUSDX: smusdx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SRSDA, ARM_INS_SRSDA: srsda	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSDA_UPD, ARM_INS_SRSDA: srsda	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSDB, ARM_INS_SRSDB: srsdb	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSDB_UPD, ARM_INS_SRSDB: srsdb	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSIA, ARM_INS_SRSIA: srsia	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSIA_UPD, ARM_INS_SRSIA: srsia	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSIB, ARM_INS_SRSIB: srsib	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_SRSIB_UPD, ARM_INS_SRSIB: srsib	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_SSAT, ARM_INS_SSAT: ssat${p}	$rd, $sat_imm, $rn$sh */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_SSAT16, ARM_INS_SSAT16: ssat16${p}	$rd, $sat_imm, $rn */
+	{ CS_AC_WRITE, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_SSAX, ARM_INS_SSAX: ssax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SSUB16, ARM_INS_SSUB16: ssub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SSUB8, ARM_INS_SSUB8: ssub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2L_OFFSET, ARM_INS_STC2L: stc2l	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2L_OPTION, ARM_INS_STC2L: stc2l	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2L_POST, ARM_INS_STC2L: stc2l	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2L_PRE, ARM_INS_STC2L: stc2l	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2_OFFSET, ARM_INS_STC2: stc2	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2_OPTION, ARM_INS_STC2: stc2	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2_POST, ARM_INS_STC2: stc2	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC2_PRE, ARM_INS_STC2: stc2	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STCL_OFFSET, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STCL_OPTION, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STCL_POST, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STCL_PRE, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC_OFFSET, ARM_INS_STC: stc${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC_OPTION, ARM_INS_STC: stc${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC_POST, ARM_INS_STC: stc${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STC_PRE, ARM_INS_STC: stc${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STL, ARM_INS_STL: stl${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLB, ARM_INS_STLB: stlb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLEX, ARM_INS_STLEX: stlex${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLEXB, ARM_INS_STLEXB: stlexb${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLEXD, ARM_INS_STLEXD: stlexd${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLEXH, ARM_INS_STLEXH: stlexh${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STLH, ARM_INS_STLH: stlh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STMDA, ARM_INS_STMDA: stmda${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STMDA_UPD, ARM_INS_STMDA: stmda${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_STMDB, ARM_INS_STMDB: stmdb${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STMDB_UPD, ARM_INS_STMDB: stmdb${p}	$rn!, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_STMIA, ARM_INS_STM: stm${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STMIA_UPD, ARM_INS_STM: stm${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_STMIB, ARM_INS_STMIB: stmib${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STMIB_UPD, ARM_INS_STMIB: stmib${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_STRBT_POST_IMM, ARM_INS_STRBT: strbt${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRBT_POST_REG, ARM_INS_STRBT: strbt${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRB_POST_IMM, ARM_INS_STRB: strb${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRB_POST_REG, ARM_INS_STRB: strb${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRB_PRE_IMM, ARM_INS_STRB: strb${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRB_PRE_REG, ARM_INS_STRB: strb${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRBi12, ARM_INS_STRB: strb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRBrs, ARM_INS_STRB: strb${p}	$rt, $shift */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRD, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRD_POST, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRD_PRE, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr! */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STREX, ARM_INS_STREX: strex${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STREXB, ARM_INS_STREXB: strexb${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STREXD, ARM_INS_STREXD: strexd${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STREXH, ARM_INS_STREXH: strexh${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRH, ARM_INS_STRH: strh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRHTi, ARM_INS_STRHT: strht${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRHTr, ARM_INS_STRHT: strht${p}	$rt, $addr, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRH_POST, ARM_INS_STRH: strh${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_STRH_PRE, ARM_INS_STRH: strh${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRT_POST_IMM, ARM_INS_STRT: strt${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRT_POST_REG, ARM_INS_STRT: strt${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STR_POST_IMM, ARM_INS_STR: str${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STR_POST_REG, ARM_INS_STR: str${p}	$rt, $addr, $offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STR_PRE_IMM, ARM_INS_STR: str${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STR_PRE_REG, ARM_INS_STR: str${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRi12, ARM_INS_STR: str${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_STRrs, ARM_INS_STR: str${p}	$rt, $shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_SUBri, ARM_INS_SUB: sub${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SUBrr, ARM_INS_SUB: sub${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SUBrsi, ARM_INS_SUB: sub${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SUBrsr, ARM_INS_SUB: sub${s}${p}	$rd, $rn, $shift */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SVC, ARM_INS_SVC: svc${p}	$svc */
+	{ 0 }
+},
+{	/* ARM_SWP, ARM_INS_SWP: swp${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SWPB, ARM_INS_SWPB: swpb${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_SXTAB, ARM_INS_SXTAB: sxtab${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SXTAB16, ARM_INS_SXTAB16: sxtab16${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SXTAH, ARM_INS_SXTAH: sxtah${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_SXTB, ARM_INS_SXTB: sxtb${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_SXTB16, ARM_INS_SXTB16: sxtb16${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_SXTH, ARM_INS_SXTH: sxth${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_TEQri, ARM_INS_TEQ: teq${p}	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_TEQrr, ARM_INS_TEQ: teq${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_TEQrsi, ARM_INS_TEQ: teq${p}	$rn, $shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_TEQrsr, ARM_INS_TEQ: teq${p}	$rn, $shift */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_TRAP, ARM_INS_TRAP: trap */
+	{ 0 }
+},
+{	/* ARM_TRAPNaCl, ARM_INS_TRAP: trap */
+	{ 0 }
+},
+{	/* ARM_TSTri, ARM_INS_TST: tst${p}	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_TSTrr, ARM_INS_TST: tst${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_TSTrsi, ARM_INS_TST: tst${p}	$rn, $shift */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_TSTrsr, ARM_INS_TST: tst${p}	$rn, $shift */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UADD16, ARM_INS_UADD16: uadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UADD8, ARM_INS_UADD8: uadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UASX, ARM_INS_UASX: uasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UBFX, ARM_INS_UBFX: ubfx${p}	$rd, $rn, $lsb, $width */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_UDF, ARM_INS_UDF: udf	$imm16 */
+	{ 0 }
+},
+{	/* ARM_UDIV, ARM_INS_UDIV: udiv${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHADD16, ARM_INS_UHADD16: uhadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHADD8, ARM_INS_UHADD8: uhadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHASX, ARM_INS_UHASX: uhasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHSAX, ARM_INS_UHSAX: uhsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHSUB16, ARM_INS_UHSUB16: uhsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UHSUB8, ARM_INS_UHSUB8: uhsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UMAAL, ARM_INS_UMAAL: umaal${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UMLAL, ARM_INS_UMLAL: umlal${s}${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UMULL, ARM_INS_UMULL: umull${s}${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQADD16, ARM_INS_UQADD16: uqadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQADD8, ARM_INS_UQADD8: uqadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQASX, ARM_INS_UQASX: uqasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQSAX, ARM_INS_UQSAX: uqsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQSUB16, ARM_INS_UQSUB16: uqsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UQSUB8, ARM_INS_UQSUB8: uqsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_USAD8, ARM_INS_USAD8: usad8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_USADA8, ARM_INS_USADA8: usada8${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_USAT, ARM_INS_USAT: usat${p}	$rd, $sat_imm, $rn$sh */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_USAT16, ARM_INS_USAT16: usat16${p}	$rd, $sat_imm, $rn */
+	{ CS_AC_WRITE, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_USAX, ARM_INS_USAX: usax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_USUB16, ARM_INS_USUB16: usub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_USUB8, ARM_INS_USUB8: usub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_UXTAB, ARM_INS_UXTAB: uxtab${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_UXTAB16, ARM_INS_UXTAB16: uxtab16${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_UXTAH, ARM_INS_UXTAH: uxtah${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_UXTB, ARM_INS_UXTB: uxtb${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_UXTB16, ARM_INS_UXTB16: uxtb16${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_UXTH, ARM_INS_UXTH: uxth${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VABALsv2i64, ARM_INS_VABAL: vabal${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABALsv4i32, ARM_INS_VABAL: vabal${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABALsv8i16, ARM_INS_VABAL: vabal${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABALuv2i64, ARM_INS_VABAL: vabal${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABALuv4i32, ARM_INS_VABAL: vabal${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABALuv8i16, ARM_INS_VABAL: vabal${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv16i8, ARM_INS_VABA: vaba${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv2i32, ARM_INS_VABA: vaba${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv4i16, ARM_INS_VABA: vaba${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv4i32, ARM_INS_VABA: vaba${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv8i16, ARM_INS_VABA: vaba${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAsv8i8, ARM_INS_VABA: vaba${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv16i8, ARM_INS_VABA: vaba${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv2i32, ARM_INS_VABA: vaba${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv4i16, ARM_INS_VABA: vaba${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv4i32, ARM_INS_VABA: vaba${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv8i16, ARM_INS_VABA: vaba${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABAuv8i8, ARM_INS_VABA: vaba${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLsv2i64, ARM_INS_VABDL: vabdl${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLsv4i32, ARM_INS_VABDL: vabdl${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLsv8i16, ARM_INS_VABDL: vabdl${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLuv2i64, ARM_INS_VABDL: vabdl${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLuv4i32, ARM_INS_VABDL: vabdl${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDLuv8i16, ARM_INS_VABDL: vabdl${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDfd, ARM_INS_VABD: vabd${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDfq, ARM_INS_VABD: vabd${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv16i8, ARM_INS_VABD: vabd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv2i32, ARM_INS_VABD: vabd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv4i16, ARM_INS_VABD: vabd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv4i32, ARM_INS_VABD: vabd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv8i16, ARM_INS_VABD: vabd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDsv8i8, ARM_INS_VABD: vabd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv16i8, ARM_INS_VABD: vabd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv2i32, ARM_INS_VABD: vabd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv4i16, ARM_INS_VABD: vabd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv4i32, ARM_INS_VABD: vabd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv8i16, ARM_INS_VABD: vabd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABDuv8i8, ARM_INS_VABD: vabd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSD, ARM_INS_VABS: vabs${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSS, ARM_INS_VABS: vabs${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSfd, ARM_INS_VABS: vabs${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSfq, ARM_INS_VABS: vabs${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv16i8, ARM_INS_VABS: vabs${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv2i32, ARM_INS_VABS: vabs${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv4i16, ARM_INS_VABS: vabs${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv4i32, ARM_INS_VABS: vabs${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv8i16, ARM_INS_VABS: vabs${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VABSv8i8, ARM_INS_VABS: vabs${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VACGEd, ARM_INS_VACGE: vacge${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VACGEq, ARM_INS_VACGE: vacge${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VACGTd, ARM_INS_VACGT: vacgt${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VACGTq, ARM_INS_VACGT: vacgt${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDD, ARM_INS_VADD: vadd${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDHNv2i32, ARM_INS_VADDHN: vaddhn${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDHNv4i16, ARM_INS_VADDHN: vaddhn${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDHNv8i8, ARM_INS_VADDHN: vaddhn${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLsv2i64, ARM_INS_VADDL: vaddl${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLsv4i32, ARM_INS_VADDL: vaddl${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLsv8i16, ARM_INS_VADDL: vaddl${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLuv2i64, ARM_INS_VADDL: vaddl${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLuv4i32, ARM_INS_VADDL: vaddl${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDLuv8i16, ARM_INS_VADDL: vaddl${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDS, ARM_INS_VADD: vadd${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWsv2i64, ARM_INS_VADDW: vaddw${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWsv4i32, ARM_INS_VADDW: vaddw${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWsv8i16, ARM_INS_VADDW: vaddw${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWuv2i64, ARM_INS_VADDW: vaddw${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWuv4i32, ARM_INS_VADDW: vaddw${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDWuv8i16, ARM_INS_VADDW: vaddw${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDfd, ARM_INS_VADD: vadd${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDfq, ARM_INS_VADD: vadd${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv16i8, ARM_INS_VADD: vadd${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv1i64, ARM_INS_VADD: vadd${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv2i32, ARM_INS_VADD: vadd${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv2i64, ARM_INS_VADD: vadd${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv4i16, ARM_INS_VADD: vadd${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv4i32, ARM_INS_VADD: vadd${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv8i16, ARM_INS_VADD: vadd${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VADDv8i8, ARM_INS_VADD: vadd${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VANDd, ARM_INS_VAND: vand${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VANDq, ARM_INS_VAND: vand${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBICd, ARM_INS_VBIC: vbic${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBICiv2i32, ARM_INS_VBIC: vbic${p}.i32	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VBICiv4i16, ARM_INS_VBIC: vbic${p}.i16	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VBICiv4i32, ARM_INS_VBIC: vbic${p}.i32	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VBICiv8i16, ARM_INS_VBIC: vbic${p}.i16	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VBICq, ARM_INS_VBIC: vbic${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBIFd, ARM_INS_VBIF: vbif${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBIFq, ARM_INS_VBIF: vbif${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBITd, ARM_INS_VBIT: vbit${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBITq, ARM_INS_VBIT: vbit${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBSLd, ARM_INS_VBSL: vbsl${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VBSLq, ARM_INS_VBSL: vbsl${p}	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQfd, ARM_INS_VCEQ: vceq${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQfq, ARM_INS_VCEQ: vceq${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv16i8, ARM_INS_VCEQ: vceq${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv2i32, ARM_INS_VCEQ: vceq${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv4i16, ARM_INS_VCEQ: vceq${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv4i32, ARM_INS_VCEQ: vceq${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv8i16, ARM_INS_VCEQ: vceq${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQv8i8, ARM_INS_VCEQ: vceq${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv16i8, ARM_INS_VCEQ: vceq${p}.i8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv2f32, ARM_INS_VCEQ: vceq${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv2i32, ARM_INS_VCEQ: vceq${p}.i32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv4f32, ARM_INS_VCEQ: vceq${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv4i16, ARM_INS_VCEQ: vceq${p}.i16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv4i32, ARM_INS_VCEQ: vceq${p}.i32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv8i16, ARM_INS_VCEQ: vceq${p}.i16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCEQzv8i8, ARM_INS_VCEQ: vceq${p}.i8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEfd, ARM_INS_VCGE: vcge${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEfq, ARM_INS_VCGE: vcge${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv16i8, ARM_INS_VCGE: vcge${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv2i32, ARM_INS_VCGE: vcge${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv4i16, ARM_INS_VCGE: vcge${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv4i32, ARM_INS_VCGE: vcge${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv8i16, ARM_INS_VCGE: vcge${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEsv8i8, ARM_INS_VCGE: vcge${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv16i8, ARM_INS_VCGE: vcge${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv2i32, ARM_INS_VCGE: vcge${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv4i16, ARM_INS_VCGE: vcge${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv4i32, ARM_INS_VCGE: vcge${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv8i16, ARM_INS_VCGE: vcge${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEuv8i8, ARM_INS_VCGE: vcge${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv16i8, ARM_INS_VCGE: vcge${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv2f32, ARM_INS_VCGE: vcge${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv2i32, ARM_INS_VCGE: vcge${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv4f32, ARM_INS_VCGE: vcge${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv4i16, ARM_INS_VCGE: vcge${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv4i32, ARM_INS_VCGE: vcge${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv8i16, ARM_INS_VCGE: vcge${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGEzv8i8, ARM_INS_VCGE: vcge${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTfd, ARM_INS_VCGT: vcgt${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTfq, ARM_INS_VCGT: vcgt${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv16i8, ARM_INS_VCGT: vcgt${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv2i32, ARM_INS_VCGT: vcgt${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv4i16, ARM_INS_VCGT: vcgt${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv4i32, ARM_INS_VCGT: vcgt${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv8i16, ARM_INS_VCGT: vcgt${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTsv8i8, ARM_INS_VCGT: vcgt${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv16i8, ARM_INS_VCGT: vcgt${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv2i32, ARM_INS_VCGT: vcgt${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv4i16, ARM_INS_VCGT: vcgt${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv4i32, ARM_INS_VCGT: vcgt${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv8i16, ARM_INS_VCGT: vcgt${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTuv8i8, ARM_INS_VCGT: vcgt${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv16i8, ARM_INS_VCGT: vcgt${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv2f32, ARM_INS_VCGT: vcgt${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv2i32, ARM_INS_VCGT: vcgt${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv4f32, ARM_INS_VCGT: vcgt${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv4i16, ARM_INS_VCGT: vcgt${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv4i32, ARM_INS_VCGT: vcgt${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv8i16, ARM_INS_VCGT: vcgt${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCGTzv8i8, ARM_INS_VCGT: vcgt${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv16i8, ARM_INS_VCLE: vcle${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv2f32, ARM_INS_VCLE: vcle${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv2i32, ARM_INS_VCLE: vcle${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv4f32, ARM_INS_VCLE: vcle${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv4i16, ARM_INS_VCLE: vcle${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv4i32, ARM_INS_VCLE: vcle${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv8i16, ARM_INS_VCLE: vcle${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLEzv8i8, ARM_INS_VCLE: vcle${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv16i8, ARM_INS_VCLS: vcls${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv2i32, ARM_INS_VCLS: vcls${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv4i16, ARM_INS_VCLS: vcls${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv4i32, ARM_INS_VCLS: vcls${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv8i16, ARM_INS_VCLS: vcls${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLSv8i8, ARM_INS_VCLS: vcls${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv16i8, ARM_INS_VCLT: vclt${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv2f32, ARM_INS_VCLT: vclt${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv2i32, ARM_INS_VCLT: vclt${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv4f32, ARM_INS_VCLT: vclt${p}.f32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv4i16, ARM_INS_VCLT: vclt${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv4i32, ARM_INS_VCLT: vclt${p}.s32	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv8i16, ARM_INS_VCLT: vclt${p}.s16	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLTzv8i8, ARM_INS_VCLT: vclt${p}.s8	$vd, $vm, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv16i8, ARM_INS_VCLZ: vclz${p}.i8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv2i32, ARM_INS_VCLZ: vclz${p}.i32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv4i16, ARM_INS_VCLZ: vclz${p}.i16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv4i32, ARM_INS_VCLZ: vclz${p}.i32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv8i16, ARM_INS_VCLZ: vclz${p}.i16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCLZv8i8, ARM_INS_VCLZ: vclz${p}.i8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPD, ARM_INS_VCMP: vcmp${p}.f64	$dd, $dm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPED, ARM_INS_VCMPE: vcmpe${p}.f64	$dd, $dm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPES, ARM_INS_VCMPE: vcmpe${p}.f32	$sd, $sm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPEZD, ARM_INS_VCMPE: vcmpe${p}.f64	$dd, #0 */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPEZS, ARM_INS_VCMPE: vcmpe${p}.f32	$sd, #0 */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPS, ARM_INS_VCMP: vcmp${p}.f32	$sd, $sm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPZD, ARM_INS_VCMP: vcmp${p}.f64	$dd, #0 */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VCMPZS, ARM_INS_VCMP: vcmp${p}.f32	$sd, #0 */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VCNTd, ARM_INS_VCNT: vcnt${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCNTq, ARM_INS_VCNT: vcnt${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTANSD, ARM_INS_VCVTA: vcvta.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTANSQ, ARM_INS_VCVTA: vcvta.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTANUD, ARM_INS_VCVTA: vcvta.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTANUQ, ARM_INS_VCVTA: vcvta.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTASD, ARM_INS_VCVTA: vcvta.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTASS, ARM_INS_VCVTA: vcvta.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTAUD, ARM_INS_VCVTA: vcvta.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTAUS, ARM_INS_VCVTA: vcvta.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTBDH, ARM_INS_VCVTB: vcvtb${p}.f16.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTBHD, ARM_INS_VCVTB: vcvtb${p}.f64.f16	$dd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTBHS, ARM_INS_VCVTB: vcvtb${p}.f32.f16	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTBSH, ARM_INS_VCVTB: vcvtb${p}.f16.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTDS, ARM_INS_VCVT: vcvt${p}.f64.f32	$dd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMNSD, ARM_INS_VCVTM: vcvtm.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMNSQ, ARM_INS_VCVTM: vcvtm.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMNUD, ARM_INS_VCVTM: vcvtm.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMNUQ, ARM_INS_VCVTM: vcvtm.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMSD, ARM_INS_VCVTM: vcvtm.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMSS, ARM_INS_VCVTM: vcvtm.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMUD, ARM_INS_VCVTM: vcvtm.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTMUS, ARM_INS_VCVTM: vcvtm.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNNSD, ARM_INS_VCVTN: vcvtn.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNNSQ, ARM_INS_VCVTN: vcvtn.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNNUD, ARM_INS_VCVTN: vcvtn.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNNUQ, ARM_INS_VCVTN: vcvtn.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNSD, ARM_INS_VCVTN: vcvtn.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNSS, ARM_INS_VCVTN: vcvtn.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNUD, ARM_INS_VCVTN: vcvtn.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTNUS, ARM_INS_VCVTN: vcvtn.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPNSD, ARM_INS_VCVTP: vcvtp.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPNSQ, ARM_INS_VCVTP: vcvtp.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPNUD, ARM_INS_VCVTP: vcvtp.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPNUQ, ARM_INS_VCVTP: vcvtp.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPSD, ARM_INS_VCVTP: vcvtp.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPSS, ARM_INS_VCVTP: vcvtp.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPUD, ARM_INS_VCVTP: vcvtp.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTPUS, ARM_INS_VCVTP: vcvtp.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTSD, ARM_INS_VCVT: vcvt${p}.f32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTTDH, ARM_INS_VCVTT: vcvtt${p}.f16.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTTHD, ARM_INS_VCVTT: vcvtt${p}.f64.f16	$dd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTTHS, ARM_INS_VCVTT: vcvtt${p}.f32.f16	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTTSH, ARM_INS_VCVTT: vcvtt${p}.f16.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2h, ARM_INS_VCVT: vcvt${p}.f16.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2sd, ARM_INS_VCVT: vcvt${p}.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2sq, ARM_INS_VCVT: vcvt${p}.s32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2ud, ARM_INS_VCVT: vcvt${p}.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2uq, ARM_INS_VCVT: vcvt${p}.u32.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2xsd, ARM_INS_VCVT: vcvt${p}.s32.f32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2xsq, ARM_INS_VCVT: vcvt${p}.s32.f32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2xud, ARM_INS_VCVT: vcvt${p}.u32.f32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTf2xuq, ARM_INS_VCVT: vcvt${p}.u32.f32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTh2f, ARM_INS_VCVT: vcvt${p}.f32.f16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTs2fd, ARM_INS_VCVT: vcvt${p}.f32.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTs2fq, ARM_INS_VCVT: vcvt${p}.f32.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTu2fd, ARM_INS_VCVT: vcvt${p}.f32.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTu2fq, ARM_INS_VCVT: vcvt${p}.f32.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTxs2fd, ARM_INS_VCVT: vcvt${p}.f32.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTxs2fq, ARM_INS_VCVT: vcvt${p}.f32.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTxu2fd, ARM_INS_VCVT: vcvt${p}.f32.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VCVTxu2fq, ARM_INS_VCVT: vcvt${p}.f32.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDIVD, ARM_INS_VDIV: vdiv${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VDIVS, ARM_INS_VDIV: vdiv${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP16d, ARM_INS_VDUP: vdup${p}.16	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP16q, ARM_INS_VDUP: vdup${p}.16	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP32d, ARM_INS_VDUP: vdup${p}.32	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP32q, ARM_INS_VDUP: vdup${p}.32	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP8d, ARM_INS_VDUP: vdup${p}.8	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUP8q, ARM_INS_VDUP: vdup${p}.8	$v, $r */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN16d, ARM_INS_VDUP: vdup${p}.16	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN16q, ARM_INS_VDUP: vdup${p}.16	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN32d, ARM_INS_VDUP: vdup${p}.32	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN32q, ARM_INS_VDUP: vdup${p}.32	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN8d, ARM_INS_VDUP: vdup${p}.8	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VDUPLN8q, ARM_INS_VDUP: vdup${p}.8	$vd, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VEORd, ARM_INS_VEOR: veor${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEORq, ARM_INS_VEOR: veor${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTd16, ARM_INS_VEXT: vext${p}.16	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTd32, ARM_INS_VEXT: vext${p}.32	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTd8, ARM_INS_VEXT: vext${p}.8	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTq16, ARM_INS_VEXT: vext${p}.16	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTq32, ARM_INS_VEXT: vext${p}.32	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTq64, ARM_INS_VEXT: vext${p}.64	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VEXTq8, ARM_INS_VEXT: vext${p}.8	$vd, $vn, $vm, $index */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMAD, ARM_INS_VFMA: vfma${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMAS, ARM_INS_VFMA: vfma${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMAfd, ARM_INS_VFMA: vfma${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMAfq, ARM_INS_VFMA: vfma${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMSD, ARM_INS_VFMS: vfms${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMSS, ARM_INS_VFMS: vfms${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMSfd, ARM_INS_VFMS: vfms${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFMSfq, ARM_INS_VFMS: vfms${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFNMAD, ARM_INS_VFNMA: vfnma${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFNMAS, ARM_INS_VFNMA: vfnma${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFNMSD, ARM_INS_VFNMS: vfnms${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VFNMSS, ARM_INS_VFNMS: vfnms${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VGETLNi32, ARM_INS_VMOV: vmov${p}.32	$r, $v$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VGETLNs16, ARM_INS_VMOV: vmov${p}.s16	$r, $v$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VGETLNs8, ARM_INS_VMOV: vmov${p}.s8	$r, $v$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VGETLNu16, ARM_INS_VMOV: vmov${p}.u16	$r, $v$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VGETLNu8, ARM_INS_VMOV: vmov${p}.u8	$r, $v$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv16i8, ARM_INS_VHADD: vhadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv2i32, ARM_INS_VHADD: vhadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv4i16, ARM_INS_VHADD: vhadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv4i32, ARM_INS_VHADD: vhadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv8i16, ARM_INS_VHADD: vhadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDsv8i8, ARM_INS_VHADD: vhadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv16i8, ARM_INS_VHADD: vhadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv2i32, ARM_INS_VHADD: vhadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv4i16, ARM_INS_VHADD: vhadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv4i32, ARM_INS_VHADD: vhadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv8i16, ARM_INS_VHADD: vhadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHADDuv8i8, ARM_INS_VHADD: vhadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv16i8, ARM_INS_VHSUB: vhsub${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv2i32, ARM_INS_VHSUB: vhsub${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv4i16, ARM_INS_VHSUB: vhsub${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv4i32, ARM_INS_VHSUB: vhsub${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv8i16, ARM_INS_VHSUB: vhsub${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBsv8i8, ARM_INS_VHSUB: vhsub${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv16i8, ARM_INS_VHSUB: vhsub${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv2i32, ARM_INS_VHSUB: vhsub${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv4i16, ARM_INS_VHSUB: vhsub${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv4i32, ARM_INS_VHSUB: vhsub${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv8i16, ARM_INS_VHSUB: vhsub${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VHSUBuv8i8, ARM_INS_VHSUB: vhsub${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd16, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd16wb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd16wb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd32, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd32wb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd32wb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd8, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd8wb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPd8wb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq16, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq16wb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq16wb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq32, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq32wb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq32wb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq8, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq8wb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1DUPq8wb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1LNd16, ARM_INS_VLD1: vld1${p}.16	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1LNd16_UPD, ARM_INS_VLD1: vld1${p}.16	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD1LNd32, ARM_INS_VLD1: vld1${p}.32	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD1LNd32_UPD, ARM_INS_VLD1: vld1${p}.32	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD1LNd8, ARM_INS_VLD1: vld1${p}.8	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1LNd8_UPD, ARM_INS_VLD1: vld1${p}.8	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD1d16, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16Q, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16Qwb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16Qwb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16T, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16Twb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16Twb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16wb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d16wb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32Q, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32Qwb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32Qwb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32T, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32Twb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32Twb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32wb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d32wb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64, ARM_INS_VLD1: vld1${p}.64	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64Q, ARM_INS_VLD1: vld1${p}.64	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64Qwb_fixed, ARM_INS_VLD1: vld1${p}.64	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64Qwb_register, ARM_INS_VLD1: vld1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64T, ARM_INS_VLD1: vld1${p}.64	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64Twb_fixed, ARM_INS_VLD1: vld1${p}.64	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64Twb_register, ARM_INS_VLD1: vld1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64wb_fixed, ARM_INS_VLD1: vld1${p}.64	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d64wb_register, ARM_INS_VLD1: vld1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8Q, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8Qwb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8Qwb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8T, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8Twb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8Twb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8wb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1d8wb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q16, ARM_INS_VLD1: vld1${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q16wb_fixed, ARM_INS_VLD1: vld1${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q16wb_register, ARM_INS_VLD1: vld1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q32, ARM_INS_VLD1: vld1${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q32wb_fixed, ARM_INS_VLD1: vld1${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q32wb_register, ARM_INS_VLD1: vld1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q64, ARM_INS_VLD1: vld1${p}.64	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q64wb_fixed, ARM_INS_VLD1: vld1${p}.64	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q64wb_register, ARM_INS_VLD1: vld1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q8, ARM_INS_VLD1: vld1${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q8wb_fixed, ARM_INS_VLD1: vld1${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD1q8wb_register, ARM_INS_VLD1: vld1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16, ARM_INS_VLD2: vld2${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16wb_fixed, ARM_INS_VLD2: vld2${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16wb_register, ARM_INS_VLD2: vld2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16x2, ARM_INS_VLD2: vld2${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16x2wb_fixed, ARM_INS_VLD2: vld2${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd16x2wb_register, ARM_INS_VLD2: vld2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32, ARM_INS_VLD2: vld2${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32wb_fixed, ARM_INS_VLD2: vld2${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32wb_register, ARM_INS_VLD2: vld2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32x2, ARM_INS_VLD2: vld2${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32x2wb_fixed, ARM_INS_VLD2: vld2${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd32x2wb_register, ARM_INS_VLD2: vld2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8, ARM_INS_VLD2: vld2${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8wb_fixed, ARM_INS_VLD2: vld2${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8wb_register, ARM_INS_VLD2: vld2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8x2, ARM_INS_VLD2: vld2${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8x2wb_fixed, ARM_INS_VLD2: vld2${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2DUPd8x2wb_register, ARM_INS_VLD2: vld2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNd16, ARM_INS_VLD2: vld2${p}.16	\{$vd[$lane], $dst2[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNd16_UPD, ARM_INS_VLD2: vld2${p}.16	\{$vd[$lane], $dst2[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD2LNd32, ARM_INS_VLD2: vld2${p}.32	\{$vd[$lane], $dst2[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNd32_UPD, ARM_INS_VLD2: vld2${p}.32	\{$vd[$lane], $dst2[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD2LNd8, ARM_INS_VLD2: vld2${p}.8	\{$vd[$lane], $dst2[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNd8_UPD, ARM_INS_VLD2: vld2${p}.8	\{$vd[$lane], $dst2[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD2LNq16, ARM_INS_VLD2: vld2${p}.16	\{$vd[$lane], $dst2[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNq16_UPD, ARM_INS_VLD2: vld2${p}.16	\{$vd[$lane], $dst2[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD2LNq32, ARM_INS_VLD2: vld2${p}.32	\{$vd[$lane], $dst2[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2LNq32_UPD, ARM_INS_VLD2: vld2${p}.32	\{$vd[$lane], $dst2[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD2b16, ARM_INS_VLD2: vld2${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b16wb_fixed, ARM_INS_VLD2: vld2${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b16wb_register, ARM_INS_VLD2: vld2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b32, ARM_INS_VLD2: vld2${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b32wb_fixed, ARM_INS_VLD2: vld2${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b32wb_register, ARM_INS_VLD2: vld2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b8, ARM_INS_VLD2: vld2${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b8wb_fixed, ARM_INS_VLD2: vld2${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2b8wb_register, ARM_INS_VLD2: vld2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d16, ARM_INS_VLD2: vld2${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d16wb_fixed, ARM_INS_VLD2: vld2${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d16wb_register, ARM_INS_VLD2: vld2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d32, ARM_INS_VLD2: vld2${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d32wb_fixed, ARM_INS_VLD2: vld2${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d32wb_register, ARM_INS_VLD2: vld2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d8, ARM_INS_VLD2: vld2${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d8wb_fixed, ARM_INS_VLD2: vld2${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2d8wb_register, ARM_INS_VLD2: vld2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q16, ARM_INS_VLD2: vld2${p}.16	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q16wb_fixed, ARM_INS_VLD2: vld2${p}.16	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q16wb_register, ARM_INS_VLD2: vld2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q32, ARM_INS_VLD2: vld2${p}.32	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q32wb_fixed, ARM_INS_VLD2: vld2${p}.32	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q32wb_register, ARM_INS_VLD2: vld2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q8, ARM_INS_VLD2: vld2${p}.8	$vd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q8wb_fixed, ARM_INS_VLD2: vld2${p}.8	$vd, $rn! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD2q8wb_register, ARM_INS_VLD2: vld2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd16, ARM_INS_VLD3: vld3${p}.16	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd32, ARM_INS_VLD3: vld3${p}.32	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd8, ARM_INS_VLD3: vld3${p}.8	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPd8_UPD, ARM_INS_VLD3: vld3${p}.8	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq16, ARM_INS_VLD3: vld3${p}.16	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq32, ARM_INS_VLD3: vld3${p}.32	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq8, ARM_INS_VLD3: vld3${p}.8	\{$vd[], $dst2[], $dst3[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3DUPq8_UPD, ARM_INS_VLD3: vld3${p}.8	\{$vd[], $dst2[], $dst3[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNd16, ARM_INS_VLD3: vld3${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNd16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3LNd32, ARM_INS_VLD3: vld3${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNd32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3LNd8, ARM_INS_VLD3: vld3${p}.8	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNd8_UPD, ARM_INS_VLD3: vld3${p}.8	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3LNq16, ARM_INS_VLD3: vld3${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNq16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3LNq32, ARM_INS_VLD3: vld3${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3LNq32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3d16, ARM_INS_VLD3: vld3${p}.16	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3d16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3d32, ARM_INS_VLD3: vld3${p}.32	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3d32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3d8, ARM_INS_VLD3: vld3${p}.8	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3d8_UPD, ARM_INS_VLD3: vld3${p}.8	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3q16, ARM_INS_VLD3: vld3${p}.16	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3q16_UPD, ARM_INS_VLD3: vld3${p}.16	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3q32, ARM_INS_VLD3: vld3${p}.32	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3q32_UPD, ARM_INS_VLD3: vld3${p}.32	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD3q8, ARM_INS_VLD3: vld3${p}.8	\{$vd, $dst2, $dst3\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD3q8_UPD, ARM_INS_VLD3: vld3${p}.8	\{$vd, $dst2, $dst3\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4DUPd16, ARM_INS_VLD4: vld4${p}.16	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPd16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPd32, ARM_INS_VLD4: vld4${p}.32	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPd32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPd8, ARM_INS_VLD4: vld4${p}.8	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPd8_UPD, ARM_INS_VLD4: vld4${p}.8	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq16, ARM_INS_VLD4: vld4${p}.16	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq32, ARM_INS_VLD4: vld4${p}.32	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq8, ARM_INS_VLD4: vld4${p}.8	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4DUPq8_UPD, ARM_INS_VLD4: vld4${p}.8	\{$vd[], $dst2[], $dst3[], $dst4[]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNd16, ARM_INS_VLD4: vld4${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNd16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4LNd32, ARM_INS_VLD4: vld4${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNd32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4LNd8, ARM_INS_VLD4: vld4${p}.8	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNd8_UPD, ARM_INS_VLD4: vld4${p}.8	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4LNq16, ARM_INS_VLD4: vld4${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNq16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4LNq32, ARM_INS_VLD4: vld4${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4LNq32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd[$lane], $dst2[$lane], $dst3[$lane], $dst4[$lane]\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4d16, ARM_INS_VLD4: vld4${p}.16	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4d16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4d32, ARM_INS_VLD4: vld4${p}.32	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4d32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4d8, ARM_INS_VLD4: vld4${p}.8	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4d8_UPD, ARM_INS_VLD4: vld4${p}.8	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4q16, ARM_INS_VLD4: vld4${p}.16	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4q16_UPD, ARM_INS_VLD4: vld4${p}.16	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4q32, ARM_INS_VLD4: vld4${p}.32	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4q32_UPD, ARM_INS_VLD4: vld4${p}.32	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLD4q8, ARM_INS_VLD4: vld4${p}.8	\{$vd, $dst2, $dst3, $dst4\}, $rn */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VLD4q8_UPD, ARM_INS_VLD4: vld4${p}.8	\{$vd, $dst2, $dst3, $dst4\}, $rn$rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDMDDB_UPD, ARM_INS_VLDMDB: vldmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDMDIA, ARM_INS_VLDMIA: vldmia${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VLDMDIA_UPD, ARM_INS_VLDMIA: vldmia${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDMSDB_UPD, ARM_INS_VLDMDB: vldmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDMSIA, ARM_INS_VLDMIA: vldmia${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VLDMSIA_UPD, ARM_INS_VLDMIA: vldmia${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDRD, ARM_INS_VLDR: vldr${p}	$dd, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VLDRS, ARM_INS_VLDR: vldr${p}	$sd, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMAXNMD, ARM_INS_VMAXNM: vmaxnm.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXNMND, ARM_INS_VMAXNM: vmaxnm.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXNMNQ, ARM_INS_VMAXNM: vmaxnm.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXNMS, ARM_INS_VMAXNM: vmaxnm.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXfd, ARM_INS_VMAX: vmax${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXfq, ARM_INS_VMAX: vmax${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv16i8, ARM_INS_VMAX: vmax${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv2i32, ARM_INS_VMAX: vmax${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv4i16, ARM_INS_VMAX: vmax${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv4i32, ARM_INS_VMAX: vmax${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv8i16, ARM_INS_VMAX: vmax${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXsv8i8, ARM_INS_VMAX: vmax${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv16i8, ARM_INS_VMAX: vmax${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv2i32, ARM_INS_VMAX: vmax${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv4i16, ARM_INS_VMAX: vmax${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv4i32, ARM_INS_VMAX: vmax${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv8i16, ARM_INS_VMAX: vmax${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMAXuv8i8, ARM_INS_VMAX: vmax${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINNMD, ARM_INS_VMINNM: vminnm.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINNMND, ARM_INS_VMINNM: vminnm.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINNMNQ, ARM_INS_VMINNM: vminnm.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINNMS, ARM_INS_VMINNM: vminnm.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINfd, ARM_INS_VMIN: vmin${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINfq, ARM_INS_VMIN: vmin${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv16i8, ARM_INS_VMIN: vmin${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv2i32, ARM_INS_VMIN: vmin${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv4i16, ARM_INS_VMIN: vmin${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv4i32, ARM_INS_VMIN: vmin${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv8i16, ARM_INS_VMIN: vmin${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINsv8i8, ARM_INS_VMIN: vmin${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv16i8, ARM_INS_VMIN: vmin${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv2i32, ARM_INS_VMIN: vmin${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv4i16, ARM_INS_VMIN: vmin${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv4i32, ARM_INS_VMIN: vmin${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv8i16, ARM_INS_VMIN: vmin${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMINuv8i8, ARM_INS_VMIN: vmin${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAD, ARM_INS_VMLA: vmla${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALslsv2i32, ARM_INS_VMLAL: vmlal${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALslsv4i16, ARM_INS_VMLAL: vmlal${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALsluv2i32, ARM_INS_VMLAL: vmlal${p}.u32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALsluv4i16, ARM_INS_VMLAL: vmlal${p}.u16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALsv2i64, ARM_INS_VMLAL: vmlal${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALsv4i32, ARM_INS_VMLAL: vmlal${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALsv8i16, ARM_INS_VMLAL: vmlal${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALuv2i64, ARM_INS_VMLAL: vmlal${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALuv4i32, ARM_INS_VMLAL: vmlal${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLALuv8i16, ARM_INS_VMLAL: vmlal${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAS, ARM_INS_VMLA: vmla${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAfd, ARM_INS_VMLA: vmla${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAfq, ARM_INS_VMLA: vmla${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslfd, ARM_INS_VMLA: vmla${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslfq, ARM_INS_VMLA: vmla${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslv2i32, ARM_INS_VMLA: vmla${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslv4i16, ARM_INS_VMLA: vmla${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslv4i32, ARM_INS_VMLA: vmla${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAslv8i16, ARM_INS_VMLA: vmla${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv16i8, ARM_INS_VMLA: vmla${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv2i32, ARM_INS_VMLA: vmla${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv4i16, ARM_INS_VMLA: vmla${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv4i32, ARM_INS_VMLA: vmla${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv8i16, ARM_INS_VMLA: vmla${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLAv8i8, ARM_INS_VMLA: vmla${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSD, ARM_INS_VMLS: vmls${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLslsv2i32, ARM_INS_VMLSL: vmlsl${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLslsv4i16, ARM_INS_VMLSL: vmlsl${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLsluv2i32, ARM_INS_VMLSL: vmlsl${p}.u32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLsluv4i16, ARM_INS_VMLSL: vmlsl${p}.u16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLsv2i64, ARM_INS_VMLSL: vmlsl${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLsv4i32, ARM_INS_VMLSL: vmlsl${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLsv8i16, ARM_INS_VMLSL: vmlsl${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLuv2i64, ARM_INS_VMLSL: vmlsl${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLuv4i32, ARM_INS_VMLSL: vmlsl${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSLuv8i16, ARM_INS_VMLSL: vmlsl${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSS, ARM_INS_VMLS: vmls${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSfd, ARM_INS_VMLS: vmls${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSfq, ARM_INS_VMLS: vmls${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslfd, ARM_INS_VMLS: vmls${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslfq, ARM_INS_VMLS: vmls${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslv2i32, ARM_INS_VMLS: vmls${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslv4i16, ARM_INS_VMLS: vmls${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslv4i32, ARM_INS_VMLS: vmls${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSslv8i16, ARM_INS_VMLS: vmls${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv16i8, ARM_INS_VMLS: vmls${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv2i32, ARM_INS_VMLS: vmls${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv4i16, ARM_INS_VMLS: vmls${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv4i32, ARM_INS_VMLS: vmls${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv8i16, ARM_INS_VMLS: vmls${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMLSv8i8, ARM_INS_VMLS: vmls${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVD, ARM_INS_VMOV: vmov${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVDRR, ARM_INS_VMOV: vmov${p}	$dm, $rt, $rt2 */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLsv2i64, ARM_INS_VMOVL: vmovl${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLsv4i32, ARM_INS_VMOVL: vmovl${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLsv8i16, ARM_INS_VMOVL: vmovl${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLuv2i64, ARM_INS_VMOVL: vmovl${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLuv4i32, ARM_INS_VMOVL: vmovl${p}.u16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVLuv8i16, ARM_INS_VMOVL: vmovl${p}.u8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVNv2i32, ARM_INS_VMOVN: vmovn${p}.i64	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVNv4i16, ARM_INS_VMOVN: vmovn${p}.i32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVNv8i8, ARM_INS_VMOVN: vmovn${p}.i16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVRRD, ARM_INS_VMOV: vmov${p}	$rt, $rt2, $dm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVRRS, ARM_INS_VMOV: vmov${p}	$rt, $rt2, $src1, $src2 */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVRS, ARM_INS_VMOV: vmov${p}	$rt, $sn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVS, ARM_INS_VMOV: vmov${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVSR, ARM_INS_VMOV: vmov${p}	$sn, $rt */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVSRR, ARM_INS_VMOV: vmov${p}	$dst1, $dst2, $src1, $src2 */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMOVv16i8, ARM_INS_VMOV: vmov${p}.i8	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv1i64, ARM_INS_VMOV: vmov${p}.i64	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv2f32, ARM_INS_VMOV: vmov${p}.f32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv2i32, ARM_INS_VMOV: vmov${p}.i32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv2i64, ARM_INS_VMOV: vmov${p}.i64	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv4f32, ARM_INS_VMOV: vmov${p}.f32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv4i16, ARM_INS_VMOV: vmov${p}.i16	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv4i32, ARM_INS_VMOV: vmov${p}.i32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv8i16, ARM_INS_VMOV: vmov${p}.i16	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMOVv8i8, ARM_INS_VMOV: vmov${p}.i8	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS, ARM_INS_VMRS: vmrs${p}	$rt, fpscr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_FPEXC, ARM_INS_VMRS: vmrs${p}	$rt, fpexc */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_FPINST, ARM_INS_VMRS: vmrs${p}	$rt, fpinst */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_FPINST2, ARM_INS_VMRS: vmrs${p}	$rt, fpinst2 */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_FPSID, ARM_INS_VMRS: vmrs${p}	$rt, fpsid */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_MVFR0, ARM_INS_VMRS: vmrs${p}	$rt, mvfr0 */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_MVFR1, ARM_INS_VMRS: vmrs${p}	$rt, mvfr1 */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMRS_MVFR2, ARM_INS_VMRS: vmrs${p}	$rt, mvfr2 */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMSR, ARM_INS_VMSR: vmsr${p}	fpscr, $src */
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMSR_FPEXC, ARM_INS_VMSR: vmsr${p}	fpexc, $src */
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMSR_FPINST, ARM_INS_VMSR: vmsr${p}	fpinst, $src */
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMSR_FPINST2, ARM_INS_VMSR: vmsr${p}	fpinst2, $src */
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMSR_FPSID, ARM_INS_VMSR: vmsr${p}	fpsid, $src */
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULD, ARM_INS_VMUL: vmul${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLp64, ARM_INS_VMULL: vmull.p64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLp8, ARM_INS_VMULL: vmull${p}.p8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLslsv2i32, ARM_INS_VMULL: vmull${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLslsv4i16, ARM_INS_VMULL: vmull${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLsluv2i32, ARM_INS_VMULL: vmull${p}.u32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLsluv4i16, ARM_INS_VMULL: vmull${p}.u16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLsv2i64, ARM_INS_VMULL: vmull${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLsv4i32, ARM_INS_VMULL: vmull${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLsv8i16, ARM_INS_VMULL: vmull${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLuv2i64, ARM_INS_VMULL: vmull${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLuv4i32, ARM_INS_VMULL: vmull${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULLuv8i16, ARM_INS_VMULL: vmull${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULS, ARM_INS_VMUL: vmul${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULfd, ARM_INS_VMUL: vmul${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULfq, ARM_INS_VMUL: vmul${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULpd, ARM_INS_VMUL: vmul${p}.p8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULpq, ARM_INS_VMUL: vmul${p}.p8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslfd, ARM_INS_VMUL: vmul${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslfq, ARM_INS_VMUL: vmul${p}.f32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslv2i32, ARM_INS_VMUL: vmul${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslv4i16, ARM_INS_VMUL: vmul${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslv4i32, ARM_INS_VMUL: vmul${p}.i32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULslv8i16, ARM_INS_VMUL: vmul${p}.i16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv16i8, ARM_INS_VMUL: vmul${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv2i32, ARM_INS_VMUL: vmul${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv4i16, ARM_INS_VMUL: vmul${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv4i32, ARM_INS_VMUL: vmul${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv8i16, ARM_INS_VMUL: vmul${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMULv8i8, ARM_INS_VMUL: vmul${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VMVNd, ARM_INS_VMVN: vmvn${p}	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMVNq, ARM_INS_VMVN: vmvn${p}	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VMVNv2i32, ARM_INS_VMVN: vmvn${p}.i32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMVNv4i16, ARM_INS_VMVN: vmvn${p}.i16	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMVNv4i32, ARM_INS_VMVN: vmvn${p}.i32	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VMVNv8i16, ARM_INS_VMVN: vmvn${p}.i16	$vd, $simm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_VNEGD, ARM_INS_VNEG: vneg${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGS, ARM_INS_VNEG: vneg${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGf32q, ARM_INS_VNEG: vneg${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGfd, ARM_INS_VNEG: vneg${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs16d, ARM_INS_VNEG: vneg${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs16q, ARM_INS_VNEG: vneg${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs32d, ARM_INS_VNEG: vneg${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs32q, ARM_INS_VNEG: vneg${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs8d, ARM_INS_VNEG: vneg${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNEGs8q, ARM_INS_VNEG: vneg${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMLAD, ARM_INS_VNMLA: vnmla${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMLAS, ARM_INS_VNMLA: vnmla${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMLSD, ARM_INS_VNMLS: vnmls${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMLSS, ARM_INS_VNMLS: vnmls${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMULD, ARM_INS_VNMUL: vnmul${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VNMULS, ARM_INS_VNMUL: vnmul${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VORNd, ARM_INS_VORN: vorn${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VORNq, ARM_INS_VORN: vorn${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VORRd, ARM_INS_VORR: vorr${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VORRiv2i32, ARM_INS_VORR: vorr${p}.i32	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VORRiv4i16, ARM_INS_VORR: vorr${p}.i16	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VORRiv4i32, ARM_INS_VORR: vorr${p}.i32	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VORRiv8i16, ARM_INS_VORR: vorr${p}.i16	$vd, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VORRq, ARM_INS_VORR: vorr${p}	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv16i8, ARM_INS_VPADAL: vpadal${p}.s8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv2i32, ARM_INS_VPADAL: vpadal${p}.s32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv4i16, ARM_INS_VPADAL: vpadal${p}.s16	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv4i32, ARM_INS_VPADAL: vpadal${p}.s32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv8i16, ARM_INS_VPADAL: vpadal${p}.s16	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALsv8i8, ARM_INS_VPADAL: vpadal${p}.s8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv16i8, ARM_INS_VPADAL: vpadal${p}.u8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv2i32, ARM_INS_VPADAL: vpadal${p}.u32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv4i16, ARM_INS_VPADAL: vpadal${p}.u16	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv4i32, ARM_INS_VPADAL: vpadal${p}.u32	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv8i16, ARM_INS_VPADAL: vpadal${p}.u16	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADALuv8i8, ARM_INS_VPADAL: vpadal${p}.u8	$vd, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv16i8, ARM_INS_VPADDL: vpaddl${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv2i32, ARM_INS_VPADDL: vpaddl${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv4i16, ARM_INS_VPADDL: vpaddl${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv4i32, ARM_INS_VPADDL: vpaddl${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv8i16, ARM_INS_VPADDL: vpaddl${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLsv8i8, ARM_INS_VPADDL: vpaddl${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv16i8, ARM_INS_VPADDL: vpaddl${p}.u8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv2i32, ARM_INS_VPADDL: vpaddl${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv4i16, ARM_INS_VPADDL: vpaddl${p}.u16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv4i32, ARM_INS_VPADDL: vpaddl${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv8i16, ARM_INS_VPADDL: vpaddl${p}.u16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDLuv8i8, ARM_INS_VPADDL: vpaddl${p}.u8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDf, ARM_INS_VPADD: vpadd${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDi16, ARM_INS_VPADD: vpadd${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDi32, ARM_INS_VPADD: vpadd${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPADDi8, ARM_INS_VPADD: vpadd${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXf, ARM_INS_VPMAX: vpmax${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXs16, ARM_INS_VPMAX: vpmax${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXs32, ARM_INS_VPMAX: vpmax${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXs8, ARM_INS_VPMAX: vpmax${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXu16, ARM_INS_VPMAX: vpmax${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXu32, ARM_INS_VPMAX: vpmax${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMAXu8, ARM_INS_VPMAX: vpmax${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINf, ARM_INS_VPMIN: vpmin${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINs16, ARM_INS_VPMIN: vpmin${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINs32, ARM_INS_VPMIN: vpmin${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINs8, ARM_INS_VPMIN: vpmin${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINu16, ARM_INS_VPMIN: vpmin${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINu32, ARM_INS_VPMIN: vpmin${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VPMINu8, ARM_INS_VPMIN: vpmin${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv16i8, ARM_INS_VQABS: vqabs${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv2i32, ARM_INS_VQABS: vqabs${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv4i16, ARM_INS_VQABS: vqabs${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv4i32, ARM_INS_VQABS: vqabs${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv8i16, ARM_INS_VQABS: vqabs${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQABSv8i8, ARM_INS_VQABS: vqabs${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv16i8, ARM_INS_VQADD: vqadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv1i64, ARM_INS_VQADD: vqadd${p}.s64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv2i32, ARM_INS_VQADD: vqadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv2i64, ARM_INS_VQADD: vqadd${p}.s64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv4i16, ARM_INS_VQADD: vqadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv4i32, ARM_INS_VQADD: vqadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv8i16, ARM_INS_VQADD: vqadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDsv8i8, ARM_INS_VQADD: vqadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv16i8, ARM_INS_VQADD: vqadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv1i64, ARM_INS_VQADD: vqadd${p}.u64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv2i32, ARM_INS_VQADD: vqadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv2i64, ARM_INS_VQADD: vqadd${p}.u64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv4i16, ARM_INS_VQADD: vqadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv4i32, ARM_INS_VQADD: vqadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv8i16, ARM_INS_VQADD: vqadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQADDuv8i8, ARM_INS_VQADD: vqadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLALslv2i32, ARM_INS_VQDMLAL: vqdmlal${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLALslv4i16, ARM_INS_VQDMLAL: vqdmlal${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLALv2i64, ARM_INS_VQDMLAL: vqdmlal${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLALv4i32, ARM_INS_VQDMLAL: vqdmlal${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLSLslv2i32, ARM_INS_VQDMLSL: vqdmlsl${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLSLslv4i16, ARM_INS_VQDMLSL: vqdmlsl${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLSLv2i64, ARM_INS_VQDMLSL: vqdmlsl${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMLSLv4i32, ARM_INS_VQDMLSL: vqdmlsl${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHslv2i32, ARM_INS_VQDMULH: vqdmulh${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHslv4i16, ARM_INS_VQDMULH: vqdmulh${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHslv4i32, ARM_INS_VQDMULH: vqdmulh${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHslv8i16, ARM_INS_VQDMULH: vqdmulh${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHv2i32, ARM_INS_VQDMULH: vqdmulh${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHv4i16, ARM_INS_VQDMULH: vqdmulh${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHv4i32, ARM_INS_VQDMULH: vqdmulh${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULHv8i16, ARM_INS_VQDMULH: vqdmulh${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULLslv2i32, ARM_INS_VQDMULL: vqdmull${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULLslv4i16, ARM_INS_VQDMULL: vqdmull${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULLv2i64, ARM_INS_VQDMULL: vqdmull${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQDMULLv4i32, ARM_INS_VQDMULL: vqdmull${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsuv2i32, ARM_INS_VQMOVUN: vqmovun${p}.s64	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsuv4i16, ARM_INS_VQMOVUN: vqmovun${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsuv8i8, ARM_INS_VQMOVUN: vqmovun${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsv2i32, ARM_INS_VQMOVN: vqmovn${p}.s64	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsv4i16, ARM_INS_VQMOVN: vqmovn${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNsv8i8, ARM_INS_VQMOVN: vqmovn${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNuv2i32, ARM_INS_VQMOVN: vqmovn${p}.u64	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNuv4i16, ARM_INS_VQMOVN: vqmovn${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQMOVNuv8i8, ARM_INS_VQMOVN: vqmovn${p}.u16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv16i8, ARM_INS_VQNEG: vqneg${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv2i32, ARM_INS_VQNEG: vqneg${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv4i16, ARM_INS_VQNEG: vqneg${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv4i32, ARM_INS_VQNEG: vqneg${p}.s32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv8i16, ARM_INS_VQNEG: vqneg${p}.s16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQNEGv8i8, ARM_INS_VQNEG: vqneg${p}.s8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHslv2i32, ARM_INS_VQRDMULH: vqrdmulh${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHslv4i16, ARM_INS_VQRDMULH: vqrdmulh${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHslv4i32, ARM_INS_VQRDMULH: vqrdmulh${p}.s32	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHslv8i16, ARM_INS_VQRDMULH: vqrdmulh${p}.s16	$vd, $vn, $vm$lane */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHv2i32, ARM_INS_VQRDMULH: vqrdmulh${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHv4i16, ARM_INS_VQRDMULH: vqrdmulh${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHv4i32, ARM_INS_VQRDMULH: vqrdmulh${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRDMULHv8i16, ARM_INS_VQRDMULH: vqrdmulh${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv16i8, ARM_INS_VQRSHL: vqrshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv1i64, ARM_INS_VQRSHL: vqrshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv2i32, ARM_INS_VQRSHL: vqrshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv2i64, ARM_INS_VQRSHL: vqrshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv4i16, ARM_INS_VQRSHL: vqrshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv4i32, ARM_INS_VQRSHL: vqrshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv8i16, ARM_INS_VQRSHL: vqrshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLsv8i8, ARM_INS_VQRSHL: vqrshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv16i8, ARM_INS_VQRSHL: vqrshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv1i64, ARM_INS_VQRSHL: vqrshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv2i32, ARM_INS_VQRSHL: vqrshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv2i64, ARM_INS_VQRSHL: vqrshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv4i16, ARM_INS_VQRSHL: vqrshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv4i32, ARM_INS_VQRSHL: vqrshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv8i16, ARM_INS_VQRSHL: vqrshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHLuv8i8, ARM_INS_VQRSHL: vqrshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNsv2i32, ARM_INS_VQRSHRN: vqrshrn${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNsv4i16, ARM_INS_VQRSHRN: vqrshrn${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNsv8i8, ARM_INS_VQRSHRN: vqrshrn${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNuv2i32, ARM_INS_VQRSHRN: vqrshrn${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNuv4i16, ARM_INS_VQRSHRN: vqrshrn${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRNuv8i8, ARM_INS_VQRSHRN: vqrshrn${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRUNv2i32, ARM_INS_VQRSHRUN: vqrshrun${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRUNv4i16, ARM_INS_VQRSHRUN: vqrshrun${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQRSHRUNv8i8, ARM_INS_VQRSHRUN: vqrshrun${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv16i8, ARM_INS_VQSHL: vqshl${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv1i64, ARM_INS_VQSHL: vqshl${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv2i32, ARM_INS_VQSHL: vqshl${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv2i64, ARM_INS_VQSHL: vqshl${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv4i16, ARM_INS_VQSHL: vqshl${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv4i32, ARM_INS_VQSHL: vqshl${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv8i16, ARM_INS_VQSHL: vqshl${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsiv8i8, ARM_INS_VQSHL: vqshl${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv16i8, ARM_INS_VQSHLU: vqshlu${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv1i64, ARM_INS_VQSHLU: vqshlu${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv2i32, ARM_INS_VQSHLU: vqshlu${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv2i64, ARM_INS_VQSHLU: vqshlu${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv4i16, ARM_INS_VQSHLU: vqshlu${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv4i32, ARM_INS_VQSHLU: vqshlu${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv8i16, ARM_INS_VQSHLU: vqshlu${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsuv8i8, ARM_INS_VQSHLU: vqshlu${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv16i8, ARM_INS_VQSHL: vqshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv1i64, ARM_INS_VQSHL: vqshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv2i32, ARM_INS_VQSHL: vqshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv2i64, ARM_INS_VQSHL: vqshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv4i16, ARM_INS_VQSHL: vqshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv4i32, ARM_INS_VQSHL: vqshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv8i16, ARM_INS_VQSHL: vqshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLsv8i8, ARM_INS_VQSHL: vqshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv16i8, ARM_INS_VQSHL: vqshl${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv1i64, ARM_INS_VQSHL: vqshl${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv2i32, ARM_INS_VQSHL: vqshl${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv2i64, ARM_INS_VQSHL: vqshl${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv4i16, ARM_INS_VQSHL: vqshl${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv4i32, ARM_INS_VQSHL: vqshl${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv8i16, ARM_INS_VQSHL: vqshl${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuiv8i8, ARM_INS_VQSHL: vqshl${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv16i8, ARM_INS_VQSHL: vqshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv1i64, ARM_INS_VQSHL: vqshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv2i32, ARM_INS_VQSHL: vqshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv2i64, ARM_INS_VQSHL: vqshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv4i16, ARM_INS_VQSHL: vqshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv4i32, ARM_INS_VQSHL: vqshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv8i16, ARM_INS_VQSHL: vqshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHLuv8i8, ARM_INS_VQSHL: vqshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNsv2i32, ARM_INS_VQSHRN: vqshrn${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNsv4i16, ARM_INS_VQSHRN: vqshrn${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNsv8i8, ARM_INS_VQSHRN: vqshrn${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNuv2i32, ARM_INS_VQSHRN: vqshrn${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNuv4i16, ARM_INS_VQSHRN: vqshrn${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRNuv8i8, ARM_INS_VQSHRN: vqshrn${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRUNv2i32, ARM_INS_VQSHRUN: vqshrun${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRUNv4i16, ARM_INS_VQSHRUN: vqshrun${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSHRUNv8i8, ARM_INS_VQSHRUN: vqshrun${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv16i8, ARM_INS_VQSUB: vqsub${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv1i64, ARM_INS_VQSUB: vqsub${p}.s64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv2i32, ARM_INS_VQSUB: vqsub${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv2i64, ARM_INS_VQSUB: vqsub${p}.s64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv4i16, ARM_INS_VQSUB: vqsub${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv4i32, ARM_INS_VQSUB: vqsub${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv8i16, ARM_INS_VQSUB: vqsub${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBsv8i8, ARM_INS_VQSUB: vqsub${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv16i8, ARM_INS_VQSUB: vqsub${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv1i64, ARM_INS_VQSUB: vqsub${p}.u64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv2i32, ARM_INS_VQSUB: vqsub${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv2i64, ARM_INS_VQSUB: vqsub${p}.u64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv4i16, ARM_INS_VQSUB: vqsub${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv4i32, ARM_INS_VQSUB: vqsub${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv8i16, ARM_INS_VQSUB: vqsub${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VQSUBuv8i8, ARM_INS_VQSUB: vqsub${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRADDHNv2i32, ARM_INS_VRADDHN: vraddhn${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRADDHNv4i16, ARM_INS_VRADDHN: vraddhn${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRADDHNv8i8, ARM_INS_VRADDHN: vraddhn${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPEd, ARM_INS_VRECPE: vrecpe${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPEfd, ARM_INS_VRECPE: vrecpe${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPEfq, ARM_INS_VRECPE: vrecpe${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPEq, ARM_INS_VRECPE: vrecpe${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPSfd, ARM_INS_VRECPS: vrecps${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRECPSfq, ARM_INS_VRECPS: vrecps${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV16d8, ARM_INS_VREV16: vrev16${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV16q8, ARM_INS_VREV16: vrev16${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV32d16, ARM_INS_VREV32: vrev32${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV32d8, ARM_INS_VREV32: vrev32${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV32q16, ARM_INS_VREV32: vrev32${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV32q8, ARM_INS_VREV32: vrev32${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64d16, ARM_INS_VREV64: vrev64${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64d32, ARM_INS_VREV64: vrev64${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64d8, ARM_INS_VREV64: vrev64${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64q16, ARM_INS_VREV64: vrev64${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64q32, ARM_INS_VREV64: vrev64${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VREV64q8, ARM_INS_VREV64: vrev64${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv16i8, ARM_INS_VRHADD: vrhadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv2i32, ARM_INS_VRHADD: vrhadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv4i16, ARM_INS_VRHADD: vrhadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv4i32, ARM_INS_VRHADD: vrhadd${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv8i16, ARM_INS_VRHADD: vrhadd${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDsv8i8, ARM_INS_VRHADD: vrhadd${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv16i8, ARM_INS_VRHADD: vrhadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv2i32, ARM_INS_VRHADD: vrhadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv4i16, ARM_INS_VRHADD: vrhadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv4i32, ARM_INS_VRHADD: vrhadd${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv8i16, ARM_INS_VRHADD: vrhadd${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRHADDuv8i8, ARM_INS_VRHADD: vrhadd${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTAD, ARM_INS_VRINTA: vrinta.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTAND, ARM_INS_VRINTA: vrinta.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTANQ, ARM_INS_VRINTA: vrinta.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTAS, ARM_INS_VRINTA: vrinta.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTMD, ARM_INS_VRINTM: vrintm.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTMND, ARM_INS_VRINTM: vrintm.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTMNQ, ARM_INS_VRINTM: vrintm.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTMS, ARM_INS_VRINTM: vrintm.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTND, ARM_INS_VRINTN: vrintn.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTNND, ARM_INS_VRINTN: vrintn.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTNNQ, ARM_INS_VRINTN: vrintn.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTNS, ARM_INS_VRINTN: vrintn.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTPD, ARM_INS_VRINTP: vrintp.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTPND, ARM_INS_VRINTP: vrintp.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTPNQ, ARM_INS_VRINTP: vrintp.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTPS, ARM_INS_VRINTP: vrintp.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTRD, ARM_INS_VRINTR: vrintr${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTRS, ARM_INS_VRINTR: vrintr${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTXD, ARM_INS_VRINTX: vrintx${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTXND, ARM_INS_VRINTX: vrintx.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTXNQ, ARM_INS_VRINTX: vrintx.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTXS, ARM_INS_VRINTX: vrintx${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTZD, ARM_INS_VRINTZ: vrintz${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTZND, ARM_INS_VRINTZ: vrintz.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTZNQ, ARM_INS_VRINTZ: vrintz.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRINTZS, ARM_INS_VRINTZ: vrintz${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv16i8, ARM_INS_VRSHL: vrshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv1i64, ARM_INS_VRSHL: vrshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv2i32, ARM_INS_VRSHL: vrshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv2i64, ARM_INS_VRSHL: vrshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv4i16, ARM_INS_VRSHL: vrshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv4i32, ARM_INS_VRSHL: vrshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv8i16, ARM_INS_VRSHL: vrshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLsv8i8, ARM_INS_VRSHL: vrshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv16i8, ARM_INS_VRSHL: vrshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv1i64, ARM_INS_VRSHL: vrshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv2i32, ARM_INS_VRSHL: vrshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv2i64, ARM_INS_VRSHL: vrshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv4i16, ARM_INS_VRSHL: vrshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv4i32, ARM_INS_VRSHL: vrshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv8i16, ARM_INS_VRSHL: vrshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHLuv8i8, ARM_INS_VRSHL: vrshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRNv2i32, ARM_INS_VRSHRN: vrshrn${p}.i64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRNv4i16, ARM_INS_VRSHRN: vrshrn${p}.i32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRNv8i8, ARM_INS_VRSHRN: vrshrn${p}.i16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv16i8, ARM_INS_VRSHR: vrshr${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv1i64, ARM_INS_VRSHR: vrshr${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv2i32, ARM_INS_VRSHR: vrshr${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv2i64, ARM_INS_VRSHR: vrshr${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv4i16, ARM_INS_VRSHR: vrshr${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv4i32, ARM_INS_VRSHR: vrshr${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv8i16, ARM_INS_VRSHR: vrshr${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRsv8i8, ARM_INS_VRSHR: vrshr${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv16i8, ARM_INS_VRSHR: vrshr${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv1i64, ARM_INS_VRSHR: vrshr${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv2i32, ARM_INS_VRSHR: vrshr${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv2i64, ARM_INS_VRSHR: vrshr${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv4i16, ARM_INS_VRSHR: vrshr${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv4i32, ARM_INS_VRSHR: vrshr${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv8i16, ARM_INS_VRSHR: vrshr${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSHRuv8i8, ARM_INS_VRSHR: vrshr${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTEd, ARM_INS_VRSQRTE: vrsqrte${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTEfd, ARM_INS_VRSQRTE: vrsqrte${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTEfq, ARM_INS_VRSQRTE: vrsqrte${p}.f32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTEq, ARM_INS_VRSQRTE: vrsqrte${p}.u32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTSfd, ARM_INS_VRSQRTS: vrsqrts${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSQRTSfq, ARM_INS_VRSQRTS: vrsqrts${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv16i8, ARM_INS_VRSRA: vrsra${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv1i64, ARM_INS_VRSRA: vrsra${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv2i32, ARM_INS_VRSRA: vrsra${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv2i64, ARM_INS_VRSRA: vrsra${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv4i16, ARM_INS_VRSRA: vrsra${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv4i32, ARM_INS_VRSRA: vrsra${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv8i16, ARM_INS_VRSRA: vrsra${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAsv8i8, ARM_INS_VRSRA: vrsra${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv16i8, ARM_INS_VRSRA: vrsra${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv1i64, ARM_INS_VRSRA: vrsra${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv2i32, ARM_INS_VRSRA: vrsra${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv2i64, ARM_INS_VRSRA: vrsra${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv4i16, ARM_INS_VRSRA: vrsra${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv4i32, ARM_INS_VRSRA: vrsra${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv8i16, ARM_INS_VRSRA: vrsra${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSRAuv8i8, ARM_INS_VRSRA: vrsra${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSUBHNv2i32, ARM_INS_VRSUBHN: vrsubhn${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSUBHNv4i16, ARM_INS_VRSUBHN: vrsubhn${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VRSUBHNv8i8, ARM_INS_VRSUBHN: vrsubhn${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELEQD, ARM_INS_VSELEQ: vseleq.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELEQS, ARM_INS_VSELEQ: vseleq.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELGED, ARM_INS_VSELGE: vselge.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELGES, ARM_INS_VSELGE: vselge.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELGTD, ARM_INS_VSELGT: vselgt.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELGTS, ARM_INS_VSELGT: vselgt.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELVSD, ARM_INS_VSELVS: vselvs.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSELVSS, ARM_INS_VSELVS: vselvs.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSETLNi16, ARM_INS_VMOV: vmov${p}.16	$v$lane, $r */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSETLNi32, ARM_INS_VMOV: vmov${p}.32	$v$lane, $r */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSETLNi8, ARM_INS_VMOV: vmov${p}.8	$v$lane, $r */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLi16, ARM_INS_VSHLL: vshll${p}.i16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLi32, ARM_INS_VSHLL: vshll${p}.i32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLi8, ARM_INS_VSHLL: vshll${p}.i8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLsv2i64, ARM_INS_VSHLL: vshll${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLsv4i32, ARM_INS_VSHLL: vshll${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLsv8i16, ARM_INS_VSHLL: vshll${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLuv2i64, ARM_INS_VSHLL: vshll${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLuv4i32, ARM_INS_VSHLL: vshll${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLLuv8i16, ARM_INS_VSHLL: vshll${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv16i8, ARM_INS_VSHL: vshl${p}.i8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv1i64, ARM_INS_VSHL: vshl${p}.i64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv2i32, ARM_INS_VSHL: vshl${p}.i32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv2i64, ARM_INS_VSHL: vshl${p}.i64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv4i16, ARM_INS_VSHL: vshl${p}.i16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv4i32, ARM_INS_VSHL: vshl${p}.i32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv8i16, ARM_INS_VSHL: vshl${p}.i16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLiv8i8, ARM_INS_VSHL: vshl${p}.i8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv16i8, ARM_INS_VSHL: vshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv1i64, ARM_INS_VSHL: vshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv2i32, ARM_INS_VSHL: vshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv2i64, ARM_INS_VSHL: vshl${p}.s64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv4i16, ARM_INS_VSHL: vshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv4i32, ARM_INS_VSHL: vshl${p}.s32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv8i16, ARM_INS_VSHL: vshl${p}.s16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLsv8i8, ARM_INS_VSHL: vshl${p}.s8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv16i8, ARM_INS_VSHL: vshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv1i64, ARM_INS_VSHL: vshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv2i32, ARM_INS_VSHL: vshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv2i64, ARM_INS_VSHL: vshl${p}.u64	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv4i16, ARM_INS_VSHL: vshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv4i32, ARM_INS_VSHL: vshl${p}.u32	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv8i16, ARM_INS_VSHL: vshl${p}.u16	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHLuv8i8, ARM_INS_VSHL: vshl${p}.u8	$vd, $vm, $vn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRNv2i32, ARM_INS_VSHRN: vshrn${p}.i64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRNv4i16, ARM_INS_VSHRN: vshrn${p}.i32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRNv8i8, ARM_INS_VSHRN: vshrn${p}.i16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv16i8, ARM_INS_VSHR: vshr${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv1i64, ARM_INS_VSHR: vshr${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv2i32, ARM_INS_VSHR: vshr${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv2i64, ARM_INS_VSHR: vshr${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv4i16, ARM_INS_VSHR: vshr${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv4i32, ARM_INS_VSHR: vshr${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv8i16, ARM_INS_VSHR: vshr${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRsv8i8, ARM_INS_VSHR: vshr${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv16i8, ARM_INS_VSHR: vshr${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv1i64, ARM_INS_VSHR: vshr${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv2i32, ARM_INS_VSHR: vshr${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv2i64, ARM_INS_VSHR: vshr${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv4i16, ARM_INS_VSHR: vshr${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv4i32, ARM_INS_VSHR: vshr${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv8i16, ARM_INS_VSHR: vshr${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHRuv8i8, ARM_INS_VSHR: vshr${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSHTOD, ARM_INS_VCVT: vcvt${p}.f64.s16	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSHTOS, ARM_INS_VCVT: vcvt${p}.f32.s16	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSITOD, ARM_INS_VCVT: vcvt${p}.f64.s32	$dd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSITOS, ARM_INS_VCVT: vcvt${p}.f32.s32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv16i8, ARM_INS_VSLI: vsli${p}.8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv1i64, ARM_INS_VSLI: vsli${p}.64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv2i32, ARM_INS_VSLI: vsli${p}.32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv2i64, ARM_INS_VSLI: vsli${p}.64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv4i16, ARM_INS_VSLI: vsli${p}.16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv4i32, ARM_INS_VSLI: vsli${p}.32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv8i16, ARM_INS_VSLI: vsli${p}.16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLIv8i8, ARM_INS_VSLI: vsli${p}.8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSLTOD, ARM_INS_VCVT: vcvt${p}.f64.s32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSLTOS, ARM_INS_VCVT: vcvt${p}.f32.s32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSQRTD, ARM_INS_VSQRT: vsqrt${p}.f64	$dd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSQRTS, ARM_INS_VSQRT: vsqrt${p}.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv16i8, ARM_INS_VSRA: vsra${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv1i64, ARM_INS_VSRA: vsra${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv2i32, ARM_INS_VSRA: vsra${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv2i64, ARM_INS_VSRA: vsra${p}.s64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv4i16, ARM_INS_VSRA: vsra${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv4i32, ARM_INS_VSRA: vsra${p}.s32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv8i16, ARM_INS_VSRA: vsra${p}.s16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAsv8i8, ARM_INS_VSRA: vsra${p}.s8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv16i8, ARM_INS_VSRA: vsra${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv1i64, ARM_INS_VSRA: vsra${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv2i32, ARM_INS_VSRA: vsra${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv2i64, ARM_INS_VSRA: vsra${p}.u64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv4i16, ARM_INS_VSRA: vsra${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv4i32, ARM_INS_VSRA: vsra${p}.u32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv8i16, ARM_INS_VSRA: vsra${p}.u16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRAuv8i8, ARM_INS_VSRA: vsra${p}.u8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv16i8, ARM_INS_VSRI: vsri${p}.8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv1i64, ARM_INS_VSRI: vsri${p}.64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv2i32, ARM_INS_VSRI: vsri${p}.32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv2i64, ARM_INS_VSRI: vsri${p}.64	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv4i16, ARM_INS_VSRI: vsri${p}.16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv4i32, ARM_INS_VSRI: vsri${p}.32	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv8i16, ARM_INS_VSRI: vsri${p}.16	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VSRIv8i8, ARM_INS_VSRI: vsri${p}.8	$vd, $vm, $simm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd16, ARM_INS_VST1: vst1${p}.16	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd16_UPD, ARM_INS_VST1: vst1${p}.16	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd32, ARM_INS_VST1: vst1${p}.32	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd32_UPD, ARM_INS_VST1: vst1${p}.32	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd8, ARM_INS_VST1: vst1${p}.8	\{$vd[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1LNd8_UPD, ARM_INS_VST1: vst1${p}.8	\{$vd[$lane]\}, $rn$rm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16, ARM_INS_VST1: vst1${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16Q, ARM_INS_VST1: vst1${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16Qwb_fixed, ARM_INS_VST1: vst1${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16Qwb_register, ARM_INS_VST1: vst1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16T, ARM_INS_VST1: vst1${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16Twb_fixed, ARM_INS_VST1: vst1${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16Twb_register, ARM_INS_VST1: vst1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16wb_fixed, ARM_INS_VST1: vst1${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d16wb_register, ARM_INS_VST1: vst1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32, ARM_INS_VST1: vst1${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32Q, ARM_INS_VST1: vst1${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32Qwb_fixed, ARM_INS_VST1: vst1${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32Qwb_register, ARM_INS_VST1: vst1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32T, ARM_INS_VST1: vst1${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32Twb_fixed, ARM_INS_VST1: vst1${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32Twb_register, ARM_INS_VST1: vst1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32wb_fixed, ARM_INS_VST1: vst1${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d32wb_register, ARM_INS_VST1: vst1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64, ARM_INS_VST1: vst1${p}.64	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64Q, ARM_INS_VST1: vst1${p}.64	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64Qwb_fixed, ARM_INS_VST1: vst1${p}.64	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64Qwb_register, ARM_INS_VST1: vst1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64T, ARM_INS_VST1: vst1${p}.64	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64Twb_fixed, ARM_INS_VST1: vst1${p}.64	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64Twb_register, ARM_INS_VST1: vst1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64wb_fixed, ARM_INS_VST1: vst1${p}.64	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d64wb_register, ARM_INS_VST1: vst1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8, ARM_INS_VST1: vst1${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8Q, ARM_INS_VST1: vst1${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8Qwb_fixed, ARM_INS_VST1: vst1${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8Qwb_register, ARM_INS_VST1: vst1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8T, ARM_INS_VST1: vst1${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8Twb_fixed, ARM_INS_VST1: vst1${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8Twb_register, ARM_INS_VST1: vst1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8wb_fixed, ARM_INS_VST1: vst1${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1d8wb_register, ARM_INS_VST1: vst1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q16, ARM_INS_VST1: vst1${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q16wb_fixed, ARM_INS_VST1: vst1${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q16wb_register, ARM_INS_VST1: vst1${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q32, ARM_INS_VST1: vst1${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q32wb_fixed, ARM_INS_VST1: vst1${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q32wb_register, ARM_INS_VST1: vst1${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q64, ARM_INS_VST1: vst1${p}.64	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q64wb_fixed, ARM_INS_VST1: vst1${p}.64	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q64wb_register, ARM_INS_VST1: vst1${p}.64	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q8, ARM_INS_VST1: vst1${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q8wb_fixed, ARM_INS_VST1: vst1${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST1q8wb_register, ARM_INS_VST1: vst1${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd16, ARM_INS_VST2: vst2${p}.16	\{$vd[$lane], $src2[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd16_UPD, ARM_INS_VST2: vst2${p}.16	\{$vd[$lane], $src2[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd32, ARM_INS_VST2: vst2${p}.32	\{$vd[$lane], $src2[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd32_UPD, ARM_INS_VST2: vst2${p}.32	\{$vd[$lane], $src2[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd8, ARM_INS_VST2: vst2${p}.8	\{$vd[$lane], $src2[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNd8_UPD, ARM_INS_VST2: vst2${p}.8	\{$vd[$lane], $src2[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNq16, ARM_INS_VST2: vst2${p}.16	\{$vd[$lane], $src2[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNq16_UPD, ARM_INS_VST2: vst2${p}.16	\{$vd[$lane], $src2[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNq32, ARM_INS_VST2: vst2${p}.32	\{$vd[$lane], $src2[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2LNq32_UPD, ARM_INS_VST2: vst2${p}.32	\{$vd[$lane], $src2[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b16, ARM_INS_VST2: vst2${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b16wb_fixed, ARM_INS_VST2: vst2${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b16wb_register, ARM_INS_VST2: vst2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b32, ARM_INS_VST2: vst2${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b32wb_fixed, ARM_INS_VST2: vst2${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b32wb_register, ARM_INS_VST2: vst2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b8, ARM_INS_VST2: vst2${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b8wb_fixed, ARM_INS_VST2: vst2${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2b8wb_register, ARM_INS_VST2: vst2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d16, ARM_INS_VST2: vst2${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d16wb_fixed, ARM_INS_VST2: vst2${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d16wb_register, ARM_INS_VST2: vst2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d32, ARM_INS_VST2: vst2${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d32wb_fixed, ARM_INS_VST2: vst2${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d32wb_register, ARM_INS_VST2: vst2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d8, ARM_INS_VST2: vst2${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d8wb_fixed, ARM_INS_VST2: vst2${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2d8wb_register, ARM_INS_VST2: vst2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q16, ARM_INS_VST2: vst2${p}.16	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q16wb_fixed, ARM_INS_VST2: vst2${p}.16	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q16wb_register, ARM_INS_VST2: vst2${p}.16	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q32, ARM_INS_VST2: vst2${p}.32	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q32wb_fixed, ARM_INS_VST2: vst2${p}.32	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q32wb_register, ARM_INS_VST2: vst2${p}.32	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q8, ARM_INS_VST2: vst2${p}.8	$vd, $rn */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q8wb_fixed, ARM_INS_VST2: vst2${p}.8	$vd, $rn! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST2q8wb_register, ARM_INS_VST2: vst2${p}.8	$vd, $rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd16, ARM_INS_VST3: vst3${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd16_UPD, ARM_INS_VST3: vst3${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd32, ARM_INS_VST3: vst3${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd32_UPD, ARM_INS_VST3: vst3${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd8, ARM_INS_VST3: vst3${p}.8	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNd8_UPD, ARM_INS_VST3: vst3${p}.8	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNq16, ARM_INS_VST3: vst3${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNq16_UPD, ARM_INS_VST3: vst3${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNq32, ARM_INS_VST3: vst3${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3LNq32_UPD, ARM_INS_VST3: vst3${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d16, ARM_INS_VST3: vst3${p}.16	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d16_UPD, ARM_INS_VST3: vst3${p}.16	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d32, ARM_INS_VST3: vst3${p}.32	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d32_UPD, ARM_INS_VST3: vst3${p}.32	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d8, ARM_INS_VST3: vst3${p}.8	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3d8_UPD, ARM_INS_VST3: vst3${p}.8	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q16, ARM_INS_VST3: vst3${p}.16	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q16_UPD, ARM_INS_VST3: vst3${p}.16	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q32, ARM_INS_VST3: vst3${p}.32	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q32_UPD, ARM_INS_VST3: vst3${p}.32	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q8, ARM_INS_VST3: vst3${p}.8	\{$vd, $src2, $src3\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST3q8_UPD, ARM_INS_VST3: vst3${p}.8	\{$vd, $src2, $src3\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd16, ARM_INS_VST4: vst4${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd16_UPD, ARM_INS_VST4: vst4${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd32, ARM_INS_VST4: vst4${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd32_UPD, ARM_INS_VST4: vst4${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd8, ARM_INS_VST4: vst4${p}.8	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNd8_UPD, ARM_INS_VST4: vst4${p}.8	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNq16, ARM_INS_VST4: vst4${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNq16_UPD, ARM_INS_VST4: vst4${p}.16	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNq32, ARM_INS_VST4: vst4${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4LNq32_UPD, ARM_INS_VST4: vst4${p}.32	\{$vd[$lane], $src2[$lane], $src3[$lane], $src4[$lane]\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d16, ARM_INS_VST4: vst4${p}.16	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d16_UPD, ARM_INS_VST4: vst4${p}.16	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d32, ARM_INS_VST4: vst4${p}.32	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d32_UPD, ARM_INS_VST4: vst4${p}.32	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d8, ARM_INS_VST4: vst4${p}.8	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4d8_UPD, ARM_INS_VST4: vst4${p}.8	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q16, ARM_INS_VST4: vst4${p}.16	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q16_UPD, ARM_INS_VST4: vst4${p}.16	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q32, ARM_INS_VST4: vst4${p}.32	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q32_UPD, ARM_INS_VST4: vst4${p}.32	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q8, ARM_INS_VST4: vst4${p}.8	\{$vd, $src2, $src3, $src4\}, $rn */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VST4q8_UPD, ARM_INS_VST4: vst4${p}.8	\{$vd, $src2, $src3, $src4\}, $rn$rm */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSTMDDB_UPD, ARM_INS_VSTMDB: vstmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSTMDIA, ARM_INS_VSTMIA: vstmia${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VSTMDIA_UPD, ARM_INS_VSTMIA: vstmia${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSTMSDB_UPD, ARM_INS_VSTMDB: vstmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSTMSIA, ARM_INS_VSTMIA: vstmia${p}	$rn, $regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VSTMSIA_UPD, ARM_INS_VSTMIA: vstmia${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSTRD, ARM_INS_VSTR: vstr${p}	$dd, $addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VSTRS, ARM_INS_VSTR: vstr${p}	$sd, $addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBD, ARM_INS_VSUB: vsub${p}.f64	$dd, $dn, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBHNv2i32, ARM_INS_VSUBHN: vsubhn${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBHNv4i16, ARM_INS_VSUBHN: vsubhn${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBHNv8i8, ARM_INS_VSUBHN: vsubhn${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLsv2i64, ARM_INS_VSUBL: vsubl${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLsv4i32, ARM_INS_VSUBL: vsubl${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLsv8i16, ARM_INS_VSUBL: vsubl${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLuv2i64, ARM_INS_VSUBL: vsubl${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLuv4i32, ARM_INS_VSUBL: vsubl${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBLuv8i16, ARM_INS_VSUBL: vsubl${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBS, ARM_INS_VSUB: vsub${p}.f32	$sd, $sn, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWsv2i64, ARM_INS_VSUBW: vsubw${p}.s32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWsv4i32, ARM_INS_VSUBW: vsubw${p}.s16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWsv8i16, ARM_INS_VSUBW: vsubw${p}.s8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWuv2i64, ARM_INS_VSUBW: vsubw${p}.u32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWuv4i32, ARM_INS_VSUBW: vsubw${p}.u16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBWuv8i16, ARM_INS_VSUBW: vsubw${p}.u8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBfd, ARM_INS_VSUB: vsub${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBfq, ARM_INS_VSUB: vsub${p}.f32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv16i8, ARM_INS_VSUB: vsub${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv1i64, ARM_INS_VSUB: vsub${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv2i32, ARM_INS_VSUB: vsub${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv2i64, ARM_INS_VSUB: vsub${p}.i64	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv4i16, ARM_INS_VSUB: vsub${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv4i32, ARM_INS_VSUB: vsub${p}.i32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv8i16, ARM_INS_VSUB: vsub${p}.i16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSUBv8i8, ARM_INS_VSUB: vsub${p}.i8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VSWPd, ARM_INS_VSWP: vswp${p}	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VSWPq, ARM_INS_VSWP: vswp${p}	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTBL1, ARM_INS_VTBL: vtbl${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBL2, ARM_INS_VTBL: vtbl${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBL3, ARM_INS_VTBL: vtbl${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBL4, ARM_INS_VTBL: vtbl${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBX1, ARM_INS_VTBX: vtbx${p}.8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBX2, ARM_INS_VTBX: vtbx${p}.8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBX3, ARM_INS_VTBX: vtbx${p}.8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTBX4, ARM_INS_VTBX: vtbx${p}.8	$vd, $vn, $vm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOSHD, ARM_INS_VCVT: vcvt${p}.s16.f64	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOSHS, ARM_INS_VCVT: vcvt${p}.s16.f32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOSIRD, ARM_INS_VCVTR: vcvtr${p}.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOSIRS, ARM_INS_VCVTR: vcvtr${p}.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOSIZD, ARM_INS_VCVT: vcvt${p}.s32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOSIZS, ARM_INS_VCVT: vcvt${p}.s32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOSLD, ARM_INS_VCVT: vcvt${p}.s32.f64	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOSLS, ARM_INS_VCVT: vcvt${p}.s32.f32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOUHD, ARM_INS_VCVT: vcvt${p}.u16.f64	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOUHS, ARM_INS_VCVT: vcvt${p}.u16.f32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOUIRD, ARM_INS_VCVTR: vcvtr${p}.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOUIRS, ARM_INS_VCVTR: vcvtr${p}.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOUIZD, ARM_INS_VCVT: vcvt${p}.u32.f64	$sd, $dm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOUIZS, ARM_INS_VCVT: vcvt${p}.u32.f32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VTOULD, ARM_INS_VCVT: vcvt${p}.u32.f64	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTOULS, ARM_INS_VCVT: vcvt${p}.u32.f32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNd16, ARM_INS_VTRN: vtrn${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNd32, ARM_INS_VTRN: vtrn${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNd8, ARM_INS_VTRN: vtrn${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNq16, ARM_INS_VTRN: vtrn${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNq32, ARM_INS_VTRN: vtrn${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTRNq8, ARM_INS_VTRN: vtrn${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VTSTv16i8, ARM_INS_VTST: vtst${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTSTv2i32, ARM_INS_VTST: vtst${p}.32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTSTv4i16, ARM_INS_VTST: vtst${p}.16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTSTv4i32, ARM_INS_VTST: vtst${p}.32	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTSTv8i16, ARM_INS_VTST: vtst${p}.16	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VTSTv8i8, ARM_INS_VTST: vtst${p}.8	$vd, $vn, $vm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_VUHTOD, ARM_INS_VCVT: vcvt${p}.f64.u16	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUHTOS, ARM_INS_VCVT: vcvt${p}.f32.u16	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUITOD, ARM_INS_VCVT: vcvt${p}.f64.u32	$dd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VUITOS, ARM_INS_VCVT: vcvt${p}.f32.u32	$sd, $sm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_VULTOD, ARM_INS_VCVT: vcvt${p}.f64.u32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VULTOS, ARM_INS_VCVT: vcvt${p}.f32.u32	$dst, $a, $fbits */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUZPd16, ARM_INS_VUZP: vuzp${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUZPd8, ARM_INS_VUZP: vuzp${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUZPq16, ARM_INS_VUZP: vuzp${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUZPq32, ARM_INS_VUZP: vuzp${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VUZPq8, ARM_INS_VUZP: vuzp${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VZIPd16, ARM_INS_VZIP: vzip${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VZIPd8, ARM_INS_VZIP: vzip${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VZIPq16, ARM_INS_VZIP: vzip${p}.16	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VZIPq32, ARM_INS_VZIP: vzip${p}.32	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_VZIPq8, ARM_INS_VZIP: vzip${p}.8	$vd, $vm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMDA, ARM_INS_LDMDA: ldmda${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMDA_UPD, ARM_INS_LDMDA: ldmda${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMDB, ARM_INS_LDMDB: ldmdb${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMDB_UPD, ARM_INS_LDMDB: ldmdb${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMIA, ARM_INS_LDM: ldm${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMIA_UPD, ARM_INS_LDM: ldm${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMIB, ARM_INS_LDMIB: ldmib${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysLDMIB_UPD, ARM_INS_LDMIB: ldmib${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_sysSTMDA, ARM_INS_STMDA: stmda${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMDA_UPD, ARM_INS_STMDA: stmda${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMDB, ARM_INS_STMDB: stmdb${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMDB_UPD, ARM_INS_STMDB: stmdb${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMIA, ARM_INS_STM: stm${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMIA_UPD, ARM_INS_STM: stm${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMIB, ARM_INS_STMIB: stmib${p}	$rn, $regs ^ */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_sysSTMIB_UPD, ARM_INS_STMIB: stmib${p}	$rn!, $regs ^ */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADCri, ARM_INS_ADC: adc${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADCrr, ARM_INS_ADC: adc${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADCrs, ARM_INS_ADC: adc${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADDri, ARM_INS_ADD: add${s}${p}.w	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADDri12, ARM_INS_ADDW: addw${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADDrr, ARM_INS_ADD: add${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADDrs, ARM_INS_ADD: add${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ADR, ARM_INS_ADR: adr{$p}.w	$rd, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2ANDri, ARM_INS_AND: and${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ANDrr, ARM_INS_AND: and${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ANDrs, ARM_INS_AND: and${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ASRri, ARM_INS_ASR: asr${s}${p}.w	$rd, $rm, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ASRrr, ARM_INS_ASR: asr${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2B, ARM_INS_B: b${p}.w	$target */
+	{ 0 }
+},
+{	/* ARM_t2BFC, ARM_INS_BFC: bfc${p}	$rd, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2BFI, ARM_INS_BFI: bfi${p}	$rd, $rn, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2BICri, ARM_INS_BIC: bic${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2BICrr, ARM_INS_BIC: bic${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2BICrs, ARM_INS_BIC: bic${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2BXJ, ARM_INS_BXJ: bxj${p}	$func */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2Bcc, ARM_INS_B: b${p}.w	$target */
+	{ 0 }
+},
+{	/* ARM_t2CDP, ARM_INS_CDP: cdp${p}	$cop, $opc1, $crd, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2CDP2, ARM_INS_CDP2: cdp2${p}	$cop, $opc1, $crd, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2CLREX, ARM_INS_CLREX: clrex${p} */
+	{ 0 }
+},
+{	/* ARM_t2CLZ, ARM_INS_CLZ: clz${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMNri, ARM_INS_CMN: cmn${p}.w	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMNzrr, ARM_INS_CMN: cmn${p}.w	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMNzrs, ARM_INS_CMN: cmn${p}.w	$rn, $shiftedrm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMPri, ARM_INS_CMP: cmp${p}.w	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMPrr, ARM_INS_CMP: cmp${p}.w	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CMPrs, ARM_INS_CMP: cmp${p}.w	$rn, $shiftedrm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2CPS1p, ARM_INS_CPS: cps	$mode */
+	{ 0 }
+},
+{	/* ARM_t2CPS2p, ARM_INS_CPS: cps$imod.w	$iflags */
+	{ 0 }
+},
+{	/* ARM_t2CPS3p, ARM_INS_CPS: cps$imod	$iflags, $mode */
+	{ 0 }
+},
+{	/* ARM_t2CRC32B, ARM_INS_CRC32B: crc32b	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CRC32CB, ARM_INS_CRC32CB: crc32cb	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CRC32CH, ARM_INS_CRC32CH: crc32ch	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CRC32CW, ARM_INS_CRC32CW: crc32cw	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CRC32H, ARM_INS_CRC32H: crc32h	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2CRC32W, ARM_INS_CRC32W: crc32w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2DBG, ARM_INS_DBG: dbg${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_t2DCPS1, ARM_INS_DCPS1: dcps1${p} */
+	{ 0 }
+},
+{	/* ARM_t2DCPS2, ARM_INS_DCPS2: dcps2${p} */
+	{ 0 }
+},
+{	/* ARM_t2DCPS3, ARM_INS_DCPS3: dcps3${p} */
+	{ 0 }
+},
+{	/* ARM_t2DMB, ARM_INS_DMB: dmb${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_t2DSB, ARM_INS_DSB: dsb${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_t2EORri, ARM_INS_EOR: eor${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2EORrr, ARM_INS_EOR: eor${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2EORrs, ARM_INS_EOR: eor${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2HINT, ARM_INS_HINT: hint${p}.w	$imm */
+	{ 0 }
+},
+{	/* ARM_t2HVC, ARM_INS_HVC: hvc.w	$imm16 */
+	{ 0 }
+},
+{	/* ARM_t2ISB, ARM_INS_ISB: isb${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_t2IT, ARM_INS_IT: it$mask	$cc */
+	{ 0 }
+},
+{	/* ARM_t2LDA, ARM_INS_LDA: lda${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAB, ARM_INS_LDAB: ldab${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAEX, ARM_INS_LDAEX: ldaex${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAEXB, ARM_INS_LDAEXB: ldaexb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAEXD, ARM_INS_LDAEXD: ldaexd${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAEXH, ARM_INS_LDAEXH: ldaexh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDAH, ARM_INS_LDAH: ldah${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2L_OFFSET, ARM_INS_LDC2L: ldc2l${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2L_OPTION, ARM_INS_LDC2L: ldc2l${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2L_POST, ARM_INS_LDC2L: ldc2l${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2L_PRE, ARM_INS_LDC2L: ldc2l${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2_OFFSET, ARM_INS_LDC2: ldc2${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2_OPTION, ARM_INS_LDC2: ldc2${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2_POST, ARM_INS_LDC2: ldc2${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC2_PRE, ARM_INS_LDC2: ldc2${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDCL_OFFSET, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDCL_OPTION, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDCL_POST, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDCL_PRE, ARM_INS_LDCL: ldcl${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC_OFFSET, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC_OPTION, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC_POST, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDC_PRE, ARM_INS_LDC: ldc${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDMDB, ARM_INS_LDMDB: ldmdb${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDMDB_UPD, ARM_INS_LDMDB: ldmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDMIA, ARM_INS_LDM: ldm${p}.w	$rn, $regs */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDMIA_UPD, ARM_INS_LDM: ldm${p}.w	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRBT, ARM_INS_LDRBT: ldrbt${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRB_POST, ARM_INS_LDRB: ldrb${p}	$rt, $rn$offset */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRB_PRE, ARM_INS_LDRB: ldrb${p}	$rt, $addr! */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRBi12, ARM_INS_LDRB: ldrb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRBi8, ARM_INS_LDRB: ldrb${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRBpci, ARM_INS_LDRB: ldrb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRBs, ARM_INS_LDRB: ldrb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRD_POST, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr$imm */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRD_PRE, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr! */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRDi8, ARM_INS_LDRD: ldrd${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDREX, ARM_INS_LDREX: ldrex${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDREXB, ARM_INS_LDREXB: ldrexb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDREXD, ARM_INS_LDREXD: ldrexd${p}	$rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDREXH, ARM_INS_LDREXH: ldrexh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRHT, ARM_INS_LDRHT: ldrht${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRH_POST, ARM_INS_LDRH: ldrh${p}	$rt, $rn$offset */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRH_PRE, ARM_INS_LDRH: ldrh${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRHi12, ARM_INS_LDRH: ldrh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRHi8, ARM_INS_LDRH: ldrh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRHpci, ARM_INS_LDRH: ldrh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRHs, ARM_INS_LDRH: ldrh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSBT, ARM_INS_LDRSBT: ldrsbt${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSB_POST, ARM_INS_LDRSB: ldrsb${p}	$rt, $rn$offset */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRSB_PRE, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSBi12, ARM_INS_LDRSB: ldrsb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSBi8, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSBpci, ARM_INS_LDRSB: ldrsb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSBs, ARM_INS_LDRSB: ldrsb${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSHT, ARM_INS_LDRSHT: ldrsht${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSH_POST, ARM_INS_LDRSH: ldrsh${p}	$rt, $rn$offset */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRSH_PRE, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr! */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSHi12, ARM_INS_LDRSH: ldrsh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSHi8, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSHpci, ARM_INS_LDRSH: ldrsh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRSHs, ARM_INS_LDRSH: ldrsh${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LDRT, ARM_INS_LDRT: ldrt${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDR_POST, ARM_INS_LDR: ldr${p}	$rt, $rn$offset */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDR_PRE, ARM_INS_LDR: ldr${p}	$rt, $addr! */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRi12, ARM_INS_LDR: ldr${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRi8, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRpci, ARM_INS_LDR: ldr${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2LDRs, ARM_INS_LDR: ldr${p}.w	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LSLri, ARM_INS_LSL: lsl${s}${p}.w	$rd, $rm, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LSLrr, ARM_INS_LSL: lsl${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LSRri, ARM_INS_LSR: lsr${s}${p}.w	$rd, $rm, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2LSRrr, ARM_INS_LSR: lsr${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MCR, ARM_INS_MCR: mcr${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2MCR2, ARM_INS_MCR2: mcr2${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2MCRR, ARM_INS_MCRR: mcrr${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MCRR2, ARM_INS_MCRR2: mcrr2${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MLA, ARM_INS_MLA: mla${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MLS, ARM_INS_MLS: mls${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MOVTi16, ARM_INS_MOVT: movt${p}	$rd, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MOVi, ARM_INS_MOV: mov${s}${p}.w	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MOVi16, ARM_INS_MOVW: movw${p}	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MOVr, ARM_INS_MOV: mov${s}${p}.w	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MOVsra_flag, ARM_INS_ASR: asrs${p}.w	$rd, $rm, #1 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MOVsrl_flag, ARM_INS_LSR: lsrs${p}.w	$rd, $rm, #1 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MRC, ARM_INS_MRC: mrc${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2MRC2, ARM_INS_MRC2: mrc2${p}	$cop, $opc1, $rt, $crn, $crm, $opc2 */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* ARM_t2MRRC, ARM_INS_MRRC: mrrc${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MRRC2, ARM_INS_MRRC2: mrrc2${p}	$cop, $opc1, $rt, $rt2, $crm */
+	{ CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MRS_AR, ARM_INS_MRS: mrs${p}	$rd, apsr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MRS_M, ARM_INS_MRS: mrs${p}	$rd, $sysm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MRSbanked, ARM_INS_MRS: mrs${p}	$rd, $banked */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MRSsys_AR, ARM_INS_MRS: mrs${p}	$rd, spsr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MSR_AR, ARM_INS_MSR: msr${p}	$mask, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2MSR_M, ARM_INS_MSR: msr${p}	$sysm, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2MSRbanked, ARM_INS_MSR: msr${p}	$banked, $rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2MUL, ARM_INS_MUL: mul${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MVNi, ARM_INS_MVN: mvn${s}${p}	$rd, $imm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2MVNr, ARM_INS_MVN: mvn${s}${p}.w	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2MVNs, ARM_INS_MVN: mvn${s}${p}.w	$rd, $shiftedrm */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2ORNri, ARM_INS_ORN: orn${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ORNrr, ARM_INS_ORN: orn${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ORNrs, ARM_INS_ORN: orn${s}${p}	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ORRri, ARM_INS_ORR: orr${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ORRrr, ARM_INS_ORR: orr${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2ORRrs, ARM_INS_ORR: orr${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2PKHBT, ARM_INS_PKHBT: pkhbt${p}	$rd, $rn, $rm$sh */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2PKHTB, ARM_INS_PKHTB: pkhtb${p}	$rd, $rn, $rm$sh */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDWi12, ARM_INS_PLDW: pldw${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDWi8, ARM_INS_PLDW: pldw${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDWs, ARM_INS_PLDW: pldw${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDi12, ARM_INS_PLD: pld${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDi8, ARM_INS_PLD: pld${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDpci, ARM_INS_PLD: pld${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLDs, ARM_INS_PLD: pld${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLIi12, ARM_INS_PLI: pli${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLIi8, ARM_INS_PLI: pli${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLIpci, ARM_INS_PLI: pli${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2PLIs, ARM_INS_PLI: pli${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2QADD, ARM_INS_QADD: qadd${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QADD16, ARM_INS_QADD16: qadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QADD8, ARM_INS_QADD8: qadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QASX, ARM_INS_QASX: qasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QDADD, ARM_INS_QDADD: qdadd${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QDSUB, ARM_INS_QDSUB: qdsub${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QSAX, ARM_INS_QSAX: qsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QSUB, ARM_INS_QSUB: qsub${p}	$rd, $rm, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QSUB16, ARM_INS_QSUB16: qsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2QSUB8, ARM_INS_QSUB8: qsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RBIT, ARM_INS_RBIT: rbit${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2REV, ARM_INS_REV: rev${p}.w	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2REV16, ARM_INS_REV16: rev16${p}.w	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2REVSH, ARM_INS_REVSH: revsh${p}.w	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RFEDB, ARM_INS_RFEDB: rfedb${p}	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2RFEDBW, ARM_INS_RFEDB: rfedb${p}	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2RFEIA, ARM_INS_RFEIA: rfeia${p}	$rn */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2RFEIAW, ARM_INS_RFEIA: rfeia${p}	$rn! */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2RORri, ARM_INS_ROR: ror${s}${p}.w	$rd, $rm, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RORrr, ARM_INS_ROR: ror${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RRX, ARM_INS_RRX: rrx${s}${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RSBri, ARM_INS_RSB: rsb${s}${p}.w	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RSBrr, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2RSBrs, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SADD16, ARM_INS_SADD16: sadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SADD8, ARM_INS_SADD8: sadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SASX, ARM_INS_SASX: sasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SBCri, ARM_INS_SBC: sbc${s}${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SBCrr, ARM_INS_SBC: sbc${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SBCrs, ARM_INS_SBC: sbc${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SBFX, ARM_INS_SBFX: sbfx${p}	$rd, $rn, $lsb, $msb */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SDIV, ARM_INS_SDIV: sdiv${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SEL, ARM_INS_SEL: sel${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHADD16, ARM_INS_SHADD16: shadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHADD8, ARM_INS_SHADD8: shadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHASX, ARM_INS_SHASX: shasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHSAX, ARM_INS_SHSAX: shsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHSUB16, ARM_INS_SHSUB16: shsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SHSUB8, ARM_INS_SHSUB8: shsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMC, ARM_INS_SMC: smc${p}	$opt */
+	{ 0 }
+},
+{	/* ARM_t2SMLABB, ARM_INS_SMLABB: smlabb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLABT, ARM_INS_SMLABT: smlabt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLAD, ARM_INS_SMLAD: smlad${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLADX, ARM_INS_SMLADX: smladx${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLAL, ARM_INS_SMLAL: smlal${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALBB, ARM_INS_SMLALBB: smlalbb${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALBT, ARM_INS_SMLALBT: smlalbt${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALD, ARM_INS_SMLALD: smlald${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALDX, ARM_INS_SMLALDX: smlaldx${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALTB, ARM_INS_SMLALTB: smlaltb${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLALTT, ARM_INS_SMLALTT: smlaltt${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLATB, ARM_INS_SMLATB: smlatb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLATT, ARM_INS_SMLATT: smlatt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLAWB, ARM_INS_SMLAWB: smlawb${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLAWT, ARM_INS_SMLAWT: smlawt${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLSD, ARM_INS_SMLSD: smlsd${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLSDX, ARM_INS_SMLSDX: smlsdx${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLSLD, ARM_INS_SMLSLD: smlsld${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMLSLDX, ARM_INS_SMLSLDX: smlsldx${p}	$ra, $rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMLA, ARM_INS_SMMLA: smmla${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMLAR, ARM_INS_SMMLAR: smmlar${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMLS, ARM_INS_SMMLS: smmls${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMLSR, ARM_INS_SMMLSR: smmlsr${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMUL, ARM_INS_SMMUL: smmul${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMMULR, ARM_INS_SMMULR: smmulr${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMUAD, ARM_INS_SMUAD: smuad${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMUADX, ARM_INS_SMUADX: smuadx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULBB, ARM_INS_SMULBB: smulbb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULBT, ARM_INS_SMULBT: smulbt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULL, ARM_INS_SMULL: smull${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULTB, ARM_INS_SMULTB: smultb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULTT, ARM_INS_SMULTT: smultt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULWB, ARM_INS_SMULWB: smulwb${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMULWT, ARM_INS_SMULWT: smulwt${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMUSD, ARM_INS_SMUSD: smusd${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SMUSDX, ARM_INS_SMUSDX: smusdx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SRSDB, ARM_INS_SRSDB: srsdb${p}	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_t2SRSDB_UPD, ARM_INS_SRSDB: srsdb${p}	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_t2SRSIA, ARM_INS_SRSIA: srsia${p}	sp, $mode */
+	{ 0 }
+},
+{	/* ARM_t2SRSIA_UPD, ARM_INS_SRSIA: srsia${p}	sp!, $mode */
+	{ 0 }
+},
+{	/* ARM_t2SSAT, ARM_INS_SSAT: ssat${p}	$rd, $sat_imm, $rn$sh */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2SSAT16, ARM_INS_SSAT16: ssat16${p}	$rd, $sat_imm, $rn */
+	{ CS_AC_WRITE, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SSAX, ARM_INS_SSAX: ssax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SSUB16, ARM_INS_SSUB16: ssub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SSUB8, ARM_INS_SSUB8: ssub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2L_OFFSET, ARM_INS_STC2L: stc2l${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2L_OPTION, ARM_INS_STC2L: stc2l${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2L_POST, ARM_INS_STC2L: stc2l${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2L_PRE, ARM_INS_STC2L: stc2l${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2_OFFSET, ARM_INS_STC2: stc2${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2_OPTION, ARM_INS_STC2: stc2${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2_POST, ARM_INS_STC2: stc2${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC2_PRE, ARM_INS_STC2: stc2${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STCL_OFFSET, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STCL_OPTION, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STCL_POST, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STCL_PRE, ARM_INS_STCL: stcl${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC_OFFSET, ARM_INS_STC: stc${p}	$cop, $crd, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC_OPTION, ARM_INS_STC: stc${p}	$cop, $crd, $addr, $option */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC_POST, ARM_INS_STC: stc${p}	$cop, $crd, $addr, $offset */
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STC_PRE, ARM_INS_STC: stc${p}	$cop, $crd, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STL, ARM_INS_STL: stl${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLB, ARM_INS_STLB: stlb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLEX, ARM_INS_STLEX: stlex${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLEXB, ARM_INS_STLEXB: stlexb${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLEXD, ARM_INS_STLEXD: stlexd${p}	$rd, $rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLEXH, ARM_INS_STLEXH: stlexh${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STLH, ARM_INS_STLH: stlh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STMDB, ARM_INS_STMDB: stmdb${p}	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STMDB_UPD, ARM_INS_STMDB: stmdb${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STMIA, ARM_INS_STM: stm${p}.w	$rn, $regs */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STMIA_UPD, ARM_INS_STM: stm${p}.w	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STRBT, ARM_INS_STRBT: strbt${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRB_POST, ARM_INS_STRB: strb${p}	$rt, $rn$offset */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2STRB_PRE, ARM_INS_STRB: strb${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRBi12, ARM_INS_STRB: strb${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRBi8, ARM_INS_STRB: strb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRBs, ARM_INS_STRB: strb${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRD_POST, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr$imm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STRD_PRE, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr! */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STRDi8, ARM_INS_STRD: strd${p}	$rt, $rt2, $addr */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STREX, ARM_INS_STREX: strex${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STREXB, ARM_INS_STREXB: strexb${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STREXD, ARM_INS_STREXD: strexd${p}	$rd, $rt, $rt2, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STREXH, ARM_INS_STREXH: strexh${p}	$rd, $rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2STRHT, ARM_INS_STRHT: strht${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRH_POST, ARM_INS_STRH: strh${p}	$rt, $rn$offset */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRH_PRE, ARM_INS_STRH: strh${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRHi12, ARM_INS_STRH: strh${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRHi8, ARM_INS_STRH: strh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRHs, ARM_INS_STRH: strh${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRT, ARM_INS_STRT: strt${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STR_POST, ARM_INS_STR: str${p}	$rt, $rn$offset */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2STR_PRE, ARM_INS_STR: str${p}	$rt, $addr! */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRi12, ARM_INS_STR: str${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRi8, ARM_INS_STR: str${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2STRs, ARM_INS_STR: str${p}.w	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2SUBS_PC_LR, ARM_INS_SUB: subs${p}	pc, lr, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SUBri, ARM_INS_SUB: sub${s}${p}.w	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SUBri12, ARM_INS_SUBW: subw${p}	$rd, $rn, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SUBrr, ARM_INS_SUB: sub${s}${p}.w	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SUBrs, ARM_INS_SUB: sub${s}${p}.w	$rd, $rn, $shiftedrm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTAB, ARM_INS_SXTAB: sxtab${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTAB16, ARM_INS_SXTAB16: sxtab16${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTAH, ARM_INS_SXTAH: sxtah${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTB, ARM_INS_SXTB: sxtb${p}.w	$rd, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTB16, ARM_INS_SXTB16: sxtb16${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2SXTH, ARM_INS_SXTH: sxth${p}.w	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2TBB, ARM_INS_TBB: tbb${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2TBH, ARM_INS_TBH: tbh${p}	$addr */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2TEQri, ARM_INS_TEQ: teq${p}.w	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2TEQrr, ARM_INS_TEQ: teq${p}.w	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2TEQrs, ARM_INS_TEQ: teq${p}.w	$rn, $shiftedrm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2TSTri, ARM_INS_TST: tst${p}.w	$rn, $imm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2TSTrr, ARM_INS_TST: tst${p}.w	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2TSTrs, ARM_INS_TST: tst${p}.w	$rn, $shiftedrm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_t2UADD16, ARM_INS_UADD16: uadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UADD8, ARM_INS_UADD8: uadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UASX, ARM_INS_UASX: uasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UBFX, ARM_INS_UBFX: ubfx${p}	$rd, $rn, $lsb, $msb */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UDF, ARM_INS_UDF: udf.w	$imm16 */
+	{ 0 }
+},
+{	/* ARM_t2UDIV, ARM_INS_UDIV: udiv${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHADD16, ARM_INS_UHADD16: uhadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHADD8, ARM_INS_UHADD8: uhadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHASX, ARM_INS_UHASX: uhasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHSAX, ARM_INS_UHSAX: uhsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHSUB16, ARM_INS_UHSUB16: uhsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UHSUB8, ARM_INS_UHSUB8: uhsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UMAAL, ARM_INS_UMAAL: umaal${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UMLAL, ARM_INS_UMLAL: umlal${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UMULL, ARM_INS_UMULL: umull${p}	$rdlo, $rdhi, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQADD16, ARM_INS_UQADD16: uqadd16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQADD8, ARM_INS_UQADD8: uqadd8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQASX, ARM_INS_UQASX: uqasx${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQSAX, ARM_INS_UQSAX: uqsax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQSUB16, ARM_INS_UQSUB16: uqsub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UQSUB8, ARM_INS_UQSUB8: uqsub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USAD8, ARM_INS_USAD8: usad8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USADA8, ARM_INS_USADA8: usada8${p}	$rd, $rn, $rm, $ra */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USAT, ARM_INS_USAT: usat${p}	$rd, $sat_imm, $rn$sh */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2USAT16, ARM_INS_USAT16: usat16${p}	$rd, $sat_imm, $rn */
+	{ CS_AC_WRITE, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USAX, ARM_INS_USAX: usax${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USUB16, ARM_INS_USUB16: usub16${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2USUB8, ARM_INS_USUB8: usub8${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UXTAB, ARM_INS_UXTAB: uxtab${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UXTAB16, ARM_INS_UXTAB16: uxtab16${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UXTAH, ARM_INS_UXTAH: uxtah${p}	$rd, $rn, $rm$rot */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_t2UXTB, ARM_INS_UXTB: uxtb${p}.w	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2UXTB16, ARM_INS_UXTB16: uxtb16${p}	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_t2UXTH, ARM_INS_UXTH: uxth${p}.w	$rd, $rm$rot */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tADC, ARM_INS_ADC: adc${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDhirr, ARM_INS_ADD: add${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDi3, ARM_INS_ADD: add${s}${p}	$rd, $rm, $imm3 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDi8, ARM_INS_ADD: add${s}${p}	$rdn, $imm8 */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_tADDrSP, ARM_INS_ADD: add${p}	$rdn, $sp, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDrSPi, ARM_INS_ADD: add${p}	$dst, $sp, $imm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDrr, ARM_INS_ADD: add${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tADDspi, ARM_INS_ADD: add${p}	$rdn, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_tADDspr, ARM_INS_ADD: add${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tADR, ARM_INS_ADR: adr{$p}	$rd, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tAND, ARM_INS_AND: and${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tASRri, ARM_INS_ASR: asr${s}${p}	$rd, $rm, $imm5 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tASRrr, ARM_INS_ASR: asr${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tB, ARM_INS_B: b${p}	$target */
+	{ 0 }
+},
+{	/* ARM_tBIC, ARM_INS_BIC: bic${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tBKPT, ARM_INS_BKPT: bkpt	$val */
+	{ 0 }
+},
+{	/* ARM_tBL, ARM_INS_BL: bl${p}	$func */
+	{ 0 }
+},
+{	/* ARM_tBLXi, ARM_INS_BLX: blx${p}	$func */
+	{ 0 }
+},
+{	/* ARM_tBLXr, ARM_INS_BLX: blx${p}	$func */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tBX, ARM_INS_BX: bx${p}	$rm */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tBcc, ARM_INS_B: b${p}	$target */
+	{ 0 }
+},
+{	/* ARM_tCBNZ, ARM_INS_CBNZ: cbnz	$rn, $target */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tCBZ, ARM_INS_CBZ: cbz	$rn, $target */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tCMNz, ARM_INS_CMN: cmn${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tCMPhir, ARM_INS_CMP: cmp${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tCMPi8, ARM_INS_CMP: cmp${p}	$rn, $imm8 */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tCMPr, ARM_INS_CMP: cmp${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tCPS, ARM_INS_CPS: cps$imod $iflags */
+	{ 0 }
+},
+{	/* ARM_tEOR, ARM_INS_EOR: eor${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tHINT, ARM_INS_HINT: hint${p}	$imm */
+	{ 0 }
+},
+{	/* ARM_tHLT, ARM_INS_HLT: hlt	$val */
+	{ 0 }
+},
+{	/* ARM_tLDMIA, ARM_INS_LDM: ldm${p}	$rn, $regs */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRBi, ARM_INS_LDRB: ldrb${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRBr, ARM_INS_LDRB: ldrb${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRHi, ARM_INS_LDRH: ldrh${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRHr, ARM_INS_LDRH: ldrh${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRSB, ARM_INS_LDRSB: ldrsb${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRSH, ARM_INS_LDRSH: ldrsh${p}	$rt, $addr */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tLDRi, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLDRpci, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLDRr, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLDRspi, ARM_INS_LDR: ldr${p}	$rt, $addr */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLSLri, ARM_INS_LSL: lsl${s}${p}	$rd, $rm, $imm5 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLSLrr, ARM_INS_LSL: lsl${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLSRri, ARM_INS_LSR: lsr${s}${p}	$rd, $rm, $imm5 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tLSRrr, ARM_INS_LSR: lsr${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tMOVSr, ARM_INS_MOV: movs	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tMOVi8, ARM_INS_MOV: mov${s}${p}	$rd, $imm8 */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tMOVr, ARM_INS_MOV: mov${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tMUL, ARM_INS_MUL: mul${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_tMVN, ARM_INS_MVN: mvn${s}${p}	$rd, $rn */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tORR, ARM_INS_ORR: orr${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tPOP, ARM_INS_POP: pop${p}	$regs */
+	{ CS_AC_WRITE, 0 }
+},
+{	/* ARM_tPUSH, ARM_INS_PUSH: push${p}	$regs */
+	{ CS_AC_READ, 0 }
+},
+{	/* ARM_tREV, ARM_INS_REV: rev${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tREV16, ARM_INS_REV16: rev16${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tREVSH, ARM_INS_REVSH: revsh${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tROR, ARM_INS_ROR: ror${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tRSB, ARM_INS_RSB: rsb${s}${p}	$rd, $rn, #0 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tSBC, ARM_INS_SBC: sbc${s}${p}	$rdn, $rm */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tSETEND, ARM_INS_SETEND: setend	$end */
+	{ 0 }
+},
+{	/* ARM_tSTMIA_UPD, ARM_INS_STM: stm${p}	$rn!, $regs */
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tSTRBi, ARM_INS_STRB: strb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRBr, ARM_INS_STRB: strb${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRHi, ARM_INS_STRH: strh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRHr, ARM_INS_STRH: strh${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRi, ARM_INS_STR: str${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRr, ARM_INS_STR: str${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSTRspi, ARM_INS_STR: str${p}	$rt, $addr */
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSUBi3, ARM_INS_SUB: sub${s}${p}	$rd, $rm, $imm3 */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tSUBi8, ARM_INS_SUB: sub${s}${p}	$rdn, $imm8 */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSUBrr, ARM_INS_SUB: sub${s}${p}	$rd, $rn, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tSUBspi, ARM_INS_SUB: sub${p}	$rdn, $imm */
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* ARM_tSVC, ARM_INS_SVC: svc${p}	$imm */
+	{ 0 }
+},
+{	/* ARM_tSXTB, ARM_INS_SXTB: sxtb${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tSXTH, ARM_INS_SXTH: sxth${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tTRAP, ARM_INS_TRAP: trap */
+	{ 0 }
+},
+{	/* ARM_tTST, ARM_INS_TST: tst${p}	$rn, $rm */
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* ARM_tUDF, ARM_INS_UDF: udf	$imm8 */
+	{ 0 }
+},
+{	/* ARM_tUXTB, ARM_INS_UXTB: uxtb${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* ARM_tUXTH, ARM_INS_UXTH: uxth${p}	$rd, $rm */
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/ARM/ARMModule.c 4.0.2-3/arch/ARM/ARMModule.c
--- 4.0.1+really+3.0.5-2/arch/ARM/ARMModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/ARM/ARMModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -25,6 +25,9 @@ cs_err ARM_global_init(cs_struct *ud)
 	ud->insn_name = ARM_insn_name;
 	ud->group_name = ARM_group_name;
 	ud->post_printer = ARM_post_printer;
+#ifndef CAPSTONE_DIET
+	ud->reg_access = ARM_reg_access;
+#endif
 
 	if (ud->mode & CS_MODE_THUMB)
 		ud->disasm = Thumb_getInstruction;
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMDisassembler.c 4.0.2-3/arch/EVM/EVMDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMDisassembler.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,379 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#include <string.h>
+#include <stddef.h> // offsetof macro
+                    // alternatively #include "../../utils.h" like everyone else
+
+#include "EVMDisassembler.h"
+#include "EVMMapping.h"
+
+static short opcodes[256] = {
+	EVM_INS_STOP,
+	EVM_INS_ADD,
+	EVM_INS_MUL,
+	EVM_INS_SUB,
+	EVM_INS_DIV,
+	EVM_INS_SDIV,
+	EVM_INS_MOD,
+	EVM_INS_SMOD,
+	EVM_INS_ADDMOD,
+	EVM_INS_MULMOD,
+	EVM_INS_EXP,
+	EVM_INS_SIGNEXTEND,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_LT,
+	EVM_INS_GT,
+	EVM_INS_SLT,
+	EVM_INS_SGT,
+	EVM_INS_EQ,
+	EVM_INS_ISZERO,
+	EVM_INS_AND,
+	EVM_INS_OR,
+	EVM_INS_XOR,
+	EVM_INS_NOT,
+	EVM_INS_BYTE,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_SHA3,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_ADDRESS,
+	EVM_INS_BALANCE,
+	EVM_INS_ORIGIN,
+	EVM_INS_CALLER,
+	EVM_INS_CALLVALUE,
+	EVM_INS_CALLDATALOAD,
+	EVM_INS_CALLDATASIZE,
+	EVM_INS_CALLDATACOPY,
+	EVM_INS_CODESIZE,
+	EVM_INS_CODECOPY,
+	EVM_INS_GASPRICE,
+	EVM_INS_EXTCODESIZE,
+	EVM_INS_EXTCODECOPY,
+	EVM_INS_RETURNDATASIZE,
+	EVM_INS_RETURNDATACOPY,
+	-1,
+	EVM_INS_BLOCKHASH,
+	EVM_INS_COINBASE,
+	EVM_INS_TIMESTAMP,
+	EVM_INS_NUMBER,
+	EVM_INS_DIFFICULTY,
+	EVM_INS_GASLIMIT,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_POP,
+	EVM_INS_MLOAD,
+	EVM_INS_MSTORE,
+	EVM_INS_MSTORE8,
+	EVM_INS_SLOAD,
+	EVM_INS_SSTORE,
+	EVM_INS_JUMP,
+	EVM_INS_JUMPI,
+	EVM_INS_PC,
+	EVM_INS_MSIZE,
+	EVM_INS_GAS,
+	EVM_INS_JUMPDEST,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_PUSH1,
+	EVM_INS_PUSH2,
+	EVM_INS_PUSH3,
+	EVM_INS_PUSH4,
+	EVM_INS_PUSH5,
+	EVM_INS_PUSH6,
+	EVM_INS_PUSH7,
+	EVM_INS_PUSH8,
+	EVM_INS_PUSH9,
+	EVM_INS_PUSH10,
+	EVM_INS_PUSH11,
+	EVM_INS_PUSH12,
+	EVM_INS_PUSH13,
+	EVM_INS_PUSH14,
+	EVM_INS_PUSH15,
+	EVM_INS_PUSH16,
+	EVM_INS_PUSH17,
+	EVM_INS_PUSH18,
+	EVM_INS_PUSH19,
+	EVM_INS_PUSH20,
+	EVM_INS_PUSH21,
+	EVM_INS_PUSH22,
+	EVM_INS_PUSH23,
+	EVM_INS_PUSH24,
+	EVM_INS_PUSH25,
+	EVM_INS_PUSH26,
+	EVM_INS_PUSH27,
+	EVM_INS_PUSH28,
+	EVM_INS_PUSH29,
+	EVM_INS_PUSH30,
+	EVM_INS_PUSH31,
+	EVM_INS_PUSH32,
+	EVM_INS_DUP1,
+	EVM_INS_DUP2,
+	EVM_INS_DUP3,
+	EVM_INS_DUP4,
+	EVM_INS_DUP5,
+	EVM_INS_DUP6,
+	EVM_INS_DUP7,
+	EVM_INS_DUP8,
+	EVM_INS_DUP9,
+	EVM_INS_DUP10,
+	EVM_INS_DUP11,
+	EVM_INS_DUP12,
+	EVM_INS_DUP13,
+	EVM_INS_DUP14,
+	EVM_INS_DUP15,
+	EVM_INS_DUP16,
+	EVM_INS_SWAP1,
+	EVM_INS_SWAP2,
+	EVM_INS_SWAP3,
+	EVM_INS_SWAP4,
+	EVM_INS_SWAP5,
+	EVM_INS_SWAP6,
+	EVM_INS_SWAP7,
+	EVM_INS_SWAP8,
+	EVM_INS_SWAP9,
+	EVM_INS_SWAP10,
+	EVM_INS_SWAP11,
+	EVM_INS_SWAP12,
+	EVM_INS_SWAP13,
+	EVM_INS_SWAP14,
+	EVM_INS_SWAP15,
+	EVM_INS_SWAP16,
+	EVM_INS_LOG0,
+	EVM_INS_LOG1,
+	EVM_INS_LOG2,
+	EVM_INS_LOG3,
+	EVM_INS_LOG4,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_CREATE,
+	EVM_INS_CALL,
+	EVM_INS_CALLCODE,
+	EVM_INS_RETURN,
+	EVM_INS_DELEGATECALL,
+	EVM_INS_CALLBLACKBOX,
+	-1,
+	-1,
+	-1,
+	-1,
+	EVM_INS_STATICCALL,
+	-1,
+	-1,
+	EVM_INS_REVERT,
+	-1,
+	EVM_INS_SUICIDE,
+};
+
+bool EVM_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+	MCInst *MI, uint16_t *size, uint64_t address, void *inst_info)
+{
+	unsigned char opcode;
+
+	if (code_len == 0)
+		return false;
+
+	opcode = code[0];
+	if (opcodes[opcode] == -1) {
+		// invalid opcode
+		return false;
+	}
+
+	// valid opcode
+	MI->address = address;
+	MI->OpcodePub = MI->Opcode = opcode;
+
+	if (opcode >= EVM_INS_PUSH1 && opcode <= EVM_INS_PUSH32) {
+		unsigned char len = (opcode - EVM_INS_PUSH1 + 1);
+		if (code_len < 1 + len) {
+			// not enough data
+			return false;
+		}
+
+		*size = 1 + len;
+		memcpy(MI->evm_data, code + 1, len);
+	} else
+		*size = 1;
+
+	if (MI->flat_insn->detail) {
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, evm)+sizeof(cs_evm));
+		EVM_get_insn_id((cs_struct *)ud, MI->flat_insn, opcode);
+
+		if (MI->flat_insn->detail->evm.pop) {
+			MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_STACK_READ;
+			MI->flat_insn->detail->groups_count++;
+		}
+
+		if (MI->flat_insn->detail->evm.push) {
+			MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_STACK_WRITE;
+			MI->flat_insn->detail->groups_count++;
+		}
+
+		// setup groups
+		switch(opcode) {
+			default:
+				break;
+			case EVM_INS_ADD:
+			case EVM_INS_MUL:
+			case EVM_INS_SUB:
+			case EVM_INS_DIV:
+			case EVM_INS_SDIV:
+			case EVM_INS_MOD:
+			case EVM_INS_SMOD:
+			case EVM_INS_ADDMOD:
+			case EVM_INS_MULMOD:
+			case EVM_INS_EXP:
+			case EVM_INS_SIGNEXTEND:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_MATH;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_MSTORE:
+			case EVM_INS_MSTORE8:
+			case EVM_INS_CALLDATACOPY:
+			case EVM_INS_CODECOPY:
+			case EVM_INS_EXTCODECOPY:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_MEM_WRITE;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_MLOAD:
+			case EVM_INS_CREATE:
+			case EVM_INS_CALL:
+			case EVM_INS_CALLCODE:
+			case EVM_INS_RETURN:
+			case EVM_INS_DELEGATECALL:
+			case EVM_INS_REVERT:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_MEM_READ;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_SSTORE:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_STORE_WRITE;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_SLOAD:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_STORE_READ;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_JUMP:
+			case EVM_INS_JUMPI:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_JUMP;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+			case EVM_INS_STOP:
+			case EVM_INS_SUICIDE:
+				MI->flat_insn->detail->groups[MI->flat_insn->detail->groups_count] = EVM_GRP_HALT;
+				MI->flat_insn->detail->groups_count++;
+				break;
+
+		}
+	}
+
+	return true;
+}
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMDisassembler.h 4.0.2-3/arch/EVM/EVMDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMDisassembler.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#ifndef CS_EVMDISASSEMBLER_H
+#define CS_EVMDISASSEMBLER_H
+
+#include "../../MCInst.h"
+
+bool EVM_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+		MCInst *instr, uint16_t *size, uint64_t address, void *info);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMInstPrinter.c 4.0.2-3/arch/EVM/EVMInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMInstPrinter.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,20 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#include "EVMInstPrinter.h"
+#include "EVMMapping.h"
+
+
+void EVM_printInst(MCInst *MI, struct SStream *O, void *PrinterInfo)
+{
+	SStream_concat(O, EVM_insn_name((csh)MI->csh, MI->Opcode));
+
+	if (MI->Opcode >= EVM_INS_PUSH1 && MI->Opcode <= EVM_INS_PUSH32) {
+		unsigned int i;
+
+		SStream_concat0(O, "\t");
+		for (i = 0; i < MI->Opcode - EVM_INS_PUSH1 + 1; i++) {
+			SStream_concat(O, "%02x", MI->evm_data[i]);
+		}
+	}
+}
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMInstPrinter.h 4.0.2-3/arch/EVM/EVMInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMInstPrinter.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,17 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#ifndef CS_EVMINSTPRINTER_H
+#define CS_EVMINSTPRINTER_H
+
+
+#include "capstone/capstone.h"
+#include "../../MCInst.h"
+#include "../../SStream.h"
+#include "../../cs_priv.h"
+
+struct SStream;
+
+void EVM_printInst(MCInst *MI, struct SStream *O, void *Info);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMMapping.c 4.0.2-3/arch/EVM/EVMMapping.c
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMMapping.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,344 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#ifdef CAPSTONE_HAS_EVM
+
+#include <string.h>
+
+#include "../../cs_priv.h"
+#include "../../utils.h"
+
+#include "EVMMapping.h"
+
+#ifndef CAPSTONE_DIET
+static cs_evm insns[256] = {
+#include "EVMMappingInsn.inc"
+};
+#endif
+
+// look for @id in @insns, given its size in @max.
+// return -1 if not found
+static int evm_insn_find(cs_evm *insns, unsigned int max, unsigned int id)
+{
+	if (id >= max)
+		return -1;
+
+	if (insns[id].fee == 0xffffffff)
+		// unused opcode
+		return -1;
+
+	return (int)id;
+}
+
+// fill in details
+void EVM_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
+{
+	insn->id = id;
+#ifndef CAPSTONE_DIET
+	if (evm_insn_find(insns, ARR_SIZE(insns), id) > 0) {
+		if (h->detail) {
+			memcpy(&insn->detail->evm, &insns[id], sizeof(insns[id]));
+		}
+	}
+#endif
+}
+
+#ifndef CAPSTONE_DIET
+static name_map insn_name_maps[256] = {
+	{ EVM_INS_STOP, "stop" },
+	{ EVM_INS_ADD, "add" },
+	{ EVM_INS_MUL, "mul" },
+	{ EVM_INS_SUB, "sub" },
+	{ EVM_INS_DIV, "div" },
+	{ EVM_INS_SDIV, "sdiv" },
+	{ EVM_INS_MOD, "mod" },
+	{ EVM_INS_SMOD, "smod" },
+	{ EVM_INS_ADDMOD, "addmod" },
+	{ EVM_INS_MULMOD, "mulmod" },
+	{ EVM_INS_EXP, "exp" },
+	{ EVM_INS_SIGNEXTEND, "signextend" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_LT, "lt" },
+	{ EVM_INS_GT, "gt" },
+	{ EVM_INS_SLT, "slt" },
+	{ EVM_INS_SGT, "sgt" },
+	{ EVM_INS_EQ, "eq" },
+	{ EVM_INS_ISZERO, "iszero" },
+	{ EVM_INS_AND, "and" },
+	{ EVM_INS_OR, "or" },
+	{ EVM_INS_XOR, "xor" },
+	{ EVM_INS_NOT, "not" },
+	{ EVM_INS_BYTE, "byte" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_SHA3, "sha3" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_ADDRESS, "address" },
+	{ EVM_INS_BALANCE, "balance" },
+	{ EVM_INS_ORIGIN, "origin" },
+	{ EVM_INS_CALLER, "caller" },
+	{ EVM_INS_CALLVALUE, "callvalue" },
+	{ EVM_INS_CALLDATALOAD, "calldataload" },
+	{ EVM_INS_CALLDATASIZE, "calldatasize" },
+	{ EVM_INS_CALLDATACOPY, "calldatacopy" },
+	{ EVM_INS_CODESIZE, "codesize" },
+	{ EVM_INS_CODECOPY, "codecopy" },
+	{ EVM_INS_GASPRICE, "gasprice" },
+	{ EVM_INS_EXTCODESIZE, "extcodesize" },
+	{ EVM_INS_EXTCODECOPY, "extcodecopy" },
+	{ EVM_INS_RETURNDATASIZE, "returndatasize" },
+	{ EVM_INS_RETURNDATACOPY, "returndatacopy" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_BLOCKHASH, "blockhash" },
+	{ EVM_INS_COINBASE, "coinbase" },
+	{ EVM_INS_TIMESTAMP, "timestamp" },
+	{ EVM_INS_NUMBER, "number" },
+	{ EVM_INS_DIFFICULTY, "difficulty" },
+	{ EVM_INS_GASLIMIT, "gaslimit" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_POP, "pop" },
+	{ EVM_INS_MLOAD, "mload" },
+	{ EVM_INS_MSTORE, "mstore" },
+	{ EVM_INS_MSTORE8, "mstore8" },
+	{ EVM_INS_SLOAD, "sload" },
+	{ EVM_INS_SSTORE, "sstore" },
+	{ EVM_INS_JUMP, "jump" },
+	{ EVM_INS_JUMPI, "jumpi" },
+	{ EVM_INS_PC, "pc" },
+	{ EVM_INS_MSIZE, "msize" },
+	{ EVM_INS_GAS, "gas" },
+	{ EVM_INS_JUMPDEST, "jumpdest" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_PUSH1, "push1" },
+	{ EVM_INS_PUSH2, "push2" },
+	{ EVM_INS_PUSH3, "push3" },
+	{ EVM_INS_PUSH4, "push4" },
+	{ EVM_INS_PUSH5, "push5" },
+	{ EVM_INS_PUSH6, "push6" },
+	{ EVM_INS_PUSH7, "push7" },
+	{ EVM_INS_PUSH8, "push8" },
+	{ EVM_INS_PUSH9, "push9" },
+	{ EVM_INS_PUSH10, "push10" },
+	{ EVM_INS_PUSH11, "push11" },
+	{ EVM_INS_PUSH12, "push12" },
+	{ EVM_INS_PUSH13, "push13" },
+	{ EVM_INS_PUSH14, "push14" },
+	{ EVM_INS_PUSH15, "push15" },
+	{ EVM_INS_PUSH16, "push16" },
+	{ EVM_INS_PUSH17, "push17" },
+	{ EVM_INS_PUSH18, "push18" },
+	{ EVM_INS_PUSH19, "push19" },
+	{ EVM_INS_PUSH20, "push20" },
+	{ EVM_INS_PUSH21, "push21" },
+	{ EVM_INS_PUSH22, "push22" },
+	{ EVM_INS_PUSH23, "push23" },
+	{ EVM_INS_PUSH24, "push24" },
+	{ EVM_INS_PUSH25, "push25" },
+	{ EVM_INS_PUSH26, "push26" },
+	{ EVM_INS_PUSH27, "push27" },
+	{ EVM_INS_PUSH28, "push28" },
+	{ EVM_INS_PUSH29, "push29" },
+	{ EVM_INS_PUSH30, "push30" },
+	{ EVM_INS_PUSH31, "push31" },
+	{ EVM_INS_PUSH32, "push32" },
+	{ EVM_INS_DUP1, "dup1" },
+	{ EVM_INS_DUP2, "dup2" },
+	{ EVM_INS_DUP3, "dup3" },
+	{ EVM_INS_DUP4, "dup4" },
+	{ EVM_INS_DUP5, "dup5" },
+	{ EVM_INS_DUP6, "dup6" },
+	{ EVM_INS_DUP7, "dup7" },
+	{ EVM_INS_DUP8, "dup8" },
+	{ EVM_INS_DUP9, "dup9" },
+	{ EVM_INS_DUP10, "dup10" },
+	{ EVM_INS_DUP11, "dup11" },
+	{ EVM_INS_DUP12, "dup12" },
+	{ EVM_INS_DUP13, "dup13" },
+	{ EVM_INS_DUP14, "dup14" },
+	{ EVM_INS_DUP15, "dup15" },
+	{ EVM_INS_DUP16, "dup16" },
+	{ EVM_INS_SWAP1, "swap1" },
+	{ EVM_INS_SWAP2, "swap2" },
+	{ EVM_INS_SWAP3, "swap3" },
+	{ EVM_INS_SWAP4, "swap4" },
+	{ EVM_INS_SWAP5, "swap5" },
+	{ EVM_INS_SWAP6, "swap6" },
+	{ EVM_INS_SWAP7, "swap7" },
+	{ EVM_INS_SWAP8, "swap8" },
+	{ EVM_INS_SWAP9, "swap9" },
+	{ EVM_INS_SWAP10, "swap10" },
+	{ EVM_INS_SWAP11, "swap11" },
+	{ EVM_INS_SWAP12, "swap12" },
+	{ EVM_INS_SWAP13, "swap13" },
+	{ EVM_INS_SWAP14, "swap14" },
+	{ EVM_INS_SWAP15, "swap15" },
+	{ EVM_INS_SWAP16, "swap16" },
+	{ EVM_INS_LOG0, "log0" },
+	{ EVM_INS_LOG1, "log1" },
+	{ EVM_INS_LOG2, "log2" },
+	{ EVM_INS_LOG3, "log3" },
+	{ EVM_INS_LOG4, "log4" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_CREATE, "create" },
+	{ EVM_INS_CALL, "call" },
+	{ EVM_INS_CALLCODE, "callcode" },
+	{ EVM_INS_RETURN, "return" },
+	{ EVM_INS_DELEGATECALL, "delegatecall" },
+	{ EVM_INS_CALLBLACKBOX, "callblackbox" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_STATICCALL, "staticcall" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_REVERT, "revert" },
+	{ EVM_INS_INVALID, NULL },
+	{ EVM_INS_SUICIDE, "suicide" },
+};
+#endif
+
+const char *EVM_insn_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	if (id >= ARR_SIZE(insn_name_maps))
+		return NULL;
+	else
+		return insn_name_maps[id].name;
+#else
+	return NULL;
+#endif
+}
+
+#ifndef CAPSTONE_DIET
+static name_map group_name_maps[] = {
+	// generic groups
+	{ EVM_GRP_INVALID, NULL },
+	{ EVM_GRP_JUMP,	"jump" },
+	// special groups
+	{ EVM_GRP_MATH,	"math" },
+	{ EVM_GRP_STACK_WRITE, "stack_write" },
+	{ EVM_GRP_STACK_READ, "stack_read" },
+	{ EVM_GRP_MEM_WRITE, "mem_write" },
+	{ EVM_GRP_MEM_READ, "mem_read" },
+	{ EVM_GRP_STORE_WRITE, "store_write" },
+	{ EVM_GRP_STORE_READ, "store_read" },
+	{ EVM_GRP_HALT, "halt" },
+};
+#endif
+
+const char *EVM_group_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
+#else
+	return NULL;
+#endif
+}
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMMapping.h 4.0.2-3/arch/EVM/EVMMapping.h
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMMapping.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,8 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#include <capstone/capstone.h>
+
+void EVM_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id);
+const char *EVM_insn_name(csh handle, unsigned int id);
+const char *EVM_group_name(csh handle, unsigned int id);
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMMappingInsn.inc 4.0.2-3/arch/EVM/EVMMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,259 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+{ 0, 0, 0 }, // STOP
+{ 2, 1, 3 }, // ADD
+{ 2, 1, 5 }, // MUL
+{ 2, 1, 3 }, // SUB
+{ 2, 1, 5 }, // DIV
+{ 2, 1, 5 }, // SDIV
+{ 2, 1, 5 }, // MOD
+{ 2, 1, 5 }, // SMOD
+{ 3, 1, 8 }, // ADDMOD
+{ 3, 1, 8 }, // MULMOD
+{ 2, 1, 10 }, // EXP
+{ 2, 1, 5 }, // SIGNEXTEND
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 2, 1, 3 }, // LT
+{ 2, 1, 3 }, // GT
+{ 2, 1, 3 }, // SLT
+{ 2, 1, 3 }, // SGT
+{ 2, 1, 3 }, // EQ
+{ 1, 1, 3 }, // ISZERO
+{ 2, 1, 3 }, // AND
+{ 2, 1, 3 }, // OR
+{ 2, 1, 3 }, // XOR
+{ 1, 1, 3 }, // NOT
+{ 2, 1, 3 }, // BYTE
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 2, 1, 30 }, // SHA3
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 1, 2 }, // ADDRESS
+{ 1, 1, 20 }, // BALANCE
+{ 0, 1, 2 }, // ORIGIN
+{ 0, 1, 2 }, // CALLER
+{ 0, 1, 2 }, // CALLVALUE
+{ 1, 1, 3 }, // CALLDATALOAD
+{ 0, 1, 2 }, // CALLDATASIZE
+{ 3, 0, 3 }, // CALLDATACOPY
+{ 0, 1, 2 }, // CODESIZE
+{ 3, 0, 3 }, // CODECOPY
+{ 0, 1, 2 }, // GASPRICE
+{ 1, 1, 20 }, // EXTCODESIZE
+{ 4, 0, 20 }, // EXTCODECOPY
+{ 0, 1, 2 }, // RETURNDATASIZE
+{ 3, 0, 3 }, // RETURNDATACOPY
+{ 0, 0, 0xffffffff }, // unused
+{ 1, 1, 20 }, // BLOCKHASH
+{ 0, 1, 2 }, // COINBASE
+{ 0, 1, 2 }, // TIMESTAMP
+{ 0, 1, 2 }, // NUMBER
+{ 0, 1, 2 }, // DIFFICULTY
+{ 0, 1, 2 }, // GASLIMIT
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 1, 0, 2 }, // POP
+{ 1, 1, 3 }, // MLOAD
+{ 2, 0, 3 }, // MSTORE
+{ 2, 0, 3 }, // MSTORE8
+{ 1, 1, 50 }, // SLOAD
+{ 2, 0, 0 }, // SSTORE
+{ 1, 0, 8 }, // JUMP
+{ 2, 0, 10 }, // JUMPI
+{ 0, 1, 2 }, // GETPC
+{ 0, 1, 2 }, // MSIZE
+{ 0, 1, 2 }, // GAS
+{ 0, 0, 1 }, // JUMPDEST
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 1, 3 }, // PUSH1
+{ 0, 1, 3 }, // PUSH2
+{ 0, 1, 3 }, // PUSH3
+{ 0, 1, 3 }, // PUSH4
+{ 0, 1, 3 }, // PUSH5
+{ 0, 1, 3 }, // PUSH6
+{ 0, 1, 3 }, // PUSH7
+{ 0, 1, 3 }, // PUSH8
+{ 0, 1, 3 }, // PUSH9
+{ 0, 1, 3 }, // PUSH10
+{ 0, 1, 3 }, // PUSH11
+{ 0, 1, 3 }, // PUSH12
+{ 0, 1, 3 }, // PUSH13
+{ 0, 1, 3 }, // PUSH14
+{ 0, 1, 3 }, // PUSH15
+{ 0, 1, 3 }, // PUSH16
+{ 0, 1, 3 }, // PUSH17
+{ 0, 1, 3 }, // PUSH18
+{ 0, 1, 3 }, // PUSH19
+{ 0, 1, 3 }, // PUSH20
+{ 0, 1, 3 }, // PUSH21
+{ 0, 1, 3 }, // PUSH22
+{ 0, 1, 3 }, // PUSH23
+{ 0, 1, 3 }, // PUSH24
+{ 0, 1, 3 }, // PUSH25
+{ 0, 1, 3 }, // PUSH26
+{ 0, 1, 3 }, // PUSH27
+{ 0, 1, 3 }, // PUSH28
+{ 0, 1, 3 }, // PUSH29
+{ 0, 1, 3 }, // PUSH30
+{ 0, 1, 3 }, // PUSH31
+{ 0, 1, 3 }, // PUSH32
+{ 1, 2, 3 }, // DUP1
+{ 2, 3, 3 }, // DUP2
+{ 3, 4, 3 }, // DUP3
+{ 4, 5, 3 }, // DUP4
+{ 5, 6, 3 }, // DUP5
+{ 6, 7, 3 }, // DUP6
+{ 7, 8, 3 }, // DUP7
+{ 8, 9, 3 }, // DUP8
+{ 9, 10, 3 }, // DUP9
+{ 10, 11, 3 }, // DUP10
+{ 11, 12, 3 }, // DUP11
+{ 12, 13, 3 }, // DUP12
+{ 13, 14, 3 }, // DUP13
+{ 14, 15, 3 }, // DUP14
+{ 15, 16, 3 }, // DUP15
+{ 16, 17, 3 }, // DUP16
+{ 2, 2, 3 }, // SWAP1
+{ 3, 3, 3 }, // SWAP2
+{ 4, 4, 3 }, // SWAP3
+{ 5, 5, 3 }, // SWAP4
+{ 6, 6, 3 }, // SWAP5
+{ 7, 7, 3 }, // SWAP6
+{ 8, 8, 3 }, // SWAP7
+{ 9, 9, 3 }, // SWAP8
+{ 10, 10, 3 }, // SWAP9
+{ 11, 11, 3 }, // SWAP10
+{ 12, 12, 3 }, // SWAP11
+{ 13, 13, 3 }, // SWAP12
+{ 14, 14, 3 }, // SWAP13
+{ 15, 15, 3 }, // SWAP14
+{ 16, 16, 3 }, // SWAP15
+{ 17, 17, 3 }, // SWAP16
+{ 2, 0, 375 }, // LOG0
+{ 3, 0, 750 }, // LOG1
+{ 4, 0, 1125 }, // LOG2
+{ 5, 0, 1500 }, // LOG3
+{ 6, 0, 1875 }, // LOG4
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 3, 1, 32000 }, // CREATE
+{ 7, 1, 40 }, // CALL
+{ 7, 1, 40 }, // CALLCODE
+{ 2, 0, 0 }, // RETURN
+{ 6, 1, 40 }, // DELEGATECALL
+{ 7, 1, 40 }, // CALLBLACKBOX
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 6, 1, 40 }, // STATICCALL
+{ 0, 0, 0xffffffff }, // unused
+{ 0, 0, 0xffffffff }, // unused
+{ 2, 0, 0 }, // REVERT
+{ 0, 0, 0xffffffff }, // unused
+{ 1, 0, 0 }, // SUICIDE
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMModule.c 4.0.2-3/arch/EVM/EVMModule.c
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMModule.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,33 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh, 2018 */
+
+#ifdef CAPSTONE_HAS_EVM
+
+#include "../../cs_priv.h"
+#include "EVMDisassembler.h"
+#include "EVMInstPrinter.h"
+#include "EVMMapping.h"
+#include "EVMModule.h"
+
+cs_err EVM_global_init(cs_struct *ud)
+{
+	// verify if requested mode is valid
+	if (ud->mode)
+		return CS_ERR_MODE;
+
+	ud->printer = EVM_printInst;
+	ud->printer_info = NULL;
+	ud->insn_id = EVM_get_insn_id;
+	ud->insn_name = EVM_insn_name;
+	ud->group_name = EVM_group_name;
+	ud->disasm = EVM_getInstruction;
+
+	return CS_ERR_OK;
+}
+
+cs_err EVM_option(cs_struct *handle, cs_opt_type type, size_t value)
+{
+	return CS_ERR_OK;
+}
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/EVM/EVMModule.h 4.0.2-3/arch/EVM/EVMModule.h
--- 4.0.1+really+3.0.5-2/arch/EVM/EVMModule.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/EVM/EVMModule.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+/* Capstone Disassembly Engine */
+/* By Travis Finkenauer <tmfinken@gmail.com>, 2018 */
+
+#ifndef CS_EVM_MODULE_H
+#define CS_EVM_MODULE_H
+
+#include "../../utils.h"
+
+cs_err EVM_global_init(cs_struct *ud);
+cs_err EVM_option(cs_struct *handle, cs_opt_type type, size_t value);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/cpu12.inc 4.0.2-3/arch/M680X/cpu12.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/cpu12.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/cpu12.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,335 @@
+
+// CPU12 instructions on PAGE1
+static const inst_page1 g_cpu12_inst_page1_table[256] = {
+	// 0x0x
+	{ M680X_INS_BGND, inh_hid, inh_hid },
+	{ M680X_INS_MEM, inh_hid, inh_hid },
+	{ M680X_INS_INY, inh_hid, inh_hid },
+	{ M680X_INS_DEY, inh_hid, inh_hid },
+	{ M680X_INS_DBEQ, loop_hid, inh_hid }, // or DBNE/IBEQ/IBNE/TBEQ/TBNE
+	{ M680X_INS_JMP, idx12_hid, inh_hid },
+	{ M680X_INS_JMP, ext_hid, inh_hid },
+	{ M680X_INS_BSR, rel8_hid, inh_hid },
+	{ M680X_INS_INX, inh_hid, inh_hid },
+	{ M680X_INS_DEX, inh_hid, inh_hid },
+	{ M680X_INS_RTC, inh_hid, inh_hid },
+	{ M680X_INS_RTI, inh_hid, inh_hid },
+	{ M680X_INS_BSET, idx12_hid, imm8_hid },
+	{ M680X_INS_BCLR, idx12_hid, imm8_hid },
+	{ M680X_INS_BRSET, idx12_hid, imm8rel_hid },
+	{ M680X_INS_BRCLR, idx12_hid, imm8rel_hid },
+	// 0x1x
+	{ M680X_INS_ANDCC, imm8_hid, inh_hid },
+	{ M680X_INS_EDIV, inh_hid, inh_hid },
+	{ M680X_INS_MUL, inh_hid, inh_hid },
+	{ M680X_INS_EMUL, inh_hid, inh_hid },
+	{ M680X_INS_ORCC, imm8_hid, inh_hid },
+	{ M680X_INS_JSR, idx12_hid, inh_hid },
+	{ M680X_INS_JSR, ext_hid, inh_hid },
+	{ M680X_INS_JSR, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LEAY, idx12_hid, inh_hid },
+	{ M680X_INS_LEAX, idx12_hid, inh_hid },
+	{ M680X_INS_LEAS, idx12_hid, inh_hid },
+	{ M680X_INS_BSET, ext_hid, imm8_hid },
+	{ M680X_INS_BCLR, ext_hid, imm8_hid },
+	{ M680X_INS_BRSET, ext_hid, imm8rel_hid },
+	{ M680X_INS_BRCLR, ext_hid, imm8rel_hid },
+	// 0x2x, relative branch instructions
+	{ M680X_INS_BRA, rel8_hid, inh_hid },
+	{ M680X_INS_BRN, rel8_hid, inh_hid },
+	{ M680X_INS_BHI, rel8_hid, inh_hid },
+	{ M680X_INS_BLS, rel8_hid, inh_hid },
+	{ M680X_INS_BCC, rel8_hid, inh_hid },
+	{ M680X_INS_BCS, rel8_hid, inh_hid },
+	{ M680X_INS_BNE, rel8_hid, inh_hid },
+	{ M680X_INS_BEQ, rel8_hid, inh_hid },
+	{ M680X_INS_BVC, rel8_hid, inh_hid },
+	{ M680X_INS_BVS, rel8_hid, inh_hid },
+	{ M680X_INS_BPL, rel8_hid, inh_hid },
+	{ M680X_INS_BMI, rel8_hid, inh_hid },
+	{ M680X_INS_BGE, rel8_hid, inh_hid },
+	{ M680X_INS_BLT, rel8_hid, inh_hid },
+	{ M680X_INS_BGT, rel8_hid, inh_hid },
+	{ M680X_INS_BLE, rel8_hid, inh_hid },
+	// 0x3x
+	{ M680X_INS_PULX, inh_hid, inh_hid },
+	{ M680X_INS_PULY, inh_hid, inh_hid },
+	{ M680X_INS_PULA, inh_hid, inh_hid },
+	{ M680X_INS_PULB, inh_hid, inh_hid },
+	{ M680X_INS_PSHX, inh_hid, inh_hid },
+	{ M680X_INS_PSHY, inh_hid, inh_hid },
+	{ M680X_INS_PSHA, inh_hid, inh_hid },
+	{ M680X_INS_PSHB, inh_hid, inh_hid },
+	{ M680X_INS_PULC, inh_hid, inh_hid },
+	{ M680X_INS_PSHC, inh_hid, inh_hid },
+	{ M680X_INS_PULD, inh_hid, inh_hid },
+	{ M680X_INS_PSHD, inh_hid, inh_hid },
+	{ M680X_INS_WAVR, inh_hid, inh_hid },
+	{ M680X_INS_RTS, inh_hid, inh_hid },
+	{ M680X_INS_WAI, inh_hid, inh_hid },
+	{ M680X_INS_SWI, inh_hid, inh_hid },
+	// 0x4x
+	{ M680X_INS_NEGA, inh_hid, inh_hid },
+	{ M680X_INS_COMA, inh_hid, inh_hid },
+	{ M680X_INS_INCA, inh_hid, inh_hid },
+	{ M680X_INS_DECA, inh_hid, inh_hid },
+	{ M680X_INS_LSRA, inh_hid, inh_hid },
+	{ M680X_INS_ROLA, inh_hid, inh_hid },
+	{ M680X_INS_RORA, inh_hid, inh_hid },
+	{ M680X_INS_ASRA, inh_hid, inh_hid },
+	{ M680X_INS_ASLA, inh_hid, inh_hid },
+	{ M680X_INS_LSRD, inh_hid, inh_hid },
+	{ M680X_INS_CALL, ext_hid, index_hid },
+	{ M680X_INS_CALL, idx12_hid, index_hid },
+	{ M680X_INS_BSET, dir_hid, imm8_hid },
+	{ M680X_INS_BCLR, dir_hid, imm8_hid },
+	{ M680X_INS_BRSET, dir_hid, imm8rel_hid },
+	{ M680X_INS_BRCLR, dir_hid, imm8rel_hid },
+	// 0x5x
+	{ M680X_INS_NEGB, inh_hid, inh_hid },
+	{ M680X_INS_COMB, inh_hid, inh_hid },
+	{ M680X_INS_INCB, inh_hid, inh_hid },
+	{ M680X_INS_DECB, inh_hid, inh_hid },
+	{ M680X_INS_LSRB, inh_hid, inh_hid },
+	{ M680X_INS_ROLB, inh_hid, inh_hid },
+	{ M680X_INS_RORB, inh_hid, inh_hid },
+	{ M680X_INS_ASRB, inh_hid, inh_hid },
+	{ M680X_INS_ASLB, inh_hid, inh_hid },
+	{ M680X_INS_ASLD, inh_hid, inh_hid },
+	{ M680X_INS_STAA, dir_hid, inh_hid },
+	{ M680X_INS_STAB, dir_hid, inh_hid },
+	{ M680X_INS_STD, dir_hid, inh_hid },
+	{ M680X_INS_STY, dir_hid, inh_hid },
+	{ M680X_INS_STX, dir_hid, inh_hid },
+	{ M680X_INS_STS, dir_hid, inh_hid },
+	// 0x6x
+	{ M680X_INS_NEG, idx12_hid, inh_hid },
+	{ M680X_INS_COM, idx12_hid, inh_hid },
+	{ M680X_INS_INC, idx12_hid, inh_hid },
+	{ M680X_INS_DEC, idx12_hid, inh_hid },
+	{ M680X_INS_LSR, idx12_hid, inh_hid },
+	{ M680X_INS_ROL, idx12_hid, inh_hid },
+	{ M680X_INS_ROR, idx12_hid, inh_hid },
+	{ M680X_INS_ASR, idx12_hid, inh_hid },
+	{ M680X_INS_ASL, idx12_hid, inh_hid },
+	{ M680X_INS_CLR, idx12_hid, inh_hid },
+	{ M680X_INS_STAA, idx12_hid, inh_hid },
+	{ M680X_INS_STAB, idx12_hid, inh_hid },
+	{ M680X_INS_STD, idx12_hid, inh_hid },
+	{ M680X_INS_STY, idx12_hid, inh_hid },
+	{ M680X_INS_STX, idx12_hid, inh_hid },
+	{ M680X_INS_STS, idx12_hid, inh_hid },
+	// 0x7x
+	{ M680X_INS_NEG, ext_hid, inh_hid },
+	{ M680X_INS_COM, ext_hid, inh_hid },
+	{ M680X_INS_INC, ext_hid, inh_hid },
+	{ M680X_INS_DEC, ext_hid, inh_hid },
+	{ M680X_INS_LSR, ext_hid, inh_hid },
+	{ M680X_INS_ROL, ext_hid, inh_hid },
+	{ M680X_INS_ROR, ext_hid, inh_hid },
+	{ M680X_INS_ASR, ext_hid, inh_hid },
+	{ M680X_INS_ASL, ext_hid, inh_hid },
+	{ M680X_INS_CLR, ext_hid, inh_hid },
+	{ M680X_INS_STAA, ext_hid, inh_hid },
+	{ M680X_INS_STAB, ext_hid, inh_hid },
+	{ M680X_INS_STD, ext_hid, inh_hid },
+	{ M680X_INS_STY, ext_hid, inh_hid },
+	{ M680X_INS_STX, ext_hid, inh_hid },
+	{ M680X_INS_STS, ext_hid, inh_hid },
+	// 0x8x
+	{ M680X_INS_SUBA, imm8_hid, inh_hid },
+	{ M680X_INS_CMPA, imm8_hid, inh_hid },
+	{ M680X_INS_SBCA, imm8_hid, inh_hid },
+	{ M680X_INS_SUBD, imm16_hid, inh_hid },
+	{ M680X_INS_ANDA, imm8_hid, inh_hid },
+	{ M680X_INS_BITA, imm8_hid, inh_hid },
+	{ M680X_INS_LDAA, imm8_hid, inh_hid },
+	{ M680X_INS_CLRA, inh_hid, inh_hid },
+	{ M680X_INS_EORA, imm8_hid, inh_hid },
+	{ M680X_INS_ADCA, imm8_hid, inh_hid },
+	{ M680X_INS_ORAA, imm8_hid, inh_hid },
+	{ M680X_INS_ADDA, imm8_hid, inh_hid },
+	{ M680X_INS_CPD, imm16_hid, inh_hid },
+	{ M680X_INS_CPY, imm16_hid, inh_hid },
+	{ M680X_INS_CPX, imm16_hid, inh_hid },
+	{ M680X_INS_CPS, imm16_hid, inh_hid },
+	// 0x9x
+	{ M680X_INS_SUBA, dir_hid, inh_hid },
+	{ M680X_INS_CMPA, dir_hid, inh_hid },
+	{ M680X_INS_SBCA, dir_hid, inh_hid },
+	{ M680X_INS_SUBD, dir_hid, inh_hid },
+	{ M680X_INS_ANDA, dir_hid, inh_hid },
+	{ M680X_INS_BITA, dir_hid, inh_hid },
+	{ M680X_INS_LDAA, dir_hid, inh_hid },
+	{ M680X_INS_TSTA, inh_hid, inh_hid },
+	{ M680X_INS_EORA, dir_hid, inh_hid },
+	{ M680X_INS_ADCA, dir_hid, inh_hid },
+	{ M680X_INS_ORAA, dir_hid, inh_hid },
+	{ M680X_INS_ADDA, dir_hid, inh_hid },
+	{ M680X_INS_CPD, dir_hid, inh_hid },
+	{ M680X_INS_CPY, dir_hid, inh_hid },
+	{ M680X_INS_CPX, dir_hid, inh_hid },
+	{ M680X_INS_CPS, dir_hid, inh_hid },
+	// 0xAx
+	{ M680X_INS_SUBA, idx12_hid, inh_hid },
+	{ M680X_INS_CMPA, idx12_hid, inh_hid },
+	{ M680X_INS_SBCA, idx12_hid, inh_hid },
+	{ M680X_INS_SUBD, idx12_hid, inh_hid },
+	{ M680X_INS_ANDA, idx12_hid, inh_hid },
+	{ M680X_INS_BITA, idx12_hid, inh_hid },
+	{ M680X_INS_LDAA, idx12_hid, inh_hid },
+	{ M680X_INS_NOP, inh_hid, inh_hid },
+	{ M680X_INS_EORA, idx12_hid, inh_hid },
+	{ M680X_INS_ADCA, idx12_hid, inh_hid },
+	{ M680X_INS_ORAA, idx12_hid, inh_hid },
+	{ M680X_INS_ADDA, idx12_hid, inh_hid },
+	{ M680X_INS_CPD, idx12_hid, inh_hid },
+	{ M680X_INS_CPY, idx12_hid, inh_hid },
+	{ M680X_INS_CPX, idx12_hid, inh_hid },
+	{ M680X_INS_CPS, idx12_hid, inh_hid },
+	// 0xBx
+	{ M680X_INS_SUBA, ext_hid, inh_hid },
+	{ M680X_INS_CMPA, ext_hid, inh_hid },
+	{ M680X_INS_SBCA, ext_hid, inh_hid },
+	{ M680X_INS_SUBD, ext_hid, inh_hid },
+	{ M680X_INS_ANDA, ext_hid, inh_hid },
+	{ M680X_INS_BITA, ext_hid, inh_hid },
+	{ M680X_INS_LDAA, ext_hid, inh_hid },
+	{ M680X_INS_TFR, rr12_hid, inh_hid }, // or EXG
+	{ M680X_INS_EORA, ext_hid, inh_hid },
+	{ M680X_INS_ADCA, ext_hid, inh_hid },
+	{ M680X_INS_ORAA, ext_hid, inh_hid },
+	{ M680X_INS_ADDA, ext_hid, inh_hid },
+	{ M680X_INS_CPD, ext_hid, inh_hid },
+	{ M680X_INS_CPY, ext_hid, inh_hid },
+	{ M680X_INS_CPX, ext_hid, inh_hid },
+	{ M680X_INS_CPS, ext_hid, inh_hid },
+	// 0xCx
+	{ M680X_INS_SUBB, imm8_hid, inh_hid },
+	{ M680X_INS_CMPB, imm8_hid, inh_hid },
+	{ M680X_INS_SBCB, imm8_hid, inh_hid },
+	{ M680X_INS_ADDD, imm16_hid, inh_hid },
+	{ M680X_INS_ANDB, imm8_hid, inh_hid },
+	{ M680X_INS_BITB, imm8_hid, inh_hid },
+	{ M680X_INS_LDAB, imm8_hid, inh_hid },
+	{ M680X_INS_CLRB, inh_hid, inh_hid },
+	{ M680X_INS_EORB, imm8_hid, inh_hid },
+	{ M680X_INS_ADCB, imm8_hid, inh_hid },
+	{ M680X_INS_ORAB, imm8_hid, inh_hid },
+	{ M680X_INS_ADDB, imm8_hid, inh_hid },
+	{ M680X_INS_LDD, imm16_hid, inh_hid },
+	{ M680X_INS_LDY, imm16_hid, inh_hid },
+	{ M680X_INS_LDX, imm16_hid, inh_hid },
+	{ M680X_INS_LDS, imm16_hid, inh_hid },
+	// 0xDx
+	{ M680X_INS_SUBB, dir_hid, inh_hid },
+	{ M680X_INS_CMPB, dir_hid, inh_hid },
+	{ M680X_INS_SBCB, dir_hid, inh_hid },
+	{ M680X_INS_ADDD, dir_hid, inh_hid },
+	{ M680X_INS_ANDB, dir_hid, inh_hid },
+	{ M680X_INS_BITB, dir_hid, inh_hid },
+	{ M680X_INS_LDAB, dir_hid, inh_hid },
+	{ M680X_INS_TSTB, inh_hid, inh_hid },
+	{ M680X_INS_EORB, dir_hid, inh_hid },
+	{ M680X_INS_ADCB, dir_hid, inh_hid },
+	{ M680X_INS_ORAB, dir_hid, inh_hid },
+	{ M680X_INS_ADDB, dir_hid, inh_hid },
+	{ M680X_INS_LDD, dir_hid, inh_hid },
+	{ M680X_INS_LDY, dir_hid, inh_hid },
+	{ M680X_INS_LDX, dir_hid, inh_hid },
+	{ M680X_INS_LDS, dir_hid, inh_hid },
+	// 0xEx
+	{ M680X_INS_SUBB, idx12_hid, inh_hid },
+	{ M680X_INS_CMPB, idx12_hid, inh_hid },
+	{ M680X_INS_SBCB, idx12_hid, inh_hid },
+	{ M680X_INS_ADDD, idx12_hid, inh_hid },
+	{ M680X_INS_ANDB, idx12_hid, inh_hid },
+	{ M680X_INS_BITB, idx12_hid, inh_hid },
+	{ M680X_INS_LDAB, idx12_hid, inh_hid },
+	{ M680X_INS_TST, idx12_hid, inh_hid },
+	{ M680X_INS_EORB, idx12_hid, inh_hid },
+	{ M680X_INS_ADCB, idx12_hid, inh_hid },
+	{ M680X_INS_ORAB, idx12_hid, inh_hid },
+	{ M680X_INS_ADDB, idx12_hid, inh_hid },
+	{ M680X_INS_LDD, idx12_hid, inh_hid },
+	{ M680X_INS_LDY, idx12_hid, inh_hid },
+	{ M680X_INS_LDX, idx12_hid, inh_hid },
+	{ M680X_INS_LDS, idx12_hid, inh_hid },
+	// 0xFx
+	{ M680X_INS_SUBA, ext_hid, inh_hid },
+	{ M680X_INS_CMPA, ext_hid, inh_hid },
+	{ M680X_INS_SBCA, ext_hid, inh_hid },
+	{ M680X_INS_ADDD, ext_hid, inh_hid },
+	{ M680X_INS_ANDA, ext_hid, inh_hid },
+	{ M680X_INS_BITA, ext_hid, inh_hid },
+	{ M680X_INS_LDAA, ext_hid, inh_hid },
+	{ M680X_INS_TST, ext_hid, inh_hid },
+	{ M680X_INS_EORA, ext_hid, inh_hid },
+	{ M680X_INS_ADCA, ext_hid, inh_hid },
+	{ M680X_INS_ORAA, ext_hid, inh_hid },
+	{ M680X_INS_ADDA, ext_hid, inh_hid },
+	{ M680X_INS_LDD, ext_hid, inh_hid },
+	{ M680X_INS_LDY, ext_hid, inh_hid },
+	{ M680X_INS_LDX, ext_hid, inh_hid },
+	{ M680X_INS_LDS, ext_hid, inh_hid },
+};
+
+// CPU12 instructions on PAGE2
+static const inst_pageX g_cpu12_inst_page2_table[] = {
+	{ 0x00, M680X_INS_MOVW, imm16i12x_hid, inh_hid },
+	{ 0x01, M680X_INS_MOVW, exti12x_hid, inh_hid },
+	{ 0x02, M680X_INS_MOVW, idx12_hid, idx12_hid },
+	{ 0x03, M680X_INS_MOVW, imm16_hid,  ext_hid },
+	{ 0x04, M680X_INS_MOVW, ext_hid, ext_hid },
+	{ 0x05, M680X_INS_MOVW, idx12_hid, ext_hid },
+	{ 0x06, M680X_INS_ABA, inh_hid, inh_hid },
+	{ 0x07, M680X_INS_DAA, inh_hid, inh_hid },
+	{ 0x08, M680X_INS_MOVB, imm8i12x_hid, inh_hid },
+	{ 0x09, M680X_INS_MOVB, exti12x_hid, inh_hid },
+	{ 0x0a, M680X_INS_MOVB, idx12_hid, idx12_hid },
+	{ 0x0b, M680X_INS_MOVB, imm8_hid, ext_hid },
+	{ 0x0c, M680X_INS_MOVB, ext_hid, ext_hid },
+	{ 0x0d, M680X_INS_MOVB, idx12_hid, ext_hid },
+	{ 0x0e, M680X_INS_TAB, inh_hid, inh_hid },
+	{ 0x0f, M680X_INS_TBA, inh_hid, inh_hid },
+	{ 0x10, M680X_INS_IDIV, inh_hid, inh_hid },
+	{ 0x11, M680X_INS_FDIV, inh_hid, inh_hid },
+	{ 0x12, M680X_INS_EMACS, ext_hid, inh_hid },
+	{ 0x13, M680X_INS_EMULS, inh_hid, inh_hid },
+	{ 0x14, M680X_INS_EDIVS, inh_hid, inh_hid },
+	{ 0x15, M680X_INS_IDIVS, inh_hid, inh_hid },
+	{ 0x16, M680X_INS_SBA, inh_hid, inh_hid },
+	{ 0x17, M680X_INS_CBA, inh_hid, inh_hid },
+	{ 0x18, M680X_INS_MAXA, idx12_hid, inh_hid },
+	{ 0x19, M680X_INS_MINA, idx12_hid, inh_hid },
+	{ 0x1a, M680X_INS_EMAXD, idx12_hid, inh_hid },
+	{ 0x1b, M680X_INS_EMIND, idx12_hid, inh_hid },
+	{ 0x1c, M680X_INS_MAXM, idx12_hid, inh_hid },
+	{ 0x1d, M680X_INS_MINM, idx12_hid, inh_hid },
+	{ 0x1e, M680X_INS_EMAXM, idx12_hid, inh_hid },
+	{ 0x1f, M680X_INS_EMINM, idx12_hid, inh_hid },
+	{ 0x20, M680X_INS_LBRA, rel16_hid, inh_hid },
+	{ 0x21, M680X_INS_LBRN, rel16_hid, inh_hid },
+	{ 0x22, M680X_INS_LBHI, rel16_hid, inh_hid },
+	{ 0x23, M680X_INS_LBLS, rel16_hid, inh_hid },
+	{ 0x24, M680X_INS_LBCC, rel16_hid, inh_hid },
+	{ 0x25, M680X_INS_LBCS, rel16_hid, inh_hid },
+	{ 0x26, M680X_INS_LBNE, rel16_hid, inh_hid },
+	{ 0x27, M680X_INS_LBEQ, rel16_hid, inh_hid },
+	{ 0x28, M680X_INS_LBVC, rel16_hid, inh_hid },
+	{ 0x29, M680X_INS_LBVS, rel16_hid, inh_hid },
+	{ 0x2a, M680X_INS_LBPL, rel16_hid, inh_hid },
+	{ 0x2b, M680X_INS_LBMI, rel16_hid, inh_hid },
+	{ 0x2c, M680X_INS_LBGE, rel16_hid, inh_hid },
+	{ 0x2d, M680X_INS_LBLT, rel16_hid, inh_hid },
+	{ 0x2e, M680X_INS_LBGT, rel16_hid, inh_hid },
+	{ 0x2f, M680X_INS_LBLE, rel16_hid, inh_hid },
+	{ 0x3a, M680X_INS_REV, inh_hid, inh_hid },
+	{ 0x3b, M680X_INS_REVW, inh_hid, inh_hid },
+	{ 0x3c, M680X_INS_WAV, inh_hid, inh_hid },
+	{ 0x3d, M680X_INS_TBL, idx12s_hid, inh_hid },
+	{ 0x3e, M680X_INS_STOP, inh_hid, inh_hid },
+	{ 0x3f, M680X_INS_ETBL, idx12s_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/hcs08.inc 4.0.2-3/arch/M680X/hcs08.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/hcs08.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/hcs08.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,60 @@
+
+// Additional instructions only supported on HCS08
+static const inst_pageX g_hcs08_inst_overlay_table[] = {
+	{ 0x32, M680X_INS_LDHX, ext_hid, inh_hid },
+	{ 0x3e, M680X_INS_CPHX, ext_hid, inh_hid },
+	{ 0x82, M680X_INS_BGND, inh_hid, inh_hid },
+	{ 0x96, M680X_INS_STHX, ext_hid, inh_hid },
+};
+
+// HCS08 PAGE2 instructions (prefix 0x9E)
+static const inst_pageX g_hcs08_inst_page2_table[] = {
+	{ 0x60, M680X_INS_NEG, idxS_hid, inh_hid },
+	{ 0x61, M680X_INS_CBEQ, idxS_hid,rel8_hid },
+	{ 0x63, M680X_INS_COM, idxS_hid, inh_hid },
+	{ 0x64, M680X_INS_LSR, idxS_hid, inh_hid },
+	{ 0x66, M680X_INS_ROR, idxS_hid, inh_hid },
+	{ 0x67, M680X_INS_ASR, idxS_hid, inh_hid },
+	{ 0x68, M680X_INS_LSL, idxS_hid, inh_hid },
+	{ 0x69, M680X_INS_ROL, idxS_hid, inh_hid },
+	{ 0x6a, M680X_INS_DEC, idxS_hid, inh_hid },
+	{ 0x6b, M680X_INS_DBNZ, idxS_hid,rel8_hid },
+	{ 0x6c, M680X_INS_INC, idxS_hid, inh_hid },
+	{ 0x6d, M680X_INS_TST, idxS_hid, inh_hid },
+	{ 0x6f, M680X_INS_CLR, idxS_hid, inh_hid },
+	{ 0xae, M680X_INS_LDHX, idxX0_hid, inh_hid },
+	{ 0xbe, M680X_INS_LDHX, idxX16_hid, inh_hid },
+	{ 0xce, M680X_INS_LDHX, idxX_hid, inh_hid },
+	{ 0xd0, M680X_INS_SUB, idxS16_hid, inh_hid },
+	{ 0xd1, M680X_INS_CMP, idxS16_hid, inh_hid },
+	{ 0xd2, M680X_INS_SBC, idxS16_hid, inh_hid },
+	{ 0xd3, M680X_INS_CPX, idxS16_hid, inh_hid },
+	{ 0xd4, M680X_INS_AND, idxS16_hid, inh_hid },
+	{ 0xd5, M680X_INS_BIT, idxS16_hid, inh_hid },
+	{ 0xd6, M680X_INS_LDA, idxS16_hid, inh_hid },
+	{ 0xd7, M680X_INS_STA, idxS16_hid, inh_hid },
+	{ 0xd8, M680X_INS_EOR, idxS16_hid, inh_hid },
+	{ 0xd9, M680X_INS_ADC, idxS16_hid, inh_hid },
+	{ 0xda, M680X_INS_ORA, idxS16_hid, inh_hid },
+	{ 0xdb, M680X_INS_ADD, idxS16_hid, inh_hid },
+	{ 0xde, M680X_INS_LDX, idxS16_hid, inh_hid },
+	{ 0xdf, M680X_INS_STX, idxS16_hid, inh_hid },
+	{ 0xe0, M680X_INS_SUB, idxS_hid, inh_hid },
+	{ 0xe1, M680X_INS_CMP, idxS_hid, inh_hid },
+	{ 0xe2, M680X_INS_SBC, idxS_hid, inh_hid },
+	{ 0xe3, M680X_INS_CPX, idxS_hid, inh_hid },
+	{ 0xe4, M680X_INS_AND, idxS_hid, inh_hid },
+	{ 0xe5, M680X_INS_BIT, idxS_hid, inh_hid },
+	{ 0xe6, M680X_INS_LDA, idxS_hid, inh_hid },
+	{ 0xe7, M680X_INS_STA, idxS_hid, inh_hid },
+	{ 0xe8, M680X_INS_EOR, idxS_hid, inh_hid },
+	{ 0xe9, M680X_INS_ADC, idxS_hid, inh_hid },
+	{ 0xea, M680X_INS_ORA, idxS_hid, inh_hid },
+	{ 0xeb, M680X_INS_ADD, idxS_hid, inh_hid },
+	{ 0xee, M680X_INS_LDX, idxS_hid, inh_hid },
+	{ 0xef, M680X_INS_STX, idxS_hid, inh_hid },
+	{ 0xf3, M680X_INS_CPHX, idxS_hid, inh_hid },
+	{ 0xfe, M680X_INS_LDHX, idxS_hid, inh_hid },
+	{ 0xff, M680X_INS_STHX, idxS_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/hd6301.inc 4.0.2-3/arch/M680X/hd6301.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/hd6301.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/hd6301.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,15 @@
+
+// Additional instructions only supported on HD6301/3
+static const inst_pageX g_hd6301_inst_overlay_table[] = {
+	{ 0x18, M680X_INS_XGDX, inh_hid, inh_hid },
+	{ 0x1a, M680X_INS_SLP, inh_hid, inh_hid },
+	{ 0x61, M680X_INS_AIM, imm8_hid, idxX_hid },
+	{ 0x62, M680X_INS_OIM, imm8_hid, idxX_hid },
+	{ 0x65, M680X_INS_EIM, imm8_hid, idxX_hid },
+	{ 0x6B, M680X_INS_TIM, imm8_hid, idxX_hid },
+	{ 0x71, M680X_INS_AIM, imm8_hid, dir_hid },
+	{ 0x72, M680X_INS_OIM, imm8_hid, dir_hid },
+	{ 0x75, M680X_INS_EIM, imm8_hid, dir_hid },
+	{ 0x7B, M680X_INS_TIM, imm8_hid, dir_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/hd6309.inc 4.0.2-3/arch/M680X/hd6309.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/hd6309.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/hd6309.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,259 @@
+
+// The following array has to be sorted by increasing
+// opcodes. Otherwise the binary_search will fail.
+//
+// Additional instructions only supported on HD6309 PAGE1
+static const inst_pageX g_hd6309_inst_overlay_table[] = {
+	{ 0x01, M680X_INS_OIM, imm8_hid, dir_hid },
+	{ 0x02, M680X_INS_AIM, imm8_hid, dir_hid },
+	{ 0x05, M680X_INS_EIM, imm8_hid, dir_hid },
+	{ 0x0B, M680X_INS_TIM, imm8_hid, dir_hid },
+	{ 0x14, M680X_INS_SEXW, inh_hid, inh_hid },
+	{ 0x61, M680X_INS_OIM, imm8_hid, idx09_hid },
+	{ 0x62, M680X_INS_AIM, imm8_hid, idx09_hid },
+	{ 0x65, M680X_INS_EIM, imm8_hid, idx09_hid },
+	{ 0x6B, M680X_INS_TIM, imm8_hid, idx09_hid },
+	{ 0x71, M680X_INS_OIM, imm8_hid, ext_hid },
+	{ 0x72, M680X_INS_AIM, imm8_hid, ext_hid },
+	{ 0x75, M680X_INS_EIM, imm8_hid, ext_hid },
+	{ 0x7B, M680X_INS_TIM, imm8_hid, ext_hid },
+	{ 0xCD, M680X_INS_LDQ, imm32_hid, inh_hid },
+};
+
+// The following array has to be sorted by increasing
+// opcodes. Otherwise the binary_search will fail.
+//
+// HD6309 PAGE2 instructions (with prefix 0x10)
+static const inst_pageX g_hd6309_inst_page2_table[] = {
+	// 0x2x, relative long branch instructions
+	{ 0x21, M680X_INS_LBRN, rel16_hid, inh_hid },
+	{ 0x22, M680X_INS_LBHI, rel16_hid, inh_hid },
+	{ 0x23, M680X_INS_LBLS, rel16_hid, inh_hid },
+	{ 0x24, M680X_INS_LBCC, rel16_hid, inh_hid },
+	{ 0x25, M680X_INS_LBCS, rel16_hid, inh_hid },
+	{ 0x26, M680X_INS_LBNE, rel16_hid, inh_hid },
+	{ 0x27, M680X_INS_LBEQ, rel16_hid, inh_hid },
+	{ 0x28, M680X_INS_LBVC, rel16_hid, inh_hid },
+	{ 0x29, M680X_INS_LBVS, rel16_hid, inh_hid },
+	{ 0x2a, M680X_INS_LBPL, rel16_hid, inh_hid },
+	{ 0x2b, M680X_INS_LBMI, rel16_hid, inh_hid },
+	{ 0x2c, M680X_INS_LBGE, rel16_hid, inh_hid },
+	{ 0x2d, M680X_INS_LBLT, rel16_hid, inh_hid },
+	{ 0x2e, M680X_INS_LBGT, rel16_hid, inh_hid },
+	{ 0x2f, M680X_INS_LBLE, rel16_hid, inh_hid },
+	// 0x3x
+	{ 0x30, M680X_INS_ADDR, rr09_hid, inh_hid },
+	{ 0x31, M680X_INS_ADCR, rr09_hid, inh_hid },
+	{ 0x32, M680X_INS_SUBR, rr09_hid, inh_hid },
+	{ 0x33, M680X_INS_SBCR, rr09_hid, inh_hid },
+	{ 0x34, M680X_INS_ANDR, rr09_hid, inh_hid },
+	{ 0x35, M680X_INS_ORR, rr09_hid, inh_hid },
+	{ 0x36, M680X_INS_EORR, rr09_hid, inh_hid },
+	{ 0x37, M680X_INS_CMPR, rr09_hid, inh_hid },
+	{ 0x38, M680X_INS_PSHSW, inh_hid, inh_hid },
+	{ 0x39, M680X_INS_PULSW, inh_hid, inh_hid },
+	{ 0x3a, M680X_INS_PSHUW, inh_hid, inh_hid },
+	{ 0x3b, M680X_INS_PULUW, inh_hid, inh_hid },
+	{ 0x3f, M680X_INS_SWI2, inh_hid, inh_hid },
+	// 0x4x, Register D instructions
+	{ 0x40, M680X_INS_NEGD, inh_hid, inh_hid },
+	{ 0x43, M680X_INS_COMD, inh_hid, inh_hid },
+	{ 0x44, M680X_INS_LSRD, inh_hid, inh_hid },
+	{ 0x46, M680X_INS_RORD, inh_hid, inh_hid },
+	{ 0x47, M680X_INS_ASRD, inh_hid, inh_hid },
+	{ 0x48, M680X_INS_LSLD, inh_hid, inh_hid },
+	{ 0x49, M680X_INS_ROLD, inh_hid, inh_hid },
+	{ 0x4a, M680X_INS_DECD, inh_hid, inh_hid },
+	{ 0x4c, M680X_INS_INCD, inh_hid, inh_hid },
+	{ 0x4d, M680X_INS_TSTD, inh_hid, inh_hid },
+	{ 0x4f, M680X_INS_CLRD, inh_hid, inh_hid },
+	// 0x5x, Register W instructions
+	{ 0x53, M680X_INS_COMW, inh_hid, inh_hid },
+	{ 0x54, M680X_INS_LSRW, inh_hid, inh_hid },
+	{ 0x56, M680X_INS_RORW, inh_hid, inh_hid },
+	{ 0x59, M680X_INS_ROLW, inh_hid, inh_hid },
+	{ 0x5a, M680X_INS_DECW, inh_hid, inh_hid },
+	{ 0x5c, M680X_INS_INCW, inh_hid, inh_hid },
+	{ 0x5d, M680X_INS_TSTW, inh_hid, inh_hid },
+	{ 0x5f, M680X_INS_CLRW, inh_hid, inh_hid },
+	// 0x8x, immediate instructionY with register D,W,Y
+	{ 0x80, M680X_INS_SUBW, imm16_hid, inh_hid },
+	{ 0x81, M680X_INS_CMPW, imm16_hid, inh_hid },
+	{ 0x82, M680X_INS_SBCD, imm16_hid, inh_hid },
+	{ 0x83, M680X_INS_CMPD, imm16_hid, inh_hid },
+	{ 0x84, M680X_INS_ANDD, imm16_hid, inh_hid },
+	{ 0x85, M680X_INS_BITD, imm16_hid, inh_hid },
+	{ 0x86, M680X_INS_LDW, imm16_hid, inh_hid },
+	{ 0x88, M680X_INS_EORD, imm16_hid, inh_hid },
+	{ 0x89, M680X_INS_ADCD, imm16_hid, inh_hid },
+	{ 0x8a, M680X_INS_ORD, imm16_hid, inh_hid },
+	{ 0x8b, M680X_INS_ADDW, imm16_hid, inh_hid },
+	{ 0x8c, M680X_INS_CMPY, imm16_hid, inh_hid },
+	{ 0x8e, M680X_INS_LDY, imm16_hid, inh_hid },
+	// 0x9x, direct instructions with register D,W,Y
+	{ 0x90, M680X_INS_SUBW, dir_hid, inh_hid },
+	{ 0x91, M680X_INS_CMPW, dir_hid, inh_hid },
+	{ 0x92, M680X_INS_SBCD, dir_hid, inh_hid },
+	{ 0x93, M680X_INS_CMPD, dir_hid, inh_hid },
+	{ 0x94, M680X_INS_ANDD, dir_hid, inh_hid },
+	{ 0x95, M680X_INS_BITD, dir_hid, inh_hid },
+	{ 0x96, M680X_INS_LDW, dir_hid, inh_hid },
+	{ 0x97, M680X_INS_STW, dir_hid, inh_hid },
+	{ 0x98, M680X_INS_EORD, dir_hid, inh_hid },
+	{ 0x99, M680X_INS_ADCD, dir_hid, inh_hid },
+	{ 0x9a, M680X_INS_ORD, dir_hid, inh_hid },
+	{ 0x9b, M680X_INS_ADDW, dir_hid, inh_hid },
+	{ 0x9c, M680X_INS_CMPY, dir_hid, inh_hid },
+	{ 0x9e, M680X_INS_LDY, dir_hid, inh_hid },
+	{ 0x9f, M680X_INS_STY, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with register D,W,Y
+	{ 0xa0, M680X_INS_SUBW, idx09_hid, inh_hid },
+	{ 0xa1, M680X_INS_CMPW, idx09_hid, inh_hid },
+	{ 0xa2, M680X_INS_SBCD, idx09_hid, inh_hid },
+	{ 0xa3, M680X_INS_CMPD, idx09_hid, inh_hid },
+	{ 0xa4, M680X_INS_ANDD, idx09_hid, inh_hid },
+	{ 0xa5, M680X_INS_BITD, idx09_hid, inh_hid },
+	{ 0xa6, M680X_INS_LDW, idx09_hid, inh_hid },
+	{ 0xa7, M680X_INS_STW, idx09_hid, inh_hid },
+	{ 0xa8, M680X_INS_EORD, idx09_hid, inh_hid },
+	{ 0xa9, M680X_INS_ADCD, idx09_hid, inh_hid },
+	{ 0xaa, M680X_INS_ORD, idx09_hid, inh_hid },
+	{ 0xab, M680X_INS_ADDW, idx09_hid, inh_hid },
+	{ 0xac, M680X_INS_CMPY, idx09_hid, inh_hid },
+	{ 0xae, M680X_INS_LDY, idx09_hid, inh_hid },
+	{ 0xaf, M680X_INS_STY, idx09_hid, inh_hid },
+	// 0xBx, extended instructions with register D,W,Y
+	{ 0xb0, M680X_INS_SUBW, ext_hid, inh_hid },
+	{ 0xb1, M680X_INS_CMPW, ext_hid, inh_hid },
+	{ 0xb2, M680X_INS_SBCD, ext_hid, inh_hid },
+	{ 0xb3, M680X_INS_CMPD, ext_hid, inh_hid },
+	{ 0xb4, M680X_INS_ANDD, ext_hid, inh_hid },
+	{ 0xb5, M680X_INS_BITD, ext_hid, inh_hid },
+	{ 0xb6, M680X_INS_LDW, ext_hid, inh_hid },
+	{ 0xb7, M680X_INS_STW, ext_hid, inh_hid },
+	{ 0xb8, M680X_INS_EORD, ext_hid, inh_hid },
+	{ 0xb9, M680X_INS_ADCD, ext_hid, inh_hid },
+	{ 0xba, M680X_INS_ORD, ext_hid, inh_hid },
+	{ 0xbb, M680X_INS_ADDW, ext_hid, inh_hid },
+	{ 0xbc, M680X_INS_CMPY, ext_hid, inh_hid },
+	{ 0xbe, M680X_INS_LDY, ext_hid, inh_hid },
+	{ 0xbf, M680X_INS_STY, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register S
+	{ 0xce, M680X_INS_LDS, imm16_hid, inh_hid },
+	// 0xDx, direct instructions with register S,Q
+	{ 0xdc, M680X_INS_LDQ, dir_hid, inh_hid },
+	{ 0xdd, M680X_INS_STQ, dir_hid, inh_hid },
+	{ 0xde, M680X_INS_LDS, dir_hid, inh_hid },
+	{ 0xdf, M680X_INS_STS, dir_hid, inh_hid },
+	// 0xEx, indexed instructions with register S,Q
+	{ 0xec, M680X_INS_LDQ, idx09_hid, inh_hid },
+	{ 0xed, M680X_INS_STQ, idx09_hid, inh_hid },
+	{ 0xee, M680X_INS_LDS, idx09_hid, inh_hid },
+	{ 0xef, M680X_INS_STS, idx09_hid, inh_hid },
+	// 0xFx, extended instructions with register S,Q
+	{ 0xfc, M680X_INS_LDQ, ext_hid, inh_hid },
+	{ 0xfd, M680X_INS_STQ, ext_hid, inh_hid },
+	{ 0xfe, M680X_INS_LDS, ext_hid, inh_hid },
+	{ 0xff, M680X_INS_STS, ext_hid, inh_hid },
+};
+
+// The following array has to be sorted by increasing
+// opcodes. Otherwise the binary_search will fail.
+//
+// HD6309 PAGE3 instructions (with prefix 0x11)
+static const inst_pageX g_hd6309_inst_page3_table[] = {
+	{ 0x30, M680X_INS_BAND, bitmv_hid, inh_hid },
+	{ 0x31, M680X_INS_BIAND, bitmv_hid, inh_hid },
+	{ 0x32, M680X_INS_BOR, bitmv_hid, inh_hid },
+	{ 0x33, M680X_INS_BIOR, bitmv_hid, inh_hid },
+	{ 0x34, M680X_INS_BEOR, bitmv_hid, inh_hid },
+	{ 0x35, M680X_INS_BIEOR, bitmv_hid, inh_hid },
+	{ 0x36, M680X_INS_LDBT, bitmv_hid, inh_hid },
+	{ 0x37, M680X_INS_STBT, bitmv_hid, inh_hid },
+	{ 0x38, M680X_INS_TFM, tfm_hid, inh_hid },
+	{ 0x39, M680X_INS_TFM, tfm_hid, inh_hid },
+	{ 0x3a, M680X_INS_TFM, tfm_hid, inh_hid },
+	{ 0x3b, M680X_INS_TFM, tfm_hid, inh_hid },
+	{ 0x3c, M680X_INS_BITMD, imm8_hid, inh_hid },
+	{ 0x3d, M680X_INS_LDMD, imm8_hid, inh_hid },
+	{ 0x3f, M680X_INS_SWI3, inh_hid, inh_hid },
+	// 0x4x, Register E instructions
+	{ 0x43, M680X_INS_COME, inh_hid, inh_hid },
+	{ 0x4a, M680X_INS_DECE, inh_hid, inh_hid },
+	{ 0x4c, M680X_INS_INCE, inh_hid, inh_hid },
+	{ 0x4d, M680X_INS_TSTE, inh_hid, inh_hid },
+	{ 0x4f, M680X_INS_CLRE, inh_hid, inh_hid },
+	// 0x5x, Register F instructions
+	{ 0x53, M680X_INS_COMF, inh_hid, inh_hid },
+	{ 0x5a, M680X_INS_DECF, inh_hid, inh_hid },
+	{ 0x5c, M680X_INS_INCF, inh_hid, inh_hid },
+	{ 0x5d, M680X_INS_TSTF, inh_hid, inh_hid },
+	{ 0x5f, M680X_INS_CLRF, inh_hid, inh_hid },
+	// 0x8x, immediate instructions with register U,S,E
+	{ 0x80, M680X_INS_SUBE, imm8_hid, inh_hid },
+	{ 0x81, M680X_INS_CMPE, imm8_hid, inh_hid },
+	{ 0x83, M680X_INS_CMPU, imm16_hid, inh_hid },
+	{ 0x86, M680X_INS_LDE, imm8_hid, inh_hid },
+	{ 0x8b, M680X_INS_ADDE, imm8_hid, inh_hid },
+	{ 0x8c, M680X_INS_CMPS, imm16_hid, inh_hid },
+	{ 0x8d, M680X_INS_DIVD, imm8_hid, inh_hid },
+	{ 0x8e, M680X_INS_DIVQ, imm16_hid, inh_hid },
+	{ 0x8f, M680X_INS_MULD, imm16_hid, inh_hid },
+	// 0x9x, direct instructions with register U,S,E,Q
+	{ 0x90, M680X_INS_SUBE, dir_hid, inh_hid },
+	{ 0x91, M680X_INS_CMPE, dir_hid, inh_hid },
+	{ 0x93, M680X_INS_CMPU, dir_hid, inh_hid },
+	{ 0x96, M680X_INS_LDE, dir_hid, inh_hid },
+	{ 0x97, M680X_INS_STE, dir_hid, inh_hid },
+	{ 0x9b, M680X_INS_ADDE, dir_hid, inh_hid },
+	{ 0x9c, M680X_INS_CMPS, dir_hid, inh_hid },
+	{ 0x9d, M680X_INS_DIVD, dir_hid, inh_hid },
+	{ 0x9e, M680X_INS_DIVQ, dir_hid, inh_hid },
+	{ 0x9f, M680X_INS_MULD, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with register U,S,D,Q
+	{ 0xa0, M680X_INS_SUBE, idx09_hid, inh_hid },
+	{ 0xa1, M680X_INS_CMPE, idx09_hid, inh_hid },
+	{ 0xa3, M680X_INS_CMPU, idx09_hid, inh_hid },
+	{ 0xa6, M680X_INS_LDE, idx09_hid, inh_hid },
+	{ 0xa7, M680X_INS_STE, idx09_hid, inh_hid },
+	{ 0xab, M680X_INS_ADDE, idx09_hid, inh_hid },
+	{ 0xac, M680X_INS_CMPS, idx09_hid, inh_hid },
+	{ 0xad, M680X_INS_DIVD, idx09_hid, inh_hid },
+	{ 0xae, M680X_INS_DIVQ, idx09_hid, inh_hid },
+	{ 0xaf, M680X_INS_MULD, idx09_hid, inh_hid },
+	// 0xBx, extended instructions with register U,S,D,Q
+	{ 0xb0, M680X_INS_SUBE, ext_hid, inh_hid },
+	{ 0xb1, M680X_INS_CMPE, ext_hid, inh_hid },
+	{ 0xb3, M680X_INS_CMPU, ext_hid, inh_hid },
+	{ 0xb6, M680X_INS_LDE, ext_hid, inh_hid },
+	{ 0xb7, M680X_INS_STE, ext_hid, inh_hid },
+	{ 0xbb, M680X_INS_ADDE, ext_hid, inh_hid },
+	{ 0xbc, M680X_INS_CMPS, ext_hid, inh_hid },
+	{ 0xbd, M680X_INS_DIVD, ext_hid, inh_hid },
+	{ 0xbe, M680X_INS_DIVQ, ext_hid, inh_hid },
+	{ 0xbf, M680X_INS_MULD, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register F
+	{ 0xc0, M680X_INS_SUBF, imm8_hid, inh_hid },
+	{ 0xc1, M680X_INS_CMPF, imm8_hid, inh_hid },
+	{ 0xc6, M680X_INS_LDF, imm8_hid, inh_hid },
+	{ 0xcb, M680X_INS_ADDF, imm8_hid, inh_hid },
+	// 0xDx, direct instructions with register F
+	{ 0xd0, M680X_INS_SUBF, dir_hid, inh_hid },
+	{ 0xd1, M680X_INS_CMPF, dir_hid, inh_hid },
+	{ 0xd6, M680X_INS_LDF, dir_hid, inh_hid },
+	{ 0xd7, M680X_INS_STF, dir_hid, inh_hid },
+	{ 0xdb, M680X_INS_ADDF, dir_hid, inh_hid },
+	// 0xEx, indexed instructions with register F
+	{ 0xe0, M680X_INS_SUBF, idx09_hid, inh_hid },
+	{ 0xe1, M680X_INS_CMPF, idx09_hid, inh_hid },
+	{ 0xe6, M680X_INS_LDF, idx09_hid, inh_hid },
+	{ 0xe7, M680X_INS_STF, idx09_hid, inh_hid },
+	{ 0xeb, M680X_INS_ADDF, idx09_hid, inh_hid },
+	// 0xFx, extended instructions with register F
+	{ 0xf0, M680X_INS_SUBF, ext_hid, inh_hid },
+	{ 0xf1, M680X_INS_CMPF, ext_hid, inh_hid },
+	{ 0xf6, M680X_INS_LDF, ext_hid, inh_hid },
+	{ 0xf7, M680X_INS_STF, ext_hid, inh_hid },
+	{ 0xfb, M680X_INS_ADDF, ext_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/insn_props.inc 4.0.2-3/arch/M680X/insn_props.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/insn_props.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/insn_props.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,367 @@
+
+// These temporary defines keep the following table short and handy.
+#define NOG M680X_GRP_INVALID
+#define NOR M680X_REG_INVALID
+
+static const insn_props g_insn_props[] = {
+	{ NOG, uuuu, NOR, NOR, false, false }, // INVLD
+	{ NOG, rmmm, M680X_REG_B, M680X_REG_A, true, false }, // ABA
+	{ NOG, rmmm, M680X_REG_B, M680X_REG_X, false, false }, // ABX
+	{ NOG, rmmm, M680X_REG_B, M680X_REG_Y, false, false }, // ABY
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ADC
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ADCA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ADCB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ADCD
+	{ NOG, rmmm, NOR, NOR, true, false }, // ADCR
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ADD
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ADDA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ADDB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ADDD
+	{ NOG, mrrr, M680X_REG_E, NOR, true, false }, // ADDE
+	{ NOG, mrrr, M680X_REG_F, NOR, true, false }, // ADDF
+	{ NOG, rmmm, NOR, NOR, true, false }, // ADDR
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // ADDW
+	{ NOG, rmmm, NOR, NOR, true, false }, // AIM
+	{ NOG, mrrr, M680X_REG_S, NOR, false, false }, // AIS
+	{ NOG, mrrr, M680X_REG_HX, NOR, false, false }, // AIX
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // AND
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ANDA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ANDB
+	{ NOG, mrrr, M680X_REG_CC, NOR, true, false }, // ANDCC
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ANDD
+	{ NOG, rmmm, NOR, NOR, true, false }, // ANDR
+	{ NOG, mrrr, NOR, NOR, true, false }, // ASL
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ASLA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ASLB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ASLD
+	{ NOG, mrrr, NOR, NOR, true, false }, // ASR
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ASRA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ASRB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ASRD
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // ASRX
+	{ NOG, mrrr, NOR, NOR, false, false }, // BAND
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BCC
+	{ NOG, mrrr, NOR, NOR, true, false }, // BCLR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BCS
+	{ NOG, mrrr, NOR, NOR, false, false }, // BEOR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BEQ
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BGE
+	{ NOG, uuuu, NOR, NOR, false, false }, // BGND
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BGT
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BHCC
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BHCS
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BHI
+	{ NOG, mrrr, NOR, NOR, false, false }, // BIAND
+	{ NOG, mrrr, NOR, NOR, false, false }, // BIEOR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BIH
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BIL
+	{ NOG, mrrr, NOR, NOR, false, false }, // BIOR
+	{ NOG, rrrr, M680X_REG_A, NOR, true, false }, // BIT
+	{ NOG, rrrr, M680X_REG_A, NOR, true, false }, // BITA
+	{ NOG, rrrr, M680X_REG_B, NOR, true, false }, // BITB
+	{ NOG, rrrr, M680X_REG_D, NOR, true, false }, // BITD
+	{ NOG, rrrr, M680X_REG_MD, NOR, true, false }, // BITMD
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BLE
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BLS
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BLT
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BMC
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BMI
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BMS
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BNE
+	{ NOG, mrrr, NOR, NOR, false, false }, // BOR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BPL
+	{ M680X_GRP_JUMP, rruu, NOR, NOR, false, false }, // BRCLR
+	{ M680X_GRP_JUMP, rruu, NOR, NOR, false, false }, // BRSET
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BRA
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BRN never branches
+	{ NOG, mrrr, NOR, NOR, true, false }, // BSET
+	{ M680X_GRP_CALL, uuuu, NOR, NOR, false, true }, // BSR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BVC
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // BVS
+	{ M680X_GRP_CALL, uuuu, NOR, NOR, false, true }, // CALL
+	{ NOG, rrrr, M680X_REG_B, M680X_REG_A, true, false }, // CBA
+	{ M680X_GRP_JUMP, rruu, M680X_REG_A, NOR, false, false }, // CBEQ
+	{ M680X_GRP_JUMP, rruu, M680X_REG_A, NOR, false, false }, // CBEQA
+	{ M680X_GRP_JUMP, rruu, M680X_REG_X, NOR, false, false }, // CBEQX
+	{ NOG, uuuu, NOR, NOR, true, false }, // CLC
+	{ NOG, uuuu, NOR, NOR, true, false }, // CLI
+	{ NOG, wrrr, NOR, NOR, true, false }, // CLR
+	{ NOG, wrrr, M680X_REG_A, NOR, true, false }, // CLRA
+	{ NOG, wrrr, M680X_REG_B, NOR, true, false }, // CLRB
+	{ NOG, wrrr, M680X_REG_D, NOR, true, false }, // CLRD
+	{ NOG, wrrr, M680X_REG_E, NOR, true, false }, // CLRE
+	{ NOG, wrrr, M680X_REG_F, NOR, true, false }, // CLRF
+	{ NOG, wrrr, M680X_REG_H, NOR, true, false }, // CLRH
+	{ NOG, wrrr, M680X_REG_W, NOR, true, false }, // CLRW
+	{ NOG, wrrr, M680X_REG_X, NOR, true, false }, // CLRX
+	{ NOG, uuuu, NOR, NOR, true, false }, // CLV
+	{ NOG, rrrr, M680X_REG_A, NOR, true, false }, // CMP
+	{ NOG, rrrr, M680X_REG_A, NOR, true, false }, // CMPA
+	{ NOG, rrrr, M680X_REG_B, NOR, true, false }, // CMPB
+	{ NOG, rrrr, M680X_REG_D, NOR, true, false }, // CMPD
+	{ NOG, rrrr, M680X_REG_E, NOR, true, false }, // CMPE
+	{ NOG, rrrr, M680X_REG_F, NOR, true, false }, // CMPF
+	{ NOG, rrrr, NOR, NOR, true, false }, // CMPR
+	{ NOG, rrrr, M680X_REG_S, NOR, true, false }, // CMPS
+	{ NOG, rrrr, M680X_REG_U, NOR, true, false }, // CMPU
+	{ NOG, rrrr, M680X_REG_W, NOR, true, false }, // CMPW
+	{ NOG, rrrr, M680X_REG_X, NOR, true, false }, // CMPX
+	{ NOG, rrrr, M680X_REG_Y, NOR, true, false }, // CMPY
+	{ NOG, mrrr, NOR, NOR, true, false }, // COM
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // COMA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // COMB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // COMD
+	{ NOG, mrrr, M680X_REG_E, NOR, true, false }, // COME
+	{ NOG, mrrr, M680X_REG_F, NOR, true, false }, // COMF
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // COMW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // COMX
+	{ NOG, rrrr, M680X_REG_D, NOR, true, false }, // CPD
+	{ NOG, rrrr, M680X_REG_HX, NOR, true, false }, // CPHX
+	{ NOG, rrrr, M680X_REG_S, NOR, true, false }, // CPS
+	{ NOG, rrrr, M680X_REG_X, NOR, true, false }, // CPX
+	{ NOG, rrrr, M680X_REG_Y, NOR, true, false }, // CPY
+	{ NOG, mrrr, NOR, NOR, true, true }, // CWAI
+	{ NOG, mrrr, NOR, NOR, true, true }, // DAA
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // DBEQ
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // DBNE
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // DBNZ
+	{ M680X_GRP_JUMP, muuu, M680X_REG_A, NOR, false, false }, // DBNZA
+	{ M680X_GRP_JUMP, muuu, M680X_REG_X, NOR, false, false }, // DBNZX
+	{ NOG, mrrr, NOR, NOR, true, false }, // DEC
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // DECA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // DECB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // DECD
+	{ NOG, mrrr, M680X_REG_E, NOR, true, false }, // DECE
+	{ NOG, mrrr, M680X_REG_F, NOR, true, false }, // DECF
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // DECW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // DECX
+	{ NOG, mrrr, M680X_REG_S, NOR, false, false }, // DES
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // DEX
+	{ NOG, mrrr, M680X_REG_Y, NOR, true, false }, // DEY
+	{ NOG, mmrr, NOR, NOR, true, true }, // DIV
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // DIVD
+	{ NOG, mrrr, M680X_REG_Q, NOR, true, false }, // DIVQ
+	{ NOG, mmrr, NOR, NOR, true, true }, // EDIV
+	{ NOG, mmrr, NOR, NOR, true, true }, // EDIVS
+	{ NOG, rmmm, NOR, NOR, true, false }, // EIM
+	{ NOG, mrrr, NOR, NOR, true, true }, // EMACS
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // EMAXD
+	{ NOG, mrrr, NOR, NOR, true, true }, // EMAXM
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // EMIND
+	{ NOG, mrrr, NOR, NOR, true, true }, // EMINM
+	{ NOG, mmrr, NOR, NOR, true, true }, // EMUL
+	{ NOG, mmrr, NOR, NOR, true, true }, // EMULS
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // EOR
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // EORA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // EORB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // EORD
+	{ NOG, rmmm, NOR, NOR, true, false }, // EORR
+	{ NOG, rmmm, NOR, NOR, true, true }, // ETBL
+	{ NOG, mmmm, NOR, NOR, false, false }, // EXG
+	{ NOG, mmmm, NOR, NOR, true, true }, // FDIV
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // IBEQ
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // IBNE
+	{ NOG, mmmm, NOR, NOR, true, true }, // IDIV
+	{ NOG, mmmm, NOR, NOR, true, true }, // IDIVS
+	{ NOG, uuuu, NOR, NOR, false, false }, // ILLGL
+	{ NOG, mrrr, NOR, NOR, true, false }, // INC
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // INCA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // INCB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // INCD
+	{ NOG, mrrr, M680X_REG_E, NOR, true, false }, // INCE
+	{ NOG, mrrr, M680X_REG_F, NOR, true, false }, // INCF
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // INCW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // INCX
+	{ NOG, mrrr, M680X_REG_S, NOR, false, false }, // INS
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // INX
+	{ NOG, mrrr, M680X_REG_Y, NOR, true, false }, // INY
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // JMP
+	{ M680X_GRP_CALL, uuuu, NOR, NOR, false, true }, // JSR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBCC
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBCS
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBEQ
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBGE
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBGT
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBHI
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBLE
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBLS
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBLT
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBMI
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBNE
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBPL
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBRA
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBRN never branches
+	{ M680X_GRP_CALL, uuuu, NOR, NOR, false, true }, // LBSR
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBVC
+	{ M680X_GRP_JUMP, uuuu, NOR, NOR, false, false }, // LBVS
+	{ NOG, wrrr, M680X_REG_A, NOR, true, false }, // LDA
+	{ NOG, wrrr, M680X_REG_A, NOR, true, false }, // LDAA
+	{ NOG, wrrr, M680X_REG_B, NOR, true, false }, // LDAB
+	{ NOG, wrrr, M680X_REG_B, NOR, true, false }, // LDB
+	{ NOG, mrrr, NOR, NOR, false, false }, // LDBT
+	{ NOG, wrrr, M680X_REG_D, NOR, true, false }, // LDD
+	{ NOG, wrrr, M680X_REG_E, NOR, true, false }, // LDE
+	{ NOG, wrrr, M680X_REG_F, NOR, true, false }, // LDF
+	{ NOG, wrrr, M680X_REG_HX, NOR, true, false }, // LDHX
+	{ NOG, mrrr, M680X_REG_MD, NOR, false, false }, // LDMD
+	{ NOG, wrrr, M680X_REG_Q, NOR, true, false }, // LDQ
+	{ NOG, wrrr, M680X_REG_S, NOR, true, false }, // LDS
+	{ NOG, wrrr, M680X_REG_U, NOR, true, false }, // LDU
+	{ NOG, wrrr, M680X_REG_W, NOR, true, false }, // LDW
+	{ NOG, wrrr, M680X_REG_X, NOR, true, false }, // LDX
+	{ NOG, wrrr, M680X_REG_Y, NOR, true, false }, // LDY
+	{ NOG, wrrr, M680X_REG_S, NOR, false, false }, // LEAS
+	{ NOG, wrrr, M680X_REG_U, NOR, false, false }, // LEAU
+	{ NOG, wrrr, M680X_REG_X, NOR, false, false }, // LEAX
+	{ NOG, wrrr, M680X_REG_Y, NOR, false, false }, // LEAY
+	{ NOG, mrrr, NOR, NOR, true, false }, // LSL
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // LSLA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // LSLB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // LSLD
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // LSLX
+	{ NOG, mrrr, NOR, NOR, true, false }, // LSR
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // LSRA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // LSRB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // LSRD
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // LSRW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // LSRX
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // MAXA
+	{ NOG, mrrr, NOR, NOR, true, true }, // MAXM
+	{ NOG, mmrr, NOR, NOR, true, true }, // MEM
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // MINA
+	{ NOG, mrrr, NOR, NOR, true, true }, // MINM
+	{ NOG, rwww, NOR, NOR, true, false }, // MOV
+	{ NOG, rwww, NOR, NOR, false, false }, // MOVB
+	{ NOG, rwww, NOR, NOR, false, false }, // MOVW
+	{ NOG, mmmm, NOR, NOR, true, true }, // MUL
+	{ NOG, mwrr, M680X_REG_D, NOR, true, true }, // MULD
+	{ NOG, mrrr, NOR, NOR, true, false }, // NEG
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // NEGA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // NEGB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // NEGD
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // NEGX
+	{ NOG, uuuu, NOR, NOR, false, false }, // NOP
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // NSA
+	{ NOG, rmmm, NOR, NOR, true, false }, // OIM
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ORA
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ORAA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ORAB
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ORB
+	{ NOG, mrrr, M680X_REG_CC, NOR, true, false }, // ORCC
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ORD
+	{ NOG, rmmm, NOR, NOR, true, false }, // ORR
+	{ NOG, rmmm, M680X_REG_A, NOR, false, true }, // PSHA
+	{ NOG, rmmm, M680X_REG_B, NOR, false, true }, // PSHB
+	{ NOG, rmmm, M680X_REG_CC, NOR, false, true }, // PSHC
+	{ NOG, rmmm, M680X_REG_D, NOR, false, true }, // PSHD
+	{ NOG, rmmm, M680X_REG_H, NOR, false, true }, // PSHH
+	{ NOG, mrrr, M680X_REG_S, NOR, false, false }, // PSHS
+	{ NOG, mrrr, M680X_REG_S, M680X_REG_W, false, false }, // PSHSW
+	{ NOG, mrrr, M680X_REG_U, NOR, false, false }, // PSHU
+	{ NOG, mrrr, M680X_REG_U, M680X_REG_W, false, false }, // PSHUW
+	{ NOG, rmmm, M680X_REG_X, NOR, false, true }, // PSHX
+	{ NOG, rmmm, M680X_REG_Y, NOR, false, true }, // PSHY
+	{ NOG, wmmm, M680X_REG_A, NOR, false, true }, // PULA
+	{ NOG, wmmm, M680X_REG_B, NOR, false, true }, // PULB
+	{ NOG, wmmm, M680X_REG_CC, NOR, false, true }, // PULC
+	{ NOG, wmmm, M680X_REG_D, NOR, false, true }, // PULD
+	{ NOG, wmmm, M680X_REG_H, NOR, false, true }, // PULH
+	{ NOG, mwww, M680X_REG_S, NOR, false, false }, // PULS
+	{ NOG, mwww, M680X_REG_S, M680X_REG_W, false, false }, // PULSW
+	{ NOG, mwww, M680X_REG_U, NOR, false, false }, // PULU
+	{ NOG, mwww, M680X_REG_U, M680X_REG_W, false, false }, // PULUW
+	{ NOG, wmmm, M680X_REG_X, NOR, false, true }, // PULX
+	{ NOG, wmmm, M680X_REG_Y, NOR, false, true }, // PULY
+	{ NOG, mmrr, NOR, NOR, true, true }, // REV
+	{ NOG, mmmm, NOR, NOR, true, true }, // REVW
+	{ NOG, mrrr, NOR, NOR, true, false }, // ROL
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // ROLA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // ROLB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // ROLD
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // ROLW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // ROLX
+	{ NOG, mrrr, NOR, NOR, true, false }, // ROR
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // RORA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // RORB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // RORD
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // RORW
+	{ NOG, mrrr, M680X_REG_X, NOR, true, false }, // RORX
+	{ NOG, wrrr, M680X_REG_S, NOR, false, false }, // RSP
+	{ M680X_GRP_RET, mwww, NOR, NOR, false, true }, // RTC
+	{ M680X_GRP_IRET, mwww, NOR, NOR, false, true }, // RTI
+	{ M680X_GRP_RET, mwww, NOR, NOR, false, true }, // RTS
+	{ NOG, rmmm, M680X_REG_B, M680X_REG_A, true, false }, // SBA
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // SBC
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // SBCA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // SBCB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // SBCD
+	{ NOG, rmmm, NOR, NOR, true, false }, // SBCR
+	{ NOG, uuuu, NOR, NOR, true, false }, // SEC
+	{ NOG, uuuu, NOR, NOR, true, false }, // SEI
+	{ NOG, uuuu, NOR, NOR, true, false }, // SEV
+	{ NOG, wrrr, NOR, NOR, true, true }, // SEX
+	{ NOG, rwww, M680X_REG_W, NOR, true, true }, // SEXW
+	{ NOG, uuuu, NOR, NOR, false, false }, // SLP
+	{ NOG, rwww, M680X_REG_A, NOR, true, false }, // STA
+	{ NOG, rwww, M680X_REG_A, NOR, true, false }, // STAA
+	{ NOG, rwww, M680X_REG_B, NOR, true, false }, // STAB
+	{ NOG, rwww, M680X_REG_B, NOR, true, false }, // STB
+	{ NOG, rrrm, NOR, NOR, false, false }, // STBT
+	{ NOG, rwww, M680X_REG_D, NOR, true, false }, // STD
+	{ NOG, rwww, M680X_REG_E, NOR, true, false }, // STE
+	{ NOG, rwww, M680X_REG_F, NOR, true, false }, // STF
+	{ NOG, uuuu, NOR, NOR, false, false }, // STOP
+	{ NOG, rwww, M680X_REG_HX, NOR, true, false }, // STHX
+	{ NOG, rwww, M680X_REG_Q, NOR, true, false }, // STQ
+	{ NOG, rwww, M680X_REG_S, NOR, true, false }, // STS
+	{ NOG, rwww, M680X_REG_U, NOR, true, false }, // STU
+	{ NOG, rwww, M680X_REG_W, NOR, true, false }, // STW
+	{ NOG, rwww, M680X_REG_X, NOR, true, false }, // STX
+	{ NOG, rwww, M680X_REG_Y, NOR, true, false }, // STY
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // SUB
+	{ NOG, mrrr, M680X_REG_A, NOR, true, false }, // SUBA
+	{ NOG, mrrr, M680X_REG_B, NOR, true, false }, // SUBB
+	{ NOG, mrrr, M680X_REG_D, NOR, true, false }, // SUBD
+	{ NOG, mrrr, M680X_REG_E, NOR, true, false }, // SUBE
+	{ NOG, mrrr, M680X_REG_F, NOR, true, false }, // SUBF
+	{ NOG, rmmm, NOR, NOR, true, false }, // SUBR
+	{ NOG, mrrr, M680X_REG_W, NOR, true, false }, // SUBW
+	{ M680X_GRP_INT, mmrr, NOR, NOR, true, true }, // SWI
+	{ M680X_GRP_INT, mmrr, NOR, NOR, true, true }, // SWI2
+	{ M680X_GRP_INT, mmrr, NOR, NOR, true, true }, // SWI3
+	{ NOG, uuuu, NOR, NOR, false, false }, // SYNC
+	{ NOG, rwww, M680X_REG_A, M680X_REG_B, true, false }, // TAB
+	{ NOG, rwww, M680X_REG_A, M680X_REG_CC, false, false }, // TAP
+	{ NOG, rwww, M680X_REG_A, M680X_REG_X, false, false }, // TAX
+	{ NOG, rwww, M680X_REG_B, M680X_REG_A, true, false }, // TBA
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // TBEQ
+	{ NOG, rmmm, NOR, NOR, true, true }, // TBL
+	{ M680X_GRP_JUMP, muuu, NOR, NOR, false, false }, // TBNE
+	{ NOG, uuuu, NOR, NOR, false, false }, // TEST
+	{ NOG, rwww, NOR, NOR, false, false }, // TFM
+	{ NOG, rwww, NOR, NOR, false, false }, // TFR
+	{ NOG, rrrr, NOR, NOR, true, false }, // TIM
+	{ NOG, rwww, M680X_REG_CC, M680X_REG_A, false, false }, // TPA
+	{ NOG, rrrr, NOR, NOR, true, false }, // TST
+	{ NOG, rrrr, M680X_REG_A, NOR, true, false }, // TSTA
+	{ NOG, rrrr, M680X_REG_B, NOR, true, false }, // TSTB
+	{ NOG, rrrr, M680X_REG_D, NOR, true, false }, // TSTD
+	{ NOG, rrrr, M680X_REG_E, NOR, true, false }, // TSTE
+	{ NOG, rrrr, M680X_REG_F, NOR, true, false }, // TSTF
+	{ NOG, rrrr, M680X_REG_W, NOR, true, false }, // TSTW
+	{ NOG, rrrr, M680X_REG_X, NOR, true, false }, // TSTX
+	{ NOG, rwww, M680X_REG_S, M680X_REG_HX, false, false }, // TSX
+	{ NOG, rwww, M680X_REG_S, M680X_REG_Y, false, false }, // TSY
+	{ NOG, rwww, M680X_REG_X, M680X_REG_A, false, false }, // TXA
+	{ NOG, rwww, M680X_REG_HX, M680X_REG_S, false, false }, // TXS
+	{ NOG, rwww, M680X_REG_Y, M680X_REG_S, false, false }, // TYS
+	{ NOG, mrrr, NOR, NOR, true, true }, // WAI
+	{ NOG, uuuu, NOR, NOR, true, false }, // WAIT
+	{ NOG, uuuu, NOR, NOR, true, true }, // WAV
+	{ NOG, uuuu, NOR, NOR, true, true }, // WAVR
+	{ NOG, mmmm, M680X_REG_D, M680X_REG_X, false, false }, // XGDX
+	{ NOG, mmmm, M680X_REG_D, M680X_REG_Y, false, false }, // XGDY
+};
+#undef NOR
+#undef NOG
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6800.inc 4.0.2-3/arch/M680X/m6800.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6800.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6800.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,277 @@
+
+// M6800/2 instructions
+static const inst_page1 g_m6800_inst_page1_table[256] = {
+	// 0x0x, inherent instructions
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_NOP, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_TAP, inh_hid, inh_hid },
+	{ M680X_INS_TPA, inh_hid, inh_hid },
+	{ M680X_INS_INX, inh_hid, inh_hid },
+	{ M680X_INS_DEX, inh_hid, inh_hid },
+	{ M680X_INS_CLV, inh_hid, inh_hid },
+	{ M680X_INS_SEV, inh_hid, inh_hid },
+	{ M680X_INS_CLC, inh_hid, inh_hid },
+	{ M680X_INS_SEC, inh_hid, inh_hid },
+	{ M680X_INS_CLI, inh_hid, inh_hid },
+	{ M680X_INS_SEI, inh_hid, inh_hid },
+	// 0x1x, inherent instructions
+	{ M680X_INS_SBA, inh_hid, inh_hid },
+	{ M680X_INS_CBA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_TAB, inh_hid, inh_hid },
+	{ M680X_INS_TBA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_DAA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ABA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0x2x, relative branch instructions
+	{ M680X_INS_BRA, rel8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_BHI, rel8_hid, inh_hid },
+	{ M680X_INS_BLS, rel8_hid, inh_hid },
+	{ M680X_INS_BCC, rel8_hid, inh_hid },
+	{ M680X_INS_BCS, rel8_hid, inh_hid },
+	{ M680X_INS_BNE, rel8_hid, inh_hid },
+	{ M680X_INS_BEQ, rel8_hid, inh_hid },
+	{ M680X_INS_BVC, rel8_hid, inh_hid },
+	{ M680X_INS_BVS, rel8_hid, inh_hid },
+	{ M680X_INS_BPL, rel8_hid, inh_hid },
+	{ M680X_INS_BMI, rel8_hid, inh_hid },
+	{ M680X_INS_BGE, rel8_hid, inh_hid },
+	{ M680X_INS_BLT, rel8_hid, inh_hid },
+	{ M680X_INS_BGT, rel8_hid, inh_hid },
+	{ M680X_INS_BLE, rel8_hid, inh_hid },
+	// 0x3x, inherent instructions
+	{ M680X_INS_TSX, inh_hid, inh_hid },
+	{ M680X_INS_INS, inh_hid, inh_hid },
+	{ M680X_INS_PULA, inh_hid, inh_hid },
+	{ M680X_INS_PULB, inh_hid, inh_hid },
+	{ M680X_INS_DES, inh_hid, inh_hid },
+	{ M680X_INS_TXS, inh_hid, inh_hid },
+	{ M680X_INS_PSHA, inh_hid, inh_hid },
+	{ M680X_INS_PSHB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RTS, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RTI, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_WAI, inh_hid, inh_hid },
+	{ M680X_INS_SWI, inh_hid, inh_hid },
+	// 0x4x, Register A instructions
+	{ M680X_INS_NEGA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COMA, inh_hid, inh_hid },
+	{ M680X_INS_LSRA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORA, inh_hid, inh_hid },
+	{ M680X_INS_ASRA, inh_hid, inh_hid },
+	{ M680X_INS_ASLA, inh_hid, inh_hid },
+	{ M680X_INS_ROLA, inh_hid, inh_hid },
+	{ M680X_INS_DECA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCA, inh_hid, inh_hid },
+	{ M680X_INS_TSTA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRA, inh_hid, inh_hid },
+	// 0x5x, Register B instructions
+	{ M680X_INS_NEGB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COMB, inh_hid, inh_hid },
+	{ M680X_INS_LSRB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORB, inh_hid, inh_hid },
+	{ M680X_INS_ASRB, inh_hid, inh_hid },
+	{ M680X_INS_ASLB, inh_hid, inh_hid },
+	{ M680X_INS_ROLB, inh_hid, inh_hid },
+	{ M680X_INS_DECB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCB, inh_hid, inh_hid },
+	{ M680X_INS_TSTB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRB, inh_hid, inh_hid },
+	// 0x6x, indexed instructions
+	{ M680X_INS_NEG, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, idxX_hid, inh_hid },
+	{ M680X_INS_LSR, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, idxX_hid, inh_hid },
+	{ M680X_INS_ASR, idxX_hid, inh_hid },
+	{ M680X_INS_ASL, idxX_hid, inh_hid },
+	{ M680X_INS_ROL, idxX_hid, inh_hid },
+	{ M680X_INS_DEC, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, idxX_hid, inh_hid },
+	{ M680X_INS_TST, idxX_hid, inh_hid },
+	{ M680X_INS_JMP, idxX_hid, inh_hid },
+	{ M680X_INS_CLR, idxX_hid, inh_hid },
+	// 0x7x, extended instructions
+	{ M680X_INS_NEG, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, ext_hid, inh_hid },
+	{ M680X_INS_LSR, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, ext_hid, inh_hid },
+	{ M680X_INS_ASR, ext_hid, inh_hid },
+	{ M680X_INS_ASL, ext_hid, inh_hid },
+	{ M680X_INS_ROL, ext_hid, inh_hid },
+	{ M680X_INS_DEC, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, ext_hid, inh_hid },
+	{ M680X_INS_TST, ext_hid, inh_hid },
+	{ M680X_INS_JMP, ext_hid, inh_hid },
+	{ M680X_INS_CLR, ext_hid, inh_hid },
+	// 0x8x, immediate instructions with Register A,X,S
+	{ M680X_INS_SUBA, imm8_hid, inh_hid },
+	{ M680X_INS_CMPA, imm8_hid, inh_hid },
+	{ M680X_INS_SBCA, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDA, imm8_hid, inh_hid },
+	{ M680X_INS_BITA, imm8_hid, inh_hid },
+	{ M680X_INS_LDAA, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_EORA, imm8_hid, inh_hid },
+	{ M680X_INS_ADCA, imm8_hid, inh_hid },
+	{ M680X_INS_ORAA, imm8_hid, inh_hid },
+	{ M680X_INS_ADDA, imm8_hid, inh_hid },
+	{ M680X_INS_CPX, imm16_hid, inh_hid },
+	{ M680X_INS_BSR, rel8_hid, inh_hid },
+	{ M680X_INS_LDS, imm16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0x9x, direct instructions with register A,X,S
+	{ M680X_INS_SUBA, dir_hid, inh_hid },
+	{ M680X_INS_CMPA, dir_hid, inh_hid },
+	{ M680X_INS_SBCA, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDA, dir_hid, inh_hid },
+	{ M680X_INS_BITA, dir_hid, inh_hid },
+	{ M680X_INS_LDAA, dir_hid, inh_hid },
+	{ M680X_INS_STAA, dir_hid, inh_hid },
+	{ M680X_INS_EORA, dir_hid, inh_hid },
+	{ M680X_INS_ADCA, dir_hid, inh_hid },
+	{ M680X_INS_ORAA, dir_hid, inh_hid },
+	{ M680X_INS_ADDA, dir_hid, inh_hid },
+	{ M680X_INS_CPX, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDS, dir_hid, inh_hid },
+	{ M680X_INS_STS, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with Register A,X
+	{ M680X_INS_SUBA, idxX_hid, inh_hid },
+	{ M680X_INS_CMPA, idxX_hid, inh_hid },
+	{ M680X_INS_SBCA, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDA, idxX_hid, inh_hid },
+	{ M680X_INS_BITA, idxX_hid, inh_hid },
+	{ M680X_INS_LDAA, idxX_hid, inh_hid },
+	{ M680X_INS_STAA, idxX_hid, inh_hid },
+	{ M680X_INS_EORA, idxX_hid, inh_hid },
+	{ M680X_INS_ADCA, idxX_hid, inh_hid },
+	{ M680X_INS_ORAA, idxX_hid, inh_hid },
+	{ M680X_INS_ADDA, idxX_hid, inh_hid },
+	{ M680X_INS_CPX, idxX_hid, inh_hid },
+	{ M680X_INS_JSR, idxX_hid, inh_hid },
+	{ M680X_INS_LDS, idxX_hid, inh_hid },
+	{ M680X_INS_STS, idxX_hid, inh_hid },
+	// 0xBx, extended instructions with register A,X,S
+	{ M680X_INS_SUBA, ext_hid, inh_hid },
+	{ M680X_INS_CMPA, ext_hid, inh_hid },
+	{ M680X_INS_SBCA, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDA, ext_hid, inh_hid },
+	{ M680X_INS_BITA, ext_hid, inh_hid },
+	{ M680X_INS_LDAA, ext_hid, inh_hid },
+	{ M680X_INS_STAA, ext_hid, inh_hid },
+	{ M680X_INS_EORA, ext_hid, inh_hid },
+	{ M680X_INS_ADCA, ext_hid, inh_hid },
+	{ M680X_INS_ORAA, ext_hid, inh_hid },
+	{ M680X_INS_ADDA, ext_hid, inh_hid },
+	{ M680X_INS_CPX, ext_hid, inh_hid },
+	{ M680X_INS_JSR, ext_hid, inh_hid },
+	{ M680X_INS_LDS, ext_hid, inh_hid },
+	{ M680X_INS_STS, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register B,X
+	{ M680X_INS_SUBB, imm8_hid, inh_hid },
+	{ M680X_INS_CMPB, imm8_hid, inh_hid },
+	{ M680X_INS_SBCB, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDB, imm8_hid, inh_hid },
+	{ M680X_INS_BITB, imm8_hid, inh_hid },
+	{ M680X_INS_LDAB, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_EORB, imm8_hid, inh_hid },
+	{ M680X_INS_ADCB, imm8_hid, inh_hid },
+	{ M680X_INS_ORAB, imm8_hid, inh_hid },
+	{ M680X_INS_ADDB, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDX, imm16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0xDx direct instructions with register B,X
+	{ M680X_INS_SUBB, dir_hid, inh_hid },
+	{ M680X_INS_CMPB, dir_hid, inh_hid },
+	{ M680X_INS_SBCB, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDB, dir_hid, inh_hid },
+	{ M680X_INS_BITB, dir_hid, inh_hid },
+	{ M680X_INS_LDAB, dir_hid, inh_hid },
+	{ M680X_INS_STAB, dir_hid, inh_hid },
+	{ M680X_INS_EORB, dir_hid, inh_hid },
+	{ M680X_INS_ADCB, dir_hid, inh_hid },
+	{ M680X_INS_ORAB, dir_hid, inh_hid },
+	{ M680X_INS_ADDB, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDX, dir_hid, inh_hid },
+	{ M680X_INS_STX, dir_hid, inh_hid },
+	// 0xEx, indexed instruction with register B,X
+	{ M680X_INS_SUBB, idxX_hid, inh_hid },
+	{ M680X_INS_CMPB, idxX_hid, inh_hid },
+	{ M680X_INS_SBCB, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDB, idxX_hid, inh_hid },
+	{ M680X_INS_BITB, idxX_hid, inh_hid },
+	{ M680X_INS_LDAB, idxX_hid, inh_hid },
+	{ M680X_INS_STAB, idxX_hid, inh_hid },
+	{ M680X_INS_EORB, idxX_hid, inh_hid },
+	{ M680X_INS_ADCB, idxX_hid, inh_hid },
+	{ M680X_INS_ORAB, idxX_hid, inh_hid },
+	{ M680X_INS_ADDB, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDX, idxX_hid, inh_hid },
+	{ M680X_INS_STX, idxX_hid, inh_hid },
+	// 0xFx, extended instructions with register B,U
+	{ M680X_INS_SUBB, ext_hid, inh_hid },
+	{ M680X_INS_CMPB, ext_hid, inh_hid },
+	{ M680X_INS_SBCB, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDB, ext_hid, inh_hid },
+	{ M680X_INS_BITB, ext_hid, inh_hid },
+	{ M680X_INS_LDAB, ext_hid, inh_hid },
+	{ M680X_INS_STAB, ext_hid, inh_hid },
+	{ M680X_INS_EORB, ext_hid, inh_hid },
+	{ M680X_INS_ADCB, ext_hid, inh_hid },
+	{ M680X_INS_ORAB, ext_hid, inh_hid },
+	{ M680X_INS_ADDB, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDX, ext_hid, inh_hid },
+	{ M680X_INS_STX, ext_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6801.inc 4.0.2-3/arch/M680X/m6801.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6801.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6801.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,39 @@
+
+// Additional instructions only supported on M6801/3
+static const inst_pageX g_m6801_inst_overlay_table[] = {
+	// 0x0x, inherent instructions
+	{ 0x04, M680X_INS_LSRD, inh_hid, inh_hid },
+	{ 0x05, M680X_INS_ASLD, inh_hid, inh_hid },
+	// 0x2x, relative branch instructions
+	{ 0x21, M680X_INS_BRN, rel8_hid, inh_hid },
+	// 0x3x, inherent instructions
+	{ 0x38, M680X_INS_PULX, inh_hid, inh_hid },
+	{ 0x3A, M680X_INS_ABX, inh_hid, inh_hid },
+	{ 0x3C, M680X_INS_PSHX, inh_hid, inh_hid },
+	{ 0x3D, M680X_INS_MUL, inh_hid, inh_hid  },
+	// 0x8x, immediate instructions with Register D
+	{ 0x83, M680X_INS_SUBD, imm16_hid, inh_hid },
+	// 0x9x, direct instructions with register D
+	{ 0x93, M680X_INS_SUBD, dir_hid, inh_hid },
+	{ 0x9D, M680X_INS_JSR, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with Register D
+	{ 0xA3, M680X_INS_SUBD, idxX_hid, inh_hid },
+	// 0xBx, extended instructions with register D
+	{ 0xB3, M680X_INS_SUBD, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register D
+	{ 0xC3, M680X_INS_ADDD, imm16_hid, inh_hid },
+	{ 0xCC, M680X_INS_LDD, imm16_hid, inh_hid },
+	// 0xDx direct instructions with register D
+	{ 0xD3, M680X_INS_ADDD, dir_hid, inh_hid },
+	{ 0xDC, M680X_INS_LDD, dir_hid, inh_hid },
+	{ 0xDD, M680X_INS_STD, dir_hid, inh_hid },
+	// 0xEx, indexed instruction with register D
+	{ 0xE3, M680X_INS_ADDD, idxX_hid, inh_hid },
+	{ 0xEC, M680X_INS_LDD, idxX_hid, inh_hid },
+	{ 0xED, M680X_INS_STD, idxX_hid, inh_hid },
+	// 0xFx, extended instructions with register D
+	{ 0xF3, M680X_INS_ADDD, ext_hid, inh_hid },
+	{ 0xFC, M680X_INS_LDD, ext_hid, inh_hid },
+	{ 0xFD, M680X_INS_STD, ext_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6805.inc 4.0.2-3/arch/M680X/m6805.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6805.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6805.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,277 @@
+
+// M68HC05 instructions
+static const inst_page1 g_m6805_inst_page1_table[256] = {
+	// 0x0x, bit manipulation instructions
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRSET, opidxdr_hid, inh_hid },
+	{ M680X_INS_BRCLR, opidxdr_hid, inh_hid },
+	// 0x1x, bit set/clear instructions
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	{ M680X_INS_BCLR, opidx_hid, dir_hid },
+	{ M680X_INS_BSET, opidx_hid, dir_hid },
+	// 0x2x, relative branch instructions
+	{ M680X_INS_BRA, rel8_hid, inh_hid },
+	{ M680X_INS_BRN, rel8_hid, inh_hid },
+	{ M680X_INS_BHI, rel8_hid, inh_hid },
+	{ M680X_INS_BLS, rel8_hid, inh_hid },
+	{ M680X_INS_BCC, rel8_hid, inh_hid },
+	{ M680X_INS_BCS, rel8_hid, inh_hid },
+	{ M680X_INS_BNE, rel8_hid, inh_hid },
+	{ M680X_INS_BEQ, rel8_hid, inh_hid },
+	{ M680X_INS_BHCC, rel8_hid, inh_hid },
+	{ M680X_INS_BHCS, rel8_hid, inh_hid },
+	{ M680X_INS_BPL, rel8_hid, inh_hid },
+	{ M680X_INS_BMI, rel8_hid, inh_hid },
+	{ M680X_INS_BMC, rel8_hid, inh_hid },
+	{ M680X_INS_BMS, rel8_hid, inh_hid },
+	{ M680X_INS_BIL, rel8_hid, inh_hid },
+	{ M680X_INS_BIH, rel8_hid, inh_hid },
+	// 0x3x, direct instructions
+	{ M680X_INS_NEG, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, dir_hid, inh_hid },
+	{ M680X_INS_LSR, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, dir_hid, inh_hid },
+	{ M680X_INS_ASR, dir_hid, inh_hid },
+	{ M680X_INS_LSL, dir_hid, inh_hid },
+	{ M680X_INS_ROL, dir_hid, inh_hid },
+	{ M680X_INS_DEC, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, dir_hid, inh_hid },
+	{ M680X_INS_TST, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLR, dir_hid, inh_hid },
+	// 0x4x, inherent instructions
+	{ M680X_INS_NEGA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_MUL, inh_hid, inh_hid },
+	{ M680X_INS_COMA, inh_hid, inh_hid },
+	{ M680X_INS_LSRA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORA, inh_hid, inh_hid },
+	{ M680X_INS_ASRA, inh_hid, inh_hid },
+	{ M680X_INS_LSLA, inh_hid, inh_hid },
+	{ M680X_INS_ROLA, inh_hid, inh_hid },
+	{ M680X_INS_DECA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCA, inh_hid, inh_hid },
+	{ M680X_INS_TSTA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRA, inh_hid, inh_hid },
+	// 0x5x, inherent instructions
+	{ M680X_INS_NEGX, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COMX, inh_hid, inh_hid },
+	{ M680X_INS_LSRX, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORX, inh_hid, inh_hid },
+	{ M680X_INS_ASRX, inh_hid, inh_hid },
+	{ M680X_INS_LSLX, inh_hid, inh_hid },
+	{ M680X_INS_ROLX, inh_hid, inh_hid },
+	{ M680X_INS_DECX, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCX, inh_hid, inh_hid },
+	{ M680X_INS_TSTX, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRX, inh_hid, inh_hid },
+	// 0x6x, indexed, 1 byte offset instructions
+	{ M680X_INS_NEG, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, idxX_hid, inh_hid },
+	{ M680X_INS_LSR, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, idxX_hid, inh_hid },
+	{ M680X_INS_ASR, idxX_hid, inh_hid },
+	{ M680X_INS_LSL, idxX_hid, inh_hid },
+	{ M680X_INS_ROL, idxX_hid, inh_hid },
+	{ M680X_INS_DEC, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, idxX_hid, inh_hid },
+	{ M680X_INS_TST, idxX_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLR, idxX_hid, inh_hid },
+	// 0x7x, indexed, no offset instructions
+	{ M680X_INS_NEG, idxX0_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, idxX0_hid, inh_hid },
+	{ M680X_INS_LSR, idxX0_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, idxX0_hid, inh_hid },
+	{ M680X_INS_ASR, idxX0_hid, inh_hid },
+	{ M680X_INS_LSL, idxX0_hid, inh_hid },
+	{ M680X_INS_ROL, idxX0_hid, inh_hid },
+	{ M680X_INS_DEC, idxX0_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, idxX0_hid, inh_hid },
+	{ M680X_INS_TST, idxX0_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLR, idxX0_hid, inh_hid },
+	// 0x8x, inherent instructions
+	{ M680X_INS_RTI, inh_hid, inh_hid },
+	{ M680X_INS_RTS, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_SWI, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_STOP, inh_hid, inh_hid },
+	{ M680X_INS_WAIT, inh_hid, inh_hid },
+	// 0x9x, inherent instructions
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_TAX, inh_hid, inh_hid },
+	{ M680X_INS_CLC, inh_hid, inh_hid },
+	{ M680X_INS_SEC, inh_hid, inh_hid },
+	{ M680X_INS_CLI, inh_hid, inh_hid },
+	{ M680X_INS_SEI, inh_hid, inh_hid },
+	{ M680X_INS_RSP, inh_hid, inh_hid },
+	{ M680X_INS_NOP, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_TXA, inh_hid, inh_hid },
+	// 0xAx, immediate instructions with reg. A
+	{ M680X_INS_SUB, imm8_hid, inh_hid },
+	{ M680X_INS_CMP, imm8_hid, inh_hid },
+	{ M680X_INS_SBC, imm8_hid, inh_hid },
+	{ M680X_INS_CPX, imm8_hid, inh_hid },
+	{ M680X_INS_AND, imm8_hid, inh_hid },
+	{ M680X_INS_BIT, imm8_hid, inh_hid },
+	{ M680X_INS_LDA, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_EOR, imm8_hid, inh_hid },
+	{ M680X_INS_ADC, imm8_hid, inh_hid },
+	{ M680X_INS_ORA, imm8_hid, inh_hid },
+	{ M680X_INS_ADD, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_BSR, rel8_hid, inh_hid },
+	{ M680X_INS_LDX, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0xBx, direct instructions with reg. A
+	{ M680X_INS_SUB, dir_hid, inh_hid },
+	{ M680X_INS_CMP, dir_hid, inh_hid },
+	{ M680X_INS_SBC, dir_hid, inh_hid },
+	{ M680X_INS_CPX, dir_hid, inh_hid },
+	{ M680X_INS_AND, dir_hid, inh_hid },
+	{ M680X_INS_BIT, dir_hid, inh_hid },
+	{ M680X_INS_LDA, dir_hid, inh_hid },
+	{ M680X_INS_STA, dir_hid, inh_hid },
+	{ M680X_INS_EOR, dir_hid, inh_hid },
+	{ M680X_INS_ADC, dir_hid, inh_hid },
+	{ M680X_INS_ORA, dir_hid, inh_hid },
+	{ M680X_INS_ADD, dir_hid, inh_hid },
+	{ M680X_INS_JMP, dir_hid, inh_hid },
+	{ M680X_INS_JSR, dir_hid, inh_hid },
+	{ M680X_INS_LDX, dir_hid, inh_hid },
+	{ M680X_INS_STX, dir_hid, inh_hid },
+	// 0xCx, extended instructions with reg. A
+	{ M680X_INS_SUB, ext_hid, inh_hid },
+	{ M680X_INS_CMP, ext_hid, inh_hid },
+	{ M680X_INS_SBC, ext_hid, inh_hid },
+	{ M680X_INS_CPX, ext_hid, inh_hid },
+	{ M680X_INS_AND, ext_hid, inh_hid },
+	{ M680X_INS_BIT, ext_hid, inh_hid },
+	{ M680X_INS_LDA, ext_hid, inh_hid },
+	{ M680X_INS_STA, ext_hid, inh_hid },
+	{ M680X_INS_EOR, ext_hid, inh_hid },
+	{ M680X_INS_ADC, ext_hid, inh_hid },
+	{ M680X_INS_ORA, ext_hid, inh_hid },
+	{ M680X_INS_ADD, ext_hid, inh_hid },
+	{ M680X_INS_JMP, ext_hid, inh_hid },
+	{ M680X_INS_JSR, ext_hid, inh_hid },
+	{ M680X_INS_LDX, ext_hid, inh_hid },
+	{ M680X_INS_STX, ext_hid, inh_hid },
+	// 0xDx, indexed with 2 byte offset instructions with reg. A
+	{ M680X_INS_SUB, idxX16_hid, inh_hid },
+	{ M680X_INS_CMP, idxX16_hid, inh_hid },
+	{ M680X_INS_SBC, idxX16_hid, inh_hid },
+	{ M680X_INS_CPX, idxX16_hid, inh_hid },
+	{ M680X_INS_AND, idxX16_hid, inh_hid },
+	{ M680X_INS_BIT, idxX16_hid, inh_hid },
+	{ M680X_INS_LDA, idxX16_hid, inh_hid },
+	{ M680X_INS_STA, idxX16_hid, inh_hid },
+	{ M680X_INS_EOR, idxX16_hid, inh_hid },
+	{ M680X_INS_ADC, idxX16_hid, inh_hid },
+	{ M680X_INS_ORA, idxX16_hid, inh_hid },
+	{ M680X_INS_ADD, idxX16_hid, inh_hid },
+	{ M680X_INS_JMP, idxX16_hid, inh_hid },
+	{ M680X_INS_JSR, idxX16_hid, inh_hid },
+	{ M680X_INS_LDX, idxX16_hid, inh_hid },
+	{ M680X_INS_STX, idxX16_hid, inh_hid },
+	// 0xEx, indexed with 1 byte offset instructions with reg. A
+	{ M680X_INS_SUB, idxX_hid, inh_hid },
+	{ M680X_INS_CMP, idxX_hid, inh_hid },
+	{ M680X_INS_SBC, idxX_hid, inh_hid },
+	{ M680X_INS_CPX, idxX_hid, inh_hid },
+	{ M680X_INS_AND, idxX_hid, inh_hid },
+	{ M680X_INS_BIT, idxX_hid, inh_hid },
+	{ M680X_INS_LDA, idxX_hid, inh_hid },
+	{ M680X_INS_STA, idxX_hid, inh_hid },
+	{ M680X_INS_EOR, idxX_hid, inh_hid },
+	{ M680X_INS_ADC, idxX_hid, inh_hid },
+	{ M680X_INS_ORA, idxX_hid, inh_hid },
+	{ M680X_INS_ADD, idxX_hid, inh_hid },
+	{ M680X_INS_JMP, idxX_hid, inh_hid },
+	{ M680X_INS_JSR, idxX_hid, inh_hid },
+	{ M680X_INS_LDX, idxX_hid, inh_hid },
+	{ M680X_INS_STX, idxX_hid, inh_hid },
+	// 0xFx, indexed without offset instructions with reg. A
+	{ M680X_INS_SUB, idxX0_hid, inh_hid },
+	{ M680X_INS_CMP, idxX0_hid, inh_hid },
+	{ M680X_INS_SBC, idxX0_hid, inh_hid },
+	{ M680X_INS_CPX, idxX0_hid, inh_hid },
+	{ M680X_INS_AND, idxX0_hid, inh_hid },
+	{ M680X_INS_BIT, idxX0_hid, inh_hid },
+	{ M680X_INS_LDA, idxX0_hid, inh_hid },
+	{ M680X_INS_STA, idxX0_hid, inh_hid },
+	{ M680X_INS_EOR, idxX0_hid, inh_hid },
+	{ M680X_INS_ADC, idxX0_hid, inh_hid },
+	{ M680X_INS_ORA, idxX0_hid, inh_hid },
+	{ M680X_INS_ADD, idxX0_hid, inh_hid },
+	{ M680X_INS_JMP, idxX0_hid, inh_hid },
+	{ M680X_INS_JSR, idxX0_hid, inh_hid },
+	{ M680X_INS_LDX, idxX0_hid, inh_hid },
+	{ M680X_INS_STX, idxX0_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6808.inc 4.0.2-3/arch/M680X/m6808.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6808.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6808.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,91 @@
+
+// Additional instructions only supported on M68HC08
+static const inst_pageX g_m6808_inst_overlay_table[] = {
+	{ 0x31, M680X_INS_CBEQ, dir_hid, rel8_hid },
+	{ 0x35, M680X_INS_STHX, dir_hid, inh_hid },
+	{ 0x3b, M680X_INS_DBNZ, dir_hid, rel8_hid },
+	{ 0x41, M680X_INS_CBEQA, imm8rel_hid, inh_hid },
+	{ 0x45, M680X_INS_LDHX, imm16_hid, inh_hid },
+	{ 0x4b, M680X_INS_DBNZA, rel8_hid, inh_hid },
+	{ 0x4e, M680X_INS_MOV, dir_hid, dir_hid },
+	{ 0x51, M680X_INS_CBEQX, imm8rel_hid, inh_hid },
+	{ 0x52, M680X_INS_DIV, inh_hid, inh_hid },
+	{ 0x55, M680X_INS_LDHX, dir_hid, inh_hid },
+	{ 0x5b, M680X_INS_DBNZX, rel8_hid, inh_hid },
+	{ 0x5e, M680X_INS_MOV, dir_hid, idxX0p_hid },
+	{ 0x61, M680X_INS_CBEQ, idxXp_hid, rel8_hid },
+	{ 0x62, M680X_INS_NSA, inh_hid, inh_hid },
+	{ 0x65, M680X_INS_CPHX, imm16_hid, inh_hid },
+	{ 0x6b, M680X_INS_DBNZ, idxX_hid, rel8_hid },
+	{ 0x6e, M680X_INS_MOV, imm8_hid, dir_hid },
+	{ 0x71, M680X_INS_CBEQ, idxX0p_hid, rel8_hid },
+	{ 0x72, M680X_INS_DAA, inh_hid, inh_hid },
+	{ 0x75, M680X_INS_CPHX, dir_hid, inh_hid },
+	{ 0x7b, M680X_INS_DBNZ, idxX0_hid, rel8_hid },
+	{ 0x7e, M680X_INS_MOV, idxX0p_hid, dir_hid },
+	{ 0x84, M680X_INS_TAP, inh_hid, inh_hid },
+	{ 0x85, M680X_INS_TPA, inh_hid, inh_hid },
+	{ 0x86, M680X_INS_PULA, inh_hid, inh_hid },
+	{ 0x87, M680X_INS_PSHA, inh_hid, inh_hid },
+	{ 0x88, M680X_INS_PULX, inh_hid, inh_hid },
+	{ 0x89, M680X_INS_PSHX, inh_hid, inh_hid },
+	{ 0x8a, M680X_INS_PULH, inh_hid, inh_hid },
+	{ 0x8b, M680X_INS_PSHH, inh_hid, inh_hid },
+	{ 0x8c, M680X_INS_CLRH, inh_hid, inh_hid },
+	{ 0x90, M680X_INS_BGE, rel8_hid, inh_hid },
+	{ 0x91, M680X_INS_BLT, rel8_hid, inh_hid },
+	{ 0x92, M680X_INS_BGT, rel8_hid, inh_hid },
+	{ 0x93, M680X_INS_BLE, rel8_hid, inh_hid },
+	{ 0x94, M680X_INS_TXS, inh_hid, inh_hid },
+	{ 0x95, M680X_INS_TSX, inh_hid, inh_hid },
+	{ 0x97, M680X_INS_TAX, inh_hid, inh_hid },
+	{ 0x9f, M680X_INS_TXA, inh_hid, inh_hid },
+	{ 0xa7, M680X_INS_AIS, imm8_hid, inh_hid },
+	{ 0xaf, M680X_INS_AIX, imm8_hid, inh_hid },
+};
+
+// M68HC08 PAGE2 instructions (prefix 0x9E)
+static const inst_pageX g_m6808_inst_page2_table[] = {
+	{ 0x60, M680X_INS_NEG, idxS_hid, inh_hid },
+	{ 0x61, M680X_INS_CBEQ, idxS_hid, rel8_hid },
+	{ 0x63, M680X_INS_COM, idxS_hid, inh_hid },
+	{ 0x64, M680X_INS_LSR, idxS_hid, inh_hid },
+	{ 0x66, M680X_INS_ROR, idxS_hid, inh_hid },
+	{ 0x67, M680X_INS_ASR, idxS_hid, inh_hid },
+	{ 0x68, M680X_INS_LSL, idxS_hid, inh_hid },
+	{ 0x69, M680X_INS_ROL, idxS_hid, inh_hid },
+	{ 0x6a, M680X_INS_DEC, idxS_hid, inh_hid },
+	{ 0x6b, M680X_INS_DBNZ, idxS_hid, rel8_hid },
+	{ 0x6c, M680X_INS_INC, idxS_hid, inh_hid },
+	{ 0x6d, M680X_INS_TST, idxS_hid, inh_hid },
+	{ 0x6f, M680X_INS_CLR, idxS_hid, inh_hid },
+	{ 0xd0, M680X_INS_SUB, idxS16_hid, inh_hid },
+	{ 0xd1, M680X_INS_CMP, idxS16_hid, inh_hid },
+	{ 0xd2, M680X_INS_SBC, idxS16_hid, inh_hid },
+	{ 0xd3, M680X_INS_CPX, idxS16_hid, inh_hid },
+	{ 0xd4, M680X_INS_AND, idxS16_hid, inh_hid },
+	{ 0xd5, M680X_INS_BIT, idxS16_hid, inh_hid },
+	{ 0xd6, M680X_INS_LDA, idxS16_hid, inh_hid },
+	{ 0xd7, M680X_INS_STA, idxS16_hid, inh_hid },
+	{ 0xd8, M680X_INS_EOR, idxS16_hid, inh_hid },
+	{ 0xd9, M680X_INS_ADC, idxS16_hid, inh_hid },
+	{ 0xda, M680X_INS_ORA, idxS16_hid, inh_hid },
+	{ 0xdb, M680X_INS_ADD, idxS16_hid, inh_hid },
+	{ 0xde, M680X_INS_LDX, idxS16_hid, inh_hid },
+	{ 0xdf, M680X_INS_STX, idxS16_hid, inh_hid },
+	{ 0xe0, M680X_INS_SUB, idxS_hid, inh_hid },
+	{ 0xe1, M680X_INS_CMP, idxS_hid, inh_hid },
+	{ 0xe2, M680X_INS_SBC, idxS_hid, inh_hid },
+	{ 0xe3, M680X_INS_CPX, idxS_hid, inh_hid },
+	{ 0xe4, M680X_INS_AND, idxS_hid, inh_hid },
+	{ 0xe5, M680X_INS_BIT, idxS_hid, inh_hid },
+	{ 0xe6, M680X_INS_LDA, idxS_hid, inh_hid },
+	{ 0xe7, M680X_INS_STA, idxS_hid, inh_hid },
+	{ 0xe8, M680X_INS_EOR, idxS_hid, inh_hid },
+	{ 0xe9, M680X_INS_ADC, idxS_hid, inh_hid },
+	{ 0xea, M680X_INS_ORA, idxS_hid, inh_hid },
+	{ 0xeb, M680X_INS_ADD, idxS_hid, inh_hid },
+	{ 0xee, M680X_INS_LDX, idxS_hid, inh_hid },
+	{ 0xef, M680X_INS_STX, idxS_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6809.inc 4.0.2-3/arch/M680X/m6809.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6809.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6809.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,352 @@
+
+// M6809/HD6309 PAGE1 instructions
+static const inst_page1 g_m6809_inst_page1_table[256] = {
+	// 0x0x, direct instructions
+	{ M680X_INS_NEG, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, dir_hid, inh_hid },
+	{ M680X_INS_LSR, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, dir_hid, inh_hid },
+	{ M680X_INS_ASR, dir_hid, inh_hid },
+	{ M680X_INS_LSL, dir_hid, inh_hid },
+	{ M680X_INS_ROL, dir_hid, inh_hid },
+	{ M680X_INS_DEC, dir_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, dir_hid, inh_hid },
+	{ M680X_INS_TST, dir_hid, inh_hid },
+	{ M680X_INS_JMP, dir_hid, inh_hid },
+	{ M680X_INS_CLR, dir_hid, inh_hid },
+	// 0x1x, misc instructions
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid }, // PAGE2
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid }, // PAGE3
+	{ M680X_INS_NOP, inh_hid, inh_hid },
+	{ M680X_INS_SYNC, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LBRA, rel16_hid, inh_hid },
+	{ M680X_INS_LBSR, rel16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_DAA, inh_hid, inh_hid },
+	{ M680X_INS_ORCC, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ANDCC, imm8_hid, inh_hid },
+	{ M680X_INS_SEX, inh_hid, inh_hid },
+	{ M680X_INS_EXG, rr09_hid, inh_hid },
+	{ M680X_INS_TFR, rr09_hid, inh_hid },
+	// 0x2x, relative branch instructions
+	{ M680X_INS_BRA, rel8_hid, inh_hid },
+	{ M680X_INS_BRN, rel8_hid, inh_hid },
+	{ M680X_INS_BHI, rel8_hid, inh_hid },
+	{ M680X_INS_BLS, rel8_hid, inh_hid },
+	{ M680X_INS_BCC, rel8_hid, inh_hid },
+	{ M680X_INS_BCS, rel8_hid, inh_hid },
+	{ M680X_INS_BNE, rel8_hid, inh_hid },
+	{ M680X_INS_BEQ, rel8_hid, inh_hid },
+	{ M680X_INS_BVC, rel8_hid, inh_hid },
+	{ M680X_INS_BVS, rel8_hid, inh_hid },
+	{ M680X_INS_BPL, rel8_hid, inh_hid },
+	{ M680X_INS_BMI, rel8_hid, inh_hid },
+	{ M680X_INS_BGE, rel8_hid, inh_hid },
+	{ M680X_INS_BLT, rel8_hid, inh_hid },
+	{ M680X_INS_BGT, rel8_hid, inh_hid },
+	{ M680X_INS_BLE, rel8_hid, inh_hid },
+	// 0x3x, misc instructions
+	{ M680X_INS_LEAX, idx09_hid, inh_hid },
+	{ M680X_INS_LEAY, idx09_hid, inh_hid },
+	{ M680X_INS_LEAS, idx09_hid, inh_hid },
+	{ M680X_INS_LEAU, idx09_hid, inh_hid },
+	{ M680X_INS_PSHS, rbits_hid, inh_hid },
+	{ M680X_INS_PULS, rbits_hid, inh_hid },
+	{ M680X_INS_PSHU, rbits_hid, inh_hid },
+	{ M680X_INS_PULU, rbits_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RTS, inh_hid, inh_hid },
+	{ M680X_INS_ABX, inh_hid, inh_hid },
+	{ M680X_INS_RTI, inh_hid, inh_hid },
+	{ M680X_INS_CWAI, imm8_hid, inh_hid },
+	{ M680X_INS_MUL, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_SWI, inh_hid, inh_hid },
+	// 0x4x, Register A instructions
+	{ M680X_INS_NEGA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COMA, inh_hid, inh_hid },
+	{ M680X_INS_LSRA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORA, inh_hid, inh_hid },
+	{ M680X_INS_ASRA, inh_hid, inh_hid },
+	{ M680X_INS_LSLA, inh_hid, inh_hid },
+	{ M680X_INS_ROLA, inh_hid, inh_hid },
+	{ M680X_INS_DECA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCA, inh_hid, inh_hid },
+	{ M680X_INS_TSTA, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRA, inh_hid, inh_hid },
+	// 0x5x, Register B instructions
+	{ M680X_INS_NEGB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COMB, inh_hid, inh_hid },
+	{ M680X_INS_LSRB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_RORB, inh_hid, inh_hid },
+	{ M680X_INS_ASRB, inh_hid, inh_hid },
+	{ M680X_INS_LSLB, inh_hid, inh_hid },
+	{ M680X_INS_ROLB, inh_hid, inh_hid },
+	{ M680X_INS_DECB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INCB, inh_hid, inh_hid },
+	{ M680X_INS_TSTB, inh_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_CLRB, inh_hid, inh_hid },
+	// 0x6x, indexed instructions
+	{ M680X_INS_NEG, idx09_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, idx09_hid, inh_hid },
+	{ M680X_INS_LSR, idx09_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, idx09_hid, inh_hid },
+	{ M680X_INS_ASR, idx09_hid, inh_hid },
+	{ M680X_INS_LSL, idx09_hid, inh_hid },
+	{ M680X_INS_ROL, idx09_hid, inh_hid },
+	{ M680X_INS_DEC, idx09_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, idx09_hid, inh_hid },
+	{ M680X_INS_TST, idx09_hid, inh_hid },
+	{ M680X_INS_JMP, idx09_hid, inh_hid },
+	{ M680X_INS_CLR, idx09_hid, inh_hid },
+	// 0x7x, extended instructions
+	{ M680X_INS_NEG, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_COM, ext_hid, inh_hid },
+	{ M680X_INS_LSR, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_ROR, ext_hid, inh_hid },
+	{ M680X_INS_ASR, ext_hid, inh_hid },
+	{ M680X_INS_LSL, ext_hid, inh_hid },
+	{ M680X_INS_ROL, ext_hid, inh_hid },
+	{ M680X_INS_DEC, ext_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_INC, ext_hid, inh_hid },
+	{ M680X_INS_TST, ext_hid, inh_hid },
+	{ M680X_INS_JMP, ext_hid, inh_hid },
+	{ M680X_INS_CLR, ext_hid, inh_hid },
+	// 0x8x, immediate instructions with Register A,D,X
+	{ M680X_INS_SUBA, imm8_hid, inh_hid },
+	{ M680X_INS_CMPA, imm8_hid, inh_hid },
+	{ M680X_INS_SBCA, imm8_hid, inh_hid },
+	{ M680X_INS_SUBD, imm16_hid, inh_hid },
+	{ M680X_INS_ANDA, imm8_hid, inh_hid },
+	{ M680X_INS_BITA, imm8_hid, inh_hid },
+	{ M680X_INS_LDA, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_EORA, imm8_hid, inh_hid },
+	{ M680X_INS_ADCA, imm8_hid, inh_hid },
+	{ M680X_INS_ORA, imm8_hid, inh_hid },
+	{ M680X_INS_ADDA, imm8_hid, inh_hid },
+	{ M680X_INS_CMPX, imm16_hid, inh_hid },
+	{ M680X_INS_BSR, rel8_hid, inh_hid },
+	{ M680X_INS_LDX, imm16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0x9x, direct instructions with register A,D,X
+	{ M680X_INS_SUBA, dir_hid, inh_hid },
+	{ M680X_INS_CMPA, dir_hid, inh_hid },
+	{ M680X_INS_SBCA, dir_hid, inh_hid },
+	{ M680X_INS_SUBD, dir_hid, inh_hid },
+	{ M680X_INS_ANDA, dir_hid, inh_hid },
+	{ M680X_INS_BITA, dir_hid, inh_hid },
+	{ M680X_INS_LDA, dir_hid, inh_hid },
+	{ M680X_INS_STA, dir_hid, inh_hid },
+	{ M680X_INS_EORA, dir_hid, inh_hid },
+	{ M680X_INS_ADCA, dir_hid, inh_hid },
+	{ M680X_INS_ORA, dir_hid, inh_hid },
+	{ M680X_INS_ADDA, dir_hid, inh_hid },
+	{ M680X_INS_CMPX, dir_hid, inh_hid },
+	{ M680X_INS_JSR, dir_hid, inh_hid },
+	{ M680X_INS_LDX, dir_hid, inh_hid },
+	{ M680X_INS_STX, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with Register A,D,X
+	{ M680X_INS_SUBA, idx09_hid, inh_hid },
+	{ M680X_INS_CMPA, idx09_hid, inh_hid },
+	{ M680X_INS_SBCA, idx09_hid, inh_hid },
+	{ M680X_INS_SUBD, idx09_hid, inh_hid },
+	{ M680X_INS_ANDA, idx09_hid, inh_hid },
+	{ M680X_INS_BITA, idx09_hid, inh_hid },
+	{ M680X_INS_LDA, idx09_hid, inh_hid },
+	{ M680X_INS_STA, idx09_hid, inh_hid },
+	{ M680X_INS_EORA, idx09_hid, inh_hid },
+	{ M680X_INS_ADCA, idx09_hid, inh_hid },
+	{ M680X_INS_ORA, idx09_hid, inh_hid },
+	{ M680X_INS_ADDA, idx09_hid, inh_hid },
+	{ M680X_INS_CMPX, idx09_hid, inh_hid },
+	{ M680X_INS_JSR, idx09_hid, inh_hid },
+	{ M680X_INS_LDX, idx09_hid, inh_hid },
+	{ M680X_INS_STX, idx09_hid, inh_hid },
+	// 0xBx, extended instructions with register A,D,X
+	{ M680X_INS_SUBA, ext_hid, inh_hid },
+	{ M680X_INS_CMPA, ext_hid, inh_hid },
+	{ M680X_INS_SBCA, ext_hid, inh_hid },
+	{ M680X_INS_SUBD, ext_hid, inh_hid },
+	{ M680X_INS_ANDA, ext_hid, inh_hid },
+	{ M680X_INS_BITA, ext_hid, inh_hid },
+	{ M680X_INS_LDA, ext_hid, inh_hid },
+	{ M680X_INS_STA, ext_hid, inh_hid },
+	{ M680X_INS_EORA, ext_hid, inh_hid },
+	{ M680X_INS_ADCA, ext_hid, inh_hid },
+	{ M680X_INS_ORA, ext_hid, inh_hid },
+	{ M680X_INS_ADDA, ext_hid, inh_hid },
+	{ M680X_INS_CMPX, ext_hid, inh_hid },
+	{ M680X_INS_JSR, ext_hid, inh_hid },
+	{ M680X_INS_LDX, ext_hid, inh_hid },
+	{ M680X_INS_STX, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register B,D,U
+	{ M680X_INS_SUBB, imm8_hid, inh_hid },
+	{ M680X_INS_CMPB, imm8_hid, inh_hid },
+	{ M680X_INS_SBCB, imm8_hid, inh_hid },
+	{ M680X_INS_ADDD, imm16_hid, inh_hid },
+	{ M680X_INS_ANDB, imm8_hid, inh_hid },
+	{ M680X_INS_BITB, imm8_hid, inh_hid },
+	{ M680X_INS_LDB, imm8_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_EORB, imm8_hid, inh_hid },
+	{ M680X_INS_ADCB, imm8_hid, inh_hid },
+	{ M680X_INS_ORB, imm8_hid, inh_hid },
+	{ M680X_INS_ADDB, imm8_hid, inh_hid },
+	{ M680X_INS_LDD, imm16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	{ M680X_INS_LDU, imm16_hid, inh_hid },
+	{ M680X_INS_ILLGL, illgl_hid, inh_hid },
+	// 0xDx direct instructions with register B,D,U
+	{ M680X_INS_SUBB, dir_hid, inh_hid },
+	{ M680X_INS_CMPB, dir_hid, inh_hid },
+	{ M680X_INS_SBCB, dir_hid, inh_hid },
+	{ M680X_INS_ADDD, dir_hid, inh_hid },
+	{ M680X_INS_ANDB, dir_hid, inh_hid },
+	{ M680X_INS_BITB, dir_hid, inh_hid },
+	{ M680X_INS_LDB, dir_hid, inh_hid },
+	{ M680X_INS_STB, dir_hid, inh_hid },
+	{ M680X_INS_EORB, dir_hid, inh_hid },
+	{ M680X_INS_ADCB, dir_hid, inh_hid },
+	{ M680X_INS_ORB, dir_hid, inh_hid },
+	{ M680X_INS_ADDB, dir_hid, inh_hid },
+	{ M680X_INS_LDD, dir_hid, inh_hid },
+	{ M680X_INS_STD, dir_hid, inh_hid },
+	{ M680X_INS_LDU, dir_hid, inh_hid },
+	{ M680X_INS_STU, dir_hid, inh_hid },
+	// 0xEx, indexed instruction with register B,D,U
+	{ M680X_INS_SUBB, idx09_hid, inh_hid },
+	{ M680X_INS_CMPB, idx09_hid, inh_hid },
+	{ M680X_INS_SBCB, idx09_hid, inh_hid },
+	{ M680X_INS_ADDD, idx09_hid, inh_hid },
+	{ M680X_INS_ANDB, idx09_hid, inh_hid },
+	{ M680X_INS_BITB, idx09_hid, inh_hid },
+	{ M680X_INS_LDB, idx09_hid, inh_hid },
+	{ M680X_INS_STB, idx09_hid, inh_hid },
+	{ M680X_INS_EORB, idx09_hid, inh_hid },
+	{ M680X_INS_ADCB, idx09_hid, inh_hid },
+	{ M680X_INS_ORB, idx09_hid, inh_hid },
+	{ M680X_INS_ADDB, idx09_hid, inh_hid },
+	{ M680X_INS_LDD, idx09_hid, inh_hid },
+	{ M680X_INS_STD, idx09_hid, inh_hid },
+	{ M680X_INS_LDU, idx09_hid, inh_hid },
+	{ M680X_INS_STU, idx09_hid, inh_hid },
+	// 0xFx, extended instructions with register B,D,U
+	{ M680X_INS_SUBB, ext_hid, inh_hid },
+	{ M680X_INS_CMPB, ext_hid, inh_hid },
+	{ M680X_INS_SBCB, ext_hid, inh_hid },
+	{ M680X_INS_ADDD, ext_hid, inh_hid },
+	{ M680X_INS_ANDB, ext_hid, inh_hid },
+	{ M680X_INS_BITB, ext_hid, inh_hid },
+	{ M680X_INS_LDB, ext_hid, inh_hid },
+	{ M680X_INS_STB, ext_hid, inh_hid },
+	{ M680X_INS_EORB, ext_hid, inh_hid },
+	{ M680X_INS_ADCB, ext_hid, inh_hid },
+	{ M680X_INS_ORB, ext_hid, inh_hid },
+	{ M680X_INS_ADDB, ext_hid, inh_hid },
+	{ M680X_INS_LDD, ext_hid, inh_hid },
+	{ M680X_INS_STD, ext_hid, inh_hid },
+	{ M680X_INS_LDU, ext_hid, inh_hid },
+	{ M680X_INS_STU, ext_hid, inh_hid },
+};
+
+// The following array has to be sorted by increasing
+// opcodes. Otherwise the binary_search will fail.
+//
+// M6809 PAGE2 instructions (with prefix 0x10)
+static const inst_pageX g_m6809_inst_page2_table[] = {
+	// 0x2x, relative long branch instructions
+	{ 0x21, M680X_INS_LBRN, rel16_hid, inh_hid },
+	{ 0x22, M680X_INS_LBHI, rel16_hid, inh_hid },
+	{ 0x23, M680X_INS_LBLS, rel16_hid, inh_hid },
+	{ 0x24, M680X_INS_LBCC, rel16_hid, inh_hid },
+	{ 0x25, M680X_INS_LBCS, rel16_hid, inh_hid },
+	{ 0x26, M680X_INS_LBNE, rel16_hid, inh_hid },
+	{ 0x27, M680X_INS_LBEQ, rel16_hid, inh_hid },
+	{ 0x28, M680X_INS_LBVC, rel16_hid, inh_hid },
+	{ 0x29, M680X_INS_LBVS, rel16_hid, inh_hid },
+	{ 0x2a, M680X_INS_LBPL, rel16_hid, inh_hid },
+	{ 0x2b, M680X_INS_LBMI, rel16_hid, inh_hid },
+	{ 0x2c, M680X_INS_LBGE, rel16_hid, inh_hid },
+	{ 0x2d, M680X_INS_LBLT, rel16_hid, inh_hid },
+	{ 0x2e, M680X_INS_LBGT, rel16_hid, inh_hid },
+	{ 0x2f, M680X_INS_LBLE, rel16_hid, inh_hid },
+	// 0x3x
+	{ 0x3f, M680X_INS_SWI2, inh_hid, inh_hid },
+	// 0x8x, immediate instructions with register D,Y
+	{ 0x83, M680X_INS_CMPD, imm16_hid, inh_hid },
+	{ 0x8c, M680X_INS_CMPY, imm16_hid, inh_hid },
+	{ 0x8e, M680X_INS_LDY, imm16_hid, inh_hid },
+	// 0x9x, direct instructions with register D,Y
+	{ 0x93, M680X_INS_CMPD, dir_hid, inh_hid },
+	{ 0x9c, M680X_INS_CMPY, dir_hid, inh_hid },
+	{ 0x9e, M680X_INS_LDY, dir_hid, inh_hid },
+	{ 0x9f, M680X_INS_STY, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with register D,Y
+	{ 0xa3, M680X_INS_CMPD, idx09_hid, inh_hid },
+	{ 0xac, M680X_INS_CMPY, idx09_hid, inh_hid },
+	{ 0xae, M680X_INS_LDY, idx09_hid, inh_hid },
+	{ 0xaf, M680X_INS_STY, idx09_hid, inh_hid },
+	// 0xBx, extended instructions with register D,Y
+	{ 0xb3, M680X_INS_CMPD, ext_hid, inh_hid },
+	{ 0xbc, M680X_INS_CMPY, ext_hid, inh_hid },
+	{ 0xbe, M680X_INS_LDY, ext_hid, inh_hid },
+	{ 0xbf, M680X_INS_STY, ext_hid, inh_hid },
+	// 0xCx, immediate instructions with register S
+	{ 0xce, M680X_INS_LDS, imm16_hid, inh_hid },
+	// 0xDx, direct instructions with register S
+	{ 0xde, M680X_INS_LDS, dir_hid, inh_hid },
+	{ 0xdf, M680X_INS_STS, dir_hid, inh_hid },
+	// 0xEx, indexed instructions with register S
+	{ 0xee, M680X_INS_LDS, idx09_hid, inh_hid },
+	{ 0xef, M680X_INS_STS, idx09_hid, inh_hid },
+	// 0xFx, extended instructions with register S
+	{ 0xfe, M680X_INS_LDS, ext_hid, inh_hid },
+	{ 0xff, M680X_INS_STS, ext_hid, inh_hid },
+};
+
+// The following array has to be sorted by increasing
+// opcodes. Otherwise the binary_search will fail.
+//
+// M6809 PAGE3 instructions (with prefix 0x11)
+static const inst_pageX g_m6809_inst_page3_table[] = {
+	{ 0x3f, M680X_INS_SWI3, inh_hid, inh_hid },
+	// 0x8x, immediate instructions with register U,S
+	{ 0x83, M680X_INS_CMPU, imm16_hid, inh_hid },
+	{ 0x8c, M680X_INS_CMPS, imm16_hid, inh_hid },
+	// 0x9x, direct instructions with register U,S
+	{ 0x93, M680X_INS_CMPU, dir_hid, inh_hid },
+	{ 0x9c, M680X_INS_CMPS, dir_hid, inh_hid },
+	// 0xAx, indexed instructions with register U,S
+	{ 0xa3, M680X_INS_CMPU, idx09_hid, inh_hid },
+	{ 0xac, M680X_INS_CMPS, idx09_hid, inh_hid },
+	// 0xBx, extended instructions with register U,S
+	{ 0xb3, M680X_INS_CMPU, ext_hid, inh_hid },
+	{ 0xbc, M680X_INS_CMPS, ext_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassembler.c 4.0.2-3/arch/M680X/M680XDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassembler.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,2309 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+/* ======================================================================== */
+/* ================================ INCLUDES ============================== */
+/* ======================================================================== */
+
+#include <stdlib.h>
+#include <stdio.h>
+#include <string.h>
+
+#include "../../cs_priv.h"
+#include "../../utils.h"
+
+#include "../../MCInst.h"
+#include "../../MCInstrDesc.h"
+#include "../../MCRegisterInfo.h"
+#include "M680XInstPrinter.h"
+#include "M680XDisassembler.h"
+#include "M680XDisassemblerInternals.h"
+
+#ifdef CAPSTONE_HAS_M680X
+
+#ifndef DECL_SPEC
+#ifdef _MSC_VER
+#define DECL_SPEC __cdecl
+#else
+#define DECL_SPEC
+#endif  // _MSC_VER
+#endif  // DECL_SPEC
+
+/* ======================================================================== */
+/* ============================ GENERAL DEFINES =========================== */
+/* ======================================================================== */
+
+/* ======================================================================== */
+/* =============================== PROTOTYPES ============================= */
+/* ======================================================================== */
+
+typedef enum insn_hdlr_id {
+	illgl_hid,
+	rel8_hid,
+	rel16_hid,
+	imm8_hid,
+	imm16_hid,
+	imm32_hid,
+	dir_hid,
+	ext_hid,
+	idxX_hid,
+	idxY_hid,
+	idx09_hid,
+	inh_hid,
+	rr09_hid,
+	rbits_hid,
+	bitmv_hid,
+	tfm_hid,
+	opidx_hid,
+	opidxdr_hid,
+	idxX0_hid,
+	idxX16_hid,
+	imm8rel_hid,
+	idxS_hid,
+	idxS16_hid,
+	idxXp_hid,
+	idxX0p_hid,
+	idx12_hid,
+	idx12s_hid,
+	rr12_hid,
+	loop_hid,
+	index_hid,
+	imm8i12x_hid,
+	imm16i12x_hid,
+	exti12x_hid,
+	HANDLER_ID_ENDING,
+} insn_hdlr_id;
+
+// Access modes for the first 4 operands. If there are more than
+// four operands they use the same access mode as the 4th operand.
+//
+// u: unchanged
+// r: (r)read access
+// w: (w)write access
+// m: (m)odify access (= read + write)
+//
+typedef enum e_access_mode {
+
+	uuuu,
+	rrrr,
+	wwww,
+	rwww,
+	rrrm,
+	rmmm,
+	wrrr,
+	mrrr,
+	mwww,
+	mmmm,
+	mwrr,
+	mmrr,
+	wmmm,
+	rruu,
+	muuu,
+	ACCESS_MODE_ENDING,
+} e_access_mode;
+
+// Access type values are compatible with enum cs_ac_type:
+typedef enum e_access {
+	UNCHANGED = CS_AC_INVALID,
+	READ = CS_AC_READ,
+	WRITE = CS_AC_WRITE,
+	MODIFY = (CS_AC_READ | CS_AC_WRITE),
+} e_access;
+
+/* Properties of one instruction in PAGE1 (without prefix) */
+typedef struct inst_page1 {
+	unsigned insn : 9;        // A value of type m680x_insn
+	unsigned handler_id1 : 6; // Type insn_hdlr_id, first instr. handler id
+	unsigned handler_id2 : 6; // Type insn_hdlr_id, second instr. handler id
+} inst_page1;
+
+/* Properties of one instruction in any other PAGE X */
+typedef struct inst_pageX {
+	unsigned opcode : 8;      // The opcode byte
+	unsigned insn : 9;        // A value of type m680x_insn
+	unsigned handler_id1 : 6; // Type insn_hdlr_id, first instr. handler id
+	unsigned handler_id2 : 6; // Type insn_hdlr_id, second instr. handler id
+} inst_pageX;
+
+typedef struct insn_props {
+	unsigned group : 4;
+	unsigned access_mode : 5; // A value of type e_access_mode
+	unsigned reg0 : 5;        // A value of type m680x_reg
+	unsigned reg1 : 5;        // A value of type m680x_reg
+	bool cc_modified : 1;
+	bool update_reg_access : 1;
+} insn_props;
+
+#include "m6800.inc"
+#include "m6801.inc"
+#include "hd6301.inc"
+#include "m6811.inc"
+#include "cpu12.inc"
+#include "m6805.inc"
+#include "m6808.inc"
+#include "hcs08.inc"
+#include "m6809.inc"
+#include "hd6309.inc"
+
+#include "insn_props.inc"
+
+//////////////////////////////////////////////////////////////////////////////
+
+// M680X instuctions have 1 up to 8 bytes (CPU12: MOVW IDX2,IDX2).
+// A reader is needed to read a byte or word from a given memory address.
+// See also X86 reader(...)
+static bool read_byte(const m680x_info *info, uint8_t *byte, uint16_t address)
+{
+	if (address - info->offset >= info->size)
+		// out of code buffer range
+		return false;
+
+	*byte = info->code[address - info->offset];
+
+	return true;
+}
+
+static bool read_byte_sign_extended(const m680x_info *info, int16_t *word,
+	uint16_t address)
+{
+	if (address - info->offset >= info->size)
+		// out of code buffer range
+		return false;
+
+	*word = (int16_t) info->code[address - info->offset];
+
+	if (*word & 0x80)
+		*word |= 0xFF00;
+
+	return true;
+}
+
+static bool read_word(const m680x_info *info, uint16_t *word, uint16_t address)
+{
+	if (address + 1 - info->offset >= info->size)
+		// out of code buffer range
+		return false;
+
+	*word = (uint16_t)info->code[address - info->offset] << 8;
+	*word |= (uint16_t)info->code[address + 1 - info->offset];
+
+	return true;
+}
+
+static bool read_sdword(const m680x_info *info, int32_t *sdword,
+	uint16_t address)
+{
+	if (address + 3 - info->offset >= info->size)
+		// out of code buffer range
+		return false;
+
+	*sdword = (uint32_t)info->code[address - info->offset] << 24;
+	*sdword |= (uint32_t)info->code[address + 1 - info->offset] << 16;
+	*sdword |= (uint32_t)info->code[address + 2 - info->offset] << 8;
+	*sdword |= (uint32_t)info->code[address + 3 - info->offset];
+
+	return true;
+}
+
+// For PAGE2 and PAGE3 opcodes when using an an array of inst_page1 most
+// entries have M680X_INS_ILLGL. To avoid wasting memory an inst_pageX is
+// used which contains the opcode. Using a binary search for the right opcode
+// is much faster (= O(log n) ) in comparison to a linear search ( = O(n) ).
+static int binary_search(const inst_pageX *const inst_pageX_table,
+	int table_size, uint8_t opcode)
+{
+	int first = 0;
+	int last = table_size - 1;
+	int middle = (first + last) / 2;
+
+	while (first <= last) {
+		if (inst_pageX_table[middle].opcode < opcode) {
+			first = middle + 1;
+		}
+		else if (inst_pageX_table[middle].opcode == opcode) {
+			return middle;  /* item found */
+		}
+		else
+			last = middle - 1;
+
+		middle = (first + last) / 2;
+	}
+
+	if (first > last)
+		return -1;  /* item not found */
+
+	return -2;
+}
+
+void M680X_get_insn_id(cs_struct *handle, cs_insn *insn, unsigned int id)
+{
+	const m680x_info *const info = (const m680x_info *)handle->printer_info;
+	const cpu_tables *cpu = info->cpu;
+	uint8_t insn_prefix = (id >> 8) & 0xff;
+	int index;
+	int i;
+
+	insn->id = M680X_INS_ILLGL;
+
+	for (i = 0; i < ARR_SIZE(cpu->pageX_prefix); ++i) {
+		if (cpu->pageX_table_size[i] == 0 ||
+			(cpu->inst_pageX_table[i] == NULL))
+			break;
+
+		if (cpu->pageX_prefix[i] == insn_prefix) {
+			index = binary_search(cpu->inst_pageX_table[i],
+					cpu->pageX_table_size[i], id & 0xff);
+			insn->id = (index >= 0) ?
+				cpu->inst_pageX_table[i][index].insn :
+				M680X_INS_ILLGL;
+			return;
+		}
+	}
+
+	if (insn_prefix != 0)
+		return;
+
+	insn->id = cpu->inst_page1_table[id].insn;
+
+	if (insn->id != M680X_INS_ILLGL)
+		return;
+
+	// Check if opcode byte is present in an overlay table
+	for (i = 0; i < ARR_SIZE(cpu->overlay_table_size); ++i) {
+		if (cpu->overlay_table_size[i] == 0 ||
+			(cpu->inst_overlay_table[i] == NULL))
+			break;
+
+		if ((index = binary_search(cpu->inst_overlay_table[i],
+						cpu->overlay_table_size[i],
+						id & 0xff)) >= 0) {
+			insn->id = cpu->inst_overlay_table[i][index].insn;
+			return;
+		}
+	}
+}
+
+static void add_insn_group(cs_detail *detail, m680x_group_type group)
+{
+	if (detail != NULL &&
+		(group != M680X_GRP_INVALID) && (group != M680X_GRP_ENDING))
+		detail->groups[detail->groups_count++] = (uint8_t)group;
+}
+
+static bool exists_reg_list(uint16_t *regs, uint8_t count, m680x_reg reg)
+{
+	uint8_t i;
+
+	for (i = 0; i < count; ++i) {
+		if (regs[i] == (uint16_t)reg)
+			return true;
+	}
+
+	return false;
+}
+
+static void add_reg_to_rw_list(MCInst *MI, m680x_reg reg, e_access access)
+{
+	cs_detail *detail = MI->flat_insn->detail;
+
+	if (detail == NULL || (reg == M680X_REG_INVALID))
+		return;
+
+	switch (access) {
+	case MODIFY:
+		if (!exists_reg_list(detail->regs_read,
+				detail->regs_read_count, reg))
+			detail->regs_read[detail->regs_read_count++] =
+				(uint16_t)reg;
+
+	// intentionally fall through
+
+	case WRITE:
+		if (!exists_reg_list(detail->regs_write,
+				detail->regs_write_count, reg))
+			detail->regs_write[detail->regs_write_count++] =
+				(uint16_t)reg;
+
+		break;
+
+	case READ:
+		if (!exists_reg_list(detail->regs_read,
+				detail->regs_read_count, reg))
+			detail->regs_read[detail->regs_read_count++] =
+				(uint16_t)reg;
+
+		break;
+
+	case UNCHANGED:
+	default:
+		break;
+	}
+}
+
+static void update_am_reg_list(MCInst *MI, m680x_info *info, cs_m680x_op *op,
+	e_access access)
+{
+	if (MI->flat_insn->detail == NULL)
+		return;
+
+	switch (op->type) {
+	case M680X_OP_REGISTER:
+		add_reg_to_rw_list(MI, op->reg, access);
+		break;
+
+	case M680X_OP_INDEXED:
+		add_reg_to_rw_list(MI, op->idx.base_reg, READ);
+
+		if (op->idx.base_reg == M680X_REG_X &&
+			info->cpu->reg_byte_size[M680X_REG_H])
+			add_reg_to_rw_list(MI, M680X_REG_H, READ);
+
+
+		if (op->idx.offset_reg != M680X_REG_INVALID)
+			add_reg_to_rw_list(MI, op->idx.offset_reg, READ);
+
+		if (op->idx.inc_dec) {
+			add_reg_to_rw_list(MI, op->idx.base_reg, WRITE);
+
+			if (op->idx.base_reg == M680X_REG_X &&
+				info->cpu->reg_byte_size[M680X_REG_H])
+				add_reg_to_rw_list(MI, M680X_REG_H, WRITE);
+		}
+
+		break;
+
+	default:
+		break;
+	}
+}
+
+static const e_access g_access_mode_to_access[4][15] = {
+	{
+		UNCHANGED, READ, WRITE, READ,  READ, READ,   WRITE, MODIFY,
+		MODIFY, MODIFY, MODIFY, MODIFY, WRITE, READ, MODIFY,
+	},
+	{
+		UNCHANGED, READ, WRITE, WRITE, READ, MODIFY, READ,  READ,
+		WRITE, MODIFY, WRITE, MODIFY, MODIFY, READ, UNCHANGED,
+	},
+	{
+		UNCHANGED, READ, WRITE, WRITE, READ, MODIFY, READ,  READ,
+		WRITE, MODIFY, READ, READ, MODIFY, UNCHANGED, UNCHANGED,
+	},
+	{
+		UNCHANGED, READ, WRITE, WRITE, MODIFY, MODIFY, READ, READ,
+		WRITE, MODIFY, READ, READ, MODIFY, UNCHANGED, UNCHANGED,
+	},
+};
+
+static e_access get_access(int operator_index, e_access_mode access_mode)
+{
+	int idx = (operator_index > 3) ? 3 : operator_index;
+
+	return g_access_mode_to_access[idx][access_mode];
+}
+
+static void build_regs_read_write_counts(MCInst *MI, m680x_info *info,
+	e_access_mode access_mode)
+{
+	cs_m680x *m680x = &info->m680x;
+	int i;
+
+	if (MI->flat_insn->detail == NULL || (!m680x->op_count))
+		return;
+
+	for (i = 0; i < m680x->op_count; ++i) {
+
+		e_access access = get_access(i, access_mode);
+		update_am_reg_list(MI, info, &m680x->operands[i], access);
+	}
+}
+
+static void add_operators_access(MCInst *MI, m680x_info *info,
+	e_access_mode access_mode)
+{
+	cs_m680x *m680x = &info->m680x;
+	int offset = 0;
+	int i;
+
+	if (MI->flat_insn->detail == NULL || (!m680x->op_count) ||
+		(access_mode == uuuu))
+		return;
+
+	for (i = 0; i < m680x->op_count; ++i) {
+		e_access access;
+
+		// Ugly fix: MULD has a register operand, an immediate operand
+		// AND an implicitly changed register W
+		if (info->insn == M680X_INS_MULD && (i == 1))
+			offset = 1;
+
+		access = get_access(i + offset, access_mode);
+		m680x->operands[i].access = access;
+	}
+}
+
+typedef struct insn_to_changed_regs {
+	m680x_insn insn;
+	e_access_mode access_mode;
+	m680x_reg regs[10];
+} insn_to_changed_regs;
+
+static void set_changed_regs_read_write_counts(MCInst *MI, m680x_info *info)
+{
+	//TABLE
+#define EOL M680X_REG_INVALID
+	static const insn_to_changed_regs changed_regs[] = {
+		{ M680X_INS_BSR, mmmm, { M680X_REG_S, EOL } },
+		{ M680X_INS_CALL, mmmm, { M680X_REG_S, EOL } },
+		{
+			M680X_INS_CWAI, mrrr, {
+				M680X_REG_S, M680X_REG_PC, M680X_REG_U,
+				M680X_REG_Y, M680X_REG_X, M680X_REG_DP,
+				M680X_REG_D, M680X_REG_CC, EOL
+			},
+		},
+		{ M680X_INS_DAA, mrrr, { M680X_REG_A, EOL } },
+		{
+			M680X_INS_DIV, mmrr, {
+				M680X_REG_A, M680X_REG_H, M680X_REG_X, EOL
+			}
+		},
+		{
+			M680X_INS_EDIV, mmrr, {
+				M680X_REG_D, M680X_REG_Y, M680X_REG_X, EOL
+			}
+		},
+		{
+			M680X_INS_EDIVS, mmrr, {
+				M680X_REG_D, M680X_REG_Y, M680X_REG_X, EOL
+			}
+		},
+		{ M680X_INS_EMACS, mrrr, { M680X_REG_X, M680X_REG_Y, EOL } },
+		{ M680X_INS_EMAXM, rrrr, { M680X_REG_D, EOL } },
+		{ M680X_INS_EMINM, rrrr, { M680X_REG_D, EOL } },
+		{ M680X_INS_EMUL, mmrr, { M680X_REG_D, M680X_REG_Y, EOL } },
+		{ M680X_INS_EMULS, mmrr, { M680X_REG_D, M680X_REG_Y, EOL } },
+		{ M680X_INS_ETBL, wmmm, { M680X_REG_A, M680X_REG_B, EOL } },
+		{ M680X_INS_FDIV, mmmm, { M680X_REG_D, M680X_REG_X, EOL } },
+		{ M680X_INS_IDIV, mmmm, { M680X_REG_D, M680X_REG_X, EOL } },
+		{ M680X_INS_IDIVS, mmmm, { M680X_REG_D, M680X_REG_X, EOL } },
+		{ M680X_INS_JSR, mmmm, { M680X_REG_S, EOL } },
+		{ M680X_INS_LBSR, mmmm, { M680X_REG_S, EOL } },
+		{ M680X_INS_MAXM, rrrr, { M680X_REG_A, EOL } },
+		{ M680X_INS_MINM, rrrr, { M680X_REG_A, EOL } },
+		{
+			M680X_INS_MEM, mmrr, {
+				M680X_REG_X, M680X_REG_Y, M680X_REG_A, EOL
+			}
+		},
+		{ M680X_INS_MUL, mmmm, { M680X_REG_A, M680X_REG_B, EOL } },
+		{ M680X_INS_MULD, mwrr, { M680X_REG_D, M680X_REG_W, EOL } },
+		{ M680X_INS_PSHA, rmmm, { M680X_REG_A, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHB, rmmm, { M680X_REG_B, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHC, rmmm, { M680X_REG_CC, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHD, rmmm, { M680X_REG_D, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHH, rmmm, { M680X_REG_H, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHX, rmmm, { M680X_REG_X, M680X_REG_S, EOL } },
+		{ M680X_INS_PSHY, rmmm, { M680X_REG_Y, M680X_REG_S, EOL } },
+		{ M680X_INS_PULA, wmmm, { M680X_REG_A, M680X_REG_S, EOL } },
+		{ M680X_INS_PULB, wmmm, { M680X_REG_B, M680X_REG_S, EOL } },
+		{ M680X_INS_PULC, wmmm, { M680X_REG_CC, M680X_REG_S, EOL } },
+		{ M680X_INS_PULD, wmmm, { M680X_REG_D, M680X_REG_S, EOL } },
+		{ M680X_INS_PULH, wmmm, { M680X_REG_H, M680X_REG_S, EOL } },
+		{ M680X_INS_PULX, wmmm, { M680X_REG_X, M680X_REG_S, EOL } },
+		{ M680X_INS_PULY, wmmm, { M680X_REG_Y, M680X_REG_S, EOL } },
+		{
+			M680X_INS_REV, mmrr, {
+				M680X_REG_A, M680X_REG_X, M680X_REG_Y, EOL
+			}
+		},
+		{
+			M680X_INS_REVW, mmmm, {
+				M680X_REG_A, M680X_REG_X, M680X_REG_Y, EOL
+			}
+		},
+		{ M680X_INS_RTC, mwww, { M680X_REG_S, M680X_REG_PC, EOL } },
+		{
+			M680X_INS_RTI, mwww, {
+				M680X_REG_S, M680X_REG_CC, M680X_REG_B,
+				M680X_REG_A, M680X_REG_DP, M680X_REG_X,
+				M680X_REG_Y, M680X_REG_U, M680X_REG_PC,
+				EOL
+			},
+		},
+		{ M680X_INS_RTS, mwww, { M680X_REG_S, M680X_REG_PC, EOL } },
+		{ M680X_INS_SEX, wrrr, { M680X_REG_A, M680X_REG_B, EOL } },
+		{ M680X_INS_SEXW, rwww, { M680X_REG_W, M680X_REG_D, EOL } },
+		{
+			M680X_INS_SWI, mmrr, {
+				M680X_REG_S, M680X_REG_PC, M680X_REG_U,
+				M680X_REG_Y, M680X_REG_X, M680X_REG_DP,
+				M680X_REG_A, M680X_REG_B, M680X_REG_CC,
+				EOL
+			}
+		},
+		{
+			M680X_INS_SWI2, mmrr, {
+				M680X_REG_S, M680X_REG_PC, M680X_REG_U,
+				M680X_REG_Y, M680X_REG_X, M680X_REG_DP,
+				M680X_REG_A, M680X_REG_B, M680X_REG_CC,
+				EOL
+			},
+		},
+		{
+			M680X_INS_SWI3, mmrr, {
+				M680X_REG_S, M680X_REG_PC, M680X_REG_U,
+				M680X_REG_Y, M680X_REG_X, M680X_REG_DP,
+				M680X_REG_A, M680X_REG_B, M680X_REG_CC,
+				EOL
+			},
+		},
+		{ M680X_INS_TBL, wrrr, { M680X_REG_A, M680X_REG_B, EOL } },
+		{
+			M680X_INS_WAI, mrrr, {
+				M680X_REG_S, M680X_REG_PC, M680X_REG_X,
+				M680X_REG_A, M680X_REG_B, M680X_REG_CC,
+				EOL
+			}
+		},
+		{
+			M680X_INS_WAV, rmmm, {
+				M680X_REG_A, M680X_REG_B, M680X_REG_X,
+				M680X_REG_Y, EOL
+			}
+		},
+		{
+			M680X_INS_WAVR, rmmm, {
+				M680X_REG_A, M680X_REG_B, M680X_REG_X,
+				M680X_REG_Y, EOL
+			}
+		},
+	};
+
+	int i, j;
+
+	if (MI->flat_insn->detail == NULL)
+		return;
+
+	for (i = 0; i < ARR_SIZE(changed_regs); ++i) {
+		if (info->insn == changed_regs[i].insn) {
+			e_access_mode access_mode = changed_regs[i].access_mode;
+
+			for (j = 0; changed_regs[i].regs[j] != EOL; ++j) {
+				e_access access;
+
+				m680x_reg reg = changed_regs[i].regs[j];
+
+				if (!info->cpu->reg_byte_size[reg]) {
+					if (info->insn != M680X_INS_MUL)
+						continue;
+
+					// Hack for M68HC05: MUL uses reg. A,X
+					reg = M680X_REG_X;
+				}
+
+				access = get_access(j, access_mode);
+				add_reg_to_rw_list(MI, reg, access);
+			}
+		}
+	}
+
+#undef EOL
+}
+
+typedef struct insn_desc {
+	uint32_t opcode;
+	m680x_insn insn;
+	insn_hdlr_id hid[2];
+	uint16_t insn_size;
+} insn_desc;
+
+// If successfull return the additional byte size needed for M6809
+// indexed addressing mode (including the indexed addressing post_byte).
+// On error return -1.
+static int get_indexed09_post_byte_size(const m680x_info *info,
+					uint16_t address)
+{
+	uint8_t ir = 0;
+	uint8_t post_byte;
+
+	// Read the indexed addressing post byte.
+	if (!read_byte(info, &post_byte, address))
+		return -1;
+
+	// Depending on the indexed addressing mode more bytes have to be read.
+	switch (post_byte & 0x9F) {
+	case 0x87:
+	case 0x8A:
+	case 0x8E:
+	case 0x8F:
+	case 0x90:
+	case 0x92:
+	case 0x97:
+	case 0x9A:
+	case 0x9E:
+		return -1; // illegal indexed post bytes
+
+	case 0x88: // n8,R
+	case 0x8C: // n8,PCR
+	case 0x98: // [n8,R]
+	case 0x9C: // [n8,PCR]
+		if (!read_byte(info, &ir, address + 1))
+			return -1;
+		return 2;
+
+	case 0x89: // n16,R
+	case 0x8D: // n16,PCR
+	case 0x99: // [n16,R]
+	case 0x9D: // [n16,PCR]
+		if (!read_byte(info, &ir, address + 2))
+			return -1;
+		return 3;
+
+	case 0x9F: // [n]
+		if ((post_byte & 0x60) != 0 ||
+			!read_byte(info, &ir, address + 2))
+			return -1;
+		return  3;
+	}
+
+	// Any other indexed post byte is valid and
+	// no additional bytes have to be read.
+	return 1;
+}
+
+// If successfull return the additional byte size needed for CPU12
+// indexed addressing mode (including the indexed addressing post_byte).
+// On error return -1.
+static int get_indexed12_post_byte_size(const m680x_info *info,
+					uint16_t address, bool is_subset)
+{
+	uint8_t ir;
+	uint8_t post_byte;
+
+	// Read the indexed addressing post byte.
+	if (!read_byte(info, &post_byte, address))
+		return -1;
+
+	// Depending on the indexed addressing mode more bytes have to be read.
+	if (!(post_byte & 0x20)) // n5,R
+		return 1;
+
+	switch (post_byte & 0xe7) {
+	case 0xe0:
+	case 0xe1: // n9,R
+		if (is_subset)
+			return -1;
+
+		if (!read_byte(info, &ir, address))
+			return -1;
+		return 2;
+
+	case 0xe2: // n16,R
+	case 0xe3: // [n16,R]
+		if (is_subset)
+			return -1;
+
+		if (!read_byte(info, &ir, address + 1))
+			return -1;
+		return 3;
+
+	case 0xe4: // A,R
+	case 0xe5: // B,R
+	case 0xe6: // D,R
+	case 0xe7: // [D,R]
+	default: // n,-r n,+r n,r- n,r+
+		break;
+	}
+
+	return 1;
+}
+
+// Check for M6809/HD6309 TFR/EXG instruction for valid register
+static bool is_tfr09_reg_valid(const m680x_info *info, uint8_t reg_nibble)
+{
+	if (info->cpu->tfr_reg_valid != NULL)
+		return info->cpu->tfr_reg_valid[reg_nibble];
+
+	return true; // e.g. for the M6309 all registers are valid
+}
+
+// Check for CPU12 TFR/EXG instruction for valid register
+static bool is_exg_tfr12_post_byte_valid(const m680x_info *info,
+	uint8_t post_byte)
+{
+	return !(post_byte & 0x08);
+}
+
+static bool is_tfm_reg_valid(const m680x_info *info, uint8_t reg_nibble)
+{
+	// HD6809 TFM instruction: Only register X,Y,U,S,D is allowed
+	return reg_nibble <= 4;
+}
+
+// If successfull return the additional byte size needed for CPU12
+// loop instructions DBEQ/DBNE/IBEQ/IBNE/TBEQ/TBNE (including the post byte).
+// On error return -1.
+static int get_loop_post_byte_size(const m680x_info *info, uint16_t address)
+{
+	uint8_t post_byte;
+	uint8_t rr;
+
+	if (!read_byte(info, &post_byte, address))
+		return -1;
+
+	// According to documentation bit 3 is don't care and not checked here.
+	if ((post_byte >= 0xc0) ||
+		((post_byte & 0x07) == 2) || ((post_byte & 0x07) == 3))
+		return -1;
+
+	if (!read_byte(info, &rr, address + 1))
+		return -1;
+
+	return 2;
+}
+
+// If successfull return the additional byte size needed for HD6309
+// bit move instructions BAND/BEOR/BIAND/BIEOR/BIOR/BOR/LDBT/STBT
+// (including the post byte).
+// On error return -1.
+static int get_bitmv_post_byte_size(const m680x_info *info, uint16_t address)
+{
+	uint8_t post_byte;
+	uint8_t rr;
+
+	if (!read_byte(info, &post_byte, address))
+		return -1;
+
+	if ((post_byte & 0xc0) == 0xc0)
+		return -1; // Invalid register specified
+	else {
+		if (!read_byte(info, &rr, address + 1))
+			return -1;
+	}
+
+	return 2;
+}
+
+static bool is_sufficient_code_size(const m680x_info *info, uint16_t address,
+	insn_desc *insn_description)
+{
+	int i;
+	bool retval = true;
+	uint16_t size = 0;
+	int sz;
+
+	for (i = 0; i < 2; i++) {
+		uint8_t ir = 0;
+		bool is_subset = false;
+
+		switch (insn_description->hid[i]) {
+
+		case imm32_hid:
+			if ((retval = read_byte(info, &ir, address + size + 3)))
+				size += 4;
+			break;
+
+		case ext_hid:
+		case imm16_hid:
+		case rel16_hid:
+		case imm8rel_hid:
+		case opidxdr_hid:
+		case idxX16_hid:
+		case idxS16_hid:
+			if ((retval = read_byte(info, &ir, address + size + 1)))
+				size += 2;
+			break;
+
+		case rel8_hid:
+		case dir_hid:
+		case rbits_hid:
+		case imm8_hid:
+		case idxX_hid:
+		case idxXp_hid:
+		case idxY_hid:
+		case idxS_hid:
+		case index_hid:
+			if ((retval = read_byte(info, &ir, address + size)))
+				size++;
+			break;
+
+		case illgl_hid:
+		case inh_hid:
+		case idxX0_hid:
+		case idxX0p_hid:
+		case opidx_hid:
+			retval = true;
+			break;
+
+		case idx09_hid:
+			sz = get_indexed09_post_byte_size(info, address + size);
+			if (sz >= 0)
+				size += sz;
+			else
+				retval = false;
+			break;
+
+		case idx12s_hid:
+			is_subset = true;
+
+		// intentionally fall through
+
+		case idx12_hid:
+			sz = get_indexed12_post_byte_size(info,
+					address + size, is_subset);
+			if (sz >= 0)
+				size += sz;
+			else
+				retval = false;
+			break;
+
+		case exti12x_hid:
+		case imm16i12x_hid:
+			sz = get_indexed12_post_byte_size(info,
+					address + size, false);
+			if (sz >= 0) {
+				size += sz;
+				if ((retval = read_byte(info, &ir,
+						address + size + 1)))
+					size += 2;
+			} else
+				retval = false;
+			break;
+
+		case imm8i12x_hid:
+			sz = get_indexed12_post_byte_size(info,
+					address + size, false);
+			if (sz >= 0) {
+				size += sz;
+				if ((retval = read_byte(info, &ir,
+						address + size)))
+					size++;
+			} else
+				retval = false;
+			break;
+
+		case tfm_hid:
+			if ((retval = read_byte(info, &ir, address + size))) {
+				size++;
+				retval = is_tfm_reg_valid(info, (ir >> 4) & 0x0F) &&
+					is_tfm_reg_valid(info, ir & 0x0F);
+			}
+			break;
+
+		case rr09_hid:
+			if ((retval = read_byte(info, &ir, address + size))) {
+				size++;
+				retval = is_tfr09_reg_valid(info, (ir >> 4) & 0x0F) &&
+					is_tfr09_reg_valid(info, ir & 0x0F);
+			}
+			break;
+
+		case rr12_hid:
+			if ((retval = read_byte(info, &ir, address + size))) {
+				size++;
+				retval = is_exg_tfr12_post_byte_valid(info, ir);
+			}
+			break;
+
+		case bitmv_hid:
+			sz = get_bitmv_post_byte_size(info, address + size);
+			if (sz >= 0)
+				size += sz;
+			else
+				retval = false;
+			break;
+
+		case loop_hid:
+			sz = get_loop_post_byte_size(info, address + size);
+			if (sz >= 0)
+				size += sz;
+			else
+				retval = false;
+			break;
+
+		default:
+			CS_ASSERT(0 && "Unexpected instruction handler id");
+			retval = false;
+			break;
+		}
+
+		if (!retval)
+			return false;
+	}
+
+	insn_description->insn_size += size;
+
+	return retval;
+}
+
+// Check for a valid M680X instruction AND for enough bytes in the code buffer
+// Return an instruction description in insn_desc.
+static bool decode_insn(const m680x_info *info, uint16_t address,
+	insn_desc *insn_description)
+{
+	const inst_pageX *inst_table = NULL;
+	const cpu_tables *cpu = info->cpu;
+	int table_size = 0;
+	uint16_t base_address = address;
+	uint8_t ir; // instruction register
+	int i;
+	int index;
+
+	if (!read_byte(info, &ir, address++))
+		return false;
+
+	insn_description->insn = M680X_INS_ILLGL;
+	insn_description->opcode = ir;
+
+	// Check if a page prefix byte is present
+	for (i = 0; i < ARR_SIZE(cpu->pageX_table_size); ++i) {
+		if (cpu->pageX_table_size[i] == 0 ||
+			(cpu->inst_pageX_table[i] == NULL))
+			break;
+
+		if ((cpu->pageX_prefix[i] == ir)) {
+			// Get pageX instruction and handler id.
+			// Abort for illegal instr.
+			inst_table = cpu->inst_pageX_table[i];
+			table_size = cpu->pageX_table_size[i];
+
+			if (!read_byte(info, &ir, address++))
+				return false;
+
+			insn_description->opcode =
+				(insn_description->opcode << 8) | ir;
+
+			if ((index = binary_search(inst_table, table_size,					ir)) < 0)
+				return false;
+
+			insn_description->hid[0] =
+				inst_table[index].handler_id1;
+			insn_description->hid[1] =
+				inst_table[index].handler_id2;
+			insn_description->insn = inst_table[index].insn;
+			break;
+		}
+	}
+
+	if (insn_description->insn == M680X_INS_ILLGL) {
+		// Get page1 insn description
+		insn_description->insn = cpu->inst_page1_table[ir].insn;
+		insn_description->hid[0] =
+			cpu->inst_page1_table[ir].handler_id1;
+		insn_description->hid[1] =
+			cpu->inst_page1_table[ir].handler_id2;
+	}
+
+	if (insn_description->insn == M680X_INS_ILLGL) {
+		// Check if opcode byte is present in an overlay table
+		for (i = 0; i < ARR_SIZE(cpu->overlay_table_size); ++i) {
+			if (cpu->overlay_table_size[i] == 0 ||
+				(cpu->inst_overlay_table[i] == NULL))
+				break;
+
+			inst_table = cpu->inst_overlay_table[i];
+			table_size = cpu->overlay_table_size[i];
+
+			if ((index = binary_search(inst_table, table_size,
+							ir)) >= 0) {
+				insn_description->hid[0] =
+					inst_table[index].handler_id1;
+				insn_description->hid[1] =
+					inst_table[index].handler_id2;
+				insn_description->insn = inst_table[index].insn;
+				break;
+			}
+		}
+	}
+
+	insn_description->insn_size = address - base_address;
+
+	return (insn_description->insn != M680X_INS_ILLGL) &&
+		(insn_description->insn != M680X_INS_INVLD) &&
+		is_sufficient_code_size(info, address, insn_description);
+}
+
+static void illegal_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x_op *op0 = &info->m680x.operands[info->m680x.op_count++];
+	uint8_t temp8 = 0;
+
+	info->insn = M680X_INS_ILLGL;
+	read_byte(info, &temp8, (*address)++);
+	op0->imm = (int32_t)temp8 & 0xff;
+	op0->type = M680X_OP_IMMEDIATE;
+	op0->size = 1;
+}
+
+static void inherent_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	// There is nothing to do here :-)
+}
+
+static void add_reg_operand(m680x_info *info, m680x_reg reg)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_REGISTER;
+	op->reg = reg;
+	op->size = info->cpu->reg_byte_size[reg];
+}
+
+static void set_operand_size(m680x_info *info, cs_m680x_op *op,
+	uint8_t default_size)
+{
+	cs_m680x *m680x = &info->m680x;
+
+	if (info->insn == M680X_INS_JMP || info->insn == M680X_INS_JSR)
+		op->size = 0;
+	else if (info->insn == M680X_INS_DIVD ||
+		((info->insn == M680X_INS_AIS || info->insn == M680X_INS_AIX) &&
+			op->type != M680X_OP_REGISTER))
+		op->size = 1;
+	else if (info->insn == M680X_INS_DIVQ ||
+		info->insn == M680X_INS_MOVW)
+		op->size = 2;
+	else if (info->insn == M680X_INS_EMACS)
+		op->size = 4;
+	else if ((m680x->op_count > 0) &&
+		(m680x->operands[0].type == M680X_OP_REGISTER))
+		op->size = m680x->operands[0].size;
+	else
+		op->size = default_size;
+}
+
+static const m680x_reg reg_s_reg_ids[] = {
+	M680X_REG_CC, M680X_REG_A, M680X_REG_B, M680X_REG_DP,
+	M680X_REG_X,  M680X_REG_Y, M680X_REG_U, M680X_REG_PC,
+};
+
+static const m680x_reg reg_u_reg_ids[] = {
+	M680X_REG_CC, M680X_REG_A, M680X_REG_B, M680X_REG_DP,
+	M680X_REG_X,  M680X_REG_Y, M680X_REG_S, M680X_REG_PC,
+};
+
+static void reg_bits_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x_op *op0 = &info->m680x.operands[0];
+	uint8_t reg_bits = 0;
+	uint16_t bit_index;
+	const m680x_reg *reg_to_reg_ids = NULL;
+
+	read_byte(info, &reg_bits, (*address)++);
+
+	switch (op0->reg) {
+	case M680X_REG_U:
+		reg_to_reg_ids = &reg_u_reg_ids[0];
+		break;
+
+	case M680X_REG_S:
+		reg_to_reg_ids = &reg_s_reg_ids[0];
+		break;
+
+	default:
+		CS_ASSERT(0 && "Unexpected operand0 register");
+		break;
+	}
+
+	if ((info->insn == M680X_INS_PULU ||
+			(info->insn == M680X_INS_PULS)) &&
+		((reg_bits & 0x80) != 0))
+		// PULS xxx,PC or PULU xxx,PC which is like return from
+		// subroutine (RTS)
+		add_insn_group(MI->flat_insn->detail, M680X_GRP_RET);
+
+	for (bit_index = 0; bit_index < 8; ++bit_index) {
+		if (reg_bits & (1 << bit_index))
+			add_reg_operand(info, reg_to_reg_ids[bit_index]);
+	}
+}
+
+static const m680x_reg g_tfr_exg_reg_ids[] = {
+	/* 16-bit registers */
+	M680X_REG_D, M680X_REG_X,  M680X_REG_Y,  M680X_REG_U,
+	M680X_REG_S, M680X_REG_PC, M680X_REG_W,  M680X_REG_V,
+	/* 8-bit registers */
+	M680X_REG_A, M680X_REG_B,  M680X_REG_CC, M680X_REG_DP,
+	M680X_REG_0, M680X_REG_0,  M680X_REG_E,  M680X_REG_F,
+};
+
+static void reg_reg09_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint8_t regs = 0;
+
+	read_byte(info, &regs, (*address)++);
+
+	add_reg_operand(info, g_tfr_exg_reg_ids[regs >> 4]);
+	add_reg_operand(info, g_tfr_exg_reg_ids[regs & 0x0f]);
+
+	if ((regs & 0x0f) == 0x05) {
+		// EXG xxx,PC or TFR xxx,PC which is like a JMP
+		add_insn_group(MI->flat_insn->detail, M680X_GRP_JUMP);
+	}
+}
+
+
+static void reg_reg12_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	static const m680x_reg g_tfr_exg12_reg0_ids[] = {
+		M680X_REG_A, M680X_REG_B,  M680X_REG_CC,  M680X_REG_TMP3,
+		M680X_REG_D, M680X_REG_X, M680X_REG_Y,  M680X_REG_S,
+	};
+	static const m680x_reg g_tfr_exg12_reg1_ids[] = {
+		M680X_REG_A, M680X_REG_B,  M680X_REG_CC,  M680X_REG_TMP2,
+		M680X_REG_D, M680X_REG_X, M680X_REG_Y,  M680X_REG_S,
+	};
+	uint8_t regs = 0;
+
+	read_byte(info, &regs, (*address)++);
+
+	// The opcode of this instruction depends on
+	// the msb of its post byte.
+	if (regs & 0x80)
+		info->insn = M680X_INS_EXG;
+	else
+		info->insn = M680X_INS_TFR;
+
+	add_reg_operand(info, g_tfr_exg12_reg0_ids[(regs >> 4) & 0x07]);
+	add_reg_operand(info, g_tfr_exg12_reg1_ids[regs & 0x07]);
+}
+
+static void add_rel_operand(m680x_info *info, int16_t offset, uint16_t address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_RELATIVE;
+	op->size = 0;
+	op->rel.offset = offset;
+	op->rel.address = address;
+}
+
+static void relative8_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	int16_t offset = 0;
+
+	read_byte_sign_extended(info, &offset, (*address)++);
+	add_rel_operand(info, offset, *address + offset);
+	add_insn_group(MI->flat_insn->detail, M680X_GRP_BRAREL);
+
+	if ((info->insn != M680X_INS_BRA) &&
+		(info->insn != M680X_INS_BSR) &&
+		(info->insn != M680X_INS_BRN))
+		add_reg_to_rw_list(MI, M680X_REG_CC, READ);
+}
+
+static void relative16_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint16_t offset = 0;
+
+	read_word(info, &offset, *address);
+	*address += 2;
+	add_rel_operand(info, (int16_t)offset, *address + offset);
+	add_insn_group(MI->flat_insn->detail, M680X_GRP_BRAREL);
+
+	if ((info->insn != M680X_INS_LBRA) &&
+		(info->insn != M680X_INS_LBSR) &&
+		(info->insn != M680X_INS_LBRN))
+		add_reg_to_rw_list(MI, M680X_REG_CC, READ);
+}
+
+static const m680x_reg g_rr5_to_reg_ids[] = {
+	M680X_REG_X, M680X_REG_Y, M680X_REG_U, M680X_REG_S,
+};
+
+static void add_indexed_operand(m680x_info *info, m680x_reg base_reg,
+	bool post_inc_dec, uint8_t inc_dec, uint8_t offset_bits,
+	uint16_t offset, bool no_comma)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_INDEXED;
+	set_operand_size(info, op, 1);
+	op->idx.base_reg = base_reg;
+	op->idx.offset_reg = M680X_REG_INVALID;
+	op->idx.inc_dec = inc_dec;
+
+	if (inc_dec && post_inc_dec)
+		op->idx.flags |= M680X_IDX_POST_INC_DEC;
+
+	if (offset_bits != M680X_OFFSET_NONE) {
+		op->idx.offset = offset;
+		op->idx.offset_addr = 0;
+	}
+
+	op->idx.offset_bits = offset_bits;
+	op->idx.flags |= (no_comma ? M680X_IDX_NO_COMMA : 0);
+}
+
+// M6800/1/2/3 indexed mode handler
+static void indexedX_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint8_t offset = 0;
+
+	read_byte(info, &offset, (*address)++);
+
+	add_indexed_operand(info, M680X_REG_X, false, 0, M680X_OFFSET_BITS_8,
+		(uint16_t)offset, false);
+}
+
+static void indexedY_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint8_t offset = 0;
+
+	read_byte(info, &offset, (*address)++);
+
+	add_indexed_operand(info, M680X_REG_Y, false, 0, M680X_OFFSET_BITS_8,
+		(uint16_t)offset, false);
+}
+
+// M6809/M6309 indexed mode handler
+static void indexed09_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+	uint8_t post_byte = 0;
+	uint16_t offset = 0;
+	int16_t soffset = 0;
+
+	read_byte(info, &post_byte, (*address)++);
+
+	op->type = M680X_OP_INDEXED;
+	set_operand_size(info, op, 1);
+	op->idx.base_reg = g_rr5_to_reg_ids[(post_byte >> 5) & 0x03];
+	op->idx.offset_reg = M680X_REG_INVALID;
+
+	if (!(post_byte & 0x80)) {
+		// n5,R
+		if ((post_byte & 0x10) == 0x10)
+			op->idx.offset = post_byte | 0xfff0;
+		else
+			op->idx.offset = post_byte & 0x0f;
+
+		op->idx.offset_addr = op->idx.offset + *address;
+		op->idx.offset_bits = M680X_OFFSET_BITS_5;
+	}
+	else {
+		if ((post_byte & 0x10) == 0x10)
+			op->idx.flags |= M680X_IDX_INDIRECT;
+
+		// indexed addressing
+		switch (post_byte & 0x1f) {
+		case 0x00: // ,R+
+			op->idx.inc_dec = 1;
+			op->idx.flags |= M680X_IDX_POST_INC_DEC;
+			break;
+
+		case 0x11: // [,R++]
+		case 0x01: // ,R++
+			op->idx.inc_dec = 2;
+			op->idx.flags |= M680X_IDX_POST_INC_DEC;
+			break;
+
+		case 0x02: // ,-R
+			op->idx.inc_dec = -1;
+			break;
+
+		case 0x13: // [,--R]
+		case 0x03: // ,--R
+			op->idx.inc_dec = -2;
+			break;
+
+		case 0x14: // [,R]
+		case 0x04: // ,R
+			break;
+
+		case 0x15: // [B,R]
+		case 0x05: // B,R
+			op->idx.offset_reg = M680X_REG_B;
+			break;
+
+		case 0x16: // [A,R]
+		case 0x06: // A,R
+			op->idx.offset_reg = M680X_REG_A;
+			break;
+
+		case 0x1c: // [n8,PCR]
+		case 0x0c: // n8,PCR
+			op->idx.base_reg = M680X_REG_PC;
+			read_byte_sign_extended(info, &soffset, (*address)++);
+			op->idx.offset_addr = offset + *address;
+			op->idx.offset = soffset;
+			op->idx.offset_bits = M680X_OFFSET_BITS_8;
+			break;
+
+		case 0x18: // [n8,R]
+		case 0x08: // n8,R
+			read_byte_sign_extended(info, &soffset, (*address)++);
+			op->idx.offset = soffset;
+			op->idx.offset_bits = M680X_OFFSET_BITS_8;
+			break;
+
+		case 0x1d: // [n16,PCR]
+		case 0x0d: // n16,PCR
+			op->idx.base_reg = M680X_REG_PC;
+			read_word(info, &offset, *address);
+			*address += 2;
+			op->idx.offset_addr = offset + *address;
+			op->idx.offset = (int16_t)offset;
+			op->idx.offset_bits = M680X_OFFSET_BITS_16;
+			break;
+
+		case 0x19: // [n16,R]
+		case 0x09: // n16,R
+			read_word(info, &offset, *address);
+			*address += 2;
+			op->idx.offset = (int16_t)offset;
+			op->idx.offset_bits = M680X_OFFSET_BITS_16;
+			break;
+
+		case 0x1b: // [D,R]
+		case 0x0b: // D,R
+			op->idx.offset_reg = M680X_REG_D;
+			break;
+
+		case 0x1f: // [n16]
+			op->type = M680X_OP_EXTENDED;
+			op->ext.indirect = true;
+			read_word(info, &op->ext.address, *address);
+			*address += 2;
+			break;
+
+		default:
+			op->idx.base_reg = M680X_REG_INVALID;
+			break;
+		}
+	}
+
+	if (((info->insn == M680X_INS_LEAU) ||
+			(info->insn == M680X_INS_LEAS) ||
+			(info->insn == M680X_INS_LEAX) ||
+			(info->insn == M680X_INS_LEAY)) &&
+		(m680x->operands[0].reg == M680X_REG_X ||
+			(m680x->operands[0].reg == M680X_REG_Y)))
+		// Only LEAX and LEAY modify CC register
+		add_reg_to_rw_list(MI, M680X_REG_CC, MODIFY);
+}
+
+
+m680x_reg g_idx12_to_reg_ids[4] = {
+	M680X_REG_X, M680X_REG_Y, M680X_REG_S, M680X_REG_PC,
+};
+
+m680x_reg g_or12_to_reg_ids[3] = {
+	M680X_REG_A, M680X_REG_B, M680X_REG_D
+};
+
+// CPU12 indexed mode handler
+static void indexed12_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+	uint8_t post_byte = 0;
+	uint8_t offset8 = 0;
+
+	read_byte(info, &post_byte, (*address)++);
+
+	op->type = M680X_OP_INDEXED;
+	set_operand_size(info, op, 1);
+	op->idx.offset_reg = M680X_REG_INVALID;
+
+	if (!(post_byte & 0x20)) {
+		// n5,R      n5 is a 5-bit signed offset
+		op->idx.base_reg = g_idx12_to_reg_ids[(post_byte >> 6) & 0x03];
+
+		if ((post_byte & 0x10) == 0x10)
+			op->idx.offset = post_byte | 0xfff0;
+		else
+			op->idx.offset = post_byte & 0x0f;
+
+		op->idx.offset_addr = op->idx.offset + *address;
+		op->idx.offset_bits = M680X_OFFSET_BITS_5;
+	}
+	else {
+		if ((post_byte & 0xe0) == 0xe0)
+			op->idx.base_reg =
+				g_idx12_to_reg_ids[(post_byte >> 3) & 0x03];
+
+		switch (post_byte & 0xe7) {
+		case 0xe0:
+		case 0xe1: // n9,R
+			read_byte(info, &offset8, (*address)++);
+			op->idx.offset = offset8;
+
+			if (post_byte & 0x01) // sign extension
+				op->idx.offset |= 0xff00;
+
+			op->idx.offset_bits = M680X_OFFSET_BITS_9;
+
+			if (op->idx.base_reg == M680X_REG_PC)
+				op->idx.offset_addr = op->idx.offset + *address;
+
+			break;
+
+		case 0xe3: // [n16,R]
+			op->idx.flags |= M680X_IDX_INDIRECT;
+
+		// intentionally fall through
+		case 0xe2: // n16,R
+			read_word(info, (uint16_t *)&op->idx.offset, *address);
+			(*address) += 2;
+			op->idx.offset_bits = M680X_OFFSET_BITS_16;
+
+			if (op->idx.base_reg == M680X_REG_PC)
+				op->idx.offset_addr = op->idx.offset + *address;
+
+			break;
+
+		case 0xe4: // A,R
+		case 0xe5: // B,R
+		case 0xe6: // D,R
+			op->idx.offset_reg =
+				g_or12_to_reg_ids[post_byte & 0x03];
+			break;
+
+		case 0xe7: // [D,R]
+			op->idx.offset_reg = M680X_REG_D;
+			op->idx.flags |= M680X_IDX_INDIRECT;
+			break;
+
+		default: // n,-r n,+r n,r- n,r+
+			// PC is not allowed in this mode
+			op->idx.base_reg =
+				g_idx12_to_reg_ids[(post_byte >> 6) & 0x03];
+			op->idx.inc_dec = post_byte & 0x0f;
+
+			if (op->idx.inc_dec & 0x08) // evtl. sign extend value
+				op->idx.inc_dec |= 0xf0;
+
+			if (op->idx.inc_dec >= 0)
+				op->idx.inc_dec++;
+
+			if (post_byte & 0x10)
+				op->idx.flags |= M680X_IDX_POST_INC_DEC;
+
+			break;
+
+		}
+	}
+}
+
+static void index_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_CONSTANT;
+	read_byte(info, &op->const_val, (*address)++);
+};
+
+static void direct_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_DIRECT;
+	set_operand_size(info, op, 1);
+	read_byte(info, &op->direct_addr, (*address)++);
+};
+
+static void extended_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_EXTENDED;
+	set_operand_size(info, op, 1);
+	read_word(info, &op->ext.address, *address);
+	*address += 2;
+}
+
+static void immediate_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+	uint16_t word = 0;
+	int16_t sword = 0;
+
+	op->type = M680X_OP_IMMEDIATE;
+	set_operand_size(info, op, 1);
+
+	switch (op->size) {
+	case 1:
+		read_byte_sign_extended(info, &sword, *address);
+		op->imm = sword;
+		break;
+
+	case 2:
+		read_word(info, &word, *address);
+		op->imm = (int16_t)word;
+		break;
+
+	case 4:
+		read_sdword(info, &op->imm, *address);
+		break;
+
+	default:
+		op->imm = 0;
+		CS_ASSERT(0 && "Unexpected immediate byte size");
+	}
+
+	*address += op->size;
+}
+
+// handler for bit move instructions, e.g: BAND A,5,1,$40  Used by HD6309
+static void bit_move_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	static const m680x_reg m680x_reg[] = {
+		M680X_REG_CC, M680X_REG_A, M680X_REG_B, M680X_REG_INVALID,
+	};
+
+	uint8_t post_byte = 0;
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op;
+
+	read_byte(info, &post_byte, *address);
+	(*address)++;
+
+	// operand[0] = register
+	add_reg_operand(info, m680x_reg[post_byte >> 6]);
+
+	// operand[1] = bit index in source operand
+	op = &m680x->operands[m680x->op_count++];
+	op->type = M680X_OP_CONSTANT;
+	op->const_val = (post_byte >> 3) & 0x07;
+
+	// operand[2] = bit index in destination operand
+	op = &m680x->operands[m680x->op_count++];
+	op->type = M680X_OP_CONSTANT;
+	op->const_val = post_byte & 0x07;
+
+	direct_hdlr(MI, info, address);
+}
+
+// handler for TFM instruction, e.g: TFM X+,Y+  Used by HD6309
+static void tfm_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	static const uint8_t inc_dec_r0[] = {
+		1, -1, 1, 0,
+	};
+	static const uint8_t inc_dec_r1[] = {
+		1, -1, 0, 1,
+	};
+	uint8_t regs = 0;
+	uint8_t index = (MI->Opcode & 0xff) - 0x38;
+
+	read_byte(info, &regs, *address);
+
+	add_indexed_operand(info, g_tfr_exg_reg_ids[regs >> 4], true,
+		inc_dec_r0[index], M680X_OFFSET_NONE, 0, true);
+	add_indexed_operand(info, g_tfr_exg_reg_ids[regs & 0x0f], true,
+		inc_dec_r1[index], M680X_OFFSET_NONE, 0, true);
+
+	add_reg_to_rw_list(MI, M680X_REG_W, READ | WRITE);
+}
+
+static void opidx_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	// bit index is coded in Opcode
+	op->type = M680X_OP_CONSTANT;
+	op->const_val = (MI->Opcode & 0x0e) >> 1;
+}
+
+// handler for bit test and branch instruction. Used by M6805.
+// The bit index is part of the opcode.
+// Example: BRSET 3,<$40,LOOP
+static void opidx_dir_rel_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	// bit index is coded in Opcode
+	op->type = M680X_OP_CONSTANT;
+	op->const_val = (MI->Opcode & 0x0e) >> 1;
+	direct_hdlr(MI, info, address);
+	relative8_hdlr(MI, info, address);
+
+	add_reg_to_rw_list(MI, M680X_REG_CC, MODIFY);
+}
+
+static void indexedX0_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	add_indexed_operand(info, M680X_REG_X, false, 0, M680X_OFFSET_NONE,
+		0, false);
+}
+
+static void indexedX16_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint16_t offset = 0;
+
+	read_word(info, &offset, *address);
+	*address += 2;
+	add_indexed_operand(info, M680X_REG_X, false, 0, M680X_OFFSET_BITS_16,
+		offset, false);
+}
+
+static void imm_rel_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	immediate_hdlr(MI, info, address);
+	relative8_hdlr(MI, info, address);
+}
+
+static void indexedS_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint8_t offset = 0;
+
+	read_byte(info, &offset, (*address)++);
+
+	add_indexed_operand(info, M680X_REG_S, false, 0, M680X_OFFSET_BITS_8,
+		(uint16_t)offset, false);
+}
+
+static void indexedS16_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint16_t offset = 0;
+
+	read_word(info, &offset, *address);
+	address += 2;
+
+	add_indexed_operand(info, M680X_REG_S, false, 0, M680X_OFFSET_BITS_16,
+		offset, false);
+}
+
+static void indexedX0p_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	add_indexed_operand(info, M680X_REG_X, true, 1, M680X_OFFSET_NONE,
+		0, true);
+}
+
+static void indexedXp_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	uint8_t offset = 0;
+
+	read_byte(info, &offset, (*address)++);
+
+	add_indexed_operand(info, M680X_REG_X, true, 1, M680X_OFFSET_BITS_8,
+		(uint16_t)offset, false);
+}
+
+static void imm_idx12_x_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op = &m680x->operands[m680x->op_count++];
+
+	indexed12_hdlr(MI, info, address);
+	op->type = M680X_OP_IMMEDIATE;
+
+	if (info->insn == M680X_INS_MOVW) {
+		uint16_t imm16 = 0;
+
+		read_word(info, &imm16, *address);
+		op->imm = (int16_t)imm16;
+		op->size = 2;
+	}
+	else {
+		uint8_t imm8 = 0;
+
+		read_byte(info, &imm8, *address);
+		op->imm = (int8_t)imm8;
+		op->size = 1;
+	}
+
+	set_operand_size(info, op, 1);
+}
+
+static void ext_idx12_x_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_m680x_op *op0 = &m680x->operands[m680x->op_count++];
+	uint16_t imm16 = 0;
+
+	indexed12_hdlr(MI, info, address);
+	read_word(info, &imm16, *address);
+	op0->type = M680X_OP_EXTENDED;
+	op0->ext.address = (int16_t)imm16;
+	set_operand_size(info, op0, 1);
+}
+
+// handler for CPU12 DBEQ/DNBE/IBEQ/IBNE/TBEQ/TBNE instructions.
+// Example: DBNE X,$1000
+static void loop_hdlr(MCInst *MI, m680x_info *info, uint16_t *address)
+{
+	static const m680x_reg index_to_reg_id[] = {
+		M680X_REG_A, M680X_REG_B, M680X_REG_INVALID, M680X_REG_INVALID,
+		M680X_REG_D, M680X_REG_X, M680X_REG_Y, M680X_REG_S,
+	};
+	static const m680x_insn index_to_insn_id[] = {
+		M680X_INS_DBEQ, M680X_INS_DBNE, M680X_INS_TBEQ, M680X_INS_TBNE,
+		M680X_INS_IBEQ, M680X_INS_IBNE, M680X_INS_ILLGL, M680X_INS_ILLGL
+	};
+	cs_m680x *m680x = &info->m680x;
+	uint8_t post_byte = 0;
+	uint8_t rel = 0;
+	cs_m680x_op *op;
+
+	read_byte(info, &post_byte, (*address)++);
+
+	info->insn = index_to_insn_id[(post_byte >> 5) & 0x07];
+
+	if (info->insn == M680X_INS_ILLGL) {
+		illegal_hdlr(MI, info, address);
+	};
+
+	read_byte(info, &rel, (*address)++);
+
+	add_reg_operand(info, index_to_reg_id[post_byte & 0x07]);
+
+	op = &m680x->operands[m680x->op_count++];
+
+	op->type = M680X_OP_RELATIVE;
+
+	op->rel.offset = (post_byte & 0x10) ? 0xff00 | rel : rel;
+
+	op->rel.address = *address + op->rel.offset;
+
+	add_insn_group(MI->flat_insn->detail, M680X_GRP_BRAREL);
+}
+
+static void (*const g_insn_handler[])(MCInst *, m680x_info *, uint16_t *) = {
+	illegal_hdlr,
+	relative8_hdlr,
+	relative16_hdlr,
+	immediate_hdlr, // 8-bit
+	immediate_hdlr, // 16-bit
+	immediate_hdlr, // 32-bit
+	direct_hdlr,
+	extended_hdlr,
+	indexedX_hdlr,
+	indexedY_hdlr,
+	indexed09_hdlr,
+	inherent_hdlr,
+	reg_reg09_hdlr,
+	reg_bits_hdlr,
+	bit_move_hdlr,
+	tfm_hdlr,
+	opidx_hdlr,
+	opidx_dir_rel_hdlr,
+	indexedX0_hdlr,
+	indexedX16_hdlr,
+	imm_rel_hdlr,
+	indexedS_hdlr,
+	indexedS16_hdlr,
+	indexedXp_hdlr,
+	indexedX0p_hdlr,
+	indexed12_hdlr,
+	indexed12_hdlr, // subset of indexed12
+	reg_reg12_hdlr,
+	loop_hdlr,
+	index_hdlr,
+	imm_idx12_x_hdlr,
+	imm_idx12_x_hdlr,
+	ext_idx12_x_hdlr,
+}; /* handler function pointers */
+
+/* Disasemble one instruction at address and store in str_buff */
+static unsigned int m680x_disassemble(MCInst *MI, m680x_info *info,
+	uint16_t address)
+{
+	cs_m680x *m680x = &info->m680x;
+	cs_detail *detail = MI->flat_insn->detail;
+	uint16_t base_address = address;
+	insn_desc insn_description;
+	e_access_mode access_mode;
+
+	if (detail != NULL) {
+		memset(detail, 0, offsetof(cs_detail, m680x)+sizeof(cs_m680x));
+	}
+
+	memset(&insn_description, 0, sizeof(insn_description));
+	memset(m680x, 0, sizeof(*m680x));
+	info->insn_size = 1;
+
+	if (decode_insn(info, address, &insn_description)) {
+		m680x_reg reg;
+
+		if (insn_description.opcode > 0xff)
+			address += 2; // 8-bit opcode + page prefix
+		else
+			address++; // 8-bit opcode only
+
+		info->insn = insn_description.insn;
+
+		MCInst_setOpcode(MI, insn_description.opcode);
+
+		reg = g_insn_props[info->insn].reg0;
+
+		if (reg != M680X_REG_INVALID) {
+			if (reg == M680X_REG_HX &&
+				(!info->cpu->reg_byte_size[reg]))
+				reg = M680X_REG_X;
+
+			add_reg_operand(info, reg);
+			// First (or second) operand is a register which is
+			// part of the mnemonic
+			m680x->flags |= M680X_FIRST_OP_IN_MNEM;
+			reg = g_insn_props[info->insn].reg1;
+
+			if (reg != M680X_REG_INVALID) {
+				if (reg == M680X_REG_HX &&
+					(!info->cpu->reg_byte_size[reg]))
+					reg = M680X_REG_X;
+
+				add_reg_operand(info, reg);
+				m680x->flags |= M680X_SECOND_OP_IN_MNEM;
+			}
+		}
+
+		// Call addressing mode specific instruction handler
+		(g_insn_handler[insn_description.hid[0]])(MI, info,
+			&address);
+		(g_insn_handler[insn_description.hid[1]])(MI, info,
+			&address);
+
+		add_insn_group(detail, g_insn_props[info->insn].group);
+
+		if (g_insn_props[info->insn].cc_modified &&
+			(info->cpu->insn_cc_not_modified[0] != info->insn) &&
+			(info->cpu->insn_cc_not_modified[1] != info->insn))
+			add_reg_to_rw_list(MI, M680X_REG_CC, MODIFY);
+
+		access_mode = g_insn_props[info->insn].access_mode;
+
+		// Fix for M6805 BSET/BCLR. It has a differnt operand order
+		// in comparison to the M6811
+		if ((info->cpu->insn_cc_not_modified[0] == info->insn) ||
+			(info->cpu->insn_cc_not_modified[1] == info->insn))
+			access_mode = rmmm;
+
+		build_regs_read_write_counts(MI, info, access_mode);
+		add_operators_access(MI, info, access_mode);
+
+		if (g_insn_props[info->insn].update_reg_access)
+			set_changed_regs_read_write_counts(MI, info);
+
+		info->insn_size = insn_description.insn_size;
+
+		return info->insn_size;
+	}
+	else
+		MCInst_setOpcode(MI, insn_description.opcode);
+
+	// Illegal instruction
+	address = base_address;
+	illegal_hdlr(MI, info, &address);
+	return 1;
+}
+
+// Tables to get the byte size of a register on the CPU
+// based on an enum m680x_reg value.
+// Invalid registers return 0.
+static const uint8_t g_m6800_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_m6805_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_m6808_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 2, 0, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_m6801_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_m6811_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_cpu12_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 2, 2, 2
+};
+
+static const uint8_t g_m6809_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 2, 2, 2, 2, 0, 0, 2, 0, 0
+};
+
+static const uint8_t g_hd6309_reg_byte_size[22] = {
+	// A  B  E  F  0  D  W  CC DP MD HX H  X  Y  S  U  V  Q  PC T2 T3
+	0, 1, 1, 1, 1, 1, 2, 2, 1, 1, 1, 0, 0, 2, 2, 2, 2, 2, 4, 2, 0, 0
+};
+
+// Table to check for a valid register nibble on the M6809 CPU
+// used for TFR and EXG instruction.
+static const bool m6809_tfr_reg_valid[16] = {
+	true, true, true, true, true,  true,  false, false,
+	true, true, true, true, false, false, false, false,
+};
+
+static const cpu_tables g_cpu_tables[] = {
+	{
+		// M680X_CPU_TYPE_INVALID
+		NULL,
+		{ NULL, NULL },
+		{ 0, 0 },
+		{ 0x00, 0x00, 0x00 },
+		{ NULL, NULL, NULL },
+		{ 0, 0, 0 },
+		NULL,
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6301
+		&g_m6800_inst_page1_table[0],
+		{ &g_m6801_inst_overlay_table[0], &g_hd6301_inst_overlay_table[0] },
+		{
+			ARR_SIZE(g_m6801_inst_overlay_table),
+			ARR_SIZE(g_hd6301_inst_overlay_table)
+		},
+		{ 0x00, 0x00, 0x00 },
+		{ NULL, NULL, NULL },
+		{ 0, 0, 0 },
+		&g_m6801_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6309
+		&g_m6809_inst_page1_table[0],
+		{ &g_hd6309_inst_overlay_table[0], NULL },
+		{ ARR_SIZE(g_hd6309_inst_overlay_table), 0 },
+		{ 0x10, 0x11, 0x00 },
+		{ &g_hd6309_inst_page2_table[0], &g_hd6309_inst_page3_table[0], NULL },
+		{
+			ARR_SIZE(g_hd6309_inst_page2_table),
+			ARR_SIZE(g_hd6309_inst_page3_table),
+			0
+		},
+		&g_hd6309_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6800
+		&g_m6800_inst_page1_table[0],
+		{ NULL, NULL },
+		{ 0, 0 },
+		{ 0x00, 0x00, 0x00 },
+		{ NULL, NULL, NULL },
+		{ 0, 0, 0 },
+		&g_m6800_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6801
+		&g_m6800_inst_page1_table[0],
+		{ &g_m6801_inst_overlay_table[0], NULL },
+		{ ARR_SIZE(g_m6801_inst_overlay_table), 0 },
+		{ 0x00, 0x00, 0x00 },
+		{ NULL, NULL, NULL },
+		{ 0, 0, 0 },
+		&g_m6801_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6805
+		&g_m6805_inst_page1_table[0],
+		{ NULL, NULL },
+		{ 0, 0 },
+		{ 0x00, 0x00, 0x00 },
+		{ NULL, NULL, NULL },
+		{ 0, 0, 0 },
+		&g_m6805_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_BCLR, M680X_INS_BSET }
+	},
+	{
+		// M680X_CPU_TYPE_6808
+		&g_m6805_inst_page1_table[0],
+		{ &g_m6808_inst_overlay_table[0], NULL },
+		{ ARR_SIZE(g_m6808_inst_overlay_table), 0 },
+		{ 0x9E, 0x00, 0x00 },
+		{ &g_m6808_inst_page2_table[0], NULL, NULL },
+		{ ARR_SIZE(g_m6808_inst_page2_table), 0, 0 },
+		&g_m6808_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_BCLR, M680X_INS_BSET }
+	},
+	{
+		// M680X_CPU_TYPE_6809
+		&g_m6809_inst_page1_table[0],
+		{ NULL, NULL },
+		{ 0, 0 },
+		{ 0x10, 0x11, 0x00 },
+		{
+			&g_m6809_inst_page2_table[0],
+			&g_m6809_inst_page3_table[0],
+			NULL
+		},
+		{
+			ARR_SIZE(g_m6809_inst_page2_table),
+			ARR_SIZE(g_m6809_inst_page3_table),
+			0
+		},
+		&g_m6809_reg_byte_size[0],
+		&m6809_tfr_reg_valid[0],
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_6811
+		&g_m6800_inst_page1_table[0],
+		{
+			&g_m6801_inst_overlay_table[0],
+			&g_m6811_inst_overlay_table[0]
+		},
+		{
+			ARR_SIZE(g_m6801_inst_overlay_table),
+			ARR_SIZE(g_m6811_inst_overlay_table)
+		},
+		{ 0x18, 0x1A, 0xCD },
+		{
+			&g_m6811_inst_page2_table[0],
+			&g_m6811_inst_page3_table[0],
+			&g_m6811_inst_page4_table[0]
+		},
+		{
+			ARR_SIZE(g_m6811_inst_page2_table),
+			ARR_SIZE(g_m6811_inst_page3_table),
+			ARR_SIZE(g_m6811_inst_page4_table)
+		},
+		&g_m6811_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_CPU12
+		&g_cpu12_inst_page1_table[0],
+		{ NULL, NULL },
+		{ 0, 0 },
+		{ 0x18, 0x00, 0x00 },
+		{ &g_cpu12_inst_page2_table[0], NULL, NULL },
+		{ ARR_SIZE(g_cpu12_inst_page2_table), 0, 0 },
+		&g_cpu12_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_INVLD, M680X_INS_INVLD }
+	},
+	{
+		// M680X_CPU_TYPE_HCS08
+		&g_m6805_inst_page1_table[0],
+		{
+			&g_m6808_inst_overlay_table[0],
+			&g_hcs08_inst_overlay_table[0]
+		},
+		{
+			ARR_SIZE(g_m6808_inst_overlay_table),
+			ARR_SIZE(g_hcs08_inst_overlay_table)
+		},
+		{ 0x9E, 0x00, 0x00 },
+		{ &g_hcs08_inst_page2_table[0], NULL, NULL },
+		{ ARR_SIZE(g_hcs08_inst_page2_table), 0, 0 },
+		&g_m6808_reg_byte_size[0],
+		NULL,
+		{ M680X_INS_BCLR, M680X_INS_BSET }
+	},
+};
+
+static const char *s_cpu_type[] = {
+	"INVALID", "6301", "6309", "6800", "6801", "6805", "6808",
+	"6809", "6811", "CPU12", "HCS08",
+};
+
+static bool m680x_setup_internals(m680x_info *info, e_cpu_type cpu_type,
+	uint16_t address,
+	const uint8_t *code, uint16_t code_len)
+{
+	if (cpu_type == M680X_CPU_TYPE_INVALID) {
+		return false;
+	}
+
+	info->code = code;
+	info->size = code_len;
+	info->offset = address;
+	info->cpu_type = cpu_type;
+
+	info->cpu = &g_cpu_tables[info->cpu_type];
+
+	return true;
+}
+
+bool M680X_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+	MCInst *MI, uint16_t *size, uint64_t address, void *inst_info)
+{
+	unsigned int insn_size = 0;
+	e_cpu_type cpu_type = M680X_CPU_TYPE_INVALID; // No default CPU type
+	cs_struct *handle = (cs_struct *)ud;
+	m680x_info *info = (m680x_info *)handle->printer_info;
+
+	MCInst_clear(MI);
+
+	if (handle->mode & CS_MODE_M680X_6800)
+		cpu_type = M680X_CPU_TYPE_6800;
+
+	else if (handle->mode & CS_MODE_M680X_6801)
+		cpu_type = M680X_CPU_TYPE_6801;
+
+	else if (handle->mode & CS_MODE_M680X_6805)
+		cpu_type = M680X_CPU_TYPE_6805;
+
+	else if (handle->mode & CS_MODE_M680X_6808)
+		cpu_type = M680X_CPU_TYPE_6808;
+
+	else if (handle->mode & CS_MODE_M680X_HCS08)
+		cpu_type = M680X_CPU_TYPE_HCS08;
+
+	else if (handle->mode & CS_MODE_M680X_6809)
+		cpu_type = M680X_CPU_TYPE_6809;
+
+	else if (handle->mode & CS_MODE_M680X_6301)
+		cpu_type = M680X_CPU_TYPE_6301;
+
+	else if (handle->mode & CS_MODE_M680X_6309)
+		cpu_type = M680X_CPU_TYPE_6309;
+
+	else if (handle->mode & CS_MODE_M680X_6811)
+		cpu_type = M680X_CPU_TYPE_6811;
+
+	else if (handle->mode & CS_MODE_M680X_CPU12)
+		cpu_type = M680X_CPU_TYPE_CPU12;
+
+	if (cpu_type != M680X_CPU_TYPE_INVALID &&
+		m680x_setup_internals(info, cpu_type, (uint16_t)address, code,
+			code_len))
+		insn_size = m680x_disassemble(MI, info, (uint16_t)address);
+
+	if (insn_size == 0) {
+		*size = 1;
+		return false;
+	}
+
+	// Make sure we always stay within range
+	if (insn_size > code_len) {
+		*size = (uint16_t)code_len;
+		return false;
+	}
+	else
+		*size = (uint16_t)insn_size;
+
+	return true;
+}
+
+cs_err M680X_disassembler_init(cs_struct *ud)
+{
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6800_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6800_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6801_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6801_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6805_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6805_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6808_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6808_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6811_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6811_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_cpu12_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_cpu12_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_REG_ENDING != ARR_SIZE(g_m6809_reg_byte_size)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(g_m6809_reg_byte_size));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_INS_ENDING != ARR_SIZE(g_insn_props)) {
+		CS_ASSERT(M680X_INS_ENDING == ARR_SIZE(g_insn_props));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_CPU_TYPE_ENDING != ARR_SIZE(s_cpu_type)) {
+		CS_ASSERT(M680X_CPU_TYPE_ENDING == ARR_SIZE(s_cpu_type));
+
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_CPU_TYPE_ENDING != ARR_SIZE(g_cpu_tables)) {
+		CS_ASSERT(M680X_CPU_TYPE_ENDING == ARR_SIZE(g_cpu_tables));
+
+		return CS_ERR_MODE;
+	}
+
+	if (HANDLER_ID_ENDING != ARR_SIZE(g_insn_handler)) {
+		CS_ASSERT(HANDLER_ID_ENDING == ARR_SIZE(g_insn_handler));
+
+		return CS_ERR_MODE;
+	}
+
+	if (ACCESS_MODE_ENDING !=  MATRIX_SIZE(g_access_mode_to_access)) {
+		CS_ASSERT(ACCESS_MODE_ENDING ==
+			MATRIX_SIZE(g_access_mode_to_access));
+
+		return CS_ERR_MODE;
+	}
+
+	return CS_ERR_OK;
+}
+
+#ifndef CAPSTONE_DIET
+void M680X_reg_access(const cs_insn *insn,
+	cs_regs regs_read, uint8_t *regs_read_count,
+	cs_regs regs_write, uint8_t *regs_write_count)
+{
+	if (insn->detail == NULL) {
+		*regs_read_count = 0;
+		*regs_write_count = 0;
+	}
+	else {
+		*regs_read_count = insn->detail->regs_read_count;
+		*regs_write_count = insn->detail->regs_write_count;
+
+		memcpy(regs_read, insn->detail->regs_read,
+			*regs_read_count * sizeof(insn->detail->regs_read[0]));
+		memcpy(regs_write, insn->detail->regs_write,
+			*regs_write_count *
+			sizeof(insn->detail->regs_write[0]));
+	}
+}
+#endif
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassembler.h 4.0.2-3/arch/M680X/M680XDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassembler.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,17 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifndef CS_M680XDISASSEMBLER_H
+#define CS_M680XDISASSEMBLER_H
+
+#include "../../MCInst.h"
+
+bool M680X_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+	MCInst *instr, uint16_t *size, uint64_t address, void *info);
+void M680X_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id);
+void M680X_reg_access(const cs_insn *insn,
+	cs_regs regs_read, uint8_t *regs_read_count,
+	cs_regs regs_write, uint8_t *regs_write_count);
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassemblerInternals.h 4.0.2-3/arch/M680X/M680XDisassemblerInternals.h
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XDisassemblerInternals.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XDisassemblerInternals.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,57 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifndef CS_M680XDISASSEMBLERINTERNALS_H
+#define CS_M680XDISASSEMBLERINTERNALS_H
+
+#include "../../MCInst.h"
+#include "../../include/capstone/m680x.h"
+
+typedef enum e_cpu_type {
+	M680X_CPU_TYPE_INVALID,
+	M680X_CPU_TYPE_6301,	// M680X Hitachi HD6301,HD6303 mode
+	M680X_CPU_TYPE_6309,	// M680X Hitachi HD6309 mode
+	M680X_CPU_TYPE_6800,	// M680X Motorola 6800,6802 mode
+	M680X_CPU_TYPE_6801,	// M680X Motorola 6801,6803 mode
+	M680X_CPU_TYPE_6805,	// M680X Motorola/Freescale M68HC05 mode
+	M680X_CPU_TYPE_6808,	// M680X Motorola/Freescale M68HC08 mode
+	M680X_CPU_TYPE_6809,	// M680X Motorola 6809 mode
+	M680X_CPU_TYPE_6811,	// M680X Motorola/Freescale M68HC11 mode
+	M680X_CPU_TYPE_CPU12,	// M680X Motorola/Freescale CPU12 mode
+	// used on M68HC12/HCS12
+	M680X_CPU_TYPE_HCS08,	// M680X Freescale HCS08 mode
+	M680X_CPU_TYPE_ENDING,
+} e_cpu_type;
+
+struct inst_page1;
+struct inst_pageX;
+
+typedef struct {
+	const struct inst_page1 *inst_page1_table;
+	const struct inst_pageX *inst_overlay_table[2];
+	size_t overlay_table_size[2];
+	uint8_t pageX_prefix[3];
+	const struct inst_pageX *inst_pageX_table[3];
+	size_t pageX_table_size[3];
+	const uint8_t *reg_byte_size;
+	const bool *tfr_reg_valid;
+	m680x_insn insn_cc_not_modified[2];
+} cpu_tables;
+
+/* Private, For internal use only */
+typedef struct m680x_info {
+	const uint8_t *code;	// code buffer
+	uint32_t size;		// byte size of code
+	uint16_t offset;	// address offset of first byte in code buffer
+	e_cpu_type cpu_type;	// The CPU type to be used for disassembling
+	cs_m680x m680x;		// M680X specific properties
+	const cpu_tables *cpu;
+	m680x_insn insn;	// Instruction ID
+	uint8_t insn_size;	// byte size of instruction
+} m680x_info;
+
+extern cs_err M680X_disassembler_init(cs_struct *ud);
+extern cs_err M680X_instprinter_init(cs_struct *ud);
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XInstPrinter.c 4.0.2-3/arch/M680X/M680XInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XInstPrinter.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,360 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifdef CAPSTONE_HAS_M680X
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <capstone/platform.h>
+
+#include "../../cs_priv.h"
+#include "../../MCInst.h"
+#include "../../SStream.h"
+#include "../../MCRegisterInfo.h"
+#include "../../utils.h"
+#include "M680XInstPrinter.h"
+#include "M680XDisassembler.h"
+#include "M680XDisassemblerInternals.h"
+
+#ifndef CAPSTONE_DIET
+static const char s_reg_names[][10] = {
+	"<invalid>", "a", "b", "e", "f", "0", "d", "w", "cc", "dp", "md",
+	"hx", "h", "x", "y", "s", "u", "v", "q", "pc", "tmp2", "tmp3",
+};
+
+static const char s_instruction_names[][6] = {
+	"invld", "aba", "abx", "aby", "adc", "adca", "adcb", "adcd", "adcr",
+	"add", "adda", "addb", "addd", "adde", "addf", "addr", "addw",
+	"aim", "ais", "aix", "and", "anda", "andb", "andcc", "andd", "andr",
+	"asl", "asla", "aslb", "asld",
+	"asr", "asra", "asrb", "asrd", "asrx",
+	"band",
+	"bcc", "bclr", "bcs", "beor", "beq", "bge", "bgnd", "bgt", "bhcc",
+	"bhcs", "bhi",
+	"biand", "bieor", "bih", "bil",
+	"bior", "bit", "bita", "bitb", "bitd", "bitmd", "ble", "bls", "blt",
+	"bmc",
+	"bmi", "bms",
+	"bne", "bor", "bpl", "brclr", "brset", "bra", "brn", "bset", "bsr",
+	"bvc", "bvs",
+	"call", "cba", "cbeq", "cbeqa", "cbeqx", "clc", "cli",
+	"clr", "clra", "clrb", "clrd", "clre", "clrf", "clrh", "clrw", "clrx",
+	"clv", "cmp",
+	"cmpa", "cmpb", "cmpd", "cmpe", "cmpf", "cmpr", "cmps", "cmpu", "cmpw",
+	"cmpx", "cmpy",
+	"com", "coma", "comb", "comd", "come", "comf", "comw", "comx", "cpd",
+	"cphx", "cps", "cpx", "cpy",
+	"cwai", "daa", "dbeq", "dbne", "dbnz", "dbnza", "dbnzx",
+	"dec", "deca", "decb", "decd", "dece", "decf", "decw",
+	"decx", "des", "dex", "dey",
+	"div", "divd", "divq", "ediv", "edivs", "eim", "emacs", "emaxd",
+	"emaxm", "emind", "eminm", "emul", "emuls",
+	"eor", "eora", "eorb", "eord", "eorr", "etbl",
+	"exg", "fdiv", "ibeq", "ibne", "idiv", "idivs", "illgl",
+	"inc", "inca", "incb", "incd", "ince", "incf", "incw", "incx",
+	"ins", "inx", "iny",
+	"jmp", "jsr",
+	"lbcc", "lbcs", "lbeq", "lbge", "lbgt", "lbhi", "lble", "lbls", "lblt",
+	"lbmi", "lbne", "lbpl", "lbra", "lbrn", "lbsr", "lbvc", "lbvs",
+	"lda", "ldaa", "ldab", "ldb", "ldbt", "ldd", "lde", "ldf", "ldhx",
+	"ldmd",
+	"ldq", "lds", "ldu", "ldw", "ldx", "ldy",
+	"leas", "leau", "leax", "leay",
+	"lsl", "lsla", "lslb", "lsld", "lslx",
+	"lsr", "lsra", "lsrb", "lsrd", "lsrw", "lsrx",
+	"maxa", "maxm", "mem", "mina", "minm", "mov", "movb", "movw", "mul",
+	"muld",
+	"neg", "nega", "negb", "negd", "negx",
+	"nop", "nsa", "oim", "ora", "oraa", "orab", "orb", "orcc", "ord", "orr",
+	"psha", "pshb", "pshc", "pshd", "pshh", "pshs", "pshsw", "pshu",
+	"pshuw", "pshx", "pshy",
+	"pula", "pulb", "pulc", "puld", "pulh", "puls", "pulsw", "pulu",
+	"puluw", "pulx", "puly", "rev", "revw",
+	"rol", "rola", "rolb", "rold", "rolw", "rolx",
+	"ror", "rora", "rorb", "rord", "rorw", "rorx",
+	"rsp", "rtc", "rti", "rts", "sba", "sbc", "sbca", "sbcb", "sbcd",
+	"sbcr",
+	"sec", "sei", "sev", "sex", "sexw", "slp", "sta", "staa", "stab", "stb",
+	"stbt", "std", "ste", "stf", "stop", "sthx",
+	"stq", "sts", "stu", "stw", "stx", "sty",
+	"sub", "suba", "subb", "subd", "sube", "subf", "subr", "subw",
+	"swi", "swi2", "swi3",
+	"sync", "tab", "tap", "tax", "tba", "tbeq", "tbl", "tbne", "test",
+	"tfm", "tfr",
+	"tim", "tpa",
+	"tst", "tsta", "tstb", "tstd", "tste", "tstf", "tstw", "tstx",
+	"tsx", "tsy", "txa", "txs", "tys", "wai", "wait", "wav", "wavr",
+	"xgdx", "xgdy",
+};
+
+static name_map s_group_names[] = {
+	{ M680X_GRP_INVALID, "<invalid>" },
+	{ M680X_GRP_JUMP,  "jump" },
+	{ M680X_GRP_CALL,  "call" },
+	{ M680X_GRP_RET, "return" },
+	{ M680X_GRP_INT, "interrupt" },
+	{ M680X_GRP_IRET,  "interrupt_return" },
+	{ M680X_GRP_PRIV,  "privileged" },
+	{ M680X_GRP_BRAREL,  "branch_relative" },
+};
+#endif
+
+static void printRegName(cs_struct *handle, SStream *OS, unsigned int reg)
+{
+#ifndef CAPSTONE_DIET
+	SStream_concat(OS, handle->reg_name((csh)handle, reg));
+#endif
+}
+
+static void printInstructionName(cs_struct *handle, SStream *OS,
+	unsigned int insn)
+{
+#ifndef CAPSTONE_DIET
+	SStream_concat(OS, handle->insn_name((csh)handle, insn));
+#endif
+}
+
+static uint32_t get_unsigned(int32_t value, int byte_size)
+{
+	switch (byte_size) {
+	case 1:
+		return (uint32_t)(value & 0xff);
+
+	case 2:
+		return (uint32_t)(value & 0xffff);
+
+	default:
+	case 4:
+		return (uint32_t)value;
+	}
+}
+
+static void printIncDec(bool isPost, SStream *O, m680x_info *info,
+	cs_m680x_op *op)
+{
+	static const char s_inc_dec[][3] = { "--", "-", "", "+", "++" };
+
+	if (!op->idx.inc_dec)
+		return;
+
+	if ((!isPost && !(op->idx.flags & M680X_IDX_POST_INC_DEC)) ||
+		(isPost && (op->idx.flags & M680X_IDX_POST_INC_DEC))) {
+		const char *prePostfix = "";
+
+		if (info->cpu_type == M680X_CPU_TYPE_CPU12)
+			prePostfix = (op->idx.inc_dec < 0) ? "-" : "+";
+		else if (op->idx.inc_dec >= -2 && (op->idx.inc_dec <= 2)) {
+			prePostfix = (char *)s_inc_dec[op->idx.inc_dec + 2];
+		}
+
+		SStream_concat(O, prePostfix);
+	}
+}
+
+static void printOperand(MCInst *MI, SStream *O, m680x_info *info,
+	cs_m680x_op *op)
+{
+	switch (op->type) {
+	case M680X_OP_REGISTER:
+		printRegName(MI->csh, O, op->reg);
+		break;
+
+	case M680X_OP_CONSTANT:
+		SStream_concat(O, "%u", op->const_val);
+		break;
+
+	case M680X_OP_IMMEDIATE:
+		if (MI->csh->imm_unsigned)
+			SStream_concat(O, "#%u",
+				get_unsigned(op->imm, op->size));
+		else
+			SStream_concat(O, "#%d", op->imm);
+
+		break;
+
+	case M680X_OP_INDEXED:
+		if (op->idx.flags & M680X_IDX_INDIRECT)
+			SStream_concat(O, "[");
+
+		if (op->idx.offset_reg != M680X_REG_INVALID)
+			printRegName(MI->csh, O, op->idx.offset_reg);
+		else if (op->idx.offset_bits > 0) {
+			if (op->idx.base_reg == M680X_REG_PC)
+				SStream_concat(O, "$%04x", op->idx.offset_addr);
+			else
+				SStream_concat(O, "%d", op->idx.offset);
+		}
+		else if (op->idx.inc_dec != 0 &&
+			info->cpu_type == M680X_CPU_TYPE_CPU12)
+			SStream_concat(O, "%d", abs(op->idx.inc_dec));
+
+		if (!(op->idx.flags & M680X_IDX_NO_COMMA))
+			SStream_concat(O, ", ");
+
+		printIncDec(false, O, info, op);
+
+		printRegName(MI->csh, O, op->idx.base_reg);
+
+		if (op->idx.base_reg == M680X_REG_PC &&
+			(op->idx.offset_bits > 0))
+			SStream_concat(O, "r");
+
+		printIncDec(true, O, info, op);
+
+		if (op->idx.flags & M680X_IDX_INDIRECT)
+			SStream_concat(O, "]");
+
+		break;
+
+	case M680X_OP_RELATIVE:
+		SStream_concat(O, "$%04x", op->rel.address);
+		break;
+
+	case M680X_OP_DIRECT:
+		SStream_concat(O, "$%02x", op->direct_addr);
+		break;
+
+	case M680X_OP_EXTENDED:
+		if (op->ext.indirect)
+			SStream_concat(O, "[$%04x]", op->ext.address);
+		else {
+			if (op->ext.address < 256) {
+				SStream_concat(O, ">$%04x", op->ext.address);
+			}
+			else {
+				SStream_concat(O, "$%04x", op->ext.address);
+			}
+		}
+
+		break;
+
+	default:
+		SStream_concat(O, "<invalid_operand>");
+		break;
+	}
+}
+
+static const char *getDelimiter(m680x_info *info, cs_m680x *m680x)
+{
+	bool indexed = false;
+	int count = 0;
+	int i;
+
+	if (info->insn == M680X_INS_TFM)
+		return ", ";
+
+	if (m680x->op_count > 1) {
+		for (i  = 0; i < m680x->op_count; ++i) {
+			if (m680x->operands[i].type == M680X_OP_INDEXED)
+				indexed = true;
+
+			if (m680x->operands[i].type != M680X_OP_REGISTER)
+				count++;
+		}
+	}
+
+	return (indexed && (count >= 1)) ? "; " : ", ";
+};
+
+void M680X_printInst(MCInst *MI, SStream *O, void *PrinterInfo)
+{
+	m680x_info *info = (m680x_info *)PrinterInfo;
+	cs_m680x *m680x = &info->m680x;
+	cs_detail *detail = MI->flat_insn->detail;
+	int suppress_operands = 0;
+	const char *delimiter = getDelimiter(info, m680x);
+	int i;
+
+	if (detail != NULL)
+		memcpy(&detail->m680x, m680x, sizeof(cs_m680x));
+
+	if (info->insn == M680X_INS_INVLD || info->insn == M680X_INS_ILLGL) {
+		if (m680x->op_count)
+			SStream_concat(O, "fcb $%02x", m680x->operands[0].imm);
+		else
+			SStream_concat(O, "fcb $<unknown>");
+
+		return;
+	}
+
+	printInstructionName(MI->csh, O, info->insn);
+	SStream_concat(O, " ");
+
+	if ((m680x->flags & M680X_FIRST_OP_IN_MNEM) != 0)
+		suppress_operands++;
+
+	if ((m680x->flags & M680X_SECOND_OP_IN_MNEM) != 0)
+		suppress_operands++;
+
+	for (i  = 0; i < m680x->op_count; ++i) {
+		if (i >= suppress_operands) {
+			printOperand(MI, O, info, &m680x->operands[i]);
+
+			if ((i + 1) != m680x->op_count)
+				SStream_concat(O, delimiter);
+		}
+	}
+}
+
+const char *M680X_reg_name(csh handle, unsigned int reg)
+{
+#ifndef CAPSTONE_DIET
+
+	if (reg >= ARR_SIZE(s_reg_names))
+		return NULL;
+
+	return s_reg_names[(int)reg];
+#else
+	return NULL;
+#endif
+}
+
+const char *M680X_insn_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+
+	if (id >= ARR_SIZE(s_instruction_names))
+		return NULL;
+	else
+		return s_instruction_names[(int)id];
+
+#else
+	return NULL;
+#endif
+}
+
+const char *M680X_group_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	return id2name(s_group_names, ARR_SIZE(s_group_names), id);
+#else
+	return NULL;
+#endif
+}
+
+cs_err M680X_instprinter_init(cs_struct *ud)
+{
+#ifndef CAPSTONE_DIET
+
+	if (M680X_REG_ENDING != ARR_SIZE(s_reg_names)) {
+		CS_ASSERT(M680X_REG_ENDING == ARR_SIZE(s_reg_names));
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_INS_ENDING != ARR_SIZE(s_instruction_names)) {
+		CS_ASSERT(M680X_INS_ENDING == ARR_SIZE(s_instruction_names));
+		return CS_ERR_MODE;
+	}
+
+	if (M680X_GRP_ENDING != ARR_SIZE(s_group_names)) {
+		CS_ASSERT(M680X_GRP_ENDING == ARR_SIZE(s_group_names));
+		return CS_ERR_MODE;
+	}
+
+#endif
+
+	return CS_ERR_OK;
+}
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XInstPrinter.h 4.0.2-3/arch/M680X/M680XInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XInstPrinter.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,25 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifndef CS_M680XINSTPRINTER_H
+#define CS_M680XINSTPRINTER_H
+
+
+#include "capstone/capstone.h"
+#include "../../MCRegisterInfo.h"
+#include "../../MCInst.h"
+
+struct SStream;
+
+void M680X_init(MCRegisterInfo *MRI);
+
+void M680X_printInst(MCInst *MI, struct SStream *O, void *Info);
+const char *M680X_reg_name(csh handle, unsigned int reg);
+const char *M680X_insn_name(csh handle, unsigned int id);
+const char *M680X_group_name(csh handle, unsigned int id);
+void M680X_post_printer(csh handle, cs_insn *flat_insn, char *insn_asm,
+	MCInst *mci);
+
+#endif
+
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XModule.c 4.0.2-3/arch/M680X/M680XModule.c
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XModule.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,77 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifdef CAPSTONE_HAS_M680X
+
+#include "../../utils.h"
+#include "../../MCRegisterInfo.h"
+#include "M680XDisassembler.h"
+#include "M680XDisassemblerInternals.h"
+#include "M680XInstPrinter.h"
+#include "M680XModule.h"
+
+cs_err M680X_global_init(cs_struct *ud)
+{
+	m680x_info *info;
+	cs_err errcode;
+
+	/* Do some validation checks */
+	errcode = M680X_disassembler_init(ud);
+
+	if (errcode != CS_ERR_OK)
+		return errcode;
+
+	errcode =  M680X_instprinter_init(ud);
+
+	if (errcode != CS_ERR_OK)
+		return errcode;
+
+	// verify if requested mode is valid
+	if (ud->mode & ~(CS_MODE_M680X_6800 | CS_MODE_M680X_6801 |
+			CS_MODE_M680X_6805 | CS_MODE_M680X_6808 |
+			CS_MODE_M680X_6809 | CS_MODE_M680X_6811 |
+			CS_MODE_M680X_6301 | CS_MODE_M680X_6309 |
+			CS_MODE_M680X_CPU12 | CS_MODE_M680X_HCS08)) {
+		// At least one mode is not supported by M680X
+		return CS_ERR_MODE;
+	}
+
+	if (!(ud->mode & (CS_MODE_M680X_6800 | CS_MODE_M680X_6801 |
+				CS_MODE_M680X_6805 | CS_MODE_M680X_6808 |
+				CS_MODE_M680X_6809 | CS_MODE_M680X_6811 |
+				CS_MODE_M680X_6301 | CS_MODE_M680X_6309 |
+				CS_MODE_M680X_CPU12 | CS_MODE_M680X_HCS08))) {
+		// At least the cpu type has to be selected. No default.
+		return CS_ERR_MODE;
+	}
+
+	info = cs_mem_malloc(sizeof(m680x_info));
+
+	if (!info)
+		return CS_ERR_MEM;
+
+	ud->printer = M680X_printInst;
+	ud->printer_info = info;
+	ud->getinsn_info = NULL;
+	ud->disasm = M680X_getInstruction;
+	ud->reg_name = M680X_reg_name;
+	ud->insn_id = M680X_get_insn_id;
+	ud->insn_name = M680X_insn_name;
+	ud->group_name = M680X_group_name;
+	ud->skipdata_size = 1;
+	ud->post_printer = NULL;
+#ifndef CAPSTONE_DIET
+	ud->reg_access = M680X_reg_access;
+#endif
+
+	return CS_ERR_OK;
+}
+
+cs_err M680X_option(cs_struct *handle, cs_opt_type type, size_t value)
+{
+	//TODO
+	return CS_ERR_OK;
+}
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/M680XModule.h 4.0.2-3/arch/M680X/M680XModule.h
--- 4.0.1+really+3.0.5-2/arch/M680X/M680XModule.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/M680XModule.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+/* Capstone Disassembly Engine */
+/* By Travis Finkenauer <tmfinken@gmail.com>, 2018 */
+
+#ifndef CS_M680X_MODULE_H
+#define CS_M680X_MODULE_H
+
+#include "../../utils.h"
+
+cs_err M680X_global_init(cs_struct *ud);
+cs_err M680X_option(cs_struct *handle, cs_opt_type type, size_t value);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/M680X/m6811.inc 4.0.2-3/arch/M680X/m6811.inc
--- 4.0.1+really+3.0.5-2/arch/M680X/m6811.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M680X/m6811.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,105 @@
+
+// Additional instructions only supported on M68HC11
+static const inst_pageX g_m6811_inst_overlay_table[] = {
+	{ 0x00, M680X_INS_TEST, inh_hid, inh_hid },
+	{ 0x02, M680X_INS_IDIV, inh_hid, inh_hid },
+	{ 0x03, M680X_INS_FDIV, inh_hid, inh_hid },
+	{ 0x12, M680X_INS_BRSET, dir_hid, imm8rel_hid },
+	{ 0x13, M680X_INS_BRCLR, dir_hid, imm8rel_hid },
+	{ 0x14, M680X_INS_BSET, dir_hid, imm8_hid },
+	{ 0x15, M680X_INS_BCLR, dir_hid, imm8_hid },
+	{ 0x1c, M680X_INS_BSET, idxX_hid, imm8_hid },
+	{ 0x1d, M680X_INS_BCLR, idxX_hid, imm8_hid },
+	{ 0x1e, M680X_INS_BRSET, idxX_hid, imm8rel_hid },
+	{ 0x1f, M680X_INS_BRCLR, idxX_hid, imm8rel_hid },
+	{ 0x8f, M680X_INS_XGDX, inh_hid, inh_hid },
+	{ 0xcf, M680X_INS_STOP, inh_hid, inh_hid },
+};
+
+// M68HC11 PAGE2 instructions
+static const inst_pageX g_m6811_inst_page2_table[] = {
+	{ 0x08, M680X_INS_INY, inh_hid, inh_hid },
+	{ 0x09, M680X_INS_DEY, inh_hid, inh_hid },
+	{ 0x1c, M680X_INS_BSET, idxY_hid, imm8_hid },
+	{ 0x1d, M680X_INS_BCLR, idxY_hid, imm8_hid },
+	{ 0x1e, M680X_INS_BRSET, idxY_hid, imm8rel_hid },
+	{ 0x1f, M680X_INS_BRCLR, idxY_hid, imm8rel_hid },
+	{ 0x30, M680X_INS_TSY, inh_hid, inh_hid },
+	{ 0x35, M680X_INS_TYS, inh_hid, inh_hid },
+	{ 0x38, M680X_INS_PULY, inh_hid, inh_hid },
+	{ 0x3a, M680X_INS_ABY, inh_hid, inh_hid },
+	{ 0x3c, M680X_INS_PSHY, inh_hid, inh_hid },
+	{ 0x60, M680X_INS_NEG, idxY_hid, inh_hid },
+	{ 0x63, M680X_INS_COM, idxY_hid, inh_hid },
+	{ 0x64, M680X_INS_LSR, idxY_hid, inh_hid },
+	{ 0x66, M680X_INS_ROR, idxY_hid, inh_hid },
+	{ 0x67, M680X_INS_ASR, idxY_hid, inh_hid },
+	{ 0x68, M680X_INS_ASL, idxY_hid, inh_hid },
+	{ 0x69, M680X_INS_ROL, idxY_hid, inh_hid },
+	{ 0x6a, M680X_INS_DEC, idxY_hid, inh_hid },
+	{ 0x6c, M680X_INS_INC, idxY_hid, inh_hid },
+	{ 0x6d, M680X_INS_TST, idxY_hid, inh_hid },
+	{ 0x6e, M680X_INS_JMP, idxY_hid, inh_hid },
+	{ 0x6f, M680X_INS_CLR, idxY_hid, inh_hid },
+	{ 0x8c, M680X_INS_CPY, imm16_hid, inh_hid },
+	{ 0x8f, M680X_INS_XGDY, inh_hid, inh_hid },
+	{ 0x9c, M680X_INS_CPY, dir_hid, inh_hid },
+	{ 0xa0, M680X_INS_SUBA, idxY_hid, inh_hid },
+	{ 0xa1, M680X_INS_CMPA, idxY_hid, inh_hid },
+	{ 0xa2, M680X_INS_SBCA, idxY_hid, inh_hid },
+	{ 0xa3, M680X_INS_SUBD, idxY_hid, inh_hid },
+	{ 0xa4, M680X_INS_ANDA, idxY_hid, inh_hid },
+	{ 0xa5, M680X_INS_BITA, idxY_hid, inh_hid },
+	{ 0xa6, M680X_INS_LDAA, idxY_hid, inh_hid },
+	{ 0xa7, M680X_INS_STAA, idxY_hid, inh_hid },
+	{ 0xa8, M680X_INS_EORA, idxY_hid, inh_hid },
+	{ 0xa9, M680X_INS_ADCA, idxY_hid, inh_hid },
+	{ 0xaa, M680X_INS_ORAA, idxY_hid, inh_hid },
+	{ 0xab, M680X_INS_ADDA, idxY_hid, inh_hid },
+	{ 0xac, M680X_INS_CPY, idxY_hid, inh_hid },
+	{ 0xad, M680X_INS_JSR, idxY_hid, inh_hid },
+	{ 0xae, M680X_INS_LDS, idxY_hid, inh_hid },
+	{ 0xaf, M680X_INS_STS, idxY_hid, inh_hid },
+	{ 0xbc, M680X_INS_CPY, ext_hid, inh_hid },
+	{ 0xce, M680X_INS_LDY, imm16_hid, inh_hid },
+	{ 0xde, M680X_INS_LDY, dir_hid, inh_hid },
+	{ 0xdf, M680X_INS_STY, dir_hid, inh_hid },
+	{ 0xe0, M680X_INS_SUBB, idxY_hid, inh_hid },
+	{ 0xe1, M680X_INS_CMPB, idxY_hid, inh_hid },
+	{ 0xe2, M680X_INS_SBCB, idxY_hid, inh_hid },
+	{ 0xe3, M680X_INS_ADDD, idxY_hid, inh_hid },
+	{ 0xe4, M680X_INS_ANDB, idxY_hid, inh_hid },
+	{ 0xe5, M680X_INS_BITB, idxY_hid, inh_hid },
+	{ 0xe6, M680X_INS_LDAB, idxY_hid, inh_hid },
+	{ 0xe7, M680X_INS_STAB, idxY_hid, inh_hid },
+	{ 0xe8, M680X_INS_EORB, idxY_hid, inh_hid },
+	{ 0xe9, M680X_INS_ADCB, idxY_hid, inh_hid },
+	{ 0xea, M680X_INS_ORAB, idxY_hid, inh_hid },
+	{ 0xeb, M680X_INS_ADDB, idxY_hid, inh_hid },
+	{ 0xec, M680X_INS_LDD, idxY_hid, inh_hid },
+	{ 0xed, M680X_INS_STD, idxY_hid, inh_hid },
+	{ 0xee, M680X_INS_LDY, idxY_hid, inh_hid },
+	{ 0xef, M680X_INS_STY, idxY_hid, inh_hid },
+	{ 0xfe, M680X_INS_LDY, ext_hid, inh_hid },
+	{ 0xff, M680X_INS_STY, ext_hid, inh_hid },
+};
+
+// M68HC11 PAGE3 instructions
+static const inst_pageX g_m6811_inst_page3_table[] = {
+	{ 0x83, M680X_INS_CPD, imm16_hid, inh_hid },
+	{ 0x93, M680X_INS_CPD, dir_hid, inh_hid },
+	{ 0xa3, M680X_INS_CPD, idxX_hid, inh_hid },
+	{ 0xac, M680X_INS_CPY, idxX_hid, inh_hid },
+	{ 0xb3, M680X_INS_CPD, ext_hid, inh_hid },
+	{ 0xee, M680X_INS_LDY, idxX_hid, inh_hid },
+	{ 0xef, M680X_INS_STY, idxX_hid, inh_hid },
+};
+
+// M68HC11 PAGE4 instructions
+static const inst_pageX g_m6811_inst_page4_table[] = {
+	{ 0xa3, M680X_INS_CPD, idxY_hid, inh_hid },
+	{ 0xac, M680X_INS_CPX, idxY_hid, inh_hid },
+	{ 0xee, M680X_INS_LDX, idxY_hid, inh_hid },
+	{ 0xef, M680X_INS_STX, idxY_hid, inh_hid },
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KDisassembler.c 4.0.2-3/arch/M68K/M68KDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KDisassembler.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,3657 @@
+/* ======================================================================== */
+/* ========================= LICENSING & COPYRIGHT ======================== */
+/* ======================================================================== */
+/*
+ *                                  MUSASHI
+ *                                Version 3.4
+ *
+ * A portable Motorola M680x0 processor emulation engine.
+ * Copyright 1998-2001 Karl Stenerud.  All rights reserved.
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ * THE SOFTWARE.
+ */
+
+/* The code below is based on MUSASHI but has been heavily modified for Capstone by
+ * Daniel Collin <daniel@collin.com> 2015-2019 */
+
+/* ======================================================================== */
+/* ================================ INCLUDES ============================== */
+/* ======================================================================== */
+
+#include <stdlib.h>
+#include <stdio.h>
+#include <string.h>
+
+#include "../../cs_priv.h"
+#include "../../utils.h"
+
+#include "../../MCInst.h"
+#include "../../MCInstrDesc.h"
+#include "../../MCRegisterInfo.h"
+#include "M68KInstPrinter.h"
+#include "M68KDisassembler.h"
+
+/* ======================================================================== */
+/* ============================ GENERAL DEFINES =========================== */
+/* ======================================================================== */
+
+/* Bit Isolation Functions */
+#define BIT_0(A)  ((A) & 0x00000001)
+#define BIT_1(A)  ((A) & 0x00000002)
+#define BIT_2(A)  ((A) & 0x00000004)
+#define BIT_3(A)  ((A) & 0x00000008)
+#define BIT_4(A)  ((A) & 0x00000010)
+#define BIT_5(A)  ((A) & 0x00000020)
+#define BIT_6(A)  ((A) & 0x00000040)
+#define BIT_7(A)  ((A) & 0x00000080)
+#define BIT_8(A)  ((A) & 0x00000100)
+#define BIT_9(A)  ((A) & 0x00000200)
+#define BIT_A(A)  ((A) & 0x00000400)
+#define BIT_B(A)  ((A) & 0x00000800)
+#define BIT_C(A)  ((A) & 0x00001000)
+#define BIT_D(A)  ((A) & 0x00002000)
+#define BIT_E(A)  ((A) & 0x00004000)
+#define BIT_F(A)  ((A) & 0x00008000)
+#define BIT_10(A) ((A) & 0x00010000)
+#define BIT_11(A) ((A) & 0x00020000)
+#define BIT_12(A) ((A) & 0x00040000)
+#define BIT_13(A) ((A) & 0x00080000)
+#define BIT_14(A) ((A) & 0x00100000)
+#define BIT_15(A) ((A) & 0x00200000)
+#define BIT_16(A) ((A) & 0x00400000)
+#define BIT_17(A) ((A) & 0x00800000)
+#define BIT_18(A) ((A) & 0x01000000)
+#define BIT_19(A) ((A) & 0x02000000)
+#define BIT_1A(A) ((A) & 0x04000000)
+#define BIT_1B(A) ((A) & 0x08000000)
+#define BIT_1C(A) ((A) & 0x10000000)
+#define BIT_1D(A) ((A) & 0x20000000)
+#define BIT_1E(A) ((A) & 0x40000000)
+#define BIT_1F(A) ((A) & 0x80000000)
+
+/* These are the CPU types understood by this disassembler */
+#define TYPE_68000 1
+#define TYPE_68010 2
+#define TYPE_68020 4
+#define TYPE_68030 8
+#define TYPE_68040 16
+
+#define M68000_ONLY		TYPE_68000
+
+#define M68010_ONLY		TYPE_68010
+#define M68010_LESS		(TYPE_68000 | TYPE_68010)
+#define M68010_PLUS		(TYPE_68010 | TYPE_68020 | TYPE_68030 | TYPE_68040)
+
+#define M68020_ONLY 	TYPE_68020
+#define M68020_LESS 	(TYPE_68010 | TYPE_68020)
+#define M68020_PLUS		(TYPE_68020 | TYPE_68030 | TYPE_68040)
+
+#define M68030_ONLY 	TYPE_68030
+#define M68030_LESS 	(TYPE_68010 | TYPE_68020 | TYPE_68030)
+#define M68030_PLUS		(TYPE_68030 | TYPE_68040)
+
+#define M68040_PLUS		TYPE_68040
+
+enum {
+	M68K_CPU_TYPE_INVALID,
+	M68K_CPU_TYPE_68000,
+	M68K_CPU_TYPE_68010,
+	M68K_CPU_TYPE_68EC020,
+	M68K_CPU_TYPE_68020,
+	M68K_CPU_TYPE_68030,	/* Supported by disassembler ONLY */
+	M68K_CPU_TYPE_68040		/* Supported by disassembler ONLY */
+};
+
+/* Extension word formats */
+#define EXT_8BIT_DISPLACEMENT(A)          ((A)&0xff)
+#define EXT_FULL(A)                       BIT_8(A)
+#define EXT_EFFECTIVE_ZERO(A)             (((A)&0xe4) == 0xc4 || ((A)&0xe2) == 0xc0)
+#define EXT_BASE_REGISTER_PRESENT(A)      (!BIT_7(A))
+#define EXT_INDEX_REGISTER_PRESENT(A)     (!BIT_6(A))
+#define EXT_INDEX_REGISTER(A)             (((A)>>12)&7)
+#define EXT_INDEX_PRE_POST(A)             (EXT_INDEX_PRESENT(A) && (A)&3)
+#define EXT_INDEX_PRE(A)                  (EXT_INDEX_PRESENT(A) && ((A)&7) < 4 && ((A)&7) != 0)
+#define EXT_INDEX_POST(A)                 (EXT_INDEX_PRESENT(A) && ((A)&7) > 4)
+#define EXT_INDEX_SCALE(A)                (((A)>>9)&3)
+#define EXT_INDEX_LONG(A)                 BIT_B(A)
+#define EXT_INDEX_AR(A)                   BIT_F(A)
+#define EXT_BASE_DISPLACEMENT_PRESENT(A)  (((A)&0x30) > 0x10)
+#define EXT_BASE_DISPLACEMENT_WORD(A)     (((A)&0x30) == 0x20)
+#define EXT_BASE_DISPLACEMENT_LONG(A)     (((A)&0x30) == 0x30)
+#define EXT_OUTER_DISPLACEMENT_PRESENT(A) (((A)&3) > 1 && ((A)&0x47) < 0x44)
+#define EXT_OUTER_DISPLACEMENT_WORD(A)    (((A)&3) == 2 && ((A)&0x47) < 0x44)
+#define EXT_OUTER_DISPLACEMENT_LONG(A)    (((A)&3) == 3 && ((A)&0x47) < 0x44)
+
+#define IS_BITSET(val,b) ((val) & (1 << (b)))
+#define BITFIELD_MASK(sb,eb)  (((1 << ((sb) + 1))-1) & (~((1 << (eb))-1)))
+#define BITFIELD(val,sb,eb) ((BITFIELD_MASK(sb,eb) & (val)) >> (eb))
+
+///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
+
+static unsigned int m68k_read_disassembler_16(const m68k_info *info, const uint64_t addr)
+{
+	const uint16_t v0 = info->code[addr + 0];
+	const uint16_t v1 = info->code[addr + 1];
+	return (v0 << 8) | v1;
+}
+
+static unsigned int m68k_read_disassembler_32(const m68k_info *info, const uint64_t addr)
+{
+	const uint32_t v0 = info->code[addr + 0];
+	const uint32_t v1 = info->code[addr + 1];
+	const uint32_t v2 = info->code[addr + 2];
+	const uint32_t v3 = info->code[addr + 3];
+	return (v0 << 24) | (v1 << 16) | (v2 << 8) | v3;
+}
+
+static uint64_t m68k_read_disassembler_64(const m68k_info *info, const uint64_t addr)
+{
+	const uint64_t v0 = info->code[addr + 0];
+	const uint64_t v1 = info->code[addr + 1];
+	const uint64_t v2 = info->code[addr + 2];
+	const uint64_t v3 = info->code[addr + 3];
+	const uint64_t v4 = info->code[addr + 4];
+	const uint64_t v5 = info->code[addr + 5];
+	const uint64_t v6 = info->code[addr + 6];
+	const uint64_t v7 = info->code[addr + 7];
+	return (v0 << 56) | (v1 << 48) | (v2 << 40) | (v3 << 32) | (v4 << 24) | (v5 << 16) | (v6 << 8) | v7;
+}
+
+static unsigned int m68k_read_safe_16(const m68k_info *info, const uint64_t address)
+{
+	const uint64_t addr = (address - info->baseAddress) & info->address_mask;
+	if (info->code_len < addr + 2) {
+		return 0xaaaa;
+	}
+	return m68k_read_disassembler_16(info, addr);
+}
+
+static unsigned int m68k_read_safe_32(const m68k_info *info, const uint64_t address)
+{
+	const uint64_t addr = (address - info->baseAddress) & info->address_mask;
+	if (info->code_len < addr + 4) {
+		return 0xaaaaaaaa;
+	}
+	return m68k_read_disassembler_32(info, addr);
+}
+
+static uint64_t m68k_read_safe_64(const m68k_info *info, const uint64_t address)
+{
+	const uint64_t addr = (address - info->baseAddress) & info->address_mask;
+	if (info->code_len < addr + 8) {
+		return 0xaaaaaaaaaaaaaaaaLL;
+	}
+	return m68k_read_disassembler_64(info, addr);
+}
+
+/* ======================================================================== */
+/* =============================== PROTOTYPES ============================= */
+/* ======================================================================== */
+
+/* make signed integers 100% portably */
+static int make_int_8(int value);
+static int make_int_16(int value);
+
+/* Stuff to build the opcode handler jump table */
+static void d68000_invalid(m68k_info *info);
+static int instruction_is_valid(m68k_info *info, const unsigned int word_check);
+
+typedef struct {
+	void (*instruction)(m68k_info *info);   /* handler function */
+	uint16_t word2_mask;              		/* mask the 2nd word */
+	uint16_t word2_match;             		/* what to match after masking */
+} instruction_struct;
+
+/* ======================================================================== */
+/* ================================= DATA ================================= */
+/* ======================================================================== */
+
+static instruction_struct g_instruction_table[0x10000];
+
+/* used by ops like asr, ror, addq, etc */
+static uint32_t g_3bit_qdata_table[8] = {8, 1, 2, 3, 4, 5, 6, 7};
+
+static uint32_t g_5bit_data_table[32] = {
+	32,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15,
+	16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31
+};
+
+static m68k_insn s_branch_lut[] = {
+	M68K_INS_INVALID, M68K_INS_INVALID, M68K_INS_BHI, M68K_INS_BLS,
+	M68K_INS_BCC, M68K_INS_BCS, M68K_INS_BNE, M68K_INS_BEQ,
+	M68K_INS_BVC, M68K_INS_BVS, M68K_INS_BPL, M68K_INS_BMI,
+	M68K_INS_BGE, M68K_INS_BLT, M68K_INS_BGT, M68K_INS_BLE,
+};
+
+static m68k_insn s_dbcc_lut[] = {
+	M68K_INS_DBT, M68K_INS_DBF, M68K_INS_DBHI, M68K_INS_DBLS,
+	M68K_INS_DBCC, M68K_INS_DBCS, M68K_INS_DBNE, M68K_INS_DBEQ,
+	M68K_INS_DBVC, M68K_INS_DBVS, M68K_INS_DBPL, M68K_INS_DBMI,
+	M68K_INS_DBGE, M68K_INS_DBLT, M68K_INS_DBGT, M68K_INS_DBLE,
+};
+
+static m68k_insn s_scc_lut[] = {
+	M68K_INS_ST, M68K_INS_SF, M68K_INS_SHI, M68K_INS_SLS,
+	M68K_INS_SCC, M68K_INS_SCS, M68K_INS_SNE, M68K_INS_SEQ,
+	M68K_INS_SVC, M68K_INS_SVS, M68K_INS_SPL, M68K_INS_SMI,
+	M68K_INS_SGE, M68K_INS_SLT, M68K_INS_SGT, M68K_INS_SLE,
+};
+
+static m68k_insn s_trap_lut[] = {
+	M68K_INS_TRAPT, M68K_INS_TRAPF, M68K_INS_TRAPHI, M68K_INS_TRAPLS,
+	M68K_INS_TRAPCC, M68K_INS_TRAPCS, M68K_INS_TRAPNE, M68K_INS_TRAPEQ,
+	M68K_INS_TRAPVC, M68K_INS_TRAPVS, M68K_INS_TRAPPL, M68K_INS_TRAPMI,
+	M68K_INS_TRAPGE, M68K_INS_TRAPLT, M68K_INS_TRAPGT, M68K_INS_TRAPLE,
+};
+
+/* ======================================================================== */
+/* =========================== UTILITY FUNCTIONS ========================== */
+/* ======================================================================== */
+
+#define LIMIT_CPU_TYPES(info, ALLOWED_CPU_TYPES)	\
+	do {						\
+		if (!(info->type & ALLOWED_CPU_TYPES)) {	\
+			d68000_invalid(info);		\
+			return;				\
+		}					\
+	} while (0)
+
+static unsigned int peek_imm_8(const m68k_info *info)  { return (m68k_read_safe_16((info), (info)->pc)&0xff); }
+static unsigned int peek_imm_16(const m68k_info *info) { return m68k_read_safe_16((info), (info)->pc); }
+static unsigned int peek_imm_32(const m68k_info *info) { return m68k_read_safe_32((info), (info)->pc); }
+static unsigned long long peek_imm_64(const m68k_info *info) { return m68k_read_safe_64((info), (info)->pc); }
+
+static unsigned int read_imm_8(m68k_info *info)  { const unsigned int value = peek_imm_8(info);  (info)->pc+=2; return value; }
+static unsigned int read_imm_16(m68k_info *info) { const unsigned int value = peek_imm_16(info); (info)->pc+=2; return value; }
+static unsigned int read_imm_32(m68k_info *info) { const unsigned int value = peek_imm_32(info); (info)->pc+=4; return value; }
+static unsigned long long read_imm_64(m68k_info *info) { const unsigned long long value = peek_imm_64(info); (info)->pc+=8; return value; }
+
+/* Fake a split interface */
+#define get_ea_mode_str_8(instruction) get_ea_mode_str(instruction, 0)
+#define get_ea_mode_str_16(instruction) get_ea_mode_str(instruction, 1)
+#define get_ea_mode_str_32(instruction) get_ea_mode_str(instruction, 2)
+
+#define get_imm_str_s8() get_imm_str_s(0)
+#define get_imm_str_s16() get_imm_str_s(1)
+#define get_imm_str_s32() get_imm_str_s(2)
+
+#define get_imm_str_u8() get_imm_str_u(0)
+#define get_imm_str_u16() get_imm_str_u(1)
+#define get_imm_str_u32() get_imm_str_u(2)
+
+
+/* 100% portable signed int generators */
+static int make_int_8(int value)
+{
+	return (value & 0x80) ? value | ~0xff : value & 0xff;
+}
+
+static int make_int_16(int value)
+{
+	return (value & 0x8000) ? value | ~0xffff : value & 0xffff;
+}
+
+static void get_with_index_address_mode(m68k_info *info, cs_m68k_op* op, uint32_t instruction, uint32_t size, bool is_pc)
+{
+	uint32_t extension = read_imm_16(info);
+
+	op->address_mode = M68K_AM_AREGI_INDEX_BASE_DISP;
+
+	if (EXT_FULL(extension)) {
+		uint32_t preindex;
+		uint32_t postindex;
+
+		op->mem.base_reg = M68K_REG_INVALID;
+		op->mem.index_reg = M68K_REG_INVALID;
+
+		/* Not sure how to deal with this?
+		   if (EXT_EFFECTIVE_ZERO(extension)) {
+		   strcpy(mode, "0");
+		   break;
+		   }
+		 */
+
+		op->mem.in_disp = EXT_BASE_DISPLACEMENT_PRESENT(extension) ? (EXT_BASE_DISPLACEMENT_LONG(extension) ? read_imm_32(info) : read_imm_16(info)) : 0;
+		op->mem.out_disp = EXT_OUTER_DISPLACEMENT_PRESENT(extension) ? (EXT_OUTER_DISPLACEMENT_LONG(extension) ? read_imm_32(info) : read_imm_16(info)) : 0;
+
+		if (EXT_BASE_REGISTER_PRESENT(extension)) {
+			if (is_pc) {
+				op->mem.base_reg = M68K_REG_PC;
+			} else {
+				op->mem.base_reg = M68K_REG_A0 + (instruction & 7);
+			}
+		}
+
+		if (EXT_INDEX_REGISTER_PRESENT(extension)) {
+			if (EXT_INDEX_AR(extension)) {
+				op->mem.index_reg = M68K_REG_A0 + EXT_INDEX_REGISTER(extension);
+			} else {
+				op->mem.index_reg = M68K_REG_D0 + EXT_INDEX_REGISTER(extension);
+			}
+
+			op->mem.index_size = EXT_INDEX_LONG(extension) ? 1 : 0;
+
+			if (EXT_INDEX_SCALE(extension)) {
+				op->mem.scale = 1 << EXT_INDEX_SCALE(extension);
+			}
+		}
+
+		preindex = (extension & 7) > 0 && (extension & 7) < 4;
+		postindex = (extension & 7) > 4;
+
+		if (preindex) {
+			op->address_mode = is_pc ? M68K_AM_PC_MEMI_PRE_INDEX : M68K_AM_MEMI_PRE_INDEX;
+		} else if (postindex) {
+			op->address_mode = is_pc ? M68K_AM_PC_MEMI_POST_INDEX : M68K_AM_MEMI_POST_INDEX;
+		}
+
+		return;
+	}
+
+	op->mem.index_reg = (EXT_INDEX_AR(extension) ? M68K_REG_A0 : M68K_REG_D0) + EXT_INDEX_REGISTER(extension);
+	op->mem.index_size = EXT_INDEX_LONG(extension) ? 1 : 0;
+
+	if (EXT_8BIT_DISPLACEMENT(extension) == 0) {
+		if (is_pc) {
+			op->mem.base_reg = M68K_REG_PC;
+			op->address_mode = M68K_AM_PCI_INDEX_BASE_DISP;
+		} else {
+			op->mem.base_reg = M68K_REG_A0 + (instruction & 7);
+		}
+	} else {
+		if (is_pc) {
+			op->mem.base_reg = M68K_REG_PC;
+			op->address_mode = M68K_AM_PCI_INDEX_8_BIT_DISP;
+		} else {
+			op->mem.base_reg = M68K_REG_A0 + (instruction & 7);
+			op->address_mode = M68K_AM_AREGI_INDEX_8_BIT_DISP;
+		}
+
+		op->mem.disp = (int8_t)(extension & 0xff);
+	}
+
+	if (EXT_INDEX_SCALE(extension)) {
+		op->mem.scale = 1 << EXT_INDEX_SCALE(extension);
+	}
+}
+
+/* Make string of effective address mode */
+static void get_ea_mode_op(m68k_info *info, cs_m68k_op* op, uint32_t instruction, uint32_t size)
+{
+	// default to memory
+
+	op->type = M68K_OP_MEM;
+
+	switch (instruction & 0x3f) {
+		case 0x00: case 0x01: case 0x02: case 0x03: case 0x04: case 0x05: case 0x06: case 0x07:
+			/* data register direct */
+			op->address_mode = M68K_AM_REG_DIRECT_DATA;
+			op->reg = M68K_REG_D0 + (instruction & 7);
+			op->type = M68K_OP_REG;
+			break;
+
+		case 0x08: case 0x09: case 0x0a: case 0x0b: case 0x0c: case 0x0d: case 0x0e: case 0x0f:
+			/* address register direct */
+			op->address_mode = M68K_AM_REG_DIRECT_ADDR;
+			op->reg = M68K_REG_A0 + (instruction & 7);
+			op->type = M68K_OP_REG;
+			break;
+
+		case 0x10: case 0x11: case 0x12: case 0x13: case 0x14: case 0x15: case 0x16: case 0x17:
+			/* address register indirect */
+			op->address_mode = M68K_AM_REGI_ADDR;
+			op->reg = M68K_REG_A0 + (instruction & 7);
+			break;
+
+		case 0x18: case 0x19: case 0x1a: case 0x1b: case 0x1c: case 0x1d: case 0x1e: case 0x1f:
+			/* address register indirect with postincrement */
+			op->address_mode = M68K_AM_REGI_ADDR_POST_INC;
+			op->reg = M68K_REG_A0 + (instruction & 7);
+			break;
+
+		case 0x20: case 0x21: case 0x22: case 0x23: case 0x24: case 0x25: case 0x26: case 0x27:
+			/* address register indirect with predecrement */
+			op->address_mode = M68K_AM_REGI_ADDR_PRE_DEC;
+			op->reg = M68K_REG_A0 + (instruction & 7);
+			break;
+
+		case 0x28: case 0x29: case 0x2a: case 0x2b: case 0x2c: case 0x2d: case 0x2e: case 0x2f:
+			/* address register indirect with displacement*/
+			op->address_mode = M68K_AM_REGI_ADDR_DISP;
+			op->mem.base_reg = M68K_REG_A0 + (instruction & 7);
+			op->mem.disp = (int16_t)read_imm_16(info);
+			break;
+
+		case 0x30: case 0x31: case 0x32: case 0x33: case 0x34: case 0x35: case 0x36: case 0x37:
+			/* address register indirect with index */
+			get_with_index_address_mode(info, op, instruction, size, false);
+			break;
+
+		case 0x38:
+			/* absolute short address */
+			op->address_mode = M68K_AM_ABSOLUTE_DATA_SHORT;
+			op->imm = read_imm_16(info);
+			break;
+
+		case 0x39:
+			/* absolute long address */
+			op->address_mode = M68K_AM_ABSOLUTE_DATA_LONG;
+			op->imm = read_imm_32(info);
+			break;
+
+		case 0x3a:
+			/* program counter with displacement */
+			op->address_mode = M68K_AM_PCI_DISP;
+			op->mem.disp = (int16_t)read_imm_16(info);
+			break;
+
+		case 0x3b:
+			/* program counter with index */
+			get_with_index_address_mode(info, op, instruction, size, true);
+			break;
+
+		case 0x3c:
+			op->address_mode = M68K_AM_IMMEDIATE;
+			op->type = M68K_OP_IMM;
+
+			if (size == 1)
+				op->imm = read_imm_8(info) & 0xff;
+			else if (size == 2)
+				op->imm = read_imm_16(info) & 0xffff;
+			else if (size == 4)
+				op->imm = read_imm_32(info);
+			else
+				op->imm = read_imm_64(info);
+
+			break;
+
+		default:
+			break;
+	}
+}
+
+static void set_insn_group(m68k_info *info, m68k_group_type group)
+{
+	info->groups[info->groups_count++] = (uint8_t)group;
+}
+
+static cs_m68k* build_init_op(m68k_info *info, int opcode, int count, int size)
+{
+	cs_m68k* ext;
+
+	MCInst_setOpcode(info->inst, opcode);
+
+	ext = &info->extension;
+
+	ext->op_count = (uint8_t)count;
+	ext->op_size.type = M68K_SIZE_TYPE_CPU;
+	ext->op_size.cpu_size = size;
+
+	return ext;
+}
+
+static void build_re_gen_1(m68k_info *info, bool isDreg, int opcode, uint8_t size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	if (isDreg) {
+		op0->address_mode = M68K_AM_REG_DIRECT_DATA;
+		op0->reg = M68K_REG_D0 + ((info->ir >> 9 ) & 7);
+	} else {
+		op0->address_mode = M68K_AM_REG_DIRECT_ADDR;
+		op0->reg = M68K_REG_A0 + ((info->ir >> 9 ) & 7);
+	}
+
+	get_ea_mode_op(info, op1, info->ir, size);
+}
+
+static void build_re_1(m68k_info *info, int opcode, uint8_t size)
+{
+	build_re_gen_1(info, true, opcode, size);
+}
+
+static void build_er_gen_1(m68k_info *info, bool isDreg, int opcode, uint8_t size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, size);
+
+	if (isDreg) {
+		op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+		op1->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+	} else {
+		op1->address_mode = M68K_AM_REG_DIRECT_ADDR;
+		op1->reg = M68K_REG_A0 + ((info->ir >> 9) & 7);
+	}
+}
+
+static void build_rr(m68k_info *info, int opcode, uint8_t size, int imm)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k_op* op2;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+	op2 = &ext->operands[2];
+
+	op0->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op0->reg = M68K_REG_D0 + (info->ir & 7);
+
+	op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op1->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+
+	if (imm > 0) {
+		ext->op_count = 3;
+		op2->type = M68K_OP_IMM;
+		op2->address_mode = M68K_AM_IMMEDIATE;
+		op2->imm = imm;
+	}
+}
+
+static void build_r(m68k_info *info, int opcode, uint8_t size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op0->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+
+	op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op1->reg = M68K_REG_D0 + (info->ir & 7);
+}
+
+static void build_imm_ea(m68k_info *info, int opcode, uint8_t size, int imm)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_IMM;
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->imm = imm;
+
+	get_ea_mode_op(info, op1, info->ir, size);
+}
+
+static void build_3bit_d(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_IMM;
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->imm = g_3bit_qdata_table[(info->ir >> 9) & 7];
+
+	op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op1->reg = M68K_REG_D0 + (info->ir & 7);
+}
+
+static void build_3bit_ea(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_IMM;
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->imm = g_3bit_qdata_table[(info->ir >> 9) & 7];
+
+	get_ea_mode_op(info, op1, info->ir, size);
+}
+
+static void build_mm(m68k_info *info, int opcode, uint8_t size, int imm)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k_op* op2;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+	op2 = &ext->operands[2];
+
+	op0->address_mode = M68K_AM_REGI_ADDR_PRE_DEC;
+	op0->reg = M68K_REG_A0 + (info->ir & 7);
+
+	op1->address_mode = M68K_AM_REGI_ADDR_PRE_DEC;
+	op1->reg = M68K_REG_A0 + ((info->ir >> 9) & 7);
+
+	if (imm > 0) {
+		ext->op_count = 3;
+		op2->type = M68K_OP_IMM;
+		op2->address_mode = M68K_AM_IMMEDIATE;
+		op2->imm = imm;
+	}
+}
+
+static void build_ea(m68k_info *info, int opcode, uint8_t size)
+{
+	cs_m68k* ext = build_init_op(info, opcode, 1, size);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, size);
+}
+
+static void build_ea_a(m68k_info *info, int opcode, uint8_t size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, size);
+
+	op1->address_mode = M68K_AM_REG_DIRECT_ADDR;
+	op1->reg = M68K_REG_A0 + ((info->ir >> 9) & 7);
+}
+
+static void build_ea_ea(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, size);
+	get_ea_mode_op(info, op1, (((info->ir>>9) & 7) | ((info->ir>>3) & 0x38)), size);
+}
+
+static void build_pi_pi(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_REGI_ADDR_POST_INC;
+	op0->reg = M68K_REG_A0 + (info->ir & 7);
+
+	op1->address_mode = M68K_AM_REGI_ADDR_POST_INC;
+	op1->reg = M68K_REG_A0 + ((info->ir >> 9) & 7);
+}
+
+static void build_imm_special_reg(m68k_info *info, int opcode, int imm, int size, m68k_reg reg)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_IMM;
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->imm = imm;
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = reg;
+}
+
+static void build_relative_branch(m68k_info *info, int opcode, int size, int displacement)
+{
+	cs_m68k_op* op;
+	cs_m68k* ext = build_init_op(info, opcode, 1, size);
+
+	op = &ext->operands[0];
+
+	op->type = M68K_OP_BR_DISP;
+	op->address_mode = M68K_AM_BRANCH_DISPLACEMENT;
+	op->br_disp.disp = displacement;
+	op->br_disp.disp_size = size;
+
+	set_insn_group(info, M68K_GRP_JUMP);
+	set_insn_group(info, M68K_GRP_BRANCH_RELATIVE);
+}
+
+static void build_absolute_jump_with_immediate(m68k_info *info, int opcode, int size, int immediate)
+{
+	cs_m68k_op* op;
+	cs_m68k* ext = build_init_op(info, opcode, 1, size);
+
+	op = &ext->operands[0];
+
+	op->type = M68K_OP_IMM;
+	op->address_mode = M68K_AM_IMMEDIATE;
+	op->imm = immediate;
+
+	set_insn_group(info, M68K_GRP_JUMP);
+}
+
+static void build_bcc(m68k_info *info, int size, int displacement)
+{
+	build_relative_branch(info, s_branch_lut[(info->ir >> 8) & 0xf], size, displacement);
+}
+
+static void build_trap(m68k_info *info, int size, int immediate)
+{
+	build_absolute_jump_with_immediate(info, s_trap_lut[(info->ir >> 8) & 0xf], size, immediate);
+}
+
+static void build_dbxx(m68k_info *info, int opcode, int size, int displacement)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op0->reg = M68K_REG_D0 + (info->ir & 7);
+
+	op1->type = M68K_OP_BR_DISP;
+	op1->address_mode = M68K_AM_BRANCH_DISPLACEMENT;
+	op1->br_disp.disp = displacement;
+	op1->br_disp.disp_size = M68K_OP_BR_DISP_SIZE_LONG;
+
+	set_insn_group(info, M68K_GRP_JUMP);
+	set_insn_group(info, M68K_GRP_BRANCH_RELATIVE);
+}
+
+static void build_dbcc(m68k_info *info, int size, int displacement)
+{
+	build_dbxx(info, s_dbcc_lut[(info->ir >> 8) & 0xf], size, displacement);
+}
+
+static void build_d_d_ea(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k_op* op2;
+	uint32_t extension = read_imm_16(info);
+	cs_m68k* ext = build_init_op(info, opcode, 3, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+	op2 = &ext->operands[2];
+
+	op0->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op0->reg = M68K_REG_D0 + (extension & 7);
+
+	op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op1->reg = M68K_REG_D0 + ((extension >> 6) & 7);
+
+	get_ea_mode_op(info, op2, info->ir, size);
+}
+
+static void build_bitfield_ins(m68k_info *info, int opcode, int has_d_arg)
+{
+	uint8_t offset;
+	uint8_t width;
+	cs_m68k_op* op_ea;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 1, 0);
+	uint32_t extension = read_imm_16(info);
+
+	op_ea = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	if (BIT_B(extension))
+		offset = (extension >> 6) & 7;
+	else
+		offset = (extension >> 6) & 31;
+
+	if (BIT_5(extension))
+		width = extension & 7;
+	else
+		width = (uint8_t)g_5bit_data_table[extension & 31];
+
+	if (has_d_arg) {
+		ext->op_count = 2;
+		op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+		op1->reg = M68K_REG_D0 + ((extension >> 12) & 7);
+	}
+
+	get_ea_mode_op(info, op_ea, info->ir, 1);
+
+	op_ea->mem.bitfield = 1;
+	op_ea->mem.width = width;
+	op_ea->mem.offset = offset;
+}
+
+static void build_d(m68k_info *info, int opcode, int size)
+{
+	cs_m68k* ext = build_init_op(info, opcode, 1, size);
+	cs_m68k_op* op;
+
+	op = &ext->operands[0];
+
+	op->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op->reg = M68K_REG_D0 + (info->ir & 7);
+}
+
+static uint16_t reverse_bits(uint32_t v)
+{
+	uint32_t r = v; // r will be reversed bits of v; first get LSB of v
+	uint32_t s = 16 - 1; // extra shift needed at end
+
+	for (v >>= 1; v; v >>= 1) {
+		r <<= 1;
+		r |= v & 1;
+		s--;
+	}
+
+	return r <<= s; // shift when v's highest bits are zero
+}
+
+static uint8_t reverse_bits_8(uint32_t v)
+{
+	uint32_t r = v; // r will be reversed bits of v; first get LSB of v
+	uint32_t s = 8 - 1; // extra shift needed at end
+
+	for (v >>= 1; v; v >>= 1) {
+		r <<= 1;
+		r |= v & 1;
+		s--;
+	}
+
+	return r <<= s; // shift when v's highest bits are zero
+}
+
+
+static void build_movem_re(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_REG_BITS;
+	op0->register_bits = read_imm_16(info);
+
+	get_ea_mode_op(info, op1, info->ir, size);
+
+	if (op1->address_mode == M68K_AM_REGI_ADDR_PRE_DEC)
+		op0->register_bits = reverse_bits(op0->register_bits);
+}
+
+static void build_movem_er(m68k_info *info, int opcode, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, opcode, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op1->type = M68K_OP_REG_BITS;
+	op1->register_bits = read_imm_16(info);
+
+	get_ea_mode_op(info, op0, info->ir, size);
+}
+
+static void build_imm(m68k_info *info, int opcode, int data)
+{
+	cs_m68k_op* op;
+	cs_m68k* ext = build_init_op(info, opcode, 1, 0);
+
+	MCInst_setOpcode(info->inst, opcode);
+
+	op = &ext->operands[0];
+
+	op->type = M68K_OP_IMM;
+	op->address_mode = M68K_AM_IMMEDIATE;
+	op->imm = data;
+}
+
+static void build_illegal(m68k_info *info, int data)
+{
+	build_imm(info, M68K_INS_ILLEGAL, data);
+}
+
+static void build_invalid(m68k_info *info, int data)
+{
+	build_imm(info, M68K_INS_INVALID, data);
+}
+
+static void build_cas2(m68k_info *info, int size)
+{
+	uint32_t word3;
+	uint32_t extension;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k_op* op2;
+	cs_m68k* ext = build_init_op(info, M68K_INS_CAS2, 3, size);
+	int reg_0, reg_1;
+
+	/* cas2 is the only 3 words instruction, word2 and word3 have the same motif bits to check */
+	word3 = peek_imm_32(info) & 0xffff;
+	if (!instruction_is_valid(info, word3))
+		return;
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+	op2 = &ext->operands[2];
+
+	extension = read_imm_32(info);
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->type = M68K_OP_REG_PAIR;
+	op0->reg_pair.reg_0 = ((extension >> 16) & 7) + M68K_REG_D0;
+	op0->reg_pair.reg_1 = (extension & 7) + M68K_REG_D0;
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->type = M68K_OP_REG_PAIR;
+	op1->reg_pair.reg_0 = ((extension >> 22) & 7) + M68K_REG_D0;
+	op1->reg_pair.reg_1 = ((extension >> 6) & 7) + M68K_REG_D0;
+
+	reg_0 = (extension >> 28) & 7;
+	reg_1 = (extension >> 12) & 7;
+
+	op2->address_mode = M68K_AM_NONE;
+	op2->type = M68K_OP_REG_PAIR;
+	op2->reg_pair.reg_0 = reg_0 + (BIT_1F(extension) ? 8 : 0) + M68K_REG_D0;
+	op2->reg_pair.reg_1 = reg_1 + (BIT_F(extension) ? 8 : 0) + M68K_REG_D0;
+}
+
+static void build_chk2_cmp2(m68k_info *info, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_CHK2, 2, size);
+
+	uint32_t extension = read_imm_16(info);
+
+	if (BIT_B(extension))
+		MCInst_setOpcode(info->inst, M68K_INS_CHK2);
+	else
+		MCInst_setOpcode(info->inst, M68K_INS_CMP2);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, size);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->type = M68K_OP_REG;
+	op1->reg = (BIT_F(extension) ? M68K_REG_A0 : M68K_REG_D0) + ((extension >> 12) & 7);
+}
+
+static void build_move16(m68k_info *info, int data[2], int modes[2])
+{
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE16, 2, 0);
+	int i;
+
+	for (i = 0; i < 2; ++i) {
+		cs_m68k_op* op = &ext->operands[i];
+		const int d = data[i];
+		const int m = modes[i];
+
+		op->type = M68K_OP_MEM;
+
+		if (m == M68K_AM_REGI_ADDR_POST_INC || m == M68K_AM_REG_DIRECT_ADDR) {
+			op->address_mode = m;
+			op->reg = M68K_REG_A0 + d;
+		} else {
+			op->address_mode = m;
+			op->imm = d;
+		}
+	}
+}
+
+static void build_link(m68k_info *info, int disp, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_LINK, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_A0 + (info->ir & 7);
+
+	op1->address_mode = M68K_AM_IMMEDIATE;
+	op1->type = M68K_OP_IMM;
+	op1->imm = disp;
+}
+
+static void build_cpush_cinv(m68k_info *info, int op_offset)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_INVALID, 2, 0);
+
+	switch ((info->ir >> 3) & 3) { // scope
+		// Invalid
+		case 0:
+			d68000_invalid(info);
+			return;
+			// Line
+		case 1:
+			MCInst_setOpcode(info->inst, op_offset + 0);
+			break;
+			// Page
+		case 2:
+			MCInst_setOpcode(info->inst, op_offset + 1);
+			break;
+			// All
+		case 3:
+			ext->op_count = 1;
+			MCInst_setOpcode(info->inst, op_offset + 2);
+			break;
+	}
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->type = M68K_OP_IMM;
+	op0->imm = (info->ir >> 6) & 3;
+
+	op1->type = M68K_OP_MEM;
+	op1->address_mode = M68K_AM_REG_DIRECT_ADDR;
+	op1->imm = M68K_REG_A0 + (info->ir & 7);
+}
+
+static void build_movep_re(m68k_info *info, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVEP, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+
+	op1->address_mode = M68K_AM_REGI_ADDR_DISP;
+	op1->type = M68K_OP_MEM;
+	op1->mem.base_reg = M68K_REG_A0 + (info->ir & 7);
+	op1->mem.disp = (int16_t)read_imm_16(info);
+}
+
+static void build_movep_er(m68k_info *info, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVEP, 2, size);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_REGI_ADDR_DISP;
+	op0->type = M68K_OP_MEM;
+	op0->mem.base_reg = M68K_REG_A0 + (info->ir & 7);
+	op0->mem.disp = (int16_t)read_imm_16(info);
+
+	op1->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+}
+
+static void build_moves(m68k_info *info, int size)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVES, 2, size);
+	uint32_t extension = read_imm_16(info);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	if (BIT_B(extension)) {
+		op0->reg = (BIT_F(extension) ? M68K_REG_A0 : M68K_REG_D0) + ((extension >> 12) & 7);
+		get_ea_mode_op(info, op1, info->ir, size);
+	} else {
+		get_ea_mode_op(info, op0, info->ir, size);
+		op1->reg = (BIT_F(extension) ? M68K_REG_A0 : M68K_REG_D0) + ((extension >> 12) & 7);
+	}
+}
+
+static void build_er_1(m68k_info *info, int opcode, uint8_t size)
+{
+	build_er_gen_1(info, true, opcode, size);
+}
+
+/* ======================================================================== */
+/* ========================= INSTRUCTION HANDLERS ========================= */
+/* ======================================================================== */
+/* Instruction handler function names follow this convention:
+ *
+ * d68000_NAME_EXTENSIONS(void)
+ * where NAME is the name of the opcode it handles and EXTENSIONS are any
+ * extensions for special instances of that opcode.
+ *
+ * Examples:
+ *   d68000_add_er_8(): add opcode, from effective address to register,
+ *                      size = byte
+ *
+ *   d68000_asr_s_8(): arithmetic shift right, static count, size = byte
+ *
+ *
+ * Common extensions:
+ * 8   : size = byte
+ * 16  : size = word
+ * 32  : size = long
+ * rr  : register to register
+ * mm  : memory to memory
+ * r   : register
+ * s   : static
+ * er  : effective address -> register
+ * re  : register -> effective address
+ * ea  : using effective address mode of operation
+ * d   : data register direct
+ * a   : address register direct
+ * ai  : address register indirect
+ * pi  : address register indirect with postincrement
+ * pd  : address register indirect with predecrement
+ * di  : address register indirect with displacement
+ * ix  : address register indirect with index
+ * aw  : absolute word
+ * al  : absolute long
+ */
+
+
+static void d68000_invalid(m68k_info *info)
+{
+	build_invalid(info, info->ir);
+}
+
+static void d68000_illegal(m68k_info *info)
+{
+	build_illegal(info, info->ir);
+}
+
+static void d68000_1010(m68k_info *info)
+{
+	build_invalid(info, info->ir);
+}
+
+static void d68000_1111(m68k_info *info)
+{
+	build_invalid(info, info->ir);
+}
+
+static void d68000_abcd_rr(m68k_info *info)
+{
+	build_rr(info, M68K_INS_ABCD, 1, 0);
+}
+
+static void d68000_abcd_mm(m68k_info *info)
+{
+	build_mm(info, M68K_INS_ABCD, 1, 0);
+}
+
+static void d68000_add_er_8(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_ADD, 1);
+}
+
+static void d68000_add_er_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_ADD, 2);
+}
+
+static void d68000_add_er_32(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_ADD, 4);
+}
+
+static void d68000_add_re_8(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_ADD, 1);
+}
+
+static void d68000_add_re_16(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_ADD, 2);
+}
+
+static void d68000_add_re_32(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_ADD, 4);
+}
+
+static void d68000_adda_16(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_ADDA, 2);
+}
+
+static void d68000_adda_32(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_ADDA, 4);
+}
+
+static void d68000_addi_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ADDI, 1, read_imm_8(info));
+}
+
+static void d68000_addi_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ADDI, 2, read_imm_16(info));
+}
+
+static void d68000_addi_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ADDI, 4, read_imm_32(info));
+}
+
+static void d68000_addq_8(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_ADDQ, 1);
+}
+
+static void d68000_addq_16(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_ADDQ, 2);
+}
+
+static void d68000_addq_32(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_ADDQ, 4);
+}
+
+static void d68000_addx_rr_8(m68k_info *info)
+{
+	build_rr(info, M68K_INS_ADDX, 1, 0);
+}
+
+static void d68000_addx_rr_16(m68k_info *info)
+{
+	build_rr(info, M68K_INS_ADDX, 2, 0);
+}
+
+static void d68000_addx_rr_32(m68k_info *info)
+{
+	build_rr(info, M68K_INS_ADDX, 4, 0);
+}
+
+static void d68000_addx_mm_8(m68k_info *info)
+{
+	build_mm(info, M68K_INS_ADDX, 1, 0);
+}
+
+static void d68000_addx_mm_16(m68k_info *info)
+{
+	build_mm(info, M68K_INS_ADDX, 2, 0);
+}
+
+static void d68000_addx_mm_32(m68k_info *info)
+{
+	build_mm(info, M68K_INS_ADDX, 4, 0);
+}
+
+static void d68000_and_er_8(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_AND, 1);
+}
+
+static void d68000_and_er_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_AND, 2);
+}
+
+static void d68000_and_er_32(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_AND, 4);
+}
+
+static void d68000_and_re_8(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_AND, 1);
+}
+
+static void d68000_and_re_16(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_AND, 2);
+}
+
+static void d68000_and_re_32(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_AND, 4);
+}
+
+static void d68000_andi_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ANDI, 1, read_imm_8(info));
+}
+
+static void d68000_andi_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ANDI, 2, read_imm_16(info));
+}
+
+static void d68000_andi_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ANDI, 4, read_imm_32(info));
+}
+
+static void d68000_andi_to_ccr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_ANDI, read_imm_8(info), 1, M68K_REG_CCR);
+}
+
+static void d68000_andi_to_sr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_ANDI, read_imm_16(info), 2, M68K_REG_SR);
+}
+
+static void d68000_asr_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASR, 1);
+}
+
+static void d68000_asr_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASR, 2);
+}
+
+static void d68000_asr_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASR, 4);
+}
+
+static void d68000_asr_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASR, 1);
+}
+
+static void d68000_asr_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASR, 2);
+}
+
+static void d68000_asr_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASR, 4);
+}
+
+static void d68000_asr_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ASR, 2);
+}
+
+static void d68000_asl_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASL, 1);
+}
+
+static void d68000_asl_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASL, 2);
+}
+
+static void d68000_asl_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ASL, 4);
+}
+
+static void d68000_asl_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASL, 1);
+}
+
+static void d68000_asl_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASL, 2);
+}
+
+static void d68000_asl_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ASL, 4);
+}
+
+static void d68000_asl_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ASL, 2);
+}
+
+static void d68000_bcc_8(m68k_info *info)
+{
+	build_bcc(info, 1, make_int_8(info->ir));
+}
+
+static void d68000_bcc_16(m68k_info *info)
+{
+	build_bcc(info, 2, make_int_16(read_imm_16(info)));
+}
+
+static void d68020_bcc_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bcc(info, 4, read_imm_32(info));
+}
+
+static void d68000_bchg_r(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_BCHG, 1);
+}
+
+static void d68000_bchg_s(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_BCHG, 1, read_imm_8(info));
+}
+
+static void d68000_bclr_r(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_BCLR, 1);
+}
+
+static void d68000_bclr_s(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_BCLR, 1, read_imm_8(info));
+}
+
+static void d68010_bkpt(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_absolute_jump_with_immediate(info, M68K_INS_BKPT, 0, info->ir & 7);
+}
+
+static void d68020_bfchg(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFCHG, false);
+}
+
+
+static void d68020_bfclr(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFCLR, false);
+}
+
+static void d68020_bfexts(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFEXTS, true);
+}
+
+static void d68020_bfextu(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFEXTU, true);
+}
+
+static void d68020_bfffo(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFFFO, true);
+}
+
+static void d68020_bfins(m68k_info *info)
+{
+	cs_m68k* ext = &info->extension;
+	cs_m68k_op temp;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFINS, true);
+
+	// a bit hacky but we need to flip the args on only this instruction
+
+	temp = ext->operands[0];
+	ext->operands[0] = ext->operands[1];
+	ext->operands[1] = temp;
+}
+
+static void d68020_bfset(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_bitfield_ins(info, M68K_INS_BFSET, false);
+}
+
+static void d68020_bftst(m68k_info *info)
+{
+	build_bitfield_ins(info, M68K_INS_BFTST, false);
+}
+
+static void d68000_bra_8(m68k_info *info)
+{
+	build_relative_branch(info, M68K_INS_BRA, 1, make_int_8(info->ir));
+}
+
+static void d68000_bra_16(m68k_info *info)
+{
+	build_relative_branch(info, M68K_INS_BRA, 2, make_int_16(read_imm_16(info)));
+}
+
+static void d68020_bra_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_relative_branch(info, M68K_INS_BRA, 4, read_imm_32(info));
+}
+
+static void d68000_bset_r(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_BSET, 1);
+}
+
+static void d68000_bset_s(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_BSET, 1, read_imm_8(info));
+}
+
+static void d68000_bsr_8(m68k_info *info)
+{
+	build_relative_branch(info, M68K_INS_BSR, 1, make_int_8(info->ir));
+}
+
+static void d68000_bsr_16(m68k_info *info)
+{
+	build_relative_branch(info, M68K_INS_BSR, 2, make_int_16(read_imm_16(info)));
+}
+
+static void d68020_bsr_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_relative_branch(info, M68K_INS_BSR, 4, peek_imm_32(info));
+}
+
+static void d68000_btst_r(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_BTST, 4);
+}
+
+static void d68000_btst_s(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_BTST, 1, read_imm_8(info));
+}
+
+static void d68020_callm(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_ONLY);
+	build_imm_ea(info, M68K_INS_CALLM, 0, read_imm_8(info));
+}
+
+static void d68020_cas_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_d_d_ea(info, M68K_INS_CAS, 1);
+}
+
+static void d68020_cas_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_d_d_ea(info, M68K_INS_CAS, 2);
+}
+
+static void d68020_cas_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_d_d_ea(info, M68K_INS_CAS, 4);
+}
+
+static void d68020_cas2_16(m68k_info *info)
+{
+	build_cas2(info, 2);
+}
+
+static void d68020_cas2_32(m68k_info *info)
+{
+	build_cas2(info, 4);
+}
+
+static void d68000_chk_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_CHK, 2);
+}
+
+static void d68020_chk_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_er_1(info, M68K_INS_CHK, 4);
+}
+
+static void d68020_chk2_cmp2_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_chk2_cmp2(info, 1);
+}
+
+static void d68020_chk2_cmp2_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_chk2_cmp2(info, 2);
+}
+
+static void d68020_chk2_cmp2_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_chk2_cmp2(info, 4);
+}
+
+static void d68040_cinv(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+	build_cpush_cinv(info, M68K_INS_CINVL);
+}
+
+static void d68000_clr_8(m68k_info *info)
+{
+	build_ea(info, M68K_INS_CLR, 1);
+}
+
+static void d68000_clr_16(m68k_info *info)
+{
+	build_ea(info, M68K_INS_CLR, 2);
+}
+
+static void d68000_clr_32(m68k_info *info)
+{
+	build_ea(info, M68K_INS_CLR, 4);
+}
+
+static void d68000_cmp_8(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_CMP, 1);
+}
+
+static void d68000_cmp_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_CMP, 2);
+}
+
+static void d68000_cmp_32(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_CMP, 4);
+}
+
+static void d68000_cmpa_16(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_CMPA, 2);
+}
+
+static void d68000_cmpa_32(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_CMPA, 4);
+}
+
+static void d68000_cmpi_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_CMPI, 1, read_imm_8(info));
+}
+
+static void d68020_cmpi_pcdi_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 1, read_imm_8(info));
+}
+
+static void d68020_cmpi_pcix_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 1, read_imm_8(info));
+}
+
+static void d68000_cmpi_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_CMPI, 2, read_imm_16(info));
+}
+
+static void d68020_cmpi_pcdi_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 2, read_imm_16(info));
+}
+
+static void d68020_cmpi_pcix_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 2, read_imm_16(info));
+}
+
+static void d68000_cmpi_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_CMPI, 4, read_imm_32(info));
+}
+
+static void d68020_cmpi_pcdi_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 4, read_imm_32(info));
+}
+
+static void d68020_cmpi_pcix_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_imm_ea(info, M68K_INS_CMPI, 4, read_imm_32(info));
+}
+
+static void d68000_cmpm_8(m68k_info *info)
+{
+	build_pi_pi(info, M68K_INS_CMPM, 1);
+}
+
+static void d68000_cmpm_16(m68k_info *info)
+{
+	build_pi_pi(info, M68K_INS_CMPM, 2);
+}
+
+static void d68000_cmpm_32(m68k_info *info)
+{
+	build_pi_pi(info, M68K_INS_CMPM, 4);
+}
+
+static void make_cpbcc_operand(cs_m68k_op* op, int size, int displacement)
+{
+	op->address_mode = M68K_AM_BRANCH_DISPLACEMENT;
+	op->type = M68K_OP_BR_DISP;
+	op->br_disp.disp = displacement;
+	op->br_disp.disp_size = size;
+}
+
+static void d68020_cpbcc_16(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k* ext;
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (info->ir & 0x2f);
+
+	ext = build_init_op(info, M68K_INS_FBF, 1, 2);
+	op0 = &ext->operands[0];
+
+	make_cpbcc_operand(op0, M68K_OP_BR_DISP_SIZE_WORD, make_int_16(read_imm_16(info)));
+
+	set_insn_group(info, M68K_GRP_JUMP);
+	set_insn_group(info, M68K_GRP_BRANCH_RELATIVE);
+}
+
+static void d68020_cpbcc_32(m68k_info *info)
+{
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (info->ir & 0x2f);
+
+	ext = build_init_op(info, M68K_INS_FBF, 1, 4);
+	op0 = &ext->operands[0];
+
+	make_cpbcc_operand(op0, M68K_OP_BR_DISP_SIZE_LONG, read_imm_32(info));
+
+	set_insn_group(info, M68K_GRP_JUMP);
+	set_insn_group(info, M68K_GRP_BRANCH_RELATIVE);
+}
+
+static void d68020_cpdbcc(m68k_info *info)
+{
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	uint32_t ext1, ext2;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	ext1 = read_imm_16(info);
+	ext2 = read_imm_16(info);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (ext1 & 0x2f);
+
+	ext = build_init_op(info, M68K_INS_FDBF, 2, 0);
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->reg = M68K_REG_D0 + (info->ir & 7);
+
+	make_cpbcc_operand(op1, M68K_OP_BR_DISP_SIZE_WORD, make_int_16(ext2) + 2);
+
+	set_insn_group(info, M68K_GRP_JUMP);
+	set_insn_group(info, M68K_GRP_BRANCH_RELATIVE);
+}
+
+static void fmove_fpcr(m68k_info *info, uint32_t extension)
+{
+	cs_m68k_op* special;
+	cs_m68k_op* op_ea;
+
+	int regsel = (extension >> 10) & 0x7;
+	int dir = (extension >> 13) & 0x1;
+
+	cs_m68k* ext = build_init_op(info, M68K_INS_FMOVE, 2, 4);
+
+	special = &ext->operands[0];
+	op_ea = &ext->operands[1];
+
+	if (!dir) {
+		cs_m68k_op* t = special;
+		special = op_ea;
+		op_ea = t;
+	}
+
+	get_ea_mode_op(info, op_ea, info->ir, 4);
+
+	if (regsel & 4)
+		special->reg = M68K_REG_FPCR;
+	else if (regsel & 2)
+		special->reg = M68K_REG_FPSR;
+	else if (regsel & 1)
+		special->reg = M68K_REG_FPIAR;
+}
+
+static void fmovem(m68k_info *info, uint32_t extension)
+{
+	cs_m68k_op* op_reglist;
+	cs_m68k_op* op_ea;
+	int dir = (extension >> 13) & 0x1;
+	int mode = (extension >> 11) & 0x3;
+	uint32_t reglist = extension & 0xff;
+	cs_m68k* ext = build_init_op(info, M68K_INS_FMOVEM, 2, 0);
+
+	op_reglist = &ext->operands[0];
+	op_ea = &ext->operands[1];
+
+	// flip args around
+
+	if (!dir) {
+		cs_m68k_op* t = op_reglist;
+		op_reglist = op_ea;
+		op_ea = t;
+	}
+
+	get_ea_mode_op(info, op_ea, info->ir, 0);
+
+	switch (mode) {
+		case 1 : // Dynamic list in dn register
+			op_reglist->reg = M68K_REG_D0 + ((reglist >> 4) & 7);
+			break;
+
+		case 0 :
+			op_reglist->address_mode = M68K_AM_NONE;
+			op_reglist->type = M68K_OP_REG_BITS;
+			op_reglist->register_bits = reglist << 16;
+			break;
+
+		case 2 : // Static list
+			op_reglist->address_mode = M68K_AM_NONE;
+			op_reglist->type = M68K_OP_REG_BITS;
+			op_reglist->register_bits = ((uint32_t)reverse_bits_8(reglist)) << 16;
+			break;
+	}
+}
+
+static void d68020_cpgen(m68k_info *info)
+{
+	cs_m68k *ext;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	bool supports_single_op;
+	uint32_t next;
+	int rm, src, dst, opmode;
+
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	supports_single_op = true;
+
+	next = read_imm_16(info);
+
+	rm = (next >> 14) & 0x1;
+	src = (next >> 10) & 0x7;
+	dst = (next >> 7) & 0x7;
+	opmode = next & 0x3f;
+
+	// special handling for fmovecr
+
+	if (BITFIELD(info->ir, 5, 0) == 0 && BITFIELD(next, 15, 10) == 0x17) {
+		cs_m68k_op* op0;
+		cs_m68k_op* op1;
+		cs_m68k* ext = build_init_op(info, M68K_INS_FMOVECR, 2, 0);
+
+		op0 = &ext->operands[0];
+		op1 = &ext->operands[1];
+
+		op0->address_mode = M68K_AM_IMMEDIATE;
+		op0->type = M68K_OP_IMM;
+		op0->imm = next & 0x3f;
+
+		op1->reg = M68K_REG_FP0 + ((next >> 7) & 7);
+
+		return;
+	}
+
+	// deal with extended move stuff
+
+	switch ((next >> 13) & 0x7) {
+		// fmovem fpcr
+		case 0x4:	// FMOVEM ea, FPCR
+		case 0x5:	// FMOVEM FPCR, ea
+			fmove_fpcr(info, next);
+			return;
+
+		// fmovem list
+		case 0x6:
+		case 0x7:
+			fmovem(info, next);
+			return;
+	}
+
+	// See comment bellow on why this is being done
+
+	if ((next >> 6) & 1)
+		opmode &= ~4;
+
+	// special handling of some instructions here
+
+	switch (opmode) {
+		case 0x00: MCInst_setOpcode(info->inst, M68K_INS_FMOVE); supports_single_op = false; break;
+		case 0x01: MCInst_setOpcode(info->inst, M68K_INS_FINT); break;
+		case 0x02: MCInst_setOpcode(info->inst, M68K_INS_FSINH); break;
+		case 0x03: MCInst_setOpcode(info->inst, M68K_INS_FINTRZ); break;
+		case 0x04: MCInst_setOpcode(info->inst, M68K_INS_FSQRT); break;
+		case 0x06: MCInst_setOpcode(info->inst, M68K_INS_FLOGNP1); break;
+		case 0x08: MCInst_setOpcode(info->inst, M68K_INS_FETOXM1); break;
+		case 0x09: MCInst_setOpcode(info->inst, M68K_INS_FATANH); break;
+		case 0x0a: MCInst_setOpcode(info->inst, M68K_INS_FATAN); break;
+		case 0x0c: MCInst_setOpcode(info->inst, M68K_INS_FASIN); break;
+		case 0x0d: MCInst_setOpcode(info->inst, M68K_INS_FATANH); break;
+		case 0x0e: MCInst_setOpcode(info->inst, M68K_INS_FSIN); break;
+		case 0x0f: MCInst_setOpcode(info->inst, M68K_INS_FTAN); break;
+		case 0x10: MCInst_setOpcode(info->inst, M68K_INS_FETOX); break;
+		case 0x11: MCInst_setOpcode(info->inst, M68K_INS_FTWOTOX); break;
+		case 0x12: MCInst_setOpcode(info->inst, M68K_INS_FTENTOX); break;
+		case 0x14: MCInst_setOpcode(info->inst, M68K_INS_FLOGN); break;
+		case 0x15: MCInst_setOpcode(info->inst, M68K_INS_FLOG10); break;
+		case 0x16: MCInst_setOpcode(info->inst, M68K_INS_FLOG2); break;
+		case 0x18: MCInst_setOpcode(info->inst, M68K_INS_FABS); break;
+		case 0x19: MCInst_setOpcode(info->inst, M68K_INS_FCOSH); break;
+		case 0x1a: MCInst_setOpcode(info->inst, M68K_INS_FNEG); break;
+		case 0x1c: MCInst_setOpcode(info->inst, M68K_INS_FACOS); break;
+		case 0x1d: MCInst_setOpcode(info->inst, M68K_INS_FCOS); break;
+		case 0x1e: MCInst_setOpcode(info->inst, M68K_INS_FGETEXP); break;
+		case 0x1f: MCInst_setOpcode(info->inst, M68K_INS_FGETMAN); break;
+		case 0x20: MCInst_setOpcode(info->inst, M68K_INS_FDIV); supports_single_op = false; break;
+		case 0x21: MCInst_setOpcode(info->inst, M68K_INS_FMOD); supports_single_op = false; break;
+		case 0x22: MCInst_setOpcode(info->inst, M68K_INS_FADD); supports_single_op = false; break;
+		case 0x23: MCInst_setOpcode(info->inst, M68K_INS_FMUL); supports_single_op = false; break;
+		case 0x24: MCInst_setOpcode(info->inst, M68K_INS_FSGLDIV); supports_single_op = false; break;
+		case 0x25: MCInst_setOpcode(info->inst, M68K_INS_FREM); break;
+		case 0x26: MCInst_setOpcode(info->inst, M68K_INS_FSCALE); break;
+		case 0x27: MCInst_setOpcode(info->inst, M68K_INS_FSGLMUL); break;
+		case 0x28: MCInst_setOpcode(info->inst, M68K_INS_FSUB); supports_single_op = false; break;
+		case 0x38: MCInst_setOpcode(info->inst, M68K_INS_FCMP); supports_single_op = false; break;
+		case 0x3a: MCInst_setOpcode(info->inst, M68K_INS_FTST); break;
+		default:
+			break;
+	}
+
+	// Some trickery here! It's not documented but if bit 6 is set this is a s/d opcode and then
+	// if bit 2 is set it's a d. As we already have set our opcode in the code above we can just
+	// offset it as the following 2 op codes (if s/d is supported) will always be directly after it
+
+	if ((next >> 6) & 1) {
+		if ((next >> 2) & 1)
+			info->inst->Opcode += 2;
+		else
+			info->inst->Opcode += 1;
+	}
+
+	ext = &info->extension;
+
+	ext->op_count = 2;
+	ext->op_size.type = M68K_SIZE_TYPE_CPU;
+	ext->op_size.cpu_size = 0;
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	if (rm == 0 && supports_single_op && src == dst) {
+		ext->op_count = 1;
+		op0->reg = M68K_REG_FP0 + dst;
+		return;
+	}
+
+	if (rm == 1) {
+		switch (src) {
+			case 0x00 :
+				ext->op_size.cpu_size = M68K_CPU_SIZE_LONG;
+				get_ea_mode_op(info, op0, info->ir, 4);
+				break;
+
+			case 0x06 :
+				ext->op_size.cpu_size = M68K_CPU_SIZE_BYTE;
+				get_ea_mode_op(info, op0, info->ir, 1);
+				break;
+
+			case 0x04 :
+				ext->op_size.cpu_size = M68K_CPU_SIZE_WORD;
+				get_ea_mode_op(info, op0, info->ir, 2);
+				break;
+
+			case 0x01 :
+				ext->op_size.type = M68K_SIZE_TYPE_FPU;
+				ext->op_size.fpu_size = M68K_FPU_SIZE_SINGLE;
+				get_ea_mode_op(info, op0, info->ir, 4);
+				op0->type = M68K_OP_FP_SINGLE;
+				break;
+
+			case 0x05:
+				ext->op_size.type = M68K_SIZE_TYPE_FPU;
+				ext->op_size.fpu_size = M68K_FPU_SIZE_DOUBLE;
+				get_ea_mode_op(info, op0, info->ir, 8);
+				op0->type = M68K_OP_FP_DOUBLE;
+				break;
+
+			default :
+				ext->op_size.type = M68K_SIZE_TYPE_FPU;
+				ext->op_size.fpu_size = M68K_FPU_SIZE_EXTENDED;
+				break;
+		}
+	} else {
+		op0->reg = M68K_REG_FP0 + src;
+	}
+
+	op1->reg = M68K_REG_FP0 + dst;
+}
+
+static void d68020_cprestore(m68k_info *info)
+{
+	cs_m68k* ext;
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	ext = build_init_op(info, M68K_INS_FRESTORE, 1, 0);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 1);
+}
+
+static void d68020_cpsave(m68k_info *info)
+{
+	cs_m68k* ext;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	ext = build_init_op(info, M68K_INS_FSAVE, 1, 0);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 1);
+}
+
+static void d68020_cpscc(m68k_info *info)
+{
+	cs_m68k* ext;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	ext = build_init_op(info, M68K_INS_FSF, 1, 1);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (read_imm_16(info) & 0x2f);
+
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 1);
+}
+
+static void d68020_cptrapcc_0(m68k_info *info)
+{
+	uint32_t extension1;
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	extension1 = read_imm_16(info);
+
+	build_init_op(info, M68K_INS_FTRAPF, 0, 0);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (extension1 & 0x2f);
+}
+
+static void d68020_cptrapcc_16(m68k_info *info)
+{
+	uint32_t extension1, extension2;
+	cs_m68k_op* op0;
+	cs_m68k* ext;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	extension1 = read_imm_16(info);
+	extension2 = read_imm_16(info);
+
+	ext = build_init_op(info, M68K_INS_FTRAPF, 1, 2);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (extension1 & 0x2f);
+
+	op0 = &ext->operands[0];
+
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->type = M68K_OP_IMM;
+	op0->imm = extension2;
+}
+
+static void d68020_cptrapcc_32(m68k_info *info)
+{
+	uint32_t extension1, extension2;
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	extension1 = read_imm_16(info);
+	extension2 = read_imm_32(info);
+
+	ext = build_init_op(info, M68K_INS_FTRAPF, 1, 2);
+
+	// these are all in row with the extension so just doing a add here is fine
+	info->inst->Opcode += (extension1 & 0x2f);
+
+	op0 = &ext->operands[0];
+
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->type = M68K_OP_IMM;
+	op0->imm = extension2;
+}
+
+static void d68040_cpush(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+	build_cpush_cinv(info, M68K_INS_CPUSHL);
+}
+
+static void d68000_dbra(m68k_info *info)
+{
+	build_dbxx(info, M68K_INS_DBRA, 0, make_int_16(read_imm_16(info)));
+}
+
+static void d68000_dbcc(m68k_info *info)
+{
+	build_dbcc(info, 0, make_int_16(read_imm_16(info)));
+}
+
+static void d68000_divs(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_DIVS, 2);
+}
+
+static void d68000_divu(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_DIVU, 2);
+}
+
+static void d68020_divl(m68k_info *info)
+{
+	uint32_t extension, insn_signed;
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	uint32_t reg_0, reg_1;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	extension = read_imm_16(info);
+	insn_signed = 0;
+
+	if (BIT_B((extension)))
+		insn_signed = 1;
+
+	ext = build_init_op(info, insn_signed ? M68K_INS_DIVS : M68K_INS_DIVU, 2, 4);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, 4);
+
+	reg_0 = extension & 7;
+	reg_1 = (extension >> 12) & 7;
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->type = M68K_OP_REG_PAIR;
+	op1->reg_pair.reg_0 = reg_0 + M68K_REG_D0;
+	op1->reg_pair.reg_1 = reg_1 + M68K_REG_D0;
+
+	if ((reg_0 == reg_1) || !BIT_A(extension)) {
+		op1->type = M68K_OP_REG;
+		op1->reg = M68K_REG_D0 + reg_1;
+	}
+}
+
+static void d68000_eor_8(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_EOR, 1);
+}
+
+static void d68000_eor_16(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_EOR, 2);
+}
+
+static void d68000_eor_32(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_EOR, 4);
+}
+
+static void d68000_eori_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_EORI, 1, read_imm_8(info));
+}
+
+static void d68000_eori_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_EORI, 2, read_imm_16(info));
+}
+
+static void d68000_eori_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_EORI, 4, read_imm_32(info));
+}
+
+static void d68000_eori_to_ccr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_EORI, read_imm_8(info), 1, M68K_REG_CCR);
+}
+
+static void d68000_eori_to_sr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_EORI, read_imm_16(info), 2, M68K_REG_SR);
+}
+
+static void d68000_exg_dd(m68k_info *info)
+{
+	build_r(info, M68K_INS_EXG, 4);
+}
+
+static void d68000_exg_aa(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_EXG, 2, 4);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_A0 + ((info->ir >> 9) & 7);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_A0 + (info->ir & 7);
+}
+
+static void d68000_exg_da(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_EXG, 2, 4);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_A0 + (info->ir & 7);
+}
+
+static void d68000_ext_16(m68k_info *info)
+{
+	build_d(info, M68K_INS_EXT, 2);
+}
+
+static void d68000_ext_32(m68k_info *info)
+{
+	build_d(info, M68K_INS_EXT, 4);
+}
+
+static void d68020_extb_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_d(info, M68K_INS_EXTB, 4);
+}
+
+static void d68000_jmp(m68k_info *info)
+{
+	cs_m68k* ext = build_init_op(info, M68K_INS_JMP, 1, 0);
+	set_insn_group(info, M68K_GRP_JUMP);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 4);
+}
+
+static void d68000_jsr(m68k_info *info)
+{
+	cs_m68k* ext = build_init_op(info, M68K_INS_JSR, 1, 0);
+	set_insn_group(info, M68K_GRP_JUMP);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 4);
+}
+
+static void d68000_lea(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_LEA, 4);
+}
+
+static void d68000_link_16(m68k_info *info)
+{
+	build_link(info, read_imm_16(info), 2);
+}
+
+static void d68020_link_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_link(info, read_imm_32(info), 4);
+}
+
+static void d68000_lsr_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSR, 1);
+}
+
+static void d68000_lsr_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSR, 2);
+}
+
+static void d68000_lsr_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSR, 4);
+}
+
+static void d68000_lsr_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSR, 1);
+}
+
+static void d68000_lsr_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSR, 2);
+}
+
+static void d68000_lsr_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSR, 4);
+}
+
+static void d68000_lsr_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_LSR, 2);
+}
+
+static void d68000_lsl_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSL, 1);
+}
+
+static void d68000_lsl_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSL, 2);
+}
+
+static void d68000_lsl_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_LSL, 4);
+}
+
+static void d68000_lsl_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSL, 1);
+}
+
+static void d68000_lsl_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSL, 2);
+}
+
+static void d68000_lsl_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_LSL, 4);
+}
+
+static void d68000_lsl_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_LSL, 2);
+}
+
+static void d68000_move_8(m68k_info *info)
+{
+	build_ea_ea(info, M68K_INS_MOVE, 1);
+}
+
+static void d68000_move_16(m68k_info *info)
+{
+	build_ea_ea(info, M68K_INS_MOVE, 2);
+}
+
+static void d68000_move_32(m68k_info *info)
+{
+	build_ea_ea(info, M68K_INS_MOVE, 4);
+}
+
+static void d68000_movea_16(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_MOVEA, 2);
+}
+
+static void d68000_movea_32(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_MOVEA, 4);
+}
+
+static void d68000_move_to_ccr(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE, 2, 2);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, 1);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_CCR;
+}
+
+static void d68010_move_fr_ccr(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext;
+
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+
+	ext = build_init_op(info, M68K_INS_MOVE, 2, 2);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_CCR;
+
+	get_ea_mode_op(info, op1, info->ir, 1);
+}
+
+static void d68000_move_fr_sr(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE, 2, 2);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_SR;
+
+	get_ea_mode_op(info, op1, info->ir, 2);
+}
+
+static void d68000_move_to_sr(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE, 2, 2);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, 2);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_SR;
+}
+
+static void d68000_move_fr_usp(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE, 2, 0);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_USP;
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_A0 + (info->ir & 7);
+}
+
+static void d68000_move_to_usp(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVE, 2, 0);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->address_mode = M68K_AM_NONE;
+	op0->reg = M68K_REG_A0 + (info->ir & 7);
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->reg = M68K_REG_USP;
+}
+
+static void d68010_movec(m68k_info *info)
+{
+	uint32_t extension;
+	m68k_reg reg;
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+
+
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+
+	extension = read_imm_16(info);
+	reg = M68K_REG_INVALID;
+
+	ext = build_init_op(info, M68K_INS_MOVEC, 2, 0);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	switch (extension & 0xfff) {
+		case 0x000: reg = M68K_REG_SFC; break;
+		case 0x001: reg = M68K_REG_DFC; break;
+		case 0x800: reg = M68K_REG_USP; break;
+		case 0x801: reg = M68K_REG_VBR; break;
+		case 0x002: reg = M68K_REG_CACR; break;
+		case 0x802: reg = M68K_REG_CAAR; break;
+		case 0x803: reg = M68K_REG_MSP; break;
+		case 0x804: reg = M68K_REG_ISP; break;
+		case 0x003: reg = M68K_REG_TC; break;
+		case 0x004: reg = M68K_REG_ITT0; break;
+		case 0x005: reg = M68K_REG_ITT1; break;
+		case 0x006: reg = M68K_REG_DTT0; break;
+		case 0x007: reg = M68K_REG_DTT1; break;
+		case 0x805: reg = M68K_REG_MMUSR; break;
+		case 0x806: reg = M68K_REG_URP; break;
+		case 0x807: reg = M68K_REG_SRP; break;
+	}
+
+	if (BIT_1(info->ir)) {
+		op0->reg = (BIT_F(extension) ? M68K_REG_A0 : M68K_REG_D0) + ((extension >> 12) & 7);
+		op1->reg = reg;
+	} else {
+		op0->reg = reg;
+		op1->reg = (BIT_F(extension) ? M68K_REG_A0 : M68K_REG_D0) + ((extension >> 12) & 7);
+	}
+}
+
+static void d68000_movem_pd_16(m68k_info *info)
+{
+	build_movem_re(info, M68K_INS_MOVEM, 2);
+}
+
+static void d68000_movem_pd_32(m68k_info *info)
+{
+	build_movem_re(info, M68K_INS_MOVEM, 4);
+}
+
+static void d68000_movem_er_16(m68k_info *info)
+{
+	build_movem_er(info, M68K_INS_MOVEM, 2);
+}
+
+static void d68000_movem_er_32(m68k_info *info)
+{
+	build_movem_er(info, M68K_INS_MOVEM, 4);
+}
+
+static void d68000_movem_re_16(m68k_info *info)
+{
+	build_movem_re(info, M68K_INS_MOVEM, 2);
+}
+
+static void d68000_movem_re_32(m68k_info *info)
+{
+	build_movem_re(info, M68K_INS_MOVEM, 4);
+}
+
+static void d68000_movep_re_16(m68k_info *info)
+{
+	build_movep_re(info, 2);
+}
+
+static void d68000_movep_re_32(m68k_info *info)
+{
+	build_movep_re(info, 4);
+}
+
+static void d68000_movep_er_16(m68k_info *info)
+{
+	build_movep_er(info, 2);
+}
+
+static void d68000_movep_er_32(m68k_info *info)
+{
+	build_movep_er(info, 4);
+}
+
+static void d68010_moves_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_moves(info, 1);
+}
+
+static void d68010_moves_16(m68k_info *info)
+{
+	//uint32_t extension;
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_moves(info, 2);
+}
+
+static void d68010_moves_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_moves(info, 4);
+}
+
+static void d68000_moveq(m68k_info *info)
+{
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+
+	cs_m68k* ext = build_init_op(info, M68K_INS_MOVEQ, 2, 0);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	op0->type = M68K_OP_IMM;
+	op0->address_mode = M68K_AM_IMMEDIATE;
+	op0->imm = (info->ir & 0xff);
+
+	op1->address_mode = M68K_AM_REG_DIRECT_DATA;
+	op1->reg = M68K_REG_D0 + ((info->ir >> 9) & 7);
+}
+
+static void d68040_move16_pi_pi(m68k_info *info)
+{
+	int data[] = { info->ir & 7, (read_imm_16(info) >> 12) & 7 };
+	int modes[] = { M68K_AM_REGI_ADDR_POST_INC, M68K_AM_REGI_ADDR_POST_INC };
+
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+
+	build_move16(info, data, modes);
+}
+
+static void d68040_move16_pi_al(m68k_info *info)
+{
+	int data[] = { info->ir & 7, read_imm_32(info) };
+	int modes[] = { M68K_AM_REGI_ADDR_POST_INC, M68K_AM_ABSOLUTE_DATA_LONG };
+
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+
+	build_move16(info, data, modes);
+}
+
+static void d68040_move16_al_pi(m68k_info *info)
+{
+	int data[] = { read_imm_32(info), info->ir & 7 };
+	int modes[] = { M68K_AM_ABSOLUTE_DATA_LONG, M68K_AM_REGI_ADDR_POST_INC };
+
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+
+	build_move16(info, data, modes);
+}
+
+static void d68040_move16_ai_al(m68k_info *info)
+{
+	int data[] = { info->ir & 7, read_imm_32(info) };
+	int modes[] = { M68K_AM_REG_DIRECT_ADDR, M68K_AM_ABSOLUTE_DATA_LONG };
+
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+
+	build_move16(info, data, modes);
+}
+
+static void d68040_move16_al_ai(m68k_info *info)
+{
+	int data[] = { read_imm_32(info), info->ir & 7 };
+	int modes[] = { M68K_AM_ABSOLUTE_DATA_LONG, M68K_AM_REG_DIRECT_ADDR };
+
+	LIMIT_CPU_TYPES(info, M68040_PLUS);
+
+	build_move16(info, data, modes);
+}
+
+static void d68000_muls(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_MULS, 2);
+}
+
+static void d68000_mulu(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_MULU, 2);
+}
+
+static void d68020_mull(m68k_info *info)
+{
+	uint32_t extension, insn_signed;
+	cs_m68k* ext;
+	cs_m68k_op* op0;
+	cs_m68k_op* op1;
+	uint32_t reg_0, reg_1;
+
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+
+	extension = read_imm_16(info);
+	insn_signed = 0;
+
+	if (BIT_B((extension)))
+		insn_signed = 1;
+
+	ext = build_init_op(info, insn_signed ? M68K_INS_MULS : M68K_INS_MULU, 2, 4);
+
+	op0 = &ext->operands[0];
+	op1 = &ext->operands[1];
+
+	get_ea_mode_op(info, op0, info->ir, 4);
+
+	reg_0 = extension & 7;
+	reg_1 = (extension >> 12) & 7;
+
+	op1->address_mode = M68K_AM_NONE;
+	op1->type = M68K_OP_REG_PAIR;
+	op1->reg_pair.reg_0 = reg_0 + M68K_REG_D0;
+	op1->reg_pair.reg_1 = reg_1 + M68K_REG_D0;
+
+	if (!BIT_A(extension)) {
+		op1->type = M68K_OP_REG;
+		op1->reg = M68K_REG_D0 + reg_1;
+	}
+}
+
+static void d68000_nbcd(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NBCD, 1);
+}
+
+static void d68000_neg_8(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEG, 1);
+}
+
+static void d68000_neg_16(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEG, 2);
+}
+
+static void d68000_neg_32(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEG, 4);
+}
+
+static void d68000_negx_8(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEGX, 1);
+}
+
+static void d68000_negx_16(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEGX, 2);
+}
+
+static void d68000_negx_32(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NEGX, 4);
+}
+
+static void d68000_nop(m68k_info *info)
+{
+	MCInst_setOpcode(info->inst, M68K_INS_NOP);
+}
+
+static void d68000_not_8(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NOT, 1);
+}
+
+static void d68000_not_16(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NOT, 2);
+}
+
+static void d68000_not_32(m68k_info *info)
+{
+	build_ea(info, M68K_INS_NOT, 4);
+}
+
+static void d68000_or_er_8(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_OR, 1);
+}
+
+static void d68000_or_er_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_OR, 2);
+}
+
+static void d68000_or_er_32(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_OR, 4);
+}
+
+static void d68000_or_re_8(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_OR, 1);
+}
+
+static void d68000_or_re_16(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_OR, 2);
+}
+
+static void d68000_or_re_32(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_OR, 4);
+}
+
+static void d68000_ori_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ORI, 1, read_imm_8(info));
+}
+
+static void d68000_ori_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ORI, 2, read_imm_16(info));
+}
+
+static void d68000_ori_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_ORI, 4, read_imm_32(info));
+}
+
+static void d68000_ori_to_ccr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_ORI, read_imm_8(info), 1, M68K_REG_CCR);
+}
+
+static void d68000_ori_to_sr(m68k_info *info)
+{
+	build_imm_special_reg(info, M68K_INS_ORI, read_imm_16(info), 2, M68K_REG_SR);
+}
+
+static void d68020_pack_rr(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_rr(info, M68K_INS_PACK, 0, read_imm_16(info));
+}
+
+static void d68020_pack_mm(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_mm(info, M68K_INS_PACK, 0, read_imm_16(info));
+}
+
+static void d68000_pea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_PEA, 4);
+}
+
+static void d68000_reset(m68k_info *info)
+{
+	MCInst_setOpcode(info->inst, M68K_INS_RESET);
+}
+
+static void d68000_ror_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROR, 1);
+}
+
+static void d68000_ror_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROR, 2);
+}
+
+static void d68000_ror_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROR, 4);
+}
+
+static void d68000_ror_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROR, 1);
+}
+
+static void d68000_ror_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROR, 2);
+}
+
+static void d68000_ror_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROR, 4);
+}
+
+static void d68000_ror_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ROR, 2);
+}
+
+static void d68000_rol_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROL, 1);
+}
+
+static void d68000_rol_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROL, 2);
+}
+
+static void d68000_rol_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROL, 4);
+}
+
+static void d68000_rol_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROL, 1);
+}
+
+static void d68000_rol_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROL, 2);
+}
+
+static void d68000_rol_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROL, 4);
+}
+
+static void d68000_rol_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ROL, 2);
+}
+
+static void d68000_roxr_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXR, 1);
+}
+
+static void d68000_roxr_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXR, 2);
+}
+
+static void d68000_roxr_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXR, 4);
+}
+
+static void d68000_roxr_r_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXR, 4);
+}
+
+static void d68000_roxr_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROXR, 2);
+}
+
+static void d68000_roxr_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROXR, 4);
+}
+
+static void d68000_roxr_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ROXR, 2);
+}
+
+static void d68000_roxl_s_8(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXL, 1);
+}
+
+static void d68000_roxl_s_16(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXL, 2);
+}
+
+static void d68000_roxl_s_32(m68k_info *info)
+{
+	build_3bit_d(info, M68K_INS_ROXL, 4);
+}
+
+static void d68000_roxl_r_8(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROXL, 1);
+}
+
+static void d68000_roxl_r_16(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROXL, 2);
+}
+
+static void d68000_roxl_r_32(m68k_info *info)
+{
+	build_r(info, M68K_INS_ROXL, 4);
+}
+
+static void d68000_roxl_ea(m68k_info *info)
+{
+	build_ea(info, M68K_INS_ROXL, 2);
+}
+
+static void d68010_rtd(m68k_info *info)
+{
+	set_insn_group(info, M68K_GRP_RET);
+	LIMIT_CPU_TYPES(info, M68010_PLUS);
+	build_absolute_jump_with_immediate(info, M68K_INS_RTD, 0, read_imm_16(info));
+}
+
+static void d68000_rte(m68k_info *info)
+{
+	set_insn_group(info, M68K_GRP_IRET);
+	MCInst_setOpcode(info->inst, M68K_INS_RTE);
+}
+
+static void d68020_rtm(m68k_info *info)
+{
+	cs_m68k* ext;
+	cs_m68k_op* op;
+
+	set_insn_group(info, M68K_GRP_RET);
+
+	LIMIT_CPU_TYPES(info, M68020_ONLY);
+
+	build_absolute_jump_with_immediate(info, M68K_INS_RTM, 0, 0);
+
+	ext = &info->extension;
+	op = &ext->operands[0];
+
+	op->address_mode = M68K_AM_NONE;
+	op->type = M68K_OP_REG;
+
+	if (BIT_3(info->ir)) {
+		op->reg = M68K_REG_A0 + (info->ir & 7);
+	} else {
+		op->reg = M68K_REG_D0 + (info->ir & 7);
+	}
+}
+
+static void d68000_rtr(m68k_info *info)
+{
+	set_insn_group(info, M68K_GRP_RET);
+	MCInst_setOpcode(info->inst, M68K_INS_RTR);
+}
+
+static void d68000_rts(m68k_info *info)
+{
+	set_insn_group(info, M68K_GRP_RET);
+	MCInst_setOpcode(info->inst, M68K_INS_RTS);
+}
+
+static void d68000_sbcd_rr(m68k_info *info)
+{
+	build_rr(info, M68K_INS_SBCD, 1, 0);
+}
+
+static void d68000_sbcd_mm(m68k_info *info)
+{
+	build_mm(info, M68K_INS_SBCD, 0, read_imm_16(info));
+}
+
+static void d68000_scc(m68k_info *info)
+{
+	cs_m68k* ext = build_init_op(info, s_scc_lut[(info->ir >> 8) & 0xf], 1, 1);
+	get_ea_mode_op(info, &ext->operands[0], info->ir, 1);
+}
+
+static void d68000_stop(m68k_info *info)
+{
+	build_absolute_jump_with_immediate(info, M68K_INS_STOP, 0, read_imm_16(info));
+}
+
+static void d68000_sub_er_8(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_SUB, 1);
+}
+
+static void d68000_sub_er_16(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_SUB, 2);
+}
+
+static void d68000_sub_er_32(m68k_info *info)
+{
+	build_er_1(info, M68K_INS_SUB, 4);
+}
+
+static void d68000_sub_re_8(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_SUB, 1);
+}
+
+static void d68000_sub_re_16(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_SUB, 2);
+}
+
+static void d68000_sub_re_32(m68k_info *info)
+{
+	build_re_1(info, M68K_INS_SUB, 4);
+}
+
+static void d68000_suba_16(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_SUBA, 2);
+}
+
+static void d68000_suba_32(m68k_info *info)
+{
+	build_ea_a(info, M68K_INS_SUBA, 4);
+}
+
+static void d68000_subi_8(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_SUBI, 1, read_imm_8(info));
+}
+
+static void d68000_subi_16(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_SUBI, 2, read_imm_16(info));
+}
+
+static void d68000_subi_32(m68k_info *info)
+{
+	build_imm_ea(info, M68K_INS_SUBI, 4, read_imm_32(info));
+}
+
+static void d68000_subq_8(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_SUBQ, 1);
+}
+
+static void d68000_subq_16(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_SUBQ, 2);
+}
+
+static void d68000_subq_32(m68k_info *info)
+{
+	build_3bit_ea(info, M68K_INS_SUBQ, 4);
+}
+
+static void d68000_subx_rr_8(m68k_info *info)
+{
+	build_rr(info, M68K_INS_SUBX, 1, 0);
+}
+
+static void d68000_subx_rr_16(m68k_info *info)
+{
+	build_rr(info, M68K_INS_SUBX, 2, 0);
+}
+
+static void d68000_subx_rr_32(m68k_info *info)
+{
+	build_rr(info, M68K_INS_SUBX, 4, 0);
+}
+
+static void d68000_subx_mm_8(m68k_info *info)
+{
+	build_mm(info, M68K_INS_SUBX, 1, 0);
+}
+
+static void d68000_subx_mm_16(m68k_info *info)
+{
+	build_mm(info, M68K_INS_SUBX, 2, 0);
+}
+
+static void d68000_subx_mm_32(m68k_info *info)
+{
+	build_mm(info, M68K_INS_SUBX, 4, 0);
+}
+
+static void d68000_swap(m68k_info *info)
+{
+	build_d(info, M68K_INS_SWAP, 0);
+}
+
+static void d68000_tas(m68k_info *info)
+{
+	build_ea(info, M68K_INS_TAS, 1);
+}
+
+static void d68000_trap(m68k_info *info)
+{
+	build_absolute_jump_with_immediate(info, M68K_INS_TRAP, 0, info->ir&0xf);
+}
+
+static void d68020_trapcc_0(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_trap(info, 0, 0);
+
+	info->extension.op_count = 0;
+}
+
+static void d68020_trapcc_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_trap(info, 2, read_imm_16(info));
+}
+
+static void d68020_trapcc_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_trap(info, 4, read_imm_32(info));
+}
+
+static void d68000_trapv(m68k_info *info)
+{
+	MCInst_setOpcode(info->inst, M68K_INS_TRAPV);
+}
+
+static void d68000_tst_8(m68k_info *info)
+{
+	build_ea(info, M68K_INS_TST, 1);
+}
+
+static void d68020_tst_pcdi_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 1);
+}
+
+static void d68020_tst_pcix_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 1);
+}
+
+static void d68020_tst_i_8(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 1);
+}
+
+static void d68000_tst_16(m68k_info *info)
+{
+	build_ea(info, M68K_INS_TST, 2);
+}
+
+static void d68020_tst_a_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 2);
+}
+
+static void d68020_tst_pcdi_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 2);
+}
+
+static void d68020_tst_pcix_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 2);
+}
+
+static void d68020_tst_i_16(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 2);
+}
+
+static void d68000_tst_32(m68k_info *info)
+{
+	build_ea(info, M68K_INS_TST, 4);
+}
+
+static void d68020_tst_a_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 4);
+}
+
+static void d68020_tst_pcdi_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 4);
+}
+
+static void d68020_tst_pcix_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 4);
+}
+
+static void d68020_tst_i_32(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_ea(info, M68K_INS_TST, 4);
+}
+
+static void d68000_unlk(m68k_info *info)
+{
+	cs_m68k_op* op;
+	cs_m68k* ext = build_init_op(info, M68K_INS_UNLK, 1, 0);
+
+	op = &ext->operands[0];
+
+	op->address_mode = M68K_AM_REG_DIRECT_ADDR;
+	op->reg = M68K_REG_A0 + (info->ir & 7);
+}
+
+static void d68020_unpk_rr(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_rr(info, M68K_INS_UNPK, 0, read_imm_16(info));
+}
+
+static void d68020_unpk_mm(m68k_info *info)
+{
+	LIMIT_CPU_TYPES(info, M68020_PLUS);
+	build_mm(info, M68K_INS_UNPK, 0, read_imm_16(info));
+}
+
+/* This table is auto-generated. Look in contrib/m68k_instruction_tbl_gen for more info */
+#include "M68KInstructionTable.inc"
+
+static int instruction_is_valid(m68k_info *info, const unsigned int word_check)
+{
+	const unsigned int instruction = info->ir;
+	instruction_struct *i = &g_instruction_table[instruction];
+
+	if ( (i->word2_mask && ((word_check & i->word2_mask) != i->word2_match)) ||
+		(i->instruction == d68000_invalid) ) {
+		d68000_invalid(info);
+		return 0;
+	}
+
+	return 1;
+}
+
+static int exists_reg_list(uint16_t *regs, uint8_t count, m68k_reg reg)
+{
+	uint8_t i;
+
+	for (i = 0; i < count; ++i) {
+		if (regs[i] == (uint16_t)reg)
+			return 1;
+	}
+
+	return 0;
+}
+
+static void add_reg_to_rw_list(m68k_info *info, m68k_reg reg, int write)
+{
+	if (reg == M68K_REG_INVALID)
+		return;
+
+	if (write)
+	{
+		if (exists_reg_list(info->regs_write, info->regs_write_count, reg))
+			return;
+
+		info->regs_write[info->regs_write_count] = (uint16_t)reg;
+		info->regs_write_count++;
+	}
+	else
+	{
+		if (exists_reg_list(info->regs_read, info->regs_read_count, reg))
+			return;
+
+		info->regs_read[info->regs_read_count] = (uint16_t)reg;
+		info->regs_read_count++;
+	}
+}
+
+static void update_am_reg_list(m68k_info *info, cs_m68k_op *op, int write)
+{
+	switch (op->address_mode) {
+		case M68K_AM_REG_DIRECT_ADDR:
+		case M68K_AM_REG_DIRECT_DATA:
+			add_reg_to_rw_list(info, op->reg, write);
+			break;
+
+		case M68K_AM_REGI_ADDR_POST_INC:
+		case M68K_AM_REGI_ADDR_PRE_DEC:
+			add_reg_to_rw_list(info, op->reg, 1);
+			break;
+
+		case M68K_AM_REGI_ADDR:
+		case M68K_AM_REGI_ADDR_DISP:
+			add_reg_to_rw_list(info, op->reg, 0);
+			break;
+
+		case M68K_AM_AREGI_INDEX_8_BIT_DISP:
+		case M68K_AM_AREGI_INDEX_BASE_DISP:
+		case M68K_AM_MEMI_POST_INDEX:
+		case M68K_AM_MEMI_PRE_INDEX:
+		case M68K_AM_PCI_INDEX_8_BIT_DISP:
+		case M68K_AM_PCI_INDEX_BASE_DISP:
+		case M68K_AM_PC_MEMI_PRE_INDEX:
+		case M68K_AM_PC_MEMI_POST_INDEX:
+			add_reg_to_rw_list(info, op->mem.index_reg, 0);
+			add_reg_to_rw_list(info, op->mem.base_reg, 0);
+			break;
+
+		// no register(s) in the other addressing modes
+		default:
+			break;
+	}
+}
+
+static void update_bits_range(m68k_info *info, m68k_reg reg_start, uint8_t bits, int write)
+{
+	int i;
+
+	for (i = 0; i < 8; ++i) {
+		if (bits & (1 << i)) {
+			add_reg_to_rw_list(info, reg_start + i, write);
+		}
+	}
+}
+
+static void update_reg_list_regbits(m68k_info *info, cs_m68k_op *op, int write)
+{
+	uint32_t bits = op->register_bits;
+	update_bits_range(info, M68K_REG_D0, bits & 0xff, write);
+	update_bits_range(info, M68K_REG_A0, (bits >> 8) & 0xff, write);
+	update_bits_range(info, M68K_REG_FP0, (bits >> 16) & 0xff, write);
+}
+
+static void update_op_reg_list(m68k_info *info, cs_m68k_op *op, int write)
+{
+	switch ((int)op->type) {
+		case M68K_OP_REG:
+			add_reg_to_rw_list(info, op->reg, write);
+			break;
+
+		case M68K_OP_MEM:
+			update_am_reg_list(info, op, write);
+			break;
+
+		case M68K_OP_REG_BITS:
+			update_reg_list_regbits(info, op, write);
+			break;
+
+		case M68K_OP_REG_PAIR:
+			add_reg_to_rw_list(info, op->reg_pair.reg_0, write);
+			add_reg_to_rw_list(info, op->reg_pair.reg_1, write);
+			break;
+	}
+}
+
+static void build_regs_read_write_counts(m68k_info *info)
+{
+	int i;
+
+	if (!info->extension.op_count)
+		return;
+
+	if (info->extension.op_count == 1) {
+		update_op_reg_list(info, &info->extension.operands[0], 1);
+	} else {
+		// first operand is always read
+		update_op_reg_list(info, &info->extension.operands[0], 0);
+
+		// remaning write
+		for (i = 1; i < info->extension.op_count; ++i)
+			update_op_reg_list(info, &info->extension.operands[i], 1);
+	}
+}
+
+static void m68k_setup_internals(m68k_info* info, MCInst* inst, unsigned int pc, unsigned int cpu_type)
+{
+	info->inst = inst;
+	info->pc = pc;
+	info->ir = 0;
+	info->type = cpu_type;
+	info->address_mask = 0xffffffff;
+
+	switch(info->type) {
+		case M68K_CPU_TYPE_68000:
+			info->type = TYPE_68000;
+			info->address_mask = 0x00ffffff;
+			break;
+		case M68K_CPU_TYPE_68010:
+			info->type = TYPE_68010;
+			info->address_mask = 0x00ffffff;
+			break;
+		case M68K_CPU_TYPE_68EC020:
+			info->type = TYPE_68020;
+			info->address_mask = 0x00ffffff;
+			break;
+		case M68K_CPU_TYPE_68020:
+			info->type = TYPE_68020;
+			info->address_mask = 0xffffffff;
+			break;
+		case M68K_CPU_TYPE_68030:
+			info->type = TYPE_68030;
+			info->address_mask = 0xffffffff;
+			break;
+		case M68K_CPU_TYPE_68040:
+			info->type = TYPE_68040;
+			info->address_mask = 0xffffffff;
+			break;
+		default:
+			info->address_mask = 0;
+			return;
+	}
+}
+
+/* ======================================================================== */
+/* ================================= API ================================== */
+/* ======================================================================== */
+
+/* Disasemble one instruction at pc and store in str_buff */
+static unsigned int m68k_disassemble(m68k_info *info, uint64_t pc)
+{
+	MCInst *inst = info->inst;
+	cs_m68k* ext = &info->extension;
+	int i;
+	unsigned int size;
+
+	inst->Opcode = M68K_INS_INVALID;
+
+	memset(ext, 0, sizeof(cs_m68k));
+	ext->op_size.type = M68K_SIZE_TYPE_CPU;
+
+	for (i = 0; i < M68K_OPERAND_COUNT; ++i)
+		ext->operands[i].type = M68K_OP_REG;
+
+	info->ir = peek_imm_16(info);
+	if (instruction_is_valid(info, peek_imm_32(info) & 0xffff)) {
+		info->ir = read_imm_16(info);
+		g_instruction_table[info->ir].instruction(info);
+	}
+
+	size = info->pc - (unsigned int)pc;
+	info->pc = (unsigned int)pc;
+
+	return size;
+}
+
+bool M68K_getInstruction(csh ud, const uint8_t* code, size_t code_len, MCInst* instr, uint16_t* size, uint64_t address, void* inst_info)
+{
+#ifdef M68K_DEBUG
+	SStream ss;
+#endif
+	int s;
+	int cpu_type = M68K_CPU_TYPE_68000;
+	cs_struct* handle = instr->csh;
+	m68k_info *info = (m68k_info*)handle->printer_info;
+
+	// code len has to be at least 2 bytes to be valid m68k
+
+	if (code_len < 2) {
+		*size = 0;
+		return false;
+	}
+
+	if (instr->flat_insn->detail) {
+		memset(instr->flat_insn->detail, 0, offsetof(cs_detail, m68k)+sizeof(cs_m68k));
+	}
+
+	info->groups_count = 0;
+	info->regs_read_count = 0;
+	info->regs_write_count = 0;
+	info->code = code;
+	info->code_len = code_len;
+	info->baseAddress = address;
+
+	if (handle->mode & CS_MODE_M68K_010)
+		cpu_type = M68K_CPU_TYPE_68010;
+	if (handle->mode & CS_MODE_M68K_020)
+		cpu_type = M68K_CPU_TYPE_68020;
+	if (handle->mode & CS_MODE_M68K_030)
+		cpu_type = M68K_CPU_TYPE_68030;
+	if (handle->mode & CS_MODE_M68K_040)
+		cpu_type = M68K_CPU_TYPE_68040;
+	if (handle->mode & CS_MODE_M68K_060)
+		cpu_type = M68K_CPU_TYPE_68040;	// 060 = 040 for now
+
+	m68k_setup_internals(info, instr, (unsigned int)address, cpu_type);
+	s = m68k_disassemble(info, address);
+
+	if (s == 0) {
+		*size = 2;
+		return false;
+	}
+
+	build_regs_read_write_counts(info);
+
+#ifdef M68K_DEBUG
+	SStream_Init(&ss);
+	M68K_printInst(instr, &ss, info);
+#endif
+
+	// Make sure we always stay within range
+	if (s > (int)code_len)
+		*size = (uint16_t)code_len;
+	else
+		*size = (uint16_t)s;
+
+	return true;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KDisassembler.h 4.0.2-3/arch/M68K/M68KDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KDisassembler.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,30 @@
+/* Capstone Disassembly Engine */
+/* M68K Backend by Daniel Collin <daniel@collin.com> 2015-2016 */
+
+#ifndef CS_M68KDISASSEMBLER_H
+#define CS_M68KDISASSEMBLER_H
+
+#include "../../MCInst.h"
+
+/* Private, For internal use only */
+typedef struct m68k_info {
+	const uint8_t *code;
+	size_t code_len;
+	uint64_t baseAddress;
+	MCInst *inst;
+	unsigned int pc;        /* program counter */
+	unsigned int ir;        /* instruction register */
+	unsigned int type;
+	unsigned int address_mask; /* Address mask to simulate address lines */
+	cs_m68k extension;
+	uint16_t regs_read[20]; // list of implicit registers read by this insn
+	uint8_t regs_read_count; // number of implicit registers read by this insn
+	uint16_t regs_write[20]; // list of implicit registers modified by this insn
+	uint8_t regs_write_count; // number of implicit registers modified by this insn
+	uint8_t groups[8];
+	uint8_t groups_count;
+} m68k_info;
+
+bool M68K_getInstruction(csh ud, const uint8_t* code, size_t code_len, MCInst* instr, uint16_t* size, uint64_t address, void* info);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KInstPrinter.c 4.0.2-3/arch/M68K/M68KInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KInstPrinter.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,387 @@
+/* Capstone Disassembly Engine */
+/* M68K Backend by Daniel Collin <daniel@collin.com> 2015-2016 */
+
+#ifdef _MSC_VER
+// Disable security warnings for strcat & sprintf
+#ifndef _CRT_SECURE_NO_WARNINGS
+#define _CRT_SECURE_NO_WARNINGS
+#endif
+
+//Banned API Usage : strcat / sprintf is a Banned API as listed in dontuse.h for
+//security purposes.
+#pragma warning(disable:28719)
+#endif
+
+#include <stdio.h>	// DEBUG
+#include <stdlib.h>
+#include <string.h>
+
+#include "M68KInstPrinter.h"
+
+#include "M68KDisassembler.h"
+
+#include "../../cs_priv.h"
+#include "../../utils.h"
+
+#include "../../MCInst.h"
+#include "../../MCInstrDesc.h"
+#include "../../MCRegisterInfo.h"
+
+#ifndef CAPSTONE_DIET
+static const char* s_spacing = " ";
+
+static const char* s_reg_names[] = {
+	"invalid",
+	"d0", "d1", "d2", "d3", "d4", "d5", "d6", "d7",
+	"a0", "a1", "a2", "a3", "a4", "a5", "a6", "a7",
+	"fp0", "fp1", "fp2", "fp3", "fp4", "fp5", "fp6", "fp7",
+	"pc",
+	"sr", "ccr", "sfc", "dfc", "usp", "vbr", "cacr",
+	"caar", "msp", "isp", "tc", "itt0", "itt1", "dtt0",
+	"dtt1", "mmusr", "urp", "srp",
+
+	"fpcr", "fpsr", "fpiar",
+};
+
+static const char* s_instruction_names[] = {
+	"invalid",
+	"abcd", "add", "adda", "addi", "addq", "addx", "and", "andi", "asl", "asr", "bhs", "blo", "bhi", "bls", "bcc", "bcs", "bne", "beq", "bvc",
+	"bvs", "bpl", "bmi", "bge", "blt", "bgt", "ble", "bra", "bsr", "bchg", "bclr", "bset", "btst", "bfchg", "bfclr", "bfexts", "bfextu", "bfffo", "bfins",
+	"bfset", "bftst", "bkpt", "callm", "cas", "cas2", "chk", "chk2", "clr", "cmp", "cmpa", "cmpi", "cmpm", "cmp2", "cinvl", "cinvp", "cinva", "cpushl", "cpushp",
+	"cpusha", "dbt", "dbf", "dbhi", "dbls", "dbcc", "dbcs", "dbne", "dbeq", "dbvc", "dbvs", "dbpl", "dbmi", "dbge", "dblt", "dbgt", "dble", "dbra",
+	"divs", "divsl", "divu", "divul", "eor", "eori", "exg", "ext", "extb", "fabs", "fsabs", "fdabs", "facos", "fadd", "fsadd", "fdadd", "fasin",
+	"fatan", "fatanh", "fbf", "fbeq", "fbogt", "fboge", "fbolt", "fbole", "fbogl", "fbor", "fbun", "fbueq", "fbugt", "fbuge", "fbult", "fbule", "fbne", "fbt",
+	"fbsf", "fbseq", "fbgt", "fbge", "fblt", "fble", "fbgl", "fbgle", "fbngle", "fbngl", "fbnle", "fbnlt", "fbnge", "fbngt", "fbsne", "fbst", "fcmp", "fcos",
+	"fcosh", "fdbf", "fdbeq", "fdbogt", "fdboge", "fdbolt", "fdbole", "fdbogl", "fdbor", "fdbun", "fdbueq", "fdbugt", "fdbuge", "fdbult", "fdbule", "fdbne",
+	"fdbt", "fdbsf", "fdbseq", "fdbgt", "fdbge", "fdblt", "fdble", "fdbgl", "fdbgle", "fdbngle", "fdbngl", "fdbnle", "fdbnlt", "fdbnge", "fdbngt", "fdbsne",
+	"fdbst", "fdiv", "fsdiv", "fddiv", "fetox", "fetoxm1", "fgetexp", "fgetman", "fint", "fintrz", "flog10", "flog2", "flogn", "flognp1", "fmod", "fmove",
+	"fsmove", "fdmove", "fmovecr", "fmovem", "fmul", "fsmul", "fdmul", "fneg", "fsneg", "fdneg", "fnop", "frem", "frestore", "fsave", "fscale", "fsgldiv",
+	"fsglmul", "fsin", "fsincos", "fsinh", "fsqrt", "fssqrt", "fdsqrt", "fsf", "fseq", "fsogt", "fsoge", "fsolt", "fsole", "fsogl", "fsor", "fsun", "fsueq",
+	"fsugt", "fsuge", "fsult", "fsule", "fsne", "fst", "fssf", "fsseq", "fsgt", "fsge", "fslt", "fsle", "fsgl", "fsgle", "fsngle",
+	"fsngl", "fsnle", "fsnlt", "fsnge", "fsngt", "fssne", "fsst", "fsub", "fssub", "fdsub", "ftan", "ftanh", "ftentox", "ftrapf", "ftrapeq", "ftrapogt",
+	"ftrapoge", "ftrapolt", "ftrapole", "ftrapogl", "ftrapor", "ftrapun", "ftrapueq", "ftrapugt", "ftrapuge", "ftrapult", "ftrapule", "ftrapne", "ftrapt",
+	"ftrapsf", "ftrapseq", "ftrapgt", "ftrapge", "ftraplt", "ftraple", "ftrapgl", "ftrapgle", "ftrapngle", "ftrapngl", "ftrapnle", "ftrapnlt", "ftrapnge",
+	"ftrapngt", "ftrapsne", "ftrapst", "ftst", "ftwotox", "halt", "illegal", "jmp", "jsr", "lea", "link", "lpstop", "lsl", "lsr", "move", "movea", "movec",
+	"movem", "movep", "moveq", "moves", "move16", "muls", "mulu", "nbcd", "neg", "negx", "nop", "not", "or", "ori", "pack", "pea", "pflush", "pflusha",
+	"pflushan", "pflushn", "ploadr", "ploadw", "plpar", "plpaw", "pmove", "pmovefd", "ptestr", "ptestw", "pulse", "rems", "remu", "reset", "rol", "ror",
+	"roxl", "roxr", "rtd", "rte", "rtm", "rtr", "rts", "sbcd", "st", "sf", "shi", "sls", "scc", "shs", "scs", "slo", "sne", "seq", "svc", "svs", "spl", "smi",
+	"sge", "slt", "sgt", "sle", "stop", "sub", "suba", "subi", "subq", "subx", "swap", "tas", "trap", "trapv", "trapt", "trapf", "traphi", "trapls",
+	"trapcc", "traphs", "trapcs", "traplo", "trapne", "trapeq", "trapvc", "trapvs", "trappl", "trapmi", "trapge", "traplt", "trapgt", "traple", "tst", "unlk", "unpk",
+};
+#endif
+
+
+#ifndef CAPSTONE_DIET
+static const char* getRegName(m68k_reg reg)
+{
+	return s_reg_names[(int)reg];
+}
+
+static void printRegbitsRange(char* buffer, uint32_t data, const char* prefix)
+{
+	unsigned int first = 0;
+	unsigned int run_length = 0;
+	int i;
+
+	for (i = 0; i < 8; ++i) {
+		if (data & (1 << i)) {
+			first = i;
+			run_length = 0;
+
+			while (i < 7 && (data & (1 << (i + 1)))) {
+				i++;
+				run_length++;
+			}
+
+			if (buffer[0] != 0)
+				strcat(buffer, "/");
+
+			sprintf(buffer + strlen(buffer), "%s%d", prefix, first);
+			if (run_length > 0)
+				sprintf(buffer + strlen(buffer), "-%s%d", prefix, first + run_length);
+		}
+	}
+}
+
+static void registerBits(SStream* O, const cs_m68k_op* op)
+{
+	char buffer[128];
+	unsigned int data = op->register_bits;
+
+	buffer[0] = 0;
+
+	if (!data) {
+		SStream_concat(O, "%s", "#$0");
+		return;
+	}
+
+	printRegbitsRange(buffer, data & 0xff, "d");
+	printRegbitsRange(buffer, (data >> 8) & 0xff, "a");
+	printRegbitsRange(buffer, (data >> 16) & 0xff, "fp");
+
+	SStream_concat(O, "%s", buffer);
+}
+
+static void registerPair(SStream* O, const cs_m68k_op* op)
+{
+	SStream_concat(O, "%s:%s", s_reg_names[op->reg_pair.reg_0],
+			s_reg_names[op->reg_pair.reg_1]);
+}
+
+static void printAddressingMode(SStream* O, unsigned int pc, const cs_m68k* inst, const cs_m68k_op* op)
+{
+	switch (op->address_mode) {
+		case M68K_AM_NONE:
+			switch (op->type) {
+				case M68K_OP_REG_BITS:
+					registerBits(O, op);
+					break;
+				case M68K_OP_REG_PAIR:
+					registerPair(O, op);
+					break;
+				case M68K_OP_REG:
+					SStream_concat(O, "%s", s_reg_names[op->reg]);
+					break;
+				default:
+					break;
+			}
+			break;
+
+		case M68K_AM_REG_DIRECT_DATA: SStream_concat(O, "d%d", (op->reg - M68K_REG_D0)); break;
+		case M68K_AM_REG_DIRECT_ADDR: SStream_concat(O, "a%d", (op->reg - M68K_REG_A0)); break;
+		case M68K_AM_REGI_ADDR: SStream_concat(O, "(a%d)", (op->reg - M68K_REG_A0)); break;
+		case M68K_AM_REGI_ADDR_POST_INC: SStream_concat(O, "(a%d)+", (op->reg - M68K_REG_A0)); break;
+		case M68K_AM_REGI_ADDR_PRE_DEC: SStream_concat(O, "-(a%d)", (op->reg - M68K_REG_A0)); break;
+		case M68K_AM_REGI_ADDR_DISP: SStream_concat(O, "%s$%x(a%d)", op->mem.disp < 0 ? "-" : "", abs(op->mem.disp), (op->mem.base_reg - M68K_REG_A0)); break;
+		case M68K_AM_PCI_DISP: SStream_concat(O, "$%x(pc)", pc + 2 + op->mem.disp); break;
+		case M68K_AM_ABSOLUTE_DATA_SHORT: SStream_concat(O, "$%x.w", op->imm); break;
+		case M68K_AM_ABSOLUTE_DATA_LONG: SStream_concat(O, "$%x.l", op->imm); break;
+		case M68K_AM_IMMEDIATE:
+			 if (inst->op_size.type == M68K_SIZE_TYPE_FPU) {
+#if defined(_KERNEL_MODE)
+				 // Issue #681: Windows kernel does not support formatting float point
+				 SStream_concat(O, "#<float_point_unsupported>");
+				 break;
+#else
+				 if (inst->op_size.fpu_size == M68K_FPU_SIZE_SINGLE)
+					 SStream_concat(O, "#%f", op->simm);
+				 else if (inst->op_size.fpu_size == M68K_FPU_SIZE_DOUBLE)
+					 SStream_concat(O, "#%f", op->dimm);
+				 else
+					 SStream_concat(O, "#<unsupported>");
+				 break;
+#endif
+			 }
+			 SStream_concat(O, "#$%x", op->imm);
+			 break;
+		case M68K_AM_PCI_INDEX_8_BIT_DISP:
+			SStream_concat(O, "$%x(pc,%s%s.%c)", pc + 2 + op->mem.disp, s_spacing, getRegName(op->mem.index_reg), op->mem.index_size ? 'l' : 'w');
+			break;
+		case M68K_AM_AREGI_INDEX_8_BIT_DISP:
+			SStream_concat(O, "%s$%x(%s,%s%s.%c)", op->mem.disp < 0 ? "-" : "", abs(op->mem.disp), getRegName(op->mem.base_reg), s_spacing, getRegName(op->mem.index_reg), op->mem.index_size ? 'l' : 'w');
+			break;
+		case M68K_AM_PCI_INDEX_BASE_DISP:
+		case M68K_AM_AREGI_INDEX_BASE_DISP:
+
+			if (op->address_mode == M68K_AM_PCI_INDEX_BASE_DISP) {
+				SStream_concat(O, "$%x", pc + 2 + op->mem.in_disp);
+			} else {
+				if (op->mem.in_disp > 0)
+					SStream_concat(O, "$%x", op->mem.in_disp);
+			}
+
+			SStream_concat(O, "(");
+
+			if (op->address_mode == M68K_AM_PCI_INDEX_BASE_DISP) {
+			    SStream_concat(O, "pc,%s.%c", getRegName(op->mem.index_reg), op->mem.index_size ? 'l' : 'w');
+			} else {
+				if (op->mem.base_reg != M68K_REG_INVALID)
+					SStream_concat(O, "a%d,%s", op->mem.base_reg - M68K_REG_A0, s_spacing);
+				SStream_concat(O, "%s.%c", getRegName(op->mem.index_reg), op->mem.index_size ? 'l' : 'w');
+			}
+
+			if (op->mem.scale > 0)
+			    SStream_concat(O, "%s*%s%d)", s_spacing, s_spacing, op->mem.scale);
+			else
+			    SStream_concat(O, ")");
+			break;
+			// It's ok to just use PCMI here as is as we set base_reg to PC in the disassembler. While this is not strictly correct it makes the code
+			// easier and that is what actually happens when the code is executed anyway.
+
+		case M68K_AM_PC_MEMI_POST_INDEX:
+		case M68K_AM_PC_MEMI_PRE_INDEX:
+		case M68K_AM_MEMI_PRE_INDEX:
+		case M68K_AM_MEMI_POST_INDEX:
+			SStream_concat(O, "([");
+
+			if (op->address_mode == M68K_AM_PC_MEMI_POST_INDEX || op->address_mode == M68K_AM_PC_MEMI_PRE_INDEX) {
+				SStream_concat(O, "$%x", pc + 2 + op->mem.in_disp);
+			} else {
+				if (op->mem.in_disp > 0)
+					SStream_concat(O, "$%x", op->mem.in_disp);
+			}
+
+			if (op->mem.base_reg != M68K_REG_INVALID) {
+				if (op->mem.in_disp > 0)
+					SStream_concat(O, ",%s%s", s_spacing, getRegName(op->mem.base_reg));
+				else
+					SStream_concat(O, "%s", getRegName(op->mem.base_reg));
+			}
+
+			if (op->address_mode == M68K_AM_MEMI_POST_INDEX || op->address_mode == M68K_AM_PC_MEMI_POST_INDEX)
+			    SStream_concat(O, "]");
+
+			if (op->mem.index_reg != M68K_REG_INVALID)
+			    SStream_concat(O, ",%s%s.%c", s_spacing, getRegName(op->mem.index_reg), op->mem.index_size ? 'l' : 'w');
+
+			if (op->mem.scale > 0)
+			    SStream_concat(O, "%s*%s%d", s_spacing, s_spacing, op->mem.scale);
+
+			if (op->address_mode == M68K_AM_MEMI_PRE_INDEX || op->address_mode == M68K_AM_PC_MEMI_PRE_INDEX)
+			    SStream_concat(O, "]");
+
+			if (op->mem.out_disp > 0)
+			    SStream_concat(O, ",%s$%x", s_spacing, op->mem.out_disp);
+
+			SStream_concat(O, ")");
+			break;
+		case M68K_AM_BRANCH_DISPLACEMENT:
+			SStream_concat(O, "$%x", pc + 2 + op->br_disp.disp);
+		default:
+			break;
+	}
+
+	if (op->mem.bitfield)
+		SStream_concat(O, "{%d:%d}", op->mem.offset, op->mem.width);
+}
+#endif
+
+#define m68k_sizeof_array(array) (int)(sizeof(array)/sizeof(array[0]))
+#define m68k_min(a, b) (a < b) ? a : b
+
+void M68K_printInst(MCInst* MI, SStream* O, void* PrinterInfo)
+{
+#ifndef CAPSTONE_DIET
+	m68k_info *info = (m68k_info *)PrinterInfo;
+	cs_m68k *ext = &info->extension;
+	cs_detail *detail = NULL;
+	int i = 0;
+
+	detail = MI->flat_insn->detail;
+	if (detail) {
+		int regs_read_count = m68k_min(m68k_sizeof_array(detail->regs_read), info->regs_read_count);
+		int regs_write_count = m68k_min(m68k_sizeof_array(detail->regs_write), info->regs_write_count);
+		int groups_count = m68k_min(m68k_sizeof_array(detail->groups), info->groups_count);
+
+		memcpy(&detail->m68k, ext, sizeof(cs_m68k));
+
+		memcpy(&detail->regs_read, &info->regs_read, regs_read_count * sizeof(uint16_t));
+		detail->regs_read_count = regs_read_count;
+
+		memcpy(&detail->regs_write, &info->regs_write, regs_write_count * sizeof(uint16_t));
+		detail->regs_write_count = regs_write_count;
+
+		memcpy(&detail->groups, &info->groups, groups_count);
+		detail->groups_count = groups_count;
+	}
+
+	if (MI->Opcode == M68K_INS_INVALID) {
+		if (ext->op_count)
+			SStream_concat(O, "dc.w $%x", ext->operands[0].imm);
+		else
+			SStream_concat(O, "dc.w $<unknown>");
+		return;
+	}
+
+	SStream_concat0(O, (char*)s_instruction_names[MI->Opcode]);
+
+	switch (ext->op_size.type) {
+		case M68K_SIZE_TYPE_INVALID :
+			break;
+
+		case M68K_SIZE_TYPE_CPU :
+			switch (ext->op_size.cpu_size) {
+				case M68K_CPU_SIZE_BYTE: SStream_concat0(O, ".b"); break;
+				case M68K_CPU_SIZE_WORD: SStream_concat0(O, ".w"); break;
+				case M68K_CPU_SIZE_LONG: SStream_concat0(O, ".l"); break;
+				case M68K_CPU_SIZE_NONE: break;
+			}
+			break;
+
+		case M68K_SIZE_TYPE_FPU :
+			switch (ext->op_size.fpu_size) {
+				case M68K_FPU_SIZE_SINGLE: SStream_concat0(O, ".s"); break;
+				case M68K_FPU_SIZE_DOUBLE: SStream_concat0(O, ".d"); break;
+				case M68K_FPU_SIZE_EXTENDED: SStream_concat0(O, ".x"); break;
+				case M68K_FPU_SIZE_NONE: break;
+			}
+			break;
+	}
+
+	SStream_concat0(O, " ");
+
+	// this one is a bit spacial so we do special things
+
+	if (MI->Opcode == M68K_INS_CAS2) {
+		int reg_value_0, reg_value_1;
+		printAddressingMode(O, info->pc, ext, &ext->operands[0]); SStream_concat0(O, ",");
+		printAddressingMode(O, info->pc, ext, &ext->operands[1]); SStream_concat0(O, ",");
+		reg_value_0 = ext->operands[2].register_bits >> 4;
+		reg_value_1 = ext->operands[2].register_bits & 0xf;
+		SStream_concat(O, "(%s):(%s)", s_reg_names[M68K_REG_D0 + reg_value_0], s_reg_names[M68K_REG_D0 + reg_value_1]);
+		return;
+	}
+
+	for (i  = 0; i < ext->op_count; ++i) {
+		printAddressingMode(O, info->pc, ext, &ext->operands[i]);
+		if ((i + 1) != ext->op_count)
+			SStream_concat(O, ",%s", s_spacing);
+	}
+#endif
+}
+
+const char* M68K_reg_name(csh handle, unsigned int reg)
+{
+#ifdef CAPSTONE_DIET
+	return NULL;
+#else
+	if (reg >= ARR_SIZE(s_reg_names)) {
+		return NULL;
+	}
+	return s_reg_names[(int)reg];
+#endif
+}
+
+void M68K_get_insn_id(cs_struct* h, cs_insn* insn, unsigned int id)
+{
+	insn->id = id; // These id's matches for 68k
+}
+
+const char* M68K_insn_name(csh handle, unsigned int id)
+{
+#ifdef CAPSTONE_DIET
+	return NULL;
+#else
+	return s_instruction_names[id];
+#endif
+}
+
+#ifndef CAPSTONE_DIET
+static name_map group_name_maps[] = {
+	{ M68K_GRP_INVALID , NULL },
+	{ M68K_GRP_JUMP, "jump" },
+	{ M68K_GRP_RET , "ret" },
+	{ M68K_GRP_IRET, "iret" },
+	{ M68K_GRP_BRANCH_RELATIVE, "branch_relative" },
+};
+#endif
+
+const char *M68K_group_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
+#else
+	return NULL;
+#endif
+}
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KInstPrinter.h 4.0.2-3/arch/M68K/M68KInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KInstPrinter.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,21 @@
+/* Capstone Disassembly Engine */
+/* M68K Backend by Daniel Collin <daniel@collin.com> 2015 */
+
+#ifndef CS_M68KINSTPRINTER_H
+#define CS_M68KINSTPRINTER_H
+
+#include "capstone/capstone.h"
+#include "../../MCRegisterInfo.h"
+#include "../../MCInst.h"
+
+struct SStream;
+
+void M68K_init(MCRegisterInfo *MRI);
+void M68K_printInst(MCInst* MI, struct SStream* O, void* Info);
+const char* M68K_reg_name(csh handle, unsigned int reg);
+void M68K_get_insn_id(cs_struct* h, cs_insn* insn, unsigned int id);
+const char *M68K_insn_name(csh handle, unsigned int id);
+const char* M68K_group_name(csh handle, unsigned int id);
+void M68K_post_printer(csh handle, cs_insn* flat_insn, char* insn_asm, MCInst* mci);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KInstructionTable.inc 4.0.2-3/arch/M68K/M68KInstructionTable.inc
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KInstructionTable.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KInstructionTable.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,65540 @@
+/* This table is auto-generated. DO NOT MANUALLY EDIT! Look in M68KInstructionTblGen.c for more info */
+static instruction_struct g_instruction_table[] = {
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_ori_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_to_ccr, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_ori_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_to_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_ori_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_8, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_andi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_to_ccr, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_andi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_to_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_andi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_16, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_subi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_subi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_subi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68020_chk2_cmp2_32, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_addi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_addi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_addi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_rtm, 0x0, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68020_callm, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_btst_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_bchg_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_bclr_s, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_bset_s, 0xfe00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_eori_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_to_ccr, 0xff00, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_eori_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_to_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_eori_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68020_cas_8, 0xfe38, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68000_cmpi_8, 0x0, 0x0 },
+	{ d68020_cmpi_pcdi_8, 0x0, 0x0 },
+	{ d68020_cmpi_pcix_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68000_cmpi_16, 0x0, 0x0 },
+	{ d68020_cmpi_pcdi_16, 0x0, 0x0 },
+	{ d68020_cmpi_pcix_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68000_cmpi_32, 0x0, 0x0 },
+	{ d68020_cmpi_pcdi_32, 0x0, 0x0 },
+	{ d68020_cmpi_pcix_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68020_cas_16, 0xfe38, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cas2_16, 0xe38, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68010_moves_8, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68010_moves_16, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68010_moves_32, 0x7ff, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68020_cas_32, 0xfe38, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cas2_32, 0xe38, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_movep_er_16, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_btst_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_movep_er_32, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_bchg_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_movep_re_16, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_bclr_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_movep_re_32, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_bset_r, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_move_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_movea_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_move_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_movea_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_move_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_negx_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_negx_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_negx_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_move_fr_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_clr_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_clr_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_clr_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68010_move_fr_ccr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_neg_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_neg_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_neg_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_move_to_ccr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_not_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_not_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_not_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_move_to_sr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68020_link_32, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_nbcd, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68000_swap, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68010_bkpt, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_pea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_ext_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_pd_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_movem_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_ext_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_pd_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_movem_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68020_extb_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68000_tst_8, 0x0, 0x0 },
+	{ d68020_tst_pcdi_8, 0x0, 0x0 },
+	{ d68020_tst_pcix_8, 0x0, 0x0 },
+	{ d68020_tst_i_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68020_tst_a_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68000_tst_16, 0x0, 0x0 },
+	{ d68020_tst_pcdi_16, 0x0, 0x0 },
+	{ d68020_tst_pcix_16, 0x0, 0x0 },
+	{ d68020_tst_i_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68020_tst_a_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68000_tst_32, 0x0, 0x0 },
+	{ d68020_tst_pcdi_32, 0x0, 0x0 },
+	{ d68020_tst_pcix_32, 0x0, 0x0 },
+	{ d68020_tst_i_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_tas, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_illegal, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68020_mull, 0x83f8, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68020_divl, 0x83f8, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_movem_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_movem_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_trap, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_link_16, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_unlk, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_to_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_move_fr_usp, 0x0, 0x0 },
+	{ d68000_reset, 0x0, 0x0 },
+	{ d68000_nop, 0x0, 0x0 },
+	{ d68000_stop, 0x0, 0x0 },
+	{ d68000_rte, 0x0, 0x0 },
+	{ d68010_rtd, 0x0, 0x0 },
+	{ d68000_rts, 0x0, 0x0 },
+	{ d68000_trapv, 0x0, 0x0 },
+	{ d68000_rtr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68010_movec, 0x0, 0x0 },
+	{ d68010_movec, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_jsr, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_jmp, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68020_chk_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_chk_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_lea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_dbra, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_addq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_addq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_addq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_subq_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_subq_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_subq_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_dbcc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68000_scc, 0x0, 0x0 },
+	{ d68020_trapcc_16, 0x0, 0x0 },
+	{ d68020_trapcc_32, 0x0, 0x0 },
+	{ d68020_trapcc_0, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_bra_16, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68000_bra_8, 0x0, 0x0 },
+	{ d68020_bra_32, 0x0, 0x0 },
+	{ d68000_bsr_16, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68000_bsr_8, 0x0, 0x0 },
+	{ d68020_bsr_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_bcc_16, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68000_bcc_8, 0x0, 0x0 },
+	{ d68020_bcc_32, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_moveq, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_or_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_or_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_or_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_divu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_rr, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_sbcd_mm, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_or_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_rr, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68020_pack_mm, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_or_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_rr, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68020_unpk_mm, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_or_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_divs, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_sub_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_sub_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_sub_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_suba_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_rr_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_subx_mm_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_sub_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_rr_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_subx_mm_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_sub_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_rr_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_subx_mm_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_sub_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_suba_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_1010, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_cmp_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_cmp_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_cmp_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_cmpa_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_cmpm_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_eor_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_cmpm_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_eor_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_cmpm_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_eor_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_cmpa_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_and_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_and_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_and_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_mulu, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_rr, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_abcd_mm, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_and_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_dd, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_exg_aa, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_and_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_exg_da, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_and_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_muls, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_add_er_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_add_er_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_add_er_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_adda_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_rr_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_addx_mm_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_add_re_8, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_rr_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_addx_mm_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_add_re_16, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_rr_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_addx_mm_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_add_re_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_adda_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_asr_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_asl_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_lsr_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_lsl_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_roxr_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_roxl_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_ror_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_rol_ea, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68020_bftst, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68020_bfextu, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68020_bfchg, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68020_bfexts, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68020_bfclr, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68020_bfffo, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_asr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_lsr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_roxr_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_ror_s_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_asr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_lsr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_roxr_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_ror_r_8, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_asr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_lsr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_roxr_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_ror_s_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_asr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_lsr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_roxr_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_ror_r_16, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_asr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_lsr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_roxr_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_ror_s_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_asr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_lsr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_roxr_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68000_ror_r_32, 0x0, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68020_bfset, 0xf000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_asl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_lsl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_roxl_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_rol_s_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_asl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_lsl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_roxl_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_rol_r_8, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_asl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_lsl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_roxl_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_rol_s_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_asl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_lsl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_roxl_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_rol_r_16, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_asl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_lsl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_roxl_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_rol_s_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_asl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_lsl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_roxl_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68000_rol_r_32, 0x0, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68020_bfins, 0x8000, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68000_invalid, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cinv, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68040_cpush, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_pi_al, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_al_pi, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_ai_al, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_al_ai, 0x0, 0x0 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68040_move16_pi_pi, 0x8fff, 0x8000 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpgen, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpdbcc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cpscc, 0x0, 0x0 },
+	{ d68020_cptrapcc_16, 0x0, 0x0 },
+	{ d68020_cptrapcc_32, 0x0, 0x0 },
+	{ d68020_cptrapcc_0, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_16, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68020_cpbcc_32, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68020_cpsave, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68020_cprestore, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 },
+	{ d68000_1111, 0x0, 0x0 }
+};
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KModule.c 4.0.2-3/arch/M68K/M68KModule.c
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KModule.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,42 @@
+/* Capstone Disassembly Engine */
+/* M68K Backend by Daniel Collin <daniel@collin.com> 2015 */
+
+#ifdef CAPSTONE_HAS_M68K
+
+#include "../../utils.h"
+#include "../../MCRegisterInfo.h"
+#include "M68KDisassembler.h"
+#include "M68KInstPrinter.h"
+#include "M68KModule.h"
+
+cs_err M68K_global_init(cs_struct *ud)
+{
+	m68k_info *info;
+
+	info = cs_mem_malloc(sizeof(m68k_info));
+	if (!info) {
+		return CS_ERR_MEM;
+	}
+
+	ud->printer = M68K_printInst;
+	ud->printer_info = info;
+	ud->getinsn_info = NULL;
+	ud->disasm = M68K_getInstruction;
+	ud->skipdata_size = 2;
+	ud->post_printer = NULL;
+
+	ud->reg_name = M68K_reg_name;
+	ud->insn_id = M68K_get_insn_id;
+	ud->insn_name = M68K_insn_name;
+	ud->group_name = M68K_group_name;
+
+	return CS_ERR_OK;
+}
+
+cs_err M68K_option(cs_struct *handle, cs_opt_type type, size_t value)
+{
+	return CS_ERR_OK;
+}
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/M68K/M68KModule.h 4.0.2-3/arch/M68K/M68KModule.h
--- 4.0.1+really+3.0.5-2/arch/M68K/M68KModule.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/M68K/M68KModule.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+/* Capstone Disassembly Engine */
+/* By Travis Finkenauer <tmfinken@gmail.com>, 2018 */
+
+#ifndef CS_M68K_MODULE_H
+#define CS_M68K_MODULE_H
+
+#include "../../utils.h"
+
+cs_err M68K_global_init(cs_struct *ud);
+cs_err M68K_option(cs_struct *handle, cs_opt_type type, size_t value);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsDisassembler.c 4.0.2-3/arch/Mips/MipsDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,18 +12,19 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_MIPS
 
 #include <stdio.h>
 #include <string.h>
 
-#include <platform.h>
+#include "capstone/platform.h"
+
+#include "MipsDisassembler.h"
 
 #include "../../utils.h"
 
-#include "../../MCInst.h"
 #include "../../MCRegisterInfo.h"
 #include "../../SStream.h"
 
@@ -46,6 +47,15 @@ static DecodeStatus DecodeGPR64RegisterC
 static DecodeStatus DecodeCPU16RegsRegisterClass(MCInst *Inst,
 		unsigned RegNo, uint64_t Address, const MCRegisterInfo *Decoder);
 
+static DecodeStatus DecodeGPRMM16RegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeGPRMM16ZeroRegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeGPRMM16MovePRegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder);
+
 static DecodeStatus DecodeGPR32RegisterClass(MCInst *Inst,
 		unsigned RegNo, uint64_t Address, const MCRegisterInfo *Decoder);
 
@@ -118,6 +128,16 @@ static DecodeStatus DecodeBranchTarget21
 static DecodeStatus DecodeBranchTarget26(MCInst *Inst,
 		unsigned Offset, uint64_t Address, const MCRegisterInfo *Decoder);
 
+// DecodeBranchTarget7MM - Decode microMIPS branch offset, which is
+// shifted left by 1 bit.
+static DecodeStatus DecodeBranchTarget7MM(MCInst *Inst,
+		unsigned Offset, uint64_t Address, MCRegisterInfo *Decoder);
+
+// DecodeBranchTarget10MM - Decode microMIPS branch offset, which is
+// shifted left by 1 bit.
+static DecodeStatus DecodeBranchTarget10MM(MCInst *Inst,
+		unsigned Offset, uint64_t Address, MCRegisterInfo *Decoder);
+
 // DecodeBranchTargetMM - Decode microMIPS branch offset, which is
 // shifted left by 1 bit.
 static DecodeStatus DecodeBranchTargetMM(MCInst *Inst,
@@ -131,12 +151,33 @@ static DecodeStatus DecodeJumpTargetMM(M
 static DecodeStatus DecodeMem(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
-static DecodeStatus DecodeCachePref(MCInst *Inst,
-		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
+static DecodeStatus DecodeCacheOp(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeCacheOpR6(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeCacheOpMM(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeSyncI(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
 
 static DecodeStatus DecodeMSA128Mem(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
+static DecodeStatus DecodeMemMMImm4(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeMemMMSPImm5Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeMemMMGPImm7Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeMemMMReglistImm4Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
 static DecodeStatus DecodeMemMMImm12(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
@@ -146,15 +187,30 @@ static DecodeStatus DecodeMemMMImm16(MCI
 static DecodeStatus DecodeFMem(MCInst *Inst, unsigned Insn,
 		uint64_t Address, const MCRegisterInfo *Decoder);
 
-static DecodeStatus DecodeCOP2Mem(MCInst *Inst, unsigned Insn,
-		uint64_t Address, const MCRegisterInfo *Decoder);
+static DecodeStatus DecodeFMem2(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder);
 
-static DecodeStatus DecodeCOP3Mem(MCInst *Inst, unsigned Insn,
-		uint64_t Address, const MCRegisterInfo *Decoder);
+static DecodeStatus DecodeFMem3(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeFMemCop2R6(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder);
 
 static DecodeStatus DecodeSpecial3LlSc(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
+static DecodeStatus DecodeAddiur2Simm7(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeUImm6Lsl2(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeLiSimm7(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeSimm4(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder);
+
 static DecodeStatus DecodeSimm16(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
@@ -175,6 +231,18 @@ static DecodeStatus DecodeSimm19Lsl2(MCI
 static DecodeStatus DecodeSimm18Lsl3(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
+static DecodeStatus DecodeSimm9SP(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeANDI16Imm(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeUImm5lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeSimm23Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder);
+
 /// INSVE_[BHWD] have an implicit operand that the generated decoder doesn't
 /// handle.
 static DecodeStatus DecodeINSVE_DF_4(MCInst *MI,
@@ -198,6 +266,14 @@ static DecodeStatus DecodeBgtzGroupBranc
 static DecodeStatus DecodeBlezGroupBranch_4(MCInst *MI,
 		uint32_t insn, uint64_t Address, const MCRegisterInfo *Decoder);
 
+static DecodeStatus DecodeRegListOperand(MCInst *Inst,
+		uint32_t insn, uint64_t Address, const MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeRegListOperand16(MCInst *Inst,
+		uint32_t insn, uint64_t Address, MCRegisterInfo *Decoder);
+
+static DecodeStatus DecodeMovePRegPair(MCInst *Inst,
+		uint32_t insn, uint64_t Address, MCRegisterInfo *Decoder);
 
 #define GET_SUBTARGETINFO_ENUM
 #include "MipsGenSubtargetInfo.inc"
@@ -265,19 +341,22 @@ static uint64_t getFeatureBits(int mode)
 void Mips_init(MCRegisterInfo *MRI)
 {
 	// InitMCRegisterInfo(MipsRegDesc, 394, RA, PC,
-	// 		MipsMCRegisterClasses, 48,
+	// 		MipsMCRegisterClasses, 62,
 	// 		MipsRegUnitRoots,
 	// 		273,
 	// 		MipsRegDiffLists,
+	// 		MipsLaneMaskLists,
 	// 		MipsRegStrings,
+	// 		MipsRegClassStrings,
 	// 		MipsSubRegIdxLists,
 	// 		12,
 	// 		MipsSubRegIdxRanges,
 	// 		MipsRegEncodingTable);
 
+
 	MCRegisterInfo_InitMCRegisterInfo(MRI, MipsRegDesc, 394,
 			0, 0,
-			MipsMCRegisterClasses, 48,
+			MipsMCRegisterClasses, 62,
 			0, 0,
 			MipsRegDiffLists,
 			0,
@@ -285,36 +364,44 @@ void Mips_init(MCRegisterInfo *MRI)
 			0);
 }
 
+/// Read two bytes from the ArrayRef and return 16 bit halfword sorted
+/// according to the given endianess.
+static void readInstruction16(unsigned char *code, uint32_t *insn,
+		bool isBigEndian)
+{
+	// We want to read exactly 2 Bytes of data.
+	if (isBigEndian)
+		*insn = (code[0] << 8) | code[1];
+	else
+		*insn = (code[1] << 8) | code[0];
+}
+
 /// readInstruction - read four bytes from the MemoryObject
 /// and return 32 bit word sorted according to the given endianess
-static DecodeStatus readInstruction32(unsigned char *code, uint32_t *insn, bool isBigEndian, bool isMicroMips)
+static void readInstruction32(unsigned char *code, uint32_t *insn, bool isBigEndian, bool isMicroMips)
 {
+	// High 16 bits of a 32-bit microMIPS instruction (where the opcode is)
+	// always precede the low 16 bits in the instruction stream (that is, they
+	// are placed at lower addresses in the instruction stream).
+	//
+	// microMIPS byte ordering:
+	//   Big-endian:    0 | 1 | 2 | 3
+	//   Little-endian: 1 | 0 | 3 | 2
+
 	// We want to read exactly 4 Bytes of data.
 	if (isBigEndian) {
 		// Encoded as a big-endian 32-bit word in the stream.
-		*insn = (code[3] <<  0) |
-			(code[2] <<  8) |
-			(code[1] << 16) |
-			(((uint32_t) code[0]) << 24);
+		*insn =
+			(code[3] << 0) | (code[2] << 8) | (code[1] << 16) | ((uint32_t) code[0] << 24);
 	} else {
-		// Encoded as a small-endian 32-bit word in the stream.
-		// Little-endian byte ordering:
-		//   mips32r2:   4 | 3 | 2 | 1
-		//   microMIPS:  2 | 1 | 4 | 3
 		if (isMicroMips) {
-			*insn = (code[2] <<  0) |
-				(code[3] <<  8) |
-				(code[0] << 16) |
-				(((uint32_t) code[1]) << 24);
+			*insn = (code[2] << 0) | (code[3] << 8) | (code[0] << 16) |
+				((uint32_t) code[1] << 24);
 		} else {
-			*insn = (code[0] <<  0) |
-				(code[1] <<  8) |
-				(code[2] << 16) |
-				(((uint32_t) code[3]) << 24);
+			*insn = (code[0] << 0) | (code[1] << 8) | (code[2] << 16) |
+				((uint32_t) code[3] << 24);
 		}
 	}
-
-	return MCDisassembler_Success;
 }
 
 static DecodeStatus MipsDisassembler_getInstruction(int mode, MCInst *instr,
@@ -325,20 +412,31 @@ static DecodeStatus MipsDisassembler_get
 	uint32_t Insn;
 	DecodeStatus Result;
 
-	if (code_len < 4)
-		// not enough data
-		return MCDisassembler_Fail;
-
 	if (instr->flat_insn->detail) {
-		memset(instr->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(instr->flat_insn->detail, 0, offsetof(cs_detail, mips)+sizeof(cs_mips));
 	}
 
-	Result = readInstruction32((unsigned char*)code, &Insn, isBigEndian,
-			mode & CS_MODE_MICRO);
-	if (Result == MCDisassembler_Fail)
-		return MCDisassembler_Fail;
-
 	if (mode & CS_MODE_MICRO) {
+		if (code_len < 2)
+			// not enough data
+			return MCDisassembler_Fail;
+
+		readInstruction16((unsigned char*)code, &Insn, isBigEndian);
+
+		// Calling the auto-generated decoder function.
+		Result = decodeInstruction(DecoderTableMicroMips16, instr, Insn, Address, MRI, mode);
+		if (Result != MCDisassembler_Fail) {
+			*Size = 2;
+			return Result;
+		}
+
+		if (code_len < 4)
+			// not enough data
+			return MCDisassembler_Fail;
+
+		readInstruction32((unsigned char*)code, &Insn, isBigEndian, true);
+
+		//DEBUG(dbgs() << "Trying MicroMips32 table (32-bit instructions):\n");
 		// Calling the auto-generated decoder function.
 		Result = decodeInstruction(DecoderTableMicroMips32, instr, Insn, Address, MRI, mode);
 		if (Result != MCDisassembler_Fail) {
@@ -348,9 +446,13 @@ static DecodeStatus MipsDisassembler_get
 		return MCDisassembler_Fail;
 	}
 
-#if 0
-	// TODO: properly handle this in the future with MIPS1/2 modes
-	if (((mode & CS_MODE_32) == 0) && ((mode & CS_MODE_MIPS3) == 0)) {	// COP3
+	if (code_len < 4)
+		// not enough data
+		return MCDisassembler_Fail;
+
+	readInstruction32((unsigned char*)code, &Insn, isBigEndian, false);
+
+	if ((mode & CS_MODE_MIPS2) && ((mode & CS_MODE_MIPS3) == 0)) {
 		// DEBUG(dbgs() << "Trying COP3_ table (32-bit opcodes):\n");
 		Result = decodeInstruction(DecoderTableCOP3_32, instr, Insn, Address, MRI, mode);
 		if (Result != MCDisassembler_Fail) {
@@ -358,9 +460,8 @@ static DecodeStatus MipsDisassembler_get
 			return Result;
 		}
 	}
-#endif
 
-	if (((mode & CS_MODE_MIPS32R6) != 0) && ((mode & CS_MODE_MIPSGP64) != 0)) {
+	if ((mode & CS_MODE_MIPS32R6) && (mode & CS_MODE_MIPS64)) {
 		// DEBUG(dbgs() << "Trying Mips32r6_64r6 (GPR64) table (32-bit opcodes):\n");
 		Result = decodeInstruction(DecoderTableMips32r6_64r6_GP6432, instr, Insn,
 				Address, MRI, mode);
@@ -370,7 +471,7 @@ static DecodeStatus MipsDisassembler_get
 		}
 	}
 
-	if ((mode & CS_MODE_MIPS32R6) != 0) {
+	if (mode & CS_MODE_MIPS32R6) {
 		// DEBUG(dbgs() << "Trying Mips32r6_64r6 table (32-bit opcodes):\n");
 		Result = decodeInstruction(DecoderTableMips32r6_64r632, instr, Insn,
 				Address, MRI, mode);
@@ -380,6 +481,17 @@ static DecodeStatus MipsDisassembler_get
 		}
 	}
 
+	if (mode & CS_MODE_MIPS64) {
+		// DEBUG(dbgs() << "Trying Mips64 (GPR64) table (32-bit opcodes):\n");
+		Result = decodeInstruction(DecoderTableMips6432, instr, Insn,
+				Address, MRI, mode);
+		if (Result != MCDisassembler_Fail) {
+			*Size = 4;
+			return Result;
+		}
+	}
+
+	// DEBUG(dbgs() << "Trying Mips table (32-bit opcodes):\n");
 	// Calling the auto-generated decoder function.
 	Result = decodeInstruction(DecoderTableMips32, instr, Insn, Address, MRI, mode);
 	if (Result != MCDisassembler_Fail) {
@@ -403,63 +515,8 @@ bool Mips_getInstruction(csh ud, const u
 	return status == MCDisassembler_Success;
 }
 
-static DecodeStatus Mips64Disassembler_getInstruction(int mode, MCInst *instr,
-		const uint8_t *code, size_t code_len,
-		uint16_t *Size,
-		uint64_t Address, bool isBigEndian, MCRegisterInfo *MRI)
-{
-	uint32_t Insn;
-	DecodeStatus Result;
-
-	if (code_len < 4)
-		// not enough data
-		return MCDisassembler_Fail;
-
-	if (instr->flat_insn->detail) {
-		memset(instr->flat_insn->detail, 0, sizeof(cs_detail));
-	}
-
-	Result = readInstruction32((unsigned char*)code, &Insn, isBigEndian, false);
-	if (Result == MCDisassembler_Fail)
-		return MCDisassembler_Fail;
-
-	if (instr->flat_insn->detail) {
-		memset(instr->flat_insn->detail, 0, sizeof(cs_detail));
-	}
-
-	// Calling the auto-generated decoder function.
-	Result = decodeInstruction(DecoderTableMips6432, instr, Insn, Address, MRI, mode);
-	if (Result != MCDisassembler_Fail) {
-		*Size = 4;
-		return Result;
-	}
-
-	// If we fail to decode in Mips64 decoder space we can try in Mips32
-	Result = decodeInstruction(DecoderTableMips32, instr, Insn, Address, MRI, mode);
-	if (Result != MCDisassembler_Fail) {
-		*Size = 4;
-		return Result;
-	}
-
-	return MCDisassembler_Fail;
-}
-
-bool Mips64_getInstruction(csh ud, const uint8_t *code, size_t code_len, MCInst *instr,
-		uint16_t *size, uint64_t address, void *info)
-{
-	cs_struct *handle = (cs_struct *)(uintptr_t)ud;
-
-	DecodeStatus status = Mips64Disassembler_getInstruction(handle->mode, instr,
-			code, code_len, size, address,
-			MODE_IS_BIG_ENDIAN(handle->mode), (MCRegisterInfo *)info);
-
-	return status == MCDisassembler_Success;
-}
-
 static unsigned getReg(const MCRegisterInfo *MRI, unsigned RC, unsigned RegNo)
 {
-	//MipsDisassemblerBase *Dis = static_cast<const MipsDisassemblerBase*>(D);
-	//return *(Dis->getRegInfo()->getRegClass(RC).begin() + RegNo);
 	const MCRegisterClass *rc = MCRegisterInfo_getRegClass(MRI, RC);
 	return rc->RegsBegin[RegNo];
 }
@@ -492,9 +549,6 @@ static DecodeStatus DecodeINSVE_DF_4(MCI
 	if (NSize == 0 || RegDecoder == NULL)
 		return MCDisassembler_Fail;
 
-	if (RegDecoder == NULL)
-		return MCDisassembler_Fail;
-
 	// $wd
 	tmp = fieldFromInstruction(insn, 6, 5);
 	if (RegDecoder(MI, tmp, Address, Decoder) == MCDisassembler_Fail)
@@ -776,6 +830,45 @@ static DecodeStatus DecodeGPR64RegisterC
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeGPRMM16RegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Reg;
+
+	if (RegNo > 7)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(Decoder, Mips_GPRMM16RegClassID, RegNo);
+	MCOperand_CreateReg0(Inst, Reg);
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeGPRMM16ZeroRegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Reg;
+
+	if (RegNo > 7)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(Decoder, Mips_GPRMM16ZeroRegClassID, RegNo);
+	MCOperand_CreateReg0(Inst, Reg);
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeGPRMM16MovePRegisterClass(MCInst *Inst,
+		unsigned RegNo, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Reg;
+
+	if (RegNo > 7)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(Decoder, Mips_GPRMM16MovePRegClassID, RegNo);
+	MCOperand_CreateReg0(Inst, Reg);
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeGPR32RegisterClass(MCInst *Inst,
 		unsigned RegNo, uint64_t Address, const MCRegisterInfo *Decoder)
 {
@@ -792,7 +885,8 @@ static DecodeStatus DecodeGPR32RegisterC
 static DecodeStatus DecodePtrRegisterClass(MCInst *Inst,
 		unsigned RegNo, uint64_t Address, const MCRegisterInfo *Decoder)
 {
-	if (Inst->csh->mode & CS_MODE_64)
+	// if (static_cast<const MipsDisassembler *>(Decoder)->isGP64())
+	if (Inst->csh->mode & CS_MODE_MIPS64)
 		return DecodeGPR64RegisterClass(Inst, RegNo, Address, Decoder);
 
 	return DecodeGPR32RegisterClass(Inst, RegNo, Address, Decoder);
@@ -888,11 +982,12 @@ static DecodeStatus DecodeMem(MCInst *In
 	int Offset = SignExtend32(Insn & 0xffff, 16);
 	unsigned Reg = fieldFromInstruction(Insn, 16, 5);
 	unsigned Base = fieldFromInstruction(Insn, 21, 5);
+	int opcode = MCInst_getOpcode(Inst);
 
 	Reg = getReg(Decoder, Mips_GPR32RegClassID, Reg);
 	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
 
-	if (MCInst_getOpcode(Inst) == Mips_SC){
+	if (opcode == Mips_SC || opcode == Mips_SCD) {
 		MCOperand_CreateReg0(Inst, Reg);
 	}
 
@@ -903,8 +998,8 @@ static DecodeStatus DecodeMem(MCInst *In
 	return MCDisassembler_Success;
 }
 
-static DecodeStatus DecodeCachePref(MCInst *Inst,
-		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
+static DecodeStatus DecodeCacheOp(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
 {
 	int Offset = SignExtend32(Insn & 0xffff, 16);
 	unsigned Hint = fieldFromInstruction(Insn, 16, 5);
@@ -919,6 +1014,52 @@ static DecodeStatus DecodeCachePref(MCIn
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeCacheOpMM(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int Offset = SignExtend32(Insn & 0xfff, 12);
+	unsigned Base = fieldFromInstruction(Insn, 16, 5);
+	unsigned Hint = fieldFromInstruction(Insn, 21, 5);
+
+	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
+
+	MCOperand_CreateReg0(Inst, Base);
+	MCOperand_CreateImm0(Inst, Offset);
+	MCOperand_CreateImm0(Inst, Hint);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeCacheOpR6(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int Offset = fieldFromInstruction(Insn, 7, 9);
+	unsigned Hint = fieldFromInstruction(Insn, 16, 5);
+	unsigned Base = fieldFromInstruction(Insn, 21, 5);
+
+	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
+
+	MCOperand_CreateReg0(Inst, Base);
+	MCOperand_CreateImm0(Inst, Offset);
+	MCOperand_CreateImm0(Inst, Hint);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeSyncI(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int Offset = SignExtend32(Insn & 0xffff, 16);
+	unsigned Base = fieldFromInstruction(Insn, 21, 5);
+
+	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
+
+	MCOperand_CreateReg0(Inst, Base);
+	MCOperand_CreateImm0(Inst, Offset);
+
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeMSA128Mem(MCInst *Inst, unsigned Insn,
 		uint64_t Address, const MCRegisterInfo *Decoder)
 {
@@ -966,6 +1107,101 @@ static DecodeStatus DecodeMSA128Mem(MCIn
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeMemMMImm4(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Offset = Insn & 0xf;
+	unsigned Reg = fieldFromInstruction(Insn, 7, 3);
+	unsigned Base = fieldFromInstruction(Insn, 4, 3);
+
+	switch (MCInst_getOpcode(Inst)) {
+		case Mips_LBU16_MM:
+		case Mips_LHU16_MM:
+		case Mips_LW16_MM:
+			if (DecodeGPRMM16RegisterClass(Inst, Reg, Address, Decoder)
+					== MCDisassembler_Fail)
+				return MCDisassembler_Fail;
+			break;
+		case Mips_SB16_MM:
+		case Mips_SH16_MM:
+		case Mips_SW16_MM:
+			if (DecodeGPRMM16ZeroRegisterClass(Inst, Reg, Address, Decoder)
+					== MCDisassembler_Fail)
+				return MCDisassembler_Fail;
+			break;
+	}
+
+	if (DecodeGPRMM16RegisterClass(Inst, Base, Address, Decoder)
+			== MCDisassembler_Fail)
+		return MCDisassembler_Fail;
+
+	switch (MCInst_getOpcode(Inst)) {
+		case Mips_LBU16_MM:
+			if (Offset == 0xf)
+				MCOperand_CreateImm0(Inst, -1);
+			else
+				MCOperand_CreateImm0(Inst, Offset);
+			break;
+		case Mips_SB16_MM:
+			MCOperand_CreateImm0(Inst, Offset);
+			break;
+		case Mips_LHU16_MM:
+		case Mips_SH16_MM:
+			MCOperand_CreateImm0(Inst, Offset << 1);
+			break;
+		case Mips_LW16_MM:
+		case Mips_SW16_MM:
+			MCOperand_CreateImm0(Inst, Offset << 2);
+			break;
+	}
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMemMMSPImm5Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Offset = Insn & 0x1F;
+	unsigned Reg = fieldFromInstruction(Insn, 5, 5);
+
+	Reg = getReg(Decoder, Mips_GPR32RegClassID, Reg);
+
+	MCOperand_CreateReg0(Inst, Reg);
+	MCOperand_CreateReg0(Inst, Mips_SP);
+	MCOperand_CreateImm0(Inst, Offset << 2);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMemMMGPImm7Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Offset = Insn & 0x7F;
+	unsigned Reg = fieldFromInstruction(Insn, 7, 3);
+
+	Reg = getReg(Decoder, Mips_GPR32RegClassID, Reg);
+
+	MCOperand_CreateReg0(Inst, Reg);
+	MCOperand_CreateReg0(Inst, Mips_GP);
+	MCOperand_CreateImm0(Inst, Offset << 2);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMemMMReglistImm4Lsl2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int Offset = SignExtend32(Insn & 0xf, 4);
+
+	if (DecodeRegListOperand16(Inst, Insn, Address, Decoder) == MCDisassembler_Fail)
+		return MCDisassembler_Fail;
+
+	MCOperand_CreateReg0(Inst, Mips_SP);
+	MCOperand_CreateImm0(Inst, Offset * 4);
+
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeMemMMImm12(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
@@ -976,12 +1212,26 @@ static DecodeStatus DecodeMemMMImm12(MCI
 	Reg = getReg(Decoder, Mips_GPR32RegClassID, Reg);
 	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
 
-	if (MCInst_getOpcode(Inst) == Mips_SC_MM)
-		MCOperand_CreateReg0(Inst, Reg);
+	switch (MCInst_getOpcode(Inst)) {
+		case Mips_SWM32_MM:
+		case Mips_LWM32_MM:
+			if (DecodeRegListOperand(Inst, Insn, Address, Decoder)
+					== MCDisassembler_Fail)
+				return MCDisassembler_Fail;
+			MCOperand_CreateReg0(Inst, Base);
+			MCOperand_CreateImm0(Inst, Offset);
+			break;
+		case Mips_SC_MM:
+			MCOperand_CreateReg0(Inst, Reg);
+			// fallthrough
+		default:
+			MCOperand_CreateReg0(Inst, Reg);
+			if (MCInst_getOpcode(Inst) == Mips_LWP_MM || MCInst_getOpcode(Inst) == Mips_SWP_MM)
+				MCOperand_CreateReg0(Inst, Reg + 1);
 
-	MCOperand_CreateReg0(Inst, Reg);
-	MCOperand_CreateReg0(Inst, Base);
-	MCOperand_CreateImm0(Inst, Offset);
+			MCOperand_CreateReg0(Inst, Base);
+			MCOperand_CreateImm0(Inst, Offset);
+	}
 
 	return MCDisassembler_Success;
 }
@@ -1020,8 +1270,8 @@ static DecodeStatus DecodeFMem(MCInst *I
 	return MCDisassembler_Success;
 }
 
-static DecodeStatus DecodeCOP2Mem(MCInst *Inst,
-		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
+static DecodeStatus DecodeFMem2(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
 {
 	int Offset = SignExtend32(Insn & 0xffff, 16);
 	unsigned Reg = fieldFromInstruction(Insn, 16, 5);
@@ -1037,8 +1287,8 @@ static DecodeStatus DecodeCOP2Mem(MCInst
 	return MCDisassembler_Success;
 }
 
-static DecodeStatus DecodeCOP3Mem(MCInst *Inst,
-		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
+static DecodeStatus DecodeFMem3(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
 {
 	int Offset = SignExtend32(Insn & 0xffff, 16);
 	unsigned Reg = fieldFromInstruction(Insn, 16, 5);
@@ -1054,6 +1304,23 @@ static DecodeStatus DecodeCOP3Mem(MCInst
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeFMemCop2R6(MCInst *Inst,
+		unsigned Insn, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int Offset = SignExtend32(Insn & 0x07ff, 11);
+	unsigned Reg = fieldFromInstruction(Insn, 16, 5);
+	unsigned Base = fieldFromInstruction(Insn, 11, 5);
+
+	Reg = getReg(Decoder, Mips_COP2RegClassID, Reg);
+	Base = getReg(Decoder, Mips_GPR32RegClassID, Base);
+
+	MCOperand_CreateReg0(Inst, Reg);
+	MCOperand_CreateReg0(Inst, Base);
+	MCOperand_CreateImm0(Inst, Offset);
+
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeSpecial3LlSc(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
@@ -1264,6 +1531,22 @@ static DecodeStatus DecodeBranchTarget26
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeBranchTarget7MM(MCInst *Inst,
+		unsigned Offset, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int32_t BranchOffset = SignExtend32(Offset, 7) * 2;
+	MCOperand_CreateImm0(Inst, BranchOffset);
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeBranchTarget10MM(MCInst *Inst,
+		unsigned Offset, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int32_t BranchOffset = SignExtend32(Offset, 10) * 2;
+	MCOperand_CreateImm0(Inst, BranchOffset);
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeBranchTargetMM(MCInst *Inst,
 		unsigned Offset, uint64_t Address, const MCRegisterInfo *Decoder)
 {
@@ -1282,10 +1565,51 @@ static DecodeStatus DecodeJumpTargetMM(M
 	return MCDisassembler_Success;
 }
 
+static DecodeStatus DecodeAddiur2Simm7(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	if (Value == 0)
+		MCOperand_CreateImm0(Inst, 1);
+	else if (Value == 0x7)
+		MCOperand_CreateImm0(Inst, -1);
+	else
+		MCOperand_CreateImm0(Inst, Value << 2);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeUImm6Lsl2(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	MCOperand_CreateImm0(Inst, Value << 2);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeLiSimm7(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	if (Value == 0x7F)
+		MCOperand_CreateImm0(Inst, -1);
+	else
+		MCOperand_CreateImm0(Inst, Value);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeSimm4(MCInst *Inst,
+		unsigned Value, uint64_t Address, MCRegisterInfo *Decoder)
+{
+	MCOperand_CreateImm0(Inst, SignExtend32(Value, 4));
+
+	return MCDisassembler_Success;
+}
+
 static DecodeStatus DecodeSimm16(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
 	MCOperand_CreateImm0(Inst, SignExtend32(Insn, 16));
+
 	return MCDisassembler_Success;
 }
 
@@ -1294,6 +1618,7 @@ static DecodeStatus DecodeLSAImm(MCInst
 {
 	// We add one to the immediate field as it was encoded as 'imm - 1'.
 	MCOperand_CreateImm0(Inst, Insn + 1);
+
 	return MCDisassembler_Success;
 }
 
@@ -1304,14 +1629,17 @@ static DecodeStatus DecodeInsSize(MCInst
 	int Pos = (int)MCOperand_getImm(MCInst_getOperand(Inst, 2));
 	int Size = (int) Insn - Pos + 1;
 	MCOperand_CreateImm0(Inst, SignExtend32(Size, 16));
+
 	return MCDisassembler_Success;
 }
 
 static DecodeStatus DecodeExtSize(MCInst *Inst,
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
-	int Size = (int) Insn  + 1;
+	int Size = (int)Insn  + 1;
+
 	MCOperand_CreateImm0(Inst, SignExtend32(Size, 16));
+
 	return MCDisassembler_Success;
 }
 
@@ -1319,6 +1647,7 @@ static DecodeStatus DecodeSimm19Lsl2(MCI
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
 	MCOperand_CreateImm0(Inst, SignExtend32(Insn, 19) * 4);
+
 	return MCDisassembler_Success;
 }
 
@@ -1326,6 +1655,139 @@ static DecodeStatus DecodeSimm18Lsl3(MCI
 		unsigned Insn, uint64_t Address, const MCRegisterInfo *Decoder)
 {
 	MCOperand_CreateImm0(Inst, SignExtend32(Insn, 18) * 8);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeSimm9SP(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	int32_t DecodedValue;
+
+	switch (Insn) {
+		case 0: DecodedValue = 256; break;
+		case 1: DecodedValue = 257; break;
+		case 510: DecodedValue = -258; break;
+		case 511: DecodedValue = -257; break;
+		default: DecodedValue = SignExtend32(Insn, 9); break;
+	}
+	MCOperand_CreateImm0(Inst, DecodedValue * 4);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeANDI16Imm(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	// Insn must be >= 0, since it is unsigned that condition is always true.
+	// assert(Insn < 16);
+	int32_t DecodedValues[] = {128, 1, 2, 3, 4, 7, 8, 15, 16, 31, 32, 63, 64,
+		255, 32768, 65535};
+
+	if (Insn >= 16)
+		return MCDisassembler_Fail;
+
+	MCOperand_CreateImm0(Inst, DecodedValues[Insn]);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeUImm5lsl2(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	MCOperand_CreateImm0(Inst, Insn << 2);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeRegListOperand(MCInst *Inst, unsigned Insn,
+		uint64_t Address, const MCRegisterInfo *Decoder)
+{
+	unsigned Regs[] = {Mips_S0, Mips_S1, Mips_S2, Mips_S3, Mips_S4, Mips_S5,
+		Mips_S6, Mips_FP};
+	unsigned RegNum;
+	unsigned int i;
+
+	unsigned RegLst = fieldFromInstruction(Insn, 21, 5);
+	// Empty register lists are not allowed.
+	if (RegLst == 0)
+		return MCDisassembler_Fail;
+
+	RegNum = RegLst & 0xf;
+	for (i = 0; i < MIN(RegNum, ARR_SIZE(Regs)); i++)
+		MCOperand_CreateReg0(Inst, Regs[i]);
+
+	if (RegLst & 0x10)
+		MCOperand_CreateReg0(Inst, Mips_RA);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeRegListOperand16(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned Regs[] = {Mips_S0, Mips_S1, Mips_S2, Mips_S3};
+	unsigned RegLst = fieldFromInstruction(Insn, 4, 2);
+	unsigned RegNum = RegLst & 0x3;
+	unsigned int i;
+
+	for (i = 0; i <= RegNum; i++)
+		MCOperand_CreateReg0(Inst, Regs[i]);
+
+	MCOperand_CreateReg0(Inst, Mips_RA);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMovePRegPair(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	unsigned RegPair = fieldFromInstruction(Insn, 7, 3);
+
+	switch (RegPair) {
+		default:
+			return MCDisassembler_Fail;
+		case 0:
+			MCOperand_CreateReg0(Inst, Mips_A1);
+			MCOperand_CreateReg0(Inst, Mips_A2);
+			break;
+		case 1:
+			MCOperand_CreateReg0(Inst, Mips_A1);
+			MCOperand_CreateReg0(Inst, Mips_A3);
+			break;
+		case 2:
+			MCOperand_CreateReg0(Inst, Mips_A2);
+			MCOperand_CreateReg0(Inst, Mips_A3);
+			break;
+		case 3:
+			MCOperand_CreateReg0(Inst, Mips_A0);
+			MCOperand_CreateReg0(Inst, Mips_S5);
+			break;
+		case 4:
+			MCOperand_CreateReg0(Inst, Mips_A0);
+			MCOperand_CreateReg0(Inst, Mips_S6);
+			break;
+		case 5:
+			MCOperand_CreateReg0(Inst, Mips_A0);
+			MCOperand_CreateReg0(Inst, Mips_A1);
+			break;
+		case 6:
+			MCOperand_CreateReg0(Inst, Mips_A0);
+			MCOperand_CreateReg0(Inst, Mips_A2);
+			break;
+		case 7:
+			MCOperand_CreateReg0(Inst, Mips_A0);
+			MCOperand_CreateReg0(Inst, Mips_A3);
+			break;
+	}
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeSimm23Lsl2(MCInst *Inst, unsigned Insn,
+		uint64_t Address, MCRegisterInfo *Decoder)
+{
+	MCOperand_CreateImm0(Inst, SignExtend32(Insn, 23) * 4);
 	return MCDisassembler_Success;
 }
 
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsDisassembler.h 4.0.2-3/arch/Mips/MipsDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,12 +1,11 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_MIPSDISASSEMBLER_H
 #define CS_MIPSDISASSEMBLER_H
 
-#include "../../include/capstone.h"
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
+#include "../../MCInst.h"
 #include "../../MCRegisterInfo.h"
 
 void Mips_init(MCRegisterInfo *MRI);
@@ -14,7 +13,4 @@ void Mips_init(MCRegisterInfo *MRI);
 bool Mips_getInstruction(csh handle, const uint8_t *code, size_t code_len,
 		MCInst *instr, uint16_t *size, uint64_t address, void *info);
 
-bool Mips64_getInstruction(csh handle, const uint8_t *code, size_t code_len,
-		MCInst *instr, uint16_t *size, uint64_t address, void *info);
-
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsGenAsmWriter.inc 4.0.2-3/arch/Mips/MipsGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 /// printInstruction - This method is automatically generated by tablegen
 /// from the instruction set description.
@@ -25,90 +25,100 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    9110U,	// DBG_VALUE
+    9396U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    9103U,	// BUNDLE
-    9120U,	// LIFETIME_START
-    9090U,	// LIFETIME_END
+    9389U,	// BUNDLE
+    9406U,	// LIFETIME_START
+    9376U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    21425U,	// ABSQ_S_PH
-    17795U,	// ABSQ_S_QB
-    24564U,	// ABSQ_S_W
-    33574461U,	// ADD
-    18064U,	// ADDIUPC
-    33575662U,	// ADDQH_PH
-    33575779U,	// ADDQH_R_PH
-    33578671U,	// ADDQH_R_W
-    33578274U,	// ADDQH_W
-    33575736U,	// ADDQ_PH
-    33575835U,	// ADDQ_S_PH
-    33578976U,	// ADDQ_S_W
-    33572524U,	// ADDSC
-    33571204U,	// ADDS_A_B
-    33572649U,	// ADDS_A_D
-    33574607U,	// ADDS_A_H
-    33577982U,	// ADDS_A_W
-    33571672U,	// ADDS_S_B
-    33573738U,	// ADDS_S_D
-    33575164U,	// ADDS_S_H
-    33579026U,	// ADDS_S_W
-    33571887U,	// ADDS_U_B
-    33574205U,	// ADDS_U_D
-    33575442U,	// ADDS_U_H
-    33579444U,	// ADDS_U_W
-    33572095U,	// ADDUH_QB
-    33572203U,	// ADDUH_R_QB
-    33575934U,	// ADDU_PH
-    33572308U,	// ADDU_QB
-    33575879U,	// ADDU_S_PH
-    33572249U,	// ADDU_S_QB
-    570442365U,	// ADDVI_B
-    570444081U,	// ADDVI_D
-    570445735U,	// ADDVI_H
-    570449319U,	// ADDVI_W
-    33571965U,	// ADDV_B
-    33574305U,	// ADDV_D
-    33575520U,	// ADDV_H
-    33579544U,	// ADDV_W
-    33572563U,	// ADDWC
-    33571186U,	// ADD_A_B
-    33572630U,	// ADD_A_D
-    33574589U,	// ADD_A_H
-    33577963U,	// ADD_A_W
-    33574461U,	// ADD_MM
-    33576147U,	// ADDi
-    33576147U,	// ADDi_MM
-    33577725U,	// ADDiu
-    33577725U,	// ADDiu_MM
-    33577679U,	// ADDu
-    33577679U,	// ADDu_MM
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    21660U,	// ABSQ_S_PH
+    18025U,	// ABSQ_S_QB
+    24850U,	// ABSQ_S_W
+    134237992U,	// ADD
+    18294U,	// ADDIUPC
+    18294U,	// ADDIUPC_MM
+    22527U,	// ADDIUR1SP_MM
+    134234410U,	// ADDIUR2_MM
+    8683851U,	// ADDIUS5_MM
+    546875U,	// ADDIUSP_MM
+    134239193U,	// ADDQH_PH
+    134239310U,	// ADDQH_R_PH
+    134242253U,	// ADDQH_R_W
+    134241856U,	// ADDQH_W
+    134239267U,	// ADDQ_PH
+    134239366U,	// ADDQ_S_PH
+    134242558U,	// ADDQ_S_W
+    134236055U,	// ADDSC
+    134234730U,	// ADDS_A_B
+    134236180U,	// ADDS_A_D
+    134238138U,	// ADDS_A_H
+    134241564U,	// ADDS_A_W
+    134235198U,	// ADDS_S_B
+    134237269U,	// ADDS_S_D
+    134238695U,	// ADDS_S_H
+    134242608U,	// ADDS_S_W
+    134235413U,	// ADDS_U_B
+    134237736U,	// ADDS_U_D
+    134238973U,	// ADDS_U_H
+    134243026U,	// ADDS_U_W
+    134234575U,	// ADDU16_MM
+    134235621U,	// ADDUH_QB
+    134235729U,	// ADDUH_R_QB
+    134239465U,	// ADDU_PH
+    134235834U,	// ADDU_QB
+    134239410U,	// ADDU_S_PH
+    134235775U,	// ADDU_S_QB
+    2281718627U,	// ADDVI_B
+    2281720348U,	// ADDVI_D
+    2281722002U,	// ADDVI_H
+    2281725637U,	// ADDVI_W
+    134235491U,	// ADDV_B
+    134237836U,	// ADDV_D
+    134239051U,	// ADDV_H
+    134243126U,	// ADDV_W
+    134236094U,	// ADDWC
+    134234712U,	// ADD_A_B
+    134236161U,	// ADD_A_D
+    134238120U,	// ADD_A_H
+    134241545U,	// ADD_A_W
+    134237992U,	// ADD_MM
+    134239685U,	// ADDi
+    134239685U,	// ADDi_MM
+    134241307U,	// ADDiu
+    134241307U,	// ADDiu_MM
+    134241261U,	// ADDu
+    134241261U,	// ADDu_MM
     0U,	// ADJCALLSTACKDOWN
     0U,	// ADJCALLSTACKUP
-    33576610U,	// ALIGN
-    18056U,	// ALUIPC
-    33574483U,	// AND
-    33574483U,	// AND64
-    570442224U,	// ANDI_B
-    33574483U,	// AND_MM
-    33577807U,	// AND_V
+    134240158U,	// ALIGN
+    18286U,	// ALUIPC
+    134238014U,	// AND
+    835930U,	// AND16_MM
+    134238014U,	// AND64
+    134234471U,	// ANDI16_MM
+    2281718486U,	// ANDI_B
+    134238014U,	// AND_MM
+    134241389U,	// AND_V
     0U,	// AND_V_D_PSEUDO
     0U,	// AND_V_H_PSEUDO
     0U,	// AND_V_W_PSEUDO
-    1107317977U,	// ANDi
-    1107317977U,	// ANDi64
-    1107317977U,	// ANDi_MM
-    1107316321U,	// APPEND
-    33571566U,	// ASUB_S_B
-    33573568U,	// ASUB_S_D
-    33574996U,	// ASUB_S_H
-    33578806U,	// ASUB_S_W
-    33571781U,	// ASUB_U_B
-    33574035U,	// ASUB_U_D
-    33575284U,	// ASUB_U_H
-    33579274U,	// ASUB_U_W
+    134239691U,	// ANDi
+    134239691U,	// ANDi64
+    134239691U,	// ANDi_MM
+    134238028U,	// APPEND
+    134235092U,	// ASUB_S_B
+    134237099U,	// ASUB_S_D
+    134238527U,	// ASUB_S_H
+    134242388U,	// ASUB_S_W
+    134235307U,	// ASUB_U_B
+    134237566U,	// ASUB_U_D
+    134238815U,	// ASUB_U_H
+    134242856U,	// ASUB_U_W
     0U,	// ATOMIC_CMP_SWAP_I16
     0U,	// ATOMIC_CMP_SWAP_I32
     0U,	// ATOMIC_CMP_SWAP_I64
@@ -141,1173 +151,1206 @@ static void printInstruction(MCInst *MI,
     0U,	// ATOMIC_SWAP_I32
     0U,	// ATOMIC_SWAP_I64
     0U,	// ATOMIC_SWAP_I8
-    33576257U,	// AUI
-    18049U,	// AUIPC
-    33571652U,	// AVER_S_B
-    33573718U,	// AVER_S_D
-    33575134U,	// AVER_S_H
-    33579006U,	// AVER_S_W
-    33571867U,	// AVER_U_B
-    33574185U,	// AVER_U_D
-    33575422U,	// AVER_U_H
-    33579424U,	// AVER_U_W
-    33571594U,	// AVE_S_B
-    33573650U,	// AVE_S_D
-    33575066U,	// AVE_S_H
-    33578888U,	// AVE_S_W
-    33571809U,	// AVE_U_B
-    33574117U,	// AVE_U_D
-    33575354U,	// AVE_U_H
-    33579356U,	// AVE_U_W
-    23293U,	// AddiuRxImmX16
-    154365U,	// AddiuRxPcImmX16
-    69229309U,	// AddiuRxRxImm16
-    2120445U,	// AddiuRxRxImmX16
-    4217597U,	// AddiuRxRyOffMemX16
-    287481U,	// AddiuSpImm16
-    418553U,	// AddiuSpImmX16
-    33577679U,	// AdduRxRyRz16
-    2117203U,	// AndRxRxRy16
+    134239795U,	// AUI
+    18279U,	// AUIPC
+    134235178U,	// AVER_S_B
+    134237249U,	// AVER_S_D
+    134238665U,	// AVER_S_H
+    134242588U,	// AVER_S_W
+    134235393U,	// AVER_U_B
+    134237716U,	// AVER_U_D
+    134238953U,	// AVER_U_H
+    134243006U,	// AVER_U_W
+    134235120U,	// AVE_S_B
+    134237181U,	// AVE_S_D
+    134238597U,	// AVE_S_H
+    134242470U,	// AVE_S_W
+    134235335U,	// AVE_U_B
+    134237648U,	// AVE_U_D
+    134238885U,	// AVE_U_H
+    134242938U,	// AVE_U_W
+    23579U,	// AddiuRxImmX16
+    1072155U,	// AddiuRxPcImmX16
+    285236251U,	// AddiuRxRxImm16
+    16800795U,	// AddiuRxRxImmX16
+    25189403U,	// AddiuRxRyOffMemX16
+    1336343U,	// AddiuSpImm16
+    549911U,	// AddiuSpImmX16
+    134241261U,	// AdduRxRyRz16
+    16797502U,	// AndRxRxRy16
     0U,	// B
-    33577678U,	// BADDu
-    415079U,	// BAL
-    411192U,	// BALC
-    1107318433U,	// BALIGN
+    541013U,	// B16_MM
+    134241260U,	// BADDu
+    546393U,	// BAL
+    542494U,	// BALC
+    134240157U,	// BALIGN
     0U,	// BAL_BR
-    411171U,	// BC
-    20116U,	// BC0F
-    21976U,	// BC0FL
-    23169U,	// BC0T
-    22105U,	// BC0TL
-    25447U,	// BC1EQZ
-    20122U,	// BC1F
-    21983U,	// BC1FL
-    20122U,	// BC1F_MM
-    25431U,	// BC1NEZ
-    23175U,	// BC1T
-    22112U,	// BC1TL
-    23175U,	// BC1T_MM
-    25455U,	// BC2EQZ
-    20128U,	// BC2F
-    21990U,	// BC2FL
-    25439U,	// BC2NEZ
-    23181U,	// BC2T
-    22119U,	// BC2TL
-    20134U,	// BC3F
-    21997U,	// BC3FL
-    23187U,	// BC3T
-    22126U,	// BC3TL
-    570442293U,	// BCLRI_B
-    570444025U,	// BCLRI_D
-    570445679U,	// BCLRI_H
-    570449263U,	// BCLRI_W
-    33571533U,	// BCLR_B
-    33573492U,	// BCLR_D
-    33574963U,	// BCLR_H
-    33578722U,	// BCLR_W
-    33576764U,	// BEQ
-    33576764U,	// BEQ64
-    33572518U,	// BEQC
-    33576525U,	// BEQL
-    18016U,	// BEQZALC
-    18159U,	// BEQZC
-    18159U,	// BEQZC_MM
-    33576764U,	// BEQ_MM
-    33572391U,	// BGEC
-    33572537U,	// BGEUC
-    25214U,	// BGEZ
-    25214U,	// BGEZ64
-    21873U,	// BGEZAL
-    17989U,	// BGEZALC
-    22069U,	// BGEZALL
-    23144U,	// BGEZALS_MM
-    21873U,	// BGEZAL_MM
-    18138U,	// BGEZC
-    22149U,	// BGEZL
-    25214U,	// BGEZ_MM
-    25274U,	// BGTZ
-    25274U,	// BGTZ64
-    18025U,	// BGTZALC
-    18166U,	// BGTZC
-    22163U,	// BGTZL
-    25274U,	// BGTZ_MM
-    1646281242U,	// BINSLI_B
-    1646282974U,	// BINSLI_D
-    1646284628U,	// BINSLI_H
-    1646288212U,	// BINSLI_W
-    2183152301U,	// BINSL_B
-    2183154086U,	// BINSL_D
-    2183155654U,	// BINSL_H
-    2183159282U,	// BINSL_W
-    1646281303U,	// BINSRI_B
-    1646283019U,	// BINSRI_D
-    1646284673U,	// BINSRI_H
-    1646288257U,	// BINSRI_W
-    2183152349U,	// BINSR_B
-    2183154342U,	// BINSR_D
-    2183155779U,	// BINSR_H
-    2183159572U,	// BINSR_W
-    23447U,	// BITREV
-    22225U,	// BITSWAP
-    25220U,	// BLEZ
-    25220U,	// BLEZ64
-    17998U,	// BLEZALC
-    18145U,	// BLEZC
-    22156U,	// BLEZL
-    25220U,	// BLEZ_MM
-    33572531U,	// BLTC
-    33572544U,	// BLTUC
-    25280U,	// BLTZ
-    25280U,	// BLTZ64
-    21881U,	// BLTZAL
-    18034U,	// BLTZALC
-    22078U,	// BLTZALL
-    23153U,	// BLTZALS_MM
-    21881U,	// BLTZAL_MM
-    18173U,	// BLTZC
-    22170U,	// BLTZL
-    25280U,	// BLTZ_MM
-    1646281358U,	// BMNZI_B
-    2183158664U,	// BMNZ_V
-    1646281350U,	// BMZI_B
-    2183158650U,	// BMZ_V
-    33574527U,	// BNE
-    33574527U,	// BNE64
-    33572397U,	// BNEC
-    570442232U,	// BNEGI_B
-    570443973U,	// BNEGI_D
-    570445627U,	// BNEGI_H
-    570449211U,	// BNEGI_W
-    33571288U,	// BNEG_B
-    33573037U,	// BNEG_D
-    33574691U,	// BNEG_H
-    33578194U,	// BNEG_W
-    33576402U,	// BNEL
-    18007U,	// BNEZALC
-    18152U,	// BNEZC
-    18152U,	// BNEZC_MM
-    33574527U,	// BNE_MM
-    33572551U,	// BNVC
-    17573U,	// BNZ_B
-    19998U,	// BNZ_D
-    21128U,	// BNZ_H
-    23425U,	// BNZ_V
-    25177U,	// BNZ_W
-    33572557U,	// BOVC
-    409767U,	// BPOSGE32
+    167788585U,	// BBIT0
+    167788717U,	// BBIT032
+    167788710U,	// BBIT1
+    167788726U,	// BBIT132
+    542473U,	// BC
+    20351U,	// BC0F
+    22218U,	// BC0FL
+    23455U,	// BC0T
+    22347U,	// BC0TL
+    25733U,	// BC1EQZ
+    20357U,	// BC1F
+    22225U,	// BC1FL
+    20357U,	// BC1F_MM
+    25717U,	// BC1NEZ
+    23461U,	// BC1T
+    22354U,	// BC1TL
+    23461U,	// BC1T_MM
+    25741U,	// BC2EQZ
+    20363U,	// BC2F
+    22232U,	// BC2FL
+    25725U,	// BC2NEZ
+    23467U,	// BC2T
+    22361U,	// BC2TL
+    20369U,	// BC3F
+    22239U,	// BC3FL
+    23473U,	// BC3T
+    22368U,	// BC3TL
+    2281718555U,	// BCLRI_B
+    2281720292U,	// BCLRI_D
+    2281721946U,	// BCLRI_H
+    2281725581U,	// BCLRI_W
+    134235059U,	// BCLR_B
+    134237023U,	// BCLR_D
+    134238494U,	// BCLR_H
+    134242304U,	// BCLR_W
+    134240340U,	// BEQ
+    134240340U,	// BEQ64
+    134236044U,	// BEQC
+    134240063U,	// BEQL
+    16882U,	// BEQZ16_MM
+    18246U,	// BEQZALC
+    18394U,	// BEQZC
+    18394U,	// BEQZC_MM
+    134240340U,	// BEQ_MM
+    134235917U,	// BGEC
+    134236068U,	// BGEUC
+    25500U,	// BGEZ
+    25500U,	// BGEZ64
+    22115U,	// BGEZAL
+    18219U,	// BGEZALC
+    22311U,	// BGEZALL
+    23424U,	// BGEZALS_MM
+    22115U,	// BGEZAL_MM
+    18373U,	// BGEZC
+    22391U,	// BGEZL
+    25500U,	// BGEZ_MM
+    25560U,	// BGTZ
+    25560U,	// BGTZ64
+    18255U,	// BGTZALC
+    18401U,	// BGTZC
+    22405U,	// BGTZL
+    25560U,	// BGTZ_MM
+    2298495744U,	// BINSLI_B
+    2298497481U,	// BINSLI_D
+    2298499135U,	// BINSLI_H
+    2298502770U,	// BINSLI_W
+    151012243U,	// BINSL_B
+    151014033U,	// BINSL_D
+    151015601U,	// BINSL_H
+    151019280U,	// BINSL_W
+    2298495805U,	// BINSRI_B
+    2298497526U,	// BINSRI_D
+    2298499180U,	// BINSRI_H
+    2298502815U,	// BINSRI_W
+    151012291U,	// BINSR_B
+    151014289U,	// BINSR_D
+    151015726U,	// BINSR_H
+    151019570U,	// BINSR_W
+    23733U,	// BITREV
+    22477U,	// BITSWAP
+    25506U,	// BLEZ
+    25506U,	// BLEZ64
+    18228U,	// BLEZALC
+    18380U,	// BLEZC
+    22398U,	// BLEZL
+    25506U,	// BLEZ_MM
+    134236062U,	// BLTC
+    134236075U,	// BLTUC
+    25566U,	// BLTZ
+    25566U,	// BLTZ64
+    22123U,	// BLTZAL
+    18264U,	// BLTZALC
+    22320U,	// BLTZALL
+    23433U,	// BLTZALS_MM
+    22123U,	// BLTZAL_MM
+    18408U,	// BLTZC
+    22412U,	// BLTZL
+    25566U,	// BLTZ_MM
+    2298495860U,	// BMNZI_B
+    151018662U,	// BMNZ_V
+    2298495852U,	// BMZI_B
+    151018648U,	// BMZ_V
+    134238058U,	// BNE
+    134238058U,	// BNE64
+    134235923U,	// BNEC
+    2281718494U,	// BNEGI_B
+    2281720240U,	// BNEGI_D
+    2281721894U,	// BNEGI_H
+    2281725529U,	// BNEGI_W
+    134234814U,	// BNEG_B
+    134236568U,	// BNEG_D
+    134238222U,	// BNEG_H
+    134241776U,	// BNEG_W
+    134239940U,	// BNEL
+    16874U,	// BNEZ16_MM
+    18237U,	// BNEZALC
+    18387U,	// BNEZC
+    18387U,	// BNEZC_MM
+    134238058U,	// BNE_MM
+    134236082U,	// BNVC
+    17803U,	// BNZ_B
+    20233U,	// BNZ_D
+    21363U,	// BNZ_H
+    23711U,	// BNZ_V
+    25463U,	// BNZ_W
+    134236088U,	// BOVC
+    540871U,	// BPOSGE32
     0U,	// BPOSGE32_PSEUDO
-    21838U,	// BREAK
-    21838U,	// BREAK_MM
-    1646281217U,	// BSELI_B
+    22080U,	// BREAK
+    65909U,	// BREAK16_MM
+    22080U,	// BREAK_MM
+    2298495719U,	// BSELI_B
     0U,	// BSEL_D_PSEUDO
     0U,	// BSEL_FD_PSEUDO
     0U,	// BSEL_FW_PSEUDO
     0U,	// BSEL_H_PSEUDO
-    2183158622U,	// BSEL_V
+    151018620U,	// BSEL_V
     0U,	// BSEL_W_PSEUDO
-    570442347U,	// BSETI_B
-    570444063U,	// BSETI_D
-    570445717U,	// BSETI_H
-    570449301U,	// BSETI_W
-    33571749U,	// BSET_B
-    33573854U,	// BSET_D
-    33575252U,	// BSET_H
-    33579180U,	// BSET_W
-    17567U,	// BZ_B
-    19982U,	// BZ_D
-    21122U,	// BZ_H
-    23412U,	// BZ_V
-    25171U,	// BZ_W
-    100688549U,	// BeqzRxImm16
-    25253U,	// BeqzRxImmX16
-    278904U,	// Bimm16
-    409976U,	// BimmX16
-    100688522U,	// BnezRxImm16
-    25226U,	// BnezRxImmX16
-    9082U,	// Break16
-    549555U,	// Bteqz16
-    134239985U,	// BteqzT8CmpX16
-    134239510U,	// BteqzT8CmpiX16
-    134240927U,	// BteqzT8SltX16
-    134239540U,	// BteqzT8SltiX16
-    134241035U,	// BteqzT8SltiuX16
-    134241071U,	// BteqzT8SltuX16
-    418483U,	// BteqzX16
-    549528U,	// Btnez16
-    167794417U,	// BtnezT8CmpX16
-    167793942U,	// BtnezT8CmpiX16
-    167795359U,	// BtnezT8SltX16
-    167793972U,	// BtnezT8SltiX16
-    167795467U,	// BtnezT8SltiuX16
-    167795503U,	// BtnezT8SltuX16
-    418456U,	// BtnezX16
+    2281718609U,	// BSETI_B
+    2281720330U,	// BSETI_D
+    2281721984U,	// BSETI_H
+    2281725619U,	// BSETI_W
+    134235275U,	// BSET_B
+    134237385U,	// BSET_D
+    134238783U,	// BSET_H
+    134242762U,	// BSET_W
+    17797U,	// BZ_B
+    20217U,	// BZ_D
+    21357U,	// BZ_H
+    23698U,	// BZ_V
+    25457U,	// BZ_W
+    541278U,	// B_MM_Pseudo
+    402678723U,	// BeqzRxImm16
+    25539U,	// BeqzRxImmX16
+    1327710U,	// Bimm16
+    541278U,	// BimmX16
+    402678696U,	// BnezRxImm16
+    25512U,	// BnezRxImmX16
+    9368U,	// Break16
+    1598417U,	// Bteqz16
+    536893428U,	// BteqzT8CmpX16
+    536892936U,	// BteqzT8CmpiX16
+    536894397U,	// BteqzT8SltX16
+    536892966U,	// BteqzT8SltiX16
+    536894505U,	// BteqzT8SltiuX16
+    536894541U,	// BteqzT8SltuX16
+    549841U,	// BteqzX16
+    1598390U,	// Btnez16
+    671111156U,	// BtnezT8CmpX16
+    671110664U,	// BtnezT8CmpiX16
+    671112125U,	// BtnezT8SltX16
+    671110694U,	// BtnezT8SltiX16
+    671112233U,	// BtnezT8SltiuX16
+    671112269U,	// BtnezT8SltuX16
+    549814U,	// BtnezX16
     0U,	// BuildPairF64
     0U,	// BuildPairF64_64
-    36472U,	// CACHE
-    36472U,	// CACHE_R6
-    18768U,	// CEIL_L_D64
-    22751U,	// CEIL_L_S
-    19944U,	// CEIL_W_D32
-    19944U,	// CEIL_W_D64
-    19944U,	// CEIL_W_MM
-    23073U,	// CEIL_W_S
-    23073U,	// CEIL_W_S_MM
-    33571364U,	// CEQI_B
-    33573096U,	// CEQI_D
-    33574750U,	// CEQI_H
-    33578334U,	// CEQI_W
-    33571518U,	// CEQ_B
-    33573399U,	// CEQ_D
-    33574941U,	// CEQ_H
-    33578610U,	// CEQ_W
-    16437U,	// CFC1
-    16437U,	// CFC1_MM
-    16738U,	// CFCMSA
-    1107321649U,	// CINS
-    1107321605U,	// CINS32
-    19404U,	// CLASS_D
-    22925U,	// CLASS_S
-    33571603U,	// CLEI_S_B
-    33573659U,	// CLEI_S_D
-    33575075U,	// CLEI_S_H
-    33578897U,	// CLEI_S_W
-    570442730U,	// CLEI_U_B
-    570445038U,	// CLEI_U_D
-    570446275U,	// CLEI_U_H
-    570450277U,	// CLEI_U_W
-    33571585U,	// CLE_S_B
-    33573641U,	// CLE_S_D
-    33575057U,	// CLE_S_H
-    33578879U,	// CLE_S_W
-    33571800U,	// CLE_U_B
-    33574108U,	// CLE_U_D
-    33575345U,	// CLE_U_H
-    33579347U,	// CLE_U_W
-    22200U,	// CLO
-    22200U,	// CLO_MM
-    22200U,	// CLO_R6
-    33571623U,	// CLTI_S_B
-    33573679U,	// CLTI_S_D
-    33575095U,	// CLTI_S_H
-    33578917U,	// CLTI_S_W
-    570442750U,	// CLTI_U_B
-    570445058U,	// CLTI_U_D
-    570446295U,	// CLTI_U_H
-    570450297U,	// CLTI_U_W
-    33571691U,	// CLT_S_B
-    33573757U,	// CLT_S_D
-    33575183U,	// CLT_S_H
-    33579045U,	// CLT_S_W
-    33571918U,	// CLT_U_B
-    33574236U,	// CLT_U_D
-    33575473U,	// CLT_U_H
-    33579475U,	// CLT_U_W
-    25248U,	// CLZ
-    25248U,	// CLZ_MM
-    25248U,	// CLZ_R6
-    33572141U,	// CMPGDU_EQ_QB
-    33572046U,	// CMPGDU_LE_QB
-    33572260U,	// CMPGDU_LT_QB
-    33572155U,	// CMPGU_EQ_QB
-    33572060U,	// CMPGU_LE_QB
-    33572274U,	// CMPGU_LT_QB
-    17736U,	// CMPU_EQ_QB
-    17641U,	// CMPU_LE_QB
-    17855U,	// CMPU_LT_QB
-    33573388U,	// CMP_EQ_D
-    21313U,	// CMP_EQ_PH
-    33577288U,	// CMP_EQ_S
-    33572958U,	// CMP_F_D
-    33577099U,	// CMP_F_S
-    33572802U,	// CMP_LE_D
-    21209U,	// CMP_LE_PH
-    33577020U,	// CMP_LE_S
-    33573879U,	// CMP_LT_D
-    21482U,	// CMP_LT_PH
-    33577383U,	// CMP_LT_S
-    33572976U,	// CMP_SAF_D
-    33577109U,	// CMP_SAF_S
-    33573415U,	// CMP_SEQ_D
-    33577307U,	// CMP_SEQ_S
-    33572839U,	// CMP_SLE_D
-    33577049U,	// CMP_SLE_S
-    33573906U,	// CMP_SLT_D
-    33577402U,	// CMP_SLT_S
-    33573463U,	// CMP_SUEQ_D
-    33577338U,	// CMP_SUEQ_S
-    33572887U,	// CMP_SULE_D
-    33577080U,	// CMP_SULE_S
-    33573954U,	// CMP_SULT_D
-    33577433U,	// CMP_SULT_S
-    33573345U,	// CMP_SUN_D
-    33577261U,	// CMP_SUN_S
-    33573443U,	// CMP_UEQ_D
-    33577327U,	// CMP_UEQ_S
-    33572867U,	// CMP_ULE_D
-    33577069U,	// CMP_ULE_S
-    33573934U,	// CMP_ULT_D
-    33577422U,	// CMP_ULT_S
-    33573327U,	// CMP_UN_D
-    33577251U,	// CMP_UN_S
-    9168U,	// CONSTPOOL_ENTRY
+    85859U,	// CACHE
+    85859U,	// CACHE_MM
+    85859U,	// CACHE_R6
+    19003U,	// CEIL_L_D64
+    23031U,	// CEIL_L_S
+    20179U,	// CEIL_W_D32
+    20179U,	// CEIL_W_D64
+    20179U,	// CEIL_W_MM
+    23353U,	// CEIL_W_S
+    23353U,	// CEIL_W_S_MM
+    134234890U,	// CEQI_B
+    134236627U,	// CEQI_D
+    134238281U,	// CEQI_H
+    134241916U,	// CEQI_W
+    134235044U,	// CEQ_B
+    134236930U,	// CEQ_D
+    134238472U,	// CEQ_H
+    134242192U,	// CEQ_W
+    16444U,	// CFC1
+    16444U,	// CFC1_MM
+    16968U,	// CFCMSA
+    134243407U,	// CINS
+    134243363U,	// CINS32
+    19639U,	// CLASS_D
+    23205U,	// CLASS_S
+    134235129U,	// CLEI_S_B
+    134237190U,	// CLEI_S_D
+    134238606U,	// CLEI_S_H
+    134242479U,	// CLEI_S_W
+    2281718992U,	// CLEI_U_B
+    2281721305U,	// CLEI_U_D
+    2281722542U,	// CLEI_U_H
+    2281726595U,	// CLEI_U_W
+    134235111U,	// CLE_S_B
+    134237172U,	// CLE_S_D
+    134238588U,	// CLE_S_H
+    134242461U,	// CLE_S_W
+    134235326U,	// CLE_U_B
+    134237639U,	// CLE_U_D
+    134238876U,	// CLE_U_H
+    134242929U,	// CLE_U_W
+    22452U,	// CLO
+    22452U,	// CLO_MM
+    22452U,	// CLO_R6
+    134235149U,	// CLTI_S_B
+    134237210U,	// CLTI_S_D
+    134238626U,	// CLTI_S_H
+    134242499U,	// CLTI_S_W
+    2281719012U,	// CLTI_U_B
+    2281721325U,	// CLTI_U_D
+    2281722562U,	// CLTI_U_H
+    2281726615U,	// CLTI_U_W
+    134235217U,	// CLT_S_B
+    134237288U,	// CLT_S_D
+    134238714U,	// CLT_S_H
+    134242627U,	// CLT_S_W
+    134235444U,	// CLT_U_B
+    134237767U,	// CLT_U_D
+    134239004U,	// CLT_U_H
+    134243057U,	// CLT_U_W
+    25534U,	// CLZ
+    25534U,	// CLZ_MM
+    25534U,	// CLZ_R6
+    134235667U,	// CMPGDU_EQ_QB
+    134235572U,	// CMPGDU_LE_QB
+    134235786U,	// CMPGDU_LT_QB
+    134235681U,	// CMPGU_EQ_QB
+    134235586U,	// CMPGU_LE_QB
+    134235800U,	// CMPGU_LT_QB
+    17966U,	// CMPU_EQ_QB
+    17871U,	// CMPU_LE_QB
+    18085U,	// CMPU_LT_QB
+    134236919U,	// CMP_EQ_D
+    21548U,	// CMP_EQ_PH
+    134240864U,	// CMP_EQ_S
+    134236489U,	// CMP_F_D
+    134240675U,	// CMP_F_S
+    134236333U,	// CMP_LE_D
+    21444U,	// CMP_LE_PH
+    134240596U,	// CMP_LE_S
+    134237410U,	// CMP_LT_D
+    21717U,	// CMP_LT_PH
+    134240959U,	// CMP_LT_S
+    134236507U,	// CMP_SAF_D
+    134240685U,	// CMP_SAF_S
+    134236946U,	// CMP_SEQ_D
+    134240883U,	// CMP_SEQ_S
+    134236370U,	// CMP_SLE_D
+    134240625U,	// CMP_SLE_S
+    134237437U,	// CMP_SLT_D
+    134240978U,	// CMP_SLT_S
+    134236994U,	// CMP_SUEQ_D
+    134240914U,	// CMP_SUEQ_S
+    134236418U,	// CMP_SULE_D
+    134240656U,	// CMP_SULE_S
+    134237485U,	// CMP_SULT_D
+    134241009U,	// CMP_SULT_S
+    134236876U,	// CMP_SUN_D
+    134240837U,	// CMP_SUN_S
+    134236974U,	// CMP_UEQ_D
+    134240903U,	// CMP_UEQ_S
+    134236398U,	// CMP_ULE_D
+    134240645U,	// CMP_ULE_S
+    134237465U,	// CMP_ULT_D
+    134240998U,	// CMP_ULT_S
+    134236858U,	// CMP_UN_D
+    134240827U,	// CMP_UN_S
+    9454U,	// CONSTPOOL_ENTRY
     0U,	// COPY_FD_PSEUDO
     0U,	// COPY_FW_PSEUDO
-    738214802U,	// COPY_S_B
-    738216890U,	// COPY_S_D
-    738218305U,	// COPY_S_H
-    738222189U,	// COPY_S_W
-    738215017U,	// COPY_U_B
-    738217357U,	// COPY_U_D
-    738218572U,	// COPY_U_H
-    738222596U,	// COPY_U_W
-    704592U,	// CTC1
-    704592U,	// CTC1_MM
-    16746U,	// CTCMSA
-    22553U,	// CVT_D32_S
-    23610U,	// CVT_D32_W
-    23610U,	// CVT_D32_W_MM
-    21845U,	// CVT_D64_L
-    22553U,	// CVT_D64_S
-    23610U,	// CVT_D64_W
-    22553U,	// CVT_D_S_MM
-    18789U,	// CVT_L_D64
-    18789U,	// CVT_L_D64_MM
-    22772U,	// CVT_L_S
-    22772U,	// CVT_L_S_MM
-    19127U,	// CVT_S_D32
-    19127U,	// CVT_S_D32_MM
-    19127U,	// CVT_S_D64
-    21854U,	// CVT_S_L
-    24365U,	// CVT_S_W
-    24365U,	// CVT_S_W_MM
-    19965U,	// CVT_W_D32
-    19965U,	// CVT_W_D64
-    19965U,	// CVT_W_MM
-    23094U,	// CVT_W_S
-    23094U,	// CVT_W_S_MM
-    18948U,	// C_EQ_D32
-    18948U,	// C_EQ_D64
-    22848U,	// C_EQ_S
-    18519U,	// C_F_D32
-    18519U,	// C_F_D64
-    22660U,	// C_F_S
-    18362U,	// C_LE_D32
-    18362U,	// C_LE_D64
-    22580U,	// C_LE_S
-    19439U,	// C_LT_D32
-    19439U,	// C_LT_D64
-    22943U,	// C_LT_S
-    18353U,	// C_NGE_D32
-    18353U,	// C_NGE_D64
-    22571U,	// C_NGE_S
-    18388U,	// C_NGLE_D32
-    18388U,	// C_NGLE_D64
-    22598U,	// C_NGLE_S
-    18805U,	// C_NGL_D32
-    18805U,	// C_NGL_D64
-    22788U,	// C_NGL_S
-    19430U,	// C_NGT_D32
-    19430U,	// C_NGT_D64
-    22934U,	// C_NGT_S
-    18398U,	// C_OLE_D32
-    18398U,	// C_OLE_D64
-    22608U,	// C_OLE_S
-    19465U,	// C_OLT_D32
-    19465U,	// C_OLT_D64
-    22961U,	// C_OLT_S
-    18974U,	// C_SEQ_D32
-    18974U,	// C_SEQ_D64
-    22866U,	// C_SEQ_S
-    18589U,	// C_SF_D32
-    18589U,	// C_SF_D64
-    22706U,	// C_SF_S
-    19002U,	// C_UEQ_D32
-    19002U,	// C_UEQ_D64
-    22886U,	// C_UEQ_S
-    18426U,	// C_ULE_D32
-    18426U,	// C_ULE_D64
-    22628U,	// C_ULE_S
-    19493U,	// C_ULT_D32
-    19493U,	// C_ULT_D64
-    22981U,	// C_ULT_S
-    18887U,	// C_UN_D32
-    18887U,	// C_UN_D64
-    22811U,	// C_UN_S
-    22257U,	// CmpRxRy16
-    234902806U,	// CmpiRxImm16
-    21782U,	// CmpiRxImmX16
-    418587U,	// Constant32
-    33574460U,	// DADD
-    33576146U,	// DADDi
-    33577724U,	// DADDiu
-    33577685U,	// DADDu
-    7132401U,	// DAHI
-    33576617U,	// DALIGN
-    7132462U,	// DATI
-    33576256U,	// DAUI
-    22224U,	// DBITSWAP
-    22199U,	// DCLO
-    22199U,	// DCLO_R6
-    25247U,	// DCLZ
-    25247U,	// DCLZ_R6
-    33577887U,	// DDIV
-    33577795U,	// DDIVU
-    9194U,	// DERET
-    9194U,	// DERET_MM
-    1107321667U,	// DEXT
-    1107321642U,	// DEXTM
-    1107321680U,	// DEXTU
-    414933U,	// DI
-    1107321655U,	// DINS
-    1107321635U,	// DINSM
-    1107321673U,	// DINSU
-    33577888U,	// DIV
-    33577796U,	// DIVU
-    33571712U,	// DIV_S_B
-    33573800U,	// DIV_S_D
-    33575204U,	// DIV_S_H
-    33579088U,	// DIV_S_W
-    33571927U,	// DIV_U_B
-    33574267U,	// DIV_U_D
-    33575482U,	// DIV_U_H
-    33579506U,	// DIV_U_W
-    414933U,	// DI_MM
-    33571164U,	// DLSA
-    33571164U,	// DLSA_R6
-    1107312649U,	// DMFC0
-    16443U,	// DMFC1
-    1107312854U,	// DMFC2
-    33574505U,	// DMOD
-    33577699U,	// DMODU
-    1107312656U,	// DMTC0
-    704598U,	// DMTC1
-    1107312861U,	// DMTC2
-    33576140U,	// DMUH
-    33577717U,	// DMUHU
-    33576565U,	// DMUL
-    23209U,	// DMULT
-    23355U,	// DMULTu
-    33577761U,	// DMULU
-    33576565U,	// DMUL_R6
-    33573708U,	// DOTP_S_D
-    33575124U,	// DOTP_S_H
-    33578956U,	// DOTP_S_W
-    33574175U,	// DOTP_U_D
-    33575412U,	// DOTP_U_H
-    33579414U,	// DOTP_U_W
-    2183154421U,	// DPADD_S_D
-    2183155837U,	// DPADD_S_H
-    2183159659U,	// DPADD_S_W
-    2183154888U,	// DPADD_U_D
-    2183156125U,	// DPADD_U_H
-    2183160127U,	// DPADD_U_W
-    33575993U,	// DPAQX_SA_W_PH
-    33576076U,	// DPAQX_S_W_PH
-    33578416U,	// DPAQ_SA_L_W
-    33576035U,	// DPAQ_S_W_PH
-    33576321U,	// DPAU_H_QBL
-    33576779U,	// DPAU_H_QBR
-    33576114U,	// DPAX_W_PH
-    33575983U,	// DPA_W_PH
-    22262U,	// DPOP
-    33576008U,	// DPSQX_SA_W_PH
-    33576090U,	// DPSQX_S_W_PH
-    33578429U,	// DPSQ_SA_L_W
-    33576063U,	// DPSQ_S_W_PH
-    2183154388U,	// DPSUB_S_D
-    2183155816U,	// DPSUB_S_H
-    2183159626U,	// DPSUB_S_W
-    2183154855U,	// DPSUB_U_D
-    2183156104U,	// DPSUB_U_H
-    2183160094U,	// DPSUB_U_W
-    33576333U,	// DPSU_H_QBL
-    33576791U,	// DPSU_H_QBR
-    33576125U,	// DPSX_W_PH
-    33576104U,	// DPS_W_PH
-    1107318760U,	// DROTR
-    1107312833U,	// DROTR32
-    33577931U,	// DROTRV
-    21135U,	// DSBH
-    25324U,	// DSDIV
-    20040U,	// DSHD
-    1107318343U,	// DSLL
-    1107312817U,	// DSLL32
-    268457543U,	// DSLL64_32
-    33577893U,	// DSLLV
-    1107312982U,	// DSRA
-    1107312799U,	// DSRA32
-    33577872U,	// DSRAV
-    1107318355U,	// DSRL
-    1107312825U,	// DSRL32
-    33577900U,	// DSRLV
-    33572375U,	// DSUB
-    33577664U,	// DSUBu
-    25310U,	// DUDIV
-    25325U,	// DivRxRy16
-    25311U,	// DivuRxRy16
-    9152U,	// EHB
-    414945U,	// EI
-    414945U,	// EI_MM
-    9195U,	// ERET
-    9195U,	// ERET_MM
-    1107321668U,	// EXT
-    1107318582U,	// EXTP
-    1107318497U,	// EXTPDP
-    33577915U,	// EXTPDPV
-    33577924U,	// EXTPV
-    33579149U,	// EXTRV_RS_W
-    33578703U,	// EXTRV_R_W
-    33575213U,	// EXTRV_S_H
-    33579586U,	// EXTRV_W
-    1107320962U,	// EXTR_RS_W
-    1107320506U,	// EXTR_R_W
-    1107316968U,	// EXTR_S_H
-    1107320605U,	// EXTR_W
-    1107321661U,	// EXTS
-    1107321613U,	// EXTS32
-    1107321668U,	// EXT_MM
+    2952807544U,	// COPY_S_B
+    2952809637U,	// COPY_S_D
+    2952811052U,	// COPY_S_H
+    2952814987U,	// COPY_S_W
+    2952807759U,	// COPY_U_B
+    2952810104U,	// COPY_U_D
+    2952811319U,	// COPY_U_H
+    2952815394U,	// COPY_U_W
+    1867863U,	// CTC1
+    1867863U,	// CTC1_MM
+    16976U,	// CTCMSA
+    22833U,	// CVT_D32_S
+    23896U,	// CVT_D32_W
+    23896U,	// CVT_D32_W_MM
+    22087U,	// CVT_D64_L
+    22833U,	// CVT_D64_S
+    23896U,	// CVT_D64_W
+    22833U,	// CVT_D_S_MM
+    19024U,	// CVT_L_D64
+    19024U,	// CVT_L_D64_MM
+    23052U,	// CVT_L_S
+    23052U,	// CVT_L_S_MM
+    19362U,	// CVT_S_D32
+    19362U,	// CVT_S_D32_MM
+    19362U,	// CVT_S_D64
+    22096U,	// CVT_S_L
+    24651U,	// CVT_S_W
+    24651U,	// CVT_S_W_MM
+    20200U,	// CVT_W_D32
+    20200U,	// CVT_W_D64
+    20200U,	// CVT_W_MM
+    23374U,	// CVT_W_S
+    23374U,	// CVT_W_S_MM
+    19183U,	// C_EQ_D32
+    19183U,	// C_EQ_D64
+    23128U,	// C_EQ_S
+    18754U,	// C_F_D32
+    18754U,	// C_F_D64
+    22940U,	// C_F_S
+    18597U,	// C_LE_D32
+    18597U,	// C_LE_D64
+    22860U,	// C_LE_S
+    19674U,	// C_LT_D32
+    19674U,	// C_LT_D64
+    23223U,	// C_LT_S
+    18588U,	// C_NGE_D32
+    18588U,	// C_NGE_D64
+    22851U,	// C_NGE_S
+    18623U,	// C_NGLE_D32
+    18623U,	// C_NGLE_D64
+    22878U,	// C_NGLE_S
+    19040U,	// C_NGL_D32
+    19040U,	// C_NGL_D64
+    23068U,	// C_NGL_S
+    19665U,	// C_NGT_D32
+    19665U,	// C_NGT_D64
+    23214U,	// C_NGT_S
+    18633U,	// C_OLE_D32
+    18633U,	// C_OLE_D64
+    22888U,	// C_OLE_S
+    19700U,	// C_OLT_D32
+    19700U,	// C_OLT_D64
+    23241U,	// C_OLT_S
+    19209U,	// C_SEQ_D32
+    19209U,	// C_SEQ_D64
+    23146U,	// C_SEQ_S
+    18824U,	// C_SF_D32
+    18824U,	// C_SF_D64
+    22986U,	// C_SF_S
+    19237U,	// C_UEQ_D32
+    19237U,	// C_UEQ_D64
+    23166U,	// C_UEQ_S
+    18661U,	// C_ULE_D32
+    18661U,	// C_ULE_D64
+    22908U,	// C_ULE_S
+    19728U,	// C_ULT_D32
+    19728U,	// C_ULT_D64
+    23261U,	// C_ULT_S
+    19122U,	// C_UN_D32
+    19122U,	// C_UN_D64
+    23091U,	// C_UN_S
+    22516U,	// CmpRxRy16
+    939546120U,	// CmpiRxImm16
+    22024U,	// CmpiRxImmX16
+    549945U,	// Constant32
+    134237991U,	// DADD
+    134239684U,	// DADDi
+    134241306U,	// DADDiu
+    134241267U,	// DADDu
+    8689123U,	// DAHI
+    134240165U,	// DALIGN
+    8689184U,	// DATI
+    134239794U,	// DAUI
+    22476U,	// DBITSWAP
+    22451U,	// DCLO
+    22451U,	// DCLO_R6
+    25533U,	// DCLZ
+    25533U,	// DCLZ_R6
+    134241469U,	// DDIV
+    134241377U,	// DDIVU
+    9480U,	// DERET
+    9480U,	// DERET_MM
+    134243425U,	// DEXT
+    134243400U,	// DEXTM
+    134243438U,	// DEXTU
+    546247U,	// DI
+    134243413U,	// DINS
+    134243393U,	// DINSM
+    134243431U,	// DINSU
+    134241470U,	// DIV
+    134241378U,	// DIVU
+    134235238U,	// DIV_S_B
+    134237331U,	// DIV_S_D
+    134238735U,	// DIV_S_H
+    134242670U,	// DIV_S_W
+    134235453U,	// DIV_U_B
+    134237798U,	// DIV_U_D
+    134239013U,	// DIV_U_H
+    134243088U,	// DIV_U_W
+    546247U,	// DI_MM
+    134234690U,	// DLSA
+    134234690U,	// DLSA_R6
+    134234121U,	// DMFC0
+    16450U,	// DMFC1
+    134234372U,	// DMFC2
+    134238036U,	// DMOD
+    134241281U,	// DMODU
+    134234128U,	// DMTC0
+    1867869U,	// DMTC1
+    134234379U,	// DMTC2
+    134239671U,	// DMUH
+    134241299U,	// DMUHU
+    134240103U,	// DMUL
+    23495U,	// DMULT
+    23641U,	// DMULTu
+    134241343U,	// DMULU
+    134240103U,	// DMUL_R6
+    134237239U,	// DOTP_S_D
+    134238655U,	// DOTP_S_H
+    134242538U,	// DOTP_S_W
+    134237706U,	// DOTP_U_D
+    134238943U,	// DOTP_U_H
+    134242996U,	// DOTP_U_W
+    151014368U,	// DPADD_S_D
+    151015784U,	// DPADD_S_H
+    151019657U,	// DPADD_S_W
+    151014835U,	// DPADD_U_D
+    151016072U,	// DPADD_U_H
+    151020125U,	// DPADD_U_W
+    134239524U,	// DPAQX_SA_W_PH
+    134239607U,	// DPAQX_S_W_PH
+    134241998U,	// DPAQ_SA_L_W
+    134239566U,	// DPAQ_S_W_PH
+    134239859U,	// DPAU_H_QBL
+    134240355U,	// DPAU_H_QBR
+    134239645U,	// DPAX_W_PH
+    134239514U,	// DPA_W_PH
+    22521U,	// DPOP
+    134239539U,	// DPSQX_SA_W_PH
+    134239621U,	// DPSQX_S_W_PH
+    134242011U,	// DPSQ_SA_L_W
+    134239594U,	// DPSQ_S_W_PH
+    151014335U,	// DPSUB_S_D
+    151015763U,	// DPSUB_S_H
+    151019624U,	// DPSUB_S_W
+    151014802U,	// DPSUB_U_D
+    151016051U,	// DPSUB_U_H
+    151020092U,	// DPSUB_U_W
+    134239871U,	// DPSU_H_QBL
+    134240367U,	// DPSU_H_QBR
+    134239656U,	// DPSX_W_PH
+    134239635U,	// DPS_W_PH
+    134240512U,	// DROTR
+    134234351U,	// DROTR32
+    134241513U,	// DROTRV
+    21370U,	// DSBH
+    25610U,	// DSDIV
+    20275U,	// DSHD
+    134240057U,	// DSLL
+    134234321U,	// DSLL32
+    1073764153U,	// DSLL64_32
+    134241475U,	// DSLLV
+    134234684U,	// DSRA
+    134234303U,	// DSRA32
+    134241454U,	// DSRAV
+    134240069U,	// DSRL
+    134234329U,	// DSRL32
+    134241482U,	// DSRLV
+    134235901U,	// DSUB
+    134241246U,	// DSUBu
+    25596U,	// DUDIV
+    25611U,	// DivRxRy16
+    25597U,	// DivuRxRy16
+    9438U,	// EHB
+    9438U,	// EHB_MM
+    546259U,	// EI
+    546259U,	// EI_MM
+    9481U,	// ERET
+    9481U,	// ERET_MM
+    134243426U,	// EXT
+    134240324U,	// EXTP
+    134240221U,	// EXTPDP
+    134241497U,	// EXTPDPV
+    134241506U,	// EXTPV
+    134242731U,	// EXTRV_RS_W
+    134242285U,	// EXTRV_R_W
+    134238744U,	// EXTRV_S_H
+    134243168U,	// EXTRV_W
+    134242720U,	// EXTR_RS_W
+    134242264U,	// EXTR_R_W
+    134238675U,	// EXTR_S_H
+    134242363U,	// EXTR_W
+    134243419U,	// EXTS
+    134243371U,	// EXTS32
+    134243426U,	// EXT_MM
     0U,	// ExtractElementF64
     0U,	// ExtractElementF64_64
     0U,	// FABS_D
-    19396U,	// FABS_D32
-    19396U,	// FABS_D64
-    19396U,	// FABS_MM
-    22918U,	// FABS_S
-    22918U,	// FABS_S_MM
+    19631U,	// FABS_D32
+    19631U,	// FABS_D64
+    19631U,	// FABS_MM
+    23198U,	// FABS_S
+    23198U,	// FABS_S_MM
     0U,	// FABS_W
-    33572734U,	// FADD_D
-    33572735U,	// FADD_D32
-    33572735U,	// FADD_D64
-    33572735U,	// FADD_MM
-    33576996U,	// FADD_S
-    33576996U,	// FADD_S_MM
-    33578051U,	// FADD_W
-    33572968U,	// FCAF_D
-    33578170U,	// FCAF_W
-    33573398U,	// FCEQ_D
-    33578609U,	// FCEQ_W
-    19403U,	// FCLASS_D
-    24729U,	// FCLASS_W
-    33572812U,	// FCLE_D
-    33578093U,	// FCLE_W
-    33573889U,	// FCLT_D
-    33579188U,	// FCLT_W
-    992119U,	// FCMP_D32
-    992119U,	// FCMP_D32_MM
-    992119U,	// FCMP_D64
-    1123191U,	// FCMP_S32
-    1123191U,	// FCMP_S32_MM
-    33572908U,	// FCNE_D
-    33578127U,	// FCNE_W
-    33573508U,	// FCOR_D
-    33578738U,	// FCOR_W
-    33573454U,	// FCUEQ_D
-    33578625U,	// FCUEQ_W
-    33572878U,	// FCULE_D
-    33578109U,	// FCULE_W
-    33573945U,	// FCULT_D
-    33579204U,	// FCULT_W
-    33572924U,	// FCUNE_D
-    33578143U,	// FCUNE_W
-    33573337U,	// FCUN_D
-    33578515U,	// FCUN_W
-    33574331U,	// FDIV_D
-    33574332U,	// FDIV_D32
-    33574332U,	// FDIV_D64
-    33574332U,	// FDIV_MM
-    33577469U,	// FDIV_S
-    33577469U,	// FDIV_S_MM
-    33579570U,	// FDIV_W
-    33574871U,	// FEXDO_H
-    33578531U,	// FEXDO_W
-    33572621U,	// FEXP2_D
+    134236265U,	// FADD_D
+    134236266U,	// FADD_D32
+    134236266U,	// FADD_D64
+    134236266U,	// FADD_MM
+    134240572U,	// FADD_S
+    134240572U,	// FADD_S_MM
+    134241633U,	// FADD_W
+    134236499U,	// FCAF_D
+    134241752U,	// FCAF_W
+    134236929U,	// FCEQ_D
+    134242191U,	// FCEQ_W
+    19638U,	// FCLASS_D
+    25015U,	// FCLASS_W
+    134236343U,	// FCLE_D
+    134241675U,	// FCLE_W
+    134237420U,	// FCLT_D
+    134242770U,	// FCLT_W
+    2204821U,	// FCMP_D32
+    2204821U,	// FCMP_D32_MM
+    2204821U,	// FCMP_D64
+    2466965U,	// FCMP_S32
+    2466965U,	// FCMP_S32_MM
+    134236439U,	// FCNE_D
+    134241709U,	// FCNE_W
+    134237039U,	// FCOR_D
+    134242320U,	// FCOR_W
+    134236985U,	// FCUEQ_D
+    134242207U,	// FCUEQ_W
+    134236409U,	// FCULE_D
+    134241691U,	// FCULE_W
+    134237476U,	// FCULT_D
+    134242786U,	// FCULT_W
+    134236455U,	// FCUNE_D
+    134241725U,	// FCUNE_W
+    134236868U,	// FCUN_D
+    134242097U,	// FCUN_W
+    134237862U,	// FDIV_D
+    134237863U,	// FDIV_D32
+    134237863U,	// FDIV_D64
+    134237863U,	// FDIV_MM
+    134241045U,	// FDIV_S
+    134241045U,	// FDIV_S_MM
+    134243152U,	// FDIV_W
+    134238402U,	// FEXDO_H
+    134242113U,	// FEXDO_W
+    134236152U,	// FEXP2_D
     0U,	// FEXP2_D_1_PSEUDO
-    33577954U,	// FEXP2_W
+    134241536U,	// FEXP2_W
     0U,	// FEXP2_W_1_PSEUDO
-    18829U,	// FEXUPL_D
-    24025U,	// FEXUPL_W
-    19092U,	// FEXUPR_D
-    24322U,	// FEXUPR_W
-    19334U,	// FFINT_S_D
-    24622U,	// FFINT_S_W
-    19813U,	// FFINT_U_D
-    25052U,	// FFINT_U_W
-    18839U,	// FFQL_D
-    24035U,	// FFQL_W
-    19102U,	// FFQR_D
-    24332U,	// FFQR_W
-    17047U,	// FILL_B
-    18814U,	// FILL_D
+    19064U,	// FEXUPL_D
+    24311U,	// FEXUPL_W
+    19327U,	// FEXUPR_D
+    24608U,	// FEXUPR_W
+    19569U,	// FFINT_S_D
+    24908U,	// FFINT_S_W
+    20048U,	// FFINT_U_D
+    25338U,	// FFINT_U_W
+    19074U,	// FFQL_D
+    24321U,	// FFQL_W
+    19337U,	// FFQR_D
+    24618U,	// FFQR_W
+    17277U,	// FILL_B
+    19049U,	// FILL_D
     0U,	// FILL_FD_PSEUDO
     0U,	// FILL_FW_PSEUDO
-    20400U,	// FILL_H
-    24010U,	// FILL_W
-    18180U,	// FLOG2_D
-    23513U,	// FLOG2_W
-    18778U,	// FLOOR_L_D64
-    22761U,	// FLOOR_L_S
-    19954U,	// FLOOR_W_D32
-    19954U,	// FLOOR_W_D64
-    19954U,	// FLOOR_W_MM
-    23083U,	// FLOOR_W_S
-    23083U,	// FLOOR_W_S_MM
-    2183153542U,	// FMADD_D
-    2183158859U,	// FMADD_W
-    33572659U,	// FMAX_A_D
-    33577992U,	// FMAX_A_W
-    33574406U,	// FMAX_D
-    33579595U,	// FMAX_W
-    33572639U,	// FMIN_A_D
-    33577972U,	// FMIN_A_W
-    33573311U,	// FMIN_D
-    33578507U,	// FMIN_W
-    19915U,	// FMOV_D32
-    19915U,	// FMOV_D32_MM
-    19915U,	// FMOV_D64
-    23044U,	// FMOV_S
-    23044U,	// FMOV_S_MM
-    2183153500U,	// FMSUB_D
-    2183158817U,	// FMSUB_W
-    33573295U,	// FMUL_D
-    33573296U,	// FMUL_D32
-    33573296U,	// FMUL_D64
-    33573296U,	// FMUL_MM
-    33577229U,	// FMUL_S
-    33577229U,	// FMUL_S_MM
-    33578491U,	// FMUL_W
-    18606U,	// FNEG_D32
-    18606U,	// FNEG_D64
-    18606U,	// FNEG_MM
-    22722U,	// FNEG_S
-    22722U,	// FNEG_S_MM
-    18940U,	// FRCP_D
-    24108U,	// FRCP_W
-    19551U,	// FRINT_D
-    24798U,	// FRINT_W
-    19579U,	// FRSQRT_D
-    24826U,	// FRSQRT_W
-    33572987U,	// FSAF_D
-    33578178U,	// FSAF_W
-    33573426U,	// FSEQ_D
-    33578617U,	// FSEQ_W
-    33572850U,	// FSLE_D
-    33578101U,	// FSLE_W
-    33573917U,	// FSLT_D
-    33579196U,	// FSLT_W
-    33572916U,	// FSNE_D
-    33578135U,	// FSNE_W
-    33573516U,	// FSOR_D
-    33578746U,	// FSOR_W
-    19570U,	// FSQRT_D
-    19571U,	// FSQRT_D32
-    19571U,	// FSQRT_D64
-    19571U,	// FSQRT_MM
-    23021U,	// FSQRT_S
-    23021U,	// FSQRT_S_MM
-    24817U,	// FSQRT_W
-    33572692U,	// FSUB_D
-    33572693U,	// FSUB_D32
-    33572693U,	// FSUB_D64
-    33572693U,	// FSUB_MM
-    33576978U,	// FSUB_S
-    33576978U,	// FSUB_S_MM
-    33578009U,	// FSUB_W
-    33573475U,	// FSUEQ_D
-    33578634U,	// FSUEQ_W
-    33572899U,	// FSULE_D
-    33578118U,	// FSULE_W
-    33573966U,	// FSULT_D
-    33579213U,	// FSULT_W
-    33572933U,	// FSUNE_D
-    33578152U,	// FSUNE_W
-    33573356U,	// FSUN_D
-    33578523U,	// FSUN_W
-    19345U,	// FTINT_S_D
-    24633U,	// FTINT_S_W
-    19824U,	// FTINT_U_D
-    25063U,	// FTINT_U_W
-    33574948U,	// FTQ_H
-    33578643U,	// FTQ_W
-    19167U,	// FTRUNC_S_D
-    24405U,	// FTRUNC_S_W
-    19634U,	// FTRUNC_U_D
-    24873U,	// FTRUNC_U_W
-    304108813U,	// GotPrologue16
-    33573611U,	// HADD_S_D
-    33575027U,	// HADD_S_H
-    33578849U,	// HADD_S_W
-    33574078U,	// HADD_U_D
-    33575315U,	// HADD_U_H
-    33579317U,	// HADD_U_W
-    33573578U,	// HSUB_S_D
-    33575006U,	// HSUB_S_H
-    33578816U,	// HSUB_S_W
-    33574045U,	// HSUB_U_D
-    33575294U,	// HSUB_U_H
-    33579284U,	// HSUB_U_W
-    33571982U,	// ILVEV_B
-    33574322U,	// ILVEV_D
-    33575537U,	// ILVEV_H
-    33579561U,	// ILVEV_W
-    33571510U,	// ILVL_B
-    33573303U,	// ILVL_D
-    33574863U,	// ILVL_H
-    33578499U,	// ILVL_W
-    33571262U,	// ILVOD_B
-    33572776U,	// ILVOD_D
-    33574665U,	// ILVOD_H
-    33578084U,	// ILVOD_W
-    33571558U,	// ILVR_B
-    33573551U,	// ILVR_D
-    33574988U,	// ILVR_H
-    33578789U,	// ILVR_W
-    1107321650U,	// INS
-    9585589U,	// INSERT_B
+    20635U,	// FILL_H
+    24296U,	// FILL_W
+    18415U,	// FLOG2_D
+    23799U,	// FLOG2_W
+    19013U,	// FLOOR_L_D64
+    23041U,	// FLOOR_L_S
+    20189U,	// FLOOR_W_D32
+    20189U,	// FLOOR_W_D64
+    20189U,	// FLOOR_W_MM
+    23363U,	// FLOOR_W_S
+    23363U,	// FLOOR_W_S_MM
+    151013489U,	// FMADD_D
+    151018857U,	// FMADD_W
+    134236190U,	// FMAX_A_D
+    134241574U,	// FMAX_A_W
+    134237937U,	// FMAX_D
+    134243177U,	// FMAX_W
+    134236170U,	// FMIN_A_D
+    134241554U,	// FMIN_A_W
+    134236842U,	// FMIN_D
+    134242089U,	// FMIN_W
+    20150U,	// FMOV_D32
+    20150U,	// FMOV_D32_MM
+    20150U,	// FMOV_D64
+    23324U,	// FMOV_S
+    23324U,	// FMOV_S_MM
+    151013447U,	// FMSUB_D
+    151018815U,	// FMSUB_W
+    134236826U,	// FMUL_D
+    134236827U,	// FMUL_D32
+    134236827U,	// FMUL_D64
+    134236827U,	// FMUL_MM
+    134240805U,	// FMUL_S
+    134240805U,	// FMUL_S_MM
+    134242073U,	// FMUL_W
+    18841U,	// FNEG_D32
+    18841U,	// FNEG_D64
+    18841U,	// FNEG_MM
+    23002U,	// FNEG_S
+    23002U,	// FNEG_S_MM
+    19175U,	// FRCP_D
+    24394U,	// FRCP_W
+    19786U,	// FRINT_D
+    25084U,	// FRINT_W
+    19814U,	// FRSQRT_D
+    25112U,	// FRSQRT_W
+    134236518U,	// FSAF_D
+    134241760U,	// FSAF_W
+    134236957U,	// FSEQ_D
+    134242199U,	// FSEQ_W
+    134236381U,	// FSLE_D
+    134241683U,	// FSLE_W
+    134237448U,	// FSLT_D
+    134242778U,	// FSLT_W
+    134236447U,	// FSNE_D
+    134241717U,	// FSNE_W
+    134237047U,	// FSOR_D
+    134242328U,	// FSOR_W
+    19805U,	// FSQRT_D
+    19806U,	// FSQRT_D32
+    19806U,	// FSQRT_D64
+    19806U,	// FSQRT_MM
+    23301U,	// FSQRT_S
+    23301U,	// FSQRT_S_MM
+    25103U,	// FSQRT_W
+    134236223U,	// FSUB_D
+    134236224U,	// FSUB_D32
+    134236224U,	// FSUB_D64
+    134236224U,	// FSUB_MM
+    134240554U,	// FSUB_S
+    134240554U,	// FSUB_S_MM
+    134241591U,	// FSUB_W
+    134237006U,	// FSUEQ_D
+    134242216U,	// FSUEQ_W
+    134236430U,	// FSULE_D
+    134241700U,	// FSULE_W
+    134237497U,	// FSULT_D
+    134242795U,	// FSULT_W
+    134236464U,	// FSUNE_D
+    134241734U,	// FSUNE_W
+    134236887U,	// FSUN_D
+    134242105U,	// FSUN_W
+    19580U,	// FTINT_S_D
+    24919U,	// FTINT_S_W
+    20059U,	// FTINT_U_D
+    25349U,	// FTINT_U_W
+    134238479U,	// FTQ_H
+    134242225U,	// FTQ_W
+    19402U,	// FTRUNC_S_D
+    24691U,	// FTRUNC_S_W
+    19869U,	// FTRUNC_U_D
+    25159U,	// FTRUNC_U_W
+    1224758783U,	// GotPrologue16
+    134237142U,	// HADD_S_D
+    134238558U,	// HADD_S_H
+    134242431U,	// HADD_S_W
+    134237609U,	// HADD_U_D
+    134238846U,	// HADD_U_H
+    134242899U,	// HADD_U_W
+    134237109U,	// HSUB_S_D
+    134238537U,	// HSUB_S_H
+    134242398U,	// HSUB_S_W
+    134237576U,	// HSUB_U_D
+    134238825U,	// HSUB_U_H
+    134242866U,	// HSUB_U_W
+    134235508U,	// ILVEV_B
+    134237853U,	// ILVEV_D
+    134239068U,	// ILVEV_H
+    134243143U,	// ILVEV_W
+    134235036U,	// ILVL_B
+    134236834U,	// ILVL_D
+    134238394U,	// ILVL_H
+    134242081U,	// ILVL_W
+    134234788U,	// ILVOD_B
+    134236307U,	// ILVOD_D
+    134238196U,	// ILVOD_H
+    134241666U,	// ILVOD_W
+    134235084U,	// ILVR_B
+    134237082U,	// ILVR_D
+    134238519U,	// ILVR_H
+    134242371U,	// ILVR_W
+    134243408U,	// INS
+    44582043U,	// INSERT_B
     0U,	// INSERT_B_VIDX_PSEUDO
-    9587816U,	// INSERT_D
+    44584275U,	// INSERT_D
     0U,	// INSERT_D_VIDX_PSEUDO
     0U,	// INSERT_FD_PSEUDO
     0U,	// INSERT_FD_VIDX_PSEUDO
     0U,	// INSERT_FW_PSEUDO
     0U,	// INSERT_FW_VIDX_PSEUDO
-    9589092U,	// INSERT_H
+    44585551U,	// INSERT_H
     0U,	// INSERT_H_VIDX_PSEUDO
-    9593063U,	// INSERT_W
+    44589573U,	// INSERT_W
     0U,	// INSERT_W_VIDX_PSEUDO
-    2120659U,	// INSV
-    11682247U,	// INSVE_B
-    11683918U,	// INSVE_D
-    11685650U,	// INSVE_H
-    11689137U,	// INSVE_W
-    1107321650U,	// INS_MM
-    415051U,	// J
-    415084U,	// JAL
-    22488U,	// JALR
-    415704U,	// JALR16_MM
-    22488U,	// JALR64
+    16801009U,	// INSV
+    52970157U,	// INSVE_B
+    52971833U,	// INSVE_D
+    52973565U,	// INSVE_H
+    52977103U,	// INSVE_W
+    134243408U,	// INS_MM
+    546365U,	// J
+    546398U,	// JAL
+    22768U,	// JALR
+    547056U,	// JALR16_MM
+    22768U,	// JALR64
     0U,	// JALR64Pseudo
     0U,	// JALRPseudo
-    23162U,	// JALRS_MM
-    17592U,	// JALR_HB
-    22488U,	// JALR_MM
-    416354U,	// JALS_MM
-    418413U,	// JALX
-    415084U,	// JAL_MM
-    17982U,	// JIALC
-    17971U,	// JIC
-    415700U,	// JR
-    415700U,	// JR64
-    415531U,	// JRADDIUSP
-    410801U,	// JR_HB
-    410801U,	// JR_HB_R6
-    415700U,	// JR_MM
-    415051U,	// J_MM
-    1332588U,	// Jal16
-    1463660U,	// JalB16
-    9144U,	// JrRa16
-    9135U,	// JrcRa16
-    418514U,	// JrcRx16
-    409601U,	// JumpLinkReg16
-    12600513U,	// LB
-    12600513U,	// LB64
-    337666675U,	// LBUX
-    12600513U,	// LB_MM
-    12606139U,	// LBu
-    12606139U,	// LBu64
-    12606139U,	// LBu_MM
-    12602959U,	// LD
-    12599337U,	// LDC1
-    12599337U,	// LDC164
-    12599337U,	// LDC1_MM
-    12599498U,	// LDC2
-    12599498U,	// LDC2_R6
-    12599548U,	// LDC3
-    16873U,	// LDI_B
-    18622U,	// LDI_D
-    20276U,	// LDI_H
-    23860U,	// LDI_W
-    12604872U,	// LDL
-    18043U,	// LDPC
-    12605330U,	// LDR
-    337657961U,	// LDXC1
-    337657961U,	// LDXC164
-    12599727U,	// LD_B
-    12601241U,	// LD_D
-    12603130U,	// LD_H
-    12606549U,	// LD_W
-    4217597U,	// LEA_ADDiu
-    4217596U,	// LEA_ADDiu64
-    4217597U,	// LEA_ADDiu_MM
-    12604064U,	// LH
-    12604064U,	// LH64
-    337666664U,	// LHX
-    12604064U,	// LH_MM
-    12606192U,	// LHu
-    12606192U,	// LHu64
-    12606192U,	// LHu_MM
-    12604977U,	// LL
-    12602958U,	// LLD
-    12602958U,	// LLD_R6
-    12604977U,	// LL_MM
-    12604977U,	// LL_R6
-    12599303U,	// LOAD_ACC128
-    12599303U,	// LOAD_ACC64
-    12599303U,	// LOAD_ACC64DSP
-    12605180U,	// LOAD_CCOND_DSP
+    541104U,	// JALRS16_MM
+    23442U,	// JALRS_MM
+    17822U,	// JALR_HB
+    22768U,	// JALR_MM
+    547706U,	// JALS_MM
+    549771U,	// JALX
+    549771U,	// JALX_MM
+    546398U,	// JAL_MM
+    18212U,	// JIALC
+    18201U,	// JIC
+    547052U,	// JR
+    541091U,	// JR16_MM
+    547052U,	// JR64
+    546873U,	// JRADDIUSP
+    542610U,	// JRC16_MM
+    542103U,	// JR_HB
+    542103U,	// JR_HB_R6
+    547052U,	// JR_MM
+    546365U,	// J_MM
+    2905694U,	// Jal16
+    3167838U,	// JalB16
+    546398U,	// JalOneReg
+    22110U,	// JalTwoReg
+    9430U,	// JrRa16
+    9421U,	// JrcRa16
+    549872U,	// JrcRx16
+    540673U,	// JumpLinkReg16
+    58738087U,	// LB
+    58738087U,	// LB64
+    58737088U,	// LBU16_MM
+    1358979985U,	// LBUX
+    58738087U,	// LB_MM
+    58743769U,	// LBu
+    58743769U,	// LBu64
+    58743769U,	// LBu_MM
+    58740538U,	// LD
+    58736688U,	// LDC1
+    58736688U,	// LDC164
+    58736688U,	// LDC1_MM
+    58736888U,	// LDC2
+    58736888U,	// LDC2_R6
+    58736947U,	// LDC3
+    17103U,	// LDI_B
+    18857U,	// LDI_D
+    20511U,	// LDI_H
+    24146U,	// LDI_W
+    58742458U,	// LDL
+    18273U,	// LDPC
+    58742954U,	// LDR
+    1358970992U,	// LDXC1
+    1358970992U,	// LDXC164
+    58737301U,	// LD_B
+    58738820U,	// LD_D
+    58740709U,	// LD_H
+    58744179U,	// LD_W
+    25189403U,	// LEA_ADDiu
+    25189402U,	// LEA_ADDiu64
+    25189403U,	// LEA_ADDiu_MM
+    58741643U,	// LH
+    58741643U,	// LH64
+    58737111U,	// LHU16_MM
+    1358979974U,	// LHX
+    58741643U,	// LH_MM
+    58743822U,	// LHu
+    58743822U,	// LHu64
+    58743822U,	// LHu_MM
+    16751U,	// LI16_MM
+    58742563U,	// LL
+    58740537U,	// LLD
+    58740537U,	// LLD_R6
+    58742563U,	// LL_MM
+    58742563U,	// LL_R6
+    58736647U,	// LOAD_ACC128
+    58736647U,	// LOAD_ACC64
+    58736647U,	// LOAD_ACC64DSP
+    58742794U,	// LOAD_CCOND_DSP
     0U,	// LONG_BRANCH_ADDiu
     0U,	// LONG_BRANCH_DADDiu
     0U,	// LONG_BRANCH_LUi
-    33571165U,	// LSA
-    33571165U,	// LSA_R6
-    337657975U,	// LUXC1
-    337657975U,	// LUXC164
-    337657975U,	// LUXC1_MM
-    14701894U,	// LUi
-    14701894U,	// LUi64
-    14701894U,	// LUi_MM
-    12608096U,	// LW
-    12608096U,	// LW64
-    12599389U,	// LWC1
-    12599389U,	// LWC1_MM
-    12599524U,	// LWC2
-    12599524U,	// LWC2_R6
-    12599560U,	// LWC3
-    12605051U,	// LWL
-    12605051U,	// LWL64
-    12605051U,	// LWL_MM
-    18080U,	// LWPC
-    12605430U,	// LWR
-    12605430U,	// LWR64
-    12605430U,	// LWR_MM
-    18073U,	// LWUPC
-    12606282U,	// LWU_MM
-    337666681U,	// LWX
-    337657989U,	// LWXC1
-    337657989U,	// LWXC1_MM
-    12608096U,	// LW_MM
-    12606282U,	// LWu
-    12600513U,	// LbRxRyOffMemX16
-    12606139U,	// LbuRxRyOffMemX16
-    12604064U,	// LhRxRyOffMemX16
-    12606192U,	// LhuRxRyOffMemX16
-    234902797U,	// LiRxImm16
-    21763U,	// LiRxImmAlignX16
-    21773U,	// LiRxImmX16
-    14696736U,	// LoadAddr32Imm
-    12599584U,	// LoadAddr32Reg
-    14701837U,	// LoadImm32Reg
-    21777U,	// LoadImm64Reg
-    1598048U,	// LwConstant32
-    67134048U,	// LwRxPcTcp16
-    25184U,	// LwRxPcTcpX16
-    12608096U,	// LwRxRyOffMemX16
-    371221088U,	// LwRxSpImmX16
-    20034U,	// MADD
-    2183153804U,	// MADDF_D
-    2183157929U,	// MADDF_S
-    2183155720U,	// MADDR_Q_H
-    2183159388U,	// MADDR_Q_W
-    23260U,	// MADDU
-    33577692U,	// MADDU_DSP
-    23260U,	// MADDU_MM
-    2183152764U,	// MADDV_B
-    2183155104U,	// MADDV_D
-    2183156319U,	// MADDV_H
-    2183160343U,	// MADDV_W
-    33572743U,	// MADD_D32
-    33572743U,	// MADD_D32_MM
-    33572743U,	// MADD_D64
-    33574466U,	// MADD_DSP
-    20034U,	// MADD_MM
-    2183155690U,	// MADD_Q_H
-    2183159358U,	// MADD_Q_W
-    33576995U,	// MADD_S
-    33576995U,	// MADD_S_MM
-    33576436U,	// MAQ_SA_W_PHL
-    33576860U,	// MAQ_SA_W_PHR
-    33576464U,	// MAQ_S_W_PHL
-    33576888U,	// MAQ_S_W_PHR
-    33572684U,	// MAXA_D
-    33576968U,	// MAXA_S
-    33571633U,	// MAXI_S_B
-    33573689U,	// MAXI_S_D
-    33575105U,	// MAXI_S_H
-    33578927U,	// MAXI_S_W
-    570442760U,	// MAXI_U_B
-    570445068U,	// MAXI_U_D
-    570446305U,	// MAXI_U_H
-    570450307U,	// MAXI_U_W
-    33571214U,	// MAX_A_B
-    33572660U,	// MAX_A_D
-    33574617U,	// MAX_A_H
-    33577993U,	// MAX_A_W
-    33574407U,	// MAX_D
-    33577535U,	// MAX_S
-    33571721U,	// MAX_S_B
-    33573809U,	// MAX_S_D
-    33575224U,	// MAX_S_H
-    33579108U,	// MAX_S_W
-    33571936U,	// MAX_U_B
-    33574276U,	// MAX_U_D
-    33575491U,	// MAX_U_H
-    33579515U,	// MAX_U_W
-    1107312650U,	// MFC0
-    16444U,	// MFC1
-    16444U,	// MFC1_MM
-    1107312855U,	// MFC2
-    16450U,	// MFHC1_D32
-    16450U,	// MFHC1_D64
-    16450U,	// MFHC1_MM
-    414967U,	// MFHI
-    414967U,	// MFHI16_MM
-    414967U,	// MFHI64
-    21751U,	// MFHI_DSP
-    414967U,	// MFHI_MM
-    415421U,	// MFLO
-    415421U,	// MFLO16_MM
-    415421U,	// MFLO64
-    22205U,	// MFLO_DSP
-    415421U,	// MFLO_MM
-    33572669U,	// MINA_D
-    33576960U,	// MINA_S
-    33571613U,	// MINI_S_B
-    33573669U,	// MINI_S_D
-    33575085U,	// MINI_S_H
-    33578907U,	// MINI_S_W
-    570442740U,	// MINI_U_B
-    570445048U,	// MINI_U_D
-    570446285U,	// MINI_U_H
-    570450287U,	// MINI_U_W
-    33571195U,	// MIN_A_B
-    33572640U,	// MIN_A_D
-    33574598U,	// MIN_A_H
-    33577973U,	// MIN_A_W
-    33573312U,	// MIN_D
-    33577236U,	// MIN_S
-    33571643U,	// MIN_S_B
-    33573699U,	// MIN_S_D
-    33575115U,	// MIN_S_H
-    33578947U,	// MIN_S_W
-    33571858U,	// MIN_U_B
-    33574166U,	// MIN_U_D
-    33575403U,	// MIN_U_H
-    33579405U,	// MIN_U_W
+    134234691U,	// LSA
+    134234691U,	// LSA_R6
+    1358971006U,	// LUXC1
+    1358971006U,	// LUXC164
+    1358971006U,	// LUXC1_MM
+    33576504U,	// LUi
+    33576504U,	// LUi64
+    33576504U,	// LUi_MM
+    58745726U,	// LW
+    58737118U,	// LW16_MM
+    58745726U,	// LW64
+    58736740U,	// LWC1
+    58736740U,	// LWC1_MM
+    58736914U,	// LWC2
+    58736914U,	// LWC2_R6
+    58736959U,	// LWC3
+    58745726U,	// LWGP_MM
+    58742637U,	// LWL
+    58742637U,	// LWL64
+    58742637U,	// LWL_MM
+    3522956U,	// LWM16_MM
+    3522785U,	// LWM32_MM
+    3528595U,	// LWM_MM
+    18310U,	// LWPC
+    137290U,	// LWP_MM
+    58743054U,	// LWR
+    58743054U,	// LWR64
+    58743054U,	// LWR_MM
+    58745726U,	// LWSP_MM
+    18303U,	// LWUPC
+    58743912U,	// LWU_MM
+    1358979991U,	// LWX
+    1358971020U,	// LWXC1
+    1358971020U,	// LWXC1_MM
+    1358977945U,	// LWXS_MM
+    58745726U,	// LW_MM
+    58743912U,	// LWu
+    58738087U,	// LbRxRyOffMemX16
+    58743769U,	// LbuRxRyOffMemX16
+    58741643U,	// LhRxRyOffMemX16
+    58743822U,	// LhuRxRyOffMemX16
+    939546111U,	// LiRxImm16
+    22005U,	// LiRxImmAlignX16
+    22015U,	// LiRxImmX16
+    33571334U,	// LoadAddr32Imm
+    58737158U,	// LoadAddr32Reg
+    33576447U,	// LoadImm32Reg
+    22019U,	// LoadImm64Reg
+    3695486U,	// LwConstant32
+    268460926U,	// LwRxPcTcp16
+    25470U,	// LwRxPcTcpX16
+    58745726U,	// LwRxRyOffMemX16
+    1493197694U,	// LwRxSpImmX16
+    20269U,	// MADD
+    151013751U,	// MADDF_D
+    151017921U,	// MADDF_S
+    151015667U,	// MADDR_Q_H
+    151019386U,	// MADDR_Q_W
+    23546U,	// MADDU
+    134241274U,	// MADDU_DSP
+    23546U,	// MADDU_MM
+    151012706U,	// MADDV_B
+    151015051U,	// MADDV_D
+    151016266U,	// MADDV_H
+    151020341U,	// MADDV_W
+    134236274U,	// MADD_D32
+    134236274U,	// MADD_D32_MM
+    134236274U,	// MADD_D64
+    134237997U,	// MADD_DSP
+    20269U,	// MADD_MM
+    151015637U,	// MADD_Q_H
+    151019356U,	// MADD_Q_W
+    134240571U,	// MADD_S
+    134240571U,	// MADD_S_MM
+    134239974U,	// MAQ_SA_W_PHL
+    134240436U,	// MAQ_SA_W_PHR
+    134240002U,	// MAQ_S_W_PHL
+    134240464U,	// MAQ_S_W_PHR
+    134236215U,	// MAXA_D
+    134240544U,	// MAXA_S
+    134235159U,	// MAXI_S_B
+    134237220U,	// MAXI_S_D
+    134238636U,	// MAXI_S_H
+    134242509U,	// MAXI_S_W
+    2281719022U,	// MAXI_U_B
+    2281721335U,	// MAXI_U_D
+    2281722572U,	// MAXI_U_H
+    2281726625U,	// MAXI_U_W
+    134234740U,	// MAX_A_B
+    134236191U,	// MAX_A_D
+    134238148U,	// MAX_A_H
+    134241575U,	// MAX_A_W
+    134237938U,	// MAX_D
+    134241111U,	// MAX_S
+    134235247U,	// MAX_S_B
+    134237340U,	// MAX_S_D
+    134238755U,	// MAX_S_H
+    134242690U,	// MAX_S_W
+    134235462U,	// MAX_U_B
+    134237807U,	// MAX_U_D
+    134239022U,	// MAX_U_H
+    134243097U,	// MAX_U_W
+    134234122U,	// MFC0
+    16451U,	// MFC1
+    16451U,	// MFC1_MM
+    134234373U,	// MFC2
+    16457U,	// MFHC1_D32
+    16457U,	// MFHC1_D64
+    16457U,	// MFHC1_MM
+    546281U,	// MFHI
+    546281U,	// MFHI16_MM
+    546281U,	// MFHI64
+    21993U,	// MFHI_DSP
+    546281U,	// MFHI_MM
+    546745U,	// MFLO
+    546745U,	// MFLO16_MM
+    546745U,	// MFLO64
+    22457U,	// MFLO_DSP
+    546745U,	// MFLO_MM
+    134236200U,	// MINA_D
+    134240536U,	// MINA_S
+    134235139U,	// MINI_S_B
+    134237200U,	// MINI_S_D
+    134238616U,	// MINI_S_H
+    134242489U,	// MINI_S_W
+    2281719002U,	// MINI_U_B
+    2281721315U,	// MINI_U_D
+    2281722552U,	// MINI_U_H
+    2281726605U,	// MINI_U_W
+    134234721U,	// MIN_A_B
+    134236171U,	// MIN_A_D
+    134238129U,	// MIN_A_H
+    134241555U,	// MIN_A_W
+    134236843U,	// MIN_D
+    134240812U,	// MIN_S
+    134235169U,	// MIN_S_B
+    134237230U,	// MIN_S_D
+    134238646U,	// MIN_S_H
+    134242529U,	// MIN_S_W
+    134235384U,	// MIN_U_B
+    134237697U,	// MIN_U_D
+    134238934U,	// MIN_U_H
+    134242987U,	// MIN_U_W
     0U,	// MIPSeh_return32
     0U,	// MIPSeh_return64
-    33574506U,	// MOD
-    33572373U,	// MODSUB
-    33577700U,	// MODU
-    33571576U,	// MOD_S_B
-    33573632U,	// MOD_S_D
-    33575048U,	// MOD_S_H
-    33578870U,	// MOD_S_W
-    33571791U,	// MOD_U_B
-    33574099U,	// MOD_U_D
-    33575336U,	// MOD_U_H
-    33579338U,	// MOD_U_W
-    20110U,	// MOVE16_MM
-    23382U,	// MOVE_V
-    33573029U,	// MOVF_D32
-    33573029U,	// MOVF_D32_MM
-    33573029U,	// MOVF_D64
-    33574578U,	// MOVF_I
-    33574578U,	// MOVF_I64
-    33574578U,	// MOVF_I_MM
-    33577146U,	// MOVF_S
-    33577146U,	// MOVF_S_MM
-    33573364U,	// MOVN_I64_D64
-    33576625U,	// MOVN_I64_I
-    33576625U,	// MOVN_I64_I64
-    33577272U,	// MOVN_I64_S
-    33573364U,	// MOVN_I_D32
-    33573364U,	// MOVN_I_D32_MM
-    33573364U,	// MOVN_I_D64
-    33576625U,	// MOVN_I_I
-    33576625U,	// MOVN_I_I64
-    33576625U,	// MOVN_I_MM
-    33577272U,	// MOVN_I_S
-    33577272U,	// MOVN_I_S_MM
-    33574027U,	// MOVT_D32
-    33574027U,	// MOVT_D32_MM
-    33574027U,	// MOVT_D64
-    33577653U,	// MOVT_I
-    33577653U,	// MOVT_I64
-    33577653U,	// MOVT_I_MM
-    33577461U,	// MOVT_S
-    33577461U,	// MOVT_S_MM
-    33574447U,	// MOVZ_I64_D64
-    33579718U,	// MOVZ_I64_I
-    33579718U,	// MOVZ_I64_I64
-    33577562U,	// MOVZ_I64_S
-    33574447U,	// MOVZ_I_D32
-    33574447U,	// MOVZ_I_D32_MM
-    33574447U,	// MOVZ_I_D64
-    33579718U,	// MOVZ_I_I
-    33579718U,	// MOVZ_I_I64
-    33579718U,	// MOVZ_I_MM
-    33577562U,	// MOVZ_I_S
-    33577562U,	// MOVZ_I_S_MM
-    17949U,	// MSUB
-    2183153795U,	// MSUBF_D
-    2183157920U,	// MSUBF_S
-    2183155709U,	// MSUBR_Q_H
-    2183159377U,	// MSUBR_Q_W
-    23239U,	// MSUBU
-    33577671U,	// MSUBU_DSP
-    23239U,	// MSUBU_MM
-    2183152755U,	// MSUBV_B
-    2183155095U,	// MSUBV_D
-    2183156310U,	// MSUBV_H
-    2183160334U,	// MSUBV_W
-    33572701U,	// MSUB_D32
-    33572701U,	// MSUB_D32_MM
-    33572701U,	// MSUB_D64
-    33572381U,	// MSUB_DSP
-    17949U,	// MSUB_MM
-    2183155680U,	// MSUB_Q_H
-    2183159348U,	// MSUB_Q_W
-    33576977U,	// MSUB_S
-    33576977U,	// MSUB_S_MM
-    1107312657U,	// MTC0
-    704599U,	// MTC1
-    704599U,	// MTC1_MM
-    1107312862U,	// MTC2
-    81993U,	// MTHC1_D32
-    81993U,	// MTHC1_D64
-    704585U,	// MTHC1_MM
-    414973U,	// MTHI
-    414973U,	// MTHI64
-    709885U,	// MTHI_DSP
-    414973U,	// MTHI_MM
-    710377U,	// MTHLIP
-    415434U,	// MTLO
-    415434U,	// MTLO64
-    710346U,	// MTLO_DSP
-    415434U,	// MTLO_MM
-    409629U,	// MTM0
-    409747U,	// MTM1
-    409840U,	// MTM2
-    409635U,	// MTP0
-    409753U,	// MTP1
-    409846U,	// MTP2
-    33576141U,	// MUH
-    33577718U,	// MUHU
-    33576566U,	// MUL
-    33576477U,	// MULEQ_S_W_PHL
-    33576901U,	// MULEQ_S_W_PHR
-    33576345U,	// MULEU_S_PH_QBL
-    33576803U,	// MULEU_S_PH_QBR
-    33575902U,	// MULQ_RS_PH
-    33579127U,	// MULQ_RS_W
-    33575846U,	// MULQ_S_PH
-    33578986U,	// MULQ_S_W
-    33574931U,	// MULR_Q_H
-    33578599U,	// MULR_Q_W
-    33576048U,	// MULSAQ_S_W_PH
-    33576023U,	// MULSA_W_PH
-    23210U,	// MULT
-    33577788U,	// MULTU_DSP
-    33577642U,	// MULT_DSP
-    23210U,	// MULT_MM
-    23356U,	// MULTu
-    23356U,	// MULTu_MM
-    33577755U,	// MULU
-    33571991U,	// MULV_B
-    33574339U,	// MULV_D
-    33575546U,	// MULV_H
-    33579578U,	// MULV_W
-    33576566U,	// MUL_MM
-    33575719U,	// MUL_PH
-    33574900U,	// MUL_Q_H
-    33578568U,	// MUL_Q_W
-    33576566U,	// MUL_R6
-    33575814U,	// MUL_S_PH
-    414967U,	// Mfhi16
-    415421U,	// Mflo16
-    20110U,	// Move32R16
-    20110U,	// MoveR3216
-    23210U,	// MultRxRy16
-    17619626U,	// MultRxRyRz16
-    23356U,	// MultuRxRy16
-    17619772U,	// MultuRxRyRz16
-    16798U,	// NLOC_B
-    18286U,	// NLOC_D
-    20201U,	// NLOC_H
-    23594U,	// NLOC_W
-    16806U,	// NLZC_B
-    18294U,	// NLZC_D
-    20209U,	// NLZC_H
-    23602U,	// NLZC_W
-    33572751U,	// NMADD_D32
-    33572751U,	// NMADD_D32_MM
-    33572751U,	// NMADD_D64
-    33576994U,	// NMADD_S
-    33576994U,	// NMADD_S_MM
-    33572709U,	// NMSUB_D32
-    33572709U,	// NMSUB_D32_MM
-    33572709U,	// NMSUB_D64
-    33576976U,	// NMSUB_S
-    33576976U,	// NMSUB_S_MM
+    134238037U,	// MOD
+    134235899U,	// MODSUB
+    134241282U,	// MODU
+    134235102U,	// MOD_S_B
+    134237163U,	// MOD_S_D
+    134238579U,	// MOD_S_H
+    134242452U,	// MOD_S_W
+    134235317U,	// MOD_U_B
+    134237630U,	// MOD_U_D
+    134238867U,	// MOD_U_H
+    134242920U,	// MOD_U_W
+    20345U,	// MOVE16_MM
+    67491813U,	// MOVEP_MM
+    23668U,	// MOVE_V
+    134236560U,	// MOVF_D32
+    134236560U,	// MOVF_D32_MM
+    134236560U,	// MOVF_D64
+    134238109U,	// MOVF_I
+    134238109U,	// MOVF_I64
+    134238109U,	// MOVF_I_MM
+    134240722U,	// MOVF_S
+    134240722U,	// MOVF_S_MM
+    134236895U,	// MOVN_I64_D64
+    134240173U,	// MOVN_I64_I
+    134240173U,	// MOVN_I64_I64
+    134240848U,	// MOVN_I64_S
+    134236895U,	// MOVN_I_D32
+    134236895U,	// MOVN_I_D32_MM
+    134236895U,	// MOVN_I_D64
+    134240173U,	// MOVN_I_I
+    134240173U,	// MOVN_I_I64
+    134240173U,	// MOVN_I_MM
+    134240848U,	// MOVN_I_S
+    134240848U,	// MOVN_I_S_MM
+    134237558U,	// MOVT_D32
+    134237558U,	// MOVT_D32_MM
+    134237558U,	// MOVT_D64
+    134241235U,	// MOVT_I
+    134241235U,	// MOVT_I64
+    134241235U,	// MOVT_I_MM
+    134241037U,	// MOVT_S
+    134241037U,	// MOVT_S_MM
+    134237978U,	// MOVZ_I64_D64
+    134243300U,	// MOVZ_I64_I
+    134243300U,	// MOVZ_I64_I64
+    134241138U,	// MOVZ_I64_S
+    134237978U,	// MOVZ_I_D32
+    134237978U,	// MOVZ_I_D32_MM
+    134237978U,	// MOVZ_I_D64
+    134243300U,	// MOVZ_I_I
+    134243300U,	// MOVZ_I_I64
+    134243300U,	// MOVZ_I_MM
+    134241138U,	// MOVZ_I_S
+    134241138U,	// MOVZ_I_S_MM
+    18179U,	// MSUB
+    151013742U,	// MSUBF_D
+    151017912U,	// MSUBF_S
+    151015656U,	// MSUBR_Q_H
+    151019375U,	// MSUBR_Q_W
+    23525U,	// MSUBU
+    134241253U,	// MSUBU_DSP
+    23525U,	// MSUBU_MM
+    151012697U,	// MSUBV_B
+    151015042U,	// MSUBV_D
+    151016257U,	// MSUBV_H
+    151020332U,	// MSUBV_W
+    134236232U,	// MSUB_D32
+    134236232U,	// MSUB_D32_MM
+    134236232U,	// MSUB_D64
+    134235907U,	// MSUB_DSP
+    18179U,	// MSUB_MM
+    151015627U,	// MSUB_Q_H
+    151019346U,	// MSUB_Q_W
+    134240553U,	// MSUB_S
+    134240553U,	// MSUB_S_MM
+    134234129U,	// MTC0
+    1867870U,	// MTC1
+    1867870U,	// MTC1_MM
+    134234380U,	// MTC2
+    1884240U,	// MTHC1_D32
+    1884240U,	// MTHC1_D64
+    1884240U,	// MTHC1_MM
+    546287U,	// MTHI
+    546287U,	// MTHI64
+    1873391U,	// MTHI_DSP
+    546287U,	// MTHI_MM
+    1873900U,	// MTHLIP
+    546758U,	// MTLO
+    546758U,	// MTLO64
+    1873862U,	// MTLO_DSP
+    546758U,	// MTLO_MM
+    540701U,	// MTM0
+    540826U,	// MTM1
+    540958U,	// MTM2
+    540707U,	// MTP0
+    540832U,	// MTP1
+    540964U,	// MTP2
+    134239672U,	// MUH
+    134241300U,	// MUHU
+    134240104U,	// MUL
+    134240015U,	// MULEQ_S_W_PHL
+    134240477U,	// MULEQ_S_W_PHR
+    134239883U,	// MULEU_S_PH_QBL
+    134240379U,	// MULEU_S_PH_QBR
+    134239433U,	// MULQ_RS_PH
+    134242709U,	// MULQ_RS_W
+    134239377U,	// MULQ_S_PH
+    134242568U,	// MULQ_S_W
+    134238462U,	// MULR_Q_H
+    134242181U,	// MULR_Q_W
+    134239579U,	// MULSAQ_S_W_PH
+    134239554U,	// MULSA_W_PH
+    23496U,	// MULT
+    134241370U,	// MULTU_DSP
+    134241224U,	// MULT_DSP
+    23496U,	// MULT_MM
+    23642U,	// MULTu
+    23642U,	// MULTu_MM
+    134241337U,	// MULU
+    134235517U,	// MULV_B
+    134237870U,	// MULV_D
+    134239077U,	// MULV_H
+    134243160U,	// MULV_W
+    134240104U,	// MUL_MM
+    134239250U,	// MUL_PH
+    134238431U,	// MUL_Q_H
+    134242150U,	// MUL_Q_W
+    134240104U,	// MUL_R6
+    134239345U,	// MUL_S_PH
+    546281U,	// Mfhi16
+    546745U,	// Mflo16
+    20345U,	// Move32R16
+    20345U,	// MoveR3216
+    23496U,	// MultRxRy16
+    75799496U,	// MultRxRyRz16
+    23642U,	// MultuRxRy16
+    75799642U,	// MultuRxRyRz16
+    17028U,	// NLOC_B
+    18521U,	// NLOC_D
+    20436U,	// NLOC_H
+    23880U,	// NLOC_W
+    17036U,	// NLZC_B
+    18529U,	// NLZC_D
+    20444U,	// NLZC_H
+    23888U,	// NLZC_W
+    134236282U,	// NMADD_D32
+    134236282U,	// NMADD_D32_MM
+    134236282U,	// NMADD_D64
+    134240570U,	// NMADD_S
+    134240570U,	// NMADD_S_MM
+    134236240U,	// NMSUB_D32
+    134236240U,	// NMSUB_D32_MM
+    134236240U,	// NMSUB_D64
+    134240552U,	// NMSUB_S
+    134240552U,	// NMSUB_S_MM
     0U,	// NOP
-    33576926U,	// NOR
-    33576926U,	// NOR64
-    570442311U,	// NORI_B
-    33576926U,	// NOR_MM
-    33577830U,	// NOR_V
+    134240502U,	// NOR
+    134240502U,	// NOR64
+    2281718573U,	// NORI_B
+    134240502U,	// NOR_MM
+    134241412U,	// NOR_V
     0U,	// NOR_V_D_PSEUDO
     0U,	// NOR_V_H_PSEUDO
     0U,	// NOR_V_W_PSEUDO
-    20152U,	// NegRxRy16
-    23216U,	// NotRxRy16
-    33576927U,	// OR
-    33576927U,	// OR64
-    570442312U,	// ORI_B
-    33576927U,	// OR_MM
-    33577831U,	// OR_V
+    16825U,	// NOT16_MM
+    20387U,	// NegRxRy16
+    23502U,	// NotRxRy16
+    134240503U,	// OR
+    836010U,	// OR16_MM
+    134240503U,	// OR64
+    2281718574U,	// ORI_B
+    134240503U,	// OR_MM
+    134241413U,	// OR_V
     0U,	// OR_V_D_PSEUDO
     0U,	// OR_V_H_PSEUDO
     0U,	// OR_V_W_PSEUDO
-    1107318057U,	// ORi
-    1107318057U,	// ORi64
-    1107318057U,	// ORi_MM
-    2119647U,	// OrRxRxRy16
-    33575708U,	// PACKRL_PH
-    9156U,	// PAUSE
-    33571973U,	// PCKEV_B
-    33574313U,	// PCKEV_D
-    33575528U,	// PCKEV_H
-    33579552U,	// PCKEV_W
-    33571253U,	// PCKOD_B
-    33572767U,	// PCKOD_D
-    33574656U,	// PCKOD_H
-    33578075U,	// PCKOD_W
-    17325U,	// PCNT_B
-    19543U,	// PCNT_D
-    20828U,	// PCNT_H
-    24790U,	// PCNT_W
-    33575672U,	// PICK_PH
-    33572105U,	// PICK_QB
-    22263U,	// POP
-    21944U,	// PRECEQU_PH_QBL
-    16676U,	// PRECEQU_PH_QBLA
-    22402U,	// PRECEQU_PH_QBR
-    16709U,	// PRECEQU_PH_QBRA
-    22018U,	// PRECEQ_W_PHL
-    22442U,	// PRECEQ_W_PHR
-    21929U,	// PRECEU_PH_QBL
-    16660U,	// PRECEU_PH_QBLA
-    22387U,	// PRECEU_PH_QBR
-    16693U,	// PRECEU_PH_QBRA
-    33575624U,	// PRECRQU_S_QB_PH
-    33578218U,	// PRECRQ_PH_W
-    33575597U,	// PRECRQ_QB_PH
-    33578249U,	// PRECRQ_RS_PH_W
-    33575611U,	// PRECR_QB_PH
-    1107320026U,	// PRECR_SRA_PH_W
-    1107320055U,	// PRECR_SRA_R_PH_W
-    36524U,	// PREF
-    36524U,	// PREF_R6
-    1107316312U,	// PREPEND
+    134239771U,	// ORi
+    134239771U,	// ORi64
+    134239771U,	// ORi_MM
+    16799991U,	// OrRxRxRy16
+    134239239U,	// PACKRL_PH
+    9442U,	// PAUSE
+    9442U,	// PAUSE_MM
+    134235499U,	// PCKEV_B
+    134237844U,	// PCKEV_D
+    134239059U,	// PCKEV_H
+    134243134U,	// PCKEV_W
+    134234779U,	// PCKOD_B
+    134236298U,	// PCKOD_D
+    134238187U,	// PCKOD_H
+    134241657U,	// PCKOD_W
+    17555U,	// PCNT_B
+    19778U,	// PCNT_D
+    21063U,	// PCNT_H
+    25076U,	// PCNT_W
+    134239203U,	// PICK_PH
+    134235631U,	// PICK_QB
+    22522U,	// POP
+    22186U,	// PRECEQU_PH_QBL
+    16906U,	// PRECEQU_PH_QBLA
+    22682U,	// PRECEQU_PH_QBR
+    16939U,	// PRECEQU_PH_QBRA
+    22260U,	// PRECEQ_W_PHL
+    22722U,	// PRECEQ_W_PHR
+    22171U,	// PRECEU_PH_QBL
+    16890U,	// PRECEU_PH_QBLA
+    22667U,	// PRECEU_PH_QBR
+    16923U,	// PRECEU_PH_QBRA
+    134239155U,	// PRECRQU_S_QB_PH
+    134241800U,	// PRECRQ_PH_W
+    134239128U,	// PRECRQ_QB_PH
+    134241831U,	// PRECRQ_RS_PH_W
+    134239142U,	// PRECR_QB_PH
+    134241784U,	// PRECR_SRA_PH_W
+    134241813U,	// PRECR_SRA_R_PH_W
+    85911U,	// PREF
+    85911U,	// PREF_MM
+    85911U,	// PREF_R6
+    134238019U,	// PREPEND
     0U,	// PseudoCMPU_EQ_QB
     0U,	// PseudoCMPU_LE_QB
     0U,	// PseudoCMPU_LT_QB
@@ -1343,273 +1386,304 @@ static void printInstruction(MCInst *MI,
     0U,	// PseudoReturn
     0U,	// PseudoReturn64
     0U,	// PseudoSDIV
+    0U,	// PseudoSELECTFP_F_D32
+    0U,	// PseudoSELECTFP_F_D64
+    0U,	// PseudoSELECTFP_F_I
+    0U,	// PseudoSELECTFP_F_I64
+    0U,	// PseudoSELECTFP_F_S
+    0U,	// PseudoSELECTFP_T_D32
+    0U,	// PseudoSELECTFP_T_D64
+    0U,	// PseudoSELECTFP_T_I
+    0U,	// PseudoSELECTFP_T_I64
+    0U,	// PseudoSELECTFP_T_S
+    0U,	// PseudoSELECT_D32
+    0U,	// PseudoSELECT_D64
+    0U,	// PseudoSELECT_I
+    0U,	// PseudoSELECT_I64
+    0U,	// PseudoSELECT_S
     0U,	// PseudoUDIV
-    17925U,	// RADDU_W_QB
-    14702365U,	// RDDSP
-    22511U,	// RDHWR
-    22511U,	// RDHWR64
-    21531U,	// REPLV_PH
-    17905U,	// REPLV_QB
-    14701322U,	// REPL_PH
-    14697755U,	// REPL_QB
-    19552U,	// RINT_D
-    23013U,	// RINT_S
-    1107318761U,	// ROTR
-    33577932U,	// ROTRV
-    33577932U,	// ROTRV_MM
-    1107318761U,	// ROTR_MM
-    18757U,	// ROUND_L_D64
-    22740U,	// ROUND_L_S
-    19933U,	// ROUND_W_D32
-    19933U,	// ROUND_W_D64
-    19933U,	// ROUND_W_MM
-    23062U,	// ROUND_W_S
-    23062U,	// ROUND_W_S_MM
+    18155U,	// RADDU_W_QB
+    33577003U,	// RDDSP
+    22791U,	// RDHWR
+    22791U,	// RDHWR64
+    22791U,	// RDHWR_MM
+    21766U,	// REPLV_PH
+    18135U,	// REPLV_QB
+    33575925U,	// REPL_PH
+    33572353U,	// REPL_QB
+    19787U,	// RINT_D
+    23293U,	// RINT_S
+    134240513U,	// ROTR
+    134241514U,	// ROTRV
+    134241514U,	// ROTRV_MM
+    134240513U,	// ROTR_MM
+    18992U,	// ROUND_L_D64
+    23020U,	// ROUND_L_S
+    20168U,	// ROUND_W_D32
+    20168U,	// ROUND_W_D64
+    20168U,	// ROUND_W_MM
+    23342U,	// ROUND_W_S
+    23342U,	// ROUND_W_S_MM
     0U,	// Restore16
     0U,	// RestoreX16
     0U,	// RetRA
     0U,	// RetRA16
-    1107313506U,	// SAT_S_B
-    1107315572U,	// SAT_S_D
-    570446086U,	// SAT_S_H
-    1107320860U,	// SAT_S_W
-    1107313733U,	// SAT_U_B
-    1107316051U,	// SAT_U_D
-    570446376U,	// SAT_U_H
-    1107321290U,	// SAT_U_W
-    12600849U,	// SB
-    12600849U,	// SB64
-    12600849U,	// SB_MM
-    1754799U,	// SC
-    1756727U,	// SCD
-    1756727U,	// SCD_R6
-    1754799U,	// SC_MM
-    1754799U,	// SC_R6
-    12602991U,	// SD
-    415450U,	// SDBBP
-    415450U,	// SDBBP_R6
-    12599343U,	// SDC1
-    12599343U,	// SDC164
-    12599343U,	// SDC1_MM
-    12599504U,	// SDC2
-    12599504U,	// SDC2_R6
-    12599554U,	// SDC3
-    25325U,	// SDIV
-    25325U,	// SDIV_MM
-    12604877U,	// SDL
-    12605335U,	// SDR
-    337657968U,	// SDXC1
-    337657968U,	// SDXC164
-    17580U,	// SEB
-    17580U,	// SEB64
-    17580U,	// SEB_MM
-    21147U,	// SEH
-    21147U,	// SEH64
-    21147U,	// SEH_MM
-    33579691U,	// SELEQZ
-    33579691U,	// SELEQZ64
-    33574437U,	// SELEQZ_D
-    33577552U,	// SELEQZ_S
-    33579664U,	// SELNEZ
-    33579664U,	// SELNEZ64
-    33574420U,	// SELNEZ_D
-    33577542U,	// SELNEZ_S
-    2183154030U,	// SEL_D
-    2183158013U,	// SEL_S
-    33576769U,	// SEQ
-    33576220U,	// SEQi
-    12604616U,	// SH
-    12604616U,	// SH64
-    570442193U,	// SHF_B
-    570445596U,	// SHF_H
-    570449099U,	// SHF_W
-    22211U,	// SHILO
-    23475U,	// SHILOV
-    33575953U,	// SHLLV_PH
-    33572327U,	// SHLLV_QB
-    33575890U,	// SHLLV_S_PH
-    33579097U,	// SHLLV_S_W
-    1107317505U,	// SHLL_PH
-    1107313938U,	// SHLL_QB
-    1107317627U,	// SHLL_S_PH
-    1107320761U,	// SHLL_S_W
-    33575943U,	// SHRAV_PH
-    33572317U,	// SHRAV_QB
-    33575791U,	// SHRAV_R_PH
-    33572215U,	// SHRAV_R_QB
-    33578692U,	// SHRAV_R_W
-    1107317412U,	// SHRA_PH
-    1107313861U,	// SHRA_QB
-    1107317580U,	// SHRA_R_PH
-    1107314004U,	// SHRA_R_QB
-    1107320474U,	// SHRA_R_W
-    33575973U,	// SHRLV_PH
-    33572347U,	// SHRLV_QB
-    1107317523U,	// SHRL_PH
-    1107313956U,	// SHRL_QB
-    12604616U,	// SH_MM
-    1814053352U,	// SLDI_B
-    1814055101U,	// SLDI_D
-    1814056755U,	// SLDI_H
-    1814060339U,	// SLDI_W
-    2350924206U,	// SLD_B
-    2350925720U,	// SLD_D
-    2350927609U,	// SLD_H
-    2350931028U,	// SLD_W
-    1107318344U,	// SLL
-    402675272U,	// SLL64_32
-    402675272U,	// SLL64_64
-    570442250U,	// SLLI_B
-    570443982U,	// SLLI_D
-    570445636U,	// SLLI_H
-    570449220U,	// SLLI_W
-    33577894U,	// SLLV
-    33577894U,	// SLLV_MM
-    33571487U,	// SLL_B
-    33573254U,	// SLL_D
-    33574840U,	// SLL_H
-    1107318344U,	// SLL_MM
-    33578450U,	// SLL_W
-    33577631U,	// SLT
-    33577631U,	// SLT64
-    33577631U,	// SLT_MM
-    33576244U,	// SLTi
-    33576244U,	// SLTi64
-    33576244U,	// SLTi_MM
-    33577739U,	// SLTiu
-    33577739U,	// SLTiu64
-    33577739U,	// SLTiu_MM
-    33577775U,	// SLTu
-    33577775U,	// SLTu64
-    33577775U,	// SLTu_MM
-    33574532U,	// SNE
-    33576165U,	// SNEi
+    134235208U,	// SAT_S_B
+    134237279U,	// SAT_S_D
+    2281722353U,	// SAT_S_H
+    134242618U,	// SAT_S_W
+    134235435U,	// SAT_U_B
+    134237758U,	// SAT_U_D
+    2281722643U,	// SAT_U_H
+    134243048U,	// SAT_U_W
+    58738423U,	// SB
+    58736980U,	// SB16_MM
+    58738423U,	// SB64
+    58738423U,	// SB_MM
+    3966874U,	// SC
+    3968802U,	// SCD
+    3968802U,	// SCD_R6
+    3966874U,	// SC_MM
+    3966874U,	// SC_R6
+    58740570U,	// SD
+    546774U,	// SDBBP
+    65946U,	// SDBBP16_MM
+    546774U,	// SDBBP_MM
+    546774U,	// SDBBP_R6
+    58736694U,	// SDC1
+    58736694U,	// SDC164
+    58736694U,	// SDC1_MM
+    58736894U,	// SDC2
+    58736894U,	// SDC2_R6
+    58736953U,	// SDC3
+    25611U,	// SDIV
+    25611U,	// SDIV_MM
+    58742463U,	// SDL
+    58742959U,	// SDR
+    1358970999U,	// SDXC1
+    1358970999U,	// SDXC164
+    17810U,	// SEB
+    17810U,	// SEB64
+    17810U,	// SEB_MM
+    21382U,	// SEH
+    21382U,	// SEH64
+    21382U,	// SEH_MM
+    134243273U,	// SELEQZ
+    134243273U,	// SELEQZ64
+    134237968U,	// SELEQZ_D
+    134241128U,	// SELEQZ_S
+    134243246U,	// SELNEZ
+    134243246U,	// SELNEZ64
+    134237951U,	// SELNEZ_D
+    134241118U,	// SELNEZ_S
+    151013977U,	// SEL_D
+    151018005U,	// SEL_S
+    134240345U,	// SEQ
+    134239758U,	// SEQi
+    58742195U,	// SH
+    58736993U,	// SH16_MM
+    58742195U,	// SH64
+    2281718455U,	// SHF_B
+    2281721863U,	// SHF_H
+    2281725417U,	// SHF_W
+    22463U,	// SHILO
+    23761U,	// SHILOV
+    134239484U,	// SHLLV_PH
+    134235853U,	// SHLLV_QB
+    134239421U,	// SHLLV_S_PH
+    134242679U,	// SHLLV_S_W
+    134239212U,	// SHLL_PH
+    134235640U,	// SHLL_QB
+    134239334U,	// SHLL_S_PH
+    134242519U,	// SHLL_S_W
+    134239474U,	// SHRAV_PH
+    134235843U,	// SHRAV_QB
+    134239322U,	// SHRAV_R_PH
+    134235741U,	// SHRAV_R_QB
+    134242274U,	// SHRAV_R_W
+    134239119U,	// SHRA_PH
+    134235563U,	// SHRA_QB
+    134239287U,	// SHRA_R_PH
+    134235706U,	// SHRA_R_QB
+    134242232U,	// SHRA_R_W
+    134239504U,	// SHRLV_PH
+    134235873U,	// SHRLV_QB
+    134239230U,	// SHRL_PH
+    134235658U,	// SHRL_QB
+    58742195U,	// SH_MM
+    2969584334U,	// SLDI_B
+    2969586088U,	// SLDI_D
+    2969587742U,	// SLDI_H
+    2969591377U,	// SLDI_W
+    822100628U,	// SLD_B
+    822102147U,	// SLD_D
+    822104036U,	// SLD_H
+    822107506U,	// SLD_W
+    134240058U,	// SLL
+    134234494U,	// SLL16_MM
+    1610635066U,	// SLL64_32
+    1610635066U,	// SLL64_64
+    2281718512U,	// SLLI_B
+    2281720249U,	// SLLI_D
+    2281721903U,	// SLLI_H
+    2281725538U,	// SLLI_W
+    134241476U,	// SLLV
+    134241476U,	// SLLV_MM
+    134235013U,	// SLL_B
+    134236785U,	// SLL_D
+    134238371U,	// SLL_H
+    134240058U,	// SLL_MM
+    134242032U,	// SLL_W
+    134241213U,	// SLT
+    134241213U,	// SLT64
+    134241213U,	// SLT_MM
+    134239782U,	// SLTi
+    134239782U,	// SLTi64
+    134239782U,	// SLTi_MM
+    134241321U,	// SLTiu
+    134241321U,	// SLTiu64
+    134241321U,	// SLTiu_MM
+    134241357U,	// SLTu
+    134241357U,	// SLTu64
+    134241357U,	// SLTu_MM
+    134238063U,	// SNE
+    134239703U,	// SNEi
     0U,	// SNZ_B_PSEUDO
     0U,	// SNZ_D_PSEUDO
     0U,	// SNZ_H_PSEUDO
     0U,	// SNZ_V_PSEUDO
     0U,	// SNZ_W_PSEUDO
-    738214497U,	// SPLATI_B
-    738216213U,	// SPLATI_D
-    738217867U,	// SPLATI_H
-    738221451U,	// SPLATI_W
-    201343900U,	// SPLAT_B
-    201346005U,	// SPLAT_D
-    201347403U,	// SPLAT_H
-    201351331U,	// SPLAT_W
-    1107312983U,	// SRA
-    570442208U,	// SRAI_B
-    570443957U,	// SRAI_D
-    570445611U,	// SRAI_H
-    570449195U,	// SRAI_W
-    1107313196U,	// SRARI_B
-    1107314928U,	// SRARI_D
-    570445670U,	// SRARI_H
-    1107320166U,	// SRARI_W
-    33571525U,	// SRAR_B
-    33573484U,	// SRAR_D
-    33574955U,	// SRAR_H
-    33578714U,	// SRAR_W
-    33577873U,	// SRAV
-    33577873U,	// SRAV_MM
-    33571223U,	// SRA_B
-    33572677U,	// SRA_D
-    33574626U,	// SRA_H
-    1107312983U,	// SRA_MM
-    33578002U,	// SRA_W
-    1107318356U,	// SRL
-    570442258U,	// SRLI_B
-    570443990U,	// SRLI_D
-    570445644U,	// SRLI_H
-    570449228U,	// SRLI_W
-    1107313214U,	// SRLRI_B
-    1107314946U,	// SRLRI_D
-    570445688U,	// SRLRI_H
-    1107320184U,	// SRLRI_W
-    33571541U,	// SRLR_B
-    33573500U,	// SRLR_D
-    33574971U,	// SRLR_H
-    33578730U,	// SRLR_W
-    33577901U,	// SRLV
-    33577901U,	// SRLV_MM
-    33571494U,	// SRL_B
-    33573279U,	// SRL_D
-    33574847U,	// SRL_H
-    1107318356U,	// SRL_MM
-    33578475U,	// SRL_W
-    9177U,	// SSNOP
-    12599303U,	// STORE_ACC128
-    12599303U,	// STORE_ACC64
-    12599303U,	// STORE_ACC64DSP
-    12605196U,	// STORE_CCOND_DSP
-    12600255U,	// ST_B
-    12602501U,	// ST_D
-    12603758U,	// ST_H
-    12607748U,	// ST_W
-    33572376U,	// SUB
-    33575652U,	// SUBQH_PH
-    33575767U,	// SUBQH_R_PH
-    33578660U,	// SUBQH_R_W
-    33578265U,	// SUBQH_W
-    33575727U,	// SUBQ_PH
-    33575824U,	// SUBQ_S_PH
-    33578966U,	// SUBQ_S_W
-    33571897U,	// SUBSUS_U_B
-    33574215U,	// SUBSUS_U_D
-    33575452U,	// SUBSUS_U_H
-    33579454U,	// SUBSUS_U_W
-    33571700U,	// SUBSUU_S_B
-    33573788U,	// SUBSUU_S_D
-    33575192U,	// SUBSUU_S_H
-    33579076U,	// SUBSUU_S_W
-    33571662U,	// SUBS_S_B
-    33573728U,	// SUBS_S_D
-    33575154U,	// SUBS_S_H
-    33579016U,	// SUBS_S_W
-    33571877U,	// SUBS_U_B
-    33574195U,	// SUBS_U_D
-    33575432U,	// SUBS_U_H
-    33579434U,	// SUBS_U_W
-    33572085U,	// SUBUH_QB
-    33572191U,	// SUBUH_R_QB
-    33575925U,	// SUBU_PH
-    33572299U,	// SUBU_QB
-    33575868U,	// SUBU_S_PH
-    33572238U,	// SUBU_S_QB
-    570442356U,	// SUBVI_B
-    570444072U,	// SUBVI_D
-    570445726U,	// SUBVI_H
-    570449310U,	// SUBVI_W
-    33571956U,	// SUBV_B
-    33574296U,	// SUBV_D
-    33575511U,	// SUBV_H
-    33579535U,	// SUBV_W
-    33572376U,	// SUB_MM
-    33577665U,	// SUBu
-    33577665U,	// SUBu_MM
-    337657982U,	// SUXC1
-    337657982U,	// SUXC164
-    337657982U,	// SUXC1_MM
-    12608100U,	// SW
-    12608100U,	// SW64
-    12599395U,	// SWC1
-    12599395U,	// SWC1_MM
-    12599530U,	// SWC2
-    12599530U,	// SWC2_R6
-    12599566U,	// SWC3
-    12605056U,	// SWL
-    12605056U,	// SWL64
-    12605056U,	// SWL_MM
-    12605435U,	// SWR
-    12605435U,	// SWR64
-    12605435U,	// SWR_MM
-    337657996U,	// SWXC1
-    337657996U,	// SWXC1_MM
-    12608100U,	// SW_MM
-    418581U,	// SYNC
-    418581U,	// SYNC_MM
-    415276U,	// SYSCALL
-    415276U,	// SYSCALL_MM
+    2952807239U,	// SPLATI_B
+    2952808960U,	// SPLATI_D
+    2952810614U,	// SPLATI_H
+    2952814249U,	// SPLATI_W
+    805323906U,	// SPLAT_B
+    805326016U,	// SPLAT_D
+    805327414U,	// SPLAT_H
+    805331393U,	// SPLAT_W
+    134234685U,	// SRA
+    2281718470U,	// SRAI_B
+    2281720224U,	// SRAI_D
+    2281721878U,	// SRAI_H
+    2281725513U,	// SRAI_W
+    134234898U,	// SRARI_B
+    134236635U,	// SRARI_D
+    2281721937U,	// SRARI_H
+    134241924U,	// SRARI_W
+    134235051U,	// SRAR_B
+    134237015U,	// SRAR_D
+    134238486U,	// SRAR_H
+    134242296U,	// SRAR_W
+    134241455U,	// SRAV
+    134241455U,	// SRAV_MM
+    134234749U,	// SRA_B
+    134236208U,	// SRA_D
+    134238157U,	// SRA_H
+    134234685U,	// SRA_MM
+    134241584U,	// SRA_W
+    134240070U,	// SRL
+    134234501U,	// SRL16_MM
+    2281718520U,	// SRLI_B
+    2281720257U,	// SRLI_D
+    2281721911U,	// SRLI_H
+    2281725546U,	// SRLI_W
+    134234916U,	// SRLRI_B
+    134236653U,	// SRLRI_D
+    2281721955U,	// SRLRI_H
+    134241942U,	// SRLRI_W
+    134235067U,	// SRLR_B
+    134237031U,	// SRLR_D
+    134238502U,	// SRLR_H
+    134242312U,	// SRLR_W
+    134241483U,	// SRLV
+    134241483U,	// SRLV_MM
+    134235020U,	// SRL_B
+    134236810U,	// SRL_D
+    134238378U,	// SRL_H
+    134240070U,	// SRL_MM
+    134242057U,	// SRL_W
+    9463U,	// SSNOP
+    9463U,	// SSNOP_MM
+    58736647U,	// STORE_ACC128
+    58736647U,	// STORE_ACC64
+    58736647U,	// STORE_ACC64DSP
+    58742810U,	// STORE_CCOND_DSP
+    58737829U,	// ST_B
+    58740080U,	// ST_D
+    58741337U,	// ST_H
+    58745378U,	// ST_W
+    134235902U,	// SUB
+    134239183U,	// SUBQH_PH
+    134239298U,	// SUBQH_R_PH
+    134242242U,	// SUBQH_R_W
+    134241847U,	// SUBQH_W
+    134239258U,	// SUBQ_PH
+    134239355U,	// SUBQ_S_PH
+    134242548U,	// SUBQ_S_W
+    134235423U,	// SUBSUS_U_B
+    134237746U,	// SUBSUS_U_D
+    134238983U,	// SUBSUS_U_H
+    134243036U,	// SUBSUS_U_W
+    134235226U,	// SUBSUU_S_B
+    134237319U,	// SUBSUU_S_D
+    134238723U,	// SUBSUU_S_H
+    134242658U,	// SUBSUU_S_W
+    134235188U,	// SUBS_S_B
+    134237259U,	// SUBS_S_D
+    134238685U,	// SUBS_S_H
+    134242598U,	// SUBS_S_W
+    134235403U,	// SUBS_U_B
+    134237726U,	// SUBS_U_D
+    134238963U,	// SUBS_U_H
+    134243016U,	// SUBS_U_W
+    134234567U,	// SUBU16_MM
+    134235611U,	// SUBUH_QB
+    134235717U,	// SUBUH_R_QB
+    134239456U,	// SUBU_PH
+    134235825U,	// SUBU_QB
+    134239399U,	// SUBU_S_PH
+    134235764U,	// SUBU_S_QB
+    2281718618U,	// SUBVI_B
+    2281720339U,	// SUBVI_D
+    2281721993U,	// SUBVI_H
+    2281725628U,	// SUBVI_W
+    134235482U,	// SUBV_B
+    134237827U,	// SUBV_D
+    134239042U,	// SUBV_H
+    134243117U,	// SUBV_W
+    134235902U,	// SUB_MM
+    134241247U,	// SUBu
+    134241247U,	// SUBu_MM
+    1358971013U,	// SUXC1
+    1358971013U,	// SUXC164
+    1358971013U,	// SUXC1_MM
+    58745730U,	// SW
+    58737124U,	// SW16_MM
+    58745730U,	// SW64
+    58736746U,	// SWC1
+    58736746U,	// SWC1_MM
+    58736920U,	// SWC2
+    58736920U,	// SWC2_R6
+    58736965U,	// SWC3
+    58742642U,	// SWL
+    58742642U,	// SWL64
+    58742642U,	// SWL_MM
+    3522963U,	// SWM16_MM
+    3522792U,	// SWM32_MM
+    3528600U,	// SWM_MM
+    137295U,	// SWP_MM
+    58743059U,	// SWR
+    58743059U,	// SWR64
+    58743059U,	// SWR_MM
+    58745730U,	// SWSP_MM
+    1358971027U,	// SWXC1
+    1358971027U,	// SWXC1_MM
+    58745730U,	// SW_MM
+    549939U,	// SYNC
+    153021U,	// SYNCI
+    549939U,	// SYNC_MM
+    546590U,	// SYSCALL
+    546590U,	// SYSCALL_MM
     0U,	// SZ_B_PSEUDO
     0U,	// SZ_D_PSEUDO
     0U,	// SZ_H_PSEUDO
@@ -1617,113 +1691,114 @@ static void printInstruction(MCInst *MI,
     0U,	// SZ_W_PSEUDO
     0U,	// Save16
     0U,	// SaveX16
-    12600849U,	// SbRxRyOffMemX16
-    418508U,	// SebRx16
-    418520U,	// SehRx16
-    1942181U,	// SelBeqZ
-    1942154U,	// SelBneZ
-    455186161U,	// SelTBteqZCmp
-    455185686U,	// SelTBteqZCmpi
-    455187103U,	// SelTBteqZSlt
-    455185716U,	// SelTBteqZSlti
-    455187211U,	// SelTBteqZSltiu
-    455187247U,	// SelTBteqZSltu
-    488740593U,	// SelTBtneZCmp
-    488740118U,	// SelTBtneZCmpi
-    488741535U,	// SelTBtneZSlt
-    488740148U,	// SelTBtneZSlti
-    488741643U,	// SelTBtneZSltiu
-    488741679U,	// SelTBtneZSltu
-    12604616U,	// ShRxRyOffMemX16
-    1107318344U,	// SllX16
-    2120614U,	// SllvRxRy16
-    21813919U,	// SltCCRxRy16
-    23199U,	// SltRxRy16
-    21812532U,	// SltiCCRxImmX16
-    234902836U,	// SltiRxImm16
-    21812U,	// SltiRxImmX16
-    21814027U,	// SltiuCCRxImmX16
-    234904331U,	// SltiuRxImm16
-    23307U,	// SltiuRxImmX16
-    21814063U,	// SltuCCRxRy16
-    23343U,	// SltuRxRy16
-    21814063U,	// SltuRxRyRz16
-    1107312983U,	// SraX16
-    2120593U,	// SravRxRy16
-    1107318356U,	// SrlX16
-    2120621U,	// SrlvRxRy16
-    33577665U,	// SubuRxRyRz16
-    12608100U,	// SwRxRyOffMemX16
-    371221092U,	// SwRxSpImmX16
+    58738423U,	// SbRxRyOffMemX16
+    549866U,	// SebRx16
+    549878U,	// SehRx16
+    4367299U,	// SelBeqZ
+    4367272U,	// SelBneZ
+    1828886516U,	// SelTBteqZCmp
+    1828886024U,	// SelTBteqZCmpi
+    1828887485U,	// SelTBteqZSlt
+    1828886054U,	// SelTBteqZSlti
+    1828887593U,	// SelTBteqZSltiu
+    1828887629U,	// SelTBteqZSltu
+    1963104244U,	// SelTBtneZCmp
+    1963103752U,	// SelTBtneZCmpi
+    1963105213U,	// SelTBtneZSlt
+    1963103782U,	// SelTBtneZSlti
+    1963105321U,	// SelTBtneZSltiu
+    1963105357U,	// SelTBtneZSltu
+    58742195U,	// ShRxRyOffMemX16
+    134240058U,	// SllX16
+    16800964U,	// SllvRxRy16
+    92576701U,	// SltCCRxRy16
+    23485U,	// SltRxRy16
+    92575270U,	// SltiCCRxImmX16
+    939546150U,	// SltiRxImm16
+    22054U,	// SltiRxImmX16
+    92576809U,	// SltiuCCRxImmX16
+    939547689U,	// SltiuRxImm16
+    23593U,	// SltiuRxImmX16
+    92576845U,	// SltuCCRxRy16
+    23629U,	// SltuRxRy16
+    92576845U,	// SltuRxRyRz16
+    134234685U,	// SraX16
+    16800943U,	// SravRxRy16
+    134240070U,	// SrlX16
+    16800971U,	// SrlvRxRy16
+    134241247U,	// SubuRxRyRz16
+    58745730U,	// SwRxRyOffMemX16
+    1493197698U,	// SwRxSpImmX16
     0U,	// TAILCALL
     0U,	// TAILCALL64_R
     0U,	// TAILCALL_R
-    1107318598U,	// TEQ
-    14701858U,	// TEQI
-    14701858U,	// TEQI_MM
-    1107318598U,	// TEQ_MM
-    1107316339U,	// TGE
-    14701791U,	// TGEI
-    14703364U,	// TGEIU
-    14703364U,	// TGEIU_MM
-    14701791U,	// TGEI_MM
-    1107319530U,	// TGEU
-    1107319530U,	// TGEU_MM
-    1107316339U,	// TGE_MM
-    9172U,	// TLBP
-    9172U,	// TLBP_MM
-    9183U,	// TLBR
-    9183U,	// TLBR_MM
-    9162U,	// TLBWI
-    9162U,	// TLBWI_MM
-    9188U,	// TLBWR
-    9188U,	// TLBWR_MM
-    1107319460U,	// TLT
-    14701882U,	// TLTI
-    14703378U,	// TLTIU_MM
-    14701882U,	// TLTI_MM
-    1107319605U,	// TLTU
-    1107319605U,	// TLTU_MM
-    1107319460U,	// TLT_MM
-    1107316361U,	// TNE
-    14701803U,	// TNEI
-    14701803U,	// TNEI_MM
-    1107316361U,	// TNE_MM
+    134240350U,	// TEQ
+    33576468U,	// TEQI
+    33576468U,	// TEQI_MM
+    134240350U,	// TEQ_MM
+    134238046U,	// TGE
+    33576401U,	// TGEI
+    33578018U,	// TGEIU
+    33578018U,	// TGEIU_MM
+    33576401U,	// TGEI_MM
+    134241288U,	// TGEU
+    134241288U,	// TGEU_MM
+    134238046U,	// TGE_MM
+    9458U,	// TLBP
+    9458U,	// TLBP_MM
+    9469U,	// TLBR
+    9469U,	// TLBR_MM
+    9448U,	// TLBWI
+    9448U,	// TLBWI_MM
+    9474U,	// TLBWR
+    9474U,	// TLBWR_MM
+    134241218U,	// TLT
+    33576492U,	// TLTI
+    33578032U,	// TLTIU_MM
+    33576492U,	// TLTI_MM
+    134241363U,	// TLTU
+    134241363U,	// TLTU_MM
+    134241218U,	// TLT_MM
+    134238068U,	// TNE
+    33576413U,	// TNEI
+    33576413U,	// TNEI_MM
+    134238068U,	// TNE_MM
     0U,	// TRAP
-    18746U,	// TRUNC_L_D64
-    22729U,	// TRUNC_L_S
-    19922U,	// TRUNC_W_D32
-    19922U,	// TRUNC_W_D64
-    19922U,	// TRUNC_W_MM
-    23051U,	// TRUNC_W_S
-    23051U,	// TRUNC_W_S_MM
-    14703378U,	// TTLTIU
-    25311U,	// UDIV
-    25311U,	// UDIV_MM
-    33577753U,	// V3MULU
-    33570839U,	// VMM0
-    33577768U,	// VMULU
-    2183152080U,	// VSHF_B
-    2183153813U,	// VSHF_D
-    2183155483U,	// VSHF_H
-    2183158986U,	// VSHF_W
-    9200U,	// WAIT
-    416409U,	// WAIT_MM
-    14702372U,	// WRDSP
-    21141U,	// WSBH
-    21141U,	// WSBH_MM
-    33576931U,	// XOR
-    33576931U,	// XOR64
-    570442319U,	// XORI_B
-    33576931U,	// XOR_MM
-    33577837U,	// XOR_V
+    18981U,	// TRUNC_L_D64
+    23009U,	// TRUNC_L_S
+    20157U,	// TRUNC_W_D32
+    20157U,	// TRUNC_W_D64
+    20157U,	// TRUNC_W_MM
+    23331U,	// TRUNC_W_S
+    23331U,	// TRUNC_W_S_MM
+    33578032U,	// TTLTIU
+    25597U,	// UDIV
+    25597U,	// UDIV_MM
+    134241335U,	// V3MULU
+    134234135U,	// VMM0
+    134241350U,	// VMULU
+    151012022U,	// VSHF_B
+    151013760U,	// VSHF_D
+    151015430U,	// VSHF_H
+    151018984U,	// VSHF_W
+    9486U,	// WAIT
+    547767U,	// WAIT_MM
+    33577010U,	// WRDSP
+    21376U,	// WSBH
+    21376U,	// WSBH_MM
+    134240507U,	// XOR
+    836009U,	// XOR16_MM
+    134240507U,	// XOR64
+    2281718581U,	// XORI_B
+    134240507U,	// XOR_MM
+    134241419U,	// XOR_V
     0U,	// XOR_V_D_PSEUDO
     0U,	// XOR_V_H_PSEUDO
     0U,	// XOR_V_W_PSEUDO
-    1107318056U,	// XORi
-    1107318056U,	// XORi64
-    1107318056U,	// XORi_MM
-    2119651U,	// XorRxRxRy16
+    134239770U,	// XORi
+    134239770U,	// XORi64
+    134239770U,	// XORi_MM
+    16799995U,	// XorRxRxRy16
     0U
   };
 
@@ -1748,11 +1823,18 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// ABSQ_S_PH
     0U,	// ABSQ_S_QB
     0U,	// ABSQ_S_W
     0U,	// ADD
     0U,	// ADDIUPC
+    0U,	// ADDIUPC_MM
+    0U,	// ADDIUR1SP_MM
+    0U,	// ADDIUR2_MM
+    0U,	// ADDIUS5_MM
+    0U,	// ADDIUSP_MM
     0U,	// ADDQH_PH
     0U,	// ADDQH_R_PH
     0U,	// ADDQH_R_W
@@ -1773,6 +1855,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ADDS_U_D
     0U,	// ADDS_U_H
     0U,	// ADDS_U_W
+    0U,	// ADDU16_MM
     0U,	// ADDUH_QB
     0U,	// ADDUH_R_QB
     0U,	// ADDU_PH
@@ -1801,20 +1884,22 @@ static void printInstruction(MCInst *MI,
     0U,	// ADDu_MM
     0U,	// ADJCALLSTACKDOWN
     0U,	// ADJCALLSTACKUP
-    1U,	// ALIGN
+    4U,	// ALIGN
     0U,	// ALUIPC
     0U,	// AND
+    0U,	// AND16_MM
     0U,	// AND64
+    0U,	// ANDI16_MM
     0U,	// ANDI_B
     0U,	// AND_MM
     0U,	// AND_V
     0U,	// AND_V_D_PSEUDO
     0U,	// AND_V_H_PSEUDO
     0U,	// AND_V_W_PSEUDO
-    0U,	// ANDi
-    0U,	// ANDi64
-    0U,	// ANDi_MM
-    0U,	// APPEND
+    1U,	// ANDi
+    1U,	// ANDi64
+    1U,	// ANDi_MM
+    1U,	// APPEND
     0U,	// ASUB_S_B
     0U,	// ASUB_S_D
     0U,	// ASUB_S_H
@@ -1883,11 +1968,16 @@ static void printInstruction(MCInst *MI,
     0U,	// AdduRxRyRz16
     0U,	// AndRxRxRy16
     0U,	// B
+    0U,	// B16_MM
     0U,	// BADDu
     0U,	// BAL
     0U,	// BALC
-    0U,	// BALIGN
+    1U,	// BALIGN
     0U,	// BAL_BR
+    0U,	// BBIT0
+    0U,	// BBIT032
+    0U,	// BBIT1
+    0U,	// BBIT132
     0U,	// BC
     0U,	// BC0F
     0U,	// BC0FL
@@ -1923,6 +2013,7 @@ static void printInstruction(MCInst *MI,
     0U,	// BEQ64
     0U,	// BEQC
     0U,	// BEQL
+    0U,	// BEQZ16_MM
     0U,	// BEQZALC
     0U,	// BEQZC
     0U,	// BEQZC_MM
@@ -1945,22 +2036,22 @@ static void printInstruction(MCInst *MI,
     0U,	// BGTZC
     0U,	// BGTZL
     0U,	// BGTZ_MM
-    0U,	// BINSLI_B
-    0U,	// BINSLI_D
-    0U,	// BINSLI_H
-    0U,	// BINSLI_W
-    0U,	// BINSL_B
-    0U,	// BINSL_D
-    0U,	// BINSL_H
-    0U,	// BINSL_W
-    0U,	// BINSRI_B
-    0U,	// BINSRI_D
-    0U,	// BINSRI_H
-    0U,	// BINSRI_W
-    0U,	// BINSR_B
-    0U,	// BINSR_D
-    0U,	// BINSR_H
-    0U,	// BINSR_W
+    1U,	// BINSLI_B
+    1U,	// BINSLI_D
+    1U,	// BINSLI_H
+    1U,	// BINSLI_W
+    2U,	// BINSL_B
+    2U,	// BINSL_D
+    2U,	// BINSL_H
+    2U,	// BINSL_W
+    1U,	// BINSRI_B
+    1U,	// BINSRI_D
+    1U,	// BINSRI_H
+    1U,	// BINSRI_W
+    2U,	// BINSR_B
+    2U,	// BINSR_D
+    2U,	// BINSR_H
+    2U,	// BINSR_W
     0U,	// BITREV
     0U,	// BITSWAP
     0U,	// BLEZ
@@ -1981,10 +2072,10 @@ static void printInstruction(MCInst *MI,
     0U,	// BLTZC
     0U,	// BLTZL
     0U,	// BLTZ_MM
-    0U,	// BMNZI_B
-    0U,	// BMNZ_V
-    0U,	// BMZI_B
-    0U,	// BMZ_V
+    1U,	// BMNZI_B
+    2U,	// BMNZ_V
+    1U,	// BMZI_B
+    2U,	// BMZ_V
     0U,	// BNE
     0U,	// BNE64
     0U,	// BNEC
@@ -1997,6 +2088,7 @@ static void printInstruction(MCInst *MI,
     0U,	// BNEG_H
     0U,	// BNEG_W
     0U,	// BNEL
+    0U,	// BNEZ16_MM
     0U,	// BNEZALC
     0U,	// BNEZC
     0U,	// BNEZC_MM
@@ -2011,13 +2103,14 @@ static void printInstruction(MCInst *MI,
     0U,	// BPOSGE32
     0U,	// BPOSGE32_PSEUDO
     0U,	// BREAK
+    0U,	// BREAK16_MM
     0U,	// BREAK_MM
-    0U,	// BSELI_B
+    1U,	// BSELI_B
     0U,	// BSEL_D_PSEUDO
     0U,	// BSEL_FD_PSEUDO
     0U,	// BSEL_FW_PSEUDO
     0U,	// BSEL_H_PSEUDO
-    0U,	// BSEL_V
+    2U,	// BSEL_V
     0U,	// BSEL_W_PSEUDO
     0U,	// BSETI_B
     0U,	// BSETI_D
@@ -2032,6 +2125,7 @@ static void printInstruction(MCInst *MI,
     0U,	// BZ_H
     0U,	// BZ_V
     0U,	// BZ_W
+    0U,	// B_MM_Pseudo
     0U,	// BeqzRxImm16
     0U,	// BeqzRxImmX16
     0U,	// Bimm16
@@ -2058,6 +2152,7 @@ static void printInstruction(MCInst *MI,
     0U,	// BuildPairF64
     0U,	// BuildPairF64_64
     0U,	// CACHE
+    0U,	// CACHE_MM
     0U,	// CACHE_R6
     0U,	// CEIL_L_D64
     0U,	// CEIL_L_S
@@ -2077,8 +2172,8 @@ static void printInstruction(MCInst *MI,
     0U,	// CFC1
     0U,	// CFC1_MM
     0U,	// CFCMSA
-    1U,	// CINS
-    1U,	// CINS32
+    5U,	// CINS
+    5U,	// CINS32
     0U,	// CLASS_D
     0U,	// CLASS_S
     0U,	// CLEI_S_B
@@ -2166,14 +2261,14 @@ static void printInstruction(MCInst *MI,
     0U,	// CONSTPOOL_ENTRY
     0U,	// COPY_FD_PSEUDO
     0U,	// COPY_FW_PSEUDO
-    2U,	// COPY_S_B
-    2U,	// COPY_S_D
-    2U,	// COPY_S_H
-    2U,	// COPY_S_W
-    2U,	// COPY_U_B
-    2U,	// COPY_U_D
-    2U,	// COPY_U_H
-    2U,	// COPY_U_W
+    8U,	// COPY_S_B
+    8U,	// COPY_S_D
+    8U,	// COPY_S_H
+    8U,	// COPY_S_W
+    8U,	// COPY_U_B
+    8U,	// COPY_U_D
+    8U,	// COPY_U_H
+    8U,	// COPY_U_W
     0U,	// CTC1
     0U,	// CTC1_MM
     0U,	// CTCMSA
@@ -2256,7 +2351,7 @@ static void printInstruction(MCInst *MI,
     0U,	// DADDiu
     0U,	// DADDu
     0U,	// DAHI
-    1U,	// DALIGN
+    4U,	// DALIGN
     0U,	// DATI
     0U,	// DAUI
     0U,	// DBITSWAP
@@ -2268,13 +2363,13 @@ static void printInstruction(MCInst *MI,
     0U,	// DDIVU
     0U,	// DERET
     0U,	// DERET_MM
-    5U,	// DEXT
-    5U,	// DEXTM
-    5U,	// DEXTU
+    21U,	// DEXT
+    21U,	// DEXTM
+    21U,	// DEXTU
     0U,	// DI
-    5U,	// DINS
-    5U,	// DINSM
-    5U,	// DINSU
+    21U,	// DINS
+    21U,	// DINSM
+    21U,	// DINSU
     0U,	// DIV
     0U,	// DIVU
     0U,	// DIV_S_B
@@ -2286,16 +2381,16 @@ static void printInstruction(MCInst *MI,
     0U,	// DIV_U_H
     0U,	// DIV_U_W
     0U,	// DI_MM
-    1U,	// DLSA
-    1U,	// DLSA_R6
-    0U,	// DMFC0
+    4U,	// DLSA
+    4U,	// DLSA_R6
+    1U,	// DMFC0
     0U,	// DMFC1
-    0U,	// DMFC2
+    1U,	// DMFC2
     0U,	// DMOD
     0U,	// DMODU
-    0U,	// DMTC0
+    1U,	// DMTC0
     0U,	// DMTC1
-    0U,	// DMTC2
+    1U,	// DMTC2
     0U,	// DMUH
     0U,	// DMUHU
     0U,	// DMUL
@@ -2309,12 +2404,12 @@ static void printInstruction(MCInst *MI,
     0U,	// DOTP_U_D
     0U,	// DOTP_U_H
     0U,	// DOTP_U_W
-    0U,	// DPADD_S_D
-    0U,	// DPADD_S_H
-    0U,	// DPADD_S_W
-    0U,	// DPADD_U_D
-    0U,	// DPADD_U_H
-    0U,	// DPADD_U_W
+    2U,	// DPADD_S_D
+    2U,	// DPADD_S_H
+    2U,	// DPADD_S_W
+    2U,	// DPADD_U_D
+    2U,	// DPADD_U_H
+    2U,	// DPADD_U_W
     0U,	// DPAQX_SA_W_PH
     0U,	// DPAQX_S_W_PH
     0U,	// DPAQ_SA_L_W
@@ -2328,31 +2423,31 @@ static void printInstruction(MCInst *MI,
     0U,	// DPSQX_S_W_PH
     0U,	// DPSQ_SA_L_W
     0U,	// DPSQ_S_W_PH
-    0U,	// DPSUB_S_D
-    0U,	// DPSUB_S_H
-    0U,	// DPSUB_S_W
-    0U,	// DPSUB_U_D
-    0U,	// DPSUB_U_H
-    0U,	// DPSUB_U_W
+    2U,	// DPSUB_S_D
+    2U,	// DPSUB_S_H
+    2U,	// DPSUB_S_W
+    2U,	// DPSUB_U_D
+    2U,	// DPSUB_U_H
+    2U,	// DPSUB_U_W
     0U,	// DPSU_H_QBL
     0U,	// DPSU_H_QBR
     0U,	// DPSX_W_PH
     0U,	// DPS_W_PH
-    0U,	// DROTR
-    0U,	// DROTR32
+    1U,	// DROTR
+    1U,	// DROTR32
     0U,	// DROTRV
     0U,	// DSBH
     0U,	// DSDIV
     0U,	// DSHD
-    0U,	// DSLL
-    0U,	// DSLL32
+    1U,	// DSLL
+    1U,	// DSLL32
     0U,	// DSLL64_32
     0U,	// DSLLV
-    0U,	// DSRA
-    0U,	// DSRA32
+    1U,	// DSRA
+    1U,	// DSRA32
     0U,	// DSRAV
-    0U,	// DSRL
-    0U,	// DSRL32
+    1U,	// DSRL
+    1U,	// DSRL32
     0U,	// DSRLV
     0U,	// DSUB
     0U,	// DSUBu
@@ -2360,26 +2455,27 @@ static void printInstruction(MCInst *MI,
     0U,	// DivRxRy16
     0U,	// DivuRxRy16
     0U,	// EHB
+    0U,	// EHB_MM
     0U,	// EI
     0U,	// EI_MM
     0U,	// ERET
     0U,	// ERET_MM
-    5U,	// EXT
-    0U,	// EXTP
-    0U,	// EXTPDP
+    21U,	// EXT
+    1U,	// EXTP
+    1U,	// EXTPDP
     0U,	// EXTPDPV
     0U,	// EXTPV
     0U,	// EXTRV_RS_W
     0U,	// EXTRV_R_W
     0U,	// EXTRV_S_H
     0U,	// EXTRV_W
-    0U,	// EXTR_RS_W
-    0U,	// EXTR_R_W
-    0U,	// EXTR_S_H
-    0U,	// EXTR_W
-    1U,	// EXTS
-    1U,	// EXTS32
-    5U,	// EXT_MM
+    1U,	// EXTR_RS_W
+    1U,	// EXTR_R_W
+    1U,	// EXTR_S_H
+    1U,	// EXTR_W
+    5U,	// EXTS
+    5U,	// EXTS32
+    21U,	// EXT_MM
     0U,	// ExtractElementF64
     0U,	// ExtractElementF64_64
     0U,	// FABS_D
@@ -2465,8 +2561,8 @@ static void printInstruction(MCInst *MI,
     0U,	// FLOOR_W_MM
     0U,	// FLOOR_W_S
     0U,	// FLOOR_W_S_MM
-    0U,	// FMADD_D
-    0U,	// FMADD_W
+    2U,	// FMADD_D
+    2U,	// FMADD_W
     0U,	// FMAX_A_D
     0U,	// FMAX_A_W
     0U,	// FMAX_D
@@ -2480,8 +2576,8 @@ static void printInstruction(MCInst *MI,
     0U,	// FMOV_D64
     0U,	// FMOV_S
     0U,	// FMOV_S_MM
-    0U,	// FMSUB_D
-    0U,	// FMSUB_W
+    2U,	// FMSUB_D
+    2U,	// FMSUB_W
     0U,	// FMUL_D
     0U,	// FMUL_D32
     0U,	// FMUL_D64
@@ -2575,7 +2671,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ILVR_D
     0U,	// ILVR_H
     0U,	// ILVR_W
-    5U,	// INS
+    21U,	// INS
     0U,	// INSERT_B
     0U,	// INSERT_B_VIDX_PSEUDO
     0U,	// INSERT_D
@@ -2593,7 +2689,7 @@ static void printInstruction(MCInst *MI,
     0U,	// INSVE_D
     0U,	// INSVE_H
     0U,	// INSVE_W
-    5U,	// INS_MM
+    21U,	// INS_MM
     0U,	// J
     0U,	// JAL
     0U,	// JALR
@@ -2601,29 +2697,36 @@ static void printInstruction(MCInst *MI,
     0U,	// JALR64
     0U,	// JALR64Pseudo
     0U,	// JALRPseudo
+    0U,	// JALRS16_MM
     0U,	// JALRS_MM
     0U,	// JALR_HB
     0U,	// JALR_MM
     0U,	// JALS_MM
     0U,	// JALX
+    0U,	// JALX_MM
     0U,	// JAL_MM
     0U,	// JIALC
     0U,	// JIC
     0U,	// JR
+    0U,	// JR16_MM
     0U,	// JR64
     0U,	// JRADDIUSP
+    0U,	// JRC16_MM
     0U,	// JR_HB
     0U,	// JR_HB_R6
     0U,	// JR_MM
     0U,	// J_MM
     0U,	// Jal16
     0U,	// JalB16
+    0U,	// JalOneReg
+    0U,	// JalTwoReg
     0U,	// JrRa16
     0U,	// JrcRa16
     0U,	// JrcRx16
     0U,	// JumpLinkReg16
     0U,	// LB
     0U,	// LB64
+    0U,	// LBU16_MM
     0U,	// LBUX
     0U,	// LB_MM
     0U,	// LBu
@@ -2654,11 +2757,13 @@ static void printInstruction(MCInst *MI,
     0U,	// LEA_ADDiu_MM
     0U,	// LH
     0U,	// LH64
+    0U,	// LHU16_MM
     0U,	// LHX
     0U,	// LH_MM
     0U,	// LHu
     0U,	// LHu64
     0U,	// LHu_MM
+    0U,	// LI16_MM
     0U,	// LL
     0U,	// LLD
     0U,	// LLD_R6
@@ -2671,8 +2776,8 @@ static void printInstruction(MCInst *MI,
     0U,	// LONG_BRANCH_ADDiu
     0U,	// LONG_BRANCH_DADDiu
     0U,	// LONG_BRANCH_LUi
-    1U,	// LSA
-    1U,	// LSA_R6
+    4U,	// LSA
+    4U,	// LSA_R6
     0U,	// LUXC1
     0U,	// LUXC164
     0U,	// LUXC1_MM
@@ -2680,24 +2785,32 @@ static void printInstruction(MCInst *MI,
     0U,	// LUi64
     0U,	// LUi_MM
     0U,	// LW
+    0U,	// LW16_MM
     0U,	// LW64
     0U,	// LWC1
     0U,	// LWC1_MM
     0U,	// LWC2
     0U,	// LWC2_R6
     0U,	// LWC3
+    0U,	// LWGP_MM
     0U,	// LWL
     0U,	// LWL64
     0U,	// LWL_MM
+    0U,	// LWM16_MM
+    0U,	// LWM32_MM
+    0U,	// LWM_MM
     0U,	// LWPC
+    0U,	// LWP_MM
     0U,	// LWR
     0U,	// LWR64
     0U,	// LWR_MM
+    0U,	// LWSP_MM
     0U,	// LWUPC
     0U,	// LWU_MM
     0U,	// LWX
     0U,	// LWXC1
     0U,	// LWXC1_MM
+    0U,	// LWXS_MM
     0U,	// LW_MM
     0U,	// LWu
     0U,	// LbRxRyOffMemX16
@@ -2717,26 +2830,26 @@ static void printInstruction(MCInst *MI,
     0U,	// LwRxRyOffMemX16
     0U,	// LwRxSpImmX16
     0U,	// MADD
-    0U,	// MADDF_D
-    0U,	// MADDF_S
-    0U,	// MADDR_Q_H
-    0U,	// MADDR_Q_W
+    2U,	// MADDF_D
+    2U,	// MADDF_S
+    2U,	// MADDR_Q_H
+    2U,	// MADDR_Q_W
     0U,	// MADDU
     0U,	// MADDU_DSP
     0U,	// MADDU_MM
-    0U,	// MADDV_B
-    0U,	// MADDV_D
-    0U,	// MADDV_H
-    0U,	// MADDV_W
-    5U,	// MADD_D32
-    5U,	// MADD_D32_MM
-    5U,	// MADD_D64
+    2U,	// MADDV_B
+    2U,	// MADDV_D
+    2U,	// MADDV_H
+    2U,	// MADDV_W
+    20U,	// MADD_D32
+    20U,	// MADD_D32_MM
+    20U,	// MADD_D64
     0U,	// MADD_DSP
     0U,	// MADD_MM
-    0U,	// MADD_Q_H
-    0U,	// MADD_Q_W
-    5U,	// MADD_S
-    5U,	// MADD_S_MM
+    2U,	// MADD_Q_H
+    2U,	// MADD_Q_W
+    20U,	// MADD_S
+    20U,	// MADD_S_MM
     0U,	// MAQ_SA_W_PHL
     0U,	// MAQ_SA_W_PHR
     0U,	// MAQ_S_W_PHL
@@ -2765,10 +2878,10 @@ static void printInstruction(MCInst *MI,
     0U,	// MAX_U_D
     0U,	// MAX_U_H
     0U,	// MAX_U_W
-    0U,	// MFC0
+    1U,	// MFC0
     0U,	// MFC1
     0U,	// MFC1_MM
-    0U,	// MFC2
+    1U,	// MFC2
     0U,	// MFHC1_D32
     0U,	// MFHC1_D64
     0U,	// MFHC1_MM
@@ -2820,6 +2933,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MOD_U_H
     0U,	// MOD_U_W
     0U,	// MOVE16_MM
+    0U,	// MOVEP_MM
     0U,	// MOVE_V
     0U,	// MOVF_D32
     0U,	// MOVF_D32_MM
@@ -2862,30 +2976,30 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVZ_I_S
     0U,	// MOVZ_I_S_MM
     0U,	// MSUB
-    0U,	// MSUBF_D
-    0U,	// MSUBF_S
-    0U,	// MSUBR_Q_H
-    0U,	// MSUBR_Q_W
+    2U,	// MSUBF_D
+    2U,	// MSUBF_S
+    2U,	// MSUBR_Q_H
+    2U,	// MSUBR_Q_W
     0U,	// MSUBU
     0U,	// MSUBU_DSP
     0U,	// MSUBU_MM
-    0U,	// MSUBV_B
-    0U,	// MSUBV_D
-    0U,	// MSUBV_H
-    0U,	// MSUBV_W
-    5U,	// MSUB_D32
-    5U,	// MSUB_D32_MM
-    5U,	// MSUB_D64
+    2U,	// MSUBV_B
+    2U,	// MSUBV_D
+    2U,	// MSUBV_H
+    2U,	// MSUBV_W
+    20U,	// MSUB_D32
+    20U,	// MSUB_D32_MM
+    20U,	// MSUB_D64
     0U,	// MSUB_DSP
     0U,	// MSUB_MM
-    0U,	// MSUB_Q_H
-    0U,	// MSUB_Q_W
-    5U,	// MSUB_S
-    5U,	// MSUB_S_MM
-    0U,	// MTC0
+    2U,	// MSUB_Q_H
+    2U,	// MSUB_Q_W
+    20U,	// MSUB_S
+    20U,	// MSUB_S_MM
+    1U,	// MTC0
     0U,	// MTC1
     0U,	// MTC1_MM
-    0U,	// MTC2
+    1U,	// MTC2
     0U,	// MTHC1_D32
     0U,	// MTHC1_D64
     0U,	// MTHC1_MM
@@ -2952,16 +3066,16 @@ static void printInstruction(MCInst *MI,
     0U,	// NLZC_D
     0U,	// NLZC_H
     0U,	// NLZC_W
-    5U,	// NMADD_D32
-    5U,	// NMADD_D32_MM
-    5U,	// NMADD_D64
-    5U,	// NMADD_S
-    5U,	// NMADD_S_MM
-    5U,	// NMSUB_D32
-    5U,	// NMSUB_D32_MM
-    5U,	// NMSUB_D64
-    5U,	// NMSUB_S
-    5U,	// NMSUB_S_MM
+    20U,	// NMADD_D32
+    20U,	// NMADD_D32_MM
+    20U,	// NMADD_D64
+    20U,	// NMADD_S
+    20U,	// NMADD_S_MM
+    20U,	// NMSUB_D32
+    20U,	// NMSUB_D32_MM
+    20U,	// NMSUB_D64
+    20U,	// NMSUB_S
+    20U,	// NMSUB_S_MM
     0U,	// NOP
     0U,	// NOR
     0U,	// NOR64
@@ -2971,9 +3085,11 @@ static void printInstruction(MCInst *MI,
     0U,	// NOR_V_D_PSEUDO
     0U,	// NOR_V_H_PSEUDO
     0U,	// NOR_V_W_PSEUDO
+    0U,	// NOT16_MM
     0U,	// NegRxRy16
     0U,	// NotRxRy16
     0U,	// OR
+    0U,	// OR16_MM
     0U,	// OR64
     0U,	// ORI_B
     0U,	// OR_MM
@@ -2981,12 +3097,13 @@ static void printInstruction(MCInst *MI,
     0U,	// OR_V_D_PSEUDO
     0U,	// OR_V_H_PSEUDO
     0U,	// OR_V_W_PSEUDO
-    0U,	// ORi
-    0U,	// ORi64
-    0U,	// ORi_MM
+    1U,	// ORi
+    1U,	// ORi64
+    1U,	// ORi_MM
     0U,	// OrRxRxRy16
     0U,	// PACKRL_PH
     0U,	// PAUSE
+    0U,	// PAUSE_MM
     0U,	// PCKEV_B
     0U,	// PCKEV_D
     0U,	// PCKEV_H
@@ -3017,11 +3134,12 @@ static void printInstruction(MCInst *MI,
     0U,	// PRECRQ_QB_PH
     0U,	// PRECRQ_RS_PH_W
     0U,	// PRECR_QB_PH
-    0U,	// PRECR_SRA_PH_W
-    0U,	// PRECR_SRA_R_PH_W
+    1U,	// PRECR_SRA_PH_W
+    1U,	// PRECR_SRA_R_PH_W
     0U,	// PREF
+    0U,	// PREF_MM
     0U,	// PREF_R6
-    0U,	// PREPEND
+    1U,	// PREPEND
     0U,	// PseudoCMPU_EQ_QB
     0U,	// PseudoCMPU_LE_QB
     0U,	// PseudoCMPU_LT_QB
@@ -3057,21 +3175,37 @@ static void printInstruction(MCInst *MI,
     0U,	// PseudoReturn
     0U,	// PseudoReturn64
     0U,	// PseudoSDIV
+    0U,	// PseudoSELECTFP_F_D32
+    0U,	// PseudoSELECTFP_F_D64
+    0U,	// PseudoSELECTFP_F_I
+    0U,	// PseudoSELECTFP_F_I64
+    0U,	// PseudoSELECTFP_F_S
+    0U,	// PseudoSELECTFP_T_D32
+    0U,	// PseudoSELECTFP_T_D64
+    0U,	// PseudoSELECTFP_T_I
+    0U,	// PseudoSELECTFP_T_I64
+    0U,	// PseudoSELECTFP_T_S
+    0U,	// PseudoSELECT_D32
+    0U,	// PseudoSELECT_D64
+    0U,	// PseudoSELECT_I
+    0U,	// PseudoSELECT_I64
+    0U,	// PseudoSELECT_S
     0U,	// PseudoUDIV
     0U,	// RADDU_W_QB
     0U,	// RDDSP
     0U,	// RDHWR
     0U,	// RDHWR64
+    0U,	// RDHWR_MM
     0U,	// REPLV_PH
     0U,	// REPLV_QB
     0U,	// REPL_PH
     0U,	// REPL_QB
     0U,	// RINT_D
     0U,	// RINT_S
-    0U,	// ROTR
+    1U,	// ROTR
     0U,	// ROTRV
     0U,	// ROTRV_MM
-    0U,	// ROTR_MM
+    1U,	// ROTR_MM
     0U,	// ROUND_L_D64
     0U,	// ROUND_L_S
     0U,	// ROUND_W_D32
@@ -3083,15 +3217,16 @@ static void printInstruction(MCInst *MI,
     0U,	// RestoreX16
     0U,	// RetRA
     0U,	// RetRA16
-    0U,	// SAT_S_B
-    0U,	// SAT_S_D
+    1U,	// SAT_S_B
+    1U,	// SAT_S_D
     0U,	// SAT_S_H
-    0U,	// SAT_S_W
-    0U,	// SAT_U_B
-    0U,	// SAT_U_D
+    1U,	// SAT_S_W
+    1U,	// SAT_U_B
+    1U,	// SAT_U_D
     0U,	// SAT_U_H
-    0U,	// SAT_U_W
+    1U,	// SAT_U_W
     0U,	// SB
+    0U,	// SB16_MM
     0U,	// SB64
     0U,	// SB_MM
     0U,	// SC
@@ -3101,6 +3236,8 @@ static void printInstruction(MCInst *MI,
     0U,	// SC_R6
     0U,	// SD
     0U,	// SDBBP
+    0U,	// SDBBP16_MM
+    0U,	// SDBBP_MM
     0U,	// SDBBP_R6
     0U,	// SDC1
     0U,	// SDC164
@@ -3128,11 +3265,12 @@ static void printInstruction(MCInst *MI,
     0U,	// SELNEZ64
     0U,	// SELNEZ_D
     0U,	// SELNEZ_S
-    0U,	// SEL_D
-    0U,	// SEL_S
+    2U,	// SEL_D
+    2U,	// SEL_S
     0U,	// SEQ
     0U,	// SEQi
     0U,	// SH
+    0U,	// SH16_MM
     0U,	// SH64
     0U,	// SHF_B
     0U,	// SHF_H
@@ -3143,34 +3281,35 @@ static void printInstruction(MCInst *MI,
     0U,	// SHLLV_QB
     0U,	// SHLLV_S_PH
     0U,	// SHLLV_S_W
-    0U,	// SHLL_PH
-    0U,	// SHLL_QB
-    0U,	// SHLL_S_PH
-    0U,	// SHLL_S_W
+    1U,	// SHLL_PH
+    1U,	// SHLL_QB
+    1U,	// SHLL_S_PH
+    1U,	// SHLL_S_W
     0U,	// SHRAV_PH
     0U,	// SHRAV_QB
     0U,	// SHRAV_R_PH
     0U,	// SHRAV_R_QB
     0U,	// SHRAV_R_W
-    0U,	// SHRA_PH
-    0U,	// SHRA_QB
-    0U,	// SHRA_R_PH
-    0U,	// SHRA_R_QB
-    0U,	// SHRA_R_W
+    1U,	// SHRA_PH
+    1U,	// SHRA_QB
+    1U,	// SHRA_R_PH
+    1U,	// SHRA_R_QB
+    1U,	// SHRA_R_W
     0U,	// SHRLV_PH
     0U,	// SHRLV_QB
-    0U,	// SHRL_PH
-    0U,	// SHRL_QB
+    1U,	// SHRL_PH
+    1U,	// SHRL_QB
     0U,	// SH_MM
-    2U,	// SLDI_B
-    2U,	// SLDI_D
-    2U,	// SLDI_H
-    2U,	// SLDI_W
-    2U,	// SLD_B
-    2U,	// SLD_D
-    2U,	// SLD_H
-    2U,	// SLD_W
-    0U,	// SLL
+    9U,	// SLDI_B
+    9U,	// SLDI_D
+    9U,	// SLDI_H
+    9U,	// SLDI_W
+    10U,	// SLD_B
+    10U,	// SLD_D
+    10U,	// SLD_H
+    10U,	// SLD_W
+    1U,	// SLL
+    0U,	// SLL16_MM
     0U,	// SLL64_32
     0U,	// SLL64_64
     0U,	// SLLI_B
@@ -3182,7 +3321,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SLL_B
     0U,	// SLL_D
     0U,	// SLL_H
-    0U,	// SLL_MM
+    1U,	// SLL_MM
     0U,	// SLL_W
     0U,	// SLT
     0U,	// SLT64
@@ -3203,23 +3342,23 @@ static void printInstruction(MCInst *MI,
     0U,	// SNZ_H_PSEUDO
     0U,	// SNZ_V_PSEUDO
     0U,	// SNZ_W_PSEUDO
-    2U,	// SPLATI_B
-    2U,	// SPLATI_D
-    2U,	// SPLATI_H
-    2U,	// SPLATI_W
-    2U,	// SPLAT_B
-    2U,	// SPLAT_D
-    2U,	// SPLAT_H
-    2U,	// SPLAT_W
-    0U,	// SRA
+    8U,	// SPLATI_B
+    8U,	// SPLATI_D
+    8U,	// SPLATI_H
+    8U,	// SPLATI_W
+    8U,	// SPLAT_B
+    8U,	// SPLAT_D
+    8U,	// SPLAT_H
+    8U,	// SPLAT_W
+    1U,	// SRA
     0U,	// SRAI_B
     0U,	// SRAI_D
     0U,	// SRAI_H
     0U,	// SRAI_W
-    0U,	// SRARI_B
-    0U,	// SRARI_D
+    1U,	// SRARI_B
+    1U,	// SRARI_D
     0U,	// SRARI_H
-    0U,	// SRARI_W
+    1U,	// SRARI_W
     0U,	// SRAR_B
     0U,	// SRAR_D
     0U,	// SRAR_H
@@ -3229,17 +3368,18 @@ static void printInstruction(MCInst *MI,
     0U,	// SRA_B
     0U,	// SRA_D
     0U,	// SRA_H
-    0U,	// SRA_MM
+    1U,	// SRA_MM
     0U,	// SRA_W
-    0U,	// SRL
+    1U,	// SRL
+    0U,	// SRL16_MM
     0U,	// SRLI_B
     0U,	// SRLI_D
     0U,	// SRLI_H
     0U,	// SRLI_W
-    0U,	// SRLRI_B
-    0U,	// SRLRI_D
+    1U,	// SRLRI_B
+    1U,	// SRLRI_D
     0U,	// SRLRI_H
-    0U,	// SRLRI_W
+    1U,	// SRLRI_W
     0U,	// SRLR_B
     0U,	// SRLR_D
     0U,	// SRLR_H
@@ -3249,9 +3389,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SRL_B
     0U,	// SRL_D
     0U,	// SRL_H
-    0U,	// SRL_MM
+    1U,	// SRL_MM
     0U,	// SRL_W
     0U,	// SSNOP
+    0U,	// SSNOP_MM
     0U,	// STORE_ACC128
     0U,	// STORE_ACC64
     0U,	// STORE_ACC64DSP
@@ -3284,6 +3425,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SUBS_U_D
     0U,	// SUBS_U_H
     0U,	// SUBS_U_W
+    0U,	// SUBU16_MM
     0U,	// SUBUH_QB
     0U,	// SUBUH_R_QB
     0U,	// SUBU_PH
@@ -3305,6 +3447,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SUXC164
     0U,	// SUXC1_MM
     0U,	// SW
+    0U,	// SW16_MM
     0U,	// SW64
     0U,	// SWC1
     0U,	// SWC1_MM
@@ -3314,13 +3457,19 @@ static void printInstruction(MCInst *MI,
     0U,	// SWL
     0U,	// SWL64
     0U,	// SWL_MM
+    0U,	// SWM16_MM
+    0U,	// SWM32_MM
+    0U,	// SWM_MM
+    0U,	// SWP_MM
     0U,	// SWR
     0U,	// SWR64
     0U,	// SWR_MM
+    0U,	// SWSP_MM
     0U,	// SWXC1
     0U,	// SWXC1_MM
     0U,	// SW_MM
     0U,	// SYNC
+    0U,	// SYNCI
     0U,	// SYNC_MM
     0U,	// SYSCALL
     0U,	// SYSCALL_MM
@@ -3349,7 +3498,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SelTBtneZSltiu
     0U,	// SelTBtneZSltu
     0U,	// ShRxRyOffMemX16
-    0U,	// SllX16
+    1U,	// SllX16
     0U,	// SllvRxRy16
     0U,	// SltCCRxRy16
     0U,	// SltRxRy16
@@ -3362,9 +3511,9 @@ static void printInstruction(MCInst *MI,
     0U,	// SltuCCRxRy16
     0U,	// SltuRxRy16
     0U,	// SltuRxRyRz16
-    0U,	// SraX16
+    1U,	// SraX16
     0U,	// SravRxRy16
-    0U,	// SrlX16
+    1U,	// SrlX16
     0U,	// SrlvRxRy16
     0U,	// SubuRxRyRz16
     0U,	// SwRxRyOffMemX16
@@ -3372,18 +3521,18 @@ static void printInstruction(MCInst *MI,
     0U,	// TAILCALL
     0U,	// TAILCALL64_R
     0U,	// TAILCALL_R
-    0U,	// TEQ
+    1U,	// TEQ
     0U,	// TEQI
     0U,	// TEQI_MM
-    0U,	// TEQ_MM
-    0U,	// TGE
+    1U,	// TEQ_MM
+    1U,	// TGE
     0U,	// TGEI
     0U,	// TGEIU
     0U,	// TGEIU_MM
     0U,	// TGEI_MM
-    0U,	// TGEU
-    0U,	// TGEU_MM
-    0U,	// TGE_MM
+    1U,	// TGEU
+    1U,	// TGEU_MM
+    1U,	// TGE_MM
     0U,	// TLBP
     0U,	// TLBP_MM
     0U,	// TLBR
@@ -3392,17 +3541,17 @@ static void printInstruction(MCInst *MI,
     0U,	// TLBWI_MM
     0U,	// TLBWR
     0U,	// TLBWR_MM
-    0U,	// TLT
+    1U,	// TLT
     0U,	// TLTI
     0U,	// TLTIU_MM
     0U,	// TLTI_MM
-    0U,	// TLTU
-    0U,	// TLTU_MM
-    0U,	// TLT_MM
-    0U,	// TNE
+    1U,	// TLTU
+    1U,	// TLTU_MM
+    1U,	// TLT_MM
+    1U,	// TNE
     0U,	// TNEI
     0U,	// TNEI_MM
-    0U,	// TNE_MM
+    1U,	// TNE_MM
     0U,	// TRAP
     0U,	// TRUNC_L_D64
     0U,	// TRUNC_L_S
@@ -3417,16 +3566,17 @@ static void printInstruction(MCInst *MI,
     0U,	// V3MULU
     0U,	// VMM0
     0U,	// VMULU
-    0U,	// VSHF_B
-    0U,	// VSHF_D
-    0U,	// VSHF_H
-    0U,	// VSHF_W
+    2U,	// VSHF_B
+    2U,	// VSHF_D
+    2U,	// VSHF_H
+    2U,	// VSHF_W
     0U,	// WAIT
     0U,	// WAIT_MM
     0U,	// WRDSP
     0U,	// WSBH
     0U,	// WSBH_MM
     0U,	// XOR
+    0U,	// XOR16_MM
     0U,	// XOR64
     0U,	// XORI_B
     0U,	// XOR_MM
@@ -3434,9 +3584,9 @@ static void printInstruction(MCInst *MI,
     0U,	// XOR_V_D_PSEUDO
     0U,	// XOR_V_H_PSEUDO
     0U,	// XOR_V_W_PSEUDO
-    0U,	// XORi
-    0U,	// XORi64
-    0U,	// XORi_MM
+    1U,	// XORi
+    1U,	// XORi64
+    1U,	// XORi_MM
     0U,	// XorRxRxRy16
     0U
   };
@@ -3449,1055 +3599,1095 @@ static void printInstruction(MCInst *MI,
   /* 22 */ 'v', 'm', 'm', '0', 9, 0,
   /* 28 */ 'm', 't', 'm', '0', 9, 0,
   /* 34 */ 'm', 't', 'p', '0', 9, 0,
-  /* 40 */ 'l', 'd', 'c', '1', 9, 0,
-  /* 46 */ 's', 'd', 'c', '1', 9, 0,
-  /* 52 */ 'c', 'f', 'c', '1', 9, 0,
-  /* 58 */ 'd', 'm', 'f', 'c', '1', 9, 0,
-  /* 65 */ 'm', 'f', 'h', 'c', '1', 9, 0,
-  /* 72 */ 'm', 't', 'h', 'c', '1', 9, 0,
-  /* 79 */ 'c', 't', 'c', '1', 9, 0,
-  /* 85 */ 'd', 'm', 't', 'c', '1', 9, 0,
-  /* 92 */ 'l', 'w', 'c', '1', 9, 0,
-  /* 98 */ 's', 'w', 'c', '1', 9, 0,
-  /* 104 */ 'l', 'd', 'x', 'c', '1', 9, 0,
-  /* 111 */ 's', 'd', 'x', 'c', '1', 9, 0,
-  /* 118 */ 'l', 'u', 'x', 'c', '1', 9, 0,
-  /* 125 */ 's', 'u', 'x', 'c', '1', 9, 0,
-  /* 132 */ 'l', 'w', 'x', 'c', '1', 9, 0,
-  /* 139 */ 's', 'w', 'x', 'c', '1', 9, 0,
-  /* 146 */ 'm', 't', 'm', '1', 9, 0,
-  /* 152 */ 'm', 't', 'p', '1', 9, 0,
-  /* 158 */ 'd', 's', 'r', 'a', '3', '2', 9, 0,
-  /* 166 */ 'b', 'p', 'o', 's', 'g', 'e', '3', '2', 9, 0,
-  /* 176 */ 'd', 's', 'l', 'l', '3', '2', 9, 0,
-  /* 184 */ 'd', 's', 'r', 'l', '3', '2', 9, 0,
-  /* 192 */ 'd', 'r', 'o', 't', 'r', '3', '2', 9, 0,
-  /* 201 */ 'l', 'd', 'c', '2', 9, 0,
-  /* 207 */ 's', 'd', 'c', '2', 9, 0,
-  /* 213 */ 'd', 'm', 'f', 'c', '2', 9, 0,
-  /* 220 */ 'd', 'm', 't', 'c', '2', 9, 0,
-  /* 227 */ 'l', 'w', 'c', '2', 9, 0,
-  /* 233 */ 's', 'w', 'c', '2', 9, 0,
-  /* 239 */ 'm', 't', 'm', '2', 9, 0,
-  /* 245 */ 'm', 't', 'p', '2', 9, 0,
-  /* 251 */ 'l', 'd', 'c', '3', 9, 0,
-  /* 257 */ 's', 'd', 'c', '3', 9, 0,
-  /* 263 */ 'l', 'w', 'c', '3', 9, 0,
-  /* 269 */ 's', 'w', 'c', '3', 9, 0,
-  /* 275 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 'a', 9, 0,
-  /* 291 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 'a', 9, 0,
-  /* 308 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 'a', 9, 0,
-  /* 324 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 'a', 9, 0,
-  /* 341 */ 'd', 's', 'r', 'a', 9, 0,
-  /* 347 */ 'd', 'l', 's', 'a', 9, 0,
-  /* 353 */ 'c', 'f', 'c', 'm', 's', 'a', 9, 0,
-  /* 361 */ 'c', 't', 'c', 'm', 's', 'a', 9, 0,
-  /* 369 */ 'a', 'd', 'd', '_', 'a', '.', 'b', 9, 0,
-  /* 378 */ 'm', 'i', 'n', '_', 'a', '.', 'b', 9, 0,
-  /* 387 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'b', 9, 0,
-  /* 397 */ 'm', 'a', 'x', '_', 'a', '.', 'b', 9, 0,
-  /* 406 */ 's', 'r', 'a', '.', 'b', 9, 0,
-  /* 413 */ 'n', 'l', 'o', 'c', '.', 'b', 9, 0,
-  /* 421 */ 'n', 'l', 'z', 'c', '.', 'b', 9, 0,
-  /* 429 */ 's', 'l', 'd', '.', 'b', 9, 0,
-  /* 436 */ 'p', 'c', 'k', 'o', 'd', '.', 'b', 9, 0,
-  /* 445 */ 'i', 'l', 'v', 'o', 'd', '.', 'b', 9, 0,
-  /* 454 */ 'i', 'n', 's', 'v', 'e', '.', 'b', 9, 0,
-  /* 463 */ 'v', 's', 'h', 'f', '.', 'b', 9, 0,
-  /* 471 */ 'b', 'n', 'e', 'g', '.', 'b', 9, 0,
-  /* 479 */ 's', 'r', 'a', 'i', '.', 'b', 9, 0,
-  /* 487 */ 's', 'l', 'd', 'i', '.', 'b', 9, 0,
-  /* 495 */ 'a', 'n', 'd', 'i', '.', 'b', 9, 0,
-  /* 503 */ 'b', 'n', 'e', 'g', 'i', '.', 'b', 9, 0,
-  /* 512 */ 'b', 's', 'e', 'l', 'i', '.', 'b', 9, 0,
-  /* 521 */ 's', 'l', 'l', 'i', '.', 'b', 9, 0,
-  /* 529 */ 's', 'r', 'l', 'i', '.', 'b', 9, 0,
-  /* 537 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'b', 9, 0,
-  /* 547 */ 'c', 'e', 'q', 'i', '.', 'b', 9, 0,
-  /* 555 */ 's', 'r', 'a', 'r', 'i', '.', 'b', 9, 0,
-  /* 564 */ 'b', 'c', 'l', 'r', 'i', '.', 'b', 9, 0,
-  /* 573 */ 's', 'r', 'l', 'r', 'i', '.', 'b', 9, 0,
-  /* 582 */ 'n', 'o', 'r', 'i', '.', 'b', 9, 0,
-  /* 590 */ 'x', 'o', 'r', 'i', '.', 'b', 9, 0,
-  /* 598 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'b', 9, 0,
-  /* 608 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'b', 9, 0,
-  /* 618 */ 'b', 's', 'e', 't', 'i', '.', 'b', 9, 0,
-  /* 627 */ 's', 'u', 'b', 'v', 'i', '.', 'b', 9, 0,
-  /* 636 */ 'a', 'd', 'd', 'v', 'i', '.', 'b', 9, 0,
-  /* 645 */ 'b', 'm', 'z', 'i', '.', 'b', 9, 0,
-  /* 653 */ 'b', 'm', 'n', 'z', 'i', '.', 'b', 9, 0,
-  /* 662 */ 'f', 'i', 'l', 'l', '.', 'b', 9, 0,
-  /* 670 */ 's', 'l', 'l', '.', 'b', 9, 0,
-  /* 677 */ 's', 'r', 'l', '.', 'b', 9, 0,
-  /* 684 */ 'b', 'i', 'n', 's', 'l', '.', 'b', 9, 0,
-  /* 693 */ 'i', 'l', 'v', 'l', '.', 'b', 9, 0,
-  /* 701 */ 'c', 'e', 'q', '.', 'b', 9, 0,
-  /* 708 */ 's', 'r', 'a', 'r', '.', 'b', 9, 0,
-  /* 716 */ 'b', 'c', 'l', 'r', '.', 'b', 9, 0,
-  /* 724 */ 's', 'r', 'l', 'r', '.', 'b', 9, 0,
-  /* 732 */ 'b', 'i', 'n', 's', 'r', '.', 'b', 9, 0,
-  /* 741 */ 'i', 'l', 'v', 'r', '.', 'b', 9, 0,
-  /* 749 */ 'a', 's', 'u', 'b', '_', 's', '.', 'b', 9, 0,
-  /* 759 */ 'm', 'o', 'd', '_', 's', '.', 'b', 9, 0,
-  /* 768 */ 'c', 'l', 'e', '_', 's', '.', 'b', 9, 0,
-  /* 777 */ 'a', 'v', 'e', '_', 's', '.', 'b', 9, 0,
-  /* 786 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'b', 9, 0,
-  /* 796 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'b', 9, 0,
-  /* 806 */ 'c', 'l', 't', 'i', '_', 's', '.', 'b', 9, 0,
-  /* 816 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'b', 9, 0,
-  /* 826 */ 'm', 'i', 'n', '_', 's', '.', 'b', 9, 0,
-  /* 835 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'b', 9, 0,
-  /* 845 */ 's', 'u', 'b', 's', '_', 's', '.', 'b', 9, 0,
-  /* 855 */ 'a', 'd', 'd', 's', '_', 's', '.', 'b', 9, 0,
-  /* 865 */ 's', 'a', 't', '_', 's', '.', 'b', 9, 0,
-  /* 874 */ 'c', 'l', 't', '_', 's', '.', 'b', 9, 0,
-  /* 883 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'b', 9, 0,
-  /* 895 */ 'd', 'i', 'v', '_', 's', '.', 'b', 9, 0,
-  /* 904 */ 'm', 'a', 'x', '_', 's', '.', 'b', 9, 0,
-  /* 913 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'b', 9, 0,
-  /* 923 */ 's', 'p', 'l', 'a', 't', '.', 'b', 9, 0,
-  /* 932 */ 'b', 's', 'e', 't', '.', 'b', 9, 0,
-  /* 940 */ 'p', 'c', 'n', 't', '.', 'b', 9, 0,
-  /* 948 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'b', 9, 0,
-  /* 958 */ 's', 't', '.', 'b', 9, 0,
-  /* 964 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'b', 9, 0,
-  /* 974 */ 'm', 'o', 'd', '_', 'u', '.', 'b', 9, 0,
-  /* 983 */ 'c', 'l', 'e', '_', 'u', '.', 'b', 9, 0,
-  /* 992 */ 'a', 'v', 'e', '_', 'u', '.', 'b', 9, 0,
-  /* 1001 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'b', 9, 0,
-  /* 1011 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'b', 9, 0,
-  /* 1021 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'b', 9, 0,
-  /* 1031 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'b', 9, 0,
-  /* 1041 */ 'm', 'i', 'n', '_', 'u', '.', 'b', 9, 0,
-  /* 1050 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'b', 9, 0,
-  /* 1060 */ 's', 'u', 'b', 's', '_', 'u', '.', 'b', 9, 0,
-  /* 1070 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'b', 9, 0,
-  /* 1080 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'b', 9, 0,
-  /* 1092 */ 's', 'a', 't', '_', 'u', '.', 'b', 9, 0,
-  /* 1101 */ 'c', 'l', 't', '_', 'u', '.', 'b', 9, 0,
-  /* 1110 */ 'd', 'i', 'v', '_', 'u', '.', 'b', 9, 0,
-  /* 1119 */ 'm', 'a', 'x', '_', 'u', '.', 'b', 9, 0,
-  /* 1128 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'b', 9, 0,
-  /* 1138 */ 'm', 's', 'u', 'b', 'v', '.', 'b', 9, 0,
-  /* 1147 */ 'm', 'a', 'd', 'd', 'v', '.', 'b', 9, 0,
-  /* 1156 */ 'p', 'c', 'k', 'e', 'v', '.', 'b', 9, 0,
-  /* 1165 */ 'i', 'l', 'v', 'e', 'v', '.', 'b', 9, 0,
-  /* 1174 */ 'm', 'u', 'l', 'v', '.', 'b', 9, 0,
-  /* 1182 */ 'b', 'z', '.', 'b', 9, 0,
-  /* 1188 */ 'b', 'n', 'z', '.', 'b', 9, 0,
-  /* 1195 */ 's', 'e', 'b', 9, 0,
-  /* 1200 */ 'j', 'r', '.', 'h', 'b', 9, 0,
-  /* 1207 */ 'j', 'a', 'l', 'r', '.', 'h', 'b', 9, 0,
-  /* 1216 */ 'l', 'b', 9, 0,
-  /* 1220 */ 's', 'h', 'r', 'a', '.', 'q', 'b', 9, 0,
-  /* 1229 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
-  /* 1243 */ 'c', 'm', 'p', 'g', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
-  /* 1256 */ 'c', 'm', 'p', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
-  /* 1268 */ 's', 'u', 'b', 'u', 'h', '.', 'q', 'b', 9, 0,
-  /* 1278 */ 'a', 'd', 'd', 'u', 'h', '.', 'q', 'b', 9, 0,
-  /* 1288 */ 'p', 'i', 'c', 'k', '.', 'q', 'b', 9, 0,
-  /* 1297 */ 's', 'h', 'l', 'l', '.', 'q', 'b', 9, 0,
-  /* 1306 */ 'r', 'e', 'p', 'l', '.', 'q', 'b', 9, 0,
-  /* 1315 */ 's', 'h', 'r', 'l', '.', 'q', 'b', 9, 0,
-  /* 1324 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
-  /* 1338 */ 'c', 'm', 'p', 'g', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
-  /* 1351 */ 'c', 'm', 'p', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
-  /* 1363 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'q', 'b', 9, 0,
-  /* 1374 */ 's', 'u', 'b', 'u', 'h', '_', 'r', '.', 'q', 'b', 9, 0,
-  /* 1386 */ 'a', 'd', 'd', 'u', 'h', '_', 'r', '.', 'q', 'b', 9, 0,
-  /* 1398 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'q', 'b', 9, 0,
-  /* 1410 */ 'a', 'b', 's', 'q', '_', 's', '.', 'q', 'b', 9, 0,
-  /* 1421 */ 's', 'u', 'b', 'u', '_', 's', '.', 'q', 'b', 9, 0,
-  /* 1432 */ 'a', 'd', 'd', 'u', '_', 's', '.', 'q', 'b', 9, 0,
-  /* 1443 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
-  /* 1457 */ 'c', 'm', 'p', 'g', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
-  /* 1470 */ 'c', 'm', 'p', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
-  /* 1482 */ 's', 'u', 'b', 'u', '.', 'q', 'b', 9, 0,
-  /* 1491 */ 'a', 'd', 'd', 'u', '.', 'q', 'b', 9, 0,
-  /* 1500 */ 's', 'h', 'r', 'a', 'v', '.', 'q', 'b', 9, 0,
-  /* 1510 */ 's', 'h', 'l', 'l', 'v', '.', 'q', 'b', 9, 0,
-  /* 1520 */ 'r', 'e', 'p', 'l', 'v', '.', 'q', 'b', 9, 0,
-  /* 1530 */ 's', 'h', 'r', 'l', 'v', '.', 'q', 'b', 9, 0,
-  /* 1540 */ 'r', 'a', 'd', 'd', 'u', '.', 'w', '.', 'q', 'b', 9, 0,
-  /* 1552 */ 's', 'b', 9, 0,
-  /* 1556 */ 'm', 'o', 'd', 's', 'u', 'b', 9, 0,
-  /* 1564 */ 'm', 's', 'u', 'b', 9, 0,
-  /* 1570 */ 'b', 'c', 9, 0,
-  /* 1574 */ 'b', 'g', 'e', 'c', 9, 0,
-  /* 1580 */ 'b', 'n', 'e', 'c', 9, 0,
-  /* 1586 */ 'j', 'i', 'c', 9, 0,
-  /* 1591 */ 'b', 'a', 'l', 'c', 9, 0,
-  /* 1597 */ 'j', 'i', 'a', 'l', 'c', 9, 0,
-  /* 1604 */ 'b', 'g', 'e', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1613 */ 'b', 'l', 'e', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1622 */ 'b', 'n', 'e', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1631 */ 'b', 'e', 'q', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1640 */ 'b', 'g', 't', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1649 */ 'b', 'l', 't', 'z', 'a', 'l', 'c', 9, 0,
-  /* 1658 */ 'l', 'd', 'p', 'c', 9, 0,
-  /* 1664 */ 'a', 'u', 'i', 'p', 'c', 9, 0,
-  /* 1671 */ 'a', 'l', 'u', 'i', 'p', 'c', 9, 0,
-  /* 1679 */ 'a', 'd', 'd', 'i', 'u', 'p', 'c', 9, 0,
-  /* 1688 */ 'l', 'w', 'u', 'p', 'c', 9, 0,
-  /* 1695 */ 'l', 'w', 'p', 'c', 9, 0,
-  /* 1701 */ 'b', 'e', 'q', 'c', 9, 0,
-  /* 1707 */ 'a', 'd', 'd', 's', 'c', 9, 0,
-  /* 1714 */ 'b', 'l', 't', 'c', 9, 0,
-  /* 1720 */ 'b', 'g', 'e', 'u', 'c', 9, 0,
-  /* 1727 */ 'b', 'l', 't', 'u', 'c', 9, 0,
-  /* 1734 */ 'b', 'n', 'v', 'c', 9, 0,
-  /* 1740 */ 'b', 'o', 'v', 'c', 9, 0,
-  /* 1746 */ 'a', 'd', 'd', 'w', 'c', 9, 0,
-  /* 1753 */ 'b', 'g', 'e', 'z', 'c', 9, 0,
-  /* 1760 */ 'b', 'l', 'e', 'z', 'c', 9, 0,
-  /* 1767 */ 'b', 'n', 'e', 'z', 'c', 9, 0,
-  /* 1774 */ 'b', 'e', 'q', 'z', 'c', 9, 0,
-  /* 1781 */ 'b', 'g', 't', 'z', 'c', 9, 0,
-  /* 1788 */ 'b', 'l', 't', 'z', 'c', 9, 0,
-  /* 1795 */ 'f', 'l', 'o', 'g', '2', '.', 'd', 9, 0,
-  /* 1804 */ 'f', 'e', 'x', 'p', '2', '.', 'd', 9, 0,
-  /* 1813 */ 'a', 'd', 'd', '_', 'a', '.', 'd', 9, 0,
-  /* 1822 */ 'f', 'm', 'i', 'n', '_', 'a', '.', 'd', 9, 0,
-  /* 1832 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'd', 9, 0,
-  /* 1842 */ 'f', 'm', 'a', 'x', '_', 'a', '.', 'd', 9, 0,
-  /* 1852 */ 'm', 'i', 'n', 'a', '.', 'd', 9, 0,
-  /* 1860 */ 's', 'r', 'a', '.', 'd', 9, 0,
-  /* 1867 */ 'm', 'a', 'x', 'a', '.', 'd', 9, 0,
-  /* 1875 */ 'f', 's', 'u', 'b', '.', 'd', 9, 0,
-  /* 1883 */ 'f', 'm', 's', 'u', 'b', '.', 'd', 9, 0,
-  /* 1892 */ 'n', 'm', 's', 'u', 'b', '.', 'd', 9, 0,
-  /* 1901 */ 'n', 'l', 'o', 'c', '.', 'd', 9, 0,
-  /* 1909 */ 'n', 'l', 'z', 'c', '.', 'd', 9, 0,
-  /* 1917 */ 'f', 'a', 'd', 'd', '.', 'd', 9, 0,
-  /* 1925 */ 'f', 'm', 'a', 'd', 'd', '.', 'd', 9, 0,
-  /* 1934 */ 'n', 'm', 'a', 'd', 'd', '.', 'd', 9, 0,
-  /* 1943 */ 's', 'l', 'd', '.', 'd', 9, 0,
-  /* 1950 */ 'p', 'c', 'k', 'o', 'd', '.', 'd', 9, 0,
-  /* 1959 */ 'i', 'l', 'v', 'o', 'd', '.', 'd', 9, 0,
-  /* 1968 */ 'c', '.', 'n', 'g', 'e', '.', 'd', 9, 0,
-  /* 1977 */ 'c', '.', 'l', 'e', '.', 'd', 9, 0,
-  /* 1985 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 'd', 9, 0,
-  /* 1995 */ 'f', 'c', 'l', 'e', '.', 'd', 9, 0,
-  /* 2003 */ 'c', '.', 'n', 'g', 'l', 'e', '.', 'd', 9, 0,
-  /* 2013 */ 'c', '.', 'o', 'l', 'e', '.', 'd', 9, 0,
-  /* 2022 */ 'c', 'm', 'p', '.', 's', 'l', 'e', '.', 'd', 9, 0,
-  /* 2033 */ 'f', 's', 'l', 'e', '.', 'd', 9, 0,
-  /* 2041 */ 'c', '.', 'u', 'l', 'e', '.', 'd', 9, 0,
-  /* 2050 */ 'c', 'm', 'p', '.', 'u', 'l', 'e', '.', 'd', 9, 0,
-  /* 2061 */ 'f', 'c', 'u', 'l', 'e', '.', 'd', 9, 0,
-  /* 2070 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 'e', '.', 'd', 9, 0,
-  /* 2082 */ 'f', 's', 'u', 'l', 'e', '.', 'd', 9, 0,
-  /* 2091 */ 'f', 'c', 'n', 'e', '.', 'd', 9, 0,
-  /* 2099 */ 'f', 's', 'n', 'e', '.', 'd', 9, 0,
-  /* 2107 */ 'f', 'c', 'u', 'n', 'e', '.', 'd', 9, 0,
-  /* 2116 */ 'f', 's', 'u', 'n', 'e', '.', 'd', 9, 0,
-  /* 2125 */ 'i', 'n', 's', 'v', 'e', '.', 'd', 9, 0,
-  /* 2134 */ 'c', '.', 'f', '.', 'd', 9, 0,
-  /* 2141 */ 'c', 'm', 'p', '.', 'a', 'f', '.', 'd', 9, 0,
-  /* 2151 */ 'f', 'c', 'a', 'f', '.', 'd', 9, 0,
-  /* 2159 */ 'c', 'm', 'p', '.', 's', 'a', 'f', '.', 'd', 9, 0,
-  /* 2170 */ 'f', 's', 'a', 'f', '.', 'd', 9, 0,
-  /* 2178 */ 'm', 's', 'u', 'b', 'f', '.', 'd', 9, 0,
-  /* 2187 */ 'm', 'a', 'd', 'd', 'f', '.', 'd', 9, 0,
-  /* 2196 */ 'v', 's', 'h', 'f', '.', 'd', 9, 0,
-  /* 2204 */ 'c', '.', 's', 'f', '.', 'd', 9, 0,
-  /* 2212 */ 'm', 'o', 'v', 'f', '.', 'd', 9, 0,
-  /* 2220 */ 'b', 'n', 'e', 'g', '.', 'd', 9, 0,
-  /* 2228 */ 's', 'r', 'a', 'i', '.', 'd', 9, 0,
-  /* 2236 */ 's', 'l', 'd', 'i', '.', 'd', 9, 0,
-  /* 2244 */ 'b', 'n', 'e', 'g', 'i', '.', 'd', 9, 0,
-  /* 2253 */ 's', 'l', 'l', 'i', '.', 'd', 9, 0,
-  /* 2261 */ 's', 'r', 'l', 'i', '.', 'd', 9, 0,
-  /* 2269 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'd', 9, 0,
-  /* 2279 */ 'c', 'e', 'q', 'i', '.', 'd', 9, 0,
-  /* 2287 */ 's', 'r', 'a', 'r', 'i', '.', 'd', 9, 0,
-  /* 2296 */ 'b', 'c', 'l', 'r', 'i', '.', 'd', 9, 0,
-  /* 2305 */ 's', 'r', 'l', 'r', 'i', '.', 'd', 9, 0,
-  /* 2314 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'd', 9, 0,
-  /* 2324 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'd', 9, 0,
-  /* 2334 */ 'b', 's', 'e', 't', 'i', '.', 'd', 9, 0,
-  /* 2343 */ 's', 'u', 'b', 'v', 'i', '.', 'd', 9, 0,
-  /* 2352 */ 'a', 'd', 'd', 'v', 'i', '.', 'd', 9, 0,
-  /* 2361 */ 't', 'r', 'u', 'n', 'c', '.', 'l', '.', 'd', 9, 0,
-  /* 2372 */ 'r', 'o', 'u', 'n', 'd', '.', 'l', '.', 'd', 9, 0,
-  /* 2383 */ 'c', 'e', 'i', 'l', '.', 'l', '.', 'd', 9, 0,
-  /* 2393 */ 'f', 'l', 'o', 'o', 'r', '.', 'l', '.', 'd', 9, 0,
-  /* 2404 */ 'c', 'v', 't', '.', 'l', '.', 'd', 9, 0,
-  /* 2413 */ 's', 'e', 'l', '.', 'd', 9, 0,
-  /* 2420 */ 'c', '.', 'n', 'g', 'l', '.', 'd', 9, 0,
-  /* 2429 */ 'f', 'i', 'l', 'l', '.', 'd', 9, 0,
-  /* 2437 */ 's', 'l', 'l', '.', 'd', 9, 0,
-  /* 2444 */ 'f', 'e', 'x', 'u', 'p', 'l', '.', 'd', 9, 0,
-  /* 2454 */ 'f', 'f', 'q', 'l', '.', 'd', 9, 0,
-  /* 2462 */ 's', 'r', 'l', '.', 'd', 9, 0,
-  /* 2469 */ 'b', 'i', 'n', 's', 'l', '.', 'd', 9, 0,
-  /* 2478 */ 'f', 'm', 'u', 'l', '.', 'd', 9, 0,
-  /* 2486 */ 'i', 'l', 'v', 'l', '.', 'd', 9, 0,
-  /* 2494 */ 'f', 'm', 'i', 'n', '.', 'd', 9, 0,
-  /* 2502 */ 'c', '.', 'u', 'n', '.', 'd', 9, 0,
-  /* 2510 */ 'c', 'm', 'p', '.', 'u', 'n', '.', 'd', 9, 0,
-  /* 2520 */ 'f', 'c', 'u', 'n', '.', 'd', 9, 0,
-  /* 2528 */ 'c', 'm', 'p', '.', 's', 'u', 'n', '.', 'd', 9, 0,
-  /* 2539 */ 'f', 's', 'u', 'n', '.', 'd', 9, 0,
-  /* 2547 */ 'm', 'o', 'v', 'n', '.', 'd', 9, 0,
-  /* 2555 */ 'f', 'r', 'c', 'p', '.', 'd', 9, 0,
-  /* 2563 */ 'c', '.', 'e', 'q', '.', 'd', 9, 0,
-  /* 2571 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 'd', 9, 0,
-  /* 2581 */ 'f', 'c', 'e', 'q', '.', 'd', 9, 0,
-  /* 2589 */ 'c', '.', 's', 'e', 'q', '.', 'd', 9, 0,
-  /* 2598 */ 'c', 'm', 'p', '.', 's', 'e', 'q', '.', 'd', 9, 0,
-  /* 2609 */ 'f', 's', 'e', 'q', '.', 'd', 9, 0,
-  /* 2617 */ 'c', '.', 'u', 'e', 'q', '.', 'd', 9, 0,
-  /* 2626 */ 'c', 'm', 'p', '.', 'u', 'e', 'q', '.', 'd', 9, 0,
-  /* 2637 */ 'f', 'c', 'u', 'e', 'q', '.', 'd', 9, 0,
-  /* 2646 */ 'c', 'm', 'p', '.', 's', 'u', 'e', 'q', '.', 'd', 9, 0,
-  /* 2658 */ 'f', 's', 'u', 'e', 'q', '.', 'd', 9, 0,
-  /* 2667 */ 's', 'r', 'a', 'r', '.', 'd', 9, 0,
-  /* 2675 */ 'b', 'c', 'l', 'r', '.', 'd', 9, 0,
-  /* 2683 */ 's', 'r', 'l', 'r', '.', 'd', 9, 0,
-  /* 2691 */ 'f', 'c', 'o', 'r', '.', 'd', 9, 0,
-  /* 2699 */ 'f', 's', 'o', 'r', '.', 'd', 9, 0,
-  /* 2707 */ 'f', 'e', 'x', 'u', 'p', 'r', '.', 'd', 9, 0,
-  /* 2717 */ 'f', 'f', 'q', 'r', '.', 'd', 9, 0,
-  /* 2725 */ 'b', 'i', 'n', 's', 'r', '.', 'd', 9, 0,
-  /* 2734 */ 'i', 'l', 'v', 'r', '.', 'd', 9, 0,
-  /* 2742 */ 'c', 'v', 't', '.', 's', '.', 'd', 9, 0,
-  /* 2751 */ 'a', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
-  /* 2761 */ 'h', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
-  /* 2771 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
-  /* 2782 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 's', '.', 'd', 9, 0,
-  /* 2794 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'd', 9, 0,
-  /* 2804 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'd', 9, 0,
-  /* 2815 */ 'm', 'o', 'd', '_', 's', '.', 'd', 9, 0,
-  /* 2824 */ 'c', 'l', 'e', '_', 's', '.', 'd', 9, 0,
-  /* 2833 */ 'a', 'v', 'e', '_', 's', '.', 'd', 9, 0,
-  /* 2842 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'd', 9, 0,
-  /* 2852 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'd', 9, 0,
-  /* 2862 */ 'c', 'l', 't', 'i', '_', 's', '.', 'd', 9, 0,
-  /* 2872 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'd', 9, 0,
-  /* 2882 */ 'm', 'i', 'n', '_', 's', '.', 'd', 9, 0,
-  /* 2891 */ 'd', 'o', 't', 'p', '_', 's', '.', 'd', 9, 0,
-  /* 2901 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'd', 9, 0,
-  /* 2911 */ 's', 'u', 'b', 's', '_', 's', '.', 'd', 9, 0,
-  /* 2921 */ 'a', 'd', 'd', 's', '_', 's', '.', 'd', 9, 0,
-  /* 2931 */ 's', 'a', 't', '_', 's', '.', 'd', 9, 0,
-  /* 2940 */ 'c', 'l', 't', '_', 's', '.', 'd', 9, 0,
-  /* 2949 */ 'f', 'f', 'i', 'n', 't', '_', 's', '.', 'd', 9, 0,
-  /* 2960 */ 'f', 't', 'i', 'n', 't', '_', 's', '.', 'd', 9, 0,
-  /* 2971 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'd', 9, 0,
-  /* 2983 */ 'd', 'i', 'v', '_', 's', '.', 'd', 9, 0,
-  /* 2992 */ 'm', 'a', 'x', '_', 's', '.', 'd', 9, 0,
-  /* 3001 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'd', 9, 0,
-  /* 3011 */ 'a', 'b', 's', '.', 'd', 9, 0,
-  /* 3018 */ 'f', 'c', 'l', 'a', 's', 's', '.', 'd', 9, 0,
-  /* 3028 */ 's', 'p', 'l', 'a', 't', '.', 'd', 9, 0,
-  /* 3037 */ 'b', 's', 'e', 't', '.', 'd', 9, 0,
-  /* 3045 */ 'c', '.', 'n', 'g', 't', '.', 'd', 9, 0,
-  /* 3054 */ 'c', '.', 'l', 't', '.', 'd', 9, 0,
-  /* 3062 */ 'c', 'm', 'p', '.', 'l', 't', '.', 'd', 9, 0,
-  /* 3072 */ 'f', 'c', 'l', 't', '.', 'd', 9, 0,
-  /* 3080 */ 'c', '.', 'o', 'l', 't', '.', 'd', 9, 0,
-  /* 3089 */ 'c', 'm', 'p', '.', 's', 'l', 't', '.', 'd', 9, 0,
-  /* 3100 */ 'f', 's', 'l', 't', '.', 'd', 9, 0,
-  /* 3108 */ 'c', '.', 'u', 'l', 't', '.', 'd', 9, 0,
-  /* 3117 */ 'c', 'm', 'p', '.', 'u', 'l', 't', '.', 'd', 9, 0,
-  /* 3128 */ 'f', 'c', 'u', 'l', 't', '.', 'd', 9, 0,
-  /* 3137 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 't', '.', 'd', 9, 0,
-  /* 3149 */ 'f', 's', 'u', 'l', 't', '.', 'd', 9, 0,
-  /* 3158 */ 'p', 'c', 'n', 't', '.', 'd', 9, 0,
-  /* 3166 */ 'f', 'r', 'i', 'n', 't', '.', 'd', 9, 0,
-  /* 3175 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'd', 9, 0,
-  /* 3185 */ 'f', 's', 'q', 'r', 't', '.', 'd', 9, 0,
-  /* 3194 */ 'f', 'r', 's', 'q', 'r', 't', '.', 'd', 9, 0,
-  /* 3204 */ 's', 't', '.', 'd', 9, 0,
-  /* 3210 */ 'm', 'o', 'v', 't', '.', 'd', 9, 0,
-  /* 3218 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
-  /* 3228 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
-  /* 3238 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
-  /* 3249 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 'u', '.', 'd', 9, 0,
-  /* 3261 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'd', 9, 0,
-  /* 3271 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'd', 9, 0,
-  /* 3282 */ 'm', 'o', 'd', '_', 'u', '.', 'd', 9, 0,
-  /* 3291 */ 'c', 'l', 'e', '_', 'u', '.', 'd', 9, 0,
-  /* 3300 */ 'a', 'v', 'e', '_', 'u', '.', 'd', 9, 0,
-  /* 3309 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'd', 9, 0,
-  /* 3319 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'd', 9, 0,
-  /* 3329 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'd', 9, 0,
-  /* 3339 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'd', 9, 0,
-  /* 3349 */ 'm', 'i', 'n', '_', 'u', '.', 'd', 9, 0,
-  /* 3358 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'd', 9, 0,
-  /* 3368 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'd', 9, 0,
-  /* 3378 */ 's', 'u', 'b', 's', '_', 'u', '.', 'd', 9, 0,
-  /* 3388 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'd', 9, 0,
-  /* 3398 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'd', 9, 0,
-  /* 3410 */ 's', 'a', 't', '_', 'u', '.', 'd', 9, 0,
-  /* 3419 */ 'c', 'l', 't', '_', 'u', '.', 'd', 9, 0,
-  /* 3428 */ 'f', 'f', 'i', 'n', 't', '_', 'u', '.', 'd', 9, 0,
-  /* 3439 */ 'f', 't', 'i', 'n', 't', '_', 'u', '.', 'd', 9, 0,
-  /* 3450 */ 'd', 'i', 'v', '_', 'u', '.', 'd', 9, 0,
-  /* 3459 */ 'm', 'a', 'x', '_', 'u', '.', 'd', 9, 0,
-  /* 3468 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'd', 9, 0,
-  /* 3478 */ 'm', 's', 'u', 'b', 'v', '.', 'd', 9, 0,
-  /* 3487 */ 'm', 'a', 'd', 'd', 'v', '.', 'd', 9, 0,
-  /* 3496 */ 'p', 'c', 'k', 'e', 'v', '.', 'd', 9, 0,
-  /* 3505 */ 'i', 'l', 'v', 'e', 'v', '.', 'd', 9, 0,
-  /* 3514 */ 'f', 'd', 'i', 'v', '.', 'd', 9, 0,
-  /* 3522 */ 'm', 'u', 'l', 'v', '.', 'd', 9, 0,
-  /* 3530 */ 'm', 'o', 'v', '.', 'd', 9, 0,
-  /* 3537 */ 't', 'r', 'u', 'n', 'c', '.', 'w', '.', 'd', 9, 0,
-  /* 3548 */ 'r', 'o', 'u', 'n', 'd', '.', 'w', '.', 'd', 9, 0,
-  /* 3559 */ 'c', 'e', 'i', 'l', '.', 'w', '.', 'd', 9, 0,
-  /* 3569 */ 'f', 'l', 'o', 'o', 'r', '.', 'w', '.', 'd', 9, 0,
-  /* 3580 */ 'c', 'v', 't', '.', 'w', '.', 'd', 9, 0,
-  /* 3589 */ 'f', 'm', 'a', 'x', '.', 'd', 9, 0,
-  /* 3597 */ 'b', 'z', '.', 'd', 9, 0,
-  /* 3603 */ 's', 'e', 'l', 'n', 'e', 'z', '.', 'd', 9, 0,
-  /* 3613 */ 'b', 'n', 'z', '.', 'd', 9, 0,
-  /* 3620 */ 's', 'e', 'l', 'e', 'q', 'z', '.', 'd', 9, 0,
-  /* 3630 */ 'm', 'o', 'v', 'z', '.', 'd', 9, 0,
-  /* 3638 */ 's', 'c', 'd', 9, 0,
-  /* 3643 */ 'd', 'a', 'd', 'd', 9, 0,
-  /* 3649 */ 'm', 'a', 'd', 'd', 9, 0,
-  /* 3655 */ 'd', 's', 'h', 'd', 9, 0,
-  /* 3661 */ 'l', 'l', 'd', 9, 0,
-  /* 3666 */ 'a', 'n', 'd', 9, 0,
-  /* 3671 */ 'p', 'r', 'e', 'p', 'e', 'n', 'd', 9, 0,
-  /* 3680 */ 'a', 'p', 'p', 'e', 'n', 'd', 9, 0,
-  /* 3688 */ 'd', 'm', 'o', 'd', 9, 0,
-  /* 3694 */ 's', 'd', 9, 0,
-  /* 3698 */ 't', 'g', 'e', 9, 0,
-  /* 3703 */ 'c', 'a', 'c', 'h', 'e', 9, 0,
-  /* 3710 */ 'b', 'n', 'e', 9, 0,
-  /* 3715 */ 's', 'n', 'e', 9, 0,
-  /* 3720 */ 't', 'n', 'e', 9, 0,
-  /* 3725 */ 'm', 'o', 'v', 'e', 9, 0,
-  /* 3731 */ 'b', 'c', '0', 'f', 9, 0,
-  /* 3737 */ 'b', 'c', '1', 'f', 9, 0,
-  /* 3743 */ 'b', 'c', '2', 'f', 9, 0,
-  /* 3749 */ 'b', 'c', '3', 'f', 9, 0,
-  /* 3755 */ 'p', 'r', 'e', 'f', 9, 0,
-  /* 3761 */ 'm', 'o', 'v', 'f', 9, 0,
-  /* 3767 */ 'n', 'e', 'g', 9, 0,
-  /* 3772 */ 'a', 'd', 'd', '_', 'a', '.', 'h', 9, 0,
-  /* 3781 */ 'm', 'i', 'n', '_', 'a', '.', 'h', 9, 0,
-  /* 3790 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'h', 9, 0,
-  /* 3800 */ 'm', 'a', 'x', '_', 'a', '.', 'h', 9, 0,
-  /* 3809 */ 's', 'r', 'a', '.', 'h', 9, 0,
-  /* 3816 */ 'n', 'l', 'o', 'c', '.', 'h', 9, 0,
-  /* 3824 */ 'n', 'l', 'z', 'c', '.', 'h', 9, 0,
-  /* 3832 */ 's', 'l', 'd', '.', 'h', 9, 0,
-  /* 3839 */ 'p', 'c', 'k', 'o', 'd', '.', 'h', 9, 0,
-  /* 3848 */ 'i', 'l', 'v', 'o', 'd', '.', 'h', 9, 0,
-  /* 3857 */ 'i', 'n', 's', 'v', 'e', '.', 'h', 9, 0,
-  /* 3866 */ 'v', 's', 'h', 'f', '.', 'h', 9, 0,
-  /* 3874 */ 'b', 'n', 'e', 'g', '.', 'h', 9, 0,
-  /* 3882 */ 's', 'r', 'a', 'i', '.', 'h', 9, 0,
-  /* 3890 */ 's', 'l', 'd', 'i', '.', 'h', 9, 0,
-  /* 3898 */ 'b', 'n', 'e', 'g', 'i', '.', 'h', 9, 0,
-  /* 3907 */ 's', 'l', 'l', 'i', '.', 'h', 9, 0,
-  /* 3915 */ 's', 'r', 'l', 'i', '.', 'h', 9, 0,
-  /* 3923 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'h', 9, 0,
-  /* 3933 */ 'c', 'e', 'q', 'i', '.', 'h', 9, 0,
-  /* 3941 */ 's', 'r', 'a', 'r', 'i', '.', 'h', 9, 0,
-  /* 3950 */ 'b', 'c', 'l', 'r', 'i', '.', 'h', 9, 0,
-  /* 3959 */ 's', 'r', 'l', 'r', 'i', '.', 'h', 9, 0,
-  /* 3968 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'h', 9, 0,
-  /* 3978 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'h', 9, 0,
-  /* 3988 */ 'b', 's', 'e', 't', 'i', '.', 'h', 9, 0,
-  /* 3997 */ 's', 'u', 'b', 'v', 'i', '.', 'h', 9, 0,
-  /* 4006 */ 'a', 'd', 'd', 'v', 'i', '.', 'h', 9, 0,
-  /* 4015 */ 'f', 'i', 'l', 'l', '.', 'h', 9, 0,
-  /* 4023 */ 's', 'l', 'l', '.', 'h', 9, 0,
-  /* 4030 */ 's', 'r', 'l', '.', 'h', 9, 0,
-  /* 4037 */ 'b', 'i', 'n', 's', 'l', '.', 'h', 9, 0,
-  /* 4046 */ 'i', 'l', 'v', 'l', '.', 'h', 9, 0,
-  /* 4054 */ 'f', 'e', 'x', 'd', 'o', '.', 'h', 9, 0,
-  /* 4063 */ 'm', 's', 'u', 'b', '_', 'q', '.', 'h', 9, 0,
-  /* 4073 */ 'm', 'a', 'd', 'd', '_', 'q', '.', 'h', 9, 0,
-  /* 4083 */ 'm', 'u', 'l', '_', 'q', '.', 'h', 9, 0,
-  /* 4092 */ 'm', 's', 'u', 'b', 'r', '_', 'q', '.', 'h', 9, 0,
-  /* 4103 */ 'm', 'a', 'd', 'd', 'r', '_', 'q', '.', 'h', 9, 0,
-  /* 4114 */ 'm', 'u', 'l', 'r', '_', 'q', '.', 'h', 9, 0,
-  /* 4124 */ 'c', 'e', 'q', '.', 'h', 9, 0,
-  /* 4131 */ 'f', 't', 'q', '.', 'h', 9, 0,
-  /* 4138 */ 's', 'r', 'a', 'r', '.', 'h', 9, 0,
-  /* 4146 */ 'b', 'c', 'l', 'r', '.', 'h', 9, 0,
-  /* 4154 */ 's', 'r', 'l', 'r', '.', 'h', 9, 0,
-  /* 4162 */ 'b', 'i', 'n', 's', 'r', '.', 'h', 9, 0,
-  /* 4171 */ 'i', 'l', 'v', 'r', '.', 'h', 9, 0,
-  /* 4179 */ 'a', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
-  /* 4189 */ 'h', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
-  /* 4199 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
-  /* 4210 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'h', 9, 0,
-  /* 4220 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'h', 9, 0,
-  /* 4231 */ 'm', 'o', 'd', '_', 's', '.', 'h', 9, 0,
-  /* 4240 */ 'c', 'l', 'e', '_', 's', '.', 'h', 9, 0,
-  /* 4249 */ 'a', 'v', 'e', '_', 's', '.', 'h', 9, 0,
-  /* 4258 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'h', 9, 0,
-  /* 4268 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'h', 9, 0,
-  /* 4278 */ 'c', 'l', 't', 'i', '_', 's', '.', 'h', 9, 0,
-  /* 4288 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'h', 9, 0,
-  /* 4298 */ 'm', 'i', 'n', '_', 's', '.', 'h', 9, 0,
-  /* 4307 */ 'd', 'o', 't', 'p', '_', 's', '.', 'h', 9, 0,
-  /* 4317 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'h', 9, 0,
-  /* 4327 */ 'e', 'x', 't', 'r', '_', 's', '.', 'h', 9, 0,
-  /* 4337 */ 's', 'u', 'b', 's', '_', 's', '.', 'h', 9, 0,
-  /* 4347 */ 'a', 'd', 'd', 's', '_', 's', '.', 'h', 9, 0,
-  /* 4357 */ 's', 'a', 't', '_', 's', '.', 'h', 9, 0,
-  /* 4366 */ 'c', 'l', 't', '_', 's', '.', 'h', 9, 0,
-  /* 4375 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'h', 9, 0,
-  /* 4387 */ 'd', 'i', 'v', '_', 's', '.', 'h', 9, 0,
-  /* 4396 */ 'e', 'x', 't', 'r', 'v', '_', 's', '.', 'h', 9, 0,
-  /* 4407 */ 'm', 'a', 'x', '_', 's', '.', 'h', 9, 0,
-  /* 4416 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'h', 9, 0,
-  /* 4426 */ 's', 'p', 'l', 'a', 't', '.', 'h', 9, 0,
-  /* 4435 */ 'b', 's', 'e', 't', '.', 'h', 9, 0,
-  /* 4443 */ 'p', 'c', 'n', 't', '.', 'h', 9, 0,
-  /* 4451 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'h', 9, 0,
-  /* 4461 */ 's', 't', '.', 'h', 9, 0,
-  /* 4467 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
-  /* 4477 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
-  /* 4487 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
-  /* 4498 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'h', 9, 0,
-  /* 4508 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'h', 9, 0,
-  /* 4519 */ 'm', 'o', 'd', '_', 'u', '.', 'h', 9, 0,
-  /* 4528 */ 'c', 'l', 'e', '_', 'u', '.', 'h', 9, 0,
-  /* 4537 */ 'a', 'v', 'e', '_', 'u', '.', 'h', 9, 0,
-  /* 4546 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'h', 9, 0,
-  /* 4556 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'h', 9, 0,
-  /* 4566 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'h', 9, 0,
-  /* 4576 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'h', 9, 0,
-  /* 4586 */ 'm', 'i', 'n', '_', 'u', '.', 'h', 9, 0,
-  /* 4595 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'h', 9, 0,
-  /* 4605 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'h', 9, 0,
-  /* 4615 */ 's', 'u', 'b', 's', '_', 'u', '.', 'h', 9, 0,
-  /* 4625 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'h', 9, 0,
-  /* 4635 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'h', 9, 0,
-  /* 4647 */ 's', 'a', 't', '_', 'u', '.', 'h', 9, 0,
-  /* 4656 */ 'c', 'l', 't', '_', 'u', '.', 'h', 9, 0,
-  /* 4665 */ 'd', 'i', 'v', '_', 'u', '.', 'h', 9, 0,
-  /* 4674 */ 'm', 'a', 'x', '_', 'u', '.', 'h', 9, 0,
-  /* 4683 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'h', 9, 0,
-  /* 4693 */ 'm', 's', 'u', 'b', 'v', '.', 'h', 9, 0,
-  /* 4702 */ 'm', 'a', 'd', 'd', 'v', '.', 'h', 9, 0,
-  /* 4711 */ 'p', 'c', 'k', 'e', 'v', '.', 'h', 9, 0,
-  /* 4720 */ 'i', 'l', 'v', 'e', 'v', '.', 'h', 9, 0,
-  /* 4729 */ 'm', 'u', 'l', 'v', '.', 'h', 9, 0,
-  /* 4737 */ 'b', 'z', '.', 'h', 9, 0,
-  /* 4743 */ 'b', 'n', 'z', '.', 'h', 9, 0,
-  /* 4750 */ 'd', 's', 'b', 'h', 9, 0,
-  /* 4756 */ 'w', 's', 'b', 'h', 9, 0,
-  /* 4762 */ 's', 'e', 'h', 9, 0,
-  /* 4767 */ 'l', 'h', 9, 0,
-  /* 4771 */ 's', 'h', 'r', 'a', '.', 'p', 'h', 9, 0,
-  /* 4780 */ 'p', 'r', 'e', 'c', 'r', 'q', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
-  /* 4794 */ 'p', 'r', 'e', 'c', 'r', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
-  /* 4807 */ 'p', 'r', 'e', 'c', 'r', 'q', 'u', '_', 's', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
-  /* 4824 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 'p', 'h', 9, 0,
-  /* 4835 */ 's', 'u', 'b', 'q', 'h', '.', 'p', 'h', 9, 0,
-  /* 4845 */ 'a', 'd', 'd', 'q', 'h', '.', 'p', 'h', 9, 0,
-  /* 4855 */ 'p', 'i', 'c', 'k', '.', 'p', 'h', 9, 0,
-  /* 4864 */ 's', 'h', 'l', 'l', '.', 'p', 'h', 9, 0,
-  /* 4873 */ 'r', 'e', 'p', 'l', '.', 'p', 'h', 9, 0,
-  /* 4882 */ 's', 'h', 'r', 'l', '.', 'p', 'h', 9, 0,
-  /* 4891 */ 'p', 'a', 'c', 'k', 'r', 'l', '.', 'p', 'h', 9, 0,
-  /* 4902 */ 'm', 'u', 'l', '.', 'p', 'h', 9, 0,
-  /* 4910 */ 's', 'u', 'b', 'q', '.', 'p', 'h', 9, 0,
-  /* 4919 */ 'a', 'd', 'd', 'q', '.', 'p', 'h', 9, 0,
-  /* 4928 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 'p', 'h', 9, 0,
-  /* 4939 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'p', 'h', 9, 0,
-  /* 4950 */ 's', 'u', 'b', 'q', 'h', '_', 'r', '.', 'p', 'h', 9, 0,
-  /* 4962 */ 'a', 'd', 'd', 'q', 'h', '_', 'r', '.', 'p', 'h', 9, 0,
-  /* 4974 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'p', 'h', 9, 0,
-  /* 4986 */ 's', 'h', 'l', 'l', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 4997 */ 'm', 'u', 'l', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5007 */ 's', 'u', 'b', 'q', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5018 */ 'a', 'd', 'd', 'q', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5029 */ 'm', 'u', 'l', 'q', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5040 */ 'a', 'b', 's', 'q', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5051 */ 's', 'u', 'b', 'u', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5062 */ 'a', 'd', 'd', 'u', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5073 */ 's', 'h', 'l', 'l', 'v', '_', 's', '.', 'p', 'h', 9, 0,
-  /* 5085 */ 'm', 'u', 'l', 'q', '_', 'r', 's', '.', 'p', 'h', 9, 0,
-  /* 5097 */ 'c', 'm', 'p', '.', 'l', 't', '.', 'p', 'h', 9, 0,
-  /* 5108 */ 's', 'u', 'b', 'u', '.', 'p', 'h', 9, 0,
-  /* 5117 */ 'a', 'd', 'd', 'u', '.', 'p', 'h', 9, 0,
-  /* 5126 */ 's', 'h', 'r', 'a', 'v', '.', 'p', 'h', 9, 0,
-  /* 5136 */ 's', 'h', 'l', 'l', 'v', '.', 'p', 'h', 9, 0,
-  /* 5146 */ 'r', 'e', 'p', 'l', 'v', '.', 'p', 'h', 9, 0,
-  /* 5156 */ 's', 'h', 'r', 'l', 'v', '.', 'p', 'h', 9, 0,
-  /* 5166 */ 'd', 'p', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5176 */ 'd', 'p', 'a', 'q', 'x', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5191 */ 'd', 'p', 's', 'q', 'x', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5206 */ 'm', 'u', 'l', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5218 */ 'd', 'p', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5231 */ 'm', 'u', 'l', 's', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5246 */ 'd', 'p', 's', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5259 */ 'd', 'p', 'a', 'q', 'x', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5273 */ 'd', 'p', 's', 'q', 'x', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5287 */ 'd', 'p', 's', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5297 */ 'd', 'p', 'a', 'x', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5308 */ 'd', 'p', 's', 'x', '.', 'w', '.', 'p', 'h', 9, 0,
-  /* 5319 */ 's', 'h', 9, 0,
-  /* 5323 */ 'd', 'm', 'u', 'h', 9, 0,
-  /* 5329 */ 'd', 'a', 'd', 'd', 'i', 9, 0,
-  /* 5336 */ 'a', 'n', 'd', 'i', 9, 0,
-  /* 5342 */ 't', 'g', 'e', 'i', 9, 0,
-  /* 5348 */ 's', 'n', 'e', 'i', 9, 0,
-  /* 5354 */ 't', 'n', 'e', 'i', 9, 0,
-  /* 5360 */ 'd', 'a', 'h', 'i', 9, 0,
-  /* 5366 */ 'm', 'f', 'h', 'i', 9, 0,
-  /* 5372 */ 'm', 't', 'h', 'i', 9, 0,
-  /* 5378 */ '.', 'a', 'l', 'i', 'g', 'n', 32, '2', 10, 9, 'l', 'i', 9, 0,
-  /* 5392 */ 'd', 'l', 'i', 9, 0,
-  /* 5397 */ 'c', 'm', 'p', 'i', 9, 0,
-  /* 5403 */ 's', 'e', 'q', 'i', 9, 0,
-  /* 5409 */ 't', 'e', 'q', 'i', 9, 0,
-  /* 5415 */ 'x', 'o', 'r', 'i', 9, 0,
-  /* 5421 */ 'd', 'a', 't', 'i', 9, 0,
-  /* 5427 */ 's', 'l', 't', 'i', 9, 0,
-  /* 5433 */ 't', 'l', 't', 'i', 9, 0,
-  /* 5439 */ 'd', 'a', 'u', 'i', 9, 0,
-  /* 5445 */ 'l', 'u', 'i', 9, 0,
-  /* 5450 */ 'j', 9, 0,
-  /* 5453 */ 'b', 'r', 'e', 'a', 'k', 9, 0,
-  /* 5460 */ 'c', 'v', 't', '.', 'd', '.', 'l', 9, 0,
-  /* 5469 */ 'c', 'v', 't', '.', 's', '.', 'l', 9, 0,
-  /* 5478 */ 'b', 'a', 'l', 9, 0,
-  /* 5483 */ 'j', 'a', 'l', 9, 0,
-  /* 5488 */ 'b', 'g', 'e', 'z', 'a', 'l', 9, 0,
-  /* 5496 */ 'b', 'l', 't', 'z', 'a', 'l', 9, 0,
-  /* 5504 */ 'd', 'p', 'a', 'u', '.', 'h', '.', 'q', 'b', 'l', 9, 0,
-  /* 5516 */ 'd', 'p', 's', 'u', '.', 'h', '.', 'q', 'b', 'l', 9, 0,
-  /* 5528 */ 'm', 'u', 'l', 'e', 'u', '_', 's', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
-  /* 5544 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
-  /* 5559 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
-  /* 5575 */ 'l', 'd', 'l', 9, 0,
-  /* 5580 */ 's', 'd', 'l', 9, 0,
-  /* 5585 */ 'b', 'n', 'e', 'l', 9, 0,
-  /* 5591 */ 'b', 'c', '0', 'f', 'l', 9, 0,
-  /* 5598 */ 'b', 'c', '1', 'f', 'l', 9, 0,
-  /* 5605 */ 'b', 'c', '2', 'f', 'l', 9, 0,
-  /* 5612 */ 'b', 'c', '3', 'f', 'l', 9, 0,
-  /* 5619 */ 'm', 'a', 'q', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
-  /* 5633 */ 'p', 'r', 'e', 'c', 'e', 'q', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
-  /* 5647 */ 'm', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
-  /* 5660 */ 'm', 'u', 'l', 'e', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
-  /* 5675 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 9, 0,
-  /* 5684 */ 'b', 'g', 'e', 'z', 'a', 'l', 'l', 9, 0,
-  /* 5693 */ 'b', 'l', 't', 'z', 'a', 'l', 'l', 9, 0,
-  /* 5702 */ 'd', 's', 'l', 'l', 9, 0,
-  /* 5708 */ 'b', 'e', 'q', 'l', 9, 0,
-  /* 5714 */ 'd', 's', 'r', 'l', 9, 0,
-  /* 5720 */ 'b', 'c', '0', 't', 'l', 9, 0,
-  /* 5727 */ 'b', 'c', '1', 't', 'l', 9, 0,
-  /* 5734 */ 'b', 'c', '2', 't', 'l', 9, 0,
-  /* 5741 */ 'b', 'c', '3', 't', 'l', 9, 0,
-  /* 5748 */ 'd', 'm', 'u', 'l', 9, 0,
-  /* 5754 */ 'l', 'w', 'l', 9, 0,
-  /* 5759 */ 's', 'w', 'l', 9, 0,
-  /* 5764 */ 'b', 'g', 'e', 'z', 'l', 9, 0,
-  /* 5771 */ 'b', 'l', 'e', 'z', 'l', 9, 0,
-  /* 5778 */ 'b', 'g', 't', 'z', 'l', 9, 0,
-  /* 5785 */ 'b', 'l', 't', 'z', 'l', 9, 0,
-  /* 5792 */ 'b', 'a', 'l', 'i', 'g', 'n', 9, 0,
-  /* 5800 */ 'd', 'a', 'l', 'i', 'g', 'n', 9, 0,
-  /* 5808 */ 'm', 'o', 'v', 'n', 9, 0,
-  /* 5814 */ 'd', 'c', 'l', 'o', 9, 0,
-  /* 5820 */ 'm', 'f', 'l', 'o', 9, 0,
-  /* 5826 */ 's', 'h', 'i', 'l', 'o', 9, 0,
-  /* 5833 */ 'm', 't', 'l', 'o', 9, 0,
-  /* 5839 */ 'd', 'b', 'i', 't', 's', 'w', 'a', 'p', 9, 0,
-  /* 5849 */ 's', 'd', 'b', 'b', 'p', 9, 0,
-  /* 5856 */ 'e', 'x', 't', 'p', 'd', 'p', 9, 0,
-  /* 5864 */ 'm', 't', 'h', 'l', 'i', 'p', 9, 0,
-  /* 5872 */ 'c', 'm', 'p', 9, 0,
-  /* 5877 */ 'd', 'p', 'o', 'p', 9, 0,
-  /* 5883 */ 'l', 'o', 'a', 'd', '_', 'c', 'c', 'o', 'n', 'd', '_', 'd', 's', 'p', 9, 0,
-  /* 5899 */ 's', 't', 'o', 'r', 'e', '_', 'c', 'c', 'o', 'n', 'd', '_', 'd', 's', 'p', 9, 0,
-  /* 5916 */ 'r', 'd', 'd', 's', 'p', 9, 0,
-  /* 5923 */ 'w', 'r', 'd', 's', 'p', 9, 0,
-  /* 5930 */ 'j', 'r', 'a', 'd', 'd', 'i', 'u', 's', 'p', 9, 0,
-  /* 5941 */ 'e', 'x', 't', 'p', 9, 0,
-  /* 5947 */ 'b', 'e', 'q', 9, 0,
-  /* 5952 */ 's', 'e', 'q', 9, 0,
-  /* 5957 */ 't', 'e', 'q', 9, 0,
-  /* 5962 */ 'd', 'p', 'a', 'u', '.', 'h', '.', 'q', 'b', 'r', 9, 0,
-  /* 5974 */ 'd', 'p', 's', 'u', '.', 'h', '.', 'q', 'b', 'r', 9, 0,
-  /* 5986 */ 'm', 'u', 'l', 'e', 'u', '_', 's', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
-  /* 6002 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
-  /* 6017 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
-  /* 6033 */ 'l', 'd', 'r', 9, 0,
-  /* 6038 */ 's', 'd', 'r', 9, 0,
-  /* 6043 */ 'm', 'a', 'q', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
-  /* 6057 */ 'p', 'r', 'e', 'c', 'e', 'q', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
-  /* 6071 */ 'm', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
-  /* 6084 */ 'm', 'u', 'l', 'e', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
-  /* 6099 */ 'j', 'r', 9, 0,
-  /* 6103 */ 'j', 'a', 'l', 'r', 9, 0,
-  /* 6109 */ 'n', 'o', 'r', 9, 0,
-  /* 6114 */ 'x', 'o', 'r', 9, 0,
-  /* 6119 */ 'd', 'r', 'o', 't', 'r', 9, 0,
-  /* 6126 */ 'r', 'd', 'h', 'w', 'r', 9, 0,
-  /* 6133 */ 'l', 'w', 'r', 9, 0,
-  /* 6138 */ 's', 'w', 'r', 9, 0,
-  /* 6143 */ 'm', 'i', 'n', 'a', '.', 's', 9, 0,
-  /* 6151 */ 'm', 'a', 'x', 'a', '.', 's', 9, 0,
-  /* 6159 */ 'n', 'm', 's', 'u', 'b', '.', 's', 9, 0,
-  /* 6168 */ 'c', 'v', 't', '.', 'd', '.', 's', 9, 0,
-  /* 6177 */ 'n', 'm', 'a', 'd', 'd', '.', 's', 9, 0,
-  /* 6186 */ 'c', '.', 'n', 'g', 'e', '.', 's', 9, 0,
-  /* 6195 */ 'c', '.', 'l', 'e', '.', 's', 9, 0,
-  /* 6203 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 's', 9, 0,
-  /* 6213 */ 'c', '.', 'n', 'g', 'l', 'e', '.', 's', 9, 0,
-  /* 6223 */ 'c', '.', 'o', 'l', 'e', '.', 's', 9, 0,
-  /* 6232 */ 'c', 'm', 'p', '.', 's', 'l', 'e', '.', 's', 9, 0,
-  /* 6243 */ 'c', '.', 'u', 'l', 'e', '.', 's', 9, 0,
-  /* 6252 */ 'c', 'm', 'p', '.', 'u', 'l', 'e', '.', 's', 9, 0,
-  /* 6263 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 'e', '.', 's', 9, 0,
-  /* 6275 */ 'c', '.', 'f', '.', 's', 9, 0,
-  /* 6282 */ 'c', 'm', 'p', '.', 'a', 'f', '.', 's', 9, 0,
-  /* 6292 */ 'c', 'm', 'p', '.', 's', 'a', 'f', '.', 's', 9, 0,
-  /* 6303 */ 'm', 's', 'u', 'b', 'f', '.', 's', 9, 0,
-  /* 6312 */ 'm', 'a', 'd', 'd', 'f', '.', 's', 9, 0,
-  /* 6321 */ 'c', '.', 's', 'f', '.', 's', 9, 0,
-  /* 6329 */ 'm', 'o', 'v', 'f', '.', 's', 9, 0,
-  /* 6337 */ 'n', 'e', 'g', '.', 's', 9, 0,
-  /* 6344 */ 't', 'r', 'u', 'n', 'c', '.', 'l', '.', 's', 9, 0,
-  /* 6355 */ 'r', 'o', 'u', 'n', 'd', '.', 'l', '.', 's', 9, 0,
-  /* 6366 */ 'c', 'e', 'i', 'l', '.', 'l', '.', 's', 9, 0,
-  /* 6376 */ 'f', 'l', 'o', 'o', 'r', '.', 'l', '.', 's', 9, 0,
-  /* 6387 */ 'c', 'v', 't', '.', 'l', '.', 's', 9, 0,
-  /* 6396 */ 's', 'e', 'l', '.', 's', 9, 0,
-  /* 6403 */ 'c', '.', 'n', 'g', 'l', '.', 's', 9, 0,
-  /* 6412 */ 'm', 'u', 'l', '.', 's', 9, 0,
-  /* 6419 */ 'm', 'i', 'n', '.', 's', 9, 0,
-  /* 6426 */ 'c', '.', 'u', 'n', '.', 's', 9, 0,
-  /* 6434 */ 'c', 'm', 'p', '.', 'u', 'n', '.', 's', 9, 0,
-  /* 6444 */ 'c', 'm', 'p', '.', 's', 'u', 'n', '.', 's', 9, 0,
-  /* 6455 */ 'm', 'o', 'v', 'n', '.', 's', 9, 0,
-  /* 6463 */ 'c', '.', 'e', 'q', '.', 's', 9, 0,
-  /* 6471 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 's', 9, 0,
-  /* 6481 */ 'c', '.', 's', 'e', 'q', '.', 's', 9, 0,
-  /* 6490 */ 'c', 'm', 'p', '.', 's', 'e', 'q', '.', 's', 9, 0,
-  /* 6501 */ 'c', '.', 'u', 'e', 'q', '.', 's', 9, 0,
-  /* 6510 */ 'c', 'm', 'p', '.', 'u', 'e', 'q', '.', 's', 9, 0,
-  /* 6521 */ 'c', 'm', 'p', '.', 's', 'u', 'e', 'q', '.', 's', 9, 0,
-  /* 6533 */ 'a', 'b', 's', '.', 's', 9, 0,
-  /* 6540 */ 'c', 'l', 'a', 's', 's', '.', 's', 9, 0,
-  /* 6549 */ 'c', '.', 'n', 'g', 't', '.', 's', 9, 0,
-  /* 6558 */ 'c', '.', 'l', 't', '.', 's', 9, 0,
-  /* 6566 */ 'c', 'm', 'p', '.', 'l', 't', '.', 's', 9, 0,
-  /* 6576 */ 'c', '.', 'o', 'l', 't', '.', 's', 9, 0,
-  /* 6585 */ 'c', 'm', 'p', '.', 's', 'l', 't', '.', 's', 9, 0,
-  /* 6596 */ 'c', '.', 'u', 'l', 't', '.', 's', 9, 0,
-  /* 6605 */ 'c', 'm', 'p', '.', 'u', 'l', 't', '.', 's', 9, 0,
-  /* 6616 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 't', '.', 's', 9, 0,
-  /* 6628 */ 'r', 'i', 'n', 't', '.', 's', 9, 0,
-  /* 6636 */ 's', 'q', 'r', 't', '.', 's', 9, 0,
-  /* 6644 */ 'm', 'o', 'v', 't', '.', 's', 9, 0,
-  /* 6652 */ 'd', 'i', 'v', '.', 's', 9, 0,
-  /* 6659 */ 'm', 'o', 'v', '.', 's', 9, 0,
-  /* 6666 */ 't', 'r', 'u', 'n', 'c', '.', 'w', '.', 's', 9, 0,
-  /* 6677 */ 'r', 'o', 'u', 'n', 'd', '.', 'w', '.', 's', 9, 0,
-  /* 6688 */ 'c', 'e', 'i', 'l', '.', 'w', '.', 's', 9, 0,
-  /* 6698 */ 'f', 'l', 'o', 'o', 'r', '.', 'w', '.', 's', 9, 0,
-  /* 6709 */ 'c', 'v', 't', '.', 'w', '.', 's', 9, 0,
-  /* 6718 */ 'm', 'a', 'x', '.', 's', 9, 0,
-  /* 6725 */ 's', 'e', 'l', 'n', 'e', 'z', '.', 's', 9, 0,
-  /* 6735 */ 's', 'e', 'l', 'e', 'q', 'z', '.', 's', 9, 0,
-  /* 6745 */ 'm', 'o', 'v', 'z', '.', 's', 9, 0,
-  /* 6753 */ 'j', 'a', 'l', 's', 9, 0,
-  /* 6759 */ 'b', 'g', 'e', 'z', 'a', 'l', 's', 9, 0,
-  /* 6768 */ 'b', 'l', 't', 'z', 'a', 'l', 's', 9, 0,
-  /* 6777 */ 'j', 'a', 'l', 'r', 's', 9, 0,
-  /* 6784 */ 'b', 'c', '0', 't', 9, 0,
-  /* 6790 */ 'b', 'c', '1', 't', 9, 0,
-  /* 6796 */ 'b', 'c', '2', 't', 9, 0,
-  /* 6802 */ 'b', 'c', '3', 't', 9, 0,
-  /* 6808 */ 'w', 'a', 'i', 't', 9, 0,
-  /* 6814 */ 's', 'l', 't', 9, 0,
-  /* 6819 */ 't', 'l', 't', 9, 0,
-  /* 6824 */ 'd', 'm', 'u', 'l', 't', 9, 0,
-  /* 6831 */ 'n', 'o', 't', 9, 0,
-  /* 6836 */ 'm', 'o', 'v', 't', 9, 0,
-  /* 6842 */ 'l', 'b', 'u', 9, 0,
-  /* 6847 */ 'd', 's', 'u', 'b', 'u', 9, 0,
-  /* 6854 */ 'm', 's', 'u', 'b', 'u', 9, 0,
-  /* 6861 */ 'b', 'a', 'd', 'd', 'u', 9, 0,
-  /* 6868 */ 'd', 'a', 'd', 'd', 'u', 9, 0,
-  /* 6875 */ 'm', 'a', 'd', 'd', 'u', 9, 0,
-  /* 6882 */ 'd', 'm', 'o', 'd', 'u', 9, 0,
-  /* 6889 */ 't', 'g', 'e', 'u', 9, 0,
-  /* 6895 */ 'l', 'h', 'u', 9, 0,
-  /* 6900 */ 'd', 'm', 'u', 'h', 'u', 9, 0,
-  /* 6907 */ 'd', 'a', 'd', 'd', 'i', 'u', 9, 0,
-  /* 6915 */ 't', 'g', 'e', 'i', 'u', 9, 0,
-  /* 6922 */ 's', 'l', 't', 'i', 'u', 9, 0,
-  /* 6929 */ 't', 'l', 't', 'i', 'u', 9, 0,
-  /* 6936 */ 'v', '3', 'm', 'u', 'l', 'u', 9, 0,
-  /* 6944 */ 'd', 'm', 'u', 'l', 'u', 9, 0,
-  /* 6951 */ 'v', 'm', 'u', 'l', 'u', 9, 0,
-  /* 6958 */ 's', 'l', 't', 'u', 9, 0,
-  /* 6964 */ 't', 'l', 't', 'u', 9, 0,
-  /* 6970 */ 'd', 'm', 'u', 'l', 't', 'u', 9, 0,
-  /* 6978 */ 'd', 'd', 'i', 'v', 'u', 9, 0,
-  /* 6985 */ 'l', 'w', 'u', 9, 0,
-  /* 6990 */ 'a', 'n', 'd', '.', 'v', 9, 0,
-  /* 6997 */ 'm', 'o', 'v', 'e', '.', 'v', 9, 0,
-  /* 7005 */ 'b', 's', 'e', 'l', '.', 'v', 9, 0,
-  /* 7013 */ 'n', 'o', 'r', '.', 'v', 9, 0,
-  /* 7020 */ 'x', 'o', 'r', '.', 'v', 9, 0,
-  /* 7027 */ 'b', 'z', '.', 'v', 9, 0,
-  /* 7033 */ 'b', 'm', 'z', '.', 'v', 9, 0,
-  /* 7040 */ 'b', 'n', 'z', '.', 'v', 9, 0,
-  /* 7047 */ 'b', 'm', 'n', 'z', '.', 'v', 9, 0,
-  /* 7055 */ 'd', 's', 'r', 'a', 'v', 9, 0,
-  /* 7062 */ 'b', 'i', 't', 'r', 'e', 'v', 9, 0,
-  /* 7070 */ 'd', 'd', 'i', 'v', 9, 0,
-  /* 7076 */ 'd', 's', 'l', 'l', 'v', 9, 0,
-  /* 7083 */ 'd', 's', 'r', 'l', 'v', 9, 0,
-  /* 7090 */ 's', 'h', 'i', 'l', 'o', 'v', 9, 0,
-  /* 7098 */ 'e', 'x', 't', 'p', 'd', 'p', 'v', 9, 0,
-  /* 7107 */ 'e', 'x', 't', 'p', 'v', 9, 0,
-  /* 7114 */ 'd', 'r', 'o', 't', 'r', 'v', 9, 0,
-  /* 7122 */ 'i', 'n', 's', 'v', 9, 0,
-  /* 7128 */ 'f', 'l', 'o', 'g', '2', '.', 'w', 9, 0,
-  /* 7137 */ 'f', 'e', 'x', 'p', '2', '.', 'w', 9, 0,
-  /* 7146 */ 'a', 'd', 'd', '_', 'a', '.', 'w', 9, 0,
-  /* 7155 */ 'f', 'm', 'i', 'n', '_', 'a', '.', 'w', 9, 0,
-  /* 7165 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'w', 9, 0,
-  /* 7175 */ 'f', 'm', 'a', 'x', '_', 'a', '.', 'w', 9, 0,
-  /* 7185 */ 's', 'r', 'a', '.', 'w', 9, 0,
-  /* 7192 */ 'f', 's', 'u', 'b', '.', 'w', 9, 0,
-  /* 7200 */ 'f', 'm', 's', 'u', 'b', '.', 'w', 9, 0,
-  /* 7209 */ 'n', 'l', 'o', 'c', '.', 'w', 9, 0,
-  /* 7217 */ 'n', 'l', 'z', 'c', '.', 'w', 9, 0,
-  /* 7225 */ 'c', 'v', 't', '.', 'd', '.', 'w', 9, 0,
-  /* 7234 */ 'f', 'a', 'd', 'd', '.', 'w', 9, 0,
-  /* 7242 */ 'f', 'm', 'a', 'd', 'd', '.', 'w', 9, 0,
-  /* 7251 */ 's', 'l', 'd', '.', 'w', 9, 0,
-  /* 7258 */ 'p', 'c', 'k', 'o', 'd', '.', 'w', 9, 0,
-  /* 7267 */ 'i', 'l', 'v', 'o', 'd', '.', 'w', 9, 0,
-  /* 7276 */ 'f', 'c', 'l', 'e', '.', 'w', 9, 0,
-  /* 7284 */ 'f', 's', 'l', 'e', '.', 'w', 9, 0,
-  /* 7292 */ 'f', 'c', 'u', 'l', 'e', '.', 'w', 9, 0,
-  /* 7301 */ 'f', 's', 'u', 'l', 'e', '.', 'w', 9, 0,
-  /* 7310 */ 'f', 'c', 'n', 'e', '.', 'w', 9, 0,
-  /* 7318 */ 'f', 's', 'n', 'e', '.', 'w', 9, 0,
-  /* 7326 */ 'f', 'c', 'u', 'n', 'e', '.', 'w', 9, 0,
-  /* 7335 */ 'f', 's', 'u', 'n', 'e', '.', 'w', 9, 0,
-  /* 7344 */ 'i', 'n', 's', 'v', 'e', '.', 'w', 9, 0,
-  /* 7353 */ 'f', 'c', 'a', 'f', '.', 'w', 9, 0,
-  /* 7361 */ 'f', 's', 'a', 'f', '.', 'w', 9, 0,
-  /* 7369 */ 'v', 's', 'h', 'f', '.', 'w', 9, 0,
-  /* 7377 */ 'b', 'n', 'e', 'g', '.', 'w', 9, 0,
-  /* 7385 */ 'p', 'r', 'e', 'c', 'r', '_', 's', 'r', 'a', '.', 'p', 'h', '.', 'w', 9, 0,
-  /* 7401 */ 'p', 'r', 'e', 'c', 'r', 'q', '.', 'p', 'h', '.', 'w', 9, 0,
-  /* 7414 */ 'p', 'r', 'e', 'c', 'r', '_', 's', 'r', 'a', '_', 'r', '.', 'p', 'h', '.', 'w', 9, 0,
-  /* 7432 */ 'p', 'r', 'e', 'c', 'r', 'q', '_', 'r', 's', '.', 'p', 'h', '.', 'w', 9, 0,
-  /* 7448 */ 's', 'u', 'b', 'q', 'h', '.', 'w', 9, 0,
-  /* 7457 */ 'a', 'd', 'd', 'q', 'h', '.', 'w', 9, 0,
-  /* 7466 */ 's', 'r', 'a', 'i', '.', 'w', 9, 0,
-  /* 7474 */ 's', 'l', 'd', 'i', '.', 'w', 9, 0,
-  /* 7482 */ 'b', 'n', 'e', 'g', 'i', '.', 'w', 9, 0,
-  /* 7491 */ 's', 'l', 'l', 'i', '.', 'w', 9, 0,
-  /* 7499 */ 's', 'r', 'l', 'i', '.', 'w', 9, 0,
-  /* 7507 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'w', 9, 0,
-  /* 7517 */ 'c', 'e', 'q', 'i', '.', 'w', 9, 0,
-  /* 7525 */ 's', 'r', 'a', 'r', 'i', '.', 'w', 9, 0,
-  /* 7534 */ 'b', 'c', 'l', 'r', 'i', '.', 'w', 9, 0,
-  /* 7543 */ 's', 'r', 'l', 'r', 'i', '.', 'w', 9, 0,
-  /* 7552 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'w', 9, 0,
-  /* 7562 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'w', 9, 0,
-  /* 7572 */ 'b', 's', 'e', 't', 'i', '.', 'w', 9, 0,
-  /* 7581 */ 's', 'u', 'b', 'v', 'i', '.', 'w', 9, 0,
-  /* 7590 */ 'a', 'd', 'd', 'v', 'i', '.', 'w', 9, 0,
-  /* 7599 */ 'd', 'p', 'a', 'q', '_', 's', 'a', '.', 'l', '.', 'w', 9, 0,
-  /* 7612 */ 'd', 'p', 's', 'q', '_', 's', 'a', '.', 'l', '.', 'w', 9, 0,
-  /* 7625 */ 'f', 'i', 'l', 'l', '.', 'w', 9, 0,
-  /* 7633 */ 's', 'l', 'l', '.', 'w', 9, 0,
-  /* 7640 */ 'f', 'e', 'x', 'u', 'p', 'l', '.', 'w', 9, 0,
-  /* 7650 */ 'f', 'f', 'q', 'l', '.', 'w', 9, 0,
-  /* 7658 */ 's', 'r', 'l', '.', 'w', 9, 0,
-  /* 7665 */ 'b', 'i', 'n', 's', 'l', '.', 'w', 9, 0,
-  /* 7674 */ 'f', 'm', 'u', 'l', '.', 'w', 9, 0,
-  /* 7682 */ 'i', 'l', 'v', 'l', '.', 'w', 9, 0,
-  /* 7690 */ 'f', 'm', 'i', 'n', '.', 'w', 9, 0,
-  /* 7698 */ 'f', 'c', 'u', 'n', '.', 'w', 9, 0,
-  /* 7706 */ 'f', 's', 'u', 'n', '.', 'w', 9, 0,
-  /* 7714 */ 'f', 'e', 'x', 'd', 'o', '.', 'w', 9, 0,
-  /* 7723 */ 'f', 'r', 'c', 'p', '.', 'w', 9, 0,
-  /* 7731 */ 'm', 's', 'u', 'b', '_', 'q', '.', 'w', 9, 0,
-  /* 7741 */ 'm', 'a', 'd', 'd', '_', 'q', '.', 'w', 9, 0,
-  /* 7751 */ 'm', 'u', 'l', '_', 'q', '.', 'w', 9, 0,
-  /* 7760 */ 'm', 's', 'u', 'b', 'r', '_', 'q', '.', 'w', 9, 0,
-  /* 7771 */ 'm', 'a', 'd', 'd', 'r', '_', 'q', '.', 'w', 9, 0,
-  /* 7782 */ 'm', 'u', 'l', 'r', '_', 'q', '.', 'w', 9, 0,
-  /* 7792 */ 'f', 'c', 'e', 'q', '.', 'w', 9, 0,
-  /* 7800 */ 'f', 's', 'e', 'q', '.', 'w', 9, 0,
-  /* 7808 */ 'f', 'c', 'u', 'e', 'q', '.', 'w', 9, 0,
-  /* 7817 */ 'f', 's', 'u', 'e', 'q', '.', 'w', 9, 0,
-  /* 7826 */ 'f', 't', 'q', '.', 'w', 9, 0,
-  /* 7833 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'w', 9, 0,
-  /* 7843 */ 's', 'u', 'b', 'q', 'h', '_', 'r', '.', 'w', 9, 0,
-  /* 7854 */ 'a', 'd', 'd', 'q', 'h', '_', 'r', '.', 'w', 9, 0,
-  /* 7865 */ 'e', 'x', 't', 'r', '_', 'r', '.', 'w', 9, 0,
-  /* 7875 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'w', 9, 0,
-  /* 7886 */ 'e', 'x', 't', 'r', 'v', '_', 'r', '.', 'w', 9, 0,
-  /* 7897 */ 's', 'r', 'a', 'r', '.', 'w', 9, 0,
-  /* 7905 */ 'b', 'c', 'l', 'r', '.', 'w', 9, 0,
-  /* 7913 */ 's', 'r', 'l', 'r', '.', 'w', 9, 0,
-  /* 7921 */ 'f', 'c', 'o', 'r', '.', 'w', 9, 0,
-  /* 7929 */ 'f', 's', 'o', 'r', '.', 'w', 9, 0,
-  /* 7937 */ 'f', 'e', 'x', 'u', 'p', 'r', '.', 'w', 9, 0,
-  /* 7947 */ 'f', 'f', 'q', 'r', '.', 'w', 9, 0,
-  /* 7955 */ 'b', 'i', 'n', 's', 'r', '.', 'w', 9, 0,
-  /* 7964 */ 'e', 'x', 't', 'r', '.', 'w', 9, 0,
-  /* 7972 */ 'i', 'l', 'v', 'r', '.', 'w', 9, 0,
-  /* 7980 */ 'c', 'v', 't', '.', 's', '.', 'w', 9, 0,
-  /* 7989 */ 'a', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
-  /* 7999 */ 'h', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
-  /* 8009 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
-  /* 8020 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 's', '.', 'w', 9, 0,
-  /* 8032 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'w', 9, 0,
-  /* 8042 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'w', 9, 0,
-  /* 8053 */ 'm', 'o', 'd', '_', 's', '.', 'w', 9, 0,
-  /* 8062 */ 'c', 'l', 'e', '_', 's', '.', 'w', 9, 0,
-  /* 8071 */ 'a', 'v', 'e', '_', 's', '.', 'w', 9, 0,
-  /* 8080 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'w', 9, 0,
-  /* 8090 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'w', 9, 0,
-  /* 8100 */ 'c', 'l', 't', 'i', '_', 's', '.', 'w', 9, 0,
-  /* 8110 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'w', 9, 0,
-  /* 8120 */ 's', 'h', 'l', 'l', '_', 's', '.', 'w', 9, 0,
-  /* 8130 */ 'm', 'i', 'n', '_', 's', '.', 'w', 9, 0,
-  /* 8139 */ 'd', 'o', 't', 'p', '_', 's', '.', 'w', 9, 0,
-  /* 8149 */ 's', 'u', 'b', 'q', '_', 's', '.', 'w', 9, 0,
-  /* 8159 */ 'a', 'd', 'd', 'q', '_', 's', '.', 'w', 9, 0,
-  /* 8169 */ 'm', 'u', 'l', 'q', '_', 's', '.', 'w', 9, 0,
-  /* 8179 */ 'a', 'b', 's', 'q', '_', 's', '.', 'w', 9, 0,
-  /* 8189 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'w', 9, 0,
-  /* 8199 */ 's', 'u', 'b', 's', '_', 's', '.', 'w', 9, 0,
-  /* 8209 */ 'a', 'd', 'd', 's', '_', 's', '.', 'w', 9, 0,
-  /* 8219 */ 's', 'a', 't', '_', 's', '.', 'w', 9, 0,
-  /* 8228 */ 'c', 'l', 't', '_', 's', '.', 'w', 9, 0,
-  /* 8237 */ 'f', 'f', 'i', 'n', 't', '_', 's', '.', 'w', 9, 0,
-  /* 8248 */ 'f', 't', 'i', 'n', 't', '_', 's', '.', 'w', 9, 0,
-  /* 8259 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'w', 9, 0,
-  /* 8271 */ 'd', 'i', 'v', '_', 's', '.', 'w', 9, 0,
-  /* 8280 */ 's', 'h', 'l', 'l', 'v', '_', 's', '.', 'w', 9, 0,
-  /* 8291 */ 'm', 'a', 'x', '_', 's', '.', 'w', 9, 0,
-  /* 8300 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'w', 9, 0,
-  /* 8310 */ 'm', 'u', 'l', 'q', '_', 'r', 's', '.', 'w', 9, 0,
-  /* 8321 */ 'e', 'x', 't', 'r', '_', 'r', 's', '.', 'w', 9, 0,
-  /* 8332 */ 'e', 'x', 't', 'r', 'v', '_', 'r', 's', '.', 'w', 9, 0,
-  /* 8344 */ 'f', 'c', 'l', 'a', 's', 's', '.', 'w', 9, 0,
-  /* 8354 */ 's', 'p', 'l', 'a', 't', '.', 'w', 9, 0,
-  /* 8363 */ 'b', 's', 'e', 't', '.', 'w', 9, 0,
-  /* 8371 */ 'f', 'c', 'l', 't', '.', 'w', 9, 0,
-  /* 8379 */ 'f', 's', 'l', 't', '.', 'w', 9, 0,
-  /* 8387 */ 'f', 'c', 'u', 'l', 't', '.', 'w', 9, 0,
-  /* 8396 */ 'f', 's', 'u', 'l', 't', '.', 'w', 9, 0,
-  /* 8405 */ 'p', 'c', 'n', 't', '.', 'w', 9, 0,
-  /* 8413 */ 'f', 'r', 'i', 'n', 't', '.', 'w', 9, 0,
-  /* 8422 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'w', 9, 0,
-  /* 8432 */ 'f', 's', 'q', 'r', 't', '.', 'w', 9, 0,
-  /* 8441 */ 'f', 'r', 's', 'q', 'r', 't', '.', 'w', 9, 0,
-  /* 8451 */ 's', 't', '.', 'w', 9, 0,
-  /* 8457 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
-  /* 8467 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
-  /* 8477 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
-  /* 8488 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 'u', '.', 'w', 9, 0,
-  /* 8500 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'w', 9, 0,
-  /* 8510 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'w', 9, 0,
-  /* 8521 */ 'm', 'o', 'd', '_', 'u', '.', 'w', 9, 0,
-  /* 8530 */ 'c', 'l', 'e', '_', 'u', '.', 'w', 9, 0,
-  /* 8539 */ 'a', 'v', 'e', '_', 'u', '.', 'w', 9, 0,
-  /* 8548 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'w', 9, 0,
-  /* 8558 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'w', 9, 0,
-  /* 8568 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'w', 9, 0,
-  /* 8578 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'w', 9, 0,
-  /* 8588 */ 'm', 'i', 'n', '_', 'u', '.', 'w', 9, 0,
-  /* 8597 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'w', 9, 0,
-  /* 8607 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'w', 9, 0,
-  /* 8617 */ 's', 'u', 'b', 's', '_', 'u', '.', 'w', 9, 0,
-  /* 8627 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'w', 9, 0,
-  /* 8637 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'w', 9, 0,
-  /* 8649 */ 's', 'a', 't', '_', 'u', '.', 'w', 9, 0,
-  /* 8658 */ 'c', 'l', 't', '_', 'u', '.', 'w', 9, 0,
-  /* 8667 */ 'f', 'f', 'i', 'n', 't', '_', 'u', '.', 'w', 9, 0,
-  /* 8678 */ 'f', 't', 'i', 'n', 't', '_', 'u', '.', 'w', 9, 0,
-  /* 8689 */ 'd', 'i', 'v', '_', 'u', '.', 'w', 9, 0,
-  /* 8698 */ 'm', 'a', 'x', '_', 'u', '.', 'w', 9, 0,
-  /* 8707 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'w', 9, 0,
-  /* 8717 */ 'm', 's', 'u', 'b', 'v', '.', 'w', 9, 0,
-  /* 8726 */ 'm', 'a', 'd', 'd', 'v', '.', 'w', 9, 0,
-  /* 8735 */ 'p', 'c', 'k', 'e', 'v', '.', 'w', 9, 0,
-  /* 8744 */ 'i', 'l', 'v', 'e', 'v', '.', 'w', 9, 0,
-  /* 8753 */ 'f', 'd', 'i', 'v', '.', 'w', 9, 0,
-  /* 8761 */ 'm', 'u', 'l', 'v', '.', 'w', 9, 0,
-  /* 8769 */ 'e', 'x', 't', 'r', 'v', '.', 'w', 9, 0,
-  /* 8778 */ 'f', 'm', 'a', 'x', '.', 'w', 9, 0,
-  /* 8786 */ 'b', 'z', '.', 'w', 9, 0,
-  /* 8792 */ 'b', 'n', 'z', '.', 'w', 9, 0,
-  /* 8799 */ 'l', 'w', 9, 0,
-  /* 8803 */ 's', 'w', 9, 0,
-  /* 8807 */ 'l', 'h', 'x', 9, 0,
-  /* 8812 */ 'j', 'a', 'l', 'x', 9, 0,
-  /* 8818 */ 'l', 'b', 'u', 'x', 9, 0,
-  /* 8824 */ 'l', 'w', 'x', 9, 0,
-  /* 8829 */ 'b', 'g', 'e', 'z', 9, 0,
-  /* 8835 */ 'b', 'l', 'e', 'z', 9, 0,
-  /* 8841 */ 'b', 'n', 'e', 'z', 9, 0,
-  /* 8847 */ 's', 'e', 'l', 'n', 'e', 'z', 9, 0,
-  /* 8855 */ 'b', 't', 'n', 'e', 'z', 9, 0,
-  /* 8862 */ 'd', 'c', 'l', 'z', 9, 0,
-  /* 8868 */ 'b', 'e', 'q', 'z', 9, 0,
-  /* 8874 */ 's', 'e', 'l', 'e', 'q', 'z', 9, 0,
-  /* 8882 */ 'b', 't', 'e', 'q', 'z', 9, 0,
-  /* 8889 */ 'b', 'g', 't', 'z', 9, 0,
-  /* 8895 */ 'b', 'l', 't', 'z', 9, 0,
-  /* 8901 */ 'm', 'o', 'v', 'z', 9, 0,
-  /* 8907 */ 's', 'e', 'b', 9, 32, 0,
-  /* 8913 */ 'j', 'r', 'c', 9, 32, 0,
-  /* 8919 */ 's', 'e', 'h', 9, 32, 0,
-  /* 8925 */ 'd', 'd', 'i', 'v', 'u', 9, '$', 'z', 'e', 'r', 'o', ',', 32, 0,
-  /* 8939 */ 'd', 'd', 'i', 'v', 9, '$', 'z', 'e', 'r', 'o', ',', 32, 0,
-  /* 8952 */ 'a', 'd', 'd', 'i', 'u', 9, '$', 's', 'p', ',', 32, 0,
-  /* 8964 */ 'c', 'i', 'n', 's', '3', '2', 32, 0,
-  /* 8972 */ 'e', 'x', 't', 's', '3', '2', 32, 0,
-  /* 8980 */ 's', 'y', 'n', 'c', 32, 0,
-  /* 8986 */ 9, '.', 'w', 'o', 'r', 'd', 32, 0,
-  /* 8994 */ 'd', 'i', 'n', 's', 'm', 32, 0,
-  /* 9001 */ 'd', 'e', 'x', 't', 'm', 32, 0,
-  /* 9008 */ 'c', 'i', 'n', 's', 32, 0,
-  /* 9014 */ 'd', 'i', 'n', 's', 32, 0,
-  /* 9020 */ 'e', 'x', 't', 's', 32, 0,
-  /* 9026 */ 'd', 'e', 'x', 't', 32, 0,
-  /* 9032 */ 'd', 'i', 'n', 's', 'u', 32, 0,
-  /* 9039 */ 'd', 'e', 'x', 't', 'u', 32, 0,
-  /* 9046 */ 'b', 'c', '1', 'n', 'e', 'z', 32, 0,
-  /* 9054 */ 'b', 'c', '2', 'n', 'e', 'z', 32, 0,
-  /* 9062 */ 'b', 'c', '1', 'e', 'q', 'z', 32, 0,
-  /* 9070 */ 'b', 'c', '2', 'e', 'q', 'z', 32, 0,
-  /* 9078 */ 'c', '.', 0,
-  /* 9081 */ 'b', 'r', 'e', 'a', 'k', 32, '0', 0,
-  /* 9089 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 9102 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 9109 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 9119 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 9134 */ 'j', 'r', 'c', 9, 32, '$', 'r', 'a', 0,
-  /* 9143 */ 'j', 'r', 9, 32, '$', 'r', 'a', 0,
-  /* 9151 */ 'e', 'h', 'b', 0,
-  /* 9155 */ 'p', 'a', 'u', 's', 'e', 0,
-  /* 9161 */ 't', 'l', 'b', 'w', 'i', 0,
-  /* 9167 */ 'f', 'o', 'o', 0,
-  /* 9171 */ 't', 'l', 'b', 'p', 0,
-  /* 9176 */ 's', 's', 'n', 'o', 'p', 0,
-  /* 9182 */ 't', 'l', 'b', 'r', 0,
-  /* 9187 */ 't', 'l', 'b', 'w', 'r', 0,
-  /* 9193 */ 'd', 'e', 'r', 'e', 't', 0,
-  /* 9199 */ 'w', 'a', 'i', 't', 0,
+  /* 40 */ 'b', 'b', 'i', 't', '0', 9, 0,
+  /* 47 */ 'l', 'd', 'c', '1', 9, 0,
+  /* 53 */ 's', 'd', 'c', '1', 9, 0,
+  /* 59 */ 'c', 'f', 'c', '1', 9, 0,
+  /* 65 */ 'd', 'm', 'f', 'c', '1', 9, 0,
+  /* 72 */ 'm', 'f', 'h', 'c', '1', 9, 0,
+  /* 79 */ 'm', 't', 'h', 'c', '1', 9, 0,
+  /* 86 */ 'c', 't', 'c', '1', 9, 0,
+  /* 92 */ 'd', 'm', 't', 'c', '1', 9, 0,
+  /* 99 */ 'l', 'w', 'c', '1', 9, 0,
+  /* 105 */ 's', 'w', 'c', '1', 9, 0,
+  /* 111 */ 'l', 'd', 'x', 'c', '1', 9, 0,
+  /* 118 */ 's', 'd', 'x', 'c', '1', 9, 0,
+  /* 125 */ 'l', 'u', 'x', 'c', '1', 9, 0,
+  /* 132 */ 's', 'u', 'x', 'c', '1', 9, 0,
+  /* 139 */ 'l', 'w', 'x', 'c', '1', 9, 0,
+  /* 146 */ 's', 'w', 'x', 'c', '1', 9, 0,
+  /* 153 */ 'm', 't', 'm', '1', 9, 0,
+  /* 159 */ 'm', 't', 'p', '1', 9, 0,
+  /* 165 */ 'b', 'b', 'i', 't', '1', 9, 0,
+  /* 172 */ 'b', 'b', 'i', 't', '0', '3', '2', 9, 0,
+  /* 181 */ 'b', 'b', 'i', 't', '1', '3', '2', 9, 0,
+  /* 190 */ 'd', 's', 'r', 'a', '3', '2', 9, 0,
+  /* 198 */ 'b', 'p', 'o', 's', 'g', 'e', '3', '2', 9, 0,
+  /* 208 */ 'd', 's', 'l', 'l', '3', '2', 9, 0,
+  /* 216 */ 'd', 's', 'r', 'l', '3', '2', 9, 0,
+  /* 224 */ 'l', 'w', 'm', '3', '2', 9, 0,
+  /* 231 */ 's', 'w', 'm', '3', '2', 9, 0,
+  /* 238 */ 'd', 'r', 'o', 't', 'r', '3', '2', 9, 0,
+  /* 247 */ 'l', 'd', 'c', '2', 9, 0,
+  /* 253 */ 's', 'd', 'c', '2', 9, 0,
+  /* 259 */ 'd', 'm', 'f', 'c', '2', 9, 0,
+  /* 266 */ 'd', 'm', 't', 'c', '2', 9, 0,
+  /* 273 */ 'l', 'w', 'c', '2', 9, 0,
+  /* 279 */ 's', 'w', 'c', '2', 9, 0,
+  /* 285 */ 'm', 't', 'm', '2', 9, 0,
+  /* 291 */ 'm', 't', 'p', '2', 9, 0,
+  /* 297 */ 'a', 'd', 'd', 'i', 'u', 'r', '2', 9, 0,
+  /* 306 */ 'l', 'd', 'c', '3', 9, 0,
+  /* 312 */ 's', 'd', 'c', '3', 9, 0,
+  /* 318 */ 'l', 'w', 'c', '3', 9, 0,
+  /* 324 */ 's', 'w', 'c', '3', 9, 0,
+  /* 330 */ 'a', 'd', 'd', 'i', 'u', 's', '5', 9, 0,
+  /* 339 */ 's', 'b', '1', '6', 9, 0,
+  /* 345 */ 'a', 'n', 'd', '1', '6', 9, 0,
+  /* 352 */ 's', 'h', '1', '6', 9, 0,
+  /* 358 */ 'a', 'n', 'd', 'i', '1', '6', 9, 0,
+  /* 366 */ 'l', 'i', '1', '6', 9, 0,
+  /* 372 */ 'b', 'r', 'e', 'a', 'k', '1', '6', 9, 0,
+  /* 381 */ 's', 'l', 'l', '1', '6', 9, 0,
+  /* 388 */ 's', 'r', 'l', '1', '6', 9, 0,
+  /* 395 */ 'l', 'w', 'm', '1', '6', 9, 0,
+  /* 402 */ 's', 'w', 'm', '1', '6', 9, 0,
+  /* 409 */ 's', 'd', 'b', 'b', 'p', '1', '6', 9, 0,
+  /* 418 */ 'j', 'r', '1', '6', 9, 0,
+  /* 424 */ 'x', 'o', 'r', '1', '6', 9, 0,
+  /* 431 */ 'j', 'a', 'l', 'r', 's', '1', '6', 9, 0,
+  /* 440 */ 'n', 'o', 't', '1', '6', 9, 0,
+  /* 447 */ 'l', 'b', 'u', '1', '6', 9, 0,
+  /* 454 */ 's', 'u', 'b', 'u', '1', '6', 9, 0,
+  /* 462 */ 'a', 'd', 'd', 'u', '1', '6', 9, 0,
+  /* 470 */ 'l', 'h', 'u', '1', '6', 9, 0,
+  /* 477 */ 'l', 'w', '1', '6', 9, 0,
+  /* 483 */ 's', 'w', '1', '6', 9, 0,
+  /* 489 */ 'b', 'n', 'e', 'z', '1', '6', 9, 0,
+  /* 497 */ 'b', 'e', 'q', 'z', '1', '6', 9, 0,
+  /* 505 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 'a', 9, 0,
+  /* 521 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 'a', 9, 0,
+  /* 538 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 'a', 9, 0,
+  /* 554 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 'a', 9, 0,
+  /* 571 */ 'd', 's', 'r', 'a', 9, 0,
+  /* 577 */ 'd', 'l', 's', 'a', 9, 0,
+  /* 583 */ 'c', 'f', 'c', 'm', 's', 'a', 9, 0,
+  /* 591 */ 'c', 't', 'c', 'm', 's', 'a', 9, 0,
+  /* 599 */ 'a', 'd', 'd', '_', 'a', '.', 'b', 9, 0,
+  /* 608 */ 'm', 'i', 'n', '_', 'a', '.', 'b', 9, 0,
+  /* 617 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'b', 9, 0,
+  /* 627 */ 'm', 'a', 'x', '_', 'a', '.', 'b', 9, 0,
+  /* 636 */ 's', 'r', 'a', '.', 'b', 9, 0,
+  /* 643 */ 'n', 'l', 'o', 'c', '.', 'b', 9, 0,
+  /* 651 */ 'n', 'l', 'z', 'c', '.', 'b', 9, 0,
+  /* 659 */ 's', 'l', 'd', '.', 'b', 9, 0,
+  /* 666 */ 'p', 'c', 'k', 'o', 'd', '.', 'b', 9, 0,
+  /* 675 */ 'i', 'l', 'v', 'o', 'd', '.', 'b', 9, 0,
+  /* 684 */ 'i', 'n', 's', 'v', 'e', '.', 'b', 9, 0,
+  /* 693 */ 'v', 's', 'h', 'f', '.', 'b', 9, 0,
+  /* 701 */ 'b', 'n', 'e', 'g', '.', 'b', 9, 0,
+  /* 709 */ 's', 'r', 'a', 'i', '.', 'b', 9, 0,
+  /* 717 */ 's', 'l', 'd', 'i', '.', 'b', 9, 0,
+  /* 725 */ 'a', 'n', 'd', 'i', '.', 'b', 9, 0,
+  /* 733 */ 'b', 'n', 'e', 'g', 'i', '.', 'b', 9, 0,
+  /* 742 */ 'b', 's', 'e', 'l', 'i', '.', 'b', 9, 0,
+  /* 751 */ 's', 'l', 'l', 'i', '.', 'b', 9, 0,
+  /* 759 */ 's', 'r', 'l', 'i', '.', 'b', 9, 0,
+  /* 767 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'b', 9, 0,
+  /* 777 */ 'c', 'e', 'q', 'i', '.', 'b', 9, 0,
+  /* 785 */ 's', 'r', 'a', 'r', 'i', '.', 'b', 9, 0,
+  /* 794 */ 'b', 'c', 'l', 'r', 'i', '.', 'b', 9, 0,
+  /* 803 */ 's', 'r', 'l', 'r', 'i', '.', 'b', 9, 0,
+  /* 812 */ 'n', 'o', 'r', 'i', '.', 'b', 9, 0,
+  /* 820 */ 'x', 'o', 'r', 'i', '.', 'b', 9, 0,
+  /* 828 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'b', 9, 0,
+  /* 838 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'b', 9, 0,
+  /* 848 */ 'b', 's', 'e', 't', 'i', '.', 'b', 9, 0,
+  /* 857 */ 's', 'u', 'b', 'v', 'i', '.', 'b', 9, 0,
+  /* 866 */ 'a', 'd', 'd', 'v', 'i', '.', 'b', 9, 0,
+  /* 875 */ 'b', 'm', 'z', 'i', '.', 'b', 9, 0,
+  /* 883 */ 'b', 'm', 'n', 'z', 'i', '.', 'b', 9, 0,
+  /* 892 */ 'f', 'i', 'l', 'l', '.', 'b', 9, 0,
+  /* 900 */ 's', 'l', 'l', '.', 'b', 9, 0,
+  /* 907 */ 's', 'r', 'l', '.', 'b', 9, 0,
+  /* 914 */ 'b', 'i', 'n', 's', 'l', '.', 'b', 9, 0,
+  /* 923 */ 'i', 'l', 'v', 'l', '.', 'b', 9, 0,
+  /* 931 */ 'c', 'e', 'q', '.', 'b', 9, 0,
+  /* 938 */ 's', 'r', 'a', 'r', '.', 'b', 9, 0,
+  /* 946 */ 'b', 'c', 'l', 'r', '.', 'b', 9, 0,
+  /* 954 */ 's', 'r', 'l', 'r', '.', 'b', 9, 0,
+  /* 962 */ 'b', 'i', 'n', 's', 'r', '.', 'b', 9, 0,
+  /* 971 */ 'i', 'l', 'v', 'r', '.', 'b', 9, 0,
+  /* 979 */ 'a', 's', 'u', 'b', '_', 's', '.', 'b', 9, 0,
+  /* 989 */ 'm', 'o', 'd', '_', 's', '.', 'b', 9, 0,
+  /* 998 */ 'c', 'l', 'e', '_', 's', '.', 'b', 9, 0,
+  /* 1007 */ 'a', 'v', 'e', '_', 's', '.', 'b', 9, 0,
+  /* 1016 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'b', 9, 0,
+  /* 1026 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'b', 9, 0,
+  /* 1036 */ 'c', 'l', 't', 'i', '_', 's', '.', 'b', 9, 0,
+  /* 1046 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'b', 9, 0,
+  /* 1056 */ 'm', 'i', 'n', '_', 's', '.', 'b', 9, 0,
+  /* 1065 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'b', 9, 0,
+  /* 1075 */ 's', 'u', 'b', 's', '_', 's', '.', 'b', 9, 0,
+  /* 1085 */ 'a', 'd', 'd', 's', '_', 's', '.', 'b', 9, 0,
+  /* 1095 */ 's', 'a', 't', '_', 's', '.', 'b', 9, 0,
+  /* 1104 */ 'c', 'l', 't', '_', 's', '.', 'b', 9, 0,
+  /* 1113 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'b', 9, 0,
+  /* 1125 */ 'd', 'i', 'v', '_', 's', '.', 'b', 9, 0,
+  /* 1134 */ 'm', 'a', 'x', '_', 's', '.', 'b', 9, 0,
+  /* 1143 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'b', 9, 0,
+  /* 1153 */ 's', 'p', 'l', 'a', 't', '.', 'b', 9, 0,
+  /* 1162 */ 'b', 's', 'e', 't', '.', 'b', 9, 0,
+  /* 1170 */ 'p', 'c', 'n', 't', '.', 'b', 9, 0,
+  /* 1178 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'b', 9, 0,
+  /* 1188 */ 's', 't', '.', 'b', 9, 0,
+  /* 1194 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'b', 9, 0,
+  /* 1204 */ 'm', 'o', 'd', '_', 'u', '.', 'b', 9, 0,
+  /* 1213 */ 'c', 'l', 'e', '_', 'u', '.', 'b', 9, 0,
+  /* 1222 */ 'a', 'v', 'e', '_', 'u', '.', 'b', 9, 0,
+  /* 1231 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'b', 9, 0,
+  /* 1241 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'b', 9, 0,
+  /* 1251 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'b', 9, 0,
+  /* 1261 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'b', 9, 0,
+  /* 1271 */ 'm', 'i', 'n', '_', 'u', '.', 'b', 9, 0,
+  /* 1280 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'b', 9, 0,
+  /* 1290 */ 's', 'u', 'b', 's', '_', 'u', '.', 'b', 9, 0,
+  /* 1300 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'b', 9, 0,
+  /* 1310 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'b', 9, 0,
+  /* 1322 */ 's', 'a', 't', '_', 'u', '.', 'b', 9, 0,
+  /* 1331 */ 'c', 'l', 't', '_', 'u', '.', 'b', 9, 0,
+  /* 1340 */ 'd', 'i', 'v', '_', 'u', '.', 'b', 9, 0,
+  /* 1349 */ 'm', 'a', 'x', '_', 'u', '.', 'b', 9, 0,
+  /* 1358 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'b', 9, 0,
+  /* 1368 */ 'm', 's', 'u', 'b', 'v', '.', 'b', 9, 0,
+  /* 1377 */ 'm', 'a', 'd', 'd', 'v', '.', 'b', 9, 0,
+  /* 1386 */ 'p', 'c', 'k', 'e', 'v', '.', 'b', 9, 0,
+  /* 1395 */ 'i', 'l', 'v', 'e', 'v', '.', 'b', 9, 0,
+  /* 1404 */ 'm', 'u', 'l', 'v', '.', 'b', 9, 0,
+  /* 1412 */ 'b', 'z', '.', 'b', 9, 0,
+  /* 1418 */ 'b', 'n', 'z', '.', 'b', 9, 0,
+  /* 1425 */ 's', 'e', 'b', 9, 0,
+  /* 1430 */ 'j', 'r', '.', 'h', 'b', 9, 0,
+  /* 1437 */ 'j', 'a', 'l', 'r', '.', 'h', 'b', 9, 0,
+  /* 1446 */ 'l', 'b', 9, 0,
+  /* 1450 */ 's', 'h', 'r', 'a', '.', 'q', 'b', 9, 0,
+  /* 1459 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
+  /* 1473 */ 'c', 'm', 'p', 'g', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
+  /* 1486 */ 'c', 'm', 'p', 'u', '.', 'l', 'e', '.', 'q', 'b', 9, 0,
+  /* 1498 */ 's', 'u', 'b', 'u', 'h', '.', 'q', 'b', 9, 0,
+  /* 1508 */ 'a', 'd', 'd', 'u', 'h', '.', 'q', 'b', 9, 0,
+  /* 1518 */ 'p', 'i', 'c', 'k', '.', 'q', 'b', 9, 0,
+  /* 1527 */ 's', 'h', 'l', 'l', '.', 'q', 'b', 9, 0,
+  /* 1536 */ 'r', 'e', 'p', 'l', '.', 'q', 'b', 9, 0,
+  /* 1545 */ 's', 'h', 'r', 'l', '.', 'q', 'b', 9, 0,
+  /* 1554 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
+  /* 1568 */ 'c', 'm', 'p', 'g', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
+  /* 1581 */ 'c', 'm', 'p', 'u', '.', 'e', 'q', '.', 'q', 'b', 9, 0,
+  /* 1593 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'q', 'b', 9, 0,
+  /* 1604 */ 's', 'u', 'b', 'u', 'h', '_', 'r', '.', 'q', 'b', 9, 0,
+  /* 1616 */ 'a', 'd', 'd', 'u', 'h', '_', 'r', '.', 'q', 'b', 9, 0,
+  /* 1628 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'q', 'b', 9, 0,
+  /* 1640 */ 'a', 'b', 's', 'q', '_', 's', '.', 'q', 'b', 9, 0,
+  /* 1651 */ 's', 'u', 'b', 'u', '_', 's', '.', 'q', 'b', 9, 0,
+  /* 1662 */ 'a', 'd', 'd', 'u', '_', 's', '.', 'q', 'b', 9, 0,
+  /* 1673 */ 'c', 'm', 'p', 'g', 'd', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
+  /* 1687 */ 'c', 'm', 'p', 'g', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
+  /* 1700 */ 'c', 'm', 'p', 'u', '.', 'l', 't', '.', 'q', 'b', 9, 0,
+  /* 1712 */ 's', 'u', 'b', 'u', '.', 'q', 'b', 9, 0,
+  /* 1721 */ 'a', 'd', 'd', 'u', '.', 'q', 'b', 9, 0,
+  /* 1730 */ 's', 'h', 'r', 'a', 'v', '.', 'q', 'b', 9, 0,
+  /* 1740 */ 's', 'h', 'l', 'l', 'v', '.', 'q', 'b', 9, 0,
+  /* 1750 */ 'r', 'e', 'p', 'l', 'v', '.', 'q', 'b', 9, 0,
+  /* 1760 */ 's', 'h', 'r', 'l', 'v', '.', 'q', 'b', 9, 0,
+  /* 1770 */ 'r', 'a', 'd', 'd', 'u', '.', 'w', '.', 'q', 'b', 9, 0,
+  /* 1782 */ 's', 'b', 9, 0,
+  /* 1786 */ 'm', 'o', 'd', 's', 'u', 'b', 9, 0,
+  /* 1794 */ 'm', 's', 'u', 'b', 9, 0,
+  /* 1800 */ 'b', 'c', 9, 0,
+  /* 1804 */ 'b', 'g', 'e', 'c', 9, 0,
+  /* 1810 */ 'b', 'n', 'e', 'c', 9, 0,
+  /* 1816 */ 'j', 'i', 'c', 9, 0,
+  /* 1821 */ 'b', 'a', 'l', 'c', 9, 0,
+  /* 1827 */ 'j', 'i', 'a', 'l', 'c', 9, 0,
+  /* 1834 */ 'b', 'g', 'e', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1843 */ 'b', 'l', 'e', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1852 */ 'b', 'n', 'e', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1861 */ 'b', 'e', 'q', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1870 */ 'b', 'g', 't', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1879 */ 'b', 'l', 't', 'z', 'a', 'l', 'c', 9, 0,
+  /* 1888 */ 'l', 'd', 'p', 'c', 9, 0,
+  /* 1894 */ 'a', 'u', 'i', 'p', 'c', 9, 0,
+  /* 1901 */ 'a', 'l', 'u', 'i', 'p', 'c', 9, 0,
+  /* 1909 */ 'a', 'd', 'd', 'i', 'u', 'p', 'c', 9, 0,
+  /* 1918 */ 'l', 'w', 'u', 'p', 'c', 9, 0,
+  /* 1925 */ 'l', 'w', 'p', 'c', 9, 0,
+  /* 1931 */ 'b', 'e', 'q', 'c', 9, 0,
+  /* 1937 */ 'j', 'r', 'c', 9, 0,
+  /* 1942 */ 'a', 'd', 'd', 's', 'c', 9, 0,
+  /* 1949 */ 'b', 'l', 't', 'c', 9, 0,
+  /* 1955 */ 'b', 'g', 'e', 'u', 'c', 9, 0,
+  /* 1962 */ 'b', 'l', 't', 'u', 'c', 9, 0,
+  /* 1969 */ 'b', 'n', 'v', 'c', 9, 0,
+  /* 1975 */ 'b', 'o', 'v', 'c', 9, 0,
+  /* 1981 */ 'a', 'd', 'd', 'w', 'c', 9, 0,
+  /* 1988 */ 'b', 'g', 'e', 'z', 'c', 9, 0,
+  /* 1995 */ 'b', 'l', 'e', 'z', 'c', 9, 0,
+  /* 2002 */ 'b', 'n', 'e', 'z', 'c', 9, 0,
+  /* 2009 */ 'b', 'e', 'q', 'z', 'c', 9, 0,
+  /* 2016 */ 'b', 'g', 't', 'z', 'c', 9, 0,
+  /* 2023 */ 'b', 'l', 't', 'z', 'c', 9, 0,
+  /* 2030 */ 'f', 'l', 'o', 'g', '2', '.', 'd', 9, 0,
+  /* 2039 */ 'f', 'e', 'x', 'p', '2', '.', 'd', 9, 0,
+  /* 2048 */ 'a', 'd', 'd', '_', 'a', '.', 'd', 9, 0,
+  /* 2057 */ 'f', 'm', 'i', 'n', '_', 'a', '.', 'd', 9, 0,
+  /* 2067 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'd', 9, 0,
+  /* 2077 */ 'f', 'm', 'a', 'x', '_', 'a', '.', 'd', 9, 0,
+  /* 2087 */ 'm', 'i', 'n', 'a', '.', 'd', 9, 0,
+  /* 2095 */ 's', 'r', 'a', '.', 'd', 9, 0,
+  /* 2102 */ 'm', 'a', 'x', 'a', '.', 'd', 9, 0,
+  /* 2110 */ 'f', 's', 'u', 'b', '.', 'd', 9, 0,
+  /* 2118 */ 'f', 'm', 's', 'u', 'b', '.', 'd', 9, 0,
+  /* 2127 */ 'n', 'm', 's', 'u', 'b', '.', 'd', 9, 0,
+  /* 2136 */ 'n', 'l', 'o', 'c', '.', 'd', 9, 0,
+  /* 2144 */ 'n', 'l', 'z', 'c', '.', 'd', 9, 0,
+  /* 2152 */ 'f', 'a', 'd', 'd', '.', 'd', 9, 0,
+  /* 2160 */ 'f', 'm', 'a', 'd', 'd', '.', 'd', 9, 0,
+  /* 2169 */ 'n', 'm', 'a', 'd', 'd', '.', 'd', 9, 0,
+  /* 2178 */ 's', 'l', 'd', '.', 'd', 9, 0,
+  /* 2185 */ 'p', 'c', 'k', 'o', 'd', '.', 'd', 9, 0,
+  /* 2194 */ 'i', 'l', 'v', 'o', 'd', '.', 'd', 9, 0,
+  /* 2203 */ 'c', '.', 'n', 'g', 'e', '.', 'd', 9, 0,
+  /* 2212 */ 'c', '.', 'l', 'e', '.', 'd', 9, 0,
+  /* 2220 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 'd', 9, 0,
+  /* 2230 */ 'f', 'c', 'l', 'e', '.', 'd', 9, 0,
+  /* 2238 */ 'c', '.', 'n', 'g', 'l', 'e', '.', 'd', 9, 0,
+  /* 2248 */ 'c', '.', 'o', 'l', 'e', '.', 'd', 9, 0,
+  /* 2257 */ 'c', 'm', 'p', '.', 's', 'l', 'e', '.', 'd', 9, 0,
+  /* 2268 */ 'f', 's', 'l', 'e', '.', 'd', 9, 0,
+  /* 2276 */ 'c', '.', 'u', 'l', 'e', '.', 'd', 9, 0,
+  /* 2285 */ 'c', 'm', 'p', '.', 'u', 'l', 'e', '.', 'd', 9, 0,
+  /* 2296 */ 'f', 'c', 'u', 'l', 'e', '.', 'd', 9, 0,
+  /* 2305 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 'e', '.', 'd', 9, 0,
+  /* 2317 */ 'f', 's', 'u', 'l', 'e', '.', 'd', 9, 0,
+  /* 2326 */ 'f', 'c', 'n', 'e', '.', 'd', 9, 0,
+  /* 2334 */ 'f', 's', 'n', 'e', '.', 'd', 9, 0,
+  /* 2342 */ 'f', 'c', 'u', 'n', 'e', '.', 'd', 9, 0,
+  /* 2351 */ 'f', 's', 'u', 'n', 'e', '.', 'd', 9, 0,
+  /* 2360 */ 'i', 'n', 's', 'v', 'e', '.', 'd', 9, 0,
+  /* 2369 */ 'c', '.', 'f', '.', 'd', 9, 0,
+  /* 2376 */ 'c', 'm', 'p', '.', 'a', 'f', '.', 'd', 9, 0,
+  /* 2386 */ 'f', 'c', 'a', 'f', '.', 'd', 9, 0,
+  /* 2394 */ 'c', 'm', 'p', '.', 's', 'a', 'f', '.', 'd', 9, 0,
+  /* 2405 */ 'f', 's', 'a', 'f', '.', 'd', 9, 0,
+  /* 2413 */ 'm', 's', 'u', 'b', 'f', '.', 'd', 9, 0,
+  /* 2422 */ 'm', 'a', 'd', 'd', 'f', '.', 'd', 9, 0,
+  /* 2431 */ 'v', 's', 'h', 'f', '.', 'd', 9, 0,
+  /* 2439 */ 'c', '.', 's', 'f', '.', 'd', 9, 0,
+  /* 2447 */ 'm', 'o', 'v', 'f', '.', 'd', 9, 0,
+  /* 2455 */ 'b', 'n', 'e', 'g', '.', 'd', 9, 0,
+  /* 2463 */ 's', 'r', 'a', 'i', '.', 'd', 9, 0,
+  /* 2471 */ 's', 'l', 'd', 'i', '.', 'd', 9, 0,
+  /* 2479 */ 'b', 'n', 'e', 'g', 'i', '.', 'd', 9, 0,
+  /* 2488 */ 's', 'l', 'l', 'i', '.', 'd', 9, 0,
+  /* 2496 */ 's', 'r', 'l', 'i', '.', 'd', 9, 0,
+  /* 2504 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'd', 9, 0,
+  /* 2514 */ 'c', 'e', 'q', 'i', '.', 'd', 9, 0,
+  /* 2522 */ 's', 'r', 'a', 'r', 'i', '.', 'd', 9, 0,
+  /* 2531 */ 'b', 'c', 'l', 'r', 'i', '.', 'd', 9, 0,
+  /* 2540 */ 's', 'r', 'l', 'r', 'i', '.', 'd', 9, 0,
+  /* 2549 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'd', 9, 0,
+  /* 2559 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'd', 9, 0,
+  /* 2569 */ 'b', 's', 'e', 't', 'i', '.', 'd', 9, 0,
+  /* 2578 */ 's', 'u', 'b', 'v', 'i', '.', 'd', 9, 0,
+  /* 2587 */ 'a', 'd', 'd', 'v', 'i', '.', 'd', 9, 0,
+  /* 2596 */ 't', 'r', 'u', 'n', 'c', '.', 'l', '.', 'd', 9, 0,
+  /* 2607 */ 'r', 'o', 'u', 'n', 'd', '.', 'l', '.', 'd', 9, 0,
+  /* 2618 */ 'c', 'e', 'i', 'l', '.', 'l', '.', 'd', 9, 0,
+  /* 2628 */ 'f', 'l', 'o', 'o', 'r', '.', 'l', '.', 'd', 9, 0,
+  /* 2639 */ 'c', 'v', 't', '.', 'l', '.', 'd', 9, 0,
+  /* 2648 */ 's', 'e', 'l', '.', 'd', 9, 0,
+  /* 2655 */ 'c', '.', 'n', 'g', 'l', '.', 'd', 9, 0,
+  /* 2664 */ 'f', 'i', 'l', 'l', '.', 'd', 9, 0,
+  /* 2672 */ 's', 'l', 'l', '.', 'd', 9, 0,
+  /* 2679 */ 'f', 'e', 'x', 'u', 'p', 'l', '.', 'd', 9, 0,
+  /* 2689 */ 'f', 'f', 'q', 'l', '.', 'd', 9, 0,
+  /* 2697 */ 's', 'r', 'l', '.', 'd', 9, 0,
+  /* 2704 */ 'b', 'i', 'n', 's', 'l', '.', 'd', 9, 0,
+  /* 2713 */ 'f', 'm', 'u', 'l', '.', 'd', 9, 0,
+  /* 2721 */ 'i', 'l', 'v', 'l', '.', 'd', 9, 0,
+  /* 2729 */ 'f', 'm', 'i', 'n', '.', 'd', 9, 0,
+  /* 2737 */ 'c', '.', 'u', 'n', '.', 'd', 9, 0,
+  /* 2745 */ 'c', 'm', 'p', '.', 'u', 'n', '.', 'd', 9, 0,
+  /* 2755 */ 'f', 'c', 'u', 'n', '.', 'd', 9, 0,
+  /* 2763 */ 'c', 'm', 'p', '.', 's', 'u', 'n', '.', 'd', 9, 0,
+  /* 2774 */ 'f', 's', 'u', 'n', '.', 'd', 9, 0,
+  /* 2782 */ 'm', 'o', 'v', 'n', '.', 'd', 9, 0,
+  /* 2790 */ 'f', 'r', 'c', 'p', '.', 'd', 9, 0,
+  /* 2798 */ 'c', '.', 'e', 'q', '.', 'd', 9, 0,
+  /* 2806 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 'd', 9, 0,
+  /* 2816 */ 'f', 'c', 'e', 'q', '.', 'd', 9, 0,
+  /* 2824 */ 'c', '.', 's', 'e', 'q', '.', 'd', 9, 0,
+  /* 2833 */ 'c', 'm', 'p', '.', 's', 'e', 'q', '.', 'd', 9, 0,
+  /* 2844 */ 'f', 's', 'e', 'q', '.', 'd', 9, 0,
+  /* 2852 */ 'c', '.', 'u', 'e', 'q', '.', 'd', 9, 0,
+  /* 2861 */ 'c', 'm', 'p', '.', 'u', 'e', 'q', '.', 'd', 9, 0,
+  /* 2872 */ 'f', 'c', 'u', 'e', 'q', '.', 'd', 9, 0,
+  /* 2881 */ 'c', 'm', 'p', '.', 's', 'u', 'e', 'q', '.', 'd', 9, 0,
+  /* 2893 */ 'f', 's', 'u', 'e', 'q', '.', 'd', 9, 0,
+  /* 2902 */ 's', 'r', 'a', 'r', '.', 'd', 9, 0,
+  /* 2910 */ 'b', 'c', 'l', 'r', '.', 'd', 9, 0,
+  /* 2918 */ 's', 'r', 'l', 'r', '.', 'd', 9, 0,
+  /* 2926 */ 'f', 'c', 'o', 'r', '.', 'd', 9, 0,
+  /* 2934 */ 'f', 's', 'o', 'r', '.', 'd', 9, 0,
+  /* 2942 */ 'f', 'e', 'x', 'u', 'p', 'r', '.', 'd', 9, 0,
+  /* 2952 */ 'f', 'f', 'q', 'r', '.', 'd', 9, 0,
+  /* 2960 */ 'b', 'i', 'n', 's', 'r', '.', 'd', 9, 0,
+  /* 2969 */ 'i', 'l', 'v', 'r', '.', 'd', 9, 0,
+  /* 2977 */ 'c', 'v', 't', '.', 's', '.', 'd', 9, 0,
+  /* 2986 */ 'a', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
+  /* 2996 */ 'h', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
+  /* 3006 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'd', 9, 0,
+  /* 3017 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 's', '.', 'd', 9, 0,
+  /* 3029 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'd', 9, 0,
+  /* 3039 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'd', 9, 0,
+  /* 3050 */ 'm', 'o', 'd', '_', 's', '.', 'd', 9, 0,
+  /* 3059 */ 'c', 'l', 'e', '_', 's', '.', 'd', 9, 0,
+  /* 3068 */ 'a', 'v', 'e', '_', 's', '.', 'd', 9, 0,
+  /* 3077 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'd', 9, 0,
+  /* 3087 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'd', 9, 0,
+  /* 3097 */ 'c', 'l', 't', 'i', '_', 's', '.', 'd', 9, 0,
+  /* 3107 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'd', 9, 0,
+  /* 3117 */ 'm', 'i', 'n', '_', 's', '.', 'd', 9, 0,
+  /* 3126 */ 'd', 'o', 't', 'p', '_', 's', '.', 'd', 9, 0,
+  /* 3136 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'd', 9, 0,
+  /* 3146 */ 's', 'u', 'b', 's', '_', 's', '.', 'd', 9, 0,
+  /* 3156 */ 'a', 'd', 'd', 's', '_', 's', '.', 'd', 9, 0,
+  /* 3166 */ 's', 'a', 't', '_', 's', '.', 'd', 9, 0,
+  /* 3175 */ 'c', 'l', 't', '_', 's', '.', 'd', 9, 0,
+  /* 3184 */ 'f', 'f', 'i', 'n', 't', '_', 's', '.', 'd', 9, 0,
+  /* 3195 */ 'f', 't', 'i', 'n', 't', '_', 's', '.', 'd', 9, 0,
+  /* 3206 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'd', 9, 0,
+  /* 3218 */ 'd', 'i', 'v', '_', 's', '.', 'd', 9, 0,
+  /* 3227 */ 'm', 'a', 'x', '_', 's', '.', 'd', 9, 0,
+  /* 3236 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'd', 9, 0,
+  /* 3246 */ 'a', 'b', 's', '.', 'd', 9, 0,
+  /* 3253 */ 'f', 'c', 'l', 'a', 's', 's', '.', 'd', 9, 0,
+  /* 3263 */ 's', 'p', 'l', 'a', 't', '.', 'd', 9, 0,
+  /* 3272 */ 'b', 's', 'e', 't', '.', 'd', 9, 0,
+  /* 3280 */ 'c', '.', 'n', 'g', 't', '.', 'd', 9, 0,
+  /* 3289 */ 'c', '.', 'l', 't', '.', 'd', 9, 0,
+  /* 3297 */ 'c', 'm', 'p', '.', 'l', 't', '.', 'd', 9, 0,
+  /* 3307 */ 'f', 'c', 'l', 't', '.', 'd', 9, 0,
+  /* 3315 */ 'c', '.', 'o', 'l', 't', '.', 'd', 9, 0,
+  /* 3324 */ 'c', 'm', 'p', '.', 's', 'l', 't', '.', 'd', 9, 0,
+  /* 3335 */ 'f', 's', 'l', 't', '.', 'd', 9, 0,
+  /* 3343 */ 'c', '.', 'u', 'l', 't', '.', 'd', 9, 0,
+  /* 3352 */ 'c', 'm', 'p', '.', 'u', 'l', 't', '.', 'd', 9, 0,
+  /* 3363 */ 'f', 'c', 'u', 'l', 't', '.', 'd', 9, 0,
+  /* 3372 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 't', '.', 'd', 9, 0,
+  /* 3384 */ 'f', 's', 'u', 'l', 't', '.', 'd', 9, 0,
+  /* 3393 */ 'p', 'c', 'n', 't', '.', 'd', 9, 0,
+  /* 3401 */ 'f', 'r', 'i', 'n', 't', '.', 'd', 9, 0,
+  /* 3410 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'd', 9, 0,
+  /* 3420 */ 'f', 's', 'q', 'r', 't', '.', 'd', 9, 0,
+  /* 3429 */ 'f', 'r', 's', 'q', 'r', 't', '.', 'd', 9, 0,
+  /* 3439 */ 's', 't', '.', 'd', 9, 0,
+  /* 3445 */ 'm', 'o', 'v', 't', '.', 'd', 9, 0,
+  /* 3453 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
+  /* 3463 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
+  /* 3473 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'd', 9, 0,
+  /* 3484 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 'u', '.', 'd', 9, 0,
+  /* 3496 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'd', 9, 0,
+  /* 3506 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'd', 9, 0,
+  /* 3517 */ 'm', 'o', 'd', '_', 'u', '.', 'd', 9, 0,
+  /* 3526 */ 'c', 'l', 'e', '_', 'u', '.', 'd', 9, 0,
+  /* 3535 */ 'a', 'v', 'e', '_', 'u', '.', 'd', 9, 0,
+  /* 3544 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'd', 9, 0,
+  /* 3554 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'd', 9, 0,
+  /* 3564 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'd', 9, 0,
+  /* 3574 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'd', 9, 0,
+  /* 3584 */ 'm', 'i', 'n', '_', 'u', '.', 'd', 9, 0,
+  /* 3593 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'd', 9, 0,
+  /* 3603 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'd', 9, 0,
+  /* 3613 */ 's', 'u', 'b', 's', '_', 'u', '.', 'd', 9, 0,
+  /* 3623 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'd', 9, 0,
+  /* 3633 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'd', 9, 0,
+  /* 3645 */ 's', 'a', 't', '_', 'u', '.', 'd', 9, 0,
+  /* 3654 */ 'c', 'l', 't', '_', 'u', '.', 'd', 9, 0,
+  /* 3663 */ 'f', 'f', 'i', 'n', 't', '_', 'u', '.', 'd', 9, 0,
+  /* 3674 */ 'f', 't', 'i', 'n', 't', '_', 'u', '.', 'd', 9, 0,
+  /* 3685 */ 'd', 'i', 'v', '_', 'u', '.', 'd', 9, 0,
+  /* 3694 */ 'm', 'a', 'x', '_', 'u', '.', 'd', 9, 0,
+  /* 3703 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'd', 9, 0,
+  /* 3713 */ 'm', 's', 'u', 'b', 'v', '.', 'd', 9, 0,
+  /* 3722 */ 'm', 'a', 'd', 'd', 'v', '.', 'd', 9, 0,
+  /* 3731 */ 'p', 'c', 'k', 'e', 'v', '.', 'd', 9, 0,
+  /* 3740 */ 'i', 'l', 'v', 'e', 'v', '.', 'd', 9, 0,
+  /* 3749 */ 'f', 'd', 'i', 'v', '.', 'd', 9, 0,
+  /* 3757 */ 'm', 'u', 'l', 'v', '.', 'd', 9, 0,
+  /* 3765 */ 'm', 'o', 'v', '.', 'd', 9, 0,
+  /* 3772 */ 't', 'r', 'u', 'n', 'c', '.', 'w', '.', 'd', 9, 0,
+  /* 3783 */ 'r', 'o', 'u', 'n', 'd', '.', 'w', '.', 'd', 9, 0,
+  /* 3794 */ 'c', 'e', 'i', 'l', '.', 'w', '.', 'd', 9, 0,
+  /* 3804 */ 'f', 'l', 'o', 'o', 'r', '.', 'w', '.', 'd', 9, 0,
+  /* 3815 */ 'c', 'v', 't', '.', 'w', '.', 'd', 9, 0,
+  /* 3824 */ 'f', 'm', 'a', 'x', '.', 'd', 9, 0,
+  /* 3832 */ 'b', 'z', '.', 'd', 9, 0,
+  /* 3838 */ 's', 'e', 'l', 'n', 'e', 'z', '.', 'd', 9, 0,
+  /* 3848 */ 'b', 'n', 'z', '.', 'd', 9, 0,
+  /* 3855 */ 's', 'e', 'l', 'e', 'q', 'z', '.', 'd', 9, 0,
+  /* 3865 */ 'm', 'o', 'v', 'z', '.', 'd', 9, 0,
+  /* 3873 */ 's', 'c', 'd', 9, 0,
+  /* 3878 */ 'd', 'a', 'd', 'd', 9, 0,
+  /* 3884 */ 'm', 'a', 'd', 'd', 9, 0,
+  /* 3890 */ 'd', 's', 'h', 'd', 9, 0,
+  /* 3896 */ 'l', 'l', 'd', 9, 0,
+  /* 3901 */ 'a', 'n', 'd', 9, 0,
+  /* 3906 */ 'p', 'r', 'e', 'p', 'e', 'n', 'd', 9, 0,
+  /* 3915 */ 'a', 'p', 'p', 'e', 'n', 'd', 9, 0,
+  /* 3923 */ 'd', 'm', 'o', 'd', 9, 0,
+  /* 3929 */ 's', 'd', 9, 0,
+  /* 3933 */ 't', 'g', 'e', 9, 0,
+  /* 3938 */ 'c', 'a', 'c', 'h', 'e', 9, 0,
+  /* 3945 */ 'b', 'n', 'e', 9, 0,
+  /* 3950 */ 's', 'n', 'e', 9, 0,
+  /* 3955 */ 't', 'n', 'e', 9, 0,
+  /* 3960 */ 'm', 'o', 'v', 'e', 9, 0,
+  /* 3966 */ 'b', 'c', '0', 'f', 9, 0,
+  /* 3972 */ 'b', 'c', '1', 'f', 9, 0,
+  /* 3978 */ 'b', 'c', '2', 'f', 9, 0,
+  /* 3984 */ 'b', 'c', '3', 'f', 9, 0,
+  /* 3990 */ 'p', 'r', 'e', 'f', 9, 0,
+  /* 3996 */ 'm', 'o', 'v', 'f', 9, 0,
+  /* 4002 */ 'n', 'e', 'g', 9, 0,
+  /* 4007 */ 'a', 'd', 'd', '_', 'a', '.', 'h', 9, 0,
+  /* 4016 */ 'm', 'i', 'n', '_', 'a', '.', 'h', 9, 0,
+  /* 4025 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'h', 9, 0,
+  /* 4035 */ 'm', 'a', 'x', '_', 'a', '.', 'h', 9, 0,
+  /* 4044 */ 's', 'r', 'a', '.', 'h', 9, 0,
+  /* 4051 */ 'n', 'l', 'o', 'c', '.', 'h', 9, 0,
+  /* 4059 */ 'n', 'l', 'z', 'c', '.', 'h', 9, 0,
+  /* 4067 */ 's', 'l', 'd', '.', 'h', 9, 0,
+  /* 4074 */ 'p', 'c', 'k', 'o', 'd', '.', 'h', 9, 0,
+  /* 4083 */ 'i', 'l', 'v', 'o', 'd', '.', 'h', 9, 0,
+  /* 4092 */ 'i', 'n', 's', 'v', 'e', '.', 'h', 9, 0,
+  /* 4101 */ 'v', 's', 'h', 'f', '.', 'h', 9, 0,
+  /* 4109 */ 'b', 'n', 'e', 'g', '.', 'h', 9, 0,
+  /* 4117 */ 's', 'r', 'a', 'i', '.', 'h', 9, 0,
+  /* 4125 */ 's', 'l', 'd', 'i', '.', 'h', 9, 0,
+  /* 4133 */ 'b', 'n', 'e', 'g', 'i', '.', 'h', 9, 0,
+  /* 4142 */ 's', 'l', 'l', 'i', '.', 'h', 9, 0,
+  /* 4150 */ 's', 'r', 'l', 'i', '.', 'h', 9, 0,
+  /* 4158 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'h', 9, 0,
+  /* 4168 */ 'c', 'e', 'q', 'i', '.', 'h', 9, 0,
+  /* 4176 */ 's', 'r', 'a', 'r', 'i', '.', 'h', 9, 0,
+  /* 4185 */ 'b', 'c', 'l', 'r', 'i', '.', 'h', 9, 0,
+  /* 4194 */ 's', 'r', 'l', 'r', 'i', '.', 'h', 9, 0,
+  /* 4203 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'h', 9, 0,
+  /* 4213 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'h', 9, 0,
+  /* 4223 */ 'b', 's', 'e', 't', 'i', '.', 'h', 9, 0,
+  /* 4232 */ 's', 'u', 'b', 'v', 'i', '.', 'h', 9, 0,
+  /* 4241 */ 'a', 'd', 'd', 'v', 'i', '.', 'h', 9, 0,
+  /* 4250 */ 'f', 'i', 'l', 'l', '.', 'h', 9, 0,
+  /* 4258 */ 's', 'l', 'l', '.', 'h', 9, 0,
+  /* 4265 */ 's', 'r', 'l', '.', 'h', 9, 0,
+  /* 4272 */ 'b', 'i', 'n', 's', 'l', '.', 'h', 9, 0,
+  /* 4281 */ 'i', 'l', 'v', 'l', '.', 'h', 9, 0,
+  /* 4289 */ 'f', 'e', 'x', 'd', 'o', '.', 'h', 9, 0,
+  /* 4298 */ 'm', 's', 'u', 'b', '_', 'q', '.', 'h', 9, 0,
+  /* 4308 */ 'm', 'a', 'd', 'd', '_', 'q', '.', 'h', 9, 0,
+  /* 4318 */ 'm', 'u', 'l', '_', 'q', '.', 'h', 9, 0,
+  /* 4327 */ 'm', 's', 'u', 'b', 'r', '_', 'q', '.', 'h', 9, 0,
+  /* 4338 */ 'm', 'a', 'd', 'd', 'r', '_', 'q', '.', 'h', 9, 0,
+  /* 4349 */ 'm', 'u', 'l', 'r', '_', 'q', '.', 'h', 9, 0,
+  /* 4359 */ 'c', 'e', 'q', '.', 'h', 9, 0,
+  /* 4366 */ 'f', 't', 'q', '.', 'h', 9, 0,
+  /* 4373 */ 's', 'r', 'a', 'r', '.', 'h', 9, 0,
+  /* 4381 */ 'b', 'c', 'l', 'r', '.', 'h', 9, 0,
+  /* 4389 */ 's', 'r', 'l', 'r', '.', 'h', 9, 0,
+  /* 4397 */ 'b', 'i', 'n', 's', 'r', '.', 'h', 9, 0,
+  /* 4406 */ 'i', 'l', 'v', 'r', '.', 'h', 9, 0,
+  /* 4414 */ 'a', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
+  /* 4424 */ 'h', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
+  /* 4434 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'h', 9, 0,
+  /* 4445 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'h', 9, 0,
+  /* 4455 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'h', 9, 0,
+  /* 4466 */ 'm', 'o', 'd', '_', 's', '.', 'h', 9, 0,
+  /* 4475 */ 'c', 'l', 'e', '_', 's', '.', 'h', 9, 0,
+  /* 4484 */ 'a', 'v', 'e', '_', 's', '.', 'h', 9, 0,
+  /* 4493 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'h', 9, 0,
+  /* 4503 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'h', 9, 0,
+  /* 4513 */ 'c', 'l', 't', 'i', '_', 's', '.', 'h', 9, 0,
+  /* 4523 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'h', 9, 0,
+  /* 4533 */ 'm', 'i', 'n', '_', 's', '.', 'h', 9, 0,
+  /* 4542 */ 'd', 'o', 't', 'p', '_', 's', '.', 'h', 9, 0,
+  /* 4552 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'h', 9, 0,
+  /* 4562 */ 'e', 'x', 't', 'r', '_', 's', '.', 'h', 9, 0,
+  /* 4572 */ 's', 'u', 'b', 's', '_', 's', '.', 'h', 9, 0,
+  /* 4582 */ 'a', 'd', 'd', 's', '_', 's', '.', 'h', 9, 0,
+  /* 4592 */ 's', 'a', 't', '_', 's', '.', 'h', 9, 0,
+  /* 4601 */ 'c', 'l', 't', '_', 's', '.', 'h', 9, 0,
+  /* 4610 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'h', 9, 0,
+  /* 4622 */ 'd', 'i', 'v', '_', 's', '.', 'h', 9, 0,
+  /* 4631 */ 'e', 'x', 't', 'r', 'v', '_', 's', '.', 'h', 9, 0,
+  /* 4642 */ 'm', 'a', 'x', '_', 's', '.', 'h', 9, 0,
+  /* 4651 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'h', 9, 0,
+  /* 4661 */ 's', 'p', 'l', 'a', 't', '.', 'h', 9, 0,
+  /* 4670 */ 'b', 's', 'e', 't', '.', 'h', 9, 0,
+  /* 4678 */ 'p', 'c', 'n', 't', '.', 'h', 9, 0,
+  /* 4686 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'h', 9, 0,
+  /* 4696 */ 's', 't', '.', 'h', 9, 0,
+  /* 4702 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
+  /* 4712 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
+  /* 4722 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'h', 9, 0,
+  /* 4733 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'h', 9, 0,
+  /* 4743 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'h', 9, 0,
+  /* 4754 */ 'm', 'o', 'd', '_', 'u', '.', 'h', 9, 0,
+  /* 4763 */ 'c', 'l', 'e', '_', 'u', '.', 'h', 9, 0,
+  /* 4772 */ 'a', 'v', 'e', '_', 'u', '.', 'h', 9, 0,
+  /* 4781 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'h', 9, 0,
+  /* 4791 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'h', 9, 0,
+  /* 4801 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'h', 9, 0,
+  /* 4811 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'h', 9, 0,
+  /* 4821 */ 'm', 'i', 'n', '_', 'u', '.', 'h', 9, 0,
+  /* 4830 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'h', 9, 0,
+  /* 4840 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'h', 9, 0,
+  /* 4850 */ 's', 'u', 'b', 's', '_', 'u', '.', 'h', 9, 0,
+  /* 4860 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'h', 9, 0,
+  /* 4870 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'h', 9, 0,
+  /* 4882 */ 's', 'a', 't', '_', 'u', '.', 'h', 9, 0,
+  /* 4891 */ 'c', 'l', 't', '_', 'u', '.', 'h', 9, 0,
+  /* 4900 */ 'd', 'i', 'v', '_', 'u', '.', 'h', 9, 0,
+  /* 4909 */ 'm', 'a', 'x', '_', 'u', '.', 'h', 9, 0,
+  /* 4918 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'h', 9, 0,
+  /* 4928 */ 'm', 's', 'u', 'b', 'v', '.', 'h', 9, 0,
+  /* 4937 */ 'm', 'a', 'd', 'd', 'v', '.', 'h', 9, 0,
+  /* 4946 */ 'p', 'c', 'k', 'e', 'v', '.', 'h', 9, 0,
+  /* 4955 */ 'i', 'l', 'v', 'e', 'v', '.', 'h', 9, 0,
+  /* 4964 */ 'm', 'u', 'l', 'v', '.', 'h', 9, 0,
+  /* 4972 */ 'b', 'z', '.', 'h', 9, 0,
+  /* 4978 */ 'b', 'n', 'z', '.', 'h', 9, 0,
+  /* 4985 */ 'd', 's', 'b', 'h', 9, 0,
+  /* 4991 */ 'w', 's', 'b', 'h', 9, 0,
+  /* 4997 */ 's', 'e', 'h', 9, 0,
+  /* 5002 */ 'l', 'h', 9, 0,
+  /* 5006 */ 's', 'h', 'r', 'a', '.', 'p', 'h', 9, 0,
+  /* 5015 */ 'p', 'r', 'e', 'c', 'r', 'q', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
+  /* 5029 */ 'p', 'r', 'e', 'c', 'r', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
+  /* 5042 */ 'p', 'r', 'e', 'c', 'r', 'q', 'u', '_', 's', '.', 'q', 'b', '.', 'p', 'h', 9, 0,
+  /* 5059 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 'p', 'h', 9, 0,
+  /* 5070 */ 's', 'u', 'b', 'q', 'h', '.', 'p', 'h', 9, 0,
+  /* 5080 */ 'a', 'd', 'd', 'q', 'h', '.', 'p', 'h', 9, 0,
+  /* 5090 */ 'p', 'i', 'c', 'k', '.', 'p', 'h', 9, 0,
+  /* 5099 */ 's', 'h', 'l', 'l', '.', 'p', 'h', 9, 0,
+  /* 5108 */ 'r', 'e', 'p', 'l', '.', 'p', 'h', 9, 0,
+  /* 5117 */ 's', 'h', 'r', 'l', '.', 'p', 'h', 9, 0,
+  /* 5126 */ 'p', 'a', 'c', 'k', 'r', 'l', '.', 'p', 'h', 9, 0,
+  /* 5137 */ 'm', 'u', 'l', '.', 'p', 'h', 9, 0,
+  /* 5145 */ 's', 'u', 'b', 'q', '.', 'p', 'h', 9, 0,
+  /* 5154 */ 'a', 'd', 'd', 'q', '.', 'p', 'h', 9, 0,
+  /* 5163 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 'p', 'h', 9, 0,
+  /* 5174 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'p', 'h', 9, 0,
+  /* 5185 */ 's', 'u', 'b', 'q', 'h', '_', 'r', '.', 'p', 'h', 9, 0,
+  /* 5197 */ 'a', 'd', 'd', 'q', 'h', '_', 'r', '.', 'p', 'h', 9, 0,
+  /* 5209 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'p', 'h', 9, 0,
+  /* 5221 */ 's', 'h', 'l', 'l', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5232 */ 'm', 'u', 'l', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5242 */ 's', 'u', 'b', 'q', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5253 */ 'a', 'd', 'd', 'q', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5264 */ 'm', 'u', 'l', 'q', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5275 */ 'a', 'b', 's', 'q', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5286 */ 's', 'u', 'b', 'u', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5297 */ 'a', 'd', 'd', 'u', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5308 */ 's', 'h', 'l', 'l', 'v', '_', 's', '.', 'p', 'h', 9, 0,
+  /* 5320 */ 'm', 'u', 'l', 'q', '_', 'r', 's', '.', 'p', 'h', 9, 0,
+  /* 5332 */ 'c', 'm', 'p', '.', 'l', 't', '.', 'p', 'h', 9, 0,
+  /* 5343 */ 's', 'u', 'b', 'u', '.', 'p', 'h', 9, 0,
+  /* 5352 */ 'a', 'd', 'd', 'u', '.', 'p', 'h', 9, 0,
+  /* 5361 */ 's', 'h', 'r', 'a', 'v', '.', 'p', 'h', 9, 0,
+  /* 5371 */ 's', 'h', 'l', 'l', 'v', '.', 'p', 'h', 9, 0,
+  /* 5381 */ 'r', 'e', 'p', 'l', 'v', '.', 'p', 'h', 9, 0,
+  /* 5391 */ 's', 'h', 'r', 'l', 'v', '.', 'p', 'h', 9, 0,
+  /* 5401 */ 'd', 'p', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5411 */ 'd', 'p', 'a', 'q', 'x', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5426 */ 'd', 'p', 's', 'q', 'x', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5441 */ 'm', 'u', 'l', 's', 'a', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5453 */ 'd', 'p', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5466 */ 'm', 'u', 'l', 's', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5481 */ 'd', 'p', 's', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5494 */ 'd', 'p', 'a', 'q', 'x', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5508 */ 'd', 'p', 's', 'q', 'x', '_', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5522 */ 'd', 'p', 's', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5532 */ 'd', 'p', 'a', 'x', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5543 */ 'd', 'p', 's', 'x', '.', 'w', '.', 'p', 'h', 9, 0,
+  /* 5554 */ 's', 'h', 9, 0,
+  /* 5558 */ 'd', 'm', 'u', 'h', 9, 0,
+  /* 5564 */ 's', 'y', 'n', 'c', 'i', 9, 0,
+  /* 5571 */ 'd', 'a', 'd', 'd', 'i', 9, 0,
+  /* 5578 */ 'a', 'n', 'd', 'i', 9, 0,
+  /* 5584 */ 't', 'g', 'e', 'i', 9, 0,
+  /* 5590 */ 's', 'n', 'e', 'i', 9, 0,
+  /* 5596 */ 't', 'n', 'e', 'i', 9, 0,
+  /* 5602 */ 'd', 'a', 'h', 'i', 9, 0,
+  /* 5608 */ 'm', 'f', 'h', 'i', 9, 0,
+  /* 5614 */ 'm', 't', 'h', 'i', 9, 0,
+  /* 5620 */ '.', 'a', 'l', 'i', 'g', 'n', 32, '2', 10, 9, 'l', 'i', 9, 0,
+  /* 5634 */ 'd', 'l', 'i', 9, 0,
+  /* 5639 */ 'c', 'm', 'p', 'i', 9, 0,
+  /* 5645 */ 's', 'e', 'q', 'i', 9, 0,
+  /* 5651 */ 't', 'e', 'q', 'i', 9, 0,
+  /* 5657 */ 'x', 'o', 'r', 'i', 9, 0,
+  /* 5663 */ 'd', 'a', 't', 'i', 9, 0,
+  /* 5669 */ 's', 'l', 't', 'i', 9, 0,
+  /* 5675 */ 't', 'l', 't', 'i', 9, 0,
+  /* 5681 */ 'd', 'a', 'u', 'i', 9, 0,
+  /* 5687 */ 'l', 'u', 'i', 9, 0,
+  /* 5692 */ 'j', 9, 0,
+  /* 5695 */ 'b', 'r', 'e', 'a', 'k', 9, 0,
+  /* 5702 */ 'c', 'v', 't', '.', 'd', '.', 'l', 9, 0,
+  /* 5711 */ 'c', 'v', 't', '.', 's', '.', 'l', 9, 0,
+  /* 5720 */ 'b', 'a', 'l', 9, 0,
+  /* 5725 */ 'j', 'a', 'l', 9, 0,
+  /* 5730 */ 'b', 'g', 'e', 'z', 'a', 'l', 9, 0,
+  /* 5738 */ 'b', 'l', 't', 'z', 'a', 'l', 9, 0,
+  /* 5746 */ 'd', 'p', 'a', 'u', '.', 'h', '.', 'q', 'b', 'l', 9, 0,
+  /* 5758 */ 'd', 'p', 's', 'u', '.', 'h', '.', 'q', 'b', 'l', 9, 0,
+  /* 5770 */ 'm', 'u', 'l', 'e', 'u', '_', 's', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
+  /* 5786 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
+  /* 5801 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'l', 9, 0,
+  /* 5817 */ 'l', 'd', 'l', 9, 0,
+  /* 5822 */ 's', 'd', 'l', 9, 0,
+  /* 5827 */ 'b', 'n', 'e', 'l', 9, 0,
+  /* 5833 */ 'b', 'c', '0', 'f', 'l', 9, 0,
+  /* 5840 */ 'b', 'c', '1', 'f', 'l', 9, 0,
+  /* 5847 */ 'b', 'c', '2', 'f', 'l', 9, 0,
+  /* 5854 */ 'b', 'c', '3', 'f', 'l', 9, 0,
+  /* 5861 */ 'm', 'a', 'q', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
+  /* 5875 */ 'p', 'r', 'e', 'c', 'e', 'q', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
+  /* 5889 */ 'm', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
+  /* 5902 */ 'm', 'u', 'l', 'e', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'l', 9, 0,
+  /* 5917 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 9, 0,
+  /* 5926 */ 'b', 'g', 'e', 'z', 'a', 'l', 'l', 9, 0,
+  /* 5935 */ 'b', 'l', 't', 'z', 'a', 'l', 'l', 9, 0,
+  /* 5944 */ 'd', 's', 'l', 'l', 9, 0,
+  /* 5950 */ 'b', 'e', 'q', 'l', 9, 0,
+  /* 5956 */ 'd', 's', 'r', 'l', 9, 0,
+  /* 5962 */ 'b', 'c', '0', 't', 'l', 9, 0,
+  /* 5969 */ 'b', 'c', '1', 't', 'l', 9, 0,
+  /* 5976 */ 'b', 'c', '2', 't', 'l', 9, 0,
+  /* 5983 */ 'b', 'c', '3', 't', 'l', 9, 0,
+  /* 5990 */ 'd', 'm', 'u', 'l', 9, 0,
+  /* 5996 */ 'l', 'w', 'l', 9, 0,
+  /* 6001 */ 's', 'w', 'l', 9, 0,
+  /* 6006 */ 'b', 'g', 'e', 'z', 'l', 9, 0,
+  /* 6013 */ 'b', 'l', 'e', 'z', 'l', 9, 0,
+  /* 6020 */ 'b', 'g', 't', 'z', 'l', 9, 0,
+  /* 6027 */ 'b', 'l', 't', 'z', 'l', 9, 0,
+  /* 6034 */ 'l', 'w', 'm', 9, 0,
+  /* 6039 */ 's', 'w', 'm', 9, 0,
+  /* 6044 */ 'b', 'a', 'l', 'i', 'g', 'n', 9, 0,
+  /* 6052 */ 'd', 'a', 'l', 'i', 'g', 'n', 9, 0,
+  /* 6060 */ 'm', 'o', 'v', 'n', 9, 0,
+  /* 6066 */ 'd', 'c', 'l', 'o', 9, 0,
+  /* 6072 */ 'm', 'f', 'l', 'o', 9, 0,
+  /* 6078 */ 's', 'h', 'i', 'l', 'o', 9, 0,
+  /* 6085 */ 'm', 't', 'l', 'o', 9, 0,
+  /* 6091 */ 'd', 'b', 'i', 't', 's', 'w', 'a', 'p', 9, 0,
+  /* 6101 */ 's', 'd', 'b', 'b', 'p', 9, 0,
+  /* 6108 */ 'e', 'x', 't', 'p', 'd', 'p', 9, 0,
+  /* 6116 */ 'm', 'o', 'v', 'e', 'p', 9, 0,
+  /* 6123 */ 'm', 't', 'h', 'l', 'i', 'p', 9, 0,
+  /* 6131 */ 'c', 'm', 'p', 9, 0,
+  /* 6136 */ 'd', 'p', 'o', 'p', 9, 0,
+  /* 6142 */ 'a', 'd', 'd', 'i', 'u', 'r', '1', 's', 'p', 9, 0,
+  /* 6153 */ 'l', 'o', 'a', 'd', '_', 'c', 'c', 'o', 'n', 'd', '_', 'd', 's', 'p', 9, 0,
+  /* 6169 */ 's', 't', 'o', 'r', 'e', '_', 'c', 'c', 'o', 'n', 'd', '_', 'd', 's', 'p', 9, 0,
+  /* 6186 */ 'r', 'd', 'd', 's', 'p', 9, 0,
+  /* 6193 */ 'w', 'r', 'd', 's', 'p', 9, 0,
+  /* 6200 */ 'j', 'r', 'a', 'd', 'd', 'i', 'u', 's', 'p', 9, 0,
+  /* 6211 */ 'e', 'x', 't', 'p', 9, 0,
+  /* 6217 */ 'l', 'w', 'p', 9, 0,
+  /* 6222 */ 's', 'w', 'p', 9, 0,
+  /* 6227 */ 'b', 'e', 'q', 9, 0,
+  /* 6232 */ 's', 'e', 'q', 9, 0,
+  /* 6237 */ 't', 'e', 'q', 9, 0,
+  /* 6242 */ 'd', 'p', 'a', 'u', '.', 'h', '.', 'q', 'b', 'r', 9, 0,
+  /* 6254 */ 'd', 'p', 's', 'u', '.', 'h', '.', 'q', 'b', 'r', 9, 0,
+  /* 6266 */ 'm', 'u', 'l', 'e', 'u', '_', 's', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
+  /* 6282 */ 'p', 'r', 'e', 'c', 'e', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
+  /* 6297 */ 'p', 'r', 'e', 'c', 'e', 'q', 'u', '.', 'p', 'h', '.', 'q', 'b', 'r', 9, 0,
+  /* 6313 */ 'l', 'd', 'r', 9, 0,
+  /* 6318 */ 's', 'd', 'r', 9, 0,
+  /* 6323 */ 'm', 'a', 'q', '_', 's', 'a', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
+  /* 6337 */ 'p', 'r', 'e', 'c', 'e', 'q', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
+  /* 6351 */ 'm', 'a', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
+  /* 6364 */ 'm', 'u', 'l', 'e', 'q', '_', 's', '.', 'w', '.', 'p', 'h', 'r', 9, 0,
+  /* 6379 */ 'j', 'r', 9, 0,
+  /* 6383 */ 'j', 'a', 'l', 'r', 9, 0,
+  /* 6389 */ 'n', 'o', 'r', 9, 0,
+  /* 6394 */ 'x', 'o', 'r', 9, 0,
+  /* 6399 */ 'd', 'r', 'o', 't', 'r', 9, 0,
+  /* 6406 */ 'r', 'd', 'h', 'w', 'r', 9, 0,
+  /* 6413 */ 'l', 'w', 'r', 9, 0,
+  /* 6418 */ 's', 'w', 'r', 9, 0,
+  /* 6423 */ 'm', 'i', 'n', 'a', '.', 's', 9, 0,
+  /* 6431 */ 'm', 'a', 'x', 'a', '.', 's', 9, 0,
+  /* 6439 */ 'n', 'm', 's', 'u', 'b', '.', 's', 9, 0,
+  /* 6448 */ 'c', 'v', 't', '.', 'd', '.', 's', 9, 0,
+  /* 6457 */ 'n', 'm', 'a', 'd', 'd', '.', 's', 9, 0,
+  /* 6466 */ 'c', '.', 'n', 'g', 'e', '.', 's', 9, 0,
+  /* 6475 */ 'c', '.', 'l', 'e', '.', 's', 9, 0,
+  /* 6483 */ 'c', 'm', 'p', '.', 'l', 'e', '.', 's', 9, 0,
+  /* 6493 */ 'c', '.', 'n', 'g', 'l', 'e', '.', 's', 9, 0,
+  /* 6503 */ 'c', '.', 'o', 'l', 'e', '.', 's', 9, 0,
+  /* 6512 */ 'c', 'm', 'p', '.', 's', 'l', 'e', '.', 's', 9, 0,
+  /* 6523 */ 'c', '.', 'u', 'l', 'e', '.', 's', 9, 0,
+  /* 6532 */ 'c', 'm', 'p', '.', 'u', 'l', 'e', '.', 's', 9, 0,
+  /* 6543 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 'e', '.', 's', 9, 0,
+  /* 6555 */ 'c', '.', 'f', '.', 's', 9, 0,
+  /* 6562 */ 'c', 'm', 'p', '.', 'a', 'f', '.', 's', 9, 0,
+  /* 6572 */ 'c', 'm', 'p', '.', 's', 'a', 'f', '.', 's', 9, 0,
+  /* 6583 */ 'm', 's', 'u', 'b', 'f', '.', 's', 9, 0,
+  /* 6592 */ 'm', 'a', 'd', 'd', 'f', '.', 's', 9, 0,
+  /* 6601 */ 'c', '.', 's', 'f', '.', 's', 9, 0,
+  /* 6609 */ 'm', 'o', 'v', 'f', '.', 's', 9, 0,
+  /* 6617 */ 'n', 'e', 'g', '.', 's', 9, 0,
+  /* 6624 */ 't', 'r', 'u', 'n', 'c', '.', 'l', '.', 's', 9, 0,
+  /* 6635 */ 'r', 'o', 'u', 'n', 'd', '.', 'l', '.', 's', 9, 0,
+  /* 6646 */ 'c', 'e', 'i', 'l', '.', 'l', '.', 's', 9, 0,
+  /* 6656 */ 'f', 'l', 'o', 'o', 'r', '.', 'l', '.', 's', 9, 0,
+  /* 6667 */ 'c', 'v', 't', '.', 'l', '.', 's', 9, 0,
+  /* 6676 */ 's', 'e', 'l', '.', 's', 9, 0,
+  /* 6683 */ 'c', '.', 'n', 'g', 'l', '.', 's', 9, 0,
+  /* 6692 */ 'm', 'u', 'l', '.', 's', 9, 0,
+  /* 6699 */ 'm', 'i', 'n', '.', 's', 9, 0,
+  /* 6706 */ 'c', '.', 'u', 'n', '.', 's', 9, 0,
+  /* 6714 */ 'c', 'm', 'p', '.', 'u', 'n', '.', 's', 9, 0,
+  /* 6724 */ 'c', 'm', 'p', '.', 's', 'u', 'n', '.', 's', 9, 0,
+  /* 6735 */ 'm', 'o', 'v', 'n', '.', 's', 9, 0,
+  /* 6743 */ 'c', '.', 'e', 'q', '.', 's', 9, 0,
+  /* 6751 */ 'c', 'm', 'p', '.', 'e', 'q', '.', 's', 9, 0,
+  /* 6761 */ 'c', '.', 's', 'e', 'q', '.', 's', 9, 0,
+  /* 6770 */ 'c', 'm', 'p', '.', 's', 'e', 'q', '.', 's', 9, 0,
+  /* 6781 */ 'c', '.', 'u', 'e', 'q', '.', 's', 9, 0,
+  /* 6790 */ 'c', 'm', 'p', '.', 'u', 'e', 'q', '.', 's', 9, 0,
+  /* 6801 */ 'c', 'm', 'p', '.', 's', 'u', 'e', 'q', '.', 's', 9, 0,
+  /* 6813 */ 'a', 'b', 's', '.', 's', 9, 0,
+  /* 6820 */ 'c', 'l', 'a', 's', 's', '.', 's', 9, 0,
+  /* 6829 */ 'c', '.', 'n', 'g', 't', '.', 's', 9, 0,
+  /* 6838 */ 'c', '.', 'l', 't', '.', 's', 9, 0,
+  /* 6846 */ 'c', 'm', 'p', '.', 'l', 't', '.', 's', 9, 0,
+  /* 6856 */ 'c', '.', 'o', 'l', 't', '.', 's', 9, 0,
+  /* 6865 */ 'c', 'm', 'p', '.', 's', 'l', 't', '.', 's', 9, 0,
+  /* 6876 */ 'c', '.', 'u', 'l', 't', '.', 's', 9, 0,
+  /* 6885 */ 'c', 'm', 'p', '.', 'u', 'l', 't', '.', 's', 9, 0,
+  /* 6896 */ 'c', 'm', 'p', '.', 's', 'u', 'l', 't', '.', 's', 9, 0,
+  /* 6908 */ 'r', 'i', 'n', 't', '.', 's', 9, 0,
+  /* 6916 */ 's', 'q', 'r', 't', '.', 's', 9, 0,
+  /* 6924 */ 'm', 'o', 'v', 't', '.', 's', 9, 0,
+  /* 6932 */ 'd', 'i', 'v', '.', 's', 9, 0,
+  /* 6939 */ 'm', 'o', 'v', '.', 's', 9, 0,
+  /* 6946 */ 't', 'r', 'u', 'n', 'c', '.', 'w', '.', 's', 9, 0,
+  /* 6957 */ 'r', 'o', 'u', 'n', 'd', '.', 'w', '.', 's', 9, 0,
+  /* 6968 */ 'c', 'e', 'i', 'l', '.', 'w', '.', 's', 9, 0,
+  /* 6978 */ 'f', 'l', 'o', 'o', 'r', '.', 'w', '.', 's', 9, 0,
+  /* 6989 */ 'c', 'v', 't', '.', 'w', '.', 's', 9, 0,
+  /* 6998 */ 'm', 'a', 'x', '.', 's', 9, 0,
+  /* 7005 */ 's', 'e', 'l', 'n', 'e', 'z', '.', 's', 9, 0,
+  /* 7015 */ 's', 'e', 'l', 'e', 'q', 'z', '.', 's', 9, 0,
+  /* 7025 */ 'm', 'o', 'v', 'z', '.', 's', 9, 0,
+  /* 7033 */ 'j', 'a', 'l', 's', 9, 0,
+  /* 7039 */ 'b', 'g', 'e', 'z', 'a', 'l', 's', 9, 0,
+  /* 7048 */ 'b', 'l', 't', 'z', 'a', 'l', 's', 9, 0,
+  /* 7057 */ 'j', 'a', 'l', 'r', 's', 9, 0,
+  /* 7064 */ 'l', 'w', 'x', 's', 9, 0,
+  /* 7070 */ 'b', 'c', '0', 't', 9, 0,
+  /* 7076 */ 'b', 'c', '1', 't', 9, 0,
+  /* 7082 */ 'b', 'c', '2', 't', 9, 0,
+  /* 7088 */ 'b', 'c', '3', 't', 9, 0,
+  /* 7094 */ 'w', 'a', 'i', 't', 9, 0,
+  /* 7100 */ 's', 'l', 't', 9, 0,
+  /* 7105 */ 't', 'l', 't', 9, 0,
+  /* 7110 */ 'd', 'm', 'u', 'l', 't', 9, 0,
+  /* 7117 */ 'n', 'o', 't', 9, 0,
+  /* 7122 */ 'm', 'o', 'v', 't', 9, 0,
+  /* 7128 */ 'l', 'b', 'u', 9, 0,
+  /* 7133 */ 'd', 's', 'u', 'b', 'u', 9, 0,
+  /* 7140 */ 'm', 's', 'u', 'b', 'u', 9, 0,
+  /* 7147 */ 'b', 'a', 'd', 'd', 'u', 9, 0,
+  /* 7154 */ 'd', 'a', 'd', 'd', 'u', 9, 0,
+  /* 7161 */ 'm', 'a', 'd', 'd', 'u', 9, 0,
+  /* 7168 */ 'd', 'm', 'o', 'd', 'u', 9, 0,
+  /* 7175 */ 't', 'g', 'e', 'u', 9, 0,
+  /* 7181 */ 'l', 'h', 'u', 9, 0,
+  /* 7186 */ 'd', 'm', 'u', 'h', 'u', 9, 0,
+  /* 7193 */ 'd', 'a', 'd', 'd', 'i', 'u', 9, 0,
+  /* 7201 */ 't', 'g', 'e', 'i', 'u', 9, 0,
+  /* 7208 */ 's', 'l', 't', 'i', 'u', 9, 0,
+  /* 7215 */ 't', 'l', 't', 'i', 'u', 9, 0,
+  /* 7222 */ 'v', '3', 'm', 'u', 'l', 'u', 9, 0,
+  /* 7230 */ 'd', 'm', 'u', 'l', 'u', 9, 0,
+  /* 7237 */ 'v', 'm', 'u', 'l', 'u', 9, 0,
+  /* 7244 */ 's', 'l', 't', 'u', 9, 0,
+  /* 7250 */ 't', 'l', 't', 'u', 9, 0,
+  /* 7256 */ 'd', 'm', 'u', 'l', 't', 'u', 9, 0,
+  /* 7264 */ 'd', 'd', 'i', 'v', 'u', 9, 0,
+  /* 7271 */ 'l', 'w', 'u', 9, 0,
+  /* 7276 */ 'a', 'n', 'd', '.', 'v', 9, 0,
+  /* 7283 */ 'm', 'o', 'v', 'e', '.', 'v', 9, 0,
+  /* 7291 */ 'b', 's', 'e', 'l', '.', 'v', 9, 0,
+  /* 7299 */ 'n', 'o', 'r', '.', 'v', 9, 0,
+  /* 7306 */ 'x', 'o', 'r', '.', 'v', 9, 0,
+  /* 7313 */ 'b', 'z', '.', 'v', 9, 0,
+  /* 7319 */ 'b', 'm', 'z', '.', 'v', 9, 0,
+  /* 7326 */ 'b', 'n', 'z', '.', 'v', 9, 0,
+  /* 7333 */ 'b', 'm', 'n', 'z', '.', 'v', 9, 0,
+  /* 7341 */ 'd', 's', 'r', 'a', 'v', 9, 0,
+  /* 7348 */ 'b', 'i', 't', 'r', 'e', 'v', 9, 0,
+  /* 7356 */ 'd', 'd', 'i', 'v', 9, 0,
+  /* 7362 */ 'd', 's', 'l', 'l', 'v', 9, 0,
+  /* 7369 */ 'd', 's', 'r', 'l', 'v', 9, 0,
+  /* 7376 */ 's', 'h', 'i', 'l', 'o', 'v', 9, 0,
+  /* 7384 */ 'e', 'x', 't', 'p', 'd', 'p', 'v', 9, 0,
+  /* 7393 */ 'e', 'x', 't', 'p', 'v', 9, 0,
+  /* 7400 */ 'd', 'r', 'o', 't', 'r', 'v', 9, 0,
+  /* 7408 */ 'i', 'n', 's', 'v', 9, 0,
+  /* 7414 */ 'f', 'l', 'o', 'g', '2', '.', 'w', 9, 0,
+  /* 7423 */ 'f', 'e', 'x', 'p', '2', '.', 'w', 9, 0,
+  /* 7432 */ 'a', 'd', 'd', '_', 'a', '.', 'w', 9, 0,
+  /* 7441 */ 'f', 'm', 'i', 'n', '_', 'a', '.', 'w', 9, 0,
+  /* 7451 */ 'a', 'd', 'd', 's', '_', 'a', '.', 'w', 9, 0,
+  /* 7461 */ 'f', 'm', 'a', 'x', '_', 'a', '.', 'w', 9, 0,
+  /* 7471 */ 's', 'r', 'a', '.', 'w', 9, 0,
+  /* 7478 */ 'f', 's', 'u', 'b', '.', 'w', 9, 0,
+  /* 7486 */ 'f', 'm', 's', 'u', 'b', '.', 'w', 9, 0,
+  /* 7495 */ 'n', 'l', 'o', 'c', '.', 'w', 9, 0,
+  /* 7503 */ 'n', 'l', 'z', 'c', '.', 'w', 9, 0,
+  /* 7511 */ 'c', 'v', 't', '.', 'd', '.', 'w', 9, 0,
+  /* 7520 */ 'f', 'a', 'd', 'd', '.', 'w', 9, 0,
+  /* 7528 */ 'f', 'm', 'a', 'd', 'd', '.', 'w', 9, 0,
+  /* 7537 */ 's', 'l', 'd', '.', 'w', 9, 0,
+  /* 7544 */ 'p', 'c', 'k', 'o', 'd', '.', 'w', 9, 0,
+  /* 7553 */ 'i', 'l', 'v', 'o', 'd', '.', 'w', 9, 0,
+  /* 7562 */ 'f', 'c', 'l', 'e', '.', 'w', 9, 0,
+  /* 7570 */ 'f', 's', 'l', 'e', '.', 'w', 9, 0,
+  /* 7578 */ 'f', 'c', 'u', 'l', 'e', '.', 'w', 9, 0,
+  /* 7587 */ 'f', 's', 'u', 'l', 'e', '.', 'w', 9, 0,
+  /* 7596 */ 'f', 'c', 'n', 'e', '.', 'w', 9, 0,
+  /* 7604 */ 'f', 's', 'n', 'e', '.', 'w', 9, 0,
+  /* 7612 */ 'f', 'c', 'u', 'n', 'e', '.', 'w', 9, 0,
+  /* 7621 */ 'f', 's', 'u', 'n', 'e', '.', 'w', 9, 0,
+  /* 7630 */ 'i', 'n', 's', 'v', 'e', '.', 'w', 9, 0,
+  /* 7639 */ 'f', 'c', 'a', 'f', '.', 'w', 9, 0,
+  /* 7647 */ 'f', 's', 'a', 'f', '.', 'w', 9, 0,
+  /* 7655 */ 'v', 's', 'h', 'f', '.', 'w', 9, 0,
+  /* 7663 */ 'b', 'n', 'e', 'g', '.', 'w', 9, 0,
+  /* 7671 */ 'p', 'r', 'e', 'c', 'r', '_', 's', 'r', 'a', '.', 'p', 'h', '.', 'w', 9, 0,
+  /* 7687 */ 'p', 'r', 'e', 'c', 'r', 'q', '.', 'p', 'h', '.', 'w', 9, 0,
+  /* 7700 */ 'p', 'r', 'e', 'c', 'r', '_', 's', 'r', 'a', '_', 'r', '.', 'p', 'h', '.', 'w', 9, 0,
+  /* 7718 */ 'p', 'r', 'e', 'c', 'r', 'q', '_', 'r', 's', '.', 'p', 'h', '.', 'w', 9, 0,
+  /* 7734 */ 's', 'u', 'b', 'q', 'h', '.', 'w', 9, 0,
+  /* 7743 */ 'a', 'd', 'd', 'q', 'h', '.', 'w', 9, 0,
+  /* 7752 */ 's', 'r', 'a', 'i', '.', 'w', 9, 0,
+  /* 7760 */ 's', 'l', 'd', 'i', '.', 'w', 9, 0,
+  /* 7768 */ 'b', 'n', 'e', 'g', 'i', '.', 'w', 9, 0,
+  /* 7777 */ 's', 'l', 'l', 'i', '.', 'w', 9, 0,
+  /* 7785 */ 's', 'r', 'l', 'i', '.', 'w', 9, 0,
+  /* 7793 */ 'b', 'i', 'n', 's', 'l', 'i', '.', 'w', 9, 0,
+  /* 7803 */ 'c', 'e', 'q', 'i', '.', 'w', 9, 0,
+  /* 7811 */ 's', 'r', 'a', 'r', 'i', '.', 'w', 9, 0,
+  /* 7820 */ 'b', 'c', 'l', 'r', 'i', '.', 'w', 9, 0,
+  /* 7829 */ 's', 'r', 'l', 'r', 'i', '.', 'w', 9, 0,
+  /* 7838 */ 'b', 'i', 'n', 's', 'r', 'i', '.', 'w', 9, 0,
+  /* 7848 */ 's', 'p', 'l', 'a', 't', 'i', '.', 'w', 9, 0,
+  /* 7858 */ 'b', 's', 'e', 't', 'i', '.', 'w', 9, 0,
+  /* 7867 */ 's', 'u', 'b', 'v', 'i', '.', 'w', 9, 0,
+  /* 7876 */ 'a', 'd', 'd', 'v', 'i', '.', 'w', 9, 0,
+  /* 7885 */ 'd', 'p', 'a', 'q', '_', 's', 'a', '.', 'l', '.', 'w', 9, 0,
+  /* 7898 */ 'd', 'p', 's', 'q', '_', 's', 'a', '.', 'l', '.', 'w', 9, 0,
+  /* 7911 */ 'f', 'i', 'l', 'l', '.', 'w', 9, 0,
+  /* 7919 */ 's', 'l', 'l', '.', 'w', 9, 0,
+  /* 7926 */ 'f', 'e', 'x', 'u', 'p', 'l', '.', 'w', 9, 0,
+  /* 7936 */ 'f', 'f', 'q', 'l', '.', 'w', 9, 0,
+  /* 7944 */ 's', 'r', 'l', '.', 'w', 9, 0,
+  /* 7951 */ 'b', 'i', 'n', 's', 'l', '.', 'w', 9, 0,
+  /* 7960 */ 'f', 'm', 'u', 'l', '.', 'w', 9, 0,
+  /* 7968 */ 'i', 'l', 'v', 'l', '.', 'w', 9, 0,
+  /* 7976 */ 'f', 'm', 'i', 'n', '.', 'w', 9, 0,
+  /* 7984 */ 'f', 'c', 'u', 'n', '.', 'w', 9, 0,
+  /* 7992 */ 'f', 's', 'u', 'n', '.', 'w', 9, 0,
+  /* 8000 */ 'f', 'e', 'x', 'd', 'o', '.', 'w', 9, 0,
+  /* 8009 */ 'f', 'r', 'c', 'p', '.', 'w', 9, 0,
+  /* 8017 */ 'm', 's', 'u', 'b', '_', 'q', '.', 'w', 9, 0,
+  /* 8027 */ 'm', 'a', 'd', 'd', '_', 'q', '.', 'w', 9, 0,
+  /* 8037 */ 'm', 'u', 'l', '_', 'q', '.', 'w', 9, 0,
+  /* 8046 */ 'm', 's', 'u', 'b', 'r', '_', 'q', '.', 'w', 9, 0,
+  /* 8057 */ 'm', 'a', 'd', 'd', 'r', '_', 'q', '.', 'w', 9, 0,
+  /* 8068 */ 'm', 'u', 'l', 'r', '_', 'q', '.', 'w', 9, 0,
+  /* 8078 */ 'f', 'c', 'e', 'q', '.', 'w', 9, 0,
+  /* 8086 */ 'f', 's', 'e', 'q', '.', 'w', 9, 0,
+  /* 8094 */ 'f', 'c', 'u', 'e', 'q', '.', 'w', 9, 0,
+  /* 8103 */ 'f', 's', 'u', 'e', 'q', '.', 'w', 9, 0,
+  /* 8112 */ 'f', 't', 'q', '.', 'w', 9, 0,
+  /* 8119 */ 's', 'h', 'r', 'a', '_', 'r', '.', 'w', 9, 0,
+  /* 8129 */ 's', 'u', 'b', 'q', 'h', '_', 'r', '.', 'w', 9, 0,
+  /* 8140 */ 'a', 'd', 'd', 'q', 'h', '_', 'r', '.', 'w', 9, 0,
+  /* 8151 */ 'e', 'x', 't', 'r', '_', 'r', '.', 'w', 9, 0,
+  /* 8161 */ 's', 'h', 'r', 'a', 'v', '_', 'r', '.', 'w', 9, 0,
+  /* 8172 */ 'e', 'x', 't', 'r', 'v', '_', 'r', '.', 'w', 9, 0,
+  /* 8183 */ 's', 'r', 'a', 'r', '.', 'w', 9, 0,
+  /* 8191 */ 'b', 'c', 'l', 'r', '.', 'w', 9, 0,
+  /* 8199 */ 's', 'r', 'l', 'r', '.', 'w', 9, 0,
+  /* 8207 */ 'f', 'c', 'o', 'r', '.', 'w', 9, 0,
+  /* 8215 */ 'f', 's', 'o', 'r', '.', 'w', 9, 0,
+  /* 8223 */ 'f', 'e', 'x', 'u', 'p', 'r', '.', 'w', 9, 0,
+  /* 8233 */ 'f', 'f', 'q', 'r', '.', 'w', 9, 0,
+  /* 8241 */ 'b', 'i', 'n', 's', 'r', '.', 'w', 9, 0,
+  /* 8250 */ 'e', 'x', 't', 'r', '.', 'w', 9, 0,
+  /* 8258 */ 'i', 'l', 'v', 'r', '.', 'w', 9, 0,
+  /* 8266 */ 'c', 'v', 't', '.', 's', '.', 'w', 9, 0,
+  /* 8275 */ 'a', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
+  /* 8285 */ 'h', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
+  /* 8295 */ 'd', 'p', 's', 'u', 'b', '_', 's', '.', 'w', 9, 0,
+  /* 8306 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 's', '.', 'w', 9, 0,
+  /* 8318 */ 'h', 'a', 'd', 'd', '_', 's', '.', 'w', 9, 0,
+  /* 8328 */ 'd', 'p', 'a', 'd', 'd', '_', 's', '.', 'w', 9, 0,
+  /* 8339 */ 'm', 'o', 'd', '_', 's', '.', 'w', 9, 0,
+  /* 8348 */ 'c', 'l', 'e', '_', 's', '.', 'w', 9, 0,
+  /* 8357 */ 'a', 'v', 'e', '_', 's', '.', 'w', 9, 0,
+  /* 8366 */ 'c', 'l', 'e', 'i', '_', 's', '.', 'w', 9, 0,
+  /* 8376 */ 'm', 'i', 'n', 'i', '_', 's', '.', 'w', 9, 0,
+  /* 8386 */ 'c', 'l', 't', 'i', '_', 's', '.', 'w', 9, 0,
+  /* 8396 */ 'm', 'a', 'x', 'i', '_', 's', '.', 'w', 9, 0,
+  /* 8406 */ 's', 'h', 'l', 'l', '_', 's', '.', 'w', 9, 0,
+  /* 8416 */ 'm', 'i', 'n', '_', 's', '.', 'w', 9, 0,
+  /* 8425 */ 'd', 'o', 't', 'p', '_', 's', '.', 'w', 9, 0,
+  /* 8435 */ 's', 'u', 'b', 'q', '_', 's', '.', 'w', 9, 0,
+  /* 8445 */ 'a', 'd', 'd', 'q', '_', 's', '.', 'w', 9, 0,
+  /* 8455 */ 'm', 'u', 'l', 'q', '_', 's', '.', 'w', 9, 0,
+  /* 8465 */ 'a', 'b', 's', 'q', '_', 's', '.', 'w', 9, 0,
+  /* 8475 */ 'a', 'v', 'e', 'r', '_', 's', '.', 'w', 9, 0,
+  /* 8485 */ 's', 'u', 'b', 's', '_', 's', '.', 'w', 9, 0,
+  /* 8495 */ 'a', 'd', 'd', 's', '_', 's', '.', 'w', 9, 0,
+  /* 8505 */ 's', 'a', 't', '_', 's', '.', 'w', 9, 0,
+  /* 8514 */ 'c', 'l', 't', '_', 's', '.', 'w', 9, 0,
+  /* 8523 */ 'f', 'f', 'i', 'n', 't', '_', 's', '.', 'w', 9, 0,
+  /* 8534 */ 'f', 't', 'i', 'n', 't', '_', 's', '.', 'w', 9, 0,
+  /* 8545 */ 's', 'u', 'b', 's', 'u', 'u', '_', 's', '.', 'w', 9, 0,
+  /* 8557 */ 'd', 'i', 'v', '_', 's', '.', 'w', 9, 0,
+  /* 8566 */ 's', 'h', 'l', 'l', 'v', '_', 's', '.', 'w', 9, 0,
+  /* 8577 */ 'm', 'a', 'x', '_', 's', '.', 'w', 9, 0,
+  /* 8586 */ 'c', 'o', 'p', 'y', '_', 's', '.', 'w', 9, 0,
+  /* 8596 */ 'm', 'u', 'l', 'q', '_', 'r', 's', '.', 'w', 9, 0,
+  /* 8607 */ 'e', 'x', 't', 'r', '_', 'r', 's', '.', 'w', 9, 0,
+  /* 8618 */ 'e', 'x', 't', 'r', 'v', '_', 'r', 's', '.', 'w', 9, 0,
+  /* 8630 */ 'f', 'c', 'l', 'a', 's', 's', '.', 'w', 9, 0,
+  /* 8640 */ 's', 'p', 'l', 'a', 't', '.', 'w', 9, 0,
+  /* 8649 */ 'b', 's', 'e', 't', '.', 'w', 9, 0,
+  /* 8657 */ 'f', 'c', 'l', 't', '.', 'w', 9, 0,
+  /* 8665 */ 'f', 's', 'l', 't', '.', 'w', 9, 0,
+  /* 8673 */ 'f', 'c', 'u', 'l', 't', '.', 'w', 9, 0,
+  /* 8682 */ 'f', 's', 'u', 'l', 't', '.', 'w', 9, 0,
+  /* 8691 */ 'p', 'c', 'n', 't', '.', 'w', 9, 0,
+  /* 8699 */ 'f', 'r', 'i', 'n', 't', '.', 'w', 9, 0,
+  /* 8708 */ 'i', 'n', 's', 'e', 'r', 't', '.', 'w', 9, 0,
+  /* 8718 */ 'f', 's', 'q', 'r', 't', '.', 'w', 9, 0,
+  /* 8727 */ 'f', 'r', 's', 'q', 'r', 't', '.', 'w', 9, 0,
+  /* 8737 */ 's', 't', '.', 'w', 9, 0,
+  /* 8743 */ 'a', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
+  /* 8753 */ 'h', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
+  /* 8763 */ 'd', 'p', 's', 'u', 'b', '_', 'u', '.', 'w', 9, 0,
+  /* 8774 */ 'f', 't', 'r', 'u', 'n', 'c', '_', 'u', '.', 'w', 9, 0,
+  /* 8786 */ 'h', 'a', 'd', 'd', '_', 'u', '.', 'w', 9, 0,
+  /* 8796 */ 'd', 'p', 'a', 'd', 'd', '_', 'u', '.', 'w', 9, 0,
+  /* 8807 */ 'm', 'o', 'd', '_', 'u', '.', 'w', 9, 0,
+  /* 8816 */ 'c', 'l', 'e', '_', 'u', '.', 'w', 9, 0,
+  /* 8825 */ 'a', 'v', 'e', '_', 'u', '.', 'w', 9, 0,
+  /* 8834 */ 'c', 'l', 'e', 'i', '_', 'u', '.', 'w', 9, 0,
+  /* 8844 */ 'm', 'i', 'n', 'i', '_', 'u', '.', 'w', 9, 0,
+  /* 8854 */ 'c', 'l', 't', 'i', '_', 'u', '.', 'w', 9, 0,
+  /* 8864 */ 'm', 'a', 'x', 'i', '_', 'u', '.', 'w', 9, 0,
+  /* 8874 */ 'm', 'i', 'n', '_', 'u', '.', 'w', 9, 0,
+  /* 8883 */ 'd', 'o', 't', 'p', '_', 'u', '.', 'w', 9, 0,
+  /* 8893 */ 'a', 'v', 'e', 'r', '_', 'u', '.', 'w', 9, 0,
+  /* 8903 */ 's', 'u', 'b', 's', '_', 'u', '.', 'w', 9, 0,
+  /* 8913 */ 'a', 'd', 'd', 's', '_', 'u', '.', 'w', 9, 0,
+  /* 8923 */ 's', 'u', 'b', 's', 'u', 's', '_', 'u', '.', 'w', 9, 0,
+  /* 8935 */ 's', 'a', 't', '_', 'u', '.', 'w', 9, 0,
+  /* 8944 */ 'c', 'l', 't', '_', 'u', '.', 'w', 9, 0,
+  /* 8953 */ 'f', 'f', 'i', 'n', 't', '_', 'u', '.', 'w', 9, 0,
+  /* 8964 */ 'f', 't', 'i', 'n', 't', '_', 'u', '.', 'w', 9, 0,
+  /* 8975 */ 'd', 'i', 'v', '_', 'u', '.', 'w', 9, 0,
+  /* 8984 */ 'm', 'a', 'x', '_', 'u', '.', 'w', 9, 0,
+  /* 8993 */ 'c', 'o', 'p', 'y', '_', 'u', '.', 'w', 9, 0,
+  /* 9003 */ 'm', 's', 'u', 'b', 'v', '.', 'w', 9, 0,
+  /* 9012 */ 'm', 'a', 'd', 'd', 'v', '.', 'w', 9, 0,
+  /* 9021 */ 'p', 'c', 'k', 'e', 'v', '.', 'w', 9, 0,
+  /* 9030 */ 'i', 'l', 'v', 'e', 'v', '.', 'w', 9, 0,
+  /* 9039 */ 'f', 'd', 'i', 'v', '.', 'w', 9, 0,
+  /* 9047 */ 'm', 'u', 'l', 'v', '.', 'w', 9, 0,
+  /* 9055 */ 'e', 'x', 't', 'r', 'v', '.', 'w', 9, 0,
+  /* 9064 */ 'f', 'm', 'a', 'x', '.', 'w', 9, 0,
+  /* 9072 */ 'b', 'z', '.', 'w', 9, 0,
+  /* 9078 */ 'b', 'n', 'z', '.', 'w', 9, 0,
+  /* 9085 */ 'l', 'w', 9, 0,
+  /* 9089 */ 's', 'w', 9, 0,
+  /* 9093 */ 'l', 'h', 'x', 9, 0,
+  /* 9098 */ 'j', 'a', 'l', 'x', 9, 0,
+  /* 9104 */ 'l', 'b', 'u', 'x', 9, 0,
+  /* 9110 */ 'l', 'w', 'x', 9, 0,
+  /* 9115 */ 'b', 'g', 'e', 'z', 9, 0,
+  /* 9121 */ 'b', 'l', 'e', 'z', 9, 0,
+  /* 9127 */ 'b', 'n', 'e', 'z', 9, 0,
+  /* 9133 */ 's', 'e', 'l', 'n', 'e', 'z', 9, 0,
+  /* 9141 */ 'b', 't', 'n', 'e', 'z', 9, 0,
+  /* 9148 */ 'd', 'c', 'l', 'z', 9, 0,
+  /* 9154 */ 'b', 'e', 'q', 'z', 9, 0,
+  /* 9160 */ 's', 'e', 'l', 'e', 'q', 'z', 9, 0,
+  /* 9168 */ 'b', 't', 'e', 'q', 'z', 9, 0,
+  /* 9175 */ 'b', 'g', 't', 'z', 9, 0,
+  /* 9181 */ 'b', 'l', 't', 'z', 9, 0,
+  /* 9187 */ 'm', 'o', 'v', 'z', 9, 0,
+  /* 9193 */ 's', 'e', 'b', 9, 32, 0,
+  /* 9199 */ 'j', 'r', 'c', 9, 32, 0,
+  /* 9205 */ 's', 'e', 'h', 9, 32, 0,
+  /* 9211 */ 'd', 'd', 'i', 'v', 'u', 9, '$', 'z', 'e', 'r', 'o', ',', 32, 0,
+  /* 9225 */ 'd', 'd', 'i', 'v', 9, '$', 'z', 'e', 'r', 'o', ',', 32, 0,
+  /* 9238 */ 'a', 'd', 'd', 'i', 'u', 9, '$', 's', 'p', ',', 32, 0,
+  /* 9250 */ 'c', 'i', 'n', 's', '3', '2', 32, 0,
+  /* 9258 */ 'e', 'x', 't', 's', '3', '2', 32, 0,
+  /* 9266 */ 's', 'y', 'n', 'c', 32, 0,
+  /* 9272 */ 9, '.', 'w', 'o', 'r', 'd', 32, 0,
+  /* 9280 */ 'd', 'i', 'n', 's', 'm', 32, 0,
+  /* 9287 */ 'd', 'e', 'x', 't', 'm', 32, 0,
+  /* 9294 */ 'c', 'i', 'n', 's', 32, 0,
+  /* 9300 */ 'd', 'i', 'n', 's', 32, 0,
+  /* 9306 */ 'e', 'x', 't', 's', 32, 0,
+  /* 9312 */ 'd', 'e', 'x', 't', 32, 0,
+  /* 9318 */ 'd', 'i', 'n', 's', 'u', 32, 0,
+  /* 9325 */ 'd', 'e', 'x', 't', 'u', 32, 0,
+  /* 9332 */ 'b', 'c', '1', 'n', 'e', 'z', 32, 0,
+  /* 9340 */ 'b', 'c', '2', 'n', 'e', 'z', 32, 0,
+  /* 9348 */ 'b', 'c', '1', 'e', 'q', 'z', 32, 0,
+  /* 9356 */ 'b', 'c', '2', 'e', 'q', 'z', 32, 0,
+  /* 9364 */ 'c', '.', 0,
+  /* 9367 */ 'b', 'r', 'e', 'a', 'k', 32, '0', 0,
+  /* 9375 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 9388 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 9395 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 9405 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 9420 */ 'j', 'r', 'c', 9, 32, '$', 'r', 'a', 0,
+  /* 9429 */ 'j', 'r', 9, 32, '$', 'r', 'a', 0,
+  /* 9437 */ 'e', 'h', 'b', 0,
+  /* 9441 */ 'p', 'a', 'u', 's', 'e', 0,
+  /* 9447 */ 't', 'l', 'b', 'w', 'i', 0,
+  /* 9453 */ 'f', 'o', 'o', 0,
+  /* 9457 */ 't', 'l', 'b', 'p', 0,
+  /* 9462 */ 's', 's', 'n', 'o', 'p', 0,
+  /* 9468 */ 't', 'l', 'b', 'r', 0,
+  /* 9473 */ 't', 'l', 'b', 'w', 'r', 0,
+  /* 9479 */ 'd', 'e', 'r', 'e', 't', 0,
+  /* 9485 */ 'w', 'a', 'i', 't', 0,
   };
 #endif
 
@@ -4511,86 +4701,111 @@ static void printInstruction(MCInst *MI,
 #endif
 
 
-  // Fragment 0 encoded into 3 bits for 7 unique commands.
-  //printf("Frag-0: %"PRIu64"\n", (Bits >> 14) & 7);
-  switch ((Bits >> 14) & 7) {
-  default:   // unreachable.
+  // Fragment 0 encoded into 4 bits for 11 unique commands.
+  //printf("Frag-0: %"PRIu64"\n", (Bits >> 14) & 15);
+  switch ((Bits >> 14) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, Break16, CONSTPOOL_EN...
     return;
     break;
   case 1:
-    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDQH_PH, ADDQH_R_PH, AD...
+    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDIUPC_MM, ADDIUR1SP_MM...
     printOperand(MI, 0, O); 
     break;
   case 2:
-    // CACHE, CACHE_R6, PREF, PREF_R6
-    printUnsignedImm(MI, 2, O); 
+    // ADDIUS5_MM, CTC1, CTC1_MM, DAHI, DATI, DMTC1, MTC1, MTC1_MM, MTHI_DSP,...
+    printOperand(MI, 1, O); 
     SStream_concat0(O, ", "); 
-    printMemOperand(MI, 0, O); 
-    return;
     break;
   case 3:
-    // CTC1, CTC1_MM, DAHI, DATI, DMTC1, MTC1, MTC1_MM, MTHC1_MM, MTHI_DSP, M...
-    printOperand(MI, 1, O); 
+    // AND16_MM, MTHC1_D32, MTHC1_D64, MTHC1_MM, OR16_MM, XOR16_MM
+    printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
   case 4:
-    // FCMP_D32, FCMP_D32_MM, FCMP_D64, FCMP_S32, FCMP_S32_MM
-    printFCCOperand(MI, 2, O); 
+    // BREAK16_MM, SDBBP16_MM
+    printUnsignedImm8(MI, 0, O); 
+    return;
     break;
   case 5:
-    // MTHC1_D32, MTHC1_D64
-    printOperand(MI, 2, O); 
+    // CACHE, CACHE_MM, CACHE_R6, PREF, PREF_MM, PREF_R6
+    printUnsignedImm(MI, 2, O); 
     SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
+    printMemOperand(MI, 0, O); 
     return;
     break;
   case 6:
+    // FCMP_D32, FCMP_D32_MM, FCMP_D64, FCMP_S32, FCMP_S32_MM
+    printFCCOperand(MI, 2, O); 
+    break;
+  case 7:
+    // LWM16_MM, LWM32_MM, LWM_MM, MOVEP_MM, SWM16_MM, SWM32_MM, SWM_MM
+    printRegisterList(MI, 0, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 8:
+    // LWP_MM, SWP_MM
+    printRegisterPair(MI, 0, O); 
+    SStream_concat0(O, ", "); 
+    printMemOperand(MI, 2, O); 
+    return;
+    break;
+  case 9:
+    // SYNCI
+    printMemOperand(MI, 0, O); 
+    return;
+    break;
+  case 10:
     // SelBeqZ, SelBneZ, SelTBteqZCmp, SelTBteqZCmpi, SelTBteqZSlt, SelTBteqZ...
     printOperand(MI, 3, O); 
     break;
   }
 
 
-  // Fragment 1 encoded into 4 bits for 15 unique commands.
-  //printf("Frag-1: %"PRIu64"\n", (Bits >> 17) & 15);
-  switch ((Bits >> 17) & 15) {
-  default:   // unreachable.
+  // Fragment 1 encoded into 5 bits for 17 unique commands.
+  //printf("Frag-1: %"PRIu64"\n", (Bits >> 18) & 31);
+  switch ((Bits >> 18) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDQH_PH, ADDQH_R_PH, AD...
+    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDIUPC_MM, ADDIUR1SP_MM...
     SStream_concat0(O, ", "); 
     break;
   case 1:
-    // AddiuRxPcImmX16
-    SStream_concat0(O, ", $pc, "); 
-    printOperand(MI, 1, O); 
-    return;
+    // ADDIUS5_MM, DAHI, DATI, MOVEP_MM, MultRxRyRz16, MultuRxRyRz16, SltCCRx...
+    printOperand(MI, 2, O); 
     break;
   case 2:
-    // AddiuSpImm16, Bimm16
-    SStream_concat0(O, " # 16 bit inst"); 
+    // ADDIUSP_MM, AddiuSpImmX16, B16_MM, BAL, BALC, BC, BPOSGE32, B_MM_Pseud...
     return;
     break;
   case 3:
-    // AddiuSpImmX16, BAL, BALC, BC, BPOSGE32, BimmX16, BteqzX16, BtnezX16, C...
+    // AND16_MM, OR16_MM, XOR16_MM
+    printOperand(MI, 1, O); 
     return;
     break;
   case 4:
-    // Bteqz16, Btnez16
-    SStream_concat0(O, "  # 16 bit inst"); 
+    // AddiuRxPcImmX16
+    SStream_concat0(O, ", $pc, "); 
+    printOperand(MI, 1, O); 
     return;
     break;
   case 5:
-    // CTC1, CTC1_MM, DMTC1, MTC1, MTC1_MM, MTHC1_MM, MTHI_DSP, MTHLIP, MTLO_...
-    printOperand(MI, 0, O); 
+    // AddiuSpImm16, Bimm16
+    SStream_concat0(O, " # 16 bit inst"); 
     return;
     break;
   case 6:
-    // DAHI, DATI, MultRxRyRz16, MultuRxRyRz16, SltCCRxRy16, SltiCCRxImmX16, ...
-    printOperand(MI, 2, O); 
+    // Bteqz16, Btnez16
+    SStream_concat0(O, "  # 16 bit inst"); 
+    return;
     break;
   case 7:
+    // CTC1, CTC1_MM, DMTC1, MTC1, MTC1_MM, MTHC1_D32, MTHC1_D64, MTHC1_MM, M...
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 8:
     // FCMP_D32, FCMP_D32_MM, FCMP_D64
     SStream_concat0(O, ".d\t"); 
     printOperand(MI, 0, O); 
@@ -4598,7 +4813,7 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 1, O); 
     return;
     break;
-  case 8:
+  case 9:
     // FCMP_S32, FCMP_S32_MM
     SStream_concat0(O, ".s\t"); 
     printOperand(MI, 0, O); 
@@ -4606,33 +4821,38 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 1, O); 
     return;
     break;
-  case 9:
+  case 10:
     // INSERT_B, INSERT_D, INSERT_H, INSERT_W, INSVE_B, INSVE_D, INSVE_H, INS...
     SStream_concat0(O, "["); 
     break;
-  case 10:
+  case 11:
     // Jal16
     SStream_concat0(O, "\n\tnop"); 
     return;
     break;
-  case 11:
+  case 12:
     // JalB16
     SStream_concat0(O, "\t# branch\n\tnop"); 
     return;
     break;
-  case 12:
+  case 13:
+    // LWM16_MM, LWM32_MM, LWM_MM, SWM16_MM, SWM32_MM, SWM_MM
+    printMemOperand(MI, 1, O); 
+    return;
+    break;
+  case 14:
     // LwConstant32
     SStream_concat0(O, ", 1f\n\tb\t2f\n\t.align\t2\n1: \t.word\t"); 
     printOperand(MI, 1, O); 
     SStream_concat0(O, "\n2:"); 
     return;
     break;
-  case 13:
+  case 15:
     // SC, SCD, SCD_R6, SC_MM, SC_R6
     printMemOperand(MI, 2, O); 
     return;
     break;
-  case 14:
+  case 16:
     // SelBeqZ, SelBneZ
     SStream_concat0(O, ", .+4\n\t\n\tmove "); 
     printOperand(MI, 1, O); 
@@ -4643,35 +4863,39 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 2 encoded into 4 bits for 11 unique commands.
-  //printf("Frag-2: %"PRIu64"\n", (Bits >> 21) & 15);
-  switch ((Bits >> 21) & 15) {
-  default:   // unreachable.
+  // Fragment 2 encoded into 4 bits for 12 unique commands.
+  //printf("Frag-2: %"PRIu64"\n", (Bits >> 23) & 15);
+  switch ((Bits >> 23) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDQH_PH, ADDQH_R_PH, AD...
+    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADD, ADDIUPC, ADDIUPC_MM, ADDIUR1SP_MM...
     printOperand(MI, 1, O); 
     break;
   case 1:
+    // ADDIUS5_MM, DAHI, DATI
+    return;
+    break;
+  case 2:
     // AddiuRxRxImm16, AddiuRxRxImmX16, AndRxRxRy16, BINSLI_B, BINSLI_D, BINS...
     printOperand(MI, 2, O); 
     break;
-  case 2:
+  case 3:
     // AddiuRxRyOffMemX16, LEA_ADDiu, LEA_ADDiu64, LEA_ADDiu_MM
     printMemOperandEA(MI, 1, O); 
     return;
     break;
-  case 3:
-    // DAHI, DATI
-    return;
-    break;
   case 4:
+    // BBIT0, BBIT032, BBIT1, BBIT132, LUi, LUi64, LUi_MM, LoadAddr32Imm, Loa...
+    printUnsignedImm(MI, 1, O); 
+    break;
+  case 5:
     // INSERT_B, INSERT_D, INSERT_H, INSERT_W
     printUnsignedImm(MI, 3, O); 
     SStream_concat0(O, "], "); 
     printOperand(MI, 2, O); 
     return;
     break;
-  case 5:
+  case 6:
     // INSVE_B, INSVE_D, INSVE_H, INSVE_W
     printUnsignedImm(MI, 2, O); 
     SStream_concat0(O, "], "); 
@@ -4681,27 +4905,28 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "]"); 
     return;
     break;
-  case 6:
-    // LB, LB64, LB_MM, LBu, LBu64, LBu_MM, LD, LDC1, LDC164, LDC1_MM, LDC2, ...
+  case 7:
+    // LB, LB64, LBU16_MM, LB_MM, LBu, LBu64, LBu_MM, LD, LDC1, LDC164, LDC1_...
     printMemOperand(MI, 1, O); 
     return;
     break;
-  case 7:
-    // LUi, LUi64, LUi_MM, LoadAddr32Imm, LoadImm32Reg, RDDSP, REPL_PH, REPL_...
-    printUnsignedImm(MI, 1, O); 
+  case 8:
+    // MOVEP_MM
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
     return;
     break;
-  case 8:
+  case 9:
     // MultRxRyRz16, MultuRxRyRz16
     SStream_concat0(O, "\n\tmflo\t"); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 9:
+  case 10:
     // SelTBteqZCmp, SelTBteqZCmpi, SelTBteqZSlt, SelTBteqZSlti, SelTBteqZSlt...
     printOperand(MI, 4, O); 
     break;
-  case 10:
+  case 11:
     // SltCCRxRy16, SltiCCRxImmX16, SltiuCCRxImmX16, SltuCCRxRy16, SltuRxRyRz...
     SStream_concat0(O, "\n\tmove\t"); 
     printOperand(MI, 0, O); 
@@ -4712,15 +4937,15 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 3 encoded into 4 bits for 15 unique commands.
-  //printf("Frag-3: %"PRIu64"\n", (Bits >> 25) & 15);
-  switch ((Bits >> 25) & 15) {
-  default:   // unreachable.
+  //printf("Frag-3: %"PRIu64"\n", (Bits >> 27) & 15);
+  switch ((Bits >> 27) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADDIUPC, ALUIPC, AUIPC, AddiuRxImmX16,...
+    // ABSQ_S_PH, ABSQ_S_QB, ABSQ_S_W, ADDIUPC, ADDIUPC_MM, ADDIUR1SP_MM, ALU...
     return;
     break;
   case 1:
-    // ADD, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, ADDQ_S_PH, ADD...
+    // ADD, ADDIUR2_MM, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, AD...
     SStream_concat0(O, ", "); 
     break;
   case 2:
@@ -4807,11 +5032,11 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 4 encoded into 3 bits for 5 unique commands.
-  //printf("Frag-4: %"PRIu64"\n", (Bits >> 29) & 7);
-  switch ((Bits >> 29) & 7) {
-  default:   // unreachable.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 31) & 7);
+  switch ((Bits >> 31) & 7) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ADD, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, ADDQ_S_PH, ADD...
+    // ADD, ADDIUR2_MM, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, AD...
     printOperand(MI, 2, O); 
     break;
   case 1:
@@ -4834,11 +5059,11 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 5 encoded into 2 bits for 3 unique commands.
-  //printf("Frag-5: %"PRIu64"\n", (Bits >> 32) & 3);
-  switch ((Bits >> 32) & 3) {
-  default:   // unreachable.
+  //printf("Frag-5: %"PRIu64"\n", (Bits >> 34) & 3);
+  switch ((Bits >> 34) & 3) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // ADD, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, ADDQ_S_PH, ADD...
+    // ADD, ADDIUR2_MM, ADDQH_PH, ADDQH_R_PH, ADDQH_R_W, ADDQH_W, ADDQ_PH, AD...
     return;
     break;
   case 1:
@@ -4854,8 +5079,8 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 6 encoded into 1 bits for 2 unique commands.
-  //printf("Frag-6: %"PRIu64"\n", (Bits >> 34) & 1);
-  if ((Bits >> 34) & 1) {
+  //printf("Frag-6: %"PRIu64"\n", (Bits >> 36) & 1);
+  if ((Bits >> 36) & 1) {
     // DEXT, DEXTM, DEXTU, DINS, DINSM, DINSU, EXT, EXT_MM, INS, INS_MM, MADD...
     printOperand(MI, 3, O); 
     return;
@@ -4991,25 +5216,29 @@ static const char *getRegisterName(unsig
   /* 459 */ 'w', '9', 0,
   /* 462 */ 'D', 'S', 'P', 'E', 'F', 'I', 0,
   /* 469 */ 'r', 'a', 0,
-  /* 472 */ 'p', 'c', 0,
-  /* 475 */ 'D', 'S', 'P', 'C', 'C', 'o', 'n', 'd', 0,
-  /* 484 */ 'D', 'S', 'P', 'O', 'u', 't', 'F', 'l', 'a', 'g', 0,
-  /* 495 */ 'h', 'i', 0,
-  /* 498 */ 'l', 'o', 0,
-  /* 501 */ 'z', 'e', 'r', 'o', 0,
-  /* 506 */ 'f', 'p', 0,
-  /* 509 */ 'g', 'p', 0,
-  /* 512 */ 's', 'p', 0,
-  /* 515 */ 'D', 'S', 'P', 'P', 'o', 's', 0,
-  /* 522 */ 'a', 't', 0,
-  /* 525 */ 'D', 'S', 'P', 'S', 'C', 'o', 'u', 'n', 't', 0,
-  /* 535 */ 'D', 'S', 'P', 'C', 'a', 'r', 'r', 'y', 0,
+  /* 472 */ 'h', 'w', 'r', '_', 'c', 'c', 0,
+  /* 479 */ 'p', 'c', 0,
+  /* 482 */ 'D', 'S', 'P', 'C', 'C', 'o', 'n', 'd', 0,
+  /* 491 */ 'D', 'S', 'P', 'O', 'u', 't', 'F', 'l', 'a', 'g', 0,
+  /* 502 */ 'h', 'i', 0,
+  /* 505 */ 'h', 'w', 'r', '_', 'c', 'p', 'u', 'n', 'u', 'm', 0,
+  /* 516 */ 'l', 'o', 0,
+  /* 519 */ 'z', 'e', 'r', 'o', 0,
+  /* 524 */ 'h', 'w', 'r', '_', 's', 'y', 'n', 'c', 'i', '_', 's', 't', 'e', 'p', 0,
+  /* 539 */ 'f', 'p', 0,
+  /* 542 */ 'g', 'p', 0,
+  /* 545 */ 's', 'p', 0,
+  /* 548 */ 'h', 'w', 'r', '_', 'c', 'c', 'r', 'e', 's', 0,
+  /* 558 */ 'D', 'S', 'P', 'P', 'o', 's', 0,
+  /* 565 */ 'a', 't', 0,
+  /* 568 */ 'D', 'S', 'P', 'S', 'C', 'o', 'u', 'n', 't', 0,
+  /* 578 */ 'D', 'S', 'P', 'C', 'a', 'r', 'r', 'y', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    522, 475, 535, 462, 484, 515, 525, 506, 509, 152, 77, 2, 332, 266, 
-    299, 213, 365, 472, 469, 512, 501, 37, 112, 179, 240, 40, 115, 182, 
-    243, 522, 45, 120, 187, 248, 281, 314, 347, 380, 2, 77, 152, 213, 
+  static const uint16_t RegAsmOffset[] = {
+    565, 482, 578, 462, 491, 558, 568, 539, 542, 152, 77, 2, 332, 266, 
+    299, 213, 365, 479, 469, 545, 519, 37, 112, 179, 240, 40, 115, 182, 
+    243, 565, 45, 120, 187, 248, 281, 314, 347, 380, 2, 77, 152, 213, 
     266, 299, 332, 365, 398, 435, 2, 77, 152, 213, 266, 299, 332, 365, 
     398, 435, 1, 76, 151, 212, 265, 298, 331, 364, 397, 434, 9, 84, 
     159, 220, 273, 306, 339, 372, 405, 446, 30, 105, 1, 76, 151, 212, 
@@ -5020,28 +5249,29 @@ static const char *getRegisterName(unsig
     396, 437, 8, 83, 158, 219, 272, 305, 338, 371, 404, 445, 29, 104, 
     44, 119, 186, 247, 280, 313, 346, 379, 2, 77, 152, 213, 266, 299, 
     332, 365, 398, 435, 1, 76, 151, 212, 265, 298, 331, 364, 397, 434, 
-    9, 84, 159, 220, 273, 306, 339, 372, 405, 446, 30, 105, 506, 49, 
+    9, 84, 159, 220, 273, 306, 339, 372, 405, 446, 30, 105, 539, 49, 
     124, 191, 252, 285, 318, 351, 384, 412, 453, 0, 75, 150, 211, 264, 
     297, 330, 363, 396, 437, 8, 83, 158, 219, 272, 305, 338, 371, 404, 
-    445, 29, 104, 509, 40, 115, 182, 243, 2, 77, 152, 213, 266, 299, 
+    445, 29, 104, 542, 40, 115, 182, 243, 505, 524, 472, 548, 266, 299, 
     332, 365, 398, 435, 1, 76, 151, 212, 265, 298, 331, 364, 397, 434, 
     9, 84, 159, 220, 273, 306, 339, 372, 405, 446, 30, 105, 52, 127, 
     40, 115, 182, 243, 55, 130, 194, 60, 135, 199, 469, 63, 138, 202, 
-    255, 288, 321, 354, 387, 512, 66, 141, 205, 258, 291, 324, 357, 390, 
+    255, 288, 321, 354, 387, 545, 66, 141, 205, 258, 291, 324, 357, 390, 
     415, 456, 69, 144, 72, 147, 208, 261, 294, 327, 360, 393, 418, 459, 
     4, 79, 154, 215, 268, 301, 334, 367, 400, 441, 25, 100, 175, 236, 
-    276, 309, 342, 375, 408, 449, 33, 108, 501, 37, 112, 179, 240, 40, 
+    276, 309, 342, 375, 408, 449, 33, 108, 519, 37, 112, 179, 240, 40, 
     49, 124, 191, 252, 285, 318, 351, 384, 412, 453, 0, 75, 150, 211, 
     264, 297, 330, 363, 396, 437, 8, 83, 158, 219, 272, 305, 338, 371, 
-    404, 445, 29, 104, 421, 495, 52, 127, 498, 63, 138, 202, 255, 288, 
+    404, 445, 29, 104, 421, 502, 52, 127, 516, 63, 138, 202, 255, 288, 
     321, 354, 387, 66, 141, 205, 258, 291, 324, 357, 390, 415, 456, 69, 
     144, 
   };
 
+  //printf("==== RegNo = %u, id = %s\n", RegNo, AsmStrs+RegAsmOffset[RegNo-1]);
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
-  //printf("*************************\n");
+  //printf("-------------------------\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
 #else
   return NULL;
@@ -5281,6 +5511,15 @@ static char *printAliasInstr(MCInst *MI,
       break;
     }
     return NULL;
+  case Mips_MOVE16_MM:
+    if (MCInst_getNumOperands(MI) == 2 &&
+        MCOperand_getReg(MCInst_getOperand(MI, 0)) == Mips_ZERO &&
+        MCOperand_getReg(MCInst_getOperand(MI, 1)) == Mips_ZERO) {
+      // (MOVE16_MM ZERO, ZERO)
+      AsmString = "nop";
+      break;
+    }
+    return NULL;
   case Mips_SDBBP:
     if (MCInst_getNumOperands(MI) == 1 &&
         MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
@@ -5309,6 +5548,17 @@ static char *printAliasInstr(MCInst *MI,
       AsmString = "nop";
       break;
     }
+    return NULL;
+  case Mips_SLL_MM:
+    if (MCInst_getNumOperands(MI) == 3 &&
+        MCOperand_getReg(MCInst_getOperand(MI, 0)) == Mips_ZERO &&
+        MCOperand_getReg(MCInst_getOperand(MI, 1)) == Mips_ZERO &&
+        MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
+      // (SLL_MM ZERO, ZERO, 0)
+      AsmString = "nop";
+      break;
+    }
     return NULL;
   case Mips_SUB:
     if (MCInst_getNumOperands(MI) == 3 &&
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsGenDisassemblerTables.inc 4.0.2-3/arch/Mips/MipsGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -24,392 +24,577 @@ static InsnType fname(InsnType insn, uns
   return (insn & fieldMask) >> startBit; \
 }
 
-#if 0
-// TODO: properly handle this in the future with MIPS1/2 modes
-static const uint8_t DecoderTableCOP3_32[] = {
+static uint8_t DecoderTableCOP3_32[] = {
 /* 0 */       MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
 /* 3 */       MCD_OPC_FilterValue, 51, 8, 0, // Skip to: 15
 /* 7 */       MCD_OPC_CheckPredicate, 1, 40, 0, // Skip to: 51
-/* 11 */      MCD_OPC_Decode, 189, 7, 10, // Opcode: LWC3
+/* 11 */      MCD_OPC_Decode, 220, 7, 10, // Opcode: LWC3
 /* 15 */      MCD_OPC_FilterValue, 55, 8, 0, // Skip to: 27
 /* 19 */      MCD_OPC_CheckPredicate, 2, 28, 0, // Skip to: 51
-/* 23 */      MCD_OPC_Decode, 139, 7, 10, // Opcode: LDC3
+/* 23 */      MCD_OPC_Decode, 167, 7, 10, // Opcode: LDC3
 /* 27 */      MCD_OPC_FilterValue, 59, 8, 0, // Skip to: 39
 /* 31 */      MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 51
-/* 35 */      MCD_OPC_Decode, 174, 12, 10, // Opcode: SWC3
+/* 35 */      MCD_OPC_Decode, 242, 12, 10, // Opcode: SWC3
 /* 39 */      MCD_OPC_FilterValue, 63, 8, 0, // Skip to: 51
 /* 43 */      MCD_OPC_CheckPredicate, 2, 4, 0, // Skip to: 51
-/* 47 */      MCD_OPC_Decode, 227, 10, 10, // Opcode: SDC3
+/* 47 */      MCD_OPC_Decode, 161, 11, 10, // Opcode: SDC3
 /* 51 */      MCD_OPC_Fail,
   0
 };
-#endif
+
+static uint8_t DecoderTableMicroMips16[] = {
+/* 0 */       MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 3 */       MCD_OPC_FilterValue, 1, 26, 0, // Skip to: 33
+/* 7 */       MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 10 */      MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 21
+/* 14 */      MCD_OPC_CheckPredicate, 3, 19, 2, // Skip to: 549
+/* 18 */      MCD_OPC_Decode, 52, 11, // Opcode: ADDU16_MM
+/* 21 */      MCD_OPC_FilterValue, 1, 12, 2, // Skip to: 549
+/* 25 */      MCD_OPC_CheckPredicate, 3, 8, 2, // Skip to: 549
+/* 29 */      MCD_OPC_Decode, 214, 12, 11, // Opcode: SUBU16_MM
+/* 33 */      MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 45
+/* 37 */      MCD_OPC_CheckPredicate, 3, 252, 1, // Skip to: 549
+/* 41 */      MCD_OPC_Decode, 155, 7, 12, // Opcode: LBU16_MM
+/* 45 */      MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 57
+/* 49 */      MCD_OPC_CheckPredicate, 3, 240, 1, // Skip to: 549
+/* 53 */      MCD_OPC_Decode, 233, 8, 13, // Opcode: MOVE16_MM
+/* 57 */      MCD_OPC_FilterValue, 9, 27, 0, // Skip to: 88
+/* 61 */      MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 64 */      MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 76
+/* 68 */      MCD_OPC_CheckPredicate, 3, 221, 1, // Skip to: 549
+/* 72 */      MCD_OPC_Decode, 226, 11, 14, // Opcode: SLL16_MM
+/* 76 */      MCD_OPC_FilterValue, 1, 213, 1, // Skip to: 549
+/* 80 */      MCD_OPC_CheckPredicate, 3, 209, 1, // Skip to: 549
+/* 84 */      MCD_OPC_Decode, 160, 12, 14, // Opcode: SRL16_MM
+/* 88 */      MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 100
+/* 92 */      MCD_OPC_CheckPredicate, 3, 197, 1, // Skip to: 549
+/* 96 */      MCD_OPC_Decode, 186, 7, 12, // Opcode: LHU16_MM
+/* 100 */     MCD_OPC_FilterValue, 11, 7, 0, // Skip to: 111
+/* 104 */     MCD_OPC_CheckPredicate, 3, 185, 1, // Skip to: 549
+/* 108 */     MCD_OPC_Decode, 86, 15, // Opcode: ANDI16_MM
+/* 111 */     MCD_OPC_FilterValue, 17, 226, 0, // Skip to: 341
+/* 115 */     MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
+/* 118 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 130
+/* 122 */     MCD_OPC_CheckPredicate, 3, 167, 1, // Skip to: 549
+/* 126 */     MCD_OPC_Decode, 130, 10, 16, // Opcode: NOT16_MM
+/* 130 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 142
+/* 134 */     MCD_OPC_CheckPredicate, 3, 155, 1, // Skip to: 549
+/* 138 */     MCD_OPC_Decode, 237, 13, 17, // Opcode: XOR16_MM
+/* 142 */     MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 153
+/* 146 */     MCD_OPC_CheckPredicate, 3, 143, 1, // Skip to: 549
+/* 150 */     MCD_OPC_Decode, 84, 17, // Opcode: AND16_MM
+/* 153 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 165
+/* 157 */     MCD_OPC_CheckPredicate, 3, 132, 1, // Skip to: 549
+/* 161 */     MCD_OPC_Decode, 134, 10, 17, // Opcode: OR16_MM
+/* 165 */     MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 177
+/* 169 */     MCD_OPC_CheckPredicate, 3, 120, 1, // Skip to: 549
+/* 173 */     MCD_OPC_Decode, 225, 7, 18, // Opcode: LWM16_MM
+/* 177 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 189
+/* 181 */     MCD_OPC_CheckPredicate, 3, 108, 1, // Skip to: 549
+/* 185 */     MCD_OPC_Decode, 246, 12, 18, // Opcode: SWM16_MM
+/* 189 */     MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 220
+/* 193 */     MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 196 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 208
+/* 200 */     MCD_OPC_CheckPredicate, 3, 89, 1, // Skip to: 549
+/* 204 */     MCD_OPC_Decode, 137, 7, 19, // Opcode: JR16_MM
+/* 208 */     MCD_OPC_FilterValue, 1, 81, 1, // Skip to: 549
+/* 212 */     MCD_OPC_CheckPredicate, 3, 77, 1, // Skip to: 549
+/* 216 */     MCD_OPC_Decode, 140, 7, 19, // Opcode: JRC16_MM
+/* 220 */     MCD_OPC_FilterValue, 7, 27, 0, // Skip to: 251
+/* 224 */     MCD_OPC_ExtractField, 5, 1,  // Inst{5} ...
+/* 227 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 239
+/* 231 */     MCD_OPC_CheckPredicate, 3, 58, 1, // Skip to: 549
+/* 235 */     MCD_OPC_Decode, 250, 6, 19, // Opcode: JALR16_MM
+/* 239 */     MCD_OPC_FilterValue, 1, 50, 1, // Skip to: 549
+/* 243 */     MCD_OPC_CheckPredicate, 3, 46, 1, // Skip to: 549
+/* 247 */     MCD_OPC_Decode, 254, 6, 19, // Opcode: JALRS16_MM
+/* 251 */     MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 269
+/* 255 */     MCD_OPC_CheckPredicate, 3, 34, 1, // Skip to: 549
+/* 259 */     MCD_OPC_CheckField, 5, 1, 0, 28, 1, // Skip to: 549
+/* 265 */     MCD_OPC_Decode, 187, 8, 19, // Opcode: MFHI16_MM
+/* 269 */     MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 287
+/* 273 */     MCD_OPC_CheckPredicate, 3, 16, 1, // Skip to: 549
+/* 277 */     MCD_OPC_CheckField, 5, 1, 0, 10, 1, // Skip to: 549
+/* 283 */     MCD_OPC_Decode, 192, 8, 19, // Opcode: MFLO16_MM
+/* 287 */     MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 305
+/* 291 */     MCD_OPC_CheckPredicate, 3, 254, 0, // Skip to: 549
+/* 295 */     MCD_OPC_CheckField, 4, 2, 0, 248, 0, // Skip to: 549
+/* 301 */     MCD_OPC_Decode, 172, 2, 20, // Opcode: BREAK16_MM
+/* 305 */     MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 323
+/* 309 */     MCD_OPC_CheckPredicate, 3, 236, 0, // Skip to: 549
+/* 313 */     MCD_OPC_CheckField, 4, 2, 0, 230, 0, // Skip to: 549
+/* 319 */     MCD_OPC_Decode, 153, 11, 20, // Opcode: SDBBP16_MM
+/* 323 */     MCD_OPC_FilterValue, 12, 222, 0, // Skip to: 549
+/* 327 */     MCD_OPC_CheckPredicate, 3, 218, 0, // Skip to: 549
+/* 331 */     MCD_OPC_CheckField, 5, 1, 0, 212, 0, // Skip to: 549
+/* 337 */     MCD_OPC_Decode, 139, 7, 21, // Opcode: JRADDIUSP
+/* 341 */     MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 353
+/* 345 */     MCD_OPC_CheckPredicate, 3, 200, 0, // Skip to: 549
+/* 349 */     MCD_OPC_Decode, 233, 7, 22, // Opcode: LWSP_MM
+/* 353 */     MCD_OPC_FilterValue, 19, 25, 0, // Skip to: 382
+/* 357 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 360 */     MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 371
+/* 364 */     MCD_OPC_CheckPredicate, 3, 181, 0, // Skip to: 549
+/* 368 */     MCD_OPC_Decode, 30, 23, // Opcode: ADDIUS5_MM
+/* 371 */     MCD_OPC_FilterValue, 1, 174, 0, // Skip to: 549
+/* 375 */     MCD_OPC_CheckPredicate, 3, 170, 0, // Skip to: 549
+/* 379 */     MCD_OPC_Decode, 31, 24, // Opcode: ADDIUSP_MM
+/* 382 */     MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 394
+/* 386 */     MCD_OPC_CheckPredicate, 3, 159, 0, // Skip to: 549
+/* 390 */     MCD_OPC_Decode, 221, 7, 25, // Opcode: LWGP_MM
+/* 394 */     MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 406
+/* 398 */     MCD_OPC_CheckPredicate, 3, 147, 0, // Skip to: 549
+/* 402 */     MCD_OPC_Decode, 214, 7, 12, // Opcode: LW16_MM
+/* 406 */     MCD_OPC_FilterValue, 27, 25, 0, // Skip to: 435
+/* 410 */     MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 413 */     MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 424
+/* 417 */     MCD_OPC_CheckPredicate, 3, 128, 0, // Skip to: 549
+/* 421 */     MCD_OPC_Decode, 29, 26, // Opcode: ADDIUR2_MM
+/* 424 */     MCD_OPC_FilterValue, 1, 121, 0, // Skip to: 549
+/* 428 */     MCD_OPC_CheckPredicate, 3, 117, 0, // Skip to: 549
+/* 432 */     MCD_OPC_Decode, 28, 27, // Opcode: ADDIUR1SP_MM
+/* 435 */     MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 453
+/* 439 */     MCD_OPC_CheckPredicate, 3, 106, 0, // Skip to: 549
+/* 443 */     MCD_OPC_CheckField, 0, 1, 0, 100, 0, // Skip to: 549
+/* 449 */     MCD_OPC_Decode, 234, 8, 28, // Opcode: MOVEP_MM
+/* 453 */     MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 465
+/* 457 */     MCD_OPC_CheckPredicate, 3, 88, 0, // Skip to: 549
+/* 461 */     MCD_OPC_Decode, 143, 11, 12, // Opcode: SB16_MM
+/* 465 */     MCD_OPC_FilterValue, 35, 8, 0, // Skip to: 477
+/* 469 */     MCD_OPC_CheckPredicate, 3, 76, 0, // Skip to: 549
+/* 473 */     MCD_OPC_Decode, 210, 1, 29, // Opcode: BEQZ16_MM
+/* 477 */     MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 489
+/* 481 */     MCD_OPC_CheckPredicate, 3, 64, 0, // Skip to: 549
+/* 485 */     MCD_OPC_Decode, 187, 11, 12, // Opcode: SH16_MM
+/* 489 */     MCD_OPC_FilterValue, 43, 8, 0, // Skip to: 501
+/* 493 */     MCD_OPC_CheckPredicate, 3, 52, 0, // Skip to: 549
+/* 497 */     MCD_OPC_Decode, 157, 2, 29, // Opcode: BNEZ16_MM
+/* 501 */     MCD_OPC_FilterValue, 50, 8, 0, // Skip to: 513
+/* 505 */     MCD_OPC_CheckPredicate, 3, 40, 0, // Skip to: 549
+/* 509 */     MCD_OPC_Decode, 253, 12, 22, // Opcode: SWSP_MM
+/* 513 */     MCD_OPC_FilterValue, 51, 8, 0, // Skip to: 525
+/* 517 */     MCD_OPC_CheckPredicate, 4, 28, 0, // Skip to: 549
+/* 521 */     MCD_OPC_Decode, 165, 1, 30, // Opcode: B16_MM
+/* 525 */     MCD_OPC_FilterValue, 58, 8, 0, // Skip to: 537
+/* 529 */     MCD_OPC_CheckPredicate, 3, 16, 0, // Skip to: 549
+/* 533 */     MCD_OPC_Decode, 236, 12, 12, // Opcode: SW16_MM
+/* 537 */     MCD_OPC_FilterValue, 59, 8, 0, // Skip to: 549
+/* 541 */     MCD_OPC_CheckPredicate, 3, 4, 0, // Skip to: 549
+/* 545 */     MCD_OPC_Decode, 192, 7, 31, // Opcode: LI16_MM
+/* 549 */     MCD_OPC_Fail,
+  0
+};
 
 static const uint8_t DecoderTableMicroMips32[] = {
 /* 0 */       MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
-/* 3 */       MCD_OPC_FilterValue, 0, 114, 3, // Skip to: 889
+/* 3 */       MCD_OPC_FilterValue, 0, 189, 3, // Skip to: 964
 /* 7 */       MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 10 */      MCD_OPC_FilterValue, 0, 51, 0, // Skip to: 65
+/* 10 */      MCD_OPC_FilterValue, 0, 90, 0, // Skip to: 104
 /* 14 */      MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 17 */      MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 29
-/* 21 */      MCD_OPC_CheckPredicate, 3, 156, 5, // Skip to: 1461
-/* 25 */      MCD_OPC_Decode, 174, 11, 14, // Opcode: SLL_MM
-/* 29 */      MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 41
-/* 33 */      MCD_OPC_CheckPredicate, 3, 144, 5, // Skip to: 1461
-/* 37 */      MCD_OPC_Decode, 241, 11, 14, // Opcode: SRL_MM
-/* 41 */      MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 53
-/* 45 */      MCD_OPC_CheckPredicate, 3, 132, 5, // Skip to: 1461
-/* 49 */      MCD_OPC_Decode, 221, 11, 14, // Opcode: SRA_MM
-/* 53 */      MCD_OPC_FilterValue, 3, 124, 5, // Skip to: 1461
-/* 57 */      MCD_OPC_CheckPredicate, 3, 120, 5, // Skip to: 1461
-/* 61 */      MCD_OPC_Decode, 191, 10, 14, // Opcode: ROTR_MM
-/* 65 */      MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 77
-/* 69 */      MCD_OPC_CheckPredicate, 3, 108, 5, // Skip to: 1461
-/* 73 */      MCD_OPC_Decode, 155, 2, 15, // Opcode: BREAK_MM
-/* 77 */      MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 89
-/* 81 */      MCD_OPC_CheckPredicate, 3, 96, 5, // Skip to: 1461
-/* 85 */      MCD_OPC_Decode, 225, 6, 16, // Opcode: INS_MM
-/* 89 */      MCD_OPC_FilterValue, 16, 180, 0, // Skip to: 273
-/* 93 */      MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 96 */      MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 108
-/* 100 */     MCD_OPC_CheckPredicate, 3, 77, 5, // Skip to: 1461
-/* 104 */     MCD_OPC_Decode, 170, 11, 17, // Opcode: SLLV_MM
-/* 108 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 120
-/* 112 */     MCD_OPC_CheckPredicate, 3, 65, 5, // Skip to: 1461
-/* 116 */     MCD_OPC_Decode, 237, 11, 17, // Opcode: SRLV_MM
-/* 120 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 132
-/* 124 */     MCD_OPC_CheckPredicate, 3, 53, 5, // Skip to: 1461
-/* 128 */     MCD_OPC_Decode, 217, 11, 17, // Opcode: SRAV_MM
-/* 132 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 144
-/* 136 */     MCD_OPC_CheckPredicate, 3, 41, 5, // Skip to: 1461
-/* 140 */     MCD_OPC_Decode, 190, 10, 17, // Opcode: ROTRV_MM
-/* 144 */     MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 155
-/* 148 */     MCD_OPC_CheckPredicate, 3, 29, 5, // Skip to: 1461
-/* 152 */     MCD_OPC_Decode, 64, 18, // Opcode: ADD_MM
-/* 155 */     MCD_OPC_FilterValue, 5, 7, 0, // Skip to: 166
-/* 159 */     MCD_OPC_CheckPredicate, 3, 18, 5, // Skip to: 1461
-/* 163 */     MCD_OPC_Decode, 70, 18, // Opcode: ADDu_MM
-/* 166 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 178
-/* 170 */     MCD_OPC_CheckPredicate, 3, 7, 5, // Skip to: 1461
-/* 174 */     MCD_OPC_Decode, 162, 12, 18, // Opcode: SUB_MM
-/* 178 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 190
-/* 182 */     MCD_OPC_CheckPredicate, 3, 251, 4, // Skip to: 1461
-/* 186 */     MCD_OPC_Decode, 164, 12, 18, // Opcode: SUBu_MM
-/* 190 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 202
-/* 194 */     MCD_OPC_CheckPredicate, 3, 239, 4, // Skip to: 1461
-/* 198 */     MCD_OPC_Decode, 178, 9, 18, // Opcode: MUL_MM
-/* 202 */     MCD_OPC_FilterValue, 9, 7, 0, // Skip to: 213
-/* 206 */     MCD_OPC_CheckPredicate, 3, 227, 4, // Skip to: 1461
-/* 210 */     MCD_OPC_Decode, 78, 18, // Opcode: AND_MM
-/* 213 */     MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 225
-/* 217 */     MCD_OPC_CheckPredicate, 3, 216, 4, // Skip to: 1461
-/* 221 */     MCD_OPC_Decode, 224, 9, 18, // Opcode: OR_MM
-/* 225 */     MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 237
-/* 229 */     MCD_OPC_CheckPredicate, 3, 204, 4, // Skip to: 1461
-/* 233 */     MCD_OPC_Decode, 214, 9, 18, // Opcode: NOR_MM
-/* 237 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 249
-/* 241 */     MCD_OPC_CheckPredicate, 3, 192, 4, // Skip to: 1461
-/* 245 */     MCD_OPC_Decode, 165, 13, 18, // Opcode: XOR_MM
-/* 249 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 261
-/* 253 */     MCD_OPC_CheckPredicate, 3, 180, 4, // Skip to: 1461
-/* 257 */     MCD_OPC_Decode, 178, 11, 18, // Opcode: SLT_MM
-/* 261 */     MCD_OPC_FilterValue, 14, 172, 4, // Skip to: 1461
-/* 265 */     MCD_OPC_CheckPredicate, 3, 168, 4, // Skip to: 1461
-/* 269 */     MCD_OPC_Decode, 187, 11, 18, // Opcode: SLTu_MM
-/* 273 */     MCD_OPC_FilterValue, 24, 27, 0, // Skip to: 304
-/* 277 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 280 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 292
-/* 284 */     MCD_OPC_CheckPredicate, 3, 149, 4, // Skip to: 1461
-/* 288 */     MCD_OPC_Decode, 214, 8, 19, // Opcode: MOVN_I_MM
-/* 292 */     MCD_OPC_FilterValue, 1, 141, 4, // Skip to: 1461
-/* 296 */     MCD_OPC_CheckPredicate, 3, 137, 4, // Skip to: 1461
-/* 300 */     MCD_OPC_Decode, 234, 8, 19, // Opcode: MOVZ_I_MM
-/* 304 */     MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 316
-/* 308 */     MCD_OPC_CheckPredicate, 3, 125, 4, // Skip to: 1461
-/* 312 */     MCD_OPC_Decode, 139, 5, 20, // Opcode: EXT_MM
-/* 316 */     MCD_OPC_FilterValue, 60, 117, 4, // Skip to: 1461
-/* 320 */     MCD_OPC_ExtractField, 6, 6,  // Inst{11-6} ...
-/* 323 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 335
-/* 327 */     MCD_OPC_CheckPredicate, 3, 106, 4, // Skip to: 1461
-/* 331 */     MCD_OPC_Decode, 239, 12, 21, // Opcode: TEQ_MM
-/* 335 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 347
-/* 339 */     MCD_OPC_CheckPredicate, 3, 94, 4, // Skip to: 1461
-/* 343 */     MCD_OPC_Decode, 247, 12, 21, // Opcode: TGE_MM
-/* 347 */     MCD_OPC_FilterValue, 13, 123, 0, // Skip to: 474
-/* 351 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 354 */     MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 372
-/* 358 */     MCD_OPC_CheckPredicate, 3, 75, 4, // Skip to: 1461
-/* 362 */     MCD_OPC_CheckField, 16, 10, 0, 69, 4, // Skip to: 1461
-/* 368 */     MCD_OPC_Decode, 249, 12, 0, // Opcode: TLBP_MM
-/* 372 */     MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 390
-/* 376 */     MCD_OPC_CheckPredicate, 3, 57, 4, // Skip to: 1461
-/* 380 */     MCD_OPC_CheckField, 16, 10, 0, 51, 4, // Skip to: 1461
-/* 386 */     MCD_OPC_Decode, 251, 12, 0, // Opcode: TLBR_MM
-/* 390 */     MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 408
-/* 394 */     MCD_OPC_CheckPredicate, 3, 39, 4, // Skip to: 1461
-/* 398 */     MCD_OPC_CheckField, 16, 10, 0, 33, 4, // Skip to: 1461
-/* 404 */     MCD_OPC_Decode, 253, 12, 0, // Opcode: TLBWI_MM
-/* 408 */     MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 426
-/* 412 */     MCD_OPC_CheckPredicate, 3, 21, 4, // Skip to: 1461
-/* 416 */     MCD_OPC_CheckField, 16, 10, 0, 15, 4, // Skip to: 1461
-/* 422 */     MCD_OPC_Decode, 255, 12, 0, // Opcode: TLBWR_MM
-/* 426 */     MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 438
-/* 430 */     MCD_OPC_CheckPredicate, 3, 3, 4, // Skip to: 1461
-/* 434 */     MCD_OPC_Decode, 158, 13, 22, // Opcode: WAIT_MM
-/* 438 */     MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 456
-/* 442 */     MCD_OPC_CheckPredicate, 3, 247, 3, // Skip to: 1461
-/* 446 */     MCD_OPC_CheckField, 16, 10, 0, 241, 3, // Skip to: 1461
-/* 452 */     MCD_OPC_Decode, 155, 4, 0, // Opcode: DERET_MM
-/* 456 */     MCD_OPC_FilterValue, 15, 233, 3, // Skip to: 1461
-/* 460 */     MCD_OPC_CheckPredicate, 3, 229, 3, // Skip to: 1461
-/* 464 */     MCD_OPC_CheckField, 16, 10, 0, 223, 3, // Skip to: 1461
-/* 470 */     MCD_OPC_Decode, 251, 4, 0, // Opcode: ERET_MM
-/* 474 */     MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 486
-/* 478 */     MCD_OPC_CheckPredicate, 3, 211, 3, // Skip to: 1461
-/* 482 */     MCD_OPC_Decode, 246, 12, 21, // Opcode: TGEU_MM
-/* 486 */     MCD_OPC_FilterValue, 29, 39, 0, // Skip to: 529
-/* 490 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 493 */     MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 511
-/* 497 */     MCD_OPC_CheckPredicate, 3, 192, 3, // Skip to: 1461
-/* 501 */     MCD_OPC_CheckField, 21, 5, 0, 186, 3, // Skip to: 1461
-/* 507 */     MCD_OPC_Decode, 173, 4, 23, // Opcode: DI_MM
-/* 511 */     MCD_OPC_FilterValue, 5, 178, 3, // Skip to: 1461
-/* 515 */     MCD_OPC_CheckPredicate, 3, 174, 3, // Skip to: 1461
-/* 519 */     MCD_OPC_CheckField, 21, 5, 0, 168, 3, // Skip to: 1461
-/* 525 */     MCD_OPC_Decode, 249, 4, 23, // Opcode: EI_MM
-/* 529 */     MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 541
-/* 533 */     MCD_OPC_CheckPredicate, 3, 156, 3, // Skip to: 1461
-/* 537 */     MCD_OPC_Decode, 134, 13, 21, // Opcode: TLT_MM
-/* 541 */     MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 553
-/* 545 */     MCD_OPC_CheckPredicate, 3, 144, 3, // Skip to: 1461
-/* 549 */     MCD_OPC_Decode, 133, 13, 21, // Opcode: TLTU_MM
-/* 553 */     MCD_OPC_FilterValue, 44, 159, 0, // Skip to: 716
-/* 557 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 560 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 572
-/* 564 */     MCD_OPC_CheckPredicate, 3, 125, 3, // Skip to: 1461
-/* 568 */     MCD_OPC_Decode, 236, 10, 24, // Opcode: SEB_MM
-/* 572 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 584
-/* 576 */     MCD_OPC_CheckPredicate, 3, 113, 3, // Skip to: 1461
-/* 580 */     MCD_OPC_Decode, 239, 10, 24, // Opcode: SEH_MM
-/* 584 */     MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 596
-/* 588 */     MCD_OPC_CheckPredicate, 3, 101, 3, // Skip to: 1461
-/* 592 */     MCD_OPC_Decode, 242, 2, 24, // Opcode: CLO_MM
-/* 596 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 608
-/* 600 */     MCD_OPC_CheckPredicate, 3, 89, 3, // Skip to: 1461
-/* 604 */     MCD_OPC_Decode, 133, 3, 24, // Opcode: CLZ_MM
-/* 608 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 620
-/* 612 */     MCD_OPC_CheckPredicate, 3, 77, 3, // Skip to: 1461
-/* 616 */     MCD_OPC_Decode, 161, 13, 24, // Opcode: WSBH_MM
-/* 620 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 632
-/* 624 */     MCD_OPC_CheckPredicate, 3, 65, 3, // Skip to: 1461
-/* 628 */     MCD_OPC_Decode, 170, 9, 25, // Opcode: MULT_MM
-/* 632 */     MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 644
-/* 636 */     MCD_OPC_CheckPredicate, 3, 53, 3, // Skip to: 1461
-/* 640 */     MCD_OPC_Decode, 172, 9, 25, // Opcode: MULTu_MM
-/* 644 */     MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 656
-/* 648 */     MCD_OPC_CheckPredicate, 3, 41, 3, // Skip to: 1461
-/* 652 */     MCD_OPC_Decode, 229, 10, 25, // Opcode: SDIV_MM
-/* 656 */     MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 668
-/* 660 */     MCD_OPC_CheckPredicate, 3, 29, 3, // Skip to: 1461
-/* 664 */     MCD_OPC_Decode, 149, 13, 25, // Opcode: UDIV_MM
-/* 668 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 680
-/* 672 */     MCD_OPC_CheckPredicate, 3, 17, 3, // Skip to: 1461
-/* 676 */     MCD_OPC_Decode, 236, 7, 25, // Opcode: MADD_MM
-/* 680 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 692
-/* 684 */     MCD_OPC_CheckPredicate, 3, 5, 3, // Skip to: 1461
-/* 688 */     MCD_OPC_Decode, 227, 7, 25, // Opcode: MADDU_MM
-/* 692 */     MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 704
-/* 696 */     MCD_OPC_CheckPredicate, 3, 249, 2, // Skip to: 1461
-/* 700 */     MCD_OPC_Decode, 253, 8, 25, // Opcode: MSUB_MM
-/* 704 */     MCD_OPC_FilterValue, 15, 241, 2, // Skip to: 1461
-/* 708 */     MCD_OPC_CheckPredicate, 3, 237, 2, // Skip to: 1461
-/* 712 */     MCD_OPC_Decode, 244, 8, 25, // Opcode: MSUBU_MM
-/* 716 */     MCD_OPC_FilterValue, 45, 33, 0, // Skip to: 753
-/* 720 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 723 */     MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 741
-/* 727 */     MCD_OPC_CheckPredicate, 3, 218, 2, // Skip to: 1461
-/* 731 */     MCD_OPC_CheckField, 21, 5, 0, 212, 2, // Skip to: 1461
-/* 737 */     MCD_OPC_Decode, 185, 12, 26, // Opcode: SYNC_MM
-/* 741 */     MCD_OPC_FilterValue, 8, 204, 2, // Skip to: 1461
-/* 745 */     MCD_OPC_CheckPredicate, 3, 200, 2, // Skip to: 1461
-/* 749 */     MCD_OPC_Decode, 187, 12, 22, // Opcode: SYSCALL_MM
-/* 753 */     MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 765
-/* 757 */     MCD_OPC_CheckPredicate, 3, 188, 2, // Skip to: 1461
-/* 761 */     MCD_OPC_Decode, 138, 13, 21, // Opcode: TNE_MM
-/* 765 */     MCD_OPC_FilterValue, 53, 75, 0, // Skip to: 844
-/* 769 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 772 */     MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 790
-/* 776 */     MCD_OPC_CheckPredicate, 3, 169, 2, // Skip to: 1461
-/* 780 */     MCD_OPC_CheckField, 21, 5, 0, 163, 2, // Skip to: 1461
-/* 786 */     MCD_OPC_Decode, 152, 8, 23, // Opcode: MFHI_MM
-/* 790 */     MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 808
-/* 794 */     MCD_OPC_CheckPredicate, 3, 151, 2, // Skip to: 1461
-/* 798 */     MCD_OPC_CheckField, 21, 5, 0, 145, 2, // Skip to: 1461
-/* 804 */     MCD_OPC_Decode, 157, 8, 23, // Opcode: MFLO_MM
-/* 808 */     MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 826
-/* 812 */     MCD_OPC_CheckPredicate, 3, 133, 2, // Skip to: 1461
-/* 816 */     MCD_OPC_CheckField, 21, 5, 0, 127, 2, // Skip to: 1461
-/* 822 */     MCD_OPC_Decode, 140, 9, 23, // Opcode: MTHI_MM
-/* 826 */     MCD_OPC_FilterValue, 3, 119, 2, // Skip to: 1461
-/* 830 */     MCD_OPC_CheckPredicate, 3, 115, 2, // Skip to: 1461
-/* 834 */     MCD_OPC_CheckField, 21, 5, 0, 109, 2, // Skip to: 1461
-/* 840 */     MCD_OPC_Decode, 145, 9, 23, // Opcode: MTLO_MM
-/* 844 */     MCD_OPC_FilterValue, 60, 101, 2, // Skip to: 1461
-/* 848 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 851 */     MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 877
-/* 855 */     MCD_OPC_CheckPredicate, 3, 10, 0, // Skip to: 869
-/* 859 */     MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 869
-/* 865 */     MCD_OPC_Decode, 246, 6, 23, // Opcode: JR_MM
-/* 869 */     MCD_OPC_CheckPredicate, 3, 76, 2, // Skip to: 1461
-/* 873 */     MCD_OPC_Decode, 235, 6, 24, // Opcode: JALR_MM
-/* 877 */     MCD_OPC_FilterValue, 4, 68, 2, // Skip to: 1461
-/* 881 */     MCD_OPC_CheckPredicate, 3, 64, 2, // Skip to: 1461
-/* 885 */     MCD_OPC_Decode, 233, 6, 24, // Opcode: JALRS_MM
-/* 889 */     MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 900
-/* 893 */     MCD_OPC_CheckPredicate, 3, 52, 2, // Skip to: 1461
-/* 897 */     MCD_OPC_Decode, 66, 27, // Opcode: ADDi_MM
-/* 900 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 912
-/* 904 */     MCD_OPC_CheckPredicate, 3, 41, 2, // Skip to: 1461
-/* 908 */     MCD_OPC_Decode, 132, 7, 28, // Opcode: LBu_MM
-/* 912 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 924
-/* 916 */     MCD_OPC_CheckPredicate, 3, 29, 2, // Skip to: 1461
-/* 920 */     MCD_OPC_Decode, 213, 10, 28, // Opcode: SB_MM
-/* 924 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 936
-/* 928 */     MCD_OPC_CheckPredicate, 3, 17, 2, // Skip to: 1461
-/* 932 */     MCD_OPC_Decode, 129, 7, 28, // Opcode: LB_MM
-/* 936 */     MCD_OPC_FilterValue, 12, 7, 0, // Skip to: 947
-/* 940 */     MCD_OPC_CheckPredicate, 3, 5, 2, // Skip to: 1461
-/* 944 */     MCD_OPC_Decode, 68, 27, // Opcode: ADDiu_MM
-/* 947 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 959
-/* 951 */     MCD_OPC_CheckPredicate, 3, 250, 1, // Skip to: 1461
-/* 955 */     MCD_OPC_Decode, 162, 7, 28, // Opcode: LHu_MM
-/* 959 */     MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 971
-/* 963 */     MCD_OPC_CheckPredicate, 3, 238, 1, // Skip to: 1461
-/* 967 */     MCD_OPC_Decode, 153, 11, 28, // Opcode: SH_MM
-/* 971 */     MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 983
-/* 975 */     MCD_OPC_CheckPredicate, 3, 226, 1, // Skip to: 1461
-/* 979 */     MCD_OPC_Decode, 159, 7, 28, // Opcode: LH_MM
-/* 983 */     MCD_OPC_FilterValue, 16, 207, 0, // Skip to: 1194
-/* 987 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 990 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1002
-/* 994 */     MCD_OPC_CheckPredicate, 3, 207, 1, // Skip to: 1461
-/* 998 */     MCD_OPC_Decode, 252, 1, 29, // Opcode: BLTZ_MM
-/* 1002 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1014
-/* 1006 */    MCD_OPC_CheckPredicate, 3, 195, 1, // Skip to: 1461
-/* 1010 */    MCD_OPC_Decode, 249, 1, 29, // Opcode: BLTZAL_MM
-/* 1014 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1026
-/* 1018 */    MCD_OPC_CheckPredicate, 3, 183, 1, // Skip to: 1461
-/* 1022 */    MCD_OPC_Decode, 210, 1, 29, // Opcode: BGEZ_MM
-/* 1026 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1038
-/* 1030 */    MCD_OPC_CheckPredicate, 3, 171, 1, // Skip to: 1461
-/* 1034 */    MCD_OPC_Decode, 207, 1, 29, // Opcode: BGEZAL_MM
-/* 1038 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1050
-/* 1042 */    MCD_OPC_CheckPredicate, 3, 159, 1, // Skip to: 1461
-/* 1046 */    MCD_OPC_Decode, 240, 1, 29, // Opcode: BLEZ_MM
-/* 1050 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1062
-/* 1054 */    MCD_OPC_CheckPredicate, 3, 147, 1, // Skip to: 1461
-/* 1058 */    MCD_OPC_Decode, 143, 2, 29, // Opcode: BNEZC_MM
-/* 1062 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1074
-/* 1066 */    MCD_OPC_CheckPredicate, 3, 135, 1, // Skip to: 1461
-/* 1070 */    MCD_OPC_Decode, 216, 1, 29, // Opcode: BGTZ_MM
-/* 1074 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 1086
-/* 1078 */    MCD_OPC_CheckPredicate, 3, 123, 1, // Skip to: 1461
-/* 1082 */    MCD_OPC_Decode, 197, 1, 29, // Opcode: BEQZC_MM
-/* 1086 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1098
-/* 1090 */    MCD_OPC_CheckPredicate, 3, 111, 1, // Skip to: 1461
-/* 1094 */    MCD_OPC_Decode, 131, 13, 30, // Opcode: TLTI_MM
-/* 1098 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1110
-/* 1102 */    MCD_OPC_CheckPredicate, 3, 99, 1, // Skip to: 1461
-/* 1106 */    MCD_OPC_Decode, 244, 12, 30, // Opcode: TGEI_MM
-/* 1110 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1122
-/* 1114 */    MCD_OPC_CheckPredicate, 3, 87, 1, // Skip to: 1461
-/* 1118 */    MCD_OPC_Decode, 130, 13, 30, // Opcode: TLTIU_MM
-/* 1122 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1134
-/* 1126 */    MCD_OPC_CheckPredicate, 3, 75, 1, // Skip to: 1461
-/* 1130 */    MCD_OPC_Decode, 243, 12, 30, // Opcode: TGEIU_MM
-/* 1134 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 1146
-/* 1138 */    MCD_OPC_CheckPredicate, 3, 63, 1, // Skip to: 1461
-/* 1142 */    MCD_OPC_Decode, 137, 13, 30, // Opcode: TNEI_MM
-/* 1146 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1158
-/* 1150 */    MCD_OPC_CheckPredicate, 3, 51, 1, // Skip to: 1461
-/* 1154 */    MCD_OPC_Decode, 182, 7, 30, // Opcode: LUi_MM
-/* 1158 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1170
-/* 1162 */    MCD_OPC_CheckPredicate, 3, 39, 1, // Skip to: 1461
-/* 1166 */    MCD_OPC_Decode, 238, 12, 30, // Opcode: TEQI_MM
-/* 1170 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1182
-/* 1174 */    MCD_OPC_CheckPredicate, 3, 27, 1, // Skip to: 1461
-/* 1178 */    MCD_OPC_Decode, 248, 1, 29, // Opcode: BLTZALS_MM
-/* 1182 */    MCD_OPC_FilterValue, 19, 19, 1, // Skip to: 1461
-/* 1186 */    MCD_OPC_CheckPredicate, 3, 15, 1, // Skip to: 1461
-/* 1190 */    MCD_OPC_Decode, 206, 1, 29, // Opcode: BGEZALS_MM
-/* 1194 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 1206
-/* 1198 */    MCD_OPC_CheckPredicate, 3, 3, 1, // Skip to: 1461
-/* 1202 */    MCD_OPC_Decode, 231, 9, 31, // Opcode: ORi_MM
-/* 1206 */    MCD_OPC_FilterValue, 21, 29, 0, // Skip to: 1239
-/* 1210 */    MCD_OPC_ExtractField, 0, 13,  // Inst{12-0} ...
-/* 1213 */    MCD_OPC_FilterValue, 251, 2, 8, 0, // Skip to: 1226
-/* 1218 */    MCD_OPC_CheckPredicate, 3, 239, 0, // Skip to: 1461
-/* 1222 */    MCD_OPC_Decode, 202, 8, 32, // Opcode: MOVF_I_MM
-/* 1226 */    MCD_OPC_FilterValue, 251, 18, 230, 0, // Skip to: 1461
-/* 1231 */    MCD_OPC_CheckPredicate, 3, 226, 0, // Skip to: 1461
-/* 1235 */    MCD_OPC_Decode, 222, 8, 32, // Opcode: MOVT_I_MM
-/* 1239 */    MCD_OPC_FilterValue, 24, 87, 0, // Skip to: 1330
-/* 1243 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
-/* 1246 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1258
-/* 1250 */    MCD_OPC_CheckPredicate, 3, 207, 0, // Skip to: 1461
-/* 1254 */    MCD_OPC_Decode, 192, 7, 33, // Opcode: LWL_MM
-/* 1258 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1270
-/* 1262 */    MCD_OPC_CheckPredicate, 3, 195, 0, // Skip to: 1461
-/* 1266 */    MCD_OPC_Decode, 196, 7, 33, // Opcode: LWR_MM
-/* 1270 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1282
-/* 1274 */    MCD_OPC_CheckPredicate, 3, 183, 0, // Skip to: 1461
-/* 1278 */    MCD_OPC_Decode, 166, 7, 33, // Opcode: LL_MM
-/* 1282 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1294
-/* 1286 */    MCD_OPC_CheckPredicate, 3, 171, 0, // Skip to: 1461
-/* 1290 */    MCD_OPC_Decode, 177, 12, 33, // Opcode: SWL_MM
-/* 1294 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1306
-/* 1298 */    MCD_OPC_CheckPredicate, 3, 159, 0, // Skip to: 1461
-/* 1302 */    MCD_OPC_Decode, 180, 12, 33, // Opcode: SWR_MM
-/* 1306 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1318
-/* 1310 */    MCD_OPC_CheckPredicate, 3, 147, 0, // Skip to: 1461
-/* 1314 */    MCD_OPC_Decode, 217, 10, 33, // Opcode: SC_MM
-/* 1318 */    MCD_OPC_FilterValue, 14, 139, 0, // Skip to: 1461
-/* 1322 */    MCD_OPC_CheckPredicate, 3, 135, 0, // Skip to: 1461
-/* 1326 */    MCD_OPC_Decode, 198, 7, 33, // Opcode: LWU_MM
-/* 1330 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 1342
-/* 1334 */    MCD_OPC_CheckPredicate, 3, 123, 0, // Skip to: 1461
-/* 1338 */    MCD_OPC_Decode, 172, 13, 31, // Opcode: XORi_MM
-/* 1342 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 1354
-/* 1346 */    MCD_OPC_CheckPredicate, 3, 111, 0, // Skip to: 1461
-/* 1350 */    MCD_OPC_Decode, 236, 6, 34, // Opcode: JALS_MM
-/* 1354 */    MCD_OPC_FilterValue, 36, 8, 0, // Skip to: 1366
-/* 1358 */    MCD_OPC_CheckPredicate, 3, 99, 0, // Skip to: 1461
-/* 1362 */    MCD_OPC_Decode, 181, 11, 27, // Opcode: SLTi_MM
-/* 1366 */    MCD_OPC_FilterValue, 37, 8, 0, // Skip to: 1378
-/* 1370 */    MCD_OPC_CheckPredicate, 3, 87, 0, // Skip to: 1461
-/* 1374 */    MCD_OPC_Decode, 198, 1, 35, // Opcode: BEQ_MM
-/* 1378 */    MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 1390
-/* 1382 */    MCD_OPC_CheckPredicate, 3, 75, 0, // Skip to: 1461
-/* 1386 */    MCD_OPC_Decode, 184, 11, 27, // Opcode: SLTiu_MM
-/* 1390 */    MCD_OPC_FilterValue, 45, 8, 0, // Skip to: 1402
-/* 1394 */    MCD_OPC_CheckPredicate, 3, 63, 0, // Skip to: 1461
-/* 1398 */    MCD_OPC_Decode, 144, 2, 35, // Opcode: BNE_MM
-/* 1402 */    MCD_OPC_FilterValue, 52, 7, 0, // Skip to: 1413
-/* 1406 */    MCD_OPC_CheckPredicate, 3, 51, 0, // Skip to: 1461
-/* 1410 */    MCD_OPC_Decode, 85, 31, // Opcode: ANDi_MM
-/* 1413 */    MCD_OPC_FilterValue, 53, 8, 0, // Skip to: 1425
-/* 1417 */    MCD_OPC_CheckPredicate, 3, 40, 0, // Skip to: 1461
-/* 1421 */    MCD_OPC_Decode, 247, 6, 34, // Opcode: J_MM
-/* 1425 */    MCD_OPC_FilterValue, 61, 8, 0, // Skip to: 1437
-/* 1429 */    MCD_OPC_CheckPredicate, 3, 28, 0, // Skip to: 1461
-/* 1433 */    MCD_OPC_Decode, 238, 6, 34, // Opcode: JAL_MM
-/* 1437 */    MCD_OPC_FilterValue, 62, 8, 0, // Skip to: 1449
-/* 1441 */    MCD_OPC_CheckPredicate, 3, 16, 0, // Skip to: 1461
-/* 1445 */    MCD_OPC_Decode, 183, 12, 28, // Opcode: SW_MM
-/* 1449 */    MCD_OPC_FilterValue, 63, 8, 0, // Skip to: 1461
-/* 1453 */    MCD_OPC_CheckPredicate, 3, 4, 0, // Skip to: 1461
-/* 1457 */    MCD_OPC_Decode, 202, 7, 28, // Opcode: LW_MM
-/* 1461 */    MCD_OPC_Fail,
+/* 17 */      MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 68
+/* 21 */      MCD_OPC_ExtractField, 11, 15,  // Inst{25-11} ...
+/* 24 */      MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 36
+/* 28 */      MCD_OPC_CheckPredicate, 3, 28, 0, // Skip to: 60
+/* 32 */      MCD_OPC_Decode, 181, 12, 0, // Opcode: SSNOP_MM
+/* 36 */      MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 48
+/* 40 */      MCD_OPC_CheckPredicate, 3, 16, 0, // Skip to: 60
+/* 44 */      MCD_OPC_Decode, 140, 5, 0, // Opcode: EHB_MM
+/* 48 */      MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 60
+/* 52 */      MCD_OPC_CheckPredicate, 3, 4, 0, // Skip to: 60
+/* 56 */      MCD_OPC_Decode, 148, 10, 0, // Opcode: PAUSE_MM
+/* 60 */      MCD_OPC_CheckPredicate, 3, 38, 6, // Skip to: 1638
+/* 64 */      MCD_OPC_Decode, 238, 11, 32, // Opcode: SLL_MM
+/* 68 */      MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 80
+/* 72 */      MCD_OPC_CheckPredicate, 3, 26, 6, // Skip to: 1638
+/* 76 */      MCD_OPC_Decode, 178, 12, 32, // Opcode: SRL_MM
+/* 80 */      MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 92
+/* 84 */      MCD_OPC_CheckPredicate, 3, 14, 6, // Skip to: 1638
+/* 88 */      MCD_OPC_Decode, 157, 12, 32, // Opcode: SRA_MM
+/* 92 */      MCD_OPC_FilterValue, 3, 6, 6, // Skip to: 1638
+/* 96 */      MCD_OPC_CheckPredicate, 3, 2, 6, // Skip to: 1638
+/* 100 */     MCD_OPC_Decode, 250, 10, 32, // Opcode: ROTR_MM
+/* 104 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 116
+/* 108 */     MCD_OPC_CheckPredicate, 3, 246, 5, // Skip to: 1638
+/* 112 */     MCD_OPC_Decode, 173, 2, 33, // Opcode: BREAK_MM
+/* 116 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 128
+/* 120 */     MCD_OPC_CheckPredicate, 3, 234, 5, // Skip to: 1638
+/* 124 */     MCD_OPC_Decode, 246, 6, 34, // Opcode: INS_MM
+/* 128 */     MCD_OPC_FilterValue, 16, 180, 0, // Skip to: 312
+/* 132 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 135 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 147
+/* 139 */     MCD_OPC_CheckPredicate, 3, 215, 5, // Skip to: 1638
+/* 143 */     MCD_OPC_Decode, 234, 11, 35, // Opcode: SLLV_MM
+/* 147 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 159
+/* 151 */     MCD_OPC_CheckPredicate, 3, 203, 5, // Skip to: 1638
+/* 155 */     MCD_OPC_Decode, 174, 12, 35, // Opcode: SRLV_MM
+/* 159 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 171
+/* 163 */     MCD_OPC_CheckPredicate, 3, 191, 5, // Skip to: 1638
+/* 167 */     MCD_OPC_Decode, 153, 12, 35, // Opcode: SRAV_MM
+/* 171 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 183
+/* 175 */     MCD_OPC_CheckPredicate, 3, 179, 5, // Skip to: 1638
+/* 179 */     MCD_OPC_Decode, 249, 10, 35, // Opcode: ROTRV_MM
+/* 183 */     MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 194
+/* 187 */     MCD_OPC_CheckPredicate, 3, 167, 5, // Skip to: 1638
+/* 191 */     MCD_OPC_Decode, 72, 36, // Opcode: ADD_MM
+/* 194 */     MCD_OPC_FilterValue, 5, 7, 0, // Skip to: 205
+/* 198 */     MCD_OPC_CheckPredicate, 3, 156, 5, // Skip to: 1638
+/* 202 */     MCD_OPC_Decode, 78, 36, // Opcode: ADDu_MM
+/* 205 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 217
+/* 209 */     MCD_OPC_CheckPredicate, 3, 145, 5, // Skip to: 1638
+/* 213 */     MCD_OPC_Decode, 229, 12, 36, // Opcode: SUB_MM
+/* 217 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 229
+/* 221 */     MCD_OPC_CheckPredicate, 3, 133, 5, // Skip to: 1638
+/* 225 */     MCD_OPC_Decode, 231, 12, 36, // Opcode: SUBu_MM
+/* 229 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 241
+/* 233 */     MCD_OPC_CheckPredicate, 3, 121, 5, // Skip to: 1638
+/* 237 */     MCD_OPC_Decode, 217, 9, 36, // Opcode: MUL_MM
+/* 241 */     MCD_OPC_FilterValue, 9, 7, 0, // Skip to: 252
+/* 245 */     MCD_OPC_CheckPredicate, 3, 109, 5, // Skip to: 1638
+/* 249 */     MCD_OPC_Decode, 88, 36, // Opcode: AND_MM
+/* 252 */     MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 264
+/* 256 */     MCD_OPC_CheckPredicate, 3, 98, 5, // Skip to: 1638
+/* 260 */     MCD_OPC_Decode, 137, 10, 36, // Opcode: OR_MM
+/* 264 */     MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 276
+/* 268 */     MCD_OPC_CheckPredicate, 3, 86, 5, // Skip to: 1638
+/* 272 */     MCD_OPC_Decode, 253, 9, 36, // Opcode: NOR_MM
+/* 276 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 288
+/* 280 */     MCD_OPC_CheckPredicate, 3, 74, 5, // Skip to: 1638
+/* 284 */     MCD_OPC_Decode, 240, 13, 36, // Opcode: XOR_MM
+/* 288 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 300
+/* 292 */     MCD_OPC_CheckPredicate, 3, 62, 5, // Skip to: 1638
+/* 296 */     MCD_OPC_Decode, 242, 11, 36, // Opcode: SLT_MM
+/* 300 */     MCD_OPC_FilterValue, 14, 54, 5, // Skip to: 1638
+/* 304 */     MCD_OPC_CheckPredicate, 3, 50, 5, // Skip to: 1638
+/* 308 */     MCD_OPC_Decode, 251, 11, 36, // Opcode: SLTu_MM
+/* 312 */     MCD_OPC_FilterValue, 24, 39, 0, // Skip to: 355
+/* 316 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 319 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 331
+/* 323 */     MCD_OPC_CheckPredicate, 3, 31, 5, // Skip to: 1638
+/* 327 */     MCD_OPC_Decode, 253, 8, 37, // Opcode: MOVN_I_MM
+/* 331 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 343
+/* 335 */     MCD_OPC_CheckPredicate, 3, 19, 5, // Skip to: 1638
+/* 339 */     MCD_OPC_Decode, 145, 9, 37, // Opcode: MOVZ_I_MM
+/* 343 */     MCD_OPC_FilterValue, 4, 11, 5, // Skip to: 1638
+/* 347 */     MCD_OPC_CheckPredicate, 3, 7, 5, // Skip to: 1638
+/* 351 */     MCD_OPC_Decode, 239, 7, 38, // Opcode: LWXS_MM
+/* 355 */     MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 367
+/* 359 */     MCD_OPC_CheckPredicate, 3, 251, 4, // Skip to: 1638
+/* 363 */     MCD_OPC_Decode, 160, 5, 39, // Opcode: EXT_MM
+/* 367 */     MCD_OPC_FilterValue, 60, 243, 4, // Skip to: 1638
+/* 371 */     MCD_OPC_ExtractField, 6, 6,  // Inst{11-6} ...
+/* 374 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 386
+/* 378 */     MCD_OPC_CheckPredicate, 3, 232, 4, // Skip to: 1638
+/* 382 */     MCD_OPC_Decode, 185, 13, 40, // Opcode: TEQ_MM
+/* 386 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 398
+/* 390 */     MCD_OPC_CheckPredicate, 3, 220, 4, // Skip to: 1638
+/* 394 */     MCD_OPC_Decode, 193, 13, 40, // Opcode: TGE_MM
+/* 398 */     MCD_OPC_FilterValue, 13, 123, 0, // Skip to: 525
+/* 402 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 405 */     MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 423
+/* 409 */     MCD_OPC_CheckPredicate, 3, 201, 4, // Skip to: 1638
+/* 413 */     MCD_OPC_CheckField, 16, 10, 0, 195, 4, // Skip to: 1638
+/* 419 */     MCD_OPC_Decode, 195, 13, 0, // Opcode: TLBP_MM
+/* 423 */     MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 441
+/* 427 */     MCD_OPC_CheckPredicate, 3, 183, 4, // Skip to: 1638
+/* 431 */     MCD_OPC_CheckField, 16, 10, 0, 177, 4, // Skip to: 1638
+/* 437 */     MCD_OPC_Decode, 197, 13, 0, // Opcode: TLBR_MM
+/* 441 */     MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 459
+/* 445 */     MCD_OPC_CheckPredicate, 3, 165, 4, // Skip to: 1638
+/* 449 */     MCD_OPC_CheckField, 16, 10, 0, 159, 4, // Skip to: 1638
+/* 455 */     MCD_OPC_Decode, 199, 13, 0, // Opcode: TLBWI_MM
+/* 459 */     MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 477
+/* 463 */     MCD_OPC_CheckPredicate, 3, 147, 4, // Skip to: 1638
+/* 467 */     MCD_OPC_CheckField, 16, 10, 0, 141, 4, // Skip to: 1638
+/* 473 */     MCD_OPC_Decode, 201, 13, 0, // Opcode: TLBWR_MM
+/* 477 */     MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 489
+/* 481 */     MCD_OPC_CheckPredicate, 3, 129, 4, // Skip to: 1638
+/* 485 */     MCD_OPC_Decode, 232, 13, 41, // Opcode: WAIT_MM
+/* 489 */     MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 507
+/* 493 */     MCD_OPC_CheckPredicate, 3, 117, 4, // Skip to: 1638
+/* 497 */     MCD_OPC_CheckField, 16, 10, 0, 111, 4, // Skip to: 1638
+/* 503 */     MCD_OPC_Decode, 175, 4, 0, // Opcode: DERET_MM
+/* 507 */     MCD_OPC_FilterValue, 15, 103, 4, // Skip to: 1638
+/* 511 */     MCD_OPC_CheckPredicate, 3, 99, 4, // Skip to: 1638
+/* 515 */     MCD_OPC_CheckField, 16, 10, 0, 93, 4, // Skip to: 1638
+/* 521 */     MCD_OPC_Decode, 144, 5, 0, // Opcode: ERET_MM
+/* 525 */     MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 537
+/* 529 */     MCD_OPC_CheckPredicate, 3, 81, 4, // Skip to: 1638
+/* 533 */     MCD_OPC_Decode, 192, 13, 40, // Opcode: TGEU_MM
+/* 537 */     MCD_OPC_FilterValue, 29, 39, 0, // Skip to: 580
+/* 541 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 544 */     MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 562
+/* 548 */     MCD_OPC_CheckPredicate, 3, 62, 4, // Skip to: 1638
+/* 552 */     MCD_OPC_CheckField, 21, 5, 0, 56, 4, // Skip to: 1638
+/* 558 */     MCD_OPC_Decode, 193, 4, 42, // Opcode: DI_MM
+/* 562 */     MCD_OPC_FilterValue, 5, 48, 4, // Skip to: 1638
+/* 566 */     MCD_OPC_CheckPredicate, 3, 44, 4, // Skip to: 1638
+/* 570 */     MCD_OPC_CheckField, 21, 5, 0, 38, 4, // Skip to: 1638
+/* 576 */     MCD_OPC_Decode, 142, 5, 42, // Opcode: EI_MM
+/* 580 */     MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 592
+/* 584 */     MCD_OPC_CheckPredicate, 3, 26, 4, // Skip to: 1638
+/* 588 */     MCD_OPC_Decode, 208, 13, 40, // Opcode: TLT_MM
+/* 592 */     MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 604
+/* 596 */     MCD_OPC_CheckPredicate, 3, 14, 4, // Skip to: 1638
+/* 600 */     MCD_OPC_Decode, 207, 13, 40, // Opcode: TLTU_MM
+/* 604 */     MCD_OPC_FilterValue, 44, 171, 0, // Skip to: 779
+/* 608 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 611 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 623
+/* 615 */     MCD_OPC_CheckPredicate, 3, 251, 3, // Skip to: 1638
+/* 619 */     MCD_OPC_Decode, 170, 11, 43, // Opcode: SEB_MM
+/* 623 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 635
+/* 627 */     MCD_OPC_CheckPredicate, 3, 239, 3, // Skip to: 1638
+/* 631 */     MCD_OPC_Decode, 173, 11, 43, // Opcode: SEH_MM
+/* 635 */     MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 647
+/* 639 */     MCD_OPC_CheckPredicate, 3, 227, 3, // Skip to: 1638
+/* 643 */     MCD_OPC_Decode, 134, 3, 43, // Opcode: CLO_MM
+/* 647 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 659
+/* 651 */     MCD_OPC_CheckPredicate, 3, 215, 3, // Skip to: 1638
+/* 655 */     MCD_OPC_Decode, 153, 3, 43, // Opcode: CLZ_MM
+/* 659 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 671
+/* 663 */     MCD_OPC_CheckPredicate, 3, 203, 3, // Skip to: 1638
+/* 667 */     MCD_OPC_Decode, 240, 10, 44, // Opcode: RDHWR_MM
+/* 671 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 683
+/* 675 */     MCD_OPC_CheckPredicate, 3, 191, 3, // Skip to: 1638
+/* 679 */     MCD_OPC_Decode, 235, 13, 43, // Opcode: WSBH_MM
+/* 683 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 695
+/* 687 */     MCD_OPC_CheckPredicate, 3, 179, 3, // Skip to: 1638
+/* 691 */     MCD_OPC_Decode, 209, 9, 45, // Opcode: MULT_MM
+/* 695 */     MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 707
+/* 699 */     MCD_OPC_CheckPredicate, 3, 167, 3, // Skip to: 1638
+/* 703 */     MCD_OPC_Decode, 211, 9, 45, // Opcode: MULTu_MM
+/* 707 */     MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 719
+/* 711 */     MCD_OPC_CheckPredicate, 3, 155, 3, // Skip to: 1638
+/* 715 */     MCD_OPC_Decode, 163, 11, 45, // Opcode: SDIV_MM
+/* 719 */     MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 731
+/* 723 */     MCD_OPC_CheckPredicate, 3, 143, 3, // Skip to: 1638
+/* 727 */     MCD_OPC_Decode, 223, 13, 45, // Opcode: UDIV_MM
+/* 731 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 743
+/* 735 */     MCD_OPC_CheckPredicate, 3, 131, 3, // Skip to: 1638
+/* 739 */     MCD_OPC_Decode, 146, 8, 45, // Opcode: MADD_MM
+/* 743 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 755
+/* 747 */     MCD_OPC_CheckPredicate, 3, 119, 3, // Skip to: 1638
+/* 751 */     MCD_OPC_Decode, 137, 8, 45, // Opcode: MADDU_MM
+/* 755 */     MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 767
+/* 759 */     MCD_OPC_CheckPredicate, 3, 107, 3, // Skip to: 1638
+/* 763 */     MCD_OPC_Decode, 164, 9, 45, // Opcode: MSUB_MM
+/* 767 */     MCD_OPC_FilterValue, 15, 99, 3, // Skip to: 1638
+/* 771 */     MCD_OPC_CheckPredicate, 3, 95, 3, // Skip to: 1638
+/* 775 */     MCD_OPC_Decode, 155, 9, 45, // Opcode: MSUBU_MM
+/* 779 */     MCD_OPC_FilterValue, 45, 45, 0, // Skip to: 828
+/* 783 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 786 */     MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 804
+/* 790 */     MCD_OPC_CheckPredicate, 3, 76, 3, // Skip to: 1638
+/* 794 */     MCD_OPC_CheckField, 21, 5, 0, 70, 3, // Skip to: 1638
+/* 800 */     MCD_OPC_Decode, 131, 13, 46, // Opcode: SYNC_MM
+/* 804 */     MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 816
+/* 808 */     MCD_OPC_CheckPredicate, 3, 58, 3, // Skip to: 1638
+/* 812 */     MCD_OPC_Decode, 133, 13, 41, // Opcode: SYSCALL_MM
+/* 816 */     MCD_OPC_FilterValue, 13, 50, 3, // Skip to: 1638
+/* 820 */     MCD_OPC_CheckPredicate, 3, 46, 3, // Skip to: 1638
+/* 824 */     MCD_OPC_Decode, 154, 11, 41, // Opcode: SDBBP_MM
+/* 828 */     MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 840
+/* 832 */     MCD_OPC_CheckPredicate, 3, 34, 3, // Skip to: 1638
+/* 836 */     MCD_OPC_Decode, 212, 13, 40, // Opcode: TNE_MM
+/* 840 */     MCD_OPC_FilterValue, 53, 75, 0, // Skip to: 919
+/* 844 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 847 */     MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 865
+/* 851 */     MCD_OPC_CheckPredicate, 3, 15, 3, // Skip to: 1638
+/* 855 */     MCD_OPC_CheckField, 21, 5, 0, 9, 3, // Skip to: 1638
+/* 861 */     MCD_OPC_Decode, 190, 8, 42, // Opcode: MFHI_MM
+/* 865 */     MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 883
+/* 869 */     MCD_OPC_CheckPredicate, 3, 253, 2, // Skip to: 1638
+/* 873 */     MCD_OPC_CheckField, 21, 5, 0, 247, 2, // Skip to: 1638
+/* 879 */     MCD_OPC_Decode, 195, 8, 42, // Opcode: MFLO_MM
+/* 883 */     MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 901
+/* 887 */     MCD_OPC_CheckPredicate, 3, 235, 2, // Skip to: 1638
+/* 891 */     MCD_OPC_CheckField, 21, 5, 0, 229, 2, // Skip to: 1638
+/* 897 */     MCD_OPC_Decode, 179, 9, 42, // Opcode: MTHI_MM
+/* 901 */     MCD_OPC_FilterValue, 3, 221, 2, // Skip to: 1638
+/* 905 */     MCD_OPC_CheckPredicate, 3, 217, 2, // Skip to: 1638
+/* 909 */     MCD_OPC_CheckField, 21, 5, 0, 211, 2, // Skip to: 1638
+/* 915 */     MCD_OPC_Decode, 184, 9, 42, // Opcode: MTLO_MM
+/* 919 */     MCD_OPC_FilterValue, 60, 203, 2, // Skip to: 1638
+/* 923 */     MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 926 */     MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 952
+/* 930 */     MCD_OPC_CheckPredicate, 3, 10, 0, // Skip to: 944
+/* 934 */     MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 944
+/* 940 */     MCD_OPC_Decode, 143, 7, 42, // Opcode: JR_MM
+/* 944 */     MCD_OPC_CheckPredicate, 3, 178, 2, // Skip to: 1638
+/* 948 */     MCD_OPC_Decode, 129, 7, 43, // Opcode: JALR_MM
+/* 952 */     MCD_OPC_FilterValue, 4, 170, 2, // Skip to: 1638
+/* 956 */     MCD_OPC_CheckPredicate, 3, 166, 2, // Skip to: 1638
+/* 960 */     MCD_OPC_Decode, 255, 6, 43, // Opcode: JALRS_MM
+/* 964 */     MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 975
+/* 968 */     MCD_OPC_CheckPredicate, 3, 154, 2, // Skip to: 1638
+/* 972 */     MCD_OPC_Decode, 74, 47, // Opcode: ADDi_MM
+/* 975 */     MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 987
+/* 979 */     MCD_OPC_CheckPredicate, 3, 143, 2, // Skip to: 1638
+/* 983 */     MCD_OPC_Decode, 160, 7, 48, // Opcode: LBu_MM
+/* 987 */     MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 999
+/* 991 */     MCD_OPC_CheckPredicate, 3, 131, 2, // Skip to: 1638
+/* 995 */     MCD_OPC_Decode, 145, 11, 48, // Opcode: SB_MM
+/* 999 */     MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 1011
+/* 1003 */    MCD_OPC_CheckPredicate, 3, 119, 2, // Skip to: 1638
+/* 1007 */    MCD_OPC_Decode, 157, 7, 48, // Opcode: LB_MM
+/* 1011 */    MCD_OPC_FilterValue, 8, 63, 0, // Skip to: 1078
+/* 1015 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 1018 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1030
+/* 1022 */    MCD_OPC_CheckPredicate, 3, 100, 2, // Skip to: 1638
+/* 1026 */    MCD_OPC_Decode, 229, 7, 49, // Opcode: LWP_MM
+/* 1030 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1042
+/* 1034 */    MCD_OPC_CheckPredicate, 3, 88, 2, // Skip to: 1638
+/* 1038 */    MCD_OPC_Decode, 226, 7, 49, // Opcode: LWM32_MM
+/* 1042 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1054
+/* 1046 */    MCD_OPC_CheckPredicate, 3, 76, 2, // Skip to: 1638
+/* 1050 */    MCD_OPC_Decode, 221, 2, 50, // Opcode: CACHE_MM
+/* 1054 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1066
+/* 1058 */    MCD_OPC_CheckPredicate, 3, 64, 2, // Skip to: 1638
+/* 1062 */    MCD_OPC_Decode, 249, 12, 49, // Opcode: SWP_MM
+/* 1066 */    MCD_OPC_FilterValue, 13, 56, 2, // Skip to: 1638
+/* 1070 */    MCD_OPC_CheckPredicate, 3, 52, 2, // Skip to: 1638
+/* 1074 */    MCD_OPC_Decode, 247, 12, 49, // Opcode: SWM32_MM
+/* 1078 */    MCD_OPC_FilterValue, 12, 7, 0, // Skip to: 1089
+/* 1082 */    MCD_OPC_CheckPredicate, 3, 40, 2, // Skip to: 1638
+/* 1086 */    MCD_OPC_Decode, 76, 47, // Opcode: ADDiu_MM
+/* 1089 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1101
+/* 1093 */    MCD_OPC_CheckPredicate, 3, 29, 2, // Skip to: 1638
+/* 1097 */    MCD_OPC_Decode, 191, 7, 48, // Opcode: LHu_MM
+/* 1101 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1113
+/* 1105 */    MCD_OPC_CheckPredicate, 3, 17, 2, // Skip to: 1638
+/* 1109 */    MCD_OPC_Decode, 216, 11, 48, // Opcode: SH_MM
+/* 1113 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 1125
+/* 1117 */    MCD_OPC_CheckPredicate, 3, 5, 2, // Skip to: 1638
+/* 1121 */    MCD_OPC_Decode, 188, 7, 48, // Opcode: LH_MM
+/* 1125 */    MCD_OPC_FilterValue, 16, 207, 0, // Skip to: 1336
+/* 1129 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 1132 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1144
+/* 1136 */    MCD_OPC_CheckPredicate, 3, 242, 1, // Skip to: 1638
+/* 1140 */    MCD_OPC_Decode, 140, 2, 51, // Opcode: BLTZ_MM
+/* 1144 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1156
+/* 1148 */    MCD_OPC_CheckPredicate, 3, 230, 1, // Skip to: 1638
+/* 1152 */    MCD_OPC_Decode, 137, 2, 51, // Opcode: BLTZAL_MM
+/* 1156 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1168
+/* 1160 */    MCD_OPC_CheckPredicate, 3, 218, 1, // Skip to: 1638
+/* 1164 */    MCD_OPC_Decode, 226, 1, 51, // Opcode: BGEZ_MM
+/* 1168 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1180
+/* 1172 */    MCD_OPC_CheckPredicate, 3, 206, 1, // Skip to: 1638
+/* 1176 */    MCD_OPC_Decode, 223, 1, 51, // Opcode: BGEZAL_MM
+/* 1180 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1192
+/* 1184 */    MCD_OPC_CheckPredicate, 3, 194, 1, // Skip to: 1638
+/* 1188 */    MCD_OPC_Decode, 128, 2, 51, // Opcode: BLEZ_MM
+/* 1192 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1204
+/* 1196 */    MCD_OPC_CheckPredicate, 3, 182, 1, // Skip to: 1638
+/* 1200 */    MCD_OPC_Decode, 160, 2, 51, // Opcode: BNEZC_MM
+/* 1204 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1216
+/* 1208 */    MCD_OPC_CheckPredicate, 3, 170, 1, // Skip to: 1638
+/* 1212 */    MCD_OPC_Decode, 232, 1, 51, // Opcode: BGTZ_MM
+/* 1216 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 1228
+/* 1220 */    MCD_OPC_CheckPredicate, 3, 158, 1, // Skip to: 1638
+/* 1224 */    MCD_OPC_Decode, 213, 1, 51, // Opcode: BEQZC_MM
+/* 1228 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1240
+/* 1232 */    MCD_OPC_CheckPredicate, 3, 146, 1, // Skip to: 1638
+/* 1236 */    MCD_OPC_Decode, 205, 13, 52, // Opcode: TLTI_MM
+/* 1240 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1252
+/* 1244 */    MCD_OPC_CheckPredicate, 3, 134, 1, // Skip to: 1638
+/* 1248 */    MCD_OPC_Decode, 190, 13, 52, // Opcode: TGEI_MM
+/* 1252 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1264
+/* 1256 */    MCD_OPC_CheckPredicate, 3, 122, 1, // Skip to: 1638
+/* 1260 */    MCD_OPC_Decode, 204, 13, 52, // Opcode: TLTIU_MM
+/* 1264 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1276
+/* 1268 */    MCD_OPC_CheckPredicate, 3, 110, 1, // Skip to: 1638
+/* 1272 */    MCD_OPC_Decode, 189, 13, 52, // Opcode: TGEIU_MM
+/* 1276 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 1288
+/* 1280 */    MCD_OPC_CheckPredicate, 3, 98, 1, // Skip to: 1638
+/* 1284 */    MCD_OPC_Decode, 211, 13, 52, // Opcode: TNEI_MM
+/* 1288 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1300
+/* 1292 */    MCD_OPC_CheckPredicate, 3, 86, 1, // Skip to: 1638
+/* 1296 */    MCD_OPC_Decode, 212, 7, 52, // Opcode: LUi_MM
+/* 1300 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1312
+/* 1304 */    MCD_OPC_CheckPredicate, 3, 74, 1, // Skip to: 1638
+/* 1308 */    MCD_OPC_Decode, 184, 13, 52, // Opcode: TEQI_MM
+/* 1312 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1324
+/* 1316 */    MCD_OPC_CheckPredicate, 3, 62, 1, // Skip to: 1638
+/* 1320 */    MCD_OPC_Decode, 136, 2, 51, // Opcode: BLTZALS_MM
+/* 1324 */    MCD_OPC_FilterValue, 19, 54, 1, // Skip to: 1638
+/* 1328 */    MCD_OPC_CheckPredicate, 3, 50, 1, // Skip to: 1638
+/* 1332 */    MCD_OPC_Decode, 222, 1, 51, // Opcode: BGEZALS_MM
+/* 1336 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 1348
+/* 1340 */    MCD_OPC_CheckPredicate, 3, 38, 1, // Skip to: 1638
+/* 1344 */    MCD_OPC_Decode, 144, 10, 53, // Opcode: ORi_MM
+/* 1348 */    MCD_OPC_FilterValue, 21, 29, 0, // Skip to: 1381
+/* 1352 */    MCD_OPC_ExtractField, 0, 13,  // Inst{12-0} ...
+/* 1355 */    MCD_OPC_FilterValue, 251, 2, 8, 0, // Skip to: 1368
+/* 1360 */    MCD_OPC_CheckPredicate, 3, 18, 1, // Skip to: 1638
+/* 1364 */    MCD_OPC_Decode, 241, 8, 54, // Opcode: MOVF_I_MM
+/* 1368 */    MCD_OPC_FilterValue, 251, 18, 9, 1, // Skip to: 1638
+/* 1373 */    MCD_OPC_CheckPredicate, 3, 5, 1, // Skip to: 1638
+/* 1377 */    MCD_OPC_Decode, 133, 9, 54, // Opcode: MOVT_I_MM
+/* 1381 */    MCD_OPC_FilterValue, 24, 99, 0, // Skip to: 1484
+/* 1385 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
+/* 1388 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1400
+/* 1392 */    MCD_OPC_CheckPredicate, 3, 242, 0, // Skip to: 1638
+/* 1396 */    MCD_OPC_Decode, 224, 7, 49, // Opcode: LWL_MM
+/* 1400 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1412
+/* 1404 */    MCD_OPC_CheckPredicate, 3, 230, 0, // Skip to: 1638
+/* 1408 */    MCD_OPC_Decode, 232, 7, 49, // Opcode: LWR_MM
+/* 1412 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1424
+/* 1416 */    MCD_OPC_CheckPredicate, 3, 218, 0, // Skip to: 1638
+/* 1420 */    MCD_OPC_Decode, 182, 10, 50, // Opcode: PREF_MM
+/* 1424 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1436
+/* 1428 */    MCD_OPC_CheckPredicate, 3, 206, 0, // Skip to: 1638
+/* 1432 */    MCD_OPC_Decode, 196, 7, 49, // Opcode: LL_MM
+/* 1436 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1448
+/* 1440 */    MCD_OPC_CheckPredicate, 3, 194, 0, // Skip to: 1638
+/* 1444 */    MCD_OPC_Decode, 245, 12, 49, // Opcode: SWL_MM
+/* 1448 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1460
+/* 1452 */    MCD_OPC_CheckPredicate, 3, 182, 0, // Skip to: 1638
+/* 1456 */    MCD_OPC_Decode, 252, 12, 49, // Opcode: SWR_MM
+/* 1460 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1472
+/* 1464 */    MCD_OPC_CheckPredicate, 3, 170, 0, // Skip to: 1638
+/* 1468 */    MCD_OPC_Decode, 149, 11, 49, // Opcode: SC_MM
+/* 1472 */    MCD_OPC_FilterValue, 14, 162, 0, // Skip to: 1638
+/* 1476 */    MCD_OPC_CheckPredicate, 3, 158, 0, // Skip to: 1638
+/* 1480 */    MCD_OPC_Decode, 235, 7, 49, // Opcode: LWU_MM
+/* 1484 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 1496
+/* 1488 */    MCD_OPC_CheckPredicate, 3, 146, 0, // Skip to: 1638
+/* 1492 */    MCD_OPC_Decode, 247, 13, 53, // Opcode: XORi_MM
+/* 1496 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 1508
+/* 1500 */    MCD_OPC_CheckPredicate, 3, 134, 0, // Skip to: 1638
+/* 1504 */    MCD_OPC_Decode, 130, 7, 55, // Opcode: JALS_MM
+/* 1508 */    MCD_OPC_FilterValue, 30, 7, 0, // Skip to: 1519
+/* 1512 */    MCD_OPC_CheckPredicate, 3, 122, 0, // Skip to: 1638
+/* 1516 */    MCD_OPC_Decode, 27, 56, // Opcode: ADDIUPC_MM
+/* 1519 */    MCD_OPC_FilterValue, 36, 8, 0, // Skip to: 1531
+/* 1523 */    MCD_OPC_CheckPredicate, 3, 111, 0, // Skip to: 1638
+/* 1527 */    MCD_OPC_Decode, 245, 11, 47, // Opcode: SLTi_MM
+/* 1531 */    MCD_OPC_FilterValue, 37, 8, 0, // Skip to: 1543
+/* 1535 */    MCD_OPC_CheckPredicate, 3, 99, 0, // Skip to: 1638
+/* 1539 */    MCD_OPC_Decode, 214, 1, 57, // Opcode: BEQ_MM
+/* 1543 */    MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 1555
+/* 1547 */    MCD_OPC_CheckPredicate, 3, 87, 0, // Skip to: 1638
+/* 1551 */    MCD_OPC_Decode, 248, 11, 47, // Opcode: SLTiu_MM
+/* 1555 */    MCD_OPC_FilterValue, 45, 8, 0, // Skip to: 1567
+/* 1559 */    MCD_OPC_CheckPredicate, 3, 75, 0, // Skip to: 1638
+/* 1563 */    MCD_OPC_Decode, 161, 2, 57, // Opcode: BNE_MM
+/* 1567 */    MCD_OPC_FilterValue, 52, 7, 0, // Skip to: 1578
+/* 1571 */    MCD_OPC_CheckPredicate, 3, 63, 0, // Skip to: 1638
+/* 1575 */    MCD_OPC_Decode, 95, 53, // Opcode: ANDi_MM
+/* 1578 */    MCD_OPC_FilterValue, 53, 8, 0, // Skip to: 1590
+/* 1582 */    MCD_OPC_CheckPredicate, 3, 52, 0, // Skip to: 1638
+/* 1586 */    MCD_OPC_Decode, 144, 7, 55, // Opcode: J_MM
+/* 1590 */    MCD_OPC_FilterValue, 60, 8, 0, // Skip to: 1602
+/* 1594 */    MCD_OPC_CheckPredicate, 3, 40, 0, // Skip to: 1638
+/* 1598 */    MCD_OPC_Decode, 132, 7, 55, // Opcode: JALX_MM
+/* 1602 */    MCD_OPC_FilterValue, 61, 8, 0, // Skip to: 1614
+/* 1606 */    MCD_OPC_CheckPredicate, 3, 28, 0, // Skip to: 1638
+/* 1610 */    MCD_OPC_Decode, 133, 7, 55, // Opcode: JAL_MM
+/* 1614 */    MCD_OPC_FilterValue, 62, 8, 0, // Skip to: 1626
+/* 1618 */    MCD_OPC_CheckPredicate, 3, 16, 0, // Skip to: 1638
+/* 1622 */    MCD_OPC_Decode, 128, 13, 48, // Opcode: SW_MM
+/* 1626 */    MCD_OPC_FilterValue, 63, 8, 0, // Skip to: 1638
+/* 1630 */    MCD_OPC_CheckPredicate, 3, 4, 0, // Skip to: 1638
+/* 1634 */    MCD_OPC_Decode, 240, 7, 48, // Opcode: LW_MM
+/* 1638 */    MCD_OPC_Fail,
   0
 };
 
@@ -419,3219 +604,3222 @@ static const uint8_t DecoderTableMips32[
 /* 7 */       MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 10 */      MCD_OPC_FilterValue, 0, 54, 0, // Skip to: 68
 /* 14 */      MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 17 */      MCD_OPC_FilterValue, 0, 22, 52, // Skip to: 13355
+/* 17 */      MCD_OPC_FilterValue, 0, 137, 53, // Skip to: 13726
 /* 21 */      MCD_OPC_ExtractField, 6, 15,  // Inst{20-6} ...
 /* 24 */      MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 36
-/* 28 */      MCD_OPC_CheckPredicate, 1, 28, 0, // Skip to: 60
-/* 32 */      MCD_OPC_Decode, 243, 11, 0, // Opcode: SSNOP
+/* 28 */      MCD_OPC_CheckPredicate, 5, 28, 0, // Skip to: 60
+/* 32 */      MCD_OPC_Decode, 180, 12, 0, // Opcode: SSNOP
 /* 36 */      MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 48
-/* 40 */      MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 60
-/* 44 */      MCD_OPC_Decode, 247, 4, 0, // Opcode: EHB
+/* 40 */      MCD_OPC_CheckPredicate, 5, 16, 0, // Skip to: 60
+/* 44 */      MCD_OPC_Decode, 139, 5, 0, // Opcode: EHB
 /* 48 */      MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 60
-/* 52 */      MCD_OPC_CheckPredicate, 4, 4, 0, // Skip to: 60
-/* 56 */      MCD_OPC_Decode, 234, 9, 0, // Opcode: PAUSE
-/* 60 */      MCD_OPC_CheckPredicate, 1, 235, 51, // Skip to: 13355
-/* 64 */      MCD_OPC_Decode, 162, 11, 36, // Opcode: SLL
+/* 52 */      MCD_OPC_CheckPredicate, 6, 4, 0, // Skip to: 60
+/* 56 */      MCD_OPC_Decode, 147, 10, 0, // Opcode: PAUSE
+/* 60 */      MCD_OPC_CheckPredicate, 1, 94, 53, // Skip to: 13726
+/* 64 */      MCD_OPC_Decode, 225, 11, 58, // Opcode: SLL
 /* 68 */      MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 111
 /* 72 */      MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
 /* 75 */      MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 93
-/* 79 */      MCD_OPC_CheckPredicate, 5, 216, 51, // Skip to: 13355
-/* 83 */      MCD_OPC_CheckField, 6, 5, 0, 210, 51, // Skip to: 13355
-/* 89 */      MCD_OPC_Decode, 200, 8, 37, // Opcode: MOVF_I
-/* 93 */      MCD_OPC_FilterValue, 1, 202, 51, // Skip to: 13355
-/* 97 */      MCD_OPC_CheckPredicate, 5, 198, 51, // Skip to: 13355
-/* 101 */     MCD_OPC_CheckField, 6, 5, 0, 192, 51, // Skip to: 13355
-/* 107 */     MCD_OPC_Decode, 220, 8, 37, // Opcode: MOVT_I
+/* 79 */      MCD_OPC_CheckPredicate, 7, 75, 53, // Skip to: 13726
+/* 83 */      MCD_OPC_CheckField, 6, 5, 0, 69, 53, // Skip to: 13726
+/* 89 */      MCD_OPC_Decode, 239, 8, 59, // Opcode: MOVF_I
+/* 93 */      MCD_OPC_FilterValue, 1, 61, 53, // Skip to: 13726
+/* 97 */      MCD_OPC_CheckPredicate, 7, 57, 53, // Skip to: 13726
+/* 101 */     MCD_OPC_CheckField, 6, 5, 0, 51, 53, // Skip to: 13726
+/* 107 */     MCD_OPC_Decode, 131, 9, 59, // Opcode: MOVT_I
 /* 111 */     MCD_OPC_FilterValue, 2, 27, 0, // Skip to: 142
 /* 115 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 118 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 130
-/* 122 */     MCD_OPC_CheckPredicate, 1, 173, 51, // Skip to: 13355
-/* 126 */     MCD_OPC_Decode, 223, 11, 36, // Opcode: SRL
-/* 130 */     MCD_OPC_FilterValue, 1, 165, 51, // Skip to: 13355
-/* 134 */     MCD_OPC_CheckPredicate, 4, 161, 51, // Skip to: 13355
-/* 138 */     MCD_OPC_Decode, 188, 10, 36, // Opcode: ROTR
+/* 122 */     MCD_OPC_CheckPredicate, 1, 32, 53, // Skip to: 13726
+/* 126 */     MCD_OPC_Decode, 159, 12, 58, // Opcode: SRL
+/* 130 */     MCD_OPC_FilterValue, 1, 24, 53, // Skip to: 13726
+/* 134 */     MCD_OPC_CheckPredicate, 6, 20, 53, // Skip to: 13726
+/* 138 */     MCD_OPC_Decode, 247, 10, 58, // Opcode: ROTR
 /* 142 */     MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 160
-/* 146 */     MCD_OPC_CheckPredicate, 1, 149, 51, // Skip to: 13355
-/* 150 */     MCD_OPC_CheckField, 21, 5, 0, 143, 51, // Skip to: 13355
-/* 156 */     MCD_OPC_Decode, 203, 11, 36, // Opcode: SRA
+/* 146 */     MCD_OPC_CheckPredicate, 5, 8, 53, // Skip to: 13726
+/* 150 */     MCD_OPC_CheckField, 21, 5, 0, 2, 53, // Skip to: 13726
+/* 156 */     MCD_OPC_Decode, 139, 12, 58, // Opcode: SRA
 /* 160 */     MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 178
-/* 164 */     MCD_OPC_CheckPredicate, 1, 131, 51, // Skip to: 13355
-/* 168 */     MCD_OPC_CheckField, 6, 5, 0, 125, 51, // Skip to: 13355
-/* 174 */     MCD_OPC_Decode, 169, 11, 18, // Opcode: SLLV
+/* 164 */     MCD_OPC_CheckPredicate, 5, 246, 52, // Skip to: 13726
+/* 168 */     MCD_OPC_CheckField, 6, 5, 0, 240, 52, // Skip to: 13726
+/* 174 */     MCD_OPC_Decode, 233, 11, 36, // Opcode: SLLV
 /* 178 */     MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 196
-/* 182 */     MCD_OPC_CheckPredicate, 6, 113, 51, // Skip to: 13355
-/* 186 */     MCD_OPC_CheckField, 8, 3, 0, 107, 51, // Skip to: 13355
-/* 192 */     MCD_OPC_Decode, 175, 7, 38, // Opcode: LSA
+/* 182 */     MCD_OPC_CheckPredicate, 8, 228, 52, // Skip to: 13726
+/* 186 */     MCD_OPC_CheckField, 8, 3, 0, 222, 52, // Skip to: 13726
+/* 192 */     MCD_OPC_Decode, 205, 7, 60, // Opcode: LSA
 /* 196 */     MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 227
 /* 200 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 203 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 215
-/* 207 */     MCD_OPC_CheckPredicate, 1, 88, 51, // Skip to: 13355
-/* 211 */     MCD_OPC_Decode, 236, 11, 18, // Opcode: SRLV
-/* 215 */     MCD_OPC_FilterValue, 1, 80, 51, // Skip to: 13355
-/* 219 */     MCD_OPC_CheckPredicate, 4, 76, 51, // Skip to: 13355
-/* 223 */     MCD_OPC_Decode, 189, 10, 18, // Opcode: ROTRV
+/* 207 */     MCD_OPC_CheckPredicate, 5, 203, 52, // Skip to: 13726
+/* 211 */     MCD_OPC_Decode, 173, 12, 36, // Opcode: SRLV
+/* 215 */     MCD_OPC_FilterValue, 1, 195, 52, // Skip to: 13726
+/* 219 */     MCD_OPC_CheckPredicate, 6, 191, 52, // Skip to: 13726
+/* 223 */     MCD_OPC_Decode, 248, 10, 36, // Opcode: ROTRV
 /* 227 */     MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 245
-/* 231 */     MCD_OPC_CheckPredicate, 1, 64, 51, // Skip to: 13355
-/* 235 */     MCD_OPC_CheckField, 6, 5, 0, 58, 51, // Skip to: 13355
-/* 241 */     MCD_OPC_Decode, 216, 11, 18, // Opcode: SRAV
+/* 231 */     MCD_OPC_CheckPredicate, 5, 179, 52, // Skip to: 13726
+/* 235 */     MCD_OPC_CheckField, 6, 5, 0, 173, 52, // Skip to: 13726
+/* 241 */     MCD_OPC_Decode, 152, 12, 36, // Opcode: SRAV
 /* 245 */     MCD_OPC_FilterValue, 8, 27, 0, // Skip to: 276
 /* 249 */     MCD_OPC_ExtractField, 6, 15,  // Inst{20-6} ...
 /* 252 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 264
-/* 256 */     MCD_OPC_CheckPredicate, 1, 39, 51, // Skip to: 13355
-/* 260 */     MCD_OPC_Decode, 241, 6, 39, // Opcode: JR
-/* 264 */     MCD_OPC_FilterValue, 16, 31, 51, // Skip to: 13355
-/* 268 */     MCD_OPC_CheckPredicate, 7, 27, 51, // Skip to: 13355
-/* 272 */     MCD_OPC_Decode, 244, 6, 39, // Opcode: JR_HB
+/* 256 */     MCD_OPC_CheckPredicate, 5, 154, 52, // Skip to: 13726
+/* 260 */     MCD_OPC_Decode, 136, 7, 61, // Opcode: JR
+/* 264 */     MCD_OPC_FilterValue, 16, 146, 52, // Skip to: 13726
+/* 268 */     MCD_OPC_CheckPredicate, 9, 142, 52, // Skip to: 13726
+/* 272 */     MCD_OPC_Decode, 141, 7, 61, // Opcode: JR_HB
 /* 276 */     MCD_OPC_FilterValue, 9, 39, 0, // Skip to: 319
 /* 280 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 283 */     MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 301
-/* 287 */     MCD_OPC_CheckPredicate, 8, 8, 51, // Skip to: 13355
-/* 291 */     MCD_OPC_CheckField, 16, 5, 0, 2, 51, // Skip to: 13355
-/* 297 */     MCD_OPC_Decode, 228, 6, 40, // Opcode: JALR
-/* 301 */     MCD_OPC_FilterValue, 16, 250, 50, // Skip to: 13355
-/* 305 */     MCD_OPC_CheckPredicate, 9, 246, 50, // Skip to: 13355
-/* 309 */     MCD_OPC_CheckField, 16, 5, 0, 240, 50, // Skip to: 13355
-/* 315 */     MCD_OPC_Decode, 234, 6, 40, // Opcode: JALR_HB
+/* 287 */     MCD_OPC_CheckPredicate, 1, 123, 52, // Skip to: 13726
+/* 291 */     MCD_OPC_CheckField, 16, 5, 0, 117, 52, // Skip to: 13726
+/* 297 */     MCD_OPC_Decode, 249, 6, 62, // Opcode: JALR
+/* 301 */     MCD_OPC_FilterValue, 16, 109, 52, // Skip to: 13726
+/* 305 */     MCD_OPC_CheckPredicate, 10, 105, 52, // Skip to: 13726
+/* 309 */     MCD_OPC_CheckField, 16, 5, 0, 99, 52, // Skip to: 13726
+/* 315 */     MCD_OPC_Decode, 128, 7, 62, // Opcode: JALR_HB
 /* 319 */     MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 337
-/* 323 */     MCD_OPC_CheckPredicate, 5, 228, 50, // Skip to: 13355
-/* 327 */     MCD_OPC_CheckField, 6, 5, 0, 222, 50, // Skip to: 13355
-/* 333 */     MCD_OPC_Decode, 232, 8, 41, // Opcode: MOVZ_I_I
+/* 323 */     MCD_OPC_CheckPredicate, 7, 87, 52, // Skip to: 13726
+/* 327 */     MCD_OPC_CheckField, 6, 5, 0, 81, 52, // Skip to: 13726
+/* 333 */     MCD_OPC_Decode, 143, 9, 63, // Opcode: MOVZ_I_I
 /* 337 */     MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 355
-/* 341 */     MCD_OPC_CheckPredicate, 5, 210, 50, // Skip to: 13355
-/* 345 */     MCD_OPC_CheckField, 6, 5, 0, 204, 50, // Skip to: 13355
-/* 351 */     MCD_OPC_Decode, 212, 8, 41, // Opcode: MOVN_I_I
+/* 341 */     MCD_OPC_CheckPredicate, 7, 69, 52, // Skip to: 13726
+/* 345 */     MCD_OPC_CheckField, 6, 5, 0, 63, 52, // Skip to: 13726
+/* 351 */     MCD_OPC_Decode, 251, 8, 63, // Opcode: MOVN_I_I
 /* 355 */     MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 367
-/* 359 */     MCD_OPC_CheckPredicate, 1, 192, 50, // Skip to: 13355
-/* 363 */     MCD_OPC_Decode, 186, 12, 42, // Opcode: SYSCALL
+/* 359 */     MCD_OPC_CheckPredicate, 5, 51, 52, // Skip to: 13726
+/* 363 */     MCD_OPC_Decode, 132, 13, 64, // Opcode: SYSCALL
 /* 367 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 379
-/* 371 */     MCD_OPC_CheckPredicate, 1, 180, 50, // Skip to: 13355
-/* 375 */     MCD_OPC_Decode, 154, 2, 15, // Opcode: BREAK
+/* 371 */     MCD_OPC_CheckPredicate, 5, 39, 52, // Skip to: 13726
+/* 375 */     MCD_OPC_Decode, 171, 2, 33, // Opcode: BREAK
 /* 379 */     MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 391
-/* 383 */     MCD_OPC_CheckPredicate, 9, 168, 50, // Skip to: 13355
-/* 387 */     MCD_OPC_Decode, 184, 12, 43, // Opcode: SYNC
+/* 383 */     MCD_OPC_CheckPredicate, 10, 27, 52, // Skip to: 13726
+/* 387 */     MCD_OPC_Decode, 129, 13, 65, // Opcode: SYNC
 /* 391 */     MCD_OPC_FilterValue, 16, 43, 0, // Skip to: 438
 /* 395 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 398 */     MCD_OPC_FilterValue, 0, 153, 50, // Skip to: 13355
+/* 398 */     MCD_OPC_FilterValue, 0, 12, 52, // Skip to: 13726
 /* 402 */     MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 405 */     MCD_OPC_FilterValue, 0, 146, 50, // Skip to: 13355
+/* 405 */     MCD_OPC_FilterValue, 0, 5, 52, // Skip to: 13726
 /* 409 */     MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
-/* 412 */     MCD_OPC_FilterValue, 0, 139, 50, // Skip to: 13355
-/* 416 */     MCD_OPC_CheckPredicate, 10, 10, 0, // Skip to: 430
+/* 412 */     MCD_OPC_FilterValue, 0, 254, 51, // Skip to: 13726
+/* 416 */     MCD_OPC_CheckPredicate, 11, 10, 0, // Skip to: 430
 /* 420 */     MCD_OPC_CheckField, 21, 2, 0, 4, 0, // Skip to: 430
-/* 426 */     MCD_OPC_Decode, 148, 8, 44, // Opcode: MFHI
-/* 430 */     MCD_OPC_CheckPredicate, 11, 121, 50, // Skip to: 13355
-/* 434 */     MCD_OPC_Decode, 151, 8, 45, // Opcode: MFHI_DSP
+/* 426 */     MCD_OPC_Decode, 186, 8, 66, // Opcode: MFHI
+/* 430 */     MCD_OPC_CheckPredicate, 12, 236, 51, // Skip to: 13726
+/* 434 */     MCD_OPC_Decode, 189, 8, 67, // Opcode: MFHI_DSP
 /* 438 */     MCD_OPC_FilterValue, 17, 36, 0, // Skip to: 478
 /* 442 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 445 */     MCD_OPC_FilterValue, 0, 106, 50, // Skip to: 13355
+/* 445 */     MCD_OPC_FilterValue, 0, 221, 51, // Skip to: 13726
 /* 449 */     MCD_OPC_ExtractField, 13, 8,  // Inst{20-13} ...
-/* 452 */     MCD_OPC_FilterValue, 0, 99, 50, // Skip to: 13355
-/* 456 */     MCD_OPC_CheckPredicate, 12, 10, 0, // Skip to: 470
+/* 452 */     MCD_OPC_FilterValue, 0, 214, 51, // Skip to: 13726
+/* 456 */     MCD_OPC_CheckPredicate, 13, 10, 0, // Skip to: 470
 /* 460 */     MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 470
-/* 466 */     MCD_OPC_Decode, 137, 9, 39, // Opcode: MTHI
-/* 470 */     MCD_OPC_CheckPredicate, 11, 81, 50, // Skip to: 13355
-/* 474 */     MCD_OPC_Decode, 139, 9, 46, // Opcode: MTHI_DSP
+/* 466 */     MCD_OPC_Decode, 176, 9, 61, // Opcode: MTHI
+/* 470 */     MCD_OPC_CheckPredicate, 12, 196, 51, // Skip to: 13726
+/* 474 */     MCD_OPC_Decode, 178, 9, 68, // Opcode: MTHI_DSP
 /* 478 */     MCD_OPC_FilterValue, 18, 43, 0, // Skip to: 525
 /* 482 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 485 */     MCD_OPC_FilterValue, 0, 66, 50, // Skip to: 13355
+/* 485 */     MCD_OPC_FilterValue, 0, 181, 51, // Skip to: 13726
 /* 489 */     MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 492 */     MCD_OPC_FilterValue, 0, 59, 50, // Skip to: 13355
+/* 492 */     MCD_OPC_FilterValue, 0, 174, 51, // Skip to: 13726
 /* 496 */     MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
-/* 499 */     MCD_OPC_FilterValue, 0, 52, 50, // Skip to: 13355
-/* 503 */     MCD_OPC_CheckPredicate, 10, 10, 0, // Skip to: 517
+/* 499 */     MCD_OPC_FilterValue, 0, 167, 51, // Skip to: 13726
+/* 503 */     MCD_OPC_CheckPredicate, 11, 10, 0, // Skip to: 517
 /* 507 */     MCD_OPC_CheckField, 21, 2, 0, 4, 0, // Skip to: 517
-/* 513 */     MCD_OPC_Decode, 153, 8, 44, // Opcode: MFLO
-/* 517 */     MCD_OPC_CheckPredicate, 11, 34, 50, // Skip to: 13355
-/* 521 */     MCD_OPC_Decode, 156, 8, 45, // Opcode: MFLO_DSP
+/* 513 */     MCD_OPC_Decode, 191, 8, 66, // Opcode: MFLO
+/* 517 */     MCD_OPC_CheckPredicate, 12, 149, 51, // Skip to: 13726
+/* 521 */     MCD_OPC_Decode, 194, 8, 67, // Opcode: MFLO_DSP
 /* 525 */     MCD_OPC_FilterValue, 19, 36, 0, // Skip to: 565
 /* 529 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 532 */     MCD_OPC_FilterValue, 0, 19, 50, // Skip to: 13355
+/* 532 */     MCD_OPC_FilterValue, 0, 134, 51, // Skip to: 13726
 /* 536 */     MCD_OPC_ExtractField, 13, 8,  // Inst{20-13} ...
-/* 539 */     MCD_OPC_FilterValue, 0, 12, 50, // Skip to: 13355
-/* 543 */     MCD_OPC_CheckPredicate, 12, 10, 0, // Skip to: 557
+/* 539 */     MCD_OPC_FilterValue, 0, 127, 51, // Skip to: 13726
+/* 543 */     MCD_OPC_CheckPredicate, 13, 10, 0, // Skip to: 557
 /* 547 */     MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 557
-/* 553 */     MCD_OPC_Decode, 142, 9, 39, // Opcode: MTLO
-/* 557 */     MCD_OPC_CheckPredicate, 11, 250, 49, // Skip to: 13355
-/* 561 */     MCD_OPC_Decode, 144, 9, 47, // Opcode: MTLO_DSP
+/* 553 */     MCD_OPC_Decode, 181, 9, 61, // Opcode: MTLO
+/* 557 */     MCD_OPC_CheckPredicate, 12, 109, 51, // Skip to: 13726
+/* 561 */     MCD_OPC_Decode, 183, 9, 69, // Opcode: MTLO_DSP
 /* 565 */     MCD_OPC_FilterValue, 21, 14, 0, // Skip to: 583
-/* 569 */     MCD_OPC_CheckPredicate, 13, 238, 49, // Skip to: 13355
-/* 573 */     MCD_OPC_CheckField, 8, 3, 0, 232, 49, // Skip to: 13355
-/* 579 */     MCD_OPC_Decode, 174, 4, 48, // Opcode: DLSA
+/* 569 */     MCD_OPC_CheckPredicate, 14, 97, 51, // Skip to: 13726
+/* 573 */     MCD_OPC_CheckField, 8, 3, 0, 91, 51, // Skip to: 13726
+/* 579 */     MCD_OPC_Decode, 194, 4, 70, // Opcode: DLSA
 /* 583 */     MCD_OPC_FilterValue, 24, 36, 0, // Skip to: 623
 /* 587 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 590 */     MCD_OPC_FilterValue, 0, 217, 49, // Skip to: 13355
+/* 590 */     MCD_OPC_FilterValue, 0, 76, 51, // Skip to: 13726
 /* 594 */     MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 597 */     MCD_OPC_FilterValue, 0, 210, 49, // Skip to: 13355
-/* 601 */     MCD_OPC_CheckPredicate, 12, 10, 0, // Skip to: 615
+/* 597 */     MCD_OPC_FilterValue, 0, 69, 51, // Skip to: 13726
+/* 601 */     MCD_OPC_CheckPredicate, 13, 10, 0, // Skip to: 615
 /* 605 */     MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 615
-/* 611 */     MCD_OPC_Decode, 167, 9, 24, // Opcode: MULT
-/* 615 */     MCD_OPC_CheckPredicate, 11, 192, 49, // Skip to: 13355
-/* 619 */     MCD_OPC_Decode, 169, 9, 49, // Opcode: MULT_DSP
+/* 611 */     MCD_OPC_Decode, 206, 9, 43, // Opcode: MULT
+/* 615 */     MCD_OPC_CheckPredicate, 12, 51, 51, // Skip to: 13726
+/* 619 */     MCD_OPC_Decode, 208, 9, 71, // Opcode: MULT_DSP
 /* 623 */     MCD_OPC_FilterValue, 25, 36, 0, // Skip to: 663
 /* 627 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 630 */     MCD_OPC_FilterValue, 0, 177, 49, // Skip to: 13355
+/* 630 */     MCD_OPC_FilterValue, 0, 36, 51, // Skip to: 13726
 /* 634 */     MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 637 */     MCD_OPC_FilterValue, 0, 170, 49, // Skip to: 13355
-/* 641 */     MCD_OPC_CheckPredicate, 12, 10, 0, // Skip to: 655
+/* 637 */     MCD_OPC_FilterValue, 0, 29, 51, // Skip to: 13726
+/* 641 */     MCD_OPC_CheckPredicate, 13, 10, 0, // Skip to: 655
 /* 645 */     MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 655
-/* 651 */     MCD_OPC_Decode, 171, 9, 24, // Opcode: MULTu
-/* 655 */     MCD_OPC_CheckPredicate, 11, 152, 49, // Skip to: 13355
-/* 659 */     MCD_OPC_Decode, 168, 9, 49, // Opcode: MULTU_DSP
+/* 651 */     MCD_OPC_Decode, 210, 9, 43, // Opcode: MULTu
+/* 655 */     MCD_OPC_CheckPredicate, 12, 11, 51, // Skip to: 13726
+/* 659 */     MCD_OPC_Decode, 207, 9, 71, // Opcode: MULTU_DSP
 /* 663 */     MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 681
-/* 667 */     MCD_OPC_CheckPredicate, 12, 140, 49, // Skip to: 13355
-/* 671 */     MCD_OPC_CheckField, 6, 10, 0, 134, 49, // Skip to: 13355
-/* 677 */     MCD_OPC_Decode, 228, 10, 24, // Opcode: SDIV
+/* 667 */     MCD_OPC_CheckPredicate, 13, 255, 50, // Skip to: 13726
+/* 671 */     MCD_OPC_CheckField, 6, 10, 0, 249, 50, // Skip to: 13726
+/* 677 */     MCD_OPC_Decode, 162, 11, 43, // Opcode: SDIV
 /* 681 */     MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 699
-/* 685 */     MCD_OPC_CheckPredicate, 12, 122, 49, // Skip to: 13355
-/* 689 */     MCD_OPC_CheckField, 6, 10, 0, 116, 49, // Skip to: 13355
-/* 695 */     MCD_OPC_Decode, 148, 13, 24, // Opcode: UDIV
+/* 685 */     MCD_OPC_CheckPredicate, 13, 237, 50, // Skip to: 13726
+/* 689 */     MCD_OPC_CheckField, 6, 10, 0, 231, 50, // Skip to: 13726
+/* 695 */     MCD_OPC_Decode, 222, 13, 43, // Opcode: UDIV
 /* 699 */     MCD_OPC_FilterValue, 32, 13, 0, // Skip to: 716
-/* 703 */     MCD_OPC_CheckPredicate, 1, 104, 49, // Skip to: 13355
-/* 707 */     MCD_OPC_CheckField, 6, 5, 0, 98, 49, // Skip to: 13355
-/* 713 */     MCD_OPC_Decode, 23, 17, // Opcode: ADD
+/* 703 */     MCD_OPC_CheckPredicate, 5, 219, 50, // Skip to: 13726
+/* 707 */     MCD_OPC_CheckField, 6, 5, 0, 213, 50, // Skip to: 13726
+/* 713 */     MCD_OPC_Decode, 25, 35, // Opcode: ADD
 /* 716 */     MCD_OPC_FilterValue, 33, 13, 0, // Skip to: 733
-/* 720 */     MCD_OPC_CheckPredicate, 1, 87, 49, // Skip to: 13355
-/* 724 */     MCD_OPC_CheckField, 6, 5, 0, 81, 49, // Skip to: 13355
-/* 730 */     MCD_OPC_Decode, 69, 17, // Opcode: ADDu
+/* 720 */     MCD_OPC_CheckPredicate, 5, 202, 50, // Skip to: 13726
+/* 724 */     MCD_OPC_CheckField, 6, 5, 0, 196, 50, // Skip to: 13726
+/* 730 */     MCD_OPC_Decode, 77, 35, // Opcode: ADDu
 /* 733 */     MCD_OPC_FilterValue, 34, 14, 0, // Skip to: 751
-/* 737 */     MCD_OPC_CheckPredicate, 1, 70, 49, // Skip to: 13355
-/* 741 */     MCD_OPC_CheckField, 6, 5, 0, 64, 49, // Skip to: 13355
-/* 747 */     MCD_OPC_Decode, 252, 11, 17, // Opcode: SUB
+/* 737 */     MCD_OPC_CheckPredicate, 5, 185, 50, // Skip to: 13726
+/* 741 */     MCD_OPC_CheckField, 6, 5, 0, 179, 50, // Skip to: 13726
+/* 747 */     MCD_OPC_Decode, 190, 12, 35, // Opcode: SUB
 /* 751 */     MCD_OPC_FilterValue, 35, 14, 0, // Skip to: 769
-/* 755 */     MCD_OPC_CheckPredicate, 1, 52, 49, // Skip to: 13355
-/* 759 */     MCD_OPC_CheckField, 6, 5, 0, 46, 49, // Skip to: 13355
-/* 765 */     MCD_OPC_Decode, 163, 12, 17, // Opcode: SUBu
+/* 755 */     MCD_OPC_CheckPredicate, 5, 167, 50, // Skip to: 13726
+/* 759 */     MCD_OPC_CheckField, 6, 5, 0, 161, 50, // Skip to: 13726
+/* 765 */     MCD_OPC_Decode, 230, 12, 35, // Opcode: SUBu
 /* 769 */     MCD_OPC_FilterValue, 36, 13, 0, // Skip to: 786
-/* 773 */     MCD_OPC_CheckPredicate, 1, 34, 49, // Skip to: 13355
-/* 777 */     MCD_OPC_CheckField, 6, 5, 0, 28, 49, // Skip to: 13355
-/* 783 */     MCD_OPC_Decode, 75, 17, // Opcode: AND
+/* 773 */     MCD_OPC_CheckPredicate, 1, 149, 50, // Skip to: 13726
+/* 777 */     MCD_OPC_CheckField, 6, 5, 0, 143, 50, // Skip to: 13726
+/* 783 */     MCD_OPC_Decode, 83, 35, // Opcode: AND
 /* 786 */     MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 804
-/* 790 */     MCD_OPC_CheckPredicate, 1, 17, 49, // Skip to: 13355
-/* 794 */     MCD_OPC_CheckField, 6, 5, 0, 11, 49, // Skip to: 13355
-/* 800 */     MCD_OPC_Decode, 221, 9, 17, // Opcode: OR
+/* 790 */     MCD_OPC_CheckPredicate, 1, 132, 50, // Skip to: 13726
+/* 794 */     MCD_OPC_CheckField, 6, 5, 0, 126, 50, // Skip to: 13726
+/* 800 */     MCD_OPC_Decode, 133, 10, 35, // Opcode: OR
 /* 804 */     MCD_OPC_FilterValue, 38, 14, 0, // Skip to: 822
-/* 808 */     MCD_OPC_CheckPredicate, 1, 255, 48, // Skip to: 13355
-/* 812 */     MCD_OPC_CheckField, 6, 5, 0, 249, 48, // Skip to: 13355
-/* 818 */     MCD_OPC_Decode, 162, 13, 17, // Opcode: XOR
+/* 808 */     MCD_OPC_CheckPredicate, 1, 114, 50, // Skip to: 13726
+/* 812 */     MCD_OPC_CheckField, 6, 5, 0, 108, 50, // Skip to: 13726
+/* 818 */     MCD_OPC_Decode, 236, 13, 35, // Opcode: XOR
 /* 822 */     MCD_OPC_FilterValue, 39, 14, 0, // Skip to: 840
-/* 826 */     MCD_OPC_CheckPredicate, 1, 237, 48, // Skip to: 13355
-/* 830 */     MCD_OPC_CheckField, 6, 5, 0, 231, 48, // Skip to: 13355
-/* 836 */     MCD_OPC_Decode, 211, 9, 17, // Opcode: NOR
+/* 826 */     MCD_OPC_CheckPredicate, 5, 96, 50, // Skip to: 13726
+/* 830 */     MCD_OPC_CheckField, 6, 5, 0, 90, 50, // Skip to: 13726
+/* 836 */     MCD_OPC_Decode, 250, 9, 35, // Opcode: NOR
 /* 840 */     MCD_OPC_FilterValue, 42, 14, 0, // Skip to: 858
-/* 844 */     MCD_OPC_CheckPredicate, 1, 219, 48, // Skip to: 13355
-/* 848 */     MCD_OPC_CheckField, 6, 5, 0, 213, 48, // Skip to: 13355
-/* 854 */     MCD_OPC_Decode, 176, 11, 17, // Opcode: SLT
+/* 844 */     MCD_OPC_CheckPredicate, 5, 78, 50, // Skip to: 13726
+/* 848 */     MCD_OPC_CheckField, 6, 5, 0, 72, 50, // Skip to: 13726
+/* 854 */     MCD_OPC_Decode, 240, 11, 35, // Opcode: SLT
 /* 858 */     MCD_OPC_FilterValue, 43, 14, 0, // Skip to: 876
-/* 862 */     MCD_OPC_CheckPredicate, 1, 201, 48, // Skip to: 13355
-/* 866 */     MCD_OPC_CheckField, 6, 5, 0, 195, 48, // Skip to: 13355
-/* 872 */     MCD_OPC_Decode, 185, 11, 17, // Opcode: SLTu
+/* 862 */     MCD_OPC_CheckPredicate, 5, 60, 50, // Skip to: 13726
+/* 866 */     MCD_OPC_CheckField, 6, 5, 0, 54, 50, // Skip to: 13726
+/* 872 */     MCD_OPC_Decode, 249, 11, 35, // Opcode: SLTu
 /* 876 */     MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 888
-/* 880 */     MCD_OPC_CheckPredicate, 2, 183, 48, // Skip to: 13355
-/* 884 */     MCD_OPC_Decode, 240, 12, 50, // Opcode: TGE
+/* 880 */     MCD_OPC_CheckPredicate, 15, 42, 50, // Skip to: 13726
+/* 884 */     MCD_OPC_Decode, 186, 13, 72, // Opcode: TGE
 /* 888 */     MCD_OPC_FilterValue, 49, 8, 0, // Skip to: 900
-/* 892 */     MCD_OPC_CheckPredicate, 2, 171, 48, // Skip to: 13355
-/* 896 */     MCD_OPC_Decode, 245, 12, 50, // Opcode: TGEU
+/* 892 */     MCD_OPC_CheckPredicate, 15, 30, 50, // Skip to: 13726
+/* 896 */     MCD_OPC_Decode, 191, 13, 72, // Opcode: TGEU
 /* 900 */     MCD_OPC_FilterValue, 50, 8, 0, // Skip to: 912
-/* 904 */     MCD_OPC_CheckPredicate, 2, 159, 48, // Skip to: 13355
-/* 908 */     MCD_OPC_Decode, 128, 13, 50, // Opcode: TLT
+/* 904 */     MCD_OPC_CheckPredicate, 15, 18, 50, // Skip to: 13726
+/* 908 */     MCD_OPC_Decode, 202, 13, 72, // Opcode: TLT
 /* 912 */     MCD_OPC_FilterValue, 51, 8, 0, // Skip to: 924
-/* 916 */     MCD_OPC_CheckPredicate, 2, 147, 48, // Skip to: 13355
-/* 920 */     MCD_OPC_Decode, 132, 13, 50, // Opcode: TLTU
+/* 916 */     MCD_OPC_CheckPredicate, 15, 6, 50, // Skip to: 13726
+/* 920 */     MCD_OPC_Decode, 206, 13, 72, // Opcode: TLTU
 /* 924 */     MCD_OPC_FilterValue, 52, 8, 0, // Skip to: 936
-/* 928 */     MCD_OPC_CheckPredicate, 2, 135, 48, // Skip to: 13355
-/* 932 */     MCD_OPC_Decode, 236, 12, 50, // Opcode: TEQ
-/* 936 */     MCD_OPC_FilterValue, 54, 127, 48, // Skip to: 13355
-/* 940 */     MCD_OPC_CheckPredicate, 2, 123, 48, // Skip to: 13355
-/* 944 */     MCD_OPC_Decode, 135, 13, 50, // Opcode: TNE
-/* 948 */     MCD_OPC_FilterValue, 1, 189, 0, // Skip to: 1141
+/* 928 */     MCD_OPC_CheckPredicate, 15, 250, 49, // Skip to: 13726
+/* 932 */     MCD_OPC_Decode, 182, 13, 72, // Opcode: TEQ
+/* 936 */     MCD_OPC_FilterValue, 54, 242, 49, // Skip to: 13726
+/* 940 */     MCD_OPC_CheckPredicate, 15, 238, 49, // Skip to: 13726
+/* 944 */     MCD_OPC_Decode, 209, 13, 72, // Opcode: TNE
+/* 948 */     MCD_OPC_FilterValue, 1, 201, 0, // Skip to: 1153
 /* 952 */     MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 955 */     MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 967
-/* 959 */     MCD_OPC_CheckPredicate, 1, 104, 48, // Skip to: 13355
-/* 963 */     MCD_OPC_Decode, 243, 1, 51, // Opcode: BLTZ
+/* 959 */     MCD_OPC_CheckPredicate, 5, 219, 49, // Skip to: 13726
+/* 963 */     MCD_OPC_Decode, 131, 2, 73, // Opcode: BLTZ
 /* 967 */     MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 979
-/* 971 */     MCD_OPC_CheckPredicate, 1, 92, 48, // Skip to: 13355
-/* 975 */     MCD_OPC_Decode, 201, 1, 51, // Opcode: BGEZ
+/* 971 */     MCD_OPC_CheckPredicate, 5, 207, 49, // Skip to: 13726
+/* 975 */     MCD_OPC_Decode, 217, 1, 73, // Opcode: BGEZ
 /* 979 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 991
-/* 983 */     MCD_OPC_CheckPredicate, 1, 80, 48, // Skip to: 13355
-/* 987 */     MCD_OPC_Decode, 251, 1, 51, // Opcode: BLTZL
+/* 983 */     MCD_OPC_CheckPredicate, 16, 195, 49, // Skip to: 13726
+/* 987 */     MCD_OPC_Decode, 139, 2, 73, // Opcode: BLTZL
 /* 991 */     MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1003
-/* 995 */     MCD_OPC_CheckPredicate, 1, 68, 48, // Skip to: 13355
-/* 999 */     MCD_OPC_Decode, 209, 1, 51, // Opcode: BGEZL
+/* 995 */     MCD_OPC_CheckPredicate, 16, 183, 49, // Skip to: 13726
+/* 999 */     MCD_OPC_Decode, 225, 1, 73, // Opcode: BGEZL
 /* 1003 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1015
-/* 1007 */    MCD_OPC_CheckPredicate, 14, 56, 48, // Skip to: 13355
-/* 1011 */    MCD_OPC_Decode, 241, 12, 52, // Opcode: TGEI
+/* 1007 */    MCD_OPC_CheckPredicate, 16, 171, 49, // Skip to: 13726
+/* 1011 */    MCD_OPC_Decode, 187, 13, 74, // Opcode: TGEI
 /* 1015 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1027
-/* 1019 */    MCD_OPC_CheckPredicate, 14, 44, 48, // Skip to: 13355
-/* 1023 */    MCD_OPC_Decode, 242, 12, 52, // Opcode: TGEIU
+/* 1019 */    MCD_OPC_CheckPredicate, 16, 159, 49, // Skip to: 13726
+/* 1023 */    MCD_OPC_Decode, 188, 13, 74, // Opcode: TGEIU
 /* 1027 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1039
-/* 1031 */    MCD_OPC_CheckPredicate, 14, 32, 48, // Skip to: 13355
-/* 1035 */    MCD_OPC_Decode, 129, 13, 52, // Opcode: TLTI
+/* 1031 */    MCD_OPC_CheckPredicate, 16, 147, 49, // Skip to: 13726
+/* 1035 */    MCD_OPC_Decode, 203, 13, 74, // Opcode: TLTI
 /* 1039 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1051
-/* 1043 */    MCD_OPC_CheckPredicate, 14, 20, 48, // Skip to: 13355
-/* 1047 */    MCD_OPC_Decode, 147, 13, 52, // Opcode: TTLTIU
+/* 1043 */    MCD_OPC_CheckPredicate, 16, 135, 49, // Skip to: 13726
+/* 1047 */    MCD_OPC_Decode, 221, 13, 74, // Opcode: TTLTIU
 /* 1051 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 1063
-/* 1055 */    MCD_OPC_CheckPredicate, 14, 8, 48, // Skip to: 13355
-/* 1059 */    MCD_OPC_Decode, 237, 12, 52, // Opcode: TEQI
+/* 1055 */    MCD_OPC_CheckPredicate, 16, 123, 49, // Skip to: 13726
+/* 1059 */    MCD_OPC_Decode, 183, 13, 74, // Opcode: TEQI
 /* 1063 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1075
-/* 1067 */    MCD_OPC_CheckPredicate, 14, 252, 47, // Skip to: 13355
-/* 1071 */    MCD_OPC_Decode, 136, 13, 52, // Opcode: TNEI
+/* 1067 */    MCD_OPC_CheckPredicate, 16, 111, 49, // Skip to: 13726
+/* 1071 */    MCD_OPC_Decode, 210, 13, 74, // Opcode: TNEI
 /* 1075 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 1087
-/* 1079 */    MCD_OPC_CheckPredicate, 12, 240, 47, // Skip to: 13355
-/* 1083 */    MCD_OPC_Decode, 245, 1, 51, // Opcode: BLTZAL
+/* 1079 */    MCD_OPC_CheckPredicate, 13, 99, 49, // Skip to: 13726
+/* 1083 */    MCD_OPC_Decode, 133, 2, 73, // Opcode: BLTZAL
 /* 1087 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 1099
-/* 1091 */    MCD_OPC_CheckPredicate, 12, 228, 47, // Skip to: 13355
-/* 1095 */    MCD_OPC_Decode, 203, 1, 51, // Opcode: BGEZAL
+/* 1091 */    MCD_OPC_CheckPredicate, 13, 87, 49, // Skip to: 13726
+/* 1095 */    MCD_OPC_Decode, 219, 1, 73, // Opcode: BGEZAL
 /* 1099 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 1111
-/* 1103 */    MCD_OPC_CheckPredicate, 1, 216, 47, // Skip to: 13355
-/* 1107 */    MCD_OPC_Decode, 247, 1, 51, // Opcode: BLTZALL
+/* 1103 */    MCD_OPC_CheckPredicate, 16, 75, 49, // Skip to: 13726
+/* 1107 */    MCD_OPC_Decode, 135, 2, 73, // Opcode: BLTZALL
 /* 1111 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 1123
-/* 1115 */    MCD_OPC_CheckPredicate, 1, 204, 47, // Skip to: 13355
-/* 1119 */    MCD_OPC_Decode, 205, 1, 51, // Opcode: BGEZALL
-/* 1123 */    MCD_OPC_FilterValue, 28, 196, 47, // Skip to: 13355
-/* 1127 */    MCD_OPC_CheckPredicate, 11, 192, 47, // Skip to: 13355
-/* 1131 */    MCD_OPC_CheckField, 21, 5, 0, 186, 47, // Skip to: 13355
-/* 1137 */    MCD_OPC_Decode, 152, 2, 53, // Opcode: BPOSGE32
-/* 1141 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1153
-/* 1145 */    MCD_OPC_CheckPredicate, 9, 174, 47, // Skip to: 13355
-/* 1149 */    MCD_OPC_Decode, 226, 6, 54, // Opcode: J
-/* 1153 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1165
-/* 1157 */    MCD_OPC_CheckPredicate, 1, 162, 47, // Skip to: 13355
-/* 1161 */    MCD_OPC_Decode, 227, 6, 54, // Opcode: JAL
-/* 1165 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1177
-/* 1169 */    MCD_OPC_CheckPredicate, 1, 150, 47, // Skip to: 13355
-/* 1173 */    MCD_OPC_Decode, 191, 1, 55, // Opcode: BEQ
-/* 1177 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1189
-/* 1181 */    MCD_OPC_CheckPredicate, 1, 138, 47, // Skip to: 13355
-/* 1185 */    MCD_OPC_Decode, 129, 2, 55, // Opcode: BNE
-/* 1189 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1207
-/* 1193 */    MCD_OPC_CheckPredicate, 1, 126, 47, // Skip to: 13355
-/* 1197 */    MCD_OPC_CheckField, 16, 5, 0, 120, 47, // Skip to: 13355
-/* 1203 */    MCD_OPC_Decode, 235, 1, 51, // Opcode: BLEZ
-/* 1207 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1225
-/* 1211 */    MCD_OPC_CheckPredicate, 1, 108, 47, // Skip to: 13355
-/* 1215 */    MCD_OPC_CheckField, 16, 5, 0, 102, 47, // Skip to: 13355
-/* 1221 */    MCD_OPC_Decode, 211, 1, 51, // Opcode: BGTZ
-/* 1225 */    MCD_OPC_FilterValue, 8, 7, 0, // Skip to: 1236
-/* 1229 */    MCD_OPC_CheckPredicate, 12, 90, 47, // Skip to: 13355
-/* 1233 */    MCD_OPC_Decode, 65, 56, // Opcode: ADDi
-/* 1236 */    MCD_OPC_FilterValue, 9, 7, 0, // Skip to: 1247
-/* 1240 */    MCD_OPC_CheckPredicate, 1, 79, 47, // Skip to: 13355
-/* 1244 */    MCD_OPC_Decode, 67, 56, // Opcode: ADDiu
-/* 1247 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1259
-/* 1251 */    MCD_OPC_CheckPredicate, 1, 68, 47, // Skip to: 13355
-/* 1255 */    MCD_OPC_Decode, 179, 11, 56, // Opcode: SLTi
-/* 1259 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1271
-/* 1263 */    MCD_OPC_CheckPredicate, 1, 56, 47, // Skip to: 13355
-/* 1267 */    MCD_OPC_Decode, 182, 11, 56, // Opcode: SLTiu
-/* 1271 */    MCD_OPC_FilterValue, 12, 7, 0, // Skip to: 1282
-/* 1275 */    MCD_OPC_CheckPredicate, 1, 44, 47, // Skip to: 13355
-/* 1279 */    MCD_OPC_Decode, 83, 57, // Opcode: ANDi
-/* 1282 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1294
-/* 1286 */    MCD_OPC_CheckPredicate, 1, 33, 47, // Skip to: 13355
-/* 1290 */    MCD_OPC_Decode, 229, 9, 57, // Opcode: ORi
-/* 1294 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1306
-/* 1298 */    MCD_OPC_CheckPredicate, 1, 21, 47, // Skip to: 13355
-/* 1302 */    MCD_OPC_Decode, 170, 13, 57, // Opcode: XORi
-/* 1306 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 1324
-/* 1310 */    MCD_OPC_CheckPredicate, 1, 9, 47, // Skip to: 13355
-/* 1314 */    MCD_OPC_CheckField, 21, 5, 0, 3, 47, // Skip to: 13355
-/* 1320 */    MCD_OPC_Decode, 180, 7, 30, // Opcode: LUi
-/* 1324 */    MCD_OPC_FilterValue, 16, 220, 0, // Skip to: 1548
-/* 1328 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 1331 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1349
-/* 1335 */    MCD_OPC_CheckPredicate, 9, 240, 46, // Skip to: 13355
-/* 1339 */    MCD_OPC_CheckField, 3, 8, 0, 234, 46, // Skip to: 13355
-/* 1345 */    MCD_OPC_Decode, 141, 8, 58, // Opcode: MFC0
-/* 1349 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1367
-/* 1353 */    MCD_OPC_CheckPredicate, 9, 222, 46, // Skip to: 13355
-/* 1357 */    MCD_OPC_CheckField, 3, 8, 0, 216, 46, // Skip to: 13355
-/* 1363 */    MCD_OPC_Decode, 130, 9, 58, // Opcode: MTC0
-/* 1367 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 1422
-/* 1371 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 1374 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1386
-/* 1378 */    MCD_OPC_CheckPredicate, 12, 197, 46, // Skip to: 13355
-/* 1382 */    MCD_OPC_Decode, 161, 1, 59, // Opcode: BC0F
-/* 1386 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1398
-/* 1390 */    MCD_OPC_CheckPredicate, 12, 185, 46, // Skip to: 13355
-/* 1394 */    MCD_OPC_Decode, 163, 1, 59, // Opcode: BC0T
-/* 1398 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1410
-/* 1402 */    MCD_OPC_CheckPredicate, 12, 173, 46, // Skip to: 13355
-/* 1406 */    MCD_OPC_Decode, 162, 1, 59, // Opcode: BC0FL
-/* 1410 */    MCD_OPC_FilterValue, 3, 165, 46, // Skip to: 13355
-/* 1414 */    MCD_OPC_CheckPredicate, 12, 161, 46, // Skip to: 13355
-/* 1418 */    MCD_OPC_Decode, 164, 1, 59, // Opcode: BC0TL
-/* 1422 */    MCD_OPC_FilterValue, 11, 31, 0, // Skip to: 1457
-/* 1426 */    MCD_OPC_ExtractField, 0, 16,  // Inst{15-0} ...
-/* 1429 */    MCD_OPC_FilterValue, 128, 192, 1, 8, 0, // Skip to: 1443
-/* 1435 */    MCD_OPC_CheckPredicate, 4, 140, 46, // Skip to: 13355
-/* 1439 */    MCD_OPC_Decode, 159, 4, 23, // Opcode: DI
-/* 1443 */    MCD_OPC_FilterValue, 160, 192, 1, 130, 46, // Skip to: 13355
-/* 1449 */    MCD_OPC_CheckPredicate, 4, 126, 46, // Skip to: 13355
-/* 1453 */    MCD_OPC_Decode, 248, 4, 23, // Opcode: EI
-/* 1457 */    MCD_OPC_FilterValue, 16, 118, 46, // Skip to: 13355
-/* 1461 */    MCD_OPC_ExtractField, 0, 21,  // Inst{20-0} ...
-/* 1464 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1476
-/* 1468 */    MCD_OPC_CheckPredicate, 1, 107, 46, // Skip to: 13355
-/* 1472 */    MCD_OPC_Decode, 250, 12, 0, // Opcode: TLBR
-/* 1476 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1488
-/* 1480 */    MCD_OPC_CheckPredicate, 1, 95, 46, // Skip to: 13355
-/* 1484 */    MCD_OPC_Decode, 252, 12, 0, // Opcode: TLBWI
-/* 1488 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1500
-/* 1492 */    MCD_OPC_CheckPredicate, 1, 83, 46, // Skip to: 13355
-/* 1496 */    MCD_OPC_Decode, 254, 12, 0, // Opcode: TLBWR
-/* 1500 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1512
-/* 1504 */    MCD_OPC_CheckPredicate, 1, 71, 46, // Skip to: 13355
-/* 1508 */    MCD_OPC_Decode, 248, 12, 0, // Opcode: TLBP
-/* 1512 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 1524
-/* 1516 */    MCD_OPC_CheckPredicate, 15, 59, 46, // Skip to: 13355
-/* 1520 */    MCD_OPC_Decode, 250, 4, 0, // Opcode: ERET
-/* 1524 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 1536
-/* 1528 */    MCD_OPC_CheckPredicate, 9, 47, 46, // Skip to: 13355
-/* 1532 */    MCD_OPC_Decode, 154, 4, 0, // Opcode: DERET
-/* 1536 */    MCD_OPC_FilterValue, 32, 39, 46, // Skip to: 13355
-/* 1540 */    MCD_OPC_CheckPredicate, 16, 35, 46, // Skip to: 13355
-/* 1544 */    MCD_OPC_Decode, 157, 13, 0, // Opcode: WAIT
-/* 1548 */    MCD_OPC_FilterValue, 17, 21, 6, // Skip to: 3109
-/* 1552 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 1555 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1573
-/* 1559 */    MCD_OPC_CheckPredicate, 1, 16, 46, // Skip to: 13355
-/* 1563 */    MCD_OPC_CheckField, 0, 11, 0, 10, 46, // Skip to: 13355
-/* 1569 */    MCD_OPC_Decode, 142, 8, 60, // Opcode: MFC1
-/* 1573 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 1591
-/* 1577 */    MCD_OPC_CheckPredicate, 17, 254, 45, // Skip to: 13355
-/* 1581 */    MCD_OPC_CheckField, 0, 11, 0, 248, 45, // Skip to: 13355
-/* 1587 */    MCD_OPC_Decode, 177, 4, 61, // Opcode: DMFC1
-/* 1591 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 1609
-/* 1595 */    MCD_OPC_CheckPredicate, 1, 236, 45, // Skip to: 13355
-/* 1599 */    MCD_OPC_CheckField, 0, 11, 0, 230, 45, // Skip to: 13355
-/* 1605 */    MCD_OPC_Decode, 218, 2, 62, // Opcode: CFC1
-/* 1609 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 1627
-/* 1613 */    MCD_OPC_CheckPredicate, 18, 218, 45, // Skip to: 13355
-/* 1617 */    MCD_OPC_CheckField, 0, 11, 0, 212, 45, // Skip to: 13355
-/* 1623 */    MCD_OPC_Decode, 145, 8, 63, // Opcode: MFHC1_D32
-/* 1627 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1645
-/* 1631 */    MCD_OPC_CheckPredicate, 1, 200, 45, // Skip to: 13355
-/* 1635 */    MCD_OPC_CheckField, 0, 11, 0, 194, 45, // Skip to: 13355
-/* 1641 */    MCD_OPC_Decode, 131, 9, 64, // Opcode: MTC1
-/* 1645 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 1663
-/* 1649 */    MCD_OPC_CheckPredicate, 17, 182, 45, // Skip to: 13355
-/* 1653 */    MCD_OPC_CheckField, 0, 11, 0, 176, 45, // Skip to: 13355
-/* 1659 */    MCD_OPC_Decode, 182, 4, 65, // Opcode: DMTC1
-/* 1663 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1681
-/* 1667 */    MCD_OPC_CheckPredicate, 1, 164, 45, // Skip to: 13355
-/* 1671 */    MCD_OPC_CheckField, 0, 11, 0, 158, 45, // Skip to: 13355
-/* 1677 */    MCD_OPC_Decode, 190, 3, 66, // Opcode: CTC1
-/* 1681 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1699
-/* 1685 */    MCD_OPC_CheckPredicate, 18, 146, 45, // Skip to: 13355
-/* 1689 */    MCD_OPC_CheckField, 0, 11, 0, 140, 45, // Skip to: 13355
-/* 1695 */    MCD_OPC_Decode, 134, 9, 67, // Opcode: MTHC1_D32
-/* 1699 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 1754
-/* 1703 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 1706 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1718
-/* 1710 */    MCD_OPC_CheckPredicate, 12, 121, 45, // Skip to: 13355
-/* 1714 */    MCD_OPC_Decode, 166, 1, 68, // Opcode: BC1F
-/* 1718 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1730
-/* 1722 */    MCD_OPC_CheckPredicate, 12, 109, 45, // Skip to: 13355
-/* 1726 */    MCD_OPC_Decode, 170, 1, 68, // Opcode: BC1T
-/* 1730 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1742
-/* 1734 */    MCD_OPC_CheckPredicate, 12, 97, 45, // Skip to: 13355
-/* 1738 */    MCD_OPC_Decode, 167, 1, 68, // Opcode: BC1FL
-/* 1742 */    MCD_OPC_FilterValue, 3, 89, 45, // Skip to: 13355
-/* 1746 */    MCD_OPC_CheckPredicate, 12, 85, 45, // Skip to: 13355
-/* 1750 */    MCD_OPC_Decode, 171, 1, 68, // Opcode: BC1TL
-/* 1754 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1766
-/* 1758 */    MCD_OPC_CheckPredicate, 6, 73, 45, // Skip to: 13355
-/* 1762 */    MCD_OPC_Decode, 174, 2, 69, // Opcode: BZ_V
-/* 1766 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 1778
-/* 1770 */    MCD_OPC_CheckPredicate, 6, 61, 45, // Skip to: 13355
-/* 1774 */    MCD_OPC_Decode, 149, 2, 69, // Opcode: BNZ_V
-/* 1778 */    MCD_OPC_FilterValue, 16, 80, 2, // Skip to: 2374
-/* 1782 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 1785 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1797
-/* 1789 */    MCD_OPC_CheckPredicate, 1, 42, 45, // Skip to: 13355
-/* 1793 */    MCD_OPC_Decode, 153, 5, 70, // Opcode: FADD_S
-/* 1797 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1809
-/* 1801 */    MCD_OPC_CheckPredicate, 1, 30, 45, // Skip to: 13355
-/* 1805 */    MCD_OPC_Decode, 155, 6, 70, // Opcode: FSUB_S
-/* 1809 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1821
-/* 1813 */    MCD_OPC_CheckPredicate, 1, 18, 45, // Skip to: 13355
-/* 1817 */    MCD_OPC_Decode, 246, 5, 70, // Opcode: FMUL_S
-/* 1821 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1833
-/* 1825 */    MCD_OPC_CheckPredicate, 1, 6, 45, // Skip to: 13355
-/* 1829 */    MCD_OPC_Decode, 189, 5, 70, // Opcode: FDIV_S
-/* 1833 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1851
-/* 1837 */    MCD_OPC_CheckPredicate, 2, 250, 44, // Skip to: 13355
-/* 1841 */    MCD_OPC_CheckField, 16, 5, 0, 244, 44, // Skip to: 13355
-/* 1847 */    MCD_OPC_Decode, 148, 6, 71, // Opcode: FSQRT_S
-/* 1851 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 1869
-/* 1855 */    MCD_OPC_CheckPredicate, 1, 232, 44, // Skip to: 13355
-/* 1859 */    MCD_OPC_CheckField, 16, 5, 0, 226, 44, // Skip to: 13355
-/* 1865 */    MCD_OPC_Decode, 146, 5, 71, // Opcode: FABS_S
-/* 1869 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1887
-/* 1873 */    MCD_OPC_CheckPredicate, 1, 214, 44, // Skip to: 13355
-/* 1877 */    MCD_OPC_CheckField, 16, 5, 0, 208, 44, // Skip to: 13355
-/* 1883 */    MCD_OPC_Decode, 238, 5, 71, // Opcode: FMOV_S
-/* 1887 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1905
-/* 1891 */    MCD_OPC_CheckPredicate, 1, 196, 44, // Skip to: 13355
-/* 1895 */    MCD_OPC_CheckField, 16, 5, 0, 190, 44, // Skip to: 13355
-/* 1901 */    MCD_OPC_Decode, 252, 5, 71, // Opcode: FNEG_S
-/* 1905 */    MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 1923
-/* 1909 */    MCD_OPC_CheckPredicate, 2, 178, 44, // Skip to: 13355
-/* 1913 */    MCD_OPC_CheckField, 16, 5, 0, 172, 44, // Skip to: 13355
-/* 1919 */    MCD_OPC_Decode, 197, 10, 71, // Opcode: ROUND_W_S
-/* 1923 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 1941
-/* 1927 */    MCD_OPC_CheckPredicate, 2, 160, 44, // Skip to: 13355
-/* 1931 */    MCD_OPC_CheckField, 16, 5, 0, 154, 44, // Skip to: 13355
-/* 1937 */    MCD_OPC_Decode, 145, 13, 71, // Opcode: TRUNC_W_S
-/* 1941 */    MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 1959
-/* 1945 */    MCD_OPC_CheckPredicate, 2, 142, 44, // Skip to: 13355
-/* 1949 */    MCD_OPC_CheckField, 16, 5, 0, 136, 44, // Skip to: 13355
-/* 1955 */    MCD_OPC_Decode, 208, 2, 71, // Opcode: CEIL_W_S
-/* 1959 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 1977
-/* 1963 */    MCD_OPC_CheckPredicate, 2, 124, 44, // Skip to: 13355
-/* 1967 */    MCD_OPC_CheckField, 16, 5, 0, 118, 44, // Skip to: 13355
-/* 1973 */    MCD_OPC_Decode, 223, 5, 71, // Opcode: FLOOR_W_S
-/* 1977 */    MCD_OPC_FilterValue, 17, 27, 0, // Skip to: 2008
-/* 1981 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 1984 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1996
-/* 1988 */    MCD_OPC_CheckPredicate, 5, 99, 44, // Skip to: 13355
-/* 1992 */    MCD_OPC_Decode, 203, 8, 72, // Opcode: MOVF_S
-/* 1996 */    MCD_OPC_FilterValue, 1, 91, 44, // Skip to: 13355
-/* 2000 */    MCD_OPC_CheckPredicate, 5, 87, 44, // Skip to: 13355
-/* 2004 */    MCD_OPC_Decode, 223, 8, 72, // Opcode: MOVT_S
-/* 2008 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 2020
-/* 2012 */    MCD_OPC_CheckPredicate, 5, 75, 44, // Skip to: 13355
-/* 2016 */    MCD_OPC_Decode, 235, 8, 73, // Opcode: MOVZ_I_S
-/* 2020 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 2032
-/* 2024 */    MCD_OPC_CheckPredicate, 5, 63, 44, // Skip to: 13355
-/* 2028 */    MCD_OPC_Decode, 215, 8, 73, // Opcode: MOVN_I_S
-/* 2032 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 2050
-/* 2036 */    MCD_OPC_CheckPredicate, 19, 51, 44, // Skip to: 13355
-/* 2040 */    MCD_OPC_CheckField, 16, 5, 0, 45, 44, // Skip to: 13355
-/* 2046 */    MCD_OPC_Decode, 193, 3, 74, // Opcode: CVT_D32_S
-/* 2050 */    MCD_OPC_FilterValue, 36, 14, 0, // Skip to: 2068
-/* 2054 */    MCD_OPC_CheckPredicate, 1, 33, 44, // Skip to: 13355
-/* 2058 */    MCD_OPC_CheckField, 16, 5, 0, 27, 44, // Skip to: 13355
-/* 2064 */    MCD_OPC_Decode, 213, 3, 71, // Opcode: CVT_W_S
-/* 2068 */    MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 2086
-/* 2072 */    MCD_OPC_CheckPredicate, 20, 15, 44, // Skip to: 13355
-/* 2076 */    MCD_OPC_CheckField, 16, 5, 0, 9, 44, // Skip to: 13355
-/* 2082 */    MCD_OPC_Decode, 202, 3, 75, // Opcode: CVT_L_S
-/* 2086 */    MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 2104
-/* 2090 */    MCD_OPC_CheckPredicate, 12, 253, 43, // Skip to: 13355
-/* 2094 */    MCD_OPC_CheckField, 6, 5, 0, 247, 43, // Skip to: 13355
-/* 2100 */    MCD_OPC_Decode, 220, 3, 76, // Opcode: C_F_S
-/* 2104 */    MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 2122
-/* 2108 */    MCD_OPC_CheckPredicate, 12, 235, 43, // Skip to: 13355
-/* 2112 */    MCD_OPC_CheckField, 6, 5, 0, 229, 43, // Skip to: 13355
-/* 2118 */    MCD_OPC_Decode, 134, 4, 76, // Opcode: C_UN_S
-/* 2122 */    MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 2140
-/* 2126 */    MCD_OPC_CheckPredicate, 12, 217, 43, // Skip to: 13355
-/* 2130 */    MCD_OPC_CheckField, 6, 5, 0, 211, 43, // Skip to: 13355
-/* 2136 */    MCD_OPC_Decode, 217, 3, 76, // Opcode: C_EQ_S
-/* 2140 */    MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 2158
-/* 2144 */    MCD_OPC_CheckPredicate, 12, 199, 43, // Skip to: 13355
-/* 2148 */    MCD_OPC_CheckField, 6, 5, 0, 193, 43, // Skip to: 13355
-/* 2154 */    MCD_OPC_Decode, 253, 3, 76, // Opcode: C_UEQ_S
-/* 2158 */    MCD_OPC_FilterValue, 52, 14, 0, // Skip to: 2176
-/* 2162 */    MCD_OPC_CheckPredicate, 12, 181, 43, // Skip to: 13355
-/* 2166 */    MCD_OPC_CheckField, 6, 5, 0, 175, 43, // Skip to: 13355
-/* 2172 */    MCD_OPC_Decode, 244, 3, 76, // Opcode: C_OLT_S
-/* 2176 */    MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 2194
-/* 2180 */    MCD_OPC_CheckPredicate, 12, 163, 43, // Skip to: 13355
-/* 2184 */    MCD_OPC_CheckField, 6, 5, 0, 157, 43, // Skip to: 13355
-/* 2190 */    MCD_OPC_Decode, 131, 4, 76, // Opcode: C_ULT_S
-/* 2194 */    MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 2212
-/* 2198 */    MCD_OPC_CheckPredicate, 12, 145, 43, // Skip to: 13355
-/* 2202 */    MCD_OPC_CheckField, 6, 5, 0, 139, 43, // Skip to: 13355
-/* 2208 */    MCD_OPC_Decode, 241, 3, 76, // Opcode: C_OLE_S
-/* 2212 */    MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 2230
-/* 2216 */    MCD_OPC_CheckPredicate, 12, 127, 43, // Skip to: 13355
-/* 2220 */    MCD_OPC_CheckField, 6, 5, 0, 121, 43, // Skip to: 13355
-/* 2226 */    MCD_OPC_Decode, 128, 4, 76, // Opcode: C_ULE_S
-/* 2230 */    MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 2248
-/* 2234 */    MCD_OPC_CheckPredicate, 12, 109, 43, // Skip to: 13355
-/* 2238 */    MCD_OPC_CheckField, 6, 5, 0, 103, 43, // Skip to: 13355
-/* 2244 */    MCD_OPC_Decode, 250, 3, 76, // Opcode: C_SF_S
-/* 2248 */    MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 2266
-/* 2252 */    MCD_OPC_CheckPredicate, 12, 91, 43, // Skip to: 13355
-/* 2256 */    MCD_OPC_CheckField, 6, 5, 0, 85, 43, // Skip to: 13355
-/* 2262 */    MCD_OPC_Decode, 232, 3, 76, // Opcode: C_NGLE_S
-/* 2266 */    MCD_OPC_FilterValue, 58, 14, 0, // Skip to: 2284
-/* 2270 */    MCD_OPC_CheckPredicate, 12, 73, 43, // Skip to: 13355
-/* 2274 */    MCD_OPC_CheckField, 6, 5, 0, 67, 43, // Skip to: 13355
-/* 2280 */    MCD_OPC_Decode, 247, 3, 76, // Opcode: C_SEQ_S
-/* 2284 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 2302
-/* 2288 */    MCD_OPC_CheckPredicate, 12, 55, 43, // Skip to: 13355
-/* 2292 */    MCD_OPC_CheckField, 6, 5, 0, 49, 43, // Skip to: 13355
-/* 2298 */    MCD_OPC_Decode, 235, 3, 76, // Opcode: C_NGL_S
-/* 2302 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 2320
-/* 2306 */    MCD_OPC_CheckPredicate, 12, 37, 43, // Skip to: 13355
-/* 2310 */    MCD_OPC_CheckField, 6, 5, 0, 31, 43, // Skip to: 13355
-/* 2316 */    MCD_OPC_Decode, 226, 3, 76, // Opcode: C_LT_S
-/* 2320 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 2338
-/* 2324 */    MCD_OPC_CheckPredicate, 12, 19, 43, // Skip to: 13355
-/* 2328 */    MCD_OPC_CheckField, 6, 5, 0, 13, 43, // Skip to: 13355
-/* 2334 */    MCD_OPC_Decode, 229, 3, 76, // Opcode: C_NGE_S
-/* 2338 */    MCD_OPC_FilterValue, 62, 14, 0, // Skip to: 2356
-/* 2342 */    MCD_OPC_CheckPredicate, 12, 1, 43, // Skip to: 13355
-/* 2346 */    MCD_OPC_CheckField, 6, 5, 0, 251, 42, // Skip to: 13355
-/* 2352 */    MCD_OPC_Decode, 223, 3, 76, // Opcode: C_LE_S
-/* 2356 */    MCD_OPC_FilterValue, 63, 243, 42, // Skip to: 13355
-/* 2360 */    MCD_OPC_CheckPredicate, 12, 239, 42, // Skip to: 13355
-/* 2364 */    MCD_OPC_CheckField, 6, 5, 0, 233, 42, // Skip to: 13355
-/* 2370 */    MCD_OPC_Decode, 238, 3, 76, // Opcode: C_NGT_S
-/* 2374 */    MCD_OPC_FilterValue, 17, 80, 2, // Skip to: 2970
-/* 2378 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 2381 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2393
-/* 2385 */    MCD_OPC_CheckPredicate, 19, 214, 42, // Skip to: 13355
-/* 2389 */    MCD_OPC_Decode, 150, 5, 77, // Opcode: FADD_D32
-/* 2393 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2405
-/* 2397 */    MCD_OPC_CheckPredicate, 19, 202, 42, // Skip to: 13355
-/* 2401 */    MCD_OPC_Decode, 152, 6, 77, // Opcode: FSUB_D32
-/* 2405 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2417
-/* 2409 */    MCD_OPC_CheckPredicate, 19, 190, 42, // Skip to: 13355
-/* 2413 */    MCD_OPC_Decode, 243, 5, 77, // Opcode: FMUL_D32
-/* 2417 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2429
-/* 2421 */    MCD_OPC_CheckPredicate, 19, 178, 42, // Skip to: 13355
-/* 2425 */    MCD_OPC_Decode, 186, 5, 77, // Opcode: FDIV_D32
-/* 2429 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 2447
-/* 2433 */    MCD_OPC_CheckPredicate, 21, 166, 42, // Skip to: 13355
-/* 2437 */    MCD_OPC_CheckField, 16, 5, 0, 160, 42, // Skip to: 13355
-/* 2443 */    MCD_OPC_Decode, 145, 6, 78, // Opcode: FSQRT_D32
-/* 2447 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 2465
-/* 2451 */    MCD_OPC_CheckPredicate, 19, 148, 42, // Skip to: 13355
-/* 2455 */    MCD_OPC_CheckField, 16, 5, 0, 142, 42, // Skip to: 13355
-/* 2461 */    MCD_OPC_Decode, 143, 5, 78, // Opcode: FABS_D32
-/* 2465 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 2483
-/* 2469 */    MCD_OPC_CheckPredicate, 19, 130, 42, // Skip to: 13355
-/* 2473 */    MCD_OPC_CheckField, 16, 5, 0, 124, 42, // Skip to: 13355
-/* 2479 */    MCD_OPC_Decode, 235, 5, 78, // Opcode: FMOV_D32
-/* 2483 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 2501
-/* 2487 */    MCD_OPC_CheckPredicate, 19, 112, 42, // Skip to: 13355
-/* 2491 */    MCD_OPC_CheckField, 16, 5, 0, 106, 42, // Skip to: 13355
-/* 2497 */    MCD_OPC_Decode, 249, 5, 78, // Opcode: FNEG_D32
-/* 2501 */    MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 2519
-/* 2505 */    MCD_OPC_CheckPredicate, 21, 94, 42, // Skip to: 13355
-/* 2509 */    MCD_OPC_CheckField, 16, 5, 0, 88, 42, // Skip to: 13355
-/* 2515 */    MCD_OPC_Decode, 194, 10, 79, // Opcode: ROUND_W_D32
-/* 2519 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 2537
-/* 2523 */    MCD_OPC_CheckPredicate, 21, 76, 42, // Skip to: 13355
-/* 2527 */    MCD_OPC_CheckField, 16, 5, 0, 70, 42, // Skip to: 13355
-/* 2533 */    MCD_OPC_Decode, 142, 13, 79, // Opcode: TRUNC_W_D32
-/* 2537 */    MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 2555
-/* 2541 */    MCD_OPC_CheckPredicate, 21, 58, 42, // Skip to: 13355
-/* 2545 */    MCD_OPC_CheckField, 16, 5, 0, 52, 42, // Skip to: 13355
-/* 2551 */    MCD_OPC_Decode, 205, 2, 79, // Opcode: CEIL_W_D32
-/* 2555 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 2573
-/* 2559 */    MCD_OPC_CheckPredicate, 21, 40, 42, // Skip to: 13355
-/* 2563 */    MCD_OPC_CheckField, 16, 5, 0, 34, 42, // Skip to: 13355
-/* 2569 */    MCD_OPC_Decode, 220, 5, 79, // Opcode: FLOOR_W_D32
-/* 2573 */    MCD_OPC_FilterValue, 17, 27, 0, // Skip to: 2604
-/* 2577 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 2580 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2592
-/* 2584 */    MCD_OPC_CheckPredicate, 22, 15, 42, // Skip to: 13355
-/* 2588 */    MCD_OPC_Decode, 197, 8, 80, // Opcode: MOVF_D32
-/* 2592 */    MCD_OPC_FilterValue, 1, 7, 42, // Skip to: 13355
-/* 2596 */    MCD_OPC_CheckPredicate, 22, 3, 42, // Skip to: 13355
-/* 2600 */    MCD_OPC_Decode, 217, 8, 80, // Opcode: MOVT_D32
-/* 2604 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 2616
-/* 2608 */    MCD_OPC_CheckPredicate, 22, 247, 41, // Skip to: 13355
-/* 2612 */    MCD_OPC_Decode, 229, 8, 81, // Opcode: MOVZ_I_D32
-/* 2616 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 2628
-/* 2620 */    MCD_OPC_CheckPredicate, 22, 235, 41, // Skip to: 13355
-/* 2624 */    MCD_OPC_Decode, 209, 8, 81, // Opcode: MOVN_I_D32
-/* 2628 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 2646
-/* 2632 */    MCD_OPC_CheckPredicate, 19, 223, 41, // Skip to: 13355
-/* 2636 */    MCD_OPC_CheckField, 16, 5, 0, 217, 41, // Skip to: 13355
-/* 2642 */    MCD_OPC_Decode, 204, 3, 79, // Opcode: CVT_S_D32
-/* 2646 */    MCD_OPC_FilterValue, 36, 14, 0, // Skip to: 2664
-/* 2650 */    MCD_OPC_CheckPredicate, 19, 205, 41, // Skip to: 13355
-/* 2654 */    MCD_OPC_CheckField, 16, 5, 0, 199, 41, // Skip to: 13355
-/* 2660 */    MCD_OPC_Decode, 210, 3, 79, // Opcode: CVT_W_D32
-/* 2664 */    MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 2682
-/* 2668 */    MCD_OPC_CheckPredicate, 20, 187, 41, // Skip to: 13355
-/* 2672 */    MCD_OPC_CheckField, 16, 5, 0, 181, 41, // Skip to: 13355
-/* 2678 */    MCD_OPC_Decode, 200, 3, 82, // Opcode: CVT_L_D64
-/* 2682 */    MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 2700
-/* 2686 */    MCD_OPC_CheckPredicate, 23, 169, 41, // Skip to: 13355
-/* 2690 */    MCD_OPC_CheckField, 6, 5, 0, 163, 41, // Skip to: 13355
-/* 2696 */    MCD_OPC_Decode, 218, 3, 83, // Opcode: C_F_D32
-/* 2700 */    MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 2718
-/* 2704 */    MCD_OPC_CheckPredicate, 23, 151, 41, // Skip to: 13355
-/* 2708 */    MCD_OPC_CheckField, 6, 5, 0, 145, 41, // Skip to: 13355
-/* 2714 */    MCD_OPC_Decode, 132, 4, 83, // Opcode: C_UN_D32
-/* 2718 */    MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 2736
-/* 2722 */    MCD_OPC_CheckPredicate, 23, 133, 41, // Skip to: 13355
-/* 2726 */    MCD_OPC_CheckField, 6, 5, 0, 127, 41, // Skip to: 13355
-/* 2732 */    MCD_OPC_Decode, 215, 3, 83, // Opcode: C_EQ_D32
-/* 2736 */    MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 2754
-/* 2740 */    MCD_OPC_CheckPredicate, 23, 115, 41, // Skip to: 13355
-/* 2744 */    MCD_OPC_CheckField, 6, 5, 0, 109, 41, // Skip to: 13355
-/* 2750 */    MCD_OPC_Decode, 251, 3, 83, // Opcode: C_UEQ_D32
-/* 2754 */    MCD_OPC_FilterValue, 52, 14, 0, // Skip to: 2772
-/* 2758 */    MCD_OPC_CheckPredicate, 23, 97, 41, // Skip to: 13355
-/* 2762 */    MCD_OPC_CheckField, 6, 5, 0, 91, 41, // Skip to: 13355
-/* 2768 */    MCD_OPC_Decode, 242, 3, 83, // Opcode: C_OLT_D32
-/* 2772 */    MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 2790
-/* 2776 */    MCD_OPC_CheckPredicate, 23, 79, 41, // Skip to: 13355
-/* 2780 */    MCD_OPC_CheckField, 6, 5, 0, 73, 41, // Skip to: 13355
-/* 2786 */    MCD_OPC_Decode, 129, 4, 83, // Opcode: C_ULT_D32
-/* 2790 */    MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 2808
-/* 2794 */    MCD_OPC_CheckPredicate, 23, 61, 41, // Skip to: 13355
-/* 2798 */    MCD_OPC_CheckField, 6, 5, 0, 55, 41, // Skip to: 13355
-/* 2804 */    MCD_OPC_Decode, 239, 3, 83, // Opcode: C_OLE_D32
-/* 2808 */    MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 2826
-/* 2812 */    MCD_OPC_CheckPredicate, 23, 43, 41, // Skip to: 13355
-/* 2816 */    MCD_OPC_CheckField, 6, 5, 0, 37, 41, // Skip to: 13355
-/* 2822 */    MCD_OPC_Decode, 254, 3, 83, // Opcode: C_ULE_D32
-/* 2826 */    MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 2844
-/* 2830 */    MCD_OPC_CheckPredicate, 23, 25, 41, // Skip to: 13355
-/* 2834 */    MCD_OPC_CheckField, 6, 5, 0, 19, 41, // Skip to: 13355
-/* 2840 */    MCD_OPC_Decode, 248, 3, 83, // Opcode: C_SF_D32
-/* 2844 */    MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 2862
-/* 2848 */    MCD_OPC_CheckPredicate, 23, 7, 41, // Skip to: 13355
-/* 2852 */    MCD_OPC_CheckField, 6, 5, 0, 1, 41, // Skip to: 13355
-/* 2858 */    MCD_OPC_Decode, 230, 3, 83, // Opcode: C_NGLE_D32
-/* 2862 */    MCD_OPC_FilterValue, 58, 14, 0, // Skip to: 2880
-/* 2866 */    MCD_OPC_CheckPredicate, 23, 245, 40, // Skip to: 13355
-/* 2870 */    MCD_OPC_CheckField, 6, 5, 0, 239, 40, // Skip to: 13355
-/* 2876 */    MCD_OPC_Decode, 245, 3, 83, // Opcode: C_SEQ_D32
-/* 2880 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 2898
-/* 2884 */    MCD_OPC_CheckPredicate, 23, 227, 40, // Skip to: 13355
-/* 2888 */    MCD_OPC_CheckField, 6, 5, 0, 221, 40, // Skip to: 13355
-/* 2894 */    MCD_OPC_Decode, 233, 3, 83, // Opcode: C_NGL_D32
-/* 2898 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 2916
-/* 2902 */    MCD_OPC_CheckPredicate, 23, 209, 40, // Skip to: 13355
-/* 2906 */    MCD_OPC_CheckField, 6, 5, 0, 203, 40, // Skip to: 13355
-/* 2912 */    MCD_OPC_Decode, 224, 3, 83, // Opcode: C_LT_D32
-/* 2916 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 2934
-/* 2920 */    MCD_OPC_CheckPredicate, 23, 191, 40, // Skip to: 13355
-/* 2924 */    MCD_OPC_CheckField, 6, 5, 0, 185, 40, // Skip to: 13355
-/* 2930 */    MCD_OPC_Decode, 227, 3, 83, // Opcode: C_NGE_D32
-/* 2934 */    MCD_OPC_FilterValue, 62, 14, 0, // Skip to: 2952
-/* 2938 */    MCD_OPC_CheckPredicate, 23, 173, 40, // Skip to: 13355
-/* 2942 */    MCD_OPC_CheckField, 6, 5, 0, 167, 40, // Skip to: 13355
-/* 2948 */    MCD_OPC_Decode, 221, 3, 83, // Opcode: C_LE_D32
-/* 2952 */    MCD_OPC_FilterValue, 63, 159, 40, // Skip to: 13355
-/* 2956 */    MCD_OPC_CheckPredicate, 23, 155, 40, // Skip to: 13355
-/* 2960 */    MCD_OPC_CheckField, 6, 5, 0, 149, 40, // Skip to: 13355
-/* 2966 */    MCD_OPC_Decode, 236, 3, 83, // Opcode: C_NGT_D32
-/* 2970 */    MCD_OPC_FilterValue, 20, 39, 0, // Skip to: 3013
-/* 2974 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 2977 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 2995
-/* 2981 */    MCD_OPC_CheckPredicate, 1, 130, 40, // Skip to: 13355
-/* 2985 */    MCD_OPC_CheckField, 16, 5, 0, 124, 40, // Skip to: 13355
-/* 2991 */    MCD_OPC_Decode, 208, 3, 71, // Opcode: CVT_S_W
-/* 2995 */    MCD_OPC_FilterValue, 33, 116, 40, // Skip to: 13355
-/* 2999 */    MCD_OPC_CheckPredicate, 19, 112, 40, // Skip to: 13355
-/* 3003 */    MCD_OPC_CheckField, 16, 5, 0, 106, 40, // Skip to: 13355
-/* 3009 */    MCD_OPC_Decode, 194, 3, 74, // Opcode: CVT_D32_W
-/* 3013 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 3025
-/* 3017 */    MCD_OPC_CheckPredicate, 6, 94, 40, // Skip to: 13355
-/* 3021 */    MCD_OPC_Decode, 171, 2, 69, // Opcode: BZ_B
-/* 3025 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 3037
-/* 3029 */    MCD_OPC_CheckPredicate, 6, 82, 40, // Skip to: 13355
-/* 3033 */    MCD_OPC_Decode, 173, 2, 84, // Opcode: BZ_H
-/* 3037 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 3049
-/* 3041 */    MCD_OPC_CheckPredicate, 6, 70, 40, // Skip to: 13355
-/* 3045 */    MCD_OPC_Decode, 175, 2, 85, // Opcode: BZ_W
-/* 3049 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 3061
-/* 3053 */    MCD_OPC_CheckPredicate, 6, 58, 40, // Skip to: 13355
-/* 3057 */    MCD_OPC_Decode, 172, 2, 86, // Opcode: BZ_D
-/* 3061 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 3073
-/* 3065 */    MCD_OPC_CheckPredicate, 6, 46, 40, // Skip to: 13355
-/* 3069 */    MCD_OPC_Decode, 146, 2, 69, // Opcode: BNZ_B
-/* 3073 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 3085
-/* 3077 */    MCD_OPC_CheckPredicate, 6, 34, 40, // Skip to: 13355
-/* 3081 */    MCD_OPC_Decode, 148, 2, 84, // Opcode: BNZ_H
-/* 3085 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 3097
-/* 3089 */    MCD_OPC_CheckPredicate, 6, 22, 40, // Skip to: 13355
-/* 3093 */    MCD_OPC_Decode, 150, 2, 85, // Opcode: BNZ_W
-/* 3097 */    MCD_OPC_FilterValue, 31, 14, 40, // Skip to: 13355
-/* 3101 */    MCD_OPC_CheckPredicate, 6, 10, 40, // Skip to: 13355
-/* 3105 */    MCD_OPC_Decode, 147, 2, 86, // Opcode: BNZ_D
-/* 3109 */    MCD_OPC_FilterValue, 18, 94, 0, // Skip to: 3207
-/* 3113 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 3116 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3134
-/* 3120 */    MCD_OPC_CheckPredicate, 1, 247, 39, // Skip to: 13355
-/* 3124 */    MCD_OPC_CheckField, 3, 8, 0, 241, 39, // Skip to: 13355
-/* 3130 */    MCD_OPC_Decode, 144, 8, 58, // Opcode: MFC2
-/* 3134 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 3152
-/* 3138 */    MCD_OPC_CheckPredicate, 1, 229, 39, // Skip to: 13355
-/* 3142 */    MCD_OPC_CheckField, 3, 8, 0, 223, 39, // Skip to: 13355
-/* 3148 */    MCD_OPC_Decode, 133, 9, 58, // Opcode: MTC2
-/* 3152 */    MCD_OPC_FilterValue, 8, 215, 39, // Skip to: 13355
-/* 3156 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 3159 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3171
-/* 3163 */    MCD_OPC_CheckPredicate, 12, 204, 39, // Skip to: 13355
-/* 3167 */    MCD_OPC_Decode, 174, 1, 59, // Opcode: BC2F
-/* 3171 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3183
-/* 3175 */    MCD_OPC_CheckPredicate, 12, 192, 39, // Skip to: 13355
-/* 3179 */    MCD_OPC_Decode, 177, 1, 59, // Opcode: BC2T
-/* 3183 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3195
-/* 3187 */    MCD_OPC_CheckPredicate, 12, 180, 39, // Skip to: 13355
-/* 3191 */    MCD_OPC_Decode, 175, 1, 59, // Opcode: BC2FL
-/* 3195 */    MCD_OPC_FilterValue, 3, 172, 39, // Skip to: 13355
-/* 3199 */    MCD_OPC_CheckPredicate, 12, 168, 39, // Skip to: 13355
-/* 3203 */    MCD_OPC_Decode, 178, 1, 59, // Opcode: BC2TL
-/* 3207 */    MCD_OPC_FilterValue, 19, 9, 1, // Skip to: 3476
-/* 3211 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 3214 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 3269
-/* 3218 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
-/* 3221 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3233
-/* 3225 */    MCD_OPC_CheckPredicate, 12, 40, 0, // Skip to: 3269
-/* 3229 */    MCD_OPC_Decode, 179, 1, 59, // Opcode: BC3F
-/* 3233 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3245
-/* 3237 */    MCD_OPC_CheckPredicate, 12, 28, 0, // Skip to: 3269
-/* 3241 */    MCD_OPC_Decode, 181, 1, 59, // Opcode: BC3T
-/* 3245 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3257
-/* 3249 */    MCD_OPC_CheckPredicate, 12, 16, 0, // Skip to: 3269
-/* 3253 */    MCD_OPC_Decode, 180, 1, 59, // Opcode: BC3FL
-/* 3257 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 3269
-/* 3261 */    MCD_OPC_CheckPredicate, 12, 4, 0, // Skip to: 3269
-/* 3265 */    MCD_OPC_Decode, 182, 1, 59, // Opcode: BC3TL
-/* 3269 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 3272 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3290
-/* 3276 */    MCD_OPC_CheckPredicate, 24, 91, 39, // Skip to: 13355
-/* 3280 */    MCD_OPC_CheckField, 11, 5, 0, 85, 39, // Skip to: 13355
-/* 3286 */    MCD_OPC_Decode, 200, 7, 87, // Opcode: LWXC1
-/* 3290 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3308
-/* 3294 */    MCD_OPC_CheckPredicate, 25, 73, 39, // Skip to: 13355
-/* 3298 */    MCD_OPC_CheckField, 11, 5, 0, 67, 39, // Skip to: 13355
-/* 3304 */    MCD_OPC_Decode, 147, 7, 88, // Opcode: LDXC1
-/* 3308 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 3326
-/* 3312 */    MCD_OPC_CheckPredicate, 26, 55, 39, // Skip to: 13355
-/* 3316 */    MCD_OPC_CheckField, 11, 5, 0, 49, 39, // Skip to: 13355
-/* 3322 */    MCD_OPC_Decode, 177, 7, 88, // Opcode: LUXC1
-/* 3326 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 3344
-/* 3330 */    MCD_OPC_CheckPredicate, 24, 37, 39, // Skip to: 13355
-/* 3334 */    MCD_OPC_CheckField, 6, 5, 0, 31, 39, // Skip to: 13355
-/* 3340 */    MCD_OPC_Decode, 181, 12, 89, // Opcode: SWXC1
-/* 3344 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 3362
-/* 3348 */    MCD_OPC_CheckPredicate, 25, 19, 39, // Skip to: 13355
-/* 3352 */    MCD_OPC_CheckField, 6, 5, 0, 13, 39, // Skip to: 13355
-/* 3358 */    MCD_OPC_Decode, 232, 10, 90, // Opcode: SDXC1
-/* 3362 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 3380
-/* 3366 */    MCD_OPC_CheckPredicate, 26, 1, 39, // Skip to: 13355
-/* 3370 */    MCD_OPC_CheckField, 6, 5, 0, 251, 38, // Skip to: 13355
-/* 3376 */    MCD_OPC_Decode, 165, 12, 90, // Opcode: SUXC1
-/* 3380 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 3392
-/* 3384 */    MCD_OPC_CheckPredicate, 27, 239, 38, // Skip to: 13355
-/* 3388 */    MCD_OPC_Decode, 239, 7, 91, // Opcode: MADD_S
-/* 3392 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 3404
-/* 3396 */    MCD_OPC_CheckPredicate, 28, 227, 38, // Skip to: 13355
-/* 3400 */    MCD_OPC_Decode, 232, 7, 92, // Opcode: MADD_D32
-/* 3404 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 3416
-/* 3408 */    MCD_OPC_CheckPredicate, 27, 215, 38, // Skip to: 13355
-/* 3412 */    MCD_OPC_Decode, 128, 9, 91, // Opcode: MSUB_S
-/* 3416 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 3428
-/* 3420 */    MCD_OPC_CheckPredicate, 28, 203, 38, // Skip to: 13355
-/* 3424 */    MCD_OPC_Decode, 249, 8, 92, // Opcode: MSUB_D32
-/* 3428 */    MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 3440
-/* 3432 */    MCD_OPC_CheckPredicate, 27, 191, 38, // Skip to: 13355
-/* 3436 */    MCD_OPC_Decode, 203, 9, 91, // Opcode: NMADD_S
-/* 3440 */    MCD_OPC_FilterValue, 49, 8, 0, // Skip to: 3452
-/* 3444 */    MCD_OPC_CheckPredicate, 28, 179, 38, // Skip to: 13355
-/* 3448 */    MCD_OPC_Decode, 200, 9, 92, // Opcode: NMADD_D32
-/* 3452 */    MCD_OPC_FilterValue, 56, 8, 0, // Skip to: 3464
-/* 3456 */    MCD_OPC_CheckPredicate, 27, 167, 38, // Skip to: 13355
-/* 3460 */    MCD_OPC_Decode, 208, 9, 91, // Opcode: NMSUB_S
-/* 3464 */    MCD_OPC_FilterValue, 57, 159, 38, // Skip to: 13355
-/* 3468 */    MCD_OPC_CheckPredicate, 28, 155, 38, // Skip to: 13355
-/* 3472 */    MCD_OPC_Decode, 205, 9, 92, // Opcode: NMSUB_D32
-/* 3476 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 3488
-/* 3480 */    MCD_OPC_CheckPredicate, 1, 143, 38, // Skip to: 13355
-/* 3484 */    MCD_OPC_Decode, 194, 1, 55, // Opcode: BEQL
-/* 3488 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 3500
-/* 3492 */    MCD_OPC_CheckPredicate, 1, 131, 38, // Skip to: 13355
-/* 3496 */    MCD_OPC_Decode, 140, 2, 55, // Opcode: BNEL
-/* 3500 */    MCD_OPC_FilterValue, 22, 14, 0, // Skip to: 3518
-/* 3504 */    MCD_OPC_CheckPredicate, 1, 119, 38, // Skip to: 13355
-/* 3508 */    MCD_OPC_CheckField, 16, 5, 0, 113, 38, // Skip to: 13355
-/* 3514 */    MCD_OPC_Decode, 239, 1, 51, // Opcode: BLEZL
-/* 3518 */    MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 3536
-/* 3522 */    MCD_OPC_CheckPredicate, 1, 101, 38, // Skip to: 13355
-/* 3526 */    MCD_OPC_CheckField, 16, 5, 0, 95, 38, // Skip to: 13355
-/* 3532 */    MCD_OPC_Decode, 215, 1, 51, // Opcode: BGTZL
-/* 3536 */    MCD_OPC_FilterValue, 28, 229, 0, // Skip to: 3769
-/* 3540 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 3543 */    MCD_OPC_FilterValue, 0, 36, 0, // Skip to: 3583
-/* 3547 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3550 */    MCD_OPC_FilterValue, 0, 73, 38, // Skip to: 13355
-/* 3554 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 3557 */    MCD_OPC_FilterValue, 0, 66, 38, // Skip to: 13355
-/* 3561 */    MCD_OPC_CheckPredicate, 7, 10, 0, // Skip to: 3575
-/* 3565 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3575
-/* 3571 */    MCD_OPC_Decode, 220, 7, 24, // Opcode: MADD
-/* 3575 */    MCD_OPC_CheckPredicate, 11, 48, 38, // Skip to: 13355
-/* 3579 */    MCD_OPC_Decode, 235, 7, 93, // Opcode: MADD_DSP
-/* 3583 */    MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 3623
-/* 3587 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3590 */    MCD_OPC_FilterValue, 0, 33, 38, // Skip to: 13355
-/* 3594 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 3597 */    MCD_OPC_FilterValue, 0, 26, 38, // Skip to: 13355
-/* 3601 */    MCD_OPC_CheckPredicate, 7, 10, 0, // Skip to: 3615
-/* 3605 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3615
-/* 3611 */    MCD_OPC_Decode, 225, 7, 24, // Opcode: MADDU
-/* 3615 */    MCD_OPC_CheckPredicate, 11, 8, 38, // Skip to: 13355
-/* 3619 */    MCD_OPC_Decode, 226, 7, 93, // Opcode: MADDU_DSP
-/* 3623 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3641
-/* 3627 */    MCD_OPC_CheckPredicate, 7, 252, 37, // Skip to: 13355
-/* 3631 */    MCD_OPC_CheckField, 6, 5, 0, 246, 37, // Skip to: 13355
-/* 3637 */    MCD_OPC_Decode, 154, 9, 17, // Opcode: MUL
-/* 3641 */    MCD_OPC_FilterValue, 4, 36, 0, // Skip to: 3681
-/* 3645 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3648 */    MCD_OPC_FilterValue, 0, 231, 37, // Skip to: 13355
-/* 3652 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 3655 */    MCD_OPC_FilterValue, 0, 224, 37, // Skip to: 13355
-/* 3659 */    MCD_OPC_CheckPredicate, 7, 10, 0, // Skip to: 3673
-/* 3663 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3673
-/* 3669 */    MCD_OPC_Decode, 237, 8, 24, // Opcode: MSUB
-/* 3673 */    MCD_OPC_CheckPredicate, 11, 206, 37, // Skip to: 13355
-/* 3677 */    MCD_OPC_Decode, 252, 8, 93, // Opcode: MSUB_DSP
-/* 3681 */    MCD_OPC_FilterValue, 5, 36, 0, // Skip to: 3721
-/* 3685 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3688 */    MCD_OPC_FilterValue, 0, 191, 37, // Skip to: 13355
-/* 3692 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 3695 */    MCD_OPC_FilterValue, 0, 184, 37, // Skip to: 13355
-/* 3699 */    MCD_OPC_CheckPredicate, 7, 10, 0, // Skip to: 3713
-/* 3703 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3713
-/* 3709 */    MCD_OPC_Decode, 242, 8, 24, // Opcode: MSUBU
-/* 3713 */    MCD_OPC_CheckPredicate, 11, 166, 37, // Skip to: 13355
-/* 3717 */    MCD_OPC_Decode, 243, 8, 93, // Opcode: MSUBU_DSP
-/* 3721 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 3739
-/* 3725 */    MCD_OPC_CheckPredicate, 7, 154, 37, // Skip to: 13355
-/* 3729 */    MCD_OPC_CheckField, 6, 5, 0, 148, 37, // Skip to: 13355
-/* 3735 */    MCD_OPC_Decode, 132, 3, 94, // Opcode: CLZ
-/* 3739 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 3757
-/* 3743 */    MCD_OPC_CheckPredicate, 7, 136, 37, // Skip to: 13355
-/* 3747 */    MCD_OPC_CheckField, 6, 5, 0, 130, 37, // Skip to: 13355
-/* 3753 */    MCD_OPC_Decode, 241, 2, 94, // Opcode: CLO
-/* 3757 */    MCD_OPC_FilterValue, 63, 122, 37, // Skip to: 13355
-/* 3761 */    MCD_OPC_CheckPredicate, 7, 118, 37, // Skip to: 13355
-/* 3765 */    MCD_OPC_Decode, 220, 10, 42, // Opcode: SDBBP
-/* 3769 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 3781
-/* 3773 */    MCD_OPC_CheckPredicate, 7, 106, 37, // Skip to: 13355
-/* 3777 */    MCD_OPC_Decode, 237, 6, 54, // Opcode: JALX
-/* 3781 */    MCD_OPC_FilterValue, 30, 181, 26, // Skip to: 10622
-/* 3785 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 3788 */    MCD_OPC_FilterValue, 0, 50, 0, // Skip to: 3842
-/* 3792 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 3795 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3806
-/* 3799 */    MCD_OPC_CheckPredicate, 6, 80, 37, // Skip to: 13355
-/* 3803 */    MCD_OPC_Decode, 77, 95, // Opcode: ANDI_B
-/* 3806 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3818
-/* 3810 */    MCD_OPC_CheckPredicate, 6, 69, 37, // Skip to: 13355
-/* 3814 */    MCD_OPC_Decode, 223, 9, 95, // Opcode: ORI_B
-/* 3818 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3830
-/* 3822 */    MCD_OPC_CheckPredicate, 6, 57, 37, // Skip to: 13355
-/* 3826 */    MCD_OPC_Decode, 213, 9, 95, // Opcode: NORI_B
-/* 3830 */    MCD_OPC_FilterValue, 3, 49, 37, // Skip to: 13355
-/* 3834 */    MCD_OPC_CheckPredicate, 6, 45, 37, // Skip to: 13355
-/* 3838 */    MCD_OPC_Decode, 164, 13, 95, // Opcode: XORI_B
-/* 3842 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 3885
-/* 3846 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 3849 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3861
-/* 3853 */    MCD_OPC_CheckPredicate, 6, 26, 37, // Skip to: 13355
-/* 3857 */    MCD_OPC_Decode, 253, 1, 96, // Opcode: BMNZI_B
-/* 3861 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3873
-/* 3865 */    MCD_OPC_CheckPredicate, 6, 14, 37, // Skip to: 13355
-/* 3869 */    MCD_OPC_Decode, 255, 1, 96, // Opcode: BMZI_B
-/* 3873 */    MCD_OPC_FilterValue, 2, 6, 37, // Skip to: 13355
-/* 3877 */    MCD_OPC_CheckPredicate, 6, 2, 37, // Skip to: 13355
-/* 3881 */    MCD_OPC_Decode, 156, 2, 96, // Opcode: BSELI_B
-/* 3885 */    MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 3928
-/* 3889 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
-/* 3892 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3904
-/* 3896 */    MCD_OPC_CheckPredicate, 6, 239, 36, // Skip to: 13355
-/* 3900 */    MCD_OPC_Decode, 254, 10, 95, // Opcode: SHF_B
-/* 3904 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3916
-/* 3908 */    MCD_OPC_CheckPredicate, 6, 227, 36, // Skip to: 13355
-/* 3912 */    MCD_OPC_Decode, 255, 10, 97, // Opcode: SHF_H
-/* 3916 */    MCD_OPC_FilterValue, 2, 219, 36, // Skip to: 13355
-/* 3920 */    MCD_OPC_CheckPredicate, 6, 215, 36, // Skip to: 13355
-/* 3924 */    MCD_OPC_Decode, 128, 11, 98, // Opcode: SHF_W
-/* 3928 */    MCD_OPC_FilterValue, 6, 31, 1, // Skip to: 4219
-/* 3932 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 3935 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3946
-/* 3939 */    MCD_OPC_CheckPredicate, 6, 196, 36, // Skip to: 13355
-/* 3943 */    MCD_OPC_Decode, 51, 99, // Opcode: ADDVI_B
-/* 3946 */    MCD_OPC_FilterValue, 1, 7, 0, // Skip to: 3957
-/* 3950 */    MCD_OPC_CheckPredicate, 6, 185, 36, // Skip to: 13355
-/* 3954 */    MCD_OPC_Decode, 53, 100, // Opcode: ADDVI_H
-/* 3957 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 3968
-/* 3961 */    MCD_OPC_CheckPredicate, 6, 174, 36, // Skip to: 13355
-/* 3965 */    MCD_OPC_Decode, 54, 101, // Opcode: ADDVI_W
-/* 3968 */    MCD_OPC_FilterValue, 3, 7, 0, // Skip to: 3979
-/* 3972 */    MCD_OPC_CheckPredicate, 6, 163, 36, // Skip to: 13355
-/* 3976 */    MCD_OPC_Decode, 52, 102, // Opcode: ADDVI_D
-/* 3979 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 3991
-/* 3983 */    MCD_OPC_CheckPredicate, 6, 152, 36, // Skip to: 13355
-/* 3987 */    MCD_OPC_Decode, 154, 12, 99, // Opcode: SUBVI_B
-/* 3991 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 4003
-/* 3995 */    MCD_OPC_CheckPredicate, 6, 140, 36, // Skip to: 13355
-/* 3999 */    MCD_OPC_Decode, 156, 12, 100, // Opcode: SUBVI_H
-/* 4003 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 4015
-/* 4007 */    MCD_OPC_CheckPredicate, 6, 128, 36, // Skip to: 13355
-/* 4011 */    MCD_OPC_Decode, 157, 12, 101, // Opcode: SUBVI_W
-/* 4015 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 4027
-/* 4019 */    MCD_OPC_CheckPredicate, 6, 116, 36, // Skip to: 13355
-/* 4023 */    MCD_OPC_Decode, 155, 12, 102, // Opcode: SUBVI_D
-/* 4027 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 4039
-/* 4031 */    MCD_OPC_CheckPredicate, 6, 104, 36, // Skip to: 13355
-/* 4035 */    MCD_OPC_Decode, 247, 7, 99, // Opcode: MAXI_S_B
-/* 4039 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 4051
-/* 4043 */    MCD_OPC_CheckPredicate, 6, 92, 36, // Skip to: 13355
-/* 4047 */    MCD_OPC_Decode, 249, 7, 100, // Opcode: MAXI_S_H
-/* 4051 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 4063
-/* 4055 */    MCD_OPC_CheckPredicate, 6, 80, 36, // Skip to: 13355
-/* 4059 */    MCD_OPC_Decode, 250, 7, 101, // Opcode: MAXI_S_W
-/* 4063 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 4075
-/* 4067 */    MCD_OPC_CheckPredicate, 6, 68, 36, // Skip to: 13355
-/* 4071 */    MCD_OPC_Decode, 248, 7, 102, // Opcode: MAXI_S_D
-/* 4075 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 4087
-/* 4079 */    MCD_OPC_CheckPredicate, 6, 56, 36, // Skip to: 13355
-/* 4083 */    MCD_OPC_Decode, 251, 7, 99, // Opcode: MAXI_U_B
-/* 4087 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 4099
-/* 4091 */    MCD_OPC_CheckPredicate, 6, 44, 36, // Skip to: 13355
-/* 4095 */    MCD_OPC_Decode, 253, 7, 100, // Opcode: MAXI_U_H
-/* 4099 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 4111
-/* 4103 */    MCD_OPC_CheckPredicate, 6, 32, 36, // Skip to: 13355
-/* 4107 */    MCD_OPC_Decode, 254, 7, 101, // Opcode: MAXI_U_W
-/* 4111 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 4123
-/* 4115 */    MCD_OPC_CheckPredicate, 6, 20, 36, // Skip to: 13355
-/* 4119 */    MCD_OPC_Decode, 252, 7, 102, // Opcode: MAXI_U_D
-/* 4123 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 4135
-/* 4127 */    MCD_OPC_CheckPredicate, 6, 8, 36, // Skip to: 13355
-/* 4131 */    MCD_OPC_Decode, 160, 8, 99, // Opcode: MINI_S_B
-/* 4135 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 4147
-/* 4139 */    MCD_OPC_CheckPredicate, 6, 252, 35, // Skip to: 13355
-/* 4143 */    MCD_OPC_Decode, 162, 8, 100, // Opcode: MINI_S_H
-/* 4147 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 4159
-/* 4151 */    MCD_OPC_CheckPredicate, 6, 240, 35, // Skip to: 13355
-/* 4155 */    MCD_OPC_Decode, 163, 8, 101, // Opcode: MINI_S_W
-/* 4159 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 4171
-/* 4163 */    MCD_OPC_CheckPredicate, 6, 228, 35, // Skip to: 13355
-/* 4167 */    MCD_OPC_Decode, 161, 8, 102, // Opcode: MINI_S_D
-/* 4171 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 4183
-/* 4175 */    MCD_OPC_CheckPredicate, 6, 216, 35, // Skip to: 13355
-/* 4179 */    MCD_OPC_Decode, 164, 8, 99, // Opcode: MINI_U_B
-/* 4183 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 4195
-/* 4187 */    MCD_OPC_CheckPredicate, 6, 204, 35, // Skip to: 13355
-/* 4191 */    MCD_OPC_Decode, 166, 8, 100, // Opcode: MINI_U_H
-/* 4195 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 4207
-/* 4199 */    MCD_OPC_CheckPredicate, 6, 192, 35, // Skip to: 13355
-/* 4203 */    MCD_OPC_Decode, 167, 8, 101, // Opcode: MINI_U_W
-/* 4207 */    MCD_OPC_FilterValue, 23, 184, 35, // Skip to: 13355
-/* 4211 */    MCD_OPC_CheckPredicate, 6, 180, 35, // Skip to: 13355
-/* 4215 */    MCD_OPC_Decode, 165, 8, 102, // Opcode: MINI_U_D
-/* 4219 */    MCD_OPC_FilterValue, 7, 35, 1, // Skip to: 4514
-/* 4223 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 4226 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4238
-/* 4230 */    MCD_OPC_CheckPredicate, 6, 161, 35, // Skip to: 13355
-/* 4234 */    MCD_OPC_Decode, 210, 2, 99, // Opcode: CEQI_B
-/* 4238 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 4250
-/* 4242 */    MCD_OPC_CheckPredicate, 6, 149, 35, // Skip to: 13355
-/* 4246 */    MCD_OPC_Decode, 212, 2, 100, // Opcode: CEQI_H
-/* 4250 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 4262
-/* 4254 */    MCD_OPC_CheckPredicate, 6, 137, 35, // Skip to: 13355
-/* 4258 */    MCD_OPC_Decode, 213, 2, 101, // Opcode: CEQI_W
-/* 4262 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 4274
-/* 4266 */    MCD_OPC_CheckPredicate, 6, 125, 35, // Skip to: 13355
-/* 4270 */    MCD_OPC_Decode, 211, 2, 102, // Opcode: CEQI_D
-/* 4274 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 4286
-/* 4278 */    MCD_OPC_CheckPredicate, 6, 113, 35, // Skip to: 13355
-/* 4282 */    MCD_OPC_Decode, 244, 2, 99, // Opcode: CLTI_S_B
-/* 4286 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 4298
-/* 4290 */    MCD_OPC_CheckPredicate, 6, 101, 35, // Skip to: 13355
-/* 4294 */    MCD_OPC_Decode, 246, 2, 100, // Opcode: CLTI_S_H
-/* 4298 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 4310
-/* 4302 */    MCD_OPC_CheckPredicate, 6, 89, 35, // Skip to: 13355
-/* 4306 */    MCD_OPC_Decode, 247, 2, 101, // Opcode: CLTI_S_W
-/* 4310 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 4322
-/* 4314 */    MCD_OPC_CheckPredicate, 6, 77, 35, // Skip to: 13355
-/* 4318 */    MCD_OPC_Decode, 245, 2, 102, // Opcode: CLTI_S_D
-/* 4322 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 4334
-/* 4326 */    MCD_OPC_CheckPredicate, 6, 65, 35, // Skip to: 13355
-/* 4330 */    MCD_OPC_Decode, 248, 2, 99, // Opcode: CLTI_U_B
-/* 4334 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 4346
-/* 4338 */    MCD_OPC_CheckPredicate, 6, 53, 35, // Skip to: 13355
-/* 4342 */    MCD_OPC_Decode, 250, 2, 100, // Opcode: CLTI_U_H
-/* 4346 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 4358
-/* 4350 */    MCD_OPC_CheckPredicate, 6, 41, 35, // Skip to: 13355
-/* 4354 */    MCD_OPC_Decode, 251, 2, 101, // Opcode: CLTI_U_W
-/* 4358 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 4370
-/* 4362 */    MCD_OPC_CheckPredicate, 6, 29, 35, // Skip to: 13355
-/* 4366 */    MCD_OPC_Decode, 249, 2, 102, // Opcode: CLTI_U_D
-/* 4370 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 4382
-/* 4374 */    MCD_OPC_CheckPredicate, 6, 17, 35, // Skip to: 13355
-/* 4378 */    MCD_OPC_Decode, 225, 2, 99, // Opcode: CLEI_S_B
-/* 4382 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 4394
-/* 4386 */    MCD_OPC_CheckPredicate, 6, 5, 35, // Skip to: 13355
-/* 4390 */    MCD_OPC_Decode, 227, 2, 100, // Opcode: CLEI_S_H
-/* 4394 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 4406
-/* 4398 */    MCD_OPC_CheckPredicate, 6, 249, 34, // Skip to: 13355
-/* 4402 */    MCD_OPC_Decode, 228, 2, 101, // Opcode: CLEI_S_W
-/* 4406 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 4418
-/* 4410 */    MCD_OPC_CheckPredicate, 6, 237, 34, // Skip to: 13355
-/* 4414 */    MCD_OPC_Decode, 226, 2, 102, // Opcode: CLEI_S_D
-/* 4418 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 4430
-/* 4422 */    MCD_OPC_CheckPredicate, 6, 225, 34, // Skip to: 13355
-/* 4426 */    MCD_OPC_Decode, 229, 2, 99, // Opcode: CLEI_U_B
-/* 4430 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 4442
-/* 4434 */    MCD_OPC_CheckPredicate, 6, 213, 34, // Skip to: 13355
-/* 4438 */    MCD_OPC_Decode, 231, 2, 100, // Opcode: CLEI_U_H
-/* 4442 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 4454
-/* 4446 */    MCD_OPC_CheckPredicate, 6, 201, 34, // Skip to: 13355
-/* 4450 */    MCD_OPC_Decode, 232, 2, 101, // Opcode: CLEI_U_W
-/* 4454 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 4466
-/* 4458 */    MCD_OPC_CheckPredicate, 6, 189, 34, // Skip to: 13355
-/* 4462 */    MCD_OPC_Decode, 230, 2, 102, // Opcode: CLEI_U_D
-/* 4466 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 4478
-/* 4470 */    MCD_OPC_CheckPredicate, 6, 177, 34, // Skip to: 13355
-/* 4474 */    MCD_OPC_Decode, 140, 7, 103, // Opcode: LDI_B
-/* 4478 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 4490
-/* 4482 */    MCD_OPC_CheckPredicate, 6, 165, 34, // Skip to: 13355
-/* 4486 */    MCD_OPC_Decode, 142, 7, 104, // Opcode: LDI_H
-/* 4490 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 4502
-/* 4494 */    MCD_OPC_CheckPredicate, 6, 153, 34, // Skip to: 13355
-/* 4498 */    MCD_OPC_Decode, 143, 7, 105, // Opcode: LDI_W
-/* 4502 */    MCD_OPC_FilterValue, 27, 145, 34, // Skip to: 13355
-/* 4506 */    MCD_OPC_CheckPredicate, 6, 141, 34, // Skip to: 13355
-/* 4510 */    MCD_OPC_Decode, 141, 7, 106, // Opcode: LDI_D
-/* 4514 */    MCD_OPC_FilterValue, 9, 35, 2, // Skip to: 5065
-/* 4518 */    MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 4521 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4533
-/* 4525 */    MCD_OPC_CheckPredicate, 6, 122, 34, // Skip to: 13355
-/* 4529 */    MCD_OPC_Decode, 166, 11, 107, // Opcode: SLLI_D
-/* 4533 */    MCD_OPC_FilterValue, 1, 52, 0, // Skip to: 4589
-/* 4537 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4540 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4552
-/* 4544 */    MCD_OPC_CheckPredicate, 6, 103, 34, // Skip to: 13355
-/* 4548 */    MCD_OPC_Decode, 168, 11, 101, // Opcode: SLLI_W
-/* 4552 */    MCD_OPC_FilterValue, 1, 95, 34, // Skip to: 13355
-/* 4556 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4559 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4571
-/* 4563 */    MCD_OPC_CheckPredicate, 6, 84, 34, // Skip to: 13355
-/* 4567 */    MCD_OPC_Decode, 167, 11, 108, // Opcode: SLLI_H
-/* 4571 */    MCD_OPC_FilterValue, 1, 76, 34, // Skip to: 13355
-/* 4575 */    MCD_OPC_CheckPredicate, 6, 72, 34, // Skip to: 13355
-/* 4579 */    MCD_OPC_CheckField, 19, 1, 0, 66, 34, // Skip to: 13355
-/* 4585 */    MCD_OPC_Decode, 165, 11, 109, // Opcode: SLLI_B
-/* 4589 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 4601
-/* 4593 */    MCD_OPC_CheckPredicate, 6, 54, 34, // Skip to: 13355
-/* 4597 */    MCD_OPC_Decode, 205, 11, 107, // Opcode: SRAI_D
-/* 4601 */    MCD_OPC_FilterValue, 3, 52, 0, // Skip to: 4657
-/* 4605 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4608 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4620
-/* 4612 */    MCD_OPC_CheckPredicate, 6, 35, 34, // Skip to: 13355
-/* 4616 */    MCD_OPC_Decode, 207, 11, 101, // Opcode: SRAI_W
-/* 4620 */    MCD_OPC_FilterValue, 1, 27, 34, // Skip to: 13355
-/* 4624 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4627 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4639
-/* 4631 */    MCD_OPC_CheckPredicate, 6, 16, 34, // Skip to: 13355
-/* 4635 */    MCD_OPC_Decode, 206, 11, 108, // Opcode: SRAI_H
-/* 4639 */    MCD_OPC_FilterValue, 1, 8, 34, // Skip to: 13355
-/* 4643 */    MCD_OPC_CheckPredicate, 6, 4, 34, // Skip to: 13355
-/* 4647 */    MCD_OPC_CheckField, 19, 1, 0, 254, 33, // Skip to: 13355
-/* 4653 */    MCD_OPC_Decode, 204, 11, 109, // Opcode: SRAI_B
-/* 4657 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 4669
-/* 4661 */    MCD_OPC_CheckPredicate, 6, 242, 33, // Skip to: 13355
-/* 4665 */    MCD_OPC_Decode, 225, 11, 107, // Opcode: SRLI_D
-/* 4669 */    MCD_OPC_FilterValue, 5, 52, 0, // Skip to: 4725
-/* 4673 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4676 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4688
-/* 4680 */    MCD_OPC_CheckPredicate, 6, 223, 33, // Skip to: 13355
-/* 4684 */    MCD_OPC_Decode, 227, 11, 101, // Opcode: SRLI_W
-/* 4688 */    MCD_OPC_FilterValue, 1, 215, 33, // Skip to: 13355
-/* 4692 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4695 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4707
-/* 4699 */    MCD_OPC_CheckPredicate, 6, 204, 33, // Skip to: 13355
-/* 4703 */    MCD_OPC_Decode, 226, 11, 108, // Opcode: SRLI_H
-/* 4707 */    MCD_OPC_FilterValue, 1, 196, 33, // Skip to: 13355
-/* 4711 */    MCD_OPC_CheckPredicate, 6, 192, 33, // Skip to: 13355
-/* 4715 */    MCD_OPC_CheckField, 19, 1, 0, 186, 33, // Skip to: 13355
-/* 4721 */    MCD_OPC_Decode, 224, 11, 109, // Opcode: SRLI_B
-/* 4725 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 4737
-/* 4729 */    MCD_OPC_CheckPredicate, 6, 174, 33, // Skip to: 13355
-/* 4733 */    MCD_OPC_Decode, 184, 1, 107, // Opcode: BCLRI_D
-/* 4737 */    MCD_OPC_FilterValue, 7, 52, 0, // Skip to: 4793
-/* 4741 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4744 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4756
-/* 4748 */    MCD_OPC_CheckPredicate, 6, 155, 33, // Skip to: 13355
-/* 4752 */    MCD_OPC_Decode, 186, 1, 101, // Opcode: BCLRI_W
-/* 4756 */    MCD_OPC_FilterValue, 1, 147, 33, // Skip to: 13355
-/* 4760 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4763 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4775
-/* 4767 */    MCD_OPC_CheckPredicate, 6, 136, 33, // Skip to: 13355
-/* 4771 */    MCD_OPC_Decode, 185, 1, 108, // Opcode: BCLRI_H
-/* 4775 */    MCD_OPC_FilterValue, 1, 128, 33, // Skip to: 13355
-/* 4779 */    MCD_OPC_CheckPredicate, 6, 124, 33, // Skip to: 13355
-/* 4783 */    MCD_OPC_CheckField, 19, 1, 0, 118, 33, // Skip to: 13355
-/* 4789 */    MCD_OPC_Decode, 183, 1, 109, // Opcode: BCLRI_B
-/* 4793 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 4805
-/* 4797 */    MCD_OPC_CheckPredicate, 6, 106, 33, // Skip to: 13355
-/* 4801 */    MCD_OPC_Decode, 164, 2, 107, // Opcode: BSETI_D
-/* 4805 */    MCD_OPC_FilterValue, 9, 52, 0, // Skip to: 4861
-/* 4809 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4812 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4824
-/* 4816 */    MCD_OPC_CheckPredicate, 6, 87, 33, // Skip to: 13355
-/* 4820 */    MCD_OPC_Decode, 166, 2, 101, // Opcode: BSETI_W
-/* 4824 */    MCD_OPC_FilterValue, 1, 79, 33, // Skip to: 13355
-/* 4828 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4831 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4843
-/* 4835 */    MCD_OPC_CheckPredicate, 6, 68, 33, // Skip to: 13355
-/* 4839 */    MCD_OPC_Decode, 165, 2, 108, // Opcode: BSETI_H
-/* 4843 */    MCD_OPC_FilterValue, 1, 60, 33, // Skip to: 13355
-/* 4847 */    MCD_OPC_CheckPredicate, 6, 56, 33, // Skip to: 13355
-/* 4851 */    MCD_OPC_CheckField, 19, 1, 0, 50, 33, // Skip to: 13355
-/* 4857 */    MCD_OPC_Decode, 163, 2, 109, // Opcode: BSETI_B
-/* 4861 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 4873
-/* 4865 */    MCD_OPC_CheckPredicate, 6, 38, 33, // Skip to: 13355
-/* 4869 */    MCD_OPC_Decode, 133, 2, 107, // Opcode: BNEGI_D
-/* 4873 */    MCD_OPC_FilterValue, 11, 52, 0, // Skip to: 4929
-/* 4877 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4880 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4892
-/* 4884 */    MCD_OPC_CheckPredicate, 6, 19, 33, // Skip to: 13355
-/* 4888 */    MCD_OPC_Decode, 135, 2, 101, // Opcode: BNEGI_W
-/* 4892 */    MCD_OPC_FilterValue, 1, 11, 33, // Skip to: 13355
-/* 4896 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4899 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4911
-/* 4903 */    MCD_OPC_CheckPredicate, 6, 0, 33, // Skip to: 13355
-/* 4907 */    MCD_OPC_Decode, 134, 2, 108, // Opcode: BNEGI_H
-/* 4911 */    MCD_OPC_FilterValue, 1, 248, 32, // Skip to: 13355
-/* 4915 */    MCD_OPC_CheckPredicate, 6, 244, 32, // Skip to: 13355
-/* 4919 */    MCD_OPC_CheckField, 19, 1, 0, 238, 32, // Skip to: 13355
-/* 4925 */    MCD_OPC_Decode, 132, 2, 109, // Opcode: BNEGI_B
-/* 4929 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 4941
-/* 4933 */    MCD_OPC_CheckPredicate, 6, 226, 32, // Skip to: 13355
-/* 4937 */    MCD_OPC_Decode, 218, 1, 110, // Opcode: BINSLI_D
-/* 4941 */    MCD_OPC_FilterValue, 13, 52, 0, // Skip to: 4997
-/* 4945 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 4948 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4960
-/* 4952 */    MCD_OPC_CheckPredicate, 6, 207, 32, // Skip to: 13355
-/* 4956 */    MCD_OPC_Decode, 220, 1, 111, // Opcode: BINSLI_W
-/* 4960 */    MCD_OPC_FilterValue, 1, 199, 32, // Skip to: 13355
-/* 4964 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 4967 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4979
-/* 4971 */    MCD_OPC_CheckPredicate, 6, 188, 32, // Skip to: 13355
-/* 4975 */    MCD_OPC_Decode, 219, 1, 112, // Opcode: BINSLI_H
-/* 4979 */    MCD_OPC_FilterValue, 1, 180, 32, // Skip to: 13355
-/* 4983 */    MCD_OPC_CheckPredicate, 6, 176, 32, // Skip to: 13355
-/* 4987 */    MCD_OPC_CheckField, 19, 1, 0, 170, 32, // Skip to: 13355
-/* 4993 */    MCD_OPC_Decode, 217, 1, 113, // Opcode: BINSLI_B
-/* 4997 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 5009
-/* 5001 */    MCD_OPC_CheckPredicate, 6, 158, 32, // Skip to: 13355
-/* 5005 */    MCD_OPC_Decode, 226, 1, 110, // Opcode: BINSRI_D
-/* 5009 */    MCD_OPC_FilterValue, 15, 150, 32, // Skip to: 13355
-/* 5013 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 5016 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5028
-/* 5020 */    MCD_OPC_CheckPredicate, 6, 139, 32, // Skip to: 13355
-/* 5024 */    MCD_OPC_Decode, 228, 1, 111, // Opcode: BINSRI_W
-/* 5028 */    MCD_OPC_FilterValue, 1, 131, 32, // Skip to: 13355
-/* 5032 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5035 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5047
-/* 5039 */    MCD_OPC_CheckPredicate, 6, 120, 32, // Skip to: 13355
-/* 5043 */    MCD_OPC_Decode, 227, 1, 112, // Opcode: BINSRI_H
-/* 5047 */    MCD_OPC_FilterValue, 1, 112, 32, // Skip to: 13355
-/* 5051 */    MCD_OPC_CheckPredicate, 6, 108, 32, // Skip to: 13355
-/* 5055 */    MCD_OPC_CheckField, 19, 1, 0, 102, 32, // Skip to: 13355
-/* 5061 */    MCD_OPC_Decode, 225, 1, 113, // Opcode: BINSRI_B
-/* 5065 */    MCD_OPC_FilterValue, 10, 19, 1, // Skip to: 5344
-/* 5069 */    MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 5072 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5084
-/* 5076 */    MCD_OPC_CheckPredicate, 6, 83, 32, // Skip to: 13355
-/* 5080 */    MCD_OPC_Decode, 204, 10, 107, // Opcode: SAT_S_D
-/* 5084 */    MCD_OPC_FilterValue, 1, 52, 0, // Skip to: 5140
-/* 5088 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 5091 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5103
-/* 5095 */    MCD_OPC_CheckPredicate, 6, 64, 32, // Skip to: 13355
-/* 5099 */    MCD_OPC_Decode, 206, 10, 101, // Opcode: SAT_S_W
-/* 5103 */    MCD_OPC_FilterValue, 1, 56, 32, // Skip to: 13355
-/* 5107 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5110 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5122
-/* 5114 */    MCD_OPC_CheckPredicate, 6, 45, 32, // Skip to: 13355
-/* 5118 */    MCD_OPC_Decode, 205, 10, 108, // Opcode: SAT_S_H
-/* 5122 */    MCD_OPC_FilterValue, 1, 37, 32, // Skip to: 13355
-/* 5126 */    MCD_OPC_CheckPredicate, 6, 33, 32, // Skip to: 13355
-/* 5130 */    MCD_OPC_CheckField, 19, 1, 0, 27, 32, // Skip to: 13355
-/* 5136 */    MCD_OPC_Decode, 203, 10, 109, // Opcode: SAT_S_B
-/* 5140 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5152
-/* 5144 */    MCD_OPC_CheckPredicate, 6, 15, 32, // Skip to: 13355
-/* 5148 */    MCD_OPC_Decode, 208, 10, 107, // Opcode: SAT_U_D
-/* 5152 */    MCD_OPC_FilterValue, 3, 52, 0, // Skip to: 5208
-/* 5156 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 5159 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5171
-/* 5163 */    MCD_OPC_CheckPredicate, 6, 252, 31, // Skip to: 13355
-/* 5167 */    MCD_OPC_Decode, 210, 10, 101, // Opcode: SAT_U_W
-/* 5171 */    MCD_OPC_FilterValue, 1, 244, 31, // Skip to: 13355
-/* 5175 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5178 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5190
-/* 5182 */    MCD_OPC_CheckPredicate, 6, 233, 31, // Skip to: 13355
-/* 5186 */    MCD_OPC_Decode, 209, 10, 108, // Opcode: SAT_U_H
-/* 5190 */    MCD_OPC_FilterValue, 1, 225, 31, // Skip to: 13355
-/* 5194 */    MCD_OPC_CheckPredicate, 6, 221, 31, // Skip to: 13355
-/* 5198 */    MCD_OPC_CheckField, 19, 1, 0, 215, 31, // Skip to: 13355
-/* 5204 */    MCD_OPC_Decode, 207, 10, 109, // Opcode: SAT_U_B
-/* 5208 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 5220
-/* 5212 */    MCD_OPC_CheckPredicate, 6, 203, 31, // Skip to: 13355
-/* 5216 */    MCD_OPC_Decode, 209, 11, 107, // Opcode: SRARI_D
-/* 5220 */    MCD_OPC_FilterValue, 5, 52, 0, // Skip to: 5276
-/* 5224 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 5227 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5239
-/* 5231 */    MCD_OPC_CheckPredicate, 6, 184, 31, // Skip to: 13355
-/* 5235 */    MCD_OPC_Decode, 211, 11, 101, // Opcode: SRARI_W
-/* 5239 */    MCD_OPC_FilterValue, 1, 176, 31, // Skip to: 13355
-/* 5243 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5246 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5258
-/* 5250 */    MCD_OPC_CheckPredicate, 6, 165, 31, // Skip to: 13355
-/* 5254 */    MCD_OPC_Decode, 210, 11, 108, // Opcode: SRARI_H
-/* 5258 */    MCD_OPC_FilterValue, 1, 157, 31, // Skip to: 13355
-/* 5262 */    MCD_OPC_CheckPredicate, 6, 153, 31, // Skip to: 13355
-/* 5266 */    MCD_OPC_CheckField, 19, 1, 0, 147, 31, // Skip to: 13355
-/* 5272 */    MCD_OPC_Decode, 208, 11, 109, // Opcode: SRARI_B
-/* 5276 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 5288
-/* 5280 */    MCD_OPC_CheckPredicate, 6, 135, 31, // Skip to: 13355
-/* 5284 */    MCD_OPC_Decode, 229, 11, 107, // Opcode: SRLRI_D
-/* 5288 */    MCD_OPC_FilterValue, 7, 127, 31, // Skip to: 13355
-/* 5292 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
-/* 5295 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5307
-/* 5299 */    MCD_OPC_CheckPredicate, 6, 116, 31, // Skip to: 13355
-/* 5303 */    MCD_OPC_Decode, 231, 11, 101, // Opcode: SRLRI_W
-/* 5307 */    MCD_OPC_FilterValue, 1, 108, 31, // Skip to: 13355
-/* 5311 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 5314 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5326
-/* 5318 */    MCD_OPC_CheckPredicate, 6, 97, 31, // Skip to: 13355
-/* 5322 */    MCD_OPC_Decode, 230, 11, 108, // Opcode: SRLRI_H
-/* 5326 */    MCD_OPC_FilterValue, 1, 89, 31, // Skip to: 13355
-/* 5330 */    MCD_OPC_CheckPredicate, 6, 85, 31, // Skip to: 13355
-/* 5334 */    MCD_OPC_CheckField, 19, 1, 0, 79, 31, // Skip to: 13355
-/* 5340 */    MCD_OPC_Decode, 228, 11, 109, // Opcode: SRLRI_B
-/* 5344 */    MCD_OPC_FilterValue, 13, 131, 1, // Skip to: 5735
-/* 5348 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 5351 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5363
-/* 5355 */    MCD_OPC_CheckPredicate, 6, 60, 31, // Skip to: 13355
-/* 5359 */    MCD_OPC_Decode, 171, 11, 114, // Opcode: SLL_B
-/* 5363 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5375
-/* 5367 */    MCD_OPC_CheckPredicate, 6, 48, 31, // Skip to: 13355
-/* 5371 */    MCD_OPC_Decode, 173, 11, 115, // Opcode: SLL_H
-/* 5375 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5387
-/* 5379 */    MCD_OPC_CheckPredicate, 6, 36, 31, // Skip to: 13355
-/* 5383 */    MCD_OPC_Decode, 175, 11, 116, // Opcode: SLL_W
-/* 5387 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 5399
-/* 5391 */    MCD_OPC_CheckPredicate, 6, 24, 31, // Skip to: 13355
-/* 5395 */    MCD_OPC_Decode, 172, 11, 117, // Opcode: SLL_D
-/* 5399 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 5411
-/* 5403 */    MCD_OPC_CheckPredicate, 6, 12, 31, // Skip to: 13355
-/* 5407 */    MCD_OPC_Decode, 218, 11, 114, // Opcode: SRA_B
-/* 5411 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 5423
-/* 5415 */    MCD_OPC_CheckPredicate, 6, 0, 31, // Skip to: 13355
-/* 5419 */    MCD_OPC_Decode, 220, 11, 115, // Opcode: SRA_H
-/* 5423 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 5435
-/* 5427 */    MCD_OPC_CheckPredicate, 6, 244, 30, // Skip to: 13355
-/* 5431 */    MCD_OPC_Decode, 222, 11, 116, // Opcode: SRA_W
-/* 5435 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 5447
-/* 5439 */    MCD_OPC_CheckPredicate, 6, 232, 30, // Skip to: 13355
-/* 5443 */    MCD_OPC_Decode, 219, 11, 117, // Opcode: SRA_D
-/* 5447 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 5459
-/* 5451 */    MCD_OPC_CheckPredicate, 6, 220, 30, // Skip to: 13355
-/* 5455 */    MCD_OPC_Decode, 238, 11, 114, // Opcode: SRL_B
-/* 5459 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 5471
-/* 5463 */    MCD_OPC_CheckPredicate, 6, 208, 30, // Skip to: 13355
-/* 5467 */    MCD_OPC_Decode, 240, 11, 115, // Opcode: SRL_H
-/* 5471 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 5483
-/* 5475 */    MCD_OPC_CheckPredicate, 6, 196, 30, // Skip to: 13355
-/* 5479 */    MCD_OPC_Decode, 242, 11, 116, // Opcode: SRL_W
-/* 5483 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 5495
-/* 5487 */    MCD_OPC_CheckPredicate, 6, 184, 30, // Skip to: 13355
-/* 5491 */    MCD_OPC_Decode, 239, 11, 117, // Opcode: SRL_D
-/* 5495 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 5507
-/* 5499 */    MCD_OPC_CheckPredicate, 6, 172, 30, // Skip to: 13355
-/* 5503 */    MCD_OPC_Decode, 187, 1, 114, // Opcode: BCLR_B
-/* 5507 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 5519
-/* 5511 */    MCD_OPC_CheckPredicate, 6, 160, 30, // Skip to: 13355
-/* 5515 */    MCD_OPC_Decode, 189, 1, 115, // Opcode: BCLR_H
-/* 5519 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 5531
-/* 5523 */    MCD_OPC_CheckPredicate, 6, 148, 30, // Skip to: 13355
-/* 5527 */    MCD_OPC_Decode, 190, 1, 116, // Opcode: BCLR_W
-/* 5531 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 5543
-/* 5535 */    MCD_OPC_CheckPredicate, 6, 136, 30, // Skip to: 13355
-/* 5539 */    MCD_OPC_Decode, 188, 1, 117, // Opcode: BCLR_D
-/* 5543 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 5555
-/* 5547 */    MCD_OPC_CheckPredicate, 6, 124, 30, // Skip to: 13355
-/* 5551 */    MCD_OPC_Decode, 167, 2, 114, // Opcode: BSET_B
-/* 5555 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 5567
-/* 5559 */    MCD_OPC_CheckPredicate, 6, 112, 30, // Skip to: 13355
-/* 5563 */    MCD_OPC_Decode, 169, 2, 115, // Opcode: BSET_H
-/* 5567 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 5579
-/* 5571 */    MCD_OPC_CheckPredicate, 6, 100, 30, // Skip to: 13355
-/* 5575 */    MCD_OPC_Decode, 170, 2, 116, // Opcode: BSET_W
-/* 5579 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 5591
-/* 5583 */    MCD_OPC_CheckPredicate, 6, 88, 30, // Skip to: 13355
-/* 5587 */    MCD_OPC_Decode, 168, 2, 117, // Opcode: BSET_D
-/* 5591 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 5603
-/* 5595 */    MCD_OPC_CheckPredicate, 6, 76, 30, // Skip to: 13355
-/* 5599 */    MCD_OPC_Decode, 136, 2, 114, // Opcode: BNEG_B
-/* 5603 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 5615
-/* 5607 */    MCD_OPC_CheckPredicate, 6, 64, 30, // Skip to: 13355
-/* 5611 */    MCD_OPC_Decode, 138, 2, 115, // Opcode: BNEG_H
-/* 5615 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 5627
-/* 5619 */    MCD_OPC_CheckPredicate, 6, 52, 30, // Skip to: 13355
-/* 5623 */    MCD_OPC_Decode, 139, 2, 116, // Opcode: BNEG_W
-/* 5627 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 5639
-/* 5631 */    MCD_OPC_CheckPredicate, 6, 40, 30, // Skip to: 13355
-/* 5635 */    MCD_OPC_Decode, 137, 2, 117, // Opcode: BNEG_D
-/* 5639 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 5651
-/* 5643 */    MCD_OPC_CheckPredicate, 6, 28, 30, // Skip to: 13355
-/* 5647 */    MCD_OPC_Decode, 221, 1, 118, // Opcode: BINSL_B
-/* 5651 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 5663
-/* 5655 */    MCD_OPC_CheckPredicate, 6, 16, 30, // Skip to: 13355
-/* 5659 */    MCD_OPC_Decode, 223, 1, 119, // Opcode: BINSL_H
-/* 5663 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 5675
-/* 5667 */    MCD_OPC_CheckPredicate, 6, 4, 30, // Skip to: 13355
-/* 5671 */    MCD_OPC_Decode, 224, 1, 120, // Opcode: BINSL_W
-/* 5675 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 5687
-/* 5679 */    MCD_OPC_CheckPredicate, 6, 248, 29, // Skip to: 13355
-/* 5683 */    MCD_OPC_Decode, 222, 1, 121, // Opcode: BINSL_D
-/* 5687 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 5699
-/* 5691 */    MCD_OPC_CheckPredicate, 6, 236, 29, // Skip to: 13355
-/* 5695 */    MCD_OPC_Decode, 229, 1, 118, // Opcode: BINSR_B
-/* 5699 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 5711
-/* 5703 */    MCD_OPC_CheckPredicate, 6, 224, 29, // Skip to: 13355
-/* 5707 */    MCD_OPC_Decode, 231, 1, 119, // Opcode: BINSR_H
-/* 5711 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 5723
-/* 5715 */    MCD_OPC_CheckPredicate, 6, 212, 29, // Skip to: 13355
-/* 5719 */    MCD_OPC_Decode, 232, 1, 120, // Opcode: BINSR_W
-/* 5723 */    MCD_OPC_FilterValue, 31, 204, 29, // Skip to: 13355
-/* 5727 */    MCD_OPC_CheckPredicate, 6, 200, 29, // Skip to: 13355
-/* 5731 */    MCD_OPC_Decode, 230, 1, 121, // Opcode: BINSR_D
-/* 5735 */    MCD_OPC_FilterValue, 14, 127, 1, // Skip to: 6122
-/* 5739 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 5742 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 5753
-/* 5746 */    MCD_OPC_CheckPredicate, 6, 181, 29, // Skip to: 13355
-/* 5750 */    MCD_OPC_Decode, 55, 114, // Opcode: ADDV_B
-/* 5753 */    MCD_OPC_FilterValue, 1, 7, 0, // Skip to: 5764
-/* 5757 */    MCD_OPC_CheckPredicate, 6, 170, 29, // Skip to: 13355
-/* 5761 */    MCD_OPC_Decode, 57, 115, // Opcode: ADDV_H
-/* 5764 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 5775
-/* 5768 */    MCD_OPC_CheckPredicate, 6, 159, 29, // Skip to: 13355
-/* 5772 */    MCD_OPC_Decode, 58, 116, // Opcode: ADDV_W
-/* 5775 */    MCD_OPC_FilterValue, 3, 7, 0, // Skip to: 5786
-/* 5779 */    MCD_OPC_CheckPredicate, 6, 148, 29, // Skip to: 13355
-/* 5783 */    MCD_OPC_Decode, 56, 117, // Opcode: ADDV_D
-/* 5786 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 5798
-/* 5790 */    MCD_OPC_CheckPredicate, 6, 137, 29, // Skip to: 13355
-/* 5794 */    MCD_OPC_Decode, 158, 12, 114, // Opcode: SUBV_B
-/* 5798 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 5810
-/* 5802 */    MCD_OPC_CheckPredicate, 6, 125, 29, // Skip to: 13355
-/* 5806 */    MCD_OPC_Decode, 160, 12, 115, // Opcode: SUBV_H
-/* 5810 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 5822
-/* 5814 */    MCD_OPC_CheckPredicate, 6, 113, 29, // Skip to: 13355
-/* 5818 */    MCD_OPC_Decode, 161, 12, 116, // Opcode: SUBV_W
-/* 5822 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 5834
-/* 5826 */    MCD_OPC_CheckPredicate, 6, 101, 29, // Skip to: 13355
-/* 5830 */    MCD_OPC_Decode, 159, 12, 117, // Opcode: SUBV_D
-/* 5834 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 5846
-/* 5838 */    MCD_OPC_CheckPredicate, 6, 89, 29, // Skip to: 13355
-/* 5842 */    MCD_OPC_Decode, 133, 8, 114, // Opcode: MAX_S_B
-/* 5846 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 5858
-/* 5850 */    MCD_OPC_CheckPredicate, 6, 77, 29, // Skip to: 13355
-/* 5854 */    MCD_OPC_Decode, 135, 8, 115, // Opcode: MAX_S_H
-/* 5858 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 5870
-/* 5862 */    MCD_OPC_CheckPredicate, 6, 65, 29, // Skip to: 13355
-/* 5866 */    MCD_OPC_Decode, 136, 8, 116, // Opcode: MAX_S_W
-/* 5870 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 5882
-/* 5874 */    MCD_OPC_CheckPredicate, 6, 53, 29, // Skip to: 13355
-/* 5878 */    MCD_OPC_Decode, 134, 8, 117, // Opcode: MAX_S_D
-/* 5882 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 5894
-/* 5886 */    MCD_OPC_CheckPredicate, 6, 41, 29, // Skip to: 13355
-/* 5890 */    MCD_OPC_Decode, 137, 8, 114, // Opcode: MAX_U_B
-/* 5894 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 5906
-/* 5898 */    MCD_OPC_CheckPredicate, 6, 29, 29, // Skip to: 13355
-/* 5902 */    MCD_OPC_Decode, 139, 8, 115, // Opcode: MAX_U_H
-/* 5906 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 5918
-/* 5910 */    MCD_OPC_CheckPredicate, 6, 17, 29, // Skip to: 13355
-/* 5914 */    MCD_OPC_Decode, 140, 8, 116, // Opcode: MAX_U_W
-/* 5918 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 5930
-/* 5922 */    MCD_OPC_CheckPredicate, 6, 5, 29, // Skip to: 13355
-/* 5926 */    MCD_OPC_Decode, 138, 8, 117, // Opcode: MAX_U_D
-/* 5930 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 5942
-/* 5934 */    MCD_OPC_CheckPredicate, 6, 249, 28, // Skip to: 13355
-/* 5938 */    MCD_OPC_Decode, 174, 8, 114, // Opcode: MIN_S_B
-/* 5942 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 5954
-/* 5946 */    MCD_OPC_CheckPredicate, 6, 237, 28, // Skip to: 13355
-/* 5950 */    MCD_OPC_Decode, 176, 8, 115, // Opcode: MIN_S_H
-/* 5954 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 5966
-/* 5958 */    MCD_OPC_CheckPredicate, 6, 225, 28, // Skip to: 13355
-/* 5962 */    MCD_OPC_Decode, 177, 8, 116, // Opcode: MIN_S_W
-/* 5966 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 5978
-/* 5970 */    MCD_OPC_CheckPredicate, 6, 213, 28, // Skip to: 13355
-/* 5974 */    MCD_OPC_Decode, 175, 8, 117, // Opcode: MIN_S_D
-/* 5978 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 5990
-/* 5982 */    MCD_OPC_CheckPredicate, 6, 201, 28, // Skip to: 13355
-/* 5986 */    MCD_OPC_Decode, 178, 8, 114, // Opcode: MIN_U_B
-/* 5990 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 6002
-/* 5994 */    MCD_OPC_CheckPredicate, 6, 189, 28, // Skip to: 13355
-/* 5998 */    MCD_OPC_Decode, 180, 8, 115, // Opcode: MIN_U_H
-/* 6002 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 6014
-/* 6006 */    MCD_OPC_CheckPredicate, 6, 177, 28, // Skip to: 13355
-/* 6010 */    MCD_OPC_Decode, 181, 8, 116, // Opcode: MIN_U_W
-/* 6014 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 6026
-/* 6018 */    MCD_OPC_CheckPredicate, 6, 165, 28, // Skip to: 13355
-/* 6022 */    MCD_OPC_Decode, 179, 8, 117, // Opcode: MIN_U_D
-/* 6026 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 6038
-/* 6030 */    MCD_OPC_CheckPredicate, 6, 153, 28, // Skip to: 13355
-/* 6034 */    MCD_OPC_Decode, 255, 7, 114, // Opcode: MAX_A_B
-/* 6038 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 6050
-/* 6042 */    MCD_OPC_CheckPredicate, 6, 141, 28, // Skip to: 13355
-/* 6046 */    MCD_OPC_Decode, 129, 8, 115, // Opcode: MAX_A_H
-/* 6050 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 6062
-/* 6054 */    MCD_OPC_CheckPredicate, 6, 129, 28, // Skip to: 13355
-/* 6058 */    MCD_OPC_Decode, 130, 8, 116, // Opcode: MAX_A_W
-/* 6062 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 6074
-/* 6066 */    MCD_OPC_CheckPredicate, 6, 117, 28, // Skip to: 13355
-/* 6070 */    MCD_OPC_Decode, 128, 8, 117, // Opcode: MAX_A_D
-/* 6074 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 6086
-/* 6078 */    MCD_OPC_CheckPredicate, 6, 105, 28, // Skip to: 13355
-/* 6082 */    MCD_OPC_Decode, 168, 8, 114, // Opcode: MIN_A_B
-/* 6086 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 6098
-/* 6090 */    MCD_OPC_CheckPredicate, 6, 93, 28, // Skip to: 13355
-/* 6094 */    MCD_OPC_Decode, 170, 8, 115, // Opcode: MIN_A_H
-/* 6098 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 6110
-/* 6102 */    MCD_OPC_CheckPredicate, 6, 81, 28, // Skip to: 13355
-/* 6106 */    MCD_OPC_Decode, 171, 8, 116, // Opcode: MIN_A_W
-/* 6110 */    MCD_OPC_FilterValue, 31, 73, 28, // Skip to: 13355
-/* 6114 */    MCD_OPC_CheckPredicate, 6, 69, 28, // Skip to: 13355
-/* 6118 */    MCD_OPC_Decode, 169, 8, 117, // Opcode: MIN_A_D
-/* 6122 */    MCD_OPC_FilterValue, 15, 243, 0, // Skip to: 6369
-/* 6126 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 6129 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6141
-/* 6133 */    MCD_OPC_CheckPredicate, 6, 50, 28, // Skip to: 13355
-/* 6137 */    MCD_OPC_Decode, 214, 2, 114, // Opcode: CEQ_B
-/* 6141 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6153
-/* 6145 */    MCD_OPC_CheckPredicate, 6, 38, 28, // Skip to: 13355
-/* 6149 */    MCD_OPC_Decode, 216, 2, 115, // Opcode: CEQ_H
-/* 6153 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6165
-/* 6157 */    MCD_OPC_CheckPredicate, 6, 26, 28, // Skip to: 13355
-/* 6161 */    MCD_OPC_Decode, 217, 2, 116, // Opcode: CEQ_W
-/* 6165 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6177
-/* 6169 */    MCD_OPC_CheckPredicate, 6, 14, 28, // Skip to: 13355
-/* 6173 */    MCD_OPC_Decode, 215, 2, 117, // Opcode: CEQ_D
-/* 6177 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 6189
-/* 6181 */    MCD_OPC_CheckPredicate, 6, 2, 28, // Skip to: 13355
-/* 6185 */    MCD_OPC_Decode, 252, 2, 114, // Opcode: CLT_S_B
-/* 6189 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6201
-/* 6193 */    MCD_OPC_CheckPredicate, 6, 246, 27, // Skip to: 13355
-/* 6197 */    MCD_OPC_Decode, 254, 2, 115, // Opcode: CLT_S_H
-/* 6201 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 6213
-/* 6205 */    MCD_OPC_CheckPredicate, 6, 234, 27, // Skip to: 13355
-/* 6209 */    MCD_OPC_Decode, 255, 2, 116, // Opcode: CLT_S_W
-/* 6213 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 6225
-/* 6217 */    MCD_OPC_CheckPredicate, 6, 222, 27, // Skip to: 13355
-/* 6221 */    MCD_OPC_Decode, 253, 2, 117, // Opcode: CLT_S_D
-/* 6225 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 6237
-/* 6229 */    MCD_OPC_CheckPredicate, 6, 210, 27, // Skip to: 13355
-/* 6233 */    MCD_OPC_Decode, 128, 3, 114, // Opcode: CLT_U_B
-/* 6237 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 6249
-/* 6241 */    MCD_OPC_CheckPredicate, 6, 198, 27, // Skip to: 13355
-/* 6245 */    MCD_OPC_Decode, 130, 3, 115, // Opcode: CLT_U_H
-/* 6249 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 6261
-/* 6253 */    MCD_OPC_CheckPredicate, 6, 186, 27, // Skip to: 13355
-/* 6257 */    MCD_OPC_Decode, 131, 3, 116, // Opcode: CLT_U_W
-/* 6261 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 6273
-/* 6265 */    MCD_OPC_CheckPredicate, 6, 174, 27, // Skip to: 13355
-/* 6269 */    MCD_OPC_Decode, 129, 3, 117, // Opcode: CLT_U_D
-/* 6273 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 6285
-/* 6277 */    MCD_OPC_CheckPredicate, 6, 162, 27, // Skip to: 13355
-/* 6281 */    MCD_OPC_Decode, 233, 2, 114, // Opcode: CLE_S_B
-/* 6285 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 6297
-/* 6289 */    MCD_OPC_CheckPredicate, 6, 150, 27, // Skip to: 13355
-/* 6293 */    MCD_OPC_Decode, 235, 2, 115, // Opcode: CLE_S_H
-/* 6297 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 6309
-/* 6301 */    MCD_OPC_CheckPredicate, 6, 138, 27, // Skip to: 13355
-/* 6305 */    MCD_OPC_Decode, 236, 2, 116, // Opcode: CLE_S_W
-/* 6309 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 6321
-/* 6313 */    MCD_OPC_CheckPredicate, 6, 126, 27, // Skip to: 13355
-/* 6317 */    MCD_OPC_Decode, 234, 2, 117, // Opcode: CLE_S_D
-/* 6321 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 6333
-/* 6325 */    MCD_OPC_CheckPredicate, 6, 114, 27, // Skip to: 13355
-/* 6329 */    MCD_OPC_Decode, 237, 2, 114, // Opcode: CLE_U_B
-/* 6333 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 6345
-/* 6337 */    MCD_OPC_CheckPredicate, 6, 102, 27, // Skip to: 13355
-/* 6341 */    MCD_OPC_Decode, 239, 2, 115, // Opcode: CLE_U_H
-/* 6345 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 6357
-/* 6349 */    MCD_OPC_CheckPredicate, 6, 90, 27, // Skip to: 13355
-/* 6353 */    MCD_OPC_Decode, 240, 2, 116, // Opcode: CLE_U_W
-/* 6357 */    MCD_OPC_FilterValue, 23, 82, 27, // Skip to: 13355
-/* 6361 */    MCD_OPC_CheckPredicate, 6, 78, 27, // Skip to: 13355
-/* 6365 */    MCD_OPC_Decode, 238, 2, 117, // Opcode: CLE_U_D
-/* 6369 */    MCD_OPC_FilterValue, 16, 115, 1, // Skip to: 6744
-/* 6373 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 6376 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 6387
-/* 6380 */    MCD_OPC_CheckPredicate, 6, 59, 27, // Skip to: 13355
-/* 6384 */    MCD_OPC_Decode, 60, 114, // Opcode: ADD_A_B
-/* 6387 */    MCD_OPC_FilterValue, 1, 7, 0, // Skip to: 6398
-/* 6391 */    MCD_OPC_CheckPredicate, 6, 48, 27, // Skip to: 13355
-/* 6395 */    MCD_OPC_Decode, 62, 115, // Opcode: ADD_A_H
-/* 6398 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 6409
-/* 6402 */    MCD_OPC_CheckPredicate, 6, 37, 27, // Skip to: 13355
-/* 6406 */    MCD_OPC_Decode, 63, 116, // Opcode: ADD_A_W
-/* 6409 */    MCD_OPC_FilterValue, 3, 7, 0, // Skip to: 6420
-/* 6413 */    MCD_OPC_CheckPredicate, 6, 26, 27, // Skip to: 13355
-/* 6417 */    MCD_OPC_Decode, 61, 117, // Opcode: ADD_A_D
-/* 6420 */    MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 6431
-/* 6424 */    MCD_OPC_CheckPredicate, 6, 15, 27, // Skip to: 13355
-/* 6428 */    MCD_OPC_Decode, 33, 114, // Opcode: ADDS_A_B
-/* 6431 */    MCD_OPC_FilterValue, 5, 7, 0, // Skip to: 6442
-/* 6435 */    MCD_OPC_CheckPredicate, 6, 4, 27, // Skip to: 13355
-/* 6439 */    MCD_OPC_Decode, 35, 115, // Opcode: ADDS_A_H
-/* 6442 */    MCD_OPC_FilterValue, 6, 7, 0, // Skip to: 6453
-/* 6446 */    MCD_OPC_CheckPredicate, 6, 249, 26, // Skip to: 13355
-/* 6450 */    MCD_OPC_Decode, 36, 116, // Opcode: ADDS_A_W
-/* 6453 */    MCD_OPC_FilterValue, 7, 7, 0, // Skip to: 6464
-/* 6457 */    MCD_OPC_CheckPredicate, 6, 238, 26, // Skip to: 13355
-/* 6461 */    MCD_OPC_Decode, 34, 117, // Opcode: ADDS_A_D
-/* 6464 */    MCD_OPC_FilterValue, 8, 7, 0, // Skip to: 6475
-/* 6468 */    MCD_OPC_CheckPredicate, 6, 227, 26, // Skip to: 13355
-/* 6472 */    MCD_OPC_Decode, 37, 114, // Opcode: ADDS_S_B
-/* 6475 */    MCD_OPC_FilterValue, 9, 7, 0, // Skip to: 6486
-/* 6479 */    MCD_OPC_CheckPredicate, 6, 216, 26, // Skip to: 13355
-/* 6483 */    MCD_OPC_Decode, 39, 115, // Opcode: ADDS_S_H
-/* 6486 */    MCD_OPC_FilterValue, 10, 7, 0, // Skip to: 6497
-/* 6490 */    MCD_OPC_CheckPredicate, 6, 205, 26, // Skip to: 13355
-/* 6494 */    MCD_OPC_Decode, 40, 116, // Opcode: ADDS_S_W
-/* 6497 */    MCD_OPC_FilterValue, 11, 7, 0, // Skip to: 6508
-/* 6501 */    MCD_OPC_CheckPredicate, 6, 194, 26, // Skip to: 13355
-/* 6505 */    MCD_OPC_Decode, 38, 117, // Opcode: ADDS_S_D
-/* 6508 */    MCD_OPC_FilterValue, 12, 7, 0, // Skip to: 6519
-/* 6512 */    MCD_OPC_CheckPredicate, 6, 183, 26, // Skip to: 13355
-/* 6516 */    MCD_OPC_Decode, 41, 114, // Opcode: ADDS_U_B
-/* 6519 */    MCD_OPC_FilterValue, 13, 7, 0, // Skip to: 6530
-/* 6523 */    MCD_OPC_CheckPredicate, 6, 172, 26, // Skip to: 13355
-/* 6527 */    MCD_OPC_Decode, 43, 115, // Opcode: ADDS_U_H
-/* 6530 */    MCD_OPC_FilterValue, 14, 7, 0, // Skip to: 6541
-/* 6534 */    MCD_OPC_CheckPredicate, 6, 161, 26, // Skip to: 13355
-/* 6538 */    MCD_OPC_Decode, 44, 116, // Opcode: ADDS_U_W
-/* 6541 */    MCD_OPC_FilterValue, 15, 7, 0, // Skip to: 6552
-/* 6545 */    MCD_OPC_CheckPredicate, 6, 150, 26, // Skip to: 13355
-/* 6549 */    MCD_OPC_Decode, 42, 117, // Opcode: ADDS_U_D
-/* 6552 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 6564
-/* 6556 */    MCD_OPC_CheckPredicate, 6, 139, 26, // Skip to: 13355
-/* 6560 */    MCD_OPC_Decode, 137, 1, 114, // Opcode: AVE_S_B
-/* 6564 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 6576
-/* 6568 */    MCD_OPC_CheckPredicate, 6, 127, 26, // Skip to: 13355
-/* 6572 */    MCD_OPC_Decode, 139, 1, 115, // Opcode: AVE_S_H
-/* 6576 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 6588
-/* 6580 */    MCD_OPC_CheckPredicate, 6, 115, 26, // Skip to: 13355
-/* 6584 */    MCD_OPC_Decode, 140, 1, 116, // Opcode: AVE_S_W
-/* 6588 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 6600
-/* 6592 */    MCD_OPC_CheckPredicate, 6, 103, 26, // Skip to: 13355
-/* 6596 */    MCD_OPC_Decode, 138, 1, 117, // Opcode: AVE_S_D
-/* 6600 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 6612
-/* 6604 */    MCD_OPC_CheckPredicate, 6, 91, 26, // Skip to: 13355
-/* 6608 */    MCD_OPC_Decode, 141, 1, 114, // Opcode: AVE_U_B
-/* 6612 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 6624
-/* 6616 */    MCD_OPC_CheckPredicate, 6, 79, 26, // Skip to: 13355
-/* 6620 */    MCD_OPC_Decode, 143, 1, 115, // Opcode: AVE_U_H
-/* 6624 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 6636
-/* 6628 */    MCD_OPC_CheckPredicate, 6, 67, 26, // Skip to: 13355
-/* 6632 */    MCD_OPC_Decode, 144, 1, 116, // Opcode: AVE_U_W
-/* 6636 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 6648
-/* 6640 */    MCD_OPC_CheckPredicate, 6, 55, 26, // Skip to: 13355
-/* 6644 */    MCD_OPC_Decode, 142, 1, 117, // Opcode: AVE_U_D
-/* 6648 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 6660
-/* 6652 */    MCD_OPC_CheckPredicate, 6, 43, 26, // Skip to: 13355
-/* 6656 */    MCD_OPC_Decode, 129, 1, 114, // Opcode: AVER_S_B
-/* 6660 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 6672
-/* 6664 */    MCD_OPC_CheckPredicate, 6, 31, 26, // Skip to: 13355
-/* 6668 */    MCD_OPC_Decode, 131, 1, 115, // Opcode: AVER_S_H
-/* 6672 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 6684
-/* 6676 */    MCD_OPC_CheckPredicate, 6, 19, 26, // Skip to: 13355
-/* 6680 */    MCD_OPC_Decode, 132, 1, 116, // Opcode: AVER_S_W
-/* 6684 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 6696
-/* 6688 */    MCD_OPC_CheckPredicate, 6, 7, 26, // Skip to: 13355
-/* 6692 */    MCD_OPC_Decode, 130, 1, 117, // Opcode: AVER_S_D
-/* 6696 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 6708
-/* 6700 */    MCD_OPC_CheckPredicate, 6, 251, 25, // Skip to: 13355
-/* 6704 */    MCD_OPC_Decode, 133, 1, 114, // Opcode: AVER_U_B
-/* 6708 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 6720
-/* 6712 */    MCD_OPC_CheckPredicate, 6, 239, 25, // Skip to: 13355
-/* 6716 */    MCD_OPC_Decode, 135, 1, 115, // Opcode: AVER_U_H
-/* 6720 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 6732
-/* 6724 */    MCD_OPC_CheckPredicate, 6, 227, 25, // Skip to: 13355
-/* 6728 */    MCD_OPC_Decode, 136, 1, 116, // Opcode: AVER_U_W
-/* 6732 */    MCD_OPC_FilterValue, 31, 219, 25, // Skip to: 13355
-/* 6736 */    MCD_OPC_CheckPredicate, 6, 215, 25, // Skip to: 13355
-/* 6740 */    MCD_OPC_Decode, 134, 1, 117, // Opcode: AVER_U_D
-/* 6744 */    MCD_OPC_FilterValue, 17, 27, 1, // Skip to: 7031
-/* 6748 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 6751 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6763
-/* 6755 */    MCD_OPC_CheckPredicate, 6, 196, 25, // Skip to: 13355
-/* 6759 */    MCD_OPC_Decode, 140, 12, 114, // Opcode: SUBS_S_B
-/* 6763 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6775
-/* 6767 */    MCD_OPC_CheckPredicate, 6, 184, 25, // Skip to: 13355
-/* 6771 */    MCD_OPC_Decode, 142, 12, 115, // Opcode: SUBS_S_H
-/* 6775 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6787
-/* 6779 */    MCD_OPC_CheckPredicate, 6, 172, 25, // Skip to: 13355
-/* 6783 */    MCD_OPC_Decode, 143, 12, 116, // Opcode: SUBS_S_W
-/* 6787 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6799
-/* 6791 */    MCD_OPC_CheckPredicate, 6, 160, 25, // Skip to: 13355
-/* 6795 */    MCD_OPC_Decode, 141, 12, 117, // Opcode: SUBS_S_D
-/* 6799 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 6811
-/* 6803 */    MCD_OPC_CheckPredicate, 6, 148, 25, // Skip to: 13355
-/* 6807 */    MCD_OPC_Decode, 144, 12, 114, // Opcode: SUBS_U_B
-/* 6811 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 6823
-/* 6815 */    MCD_OPC_CheckPredicate, 6, 136, 25, // Skip to: 13355
-/* 6819 */    MCD_OPC_Decode, 146, 12, 115, // Opcode: SUBS_U_H
-/* 6823 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 6835
-/* 6827 */    MCD_OPC_CheckPredicate, 6, 124, 25, // Skip to: 13355
-/* 6831 */    MCD_OPC_Decode, 147, 12, 116, // Opcode: SUBS_U_W
-/* 6835 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 6847
-/* 6839 */    MCD_OPC_CheckPredicate, 6, 112, 25, // Skip to: 13355
-/* 6843 */    MCD_OPC_Decode, 145, 12, 117, // Opcode: SUBS_U_D
-/* 6847 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 6859
-/* 6851 */    MCD_OPC_CheckPredicate, 6, 100, 25, // Skip to: 13355
-/* 6855 */    MCD_OPC_Decode, 132, 12, 114, // Opcode: SUBSUS_U_B
-/* 6859 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6871
-/* 6863 */    MCD_OPC_CheckPredicate, 6, 88, 25, // Skip to: 13355
-/* 6867 */    MCD_OPC_Decode, 134, 12, 115, // Opcode: SUBSUS_U_H
-/* 6871 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 6883
-/* 6875 */    MCD_OPC_CheckPredicate, 6, 76, 25, // Skip to: 13355
-/* 6879 */    MCD_OPC_Decode, 135, 12, 116, // Opcode: SUBSUS_U_W
-/* 6883 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 6895
-/* 6887 */    MCD_OPC_CheckPredicate, 6, 64, 25, // Skip to: 13355
-/* 6891 */    MCD_OPC_Decode, 133, 12, 117, // Opcode: SUBSUS_U_D
-/* 6895 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 6907
-/* 6899 */    MCD_OPC_CheckPredicate, 6, 52, 25, // Skip to: 13355
-/* 6903 */    MCD_OPC_Decode, 136, 12, 114, // Opcode: SUBSUU_S_B
-/* 6907 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 6919
-/* 6911 */    MCD_OPC_CheckPredicate, 6, 40, 25, // Skip to: 13355
-/* 6915 */    MCD_OPC_Decode, 138, 12, 115, // Opcode: SUBSUU_S_H
-/* 6919 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 6931
-/* 6923 */    MCD_OPC_CheckPredicate, 6, 28, 25, // Skip to: 13355
-/* 6927 */    MCD_OPC_Decode, 139, 12, 116, // Opcode: SUBSUU_S_W
-/* 6931 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 6943
-/* 6935 */    MCD_OPC_CheckPredicate, 6, 16, 25, // Skip to: 13355
-/* 6939 */    MCD_OPC_Decode, 137, 12, 117, // Opcode: SUBSUU_S_D
-/* 6943 */    MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 6954
-/* 6947 */    MCD_OPC_CheckPredicate, 6, 4, 25, // Skip to: 13355
-/* 6951 */    MCD_OPC_Decode, 87, 114, // Opcode: ASUB_S_B
-/* 6954 */    MCD_OPC_FilterValue, 17, 7, 0, // Skip to: 6965
-/* 6958 */    MCD_OPC_CheckPredicate, 6, 249, 24, // Skip to: 13355
-/* 6962 */    MCD_OPC_Decode, 89, 115, // Opcode: ASUB_S_H
-/* 6965 */    MCD_OPC_FilterValue, 18, 7, 0, // Skip to: 6976
-/* 6969 */    MCD_OPC_CheckPredicate, 6, 238, 24, // Skip to: 13355
-/* 6973 */    MCD_OPC_Decode, 90, 116, // Opcode: ASUB_S_W
-/* 6976 */    MCD_OPC_FilterValue, 19, 7, 0, // Skip to: 6987
-/* 6980 */    MCD_OPC_CheckPredicate, 6, 227, 24, // Skip to: 13355
-/* 6984 */    MCD_OPC_Decode, 88, 117, // Opcode: ASUB_S_D
-/* 6987 */    MCD_OPC_FilterValue, 20, 7, 0, // Skip to: 6998
-/* 6991 */    MCD_OPC_CheckPredicate, 6, 216, 24, // Skip to: 13355
-/* 6995 */    MCD_OPC_Decode, 91, 114, // Opcode: ASUB_U_B
-/* 6998 */    MCD_OPC_FilterValue, 21, 7, 0, // Skip to: 7009
-/* 7002 */    MCD_OPC_CheckPredicate, 6, 205, 24, // Skip to: 13355
-/* 7006 */    MCD_OPC_Decode, 93, 115, // Opcode: ASUB_U_H
-/* 7009 */    MCD_OPC_FilterValue, 22, 7, 0, // Skip to: 7020
-/* 7013 */    MCD_OPC_CheckPredicate, 6, 194, 24, // Skip to: 13355
-/* 7017 */    MCD_OPC_Decode, 94, 116, // Opcode: ASUB_U_W
-/* 7020 */    MCD_OPC_FilterValue, 23, 187, 24, // Skip to: 13355
-/* 7024 */    MCD_OPC_CheckPredicate, 6, 183, 24, // Skip to: 13355
-/* 7028 */    MCD_OPC_Decode, 92, 117, // Opcode: ASUB_U_D
-/* 7031 */    MCD_OPC_FilterValue, 18, 83, 1, // Skip to: 7374
-/* 7035 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 7038 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 7050
-/* 7042 */    MCD_OPC_CheckPredicate, 6, 165, 24, // Skip to: 13355
-/* 7046 */    MCD_OPC_Decode, 174, 9, 114, // Opcode: MULV_B
-/* 7050 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7062
-/* 7054 */    MCD_OPC_CheckPredicate, 6, 153, 24, // Skip to: 13355
-/* 7058 */    MCD_OPC_Decode, 176, 9, 115, // Opcode: MULV_H
-/* 7062 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7074
-/* 7066 */    MCD_OPC_CheckPredicate, 6, 141, 24, // Skip to: 13355
-/* 7070 */    MCD_OPC_Decode, 177, 9, 116, // Opcode: MULV_W
-/* 7074 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 7086
-/* 7078 */    MCD_OPC_CheckPredicate, 6, 129, 24, // Skip to: 13355
-/* 7082 */    MCD_OPC_Decode, 175, 9, 117, // Opcode: MULV_D
-/* 7086 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 7098
-/* 7090 */    MCD_OPC_CheckPredicate, 6, 117, 24, // Skip to: 13355
-/* 7094 */    MCD_OPC_Decode, 228, 7, 118, // Opcode: MADDV_B
-/* 7098 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 7110
-/* 7102 */    MCD_OPC_CheckPredicate, 6, 105, 24, // Skip to: 13355
-/* 7106 */    MCD_OPC_Decode, 230, 7, 119, // Opcode: MADDV_H
-/* 7110 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 7122
-/* 7114 */    MCD_OPC_CheckPredicate, 6, 93, 24, // Skip to: 13355
-/* 7118 */    MCD_OPC_Decode, 231, 7, 120, // Opcode: MADDV_W
-/* 7122 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 7134
-/* 7126 */    MCD_OPC_CheckPredicate, 6, 81, 24, // Skip to: 13355
-/* 7130 */    MCD_OPC_Decode, 229, 7, 121, // Opcode: MADDV_D
-/* 7134 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 7146
-/* 7138 */    MCD_OPC_CheckPredicate, 6, 69, 24, // Skip to: 13355
-/* 7142 */    MCD_OPC_Decode, 245, 8, 118, // Opcode: MSUBV_B
-/* 7146 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7158
-/* 7150 */    MCD_OPC_CheckPredicate, 6, 57, 24, // Skip to: 13355
-/* 7154 */    MCD_OPC_Decode, 247, 8, 119, // Opcode: MSUBV_H
-/* 7158 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 7170
-/* 7162 */    MCD_OPC_CheckPredicate, 6, 45, 24, // Skip to: 13355
-/* 7166 */    MCD_OPC_Decode, 248, 8, 120, // Opcode: MSUBV_W
-/* 7170 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 7182
-/* 7174 */    MCD_OPC_CheckPredicate, 6, 33, 24, // Skip to: 13355
-/* 7178 */    MCD_OPC_Decode, 246, 8, 121, // Opcode: MSUBV_D
-/* 7182 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 7194
-/* 7186 */    MCD_OPC_CheckPredicate, 6, 21, 24, // Skip to: 13355
-/* 7190 */    MCD_OPC_Decode, 165, 4, 114, // Opcode: DIV_S_B
-/* 7194 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 7206
-/* 7198 */    MCD_OPC_CheckPredicate, 6, 9, 24, // Skip to: 13355
-/* 7202 */    MCD_OPC_Decode, 167, 4, 115, // Opcode: DIV_S_H
-/* 7206 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 7218
-/* 7210 */    MCD_OPC_CheckPredicate, 6, 253, 23, // Skip to: 13355
-/* 7214 */    MCD_OPC_Decode, 168, 4, 116, // Opcode: DIV_S_W
-/* 7218 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 7230
-/* 7222 */    MCD_OPC_CheckPredicate, 6, 241, 23, // Skip to: 13355
-/* 7226 */    MCD_OPC_Decode, 166, 4, 117, // Opcode: DIV_S_D
-/* 7230 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 7242
-/* 7234 */    MCD_OPC_CheckPredicate, 6, 229, 23, // Skip to: 13355
-/* 7238 */    MCD_OPC_Decode, 169, 4, 114, // Opcode: DIV_U_B
-/* 7242 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 7254
-/* 7246 */    MCD_OPC_CheckPredicate, 6, 217, 23, // Skip to: 13355
-/* 7250 */    MCD_OPC_Decode, 171, 4, 115, // Opcode: DIV_U_H
-/* 7254 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 7266
-/* 7258 */    MCD_OPC_CheckPredicate, 6, 205, 23, // Skip to: 13355
-/* 7262 */    MCD_OPC_Decode, 172, 4, 116, // Opcode: DIV_U_W
-/* 7266 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 7278
-/* 7270 */    MCD_OPC_CheckPredicate, 6, 193, 23, // Skip to: 13355
-/* 7274 */    MCD_OPC_Decode, 170, 4, 117, // Opcode: DIV_U_D
-/* 7278 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 7290
-/* 7282 */    MCD_OPC_CheckPredicate, 6, 181, 23, // Skip to: 13355
-/* 7286 */    MCD_OPC_Decode, 187, 8, 114, // Opcode: MOD_S_B
-/* 7290 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 7302
-/* 7294 */    MCD_OPC_CheckPredicate, 6, 169, 23, // Skip to: 13355
-/* 7298 */    MCD_OPC_Decode, 189, 8, 115, // Opcode: MOD_S_H
-/* 7302 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 7314
-/* 7306 */    MCD_OPC_CheckPredicate, 6, 157, 23, // Skip to: 13355
-/* 7310 */    MCD_OPC_Decode, 190, 8, 116, // Opcode: MOD_S_W
-/* 7314 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 7326
-/* 7318 */    MCD_OPC_CheckPredicate, 6, 145, 23, // Skip to: 13355
-/* 7322 */    MCD_OPC_Decode, 188, 8, 117, // Opcode: MOD_S_D
-/* 7326 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 7338
-/* 7330 */    MCD_OPC_CheckPredicate, 6, 133, 23, // Skip to: 13355
-/* 7334 */    MCD_OPC_Decode, 191, 8, 114, // Opcode: MOD_U_B
-/* 7338 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 7350
-/* 7342 */    MCD_OPC_CheckPredicate, 6, 121, 23, // Skip to: 13355
-/* 7346 */    MCD_OPC_Decode, 193, 8, 115, // Opcode: MOD_U_H
-/* 7350 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 7362
-/* 7354 */    MCD_OPC_CheckPredicate, 6, 109, 23, // Skip to: 13355
-/* 7358 */    MCD_OPC_Decode, 194, 8, 116, // Opcode: MOD_U_W
-/* 7362 */    MCD_OPC_FilterValue, 31, 101, 23, // Skip to: 13355
-/* 7366 */    MCD_OPC_CheckPredicate, 6, 97, 23, // Skip to: 13355
-/* 7370 */    MCD_OPC_Decode, 192, 8, 117, // Opcode: MOD_U_D
-/* 7374 */    MCD_OPC_FilterValue, 19, 219, 0, // Skip to: 7597
-/* 7378 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 7381 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 7393
-/* 7385 */    MCD_OPC_CheckPredicate, 6, 78, 23, // Skip to: 13355
-/* 7389 */    MCD_OPC_Decode, 192, 4, 122, // Opcode: DOTP_S_H
-/* 7393 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 7405
-/* 7397 */    MCD_OPC_CheckPredicate, 6, 66, 23, // Skip to: 13355
-/* 7401 */    MCD_OPC_Decode, 193, 4, 123, // Opcode: DOTP_S_W
-/* 7405 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 7417
-/* 7409 */    MCD_OPC_CheckPredicate, 6, 54, 23, // Skip to: 13355
-/* 7413 */    MCD_OPC_Decode, 191, 4, 124, // Opcode: DOTP_S_D
-/* 7417 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 7429
-/* 7421 */    MCD_OPC_CheckPredicate, 6, 42, 23, // Skip to: 13355
-/* 7425 */    MCD_OPC_Decode, 195, 4, 122, // Opcode: DOTP_U_H
-/* 7429 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 7441
-/* 7433 */    MCD_OPC_CheckPredicate, 6, 30, 23, // Skip to: 13355
-/* 7437 */    MCD_OPC_Decode, 196, 4, 123, // Opcode: DOTP_U_W
-/* 7441 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 7453
-/* 7445 */    MCD_OPC_CheckPredicate, 6, 18, 23, // Skip to: 13355
-/* 7449 */    MCD_OPC_Decode, 194, 4, 124, // Opcode: DOTP_U_D
-/* 7453 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7465
-/* 7457 */    MCD_OPC_CheckPredicate, 6, 6, 23, // Skip to: 13355
-/* 7461 */    MCD_OPC_Decode, 198, 4, 125, // Opcode: DPADD_S_H
-/* 7465 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 7477
-/* 7469 */    MCD_OPC_CheckPredicate, 6, 250, 22, // Skip to: 13355
-/* 7473 */    MCD_OPC_Decode, 199, 4, 126, // Opcode: DPADD_S_W
-/* 7477 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 7489
-/* 7481 */    MCD_OPC_CheckPredicate, 6, 238, 22, // Skip to: 13355
-/* 7485 */    MCD_OPC_Decode, 197, 4, 127, // Opcode: DPADD_S_D
-/* 7489 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 7501
-/* 7493 */    MCD_OPC_CheckPredicate, 6, 226, 22, // Skip to: 13355
-/* 7497 */    MCD_OPC_Decode, 201, 4, 125, // Opcode: DPADD_U_H
-/* 7501 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 7513
-/* 7505 */    MCD_OPC_CheckPredicate, 6, 214, 22, // Skip to: 13355
-/* 7509 */    MCD_OPC_Decode, 202, 4, 126, // Opcode: DPADD_U_W
-/* 7513 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 7525
-/* 7517 */    MCD_OPC_CheckPredicate, 6, 202, 22, // Skip to: 13355
-/* 7521 */    MCD_OPC_Decode, 200, 4, 127, // Opcode: DPADD_U_D
-/* 7525 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 7537
-/* 7529 */    MCD_OPC_CheckPredicate, 6, 190, 22, // Skip to: 13355
-/* 7533 */    MCD_OPC_Decode, 217, 4, 125, // Opcode: DPSUB_S_H
-/* 7537 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 7549
-/* 7541 */    MCD_OPC_CheckPredicate, 6, 178, 22, // Skip to: 13355
-/* 7545 */    MCD_OPC_Decode, 218, 4, 126, // Opcode: DPSUB_S_W
-/* 7549 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 7561
-/* 7553 */    MCD_OPC_CheckPredicate, 6, 166, 22, // Skip to: 13355
-/* 7557 */    MCD_OPC_Decode, 216, 4, 127, // Opcode: DPSUB_S_D
-/* 7561 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 7573
-/* 7565 */    MCD_OPC_CheckPredicate, 6, 154, 22, // Skip to: 13355
-/* 7569 */    MCD_OPC_Decode, 220, 4, 125, // Opcode: DPSUB_U_H
-/* 7573 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 7585
-/* 7577 */    MCD_OPC_CheckPredicate, 6, 142, 22, // Skip to: 13355
-/* 7581 */    MCD_OPC_Decode, 221, 4, 126, // Opcode: DPSUB_U_W
-/* 7585 */    MCD_OPC_FilterValue, 23, 134, 22, // Skip to: 13355
-/* 7589 */    MCD_OPC_CheckPredicate, 6, 130, 22, // Skip to: 13355
-/* 7593 */    MCD_OPC_Decode, 219, 4, 127, // Opcode: DPSUB_U_D
-/* 7597 */    MCD_OPC_FilterValue, 20, 139, 1, // Skip to: 7996
-/* 7601 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 7604 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7617
-/* 7608 */    MCD_OPC_CheckPredicate, 6, 111, 22, // Skip to: 13355
-/* 7612 */    MCD_OPC_Decode, 158, 11, 128, 1, // Opcode: SLD_B
-/* 7617 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7630
-/* 7621 */    MCD_OPC_CheckPredicate, 6, 98, 22, // Skip to: 13355
-/* 7625 */    MCD_OPC_Decode, 160, 11, 129, 1, // Opcode: SLD_H
-/* 7630 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7643
-/* 7634 */    MCD_OPC_CheckPredicate, 6, 85, 22, // Skip to: 13355
-/* 7638 */    MCD_OPC_Decode, 161, 11, 130, 1, // Opcode: SLD_W
-/* 7643 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 7656
-/* 7647 */    MCD_OPC_CheckPredicate, 6, 72, 22, // Skip to: 13355
-/* 7651 */    MCD_OPC_Decode, 159, 11, 131, 1, // Opcode: SLD_D
-/* 7656 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 7669
-/* 7660 */    MCD_OPC_CheckPredicate, 6, 59, 22, // Skip to: 13355
-/* 7664 */    MCD_OPC_Decode, 199, 11, 132, 1, // Opcode: SPLAT_B
-/* 7669 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 7682
-/* 7673 */    MCD_OPC_CheckPredicate, 6, 46, 22, // Skip to: 13355
-/* 7677 */    MCD_OPC_Decode, 201, 11, 133, 1, // Opcode: SPLAT_H
-/* 7682 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 7695
-/* 7686 */    MCD_OPC_CheckPredicate, 6, 33, 22, // Skip to: 13355
-/* 7690 */    MCD_OPC_Decode, 202, 11, 134, 1, // Opcode: SPLAT_W
-/* 7695 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 7708
-/* 7699 */    MCD_OPC_CheckPredicate, 6, 20, 22, // Skip to: 13355
-/* 7703 */    MCD_OPC_Decode, 200, 11, 135, 1, // Opcode: SPLAT_D
-/* 7708 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 7720
-/* 7712 */    MCD_OPC_CheckPredicate, 6, 7, 22, // Skip to: 13355
-/* 7716 */    MCD_OPC_Decode, 235, 9, 114, // Opcode: PCKEV_B
-/* 7720 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 7732
-/* 7724 */    MCD_OPC_CheckPredicate, 6, 251, 21, // Skip to: 13355
-/* 7728 */    MCD_OPC_Decode, 237, 9, 115, // Opcode: PCKEV_H
-/* 7732 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 7744
-/* 7736 */    MCD_OPC_CheckPredicate, 6, 239, 21, // Skip to: 13355
-/* 7740 */    MCD_OPC_Decode, 238, 9, 116, // Opcode: PCKEV_W
-/* 7744 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 7756
-/* 7748 */    MCD_OPC_CheckPredicate, 6, 227, 21, // Skip to: 13355
-/* 7752 */    MCD_OPC_Decode, 236, 9, 117, // Opcode: PCKEV_D
-/* 7756 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 7768
-/* 7760 */    MCD_OPC_CheckPredicate, 6, 215, 21, // Skip to: 13355
-/* 7764 */    MCD_OPC_Decode, 239, 9, 114, // Opcode: PCKOD_B
-/* 7768 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 7780
-/* 7772 */    MCD_OPC_CheckPredicate, 6, 203, 21, // Skip to: 13355
-/* 7776 */    MCD_OPC_Decode, 241, 9, 115, // Opcode: PCKOD_H
-/* 7780 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 7792
-/* 7784 */    MCD_OPC_CheckPredicate, 6, 191, 21, // Skip to: 13355
-/* 7788 */    MCD_OPC_Decode, 242, 9, 116, // Opcode: PCKOD_W
-/* 7792 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 7804
-/* 7796 */    MCD_OPC_CheckPredicate, 6, 179, 21, // Skip to: 13355
-/* 7800 */    MCD_OPC_Decode, 240, 9, 117, // Opcode: PCKOD_D
-/* 7804 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 7816
-/* 7808 */    MCD_OPC_CheckPredicate, 6, 167, 21, // Skip to: 13355
-/* 7812 */    MCD_OPC_Decode, 195, 6, 114, // Opcode: ILVL_B
-/* 7816 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 7828
-/* 7820 */    MCD_OPC_CheckPredicate, 6, 155, 21, // Skip to: 13355
-/* 7824 */    MCD_OPC_Decode, 197, 6, 115, // Opcode: ILVL_H
-/* 7828 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 7840
-/* 7832 */    MCD_OPC_CheckPredicate, 6, 143, 21, // Skip to: 13355
-/* 7836 */    MCD_OPC_Decode, 198, 6, 116, // Opcode: ILVL_W
-/* 7840 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 7852
-/* 7844 */    MCD_OPC_CheckPredicate, 6, 131, 21, // Skip to: 13355
-/* 7848 */    MCD_OPC_Decode, 196, 6, 117, // Opcode: ILVL_D
-/* 7852 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 7864
-/* 7856 */    MCD_OPC_CheckPredicate, 6, 119, 21, // Skip to: 13355
-/* 7860 */    MCD_OPC_Decode, 203, 6, 114, // Opcode: ILVR_B
-/* 7864 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 7876
-/* 7868 */    MCD_OPC_CheckPredicate, 6, 107, 21, // Skip to: 13355
-/* 7872 */    MCD_OPC_Decode, 205, 6, 115, // Opcode: ILVR_H
-/* 7876 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 7888
-/* 7880 */    MCD_OPC_CheckPredicate, 6, 95, 21, // Skip to: 13355
-/* 7884 */    MCD_OPC_Decode, 206, 6, 116, // Opcode: ILVR_W
-/* 7888 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 7900
-/* 7892 */    MCD_OPC_CheckPredicate, 6, 83, 21, // Skip to: 13355
-/* 7896 */    MCD_OPC_Decode, 204, 6, 117, // Opcode: ILVR_D
-/* 7900 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 7912
-/* 7904 */    MCD_OPC_CheckPredicate, 6, 71, 21, // Skip to: 13355
-/* 7908 */    MCD_OPC_Decode, 191, 6, 114, // Opcode: ILVEV_B
-/* 7912 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 7924
-/* 7916 */    MCD_OPC_CheckPredicate, 6, 59, 21, // Skip to: 13355
-/* 7920 */    MCD_OPC_Decode, 193, 6, 115, // Opcode: ILVEV_H
-/* 7924 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 7936
-/* 7928 */    MCD_OPC_CheckPredicate, 6, 47, 21, // Skip to: 13355
-/* 7932 */    MCD_OPC_Decode, 194, 6, 116, // Opcode: ILVEV_W
-/* 7936 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 7948
-/* 7940 */    MCD_OPC_CheckPredicate, 6, 35, 21, // Skip to: 13355
-/* 7944 */    MCD_OPC_Decode, 192, 6, 117, // Opcode: ILVEV_D
-/* 7948 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 7960
-/* 7952 */    MCD_OPC_CheckPredicate, 6, 23, 21, // Skip to: 13355
-/* 7956 */    MCD_OPC_Decode, 199, 6, 114, // Opcode: ILVOD_B
-/* 7960 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 7972
-/* 7964 */    MCD_OPC_CheckPredicate, 6, 11, 21, // Skip to: 13355
-/* 7968 */    MCD_OPC_Decode, 201, 6, 115, // Opcode: ILVOD_H
-/* 7972 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 7984
-/* 7976 */    MCD_OPC_CheckPredicate, 6, 255, 20, // Skip to: 13355
-/* 7980 */    MCD_OPC_Decode, 202, 6, 116, // Opcode: ILVOD_W
-/* 7984 */    MCD_OPC_FilterValue, 31, 247, 20, // Skip to: 13355
-/* 7988 */    MCD_OPC_CheckPredicate, 6, 243, 20, // Skip to: 13355
-/* 7992 */    MCD_OPC_Decode, 200, 6, 117, // Opcode: ILVOD_D
-/* 7996 */    MCD_OPC_FilterValue, 21, 35, 1, // Skip to: 8291
-/* 8000 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 8003 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8015
-/* 8007 */    MCD_OPC_CheckPredicate, 6, 224, 20, // Skip to: 13355
-/* 8011 */    MCD_OPC_Decode, 153, 13, 118, // Opcode: VSHF_B
-/* 8015 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 8027
-/* 8019 */    MCD_OPC_CheckPredicate, 6, 212, 20, // Skip to: 13355
-/* 8023 */    MCD_OPC_Decode, 155, 13, 119, // Opcode: VSHF_H
-/* 8027 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 8039
-/* 8031 */    MCD_OPC_CheckPredicate, 6, 200, 20, // Skip to: 13355
-/* 8035 */    MCD_OPC_Decode, 156, 13, 120, // Opcode: VSHF_W
-/* 8039 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 8051
-/* 8043 */    MCD_OPC_CheckPredicate, 6, 188, 20, // Skip to: 13355
-/* 8047 */    MCD_OPC_Decode, 154, 13, 121, // Opcode: VSHF_D
-/* 8051 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 8063
-/* 8055 */    MCD_OPC_CheckPredicate, 6, 176, 20, // Skip to: 13355
-/* 8059 */    MCD_OPC_Decode, 212, 11, 114, // Opcode: SRAR_B
-/* 8063 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 8075
-/* 8067 */    MCD_OPC_CheckPredicate, 6, 164, 20, // Skip to: 13355
-/* 8071 */    MCD_OPC_Decode, 214, 11, 115, // Opcode: SRAR_H
-/* 8075 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 8087
-/* 8079 */    MCD_OPC_CheckPredicate, 6, 152, 20, // Skip to: 13355
-/* 8083 */    MCD_OPC_Decode, 215, 11, 116, // Opcode: SRAR_W
-/* 8087 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 8099
-/* 8091 */    MCD_OPC_CheckPredicate, 6, 140, 20, // Skip to: 13355
-/* 8095 */    MCD_OPC_Decode, 213, 11, 117, // Opcode: SRAR_D
-/* 8099 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 8111
-/* 8103 */    MCD_OPC_CheckPredicate, 6, 128, 20, // Skip to: 13355
-/* 8107 */    MCD_OPC_Decode, 232, 11, 114, // Opcode: SRLR_B
-/* 8111 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 8123
-/* 8115 */    MCD_OPC_CheckPredicate, 6, 116, 20, // Skip to: 13355
-/* 8119 */    MCD_OPC_Decode, 234, 11, 115, // Opcode: SRLR_H
-/* 8123 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 8135
-/* 8127 */    MCD_OPC_CheckPredicate, 6, 104, 20, // Skip to: 13355
-/* 8131 */    MCD_OPC_Decode, 235, 11, 116, // Opcode: SRLR_W
-/* 8135 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 8147
-/* 8139 */    MCD_OPC_CheckPredicate, 6, 92, 20, // Skip to: 13355
-/* 8143 */    MCD_OPC_Decode, 233, 11, 117, // Opcode: SRLR_D
-/* 8147 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 8159
-/* 8151 */    MCD_OPC_CheckPredicate, 6, 80, 20, // Skip to: 13355
-/* 8155 */    MCD_OPC_Decode, 180, 6, 122, // Opcode: HADD_S_H
-/* 8159 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 8171
-/* 8163 */    MCD_OPC_CheckPredicate, 6, 68, 20, // Skip to: 13355
-/* 8167 */    MCD_OPC_Decode, 181, 6, 123, // Opcode: HADD_S_W
-/* 8171 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 8183
-/* 8175 */    MCD_OPC_CheckPredicate, 6, 56, 20, // Skip to: 13355
-/* 8179 */    MCD_OPC_Decode, 179, 6, 124, // Opcode: HADD_S_D
-/* 8183 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 8195
-/* 8187 */    MCD_OPC_CheckPredicate, 6, 44, 20, // Skip to: 13355
-/* 8191 */    MCD_OPC_Decode, 183, 6, 122, // Opcode: HADD_U_H
-/* 8195 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 8207
-/* 8199 */    MCD_OPC_CheckPredicate, 6, 32, 20, // Skip to: 13355
-/* 8203 */    MCD_OPC_Decode, 184, 6, 123, // Opcode: HADD_U_W
-/* 8207 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 8219
-/* 8211 */    MCD_OPC_CheckPredicate, 6, 20, 20, // Skip to: 13355
-/* 8215 */    MCD_OPC_Decode, 182, 6, 124, // Opcode: HADD_U_D
-/* 8219 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 8231
-/* 8223 */    MCD_OPC_CheckPredicate, 6, 8, 20, // Skip to: 13355
-/* 8227 */    MCD_OPC_Decode, 186, 6, 122, // Opcode: HSUB_S_H
-/* 8231 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 8243
-/* 8235 */    MCD_OPC_CheckPredicate, 6, 252, 19, // Skip to: 13355
-/* 8239 */    MCD_OPC_Decode, 187, 6, 123, // Opcode: HSUB_S_W
-/* 8243 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 8255
-/* 8247 */    MCD_OPC_CheckPredicate, 6, 240, 19, // Skip to: 13355
-/* 8251 */    MCD_OPC_Decode, 185, 6, 124, // Opcode: HSUB_S_D
-/* 8255 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 8267
-/* 8259 */    MCD_OPC_CheckPredicate, 6, 228, 19, // Skip to: 13355
-/* 8263 */    MCD_OPC_Decode, 189, 6, 122, // Opcode: HSUB_U_H
-/* 8267 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 8279
-/* 8271 */    MCD_OPC_CheckPredicate, 6, 216, 19, // Skip to: 13355
-/* 8275 */    MCD_OPC_Decode, 190, 6, 123, // Opcode: HSUB_U_W
-/* 8279 */    MCD_OPC_FilterValue, 31, 208, 19, // Skip to: 13355
-/* 8283 */    MCD_OPC_CheckPredicate, 6, 204, 19, // Skip to: 13355
-/* 8287 */    MCD_OPC_Decode, 188, 6, 124, // Opcode: HSUB_U_D
-/* 8291 */    MCD_OPC_FilterValue, 25, 230, 1, // Skip to: 8781
-/* 8295 */    MCD_OPC_ExtractField, 20, 6,  // Inst{25-20} ...
-/* 8298 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8311
-/* 8302 */    MCD_OPC_CheckPredicate, 6, 185, 19, // Skip to: 13355
-/* 8306 */    MCD_OPC_Decode, 154, 11, 136, 1, // Opcode: SLDI_B
-/* 8311 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8330
-/* 8315 */    MCD_OPC_CheckPredicate, 6, 172, 19, // Skip to: 13355
-/* 8319 */    MCD_OPC_CheckField, 19, 1, 0, 166, 19, // Skip to: 13355
-/* 8325 */    MCD_OPC_Decode, 156, 11, 137, 1, // Opcode: SLDI_H
-/* 8330 */    MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 8388
-/* 8334 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8337 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8350
-/* 8341 */    MCD_OPC_CheckPredicate, 6, 146, 19, // Skip to: 13355
-/* 8345 */    MCD_OPC_Decode, 157, 11, 138, 1, // Opcode: SLDI_W
-/* 8350 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8369
-/* 8354 */    MCD_OPC_CheckPredicate, 6, 133, 19, // Skip to: 13355
-/* 8358 */    MCD_OPC_CheckField, 17, 1, 0, 127, 19, // Skip to: 13355
-/* 8364 */    MCD_OPC_Decode, 155, 11, 139, 1, // Opcode: SLDI_D
-/* 8369 */    MCD_OPC_FilterValue, 3, 118, 19, // Skip to: 13355
-/* 8373 */    MCD_OPC_CheckPredicate, 6, 114, 19, // Skip to: 13355
-/* 8377 */    MCD_OPC_CheckField, 16, 2, 2, 108, 19, // Skip to: 13355
-/* 8383 */    MCD_OPC_Decode, 192, 3, 140, 1, // Opcode: CTCMSA
-/* 8388 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 8401
-/* 8392 */    MCD_OPC_CheckPredicate, 6, 95, 19, // Skip to: 13355
-/* 8396 */    MCD_OPC_Decode, 195, 11, 141, 1, // Opcode: SPLATI_B
-/* 8401 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 8420
-/* 8405 */    MCD_OPC_CheckPredicate, 6, 82, 19, // Skip to: 13355
-/* 8409 */    MCD_OPC_CheckField, 19, 1, 0, 76, 19, // Skip to: 13355
-/* 8415 */    MCD_OPC_Decode, 197, 11, 142, 1, // Opcode: SPLATI_H
-/* 8420 */    MCD_OPC_FilterValue, 7, 54, 0, // Skip to: 8478
-/* 8424 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8427 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8440
-/* 8431 */    MCD_OPC_CheckPredicate, 6, 56, 19, // Skip to: 13355
-/* 8435 */    MCD_OPC_Decode, 198, 11, 143, 1, // Opcode: SPLATI_W
-/* 8440 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8459
-/* 8444 */    MCD_OPC_CheckPredicate, 6, 43, 19, // Skip to: 13355
-/* 8448 */    MCD_OPC_CheckField, 17, 1, 0, 37, 19, // Skip to: 13355
-/* 8454 */    MCD_OPC_Decode, 196, 11, 144, 1, // Opcode: SPLATI_D
-/* 8459 */    MCD_OPC_FilterValue, 3, 28, 19, // Skip to: 13355
-/* 8463 */    MCD_OPC_CheckPredicate, 6, 24, 19, // Skip to: 13355
-/* 8467 */    MCD_OPC_CheckField, 16, 2, 2, 18, 19, // Skip to: 13355
-/* 8473 */    MCD_OPC_Decode, 220, 2, 145, 1, // Opcode: CFCMSA
-/* 8478 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 8491
-/* 8482 */    MCD_OPC_CheckPredicate, 6, 5, 19, // Skip to: 13355
-/* 8486 */    MCD_OPC_Decode, 182, 3, 146, 1, // Opcode: COPY_S_B
-/* 8491 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 8510
-/* 8495 */    MCD_OPC_CheckPredicate, 6, 248, 18, // Skip to: 13355
-/* 8499 */    MCD_OPC_CheckField, 19, 1, 0, 242, 18, // Skip to: 13355
-/* 8505 */    MCD_OPC_Decode, 184, 3, 147, 1, // Opcode: COPY_S_H
-/* 8510 */    MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 8568
-/* 8514 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8517 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8530
-/* 8521 */    MCD_OPC_CheckPredicate, 6, 222, 18, // Skip to: 13355
-/* 8525 */    MCD_OPC_Decode, 185, 3, 148, 1, // Opcode: COPY_S_W
-/* 8530 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8549
-/* 8534 */    MCD_OPC_CheckPredicate, 13, 209, 18, // Skip to: 13355
-/* 8538 */    MCD_OPC_CheckField, 17, 1, 0, 203, 18, // Skip to: 13355
-/* 8544 */    MCD_OPC_Decode, 183, 3, 149, 1, // Opcode: COPY_S_D
-/* 8549 */    MCD_OPC_FilterValue, 3, 194, 18, // Skip to: 13355
-/* 8553 */    MCD_OPC_CheckPredicate, 6, 190, 18, // Skip to: 13355
-/* 8557 */    MCD_OPC_CheckField, 16, 2, 2, 184, 18, // Skip to: 13355
-/* 8563 */    MCD_OPC_Decode, 196, 8, 150, 1, // Opcode: MOVE_V
-/* 8568 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 8581
-/* 8572 */    MCD_OPC_CheckPredicate, 6, 171, 18, // Skip to: 13355
-/* 8576 */    MCD_OPC_Decode, 186, 3, 146, 1, // Opcode: COPY_U_B
-/* 8581 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 8600
-/* 8585 */    MCD_OPC_CheckPredicate, 6, 158, 18, // Skip to: 13355
-/* 8589 */    MCD_OPC_CheckField, 19, 1, 0, 152, 18, // Skip to: 13355
-/* 8595 */    MCD_OPC_Decode, 188, 3, 147, 1, // Opcode: COPY_U_H
-/* 8600 */    MCD_OPC_FilterValue, 15, 35, 0, // Skip to: 8639
-/* 8604 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8607 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8620
-/* 8611 */    MCD_OPC_CheckPredicate, 6, 132, 18, // Skip to: 13355
-/* 8615 */    MCD_OPC_Decode, 189, 3, 148, 1, // Opcode: COPY_U_W
-/* 8620 */    MCD_OPC_FilterValue, 2, 123, 18, // Skip to: 13355
-/* 8624 */    MCD_OPC_CheckPredicate, 13, 119, 18, // Skip to: 13355
-/* 8628 */    MCD_OPC_CheckField, 17, 1, 0, 113, 18, // Skip to: 13355
-/* 8634 */    MCD_OPC_Decode, 187, 3, 149, 1, // Opcode: COPY_U_D
-/* 8639 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 8652
-/* 8643 */    MCD_OPC_CheckPredicate, 6, 100, 18, // Skip to: 13355
-/* 8647 */    MCD_OPC_Decode, 208, 6, 151, 1, // Opcode: INSERT_B
-/* 8652 */    MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 8671
-/* 8656 */    MCD_OPC_CheckPredicate, 6, 87, 18, // Skip to: 13355
-/* 8660 */    MCD_OPC_CheckField, 19, 1, 0, 81, 18, // Skip to: 13355
-/* 8666 */    MCD_OPC_Decode, 216, 6, 152, 1, // Opcode: INSERT_H
-/* 8671 */    MCD_OPC_FilterValue, 19, 35, 0, // Skip to: 8710
-/* 8675 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8678 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8691
-/* 8682 */    MCD_OPC_CheckPredicate, 6, 61, 18, // Skip to: 13355
-/* 8686 */    MCD_OPC_Decode, 218, 6, 153, 1, // Opcode: INSERT_W
-/* 8691 */    MCD_OPC_FilterValue, 2, 52, 18, // Skip to: 13355
-/* 8695 */    MCD_OPC_CheckPredicate, 13, 48, 18, // Skip to: 13355
-/* 8699 */    MCD_OPC_CheckField, 17, 1, 0, 42, 18, // Skip to: 13355
-/* 8705 */    MCD_OPC_Decode, 210, 6, 154, 1, // Opcode: INSERT_D
-/* 8710 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 8723
-/* 8714 */    MCD_OPC_CheckPredicate, 6, 29, 18, // Skip to: 13355
-/* 8718 */    MCD_OPC_Decode, 221, 6, 155, 1, // Opcode: INSVE_B
-/* 8723 */    MCD_OPC_FilterValue, 22, 15, 0, // Skip to: 8742
-/* 8727 */    MCD_OPC_CheckPredicate, 6, 16, 18, // Skip to: 13355
-/* 8731 */    MCD_OPC_CheckField, 19, 1, 0, 10, 18, // Skip to: 13355
-/* 8737 */    MCD_OPC_Decode, 223, 6, 155, 1, // Opcode: INSVE_H
-/* 8742 */    MCD_OPC_FilterValue, 23, 1, 18, // Skip to: 13355
-/* 8746 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
-/* 8749 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8762
-/* 8753 */    MCD_OPC_CheckPredicate, 6, 246, 17, // Skip to: 13355
-/* 8757 */    MCD_OPC_Decode, 224, 6, 155, 1, // Opcode: INSVE_W
-/* 8762 */    MCD_OPC_FilterValue, 2, 237, 17, // Skip to: 13355
-/* 8766 */    MCD_OPC_CheckPredicate, 6, 233, 17, // Skip to: 13355
-/* 8770 */    MCD_OPC_CheckField, 17, 1, 0, 227, 17, // Skip to: 13355
-/* 8776 */    MCD_OPC_Decode, 222, 6, 155, 1, // Opcode: INSVE_D
-/* 8781 */    MCD_OPC_FilterValue, 26, 131, 1, // Skip to: 9172
-/* 8785 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 8788 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 8800
-/* 8792 */    MCD_OPC_CheckPredicate, 6, 207, 17, // Skip to: 13355
-/* 8796 */    MCD_OPC_Decode, 157, 5, 116, // Opcode: FCAF_W
-/* 8800 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 8812
-/* 8804 */    MCD_OPC_CheckPredicate, 6, 195, 17, // Skip to: 13355
-/* 8808 */    MCD_OPC_Decode, 156, 5, 117, // Opcode: FCAF_D
-/* 8812 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 8824
-/* 8816 */    MCD_OPC_CheckPredicate, 6, 183, 17, // Skip to: 13355
-/* 8820 */    MCD_OPC_Decode, 184, 5, 116, // Opcode: FCUN_W
-/* 8824 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 8836
-/* 8828 */    MCD_OPC_CheckPredicate, 6, 171, 17, // Skip to: 13355
-/* 8832 */    MCD_OPC_Decode, 183, 5, 117, // Opcode: FCUN_D
-/* 8836 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 8848
-/* 8840 */    MCD_OPC_CheckPredicate, 6, 159, 17, // Skip to: 13355
-/* 8844 */    MCD_OPC_Decode, 159, 5, 116, // Opcode: FCEQ_W
-/* 8848 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 8860
-/* 8852 */    MCD_OPC_CheckPredicate, 6, 147, 17, // Skip to: 13355
-/* 8856 */    MCD_OPC_Decode, 158, 5, 117, // Opcode: FCEQ_D
-/* 8860 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 8872
-/* 8864 */    MCD_OPC_CheckPredicate, 6, 135, 17, // Skip to: 13355
-/* 8868 */    MCD_OPC_Decode, 176, 5, 116, // Opcode: FCUEQ_W
-/* 8872 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 8884
-/* 8876 */    MCD_OPC_CheckPredicate, 6, 123, 17, // Skip to: 13355
-/* 8880 */    MCD_OPC_Decode, 175, 5, 117, // Opcode: FCUEQ_D
-/* 8884 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 8896
-/* 8888 */    MCD_OPC_CheckPredicate, 6, 111, 17, // Skip to: 13355
-/* 8892 */    MCD_OPC_Decode, 165, 5, 116, // Opcode: FCLT_W
-/* 8896 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 8908
-/* 8900 */    MCD_OPC_CheckPredicate, 6, 99, 17, // Skip to: 13355
-/* 8904 */    MCD_OPC_Decode, 164, 5, 117, // Opcode: FCLT_D
-/* 8908 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 8920
-/* 8912 */    MCD_OPC_CheckPredicate, 6, 87, 17, // Skip to: 13355
-/* 8916 */    MCD_OPC_Decode, 180, 5, 116, // Opcode: FCULT_W
-/* 8920 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 8932
-/* 8924 */    MCD_OPC_CheckPredicate, 6, 75, 17, // Skip to: 13355
-/* 8928 */    MCD_OPC_Decode, 179, 5, 117, // Opcode: FCULT_D
-/* 8932 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 8944
-/* 8936 */    MCD_OPC_CheckPredicate, 6, 63, 17, // Skip to: 13355
-/* 8940 */    MCD_OPC_Decode, 163, 5, 116, // Opcode: FCLE_W
-/* 8944 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 8956
-/* 8948 */    MCD_OPC_CheckPredicate, 6, 51, 17, // Skip to: 13355
-/* 8952 */    MCD_OPC_Decode, 162, 5, 117, // Opcode: FCLE_D
-/* 8956 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 8968
-/* 8960 */    MCD_OPC_CheckPredicate, 6, 39, 17, // Skip to: 13355
-/* 8964 */    MCD_OPC_Decode, 178, 5, 116, // Opcode: FCULE_W
-/* 8968 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 8980
-/* 8972 */    MCD_OPC_CheckPredicate, 6, 27, 17, // Skip to: 13355
-/* 8976 */    MCD_OPC_Decode, 177, 5, 117, // Opcode: FCULE_D
-/* 8980 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 8992
-/* 8984 */    MCD_OPC_CheckPredicate, 6, 15, 17, // Skip to: 13355
-/* 8988 */    MCD_OPC_Decode, 133, 6, 116, // Opcode: FSAF_W
-/* 8992 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 9004
-/* 8996 */    MCD_OPC_CheckPredicate, 6, 3, 17, // Skip to: 13355
-/* 9000 */    MCD_OPC_Decode, 132, 6, 117, // Opcode: FSAF_D
-/* 9004 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 9016
-/* 9008 */    MCD_OPC_CheckPredicate, 6, 247, 16, // Skip to: 13355
-/* 9012 */    MCD_OPC_Decode, 167, 6, 116, // Opcode: FSUN_W
-/* 9016 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 9028
-/* 9020 */    MCD_OPC_CheckPredicate, 6, 235, 16, // Skip to: 13355
-/* 9024 */    MCD_OPC_Decode, 166, 6, 117, // Opcode: FSUN_D
-/* 9028 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 9040
-/* 9032 */    MCD_OPC_CheckPredicate, 6, 223, 16, // Skip to: 13355
-/* 9036 */    MCD_OPC_Decode, 135, 6, 116, // Opcode: FSEQ_W
-/* 9040 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 9052
-/* 9044 */    MCD_OPC_CheckPredicate, 6, 211, 16, // Skip to: 13355
-/* 9048 */    MCD_OPC_Decode, 134, 6, 117, // Opcode: FSEQ_D
-/* 9052 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 9064
-/* 9056 */    MCD_OPC_CheckPredicate, 6, 199, 16, // Skip to: 13355
-/* 9060 */    MCD_OPC_Decode, 159, 6, 116, // Opcode: FSUEQ_W
-/* 9064 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 9076
-/* 9068 */    MCD_OPC_CheckPredicate, 6, 187, 16, // Skip to: 13355
-/* 9072 */    MCD_OPC_Decode, 158, 6, 117, // Opcode: FSUEQ_D
-/* 9076 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 9088
-/* 9080 */    MCD_OPC_CheckPredicate, 6, 175, 16, // Skip to: 13355
-/* 9084 */    MCD_OPC_Decode, 139, 6, 116, // Opcode: FSLT_W
-/* 9088 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 9100
-/* 9092 */    MCD_OPC_CheckPredicate, 6, 163, 16, // Skip to: 13355
-/* 9096 */    MCD_OPC_Decode, 138, 6, 117, // Opcode: FSLT_D
-/* 9100 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 9112
-/* 9104 */    MCD_OPC_CheckPredicate, 6, 151, 16, // Skip to: 13355
-/* 9108 */    MCD_OPC_Decode, 163, 6, 116, // Opcode: FSULT_W
-/* 9112 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 9124
-/* 9116 */    MCD_OPC_CheckPredicate, 6, 139, 16, // Skip to: 13355
-/* 9120 */    MCD_OPC_Decode, 162, 6, 117, // Opcode: FSULT_D
-/* 9124 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 9136
-/* 9128 */    MCD_OPC_CheckPredicate, 6, 127, 16, // Skip to: 13355
-/* 9132 */    MCD_OPC_Decode, 137, 6, 116, // Opcode: FSLE_W
-/* 9136 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 9148
-/* 9140 */    MCD_OPC_CheckPredicate, 6, 115, 16, // Skip to: 13355
-/* 9144 */    MCD_OPC_Decode, 136, 6, 117, // Opcode: FSLE_D
-/* 9148 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 9160
-/* 9152 */    MCD_OPC_CheckPredicate, 6, 103, 16, // Skip to: 13355
-/* 9156 */    MCD_OPC_Decode, 161, 6, 116, // Opcode: FSULE_W
-/* 9160 */    MCD_OPC_FilterValue, 31, 95, 16, // Skip to: 13355
-/* 9164 */    MCD_OPC_CheckPredicate, 6, 91, 16, // Skip to: 13355
-/* 9168 */    MCD_OPC_Decode, 160, 6, 117, // Opcode: FSULE_D
-/* 9172 */    MCD_OPC_FilterValue, 27, 63, 1, // Skip to: 9495
-/* 9176 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 9179 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 9191
-/* 9183 */    MCD_OPC_CheckPredicate, 6, 72, 16, // Skip to: 13355
-/* 9187 */    MCD_OPC_Decode, 155, 5, 116, // Opcode: FADD_W
-/* 9191 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 9203
-/* 9195 */    MCD_OPC_CheckPredicate, 6, 60, 16, // Skip to: 13355
-/* 9199 */    MCD_OPC_Decode, 149, 5, 117, // Opcode: FADD_D
-/* 9203 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 9215
-/* 9207 */    MCD_OPC_CheckPredicate, 6, 48, 16, // Skip to: 13355
-/* 9211 */    MCD_OPC_Decode, 157, 6, 116, // Opcode: FSUB_W
-/* 9215 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 9227
-/* 9219 */    MCD_OPC_CheckPredicate, 6, 36, 16, // Skip to: 13355
-/* 9223 */    MCD_OPC_Decode, 151, 6, 117, // Opcode: FSUB_D
-/* 9227 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 9239
-/* 9231 */    MCD_OPC_CheckPredicate, 6, 24, 16, // Skip to: 13355
-/* 9235 */    MCD_OPC_Decode, 248, 5, 116, // Opcode: FMUL_W
-/* 9239 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 9251
-/* 9243 */    MCD_OPC_CheckPredicate, 6, 12, 16, // Skip to: 13355
-/* 9247 */    MCD_OPC_Decode, 242, 5, 117, // Opcode: FMUL_D
-/* 9251 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 9263
-/* 9255 */    MCD_OPC_CheckPredicate, 6, 0, 16, // Skip to: 13355
-/* 9259 */    MCD_OPC_Decode, 191, 5, 116, // Opcode: FDIV_W
-/* 9263 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 9275
-/* 9267 */    MCD_OPC_CheckPredicate, 6, 244, 15, // Skip to: 13355
-/* 9271 */    MCD_OPC_Decode, 185, 5, 117, // Opcode: FDIV_D
-/* 9275 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 9287
-/* 9279 */    MCD_OPC_CheckPredicate, 6, 232, 15, // Skip to: 13355
-/* 9283 */    MCD_OPC_Decode, 226, 5, 120, // Opcode: FMADD_W
-/* 9287 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 9299
-/* 9291 */    MCD_OPC_CheckPredicate, 6, 220, 15, // Skip to: 13355
-/* 9295 */    MCD_OPC_Decode, 225, 5, 121, // Opcode: FMADD_D
-/* 9299 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 9311
-/* 9303 */    MCD_OPC_CheckPredicate, 6, 208, 15, // Skip to: 13355
-/* 9307 */    MCD_OPC_Decode, 241, 5, 120, // Opcode: FMSUB_W
-/* 9311 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 9323
-/* 9315 */    MCD_OPC_CheckPredicate, 6, 196, 15, // Skip to: 13355
-/* 9319 */    MCD_OPC_Decode, 240, 5, 121, // Opcode: FMSUB_D
-/* 9323 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 9335
-/* 9327 */    MCD_OPC_CheckPredicate, 6, 184, 15, // Skip to: 13355
-/* 9331 */    MCD_OPC_Decode, 196, 5, 116, // Opcode: FEXP2_W
-/* 9335 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 9347
-/* 9339 */    MCD_OPC_CheckPredicate, 6, 172, 15, // Skip to: 13355
-/* 9343 */    MCD_OPC_Decode, 194, 5, 117, // Opcode: FEXP2_D
-/* 9347 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 9360
-/* 9351 */    MCD_OPC_CheckPredicate, 6, 160, 15, // Skip to: 13355
-/* 9355 */    MCD_OPC_Decode, 192, 5, 156, 1, // Opcode: FEXDO_H
-/* 9360 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 9373
-/* 9364 */    MCD_OPC_CheckPredicate, 6, 147, 15, // Skip to: 13355
-/* 9368 */    MCD_OPC_Decode, 193, 5, 157, 1, // Opcode: FEXDO_W
-/* 9373 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 9386
-/* 9377 */    MCD_OPC_CheckPredicate, 6, 134, 15, // Skip to: 13355
-/* 9381 */    MCD_OPC_Decode, 172, 6, 156, 1, // Opcode: FTQ_H
-/* 9386 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 9399
-/* 9390 */    MCD_OPC_CheckPredicate, 6, 121, 15, // Skip to: 13355
-/* 9394 */    MCD_OPC_Decode, 173, 6, 157, 1, // Opcode: FTQ_W
-/* 9399 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 9411
-/* 9403 */    MCD_OPC_CheckPredicate, 6, 108, 15, // Skip to: 13355
-/* 9407 */    MCD_OPC_Decode, 234, 5, 116, // Opcode: FMIN_W
-/* 9411 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 9423
-/* 9415 */    MCD_OPC_CheckPredicate, 6, 96, 15, // Skip to: 13355
-/* 9419 */    MCD_OPC_Decode, 233, 5, 117, // Opcode: FMIN_D
-/* 9423 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 9435
-/* 9427 */    MCD_OPC_CheckPredicate, 6, 84, 15, // Skip to: 13355
-/* 9431 */    MCD_OPC_Decode, 232, 5, 116, // Opcode: FMIN_A_W
-/* 9435 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 9447
-/* 9439 */    MCD_OPC_CheckPredicate, 6, 72, 15, // Skip to: 13355
-/* 9443 */    MCD_OPC_Decode, 231, 5, 117, // Opcode: FMIN_A_D
-/* 9447 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 9459
-/* 9451 */    MCD_OPC_CheckPredicate, 6, 60, 15, // Skip to: 13355
-/* 9455 */    MCD_OPC_Decode, 230, 5, 116, // Opcode: FMAX_W
-/* 9459 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 9471
-/* 9463 */    MCD_OPC_CheckPredicate, 6, 48, 15, // Skip to: 13355
-/* 9467 */    MCD_OPC_Decode, 229, 5, 117, // Opcode: FMAX_D
-/* 9471 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 9483
-/* 9475 */    MCD_OPC_CheckPredicate, 6, 36, 15, // Skip to: 13355
-/* 9479 */    MCD_OPC_Decode, 228, 5, 116, // Opcode: FMAX_A_W
-/* 9483 */    MCD_OPC_FilterValue, 31, 28, 15, // Skip to: 13355
-/* 9487 */    MCD_OPC_CheckPredicate, 6, 24, 15, // Skip to: 13355
-/* 9491 */    MCD_OPC_Decode, 227, 5, 117, // Opcode: FMAX_A_D
-/* 9495 */    MCD_OPC_FilterValue, 28, 35, 1, // Skip to: 9790
-/* 9499 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 9502 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 9514
-/* 9506 */    MCD_OPC_CheckPredicate, 6, 5, 15, // Skip to: 13355
-/* 9510 */    MCD_OPC_Decode, 174, 5, 116, // Opcode: FCOR_W
-/* 9514 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 9526
-/* 9518 */    MCD_OPC_CheckPredicate, 6, 249, 14, // Skip to: 13355
-/* 9522 */    MCD_OPC_Decode, 173, 5, 117, // Opcode: FCOR_D
-/* 9526 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 9538
-/* 9530 */    MCD_OPC_CheckPredicate, 6, 237, 14, // Skip to: 13355
-/* 9534 */    MCD_OPC_Decode, 182, 5, 116, // Opcode: FCUNE_W
-/* 9538 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 9550
-/* 9542 */    MCD_OPC_CheckPredicate, 6, 225, 14, // Skip to: 13355
-/* 9546 */    MCD_OPC_Decode, 181, 5, 117, // Opcode: FCUNE_D
-/* 9550 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 9562
-/* 9554 */    MCD_OPC_CheckPredicate, 6, 213, 14, // Skip to: 13355
-/* 9558 */    MCD_OPC_Decode, 172, 5, 116, // Opcode: FCNE_W
-/* 9562 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 9574
-/* 9566 */    MCD_OPC_CheckPredicate, 6, 201, 14, // Skip to: 13355
-/* 9570 */    MCD_OPC_Decode, 171, 5, 117, // Opcode: FCNE_D
-/* 9574 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 9586
-/* 9578 */    MCD_OPC_CheckPredicate, 6, 189, 14, // Skip to: 13355
-/* 9582 */    MCD_OPC_Decode, 180, 9, 115, // Opcode: MUL_Q_H
-/* 9586 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 9598
-/* 9590 */    MCD_OPC_CheckPredicate, 6, 177, 14, // Skip to: 13355
-/* 9594 */    MCD_OPC_Decode, 181, 9, 116, // Opcode: MUL_Q_W
-/* 9598 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 9610
-/* 9602 */    MCD_OPC_CheckPredicate, 6, 165, 14, // Skip to: 13355
-/* 9606 */    MCD_OPC_Decode, 237, 7, 119, // Opcode: MADD_Q_H
-/* 9610 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 9622
-/* 9614 */    MCD_OPC_CheckPredicate, 6, 153, 14, // Skip to: 13355
-/* 9618 */    MCD_OPC_Decode, 238, 7, 120, // Opcode: MADD_Q_W
-/* 9622 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 9634
-/* 9626 */    MCD_OPC_CheckPredicate, 6, 141, 14, // Skip to: 13355
-/* 9630 */    MCD_OPC_Decode, 254, 8, 119, // Opcode: MSUB_Q_H
-/* 9634 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 9646
-/* 9638 */    MCD_OPC_CheckPredicate, 6, 129, 14, // Skip to: 13355
-/* 9642 */    MCD_OPC_Decode, 255, 8, 120, // Opcode: MSUB_Q_W
-/* 9646 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 9658
-/* 9650 */    MCD_OPC_CheckPredicate, 6, 117, 14, // Skip to: 13355
-/* 9654 */    MCD_OPC_Decode, 143, 6, 116, // Opcode: FSOR_W
-/* 9658 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 9670
-/* 9662 */    MCD_OPC_CheckPredicate, 6, 105, 14, // Skip to: 13355
-/* 9666 */    MCD_OPC_Decode, 142, 6, 117, // Opcode: FSOR_D
-/* 9670 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 9682
-/* 9674 */    MCD_OPC_CheckPredicate, 6, 93, 14, // Skip to: 13355
-/* 9678 */    MCD_OPC_Decode, 165, 6, 116, // Opcode: FSUNE_W
-/* 9682 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 9694
-/* 9686 */    MCD_OPC_CheckPredicate, 6, 81, 14, // Skip to: 13355
-/* 9690 */    MCD_OPC_Decode, 164, 6, 117, // Opcode: FSUNE_D
-/* 9694 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 9706
-/* 9698 */    MCD_OPC_CheckPredicate, 6, 69, 14, // Skip to: 13355
-/* 9702 */    MCD_OPC_Decode, 141, 6, 116, // Opcode: FSNE_W
-/* 9706 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 9718
-/* 9710 */    MCD_OPC_CheckPredicate, 6, 57, 14, // Skip to: 13355
-/* 9714 */    MCD_OPC_Decode, 140, 6, 117, // Opcode: FSNE_D
-/* 9718 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 9730
-/* 9722 */    MCD_OPC_CheckPredicate, 6, 45, 14, // Skip to: 13355
-/* 9726 */    MCD_OPC_Decode, 163, 9, 115, // Opcode: MULR_Q_H
-/* 9730 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 9742
-/* 9734 */    MCD_OPC_CheckPredicate, 6, 33, 14, // Skip to: 13355
-/* 9738 */    MCD_OPC_Decode, 164, 9, 116, // Opcode: MULR_Q_W
-/* 9742 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 9754
-/* 9746 */    MCD_OPC_CheckPredicate, 6, 21, 14, // Skip to: 13355
-/* 9750 */    MCD_OPC_Decode, 223, 7, 119, // Opcode: MADDR_Q_H
-/* 9754 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 9766
-/* 9758 */    MCD_OPC_CheckPredicate, 6, 9, 14, // Skip to: 13355
-/* 9762 */    MCD_OPC_Decode, 224, 7, 120, // Opcode: MADDR_Q_W
-/* 9766 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 9778
-/* 9770 */    MCD_OPC_CheckPredicate, 6, 253, 13, // Skip to: 13355
-/* 9774 */    MCD_OPC_Decode, 240, 8, 119, // Opcode: MSUBR_Q_H
-/* 9778 */    MCD_OPC_FilterValue, 29, 245, 13, // Skip to: 13355
-/* 9782 */    MCD_OPC_CheckPredicate, 6, 241, 13, // Skip to: 13355
-/* 9786 */    MCD_OPC_Decode, 241, 8, 120, // Opcode: MSUBR_Q_W
-/* 9790 */    MCD_OPC_FilterValue, 30, 212, 2, // Skip to: 10518
-/* 9794 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 9797 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 9808
-/* 9801 */    MCD_OPC_CheckPredicate, 6, 222, 13, // Skip to: 13355
-/* 9805 */    MCD_OPC_Decode, 79, 114, // Opcode: AND_V
-/* 9808 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 9820
-/* 9812 */    MCD_OPC_CheckPredicate, 6, 211, 13, // Skip to: 13355
-/* 9816 */    MCD_OPC_Decode, 225, 9, 114, // Opcode: OR_V
-/* 9820 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 9832
-/* 9824 */    MCD_OPC_CheckPredicate, 6, 199, 13, // Skip to: 13355
-/* 9828 */    MCD_OPC_Decode, 215, 9, 114, // Opcode: NOR_V
-/* 9832 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 9844
-/* 9836 */    MCD_OPC_CheckPredicate, 6, 187, 13, // Skip to: 13355
-/* 9840 */    MCD_OPC_Decode, 166, 13, 114, // Opcode: XOR_V
-/* 9844 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 9856
-/* 9848 */    MCD_OPC_CheckPredicate, 6, 175, 13, // Skip to: 13355
-/* 9852 */    MCD_OPC_Decode, 254, 1, 118, // Opcode: BMNZ_V
-/* 9856 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 9868
-/* 9860 */    MCD_OPC_CheckPredicate, 6, 163, 13, // Skip to: 13355
-/* 9864 */    MCD_OPC_Decode, 128, 2, 118, // Opcode: BMZ_V
-/* 9868 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 9880
-/* 9872 */    MCD_OPC_CheckPredicate, 6, 151, 13, // Skip to: 13355
-/* 9876 */    MCD_OPC_Decode, 161, 2, 118, // Opcode: BSEL_V
-/* 9880 */    MCD_OPC_FilterValue, 24, 211, 0, // Skip to: 10095
-/* 9884 */    MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 9887 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9900
-/* 9891 */    MCD_OPC_CheckPredicate, 6, 132, 13, // Skip to: 13355
-/* 9895 */    MCD_OPC_Decode, 210, 5, 158, 1, // Opcode: FILL_B
-/* 9900 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 9913
-/* 9904 */    MCD_OPC_CheckPredicate, 6, 119, 13, // Skip to: 13355
-/* 9908 */    MCD_OPC_Decode, 214, 5, 159, 1, // Opcode: FILL_H
-/* 9913 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 9926
-/* 9917 */    MCD_OPC_CheckPredicate, 6, 106, 13, // Skip to: 13355
-/* 9921 */    MCD_OPC_Decode, 215, 5, 160, 1, // Opcode: FILL_W
-/* 9926 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 9939
-/* 9930 */    MCD_OPC_CheckPredicate, 13, 93, 13, // Skip to: 13355
-/* 9934 */    MCD_OPC_Decode, 211, 5, 161, 1, // Opcode: FILL_D
-/* 9939 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 9952
-/* 9943 */    MCD_OPC_CheckPredicate, 6, 80, 13, // Skip to: 13355
-/* 9947 */    MCD_OPC_Decode, 243, 9, 150, 1, // Opcode: PCNT_B
-/* 9952 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 9965
-/* 9956 */    MCD_OPC_CheckPredicate, 6, 67, 13, // Skip to: 13355
-/* 9960 */    MCD_OPC_Decode, 245, 9, 162, 1, // Opcode: PCNT_H
-/* 9965 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 9978
-/* 9969 */    MCD_OPC_CheckPredicate, 6, 54, 13, // Skip to: 13355
-/* 9973 */    MCD_OPC_Decode, 246, 9, 163, 1, // Opcode: PCNT_W
-/* 9978 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 9991
-/* 9982 */    MCD_OPC_CheckPredicate, 6, 41, 13, // Skip to: 13355
-/* 9986 */    MCD_OPC_Decode, 244, 9, 164, 1, // Opcode: PCNT_D
-/* 9991 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 10004
-/* 9995 */    MCD_OPC_CheckPredicate, 6, 28, 13, // Skip to: 13355
-/* 9999 */    MCD_OPC_Decode, 192, 9, 150, 1, // Opcode: NLOC_B
-/* 10004 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 10017
-/* 10008 */   MCD_OPC_CheckPredicate, 6, 15, 13, // Skip to: 13355
-/* 10012 */   MCD_OPC_Decode, 194, 9, 162, 1, // Opcode: NLOC_H
-/* 10017 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 10030
-/* 10021 */   MCD_OPC_CheckPredicate, 6, 2, 13, // Skip to: 13355
-/* 10025 */   MCD_OPC_Decode, 195, 9, 163, 1, // Opcode: NLOC_W
-/* 10030 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 10043
-/* 10034 */   MCD_OPC_CheckPredicate, 6, 245, 12, // Skip to: 13355
-/* 10038 */   MCD_OPC_Decode, 193, 9, 164, 1, // Opcode: NLOC_D
-/* 10043 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 10056
-/* 10047 */   MCD_OPC_CheckPredicate, 6, 232, 12, // Skip to: 13355
-/* 10051 */   MCD_OPC_Decode, 196, 9, 150, 1, // Opcode: NLZC_B
-/* 10056 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 10069
-/* 10060 */   MCD_OPC_CheckPredicate, 6, 219, 12, // Skip to: 13355
-/* 10064 */   MCD_OPC_Decode, 198, 9, 162, 1, // Opcode: NLZC_H
-/* 10069 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 10082
-/* 10073 */   MCD_OPC_CheckPredicate, 6, 206, 12, // Skip to: 13355
-/* 10077 */   MCD_OPC_Decode, 199, 9, 163, 1, // Opcode: NLZC_W
-/* 10082 */   MCD_OPC_FilterValue, 15, 197, 12, // Skip to: 13355
-/* 10086 */   MCD_OPC_CheckPredicate, 6, 193, 12, // Skip to: 13355
-/* 10090 */   MCD_OPC_Decode, 197, 9, 164, 1, // Opcode: NLZC_D
-/* 10095 */   MCD_OPC_FilterValue, 25, 184, 12, // Skip to: 13355
-/* 10099 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
-/* 10102 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10115
-/* 10106 */   MCD_OPC_CheckPredicate, 6, 173, 12, // Skip to: 13355
-/* 10110 */   MCD_OPC_Decode, 161, 5, 163, 1, // Opcode: FCLASS_W
-/* 10115 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10128
-/* 10119 */   MCD_OPC_CheckPredicate, 6, 160, 12, // Skip to: 13355
-/* 10123 */   MCD_OPC_Decode, 160, 5, 164, 1, // Opcode: FCLASS_D
-/* 10128 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 10141
-/* 10132 */   MCD_OPC_CheckPredicate, 6, 147, 12, // Skip to: 13355
-/* 10136 */   MCD_OPC_Decode, 175, 6, 163, 1, // Opcode: FTRUNC_S_W
-/* 10141 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 10154
-/* 10145 */   MCD_OPC_CheckPredicate, 6, 134, 12, // Skip to: 13355
-/* 10149 */   MCD_OPC_Decode, 174, 6, 164, 1, // Opcode: FTRUNC_S_D
-/* 10154 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10167
-/* 10158 */   MCD_OPC_CheckPredicate, 6, 121, 12, // Skip to: 13355
-/* 10162 */   MCD_OPC_Decode, 177, 6, 163, 1, // Opcode: FTRUNC_U_W
-/* 10167 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 10180
-/* 10171 */   MCD_OPC_CheckPredicate, 6, 108, 12, // Skip to: 13355
-/* 10175 */   MCD_OPC_Decode, 176, 6, 164, 1, // Opcode: FTRUNC_U_D
-/* 10180 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 10193
-/* 10184 */   MCD_OPC_CheckPredicate, 6, 95, 12, // Skip to: 13355
-/* 10188 */   MCD_OPC_Decode, 150, 6, 163, 1, // Opcode: FSQRT_W
-/* 10193 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 10206
-/* 10197 */   MCD_OPC_CheckPredicate, 6, 82, 12, // Skip to: 13355
-/* 10201 */   MCD_OPC_Decode, 144, 6, 164, 1, // Opcode: FSQRT_D
-/* 10206 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 10219
-/* 10210 */   MCD_OPC_CheckPredicate, 6, 69, 12, // Skip to: 13355
-/* 10214 */   MCD_OPC_Decode, 131, 6, 163, 1, // Opcode: FRSQRT_W
-/* 10219 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 10232
-/* 10223 */   MCD_OPC_CheckPredicate, 6, 56, 12, // Skip to: 13355
-/* 10227 */   MCD_OPC_Decode, 130, 6, 164, 1, // Opcode: FRSQRT_D
-/* 10232 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 10245
-/* 10236 */   MCD_OPC_CheckPredicate, 6, 43, 12, // Skip to: 13355
-/* 10240 */   MCD_OPC_Decode, 255, 5, 163, 1, // Opcode: FRCP_W
-/* 10245 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 10258
-/* 10249 */   MCD_OPC_CheckPredicate, 6, 30, 12, // Skip to: 13355
-/* 10253 */   MCD_OPC_Decode, 254, 5, 164, 1, // Opcode: FRCP_D
-/* 10258 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 10271
-/* 10262 */   MCD_OPC_CheckPredicate, 6, 17, 12, // Skip to: 13355
-/* 10266 */   MCD_OPC_Decode, 129, 6, 163, 1, // Opcode: FRINT_W
-/* 10271 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 10284
-/* 10275 */   MCD_OPC_CheckPredicate, 6, 4, 12, // Skip to: 13355
-/* 10279 */   MCD_OPC_Decode, 128, 6, 164, 1, // Opcode: FRINT_D
-/* 10284 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 10297
-/* 10288 */   MCD_OPC_CheckPredicate, 6, 247, 11, // Skip to: 13355
-/* 10292 */   MCD_OPC_Decode, 217, 5, 163, 1, // Opcode: FLOG2_W
-/* 10297 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 10310
-/* 10301 */   MCD_OPC_CheckPredicate, 6, 234, 11, // Skip to: 13355
-/* 10305 */   MCD_OPC_Decode, 216, 5, 164, 1, // Opcode: FLOG2_D
-/* 10310 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 10323
-/* 10314 */   MCD_OPC_CheckPredicate, 6, 221, 11, // Skip to: 13355
-/* 10318 */   MCD_OPC_Decode, 199, 5, 165, 1, // Opcode: FEXUPL_W
-/* 10323 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 10336
-/* 10327 */   MCD_OPC_CheckPredicate, 6, 208, 11, // Skip to: 13355
-/* 10331 */   MCD_OPC_Decode, 198, 5, 166, 1, // Opcode: FEXUPL_D
-/* 10336 */   MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 10349
-/* 10340 */   MCD_OPC_CheckPredicate, 6, 195, 11, // Skip to: 13355
-/* 10344 */   MCD_OPC_Decode, 201, 5, 165, 1, // Opcode: FEXUPR_W
-/* 10349 */   MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 10362
-/* 10353 */   MCD_OPC_CheckPredicate, 6, 182, 11, // Skip to: 13355
-/* 10357 */   MCD_OPC_Decode, 200, 5, 166, 1, // Opcode: FEXUPR_D
-/* 10362 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 10375
-/* 10366 */   MCD_OPC_CheckPredicate, 6, 169, 11, // Skip to: 13355
-/* 10370 */   MCD_OPC_Decode, 207, 5, 165, 1, // Opcode: FFQL_W
-/* 10375 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 10388
-/* 10379 */   MCD_OPC_CheckPredicate, 6, 156, 11, // Skip to: 13355
-/* 10383 */   MCD_OPC_Decode, 206, 5, 166, 1, // Opcode: FFQL_D
-/* 10388 */   MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 10401
-/* 10392 */   MCD_OPC_CheckPredicate, 6, 143, 11, // Skip to: 13355
-/* 10396 */   MCD_OPC_Decode, 209, 5, 165, 1, // Opcode: FFQR_W
-/* 10401 */   MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 10414
-/* 10405 */   MCD_OPC_CheckPredicate, 6, 130, 11, // Skip to: 13355
-/* 10409 */   MCD_OPC_Decode, 208, 5, 166, 1, // Opcode: FFQR_D
-/* 10414 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 10427
-/* 10418 */   MCD_OPC_CheckPredicate, 6, 117, 11, // Skip to: 13355
-/* 10422 */   MCD_OPC_Decode, 169, 6, 163, 1, // Opcode: FTINT_S_W
-/* 10427 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 10440
-/* 10431 */   MCD_OPC_CheckPredicate, 6, 104, 11, // Skip to: 13355
-/* 10435 */   MCD_OPC_Decode, 168, 6, 164, 1, // Opcode: FTINT_S_D
-/* 10440 */   MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 10453
-/* 10444 */   MCD_OPC_CheckPredicate, 6, 91, 11, // Skip to: 13355
-/* 10448 */   MCD_OPC_Decode, 171, 6, 163, 1, // Opcode: FTINT_U_W
-/* 10453 */   MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 10466
-/* 10457 */   MCD_OPC_CheckPredicate, 6, 78, 11, // Skip to: 13355
-/* 10461 */   MCD_OPC_Decode, 170, 6, 164, 1, // Opcode: FTINT_U_D
-/* 10466 */   MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 10479
-/* 10470 */   MCD_OPC_CheckPredicate, 6, 65, 11, // Skip to: 13355
-/* 10474 */   MCD_OPC_Decode, 203, 5, 163, 1, // Opcode: FFINT_S_W
-/* 10479 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 10492
-/* 10483 */   MCD_OPC_CheckPredicate, 6, 52, 11, // Skip to: 13355
-/* 10487 */   MCD_OPC_Decode, 202, 5, 164, 1, // Opcode: FFINT_S_D
-/* 10492 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 10505
-/* 10496 */   MCD_OPC_CheckPredicate, 6, 39, 11, // Skip to: 13355
-/* 10500 */   MCD_OPC_Decode, 205, 5, 163, 1, // Opcode: FFINT_U_W
-/* 10505 */   MCD_OPC_FilterValue, 31, 30, 11, // Skip to: 13355
-/* 10509 */   MCD_OPC_CheckPredicate, 6, 26, 11, // Skip to: 13355
-/* 10513 */   MCD_OPC_Decode, 204, 5, 164, 1, // Opcode: FFINT_U_D
-/* 10518 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 10531
-/* 10522 */   MCD_OPC_CheckPredicate, 6, 13, 11, // Skip to: 13355
-/* 10526 */   MCD_OPC_Decode, 149, 7, 167, 1, // Opcode: LD_B
-/* 10531 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 10544
-/* 10535 */   MCD_OPC_CheckPredicate, 6, 0, 11, // Skip to: 13355
-/* 10539 */   MCD_OPC_Decode, 151, 7, 167, 1, // Opcode: LD_H
-/* 10544 */   MCD_OPC_FilterValue, 34, 9, 0, // Skip to: 10557
-/* 10548 */   MCD_OPC_CheckPredicate, 6, 243, 10, // Skip to: 13355
-/* 10552 */   MCD_OPC_Decode, 152, 7, 167, 1, // Opcode: LD_W
-/* 10557 */   MCD_OPC_FilterValue, 35, 9, 0, // Skip to: 10570
-/* 10561 */   MCD_OPC_CheckPredicate, 6, 230, 10, // Skip to: 13355
-/* 10565 */   MCD_OPC_Decode, 150, 7, 167, 1, // Opcode: LD_D
-/* 10570 */   MCD_OPC_FilterValue, 36, 9, 0, // Skip to: 10583
-/* 10574 */   MCD_OPC_CheckPredicate, 6, 217, 10, // Skip to: 13355
-/* 10578 */   MCD_OPC_Decode, 248, 11, 167, 1, // Opcode: ST_B
-/* 10583 */   MCD_OPC_FilterValue, 37, 9, 0, // Skip to: 10596
-/* 10587 */   MCD_OPC_CheckPredicate, 6, 204, 10, // Skip to: 13355
-/* 10591 */   MCD_OPC_Decode, 250, 11, 167, 1, // Opcode: ST_H
-/* 10596 */   MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 10609
-/* 10600 */   MCD_OPC_CheckPredicate, 6, 191, 10, // Skip to: 13355
-/* 10604 */   MCD_OPC_Decode, 251, 11, 167, 1, // Opcode: ST_W
-/* 10609 */   MCD_OPC_FilterValue, 39, 182, 10, // Skip to: 13355
-/* 10613 */   MCD_OPC_CheckPredicate, 6, 178, 10, // Skip to: 13355
-/* 10617 */   MCD_OPC_Decode, 249, 11, 167, 1, // Opcode: ST_D
-/* 10622 */   MCD_OPC_FilterValue, 31, 113, 9, // Skip to: 13043
-/* 10626 */   MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 10629 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10642
-/* 10633 */   MCD_OPC_CheckPredicate, 4, 158, 10, // Skip to: 13355
-/* 10637 */   MCD_OPC_Decode, 252, 4, 168, 1, // Opcode: EXT
-/* 10642 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10655
-/* 10646 */   MCD_OPC_CheckPredicate, 4, 145, 10, // Skip to: 13355
-/* 10650 */   MCD_OPC_Decode, 207, 6, 169, 1, // Opcode: INS
-/* 10655 */   MCD_OPC_FilterValue, 10, 42, 0, // Skip to: 10701
-/* 10659 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 10662 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10675
-/* 10666 */   MCD_OPC_CheckPredicate, 11, 125, 10, // Skip to: 13355
-/* 10670 */   MCD_OPC_Decode, 199, 7, 170, 1, // Opcode: LWX
-/* 10675 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10688
-/* 10679 */   MCD_OPC_CheckPredicate, 11, 112, 10, // Skip to: 13355
-/* 10683 */   MCD_OPC_Decode, 158, 7, 170, 1, // Opcode: LHX
-/* 10688 */   MCD_OPC_FilterValue, 6, 103, 10, // Skip to: 13355
-/* 10692 */   MCD_OPC_CheckPredicate, 11, 99, 10, // Skip to: 13355
-/* 10696 */   MCD_OPC_Decode, 128, 7, 170, 1, // Opcode: LBUX
-/* 10701 */   MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 10720
-/* 10705 */   MCD_OPC_CheckPredicate, 11, 86, 10, // Skip to: 13355
-/* 10709 */   MCD_OPC_CheckField, 6, 10, 0, 80, 10, // Skip to: 13355
-/* 10715 */   MCD_OPC_Decode, 220, 6, 171, 1, // Opcode: INSV
-/* 10720 */   MCD_OPC_FilterValue, 16, 51, 1, // Skip to: 11031
-/* 10724 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 10727 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10739
-/* 10731 */   MCD_OPC_CheckPredicate, 11, 60, 10, // Skip to: 13355
-/* 10735 */   MCD_OPC_Decode, 48, 172, 1, // Opcode: ADDU_QB
-/* 10739 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10752
-/* 10743 */   MCD_OPC_CheckPredicate, 11, 48, 10, // Skip to: 13355
-/* 10747 */   MCD_OPC_Decode, 151, 12, 172, 1, // Opcode: SUBU_QB
-/* 10752 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 10764
-/* 10756 */   MCD_OPC_CheckPredicate, 11, 35, 10, // Skip to: 13355
-/* 10760 */   MCD_OPC_Decode, 50, 172, 1, // Opcode: ADDU_S_QB
-/* 10764 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 10777
-/* 10768 */   MCD_OPC_CheckPredicate, 11, 23, 10, // Skip to: 13355
-/* 10772 */   MCD_OPC_Decode, 153, 12, 172, 1, // Opcode: SUBU_S_QB
-/* 10777 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 10790
-/* 10781 */   MCD_OPC_CheckPredicate, 11, 10, 10, // Skip to: 13355
-/* 10785 */   MCD_OPC_Decode, 157, 9, 172, 1, // Opcode: MULEU_S_PH_QBL
-/* 10790 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 10803
-/* 10794 */   MCD_OPC_CheckPredicate, 11, 253, 9, // Skip to: 13355
-/* 10798 */   MCD_OPC_Decode, 158, 9, 172, 1, // Opcode: MULEU_S_PH_QBR
-/* 10803 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 10815
-/* 10807 */   MCD_OPC_CheckPredicate, 29, 240, 9, // Skip to: 13355
-/* 10811 */   MCD_OPC_Decode, 47, 172, 1, // Opcode: ADDU_PH
-/* 10815 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 10828
-/* 10819 */   MCD_OPC_CheckPredicate, 29, 228, 9, // Skip to: 13355
-/* 10823 */   MCD_OPC_Decode, 150, 12, 172, 1, // Opcode: SUBU_PH
-/* 10828 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 10840
-/* 10832 */   MCD_OPC_CheckPredicate, 11, 215, 9, // Skip to: 13355
-/* 10836 */   MCD_OPC_Decode, 29, 172, 1, // Opcode: ADDQ_PH
-/* 10840 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 10853
-/* 10844 */   MCD_OPC_CheckPredicate, 11, 203, 9, // Skip to: 13355
-/* 10848 */   MCD_OPC_Decode, 129, 12, 172, 1, // Opcode: SUBQ_PH
-/* 10853 */   MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 10865
-/* 10857 */   MCD_OPC_CheckPredicate, 29, 190, 9, // Skip to: 13355
-/* 10861 */   MCD_OPC_Decode, 49, 172, 1, // Opcode: ADDU_S_PH
-/* 10865 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 10878
-/* 10869 */   MCD_OPC_CheckPredicate, 29, 178, 9, // Skip to: 13355
-/* 10873 */   MCD_OPC_Decode, 152, 12, 172, 1, // Opcode: SUBU_S_PH
-/* 10878 */   MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 10890
-/* 10882 */   MCD_OPC_CheckPredicate, 11, 165, 9, // Skip to: 13355
-/* 10886 */   MCD_OPC_Decode, 30, 172, 1, // Opcode: ADDQ_S_PH
-/* 10890 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 10903
-/* 10894 */   MCD_OPC_CheckPredicate, 11, 153, 9, // Skip to: 13355
-/* 10898 */   MCD_OPC_Decode, 130, 12, 172, 1, // Opcode: SUBQ_S_PH
-/* 10903 */   MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 10914
-/* 10907 */   MCD_OPC_CheckPredicate, 11, 140, 9, // Skip to: 13355
-/* 10911 */   MCD_OPC_Decode, 32, 17, // Opcode: ADDSC
-/* 10914 */   MCD_OPC_FilterValue, 17, 7, 0, // Skip to: 10925
-/* 10918 */   MCD_OPC_CheckPredicate, 11, 129, 9, // Skip to: 13355
-/* 10922 */   MCD_OPC_Decode, 59, 17, // Opcode: ADDWC
-/* 10925 */   MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 10937
-/* 10929 */   MCD_OPC_CheckPredicate, 11, 118, 9, // Skip to: 13355
-/* 10933 */   MCD_OPC_Decode, 185, 8, 17, // Opcode: MODSUB
-/* 10937 */   MCD_OPC_FilterValue, 20, 15, 0, // Skip to: 10956
-/* 10941 */   MCD_OPC_CheckPredicate, 11, 106, 9, // Skip to: 13355
-/* 10945 */   MCD_OPC_CheckField, 16, 5, 0, 100, 9, // Skip to: 13355
-/* 10951 */   MCD_OPC_Decode, 178, 10, 173, 1, // Opcode: RADDU_W_QB
-/* 10956 */   MCD_OPC_FilterValue, 22, 7, 0, // Skip to: 10967
-/* 10960 */   MCD_OPC_CheckPredicate, 11, 87, 9, // Skip to: 13355
-/* 10964 */   MCD_OPC_Decode, 31, 17, // Opcode: ADDQ_S_W
-/* 10967 */   MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 10979
-/* 10971 */   MCD_OPC_CheckPredicate, 11, 76, 9, // Skip to: 13355
-/* 10975 */   MCD_OPC_Decode, 131, 12, 17, // Opcode: SUBQ_S_W
-/* 10979 */   MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 10992
-/* 10983 */   MCD_OPC_CheckPredicate, 11, 64, 9, // Skip to: 13355
-/* 10987 */   MCD_OPC_Decode, 155, 9, 174, 1, // Opcode: MULEQ_S_W_PHL
-/* 10992 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 11005
-/* 10996 */   MCD_OPC_CheckPredicate, 11, 51, 9, // Skip to: 13355
-/* 11000 */   MCD_OPC_Decode, 156, 9, 174, 1, // Opcode: MULEQ_S_W_PHR
-/* 11005 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 11018
-/* 11009 */   MCD_OPC_CheckPredicate, 29, 38, 9, // Skip to: 13355
-/* 11013 */   MCD_OPC_Decode, 161, 9, 172, 1, // Opcode: MULQ_S_PH
-/* 11018 */   MCD_OPC_FilterValue, 31, 29, 9, // Skip to: 13355
-/* 11022 */   MCD_OPC_CheckPredicate, 11, 25, 9, // Skip to: 13355
-/* 11026 */   MCD_OPC_Decode, 159, 9, 172, 1, // Opcode: MULQ_RS_PH
-/* 11031 */   MCD_OPC_FilterValue, 17, 69, 1, // Skip to: 11360
-/* 11035 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 11038 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11057
-/* 11042 */   MCD_OPC_CheckPredicate, 11, 5, 9, // Skip to: 13355
-/* 11046 */   MCD_OPC_CheckField, 11, 5, 0, 255, 8, // Skip to: 13355
-/* 11052 */   MCD_OPC_Decode, 141, 3, 175, 1, // Opcode: CMPU_EQ_QB
-/* 11057 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11076
-/* 11061 */   MCD_OPC_CheckPredicate, 11, 242, 8, // Skip to: 13355
-/* 11065 */   MCD_OPC_CheckField, 11, 5, 0, 236, 8, // Skip to: 13355
-/* 11071 */   MCD_OPC_Decode, 143, 3, 175, 1, // Opcode: CMPU_LT_QB
-/* 11076 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 11095
-/* 11080 */   MCD_OPC_CheckPredicate, 11, 223, 8, // Skip to: 13355
-/* 11084 */   MCD_OPC_CheckField, 11, 5, 0, 217, 8, // Skip to: 13355
-/* 11090 */   MCD_OPC_Decode, 142, 3, 175, 1, // Opcode: CMPU_LE_QB
-/* 11095 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 11108
-/* 11099 */   MCD_OPC_CheckPredicate, 11, 204, 8, // Skip to: 13355
-/* 11103 */   MCD_OPC_Decode, 248, 9, 172, 1, // Opcode: PICK_QB
-/* 11108 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 11121
-/* 11112 */   MCD_OPC_CheckPredicate, 11, 191, 8, // Skip to: 13355
-/* 11116 */   MCD_OPC_Decode, 138, 3, 174, 1, // Opcode: CMPGU_EQ_QB
-/* 11121 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 11134
-/* 11125 */   MCD_OPC_CheckPredicate, 11, 178, 8, // Skip to: 13355
-/* 11129 */   MCD_OPC_Decode, 140, 3, 174, 1, // Opcode: CMPGU_LT_QB
-/* 11134 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 11147
-/* 11138 */   MCD_OPC_CheckPredicate, 11, 165, 8, // Skip to: 13355
-/* 11142 */   MCD_OPC_Decode, 139, 3, 174, 1, // Opcode: CMPGU_LE_QB
-/* 11147 */   MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 11166
-/* 11151 */   MCD_OPC_CheckPredicate, 11, 152, 8, // Skip to: 13355
-/* 11155 */   MCD_OPC_CheckField, 11, 5, 0, 146, 8, // Skip to: 13355
-/* 11161 */   MCD_OPC_Decode, 145, 3, 175, 1, // Opcode: CMP_EQ_PH
-/* 11166 */   MCD_OPC_FilterValue, 9, 15, 0, // Skip to: 11185
-/* 11170 */   MCD_OPC_CheckPredicate, 11, 133, 8, // Skip to: 13355
-/* 11174 */   MCD_OPC_CheckField, 11, 5, 0, 127, 8, // Skip to: 13355
-/* 11180 */   MCD_OPC_Decode, 153, 3, 175, 1, // Opcode: CMP_LT_PH
-/* 11185 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 11204
-/* 11189 */   MCD_OPC_CheckPredicate, 11, 114, 8, // Skip to: 13355
-/* 11193 */   MCD_OPC_CheckField, 11, 5, 0, 108, 8, // Skip to: 13355
-/* 11199 */   MCD_OPC_Decode, 150, 3, 175, 1, // Opcode: CMP_LE_PH
-/* 11204 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 11217
-/* 11208 */   MCD_OPC_CheckPredicate, 11, 95, 8, // Skip to: 13355
-/* 11212 */   MCD_OPC_Decode, 247, 9, 172, 1, // Opcode: PICK_PH
-/* 11217 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 11230
-/* 11221 */   MCD_OPC_CheckPredicate, 11, 82, 8, // Skip to: 13355
-/* 11225 */   MCD_OPC_Decode, 134, 10, 172, 1, // Opcode: PRECRQ_QB_PH
-/* 11230 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 11243
-/* 11234 */   MCD_OPC_CheckPredicate, 29, 69, 8, // Skip to: 13355
-/* 11238 */   MCD_OPC_Decode, 136, 10, 172, 1, // Opcode: PRECR_QB_PH
-/* 11243 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 11256
-/* 11247 */   MCD_OPC_CheckPredicate, 11, 56, 8, // Skip to: 13355
-/* 11251 */   MCD_OPC_Decode, 233, 9, 172, 1, // Opcode: PACKRL_PH
-/* 11256 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 11269
-/* 11260 */   MCD_OPC_CheckPredicate, 11, 43, 8, // Skip to: 13355
-/* 11264 */   MCD_OPC_Decode, 132, 10, 172, 1, // Opcode: PRECRQU_S_QB_PH
-/* 11269 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 11282
-/* 11273 */   MCD_OPC_CheckPredicate, 11, 30, 8, // Skip to: 13355
-/* 11277 */   MCD_OPC_Decode, 133, 10, 176, 1, // Opcode: PRECRQ_PH_W
-/* 11282 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 11295
-/* 11286 */   MCD_OPC_CheckPredicate, 11, 17, 8, // Skip to: 13355
-/* 11290 */   MCD_OPC_Decode, 135, 10, 176, 1, // Opcode: PRECRQ_RS_PH_W
-/* 11295 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 11308
-/* 11299 */   MCD_OPC_CheckPredicate, 29, 4, 8, // Skip to: 13355
-/* 11303 */   MCD_OPC_Decode, 135, 3, 174, 1, // Opcode: CMPGDU_EQ_QB
-/* 11308 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 11321
-/* 11312 */   MCD_OPC_CheckPredicate, 29, 247, 7, // Skip to: 13355
-/* 11316 */   MCD_OPC_Decode, 137, 3, 174, 1, // Opcode: CMPGDU_LT_QB
-/* 11321 */   MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 11334
-/* 11325 */   MCD_OPC_CheckPredicate, 29, 234, 7, // Skip to: 13355
-/* 11329 */   MCD_OPC_Decode, 136, 3, 174, 1, // Opcode: CMPGDU_LE_QB
-/* 11334 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 11347
-/* 11338 */   MCD_OPC_CheckPredicate, 29, 221, 7, // Skip to: 13355
-/* 11342 */   MCD_OPC_Decode, 137, 10, 177, 1, // Opcode: PRECR_SRA_PH_W
-/* 11347 */   MCD_OPC_FilterValue, 31, 212, 7, // Skip to: 13355
-/* 11351 */   MCD_OPC_CheckPredicate, 29, 208, 7, // Skip to: 13355
-/* 11355 */   MCD_OPC_Decode, 138, 10, 177, 1, // Opcode: PRECR_SRA_R_PH_W
-/* 11360 */   MCD_OPC_FilterValue, 18, 74, 1, // Skip to: 11694
-/* 11364 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 11367 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 11385
-/* 11371 */   MCD_OPC_CheckPredicate, 29, 188, 7, // Skip to: 13355
-/* 11375 */   MCD_OPC_CheckField, 21, 5, 0, 182, 7, // Skip to: 13355
-/* 11381 */   MCD_OPC_Decode, 21, 178, 1, // Opcode: ABSQ_S_QB
-/* 11385 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 11398
-/* 11389 */   MCD_OPC_CheckPredicate, 11, 170, 7, // Skip to: 13355
-/* 11393 */   MCD_OPC_Decode, 185, 10, 179, 1, // Opcode: REPL_QB
-/* 11398 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 11417
-/* 11402 */   MCD_OPC_CheckPredicate, 11, 157, 7, // Skip to: 13355
-/* 11406 */   MCD_OPC_CheckField, 21, 5, 0, 151, 7, // Skip to: 13355
-/* 11412 */   MCD_OPC_Decode, 183, 10, 180, 1, // Opcode: REPLV_QB
-/* 11417 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 11436
-/* 11421 */   MCD_OPC_CheckPredicate, 11, 138, 7, // Skip to: 13355
-/* 11425 */   MCD_OPC_CheckField, 21, 5, 0, 132, 7, // Skip to: 13355
-/* 11431 */   MCD_OPC_Decode, 250, 9, 178, 1, // Opcode: PRECEQU_PH_QBL
-/* 11436 */   MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 11455
-/* 11440 */   MCD_OPC_CheckPredicate, 11, 119, 7, // Skip to: 13355
-/* 11444 */   MCD_OPC_CheckField, 21, 5, 0, 113, 7, // Skip to: 13355
-/* 11450 */   MCD_OPC_Decode, 252, 9, 178, 1, // Opcode: PRECEQU_PH_QBR
-/* 11455 */   MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 11474
-/* 11459 */   MCD_OPC_CheckPredicate, 11, 100, 7, // Skip to: 13355
-/* 11463 */   MCD_OPC_CheckField, 21, 5, 0, 94, 7, // Skip to: 13355
-/* 11469 */   MCD_OPC_Decode, 251, 9, 178, 1, // Opcode: PRECEQU_PH_QBLA
-/* 11474 */   MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 11493
-/* 11478 */   MCD_OPC_CheckPredicate, 11, 81, 7, // Skip to: 13355
-/* 11482 */   MCD_OPC_CheckField, 21, 5, 0, 75, 7, // Skip to: 13355
-/* 11488 */   MCD_OPC_Decode, 253, 9, 178, 1, // Opcode: PRECEQU_PH_QBRA
-/* 11493 */   MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 11511
-/* 11497 */   MCD_OPC_CheckPredicate, 11, 62, 7, // Skip to: 13355
-/* 11501 */   MCD_OPC_CheckField, 21, 5, 0, 56, 7, // Skip to: 13355
-/* 11507 */   MCD_OPC_Decode, 20, 178, 1, // Opcode: ABSQ_S_PH
-/* 11511 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 11524
-/* 11515 */   MCD_OPC_CheckPredicate, 11, 44, 7, // Skip to: 13355
-/* 11519 */   MCD_OPC_Decode, 184, 10, 179, 1, // Opcode: REPL_PH
-/* 11524 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 11543
-/* 11528 */   MCD_OPC_CheckPredicate, 11, 31, 7, // Skip to: 13355
-/* 11532 */   MCD_OPC_CheckField, 21, 5, 0, 25, 7, // Skip to: 13355
-/* 11538 */   MCD_OPC_Decode, 182, 10, 180, 1, // Opcode: REPLV_PH
-/* 11543 */   MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 11562
-/* 11547 */   MCD_OPC_CheckPredicate, 11, 12, 7, // Skip to: 13355
-/* 11551 */   MCD_OPC_CheckField, 21, 5, 0, 6, 7, // Skip to: 13355
-/* 11557 */   MCD_OPC_Decode, 254, 9, 181, 1, // Opcode: PRECEQ_W_PHL
-/* 11562 */   MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 11581
-/* 11566 */   MCD_OPC_CheckPredicate, 11, 249, 6, // Skip to: 13355
-/* 11570 */   MCD_OPC_CheckField, 21, 5, 0, 243, 6, // Skip to: 13355
-/* 11576 */   MCD_OPC_Decode, 255, 9, 181, 1, // Opcode: PRECEQ_W_PHR
-/* 11581 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 11599
-/* 11585 */   MCD_OPC_CheckPredicate, 11, 230, 6, // Skip to: 13355
-/* 11589 */   MCD_OPC_CheckField, 21, 5, 0, 224, 6, // Skip to: 13355
-/* 11595 */   MCD_OPC_Decode, 22, 182, 1, // Opcode: ABSQ_S_W
-/* 11599 */   MCD_OPC_FilterValue, 27, 15, 0, // Skip to: 11618
-/* 11603 */   MCD_OPC_CheckPredicate, 11, 212, 6, // Skip to: 13355
-/* 11607 */   MCD_OPC_CheckField, 21, 5, 0, 206, 6, // Skip to: 13355
-/* 11613 */   MCD_OPC_Decode, 233, 1, 182, 1, // Opcode: BITREV
-/* 11618 */   MCD_OPC_FilterValue, 28, 15, 0, // Skip to: 11637
-/* 11622 */   MCD_OPC_CheckPredicate, 11, 193, 6, // Skip to: 13355
-/* 11626 */   MCD_OPC_CheckField, 21, 5, 0, 187, 6, // Skip to: 13355
-/* 11632 */   MCD_OPC_Decode, 128, 10, 178, 1, // Opcode: PRECEU_PH_QBL
-/* 11637 */   MCD_OPC_FilterValue, 29, 15, 0, // Skip to: 11656
-/* 11641 */   MCD_OPC_CheckPredicate, 11, 174, 6, // Skip to: 13355
-/* 11645 */   MCD_OPC_CheckField, 21, 5, 0, 168, 6, // Skip to: 13355
-/* 11651 */   MCD_OPC_Decode, 130, 10, 178, 1, // Opcode: PRECEU_PH_QBR
-/* 11656 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 11675
-/* 11660 */   MCD_OPC_CheckPredicate, 11, 155, 6, // Skip to: 13355
-/* 11664 */   MCD_OPC_CheckField, 21, 5, 0, 149, 6, // Skip to: 13355
-/* 11670 */   MCD_OPC_Decode, 129, 10, 178, 1, // Opcode: PRECEU_PH_QBLA
-/* 11675 */   MCD_OPC_FilterValue, 31, 140, 6, // Skip to: 13355
-/* 11679 */   MCD_OPC_CheckPredicate, 11, 136, 6, // Skip to: 13355
-/* 11683 */   MCD_OPC_CheckField, 21, 5, 0, 130, 6, // Skip to: 13355
-/* 11689 */   MCD_OPC_Decode, 131, 10, 178, 1, // Opcode: PRECEU_PH_QBRA
-/* 11694 */   MCD_OPC_FilterValue, 19, 31, 1, // Skip to: 11985
-/* 11698 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 11701 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11714
-/* 11705 */   MCD_OPC_CheckPredicate, 11, 110, 6, // Skip to: 13355
-/* 11709 */   MCD_OPC_Decode, 136, 11, 183, 1, // Opcode: SHLL_QB
-/* 11714 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 11727
-/* 11718 */   MCD_OPC_CheckPredicate, 11, 97, 6, // Skip to: 13355
-/* 11722 */   MCD_OPC_Decode, 152, 11, 183, 1, // Opcode: SHRL_QB
-/* 11727 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 11740
-/* 11731 */   MCD_OPC_CheckPredicate, 11, 84, 6, // Skip to: 13355
-/* 11735 */   MCD_OPC_Decode, 132, 11, 184, 1, // Opcode: SHLLV_QB
-/* 11740 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 11753
-/* 11744 */   MCD_OPC_CheckPredicate, 11, 71, 6, // Skip to: 13355
-/* 11748 */   MCD_OPC_Decode, 150, 11, 184, 1, // Opcode: SHRLV_QB
-/* 11753 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 11766
-/* 11757 */   MCD_OPC_CheckPredicate, 29, 58, 6, // Skip to: 13355
-/* 11761 */   MCD_OPC_Decode, 145, 11, 183, 1, // Opcode: SHRA_QB
-/* 11766 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 11779
-/* 11770 */   MCD_OPC_CheckPredicate, 29, 45, 6, // Skip to: 13355
-/* 11774 */   MCD_OPC_Decode, 147, 11, 183, 1, // Opcode: SHRA_R_QB
-/* 11779 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 11792
-/* 11783 */   MCD_OPC_CheckPredicate, 29, 32, 6, // Skip to: 13355
-/* 11787 */   MCD_OPC_Decode, 140, 11, 184, 1, // Opcode: SHRAV_QB
-/* 11792 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 11805
-/* 11796 */   MCD_OPC_CheckPredicate, 29, 19, 6, // Skip to: 13355
-/* 11800 */   MCD_OPC_Decode, 142, 11, 184, 1, // Opcode: SHRAV_R_QB
-/* 11805 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 11818
-/* 11809 */   MCD_OPC_CheckPredicate, 11, 6, 6, // Skip to: 13355
-/* 11813 */   MCD_OPC_Decode, 135, 11, 183, 1, // Opcode: SHLL_PH
-/* 11818 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 11831
-/* 11822 */   MCD_OPC_CheckPredicate, 11, 249, 5, // Skip to: 13355
-/* 11826 */   MCD_OPC_Decode, 144, 11, 183, 1, // Opcode: SHRA_PH
-/* 11831 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 11844
-/* 11835 */   MCD_OPC_CheckPredicate, 11, 236, 5, // Skip to: 13355
-/* 11839 */   MCD_OPC_Decode, 131, 11, 184, 1, // Opcode: SHLLV_PH
-/* 11844 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 11857
-/* 11848 */   MCD_OPC_CheckPredicate, 11, 223, 5, // Skip to: 13355
-/* 11852 */   MCD_OPC_Decode, 139, 11, 184, 1, // Opcode: SHRAV_PH
-/* 11857 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 11870
-/* 11861 */   MCD_OPC_CheckPredicate, 11, 210, 5, // Skip to: 13355
-/* 11865 */   MCD_OPC_Decode, 137, 11, 183, 1, // Opcode: SHLL_S_PH
-/* 11870 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 11883
-/* 11874 */   MCD_OPC_CheckPredicate, 11, 197, 5, // Skip to: 13355
-/* 11878 */   MCD_OPC_Decode, 146, 11, 183, 1, // Opcode: SHRA_R_PH
-/* 11883 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 11896
-/* 11887 */   MCD_OPC_CheckPredicate, 11, 184, 5, // Skip to: 13355
-/* 11891 */   MCD_OPC_Decode, 133, 11, 184, 1, // Opcode: SHLLV_S_PH
-/* 11896 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 11909
-/* 11900 */   MCD_OPC_CheckPredicate, 11, 171, 5, // Skip to: 13355
-/* 11904 */   MCD_OPC_Decode, 141, 11, 184, 1, // Opcode: SHRAV_R_PH
-/* 11909 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 11922
-/* 11913 */   MCD_OPC_CheckPredicate, 11, 158, 5, // Skip to: 13355
-/* 11917 */   MCD_OPC_Decode, 138, 11, 185, 1, // Opcode: SHLL_S_W
-/* 11922 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 11935
-/* 11926 */   MCD_OPC_CheckPredicate, 11, 145, 5, // Skip to: 13355
-/* 11930 */   MCD_OPC_Decode, 148, 11, 185, 1, // Opcode: SHRA_R_W
-/* 11935 */   MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 11947
-/* 11939 */   MCD_OPC_CheckPredicate, 11, 132, 5, // Skip to: 13355
-/* 11943 */   MCD_OPC_Decode, 134, 11, 18, // Opcode: SHLLV_S_W
-/* 11947 */   MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 11959
-/* 11951 */   MCD_OPC_CheckPredicate, 11, 120, 5, // Skip to: 13355
-/* 11955 */   MCD_OPC_Decode, 143, 11, 18, // Opcode: SHRAV_R_W
-/* 11959 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 11972
-/* 11963 */   MCD_OPC_CheckPredicate, 29, 108, 5, // Skip to: 13355
-/* 11967 */   MCD_OPC_Decode, 151, 11, 183, 1, // Opcode: SHRL_PH
-/* 11972 */   MCD_OPC_FilterValue, 27, 99, 5, // Skip to: 13355
-/* 11976 */   MCD_OPC_CheckPredicate, 29, 95, 5, // Skip to: 13355
-/* 11980 */   MCD_OPC_Decode, 149, 11, 184, 1, // Opcode: SHRLV_PH
-/* 11985 */   MCD_OPC_FilterValue, 24, 199, 0, // Skip to: 12188
-/* 11989 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 11992 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 12004
-/* 11996 */   MCD_OPC_CheckPredicate, 29, 75, 5, // Skip to: 13355
-/* 12000 */   MCD_OPC_Decode, 45, 172, 1, // Opcode: ADDUH_QB
-/* 12004 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 12017
-/* 12008 */   MCD_OPC_CheckPredicate, 29, 63, 5, // Skip to: 13355
-/* 12012 */   MCD_OPC_Decode, 148, 12, 172, 1, // Opcode: SUBUH_QB
-/* 12017 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 12029
-/* 12021 */   MCD_OPC_CheckPredicate, 29, 50, 5, // Skip to: 13355
-/* 12025 */   MCD_OPC_Decode, 46, 172, 1, // Opcode: ADDUH_R_QB
-/* 12029 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 12042
-/* 12033 */   MCD_OPC_CheckPredicate, 29, 38, 5, // Skip to: 13355
-/* 12037 */   MCD_OPC_Decode, 149, 12, 172, 1, // Opcode: SUBUH_R_QB
-/* 12042 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 12054
-/* 12046 */   MCD_OPC_CheckPredicate, 29, 25, 5, // Skip to: 13355
-/* 12050 */   MCD_OPC_Decode, 25, 172, 1, // Opcode: ADDQH_PH
-/* 12054 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 12067
-/* 12058 */   MCD_OPC_CheckPredicate, 29, 13, 5, // Skip to: 13355
-/* 12062 */   MCD_OPC_Decode, 253, 11, 172, 1, // Opcode: SUBQH_PH
-/* 12067 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 12079
-/* 12071 */   MCD_OPC_CheckPredicate, 29, 0, 5, // Skip to: 13355
-/* 12075 */   MCD_OPC_Decode, 26, 172, 1, // Opcode: ADDQH_R_PH
-/* 12079 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 12092
-/* 12083 */   MCD_OPC_CheckPredicate, 29, 244, 4, // Skip to: 13355
-/* 12087 */   MCD_OPC_Decode, 254, 11, 172, 1, // Opcode: SUBQH_R_PH
-/* 12092 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 12105
-/* 12096 */   MCD_OPC_CheckPredicate, 29, 231, 4, // Skip to: 13355
-/* 12100 */   MCD_OPC_Decode, 179, 9, 172, 1, // Opcode: MUL_PH
-/* 12105 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 12118
-/* 12109 */   MCD_OPC_CheckPredicate, 29, 218, 4, // Skip to: 13355
-/* 12113 */   MCD_OPC_Decode, 183, 9, 172, 1, // Opcode: MUL_S_PH
-/* 12118 */   MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 12129
-/* 12122 */   MCD_OPC_CheckPredicate, 29, 205, 4, // Skip to: 13355
-/* 12126 */   MCD_OPC_Decode, 28, 17, // Opcode: ADDQH_W
-/* 12129 */   MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 12141
-/* 12133 */   MCD_OPC_CheckPredicate, 29, 194, 4, // Skip to: 13355
-/* 12137 */   MCD_OPC_Decode, 128, 12, 17, // Opcode: SUBQH_W
-/* 12141 */   MCD_OPC_FilterValue, 18, 7, 0, // Skip to: 12152
-/* 12145 */   MCD_OPC_CheckPredicate, 29, 182, 4, // Skip to: 13355
-/* 12149 */   MCD_OPC_Decode, 27, 17, // Opcode: ADDQH_R_W
-/* 12152 */   MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 12164
-/* 12156 */   MCD_OPC_CheckPredicate, 29, 171, 4, // Skip to: 13355
-/* 12160 */   MCD_OPC_Decode, 255, 11, 17, // Opcode: SUBQH_R_W
-/* 12164 */   MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 12176
-/* 12168 */   MCD_OPC_CheckPredicate, 29, 159, 4, // Skip to: 13355
-/* 12172 */   MCD_OPC_Decode, 162, 9, 17, // Opcode: MULQ_S_W
-/* 12176 */   MCD_OPC_FilterValue, 23, 151, 4, // Skip to: 13355
-/* 12180 */   MCD_OPC_CheckPredicate, 29, 147, 4, // Skip to: 13355
-/* 12184 */   MCD_OPC_Decode, 160, 9, 17, // Opcode: MULQ_RS_W
-/* 12188 */   MCD_OPC_FilterValue, 32, 60, 0, // Skip to: 12252
-/* 12192 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 12195 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 12214
-/* 12199 */   MCD_OPC_CheckPredicate, 4, 128, 4, // Skip to: 13355
-/* 12203 */   MCD_OPC_CheckField, 21, 5, 0, 122, 4, // Skip to: 13355
-/* 12209 */   MCD_OPC_Decode, 160, 13, 182, 1, // Opcode: WSBH
-/* 12214 */   MCD_OPC_FilterValue, 16, 15, 0, // Skip to: 12233
-/* 12218 */   MCD_OPC_CheckPredicate, 4, 109, 4, // Skip to: 13355
-/* 12222 */   MCD_OPC_CheckField, 21, 5, 0, 103, 4, // Skip to: 13355
-/* 12228 */   MCD_OPC_Decode, 234, 10, 182, 1, // Opcode: SEB
-/* 12233 */   MCD_OPC_FilterValue, 24, 94, 4, // Skip to: 13355
-/* 12237 */   MCD_OPC_CheckPredicate, 4, 90, 4, // Skip to: 13355
-/* 12241 */   MCD_OPC_CheckField, 21, 5, 0, 84, 4, // Skip to: 13355
-/* 12247 */   MCD_OPC_Decode, 237, 10, 182, 1, // Opcode: SEH
-/* 12252 */   MCD_OPC_FilterValue, 48, 143, 1, // Skip to: 12655
-/* 12256 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 12259 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12277
-/* 12263 */   MCD_OPC_CheckPredicate, 29, 64, 4, // Skip to: 13355
-/* 12267 */   MCD_OPC_CheckField, 13, 3, 0, 58, 4, // Skip to: 13355
-/* 12273 */   MCD_OPC_Decode, 210, 4, 93, // Opcode: DPA_W_PH
-/* 12277 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 12295
-/* 12281 */   MCD_OPC_CheckPredicate, 29, 46, 4, // Skip to: 13355
-/* 12285 */   MCD_OPC_CheckField, 13, 3, 0, 40, 4, // Skip to: 13355
-/* 12291 */   MCD_OPC_Decode, 225, 4, 93, // Opcode: DPS_W_PH
-/* 12295 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 12313
-/* 12299 */   MCD_OPC_CheckPredicate, 29, 28, 4, // Skip to: 13355
-/* 12303 */   MCD_OPC_CheckField, 13, 3, 0, 22, 4, // Skip to: 13355
-/* 12309 */   MCD_OPC_Decode, 166, 9, 93, // Opcode: MULSA_W_PH
-/* 12313 */   MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 12331
-/* 12317 */   MCD_OPC_CheckPredicate, 11, 10, 4, // Skip to: 13355
-/* 12321 */   MCD_OPC_CheckField, 13, 3, 0, 4, 4, // Skip to: 13355
-/* 12327 */   MCD_OPC_Decode, 207, 4, 93, // Opcode: DPAU_H_QBL
-/* 12331 */   MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 12349
-/* 12335 */   MCD_OPC_CheckPredicate, 11, 248, 3, // Skip to: 13355
-/* 12339 */   MCD_OPC_CheckField, 13, 3, 0, 242, 3, // Skip to: 13355
-/* 12345 */   MCD_OPC_Decode, 206, 4, 93, // Opcode: DPAQ_S_W_PH
-/* 12349 */   MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 12367
-/* 12353 */   MCD_OPC_CheckPredicate, 11, 230, 3, // Skip to: 13355
-/* 12357 */   MCD_OPC_CheckField, 13, 3, 0, 224, 3, // Skip to: 13355
-/* 12363 */   MCD_OPC_Decode, 215, 4, 93, // Opcode: DPSQ_S_W_PH
-/* 12367 */   MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 12385
-/* 12371 */   MCD_OPC_CheckPredicate, 11, 212, 3, // Skip to: 13355
-/* 12375 */   MCD_OPC_CheckField, 13, 3, 0, 206, 3, // Skip to: 13355
-/* 12381 */   MCD_OPC_Decode, 165, 9, 93, // Opcode: MULSAQ_S_W_PH
-/* 12385 */   MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 12403
-/* 12389 */   MCD_OPC_CheckPredicate, 11, 194, 3, // Skip to: 13355
-/* 12393 */   MCD_OPC_CheckField, 13, 3, 0, 188, 3, // Skip to: 13355
-/* 12399 */   MCD_OPC_Decode, 208, 4, 93, // Opcode: DPAU_H_QBR
-/* 12403 */   MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 12421
-/* 12407 */   MCD_OPC_CheckPredicate, 29, 176, 3, // Skip to: 13355
-/* 12411 */   MCD_OPC_CheckField, 13, 3, 0, 170, 3, // Skip to: 13355
-/* 12417 */   MCD_OPC_Decode, 209, 4, 93, // Opcode: DPAX_W_PH
-/* 12421 */   MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 12439
-/* 12425 */   MCD_OPC_CheckPredicate, 29, 158, 3, // Skip to: 13355
-/* 12429 */   MCD_OPC_CheckField, 13, 3, 0, 152, 3, // Skip to: 13355
-/* 12435 */   MCD_OPC_Decode, 224, 4, 93, // Opcode: DPSX_W_PH
-/* 12439 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 12457
-/* 12443 */   MCD_OPC_CheckPredicate, 11, 140, 3, // Skip to: 13355
-/* 12447 */   MCD_OPC_CheckField, 13, 3, 0, 134, 3, // Skip to: 13355
-/* 12453 */   MCD_OPC_Decode, 222, 4, 93, // Opcode: DPSU_H_QBL
-/* 12457 */   MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 12475
-/* 12461 */   MCD_OPC_CheckPredicate, 11, 122, 3, // Skip to: 13355
-/* 12465 */   MCD_OPC_CheckField, 13, 3, 0, 116, 3, // Skip to: 13355
-/* 12471 */   MCD_OPC_Decode, 205, 4, 93, // Opcode: DPAQ_SA_L_W
-/* 12475 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 12493
-/* 12479 */   MCD_OPC_CheckPredicate, 11, 104, 3, // Skip to: 13355
-/* 12483 */   MCD_OPC_CheckField, 13, 3, 0, 98, 3, // Skip to: 13355
-/* 12489 */   MCD_OPC_Decode, 214, 4, 93, // Opcode: DPSQ_SA_L_W
-/* 12493 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 12511
-/* 12497 */   MCD_OPC_CheckPredicate, 11, 86, 3, // Skip to: 13355
-/* 12501 */   MCD_OPC_CheckField, 13, 3, 0, 80, 3, // Skip to: 13355
-/* 12507 */   MCD_OPC_Decode, 223, 4, 93, // Opcode: DPSU_H_QBR
-/* 12511 */   MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 12529
-/* 12515 */   MCD_OPC_CheckPredicate, 11, 68, 3, // Skip to: 13355
-/* 12519 */   MCD_OPC_CheckField, 13, 3, 0, 62, 3, // Skip to: 13355
-/* 12525 */   MCD_OPC_Decode, 241, 7, 93, // Opcode: MAQ_SA_W_PHL
-/* 12529 */   MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 12547
-/* 12533 */   MCD_OPC_CheckPredicate, 11, 50, 3, // Skip to: 13355
-/* 12537 */   MCD_OPC_CheckField, 13, 3, 0, 44, 3, // Skip to: 13355
-/* 12543 */   MCD_OPC_Decode, 242, 7, 93, // Opcode: MAQ_SA_W_PHR
-/* 12547 */   MCD_OPC_FilterValue, 20, 14, 0, // Skip to: 12565
-/* 12551 */   MCD_OPC_CheckPredicate, 11, 32, 3, // Skip to: 13355
-/* 12555 */   MCD_OPC_CheckField, 13, 3, 0, 26, 3, // Skip to: 13355
-/* 12561 */   MCD_OPC_Decode, 243, 7, 93, // Opcode: MAQ_S_W_PHL
-/* 12565 */   MCD_OPC_FilterValue, 22, 14, 0, // Skip to: 12583
-/* 12569 */   MCD_OPC_CheckPredicate, 11, 14, 3, // Skip to: 13355
-/* 12573 */   MCD_OPC_CheckField, 13, 3, 0, 8, 3, // Skip to: 13355
-/* 12579 */   MCD_OPC_Decode, 244, 7, 93, // Opcode: MAQ_S_W_PHR
-/* 12583 */   MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 12601
-/* 12587 */   MCD_OPC_CheckPredicate, 29, 252, 2, // Skip to: 13355
-/* 12591 */   MCD_OPC_CheckField, 13, 3, 0, 246, 2, // Skip to: 13355
-/* 12597 */   MCD_OPC_Decode, 204, 4, 93, // Opcode: DPAQX_S_W_PH
-/* 12601 */   MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 12619
-/* 12605 */   MCD_OPC_CheckPredicate, 29, 234, 2, // Skip to: 13355
-/* 12609 */   MCD_OPC_CheckField, 13, 3, 0, 228, 2, // Skip to: 13355
-/* 12615 */   MCD_OPC_Decode, 213, 4, 93, // Opcode: DPSQX_S_W_PH
-/* 12619 */   MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 12637
-/* 12623 */   MCD_OPC_CheckPredicate, 29, 216, 2, // Skip to: 13355
-/* 12627 */   MCD_OPC_CheckField, 13, 3, 0, 210, 2, // Skip to: 13355
-/* 12633 */   MCD_OPC_Decode, 203, 4, 93, // Opcode: DPAQX_SA_W_PH
-/* 12637 */   MCD_OPC_FilterValue, 27, 202, 2, // Skip to: 13355
-/* 12641 */   MCD_OPC_CheckPredicate, 29, 198, 2, // Skip to: 13355
-/* 12645 */   MCD_OPC_CheckField, 13, 3, 0, 192, 2, // Skip to: 13355
-/* 12651 */   MCD_OPC_Decode, 212, 4, 93, // Opcode: DPSQX_SA_W_PH
-/* 12655 */   MCD_OPC_FilterValue, 49, 41, 0, // Skip to: 12700
-/* 12659 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 12662 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 12674
-/* 12666 */   MCD_OPC_CheckPredicate, 29, 173, 2, // Skip to: 13355
-/* 12670 */   MCD_OPC_Decode, 86, 186, 1, // Opcode: APPEND
-/* 12674 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 12687
-/* 12678 */   MCD_OPC_CheckPredicate, 29, 161, 2, // Skip to: 13355
-/* 12682 */   MCD_OPC_Decode, 141, 10, 186, 1, // Opcode: PREPEND
-/* 12687 */   MCD_OPC_FilterValue, 16, 152, 2, // Skip to: 13355
-/* 12691 */   MCD_OPC_CheckPredicate, 29, 148, 2, // Skip to: 13355
-/* 12695 */   MCD_OPC_Decode, 158, 1, 186, 1, // Opcode: BALIGN
-/* 12700 */   MCD_OPC_FilterValue, 56, 58, 1, // Skip to: 13018
-/* 12704 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 12707 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 12726
-/* 12711 */   MCD_OPC_CheckPredicate, 11, 128, 2, // Skip to: 13355
-/* 12715 */   MCD_OPC_CheckField, 13, 3, 0, 122, 2, // Skip to: 13355
-/* 12721 */   MCD_OPC_Decode, 136, 5, 187, 1, // Opcode: EXTR_W
-/* 12726 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 12745
-/* 12730 */   MCD_OPC_CheckPredicate, 11, 109, 2, // Skip to: 13355
-/* 12734 */   MCD_OPC_CheckField, 13, 3, 0, 103, 2, // Skip to: 13355
-/* 12740 */   MCD_OPC_Decode, 132, 5, 188, 1, // Opcode: EXTRV_W
-/* 12745 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 12764
-/* 12749 */   MCD_OPC_CheckPredicate, 11, 90, 2, // Skip to: 13355
-/* 12753 */   MCD_OPC_CheckField, 13, 3, 0, 84, 2, // Skip to: 13355
-/* 12759 */   MCD_OPC_Decode, 253, 4, 187, 1, // Opcode: EXTP
-/* 12764 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 12783
-/* 12768 */   MCD_OPC_CheckPredicate, 11, 71, 2, // Skip to: 13355
-/* 12772 */   MCD_OPC_CheckField, 13, 3, 0, 65, 2, // Skip to: 13355
-/* 12778 */   MCD_OPC_Decode, 128, 5, 188, 1, // Opcode: EXTPV
-/* 12783 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 12802
-/* 12787 */   MCD_OPC_CheckPredicate, 11, 52, 2, // Skip to: 13355
-/* 12791 */   MCD_OPC_CheckField, 13, 3, 0, 46, 2, // Skip to: 13355
-/* 12797 */   MCD_OPC_Decode, 134, 5, 187, 1, // Opcode: EXTR_R_W
-/* 12802 */   MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 12821
-/* 12806 */   MCD_OPC_CheckPredicate, 11, 33, 2, // Skip to: 13355
-/* 12810 */   MCD_OPC_CheckField, 13, 3, 0, 27, 2, // Skip to: 13355
-/* 12816 */   MCD_OPC_Decode, 130, 5, 188, 1, // Opcode: EXTRV_R_W
-/* 12821 */   MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 12840
-/* 12825 */   MCD_OPC_CheckPredicate, 11, 14, 2, // Skip to: 13355
-/* 12829 */   MCD_OPC_CheckField, 13, 3, 0, 8, 2, // Skip to: 13355
-/* 12835 */   MCD_OPC_Decode, 133, 5, 187, 1, // Opcode: EXTR_RS_W
-/* 12840 */   MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 12859
-/* 12844 */   MCD_OPC_CheckPredicate, 11, 251, 1, // Skip to: 13355
-/* 12848 */   MCD_OPC_CheckField, 13, 3, 0, 245, 1, // Skip to: 13355
-/* 12854 */   MCD_OPC_Decode, 129, 5, 188, 1, // Opcode: EXTRV_RS_W
-/* 12859 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 12878
-/* 12863 */   MCD_OPC_CheckPredicate, 11, 232, 1, // Skip to: 13355
-/* 12867 */   MCD_OPC_CheckField, 13, 3, 0, 226, 1, // Skip to: 13355
-/* 12873 */   MCD_OPC_Decode, 254, 4, 187, 1, // Opcode: EXTPDP
-/* 12878 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 12897
-/* 12882 */   MCD_OPC_CheckPredicate, 11, 213, 1, // Skip to: 13355
-/* 12886 */   MCD_OPC_CheckField, 13, 3, 0, 207, 1, // Skip to: 13355
-/* 12892 */   MCD_OPC_Decode, 255, 4, 188, 1, // Opcode: EXTPDPV
-/* 12897 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 12916
-/* 12901 */   MCD_OPC_CheckPredicate, 11, 194, 1, // Skip to: 13355
-/* 12905 */   MCD_OPC_CheckField, 13, 3, 0, 188, 1, // Skip to: 13355
-/* 12911 */   MCD_OPC_Decode, 135, 5, 187, 1, // Opcode: EXTR_S_H
-/* 12916 */   MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 12935
-/* 12920 */   MCD_OPC_CheckPredicate, 11, 175, 1, // Skip to: 13355
-/* 12924 */   MCD_OPC_CheckField, 13, 3, 0, 169, 1, // Skip to: 13355
-/* 12930 */   MCD_OPC_Decode, 131, 5, 188, 1, // Opcode: EXTRV_S_H
-/* 12935 */   MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 12948
-/* 12939 */   MCD_OPC_CheckPredicate, 11, 156, 1, // Skip to: 13355
-/* 12943 */   MCD_OPC_Decode, 179, 10, 189, 1, // Opcode: RDDSP
-/* 12948 */   MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 12961
-/* 12952 */   MCD_OPC_CheckPredicate, 11, 143, 1, // Skip to: 13355
-/* 12956 */   MCD_OPC_Decode, 159, 13, 190, 1, // Opcode: WRDSP
-/* 12961 */   MCD_OPC_FilterValue, 26, 15, 0, // Skip to: 12980
-/* 12965 */   MCD_OPC_CheckPredicate, 11, 130, 1, // Skip to: 13355
-/* 12969 */   MCD_OPC_CheckField, 13, 7, 0, 124, 1, // Skip to: 13355
-/* 12975 */   MCD_OPC_Decode, 129, 11, 191, 1, // Opcode: SHILO
-/* 12980 */   MCD_OPC_FilterValue, 27, 15, 0, // Skip to: 12999
-/* 12984 */   MCD_OPC_CheckPredicate, 11, 111, 1, // Skip to: 13355
-/* 12988 */   MCD_OPC_CheckField, 13, 8, 0, 105, 1, // Skip to: 13355
-/* 12994 */   MCD_OPC_Decode, 130, 11, 192, 1, // Opcode: SHILOV
-/* 12999 */   MCD_OPC_FilterValue, 31, 96, 1, // Skip to: 13355
-/* 13003 */   MCD_OPC_CheckPredicate, 11, 92, 1, // Skip to: 13355
-/* 13007 */   MCD_OPC_CheckField, 13, 8, 0, 86, 1, // Skip to: 13355
-/* 13013 */   MCD_OPC_Decode, 141, 9, 192, 1, // Opcode: MTHLIP
-/* 13018 */   MCD_OPC_FilterValue, 59, 77, 1, // Skip to: 13355
-/* 13022 */   MCD_OPC_CheckPredicate, 1, 73, 1, // Skip to: 13355
-/* 13026 */   MCD_OPC_CheckField, 21, 5, 0, 67, 1, // Skip to: 13355
-/* 13032 */   MCD_OPC_CheckField, 6, 5, 0, 61, 1, // Skip to: 13355
-/* 13038 */   MCD_OPC_Decode, 180, 10, 193, 1, // Opcode: RDHWR
-/* 13043 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 13056
-/* 13047 */   MCD_OPC_CheckPredicate, 1, 48, 1, // Skip to: 13355
-/* 13051 */   MCD_OPC_Decode, 254, 6, 194, 1, // Opcode: LB
-/* 13056 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 13069
-/* 13060 */   MCD_OPC_CheckPredicate, 1, 35, 1, // Skip to: 13355
-/* 13064 */   MCD_OPC_Decode, 156, 7, 194, 1, // Opcode: LH
-/* 13069 */   MCD_OPC_FilterValue, 34, 9, 0, // Skip to: 13082
-/* 13073 */   MCD_OPC_CheckPredicate, 10, 22, 1, // Skip to: 13355
-/* 13077 */   MCD_OPC_Decode, 190, 7, 194, 1, // Opcode: LWL
-/* 13082 */   MCD_OPC_FilterValue, 35, 9, 0, // Skip to: 13095
-/* 13086 */   MCD_OPC_CheckPredicate, 1, 9, 1, // Skip to: 13355
-/* 13090 */   MCD_OPC_Decode, 183, 7, 194, 1, // Opcode: LW
-/* 13095 */   MCD_OPC_FilterValue, 36, 9, 0, // Skip to: 13108
-/* 13099 */   MCD_OPC_CheckPredicate, 1, 252, 0, // Skip to: 13355
-/* 13103 */   MCD_OPC_Decode, 130, 7, 194, 1, // Opcode: LBu
-/* 13108 */   MCD_OPC_FilterValue, 37, 9, 0, // Skip to: 13121
-/* 13112 */   MCD_OPC_CheckPredicate, 1, 239, 0, // Skip to: 13355
-/* 13116 */   MCD_OPC_Decode, 160, 7, 194, 1, // Opcode: LHu
-/* 13121 */   MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 13134
-/* 13125 */   MCD_OPC_CheckPredicate, 10, 226, 0, // Skip to: 13355
-/* 13129 */   MCD_OPC_Decode, 194, 7, 194, 1, // Opcode: LWR
-/* 13134 */   MCD_OPC_FilterValue, 40, 9, 0, // Skip to: 13147
-/* 13138 */   MCD_OPC_CheckPredicate, 1, 213, 0, // Skip to: 13355
-/* 13142 */   MCD_OPC_Decode, 211, 10, 194, 1, // Opcode: SB
-/* 13147 */   MCD_OPC_FilterValue, 41, 9, 0, // Skip to: 13160
-/* 13151 */   MCD_OPC_CheckPredicate, 1, 200, 0, // Skip to: 13355
-/* 13155 */   MCD_OPC_Decode, 252, 10, 194, 1, // Opcode: SH
-/* 13160 */   MCD_OPC_FilterValue, 42, 9, 0, // Skip to: 13173
-/* 13164 */   MCD_OPC_CheckPredicate, 10, 187, 0, // Skip to: 13355
-/* 13168 */   MCD_OPC_Decode, 175, 12, 194, 1, // Opcode: SWL
-/* 13173 */   MCD_OPC_FilterValue, 43, 9, 0, // Skip to: 13186
-/* 13177 */   MCD_OPC_CheckPredicate, 1, 174, 0, // Skip to: 13355
-/* 13181 */   MCD_OPC_Decode, 168, 12, 194, 1, // Opcode: SW
-/* 13186 */   MCD_OPC_FilterValue, 46, 9, 0, // Skip to: 13199
-/* 13190 */   MCD_OPC_CheckPredicate, 10, 161, 0, // Skip to: 13355
-/* 13194 */   MCD_OPC_Decode, 178, 12, 194, 1, // Opcode: SWR
-/* 13199 */   MCD_OPC_FilterValue, 47, 9, 0, // Skip to: 13212
-/* 13203 */   MCD_OPC_CheckPredicate, 30, 148, 0, // Skip to: 13355
-/* 13207 */   MCD_OPC_Decode, 201, 2, 195, 1, // Opcode: CACHE
-/* 13212 */   MCD_OPC_FilterValue, 48, 9, 0, // Skip to: 13225
-/* 13216 */   MCD_OPC_CheckPredicate, 31, 135, 0, // Skip to: 13355
-/* 13220 */   MCD_OPC_Decode, 163, 7, 194, 1, // Opcode: LL
-/* 13225 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 13238
-/* 13229 */   MCD_OPC_CheckPredicate, 1, 122, 0, // Skip to: 13355
-/* 13233 */   MCD_OPC_Decode, 185, 7, 196, 1, // Opcode: LWC1
-/* 13238 */   MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 13251
-/* 13242 */   MCD_OPC_CheckPredicate, 12, 109, 0, // Skip to: 13355
-/* 13246 */   MCD_OPC_Decode, 187, 7, 197, 1, // Opcode: LWC2
-/* 13251 */   MCD_OPC_FilterValue, 51, 9, 0, // Skip to: 13264
-/* 13255 */   MCD_OPC_CheckPredicate, 30, 96, 0, // Skip to: 13355
-/* 13259 */   MCD_OPC_Decode, 139, 10, 195, 1, // Opcode: PREF
-/* 13264 */   MCD_OPC_FilterValue, 53, 9, 0, // Skip to: 13277
-/* 13268 */   MCD_OPC_CheckPredicate, 32, 83, 0, // Skip to: 13355
-/* 13272 */   MCD_OPC_Decode, 134, 7, 196, 1, // Opcode: LDC1
-/* 13277 */   MCD_OPC_FilterValue, 54, 9, 0, // Skip to: 13290
-/* 13281 */   MCD_OPC_CheckPredicate, 14, 70, 0, // Skip to: 13355
-/* 13285 */   MCD_OPC_Decode, 137, 7, 197, 1, // Opcode: LDC2
-/* 13290 */   MCD_OPC_FilterValue, 56, 9, 0, // Skip to: 13303
-/* 13294 */   MCD_OPC_CheckPredicate, 31, 57, 0, // Skip to: 13355
-/* 13298 */   MCD_OPC_Decode, 214, 10, 194, 1, // Opcode: SC
-/* 13303 */   MCD_OPC_FilterValue, 57, 9, 0, // Skip to: 13316
-/* 13307 */   MCD_OPC_CheckPredicate, 1, 44, 0, // Skip to: 13355
-/* 13311 */   MCD_OPC_Decode, 170, 12, 196, 1, // Opcode: SWC1
-/* 13316 */   MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 13329
-/* 13320 */   MCD_OPC_CheckPredicate, 12, 31, 0, // Skip to: 13355
-/* 13324 */   MCD_OPC_Decode, 172, 12, 197, 1, // Opcode: SWC2
-/* 13329 */   MCD_OPC_FilterValue, 61, 9, 0, // Skip to: 13342
-/* 13333 */   MCD_OPC_CheckPredicate, 32, 18, 0, // Skip to: 13355
-/* 13337 */   MCD_OPC_Decode, 222, 10, 196, 1, // Opcode: SDC1
-/* 13342 */   MCD_OPC_FilterValue, 62, 9, 0, // Skip to: 13355
-/* 13346 */   MCD_OPC_CheckPredicate, 14, 5, 0, // Skip to: 13355
-/* 13350 */   MCD_OPC_Decode, 225, 10, 197, 1, // Opcode: SDC2
-/* 13355 */   MCD_OPC_Fail,
+/* 1115 */    MCD_OPC_CheckPredicate, 16, 63, 49, // Skip to: 13726
+/* 1119 */    MCD_OPC_Decode, 221, 1, 73, // Opcode: BGEZALL
+/* 1123 */    MCD_OPC_FilterValue, 28, 14, 0, // Skip to: 1141
+/* 1127 */    MCD_OPC_CheckPredicate, 12, 51, 49, // Skip to: 13726
+/* 1131 */    MCD_OPC_CheckField, 21, 5, 0, 45, 49, // Skip to: 13726
+/* 1137 */    MCD_OPC_Decode, 169, 2, 75, // Opcode: BPOSGE32
+/* 1141 */    MCD_OPC_FilterValue, 31, 37, 49, // Skip to: 13726
+/* 1145 */    MCD_OPC_CheckPredicate, 6, 33, 49, // Skip to: 13726
+/* 1149 */    MCD_OPC_Decode, 130, 13, 76, // Opcode: SYNCI
+/* 1153 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1165
+/* 1157 */    MCD_OPC_CheckPredicate, 10, 21, 49, // Skip to: 13726
+/* 1161 */    MCD_OPC_Decode, 247, 6, 77, // Opcode: J
+/* 1165 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1177
+/* 1169 */    MCD_OPC_CheckPredicate, 5, 9, 49, // Skip to: 13726
+/* 1173 */    MCD_OPC_Decode, 248, 6, 77, // Opcode: JAL
+/* 1177 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1189
+/* 1181 */    MCD_OPC_CheckPredicate, 5, 253, 48, // Skip to: 13726
+/* 1185 */    MCD_OPC_Decode, 206, 1, 78, // Opcode: BEQ
+/* 1189 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1201
+/* 1193 */    MCD_OPC_CheckPredicate, 5, 241, 48, // Skip to: 13726
+/* 1197 */    MCD_OPC_Decode, 145, 2, 78, // Opcode: BNE
+/* 1201 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1219
+/* 1205 */    MCD_OPC_CheckPredicate, 5, 229, 48, // Skip to: 13726
+/* 1209 */    MCD_OPC_CheckField, 16, 5, 0, 223, 48, // Skip to: 13726
+/* 1215 */    MCD_OPC_Decode, 251, 1, 73, // Opcode: BLEZ
+/* 1219 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1237
+/* 1223 */    MCD_OPC_CheckPredicate, 5, 211, 48, // Skip to: 13726
+/* 1227 */    MCD_OPC_CheckField, 16, 5, 0, 205, 48, // Skip to: 13726
+/* 1233 */    MCD_OPC_Decode, 227, 1, 73, // Opcode: BGTZ
+/* 1237 */    MCD_OPC_FilterValue, 8, 7, 0, // Skip to: 1248
+/* 1241 */    MCD_OPC_CheckPredicate, 13, 193, 48, // Skip to: 13726
+/* 1245 */    MCD_OPC_Decode, 73, 79, // Opcode: ADDi
+/* 1248 */    MCD_OPC_FilterValue, 9, 7, 0, // Skip to: 1259
+/* 1252 */    MCD_OPC_CheckPredicate, 1, 182, 48, // Skip to: 13726
+/* 1256 */    MCD_OPC_Decode, 75, 79, // Opcode: ADDiu
+/* 1259 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1271
+/* 1263 */    MCD_OPC_CheckPredicate, 5, 171, 48, // Skip to: 13726
+/* 1267 */    MCD_OPC_Decode, 243, 11, 79, // Opcode: SLTi
+/* 1271 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1283
+/* 1275 */    MCD_OPC_CheckPredicate, 5, 159, 48, // Skip to: 13726
+/* 1279 */    MCD_OPC_Decode, 246, 11, 79, // Opcode: SLTiu
+/* 1283 */    MCD_OPC_FilterValue, 12, 7, 0, // Skip to: 1294
+/* 1287 */    MCD_OPC_CheckPredicate, 1, 147, 48, // Skip to: 13726
+/* 1291 */    MCD_OPC_Decode, 93, 80, // Opcode: ANDi
+/* 1294 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1306
+/* 1298 */    MCD_OPC_CheckPredicate, 5, 136, 48, // Skip to: 13726
+/* 1302 */    MCD_OPC_Decode, 142, 10, 80, // Opcode: ORi
+/* 1306 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1318
+/* 1310 */    MCD_OPC_CheckPredicate, 5, 124, 48, // Skip to: 13726
+/* 1314 */    MCD_OPC_Decode, 245, 13, 80, // Opcode: XORi
+/* 1318 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 1336
+/* 1322 */    MCD_OPC_CheckPredicate, 5, 112, 48, // Skip to: 13726
+/* 1326 */    MCD_OPC_CheckField, 21, 5, 0, 106, 48, // Skip to: 13726
+/* 1332 */    MCD_OPC_Decode, 210, 7, 52, // Opcode: LUi
+/* 1336 */    MCD_OPC_FilterValue, 16, 220, 0, // Skip to: 1560
+/* 1340 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 1343 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1361
+/* 1347 */    MCD_OPC_CheckPredicate, 10, 87, 48, // Skip to: 13726
+/* 1351 */    MCD_OPC_CheckField, 3, 8, 0, 81, 48, // Skip to: 13726
+/* 1357 */    MCD_OPC_Decode, 179, 8, 81, // Opcode: MFC0
+/* 1361 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1379
+/* 1365 */    MCD_OPC_CheckPredicate, 10, 69, 48, // Skip to: 13726
+/* 1369 */    MCD_OPC_CheckField, 3, 8, 0, 63, 48, // Skip to: 13726
+/* 1375 */    MCD_OPC_Decode, 169, 9, 81, // Opcode: MTC0
+/* 1379 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 1434
+/* 1383 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 1386 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1398
+/* 1390 */    MCD_OPC_CheckPredicate, 13, 44, 48, // Skip to: 13726
+/* 1394 */    MCD_OPC_Decode, 176, 1, 82, // Opcode: BC0F
+/* 1398 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1410
+/* 1402 */    MCD_OPC_CheckPredicate, 13, 32, 48, // Skip to: 13726
+/* 1406 */    MCD_OPC_Decode, 178, 1, 82, // Opcode: BC0T
+/* 1410 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1422
+/* 1414 */    MCD_OPC_CheckPredicate, 13, 20, 48, // Skip to: 13726
+/* 1418 */    MCD_OPC_Decode, 177, 1, 82, // Opcode: BC0FL
+/* 1422 */    MCD_OPC_FilterValue, 3, 12, 48, // Skip to: 13726
+/* 1426 */    MCD_OPC_CheckPredicate, 13, 8, 48, // Skip to: 13726
+/* 1430 */    MCD_OPC_Decode, 179, 1, 82, // Opcode: BC0TL
+/* 1434 */    MCD_OPC_FilterValue, 11, 31, 0, // Skip to: 1469
+/* 1438 */    MCD_OPC_ExtractField, 0, 16,  // Inst{15-0} ...
+/* 1441 */    MCD_OPC_FilterValue, 128, 192, 1, 8, 0, // Skip to: 1455
+/* 1447 */    MCD_OPC_CheckPredicate, 6, 243, 47, // Skip to: 13726
+/* 1451 */    MCD_OPC_Decode, 179, 4, 42, // Opcode: DI
+/* 1455 */    MCD_OPC_FilterValue, 160, 192, 1, 233, 47, // Skip to: 13726
+/* 1461 */    MCD_OPC_CheckPredicate, 6, 229, 47, // Skip to: 13726
+/* 1465 */    MCD_OPC_Decode, 141, 5, 42, // Opcode: EI
+/* 1469 */    MCD_OPC_FilterValue, 16, 221, 47, // Skip to: 13726
+/* 1473 */    MCD_OPC_ExtractField, 0, 21,  // Inst{20-0} ...
+/* 1476 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1488
+/* 1480 */    MCD_OPC_CheckPredicate, 5, 210, 47, // Skip to: 13726
+/* 1484 */    MCD_OPC_Decode, 196, 13, 0, // Opcode: TLBR
+/* 1488 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1500
+/* 1492 */    MCD_OPC_CheckPredicate, 5, 198, 47, // Skip to: 13726
+/* 1496 */    MCD_OPC_Decode, 198, 13, 0, // Opcode: TLBWI
+/* 1500 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1512
+/* 1504 */    MCD_OPC_CheckPredicate, 5, 186, 47, // Skip to: 13726
+/* 1508 */    MCD_OPC_Decode, 200, 13, 0, // Opcode: TLBWR
+/* 1512 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1524
+/* 1516 */    MCD_OPC_CheckPredicate, 5, 174, 47, // Skip to: 13726
+/* 1520 */    MCD_OPC_Decode, 194, 13, 0, // Opcode: TLBP
+/* 1524 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 1536
+/* 1528 */    MCD_OPC_CheckPredicate, 17, 162, 47, // Skip to: 13726
+/* 1532 */    MCD_OPC_Decode, 143, 5, 0, // Opcode: ERET
+/* 1536 */    MCD_OPC_FilterValue, 31, 8, 0, // Skip to: 1548
+/* 1540 */    MCD_OPC_CheckPredicate, 10, 150, 47, // Skip to: 13726
+/* 1544 */    MCD_OPC_Decode, 174, 4, 0, // Opcode: DERET
+/* 1548 */    MCD_OPC_FilterValue, 32, 142, 47, // Skip to: 13726
+/* 1552 */    MCD_OPC_CheckPredicate, 18, 138, 47, // Skip to: 13726
+/* 1556 */    MCD_OPC_Decode, 231, 13, 0, // Opcode: WAIT
+/* 1560 */    MCD_OPC_FilterValue, 17, 21, 6, // Skip to: 3121
+/* 1564 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 1567 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 1585
+/* 1571 */    MCD_OPC_CheckPredicate, 5, 119, 47, // Skip to: 13726
+/* 1575 */    MCD_OPC_CheckField, 0, 11, 0, 113, 47, // Skip to: 13726
+/* 1581 */    MCD_OPC_Decode, 180, 8, 83, // Opcode: MFC1
+/* 1585 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 1603
+/* 1589 */    MCD_OPC_CheckPredicate, 19, 101, 47, // Skip to: 13726
+/* 1593 */    MCD_OPC_CheckField, 0, 11, 0, 95, 47, // Skip to: 13726
+/* 1599 */    MCD_OPC_Decode, 197, 4, 84, // Opcode: DMFC1
+/* 1603 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 1621
+/* 1607 */    MCD_OPC_CheckPredicate, 5, 83, 47, // Skip to: 13726
+/* 1611 */    MCD_OPC_CheckField, 0, 11, 0, 77, 47, // Skip to: 13726
+/* 1617 */    MCD_OPC_Decode, 238, 2, 85, // Opcode: CFC1
+/* 1621 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 1639
+/* 1625 */    MCD_OPC_CheckPredicate, 20, 65, 47, // Skip to: 13726
+/* 1629 */    MCD_OPC_CheckField, 0, 11, 0, 59, 47, // Skip to: 13726
+/* 1635 */    MCD_OPC_Decode, 183, 8, 86, // Opcode: MFHC1_D32
+/* 1639 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1657
+/* 1643 */    MCD_OPC_CheckPredicate, 5, 47, 47, // Skip to: 13726
+/* 1647 */    MCD_OPC_CheckField, 0, 11, 0, 41, 47, // Skip to: 13726
+/* 1653 */    MCD_OPC_Decode, 170, 9, 87, // Opcode: MTC1
+/* 1657 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 1675
+/* 1661 */    MCD_OPC_CheckPredicate, 19, 29, 47, // Skip to: 13726
+/* 1665 */    MCD_OPC_CheckField, 0, 11, 0, 23, 47, // Skip to: 13726
+/* 1671 */    MCD_OPC_Decode, 202, 4, 88, // Opcode: DMTC1
+/* 1675 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1693
+/* 1679 */    MCD_OPC_CheckPredicate, 5, 11, 47, // Skip to: 13726
+/* 1683 */    MCD_OPC_CheckField, 0, 11, 0, 5, 47, // Skip to: 13726
+/* 1689 */    MCD_OPC_Decode, 210, 3, 89, // Opcode: CTC1
+/* 1693 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1711
+/* 1697 */    MCD_OPC_CheckPredicate, 20, 249, 46, // Skip to: 13726
+/* 1701 */    MCD_OPC_CheckField, 0, 11, 0, 243, 46, // Skip to: 13726
+/* 1707 */    MCD_OPC_Decode, 173, 9, 90, // Opcode: MTHC1_D32
+/* 1711 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 1766
+/* 1715 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 1718 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1730
+/* 1722 */    MCD_OPC_CheckPredicate, 13, 224, 46, // Skip to: 13726
+/* 1726 */    MCD_OPC_Decode, 181, 1, 91, // Opcode: BC1F
+/* 1730 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1742
+/* 1734 */    MCD_OPC_CheckPredicate, 13, 212, 46, // Skip to: 13726
+/* 1738 */    MCD_OPC_Decode, 185, 1, 91, // Opcode: BC1T
+/* 1742 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1754
+/* 1746 */    MCD_OPC_CheckPredicate, 16, 200, 46, // Skip to: 13726
+/* 1750 */    MCD_OPC_Decode, 182, 1, 91, // Opcode: BC1FL
+/* 1754 */    MCD_OPC_FilterValue, 3, 192, 46, // Skip to: 13726
+/* 1758 */    MCD_OPC_CheckPredicate, 16, 188, 46, // Skip to: 13726
+/* 1762 */    MCD_OPC_Decode, 186, 1, 91, // Opcode: BC1TL
+/* 1766 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1778
+/* 1770 */    MCD_OPC_CheckPredicate, 8, 176, 46, // Skip to: 13726
+/* 1774 */    MCD_OPC_Decode, 192, 2, 92, // Opcode: BZ_V
+/* 1778 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 1790
+/* 1782 */    MCD_OPC_CheckPredicate, 8, 164, 46, // Skip to: 13726
+/* 1786 */    MCD_OPC_Decode, 166, 2, 92, // Opcode: BNZ_V
+/* 1790 */    MCD_OPC_FilterValue, 16, 80, 2, // Skip to: 2386
+/* 1794 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 1797 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1809
+/* 1801 */    MCD_OPC_CheckPredicate, 5, 145, 46, // Skip to: 13726
+/* 1805 */    MCD_OPC_Decode, 174, 5, 93, // Opcode: FADD_S
+/* 1809 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1821
+/* 1813 */    MCD_OPC_CheckPredicate, 5, 133, 46, // Skip to: 13726
+/* 1817 */    MCD_OPC_Decode, 176, 6, 93, // Opcode: FSUB_S
+/* 1821 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1833
+/* 1825 */    MCD_OPC_CheckPredicate, 5, 121, 46, // Skip to: 13726
+/* 1829 */    MCD_OPC_Decode, 139, 6, 93, // Opcode: FMUL_S
+/* 1833 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1845
+/* 1837 */    MCD_OPC_CheckPredicate, 5, 109, 46, // Skip to: 13726
+/* 1841 */    MCD_OPC_Decode, 210, 5, 93, // Opcode: FDIV_S
+/* 1845 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 1863
+/* 1849 */    MCD_OPC_CheckPredicate, 15, 97, 46, // Skip to: 13726
+/* 1853 */    MCD_OPC_CheckField, 16, 5, 0, 91, 46, // Skip to: 13726
+/* 1859 */    MCD_OPC_Decode, 169, 6, 94, // Opcode: FSQRT_S
+/* 1863 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 1881
+/* 1867 */    MCD_OPC_CheckPredicate, 5, 79, 46, // Skip to: 13726
+/* 1871 */    MCD_OPC_CheckField, 16, 5, 0, 73, 46, // Skip to: 13726
+/* 1877 */    MCD_OPC_Decode, 167, 5, 94, // Opcode: FABS_S
+/* 1881 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 1899
+/* 1885 */    MCD_OPC_CheckPredicate, 5, 61, 46, // Skip to: 13726
+/* 1889 */    MCD_OPC_CheckField, 16, 5, 0, 55, 46, // Skip to: 13726
+/* 1895 */    MCD_OPC_Decode, 131, 6, 94, // Opcode: FMOV_S
+/* 1899 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 1917
+/* 1903 */    MCD_OPC_CheckPredicate, 5, 43, 46, // Skip to: 13726
+/* 1907 */    MCD_OPC_CheckField, 16, 5, 0, 37, 46, // Skip to: 13726
+/* 1913 */    MCD_OPC_Decode, 145, 6, 94, // Opcode: FNEG_S
+/* 1917 */    MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 1935
+/* 1921 */    MCD_OPC_CheckPredicate, 15, 25, 46, // Skip to: 13726
+/* 1925 */    MCD_OPC_CheckField, 16, 5, 0, 19, 46, // Skip to: 13726
+/* 1931 */    MCD_OPC_Decode, 128, 11, 94, // Opcode: ROUND_W_S
+/* 1935 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 1953
+/* 1939 */    MCD_OPC_CheckPredicate, 15, 7, 46, // Skip to: 13726
+/* 1943 */    MCD_OPC_CheckField, 16, 5, 0, 1, 46, // Skip to: 13726
+/* 1949 */    MCD_OPC_Decode, 219, 13, 94, // Opcode: TRUNC_W_S
+/* 1953 */    MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 1971
+/* 1957 */    MCD_OPC_CheckPredicate, 15, 245, 45, // Skip to: 13726
+/* 1961 */    MCD_OPC_CheckField, 16, 5, 0, 239, 45, // Skip to: 13726
+/* 1967 */    MCD_OPC_Decode, 228, 2, 94, // Opcode: CEIL_W_S
+/* 1971 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 1989
+/* 1975 */    MCD_OPC_CheckPredicate, 15, 227, 45, // Skip to: 13726
+/* 1979 */    MCD_OPC_CheckField, 16, 5, 0, 221, 45, // Skip to: 13726
+/* 1985 */    MCD_OPC_Decode, 244, 5, 94, // Opcode: FLOOR_W_S
+/* 1989 */    MCD_OPC_FilterValue, 17, 27, 0, // Skip to: 2020
+/* 1993 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 1996 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2008
+/* 2000 */    MCD_OPC_CheckPredicate, 7, 202, 45, // Skip to: 13726
+/* 2004 */    MCD_OPC_Decode, 242, 8, 95, // Opcode: MOVF_S
+/* 2008 */    MCD_OPC_FilterValue, 1, 194, 45, // Skip to: 13726
+/* 2012 */    MCD_OPC_CheckPredicate, 7, 190, 45, // Skip to: 13726
+/* 2016 */    MCD_OPC_Decode, 134, 9, 95, // Opcode: MOVT_S
+/* 2020 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 2032
+/* 2024 */    MCD_OPC_CheckPredicate, 7, 178, 45, // Skip to: 13726
+/* 2028 */    MCD_OPC_Decode, 146, 9, 96, // Opcode: MOVZ_I_S
+/* 2032 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 2044
+/* 2036 */    MCD_OPC_CheckPredicate, 7, 166, 45, // Skip to: 13726
+/* 2040 */    MCD_OPC_Decode, 254, 8, 96, // Opcode: MOVN_I_S
+/* 2044 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 2062
+/* 2048 */    MCD_OPC_CheckPredicate, 21, 154, 45, // Skip to: 13726
+/* 2052 */    MCD_OPC_CheckField, 16, 5, 0, 148, 45, // Skip to: 13726
+/* 2058 */    MCD_OPC_Decode, 213, 3, 97, // Opcode: CVT_D32_S
+/* 2062 */    MCD_OPC_FilterValue, 36, 14, 0, // Skip to: 2080
+/* 2066 */    MCD_OPC_CheckPredicate, 5, 136, 45, // Skip to: 13726
+/* 2070 */    MCD_OPC_CheckField, 16, 5, 0, 130, 45, // Skip to: 13726
+/* 2076 */    MCD_OPC_Decode, 233, 3, 94, // Opcode: CVT_W_S
+/* 2080 */    MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 2098
+/* 2084 */    MCD_OPC_CheckPredicate, 22, 118, 45, // Skip to: 13726
+/* 2088 */    MCD_OPC_CheckField, 16, 5, 0, 112, 45, // Skip to: 13726
+/* 2094 */    MCD_OPC_Decode, 222, 3, 98, // Opcode: CVT_L_S
+/* 2098 */    MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 2116
+/* 2102 */    MCD_OPC_CheckPredicate, 13, 100, 45, // Skip to: 13726
+/* 2106 */    MCD_OPC_CheckField, 6, 5, 0, 94, 45, // Skip to: 13726
+/* 2112 */    MCD_OPC_Decode, 240, 3, 99, // Opcode: C_F_S
+/* 2116 */    MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 2134
+/* 2120 */    MCD_OPC_CheckPredicate, 13, 82, 45, // Skip to: 13726
+/* 2124 */    MCD_OPC_CheckField, 6, 5, 0, 76, 45, // Skip to: 13726
+/* 2130 */    MCD_OPC_Decode, 154, 4, 99, // Opcode: C_UN_S
+/* 2134 */    MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 2152
+/* 2138 */    MCD_OPC_CheckPredicate, 13, 64, 45, // Skip to: 13726
+/* 2142 */    MCD_OPC_CheckField, 6, 5, 0, 58, 45, // Skip to: 13726
+/* 2148 */    MCD_OPC_Decode, 237, 3, 99, // Opcode: C_EQ_S
+/* 2152 */    MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 2170
+/* 2156 */    MCD_OPC_CheckPredicate, 13, 46, 45, // Skip to: 13726
+/* 2160 */    MCD_OPC_CheckField, 6, 5, 0, 40, 45, // Skip to: 13726
+/* 2166 */    MCD_OPC_Decode, 145, 4, 99, // Opcode: C_UEQ_S
+/* 2170 */    MCD_OPC_FilterValue, 52, 14, 0, // Skip to: 2188
+/* 2174 */    MCD_OPC_CheckPredicate, 13, 28, 45, // Skip to: 13726
+/* 2178 */    MCD_OPC_CheckField, 6, 5, 0, 22, 45, // Skip to: 13726
+/* 2184 */    MCD_OPC_Decode, 136, 4, 99, // Opcode: C_OLT_S
+/* 2188 */    MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 2206
+/* 2192 */    MCD_OPC_CheckPredicate, 13, 10, 45, // Skip to: 13726
+/* 2196 */    MCD_OPC_CheckField, 6, 5, 0, 4, 45, // Skip to: 13726
+/* 2202 */    MCD_OPC_Decode, 151, 4, 99, // Opcode: C_ULT_S
+/* 2206 */    MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 2224
+/* 2210 */    MCD_OPC_CheckPredicate, 13, 248, 44, // Skip to: 13726
+/* 2214 */    MCD_OPC_CheckField, 6, 5, 0, 242, 44, // Skip to: 13726
+/* 2220 */    MCD_OPC_Decode, 133, 4, 99, // Opcode: C_OLE_S
+/* 2224 */    MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 2242
+/* 2228 */    MCD_OPC_CheckPredicate, 13, 230, 44, // Skip to: 13726
+/* 2232 */    MCD_OPC_CheckField, 6, 5, 0, 224, 44, // Skip to: 13726
+/* 2238 */    MCD_OPC_Decode, 148, 4, 99, // Opcode: C_ULE_S
+/* 2242 */    MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 2260
+/* 2246 */    MCD_OPC_CheckPredicate, 13, 212, 44, // Skip to: 13726
+/* 2250 */    MCD_OPC_CheckField, 6, 5, 0, 206, 44, // Skip to: 13726
+/* 2256 */    MCD_OPC_Decode, 142, 4, 99, // Opcode: C_SF_S
+/* 2260 */    MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 2278
+/* 2264 */    MCD_OPC_CheckPredicate, 13, 194, 44, // Skip to: 13726
+/* 2268 */    MCD_OPC_CheckField, 6, 5, 0, 188, 44, // Skip to: 13726
+/* 2274 */    MCD_OPC_Decode, 252, 3, 99, // Opcode: C_NGLE_S
+/* 2278 */    MCD_OPC_FilterValue, 58, 14, 0, // Skip to: 2296
+/* 2282 */    MCD_OPC_CheckPredicate, 13, 176, 44, // Skip to: 13726
+/* 2286 */    MCD_OPC_CheckField, 6, 5, 0, 170, 44, // Skip to: 13726
+/* 2292 */    MCD_OPC_Decode, 139, 4, 99, // Opcode: C_SEQ_S
+/* 2296 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 2314
+/* 2300 */    MCD_OPC_CheckPredicate, 13, 158, 44, // Skip to: 13726
+/* 2304 */    MCD_OPC_CheckField, 6, 5, 0, 152, 44, // Skip to: 13726
+/* 2310 */    MCD_OPC_Decode, 255, 3, 99, // Opcode: C_NGL_S
+/* 2314 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 2332
+/* 2318 */    MCD_OPC_CheckPredicate, 13, 140, 44, // Skip to: 13726
+/* 2322 */    MCD_OPC_CheckField, 6, 5, 0, 134, 44, // Skip to: 13726
+/* 2328 */    MCD_OPC_Decode, 246, 3, 99, // Opcode: C_LT_S
+/* 2332 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 2350
+/* 2336 */    MCD_OPC_CheckPredicate, 13, 122, 44, // Skip to: 13726
+/* 2340 */    MCD_OPC_CheckField, 6, 5, 0, 116, 44, // Skip to: 13726
+/* 2346 */    MCD_OPC_Decode, 249, 3, 99, // Opcode: C_NGE_S
+/* 2350 */    MCD_OPC_FilterValue, 62, 14, 0, // Skip to: 2368
+/* 2354 */    MCD_OPC_CheckPredicate, 13, 104, 44, // Skip to: 13726
+/* 2358 */    MCD_OPC_CheckField, 6, 5, 0, 98, 44, // Skip to: 13726
+/* 2364 */    MCD_OPC_Decode, 243, 3, 99, // Opcode: C_LE_S
+/* 2368 */    MCD_OPC_FilterValue, 63, 90, 44, // Skip to: 13726
+/* 2372 */    MCD_OPC_CheckPredicate, 13, 86, 44, // Skip to: 13726
+/* 2376 */    MCD_OPC_CheckField, 6, 5, 0, 80, 44, // Skip to: 13726
+/* 2382 */    MCD_OPC_Decode, 130, 4, 99, // Opcode: C_NGT_S
+/* 2386 */    MCD_OPC_FilterValue, 17, 80, 2, // Skip to: 2982
+/* 2390 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 2393 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2405
+/* 2397 */    MCD_OPC_CheckPredicate, 21, 61, 44, // Skip to: 13726
+/* 2401 */    MCD_OPC_Decode, 171, 5, 100, // Opcode: FADD_D32
+/* 2405 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2417
+/* 2409 */    MCD_OPC_CheckPredicate, 21, 49, 44, // Skip to: 13726
+/* 2413 */    MCD_OPC_Decode, 173, 6, 100, // Opcode: FSUB_D32
+/* 2417 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2429
+/* 2421 */    MCD_OPC_CheckPredicate, 21, 37, 44, // Skip to: 13726
+/* 2425 */    MCD_OPC_Decode, 136, 6, 100, // Opcode: FMUL_D32
+/* 2429 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2441
+/* 2433 */    MCD_OPC_CheckPredicate, 21, 25, 44, // Skip to: 13726
+/* 2437 */    MCD_OPC_Decode, 207, 5, 100, // Opcode: FDIV_D32
+/* 2441 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 2459
+/* 2445 */    MCD_OPC_CheckPredicate, 23, 13, 44, // Skip to: 13726
+/* 2449 */    MCD_OPC_CheckField, 16, 5, 0, 7, 44, // Skip to: 13726
+/* 2455 */    MCD_OPC_Decode, 166, 6, 101, // Opcode: FSQRT_D32
+/* 2459 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 2477
+/* 2463 */    MCD_OPC_CheckPredicate, 21, 251, 43, // Skip to: 13726
+/* 2467 */    MCD_OPC_CheckField, 16, 5, 0, 245, 43, // Skip to: 13726
+/* 2473 */    MCD_OPC_Decode, 164, 5, 101, // Opcode: FABS_D32
+/* 2477 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 2495
+/* 2481 */    MCD_OPC_CheckPredicate, 21, 233, 43, // Skip to: 13726
+/* 2485 */    MCD_OPC_CheckField, 16, 5, 0, 227, 43, // Skip to: 13726
+/* 2491 */    MCD_OPC_Decode, 128, 6, 101, // Opcode: FMOV_D32
+/* 2495 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 2513
+/* 2499 */    MCD_OPC_CheckPredicate, 21, 215, 43, // Skip to: 13726
+/* 2503 */    MCD_OPC_CheckField, 16, 5, 0, 209, 43, // Skip to: 13726
+/* 2509 */    MCD_OPC_Decode, 142, 6, 101, // Opcode: FNEG_D32
+/* 2513 */    MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 2531
+/* 2517 */    MCD_OPC_CheckPredicate, 23, 197, 43, // Skip to: 13726
+/* 2521 */    MCD_OPC_CheckField, 16, 5, 0, 191, 43, // Skip to: 13726
+/* 2527 */    MCD_OPC_Decode, 253, 10, 102, // Opcode: ROUND_W_D32
+/* 2531 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 2549
+/* 2535 */    MCD_OPC_CheckPredicate, 23, 179, 43, // Skip to: 13726
+/* 2539 */    MCD_OPC_CheckField, 16, 5, 0, 173, 43, // Skip to: 13726
+/* 2545 */    MCD_OPC_Decode, 216, 13, 102, // Opcode: TRUNC_W_D32
+/* 2549 */    MCD_OPC_FilterValue, 14, 14, 0, // Skip to: 2567
+/* 2553 */    MCD_OPC_CheckPredicate, 23, 161, 43, // Skip to: 13726
+/* 2557 */    MCD_OPC_CheckField, 16, 5, 0, 155, 43, // Skip to: 13726
+/* 2563 */    MCD_OPC_Decode, 225, 2, 102, // Opcode: CEIL_W_D32
+/* 2567 */    MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 2585
+/* 2571 */    MCD_OPC_CheckPredicate, 23, 143, 43, // Skip to: 13726
+/* 2575 */    MCD_OPC_CheckField, 16, 5, 0, 137, 43, // Skip to: 13726
+/* 2581 */    MCD_OPC_Decode, 241, 5, 102, // Opcode: FLOOR_W_D32
+/* 2585 */    MCD_OPC_FilterValue, 17, 27, 0, // Skip to: 2616
+/* 2589 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 2592 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 2604
+/* 2596 */    MCD_OPC_CheckPredicate, 24, 118, 43, // Skip to: 13726
+/* 2600 */    MCD_OPC_Decode, 236, 8, 103, // Opcode: MOVF_D32
+/* 2604 */    MCD_OPC_FilterValue, 1, 110, 43, // Skip to: 13726
+/* 2608 */    MCD_OPC_CheckPredicate, 24, 106, 43, // Skip to: 13726
+/* 2612 */    MCD_OPC_Decode, 128, 9, 103, // Opcode: MOVT_D32
+/* 2616 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 2628
+/* 2620 */    MCD_OPC_CheckPredicate, 24, 94, 43, // Skip to: 13726
+/* 2624 */    MCD_OPC_Decode, 140, 9, 104, // Opcode: MOVZ_I_D32
+/* 2628 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 2640
+/* 2632 */    MCD_OPC_CheckPredicate, 24, 82, 43, // Skip to: 13726
+/* 2636 */    MCD_OPC_Decode, 248, 8, 104, // Opcode: MOVN_I_D32
+/* 2640 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 2658
+/* 2644 */    MCD_OPC_CheckPredicate, 21, 70, 43, // Skip to: 13726
+/* 2648 */    MCD_OPC_CheckField, 16, 5, 0, 64, 43, // Skip to: 13726
+/* 2654 */    MCD_OPC_Decode, 224, 3, 102, // Opcode: CVT_S_D32
+/* 2658 */    MCD_OPC_FilterValue, 36, 14, 0, // Skip to: 2676
+/* 2662 */    MCD_OPC_CheckPredicate, 21, 52, 43, // Skip to: 13726
+/* 2666 */    MCD_OPC_CheckField, 16, 5, 0, 46, 43, // Skip to: 13726
+/* 2672 */    MCD_OPC_Decode, 230, 3, 102, // Opcode: CVT_W_D32
+/* 2676 */    MCD_OPC_FilterValue, 37, 14, 0, // Skip to: 2694
+/* 2680 */    MCD_OPC_CheckPredicate, 22, 34, 43, // Skip to: 13726
+/* 2684 */    MCD_OPC_CheckField, 16, 5, 0, 28, 43, // Skip to: 13726
+/* 2690 */    MCD_OPC_Decode, 220, 3, 105, // Opcode: CVT_L_D64
+/* 2694 */    MCD_OPC_FilterValue, 48, 14, 0, // Skip to: 2712
+/* 2698 */    MCD_OPC_CheckPredicate, 25, 16, 43, // Skip to: 13726
+/* 2702 */    MCD_OPC_CheckField, 6, 5, 0, 10, 43, // Skip to: 13726
+/* 2708 */    MCD_OPC_Decode, 238, 3, 106, // Opcode: C_F_D32
+/* 2712 */    MCD_OPC_FilterValue, 49, 14, 0, // Skip to: 2730
+/* 2716 */    MCD_OPC_CheckPredicate, 25, 254, 42, // Skip to: 13726
+/* 2720 */    MCD_OPC_CheckField, 6, 5, 0, 248, 42, // Skip to: 13726
+/* 2726 */    MCD_OPC_Decode, 152, 4, 106, // Opcode: C_UN_D32
+/* 2730 */    MCD_OPC_FilterValue, 50, 14, 0, // Skip to: 2748
+/* 2734 */    MCD_OPC_CheckPredicate, 25, 236, 42, // Skip to: 13726
+/* 2738 */    MCD_OPC_CheckField, 6, 5, 0, 230, 42, // Skip to: 13726
+/* 2744 */    MCD_OPC_Decode, 235, 3, 106, // Opcode: C_EQ_D32
+/* 2748 */    MCD_OPC_FilterValue, 51, 14, 0, // Skip to: 2766
+/* 2752 */    MCD_OPC_CheckPredicate, 25, 218, 42, // Skip to: 13726
+/* 2756 */    MCD_OPC_CheckField, 6, 5, 0, 212, 42, // Skip to: 13726
+/* 2762 */    MCD_OPC_Decode, 143, 4, 106, // Opcode: C_UEQ_D32
+/* 2766 */    MCD_OPC_FilterValue, 52, 14, 0, // Skip to: 2784
+/* 2770 */    MCD_OPC_CheckPredicate, 25, 200, 42, // Skip to: 13726
+/* 2774 */    MCD_OPC_CheckField, 6, 5, 0, 194, 42, // Skip to: 13726
+/* 2780 */    MCD_OPC_Decode, 134, 4, 106, // Opcode: C_OLT_D32
+/* 2784 */    MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 2802
+/* 2788 */    MCD_OPC_CheckPredicate, 25, 182, 42, // Skip to: 13726
+/* 2792 */    MCD_OPC_CheckField, 6, 5, 0, 176, 42, // Skip to: 13726
+/* 2798 */    MCD_OPC_Decode, 149, 4, 106, // Opcode: C_ULT_D32
+/* 2802 */    MCD_OPC_FilterValue, 54, 14, 0, // Skip to: 2820
+/* 2806 */    MCD_OPC_CheckPredicate, 25, 164, 42, // Skip to: 13726
+/* 2810 */    MCD_OPC_CheckField, 6, 5, 0, 158, 42, // Skip to: 13726
+/* 2816 */    MCD_OPC_Decode, 131, 4, 106, // Opcode: C_OLE_D32
+/* 2820 */    MCD_OPC_FilterValue, 55, 14, 0, // Skip to: 2838
+/* 2824 */    MCD_OPC_CheckPredicate, 25, 146, 42, // Skip to: 13726
+/* 2828 */    MCD_OPC_CheckField, 6, 5, 0, 140, 42, // Skip to: 13726
+/* 2834 */    MCD_OPC_Decode, 146, 4, 106, // Opcode: C_ULE_D32
+/* 2838 */    MCD_OPC_FilterValue, 56, 14, 0, // Skip to: 2856
+/* 2842 */    MCD_OPC_CheckPredicate, 25, 128, 42, // Skip to: 13726
+/* 2846 */    MCD_OPC_CheckField, 6, 5, 0, 122, 42, // Skip to: 13726
+/* 2852 */    MCD_OPC_Decode, 140, 4, 106, // Opcode: C_SF_D32
+/* 2856 */    MCD_OPC_FilterValue, 57, 14, 0, // Skip to: 2874
+/* 2860 */    MCD_OPC_CheckPredicate, 25, 110, 42, // Skip to: 13726
+/* 2864 */    MCD_OPC_CheckField, 6, 5, 0, 104, 42, // Skip to: 13726
+/* 2870 */    MCD_OPC_Decode, 250, 3, 106, // Opcode: C_NGLE_D32
+/* 2874 */    MCD_OPC_FilterValue, 58, 14, 0, // Skip to: 2892
+/* 2878 */    MCD_OPC_CheckPredicate, 25, 92, 42, // Skip to: 13726
+/* 2882 */    MCD_OPC_CheckField, 6, 5, 0, 86, 42, // Skip to: 13726
+/* 2888 */    MCD_OPC_Decode, 137, 4, 106, // Opcode: C_SEQ_D32
+/* 2892 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 2910
+/* 2896 */    MCD_OPC_CheckPredicate, 25, 74, 42, // Skip to: 13726
+/* 2900 */    MCD_OPC_CheckField, 6, 5, 0, 68, 42, // Skip to: 13726
+/* 2906 */    MCD_OPC_Decode, 253, 3, 106, // Opcode: C_NGL_D32
+/* 2910 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 2928
+/* 2914 */    MCD_OPC_CheckPredicate, 25, 56, 42, // Skip to: 13726
+/* 2918 */    MCD_OPC_CheckField, 6, 5, 0, 50, 42, // Skip to: 13726
+/* 2924 */    MCD_OPC_Decode, 244, 3, 106, // Opcode: C_LT_D32
+/* 2928 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 2946
+/* 2932 */    MCD_OPC_CheckPredicate, 25, 38, 42, // Skip to: 13726
+/* 2936 */    MCD_OPC_CheckField, 6, 5, 0, 32, 42, // Skip to: 13726
+/* 2942 */    MCD_OPC_Decode, 247, 3, 106, // Opcode: C_NGE_D32
+/* 2946 */    MCD_OPC_FilterValue, 62, 14, 0, // Skip to: 2964
+/* 2950 */    MCD_OPC_CheckPredicate, 25, 20, 42, // Skip to: 13726
+/* 2954 */    MCD_OPC_CheckField, 6, 5, 0, 14, 42, // Skip to: 13726
+/* 2960 */    MCD_OPC_Decode, 241, 3, 106, // Opcode: C_LE_D32
+/* 2964 */    MCD_OPC_FilterValue, 63, 6, 42, // Skip to: 13726
+/* 2968 */    MCD_OPC_CheckPredicate, 25, 2, 42, // Skip to: 13726
+/* 2972 */    MCD_OPC_CheckField, 6, 5, 0, 252, 41, // Skip to: 13726
+/* 2978 */    MCD_OPC_Decode, 128, 4, 106, // Opcode: C_NGT_D32
+/* 2982 */    MCD_OPC_FilterValue, 20, 39, 0, // Skip to: 3025
+/* 2986 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 2989 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 3007
+/* 2993 */    MCD_OPC_CheckPredicate, 5, 233, 41, // Skip to: 13726
+/* 2997 */    MCD_OPC_CheckField, 16, 5, 0, 227, 41, // Skip to: 13726
+/* 3003 */    MCD_OPC_Decode, 228, 3, 94, // Opcode: CVT_S_W
+/* 3007 */    MCD_OPC_FilterValue, 33, 219, 41, // Skip to: 13726
+/* 3011 */    MCD_OPC_CheckPredicate, 21, 215, 41, // Skip to: 13726
+/* 3015 */    MCD_OPC_CheckField, 16, 5, 0, 209, 41, // Skip to: 13726
+/* 3021 */    MCD_OPC_Decode, 214, 3, 97, // Opcode: CVT_D32_W
+/* 3025 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 3037
+/* 3029 */    MCD_OPC_CheckPredicate, 8, 197, 41, // Skip to: 13726
+/* 3033 */    MCD_OPC_Decode, 189, 2, 92, // Opcode: BZ_B
+/* 3037 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 3049
+/* 3041 */    MCD_OPC_CheckPredicate, 8, 185, 41, // Skip to: 13726
+/* 3045 */    MCD_OPC_Decode, 191, 2, 107, // Opcode: BZ_H
+/* 3049 */    MCD_OPC_FilterValue, 26, 8, 0, // Skip to: 3061
+/* 3053 */    MCD_OPC_CheckPredicate, 8, 173, 41, // Skip to: 13726
+/* 3057 */    MCD_OPC_Decode, 193, 2, 108, // Opcode: BZ_W
+/* 3061 */    MCD_OPC_FilterValue, 27, 8, 0, // Skip to: 3073
+/* 3065 */    MCD_OPC_CheckPredicate, 8, 161, 41, // Skip to: 13726
+/* 3069 */    MCD_OPC_Decode, 190, 2, 109, // Opcode: BZ_D
+/* 3073 */    MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 3085
+/* 3077 */    MCD_OPC_CheckPredicate, 8, 149, 41, // Skip to: 13726
+/* 3081 */    MCD_OPC_Decode, 163, 2, 92, // Opcode: BNZ_B
+/* 3085 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 3097
+/* 3089 */    MCD_OPC_CheckPredicate, 8, 137, 41, // Skip to: 13726
+/* 3093 */    MCD_OPC_Decode, 165, 2, 107, // Opcode: BNZ_H
+/* 3097 */    MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 3109
+/* 3101 */    MCD_OPC_CheckPredicate, 8, 125, 41, // Skip to: 13726
+/* 3105 */    MCD_OPC_Decode, 167, 2, 108, // Opcode: BNZ_W
+/* 3109 */    MCD_OPC_FilterValue, 31, 117, 41, // Skip to: 13726
+/* 3113 */    MCD_OPC_CheckPredicate, 8, 113, 41, // Skip to: 13726
+/* 3117 */    MCD_OPC_Decode, 164, 2, 109, // Opcode: BNZ_D
+/* 3121 */    MCD_OPC_FilterValue, 18, 94, 0, // Skip to: 3219
+/* 3125 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 3128 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3146
+/* 3132 */    MCD_OPC_CheckPredicate, 5, 94, 41, // Skip to: 13726
+/* 3136 */    MCD_OPC_CheckField, 3, 8, 0, 88, 41, // Skip to: 13726
+/* 3142 */    MCD_OPC_Decode, 182, 8, 81, // Opcode: MFC2
+/* 3146 */    MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 3164
+/* 3150 */    MCD_OPC_CheckPredicate, 5, 76, 41, // Skip to: 13726
+/* 3154 */    MCD_OPC_CheckField, 3, 8, 0, 70, 41, // Skip to: 13726
+/* 3160 */    MCD_OPC_Decode, 172, 9, 81, // Opcode: MTC2
+/* 3164 */    MCD_OPC_FilterValue, 8, 62, 41, // Skip to: 13726
+/* 3168 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 3171 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3183
+/* 3175 */    MCD_OPC_CheckPredicate, 13, 51, 41, // Skip to: 13726
+/* 3179 */    MCD_OPC_Decode, 189, 1, 82, // Opcode: BC2F
+/* 3183 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3195
+/* 3187 */    MCD_OPC_CheckPredicate, 13, 39, 41, // Skip to: 13726
+/* 3191 */    MCD_OPC_Decode, 192, 1, 82, // Opcode: BC2T
+/* 3195 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3207
+/* 3199 */    MCD_OPC_CheckPredicate, 13, 27, 41, // Skip to: 13726
+/* 3203 */    MCD_OPC_Decode, 190, 1, 82, // Opcode: BC2FL
+/* 3207 */    MCD_OPC_FilterValue, 3, 19, 41, // Skip to: 13726
+/* 3211 */    MCD_OPC_CheckPredicate, 13, 15, 41, // Skip to: 13726
+/* 3215 */    MCD_OPC_Decode, 193, 1, 82, // Opcode: BC2TL
+/* 3219 */    MCD_OPC_FilterValue, 19, 9, 1, // Skip to: 3488
+/* 3223 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 3226 */    MCD_OPC_FilterValue, 8, 51, 0, // Skip to: 3281
+/* 3230 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
+/* 3233 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3245
+/* 3237 */    MCD_OPC_CheckPredicate, 13, 40, 0, // Skip to: 3281
+/* 3241 */    MCD_OPC_Decode, 194, 1, 82, // Opcode: BC3F
+/* 3245 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3257
+/* 3249 */    MCD_OPC_CheckPredicate, 13, 28, 0, // Skip to: 3281
+/* 3253 */    MCD_OPC_Decode, 196, 1, 82, // Opcode: BC3T
+/* 3257 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3269
+/* 3261 */    MCD_OPC_CheckPredicate, 13, 16, 0, // Skip to: 3281
+/* 3265 */    MCD_OPC_Decode, 195, 1, 82, // Opcode: BC3FL
+/* 3269 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 3281
+/* 3273 */    MCD_OPC_CheckPredicate, 13, 4, 0, // Skip to: 3281
+/* 3277 */    MCD_OPC_Decode, 197, 1, 82, // Opcode: BC3TL
+/* 3281 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 3284 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3302
+/* 3288 */    MCD_OPC_CheckPredicate, 26, 194, 40, // Skip to: 13726
+/* 3292 */    MCD_OPC_CheckField, 11, 5, 0, 188, 40, // Skip to: 13726
+/* 3298 */    MCD_OPC_Decode, 237, 7, 110, // Opcode: LWXC1
+/* 3302 */    MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 3320
+/* 3306 */    MCD_OPC_CheckPredicate, 27, 176, 40, // Skip to: 13726
+/* 3310 */    MCD_OPC_CheckField, 11, 5, 0, 170, 40, // Skip to: 13726
+/* 3316 */    MCD_OPC_Decode, 175, 7, 111, // Opcode: LDXC1
+/* 3320 */    MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 3338
+/* 3324 */    MCD_OPC_CheckPredicate, 28, 158, 40, // Skip to: 13726
+/* 3328 */    MCD_OPC_CheckField, 11, 5, 0, 152, 40, // Skip to: 13726
+/* 3334 */    MCD_OPC_Decode, 207, 7, 111, // Opcode: LUXC1
+/* 3338 */    MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 3356
+/* 3342 */    MCD_OPC_CheckPredicate, 26, 140, 40, // Skip to: 13726
+/* 3346 */    MCD_OPC_CheckField, 6, 5, 0, 134, 40, // Skip to: 13726
+/* 3352 */    MCD_OPC_Decode, 254, 12, 112, // Opcode: SWXC1
+/* 3356 */    MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 3374
+/* 3360 */    MCD_OPC_CheckPredicate, 27, 122, 40, // Skip to: 13726
+/* 3364 */    MCD_OPC_CheckField, 6, 5, 0, 116, 40, // Skip to: 13726
+/* 3370 */    MCD_OPC_Decode, 166, 11, 113, // Opcode: SDXC1
+/* 3374 */    MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 3392
+/* 3378 */    MCD_OPC_CheckPredicate, 28, 104, 40, // Skip to: 13726
+/* 3382 */    MCD_OPC_CheckField, 6, 5, 0, 98, 40, // Skip to: 13726
+/* 3388 */    MCD_OPC_Decode, 232, 12, 113, // Opcode: SUXC1
+/* 3392 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 3404
+/* 3396 */    MCD_OPC_CheckPredicate, 26, 86, 40, // Skip to: 13726
+/* 3400 */    MCD_OPC_Decode, 149, 8, 114, // Opcode: MADD_S
+/* 3404 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 3416
+/* 3408 */    MCD_OPC_CheckPredicate, 29, 74, 40, // Skip to: 13726
+/* 3412 */    MCD_OPC_Decode, 142, 8, 115, // Opcode: MADD_D32
+/* 3416 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 3428
+/* 3420 */    MCD_OPC_CheckPredicate, 26, 62, 40, // Skip to: 13726
+/* 3424 */    MCD_OPC_Decode, 167, 9, 114, // Opcode: MSUB_S
+/* 3428 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 3440
+/* 3432 */    MCD_OPC_CheckPredicate, 29, 50, 40, // Skip to: 13726
+/* 3436 */    MCD_OPC_Decode, 160, 9, 115, // Opcode: MSUB_D32
+/* 3440 */    MCD_OPC_FilterValue, 48, 8, 0, // Skip to: 3452
+/* 3444 */    MCD_OPC_CheckPredicate, 26, 38, 40, // Skip to: 13726
+/* 3448 */    MCD_OPC_Decode, 242, 9, 114, // Opcode: NMADD_S
+/* 3452 */    MCD_OPC_FilterValue, 49, 8, 0, // Skip to: 3464
+/* 3456 */    MCD_OPC_CheckPredicate, 29, 26, 40, // Skip to: 13726
+/* 3460 */    MCD_OPC_Decode, 239, 9, 115, // Opcode: NMADD_D32
+/* 3464 */    MCD_OPC_FilterValue, 56, 8, 0, // Skip to: 3476
+/* 3468 */    MCD_OPC_CheckPredicate, 26, 14, 40, // Skip to: 13726
+/* 3472 */    MCD_OPC_Decode, 247, 9, 114, // Opcode: NMSUB_S
+/* 3476 */    MCD_OPC_FilterValue, 57, 6, 40, // Skip to: 13726
+/* 3480 */    MCD_OPC_CheckPredicate, 29, 2, 40, // Skip to: 13726
+/* 3484 */    MCD_OPC_Decode, 244, 9, 115, // Opcode: NMSUB_D32
+/* 3488 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 3500
+/* 3492 */    MCD_OPC_CheckPredicate, 16, 246, 39, // Skip to: 13726
+/* 3496 */    MCD_OPC_Decode, 209, 1, 78, // Opcode: BEQL
+/* 3500 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 3512
+/* 3504 */    MCD_OPC_CheckPredicate, 16, 234, 39, // Skip to: 13726
+/* 3508 */    MCD_OPC_Decode, 156, 2, 78, // Opcode: BNEL
+/* 3512 */    MCD_OPC_FilterValue, 22, 14, 0, // Skip to: 3530
+/* 3516 */    MCD_OPC_CheckPredicate, 16, 222, 39, // Skip to: 13726
+/* 3520 */    MCD_OPC_CheckField, 16, 5, 0, 216, 39, // Skip to: 13726
+/* 3526 */    MCD_OPC_Decode, 255, 1, 73, // Opcode: BLEZL
+/* 3530 */    MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 3548
+/* 3534 */    MCD_OPC_CheckPredicate, 16, 204, 39, // Skip to: 13726
+/* 3538 */    MCD_OPC_CheckField, 16, 5, 0, 198, 39, // Skip to: 13726
+/* 3544 */    MCD_OPC_Decode, 231, 1, 73, // Opcode: BGTZL
+/* 3548 */    MCD_OPC_FilterValue, 28, 229, 0, // Skip to: 3781
+/* 3552 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 3555 */    MCD_OPC_FilterValue, 0, 36, 0, // Skip to: 3595
+/* 3559 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3562 */    MCD_OPC_FilterValue, 0, 176, 39, // Skip to: 13726
+/* 3566 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 3569 */    MCD_OPC_FilterValue, 0, 169, 39, // Skip to: 13726
+/* 3573 */    MCD_OPC_CheckPredicate, 9, 10, 0, // Skip to: 3587
+/* 3577 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3587
+/* 3583 */    MCD_OPC_Decode, 130, 8, 43, // Opcode: MADD
+/* 3587 */    MCD_OPC_CheckPredicate, 12, 151, 39, // Skip to: 13726
+/* 3591 */    MCD_OPC_Decode, 145, 8, 116, // Opcode: MADD_DSP
+/* 3595 */    MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 3635
+/* 3599 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3602 */    MCD_OPC_FilterValue, 0, 136, 39, // Skip to: 13726
+/* 3606 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 3609 */    MCD_OPC_FilterValue, 0, 129, 39, // Skip to: 13726
+/* 3613 */    MCD_OPC_CheckPredicate, 9, 10, 0, // Skip to: 3627
+/* 3617 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3627
+/* 3623 */    MCD_OPC_Decode, 135, 8, 43, // Opcode: MADDU
+/* 3627 */    MCD_OPC_CheckPredicate, 12, 111, 39, // Skip to: 13726
+/* 3631 */    MCD_OPC_Decode, 136, 8, 116, // Opcode: MADDU_DSP
+/* 3635 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 3653
+/* 3639 */    MCD_OPC_CheckPredicate, 9, 99, 39, // Skip to: 13726
+/* 3643 */    MCD_OPC_CheckField, 6, 5, 0, 93, 39, // Skip to: 13726
+/* 3649 */    MCD_OPC_Decode, 193, 9, 35, // Opcode: MUL
+/* 3653 */    MCD_OPC_FilterValue, 4, 36, 0, // Skip to: 3693
+/* 3657 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3660 */    MCD_OPC_FilterValue, 0, 78, 39, // Skip to: 13726
+/* 3664 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 3667 */    MCD_OPC_FilterValue, 0, 71, 39, // Skip to: 13726
+/* 3671 */    MCD_OPC_CheckPredicate, 9, 10, 0, // Skip to: 3685
+/* 3675 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3685
+/* 3681 */    MCD_OPC_Decode, 148, 9, 43, // Opcode: MSUB
+/* 3685 */    MCD_OPC_CheckPredicate, 12, 53, 39, // Skip to: 13726
+/* 3689 */    MCD_OPC_Decode, 163, 9, 116, // Opcode: MSUB_DSP
+/* 3693 */    MCD_OPC_FilterValue, 5, 36, 0, // Skip to: 3733
+/* 3697 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3700 */    MCD_OPC_FilterValue, 0, 38, 39, // Skip to: 13726
+/* 3704 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 3707 */    MCD_OPC_FilterValue, 0, 31, 39, // Skip to: 13726
+/* 3711 */    MCD_OPC_CheckPredicate, 9, 10, 0, // Skip to: 3725
+/* 3715 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3725
+/* 3721 */    MCD_OPC_Decode, 153, 9, 43, // Opcode: MSUBU
+/* 3725 */    MCD_OPC_CheckPredicate, 12, 13, 39, // Skip to: 13726
+/* 3729 */    MCD_OPC_Decode, 154, 9, 116, // Opcode: MSUBU_DSP
+/* 3733 */    MCD_OPC_FilterValue, 32, 14, 0, // Skip to: 3751
+/* 3737 */    MCD_OPC_CheckPredicate, 9, 1, 39, // Skip to: 13726
+/* 3741 */    MCD_OPC_CheckField, 6, 5, 0, 251, 38, // Skip to: 13726
+/* 3747 */    MCD_OPC_Decode, 152, 3, 117, // Opcode: CLZ
+/* 3751 */    MCD_OPC_FilterValue, 33, 14, 0, // Skip to: 3769
+/* 3755 */    MCD_OPC_CheckPredicate, 9, 239, 38, // Skip to: 13726
+/* 3759 */    MCD_OPC_CheckField, 6, 5, 0, 233, 38, // Skip to: 13726
+/* 3765 */    MCD_OPC_Decode, 133, 3, 117, // Opcode: CLO
+/* 3769 */    MCD_OPC_FilterValue, 63, 225, 38, // Skip to: 13726
+/* 3773 */    MCD_OPC_CheckPredicate, 9, 221, 38, // Skip to: 13726
+/* 3777 */    MCD_OPC_Decode, 152, 11, 64, // Opcode: SDBBP
+/* 3781 */    MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 3793
+/* 3785 */    MCD_OPC_CheckPredicate, 9, 209, 38, // Skip to: 13726
+/* 3789 */    MCD_OPC_Decode, 131, 7, 77, // Opcode: JALX
+/* 3793 */    MCD_OPC_FilterValue, 30, 28, 28, // Skip to: 10993
+/* 3797 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 3800 */    MCD_OPC_FilterValue, 0, 50, 0, // Skip to: 3854
+/* 3804 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 3807 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3818
+/* 3811 */    MCD_OPC_CheckPredicate, 8, 183, 38, // Skip to: 13726
+/* 3815 */    MCD_OPC_Decode, 87, 118, // Opcode: ANDI_B
+/* 3818 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3830
+/* 3822 */    MCD_OPC_CheckPredicate, 8, 172, 38, // Skip to: 13726
+/* 3826 */    MCD_OPC_Decode, 136, 10, 118, // Opcode: ORI_B
+/* 3830 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3842
+/* 3834 */    MCD_OPC_CheckPredicate, 8, 160, 38, // Skip to: 13726
+/* 3838 */    MCD_OPC_Decode, 252, 9, 118, // Opcode: NORI_B
+/* 3842 */    MCD_OPC_FilterValue, 3, 152, 38, // Skip to: 13726
+/* 3846 */    MCD_OPC_CheckPredicate, 8, 148, 38, // Skip to: 13726
+/* 3850 */    MCD_OPC_Decode, 239, 13, 118, // Opcode: XORI_B
+/* 3854 */    MCD_OPC_FilterValue, 1, 39, 0, // Skip to: 3897
+/* 3858 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 3861 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3873
+/* 3865 */    MCD_OPC_CheckPredicate, 8, 129, 38, // Skip to: 13726
+/* 3869 */    MCD_OPC_Decode, 141, 2, 119, // Opcode: BMNZI_B
+/* 3873 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3885
+/* 3877 */    MCD_OPC_CheckPredicate, 8, 117, 38, // Skip to: 13726
+/* 3881 */    MCD_OPC_Decode, 143, 2, 119, // Opcode: BMZI_B
+/* 3885 */    MCD_OPC_FilterValue, 2, 109, 38, // Skip to: 13726
+/* 3889 */    MCD_OPC_CheckPredicate, 8, 105, 38, // Skip to: 13726
+/* 3893 */    MCD_OPC_Decode, 174, 2, 119, // Opcode: BSELI_B
+/* 3897 */    MCD_OPC_FilterValue, 2, 39, 0, // Skip to: 3940
+/* 3901 */    MCD_OPC_ExtractField, 24, 2,  // Inst{25-24} ...
+/* 3904 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3916
+/* 3908 */    MCD_OPC_CheckPredicate, 8, 86, 38, // Skip to: 13726
+/* 3912 */    MCD_OPC_Decode, 189, 11, 118, // Opcode: SHF_B
+/* 3916 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3928
+/* 3920 */    MCD_OPC_CheckPredicate, 8, 74, 38, // Skip to: 13726
+/* 3924 */    MCD_OPC_Decode, 190, 11, 120, // Opcode: SHF_H
+/* 3928 */    MCD_OPC_FilterValue, 2, 66, 38, // Skip to: 13726
+/* 3932 */    MCD_OPC_CheckPredicate, 8, 62, 38, // Skip to: 13726
+/* 3936 */    MCD_OPC_Decode, 191, 11, 121, // Opcode: SHF_W
+/* 3940 */    MCD_OPC_FilterValue, 6, 31, 1, // Skip to: 4231
+/* 3944 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 3947 */    MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 3958
+/* 3951 */    MCD_OPC_CheckPredicate, 8, 43, 38, // Skip to: 13726
+/* 3955 */    MCD_OPC_Decode, 59, 122, // Opcode: ADDVI_B
+/* 3958 */    MCD_OPC_FilterValue, 1, 7, 0, // Skip to: 3969
+/* 3962 */    MCD_OPC_CheckPredicate, 8, 32, 38, // Skip to: 13726
+/* 3966 */    MCD_OPC_Decode, 61, 123, // Opcode: ADDVI_H
+/* 3969 */    MCD_OPC_FilterValue, 2, 7, 0, // Skip to: 3980
+/* 3973 */    MCD_OPC_CheckPredicate, 8, 21, 38, // Skip to: 13726
+/* 3977 */    MCD_OPC_Decode, 62, 124, // Opcode: ADDVI_W
+/* 3980 */    MCD_OPC_FilterValue, 3, 7, 0, // Skip to: 3991
+/* 3984 */    MCD_OPC_CheckPredicate, 8, 10, 38, // Skip to: 13726
+/* 3988 */    MCD_OPC_Decode, 60, 125, // Opcode: ADDVI_D
+/* 3991 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 4003
+/* 3995 */    MCD_OPC_CheckPredicate, 8, 255, 37, // Skip to: 13726
+/* 3999 */    MCD_OPC_Decode, 221, 12, 122, // Opcode: SUBVI_B
+/* 4003 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 4015
+/* 4007 */    MCD_OPC_CheckPredicate, 8, 243, 37, // Skip to: 13726
+/* 4011 */    MCD_OPC_Decode, 223, 12, 123, // Opcode: SUBVI_H
+/* 4015 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 4027
+/* 4019 */    MCD_OPC_CheckPredicate, 8, 231, 37, // Skip to: 13726
+/* 4023 */    MCD_OPC_Decode, 224, 12, 124, // Opcode: SUBVI_W
+/* 4027 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 4039
+/* 4031 */    MCD_OPC_CheckPredicate, 8, 219, 37, // Skip to: 13726
+/* 4035 */    MCD_OPC_Decode, 222, 12, 125, // Opcode: SUBVI_D
+/* 4039 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 4051
+/* 4043 */    MCD_OPC_CheckPredicate, 8, 207, 37, // Skip to: 13726
+/* 4047 */    MCD_OPC_Decode, 157, 8, 122, // Opcode: MAXI_S_B
+/* 4051 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 4063
+/* 4055 */    MCD_OPC_CheckPredicate, 8, 195, 37, // Skip to: 13726
+/* 4059 */    MCD_OPC_Decode, 159, 8, 123, // Opcode: MAXI_S_H
+/* 4063 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 4075
+/* 4067 */    MCD_OPC_CheckPredicate, 8, 183, 37, // Skip to: 13726
+/* 4071 */    MCD_OPC_Decode, 160, 8, 124, // Opcode: MAXI_S_W
+/* 4075 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 4087
+/* 4079 */    MCD_OPC_CheckPredicate, 8, 171, 37, // Skip to: 13726
+/* 4083 */    MCD_OPC_Decode, 158, 8, 125, // Opcode: MAXI_S_D
+/* 4087 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 4099
+/* 4091 */    MCD_OPC_CheckPredicate, 8, 159, 37, // Skip to: 13726
+/* 4095 */    MCD_OPC_Decode, 161, 8, 122, // Opcode: MAXI_U_B
+/* 4099 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 4111
+/* 4103 */    MCD_OPC_CheckPredicate, 8, 147, 37, // Skip to: 13726
+/* 4107 */    MCD_OPC_Decode, 163, 8, 123, // Opcode: MAXI_U_H
+/* 4111 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 4123
+/* 4115 */    MCD_OPC_CheckPredicate, 8, 135, 37, // Skip to: 13726
+/* 4119 */    MCD_OPC_Decode, 164, 8, 124, // Opcode: MAXI_U_W
+/* 4123 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 4135
+/* 4127 */    MCD_OPC_CheckPredicate, 8, 123, 37, // Skip to: 13726
+/* 4131 */    MCD_OPC_Decode, 162, 8, 125, // Opcode: MAXI_U_D
+/* 4135 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 4147
+/* 4139 */    MCD_OPC_CheckPredicate, 8, 111, 37, // Skip to: 13726
+/* 4143 */    MCD_OPC_Decode, 198, 8, 122, // Opcode: MINI_S_B
+/* 4147 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 4159
+/* 4151 */    MCD_OPC_CheckPredicate, 8, 99, 37, // Skip to: 13726
+/* 4155 */    MCD_OPC_Decode, 200, 8, 123, // Opcode: MINI_S_H
+/* 4159 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 4171
+/* 4163 */    MCD_OPC_CheckPredicate, 8, 87, 37, // Skip to: 13726
+/* 4167 */    MCD_OPC_Decode, 201, 8, 124, // Opcode: MINI_S_W
+/* 4171 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 4183
+/* 4175 */    MCD_OPC_CheckPredicate, 8, 75, 37, // Skip to: 13726
+/* 4179 */    MCD_OPC_Decode, 199, 8, 125, // Opcode: MINI_S_D
+/* 4183 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 4195
+/* 4187 */    MCD_OPC_CheckPredicate, 8, 63, 37, // Skip to: 13726
+/* 4191 */    MCD_OPC_Decode, 202, 8, 122, // Opcode: MINI_U_B
+/* 4195 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 4207
+/* 4199 */    MCD_OPC_CheckPredicate, 8, 51, 37, // Skip to: 13726
+/* 4203 */    MCD_OPC_Decode, 204, 8, 123, // Opcode: MINI_U_H
+/* 4207 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 4219
+/* 4211 */    MCD_OPC_CheckPredicate, 8, 39, 37, // Skip to: 13726
+/* 4215 */    MCD_OPC_Decode, 205, 8, 124, // Opcode: MINI_U_W
+/* 4219 */    MCD_OPC_FilterValue, 23, 31, 37, // Skip to: 13726
+/* 4223 */    MCD_OPC_CheckPredicate, 8, 27, 37, // Skip to: 13726
+/* 4227 */    MCD_OPC_Decode, 203, 8, 125, // Opcode: MINI_U_D
+/* 4231 */    MCD_OPC_FilterValue, 7, 37, 1, // Skip to: 4528
+/* 4235 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 4238 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4250
+/* 4242 */    MCD_OPC_CheckPredicate, 8, 8, 37, // Skip to: 13726
+/* 4246 */    MCD_OPC_Decode, 230, 2, 122, // Opcode: CEQI_B
+/* 4250 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 4262
+/* 4254 */    MCD_OPC_CheckPredicate, 8, 252, 36, // Skip to: 13726
+/* 4258 */    MCD_OPC_Decode, 232, 2, 123, // Opcode: CEQI_H
+/* 4262 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 4274
+/* 4266 */    MCD_OPC_CheckPredicate, 8, 240, 36, // Skip to: 13726
+/* 4270 */    MCD_OPC_Decode, 233, 2, 124, // Opcode: CEQI_W
+/* 4274 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 4286
+/* 4278 */    MCD_OPC_CheckPredicate, 8, 228, 36, // Skip to: 13726
+/* 4282 */    MCD_OPC_Decode, 231, 2, 125, // Opcode: CEQI_D
+/* 4286 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 4298
+/* 4290 */    MCD_OPC_CheckPredicate, 8, 216, 36, // Skip to: 13726
+/* 4294 */    MCD_OPC_Decode, 136, 3, 122, // Opcode: CLTI_S_B
+/* 4298 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 4310
+/* 4302 */    MCD_OPC_CheckPredicate, 8, 204, 36, // Skip to: 13726
+/* 4306 */    MCD_OPC_Decode, 138, 3, 123, // Opcode: CLTI_S_H
+/* 4310 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 4322
+/* 4314 */    MCD_OPC_CheckPredicate, 8, 192, 36, // Skip to: 13726
+/* 4318 */    MCD_OPC_Decode, 139, 3, 124, // Opcode: CLTI_S_W
+/* 4322 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 4334
+/* 4326 */    MCD_OPC_CheckPredicate, 8, 180, 36, // Skip to: 13726
+/* 4330 */    MCD_OPC_Decode, 137, 3, 125, // Opcode: CLTI_S_D
+/* 4334 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 4346
+/* 4338 */    MCD_OPC_CheckPredicate, 8, 168, 36, // Skip to: 13726
+/* 4342 */    MCD_OPC_Decode, 140, 3, 122, // Opcode: CLTI_U_B
+/* 4346 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 4358
+/* 4350 */    MCD_OPC_CheckPredicate, 8, 156, 36, // Skip to: 13726
+/* 4354 */    MCD_OPC_Decode, 142, 3, 123, // Opcode: CLTI_U_H
+/* 4358 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 4370
+/* 4362 */    MCD_OPC_CheckPredicate, 8, 144, 36, // Skip to: 13726
+/* 4366 */    MCD_OPC_Decode, 143, 3, 124, // Opcode: CLTI_U_W
+/* 4370 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 4382
+/* 4374 */    MCD_OPC_CheckPredicate, 8, 132, 36, // Skip to: 13726
+/* 4378 */    MCD_OPC_Decode, 141, 3, 125, // Opcode: CLTI_U_D
+/* 4382 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 4394
+/* 4386 */    MCD_OPC_CheckPredicate, 8, 120, 36, // Skip to: 13726
+/* 4390 */    MCD_OPC_Decode, 245, 2, 122, // Opcode: CLEI_S_B
+/* 4394 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 4406
+/* 4398 */    MCD_OPC_CheckPredicate, 8, 108, 36, // Skip to: 13726
+/* 4402 */    MCD_OPC_Decode, 247, 2, 123, // Opcode: CLEI_S_H
+/* 4406 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 4418
+/* 4410 */    MCD_OPC_CheckPredicate, 8, 96, 36, // Skip to: 13726
+/* 4414 */    MCD_OPC_Decode, 248, 2, 124, // Opcode: CLEI_S_W
+/* 4418 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 4430
+/* 4422 */    MCD_OPC_CheckPredicate, 8, 84, 36, // Skip to: 13726
+/* 4426 */    MCD_OPC_Decode, 246, 2, 125, // Opcode: CLEI_S_D
+/* 4430 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 4442
+/* 4434 */    MCD_OPC_CheckPredicate, 8, 72, 36, // Skip to: 13726
+/* 4438 */    MCD_OPC_Decode, 249, 2, 122, // Opcode: CLEI_U_B
+/* 4442 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 4454
+/* 4446 */    MCD_OPC_CheckPredicate, 8, 60, 36, // Skip to: 13726
+/* 4450 */    MCD_OPC_Decode, 251, 2, 123, // Opcode: CLEI_U_H
+/* 4454 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 4466
+/* 4458 */    MCD_OPC_CheckPredicate, 8, 48, 36, // Skip to: 13726
+/* 4462 */    MCD_OPC_Decode, 252, 2, 124, // Opcode: CLEI_U_W
+/* 4466 */    MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 4478
+/* 4470 */    MCD_OPC_CheckPredicate, 8, 36, 36, // Skip to: 13726
+/* 4474 */    MCD_OPC_Decode, 250, 2, 125, // Opcode: CLEI_U_D
+/* 4478 */    MCD_OPC_FilterValue, 24, 8, 0, // Skip to: 4490
+/* 4482 */    MCD_OPC_CheckPredicate, 8, 24, 36, // Skip to: 13726
+/* 4486 */    MCD_OPC_Decode, 168, 7, 126, // Opcode: LDI_B
+/* 4490 */    MCD_OPC_FilterValue, 25, 8, 0, // Skip to: 4502
+/* 4494 */    MCD_OPC_CheckPredicate, 8, 12, 36, // Skip to: 13726
+/* 4498 */    MCD_OPC_Decode, 170, 7, 127, // Opcode: LDI_H
+/* 4502 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 4515
+/* 4506 */    MCD_OPC_CheckPredicate, 8, 0, 36, // Skip to: 13726
+/* 4510 */    MCD_OPC_Decode, 171, 7, 128, 1, // Opcode: LDI_W
+/* 4515 */    MCD_OPC_FilterValue, 27, 247, 35, // Skip to: 13726
+/* 4519 */    MCD_OPC_CheckPredicate, 8, 243, 35, // Skip to: 13726
+/* 4523 */    MCD_OPC_Decode, 169, 7, 129, 1, // Opcode: LDI_D
+/* 4528 */    MCD_OPC_FilterValue, 9, 61, 2, // Skip to: 5105
+/* 4532 */    MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 4535 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4548
+/* 4539 */    MCD_OPC_CheckPredicate, 8, 223, 35, // Skip to: 13726
+/* 4543 */    MCD_OPC_Decode, 230, 11, 130, 1, // Opcode: SLLI_D
+/* 4548 */    MCD_OPC_FilterValue, 1, 54, 0, // Skip to: 4606
+/* 4552 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4555 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4567
+/* 4559 */    MCD_OPC_CheckPredicate, 8, 203, 35, // Skip to: 13726
+/* 4563 */    MCD_OPC_Decode, 232, 11, 124, // Opcode: SLLI_W
+/* 4567 */    MCD_OPC_FilterValue, 1, 195, 35, // Skip to: 13726
+/* 4571 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4574 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4587
+/* 4578 */    MCD_OPC_CheckPredicate, 8, 184, 35, // Skip to: 13726
+/* 4582 */    MCD_OPC_Decode, 231, 11, 131, 1, // Opcode: SLLI_H
+/* 4587 */    MCD_OPC_FilterValue, 1, 175, 35, // Skip to: 13726
+/* 4591 */    MCD_OPC_CheckPredicate, 8, 171, 35, // Skip to: 13726
+/* 4595 */    MCD_OPC_CheckField, 19, 1, 0, 165, 35, // Skip to: 13726
+/* 4601 */    MCD_OPC_Decode, 229, 11, 132, 1, // Opcode: SLLI_B
+/* 4606 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 4619
+/* 4610 */    MCD_OPC_CheckPredicate, 8, 152, 35, // Skip to: 13726
+/* 4614 */    MCD_OPC_Decode, 141, 12, 130, 1, // Opcode: SRAI_D
+/* 4619 */    MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 4677
+/* 4623 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4626 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4638
+/* 4630 */    MCD_OPC_CheckPredicate, 8, 132, 35, // Skip to: 13726
+/* 4634 */    MCD_OPC_Decode, 143, 12, 124, // Opcode: SRAI_W
+/* 4638 */    MCD_OPC_FilterValue, 1, 124, 35, // Skip to: 13726
+/* 4642 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4645 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4658
+/* 4649 */    MCD_OPC_CheckPredicate, 8, 113, 35, // Skip to: 13726
+/* 4653 */    MCD_OPC_Decode, 142, 12, 131, 1, // Opcode: SRAI_H
+/* 4658 */    MCD_OPC_FilterValue, 1, 104, 35, // Skip to: 13726
+/* 4662 */    MCD_OPC_CheckPredicate, 8, 100, 35, // Skip to: 13726
+/* 4666 */    MCD_OPC_CheckField, 19, 1, 0, 94, 35, // Skip to: 13726
+/* 4672 */    MCD_OPC_Decode, 140, 12, 132, 1, // Opcode: SRAI_B
+/* 4677 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 4690
+/* 4681 */    MCD_OPC_CheckPredicate, 8, 81, 35, // Skip to: 13726
+/* 4685 */    MCD_OPC_Decode, 162, 12, 130, 1, // Opcode: SRLI_D
+/* 4690 */    MCD_OPC_FilterValue, 5, 54, 0, // Skip to: 4748
+/* 4694 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4697 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4709
+/* 4701 */    MCD_OPC_CheckPredicate, 8, 61, 35, // Skip to: 13726
+/* 4705 */    MCD_OPC_Decode, 164, 12, 124, // Opcode: SRLI_W
+/* 4709 */    MCD_OPC_FilterValue, 1, 53, 35, // Skip to: 13726
+/* 4713 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4716 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4729
+/* 4720 */    MCD_OPC_CheckPredicate, 8, 42, 35, // Skip to: 13726
+/* 4724 */    MCD_OPC_Decode, 163, 12, 131, 1, // Opcode: SRLI_H
+/* 4729 */    MCD_OPC_FilterValue, 1, 33, 35, // Skip to: 13726
+/* 4733 */    MCD_OPC_CheckPredicate, 8, 29, 35, // Skip to: 13726
+/* 4737 */    MCD_OPC_CheckField, 19, 1, 0, 23, 35, // Skip to: 13726
+/* 4743 */    MCD_OPC_Decode, 161, 12, 132, 1, // Opcode: SRLI_B
+/* 4748 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 4761
+/* 4752 */    MCD_OPC_CheckPredicate, 8, 10, 35, // Skip to: 13726
+/* 4756 */    MCD_OPC_Decode, 199, 1, 130, 1, // Opcode: BCLRI_D
+/* 4761 */    MCD_OPC_FilterValue, 7, 54, 0, // Skip to: 4819
+/* 4765 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4768 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4780
+/* 4772 */    MCD_OPC_CheckPredicate, 8, 246, 34, // Skip to: 13726
+/* 4776 */    MCD_OPC_Decode, 201, 1, 124, // Opcode: BCLRI_W
+/* 4780 */    MCD_OPC_FilterValue, 1, 238, 34, // Skip to: 13726
+/* 4784 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4787 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4800
+/* 4791 */    MCD_OPC_CheckPredicate, 8, 227, 34, // Skip to: 13726
+/* 4795 */    MCD_OPC_Decode, 200, 1, 131, 1, // Opcode: BCLRI_H
+/* 4800 */    MCD_OPC_FilterValue, 1, 218, 34, // Skip to: 13726
+/* 4804 */    MCD_OPC_CheckPredicate, 8, 214, 34, // Skip to: 13726
+/* 4808 */    MCD_OPC_CheckField, 19, 1, 0, 208, 34, // Skip to: 13726
+/* 4814 */    MCD_OPC_Decode, 198, 1, 132, 1, // Opcode: BCLRI_B
+/* 4819 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 4832
+/* 4823 */    MCD_OPC_CheckPredicate, 8, 195, 34, // Skip to: 13726
+/* 4827 */    MCD_OPC_Decode, 182, 2, 130, 1, // Opcode: BSETI_D
+/* 4832 */    MCD_OPC_FilterValue, 9, 54, 0, // Skip to: 4890
+/* 4836 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4839 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4851
+/* 4843 */    MCD_OPC_CheckPredicate, 8, 175, 34, // Skip to: 13726
+/* 4847 */    MCD_OPC_Decode, 184, 2, 124, // Opcode: BSETI_W
+/* 4851 */    MCD_OPC_FilterValue, 1, 167, 34, // Skip to: 13726
+/* 4855 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4858 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4871
+/* 4862 */    MCD_OPC_CheckPredicate, 8, 156, 34, // Skip to: 13726
+/* 4866 */    MCD_OPC_Decode, 183, 2, 131, 1, // Opcode: BSETI_H
+/* 4871 */    MCD_OPC_FilterValue, 1, 147, 34, // Skip to: 13726
+/* 4875 */    MCD_OPC_CheckPredicate, 8, 143, 34, // Skip to: 13726
+/* 4879 */    MCD_OPC_CheckField, 19, 1, 0, 137, 34, // Skip to: 13726
+/* 4885 */    MCD_OPC_Decode, 181, 2, 132, 1, // Opcode: BSETI_B
+/* 4890 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 4903
+/* 4894 */    MCD_OPC_CheckPredicate, 8, 124, 34, // Skip to: 13726
+/* 4898 */    MCD_OPC_Decode, 149, 2, 130, 1, // Opcode: BNEGI_D
+/* 4903 */    MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 4961
+/* 4907 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4910 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 4922
+/* 4914 */    MCD_OPC_CheckPredicate, 8, 104, 34, // Skip to: 13726
+/* 4918 */    MCD_OPC_Decode, 151, 2, 124, // Opcode: BNEGI_W
+/* 4922 */    MCD_OPC_FilterValue, 1, 96, 34, // Skip to: 13726
+/* 4926 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4929 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4942
+/* 4933 */    MCD_OPC_CheckPredicate, 8, 85, 34, // Skip to: 13726
+/* 4937 */    MCD_OPC_Decode, 150, 2, 131, 1, // Opcode: BNEGI_H
+/* 4942 */    MCD_OPC_FilterValue, 1, 76, 34, // Skip to: 13726
+/* 4946 */    MCD_OPC_CheckPredicate, 8, 72, 34, // Skip to: 13726
+/* 4950 */    MCD_OPC_CheckField, 19, 1, 0, 66, 34, // Skip to: 13726
+/* 4956 */    MCD_OPC_Decode, 148, 2, 132, 1, // Opcode: BNEGI_B
+/* 4961 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 4974
+/* 4965 */    MCD_OPC_CheckPredicate, 8, 53, 34, // Skip to: 13726
+/* 4969 */    MCD_OPC_Decode, 234, 1, 133, 1, // Opcode: BINSLI_D
+/* 4974 */    MCD_OPC_FilterValue, 13, 55, 0, // Skip to: 5033
+/* 4978 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 4981 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 4994
+/* 4985 */    MCD_OPC_CheckPredicate, 8, 33, 34, // Skip to: 13726
+/* 4989 */    MCD_OPC_Decode, 236, 1, 134, 1, // Opcode: BINSLI_W
+/* 4994 */    MCD_OPC_FilterValue, 1, 24, 34, // Skip to: 13726
+/* 4998 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5001 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5014
+/* 5005 */    MCD_OPC_CheckPredicate, 8, 13, 34, // Skip to: 13726
+/* 5009 */    MCD_OPC_Decode, 235, 1, 135, 1, // Opcode: BINSLI_H
+/* 5014 */    MCD_OPC_FilterValue, 1, 4, 34, // Skip to: 13726
+/* 5018 */    MCD_OPC_CheckPredicate, 8, 0, 34, // Skip to: 13726
+/* 5022 */    MCD_OPC_CheckField, 19, 1, 0, 250, 33, // Skip to: 13726
+/* 5028 */    MCD_OPC_Decode, 233, 1, 136, 1, // Opcode: BINSLI_B
+/* 5033 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 5046
+/* 5037 */    MCD_OPC_CheckPredicate, 8, 237, 33, // Skip to: 13726
+/* 5041 */    MCD_OPC_Decode, 242, 1, 133, 1, // Opcode: BINSRI_D
+/* 5046 */    MCD_OPC_FilterValue, 15, 228, 33, // Skip to: 13726
+/* 5050 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 5053 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5066
+/* 5057 */    MCD_OPC_CheckPredicate, 8, 217, 33, // Skip to: 13726
+/* 5061 */    MCD_OPC_Decode, 244, 1, 134, 1, // Opcode: BINSRI_W
+/* 5066 */    MCD_OPC_FilterValue, 1, 208, 33, // Skip to: 13726
+/* 5070 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5073 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5086
+/* 5077 */    MCD_OPC_CheckPredicate, 8, 197, 33, // Skip to: 13726
+/* 5081 */    MCD_OPC_Decode, 243, 1, 135, 1, // Opcode: BINSRI_H
+/* 5086 */    MCD_OPC_FilterValue, 1, 188, 33, // Skip to: 13726
+/* 5090 */    MCD_OPC_CheckPredicate, 8, 184, 33, // Skip to: 13726
+/* 5094 */    MCD_OPC_CheckField, 19, 1, 0, 178, 33, // Skip to: 13726
+/* 5100 */    MCD_OPC_Decode, 241, 1, 136, 1, // Opcode: BINSRI_B
+/* 5105 */    MCD_OPC_FilterValue, 10, 31, 1, // Skip to: 5396
+/* 5109 */    MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 5112 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5125
+/* 5116 */    MCD_OPC_CheckPredicate, 8, 158, 33, // Skip to: 13726
+/* 5120 */    MCD_OPC_Decode, 135, 11, 130, 1, // Opcode: SAT_S_D
+/* 5125 */    MCD_OPC_FilterValue, 1, 54, 0, // Skip to: 5183
+/* 5129 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 5132 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5144
+/* 5136 */    MCD_OPC_CheckPredicate, 8, 138, 33, // Skip to: 13726
+/* 5140 */    MCD_OPC_Decode, 137, 11, 124, // Opcode: SAT_S_W
+/* 5144 */    MCD_OPC_FilterValue, 1, 130, 33, // Skip to: 13726
+/* 5148 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5151 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5164
+/* 5155 */    MCD_OPC_CheckPredicate, 8, 119, 33, // Skip to: 13726
+/* 5159 */    MCD_OPC_Decode, 136, 11, 131, 1, // Opcode: SAT_S_H
+/* 5164 */    MCD_OPC_FilterValue, 1, 110, 33, // Skip to: 13726
+/* 5168 */    MCD_OPC_CheckPredicate, 8, 106, 33, // Skip to: 13726
+/* 5172 */    MCD_OPC_CheckField, 19, 1, 0, 100, 33, // Skip to: 13726
+/* 5178 */    MCD_OPC_Decode, 134, 11, 132, 1, // Opcode: SAT_S_B
+/* 5183 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 5196
+/* 5187 */    MCD_OPC_CheckPredicate, 8, 87, 33, // Skip to: 13726
+/* 5191 */    MCD_OPC_Decode, 139, 11, 130, 1, // Opcode: SAT_U_D
+/* 5196 */    MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 5254
+/* 5200 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 5203 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5215
+/* 5207 */    MCD_OPC_CheckPredicate, 8, 67, 33, // Skip to: 13726
+/* 5211 */    MCD_OPC_Decode, 141, 11, 124, // Opcode: SAT_U_W
+/* 5215 */    MCD_OPC_FilterValue, 1, 59, 33, // Skip to: 13726
+/* 5219 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5222 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5235
+/* 5226 */    MCD_OPC_CheckPredicate, 8, 48, 33, // Skip to: 13726
+/* 5230 */    MCD_OPC_Decode, 140, 11, 131, 1, // Opcode: SAT_U_H
+/* 5235 */    MCD_OPC_FilterValue, 1, 39, 33, // Skip to: 13726
+/* 5239 */    MCD_OPC_CheckPredicate, 8, 35, 33, // Skip to: 13726
+/* 5243 */    MCD_OPC_CheckField, 19, 1, 0, 29, 33, // Skip to: 13726
+/* 5249 */    MCD_OPC_Decode, 138, 11, 132, 1, // Opcode: SAT_U_B
+/* 5254 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 5267
+/* 5258 */    MCD_OPC_CheckPredicate, 8, 16, 33, // Skip to: 13726
+/* 5262 */    MCD_OPC_Decode, 145, 12, 130, 1, // Opcode: SRARI_D
+/* 5267 */    MCD_OPC_FilterValue, 5, 54, 0, // Skip to: 5325
+/* 5271 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 5274 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5286
+/* 5278 */    MCD_OPC_CheckPredicate, 8, 252, 32, // Skip to: 13726
+/* 5282 */    MCD_OPC_Decode, 147, 12, 124, // Opcode: SRARI_W
+/* 5286 */    MCD_OPC_FilterValue, 1, 244, 32, // Skip to: 13726
+/* 5290 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5293 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5306
+/* 5297 */    MCD_OPC_CheckPredicate, 8, 233, 32, // Skip to: 13726
+/* 5301 */    MCD_OPC_Decode, 146, 12, 131, 1, // Opcode: SRARI_H
+/* 5306 */    MCD_OPC_FilterValue, 1, 224, 32, // Skip to: 13726
+/* 5310 */    MCD_OPC_CheckPredicate, 8, 220, 32, // Skip to: 13726
+/* 5314 */    MCD_OPC_CheckField, 19, 1, 0, 214, 32, // Skip to: 13726
+/* 5320 */    MCD_OPC_Decode, 144, 12, 132, 1, // Opcode: SRARI_B
+/* 5325 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 5338
+/* 5329 */    MCD_OPC_CheckPredicate, 8, 201, 32, // Skip to: 13726
+/* 5333 */    MCD_OPC_Decode, 166, 12, 130, 1, // Opcode: SRLRI_D
+/* 5338 */    MCD_OPC_FilterValue, 7, 192, 32, // Skip to: 13726
+/* 5342 */    MCD_OPC_ExtractField, 21, 1,  // Inst{21} ...
+/* 5345 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5357
+/* 5349 */    MCD_OPC_CheckPredicate, 8, 181, 32, // Skip to: 13726
+/* 5353 */    MCD_OPC_Decode, 168, 12, 124, // Opcode: SRLRI_W
+/* 5357 */    MCD_OPC_FilterValue, 1, 173, 32, // Skip to: 13726
+/* 5361 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 5364 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5377
+/* 5368 */    MCD_OPC_CheckPredicate, 8, 162, 32, // Skip to: 13726
+/* 5372 */    MCD_OPC_Decode, 167, 12, 131, 1, // Opcode: SRLRI_H
+/* 5377 */    MCD_OPC_FilterValue, 1, 153, 32, // Skip to: 13726
+/* 5381 */    MCD_OPC_CheckPredicate, 8, 149, 32, // Skip to: 13726
+/* 5385 */    MCD_OPC_CheckField, 19, 1, 0, 143, 32, // Skip to: 13726
+/* 5391 */    MCD_OPC_Decode, 165, 12, 132, 1, // Opcode: SRLRI_B
+/* 5396 */    MCD_OPC_FilterValue, 13, 163, 1, // Skip to: 5819
+/* 5400 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 5403 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 5416
+/* 5407 */    MCD_OPC_CheckPredicate, 8, 123, 32, // Skip to: 13726
+/* 5411 */    MCD_OPC_Decode, 235, 11, 137, 1, // Opcode: SLL_B
+/* 5416 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 5429
+/* 5420 */    MCD_OPC_CheckPredicate, 8, 110, 32, // Skip to: 13726
+/* 5424 */    MCD_OPC_Decode, 237, 11, 138, 1, // Opcode: SLL_H
+/* 5429 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 5442
+/* 5433 */    MCD_OPC_CheckPredicate, 8, 97, 32, // Skip to: 13726
+/* 5437 */    MCD_OPC_Decode, 239, 11, 139, 1, // Opcode: SLL_W
+/* 5442 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 5455
+/* 5446 */    MCD_OPC_CheckPredicate, 8, 84, 32, // Skip to: 13726
+/* 5450 */    MCD_OPC_Decode, 236, 11, 140, 1, // Opcode: SLL_D
+/* 5455 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 5468
+/* 5459 */    MCD_OPC_CheckPredicate, 8, 71, 32, // Skip to: 13726
+/* 5463 */    MCD_OPC_Decode, 154, 12, 137, 1, // Opcode: SRA_B
+/* 5468 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 5481
+/* 5472 */    MCD_OPC_CheckPredicate, 8, 58, 32, // Skip to: 13726
+/* 5476 */    MCD_OPC_Decode, 156, 12, 138, 1, // Opcode: SRA_H
+/* 5481 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 5494
+/* 5485 */    MCD_OPC_CheckPredicate, 8, 45, 32, // Skip to: 13726
+/* 5489 */    MCD_OPC_Decode, 158, 12, 139, 1, // Opcode: SRA_W
+/* 5494 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 5507
+/* 5498 */    MCD_OPC_CheckPredicate, 8, 32, 32, // Skip to: 13726
+/* 5502 */    MCD_OPC_Decode, 155, 12, 140, 1, // Opcode: SRA_D
+/* 5507 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 5520
+/* 5511 */    MCD_OPC_CheckPredicate, 8, 19, 32, // Skip to: 13726
+/* 5515 */    MCD_OPC_Decode, 175, 12, 137, 1, // Opcode: SRL_B
+/* 5520 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 5533
+/* 5524 */    MCD_OPC_CheckPredicate, 8, 6, 32, // Skip to: 13726
+/* 5528 */    MCD_OPC_Decode, 177, 12, 138, 1, // Opcode: SRL_H
+/* 5533 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 5546
+/* 5537 */    MCD_OPC_CheckPredicate, 8, 249, 31, // Skip to: 13726
+/* 5541 */    MCD_OPC_Decode, 179, 12, 139, 1, // Opcode: SRL_W
+/* 5546 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 5559
+/* 5550 */    MCD_OPC_CheckPredicate, 8, 236, 31, // Skip to: 13726
+/* 5554 */    MCD_OPC_Decode, 176, 12, 140, 1, // Opcode: SRL_D
+/* 5559 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 5572
+/* 5563 */    MCD_OPC_CheckPredicate, 8, 223, 31, // Skip to: 13726
+/* 5567 */    MCD_OPC_Decode, 202, 1, 137, 1, // Opcode: BCLR_B
+/* 5572 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 5585
+/* 5576 */    MCD_OPC_CheckPredicate, 8, 210, 31, // Skip to: 13726
+/* 5580 */    MCD_OPC_Decode, 204, 1, 138, 1, // Opcode: BCLR_H
+/* 5585 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 5598
+/* 5589 */    MCD_OPC_CheckPredicate, 8, 197, 31, // Skip to: 13726
+/* 5593 */    MCD_OPC_Decode, 205, 1, 139, 1, // Opcode: BCLR_W
+/* 5598 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 5611
+/* 5602 */    MCD_OPC_CheckPredicate, 8, 184, 31, // Skip to: 13726
+/* 5606 */    MCD_OPC_Decode, 203, 1, 140, 1, // Opcode: BCLR_D
+/* 5611 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 5624
+/* 5615 */    MCD_OPC_CheckPredicate, 8, 171, 31, // Skip to: 13726
+/* 5619 */    MCD_OPC_Decode, 185, 2, 137, 1, // Opcode: BSET_B
+/* 5624 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 5637
+/* 5628 */    MCD_OPC_CheckPredicate, 8, 158, 31, // Skip to: 13726
+/* 5632 */    MCD_OPC_Decode, 187, 2, 138, 1, // Opcode: BSET_H
+/* 5637 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 5650
+/* 5641 */    MCD_OPC_CheckPredicate, 8, 145, 31, // Skip to: 13726
+/* 5645 */    MCD_OPC_Decode, 188, 2, 139, 1, // Opcode: BSET_W
+/* 5650 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 5663
+/* 5654 */    MCD_OPC_CheckPredicate, 8, 132, 31, // Skip to: 13726
+/* 5658 */    MCD_OPC_Decode, 186, 2, 140, 1, // Opcode: BSET_D
+/* 5663 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 5676
+/* 5667 */    MCD_OPC_CheckPredicate, 8, 119, 31, // Skip to: 13726
+/* 5671 */    MCD_OPC_Decode, 152, 2, 137, 1, // Opcode: BNEG_B
+/* 5676 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 5689
+/* 5680 */    MCD_OPC_CheckPredicate, 8, 106, 31, // Skip to: 13726
+/* 5684 */    MCD_OPC_Decode, 154, 2, 138, 1, // Opcode: BNEG_H
+/* 5689 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 5702
+/* 5693 */    MCD_OPC_CheckPredicate, 8, 93, 31, // Skip to: 13726
+/* 5697 */    MCD_OPC_Decode, 155, 2, 139, 1, // Opcode: BNEG_W
+/* 5702 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 5715
+/* 5706 */    MCD_OPC_CheckPredicate, 8, 80, 31, // Skip to: 13726
+/* 5710 */    MCD_OPC_Decode, 153, 2, 140, 1, // Opcode: BNEG_D
+/* 5715 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 5728
+/* 5719 */    MCD_OPC_CheckPredicate, 8, 67, 31, // Skip to: 13726
+/* 5723 */    MCD_OPC_Decode, 237, 1, 141, 1, // Opcode: BINSL_B
+/* 5728 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 5741
+/* 5732 */    MCD_OPC_CheckPredicate, 8, 54, 31, // Skip to: 13726
+/* 5736 */    MCD_OPC_Decode, 239, 1, 142, 1, // Opcode: BINSL_H
+/* 5741 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 5754
+/* 5745 */    MCD_OPC_CheckPredicate, 8, 41, 31, // Skip to: 13726
+/* 5749 */    MCD_OPC_Decode, 240, 1, 143, 1, // Opcode: BINSL_W
+/* 5754 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 5767
+/* 5758 */    MCD_OPC_CheckPredicate, 8, 28, 31, // Skip to: 13726
+/* 5762 */    MCD_OPC_Decode, 238, 1, 144, 1, // Opcode: BINSL_D
+/* 5767 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 5780
+/* 5771 */    MCD_OPC_CheckPredicate, 8, 15, 31, // Skip to: 13726
+/* 5775 */    MCD_OPC_Decode, 245, 1, 141, 1, // Opcode: BINSR_B
+/* 5780 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 5793
+/* 5784 */    MCD_OPC_CheckPredicate, 8, 2, 31, // Skip to: 13726
+/* 5788 */    MCD_OPC_Decode, 247, 1, 142, 1, // Opcode: BINSR_H
+/* 5793 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 5806
+/* 5797 */    MCD_OPC_CheckPredicate, 8, 245, 30, // Skip to: 13726
+/* 5801 */    MCD_OPC_Decode, 248, 1, 143, 1, // Opcode: BINSR_W
+/* 5806 */    MCD_OPC_FilterValue, 31, 236, 30, // Skip to: 13726
+/* 5810 */    MCD_OPC_CheckPredicate, 8, 232, 30, // Skip to: 13726
+/* 5814 */    MCD_OPC_Decode, 246, 1, 144, 1, // Opcode: BINSR_D
+/* 5819 */    MCD_OPC_FilterValue, 14, 159, 1, // Skip to: 6238
+/* 5823 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 5826 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 5838
+/* 5830 */    MCD_OPC_CheckPredicate, 8, 212, 30, // Skip to: 13726
+/* 5834 */    MCD_OPC_Decode, 63, 137, 1, // Opcode: ADDV_B
+/* 5838 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 5850
+/* 5842 */    MCD_OPC_CheckPredicate, 8, 200, 30, // Skip to: 13726
+/* 5846 */    MCD_OPC_Decode, 65, 138, 1, // Opcode: ADDV_H
+/* 5850 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 5862
+/* 5854 */    MCD_OPC_CheckPredicate, 8, 188, 30, // Skip to: 13726
+/* 5858 */    MCD_OPC_Decode, 66, 139, 1, // Opcode: ADDV_W
+/* 5862 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 5874
+/* 5866 */    MCD_OPC_CheckPredicate, 8, 176, 30, // Skip to: 13726
+/* 5870 */    MCD_OPC_Decode, 64, 140, 1, // Opcode: ADDV_D
+/* 5874 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 5887
+/* 5878 */    MCD_OPC_CheckPredicate, 8, 164, 30, // Skip to: 13726
+/* 5882 */    MCD_OPC_Decode, 225, 12, 137, 1, // Opcode: SUBV_B
+/* 5887 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 5900
+/* 5891 */    MCD_OPC_CheckPredicate, 8, 151, 30, // Skip to: 13726
+/* 5895 */    MCD_OPC_Decode, 227, 12, 138, 1, // Opcode: SUBV_H
+/* 5900 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 5913
+/* 5904 */    MCD_OPC_CheckPredicate, 8, 138, 30, // Skip to: 13726
+/* 5908 */    MCD_OPC_Decode, 228, 12, 139, 1, // Opcode: SUBV_W
+/* 5913 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 5926
+/* 5917 */    MCD_OPC_CheckPredicate, 8, 125, 30, // Skip to: 13726
+/* 5921 */    MCD_OPC_Decode, 226, 12, 140, 1, // Opcode: SUBV_D
+/* 5926 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 5939
+/* 5930 */    MCD_OPC_CheckPredicate, 8, 112, 30, // Skip to: 13726
+/* 5934 */    MCD_OPC_Decode, 171, 8, 137, 1, // Opcode: MAX_S_B
+/* 5939 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 5952
+/* 5943 */    MCD_OPC_CheckPredicate, 8, 99, 30, // Skip to: 13726
+/* 5947 */    MCD_OPC_Decode, 173, 8, 138, 1, // Opcode: MAX_S_H
+/* 5952 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 5965
+/* 5956 */    MCD_OPC_CheckPredicate, 8, 86, 30, // Skip to: 13726
+/* 5960 */    MCD_OPC_Decode, 174, 8, 139, 1, // Opcode: MAX_S_W
+/* 5965 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 5978
+/* 5969 */    MCD_OPC_CheckPredicate, 8, 73, 30, // Skip to: 13726
+/* 5973 */    MCD_OPC_Decode, 172, 8, 140, 1, // Opcode: MAX_S_D
+/* 5978 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 5991
+/* 5982 */    MCD_OPC_CheckPredicate, 8, 60, 30, // Skip to: 13726
+/* 5986 */    MCD_OPC_Decode, 175, 8, 137, 1, // Opcode: MAX_U_B
+/* 5991 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 6004
+/* 5995 */    MCD_OPC_CheckPredicate, 8, 47, 30, // Skip to: 13726
+/* 5999 */    MCD_OPC_Decode, 177, 8, 138, 1, // Opcode: MAX_U_H
+/* 6004 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 6017
+/* 6008 */    MCD_OPC_CheckPredicate, 8, 34, 30, // Skip to: 13726
+/* 6012 */    MCD_OPC_Decode, 178, 8, 139, 1, // Opcode: MAX_U_W
+/* 6017 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 6030
+/* 6021 */    MCD_OPC_CheckPredicate, 8, 21, 30, // Skip to: 13726
+/* 6025 */    MCD_OPC_Decode, 176, 8, 140, 1, // Opcode: MAX_U_D
+/* 6030 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 6043
+/* 6034 */    MCD_OPC_CheckPredicate, 8, 8, 30, // Skip to: 13726
+/* 6038 */    MCD_OPC_Decode, 212, 8, 137, 1, // Opcode: MIN_S_B
+/* 6043 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 6056
+/* 6047 */    MCD_OPC_CheckPredicate, 8, 251, 29, // Skip to: 13726
+/* 6051 */    MCD_OPC_Decode, 214, 8, 138, 1, // Opcode: MIN_S_H
+/* 6056 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 6069
+/* 6060 */    MCD_OPC_CheckPredicate, 8, 238, 29, // Skip to: 13726
+/* 6064 */    MCD_OPC_Decode, 215, 8, 139, 1, // Opcode: MIN_S_W
+/* 6069 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 6082
+/* 6073 */    MCD_OPC_CheckPredicate, 8, 225, 29, // Skip to: 13726
+/* 6077 */    MCD_OPC_Decode, 213, 8, 140, 1, // Opcode: MIN_S_D
+/* 6082 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 6095
+/* 6086 */    MCD_OPC_CheckPredicate, 8, 212, 29, // Skip to: 13726
+/* 6090 */    MCD_OPC_Decode, 216, 8, 137, 1, // Opcode: MIN_U_B
+/* 6095 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 6108
+/* 6099 */    MCD_OPC_CheckPredicate, 8, 199, 29, // Skip to: 13726
+/* 6103 */    MCD_OPC_Decode, 218, 8, 138, 1, // Opcode: MIN_U_H
+/* 6108 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 6121
+/* 6112 */    MCD_OPC_CheckPredicate, 8, 186, 29, // Skip to: 13726
+/* 6116 */    MCD_OPC_Decode, 219, 8, 139, 1, // Opcode: MIN_U_W
+/* 6121 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 6134
+/* 6125 */    MCD_OPC_CheckPredicate, 8, 173, 29, // Skip to: 13726
+/* 6129 */    MCD_OPC_Decode, 217, 8, 140, 1, // Opcode: MIN_U_D
+/* 6134 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 6147
+/* 6138 */    MCD_OPC_CheckPredicate, 8, 160, 29, // Skip to: 13726
+/* 6142 */    MCD_OPC_Decode, 165, 8, 137, 1, // Opcode: MAX_A_B
+/* 6147 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 6160
+/* 6151 */    MCD_OPC_CheckPredicate, 8, 147, 29, // Skip to: 13726
+/* 6155 */    MCD_OPC_Decode, 167, 8, 138, 1, // Opcode: MAX_A_H
+/* 6160 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 6173
+/* 6164 */    MCD_OPC_CheckPredicate, 8, 134, 29, // Skip to: 13726
+/* 6168 */    MCD_OPC_Decode, 168, 8, 139, 1, // Opcode: MAX_A_W
+/* 6173 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 6186
+/* 6177 */    MCD_OPC_CheckPredicate, 8, 121, 29, // Skip to: 13726
+/* 6181 */    MCD_OPC_Decode, 166, 8, 140, 1, // Opcode: MAX_A_D
+/* 6186 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 6199
+/* 6190 */    MCD_OPC_CheckPredicate, 8, 108, 29, // Skip to: 13726
+/* 6194 */    MCD_OPC_Decode, 206, 8, 137, 1, // Opcode: MIN_A_B
+/* 6199 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 6212
+/* 6203 */    MCD_OPC_CheckPredicate, 8, 95, 29, // Skip to: 13726
+/* 6207 */    MCD_OPC_Decode, 208, 8, 138, 1, // Opcode: MIN_A_H
+/* 6212 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 6225
+/* 6216 */    MCD_OPC_CheckPredicate, 8, 82, 29, // Skip to: 13726
+/* 6220 */    MCD_OPC_Decode, 209, 8, 139, 1, // Opcode: MIN_A_W
+/* 6225 */    MCD_OPC_FilterValue, 31, 73, 29, // Skip to: 13726
+/* 6229 */    MCD_OPC_CheckPredicate, 8, 69, 29, // Skip to: 13726
+/* 6233 */    MCD_OPC_Decode, 207, 8, 140, 1, // Opcode: MIN_A_D
+/* 6238 */    MCD_OPC_FilterValue, 15, 7, 1, // Skip to: 6505
+/* 6242 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 6245 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6258
+/* 6249 */    MCD_OPC_CheckPredicate, 8, 49, 29, // Skip to: 13726
+/* 6253 */    MCD_OPC_Decode, 234, 2, 137, 1, // Opcode: CEQ_B
+/* 6258 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 6271
+/* 6262 */    MCD_OPC_CheckPredicate, 8, 36, 29, // Skip to: 13726
+/* 6266 */    MCD_OPC_Decode, 236, 2, 138, 1, // Opcode: CEQ_H
+/* 6271 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 6284
+/* 6275 */    MCD_OPC_CheckPredicate, 8, 23, 29, // Skip to: 13726
+/* 6279 */    MCD_OPC_Decode, 237, 2, 139, 1, // Opcode: CEQ_W
+/* 6284 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 6297
+/* 6288 */    MCD_OPC_CheckPredicate, 8, 10, 29, // Skip to: 13726
+/* 6292 */    MCD_OPC_Decode, 235, 2, 140, 1, // Opcode: CEQ_D
+/* 6297 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 6310
+/* 6301 */    MCD_OPC_CheckPredicate, 8, 253, 28, // Skip to: 13726
+/* 6305 */    MCD_OPC_Decode, 144, 3, 137, 1, // Opcode: CLT_S_B
+/* 6310 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 6323
+/* 6314 */    MCD_OPC_CheckPredicate, 8, 240, 28, // Skip to: 13726
+/* 6318 */    MCD_OPC_Decode, 146, 3, 138, 1, // Opcode: CLT_S_H
+/* 6323 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 6336
+/* 6327 */    MCD_OPC_CheckPredicate, 8, 227, 28, // Skip to: 13726
+/* 6331 */    MCD_OPC_Decode, 147, 3, 139, 1, // Opcode: CLT_S_W
+/* 6336 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 6349
+/* 6340 */    MCD_OPC_CheckPredicate, 8, 214, 28, // Skip to: 13726
+/* 6344 */    MCD_OPC_Decode, 145, 3, 140, 1, // Opcode: CLT_S_D
+/* 6349 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 6362
+/* 6353 */    MCD_OPC_CheckPredicate, 8, 201, 28, // Skip to: 13726
+/* 6357 */    MCD_OPC_Decode, 148, 3, 137, 1, // Opcode: CLT_U_B
+/* 6362 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 6375
+/* 6366 */    MCD_OPC_CheckPredicate, 8, 188, 28, // Skip to: 13726
+/* 6370 */    MCD_OPC_Decode, 150, 3, 138, 1, // Opcode: CLT_U_H
+/* 6375 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 6388
+/* 6379 */    MCD_OPC_CheckPredicate, 8, 175, 28, // Skip to: 13726
+/* 6383 */    MCD_OPC_Decode, 151, 3, 139, 1, // Opcode: CLT_U_W
+/* 6388 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 6401
+/* 6392 */    MCD_OPC_CheckPredicate, 8, 162, 28, // Skip to: 13726
+/* 6396 */    MCD_OPC_Decode, 149, 3, 140, 1, // Opcode: CLT_U_D
+/* 6401 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 6414
+/* 6405 */    MCD_OPC_CheckPredicate, 8, 149, 28, // Skip to: 13726
+/* 6409 */    MCD_OPC_Decode, 253, 2, 137, 1, // Opcode: CLE_S_B
+/* 6414 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 6427
+/* 6418 */    MCD_OPC_CheckPredicate, 8, 136, 28, // Skip to: 13726
+/* 6422 */    MCD_OPC_Decode, 255, 2, 138, 1, // Opcode: CLE_S_H
+/* 6427 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 6440
+/* 6431 */    MCD_OPC_CheckPredicate, 8, 123, 28, // Skip to: 13726
+/* 6435 */    MCD_OPC_Decode, 128, 3, 139, 1, // Opcode: CLE_S_W
+/* 6440 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 6453
+/* 6444 */    MCD_OPC_CheckPredicate, 8, 110, 28, // Skip to: 13726
+/* 6448 */    MCD_OPC_Decode, 254, 2, 140, 1, // Opcode: CLE_S_D
+/* 6453 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 6466
+/* 6457 */    MCD_OPC_CheckPredicate, 8, 97, 28, // Skip to: 13726
+/* 6461 */    MCD_OPC_Decode, 129, 3, 137, 1, // Opcode: CLE_U_B
+/* 6466 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 6479
+/* 6470 */    MCD_OPC_CheckPredicate, 8, 84, 28, // Skip to: 13726
+/* 6474 */    MCD_OPC_Decode, 131, 3, 138, 1, // Opcode: CLE_U_H
+/* 6479 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 6492
+/* 6483 */    MCD_OPC_CheckPredicate, 8, 71, 28, // Skip to: 13726
+/* 6487 */    MCD_OPC_Decode, 132, 3, 139, 1, // Opcode: CLE_U_W
+/* 6492 */    MCD_OPC_FilterValue, 23, 62, 28, // Skip to: 13726
+/* 6496 */    MCD_OPC_CheckPredicate, 8, 58, 28, // Skip to: 13726
+/* 6500 */    MCD_OPC_Decode, 130, 3, 140, 1, // Opcode: CLE_U_D
+/* 6505 */    MCD_OPC_FilterValue, 16, 147, 1, // Skip to: 6912
+/* 6509 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 6512 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 6524
+/* 6516 */    MCD_OPC_CheckPredicate, 8, 38, 28, // Skip to: 13726
+/* 6520 */    MCD_OPC_Decode, 68, 137, 1, // Opcode: ADD_A_B
+/* 6524 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 6536
+/* 6528 */    MCD_OPC_CheckPredicate, 8, 26, 28, // Skip to: 13726
+/* 6532 */    MCD_OPC_Decode, 70, 138, 1, // Opcode: ADD_A_H
+/* 6536 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 6548
+/* 6540 */    MCD_OPC_CheckPredicate, 8, 14, 28, // Skip to: 13726
+/* 6544 */    MCD_OPC_Decode, 71, 139, 1, // Opcode: ADD_A_W
+/* 6548 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 6560
+/* 6552 */    MCD_OPC_CheckPredicate, 8, 2, 28, // Skip to: 13726
+/* 6556 */    MCD_OPC_Decode, 69, 140, 1, // Opcode: ADD_A_D
+/* 6560 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 6572
+/* 6564 */    MCD_OPC_CheckPredicate, 8, 246, 27, // Skip to: 13726
+/* 6568 */    MCD_OPC_Decode, 40, 137, 1, // Opcode: ADDS_A_B
+/* 6572 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 6584
+/* 6576 */    MCD_OPC_CheckPredicate, 8, 234, 27, // Skip to: 13726
+/* 6580 */    MCD_OPC_Decode, 42, 138, 1, // Opcode: ADDS_A_H
+/* 6584 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 6596
+/* 6588 */    MCD_OPC_CheckPredicate, 8, 222, 27, // Skip to: 13726
+/* 6592 */    MCD_OPC_Decode, 43, 139, 1, // Opcode: ADDS_A_W
+/* 6596 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 6608
+/* 6600 */    MCD_OPC_CheckPredicate, 8, 210, 27, // Skip to: 13726
+/* 6604 */    MCD_OPC_Decode, 41, 140, 1, // Opcode: ADDS_A_D
+/* 6608 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 6620
+/* 6612 */    MCD_OPC_CheckPredicate, 8, 198, 27, // Skip to: 13726
+/* 6616 */    MCD_OPC_Decode, 44, 137, 1, // Opcode: ADDS_S_B
+/* 6620 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 6632
+/* 6624 */    MCD_OPC_CheckPredicate, 8, 186, 27, // Skip to: 13726
+/* 6628 */    MCD_OPC_Decode, 46, 138, 1, // Opcode: ADDS_S_H
+/* 6632 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 6644
+/* 6636 */    MCD_OPC_CheckPredicate, 8, 174, 27, // Skip to: 13726
+/* 6640 */    MCD_OPC_Decode, 47, 139, 1, // Opcode: ADDS_S_W
+/* 6644 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 6656
+/* 6648 */    MCD_OPC_CheckPredicate, 8, 162, 27, // Skip to: 13726
+/* 6652 */    MCD_OPC_Decode, 45, 140, 1, // Opcode: ADDS_S_D
+/* 6656 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 6668
+/* 6660 */    MCD_OPC_CheckPredicate, 8, 150, 27, // Skip to: 13726
+/* 6664 */    MCD_OPC_Decode, 48, 137, 1, // Opcode: ADDS_U_B
+/* 6668 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 6680
+/* 6672 */    MCD_OPC_CheckPredicate, 8, 138, 27, // Skip to: 13726
+/* 6676 */    MCD_OPC_Decode, 50, 138, 1, // Opcode: ADDS_U_H
+/* 6680 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 6692
+/* 6684 */    MCD_OPC_CheckPredicate, 8, 126, 27, // Skip to: 13726
+/* 6688 */    MCD_OPC_Decode, 51, 139, 1, // Opcode: ADDS_U_W
+/* 6692 */    MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 6704
+/* 6696 */    MCD_OPC_CheckPredicate, 8, 114, 27, // Skip to: 13726
+/* 6700 */    MCD_OPC_Decode, 49, 140, 1, // Opcode: ADDS_U_D
+/* 6704 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 6717
+/* 6708 */    MCD_OPC_CheckPredicate, 8, 102, 27, // Skip to: 13726
+/* 6712 */    MCD_OPC_Decode, 147, 1, 137, 1, // Opcode: AVE_S_B
+/* 6717 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 6730
+/* 6721 */    MCD_OPC_CheckPredicate, 8, 89, 27, // Skip to: 13726
+/* 6725 */    MCD_OPC_Decode, 149, 1, 138, 1, // Opcode: AVE_S_H
+/* 6730 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 6743
+/* 6734 */    MCD_OPC_CheckPredicate, 8, 76, 27, // Skip to: 13726
+/* 6738 */    MCD_OPC_Decode, 150, 1, 139, 1, // Opcode: AVE_S_W
+/* 6743 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 6756
+/* 6747 */    MCD_OPC_CheckPredicate, 8, 63, 27, // Skip to: 13726
+/* 6751 */    MCD_OPC_Decode, 148, 1, 140, 1, // Opcode: AVE_S_D
+/* 6756 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 6769
+/* 6760 */    MCD_OPC_CheckPredicate, 8, 50, 27, // Skip to: 13726
+/* 6764 */    MCD_OPC_Decode, 151, 1, 137, 1, // Opcode: AVE_U_B
+/* 6769 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 6782
+/* 6773 */    MCD_OPC_CheckPredicate, 8, 37, 27, // Skip to: 13726
+/* 6777 */    MCD_OPC_Decode, 153, 1, 138, 1, // Opcode: AVE_U_H
+/* 6782 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 6795
+/* 6786 */    MCD_OPC_CheckPredicate, 8, 24, 27, // Skip to: 13726
+/* 6790 */    MCD_OPC_Decode, 154, 1, 139, 1, // Opcode: AVE_U_W
+/* 6795 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 6808
+/* 6799 */    MCD_OPC_CheckPredicate, 8, 11, 27, // Skip to: 13726
+/* 6803 */    MCD_OPC_Decode, 152, 1, 140, 1, // Opcode: AVE_U_D
+/* 6808 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 6821
+/* 6812 */    MCD_OPC_CheckPredicate, 8, 254, 26, // Skip to: 13726
+/* 6816 */    MCD_OPC_Decode, 139, 1, 137, 1, // Opcode: AVER_S_B
+/* 6821 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 6834
+/* 6825 */    MCD_OPC_CheckPredicate, 8, 241, 26, // Skip to: 13726
+/* 6829 */    MCD_OPC_Decode, 141, 1, 138, 1, // Opcode: AVER_S_H
+/* 6834 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 6847
+/* 6838 */    MCD_OPC_CheckPredicate, 8, 228, 26, // Skip to: 13726
+/* 6842 */    MCD_OPC_Decode, 142, 1, 139, 1, // Opcode: AVER_S_W
+/* 6847 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 6860
+/* 6851 */    MCD_OPC_CheckPredicate, 8, 215, 26, // Skip to: 13726
+/* 6855 */    MCD_OPC_Decode, 140, 1, 140, 1, // Opcode: AVER_S_D
+/* 6860 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 6873
+/* 6864 */    MCD_OPC_CheckPredicate, 8, 202, 26, // Skip to: 13726
+/* 6868 */    MCD_OPC_Decode, 143, 1, 137, 1, // Opcode: AVER_U_B
+/* 6873 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 6886
+/* 6877 */    MCD_OPC_CheckPredicate, 8, 189, 26, // Skip to: 13726
+/* 6881 */    MCD_OPC_Decode, 145, 1, 138, 1, // Opcode: AVER_U_H
+/* 6886 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 6899
+/* 6890 */    MCD_OPC_CheckPredicate, 8, 176, 26, // Skip to: 13726
+/* 6894 */    MCD_OPC_Decode, 146, 1, 139, 1, // Opcode: AVER_U_W
+/* 6899 */    MCD_OPC_FilterValue, 31, 167, 26, // Skip to: 13726
+/* 6903 */    MCD_OPC_CheckPredicate, 8, 163, 26, // Skip to: 13726
+/* 6907 */    MCD_OPC_Decode, 144, 1, 140, 1, // Opcode: AVER_U_D
+/* 6912 */    MCD_OPC_FilterValue, 17, 51, 1, // Skip to: 7223
+/* 6916 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 6919 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 6932
+/* 6923 */    MCD_OPC_CheckPredicate, 8, 143, 26, // Skip to: 13726
+/* 6927 */    MCD_OPC_Decode, 206, 12, 137, 1, // Opcode: SUBS_S_B
+/* 6932 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 6945
+/* 6936 */    MCD_OPC_CheckPredicate, 8, 130, 26, // Skip to: 13726
+/* 6940 */    MCD_OPC_Decode, 208, 12, 138, 1, // Opcode: SUBS_S_H
+/* 6945 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 6958
+/* 6949 */    MCD_OPC_CheckPredicate, 8, 117, 26, // Skip to: 13726
+/* 6953 */    MCD_OPC_Decode, 209, 12, 139, 1, // Opcode: SUBS_S_W
+/* 6958 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 6971
+/* 6962 */    MCD_OPC_CheckPredicate, 8, 104, 26, // Skip to: 13726
+/* 6966 */    MCD_OPC_Decode, 207, 12, 140, 1, // Opcode: SUBS_S_D
+/* 6971 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 6984
+/* 6975 */    MCD_OPC_CheckPredicate, 8, 91, 26, // Skip to: 13726
+/* 6979 */    MCD_OPC_Decode, 210, 12, 137, 1, // Opcode: SUBS_U_B
+/* 6984 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 6997
+/* 6988 */    MCD_OPC_CheckPredicate, 8, 78, 26, // Skip to: 13726
+/* 6992 */    MCD_OPC_Decode, 212, 12, 138, 1, // Opcode: SUBS_U_H
+/* 6997 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 7010
+/* 7001 */    MCD_OPC_CheckPredicate, 8, 65, 26, // Skip to: 13726
+/* 7005 */    MCD_OPC_Decode, 213, 12, 139, 1, // Opcode: SUBS_U_W
+/* 7010 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 7023
+/* 7014 */    MCD_OPC_CheckPredicate, 8, 52, 26, // Skip to: 13726
+/* 7018 */    MCD_OPC_Decode, 211, 12, 140, 1, // Opcode: SUBS_U_D
+/* 7023 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 7036
+/* 7027 */    MCD_OPC_CheckPredicate, 8, 39, 26, // Skip to: 13726
+/* 7031 */    MCD_OPC_Decode, 198, 12, 137, 1, // Opcode: SUBSUS_U_B
+/* 7036 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 7049
+/* 7040 */    MCD_OPC_CheckPredicate, 8, 26, 26, // Skip to: 13726
+/* 7044 */    MCD_OPC_Decode, 200, 12, 138, 1, // Opcode: SUBSUS_U_H
+/* 7049 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 7062
+/* 7053 */    MCD_OPC_CheckPredicate, 8, 13, 26, // Skip to: 13726
+/* 7057 */    MCD_OPC_Decode, 201, 12, 139, 1, // Opcode: SUBSUS_U_W
+/* 7062 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 7075
+/* 7066 */    MCD_OPC_CheckPredicate, 8, 0, 26, // Skip to: 13726
+/* 7070 */    MCD_OPC_Decode, 199, 12, 140, 1, // Opcode: SUBSUS_U_D
+/* 7075 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 7088
+/* 7079 */    MCD_OPC_CheckPredicate, 8, 243, 25, // Skip to: 13726
+/* 7083 */    MCD_OPC_Decode, 202, 12, 137, 1, // Opcode: SUBSUU_S_B
+/* 7088 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 7101
+/* 7092 */    MCD_OPC_CheckPredicate, 8, 230, 25, // Skip to: 13726
+/* 7096 */    MCD_OPC_Decode, 204, 12, 138, 1, // Opcode: SUBSUU_S_H
+/* 7101 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 7114
+/* 7105 */    MCD_OPC_CheckPredicate, 8, 217, 25, // Skip to: 13726
+/* 7109 */    MCD_OPC_Decode, 205, 12, 139, 1, // Opcode: SUBSUU_S_W
+/* 7114 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 7127
+/* 7118 */    MCD_OPC_CheckPredicate, 8, 204, 25, // Skip to: 13726
+/* 7122 */    MCD_OPC_Decode, 203, 12, 140, 1, // Opcode: SUBSUU_S_D
+/* 7127 */    MCD_OPC_FilterValue, 16, 8, 0, // Skip to: 7139
+/* 7131 */    MCD_OPC_CheckPredicate, 8, 191, 25, // Skip to: 13726
+/* 7135 */    MCD_OPC_Decode, 97, 137, 1, // Opcode: ASUB_S_B
+/* 7139 */    MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 7151
+/* 7143 */    MCD_OPC_CheckPredicate, 8, 179, 25, // Skip to: 13726
+/* 7147 */    MCD_OPC_Decode, 99, 138, 1, // Opcode: ASUB_S_H
+/* 7151 */    MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 7163
+/* 7155 */    MCD_OPC_CheckPredicate, 8, 167, 25, // Skip to: 13726
+/* 7159 */    MCD_OPC_Decode, 100, 139, 1, // Opcode: ASUB_S_W
+/* 7163 */    MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 7175
+/* 7167 */    MCD_OPC_CheckPredicate, 8, 155, 25, // Skip to: 13726
+/* 7171 */    MCD_OPC_Decode, 98, 140, 1, // Opcode: ASUB_S_D
+/* 7175 */    MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 7187
+/* 7179 */    MCD_OPC_CheckPredicate, 8, 143, 25, // Skip to: 13726
+/* 7183 */    MCD_OPC_Decode, 101, 137, 1, // Opcode: ASUB_U_B
+/* 7187 */    MCD_OPC_FilterValue, 21, 8, 0, // Skip to: 7199
+/* 7191 */    MCD_OPC_CheckPredicate, 8, 131, 25, // Skip to: 13726
+/* 7195 */    MCD_OPC_Decode, 103, 138, 1, // Opcode: ASUB_U_H
+/* 7199 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 7211
+/* 7203 */    MCD_OPC_CheckPredicate, 8, 119, 25, // Skip to: 13726
+/* 7207 */    MCD_OPC_Decode, 104, 139, 1, // Opcode: ASUB_U_W
+/* 7211 */    MCD_OPC_FilterValue, 23, 111, 25, // Skip to: 13726
+/* 7215 */    MCD_OPC_CheckPredicate, 8, 107, 25, // Skip to: 13726
+/* 7219 */    MCD_OPC_Decode, 102, 140, 1, // Opcode: ASUB_U_D
+/* 7223 */    MCD_OPC_FilterValue, 18, 111, 1, // Skip to: 7594
+/* 7227 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 7230 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7243
+/* 7234 */    MCD_OPC_CheckPredicate, 8, 88, 25, // Skip to: 13726
+/* 7238 */    MCD_OPC_Decode, 213, 9, 137, 1, // Opcode: MULV_B
+/* 7243 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7256
+/* 7247 */    MCD_OPC_CheckPredicate, 8, 75, 25, // Skip to: 13726
+/* 7251 */    MCD_OPC_Decode, 215, 9, 138, 1, // Opcode: MULV_H
+/* 7256 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7269
+/* 7260 */    MCD_OPC_CheckPredicate, 8, 62, 25, // Skip to: 13726
+/* 7264 */    MCD_OPC_Decode, 216, 9, 139, 1, // Opcode: MULV_W
+/* 7269 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 7282
+/* 7273 */    MCD_OPC_CheckPredicate, 8, 49, 25, // Skip to: 13726
+/* 7277 */    MCD_OPC_Decode, 214, 9, 140, 1, // Opcode: MULV_D
+/* 7282 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 7295
+/* 7286 */    MCD_OPC_CheckPredicate, 8, 36, 25, // Skip to: 13726
+/* 7290 */    MCD_OPC_Decode, 138, 8, 141, 1, // Opcode: MADDV_B
+/* 7295 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 7308
+/* 7299 */    MCD_OPC_CheckPredicate, 8, 23, 25, // Skip to: 13726
+/* 7303 */    MCD_OPC_Decode, 140, 8, 142, 1, // Opcode: MADDV_H
+/* 7308 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 7321
+/* 7312 */    MCD_OPC_CheckPredicate, 8, 10, 25, // Skip to: 13726
+/* 7316 */    MCD_OPC_Decode, 141, 8, 143, 1, // Opcode: MADDV_W
+/* 7321 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 7334
+/* 7325 */    MCD_OPC_CheckPredicate, 8, 253, 24, // Skip to: 13726
+/* 7329 */    MCD_OPC_Decode, 139, 8, 144, 1, // Opcode: MADDV_D
+/* 7334 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 7347
+/* 7338 */    MCD_OPC_CheckPredicate, 8, 240, 24, // Skip to: 13726
+/* 7342 */    MCD_OPC_Decode, 156, 9, 141, 1, // Opcode: MSUBV_B
+/* 7347 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 7360
+/* 7351 */    MCD_OPC_CheckPredicate, 8, 227, 24, // Skip to: 13726
+/* 7355 */    MCD_OPC_Decode, 158, 9, 142, 1, // Opcode: MSUBV_H
+/* 7360 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 7373
+/* 7364 */    MCD_OPC_CheckPredicate, 8, 214, 24, // Skip to: 13726
+/* 7368 */    MCD_OPC_Decode, 159, 9, 143, 1, // Opcode: MSUBV_W
+/* 7373 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 7386
+/* 7377 */    MCD_OPC_CheckPredicate, 8, 201, 24, // Skip to: 13726
+/* 7381 */    MCD_OPC_Decode, 157, 9, 144, 1, // Opcode: MSUBV_D
+/* 7386 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 7399
+/* 7390 */    MCD_OPC_CheckPredicate, 8, 188, 24, // Skip to: 13726
+/* 7394 */    MCD_OPC_Decode, 185, 4, 137, 1, // Opcode: DIV_S_B
+/* 7399 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 7412
+/* 7403 */    MCD_OPC_CheckPredicate, 8, 175, 24, // Skip to: 13726
+/* 7407 */    MCD_OPC_Decode, 187, 4, 138, 1, // Opcode: DIV_S_H
+/* 7412 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 7425
+/* 7416 */    MCD_OPC_CheckPredicate, 8, 162, 24, // Skip to: 13726
+/* 7420 */    MCD_OPC_Decode, 188, 4, 139, 1, // Opcode: DIV_S_W
+/* 7425 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 7438
+/* 7429 */    MCD_OPC_CheckPredicate, 8, 149, 24, // Skip to: 13726
+/* 7433 */    MCD_OPC_Decode, 186, 4, 140, 1, // Opcode: DIV_S_D
+/* 7438 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 7451
+/* 7442 */    MCD_OPC_CheckPredicate, 8, 136, 24, // Skip to: 13726
+/* 7446 */    MCD_OPC_Decode, 189, 4, 137, 1, // Opcode: DIV_U_B
+/* 7451 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 7464
+/* 7455 */    MCD_OPC_CheckPredicate, 8, 123, 24, // Skip to: 13726
+/* 7459 */    MCD_OPC_Decode, 191, 4, 138, 1, // Opcode: DIV_U_H
+/* 7464 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 7477
+/* 7468 */    MCD_OPC_CheckPredicate, 8, 110, 24, // Skip to: 13726
+/* 7472 */    MCD_OPC_Decode, 192, 4, 139, 1, // Opcode: DIV_U_W
+/* 7477 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 7490
+/* 7481 */    MCD_OPC_CheckPredicate, 8, 97, 24, // Skip to: 13726
+/* 7485 */    MCD_OPC_Decode, 190, 4, 140, 1, // Opcode: DIV_U_D
+/* 7490 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 7503
+/* 7494 */    MCD_OPC_CheckPredicate, 8, 84, 24, // Skip to: 13726
+/* 7498 */    MCD_OPC_Decode, 225, 8, 137, 1, // Opcode: MOD_S_B
+/* 7503 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 7516
+/* 7507 */    MCD_OPC_CheckPredicate, 8, 71, 24, // Skip to: 13726
+/* 7511 */    MCD_OPC_Decode, 227, 8, 138, 1, // Opcode: MOD_S_H
+/* 7516 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 7529
+/* 7520 */    MCD_OPC_CheckPredicate, 8, 58, 24, // Skip to: 13726
+/* 7524 */    MCD_OPC_Decode, 228, 8, 139, 1, // Opcode: MOD_S_W
+/* 7529 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 7542
+/* 7533 */    MCD_OPC_CheckPredicate, 8, 45, 24, // Skip to: 13726
+/* 7537 */    MCD_OPC_Decode, 226, 8, 140, 1, // Opcode: MOD_S_D
+/* 7542 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 7555
+/* 7546 */    MCD_OPC_CheckPredicate, 8, 32, 24, // Skip to: 13726
+/* 7550 */    MCD_OPC_Decode, 229, 8, 137, 1, // Opcode: MOD_U_B
+/* 7555 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 7568
+/* 7559 */    MCD_OPC_CheckPredicate, 8, 19, 24, // Skip to: 13726
+/* 7563 */    MCD_OPC_Decode, 231, 8, 138, 1, // Opcode: MOD_U_H
+/* 7568 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 7581
+/* 7572 */    MCD_OPC_CheckPredicate, 8, 6, 24, // Skip to: 13726
+/* 7576 */    MCD_OPC_Decode, 232, 8, 139, 1, // Opcode: MOD_U_W
+/* 7581 */    MCD_OPC_FilterValue, 31, 253, 23, // Skip to: 13726
+/* 7585 */    MCD_OPC_CheckPredicate, 8, 249, 23, // Skip to: 13726
+/* 7589 */    MCD_OPC_Decode, 230, 8, 140, 1, // Opcode: MOD_U_D
+/* 7594 */    MCD_OPC_FilterValue, 19, 237, 0, // Skip to: 7835
+/* 7598 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 7601 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7614
+/* 7605 */    MCD_OPC_CheckPredicate, 8, 229, 23, // Skip to: 13726
+/* 7609 */    MCD_OPC_Decode, 212, 4, 145, 1, // Opcode: DOTP_S_H
+/* 7614 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7627
+/* 7618 */    MCD_OPC_CheckPredicate, 8, 216, 23, // Skip to: 13726
+/* 7622 */    MCD_OPC_Decode, 213, 4, 146, 1, // Opcode: DOTP_S_W
+/* 7627 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 7640
+/* 7631 */    MCD_OPC_CheckPredicate, 8, 203, 23, // Skip to: 13726
+/* 7635 */    MCD_OPC_Decode, 211, 4, 147, 1, // Opcode: DOTP_S_D
+/* 7640 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 7653
+/* 7644 */    MCD_OPC_CheckPredicate, 8, 190, 23, // Skip to: 13726
+/* 7648 */    MCD_OPC_Decode, 215, 4, 145, 1, // Opcode: DOTP_U_H
+/* 7653 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 7666
+/* 7657 */    MCD_OPC_CheckPredicate, 8, 177, 23, // Skip to: 13726
+/* 7661 */    MCD_OPC_Decode, 216, 4, 146, 1, // Opcode: DOTP_U_W
+/* 7666 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 7679
+/* 7670 */    MCD_OPC_CheckPredicate, 8, 164, 23, // Skip to: 13726
+/* 7674 */    MCD_OPC_Decode, 214, 4, 147, 1, // Opcode: DOTP_U_D
+/* 7679 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 7692
+/* 7683 */    MCD_OPC_CheckPredicate, 8, 151, 23, // Skip to: 13726
+/* 7687 */    MCD_OPC_Decode, 218, 4, 148, 1, // Opcode: DPADD_S_H
+/* 7692 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 7705
+/* 7696 */    MCD_OPC_CheckPredicate, 8, 138, 23, // Skip to: 13726
+/* 7700 */    MCD_OPC_Decode, 219, 4, 149, 1, // Opcode: DPADD_S_W
+/* 7705 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 7718
+/* 7709 */    MCD_OPC_CheckPredicate, 8, 125, 23, // Skip to: 13726
+/* 7713 */    MCD_OPC_Decode, 217, 4, 150, 1, // Opcode: DPADD_S_D
+/* 7718 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 7731
+/* 7722 */    MCD_OPC_CheckPredicate, 8, 112, 23, // Skip to: 13726
+/* 7726 */    MCD_OPC_Decode, 221, 4, 148, 1, // Opcode: DPADD_U_H
+/* 7731 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 7744
+/* 7735 */    MCD_OPC_CheckPredicate, 8, 99, 23, // Skip to: 13726
+/* 7739 */    MCD_OPC_Decode, 222, 4, 149, 1, // Opcode: DPADD_U_W
+/* 7744 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 7757
+/* 7748 */    MCD_OPC_CheckPredicate, 8, 86, 23, // Skip to: 13726
+/* 7752 */    MCD_OPC_Decode, 220, 4, 150, 1, // Opcode: DPADD_U_D
+/* 7757 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 7770
+/* 7761 */    MCD_OPC_CheckPredicate, 8, 73, 23, // Skip to: 13726
+/* 7765 */    MCD_OPC_Decode, 237, 4, 148, 1, // Opcode: DPSUB_S_H
+/* 7770 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 7783
+/* 7774 */    MCD_OPC_CheckPredicate, 8, 60, 23, // Skip to: 13726
+/* 7778 */    MCD_OPC_Decode, 238, 4, 149, 1, // Opcode: DPSUB_S_W
+/* 7783 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 7796
+/* 7787 */    MCD_OPC_CheckPredicate, 8, 47, 23, // Skip to: 13726
+/* 7791 */    MCD_OPC_Decode, 236, 4, 150, 1, // Opcode: DPSUB_S_D
+/* 7796 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 7809
+/* 7800 */    MCD_OPC_CheckPredicate, 8, 34, 23, // Skip to: 13726
+/* 7804 */    MCD_OPC_Decode, 240, 4, 148, 1, // Opcode: DPSUB_U_H
+/* 7809 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 7822
+/* 7813 */    MCD_OPC_CheckPredicate, 8, 21, 23, // Skip to: 13726
+/* 7817 */    MCD_OPC_Decode, 241, 4, 149, 1, // Opcode: DPSUB_U_W
+/* 7822 */    MCD_OPC_FilterValue, 23, 12, 23, // Skip to: 13726
+/* 7826 */    MCD_OPC_CheckPredicate, 8, 8, 23, // Skip to: 13726
+/* 7830 */    MCD_OPC_Decode, 239, 4, 150, 1, // Opcode: DPSUB_U_D
+/* 7835 */    MCD_OPC_FilterValue, 20, 163, 1, // Skip to: 8258
+/* 7839 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 7842 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 7855
+/* 7846 */    MCD_OPC_CheckPredicate, 8, 244, 22, // Skip to: 13726
+/* 7850 */    MCD_OPC_Decode, 221, 11, 151, 1, // Opcode: SLD_B
+/* 7855 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 7868
+/* 7859 */    MCD_OPC_CheckPredicate, 8, 231, 22, // Skip to: 13726
+/* 7863 */    MCD_OPC_Decode, 223, 11, 152, 1, // Opcode: SLD_H
+/* 7868 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 7881
+/* 7872 */    MCD_OPC_CheckPredicate, 8, 218, 22, // Skip to: 13726
+/* 7876 */    MCD_OPC_Decode, 224, 11, 153, 1, // Opcode: SLD_W
+/* 7881 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 7894
+/* 7885 */    MCD_OPC_CheckPredicate, 8, 205, 22, // Skip to: 13726
+/* 7889 */    MCD_OPC_Decode, 222, 11, 154, 1, // Opcode: SLD_D
+/* 7894 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 7907
+/* 7898 */    MCD_OPC_CheckPredicate, 8, 192, 22, // Skip to: 13726
+/* 7902 */    MCD_OPC_Decode, 135, 12, 155, 1, // Opcode: SPLAT_B
+/* 7907 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 7920
+/* 7911 */    MCD_OPC_CheckPredicate, 8, 179, 22, // Skip to: 13726
+/* 7915 */    MCD_OPC_Decode, 137, 12, 156, 1, // Opcode: SPLAT_H
+/* 7920 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 7933
+/* 7924 */    MCD_OPC_CheckPredicate, 8, 166, 22, // Skip to: 13726
+/* 7928 */    MCD_OPC_Decode, 138, 12, 157, 1, // Opcode: SPLAT_W
+/* 7933 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 7946
+/* 7937 */    MCD_OPC_CheckPredicate, 8, 153, 22, // Skip to: 13726
+/* 7941 */    MCD_OPC_Decode, 136, 12, 158, 1, // Opcode: SPLAT_D
+/* 7946 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 7959
+/* 7950 */    MCD_OPC_CheckPredicate, 8, 140, 22, // Skip to: 13726
+/* 7954 */    MCD_OPC_Decode, 149, 10, 137, 1, // Opcode: PCKEV_B
+/* 7959 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 7972
+/* 7963 */    MCD_OPC_CheckPredicate, 8, 127, 22, // Skip to: 13726
+/* 7967 */    MCD_OPC_Decode, 151, 10, 138, 1, // Opcode: PCKEV_H
+/* 7972 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 7985
+/* 7976 */    MCD_OPC_CheckPredicate, 8, 114, 22, // Skip to: 13726
+/* 7980 */    MCD_OPC_Decode, 152, 10, 139, 1, // Opcode: PCKEV_W
+/* 7985 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 7998
+/* 7989 */    MCD_OPC_CheckPredicate, 8, 101, 22, // Skip to: 13726
+/* 7993 */    MCD_OPC_Decode, 150, 10, 140, 1, // Opcode: PCKEV_D
+/* 7998 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 8011
+/* 8002 */    MCD_OPC_CheckPredicate, 8, 88, 22, // Skip to: 13726
+/* 8006 */    MCD_OPC_Decode, 153, 10, 137, 1, // Opcode: PCKOD_B
+/* 8011 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 8024
+/* 8015 */    MCD_OPC_CheckPredicate, 8, 75, 22, // Skip to: 13726
+/* 8019 */    MCD_OPC_Decode, 155, 10, 138, 1, // Opcode: PCKOD_H
+/* 8024 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 8037
+/* 8028 */    MCD_OPC_CheckPredicate, 8, 62, 22, // Skip to: 13726
+/* 8032 */    MCD_OPC_Decode, 156, 10, 139, 1, // Opcode: PCKOD_W
+/* 8037 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 8050
+/* 8041 */    MCD_OPC_CheckPredicate, 8, 49, 22, // Skip to: 13726
+/* 8045 */    MCD_OPC_Decode, 154, 10, 140, 1, // Opcode: PCKOD_D
+/* 8050 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 8063
+/* 8054 */    MCD_OPC_CheckPredicate, 8, 36, 22, // Skip to: 13726
+/* 8058 */    MCD_OPC_Decode, 216, 6, 137, 1, // Opcode: ILVL_B
+/* 8063 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 8076
+/* 8067 */    MCD_OPC_CheckPredicate, 8, 23, 22, // Skip to: 13726
+/* 8071 */    MCD_OPC_Decode, 218, 6, 138, 1, // Opcode: ILVL_H
+/* 8076 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 8089
+/* 8080 */    MCD_OPC_CheckPredicate, 8, 10, 22, // Skip to: 13726
+/* 8084 */    MCD_OPC_Decode, 219, 6, 139, 1, // Opcode: ILVL_W
+/* 8089 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 8102
+/* 8093 */    MCD_OPC_CheckPredicate, 8, 253, 21, // Skip to: 13726
+/* 8097 */    MCD_OPC_Decode, 217, 6, 140, 1, // Opcode: ILVL_D
+/* 8102 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 8115
+/* 8106 */    MCD_OPC_CheckPredicate, 8, 240, 21, // Skip to: 13726
+/* 8110 */    MCD_OPC_Decode, 224, 6, 137, 1, // Opcode: ILVR_B
+/* 8115 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 8128
+/* 8119 */    MCD_OPC_CheckPredicate, 8, 227, 21, // Skip to: 13726
+/* 8123 */    MCD_OPC_Decode, 226, 6, 138, 1, // Opcode: ILVR_H
+/* 8128 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 8141
+/* 8132 */    MCD_OPC_CheckPredicate, 8, 214, 21, // Skip to: 13726
+/* 8136 */    MCD_OPC_Decode, 227, 6, 139, 1, // Opcode: ILVR_W
+/* 8141 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 8154
+/* 8145 */    MCD_OPC_CheckPredicate, 8, 201, 21, // Skip to: 13726
+/* 8149 */    MCD_OPC_Decode, 225, 6, 140, 1, // Opcode: ILVR_D
+/* 8154 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 8167
+/* 8158 */    MCD_OPC_CheckPredicate, 8, 188, 21, // Skip to: 13726
+/* 8162 */    MCD_OPC_Decode, 212, 6, 137, 1, // Opcode: ILVEV_B
+/* 8167 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 8180
+/* 8171 */    MCD_OPC_CheckPredicate, 8, 175, 21, // Skip to: 13726
+/* 8175 */    MCD_OPC_Decode, 214, 6, 138, 1, // Opcode: ILVEV_H
+/* 8180 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 8193
+/* 8184 */    MCD_OPC_CheckPredicate, 8, 162, 21, // Skip to: 13726
+/* 8188 */    MCD_OPC_Decode, 215, 6, 139, 1, // Opcode: ILVEV_W
+/* 8193 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 8206
+/* 8197 */    MCD_OPC_CheckPredicate, 8, 149, 21, // Skip to: 13726
+/* 8201 */    MCD_OPC_Decode, 213, 6, 140, 1, // Opcode: ILVEV_D
+/* 8206 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 8219
+/* 8210 */    MCD_OPC_CheckPredicate, 8, 136, 21, // Skip to: 13726
+/* 8214 */    MCD_OPC_Decode, 220, 6, 137, 1, // Opcode: ILVOD_B
+/* 8219 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 8232
+/* 8223 */    MCD_OPC_CheckPredicate, 8, 123, 21, // Skip to: 13726
+/* 8227 */    MCD_OPC_Decode, 222, 6, 138, 1, // Opcode: ILVOD_H
+/* 8232 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 8245
+/* 8236 */    MCD_OPC_CheckPredicate, 8, 110, 21, // Skip to: 13726
+/* 8240 */    MCD_OPC_Decode, 223, 6, 139, 1, // Opcode: ILVOD_W
+/* 8245 */    MCD_OPC_FilterValue, 31, 101, 21, // Skip to: 13726
+/* 8249 */    MCD_OPC_CheckPredicate, 8, 97, 21, // Skip to: 13726
+/* 8253 */    MCD_OPC_Decode, 221, 6, 140, 1, // Opcode: ILVOD_D
+/* 8258 */    MCD_OPC_FilterValue, 21, 59, 1, // Skip to: 8577
+/* 8262 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 8265 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8278
+/* 8269 */    MCD_OPC_CheckPredicate, 8, 77, 21, // Skip to: 13726
+/* 8273 */    MCD_OPC_Decode, 227, 13, 141, 1, // Opcode: VSHF_B
+/* 8278 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 8291
+/* 8282 */    MCD_OPC_CheckPredicate, 8, 64, 21, // Skip to: 13726
+/* 8286 */    MCD_OPC_Decode, 229, 13, 142, 1, // Opcode: VSHF_H
+/* 8291 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 8304
+/* 8295 */    MCD_OPC_CheckPredicate, 8, 51, 21, // Skip to: 13726
+/* 8299 */    MCD_OPC_Decode, 230, 13, 143, 1, // Opcode: VSHF_W
+/* 8304 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 8317
+/* 8308 */    MCD_OPC_CheckPredicate, 8, 38, 21, // Skip to: 13726
+/* 8312 */    MCD_OPC_Decode, 228, 13, 144, 1, // Opcode: VSHF_D
+/* 8317 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 8330
+/* 8321 */    MCD_OPC_CheckPredicate, 8, 25, 21, // Skip to: 13726
+/* 8325 */    MCD_OPC_Decode, 148, 12, 137, 1, // Opcode: SRAR_B
+/* 8330 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 8343
+/* 8334 */    MCD_OPC_CheckPredicate, 8, 12, 21, // Skip to: 13726
+/* 8338 */    MCD_OPC_Decode, 150, 12, 138, 1, // Opcode: SRAR_H
+/* 8343 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 8356
+/* 8347 */    MCD_OPC_CheckPredicate, 8, 255, 20, // Skip to: 13726
+/* 8351 */    MCD_OPC_Decode, 151, 12, 139, 1, // Opcode: SRAR_W
+/* 8356 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 8369
+/* 8360 */    MCD_OPC_CheckPredicate, 8, 242, 20, // Skip to: 13726
+/* 8364 */    MCD_OPC_Decode, 149, 12, 140, 1, // Opcode: SRAR_D
+/* 8369 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 8382
+/* 8373 */    MCD_OPC_CheckPredicate, 8, 229, 20, // Skip to: 13726
+/* 8377 */    MCD_OPC_Decode, 169, 12, 137, 1, // Opcode: SRLR_B
+/* 8382 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 8395
+/* 8386 */    MCD_OPC_CheckPredicate, 8, 216, 20, // Skip to: 13726
+/* 8390 */    MCD_OPC_Decode, 171, 12, 138, 1, // Opcode: SRLR_H
+/* 8395 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 8408
+/* 8399 */    MCD_OPC_CheckPredicate, 8, 203, 20, // Skip to: 13726
+/* 8403 */    MCD_OPC_Decode, 172, 12, 139, 1, // Opcode: SRLR_W
+/* 8408 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 8421
+/* 8412 */    MCD_OPC_CheckPredicate, 8, 190, 20, // Skip to: 13726
+/* 8416 */    MCD_OPC_Decode, 170, 12, 140, 1, // Opcode: SRLR_D
+/* 8421 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 8434
+/* 8425 */    MCD_OPC_CheckPredicate, 8, 177, 20, // Skip to: 13726
+/* 8429 */    MCD_OPC_Decode, 201, 6, 145, 1, // Opcode: HADD_S_H
+/* 8434 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 8447
+/* 8438 */    MCD_OPC_CheckPredicate, 8, 164, 20, // Skip to: 13726
+/* 8442 */    MCD_OPC_Decode, 202, 6, 146, 1, // Opcode: HADD_S_W
+/* 8447 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 8460
+/* 8451 */    MCD_OPC_CheckPredicate, 8, 151, 20, // Skip to: 13726
+/* 8455 */    MCD_OPC_Decode, 200, 6, 147, 1, // Opcode: HADD_S_D
+/* 8460 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 8473
+/* 8464 */    MCD_OPC_CheckPredicate, 8, 138, 20, // Skip to: 13726
+/* 8468 */    MCD_OPC_Decode, 204, 6, 145, 1, // Opcode: HADD_U_H
+/* 8473 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 8486
+/* 8477 */    MCD_OPC_CheckPredicate, 8, 125, 20, // Skip to: 13726
+/* 8481 */    MCD_OPC_Decode, 205, 6, 146, 1, // Opcode: HADD_U_W
+/* 8486 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 8499
+/* 8490 */    MCD_OPC_CheckPredicate, 8, 112, 20, // Skip to: 13726
+/* 8494 */    MCD_OPC_Decode, 203, 6, 147, 1, // Opcode: HADD_U_D
+/* 8499 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 8512
+/* 8503 */    MCD_OPC_CheckPredicate, 8, 99, 20, // Skip to: 13726
+/* 8507 */    MCD_OPC_Decode, 207, 6, 145, 1, // Opcode: HSUB_S_H
+/* 8512 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 8525
+/* 8516 */    MCD_OPC_CheckPredicate, 8, 86, 20, // Skip to: 13726
+/* 8520 */    MCD_OPC_Decode, 208, 6, 146, 1, // Opcode: HSUB_S_W
+/* 8525 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 8538
+/* 8529 */    MCD_OPC_CheckPredicate, 8, 73, 20, // Skip to: 13726
+/* 8533 */    MCD_OPC_Decode, 206, 6, 147, 1, // Opcode: HSUB_S_D
+/* 8538 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 8551
+/* 8542 */    MCD_OPC_CheckPredicate, 8, 60, 20, // Skip to: 13726
+/* 8546 */    MCD_OPC_Decode, 210, 6, 145, 1, // Opcode: HSUB_U_H
+/* 8551 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 8564
+/* 8555 */    MCD_OPC_CheckPredicate, 8, 47, 20, // Skip to: 13726
+/* 8559 */    MCD_OPC_Decode, 211, 6, 146, 1, // Opcode: HSUB_U_W
+/* 8564 */    MCD_OPC_FilterValue, 31, 38, 20, // Skip to: 13726
+/* 8568 */    MCD_OPC_CheckPredicate, 8, 34, 20, // Skip to: 13726
+/* 8572 */    MCD_OPC_Decode, 209, 6, 147, 1, // Opcode: HSUB_U_D
+/* 8577 */    MCD_OPC_FilterValue, 25, 230, 1, // Skip to: 9067
+/* 8581 */    MCD_OPC_ExtractField, 20, 6,  // Inst{25-20} ...
+/* 8584 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8597
+/* 8588 */    MCD_OPC_CheckPredicate, 8, 14, 20, // Skip to: 13726
+/* 8592 */    MCD_OPC_Decode, 217, 11, 159, 1, // Opcode: SLDI_B
+/* 8597 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8616
+/* 8601 */    MCD_OPC_CheckPredicate, 8, 1, 20, // Skip to: 13726
+/* 8605 */    MCD_OPC_CheckField, 19, 1, 0, 251, 19, // Skip to: 13726
+/* 8611 */    MCD_OPC_Decode, 219, 11, 160, 1, // Opcode: SLDI_H
+/* 8616 */    MCD_OPC_FilterValue, 3, 54, 0, // Skip to: 8674
+/* 8620 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 8623 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8636
+/* 8627 */    MCD_OPC_CheckPredicate, 8, 231, 19, // Skip to: 13726
+/* 8631 */    MCD_OPC_Decode, 220, 11, 161, 1, // Opcode: SLDI_W
+/* 8636 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8655
+/* 8640 */    MCD_OPC_CheckPredicate, 8, 218, 19, // Skip to: 13726
+/* 8644 */    MCD_OPC_CheckField, 17, 1, 0, 212, 19, // Skip to: 13726
+/* 8650 */    MCD_OPC_Decode, 218, 11, 162, 1, // Opcode: SLDI_D
+/* 8655 */    MCD_OPC_FilterValue, 3, 203, 19, // Skip to: 13726
+/* 8659 */    MCD_OPC_CheckPredicate, 8, 199, 19, // Skip to: 13726
+/* 8663 */    MCD_OPC_CheckField, 16, 2, 2, 193, 19, // Skip to: 13726
+/* 8669 */    MCD_OPC_Decode, 212, 3, 163, 1, // Opcode: CTCMSA
+/* 8674 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 8687
+/* 8678 */    MCD_OPC_CheckPredicate, 8, 180, 19, // Skip to: 13726
+/* 8682 */    MCD_OPC_Decode, 131, 12, 164, 1, // Opcode: SPLATI_B
+/* 8687 */    MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 8706
+/* 8691 */    MCD_OPC_CheckPredicate, 8, 167, 19, // Skip to: 13726
+/* 8695 */    MCD_OPC_CheckField, 19, 1, 0, 161, 19, // Skip to: 13726
+/* 8701 */    MCD_OPC_Decode, 133, 12, 165, 1, // Opcode: SPLATI_H
+/* 8706 */    MCD_OPC_FilterValue, 7, 54, 0, // Skip to: 8764
+/* 8710 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 8713 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8726
+/* 8717 */    MCD_OPC_CheckPredicate, 8, 141, 19, // Skip to: 13726
+/* 8721 */    MCD_OPC_Decode, 134, 12, 166, 1, // Opcode: SPLATI_W
+/* 8726 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8745
+/* 8730 */    MCD_OPC_CheckPredicate, 8, 128, 19, // Skip to: 13726
+/* 8734 */    MCD_OPC_CheckField, 17, 1, 0, 122, 19, // Skip to: 13726
+/* 8740 */    MCD_OPC_Decode, 132, 12, 167, 1, // Opcode: SPLATI_D
+/* 8745 */    MCD_OPC_FilterValue, 3, 113, 19, // Skip to: 13726
+/* 8749 */    MCD_OPC_CheckPredicate, 8, 109, 19, // Skip to: 13726
+/* 8753 */    MCD_OPC_CheckField, 16, 2, 2, 103, 19, // Skip to: 13726
+/* 8759 */    MCD_OPC_Decode, 240, 2, 168, 1, // Opcode: CFCMSA
+/* 8764 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 8777
+/* 8768 */    MCD_OPC_CheckPredicate, 8, 90, 19, // Skip to: 13726
+/* 8772 */    MCD_OPC_Decode, 202, 3, 169, 1, // Opcode: COPY_S_B
+/* 8777 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 8796
+/* 8781 */    MCD_OPC_CheckPredicate, 8, 77, 19, // Skip to: 13726
+/* 8785 */    MCD_OPC_CheckField, 19, 1, 0, 71, 19, // Skip to: 13726
+/* 8791 */    MCD_OPC_Decode, 204, 3, 170, 1, // Opcode: COPY_S_H
+/* 8796 */    MCD_OPC_FilterValue, 11, 54, 0, // Skip to: 8854
+/* 8800 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 8803 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8816
+/* 8807 */    MCD_OPC_CheckPredicate, 8, 51, 19, // Skip to: 13726
+/* 8811 */    MCD_OPC_Decode, 205, 3, 171, 1, // Opcode: COPY_S_W
+/* 8816 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 8835
+/* 8820 */    MCD_OPC_CheckPredicate, 14, 38, 19, // Skip to: 13726
+/* 8824 */    MCD_OPC_CheckField, 17, 1, 0, 32, 19, // Skip to: 13726
+/* 8830 */    MCD_OPC_Decode, 203, 3, 172, 1, // Opcode: COPY_S_D
+/* 8835 */    MCD_OPC_FilterValue, 3, 23, 19, // Skip to: 13726
+/* 8839 */    MCD_OPC_CheckPredicate, 8, 19, 19, // Skip to: 13726
+/* 8843 */    MCD_OPC_CheckField, 16, 2, 2, 13, 19, // Skip to: 13726
+/* 8849 */    MCD_OPC_Decode, 235, 8, 173, 1, // Opcode: MOVE_V
+/* 8854 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 8867
+/* 8858 */    MCD_OPC_CheckPredicate, 8, 0, 19, // Skip to: 13726
+/* 8862 */    MCD_OPC_Decode, 206, 3, 169, 1, // Opcode: COPY_U_B
+/* 8867 */    MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 8886
+/* 8871 */    MCD_OPC_CheckPredicate, 8, 243, 18, // Skip to: 13726
+/* 8875 */    MCD_OPC_CheckField, 19, 1, 0, 237, 18, // Skip to: 13726
+/* 8881 */    MCD_OPC_Decode, 208, 3, 170, 1, // Opcode: COPY_U_H
+/* 8886 */    MCD_OPC_FilterValue, 15, 35, 0, // Skip to: 8925
+/* 8890 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 8893 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8906
+/* 8897 */    MCD_OPC_CheckPredicate, 8, 217, 18, // Skip to: 13726
+/* 8901 */    MCD_OPC_Decode, 209, 3, 171, 1, // Opcode: COPY_U_W
+/* 8906 */    MCD_OPC_FilterValue, 2, 208, 18, // Skip to: 13726
+/* 8910 */    MCD_OPC_CheckPredicate, 14, 204, 18, // Skip to: 13726
+/* 8914 */    MCD_OPC_CheckField, 17, 1, 0, 198, 18, // Skip to: 13726
+/* 8920 */    MCD_OPC_Decode, 207, 3, 172, 1, // Opcode: COPY_U_D
+/* 8925 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 8938
+/* 8929 */    MCD_OPC_CheckPredicate, 8, 185, 18, // Skip to: 13726
+/* 8933 */    MCD_OPC_Decode, 229, 6, 174, 1, // Opcode: INSERT_B
+/* 8938 */    MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 8957
+/* 8942 */    MCD_OPC_CheckPredicate, 8, 172, 18, // Skip to: 13726
+/* 8946 */    MCD_OPC_CheckField, 19, 1, 0, 166, 18, // Skip to: 13726
+/* 8952 */    MCD_OPC_Decode, 237, 6, 175, 1, // Opcode: INSERT_H
+/* 8957 */    MCD_OPC_FilterValue, 19, 35, 0, // Skip to: 8996
+/* 8961 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 8964 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 8977
+/* 8968 */    MCD_OPC_CheckPredicate, 8, 146, 18, // Skip to: 13726
+/* 8972 */    MCD_OPC_Decode, 239, 6, 176, 1, // Opcode: INSERT_W
+/* 8977 */    MCD_OPC_FilterValue, 2, 137, 18, // Skip to: 13726
+/* 8981 */    MCD_OPC_CheckPredicate, 14, 133, 18, // Skip to: 13726
+/* 8985 */    MCD_OPC_CheckField, 17, 1, 0, 127, 18, // Skip to: 13726
+/* 8991 */    MCD_OPC_Decode, 231, 6, 177, 1, // Opcode: INSERT_D
+/* 8996 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 9009
+/* 9000 */    MCD_OPC_CheckPredicate, 8, 114, 18, // Skip to: 13726
+/* 9004 */    MCD_OPC_Decode, 242, 6, 178, 1, // Opcode: INSVE_B
+/* 9009 */    MCD_OPC_FilterValue, 22, 15, 0, // Skip to: 9028
+/* 9013 */    MCD_OPC_CheckPredicate, 8, 101, 18, // Skip to: 13726
+/* 9017 */    MCD_OPC_CheckField, 19, 1, 0, 95, 18, // Skip to: 13726
+/* 9023 */    MCD_OPC_Decode, 244, 6, 178, 1, // Opcode: INSVE_H
+/* 9028 */    MCD_OPC_FilterValue, 23, 86, 18, // Skip to: 13726
+/* 9032 */    MCD_OPC_ExtractField, 18, 2,  // Inst{19-18} ...
+/* 9035 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9048
+/* 9039 */    MCD_OPC_CheckPredicate, 8, 75, 18, // Skip to: 13726
+/* 9043 */    MCD_OPC_Decode, 245, 6, 178, 1, // Opcode: INSVE_W
+/* 9048 */    MCD_OPC_FilterValue, 2, 66, 18, // Skip to: 13726
+/* 9052 */    MCD_OPC_CheckPredicate, 8, 62, 18, // Skip to: 13726
+/* 9056 */    MCD_OPC_CheckField, 17, 1, 0, 56, 18, // Skip to: 13726
+/* 9062 */    MCD_OPC_Decode, 243, 6, 178, 1, // Opcode: INSVE_D
+/* 9067 */    MCD_OPC_FilterValue, 26, 163, 1, // Skip to: 9490
+/* 9071 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 9074 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9087
+/* 9078 */    MCD_OPC_CheckPredicate, 8, 36, 18, // Skip to: 13726
+/* 9082 */    MCD_OPC_Decode, 178, 5, 139, 1, // Opcode: FCAF_W
+/* 9087 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 9100
+/* 9091 */    MCD_OPC_CheckPredicate, 8, 23, 18, // Skip to: 13726
+/* 9095 */    MCD_OPC_Decode, 177, 5, 140, 1, // Opcode: FCAF_D
+/* 9100 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 9113
+/* 9104 */    MCD_OPC_CheckPredicate, 8, 10, 18, // Skip to: 13726
+/* 9108 */    MCD_OPC_Decode, 205, 5, 139, 1, // Opcode: FCUN_W
+/* 9113 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 9126
+/* 9117 */    MCD_OPC_CheckPredicate, 8, 253, 17, // Skip to: 13726
+/* 9121 */    MCD_OPC_Decode, 204, 5, 140, 1, // Opcode: FCUN_D
+/* 9126 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 9139
+/* 9130 */    MCD_OPC_CheckPredicate, 8, 240, 17, // Skip to: 13726
+/* 9134 */    MCD_OPC_Decode, 180, 5, 139, 1, // Opcode: FCEQ_W
+/* 9139 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 9152
+/* 9143 */    MCD_OPC_CheckPredicate, 8, 227, 17, // Skip to: 13726
+/* 9147 */    MCD_OPC_Decode, 179, 5, 140, 1, // Opcode: FCEQ_D
+/* 9152 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 9165
+/* 9156 */    MCD_OPC_CheckPredicate, 8, 214, 17, // Skip to: 13726
+/* 9160 */    MCD_OPC_Decode, 197, 5, 139, 1, // Opcode: FCUEQ_W
+/* 9165 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 9178
+/* 9169 */    MCD_OPC_CheckPredicate, 8, 201, 17, // Skip to: 13726
+/* 9173 */    MCD_OPC_Decode, 196, 5, 140, 1, // Opcode: FCUEQ_D
+/* 9178 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 9191
+/* 9182 */    MCD_OPC_CheckPredicate, 8, 188, 17, // Skip to: 13726
+/* 9186 */    MCD_OPC_Decode, 186, 5, 139, 1, // Opcode: FCLT_W
+/* 9191 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 9204
+/* 9195 */    MCD_OPC_CheckPredicate, 8, 175, 17, // Skip to: 13726
+/* 9199 */    MCD_OPC_Decode, 185, 5, 140, 1, // Opcode: FCLT_D
+/* 9204 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 9217
+/* 9208 */    MCD_OPC_CheckPredicate, 8, 162, 17, // Skip to: 13726
+/* 9212 */    MCD_OPC_Decode, 201, 5, 139, 1, // Opcode: FCULT_W
+/* 9217 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 9230
+/* 9221 */    MCD_OPC_CheckPredicate, 8, 149, 17, // Skip to: 13726
+/* 9225 */    MCD_OPC_Decode, 200, 5, 140, 1, // Opcode: FCULT_D
+/* 9230 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 9243
+/* 9234 */    MCD_OPC_CheckPredicate, 8, 136, 17, // Skip to: 13726
+/* 9238 */    MCD_OPC_Decode, 184, 5, 139, 1, // Opcode: FCLE_W
+/* 9243 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 9256
+/* 9247 */    MCD_OPC_CheckPredicate, 8, 123, 17, // Skip to: 13726
+/* 9251 */    MCD_OPC_Decode, 183, 5, 140, 1, // Opcode: FCLE_D
+/* 9256 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 9269
+/* 9260 */    MCD_OPC_CheckPredicate, 8, 110, 17, // Skip to: 13726
+/* 9264 */    MCD_OPC_Decode, 199, 5, 139, 1, // Opcode: FCULE_W
+/* 9269 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 9282
+/* 9273 */    MCD_OPC_CheckPredicate, 8, 97, 17, // Skip to: 13726
+/* 9277 */    MCD_OPC_Decode, 198, 5, 140, 1, // Opcode: FCULE_D
+/* 9282 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 9295
+/* 9286 */    MCD_OPC_CheckPredicate, 8, 84, 17, // Skip to: 13726
+/* 9290 */    MCD_OPC_Decode, 154, 6, 139, 1, // Opcode: FSAF_W
+/* 9295 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 9308
+/* 9299 */    MCD_OPC_CheckPredicate, 8, 71, 17, // Skip to: 13726
+/* 9303 */    MCD_OPC_Decode, 153, 6, 140, 1, // Opcode: FSAF_D
+/* 9308 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 9321
+/* 9312 */    MCD_OPC_CheckPredicate, 8, 58, 17, // Skip to: 13726
+/* 9316 */    MCD_OPC_Decode, 188, 6, 139, 1, // Opcode: FSUN_W
+/* 9321 */    MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 9334
+/* 9325 */    MCD_OPC_CheckPredicate, 8, 45, 17, // Skip to: 13726
+/* 9329 */    MCD_OPC_Decode, 187, 6, 140, 1, // Opcode: FSUN_D
+/* 9334 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 9347
+/* 9338 */    MCD_OPC_CheckPredicate, 8, 32, 17, // Skip to: 13726
+/* 9342 */    MCD_OPC_Decode, 156, 6, 139, 1, // Opcode: FSEQ_W
+/* 9347 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 9360
+/* 9351 */    MCD_OPC_CheckPredicate, 8, 19, 17, // Skip to: 13726
+/* 9355 */    MCD_OPC_Decode, 155, 6, 140, 1, // Opcode: FSEQ_D
+/* 9360 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 9373
+/* 9364 */    MCD_OPC_CheckPredicate, 8, 6, 17, // Skip to: 13726
+/* 9368 */    MCD_OPC_Decode, 180, 6, 139, 1, // Opcode: FSUEQ_W
+/* 9373 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 9386
+/* 9377 */    MCD_OPC_CheckPredicate, 8, 249, 16, // Skip to: 13726
+/* 9381 */    MCD_OPC_Decode, 179, 6, 140, 1, // Opcode: FSUEQ_D
+/* 9386 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 9399
+/* 9390 */    MCD_OPC_CheckPredicate, 8, 236, 16, // Skip to: 13726
+/* 9394 */    MCD_OPC_Decode, 160, 6, 139, 1, // Opcode: FSLT_W
+/* 9399 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 9412
+/* 9403 */    MCD_OPC_CheckPredicate, 8, 223, 16, // Skip to: 13726
+/* 9407 */    MCD_OPC_Decode, 159, 6, 140, 1, // Opcode: FSLT_D
+/* 9412 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 9425
+/* 9416 */    MCD_OPC_CheckPredicate, 8, 210, 16, // Skip to: 13726
+/* 9420 */    MCD_OPC_Decode, 184, 6, 139, 1, // Opcode: FSULT_W
+/* 9425 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 9438
+/* 9429 */    MCD_OPC_CheckPredicate, 8, 197, 16, // Skip to: 13726
+/* 9433 */    MCD_OPC_Decode, 183, 6, 140, 1, // Opcode: FSULT_D
+/* 9438 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 9451
+/* 9442 */    MCD_OPC_CheckPredicate, 8, 184, 16, // Skip to: 13726
+/* 9446 */    MCD_OPC_Decode, 158, 6, 139, 1, // Opcode: FSLE_W
+/* 9451 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 9464
+/* 9455 */    MCD_OPC_CheckPredicate, 8, 171, 16, // Skip to: 13726
+/* 9459 */    MCD_OPC_Decode, 157, 6, 140, 1, // Opcode: FSLE_D
+/* 9464 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 9477
+/* 9468 */    MCD_OPC_CheckPredicate, 8, 158, 16, // Skip to: 13726
+/* 9472 */    MCD_OPC_Decode, 182, 6, 139, 1, // Opcode: FSULE_W
+/* 9477 */    MCD_OPC_FilterValue, 31, 149, 16, // Skip to: 13726
+/* 9481 */    MCD_OPC_CheckPredicate, 8, 145, 16, // Skip to: 13726
+/* 9485 */    MCD_OPC_Decode, 181, 6, 140, 1, // Opcode: FSULE_D
+/* 9490 */    MCD_OPC_FilterValue, 27, 85, 1, // Skip to: 9835
+/* 9494 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 9497 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 9510
+/* 9501 */    MCD_OPC_CheckPredicate, 8, 125, 16, // Skip to: 13726
+/* 9505 */    MCD_OPC_Decode, 176, 5, 139, 1, // Opcode: FADD_W
+/* 9510 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 9523
+/* 9514 */    MCD_OPC_CheckPredicate, 8, 112, 16, // Skip to: 13726
+/* 9518 */    MCD_OPC_Decode, 170, 5, 140, 1, // Opcode: FADD_D
+/* 9523 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 9536
+/* 9527 */    MCD_OPC_CheckPredicate, 8, 99, 16, // Skip to: 13726
+/* 9531 */    MCD_OPC_Decode, 178, 6, 139, 1, // Opcode: FSUB_W
+/* 9536 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 9549
+/* 9540 */    MCD_OPC_CheckPredicate, 8, 86, 16, // Skip to: 13726
+/* 9544 */    MCD_OPC_Decode, 172, 6, 140, 1, // Opcode: FSUB_D
+/* 9549 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 9562
+/* 9553 */    MCD_OPC_CheckPredicate, 8, 73, 16, // Skip to: 13726
+/* 9557 */    MCD_OPC_Decode, 141, 6, 139, 1, // Opcode: FMUL_W
+/* 9562 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 9575
+/* 9566 */    MCD_OPC_CheckPredicate, 8, 60, 16, // Skip to: 13726
+/* 9570 */    MCD_OPC_Decode, 135, 6, 140, 1, // Opcode: FMUL_D
+/* 9575 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 9588
+/* 9579 */    MCD_OPC_CheckPredicate, 8, 47, 16, // Skip to: 13726
+/* 9583 */    MCD_OPC_Decode, 212, 5, 139, 1, // Opcode: FDIV_W
+/* 9588 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 9601
+/* 9592 */    MCD_OPC_CheckPredicate, 8, 34, 16, // Skip to: 13726
+/* 9596 */    MCD_OPC_Decode, 206, 5, 140, 1, // Opcode: FDIV_D
+/* 9601 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 9614
+/* 9605 */    MCD_OPC_CheckPredicate, 8, 21, 16, // Skip to: 13726
+/* 9609 */    MCD_OPC_Decode, 247, 5, 143, 1, // Opcode: FMADD_W
+/* 9614 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 9627
+/* 9618 */    MCD_OPC_CheckPredicate, 8, 8, 16, // Skip to: 13726
+/* 9622 */    MCD_OPC_Decode, 246, 5, 144, 1, // Opcode: FMADD_D
+/* 9627 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 9640
+/* 9631 */    MCD_OPC_CheckPredicate, 8, 251, 15, // Skip to: 13726
+/* 9635 */    MCD_OPC_Decode, 134, 6, 143, 1, // Opcode: FMSUB_W
+/* 9640 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 9653
+/* 9644 */    MCD_OPC_CheckPredicate, 8, 238, 15, // Skip to: 13726
+/* 9648 */    MCD_OPC_Decode, 133, 6, 144, 1, // Opcode: FMSUB_D
+/* 9653 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 9666
+/* 9657 */    MCD_OPC_CheckPredicate, 8, 225, 15, // Skip to: 13726
+/* 9661 */    MCD_OPC_Decode, 217, 5, 139, 1, // Opcode: FEXP2_W
+/* 9666 */    MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 9679
+/* 9670 */    MCD_OPC_CheckPredicate, 8, 212, 15, // Skip to: 13726
+/* 9674 */    MCD_OPC_Decode, 215, 5, 140, 1, // Opcode: FEXP2_D
+/* 9679 */    MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 9692
+/* 9683 */    MCD_OPC_CheckPredicate, 8, 199, 15, // Skip to: 13726
+/* 9687 */    MCD_OPC_Decode, 213, 5, 179, 1, // Opcode: FEXDO_H
+/* 9692 */    MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 9705
+/* 9696 */    MCD_OPC_CheckPredicate, 8, 186, 15, // Skip to: 13726
+/* 9700 */    MCD_OPC_Decode, 214, 5, 180, 1, // Opcode: FEXDO_W
+/* 9705 */    MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 9718
+/* 9709 */    MCD_OPC_CheckPredicate, 8, 173, 15, // Skip to: 13726
+/* 9713 */    MCD_OPC_Decode, 193, 6, 179, 1, // Opcode: FTQ_H
+/* 9718 */    MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 9731
+/* 9722 */    MCD_OPC_CheckPredicate, 8, 160, 15, // Skip to: 13726
+/* 9726 */    MCD_OPC_Decode, 194, 6, 180, 1, // Opcode: FTQ_W
+/* 9731 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 9744
+/* 9735 */    MCD_OPC_CheckPredicate, 8, 147, 15, // Skip to: 13726
+/* 9739 */    MCD_OPC_Decode, 255, 5, 139, 1, // Opcode: FMIN_W
+/* 9744 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 9757
+/* 9748 */    MCD_OPC_CheckPredicate, 8, 134, 15, // Skip to: 13726
+/* 9752 */    MCD_OPC_Decode, 254, 5, 140, 1, // Opcode: FMIN_D
+/* 9757 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 9770
+/* 9761 */    MCD_OPC_CheckPredicate, 8, 121, 15, // Skip to: 13726
+/* 9765 */    MCD_OPC_Decode, 253, 5, 139, 1, // Opcode: FMIN_A_W
+/* 9770 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 9783
+/* 9774 */    MCD_OPC_CheckPredicate, 8, 108, 15, // Skip to: 13726
+/* 9778 */    MCD_OPC_Decode, 252, 5, 140, 1, // Opcode: FMIN_A_D
+/* 9783 */    MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 9796
+/* 9787 */    MCD_OPC_CheckPredicate, 8, 95, 15, // Skip to: 13726
+/* 9791 */    MCD_OPC_Decode, 251, 5, 139, 1, // Opcode: FMAX_W
+/* 9796 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 9809
+/* 9800 */    MCD_OPC_CheckPredicate, 8, 82, 15, // Skip to: 13726
+/* 9804 */    MCD_OPC_Decode, 250, 5, 140, 1, // Opcode: FMAX_D
+/* 9809 */    MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 9822
+/* 9813 */    MCD_OPC_CheckPredicate, 8, 69, 15, // Skip to: 13726
+/* 9817 */    MCD_OPC_Decode, 249, 5, 139, 1, // Opcode: FMAX_A_W
+/* 9822 */    MCD_OPC_FilterValue, 31, 60, 15, // Skip to: 13726
+/* 9826 */    MCD_OPC_CheckPredicate, 8, 56, 15, // Skip to: 13726
+/* 9830 */    MCD_OPC_Decode, 248, 5, 140, 1, // Opcode: FMAX_A_D
+/* 9835 */    MCD_OPC_FilterValue, 28, 59, 1, // Skip to: 10154
+/* 9839 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 9842 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 9855
+/* 9846 */    MCD_OPC_CheckPredicate, 8, 36, 15, // Skip to: 13726
+/* 9850 */    MCD_OPC_Decode, 195, 5, 139, 1, // Opcode: FCOR_W
+/* 9855 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 9868
+/* 9859 */    MCD_OPC_CheckPredicate, 8, 23, 15, // Skip to: 13726
+/* 9863 */    MCD_OPC_Decode, 194, 5, 140, 1, // Opcode: FCOR_D
+/* 9868 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 9881
+/* 9872 */    MCD_OPC_CheckPredicate, 8, 10, 15, // Skip to: 13726
+/* 9876 */    MCD_OPC_Decode, 203, 5, 139, 1, // Opcode: FCUNE_W
+/* 9881 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 9894
+/* 9885 */    MCD_OPC_CheckPredicate, 8, 253, 14, // Skip to: 13726
+/* 9889 */    MCD_OPC_Decode, 202, 5, 140, 1, // Opcode: FCUNE_D
+/* 9894 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 9907
+/* 9898 */    MCD_OPC_CheckPredicate, 8, 240, 14, // Skip to: 13726
+/* 9902 */    MCD_OPC_Decode, 193, 5, 139, 1, // Opcode: FCNE_W
+/* 9907 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 9920
+/* 9911 */    MCD_OPC_CheckPredicate, 8, 227, 14, // Skip to: 13726
+/* 9915 */    MCD_OPC_Decode, 192, 5, 140, 1, // Opcode: FCNE_D
+/* 9920 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 9933
+/* 9924 */    MCD_OPC_CheckPredicate, 8, 214, 14, // Skip to: 13726
+/* 9928 */    MCD_OPC_Decode, 219, 9, 138, 1, // Opcode: MUL_Q_H
+/* 9933 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 9946
+/* 9937 */    MCD_OPC_CheckPredicate, 8, 201, 14, // Skip to: 13726
+/* 9941 */    MCD_OPC_Decode, 220, 9, 139, 1, // Opcode: MUL_Q_W
+/* 9946 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 9959
+/* 9950 */    MCD_OPC_CheckPredicate, 8, 188, 14, // Skip to: 13726
+/* 9954 */    MCD_OPC_Decode, 147, 8, 142, 1, // Opcode: MADD_Q_H
+/* 9959 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 9972
+/* 9963 */    MCD_OPC_CheckPredicate, 8, 175, 14, // Skip to: 13726
+/* 9967 */    MCD_OPC_Decode, 148, 8, 143, 1, // Opcode: MADD_Q_W
+/* 9972 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 9985
+/* 9976 */    MCD_OPC_CheckPredicate, 8, 162, 14, // Skip to: 13726
+/* 9980 */    MCD_OPC_Decode, 165, 9, 142, 1, // Opcode: MSUB_Q_H
+/* 9985 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 9998
+/* 9989 */    MCD_OPC_CheckPredicate, 8, 149, 14, // Skip to: 13726
+/* 9993 */    MCD_OPC_Decode, 166, 9, 143, 1, // Opcode: MSUB_Q_W
+/* 9998 */    MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 10011
+/* 10002 */   MCD_OPC_CheckPredicate, 8, 136, 14, // Skip to: 13726
+/* 10006 */   MCD_OPC_Decode, 164, 6, 139, 1, // Opcode: FSOR_W
+/* 10011 */   MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 10024
+/* 10015 */   MCD_OPC_CheckPredicate, 8, 123, 14, // Skip to: 13726
+/* 10019 */   MCD_OPC_Decode, 163, 6, 140, 1, // Opcode: FSOR_D
+/* 10024 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 10037
+/* 10028 */   MCD_OPC_CheckPredicate, 8, 110, 14, // Skip to: 13726
+/* 10032 */   MCD_OPC_Decode, 186, 6, 139, 1, // Opcode: FSUNE_W
+/* 10037 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 10050
+/* 10041 */   MCD_OPC_CheckPredicate, 8, 97, 14, // Skip to: 13726
+/* 10045 */   MCD_OPC_Decode, 185, 6, 140, 1, // Opcode: FSUNE_D
+/* 10050 */   MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 10063
+/* 10054 */   MCD_OPC_CheckPredicate, 8, 84, 14, // Skip to: 13726
+/* 10058 */   MCD_OPC_Decode, 162, 6, 139, 1, // Opcode: FSNE_W
+/* 10063 */   MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 10076
+/* 10067 */   MCD_OPC_CheckPredicate, 8, 71, 14, // Skip to: 13726
+/* 10071 */   MCD_OPC_Decode, 161, 6, 140, 1, // Opcode: FSNE_D
+/* 10076 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 10089
+/* 10080 */   MCD_OPC_CheckPredicate, 8, 58, 14, // Skip to: 13726
+/* 10084 */   MCD_OPC_Decode, 202, 9, 138, 1, // Opcode: MULR_Q_H
+/* 10089 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 10102
+/* 10093 */   MCD_OPC_CheckPredicate, 8, 45, 14, // Skip to: 13726
+/* 10097 */   MCD_OPC_Decode, 203, 9, 139, 1, // Opcode: MULR_Q_W
+/* 10102 */   MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 10115
+/* 10106 */   MCD_OPC_CheckPredicate, 8, 32, 14, // Skip to: 13726
+/* 10110 */   MCD_OPC_Decode, 133, 8, 142, 1, // Opcode: MADDR_Q_H
+/* 10115 */   MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 10128
+/* 10119 */   MCD_OPC_CheckPredicate, 8, 19, 14, // Skip to: 13726
+/* 10123 */   MCD_OPC_Decode, 134, 8, 143, 1, // Opcode: MADDR_Q_W
+/* 10128 */   MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 10141
+/* 10132 */   MCD_OPC_CheckPredicate, 8, 6, 14, // Skip to: 13726
+/* 10136 */   MCD_OPC_Decode, 151, 9, 142, 1, // Opcode: MSUBR_Q_H
+/* 10141 */   MCD_OPC_FilterValue, 29, 253, 13, // Skip to: 13726
+/* 10145 */   MCD_OPC_CheckPredicate, 8, 249, 13, // Skip to: 13726
+/* 10149 */   MCD_OPC_Decode, 152, 9, 143, 1, // Opcode: MSUBR_Q_W
+/* 10154 */   MCD_OPC_FilterValue, 30, 219, 2, // Skip to: 10889
+/* 10158 */   MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 10161 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 10173
+/* 10165 */   MCD_OPC_CheckPredicate, 8, 229, 13, // Skip to: 13726
+/* 10169 */   MCD_OPC_Decode, 89, 137, 1, // Opcode: AND_V
+/* 10173 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10186
+/* 10177 */   MCD_OPC_CheckPredicate, 8, 217, 13, // Skip to: 13726
+/* 10181 */   MCD_OPC_Decode, 138, 10, 137, 1, // Opcode: OR_V
+/* 10186 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 10199
+/* 10190 */   MCD_OPC_CheckPredicate, 8, 204, 13, // Skip to: 13726
+/* 10194 */   MCD_OPC_Decode, 254, 9, 137, 1, // Opcode: NOR_V
+/* 10199 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 10212
+/* 10203 */   MCD_OPC_CheckPredicate, 8, 191, 13, // Skip to: 13726
+/* 10207 */   MCD_OPC_Decode, 241, 13, 137, 1, // Opcode: XOR_V
+/* 10212 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10225
+/* 10216 */   MCD_OPC_CheckPredicate, 8, 178, 13, // Skip to: 13726
+/* 10220 */   MCD_OPC_Decode, 142, 2, 141, 1, // Opcode: BMNZ_V
+/* 10225 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 10238
+/* 10229 */   MCD_OPC_CheckPredicate, 8, 165, 13, // Skip to: 13726
+/* 10233 */   MCD_OPC_Decode, 144, 2, 141, 1, // Opcode: BMZ_V
+/* 10238 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 10251
+/* 10242 */   MCD_OPC_CheckPredicate, 8, 152, 13, // Skip to: 13726
+/* 10246 */   MCD_OPC_Decode, 179, 2, 141, 1, // Opcode: BSEL_V
+/* 10251 */   MCD_OPC_FilterValue, 24, 211, 0, // Skip to: 10466
+/* 10255 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 10258 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10271
+/* 10262 */   MCD_OPC_CheckPredicate, 8, 132, 13, // Skip to: 13726
+/* 10266 */   MCD_OPC_Decode, 231, 5, 181, 1, // Opcode: FILL_B
+/* 10271 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10284
+/* 10275 */   MCD_OPC_CheckPredicate, 8, 119, 13, // Skip to: 13726
+/* 10279 */   MCD_OPC_Decode, 235, 5, 182, 1, // Opcode: FILL_H
+/* 10284 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 10297
+/* 10288 */   MCD_OPC_CheckPredicate, 8, 106, 13, // Skip to: 13726
+/* 10292 */   MCD_OPC_Decode, 236, 5, 183, 1, // Opcode: FILL_W
+/* 10297 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 10310
+/* 10301 */   MCD_OPC_CheckPredicate, 14, 93, 13, // Skip to: 13726
+/* 10305 */   MCD_OPC_Decode, 232, 5, 184, 1, // Opcode: FILL_D
+/* 10310 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10323
+/* 10314 */   MCD_OPC_CheckPredicate, 8, 80, 13, // Skip to: 13726
+/* 10318 */   MCD_OPC_Decode, 157, 10, 173, 1, // Opcode: PCNT_B
+/* 10323 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 10336
+/* 10327 */   MCD_OPC_CheckPredicate, 8, 67, 13, // Skip to: 13726
+/* 10331 */   MCD_OPC_Decode, 159, 10, 185, 1, // Opcode: PCNT_H
+/* 10336 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 10349
+/* 10340 */   MCD_OPC_CheckPredicate, 8, 54, 13, // Skip to: 13726
+/* 10344 */   MCD_OPC_Decode, 160, 10, 186, 1, // Opcode: PCNT_W
+/* 10349 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 10362
+/* 10353 */   MCD_OPC_CheckPredicate, 8, 41, 13, // Skip to: 13726
+/* 10357 */   MCD_OPC_Decode, 158, 10, 187, 1, // Opcode: PCNT_D
+/* 10362 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 10375
+/* 10366 */   MCD_OPC_CheckPredicate, 8, 28, 13, // Skip to: 13726
+/* 10370 */   MCD_OPC_Decode, 231, 9, 173, 1, // Opcode: NLOC_B
+/* 10375 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 10388
+/* 10379 */   MCD_OPC_CheckPredicate, 8, 15, 13, // Skip to: 13726
+/* 10383 */   MCD_OPC_Decode, 233, 9, 185, 1, // Opcode: NLOC_H
+/* 10388 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 10401
+/* 10392 */   MCD_OPC_CheckPredicate, 8, 2, 13, // Skip to: 13726
+/* 10396 */   MCD_OPC_Decode, 234, 9, 186, 1, // Opcode: NLOC_W
+/* 10401 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 10414
+/* 10405 */   MCD_OPC_CheckPredicate, 8, 245, 12, // Skip to: 13726
+/* 10409 */   MCD_OPC_Decode, 232, 9, 187, 1, // Opcode: NLOC_D
+/* 10414 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 10427
+/* 10418 */   MCD_OPC_CheckPredicate, 8, 232, 12, // Skip to: 13726
+/* 10422 */   MCD_OPC_Decode, 235, 9, 173, 1, // Opcode: NLZC_B
+/* 10427 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 10440
+/* 10431 */   MCD_OPC_CheckPredicate, 8, 219, 12, // Skip to: 13726
+/* 10435 */   MCD_OPC_Decode, 237, 9, 185, 1, // Opcode: NLZC_H
+/* 10440 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 10453
+/* 10444 */   MCD_OPC_CheckPredicate, 8, 206, 12, // Skip to: 13726
+/* 10448 */   MCD_OPC_Decode, 238, 9, 186, 1, // Opcode: NLZC_W
+/* 10453 */   MCD_OPC_FilterValue, 15, 197, 12, // Skip to: 13726
+/* 10457 */   MCD_OPC_CheckPredicate, 8, 193, 12, // Skip to: 13726
+/* 10461 */   MCD_OPC_Decode, 236, 9, 187, 1, // Opcode: NLZC_D
+/* 10466 */   MCD_OPC_FilterValue, 25, 184, 12, // Skip to: 13726
+/* 10470 */   MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
+/* 10473 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 10486
+/* 10477 */   MCD_OPC_CheckPredicate, 8, 173, 12, // Skip to: 13726
+/* 10481 */   MCD_OPC_Decode, 182, 5, 186, 1, // Opcode: FCLASS_W
+/* 10486 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 10499
+/* 10490 */   MCD_OPC_CheckPredicate, 8, 160, 12, // Skip to: 13726
+/* 10494 */   MCD_OPC_Decode, 181, 5, 187, 1, // Opcode: FCLASS_D
+/* 10499 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 10512
+/* 10503 */   MCD_OPC_CheckPredicate, 8, 147, 12, // Skip to: 13726
+/* 10507 */   MCD_OPC_Decode, 196, 6, 186, 1, // Opcode: FTRUNC_S_W
+/* 10512 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 10525
+/* 10516 */   MCD_OPC_CheckPredicate, 8, 134, 12, // Skip to: 13726
+/* 10520 */   MCD_OPC_Decode, 195, 6, 187, 1, // Opcode: FTRUNC_S_D
+/* 10525 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 10538
+/* 10529 */   MCD_OPC_CheckPredicate, 8, 121, 12, // Skip to: 13726
+/* 10533 */   MCD_OPC_Decode, 198, 6, 186, 1, // Opcode: FTRUNC_U_W
+/* 10538 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 10551
+/* 10542 */   MCD_OPC_CheckPredicate, 8, 108, 12, // Skip to: 13726
+/* 10546 */   MCD_OPC_Decode, 197, 6, 187, 1, // Opcode: FTRUNC_U_D
+/* 10551 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 10564
+/* 10555 */   MCD_OPC_CheckPredicate, 8, 95, 12, // Skip to: 13726
+/* 10559 */   MCD_OPC_Decode, 171, 6, 186, 1, // Opcode: FSQRT_W
+/* 10564 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 10577
+/* 10568 */   MCD_OPC_CheckPredicate, 8, 82, 12, // Skip to: 13726
+/* 10572 */   MCD_OPC_Decode, 165, 6, 187, 1, // Opcode: FSQRT_D
+/* 10577 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 10590
+/* 10581 */   MCD_OPC_CheckPredicate, 8, 69, 12, // Skip to: 13726
+/* 10585 */   MCD_OPC_Decode, 152, 6, 186, 1, // Opcode: FRSQRT_W
+/* 10590 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 10603
+/* 10594 */   MCD_OPC_CheckPredicate, 8, 56, 12, // Skip to: 13726
+/* 10598 */   MCD_OPC_Decode, 151, 6, 187, 1, // Opcode: FRSQRT_D
+/* 10603 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 10616
+/* 10607 */   MCD_OPC_CheckPredicate, 8, 43, 12, // Skip to: 13726
+/* 10611 */   MCD_OPC_Decode, 148, 6, 186, 1, // Opcode: FRCP_W
+/* 10616 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 10629
+/* 10620 */   MCD_OPC_CheckPredicate, 8, 30, 12, // Skip to: 13726
+/* 10624 */   MCD_OPC_Decode, 147, 6, 187, 1, // Opcode: FRCP_D
+/* 10629 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 10642
+/* 10633 */   MCD_OPC_CheckPredicate, 8, 17, 12, // Skip to: 13726
+/* 10637 */   MCD_OPC_Decode, 150, 6, 186, 1, // Opcode: FRINT_W
+/* 10642 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 10655
+/* 10646 */   MCD_OPC_CheckPredicate, 8, 4, 12, // Skip to: 13726
+/* 10650 */   MCD_OPC_Decode, 149, 6, 187, 1, // Opcode: FRINT_D
+/* 10655 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 10668
+/* 10659 */   MCD_OPC_CheckPredicate, 8, 247, 11, // Skip to: 13726
+/* 10663 */   MCD_OPC_Decode, 238, 5, 186, 1, // Opcode: FLOG2_W
+/* 10668 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 10681
+/* 10672 */   MCD_OPC_CheckPredicate, 8, 234, 11, // Skip to: 13726
+/* 10676 */   MCD_OPC_Decode, 237, 5, 187, 1, // Opcode: FLOG2_D
+/* 10681 */   MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 10694
+/* 10685 */   MCD_OPC_CheckPredicate, 8, 221, 11, // Skip to: 13726
+/* 10689 */   MCD_OPC_Decode, 220, 5, 188, 1, // Opcode: FEXUPL_W
+/* 10694 */   MCD_OPC_FilterValue, 17, 9, 0, // Skip to: 10707
+/* 10698 */   MCD_OPC_CheckPredicate, 8, 208, 11, // Skip to: 13726
+/* 10702 */   MCD_OPC_Decode, 219, 5, 189, 1, // Opcode: FEXUPL_D
+/* 10707 */   MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 10720
+/* 10711 */   MCD_OPC_CheckPredicate, 8, 195, 11, // Skip to: 13726
+/* 10715 */   MCD_OPC_Decode, 222, 5, 188, 1, // Opcode: FEXUPR_W
+/* 10720 */   MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 10733
+/* 10724 */   MCD_OPC_CheckPredicate, 8, 182, 11, // Skip to: 13726
+/* 10728 */   MCD_OPC_Decode, 221, 5, 189, 1, // Opcode: FEXUPR_D
+/* 10733 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 10746
+/* 10737 */   MCD_OPC_CheckPredicate, 8, 169, 11, // Skip to: 13726
+/* 10741 */   MCD_OPC_Decode, 228, 5, 188, 1, // Opcode: FFQL_W
+/* 10746 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 10759
+/* 10750 */   MCD_OPC_CheckPredicate, 8, 156, 11, // Skip to: 13726
+/* 10754 */   MCD_OPC_Decode, 227, 5, 189, 1, // Opcode: FFQL_D
+/* 10759 */   MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 10772
+/* 10763 */   MCD_OPC_CheckPredicate, 8, 143, 11, // Skip to: 13726
+/* 10767 */   MCD_OPC_Decode, 230, 5, 188, 1, // Opcode: FFQR_W
+/* 10772 */   MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 10785
+/* 10776 */   MCD_OPC_CheckPredicate, 8, 130, 11, // Skip to: 13726
+/* 10780 */   MCD_OPC_Decode, 229, 5, 189, 1, // Opcode: FFQR_D
+/* 10785 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 10798
+/* 10789 */   MCD_OPC_CheckPredicate, 8, 117, 11, // Skip to: 13726
+/* 10793 */   MCD_OPC_Decode, 190, 6, 186, 1, // Opcode: FTINT_S_W
+/* 10798 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 10811
+/* 10802 */   MCD_OPC_CheckPredicate, 8, 104, 11, // Skip to: 13726
+/* 10806 */   MCD_OPC_Decode, 189, 6, 187, 1, // Opcode: FTINT_S_D
+/* 10811 */   MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 10824
+/* 10815 */   MCD_OPC_CheckPredicate, 8, 91, 11, // Skip to: 13726
+/* 10819 */   MCD_OPC_Decode, 192, 6, 186, 1, // Opcode: FTINT_U_W
+/* 10824 */   MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 10837
+/* 10828 */   MCD_OPC_CheckPredicate, 8, 78, 11, // Skip to: 13726
+/* 10832 */   MCD_OPC_Decode, 191, 6, 187, 1, // Opcode: FTINT_U_D
+/* 10837 */   MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 10850
+/* 10841 */   MCD_OPC_CheckPredicate, 8, 65, 11, // Skip to: 13726
+/* 10845 */   MCD_OPC_Decode, 224, 5, 186, 1, // Opcode: FFINT_S_W
+/* 10850 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 10863
+/* 10854 */   MCD_OPC_CheckPredicate, 8, 52, 11, // Skip to: 13726
+/* 10858 */   MCD_OPC_Decode, 223, 5, 187, 1, // Opcode: FFINT_S_D
+/* 10863 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 10876
+/* 10867 */   MCD_OPC_CheckPredicate, 8, 39, 11, // Skip to: 13726
+/* 10871 */   MCD_OPC_Decode, 226, 5, 186, 1, // Opcode: FFINT_U_W
+/* 10876 */   MCD_OPC_FilterValue, 31, 30, 11, // Skip to: 13726
+/* 10880 */   MCD_OPC_CheckPredicate, 8, 26, 11, // Skip to: 13726
+/* 10884 */   MCD_OPC_Decode, 225, 5, 187, 1, // Opcode: FFINT_U_D
+/* 10889 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 10902
+/* 10893 */   MCD_OPC_CheckPredicate, 8, 13, 11, // Skip to: 13726
+/* 10897 */   MCD_OPC_Decode, 177, 7, 190, 1, // Opcode: LD_B
+/* 10902 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 10915
+/* 10906 */   MCD_OPC_CheckPredicate, 8, 0, 11, // Skip to: 13726
+/* 10910 */   MCD_OPC_Decode, 179, 7, 190, 1, // Opcode: LD_H
+/* 10915 */   MCD_OPC_FilterValue, 34, 9, 0, // Skip to: 10928
+/* 10919 */   MCD_OPC_CheckPredicate, 8, 243, 10, // Skip to: 13726
+/* 10923 */   MCD_OPC_Decode, 180, 7, 190, 1, // Opcode: LD_W
+/* 10928 */   MCD_OPC_FilterValue, 35, 9, 0, // Skip to: 10941
+/* 10932 */   MCD_OPC_CheckPredicate, 8, 230, 10, // Skip to: 13726
+/* 10936 */   MCD_OPC_Decode, 178, 7, 190, 1, // Opcode: LD_D
+/* 10941 */   MCD_OPC_FilterValue, 36, 9, 0, // Skip to: 10954
+/* 10945 */   MCD_OPC_CheckPredicate, 8, 217, 10, // Skip to: 13726
+/* 10949 */   MCD_OPC_Decode, 186, 12, 190, 1, // Opcode: ST_B
+/* 10954 */   MCD_OPC_FilterValue, 37, 9, 0, // Skip to: 10967
+/* 10958 */   MCD_OPC_CheckPredicate, 8, 204, 10, // Skip to: 13726
+/* 10962 */   MCD_OPC_Decode, 188, 12, 190, 1, // Opcode: ST_H
+/* 10967 */   MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 10980
+/* 10971 */   MCD_OPC_CheckPredicate, 8, 191, 10, // Skip to: 13726
+/* 10975 */   MCD_OPC_Decode, 189, 12, 190, 1, // Opcode: ST_W
+/* 10980 */   MCD_OPC_FilterValue, 39, 182, 10, // Skip to: 13726
+/* 10984 */   MCD_OPC_CheckPredicate, 8, 178, 10, // Skip to: 13726
+/* 10988 */   MCD_OPC_Decode, 187, 12, 190, 1, // Opcode: ST_D
+/* 10993 */   MCD_OPC_FilterValue, 31, 113, 9, // Skip to: 13414
+/* 10997 */   MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 11000 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11013
+/* 11004 */   MCD_OPC_CheckPredicate, 6, 158, 10, // Skip to: 13726
+/* 11008 */   MCD_OPC_Decode, 145, 5, 191, 1, // Opcode: EXT
+/* 11013 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 11026
+/* 11017 */   MCD_OPC_CheckPredicate, 6, 145, 10, // Skip to: 13726
+/* 11021 */   MCD_OPC_Decode, 228, 6, 192, 1, // Opcode: INS
+/* 11026 */   MCD_OPC_FilterValue, 10, 42, 0, // Skip to: 11072
+/* 11030 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 11033 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 11046
+/* 11037 */   MCD_OPC_CheckPredicate, 12, 125, 10, // Skip to: 13726
+/* 11041 */   MCD_OPC_Decode, 236, 7, 193, 1, // Opcode: LWX
+/* 11046 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 11059
+/* 11050 */   MCD_OPC_CheckPredicate, 12, 112, 10, // Skip to: 13726
+/* 11054 */   MCD_OPC_Decode, 187, 7, 193, 1, // Opcode: LHX
+/* 11059 */   MCD_OPC_FilterValue, 6, 103, 10, // Skip to: 13726
+/* 11063 */   MCD_OPC_CheckPredicate, 12, 99, 10, // Skip to: 13726
+/* 11067 */   MCD_OPC_Decode, 156, 7, 193, 1, // Opcode: LBUX
+/* 11072 */   MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 11091
+/* 11076 */   MCD_OPC_CheckPredicate, 12, 86, 10, // Skip to: 13726
+/* 11080 */   MCD_OPC_CheckField, 6, 10, 0, 80, 10, // Skip to: 13726
+/* 11086 */   MCD_OPC_Decode, 241, 6, 194, 1, // Opcode: INSV
+/* 11091 */   MCD_OPC_FilterValue, 16, 51, 1, // Skip to: 11402
+/* 11095 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 11098 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 11110
+/* 11102 */   MCD_OPC_CheckPredicate, 12, 60, 10, // Skip to: 13726
+/* 11106 */   MCD_OPC_Decode, 56, 195, 1, // Opcode: ADDU_QB
+/* 11110 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 11123
+/* 11114 */   MCD_OPC_CheckPredicate, 12, 48, 10, // Skip to: 13726
+/* 11118 */   MCD_OPC_Decode, 218, 12, 195, 1, // Opcode: SUBU_QB
+/* 11123 */   MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 11135
+/* 11127 */   MCD_OPC_CheckPredicate, 12, 35, 10, // Skip to: 13726
+/* 11131 */   MCD_OPC_Decode, 58, 195, 1, // Opcode: ADDU_S_QB
+/* 11135 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 11148
+/* 11139 */   MCD_OPC_CheckPredicate, 12, 23, 10, // Skip to: 13726
+/* 11143 */   MCD_OPC_Decode, 220, 12, 195, 1, // Opcode: SUBU_S_QB
+/* 11148 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 11161
+/* 11152 */   MCD_OPC_CheckPredicate, 12, 10, 10, // Skip to: 13726
+/* 11156 */   MCD_OPC_Decode, 196, 9, 195, 1, // Opcode: MULEU_S_PH_QBL
+/* 11161 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 11174
+/* 11165 */   MCD_OPC_CheckPredicate, 12, 253, 9, // Skip to: 13726
+/* 11169 */   MCD_OPC_Decode, 197, 9, 195, 1, // Opcode: MULEU_S_PH_QBR
+/* 11174 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 11186
+/* 11178 */   MCD_OPC_CheckPredicate, 30, 240, 9, // Skip to: 13726
+/* 11182 */   MCD_OPC_Decode, 55, 195, 1, // Opcode: ADDU_PH
+/* 11186 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 11199
+/* 11190 */   MCD_OPC_CheckPredicate, 30, 228, 9, // Skip to: 13726
+/* 11194 */   MCD_OPC_Decode, 217, 12, 195, 1, // Opcode: SUBU_PH
+/* 11199 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 11211
+/* 11203 */   MCD_OPC_CheckPredicate, 12, 215, 9, // Skip to: 13726
+/* 11207 */   MCD_OPC_Decode, 36, 195, 1, // Opcode: ADDQ_PH
+/* 11211 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 11224
+/* 11215 */   MCD_OPC_CheckPredicate, 12, 203, 9, // Skip to: 13726
+/* 11219 */   MCD_OPC_Decode, 195, 12, 195, 1, // Opcode: SUBQ_PH
+/* 11224 */   MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 11236
+/* 11228 */   MCD_OPC_CheckPredicate, 30, 190, 9, // Skip to: 13726
+/* 11232 */   MCD_OPC_Decode, 57, 195, 1, // Opcode: ADDU_S_PH
+/* 11236 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 11249
+/* 11240 */   MCD_OPC_CheckPredicate, 30, 178, 9, // Skip to: 13726
+/* 11244 */   MCD_OPC_Decode, 219, 12, 195, 1, // Opcode: SUBU_S_PH
+/* 11249 */   MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 11261
+/* 11253 */   MCD_OPC_CheckPredicate, 12, 165, 9, // Skip to: 13726
+/* 11257 */   MCD_OPC_Decode, 37, 195, 1, // Opcode: ADDQ_S_PH
+/* 11261 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 11274
+/* 11265 */   MCD_OPC_CheckPredicate, 12, 153, 9, // Skip to: 13726
+/* 11269 */   MCD_OPC_Decode, 196, 12, 195, 1, // Opcode: SUBQ_S_PH
+/* 11274 */   MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 11285
+/* 11278 */   MCD_OPC_CheckPredicate, 12, 140, 9, // Skip to: 13726
+/* 11282 */   MCD_OPC_Decode, 39, 35, // Opcode: ADDSC
+/* 11285 */   MCD_OPC_FilterValue, 17, 7, 0, // Skip to: 11296
+/* 11289 */   MCD_OPC_CheckPredicate, 12, 129, 9, // Skip to: 13726
+/* 11293 */   MCD_OPC_Decode, 67, 35, // Opcode: ADDWC
+/* 11296 */   MCD_OPC_FilterValue, 18, 8, 0, // Skip to: 11308
+/* 11300 */   MCD_OPC_CheckPredicate, 12, 118, 9, // Skip to: 13726
+/* 11304 */   MCD_OPC_Decode, 223, 8, 35, // Opcode: MODSUB
+/* 11308 */   MCD_OPC_FilterValue, 20, 15, 0, // Skip to: 11327
+/* 11312 */   MCD_OPC_CheckPredicate, 12, 106, 9, // Skip to: 13726
+/* 11316 */   MCD_OPC_CheckField, 16, 5, 0, 100, 9, // Skip to: 13726
+/* 11322 */   MCD_OPC_Decode, 236, 10, 196, 1, // Opcode: RADDU_W_QB
+/* 11327 */   MCD_OPC_FilterValue, 22, 7, 0, // Skip to: 11338
+/* 11331 */   MCD_OPC_CheckPredicate, 12, 87, 9, // Skip to: 13726
+/* 11335 */   MCD_OPC_Decode, 38, 35, // Opcode: ADDQ_S_W
+/* 11338 */   MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 11350
+/* 11342 */   MCD_OPC_CheckPredicate, 12, 76, 9, // Skip to: 13726
+/* 11346 */   MCD_OPC_Decode, 197, 12, 35, // Opcode: SUBQ_S_W
+/* 11350 */   MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 11363
+/* 11354 */   MCD_OPC_CheckPredicate, 12, 64, 9, // Skip to: 13726
+/* 11358 */   MCD_OPC_Decode, 194, 9, 197, 1, // Opcode: MULEQ_S_W_PHL
+/* 11363 */   MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 11376
+/* 11367 */   MCD_OPC_CheckPredicate, 12, 51, 9, // Skip to: 13726
+/* 11371 */   MCD_OPC_Decode, 195, 9, 197, 1, // Opcode: MULEQ_S_W_PHR
+/* 11376 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 11389
+/* 11380 */   MCD_OPC_CheckPredicate, 30, 38, 9, // Skip to: 13726
+/* 11384 */   MCD_OPC_Decode, 200, 9, 195, 1, // Opcode: MULQ_S_PH
+/* 11389 */   MCD_OPC_FilterValue, 31, 29, 9, // Skip to: 13726
+/* 11393 */   MCD_OPC_CheckPredicate, 12, 25, 9, // Skip to: 13726
+/* 11397 */   MCD_OPC_Decode, 198, 9, 195, 1, // Opcode: MULQ_RS_PH
+/* 11402 */   MCD_OPC_FilterValue, 17, 69, 1, // Skip to: 11731
+/* 11406 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 11409 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 11428
+/* 11413 */   MCD_OPC_CheckPredicate, 12, 5, 9, // Skip to: 13726
+/* 11417 */   MCD_OPC_CheckField, 11, 5, 0, 255, 8, // Skip to: 13726
+/* 11423 */   MCD_OPC_Decode, 161, 3, 198, 1, // Opcode: CMPU_EQ_QB
+/* 11428 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 11447
+/* 11432 */   MCD_OPC_CheckPredicate, 12, 242, 8, // Skip to: 13726
+/* 11436 */   MCD_OPC_CheckField, 11, 5, 0, 236, 8, // Skip to: 13726
+/* 11442 */   MCD_OPC_Decode, 163, 3, 198, 1, // Opcode: CMPU_LT_QB
+/* 11447 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 11466
+/* 11451 */   MCD_OPC_CheckPredicate, 12, 223, 8, // Skip to: 13726
+/* 11455 */   MCD_OPC_CheckField, 11, 5, 0, 217, 8, // Skip to: 13726
+/* 11461 */   MCD_OPC_Decode, 162, 3, 198, 1, // Opcode: CMPU_LE_QB
+/* 11466 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 11479
+/* 11470 */   MCD_OPC_CheckPredicate, 12, 204, 8, // Skip to: 13726
+/* 11474 */   MCD_OPC_Decode, 162, 10, 195, 1, // Opcode: PICK_QB
+/* 11479 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 11492
+/* 11483 */   MCD_OPC_CheckPredicate, 12, 191, 8, // Skip to: 13726
+/* 11487 */   MCD_OPC_Decode, 158, 3, 197, 1, // Opcode: CMPGU_EQ_QB
+/* 11492 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 11505
+/* 11496 */   MCD_OPC_CheckPredicate, 12, 178, 8, // Skip to: 13726
+/* 11500 */   MCD_OPC_Decode, 160, 3, 197, 1, // Opcode: CMPGU_LT_QB
+/* 11505 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 11518
+/* 11509 */   MCD_OPC_CheckPredicate, 12, 165, 8, // Skip to: 13726
+/* 11513 */   MCD_OPC_Decode, 159, 3, 197, 1, // Opcode: CMPGU_LE_QB
+/* 11518 */   MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 11537
+/* 11522 */   MCD_OPC_CheckPredicate, 12, 152, 8, // Skip to: 13726
+/* 11526 */   MCD_OPC_CheckField, 11, 5, 0, 146, 8, // Skip to: 13726
+/* 11532 */   MCD_OPC_Decode, 165, 3, 198, 1, // Opcode: CMP_EQ_PH
+/* 11537 */   MCD_OPC_FilterValue, 9, 15, 0, // Skip to: 11556
+/* 11541 */   MCD_OPC_CheckPredicate, 12, 133, 8, // Skip to: 13726
+/* 11545 */   MCD_OPC_CheckField, 11, 5, 0, 127, 8, // Skip to: 13726
+/* 11551 */   MCD_OPC_Decode, 173, 3, 198, 1, // Opcode: CMP_LT_PH
+/* 11556 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 11575
+/* 11560 */   MCD_OPC_CheckPredicate, 12, 114, 8, // Skip to: 13726
+/* 11564 */   MCD_OPC_CheckField, 11, 5, 0, 108, 8, // Skip to: 13726
+/* 11570 */   MCD_OPC_Decode, 170, 3, 198, 1, // Opcode: CMP_LE_PH
+/* 11575 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 11588
+/* 11579 */   MCD_OPC_CheckPredicate, 12, 95, 8, // Skip to: 13726
+/* 11583 */   MCD_OPC_Decode, 161, 10, 195, 1, // Opcode: PICK_PH
+/* 11588 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 11601
+/* 11592 */   MCD_OPC_CheckPredicate, 12, 82, 8, // Skip to: 13726
+/* 11596 */   MCD_OPC_Decode, 176, 10, 195, 1, // Opcode: PRECRQ_QB_PH
+/* 11601 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 11614
+/* 11605 */   MCD_OPC_CheckPredicate, 30, 69, 8, // Skip to: 13726
+/* 11609 */   MCD_OPC_Decode, 178, 10, 195, 1, // Opcode: PRECR_QB_PH
+/* 11614 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 11627
+/* 11618 */   MCD_OPC_CheckPredicate, 12, 56, 8, // Skip to: 13726
+/* 11622 */   MCD_OPC_Decode, 146, 10, 195, 1, // Opcode: PACKRL_PH
+/* 11627 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 11640
+/* 11631 */   MCD_OPC_CheckPredicate, 12, 43, 8, // Skip to: 13726
+/* 11635 */   MCD_OPC_Decode, 174, 10, 195, 1, // Opcode: PRECRQU_S_QB_PH
+/* 11640 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 11653
+/* 11644 */   MCD_OPC_CheckPredicate, 12, 30, 8, // Skip to: 13726
+/* 11648 */   MCD_OPC_Decode, 175, 10, 199, 1, // Opcode: PRECRQ_PH_W
+/* 11653 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 11666
+/* 11657 */   MCD_OPC_CheckPredicate, 12, 17, 8, // Skip to: 13726
+/* 11661 */   MCD_OPC_Decode, 177, 10, 199, 1, // Opcode: PRECRQ_RS_PH_W
+/* 11666 */   MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 11679
+/* 11670 */   MCD_OPC_CheckPredicate, 30, 4, 8, // Skip to: 13726
+/* 11674 */   MCD_OPC_Decode, 155, 3, 197, 1, // Opcode: CMPGDU_EQ_QB
+/* 11679 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 11692
+/* 11683 */   MCD_OPC_CheckPredicate, 30, 247, 7, // Skip to: 13726
+/* 11687 */   MCD_OPC_Decode, 157, 3, 197, 1, // Opcode: CMPGDU_LT_QB
+/* 11692 */   MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 11705
+/* 11696 */   MCD_OPC_CheckPredicate, 30, 234, 7, // Skip to: 13726
+/* 11700 */   MCD_OPC_Decode, 156, 3, 197, 1, // Opcode: CMPGDU_LE_QB
+/* 11705 */   MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 11718
+/* 11709 */   MCD_OPC_CheckPredicate, 30, 221, 7, // Skip to: 13726
+/* 11713 */   MCD_OPC_Decode, 179, 10, 200, 1, // Opcode: PRECR_SRA_PH_W
+/* 11718 */   MCD_OPC_FilterValue, 31, 212, 7, // Skip to: 13726
+/* 11722 */   MCD_OPC_CheckPredicate, 30, 208, 7, // Skip to: 13726
+/* 11726 */   MCD_OPC_Decode, 180, 10, 200, 1, // Opcode: PRECR_SRA_R_PH_W
+/* 11731 */   MCD_OPC_FilterValue, 18, 74, 1, // Skip to: 12065
+/* 11735 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 11738 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 11756
+/* 11742 */   MCD_OPC_CheckPredicate, 30, 188, 7, // Skip to: 13726
+/* 11746 */   MCD_OPC_CheckField, 21, 5, 0, 182, 7, // Skip to: 13726
+/* 11752 */   MCD_OPC_Decode, 23, 201, 1, // Opcode: ABSQ_S_QB
+/* 11756 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 11769
+/* 11760 */   MCD_OPC_CheckPredicate, 12, 170, 7, // Skip to: 13726
+/* 11764 */   MCD_OPC_Decode, 244, 10, 202, 1, // Opcode: REPL_QB
+/* 11769 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 11788
+/* 11773 */   MCD_OPC_CheckPredicate, 12, 157, 7, // Skip to: 13726
+/* 11777 */   MCD_OPC_CheckField, 21, 5, 0, 151, 7, // Skip to: 13726
+/* 11783 */   MCD_OPC_Decode, 242, 10, 203, 1, // Opcode: REPLV_QB
+/* 11788 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 11807
+/* 11792 */   MCD_OPC_CheckPredicate, 12, 138, 7, // Skip to: 13726
+/* 11796 */   MCD_OPC_CheckField, 21, 5, 0, 132, 7, // Skip to: 13726
+/* 11802 */   MCD_OPC_Decode, 164, 10, 201, 1, // Opcode: PRECEQU_PH_QBL
+/* 11807 */   MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 11826
+/* 11811 */   MCD_OPC_CheckPredicate, 12, 119, 7, // Skip to: 13726
+/* 11815 */   MCD_OPC_CheckField, 21, 5, 0, 113, 7, // Skip to: 13726
+/* 11821 */   MCD_OPC_Decode, 166, 10, 201, 1, // Opcode: PRECEQU_PH_QBR
+/* 11826 */   MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 11845
+/* 11830 */   MCD_OPC_CheckPredicate, 12, 100, 7, // Skip to: 13726
+/* 11834 */   MCD_OPC_CheckField, 21, 5, 0, 94, 7, // Skip to: 13726
+/* 11840 */   MCD_OPC_Decode, 165, 10, 201, 1, // Opcode: PRECEQU_PH_QBLA
+/* 11845 */   MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 11864
+/* 11849 */   MCD_OPC_CheckPredicate, 12, 81, 7, // Skip to: 13726
+/* 11853 */   MCD_OPC_CheckField, 21, 5, 0, 75, 7, // Skip to: 13726
+/* 11859 */   MCD_OPC_Decode, 167, 10, 201, 1, // Opcode: PRECEQU_PH_QBRA
+/* 11864 */   MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 11882
+/* 11868 */   MCD_OPC_CheckPredicate, 12, 62, 7, // Skip to: 13726
+/* 11872 */   MCD_OPC_CheckField, 21, 5, 0, 56, 7, // Skip to: 13726
+/* 11878 */   MCD_OPC_Decode, 22, 201, 1, // Opcode: ABSQ_S_PH
+/* 11882 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 11895
+/* 11886 */   MCD_OPC_CheckPredicate, 12, 44, 7, // Skip to: 13726
+/* 11890 */   MCD_OPC_Decode, 243, 10, 202, 1, // Opcode: REPL_PH
+/* 11895 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 11914
+/* 11899 */   MCD_OPC_CheckPredicate, 12, 31, 7, // Skip to: 13726
+/* 11903 */   MCD_OPC_CheckField, 21, 5, 0, 25, 7, // Skip to: 13726
+/* 11909 */   MCD_OPC_Decode, 241, 10, 203, 1, // Opcode: REPLV_PH
+/* 11914 */   MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 11933
+/* 11918 */   MCD_OPC_CheckPredicate, 12, 12, 7, // Skip to: 13726
+/* 11922 */   MCD_OPC_CheckField, 21, 5, 0, 6, 7, // Skip to: 13726
+/* 11928 */   MCD_OPC_Decode, 168, 10, 204, 1, // Opcode: PRECEQ_W_PHL
+/* 11933 */   MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 11952
+/* 11937 */   MCD_OPC_CheckPredicate, 12, 249, 6, // Skip to: 13726
+/* 11941 */   MCD_OPC_CheckField, 21, 5, 0, 243, 6, // Skip to: 13726
+/* 11947 */   MCD_OPC_Decode, 169, 10, 204, 1, // Opcode: PRECEQ_W_PHR
+/* 11952 */   MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 11970
+/* 11956 */   MCD_OPC_CheckPredicate, 12, 230, 6, // Skip to: 13726
+/* 11960 */   MCD_OPC_CheckField, 21, 5, 0, 224, 6, // Skip to: 13726
+/* 11966 */   MCD_OPC_Decode, 24, 205, 1, // Opcode: ABSQ_S_W
+/* 11970 */   MCD_OPC_FilterValue, 27, 15, 0, // Skip to: 11989
+/* 11974 */   MCD_OPC_CheckPredicate, 12, 212, 6, // Skip to: 13726
+/* 11978 */   MCD_OPC_CheckField, 21, 5, 0, 206, 6, // Skip to: 13726
+/* 11984 */   MCD_OPC_Decode, 249, 1, 205, 1, // Opcode: BITREV
+/* 11989 */   MCD_OPC_FilterValue, 28, 15, 0, // Skip to: 12008
+/* 11993 */   MCD_OPC_CheckPredicate, 12, 193, 6, // Skip to: 13726
+/* 11997 */   MCD_OPC_CheckField, 21, 5, 0, 187, 6, // Skip to: 13726
+/* 12003 */   MCD_OPC_Decode, 170, 10, 201, 1, // Opcode: PRECEU_PH_QBL
+/* 12008 */   MCD_OPC_FilterValue, 29, 15, 0, // Skip to: 12027
+/* 12012 */   MCD_OPC_CheckPredicate, 12, 174, 6, // Skip to: 13726
+/* 12016 */   MCD_OPC_CheckField, 21, 5, 0, 168, 6, // Skip to: 13726
+/* 12022 */   MCD_OPC_Decode, 172, 10, 201, 1, // Opcode: PRECEU_PH_QBR
+/* 12027 */   MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 12046
+/* 12031 */   MCD_OPC_CheckPredicate, 12, 155, 6, // Skip to: 13726
+/* 12035 */   MCD_OPC_CheckField, 21, 5, 0, 149, 6, // Skip to: 13726
+/* 12041 */   MCD_OPC_Decode, 171, 10, 201, 1, // Opcode: PRECEU_PH_QBLA
+/* 12046 */   MCD_OPC_FilterValue, 31, 140, 6, // Skip to: 13726
+/* 12050 */   MCD_OPC_CheckPredicate, 12, 136, 6, // Skip to: 13726
+/* 12054 */   MCD_OPC_CheckField, 21, 5, 0, 130, 6, // Skip to: 13726
+/* 12060 */   MCD_OPC_Decode, 173, 10, 201, 1, // Opcode: PRECEU_PH_QBRA
+/* 12065 */   MCD_OPC_FilterValue, 19, 31, 1, // Skip to: 12356
+/* 12069 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 12072 */   MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 12085
+/* 12076 */   MCD_OPC_CheckPredicate, 12, 110, 6, // Skip to: 13726
+/* 12080 */   MCD_OPC_Decode, 199, 11, 206, 1, // Opcode: SHLL_QB
+/* 12085 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 12098
+/* 12089 */   MCD_OPC_CheckPredicate, 12, 97, 6, // Skip to: 13726
+/* 12093 */   MCD_OPC_Decode, 215, 11, 206, 1, // Opcode: SHRL_QB
+/* 12098 */   MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 12111
+/* 12102 */   MCD_OPC_CheckPredicate, 12, 84, 6, // Skip to: 13726
+/* 12106 */   MCD_OPC_Decode, 195, 11, 207, 1, // Opcode: SHLLV_QB
+/* 12111 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 12124
+/* 12115 */   MCD_OPC_CheckPredicate, 12, 71, 6, // Skip to: 13726
+/* 12119 */   MCD_OPC_Decode, 213, 11, 207, 1, // Opcode: SHRLV_QB
+/* 12124 */   MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 12137
+/* 12128 */   MCD_OPC_CheckPredicate, 30, 58, 6, // Skip to: 13726
+/* 12132 */   MCD_OPC_Decode, 208, 11, 206, 1, // Opcode: SHRA_QB
+/* 12137 */   MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 12150
+/* 12141 */   MCD_OPC_CheckPredicate, 30, 45, 6, // Skip to: 13726
+/* 12145 */   MCD_OPC_Decode, 210, 11, 206, 1, // Opcode: SHRA_R_QB
+/* 12150 */   MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 12163
+/* 12154 */   MCD_OPC_CheckPredicate, 30, 32, 6, // Skip to: 13726
+/* 12158 */   MCD_OPC_Decode, 203, 11, 207, 1, // Opcode: SHRAV_QB
+/* 12163 */   MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 12176
+/* 12167 */   MCD_OPC_CheckPredicate, 30, 19, 6, // Skip to: 13726
+/* 12171 */   MCD_OPC_Decode, 205, 11, 207, 1, // Opcode: SHRAV_R_QB
+/* 12176 */   MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 12189
+/* 12180 */   MCD_OPC_CheckPredicate, 12, 6, 6, // Skip to: 13726
+/* 12184 */   MCD_OPC_Decode, 198, 11, 206, 1, // Opcode: SHLL_PH
+/* 12189 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 12202
+/* 12193 */   MCD_OPC_CheckPredicate, 12, 249, 5, // Skip to: 13726
+/* 12197 */   MCD_OPC_Decode, 207, 11, 206, 1, // Opcode: SHRA_PH
+/* 12202 */   MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 12215
+/* 12206 */   MCD_OPC_CheckPredicate, 12, 236, 5, // Skip to: 13726
+/* 12210 */   MCD_OPC_Decode, 194, 11, 207, 1, // Opcode: SHLLV_PH
+/* 12215 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 12228
+/* 12219 */   MCD_OPC_CheckPredicate, 12, 223, 5, // Skip to: 13726
+/* 12223 */   MCD_OPC_Decode, 202, 11, 207, 1, // Opcode: SHRAV_PH
+/* 12228 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 12241
+/* 12232 */   MCD_OPC_CheckPredicate, 12, 210, 5, // Skip to: 13726
+/* 12236 */   MCD_OPC_Decode, 200, 11, 206, 1, // Opcode: SHLL_S_PH
+/* 12241 */   MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 12254
+/* 12245 */   MCD_OPC_CheckPredicate, 12, 197, 5, // Skip to: 13726
+/* 12249 */   MCD_OPC_Decode, 209, 11, 206, 1, // Opcode: SHRA_R_PH
+/* 12254 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 12267
+/* 12258 */   MCD_OPC_CheckPredicate, 12, 184, 5, // Skip to: 13726
+/* 12262 */   MCD_OPC_Decode, 196, 11, 207, 1, // Opcode: SHLLV_S_PH
+/* 12267 */   MCD_OPC_FilterValue, 15, 9, 0, // Skip to: 12280
+/* 12271 */   MCD_OPC_CheckPredicate, 12, 171, 5, // Skip to: 13726
+/* 12275 */   MCD_OPC_Decode, 204, 11, 207, 1, // Opcode: SHRAV_R_PH
+/* 12280 */   MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 12293
+/* 12284 */   MCD_OPC_CheckPredicate, 12, 158, 5, // Skip to: 13726
+/* 12288 */   MCD_OPC_Decode, 201, 11, 208, 1, // Opcode: SHLL_S_W
+/* 12293 */   MCD_OPC_FilterValue, 21, 9, 0, // Skip to: 12306
+/* 12297 */   MCD_OPC_CheckPredicate, 12, 145, 5, // Skip to: 13726
+/* 12301 */   MCD_OPC_Decode, 211, 11, 208, 1, // Opcode: SHRA_R_W
+/* 12306 */   MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 12318
+/* 12310 */   MCD_OPC_CheckPredicate, 12, 132, 5, // Skip to: 13726
+/* 12314 */   MCD_OPC_Decode, 197, 11, 36, // Opcode: SHLLV_S_W
+/* 12318 */   MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 12330
+/* 12322 */   MCD_OPC_CheckPredicate, 12, 120, 5, // Skip to: 13726
+/* 12326 */   MCD_OPC_Decode, 206, 11, 36, // Opcode: SHRAV_R_W
+/* 12330 */   MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 12343
+/* 12334 */   MCD_OPC_CheckPredicate, 30, 108, 5, // Skip to: 13726
+/* 12338 */   MCD_OPC_Decode, 214, 11, 206, 1, // Opcode: SHRL_PH
+/* 12343 */   MCD_OPC_FilterValue, 27, 99, 5, // Skip to: 13726
+/* 12347 */   MCD_OPC_CheckPredicate, 30, 95, 5, // Skip to: 13726
+/* 12351 */   MCD_OPC_Decode, 212, 11, 207, 1, // Opcode: SHRLV_PH
+/* 12356 */   MCD_OPC_FilterValue, 24, 199, 0, // Skip to: 12559
+/* 12360 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 12363 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 12375
+/* 12367 */   MCD_OPC_CheckPredicate, 30, 75, 5, // Skip to: 13726
+/* 12371 */   MCD_OPC_Decode, 53, 195, 1, // Opcode: ADDUH_QB
+/* 12375 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 12388
+/* 12379 */   MCD_OPC_CheckPredicate, 30, 63, 5, // Skip to: 13726
+/* 12383 */   MCD_OPC_Decode, 215, 12, 195, 1, // Opcode: SUBUH_QB
+/* 12388 */   MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 12400
+/* 12392 */   MCD_OPC_CheckPredicate, 30, 50, 5, // Skip to: 13726
+/* 12396 */   MCD_OPC_Decode, 54, 195, 1, // Opcode: ADDUH_R_QB
+/* 12400 */   MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 12413
+/* 12404 */   MCD_OPC_CheckPredicate, 30, 38, 5, // Skip to: 13726
+/* 12408 */   MCD_OPC_Decode, 216, 12, 195, 1, // Opcode: SUBUH_R_QB
+/* 12413 */   MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 12425
+/* 12417 */   MCD_OPC_CheckPredicate, 30, 25, 5, // Skip to: 13726
+/* 12421 */   MCD_OPC_Decode, 32, 195, 1, // Opcode: ADDQH_PH
+/* 12425 */   MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 12438
+/* 12429 */   MCD_OPC_CheckPredicate, 30, 13, 5, // Skip to: 13726
+/* 12433 */   MCD_OPC_Decode, 191, 12, 195, 1, // Opcode: SUBQH_PH
+/* 12438 */   MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 12450
+/* 12442 */   MCD_OPC_CheckPredicate, 30, 0, 5, // Skip to: 13726
+/* 12446 */   MCD_OPC_Decode, 33, 195, 1, // Opcode: ADDQH_R_PH
+/* 12450 */   MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 12463
+/* 12454 */   MCD_OPC_CheckPredicate, 30, 244, 4, // Skip to: 13726
+/* 12458 */   MCD_OPC_Decode, 192, 12, 195, 1, // Opcode: SUBQH_R_PH
+/* 12463 */   MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 12476
+/* 12467 */   MCD_OPC_CheckPredicate, 30, 231, 4, // Skip to: 13726
+/* 12471 */   MCD_OPC_Decode, 218, 9, 195, 1, // Opcode: MUL_PH
+/* 12476 */   MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 12489
+/* 12480 */   MCD_OPC_CheckPredicate, 30, 218, 4, // Skip to: 13726
+/* 12484 */   MCD_OPC_Decode, 222, 9, 195, 1, // Opcode: MUL_S_PH
+/* 12489 */   MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 12500
+/* 12493 */   MCD_OPC_CheckPredicate, 30, 205, 4, // Skip to: 13726
+/* 12497 */   MCD_OPC_Decode, 35, 35, // Opcode: ADDQH_W
+/* 12500 */   MCD_OPC_FilterValue, 17, 8, 0, // Skip to: 12512
+/* 12504 */   MCD_OPC_CheckPredicate, 30, 194, 4, // Skip to: 13726
+/* 12508 */   MCD_OPC_Decode, 194, 12, 35, // Opcode: SUBQH_W
+/* 12512 */   MCD_OPC_FilterValue, 18, 7, 0, // Skip to: 12523
+/* 12516 */   MCD_OPC_CheckPredicate, 30, 182, 4, // Skip to: 13726
+/* 12520 */   MCD_OPC_Decode, 34, 35, // Opcode: ADDQH_R_W
+/* 12523 */   MCD_OPC_FilterValue, 19, 8, 0, // Skip to: 12535
+/* 12527 */   MCD_OPC_CheckPredicate, 30, 171, 4, // Skip to: 13726
+/* 12531 */   MCD_OPC_Decode, 193, 12, 35, // Opcode: SUBQH_R_W
+/* 12535 */   MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 12547
+/* 12539 */   MCD_OPC_CheckPredicate, 30, 159, 4, // Skip to: 13726
+/* 12543 */   MCD_OPC_Decode, 201, 9, 35, // Opcode: MULQ_S_W
+/* 12547 */   MCD_OPC_FilterValue, 23, 151, 4, // Skip to: 13726
+/* 12551 */   MCD_OPC_CheckPredicate, 30, 147, 4, // Skip to: 13726
+/* 12555 */   MCD_OPC_Decode, 199, 9, 35, // Opcode: MULQ_RS_W
+/* 12559 */   MCD_OPC_FilterValue, 32, 60, 0, // Skip to: 12623
+/* 12563 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 12566 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 12585
+/* 12570 */   MCD_OPC_CheckPredicate, 6, 128, 4, // Skip to: 13726
+/* 12574 */   MCD_OPC_CheckField, 21, 5, 0, 122, 4, // Skip to: 13726
+/* 12580 */   MCD_OPC_Decode, 234, 13, 205, 1, // Opcode: WSBH
+/* 12585 */   MCD_OPC_FilterValue, 16, 15, 0, // Skip to: 12604
+/* 12589 */   MCD_OPC_CheckPredicate, 6, 109, 4, // Skip to: 13726
+/* 12593 */   MCD_OPC_CheckField, 21, 5, 0, 103, 4, // Skip to: 13726
+/* 12599 */   MCD_OPC_Decode, 168, 11, 205, 1, // Opcode: SEB
+/* 12604 */   MCD_OPC_FilterValue, 24, 94, 4, // Skip to: 13726
+/* 12608 */   MCD_OPC_CheckPredicate, 6, 90, 4, // Skip to: 13726
+/* 12612 */   MCD_OPC_CheckField, 21, 5, 0, 84, 4, // Skip to: 13726
+/* 12618 */   MCD_OPC_Decode, 171, 11, 205, 1, // Opcode: SEH
+/* 12623 */   MCD_OPC_FilterValue, 48, 143, 1, // Skip to: 13026
+/* 12627 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 12630 */   MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 12648
+/* 12634 */   MCD_OPC_CheckPredicate, 30, 64, 4, // Skip to: 13726
+/* 12638 */   MCD_OPC_CheckField, 13, 3, 0, 58, 4, // Skip to: 13726
+/* 12644 */   MCD_OPC_Decode, 230, 4, 116, // Opcode: DPA_W_PH
+/* 12648 */   MCD_OPC_FilterValue, 1, 14, 0, // Skip to: 12666
+/* 12652 */   MCD_OPC_CheckPredicate, 30, 46, 4, // Skip to: 13726
+/* 12656 */   MCD_OPC_CheckField, 13, 3, 0, 40, 4, // Skip to: 13726
+/* 12662 */   MCD_OPC_Decode, 245, 4, 116, // Opcode: DPS_W_PH
+/* 12666 */   MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 12684
+/* 12670 */   MCD_OPC_CheckPredicate, 30, 28, 4, // Skip to: 13726
+/* 12674 */   MCD_OPC_CheckField, 13, 3, 0, 22, 4, // Skip to: 13726
+/* 12680 */   MCD_OPC_Decode, 205, 9, 116, // Opcode: MULSA_W_PH
+/* 12684 */   MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 12702
+/* 12688 */   MCD_OPC_CheckPredicate, 12, 10, 4, // Skip to: 13726
+/* 12692 */   MCD_OPC_CheckField, 13, 3, 0, 4, 4, // Skip to: 13726
+/* 12698 */   MCD_OPC_Decode, 227, 4, 116, // Opcode: DPAU_H_QBL
+/* 12702 */   MCD_OPC_FilterValue, 4, 14, 0, // Skip to: 12720
+/* 12706 */   MCD_OPC_CheckPredicate, 12, 248, 3, // Skip to: 13726
+/* 12710 */   MCD_OPC_CheckField, 13, 3, 0, 242, 3, // Skip to: 13726
+/* 12716 */   MCD_OPC_Decode, 226, 4, 116, // Opcode: DPAQ_S_W_PH
+/* 12720 */   MCD_OPC_FilterValue, 5, 14, 0, // Skip to: 12738
+/* 12724 */   MCD_OPC_CheckPredicate, 12, 230, 3, // Skip to: 13726
+/* 12728 */   MCD_OPC_CheckField, 13, 3, 0, 224, 3, // Skip to: 13726
+/* 12734 */   MCD_OPC_Decode, 235, 4, 116, // Opcode: DPSQ_S_W_PH
+/* 12738 */   MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 12756
+/* 12742 */   MCD_OPC_CheckPredicate, 12, 212, 3, // Skip to: 13726
+/* 12746 */   MCD_OPC_CheckField, 13, 3, 0, 206, 3, // Skip to: 13726
+/* 12752 */   MCD_OPC_Decode, 204, 9, 116, // Opcode: MULSAQ_S_W_PH
+/* 12756 */   MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 12774
+/* 12760 */   MCD_OPC_CheckPredicate, 12, 194, 3, // Skip to: 13726
+/* 12764 */   MCD_OPC_CheckField, 13, 3, 0, 188, 3, // Skip to: 13726
+/* 12770 */   MCD_OPC_Decode, 228, 4, 116, // Opcode: DPAU_H_QBR
+/* 12774 */   MCD_OPC_FilterValue, 8, 14, 0, // Skip to: 12792
+/* 12778 */   MCD_OPC_CheckPredicate, 30, 176, 3, // Skip to: 13726
+/* 12782 */   MCD_OPC_CheckField, 13, 3, 0, 170, 3, // Skip to: 13726
+/* 12788 */   MCD_OPC_Decode, 229, 4, 116, // Opcode: DPAX_W_PH
+/* 12792 */   MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 12810
+/* 12796 */   MCD_OPC_CheckPredicate, 30, 158, 3, // Skip to: 13726
+/* 12800 */   MCD_OPC_CheckField, 13, 3, 0, 152, 3, // Skip to: 13726
+/* 12806 */   MCD_OPC_Decode, 244, 4, 116, // Opcode: DPSX_W_PH
+/* 12810 */   MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 12828
+/* 12814 */   MCD_OPC_CheckPredicate, 12, 140, 3, // Skip to: 13726
+/* 12818 */   MCD_OPC_CheckField, 13, 3, 0, 134, 3, // Skip to: 13726
+/* 12824 */   MCD_OPC_Decode, 242, 4, 116, // Opcode: DPSU_H_QBL
+/* 12828 */   MCD_OPC_FilterValue, 12, 14, 0, // Skip to: 12846
+/* 12832 */   MCD_OPC_CheckPredicate, 12, 122, 3, // Skip to: 13726
+/* 12836 */   MCD_OPC_CheckField, 13, 3, 0, 116, 3, // Skip to: 13726
+/* 12842 */   MCD_OPC_Decode, 225, 4, 116, // Opcode: DPAQ_SA_L_W
+/* 12846 */   MCD_OPC_FilterValue, 13, 14, 0, // Skip to: 12864
+/* 12850 */   MCD_OPC_CheckPredicate, 12, 104, 3, // Skip to: 13726
+/* 12854 */   MCD_OPC_CheckField, 13, 3, 0, 98, 3, // Skip to: 13726
+/* 12860 */   MCD_OPC_Decode, 234, 4, 116, // Opcode: DPSQ_SA_L_W
+/* 12864 */   MCD_OPC_FilterValue, 15, 14, 0, // Skip to: 12882
+/* 12868 */   MCD_OPC_CheckPredicate, 12, 86, 3, // Skip to: 13726
+/* 12872 */   MCD_OPC_CheckField, 13, 3, 0, 80, 3, // Skip to: 13726
+/* 12878 */   MCD_OPC_Decode, 243, 4, 116, // Opcode: DPSU_H_QBR
+/* 12882 */   MCD_OPC_FilterValue, 16, 14, 0, // Skip to: 12900
+/* 12886 */   MCD_OPC_CheckPredicate, 12, 68, 3, // Skip to: 13726
+/* 12890 */   MCD_OPC_CheckField, 13, 3, 0, 62, 3, // Skip to: 13726
+/* 12896 */   MCD_OPC_Decode, 151, 8, 116, // Opcode: MAQ_SA_W_PHL
+/* 12900 */   MCD_OPC_FilterValue, 18, 14, 0, // Skip to: 12918
+/* 12904 */   MCD_OPC_CheckPredicate, 12, 50, 3, // Skip to: 13726
+/* 12908 */   MCD_OPC_CheckField, 13, 3, 0, 44, 3, // Skip to: 13726
+/* 12914 */   MCD_OPC_Decode, 152, 8, 116, // Opcode: MAQ_SA_W_PHR
+/* 12918 */   MCD_OPC_FilterValue, 20, 14, 0, // Skip to: 12936
+/* 12922 */   MCD_OPC_CheckPredicate, 12, 32, 3, // Skip to: 13726
+/* 12926 */   MCD_OPC_CheckField, 13, 3, 0, 26, 3, // Skip to: 13726
+/* 12932 */   MCD_OPC_Decode, 153, 8, 116, // Opcode: MAQ_S_W_PHL
+/* 12936 */   MCD_OPC_FilterValue, 22, 14, 0, // Skip to: 12954
+/* 12940 */   MCD_OPC_CheckPredicate, 12, 14, 3, // Skip to: 13726
+/* 12944 */   MCD_OPC_CheckField, 13, 3, 0, 8, 3, // Skip to: 13726
+/* 12950 */   MCD_OPC_Decode, 154, 8, 116, // Opcode: MAQ_S_W_PHR
+/* 12954 */   MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 12972
+/* 12958 */   MCD_OPC_CheckPredicate, 30, 252, 2, // Skip to: 13726
+/* 12962 */   MCD_OPC_CheckField, 13, 3, 0, 246, 2, // Skip to: 13726
+/* 12968 */   MCD_OPC_Decode, 224, 4, 116, // Opcode: DPAQX_S_W_PH
+/* 12972 */   MCD_OPC_FilterValue, 25, 14, 0, // Skip to: 12990
+/* 12976 */   MCD_OPC_CheckPredicate, 30, 234, 2, // Skip to: 13726
+/* 12980 */   MCD_OPC_CheckField, 13, 3, 0, 228, 2, // Skip to: 13726
+/* 12986 */   MCD_OPC_Decode, 233, 4, 116, // Opcode: DPSQX_S_W_PH
+/* 12990 */   MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 13008
+/* 12994 */   MCD_OPC_CheckPredicate, 30, 216, 2, // Skip to: 13726
+/* 12998 */   MCD_OPC_CheckField, 13, 3, 0, 210, 2, // Skip to: 13726
+/* 13004 */   MCD_OPC_Decode, 223, 4, 116, // Opcode: DPAQX_SA_W_PH
+/* 13008 */   MCD_OPC_FilterValue, 27, 202, 2, // Skip to: 13726
+/* 13012 */   MCD_OPC_CheckPredicate, 30, 198, 2, // Skip to: 13726
+/* 13016 */   MCD_OPC_CheckField, 13, 3, 0, 192, 2, // Skip to: 13726
+/* 13022 */   MCD_OPC_Decode, 232, 4, 116, // Opcode: DPSQX_SA_W_PH
+/* 13026 */   MCD_OPC_FilterValue, 49, 41, 0, // Skip to: 13071
+/* 13030 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 13033 */   MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 13045
+/* 13037 */   MCD_OPC_CheckPredicate, 30, 173, 2, // Skip to: 13726
+/* 13041 */   MCD_OPC_Decode, 96, 209, 1, // Opcode: APPEND
+/* 13045 */   MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 13058
+/* 13049 */   MCD_OPC_CheckPredicate, 30, 161, 2, // Skip to: 13726
+/* 13053 */   MCD_OPC_Decode, 184, 10, 209, 1, // Opcode: PREPEND
+/* 13058 */   MCD_OPC_FilterValue, 16, 152, 2, // Skip to: 13726
+/* 13062 */   MCD_OPC_CheckPredicate, 30, 148, 2, // Skip to: 13726
+/* 13066 */   MCD_OPC_Decode, 169, 1, 209, 1, // Opcode: BALIGN
+/* 13071 */   MCD_OPC_FilterValue, 56, 58, 1, // Skip to: 13389
+/* 13075 */   MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 13078 */   MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 13097
+/* 13082 */   MCD_OPC_CheckPredicate, 12, 128, 2, // Skip to: 13726
+/* 13086 */   MCD_OPC_CheckField, 13, 3, 0, 122, 2, // Skip to: 13726
+/* 13092 */   MCD_OPC_Decode, 157, 5, 210, 1, // Opcode: EXTR_W
+/* 13097 */   MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 13116
+/* 13101 */   MCD_OPC_CheckPredicate, 12, 109, 2, // Skip to: 13726
+/* 13105 */   MCD_OPC_CheckField, 13, 3, 0, 103, 2, // Skip to: 13726
+/* 13111 */   MCD_OPC_Decode, 153, 5, 211, 1, // Opcode: EXTRV_W
+/* 13116 */   MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 13135
+/* 13120 */   MCD_OPC_CheckPredicate, 12, 90, 2, // Skip to: 13726
+/* 13124 */   MCD_OPC_CheckField, 13, 3, 0, 84, 2, // Skip to: 13726
+/* 13130 */   MCD_OPC_Decode, 146, 5, 210, 1, // Opcode: EXTP
+/* 13135 */   MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 13154
+/* 13139 */   MCD_OPC_CheckPredicate, 12, 71, 2, // Skip to: 13726
+/* 13143 */   MCD_OPC_CheckField, 13, 3, 0, 65, 2, // Skip to: 13726
+/* 13149 */   MCD_OPC_Decode, 149, 5, 211, 1, // Opcode: EXTPV
+/* 13154 */   MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 13173
+/* 13158 */   MCD_OPC_CheckPredicate, 12, 52, 2, // Skip to: 13726
+/* 13162 */   MCD_OPC_CheckField, 13, 3, 0, 46, 2, // Skip to: 13726
+/* 13168 */   MCD_OPC_Decode, 155, 5, 210, 1, // Opcode: EXTR_R_W
+/* 13173 */   MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 13192
+/* 13177 */   MCD_OPC_CheckPredicate, 12, 33, 2, // Skip to: 13726
+/* 13181 */   MCD_OPC_CheckField, 13, 3, 0, 27, 2, // Skip to: 13726
+/* 13187 */   MCD_OPC_Decode, 151, 5, 211, 1, // Opcode: EXTRV_R_W
+/* 13192 */   MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 13211
+/* 13196 */   MCD_OPC_CheckPredicate, 12, 14, 2, // Skip to: 13726
+/* 13200 */   MCD_OPC_CheckField, 13, 3, 0, 8, 2, // Skip to: 13726
+/* 13206 */   MCD_OPC_Decode, 154, 5, 210, 1, // Opcode: EXTR_RS_W
+/* 13211 */   MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 13230
+/* 13215 */   MCD_OPC_CheckPredicate, 12, 251, 1, // Skip to: 13726
+/* 13219 */   MCD_OPC_CheckField, 13, 3, 0, 245, 1, // Skip to: 13726
+/* 13225 */   MCD_OPC_Decode, 150, 5, 211, 1, // Opcode: EXTRV_RS_W
+/* 13230 */   MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 13249
+/* 13234 */   MCD_OPC_CheckPredicate, 12, 232, 1, // Skip to: 13726
+/* 13238 */   MCD_OPC_CheckField, 13, 3, 0, 226, 1, // Skip to: 13726
+/* 13244 */   MCD_OPC_Decode, 147, 5, 210, 1, // Opcode: EXTPDP
+/* 13249 */   MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 13268
+/* 13253 */   MCD_OPC_CheckPredicate, 12, 213, 1, // Skip to: 13726
+/* 13257 */   MCD_OPC_CheckField, 13, 3, 0, 207, 1, // Skip to: 13726
+/* 13263 */   MCD_OPC_Decode, 148, 5, 211, 1, // Opcode: EXTPDPV
+/* 13268 */   MCD_OPC_FilterValue, 14, 15, 0, // Skip to: 13287
+/* 13272 */   MCD_OPC_CheckPredicate, 12, 194, 1, // Skip to: 13726
+/* 13276 */   MCD_OPC_CheckField, 13, 3, 0, 188, 1, // Skip to: 13726
+/* 13282 */   MCD_OPC_Decode, 156, 5, 210, 1, // Opcode: EXTR_S_H
+/* 13287 */   MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 13306
+/* 13291 */   MCD_OPC_CheckPredicate, 12, 175, 1, // Skip to: 13726
+/* 13295 */   MCD_OPC_CheckField, 13, 3, 0, 169, 1, // Skip to: 13726
+/* 13301 */   MCD_OPC_Decode, 152, 5, 211, 1, // Opcode: EXTRV_S_H
+/* 13306 */   MCD_OPC_FilterValue, 18, 9, 0, // Skip to: 13319
+/* 13310 */   MCD_OPC_CheckPredicate, 12, 156, 1, // Skip to: 13726
+/* 13314 */   MCD_OPC_Decode, 237, 10, 212, 1, // Opcode: RDDSP
+/* 13319 */   MCD_OPC_FilterValue, 19, 9, 0, // Skip to: 13332
+/* 13323 */   MCD_OPC_CheckPredicate, 12, 143, 1, // Skip to: 13726
+/* 13327 */   MCD_OPC_Decode, 233, 13, 213, 1, // Opcode: WRDSP
+/* 13332 */   MCD_OPC_FilterValue, 26, 15, 0, // Skip to: 13351
+/* 13336 */   MCD_OPC_CheckPredicate, 12, 130, 1, // Skip to: 13726
+/* 13340 */   MCD_OPC_CheckField, 13, 7, 0, 124, 1, // Skip to: 13726
+/* 13346 */   MCD_OPC_Decode, 192, 11, 214, 1, // Opcode: SHILO
+/* 13351 */   MCD_OPC_FilterValue, 27, 15, 0, // Skip to: 13370
+/* 13355 */   MCD_OPC_CheckPredicate, 12, 111, 1, // Skip to: 13726
+/* 13359 */   MCD_OPC_CheckField, 13, 8, 0, 105, 1, // Skip to: 13726
+/* 13365 */   MCD_OPC_Decode, 193, 11, 215, 1, // Opcode: SHILOV
+/* 13370 */   MCD_OPC_FilterValue, 31, 96, 1, // Skip to: 13726
+/* 13374 */   MCD_OPC_CheckPredicate, 12, 92, 1, // Skip to: 13726
+/* 13378 */   MCD_OPC_CheckField, 13, 8, 0, 86, 1, // Skip to: 13726
+/* 13384 */   MCD_OPC_Decode, 180, 9, 215, 1, // Opcode: MTHLIP
+/* 13389 */   MCD_OPC_FilterValue, 59, 77, 1, // Skip to: 13726
+/* 13393 */   MCD_OPC_CheckPredicate, 5, 73, 1, // Skip to: 13726
+/* 13397 */   MCD_OPC_CheckField, 21, 5, 0, 67, 1, // Skip to: 13726
+/* 13403 */   MCD_OPC_CheckField, 6, 5, 0, 61, 1, // Skip to: 13726
+/* 13409 */   MCD_OPC_Decode, 238, 10, 216, 1, // Opcode: RDHWR
+/* 13414 */   MCD_OPC_FilterValue, 32, 9, 0, // Skip to: 13427
+/* 13418 */   MCD_OPC_CheckPredicate, 5, 48, 1, // Skip to: 13726
+/* 13422 */   MCD_OPC_Decode, 153, 7, 217, 1, // Opcode: LB
+/* 13427 */   MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 13440
+/* 13431 */   MCD_OPC_CheckPredicate, 5, 35, 1, // Skip to: 13726
+/* 13435 */   MCD_OPC_Decode, 184, 7, 217, 1, // Opcode: LH
+/* 13440 */   MCD_OPC_FilterValue, 34, 9, 0, // Skip to: 13453
+/* 13444 */   MCD_OPC_CheckPredicate, 11, 22, 1, // Skip to: 13726
+/* 13448 */   MCD_OPC_Decode, 222, 7, 217, 1, // Opcode: LWL
+/* 13453 */   MCD_OPC_FilterValue, 35, 9, 0, // Skip to: 13466
+/* 13457 */   MCD_OPC_CheckPredicate, 1, 9, 1, // Skip to: 13726
+/* 13461 */   MCD_OPC_Decode, 213, 7, 217, 1, // Opcode: LW
+/* 13466 */   MCD_OPC_FilterValue, 36, 9, 0, // Skip to: 13479
+/* 13470 */   MCD_OPC_CheckPredicate, 5, 252, 0, // Skip to: 13726
+/* 13474 */   MCD_OPC_Decode, 158, 7, 217, 1, // Opcode: LBu
+/* 13479 */   MCD_OPC_FilterValue, 37, 9, 0, // Skip to: 13492
+/* 13483 */   MCD_OPC_CheckPredicate, 5, 239, 0, // Skip to: 13726
+/* 13487 */   MCD_OPC_Decode, 189, 7, 217, 1, // Opcode: LHu
+/* 13492 */   MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 13505
+/* 13496 */   MCD_OPC_CheckPredicate, 11, 226, 0, // Skip to: 13726
+/* 13500 */   MCD_OPC_Decode, 230, 7, 217, 1, // Opcode: LWR
+/* 13505 */   MCD_OPC_FilterValue, 40, 9, 0, // Skip to: 13518
+/* 13509 */   MCD_OPC_CheckPredicate, 5, 213, 0, // Skip to: 13726
+/* 13513 */   MCD_OPC_Decode, 142, 11, 217, 1, // Opcode: SB
+/* 13518 */   MCD_OPC_FilterValue, 41, 9, 0, // Skip to: 13531
+/* 13522 */   MCD_OPC_CheckPredicate, 5, 200, 0, // Skip to: 13726
+/* 13526 */   MCD_OPC_Decode, 186, 11, 217, 1, // Opcode: SH
+/* 13531 */   MCD_OPC_FilterValue, 42, 9, 0, // Skip to: 13544
+/* 13535 */   MCD_OPC_CheckPredicate, 11, 187, 0, // Skip to: 13726
+/* 13539 */   MCD_OPC_Decode, 243, 12, 217, 1, // Opcode: SWL
+/* 13544 */   MCD_OPC_FilterValue, 43, 9, 0, // Skip to: 13557
+/* 13548 */   MCD_OPC_CheckPredicate, 1, 174, 0, // Skip to: 13726
+/* 13552 */   MCD_OPC_Decode, 235, 12, 217, 1, // Opcode: SW
+/* 13557 */   MCD_OPC_FilterValue, 46, 9, 0, // Skip to: 13570
+/* 13561 */   MCD_OPC_CheckPredicate, 11, 161, 0, // Skip to: 13726
+/* 13565 */   MCD_OPC_Decode, 250, 12, 217, 1, // Opcode: SWR
+/* 13570 */   MCD_OPC_FilterValue, 47, 9, 0, // Skip to: 13583
+/* 13574 */   MCD_OPC_CheckPredicate, 31, 148, 0, // Skip to: 13726
+/* 13578 */   MCD_OPC_Decode, 220, 2, 218, 1, // Opcode: CACHE
+/* 13583 */   MCD_OPC_FilterValue, 48, 9, 0, // Skip to: 13596
+/* 13587 */   MCD_OPC_CheckPredicate, 32, 135, 0, // Skip to: 13726
+/* 13591 */   MCD_OPC_Decode, 193, 7, 217, 1, // Opcode: LL
+/* 13596 */   MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 13609
+/* 13600 */   MCD_OPC_CheckPredicate, 5, 122, 0, // Skip to: 13726
+/* 13604 */   MCD_OPC_Decode, 216, 7, 219, 1, // Opcode: LWC1
+/* 13609 */   MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 13622
+/* 13613 */   MCD_OPC_CheckPredicate, 33, 109, 0, // Skip to: 13726
+/* 13617 */   MCD_OPC_Decode, 218, 7, 220, 1, // Opcode: LWC2
+/* 13622 */   MCD_OPC_FilterValue, 51, 9, 0, // Skip to: 13635
+/* 13626 */   MCD_OPC_CheckPredicate, 31, 96, 0, // Skip to: 13726
+/* 13630 */   MCD_OPC_Decode, 181, 10, 218, 1, // Opcode: PREF
+/* 13635 */   MCD_OPC_FilterValue, 53, 9, 0, // Skip to: 13648
+/* 13639 */   MCD_OPC_CheckPredicate, 34, 83, 0, // Skip to: 13726
+/* 13643 */   MCD_OPC_Decode, 162, 7, 219, 1, // Opcode: LDC1
+/* 13648 */   MCD_OPC_FilterValue, 54, 9, 0, // Skip to: 13661
+/* 13652 */   MCD_OPC_CheckPredicate, 35, 70, 0, // Skip to: 13726
+/* 13656 */   MCD_OPC_Decode, 165, 7, 220, 1, // Opcode: LDC2
+/* 13661 */   MCD_OPC_FilterValue, 56, 9, 0, // Skip to: 13674
+/* 13665 */   MCD_OPC_CheckPredicate, 32, 57, 0, // Skip to: 13726
+/* 13669 */   MCD_OPC_Decode, 146, 11, 217, 1, // Opcode: SC
+/* 13674 */   MCD_OPC_FilterValue, 57, 9, 0, // Skip to: 13687
+/* 13678 */   MCD_OPC_CheckPredicate, 5, 44, 0, // Skip to: 13726
+/* 13682 */   MCD_OPC_Decode, 238, 12, 219, 1, // Opcode: SWC1
+/* 13687 */   MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 13700
+/* 13691 */   MCD_OPC_CheckPredicate, 33, 31, 0, // Skip to: 13726
+/* 13695 */   MCD_OPC_Decode, 240, 12, 220, 1, // Opcode: SWC2
+/* 13700 */   MCD_OPC_FilterValue, 61, 9, 0, // Skip to: 13713
+/* 13704 */   MCD_OPC_CheckPredicate, 34, 18, 0, // Skip to: 13726
+/* 13708 */   MCD_OPC_Decode, 156, 11, 219, 1, // Opcode: SDC1
+/* 13713 */   MCD_OPC_FilterValue, 62, 9, 0, // Skip to: 13726
+/* 13717 */   MCD_OPC_CheckPredicate, 35, 5, 0, // Skip to: 13726
+/* 13721 */   MCD_OPC_Decode, 159, 11, 220, 1, // Opcode: SDC2
+/* 13726 */   MCD_OPC_Fail,
   0
 };
 
@@ -3640,448 +3828,448 @@ static const uint8_t DecoderTableMips32r
 /* 3 */       MCD_OPC_FilterValue, 0, 205, 1, // Skip to: 468
 /* 7 */       MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 10 */      MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 29
-/* 14 */      MCD_OPC_CheckPredicate, 33, 38, 7, // Skip to: 1848
-/* 18 */      MCD_OPC_CheckField, 8, 3, 0, 32, 7, // Skip to: 1848
-/* 24 */      MCD_OPC_Decode, 176, 7, 198, 1, // Opcode: LSA_R6
+/* 14 */      MCD_OPC_CheckPredicate, 36, 37, 7, // Skip to: 1847
+/* 18 */      MCD_OPC_CheckField, 8, 3, 0, 31, 7, // Skip to: 1847
+/* 24 */      MCD_OPC_Decode, 206, 7, 221, 1, // Opcode: LSA_R6
 /* 29 */      MCD_OPC_FilterValue, 9, 14, 0, // Skip to: 47
-/* 33 */      MCD_OPC_CheckPredicate, 33, 19, 7, // Skip to: 1848
-/* 37 */      MCD_OPC_CheckField, 6, 15, 16, 13, 7, // Skip to: 1848
-/* 43 */      MCD_OPC_Decode, 245, 6, 39, // Opcode: JR_HB_R6
+/* 33 */      MCD_OPC_CheckPredicate, 36, 18, 7, // Skip to: 1847
+/* 37 */      MCD_OPC_CheckField, 6, 15, 16, 12, 7, // Skip to: 1847
+/* 43 */      MCD_OPC_Decode, 142, 7, 61, // Opcode: JR_HB_R6
 /* 47 */      MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 59
-/* 51 */      MCD_OPC_CheckPredicate, 33, 1, 7, // Skip to: 1848
-/* 55 */      MCD_OPC_Decode, 221, 10, 42, // Opcode: SDBBP_R6
+/* 51 */      MCD_OPC_CheckPredicate, 36, 0, 7, // Skip to: 1847
+/* 55 */      MCD_OPC_Decode, 155, 11, 64, // Opcode: SDBBP_R6
 /* 59 */      MCD_OPC_FilterValue, 16, 20, 0, // Skip to: 83
-/* 63 */      MCD_OPC_CheckPredicate, 33, 245, 6, // Skip to: 1848
-/* 67 */      MCD_OPC_CheckField, 16, 5, 0, 239, 6, // Skip to: 1848
-/* 73 */      MCD_OPC_CheckField, 6, 5, 1, 233, 6, // Skip to: 1848
-/* 79 */      MCD_OPC_Decode, 134, 3, 40, // Opcode: CLZ_R6
+/* 63 */      MCD_OPC_CheckPredicate, 36, 244, 6, // Skip to: 1847
+/* 67 */      MCD_OPC_CheckField, 16, 5, 0, 238, 6, // Skip to: 1847
+/* 73 */      MCD_OPC_CheckField, 6, 5, 1, 232, 6, // Skip to: 1847
+/* 79 */      MCD_OPC_Decode, 154, 3, 62, // Opcode: CLZ_R6
 /* 83 */      MCD_OPC_FilterValue, 17, 20, 0, // Skip to: 107
-/* 87 */      MCD_OPC_CheckPredicate, 33, 221, 6, // Skip to: 1848
-/* 91 */      MCD_OPC_CheckField, 16, 5, 0, 215, 6, // Skip to: 1848
-/* 97 */      MCD_OPC_CheckField, 6, 5, 1, 209, 6, // Skip to: 1848
-/* 103 */     MCD_OPC_Decode, 243, 2, 40, // Opcode: CLO_R6
+/* 87 */      MCD_OPC_CheckPredicate, 36, 220, 6, // Skip to: 1847
+/* 91 */      MCD_OPC_CheckField, 16, 5, 0, 214, 6, // Skip to: 1847
+/* 97 */      MCD_OPC_CheckField, 6, 5, 1, 208, 6, // Skip to: 1847
+/* 103 */     MCD_OPC_Decode, 135, 3, 62, // Opcode: CLO_R6
 /* 107 */     MCD_OPC_FilterValue, 18, 21, 0, // Skip to: 132
-/* 111 */     MCD_OPC_CheckPredicate, 34, 197, 6, // Skip to: 1848
-/* 115 */     MCD_OPC_CheckField, 16, 5, 0, 191, 6, // Skip to: 1848
-/* 121 */     MCD_OPC_CheckField, 6, 5, 1, 185, 6, // Skip to: 1848
-/* 127 */     MCD_OPC_Decode, 151, 4, 199, 1, // Opcode: DCLZ_R6
+/* 111 */     MCD_OPC_CheckPredicate, 37, 196, 6, // Skip to: 1847
+/* 115 */     MCD_OPC_CheckField, 16, 5, 0, 190, 6, // Skip to: 1847
+/* 121 */     MCD_OPC_CheckField, 6, 5, 1, 184, 6, // Skip to: 1847
+/* 127 */     MCD_OPC_Decode, 171, 4, 222, 1, // Opcode: DCLZ_R6
 /* 132 */     MCD_OPC_FilterValue, 19, 21, 0, // Skip to: 157
-/* 136 */     MCD_OPC_CheckPredicate, 34, 172, 6, // Skip to: 1848
-/* 140 */     MCD_OPC_CheckField, 16, 5, 0, 166, 6, // Skip to: 1848
-/* 146 */     MCD_OPC_CheckField, 6, 5, 1, 160, 6, // Skip to: 1848
-/* 152 */     MCD_OPC_Decode, 149, 4, 199, 1, // Opcode: DCLO_R6
+/* 136 */     MCD_OPC_CheckPredicate, 37, 171, 6, // Skip to: 1847
+/* 140 */     MCD_OPC_CheckField, 16, 5, 0, 165, 6, // Skip to: 1847
+/* 146 */     MCD_OPC_CheckField, 6, 5, 1, 159, 6, // Skip to: 1847
+/* 152 */     MCD_OPC_Decode, 169, 4, 222, 1, // Opcode: DCLO_R6
 /* 157 */     MCD_OPC_FilterValue, 21, 15, 0, // Skip to: 176
-/* 161 */     MCD_OPC_CheckPredicate, 34, 147, 6, // Skip to: 1848
-/* 165 */     MCD_OPC_CheckField, 8, 3, 0, 141, 6, // Skip to: 1848
-/* 171 */     MCD_OPC_Decode, 175, 4, 200, 1, // Opcode: DLSA_R6
+/* 161 */     MCD_OPC_CheckPredicate, 37, 146, 6, // Skip to: 1847
+/* 165 */     MCD_OPC_CheckField, 8, 3, 0, 140, 6, // Skip to: 1847
+/* 171 */     MCD_OPC_Decode, 195, 4, 223, 1, // Opcode: DLSA_R6
 /* 176 */     MCD_OPC_FilterValue, 24, 27, 0, // Skip to: 207
 /* 180 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 183 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 195
-/* 187 */     MCD_OPC_CheckPredicate, 33, 121, 6, // Skip to: 1848
-/* 191 */     MCD_OPC_Decode, 182, 9, 17, // Opcode: MUL_R6
-/* 195 */     MCD_OPC_FilterValue, 3, 113, 6, // Skip to: 1848
-/* 199 */     MCD_OPC_CheckPredicate, 33, 109, 6, // Skip to: 1848
-/* 203 */     MCD_OPC_Decode, 152, 9, 17, // Opcode: MUH
+/* 187 */     MCD_OPC_CheckPredicate, 36, 120, 6, // Skip to: 1847
+/* 191 */     MCD_OPC_Decode, 221, 9, 35, // Opcode: MUL_R6
+/* 195 */     MCD_OPC_FilterValue, 3, 112, 6, // Skip to: 1847
+/* 199 */     MCD_OPC_CheckPredicate, 36, 108, 6, // Skip to: 1847
+/* 203 */     MCD_OPC_Decode, 191, 9, 35, // Opcode: MUH
 /* 207 */     MCD_OPC_FilterValue, 25, 27, 0, // Skip to: 238
 /* 211 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 214 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 226
-/* 218 */     MCD_OPC_CheckPredicate, 33, 90, 6, // Skip to: 1848
-/* 222 */     MCD_OPC_Decode, 173, 9, 17, // Opcode: MULU
-/* 226 */     MCD_OPC_FilterValue, 3, 82, 6, // Skip to: 1848
-/* 230 */     MCD_OPC_CheckPredicate, 33, 78, 6, // Skip to: 1848
-/* 234 */     MCD_OPC_Decode, 153, 9, 17, // Opcode: MUHU
+/* 218 */     MCD_OPC_CheckPredicate, 36, 89, 6, // Skip to: 1847
+/* 222 */     MCD_OPC_Decode, 212, 9, 35, // Opcode: MULU
+/* 226 */     MCD_OPC_FilterValue, 3, 81, 6, // Skip to: 1847
+/* 230 */     MCD_OPC_CheckPredicate, 36, 77, 6, // Skip to: 1847
+/* 234 */     MCD_OPC_Decode, 192, 9, 35, // Opcode: MUHU
 /* 238 */     MCD_OPC_FilterValue, 26, 27, 0, // Skip to: 269
 /* 242 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 245 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 257
-/* 249 */     MCD_OPC_CheckPredicate, 33, 59, 6, // Skip to: 1848
-/* 253 */     MCD_OPC_Decode, 163, 4, 17, // Opcode: DIV
-/* 257 */     MCD_OPC_FilterValue, 3, 51, 6, // Skip to: 1848
-/* 261 */     MCD_OPC_CheckPredicate, 33, 47, 6, // Skip to: 1848
-/* 265 */     MCD_OPC_Decode, 184, 8, 17, // Opcode: MOD
+/* 249 */     MCD_OPC_CheckPredicate, 36, 58, 6, // Skip to: 1847
+/* 253 */     MCD_OPC_Decode, 183, 4, 35, // Opcode: DIV
+/* 257 */     MCD_OPC_FilterValue, 3, 50, 6, // Skip to: 1847
+/* 261 */     MCD_OPC_CheckPredicate, 36, 46, 6, // Skip to: 1847
+/* 265 */     MCD_OPC_Decode, 222, 8, 35, // Opcode: MOD
 /* 269 */     MCD_OPC_FilterValue, 27, 27, 0, // Skip to: 300
 /* 273 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 276 */     MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 288
-/* 280 */     MCD_OPC_CheckPredicate, 33, 28, 6, // Skip to: 1848
-/* 284 */     MCD_OPC_Decode, 164, 4, 17, // Opcode: DIVU
-/* 288 */     MCD_OPC_FilterValue, 3, 20, 6, // Skip to: 1848
-/* 292 */     MCD_OPC_CheckPredicate, 33, 16, 6, // Skip to: 1848
-/* 296 */     MCD_OPC_Decode, 186, 8, 17, // Opcode: MODU
+/* 280 */     MCD_OPC_CheckPredicate, 36, 27, 6, // Skip to: 1847
+/* 284 */     MCD_OPC_Decode, 184, 4, 35, // Opcode: DIVU
+/* 288 */     MCD_OPC_FilterValue, 3, 19, 6, // Skip to: 1847
+/* 292 */     MCD_OPC_CheckPredicate, 36, 15, 6, // Skip to: 1847
+/* 296 */     MCD_OPC_Decode, 224, 8, 35, // Opcode: MODU
 /* 300 */     MCD_OPC_FilterValue, 28, 29, 0, // Skip to: 333
 /* 304 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 307 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 320
-/* 311 */     MCD_OPC_CheckPredicate, 34, 253, 5, // Skip to: 1848
-/* 315 */     MCD_OPC_Decode, 190, 4, 201, 1, // Opcode: DMUL_R6
-/* 320 */     MCD_OPC_FilterValue, 3, 244, 5, // Skip to: 1848
-/* 324 */     MCD_OPC_CheckPredicate, 34, 240, 5, // Skip to: 1848
-/* 328 */     MCD_OPC_Decode, 184, 4, 201, 1, // Opcode: DMUH
+/* 311 */     MCD_OPC_CheckPredicate, 37, 252, 5, // Skip to: 1847
+/* 315 */     MCD_OPC_Decode, 210, 4, 224, 1, // Opcode: DMUL_R6
+/* 320 */     MCD_OPC_FilterValue, 3, 243, 5, // Skip to: 1847
+/* 324 */     MCD_OPC_CheckPredicate, 37, 239, 5, // Skip to: 1847
+/* 328 */     MCD_OPC_Decode, 204, 4, 224, 1, // Opcode: DMUH
 /* 333 */     MCD_OPC_FilterValue, 29, 29, 0, // Skip to: 366
 /* 337 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 340 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 353
-/* 344 */     MCD_OPC_CheckPredicate, 34, 220, 5, // Skip to: 1848
-/* 348 */     MCD_OPC_Decode, 189, 4, 201, 1, // Opcode: DMULU
-/* 353 */     MCD_OPC_FilterValue, 3, 211, 5, // Skip to: 1848
-/* 357 */     MCD_OPC_CheckPredicate, 34, 207, 5, // Skip to: 1848
-/* 361 */     MCD_OPC_Decode, 185, 4, 201, 1, // Opcode: DMUHU
+/* 344 */     MCD_OPC_CheckPredicate, 37, 219, 5, // Skip to: 1847
+/* 348 */     MCD_OPC_Decode, 209, 4, 224, 1, // Opcode: DMULU
+/* 353 */     MCD_OPC_FilterValue, 3, 210, 5, // Skip to: 1847
+/* 357 */     MCD_OPC_CheckPredicate, 37, 206, 5, // Skip to: 1847
+/* 361 */     MCD_OPC_Decode, 205, 4, 224, 1, // Opcode: DMUHU
 /* 366 */     MCD_OPC_FilterValue, 30, 29, 0, // Skip to: 399
 /* 370 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 373 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 386
-/* 377 */     MCD_OPC_CheckPredicate, 34, 187, 5, // Skip to: 1848
-/* 381 */     MCD_OPC_Decode, 152, 4, 201, 1, // Opcode: DDIV
-/* 386 */     MCD_OPC_FilterValue, 3, 178, 5, // Skip to: 1848
-/* 390 */     MCD_OPC_CheckPredicate, 34, 174, 5, // Skip to: 1848
-/* 394 */     MCD_OPC_Decode, 179, 4, 201, 1, // Opcode: DMOD
+/* 377 */     MCD_OPC_CheckPredicate, 37, 186, 5, // Skip to: 1847
+/* 381 */     MCD_OPC_Decode, 172, 4, 224, 1, // Opcode: DDIV
+/* 386 */     MCD_OPC_FilterValue, 3, 177, 5, // Skip to: 1847
+/* 390 */     MCD_OPC_CheckPredicate, 37, 173, 5, // Skip to: 1847
+/* 394 */     MCD_OPC_Decode, 199, 4, 224, 1, // Opcode: DMOD
 /* 399 */     MCD_OPC_FilterValue, 31, 29, 0, // Skip to: 432
 /* 403 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 406 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 419
-/* 410 */     MCD_OPC_CheckPredicate, 34, 154, 5, // Skip to: 1848
-/* 414 */     MCD_OPC_Decode, 153, 4, 201, 1, // Opcode: DDIVU
-/* 419 */     MCD_OPC_FilterValue, 3, 145, 5, // Skip to: 1848
-/* 423 */     MCD_OPC_CheckPredicate, 34, 141, 5, // Skip to: 1848
-/* 427 */     MCD_OPC_Decode, 180, 4, 201, 1, // Opcode: DMODU
+/* 410 */     MCD_OPC_CheckPredicate, 37, 153, 5, // Skip to: 1847
+/* 414 */     MCD_OPC_Decode, 173, 4, 224, 1, // Opcode: DDIVU
+/* 419 */     MCD_OPC_FilterValue, 3, 144, 5, // Skip to: 1847
+/* 423 */     MCD_OPC_CheckPredicate, 37, 140, 5, // Skip to: 1847
+/* 427 */     MCD_OPC_Decode, 200, 4, 224, 1, // Opcode: DMODU
 /* 432 */     MCD_OPC_FilterValue, 53, 14, 0, // Skip to: 450
-/* 436 */     MCD_OPC_CheckPredicate, 35, 128, 5, // Skip to: 1848
-/* 440 */     MCD_OPC_CheckField, 6, 5, 0, 122, 5, // Skip to: 1848
-/* 446 */     MCD_OPC_Decode, 240, 10, 17, // Opcode: SELEQZ
-/* 450 */     MCD_OPC_FilterValue, 55, 114, 5, // Skip to: 1848
-/* 454 */     MCD_OPC_CheckPredicate, 35, 110, 5, // Skip to: 1848
-/* 458 */     MCD_OPC_CheckField, 6, 5, 0, 104, 5, // Skip to: 1848
-/* 464 */     MCD_OPC_Decode, 244, 10, 17, // Opcode: SELNEZ
+/* 436 */     MCD_OPC_CheckPredicate, 38, 127, 5, // Skip to: 1847
+/* 440 */     MCD_OPC_CheckField, 6, 5, 0, 121, 5, // Skip to: 1847
+/* 446 */     MCD_OPC_Decode, 174, 11, 35, // Opcode: SELEQZ
+/* 450 */     MCD_OPC_FilterValue, 55, 113, 5, // Skip to: 1847
+/* 454 */     MCD_OPC_CheckPredicate, 38, 109, 5, // Skip to: 1847
+/* 458 */     MCD_OPC_CheckField, 6, 5, 0, 103, 5, // Skip to: 1847
+/* 464 */     MCD_OPC_Decode, 178, 11, 35, // Opcode: SELNEZ
 /* 468 */     MCD_OPC_FilterValue, 1, 47, 0, // Skip to: 519
 /* 472 */     MCD_OPC_ExtractField, 16, 5,  // Inst{20-16} ...
 /* 475 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 488
-/* 479 */     MCD_OPC_CheckPredicate, 34, 85, 5, // Skip to: 1848
-/* 483 */     MCD_OPC_Decode, 143, 4, 202, 1, // Opcode: DAHI
+/* 479 */     MCD_OPC_CheckPredicate, 37, 84, 5, // Skip to: 1847
+/* 483 */     MCD_OPC_Decode, 163, 4, 225, 1, // Opcode: DAHI
 /* 488 */     MCD_OPC_FilterValue, 17, 14, 0, // Skip to: 506
-/* 492 */     MCD_OPC_CheckPredicate, 33, 72, 5, // Skip to: 1848
-/* 496 */     MCD_OPC_CheckField, 21, 5, 0, 66, 5, // Skip to: 1848
-/* 502 */     MCD_OPC_Decode, 156, 1, 53, // Opcode: BAL
-/* 506 */     MCD_OPC_FilterValue, 30, 58, 5, // Skip to: 1848
-/* 510 */     MCD_OPC_CheckPredicate, 34, 54, 5, // Skip to: 1848
-/* 514 */     MCD_OPC_Decode, 145, 4, 202, 1, // Opcode: DATI
+/* 492 */     MCD_OPC_CheckPredicate, 36, 71, 5, // Skip to: 1847
+/* 496 */     MCD_OPC_CheckField, 21, 5, 0, 65, 5, // Skip to: 1847
+/* 502 */     MCD_OPC_Decode, 167, 1, 75, // Opcode: BAL
+/* 506 */     MCD_OPC_FilterValue, 30, 57, 5, // Skip to: 1847
+/* 510 */     MCD_OPC_CheckPredicate, 37, 53, 5, // Skip to: 1847
+/* 514 */     MCD_OPC_Decode, 165, 4, 225, 1, // Opcode: DATI
 /* 519 */     MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 532
-/* 523 */     MCD_OPC_CheckPredicate, 33, 41, 5, // Skip to: 1848
-/* 527 */     MCD_OPC_Decode, 204, 1, 203, 1, // Opcode: BGEZALC
+/* 523 */     MCD_OPC_CheckPredicate, 36, 40, 5, // Skip to: 1847
+/* 527 */     MCD_OPC_Decode, 220, 1, 226, 1, // Opcode: BGEZALC
 /* 532 */     MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 545
-/* 536 */     MCD_OPC_CheckPredicate, 33, 28, 5, // Skip to: 1848
-/* 540 */     MCD_OPC_Decode, 246, 1, 204, 1, // Opcode: BLTZALC
+/* 536 */     MCD_OPC_CheckPredicate, 36, 27, 5, // Skip to: 1847
+/* 540 */     MCD_OPC_Decode, 134, 2, 227, 1, // Opcode: BLTZALC
 /* 545 */     MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 558
-/* 549 */     MCD_OPC_CheckPredicate, 33, 15, 5, // Skip to: 1848
-/* 553 */     MCD_OPC_Decode, 193, 1, 205, 1, // Opcode: BEQC
-/* 558 */     MCD_OPC_FilterValue, 15, 7, 0, // Skip to: 569
-/* 562 */     MCD_OPC_CheckPredicate, 33, 2, 5, // Skip to: 1848
-/* 566 */     MCD_OPC_Decode, 127, 27, // Opcode: AUI
-/* 569 */     MCD_OPC_FilterValue, 17, 5, 3, // Skip to: 1346
-/* 573 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 576 */     MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 589
-/* 580 */     MCD_OPC_CheckPredicate, 33, 240, 4, // Skip to: 1848
-/* 584 */     MCD_OPC_Decode, 165, 1, 206, 1, // Opcode: BC1EQZ
-/* 589 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 602
-/* 593 */     MCD_OPC_CheckPredicate, 33, 227, 4, // Skip to: 1848
-/* 597 */     MCD_OPC_Decode, 169, 1, 206, 1, // Opcode: BC1NEZ
-/* 602 */     MCD_OPC_FilterValue, 16, 150, 0, // Skip to: 756
-/* 606 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 609 */     MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 622
-/* 613 */     MCD_OPC_CheckPredicate, 33, 207, 4, // Skip to: 1848
-/* 617 */     MCD_OPC_Decode, 249, 10, 207, 1, // Opcode: SEL_S
-/* 622 */     MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 634
-/* 626 */     MCD_OPC_CheckPredicate, 33, 194, 4, // Skip to: 1848
-/* 630 */     MCD_OPC_Decode, 243, 10, 70, // Opcode: SELEQZ_S
-/* 634 */     MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 646
-/* 638 */     MCD_OPC_CheckPredicate, 33, 182, 4, // Skip to: 1848
-/* 642 */     MCD_OPC_Decode, 247, 10, 70, // Opcode: SELNEZ_S
-/* 646 */     MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 659
-/* 650 */     MCD_OPC_CheckPredicate, 33, 170, 4, // Skip to: 1848
-/* 654 */     MCD_OPC_Decode, 222, 7, 208, 1, // Opcode: MADDF_S
-/* 659 */     MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 672
-/* 663 */     MCD_OPC_CheckPredicate, 33, 157, 4, // Skip to: 1848
-/* 667 */     MCD_OPC_Decode, 239, 8, 208, 1, // Opcode: MSUBF_S
-/* 672 */     MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 690
-/* 676 */     MCD_OPC_CheckPredicate, 33, 144, 4, // Skip to: 1848
-/* 680 */     MCD_OPC_CheckField, 16, 5, 0, 138, 4, // Skip to: 1848
-/* 686 */     MCD_OPC_Decode, 187, 10, 71, // Opcode: RINT_S
-/* 690 */     MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 708
-/* 694 */     MCD_OPC_CheckPredicate, 33, 126, 4, // Skip to: 1848
-/* 698 */     MCD_OPC_CheckField, 16, 5, 0, 120, 4, // Skip to: 1848
-/* 704 */     MCD_OPC_Decode, 224, 2, 71, // Opcode: CLASS_S
-/* 708 */     MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 720
-/* 712 */     MCD_OPC_CheckPredicate, 33, 108, 4, // Skip to: 1848
-/* 716 */     MCD_OPC_Decode, 173, 8, 70, // Opcode: MIN_S
-/* 720 */     MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 732
-/* 724 */     MCD_OPC_CheckPredicate, 33, 96, 4, // Skip to: 1848
-/* 728 */     MCD_OPC_Decode, 132, 8, 70, // Opcode: MAX_S
-/* 732 */     MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 744
-/* 736 */     MCD_OPC_CheckPredicate, 33, 84, 4, // Skip to: 1848
-/* 740 */     MCD_OPC_Decode, 159, 8, 70, // Opcode: MINA_S
-/* 744 */     MCD_OPC_FilterValue, 31, 76, 4, // Skip to: 1848
-/* 748 */     MCD_OPC_CheckPredicate, 33, 72, 4, // Skip to: 1848
-/* 752 */     MCD_OPC_Decode, 246, 7, 70, // Opcode: MAXA_S
-/* 756 */     MCD_OPC_FilterValue, 17, 156, 0, // Skip to: 916
-/* 760 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 763 */     MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 776
-/* 767 */     MCD_OPC_CheckPredicate, 33, 53, 4, // Skip to: 1848
-/* 771 */     MCD_OPC_Decode, 248, 10, 209, 1, // Opcode: SEL_D
-/* 776 */     MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 789
-/* 780 */     MCD_OPC_CheckPredicate, 33, 40, 4, // Skip to: 1848
-/* 784 */     MCD_OPC_Decode, 242, 10, 210, 1, // Opcode: SELEQZ_D
-/* 789 */     MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 802
-/* 793 */     MCD_OPC_CheckPredicate, 33, 27, 4, // Skip to: 1848
-/* 797 */     MCD_OPC_Decode, 246, 10, 210, 1, // Opcode: SELNEZ_D
-/* 802 */     MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 815
-/* 806 */     MCD_OPC_CheckPredicate, 33, 14, 4, // Skip to: 1848
-/* 810 */     MCD_OPC_Decode, 221, 7, 211, 1, // Opcode: MADDF_D
-/* 815 */     MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 828
-/* 819 */     MCD_OPC_CheckPredicate, 33, 1, 4, // Skip to: 1848
-/* 823 */     MCD_OPC_Decode, 238, 8, 211, 1, // Opcode: MSUBF_D
-/* 828 */     MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 846
-/* 832 */     MCD_OPC_CheckPredicate, 33, 244, 3, // Skip to: 1848
-/* 836 */     MCD_OPC_CheckField, 16, 5, 0, 238, 3, // Skip to: 1848
-/* 842 */     MCD_OPC_Decode, 186, 10, 82, // Opcode: RINT_D
-/* 846 */     MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 864
-/* 850 */     MCD_OPC_CheckPredicate, 33, 226, 3, // Skip to: 1848
-/* 854 */     MCD_OPC_CheckField, 16, 5, 0, 220, 3, // Skip to: 1848
-/* 860 */     MCD_OPC_Decode, 223, 2, 82, // Opcode: CLASS_D
-/* 864 */     MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 877
-/* 868 */     MCD_OPC_CheckPredicate, 33, 208, 3, // Skip to: 1848
-/* 872 */     MCD_OPC_Decode, 172, 8, 210, 1, // Opcode: MIN_D
-/* 877 */     MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 890
-/* 881 */     MCD_OPC_CheckPredicate, 33, 195, 3, // Skip to: 1848
-/* 885 */     MCD_OPC_Decode, 131, 8, 210, 1, // Opcode: MAX_D
-/* 890 */     MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 903
-/* 894 */     MCD_OPC_CheckPredicate, 33, 182, 3, // Skip to: 1848
-/* 898 */     MCD_OPC_Decode, 158, 8, 210, 1, // Opcode: MINA_D
-/* 903 */     MCD_OPC_FilterValue, 31, 173, 3, // Skip to: 1848
-/* 907 */     MCD_OPC_CheckPredicate, 33, 169, 3, // Skip to: 1848
-/* 911 */     MCD_OPC_Decode, 245, 7, 210, 1, // Opcode: MAXA_D
-/* 916 */     MCD_OPC_FilterValue, 20, 211, 0, // Skip to: 1131
-/* 920 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 923 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 936
-/* 927 */     MCD_OPC_CheckPredicate, 33, 149, 3, // Skip to: 1848
-/* 931 */     MCD_OPC_Decode, 148, 3, 212, 1, // Opcode: CMP_F_S
-/* 936 */     MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 949
-/* 940 */     MCD_OPC_CheckPredicate, 33, 136, 3, // Skip to: 1848
-/* 944 */     MCD_OPC_Decode, 178, 3, 212, 1, // Opcode: CMP_UN_S
-/* 949 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 962
-/* 953 */     MCD_OPC_CheckPredicate, 33, 123, 3, // Skip to: 1848
-/* 957 */     MCD_OPC_Decode, 146, 3, 212, 1, // Opcode: CMP_EQ_S
-/* 962 */     MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 975
-/* 966 */     MCD_OPC_CheckPredicate, 33, 110, 3, // Skip to: 1848
-/* 970 */     MCD_OPC_Decode, 172, 3, 212, 1, // Opcode: CMP_UEQ_S
-/* 975 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 988
-/* 979 */     MCD_OPC_CheckPredicate, 33, 97, 3, // Skip to: 1848
-/* 983 */     MCD_OPC_Decode, 154, 3, 212, 1, // Opcode: CMP_LT_S
-/* 988 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 1001
-/* 992 */     MCD_OPC_CheckPredicate, 33, 84, 3, // Skip to: 1848
-/* 996 */     MCD_OPC_Decode, 176, 3, 212, 1, // Opcode: CMP_ULT_S
-/* 1001 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 1014
-/* 1005 */    MCD_OPC_CheckPredicate, 33, 71, 3, // Skip to: 1848
-/* 1009 */    MCD_OPC_Decode, 151, 3, 212, 1, // Opcode: CMP_LE_S
-/* 1014 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 1027
-/* 1018 */    MCD_OPC_CheckPredicate, 33, 58, 3, // Skip to: 1848
-/* 1022 */    MCD_OPC_Decode, 174, 3, 212, 1, // Opcode: CMP_ULE_S
-/* 1027 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 1040
-/* 1031 */    MCD_OPC_CheckPredicate, 33, 45, 3, // Skip to: 1848
-/* 1035 */    MCD_OPC_Decode, 156, 3, 212, 1, // Opcode: CMP_SAF_S
-/* 1040 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1053
-/* 1044 */    MCD_OPC_CheckPredicate, 33, 32, 3, // Skip to: 1848
-/* 1048 */    MCD_OPC_Decode, 170, 3, 212, 1, // Opcode: CMP_SUN_S
-/* 1053 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1066
-/* 1057 */    MCD_OPC_CheckPredicate, 33, 19, 3, // Skip to: 1848
-/* 1061 */    MCD_OPC_Decode, 158, 3, 212, 1, // Opcode: CMP_SEQ_S
-/* 1066 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1079
-/* 1070 */    MCD_OPC_CheckPredicate, 33, 6, 3, // Skip to: 1848
-/* 1074 */    MCD_OPC_Decode, 164, 3, 212, 1, // Opcode: CMP_SUEQ_S
-/* 1079 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 1092
-/* 1083 */    MCD_OPC_CheckPredicate, 33, 249, 2, // Skip to: 1848
-/* 1087 */    MCD_OPC_Decode, 162, 3, 212, 1, // Opcode: CMP_SLT_S
-/* 1092 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1105
-/* 1096 */    MCD_OPC_CheckPredicate, 33, 236, 2, // Skip to: 1848
-/* 1100 */    MCD_OPC_Decode, 168, 3, 212, 1, // Opcode: CMP_SULT_S
-/* 1105 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1118
-/* 1109 */    MCD_OPC_CheckPredicate, 33, 223, 2, // Skip to: 1848
-/* 1113 */    MCD_OPC_Decode, 160, 3, 212, 1, // Opcode: CMP_SLE_S
-/* 1118 */    MCD_OPC_FilterValue, 15, 214, 2, // Skip to: 1848
-/* 1122 */    MCD_OPC_CheckPredicate, 33, 210, 2, // Skip to: 1848
-/* 1126 */    MCD_OPC_Decode, 166, 3, 212, 1, // Opcode: CMP_SULE_S
-/* 1131 */    MCD_OPC_FilterValue, 21, 201, 2, // Skip to: 1848
-/* 1135 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 1138 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1151
-/* 1142 */    MCD_OPC_CheckPredicate, 33, 190, 2, // Skip to: 1848
-/* 1146 */    MCD_OPC_Decode, 147, 3, 213, 1, // Opcode: CMP_F_D
-/* 1151 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 1164
-/* 1155 */    MCD_OPC_CheckPredicate, 33, 177, 2, // Skip to: 1848
-/* 1159 */    MCD_OPC_Decode, 177, 3, 213, 1, // Opcode: CMP_UN_D
-/* 1164 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 1177
-/* 1168 */    MCD_OPC_CheckPredicate, 33, 164, 2, // Skip to: 1848
-/* 1172 */    MCD_OPC_Decode, 144, 3, 213, 1, // Opcode: CMP_EQ_D
-/* 1177 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 1190
-/* 1181 */    MCD_OPC_CheckPredicate, 33, 151, 2, // Skip to: 1848
-/* 1185 */    MCD_OPC_Decode, 171, 3, 213, 1, // Opcode: CMP_UEQ_D
-/* 1190 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 1203
-/* 1194 */    MCD_OPC_CheckPredicate, 33, 138, 2, // Skip to: 1848
-/* 1198 */    MCD_OPC_Decode, 152, 3, 213, 1, // Opcode: CMP_LT_D
-/* 1203 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 1216
-/* 1207 */    MCD_OPC_CheckPredicate, 33, 125, 2, // Skip to: 1848
-/* 1211 */    MCD_OPC_Decode, 175, 3, 213, 1, // Opcode: CMP_ULT_D
-/* 1216 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 1229
-/* 1220 */    MCD_OPC_CheckPredicate, 33, 112, 2, // Skip to: 1848
-/* 1224 */    MCD_OPC_Decode, 149, 3, 213, 1, // Opcode: CMP_LE_D
-/* 1229 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 1242
-/* 1233 */    MCD_OPC_CheckPredicate, 33, 99, 2, // Skip to: 1848
-/* 1237 */    MCD_OPC_Decode, 173, 3, 213, 1, // Opcode: CMP_ULE_D
-/* 1242 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 1255
-/* 1246 */    MCD_OPC_CheckPredicate, 33, 86, 2, // Skip to: 1848
-/* 1250 */    MCD_OPC_Decode, 155, 3, 213, 1, // Opcode: CMP_SAF_D
-/* 1255 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1268
-/* 1259 */    MCD_OPC_CheckPredicate, 33, 73, 2, // Skip to: 1848
-/* 1263 */    MCD_OPC_Decode, 169, 3, 213, 1, // Opcode: CMP_SUN_D
-/* 1268 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1281
-/* 1272 */    MCD_OPC_CheckPredicate, 33, 60, 2, // Skip to: 1848
-/* 1276 */    MCD_OPC_Decode, 157, 3, 213, 1, // Opcode: CMP_SEQ_D
-/* 1281 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1294
-/* 1285 */    MCD_OPC_CheckPredicate, 33, 47, 2, // Skip to: 1848
-/* 1289 */    MCD_OPC_Decode, 163, 3, 213, 1, // Opcode: CMP_SUEQ_D
-/* 1294 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 1307
-/* 1298 */    MCD_OPC_CheckPredicate, 33, 34, 2, // Skip to: 1848
-/* 1302 */    MCD_OPC_Decode, 161, 3, 213, 1, // Opcode: CMP_SLT_D
-/* 1307 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1320
-/* 1311 */    MCD_OPC_CheckPredicate, 33, 21, 2, // Skip to: 1848
-/* 1315 */    MCD_OPC_Decode, 167, 3, 213, 1, // Opcode: CMP_SULT_D
-/* 1320 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1333
-/* 1324 */    MCD_OPC_CheckPredicate, 33, 8, 2, // Skip to: 1848
-/* 1328 */    MCD_OPC_Decode, 159, 3, 213, 1, // Opcode: CMP_SLE_D
-/* 1333 */    MCD_OPC_FilterValue, 15, 255, 1, // Skip to: 1848
-/* 1337 */    MCD_OPC_CheckPredicate, 33, 251, 1, // Skip to: 1848
-/* 1341 */    MCD_OPC_Decode, 165, 3, 213, 1, // Opcode: CMP_SULE_D
-/* 1346 */    MCD_OPC_FilterValue, 18, 81, 0, // Skip to: 1431
-/* 1350 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 1353 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1366
-/* 1357 */    MCD_OPC_CheckPredicate, 33, 231, 1, // Skip to: 1848
-/* 1361 */    MCD_OPC_Decode, 173, 1, 214, 1, // Opcode: BC2EQZ
-/* 1366 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1379
-/* 1370 */    MCD_OPC_CheckPredicate, 33, 218, 1, // Skip to: 1848
-/* 1374 */    MCD_OPC_Decode, 188, 7, 215, 1, // Opcode: LWC2_R6
-/* 1379 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1392
-/* 1383 */    MCD_OPC_CheckPredicate, 33, 205, 1, // Skip to: 1848
-/* 1387 */    MCD_OPC_Decode, 173, 12, 215, 1, // Opcode: SWC2_R6
-/* 1392 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1405
-/* 1396 */    MCD_OPC_CheckPredicate, 33, 192, 1, // Skip to: 1848
-/* 1400 */    MCD_OPC_Decode, 176, 1, 214, 1, // Opcode: BC2NEZ
-/* 1405 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1418
-/* 1409 */    MCD_OPC_CheckPredicate, 33, 179, 1, // Skip to: 1848
-/* 1413 */    MCD_OPC_Decode, 138, 7, 215, 1, // Opcode: LDC2_R6
-/* 1418 */    MCD_OPC_FilterValue, 15, 170, 1, // Skip to: 1848
-/* 1422 */    MCD_OPC_CheckPredicate, 33, 166, 1, // Skip to: 1848
-/* 1426 */    MCD_OPC_Decode, 226, 10, 215, 1, // Opcode: SDC2_R6
-/* 1431 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 1444
-/* 1435 */    MCD_OPC_CheckPredicate, 33, 153, 1, // Skip to: 1848
-/* 1439 */    MCD_OPC_Decode, 208, 1, 216, 1, // Opcode: BGEZC
-/* 1444 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 1457
-/* 1448 */    MCD_OPC_CheckPredicate, 33, 140, 1, // Skip to: 1848
-/* 1452 */    MCD_OPC_Decode, 250, 1, 217, 1, // Opcode: BLTZC
-/* 1457 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 1470
-/* 1461 */    MCD_OPC_CheckPredicate, 33, 127, 1, // Skip to: 1848
-/* 1465 */    MCD_OPC_Decode, 131, 2, 218, 1, // Opcode: BNEC
-/* 1470 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 1483
-/* 1474 */    MCD_OPC_CheckPredicate, 34, 114, 1, // Skip to: 1848
-/* 1478 */    MCD_OPC_Decode, 146, 4, 219, 1, // Opcode: DAUI
-/* 1483 */    MCD_OPC_FilterValue, 31, 182, 0, // Skip to: 1669
-/* 1487 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 1490 */    MCD_OPC_FilterValue, 32, 40, 0, // Skip to: 1534
-/* 1494 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
-/* 1497 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1522
-/* 1501 */    MCD_OPC_CheckPredicate, 33, 87, 1, // Skip to: 1848
-/* 1505 */    MCD_OPC_CheckField, 21, 5, 0, 81, 1, // Skip to: 1848
-/* 1511 */    MCD_OPC_CheckField, 6, 2, 0, 75, 1, // Skip to: 1848
-/* 1517 */    MCD_OPC_Decode, 234, 1, 182, 1, // Opcode: BITSWAP
-/* 1522 */    MCD_OPC_FilterValue, 2, 66, 1, // Skip to: 1848
-/* 1526 */    MCD_OPC_CheckPredicate, 33, 62, 1, // Skip to: 1848
-/* 1530 */    MCD_OPC_Decode, 73, 198, 1, // Opcode: ALIGN
-/* 1534 */    MCD_OPC_FilterValue, 36, 41, 0, // Skip to: 1579
-/* 1538 */    MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
-/* 1541 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1566
-/* 1545 */    MCD_OPC_CheckPredicate, 34, 43, 1, // Skip to: 1848
-/* 1549 */    MCD_OPC_CheckField, 21, 5, 0, 37, 1, // Skip to: 1848
-/* 1555 */    MCD_OPC_CheckField, 6, 3, 0, 31, 1, // Skip to: 1848
-/* 1561 */    MCD_OPC_Decode, 147, 4, 220, 1, // Opcode: DBITSWAP
-/* 1566 */    MCD_OPC_FilterValue, 1, 22, 1, // Skip to: 1848
-/* 1570 */    MCD_OPC_CheckPredicate, 34, 18, 1, // Skip to: 1848
-/* 1574 */    MCD_OPC_Decode, 144, 4, 221, 1, // Opcode: DALIGN
-/* 1579 */    MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 1598
-/* 1583 */    MCD_OPC_CheckPredicate, 33, 5, 1, // Skip to: 1848
-/* 1587 */    MCD_OPC_CheckField, 6, 1, 0, 255, 0, // Skip to: 1848
-/* 1593 */    MCD_OPC_Decode, 202, 2, 222, 1, // Opcode: CACHE_R6
-/* 1598 */    MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 1611
-/* 1602 */    MCD_OPC_CheckPredicate, 33, 242, 0, // Skip to: 1848
-/* 1606 */    MCD_OPC_Decode, 218, 10, 223, 1, // Opcode: SC_R6
-/* 1611 */    MCD_OPC_FilterValue, 39, 9, 0, // Skip to: 1624
-/* 1615 */    MCD_OPC_CheckPredicate, 33, 229, 0, // Skip to: 1848
-/* 1619 */    MCD_OPC_Decode, 216, 10, 223, 1, // Opcode: SCD_R6
-/* 1624 */    MCD_OPC_FilterValue, 53, 15, 0, // Skip to: 1643
-/* 1628 */    MCD_OPC_CheckPredicate, 33, 216, 0, // Skip to: 1848
-/* 1632 */    MCD_OPC_CheckField, 6, 1, 0, 210, 0, // Skip to: 1848
-/* 1638 */    MCD_OPC_Decode, 140, 10, 222, 1, // Opcode: PREF_R6
-/* 1643 */    MCD_OPC_FilterValue, 54, 9, 0, // Skip to: 1656
-/* 1647 */    MCD_OPC_CheckPredicate, 33, 197, 0, // Skip to: 1848
-/* 1651 */    MCD_OPC_Decode, 167, 7, 223, 1, // Opcode: LL_R6
-/* 1656 */    MCD_OPC_FilterValue, 55, 188, 0, // Skip to: 1848
-/* 1660 */    MCD_OPC_CheckPredicate, 33, 184, 0, // Skip to: 1848
-/* 1664 */    MCD_OPC_Decode, 165, 7, 223, 1, // Opcode: LLD_R6
-/* 1669 */    MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 1682
-/* 1673 */    MCD_OPC_CheckPredicate, 33, 171, 0, // Skip to: 1848
-/* 1677 */    MCD_OPC_Decode, 160, 1, 224, 1, // Opcode: BC
-/* 1682 */    MCD_OPC_FilterValue, 54, 24, 0, // Skip to: 1710
-/* 1686 */    MCD_OPC_CheckPredicate, 33, 11, 0, // Skip to: 1701
-/* 1690 */    MCD_OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 1701
-/* 1696 */    MCD_OPC_Decode, 240, 6, 225, 1, // Opcode: JIC
-/* 1701 */    MCD_OPC_CheckPredicate, 33, 143, 0, // Skip to: 1848
-/* 1705 */    MCD_OPC_Decode, 196, 1, 226, 1, // Opcode: BEQZC
+/* 549 */     MCD_OPC_CheckPredicate, 36, 14, 5, // Skip to: 1847
+/* 553 */     MCD_OPC_Decode, 208, 1, 228, 1, // Opcode: BEQC
+/* 558 */     MCD_OPC_FilterValue, 15, 8, 0, // Skip to: 570
+/* 562 */     MCD_OPC_CheckPredicate, 36, 1, 5, // Skip to: 1847
+/* 566 */     MCD_OPC_Decode, 137, 1, 47, // Opcode: AUI
+/* 570 */     MCD_OPC_FilterValue, 17, 5, 3, // Skip to: 1347
+/* 574 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 577 */     MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 590
+/* 581 */     MCD_OPC_CheckPredicate, 36, 238, 4, // Skip to: 1847
+/* 585 */     MCD_OPC_Decode, 180, 1, 229, 1, // Opcode: BC1EQZ
+/* 590 */     MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 603
+/* 594 */     MCD_OPC_CheckPredicate, 36, 225, 4, // Skip to: 1847
+/* 598 */     MCD_OPC_Decode, 184, 1, 229, 1, // Opcode: BC1NEZ
+/* 603 */     MCD_OPC_FilterValue, 16, 150, 0, // Skip to: 757
+/* 607 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 610 */     MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 623
+/* 614 */     MCD_OPC_CheckPredicate, 36, 205, 4, // Skip to: 1847
+/* 618 */     MCD_OPC_Decode, 183, 11, 230, 1, // Opcode: SEL_S
+/* 623 */     MCD_OPC_FilterValue, 20, 8, 0, // Skip to: 635
+/* 627 */     MCD_OPC_CheckPredicate, 36, 192, 4, // Skip to: 1847
+/* 631 */     MCD_OPC_Decode, 177, 11, 93, // Opcode: SELEQZ_S
+/* 635 */     MCD_OPC_FilterValue, 23, 8, 0, // Skip to: 647
+/* 639 */     MCD_OPC_CheckPredicate, 36, 180, 4, // Skip to: 1847
+/* 643 */     MCD_OPC_Decode, 181, 11, 93, // Opcode: SELNEZ_S
+/* 647 */     MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 660
+/* 651 */     MCD_OPC_CheckPredicate, 36, 168, 4, // Skip to: 1847
+/* 655 */     MCD_OPC_Decode, 132, 8, 231, 1, // Opcode: MADDF_S
+/* 660 */     MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 673
+/* 664 */     MCD_OPC_CheckPredicate, 36, 155, 4, // Skip to: 1847
+/* 668 */     MCD_OPC_Decode, 150, 9, 231, 1, // Opcode: MSUBF_S
+/* 673 */     MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 691
+/* 677 */     MCD_OPC_CheckPredicate, 36, 142, 4, // Skip to: 1847
+/* 681 */     MCD_OPC_CheckField, 16, 5, 0, 136, 4, // Skip to: 1847
+/* 687 */     MCD_OPC_Decode, 246, 10, 94, // Opcode: RINT_S
+/* 691 */     MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 709
+/* 695 */     MCD_OPC_CheckPredicate, 36, 124, 4, // Skip to: 1847
+/* 699 */     MCD_OPC_CheckField, 16, 5, 0, 118, 4, // Skip to: 1847
+/* 705 */     MCD_OPC_Decode, 244, 2, 94, // Opcode: CLASS_S
+/* 709 */     MCD_OPC_FilterValue, 28, 8, 0, // Skip to: 721
+/* 713 */     MCD_OPC_CheckPredicate, 36, 106, 4, // Skip to: 1847
+/* 717 */     MCD_OPC_Decode, 211, 8, 93, // Opcode: MIN_S
+/* 721 */     MCD_OPC_FilterValue, 29, 8, 0, // Skip to: 733
+/* 725 */     MCD_OPC_CheckPredicate, 36, 94, 4, // Skip to: 1847
+/* 729 */     MCD_OPC_Decode, 170, 8, 93, // Opcode: MAX_S
+/* 733 */     MCD_OPC_FilterValue, 30, 8, 0, // Skip to: 745
+/* 737 */     MCD_OPC_CheckPredicate, 36, 82, 4, // Skip to: 1847
+/* 741 */     MCD_OPC_Decode, 197, 8, 93, // Opcode: MINA_S
+/* 745 */     MCD_OPC_FilterValue, 31, 74, 4, // Skip to: 1847
+/* 749 */     MCD_OPC_CheckPredicate, 36, 70, 4, // Skip to: 1847
+/* 753 */     MCD_OPC_Decode, 156, 8, 93, // Opcode: MAXA_S
+/* 757 */     MCD_OPC_FilterValue, 17, 156, 0, // Skip to: 917
+/* 761 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 764 */     MCD_OPC_FilterValue, 16, 9, 0, // Skip to: 777
+/* 768 */     MCD_OPC_CheckPredicate, 36, 51, 4, // Skip to: 1847
+/* 772 */     MCD_OPC_Decode, 182, 11, 232, 1, // Opcode: SEL_D
+/* 777 */     MCD_OPC_FilterValue, 20, 9, 0, // Skip to: 790
+/* 781 */     MCD_OPC_CheckPredicate, 36, 38, 4, // Skip to: 1847
+/* 785 */     MCD_OPC_Decode, 176, 11, 233, 1, // Opcode: SELEQZ_D
+/* 790 */     MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 803
+/* 794 */     MCD_OPC_CheckPredicate, 36, 25, 4, // Skip to: 1847
+/* 798 */     MCD_OPC_Decode, 180, 11, 233, 1, // Opcode: SELNEZ_D
+/* 803 */     MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 816
+/* 807 */     MCD_OPC_CheckPredicate, 36, 12, 4, // Skip to: 1847
+/* 811 */     MCD_OPC_Decode, 131, 8, 234, 1, // Opcode: MADDF_D
+/* 816 */     MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 829
+/* 820 */     MCD_OPC_CheckPredicate, 36, 255, 3, // Skip to: 1847
+/* 824 */     MCD_OPC_Decode, 149, 9, 234, 1, // Opcode: MSUBF_D
+/* 829 */     MCD_OPC_FilterValue, 26, 14, 0, // Skip to: 847
+/* 833 */     MCD_OPC_CheckPredicate, 36, 242, 3, // Skip to: 1847
+/* 837 */     MCD_OPC_CheckField, 16, 5, 0, 236, 3, // Skip to: 1847
+/* 843 */     MCD_OPC_Decode, 245, 10, 105, // Opcode: RINT_D
+/* 847 */     MCD_OPC_FilterValue, 27, 14, 0, // Skip to: 865
+/* 851 */     MCD_OPC_CheckPredicate, 36, 224, 3, // Skip to: 1847
+/* 855 */     MCD_OPC_CheckField, 16, 5, 0, 218, 3, // Skip to: 1847
+/* 861 */     MCD_OPC_Decode, 243, 2, 105, // Opcode: CLASS_D
+/* 865 */     MCD_OPC_FilterValue, 28, 9, 0, // Skip to: 878
+/* 869 */     MCD_OPC_CheckPredicate, 36, 206, 3, // Skip to: 1847
+/* 873 */     MCD_OPC_Decode, 210, 8, 233, 1, // Opcode: MIN_D
+/* 878 */     MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 891
+/* 882 */     MCD_OPC_CheckPredicate, 36, 193, 3, // Skip to: 1847
+/* 886 */     MCD_OPC_Decode, 169, 8, 233, 1, // Opcode: MAX_D
+/* 891 */     MCD_OPC_FilterValue, 30, 9, 0, // Skip to: 904
+/* 895 */     MCD_OPC_CheckPredicate, 36, 180, 3, // Skip to: 1847
+/* 899 */     MCD_OPC_Decode, 196, 8, 233, 1, // Opcode: MINA_D
+/* 904 */     MCD_OPC_FilterValue, 31, 171, 3, // Skip to: 1847
+/* 908 */     MCD_OPC_CheckPredicate, 36, 167, 3, // Skip to: 1847
+/* 912 */     MCD_OPC_Decode, 155, 8, 233, 1, // Opcode: MAXA_D
+/* 917 */     MCD_OPC_FilterValue, 20, 211, 0, // Skip to: 1132
+/* 921 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 924 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 937
+/* 928 */     MCD_OPC_CheckPredicate, 36, 147, 3, // Skip to: 1847
+/* 932 */     MCD_OPC_Decode, 168, 3, 235, 1, // Opcode: CMP_F_S
+/* 937 */     MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 950
+/* 941 */     MCD_OPC_CheckPredicate, 36, 134, 3, // Skip to: 1847
+/* 945 */     MCD_OPC_Decode, 198, 3, 235, 1, // Opcode: CMP_UN_S
+/* 950 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 963
+/* 954 */     MCD_OPC_CheckPredicate, 36, 121, 3, // Skip to: 1847
+/* 958 */     MCD_OPC_Decode, 166, 3, 235, 1, // Opcode: CMP_EQ_S
+/* 963 */     MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 976
+/* 967 */     MCD_OPC_CheckPredicate, 36, 108, 3, // Skip to: 1847
+/* 971 */     MCD_OPC_Decode, 192, 3, 235, 1, // Opcode: CMP_UEQ_S
+/* 976 */     MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 989
+/* 980 */     MCD_OPC_CheckPredicate, 36, 95, 3, // Skip to: 1847
+/* 984 */     MCD_OPC_Decode, 174, 3, 235, 1, // Opcode: CMP_LT_S
+/* 989 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 1002
+/* 993 */     MCD_OPC_CheckPredicate, 36, 82, 3, // Skip to: 1847
+/* 997 */     MCD_OPC_Decode, 196, 3, 235, 1, // Opcode: CMP_ULT_S
+/* 1002 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 1015
+/* 1006 */    MCD_OPC_CheckPredicate, 36, 69, 3, // Skip to: 1847
+/* 1010 */    MCD_OPC_Decode, 171, 3, 235, 1, // Opcode: CMP_LE_S
+/* 1015 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 1028
+/* 1019 */    MCD_OPC_CheckPredicate, 36, 56, 3, // Skip to: 1847
+/* 1023 */    MCD_OPC_Decode, 194, 3, 235, 1, // Opcode: CMP_ULE_S
+/* 1028 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 1041
+/* 1032 */    MCD_OPC_CheckPredicate, 36, 43, 3, // Skip to: 1847
+/* 1036 */    MCD_OPC_Decode, 176, 3, 235, 1, // Opcode: CMP_SAF_S
+/* 1041 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1054
+/* 1045 */    MCD_OPC_CheckPredicate, 36, 30, 3, // Skip to: 1847
+/* 1049 */    MCD_OPC_Decode, 190, 3, 235, 1, // Opcode: CMP_SUN_S
+/* 1054 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1067
+/* 1058 */    MCD_OPC_CheckPredicate, 36, 17, 3, // Skip to: 1847
+/* 1062 */    MCD_OPC_Decode, 178, 3, 235, 1, // Opcode: CMP_SEQ_S
+/* 1067 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1080
+/* 1071 */    MCD_OPC_CheckPredicate, 36, 4, 3, // Skip to: 1847
+/* 1075 */    MCD_OPC_Decode, 184, 3, 235, 1, // Opcode: CMP_SUEQ_S
+/* 1080 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 1093
+/* 1084 */    MCD_OPC_CheckPredicate, 36, 247, 2, // Skip to: 1847
+/* 1088 */    MCD_OPC_Decode, 182, 3, 235, 1, // Opcode: CMP_SLT_S
+/* 1093 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1106
+/* 1097 */    MCD_OPC_CheckPredicate, 36, 234, 2, // Skip to: 1847
+/* 1101 */    MCD_OPC_Decode, 188, 3, 235, 1, // Opcode: CMP_SULT_S
+/* 1106 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1119
+/* 1110 */    MCD_OPC_CheckPredicate, 36, 221, 2, // Skip to: 1847
+/* 1114 */    MCD_OPC_Decode, 180, 3, 235, 1, // Opcode: CMP_SLE_S
+/* 1119 */    MCD_OPC_FilterValue, 15, 212, 2, // Skip to: 1847
+/* 1123 */    MCD_OPC_CheckPredicate, 36, 208, 2, // Skip to: 1847
+/* 1127 */    MCD_OPC_Decode, 186, 3, 235, 1, // Opcode: CMP_SULE_S
+/* 1132 */    MCD_OPC_FilterValue, 21, 199, 2, // Skip to: 1847
+/* 1136 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 1139 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1152
+/* 1143 */    MCD_OPC_CheckPredicate, 36, 188, 2, // Skip to: 1847
+/* 1147 */    MCD_OPC_Decode, 167, 3, 236, 1, // Opcode: CMP_F_D
+/* 1152 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 1165
+/* 1156 */    MCD_OPC_CheckPredicate, 36, 175, 2, // Skip to: 1847
+/* 1160 */    MCD_OPC_Decode, 197, 3, 236, 1, // Opcode: CMP_UN_D
+/* 1165 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 1178
+/* 1169 */    MCD_OPC_CheckPredicate, 36, 162, 2, // Skip to: 1847
+/* 1173 */    MCD_OPC_Decode, 164, 3, 236, 1, // Opcode: CMP_EQ_D
+/* 1178 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 1191
+/* 1182 */    MCD_OPC_CheckPredicate, 36, 149, 2, // Skip to: 1847
+/* 1186 */    MCD_OPC_Decode, 191, 3, 236, 1, // Opcode: CMP_UEQ_D
+/* 1191 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 1204
+/* 1195 */    MCD_OPC_CheckPredicate, 36, 136, 2, // Skip to: 1847
+/* 1199 */    MCD_OPC_Decode, 172, 3, 236, 1, // Opcode: CMP_LT_D
+/* 1204 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 1217
+/* 1208 */    MCD_OPC_CheckPredicate, 36, 123, 2, // Skip to: 1847
+/* 1212 */    MCD_OPC_Decode, 195, 3, 236, 1, // Opcode: CMP_ULT_D
+/* 1217 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 1230
+/* 1221 */    MCD_OPC_CheckPredicate, 36, 110, 2, // Skip to: 1847
+/* 1225 */    MCD_OPC_Decode, 169, 3, 236, 1, // Opcode: CMP_LE_D
+/* 1230 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 1243
+/* 1234 */    MCD_OPC_CheckPredicate, 36, 97, 2, // Skip to: 1847
+/* 1238 */    MCD_OPC_Decode, 193, 3, 236, 1, // Opcode: CMP_ULE_D
+/* 1243 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 1256
+/* 1247 */    MCD_OPC_CheckPredicate, 36, 84, 2, // Skip to: 1847
+/* 1251 */    MCD_OPC_Decode, 175, 3, 236, 1, // Opcode: CMP_SAF_D
+/* 1256 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1269
+/* 1260 */    MCD_OPC_CheckPredicate, 36, 71, 2, // Skip to: 1847
+/* 1264 */    MCD_OPC_Decode, 189, 3, 236, 1, // Opcode: CMP_SUN_D
+/* 1269 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1282
+/* 1273 */    MCD_OPC_CheckPredicate, 36, 58, 2, // Skip to: 1847
+/* 1277 */    MCD_OPC_Decode, 177, 3, 236, 1, // Opcode: CMP_SEQ_D
+/* 1282 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1295
+/* 1286 */    MCD_OPC_CheckPredicate, 36, 45, 2, // Skip to: 1847
+/* 1290 */    MCD_OPC_Decode, 183, 3, 236, 1, // Opcode: CMP_SUEQ_D
+/* 1295 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 1308
+/* 1299 */    MCD_OPC_CheckPredicate, 36, 32, 2, // Skip to: 1847
+/* 1303 */    MCD_OPC_Decode, 181, 3, 236, 1, // Opcode: CMP_SLT_D
+/* 1308 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1321
+/* 1312 */    MCD_OPC_CheckPredicate, 36, 19, 2, // Skip to: 1847
+/* 1316 */    MCD_OPC_Decode, 187, 3, 236, 1, // Opcode: CMP_SULT_D
+/* 1321 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1334
+/* 1325 */    MCD_OPC_CheckPredicate, 36, 6, 2, // Skip to: 1847
+/* 1329 */    MCD_OPC_Decode, 179, 3, 236, 1, // Opcode: CMP_SLE_D
+/* 1334 */    MCD_OPC_FilterValue, 15, 253, 1, // Skip to: 1847
+/* 1338 */    MCD_OPC_CheckPredicate, 36, 249, 1, // Skip to: 1847
+/* 1342 */    MCD_OPC_Decode, 185, 3, 236, 1, // Opcode: CMP_SULE_D
+/* 1347 */    MCD_OPC_FilterValue, 18, 81, 0, // Skip to: 1432
+/* 1351 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 1354 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 1367
+/* 1358 */    MCD_OPC_CheckPredicate, 36, 229, 1, // Skip to: 1847
+/* 1362 */    MCD_OPC_Decode, 188, 1, 237, 1, // Opcode: BC2EQZ
+/* 1367 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 1380
+/* 1371 */    MCD_OPC_CheckPredicate, 36, 216, 1, // Skip to: 1847
+/* 1375 */    MCD_OPC_Decode, 219, 7, 238, 1, // Opcode: LWC2_R6
+/* 1380 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 1393
+/* 1384 */    MCD_OPC_CheckPredicate, 36, 203, 1, // Skip to: 1847
+/* 1388 */    MCD_OPC_Decode, 241, 12, 238, 1, // Opcode: SWC2_R6
+/* 1393 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 1406
+/* 1397 */    MCD_OPC_CheckPredicate, 36, 190, 1, // Skip to: 1847
+/* 1401 */    MCD_OPC_Decode, 191, 1, 237, 1, // Opcode: BC2NEZ
+/* 1406 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 1419
+/* 1410 */    MCD_OPC_CheckPredicate, 36, 177, 1, // Skip to: 1847
+/* 1414 */    MCD_OPC_Decode, 166, 7, 238, 1, // Opcode: LDC2_R6
+/* 1419 */    MCD_OPC_FilterValue, 15, 168, 1, // Skip to: 1847
+/* 1423 */    MCD_OPC_CheckPredicate, 36, 164, 1, // Skip to: 1847
+/* 1427 */    MCD_OPC_Decode, 160, 11, 238, 1, // Opcode: SDC2_R6
+/* 1432 */    MCD_OPC_FilterValue, 22, 9, 0, // Skip to: 1445
+/* 1436 */    MCD_OPC_CheckPredicate, 36, 151, 1, // Skip to: 1847
+/* 1440 */    MCD_OPC_Decode, 224, 1, 239, 1, // Opcode: BGEZC
+/* 1445 */    MCD_OPC_FilterValue, 23, 9, 0, // Skip to: 1458
+/* 1449 */    MCD_OPC_CheckPredicate, 36, 138, 1, // Skip to: 1847
+/* 1453 */    MCD_OPC_Decode, 138, 2, 240, 1, // Opcode: BLTZC
+/* 1458 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 1471
+/* 1462 */    MCD_OPC_CheckPredicate, 36, 125, 1, // Skip to: 1847
+/* 1466 */    MCD_OPC_Decode, 147, 2, 241, 1, // Opcode: BNEC
+/* 1471 */    MCD_OPC_FilterValue, 29, 9, 0, // Skip to: 1484
+/* 1475 */    MCD_OPC_CheckPredicate, 37, 112, 1, // Skip to: 1847
+/* 1479 */    MCD_OPC_Decode, 166, 4, 242, 1, // Opcode: DAUI
+/* 1484 */    MCD_OPC_FilterValue, 31, 182, 0, // Skip to: 1670
+/* 1488 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 1491 */    MCD_OPC_FilterValue, 32, 40, 0, // Skip to: 1535
+/* 1495 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
+/* 1498 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1523
+/* 1502 */    MCD_OPC_CheckPredicate, 36, 85, 1, // Skip to: 1847
+/* 1506 */    MCD_OPC_CheckField, 21, 5, 0, 79, 1, // Skip to: 1847
+/* 1512 */    MCD_OPC_CheckField, 6, 2, 0, 73, 1, // Skip to: 1847
+/* 1518 */    MCD_OPC_Decode, 250, 1, 205, 1, // Opcode: BITSWAP
+/* 1523 */    MCD_OPC_FilterValue, 2, 64, 1, // Skip to: 1847
+/* 1527 */    MCD_OPC_CheckPredicate, 36, 60, 1, // Skip to: 1847
+/* 1531 */    MCD_OPC_Decode, 81, 221, 1, // Opcode: ALIGN
+/* 1535 */    MCD_OPC_FilterValue, 36, 41, 0, // Skip to: 1580
+/* 1539 */    MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
+/* 1542 */    MCD_OPC_FilterValue, 0, 21, 0, // Skip to: 1567
+/* 1546 */    MCD_OPC_CheckPredicate, 37, 41, 1, // Skip to: 1847
+/* 1550 */    MCD_OPC_CheckField, 21, 5, 0, 35, 1, // Skip to: 1847
+/* 1556 */    MCD_OPC_CheckField, 6, 3, 0, 29, 1, // Skip to: 1847
+/* 1562 */    MCD_OPC_Decode, 167, 4, 243, 1, // Opcode: DBITSWAP
+/* 1567 */    MCD_OPC_FilterValue, 1, 20, 1, // Skip to: 1847
+/* 1571 */    MCD_OPC_CheckPredicate, 37, 16, 1, // Skip to: 1847
+/* 1575 */    MCD_OPC_Decode, 164, 4, 244, 1, // Opcode: DALIGN
+/* 1580 */    MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 1599
+/* 1584 */    MCD_OPC_CheckPredicate, 36, 3, 1, // Skip to: 1847
+/* 1588 */    MCD_OPC_CheckField, 6, 1, 0, 253, 0, // Skip to: 1847
+/* 1594 */    MCD_OPC_Decode, 222, 2, 245, 1, // Opcode: CACHE_R6
+/* 1599 */    MCD_OPC_FilterValue, 38, 9, 0, // Skip to: 1612
+/* 1603 */    MCD_OPC_CheckPredicate, 36, 240, 0, // Skip to: 1847
+/* 1607 */    MCD_OPC_Decode, 150, 11, 246, 1, // Opcode: SC_R6
+/* 1612 */    MCD_OPC_FilterValue, 39, 9, 0, // Skip to: 1625
+/* 1616 */    MCD_OPC_CheckPredicate, 36, 227, 0, // Skip to: 1847
+/* 1620 */    MCD_OPC_Decode, 148, 11, 246, 1, // Opcode: SCD_R6
+/* 1625 */    MCD_OPC_FilterValue, 53, 15, 0, // Skip to: 1644
+/* 1629 */    MCD_OPC_CheckPredicate, 36, 214, 0, // Skip to: 1847
+/* 1633 */    MCD_OPC_CheckField, 6, 1, 0, 208, 0, // Skip to: 1847
+/* 1639 */    MCD_OPC_Decode, 183, 10, 245, 1, // Opcode: PREF_R6
+/* 1644 */    MCD_OPC_FilterValue, 54, 9, 0, // Skip to: 1657
+/* 1648 */    MCD_OPC_CheckPredicate, 36, 195, 0, // Skip to: 1847
+/* 1652 */    MCD_OPC_Decode, 197, 7, 246, 1, // Opcode: LL_R6
+/* 1657 */    MCD_OPC_FilterValue, 55, 186, 0, // Skip to: 1847
+/* 1661 */    MCD_OPC_CheckPredicate, 36, 182, 0, // Skip to: 1847
+/* 1665 */    MCD_OPC_Decode, 195, 7, 246, 1, // Opcode: LLD_R6
+/* 1670 */    MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 1683
+/* 1674 */    MCD_OPC_CheckPredicate, 36, 169, 0, // Skip to: 1847
+/* 1678 */    MCD_OPC_Decode, 175, 1, 247, 1, // Opcode: BC
+/* 1683 */    MCD_OPC_FilterValue, 54, 23, 0, // Skip to: 1710
+/* 1687 */    MCD_OPC_CheckPredicate, 36, 10, 0, // Skip to: 1701
+/* 1691 */    MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 1701
+/* 1697 */    MCD_OPC_Decode, 135, 7, 52, // Opcode: JIC
+/* 1701 */    MCD_OPC_CheckPredicate, 36, 142, 0, // Skip to: 1847
+/* 1705 */    MCD_OPC_Decode, 212, 1, 248, 1, // Opcode: BEQZC
 /* 1710 */    MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 1723
-/* 1714 */    MCD_OPC_CheckPredicate, 33, 130, 0, // Skip to: 1848
-/* 1718 */    MCD_OPC_Decode, 157, 1, 224, 1, // Opcode: BALC
+/* 1714 */    MCD_OPC_CheckPredicate, 36, 129, 0, // Skip to: 1847
+/* 1718 */    MCD_OPC_Decode, 168, 1, 247, 1, // Opcode: BALC
 /* 1723 */    MCD_OPC_FilterValue, 59, 93, 0, // Skip to: 1820
 /* 1727 */    MCD_OPC_ExtractField, 19, 2,  // Inst{20-19} ...
 /* 1730 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1742
-/* 1734 */    MCD_OPC_CheckPredicate, 33, 110, 0, // Skip to: 1848
-/* 1738 */    MCD_OPC_Decode, 24, 227, 1, // Opcode: ADDIUPC
+/* 1734 */    MCD_OPC_CheckPredicate, 36, 109, 0, // Skip to: 1847
+/* 1738 */    MCD_OPC_Decode, 26, 249, 1, // Opcode: ADDIUPC
 /* 1742 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 1755
-/* 1746 */    MCD_OPC_CheckPredicate, 33, 98, 0, // Skip to: 1848
-/* 1750 */    MCD_OPC_Decode, 193, 7, 227, 1, // Opcode: LWPC
+/* 1746 */    MCD_OPC_CheckPredicate, 36, 97, 0, // Skip to: 1847
+/* 1750 */    MCD_OPC_Decode, 228, 7, 249, 1, // Opcode: LWPC
 /* 1755 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 1768
-/* 1759 */    MCD_OPC_CheckPredicate, 33, 85, 0, // Skip to: 1848
-/* 1763 */    MCD_OPC_Decode, 197, 7, 227, 1, // Opcode: LWUPC
-/* 1768 */    MCD_OPC_FilterValue, 3, 76, 0, // Skip to: 1848
+/* 1759 */    MCD_OPC_CheckPredicate, 36, 84, 0, // Skip to: 1847
+/* 1763 */    MCD_OPC_Decode, 234, 7, 249, 1, // Opcode: LWUPC
+/* 1768 */    MCD_OPC_FilterValue, 3, 75, 0, // Skip to: 1847
 /* 1772 */    MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
 /* 1775 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1788
-/* 1779 */    MCD_OPC_CheckPredicate, 34, 65, 0, // Skip to: 1848
-/* 1783 */    MCD_OPC_Decode, 145, 7, 228, 1, // Opcode: LDPC
-/* 1788 */    MCD_OPC_FilterValue, 1, 56, 0, // Skip to: 1848
+/* 1779 */    MCD_OPC_CheckPredicate, 37, 64, 0, // Skip to: 1847
+/* 1783 */    MCD_OPC_Decode, 173, 7, 250, 1, // Opcode: LDPC
+/* 1788 */    MCD_OPC_FilterValue, 1, 55, 0, // Skip to: 1847
 /* 1792 */    MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
 /* 1795 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 1808
-/* 1799 */    MCD_OPC_CheckPredicate, 33, 45, 0, // Skip to: 1848
-/* 1803 */    MCD_OPC_Decode, 128, 1, 229, 1, // Opcode: AUIPC
-/* 1808 */    MCD_OPC_FilterValue, 3, 36, 0, // Skip to: 1848
-/* 1812 */    MCD_OPC_CheckPredicate, 33, 32, 0, // Skip to: 1848
-/* 1816 */    MCD_OPC_Decode, 74, 229, 1, // Opcode: ALUIPC
-/* 1820 */    MCD_OPC_FilterValue, 62, 24, 0, // Skip to: 1848
-/* 1824 */    MCD_OPC_CheckPredicate, 33, 11, 0, // Skip to: 1839
-/* 1828 */    MCD_OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 1839
-/* 1834 */    MCD_OPC_Decode, 239, 6, 225, 1, // Opcode: JIALC
-/* 1839 */    MCD_OPC_CheckPredicate, 33, 5, 0, // Skip to: 1848
-/* 1843 */    MCD_OPC_Decode, 142, 2, 226, 1, // Opcode: BNEZC
-/* 1848 */    MCD_OPC_Fail,
+/* 1799 */    MCD_OPC_CheckPredicate, 36, 44, 0, // Skip to: 1847
+/* 1803 */    MCD_OPC_Decode, 138, 1, 251, 1, // Opcode: AUIPC
+/* 1808 */    MCD_OPC_FilterValue, 3, 35, 0, // Skip to: 1847
+/* 1812 */    MCD_OPC_CheckPredicate, 36, 31, 0, // Skip to: 1847
+/* 1816 */    MCD_OPC_Decode, 82, 251, 1, // Opcode: ALUIPC
+/* 1820 */    MCD_OPC_FilterValue, 62, 23, 0, // Skip to: 1847
+/* 1824 */    MCD_OPC_CheckPredicate, 36, 10, 0, // Skip to: 1838
+/* 1828 */    MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 1838
+/* 1834 */    MCD_OPC_Decode, 134, 7, 52, // Opcode: JIALC
+/* 1838 */    MCD_OPC_CheckPredicate, 36, 5, 0, // Skip to: 1847
+/* 1842 */    MCD_OPC_Decode, 159, 2, 248, 1, // Opcode: BNEZC
+/* 1847 */    MCD_OPC_Fail,
   0
 };
 
 static const uint8_t DecoderTableMips32r6_64r6_GP6432[] = {
 /* 0 */       MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
 /* 3 */       MCD_OPC_FilterValue, 53, 15, 0, // Skip to: 22
-/* 7 */       MCD_OPC_CheckPredicate, 36, 30, 0, // Skip to: 41
+/* 7 */       MCD_OPC_CheckPredicate, 39, 30, 0, // Skip to: 41
 /* 11 */      MCD_OPC_CheckField, 26, 6, 0, 24, 0, // Skip to: 41
-/* 17 */      MCD_OPC_Decode, 241, 10, 201, 1, // Opcode: SELEQZ64
+/* 17 */      MCD_OPC_Decode, 175, 11, 224, 1, // Opcode: SELEQZ64
 /* 22 */      MCD_OPC_FilterValue, 55, 15, 0, // Skip to: 41
-/* 26 */      MCD_OPC_CheckPredicate, 36, 11, 0, // Skip to: 41
+/* 26 */      MCD_OPC_CheckPredicate, 39, 11, 0, // Skip to: 41
 /* 30 */      MCD_OPC_CheckField, 26, 6, 0, 5, 0, // Skip to: 41
-/* 36 */      MCD_OPC_Decode, 245, 10, 201, 1, // Opcode: SELNEZ64
+/* 36 */      MCD_OPC_Decode, 179, 11, 224, 1, // Opcode: SELNEZ64
 /* 41 */      MCD_OPC_Fail,
   0
 };
@@ -4091,495 +4279,519 @@ static const uint8_t DecoderTableMips643
 /* 3 */       MCD_OPC_FilterValue, 0, 112, 1, // Skip to: 375
 /* 7 */       MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 10 */      MCD_OPC_FilterValue, 20, 15, 0, // Skip to: 29
-/* 14 */      MCD_OPC_CheckPredicate, 17, 194, 8, // Skip to: 2260
-/* 18 */      MCD_OPC_CheckField, 6, 5, 0, 188, 8, // Skip to: 2260
-/* 24 */      MCD_OPC_Decode, 235, 4, 230, 1, // Opcode: DSLLV
+/* 14 */      MCD_OPC_CheckPredicate, 19, 42, 9, // Skip to: 2364
+/* 18 */      MCD_OPC_CheckField, 6, 5, 0, 36, 9, // Skip to: 2364
+/* 24 */      MCD_OPC_Decode, 255, 4, 252, 1, // Opcode: DSLLV
 /* 29 */      MCD_OPC_FilterValue, 22, 29, 0, // Skip to: 62
 /* 33 */      MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
 /* 36 */      MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 49
-/* 40 */      MCD_OPC_CheckPredicate, 17, 168, 8, // Skip to: 2260
-/* 44 */      MCD_OPC_Decode, 241, 4, 230, 1, // Opcode: DSRLV
-/* 49 */      MCD_OPC_FilterValue, 1, 159, 8, // Skip to: 2260
-/* 53 */      MCD_OPC_CheckPredicate, 37, 155, 8, // Skip to: 2260
-/* 57 */      MCD_OPC_Decode, 228, 4, 230, 1, // Opcode: DROTRV
+/* 40 */      MCD_OPC_CheckPredicate, 19, 16, 9, // Skip to: 2364
+/* 44 */      MCD_OPC_Decode, 133, 5, 252, 1, // Opcode: DSRLV
+/* 49 */      MCD_OPC_FilterValue, 1, 7, 9, // Skip to: 2364
+/* 53 */      MCD_OPC_CheckPredicate, 40, 3, 9, // Skip to: 2364
+/* 57 */      MCD_OPC_Decode, 248, 4, 252, 1, // Opcode: DROTRV
 /* 62 */      MCD_OPC_FilterValue, 23, 15, 0, // Skip to: 81
-/* 66 */      MCD_OPC_CheckPredicate, 17, 142, 8, // Skip to: 2260
-/* 70 */      MCD_OPC_CheckField, 6, 5, 0, 136, 8, // Skip to: 2260
-/* 76 */      MCD_OPC_Decode, 238, 4, 230, 1, // Opcode: DSRAV
+/* 66 */      MCD_OPC_CheckPredicate, 19, 246, 8, // Skip to: 2364
+/* 70 */      MCD_OPC_CheckField, 6, 5, 0, 240, 8, // Skip to: 2364
+/* 76 */      MCD_OPC_Decode, 130, 5, 252, 1, // Opcode: DSRAV
 /* 81 */      MCD_OPC_FilterValue, 28, 15, 0, // Skip to: 100
-/* 85 */      MCD_OPC_CheckPredicate, 38, 123, 8, // Skip to: 2260
-/* 89 */      MCD_OPC_CheckField, 6, 10, 0, 117, 8, // Skip to: 2260
-/* 95 */      MCD_OPC_Decode, 187, 4, 231, 1, // Opcode: DMULT
+/* 85 */      MCD_OPC_CheckPredicate, 41, 227, 8, // Skip to: 2364
+/* 89 */      MCD_OPC_CheckField, 6, 10, 0, 221, 8, // Skip to: 2364
+/* 95 */      MCD_OPC_Decode, 207, 4, 253, 1, // Opcode: DMULT
 /* 100 */     MCD_OPC_FilterValue, 29, 15, 0, // Skip to: 119
-/* 104 */     MCD_OPC_CheckPredicate, 38, 104, 8, // Skip to: 2260
-/* 108 */     MCD_OPC_CheckField, 6, 10, 0, 98, 8, // Skip to: 2260
-/* 114 */     MCD_OPC_Decode, 188, 4, 231, 1, // Opcode: DMULTu
+/* 104 */     MCD_OPC_CheckPredicate, 41, 208, 8, // Skip to: 2364
+/* 108 */     MCD_OPC_CheckField, 6, 10, 0, 202, 8, // Skip to: 2364
+/* 114 */     MCD_OPC_Decode, 208, 4, 253, 1, // Opcode: DMULTu
 /* 119 */     MCD_OPC_FilterValue, 30, 15, 0, // Skip to: 138
-/* 123 */     MCD_OPC_CheckPredicate, 38, 85, 8, // Skip to: 2260
-/* 127 */     MCD_OPC_CheckField, 6, 10, 0, 79, 8, // Skip to: 2260
-/* 133 */     MCD_OPC_Decode, 230, 4, 231, 1, // Opcode: DSDIV
+/* 123 */     MCD_OPC_CheckPredicate, 41, 189, 8, // Skip to: 2364
+/* 127 */     MCD_OPC_CheckField, 6, 10, 0, 183, 8, // Skip to: 2364
+/* 133 */     MCD_OPC_Decode, 250, 4, 253, 1, // Opcode: DSDIV
 /* 138 */     MCD_OPC_FilterValue, 31, 15, 0, // Skip to: 157
-/* 142 */     MCD_OPC_CheckPredicate, 38, 66, 8, // Skip to: 2260
-/* 146 */     MCD_OPC_CheckField, 6, 10, 0, 60, 8, // Skip to: 2260
-/* 152 */     MCD_OPC_Decode, 244, 4, 231, 1, // Opcode: DUDIV
+/* 142 */     MCD_OPC_CheckPredicate, 41, 170, 8, // Skip to: 2364
+/* 146 */     MCD_OPC_CheckField, 6, 10, 0, 164, 8, // Skip to: 2364
+/* 152 */     MCD_OPC_Decode, 136, 5, 253, 1, // Opcode: DUDIV
 /* 157 */     MCD_OPC_FilterValue, 44, 15, 0, // Skip to: 176
-/* 161 */     MCD_OPC_CheckPredicate, 17, 47, 8, // Skip to: 2260
-/* 165 */     MCD_OPC_CheckField, 6, 5, 0, 41, 8, // Skip to: 2260
-/* 171 */     MCD_OPC_Decode, 139, 4, 201, 1, // Opcode: DADD
+/* 161 */     MCD_OPC_CheckPredicate, 19, 151, 8, // Skip to: 2364
+/* 165 */     MCD_OPC_CheckField, 6, 5, 0, 145, 8, // Skip to: 2364
+/* 171 */     MCD_OPC_Decode, 159, 4, 224, 1, // Opcode: DADD
 /* 176 */     MCD_OPC_FilterValue, 45, 15, 0, // Skip to: 195
-/* 180 */     MCD_OPC_CheckPredicate, 17, 28, 8, // Skip to: 2260
-/* 184 */     MCD_OPC_CheckField, 6, 5, 0, 22, 8, // Skip to: 2260
-/* 190 */     MCD_OPC_Decode, 142, 4, 201, 1, // Opcode: DADDu
+/* 180 */     MCD_OPC_CheckPredicate, 19, 132, 8, // Skip to: 2364
+/* 184 */     MCD_OPC_CheckField, 6, 5, 0, 126, 8, // Skip to: 2364
+/* 190 */     MCD_OPC_Decode, 162, 4, 224, 1, // Opcode: DADDu
 /* 195 */     MCD_OPC_FilterValue, 46, 15, 0, // Skip to: 214
-/* 199 */     MCD_OPC_CheckPredicate, 17, 9, 8, // Skip to: 2260
-/* 203 */     MCD_OPC_CheckField, 6, 5, 0, 3, 8, // Skip to: 2260
-/* 209 */     MCD_OPC_Decode, 242, 4, 201, 1, // Opcode: DSUB
+/* 199 */     MCD_OPC_CheckPredicate, 19, 113, 8, // Skip to: 2364
+/* 203 */     MCD_OPC_CheckField, 6, 5, 0, 107, 8, // Skip to: 2364
+/* 209 */     MCD_OPC_Decode, 134, 5, 224, 1, // Opcode: DSUB
 /* 214 */     MCD_OPC_FilterValue, 47, 15, 0, // Skip to: 233
-/* 218 */     MCD_OPC_CheckPredicate, 17, 246, 7, // Skip to: 2260
-/* 222 */     MCD_OPC_CheckField, 6, 5, 0, 240, 7, // Skip to: 2260
-/* 228 */     MCD_OPC_Decode, 243, 4, 201, 1, // Opcode: DSUBu
+/* 218 */     MCD_OPC_CheckPredicate, 19, 94, 8, // Skip to: 2364
+/* 222 */     MCD_OPC_CheckField, 6, 5, 0, 88, 8, // Skip to: 2364
+/* 228 */     MCD_OPC_Decode, 135, 5, 224, 1, // Opcode: DSUBu
 /* 233 */     MCD_OPC_FilterValue, 56, 15, 0, // Skip to: 252
-/* 237 */     MCD_OPC_CheckPredicate, 17, 227, 7, // Skip to: 2260
-/* 241 */     MCD_OPC_CheckField, 21, 5, 0, 221, 7, // Skip to: 2260
-/* 247 */     MCD_OPC_Decode, 232, 4, 232, 1, // Opcode: DSLL
+/* 237 */     MCD_OPC_CheckPredicate, 19, 75, 8, // Skip to: 2364
+/* 241 */     MCD_OPC_CheckField, 21, 5, 0, 69, 8, // Skip to: 2364
+/* 247 */     MCD_OPC_Decode, 252, 4, 254, 1, // Opcode: DSLL
 /* 252 */     MCD_OPC_FilterValue, 58, 29, 0, // Skip to: 285
 /* 256 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 259 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 272
-/* 263 */     MCD_OPC_CheckPredicate, 17, 201, 7, // Skip to: 2260
-/* 267 */     MCD_OPC_Decode, 239, 4, 232, 1, // Opcode: DSRL
-/* 272 */     MCD_OPC_FilterValue, 1, 192, 7, // Skip to: 2260
-/* 276 */     MCD_OPC_CheckPredicate, 37, 188, 7, // Skip to: 2260
-/* 280 */     MCD_OPC_Decode, 226, 4, 232, 1, // Opcode: DROTR
+/* 263 */     MCD_OPC_CheckPredicate, 19, 49, 8, // Skip to: 2364
+/* 267 */     MCD_OPC_Decode, 131, 5, 254, 1, // Opcode: DSRL
+/* 272 */     MCD_OPC_FilterValue, 1, 40, 8, // Skip to: 2364
+/* 276 */     MCD_OPC_CheckPredicate, 40, 36, 8, // Skip to: 2364
+/* 280 */     MCD_OPC_Decode, 246, 4, 254, 1, // Opcode: DROTR
 /* 285 */     MCD_OPC_FilterValue, 59, 15, 0, // Skip to: 304
-/* 289 */     MCD_OPC_CheckPredicate, 17, 175, 7, // Skip to: 2260
-/* 293 */     MCD_OPC_CheckField, 21, 5, 0, 169, 7, // Skip to: 2260
-/* 299 */     MCD_OPC_Decode, 236, 4, 232, 1, // Opcode: DSRA
+/* 289 */     MCD_OPC_CheckPredicate, 19, 23, 8, // Skip to: 2364
+/* 293 */     MCD_OPC_CheckField, 21, 5, 0, 17, 8, // Skip to: 2364
+/* 299 */     MCD_OPC_Decode, 128, 5, 254, 1, // Opcode: DSRA
 /* 304 */     MCD_OPC_FilterValue, 60, 15, 0, // Skip to: 323
-/* 308 */     MCD_OPC_CheckPredicate, 17, 156, 7, // Skip to: 2260
-/* 312 */     MCD_OPC_CheckField, 21, 5, 0, 150, 7, // Skip to: 2260
-/* 318 */     MCD_OPC_Decode, 233, 4, 232, 1, // Opcode: DSLL32
+/* 308 */     MCD_OPC_CheckPredicate, 19, 4, 8, // Skip to: 2364
+/* 312 */     MCD_OPC_CheckField, 21, 5, 0, 254, 7, // Skip to: 2364
+/* 318 */     MCD_OPC_Decode, 253, 4, 254, 1, // Opcode: DSLL32
 /* 323 */     MCD_OPC_FilterValue, 62, 29, 0, // Skip to: 356
 /* 327 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 330 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 343
-/* 334 */     MCD_OPC_CheckPredicate, 17, 130, 7, // Skip to: 2260
-/* 338 */     MCD_OPC_Decode, 240, 4, 232, 1, // Opcode: DSRL32
-/* 343 */     MCD_OPC_FilterValue, 1, 121, 7, // Skip to: 2260
-/* 347 */     MCD_OPC_CheckPredicate, 37, 117, 7, // Skip to: 2260
-/* 351 */     MCD_OPC_Decode, 227, 4, 232, 1, // Opcode: DROTR32
-/* 356 */     MCD_OPC_FilterValue, 63, 108, 7, // Skip to: 2260
-/* 360 */     MCD_OPC_CheckPredicate, 17, 104, 7, // Skip to: 2260
-/* 364 */     MCD_OPC_CheckField, 21, 5, 0, 98, 7, // Skip to: 2260
-/* 370 */     MCD_OPC_Decode, 237, 4, 232, 1, // Opcode: DSRA32
+/* 334 */     MCD_OPC_CheckPredicate, 19, 234, 7, // Skip to: 2364
+/* 338 */     MCD_OPC_Decode, 132, 5, 254, 1, // Opcode: DSRL32
+/* 343 */     MCD_OPC_FilterValue, 1, 225, 7, // Skip to: 2364
+/* 347 */     MCD_OPC_CheckPredicate, 40, 221, 7, // Skip to: 2364
+/* 351 */     MCD_OPC_Decode, 247, 4, 254, 1, // Opcode: DROTR32
+/* 356 */     MCD_OPC_FilterValue, 63, 212, 7, // Skip to: 2364
+/* 360 */     MCD_OPC_CheckPredicate, 19, 208, 7, // Skip to: 2364
+/* 364 */     MCD_OPC_CheckField, 21, 5, 0, 202, 7, // Skip to: 2364
+/* 370 */     MCD_OPC_Decode, 129, 5, 254, 1, // Opcode: DSRA32
 /* 375 */     MCD_OPC_FilterValue, 16, 41, 0, // Skip to: 420
 /* 379 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 382 */     MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 401
-/* 386 */     MCD_OPC_CheckPredicate, 39, 78, 7, // Skip to: 2260
-/* 390 */     MCD_OPC_CheckField, 3, 8, 0, 72, 7, // Skip to: 2260
-/* 396 */     MCD_OPC_Decode, 176, 4, 233, 1, // Opcode: DMFC0
-/* 401 */     MCD_OPC_FilterValue, 5, 63, 7, // Skip to: 2260
-/* 405 */     MCD_OPC_CheckPredicate, 39, 59, 7, // Skip to: 2260
-/* 409 */     MCD_OPC_CheckField, 3, 8, 0, 53, 7, // Skip to: 2260
-/* 415 */     MCD_OPC_Decode, 181, 4, 233, 1, // Opcode: DMTC0
+/* 386 */     MCD_OPC_CheckPredicate, 42, 182, 7, // Skip to: 2364
+/* 390 */     MCD_OPC_CheckField, 3, 8, 0, 176, 7, // Skip to: 2364
+/* 396 */     MCD_OPC_Decode, 196, 4, 255, 1, // Opcode: DMFC0
+/* 401 */     MCD_OPC_FilterValue, 5, 167, 7, // Skip to: 2364
+/* 405 */     MCD_OPC_CheckPredicate, 42, 163, 7, // Skip to: 2364
+/* 409 */     MCD_OPC_CheckField, 3, 8, 0, 157, 7, // Skip to: 2364
+/* 415 */     MCD_OPC_Decode, 201, 4, 255, 1, // Opcode: DMTC0
 /* 420 */     MCD_OPC_FilterValue, 17, 222, 3, // Skip to: 1414
 /* 424 */     MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 427 */     MCD_OPC_FilterValue, 0, 54, 0, // Skip to: 485
 /* 431 */     MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 434 */     MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 453
-/* 438 */     MCD_OPC_CheckPredicate, 40, 26, 7, // Skip to: 2260
-/* 442 */     MCD_OPC_CheckField, 6, 5, 0, 20, 7, // Skip to: 2260
-/* 448 */     MCD_OPC_Decode, 146, 8, 234, 1, // Opcode: MFHC1_D64
+/* 438 */     MCD_OPC_CheckPredicate, 43, 130, 7, // Skip to: 2364
+/* 442 */     MCD_OPC_CheckField, 6, 5, 0, 124, 7, // Skip to: 2364
+/* 448 */     MCD_OPC_Decode, 184, 8, 128, 2, // Opcode: MFHC1_D64
 /* 453 */     MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 472
-/* 457 */     MCD_OPC_CheckPredicate, 40, 7, 7, // Skip to: 2260
-/* 461 */     MCD_OPC_CheckField, 6, 5, 0, 1, 7, // Skip to: 2260
-/* 467 */     MCD_OPC_Decode, 135, 9, 235, 1, // Opcode: MTHC1_D64
-/* 472 */     MCD_OPC_FilterValue, 17, 248, 6, // Skip to: 2260
-/* 476 */     MCD_OPC_CheckPredicate, 41, 244, 6, // Skip to: 2260
-/* 480 */     MCD_OPC_Decode, 151, 5, 210, 1, // Opcode: FADD_D64
+/* 457 */     MCD_OPC_CheckPredicate, 43, 111, 7, // Skip to: 2364
+/* 461 */     MCD_OPC_CheckField, 6, 5, 0, 105, 7, // Skip to: 2364
+/* 467 */     MCD_OPC_Decode, 174, 9, 129, 2, // Opcode: MTHC1_D64
+/* 472 */     MCD_OPC_FilterValue, 17, 96, 7, // Skip to: 2364
+/* 476 */     MCD_OPC_CheckPredicate, 44, 92, 7, // Skip to: 2364
+/* 480 */     MCD_OPC_Decode, 172, 5, 233, 1, // Opcode: FADD_D64
 /* 485 */     MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 504
-/* 489 */     MCD_OPC_CheckPredicate, 41, 231, 6, // Skip to: 2260
-/* 493 */     MCD_OPC_CheckField, 21, 5, 17, 225, 6, // Skip to: 2260
-/* 499 */     MCD_OPC_Decode, 153, 6, 210, 1, // Opcode: FSUB_D64
+/* 489 */     MCD_OPC_CheckPredicate, 44, 79, 7, // Skip to: 2364
+/* 493 */     MCD_OPC_CheckField, 21, 5, 17, 73, 7, // Skip to: 2364
+/* 499 */     MCD_OPC_Decode, 174, 6, 233, 1, // Opcode: FSUB_D64
 /* 504 */     MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 523
-/* 508 */     MCD_OPC_CheckPredicate, 41, 212, 6, // Skip to: 2260
-/* 512 */     MCD_OPC_CheckField, 21, 5, 17, 206, 6, // Skip to: 2260
-/* 518 */     MCD_OPC_Decode, 244, 5, 210, 1, // Opcode: FMUL_D64
+/* 508 */     MCD_OPC_CheckPredicate, 44, 60, 7, // Skip to: 2364
+/* 512 */     MCD_OPC_CheckField, 21, 5, 17, 54, 7, // Skip to: 2364
+/* 518 */     MCD_OPC_Decode, 137, 6, 233, 1, // Opcode: FMUL_D64
 /* 523 */     MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 542
-/* 527 */     MCD_OPC_CheckPredicate, 41, 193, 6, // Skip to: 2260
-/* 531 */     MCD_OPC_CheckField, 21, 5, 17, 187, 6, // Skip to: 2260
-/* 537 */     MCD_OPC_Decode, 187, 5, 210, 1, // Opcode: FDIV_D64
+/* 527 */     MCD_OPC_CheckPredicate, 44, 41, 7, // Skip to: 2364
+/* 531 */     MCD_OPC_CheckField, 21, 5, 17, 35, 7, // Skip to: 2364
+/* 537 */     MCD_OPC_Decode, 208, 5, 233, 1, // Opcode: FDIV_D64
 /* 542 */     MCD_OPC_FilterValue, 4, 15, 0, // Skip to: 561
-/* 546 */     MCD_OPC_CheckPredicate, 42, 174, 6, // Skip to: 2260
-/* 550 */     MCD_OPC_CheckField, 16, 10, 160, 4, 167, 6, // Skip to: 2260
-/* 557 */     MCD_OPC_Decode, 146, 6, 82, // Opcode: FSQRT_D64
+/* 546 */     MCD_OPC_CheckPredicate, 45, 22, 7, // Skip to: 2364
+/* 550 */     MCD_OPC_CheckField, 16, 10, 160, 4, 15, 7, // Skip to: 2364
+/* 557 */     MCD_OPC_Decode, 167, 6, 105, // Opcode: FSQRT_D64
 /* 561 */     MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 580
-/* 565 */     MCD_OPC_CheckPredicate, 41, 155, 6, // Skip to: 2260
-/* 569 */     MCD_OPC_CheckField, 16, 10, 160, 4, 148, 6, // Skip to: 2260
-/* 576 */     MCD_OPC_Decode, 144, 5, 82, // Opcode: FABS_D64
+/* 565 */     MCD_OPC_CheckPredicate, 44, 3, 7, // Skip to: 2364
+/* 569 */     MCD_OPC_CheckField, 16, 10, 160, 4, 252, 6, // Skip to: 2364
+/* 576 */     MCD_OPC_Decode, 165, 5, 105, // Opcode: FABS_D64
 /* 580 */     MCD_OPC_FilterValue, 6, 15, 0, // Skip to: 599
-/* 584 */     MCD_OPC_CheckPredicate, 41, 136, 6, // Skip to: 2260
-/* 588 */     MCD_OPC_CheckField, 16, 10, 160, 4, 129, 6, // Skip to: 2260
-/* 595 */     MCD_OPC_Decode, 237, 5, 82, // Opcode: FMOV_D64
+/* 584 */     MCD_OPC_CheckPredicate, 44, 240, 6, // Skip to: 2364
+/* 588 */     MCD_OPC_CheckField, 16, 10, 160, 4, 233, 6, // Skip to: 2364
+/* 595 */     MCD_OPC_Decode, 130, 6, 105, // Opcode: FMOV_D64
 /* 599 */     MCD_OPC_FilterValue, 7, 15, 0, // Skip to: 618
-/* 603 */     MCD_OPC_CheckPredicate, 41, 117, 6, // Skip to: 2260
-/* 607 */     MCD_OPC_CheckField, 16, 10, 160, 4, 110, 6, // Skip to: 2260
-/* 614 */     MCD_OPC_Decode, 250, 5, 82, // Opcode: FNEG_D64
+/* 603 */     MCD_OPC_CheckPredicate, 44, 221, 6, // Skip to: 2364
+/* 607 */     MCD_OPC_CheckField, 16, 10, 160, 4, 214, 6, // Skip to: 2364
+/* 614 */     MCD_OPC_Decode, 143, 6, 105, // Opcode: FNEG_D64
 /* 618 */     MCD_OPC_FilterValue, 8, 29, 0, // Skip to: 651
 /* 622 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 625 */     MCD_OPC_FilterValue, 128, 4, 8, 0, // Skip to: 638
-/* 630 */     MCD_OPC_CheckPredicate, 41, 90, 6, // Skip to: 2260
-/* 634 */     MCD_OPC_Decode, 193, 10, 75, // Opcode: ROUND_L_S
-/* 638 */     MCD_OPC_FilterValue, 160, 4, 81, 6, // Skip to: 2260
-/* 643 */     MCD_OPC_CheckPredicate, 41, 77, 6, // Skip to: 2260
-/* 647 */     MCD_OPC_Decode, 192, 10, 82, // Opcode: ROUND_L_D64
+/* 630 */     MCD_OPC_CheckPredicate, 44, 194, 6, // Skip to: 2364
+/* 634 */     MCD_OPC_Decode, 252, 10, 98, // Opcode: ROUND_L_S
+/* 638 */     MCD_OPC_FilterValue, 160, 4, 185, 6, // Skip to: 2364
+/* 643 */     MCD_OPC_CheckPredicate, 44, 181, 6, // Skip to: 2364
+/* 647 */     MCD_OPC_Decode, 251, 10, 105, // Opcode: ROUND_L_D64
 /* 651 */     MCD_OPC_FilterValue, 9, 29, 0, // Skip to: 684
 /* 655 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 658 */     MCD_OPC_FilterValue, 128, 4, 8, 0, // Skip to: 671
-/* 663 */     MCD_OPC_CheckPredicate, 41, 57, 6, // Skip to: 2260
-/* 667 */     MCD_OPC_Decode, 141, 13, 75, // Opcode: TRUNC_L_S
-/* 671 */     MCD_OPC_FilterValue, 160, 4, 48, 6, // Skip to: 2260
-/* 676 */     MCD_OPC_CheckPredicate, 41, 44, 6, // Skip to: 2260
-/* 680 */     MCD_OPC_Decode, 140, 13, 82, // Opcode: TRUNC_L_D64
+/* 663 */     MCD_OPC_CheckPredicate, 44, 161, 6, // Skip to: 2364
+/* 667 */     MCD_OPC_Decode, 215, 13, 98, // Opcode: TRUNC_L_S
+/* 671 */     MCD_OPC_FilterValue, 160, 4, 152, 6, // Skip to: 2364
+/* 676 */     MCD_OPC_CheckPredicate, 44, 148, 6, // Skip to: 2364
+/* 680 */     MCD_OPC_Decode, 214, 13, 105, // Opcode: TRUNC_L_D64
 /* 684 */     MCD_OPC_FilterValue, 10, 29, 0, // Skip to: 717
 /* 688 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 691 */     MCD_OPC_FilterValue, 128, 4, 8, 0, // Skip to: 704
-/* 696 */     MCD_OPC_CheckPredicate, 41, 24, 6, // Skip to: 2260
-/* 700 */     MCD_OPC_Decode, 204, 2, 75, // Opcode: CEIL_L_S
-/* 704 */     MCD_OPC_FilterValue, 160, 4, 15, 6, // Skip to: 2260
-/* 709 */     MCD_OPC_CheckPredicate, 41, 11, 6, // Skip to: 2260
-/* 713 */     MCD_OPC_Decode, 203, 2, 82, // Opcode: CEIL_L_D64
+/* 696 */     MCD_OPC_CheckPredicate, 44, 128, 6, // Skip to: 2364
+/* 700 */     MCD_OPC_Decode, 224, 2, 98, // Opcode: CEIL_L_S
+/* 704 */     MCD_OPC_FilterValue, 160, 4, 119, 6, // Skip to: 2364
+/* 709 */     MCD_OPC_CheckPredicate, 44, 115, 6, // Skip to: 2364
+/* 713 */     MCD_OPC_Decode, 223, 2, 105, // Opcode: CEIL_L_D64
 /* 717 */     MCD_OPC_FilterValue, 11, 29, 0, // Skip to: 750
 /* 721 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 724 */     MCD_OPC_FilterValue, 128, 4, 8, 0, // Skip to: 737
-/* 729 */     MCD_OPC_CheckPredicate, 41, 247, 5, // Skip to: 2260
-/* 733 */     MCD_OPC_Decode, 219, 5, 75, // Opcode: FLOOR_L_S
-/* 737 */     MCD_OPC_FilterValue, 160, 4, 238, 5, // Skip to: 2260
-/* 742 */     MCD_OPC_CheckPredicate, 41, 234, 5, // Skip to: 2260
-/* 746 */     MCD_OPC_Decode, 218, 5, 82, // Opcode: FLOOR_L_D64
+/* 729 */     MCD_OPC_CheckPredicate, 44, 95, 6, // Skip to: 2364
+/* 733 */     MCD_OPC_Decode, 240, 5, 98, // Opcode: FLOOR_L_S
+/* 737 */     MCD_OPC_FilterValue, 160, 4, 86, 6, // Skip to: 2364
+/* 742 */     MCD_OPC_CheckPredicate, 44, 82, 6, // Skip to: 2364
+/* 746 */     MCD_OPC_Decode, 239, 5, 105, // Opcode: FLOOR_L_D64
 /* 750 */     MCD_OPC_FilterValue, 12, 16, 0, // Skip to: 770
-/* 754 */     MCD_OPC_CheckPredicate, 42, 222, 5, // Skip to: 2260
-/* 758 */     MCD_OPC_CheckField, 16, 10, 160, 4, 215, 5, // Skip to: 2260
-/* 765 */     MCD_OPC_Decode, 195, 10, 236, 1, // Opcode: ROUND_W_D64
+/* 754 */     MCD_OPC_CheckPredicate, 45, 70, 6, // Skip to: 2364
+/* 758 */     MCD_OPC_CheckField, 16, 10, 160, 4, 63, 6, // Skip to: 2364
+/* 765 */     MCD_OPC_Decode, 254, 10, 130, 2, // Opcode: ROUND_W_D64
 /* 770 */     MCD_OPC_FilterValue, 13, 16, 0, // Skip to: 790
-/* 774 */     MCD_OPC_CheckPredicate, 42, 202, 5, // Skip to: 2260
-/* 778 */     MCD_OPC_CheckField, 16, 10, 160, 4, 195, 5, // Skip to: 2260
-/* 785 */     MCD_OPC_Decode, 143, 13, 236, 1, // Opcode: TRUNC_W_D64
+/* 774 */     MCD_OPC_CheckPredicate, 45, 50, 6, // Skip to: 2364
+/* 778 */     MCD_OPC_CheckField, 16, 10, 160, 4, 43, 6, // Skip to: 2364
+/* 785 */     MCD_OPC_Decode, 217, 13, 130, 2, // Opcode: TRUNC_W_D64
 /* 790 */     MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 810
-/* 794 */     MCD_OPC_CheckPredicate, 42, 182, 5, // Skip to: 2260
-/* 798 */     MCD_OPC_CheckField, 16, 10, 160, 4, 175, 5, // Skip to: 2260
-/* 805 */     MCD_OPC_Decode, 206, 2, 236, 1, // Opcode: CEIL_W_D64
+/* 794 */     MCD_OPC_CheckPredicate, 45, 30, 6, // Skip to: 2364
+/* 798 */     MCD_OPC_CheckField, 16, 10, 160, 4, 23, 6, // Skip to: 2364
+/* 805 */     MCD_OPC_Decode, 226, 2, 130, 2, // Opcode: CEIL_W_D64
 /* 810 */     MCD_OPC_FilterValue, 15, 16, 0, // Skip to: 830
-/* 814 */     MCD_OPC_CheckPredicate, 42, 162, 5, // Skip to: 2260
-/* 818 */     MCD_OPC_CheckField, 16, 10, 160, 4, 155, 5, // Skip to: 2260
-/* 825 */     MCD_OPC_Decode, 221, 5, 236, 1, // Opcode: FLOOR_W_D64
+/* 814 */     MCD_OPC_CheckPredicate, 45, 10, 6, // Skip to: 2364
+/* 818 */     MCD_OPC_CheckField, 16, 10, 160, 4, 3, 6, // Skip to: 2364
+/* 825 */     MCD_OPC_Decode, 242, 5, 130, 2, // Opcode: FLOOR_W_D64
 /* 830 */     MCD_OPC_FilterValue, 17, 41, 0, // Skip to: 875
 /* 834 */     MCD_OPC_ExtractField, 16, 2,  // Inst{17-16} ...
 /* 837 */     MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 856
-/* 841 */     MCD_OPC_CheckPredicate, 43, 135, 5, // Skip to: 2260
-/* 845 */     MCD_OPC_CheckField, 21, 5, 17, 129, 5, // Skip to: 2260
-/* 851 */     MCD_OPC_Decode, 199, 8, 237, 1, // Opcode: MOVF_D64
-/* 856 */     MCD_OPC_FilterValue, 1, 120, 5, // Skip to: 2260
-/* 860 */     MCD_OPC_CheckPredicate, 43, 116, 5, // Skip to: 2260
-/* 864 */     MCD_OPC_CheckField, 21, 5, 17, 110, 5, // Skip to: 2260
-/* 870 */     MCD_OPC_Decode, 219, 8, 237, 1, // Opcode: MOVT_D64
+/* 841 */     MCD_OPC_CheckPredicate, 46, 239, 5, // Skip to: 2364
+/* 845 */     MCD_OPC_CheckField, 21, 5, 17, 233, 5, // Skip to: 2364
+/* 851 */     MCD_OPC_Decode, 238, 8, 131, 2, // Opcode: MOVF_D64
+/* 856 */     MCD_OPC_FilterValue, 1, 224, 5, // Skip to: 2364
+/* 860 */     MCD_OPC_CheckPredicate, 46, 220, 5, // Skip to: 2364
+/* 864 */     MCD_OPC_CheckField, 21, 5, 17, 214, 5, // Skip to: 2364
+/* 870 */     MCD_OPC_Decode, 130, 9, 131, 2, // Opcode: MOVT_D64
 /* 875 */     MCD_OPC_FilterValue, 18, 15, 0, // Skip to: 894
-/* 879 */     MCD_OPC_CheckPredicate, 43, 97, 5, // Skip to: 2260
-/* 883 */     MCD_OPC_CheckField, 21, 5, 17, 91, 5, // Skip to: 2260
-/* 889 */     MCD_OPC_Decode, 231, 8, 238, 1, // Opcode: MOVZ_I_D64
+/* 879 */     MCD_OPC_CheckPredicate, 46, 201, 5, // Skip to: 2364
+/* 883 */     MCD_OPC_CheckField, 21, 5, 17, 195, 5, // Skip to: 2364
+/* 889 */     MCD_OPC_Decode, 142, 9, 132, 2, // Opcode: MOVZ_I_D64
 /* 894 */     MCD_OPC_FilterValue, 19, 15, 0, // Skip to: 913
-/* 898 */     MCD_OPC_CheckPredicate, 43, 78, 5, // Skip to: 2260
-/* 902 */     MCD_OPC_CheckField, 21, 5, 17, 72, 5, // Skip to: 2260
-/* 908 */     MCD_OPC_Decode, 211, 8, 238, 1, // Opcode: MOVN_I_D64
+/* 898 */     MCD_OPC_CheckPredicate, 46, 182, 5, // Skip to: 2364
+/* 902 */     MCD_OPC_CheckField, 21, 5, 17, 176, 5, // Skip to: 2364
+/* 908 */     MCD_OPC_Decode, 250, 8, 132, 2, // Opcode: MOVN_I_D64
 /* 913 */     MCD_OPC_FilterValue, 32, 31, 0, // Skip to: 948
 /* 917 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 920 */     MCD_OPC_FilterValue, 160, 4, 9, 0, // Skip to: 934
-/* 925 */     MCD_OPC_CheckPredicate, 41, 51, 5, // Skip to: 2260
-/* 929 */     MCD_OPC_Decode, 206, 3, 236, 1, // Opcode: CVT_S_D64
-/* 934 */     MCD_OPC_FilterValue, 160, 5, 41, 5, // Skip to: 2260
-/* 939 */     MCD_OPC_CheckPredicate, 41, 37, 5, // Skip to: 2260
-/* 943 */     MCD_OPC_Decode, 207, 3, 236, 1, // Opcode: CVT_S_L
+/* 925 */     MCD_OPC_CheckPredicate, 44, 155, 5, // Skip to: 2364
+/* 929 */     MCD_OPC_Decode, 226, 3, 130, 2, // Opcode: CVT_S_D64
+/* 934 */     MCD_OPC_FilterValue, 160, 5, 145, 5, // Skip to: 2364
+/* 939 */     MCD_OPC_CheckPredicate, 44, 141, 5, // Skip to: 2364
+/* 943 */     MCD_OPC_Decode, 227, 3, 130, 2, // Opcode: CVT_S_L
 /* 948 */     MCD_OPC_FilterValue, 33, 42, 0, // Skip to: 994
 /* 952 */     MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
 /* 955 */     MCD_OPC_FilterValue, 128, 4, 8, 0, // Skip to: 968
-/* 960 */     MCD_OPC_CheckPredicate, 41, 16, 5, // Skip to: 2260
-/* 964 */     MCD_OPC_Decode, 197, 3, 75, // Opcode: CVT_D64_S
+/* 960 */     MCD_OPC_CheckPredicate, 44, 120, 5, // Skip to: 2364
+/* 964 */     MCD_OPC_Decode, 217, 3, 98, // Opcode: CVT_D64_S
 /* 968 */     MCD_OPC_FilterValue, 128, 5, 8, 0, // Skip to: 981
-/* 973 */     MCD_OPC_CheckPredicate, 41, 3, 5, // Skip to: 2260
-/* 977 */     MCD_OPC_Decode, 198, 3, 75, // Opcode: CVT_D64_W
-/* 981 */     MCD_OPC_FilterValue, 160, 5, 250, 4, // Skip to: 2260
-/* 986 */     MCD_OPC_CheckPredicate, 41, 246, 4, // Skip to: 2260
-/* 990 */     MCD_OPC_Decode, 196, 3, 82, // Opcode: CVT_D64_L
+/* 973 */     MCD_OPC_CheckPredicate, 44, 107, 5, // Skip to: 2364
+/* 977 */     MCD_OPC_Decode, 218, 3, 98, // Opcode: CVT_D64_W
+/* 981 */     MCD_OPC_FilterValue, 160, 5, 98, 5, // Skip to: 2364
+/* 986 */     MCD_OPC_CheckPredicate, 44, 94, 5, // Skip to: 2364
+/* 990 */     MCD_OPC_Decode, 216, 3, 105, // Opcode: CVT_D64_L
 /* 994 */     MCD_OPC_FilterValue, 36, 16, 0, // Skip to: 1014
-/* 998 */     MCD_OPC_CheckPredicate, 41, 234, 4, // Skip to: 2260
-/* 1002 */    MCD_OPC_CheckField, 16, 10, 160, 4, 227, 4, // Skip to: 2260
-/* 1009 */    MCD_OPC_Decode, 211, 3, 236, 1, // Opcode: CVT_W_D64
+/* 998 */     MCD_OPC_CheckPredicate, 44, 82, 5, // Skip to: 2364
+/* 1002 */    MCD_OPC_CheckField, 16, 10, 160, 4, 75, 5, // Skip to: 2364
+/* 1009 */    MCD_OPC_Decode, 231, 3, 130, 2, // Opcode: CVT_W_D64
 /* 1014 */    MCD_OPC_FilterValue, 48, 21, 0, // Skip to: 1039
-/* 1018 */    MCD_OPC_CheckPredicate, 44, 214, 4, // Skip to: 2260
-/* 1022 */    MCD_OPC_CheckField, 21, 5, 17, 208, 4, // Skip to: 2260
-/* 1028 */    MCD_OPC_CheckField, 6, 5, 0, 202, 4, // Skip to: 2260
-/* 1034 */    MCD_OPC_Decode, 219, 3, 239, 1, // Opcode: C_F_D64
+/* 1018 */    MCD_OPC_CheckPredicate, 47, 62, 5, // Skip to: 2364
+/* 1022 */    MCD_OPC_CheckField, 21, 5, 17, 56, 5, // Skip to: 2364
+/* 1028 */    MCD_OPC_CheckField, 6, 5, 0, 50, 5, // Skip to: 2364
+/* 1034 */    MCD_OPC_Decode, 239, 3, 133, 2, // Opcode: C_F_D64
 /* 1039 */    MCD_OPC_FilterValue, 49, 21, 0, // Skip to: 1064
-/* 1043 */    MCD_OPC_CheckPredicate, 44, 189, 4, // Skip to: 2260
-/* 1047 */    MCD_OPC_CheckField, 21, 5, 17, 183, 4, // Skip to: 2260
-/* 1053 */    MCD_OPC_CheckField, 6, 5, 0, 177, 4, // Skip to: 2260
-/* 1059 */    MCD_OPC_Decode, 133, 4, 239, 1, // Opcode: C_UN_D64
+/* 1043 */    MCD_OPC_CheckPredicate, 47, 37, 5, // Skip to: 2364
+/* 1047 */    MCD_OPC_CheckField, 21, 5, 17, 31, 5, // Skip to: 2364
+/* 1053 */    MCD_OPC_CheckField, 6, 5, 0, 25, 5, // Skip to: 2364
+/* 1059 */    MCD_OPC_Decode, 153, 4, 133, 2, // Opcode: C_UN_D64
 /* 1064 */    MCD_OPC_FilterValue, 50, 21, 0, // Skip to: 1089
-/* 1068 */    MCD_OPC_CheckPredicate, 44, 164, 4, // Skip to: 2260
-/* 1072 */    MCD_OPC_CheckField, 21, 5, 17, 158, 4, // Skip to: 2260
-/* 1078 */    MCD_OPC_CheckField, 6, 5, 0, 152, 4, // Skip to: 2260
-/* 1084 */    MCD_OPC_Decode, 216, 3, 239, 1, // Opcode: C_EQ_D64
+/* 1068 */    MCD_OPC_CheckPredicate, 47, 12, 5, // Skip to: 2364
+/* 1072 */    MCD_OPC_CheckField, 21, 5, 17, 6, 5, // Skip to: 2364
+/* 1078 */    MCD_OPC_CheckField, 6, 5, 0, 0, 5, // Skip to: 2364
+/* 1084 */    MCD_OPC_Decode, 236, 3, 133, 2, // Opcode: C_EQ_D64
 /* 1089 */    MCD_OPC_FilterValue, 51, 21, 0, // Skip to: 1114
-/* 1093 */    MCD_OPC_CheckPredicate, 44, 139, 4, // Skip to: 2260
-/* 1097 */    MCD_OPC_CheckField, 21, 5, 17, 133, 4, // Skip to: 2260
-/* 1103 */    MCD_OPC_CheckField, 6, 5, 0, 127, 4, // Skip to: 2260
-/* 1109 */    MCD_OPC_Decode, 252, 3, 239, 1, // Opcode: C_UEQ_D64
+/* 1093 */    MCD_OPC_CheckPredicate, 47, 243, 4, // Skip to: 2364
+/* 1097 */    MCD_OPC_CheckField, 21, 5, 17, 237, 4, // Skip to: 2364
+/* 1103 */    MCD_OPC_CheckField, 6, 5, 0, 231, 4, // Skip to: 2364
+/* 1109 */    MCD_OPC_Decode, 144, 4, 133, 2, // Opcode: C_UEQ_D64
 /* 1114 */    MCD_OPC_FilterValue, 52, 21, 0, // Skip to: 1139
-/* 1118 */    MCD_OPC_CheckPredicate, 44, 114, 4, // Skip to: 2260
-/* 1122 */    MCD_OPC_CheckField, 21, 5, 17, 108, 4, // Skip to: 2260
-/* 1128 */    MCD_OPC_CheckField, 6, 5, 0, 102, 4, // Skip to: 2260
-/* 1134 */    MCD_OPC_Decode, 243, 3, 239, 1, // Opcode: C_OLT_D64
+/* 1118 */    MCD_OPC_CheckPredicate, 47, 218, 4, // Skip to: 2364
+/* 1122 */    MCD_OPC_CheckField, 21, 5, 17, 212, 4, // Skip to: 2364
+/* 1128 */    MCD_OPC_CheckField, 6, 5, 0, 206, 4, // Skip to: 2364
+/* 1134 */    MCD_OPC_Decode, 135, 4, 133, 2, // Opcode: C_OLT_D64
 /* 1139 */    MCD_OPC_FilterValue, 53, 21, 0, // Skip to: 1164
-/* 1143 */    MCD_OPC_CheckPredicate, 44, 89, 4, // Skip to: 2260
-/* 1147 */    MCD_OPC_CheckField, 21, 5, 17, 83, 4, // Skip to: 2260
-/* 1153 */    MCD_OPC_CheckField, 6, 5, 0, 77, 4, // Skip to: 2260
-/* 1159 */    MCD_OPC_Decode, 130, 4, 239, 1, // Opcode: C_ULT_D64
+/* 1143 */    MCD_OPC_CheckPredicate, 47, 193, 4, // Skip to: 2364
+/* 1147 */    MCD_OPC_CheckField, 21, 5, 17, 187, 4, // Skip to: 2364
+/* 1153 */    MCD_OPC_CheckField, 6, 5, 0, 181, 4, // Skip to: 2364
+/* 1159 */    MCD_OPC_Decode, 150, 4, 133, 2, // Opcode: C_ULT_D64
 /* 1164 */    MCD_OPC_FilterValue, 54, 21, 0, // Skip to: 1189
-/* 1168 */    MCD_OPC_CheckPredicate, 44, 64, 4, // Skip to: 2260
-/* 1172 */    MCD_OPC_CheckField, 21, 5, 17, 58, 4, // Skip to: 2260
-/* 1178 */    MCD_OPC_CheckField, 6, 5, 0, 52, 4, // Skip to: 2260
-/* 1184 */    MCD_OPC_Decode, 240, 3, 239, 1, // Opcode: C_OLE_D64
+/* 1168 */    MCD_OPC_CheckPredicate, 47, 168, 4, // Skip to: 2364
+/* 1172 */    MCD_OPC_CheckField, 21, 5, 17, 162, 4, // Skip to: 2364
+/* 1178 */    MCD_OPC_CheckField, 6, 5, 0, 156, 4, // Skip to: 2364
+/* 1184 */    MCD_OPC_Decode, 132, 4, 133, 2, // Opcode: C_OLE_D64
 /* 1189 */    MCD_OPC_FilterValue, 55, 21, 0, // Skip to: 1214
-/* 1193 */    MCD_OPC_CheckPredicate, 44, 39, 4, // Skip to: 2260
-/* 1197 */    MCD_OPC_CheckField, 21, 5, 17, 33, 4, // Skip to: 2260
-/* 1203 */    MCD_OPC_CheckField, 6, 5, 0, 27, 4, // Skip to: 2260
-/* 1209 */    MCD_OPC_Decode, 255, 3, 239, 1, // Opcode: C_ULE_D64
+/* 1193 */    MCD_OPC_CheckPredicate, 47, 143, 4, // Skip to: 2364
+/* 1197 */    MCD_OPC_CheckField, 21, 5, 17, 137, 4, // Skip to: 2364
+/* 1203 */    MCD_OPC_CheckField, 6, 5, 0, 131, 4, // Skip to: 2364
+/* 1209 */    MCD_OPC_Decode, 147, 4, 133, 2, // Opcode: C_ULE_D64
 /* 1214 */    MCD_OPC_FilterValue, 56, 21, 0, // Skip to: 1239
-/* 1218 */    MCD_OPC_CheckPredicate, 44, 14, 4, // Skip to: 2260
-/* 1222 */    MCD_OPC_CheckField, 21, 5, 17, 8, 4, // Skip to: 2260
-/* 1228 */    MCD_OPC_CheckField, 6, 5, 0, 2, 4, // Skip to: 2260
-/* 1234 */    MCD_OPC_Decode, 249, 3, 239, 1, // Opcode: C_SF_D64
+/* 1218 */    MCD_OPC_CheckPredicate, 47, 118, 4, // Skip to: 2364
+/* 1222 */    MCD_OPC_CheckField, 21, 5, 17, 112, 4, // Skip to: 2364
+/* 1228 */    MCD_OPC_CheckField, 6, 5, 0, 106, 4, // Skip to: 2364
+/* 1234 */    MCD_OPC_Decode, 141, 4, 133, 2, // Opcode: C_SF_D64
 /* 1239 */    MCD_OPC_FilterValue, 57, 21, 0, // Skip to: 1264
-/* 1243 */    MCD_OPC_CheckPredicate, 44, 245, 3, // Skip to: 2260
-/* 1247 */    MCD_OPC_CheckField, 21, 5, 17, 239, 3, // Skip to: 2260
-/* 1253 */    MCD_OPC_CheckField, 6, 5, 0, 233, 3, // Skip to: 2260
-/* 1259 */    MCD_OPC_Decode, 231, 3, 239, 1, // Opcode: C_NGLE_D64
+/* 1243 */    MCD_OPC_CheckPredicate, 47, 93, 4, // Skip to: 2364
+/* 1247 */    MCD_OPC_CheckField, 21, 5, 17, 87, 4, // Skip to: 2364
+/* 1253 */    MCD_OPC_CheckField, 6, 5, 0, 81, 4, // Skip to: 2364
+/* 1259 */    MCD_OPC_Decode, 251, 3, 133, 2, // Opcode: C_NGLE_D64
 /* 1264 */    MCD_OPC_FilterValue, 58, 21, 0, // Skip to: 1289
-/* 1268 */    MCD_OPC_CheckPredicate, 44, 220, 3, // Skip to: 2260
-/* 1272 */    MCD_OPC_CheckField, 21, 5, 17, 214, 3, // Skip to: 2260
-/* 1278 */    MCD_OPC_CheckField, 6, 5, 0, 208, 3, // Skip to: 2260
-/* 1284 */    MCD_OPC_Decode, 246, 3, 239, 1, // Opcode: C_SEQ_D64
+/* 1268 */    MCD_OPC_CheckPredicate, 47, 68, 4, // Skip to: 2364
+/* 1272 */    MCD_OPC_CheckField, 21, 5, 17, 62, 4, // Skip to: 2364
+/* 1278 */    MCD_OPC_CheckField, 6, 5, 0, 56, 4, // Skip to: 2364
+/* 1284 */    MCD_OPC_Decode, 138, 4, 133, 2, // Opcode: C_SEQ_D64
 /* 1289 */    MCD_OPC_FilterValue, 59, 21, 0, // Skip to: 1314
-/* 1293 */    MCD_OPC_CheckPredicate, 44, 195, 3, // Skip to: 2260
-/* 1297 */    MCD_OPC_CheckField, 21, 5, 17, 189, 3, // Skip to: 2260
-/* 1303 */    MCD_OPC_CheckField, 6, 5, 0, 183, 3, // Skip to: 2260
-/* 1309 */    MCD_OPC_Decode, 234, 3, 239, 1, // Opcode: C_NGL_D64
+/* 1293 */    MCD_OPC_CheckPredicate, 47, 43, 4, // Skip to: 2364
+/* 1297 */    MCD_OPC_CheckField, 21, 5, 17, 37, 4, // Skip to: 2364
+/* 1303 */    MCD_OPC_CheckField, 6, 5, 0, 31, 4, // Skip to: 2364
+/* 1309 */    MCD_OPC_Decode, 254, 3, 133, 2, // Opcode: C_NGL_D64
 /* 1314 */    MCD_OPC_FilterValue, 60, 21, 0, // Skip to: 1339
-/* 1318 */    MCD_OPC_CheckPredicate, 44, 170, 3, // Skip to: 2260
-/* 1322 */    MCD_OPC_CheckField, 21, 5, 17, 164, 3, // Skip to: 2260
-/* 1328 */    MCD_OPC_CheckField, 6, 5, 0, 158, 3, // Skip to: 2260
-/* 1334 */    MCD_OPC_Decode, 225, 3, 239, 1, // Opcode: C_LT_D64
+/* 1318 */    MCD_OPC_CheckPredicate, 47, 18, 4, // Skip to: 2364
+/* 1322 */    MCD_OPC_CheckField, 21, 5, 17, 12, 4, // Skip to: 2364
+/* 1328 */    MCD_OPC_CheckField, 6, 5, 0, 6, 4, // Skip to: 2364
+/* 1334 */    MCD_OPC_Decode, 245, 3, 133, 2, // Opcode: C_LT_D64
 /* 1339 */    MCD_OPC_FilterValue, 61, 21, 0, // Skip to: 1364
-/* 1343 */    MCD_OPC_CheckPredicate, 44, 145, 3, // Skip to: 2260
-/* 1347 */    MCD_OPC_CheckField, 21, 5, 17, 139, 3, // Skip to: 2260
-/* 1353 */    MCD_OPC_CheckField, 6, 5, 0, 133, 3, // Skip to: 2260
-/* 1359 */    MCD_OPC_Decode, 228, 3, 239, 1, // Opcode: C_NGE_D64
+/* 1343 */    MCD_OPC_CheckPredicate, 47, 249, 3, // Skip to: 2364
+/* 1347 */    MCD_OPC_CheckField, 21, 5, 17, 243, 3, // Skip to: 2364
+/* 1353 */    MCD_OPC_CheckField, 6, 5, 0, 237, 3, // Skip to: 2364
+/* 1359 */    MCD_OPC_Decode, 248, 3, 133, 2, // Opcode: C_NGE_D64
 /* 1364 */    MCD_OPC_FilterValue, 62, 21, 0, // Skip to: 1389
-/* 1368 */    MCD_OPC_CheckPredicate, 44, 120, 3, // Skip to: 2260
-/* 1372 */    MCD_OPC_CheckField, 21, 5, 17, 114, 3, // Skip to: 2260
-/* 1378 */    MCD_OPC_CheckField, 6, 5, 0, 108, 3, // Skip to: 2260
-/* 1384 */    MCD_OPC_Decode, 222, 3, 239, 1, // Opcode: C_LE_D64
-/* 1389 */    MCD_OPC_FilterValue, 63, 99, 3, // Skip to: 2260
-/* 1393 */    MCD_OPC_CheckPredicate, 44, 95, 3, // Skip to: 2260
-/* 1397 */    MCD_OPC_CheckField, 21, 5, 17, 89, 3, // Skip to: 2260
-/* 1403 */    MCD_OPC_CheckField, 6, 5, 0, 83, 3, // Skip to: 2260
-/* 1409 */    MCD_OPC_Decode, 237, 3, 239, 1, // Opcode: C_NGT_D64
+/* 1368 */    MCD_OPC_CheckPredicate, 47, 224, 3, // Skip to: 2364
+/* 1372 */    MCD_OPC_CheckField, 21, 5, 17, 218, 3, // Skip to: 2364
+/* 1378 */    MCD_OPC_CheckField, 6, 5, 0, 212, 3, // Skip to: 2364
+/* 1384 */    MCD_OPC_Decode, 242, 3, 133, 2, // Opcode: C_LE_D64
+/* 1389 */    MCD_OPC_FilterValue, 63, 203, 3, // Skip to: 2364
+/* 1393 */    MCD_OPC_CheckPredicate, 47, 199, 3, // Skip to: 2364
+/* 1397 */    MCD_OPC_CheckField, 21, 5, 17, 193, 3, // Skip to: 2364
+/* 1403 */    MCD_OPC_CheckField, 6, 5, 0, 187, 3, // Skip to: 2364
+/* 1409 */    MCD_OPC_Decode, 129, 4, 133, 2, // Opcode: C_NGT_D64
 /* 1414 */    MCD_OPC_FilterValue, 18, 41, 0, // Skip to: 1459
 /* 1418 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
 /* 1421 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 1440
-/* 1425 */    MCD_OPC_CheckPredicate, 39, 63, 3, // Skip to: 2260
-/* 1429 */    MCD_OPC_CheckField, 3, 8, 0, 57, 3, // Skip to: 2260
-/* 1435 */    MCD_OPC_Decode, 178, 4, 233, 1, // Opcode: DMFC2
-/* 1440 */    MCD_OPC_FilterValue, 5, 48, 3, // Skip to: 2260
-/* 1444 */    MCD_OPC_CheckPredicate, 39, 44, 3, // Skip to: 2260
-/* 1448 */    MCD_OPC_CheckField, 3, 8, 0, 38, 3, // Skip to: 2260
-/* 1454 */    MCD_OPC_Decode, 183, 4, 233, 1, // Opcode: DMTC2
-/* 1459 */    MCD_OPC_FilterValue, 19, 79, 0, // Skip to: 1542
+/* 1425 */    MCD_OPC_CheckPredicate, 42, 167, 3, // Skip to: 2364
+/* 1429 */    MCD_OPC_CheckField, 3, 8, 0, 161, 3, // Skip to: 2364
+/* 1435 */    MCD_OPC_Decode, 198, 4, 255, 1, // Opcode: DMFC2
+/* 1440 */    MCD_OPC_FilterValue, 5, 152, 3, // Skip to: 2364
+/* 1444 */    MCD_OPC_CheckPredicate, 42, 148, 3, // Skip to: 2364
+/* 1448 */    MCD_OPC_CheckField, 3, 8, 0, 142, 3, // Skip to: 2364
+/* 1454 */    MCD_OPC_Decode, 203, 4, 255, 1, // Opcode: DMTC2
+/* 1459 */    MCD_OPC_FilterValue, 19, 131, 0, // Skip to: 1594
 /* 1463 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
 /* 1466 */    MCD_OPC_FilterValue, 1, 15, 0, // Skip to: 1485
-/* 1470 */    MCD_OPC_CheckPredicate, 45, 18, 3, // Skip to: 2260
-/* 1474 */    MCD_OPC_CheckField, 11, 5, 0, 12, 3, // Skip to: 2260
-/* 1480 */    MCD_OPC_Decode, 148, 7, 240, 1, // Opcode: LDXC164
+/* 1470 */    MCD_OPC_CheckPredicate, 48, 122, 3, // Skip to: 2364
+/* 1474 */    MCD_OPC_CheckField, 11, 5, 0, 116, 3, // Skip to: 2364
+/* 1480 */    MCD_OPC_Decode, 176, 7, 134, 2, // Opcode: LDXC164
 /* 1485 */    MCD_OPC_FilterValue, 5, 15, 0, // Skip to: 1504
-/* 1489 */    MCD_OPC_CheckPredicate, 46, 255, 2, // Skip to: 2260
-/* 1493 */    MCD_OPC_CheckField, 11, 5, 0, 249, 2, // Skip to: 2260
-/* 1499 */    MCD_OPC_Decode, 178, 7, 240, 1, // Opcode: LUXC164
+/* 1489 */    MCD_OPC_CheckPredicate, 49, 103, 3, // Skip to: 2364
+/* 1493 */    MCD_OPC_CheckField, 11, 5, 0, 97, 3, // Skip to: 2364
+/* 1499 */    MCD_OPC_Decode, 208, 7, 134, 2, // Opcode: LUXC164
 /* 1504 */    MCD_OPC_FilterValue, 9, 15, 0, // Skip to: 1523
-/* 1508 */    MCD_OPC_CheckPredicate, 45, 236, 2, // Skip to: 2260
-/* 1512 */    MCD_OPC_CheckField, 6, 5, 0, 230, 2, // Skip to: 2260
-/* 1518 */    MCD_OPC_Decode, 233, 10, 241, 1, // Opcode: SDXC164
-/* 1523 */    MCD_OPC_FilterValue, 13, 221, 2, // Skip to: 2260
-/* 1527 */    MCD_OPC_CheckPredicate, 46, 217, 2, // Skip to: 2260
-/* 1531 */    MCD_OPC_CheckField, 6, 5, 0, 211, 2, // Skip to: 2260
-/* 1537 */    MCD_OPC_Decode, 166, 12, 241, 1, // Opcode: SUXC164
-/* 1542 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 1555
-/* 1546 */    MCD_OPC_CheckPredicate, 38, 198, 2, // Skip to: 2260
-/* 1550 */    MCD_OPC_Decode, 140, 4, 242, 1, // Opcode: DADDi
-/* 1555 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 1568
-/* 1559 */    MCD_OPC_CheckPredicate, 17, 185, 2, // Skip to: 2260
-/* 1563 */    MCD_OPC_Decode, 141, 4, 242, 1, // Opcode: DADDiu
-/* 1568 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 1581
-/* 1572 */    MCD_OPC_CheckPredicate, 38, 172, 2, // Skip to: 2260
-/* 1576 */    MCD_OPC_Decode, 144, 7, 194, 1, // Opcode: LDL
-/* 1581 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 1594
-/* 1585 */    MCD_OPC_CheckPredicate, 38, 159, 2, // Skip to: 2260
-/* 1589 */    MCD_OPC_Decode, 146, 7, 194, 1, // Opcode: LDR
-/* 1594 */    MCD_OPC_FilterValue, 28, 159, 1, // Skip to: 2013
-/* 1598 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 1601 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 1620
-/* 1605 */    MCD_OPC_CheckPredicate, 47, 139, 2, // Skip to: 2260
-/* 1609 */    MCD_OPC_CheckField, 6, 5, 0, 133, 2, // Skip to: 2260
-/* 1615 */    MCD_OPC_Decode, 186, 4, 201, 1, // Opcode: DMUL
-/* 1620 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 1639
-/* 1624 */    MCD_OPC_CheckPredicate, 47, 120, 2, // Skip to: 2260
-/* 1628 */    MCD_OPC_CheckField, 6, 15, 0, 114, 2, // Skip to: 2260
-/* 1634 */    MCD_OPC_Decode, 146, 9, 243, 1, // Opcode: MTM0
-/* 1639 */    MCD_OPC_FilterValue, 9, 15, 0, // Skip to: 1658
-/* 1643 */    MCD_OPC_CheckPredicate, 47, 101, 2, // Skip to: 2260
-/* 1647 */    MCD_OPC_CheckField, 6, 15, 0, 95, 2, // Skip to: 2260
-/* 1653 */    MCD_OPC_Decode, 149, 9, 243, 1, // Opcode: MTP0
-/* 1658 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 1677
-/* 1662 */    MCD_OPC_CheckPredicate, 47, 82, 2, // Skip to: 2260
-/* 1666 */    MCD_OPC_CheckField, 6, 15, 0, 76, 2, // Skip to: 2260
-/* 1672 */    MCD_OPC_Decode, 150, 9, 243, 1, // Opcode: MTP1
-/* 1677 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 1696
-/* 1681 */    MCD_OPC_CheckPredicate, 47, 63, 2, // Skip to: 2260
-/* 1685 */    MCD_OPC_CheckField, 6, 15, 0, 57, 2, // Skip to: 2260
-/* 1691 */    MCD_OPC_Decode, 151, 9, 243, 1, // Opcode: MTP2
-/* 1696 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 1715
-/* 1700 */    MCD_OPC_CheckPredicate, 47, 44, 2, // Skip to: 2260
-/* 1704 */    MCD_OPC_CheckField, 6, 15, 0, 38, 2, // Skip to: 2260
-/* 1710 */    MCD_OPC_Decode, 147, 9, 243, 1, // Opcode: MTM1
-/* 1715 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 1734
-/* 1719 */    MCD_OPC_CheckPredicate, 47, 25, 2, // Skip to: 2260
-/* 1723 */    MCD_OPC_CheckField, 6, 15, 0, 19, 2, // Skip to: 2260
-/* 1729 */    MCD_OPC_Decode, 148, 9, 243, 1, // Opcode: MTM2
-/* 1734 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 1753
-/* 1738 */    MCD_OPC_CheckPredicate, 47, 6, 2, // Skip to: 2260
-/* 1742 */    MCD_OPC_CheckField, 6, 5, 0, 0, 2, // Skip to: 2260
-/* 1748 */    MCD_OPC_Decode, 152, 13, 201, 1, // Opcode: VMULU
-/* 1753 */    MCD_OPC_FilterValue, 16, 15, 0, // Skip to: 1772
-/* 1757 */    MCD_OPC_CheckPredicate, 47, 243, 1, // Skip to: 2260
-/* 1761 */    MCD_OPC_CheckField, 6, 5, 0, 237, 1, // Skip to: 2260
-/* 1767 */    MCD_OPC_Decode, 151, 13, 201, 1, // Opcode: VMM0
-/* 1772 */    MCD_OPC_FilterValue, 17, 15, 0, // Skip to: 1791
-/* 1776 */    MCD_OPC_CheckPredicate, 47, 224, 1, // Skip to: 2260
-/* 1780 */    MCD_OPC_CheckField, 6, 5, 0, 218, 1, // Skip to: 2260
-/* 1786 */    MCD_OPC_Decode, 150, 13, 201, 1, // Opcode: V3MULU
-/* 1791 */    MCD_OPC_FilterValue, 36, 15, 0, // Skip to: 1810
-/* 1795 */    MCD_OPC_CheckPredicate, 48, 205, 1, // Skip to: 2260
-/* 1799 */    MCD_OPC_CheckField, 6, 5, 0, 199, 1, // Skip to: 2260
-/* 1805 */    MCD_OPC_Decode, 150, 4, 244, 1, // Opcode: DCLZ
-/* 1810 */    MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 1829
-/* 1814 */    MCD_OPC_CheckPredicate, 48, 186, 1, // Skip to: 2260
-/* 1818 */    MCD_OPC_CheckField, 6, 5, 0, 180, 1, // Skip to: 2260
-/* 1824 */    MCD_OPC_Decode, 148, 4, 244, 1, // Opcode: DCLO
-/* 1829 */    MCD_OPC_FilterValue, 40, 15, 0, // Skip to: 1848
-/* 1833 */    MCD_OPC_CheckPredicate, 47, 167, 1, // Skip to: 2260
-/* 1837 */    MCD_OPC_CheckField, 6, 5, 0, 161, 1, // Skip to: 2260
-/* 1843 */    MCD_OPC_Decode, 155, 1, 201, 1, // Opcode: BADDu
-/* 1848 */    MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 1867
-/* 1852 */    MCD_OPC_CheckPredicate, 47, 148, 1, // Skip to: 2260
-/* 1856 */    MCD_OPC_CheckField, 6, 5, 0, 142, 1, // Skip to: 2260
-/* 1862 */    MCD_OPC_Decode, 250, 10, 201, 1, // Opcode: SEQ
-/* 1867 */    MCD_OPC_FilterValue, 43, 15, 0, // Skip to: 1886
-/* 1871 */    MCD_OPC_CheckPredicate, 47, 129, 1, // Skip to: 2260
-/* 1875 */    MCD_OPC_CheckField, 6, 5, 0, 123, 1, // Skip to: 2260
-/* 1881 */    MCD_OPC_Decode, 188, 11, 201, 1, // Opcode: SNE
-/* 1886 */    MCD_OPC_FilterValue, 44, 20, 0, // Skip to: 1910
-/* 1890 */    MCD_OPC_CheckPredicate, 47, 110, 1, // Skip to: 2260
-/* 1894 */    MCD_OPC_CheckField, 16, 5, 0, 104, 1, // Skip to: 2260
-/* 1900 */    MCD_OPC_CheckField, 6, 5, 0, 98, 1, // Skip to: 2260
-/* 1906 */    MCD_OPC_Decode, 249, 9, 40, // Opcode: POP
-/* 1910 */    MCD_OPC_FilterValue, 45, 21, 0, // Skip to: 1935
-/* 1914 */    MCD_OPC_CheckPredicate, 47, 86, 1, // Skip to: 2260
-/* 1918 */    MCD_OPC_CheckField, 16, 5, 0, 80, 1, // Skip to: 2260
-/* 1924 */    MCD_OPC_CheckField, 6, 5, 0, 74, 1, // Skip to: 2260
-/* 1930 */    MCD_OPC_Decode, 211, 4, 199, 1, // Opcode: DPOP
-/* 1935 */    MCD_OPC_FilterValue, 46, 9, 0, // Skip to: 1948
-/* 1939 */    MCD_OPC_CheckPredicate, 47, 61, 1, // Skip to: 2260
-/* 1943 */    MCD_OPC_Decode, 251, 10, 245, 1, // Opcode: SEQi
-/* 1948 */    MCD_OPC_FilterValue, 47, 9, 0, // Skip to: 1961
-/* 1952 */    MCD_OPC_CheckPredicate, 47, 48, 1, // Skip to: 2260
-/* 1956 */    MCD_OPC_Decode, 189, 11, 245, 1, // Opcode: SNEi
-/* 1961 */    MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 1974
-/* 1965 */    MCD_OPC_CheckPredicate, 47, 35, 1, // Skip to: 2260
-/* 1969 */    MCD_OPC_Decode, 221, 2, 246, 1, // Opcode: CINS
-/* 1974 */    MCD_OPC_FilterValue, 51, 9, 0, // Skip to: 1987
-/* 1978 */    MCD_OPC_CheckPredicate, 47, 22, 1, // Skip to: 2260
-/* 1982 */    MCD_OPC_Decode, 222, 2, 246, 1, // Opcode: CINS32
-/* 1987 */    MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 2000
-/* 1991 */    MCD_OPC_CheckPredicate, 47, 9, 1, // Skip to: 2260
-/* 1995 */    MCD_OPC_Decode, 137, 5, 246, 1, // Opcode: EXTS
-/* 2000 */    MCD_OPC_FilterValue, 59, 0, 1, // Skip to: 2260
-/* 2004 */    MCD_OPC_CheckPredicate, 47, 252, 0, // Skip to: 2260
-/* 2008 */    MCD_OPC_Decode, 138, 5, 246, 1, // Opcode: EXTS32
-/* 2013 */    MCD_OPC_FilterValue, 31, 126, 0, // Skip to: 2143
-/* 2017 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 2020 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 2033
-/* 2024 */    MCD_OPC_CheckPredicate, 4, 232, 0, // Skip to: 2260
-/* 2028 */    MCD_OPC_Decode, 157, 4, 247, 1, // Opcode: DEXTM
-/* 2033 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 2046
-/* 2037 */    MCD_OPC_CheckPredicate, 4, 219, 0, // Skip to: 2260
-/* 2041 */    MCD_OPC_Decode, 158, 4, 247, 1, // Opcode: DEXTU
-/* 2046 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 2059
-/* 2050 */    MCD_OPC_CheckPredicate, 4, 206, 0, // Skip to: 2260
-/* 2054 */    MCD_OPC_Decode, 156, 4, 247, 1, // Opcode: DEXT
-/* 2059 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 2072
-/* 2063 */    MCD_OPC_CheckPredicate, 4, 193, 0, // Skip to: 2260
-/* 2067 */    MCD_OPC_Decode, 161, 4, 248, 1, // Opcode: DINSM
-/* 2072 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 2085
-/* 2076 */    MCD_OPC_CheckPredicate, 4, 180, 0, // Skip to: 2260
-/* 2080 */    MCD_OPC_Decode, 162, 4, 248, 1, // Opcode: DINSU
-/* 2085 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 2098
-/* 2089 */    MCD_OPC_CheckPredicate, 4, 167, 0, // Skip to: 2260
-/* 2093 */    MCD_OPC_Decode, 160, 4, 248, 1, // Opcode: DINS
-/* 2098 */    MCD_OPC_FilterValue, 36, 158, 0, // Skip to: 2260
-/* 2102 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 2105 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 2124
-/* 2109 */    MCD_OPC_CheckPredicate, 37, 147, 0, // Skip to: 2260
-/* 2113 */    MCD_OPC_CheckField, 21, 5, 0, 141, 0, // Skip to: 2260
-/* 2119 */    MCD_OPC_Decode, 229, 4, 220, 1, // Opcode: DSBH
-/* 2124 */    MCD_OPC_FilterValue, 5, 132, 0, // Skip to: 2260
-/* 2128 */    MCD_OPC_CheckPredicate, 37, 128, 0, // Skip to: 2260
-/* 2132 */    MCD_OPC_CheckField, 21, 5, 0, 122, 0, // Skip to: 2260
-/* 2138 */    MCD_OPC_Decode, 231, 4, 220, 1, // Opcode: DSHD
-/* 2143 */    MCD_OPC_FilterValue, 39, 9, 0, // Skip to: 2156
-/* 2147 */    MCD_OPC_CheckPredicate, 17, 109, 0, // Skip to: 2260
-/* 2151 */    MCD_OPC_Decode, 203, 7, 194, 1, // Opcode: LWu
-/* 2156 */    MCD_OPC_FilterValue, 44, 9, 0, // Skip to: 2169
-/* 2160 */    MCD_OPC_CheckPredicate, 38, 96, 0, // Skip to: 2260
-/* 2164 */    MCD_OPC_Decode, 230, 10, 194, 1, // Opcode: SDL
-/* 2169 */    MCD_OPC_FilterValue, 45, 9, 0, // Skip to: 2182
-/* 2173 */    MCD_OPC_CheckPredicate, 38, 83, 0, // Skip to: 2260
-/* 2177 */    MCD_OPC_Decode, 231, 10, 194, 1, // Opcode: SDR
-/* 2182 */    MCD_OPC_FilterValue, 52, 9, 0, // Skip to: 2195
-/* 2186 */    MCD_OPC_CheckPredicate, 38, 70, 0, // Skip to: 2260
-/* 2190 */    MCD_OPC_Decode, 164, 7, 194, 1, // Opcode: LLD
-/* 2195 */    MCD_OPC_FilterValue, 53, 9, 0, // Skip to: 2208
-/* 2199 */    MCD_OPC_CheckPredicate, 49, 57, 0, // Skip to: 2260
-/* 2203 */    MCD_OPC_Decode, 135, 7, 196, 1, // Opcode: LDC164
-/* 2208 */    MCD_OPC_FilterValue, 55, 9, 0, // Skip to: 2221
-/* 2212 */    MCD_OPC_CheckPredicate, 17, 44, 0, // Skip to: 2260
-/* 2216 */    MCD_OPC_Decode, 133, 7, 194, 1, // Opcode: LD
-/* 2221 */    MCD_OPC_FilterValue, 60, 9, 0, // Skip to: 2234
-/* 2225 */    MCD_OPC_CheckPredicate, 38, 31, 0, // Skip to: 2260
-/* 2229 */    MCD_OPC_Decode, 215, 10, 194, 1, // Opcode: SCD
-/* 2234 */    MCD_OPC_FilterValue, 61, 9, 0, // Skip to: 2247
-/* 2238 */    MCD_OPC_CheckPredicate, 49, 18, 0, // Skip to: 2260
-/* 2242 */    MCD_OPC_Decode, 223, 10, 196, 1, // Opcode: SDC164
-/* 2247 */    MCD_OPC_FilterValue, 63, 9, 0, // Skip to: 2260
-/* 2251 */    MCD_OPC_CheckPredicate, 17, 5, 0, // Skip to: 2260
-/* 2255 */    MCD_OPC_Decode, 219, 10, 194, 1, // Opcode: SD
-/* 2260 */    MCD_OPC_Fail,
+/* 1508 */    MCD_OPC_CheckPredicate, 48, 84, 3, // Skip to: 2364
+/* 1512 */    MCD_OPC_CheckField, 6, 5, 0, 78, 3, // Skip to: 2364
+/* 1518 */    MCD_OPC_Decode, 167, 11, 135, 2, // Opcode: SDXC164
+/* 1523 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 1542
+/* 1527 */    MCD_OPC_CheckPredicate, 49, 65, 3, // Skip to: 2364
+/* 1531 */    MCD_OPC_CheckField, 6, 5, 0, 59, 3, // Skip to: 2364
+/* 1537 */    MCD_OPC_Decode, 233, 12, 135, 2, // Opcode: SUXC164
+/* 1542 */    MCD_OPC_FilterValue, 33, 9, 0, // Skip to: 1555
+/* 1546 */    MCD_OPC_CheckPredicate, 48, 46, 3, // Skip to: 2364
+/* 1550 */    MCD_OPC_Decode, 144, 8, 136, 2, // Opcode: MADD_D64
+/* 1555 */    MCD_OPC_FilterValue, 41, 9, 0, // Skip to: 1568
+/* 1559 */    MCD_OPC_CheckPredicate, 48, 33, 3, // Skip to: 2364
+/* 1563 */    MCD_OPC_Decode, 162, 9, 136, 2, // Opcode: MSUB_D64
+/* 1568 */    MCD_OPC_FilterValue, 49, 9, 0, // Skip to: 1581
+/* 1572 */    MCD_OPC_CheckPredicate, 48, 20, 3, // Skip to: 2364
+/* 1576 */    MCD_OPC_Decode, 241, 9, 136, 2, // Opcode: NMADD_D64
+/* 1581 */    MCD_OPC_FilterValue, 57, 11, 3, // Skip to: 2364
+/* 1585 */    MCD_OPC_CheckPredicate, 48, 7, 3, // Skip to: 2364
+/* 1589 */    MCD_OPC_Decode, 246, 9, 136, 2, // Opcode: NMSUB_D64
+/* 1594 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 1607
+/* 1598 */    MCD_OPC_CheckPredicate, 41, 250, 2, // Skip to: 2364
+/* 1602 */    MCD_OPC_Decode, 160, 4, 137, 2, // Opcode: DADDi
+/* 1607 */    MCD_OPC_FilterValue, 25, 9, 0, // Skip to: 1620
+/* 1611 */    MCD_OPC_CheckPredicate, 19, 237, 2, // Skip to: 2364
+/* 1615 */    MCD_OPC_Decode, 161, 4, 137, 2, // Opcode: DADDiu
+/* 1620 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 1633
+/* 1624 */    MCD_OPC_CheckPredicate, 41, 224, 2, // Skip to: 2364
+/* 1628 */    MCD_OPC_Decode, 172, 7, 217, 1, // Opcode: LDL
+/* 1633 */    MCD_OPC_FilterValue, 27, 9, 0, // Skip to: 1646
+/* 1637 */    MCD_OPC_CheckPredicate, 41, 211, 2, // Skip to: 2364
+/* 1641 */    MCD_OPC_Decode, 174, 7, 217, 1, // Opcode: LDR
+/* 1646 */    MCD_OPC_FilterValue, 28, 159, 1, // Skip to: 2065
+/* 1650 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 1653 */    MCD_OPC_FilterValue, 3, 15, 0, // Skip to: 1672
+/* 1657 */    MCD_OPC_CheckPredicate, 50, 191, 2, // Skip to: 2364
+/* 1661 */    MCD_OPC_CheckField, 6, 5, 0, 185, 2, // Skip to: 2364
+/* 1667 */    MCD_OPC_Decode, 206, 4, 224, 1, // Opcode: DMUL
+/* 1672 */    MCD_OPC_FilterValue, 8, 15, 0, // Skip to: 1691
+/* 1676 */    MCD_OPC_CheckPredicate, 50, 172, 2, // Skip to: 2364
+/* 1680 */    MCD_OPC_CheckField, 6, 15, 0, 166, 2, // Skip to: 2364
+/* 1686 */    MCD_OPC_Decode, 185, 9, 138, 2, // Opcode: MTM0
+/* 1691 */    MCD_OPC_FilterValue, 9, 15, 0, // Skip to: 1710
+/* 1695 */    MCD_OPC_CheckPredicate, 50, 153, 2, // Skip to: 2364
+/* 1699 */    MCD_OPC_CheckField, 6, 15, 0, 147, 2, // Skip to: 2364
+/* 1705 */    MCD_OPC_Decode, 188, 9, 138, 2, // Opcode: MTP0
+/* 1710 */    MCD_OPC_FilterValue, 10, 15, 0, // Skip to: 1729
+/* 1714 */    MCD_OPC_CheckPredicate, 50, 134, 2, // Skip to: 2364
+/* 1718 */    MCD_OPC_CheckField, 6, 15, 0, 128, 2, // Skip to: 2364
+/* 1724 */    MCD_OPC_Decode, 189, 9, 138, 2, // Opcode: MTP1
+/* 1729 */    MCD_OPC_FilterValue, 11, 15, 0, // Skip to: 1748
+/* 1733 */    MCD_OPC_CheckPredicate, 50, 115, 2, // Skip to: 2364
+/* 1737 */    MCD_OPC_CheckField, 6, 15, 0, 109, 2, // Skip to: 2364
+/* 1743 */    MCD_OPC_Decode, 190, 9, 138, 2, // Opcode: MTP2
+/* 1748 */    MCD_OPC_FilterValue, 12, 15, 0, // Skip to: 1767
+/* 1752 */    MCD_OPC_CheckPredicate, 50, 96, 2, // Skip to: 2364
+/* 1756 */    MCD_OPC_CheckField, 6, 15, 0, 90, 2, // Skip to: 2364
+/* 1762 */    MCD_OPC_Decode, 186, 9, 138, 2, // Opcode: MTM1
+/* 1767 */    MCD_OPC_FilterValue, 13, 15, 0, // Skip to: 1786
+/* 1771 */    MCD_OPC_CheckPredicate, 50, 77, 2, // Skip to: 2364
+/* 1775 */    MCD_OPC_CheckField, 6, 15, 0, 71, 2, // Skip to: 2364
+/* 1781 */    MCD_OPC_Decode, 187, 9, 138, 2, // Opcode: MTM2
+/* 1786 */    MCD_OPC_FilterValue, 15, 15, 0, // Skip to: 1805
+/* 1790 */    MCD_OPC_CheckPredicate, 50, 58, 2, // Skip to: 2364
+/* 1794 */    MCD_OPC_CheckField, 6, 5, 0, 52, 2, // Skip to: 2364
+/* 1800 */    MCD_OPC_Decode, 226, 13, 224, 1, // Opcode: VMULU
+/* 1805 */    MCD_OPC_FilterValue, 16, 15, 0, // Skip to: 1824
+/* 1809 */    MCD_OPC_CheckPredicate, 50, 39, 2, // Skip to: 2364
+/* 1813 */    MCD_OPC_CheckField, 6, 5, 0, 33, 2, // Skip to: 2364
+/* 1819 */    MCD_OPC_Decode, 225, 13, 224, 1, // Opcode: VMM0
+/* 1824 */    MCD_OPC_FilterValue, 17, 15, 0, // Skip to: 1843
+/* 1828 */    MCD_OPC_CheckPredicate, 50, 20, 2, // Skip to: 2364
+/* 1832 */    MCD_OPC_CheckField, 6, 5, 0, 14, 2, // Skip to: 2364
+/* 1838 */    MCD_OPC_Decode, 224, 13, 224, 1, // Opcode: V3MULU
+/* 1843 */    MCD_OPC_FilterValue, 36, 15, 0, // Skip to: 1862
+/* 1847 */    MCD_OPC_CheckPredicate, 51, 1, 2, // Skip to: 2364
+/* 1851 */    MCD_OPC_CheckField, 6, 5, 0, 251, 1, // Skip to: 2364
+/* 1857 */    MCD_OPC_Decode, 170, 4, 139, 2, // Opcode: DCLZ
+/* 1862 */    MCD_OPC_FilterValue, 37, 15, 0, // Skip to: 1881
+/* 1866 */    MCD_OPC_CheckPredicate, 51, 238, 1, // Skip to: 2364
+/* 1870 */    MCD_OPC_CheckField, 6, 5, 0, 232, 1, // Skip to: 2364
+/* 1876 */    MCD_OPC_Decode, 168, 4, 139, 2, // Opcode: DCLO
+/* 1881 */    MCD_OPC_FilterValue, 40, 15, 0, // Skip to: 1900
+/* 1885 */    MCD_OPC_CheckPredicate, 50, 219, 1, // Skip to: 2364
+/* 1889 */    MCD_OPC_CheckField, 6, 5, 0, 213, 1, // Skip to: 2364
+/* 1895 */    MCD_OPC_Decode, 166, 1, 224, 1, // Opcode: BADDu
+/* 1900 */    MCD_OPC_FilterValue, 42, 15, 0, // Skip to: 1919
+/* 1904 */    MCD_OPC_CheckPredicate, 50, 200, 1, // Skip to: 2364
+/* 1908 */    MCD_OPC_CheckField, 6, 5, 0, 194, 1, // Skip to: 2364
+/* 1914 */    MCD_OPC_Decode, 184, 11, 224, 1, // Opcode: SEQ
+/* 1919 */    MCD_OPC_FilterValue, 43, 15, 0, // Skip to: 1938
+/* 1923 */    MCD_OPC_CheckPredicate, 50, 181, 1, // Skip to: 2364
+/* 1927 */    MCD_OPC_CheckField, 6, 5, 0, 175, 1, // Skip to: 2364
+/* 1933 */    MCD_OPC_Decode, 252, 11, 224, 1, // Opcode: SNE
+/* 1938 */    MCD_OPC_FilterValue, 44, 20, 0, // Skip to: 1962
+/* 1942 */    MCD_OPC_CheckPredicate, 50, 162, 1, // Skip to: 2364
+/* 1946 */    MCD_OPC_CheckField, 16, 5, 0, 156, 1, // Skip to: 2364
+/* 1952 */    MCD_OPC_CheckField, 6, 5, 0, 150, 1, // Skip to: 2364
+/* 1958 */    MCD_OPC_Decode, 163, 10, 62, // Opcode: POP
+/* 1962 */    MCD_OPC_FilterValue, 45, 21, 0, // Skip to: 1987
+/* 1966 */    MCD_OPC_CheckPredicate, 50, 138, 1, // Skip to: 2364
+/* 1970 */    MCD_OPC_CheckField, 16, 5, 0, 132, 1, // Skip to: 2364
+/* 1976 */    MCD_OPC_CheckField, 6, 5, 0, 126, 1, // Skip to: 2364
+/* 1982 */    MCD_OPC_Decode, 231, 4, 222, 1, // Opcode: DPOP
+/* 1987 */    MCD_OPC_FilterValue, 46, 9, 0, // Skip to: 2000
+/* 1991 */    MCD_OPC_CheckPredicate, 50, 113, 1, // Skip to: 2364
+/* 1995 */    MCD_OPC_Decode, 185, 11, 140, 2, // Opcode: SEQi
+/* 2000 */    MCD_OPC_FilterValue, 47, 9, 0, // Skip to: 2013
+/* 2004 */    MCD_OPC_CheckPredicate, 50, 100, 1, // Skip to: 2364
+/* 2008 */    MCD_OPC_Decode, 253, 11, 140, 2, // Opcode: SNEi
+/* 2013 */    MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 2026
+/* 2017 */    MCD_OPC_CheckPredicate, 50, 87, 1, // Skip to: 2364
+/* 2021 */    MCD_OPC_Decode, 241, 2, 141, 2, // Opcode: CINS
+/* 2026 */    MCD_OPC_FilterValue, 51, 9, 0, // Skip to: 2039
+/* 2030 */    MCD_OPC_CheckPredicate, 50, 74, 1, // Skip to: 2364
+/* 2034 */    MCD_OPC_Decode, 242, 2, 141, 2, // Opcode: CINS32
+/* 2039 */    MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 2052
+/* 2043 */    MCD_OPC_CheckPredicate, 50, 61, 1, // Skip to: 2364
+/* 2047 */    MCD_OPC_Decode, 158, 5, 141, 2, // Opcode: EXTS
+/* 2052 */    MCD_OPC_FilterValue, 59, 52, 1, // Skip to: 2364
+/* 2056 */    MCD_OPC_CheckPredicate, 50, 48, 1, // Skip to: 2364
+/* 2060 */    MCD_OPC_Decode, 159, 5, 141, 2, // Opcode: EXTS32
+/* 2065 */    MCD_OPC_FilterValue, 31, 126, 0, // Skip to: 2195
+/* 2069 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 2072 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 2085
+/* 2076 */    MCD_OPC_CheckPredicate, 6, 28, 1, // Skip to: 2364
+/* 2080 */    MCD_OPC_Decode, 177, 4, 142, 2, // Opcode: DEXTM
+/* 2085 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 2098
+/* 2089 */    MCD_OPC_CheckPredicate, 6, 15, 1, // Skip to: 2364
+/* 2093 */    MCD_OPC_Decode, 178, 4, 142, 2, // Opcode: DEXTU
+/* 2098 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 2111
+/* 2102 */    MCD_OPC_CheckPredicate, 6, 2, 1, // Skip to: 2364
+/* 2106 */    MCD_OPC_Decode, 176, 4, 142, 2, // Opcode: DEXT
+/* 2111 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 2124
+/* 2115 */    MCD_OPC_CheckPredicate, 6, 245, 0, // Skip to: 2364
+/* 2119 */    MCD_OPC_Decode, 181, 4, 143, 2, // Opcode: DINSM
+/* 2124 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 2137
+/* 2128 */    MCD_OPC_CheckPredicate, 6, 232, 0, // Skip to: 2364
+/* 2132 */    MCD_OPC_Decode, 182, 4, 143, 2, // Opcode: DINSU
+/* 2137 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 2150
+/* 2141 */    MCD_OPC_CheckPredicate, 6, 219, 0, // Skip to: 2364
+/* 2145 */    MCD_OPC_Decode, 180, 4, 143, 2, // Opcode: DINS
+/* 2150 */    MCD_OPC_FilterValue, 36, 210, 0, // Skip to: 2364
+/* 2154 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 2157 */    MCD_OPC_FilterValue, 2, 15, 0, // Skip to: 2176
+/* 2161 */    MCD_OPC_CheckPredicate, 40, 199, 0, // Skip to: 2364
+/* 2165 */    MCD_OPC_CheckField, 21, 5, 0, 193, 0, // Skip to: 2364
+/* 2171 */    MCD_OPC_Decode, 249, 4, 243, 1, // Opcode: DSBH
+/* 2176 */    MCD_OPC_FilterValue, 5, 184, 0, // Skip to: 2364
+/* 2180 */    MCD_OPC_CheckPredicate, 40, 180, 0, // Skip to: 2364
+/* 2184 */    MCD_OPC_CheckField, 21, 5, 0, 174, 0, // Skip to: 2364
+/* 2190 */    MCD_OPC_Decode, 251, 4, 243, 1, // Opcode: DSHD
+/* 2195 */    MCD_OPC_FilterValue, 39, 9, 0, // Skip to: 2208
+/* 2199 */    MCD_OPC_CheckPredicate, 19, 161, 0, // Skip to: 2364
+/* 2203 */    MCD_OPC_Decode, 241, 7, 217, 1, // Opcode: LWu
+/* 2208 */    MCD_OPC_FilterValue, 44, 9, 0, // Skip to: 2221
+/* 2212 */    MCD_OPC_CheckPredicate, 41, 148, 0, // Skip to: 2364
+/* 2216 */    MCD_OPC_Decode, 164, 11, 217, 1, // Opcode: SDL
+/* 2221 */    MCD_OPC_FilterValue, 45, 9, 0, // Skip to: 2234
+/* 2225 */    MCD_OPC_CheckPredicate, 41, 135, 0, // Skip to: 2364
+/* 2229 */    MCD_OPC_Decode, 165, 11, 217, 1, // Opcode: SDR
+/* 2234 */    MCD_OPC_FilterValue, 50, 9, 0, // Skip to: 2247
+/* 2238 */    MCD_OPC_CheckPredicate, 50, 122, 0, // Skip to: 2364
+/* 2242 */    MCD_OPC_Decode, 171, 1, 144, 2, // Opcode: BBIT0
+/* 2247 */    MCD_OPC_FilterValue, 52, 9, 0, // Skip to: 2260
+/* 2251 */    MCD_OPC_CheckPredicate, 41, 109, 0, // Skip to: 2364
+/* 2255 */    MCD_OPC_Decode, 194, 7, 217, 1, // Opcode: LLD
+/* 2260 */    MCD_OPC_FilterValue, 53, 9, 0, // Skip to: 2273
+/* 2264 */    MCD_OPC_CheckPredicate, 52, 96, 0, // Skip to: 2364
+/* 2268 */    MCD_OPC_Decode, 163, 7, 219, 1, // Opcode: LDC164
+/* 2273 */    MCD_OPC_FilterValue, 54, 9, 0, // Skip to: 2286
+/* 2277 */    MCD_OPC_CheckPredicate, 50, 83, 0, // Skip to: 2364
+/* 2281 */    MCD_OPC_Decode, 172, 1, 144, 2, // Opcode: BBIT032
+/* 2286 */    MCD_OPC_FilterValue, 55, 9, 0, // Skip to: 2299
+/* 2290 */    MCD_OPC_CheckPredicate, 19, 70, 0, // Skip to: 2364
+/* 2294 */    MCD_OPC_Decode, 161, 7, 217, 1, // Opcode: LD
+/* 2299 */    MCD_OPC_FilterValue, 58, 9, 0, // Skip to: 2312
+/* 2303 */    MCD_OPC_CheckPredicate, 50, 57, 0, // Skip to: 2364
+/* 2307 */    MCD_OPC_Decode, 173, 1, 144, 2, // Opcode: BBIT1
+/* 2312 */    MCD_OPC_FilterValue, 60, 9, 0, // Skip to: 2325
+/* 2316 */    MCD_OPC_CheckPredicate, 41, 44, 0, // Skip to: 2364
+/* 2320 */    MCD_OPC_Decode, 147, 11, 217, 1, // Opcode: SCD
+/* 2325 */    MCD_OPC_FilterValue, 61, 9, 0, // Skip to: 2338
+/* 2329 */    MCD_OPC_CheckPredicate, 52, 31, 0, // Skip to: 2364
+/* 2333 */    MCD_OPC_Decode, 157, 11, 219, 1, // Opcode: SDC164
+/* 2338 */    MCD_OPC_FilterValue, 62, 9, 0, // Skip to: 2351
+/* 2342 */    MCD_OPC_CheckPredicate, 50, 18, 0, // Skip to: 2364
+/* 2346 */    MCD_OPC_Decode, 174, 1, 144, 2, // Opcode: BBIT132
+/* 2351 */    MCD_OPC_FilterValue, 63, 9, 0, // Skip to: 2364
+/* 2355 */    MCD_OPC_CheckPredicate, 19, 5, 0, // Skip to: 2364
+/* 2359 */    MCD_OPC_Decode, 151, 11, 217, 1, // Opcode: SD
+/* 2364 */    MCD_OPC_Fail,
   0
 };
 
@@ -4595,109 +4807,115 @@ static bool checkDecoderPredicate(unsign
   case 0:
     return getbool((Bits & Mips_FeatureMips16));
   case 1:
-    return getbool(!(Bits & Mips_FeatureMips16));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMicroMips));
   case 2:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMicroMips));
   case 3:
     return getbool((Bits & Mips_FeatureMicroMips));
   case 4:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2));
+    return getbool((Bits & Mips_FeatureMips32) && (Bits & Mips_FeatureMicroMips));
   case 5:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16));
   case 6:
-    return getbool((Bits & Mips_FeatureMSA));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2));
   case 7:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 8:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMicroMips));
+    return getbool((Bits & Mips_FeatureMSA));
   case 9:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 10:
-    return getbool(!(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32));
   case 11:
-    return getbool((Bits & Mips_FeatureDSP));
+    return getbool(!(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
   case 12:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool((Bits & Mips_FeatureDSP));
   case 13:
-    return getbool((Bits & Mips_FeatureMSA) && (Bits & Mips_FeatureMips64));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 14:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool((Bits & Mips_FeatureMSA) && (Bits & Mips_FeatureMips64));
   case 15:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2));
   case 16:
-    return getbool(!(Bits & Mips_FeatureMicroMips));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 17:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32));
   case 18:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2) && !(Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMicroMips));
   case 19:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3));
   case 20:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32r2));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2) && !(Bits & Mips_FeatureFP64Bit));
   case 21:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit));
   case 22:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32r2));
   case 23:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureFP64Bit));
   case 24:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 25:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureFP64Bit));
   case 26:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips5_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 27:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
   case 28:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips5_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 29:
-    return getbool((Bits & Mips_FeatureDSPR2));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 30:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool((Bits & Mips_FeatureDSPR2));
   case 31:
-    return getbool((Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 32:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips2));
+    return getbool((Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
   case 33:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
   case 34:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips2));
   case 35:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureGP64Bit) && (Bits & Mips_FeatureMips32r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && !(Bits & Mips_FeatureMicroMips));
   case 36:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureGP64Bit) && (Bits & Mips_FeatureMips32r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r6));
   case 37:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64r2));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64r6));
   case 38:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureGP64Bit) && (Bits & Mips_FeatureMips32r6));
   case 39:
-    return getbool((Bits & Mips_FeatureMips64));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureGP64Bit) && (Bits & Mips_FeatureMips32r6));
   case 40:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2) && (Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64r2));
   case 41:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips3) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 42:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && (Bits & Mips_FeatureFP64Bit));
+    return getbool((Bits & Mips_FeatureMips64));
   case 43:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips32r2) && (Bits & Mips_FeatureFP64Bit));
   case 44:
-    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && (Bits & Mips_FeatureFP64Bit));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit));
   case 45:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips2) && (Bits & Mips_FeatureFP64Bit));
   case 46:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips5_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 47:
-    return getbool((Bits & Mips_FeatureCnMips));
+    return getbool(!(Bits & Mips_FeatureMips16) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6) && (Bits & Mips_FeatureFP64Bit));
   case 48:
-    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64) && !(Bits & Mips_FeatureMips64r6));
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips4_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
   case 49:
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips5_32r2) && !(Bits & Mips_FeatureMips32r6) && !(Bits & Mips_FeatureMips64r6));
+  case 50:
+    return getbool((Bits & Mips_FeatureCnMips));
+  case 51:
+    return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureMips64) && !(Bits & Mips_FeatureMips64r6));
+  case 52:
     return getbool(!(Bits & Mips_FeatureMips16) && (Bits & Mips_FeatureFP64Bit) && (Bits & Mips_FeatureMips2));
   }
 }
 
 #define DecodeToMCInst(fname,fieldname, InsnType) \
 static DecodeStatus fname(DecodeStatus S, unsigned Idx, InsnType insn, MCInst *MI, \
-                uint64_t Address, const void *Decoder) \
+                uint64_t Address, void *Decoder) \
 { \
   InsnType tmp; \
   switch (Idx) { \
@@ -4716,8 +4934,8 @@ static DecodeStatus fname(DecodeStatus S
     return S; \
   case 3: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 2) << 3); \
-    tmp |= (fieldname(insn, 5, 3) << 0); \
+    tmp |= fieldname(insn, 3, 2) << 3; \
+    tmp |= fieldname(insn, 5, 3) << 0; \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 3); \
     if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
@@ -4750,9 +4968,9 @@ static DecodeStatus fname(DecodeStatus S
     return S; \
   case 8: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 5) << 0); \
-    tmp |= (fieldname(insn, 16, 5) << 11); \
-    tmp |= (fieldname(insn, 21, 6) << 5); \
+    tmp |= fieldname(insn, 0, 5) << 0; \
+    tmp |= fieldname(insn, 16, 5) << 11; \
+    tmp |= fieldname(insn, 21, 6) << 5; \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 9: \
@@ -4760,23 +4978,127 @@ static DecodeStatus fname(DecodeStatus S
     if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 10: \
-    if (DecodeCOP3Mem(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    if (DecodeFMem3(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 11: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 4, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 12: \
+    if (DecodeMemMMImm4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 13: \
     tmp = fieldname(insn, 5, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 12: \
+  case 14: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 4, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 3); \
+    MCOperand_CreateImm0(MI, tmp); \
+    return S; \
+  case 15: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 4, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 4); \
+    if (DecodeANDI16Imm(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 16: \
+    tmp = fieldname(insn, 3, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 17: \
+    tmp = fieldname(insn, 3, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 3, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 18: \
+    if (DecodeMemMMReglistImm4Lsl2(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 19: \
     tmp = fieldname(insn, 0, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 13: \
-    tmp = fieldname(insn, 0, 5); \
+  case 20: \
+    tmp = fieldname(insn, 0, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 14: \
+  case 21: \
+    tmp = fieldname(insn, 0, 5); \
+    if (DecodeUImm5lsl2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 22: \
+    if (DecodeMemMMSPImm5Lsl2(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 23: \
+    tmp = fieldname(insn, 5, 5); \
+    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 5, 5); \
+    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 4); \
+    if (DecodeSimm4(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 24: \
+    tmp = fieldname(insn, 1, 9); \
+    if (DecodeSimm9SP(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 25: \
+    if (DecodeMemMMGPImm7Lsl2(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 26: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 4, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 3); \
+    if (DecodeAddiur2Simm7(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 27: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 6); \
+    if (DecodeUImm6Lsl2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 28: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeMovePRegPair(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 3); \
+    if (DecodeGPRMM16MovePRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 4, 3); \
+    if (DecodeGPRMM16MovePRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 29: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 7); \
+    if (DecodeBranchTarget7MM(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 30: \
+    tmp = fieldname(insn, 0, 10); \
+    if (DecodeBranchTarget10MM(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 31: \
+    tmp = fieldname(insn, 7, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 7); \
+    if (DecodeLiSimm7(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 32: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4784,13 +5106,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 15: \
+  case 33: \
     tmp = fieldname(insn, 16, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 6, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 16: \
+  case 34: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4802,7 +5124,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 17: \
+  case 35: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4810,7 +5132,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 18: \
+  case 36: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4818,7 +5140,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 19: \
+  case 37: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4828,7 +5150,15 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 20: \
+  case 38: \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 39: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4838,7 +5168,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeExtSize(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 21: \
+  case 40: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4846,31 +5176,37 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 12, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 22: \
+  case 41: \
     tmp = fieldname(insn, 16, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 23: \
+  case 42: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 24: \
+  case 43: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 25: \
+  case 44: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 45: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 26: \
+  case 46: \
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 27: \
+  case 47: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4878,22 +5214,28 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 28: \
+  case 48: \
     if (DecodeMemMMImm16(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 29: \
+  case 49: \
+    if (DecodeMemMMImm12(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 50: \
+    if (DecodeCacheOpMM(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 51: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 30: \
+  case 52: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 31: \
+  case 53: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4901,7 +5243,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 32: \
+  case 54: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4911,13 +5253,16 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 33: \
-    if (DecodeMemMMImm12(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    return S; \
-  case 34: \
+  case 55: \
     if (DecodeJumpTargetMM(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 35: \
+  case 56: \
+    tmp = fieldname(insn, 23, 3); \
+    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 23); \
+    if (DecodeSimm23Lsl2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 57: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4925,7 +5270,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 36: \
+  case 58: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -4933,7 +5278,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 37: \
+  case 59: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4943,7 +5288,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 38: \
+  case 60: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4953,17 +5298,17 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 2); \
     if (DecodeLSAImm(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 39: \
+  case 61: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 40: \
+  case 62: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 41: \
+  case 63: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -4973,37 +5318,37 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 42: \
+  case 64: \
     tmp = fieldname(insn, 6, 20); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 43: \
+  case 65: \
     tmp = fieldname(insn, 6, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 44: \
+  case 66: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 45: \
+  case 67: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 46: \
+  case 68: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeHI32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 47: \
+  case 69: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeLO32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 48: \
+  case 70: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5013,7 +5358,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 2); \
     if (DecodeLSAImm(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 49: \
+  case 71: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5021,7 +5366,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 50: \
+  case 72: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -5029,26 +5374,29 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 51: \
+  case 73: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 52: \
+  case 74: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 53: \
+  case 75: \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 54: \
+  case 76: \
+    if (DecodeSyncI(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 77: \
     if (DecodeJumpTarget(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 55: \
+  case 78: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -5056,7 +5404,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 56: \
+  case 79: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5064,7 +5412,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 57: \
+  case 80: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5072,7 +5420,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 58: \
+  case 81: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5080,55 +5428,55 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 59: \
+  case 82: \
     tmp = fieldname(insn, 18, 3); \
     if (DecodeCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 60: \
+  case 83: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 61: \
+  case 84: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 62: \
+  case 85: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 63: \
+  case 86: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 64: \
+  case 87: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 65: \
+  case 88: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 66: \
+  case 89: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 67: \
+  case 90: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5136,19 +5484,19 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 68: \
+  case 91: \
     tmp = fieldname(insn, 18, 3); \
     if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 69: \
+  case 92: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 70: \
+  case 93: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5156,13 +5504,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 71: \
+  case 94: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 72: \
+  case 95: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5172,7 +5520,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 73: \
+  case 96: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5182,25 +5530,25 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 74: \
+  case 97: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 75: \
+  case 98: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 76: \
+  case 99: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 77: \
+  case 100: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5208,19 +5556,19 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 78: \
+  case 101: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 79: \
+  case 102: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 80: \
+  case 103: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5230,7 +5578,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 81: \
+  case 104: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5240,37 +5588,37 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 82: \
+  case 105: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 83: \
+  case 106: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 84: \
+  case 107: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 85: \
+  case 108: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 86: \
+  case 109: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 87: \
+  case 110: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5278,7 +5626,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 88: \
+  case 111: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5286,7 +5634,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 89: \
+  case 112: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5294,7 +5642,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 90: \
+  case 113: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5302,7 +5650,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 91: \
+  case 114: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5312,7 +5660,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 92: \
+  case 115: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5322,7 +5670,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 93: \
+  case 116: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5332,15 +5680,15 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 94: \
+  case 117: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 11, 5) << 0; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 95: \
+  case 118: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5348,7 +5696,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 96: \
+  case 119: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5358,7 +5706,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 97: \
+  case 120: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5366,7 +5714,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 98: \
+  case 121: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5374,7 +5722,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 99: \
+  case 122: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5382,7 +5730,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 100: \
+  case 123: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5390,7 +5738,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 101: \
+  case 124: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5398,7 +5746,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 102: \
+  case 125: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5406,31 +5754,31 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 103: \
+  case 126: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 104: \
+  case 127: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 105: \
+  case 128: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 106: \
+  case 129: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 107: \
+  case 130: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5438,7 +5786,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 108: \
+  case 131: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5446,7 +5794,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 109: \
+  case 132: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5454,7 +5802,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 110: \
+  case 133: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5464,7 +5812,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 6); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 111: \
+  case 134: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5474,7 +5822,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 112: \
+  case 135: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5484,7 +5832,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 113: \
+  case 136: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5494,7 +5842,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 114: \
+  case 137: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5502,7 +5850,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 115: \
+  case 138: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5510,7 +5858,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 116: \
+  case 139: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5518,7 +5866,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 117: \
+  case 140: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5526,7 +5874,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 118: \
+  case 141: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5536,7 +5884,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 119: \
+  case 142: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5546,7 +5894,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 120: \
+  case 143: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5556,7 +5904,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 121: \
+  case 144: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5566,7 +5914,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 122: \
+  case 145: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5574,7 +5922,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 123: \
+  case 146: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5582,7 +5930,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 124: \
+  case 147: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5590,7 +5938,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 125: \
+  case 148: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5600,7 +5948,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 126: \
+  case 149: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5610,7 +5958,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 127: \
+  case 150: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5620,7 +5968,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 128: \
+  case 151: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5630,7 +5978,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 129: \
+  case 152: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5640,7 +5988,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 130: \
+  case 153: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5650,7 +5998,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 131: \
+  case 154: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5660,7 +6008,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 132: \
+  case 155: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5668,7 +6016,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 133: \
+  case 156: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5676,7 +6024,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 134: \
+  case 157: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5684,7 +6032,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 135: \
+  case 158: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5692,7 +6040,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 136: \
+  case 159: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5702,7 +6050,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 137: \
+  case 160: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5712,7 +6060,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 138: \
+  case 161: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5722,7 +6070,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 139: \
+  case 162: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5732,13 +6080,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 140: \
+  case 163: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 141: \
+  case 164: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5746,7 +6094,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 142: \
+  case 165: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5754,7 +6102,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 143: \
+  case 166: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5762,7 +6110,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 144: \
+  case 167: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5770,13 +6118,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 145: \
+  case 168: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 146: \
+  case 169: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5784,7 +6132,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 147: \
+  case 170: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5792,7 +6140,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 148: \
+  case 171: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5800,7 +6148,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 149: \
+  case 172: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5808,13 +6156,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 150: \
+  case 173: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 151: \
+  case 174: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5824,7 +6172,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 152: \
+  case 175: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5834,7 +6182,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 153: \
+  case 176: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5844,7 +6192,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 154: \
+  case 177: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -5854,10 +6202,10 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 155: \
+  case 178: \
     if (DecodeINSVE_DF_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 156: \
+  case 179: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5865,7 +6213,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 157: \
+  case 180: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -5873,64 +6221,64 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 158: \
+  case 181: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 159: \
+  case 182: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 160: \
+  case 183: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 161: \
+  case 184: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 162: \
+  case 185: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 163: \
+  case 186: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 164: \
+  case 187: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 165: \
+  case 188: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 166: \
+  case 189: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 167: \
+  case 190: \
     if (DecodeMSA128Mem(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 168: \
+  case 191: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5940,7 +6288,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeExtSize(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 169: \
+  case 192: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5952,7 +6300,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 170: \
+  case 193: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5960,7 +6308,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 171: \
+  case 194: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -5968,7 +6316,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 172: \
+  case 195: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5976,13 +6324,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 173: \
+  case 196: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 174: \
+  case 197: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -5990,13 +6338,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 175: \
+  case 198: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 176: \
+  case 199: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6004,7 +6352,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 177: \
+  case 200: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6014,37 +6362,37 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 178: \
+  case 201: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 179: \
+  case 202: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 180: \
+  case 203: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 181: \
+  case 204: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 182: \
+  case 205: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 183: \
+  case 206: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6052,7 +6400,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 184: \
+  case 207: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6060,7 +6408,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 185: \
+  case 208: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6068,7 +6416,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 186: \
+  case 209: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6078,7 +6426,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 187: \
+  case 210: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 2); \
@@ -6086,7 +6434,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 188: \
+  case 211: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 2); \
@@ -6094,19 +6442,19 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 189: \
+  case 212: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 190: \
+  case 213: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 191: \
+  case 214: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 20, 6); \
@@ -6114,7 +6462,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 192: \
+  case 215: \
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6122,25 +6470,25 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 2); \
     if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 193: \
+  case 216: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 194: \
+  case 217: \
     if (DecodeMem(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 195: \
-    if (DecodeCachePref(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+  case 218: \
+    if (DecodeCacheOp(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 196: \
+  case 219: \
     if (DecodeFMem(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 197: \
-    if (DecodeCOP2Mem(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+  case 220: \
+    if (DecodeFMem2(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 198: \
+  case 221: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6150,13 +6498,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 199: \
+  case 222: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 200: \
+  case 223: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6166,7 +6514,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 201: \
+  case 224: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6174,7 +6522,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 202: \
+  case 225: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6182,22 +6530,22 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 203: \
+  case 226: \
     if (DecodeBlezGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 204: \
+  case 227: \
     if (DecodeBgtzGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 205: \
+  case 228: \
     if (DecodeAddiGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 206: \
+  case 229: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 207: \
+  case 230: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -6207,7 +6555,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 208: \
+  case 231: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -6217,7 +6565,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 209: \
+  case 232: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -6227,7 +6575,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 210: \
+  case 233: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6235,7 +6583,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 211: \
+  case 234: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 6, 5); \
@@ -6245,7 +6593,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 212: \
+  case 235: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6253,7 +6601,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 213: \
+  case 236: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6261,30 +6609,25 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 214: \
+  case 237: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 215: \
-    tmp = fieldname(insn, 16, 5); \
-    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    tmp = 0; \
-    tmp |= (fieldname(insn, 0, 11) << 0); \
-    tmp |= (fieldname(insn, 11, 5) << 16); \
-    MCOperand_CreateImm0(MI, tmp); \
+  case 238: \
+    if (DecodeFMemCop2R6(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 216: \
+  case 239: \
     if (DecodeBlezlGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 217: \
+  case 240: \
     if (DecodeBgtzlGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 218: \
+  case 241: \
     if (DecodeDaddiGroupBranch_4(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 219: \
+  case 242: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6292,13 +6635,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 220: \
+  case 243: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 221: \
+  case 244: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6308,49 +6651,41 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 222: \
-    tmp = 0; \
-    tmp |= (fieldname(insn, 7, 9) << 0); \
-    tmp |= (fieldname(insn, 21, 5) << 16); \
-    MCOperand_CreateImm0(MI, tmp); \
-    tmp = fieldname(insn, 16, 5); \
-    MCOperand_CreateImm0(MI, tmp); \
+  case 245: \
+    if (DecodeCacheOpR6(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 223: \
+  case 246: \
     if (DecodeSpecial3LlSc(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 224: \
+  case 247: \
     tmp = fieldname(insn, 0, 26); \
     if (DecodeBranchTarget26(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 225: \
-    if (DecodeSimm16(MI, insn, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    return S; \
-  case 226: \
+  case 248: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 21); \
     if (DecodeBranchTarget21(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 227: \
+  case 249: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 19); \
     if (DecodeSimm19Lsl2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 228: \
+  case 250: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 18); \
     if (DecodeSimm18Lsl3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 229: \
+  case 251: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 230: \
+  case 252: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6358,13 +6693,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 231: \
+  case 253: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 232: \
+  case 254: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -6372,7 +6707,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 233: \
+  case 255: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6380,13 +6715,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 3); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 234: \
+  case 256: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 235: \
+  case 257: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6394,13 +6729,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 236: \
+  case 258: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 237: \
+  case 259: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6410,7 +6745,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 238: \
+  case 260: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
@@ -6420,13 +6755,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 239: \
+  case 261: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 240: \
+  case 262: \
     tmp = fieldname(insn, 6, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6434,7 +6769,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 241: \
+  case 263: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6442,7 +6777,17 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 242: \
+  case 264: \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 265: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6450,19 +6795,19 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (DecodeSimm16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 243: \
+  case 266: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 244: \
+  case 267: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 11, 5) << 0; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 245: \
+  case 268: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6470,7 +6815,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 10); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 246: \
+  case 269: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6480,7 +6825,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 247: \
+  case 270: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6490,7 +6835,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeExtSize(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 248: \
+  case 271: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -6502,12 +6847,20 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
+  case 272: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 0, 16); \
+    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
   } \
-} 
+}
 
 #define DecodeInstruction(fname, fieldname, decoder, InsnType) \
 static DecodeStatus fname(const uint8_t DecodeTable[], MCInst *MI, \
-           InsnType insn, uint64_t Address, const MCRegisterInfo *MRI, int feature) \
+           InsnType insn, uint64_t Address, MCRegisterInfo *MRI, int feature) \
 { \
   uint64_t Bits = getFeatureBits(feature); \
   const uint8_t *Ptr = DecodeTable; \
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsGenInstrInfo.inc 4.0.2-3/arch/Mips/MipsGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,1697 +34,1772 @@ enum {
     Mips_STACKMAP	= 17,
     Mips_PATCHPOINT	= 18,
     Mips_LOAD_STACK_GUARD	= 19,
-    Mips_ABSQ_S_PH	= 20,
-    Mips_ABSQ_S_QB	= 21,
-    Mips_ABSQ_S_W	= 22,
-    Mips_ADD	= 23,
-    Mips_ADDIUPC	= 24,
-    Mips_ADDQH_PH	= 25,
-    Mips_ADDQH_R_PH	= 26,
-    Mips_ADDQH_R_W	= 27,
-    Mips_ADDQH_W	= 28,
-    Mips_ADDQ_PH	= 29,
-    Mips_ADDQ_S_PH	= 30,
-    Mips_ADDQ_S_W	= 31,
-    Mips_ADDSC	= 32,
-    Mips_ADDS_A_B	= 33,
-    Mips_ADDS_A_D	= 34,
-    Mips_ADDS_A_H	= 35,
-    Mips_ADDS_A_W	= 36,
-    Mips_ADDS_S_B	= 37,
-    Mips_ADDS_S_D	= 38,
-    Mips_ADDS_S_H	= 39,
-    Mips_ADDS_S_W	= 40,
-    Mips_ADDS_U_B	= 41,
-    Mips_ADDS_U_D	= 42,
-    Mips_ADDS_U_H	= 43,
-    Mips_ADDS_U_W	= 44,
-    Mips_ADDUH_QB	= 45,
-    Mips_ADDUH_R_QB	= 46,
-    Mips_ADDU_PH	= 47,
-    Mips_ADDU_QB	= 48,
-    Mips_ADDU_S_PH	= 49,
-    Mips_ADDU_S_QB	= 50,
-    Mips_ADDVI_B	= 51,
-    Mips_ADDVI_D	= 52,
-    Mips_ADDVI_H	= 53,
-    Mips_ADDVI_W	= 54,
-    Mips_ADDV_B	= 55,
-    Mips_ADDV_D	= 56,
-    Mips_ADDV_H	= 57,
-    Mips_ADDV_W	= 58,
-    Mips_ADDWC	= 59,
-    Mips_ADD_A_B	= 60,
-    Mips_ADD_A_D	= 61,
-    Mips_ADD_A_H	= 62,
-    Mips_ADD_A_W	= 63,
-    Mips_ADD_MM	= 64,
-    Mips_ADDi	= 65,
-    Mips_ADDi_MM	= 66,
-    Mips_ADDiu	= 67,
-    Mips_ADDiu_MM	= 68,
-    Mips_ADDu	= 69,
-    Mips_ADDu_MM	= 70,
-    Mips_ADJCALLSTACKDOWN	= 71,
-    Mips_ADJCALLSTACKUP	= 72,
-    Mips_ALIGN	= 73,
-    Mips_ALUIPC	= 74,
-    Mips_AND	= 75,
-    Mips_AND64	= 76,
-    Mips_ANDI_B	= 77,
-    Mips_AND_MM	= 78,
-    Mips_AND_V	= 79,
-    Mips_AND_V_D_PSEUDO	= 80,
-    Mips_AND_V_H_PSEUDO	= 81,
-    Mips_AND_V_W_PSEUDO	= 82,
-    Mips_ANDi	= 83,
-    Mips_ANDi64	= 84,
-    Mips_ANDi_MM	= 85,
-    Mips_APPEND	= 86,
-    Mips_ASUB_S_B	= 87,
-    Mips_ASUB_S_D	= 88,
-    Mips_ASUB_S_H	= 89,
-    Mips_ASUB_S_W	= 90,
-    Mips_ASUB_U_B	= 91,
-    Mips_ASUB_U_D	= 92,
-    Mips_ASUB_U_H	= 93,
-    Mips_ASUB_U_W	= 94,
-    Mips_ATOMIC_CMP_SWAP_I16	= 95,
-    Mips_ATOMIC_CMP_SWAP_I32	= 96,
-    Mips_ATOMIC_CMP_SWAP_I64	= 97,
-    Mips_ATOMIC_CMP_SWAP_I8	= 98,
-    Mips_ATOMIC_LOAD_ADD_I16	= 99,
-    Mips_ATOMIC_LOAD_ADD_I32	= 100,
-    Mips_ATOMIC_LOAD_ADD_I64	= 101,
-    Mips_ATOMIC_LOAD_ADD_I8	= 102,
-    Mips_ATOMIC_LOAD_AND_I16	= 103,
-    Mips_ATOMIC_LOAD_AND_I32	= 104,
-    Mips_ATOMIC_LOAD_AND_I64	= 105,
-    Mips_ATOMIC_LOAD_AND_I8	= 106,
-    Mips_ATOMIC_LOAD_NAND_I16	= 107,
-    Mips_ATOMIC_LOAD_NAND_I32	= 108,
-    Mips_ATOMIC_LOAD_NAND_I64	= 109,
-    Mips_ATOMIC_LOAD_NAND_I8	= 110,
-    Mips_ATOMIC_LOAD_OR_I16	= 111,
-    Mips_ATOMIC_LOAD_OR_I32	= 112,
-    Mips_ATOMIC_LOAD_OR_I64	= 113,
-    Mips_ATOMIC_LOAD_OR_I8	= 114,
-    Mips_ATOMIC_LOAD_SUB_I16	= 115,
-    Mips_ATOMIC_LOAD_SUB_I32	= 116,
-    Mips_ATOMIC_LOAD_SUB_I64	= 117,
-    Mips_ATOMIC_LOAD_SUB_I8	= 118,
-    Mips_ATOMIC_LOAD_XOR_I16	= 119,
-    Mips_ATOMIC_LOAD_XOR_I32	= 120,
-    Mips_ATOMIC_LOAD_XOR_I64	= 121,
-    Mips_ATOMIC_LOAD_XOR_I8	= 122,
-    Mips_ATOMIC_SWAP_I16	= 123,
-    Mips_ATOMIC_SWAP_I32	= 124,
-    Mips_ATOMIC_SWAP_I64	= 125,
-    Mips_ATOMIC_SWAP_I8	= 126,
-    Mips_AUI	= 127,
-    Mips_AUIPC	= 128,
-    Mips_AVER_S_B	= 129,
-    Mips_AVER_S_D	= 130,
-    Mips_AVER_S_H	= 131,
-    Mips_AVER_S_W	= 132,
-    Mips_AVER_U_B	= 133,
-    Mips_AVER_U_D	= 134,
-    Mips_AVER_U_H	= 135,
-    Mips_AVER_U_W	= 136,
-    Mips_AVE_S_B	= 137,
-    Mips_AVE_S_D	= 138,
-    Mips_AVE_S_H	= 139,
-    Mips_AVE_S_W	= 140,
-    Mips_AVE_U_B	= 141,
-    Mips_AVE_U_D	= 142,
-    Mips_AVE_U_H	= 143,
-    Mips_AVE_U_W	= 144,
-    Mips_AddiuRxImmX16	= 145,
-    Mips_AddiuRxPcImmX16	= 146,
-    Mips_AddiuRxRxImm16	= 147,
-    Mips_AddiuRxRxImmX16	= 148,
-    Mips_AddiuRxRyOffMemX16	= 149,
-    Mips_AddiuSpImm16	= 150,
-    Mips_AddiuSpImmX16	= 151,
-    Mips_AdduRxRyRz16	= 152,
-    Mips_AndRxRxRy16	= 153,
-    Mips_B	= 154,
-    Mips_BADDu	= 155,
-    Mips_BAL	= 156,
-    Mips_BALC	= 157,
-    Mips_BALIGN	= 158,
-    Mips_BAL_BR	= 159,
-    Mips_BC	= 160,
-    Mips_BC0F	= 161,
-    Mips_BC0FL	= 162,
-    Mips_BC0T	= 163,
-    Mips_BC0TL	= 164,
-    Mips_BC1EQZ	= 165,
-    Mips_BC1F	= 166,
-    Mips_BC1FL	= 167,
-    Mips_BC1F_MM	= 168,
-    Mips_BC1NEZ	= 169,
-    Mips_BC1T	= 170,
-    Mips_BC1TL	= 171,
-    Mips_BC1T_MM	= 172,
-    Mips_BC2EQZ	= 173,
-    Mips_BC2F	= 174,
-    Mips_BC2FL	= 175,
-    Mips_BC2NEZ	= 176,
-    Mips_BC2T	= 177,
-    Mips_BC2TL	= 178,
-    Mips_BC3F	= 179,
-    Mips_BC3FL	= 180,
-    Mips_BC3T	= 181,
-    Mips_BC3TL	= 182,
-    Mips_BCLRI_B	= 183,
-    Mips_BCLRI_D	= 184,
-    Mips_BCLRI_H	= 185,
-    Mips_BCLRI_W	= 186,
-    Mips_BCLR_B	= 187,
-    Mips_BCLR_D	= 188,
-    Mips_BCLR_H	= 189,
-    Mips_BCLR_W	= 190,
-    Mips_BEQ	= 191,
-    Mips_BEQ64	= 192,
-    Mips_BEQC	= 193,
-    Mips_BEQL	= 194,
-    Mips_BEQZALC	= 195,
-    Mips_BEQZC	= 196,
-    Mips_BEQZC_MM	= 197,
-    Mips_BEQ_MM	= 198,
-    Mips_BGEC	= 199,
-    Mips_BGEUC	= 200,
-    Mips_BGEZ	= 201,
-    Mips_BGEZ64	= 202,
-    Mips_BGEZAL	= 203,
-    Mips_BGEZALC	= 204,
-    Mips_BGEZALL	= 205,
-    Mips_BGEZALS_MM	= 206,
-    Mips_BGEZAL_MM	= 207,
-    Mips_BGEZC	= 208,
-    Mips_BGEZL	= 209,
-    Mips_BGEZ_MM	= 210,
-    Mips_BGTZ	= 211,
-    Mips_BGTZ64	= 212,
-    Mips_BGTZALC	= 213,
-    Mips_BGTZC	= 214,
-    Mips_BGTZL	= 215,
-    Mips_BGTZ_MM	= 216,
-    Mips_BINSLI_B	= 217,
-    Mips_BINSLI_D	= 218,
-    Mips_BINSLI_H	= 219,
-    Mips_BINSLI_W	= 220,
-    Mips_BINSL_B	= 221,
-    Mips_BINSL_D	= 222,
-    Mips_BINSL_H	= 223,
-    Mips_BINSL_W	= 224,
-    Mips_BINSRI_B	= 225,
-    Mips_BINSRI_D	= 226,
-    Mips_BINSRI_H	= 227,
-    Mips_BINSRI_W	= 228,
-    Mips_BINSR_B	= 229,
-    Mips_BINSR_D	= 230,
-    Mips_BINSR_H	= 231,
-    Mips_BINSR_W	= 232,
-    Mips_BITREV	= 233,
-    Mips_BITSWAP	= 234,
-    Mips_BLEZ	= 235,
-    Mips_BLEZ64	= 236,
-    Mips_BLEZALC	= 237,
-    Mips_BLEZC	= 238,
-    Mips_BLEZL	= 239,
-    Mips_BLEZ_MM	= 240,
-    Mips_BLTC	= 241,
-    Mips_BLTUC	= 242,
-    Mips_BLTZ	= 243,
-    Mips_BLTZ64	= 244,
-    Mips_BLTZAL	= 245,
-    Mips_BLTZALC	= 246,
-    Mips_BLTZALL	= 247,
-    Mips_BLTZALS_MM	= 248,
-    Mips_BLTZAL_MM	= 249,
-    Mips_BLTZC	= 250,
-    Mips_BLTZL	= 251,
-    Mips_BLTZ_MM	= 252,
-    Mips_BMNZI_B	= 253,
-    Mips_BMNZ_V	= 254,
-    Mips_BMZI_B	= 255,
-    Mips_BMZ_V	= 256,
-    Mips_BNE	= 257,
-    Mips_BNE64	= 258,
-    Mips_BNEC	= 259,
-    Mips_BNEGI_B	= 260,
-    Mips_BNEGI_D	= 261,
-    Mips_BNEGI_H	= 262,
-    Mips_BNEGI_W	= 263,
-    Mips_BNEG_B	= 264,
-    Mips_BNEG_D	= 265,
-    Mips_BNEG_H	= 266,
-    Mips_BNEG_W	= 267,
-    Mips_BNEL	= 268,
-    Mips_BNEZALC	= 269,
-    Mips_BNEZC	= 270,
-    Mips_BNEZC_MM	= 271,
-    Mips_BNE_MM	= 272,
-    Mips_BNVC	= 273,
-    Mips_BNZ_B	= 274,
-    Mips_BNZ_D	= 275,
-    Mips_BNZ_H	= 276,
-    Mips_BNZ_V	= 277,
-    Mips_BNZ_W	= 278,
-    Mips_BOVC	= 279,
-    Mips_BPOSGE32	= 280,
-    Mips_BPOSGE32_PSEUDO	= 281,
-    Mips_BREAK	= 282,
-    Mips_BREAK_MM	= 283,
-    Mips_BSELI_B	= 284,
-    Mips_BSEL_D_PSEUDO	= 285,
-    Mips_BSEL_FD_PSEUDO	= 286,
-    Mips_BSEL_FW_PSEUDO	= 287,
-    Mips_BSEL_H_PSEUDO	= 288,
-    Mips_BSEL_V	= 289,
-    Mips_BSEL_W_PSEUDO	= 290,
-    Mips_BSETI_B	= 291,
-    Mips_BSETI_D	= 292,
-    Mips_BSETI_H	= 293,
-    Mips_BSETI_W	= 294,
-    Mips_BSET_B	= 295,
-    Mips_BSET_D	= 296,
-    Mips_BSET_H	= 297,
-    Mips_BSET_W	= 298,
-    Mips_BZ_B	= 299,
-    Mips_BZ_D	= 300,
-    Mips_BZ_H	= 301,
-    Mips_BZ_V	= 302,
-    Mips_BZ_W	= 303,
-    Mips_BeqzRxImm16	= 304,
-    Mips_BeqzRxImmX16	= 305,
-    Mips_Bimm16	= 306,
-    Mips_BimmX16	= 307,
-    Mips_BnezRxImm16	= 308,
-    Mips_BnezRxImmX16	= 309,
-    Mips_Break16	= 310,
-    Mips_Bteqz16	= 311,
-    Mips_BteqzT8CmpX16	= 312,
-    Mips_BteqzT8CmpiX16	= 313,
-    Mips_BteqzT8SltX16	= 314,
-    Mips_BteqzT8SltiX16	= 315,
-    Mips_BteqzT8SltiuX16	= 316,
-    Mips_BteqzT8SltuX16	= 317,
-    Mips_BteqzX16	= 318,
-    Mips_Btnez16	= 319,
-    Mips_BtnezT8CmpX16	= 320,
-    Mips_BtnezT8CmpiX16	= 321,
-    Mips_BtnezT8SltX16	= 322,
-    Mips_BtnezT8SltiX16	= 323,
-    Mips_BtnezT8SltiuX16	= 324,
-    Mips_BtnezT8SltuX16	= 325,
-    Mips_BtnezX16	= 326,
-    Mips_BuildPairF64	= 327,
-    Mips_BuildPairF64_64	= 328,
-    Mips_CACHE	= 329,
-    Mips_CACHE_R6	= 330,
-    Mips_CEIL_L_D64	= 331,
-    Mips_CEIL_L_S	= 332,
-    Mips_CEIL_W_D32	= 333,
-    Mips_CEIL_W_D64	= 334,
-    Mips_CEIL_W_MM	= 335,
-    Mips_CEIL_W_S	= 336,
-    Mips_CEIL_W_S_MM	= 337,
-    Mips_CEQI_B	= 338,
-    Mips_CEQI_D	= 339,
-    Mips_CEQI_H	= 340,
-    Mips_CEQI_W	= 341,
-    Mips_CEQ_B	= 342,
-    Mips_CEQ_D	= 343,
-    Mips_CEQ_H	= 344,
-    Mips_CEQ_W	= 345,
-    Mips_CFC1	= 346,
-    Mips_CFC1_MM	= 347,
-    Mips_CFCMSA	= 348,
-    Mips_CINS	= 349,
-    Mips_CINS32	= 350,
-    Mips_CLASS_D	= 351,
-    Mips_CLASS_S	= 352,
-    Mips_CLEI_S_B	= 353,
-    Mips_CLEI_S_D	= 354,
-    Mips_CLEI_S_H	= 355,
-    Mips_CLEI_S_W	= 356,
-    Mips_CLEI_U_B	= 357,
-    Mips_CLEI_U_D	= 358,
-    Mips_CLEI_U_H	= 359,
-    Mips_CLEI_U_W	= 360,
-    Mips_CLE_S_B	= 361,
-    Mips_CLE_S_D	= 362,
-    Mips_CLE_S_H	= 363,
-    Mips_CLE_S_W	= 364,
-    Mips_CLE_U_B	= 365,
-    Mips_CLE_U_D	= 366,
-    Mips_CLE_U_H	= 367,
-    Mips_CLE_U_W	= 368,
-    Mips_CLO	= 369,
-    Mips_CLO_MM	= 370,
-    Mips_CLO_R6	= 371,
-    Mips_CLTI_S_B	= 372,
-    Mips_CLTI_S_D	= 373,
-    Mips_CLTI_S_H	= 374,
-    Mips_CLTI_S_W	= 375,
-    Mips_CLTI_U_B	= 376,
-    Mips_CLTI_U_D	= 377,
-    Mips_CLTI_U_H	= 378,
-    Mips_CLTI_U_W	= 379,
-    Mips_CLT_S_B	= 380,
-    Mips_CLT_S_D	= 381,
-    Mips_CLT_S_H	= 382,
-    Mips_CLT_S_W	= 383,
-    Mips_CLT_U_B	= 384,
-    Mips_CLT_U_D	= 385,
-    Mips_CLT_U_H	= 386,
-    Mips_CLT_U_W	= 387,
-    Mips_CLZ	= 388,
-    Mips_CLZ_MM	= 389,
-    Mips_CLZ_R6	= 390,
-    Mips_CMPGDU_EQ_QB	= 391,
-    Mips_CMPGDU_LE_QB	= 392,
-    Mips_CMPGDU_LT_QB	= 393,
-    Mips_CMPGU_EQ_QB	= 394,
-    Mips_CMPGU_LE_QB	= 395,
-    Mips_CMPGU_LT_QB	= 396,
-    Mips_CMPU_EQ_QB	= 397,
-    Mips_CMPU_LE_QB	= 398,
-    Mips_CMPU_LT_QB	= 399,
-    Mips_CMP_EQ_D	= 400,
-    Mips_CMP_EQ_PH	= 401,
-    Mips_CMP_EQ_S	= 402,
-    Mips_CMP_F_D	= 403,
-    Mips_CMP_F_S	= 404,
-    Mips_CMP_LE_D	= 405,
-    Mips_CMP_LE_PH	= 406,
-    Mips_CMP_LE_S	= 407,
-    Mips_CMP_LT_D	= 408,
-    Mips_CMP_LT_PH	= 409,
-    Mips_CMP_LT_S	= 410,
-    Mips_CMP_SAF_D	= 411,
-    Mips_CMP_SAF_S	= 412,
-    Mips_CMP_SEQ_D	= 413,
-    Mips_CMP_SEQ_S	= 414,
-    Mips_CMP_SLE_D	= 415,
-    Mips_CMP_SLE_S	= 416,
-    Mips_CMP_SLT_D	= 417,
-    Mips_CMP_SLT_S	= 418,
-    Mips_CMP_SUEQ_D	= 419,
-    Mips_CMP_SUEQ_S	= 420,
-    Mips_CMP_SULE_D	= 421,
-    Mips_CMP_SULE_S	= 422,
-    Mips_CMP_SULT_D	= 423,
-    Mips_CMP_SULT_S	= 424,
-    Mips_CMP_SUN_D	= 425,
-    Mips_CMP_SUN_S	= 426,
-    Mips_CMP_UEQ_D	= 427,
-    Mips_CMP_UEQ_S	= 428,
-    Mips_CMP_ULE_D	= 429,
-    Mips_CMP_ULE_S	= 430,
-    Mips_CMP_ULT_D	= 431,
-    Mips_CMP_ULT_S	= 432,
-    Mips_CMP_UN_D	= 433,
-    Mips_CMP_UN_S	= 434,
-    Mips_CONSTPOOL_ENTRY	= 435,
-    Mips_COPY_FD_PSEUDO	= 436,
-    Mips_COPY_FW_PSEUDO	= 437,
-    Mips_COPY_S_B	= 438,
-    Mips_COPY_S_D	= 439,
-    Mips_COPY_S_H	= 440,
-    Mips_COPY_S_W	= 441,
-    Mips_COPY_U_B	= 442,
-    Mips_COPY_U_D	= 443,
-    Mips_COPY_U_H	= 444,
-    Mips_COPY_U_W	= 445,
-    Mips_CTC1	= 446,
-    Mips_CTC1_MM	= 447,
-    Mips_CTCMSA	= 448,
-    Mips_CVT_D32_S	= 449,
-    Mips_CVT_D32_W	= 450,
-    Mips_CVT_D32_W_MM	= 451,
-    Mips_CVT_D64_L	= 452,
-    Mips_CVT_D64_S	= 453,
-    Mips_CVT_D64_W	= 454,
-    Mips_CVT_D_S_MM	= 455,
-    Mips_CVT_L_D64	= 456,
-    Mips_CVT_L_D64_MM	= 457,
-    Mips_CVT_L_S	= 458,
-    Mips_CVT_L_S_MM	= 459,
-    Mips_CVT_S_D32	= 460,
-    Mips_CVT_S_D32_MM	= 461,
-    Mips_CVT_S_D64	= 462,
-    Mips_CVT_S_L	= 463,
-    Mips_CVT_S_W	= 464,
-    Mips_CVT_S_W_MM	= 465,
-    Mips_CVT_W_D32	= 466,
-    Mips_CVT_W_D64	= 467,
-    Mips_CVT_W_MM	= 468,
-    Mips_CVT_W_S	= 469,
-    Mips_CVT_W_S_MM	= 470,
-    Mips_C_EQ_D32	= 471,
-    Mips_C_EQ_D64	= 472,
-    Mips_C_EQ_S	= 473,
-    Mips_C_F_D32	= 474,
-    Mips_C_F_D64	= 475,
-    Mips_C_F_S	= 476,
-    Mips_C_LE_D32	= 477,
-    Mips_C_LE_D64	= 478,
-    Mips_C_LE_S	= 479,
-    Mips_C_LT_D32	= 480,
-    Mips_C_LT_D64	= 481,
-    Mips_C_LT_S	= 482,
-    Mips_C_NGE_D32	= 483,
-    Mips_C_NGE_D64	= 484,
-    Mips_C_NGE_S	= 485,
-    Mips_C_NGLE_D32	= 486,
-    Mips_C_NGLE_D64	= 487,
-    Mips_C_NGLE_S	= 488,
-    Mips_C_NGL_D32	= 489,
-    Mips_C_NGL_D64	= 490,
-    Mips_C_NGL_S	= 491,
-    Mips_C_NGT_D32	= 492,
-    Mips_C_NGT_D64	= 493,
-    Mips_C_NGT_S	= 494,
-    Mips_C_OLE_D32	= 495,
-    Mips_C_OLE_D64	= 496,
-    Mips_C_OLE_S	= 497,
-    Mips_C_OLT_D32	= 498,
-    Mips_C_OLT_D64	= 499,
-    Mips_C_OLT_S	= 500,
-    Mips_C_SEQ_D32	= 501,
-    Mips_C_SEQ_D64	= 502,
-    Mips_C_SEQ_S	= 503,
-    Mips_C_SF_D32	= 504,
-    Mips_C_SF_D64	= 505,
-    Mips_C_SF_S	= 506,
-    Mips_C_UEQ_D32	= 507,
-    Mips_C_UEQ_D64	= 508,
-    Mips_C_UEQ_S	= 509,
-    Mips_C_ULE_D32	= 510,
-    Mips_C_ULE_D64	= 511,
-    Mips_C_ULE_S	= 512,
-    Mips_C_ULT_D32	= 513,
-    Mips_C_ULT_D64	= 514,
-    Mips_C_ULT_S	= 515,
-    Mips_C_UN_D32	= 516,
-    Mips_C_UN_D64	= 517,
-    Mips_C_UN_S	= 518,
-    Mips_CmpRxRy16	= 519,
-    Mips_CmpiRxImm16	= 520,
-    Mips_CmpiRxImmX16	= 521,
-    Mips_Constant32	= 522,
-    Mips_DADD	= 523,
-    Mips_DADDi	= 524,
-    Mips_DADDiu	= 525,
-    Mips_DADDu	= 526,
-    Mips_DAHI	= 527,
-    Mips_DALIGN	= 528,
-    Mips_DATI	= 529,
-    Mips_DAUI	= 530,
-    Mips_DBITSWAP	= 531,
-    Mips_DCLO	= 532,
-    Mips_DCLO_R6	= 533,
-    Mips_DCLZ	= 534,
-    Mips_DCLZ_R6	= 535,
-    Mips_DDIV	= 536,
-    Mips_DDIVU	= 537,
-    Mips_DERET	= 538,
-    Mips_DERET_MM	= 539,
-    Mips_DEXT	= 540,
-    Mips_DEXTM	= 541,
-    Mips_DEXTU	= 542,
-    Mips_DI	= 543,
-    Mips_DINS	= 544,
-    Mips_DINSM	= 545,
-    Mips_DINSU	= 546,
-    Mips_DIV	= 547,
-    Mips_DIVU	= 548,
-    Mips_DIV_S_B	= 549,
-    Mips_DIV_S_D	= 550,
-    Mips_DIV_S_H	= 551,
-    Mips_DIV_S_W	= 552,
-    Mips_DIV_U_B	= 553,
-    Mips_DIV_U_D	= 554,
-    Mips_DIV_U_H	= 555,
-    Mips_DIV_U_W	= 556,
-    Mips_DI_MM	= 557,
-    Mips_DLSA	= 558,
-    Mips_DLSA_R6	= 559,
-    Mips_DMFC0	= 560,
-    Mips_DMFC1	= 561,
-    Mips_DMFC2	= 562,
-    Mips_DMOD	= 563,
-    Mips_DMODU	= 564,
-    Mips_DMTC0	= 565,
-    Mips_DMTC1	= 566,
-    Mips_DMTC2	= 567,
-    Mips_DMUH	= 568,
-    Mips_DMUHU	= 569,
-    Mips_DMUL	= 570,
-    Mips_DMULT	= 571,
-    Mips_DMULTu	= 572,
-    Mips_DMULU	= 573,
-    Mips_DMUL_R6	= 574,
-    Mips_DOTP_S_D	= 575,
-    Mips_DOTP_S_H	= 576,
-    Mips_DOTP_S_W	= 577,
-    Mips_DOTP_U_D	= 578,
-    Mips_DOTP_U_H	= 579,
-    Mips_DOTP_U_W	= 580,
-    Mips_DPADD_S_D	= 581,
-    Mips_DPADD_S_H	= 582,
-    Mips_DPADD_S_W	= 583,
-    Mips_DPADD_U_D	= 584,
-    Mips_DPADD_U_H	= 585,
-    Mips_DPADD_U_W	= 586,
-    Mips_DPAQX_SA_W_PH	= 587,
-    Mips_DPAQX_S_W_PH	= 588,
-    Mips_DPAQ_SA_L_W	= 589,
-    Mips_DPAQ_S_W_PH	= 590,
-    Mips_DPAU_H_QBL	= 591,
-    Mips_DPAU_H_QBR	= 592,
-    Mips_DPAX_W_PH	= 593,
-    Mips_DPA_W_PH	= 594,
-    Mips_DPOP	= 595,
-    Mips_DPSQX_SA_W_PH	= 596,
-    Mips_DPSQX_S_W_PH	= 597,
-    Mips_DPSQ_SA_L_W	= 598,
-    Mips_DPSQ_S_W_PH	= 599,
-    Mips_DPSUB_S_D	= 600,
-    Mips_DPSUB_S_H	= 601,
-    Mips_DPSUB_S_W	= 602,
-    Mips_DPSUB_U_D	= 603,
-    Mips_DPSUB_U_H	= 604,
-    Mips_DPSUB_U_W	= 605,
-    Mips_DPSU_H_QBL	= 606,
-    Mips_DPSU_H_QBR	= 607,
-    Mips_DPSX_W_PH	= 608,
-    Mips_DPS_W_PH	= 609,
-    Mips_DROTR	= 610,
-    Mips_DROTR32	= 611,
-    Mips_DROTRV	= 612,
-    Mips_DSBH	= 613,
-    Mips_DSDIV	= 614,
-    Mips_DSHD	= 615,
-    Mips_DSLL	= 616,
-    Mips_DSLL32	= 617,
-    Mips_DSLL64_32	= 618,
-    Mips_DSLLV	= 619,
-    Mips_DSRA	= 620,
-    Mips_DSRA32	= 621,
-    Mips_DSRAV	= 622,
-    Mips_DSRL	= 623,
-    Mips_DSRL32	= 624,
-    Mips_DSRLV	= 625,
-    Mips_DSUB	= 626,
-    Mips_DSUBu	= 627,
-    Mips_DUDIV	= 628,
-    Mips_DivRxRy16	= 629,
-    Mips_DivuRxRy16	= 630,
-    Mips_EHB	= 631,
-    Mips_EI	= 632,
-    Mips_EI_MM	= 633,
-    Mips_ERET	= 634,
-    Mips_ERET_MM	= 635,
-    Mips_EXT	= 636,
-    Mips_EXTP	= 637,
-    Mips_EXTPDP	= 638,
-    Mips_EXTPDPV	= 639,
-    Mips_EXTPV	= 640,
-    Mips_EXTRV_RS_W	= 641,
-    Mips_EXTRV_R_W	= 642,
-    Mips_EXTRV_S_H	= 643,
-    Mips_EXTRV_W	= 644,
-    Mips_EXTR_RS_W	= 645,
-    Mips_EXTR_R_W	= 646,
-    Mips_EXTR_S_H	= 647,
-    Mips_EXTR_W	= 648,
-    Mips_EXTS	= 649,
-    Mips_EXTS32	= 650,
-    Mips_EXT_MM	= 651,
-    Mips_ExtractElementF64	= 652,
-    Mips_ExtractElementF64_64	= 653,
-    Mips_FABS_D	= 654,
-    Mips_FABS_D32	= 655,
-    Mips_FABS_D64	= 656,
-    Mips_FABS_MM	= 657,
-    Mips_FABS_S	= 658,
-    Mips_FABS_S_MM	= 659,
-    Mips_FABS_W	= 660,
-    Mips_FADD_D	= 661,
-    Mips_FADD_D32	= 662,
-    Mips_FADD_D64	= 663,
-    Mips_FADD_MM	= 664,
-    Mips_FADD_S	= 665,
-    Mips_FADD_S_MM	= 666,
-    Mips_FADD_W	= 667,
-    Mips_FCAF_D	= 668,
-    Mips_FCAF_W	= 669,
-    Mips_FCEQ_D	= 670,
-    Mips_FCEQ_W	= 671,
-    Mips_FCLASS_D	= 672,
-    Mips_FCLASS_W	= 673,
-    Mips_FCLE_D	= 674,
-    Mips_FCLE_W	= 675,
-    Mips_FCLT_D	= 676,
-    Mips_FCLT_W	= 677,
-    Mips_FCMP_D32	= 678,
-    Mips_FCMP_D32_MM	= 679,
-    Mips_FCMP_D64	= 680,
-    Mips_FCMP_S32	= 681,
-    Mips_FCMP_S32_MM	= 682,
-    Mips_FCNE_D	= 683,
-    Mips_FCNE_W	= 684,
-    Mips_FCOR_D	= 685,
-    Mips_FCOR_W	= 686,
-    Mips_FCUEQ_D	= 687,
-    Mips_FCUEQ_W	= 688,
-    Mips_FCULE_D	= 689,
-    Mips_FCULE_W	= 690,
-    Mips_FCULT_D	= 691,
-    Mips_FCULT_W	= 692,
-    Mips_FCUNE_D	= 693,
-    Mips_FCUNE_W	= 694,
-    Mips_FCUN_D	= 695,
-    Mips_FCUN_W	= 696,
-    Mips_FDIV_D	= 697,
-    Mips_FDIV_D32	= 698,
-    Mips_FDIV_D64	= 699,
-    Mips_FDIV_MM	= 700,
-    Mips_FDIV_S	= 701,
-    Mips_FDIV_S_MM	= 702,
-    Mips_FDIV_W	= 703,
-    Mips_FEXDO_H	= 704,
-    Mips_FEXDO_W	= 705,
-    Mips_FEXP2_D	= 706,
-    Mips_FEXP2_D_1_PSEUDO	= 707,
-    Mips_FEXP2_W	= 708,
-    Mips_FEXP2_W_1_PSEUDO	= 709,
-    Mips_FEXUPL_D	= 710,
-    Mips_FEXUPL_W	= 711,
-    Mips_FEXUPR_D	= 712,
-    Mips_FEXUPR_W	= 713,
-    Mips_FFINT_S_D	= 714,
-    Mips_FFINT_S_W	= 715,
-    Mips_FFINT_U_D	= 716,
-    Mips_FFINT_U_W	= 717,
-    Mips_FFQL_D	= 718,
-    Mips_FFQL_W	= 719,
-    Mips_FFQR_D	= 720,
-    Mips_FFQR_W	= 721,
-    Mips_FILL_B	= 722,
-    Mips_FILL_D	= 723,
-    Mips_FILL_FD_PSEUDO	= 724,
-    Mips_FILL_FW_PSEUDO	= 725,
-    Mips_FILL_H	= 726,
-    Mips_FILL_W	= 727,
-    Mips_FLOG2_D	= 728,
-    Mips_FLOG2_W	= 729,
-    Mips_FLOOR_L_D64	= 730,
-    Mips_FLOOR_L_S	= 731,
-    Mips_FLOOR_W_D32	= 732,
-    Mips_FLOOR_W_D64	= 733,
-    Mips_FLOOR_W_MM	= 734,
-    Mips_FLOOR_W_S	= 735,
-    Mips_FLOOR_W_S_MM	= 736,
-    Mips_FMADD_D	= 737,
-    Mips_FMADD_W	= 738,
-    Mips_FMAX_A_D	= 739,
-    Mips_FMAX_A_W	= 740,
-    Mips_FMAX_D	= 741,
-    Mips_FMAX_W	= 742,
-    Mips_FMIN_A_D	= 743,
-    Mips_FMIN_A_W	= 744,
-    Mips_FMIN_D	= 745,
-    Mips_FMIN_W	= 746,
-    Mips_FMOV_D32	= 747,
-    Mips_FMOV_D32_MM	= 748,
-    Mips_FMOV_D64	= 749,
-    Mips_FMOV_S	= 750,
-    Mips_FMOV_S_MM	= 751,
-    Mips_FMSUB_D	= 752,
-    Mips_FMSUB_W	= 753,
-    Mips_FMUL_D	= 754,
-    Mips_FMUL_D32	= 755,
-    Mips_FMUL_D64	= 756,
-    Mips_FMUL_MM	= 757,
-    Mips_FMUL_S	= 758,
-    Mips_FMUL_S_MM	= 759,
-    Mips_FMUL_W	= 760,
-    Mips_FNEG_D32	= 761,
-    Mips_FNEG_D64	= 762,
-    Mips_FNEG_MM	= 763,
-    Mips_FNEG_S	= 764,
-    Mips_FNEG_S_MM	= 765,
-    Mips_FRCP_D	= 766,
-    Mips_FRCP_W	= 767,
-    Mips_FRINT_D	= 768,
-    Mips_FRINT_W	= 769,
-    Mips_FRSQRT_D	= 770,
-    Mips_FRSQRT_W	= 771,
-    Mips_FSAF_D	= 772,
-    Mips_FSAF_W	= 773,
-    Mips_FSEQ_D	= 774,
-    Mips_FSEQ_W	= 775,
-    Mips_FSLE_D	= 776,
-    Mips_FSLE_W	= 777,
-    Mips_FSLT_D	= 778,
-    Mips_FSLT_W	= 779,
-    Mips_FSNE_D	= 780,
-    Mips_FSNE_W	= 781,
-    Mips_FSOR_D	= 782,
-    Mips_FSOR_W	= 783,
-    Mips_FSQRT_D	= 784,
-    Mips_FSQRT_D32	= 785,
-    Mips_FSQRT_D64	= 786,
-    Mips_FSQRT_MM	= 787,
-    Mips_FSQRT_S	= 788,
-    Mips_FSQRT_S_MM	= 789,
-    Mips_FSQRT_W	= 790,
-    Mips_FSUB_D	= 791,
-    Mips_FSUB_D32	= 792,
-    Mips_FSUB_D64	= 793,
-    Mips_FSUB_MM	= 794,
-    Mips_FSUB_S	= 795,
-    Mips_FSUB_S_MM	= 796,
-    Mips_FSUB_W	= 797,
-    Mips_FSUEQ_D	= 798,
-    Mips_FSUEQ_W	= 799,
-    Mips_FSULE_D	= 800,
-    Mips_FSULE_W	= 801,
-    Mips_FSULT_D	= 802,
-    Mips_FSULT_W	= 803,
-    Mips_FSUNE_D	= 804,
-    Mips_FSUNE_W	= 805,
-    Mips_FSUN_D	= 806,
-    Mips_FSUN_W	= 807,
-    Mips_FTINT_S_D	= 808,
-    Mips_FTINT_S_W	= 809,
-    Mips_FTINT_U_D	= 810,
-    Mips_FTINT_U_W	= 811,
-    Mips_FTQ_H	= 812,
-    Mips_FTQ_W	= 813,
-    Mips_FTRUNC_S_D	= 814,
-    Mips_FTRUNC_S_W	= 815,
-    Mips_FTRUNC_U_D	= 816,
-    Mips_FTRUNC_U_W	= 817,
-    Mips_GotPrologue16	= 818,
-    Mips_HADD_S_D	= 819,
-    Mips_HADD_S_H	= 820,
-    Mips_HADD_S_W	= 821,
-    Mips_HADD_U_D	= 822,
-    Mips_HADD_U_H	= 823,
-    Mips_HADD_U_W	= 824,
-    Mips_HSUB_S_D	= 825,
-    Mips_HSUB_S_H	= 826,
-    Mips_HSUB_S_W	= 827,
-    Mips_HSUB_U_D	= 828,
-    Mips_HSUB_U_H	= 829,
-    Mips_HSUB_U_W	= 830,
-    Mips_ILVEV_B	= 831,
-    Mips_ILVEV_D	= 832,
-    Mips_ILVEV_H	= 833,
-    Mips_ILVEV_W	= 834,
-    Mips_ILVL_B	= 835,
-    Mips_ILVL_D	= 836,
-    Mips_ILVL_H	= 837,
-    Mips_ILVL_W	= 838,
-    Mips_ILVOD_B	= 839,
-    Mips_ILVOD_D	= 840,
-    Mips_ILVOD_H	= 841,
-    Mips_ILVOD_W	= 842,
-    Mips_ILVR_B	= 843,
-    Mips_ILVR_D	= 844,
-    Mips_ILVR_H	= 845,
-    Mips_ILVR_W	= 846,
-    Mips_INS	= 847,
-    Mips_INSERT_B	= 848,
-    Mips_INSERT_B_VIDX_PSEUDO	= 849,
-    Mips_INSERT_D	= 850,
-    Mips_INSERT_D_VIDX_PSEUDO	= 851,
-    Mips_INSERT_FD_PSEUDO	= 852,
-    Mips_INSERT_FD_VIDX_PSEUDO	= 853,
-    Mips_INSERT_FW_PSEUDO	= 854,
-    Mips_INSERT_FW_VIDX_PSEUDO	= 855,
-    Mips_INSERT_H	= 856,
-    Mips_INSERT_H_VIDX_PSEUDO	= 857,
-    Mips_INSERT_W	= 858,
-    Mips_INSERT_W_VIDX_PSEUDO	= 859,
-    Mips_INSV	= 860,
-    Mips_INSVE_B	= 861,
-    Mips_INSVE_D	= 862,
-    Mips_INSVE_H	= 863,
-    Mips_INSVE_W	= 864,
-    Mips_INS_MM	= 865,
-    Mips_J	= 866,
-    Mips_JAL	= 867,
-    Mips_JALR	= 868,
-    Mips_JALR16_MM	= 869,
-    Mips_JALR64	= 870,
-    Mips_JALR64Pseudo	= 871,
-    Mips_JALRPseudo	= 872,
-    Mips_JALRS_MM	= 873,
-    Mips_JALR_HB	= 874,
-    Mips_JALR_MM	= 875,
-    Mips_JALS_MM	= 876,
-    Mips_JALX	= 877,
-    Mips_JAL_MM	= 878,
-    Mips_JIALC	= 879,
-    Mips_JIC	= 880,
-    Mips_JR	= 881,
-    Mips_JR64	= 882,
-    Mips_JRADDIUSP	= 883,
-    Mips_JR_HB	= 884,
-    Mips_JR_HB_R6	= 885,
-    Mips_JR_MM	= 886,
-    Mips_J_MM	= 887,
-    Mips_Jal16	= 888,
-    Mips_JalB16	= 889,
-    Mips_JrRa16	= 890,
-    Mips_JrcRa16	= 891,
-    Mips_JrcRx16	= 892,
-    Mips_JumpLinkReg16	= 893,
-    Mips_LB	= 894,
-    Mips_LB64	= 895,
-    Mips_LBUX	= 896,
-    Mips_LB_MM	= 897,
-    Mips_LBu	= 898,
-    Mips_LBu64	= 899,
-    Mips_LBu_MM	= 900,
-    Mips_LD	= 901,
-    Mips_LDC1	= 902,
-    Mips_LDC164	= 903,
-    Mips_LDC1_MM	= 904,
-    Mips_LDC2	= 905,
-    Mips_LDC2_R6	= 906,
-    Mips_LDC3	= 907,
-    Mips_LDI_B	= 908,
-    Mips_LDI_D	= 909,
-    Mips_LDI_H	= 910,
-    Mips_LDI_W	= 911,
-    Mips_LDL	= 912,
-    Mips_LDPC	= 913,
-    Mips_LDR	= 914,
-    Mips_LDXC1	= 915,
-    Mips_LDXC164	= 916,
-    Mips_LD_B	= 917,
-    Mips_LD_D	= 918,
-    Mips_LD_H	= 919,
-    Mips_LD_W	= 920,
-    Mips_LEA_ADDiu	= 921,
-    Mips_LEA_ADDiu64	= 922,
-    Mips_LEA_ADDiu_MM	= 923,
-    Mips_LH	= 924,
-    Mips_LH64	= 925,
-    Mips_LHX	= 926,
-    Mips_LH_MM	= 927,
-    Mips_LHu	= 928,
-    Mips_LHu64	= 929,
-    Mips_LHu_MM	= 930,
-    Mips_LL	= 931,
-    Mips_LLD	= 932,
-    Mips_LLD_R6	= 933,
-    Mips_LL_MM	= 934,
-    Mips_LL_R6	= 935,
-    Mips_LOAD_ACC128	= 936,
-    Mips_LOAD_ACC64	= 937,
-    Mips_LOAD_ACC64DSP	= 938,
-    Mips_LOAD_CCOND_DSP	= 939,
-    Mips_LONG_BRANCH_ADDiu	= 940,
-    Mips_LONG_BRANCH_DADDiu	= 941,
-    Mips_LONG_BRANCH_LUi	= 942,
-    Mips_LSA	= 943,
-    Mips_LSA_R6	= 944,
-    Mips_LUXC1	= 945,
-    Mips_LUXC164	= 946,
-    Mips_LUXC1_MM	= 947,
-    Mips_LUi	= 948,
-    Mips_LUi64	= 949,
-    Mips_LUi_MM	= 950,
-    Mips_LW	= 951,
-    Mips_LW64	= 952,
-    Mips_LWC1	= 953,
-    Mips_LWC1_MM	= 954,
-    Mips_LWC2	= 955,
-    Mips_LWC2_R6	= 956,
-    Mips_LWC3	= 957,
-    Mips_LWL	= 958,
-    Mips_LWL64	= 959,
-    Mips_LWL_MM	= 960,
-    Mips_LWPC	= 961,
-    Mips_LWR	= 962,
-    Mips_LWR64	= 963,
-    Mips_LWR_MM	= 964,
-    Mips_LWUPC	= 965,
-    Mips_LWU_MM	= 966,
-    Mips_LWX	= 967,
-    Mips_LWXC1	= 968,
-    Mips_LWXC1_MM	= 969,
-    Mips_LW_MM	= 970,
-    Mips_LWu	= 971,
-    Mips_LbRxRyOffMemX16	= 972,
-    Mips_LbuRxRyOffMemX16	= 973,
-    Mips_LhRxRyOffMemX16	= 974,
-    Mips_LhuRxRyOffMemX16	= 975,
-    Mips_LiRxImm16	= 976,
-    Mips_LiRxImmAlignX16	= 977,
-    Mips_LiRxImmX16	= 978,
-    Mips_LoadAddr32Imm	= 979,
-    Mips_LoadAddr32Reg	= 980,
-    Mips_LoadImm32Reg	= 981,
-    Mips_LoadImm64Reg	= 982,
-    Mips_LwConstant32	= 983,
-    Mips_LwRxPcTcp16	= 984,
-    Mips_LwRxPcTcpX16	= 985,
-    Mips_LwRxRyOffMemX16	= 986,
-    Mips_LwRxSpImmX16	= 987,
-    Mips_MADD	= 988,
-    Mips_MADDF_D	= 989,
-    Mips_MADDF_S	= 990,
-    Mips_MADDR_Q_H	= 991,
-    Mips_MADDR_Q_W	= 992,
-    Mips_MADDU	= 993,
-    Mips_MADDU_DSP	= 994,
-    Mips_MADDU_MM	= 995,
-    Mips_MADDV_B	= 996,
-    Mips_MADDV_D	= 997,
-    Mips_MADDV_H	= 998,
-    Mips_MADDV_W	= 999,
-    Mips_MADD_D32	= 1000,
-    Mips_MADD_D32_MM	= 1001,
-    Mips_MADD_D64	= 1002,
-    Mips_MADD_DSP	= 1003,
-    Mips_MADD_MM	= 1004,
-    Mips_MADD_Q_H	= 1005,
-    Mips_MADD_Q_W	= 1006,
-    Mips_MADD_S	= 1007,
-    Mips_MADD_S_MM	= 1008,
-    Mips_MAQ_SA_W_PHL	= 1009,
-    Mips_MAQ_SA_W_PHR	= 1010,
-    Mips_MAQ_S_W_PHL	= 1011,
-    Mips_MAQ_S_W_PHR	= 1012,
-    Mips_MAXA_D	= 1013,
-    Mips_MAXA_S	= 1014,
-    Mips_MAXI_S_B	= 1015,
-    Mips_MAXI_S_D	= 1016,
-    Mips_MAXI_S_H	= 1017,
-    Mips_MAXI_S_W	= 1018,
-    Mips_MAXI_U_B	= 1019,
-    Mips_MAXI_U_D	= 1020,
-    Mips_MAXI_U_H	= 1021,
-    Mips_MAXI_U_W	= 1022,
-    Mips_MAX_A_B	= 1023,
-    Mips_MAX_A_D	= 1024,
-    Mips_MAX_A_H	= 1025,
-    Mips_MAX_A_W	= 1026,
-    Mips_MAX_D	= 1027,
-    Mips_MAX_S	= 1028,
-    Mips_MAX_S_B	= 1029,
-    Mips_MAX_S_D	= 1030,
-    Mips_MAX_S_H	= 1031,
-    Mips_MAX_S_W	= 1032,
-    Mips_MAX_U_B	= 1033,
-    Mips_MAX_U_D	= 1034,
-    Mips_MAX_U_H	= 1035,
-    Mips_MAX_U_W	= 1036,
-    Mips_MFC0	= 1037,
-    Mips_MFC1	= 1038,
-    Mips_MFC1_MM	= 1039,
-    Mips_MFC2	= 1040,
-    Mips_MFHC1_D32	= 1041,
-    Mips_MFHC1_D64	= 1042,
-    Mips_MFHC1_MM	= 1043,
-    Mips_MFHI	= 1044,
-    Mips_MFHI16_MM	= 1045,
-    Mips_MFHI64	= 1046,
-    Mips_MFHI_DSP	= 1047,
-    Mips_MFHI_MM	= 1048,
-    Mips_MFLO	= 1049,
-    Mips_MFLO16_MM	= 1050,
-    Mips_MFLO64	= 1051,
-    Mips_MFLO_DSP	= 1052,
-    Mips_MFLO_MM	= 1053,
-    Mips_MINA_D	= 1054,
-    Mips_MINA_S	= 1055,
-    Mips_MINI_S_B	= 1056,
-    Mips_MINI_S_D	= 1057,
-    Mips_MINI_S_H	= 1058,
-    Mips_MINI_S_W	= 1059,
-    Mips_MINI_U_B	= 1060,
-    Mips_MINI_U_D	= 1061,
-    Mips_MINI_U_H	= 1062,
-    Mips_MINI_U_W	= 1063,
-    Mips_MIN_A_B	= 1064,
-    Mips_MIN_A_D	= 1065,
-    Mips_MIN_A_H	= 1066,
-    Mips_MIN_A_W	= 1067,
-    Mips_MIN_D	= 1068,
-    Mips_MIN_S	= 1069,
-    Mips_MIN_S_B	= 1070,
-    Mips_MIN_S_D	= 1071,
-    Mips_MIN_S_H	= 1072,
-    Mips_MIN_S_W	= 1073,
-    Mips_MIN_U_B	= 1074,
-    Mips_MIN_U_D	= 1075,
-    Mips_MIN_U_H	= 1076,
-    Mips_MIN_U_W	= 1077,
-    Mips_MIPSeh_return32	= 1078,
-    Mips_MIPSeh_return64	= 1079,
-    Mips_MOD	= 1080,
-    Mips_MODSUB	= 1081,
-    Mips_MODU	= 1082,
-    Mips_MOD_S_B	= 1083,
-    Mips_MOD_S_D	= 1084,
-    Mips_MOD_S_H	= 1085,
-    Mips_MOD_S_W	= 1086,
-    Mips_MOD_U_B	= 1087,
-    Mips_MOD_U_D	= 1088,
-    Mips_MOD_U_H	= 1089,
-    Mips_MOD_U_W	= 1090,
-    Mips_MOVE16_MM	= 1091,
-    Mips_MOVE_V	= 1092,
-    Mips_MOVF_D32	= 1093,
-    Mips_MOVF_D32_MM	= 1094,
-    Mips_MOVF_D64	= 1095,
-    Mips_MOVF_I	= 1096,
-    Mips_MOVF_I64	= 1097,
-    Mips_MOVF_I_MM	= 1098,
-    Mips_MOVF_S	= 1099,
-    Mips_MOVF_S_MM	= 1100,
-    Mips_MOVN_I64_D64	= 1101,
-    Mips_MOVN_I64_I	= 1102,
-    Mips_MOVN_I64_I64	= 1103,
-    Mips_MOVN_I64_S	= 1104,
-    Mips_MOVN_I_D32	= 1105,
-    Mips_MOVN_I_D32_MM	= 1106,
-    Mips_MOVN_I_D64	= 1107,
-    Mips_MOVN_I_I	= 1108,
-    Mips_MOVN_I_I64	= 1109,
-    Mips_MOVN_I_MM	= 1110,
-    Mips_MOVN_I_S	= 1111,
-    Mips_MOVN_I_S_MM	= 1112,
-    Mips_MOVT_D32	= 1113,
-    Mips_MOVT_D32_MM	= 1114,
-    Mips_MOVT_D64	= 1115,
-    Mips_MOVT_I	= 1116,
-    Mips_MOVT_I64	= 1117,
-    Mips_MOVT_I_MM	= 1118,
-    Mips_MOVT_S	= 1119,
-    Mips_MOVT_S_MM	= 1120,
-    Mips_MOVZ_I64_D64	= 1121,
-    Mips_MOVZ_I64_I	= 1122,
-    Mips_MOVZ_I64_I64	= 1123,
-    Mips_MOVZ_I64_S	= 1124,
-    Mips_MOVZ_I_D32	= 1125,
-    Mips_MOVZ_I_D32_MM	= 1126,
-    Mips_MOVZ_I_D64	= 1127,
-    Mips_MOVZ_I_I	= 1128,
-    Mips_MOVZ_I_I64	= 1129,
-    Mips_MOVZ_I_MM	= 1130,
-    Mips_MOVZ_I_S	= 1131,
-    Mips_MOVZ_I_S_MM	= 1132,
-    Mips_MSUB	= 1133,
-    Mips_MSUBF_D	= 1134,
-    Mips_MSUBF_S	= 1135,
-    Mips_MSUBR_Q_H	= 1136,
-    Mips_MSUBR_Q_W	= 1137,
-    Mips_MSUBU	= 1138,
-    Mips_MSUBU_DSP	= 1139,
-    Mips_MSUBU_MM	= 1140,
-    Mips_MSUBV_B	= 1141,
-    Mips_MSUBV_D	= 1142,
-    Mips_MSUBV_H	= 1143,
-    Mips_MSUBV_W	= 1144,
-    Mips_MSUB_D32	= 1145,
-    Mips_MSUB_D32_MM	= 1146,
-    Mips_MSUB_D64	= 1147,
-    Mips_MSUB_DSP	= 1148,
-    Mips_MSUB_MM	= 1149,
-    Mips_MSUB_Q_H	= 1150,
-    Mips_MSUB_Q_W	= 1151,
-    Mips_MSUB_S	= 1152,
-    Mips_MSUB_S_MM	= 1153,
-    Mips_MTC0	= 1154,
-    Mips_MTC1	= 1155,
-    Mips_MTC1_MM	= 1156,
-    Mips_MTC2	= 1157,
-    Mips_MTHC1_D32	= 1158,
-    Mips_MTHC1_D64	= 1159,
-    Mips_MTHC1_MM	= 1160,
-    Mips_MTHI	= 1161,
-    Mips_MTHI64	= 1162,
-    Mips_MTHI_DSP	= 1163,
-    Mips_MTHI_MM	= 1164,
-    Mips_MTHLIP	= 1165,
-    Mips_MTLO	= 1166,
-    Mips_MTLO64	= 1167,
-    Mips_MTLO_DSP	= 1168,
-    Mips_MTLO_MM	= 1169,
-    Mips_MTM0	= 1170,
-    Mips_MTM1	= 1171,
-    Mips_MTM2	= 1172,
-    Mips_MTP0	= 1173,
-    Mips_MTP1	= 1174,
-    Mips_MTP2	= 1175,
-    Mips_MUH	= 1176,
-    Mips_MUHU	= 1177,
-    Mips_MUL	= 1178,
-    Mips_MULEQ_S_W_PHL	= 1179,
-    Mips_MULEQ_S_W_PHR	= 1180,
-    Mips_MULEU_S_PH_QBL	= 1181,
-    Mips_MULEU_S_PH_QBR	= 1182,
-    Mips_MULQ_RS_PH	= 1183,
-    Mips_MULQ_RS_W	= 1184,
-    Mips_MULQ_S_PH	= 1185,
-    Mips_MULQ_S_W	= 1186,
-    Mips_MULR_Q_H	= 1187,
-    Mips_MULR_Q_W	= 1188,
-    Mips_MULSAQ_S_W_PH	= 1189,
-    Mips_MULSA_W_PH	= 1190,
-    Mips_MULT	= 1191,
-    Mips_MULTU_DSP	= 1192,
-    Mips_MULT_DSP	= 1193,
-    Mips_MULT_MM	= 1194,
-    Mips_MULTu	= 1195,
-    Mips_MULTu_MM	= 1196,
-    Mips_MULU	= 1197,
-    Mips_MULV_B	= 1198,
-    Mips_MULV_D	= 1199,
-    Mips_MULV_H	= 1200,
-    Mips_MULV_W	= 1201,
-    Mips_MUL_MM	= 1202,
-    Mips_MUL_PH	= 1203,
-    Mips_MUL_Q_H	= 1204,
-    Mips_MUL_Q_W	= 1205,
-    Mips_MUL_R6	= 1206,
-    Mips_MUL_S_PH	= 1207,
-    Mips_Mfhi16	= 1208,
-    Mips_Mflo16	= 1209,
-    Mips_Move32R16	= 1210,
-    Mips_MoveR3216	= 1211,
-    Mips_MultRxRy16	= 1212,
-    Mips_MultRxRyRz16	= 1213,
-    Mips_MultuRxRy16	= 1214,
-    Mips_MultuRxRyRz16	= 1215,
-    Mips_NLOC_B	= 1216,
-    Mips_NLOC_D	= 1217,
-    Mips_NLOC_H	= 1218,
-    Mips_NLOC_W	= 1219,
-    Mips_NLZC_B	= 1220,
-    Mips_NLZC_D	= 1221,
-    Mips_NLZC_H	= 1222,
-    Mips_NLZC_W	= 1223,
-    Mips_NMADD_D32	= 1224,
-    Mips_NMADD_D32_MM	= 1225,
-    Mips_NMADD_D64	= 1226,
-    Mips_NMADD_S	= 1227,
-    Mips_NMADD_S_MM	= 1228,
-    Mips_NMSUB_D32	= 1229,
-    Mips_NMSUB_D32_MM	= 1230,
-    Mips_NMSUB_D64	= 1231,
-    Mips_NMSUB_S	= 1232,
-    Mips_NMSUB_S_MM	= 1233,
-    Mips_NOP	= 1234,
-    Mips_NOR	= 1235,
-    Mips_NOR64	= 1236,
-    Mips_NORI_B	= 1237,
-    Mips_NOR_MM	= 1238,
-    Mips_NOR_V	= 1239,
-    Mips_NOR_V_D_PSEUDO	= 1240,
-    Mips_NOR_V_H_PSEUDO	= 1241,
-    Mips_NOR_V_W_PSEUDO	= 1242,
-    Mips_NegRxRy16	= 1243,
-    Mips_NotRxRy16	= 1244,
-    Mips_OR	= 1245,
-    Mips_OR64	= 1246,
-    Mips_ORI_B	= 1247,
-    Mips_OR_MM	= 1248,
-    Mips_OR_V	= 1249,
-    Mips_OR_V_D_PSEUDO	= 1250,
-    Mips_OR_V_H_PSEUDO	= 1251,
-    Mips_OR_V_W_PSEUDO	= 1252,
-    Mips_ORi	= 1253,
-    Mips_ORi64	= 1254,
-    Mips_ORi_MM	= 1255,
-    Mips_OrRxRxRy16	= 1256,
-    Mips_PACKRL_PH	= 1257,
-    Mips_PAUSE	= 1258,
-    Mips_PCKEV_B	= 1259,
-    Mips_PCKEV_D	= 1260,
-    Mips_PCKEV_H	= 1261,
-    Mips_PCKEV_W	= 1262,
-    Mips_PCKOD_B	= 1263,
-    Mips_PCKOD_D	= 1264,
-    Mips_PCKOD_H	= 1265,
-    Mips_PCKOD_W	= 1266,
-    Mips_PCNT_B	= 1267,
-    Mips_PCNT_D	= 1268,
-    Mips_PCNT_H	= 1269,
-    Mips_PCNT_W	= 1270,
-    Mips_PICK_PH	= 1271,
-    Mips_PICK_QB	= 1272,
-    Mips_POP	= 1273,
-    Mips_PRECEQU_PH_QBL	= 1274,
-    Mips_PRECEQU_PH_QBLA	= 1275,
-    Mips_PRECEQU_PH_QBR	= 1276,
-    Mips_PRECEQU_PH_QBRA	= 1277,
-    Mips_PRECEQ_W_PHL	= 1278,
-    Mips_PRECEQ_W_PHR	= 1279,
-    Mips_PRECEU_PH_QBL	= 1280,
-    Mips_PRECEU_PH_QBLA	= 1281,
-    Mips_PRECEU_PH_QBR	= 1282,
-    Mips_PRECEU_PH_QBRA	= 1283,
-    Mips_PRECRQU_S_QB_PH	= 1284,
-    Mips_PRECRQ_PH_W	= 1285,
-    Mips_PRECRQ_QB_PH	= 1286,
-    Mips_PRECRQ_RS_PH_W	= 1287,
-    Mips_PRECR_QB_PH	= 1288,
-    Mips_PRECR_SRA_PH_W	= 1289,
-    Mips_PRECR_SRA_R_PH_W	= 1290,
-    Mips_PREF	= 1291,
-    Mips_PREF_R6	= 1292,
-    Mips_PREPEND	= 1293,
-    Mips_PseudoCMPU_EQ_QB	= 1294,
-    Mips_PseudoCMPU_LE_QB	= 1295,
-    Mips_PseudoCMPU_LT_QB	= 1296,
-    Mips_PseudoCMP_EQ_PH	= 1297,
-    Mips_PseudoCMP_LE_PH	= 1298,
-    Mips_PseudoCMP_LT_PH	= 1299,
-    Mips_PseudoCVT_D32_W	= 1300,
-    Mips_PseudoCVT_D64_L	= 1301,
-    Mips_PseudoCVT_D64_W	= 1302,
-    Mips_PseudoCVT_S_L	= 1303,
-    Mips_PseudoCVT_S_W	= 1304,
-    Mips_PseudoDMULT	= 1305,
-    Mips_PseudoDMULTu	= 1306,
-    Mips_PseudoDSDIV	= 1307,
-    Mips_PseudoDUDIV	= 1308,
-    Mips_PseudoIndirectBranch	= 1309,
-    Mips_PseudoIndirectBranch64	= 1310,
-    Mips_PseudoMADD	= 1311,
-    Mips_PseudoMADDU	= 1312,
-    Mips_PseudoMFHI	= 1313,
-    Mips_PseudoMFHI64	= 1314,
-    Mips_PseudoMFLO	= 1315,
-    Mips_PseudoMFLO64	= 1316,
-    Mips_PseudoMSUB	= 1317,
-    Mips_PseudoMSUBU	= 1318,
-    Mips_PseudoMTLOHI	= 1319,
-    Mips_PseudoMTLOHI64	= 1320,
-    Mips_PseudoMTLOHI_DSP	= 1321,
-    Mips_PseudoMULT	= 1322,
-    Mips_PseudoMULTu	= 1323,
-    Mips_PseudoPICK_PH	= 1324,
-    Mips_PseudoPICK_QB	= 1325,
-    Mips_PseudoReturn	= 1326,
-    Mips_PseudoReturn64	= 1327,
-    Mips_PseudoSDIV	= 1328,
-    Mips_PseudoUDIV	= 1329,
-    Mips_RADDU_W_QB	= 1330,
-    Mips_RDDSP	= 1331,
-    Mips_RDHWR	= 1332,
-    Mips_RDHWR64	= 1333,
-    Mips_REPLV_PH	= 1334,
-    Mips_REPLV_QB	= 1335,
-    Mips_REPL_PH	= 1336,
-    Mips_REPL_QB	= 1337,
-    Mips_RINT_D	= 1338,
-    Mips_RINT_S	= 1339,
-    Mips_ROTR	= 1340,
-    Mips_ROTRV	= 1341,
-    Mips_ROTRV_MM	= 1342,
-    Mips_ROTR_MM	= 1343,
-    Mips_ROUND_L_D64	= 1344,
-    Mips_ROUND_L_S	= 1345,
-    Mips_ROUND_W_D32	= 1346,
-    Mips_ROUND_W_D64	= 1347,
-    Mips_ROUND_W_MM	= 1348,
-    Mips_ROUND_W_S	= 1349,
-    Mips_ROUND_W_S_MM	= 1350,
-    Mips_Restore16	= 1351,
-    Mips_RestoreX16	= 1352,
-    Mips_RetRA	= 1353,
-    Mips_RetRA16	= 1354,
-    Mips_SAT_S_B	= 1355,
-    Mips_SAT_S_D	= 1356,
-    Mips_SAT_S_H	= 1357,
-    Mips_SAT_S_W	= 1358,
-    Mips_SAT_U_B	= 1359,
-    Mips_SAT_U_D	= 1360,
-    Mips_SAT_U_H	= 1361,
-    Mips_SAT_U_W	= 1362,
-    Mips_SB	= 1363,
-    Mips_SB64	= 1364,
-    Mips_SB_MM	= 1365,
-    Mips_SC	= 1366,
-    Mips_SCD	= 1367,
-    Mips_SCD_R6	= 1368,
-    Mips_SC_MM	= 1369,
-    Mips_SC_R6	= 1370,
-    Mips_SD	= 1371,
-    Mips_SDBBP	= 1372,
-    Mips_SDBBP_R6	= 1373,
-    Mips_SDC1	= 1374,
-    Mips_SDC164	= 1375,
-    Mips_SDC1_MM	= 1376,
-    Mips_SDC2	= 1377,
-    Mips_SDC2_R6	= 1378,
-    Mips_SDC3	= 1379,
-    Mips_SDIV	= 1380,
-    Mips_SDIV_MM	= 1381,
-    Mips_SDL	= 1382,
-    Mips_SDR	= 1383,
-    Mips_SDXC1	= 1384,
-    Mips_SDXC164	= 1385,
-    Mips_SEB	= 1386,
-    Mips_SEB64	= 1387,
-    Mips_SEB_MM	= 1388,
-    Mips_SEH	= 1389,
-    Mips_SEH64	= 1390,
-    Mips_SEH_MM	= 1391,
-    Mips_SELEQZ	= 1392,
-    Mips_SELEQZ64	= 1393,
-    Mips_SELEQZ_D	= 1394,
-    Mips_SELEQZ_S	= 1395,
-    Mips_SELNEZ	= 1396,
-    Mips_SELNEZ64	= 1397,
-    Mips_SELNEZ_D	= 1398,
-    Mips_SELNEZ_S	= 1399,
-    Mips_SEL_D	= 1400,
-    Mips_SEL_S	= 1401,
-    Mips_SEQ	= 1402,
-    Mips_SEQi	= 1403,
-    Mips_SH	= 1404,
-    Mips_SH64	= 1405,
-    Mips_SHF_B	= 1406,
-    Mips_SHF_H	= 1407,
-    Mips_SHF_W	= 1408,
-    Mips_SHILO	= 1409,
-    Mips_SHILOV	= 1410,
-    Mips_SHLLV_PH	= 1411,
-    Mips_SHLLV_QB	= 1412,
-    Mips_SHLLV_S_PH	= 1413,
-    Mips_SHLLV_S_W	= 1414,
-    Mips_SHLL_PH	= 1415,
-    Mips_SHLL_QB	= 1416,
-    Mips_SHLL_S_PH	= 1417,
-    Mips_SHLL_S_W	= 1418,
-    Mips_SHRAV_PH	= 1419,
-    Mips_SHRAV_QB	= 1420,
-    Mips_SHRAV_R_PH	= 1421,
-    Mips_SHRAV_R_QB	= 1422,
-    Mips_SHRAV_R_W	= 1423,
-    Mips_SHRA_PH	= 1424,
-    Mips_SHRA_QB	= 1425,
-    Mips_SHRA_R_PH	= 1426,
-    Mips_SHRA_R_QB	= 1427,
-    Mips_SHRA_R_W	= 1428,
-    Mips_SHRLV_PH	= 1429,
-    Mips_SHRLV_QB	= 1430,
-    Mips_SHRL_PH	= 1431,
-    Mips_SHRL_QB	= 1432,
-    Mips_SH_MM	= 1433,
-    Mips_SLDI_B	= 1434,
-    Mips_SLDI_D	= 1435,
-    Mips_SLDI_H	= 1436,
-    Mips_SLDI_W	= 1437,
-    Mips_SLD_B	= 1438,
-    Mips_SLD_D	= 1439,
-    Mips_SLD_H	= 1440,
-    Mips_SLD_W	= 1441,
-    Mips_SLL	= 1442,
-    Mips_SLL64_32	= 1443,
-    Mips_SLL64_64	= 1444,
-    Mips_SLLI_B	= 1445,
-    Mips_SLLI_D	= 1446,
-    Mips_SLLI_H	= 1447,
-    Mips_SLLI_W	= 1448,
-    Mips_SLLV	= 1449,
-    Mips_SLLV_MM	= 1450,
-    Mips_SLL_B	= 1451,
-    Mips_SLL_D	= 1452,
-    Mips_SLL_H	= 1453,
-    Mips_SLL_MM	= 1454,
-    Mips_SLL_W	= 1455,
-    Mips_SLT	= 1456,
-    Mips_SLT64	= 1457,
-    Mips_SLT_MM	= 1458,
-    Mips_SLTi	= 1459,
-    Mips_SLTi64	= 1460,
-    Mips_SLTi_MM	= 1461,
-    Mips_SLTiu	= 1462,
-    Mips_SLTiu64	= 1463,
-    Mips_SLTiu_MM	= 1464,
-    Mips_SLTu	= 1465,
-    Mips_SLTu64	= 1466,
-    Mips_SLTu_MM	= 1467,
-    Mips_SNE	= 1468,
-    Mips_SNEi	= 1469,
-    Mips_SNZ_B_PSEUDO	= 1470,
-    Mips_SNZ_D_PSEUDO	= 1471,
-    Mips_SNZ_H_PSEUDO	= 1472,
-    Mips_SNZ_V_PSEUDO	= 1473,
-    Mips_SNZ_W_PSEUDO	= 1474,
-    Mips_SPLATI_B	= 1475,
-    Mips_SPLATI_D	= 1476,
-    Mips_SPLATI_H	= 1477,
-    Mips_SPLATI_W	= 1478,
-    Mips_SPLAT_B	= 1479,
-    Mips_SPLAT_D	= 1480,
-    Mips_SPLAT_H	= 1481,
-    Mips_SPLAT_W	= 1482,
-    Mips_SRA	= 1483,
-    Mips_SRAI_B	= 1484,
-    Mips_SRAI_D	= 1485,
-    Mips_SRAI_H	= 1486,
-    Mips_SRAI_W	= 1487,
-    Mips_SRARI_B	= 1488,
-    Mips_SRARI_D	= 1489,
-    Mips_SRARI_H	= 1490,
-    Mips_SRARI_W	= 1491,
-    Mips_SRAR_B	= 1492,
-    Mips_SRAR_D	= 1493,
-    Mips_SRAR_H	= 1494,
-    Mips_SRAR_W	= 1495,
-    Mips_SRAV	= 1496,
-    Mips_SRAV_MM	= 1497,
-    Mips_SRA_B	= 1498,
-    Mips_SRA_D	= 1499,
-    Mips_SRA_H	= 1500,
-    Mips_SRA_MM	= 1501,
-    Mips_SRA_W	= 1502,
-    Mips_SRL	= 1503,
-    Mips_SRLI_B	= 1504,
-    Mips_SRLI_D	= 1505,
-    Mips_SRLI_H	= 1506,
-    Mips_SRLI_W	= 1507,
-    Mips_SRLRI_B	= 1508,
-    Mips_SRLRI_D	= 1509,
-    Mips_SRLRI_H	= 1510,
-    Mips_SRLRI_W	= 1511,
-    Mips_SRLR_B	= 1512,
-    Mips_SRLR_D	= 1513,
-    Mips_SRLR_H	= 1514,
-    Mips_SRLR_W	= 1515,
-    Mips_SRLV	= 1516,
-    Mips_SRLV_MM	= 1517,
-    Mips_SRL_B	= 1518,
-    Mips_SRL_D	= 1519,
-    Mips_SRL_H	= 1520,
-    Mips_SRL_MM	= 1521,
-    Mips_SRL_W	= 1522,
-    Mips_SSNOP	= 1523,
-    Mips_STORE_ACC128	= 1524,
-    Mips_STORE_ACC64	= 1525,
-    Mips_STORE_ACC64DSP	= 1526,
-    Mips_STORE_CCOND_DSP	= 1527,
-    Mips_ST_B	= 1528,
-    Mips_ST_D	= 1529,
-    Mips_ST_H	= 1530,
-    Mips_ST_W	= 1531,
-    Mips_SUB	= 1532,
-    Mips_SUBQH_PH	= 1533,
-    Mips_SUBQH_R_PH	= 1534,
-    Mips_SUBQH_R_W	= 1535,
-    Mips_SUBQH_W	= 1536,
-    Mips_SUBQ_PH	= 1537,
-    Mips_SUBQ_S_PH	= 1538,
-    Mips_SUBQ_S_W	= 1539,
-    Mips_SUBSUS_U_B	= 1540,
-    Mips_SUBSUS_U_D	= 1541,
-    Mips_SUBSUS_U_H	= 1542,
-    Mips_SUBSUS_U_W	= 1543,
-    Mips_SUBSUU_S_B	= 1544,
-    Mips_SUBSUU_S_D	= 1545,
-    Mips_SUBSUU_S_H	= 1546,
-    Mips_SUBSUU_S_W	= 1547,
-    Mips_SUBS_S_B	= 1548,
-    Mips_SUBS_S_D	= 1549,
-    Mips_SUBS_S_H	= 1550,
-    Mips_SUBS_S_W	= 1551,
-    Mips_SUBS_U_B	= 1552,
-    Mips_SUBS_U_D	= 1553,
-    Mips_SUBS_U_H	= 1554,
-    Mips_SUBS_U_W	= 1555,
-    Mips_SUBUH_QB	= 1556,
-    Mips_SUBUH_R_QB	= 1557,
-    Mips_SUBU_PH	= 1558,
-    Mips_SUBU_QB	= 1559,
-    Mips_SUBU_S_PH	= 1560,
-    Mips_SUBU_S_QB	= 1561,
-    Mips_SUBVI_B	= 1562,
-    Mips_SUBVI_D	= 1563,
-    Mips_SUBVI_H	= 1564,
-    Mips_SUBVI_W	= 1565,
-    Mips_SUBV_B	= 1566,
-    Mips_SUBV_D	= 1567,
-    Mips_SUBV_H	= 1568,
-    Mips_SUBV_W	= 1569,
-    Mips_SUB_MM	= 1570,
-    Mips_SUBu	= 1571,
-    Mips_SUBu_MM	= 1572,
-    Mips_SUXC1	= 1573,
-    Mips_SUXC164	= 1574,
-    Mips_SUXC1_MM	= 1575,
-    Mips_SW	= 1576,
-    Mips_SW64	= 1577,
-    Mips_SWC1	= 1578,
-    Mips_SWC1_MM	= 1579,
-    Mips_SWC2	= 1580,
-    Mips_SWC2_R6	= 1581,
-    Mips_SWC3	= 1582,
-    Mips_SWL	= 1583,
-    Mips_SWL64	= 1584,
-    Mips_SWL_MM	= 1585,
-    Mips_SWR	= 1586,
-    Mips_SWR64	= 1587,
-    Mips_SWR_MM	= 1588,
-    Mips_SWXC1	= 1589,
-    Mips_SWXC1_MM	= 1590,
-    Mips_SW_MM	= 1591,
-    Mips_SYNC	= 1592,
-    Mips_SYNC_MM	= 1593,
-    Mips_SYSCALL	= 1594,
-    Mips_SYSCALL_MM	= 1595,
-    Mips_SZ_B_PSEUDO	= 1596,
-    Mips_SZ_D_PSEUDO	= 1597,
-    Mips_SZ_H_PSEUDO	= 1598,
-    Mips_SZ_V_PSEUDO	= 1599,
-    Mips_SZ_W_PSEUDO	= 1600,
-    Mips_Save16	= 1601,
-    Mips_SaveX16	= 1602,
-    Mips_SbRxRyOffMemX16	= 1603,
-    Mips_SebRx16	= 1604,
-    Mips_SehRx16	= 1605,
-    Mips_SelBeqZ	= 1606,
-    Mips_SelBneZ	= 1607,
-    Mips_SelTBteqZCmp	= 1608,
-    Mips_SelTBteqZCmpi	= 1609,
-    Mips_SelTBteqZSlt	= 1610,
-    Mips_SelTBteqZSlti	= 1611,
-    Mips_SelTBteqZSltiu	= 1612,
-    Mips_SelTBteqZSltu	= 1613,
-    Mips_SelTBtneZCmp	= 1614,
-    Mips_SelTBtneZCmpi	= 1615,
-    Mips_SelTBtneZSlt	= 1616,
-    Mips_SelTBtneZSlti	= 1617,
-    Mips_SelTBtneZSltiu	= 1618,
-    Mips_SelTBtneZSltu	= 1619,
-    Mips_ShRxRyOffMemX16	= 1620,
-    Mips_SllX16	= 1621,
-    Mips_SllvRxRy16	= 1622,
-    Mips_SltCCRxRy16	= 1623,
-    Mips_SltRxRy16	= 1624,
-    Mips_SltiCCRxImmX16	= 1625,
-    Mips_SltiRxImm16	= 1626,
-    Mips_SltiRxImmX16	= 1627,
-    Mips_SltiuCCRxImmX16	= 1628,
-    Mips_SltiuRxImm16	= 1629,
-    Mips_SltiuRxImmX16	= 1630,
-    Mips_SltuCCRxRy16	= 1631,
-    Mips_SltuRxRy16	= 1632,
-    Mips_SltuRxRyRz16	= 1633,
-    Mips_SraX16	= 1634,
-    Mips_SravRxRy16	= 1635,
-    Mips_SrlX16	= 1636,
-    Mips_SrlvRxRy16	= 1637,
-    Mips_SubuRxRyRz16	= 1638,
-    Mips_SwRxRyOffMemX16	= 1639,
-    Mips_SwRxSpImmX16	= 1640,
-    Mips_TAILCALL	= 1641,
-    Mips_TAILCALL64_R	= 1642,
-    Mips_TAILCALL_R	= 1643,
-    Mips_TEQ	= 1644,
-    Mips_TEQI	= 1645,
-    Mips_TEQI_MM	= 1646,
-    Mips_TEQ_MM	= 1647,
-    Mips_TGE	= 1648,
-    Mips_TGEI	= 1649,
-    Mips_TGEIU	= 1650,
-    Mips_TGEIU_MM	= 1651,
-    Mips_TGEI_MM	= 1652,
-    Mips_TGEU	= 1653,
-    Mips_TGEU_MM	= 1654,
-    Mips_TGE_MM	= 1655,
-    Mips_TLBP	= 1656,
-    Mips_TLBP_MM	= 1657,
-    Mips_TLBR	= 1658,
-    Mips_TLBR_MM	= 1659,
-    Mips_TLBWI	= 1660,
-    Mips_TLBWI_MM	= 1661,
-    Mips_TLBWR	= 1662,
-    Mips_TLBWR_MM	= 1663,
-    Mips_TLT	= 1664,
-    Mips_TLTI	= 1665,
-    Mips_TLTIU_MM	= 1666,
-    Mips_TLTI_MM	= 1667,
-    Mips_TLTU	= 1668,
-    Mips_TLTU_MM	= 1669,
-    Mips_TLT_MM	= 1670,
-    Mips_TNE	= 1671,
-    Mips_TNEI	= 1672,
-    Mips_TNEI_MM	= 1673,
-    Mips_TNE_MM	= 1674,
-    Mips_TRAP	= 1675,
-    Mips_TRUNC_L_D64	= 1676,
-    Mips_TRUNC_L_S	= 1677,
-    Mips_TRUNC_W_D32	= 1678,
-    Mips_TRUNC_W_D64	= 1679,
-    Mips_TRUNC_W_MM	= 1680,
-    Mips_TRUNC_W_S	= 1681,
-    Mips_TRUNC_W_S_MM	= 1682,
-    Mips_TTLTIU	= 1683,
-    Mips_UDIV	= 1684,
-    Mips_UDIV_MM	= 1685,
-    Mips_V3MULU	= 1686,
-    Mips_VMM0	= 1687,
-    Mips_VMULU	= 1688,
-    Mips_VSHF_B	= 1689,
-    Mips_VSHF_D	= 1690,
-    Mips_VSHF_H	= 1691,
-    Mips_VSHF_W	= 1692,
-    Mips_WAIT	= 1693,
-    Mips_WAIT_MM	= 1694,
-    Mips_WRDSP	= 1695,
-    Mips_WSBH	= 1696,
-    Mips_WSBH_MM	= 1697,
-    Mips_XOR	= 1698,
-    Mips_XOR64	= 1699,
-    Mips_XORI_B	= 1700,
-    Mips_XOR_MM	= 1701,
-    Mips_XOR_V	= 1702,
-    Mips_XOR_V_D_PSEUDO	= 1703,
-    Mips_XOR_V_H_PSEUDO	= 1704,
-    Mips_XOR_V_W_PSEUDO	= 1705,
-    Mips_XORi	= 1706,
-    Mips_XORi64	= 1707,
-    Mips_XORi_MM	= 1708,
-    Mips_XorRxRxRy16	= 1709,
-    Mips_INSTRUCTION_LIST_END = 1710
+    Mips_STATEPOINT	= 20,
+    Mips_FRAME_ALLOC	= 21,
+    Mips_ABSQ_S_PH	= 22,
+    Mips_ABSQ_S_QB	= 23,
+    Mips_ABSQ_S_W	= 24,
+    Mips_ADD	= 25,
+    Mips_ADDIUPC	= 26,
+    Mips_ADDIUPC_MM	= 27,
+    Mips_ADDIUR1SP_MM	= 28,
+    Mips_ADDIUR2_MM	= 29,
+    Mips_ADDIUS5_MM	= 30,
+    Mips_ADDIUSP_MM	= 31,
+    Mips_ADDQH_PH	= 32,
+    Mips_ADDQH_R_PH	= 33,
+    Mips_ADDQH_R_W	= 34,
+    Mips_ADDQH_W	= 35,
+    Mips_ADDQ_PH	= 36,
+    Mips_ADDQ_S_PH	= 37,
+    Mips_ADDQ_S_W	= 38,
+    Mips_ADDSC	= 39,
+    Mips_ADDS_A_B	= 40,
+    Mips_ADDS_A_D	= 41,
+    Mips_ADDS_A_H	= 42,
+    Mips_ADDS_A_W	= 43,
+    Mips_ADDS_S_B	= 44,
+    Mips_ADDS_S_D	= 45,
+    Mips_ADDS_S_H	= 46,
+    Mips_ADDS_S_W	= 47,
+    Mips_ADDS_U_B	= 48,
+    Mips_ADDS_U_D	= 49,
+    Mips_ADDS_U_H	= 50,
+    Mips_ADDS_U_W	= 51,
+    Mips_ADDU16_MM	= 52,
+    Mips_ADDUH_QB	= 53,
+    Mips_ADDUH_R_QB	= 54,
+    Mips_ADDU_PH	= 55,
+    Mips_ADDU_QB	= 56,
+    Mips_ADDU_S_PH	= 57,
+    Mips_ADDU_S_QB	= 58,
+    Mips_ADDVI_B	= 59,
+    Mips_ADDVI_D	= 60,
+    Mips_ADDVI_H	= 61,
+    Mips_ADDVI_W	= 62,
+    Mips_ADDV_B	= 63,
+    Mips_ADDV_D	= 64,
+    Mips_ADDV_H	= 65,
+    Mips_ADDV_W	= 66,
+    Mips_ADDWC	= 67,
+    Mips_ADD_A_B	= 68,
+    Mips_ADD_A_D	= 69,
+    Mips_ADD_A_H	= 70,
+    Mips_ADD_A_W	= 71,
+    Mips_ADD_MM	= 72,
+    Mips_ADDi	= 73,
+    Mips_ADDi_MM	= 74,
+    Mips_ADDiu	= 75,
+    Mips_ADDiu_MM	= 76,
+    Mips_ADDu	= 77,
+    Mips_ADDu_MM	= 78,
+    Mips_ADJCALLSTACKDOWN	= 79,
+    Mips_ADJCALLSTACKUP	= 80,
+    Mips_ALIGN	= 81,
+    Mips_ALUIPC	= 82,
+    Mips_AND	= 83,
+    Mips_AND16_MM	= 84,
+    Mips_AND64	= 85,
+    Mips_ANDI16_MM	= 86,
+    Mips_ANDI_B	= 87,
+    Mips_AND_MM	= 88,
+    Mips_AND_V	= 89,
+    Mips_AND_V_D_PSEUDO	= 90,
+    Mips_AND_V_H_PSEUDO	= 91,
+    Mips_AND_V_W_PSEUDO	= 92,
+    Mips_ANDi	= 93,
+    Mips_ANDi64	= 94,
+    Mips_ANDi_MM	= 95,
+    Mips_APPEND	= 96,
+    Mips_ASUB_S_B	= 97,
+    Mips_ASUB_S_D	= 98,
+    Mips_ASUB_S_H	= 99,
+    Mips_ASUB_S_W	= 100,
+    Mips_ASUB_U_B	= 101,
+    Mips_ASUB_U_D	= 102,
+    Mips_ASUB_U_H	= 103,
+    Mips_ASUB_U_W	= 104,
+    Mips_ATOMIC_CMP_SWAP_I16	= 105,
+    Mips_ATOMIC_CMP_SWAP_I32	= 106,
+    Mips_ATOMIC_CMP_SWAP_I64	= 107,
+    Mips_ATOMIC_CMP_SWAP_I8	= 108,
+    Mips_ATOMIC_LOAD_ADD_I16	= 109,
+    Mips_ATOMIC_LOAD_ADD_I32	= 110,
+    Mips_ATOMIC_LOAD_ADD_I64	= 111,
+    Mips_ATOMIC_LOAD_ADD_I8	= 112,
+    Mips_ATOMIC_LOAD_AND_I16	= 113,
+    Mips_ATOMIC_LOAD_AND_I32	= 114,
+    Mips_ATOMIC_LOAD_AND_I64	= 115,
+    Mips_ATOMIC_LOAD_AND_I8	= 116,
+    Mips_ATOMIC_LOAD_NAND_I16	= 117,
+    Mips_ATOMIC_LOAD_NAND_I32	= 118,
+    Mips_ATOMIC_LOAD_NAND_I64	= 119,
+    Mips_ATOMIC_LOAD_NAND_I8	= 120,
+    Mips_ATOMIC_LOAD_OR_I16	= 121,
+    Mips_ATOMIC_LOAD_OR_I32	= 122,
+    Mips_ATOMIC_LOAD_OR_I64	= 123,
+    Mips_ATOMIC_LOAD_OR_I8	= 124,
+    Mips_ATOMIC_LOAD_SUB_I16	= 125,
+    Mips_ATOMIC_LOAD_SUB_I32	= 126,
+    Mips_ATOMIC_LOAD_SUB_I64	= 127,
+    Mips_ATOMIC_LOAD_SUB_I8	= 128,
+    Mips_ATOMIC_LOAD_XOR_I16	= 129,
+    Mips_ATOMIC_LOAD_XOR_I32	= 130,
+    Mips_ATOMIC_LOAD_XOR_I64	= 131,
+    Mips_ATOMIC_LOAD_XOR_I8	= 132,
+    Mips_ATOMIC_SWAP_I16	= 133,
+    Mips_ATOMIC_SWAP_I32	= 134,
+    Mips_ATOMIC_SWAP_I64	= 135,
+    Mips_ATOMIC_SWAP_I8	= 136,
+    Mips_AUI	= 137,
+    Mips_AUIPC	= 138,
+    Mips_AVER_S_B	= 139,
+    Mips_AVER_S_D	= 140,
+    Mips_AVER_S_H	= 141,
+    Mips_AVER_S_W	= 142,
+    Mips_AVER_U_B	= 143,
+    Mips_AVER_U_D	= 144,
+    Mips_AVER_U_H	= 145,
+    Mips_AVER_U_W	= 146,
+    Mips_AVE_S_B	= 147,
+    Mips_AVE_S_D	= 148,
+    Mips_AVE_S_H	= 149,
+    Mips_AVE_S_W	= 150,
+    Mips_AVE_U_B	= 151,
+    Mips_AVE_U_D	= 152,
+    Mips_AVE_U_H	= 153,
+    Mips_AVE_U_W	= 154,
+    Mips_AddiuRxImmX16	= 155,
+    Mips_AddiuRxPcImmX16	= 156,
+    Mips_AddiuRxRxImm16	= 157,
+    Mips_AddiuRxRxImmX16	= 158,
+    Mips_AddiuRxRyOffMemX16	= 159,
+    Mips_AddiuSpImm16	= 160,
+    Mips_AddiuSpImmX16	= 161,
+    Mips_AdduRxRyRz16	= 162,
+    Mips_AndRxRxRy16	= 163,
+    Mips_B	= 164,
+    Mips_B16_MM	= 165,
+    Mips_BADDu	= 166,
+    Mips_BAL	= 167,
+    Mips_BALC	= 168,
+    Mips_BALIGN	= 169,
+    Mips_BAL_BR	= 170,
+    Mips_BBIT0	= 171,
+    Mips_BBIT032	= 172,
+    Mips_BBIT1	= 173,
+    Mips_BBIT132	= 174,
+    Mips_BC	= 175,
+    Mips_BC0F	= 176,
+    Mips_BC0FL	= 177,
+    Mips_BC0T	= 178,
+    Mips_BC0TL	= 179,
+    Mips_BC1EQZ	= 180,
+    Mips_BC1F	= 181,
+    Mips_BC1FL	= 182,
+    Mips_BC1F_MM	= 183,
+    Mips_BC1NEZ	= 184,
+    Mips_BC1T	= 185,
+    Mips_BC1TL	= 186,
+    Mips_BC1T_MM	= 187,
+    Mips_BC2EQZ	= 188,
+    Mips_BC2F	= 189,
+    Mips_BC2FL	= 190,
+    Mips_BC2NEZ	= 191,
+    Mips_BC2T	= 192,
+    Mips_BC2TL	= 193,
+    Mips_BC3F	= 194,
+    Mips_BC3FL	= 195,
+    Mips_BC3T	= 196,
+    Mips_BC3TL	= 197,
+    Mips_BCLRI_B	= 198,
+    Mips_BCLRI_D	= 199,
+    Mips_BCLRI_H	= 200,
+    Mips_BCLRI_W	= 201,
+    Mips_BCLR_B	= 202,
+    Mips_BCLR_D	= 203,
+    Mips_BCLR_H	= 204,
+    Mips_BCLR_W	= 205,
+    Mips_BEQ	= 206,
+    Mips_BEQ64	= 207,
+    Mips_BEQC	= 208,
+    Mips_BEQL	= 209,
+    Mips_BEQZ16_MM	= 210,
+    Mips_BEQZALC	= 211,
+    Mips_BEQZC	= 212,
+    Mips_BEQZC_MM	= 213,
+    Mips_BEQ_MM	= 214,
+    Mips_BGEC	= 215,
+    Mips_BGEUC	= 216,
+    Mips_BGEZ	= 217,
+    Mips_BGEZ64	= 218,
+    Mips_BGEZAL	= 219,
+    Mips_BGEZALC	= 220,
+    Mips_BGEZALL	= 221,
+    Mips_BGEZALS_MM	= 222,
+    Mips_BGEZAL_MM	= 223,
+    Mips_BGEZC	= 224,
+    Mips_BGEZL	= 225,
+    Mips_BGEZ_MM	= 226,
+    Mips_BGTZ	= 227,
+    Mips_BGTZ64	= 228,
+    Mips_BGTZALC	= 229,
+    Mips_BGTZC	= 230,
+    Mips_BGTZL	= 231,
+    Mips_BGTZ_MM	= 232,
+    Mips_BINSLI_B	= 233,
+    Mips_BINSLI_D	= 234,
+    Mips_BINSLI_H	= 235,
+    Mips_BINSLI_W	= 236,
+    Mips_BINSL_B	= 237,
+    Mips_BINSL_D	= 238,
+    Mips_BINSL_H	= 239,
+    Mips_BINSL_W	= 240,
+    Mips_BINSRI_B	= 241,
+    Mips_BINSRI_D	= 242,
+    Mips_BINSRI_H	= 243,
+    Mips_BINSRI_W	= 244,
+    Mips_BINSR_B	= 245,
+    Mips_BINSR_D	= 246,
+    Mips_BINSR_H	= 247,
+    Mips_BINSR_W	= 248,
+    Mips_BITREV	= 249,
+    Mips_BITSWAP	= 250,
+    Mips_BLEZ	= 251,
+    Mips_BLEZ64	= 252,
+    Mips_BLEZALC	= 253,
+    Mips_BLEZC	= 254,
+    Mips_BLEZL	= 255,
+    Mips_BLEZ_MM	= 256,
+    Mips_BLTC	= 257,
+    Mips_BLTUC	= 258,
+    Mips_BLTZ	= 259,
+    Mips_BLTZ64	= 260,
+    Mips_BLTZAL	= 261,
+    Mips_BLTZALC	= 262,
+    Mips_BLTZALL	= 263,
+    Mips_BLTZALS_MM	= 264,
+    Mips_BLTZAL_MM	= 265,
+    Mips_BLTZC	= 266,
+    Mips_BLTZL	= 267,
+    Mips_BLTZ_MM	= 268,
+    Mips_BMNZI_B	= 269,
+    Mips_BMNZ_V	= 270,
+    Mips_BMZI_B	= 271,
+    Mips_BMZ_V	= 272,
+    Mips_BNE	= 273,
+    Mips_BNE64	= 274,
+    Mips_BNEC	= 275,
+    Mips_BNEGI_B	= 276,
+    Mips_BNEGI_D	= 277,
+    Mips_BNEGI_H	= 278,
+    Mips_BNEGI_W	= 279,
+    Mips_BNEG_B	= 280,
+    Mips_BNEG_D	= 281,
+    Mips_BNEG_H	= 282,
+    Mips_BNEG_W	= 283,
+    Mips_BNEL	= 284,
+    Mips_BNEZ16_MM	= 285,
+    Mips_BNEZALC	= 286,
+    Mips_BNEZC	= 287,
+    Mips_BNEZC_MM	= 288,
+    Mips_BNE_MM	= 289,
+    Mips_BNVC	= 290,
+    Mips_BNZ_B	= 291,
+    Mips_BNZ_D	= 292,
+    Mips_BNZ_H	= 293,
+    Mips_BNZ_V	= 294,
+    Mips_BNZ_W	= 295,
+    Mips_BOVC	= 296,
+    Mips_BPOSGE32	= 297,
+    Mips_BPOSGE32_PSEUDO	= 298,
+    Mips_BREAK	= 299,
+    Mips_BREAK16_MM	= 300,
+    Mips_BREAK_MM	= 301,
+    Mips_BSELI_B	= 302,
+    Mips_BSEL_D_PSEUDO	= 303,
+    Mips_BSEL_FD_PSEUDO	= 304,
+    Mips_BSEL_FW_PSEUDO	= 305,
+    Mips_BSEL_H_PSEUDO	= 306,
+    Mips_BSEL_V	= 307,
+    Mips_BSEL_W_PSEUDO	= 308,
+    Mips_BSETI_B	= 309,
+    Mips_BSETI_D	= 310,
+    Mips_BSETI_H	= 311,
+    Mips_BSETI_W	= 312,
+    Mips_BSET_B	= 313,
+    Mips_BSET_D	= 314,
+    Mips_BSET_H	= 315,
+    Mips_BSET_W	= 316,
+    Mips_BZ_B	= 317,
+    Mips_BZ_D	= 318,
+    Mips_BZ_H	= 319,
+    Mips_BZ_V	= 320,
+    Mips_BZ_W	= 321,
+    Mips_B_MM_Pseudo	= 322,
+    Mips_BeqzRxImm16	= 323,
+    Mips_BeqzRxImmX16	= 324,
+    Mips_Bimm16	= 325,
+    Mips_BimmX16	= 326,
+    Mips_BnezRxImm16	= 327,
+    Mips_BnezRxImmX16	= 328,
+    Mips_Break16	= 329,
+    Mips_Bteqz16	= 330,
+    Mips_BteqzT8CmpX16	= 331,
+    Mips_BteqzT8CmpiX16	= 332,
+    Mips_BteqzT8SltX16	= 333,
+    Mips_BteqzT8SltiX16	= 334,
+    Mips_BteqzT8SltiuX16	= 335,
+    Mips_BteqzT8SltuX16	= 336,
+    Mips_BteqzX16	= 337,
+    Mips_Btnez16	= 338,
+    Mips_BtnezT8CmpX16	= 339,
+    Mips_BtnezT8CmpiX16	= 340,
+    Mips_BtnezT8SltX16	= 341,
+    Mips_BtnezT8SltiX16	= 342,
+    Mips_BtnezT8SltiuX16	= 343,
+    Mips_BtnezT8SltuX16	= 344,
+    Mips_BtnezX16	= 345,
+    Mips_BuildPairF64	= 346,
+    Mips_BuildPairF64_64	= 347,
+    Mips_CACHE	= 348,
+    Mips_CACHE_MM	= 349,
+    Mips_CACHE_R6	= 350,
+    Mips_CEIL_L_D64	= 351,
+    Mips_CEIL_L_S	= 352,
+    Mips_CEIL_W_D32	= 353,
+    Mips_CEIL_W_D64	= 354,
+    Mips_CEIL_W_MM	= 355,
+    Mips_CEIL_W_S	= 356,
+    Mips_CEIL_W_S_MM	= 357,
+    Mips_CEQI_B	= 358,
+    Mips_CEQI_D	= 359,
+    Mips_CEQI_H	= 360,
+    Mips_CEQI_W	= 361,
+    Mips_CEQ_B	= 362,
+    Mips_CEQ_D	= 363,
+    Mips_CEQ_H	= 364,
+    Mips_CEQ_W	= 365,
+    Mips_CFC1	= 366,
+    Mips_CFC1_MM	= 367,
+    Mips_CFCMSA	= 368,
+    Mips_CINS	= 369,
+    Mips_CINS32	= 370,
+    Mips_CLASS_D	= 371,
+    Mips_CLASS_S	= 372,
+    Mips_CLEI_S_B	= 373,
+    Mips_CLEI_S_D	= 374,
+    Mips_CLEI_S_H	= 375,
+    Mips_CLEI_S_W	= 376,
+    Mips_CLEI_U_B	= 377,
+    Mips_CLEI_U_D	= 378,
+    Mips_CLEI_U_H	= 379,
+    Mips_CLEI_U_W	= 380,
+    Mips_CLE_S_B	= 381,
+    Mips_CLE_S_D	= 382,
+    Mips_CLE_S_H	= 383,
+    Mips_CLE_S_W	= 384,
+    Mips_CLE_U_B	= 385,
+    Mips_CLE_U_D	= 386,
+    Mips_CLE_U_H	= 387,
+    Mips_CLE_U_W	= 388,
+    Mips_CLO	= 389,
+    Mips_CLO_MM	= 390,
+    Mips_CLO_R6	= 391,
+    Mips_CLTI_S_B	= 392,
+    Mips_CLTI_S_D	= 393,
+    Mips_CLTI_S_H	= 394,
+    Mips_CLTI_S_W	= 395,
+    Mips_CLTI_U_B	= 396,
+    Mips_CLTI_U_D	= 397,
+    Mips_CLTI_U_H	= 398,
+    Mips_CLTI_U_W	= 399,
+    Mips_CLT_S_B	= 400,
+    Mips_CLT_S_D	= 401,
+    Mips_CLT_S_H	= 402,
+    Mips_CLT_S_W	= 403,
+    Mips_CLT_U_B	= 404,
+    Mips_CLT_U_D	= 405,
+    Mips_CLT_U_H	= 406,
+    Mips_CLT_U_W	= 407,
+    Mips_CLZ	= 408,
+    Mips_CLZ_MM	= 409,
+    Mips_CLZ_R6	= 410,
+    Mips_CMPGDU_EQ_QB	= 411,
+    Mips_CMPGDU_LE_QB	= 412,
+    Mips_CMPGDU_LT_QB	= 413,
+    Mips_CMPGU_EQ_QB	= 414,
+    Mips_CMPGU_LE_QB	= 415,
+    Mips_CMPGU_LT_QB	= 416,
+    Mips_CMPU_EQ_QB	= 417,
+    Mips_CMPU_LE_QB	= 418,
+    Mips_CMPU_LT_QB	= 419,
+    Mips_CMP_EQ_D	= 420,
+    Mips_CMP_EQ_PH	= 421,
+    Mips_CMP_EQ_S	= 422,
+    Mips_CMP_F_D	= 423,
+    Mips_CMP_F_S	= 424,
+    Mips_CMP_LE_D	= 425,
+    Mips_CMP_LE_PH	= 426,
+    Mips_CMP_LE_S	= 427,
+    Mips_CMP_LT_D	= 428,
+    Mips_CMP_LT_PH	= 429,
+    Mips_CMP_LT_S	= 430,
+    Mips_CMP_SAF_D	= 431,
+    Mips_CMP_SAF_S	= 432,
+    Mips_CMP_SEQ_D	= 433,
+    Mips_CMP_SEQ_S	= 434,
+    Mips_CMP_SLE_D	= 435,
+    Mips_CMP_SLE_S	= 436,
+    Mips_CMP_SLT_D	= 437,
+    Mips_CMP_SLT_S	= 438,
+    Mips_CMP_SUEQ_D	= 439,
+    Mips_CMP_SUEQ_S	= 440,
+    Mips_CMP_SULE_D	= 441,
+    Mips_CMP_SULE_S	= 442,
+    Mips_CMP_SULT_D	= 443,
+    Mips_CMP_SULT_S	= 444,
+    Mips_CMP_SUN_D	= 445,
+    Mips_CMP_SUN_S	= 446,
+    Mips_CMP_UEQ_D	= 447,
+    Mips_CMP_UEQ_S	= 448,
+    Mips_CMP_ULE_D	= 449,
+    Mips_CMP_ULE_S	= 450,
+    Mips_CMP_ULT_D	= 451,
+    Mips_CMP_ULT_S	= 452,
+    Mips_CMP_UN_D	= 453,
+    Mips_CMP_UN_S	= 454,
+    Mips_CONSTPOOL_ENTRY	= 455,
+    Mips_COPY_FD_PSEUDO	= 456,
+    Mips_COPY_FW_PSEUDO	= 457,
+    Mips_COPY_S_B	= 458,
+    Mips_COPY_S_D	= 459,
+    Mips_COPY_S_H	= 460,
+    Mips_COPY_S_W	= 461,
+    Mips_COPY_U_B	= 462,
+    Mips_COPY_U_D	= 463,
+    Mips_COPY_U_H	= 464,
+    Mips_COPY_U_W	= 465,
+    Mips_CTC1	= 466,
+    Mips_CTC1_MM	= 467,
+    Mips_CTCMSA	= 468,
+    Mips_CVT_D32_S	= 469,
+    Mips_CVT_D32_W	= 470,
+    Mips_CVT_D32_W_MM	= 471,
+    Mips_CVT_D64_L	= 472,
+    Mips_CVT_D64_S	= 473,
+    Mips_CVT_D64_W	= 474,
+    Mips_CVT_D_S_MM	= 475,
+    Mips_CVT_L_D64	= 476,
+    Mips_CVT_L_D64_MM	= 477,
+    Mips_CVT_L_S	= 478,
+    Mips_CVT_L_S_MM	= 479,
+    Mips_CVT_S_D32	= 480,
+    Mips_CVT_S_D32_MM	= 481,
+    Mips_CVT_S_D64	= 482,
+    Mips_CVT_S_L	= 483,
+    Mips_CVT_S_W	= 484,
+    Mips_CVT_S_W_MM	= 485,
+    Mips_CVT_W_D32	= 486,
+    Mips_CVT_W_D64	= 487,
+    Mips_CVT_W_MM	= 488,
+    Mips_CVT_W_S	= 489,
+    Mips_CVT_W_S_MM	= 490,
+    Mips_C_EQ_D32	= 491,
+    Mips_C_EQ_D64	= 492,
+    Mips_C_EQ_S	= 493,
+    Mips_C_F_D32	= 494,
+    Mips_C_F_D64	= 495,
+    Mips_C_F_S	= 496,
+    Mips_C_LE_D32	= 497,
+    Mips_C_LE_D64	= 498,
+    Mips_C_LE_S	= 499,
+    Mips_C_LT_D32	= 500,
+    Mips_C_LT_D64	= 501,
+    Mips_C_LT_S	= 502,
+    Mips_C_NGE_D32	= 503,
+    Mips_C_NGE_D64	= 504,
+    Mips_C_NGE_S	= 505,
+    Mips_C_NGLE_D32	= 506,
+    Mips_C_NGLE_D64	= 507,
+    Mips_C_NGLE_S	= 508,
+    Mips_C_NGL_D32	= 509,
+    Mips_C_NGL_D64	= 510,
+    Mips_C_NGL_S	= 511,
+    Mips_C_NGT_D32	= 512,
+    Mips_C_NGT_D64	= 513,
+    Mips_C_NGT_S	= 514,
+    Mips_C_OLE_D32	= 515,
+    Mips_C_OLE_D64	= 516,
+    Mips_C_OLE_S	= 517,
+    Mips_C_OLT_D32	= 518,
+    Mips_C_OLT_D64	= 519,
+    Mips_C_OLT_S	= 520,
+    Mips_C_SEQ_D32	= 521,
+    Mips_C_SEQ_D64	= 522,
+    Mips_C_SEQ_S	= 523,
+    Mips_C_SF_D32	= 524,
+    Mips_C_SF_D64	= 525,
+    Mips_C_SF_S	= 526,
+    Mips_C_UEQ_D32	= 527,
+    Mips_C_UEQ_D64	= 528,
+    Mips_C_UEQ_S	= 529,
+    Mips_C_ULE_D32	= 530,
+    Mips_C_ULE_D64	= 531,
+    Mips_C_ULE_S	= 532,
+    Mips_C_ULT_D32	= 533,
+    Mips_C_ULT_D64	= 534,
+    Mips_C_ULT_S	= 535,
+    Mips_C_UN_D32	= 536,
+    Mips_C_UN_D64	= 537,
+    Mips_C_UN_S	= 538,
+    Mips_CmpRxRy16	= 539,
+    Mips_CmpiRxImm16	= 540,
+    Mips_CmpiRxImmX16	= 541,
+    Mips_Constant32	= 542,
+    Mips_DADD	= 543,
+    Mips_DADDi	= 544,
+    Mips_DADDiu	= 545,
+    Mips_DADDu	= 546,
+    Mips_DAHI	= 547,
+    Mips_DALIGN	= 548,
+    Mips_DATI	= 549,
+    Mips_DAUI	= 550,
+    Mips_DBITSWAP	= 551,
+    Mips_DCLO	= 552,
+    Mips_DCLO_R6	= 553,
+    Mips_DCLZ	= 554,
+    Mips_DCLZ_R6	= 555,
+    Mips_DDIV	= 556,
+    Mips_DDIVU	= 557,
+    Mips_DERET	= 558,
+    Mips_DERET_MM	= 559,
+    Mips_DEXT	= 560,
+    Mips_DEXTM	= 561,
+    Mips_DEXTU	= 562,
+    Mips_DI	= 563,
+    Mips_DINS	= 564,
+    Mips_DINSM	= 565,
+    Mips_DINSU	= 566,
+    Mips_DIV	= 567,
+    Mips_DIVU	= 568,
+    Mips_DIV_S_B	= 569,
+    Mips_DIV_S_D	= 570,
+    Mips_DIV_S_H	= 571,
+    Mips_DIV_S_W	= 572,
+    Mips_DIV_U_B	= 573,
+    Mips_DIV_U_D	= 574,
+    Mips_DIV_U_H	= 575,
+    Mips_DIV_U_W	= 576,
+    Mips_DI_MM	= 577,
+    Mips_DLSA	= 578,
+    Mips_DLSA_R6	= 579,
+    Mips_DMFC0	= 580,
+    Mips_DMFC1	= 581,
+    Mips_DMFC2	= 582,
+    Mips_DMOD	= 583,
+    Mips_DMODU	= 584,
+    Mips_DMTC0	= 585,
+    Mips_DMTC1	= 586,
+    Mips_DMTC2	= 587,
+    Mips_DMUH	= 588,
+    Mips_DMUHU	= 589,
+    Mips_DMUL	= 590,
+    Mips_DMULT	= 591,
+    Mips_DMULTu	= 592,
+    Mips_DMULU	= 593,
+    Mips_DMUL_R6	= 594,
+    Mips_DOTP_S_D	= 595,
+    Mips_DOTP_S_H	= 596,
+    Mips_DOTP_S_W	= 597,
+    Mips_DOTP_U_D	= 598,
+    Mips_DOTP_U_H	= 599,
+    Mips_DOTP_U_W	= 600,
+    Mips_DPADD_S_D	= 601,
+    Mips_DPADD_S_H	= 602,
+    Mips_DPADD_S_W	= 603,
+    Mips_DPADD_U_D	= 604,
+    Mips_DPADD_U_H	= 605,
+    Mips_DPADD_U_W	= 606,
+    Mips_DPAQX_SA_W_PH	= 607,
+    Mips_DPAQX_S_W_PH	= 608,
+    Mips_DPAQ_SA_L_W	= 609,
+    Mips_DPAQ_S_W_PH	= 610,
+    Mips_DPAU_H_QBL	= 611,
+    Mips_DPAU_H_QBR	= 612,
+    Mips_DPAX_W_PH	= 613,
+    Mips_DPA_W_PH	= 614,
+    Mips_DPOP	= 615,
+    Mips_DPSQX_SA_W_PH	= 616,
+    Mips_DPSQX_S_W_PH	= 617,
+    Mips_DPSQ_SA_L_W	= 618,
+    Mips_DPSQ_S_W_PH	= 619,
+    Mips_DPSUB_S_D	= 620,
+    Mips_DPSUB_S_H	= 621,
+    Mips_DPSUB_S_W	= 622,
+    Mips_DPSUB_U_D	= 623,
+    Mips_DPSUB_U_H	= 624,
+    Mips_DPSUB_U_W	= 625,
+    Mips_DPSU_H_QBL	= 626,
+    Mips_DPSU_H_QBR	= 627,
+    Mips_DPSX_W_PH	= 628,
+    Mips_DPS_W_PH	= 629,
+    Mips_DROTR	= 630,
+    Mips_DROTR32	= 631,
+    Mips_DROTRV	= 632,
+    Mips_DSBH	= 633,
+    Mips_DSDIV	= 634,
+    Mips_DSHD	= 635,
+    Mips_DSLL	= 636,
+    Mips_DSLL32	= 637,
+    Mips_DSLL64_32	= 638,
+    Mips_DSLLV	= 639,
+    Mips_DSRA	= 640,
+    Mips_DSRA32	= 641,
+    Mips_DSRAV	= 642,
+    Mips_DSRL	= 643,
+    Mips_DSRL32	= 644,
+    Mips_DSRLV	= 645,
+    Mips_DSUB	= 646,
+    Mips_DSUBu	= 647,
+    Mips_DUDIV	= 648,
+    Mips_DivRxRy16	= 649,
+    Mips_DivuRxRy16	= 650,
+    Mips_EHB	= 651,
+    Mips_EHB_MM	= 652,
+    Mips_EI	= 653,
+    Mips_EI_MM	= 654,
+    Mips_ERET	= 655,
+    Mips_ERET_MM	= 656,
+    Mips_EXT	= 657,
+    Mips_EXTP	= 658,
+    Mips_EXTPDP	= 659,
+    Mips_EXTPDPV	= 660,
+    Mips_EXTPV	= 661,
+    Mips_EXTRV_RS_W	= 662,
+    Mips_EXTRV_R_W	= 663,
+    Mips_EXTRV_S_H	= 664,
+    Mips_EXTRV_W	= 665,
+    Mips_EXTR_RS_W	= 666,
+    Mips_EXTR_R_W	= 667,
+    Mips_EXTR_S_H	= 668,
+    Mips_EXTR_W	= 669,
+    Mips_EXTS	= 670,
+    Mips_EXTS32	= 671,
+    Mips_EXT_MM	= 672,
+    Mips_ExtractElementF64	= 673,
+    Mips_ExtractElementF64_64	= 674,
+    Mips_FABS_D	= 675,
+    Mips_FABS_D32	= 676,
+    Mips_FABS_D64	= 677,
+    Mips_FABS_MM	= 678,
+    Mips_FABS_S	= 679,
+    Mips_FABS_S_MM	= 680,
+    Mips_FABS_W	= 681,
+    Mips_FADD_D	= 682,
+    Mips_FADD_D32	= 683,
+    Mips_FADD_D64	= 684,
+    Mips_FADD_MM	= 685,
+    Mips_FADD_S	= 686,
+    Mips_FADD_S_MM	= 687,
+    Mips_FADD_W	= 688,
+    Mips_FCAF_D	= 689,
+    Mips_FCAF_W	= 690,
+    Mips_FCEQ_D	= 691,
+    Mips_FCEQ_W	= 692,
+    Mips_FCLASS_D	= 693,
+    Mips_FCLASS_W	= 694,
+    Mips_FCLE_D	= 695,
+    Mips_FCLE_W	= 696,
+    Mips_FCLT_D	= 697,
+    Mips_FCLT_W	= 698,
+    Mips_FCMP_D32	= 699,
+    Mips_FCMP_D32_MM	= 700,
+    Mips_FCMP_D64	= 701,
+    Mips_FCMP_S32	= 702,
+    Mips_FCMP_S32_MM	= 703,
+    Mips_FCNE_D	= 704,
+    Mips_FCNE_W	= 705,
+    Mips_FCOR_D	= 706,
+    Mips_FCOR_W	= 707,
+    Mips_FCUEQ_D	= 708,
+    Mips_FCUEQ_W	= 709,
+    Mips_FCULE_D	= 710,
+    Mips_FCULE_W	= 711,
+    Mips_FCULT_D	= 712,
+    Mips_FCULT_W	= 713,
+    Mips_FCUNE_D	= 714,
+    Mips_FCUNE_W	= 715,
+    Mips_FCUN_D	= 716,
+    Mips_FCUN_W	= 717,
+    Mips_FDIV_D	= 718,
+    Mips_FDIV_D32	= 719,
+    Mips_FDIV_D64	= 720,
+    Mips_FDIV_MM	= 721,
+    Mips_FDIV_S	= 722,
+    Mips_FDIV_S_MM	= 723,
+    Mips_FDIV_W	= 724,
+    Mips_FEXDO_H	= 725,
+    Mips_FEXDO_W	= 726,
+    Mips_FEXP2_D	= 727,
+    Mips_FEXP2_D_1_PSEUDO	= 728,
+    Mips_FEXP2_W	= 729,
+    Mips_FEXP2_W_1_PSEUDO	= 730,
+    Mips_FEXUPL_D	= 731,
+    Mips_FEXUPL_W	= 732,
+    Mips_FEXUPR_D	= 733,
+    Mips_FEXUPR_W	= 734,
+    Mips_FFINT_S_D	= 735,
+    Mips_FFINT_S_W	= 736,
+    Mips_FFINT_U_D	= 737,
+    Mips_FFINT_U_W	= 738,
+    Mips_FFQL_D	= 739,
+    Mips_FFQL_W	= 740,
+    Mips_FFQR_D	= 741,
+    Mips_FFQR_W	= 742,
+    Mips_FILL_B	= 743,
+    Mips_FILL_D	= 744,
+    Mips_FILL_FD_PSEUDO	= 745,
+    Mips_FILL_FW_PSEUDO	= 746,
+    Mips_FILL_H	= 747,
+    Mips_FILL_W	= 748,
+    Mips_FLOG2_D	= 749,
+    Mips_FLOG2_W	= 750,
+    Mips_FLOOR_L_D64	= 751,
+    Mips_FLOOR_L_S	= 752,
+    Mips_FLOOR_W_D32	= 753,
+    Mips_FLOOR_W_D64	= 754,
+    Mips_FLOOR_W_MM	= 755,
+    Mips_FLOOR_W_S	= 756,
+    Mips_FLOOR_W_S_MM	= 757,
+    Mips_FMADD_D	= 758,
+    Mips_FMADD_W	= 759,
+    Mips_FMAX_A_D	= 760,
+    Mips_FMAX_A_W	= 761,
+    Mips_FMAX_D	= 762,
+    Mips_FMAX_W	= 763,
+    Mips_FMIN_A_D	= 764,
+    Mips_FMIN_A_W	= 765,
+    Mips_FMIN_D	= 766,
+    Mips_FMIN_W	= 767,
+    Mips_FMOV_D32	= 768,
+    Mips_FMOV_D32_MM	= 769,
+    Mips_FMOV_D64	= 770,
+    Mips_FMOV_S	= 771,
+    Mips_FMOV_S_MM	= 772,
+    Mips_FMSUB_D	= 773,
+    Mips_FMSUB_W	= 774,
+    Mips_FMUL_D	= 775,
+    Mips_FMUL_D32	= 776,
+    Mips_FMUL_D64	= 777,
+    Mips_FMUL_MM	= 778,
+    Mips_FMUL_S	= 779,
+    Mips_FMUL_S_MM	= 780,
+    Mips_FMUL_W	= 781,
+    Mips_FNEG_D32	= 782,
+    Mips_FNEG_D64	= 783,
+    Mips_FNEG_MM	= 784,
+    Mips_FNEG_S	= 785,
+    Mips_FNEG_S_MM	= 786,
+    Mips_FRCP_D	= 787,
+    Mips_FRCP_W	= 788,
+    Mips_FRINT_D	= 789,
+    Mips_FRINT_W	= 790,
+    Mips_FRSQRT_D	= 791,
+    Mips_FRSQRT_W	= 792,
+    Mips_FSAF_D	= 793,
+    Mips_FSAF_W	= 794,
+    Mips_FSEQ_D	= 795,
+    Mips_FSEQ_W	= 796,
+    Mips_FSLE_D	= 797,
+    Mips_FSLE_W	= 798,
+    Mips_FSLT_D	= 799,
+    Mips_FSLT_W	= 800,
+    Mips_FSNE_D	= 801,
+    Mips_FSNE_W	= 802,
+    Mips_FSOR_D	= 803,
+    Mips_FSOR_W	= 804,
+    Mips_FSQRT_D	= 805,
+    Mips_FSQRT_D32	= 806,
+    Mips_FSQRT_D64	= 807,
+    Mips_FSQRT_MM	= 808,
+    Mips_FSQRT_S	= 809,
+    Mips_FSQRT_S_MM	= 810,
+    Mips_FSQRT_W	= 811,
+    Mips_FSUB_D	= 812,
+    Mips_FSUB_D32	= 813,
+    Mips_FSUB_D64	= 814,
+    Mips_FSUB_MM	= 815,
+    Mips_FSUB_S	= 816,
+    Mips_FSUB_S_MM	= 817,
+    Mips_FSUB_W	= 818,
+    Mips_FSUEQ_D	= 819,
+    Mips_FSUEQ_W	= 820,
+    Mips_FSULE_D	= 821,
+    Mips_FSULE_W	= 822,
+    Mips_FSULT_D	= 823,
+    Mips_FSULT_W	= 824,
+    Mips_FSUNE_D	= 825,
+    Mips_FSUNE_W	= 826,
+    Mips_FSUN_D	= 827,
+    Mips_FSUN_W	= 828,
+    Mips_FTINT_S_D	= 829,
+    Mips_FTINT_S_W	= 830,
+    Mips_FTINT_U_D	= 831,
+    Mips_FTINT_U_W	= 832,
+    Mips_FTQ_H	= 833,
+    Mips_FTQ_W	= 834,
+    Mips_FTRUNC_S_D	= 835,
+    Mips_FTRUNC_S_W	= 836,
+    Mips_FTRUNC_U_D	= 837,
+    Mips_FTRUNC_U_W	= 838,
+    Mips_GotPrologue16	= 839,
+    Mips_HADD_S_D	= 840,
+    Mips_HADD_S_H	= 841,
+    Mips_HADD_S_W	= 842,
+    Mips_HADD_U_D	= 843,
+    Mips_HADD_U_H	= 844,
+    Mips_HADD_U_W	= 845,
+    Mips_HSUB_S_D	= 846,
+    Mips_HSUB_S_H	= 847,
+    Mips_HSUB_S_W	= 848,
+    Mips_HSUB_U_D	= 849,
+    Mips_HSUB_U_H	= 850,
+    Mips_HSUB_U_W	= 851,
+    Mips_ILVEV_B	= 852,
+    Mips_ILVEV_D	= 853,
+    Mips_ILVEV_H	= 854,
+    Mips_ILVEV_W	= 855,
+    Mips_ILVL_B	= 856,
+    Mips_ILVL_D	= 857,
+    Mips_ILVL_H	= 858,
+    Mips_ILVL_W	= 859,
+    Mips_ILVOD_B	= 860,
+    Mips_ILVOD_D	= 861,
+    Mips_ILVOD_H	= 862,
+    Mips_ILVOD_W	= 863,
+    Mips_ILVR_B	= 864,
+    Mips_ILVR_D	= 865,
+    Mips_ILVR_H	= 866,
+    Mips_ILVR_W	= 867,
+    Mips_INS	= 868,
+    Mips_INSERT_B	= 869,
+    Mips_INSERT_B_VIDX_PSEUDO	= 870,
+    Mips_INSERT_D	= 871,
+    Mips_INSERT_D_VIDX_PSEUDO	= 872,
+    Mips_INSERT_FD_PSEUDO	= 873,
+    Mips_INSERT_FD_VIDX_PSEUDO	= 874,
+    Mips_INSERT_FW_PSEUDO	= 875,
+    Mips_INSERT_FW_VIDX_PSEUDO	= 876,
+    Mips_INSERT_H	= 877,
+    Mips_INSERT_H_VIDX_PSEUDO	= 878,
+    Mips_INSERT_W	= 879,
+    Mips_INSERT_W_VIDX_PSEUDO	= 880,
+    Mips_INSV	= 881,
+    Mips_INSVE_B	= 882,
+    Mips_INSVE_D	= 883,
+    Mips_INSVE_H	= 884,
+    Mips_INSVE_W	= 885,
+    Mips_INS_MM	= 886,
+    Mips_J	= 887,
+    Mips_JAL	= 888,
+    Mips_JALR	= 889,
+    Mips_JALR16_MM	= 890,
+    Mips_JALR64	= 891,
+    Mips_JALR64Pseudo	= 892,
+    Mips_JALRPseudo	= 893,
+    Mips_JALRS16_MM	= 894,
+    Mips_JALRS_MM	= 895,
+    Mips_JALR_HB	= 896,
+    Mips_JALR_MM	= 897,
+    Mips_JALS_MM	= 898,
+    Mips_JALX	= 899,
+    Mips_JALX_MM	= 900,
+    Mips_JAL_MM	= 901,
+    Mips_JIALC	= 902,
+    Mips_JIC	= 903,
+    Mips_JR	= 904,
+    Mips_JR16_MM	= 905,
+    Mips_JR64	= 906,
+    Mips_JRADDIUSP	= 907,
+    Mips_JRC16_MM	= 908,
+    Mips_JR_HB	= 909,
+    Mips_JR_HB_R6	= 910,
+    Mips_JR_MM	= 911,
+    Mips_J_MM	= 912,
+    Mips_Jal16	= 913,
+    Mips_JalB16	= 914,
+    Mips_JalOneReg	= 915,
+    Mips_JalTwoReg	= 916,
+    Mips_JrRa16	= 917,
+    Mips_JrcRa16	= 918,
+    Mips_JrcRx16	= 919,
+    Mips_JumpLinkReg16	= 920,
+    Mips_LB	= 921,
+    Mips_LB64	= 922,
+    Mips_LBU16_MM	= 923,
+    Mips_LBUX	= 924,
+    Mips_LB_MM	= 925,
+    Mips_LBu	= 926,
+    Mips_LBu64	= 927,
+    Mips_LBu_MM	= 928,
+    Mips_LD	= 929,
+    Mips_LDC1	= 930,
+    Mips_LDC164	= 931,
+    Mips_LDC1_MM	= 932,
+    Mips_LDC2	= 933,
+    Mips_LDC2_R6	= 934,
+    Mips_LDC3	= 935,
+    Mips_LDI_B	= 936,
+    Mips_LDI_D	= 937,
+    Mips_LDI_H	= 938,
+    Mips_LDI_W	= 939,
+    Mips_LDL	= 940,
+    Mips_LDPC	= 941,
+    Mips_LDR	= 942,
+    Mips_LDXC1	= 943,
+    Mips_LDXC164	= 944,
+    Mips_LD_B	= 945,
+    Mips_LD_D	= 946,
+    Mips_LD_H	= 947,
+    Mips_LD_W	= 948,
+    Mips_LEA_ADDiu	= 949,
+    Mips_LEA_ADDiu64	= 950,
+    Mips_LEA_ADDiu_MM	= 951,
+    Mips_LH	= 952,
+    Mips_LH64	= 953,
+    Mips_LHU16_MM	= 954,
+    Mips_LHX	= 955,
+    Mips_LH_MM	= 956,
+    Mips_LHu	= 957,
+    Mips_LHu64	= 958,
+    Mips_LHu_MM	= 959,
+    Mips_LI16_MM	= 960,
+    Mips_LL	= 961,
+    Mips_LLD	= 962,
+    Mips_LLD_R6	= 963,
+    Mips_LL_MM	= 964,
+    Mips_LL_R6	= 965,
+    Mips_LOAD_ACC128	= 966,
+    Mips_LOAD_ACC64	= 967,
+    Mips_LOAD_ACC64DSP	= 968,
+    Mips_LOAD_CCOND_DSP	= 969,
+    Mips_LONG_BRANCH_ADDiu	= 970,
+    Mips_LONG_BRANCH_DADDiu	= 971,
+    Mips_LONG_BRANCH_LUi	= 972,
+    Mips_LSA	= 973,
+    Mips_LSA_R6	= 974,
+    Mips_LUXC1	= 975,
+    Mips_LUXC164	= 976,
+    Mips_LUXC1_MM	= 977,
+    Mips_LUi	= 978,
+    Mips_LUi64	= 979,
+    Mips_LUi_MM	= 980,
+    Mips_LW	= 981,
+    Mips_LW16_MM	= 982,
+    Mips_LW64	= 983,
+    Mips_LWC1	= 984,
+    Mips_LWC1_MM	= 985,
+    Mips_LWC2	= 986,
+    Mips_LWC2_R6	= 987,
+    Mips_LWC3	= 988,
+    Mips_LWGP_MM	= 989,
+    Mips_LWL	= 990,
+    Mips_LWL64	= 991,
+    Mips_LWL_MM	= 992,
+    Mips_LWM16_MM	= 993,
+    Mips_LWM32_MM	= 994,
+    Mips_LWM_MM	= 995,
+    Mips_LWPC	= 996,
+    Mips_LWP_MM	= 997,
+    Mips_LWR	= 998,
+    Mips_LWR64	= 999,
+    Mips_LWR_MM	= 1000,
+    Mips_LWSP_MM	= 1001,
+    Mips_LWUPC	= 1002,
+    Mips_LWU_MM	= 1003,
+    Mips_LWX	= 1004,
+    Mips_LWXC1	= 1005,
+    Mips_LWXC1_MM	= 1006,
+    Mips_LWXS_MM	= 1007,
+    Mips_LW_MM	= 1008,
+    Mips_LWu	= 1009,
+    Mips_LbRxRyOffMemX16	= 1010,
+    Mips_LbuRxRyOffMemX16	= 1011,
+    Mips_LhRxRyOffMemX16	= 1012,
+    Mips_LhuRxRyOffMemX16	= 1013,
+    Mips_LiRxImm16	= 1014,
+    Mips_LiRxImmAlignX16	= 1015,
+    Mips_LiRxImmX16	= 1016,
+    Mips_LoadAddr32Imm	= 1017,
+    Mips_LoadAddr32Reg	= 1018,
+    Mips_LoadImm32Reg	= 1019,
+    Mips_LoadImm64Reg	= 1020,
+    Mips_LwConstant32	= 1021,
+    Mips_LwRxPcTcp16	= 1022,
+    Mips_LwRxPcTcpX16	= 1023,
+    Mips_LwRxRyOffMemX16	= 1024,
+    Mips_LwRxSpImmX16	= 1025,
+    Mips_MADD	= 1026,
+    Mips_MADDF_D	= 1027,
+    Mips_MADDF_S	= 1028,
+    Mips_MADDR_Q_H	= 1029,
+    Mips_MADDR_Q_W	= 1030,
+    Mips_MADDU	= 1031,
+    Mips_MADDU_DSP	= 1032,
+    Mips_MADDU_MM	= 1033,
+    Mips_MADDV_B	= 1034,
+    Mips_MADDV_D	= 1035,
+    Mips_MADDV_H	= 1036,
+    Mips_MADDV_W	= 1037,
+    Mips_MADD_D32	= 1038,
+    Mips_MADD_D32_MM	= 1039,
+    Mips_MADD_D64	= 1040,
+    Mips_MADD_DSP	= 1041,
+    Mips_MADD_MM	= 1042,
+    Mips_MADD_Q_H	= 1043,
+    Mips_MADD_Q_W	= 1044,
+    Mips_MADD_S	= 1045,
+    Mips_MADD_S_MM	= 1046,
+    Mips_MAQ_SA_W_PHL	= 1047,
+    Mips_MAQ_SA_W_PHR	= 1048,
+    Mips_MAQ_S_W_PHL	= 1049,
+    Mips_MAQ_S_W_PHR	= 1050,
+    Mips_MAXA_D	= 1051,
+    Mips_MAXA_S	= 1052,
+    Mips_MAXI_S_B	= 1053,
+    Mips_MAXI_S_D	= 1054,
+    Mips_MAXI_S_H	= 1055,
+    Mips_MAXI_S_W	= 1056,
+    Mips_MAXI_U_B	= 1057,
+    Mips_MAXI_U_D	= 1058,
+    Mips_MAXI_U_H	= 1059,
+    Mips_MAXI_U_W	= 1060,
+    Mips_MAX_A_B	= 1061,
+    Mips_MAX_A_D	= 1062,
+    Mips_MAX_A_H	= 1063,
+    Mips_MAX_A_W	= 1064,
+    Mips_MAX_D	= 1065,
+    Mips_MAX_S	= 1066,
+    Mips_MAX_S_B	= 1067,
+    Mips_MAX_S_D	= 1068,
+    Mips_MAX_S_H	= 1069,
+    Mips_MAX_S_W	= 1070,
+    Mips_MAX_U_B	= 1071,
+    Mips_MAX_U_D	= 1072,
+    Mips_MAX_U_H	= 1073,
+    Mips_MAX_U_W	= 1074,
+    Mips_MFC0	= 1075,
+    Mips_MFC1	= 1076,
+    Mips_MFC1_MM	= 1077,
+    Mips_MFC2	= 1078,
+    Mips_MFHC1_D32	= 1079,
+    Mips_MFHC1_D64	= 1080,
+    Mips_MFHC1_MM	= 1081,
+    Mips_MFHI	= 1082,
+    Mips_MFHI16_MM	= 1083,
+    Mips_MFHI64	= 1084,
+    Mips_MFHI_DSP	= 1085,
+    Mips_MFHI_MM	= 1086,
+    Mips_MFLO	= 1087,
+    Mips_MFLO16_MM	= 1088,
+    Mips_MFLO64	= 1089,
+    Mips_MFLO_DSP	= 1090,
+    Mips_MFLO_MM	= 1091,
+    Mips_MINA_D	= 1092,
+    Mips_MINA_S	= 1093,
+    Mips_MINI_S_B	= 1094,
+    Mips_MINI_S_D	= 1095,
+    Mips_MINI_S_H	= 1096,
+    Mips_MINI_S_W	= 1097,
+    Mips_MINI_U_B	= 1098,
+    Mips_MINI_U_D	= 1099,
+    Mips_MINI_U_H	= 1100,
+    Mips_MINI_U_W	= 1101,
+    Mips_MIN_A_B	= 1102,
+    Mips_MIN_A_D	= 1103,
+    Mips_MIN_A_H	= 1104,
+    Mips_MIN_A_W	= 1105,
+    Mips_MIN_D	= 1106,
+    Mips_MIN_S	= 1107,
+    Mips_MIN_S_B	= 1108,
+    Mips_MIN_S_D	= 1109,
+    Mips_MIN_S_H	= 1110,
+    Mips_MIN_S_W	= 1111,
+    Mips_MIN_U_B	= 1112,
+    Mips_MIN_U_D	= 1113,
+    Mips_MIN_U_H	= 1114,
+    Mips_MIN_U_W	= 1115,
+    Mips_MIPSeh_return32	= 1116,
+    Mips_MIPSeh_return64	= 1117,
+    Mips_MOD	= 1118,
+    Mips_MODSUB	= 1119,
+    Mips_MODU	= 1120,
+    Mips_MOD_S_B	= 1121,
+    Mips_MOD_S_D	= 1122,
+    Mips_MOD_S_H	= 1123,
+    Mips_MOD_S_W	= 1124,
+    Mips_MOD_U_B	= 1125,
+    Mips_MOD_U_D	= 1126,
+    Mips_MOD_U_H	= 1127,
+    Mips_MOD_U_W	= 1128,
+    Mips_MOVE16_MM	= 1129,
+    Mips_MOVEP_MM	= 1130,
+    Mips_MOVE_V	= 1131,
+    Mips_MOVF_D32	= 1132,
+    Mips_MOVF_D32_MM	= 1133,
+    Mips_MOVF_D64	= 1134,
+    Mips_MOVF_I	= 1135,
+    Mips_MOVF_I64	= 1136,
+    Mips_MOVF_I_MM	= 1137,
+    Mips_MOVF_S	= 1138,
+    Mips_MOVF_S_MM	= 1139,
+    Mips_MOVN_I64_D64	= 1140,
+    Mips_MOVN_I64_I	= 1141,
+    Mips_MOVN_I64_I64	= 1142,
+    Mips_MOVN_I64_S	= 1143,
+    Mips_MOVN_I_D32	= 1144,
+    Mips_MOVN_I_D32_MM	= 1145,
+    Mips_MOVN_I_D64	= 1146,
+    Mips_MOVN_I_I	= 1147,
+    Mips_MOVN_I_I64	= 1148,
+    Mips_MOVN_I_MM	= 1149,
+    Mips_MOVN_I_S	= 1150,
+    Mips_MOVN_I_S_MM	= 1151,
+    Mips_MOVT_D32	= 1152,
+    Mips_MOVT_D32_MM	= 1153,
+    Mips_MOVT_D64	= 1154,
+    Mips_MOVT_I	= 1155,
+    Mips_MOVT_I64	= 1156,
+    Mips_MOVT_I_MM	= 1157,
+    Mips_MOVT_S	= 1158,
+    Mips_MOVT_S_MM	= 1159,
+    Mips_MOVZ_I64_D64	= 1160,
+    Mips_MOVZ_I64_I	= 1161,
+    Mips_MOVZ_I64_I64	= 1162,
+    Mips_MOVZ_I64_S	= 1163,
+    Mips_MOVZ_I_D32	= 1164,
+    Mips_MOVZ_I_D32_MM	= 1165,
+    Mips_MOVZ_I_D64	= 1166,
+    Mips_MOVZ_I_I	= 1167,
+    Mips_MOVZ_I_I64	= 1168,
+    Mips_MOVZ_I_MM	= 1169,
+    Mips_MOVZ_I_S	= 1170,
+    Mips_MOVZ_I_S_MM	= 1171,
+    Mips_MSUB	= 1172,
+    Mips_MSUBF_D	= 1173,
+    Mips_MSUBF_S	= 1174,
+    Mips_MSUBR_Q_H	= 1175,
+    Mips_MSUBR_Q_W	= 1176,
+    Mips_MSUBU	= 1177,
+    Mips_MSUBU_DSP	= 1178,
+    Mips_MSUBU_MM	= 1179,
+    Mips_MSUBV_B	= 1180,
+    Mips_MSUBV_D	= 1181,
+    Mips_MSUBV_H	= 1182,
+    Mips_MSUBV_W	= 1183,
+    Mips_MSUB_D32	= 1184,
+    Mips_MSUB_D32_MM	= 1185,
+    Mips_MSUB_D64	= 1186,
+    Mips_MSUB_DSP	= 1187,
+    Mips_MSUB_MM	= 1188,
+    Mips_MSUB_Q_H	= 1189,
+    Mips_MSUB_Q_W	= 1190,
+    Mips_MSUB_S	= 1191,
+    Mips_MSUB_S_MM	= 1192,
+    Mips_MTC0	= 1193,
+    Mips_MTC1	= 1194,
+    Mips_MTC1_MM	= 1195,
+    Mips_MTC2	= 1196,
+    Mips_MTHC1_D32	= 1197,
+    Mips_MTHC1_D64	= 1198,
+    Mips_MTHC1_MM	= 1199,
+    Mips_MTHI	= 1200,
+    Mips_MTHI64	= 1201,
+    Mips_MTHI_DSP	= 1202,
+    Mips_MTHI_MM	= 1203,
+    Mips_MTHLIP	= 1204,
+    Mips_MTLO	= 1205,
+    Mips_MTLO64	= 1206,
+    Mips_MTLO_DSP	= 1207,
+    Mips_MTLO_MM	= 1208,
+    Mips_MTM0	= 1209,
+    Mips_MTM1	= 1210,
+    Mips_MTM2	= 1211,
+    Mips_MTP0	= 1212,
+    Mips_MTP1	= 1213,
+    Mips_MTP2	= 1214,
+    Mips_MUH	= 1215,
+    Mips_MUHU	= 1216,
+    Mips_MUL	= 1217,
+    Mips_MULEQ_S_W_PHL	= 1218,
+    Mips_MULEQ_S_W_PHR	= 1219,
+    Mips_MULEU_S_PH_QBL	= 1220,
+    Mips_MULEU_S_PH_QBR	= 1221,
+    Mips_MULQ_RS_PH	= 1222,
+    Mips_MULQ_RS_W	= 1223,
+    Mips_MULQ_S_PH	= 1224,
+    Mips_MULQ_S_W	= 1225,
+    Mips_MULR_Q_H	= 1226,
+    Mips_MULR_Q_W	= 1227,
+    Mips_MULSAQ_S_W_PH	= 1228,
+    Mips_MULSA_W_PH	= 1229,
+    Mips_MULT	= 1230,
+    Mips_MULTU_DSP	= 1231,
+    Mips_MULT_DSP	= 1232,
+    Mips_MULT_MM	= 1233,
+    Mips_MULTu	= 1234,
+    Mips_MULTu_MM	= 1235,
+    Mips_MULU	= 1236,
+    Mips_MULV_B	= 1237,
+    Mips_MULV_D	= 1238,
+    Mips_MULV_H	= 1239,
+    Mips_MULV_W	= 1240,
+    Mips_MUL_MM	= 1241,
+    Mips_MUL_PH	= 1242,
+    Mips_MUL_Q_H	= 1243,
+    Mips_MUL_Q_W	= 1244,
+    Mips_MUL_R6	= 1245,
+    Mips_MUL_S_PH	= 1246,
+    Mips_Mfhi16	= 1247,
+    Mips_Mflo16	= 1248,
+    Mips_Move32R16	= 1249,
+    Mips_MoveR3216	= 1250,
+    Mips_MultRxRy16	= 1251,
+    Mips_MultRxRyRz16	= 1252,
+    Mips_MultuRxRy16	= 1253,
+    Mips_MultuRxRyRz16	= 1254,
+    Mips_NLOC_B	= 1255,
+    Mips_NLOC_D	= 1256,
+    Mips_NLOC_H	= 1257,
+    Mips_NLOC_W	= 1258,
+    Mips_NLZC_B	= 1259,
+    Mips_NLZC_D	= 1260,
+    Mips_NLZC_H	= 1261,
+    Mips_NLZC_W	= 1262,
+    Mips_NMADD_D32	= 1263,
+    Mips_NMADD_D32_MM	= 1264,
+    Mips_NMADD_D64	= 1265,
+    Mips_NMADD_S	= 1266,
+    Mips_NMADD_S_MM	= 1267,
+    Mips_NMSUB_D32	= 1268,
+    Mips_NMSUB_D32_MM	= 1269,
+    Mips_NMSUB_D64	= 1270,
+    Mips_NMSUB_S	= 1271,
+    Mips_NMSUB_S_MM	= 1272,
+    Mips_NOP	= 1273,
+    Mips_NOR	= 1274,
+    Mips_NOR64	= 1275,
+    Mips_NORI_B	= 1276,
+    Mips_NOR_MM	= 1277,
+    Mips_NOR_V	= 1278,
+    Mips_NOR_V_D_PSEUDO	= 1279,
+    Mips_NOR_V_H_PSEUDO	= 1280,
+    Mips_NOR_V_W_PSEUDO	= 1281,
+    Mips_NOT16_MM	= 1282,
+    Mips_NegRxRy16	= 1283,
+    Mips_NotRxRy16	= 1284,
+    Mips_OR	= 1285,
+    Mips_OR16_MM	= 1286,
+    Mips_OR64	= 1287,
+    Mips_ORI_B	= 1288,
+    Mips_OR_MM	= 1289,
+    Mips_OR_V	= 1290,
+    Mips_OR_V_D_PSEUDO	= 1291,
+    Mips_OR_V_H_PSEUDO	= 1292,
+    Mips_OR_V_W_PSEUDO	= 1293,
+    Mips_ORi	= 1294,
+    Mips_ORi64	= 1295,
+    Mips_ORi_MM	= 1296,
+    Mips_OrRxRxRy16	= 1297,
+    Mips_PACKRL_PH	= 1298,
+    Mips_PAUSE	= 1299,
+    Mips_PAUSE_MM	= 1300,
+    Mips_PCKEV_B	= 1301,
+    Mips_PCKEV_D	= 1302,
+    Mips_PCKEV_H	= 1303,
+    Mips_PCKEV_W	= 1304,
+    Mips_PCKOD_B	= 1305,
+    Mips_PCKOD_D	= 1306,
+    Mips_PCKOD_H	= 1307,
+    Mips_PCKOD_W	= 1308,
+    Mips_PCNT_B	= 1309,
+    Mips_PCNT_D	= 1310,
+    Mips_PCNT_H	= 1311,
+    Mips_PCNT_W	= 1312,
+    Mips_PICK_PH	= 1313,
+    Mips_PICK_QB	= 1314,
+    Mips_POP	= 1315,
+    Mips_PRECEQU_PH_QBL	= 1316,
+    Mips_PRECEQU_PH_QBLA	= 1317,
+    Mips_PRECEQU_PH_QBR	= 1318,
+    Mips_PRECEQU_PH_QBRA	= 1319,
+    Mips_PRECEQ_W_PHL	= 1320,
+    Mips_PRECEQ_W_PHR	= 1321,
+    Mips_PRECEU_PH_QBL	= 1322,
+    Mips_PRECEU_PH_QBLA	= 1323,
+    Mips_PRECEU_PH_QBR	= 1324,
+    Mips_PRECEU_PH_QBRA	= 1325,
+    Mips_PRECRQU_S_QB_PH	= 1326,
+    Mips_PRECRQ_PH_W	= 1327,
+    Mips_PRECRQ_QB_PH	= 1328,
+    Mips_PRECRQ_RS_PH_W	= 1329,
+    Mips_PRECR_QB_PH	= 1330,
+    Mips_PRECR_SRA_PH_W	= 1331,
+    Mips_PRECR_SRA_R_PH_W	= 1332,
+    Mips_PREF	= 1333,
+    Mips_PREF_MM	= 1334,
+    Mips_PREF_R6	= 1335,
+    Mips_PREPEND	= 1336,
+    Mips_PseudoCMPU_EQ_QB	= 1337,
+    Mips_PseudoCMPU_LE_QB	= 1338,
+    Mips_PseudoCMPU_LT_QB	= 1339,
+    Mips_PseudoCMP_EQ_PH	= 1340,
+    Mips_PseudoCMP_LE_PH	= 1341,
+    Mips_PseudoCMP_LT_PH	= 1342,
+    Mips_PseudoCVT_D32_W	= 1343,
+    Mips_PseudoCVT_D64_L	= 1344,
+    Mips_PseudoCVT_D64_W	= 1345,
+    Mips_PseudoCVT_S_L	= 1346,
+    Mips_PseudoCVT_S_W	= 1347,
+    Mips_PseudoDMULT	= 1348,
+    Mips_PseudoDMULTu	= 1349,
+    Mips_PseudoDSDIV	= 1350,
+    Mips_PseudoDUDIV	= 1351,
+    Mips_PseudoIndirectBranch	= 1352,
+    Mips_PseudoIndirectBranch64	= 1353,
+    Mips_PseudoMADD	= 1354,
+    Mips_PseudoMADDU	= 1355,
+    Mips_PseudoMFHI	= 1356,
+    Mips_PseudoMFHI64	= 1357,
+    Mips_PseudoMFLO	= 1358,
+    Mips_PseudoMFLO64	= 1359,
+    Mips_PseudoMSUB	= 1360,
+    Mips_PseudoMSUBU	= 1361,
+    Mips_PseudoMTLOHI	= 1362,
+    Mips_PseudoMTLOHI64	= 1363,
+    Mips_PseudoMTLOHI_DSP	= 1364,
+    Mips_PseudoMULT	= 1365,
+    Mips_PseudoMULTu	= 1366,
+    Mips_PseudoPICK_PH	= 1367,
+    Mips_PseudoPICK_QB	= 1368,
+    Mips_PseudoReturn	= 1369,
+    Mips_PseudoReturn64	= 1370,
+    Mips_PseudoSDIV	= 1371,
+    Mips_PseudoSELECTFP_F_D32	= 1372,
+    Mips_PseudoSELECTFP_F_D64	= 1373,
+    Mips_PseudoSELECTFP_F_I	= 1374,
+    Mips_PseudoSELECTFP_F_I64	= 1375,
+    Mips_PseudoSELECTFP_F_S	= 1376,
+    Mips_PseudoSELECTFP_T_D32	= 1377,
+    Mips_PseudoSELECTFP_T_D64	= 1378,
+    Mips_PseudoSELECTFP_T_I	= 1379,
+    Mips_PseudoSELECTFP_T_I64	= 1380,
+    Mips_PseudoSELECTFP_T_S	= 1381,
+    Mips_PseudoSELECT_D32	= 1382,
+    Mips_PseudoSELECT_D64	= 1383,
+    Mips_PseudoSELECT_I	= 1384,
+    Mips_PseudoSELECT_I64	= 1385,
+    Mips_PseudoSELECT_S	= 1386,
+    Mips_PseudoUDIV	= 1387,
+    Mips_RADDU_W_QB	= 1388,
+    Mips_RDDSP	= 1389,
+    Mips_RDHWR	= 1390,
+    Mips_RDHWR64	= 1391,
+    Mips_RDHWR_MM	= 1392,
+    Mips_REPLV_PH	= 1393,
+    Mips_REPLV_QB	= 1394,
+    Mips_REPL_PH	= 1395,
+    Mips_REPL_QB	= 1396,
+    Mips_RINT_D	= 1397,
+    Mips_RINT_S	= 1398,
+    Mips_ROTR	= 1399,
+    Mips_ROTRV	= 1400,
+    Mips_ROTRV_MM	= 1401,
+    Mips_ROTR_MM	= 1402,
+    Mips_ROUND_L_D64	= 1403,
+    Mips_ROUND_L_S	= 1404,
+    Mips_ROUND_W_D32	= 1405,
+    Mips_ROUND_W_D64	= 1406,
+    Mips_ROUND_W_MM	= 1407,
+    Mips_ROUND_W_S	= 1408,
+    Mips_ROUND_W_S_MM	= 1409,
+    Mips_Restore16	= 1410,
+    Mips_RestoreX16	= 1411,
+    Mips_RetRA	= 1412,
+    Mips_RetRA16	= 1413,
+    Mips_SAT_S_B	= 1414,
+    Mips_SAT_S_D	= 1415,
+    Mips_SAT_S_H	= 1416,
+    Mips_SAT_S_W	= 1417,
+    Mips_SAT_U_B	= 1418,
+    Mips_SAT_U_D	= 1419,
+    Mips_SAT_U_H	= 1420,
+    Mips_SAT_U_W	= 1421,
+    Mips_SB	= 1422,
+    Mips_SB16_MM	= 1423,
+    Mips_SB64	= 1424,
+    Mips_SB_MM	= 1425,
+    Mips_SC	= 1426,
+    Mips_SCD	= 1427,
+    Mips_SCD_R6	= 1428,
+    Mips_SC_MM	= 1429,
+    Mips_SC_R6	= 1430,
+    Mips_SD	= 1431,
+    Mips_SDBBP	= 1432,
+    Mips_SDBBP16_MM	= 1433,
+    Mips_SDBBP_MM	= 1434,
+    Mips_SDBBP_R6	= 1435,
+    Mips_SDC1	= 1436,
+    Mips_SDC164	= 1437,
+    Mips_SDC1_MM	= 1438,
+    Mips_SDC2	= 1439,
+    Mips_SDC2_R6	= 1440,
+    Mips_SDC3	= 1441,
+    Mips_SDIV	= 1442,
+    Mips_SDIV_MM	= 1443,
+    Mips_SDL	= 1444,
+    Mips_SDR	= 1445,
+    Mips_SDXC1	= 1446,
+    Mips_SDXC164	= 1447,
+    Mips_SEB	= 1448,
+    Mips_SEB64	= 1449,
+    Mips_SEB_MM	= 1450,
+    Mips_SEH	= 1451,
+    Mips_SEH64	= 1452,
+    Mips_SEH_MM	= 1453,
+    Mips_SELEQZ	= 1454,
+    Mips_SELEQZ64	= 1455,
+    Mips_SELEQZ_D	= 1456,
+    Mips_SELEQZ_S	= 1457,
+    Mips_SELNEZ	= 1458,
+    Mips_SELNEZ64	= 1459,
+    Mips_SELNEZ_D	= 1460,
+    Mips_SELNEZ_S	= 1461,
+    Mips_SEL_D	= 1462,
+    Mips_SEL_S	= 1463,
+    Mips_SEQ	= 1464,
+    Mips_SEQi	= 1465,
+    Mips_SH	= 1466,
+    Mips_SH16_MM	= 1467,
+    Mips_SH64	= 1468,
+    Mips_SHF_B	= 1469,
+    Mips_SHF_H	= 1470,
+    Mips_SHF_W	= 1471,
+    Mips_SHILO	= 1472,
+    Mips_SHILOV	= 1473,
+    Mips_SHLLV_PH	= 1474,
+    Mips_SHLLV_QB	= 1475,
+    Mips_SHLLV_S_PH	= 1476,
+    Mips_SHLLV_S_W	= 1477,
+    Mips_SHLL_PH	= 1478,
+    Mips_SHLL_QB	= 1479,
+    Mips_SHLL_S_PH	= 1480,
+    Mips_SHLL_S_W	= 1481,
+    Mips_SHRAV_PH	= 1482,
+    Mips_SHRAV_QB	= 1483,
+    Mips_SHRAV_R_PH	= 1484,
+    Mips_SHRAV_R_QB	= 1485,
+    Mips_SHRAV_R_W	= 1486,
+    Mips_SHRA_PH	= 1487,
+    Mips_SHRA_QB	= 1488,
+    Mips_SHRA_R_PH	= 1489,
+    Mips_SHRA_R_QB	= 1490,
+    Mips_SHRA_R_W	= 1491,
+    Mips_SHRLV_PH	= 1492,
+    Mips_SHRLV_QB	= 1493,
+    Mips_SHRL_PH	= 1494,
+    Mips_SHRL_QB	= 1495,
+    Mips_SH_MM	= 1496,
+    Mips_SLDI_B	= 1497,
+    Mips_SLDI_D	= 1498,
+    Mips_SLDI_H	= 1499,
+    Mips_SLDI_W	= 1500,
+    Mips_SLD_B	= 1501,
+    Mips_SLD_D	= 1502,
+    Mips_SLD_H	= 1503,
+    Mips_SLD_W	= 1504,
+    Mips_SLL	= 1505,
+    Mips_SLL16_MM	= 1506,
+    Mips_SLL64_32	= 1507,
+    Mips_SLL64_64	= 1508,
+    Mips_SLLI_B	= 1509,
+    Mips_SLLI_D	= 1510,
+    Mips_SLLI_H	= 1511,
+    Mips_SLLI_W	= 1512,
+    Mips_SLLV	= 1513,
+    Mips_SLLV_MM	= 1514,
+    Mips_SLL_B	= 1515,
+    Mips_SLL_D	= 1516,
+    Mips_SLL_H	= 1517,
+    Mips_SLL_MM	= 1518,
+    Mips_SLL_W	= 1519,
+    Mips_SLT	= 1520,
+    Mips_SLT64	= 1521,
+    Mips_SLT_MM	= 1522,
+    Mips_SLTi	= 1523,
+    Mips_SLTi64	= 1524,
+    Mips_SLTi_MM	= 1525,
+    Mips_SLTiu	= 1526,
+    Mips_SLTiu64	= 1527,
+    Mips_SLTiu_MM	= 1528,
+    Mips_SLTu	= 1529,
+    Mips_SLTu64	= 1530,
+    Mips_SLTu_MM	= 1531,
+    Mips_SNE	= 1532,
+    Mips_SNEi	= 1533,
+    Mips_SNZ_B_PSEUDO	= 1534,
+    Mips_SNZ_D_PSEUDO	= 1535,
+    Mips_SNZ_H_PSEUDO	= 1536,
+    Mips_SNZ_V_PSEUDO	= 1537,
+    Mips_SNZ_W_PSEUDO	= 1538,
+    Mips_SPLATI_B	= 1539,
+    Mips_SPLATI_D	= 1540,
+    Mips_SPLATI_H	= 1541,
+    Mips_SPLATI_W	= 1542,
+    Mips_SPLAT_B	= 1543,
+    Mips_SPLAT_D	= 1544,
+    Mips_SPLAT_H	= 1545,
+    Mips_SPLAT_W	= 1546,
+    Mips_SRA	= 1547,
+    Mips_SRAI_B	= 1548,
+    Mips_SRAI_D	= 1549,
+    Mips_SRAI_H	= 1550,
+    Mips_SRAI_W	= 1551,
+    Mips_SRARI_B	= 1552,
+    Mips_SRARI_D	= 1553,
+    Mips_SRARI_H	= 1554,
+    Mips_SRARI_W	= 1555,
+    Mips_SRAR_B	= 1556,
+    Mips_SRAR_D	= 1557,
+    Mips_SRAR_H	= 1558,
+    Mips_SRAR_W	= 1559,
+    Mips_SRAV	= 1560,
+    Mips_SRAV_MM	= 1561,
+    Mips_SRA_B	= 1562,
+    Mips_SRA_D	= 1563,
+    Mips_SRA_H	= 1564,
+    Mips_SRA_MM	= 1565,
+    Mips_SRA_W	= 1566,
+    Mips_SRL	= 1567,
+    Mips_SRL16_MM	= 1568,
+    Mips_SRLI_B	= 1569,
+    Mips_SRLI_D	= 1570,
+    Mips_SRLI_H	= 1571,
+    Mips_SRLI_W	= 1572,
+    Mips_SRLRI_B	= 1573,
+    Mips_SRLRI_D	= 1574,
+    Mips_SRLRI_H	= 1575,
+    Mips_SRLRI_W	= 1576,
+    Mips_SRLR_B	= 1577,
+    Mips_SRLR_D	= 1578,
+    Mips_SRLR_H	= 1579,
+    Mips_SRLR_W	= 1580,
+    Mips_SRLV	= 1581,
+    Mips_SRLV_MM	= 1582,
+    Mips_SRL_B	= 1583,
+    Mips_SRL_D	= 1584,
+    Mips_SRL_H	= 1585,
+    Mips_SRL_MM	= 1586,
+    Mips_SRL_W	= 1587,
+    Mips_SSNOP	= 1588,
+    Mips_SSNOP_MM	= 1589,
+    Mips_STORE_ACC128	= 1590,
+    Mips_STORE_ACC64	= 1591,
+    Mips_STORE_ACC64DSP	= 1592,
+    Mips_STORE_CCOND_DSP	= 1593,
+    Mips_ST_B	= 1594,
+    Mips_ST_D	= 1595,
+    Mips_ST_H	= 1596,
+    Mips_ST_W	= 1597,
+    Mips_SUB	= 1598,
+    Mips_SUBQH_PH	= 1599,
+    Mips_SUBQH_R_PH	= 1600,
+    Mips_SUBQH_R_W	= 1601,
+    Mips_SUBQH_W	= 1602,
+    Mips_SUBQ_PH	= 1603,
+    Mips_SUBQ_S_PH	= 1604,
+    Mips_SUBQ_S_W	= 1605,
+    Mips_SUBSUS_U_B	= 1606,
+    Mips_SUBSUS_U_D	= 1607,
+    Mips_SUBSUS_U_H	= 1608,
+    Mips_SUBSUS_U_W	= 1609,
+    Mips_SUBSUU_S_B	= 1610,
+    Mips_SUBSUU_S_D	= 1611,
+    Mips_SUBSUU_S_H	= 1612,
+    Mips_SUBSUU_S_W	= 1613,
+    Mips_SUBS_S_B	= 1614,
+    Mips_SUBS_S_D	= 1615,
+    Mips_SUBS_S_H	= 1616,
+    Mips_SUBS_S_W	= 1617,
+    Mips_SUBS_U_B	= 1618,
+    Mips_SUBS_U_D	= 1619,
+    Mips_SUBS_U_H	= 1620,
+    Mips_SUBS_U_W	= 1621,
+    Mips_SUBU16_MM	= 1622,
+    Mips_SUBUH_QB	= 1623,
+    Mips_SUBUH_R_QB	= 1624,
+    Mips_SUBU_PH	= 1625,
+    Mips_SUBU_QB	= 1626,
+    Mips_SUBU_S_PH	= 1627,
+    Mips_SUBU_S_QB	= 1628,
+    Mips_SUBVI_B	= 1629,
+    Mips_SUBVI_D	= 1630,
+    Mips_SUBVI_H	= 1631,
+    Mips_SUBVI_W	= 1632,
+    Mips_SUBV_B	= 1633,
+    Mips_SUBV_D	= 1634,
+    Mips_SUBV_H	= 1635,
+    Mips_SUBV_W	= 1636,
+    Mips_SUB_MM	= 1637,
+    Mips_SUBu	= 1638,
+    Mips_SUBu_MM	= 1639,
+    Mips_SUXC1	= 1640,
+    Mips_SUXC164	= 1641,
+    Mips_SUXC1_MM	= 1642,
+    Mips_SW	= 1643,
+    Mips_SW16_MM	= 1644,
+    Mips_SW64	= 1645,
+    Mips_SWC1	= 1646,
+    Mips_SWC1_MM	= 1647,
+    Mips_SWC2	= 1648,
+    Mips_SWC2_R6	= 1649,
+    Mips_SWC3	= 1650,
+    Mips_SWL	= 1651,
+    Mips_SWL64	= 1652,
+    Mips_SWL_MM	= 1653,
+    Mips_SWM16_MM	= 1654,
+    Mips_SWM32_MM	= 1655,
+    Mips_SWM_MM	= 1656,
+    Mips_SWP_MM	= 1657,
+    Mips_SWR	= 1658,
+    Mips_SWR64	= 1659,
+    Mips_SWR_MM	= 1660,
+    Mips_SWSP_MM	= 1661,
+    Mips_SWXC1	= 1662,
+    Mips_SWXC1_MM	= 1663,
+    Mips_SW_MM	= 1664,
+    Mips_SYNC	= 1665,
+    Mips_SYNCI	= 1666,
+    Mips_SYNC_MM	= 1667,
+    Mips_SYSCALL	= 1668,
+    Mips_SYSCALL_MM	= 1669,
+    Mips_SZ_B_PSEUDO	= 1670,
+    Mips_SZ_D_PSEUDO	= 1671,
+    Mips_SZ_H_PSEUDO	= 1672,
+    Mips_SZ_V_PSEUDO	= 1673,
+    Mips_SZ_W_PSEUDO	= 1674,
+    Mips_Save16	= 1675,
+    Mips_SaveX16	= 1676,
+    Mips_SbRxRyOffMemX16	= 1677,
+    Mips_SebRx16	= 1678,
+    Mips_SehRx16	= 1679,
+    Mips_SelBeqZ	= 1680,
+    Mips_SelBneZ	= 1681,
+    Mips_SelTBteqZCmp	= 1682,
+    Mips_SelTBteqZCmpi	= 1683,
+    Mips_SelTBteqZSlt	= 1684,
+    Mips_SelTBteqZSlti	= 1685,
+    Mips_SelTBteqZSltiu	= 1686,
+    Mips_SelTBteqZSltu	= 1687,
+    Mips_SelTBtneZCmp	= 1688,
+    Mips_SelTBtneZCmpi	= 1689,
+    Mips_SelTBtneZSlt	= 1690,
+    Mips_SelTBtneZSlti	= 1691,
+    Mips_SelTBtneZSltiu	= 1692,
+    Mips_SelTBtneZSltu	= 1693,
+    Mips_ShRxRyOffMemX16	= 1694,
+    Mips_SllX16	= 1695,
+    Mips_SllvRxRy16	= 1696,
+    Mips_SltCCRxRy16	= 1697,
+    Mips_SltRxRy16	= 1698,
+    Mips_SltiCCRxImmX16	= 1699,
+    Mips_SltiRxImm16	= 1700,
+    Mips_SltiRxImmX16	= 1701,
+    Mips_SltiuCCRxImmX16	= 1702,
+    Mips_SltiuRxImm16	= 1703,
+    Mips_SltiuRxImmX16	= 1704,
+    Mips_SltuCCRxRy16	= 1705,
+    Mips_SltuRxRy16	= 1706,
+    Mips_SltuRxRyRz16	= 1707,
+    Mips_SraX16	= 1708,
+    Mips_SravRxRy16	= 1709,
+    Mips_SrlX16	= 1710,
+    Mips_SrlvRxRy16	= 1711,
+    Mips_SubuRxRyRz16	= 1712,
+    Mips_SwRxRyOffMemX16	= 1713,
+    Mips_SwRxSpImmX16	= 1714,
+    Mips_TAILCALL	= 1715,
+    Mips_TAILCALL64_R	= 1716,
+    Mips_TAILCALL_R	= 1717,
+    Mips_TEQ	= 1718,
+    Mips_TEQI	= 1719,
+    Mips_TEQI_MM	= 1720,
+    Mips_TEQ_MM	= 1721,
+    Mips_TGE	= 1722,
+    Mips_TGEI	= 1723,
+    Mips_TGEIU	= 1724,
+    Mips_TGEIU_MM	= 1725,
+    Mips_TGEI_MM	= 1726,
+    Mips_TGEU	= 1727,
+    Mips_TGEU_MM	= 1728,
+    Mips_TGE_MM	= 1729,
+    Mips_TLBP	= 1730,
+    Mips_TLBP_MM	= 1731,
+    Mips_TLBR	= 1732,
+    Mips_TLBR_MM	= 1733,
+    Mips_TLBWI	= 1734,
+    Mips_TLBWI_MM	= 1735,
+    Mips_TLBWR	= 1736,
+    Mips_TLBWR_MM	= 1737,
+    Mips_TLT	= 1738,
+    Mips_TLTI	= 1739,
+    Mips_TLTIU_MM	= 1740,
+    Mips_TLTI_MM	= 1741,
+    Mips_TLTU	= 1742,
+    Mips_TLTU_MM	= 1743,
+    Mips_TLT_MM	= 1744,
+    Mips_TNE	= 1745,
+    Mips_TNEI	= 1746,
+    Mips_TNEI_MM	= 1747,
+    Mips_TNE_MM	= 1748,
+    Mips_TRAP	= 1749,
+    Mips_TRUNC_L_D64	= 1750,
+    Mips_TRUNC_L_S	= 1751,
+    Mips_TRUNC_W_D32	= 1752,
+    Mips_TRUNC_W_D64	= 1753,
+    Mips_TRUNC_W_MM	= 1754,
+    Mips_TRUNC_W_S	= 1755,
+    Mips_TRUNC_W_S_MM	= 1756,
+    Mips_TTLTIU	= 1757,
+    Mips_UDIV	= 1758,
+    Mips_UDIV_MM	= 1759,
+    Mips_V3MULU	= 1760,
+    Mips_VMM0	= 1761,
+    Mips_VMULU	= 1762,
+    Mips_VSHF_B	= 1763,
+    Mips_VSHF_D	= 1764,
+    Mips_VSHF_H	= 1765,
+    Mips_VSHF_W	= 1766,
+    Mips_WAIT	= 1767,
+    Mips_WAIT_MM	= 1768,
+    Mips_WRDSP	= 1769,
+    Mips_WSBH	= 1770,
+    Mips_WSBH_MM	= 1771,
+    Mips_XOR	= 1772,
+    Mips_XOR16_MM	= 1773,
+    Mips_XOR64	= 1774,
+    Mips_XORI_B	= 1775,
+    Mips_XOR_MM	= 1776,
+    Mips_XOR_V	= 1777,
+    Mips_XOR_V_D_PSEUDO	= 1778,
+    Mips_XOR_V_H_PSEUDO	= 1779,
+    Mips_XOR_V_W_PSEUDO	= 1780,
+    Mips_XORi	= 1781,
+    Mips_XORi64	= 1782,
+    Mips_XORi_MM	= 1783,
+    Mips_XorRxRxRy16	= 1784,
+    Mips_INSTRUCTION_LIST_END = 1785
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsGenRegisterInfo.inc 4.0.2-3/arch/Mips/MipsGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -431,53 +431,50 @@ enum {
   Mips_CCRegClassID = 15,
   Mips_CPU16RegsRegClassID = 16,
   Mips_FCCRegClassID = 17,
-  Mips_MSACtrlRegClassID = 18,
-  Mips_OddSP_with_sub_hi_with_sub_hi_in_FGR32RegClassID = 19,
-  Mips_HI32DSPRegClassID = 20,
-  Mips_LO32DSPRegClassID = 21,
-  Mips_CPURARegRegClassID = 22,
-  Mips_CPUSPRegRegClassID = 23,
-  Mips_DSPCCRegClassID = 24,
-  Mips_HI32RegClassID = 25,
-  Mips_LO32RegClassID = 26,
-  Mips_FGR64RegClassID = 27,
-  Mips_GPR64RegClassID = 28,
-  Mips_AFGR64RegClassID = 29,
-  Mips_FGR64_and_OddSPRegClassID = 30,
-  Mips_GPR64_with_sub_32_in_CPU16RegsPlusSPRegClassID = 31,
-  Mips_AFGR64_and_OddSPRegClassID = 32,
-  Mips_GPR64_with_sub_32_in_CPU16RegsRegClassID = 33,
-  Mips_ACC64DSPRegClassID = 34,
-  Mips_OCTEON_MPLRegClassID = 35,
-  Mips_OCTEON_PRegClassID = 36,
-  Mips_ACC64RegClassID = 37,
-  Mips_GPR64_with_sub_32_in_CPURARegRegClassID = 38,
-  Mips_GPR64_with_sub_32_in_CPUSPRegRegClassID = 39,
-  Mips_HI64RegClassID = 40,
-  Mips_LO64RegClassID = 41,
-  Mips_MSA128BRegClassID = 42,
-  Mips_MSA128DRegClassID = 43,
-  Mips_MSA128HRegClassID = 44,
-  Mips_MSA128WRegClassID = 45,
-  Mips_MSA128B_with_sub_64_in_OddSPRegClassID = 46,
-  Mips_ACC128RegClassID = 47
-};
-
-// Subregister indices
-enum {
-  Mips_NoSubRegister,
-  Mips_sub_32,	// 1
-  Mips_sub_64,	// 2
-  Mips_sub_dsp16_19,	// 3
-  Mips_sub_dsp20,	// 4
-  Mips_sub_dsp21,	// 5
-  Mips_sub_dsp22,	// 6
-  Mips_sub_dsp23,	// 7
-  Mips_sub_hi,	// 8
-  Mips_sub_lo,	// 9
-  Mips_sub_hi_then_sub_32,	// 10
-  Mips_sub_32_sub_hi_then_sub_32,	// 11
-  Mips_NUM_TARGET_SUBREGS
+  Mips_GPRMM16RegClassID = 18,
+  Mips_GPRMM16MovePRegClassID = 19,
+  Mips_GPRMM16ZeroRegClassID = 20,
+  Mips_MSACtrlRegClassID = 21,
+  Mips_OddSP_with_sub_hi_with_sub_hi_in_FGR32RegClassID = 22,
+  Mips_CPU16Regs_and_GPRMM16ZeroRegClassID = 23,
+  Mips_CPU16Regs_and_GPRMM16MovePRegClassID = 24,
+  Mips_GPRMM16MoveP_and_GPRMM16ZeroRegClassID = 25,
+  Mips_HI32DSPRegClassID = 26,
+  Mips_LO32DSPRegClassID = 27,
+  Mips_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroRegClassID = 28,
+  Mips_CPURARegRegClassID = 29,
+  Mips_CPUSPRegRegClassID = 30,
+  Mips_DSPCCRegClassID = 31,
+  Mips_HI32RegClassID = 32,
+  Mips_LO32RegClassID = 33,
+  Mips_FGR64RegClassID = 34,
+  Mips_GPR64RegClassID = 35,
+  Mips_AFGR64RegClassID = 36,
+  Mips_FGR64_and_OddSPRegClassID = 37,
+  Mips_GPR64_with_sub_32_in_CPU16RegsPlusSPRegClassID = 38,
+  Mips_AFGR64_and_OddSPRegClassID = 39,
+  Mips_GPR64_with_sub_32_in_CPU16RegsRegClassID = 40,
+  Mips_GPR64_with_sub_32_in_GPRMM16MovePRegClassID = 41,
+  Mips_GPR64_with_sub_32_in_GPRMM16ZeroRegClassID = 42,
+  Mips_GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16ZeroRegClassID = 43,
+  Mips_ACC64DSPRegClassID = 44,
+  Mips_GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MovePRegClassID = 45,
+  Mips_GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16ZeroRegClassID = 46,
+  Mips_GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroRegClassID = 47,
+  Mips_OCTEON_MPLRegClassID = 48,
+  Mips_OCTEON_PRegClassID = 49,
+  Mips_ACC64RegClassID = 50,
+  Mips_GPR64_with_sub_32_in_CPURARegRegClassID = 51,
+  Mips_GPR64_with_sub_32_in_CPUSPRegRegClassID = 52,
+  Mips_HI64RegClassID = 53,
+  Mips_LO64RegClassID = 54,
+  Mips_MSA128BRegClassID = 55,
+  Mips_MSA128DRegClassID = 56,
+  Mips_MSA128HRegClassID = 57,
+  Mips_MSA128WRegClassID = 58,
+  Mips_MSA128B_with_sub_64_in_OddSPRegClassID = 59,
+  Mips_MSA128WEvensRegClassID = 60,
+  Mips_ACC128RegClassID = 61,
 };
 
 #endif // GET_REGINFO_ENUM
@@ -491,13 +488,13 @@ enum {
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_MC_DESC
 #undef GET_REGINFO_MC_DESC
 
-static const MCPhysReg MipsRegDiffLists[] = {
+static MCPhysReg MipsRegDiffLists[] = {
   /* 0 */ 0, 0,
   /* 2 */ 4, 1, 1, 1, 1, 0,
   /* 8 */ 364, 65286, 1, 1, 1, 0,
@@ -590,938 +587,1093 @@ static const MCPhysReg MipsRegDiffLists[
   /* 251 */ 65535, 0,
 };
 
-static const uint16_t MipsSubRegIdxLists[] = {
+static uint16_t MipsSubRegIdxLists[] = {
   /* 0 */ 1, 0,
   /* 2 */ 3, 4, 5, 6, 7, 0,
   /* 8 */ 2, 9, 8, 0,
   /* 12 */ 9, 1, 8, 10, 11, 0,
 };
 
-static const MCRegisterDesc MipsRegDesc[] = { // Descriptors
-  { 6, 0, 0, 0, 0 },
-  { 2007, 1, 82, 1, 4017 },
-  { 2010, 1, 1, 1, 4017 },
-  { 2102, 1, 1, 1, 4017 },
-  { 1973, 1, 1, 1, 4017 },
-  { 2027, 8, 1, 2, 32 },
-  { 2054, 1, 1, 1, 1089 },
-  { 2071, 1, 1, 1, 1089 },
-  { 1985, 1, 102, 1, 1089 },
-  { 1988, 1, 104, 1, 1089 },
-  { 2061, 1, 1, 1, 1089 },
-  { 2000, 1, 1, 1, 1089 },
-  { 1994, 1, 1, 1, 1089 },
-  { 2038, 1, 1, 1, 1089 },
-  { 2092, 1, 1, 1, 1089 },
-  { 2081, 1, 1, 1, 1089 },
-  { 2019, 1, 1, 1, 1089 },
-  { 2045, 1, 1, 1, 1089 },
-  { 1970, 1, 1, 1, 1089 },
-  { 1967, 1, 106, 1, 1089 },
-  { 1991, 1, 108, 1, 1089 },
-  { 1980, 1, 110, 1, 1089 },
-  { 152, 1, 110, 1, 1089 },
-  { 365, 1, 110, 1, 1089 },
-  { 537, 1, 110, 1, 1089 },
-  { 703, 1, 110, 1, 1089 },
-  { 155, 190, 110, 9, 1042 },
-  { 368, 190, 1, 9, 1042 },
-  { 540, 190, 1, 9, 1042 },
-  { 706, 190, 1, 9, 1042 },
-  { 1271, 237, 1, 0, 0 },
-  { 160, 1, 1, 1, 1153 },
-  { 373, 1, 1, 1, 1153 },
-  { 545, 1, 1, 1, 1153 },
-  { 711, 1, 1, 1, 1153 },
-  { 1278, 1, 1, 1, 1153 },
-  { 1412, 1, 1, 1, 1153 },
-  { 1542, 1, 1, 1, 1153 },
-  { 1672, 1, 1, 1, 1153 },
-  { 70, 1, 1, 1, 1153 },
-  { 283, 1, 1, 1, 1153 },
-  { 496, 1, 1, 1, 1153 },
-  { 662, 1, 1, 1, 1153 },
-  { 820, 1, 1, 1, 1153 },
-  { 1383, 1, 1, 1, 1153 },
-  { 1513, 1, 1, 1, 1153 },
-  { 1643, 1, 1, 1, 1153 },
-  { 1773, 1, 1, 1, 1153 },
-  { 1911, 1, 1, 1, 1153 },
-  { 130, 1, 1, 1, 1153 },
-  { 343, 1, 1, 1, 1153 },
-  { 531, 1, 1, 1, 1153 },
-  { 697, 1, 1, 1, 1153 },
-  { 842, 1, 1, 1, 1153 },
-  { 1405, 1, 1, 1, 1153 },
-  { 1535, 1, 1, 1, 1153 },
-  { 1665, 1, 1, 1, 1153 },
-  { 1795, 1, 1, 1, 1153 },
-  { 1933, 1, 1, 1, 1153 },
-  { 0, 1, 1, 1, 1153 },
-  { 213, 1, 1, 1, 1153 },
-  { 426, 1, 1, 1, 1153 },
-  { 592, 1, 1, 1, 1153 },
-  { 750, 1, 1, 1, 1153 },
-  { 1313, 1, 1, 1, 1153 },
-  { 1447, 1, 1, 1, 1153 },
-  { 1577, 1, 1, 1, 1153 },
-  { 1707, 1, 1, 1, 1153 },
-  { 1829, 1, 1, 1, 1153 },
-  { 45, 1, 1, 1, 1153 },
-  { 258, 1, 1, 1, 1153 },
-  { 471, 1, 1, 1, 1153 },
-  { 637, 1, 1, 1, 1153 },
-  { 795, 1, 1, 1, 1153 },
-  { 1358, 1, 1, 1, 1153 },
-  { 1488, 1, 1, 1, 1153 },
-  { 1618, 1, 1, 1, 1153 },
-  { 1748, 1, 1, 1, 1153 },
-  { 1886, 1, 1, 1, 1153 },
-  { 105, 1, 1, 1, 1153 },
-  { 318, 1, 1, 1, 1153 },
-  { 7, 1, 1, 1, 1153 },
-  { 220, 1, 1, 1, 1153 },
-  { 433, 1, 1, 1, 1153 },
-  { 599, 1, 1, 1, 1153 },
-  { 757, 1, 1, 1, 1153 },
-  { 1320, 1, 1, 1, 1153 },
-  { 1454, 1, 1, 1, 1153 },
-  { 1584, 1, 1, 1, 1153 },
-  { 1714, 1, 1, 1, 1153 },
-  { 1836, 1, 1, 1, 1153 },
-  { 52, 1, 1, 1, 1153 },
-  { 265, 1, 1, 1, 1153 },
-  { 478, 1, 1, 1, 1153 },
-  { 644, 1, 1, 1, 1153 },
-  { 802, 1, 1, 1, 1153 },
-  { 1365, 1, 1, 1, 1153 },
-  { 1495, 1, 1, 1, 1153 },
-  { 1625, 1, 1, 1, 1153 },
-  { 1755, 1, 1, 1, 1153 },
-  { 1893, 1, 1, 1, 1153 },
-  { 112, 1, 1, 1, 1153 },
-  { 325, 1, 1, 1, 1153 },
-  { 164, 14, 1, 9, 994 },
-  { 377, 17, 1, 9, 994 },
-  { 549, 20, 1, 9, 994 },
-  { 715, 23, 1, 9, 994 },
-  { 1282, 26, 1, 9, 994 },
-  { 1416, 29, 1, 9, 994 },
-  { 1546, 32, 1, 9, 994 },
-  { 1676, 35, 1, 9, 994 },
-  { 1801, 38, 1, 9, 994 },
-  { 1939, 41, 1, 9, 994 },
-  { 14, 44, 1, 9, 994 },
-  { 227, 47, 1, 9, 994 },
-  { 440, 50, 1, 9, 994 },
-  { 606, 53, 1, 9, 994 },
-  { 764, 56, 1, 9, 994 },
-  { 1327, 59, 1, 9, 994 },
-  { 92, 1, 150, 1, 2401 },
-  { 305, 1, 148, 1, 2401 },
-  { 518, 1, 146, 1, 2401 },
-  { 684, 1, 144, 1, 2401 },
-  { 167, 1, 161, 1, 3985 },
-  { 380, 1, 165, 1, 3985 },
-  { 552, 1, 165, 1, 3985 },
-  { 718, 1, 169, 1, 3985 },
-  { 1285, 1, 169, 1, 3985 },
-  { 1419, 1, 173, 1, 3985 },
-  { 1549, 1, 173, 1, 3985 },
-  { 1679, 1, 177, 1, 3985 },
-  { 1804, 1, 177, 1, 3985 },
-  { 1942, 1, 181, 1, 3985 },
-  { 18, 1, 181, 1, 3985 },
-  { 231, 1, 185, 1, 3985 },
-  { 444, 1, 185, 1, 3985 },
-  { 610, 1, 189, 1, 3985 },
-  { 768, 1, 189, 1, 3985 },
-  { 1331, 1, 193, 1, 3985 },
-  { 1461, 1, 193, 1, 3985 },
-  { 1591, 1, 197, 1, 3985 },
-  { 1721, 1, 197, 1, 3985 },
-  { 1843, 1, 201, 1, 3985 },
-  { 59, 1, 201, 1, 3985 },
-  { 272, 1, 205, 1, 3985 },
-  { 485, 1, 205, 1, 3985 },
-  { 651, 1, 209, 1, 3985 },
-  { 809, 1, 209, 1, 3985 },
-  { 1372, 1, 213, 1, 3985 },
-  { 1502, 1, 213, 1, 3985 },
-  { 1632, 1, 217, 1, 3985 },
-  { 1762, 1, 217, 1, 3985 },
-  { 1900, 1, 221, 1, 3985 },
-  { 119, 1, 221, 1, 3985 },
-  { 332, 1, 225, 1, 3985 },
-  { 159, 1, 1, 1, 3985 },
-  { 372, 1, 1, 1, 3985 },
-  { 544, 1, 1, 1, 3985 },
-  { 710, 1, 1, 1, 3985 },
-  { 1277, 1, 1, 1, 3985 },
-  { 1411, 1, 1, 1, 3985 },
-  { 1541, 1, 1, 1, 3985 },
-  { 1671, 1, 1, 1, 3985 },
-  { 191, 1, 1, 1, 3985 },
-  { 404, 1, 1, 1, 3985 },
-  { 573, 1, 1, 1, 3985 },
-  { 731, 1, 1, 1, 3985 },
-  { 1294, 1, 1, 1, 3985 },
-  { 1428, 1, 1, 1, 3985 },
-  { 1558, 1, 1, 1, 3985 },
-  { 1688, 1, 1, 1, 3985 },
-  { 1813, 1, 1, 1, 3985 },
-  { 1951, 1, 1, 1, 3985 },
-  { 29, 1, 1, 1, 3985 },
-  { 242, 1, 1, 1, 3985 },
-  { 455, 1, 1, 1, 3985 },
-  { 621, 1, 1, 1, 3985 },
-  { 779, 1, 1, 1, 3985 },
-  { 1342, 1, 1, 1, 3985 },
-  { 1472, 1, 1, 1, 3985 },
-  { 1602, 1, 1, 1, 3985 },
-  { 1732, 1, 1, 1, 3985 },
-  { 1854, 1, 1, 1, 3985 },
-  { 76, 1, 1, 1, 3985 },
-  { 289, 1, 1, 1, 3985 },
-  { 502, 1, 1, 1, 3985 },
-  { 668, 1, 1, 1, 3985 },
-  { 826, 1, 1, 1, 3985 },
-  { 1389, 1, 1, 1, 3985 },
-  { 1519, 1, 1, 1, 3985 },
-  { 1649, 1, 1, 1, 3985 },
-  { 1779, 1, 1, 1, 3985 },
-  { 1917, 1, 1, 1, 3985 },
-  { 136, 1, 1, 1, 3985 },
-  { 349, 1, 1, 1, 3985 },
-  { 1253, 136, 1, 0, 1184 },
-  { 170, 1, 158, 1, 3953 },
-  { 383, 1, 158, 1, 3953 },
-  { 555, 1, 158, 1, 3953 },
-  { 721, 1, 158, 1, 3953 },
-  { 1288, 1, 158, 1, 3953 },
-  { 1422, 1, 158, 1, 3953 },
-  { 1552, 1, 158, 1, 3953 },
-  { 1682, 1, 158, 1, 3953 },
-  { 1807, 1, 158, 1, 3953 },
-  { 1945, 1, 158, 1, 3953 },
-  { 22, 1, 158, 1, 3953 },
-  { 235, 1, 158, 1, 3953 },
-  { 448, 1, 158, 1, 3953 },
-  { 614, 1, 158, 1, 3953 },
-  { 772, 1, 158, 1, 3953 },
-  { 1335, 1, 158, 1, 3953 },
-  { 1465, 1, 158, 1, 3953 },
-  { 1595, 1, 158, 1, 3953 },
-  { 1725, 1, 158, 1, 3953 },
-  { 1847, 1, 158, 1, 3953 },
-  { 63, 1, 158, 1, 3953 },
-  { 276, 1, 158, 1, 3953 },
-  { 489, 1, 158, 1, 3953 },
-  { 655, 1, 158, 1, 3953 },
-  { 813, 1, 158, 1, 3953 },
-  { 1376, 1, 158, 1, 3953 },
-  { 1506, 1, 158, 1, 3953 },
-  { 1636, 1, 158, 1, 3953 },
-  { 1766, 1, 158, 1, 3953 },
-  { 1904, 1, 158, 1, 3953 },
-  { 123, 1, 158, 1, 3953 },
-  { 336, 1, 158, 1, 3953 },
-  { 1259, 128, 1, 0, 1216 },
-  { 172, 1, 233, 1, 1826 },
-  { 385, 1, 134, 1, 1826 },
-  { 557, 1, 134, 1, 1826 },
-  { 723, 1, 134, 1, 1826 },
-  { 196, 1, 1, 1, 3921 },
-  { 409, 1, 1, 1, 3921 },
-  { 578, 1, 1, 1, 3921 },
-  { 736, 1, 1, 1, 3921 },
-  { 1299, 1, 1, 1, 3921 },
-  { 1433, 1, 1, 1, 3921 },
-  { 1563, 1, 1, 1, 3921 },
-  { 1693, 1, 1, 1, 3921 },
-  { 1818, 1, 1, 1, 3921 },
-  { 1956, 1, 1, 1, 3921 },
-  { 35, 1, 1, 1, 3921 },
-  { 248, 1, 1, 1, 3921 },
-  { 461, 1, 1, 1, 3921 },
-  { 627, 1, 1, 1, 3921 },
-  { 785, 1, 1, 1, 3921 },
-  { 1348, 1, 1, 1, 3921 },
-  { 1478, 1, 1, 1, 3921 },
-  { 1608, 1, 1, 1, 3921 },
-  { 1738, 1, 1, 1, 3921 },
-  { 1860, 1, 1, 1, 3921 },
-  { 82, 1, 1, 1, 3921 },
-  { 295, 1, 1, 1, 3921 },
-  { 508, 1, 1, 1, 3921 },
-  { 674, 1, 1, 1, 3921 },
-  { 832, 1, 1, 1, 3921 },
-  { 1395, 1, 1, 1, 3921 },
-  { 1525, 1, 1, 1, 3921 },
-  { 1655, 1, 1, 1, 3921 },
-  { 1785, 1, 1, 1, 3921 },
-  { 1923, 1, 1, 1, 3921 },
-  { 142, 1, 1, 1, 3921 },
-  { 355, 1, 1, 1, 3921 },
-  { 176, 1, 100, 1, 3921 },
-  { 389, 1, 100, 1, 3921 },
-  { 184, 1, 229, 1, 1794 },
-  { 397, 1, 126, 1, 1794 },
-  { 566, 1, 126, 1, 1794 },
-  { 727, 1, 126, 1, 1794 },
-  { 179, 1, 1, 1, 3889 },
-  { 392, 1, 1, 1, 3889 },
-  { 561, 1, 1, 1, 3889 },
-  { 188, 1, 1, 1, 3889 },
-  { 401, 1, 1, 1, 3889 },
-  { 570, 1, 1, 1, 3889 },
-  { 1239, 124, 1, 0, 1248 },
-  { 201, 1, 98, 1, 3857 },
-  { 414, 1, 98, 1, 3857 },
-  { 583, 1, 98, 1, 3857 },
-  { 741, 1, 98, 1, 3857 },
-  { 1304, 1, 98, 1, 3857 },
-  { 1438, 1, 98, 1, 3857 },
-  { 1568, 1, 98, 1, 3857 },
-  { 1698, 1, 98, 1, 3857 },
-  { 1265, 122, 1, 0, 1280 },
-  { 204, 1, 96, 1, 3825 },
-  { 417, 1, 96, 1, 3825 },
-  { 586, 1, 96, 1, 3825 },
-  { 744, 1, 96, 1, 3825 },
-  { 1307, 1, 96, 1, 3825 },
-  { 1441, 1, 96, 1, 3825 },
-  { 1571, 1, 96, 1, 3825 },
-  { 1701, 1, 96, 1, 3825 },
-  { 1823, 1, 96, 1, 3825 },
-  { 1961, 1, 96, 1, 3825 },
-  { 207, 1, 96, 1, 3825 },
-  { 420, 1, 96, 1, 3825 },
-  { 210, 92, 1, 8, 1425 },
-  { 423, 92, 1, 8, 1425 },
-  { 589, 92, 1, 8, 1425 },
-  { 747, 92, 1, 8, 1425 },
-  { 1310, 92, 1, 8, 1425 },
-  { 1444, 92, 1, 8, 1425 },
-  { 1574, 92, 1, 8, 1425 },
-  { 1704, 92, 1, 8, 1425 },
-  { 1826, 92, 1, 8, 1425 },
-  { 1964, 92, 1, 8, 1425 },
-  { 41, 92, 1, 8, 1425 },
-  { 254, 92, 1, 8, 1425 },
-  { 467, 92, 1, 8, 1425 },
-  { 633, 92, 1, 8, 1425 },
-  { 791, 92, 1, 8, 1425 },
-  { 1354, 92, 1, 8, 1425 },
-  { 1484, 92, 1, 8, 1425 },
-  { 1614, 92, 1, 8, 1425 },
-  { 1744, 92, 1, 8, 1425 },
-  { 1866, 92, 1, 8, 1425 },
-  { 88, 92, 1, 8, 1425 },
-  { 301, 92, 1, 8, 1425 },
-  { 514, 92, 1, 8, 1425 },
-  { 680, 92, 1, 8, 1425 },
-  { 838, 92, 1, 8, 1425 },
-  { 1401, 92, 1, 8, 1425 },
-  { 1531, 92, 1, 8, 1425 },
-  { 1661, 92, 1, 8, 1425 },
-  { 1791, 92, 1, 8, 1425 },
-  { 1929, 92, 1, 8, 1425 },
-  { 148, 92, 1, 8, 1425 },
-  { 361, 92, 1, 8, 1425 },
-  { 1245, 118, 1, 0, 1921 },
-  { 869, 118, 1, 0, 1921 },
-  { 947, 118, 1, 0, 1921 },
-  { 997, 118, 1, 0, 1921 },
-  { 1035, 118, 1, 0, 1921 },
-  { 875, 130, 1, 12, 656 },
-  { 882, 93, 159, 9, 1377 },
-  { 953, 93, 159, 9, 1377 },
-  { 1003, 93, 159, 9, 1377 },
-  { 1041, 93, 159, 9, 1377 },
-  { 1073, 93, 159, 9, 1377 },
-  { 1105, 93, 159, 9, 1377 },
-  { 1137, 93, 159, 9, 1377 },
-  { 1169, 93, 159, 9, 1377 },
-  { 1201, 93, 159, 9, 1377 },
-  { 1227, 93, 159, 9, 1377 },
-  { 848, 93, 159, 9, 1377 },
-  { 926, 93, 159, 9, 1377 },
-  { 983, 93, 159, 9, 1377 },
-  { 1021, 93, 159, 9, 1377 },
-  { 1059, 93, 159, 9, 1377 },
-  { 1091, 93, 159, 9, 1377 },
-  { 1123, 93, 159, 9, 1377 },
-  { 1155, 93, 159, 9, 1377 },
-  { 1187, 93, 159, 9, 1377 },
-  { 1213, 93, 159, 9, 1377 },
-  { 855, 93, 159, 9, 1377 },
-  { 933, 93, 159, 9, 1377 },
-  { 990, 93, 159, 9, 1377 },
-  { 1028, 93, 159, 9, 1377 },
-  { 1066, 93, 159, 9, 1377 },
-  { 1098, 93, 159, 9, 1377 },
-  { 1130, 93, 159, 9, 1377 },
-  { 1162, 93, 159, 9, 1377 },
-  { 1194, 93, 159, 9, 1377 },
-  { 1220, 93, 159, 9, 1377 },
-  { 862, 93, 159, 9, 1377 },
-  { 940, 93, 159, 9, 1377 },
-  { 1870, 1, 116, 1, 1120 },
-  { 888, 138, 235, 0, 1344 },
-  { 895, 152, 1, 0, 2241 },
-  { 959, 152, 1, 0, 2241 },
-  { 901, 152, 231, 0, 1312 },
-  { 908, 154, 1, 0, 2273 },
-  { 965, 154, 1, 0, 2273 },
-  { 1009, 154, 1, 0, 2273 },
-  { 1047, 154, 1, 0, 2273 },
-  { 1079, 154, 1, 0, 2273 },
-  { 1111, 154, 1, 0, 2273 },
-  { 1143, 154, 1, 0, 2273 },
-  { 1175, 154, 1, 0, 2273 },
-  { 914, 156, 1, 0, 2273 },
-  { 971, 156, 1, 0, 2273 },
-  { 1015, 156, 1, 0, 2273 },
-  { 1053, 156, 1, 0, 2273 },
-  { 1085, 156, 1, 0, 2273 },
-  { 1117, 156, 1, 0, 2273 },
-  { 1149, 156, 1, 0, 2273 },
-  { 1181, 156, 1, 0, 2273 },
-  { 1207, 156, 1, 0, 2273 },
-  { 1233, 156, 1, 0, 2273 },
-  { 920, 156, 1, 0, 2273 },
-  { 977, 156, 1, 0, 2273 },
+static MCRegisterDesc MipsRegDesc[] = { // Descriptors
+  { 6, 0, 0, 0, 0, 0 },
+  { 2007, 1, 82, 1, 4017, 0 },
+  { 2010, 1, 1, 1, 4017, 0 },
+  { 2102, 1, 1, 1, 4017, 0 },
+  { 1973, 1, 1, 1, 4017, 0 },
+  { 2027, 8, 1, 2, 32, 4 },
+  { 2054, 1, 1, 1, 1089, 0 },
+  { 2071, 1, 1, 1, 1089, 0 },
+  { 1985, 1, 102, 1, 1089, 0 },
+  { 1988, 1, 104, 1, 1089, 0 },
+  { 2061, 1, 1, 1, 1089, 0 },
+  { 2000, 1, 1, 1, 1089, 0 },
+  { 1994, 1, 1, 1, 1089, 0 },
+  { 2038, 1, 1, 1, 1089, 0 },
+  { 2092, 1, 1, 1, 1089, 0 },
+  { 2081, 1, 1, 1, 1089, 0 },
+  { 2019, 1, 1, 1, 1089, 0 },
+  { 2045, 1, 1, 1, 1089, 0 },
+  { 1970, 1, 1, 1, 1089, 0 },
+  { 1967, 1, 106, 1, 1089, 0 },
+  { 1991, 1, 108, 1, 1089, 0 },
+  { 1980, 1, 110, 1, 1089, 0 },
+  { 152, 1, 110, 1, 1089, 0 },
+  { 365, 1, 110, 1, 1089, 0 },
+  { 537, 1, 110, 1, 1089, 0 },
+  { 703, 1, 110, 1, 1089, 0 },
+  { 155, 190, 110, 9, 1042, 10 },
+  { 368, 190, 1, 9, 1042, 10 },
+  { 540, 190, 1, 9, 1042, 10 },
+  { 706, 190, 1, 9, 1042, 10 },
+  { 1271, 237, 1, 0, 0, 2 },
+  { 160, 1, 1, 1, 1153, 0 },
+  { 373, 1, 1, 1, 1153, 0 },
+  { 545, 1, 1, 1, 1153, 0 },
+  { 711, 1, 1, 1, 1153, 0 },
+  { 1278, 1, 1, 1, 1153, 0 },
+  { 1412, 1, 1, 1, 1153, 0 },
+  { 1542, 1, 1, 1, 1153, 0 },
+  { 1672, 1, 1, 1, 1153, 0 },
+  { 70, 1, 1, 1, 1153, 0 },
+  { 283, 1, 1, 1, 1153, 0 },
+  { 496, 1, 1, 1, 1153, 0 },
+  { 662, 1, 1, 1, 1153, 0 },
+  { 820, 1, 1, 1, 1153, 0 },
+  { 1383, 1, 1, 1, 1153, 0 },
+  { 1513, 1, 1, 1, 1153, 0 },
+  { 1643, 1, 1, 1, 1153, 0 },
+  { 1773, 1, 1, 1, 1153, 0 },
+  { 1911, 1, 1, 1, 1153, 0 },
+  { 130, 1, 1, 1, 1153, 0 },
+  { 343, 1, 1, 1, 1153, 0 },
+  { 531, 1, 1, 1, 1153, 0 },
+  { 697, 1, 1, 1, 1153, 0 },
+  { 842, 1, 1, 1, 1153, 0 },
+  { 1405, 1, 1, 1, 1153, 0 },
+  { 1535, 1, 1, 1, 1153, 0 },
+  { 1665, 1, 1, 1, 1153, 0 },
+  { 1795, 1, 1, 1, 1153, 0 },
+  { 1933, 1, 1, 1, 1153, 0 },
+  { 0, 1, 1, 1, 1153, 0 },
+  { 213, 1, 1, 1, 1153, 0 },
+  { 426, 1, 1, 1, 1153, 0 },
+  { 592, 1, 1, 1, 1153, 0 },
+  { 750, 1, 1, 1, 1153, 0 },
+  { 1313, 1, 1, 1, 1153, 0 },
+  { 1447, 1, 1, 1, 1153, 0 },
+  { 1577, 1, 1, 1, 1153, 0 },
+  { 1707, 1, 1, 1, 1153, 0 },
+  { 1829, 1, 1, 1, 1153, 0 },
+  { 45, 1, 1, 1, 1153, 0 },
+  { 258, 1, 1, 1, 1153, 0 },
+  { 471, 1, 1, 1, 1153, 0 },
+  { 637, 1, 1, 1, 1153, 0 },
+  { 795, 1, 1, 1, 1153, 0 },
+  { 1358, 1, 1, 1, 1153, 0 },
+  { 1488, 1, 1, 1, 1153, 0 },
+  { 1618, 1, 1, 1, 1153, 0 },
+  { 1748, 1, 1, 1, 1153, 0 },
+  { 1886, 1, 1, 1, 1153, 0 },
+  { 105, 1, 1, 1, 1153, 0 },
+  { 318, 1, 1, 1, 1153, 0 },
+  { 7, 1, 1, 1, 1153, 0 },
+  { 220, 1, 1, 1, 1153, 0 },
+  { 433, 1, 1, 1, 1153, 0 },
+  { 599, 1, 1, 1, 1153, 0 },
+  { 757, 1, 1, 1, 1153, 0 },
+  { 1320, 1, 1, 1, 1153, 0 },
+  { 1454, 1, 1, 1, 1153, 0 },
+  { 1584, 1, 1, 1, 1153, 0 },
+  { 1714, 1, 1, 1, 1153, 0 },
+  { 1836, 1, 1, 1, 1153, 0 },
+  { 52, 1, 1, 1, 1153, 0 },
+  { 265, 1, 1, 1, 1153, 0 },
+  { 478, 1, 1, 1, 1153, 0 },
+  { 644, 1, 1, 1, 1153, 0 },
+  { 802, 1, 1, 1, 1153, 0 },
+  { 1365, 1, 1, 1, 1153, 0 },
+  { 1495, 1, 1, 1, 1153, 0 },
+  { 1625, 1, 1, 1, 1153, 0 },
+  { 1755, 1, 1, 1, 1153, 0 },
+  { 1893, 1, 1, 1, 1153, 0 },
+  { 112, 1, 1, 1, 1153, 0 },
+  { 325, 1, 1, 1, 1153, 0 },
+  { 164, 14, 1, 9, 994, 10 },
+  { 377, 17, 1, 9, 994, 10 },
+  { 549, 20, 1, 9, 994, 10 },
+  { 715, 23, 1, 9, 994, 10 },
+  { 1282, 26, 1, 9, 994, 10 },
+  { 1416, 29, 1, 9, 994, 10 },
+  { 1546, 32, 1, 9, 994, 10 },
+  { 1676, 35, 1, 9, 994, 10 },
+  { 1801, 38, 1, 9, 994, 10 },
+  { 1939, 41, 1, 9, 994, 10 },
+  { 14, 44, 1, 9, 994, 10 },
+  { 227, 47, 1, 9, 994, 10 },
+  { 440, 50, 1, 9, 994, 10 },
+  { 606, 53, 1, 9, 994, 10 },
+  { 764, 56, 1, 9, 994, 10 },
+  { 1327, 59, 1, 9, 994, 10 },
+  { 92, 1, 150, 1, 2401, 0 },
+  { 305, 1, 148, 1, 2401, 0 },
+  { 518, 1, 146, 1, 2401, 0 },
+  { 684, 1, 144, 1, 2401, 0 },
+  { 167, 1, 161, 1, 3985, 0 },
+  { 380, 1, 165, 1, 3985, 0 },
+  { 552, 1, 165, 1, 3985, 0 },
+  { 718, 1, 169, 1, 3985, 0 },
+  { 1285, 1, 169, 1, 3985, 0 },
+  { 1419, 1, 173, 1, 3985, 0 },
+  { 1549, 1, 173, 1, 3985, 0 },
+  { 1679, 1, 177, 1, 3985, 0 },
+  { 1804, 1, 177, 1, 3985, 0 },
+  { 1942, 1, 181, 1, 3985, 0 },
+  { 18, 1, 181, 1, 3985, 0 },
+  { 231, 1, 185, 1, 3985, 0 },
+  { 444, 1, 185, 1, 3985, 0 },
+  { 610, 1, 189, 1, 3985, 0 },
+  { 768, 1, 189, 1, 3985, 0 },
+  { 1331, 1, 193, 1, 3985, 0 },
+  { 1461, 1, 193, 1, 3985, 0 },
+  { 1591, 1, 197, 1, 3985, 0 },
+  { 1721, 1, 197, 1, 3985, 0 },
+  { 1843, 1, 201, 1, 3985, 0 },
+  { 59, 1, 201, 1, 3985, 0 },
+  { 272, 1, 205, 1, 3985, 0 },
+  { 485, 1, 205, 1, 3985, 0 },
+  { 651, 1, 209, 1, 3985, 0 },
+  { 809, 1, 209, 1, 3985, 0 },
+  { 1372, 1, 213, 1, 3985, 0 },
+  { 1502, 1, 213, 1, 3985, 0 },
+  { 1632, 1, 217, 1, 3985, 0 },
+  { 1762, 1, 217, 1, 3985, 0 },
+  { 1900, 1, 221, 1, 3985, 0 },
+  { 119, 1, 221, 1, 3985, 0 },
+  { 332, 1, 225, 1, 3985, 0 },
+  { 159, 1, 1, 1, 3985, 0 },
+  { 372, 1, 1, 1, 3985, 0 },
+  { 544, 1, 1, 1, 3985, 0 },
+  { 710, 1, 1, 1, 3985, 0 },
+  { 1277, 1, 1, 1, 3985, 0 },
+  { 1411, 1, 1, 1, 3985, 0 },
+  { 1541, 1, 1, 1, 3985, 0 },
+  { 1671, 1, 1, 1, 3985, 0 },
+  { 191, 1, 1, 1, 3985, 0 },
+  { 404, 1, 1, 1, 3985, 0 },
+  { 573, 1, 1, 1, 3985, 0 },
+  { 731, 1, 1, 1, 3985, 0 },
+  { 1294, 1, 1, 1, 3985, 0 },
+  { 1428, 1, 1, 1, 3985, 0 },
+  { 1558, 1, 1, 1, 3985, 0 },
+  { 1688, 1, 1, 1, 3985, 0 },
+  { 1813, 1, 1, 1, 3985, 0 },
+  { 1951, 1, 1, 1, 3985, 0 },
+  { 29, 1, 1, 1, 3985, 0 },
+  { 242, 1, 1, 1, 3985, 0 },
+  { 455, 1, 1, 1, 3985, 0 },
+  { 621, 1, 1, 1, 3985, 0 },
+  { 779, 1, 1, 1, 3985, 0 },
+  { 1342, 1, 1, 1, 3985, 0 },
+  { 1472, 1, 1, 1, 3985, 0 },
+  { 1602, 1, 1, 1, 3985, 0 },
+  { 1732, 1, 1, 1, 3985, 0 },
+  { 1854, 1, 1, 1, 3985, 0 },
+  { 76, 1, 1, 1, 3985, 0 },
+  { 289, 1, 1, 1, 3985, 0 },
+  { 502, 1, 1, 1, 3985, 0 },
+  { 668, 1, 1, 1, 3985, 0 },
+  { 826, 1, 1, 1, 3985, 0 },
+  { 1389, 1, 1, 1, 3985, 0 },
+  { 1519, 1, 1, 1, 3985, 0 },
+  { 1649, 1, 1, 1, 3985, 0 },
+  { 1779, 1, 1, 1, 3985, 0 },
+  { 1917, 1, 1, 1, 3985, 0 },
+  { 136, 1, 1, 1, 3985, 0 },
+  { 349, 1, 1, 1, 3985, 0 },
+  { 1253, 136, 1, 0, 1184, 2 },
+  { 170, 1, 158, 1, 3953, 0 },
+  { 383, 1, 158, 1, 3953, 0 },
+  { 555, 1, 158, 1, 3953, 0 },
+  { 721, 1, 158, 1, 3953, 0 },
+  { 1288, 1, 158, 1, 3953, 0 },
+  { 1422, 1, 158, 1, 3953, 0 },
+  { 1552, 1, 158, 1, 3953, 0 },
+  { 1682, 1, 158, 1, 3953, 0 },
+  { 1807, 1, 158, 1, 3953, 0 },
+  { 1945, 1, 158, 1, 3953, 0 },
+  { 22, 1, 158, 1, 3953, 0 },
+  { 235, 1, 158, 1, 3953, 0 },
+  { 448, 1, 158, 1, 3953, 0 },
+  { 614, 1, 158, 1, 3953, 0 },
+  { 772, 1, 158, 1, 3953, 0 },
+  { 1335, 1, 158, 1, 3953, 0 },
+  { 1465, 1, 158, 1, 3953, 0 },
+  { 1595, 1, 158, 1, 3953, 0 },
+  { 1725, 1, 158, 1, 3953, 0 },
+  { 1847, 1, 158, 1, 3953, 0 },
+  { 63, 1, 158, 1, 3953, 0 },
+  { 276, 1, 158, 1, 3953, 0 },
+  { 489, 1, 158, 1, 3953, 0 },
+  { 655, 1, 158, 1, 3953, 0 },
+  { 813, 1, 158, 1, 3953, 0 },
+  { 1376, 1, 158, 1, 3953, 0 },
+  { 1506, 1, 158, 1, 3953, 0 },
+  { 1636, 1, 158, 1, 3953, 0 },
+  { 1766, 1, 158, 1, 3953, 0 },
+  { 1904, 1, 158, 1, 3953, 0 },
+  { 123, 1, 158, 1, 3953, 0 },
+  { 336, 1, 158, 1, 3953, 0 },
+  { 1259, 128, 1, 0, 1216, 2 },
+  { 172, 1, 233, 1, 1826, 0 },
+  { 385, 1, 134, 1, 1826, 0 },
+  { 557, 1, 134, 1, 1826, 0 },
+  { 723, 1, 134, 1, 1826, 0 },
+  { 196, 1, 1, 1, 3921, 0 },
+  { 409, 1, 1, 1, 3921, 0 },
+  { 578, 1, 1, 1, 3921, 0 },
+  { 736, 1, 1, 1, 3921, 0 },
+  { 1299, 1, 1, 1, 3921, 0 },
+  { 1433, 1, 1, 1, 3921, 0 },
+  { 1563, 1, 1, 1, 3921, 0 },
+  { 1693, 1, 1, 1, 3921, 0 },
+  { 1818, 1, 1, 1, 3921, 0 },
+  { 1956, 1, 1, 1, 3921, 0 },
+  { 35, 1, 1, 1, 3921, 0 },
+  { 248, 1, 1, 1, 3921, 0 },
+  { 461, 1, 1, 1, 3921, 0 },
+  { 627, 1, 1, 1, 3921, 0 },
+  { 785, 1, 1, 1, 3921, 0 },
+  { 1348, 1, 1, 1, 3921, 0 },
+  { 1478, 1, 1, 1, 3921, 0 },
+  { 1608, 1, 1, 1, 3921, 0 },
+  { 1738, 1, 1, 1, 3921, 0 },
+  { 1860, 1, 1, 1, 3921, 0 },
+  { 82, 1, 1, 1, 3921, 0 },
+  { 295, 1, 1, 1, 3921, 0 },
+  { 508, 1, 1, 1, 3921, 0 },
+  { 674, 1, 1, 1, 3921, 0 },
+  { 832, 1, 1, 1, 3921, 0 },
+  { 1395, 1, 1, 1, 3921, 0 },
+  { 1525, 1, 1, 1, 3921, 0 },
+  { 1655, 1, 1, 1, 3921, 0 },
+  { 1785, 1, 1, 1, 3921, 0 },
+  { 1923, 1, 1, 1, 3921, 0 },
+  { 142, 1, 1, 1, 3921, 0 },
+  { 355, 1, 1, 1, 3921, 0 },
+  { 176, 1, 100, 1, 3921, 0 },
+  { 389, 1, 100, 1, 3921, 0 },
+  { 184, 1, 229, 1, 1794, 0 },
+  { 397, 1, 126, 1, 1794, 0 },
+  { 566, 1, 126, 1, 1794, 0 },
+  { 727, 1, 126, 1, 1794, 0 },
+  { 179, 1, 1, 1, 3889, 0 },
+  { 392, 1, 1, 1, 3889, 0 },
+  { 561, 1, 1, 1, 3889, 0 },
+  { 188, 1, 1, 1, 3889, 0 },
+  { 401, 1, 1, 1, 3889, 0 },
+  { 570, 1, 1, 1, 3889, 0 },
+  { 1239, 124, 1, 0, 1248, 2 },
+  { 201, 1, 98, 1, 3857, 0 },
+  { 414, 1, 98, 1, 3857, 0 },
+  { 583, 1, 98, 1, 3857, 0 },
+  { 741, 1, 98, 1, 3857, 0 },
+  { 1304, 1, 98, 1, 3857, 0 },
+  { 1438, 1, 98, 1, 3857, 0 },
+  { 1568, 1, 98, 1, 3857, 0 },
+  { 1698, 1, 98, 1, 3857, 0 },
+  { 1265, 122, 1, 0, 1280, 2 },
+  { 204, 1, 96, 1, 3825, 0 },
+  { 417, 1, 96, 1, 3825, 0 },
+  { 586, 1, 96, 1, 3825, 0 },
+  { 744, 1, 96, 1, 3825, 0 },
+  { 1307, 1, 96, 1, 3825, 0 },
+  { 1441, 1, 96, 1, 3825, 0 },
+  { 1571, 1, 96, 1, 3825, 0 },
+  { 1701, 1, 96, 1, 3825, 0 },
+  { 1823, 1, 96, 1, 3825, 0 },
+  { 1961, 1, 96, 1, 3825, 0 },
+  { 207, 1, 96, 1, 3825, 0 },
+  { 420, 1, 96, 1, 3825, 0 },
+  { 210, 92, 1, 8, 1425, 10 },
+  { 423, 92, 1, 8, 1425, 10 },
+  { 589, 92, 1, 8, 1425, 10 },
+  { 747, 92, 1, 8, 1425, 10 },
+  { 1310, 92, 1, 8, 1425, 10 },
+  { 1444, 92, 1, 8, 1425, 10 },
+  { 1574, 92, 1, 8, 1425, 10 },
+  { 1704, 92, 1, 8, 1425, 10 },
+  { 1826, 92, 1, 8, 1425, 10 },
+  { 1964, 92, 1, 8, 1425, 10 },
+  { 41, 92, 1, 8, 1425, 10 },
+  { 254, 92, 1, 8, 1425, 10 },
+  { 467, 92, 1, 8, 1425, 10 },
+  { 633, 92, 1, 8, 1425, 10 },
+  { 791, 92, 1, 8, 1425, 10 },
+  { 1354, 92, 1, 8, 1425, 10 },
+  { 1484, 92, 1, 8, 1425, 10 },
+  { 1614, 92, 1, 8, 1425, 10 },
+  { 1744, 92, 1, 8, 1425, 10 },
+  { 1866, 92, 1, 8, 1425, 10 },
+  { 88, 92, 1, 8, 1425, 10 },
+  { 301, 92, 1, 8, 1425, 10 },
+  { 514, 92, 1, 8, 1425, 10 },
+  { 680, 92, 1, 8, 1425, 10 },
+  { 838, 92, 1, 8, 1425, 10 },
+  { 1401, 92, 1, 8, 1425, 10 },
+  { 1531, 92, 1, 8, 1425, 10 },
+  { 1661, 92, 1, 8, 1425, 10 },
+  { 1791, 92, 1, 8, 1425, 10 },
+  { 1929, 92, 1, 8, 1425, 10 },
+  { 148, 92, 1, 8, 1425, 10 },
+  { 361, 92, 1, 8, 1425, 10 },
+  { 1245, 118, 1, 0, 1921, 2 },
+  { 869, 118, 1, 0, 1921, 2 },
+  { 947, 118, 1, 0, 1921, 2 },
+  { 997, 118, 1, 0, 1921, 2 },
+  { 1035, 118, 1, 0, 1921, 2 },
+  { 875, 130, 1, 12, 656, 10 },
+  { 882, 93, 159, 9, 1377, 10 },
+  { 953, 93, 159, 9, 1377, 10 },
+  { 1003, 93, 159, 9, 1377, 10 },
+  { 1041, 93, 159, 9, 1377, 10 },
+  { 1073, 93, 159, 9, 1377, 10 },
+  { 1105, 93, 159, 9, 1377, 10 },
+  { 1137, 93, 159, 9, 1377, 10 },
+  { 1169, 93, 159, 9, 1377, 10 },
+  { 1201, 93, 159, 9, 1377, 10 },
+  { 1227, 93, 159, 9, 1377, 10 },
+  { 848, 93, 159, 9, 1377, 10 },
+  { 926, 93, 159, 9, 1377, 10 },
+  { 983, 93, 159, 9, 1377, 10 },
+  { 1021, 93, 159, 9, 1377, 10 },
+  { 1059, 93, 159, 9, 1377, 10 },
+  { 1091, 93, 159, 9, 1377, 10 },
+  { 1123, 93, 159, 9, 1377, 10 },
+  { 1155, 93, 159, 9, 1377, 10 },
+  { 1187, 93, 159, 9, 1377, 10 },
+  { 1213, 93, 159, 9, 1377, 10 },
+  { 855, 93, 159, 9, 1377, 10 },
+  { 933, 93, 159, 9, 1377, 10 },
+  { 990, 93, 159, 9, 1377, 10 },
+  { 1028, 93, 159, 9, 1377, 10 },
+  { 1066, 93, 159, 9, 1377, 10 },
+  { 1098, 93, 159, 9, 1377, 10 },
+  { 1130, 93, 159, 9, 1377, 10 },
+  { 1162, 93, 159, 9, 1377, 10 },
+  { 1194, 93, 159, 9, 1377, 10 },
+  { 1220, 93, 159, 9, 1377, 10 },
+  { 862, 93, 159, 9, 1377, 10 },
+  { 940, 93, 159, 9, 1377, 10 },
+  { 1870, 1, 116, 1, 1120, 0 },
+  { 888, 138, 235, 0, 1344, 2 },
+  { 895, 152, 1, 0, 2241, 2 },
+  { 959, 152, 1, 0, 2241, 2 },
+  { 901, 152, 231, 0, 1312, 2 },
+  { 908, 154, 1, 0, 2273, 2 },
+  { 965, 154, 1, 0, 2273, 2 },
+  { 1009, 154, 1, 0, 2273, 2 },
+  { 1047, 154, 1, 0, 2273, 2 },
+  { 1079, 154, 1, 0, 2273, 2 },
+  { 1111, 154, 1, 0, 2273, 2 },
+  { 1143, 154, 1, 0, 2273, 2 },
+  { 1175, 154, 1, 0, 2273, 2 },
+  { 914, 156, 1, 0, 2273, 2 },
+  { 971, 156, 1, 0, 2273, 2 },
+  { 1015, 156, 1, 0, 2273, 2 },
+  { 1053, 156, 1, 0, 2273, 2 },
+  { 1085, 156, 1, 0, 2273, 2 },
+  { 1117, 156, 1, 0, 2273, 2 },
+  { 1149, 156, 1, 0, 2273, 2 },
+  { 1181, 156, 1, 0, 2273, 2 },
+  { 1207, 156, 1, 0, 2273, 2 },
+  { 1233, 156, 1, 0, 2273, 2 },
+  { 920, 156, 1, 0, 2273, 2 },
+  { 977, 156, 1, 0, 2273, 2 },
 };
 
-  static const MCPhysReg OddSP[] = {
+  // OddSP Register Class...
+  static MCPhysReg OddSP[] = {
     Mips_F1, Mips_F3, Mips_F5, Mips_F7, Mips_F9, Mips_F11, Mips_F13, Mips_F15, Mips_F17, Mips_F19, Mips_F21, Mips_F23, Mips_F25, Mips_F27, Mips_F29, Mips_F31, Mips_F_HI1, Mips_F_HI3, Mips_F_HI5, Mips_F_HI7, Mips_F_HI9, Mips_F_HI11, Mips_F_HI13, Mips_F_HI15, Mips_F_HI17, Mips_F_HI19, Mips_F_HI21, Mips_F_HI23, Mips_F_HI25, Mips_F_HI27, Mips_F_HI29, Mips_F_HI31, Mips_D1, Mips_D3, Mips_D5, Mips_D7, Mips_D9, Mips_D11, Mips_D13, Mips_D15, Mips_D1_64, Mips_D3_64, Mips_D5_64, Mips_D7_64, Mips_D9_64, Mips_D11_64, Mips_D13_64, Mips_D15_64, Mips_D17_64, Mips_D19_64, Mips_D21_64, Mips_D23_64, Mips_D25_64, Mips_D27_64, Mips_D29_64, Mips_D31_64, 
   };
 
   // OddSP Bit set.
-  static const uint8_t OddSPBits[] = {
+  static uint8_t OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x55, 0x50, 0x55, 0x55, 0x55, 0x05, 0x00, 0x00, 0x00, 0x00, 0xa0, 0xaa, 0xaa, 0xaa, 0x0a, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0x01, 
   };
 
   // CCR Register Class...
-  static const MCPhysReg CCR[] = {
+  static MCPhysReg CCR[] = {
     Mips_FCR0, Mips_FCR1, Mips_FCR2, Mips_FCR3, Mips_FCR4, Mips_FCR5, Mips_FCR6, Mips_FCR7, Mips_FCR8, Mips_FCR9, Mips_FCR10, Mips_FCR11, Mips_FCR12, Mips_FCR13, Mips_FCR14, Mips_FCR15, Mips_FCR16, Mips_FCR17, Mips_FCR18, Mips_FCR19, Mips_FCR20, Mips_FCR21, Mips_FCR22, Mips_FCR23, Mips_FCR24, Mips_FCR25, Mips_FCR26, Mips_FCR27, Mips_FCR28, Mips_FCR29, Mips_FCR30, Mips_FCR31, 
   };
 
   // CCR Bit set.
-  static const uint8_t CCRBits[] = {
+  static uint8_t CCRBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // COP2 Register Class...
-  static const MCPhysReg COP2[] = {
+  static MCPhysReg COP2[] = {
     Mips_COP20, Mips_COP21, Mips_COP22, Mips_COP23, Mips_COP24, Mips_COP25, Mips_COP26, Mips_COP27, Mips_COP28, Mips_COP29, Mips_COP210, Mips_COP211, Mips_COP212, Mips_COP213, Mips_COP214, Mips_COP215, Mips_COP216, Mips_COP217, Mips_COP218, Mips_COP219, Mips_COP220, Mips_COP221, Mips_COP222, Mips_COP223, Mips_COP224, Mips_COP225, Mips_COP226, Mips_COP227, Mips_COP228, Mips_COP229, Mips_COP230, Mips_COP231, 
   };
 
   // COP2 Bit set.
-  static const uint8_t COP2Bits[] = {
+  static uint8_t COP2Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0x01, 0xf8, 0xff, 0xff, 0x01, 
   };
 
   // COP3 Register Class...
-  static const MCPhysReg COP3[] = {
+  static MCPhysReg COP3[] = {
     Mips_COP30, Mips_COP31, Mips_COP32, Mips_COP33, Mips_COP34, Mips_COP35, Mips_COP36, Mips_COP37, Mips_COP38, Mips_COP39, Mips_COP310, Mips_COP311, Mips_COP312, Mips_COP313, Mips_COP314, Mips_COP315, Mips_COP316, Mips_COP317, Mips_COP318, Mips_COP319, Mips_COP320, Mips_COP321, Mips_COP322, Mips_COP323, Mips_COP324, Mips_COP325, Mips_COP326, Mips_COP327, Mips_COP328, Mips_COP329, Mips_COP330, Mips_COP331, 
   };
 
   // COP3 Bit set.
-  static const uint8_t COP3Bits[] = {
+  static uint8_t COP3Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0x07, 0x00, 0x00, 0xfe, 0xff, 0x7f, 
   };
 
   // DSPR Register Class...
-  static const MCPhysReg DSPR[] = {
+  static MCPhysReg DSPR[] = {
     Mips_ZERO, Mips_AT, Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, Mips_T0, Mips_T1, Mips_T2, Mips_T3, Mips_T4, Mips_T5, Mips_T6, Mips_T7, Mips_S0, Mips_S1, Mips_S2, Mips_S3, Mips_S4, Mips_S5, Mips_S6, Mips_S7, Mips_T8, Mips_T9, Mips_K0, Mips_K1, Mips_GP, Mips_SP, Mips_FP, Mips_RA, 
   };
 
   // DSPR Bit set.
-  static const uint8_t DSPRBits[] = {
+  static uint8_t DSPRBits[] = {
     0x02, 0x03, 0xf8, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xc0, 0xbf, 0xff, 0x07, 
   };
 
   // FGR32 Register Class...
-  static const MCPhysReg FGR32[] = {
+  static MCPhysReg FGR32[] = {
     Mips_F0, Mips_F1, Mips_F2, Mips_F3, Mips_F4, Mips_F5, Mips_F6, Mips_F7, Mips_F8, Mips_F9, Mips_F10, Mips_F11, Mips_F12, Mips_F13, Mips_F14, Mips_F15, Mips_F16, Mips_F17, Mips_F18, Mips_F19, Mips_F20, Mips_F21, Mips_F22, Mips_F23, Mips_F24, Mips_F25, Mips_F26, Mips_F27, Mips_F28, Mips_F29, Mips_F30, Mips_F31, 
   };
 
   // FGR32 Bit set.
-  static const uint8_t FGR32Bits[] = {
+  static uint8_t FGR32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // FGRCC Register Class...
-  static const MCPhysReg FGRCC[] = {
+  static MCPhysReg FGRCC[] = {
     Mips_F0, Mips_F1, Mips_F2, Mips_F3, Mips_F4, Mips_F5, Mips_F6, Mips_F7, Mips_F8, Mips_F9, Mips_F10, Mips_F11, Mips_F12, Mips_F13, Mips_F14, Mips_F15, Mips_F16, Mips_F17, Mips_F18, Mips_F19, Mips_F20, Mips_F21, Mips_F22, Mips_F23, Mips_F24, Mips_F25, Mips_F26, Mips_F27, Mips_F28, Mips_F29, Mips_F30, Mips_F31, 
   };
 
   // FGRCC Bit set.
-  static const uint8_t FGRCCBits[] = {
+  static uint8_t FGRCCBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // FGRH32 Register Class...
-  static const MCPhysReg FGRH32[] = {
+  static MCPhysReg FGRH32[] = {
     Mips_F_HI0, Mips_F_HI1, Mips_F_HI2, Mips_F_HI3, Mips_F_HI4, Mips_F_HI5, Mips_F_HI6, Mips_F_HI7, Mips_F_HI8, Mips_F_HI9, Mips_F_HI10, Mips_F_HI11, Mips_F_HI12, Mips_F_HI13, Mips_F_HI14, Mips_F_HI15, Mips_F_HI16, Mips_F_HI17, Mips_F_HI18, Mips_F_HI19, Mips_F_HI20, Mips_F_HI21, Mips_F_HI22, Mips_F_HI23, Mips_F_HI24, Mips_F_HI25, Mips_F_HI26, Mips_F_HI27, Mips_F_HI28, Mips_F_HI29, Mips_F_HI30, Mips_F_HI31, 
   };
 
   // FGRH32 Bit set.
-  static const uint8_t FGRH32Bits[] = {
+  static uint8_t FGRH32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0x0f, 
   };
 
   // GPR32 Register Class...
-  static const MCPhysReg GPR32[] = {
+  static MCPhysReg GPR32[] = {
     Mips_ZERO, Mips_AT, Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, Mips_T0, Mips_T1, Mips_T2, Mips_T3, Mips_T4, Mips_T5, Mips_T6, Mips_T7, Mips_S0, Mips_S1, Mips_S2, Mips_S3, Mips_S4, Mips_S5, Mips_S6, Mips_S7, Mips_T8, Mips_T9, Mips_K0, Mips_K1, Mips_GP, Mips_SP, Mips_FP, Mips_RA, 
   };
 
   // GPR32 Bit set.
-  static const uint8_t GPR32Bits[] = {
+  static uint8_t GPR32Bits[] = {
     0x02, 0x03, 0xf8, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xc0, 0xbf, 0xff, 0x07, 
   };
 
   // HWRegs Register Class...
-  static const MCPhysReg HWRegs[] = {
+  static MCPhysReg HWRegs[] = {
     Mips_HWR0, Mips_HWR1, Mips_HWR2, Mips_HWR3, Mips_HWR4, Mips_HWR5, Mips_HWR6, Mips_HWR7, Mips_HWR8, Mips_HWR9, Mips_HWR10, Mips_HWR11, Mips_HWR12, Mips_HWR13, Mips_HWR14, Mips_HWR15, Mips_HWR16, Mips_HWR17, Mips_HWR18, Mips_HWR19, Mips_HWR20, Mips_HWR21, Mips_HWR22, Mips_HWR23, Mips_HWR24, Mips_HWR25, Mips_HWR26, Mips_HWR27, Mips_HWR28, Mips_HWR29, Mips_HWR30, Mips_HWR31, 
   };
 
   // HWRegs Bit set.
-  static const uint8_t HWRegsBits[] = {
+  static uint8_t HWRegsBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xff, 0x01, 
   };
 
   // OddSP_with_sub_hi Register Class...
-  static const MCPhysReg OddSP_with_sub_hi[] = {
+  static MCPhysReg OddSP_with_sub_hi[] = {
     Mips_D1, Mips_D3, Mips_D5, Mips_D7, Mips_D9, Mips_D11, Mips_D13, Mips_D15, Mips_D1_64, Mips_D3_64, Mips_D5_64, Mips_D7_64, Mips_D9_64, Mips_D11_64, Mips_D13_64, Mips_D15_64, Mips_D17_64, Mips_D19_64, Mips_D21_64, Mips_D23_64, Mips_D25_64, Mips_D27_64, Mips_D29_64, Mips_D31_64, 
   };
 
   // OddSP_with_sub_hi Bit set.
-  static const uint8_t OddSP_with_sub_hiBits[] = {
+  static uint8_t OddSP_with_sub_hiBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0x01, 
   };
 
   // FGR32_and_OddSP Register Class...
-  static const MCPhysReg FGR32_and_OddSP[] = {
+  static MCPhysReg FGR32_and_OddSP[] = {
     Mips_F1, Mips_F3, Mips_F5, Mips_F7, Mips_F9, Mips_F11, Mips_F13, Mips_F15, Mips_F17, Mips_F19, Mips_F21, Mips_F23, Mips_F25, Mips_F27, Mips_F29, Mips_F31, 
   };
 
   // FGR32_and_OddSP Bit set.
-  static const uint8_t FGR32_and_OddSPBits[] = {
+  static uint8_t FGR32_and_OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x55, 0x55, 0x55, 0x05, 
   };
 
   // FGRH32_and_OddSP Register Class...
-  static const MCPhysReg FGRH32_and_OddSP[] = {
+  static MCPhysReg FGRH32_and_OddSP[] = {
     Mips_F_HI1, Mips_F_HI3, Mips_F_HI5, Mips_F_HI7, Mips_F_HI9, Mips_F_HI11, Mips_F_HI13, Mips_F_HI15, Mips_F_HI17, Mips_F_HI19, Mips_F_HI21, Mips_F_HI23, Mips_F_HI25, Mips_F_HI27, Mips_F_HI29, Mips_F_HI31, 
   };
 
   // FGRH32_and_OddSP Bit set.
-  static const uint8_t FGRH32_and_OddSPBits[] = {
+  static uint8_t FGRH32_and_OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa0, 0xaa, 0xaa, 0xaa, 0x0a, 
   };
 
   // OddSP_with_sub_hi_with_sub_hi_in_FGRH32 Register Class...
-  static const MCPhysReg OddSP_with_sub_hi_with_sub_hi_in_FGRH32[] = {
+  static MCPhysReg OddSP_with_sub_hi_with_sub_hi_in_FGRH32[] = {
     Mips_D1_64, Mips_D3_64, Mips_D5_64, Mips_D7_64, Mips_D9_64, Mips_D11_64, Mips_D13_64, Mips_D15_64, Mips_D17_64, Mips_D19_64, Mips_D21_64, Mips_D23_64, Mips_D25_64, Mips_D27_64, Mips_D29_64, Mips_D31_64, 
   };
 
   // OddSP_with_sub_hi_with_sub_hi_in_FGRH32 Bit set.
-  static const uint8_t OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits[] = {
+  static uint8_t OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0x01, 
   };
 
   // CPU16RegsPlusSP Register Class...
-  static const MCPhysReg CPU16RegsPlusSP[] = {
+  static MCPhysReg CPU16RegsPlusSP[] = {
     Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, Mips_S0, Mips_S1, Mips_SP, 
   };
 
   // CPU16RegsPlusSP Bit set.
-  static const uint8_t CPU16RegsPlusSPBits[] = {
+  static uint8_t CPU16RegsPlusSPBits[] = {
     0x00, 0x00, 0xd0, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x06, 
   };
 
   // CC Register Class...
-  static const MCPhysReg CC[] = {
+  static MCPhysReg CC[] = {
     Mips_CC0, Mips_CC1, Mips_CC2, Mips_CC3, Mips_CC4, Mips_CC5, Mips_CC6, Mips_CC7, 
   };
 
   // CC Bit set.
-  static const uint8_t CCBits[] = {
+  static uint8_t CCBits[] = {
     0x00, 0x00, 0x00, 0x80, 0x7f, 
   };
 
   // CPU16Regs Register Class...
-  static const MCPhysReg CPU16Regs[] = {
+  static MCPhysReg CPU16Regs[] = {
     Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, Mips_S0, Mips_S1, 
   };
 
   // CPU16Regs Bit set.
-  static const uint8_t CPU16RegsBits[] = {
+  static uint8_t CPU16RegsBits[] = {
     0x00, 0x00, 0xc0, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x06, 
   };
 
   // FCC Register Class...
-  static const MCPhysReg FCC[] = {
+  static MCPhysReg FCC[] = {
     Mips_FCC0, Mips_FCC1, Mips_FCC2, Mips_FCC3, Mips_FCC4, Mips_FCC5, Mips_FCC6, Mips_FCC7, 
   };
 
   // FCC Bit set.
-  static const uint8_t FCCBits[] = {
+  static uint8_t FCCBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x07, 
   };
 
+  // GPRMM16 Register Class...
+  static MCPhysReg GPRMM16[] = {
+    Mips_S0, Mips_S1, Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, 
+  };
+
+  // GPRMM16 Bit set.
+  static uint8_t GPRMM16Bits[] = {
+    0x00, 0x00, 0xc0, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x06, 
+  };
+
+  // GPRMM16MoveP Register Class...
+  static MCPhysReg GPRMM16MoveP[] = {
+    Mips_ZERO, Mips_S1, Mips_V0, Mips_V1, Mips_S0, Mips_S2, Mips_S3, Mips_S4, 
+  };
+
+  // GPRMM16MoveP Bit set.
+  static uint8_t GPRMM16MovePBits[] = {
+    0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x07, 0x00, 0x06, 
+  };
+
+  // GPRMM16Zero Register Class...
+  static MCPhysReg GPRMM16Zero[] = {
+    Mips_ZERO, Mips_S1, Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, 
+  };
+
+  // GPRMM16Zero Bit set.
+  static uint8_t GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0xe0, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x06, 
+  };
+
   // MSACtrl Register Class...
-  static const MCPhysReg MSACtrl[] = {
+  static MCPhysReg MSACtrl[] = {
     Mips_MSAIR, Mips_MSACSR, Mips_MSAAccess, Mips_MSASave, Mips_MSAModify, Mips_MSARequest, Mips_MSAMap, Mips_MSAUnmap, 
   };
 
   // MSACtrl Bit set.
-  static const uint8_t MSACtrlBits[] = {
+  static uint8_t MSACtrlBits[] = {
     0x00, 0xfc, 0x03, 
   };
 
   // OddSP_with_sub_hi_with_sub_hi_in_FGR32 Register Class...
-  static const MCPhysReg OddSP_with_sub_hi_with_sub_hi_in_FGR32[] = {
+  static MCPhysReg OddSP_with_sub_hi_with_sub_hi_in_FGR32[] = {
     Mips_D1, Mips_D3, Mips_D5, Mips_D7, Mips_D9, Mips_D11, Mips_D13, Mips_D15, 
   };
 
   // OddSP_with_sub_hi_with_sub_hi_in_FGR32 Bit set.
-  static const uint8_t OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits[] = {
+  static uint8_t OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x55, 
   };
 
+  // CPU16Regs_and_GPRMM16Zero Register Class...
+  static MCPhysReg CPU16Regs_and_GPRMM16Zero[] = {
+    Mips_S1, Mips_V0, Mips_V1, Mips_A0, Mips_A1, Mips_A2, Mips_A3, 
+  };
+
+  // CPU16Regs_and_GPRMM16Zero Bit set.
+  static uint8_t CPU16Regs_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0xc0, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x06, 
+  };
+
+  // CPU16Regs_and_GPRMM16MoveP Register Class...
+  static MCPhysReg CPU16Regs_and_GPRMM16MoveP[] = {
+    Mips_S1, Mips_V0, Mips_V1, Mips_S0, 
+  };
+
+  // CPU16Regs_and_GPRMM16MoveP Bit set.
+  static uint8_t CPU16Regs_and_GPRMM16MovePBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x06, 
+  };
+
+  // GPRMM16MoveP_and_GPRMM16Zero Register Class...
+  static MCPhysReg GPRMM16MoveP_and_GPRMM16Zero[] = {
+    Mips_ZERO, Mips_S1, Mips_V0, Mips_V1, 
+  };
+
+  // GPRMM16MoveP_and_GPRMM16Zero Bit set.
+  static uint8_t GPRMM16MoveP_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x06, 
+  };
+
   // HI32DSP Register Class...
-  static const MCPhysReg HI32DSP[] = {
+  static MCPhysReg HI32DSP[] = {
     Mips_HI0, Mips_HI1, Mips_HI2, Mips_HI3, 
   };
 
   // HI32DSP Bit set.
-  static const uint8_t HI32DSPBits[] = {
+  static uint8_t HI32DSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0x01, 
   };
 
   // LO32DSP Register Class...
-  static const MCPhysReg LO32DSP[] = {
+  static MCPhysReg LO32DSP[] = {
     Mips_LO0, Mips_LO1, Mips_LO2, Mips_LO3, 
   };
 
   // LO32DSP Bit set.
-  static const uint8_t LO32DSPBits[] = {
+  static uint8_t LO32DSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 
   };
 
+  // GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero Register Class...
+  static MCPhysReg GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero[] = {
+    Mips_S1, Mips_V0, Mips_V1, 
+  };
+
+  // GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero Bit set.
+  static uint8_t GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x06, 
+  };
+
   // CPURAReg Register Class...
-  static const MCPhysReg CPURAReg[] = {
+  static MCPhysReg CPURAReg[] = {
     Mips_RA, 
   };
 
   // CPURAReg Bit set.
-  static const uint8_t CPURARegBits[] = {
+  static uint8_t CPURARegBits[] = {
     0x00, 0x00, 0x08, 
   };
 
   // CPUSPReg Register Class...
-  static const MCPhysReg CPUSPReg[] = {
+  static MCPhysReg CPUSPReg[] = {
     Mips_SP, 
   };
 
   // CPUSPReg Bit set.
-  static const uint8_t CPUSPRegBits[] = {
+  static uint8_t CPUSPRegBits[] = {
     0x00, 0x00, 0x10, 
   };
 
   // DSPCC Register Class...
-  static const MCPhysReg DSPCC[] = {
+  static MCPhysReg DSPCC[] = {
     Mips_DSPCCond, 
   };
 
   // DSPCC Bit set.
-  static const uint8_t DSPCCBits[] = {
+  static uint8_t DSPCCBits[] = {
     0x04, 
   };
 
   // HI32 Register Class...
-  static const MCPhysReg HI32[] = {
+  static MCPhysReg HI32[] = {
     Mips_HI0, 
   };
 
   // HI32 Bit set.
-  static const uint8_t HI32Bits[] = {
+  static uint8_t HI32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 
   };
 
   // LO32 Register Class...
-  static const MCPhysReg LO32[] = {
+  static MCPhysReg LO32[] = {
     Mips_LO0, 
   };
 
   // LO32 Bit set.
-  static const uint8_t LO32Bits[] = {
+  static uint8_t LO32Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 
   };
 
   // FGR64 Register Class...
-  static const MCPhysReg FGR64[] = {
+  static MCPhysReg FGR64[] = {
     Mips_D0_64, Mips_D1_64, Mips_D2_64, Mips_D3_64, Mips_D4_64, Mips_D5_64, Mips_D6_64, Mips_D7_64, Mips_D8_64, Mips_D9_64, Mips_D10_64, Mips_D11_64, Mips_D12_64, Mips_D13_64, Mips_D14_64, Mips_D15_64, Mips_D16_64, Mips_D17_64, Mips_D18_64, Mips_D19_64, Mips_D20_64, Mips_D21_64, Mips_D22_64, Mips_D23_64, Mips_D24_64, Mips_D25_64, Mips_D26_64, Mips_D27_64, Mips_D28_64, Mips_D29_64, Mips_D30_64, Mips_D31_64, 
   };
 
   // FGR64 Bit set.
-  static const uint8_t FGR64Bits[] = {
+  static uint8_t FGR64Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xff, 0x01, 
   };
 
   // GPR64 Register Class...
-  static const MCPhysReg GPR64[] = {
+  static MCPhysReg GPR64[] = {
     Mips_ZERO_64, Mips_AT_64, Mips_V0_64, Mips_V1_64, Mips_A0_64, Mips_A1_64, Mips_A2_64, Mips_A3_64, Mips_T0_64, Mips_T1_64, Mips_T2_64, Mips_T3_64, Mips_T4_64, Mips_T5_64, Mips_T6_64, Mips_T7_64, Mips_S0_64, Mips_S1_64, Mips_S2_64, Mips_S3_64, Mips_S4_64, Mips_S5_64, Mips_S6_64, Mips_S7_64, Mips_T8_64, Mips_T9_64, Mips_K0_64, Mips_K1_64, Mips_GP_64, Mips_SP_64, Mips_FP_64, Mips_RA_64, 
   };
 
   // GPR64 Bit set.
-  static const uint8_t GPR64Bits[] = {
+  static uint8_t GPR64Bits[] = {
     0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0x00, 0xd8, 0xff, 0xff, 0x03, 
   };
 
   // AFGR64 Register Class...
-  static const MCPhysReg AFGR64[] = {
+  static MCPhysReg AFGR64[] = {
     Mips_D0, Mips_D1, Mips_D2, Mips_D3, Mips_D4, Mips_D5, Mips_D6, Mips_D7, Mips_D8, Mips_D9, Mips_D10, Mips_D11, Mips_D12, Mips_D13, Mips_D14, Mips_D15, 
   };
 
   // AFGR64 Bit set.
-  static const uint8_t AFGR64Bits[] = {
+  static uint8_t AFGR64Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0x7f, 
   };
 
   // FGR64_and_OddSP Register Class...
-  static const MCPhysReg FGR64_and_OddSP[] = {
+  static MCPhysReg FGR64_and_OddSP[] = {
     Mips_D1_64, Mips_D3_64, Mips_D5_64, Mips_D7_64, Mips_D9_64, Mips_D11_64, Mips_D13_64, Mips_D15_64, Mips_D17_64, Mips_D19_64, Mips_D21_64, Mips_D23_64, Mips_D25_64, Mips_D27_64, Mips_D29_64, Mips_D31_64, 
   };
 
   // FGR64_and_OddSP Bit set.
-  static const uint8_t FGR64_and_OddSPBits[] = {
+  static uint8_t FGR64_and_OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0x01, 
   };
 
   // GPR64_with_sub_32_in_CPU16RegsPlusSP Register Class...
-  static const MCPhysReg GPR64_with_sub_32_in_CPU16RegsPlusSP[] = {
+  static MCPhysReg GPR64_with_sub_32_in_CPU16RegsPlusSP[] = {
     Mips_V0_64, Mips_V1_64, Mips_A0_64, Mips_A1_64, Mips_A2_64, Mips_A3_64, Mips_S0_64, Mips_S1_64, Mips_SP_64, 
   };
 
   // GPR64_with_sub_32_in_CPU16RegsPlusSP Bit set.
-  static const uint8_t GPR64_with_sub_32_in_CPU16RegsPlusSPBits[] = {
+  static uint8_t GPR64_with_sub_32_in_CPU16RegsPlusSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x03, 
   };
 
   // AFGR64_and_OddSP Register Class...
-  static const MCPhysReg AFGR64_and_OddSP[] = {
+  static MCPhysReg AFGR64_and_OddSP[] = {
     Mips_D1, Mips_D3, Mips_D5, Mips_D7, Mips_D9, Mips_D11, Mips_D13, Mips_D15, 
   };
 
   // AFGR64_and_OddSP Bit set.
-  static const uint8_t AFGR64_and_OddSPBits[] = {
+  static uint8_t AFGR64_and_OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x55, 
   };
 
   // GPR64_with_sub_32_in_CPU16Regs Register Class...
-  static const MCPhysReg GPR64_with_sub_32_in_CPU16Regs[] = {
+  static MCPhysReg GPR64_with_sub_32_in_CPU16Regs[] = {
     Mips_V0_64, Mips_V1_64, Mips_A0_64, Mips_A1_64, Mips_A2_64, Mips_A3_64, Mips_S0_64, Mips_S1_64, 
   };
 
   // GPR64_with_sub_32_in_CPU16Regs Bit set.
-  static const uint8_t GPR64_with_sub_32_in_CPU16RegsBits[] = {
+  static uint8_t GPR64_with_sub_32_in_CPU16RegsBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x03, 
   };
 
+  // GPR64_with_sub_32_in_GPRMM16MoveP Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_GPRMM16MoveP[] = {
+    Mips_ZERO_64, Mips_V0_64, Mips_V1_64, Mips_S0_64, Mips_S1_64, Mips_S2_64, Mips_S3_64, Mips_S4_64, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16MoveP Bit set.
+  static uint8_t GPR64_with_sub_32_in_GPRMM16MovePBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x07, 0x00, 0x03, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16Zero Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_GPRMM16Zero[] = {
+    Mips_ZERO_64, Mips_V0_64, Mips_V1_64, Mips_A0_64, Mips_A1_64, Mips_A2_64, Mips_A3_64, Mips_S1_64, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16Zero Bit set.
+  static uint8_t GPR64_with_sub_32_in_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x03, 
+  };
+
+  // GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16Zero Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16Zero[] = {
+    Mips_V0_64, Mips_V1_64, Mips_A0_64, Mips_A1_64, Mips_A2_64, Mips_A3_64, Mips_S1_64, 
+  };
+
+  // GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16Zero Bit set.
+  static uint8_t GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x03, 
+  };
+
   // ACC64DSP Register Class...
-  static const MCPhysReg ACC64DSP[] = {
+  static MCPhysReg ACC64DSP[] = {
     Mips_AC0, Mips_AC1, Mips_AC2, Mips_AC3, 
   };
 
   // ACC64DSP Bit set.
-  static const uint8_t ACC64DSPBits[] = {
+  static uint8_t ACC64DSPBits[] = {
     0x00, 0x00, 0x00, 0x3c, 
   };
 
+  // GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MoveP Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MoveP[] = {
+    Mips_V0_64, Mips_V1_64, Mips_S0_64, Mips_S1_64, 
+  };
+
+  // GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MoveP Bit set.
+  static uint8_t GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MovePBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x03, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16Zero Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16Zero[] = {
+    Mips_ZERO_64, Mips_V0_64, Mips_V1_64, Mips_S1_64, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16Zero Bit set.
+  static uint8_t GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x03, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero Register Class...
+  static MCPhysReg GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero[] = {
+    Mips_V0_64, Mips_V1_64, Mips_S1_64, 
+  };
+
+  // GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero Bit set.
+  static uint8_t GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x03, 
+  };
+
   // OCTEON_MPL Register Class...
-  static const MCPhysReg OCTEON_MPL[] = {
+  static MCPhysReg OCTEON_MPL[] = {
     Mips_MPL0, Mips_MPL1, Mips_MPL2, 
   };
 
   // OCTEON_MPL Bit set.
-  static const uint8_t OCTEON_MPLBits[] = {
+  static uint8_t OCTEON_MPLBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x03, 
   };
 
   // OCTEON_P Register Class...
-  static const MCPhysReg OCTEON_P[] = {
+  static MCPhysReg OCTEON_P[] = {
     Mips_P0, Mips_P1, Mips_P2, 
   };
 
   // OCTEON_P Bit set.
-  static const uint8_t OCTEON_PBits[] = {
+  static uint8_t OCTEON_PBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c, 
   };
 
   // ACC64 Register Class...
-  static const MCPhysReg ACC64[] = {
+  static MCPhysReg ACC64[] = {
     Mips_AC0, 
   };
 
   // ACC64 Bit set.
-  static const uint8_t ACC64Bits[] = {
+  static uint8_t ACC64Bits[] = {
     0x00, 0x00, 0x00, 0x04, 
   };
 
   // GPR64_with_sub_32_in_CPURAReg Register Class...
-  static const MCPhysReg GPR64_with_sub_32_in_CPURAReg[] = {
+  static MCPhysReg GPR64_with_sub_32_in_CPURAReg[] = {
     Mips_RA_64, 
   };
 
   // GPR64_with_sub_32_in_CPURAReg Bit set.
-  static const uint8_t GPR64_with_sub_32_in_CPURARegBits[] = {
+  static uint8_t GPR64_with_sub_32_in_CPURARegBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 
   };
 
   // GPR64_with_sub_32_in_CPUSPReg Register Class...
-  static const MCPhysReg GPR64_with_sub_32_in_CPUSPReg[] = {
+  static MCPhysReg GPR64_with_sub_32_in_CPUSPReg[] = {
     Mips_SP_64, 
   };
 
   // GPR64_with_sub_32_in_CPUSPReg Bit set.
-  static const uint8_t GPR64_with_sub_32_in_CPUSPRegBits[] = {
+  static uint8_t GPR64_with_sub_32_in_CPUSPRegBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 
   };
 
   // HI64 Register Class...
-  static const MCPhysReg HI64[] = {
+  static MCPhysReg HI64[] = {
     Mips_HI0_64, 
   };
 
   // HI64 Bit set.
-  static const uint8_t HI64Bits[] = {
+  static uint8_t HI64Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 
   };
 
   // LO64 Register Class...
-  static const MCPhysReg LO64[] = {
+  static MCPhysReg LO64[] = {
     Mips_LO0_64, 
   };
 
   // LO64 Bit set.
-  static const uint8_t LO64Bits[] = {
+  static uint8_t LO64Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 
   };
 
   // MSA128B Register Class...
-  static const MCPhysReg MSA128B[] = {
+  static MCPhysReg MSA128B[] = {
     Mips_W0, Mips_W1, Mips_W2, Mips_W3, Mips_W4, Mips_W5, Mips_W6, Mips_W7, Mips_W8, Mips_W9, Mips_W10, Mips_W11, Mips_W12, Mips_W13, Mips_W14, Mips_W15, Mips_W16, Mips_W17, Mips_W18, Mips_W19, Mips_W20, Mips_W21, Mips_W22, Mips_W23, Mips_W24, Mips_W25, Mips_W26, Mips_W27, Mips_W28, Mips_W29, Mips_W30, Mips_W31, 
   };
 
   // MSA128B Bit set.
-  static const uint8_t MSA128BBits[] = {
+  static uint8_t MSA128BBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // MSA128D Register Class...
-  static const MCPhysReg MSA128D[] = {
+  static MCPhysReg MSA128D[] = {
     Mips_W0, Mips_W1, Mips_W2, Mips_W3, Mips_W4, Mips_W5, Mips_W6, Mips_W7, Mips_W8, Mips_W9, Mips_W10, Mips_W11, Mips_W12, Mips_W13, Mips_W14, Mips_W15, Mips_W16, Mips_W17, Mips_W18, Mips_W19, Mips_W20, Mips_W21, Mips_W22, Mips_W23, Mips_W24, Mips_W25, Mips_W26, Mips_W27, Mips_W28, Mips_W29, Mips_W30, Mips_W31, 
   };
 
   // MSA128D Bit set.
-  static const uint8_t MSA128DBits[] = {
+  static uint8_t MSA128DBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // MSA128H Register Class...
-  static const MCPhysReg MSA128H[] = {
+  static MCPhysReg MSA128H[] = {
     Mips_W0, Mips_W1, Mips_W2, Mips_W3, Mips_W4, Mips_W5, Mips_W6, Mips_W7, Mips_W8, Mips_W9, Mips_W10, Mips_W11, Mips_W12, Mips_W13, Mips_W14, Mips_W15, Mips_W16, Mips_W17, Mips_W18, Mips_W19, Mips_W20, Mips_W21, Mips_W22, Mips_W23, Mips_W24, Mips_W25, Mips_W26, Mips_W27, Mips_W28, Mips_W29, Mips_W30, Mips_W31, 
   };
 
   // MSA128H Bit set.
-  static const uint8_t MSA128HBits[] = {
+  static uint8_t MSA128HBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // MSA128W Register Class...
-  static const MCPhysReg MSA128W[] = {
+  static MCPhysReg MSA128W[] = {
     Mips_W0, Mips_W1, Mips_W2, Mips_W3, Mips_W4, Mips_W5, Mips_W6, Mips_W7, Mips_W8, Mips_W9, Mips_W10, Mips_W11, Mips_W12, Mips_W13, Mips_W14, Mips_W15, Mips_W16, Mips_W17, Mips_W18, Mips_W19, Mips_W20, Mips_W21, Mips_W22, Mips_W23, Mips_W24, Mips_W25, Mips_W26, Mips_W27, Mips_W28, Mips_W29, Mips_W30, Mips_W31, 
   };
 
   // MSA128W Bit set.
-  static const uint8_t MSA128WBits[] = {
+  static uint8_t MSA128WBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // MSA128B_with_sub_64_in_OddSP Register Class...
-  static const MCPhysReg MSA128B_with_sub_64_in_OddSP[] = {
+  static MCPhysReg MSA128B_with_sub_64_in_OddSP[] = {
     Mips_W1, Mips_W3, Mips_W5, Mips_W7, Mips_W9, Mips_W11, Mips_W13, Mips_W15, Mips_W17, Mips_W19, Mips_W21, Mips_W23, Mips_W25, Mips_W27, Mips_W29, Mips_W31, 
   };
 
   // MSA128B_with_sub_64_in_OddSP Bit set.
-  static const uint8_t MSA128B_with_sub_64_in_OddSPBits[] = {
+  static uint8_t MSA128B_with_sub_64_in_OddSPBits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x55, 0x55, 0x55, 0x05, 
   };
 
+  // MSA128WEvens Register Class...
+  static MCPhysReg MSA128WEvens[] = {
+    Mips_W0, Mips_W2, Mips_W4, Mips_W6, Mips_W8, Mips_W10, Mips_W12, Mips_W14, Mips_W16, Mips_W18, Mips_W20, Mips_W22, Mips_W24, Mips_W26, Mips_W28, Mips_W30, 
+  };
+
+  // MSA128WEvens Bit set.
+  static uint8_t MSA128WEvensBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa8, 0xaa, 0xaa, 0xaa, 0x02, 
+  };
+
   // ACC128 Register Class...
-  static const MCPhysReg ACC128[] = {
+  static MCPhysReg ACC128[] = {
     Mips_AC0_64, 
   };
 
   // ACC128 Bit set.
-  static const uint8_t ACC128Bits[] = {
+  static uint8_t ACC128Bits[] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 
   };
 
-static const MCRegisterClass MipsMCRegisterClasses[] = {
-  { "OddSP", OddSP, OddSPBits, 56, sizeof(OddSPBits), Mips_OddSPRegClassID, 4, 4, 1, 0 },
-  { "CCR", CCR, CCRBits, 32, sizeof(CCRBits), Mips_CCRRegClassID, 4, 4, 1, 0 },
-  { "COP2", COP2, COP2Bits, 32, sizeof(COP2Bits), Mips_COP2RegClassID, 4, 4, 1, 0 },
-  { "COP3", COP3, COP3Bits, 32, sizeof(COP3Bits), Mips_COP3RegClassID, 4, 4, 1, 0 },
-  { "DSPR", DSPR, DSPRBits, 32, sizeof(DSPRBits), Mips_DSPRRegClassID, 4, 4, 1, 1 },
-  { "FGR32", FGR32, FGR32Bits, 32, sizeof(FGR32Bits), Mips_FGR32RegClassID, 4, 4, 1, 1 },
-  { "FGRCC", FGRCC, FGRCCBits, 32, sizeof(FGRCCBits), Mips_FGRCCRegClassID, 4, 4, 1, 1 },
-  { "FGRH32", FGRH32, FGRH32Bits, 32, sizeof(FGRH32Bits), Mips_FGRH32RegClassID, 4, 4, 1, 0 },
-  { "GPR32", GPR32, GPR32Bits, 32, sizeof(GPR32Bits), Mips_GPR32RegClassID, 4, 4, 1, 1 },
-  { "HWRegs", HWRegs, HWRegsBits, 32, sizeof(HWRegsBits), Mips_HWRegsRegClassID, 4, 4, 1, 0 },
-  { "OddSP_with_sub_hi", OddSP_with_sub_hi, OddSP_with_sub_hiBits, 24, sizeof(OddSP_with_sub_hiBits), Mips_OddSP_with_sub_hiRegClassID, 4, 4, 1, 0 },
-  { "FGR32_and_OddSP", FGR32_and_OddSP, FGR32_and_OddSPBits, 16, sizeof(FGR32_and_OddSPBits), Mips_FGR32_and_OddSPRegClassID, 4, 4, 1, 1 },
-  { "FGRH32_and_OddSP", FGRH32_and_OddSP, FGRH32_and_OddSPBits, 16, sizeof(FGRH32_and_OddSPBits), Mips_FGRH32_and_OddSPRegClassID, 4, 4, 1, 0 },
-  { "OddSP_with_sub_hi_with_sub_hi_in_FGRH32", OddSP_with_sub_hi_with_sub_hi_in_FGRH32, OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits, 16, sizeof(OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits), Mips_OddSP_with_sub_hi_with_sub_hi_in_FGRH32RegClassID, 4, 4, 1, 0 },
-  { "CPU16RegsPlusSP", CPU16RegsPlusSP, CPU16RegsPlusSPBits, 9, sizeof(CPU16RegsPlusSPBits), Mips_CPU16RegsPlusSPRegClassID, 4, 4, 1, 1 },
-  { "CC", CC, CCBits, 8, sizeof(CCBits), Mips_CCRegClassID, 4, 4, 1, 0 },
-  { "CPU16Regs", CPU16Regs, CPU16RegsBits, 8, sizeof(CPU16RegsBits), Mips_CPU16RegsRegClassID, 4, 4, 1, 1 },
-  { "FCC", FCC, FCCBits, 8, sizeof(FCCBits), Mips_FCCRegClassID, 4, 4, 1, 0 },
-  { "MSACtrl", MSACtrl, MSACtrlBits, 8, sizeof(MSACtrlBits), Mips_MSACtrlRegClassID, 4, 4, 1, 1 },
-  { "OddSP_with_sub_hi_with_sub_hi_in_FGR32", OddSP_with_sub_hi_with_sub_hi_in_FGR32, OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits, 8, sizeof(OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits), Mips_OddSP_with_sub_hi_with_sub_hi_in_FGR32RegClassID, 4, 4, 1, 0 },
-  { "HI32DSP", HI32DSP, HI32DSPBits, 4, sizeof(HI32DSPBits), Mips_HI32DSPRegClassID, 4, 4, 1, 1 },
-  { "LO32DSP", LO32DSP, LO32DSPBits, 4, sizeof(LO32DSPBits), Mips_LO32DSPRegClassID, 4, 4, 1, 1 },
-  { "CPURAReg", CPURAReg, CPURARegBits, 1, sizeof(CPURARegBits), Mips_CPURARegRegClassID, 4, 4, 1, 0 },
-  { "CPUSPReg", CPUSPReg, CPUSPRegBits, 1, sizeof(CPUSPRegBits), Mips_CPUSPRegRegClassID, 4, 4, 1, 0 },
-  { "DSPCC", DSPCC, DSPCCBits, 1, sizeof(DSPCCBits), Mips_DSPCCRegClassID, 4, 4, 1, 1 },
-  { "HI32", HI32, HI32Bits, 1, sizeof(HI32Bits), Mips_HI32RegClassID, 4, 4, 1, 1 },
-  { "LO32", LO32, LO32Bits, 1, sizeof(LO32Bits), Mips_LO32RegClassID, 4, 4, 1, 1 },
-  { "FGR64", FGR64, FGR64Bits, 32, sizeof(FGR64Bits), Mips_FGR64RegClassID, 8, 8, 1, 1 },
-  { "GPR64", GPR64, GPR64Bits, 32, sizeof(GPR64Bits), Mips_GPR64RegClassID, 8, 8, 1, 1 },
-  { "AFGR64", AFGR64, AFGR64Bits, 16, sizeof(AFGR64Bits), Mips_AFGR64RegClassID, 8, 8, 1, 1 },
-  { "FGR64_and_OddSP", FGR64_and_OddSP, FGR64_and_OddSPBits, 16, sizeof(FGR64_and_OddSPBits), Mips_FGR64_and_OddSPRegClassID, 8, 8, 1, 1 },
-  { "GPR64_with_sub_32_in_CPU16RegsPlusSP", GPR64_with_sub_32_in_CPU16RegsPlusSP, GPR64_with_sub_32_in_CPU16RegsPlusSPBits, 9, sizeof(GPR64_with_sub_32_in_CPU16RegsPlusSPBits), Mips_GPR64_with_sub_32_in_CPU16RegsPlusSPRegClassID, 8, 8, 1, 1 },
-  { "AFGR64_and_OddSP", AFGR64_and_OddSP, AFGR64_and_OddSPBits, 8, sizeof(AFGR64_and_OddSPBits), Mips_AFGR64_and_OddSPRegClassID, 8, 8, 1, 1 },
-  { "GPR64_with_sub_32_in_CPU16Regs", GPR64_with_sub_32_in_CPU16Regs, GPR64_with_sub_32_in_CPU16RegsBits, 8, sizeof(GPR64_with_sub_32_in_CPU16RegsBits), Mips_GPR64_with_sub_32_in_CPU16RegsRegClassID, 8, 8, 1, 1 },
-  { "ACC64DSP", ACC64DSP, ACC64DSPBits, 4, sizeof(ACC64DSPBits), Mips_ACC64DSPRegClassID, 8, 8, 1, 1 },
-  { "OCTEON_MPL", OCTEON_MPL, OCTEON_MPLBits, 3, sizeof(OCTEON_MPLBits), Mips_OCTEON_MPLRegClassID, 8, 8, 1, 0 },
-  { "OCTEON_P", OCTEON_P, OCTEON_PBits, 3, sizeof(OCTEON_PBits), Mips_OCTEON_PRegClassID, 8, 8, 1, 0 },
-  { "ACC64", ACC64, ACC64Bits, 1, sizeof(ACC64Bits), Mips_ACC64RegClassID, 8, 8, 1, 1 },
-  { "GPR64_with_sub_32_in_CPURAReg", GPR64_with_sub_32_in_CPURAReg, GPR64_with_sub_32_in_CPURARegBits, 1, sizeof(GPR64_with_sub_32_in_CPURARegBits), Mips_GPR64_with_sub_32_in_CPURARegRegClassID, 8, 8, 1, 1 },
-  { "GPR64_with_sub_32_in_CPUSPReg", GPR64_with_sub_32_in_CPUSPReg, GPR64_with_sub_32_in_CPUSPRegBits, 1, sizeof(GPR64_with_sub_32_in_CPUSPRegBits), Mips_GPR64_with_sub_32_in_CPUSPRegRegClassID, 8, 8, 1, 1 },
-  { "HI64", HI64, HI64Bits, 1, sizeof(HI64Bits), Mips_HI64RegClassID, 8, 8, 1, 1 },
-  { "LO64", LO64, LO64Bits, 1, sizeof(LO64Bits), Mips_LO64RegClassID, 8, 8, 1, 1 },
-  { "MSA128B", MSA128B, MSA128BBits, 32, sizeof(MSA128BBits), Mips_MSA128BRegClassID, 16, 16, 1, 1 },
-  { "MSA128D", MSA128D, MSA128DBits, 32, sizeof(MSA128DBits), Mips_MSA128DRegClassID, 16, 16, 1, 1 },
-  { "MSA128H", MSA128H, MSA128HBits, 32, sizeof(MSA128HBits), Mips_MSA128HRegClassID, 16, 16, 1, 1 },
-  { "MSA128W", MSA128W, MSA128WBits, 32, sizeof(MSA128WBits), Mips_MSA128WRegClassID, 16, 16, 1, 1 },
-  { "MSA128B_with_sub_64_in_OddSP", MSA128B_with_sub_64_in_OddSP, MSA128B_with_sub_64_in_OddSPBits, 16, sizeof(MSA128B_with_sub_64_in_OddSPBits), Mips_MSA128B_with_sub_64_in_OddSPRegClassID, 16, 16, 1, 1 },
-  { "ACC128", ACC128, ACC128Bits, 1, sizeof(ACC128Bits), Mips_ACC128RegClassID, 16, 16, 1, 1 },
+static MCRegisterClass MipsMCRegisterClasses[] = {
+  { OddSP, OddSPBits, 236, 56, sizeof(OddSPBits), Mips_OddSPRegClassID, 4, 4, 1, 0 },
+  { CCR, CCRBits, 432, 32, sizeof(CCRBits), Mips_CCRRegClassID, 4, 4, 1, 0 },
+  { COP2, COP2Bits, 95, 32, sizeof(COP2Bits), Mips_COP2RegClassID, 4, 4, 1, 0 },
+  { COP3, COP3Bits, 100, 32, sizeof(COP3Bits), Mips_COP3RegClassID, 4, 4, 1, 0 },
+  { DSPR, DSPRBits, 436, 32, sizeof(DSPRBits), Mips_DSPRRegClassID, 4, 4, 1, 1 },
+  { FGR32, FGR32Bits, 83, 32, sizeof(FGR32Bits), Mips_FGR32RegClassID, 4, 4, 1, 1 },
+  { FGRCC, FGRCCBits, 167, 32, sizeof(FGRCCBits), Mips_FGRCCRegClassID, 4, 4, 1, 1 },
+  { FGRH32, FGRH32Bits, 33, 32, sizeof(FGRH32Bits), Mips_FGRH32RegClassID, 4, 4, 1, 0 },
+  { GPR32, GPR32Bits, 89, 32, sizeof(GPR32Bits), Mips_GPR32RegClassID, 4, 4, 1, 1 },
+  { HWRegs, HWRegsBits, 760, 32, sizeof(HWRegsBits), Mips_HWRegsRegClassID, 4, 4, 1, 0 },
+  { OddSP_with_sub_hi, OddSP_with_sub_hiBits, 509, 24, sizeof(OddSP_with_sub_hiBits), Mips_OddSP_with_sub_hiRegClassID, 4, 4, 1, 0 },
+  { FGR32_and_OddSP, FGR32_and_OddSPBits, 242, 16, sizeof(FGR32_and_OddSPBits), Mips_FGR32_and_OddSPRegClassID, 4, 4, 1, 1 },
+  { FGRH32_and_OddSP, FGRH32_and_OddSPBits, 225, 16, sizeof(FGRH32_and_OddSPBits), Mips_FGRH32_and_OddSPRegClassID, 4, 4, 1, 0 },
+  { OddSP_with_sub_hi_with_sub_hi_in_FGRH32, OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits, 0, 16, sizeof(OddSP_with_sub_hi_with_sub_hi_in_FGRH32Bits), Mips_OddSP_with_sub_hi_with_sub_hi_in_FGRH32RegClassID, 4, 4, 1, 0 },
+  { CPU16RegsPlusSP, CPU16RegsPlusSPBits, 325, 9, sizeof(CPU16RegsPlusSPBits), Mips_CPU16RegsPlusSPRegClassID, 4, 4, 1, 1 },
+  { CC, CCBits, 158, 8, sizeof(CCBits), Mips_CCRegClassID, 4, 4, 1, 0 },
+  { CPU16Regs, CPU16RegsBits, 750, 8, sizeof(CPU16RegsBits), Mips_CPU16RegsRegClassID, 4, 4, 1, 1 },
+  { FCC, FCCBits, 157, 8, sizeof(FCCBits), Mips_FCCRegClassID, 4, 4, 1, 0 },
+  { GPRMM16, GPRMM16Bits, 134, 8, sizeof(GPRMM16Bits), Mips_GPRMM16RegClassID, 4, 4, 1, 1 },
+  { GPRMM16MoveP, GPRMM16MovePBits, 385, 8, sizeof(GPRMM16MovePBits), Mips_GPRMM16MovePRegClassID, 4, 4, 1, 1 },
+  { GPRMM16Zero, GPRMM16ZeroBits, 573, 8, sizeof(GPRMM16ZeroBits), Mips_GPRMM16ZeroRegClassID, 4, 4, 1, 1 },
+  { MSACtrl, MSACtrlBits, 527, 8, sizeof(MSACtrlBits), Mips_MSACtrlRegClassID, 4, 4, 1, 1 },
+  { OddSP_with_sub_hi_with_sub_hi_in_FGR32, OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits, 50, 8, sizeof(OddSP_with_sub_hi_with_sub_hi_in_FGR32Bits), Mips_OddSP_with_sub_hi_with_sub_hi_in_FGR32RegClassID, 4, 4, 1, 0 },
+  { CPU16Regs_and_GPRMM16Zero, CPU16Regs_and_GPRMM16ZeroBits, 623, 7, sizeof(CPU16Regs_and_GPRMM16ZeroBits), Mips_CPU16Regs_and_GPRMM16ZeroRegClassID, 4, 4, 1, 1 },
+  { CPU16Regs_and_GPRMM16MoveP, CPU16Regs_and_GPRMM16MovePBits, 371, 4, sizeof(CPU16Regs_and_GPRMM16MovePBits), Mips_CPU16Regs_and_GPRMM16MovePRegClassID, 4, 4, 1, 1 },
+  { GPRMM16MoveP_and_GPRMM16Zero, GPRMM16MoveP_and_GPRMM16ZeroBits, 556, 4, sizeof(GPRMM16MoveP_and_GPRMM16ZeroBits), Mips_GPRMM16MoveP_and_GPRMM16ZeroRegClassID, 4, 4, 1, 1 },
+  { HI32DSP, HI32DSPBits, 200, 4, sizeof(HI32DSPBits), Mips_HI32DSPRegClassID, 4, 4, 1, 1 },
+  { LO32DSP, LO32DSPBits, 208, 4, sizeof(LO32DSPBits), Mips_LO32DSPRegClassID, 4, 4, 1, 1 },
+  { GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero, GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits, 606, 3, sizeof(GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits), Mips_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroRegClassID, 4, 4, 1, 1 },
+  { CPURAReg, CPURARegBits, 470, 1, sizeof(CPURARegBits), Mips_CPURARegRegClassID, 4, 4, 1, 0 },
+  { CPUSPReg, CPUSPRegBits, 500, 1, sizeof(CPUSPRegBits), Mips_CPUSPRegRegClassID, 4, 4, 1, 0 },
+  { DSPCC, DSPCCBits, 161, 1, sizeof(DSPCCBits), Mips_DSPCCRegClassID, 4, 4, 1, 1 },
+  { HI32, HI32Bits, 40, 1, sizeof(HI32Bits), Mips_HI32RegClassID, 4, 4, 1, 1 },
+  { LO32, LO32Bits, 45, 1, sizeof(LO32Bits), Mips_LO32RegClassID, 4, 4, 1, 1 },
+  { FGR64, FGR64Bits, 122, 32, sizeof(FGR64Bits), Mips_FGR64RegClassID, 8, 8, 1, 1 },
+  { GPR64, GPR64Bits, 128, 32, sizeof(GPR64Bits), Mips_GPR64RegClassID, 8, 8, 1, 1 },
+  { AFGR64, AFGR64Bits, 121, 16, sizeof(AFGR64Bits), Mips_AFGR64RegClassID, 8, 8, 1, 1 },
+  { FGR64_and_OddSP, FGR64_and_OddSPBits, 259, 16, sizeof(FGR64_and_OddSPBits), Mips_FGR64_and_OddSPRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPU16RegsPlusSP, GPR64_with_sub_32_in_CPU16RegsPlusSPBits, 304, 9, sizeof(GPR64_with_sub_32_in_CPU16RegsPlusSPBits), Mips_GPR64_with_sub_32_in_CPU16RegsPlusSPRegClassID, 8, 8, 1, 1 },
+  { AFGR64_and_OddSP, AFGR64_and_OddSPBits, 258, 8, sizeof(AFGR64_and_OddSPBits), Mips_AFGR64_and_OddSPRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPU16Regs, GPR64_with_sub_32_in_CPU16RegsBits, 729, 8, sizeof(GPR64_with_sub_32_in_CPU16RegsBits), Mips_GPR64_with_sub_32_in_CPU16RegsRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_GPRMM16MoveP, GPR64_with_sub_32_in_GPRMM16MovePBits, 398, 8, sizeof(GPR64_with_sub_32_in_GPRMM16MovePBits), Mips_GPR64_with_sub_32_in_GPRMM16MovePRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_GPRMM16Zero, GPR64_with_sub_32_in_GPRMM16ZeroBits, 696, 8, sizeof(GPR64_with_sub_32_in_GPRMM16ZeroBits), Mips_GPR64_with_sub_32_in_GPRMM16ZeroRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16Zero, GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16ZeroBits, 649, 7, sizeof(GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16ZeroBits), Mips_GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16ZeroRegClassID, 8, 8, 1, 1 },
+  { ACC64DSP, ACC64DSPBits, 216, 4, sizeof(ACC64DSPBits), Mips_ACC64DSPRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MoveP, GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MovePBits, 350, 4, sizeof(GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MovePBits), Mips_GPR64_with_sub_32_in_CPU16Regs_and_GPRMM16MovePRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16Zero, GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16ZeroBits, 535, 4, sizeof(GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16ZeroBits), Mips_GPR64_with_sub_32_in_GPRMM16MoveP_and_GPRMM16ZeroRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16Zero, GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits, 585, 3, sizeof(GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroBits), Mips_GPR64_with_sub_32_in_GPRMM16MoveP_and_CPU16Regs_and_GPRMM16ZeroRegClassID, 8, 8, 1, 1 },
+  { OCTEON_MPL, OCTEON_MPLBits, 189, 3, sizeof(OCTEON_MPLBits), Mips_OCTEON_MPLRegClassID, 8, 8, 1, 0 },
+  { OCTEON_P, OCTEON_PBits, 341, 3, sizeof(OCTEON_PBits), Mips_OCTEON_PRegClassID, 8, 8, 1, 0 },
+  { ACC64, ACC64Bits, 105, 1, sizeof(ACC64Bits), Mips_ACC64RegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPURAReg, GPR64_with_sub_32_in_CPURARegBits, 449, 1, sizeof(GPR64_with_sub_32_in_CPURARegBits), Mips_GPR64_with_sub_32_in_CPURARegRegClassID, 8, 8, 1, 1 },
+  { GPR64_with_sub_32_in_CPUSPReg, GPR64_with_sub_32_in_CPUSPRegBits, 479, 1, sizeof(GPR64_with_sub_32_in_CPUSPRegBits), Mips_GPR64_with_sub_32_in_CPUSPRegRegClassID, 8, 8, 1, 1 },
+  { HI64, HI64Bits, 111, 1, sizeof(HI64Bits), Mips_HI64RegClassID, 8, 8, 1, 1 },
+  { LO64, LO64Bits, 116, 1, sizeof(LO64Bits), Mips_LO64RegClassID, 8, 8, 1, 1 },
+  { MSA128B, MSA128BBits, 149, 32, sizeof(MSA128BBits), Mips_MSA128BRegClassID, 16, 16, 1, 1 },
+  { MSA128D, MSA128DBits, 173, 32, sizeof(MSA128DBits), Mips_MSA128DRegClassID, 16, 16, 1, 1 },
+  { MSA128H, MSA128HBits, 181, 32, sizeof(MSA128HBits), Mips_MSA128HRegClassID, 16, 16, 1, 1 },
+  { MSA128W, MSA128WBits, 441, 32, sizeof(MSA128WBits), Mips_MSA128WRegClassID, 16, 16, 1, 1 },
+  { MSA128B_with_sub_64_in_OddSP, MSA128B_with_sub_64_in_OddSPBits, 275, 16, sizeof(MSA128B_with_sub_64_in_OddSPBits), Mips_MSA128B_with_sub_64_in_OddSPRegClassID, 16, 16, 1, 1 },
+  { MSA128WEvens, MSA128WEvensBits, 767, 16, sizeof(MSA128WEvensBits), Mips_MSA128WEvensRegClassID, 16, 16, 1, 1 },
+  { ACC128, ACC128Bits, 142, 1, sizeof(ACC128Bits), Mips_ACC128RegClassID, 16, 16, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsGenSubtargetInfo.inc 4.0.2-3/arch/Mips/MipsGenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsGenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsGenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
@@ -16,35 +16,35 @@
 #define Mips_FeatureCnMips (1ULL << 0)
 #define Mips_FeatureDSP (1ULL << 1)
 #define Mips_FeatureDSPR2 (1ULL << 2)
-#define Mips_FeatureEABI (1ULL << 3)
-#define Mips_FeatureFP64Bit (1ULL << 4)
-#define Mips_FeatureFPXX (1ULL << 5)
-#define Mips_FeatureGP64Bit (1ULL << 6)
-#define Mips_FeatureMSA (1ULL << 7)
-#define Mips_FeatureMicroMips (1ULL << 8)
-#define Mips_FeatureMips1 (1ULL << 9)
-#define Mips_FeatureMips2 (1ULL << 10)
-#define Mips_FeatureMips3 (1ULL << 11)
-#define Mips_FeatureMips3_32 (1ULL << 12)
-#define Mips_FeatureMips3_32r2 (1ULL << 13)
-#define Mips_FeatureMips4 (1ULL << 14)
-#define Mips_FeatureMips4_32 (1ULL << 15)
-#define Mips_FeatureMips4_32r2 (1ULL << 16)
-#define Mips_FeatureMips5 (1ULL << 17)
-#define Mips_FeatureMips5_32r2 (1ULL << 18)
-#define Mips_FeatureMips16 (1ULL << 19)
-#define Mips_FeatureMips32 (1ULL << 20)
-#define Mips_FeatureMips32r2 (1ULL << 21)
-#define Mips_FeatureMips32r6 (1ULL << 22)
-#define Mips_FeatureMips64 (1ULL << 23)
-#define Mips_FeatureMips64r2 (1ULL << 24)
-#define Mips_FeatureMips64r6 (1ULL << 25)
-#define Mips_FeatureN32 (1ULL << 26)
-#define Mips_FeatureN64 (1ULL << 27)
-#define Mips_FeatureNaN2008 (1ULL << 28)
-#define Mips_FeatureNoABICalls (1ULL << 29)
-#define Mips_FeatureNoOddSPReg (1ULL << 30)
-#define Mips_FeatureO32 (1ULL << 31)
+#define Mips_FeatureFP64Bit (1ULL << 3)
+#define Mips_FeatureFPXX (1ULL << 4)
+#define Mips_FeatureGP64Bit (1ULL << 5)
+#define Mips_FeatureMSA (1ULL << 6)
+#define Mips_FeatureMicroMips (1ULL << 7)
+#define Mips_FeatureMips1 (1ULL << 8)
+#define Mips_FeatureMips2 (1ULL << 9)
+#define Mips_FeatureMips3 (1ULL << 10)
+#define Mips_FeatureMips3_32 (1ULL << 11)
+#define Mips_FeatureMips3_32r2 (1ULL << 12)
+#define Mips_FeatureMips4 (1ULL << 13)
+#define Mips_FeatureMips4_32 (1ULL << 14)
+#define Mips_FeatureMips4_32r2 (1ULL << 15)
+#define Mips_FeatureMips5 (1ULL << 16)
+#define Mips_FeatureMips5_32r2 (1ULL << 17)
+#define Mips_FeatureMips16 (1ULL << 18)
+#define Mips_FeatureMips32 (1ULL << 19)
+#define Mips_FeatureMips32r2 (1ULL << 20)
+#define Mips_FeatureMips32r3 (1ULL << 21)
+#define Mips_FeatureMips32r5 (1ULL << 22)
+#define Mips_FeatureMips32r6 (1ULL << 23)
+#define Mips_FeatureMips64 (1ULL << 24)
+#define Mips_FeatureMips64r2 (1ULL << 25)
+#define Mips_FeatureMips64r3 (1ULL << 26)
+#define Mips_FeatureMips64r5 (1ULL << 27)
+#define Mips_FeatureMips64r6 (1ULL << 28)
+#define Mips_FeatureNaN2008 (1ULL << 29)
+#define Mips_FeatureNoABICalls (1ULL << 30)
+#define Mips_FeatureNoOddSPReg (1ULL << 31)
 #define Mips_FeatureSingleFloat (1ULL << 32)
 #define Mips_FeatureVFPU (1ULL << 33)
 
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsInstPrinter.c 4.0.2-3/arch/Mips/MipsInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,11 +12,11 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_MIPS
 
-#include <platform.h>
+#include <capstone/platform.h>
 #include <stdlib.h>
 #include <stdio.h>	// debug
 #include <string.h>
@@ -261,6 +261,20 @@ static void printMemOperand(MCInst *MI,
 	// Load/Store memory operands -- imm($reg)
 	// If PIC target the target is loaded as the
 	// pattern lw $25,%call16($28)
+
+	// opNum can be invalid if instruction had reglist as operand.
+	// MemOperand is always last operand of instruction (base + offset).
+	switch (MCInst_getOpcode(MI)) {
+		default:
+			break;
+		case Mips_SWM32_MM:
+		case Mips_LWM32_MM:
+		case Mips_SWM16_MM:
+		case Mips_LWM16_MM:
+			opNum = MCInst_getNumOperands(MI) - 2;
+			break;
+	}
+
 	set_mem_access(MI, true);
 	printOperand(MI, opNum + 1, O);
 	SStream_concat0(O, "(");
@@ -286,6 +300,11 @@ static void printFCCOperand(MCInst *MI,
 	SStream_concat0(O, MipsFCCToString((Mips_CondCode)MCOperand_getImm(MO)));
 }
 
+static void printRegisterPair(MCInst *MI, int opNum, SStream *O)
+{
+	printRegName(O, MCOperand_getReg(MCInst_getOperand(MI, opNum)));
+}
+
 static char *printAlias1(const char *Str, MCInst *MI, unsigned OpNo, SStream *OS)
 {
 	SStream_concat(OS, "%s\t", Str);
@@ -312,6 +331,7 @@ static char *printAlias(MCInst *MI, SStr
 {
 	switch (MCInst_getOpcode(MI)) {
 		case Mips_BEQ:
+		case Mips_BEQ_MM:
 			// beq $zero, $zero, $L2 => b $L2
 			// beq $r0, $zero, $L2 => beqz $r0, $L2
 			if (isReg(MI, 0, Mips_ZERO) && isReg(MI, 1, Mips_ZERO))
@@ -319,11 +339,6 @@ static char *printAlias(MCInst *MI, SStr
 			if (isReg(MI, 1, Mips_ZERO))
 				return printAlias2("beqz", MI, 0, 2, OS);
 			return NULL;
-		case Mips_BEQL:
-			// beql $r0, $zero, $L2 => beqzl $r0, $L2
-			if (isReg(MI, 0, Mips_ZERO) && isReg(MI, 1, Mips_ZERO))
-				return printAlias2("beqzl", MI, 0, 2, OS);
-			return NULL;
 		case Mips_BEQ64:
 			// beq $r0, $zero, $L2 => beqz $r0, $L2
 			if (isReg(MI, 1, Mips_ZERO_64))
@@ -334,11 +349,6 @@ static char *printAlias(MCInst *MI, SStr
 			if (isReg(MI, 1, Mips_ZERO))
 				return printAlias2("bnez", MI, 0, 2, OS);
 			return NULL;
-		case Mips_BNEL:
-			// bnel $r0, $zero, $L2 => bnezl $r0, $L2
-			if (isReg(MI, 1, Mips_ZERO))
-				return printAlias2("bnezl", MI, 0, 2, OS);
-			return NULL;
 		case Mips_BNE64:
 			// bne $r0, $zero, $L2 => bnez $r0, $L2
 			if (isReg(MI, 1, Mips_ZERO_64))
@@ -389,6 +399,25 @@ static char *printAlias(MCInst *MI, SStr
 	}
 }
 
+static void printRegisterList(MCInst *MI, int opNum, SStream *O)
+{
+	int i, e, reg;
+
+	// - 2 because register List is always first operand of instruction and it is
+	// always followed by memory operand (base + offset).
+	for (i = opNum, e = MCInst_getNumOperands(MI) - 2; i != e; ++i) {
+		if (i != opNum)
+			SStream_concat0(O, ", ");
+		reg = MCOperand_getReg(MCInst_getOperand(MI, i));
+		printRegName(O, reg);
+		if (MI->csh->detail) {
+			MI->flat_insn->detail->mips.operands[MI->flat_insn->detail->mips.op_count].type = MIPS_OP_REG;
+			MI->flat_insn->detail->mips.operands[MI->flat_insn->detail->mips.op_count].reg = reg;
+			MI->flat_insn->detail->mips.op_count++;
+		}
+	}
+}
+
 #define PRINT_ALIAS_INSTR
 #include "MipsGenAsmWriter.inc"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsInstPrinter.h 4.0.2-3/arch/Mips/MipsInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_MIPSINSTPRINTER_H
 #define CS_MIPSINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsMapping.c 4.0.2-3/arch/Mips/MipsMapping.c
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_MIPS
 
@@ -17,9200 +17,209 @@
 static const name_map reg_name_maps[] = {
 	{ MIPS_REG_INVALID, NULL },
 
-	//{ MIPS_REG_0, "0"},
-	{ MIPS_REG_0, "zero"},
-	{ MIPS_REG_1, "at"},
-	//{ MIPS_REG_1, "1"},
-	{ MIPS_REG_2, "v0"},
-	//{ MIPS_REG_2, "2"},
-	{ MIPS_REG_3, "v1"},
-	//{ MIPS_REG_3, "3"},
-	{ MIPS_REG_4, "a0"},
-	//{ MIPS_REG_4, "4"},
-	{ MIPS_REG_5, "a1"},
-	//{ MIPS_REG_5, "5"},
-	{ MIPS_REG_6, "a2"},
-	//{ MIPS_REG_6, "6"},
-	{ MIPS_REG_7, "a3"},
-	//{ MIPS_REG_7, "7"},
-	{ MIPS_REG_8, "t0"},
-	//{ MIPS_REG_8, "8"},
-	{ MIPS_REG_9, "t1"},
-	//{ MIPS_REG_9, "9"},
-	{ MIPS_REG_10, "t2"},
-	//{ MIPS_REG_10, "10"},
-	{ MIPS_REG_11, "t3"},
-	//{ MIPS_REG_11, "11"},
-	{ MIPS_REG_12, "t4"},
-	//{ MIPS_REG_12, "12"},
-	{ MIPS_REG_13, "t5"},
-	//{ MIPS_REG_13, "13"},
-	{ MIPS_REG_14, "t6"},
-	//{ MIPS_REG_14, "14"},
-	{ MIPS_REG_15, "t7"},
-	//{ MIPS_REG_15, "15"},
-	{ MIPS_REG_16, "s0"},
-	//{ MIPS_REG_16, "16"},
-	{ MIPS_REG_17, "s1"},
-	//{ MIPS_REG_17, "17"},
-	{ MIPS_REG_18, "s2"},
-	//{ MIPS_REG_18, "18"},
-	{ MIPS_REG_19, "s3"},
-	//{ MIPS_REG_19, "19"},
-	{ MIPS_REG_20, "s4"},
-	//{ MIPS_REG_20, "20"},
-	{ MIPS_REG_21, "s5"},
-	//{ MIPS_REG_21, "21"},
-	{ MIPS_REG_22, "s6"},
-	//{ MIPS_REG_22, "22"},
-	{ MIPS_REG_23, "s7"},
-	//{ MIPS_REG_23, "23"},
-	{ MIPS_REG_24, "t8"},
-	//{ MIPS_REG_24, "24"},
-	{ MIPS_REG_25, "t9"},
-	//{ MIPS_REG_25, "25"},
-	{ MIPS_REG_26, "k0"},
-	//{ MIPS_REG_26, "26"},
-	{ MIPS_REG_27, "k1"},
-	//{ MIPS_REG_27, "27"},
-	{ MIPS_REG_28, "gp"},
-	//{ MIPS_REG_28, "28"},
-	{ MIPS_REG_29, "sp"},
-	//{ MIPS_REG_29, "29"},
-	{ MIPS_REG_30, "fp"},
-	//{ MIPS_REG_30, "30"},
-	{ MIPS_REG_31, "ra"},
-	//{ MIPS_REG_31, "31"},
-
-	{ MIPS_REG_DSPCCOND, "dspccond"},
-	{ MIPS_REG_DSPCARRY, "dspcarry"},
-	{ MIPS_REG_DSPEFI, "dspefi"},
-	{ MIPS_REG_DSPOUTFLAG, "dspoutflag"},
-	{ MIPS_REG_DSPOUTFLAG16_19, "dspoutflag16_19"},
-	{ MIPS_REG_DSPOUTFLAG20, "dspoutflag20"},
-	{ MIPS_REG_DSPOUTFLAG21, "dspoutflag21"},
-	{ MIPS_REG_DSPOUTFLAG22, "dspoutflag22"},
-	{ MIPS_REG_DSPOUTFLAG23, "dspoutflag23"},
-	{ MIPS_REG_DSPPOS, "dsppos"},
-	{ MIPS_REG_DSPSCOUNT, "dspscount"},
-
-	{ MIPS_REG_AC0, "ac0"},
-	{ MIPS_REG_AC1, "ac1"},
-	{ MIPS_REG_AC2, "ac2"},
-	{ MIPS_REG_AC3, "ac3"},
-
-	{ MIPS_REG_CC0, "cc0"},
-	{ MIPS_REG_CC1, "cc1"},
-	{ MIPS_REG_CC2, "cc2"},
-	{ MIPS_REG_CC3, "cc3"},
-	{ MIPS_REG_CC4, "cc4"},
-	{ MIPS_REG_CC5, "cc5"},
-	{ MIPS_REG_CC6, "cc6"},
-	{ MIPS_REG_CC7, "cc7"},
-
-	{ MIPS_REG_F0, "f0"},
-	{ MIPS_REG_F1, "f1"},
-	{ MIPS_REG_F2, "f2"},
-	{ MIPS_REG_F3, "f3"},
-	{ MIPS_REG_F4, "f4"},
-	{ MIPS_REG_F5, "f5"},
-	{ MIPS_REG_F6, "f6"},
-	{ MIPS_REG_F7, "f7"},
-	{ MIPS_REG_F8, "f8"},
-	{ MIPS_REG_F9, "f9"},
-	{ MIPS_REG_F10, "f10"},
-	{ MIPS_REG_F11, "f11"},
-	{ MIPS_REG_F12, "f12"},
-	{ MIPS_REG_F13, "f13"},
-	{ MIPS_REG_F14, "f14"},
-	{ MIPS_REG_F15, "f15"},
-	{ MIPS_REG_F16, "f16"},
-	{ MIPS_REG_F17, "f17"},
-	{ MIPS_REG_F18, "f18"},
-	{ MIPS_REG_F19, "f19"},
-	{ MIPS_REG_F20, "f20"},
-	{ MIPS_REG_F21, "f21"},
-	{ MIPS_REG_F22, "f22"},
-	{ MIPS_REG_F23, "f23"},
-	{ MIPS_REG_F24, "f24"},
-	{ MIPS_REG_F25, "f25"},
-	{ MIPS_REG_F26, "f26"},
-	{ MIPS_REG_F27, "f27"},
-	{ MIPS_REG_F28, "f28"},
-	{ MIPS_REG_F29, "f29"},
-	{ MIPS_REG_F30, "f30"},
-	{ MIPS_REG_F31, "f31"},
-
-	{ MIPS_REG_FCC0, "fcc0"},
-	{ MIPS_REG_FCC1, "fcc1"},
-	{ MIPS_REG_FCC2, "fcc2"},
-	{ MIPS_REG_FCC3, "fcc3"},
-	{ MIPS_REG_FCC4, "fcc4"},
-	{ MIPS_REG_FCC5, "fcc5"},
-	{ MIPS_REG_FCC6, "fcc6"},
-	{ MIPS_REG_FCC7, "fcc7"},
-
-	{ MIPS_REG_W0, "w0"},
-	{ MIPS_REG_W1, "w1"},
-	{ MIPS_REG_W2, "w2"},
-	{ MIPS_REG_W3, "w3"},
-	{ MIPS_REG_W4, "w4"},
-	{ MIPS_REG_W5, "w5"},
-	{ MIPS_REG_W6, "w6"},
-	{ MIPS_REG_W7, "w7"},
-	{ MIPS_REG_W8, "w8"},
-	{ MIPS_REG_W9, "w9"},
-	{ MIPS_REG_W10, "w10"},
-	{ MIPS_REG_W11, "w11"},
-	{ MIPS_REG_W12, "w12"},
-	{ MIPS_REG_W13, "w13"},
-	{ MIPS_REG_W14, "w14"},
-	{ MIPS_REG_W15, "w15"},
-	{ MIPS_REG_W16, "w16"},
-	{ MIPS_REG_W17, "w17"},
-	{ MIPS_REG_W18, "w18"},
-	{ MIPS_REG_W19, "w19"},
-	{ MIPS_REG_W20, "w20"},
-	{ MIPS_REG_W21, "w21"},
-	{ MIPS_REG_W22, "w22"},
-	{ MIPS_REG_W23, "w23"},
-	{ MIPS_REG_W24, "w24"},
-	{ MIPS_REG_W25, "w25"},
-	{ MIPS_REG_W26, "w26"},
-	{ MIPS_REG_W27, "w27"},
-	{ MIPS_REG_W28, "w28"},
-	{ MIPS_REG_W29, "w29"},
-	{ MIPS_REG_W30, "w30"},
-	{ MIPS_REG_W31, "w31"},
-
-	{ MIPS_REG_HI, "hi"},
-	{ MIPS_REG_LO, "lo"},
-
-	{ MIPS_REG_P0, "p0"},
-	{ MIPS_REG_P1, "p1"},
-	{ MIPS_REG_P2, "p2"},
-
-	{ MIPS_REG_MPL0, "mpl0"},
-	{ MIPS_REG_MPL1, "mpl1"},
-	{ MIPS_REG_MPL2, "mpl2"},
-};
-#endif
-
-const char *Mips_reg_name(csh handle, unsigned int reg)
-{
-#ifndef CAPSTONE_DIET
-	if (reg >= MIPS_REG_ENDING)
-		return NULL;
-
-	return reg_name_maps[reg].name;
-#else
-	return NULL;
-#endif
-}
-
-static const insn_map insns[] = {
-	// dummy item
-	{
-		0, 0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-
-	{
-		Mips_ABSQ_S_PH, MIPS_INS_ABSQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ABSQ_S_QB, MIPS_INS_ABSQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ABSQ_S_W, MIPS_INS_ABSQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDIUPC, MIPS_INS_ADDIUPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQH_PH, MIPS_INS_ADDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQH_R_PH, MIPS_INS_ADDQH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQH_R_W, MIPS_INS_ADDQH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQH_W, MIPS_INS_ADDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQ_PH, MIPS_INS_ADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQ_S_PH, MIPS_INS_ADDQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDQ_S_W, MIPS_INS_ADDQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDSC, MIPS_INS_ADDSC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCARRY, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_A_B, MIPS_INS_ADDS_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_A_D, MIPS_INS_ADDS_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_A_H, MIPS_INS_ADDS_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_A_W, MIPS_INS_ADDS_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_S_B, MIPS_INS_ADDS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_S_D, MIPS_INS_ADDS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_S_H, MIPS_INS_ADDS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_S_W, MIPS_INS_ADDS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_U_B, MIPS_INS_ADDS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_U_D, MIPS_INS_ADDS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_U_H, MIPS_INS_ADDS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDS_U_W, MIPS_INS_ADDS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDUH_QB, MIPS_INS_ADDUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDUH_R_QB, MIPS_INS_ADDUH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDU_PH, MIPS_INS_ADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDU_QB, MIPS_INS_ADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDU_S_PH, MIPS_INS_ADDU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDU_S_QB, MIPS_INS_ADDU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDVI_B, MIPS_INS_ADDVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDVI_D, MIPS_INS_ADDVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDVI_H, MIPS_INS_ADDVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDVI_W, MIPS_INS_ADDVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDV_B, MIPS_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDV_D, MIPS_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDV_H, MIPS_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDV_W, MIPS_INS_ADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDWC, MIPS_INS_ADDWC,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPCARRY, 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD_A_B, MIPS_INS_ADD_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD_A_D, MIPS_INS_ADD_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD_A_H, MIPS_INS_ADD_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD_A_W, MIPS_INS_ADD_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADD_MM, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDi, MIPS_INS_ADDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDi_MM, MIPS_INS_ADDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDiu, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDiu_MM, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDu, MIPS_INS_ADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ADDu_MM, MIPS_INS_ADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ALIGN, MIPS_INS_ALIGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ALUIPC, MIPS_INS_ALUIPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AND, MIPS_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AND64, MIPS_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ANDI_B, MIPS_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AND_MM, MIPS_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AND_V, MIPS_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ANDi, MIPS_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ANDi64, MIPS_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ANDi_MM, MIPS_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_APPEND, MIPS_INS_APPEND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_S_B, MIPS_INS_ASUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_S_D, MIPS_INS_ASUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_S_H, MIPS_INS_ASUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_S_W, MIPS_INS_ASUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_U_B, MIPS_INS_ASUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_U_D, MIPS_INS_ASUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_U_H, MIPS_INS_ASUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ASUB_U_W, MIPS_INS_ASUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AUI, MIPS_INS_AUI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AUIPC, MIPS_INS_AUIPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_S_B, MIPS_INS_AVER_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_S_D, MIPS_INS_AVER_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_S_H, MIPS_INS_AVER_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_S_W, MIPS_INS_AVER_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_U_B, MIPS_INS_AVER_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_U_D, MIPS_INS_AVER_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_U_H, MIPS_INS_AVER_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVER_U_W, MIPS_INS_AVER_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_S_B, MIPS_INS_AVE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_S_D, MIPS_INS_AVE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_S_H, MIPS_INS_AVE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_S_W, MIPS_INS_AVE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_U_B, MIPS_INS_AVE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_U_D, MIPS_INS_AVE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_U_H, MIPS_INS_AVE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AVE_U_W, MIPS_INS_AVE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuRxImmX16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuRxPcImmX16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuRxRxImm16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuRxRxImmX16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuRxRyOffMemX16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuSpImm16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_SP, 0 }, { MIPS_REG_SP, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AddiuSpImmX16, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_SP, 0 }, { MIPS_REG_SP, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AdduRxRyRz16, MIPS_INS_ADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_AndRxRxRy16, MIPS_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BADDu, MIPS_INS_BADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BAL, MIPS_INS_BAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BALC, MIPS_INS_BALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BALIGN, MIPS_INS_BALIGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BC, MIPS_INS_BC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC0F, MIPS_INS_BC0F,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC0FL, MIPS_INS_BC0FL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC0T, MIPS_INS_BC0T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC0TL, MIPS_INS_BC0TL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1EQZ, MIPS_INS_BC1EQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1F, MIPS_INS_BC1F,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1FL, MIPS_INS_BC1FL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1F_MM, MIPS_INS_BC1F,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1NEZ, MIPS_INS_BC1NEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1T, MIPS_INS_BC1T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1TL, MIPS_INS_BC1TL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC1T_MM, MIPS_INS_BC1T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2EQZ, MIPS_INS_BC2EQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2F, MIPS_INS_BC2F,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2FL, MIPS_INS_BC2FL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2NEZ, MIPS_INS_BC2NEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2T, MIPS_INS_BC2T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC2TL, MIPS_INS_BC2TL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC3F, MIPS_INS_BC3F,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC3FL, MIPS_INS_BC3FL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC3T, MIPS_INS_BC3T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BC3TL, MIPS_INS_BC3TL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BCLRI_B, MIPS_INS_BCLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLRI_D, MIPS_INS_BCLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLRI_H, MIPS_INS_BCLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLRI_W, MIPS_INS_BCLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLR_B, MIPS_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLR_D, MIPS_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLR_H, MIPS_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BCLR_W, MIPS_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BEQ, MIPS_INS_BEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQ64, MIPS_INS_BEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQC, MIPS_INS_BEQC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQL, MIPS_INS_BEQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQZALC, MIPS_INS_BEQZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQZC, MIPS_INS_BEQZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQZC_MM, MIPS_INS_BEQZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BEQ_MM, MIPS_INS_BEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEC, MIPS_INS_BGEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEUC, MIPS_INS_BGEUC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZ, MIPS_INS_BGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZ64, MIPS_INS_BGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZAL, MIPS_INS_BGEZAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BGEZALC, MIPS_INS_BGEZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZALL, MIPS_INS_BGEZALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZALS_MM, MIPS_INS_BGEZALS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BGEZAL_MM, MIPS_INS_BGEZAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BGEZC, MIPS_INS_BGEZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZL, MIPS_INS_BGEZL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGEZ_MM, MIPS_INS_BGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZ, MIPS_INS_BGTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZ64, MIPS_INS_BGTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZALC, MIPS_INS_BGTZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZC, MIPS_INS_BGTZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZL, MIPS_INS_BGTZL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BGTZ_MM, MIPS_INS_BGTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BINSLI_B, MIPS_INS_BINSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSLI_D, MIPS_INS_BINSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSLI_H, MIPS_INS_BINSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSLI_W, MIPS_INS_BINSLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSL_B, MIPS_INS_BINSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSL_D, MIPS_INS_BINSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSL_H, MIPS_INS_BINSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSL_W, MIPS_INS_BINSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSRI_B, MIPS_INS_BINSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSRI_D, MIPS_INS_BINSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSRI_H, MIPS_INS_BINSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSRI_W, MIPS_INS_BINSRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSR_B, MIPS_INS_BINSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSR_D, MIPS_INS_BINSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSR_H, MIPS_INS_BINSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BINSR_W, MIPS_INS_BINSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BITREV, MIPS_INS_BITREV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BITSWAP, MIPS_INS_BITSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BLEZ, MIPS_INS_BLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLEZ64, MIPS_INS_BLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLEZALC, MIPS_INS_BLEZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLEZC, MIPS_INS_BLEZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLEZL, MIPS_INS_BLEZL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLEZ_MM, MIPS_INS_BLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTC, MIPS_INS_BLTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTUC, MIPS_INS_BLTUC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZ, MIPS_INS_BLTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZ64, MIPS_INS_BLTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZAL, MIPS_INS_BLTZAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BLTZALC, MIPS_INS_BLTZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZALL, MIPS_INS_BLTZALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZALS_MM, MIPS_INS_BLTZALS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BLTZAL_MM, MIPS_INS_BLTZAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BLTZC, MIPS_INS_BLTZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZL, MIPS_INS_BLTZL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BLTZ_MM, MIPS_INS_BLTZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BMNZI_B, MIPS_INS_BMNZI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BMNZ_V, MIPS_INS_BMNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BMZI_B, MIPS_INS_BMZI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BMZ_V, MIPS_INS_BMZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNE, MIPS_INS_BNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNE64, MIPS_INS_BNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNEC, MIPS_INS_BNEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNEGI_B, MIPS_INS_BNEGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEGI_D, MIPS_INS_BNEGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEGI_H, MIPS_INS_BNEGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEGI_W, MIPS_INS_BNEGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEG_B, MIPS_INS_BNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEG_D, MIPS_INS_BNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEG_H, MIPS_INS_BNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEG_W, MIPS_INS_BNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BNEL, MIPS_INS_BNEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNEZALC, MIPS_INS_BNEZALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNEZC, MIPS_INS_BNEZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNEZC_MM, MIPS_INS_BNEZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNE_MM, MIPS_INS_BNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNVC, MIPS_INS_BNVC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNZ_B, MIPS_INS_BNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNZ_D, MIPS_INS_BNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNZ_H, MIPS_INS_BNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNZ_V, MIPS_INS_BNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BNZ_W, MIPS_INS_BNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BOVC, MIPS_INS_BOVC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BPOSGE32, MIPS_INS_BPOSGE32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BREAK, MIPS_INS_BREAK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BREAK_MM, MIPS_INS_BREAK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSELI_B, MIPS_INS_BSELI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSEL_V, MIPS_INS_BSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSETI_B, MIPS_INS_BSETI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSETI_D, MIPS_INS_BSETI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSETI_H, MIPS_INS_BSETI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSETI_W, MIPS_INS_BSETI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSET_B, MIPS_INS_BSET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSET_D, MIPS_INS_BSET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSET_H, MIPS_INS_BSET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BSET_W, MIPS_INS_BSET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_BZ_B, MIPS_INS_BZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BZ_D, MIPS_INS_BZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BZ_H, MIPS_INS_BZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BZ_V, MIPS_INS_BZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BZ_W, MIPS_INS_BZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MSA, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BeqzRxImm16, MIPS_INS_BEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BeqzRxImmX16, MIPS_INS_BEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_Bimm16, MIPS_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BimmX16, MIPS_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BnezRxImm16, MIPS_INS_BNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BnezRxImmX16, MIPS_INS_BNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_Break16, MIPS_INS_BREAK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_Bteqz16, MIPS_INS_BTEQZ,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BteqzX16, MIPS_INS_BTEQZ,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_Btnez16, MIPS_INS_BTNEZ,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_BtnezX16, MIPS_INS_BTNEZ,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_CACHE, MIPS_INS_CACHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CACHE_R6, MIPS_INS_CACHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_L_D64, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_L_S, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_W_D32, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_W_D64, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_W_MM, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_W_S, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEIL_W_S_MM, MIPS_INS_CEIL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQI_B, MIPS_INS_CEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQI_D, MIPS_INS_CEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQI_H, MIPS_INS_CEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQI_W, MIPS_INS_CEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQ_B, MIPS_INS_CEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQ_D, MIPS_INS_CEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQ_H, MIPS_INS_CEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CEQ_W, MIPS_INS_CEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CFC1, MIPS_INS_CFC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CFC1_MM, MIPS_INS_CFC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CFCMSA, MIPS_INS_CFCMSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CINS, MIPS_INS_CINS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CINS32, MIPS_INS_CINS32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLASS_D, MIPS_INS_CLASS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLASS_S, MIPS_INS_CLASS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_S_B, MIPS_INS_CLEI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_S_D, MIPS_INS_CLEI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_S_H, MIPS_INS_CLEI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_S_W, MIPS_INS_CLEI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_U_B, MIPS_INS_CLEI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_U_D, MIPS_INS_CLEI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_U_H, MIPS_INS_CLEI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLEI_U_W, MIPS_INS_CLEI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_S_B, MIPS_INS_CLE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_S_D, MIPS_INS_CLE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_S_H, MIPS_INS_CLE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_S_W, MIPS_INS_CLE_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_U_B, MIPS_INS_CLE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_U_D, MIPS_INS_CLE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_U_H, MIPS_INS_CLE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLE_U_W, MIPS_INS_CLE_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLO, MIPS_INS_CLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLO_MM, MIPS_INS_CLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLO_R6, MIPS_INS_CLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_S_B, MIPS_INS_CLTI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_S_D, MIPS_INS_CLTI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_S_H, MIPS_INS_CLTI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_S_W, MIPS_INS_CLTI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_U_B, MIPS_INS_CLTI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_U_D, MIPS_INS_CLTI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_U_H, MIPS_INS_CLTI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLTI_U_W, MIPS_INS_CLTI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_S_B, MIPS_INS_CLT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_S_D, MIPS_INS_CLT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_S_H, MIPS_INS_CLT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_S_W, MIPS_INS_CLT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_U_B, MIPS_INS_CLT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_U_D, MIPS_INS_CLT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_U_H, MIPS_INS_CLT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLT_U_W, MIPS_INS_CLT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLZ, MIPS_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLZ_MM, MIPS_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CLZ_R6, MIPS_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGDU_EQ_QB, MIPS_INS_CMPGDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGDU_LE_QB, MIPS_INS_CMPGDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGDU_LT_QB, MIPS_INS_CMPGDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGU_EQ_QB, MIPS_INS_CMPGU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGU_LE_QB, MIPS_INS_CMPGU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPGU_LT_QB, MIPS_INS_CMPGU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPU_EQ_QB, MIPS_INS_CMPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPU_LE_QB, MIPS_INS_CMPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMPU_LT_QB, MIPS_INS_CMPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_EQ_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_EQ_PH, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_EQ_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_F_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_F_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LE_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LE_PH, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LE_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LT_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LT_PH, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_LT_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SAF_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SAF_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SEQ_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SEQ_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SLE_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SLE_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SLT_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SLT_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SUEQ_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SUEQ_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SULE_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SULE_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SULT_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SULT_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SUN_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_SUN_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_UEQ_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_UEQ_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_ULE_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_ULE_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_ULT_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_ULT_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_UN_D, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CMP_UN_S, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_S_B, MIPS_INS_COPY_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_S_D, MIPS_INS_COPY_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_S_H, MIPS_INS_COPY_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_S_W, MIPS_INS_COPY_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_U_B, MIPS_INS_COPY_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_U_D, MIPS_INS_COPY_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_U_H, MIPS_INS_COPY_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_COPY_U_W, MIPS_INS_COPY_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CTC1, MIPS_INS_CTC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CTC1_MM, MIPS_INS_CTC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CTCMSA, MIPS_INS_CTCMSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D32_S, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D32_W, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D32_W_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D64_L, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D64_S, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D64_W, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_D_S_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_L_D64, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_L_D64_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_L_S, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_L_S_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_D32, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_D32_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_D64, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_L, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_W, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_S_W_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_W_D32, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_W_D64, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_W_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_W_S, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CVT_W_S_MM, MIPS_INS_CVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_EQ_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_EQ_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_EQ_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_F_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_F_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_F_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LE_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LE_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LE_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LT_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LT_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_LT_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGE_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGE_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGE_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGLE_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGLE_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGLE_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGL_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGL_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGL_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGT_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGT_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_NGT_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLE_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLE_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLE_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLT_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLT_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_OLT_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SEQ_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SEQ_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SEQ_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SF_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SF_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_SF_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UEQ_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UEQ_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UEQ_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULE_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULE_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULE_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULT_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULT_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_ULT_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UN_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UN_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_C_UN_S, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CmpRxRy16, MIPS_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CmpiRxImm16, MIPS_INS_CMPI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_CmpiRxImmX16, MIPS_INS_CMPI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DADD, MIPS_INS_DADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DADDi, MIPS_INS_DADDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DADDiu, MIPS_INS_DADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DADDu, MIPS_INS_DADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DAHI, MIPS_INS_DAHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DALIGN, MIPS_INS_DALIGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DATI, MIPS_INS_DATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DAUI, MIPS_INS_DAUI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DBITSWAP, MIPS_INS_DBITSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DCLO, MIPS_INS_DCLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DCLO_R6, MIPS_INS_DCLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DCLZ, MIPS_INS_DCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DCLZ_R6, MIPS_INS_DCLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DDIV, MIPS_INS_DDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DDIVU, MIPS_INS_DDIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DERET, MIPS_INS_DERET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DERET_MM, MIPS_INS_DERET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DEXT, MIPS_INS_DEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DEXTM, MIPS_INS_DEXTM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DEXTU, MIPS_INS_DEXTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DI, MIPS_INS_DI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DINS, MIPS_INS_DINS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DINSM, MIPS_INS_DINSM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DINSU, MIPS_INS_DINSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIVU, MIPS_INS_DIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_S_B, MIPS_INS_DIV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_S_D, MIPS_INS_DIV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_S_H, MIPS_INS_DIV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_S_W, MIPS_INS_DIV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_U_B, MIPS_INS_DIV_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_U_D, MIPS_INS_DIV_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_U_H, MIPS_INS_DIV_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DIV_U_W, MIPS_INS_DIV_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DI_MM, MIPS_INS_DI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DLSA, MIPS_INS_DLSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DLSA_R6, MIPS_INS_DLSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMFC0, MIPS_INS_DMFC0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMFC1, MIPS_INS_DMFC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMFC2, MIPS_INS_DMFC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMOD, MIPS_INS_DMOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMODU, MIPS_INS_DMODU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMTC0, MIPS_INS_DMTC0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMTC1, MIPS_INS_DMTC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMTC2, MIPS_INS_DMTC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMUH, MIPS_INS_DMUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMUHU, MIPS_INS_DMUHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMUL, MIPS_INS_DMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMULT, MIPS_INS_DMULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMULTu, MIPS_INS_DMULTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMULU, MIPS_INS_DMULU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DMUL_R6, MIPS_INS_DMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_S_D, MIPS_INS_DOTP_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_S_H, MIPS_INS_DOTP_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_S_W, MIPS_INS_DOTP_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_U_D, MIPS_INS_DOTP_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_U_H, MIPS_INS_DOTP_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DOTP_U_W, MIPS_INS_DOTP_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_S_D, MIPS_INS_DPADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_S_H, MIPS_INS_DPADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_S_W, MIPS_INS_DPADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_U_D, MIPS_INS_DPADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_U_H, MIPS_INS_DPADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPADD_U_W, MIPS_INS_DPADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAQX_SA_W_PH, MIPS_INS_DPAQX_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAQX_S_W_PH, MIPS_INS_DPAQX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAQ_SA_L_W, MIPS_INS_DPAQ_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAQ_S_W_PH, MIPS_INS_DPAQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAU_H_QBL, MIPS_INS_DPAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAU_H_QBR, MIPS_INS_DPAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPAX_W_PH, MIPS_INS_DPAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPA_W_PH, MIPS_INS_DPA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPOP, MIPS_INS_DPOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSQX_SA_W_PH, MIPS_INS_DPSQX_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSQX_S_W_PH, MIPS_INS_DPSQX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSQ_SA_L_W, MIPS_INS_DPSQ_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSQ_S_W_PH, MIPS_INS_DPSQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_S_D, MIPS_INS_DPSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_S_H, MIPS_INS_DPSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_S_W, MIPS_INS_DPSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_U_D, MIPS_INS_DPSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_U_H, MIPS_INS_DPSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSUB_U_W, MIPS_INS_DPSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSU_H_QBL, MIPS_INS_DPSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSU_H_QBR, MIPS_INS_DPSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPSX_W_PH, MIPS_INS_DPSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DPS_W_PH, MIPS_INS_DPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DROTR, MIPS_INS_DROTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DROTR32, MIPS_INS_DROTR32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DROTRV, MIPS_INS_DROTRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSBH, MIPS_INS_DSBH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSDIV, MIPS_INS_DDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSHD, MIPS_INS_DSHD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSLL, MIPS_INS_DSLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSLL32, MIPS_INS_DSLL32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSLL64_32, MIPS_INS_DSLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSLLV, MIPS_INS_DSLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRA, MIPS_INS_DSRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRA32, MIPS_INS_DSRA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRAV, MIPS_INS_DSRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRL, MIPS_INS_DSRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRL32, MIPS_INS_DSRL32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSRLV, MIPS_INS_DSRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSUB, MIPS_INS_DSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DSUBu, MIPS_INS_DSUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DUDIV, MIPS_INS_DDIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DivRxRy16, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_DivuRxRy16, MIPS_INS_DIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EHB, MIPS_INS_EHB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EI, MIPS_INS_EI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EI_MM, MIPS_INS_EI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ERET, MIPS_INS_ERET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ERET_MM, MIPS_INS_ERET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXT, MIPS_INS_EXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTP, MIPS_INS_EXTP,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTPDP, MIPS_INS_EXTPDP,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPPOS, MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTPDPV, MIPS_INS_EXTPDPV,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPPOS, MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTPV, MIPS_INS_EXTPV,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTRV_RS_W, MIPS_INS_EXTRV_RS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTRV_R_W, MIPS_INS_EXTRV_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTRV_S_H, MIPS_INS_EXTRV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTRV_W, MIPS_INS_EXTRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTR_RS_W, MIPS_INS_EXTR_RS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTR_R_W, MIPS_INS_EXTR_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTR_S_H, MIPS_INS_EXTR_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTR_W, MIPS_INS_EXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTS, MIPS_INS_EXTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXTS32, MIPS_INS_EXTS32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_EXT_MM, MIPS_INS_EXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FABS_D32, MIPS_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FABS_D64, MIPS_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FABS_MM, MIPS_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FABS_S, MIPS_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FABS_S_MM, MIPS_INS_ABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_D, MIPS_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_D32, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_D64, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_MM, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_S, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_S_MM, MIPS_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FADD_W, MIPS_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCAF_D, MIPS_INS_FCAF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCAF_W, MIPS_INS_FCAF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCEQ_D, MIPS_INS_FCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCEQ_W, MIPS_INS_FCEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLASS_D, MIPS_INS_FCLASS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLASS_W, MIPS_INS_FCLASS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLE_D, MIPS_INS_FCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLE_W, MIPS_INS_FCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLT_D, MIPS_INS_FCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCLT_W, MIPS_INS_FCLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCMP_D32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCMP_D32_MM, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCMP_D64, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCMP_S32, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCMP_S32_MM, MIPS_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCNE_D, MIPS_INS_FCNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCNE_W, MIPS_INS_FCNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCOR_D, MIPS_INS_FCOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCOR_W, MIPS_INS_FCOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUEQ_D, MIPS_INS_FCUEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUEQ_W, MIPS_INS_FCUEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCULE_D, MIPS_INS_FCULE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCULE_W, MIPS_INS_FCULE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCULT_D, MIPS_INS_FCULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCULT_W, MIPS_INS_FCULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUNE_D, MIPS_INS_FCUNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUNE_W, MIPS_INS_FCUNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUN_D, MIPS_INS_FCUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FCUN_W, MIPS_INS_FCUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_D, MIPS_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_D32, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_D64, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_MM, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_S, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_S_MM, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FDIV_W, MIPS_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXDO_H, MIPS_INS_FEXDO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXDO_W, MIPS_INS_FEXDO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXP2_D, MIPS_INS_FEXP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXP2_W, MIPS_INS_FEXP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXUPL_D, MIPS_INS_FEXUPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXUPL_W, MIPS_INS_FEXUPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXUPR_D, MIPS_INS_FEXUPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FEXUPR_W, MIPS_INS_FEXUPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFINT_S_D, MIPS_INS_FFINT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFINT_S_W, MIPS_INS_FFINT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFINT_U_D, MIPS_INS_FFINT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFINT_U_W, MIPS_INS_FFINT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFQL_D, MIPS_INS_FFQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFQL_W, MIPS_INS_FFQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFQR_D, MIPS_INS_FFQR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FFQR_W, MIPS_INS_FFQR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FILL_B, MIPS_INS_FILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FILL_D, MIPS_INS_FILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FILL_H, MIPS_INS_FILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FILL_W, MIPS_INS_FILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOG2_D, MIPS_INS_FLOG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOG2_W, MIPS_INS_FLOG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_L_D64, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_L_S, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_W_D32, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_W_D64, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_W_MM, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_W_S, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FLOOR_W_S_MM, MIPS_INS_FLOOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMADD_D, MIPS_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMADD_W, MIPS_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMAX_A_D, MIPS_INS_FMAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMAX_A_W, MIPS_INS_FMAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMAX_D, MIPS_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMAX_W, MIPS_INS_FMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMIN_A_D, MIPS_INS_FMIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMIN_A_W, MIPS_INS_FMIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMIN_D, MIPS_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMIN_W, MIPS_INS_FMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMOV_D32, MIPS_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMOV_D32_MM, MIPS_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMOV_D64, MIPS_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMOV_S, MIPS_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMOV_S_MM, MIPS_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMSUB_D, MIPS_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMSUB_W, MIPS_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_D, MIPS_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_D32, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_D64, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_MM, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_S, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_S_MM, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FMUL_W, MIPS_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FNEG_D32, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FNEG_D64, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FNEG_MM, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FNEG_S, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FNEG_S_MM, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRCP_D, MIPS_INS_FRCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRCP_W, MIPS_INS_FRCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRINT_D, MIPS_INS_FRINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRINT_W, MIPS_INS_FRINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRSQRT_D, MIPS_INS_FRSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FRSQRT_W, MIPS_INS_FRSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSAF_D, MIPS_INS_FSAF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSAF_W, MIPS_INS_FSAF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSEQ_D, MIPS_INS_FSEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSEQ_W, MIPS_INS_FSEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSLE_D, MIPS_INS_FSLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSLE_W, MIPS_INS_FSLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSLT_D, MIPS_INS_FSLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSLT_W, MIPS_INS_FSLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSNE_D, MIPS_INS_FSNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSNE_W, MIPS_INS_FSNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSOR_D, MIPS_INS_FSOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSOR_W, MIPS_INS_FSOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_D, MIPS_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_D32, MIPS_INS_SQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_D64, MIPS_INS_SQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_MM, MIPS_INS_SQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_S, MIPS_INS_SQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_S_MM, MIPS_INS_SQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSQRT_W, MIPS_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_D, MIPS_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_D32, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_D64, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_MM, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_S, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_S_MM, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUB_W, MIPS_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUEQ_D, MIPS_INS_FSUEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUEQ_W, MIPS_INS_FSUEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSULE_D, MIPS_INS_FSULE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSULE_W, MIPS_INS_FSULE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSULT_D, MIPS_INS_FSULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSULT_W, MIPS_INS_FSULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUNE_D, MIPS_INS_FSUNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUNE_W, MIPS_INS_FSUNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUN_D, MIPS_INS_FSUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FSUN_W, MIPS_INS_FSUN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTINT_S_D, MIPS_INS_FTINT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTINT_S_W, MIPS_INS_FTINT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTINT_U_D, MIPS_INS_FTINT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTINT_U_W, MIPS_INS_FTINT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTQ_H, MIPS_INS_FTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTQ_W, MIPS_INS_FTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTRUNC_S_D, MIPS_INS_FTRUNC_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTRUNC_S_W, MIPS_INS_FTRUNC_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTRUNC_U_D, MIPS_INS_FTRUNC_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_FTRUNC_U_W, MIPS_INS_FTRUNC_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_S_D, MIPS_INS_HADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_S_H, MIPS_INS_HADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_S_W, MIPS_INS_HADD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_U_D, MIPS_INS_HADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_U_H, MIPS_INS_HADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HADD_U_W, MIPS_INS_HADD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_S_D, MIPS_INS_HSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_S_H, MIPS_INS_HSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_S_W, MIPS_INS_HSUB_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_U_D, MIPS_INS_HSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_U_H, MIPS_INS_HSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_HSUB_U_W, MIPS_INS_HSUB_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVEV_B, MIPS_INS_ILVEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVEV_D, MIPS_INS_ILVEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVEV_H, MIPS_INS_ILVEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVEV_W, MIPS_INS_ILVEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVL_B, MIPS_INS_ILVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVL_D, MIPS_INS_ILVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVL_H, MIPS_INS_ILVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVL_W, MIPS_INS_ILVL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVOD_B, MIPS_INS_ILVOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVOD_D, MIPS_INS_ILVOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVOD_H, MIPS_INS_ILVOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVOD_W, MIPS_INS_ILVOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVR_B, MIPS_INS_ILVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVR_D, MIPS_INS_ILVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVR_H, MIPS_INS_ILVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ILVR_W, MIPS_INS_ILVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INS, MIPS_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSERT_B, MIPS_INS_INSERT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSERT_D, MIPS_INS_INSERT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSERT_H, MIPS_INS_INSERT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSERT_W, MIPS_INS_INSERT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSV, MIPS_INS_INSV,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPPOS, MIPS_REG_DSPSCOUNT, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSVE_B, MIPS_INS_INSVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSVE_D, MIPS_INS_INSVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSVE_H, MIPS_INS_INSVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INSVE_W, MIPS_INS_INSVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_INS_MM, MIPS_INS_INS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_J, MIPS_INS_J,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
-#endif
-	},
-	{
-		Mips_JAL, MIPS_INS_JAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALR, MIPS_INS_JALR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALR16_MM, MIPS_INS_JALR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALR64, MIPS_INS_JALR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALRS_MM, MIPS_INS_JALRS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALR_HB, MIPS_INS_JALR_HB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 1
-#endif
-	},
-	{
-		Mips_JALR_MM, MIPS_INS_JALR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALS_MM, MIPS_INS_JALS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JALX, MIPS_INS_JALX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JAL_MM, MIPS_INS_JAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JIALC, MIPS_INS_JIALC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JIC, MIPS_INS_JIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JR, MIPS_INS_JR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JR64, MIPS_INS_JR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JRADDIUSP, MIPS_INS_JRADDIUSP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JR_HB, MIPS_INS_JR_HB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JR_HB_R6, MIPS_INS_JR_HB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JR_MM, MIPS_INS_JR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_J_MM, MIPS_INS_J,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_Jal16, MIPS_INS_JAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_JrRa16, MIPS_INS_JR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JrcRa16, MIPS_INS_JRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JrcRx16, MIPS_INS_JRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
-#endif
-	},
-	{
-		Mips_JumpLinkReg16, MIPS_INS_JALRC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LB, MIPS_INS_LB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LB64, MIPS_INS_LB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LBUX, MIPS_INS_LBUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LB_MM, MIPS_INS_LB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LBu, MIPS_INS_LBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LBu64, MIPS_INS_LBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LBu_MM, MIPS_INS_LBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LD, MIPS_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC1, MIPS_INS_LDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC164, MIPS_INS_LDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC1_MM, MIPS_INS_LDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC2, MIPS_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC2_R6, MIPS_INS_LDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDC3, MIPS_INS_LDC3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDI_B, MIPS_INS_LDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDI_D, MIPS_INS_LDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDI_H, MIPS_INS_LDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDI_W, MIPS_INS_LDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDL, MIPS_INS_LDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDPC, MIPS_INS_LDPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDR, MIPS_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDXC1, MIPS_INS_LDXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LDXC164, MIPS_INS_LDXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LD_B, MIPS_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LD_D, MIPS_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LD_H, MIPS_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LD_W, MIPS_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LEA_ADDiu, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LEA_ADDiu64, MIPS_INS_DADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LEA_ADDiu_MM, MIPS_INS_ADDIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LH, MIPS_INS_LH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LH64, MIPS_INS_LH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LHX, MIPS_INS_LHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LH_MM, MIPS_INS_LH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LHu, MIPS_INS_LHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LHu64, MIPS_INS_LHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LHu_MM, MIPS_INS_LHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LL, MIPS_INS_LL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LLD, MIPS_INS_LLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LLD_R6, MIPS_INS_LLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LL_MM, MIPS_INS_LL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LL_R6, MIPS_INS_LL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LSA, MIPS_INS_LSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LSA_R6, MIPS_INS_LSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUXC1, MIPS_INS_LUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUXC164, MIPS_INS_LUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUXC1_MM, MIPS_INS_LUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUi, MIPS_INS_LUI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUi64, MIPS_INS_LUI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LUi_MM, MIPS_INS_LUI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LW, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LW64, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWC1, MIPS_INS_LWC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWC1_MM, MIPS_INS_LWC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWC2, MIPS_INS_LWC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWC2_R6, MIPS_INS_LWC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWC3, MIPS_INS_LWC3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWL, MIPS_INS_LWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWL64, MIPS_INS_LWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWL_MM, MIPS_INS_LWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWPC, MIPS_INS_LWPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWR, MIPS_INS_LWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWR64, MIPS_INS_LWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWR_MM, MIPS_INS_LWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWUPC, MIPS_INS_LWUPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWU_MM, MIPS_INS_LWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWX, MIPS_INS_LWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWXC1, MIPS_INS_LWXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWXC1_MM, MIPS_INS_LWXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LW_MM, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LWu, MIPS_INS_LWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LbRxRyOffMemX16, MIPS_INS_LB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LbuRxRyOffMemX16, MIPS_INS_LBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LhRxRyOffMemX16, MIPS_INS_LH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LhuRxRyOffMemX16, MIPS_INS_LHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LiRxImm16, MIPS_INS_LI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LiRxImmX16, MIPS_INS_LI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LwRxPcTcp16, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LwRxPcTcpX16, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LwRxRyOffMemX16, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_LwRxSpImmX16, MIPS_INS_LW,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_SP, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDF_D, MIPS_INS_MADDF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDF_S, MIPS_INS_MADDF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDR_Q_H, MIPS_INS_MADDR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDR_Q_W, MIPS_INS_MADDR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDU, MIPS_INS_MADDU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDU_DSP, MIPS_INS_MADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDU_MM, MIPS_INS_MADDU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDV_B, MIPS_INS_MADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDV_D, MIPS_INS_MADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDV_H, MIPS_INS_MADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADDV_W, MIPS_INS_MADDV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_D32, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_D32_MM, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_D64, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_DSP, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_MM, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_Q_H, MIPS_INS_MADD_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_Q_W, MIPS_INS_MADD_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_S, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MADD_S_MM, MIPS_INS_MADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAQ_SA_W_PHL, MIPS_INS_MAQ_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAQ_SA_W_PHR, MIPS_INS_MAQ_SA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAQ_S_W_PHL, MIPS_INS_MAQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAQ_S_W_PHR, MIPS_INS_MAQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXA_D, MIPS_INS_MAXA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXA_S, MIPS_INS_MAXA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_S_B, MIPS_INS_MAXI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_S_D, MIPS_INS_MAXI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_S_H, MIPS_INS_MAXI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_S_W, MIPS_INS_MAXI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_U_B, MIPS_INS_MAXI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_U_D, MIPS_INS_MAXI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_U_H, MIPS_INS_MAXI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAXI_U_W, MIPS_INS_MAXI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_A_B, MIPS_INS_MAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_A_D, MIPS_INS_MAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_A_H, MIPS_INS_MAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_A_W, MIPS_INS_MAX_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_D, MIPS_INS_MAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_S, MIPS_INS_MAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_S_B, MIPS_INS_MAX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_S_D, MIPS_INS_MAX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_S_H, MIPS_INS_MAX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_S_W, MIPS_INS_MAX_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_U_B, MIPS_INS_MAX_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_U_D, MIPS_INS_MAX_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_U_H, MIPS_INS_MAX_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MAX_U_W, MIPS_INS_MAX_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFC0, MIPS_INS_MFC0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFC1, MIPS_INS_MFC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFC1_MM, MIPS_INS_MFC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFC2, MIPS_INS_MFC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHC1_D32, MIPS_INS_MFHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHC1_D64, MIPS_INS_MFHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHC1_MM, MIPS_INS_MFHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHI, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHI16_MM, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHI64, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHI_DSP, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFHI_MM, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFLO, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFLO16_MM, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFLO64, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFLO_DSP, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MFLO_MM, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINA_D, MIPS_INS_MINA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINA_S, MIPS_INS_MINA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_S_B, MIPS_INS_MINI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_S_D, MIPS_INS_MINI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_S_H, MIPS_INS_MINI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_S_W, MIPS_INS_MINI_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_U_B, MIPS_INS_MINI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_U_D, MIPS_INS_MINI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_U_H, MIPS_INS_MINI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MINI_U_W, MIPS_INS_MINI_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_A_B, MIPS_INS_MIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_A_D, MIPS_INS_MIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_A_H, MIPS_INS_MIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_A_W, MIPS_INS_MIN_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_D, MIPS_INS_MIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_S, MIPS_INS_MIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_S_B, MIPS_INS_MIN_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_S_D, MIPS_INS_MIN_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_S_H, MIPS_INS_MIN_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_S_W, MIPS_INS_MIN_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_U_B, MIPS_INS_MIN_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_U_D, MIPS_INS_MIN_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_U_H, MIPS_INS_MIN_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MIN_U_W, MIPS_INS_MIN_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD, MIPS_INS_MOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MODSUB, MIPS_INS_MODSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MODU, MIPS_INS_MODU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_S_B, MIPS_INS_MOD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_S_D, MIPS_INS_MOD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_S_H, MIPS_INS_MOD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_S_W, MIPS_INS_MOD_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_U_B, MIPS_INS_MOD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_U_D, MIPS_INS_MOD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_U_H, MIPS_INS_MOD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOD_U_W, MIPS_INS_MOD_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVE16_MM, MIPS_INS_MOVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVE_V, MIPS_INS_MOVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_D32, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_D32_MM, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_D64, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_I, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_I64, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_I_MM, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_S, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVF_S_MM, MIPS_INS_MOVF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I64_D64, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I64_I, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I64_I64, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I64_S, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_D32, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_D32_MM, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_D64, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_I, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_I64, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_MM, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_S, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVN_I_S_MM, MIPS_INS_MOVN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_D32, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_D32_MM, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_D64, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_I, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_I64, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_I_MM, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_S, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVT_S_MM, MIPS_INS_MOVT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I64_D64, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I64_I, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I64_I64, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I64_S, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_MIPS64, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_D32, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_D32_MM, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_D64, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_I, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_I64, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_MM, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_S, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MOVZ_I_S_MM, MIPS_INS_MOVZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBF_D, MIPS_INS_MSUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBF_S, MIPS_INS_MSUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBR_Q_H, MIPS_INS_MSUBR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBR_Q_W, MIPS_INS_MSUBR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBU, MIPS_INS_MSUBU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBU_DSP, MIPS_INS_MSUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBU_MM, MIPS_INS_MSUBU,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBV_B, MIPS_INS_MSUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBV_D, MIPS_INS_MSUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBV_H, MIPS_INS_MSUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUBV_W, MIPS_INS_MSUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_D32, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_D32_MM, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_D64, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_DSP, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_MM, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_Q_H, MIPS_INS_MSUB_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_Q_W, MIPS_INS_MSUB_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_S, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MSUB_S_MM, MIPS_INS_MSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTC0, MIPS_INS_MTC0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTC1, MIPS_INS_MTC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTC1_MM, MIPS_INS_MTC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTC2, MIPS_INS_MTC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHC1_D32, MIPS_INS_MTHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHC1_D64, MIPS_INS_MTHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHC1_MM, MIPS_INS_MTHC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHI, MIPS_INS_MTHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHI64, MIPS_INS_MTHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHI_DSP, MIPS_INS_MTHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHI_MM, MIPS_INS_MTHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTHLIP, MIPS_INS_MTHLIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPPOS, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTLO, MIPS_INS_MTLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTLO64, MIPS_INS_MTLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTLO_DSP, MIPS_INS_MTLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTLO_MM, MIPS_INS_MTLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTM0, MIPS_INS_MTM0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_MPL0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTM1, MIPS_INS_MTM1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_MPL1, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTM2, MIPS_INS_MTM2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_MPL2, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTP0, MIPS_INS_MTP0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_P0, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTP1, MIPS_INS_MTP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_P1, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MTP2, MIPS_INS_MTP2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUH, MIPS_INS_MUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUHU, MIPS_INS_MUHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULEQ_S_W_PHL, MIPS_INS_MULEQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULEQ_S_W_PHR, MIPS_INS_MULEQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULEU_S_PH_QBL, MIPS_INS_MULEU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULEU_S_PH_QBR, MIPS_INS_MULEU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULQ_RS_PH, MIPS_INS_MULQ_RS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULQ_RS_W, MIPS_INS_MULQ_RS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULQ_S_PH, MIPS_INS_MULQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULQ_S_W, MIPS_INS_MULQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULR_Q_H, MIPS_INS_MULR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULR_Q_W, MIPS_INS_MULR_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULSAQ_S_W_PH, MIPS_INS_MULSAQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULSA_W_PH, MIPS_INS_MULSA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULT, MIPS_INS_MULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULTU_DSP, MIPS_INS_MULTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULT_DSP, MIPS_INS_MULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULT_MM, MIPS_INS_MULT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULTu, MIPS_INS_MULTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULTu_MM, MIPS_INS_MULTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULU, MIPS_INS_MULU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULV_B, MIPS_INS_MULV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULV_D, MIPS_INS_MULV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULV_H, MIPS_INS_MULV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MULV_W, MIPS_INS_MULV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_MM, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_PH, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_Q_H, MIPS_INS_MUL_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_Q_W, MIPS_INS_MUL_Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_R6, MIPS_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MUL_S_PH, MIPS_INS_MUL_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_Mfhi16, MIPS_INS_MFHI,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_HI0, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_Mflo16, MIPS_INS_MFLO,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_LO0, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_Move32R16, MIPS_INS_MOVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_MoveR3216, MIPS_INS_MOVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLOC_B, MIPS_INS_NLOC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLOC_D, MIPS_INS_NLOC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLOC_H, MIPS_INS_NLOC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLOC_W, MIPS_INS_NLOC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLZC_B, MIPS_INS_NLZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLZC_D, MIPS_INS_NLZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLZC_H, MIPS_INS_NLZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NLZC_W, MIPS_INS_NLZC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMADD_D32, MIPS_INS_NMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMADD_D32_MM, MIPS_INS_NMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMADD_D64, MIPS_INS_NMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMADD_S, MIPS_INS_NMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMADD_S_MM, MIPS_INS_NMADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMSUB_D32, MIPS_INS_NMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMSUB_D32_MM, MIPS_INS_NMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMSUB_D64, MIPS_INS_NMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMSUB_S, MIPS_INS_NMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NMSUB_S_MM, MIPS_INS_NMSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NOR, MIPS_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NOR64, MIPS_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NORI_B, MIPS_INS_NORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NOR_MM, MIPS_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NOR_V, MIPS_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NegRxRy16, MIPS_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_NotRxRy16, MIPS_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_OR, MIPS_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_OR64, MIPS_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ORI_B, MIPS_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_OR_MM, MIPS_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_OR_V, MIPS_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ORi, MIPS_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ORi64, MIPS_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ORi_MM, MIPS_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_OrRxRxRy16, MIPS_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PACKRL_PH, MIPS_INS_PACKRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PAUSE, MIPS_INS_PAUSE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKEV_B, MIPS_INS_PCKEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKEV_D, MIPS_INS_PCKEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKEV_H, MIPS_INS_PCKEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKEV_W, MIPS_INS_PCKEV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKOD_B, MIPS_INS_PCKOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKOD_D, MIPS_INS_PCKOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKOD_H, MIPS_INS_PCKOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCKOD_W, MIPS_INS_PCKOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCNT_B, MIPS_INS_PCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCNT_D, MIPS_INS_PCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCNT_H, MIPS_INS_PCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PCNT_W, MIPS_INS_PCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PICK_PH, MIPS_INS_PICK,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPCCOND, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PICK_QB, MIPS_INS_PICK,
-#ifndef CAPSTONE_DIET
-		{ MIPS_REG_DSPCCOND, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_POP, MIPS_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQU_PH_QBL, MIPS_INS_PRECEQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQU_PH_QBLA, MIPS_INS_PRECEQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQU_PH_QBR, MIPS_INS_PRECEQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQU_PH_QBRA, MIPS_INS_PRECEQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQ_W_PHL, MIPS_INS_PRECEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEQ_W_PHR, MIPS_INS_PRECEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEU_PH_QBL, MIPS_INS_PRECEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEU_PH_QBLA, MIPS_INS_PRECEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEU_PH_QBR, MIPS_INS_PRECEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECEU_PH_QBRA, MIPS_INS_PRECEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECRQU_S_QB_PH, MIPS_INS_PRECRQU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECRQ_PH_W, MIPS_INS_PRECRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECRQ_QB_PH, MIPS_INS_PRECRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECRQ_RS_PH_W, MIPS_INS_PRECRQ_RS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECR_QB_PH, MIPS_INS_PRECR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECR_SRA_PH_W, MIPS_INS_PRECR_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PRECR_SRA_R_PH_W, MIPS_INS_PRECR_SRA_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PREF, MIPS_INS_PREF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PREF_R6, MIPS_INS_PREF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_PREPEND, MIPS_INS_PREPEND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RADDU_W_QB, MIPS_INS_RADDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RDDSP, MIPS_INS_RDDSP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RDHWR, MIPS_INS_RDHWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RDHWR64, MIPS_INS_RDHWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_REPLV_PH, MIPS_INS_REPLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_REPLV_QB, MIPS_INS_REPLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_REPL_PH, MIPS_INS_REPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_REPL_QB, MIPS_INS_REPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RINT_D, MIPS_INS_RINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_RINT_S, MIPS_INS_RINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROTR, MIPS_INS_ROTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROTRV, MIPS_INS_ROTRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROTRV_MM, MIPS_INS_ROTRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROTR_MM, MIPS_INS_ROTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_L_D64, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_L_S, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_W_D32, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_W_D64, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_W_MM, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_W_S, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ROUND_W_S_MM, MIPS_INS_ROUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_S_B, MIPS_INS_SAT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_S_D, MIPS_INS_SAT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_S_H, MIPS_INS_SAT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_S_W, MIPS_INS_SAT_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_U_B, MIPS_INS_SAT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_U_D, MIPS_INS_SAT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_U_H, MIPS_INS_SAT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SAT_U_W, MIPS_INS_SAT_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SB, MIPS_INS_SB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SB64, MIPS_INS_SB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SB_MM, MIPS_INS_SB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SC, MIPS_INS_SC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SCD, MIPS_INS_SCD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SCD_R6, MIPS_INS_SCD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SC_MM, MIPS_INS_SC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SC_R6, MIPS_INS_SC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SD, MIPS_INS_SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDBBP, MIPS_INS_SDBBP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDBBP_R6, MIPS_INS_SDBBP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC1, MIPS_INS_SDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC164, MIPS_INS_SDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC1_MM, MIPS_INS_SDC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC2, MIPS_INS_SDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC2_R6, MIPS_INS_SDC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDC3, MIPS_INS_SDC3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDIV, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDIV_MM, MIPS_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDL, MIPS_INS_SDL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDR, MIPS_INS_SDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDXC1, MIPS_INS_SDXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SDXC164, MIPS_INS_SDXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEB, MIPS_INS_SEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEB64, MIPS_INS_SEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEB_MM, MIPS_INS_SEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEH, MIPS_INS_SEH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEH64, MIPS_INS_SEH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEH_MM, MIPS_INS_SEH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELEQZ, MIPS_INS_SELEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP32BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELEQZ64, MIPS_INS_SELEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP64BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELEQZ_D, MIPS_INS_SELEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELEQZ_S, MIPS_INS_SELEQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELNEZ, MIPS_INS_SELNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP32BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELNEZ64, MIPS_INS_SELNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP64BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELNEZ_D, MIPS_INS_SELNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SELNEZ_S, MIPS_INS_SELNEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEL_D, MIPS_INS_SEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEL_S, MIPS_INS_SEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEQ, MIPS_INS_SEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SEQi, MIPS_INS_SEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SH, MIPS_INS_SH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SH64, MIPS_INS_SH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHF_B, MIPS_INS_SHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHF_H, MIPS_INS_SHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHF_W, MIPS_INS_SHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHILO, MIPS_INS_SHILO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHILOV, MIPS_INS_SHILOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLLV_PH, MIPS_INS_SHLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLLV_QB, MIPS_INS_SHLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLLV_S_PH, MIPS_INS_SHLLV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLLV_S_W, MIPS_INS_SHLLV_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLL_PH, MIPS_INS_SHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLL_QB, MIPS_INS_SHLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLL_S_PH, MIPS_INS_SHLL_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHLL_S_W, MIPS_INS_SHLL_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRAV_PH, MIPS_INS_SHRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRAV_QB, MIPS_INS_SHRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRAV_R_PH, MIPS_INS_SHRAV_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRAV_R_QB, MIPS_INS_SHRAV_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRAV_R_W, MIPS_INS_SHRAV_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRA_PH, MIPS_INS_SHRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRA_QB, MIPS_INS_SHRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRA_R_PH, MIPS_INS_SHRA_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRA_R_QB, MIPS_INS_SHRA_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRA_R_W, MIPS_INS_SHRA_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRLV_PH, MIPS_INS_SHRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRLV_QB, MIPS_INS_SHRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRL_PH, MIPS_INS_SHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SHRL_QB, MIPS_INS_SHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SH_MM, MIPS_INS_SH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLDI_B, MIPS_INS_SLDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLDI_D, MIPS_INS_SLDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLDI_H, MIPS_INS_SLDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLDI_W, MIPS_INS_SLDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLD_B, MIPS_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLD_D, MIPS_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLD_H, MIPS_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLD_W, MIPS_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL64_32, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL64_64, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLI_B, MIPS_INS_SLLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLI_D, MIPS_INS_SLLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLI_H, MIPS_INS_SLLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLI_W, MIPS_INS_SLLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLV, MIPS_INS_SLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLLV_MM, MIPS_INS_SLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL_B, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL_D, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL_H, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL_MM, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLL_W, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLT, MIPS_INS_SLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLT64, MIPS_INS_SLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLT_MM, MIPS_INS_SLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTi, MIPS_INS_SLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTi64, MIPS_INS_SLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTi_MM, MIPS_INS_SLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTiu, MIPS_INS_SLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTiu64, MIPS_INS_SLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTiu_MM, MIPS_INS_SLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTu, MIPS_INS_SLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTu64, MIPS_INS_SLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SLTu_MM, MIPS_INS_SLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SNE, MIPS_INS_SNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SNEi, MIPS_INS_SNEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLATI_B, MIPS_INS_SPLATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLATI_D, MIPS_INS_SPLATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLATI_H, MIPS_INS_SPLATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLATI_W, MIPS_INS_SPLATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLAT_B, MIPS_INS_SPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLAT_D, MIPS_INS_SPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLAT_H, MIPS_INS_SPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SPLAT_W, MIPS_INS_SPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAI_B, MIPS_INS_SRAI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAI_D, MIPS_INS_SRAI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAI_H, MIPS_INS_SRAI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAI_W, MIPS_INS_SRAI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRARI_B, MIPS_INS_SRARI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRARI_D, MIPS_INS_SRARI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRARI_H, MIPS_INS_SRARI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRARI_W, MIPS_INS_SRARI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAR_B, MIPS_INS_SRAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAR_D, MIPS_INS_SRAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAR_H, MIPS_INS_SRAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAR_W, MIPS_INS_SRAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAV, MIPS_INS_SRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRAV_MM, MIPS_INS_SRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA_B, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA_D, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA_H, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA_MM, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRA_W, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLI_B, MIPS_INS_SRLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLI_D, MIPS_INS_SRLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLI_H, MIPS_INS_SRLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLI_W, MIPS_INS_SRLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLRI_B, MIPS_INS_SRLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLRI_D, MIPS_INS_SRLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLRI_H, MIPS_INS_SRLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLRI_W, MIPS_INS_SRLRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLR_B, MIPS_INS_SRLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLR_D, MIPS_INS_SRLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLR_H, MIPS_INS_SRLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLR_W, MIPS_INS_SRLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLV, MIPS_INS_SRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRLV_MM, MIPS_INS_SRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL_B, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL_D, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL_H, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL_MM, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SRL_W, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SSNOP, MIPS_INS_SSNOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ST_B, MIPS_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ST_D, MIPS_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ST_H, MIPS_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ST_W, MIPS_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUB, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQH_PH, MIPS_INS_SUBQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQH_R_PH, MIPS_INS_SUBQH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQH_R_W, MIPS_INS_SUBQH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQH_W, MIPS_INS_SUBQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQ_PH, MIPS_INS_SUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQ_S_PH, MIPS_INS_SUBQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBQ_S_W, MIPS_INS_SUBQ_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUS_U_B, MIPS_INS_SUBSUS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUS_U_D, MIPS_INS_SUBSUS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUS_U_H, MIPS_INS_SUBSUS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUS_U_W, MIPS_INS_SUBSUS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUU_S_B, MIPS_INS_SUBSUU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUU_S_D, MIPS_INS_SUBSUU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUU_S_H, MIPS_INS_SUBSUU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBSUU_S_W, MIPS_INS_SUBSUU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_S_B, MIPS_INS_SUBS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_S_D, MIPS_INS_SUBS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_S_H, MIPS_INS_SUBS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_S_W, MIPS_INS_SUBS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_U_B, MIPS_INS_SUBS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_U_D, MIPS_INS_SUBS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_U_H, MIPS_INS_SUBS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBS_U_W, MIPS_INS_SUBS_U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBUH_QB, MIPS_INS_SUBUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBUH_R_QB, MIPS_INS_SUBUH_R,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBU_PH, MIPS_INS_SUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBU_QB, MIPS_INS_SUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBU_S_PH, MIPS_INS_SUBU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBU_S_QB, MIPS_INS_SUBU_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBVI_B, MIPS_INS_SUBVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBVI_D, MIPS_INS_SUBVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBVI_H, MIPS_INS_SUBVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBVI_W, MIPS_INS_SUBVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBV_B, MIPS_INS_SUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBV_D, MIPS_INS_SUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBV_H, MIPS_INS_SUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBV_W, MIPS_INS_SUBV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUB_MM, MIPS_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBu, MIPS_INS_SUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUBu_MM, MIPS_INS_SUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUXC1, MIPS_INS_SUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUXC164, MIPS_INS_SUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SUXC1_MM, MIPS_INS_SUXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SW, MIPS_INS_SW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SW64, MIPS_INS_SW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWC1, MIPS_INS_SWC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWC1_MM, MIPS_INS_SWC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWC2, MIPS_INS_SWC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWC2_R6, MIPS_INS_SWC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWC3, MIPS_INS_SWC3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWL, MIPS_INS_SWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWL64, MIPS_INS_SWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWL_MM, MIPS_INS_SWL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWR, MIPS_INS_SWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWR64, MIPS_INS_SWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWR_MM, MIPS_INS_SWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWXC1, MIPS_INS_SWXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SWXC1_MM, MIPS_INS_SWXC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SW_MM, MIPS_INS_SW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SYNC, MIPS_INS_SYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SYNC_MM, MIPS_INS_SYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SYSCALL, MIPS_INS_SYSCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SYSCALL_MM, MIPS_INS_SYSCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SbRxRyOffMemX16, MIPS_INS_SB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SebRx16, MIPS_INS_SEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SehRx16, MIPS_INS_SEH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_ShRxRyOffMemX16, MIPS_INS_SH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SllX16, MIPS_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SllvRxRy16, MIPS_INS_SLLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltRxRy16, MIPS_INS_SLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltiRxImm16, MIPS_INS_SLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltiRxImmX16, MIPS_INS_SLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltiuRxImm16, MIPS_INS_SLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltiuRxImmX16, MIPS_INS_SLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SltuRxRy16, MIPS_INS_SLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SraX16, MIPS_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SravRxRy16, MIPS_INS_SRAV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SrlX16, MIPS_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SrlvRxRy16, MIPS_INS_SRLV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SubuRxRyRz16, MIPS_INS_SUBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SwRxRyOffMemX16, MIPS_INS_SW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_SwRxSpImmX16, MIPS_INS_SW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TEQ, MIPS_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TEQI, MIPS_INS_TEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TEQI_MM, MIPS_INS_TEQI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TEQ_MM, MIPS_INS_TEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGE, MIPS_INS_TGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEI, MIPS_INS_TGEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEIU, MIPS_INS_TGEIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEIU_MM, MIPS_INS_TGEIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEI_MM, MIPS_INS_TGEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEU, MIPS_INS_TGEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGEU_MM, MIPS_INS_TGEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TGE_MM, MIPS_INS_TGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBP, MIPS_INS_TLBP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBP_MM, MIPS_INS_TLBP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBR, MIPS_INS_TLBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBR_MM, MIPS_INS_TLBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBWI, MIPS_INS_TLBWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBWI_MM, MIPS_INS_TLBWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBWR, MIPS_INS_TLBWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLBWR_MM, MIPS_INS_TLBWR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLT, MIPS_INS_TLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLTI, MIPS_INS_TLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLTIU_MM, MIPS_INS_TLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLTI_MM, MIPS_INS_TLTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLTU, MIPS_INS_TLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLTU_MM, MIPS_INS_TLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TLT_MM, MIPS_INS_TLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TNE, MIPS_INS_TNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TNEI, MIPS_INS_TNEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TNEI_MM, MIPS_INS_TNEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TNE_MM, MIPS_INS_TNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_L_D64, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_L_S, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_W_D32, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_W_D64, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_W_MM, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_W_S, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TRUNC_W_S_MM, MIPS_INS_TRUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_TTLTIU, MIPS_INS_TLTIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_UDIV, MIPS_INS_DIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_UDIV_MM, MIPS_INS_DIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_V3MULU, MIPS_INS_V3MULU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VMM0, MIPS_INS_VMM0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_MPL0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VMULU, MIPS_INS_VMULU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { MIPS_REG_MPL1, MIPS_REG_MPL2, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VSHF_B, MIPS_INS_VSHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VSHF_D, MIPS_INS_VSHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VSHF_H, MIPS_INS_VSHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_VSHF_W, MIPS_INS_VSHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_WAIT, MIPS_INS_WAIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_WAIT_MM, MIPS_INS_WAIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_WRDSP, MIPS_INS_WRDSP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_WSBH, MIPS_INS_WSBH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_WSBH_MM, MIPS_INS_WSBH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XOR, MIPS_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XOR64, MIPS_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XORI_B, MIPS_INS_XORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XOR_MM, MIPS_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XOR_V, MIPS_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XORi, MIPS_INS_XORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
-#endif
-	},
-	{
-		Mips_XORi64, MIPS_INS_XORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+	{ MIPS_REG_PC, "pc"},
+
+	//{ MIPS_REG_0, "0"},
+	{ MIPS_REG_0, "zero"},
+	{ MIPS_REG_1, "at"},
+	//{ MIPS_REG_1, "1"},
+	{ MIPS_REG_2, "v0"},
+	//{ MIPS_REG_2, "2"},
+	{ MIPS_REG_3, "v1"},
+	//{ MIPS_REG_3, "3"},
+	{ MIPS_REG_4, "a0"},
+	//{ MIPS_REG_4, "4"},
+	{ MIPS_REG_5, "a1"},
+	//{ MIPS_REG_5, "5"},
+	{ MIPS_REG_6, "a2"},
+	//{ MIPS_REG_6, "6"},
+	{ MIPS_REG_7, "a3"},
+	//{ MIPS_REG_7, "7"},
+	{ MIPS_REG_8, "t0"},
+	//{ MIPS_REG_8, "8"},
+	{ MIPS_REG_9, "t1"},
+	//{ MIPS_REG_9, "9"},
+	{ MIPS_REG_10, "t2"},
+	//{ MIPS_REG_10, "10"},
+	{ MIPS_REG_11, "t3"},
+	//{ MIPS_REG_11, "11"},
+	{ MIPS_REG_12, "t4"},
+	//{ MIPS_REG_12, "12"},
+	{ MIPS_REG_13, "t5"},
+	//{ MIPS_REG_13, "13"},
+	{ MIPS_REG_14, "t6"},
+	//{ MIPS_REG_14, "14"},
+	{ MIPS_REG_15, "t7"},
+	//{ MIPS_REG_15, "15"},
+	{ MIPS_REG_16, "s0"},
+	//{ MIPS_REG_16, "16"},
+	{ MIPS_REG_17, "s1"},
+	//{ MIPS_REG_17, "17"},
+	{ MIPS_REG_18, "s2"},
+	//{ MIPS_REG_18, "18"},
+	{ MIPS_REG_19, "s3"},
+	//{ MIPS_REG_19, "19"},
+	{ MIPS_REG_20, "s4"},
+	//{ MIPS_REG_20, "20"},
+	{ MIPS_REG_21, "s5"},
+	//{ MIPS_REG_21, "21"},
+	{ MIPS_REG_22, "s6"},
+	//{ MIPS_REG_22, "22"},
+	{ MIPS_REG_23, "s7"},
+	//{ MIPS_REG_23, "23"},
+	{ MIPS_REG_24, "t8"},
+	//{ MIPS_REG_24, "24"},
+	{ MIPS_REG_25, "t9"},
+	//{ MIPS_REG_25, "25"},
+	{ MIPS_REG_26, "k0"},
+	//{ MIPS_REG_26, "26"},
+	{ MIPS_REG_27, "k1"},
+	//{ MIPS_REG_27, "27"},
+	{ MIPS_REG_28, "gp"},
+	//{ MIPS_REG_28, "28"},
+	{ MIPS_REG_29, "sp"},
+	//{ MIPS_REG_29, "29"},
+	{ MIPS_REG_30, "fp"},
+	//{ MIPS_REG_30, "30"},
+	{ MIPS_REG_31, "ra"},
+	//{ MIPS_REG_31, "31"},
+
+	{ MIPS_REG_DSPCCOND, "dspccond"},
+	{ MIPS_REG_DSPCARRY, "dspcarry"},
+	{ MIPS_REG_DSPEFI, "dspefi"},
+	{ MIPS_REG_DSPOUTFLAG, "dspoutflag"},
+	{ MIPS_REG_DSPOUTFLAG16_19, "dspoutflag16_19"},
+	{ MIPS_REG_DSPOUTFLAG20, "dspoutflag20"},
+	{ MIPS_REG_DSPOUTFLAG21, "dspoutflag21"},
+	{ MIPS_REG_DSPOUTFLAG22, "dspoutflag22"},
+	{ MIPS_REG_DSPOUTFLAG23, "dspoutflag23"},
+	{ MIPS_REG_DSPPOS, "dsppos"},
+	{ MIPS_REG_DSPSCOUNT, "dspscount"},
+
+	{ MIPS_REG_AC0, "ac0"},
+	{ MIPS_REG_AC1, "ac1"},
+	{ MIPS_REG_AC2, "ac2"},
+	{ MIPS_REG_AC3, "ac3"},
+
+	{ MIPS_REG_CC0, "cc0"},
+	{ MIPS_REG_CC1, "cc1"},
+	{ MIPS_REG_CC2, "cc2"},
+	{ MIPS_REG_CC3, "cc3"},
+	{ MIPS_REG_CC4, "cc4"},
+	{ MIPS_REG_CC5, "cc5"},
+	{ MIPS_REG_CC6, "cc6"},
+	{ MIPS_REG_CC7, "cc7"},
+
+	{ MIPS_REG_F0, "f0"},
+	{ MIPS_REG_F1, "f1"},
+	{ MIPS_REG_F2, "f2"},
+	{ MIPS_REG_F3, "f3"},
+	{ MIPS_REG_F4, "f4"},
+	{ MIPS_REG_F5, "f5"},
+	{ MIPS_REG_F6, "f6"},
+	{ MIPS_REG_F7, "f7"},
+	{ MIPS_REG_F8, "f8"},
+	{ MIPS_REG_F9, "f9"},
+	{ MIPS_REG_F10, "f10"},
+	{ MIPS_REG_F11, "f11"},
+	{ MIPS_REG_F12, "f12"},
+	{ MIPS_REG_F13, "f13"},
+	{ MIPS_REG_F14, "f14"},
+	{ MIPS_REG_F15, "f15"},
+	{ MIPS_REG_F16, "f16"},
+	{ MIPS_REG_F17, "f17"},
+	{ MIPS_REG_F18, "f18"},
+	{ MIPS_REG_F19, "f19"},
+	{ MIPS_REG_F20, "f20"},
+	{ MIPS_REG_F21, "f21"},
+	{ MIPS_REG_F22, "f22"},
+	{ MIPS_REG_F23, "f23"},
+	{ MIPS_REG_F24, "f24"},
+	{ MIPS_REG_F25, "f25"},
+	{ MIPS_REG_F26, "f26"},
+	{ MIPS_REG_F27, "f27"},
+	{ MIPS_REG_F28, "f28"},
+	{ MIPS_REG_F29, "f29"},
+	{ MIPS_REG_F30, "f30"},
+	{ MIPS_REG_F31, "f31"},
+
+	{ MIPS_REG_FCC0, "fcc0"},
+	{ MIPS_REG_FCC1, "fcc1"},
+	{ MIPS_REG_FCC2, "fcc2"},
+	{ MIPS_REG_FCC3, "fcc3"},
+	{ MIPS_REG_FCC4, "fcc4"},
+	{ MIPS_REG_FCC5, "fcc5"},
+	{ MIPS_REG_FCC6, "fcc6"},
+	{ MIPS_REG_FCC7, "fcc7"},
+
+	{ MIPS_REG_W0, "w0"},
+	{ MIPS_REG_W1, "w1"},
+	{ MIPS_REG_W2, "w2"},
+	{ MIPS_REG_W3, "w3"},
+	{ MIPS_REG_W4, "w4"},
+	{ MIPS_REG_W5, "w5"},
+	{ MIPS_REG_W6, "w6"},
+	{ MIPS_REG_W7, "w7"},
+	{ MIPS_REG_W8, "w8"},
+	{ MIPS_REG_W9, "w9"},
+	{ MIPS_REG_W10, "w10"},
+	{ MIPS_REG_W11, "w11"},
+	{ MIPS_REG_W12, "w12"},
+	{ MIPS_REG_W13, "w13"},
+	{ MIPS_REG_W14, "w14"},
+	{ MIPS_REG_W15, "w15"},
+	{ MIPS_REG_W16, "w16"},
+	{ MIPS_REG_W17, "w17"},
+	{ MIPS_REG_W18, "w18"},
+	{ MIPS_REG_W19, "w19"},
+	{ MIPS_REG_W20, "w20"},
+	{ MIPS_REG_W21, "w21"},
+	{ MIPS_REG_W22, "w22"},
+	{ MIPS_REG_W23, "w23"},
+	{ MIPS_REG_W24, "w24"},
+	{ MIPS_REG_W25, "w25"},
+	{ MIPS_REG_W26, "w26"},
+	{ MIPS_REG_W27, "w27"},
+	{ MIPS_REG_W28, "w28"},
+	{ MIPS_REG_W29, "w29"},
+	{ MIPS_REG_W30, "w30"},
+	{ MIPS_REG_W31, "w31"},
+
+	{ MIPS_REG_HI, "hi"},
+	{ MIPS_REG_LO, "lo"},
+
+	{ MIPS_REG_P0, "p0"},
+	{ MIPS_REG_P1, "p1"},
+	{ MIPS_REG_P2, "p2"},
+
+	{ MIPS_REG_MPL0, "mpl0"},
+	{ MIPS_REG_MPL1, "mpl1"},
+	{ MIPS_REG_MPL2, "mpl2"},
+};
 #endif
-	},
-	{
-		Mips_XORi_MM, MIPS_INS_XORI,
+
+const char *Mips_reg_name(csh handle, unsigned int reg)
+{
 #ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+	if (reg >= ARR_SIZE(reg_name_maps))
+		return NULL;
+
+	return reg_name_maps[reg].name;
+#else
+	return NULL;
 #endif
-	},
+}
+
+static insn_map insns[] = {
+	// dummy item
 	{
-		Mips_XorRxRxRy16, MIPS_INS_XOR,
+		0, 0,
 #ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+		{ 0 }, { 0 }, { 0 }, 0, 0
 #endif
 	},
+
+#include "MipsMappingInsn.inc"
 };
 
 // given internal insn id, return public instruction info
@@ -9231,7 +240,7 @@ void Mips_get_insn_id(cs_struct *h, cs_i
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			if (insns[i].branch || insns[i].indirect_branch) {
 				// this insn also belongs to JUMP group. add JUMP group
@@ -9249,6 +258,10 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_ABSQ_S, "absq_s" },
 	{ MIPS_INS_ADD, "add" },
 	{ MIPS_INS_ADDIUPC, "addiupc" },
+	{ MIPS_INS_ADDIUR1SP, "addiur1sp" },
+	{ MIPS_INS_ADDIUR2, "addiur2" },
+	{ MIPS_INS_ADDIUS5, "addius5" },
+	{ MIPS_INS_ADDIUSP, "addiusp" },
 	{ MIPS_INS_ADDQH, "addqh" },
 	{ MIPS_INS_ADDQH_R, "addqh_r" },
 	{ MIPS_INS_ADDQ, "addq" },
@@ -9257,6 +270,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_ADDS_A, "adds_a" },
 	{ MIPS_INS_ADDS_S, "adds_s" },
 	{ MIPS_INS_ADDS_U, "adds_u" },
+	{ MIPS_INS_ADDU16, "addu16" },
 	{ MIPS_INS_ADDUH, "adduh" },
 	{ MIPS_INS_ADDUH_R, "adduh_r" },
 	{ MIPS_INS_ADDU, "addu" },
@@ -9270,6 +284,8 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_ALIGN, "align" },
 	{ MIPS_INS_ALUIPC, "aluipc" },
 	{ MIPS_INS_AND, "and" },
+	{ MIPS_INS_AND16, "and16" },
+	{ MIPS_INS_ANDI16, "andi16" },
 	{ MIPS_INS_ANDI, "andi" },
 	{ MIPS_INS_APPEND, "append" },
 	{ MIPS_INS_ASUB_S, "asub_s" },
@@ -9280,10 +296,15 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_AVER_U, "aver_u" },
 	{ MIPS_INS_AVE_S, "ave_s" },
 	{ MIPS_INS_AVE_U, "ave_u" },
+	{ MIPS_INS_B16, "b16" },
 	{ MIPS_INS_BADDU, "baddu" },
 	{ MIPS_INS_BAL, "bal" },
 	{ MIPS_INS_BALC, "balc" },
 	{ MIPS_INS_BALIGN, "balign" },
+	{ MIPS_INS_BBIT0, "bbit0" },
+	{ MIPS_INS_BBIT032, "bbit032" },
+	{ MIPS_INS_BBIT1, "bbit1" },
+	{ MIPS_INS_BBIT132, "bbit132" },
 	{ MIPS_INS_BC, "bc" },
 	{ MIPS_INS_BC0F, "bc0f" },
 	{ MIPS_INS_BC0FL, "bc0fl" },
@@ -9310,6 +331,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_BEQ, "beq" },
 	{ MIPS_INS_BEQC, "beqc" },
 	{ MIPS_INS_BEQL, "beql" },
+	{ MIPS_INS_BEQZ16, "beqz16" },
 	{ MIPS_INS_BEQZALC, "beqzalc" },
 	{ MIPS_INS_BEQZC, "beqzc" },
 	{ MIPS_INS_BGEC, "bgec" },
@@ -9353,6 +375,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_BNEGI, "bnegi" },
 	{ MIPS_INS_BNEG, "bneg" },
 	{ MIPS_INS_BNEL, "bnel" },
+	{ MIPS_INS_BNEZ16, "bnez16" },
 	{ MIPS_INS_BNEZALC, "bnezalc" },
 	{ MIPS_INS_BNEZC, "bnezc" },
 	{ MIPS_INS_BNVC, "bnvc" },
@@ -9360,6 +383,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_BOVC, "bovc" },
 	{ MIPS_INS_BPOSGE32, "bposge32" },
 	{ MIPS_INS_BREAK, "break" },
+	{ MIPS_INS_BREAK16, "break16" },
 	{ MIPS_INS_BSELI, "bseli" },
 	{ MIPS_INS_BSEL, "bsel" },
 	{ MIPS_INS_BSETI, "bseti" },
@@ -9569,16 +593,19 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_J, "j" },
 	{ MIPS_INS_JAL, "jal" },
 	{ MIPS_INS_JALR, "jalr" },
+	{ MIPS_INS_JALRS16, "jalrs16" },
 	{ MIPS_INS_JALRS, "jalrs" },
 	{ MIPS_INS_JALS, "jals" },
 	{ MIPS_INS_JALX, "jalx" },
 	{ MIPS_INS_JIALC, "jialc" },
 	{ MIPS_INS_JIC, "jic" },
 	{ MIPS_INS_JR, "jr" },
+	{ MIPS_INS_JR16, "jr16" },
 	{ MIPS_INS_JRADDIUSP, "jraddiusp" },
 	{ MIPS_INS_JRC, "jrc" },
 	{ MIPS_INS_JALRC, "jalrc" },
 	{ MIPS_INS_LB, "lb" },
+	{ MIPS_INS_LBU16, "lbu16" },
 	{ MIPS_INS_LBUX, "lbux" },
 	{ MIPS_INS_LBU, "lbu" },
 	{ MIPS_INS_LD, "ld" },
@@ -9591,24 +618,31 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_LDR, "ldr" },
 	{ MIPS_INS_LDXC1, "ldxc1" },
 	{ MIPS_INS_LH, "lh" },
+	{ MIPS_INS_LHU16, "lhu16" },
 	{ MIPS_INS_LHX, "lhx" },
 	{ MIPS_INS_LHU, "lhu" },
+	{ MIPS_INS_LI16, "li16" },
 	{ MIPS_INS_LL, "ll" },
 	{ MIPS_INS_LLD, "lld" },
 	{ MIPS_INS_LSA, "lsa" },
 	{ MIPS_INS_LUXC1, "luxc1" },
 	{ MIPS_INS_LUI, "lui" },
 	{ MIPS_INS_LW, "lw" },
+	{ MIPS_INS_LW16, "lw16" },
 	{ MIPS_INS_LWC1, "lwc1" },
 	{ MIPS_INS_LWC2, "lwc2" },
 	{ MIPS_INS_LWC3, "lwc3" },
 	{ MIPS_INS_LWL, "lwl" },
+	{ MIPS_INS_LWM16, "lwm16" },
+	{ MIPS_INS_LWM32, "lwm32" },
 	{ MIPS_INS_LWPC, "lwpc" },
+	{ MIPS_INS_LWP, "lwp" },
 	{ MIPS_INS_LWR, "lwr" },
 	{ MIPS_INS_LWUPC, "lwupc" },
 	{ MIPS_INS_LWU, "lwu" },
 	{ MIPS_INS_LWX, "lwx" },
 	{ MIPS_INS_LWXC1, "lwxc1" },
+	{ MIPS_INS_LWXS, "lwxs" },
 	{ MIPS_INS_LI, "li" },
 	{ MIPS_INS_MADD, "madd" },
 	{ MIPS_INS_MADDF, "maddf" },
@@ -9644,6 +678,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_MOD_S, "mod_s" },
 	{ MIPS_INS_MOD_U, "mod_u" },
 	{ MIPS_INS_MOVE, "move" },
+	{ MIPS_INS_MOVEP, "movep" },
 	{ MIPS_INS_MOVF, "movf" },
 	{ MIPS_INS_MOVN, "movn" },
 	{ MIPS_INS_MOVT, "movt" },
@@ -9688,8 +723,10 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_NMSUB, "nmsub" },
 	{ MIPS_INS_NOR, "nor" },
 	{ MIPS_INS_NORI, "nori" },
+	{ MIPS_INS_NOT16, "not16" },
 	{ MIPS_INS_NOT, "not" },
 	{ MIPS_INS_OR, "or" },
+	{ MIPS_INS_OR16, "or16" },
 	{ MIPS_INS_ORI, "ori" },
 	{ MIPS_INS_PACKRL, "packrl" },
 	{ MIPS_INS_PAUSE, "pause" },
@@ -9721,10 +758,12 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SAT_S, "sat_s" },
 	{ MIPS_INS_SAT_U, "sat_u" },
 	{ MIPS_INS_SB, "sb" },
+	{ MIPS_INS_SB16, "sb16" },
 	{ MIPS_INS_SC, "sc" },
 	{ MIPS_INS_SCD, "scd" },
 	{ MIPS_INS_SD, "sd" },
 	{ MIPS_INS_SDBBP, "sdbbp" },
+	{ MIPS_INS_SDBBP16, "sdbbp16" },
 	{ MIPS_INS_SDC1, "sdc1" },
 	{ MIPS_INS_SDC2, "sdc2" },
 	{ MIPS_INS_SDC3, "sdc3" },
@@ -9739,6 +778,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SEQ, "seq" },
 	{ MIPS_INS_SEQI, "seqi" },
 	{ MIPS_INS_SH, "sh" },
+	{ MIPS_INS_SH16, "sh16" },
 	{ MIPS_INS_SHF, "shf" },
 	{ MIPS_INS_SHILO, "shilo" },
 	{ MIPS_INS_SHILOV, "shilov" },
@@ -9755,6 +795,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SLDI, "sldi" },
 	{ MIPS_INS_SLD, "sld" },
 	{ MIPS_INS_SLL, "sll" },
+	{ MIPS_INS_SLL16, "sll16" },
 	{ MIPS_INS_SLLI, "slli" },
 	{ MIPS_INS_SLLV, "sllv" },
 	{ MIPS_INS_SLT, "slt" },
@@ -9771,6 +812,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SRAR, "srar" },
 	{ MIPS_INS_SRAV, "srav" },
 	{ MIPS_INS_SRL, "srl" },
+	{ MIPS_INS_SRL16, "srl16" },
 	{ MIPS_INS_SRLI, "srli" },
 	{ MIPS_INS_SRLRI, "srlri" },
 	{ MIPS_INS_SRLR, "srlr" },
@@ -9785,6 +827,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SUBSUU_S, "subsuu_s" },
 	{ MIPS_INS_SUBS_S, "subs_s" },
 	{ MIPS_INS_SUBS_U, "subs_u" },
+	{ MIPS_INS_SUBU16, "subu16" },
 	{ MIPS_INS_SUBUH, "subuh" },
 	{ MIPS_INS_SUBUH_R, "subuh_r" },
 	{ MIPS_INS_SUBU, "subu" },
@@ -9793,13 +836,18 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_SUBV, "subv" },
 	{ MIPS_INS_SUXC1, "suxc1" },
 	{ MIPS_INS_SW, "sw" },
+	{ MIPS_INS_SW16, "sw16" },
 	{ MIPS_INS_SWC1, "swc1" },
 	{ MIPS_INS_SWC2, "swc2" },
 	{ MIPS_INS_SWC3, "swc3" },
 	{ MIPS_INS_SWL, "swl" },
+	{ MIPS_INS_SWM16, "swm16" },
+	{ MIPS_INS_SWM32, "swm32" },
+	{ MIPS_INS_SWP, "swp" },
 	{ MIPS_INS_SWR, "swr" },
 	{ MIPS_INS_SWXC1, "swxc1" },
 	{ MIPS_INS_SYNC, "sync" },
+	{ MIPS_INS_SYNCI, "synci" },
 	{ MIPS_INS_SYSCALL, "syscall" },
 	{ MIPS_INS_TEQ, "teq" },
 	{ MIPS_INS_TEQI, "teqi" },
@@ -9826,6 +874,7 @@ static const name_map insn_name_maps[] =
 	{ MIPS_INS_WRDSP, "wrdsp" },
 	{ MIPS_INS_WSBH, "wsbh" },
 	{ MIPS_INS_XOR, "xor" },
+	{ MIPS_INS_XOR16, "xor16" },
 	{ MIPS_INS_XORI, "xori" },
 
 	// alias instructions
@@ -9853,6 +902,12 @@ static const name_map group_name_maps[]
 	// generic groups
 	{ MIPS_GRP_INVALID, NULL },
 	{ MIPS_GRP_JUMP, "jump" },
+	{ MIPS_GRP_CALL, "call" },
+	{ MIPS_GRP_RET, "ret" },
+	{ MIPS_GRP_INT, "int" },
+	{ MIPS_GRP_IRET, "iret" },
+	{ MIPS_GRP_PRIVILEGE, "privileged" },
+	{ MIPS_GRP_BRANCH_RELATIVE, "branch_relative" },
 
 	// architecture-specific groups
 	{ MIPS_GRP_BITCOUNT, "bitcount" },
@@ -9899,15 +954,7 @@ static const name_map group_name_maps[]
 const char *Mips_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= MIPS_GRP_ENDING || (id > MIPS_GRP_JUMP && id < MIPS_GRP_BITCOUNT))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
@@ -9935,7 +982,7 @@ mips_reg Mips_map_register(unsigned int
 		MIPS_REG_AT, MIPS_REG_DSPCCOND, MIPS_REG_DSPCARRY, MIPS_REG_DSPEFI, MIPS_REG_DSPOUTFLAG,
 		MIPS_REG_DSPPOS, MIPS_REG_DSPSCOUNT, MIPS_REG_FP, MIPS_REG_GP, MIPS_REG_2,
 		MIPS_REG_1, MIPS_REG_0, MIPS_REG_6, MIPS_REG_4, MIPS_REG_5,
-		MIPS_REG_3, MIPS_REG_7, 0, MIPS_REG_RA, MIPS_REG_SP,
+		MIPS_REG_3, MIPS_REG_7, MIPS_REG_PC, MIPS_REG_RA, MIPS_REG_SP,
 		MIPS_REG_ZERO, MIPS_REG_A0, MIPS_REG_A1, MIPS_REG_A2, MIPS_REG_A3,
 		MIPS_REG_AC0, MIPS_REG_AC1, MIPS_REG_AC2, MIPS_REG_AC3, MIPS_REG_AT,
 		MIPS_REG_CC0, MIPS_REG_CC1, MIPS_REG_CC2, MIPS_REG_CC3, MIPS_REG_CC4,
@@ -9978,8 +1025,8 @@ mips_reg Mips_map_register(unsigned int
 		MIPS_REG_F20, MIPS_REG_F21, MIPS_REG_F22, MIPS_REG_F23, MIPS_REG_F24,
 		MIPS_REG_F25, MIPS_REG_F26, MIPS_REG_F27, MIPS_REG_F28, MIPS_REG_F29,
 		MIPS_REG_F30, MIPS_REG_F31, MIPS_REG_GP, MIPS_REG_AC0, MIPS_REG_AC1,
-		MIPS_REG_AC2, MIPS_REG_AC3, MIPS_REG_0, MIPS_REG_1, MIPS_REG_2,
-		MIPS_REG_3, MIPS_REG_4, MIPS_REG_5, MIPS_REG_6, MIPS_REG_7,
+		MIPS_REG_AC2, MIPS_REG_AC3, 0, 0, 0,
+		0, MIPS_REG_4, MIPS_REG_5, MIPS_REG_6, MIPS_REG_7,
 		MIPS_REG_8, MIPS_REG_9, MIPS_REG_10, MIPS_REG_11, MIPS_REG_12,
 		MIPS_REG_13, MIPS_REG_14, MIPS_REG_15, MIPS_REG_16, MIPS_REG_17,
 		MIPS_REG_18, MIPS_REG_19, MIPS_REG_20, MIPS_REG_21, MIPS_REG_22,
@@ -10010,7 +1057,7 @@ mips_reg Mips_map_register(unsigned int
 		MIPS_REG_S2, MIPS_REG_S3, MIPS_REG_S4, MIPS_REG_S5, MIPS_REG_S6,
 		MIPS_REG_S7, MIPS_REG_T0, MIPS_REG_T1, MIPS_REG_T2, MIPS_REG_T3,
 		MIPS_REG_T4, MIPS_REG_T5, MIPS_REG_T6, MIPS_REG_T7, MIPS_REG_T8,
-		MIPS_REG_T9, MIPS_REG_V0, MIPS_REG_V1,
+		MIPS_REG_T9, MIPS_REG_V0, MIPS_REG_V1
 	};
 
 	if (r < ARR_SIZE(map))
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsMapping.h 4.0.2-3/arch/Mips/MipsMapping.h
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_MIPS_MAP_H
 #define CS_MIPS_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *Mips_reg_name(csh handle, unsigned int reg);
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsMappingInsn.inc 4.0.2-3/arch/Mips/MipsMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,9315 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	Mips_ABSQ_S_PH, MIPS_INS_ABSQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ABSQ_S_QB, MIPS_INS_ABSQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ABSQ_S_W, MIPS_INS_ABSQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUPC, MIPS_INS_ADDIUPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUPC_MM, MIPS_INS_ADDIUPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUR1SP_MM, MIPS_INS_ADDIUR1SP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUR2_MM, MIPS_INS_ADDIUR2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUS5_MM, MIPS_INS_ADDIUS5,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDIUSP_MM, MIPS_INS_ADDIUSP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQH_PH, MIPS_INS_ADDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQH_R_PH, MIPS_INS_ADDQH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQH_R_W, MIPS_INS_ADDQH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQH_W, MIPS_INS_ADDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQ_PH, MIPS_INS_ADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQ_S_PH, MIPS_INS_ADDQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDQ_S_W, MIPS_INS_ADDQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDSC, MIPS_INS_ADDSC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCARRY, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_A_B, MIPS_INS_ADDS_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_A_D, MIPS_INS_ADDS_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_A_H, MIPS_INS_ADDS_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_A_W, MIPS_INS_ADDS_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_S_B, MIPS_INS_ADDS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_S_D, MIPS_INS_ADDS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_S_H, MIPS_INS_ADDS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_S_W, MIPS_INS_ADDS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_U_B, MIPS_INS_ADDS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_U_D, MIPS_INS_ADDS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_U_H, MIPS_INS_ADDS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDS_U_W, MIPS_INS_ADDS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDU16_MM, MIPS_INS_ADDU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDUH_QB, MIPS_INS_ADDUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDUH_R_QB, MIPS_INS_ADDUH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDU_PH, MIPS_INS_ADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDU_QB, MIPS_INS_ADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDU_S_PH, MIPS_INS_ADDU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDU_S_QB, MIPS_INS_ADDU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDVI_B, MIPS_INS_ADDVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDVI_D, MIPS_INS_ADDVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDVI_H, MIPS_INS_ADDVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDVI_W, MIPS_INS_ADDVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDV_B, MIPS_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDV_D, MIPS_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDV_H, MIPS_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDV_W, MIPS_INS_ADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDWC, MIPS_INS_ADDWC,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPCARRY, 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD_A_B, MIPS_INS_ADD_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD_A_D, MIPS_INS_ADD_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD_A_H, MIPS_INS_ADD_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD_A_W, MIPS_INS_ADD_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADD_MM, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDi, MIPS_INS_ADDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDi_MM, MIPS_INS_ADDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDiu, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDiu_MM, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDu, MIPS_INS_ADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ADDu_MM, MIPS_INS_ADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ALIGN, MIPS_INS_ALIGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ALUIPC, MIPS_INS_ALUIPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AND, MIPS_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AND16_MM, MIPS_INS_AND16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AND64, MIPS_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ANDI16_MM, MIPS_INS_ANDI16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ANDI_B, MIPS_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AND_MM, MIPS_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AND_V, MIPS_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ANDi, MIPS_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ANDi64, MIPS_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ANDi_MM, MIPS_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_APPEND, MIPS_INS_APPEND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_S_B, MIPS_INS_ASUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_S_D, MIPS_INS_ASUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_S_H, MIPS_INS_ASUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_S_W, MIPS_INS_ASUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_U_B, MIPS_INS_ASUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_U_D, MIPS_INS_ASUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_U_H, MIPS_INS_ASUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ASUB_U_W, MIPS_INS_ASUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AUI, MIPS_INS_AUI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AUIPC, MIPS_INS_AUIPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_S_B, MIPS_INS_AVER_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_S_D, MIPS_INS_AVER_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_S_H, MIPS_INS_AVER_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_S_W, MIPS_INS_AVER_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_U_B, MIPS_INS_AVER_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_U_D, MIPS_INS_AVER_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_U_H, MIPS_INS_AVER_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVER_U_W, MIPS_INS_AVER_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_S_B, MIPS_INS_AVE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_S_D, MIPS_INS_AVE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_S_H, MIPS_INS_AVE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_S_W, MIPS_INS_AVE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_U_B, MIPS_INS_AVE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_U_D, MIPS_INS_AVE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_U_H, MIPS_INS_AVE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AVE_U_W, MIPS_INS_AVE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuRxImmX16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuRxPcImmX16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuRxRxImm16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuRxRxImmX16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuRxRyOffMemX16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuSpImm16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_SP, 0 }, { MIPS_REG_SP, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AddiuSpImmX16, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_SP, 0 }, { MIPS_REG_SP, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AdduRxRyRz16, MIPS_INS_ADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_AndRxRxRy16, MIPS_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_B16_MM, MIPS_INS_B16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BADDu, MIPS_INS_BADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BAL, MIPS_INS_BAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BALC, MIPS_INS_BALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BALIGN, MIPS_INS_BALIGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BBIT0, MIPS_INS_BBIT0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_CNMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BBIT032, MIPS_INS_BBIT032,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_CNMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BBIT1, MIPS_INS_BBIT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_CNMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BBIT132, MIPS_INS_BBIT132,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_CNMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC, MIPS_INS_BC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC0F, MIPS_INS_BC0F,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC0FL, MIPS_INS_BC0FL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC0T, MIPS_INS_BC0T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC0TL, MIPS_INS_BC0TL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1EQZ, MIPS_INS_BC1EQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1F, MIPS_INS_BC1F,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1FL, MIPS_INS_BC1FL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1F_MM, MIPS_INS_BC1F,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1NEZ, MIPS_INS_BC1NEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1T, MIPS_INS_BC1T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1TL, MIPS_INS_BC1TL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC1T_MM, MIPS_INS_BC1T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2EQZ, MIPS_INS_BC2EQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2F, MIPS_INS_BC2F,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2FL, MIPS_INS_BC2FL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2NEZ, MIPS_INS_BC2NEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2T, MIPS_INS_BC2T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC2TL, MIPS_INS_BC2TL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC3F, MIPS_INS_BC3F,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC3FL, MIPS_INS_BC3FL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC3T, MIPS_INS_BC3T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BC3TL, MIPS_INS_BC3TL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BCLRI_B, MIPS_INS_BCLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLRI_D, MIPS_INS_BCLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLRI_H, MIPS_INS_BCLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLRI_W, MIPS_INS_BCLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLR_B, MIPS_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLR_D, MIPS_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLR_H, MIPS_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BCLR_W, MIPS_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BEQ, MIPS_INS_BEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQ64, MIPS_INS_BEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQC, MIPS_INS_BEQC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQL, MIPS_INS_BEQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQZ16_MM, MIPS_INS_BEQZ16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQZALC, MIPS_INS_BEQZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQZC, MIPS_INS_BEQZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQZC_MM, MIPS_INS_BEQZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BEQ_MM, MIPS_INS_BEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEC, MIPS_INS_BGEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEUC, MIPS_INS_BGEUC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZ, MIPS_INS_BGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZ64, MIPS_INS_BGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZAL, MIPS_INS_BGEZAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BGEZALC, MIPS_INS_BGEZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZALL, MIPS_INS_BGEZALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BGEZALS_MM, MIPS_INS_BGEZALS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BGEZAL_MM, MIPS_INS_BGEZAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BGEZC, MIPS_INS_BGEZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZL, MIPS_INS_BGEZL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGEZ_MM, MIPS_INS_BGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZ, MIPS_INS_BGTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZ64, MIPS_INS_BGTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZALC, MIPS_INS_BGTZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZC, MIPS_INS_BGTZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZL, MIPS_INS_BGTZL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BGTZ_MM, MIPS_INS_BGTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BINSLI_B, MIPS_INS_BINSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSLI_D, MIPS_INS_BINSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSLI_H, MIPS_INS_BINSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSLI_W, MIPS_INS_BINSLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSL_B, MIPS_INS_BINSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSL_D, MIPS_INS_BINSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSL_H, MIPS_INS_BINSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSL_W, MIPS_INS_BINSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSRI_B, MIPS_INS_BINSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSRI_D, MIPS_INS_BINSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSRI_H, MIPS_INS_BINSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSRI_W, MIPS_INS_BINSRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSR_B, MIPS_INS_BINSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSR_D, MIPS_INS_BINSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSR_H, MIPS_INS_BINSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BINSR_W, MIPS_INS_BINSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BITREV, MIPS_INS_BITREV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BITSWAP, MIPS_INS_BITSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BLEZ, MIPS_INS_BLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLEZ64, MIPS_INS_BLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLEZALC, MIPS_INS_BLEZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLEZC, MIPS_INS_BLEZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLEZL, MIPS_INS_BLEZL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLEZ_MM, MIPS_INS_BLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTC, MIPS_INS_BLTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTUC, MIPS_INS_BLTUC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZ, MIPS_INS_BLTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZ64, MIPS_INS_BLTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZAL, MIPS_INS_BLTZAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BLTZALC, MIPS_INS_BLTZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZALL, MIPS_INS_BLTZALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BLTZALS_MM, MIPS_INS_BLTZALS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BLTZAL_MM, MIPS_INS_BLTZAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BLTZC, MIPS_INS_BLTZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZL, MIPS_INS_BLTZL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BLTZ_MM, MIPS_INS_BLTZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BMNZI_B, MIPS_INS_BMNZI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BMNZ_V, MIPS_INS_BMNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BMZI_B, MIPS_INS_BMZI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BMZ_V, MIPS_INS_BMZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNE, MIPS_INS_BNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNE64, MIPS_INS_BNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEC, MIPS_INS_BNEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEGI_B, MIPS_INS_BNEGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEGI_D, MIPS_INS_BNEGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEGI_H, MIPS_INS_BNEGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEGI_W, MIPS_INS_BNEGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEG_B, MIPS_INS_BNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEG_D, MIPS_INS_BNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEG_H, MIPS_INS_BNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEG_W, MIPS_INS_BNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BNEL, MIPS_INS_BNEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEZ16_MM, MIPS_INS_BNEZ16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEZALC, MIPS_INS_BNEZALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEZC, MIPS_INS_BNEZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNEZC_MM, MIPS_INS_BNEZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNE_MM, MIPS_INS_BNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MICROMIPS, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNVC, MIPS_INS_BNVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNZ_B, MIPS_INS_BNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNZ_D, MIPS_INS_BNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNZ_H, MIPS_INS_BNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNZ_V, MIPS_INS_BNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BNZ_W, MIPS_INS_BNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BOVC, MIPS_INS_BOVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BPOSGE32, MIPS_INS_BPOSGE32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_DSP, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BREAK, MIPS_INS_BREAK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BREAK16_MM, MIPS_INS_BREAK16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BREAK_MM, MIPS_INS_BREAK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSELI_B, MIPS_INS_BSELI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSEL_V, MIPS_INS_BSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSETI_B, MIPS_INS_BSETI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSETI_D, MIPS_INS_BSETI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSETI_H, MIPS_INS_BSETI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSETI_W, MIPS_INS_BSETI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSET_B, MIPS_INS_BSET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSET_D, MIPS_INS_BSET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSET_H, MIPS_INS_BSET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BSET_W, MIPS_INS_BSET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_BZ_B, MIPS_INS_BZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BZ_D, MIPS_INS_BZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BZ_H, MIPS_INS_BZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BZ_V, MIPS_INS_BZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BZ_W, MIPS_INS_BZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MSA, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BeqzRxImm16, MIPS_INS_BEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BeqzRxImmX16, MIPS_INS_BEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_Bimm16, MIPS_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BimmX16, MIPS_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BnezRxImm16, MIPS_INS_BNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BnezRxImmX16, MIPS_INS_BNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_Break16, MIPS_INS_BREAK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_Bteqz16, MIPS_INS_BTEQZ,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BteqzX16, MIPS_INS_BTEQZ,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_Btnez16, MIPS_INS_BTNEZ,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_BtnezX16, MIPS_INS_BTNEZ,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_T8, 0 }, { 0 }, { MIPS_GRP_BRANCH_RELATIVE, MIPS_GRP_MIPS16MODE, 0 }, 1, 0
+#endif
+},
+{
+	Mips_CACHE, MIPS_INS_CACHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CACHE_MM, MIPS_INS_CACHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CACHE_R6, MIPS_INS_CACHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_L_D64, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_L_S, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_W_D32, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_W_D64, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_W_MM, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_W_S, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEIL_W_S_MM, MIPS_INS_CEIL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQI_B, MIPS_INS_CEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQI_D, MIPS_INS_CEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQI_H, MIPS_INS_CEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQI_W, MIPS_INS_CEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQ_B, MIPS_INS_CEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQ_D, MIPS_INS_CEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQ_H, MIPS_INS_CEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CEQ_W, MIPS_INS_CEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CFC1, MIPS_INS_CFC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CFC1_MM, MIPS_INS_CFC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CFCMSA, MIPS_INS_CFCMSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CINS, MIPS_INS_CINS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CINS32, MIPS_INS_CINS32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLASS_D, MIPS_INS_CLASS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLASS_S, MIPS_INS_CLASS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_S_B, MIPS_INS_CLEI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_S_D, MIPS_INS_CLEI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_S_H, MIPS_INS_CLEI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_S_W, MIPS_INS_CLEI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_U_B, MIPS_INS_CLEI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_U_D, MIPS_INS_CLEI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_U_H, MIPS_INS_CLEI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLEI_U_W, MIPS_INS_CLEI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_S_B, MIPS_INS_CLE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_S_D, MIPS_INS_CLE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_S_H, MIPS_INS_CLE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_S_W, MIPS_INS_CLE_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_U_B, MIPS_INS_CLE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_U_D, MIPS_INS_CLE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_U_H, MIPS_INS_CLE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLE_U_W, MIPS_INS_CLE_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLO, MIPS_INS_CLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLO_MM, MIPS_INS_CLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLO_R6, MIPS_INS_CLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_S_B, MIPS_INS_CLTI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_S_D, MIPS_INS_CLTI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_S_H, MIPS_INS_CLTI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_S_W, MIPS_INS_CLTI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_U_B, MIPS_INS_CLTI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_U_D, MIPS_INS_CLTI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_U_H, MIPS_INS_CLTI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLTI_U_W, MIPS_INS_CLTI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_S_B, MIPS_INS_CLT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_S_D, MIPS_INS_CLT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_S_H, MIPS_INS_CLT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_S_W, MIPS_INS_CLT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_U_B, MIPS_INS_CLT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_U_D, MIPS_INS_CLT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_U_H, MIPS_INS_CLT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLT_U_W, MIPS_INS_CLT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLZ, MIPS_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLZ_MM, MIPS_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CLZ_R6, MIPS_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGDU_EQ_QB, MIPS_INS_CMPGDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGDU_LE_QB, MIPS_INS_CMPGDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGDU_LT_QB, MIPS_INS_CMPGDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGU_EQ_QB, MIPS_INS_CMPGU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGU_LE_QB, MIPS_INS_CMPGU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPGU_LT_QB, MIPS_INS_CMPGU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPU_EQ_QB, MIPS_INS_CMPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPU_LE_QB, MIPS_INS_CMPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMPU_LT_QB, MIPS_INS_CMPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_EQ_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_EQ_PH, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_EQ_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_F_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_F_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LE_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LE_PH, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LE_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LT_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LT_PH, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPCCOND, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_LT_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SAF_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SAF_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SEQ_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SEQ_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SLE_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SLE_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SLT_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SLT_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SUEQ_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SUEQ_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SULE_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SULE_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SULT_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SULT_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SUN_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_SUN_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_UEQ_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_UEQ_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_ULE_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_ULE_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_ULT_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_ULT_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_UN_D, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CMP_UN_S, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_S_B, MIPS_INS_COPY_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_S_D, MIPS_INS_COPY_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_S_H, MIPS_INS_COPY_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_S_W, MIPS_INS_COPY_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_U_B, MIPS_INS_COPY_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_U_D, MIPS_INS_COPY_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_U_H, MIPS_INS_COPY_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_COPY_U_W, MIPS_INS_COPY_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CTC1, MIPS_INS_CTC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CTC1_MM, MIPS_INS_CTC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CTCMSA, MIPS_INS_CTCMSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D32_S, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D32_W, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D32_W_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D64_L, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D64_S, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D64_W, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_D_S_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_L_D64, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_L_D64_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_L_S, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_L_S_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_D32, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_D32_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_D64, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_L, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_W, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_S_W_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_W_D32, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_W_D64, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_W_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_W_S, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CVT_W_S_MM, MIPS_INS_CVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_EQ_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_EQ_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_EQ_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_F_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_F_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_F_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LE_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LE_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LE_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LT_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LT_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_LT_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGE_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGE_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGE_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGLE_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGLE_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGLE_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGL_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGL_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGL_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGT_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGT_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_NGT_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLE_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLE_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLE_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLT_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLT_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_OLT_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SEQ_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SEQ_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SEQ_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SF_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SF_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_SF_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UEQ_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UEQ_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UEQ_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULE_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULE_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULE_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULT_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULT_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_ULT_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UN_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UN_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_C_UN_S, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CmpRxRy16, MIPS_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CmpiRxImm16, MIPS_INS_CMPI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_CmpiRxImmX16, MIPS_INS_CMPI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DADD, MIPS_INS_DADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DADDi, MIPS_INS_DADDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DADDiu, MIPS_INS_DADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DADDu, MIPS_INS_DADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DAHI, MIPS_INS_DAHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DALIGN, MIPS_INS_DALIGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DATI, MIPS_INS_DATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DAUI, MIPS_INS_DAUI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DBITSWAP, MIPS_INS_DBITSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DCLO, MIPS_INS_DCLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DCLO_R6, MIPS_INS_DCLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DCLZ, MIPS_INS_DCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DCLZ_R6, MIPS_INS_DCLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DDIV, MIPS_INS_DDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DDIVU, MIPS_INS_DDIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DERET, MIPS_INS_DERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DERET_MM, MIPS_INS_DERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DEXT, MIPS_INS_DEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DEXTM, MIPS_INS_DEXTM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DEXTU, MIPS_INS_DEXTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DI, MIPS_INS_DI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DINS, MIPS_INS_DINS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DINSM, MIPS_INS_DINSM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DINSU, MIPS_INS_DINSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIVU, MIPS_INS_DIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_S_B, MIPS_INS_DIV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_S_D, MIPS_INS_DIV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_S_H, MIPS_INS_DIV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_S_W, MIPS_INS_DIV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_U_B, MIPS_INS_DIV_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_U_D, MIPS_INS_DIV_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_U_H, MIPS_INS_DIV_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DIV_U_W, MIPS_INS_DIV_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DI_MM, MIPS_INS_DI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DLSA, MIPS_INS_DLSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DLSA_R6, MIPS_INS_DLSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMFC0, MIPS_INS_DMFC0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMFC1, MIPS_INS_DMFC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMFC2, MIPS_INS_DMFC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMOD, MIPS_INS_DMOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMODU, MIPS_INS_DMODU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMTC0, MIPS_INS_DMTC0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMTC1, MIPS_INS_DMTC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMTC2, MIPS_INS_DMTC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMUH, MIPS_INS_DMUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMUHU, MIPS_INS_DMUHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMUL, MIPS_INS_DMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMULT, MIPS_INS_DMULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMULTu, MIPS_INS_DMULTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMULU, MIPS_INS_DMULU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DMUL_R6, MIPS_INS_DMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_S_D, MIPS_INS_DOTP_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_S_H, MIPS_INS_DOTP_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_S_W, MIPS_INS_DOTP_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_U_D, MIPS_INS_DOTP_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_U_H, MIPS_INS_DOTP_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DOTP_U_W, MIPS_INS_DOTP_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_S_D, MIPS_INS_DPADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_S_H, MIPS_INS_DPADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_S_W, MIPS_INS_DPADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_U_D, MIPS_INS_DPADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_U_H, MIPS_INS_DPADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPADD_U_W, MIPS_INS_DPADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAQX_SA_W_PH, MIPS_INS_DPAQX_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAQX_S_W_PH, MIPS_INS_DPAQX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAQ_SA_L_W, MIPS_INS_DPAQ_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAQ_S_W_PH, MIPS_INS_DPAQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAU_H_QBL, MIPS_INS_DPAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAU_H_QBR, MIPS_INS_DPAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPAX_W_PH, MIPS_INS_DPAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPA_W_PH, MIPS_INS_DPA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPOP, MIPS_INS_DPOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSQX_SA_W_PH, MIPS_INS_DPSQX_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSQX_S_W_PH, MIPS_INS_DPSQX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSQ_SA_L_W, MIPS_INS_DPSQ_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSQ_S_W_PH, MIPS_INS_DPSQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_S_D, MIPS_INS_DPSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_S_H, MIPS_INS_DPSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_S_W, MIPS_INS_DPSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_U_D, MIPS_INS_DPSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_U_H, MIPS_INS_DPSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSUB_U_W, MIPS_INS_DPSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSU_H_QBL, MIPS_INS_DPSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSU_H_QBR, MIPS_INS_DPSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPSX_W_PH, MIPS_INS_DPSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DPS_W_PH, MIPS_INS_DPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DROTR, MIPS_INS_DROTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DROTR32, MIPS_INS_DROTR32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DROTRV, MIPS_INS_DROTRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSBH, MIPS_INS_DSBH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSDIV, MIPS_INS_DDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSHD, MIPS_INS_DSHD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSLL, MIPS_INS_DSLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSLL32, MIPS_INS_DSLL32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSLL64_32, MIPS_INS_DSLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSLLV, MIPS_INS_DSLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRA, MIPS_INS_DSRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRA32, MIPS_INS_DSRA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRAV, MIPS_INS_DSRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRL, MIPS_INS_DSRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRL32, MIPS_INS_DSRL32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSRLV, MIPS_INS_DSRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSUB, MIPS_INS_DSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DSUBu, MIPS_INS_DSUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DUDIV, MIPS_INS_DDIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DivRxRy16, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_DivuRxRy16, MIPS_INS_DIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EHB, MIPS_INS_EHB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EHB_MM, MIPS_INS_EHB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EI, MIPS_INS_EI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EI_MM, MIPS_INS_EI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ERET, MIPS_INS_ERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ERET_MM, MIPS_INS_ERET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXT, MIPS_INS_EXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTP, MIPS_INS_EXTP,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTPDP, MIPS_INS_EXTPDP,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPPOS, MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTPDPV, MIPS_INS_EXTPDPV,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPPOS, MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTPV, MIPS_INS_EXTPV,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPPOS, 0 }, { MIPS_REG_DSPEFI, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTRV_RS_W, MIPS_INS_EXTRV_RS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTRV_R_W, MIPS_INS_EXTRV_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTRV_S_H, MIPS_INS_EXTRV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTRV_W, MIPS_INS_EXTRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTR_RS_W, MIPS_INS_EXTR_RS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTR_R_W, MIPS_INS_EXTR_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTR_S_H, MIPS_INS_EXTR_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTR_W, MIPS_INS_EXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG23, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTS, MIPS_INS_EXTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXTS32, MIPS_INS_EXTS32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_EXT_MM, MIPS_INS_EXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FABS_D32, MIPS_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FABS_D64, MIPS_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FABS_MM, MIPS_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FABS_S, MIPS_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FABS_S_MM, MIPS_INS_ABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_D, MIPS_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_D32, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_D64, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_MM, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_S, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_S_MM, MIPS_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FADD_W, MIPS_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCAF_D, MIPS_INS_FCAF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCAF_W, MIPS_INS_FCAF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCEQ_D, MIPS_INS_FCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCEQ_W, MIPS_INS_FCEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLASS_D, MIPS_INS_FCLASS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLASS_W, MIPS_INS_FCLASS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLE_D, MIPS_INS_FCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLE_W, MIPS_INS_FCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLT_D, MIPS_INS_FCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCLT_W, MIPS_INS_FCLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCMP_D32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCMP_D32_MM, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCMP_D64, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCMP_S32, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCMP_S32_MM, MIPS_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_FCC0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCNE_D, MIPS_INS_FCNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCNE_W, MIPS_INS_FCNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCOR_D, MIPS_INS_FCOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCOR_W, MIPS_INS_FCOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUEQ_D, MIPS_INS_FCUEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUEQ_W, MIPS_INS_FCUEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCULE_D, MIPS_INS_FCULE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCULE_W, MIPS_INS_FCULE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCULT_D, MIPS_INS_FCULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCULT_W, MIPS_INS_FCULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUNE_D, MIPS_INS_FCUNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUNE_W, MIPS_INS_FCUNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUN_D, MIPS_INS_FCUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FCUN_W, MIPS_INS_FCUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_D, MIPS_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_D32, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_D64, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_MM, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_S, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_S_MM, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FDIV_W, MIPS_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXDO_H, MIPS_INS_FEXDO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXDO_W, MIPS_INS_FEXDO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXP2_D, MIPS_INS_FEXP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXP2_W, MIPS_INS_FEXP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXUPL_D, MIPS_INS_FEXUPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXUPL_W, MIPS_INS_FEXUPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXUPR_D, MIPS_INS_FEXUPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FEXUPR_W, MIPS_INS_FEXUPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFINT_S_D, MIPS_INS_FFINT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFINT_S_W, MIPS_INS_FFINT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFINT_U_D, MIPS_INS_FFINT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFINT_U_W, MIPS_INS_FFINT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFQL_D, MIPS_INS_FFQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFQL_W, MIPS_INS_FFQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFQR_D, MIPS_INS_FFQR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FFQR_W, MIPS_INS_FFQR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FILL_B, MIPS_INS_FILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FILL_D, MIPS_INS_FILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FILL_H, MIPS_INS_FILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FILL_W, MIPS_INS_FILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOG2_D, MIPS_INS_FLOG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOG2_W, MIPS_INS_FLOG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_L_D64, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_L_S, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_W_D32, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_W_D64, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_W_MM, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_W_S, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FLOOR_W_S_MM, MIPS_INS_FLOOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMADD_D, MIPS_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMADD_W, MIPS_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMAX_A_D, MIPS_INS_FMAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMAX_A_W, MIPS_INS_FMAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMAX_D, MIPS_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMAX_W, MIPS_INS_FMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMIN_A_D, MIPS_INS_FMIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMIN_A_W, MIPS_INS_FMIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMIN_D, MIPS_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMIN_W, MIPS_INS_FMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMOV_D32, MIPS_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMOV_D32_MM, MIPS_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMOV_D64, MIPS_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMOV_S, MIPS_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMOV_S_MM, MIPS_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMSUB_D, MIPS_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMSUB_W, MIPS_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_D, MIPS_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_D32, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_D64, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_MM, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_S, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_S_MM, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FMUL_W, MIPS_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FNEG_D32, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FNEG_D64, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FNEG_MM, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FNEG_S, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FNEG_S_MM, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRCP_D, MIPS_INS_FRCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRCP_W, MIPS_INS_FRCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRINT_D, MIPS_INS_FRINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRINT_W, MIPS_INS_FRINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRSQRT_D, MIPS_INS_FRSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FRSQRT_W, MIPS_INS_FRSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSAF_D, MIPS_INS_FSAF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSAF_W, MIPS_INS_FSAF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSEQ_D, MIPS_INS_FSEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSEQ_W, MIPS_INS_FSEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSLE_D, MIPS_INS_FSLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSLE_W, MIPS_INS_FSLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSLT_D, MIPS_INS_FSLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSLT_W, MIPS_INS_FSLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSNE_D, MIPS_INS_FSNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSNE_W, MIPS_INS_FSNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSOR_D, MIPS_INS_FSOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSOR_W, MIPS_INS_FSOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_D, MIPS_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_D32, MIPS_INS_SQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_D64, MIPS_INS_SQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_MM, MIPS_INS_SQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_S, MIPS_INS_SQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_S_MM, MIPS_INS_SQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSQRT_W, MIPS_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_D, MIPS_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_D32, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_D64, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_MM, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_S, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_S_MM, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUB_W, MIPS_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUEQ_D, MIPS_INS_FSUEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUEQ_W, MIPS_INS_FSUEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSULE_D, MIPS_INS_FSULE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSULE_W, MIPS_INS_FSULE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSULT_D, MIPS_INS_FSULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSULT_W, MIPS_INS_FSULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUNE_D, MIPS_INS_FSUNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUNE_W, MIPS_INS_FSUNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUN_D, MIPS_INS_FSUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FSUN_W, MIPS_INS_FSUN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTINT_S_D, MIPS_INS_FTINT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTINT_S_W, MIPS_INS_FTINT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTINT_U_D, MIPS_INS_FTINT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTINT_U_W, MIPS_INS_FTINT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTQ_H, MIPS_INS_FTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTQ_W, MIPS_INS_FTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTRUNC_S_D, MIPS_INS_FTRUNC_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTRUNC_S_W, MIPS_INS_FTRUNC_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTRUNC_U_D, MIPS_INS_FTRUNC_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_FTRUNC_U_W, MIPS_INS_FTRUNC_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_S_D, MIPS_INS_HADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_S_H, MIPS_INS_HADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_S_W, MIPS_INS_HADD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_U_D, MIPS_INS_HADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_U_H, MIPS_INS_HADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HADD_U_W, MIPS_INS_HADD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_S_D, MIPS_INS_HSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_S_H, MIPS_INS_HSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_S_W, MIPS_INS_HSUB_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_U_D, MIPS_INS_HSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_U_H, MIPS_INS_HSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_HSUB_U_W, MIPS_INS_HSUB_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVEV_B, MIPS_INS_ILVEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVEV_D, MIPS_INS_ILVEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVEV_H, MIPS_INS_ILVEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVEV_W, MIPS_INS_ILVEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVL_B, MIPS_INS_ILVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVL_D, MIPS_INS_ILVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVL_H, MIPS_INS_ILVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVL_W, MIPS_INS_ILVL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVOD_B, MIPS_INS_ILVOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVOD_D, MIPS_INS_ILVOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVOD_H, MIPS_INS_ILVOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVOD_W, MIPS_INS_ILVOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVR_B, MIPS_INS_ILVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVR_D, MIPS_INS_ILVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVR_H, MIPS_INS_ILVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ILVR_W, MIPS_INS_ILVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INS, MIPS_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSERT_B, MIPS_INS_INSERT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSERT_D, MIPS_INS_INSERT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSERT_H, MIPS_INS_INSERT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSERT_W, MIPS_INS_INSERT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSV, MIPS_INS_INSV,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPPOS, MIPS_REG_DSPSCOUNT, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSVE_B, MIPS_INS_INSVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSVE_D, MIPS_INS_INSVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSVE_H, MIPS_INS_INSVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INSVE_W, MIPS_INS_INSVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_INS_MM, MIPS_INS_INS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_J, MIPS_INS_J,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, 0 }, 1, 0
+#endif
+},
+{
+	Mips_JAL, MIPS_INS_JAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALR, MIPS_INS_JALR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALR16_MM, MIPS_INS_JALR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALR64, MIPS_INS_JALR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALRS16_MM, MIPS_INS_JALRS16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALRS_MM, MIPS_INS_JALRS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALR_HB, MIPS_INS_JALR_HB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_CALL, 0 }, 0, 1
+#endif
+},
+{
+	Mips_JALR_MM, MIPS_INS_JALR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALS_MM, MIPS_INS_JALS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALX, MIPS_INS_JALX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JALX_MM, MIPS_INS_JALX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JAL_MM, MIPS_INS_JAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JIALC, MIPS_INS_JIALC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JIC, MIPS_INS_JIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JR, MIPS_INS_JR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JR16_MM, MIPS_INS_JR16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JR64, MIPS_INS_JR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JRADDIUSP, MIPS_INS_JRADDIUSP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JRC16_MM, MIPS_INS_JRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JR_HB, MIPS_INS_JR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JR_HB_R6, MIPS_INS_JR_HB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JR_MM, MIPS_INS_JR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 1, 1
+#endif
+},
+{
+	Mips_J_MM, MIPS_INS_J,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_AT, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_Jal16, MIPS_INS_JAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_JrRa16, MIPS_INS_JR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JrcRa16, MIPS_INS_JRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JrcRx16, MIPS_INS_JRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 1, 1
+#endif
+},
+{
+	Mips_JumpLinkReg16, MIPS_INS_JALRC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_RA, 0 }, { MIPS_GRP_MIPS16MODE, MIPS_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LB, MIPS_INS_LB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LB64, MIPS_INS_LB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LBU16_MM, MIPS_INS_LBU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LBUX, MIPS_INS_LBUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LB_MM, MIPS_INS_LB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LBu, MIPS_INS_LBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LBu64, MIPS_INS_LBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LBu_MM, MIPS_INS_LBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LD, MIPS_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC1, MIPS_INS_LDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC164, MIPS_INS_LDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC1_MM, MIPS_INS_LDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC2, MIPS_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC2_R6, MIPS_INS_LDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDC3, MIPS_INS_LDC3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDI_B, MIPS_INS_LDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDI_D, MIPS_INS_LDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDI_H, MIPS_INS_LDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDI_W, MIPS_INS_LDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDL, MIPS_INS_LDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDPC, MIPS_INS_LDPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDR, MIPS_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDXC1, MIPS_INS_LDXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LDXC164, MIPS_INS_LDXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LD_B, MIPS_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LD_D, MIPS_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LD_H, MIPS_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LD_W, MIPS_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LEA_ADDiu, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LEA_ADDiu64, MIPS_INS_DADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LEA_ADDiu_MM, MIPS_INS_ADDIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LH, MIPS_INS_LH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LH64, MIPS_INS_LH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LHU16_MM, MIPS_INS_LHU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LHX, MIPS_INS_LHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LH_MM, MIPS_INS_LH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LHu, MIPS_INS_LHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LHu64, MIPS_INS_LHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LHu_MM, MIPS_INS_LHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LI16_MM, MIPS_INS_LI16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LL, MIPS_INS_LL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LLD, MIPS_INS_LLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LLD_R6, MIPS_INS_LLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LL_MM, MIPS_INS_LL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LL_R6, MIPS_INS_LL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LSA, MIPS_INS_LSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LSA_R6, MIPS_INS_LSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUXC1, MIPS_INS_LUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUXC164, MIPS_INS_LUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUXC1_MM, MIPS_INS_LUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUi, MIPS_INS_LUI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUi64, MIPS_INS_LUI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LUi_MM, MIPS_INS_LUI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LW, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LW16_MM, MIPS_INS_LW16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LW64, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWC1, MIPS_INS_LWC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWC1_MM, MIPS_INS_LWC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWC2, MIPS_INS_LWC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWC2_R6, MIPS_INS_LWC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWC3, MIPS_INS_LWC3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWGP_MM, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWL, MIPS_INS_LWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWL64, MIPS_INS_LWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWL_MM, MIPS_INS_LWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWM16_MM, MIPS_INS_LWM16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWM32_MM, MIPS_INS_LWM32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWPC, MIPS_INS_LWPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWP_MM, MIPS_INS_LWP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWR, MIPS_INS_LWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWR64, MIPS_INS_LWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWR_MM, MIPS_INS_LWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWSP_MM, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWUPC, MIPS_INS_LWUPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWU_MM, MIPS_INS_LWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWX, MIPS_INS_LWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWXC1, MIPS_INS_LWXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWXC1_MM, MIPS_INS_LWXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWXS_MM, MIPS_INS_LWXS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LW_MM, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LWu, MIPS_INS_LWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LbRxRyOffMemX16, MIPS_INS_LB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LbuRxRyOffMemX16, MIPS_INS_LBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LhRxRyOffMemX16, MIPS_INS_LH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LhuRxRyOffMemX16, MIPS_INS_LHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LiRxImm16, MIPS_INS_LI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LiRxImmX16, MIPS_INS_LI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LwRxPcTcp16, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LwRxPcTcpX16, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LwRxRyOffMemX16, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_LwRxSpImmX16, MIPS_INS_LW,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_SP, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDF_D, MIPS_INS_MADDF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDF_S, MIPS_INS_MADDF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDR_Q_H, MIPS_INS_MADDR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDR_Q_W, MIPS_INS_MADDR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDU, MIPS_INS_MADDU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDU_DSP, MIPS_INS_MADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDU_MM, MIPS_INS_MADDU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDV_B, MIPS_INS_MADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDV_D, MIPS_INS_MADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDV_H, MIPS_INS_MADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADDV_W, MIPS_INS_MADDV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_D32, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_D32_MM, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_D64, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_DSP, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_MM, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_Q_H, MIPS_INS_MADD_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_Q_W, MIPS_INS_MADD_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_S, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MADD_S_MM, MIPS_INS_MADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAQ_SA_W_PHL, MIPS_INS_MAQ_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAQ_SA_W_PHR, MIPS_INS_MAQ_SA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAQ_S_W_PHL, MIPS_INS_MAQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAQ_S_W_PHR, MIPS_INS_MAQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXA_D, MIPS_INS_MAXA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXA_S, MIPS_INS_MAXA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_S_B, MIPS_INS_MAXI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_S_D, MIPS_INS_MAXI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_S_H, MIPS_INS_MAXI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_S_W, MIPS_INS_MAXI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_U_B, MIPS_INS_MAXI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_U_D, MIPS_INS_MAXI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_U_H, MIPS_INS_MAXI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAXI_U_W, MIPS_INS_MAXI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_A_B, MIPS_INS_MAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_A_D, MIPS_INS_MAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_A_H, MIPS_INS_MAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_A_W, MIPS_INS_MAX_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_D, MIPS_INS_MAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_S, MIPS_INS_MAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_S_B, MIPS_INS_MAX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_S_D, MIPS_INS_MAX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_S_H, MIPS_INS_MAX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_S_W, MIPS_INS_MAX_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_U_B, MIPS_INS_MAX_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_U_D, MIPS_INS_MAX_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_U_H, MIPS_INS_MAX_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MAX_U_W, MIPS_INS_MAX_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFC0, MIPS_INS_MFC0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFC1, MIPS_INS_MFC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFC1_MM, MIPS_INS_MFC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFC2, MIPS_INS_MFC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHC1_D32, MIPS_INS_MFHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHC1_D64, MIPS_INS_MFHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHC1_MM, MIPS_INS_MFHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHI, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHI16_MM, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHI64, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHI_DSP, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFHI_MM, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFLO, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFLO16_MM, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFLO64, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFLO_DSP, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MFLO_MM, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_AC0, 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINA_D, MIPS_INS_MINA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINA_S, MIPS_INS_MINA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_S_B, MIPS_INS_MINI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_S_D, MIPS_INS_MINI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_S_H, MIPS_INS_MINI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_S_W, MIPS_INS_MINI_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_U_B, MIPS_INS_MINI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_U_D, MIPS_INS_MINI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_U_H, MIPS_INS_MINI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MINI_U_W, MIPS_INS_MINI_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_A_B, MIPS_INS_MIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_A_D, MIPS_INS_MIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_A_H, MIPS_INS_MIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_A_W, MIPS_INS_MIN_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_D, MIPS_INS_MIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_S, MIPS_INS_MIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_S_B, MIPS_INS_MIN_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_S_D, MIPS_INS_MIN_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_S_H, MIPS_INS_MIN_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_S_W, MIPS_INS_MIN_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_U_B, MIPS_INS_MIN_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_U_D, MIPS_INS_MIN_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_U_H, MIPS_INS_MIN_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MIN_U_W, MIPS_INS_MIN_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD, MIPS_INS_MOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MODSUB, MIPS_INS_MODSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MODU, MIPS_INS_MODU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_S_B, MIPS_INS_MOD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_S_D, MIPS_INS_MOD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_S_H, MIPS_INS_MOD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_S_W, MIPS_INS_MOD_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_U_B, MIPS_INS_MOD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_U_D, MIPS_INS_MOD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_U_H, MIPS_INS_MOD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOD_U_W, MIPS_INS_MOD_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVE16_MM, MIPS_INS_MOVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVEP_MM, MIPS_INS_MOVEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVE_V, MIPS_INS_MOVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_D32, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_D32_MM, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_D64, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_I, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_I64, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_I_MM, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_S, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVF_S_MM, MIPS_INS_MOVF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I64_D64, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I64_I, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I64_I64, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I64_S, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_D32, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_D32_MM, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_D64, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_I, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_I64, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_MM, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_S, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVN_I_S_MM, MIPS_INS_MOVN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_D32, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_D32_MM, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_D64, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_I, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_I64, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_GP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_I_MM, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_S, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVT_S_MM, MIPS_INS_MOVT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I64_D64, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I64_I, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I64_I64, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I64_S, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_MIPS64, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_D32, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_D32_MM, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_D64, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_I, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_I64, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_MM, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_S, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MOVZ_I_S_MM, MIPS_INS_MOVZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBF_D, MIPS_INS_MSUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBF_S, MIPS_INS_MSUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBR_Q_H, MIPS_INS_MSUBR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBR_Q_W, MIPS_INS_MSUBR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBU, MIPS_INS_MSUBU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBU_DSP, MIPS_INS_MSUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBU_MM, MIPS_INS_MSUBU,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBV_B, MIPS_INS_MSUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBV_D, MIPS_INS_MSUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBV_H, MIPS_INS_MSUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUBV_W, MIPS_INS_MSUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_D32, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_D32_MM, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_D64, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_DSP, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_MM, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_Q_H, MIPS_INS_MSUB_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_Q_W, MIPS_INS_MSUB_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_S, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MSUB_S_MM, MIPS_INS_MSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTC0, MIPS_INS_MTC0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTC1, MIPS_INS_MTC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTC1_MM, MIPS_INS_MTC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTC2, MIPS_INS_MTC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHC1_D32, MIPS_INS_MTHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHC1_D64, MIPS_INS_MTHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHC1_MM, MIPS_INS_MTHC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHI, MIPS_INS_MTHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHI64, MIPS_INS_MTHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHI_DSP, MIPS_INS_MTHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHI_MM, MIPS_INS_MTHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTHLIP, MIPS_INS_MTHLIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPPOS, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTLO, MIPS_INS_MTLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTLO64, MIPS_INS_MTLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTLO_DSP, MIPS_INS_MTLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTLO_MM, MIPS_INS_MTLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTM0, MIPS_INS_MTM0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_MPL0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTM1, MIPS_INS_MTM1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_MPL1, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTM2, MIPS_INS_MTM2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_MPL2, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTP0, MIPS_INS_MTP0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_P0, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTP1, MIPS_INS_MTP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_P1, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MTP2, MIPS_INS_MTP2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUH, MIPS_INS_MUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUHU, MIPS_INS_MUHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULEQ_S_W_PHL, MIPS_INS_MULEQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULEQ_S_W_PHR, MIPS_INS_MULEQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULEU_S_PH_QBL, MIPS_INS_MULEU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULEU_S_PH_QBR, MIPS_INS_MULEU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULQ_RS_PH, MIPS_INS_MULQ_RS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULQ_RS_W, MIPS_INS_MULQ_RS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULQ_S_PH, MIPS_INS_MULQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULQ_S_W, MIPS_INS_MULQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULR_Q_H, MIPS_INS_MULR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULR_Q_W, MIPS_INS_MULR_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULSAQ_S_W_PH, MIPS_INS_MULSAQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG16_19, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULSA_W_PH, MIPS_INS_MULSA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULT, MIPS_INS_MULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULTU_DSP, MIPS_INS_MULTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULT_DSP, MIPS_INS_MULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULT_MM, MIPS_INS_MULT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULTu, MIPS_INS_MULTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULTu_MM, MIPS_INS_MULTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULU, MIPS_INS_MULU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULV_B, MIPS_INS_MULV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULV_D, MIPS_INS_MULV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULV_H, MIPS_INS_MULV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MULV_W, MIPS_INS_MULV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_MM, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_PH, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_Q_H, MIPS_INS_MUL_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_Q_W, MIPS_INS_MUL_Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_R6, MIPS_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MUL_S_PH, MIPS_INS_MUL_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG21, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_Mfhi16, MIPS_INS_MFHI,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_HI0, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_Mflo16, MIPS_INS_MFLO,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_LO0, 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_Move32R16, MIPS_INS_MOVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_MoveR3216, MIPS_INS_MOVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLOC_B, MIPS_INS_NLOC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLOC_D, MIPS_INS_NLOC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLOC_H, MIPS_INS_NLOC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLOC_W, MIPS_INS_NLOC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLZC_B, MIPS_INS_NLZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLZC_D, MIPS_INS_NLZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLZC_H, MIPS_INS_NLZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NLZC_W, MIPS_INS_NLZC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMADD_D32, MIPS_INS_NMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMADD_D32_MM, MIPS_INS_NMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMADD_D64, MIPS_INS_NMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMADD_S, MIPS_INS_NMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMADD_S_MM, MIPS_INS_NMADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMSUB_D32, MIPS_INS_NMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMSUB_D32_MM, MIPS_INS_NMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMSUB_D64, MIPS_INS_NMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMSUB_S, MIPS_INS_NMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NONANSFPMATH, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NMSUB_S_MM, MIPS_INS_NMSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NOR, MIPS_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NOR64, MIPS_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NORI_B, MIPS_INS_NORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NOR_MM, MIPS_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NOR_V, MIPS_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NOT16_MM, MIPS_INS_NOT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NegRxRy16, MIPS_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_NotRxRy16, MIPS_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OR, MIPS_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OR16_MM, MIPS_INS_OR16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OR64, MIPS_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ORI_B, MIPS_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OR_MM, MIPS_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OR_V, MIPS_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ORi, MIPS_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ORi64, MIPS_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ORi_MM, MIPS_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_OrRxRxRy16, MIPS_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PACKRL_PH, MIPS_INS_PACKRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PAUSE, MIPS_INS_PAUSE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PAUSE_MM, MIPS_INS_PAUSE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKEV_B, MIPS_INS_PCKEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKEV_D, MIPS_INS_PCKEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKEV_H, MIPS_INS_PCKEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKEV_W, MIPS_INS_PCKEV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKOD_B, MIPS_INS_PCKOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKOD_D, MIPS_INS_PCKOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKOD_H, MIPS_INS_PCKOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCKOD_W, MIPS_INS_PCKOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCNT_B, MIPS_INS_PCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCNT_D, MIPS_INS_PCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCNT_H, MIPS_INS_PCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PCNT_W, MIPS_INS_PCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PICK_PH, MIPS_INS_PICK,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPCCOND, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PICK_QB, MIPS_INS_PICK,
+#ifndef CAPSTONE_DIET
+	{ MIPS_REG_DSPCCOND, 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_POP, MIPS_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQU_PH_QBL, MIPS_INS_PRECEQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQU_PH_QBLA, MIPS_INS_PRECEQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQU_PH_QBR, MIPS_INS_PRECEQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQU_PH_QBRA, MIPS_INS_PRECEQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQ_W_PHL, MIPS_INS_PRECEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEQ_W_PHR, MIPS_INS_PRECEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEU_PH_QBL, MIPS_INS_PRECEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEU_PH_QBLA, MIPS_INS_PRECEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEU_PH_QBR, MIPS_INS_PRECEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECEU_PH_QBRA, MIPS_INS_PRECEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECRQU_S_QB_PH, MIPS_INS_PRECRQU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECRQ_PH_W, MIPS_INS_PRECRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECRQ_QB_PH, MIPS_INS_PRECRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECRQ_RS_PH_W, MIPS_INS_PRECRQ_RS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECR_QB_PH, MIPS_INS_PRECR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECR_SRA_PH_W, MIPS_INS_PRECR_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PRECR_SRA_R_PH_W, MIPS_INS_PRECR_SRA_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PREF, MIPS_INS_PREF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3_32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PREF_MM, MIPS_INS_PREF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PREF_R6, MIPS_INS_PREF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_PREPEND, MIPS_INS_PREPEND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RADDU_W_QB, MIPS_INS_RADDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RDDSP, MIPS_INS_RDDSP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RDHWR, MIPS_INS_RDHWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RDHWR64, MIPS_INS_RDHWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RDHWR_MM, MIPS_INS_RDHWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_REPLV_PH, MIPS_INS_REPLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_REPLV_QB, MIPS_INS_REPLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_REPL_PH, MIPS_INS_REPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_REPL_QB, MIPS_INS_REPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RINT_D, MIPS_INS_RINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_RINT_S, MIPS_INS_RINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROTR, MIPS_INS_ROTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROTRV, MIPS_INS_ROTRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROTRV_MM, MIPS_INS_ROTRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROTR_MM, MIPS_INS_ROTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_L_D64, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_L_S, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_W_D32, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_W_D64, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_W_MM, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_W_S, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ROUND_W_S_MM, MIPS_INS_ROUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_S_B, MIPS_INS_SAT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_S_D, MIPS_INS_SAT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_S_H, MIPS_INS_SAT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_S_W, MIPS_INS_SAT_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_U_B, MIPS_INS_SAT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_U_D, MIPS_INS_SAT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_U_H, MIPS_INS_SAT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SAT_U_W, MIPS_INS_SAT_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SB, MIPS_INS_SB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SB16_MM, MIPS_INS_SB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SB64, MIPS_INS_SB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SB_MM, MIPS_INS_SB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SC, MIPS_INS_SC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SCD, MIPS_INS_SCD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SCD_R6, MIPS_INS_SCD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SC_MM, MIPS_INS_SC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SC_R6, MIPS_INS_SC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SD, MIPS_INS_SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDBBP, MIPS_INS_SDBBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDBBP16_MM, MIPS_INS_SDBBP16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDBBP_MM, MIPS_INS_SDBBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDBBP_R6, MIPS_INS_SDBBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC1, MIPS_INS_SDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC164, MIPS_INS_SDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC1_MM, MIPS_INS_SDC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC2, MIPS_INS_SDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC2_R6, MIPS_INS_SDC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDC3, MIPS_INS_SDC3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDIV, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDIV_MM, MIPS_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDL, MIPS_INS_SDL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDR, MIPS_INS_SDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS3, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDXC1, MIPS_INS_SDXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SDXC164, MIPS_INS_SDXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEB, MIPS_INS_SEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEB64, MIPS_INS_SEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEB_MM, MIPS_INS_SEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEH, MIPS_INS_SEH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEH64, MIPS_INS_SEH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEH_MM, MIPS_INS_SEH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELEQZ, MIPS_INS_SELEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP32BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELEQZ64, MIPS_INS_SELEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP64BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELEQZ_D, MIPS_INS_SELEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELEQZ_S, MIPS_INS_SELEQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELNEZ, MIPS_INS_SELNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP32BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELNEZ64, MIPS_INS_SELNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_GP64BIT, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELNEZ_D, MIPS_INS_SELNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SELNEZ_S, MIPS_INS_SELNEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEL_D, MIPS_INS_SEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEL_S, MIPS_INS_SEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEQ, MIPS_INS_SEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SEQi, MIPS_INS_SEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SH, MIPS_INS_SH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SH16_MM, MIPS_INS_SH16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SH64, MIPS_INS_SH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHF_B, MIPS_INS_SHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHF_H, MIPS_INS_SHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHF_W, MIPS_INS_SHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHILO, MIPS_INS_SHILO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHILOV, MIPS_INS_SHILOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLLV_PH, MIPS_INS_SHLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLLV_QB, MIPS_INS_SHLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLLV_S_PH, MIPS_INS_SHLLV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLLV_S_W, MIPS_INS_SHLLV_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLL_PH, MIPS_INS_SHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLL_QB, MIPS_INS_SHLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLL_S_PH, MIPS_INS_SHLL_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHLL_S_W, MIPS_INS_SHLL_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG22, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRAV_PH, MIPS_INS_SHRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRAV_QB, MIPS_INS_SHRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRAV_R_PH, MIPS_INS_SHRAV_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRAV_R_QB, MIPS_INS_SHRAV_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRAV_R_W, MIPS_INS_SHRAV_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRA_PH, MIPS_INS_SHRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRA_QB, MIPS_INS_SHRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRA_R_PH, MIPS_INS_SHRA_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRA_R_QB, MIPS_INS_SHRA_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRA_R_W, MIPS_INS_SHRA_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRLV_PH, MIPS_INS_SHRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRLV_QB, MIPS_INS_SHRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRL_PH, MIPS_INS_SHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SHRL_QB, MIPS_INS_SHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SH_MM, MIPS_INS_SH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLDI_B, MIPS_INS_SLDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLDI_D, MIPS_INS_SLDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLDI_H, MIPS_INS_SLDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLDI_W, MIPS_INS_SLDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLD_B, MIPS_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLD_D, MIPS_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLD_H, MIPS_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLD_W, MIPS_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL16_MM, MIPS_INS_SLL16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL64_32, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL64_64, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLI_B, MIPS_INS_SLLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLI_D, MIPS_INS_SLLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLI_H, MIPS_INS_SLLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLI_W, MIPS_INS_SLLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLV, MIPS_INS_SLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLLV_MM, MIPS_INS_SLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL_B, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL_D, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL_H, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL_MM, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLL_W, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLT, MIPS_INS_SLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLT64, MIPS_INS_SLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLT_MM, MIPS_INS_SLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTi, MIPS_INS_SLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTi64, MIPS_INS_SLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTi_MM, MIPS_INS_SLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTiu, MIPS_INS_SLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTiu64, MIPS_INS_SLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTiu_MM, MIPS_INS_SLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTu, MIPS_INS_SLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTu64, MIPS_INS_SLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SLTu_MM, MIPS_INS_SLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SNE, MIPS_INS_SNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SNEi, MIPS_INS_SNEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLATI_B, MIPS_INS_SPLATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLATI_D, MIPS_INS_SPLATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLATI_H, MIPS_INS_SPLATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLATI_W, MIPS_INS_SPLATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLAT_B, MIPS_INS_SPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLAT_D, MIPS_INS_SPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLAT_H, MIPS_INS_SPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SPLAT_W, MIPS_INS_SPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAI_B, MIPS_INS_SRAI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAI_D, MIPS_INS_SRAI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAI_H, MIPS_INS_SRAI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAI_W, MIPS_INS_SRAI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRARI_B, MIPS_INS_SRARI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRARI_D, MIPS_INS_SRARI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRARI_H, MIPS_INS_SRARI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRARI_W, MIPS_INS_SRARI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAR_B, MIPS_INS_SRAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAR_D, MIPS_INS_SRAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAR_H, MIPS_INS_SRAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAR_W, MIPS_INS_SRAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAV, MIPS_INS_SRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRAV_MM, MIPS_INS_SRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA_B, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA_D, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA_H, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA_MM, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRA_W, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL16_MM, MIPS_INS_SRL16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLI_B, MIPS_INS_SRLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLI_D, MIPS_INS_SRLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLI_H, MIPS_INS_SRLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLI_W, MIPS_INS_SRLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLRI_B, MIPS_INS_SRLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLRI_D, MIPS_INS_SRLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLRI_H, MIPS_INS_SRLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLRI_W, MIPS_INS_SRLRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLR_B, MIPS_INS_SRLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLR_D, MIPS_INS_SRLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLR_H, MIPS_INS_SRLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLR_W, MIPS_INS_SRLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLV, MIPS_INS_SRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRLV_MM, MIPS_INS_SRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL_B, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL_D, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL_H, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL_MM, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SRL_W, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SSNOP, MIPS_INS_SSNOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SSNOP_MM, MIPS_INS_SSNOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ST_B, MIPS_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ST_D, MIPS_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ST_H, MIPS_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ST_W, MIPS_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUB, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQH_PH, MIPS_INS_SUBQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQH_R_PH, MIPS_INS_SUBQH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQH_R_W, MIPS_INS_SUBQH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQH_W, MIPS_INS_SUBQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQ_PH, MIPS_INS_SUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQ_S_PH, MIPS_INS_SUBQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBQ_S_W, MIPS_INS_SUBQ_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUS_U_B, MIPS_INS_SUBSUS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUS_U_D, MIPS_INS_SUBSUS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUS_U_H, MIPS_INS_SUBSUS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUS_U_W, MIPS_INS_SUBSUS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUU_S_B, MIPS_INS_SUBSUU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUU_S_D, MIPS_INS_SUBSUU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUU_S_H, MIPS_INS_SUBSUU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBSUU_S_W, MIPS_INS_SUBSUU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_S_B, MIPS_INS_SUBS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_S_D, MIPS_INS_SUBS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_S_H, MIPS_INS_SUBS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_S_W, MIPS_INS_SUBS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_U_B, MIPS_INS_SUBS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_U_D, MIPS_INS_SUBS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_U_H, MIPS_INS_SUBS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBS_U_W, MIPS_INS_SUBS_U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBU16_MM, MIPS_INS_SUBU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBUH_QB, MIPS_INS_SUBUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBUH_R_QB, MIPS_INS_SUBUH_R,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBU_PH, MIPS_INS_SUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBU_QB, MIPS_INS_SUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBU_S_PH, MIPS_INS_SUBU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSPR2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBU_S_QB, MIPS_INS_SUBU_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_DSPOUTFLAG20, 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBVI_B, MIPS_INS_SUBVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBVI_D, MIPS_INS_SUBVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBVI_H, MIPS_INS_SUBVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBVI_W, MIPS_INS_SUBVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBV_B, MIPS_INS_SUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBV_D, MIPS_INS_SUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBV_H, MIPS_INS_SUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBV_W, MIPS_INS_SUBV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUB_MM, MIPS_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBu, MIPS_INS_SUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUBu_MM, MIPS_INS_SUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUXC1, MIPS_INS_SUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTFP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUXC164, MIPS_INS_SUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, MIPS_GRP_MIPS5_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SUXC1_MM, MIPS_INS_SUXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SW, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SW16_MM, MIPS_INS_SW16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SW64, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWC1, MIPS_INS_SWC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWC1_MM, MIPS_INS_SWC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWC2, MIPS_INS_SWC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWC2_R6, MIPS_INS_SWC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWC3, MIPS_INS_SWC3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWL, MIPS_INS_SWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWL64, MIPS_INS_SWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWL_MM, MIPS_INS_SWL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWM16_MM, MIPS_INS_SWM16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWM32_MM, MIPS_INS_SWM32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWP_MM, MIPS_INS_SWP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWR, MIPS_INS_SWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWR64, MIPS_INS_SWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWR_MM, MIPS_INS_SWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWSP_MM, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWXC1, MIPS_INS_SWXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS4_32R2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, MIPS_GRP_NOTNACL, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SWXC1_MM, MIPS_INS_SWXC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SW_MM, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SYNC, MIPS_INS_SYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SYNCI, MIPS_INS_SYNCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SYNC_MM, MIPS_INS_SYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SYSCALL, MIPS_INS_SYSCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SYSCALL_MM, MIPS_INS_SYSCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, MIPS_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SbRxRyOffMemX16, MIPS_INS_SB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SebRx16, MIPS_INS_SEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SehRx16, MIPS_INS_SEH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_ShRxRyOffMemX16, MIPS_INS_SH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SllX16, MIPS_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SllvRxRy16, MIPS_INS_SLLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltRxRy16, MIPS_INS_SLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltiRxImm16, MIPS_INS_SLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltiRxImmX16, MIPS_INS_SLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltiuRxImm16, MIPS_INS_SLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltiuRxImmX16, MIPS_INS_SLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SltuRxRy16, MIPS_INS_SLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_T8, 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SraX16, MIPS_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SravRxRy16, MIPS_INS_SRAV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SrlX16, MIPS_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SrlvRxRy16, MIPS_INS_SRLV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SubuRxRyRz16, MIPS_INS_SUBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SwRxRyOffMemX16, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_SwRxSpImmX16, MIPS_INS_SW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TEQ, MIPS_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TEQI, MIPS_INS_TEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TEQI_MM, MIPS_INS_TEQI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TEQ_MM, MIPS_INS_TEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGE, MIPS_INS_TGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEI, MIPS_INS_TGEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEIU, MIPS_INS_TGEIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEIU_MM, MIPS_INS_TGEIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEI_MM, MIPS_INS_TGEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEU, MIPS_INS_TGEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGEU_MM, MIPS_INS_TGEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TGE_MM, MIPS_INS_TGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBP, MIPS_INS_TLBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBP_MM, MIPS_INS_TLBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBR, MIPS_INS_TLBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBR_MM, MIPS_INS_TLBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBWI, MIPS_INS_TLBWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBWI_MM, MIPS_INS_TLBWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBWR, MIPS_INS_TLBWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLBWR_MM, MIPS_INS_TLBWR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLT, MIPS_INS_TLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLTI, MIPS_INS_TLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLTIU_MM, MIPS_INS_TLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLTI_MM, MIPS_INS_TLTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLTU, MIPS_INS_TLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLTU_MM, MIPS_INS_TLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TLT_MM, MIPS_INS_TLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TNE, MIPS_INS_TNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TNEI, MIPS_INS_TNEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TNEI_MM, MIPS_INS_TNEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TNE_MM, MIPS_INS_TNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_L_D64, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_L_S, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_W_D32, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTFP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_W_D64, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_FP64BIT, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_W_MM, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_W_S, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TRUNC_W_S_MM, MIPS_INS_TRUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_TTLTIU, MIPS_INS_TLTIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS2, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_UDIV, MIPS_INS_DIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTMIPS32R6, MIPS_GRP_NOTMIPS64R6, 0 }, 0, 0
+#endif
+},
+{
+	Mips_UDIV_MM, MIPS_INS_DIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_HI0, MIPS_REG_LO0, 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_V3MULU, MIPS_INS_V3MULU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VMM0, MIPS_INS_VMM0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_MPL0, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VMULU, MIPS_INS_VMULU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { MIPS_REG_MPL1, MIPS_REG_MPL2, MIPS_REG_P0, MIPS_REG_P1, MIPS_REG_P2, 0 }, { MIPS_GRP_CNMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VSHF_B, MIPS_INS_VSHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VSHF_D, MIPS_INS_VSHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VSHF_H, MIPS_INS_VSHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_VSHF_W, MIPS_INS_VSHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_WAIT, MIPS_INS_WAIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_WAIT_MM, MIPS_INS_WAIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_WRDSP, MIPS_INS_WRDSP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_DSP, 0 }, 0, 0
+#endif
+},
+{
+	Mips_WSBH, MIPS_INS_WSBH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_MIPS32R2, 0 }, 0, 0
+#endif
+},
+{
+	Mips_WSBH_MM, MIPS_INS_WSBH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XOR, MIPS_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, MIPS_GRP_NOTINMICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XOR16_MM, MIPS_INS_XOR16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XOR64, MIPS_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XORI_B, MIPS_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XOR_MM, MIPS_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XOR_V, MIPS_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MSA, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XORi, MIPS_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XORi64, MIPS_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_STDENC, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XORi_MM, MIPS_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MICROMIPS, 0 }, 0, 0
+#endif
+},
+{
+	Mips_XorRxRxRy16, MIPS_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { MIPS_GRP_MIPS16MODE, 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/Mips/MipsModule.c 4.0.2-3/arch/Mips/MipsModule.c
--- 4.0.1+really+3.0.5-2/arch/Mips/MipsModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Mips/MipsModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -34,11 +34,7 @@ cs_err Mips_global_init(cs_struct *ud)
 	ud->insn_name = Mips_insn_name;
 	ud->group_name = Mips_group_name;
 
-	ud->mode = updated_mode(ud->mode);
-	if (ud->mode & CS_MODE_32)
-		ud->disasm = Mips_getInstruction;
-	else
-		ud->disasm = Mips64_getInstruction;
+	ud->disasm = Mips_getInstruction;
 
 	return CS_ERR_OK;
 }
@@ -46,15 +42,11 @@ cs_err Mips_global_init(cs_struct *ud)
 cs_err Mips_option(cs_struct *handle, cs_opt_type type, size_t value)
 {
 	if (type == CS_OPT_MODE) {
-		value = updated_mode((cs_mode)value);
-		if (value & CS_MODE_32)
-			handle->disasm = Mips_getInstruction;
-		else
-			handle->disasm = Mips64_getInstruction;
-
-		handle->mode = (cs_mode)value;
+		handle->mode = updated_mode(value);
+		return CS_ERR_OK;
 	}
-	return CS_ERR_OK;
+
+	return CS_ERR_OPTION;
 }
 
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCDisassembler.c 4.0.2-3/arch/PowerPC/PPCDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_POWERPC
 
@@ -19,6 +19,8 @@
 #include "../../cs_priv.h"
 #include "../../utils.h"
 
+#include "PPCDisassembler.h"
+
 #include "../../MCInst.h"
 #include "../../MCInstrDesc.h"
 #include "../../MCFixedLenDisassembler.h"
@@ -144,6 +146,17 @@ static const unsigned G8Regs[] = {
 	PPC_X28, PPC_X29, PPC_X30, PPC_X31
 };
 
+static const unsigned QFRegs[] = {
+	PPC_QF0, PPC_QF1, PPC_QF2, PPC_QF3,
+	PPC_QF4, PPC_QF5, PPC_QF6, PPC_QF7,
+	PPC_QF8, PPC_QF9, PPC_QF10, PPC_QF11,
+	PPC_QF12, PPC_QF13, PPC_QF14, PPC_QF15,
+	PPC_QF16, PPC_QF17, PPC_QF18, PPC_QF19,
+	PPC_QF20, PPC_QF21, PPC_QF22, PPC_QF23,
+	PPC_QF24, PPC_QF25, PPC_QF26, PPC_QF27,
+	PPC_QF28, PPC_QF29, PPC_QF30, PPC_QF31
+};
+
 static uint64_t getFeatureBits(int feature)
 {
 	// enable all features
@@ -231,6 +244,16 @@ static DecodeStatus DecodeG8RCRegisterCl
 #define DecodePointerLikeRegClass0 DecodeGPRCRegisterClass
 #define DecodePointerLikeRegClass1 DecodeGPRC_NOR0RegisterClass
 
+static DecodeStatus DecodeQFRCRegisterClass(MCInst *Inst, uint64_t RegNo,
+		uint64_t Address,
+		const void *Decoder)
+{
+	return decodeRegisterClass(Inst, RegNo, QFRegs);
+}
+
+#define DecodeQSRCRegisterClass DecodeQFRCRegisterClass
+#define DecodeQBRCRegisterClass DecodeQFRCRegisterClass
+
 static DecodeStatus decodeUImmOperand(MCInst *Inst, uint64_t Imm,
 		int64_t Address, const void *Decoder, unsigned N)
 {
@@ -343,14 +366,24 @@ static DecodeStatus getInstruction(MCIns
 
 	// The instruction is big-endian encoded.
 	if (MODE_IS_BIG_ENDIAN(MI->csh->mode))
-		insn = (((uint32_t) code[0]) << 24) | (code[1] << 16) |
+		insn = ((uint32_t) code[0] << 24) | (code[1] << 16) |
 			(code[2] <<  8) | (code[3] <<  0);
 	else
-		insn = (((uint32_t) code[3]) << 24) | (code[2] << 16) |
+		insn = ((uint32_t) code[3] << 24) | (code[2] << 16) |
 			(code[1] <<  8) | (code[0] <<  0);
 
 	if (MI->flat_insn->detail) {
-		memset(MI->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, ppc)+sizeof(cs_ppc));
+	}
+
+	if (MI->csh->mode & CS_MODE_QPX) {
+		result = decodeInstruction_4(DecoderTableQPX32, MI, insn, Address, 4);
+		if (result != MCDisassembler_Fail) {
+			*Size = 4;
+			return result;
+		}
+
+		MCInst_clear(MI);
 	}
 
 	result = decodeInstruction_4(DecoderTable32, MI, insn, Address, 4);
@@ -381,21 +414,24 @@ bool PPC_getInstruction(csh ud, const ui
 void PPC_init(MCRegisterInfo *MRI)
 {
 	/*
-	InitMCRegisterInfo(PPCRegDesc, 279, RA, PC,
-			PPCMCRegisterClasses, 21,
-			PPCRegUnitRoots,
-			146,
-			PPCRegDiffLists,
-			PPCRegStrings,
-			PPCSubRegIdxLists,
-			8,
-			PPCSubRegIdxRanges,
-			PPCRegEncodingTable);
-	*/
+	   InitMCRegisterInfo(PPCRegDesc, 310, RA, PC,
+	   PPCMCRegisterClasses, 23,
+	   PPCRegUnitRoots,
+	   138,
+	   PPCRegDiffLists,
+	   PPCLaneMaskLists,
+	   PPCRegStrings,
+	   PPCRegClassStrings,
+	   PPCSubRegIdxLists,
+	   8,
+	   PPCSubRegIdxRanges,
+	   PPCRegEncodingTable);
+	 */
+
 
-	MCRegisterInfo_InitMCRegisterInfo(MRI, PPCRegDesc, 279,
+	MCRegisterInfo_InitMCRegisterInfo(MRI, PPCRegDesc, 310,
 			0, 0,
-			PPCMCRegisterClasses, 21,
+			PPCMCRegisterClasses, 23,
 			0, 0,
 			PPCRegDiffLists,
 			0,
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCDisassembler.h 4.0.2-3/arch/PowerPC/PPCDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_PPCDISASSEMBLER_H
 #define CS_PPCDISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenAsmWriter.inc 4.0.2-3/arch/PowerPC/PPCGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,10 +7,10 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include <stdio.h>	// debug
-#include <platform.h>
+#include <capstone/platform.h>
 
 /// printInstruction - This method is automatically generated by tablegen
 /// from the instruction set description.
@@ -28,1268 +28,1517 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    9032U,	// DBG_VALUE
+    10419U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    9025U,	// BUNDLE
-    9323U,	// LIFETIME_START
-    9012U,	// LIFETIME_END
+    10412U,	// BUNDLE
+    10746U,	// LIFETIME_START
+    10399U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    18692U,	// ADD4
-    18692U,	// ADD4TLS
-    16794U,	// ADD4o
-    18692U,	// ADD8
-    18692U,	// ADD8TLS
-    18692U,	// ADD8TLS_
-    16794U,	// ADD8o
-    18547U,	// ADDC
-    18547U,	// ADDC8
-    16734U,	// ADDC8o
-    16734U,	// ADDCo
-    18865U,	// ADDE
-    18865U,	// ADDE8
-    16884U,	// ADDE8o
-    16884U,	// ADDEo
-    2147503046U,	// ADDI
-    2147503046U,	// ADDI8
-    2147502240U,	// ADDIC
-    2147502240U,	// ADDIC8
-    2147500412U,	// ADDICo
-    2147505661U,	// ADDIS
-    2147505661U,	// ADDIS8
-    8958U,	// ADDISdtprelHA
-    7931U,	// ADDISdtprelHA32
-    8941U,	// ADDISgotTprelHA
-    8913U,	// ADDIStlsgdHA
-    8927U,	// ADDIStlsldHA
-    8901U,	// ADDIStocHA
-    9137U,	// ADDIdtprelL
-    8134U,	// ADDIdtprelL32
-    9100U,	// ADDItlsgdL
-    8091U,	// ADDItlsgdL32
-    9112U,	// ADDItlsldL
-    8105U,	// ADDItlsldL32
-    9090U,	// ADDItocL
-    134236653U,	// ADDME
-    134236653U,	// ADDME8
-    134234627U,	// ADDME8o
-    134234627U,	// ADDMEo
-    134236713U,	// ADDZE
-    134236713U,	// ADDZE8
-    134234660U,	// ADDZE8o
-    134234660U,	// ADDZEo
-    296418U,	// ADJCALLSTACKDOWN
-    8947189U,	// ADJCALLSTACKUP
-    18788U,	// AND
-    18788U,	// AND8
-    16856U,	// AND8o
-    18556U,	// ANDC
-    18556U,	// ANDC8
-    16741U,	// ANDC8o
-    16741U,	// ANDCo
-    17497U,	// ANDISo
-    17497U,	// ANDISo8
-    17032U,	// ANDIo
-    17032U,	// ANDIo8
-    9258U,	// ANDIo_1_EQ_BIT
-    8851U,	// ANDIo_1_EQ_BIT8
-    9274U,	// ANDIo_1_GT_BIT
-    8868U,	// ANDIo_1_GT_BIT8
-    16856U,	// ANDo
-    285754771U,	// ATOMIC_CMP_SWAP_I16
-    285754749U,	// ATOMIC_CMP_SWAP_I32
-    8297U,	// ATOMIC_CMP_SWAP_I64
-    8769U,	// ATOMIC_CMP_SWAP_I8
-    8516U,	// ATOMIC_LOAD_ADD_I16
-    7969U,	// ATOMIC_LOAD_ADD_I32
-    8237U,	// ATOMIC_LOAD_ADD_I64
-    8708U,	// ATOMIC_LOAD_ADD_I8
-    8559U,	// ATOMIC_LOAD_AND_I16
-    8012U,	// ATOMIC_LOAD_AND_I32
-    8396U,	// ATOMIC_LOAD_AND_I64
-    8749U,	// ATOMIC_LOAD_AND_I8
-    8537U,	// ATOMIC_LOAD_NAND_I16
-    7990U,	// ATOMIC_LOAD_NAND_I32
-    8258U,	// ATOMIC_LOAD_NAND_I64
-    8728U,	// ATOMIC_LOAD_NAND_I8
-    8618U,	// ATOMIC_LOAD_OR_I16
-    8071U,	// ATOMIC_LOAD_OR_I32
-    8339U,	// ATOMIC_LOAD_OR_I64
-    8808U,	// ATOMIC_LOAD_OR_I8
-    8495U,	// ATOMIC_LOAD_SUB_I16
-    7948U,	// ATOMIC_LOAD_SUB_I32
-    8216U,	// ATOMIC_LOAD_SUB_I64
-    8674U,	// ATOMIC_LOAD_SUB_I8
-    8597U,	// ATOMIC_LOAD_XOR_I16
-    8050U,	// ATOMIC_LOAD_XOR_I32
-    8318U,	// ATOMIC_LOAD_XOR_I64
-    8789U,	// ATOMIC_LOAD_XOR_I8
-    8580U,	// ATOMIC_SWAP_I16
-    8033U,	// ATOMIC_SWAP_I32
-    8280U,	// ATOMIC_SWAP_I64
-    8885U,	// ATOMIC_SWAP_I8
-    313227U,	// B
-    329359U,	// BA
-    25182305U,	// BC
-    877702U,	// BCC
-    1139846U,	// BCCA
-    1401990U,	// BCCCTR
-    1401990U,	// BCCCTR8
-    1664134U,	// BCCCTRL
-    1664134U,	// BCCCTRL8
-    1926278U,	// BCCL
-    2188422U,	// BCCLA
-    2450566U,	// BCCLR
-    2712710U,	// BCCLRL
-    2900115U,	// BCCTR
-    2900115U,	// BCCTR8
-    2900171U,	// BCCTR8n
-    2900093U,	// BCCTRL
-    2900093U,	// BCCTRL8
-    2900151U,	// BCCTRL8n
-    2900151U,	// BCCTRLn
-    2900171U,	// BCCTRn
-    25182313U,	// BCL
-    2900105U,	// BCLR
-    2900082U,	// BCLRL
-    2900141U,	// BCLRLn
-    2900162U,	// BCLRn
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    19093U,	// ADD4
+    19093U,	// ADD4TLS
+    16801U,	// ADD4o
+    19093U,	// ADD8
+    19093U,	// ADD8TLS
+    19093U,	// ADD8TLS_
+    16801U,	// ADD8o
+    18937U,	// ADDC
+    18937U,	// ADDC8
+    16741U,	// ADDC8o
+    16741U,	// ADDCo
+    19414U,	// ADDE
+    19414U,	// ADDE8
+    16924U,	// ADDE8o
+    16924U,	// ADDEo
+    19978U,	// ADDI
+    19978U,	// ADDI8
+    18982U,	// ADDIC
+    18982U,	// ADDIC8
+    16771U,	// ADDICo
+    22885U,	// ADDIS
+    22885U,	// ADDIS8
+    10190U,	// ADDISdtprelHA
+    9129U,	// ADDISdtprelHA32
+    10173U,	// ADDISgotTprelHA
+    10145U,	// ADDIStlsgdHA
+    10159U,	// ADDIStlsldHA
+    10133U,	// ADDIStocHA
+    10524U,	// ADDIdtprelL
+    9332U,	// ADDIdtprelL32
+    10487U,	// ADDItlsgdL
+    9289U,	// ADDItlsgdL32
+    10570U,	// ADDItlsgdLADDR
+    9384U,	// ADDItlsgdLADDR32
+    10499U,	// ADDItlsldL
+    9303U,	// ADDItlsldL32
+    10586U,	// ADDItlsldLADDR
+    9402U,	// ADDItlsldLADDR32
+    10477U,	// ADDItocL
+    268454930U,	// ADDME
+    268454930U,	// ADDME8
+    268452395U,	// ADDME8o
+    268452395U,	// ADDMEo
+    268454994U,	// ADDZE
+    268454994U,	// ADDZE8
+    268452428U,	// ADDZE8o
+    268452428U,	// ADDZEo
+    296482U,	// ADJCALLSTACKDOWN
+    8947253U,	// ADJCALLSTACKUP
+    19252U,	// AND
+    19252U,	// AND8
+    16863U,	// AND8o
+    18946U,	// ANDC
+    18946U,	// ANDC8
+    16748U,	// ANDC8o
+    16748U,	// ANDCo
+    17561U,	// ANDISo
+    17561U,	// ANDISo8
+    17080U,	// ANDIo
+    17080U,	// ANDIo8
+    10681U,	// ANDIo_1_EQ_BIT
+    10083U,	// ANDIo_1_EQ_BIT8
+    10697U,	// ANDIo_1_GT_BIT
+    10100U,	// ANDIo_1_GT_BIT8
+    16863U,	// ANDo
+    554190291U,	// ATOMIC_CMP_SWAP_I16
+    554190269U,	// ATOMIC_CMP_SWAP_I32
+    9529U,	// ATOMIC_CMP_SWAP_I64
+    10001U,	// ATOMIC_CMP_SWAP_I8
+    9748U,	// ATOMIC_LOAD_ADD_I16
+    9167U,	// ATOMIC_LOAD_ADD_I32
+    9469U,	// ATOMIC_LOAD_ADD_I64
+    9940U,	// ATOMIC_LOAD_ADD_I8
+    9791U,	// ATOMIC_LOAD_AND_I16
+    9210U,	// ATOMIC_LOAD_AND_I32
+    9628U,	// ATOMIC_LOAD_AND_I64
+    9981U,	// ATOMIC_LOAD_AND_I8
+    9769U,	// ATOMIC_LOAD_NAND_I16
+    9188U,	// ATOMIC_LOAD_NAND_I32
+    9490U,	// ATOMIC_LOAD_NAND_I64
+    9960U,	// ATOMIC_LOAD_NAND_I8
+    9850U,	// ATOMIC_LOAD_OR_I16
+    9269U,	// ATOMIC_LOAD_OR_I32
+    9571U,	// ATOMIC_LOAD_OR_I64
+    10040U,	// ATOMIC_LOAD_OR_I8
+    9727U,	// ATOMIC_LOAD_SUB_I16
+    9146U,	// ATOMIC_LOAD_SUB_I32
+    9448U,	// ATOMIC_LOAD_SUB_I64
+    9906U,	// ATOMIC_LOAD_SUB_I8
+    9829U,	// ATOMIC_LOAD_XOR_I16
+    9248U,	// ATOMIC_LOAD_XOR_I32
+    9550U,	// ATOMIC_LOAD_XOR_I64
+    10021U,	// ATOMIC_LOAD_XOR_I8
+    9812U,	// ATOMIC_SWAP_I16
+    9231U,	// ATOMIC_SWAP_I32
+    9512U,	// ATOMIC_SWAP_I64
+    10117U,	// ATOMIC_SWAP_I8
+    10880U,	// ATTN
+    313588U,	// B
+    329423U,	// BA
+    25182312U,	// BC
+    879125U,	// BCC
+    1141269U,	// BCCA
+    1403413U,	// BCCCTR
+    1403413U,	// BCCCTR8
+    1665557U,	// BCCCTRL
+    1665557U,	// BCCCTRL8
+    1927701U,	// BCCL
+    2189845U,	// BCCLA
+    2451989U,	// BCCLR
+    2714133U,	// BCCLRL
+    2900122U,	// BCCTR
+    2900122U,	// BCCTR8
+    2900178U,	// BCCTR8n
+    2900100U,	// BCCTRL
+    2900100U,	// BCCTRL8
+    2900158U,	// BCCTRL8n
+    2900158U,	// BCCTRLn
+    2900178U,	// BCCTRn
+    25182320U,	// BCL
+    2900112U,	// BCLR
+    2900089U,	// BCLRL
+    2900148U,	// BCLRLn
+    2900169U,	// BCLRn
     311373U,	// BCLalways
-    25182373U,	// BCLn
-    9489U,	// BCTR
-    9489U,	// BCTR8
-    9451U,	// BCTRL
-    9451U,	// BCTRL8
-    25182366U,	// BCn
-    319102U,	// BDNZ
-    319102U,	// BDNZ8
-    329600U,	// BDNZA
-    327929U,	// BDNZAm
+    25182380U,	// BCLn
+    10917U,	// BCTR
+    10917U,	// BCTR8
+    10874U,	// BCTRL
+    10874U,	// BCTRL8
+    98394U,	// BCTRL8_LDinto_toc
+    25182373U,	// BCn
+    320294U,	// BDNZ
+    320294U,	// BDNZ8
+    329961U,	// BDNZA
+    327936U,	// BDNZAm
     327721U,	// BDNZAp
-    314838U,	// BDNZL
-    329574U,	// BDNZLA
-    327913U,	// BDNZLAm
+    315560U,	// BDNZL
+    329734U,	// BDNZLA
+    327920U,	// BDNZLAm
     327705U,	// BDNZLAp
-    9482U,	// BDNZLR
-    9482U,	// BDNZLR8
-    9443U,	// BDNZLRL
-    7883U,	// BDNZLRLm
-    7851U,	// BDNZLRLp
-    7899U,	// BDNZLRm
-    7867U,	// BDNZLRp
-    311560U,	// BDNZLm
+    10910U,	// BDNZLR
+    10910U,	// BDNZLR8
+    10866U,	// BDNZLRL
+    9081U,	// BDNZLRLm
+    9049U,	// BDNZLRLp
+    9097U,	// BDNZLRm
+    9065U,	// BDNZLRp
+    311567U,	// BDNZLm
     311352U,	// BDNZLp
-    311574U,	// BDNZm
+    311581U,	// BDNZm
     311366U,	// BDNZp
-    319044U,	// BDZ
-    319044U,	// BDZ8
-    329594U,	// BDZA
-    327922U,	// BDZAm
+    320232U,	// BDZ
+    320232U,	// BDZ8
+    329955U,	// BDZA
+    327929U,	// BDZAm
     327714U,	// BDZAp
-    314832U,	// BDZL
-    329567U,	// BDZLA
-    327905U,	// BDZLAm
+    315554U,	// BDZL
+    329727U,	// BDZLA
+    327912U,	// BDZLAm
     327697U,	// BDZLAp
-    9476U,	// BDZLR
-    9476U,	// BDZLR8
-    9436U,	// BDZLRL
-    7875U,	// BDZLRLm
-    7843U,	// BDZLRLp
-    7892U,	// BDZLRm
-    7860U,	// BDZLRp
-    311553U,	// BDZLm
+    10904U,	// BDZLR
+    10904U,	// BDZLR8
+    10859U,	// BDZLRL
+    9073U,	// BDZLRLm
+    9041U,	// BDZLRLp
+    9090U,	// BDZLRm
+    9058U,	// BDZLRp
+    311560U,	// BDZLm
     311345U,	// BDZLp
-    311568U,	// BDZm
+    311575U,	// BDZm
     311360U,	// BDZp
-    314728U,	// BL
-    314728U,	// BL8
-    3198312U,	// BL8_NOP
-    3247464U,	// BL8_NOP_TLS
-    363880U,	// BL8_TLS
-    363880U,	// BL8_TLS_
-    329556U,	// BLA
-    329556U,	// BLA8
-    3213140U,	// BLA8_NOP
-    9472U,	// BLR
-    9431U,	// BLRL
-    363880U,	// BL_TLS
-    18641U,	// BRINC
-    2147503060U,	// CLRLSLDI
-    2147500660U,	// CLRLSLDIo
-    19725U,	// CLRLSLWI
-    17101U,	// CLRLSLWIo
-    2147503095U,	// CLRRDI
-    2147500687U,	// CLRRDIo
-    19766U,	// CLRRWI
-    17130U,	// CLRRWIo
-    18823U,	// CMPD
-    2147503088U,	// CMPDI
-    18773U,	// CMPLD
-    19404U,	// CMPLDI
-    23074U,	// CMPLW
-    19709U,	// CMPLWI
-    23314U,	// CMPW
-    2147503407U,	// CMPWI
-    134236585U,	// CNTLZD
-    134234603U,	// CNTLZDo
-    134241216U,	// CNTLZW
-    134235423U,	// CNTLZWo
-    8481U,	// CR6SET
-    8467U,	// CR6UNSET
-    18809U,	// CRAND
-    18562U,	// CRANDC
-    22623U,	// CREQV
-    18793U,	// CRNAND
-    21565U,	// CRNOR
-    21579U,	// CROR
-    18654U,	// CRORC
-    2181060703U,	// CRSET
-    2181059679U,	// CRUNSET
-    21599U,	// CRXOR
-    116365U,	// DCBA
-    117304U,	// DCBF
-    117663U,	// DCBI
-    120708U,	// DCBST
-    120689U,	// DCBT
-    120720U,	// DCBTST
-    122425U,	// DCBZ
-    118217U,	// DCBZL
-    134237105U,	// DCCCI
-    18851U,	// DIVD
-    22497U,	// DIVDU
-    17566U,	// DIVDUo
-    16868U,	// DIVDo
-    23480U,	// DIVW
-    22592U,	// DIVWU
-    17583U,	// DIVWUo
-    17688U,	// DIVWo
-    398889U,	// DSS
-    9424U,	// DSSALL
-    444749707U,	// DST
-    444749707U,	// DST64
-    444749720U,	// DSTST
-    444749720U,	// DSTST64
-    444749733U,	// DSTSTT
-    444749733U,	// DSTSTT64
-    444749727U,	// DSTT
-    444749727U,	// DSTT64
-    8973U,	// DYNALLOC
-    8638U,	// DYNALLOC8
-    8149U,	// EH_SjLj_LongJmp32
-    8359U,	// EH_SjLj_LongJmp64
-    8168U,	// EH_SjLj_SetJmp32
-    8378U,	// EH_SjLj_SetJmp64
+    315437U,	// BL
+    315437U,	// BL8
+    3199021U,	// BL8_NOP
+    3264557U,	// BL8_NOP_TLS
+    380973U,	// BL8_TLS
+    380973U,	// BL8_TLS_
+    329716U,	// BLA
+    329716U,	// BLA8
+    3213300U,	// BLA8_NOP
+    10900U,	// BLR
+    10900U,	// BLR8
+    10854U,	// BLRL
+    380973U,	// BL_TLS
+    19031U,	// BRINC
+    19992U,	// CLRLSLDI
+    17060U,	// CLRLSLDIo
+    20334U,	// CLRLSLWI
+    17158U,	// CLRLSLWIo
+    20027U,	// CLRRDI
+    17087U,	// CLRRDIo
+    20375U,	// CLRRWI
+    17187U,	// CLRRWIo
+    18707U,	// CMPB
+    18707U,	// CMPB8
+    19296U,	// CMPD
+    20020U,	// CMPDI
+    19230U,	// CMPLD
+    19984U,	// CMPLDI
+    24018U,	// CMPLW
+    20318U,	// CMPLWI
+    24258U,	// CMPW
+    20368U,	// CMPWI
+    268454862U,	// CNTLZD
+    268452371U,	// CNTLZDo
+    268459932U,	// CNTLZW
+    268459932U,	// CNTLZW8
+    268453215U,	// CNTLZW8o
+    268453215U,	// CNTLZWo
+    9713U,	// CR6SET
+    9699U,	// CR6UNSET
+    19282U,	// CRAND
+    18952U,	// CRANDC
+    23565U,	// CREQV
+    19266U,	// CRNAND
+    22356U,	// CRNOR
+    22370U,	// CROR
+    19052U,	// CRORC
+    33577997U,	// CRSET
+    33576822U,	// CRUNSET
+    22390U,	// CRXOR
+    132813U,	// DCBA
+    134241U,	// DCBF
+    134619U,	// DCBI
+    138004U,	// DCBST
+    137959U,	// DCBT
+    138016U,	// DCBTST
+    139997U,	// DCBZ
+    135323U,	// DCBZL
+    268455405U,	// DCCCI
+    19393U,	// DIVD
+    23421U,	// DIVDU
+    17630U,	// DIVDUo
+    16908U,	// DIVDo
+    24461U,	// DIVW
+    23526U,	// DIVWU
+    17647U,	// DIVWUo
+    17752U,	// DIVWo
+    416157U,	// DSS
+    10847U,	// DSSALL
+    847420187U,	// DST
+    847420187U,	// DST64
+    847420200U,	// DSTST
+    847420200U,	// DSTST64
+    847420213U,	// DSTSTT
+    847420213U,	// DSTSTT64
+    847420207U,	// DSTT
+    847420207U,	// DSTT64
+    10213U,	// DYNALLOC
+    9870U,	// DYNALLOC8
+    9347U,	// EH_SjLj_LongJmp32
+    9591U,	// EH_SjLj_LongJmp64
+    9366U,	// EH_SjLj_SetJmp32
+    9610U,	// EH_SjLj_SetJmp64
     311297U,	// EH_SjLj_Setup
-    9457U,	// EIEIO
-    22625U,	// EQV
-    22625U,	// EQV8
-    17598U,	// EQV8o
-    17598U,	// EQVo
-    134239421U,	// EVABS
-    50354682U,	// EVADDIW
-    134240417U,	// EVADDSMIAAW
-    134240549U,	// EVADDSSIAAW
-    134240483U,	// EVADDUMIAAW
-    134240615U,	// EVADDUSIAAW
-    22960U,	// EVADDW
-    18816U,	// EVAND
-    18570U,	// EVANDC
-    21448U,	// EVCMPEQ
-    22080U,	// EVCMPGTS
-    22548U,	// EVCMPGTU
-    22090U,	// EVCMPLTS
-    22558U,	// EVCMPLTU
-    134241072U,	// EVCNTLSW
-    134241214U,	// EVCNTLZW
-    22223U,	// EVDIVWS
-    22590U,	// EVDIVWU
-    22630U,	// EVEQV
-    134236152U,	// EVEXTSB
-    134236995U,	// EVEXTSH
-    58738968U,	// EVLDD
-    23580U,	// EVLDDX
-    58739402U,	// EVLDH
-    23665U,	// EVLDHX
-    58743224U,	// EVLDW
-    24049U,	// EVLDWX
-    58742576U,	// EVLHHESPLAT
-    23852U,	// EVLHHESPLATX
-    58742601U,	// EVLHHOSSPLAT
-    23879U,	// EVLHHOSSPLATX
-    58742615U,	// EVLHHOUSPLAT
-    23894U,	// EVLHHOUSPLATX
-    58739150U,	// EVLWHE
-    23636U,	// EVLWHEX
-    58742304U,	// EVLWHOS
-    23842U,	// EVLWHOSX
-    58742775U,	// EVLWHOU
-    23985U,	// EVLWHOUX
-    58742589U,	// EVLWHSPLAT
-    23866U,	// EVLWHSPLATX
-    58742629U,	// EVLWWSPLAT
-    23909U,	// EVLWWSPLATX
-    19503U,	// EVMERGEHI
-    20297U,	// EVMERGEHILO
-    20286U,	// EVMERGELO
-    19514U,	// EVMERGELOHI
-    17939U,	// EVMHEGSMFAA
-    20118U,	// EVMHEGSMFAN
-    17987U,	// EVMHEGSMIAA
-    20166U,	// EVMHEGSMIAN
-    18024U,	// EVMHEGUMIAA
-    20203U,	// EVMHEGUMIAN
-    19012U,	// EVMHESMF
-    18072U,	// EVMHESMFA
-    22637U,	// EVMHESMFAAW
-    23106U,	// EVMHESMFANW
-    19557U,	// EVMHESMI
-    18163U,	// EVMHESMIA
-    22702U,	// EVMHESMIAAW
-    23158U,	// EVMHESMIANW
-    19087U,	// EVMHESSF
-    18115U,	// EVMHESSFA
-    22663U,	// EVMHESSFAAW
-    23132U,	// EVMHESSFANW
-    22834U,	// EVMHESSIAAW
-    23236U,	// EVMHESSIANW
-    19596U,	// EVMHEUMI
-    18206U,	// EVMHEUMIA
-    22768U,	// EVMHEUMIAAW
-    23197U,	// EVMHEUMIANW
-    22900U,	// EVMHEUSIAAW
-    23275U,	// EVMHEUSIANW
-    17952U,	// EVMHOGSMFAA
-    20131U,	// EVMHOGSMFAN
-    18000U,	// EVMHOGSMIAA
-    20179U,	// EVMHOGSMIAN
-    18037U,	// EVMHOGUMIAA
-    20216U,	// EVMHOGUMIAN
-    19032U,	// EVMHOSMF
-    18094U,	// EVMHOSMFA
-    22650U,	// EVMHOSMFAAW
-    23119U,	// EVMHOSMFANW
-    19577U,	// EVMHOSMI
-    18185U,	// EVMHOSMIA
-    22742U,	// EVMHOSMIAAW
-    23184U,	// EVMHOSMIANW
-    19107U,	// EVMHOSSF
-    18137U,	// EVMHOSSFA
-    22676U,	// EVMHOSSFAAW
-    23145U,	// EVMHOSSFANW
-    22874U,	// EVMHOSSIAAW
-    23262U,	// EVMHOSSIANW
-    19626U,	// EVMHOUMI
-    18239U,	// EVMHOUMIA
-    22808U,	// EVMHOUMIAAW
-    23223U,	// EVMHOUMIANW
-    22940U,	// EVMHOUSIAAW
-    23301U,	// EVMHOUSIANW
-    134236014U,	// EVMRA
-    19022U,	// EVMWHSMF
-    18083U,	// EVMWHSMFA
-    19567U,	// EVMWHSMI
-    18174U,	// EVMWHSMIA
-    19097U,	// EVMWHSSF
-    18126U,	// EVMWHSSFA
-    19606U,	// EVMWHUMI
-    18217U,	// EVMWHUMIA
-    22729U,	// EVMWLSMIAAW
-    23171U,	// EVMWLSMIANW
-    22861U,	// EVMWLSSIAAW
-    23249U,	// EVMWLSSIANW
-    19616U,	// EVMWLUMI
-    18228U,	// EVMWLUMIA
-    22795U,	// EVMWLUMIAAW
-    23210U,	// EVMWLUMIANW
-    22927U,	// EVMWLUSIAAW
-    23288U,	// EVMWLUSIANW
-    19042U,	// EVMWSMF
-    18105U,	// EVMWSMFA
-    17965U,	// EVMWSMFAA
-    20144U,	// EVMWSMFAN
-    19587U,	// EVMWSMI
-    18196U,	// EVMWSMIA
-    18013U,	// EVMWSMIAA
-    20192U,	// EVMWSMIAN
-    19117U,	// EVMWSSF
-    18148U,	// EVMWSSFA
-    17976U,	// EVMWSSFAA
-    20155U,	// EVMWSSFAN
-    19636U,	// EVMWUMI
-    18250U,	// EVMWUMIA
-    18050U,	// EVMWUMIAA
-    20229U,	// EVMWUMIAN
-    18801U,	// EVNAND
-    134236860U,	// EVNEG
-    21572U,	// EVNOR
-    21585U,	// EVOR
-    18661U,	// EVORC
-    23081U,	// EVRLW
-    19717U,	// EVRLWI
-    134240703U,	// EVRNDW
-    23088U,	// EVSLW
-    19743U,	// EVSLWI
-    134237220U,	// EVSPLATFI
-    134237411U,	// EVSPLATI
-    22032U,	// EVSRWIS
-    22510U,	// EVSRWIU
-    22160U,	// EVSRWS
-    22576U,	// EVSRWU
-    58738975U,	// EVSTDD
-    23588U,	// EVSTDDX
-    58739409U,	// EVSTDH
-    23673U,	// EVSTDHX
-    58743239U,	// EVSTDW
-    24057U,	// EVSTDWX
-    58739158U,	// EVSTWHE
-    23645U,	// EVSTWHEX
-    58740533U,	// EVSTWHO
-    23703U,	// EVSTWHOX
-    58739232U,	// EVSTWWE
-    23655U,	// EVSTWWEX
-    58740578U,	// EVSTWWO
-    23713U,	// EVSTWWOX
-    134240443U,	// EVSUBFSMIAAW
-    134240575U,	// EVSUBFSSIAAW
-    134240509U,	// EVSUBFUMIAAW
-    134240641U,	// EVSUBFUSIAAW
-    22991U,	// EVSUBFW
-    67131864U,	// EVSUBIFW
-    21606U,	// EVXOR
-    2147503070U,	// EXTLDI
-    2147500671U,	// EXTLDIo
-    19751U,	// EXTLWI
-    17121U,	// EXTLWIo
-    2147503119U,	// EXTRDI
-    2147500714U,	// EXTRDIo
-    19790U,	// EXTRWI
-    17157U,	// EXTRWIo
-    134236154U,	// EXTSB
-    134236154U,	// EXTSB8
-    134236154U,	// EXTSB8_32_64
-    134234408U,	// EXTSB8o
-    134234408U,	// EXTSBo
-    134236997U,	// EXTSH
-    134236997U,	// EXTSH8
-    134236997U,	// EXTSH8_32_64
-    134234702U,	// EXTSH8o
-    134234702U,	// EXTSHo
-    134241100U,	// EXTSW
-    134241100U,	// EXTSW_32_64
-    134235386U,	// EXTSW_32_64o
-    134235386U,	// EXTSWo
-    134239408U,	// FABSD
-    134235129U,	// FABSDo
-    134239408U,	// FABSS
-    134235129U,	// FABSSo
-    18691U,	// FADD
-    21780U,	// FADDS
-    17443U,	// FADDSo
-    16793U,	// FADDo
+    23560U,	// EQV
+    23560U,	// EQV8
+    17662U,	// EQV8o
+    17662U,	// EQVo
+    268457944U,	// EVABS
+    50355624U,	// EVADDIW
+    268459087U,	// EVADDSMIAAW
+    268459219U,	// EVADDSSIAAW
+    268459153U,	// EVADDUMIAAW
+    268459285U,	// EVADDUSIAAW
+    23902U,	// EVADDW
+    19289U,	// EVAND
+    18960U,	// EVANDC
+    22237U,	// EVCMPEQ
+    22964U,	// EVCMPGTS
+    23472U,	// EVCMPGTU
+    22974U,	// EVCMPLTS
+    23482U,	// EVCMPLTU
+    268459753U,	// EVCNTLSW
+    268459930U,	// EVCNTLZW
+    23109U,	// EVDIVWS
+    23524U,	// EVDIVWU
+    23572U,	// EVEQV
+    268454247U,	// EVEXTSB
+    268455278U,	// EVEXTSH
+    58739421U,	// EVLDD
+    24589U,	// EVLDDX
+    58739957U,	// EVLDH
+    24693U,	// EVLDHX
+    58744166U,	// EVLDW
+    25233U,	// EVLDWX
+    58743462U,	// EVLHHESPLAT
+    24986U,	// EVLHHESPLATX
+    58743487U,	// EVLHHOSSPLAT
+    25013U,	// EVLHHOSSPLATX
+    58743501U,	// EVLHHOUSPLAT
+    25028U,	// EVLHHOUSPLATX
+    58739699U,	// EVLWHE
+    24664U,	// EVLWHEX
+    58743188U,	// EVLWHOS
+    24966U,	// EVLWHOSX
+    58743699U,	// EVLWHOU
+    25144U,	// EVLWHOUX
+    58743475U,	// EVLWHSPLAT
+    25000U,	// EVLWHSPLATX
+    58743515U,	// EVLWWSPLAT
+    25043U,	// EVLWWSPLATX
+    20091U,	// EVMERGEHI
+    21072U,	// EVMERGEHILO
+    21061U,	// EVMERGELO
+    20102U,	// EVMERGELOHI
+    18003U,	// EVMHEGSMFAA
+    20878U,	// EVMHEGSMFAN
+    18051U,	// EVMHEGSMIAA
+    20926U,	// EVMHEGSMIAN
+    18088U,	// EVMHEGUMIAA
+    20963U,	// EVMHEGUMIAN
+    19565U,	// EVMHESMF
+    18136U,	// EVMHESMFA
+    23579U,	// EVMHESMFAAW
+    24050U,	// EVMHESMFANW
+    20145U,	// EVMHESMI
+    18227U,	// EVMHESMIA
+    23644U,	// EVMHESMIAAW
+    24102U,	// EVMHESMIANW
+    19640U,	// EVMHESSF
+    18179U,	// EVMHESSFA
+    23605U,	// EVMHESSFAAW
+    24076U,	// EVMHESSFANW
+    23776U,	// EVMHESSIAAW
+    24180U,	// EVMHESSIANW
+    20184U,	// EVMHEUMI
+    18270U,	// EVMHEUMIA
+    23710U,	// EVMHEUMIAAW
+    24141U,	// EVMHEUMIANW
+    23842U,	// EVMHEUSIAAW
+    24219U,	// EVMHEUSIANW
+    18016U,	// EVMHOGSMFAA
+    20891U,	// EVMHOGSMFAN
+    18064U,	// EVMHOGSMIAA
+    20939U,	// EVMHOGSMIAN
+    18101U,	// EVMHOGUMIAA
+    20976U,	// EVMHOGUMIAN
+    19585U,	// EVMHOSMF
+    18158U,	// EVMHOSMFA
+    23592U,	// EVMHOSMFAAW
+    24063U,	// EVMHOSMFANW
+    20165U,	// EVMHOSMI
+    18249U,	// EVMHOSMIA
+    23684U,	// EVMHOSMIAAW
+    24128U,	// EVMHOSMIANW
+    19660U,	// EVMHOSSF
+    18201U,	// EVMHOSSFA
+    23618U,	// EVMHOSSFAAW
+    24089U,	// EVMHOSSFANW
+    23816U,	// EVMHOSSIAAW
+    24206U,	// EVMHOSSIANW
+    20214U,	// EVMHOUMI
+    18303U,	// EVMHOUMIA
+    23750U,	// EVMHOUMIAAW
+    24167U,	// EVMHOUMIANW
+    23882U,	// EVMHOUSIAAW
+    24245U,	// EVMHOUSIANW
+    268453902U,	// EVMRA
+    19575U,	// EVMWHSMF
+    18147U,	// EVMWHSMFA
+    20155U,	// EVMWHSMI
+    18238U,	// EVMWHSMIA
+    19650U,	// EVMWHSSF
+    18190U,	// EVMWHSSFA
+    20194U,	// EVMWHUMI
+    18281U,	// EVMWHUMIA
+    23671U,	// EVMWLSMIAAW
+    24115U,	// EVMWLSMIANW
+    23803U,	// EVMWLSSIAAW
+    24193U,	// EVMWLSSIANW
+    20204U,	// EVMWLUMI
+    18292U,	// EVMWLUMIA
+    23737U,	// EVMWLUMIAAW
+    24154U,	// EVMWLUMIANW
+    23869U,	// EVMWLUSIAAW
+    24232U,	// EVMWLUSIANW
+    19595U,	// EVMWSMF
+    18169U,	// EVMWSMFA
+    18029U,	// EVMWSMFAA
+    20904U,	// EVMWSMFAN
+    20175U,	// EVMWSMI
+    18260U,	// EVMWSMIA
+    18077U,	// EVMWSMIAA
+    20952U,	// EVMWSMIAN
+    19670U,	// EVMWSSF
+    18212U,	// EVMWSSFA
+    18040U,	// EVMWSSFAA
+    20915U,	// EVMWSSFAN
+    20224U,	// EVMWUMI
+    18314U,	// EVMWUMIA
+    18114U,	// EVMWUMIAA
+    20989U,	// EVMWUMIAN
+    19274U,	// EVNAND
+    268455143U,	// EVNEG
+    22363U,	// EVNOR
+    22376U,	// EVOR
+    19059U,	// EVORC
+    24025U,	// EVRLW
+    20326U,	// EVRLWI
+    268459373U,	// EVRNDW
+    24032U,	// EVSLW
+    20352U,	// EVSLWI
+    268455536U,	// EVSPLATFI
+    268455748U,	// EVSPLATI
+    22904U,	// EVSRWIS
+    23434U,	// EVSRWIU
+    23046U,	// EVSRWS
+    23510U,	// EVSRWU
+    58739428U,	// EVSTDD
+    24597U,	// EVSTDDX
+    58739964U,	// EVSTDH
+    24701U,	// EVSTDHX
+    58744181U,	// EVSTDW
+    25241U,	// EVSTDWX
+    58739707U,	// EVSTWHE
+    24673U,	// EVSTWHEX
+    58741308U,	// EVSTWHO
+    24794U,	// EVSTWHOX
+    58739785U,	// EVSTWWE
+    24683U,	// EVSTWWEX
+    58741353U,	// EVSTWWO
+    24804U,	// EVSTWWOX
+    268459113U,	// EVSUBFSMIAAW
+    268459245U,	// EVSUBFSSIAAW
+    268459179U,	// EVSUBFUMIAAW
+    268459311U,	// EVSUBFUSIAAW
+    23933U,	// EVSUBFW
+    67132806U,	// EVSUBIFW
+    22397U,	// EVXOR
+    20002U,	// EXTLDI
+    17071U,	// EXTLDIo
+    20360U,	// EXTLWI
+    17178U,	// EXTLWIo
+    20051U,	// EXTRDI
+    17114U,	// EXTRDIo
+    20399U,	// EXTRWI
+    17214U,	// EXTRWIo
+    268454249U,	// EXTSB
+    268454249U,	// EXTSB8
+    268454249U,	// EXTSB8_32_64
+    268452143U,	// EXTSB8o
+    268452143U,	// EXTSBo
+    268455280U,	// EXTSH
+    268455280U,	// EXTSH8
+    268455280U,	// EXTSH8_32_64
+    268452478U,	// EXTSH8o
+    268452478U,	// EXTSHo
+    268459790U,	// EXTSW
+    268459790U,	// EXTSW_32_64
+    268453178U,	// EXTSW_32_64o
+    268453178U,	// EXTSWo
+    10885U,	// EnforceIEIO
+    268457929U,	// FABSD
+    268452914U,	// FABSDo
+    268457929U,	// FABSS
+    268452914U,	// FABSSo
+    19092U,	// FADD
+    22583U,	// FADDS
+    17500U,	// FADDSo
+    16800U,	// FADDo
     0U,	// FADDrtz
-    134236473U,	// FCFID
-    134239532U,	// FCFIDS
-    134235198U,	// FCFIDSo
-    134240206U,	// FCFIDU
-    134239836U,	// FCFIDUS
-    134235250U,	// FCFIDUSo
-    134235285U,	// FCFIDUo
-    134234553U,	// FCFIDo
-    22528U,	// FCMPUD
-    22528U,	// FCMPUS
-    20240U,	// FCPSGND
-    17221U,	// FCPSGNDo
-    20240U,	// FCPSGNS
-    17221U,	// FCPSGNSo
-    134236480U,	// FCTID
-    134241924U,	// FCTIDUZ
-    134235472U,	// FCTIDUZo
-    134241865U,	// FCTIDZ
-    134235456U,	// FCTIDZo
-    134234561U,	// FCTIDo
-    134240771U,	// FCTIW
-    134241933U,	// FCTIWUZ
-    134235482U,	// FCTIWUZo
-    134241942U,	// FCTIWZ
-    134235492U,	// FCTIWZo
-    134235347U,	// FCTIWo
-    22617U,	// FDIV
-    22153U,	// FDIVS
-    17532U,	// FDIVSo
-    17591U,	// FDIVo
-    18697U,	// FMADD
-    21787U,	// FMADDS
-    17451U,	// FMADDSo
-    16800U,	// FMADDo
-    134239273U,	// FMR
-    134235111U,	// FMRo
-    18510U,	// FMSUB
-    21763U,	// FMSUBS
-    17424U,	// FMSUBSo
-    16706U,	// FMSUBo
-    19894U,	// FMUL
-    22041U,	// FMULS
-    17505U,	// FMULSo
-    17190U,	// FMULo
-    134239414U,	// FNABSD
-    134235136U,	// FNABSDo
-    134239414U,	// FNABSS
-    134235136U,	// FNABSSo
-    134236854U,	// FNEGD
-    134234684U,	// FNEGDo
-    134236854U,	// FNEGS
-    134234684U,	// FNEGSo
-    18704U,	// FNMADD
-    21795U,	// FNMADDS
-    17460U,	// FNMADDSo
-    16808U,	// FNMADDo
-    18517U,	// FNMSUB
-    21771U,	// FNMSUBS
-    17433U,	// FNMSUBSo
-    16714U,	// FNMSUBo
-    134236675U,	// FRE
-    134239612U,	// FRES
-    134235207U,	// FRESo
-    134234644U,	// FREo
-    134237782U,	// FRIMD
-    134234925U,	// FRIMDo
-    134237782U,	// FRIMS
-    134234925U,	// FRIMSo
-    134237983U,	// FRIND
-    134234958U,	// FRINDo
-    134237983U,	// FRINS
-    134234958U,	// FRINSo
-    134238831U,	// FRIPD
-    134235044U,	// FRIPDo
-    134238831U,	// FRIPS
-    134235044U,	// FRIPSo
-    134241912U,	// FRIZD
-    134235465U,	// FRIZDo
-    134241912U,	// FRIZS
-    134235465U,	// FRIZSo
-    134239069U,	// FRSP
-    134235075U,	// FRSPo
-    134236688U,	// FRSQRTE
-    134239618U,	// FRSQRTES
-    134235214U,	// FRSQRTESo
-    134234650U,	// FRSQRTEo
-    19848U,	// FSELD
-    17183U,	// FSELDo
-    19848U,	// FSELS
-    17183U,	// FSELSo
-    134240125U,	// FSQRT
-    134239828U,	// FSQRTS
-    134235241U,	// FSQRTSo
-    134235268U,	// FSQRTo
-    18504U,	// FSUB
-    21756U,	// FSUBS
-    17416U,	// FSUBSo
-    16699U,	// FSUBo
-    9206U,	// GETtlsADDR
-    8202U,	// GETtlsADDR32
-    9192U,	// GETtlsldADDR
-    8186U,	// GETtlsldADDR32
-    9150U,	// GetGBRO
-    117669U,	// ICBI
-    134237112U,	// ICCCI
-    19735U,	// INSLWI
-    17112U,	// INSLWIo
-    2147503103U,	// INSRDI
-    2147500696U,	// INSRDIo
-    19774U,	// INSRWI
-    17139U,	// INSRWIo
-    19854U,	// ISEL
-    19854U,	// ISEL8
-    9360U,	// ISYNC
-    75515733U,	// LA
-    58738517U,	// LAx
-    58744383U,	// LBZ
-    58744383U,	// LBZ8
-    83908679U,	// LBZU
-    83908679U,	// LBZU8
-    92298705U,	// LBZUX
-    92298705U,	// LBZUX8
-    151019039U,	// LBZX
-    151019039U,	// LBZX8
-    58739018U,	// LD
-    151018692U,	// LDARX
-    151018706U,	// LDBRX
-    83908566U,	// LDU
-    92298646U,	// LDUX
-    151018554U,	// LDX
-    9124U,	// LDgotTprelL
-    8119U,	// LDgotTprelL32
-    163930U,	// LDinto_toc
-    9372U,	// LDtoc
-    9313U,	// LDtocCPT
-    9072U,	// LDtocJTI
-    9082U,	// LDtocL
-    58738983U,	// LFD
-    83908537U,	// LFDU
-    92298631U,	// LFDUX
-    151018541U,	// LFDX
-    151018489U,	// LFIWAX
-    151019051U,	// LFIWZX
-    58742162U,	// LFS
-    83908615U,	// LFSU
-    92298683U,	// LFSUX
-    151018773U,	// LFSX
-    58738414U,	// LHA
-    58738414U,	// LHA8
-    83908525U,	// LHAU
-    83908525U,	// LHAU8
-    92298610U,	// LHAUX
-    92298610U,	// LHAUX8
-    151018474U,	// LHAX
-    151018474U,	// LHAX8
-    151018721U,	// LHBRX
-    58744401U,	// LHZ
-    58744401U,	// LHZ8
-    83908685U,	// LHZU
-    83908685U,	// LHZU8
-    92298712U,	// LHZUX
-    92298712U,	// LHZUX8
-    151019045U,	// LHZX
-    151019045U,	// LHZX8
-    100682826U,	// LI
-    100682826U,	// LI8
-    100685316U,	// LIS
-    100685316U,	// LIS8
-    58743351U,	// LMW
-    19798U,	// LSWI
-    151018503U,	// LVEBX
-    151018626U,	// LVEHX
-    151019010U,	// LVEWX
-    151014832U,	// LVSL
-    151016597U,	// LVSR
-    151018982U,	// LVX
-    151014844U,	// LVXL
-    58738549U,	// LWA
-    151018699U,	// LWARX
-    92298617U,	// LWAUX
-    151018497U,	// LWAX
-    151018497U,	// LWAX_32
-    58738549U,	// LWA_32
-    151018736U,	// LWBRX
-    58744478U,	// LWZ
-    58744478U,	// LWZ8
-    83908691U,	// LWZU
-    83908691U,	// LWZU8
-    92298719U,	// LWZUX
-    92298719U,	// LWZUX8
-    151019059U,	// LWZX
-    151019059U,	// LWZX8
-    9379U,	// LWZtoc
-    151018559U,	// LXSDX
-    151018440U,	// LXVD2X
-    151018758U,	// LXVDSX
-    151018457U,	// LXVW4X
-    398302U,	// MBAR
-    134236779U,	// MCRF
-    283641U,	// MFCR
-    283641U,	// MFCR8
-    283810U,	// MFCTR
-    283810U,	// MFCTR8
-    134239204U,	// MFDCR
-    284044U,	// MFFS
-    283677U,	// MFLR
-    283677U,	// MFLR8
-    283777U,	// MFMSR
-    109070961U,	// MFOCRF
-    109070961U,	// MFOCRF8
-    134239341U,	// MFSPR
-    117462139U,	// MFSR
-    134237989U,	// MFSRIN
-    134236169U,	// MFTB
-    3429485U,	// MFTB8
-    3691629U,	// MFVRSAVE
-    3691629U,	// MFVRSAVEv
-    283655U,	// MFVSCR
-    9366U,	// MSYNC
-    134236801U,	// MTCRF
-    134236801U,	// MTCRF8
-    283817U,	// MTCTR
-    283817U,	// MTCTR8
-    283817U,	// MTCTR8loop
-    283817U,	// MTCTRloop
-    167924722U,	// MTDCR
-    394605U,	// MTFSB0
-    394613U,	// MTFSB1
-    134236808U,	// MTFSF
-    283683U,	// MTLR
-    283683U,	// MTLR8
-    134239368U,	// MTMSR
-    134236557U,	// MTMSRD
-    182905U,	// MTOCRF
-    182905U,	// MTOCRF8
-    134239348U,	// MTSPR
-    201871U,	// MTSR
-    134237997U,	// MTSRIN
-    278741U,	// MTVRSAVE
-    409813U,	// MTVRSAVEv
-    283663U,	// MTVSCR
-    18738U,	// MULHD
-    22470U,	// MULHDU
-    17548U,	// MULHDUo
-    16817U,	// MULHDo
-    23027U,	// MULHW
-    22568U,	// MULHWU
-    17574U,	// MULHWUo
-    17611U,	// MULHWo
-    18766U,	// MULLD
-    16841U,	// MULLDo
-    2147503182U,	// MULLI
-    2147503182U,	// MULLI8
-    23067U,	// MULLW
-    17627U,	// MULLWo
-    9218U,	// MovePCtoLR
-    8838U,	// MovePCtoLR8
-    18795U,	// NAND
-    18795U,	// NAND8
-    16855U,	// NAND8o
-    16855U,	// NANDo
-    134236855U,	// NEG
-    134236855U,	// NEG8
-    134234685U,	// NEG8o
-    134234685U,	// NEGo
-    9468U,	// NOP
-    7907U,	// NOP_GT_PWR6
-    7919U,	// NOP_GT_PWR7
-    21560U,	// NOR
-    21560U,	// NOR8
-    17389U,	// NOR8o
-    17389U,	// NORo
-    21553U,	// OR
-    21553U,	// OR8
-    17390U,	// OR8o
-    18656U,	// ORC
-    18656U,	// ORC8
-    16780U,	// ORC8o
-    16780U,	// ORCo
-    19678U,	// ORI
-    19678U,	// ORI8
-    22026U,	// ORIS
-    22026U,	// ORIS8
-    17390U,	// ORo
-    134236565U,	// POPCNTD
-    134241132U,	// POPCNTW
-    9290U,	// PPC32GOT
-    9300U,	// PPC32PICGOT
-    9170U,	// RESTORE_CR
-    9230U,	// RESTORE_CRBIT
-    9042U,	// RESTORE_VRSAVE
-    9404U,	// RFCI
-    9415U,	// RFDI
-    9420U,	// RFI
-    9387U,	// RFID
-    9409U,	// RFMCI
-    19825U,	// RLDCL
-    17166U,	// RLDCLo
-    21483U,	// RLDCR
-    17366U,	// RLDCRo
-    2147502247U,	// RLDIC
-    2147503480U,	// RLDICL
-    2147503480U,	// RLDICL_32_64
-    2147500822U,	// RLDICLo
-    2147505151U,	// RLDICR
-    2147501022U,	// RLDICRo
-    2147500420U,	// RLDICo
-    578833493U,	// RLDIMI
-    578831027U,	// RLDIMIo
-    713051229U,	// RLWIMI
-    713051229U,	// RLWIMI8
-    713048764U,	// RLWIMI8o
-    713048764U,	// RLWIMIo
-    20060U,	// RLWINM
-    20060U,	// RLWINM8
-    17204U,	// RLWINM8o
-    17204U,	// RLWINMo
-    20068U,	// RLWNM
-    17213U,	// RLWNMo
-    2147503111U,	// ROTRDI
-    2147500705U,	// ROTRDIo
-    19782U,	// ROTRWI
-    17148U,	// ROTRWIo
-    280812U,	// SC
-    8417U,	// SELECT_CC_F4
-    8649U,	// SELECT_CC_F8
-    8442U,	// SELECT_CC_I4
-    8694U,	// SELECT_CC_I8
-    8983U,	// SELECT_CC_VRRC
-    8431U,	// SELECT_F4
-    8663U,	// SELECT_F8
-    8456U,	// SELECT_I4
-    8827U,	// SELECT_I8
-    8999U,	// SELECT_VRRC
-    9338U,	// SLBIA
-    281055U,	// SLBIE
-    134236599U,	// SLBMFEE
-    134236680U,	// SLBMTE
-    18780U,	// SLD
-    2147503064U,	// SLDI
-    2147500664U,	// SLDIo
-    16849U,	// SLDo
-    23090U,	// SLW
-    19729U,	// SLWI
-    17105U,	// SLWIo
-    17635U,	// SLWo
-    9182U,	// SPILL_CR
-    9245U,	// SPILL_CRBIT
-    9058U,	// SPILL_VRSAVE
-    18685U,	// SRAD
-    2147503039U,	// SRADI
-    2147500652U,	// SRADIo
-    16786U,	// SRADo
-    22954U,	// SRAW
-    19693U,	// SRAWI
-    17093U,	// SRAWIo
-    17604U,	// SRAWo
-    18832U,	// SRD
-    2147503105U,	// SRDI
-    2147500698U,	// SRDIo
-    16862U,	// SRDo
-    23321U,	// SRW
-    19776U,	// SRWI
-    17141U,	// SRWIo
-    17641U,	// SRWo
-    58738711U,	// STB
-    58738711U,	// STB8
-    84039603U,	// STBU
-    84039603U,	// STBU8
-    92429696U,	// STBUX
-    92429696U,	// STBUX8
-    151018518U,	// STBX
-    151018518U,	// STBX8
-    58739102U,	// STD
-    151018713U,	// STDBRX
-    151012648U,	// STDCX
-    84039643U,	// STDU
-    92429724U,	// STDUX
-    151018574U,	// STDX
-    58738988U,	// STFD
-    84039615U,	// STFDU
-    92429710U,	// STFDUX
-    151018547U,	// STFDX
-    151019025U,	// STFIWX
-    58742167U,	// STFS
-    84039693U,	// STFSU
-    92429762U,	// STFSUX
-    151018779U,	// STFSX
-    58739548U,	// STH
-    58739548U,	// STH8
-    151018728U,	// STHBRX
-    84039656U,	// STHU
-    84039656U,	// STHU8
-    92429738U,	// STHUX
-    92429738U,	// STHUX8
-    151018641U,	// STHX
-    151018641U,	// STHX8
-    58743356U,	// STMW
-    19804U,	// STSWI
-    151018510U,	// STVEBX
-    151018633U,	// STVEHX
-    151019017U,	// STVEWX
-    151018987U,	// STVX
-    151014850U,	// STVXL
-    58743669U,	// STW
-    58743669U,	// STW8
-    151018743U,	// STWBRX
-    151012656U,	// STWCX
-    84039736U,	// STWU
-    84039736U,	// STWU8
-    92429770U,	// STWUX
-    92429770U,	// STWUX8
-    151019033U,	// STWX
-    151019033U,	// STWX8
-    151018566U,	// STXSDX
-    151018448U,	// STXVD2X
-    151018465U,	// STXVW4X
-    19006U,	// SUBF
-    19006U,	// SUBF8
-    16949U,	// SUBF8o
-    18578U,	// SUBFC
-    18578U,	// SUBFC8
-    16748U,	// SUBFC8o
-    16748U,	// SUBFCo
-    18887U,	// SUBFE
-    18887U,	// SUBFE8
-    16891U,	// SUBFE8o
-    16891U,	// SUBFEo
-    2147502254U,	// SUBFIC
-    2147502254U,	// SUBFIC8
-    134236660U,	// SUBFME
-    134236660U,	// SUBFME8
-    134234635U,	// SUBFME8o
-    134234635U,	// SUBFMEo
-    134236720U,	// SUBFZE
-    134236720U,	// SUBFZE8
-    134234668U,	// SUBFZE8o
-    134234668U,	// SUBFZEo
-    16949U,	// SUBFo
-    2147503019U,	// SUBI
-    2147502233U,	// SUBIC
-    2147500404U,	// SUBICo
-    2147505654U,	// SUBIS
-    280792U,	// SYNC
-    313227U,	// TAILB
-    313227U,	// TAILB8
-    329359U,	// TAILBA
-    329359U,	// TAILBA8
-    9489U,	// TAILBCTR
-    9489U,	// TAILBCTR8
-    134809094U,	// TCRETURNai
-    134809001U,	// TCRETURNai8
-    134793456U,	// TCRETURNdi
-    134792631U,	// TCRETURNdi8
-    134763473U,	// TCRETURNri
-    134759877U,	// TCRETURNri8
-    133530U,	// TD
-    2147617815U,	// TDI
-    9344U,	// TLBIA
-    4082150U,	// TLBIE
-    281984U,	// TLBIEL
-    134241264U,	// TLBIVAX
-    280903U,	// TLBLD
-    281671U,	// TLBLI
-    9392U,	// TLBRE
-    18940U,	// TLBRE2
-    134241535U,	// TLBSX
-    23807U,	// TLBSX2
-    17720U,	// TLBSX2D
-    9352U,	// TLBSYNC
-    9398U,	// TLBWE
-    18969U,	// TLBWE2
-    9463U,	// TRAP
-    138079U,	// TW
-    2147618147U,	// TWI
-    134235603U,	// UPDATE_VRSAVE
-    9159U,	// UpdateGBR
-    23427U,	// VADDCUW
-    20978U,	// VADDFP
-    21719U,	// VADDSBS
-    21959U,	// VADDSHS
-    22187U,	// VADDSWS
-    19952U,	// VADDUBM
-    21747U,	// VADDUBS
-    20001U,	// VADDUHM
-    21987U,	// VADDUHS
-    20109U,	// VADDUWM
-    22214U,	// VADDUWS
-    18817U,	// VAND
-    18571U,	// VANDC
-    18361U,	// VAVGSB
-    19204U,	// VAVGSH
-    23326U,	// VAVGSW
-    18469U,	// VAVGUB
-    19306U,	// VAVGUH
-    23436U,	// VAVGUW
-    847273230U,	// VCFSX
-    939547918U,	// VCFSX_0
-    847273379U,	// VCFUX
-    939548067U,	// VCFUX_0
-    20942U,	// VCMPBFP
-    17273U,	// VCMPBFPo
-    21041U,	// VCMPEQFP
-    17294U,	// VCMPEQFPo
-    18494U,	// VCMPEQUB
-    16688U,	// VCMPEQUBo
-    19331U,	// VCMPEQUH
-    16982U,	// VCMPEQUHo
-    23452U,	// VCMPEQUW
-    17666U,	// VCMPEQUWo
-    20995U,	// VCMPGEFP
-    17283U,	// VCMPGEFPo
-    21051U,	// VCMPGTFP
-    17305U,	// VCMPGTFPo
-    18414U,	// VCMPGTSB
-    16669U,	// VCMPGTSBo
-    19257U,	// VCMPGTSH
-    16963U,	// VCMPGTSHo
-    23362U,	// VCMPGTSW
-    17647U,	// VCMPGTSWo
-    18525U,	// VCMPGTUB
-    16723U,	// VCMPGTUBo
-    19341U,	// VCMPGTUH
-    16993U,	// VCMPGTUHo
-    23462U,	// VCMPGTUW
-    17677U,	// VCMPGTUWo
-    847271712U,	// VCTSXS
-    939546400U,	// VCTSXS_0
-    847271720U,	// VCTUXS
-    939546408U,	// VCTUXS_0
-    134238740U,	// VEXPTEFP
-    134238714U,	// VLOGEFP
-    20969U,	// VMADDFP
-    21061U,	// VMAXFP
-    18433U,	// VMAXSB
-    19276U,	// VMAXSH
-    23379U,	// VMAXSW
-    18535U,	// VMAXUB
-    19351U,	// VMAXUH
-    23472U,	// VMAXUW
-    21936U,	// VMHADDSHS
-    21947U,	// VMHRADDSHS
-    21033U,	// VMINFP
-    18397U,	// VMINSB
-    19240U,	// VMINSH
-    23354U,	// VMINSW
-    18477U,	// VMINUB
-    19314U,	// VMINUH
-    23444U,	// VMINUW
-    19990U,	// VMLADDUHM
-    18318U,	// VMRGHB
-    19161U,	// VMRGHH
-    23010U,	// VMRGHW
-    18326U,	// VMRGLB
-    19169U,	// VMRGLH
-    23050U,	// VMRGLW
-    19933U,	// VMSUMMBM
-    19971U,	// VMSUMSHM
-    21968U,	// VMSUMSHS
-    19961U,	// VMSUMUBM
-    20010U,	// VMSUMUHM
-    21996U,	// VMSUMUHS
-    18352U,	// VMULESB
-    19195U,	// VMULESH
-    18460U,	// VMULEUB
-    19297U,	// VMULEUH
-    18405U,	// VMULOSB
-    19248U,	// VMULOSH
-    18485U,	// VMULOUB
-    19322U,	// VMULOUH
-    20951U,	// VNMSUBFP
-    21573U,	// VNOR
-    21586U,	// VOR
-    20075U,	// VPERM
-    23732U,	// VPKPX
-    22062U,	// VPKSHSS
-    22117U,	// VPKSHUS
-    22071U,	// VPKSWSS
-    22135U,	// VPKSWUS
-    20082U,	// VPKUHUM
-    22126U,	// VPKUHUS
-    20091U,	// VPKUWUM
-    22144U,	// VPKUWUS
-    134238733U,	// VREFP
-    134237748U,	// VRFIM
-    134237976U,	// VRFIN
-    134238797U,	// VRFIP
-    134241878U,	// VRFIZ
-    18334U,	// VRLB
-    19177U,	// VRLH
-    23082U,	// VRLW
-    134238750U,	// VRSQRTEFP
-    19860U,	// VSEL
-    19889U,	// VSL
-    18340U,	// VSLB
-    19645U,	// VSLDOI
-    19183U,	// VSLH
-    20310U,	// VSLO
-    23089U,	// VSLW
-    847267855U,	// VSPLTB
-    847268692U,	// VSPLTH
-    125847498U,	// VSPLTISB
-    125848341U,	// VSPLTISH
-    125852454U,	// VSPLTISW
-    847272795U,	// VSPLTW
-    21654U,	// VSR
-    18311U,	// VSRAB
-    19139U,	// VSRAH
-    22953U,	// VSRAW
-    18346U,	// VSRB
-    19189U,	// VSRH
-    20316U,	// VSRO
-    23320U,	// VSRW
-    23418U,	// VSUBCUW
-    20961U,	// VSUBFP
-    21710U,	// VSUBSBS
-    21927U,	// VSUBSHS
-    22178U,	// VSUBSWS
-    19943U,	// VSUBUBM
-    21738U,	// VSUBUBS
-    19981U,	// VSUBUHM
-    21978U,	// VSUBUHS
-    20100U,	// VSUBUWM
-    22205U,	// VSUBUWS
-    22168U,	// VSUM2SWS
-    21700U,	// VSUM4SBS
-    21917U,	// VSUM4SHS
-    21728U,	// VSUM4UBS
-    22196U,	// VSUMSWS
-    134241451U,	// VUPKHPX
-    134236097U,	// VUPKHSB
-    134236940U,	// VUPKHSH
-    134241467U,	// VUPKLPX
-    134236116U,	// VUPKLSB
-    134236959U,	// VUPKLSH
-    21607U,	// VXOR
-    2181059687U,	// V_SET0
-    2181059687U,	// V_SET0B
-    2181059687U,	// V_SET0H
-    4217638U,	// V_SETALLONES
-    4217638U,	// V_SETALLONESB
-    4217638U,	// V_SETALLONESH
-    284535U,	// WAIT
-    281024U,	// WRTEE
-    281628U,	// WRTEEI
-    21594U,	// XOR
-    21594U,	// XOR8
-    17395U,	// XOR8o
-    19677U,	// XORI
-    19677U,	// XORI8
-    22025U,	// XORIS
-    22025U,	// XORIS8
-    17395U,	// XORo
-    134238511U,	// XSABSDP
-    20441U,	// XSADDDP
-    20722U,	// XSCMPODP
-    20854U,	// XSCMPUDP
-    20682U,	// XSCPSGNDP
-    134239038U,	// XSCVDPSP
-    134239540U,	// XSCVDPSXDS
-    134239960U,	// XSCVDPSXWS
-    134239576U,	// XSCVDPUXDS
-    134239996U,	// XSCVDPUXWS
-    134238460U,	// XSCVSPDP
-    134238187U,	// XSCVSXDDP
-    134238209U,	// XSCVUXDDP
-    20864U,	// XSDIVDP
-    1115705265U,	// XSMADDADP
-    1115705524U,	// XSMADDMDP
-    20924U,	// XSMAXDP
-    20704U,	// XSMINDP
-    1115705219U,	// XSMSUBADP
-    1115705478U,	// XSMSUBMDP
-    20572U,	// XSMULDP
-    134238491U,	// XSNABSDP
-    134238282U,	// XSNEGDP
-    1115705241U,	// XSNMADDADP
-    1115705500U,	// XSNMADDMDP
-    1115705195U,	// XSNMSUBADP
-    1115705454U,	// XSNMSUBMDP
-    134237381U,	// XSRDPI
-    134236342U,	// XSRDPIC
-    134237755U,	// XSRDPIM
-    134238804U,	// XSRDPIP
-    134241885U,	// XSRDPIZ
-    134238242U,	// XSREDP
-    134238258U,	// XSRSQRTEDP
-    134238540U,	// XSSQRTDP
-    20423U,	// XSSUBDP
-    20873U,	// XSTDIVDP
-    134238550U,	// XSTSQRTDP
-    134238520U,	// XVABSDP
-    134239085U,	// XVABSSP
-    20450U,	// XVADDDP
-    21164U,	// XVADDSP
-    20752U,	// XVCMPEQDP
-    17249U,	// XVCMPEQDPo
-    21330U,	// XVCMPEQSP
-    17335U,	// XVCMPEQSPo
-    20503U,	// XVCMPGEDP
-    17237U,	// XVCMPGEDPo
-    21195U,	// XVCMPGESP
-    17323U,	// XVCMPGESPo
-    20801U,	// XVCMPGTDP
-    17261U,	// XVCMPGTDPo
-    21366U,	// XVCMPGTSP
-    17354U,	// XVCMPGTSPo
-    20693U,	// XVCPSGNDP
-    21290U,	// XVCPSGNSP
-    134239048U,	// XVCVDPSP
-    134239552U,	// XVCVDPSXDS
-    134239972U,	// XVCVDPSXWS
-    134239588U,	// XVCVDPUXDS
-    134240008U,	// XVCVDPUXWS
-    134238470U,	// XVCVSPDP
-    134239564U,	// XVCVSPSXDS
-    134239984U,	// XVCVSPSXWS
-    134239600U,	// XVCVSPUXDS
-    134240020U,	// XVCVSPUXWS
-    134238198U,	// XVCVSXDDP
-    134238901U,	// XVCVSXDSP
-    134238630U,	// XVCVSXWDP
-    134239145U,	// XVCVSXWSP
-    134238220U,	// XVCVUXDDP
-    134238912U,	// XVCVUXDSP
-    134238641U,	// XVCVUXWDP
-    134239156U,	// XVCVUXWSP
-    20893U,	// XVDIVDP
-    21408U,	// XVDIVSP
-    1115705276U,	// XVMADDADP
-    1115706008U,	// XVMADDASP
-    1115705535U,	// XVMADDMDP
-    1115706143U,	// XVMADDMSP
-    20933U,	// XVMAXDP
-    21439U,	// XVMAXSP
-    20713U,	// XVMINDP
-    21301U,	// XVMINSP
-    1115705230U,	// XVMSUBADP
-    1115705985U,	// XVMSUBASP
-    1115705489U,	// XVMSUBMDP
-    1115706120U,	// XVMSUBMSP
-    20581U,	// XVMULDP
-    21235U,	// XVMULSP
-    134238501U,	// XVNABSDP
-    134239075U,	// XVNABSSP
-    134238291U,	// XVNEGDP
-    134238954U,	// XVNEGSP
-    1115705253U,	// XVNMADDADP
-    1115705996U,	// XVNMADDASP
-    1115705512U,	// XVNMADDMDP
-    1115706131U,	// XVNMADDMSP
-    1115705207U,	// XVNMSUBADP
-    1115705973U,	// XVNMSUBASP
-    1115705466U,	// XVNMSUBMDP
-    1115706108U,	// XVNMSUBMSP
-    134237389U,	// XVRDPI
-    134236351U,	// XVRDPIC
-    134237764U,	// XVRDPIM
-    134238813U,	// XVRDPIP
-    134241894U,	// XVRDPIZ
-    134238250U,	// XVREDP
-    134238934U,	// XVRESP
-    134237397U,	// XVRSPI
-    134236360U,	// XVRSPIC
-    134237773U,	// XVRSPIM
-    134238822U,	// XVRSPIP
-    134241903U,	// XVRSPIZ
-    134238270U,	// XVRSQRTEDP
-    134238942U,	// XVRSQRTESP
-    134238572U,	// XVSQRTDP
-    134239116U,	// XVSQRTSP
-    20432U,	// XVSUBDP
-    21155U,	// XVSUBSP
-    20883U,	// XVTDIVDP
-    21398U,	// XVTDIVSP
-    134238561U,	// XVTSQRTDP
-    134239105U,	// XVTSQRTSP
-    18785U,	// XXLAND
-    18553U,	// XXLANDC
-    21557U,	// XXLNOR
-    21550U,	// XXLOR
-    21550U,	// XXLORf
-    21591U,	// XXLXOR
-    23018U,	// XXMRGHW
-    23058U,	// XXMRGLW
-    19430U,	// XXPERMDI
-    19866U,	// XXSEL
-    19700U,	// XXSLDWI
-    23395U,	// XXSPLTW
-    2147616879U,	// gBC
-    132755U,	// gBCA
-    136347U,	// gBCCTR
-    134568U,	// gBCCTRL
-    2147618156U,	// gBCL
-    132953U,	// gBCLA
-    136215U,	// gBCLR
-    134561U,	// gBCLRL
+    268454656U,	// FCFID
+    268458121U,	// FCFIDS
+    268452983U,	// FCFIDSo
+    268458848U,	// FCFIDU
+    268458450U,	// FCFIDUS
+    268453042U,	// FCFIDUSo
+    268453077U,	// FCFIDUo
+    268452288U,	// FCFIDo
+    23452U,	// FCMPUD
+    23452U,	// FCMPUS
+    21013U,	// FCPSGND
+    17278U,	// FCPSGNDo
+    21013U,	// FCPSGNS
+    17278U,	// FCPSGNSo
+    268454665U,	// FCTID
+    268460846U,	// FCTIDUZ
+    268453264U,	// FCTIDUZo
+    268460783U,	// FCTIDZ
+    268453248U,	// FCTIDZo
+    268452296U,	// FCTIDo
+    268459443U,	// FCTIW
+    268460857U,	// FCTIWUZ
+    268453274U,	// FCTIWUZo
+    268460868U,	// FCTIWZ
+    268453284U,	// FCTIWZo
+    268453139U,	// FCTIWo
+    23551U,	// FDIV
+    23039U,	// FDIVS
+    17596U,	// FDIVSo
+    17655U,	// FDIVo
+    19100U,	// FMADD
+    22592U,	// FMADDS
+    17508U,	// FMADDSo
+    16807U,	// FMADDo
+    268457792U,	// FMR
+    268452896U,	// FMRo
+    18891U,	// FMSUB
+    22562U,	// FMSUBS
+    17481U,	// FMSUBSo
+    16713U,	// FMSUBo
+    20607U,	// FMUL
+    22915U,	// FMULS
+    17569U,	// FMULSo
+    17247U,	// FMULo
+    268457937U,	// FNABSD
+    268452921U,	// FNABSDo
+    268457937U,	// FNABSS
+    268452921U,	// FNABSSo
+    268455137U,	// FNEGD
+    268452460U,	// FNEGDo
+    268455137U,	// FNEGS
+    268452460U,	// FNEGSo
+    19109U,	// FNMADD
+    22602U,	// FNMADDS
+    17517U,	// FNMADDSo
+    16815U,	// FNMADDo
+    18900U,	// FNMSUB
+    22572U,	// FNMSUBS
+    17490U,	// FNMSUBSo
+    16721U,	// FNMSUBo
+    268454954U,	// FRE
+    268458203U,	// FRES
+    268452992U,	// FRESo
+    268452412U,	// FREo
+    268456252U,	// FRIMD
+    268452710U,	// FRIMDo
+    268456252U,	// FRIMS
+    268452710U,	// FRIMSo
+    268456486U,	// FRIND
+    268452743U,	// FRINDo
+    268456486U,	// FRINS
+    268452743U,	// FRINSo
+    268457336U,	// FRIPD
+    268452829U,	// FRIPDo
+    268457336U,	// FRIPS
+    268452829U,	// FRIPSo
+    268460832U,	// FRIZD
+    268453257U,	// FRIZDo
+    268460832U,	// FRIZS
+    268453257U,	// FRIZSo
+    268457576U,	// FRSP
+    268452860U,	// FRSPo
+    268454969U,	// FRSQRTE
+    268458211U,	// FRSQRTES
+    268452999U,	// FRSQRTESo
+    268452418U,	// FRSQRTEo
+    20559U,	// FSELD
+    17240U,	// FSELDo
+    20559U,	// FSELS
+    17240U,	// FSELSo
+    268458765U,	// FSQRT
+    268458440U,	// FSQRTS
+    268453033U,	// FSQRTSo
+    268453060U,	// FSQRTo
+    18883U,	// FSUB
+    22553U,	// FSUBS
+    17473U,	// FSUBSo
+    16706U,	// FSUBo
+    10616U,	// GETtlsADDR
+    9435U,	// GETtlsADDR32
+    10602U,	// GETtlsldADDR
+    9420U,	// GETtlsldADDR32
+    134625U,	// ICBI
+    187117U,	// ICBT
+    268455412U,	// ICCCI
+    20344U,	// INSLWI
+    17169U,	// INSLWIo
+    20035U,	// INSRDI
+    17096U,	// INSRDIo
+    20383U,	// INSRWI
+    17196U,	// INSRWIo
+    20565U,	// ISEL
+    20565U,	// ISEL8
+    10783U,	// ISYNC
+    75515893U,	// LA
+    58738677U,	// LAx
+    58745571U,	// LBZ
+    58745571U,	// LBZ8
+    24770U,	// LBZCIX
+    83909613U,	// LBZU
+    83909613U,	// LBZU8
+    92299889U,	// LBZUX
+    92299889U,	// LBZUX8
+    285237953U,	// LBZX
+    285237953U,	// LBZX8
+    58739475U,	// LD
+    285237511U,	// LDARX
+    285237525U,	// LDBRX
+    24739U,	// LDCIX
+    83909490U,	// LDU
+    92299805U,	// LDUX
+    285237300U,	// LDX
+    10511U,	// LDgotTprelL
+    9317U,	// LDgotTprelL32
+    10795U,	// LDtoc
+    10736U,	// LDtocBA
+    10736U,	// LDtocCPT
+    10459U,	// LDtocJTI
+    10469U,	// LDtocL
+    58739436U,	// LFD
+    83909449U,	// LFDU
+    92299788U,	// LFDUX
+    285237280U,	// LFDX
+    285237207U,	// LFIWAX
+    285237967U,	// LFIWZX
+    58743027U,	// LFS
+    83909539U,	// LFSU
+    92299865U,	// LFSUX
+    285237613U,	// LFSX
+    58738478U,	// LHA
+    58738478U,	// LHA8
+    83909437U,	// LHAU
+    83909437U,	// LHAU8
+    92299744U,	// LHAUX
+    92299744U,	// LHAUX8
+    285237190U,	// LHAX
+    285237190U,	// LHAX8
+    285237540U,	// LHBRX
+    285237540U,	// LHBRX8
+    58745591U,	// LHZ
+    58745591U,	// LHZ8
+    24778U,	// LHZCIX
+    83909619U,	// LHZU
+    83909619U,	// LHZU8
+    92299896U,	// LHZUX
+    92299896U,	// LHZUX8
+    285237959U,	// LHZX
+    285237959U,	// LHZX8
+    100683414U,	// LI
+    100683414U,	// LI8
+    100686188U,	// LIS
+    100686188U,	// LIS8
+    58744295U,	// LMW
+    20407U,	// LSWI
+    285237221U,	// LVEBX
+    285237382U,	// LVEHX
+    285237922U,	// LVEWX
+    285233271U,	// LVSL
+    285235116U,	// LVSR
+    285237894U,	// LVX
+    285233294U,	// LVXL
+    58738709U,	// LWA
+    285237518U,	// LWARX
+    92299751U,	// LWAUX
+    285237215U,	// LWAX
+    285237215U,	// LWAX_32
+    58738709U,	// LWA_32
+    285237555U,	// LWBRX
+    285237555U,	// LWBRX8
+    58745676U,	// LWZ
+    58745676U,	// LWZ8
+    24786U,	// LWZCIX
+    83909625U,	// LWZU
+    83909625U,	// LWZU8
+    92299903U,	// LWZUX
+    92299903U,	// LWZUX8
+    285237975U,	// LWZX
+    285237975U,	// LWZX8
+    10802U,	// LWZtoc
+    285237315U,	// LXSDX
+    285237156U,	// LXVD2X
+    285237596U,	// LXVDSX
+    285237173U,	// LXVW4X
+    415475U,	// MBAR
+    268455060U,	// MCRF
+    268458232U,	// MCRFS
+    284430U,	// MFCR
+    284430U,	// MFCR8
+    284601U,	// MFCTR
+    284601U,	// MFCTR8
+    268457721U,	// MFDCR
+    284909U,	// MFFS
+    279698U,	// MFFSo
+    284466U,	// MFLR
+    284466U,	// MFLR8
+    284568U,	// MFMSR
+    109071514U,	// MFOCRF
+    109071514U,	// MFOCRF8
+    268457860U,	// MFSPR
+    117462930U,	// MFSR
+    268456492U,	// MFSRIN
+    268454264U,	// MFTB
+    3430276U,	// MFTB8
+    3692420U,	// MFVRSAVE
+    3692420U,	// MFVRSAVEv
+    284444U,	// MFVSCR
+    10789U,	// MSYNC
+    268455082U,	// MTCRF
+    268455082U,	// MTCRF8
+    284608U,	// MTCTR
+    284608U,	// MTCTR8
+    284608U,	// MTCTR8loop
+    284608U,	// MTCTRloop
+    302159623U,	// MTDCR
+    411053U,	// MTFSB0
+    411061U,	// MTFSB1
+    19633U,	// MTFSF
+    20072U,	// MTFSFI
+    17123U,	// MTFSFIo
+    268455089U,	// MTFSFb
+    16996U,	// MTFSFo
+    284472U,	// MTLR
+    284472U,	// MTLR8
+    268457887U,	// MTMSR
+    268454758U,	// MTMSRD
+    199842U,	// MTOCRF
+    199842U,	// MTOCRF8
+    268457867U,	// MTSPR
+    219046U,	// MTSR
+    268456500U,	// MTSRIN
+    278748U,	// MTVRSAVE
+    426204U,	// MTVRSAVEv
+    284452U,	// MTVSCR
+    19191U,	// MULHD
+    23382U,	// MULHDU
+    17612U,	// MULHDUo
+    16824U,	// MULHDo
+    23969U,	// MULHW
+    23492U,	// MULHWU
+    17638U,	// MULHWUo
+    17675U,	// MULHWo
+    19223U,	// MULLD
+    16848U,	// MULLDo
+    20122U,	// MULLI
+    20122U,	// MULLI8
+    24011U,	// MULLW
+    17691U,	// MULLWo
+    10640U,	// MoveGOTtoLR
+    10628U,	// MovePCtoLR
+    10070U,	// MovePCtoLR8
+    19260U,	// NAND
+    19260U,	// NAND8
+    16862U,	// NAND8o
+    16862U,	// NANDo
+    268455138U,	// NEG
+    268455138U,	// NEG8
+    268452461U,	// NEG8o
+    268452461U,	// NEGo
+    10896U,	// NOP
+    9105U,	// NOP_GT_PWR6
+    9117U,	// NOP_GT_PWR7
+    22351U,	// NOR
+    22351U,	// NOR8
+    17446U,	// NOR8o
+    17446U,	// NORo
+    22344U,	// OR
+    22344U,	// OR8
+    17447U,	// OR8o
+    19047U,	// ORC
+    19047U,	// ORC8
+    16787U,	// ORC8o
+    16787U,	// ORCo
+    20276U,	// ORI
+    20276U,	// ORI8
+    22898U,	// ORIS
+    22898U,	// ORIS8
+    17447U,	// ORo
+    268454799U,	// POPCNTD
+    268459823U,	// POPCNTW
+    10713U,	// PPC32GOT
+    10723U,	// PPC32PICGOT
+    20233U,	// QVALIGNI
+    20233U,	// QVALIGNIb
+    20233U,	// QVALIGNIs
+    20281U,	// QVESPLATI
+    20281U,	// QVESPLATIb
+    20281U,	// QVESPLATIs
+    268457927U,	// QVFABS
+    268457927U,	// QVFABSs
+    19090U,	// QVFADD
+    22581U,	// QVFADDS
+    22581U,	// QVFADDSs
+    268454654U,	// QVFCFID
+    268458119U,	// QVFCFIDS
+    268458846U,	// QVFCFIDU
+    268458448U,	// QVFCFIDUS
+    268454654U,	// QVFCFIDb
+    22227U,	// QVFCMPEQ
+    22227U,	// QVFCMPEQb
+    22227U,	// QVFCMPEQbs
+    23283U,	// QVFCMPGT
+    23283U,	// QVFCMPGTb
+    23283U,	// QVFCMPGTbs
+    23299U,	// QVFCMPLT
+    23299U,	// QVFCMPLTb
+    23299U,	// QVFCMPLTbs
+    21011U,	// QVFCPSGN
+    21011U,	// QVFCPSGNs
+    268454663U,	// QVFCTID
+    268458856U,	// QVFCTIDU
+    268460844U,	// QVFCTIDUZ
+    268460781U,	// QVFCTIDZ
+    268454663U,	// QVFCTIDb
+    268459441U,	// QVFCTIW
+    268458956U,	// QVFCTIWU
+    268460855U,	// QVFCTIWUZ
+    268460866U,	// QVFCTIWZ
+    20513U,	// QVFLOGICAL
+    20513U,	// QVFLOGICALb
+    20513U,	// QVFLOGICALs
+    19098U,	// QVFMADD
+    22590U,	// QVFMADDS
+    22590U,	// QVFMADDSs
+    268457790U,	// QVFMR
+    268457790U,	// QVFMRb
+    268457790U,	// QVFMRs
+    18889U,	// QVFMSUB
+    22560U,	// QVFMSUBS
+    22560U,	// QVFMSUBSs
+    20605U,	// QVFMUL
+    22913U,	// QVFMULS
+    22913U,	// QVFMULSs
+    268457935U,	// QVFNABS
+    268457935U,	// QVFNABSs
+    268455135U,	// QVFNEG
+    268455135U,	// QVFNEGs
+    19107U,	// QVFNMADD
+    22600U,	// QVFNMADDS
+    22600U,	// QVFNMADDSs
+    18898U,	// QVFNMSUB
+    22570U,	// QVFNMSUBS
+    22570U,	// QVFNMSUBSs
+    20817U,	// QVFPERM
+    20817U,	// QVFPERMs
+    268454952U,	// QVFRE
+    268458201U,	// QVFRES
+    268458201U,	// QVFRESs
+    268456250U,	// QVFRIM
+    268456250U,	// QVFRIMs
+    268456484U,	// QVFRIN
+    268456484U,	// QVFRINs
+    268457334U,	// QVFRIP
+    268457334U,	// QVFRIPs
+    268460830U,	// QVFRIZ
+    268460830U,	// QVFRIZs
+    268457574U,	// QVFRSP
+    268457574U,	// QVFRSPs
+    268454967U,	// QVFRSQRTE
+    268458209U,	// QVFRSQRTES
+    268458209U,	// QVFRSQRTESs
+    20557U,	// QVFSEL
+    20557U,	// QVFSELb
+    20557U,	// QVFSELbb
+    20557U,	// QVFSELbs
+    18881U,	// QVFSUB
+    22551U,	// QVFSUBS
+    22551U,	// QVFSUBSs
+    21000U,	// QVFTSTNAN
+    21000U,	// QVFTSTNANb
+    21000U,	// QVFTSTNANbs
+    19144U,	// QVFXMADD
+    22640U,	// QVFXMADDS
+    20613U,	// QVFXMUL
+    22922U,	// QVFXMULS
+    19117U,	// QVFXXCPNMADD
+    22611U,	// QVFXXCPNMADDS
+    19154U,	// QVFXXMADD
+    22651U,	// QVFXXMADDS
+    19131U,	// QVFXXNPMADD
+    22626U,	// QVFXXNPMADDS
+    125849083U,	// QVGPCI
+    285237749U,	// QVLFCDUX
+    285231221U,	// QVLFCDUXA
+    285237242U,	// QVLFCDX
+    285231141U,	// QVLFCDXA
+    285237826U,	// QVLFCSUX
+    285231265U,	// QVLFCSUXA
+    285237577U,	// QVLFCSX
+    285231181U,	// QVLFCSXA
+    285237577U,	// QVLFCSXs
+    92299786U,	// QVLFDUX
+    285231244U,	// QVLFDUXA
+    285237278U,	// QVLFDX
+    285231162U,	// QVLFDXA
+    285237278U,	// QVLFDXb
+    285237205U,	// QVLFIWAX
+    285231130U,	// QVLFIWAXA
+    285237965U,	// QVLFIWZX
+    285231320U,	// QVLFIWZXA
+    92299863U,	// QVLFSUX
+    285231288U,	// QVLFSUXA
+    285237611U,	// QVLFSX
+    285231202U,	// QVLFSXA
+    285237611U,	// QVLFSXb
+    285237611U,	// QVLFSXs
+    285237295U,	// QVLPCLDX
+    285237628U,	// QVLPCLSX
+    3957116U,	// QVLPCLSXint
+    285237305U,	// QVLPCRDX
+    285237648U,	// QVLPCRSX
+    285237759U,	// QVSTFCDUX
+    285231232U,	// QVSTFCDUXA
+    285233139U,	// QVSTFCDUXI
+    285231042U,	// QVSTFCDUXIA
+    285237251U,	// QVSTFCDX
+    285231151U,	// QVSTFCDXA
+    285233097U,	// QVSTFCDXI
+    285230996U,	// QVSTFCDXIA
+    285237836U,	// QVSTFCSUX
+    285231276U,	// QVSTFCSUXA
+    285233162U,	// QVSTFCSUXI
+    285231067U,	// QVSTFCSUXIA
+    285237586U,	// QVSTFCSX
+    285231191U,	// QVSTFCSXA
+    285233118U,	// QVSTFCSXI
+    285231019U,	// QVSTFCSXIA
+    285237586U,	// QVSTFCSXs
+    92447251U,	// QVSTFDUX
+    285231254U,	// QVSTFDUXA
+    285233151U,	// QVSTFDUXI
+    285231055U,	// QVSTFDUXIA
+    285237286U,	// QVSTFDX
+    285231171U,	// QVSTFDXA
+    285233108U,	// QVSTFDXI
+    285231008U,	// QVSTFDXIA
+    285237286U,	// QVSTFDXb
+    285237937U,	// QVSTFIWX
+    285231309U,	// QVSTFIWXA
+    92447328U,	// QVSTFSUX
+    285231298U,	// QVSTFSUXA
+    285233174U,	// QVSTFSUXI
+    285231080U,	// QVSTFSUXIA
+    92447328U,	// QVSTFSUXs
+    285237619U,	// QVSTFSX
+    285231211U,	// QVSTFSXA
+    285233129U,	// QVSTFSXI
+    285231031U,	// QVSTFSXIA
+    285237619U,	// QVSTFSXs
+    10548U,	// RESTORE_CR
+    10653U,	// RESTORE_CRBIT
+    10429U,	// RESTORE_VRSAVE
+    10827U,	// RFCI
+    10838U,	// RFDI
+    10843U,	// RFI
+    10810U,	// RFID
+    10832U,	// RFMCI
+    20534U,	// RLDCL
+    17223U,	// RLDCLo
+    22272U,	// RLDCR
+    17423U,	// RLDCRo
+    18989U,	// RLDIC
+    20541U,	// RLDICL
+    20541U,	// RLDICL_32_64
+    17231U,	// RLDICLo
+    22292U,	// RLDICR
+    17431U,	// RLDICRo
+    16779U,	// RLDICo
+    1115704993U,	// RLDIMI
+    1115701996U,	// RLDIMIo
+    1384140457U,	// RLWIMI
+    1384140457U,	// RLWIMI8
+    1384137461U,	// RLWIMI8o
+    1384137461U,	// RLWIMIo
+    20802U,	// RLWINM
+    20802U,	// RLWINM8
+    17261U,	// RLWINM8o
+    17261U,	// RLWINMo
+    20810U,	// RLWNM
+    20810U,	// RLWNM8
+    17270U,	// RLWNM8o
+    17270U,	// RLWNMo
+    20043U,	// ROTRDI
+    17105U,	// ROTRDIo
+    20391U,	// ROTRWI
+    17205U,	// ROTRWIo
+    10205U,	// ReadTB
+    281210U,	// SC
+    9649U,	// SELECT_CC_F4
+    9881U,	// SELECT_CC_F8
+    9674U,	// SELECT_CC_I4
+    9926U,	// SELECT_CC_I8
+    10223U,	// SELECT_CC_QBRC
+    10252U,	// SELECT_CC_QFRC
+    10341U,	// SELECT_CC_QSRC
+    10312U,	// SELECT_CC_VRRC
+    10281U,	// SELECT_CC_VSFRC
+    10370U,	// SELECT_CC_VSRC
+    9663U,	// SELECT_F4
+    9895U,	// SELECT_F8
+    9688U,	// SELECT_I4
+    10059U,	// SELECT_I8
+    10239U,	// SELECT_QBRC
+    10268U,	// SELECT_QFRC
+    10357U,	// SELECT_QSRC
+    10328U,	// SELECT_VRRC
+    10298U,	// SELECT_VSFRC
+    10386U,	// SELECT_VSRC
+    10761U,	// SLBIA
+    281604U,	// SLBIE
+    268454876U,	// SLBMFEE
+    268454959U,	// SLBMTE
+    19244U,	// SLD
+    19996U,	// SLDI
+    17064U,	// SLDIo
+    16856U,	// SLDo
+    24034U,	// SLW
+    24034U,	// SLW8
+    17699U,	// SLW8o
+    20338U,	// SLWI
+    17162U,	// SLWIo
+    17699U,	// SLWo
+    10560U,	// SPILL_CR
+    10668U,	// SPILL_CRBIT
+    10445U,	// SPILL_VRSAVE
+    19084U,	// SRAD
+    19971U,	// SRADI
+    17052U,	// SRADIo
+    16793U,	// SRADo
+    23896U,	// SRAW
+    20302U,	// SRAWI
+    17150U,	// SRAWIo
+    17668U,	// SRAWo
+    19305U,	// SRD
+    20037U,	// SRDI
+    17098U,	// SRDIo
+    16869U,	// SRDo
+    24265U,	// SRW
+    24265U,	// SRW8
+    17705U,	// SRW8o
+    20385U,	// SRWI
+    17198U,	// SRWIo
+    17705U,	// SRWo
+    58739088U,	// STB
+    58739088U,	// STB8
+    24731U,	// STBCIX
+    84056899U,	// STBU
+    84056899U,	// STBU8
+    92447214U,	// STBUX
+    92447214U,	// STBUX8
+    285237236U,	// STBX
+    285237236U,	// STBX8
+    58739608U,	// STD
+    285237532U,	// STDBRX
+    24746U,	// STDCIX
+    285230440U,	// STDCX
+    84056951U,	// STDU
+    92447267U,	// STDUX
+    285237330U,	// STDX
+    58739441U,	// STFD
+    84056911U,	// STFDU
+    92447253U,	// STFDUX
+    285237288U,	// STFDX
+    285237939U,	// STFIWX
+    58743039U,	// STFS
+    84057001U,	// STFSU
+    92447330U,	// STFSUX
+    285237621U,	// STFSX
+    58740113U,	// STH
+    58740113U,	// STH8
+    285237547U,	// STHBRX
+    24754U,	// STHCIX
+    84056964U,	// STHU
+    84056964U,	// STHU8
+    92447281U,	// STHUX
+    92447281U,	// STHUX8
+    285237397U,	// STHX
+    285237397U,	// STHX8
+    58744300U,	// STMW
+    20413U,	// STSWI
+    285237228U,	// STVEBX
+    285237389U,	// STVEHX
+    285237929U,	// STVEWX
+    285237899U,	// STVX
+    285233300U,	// STVXL
+    58744632U,	// STW
+    58744632U,	// STW8
+    285237562U,	// STWBRX
+    24762U,	// STWCIX
+    285230448U,	// STWCX
+    84057054U,	// STWU
+    84057054U,	// STWU8
+    92447338U,	// STWUX
+    92447338U,	// STWUX8
+    285237947U,	// STWX
+    285237947U,	// STWX8
+    285237322U,	// STXSDX
+    285237164U,	// STXVD2X
+    285237181U,	// STXVW4X
+    19559U,	// SUBF
+    19559U,	// SUBF8
+    16989U,	// SUBF8o
+    18968U,	// SUBFC
+    18968U,	// SUBFC8
+    16755U,	// SUBFC8o
+    16755U,	// SUBFCo
+    19436U,	// SUBFE
+    19436U,	// SUBFE8
+    16931U,	// SUBFE8o
+    16931U,	// SUBFEo
+    18996U,	// SUBFIC
+    18996U,	// SUBFIC8
+    268454937U,	// SUBFME
+    268454937U,	// SUBFME8
+    268452403U,	// SUBFME8o
+    268452403U,	// SUBFMEo
+    268455001U,	// SUBFZE
+    268455001U,	// SUBFZE8
+    268452436U,	// SUBFZE8o
+    268452436U,	// SUBFZEo
+    16989U,	// SUBFo
+    19943U,	// SUBI
+    18975U,	// SUBIC
+    16763U,	// SUBICo
+    22878U,	// SUBIS
+    281182U,	// SYNC
+    313588U,	// TAILB
+    313588U,	// TAILB8
+    329423U,	// TAILBA
+    329423U,	// TAILBA8
+    10917U,	// TAILBCTR
+    10917U,	// TAILBCTR8
+    269026886U,	// TCRETURNai
+    269026793U,	// TCRETURNai8
+    269011582U,	// TCRETURNdi
+    269010423U,	// TCRETURNdi8
+    268981990U,	// TCRETURNri
+    268977669U,	// TCRETURNri8
+    150420U,	// TD
+    151131U,	// TDI
+    10767U,	// TLBIA
+    4361227U,	// TLBIE
+    282693U,	// TLBIEL
+    268459980U,	// TLBIVAX
+    281360U,	// TLBLD
+    282259U,	// TLBLI
+    10815U,	// TLBRE
+    19489U,	// TLBRE2
+    268460354U,	// TLBSX
+    24898U,	// TLBSX2
+    17784U,	// TLBSX2D
+    10775U,	// TLBSYNC
+    10821U,	// TLBWE
+    19522U,	// TLBWE2
+    10891U,	// TRAP
+    155425U,	// TW
+    151492U,	// TWI
+    268453395U,	// UPDATE_VRSAVE
+    10537U,	// UpdateGBR
+    24390U,	// VADDCUW
+    21753U,	// VADDFP
+    22514U,	// VADDSBS
+    22831U,	// VADDSHS
+    23073U,	// VADDSWS
+    20674U,	// VADDUBM
+    22542U,	// VADDUBS
+    20702U,	// VADDUDM
+    20741U,	// VADDUHM
+    22859U,	// VADDUHS
+    20860U,	// VADDUWM
+    23100U,	// VADDUWS
+    19290U,	// VAND
+    18961U,	// VANDC
+    18728U,	// VAVGSB
+    19759U,	// VAVGSH
+    24279U,	// VAVGSW
+    18846U,	// VAVGUB
+    19871U,	// VAVGUH
+    24408U,	// VAVGUW
+    1652580708U,	// VCFSX
+    1879073124U,	// VCFSX_0
+    1652580906U,	// VCFUX
+    1879073322U,	// VCFUX_0
+    268454382U,	// VCLZB
+    268454855U,	// VCLZD
+    268455380U,	// VCLZH
+    268459923U,	// VCLZW
+    21717U,	// VCMPBFP
+    17330U,	// VCMPBFPo
+    21816U,	// VCMPEQFP
+    17351U,	// VCMPEQFPo
+    18871U,	// VCMPEQUB
+    16695U,	// VCMPEQUBo
+    19365U,	// VCMPEQUD
+    16886U,	// VCMPEQUDo
+    19896U,	// VCMPEQUH
+    17030U,	// VCMPEQUHo
+    24433U,	// VCMPEQUW
+    17730U,	// VCMPEQUWo
+    21770U,	// VCMPGEFP
+    17340U,	// VCMPGEFPo
+    21826U,	// VCMPGTFP
+    17362U,	// VCMPGTFPo
+    18781U,	// VCMPGTSB
+    16676U,	// VCMPGTSBo
+    19324U,	// VCMPGTSD
+    16875U,	// VCMPGTSDo
+    19812U,	// VCMPGTSH
+    17011U,	// VCMPGTSHo
+    24324U,	// VCMPGTSW
+    17711U,	// VCMPGTSWo
+    18908U,	// VCMPGTUB
+    16730U,	// VCMPGTUBo
+    19375U,	// VCMPGTUD
+    16897U,	// VCMPGTUDo
+    19906U,	// VCMPGTUH
+    17041U,	// VCMPGTUHo
+    24443U,	// VCMPGTUW
+    17741U,	// VCMPGTUWo
+    1652578966U,	// VCTSXS
+    1879071382U,	// VCTSXS_0
+    1652578974U,	// VCTUXS
+    1879071390U,	// VCTUXS_0
+    23573U,	// VEQV
+    268457243U,	// VEXPTEFP
+    268457217U,	// VLOGEFP
+    21744U,	// VMADDFP
+    21836U,	// VMAXFP
+    18800U,	// VMAXSB
+    19334U,	// VMAXSD
+    19831U,	// VMAXSH
+    24341U,	// VMAXSW
+    18918U,	// VMAXUB
+    19385U,	// VMAXUD
+    19916U,	// VMAXUH
+    24453U,	// VMAXUW
+    22808U,	// VMHADDSHS
+    22819U,	// VMHRADDSHS
+    19357U,	// VMIDUD
+    21808U,	// VMINFP
+    18764U,	// VMINSB
+    19316U,	// VMINSD
+    19795U,	// VMINSH
+    24307U,	// VMINSW
+    18854U,	// VMINUB
+    19879U,	// VMINUH
+    24416U,	// VMINUW
+    20730U,	// VMLADDUHM
+    18679U,	// VMRGHB
+    19716U,	// VMRGHH
+    23952U,	// VMRGHW
+    18687U,	// VMRGLB
+    19724U,	// VMRGLH
+    23994U,	// VMRGLW
+    20655U,	// VMSUMMBM
+    20711U,	// VMSUMSHM
+    22840U,	// VMSUMSHS
+    20683U,	// VMSUMUBM
+    20750U,	// VMSUMUHM
+    22868U,	// VMSUMUHS
+    18719U,	// VMULESB
+    19750U,	// VMULESH
+    24270U,	// VMULESW
+    18837U,	// VMULEUB
+    19862U,	// VMULEUH
+    24399U,	// VMULEUW
+    18772U,	// VMULOSB
+    19803U,	// VMULOSH
+    24315U,	// VMULOSW
+    18862U,	// VMULOUB
+    19887U,	// VMULOUH
+    24424U,	// VMULOUW
+    20869U,	// VMULUWM
+    19275U,	// VNAND
+    21726U,	// VNMSUBFP
+    22364U,	// VNOR
+    22377U,	// VOR
+    19060U,	// VORC
+    20826U,	// VPERM
+    24823U,	// VPKPX
+    22946U,	// VPKSHSS
+    23003U,	// VPKSHUS
+    22955U,	// VPKSWSS
+    23021U,	// VPKSWUS
+    20833U,	// VPKUHUM
+    23012U,	// VPKUHUS
+    20842U,	// VPKUWUM
+    23030U,	// VPKUWUS
+    268454278U,	// VPOPCNTB
+    268454798U,	// VPOPCNTD
+    268455303U,	// VPOPCNTH
+    268459822U,	// VPOPCNTW
+    268457236U,	// VREFP
+    268456216U,	// VRFIM
+    268456477U,	// VRFIN
+    268457300U,	// VRFIP
+    268460796U,	// VRFIZ
+    18695U,	// VRLB
+    19237U,	// VRLD
+    19732U,	// VRLH
+    24026U,	// VRLW
+    268457253U,	// VRSQRTEFP
+    20571U,	// VSEL
+    20600U,	// VSL
+    18701U,	// VSLB
+    19243U,	// VSLD
+    20243U,	// VSLDOI
+    19738U,	// VSLH
+    21085U,	// VSLO
+    24033U,	// VSLW
+    1652574590U,	// VSPLTB
+    1652575615U,	// VSPLTH
+    134236473U,	// VSPLTISB
+    134237504U,	// VSPLTISH
+    134242015U,	// VSPLTISW
+    1652580125U,	// VSPLTW
+    22445U,	// VSR
+    18672U,	// VSRAB
+    19083U,	// VSRAD
+    19694U,	// VSRAH
+    23895U,	// VSRAW
+    18713U,	// VSRB
+    19310U,	// VSRD
+    19744U,	// VSRH
+    21091U,	// VSRO
+    24264U,	// VSRW
+    24381U,	// VSUBCUW
+    21736U,	// VSUBFP
+    22505U,	// VSUBSBS
+    22799U,	// VSUBSHS
+    23064U,	// VSUBSWS
+    20665U,	// VSUBUBM
+    22533U,	// VSUBUBS
+    20693U,	// VSUBUDM
+    20721U,	// VSUBUHM
+    22850U,	// VSUBUHS
+    20851U,	// VSUBUWM
+    23091U,	// VSUBUWS
+    23054U,	// VSUM2SWS
+    22495U,	// VSUM4SBS
+    22789U,	// VSUM4SHS
+    22523U,	// VSUM4UBS
+    23082U,	// VSUMSWS
+    268460270U,	// VUPKHPX
+    268454192U,	// VUPKHSB
+    268455223U,	// VUPKHSH
+    268460286U,	// VUPKLPX
+    268454211U,	// VUPKLSB
+    268455242U,	// VUPKLSH
+    22398U,	// VXOR
+    33576830U,	// V_SET0
+    33576830U,	// V_SET0B
+    33576830U,	// V_SET0H
+    4480735U,	// V_SETALLONES
+    4480735U,	// V_SETALLONESB
+    4480735U,	// V_SETALLONESH
+    285437U,	// WAIT
+    281573U,	// WRTEE
+    282208U,	// WRTEEI
+    22385U,	// XOR
+    22385U,	// XOR8
+    17452U,	// XOR8o
+    20275U,	// XORI
+    20275U,	// XORI8
+    22897U,	// XORIS
+    22897U,	// XORIS8
+    17452U,	// XORo
+    268457014U,	// XSABSDP
+    21216U,	// XSADDDP
+    21497U,	// XSCMPODP
+    21629U,	// XSCMPUDP
+    21457U,	// XSCPSGNDP
+    268457543U,	// XSCVDPSP
+    268458129U,	// XSCVDPSXDS
+    268458574U,	// XSCVDPSXWS
+    268458165U,	// XSCVDPUXDS
+    268458610U,	// XSCVDPUXWS
+    268456963U,	// XSCVSPDP
+    268456690U,	// XSCVSXDDP
+    268456712U,	// XSCVUXDDP
+    21639U,	// XSDIVDP
+    2189447864U,	// XSMADDADP
+    2189448123U,	// XSMADDMDP
+    21699U,	// XSMAXDP
+    21479U,	// XSMINDP
+    2189447818U,	// XSMSUBADP
+    2189448077U,	// XSMSUBMDP
+    21347U,	// XSMULDP
+    268456994U,	// XSNABSDP
+    268456785U,	// XSNEGDP
+    2189447840U,	// XSNMADDADP
+    2189448099U,	// XSNMADDMDP
+    2189447794U,	// XSNMSUBADP
+    2189448053U,	// XSNMSUBMDP
+    268455707U,	// XSRDPI
+    268454460U,	// XSRDPIC
+    268456223U,	// XSRDPIM
+    268457307U,	// XSRDPIP
+    268460803U,	// XSRDPIZ
+    268456745U,	// XSREDP
+    268456761U,	// XSRSQRTEDP
+    268457043U,	// XSSQRTDP
+    21198U,	// XSSUBDP
+    21648U,	// XSTDIVDP
+    268457053U,	// XSTSQRTDP
+    268457023U,	// XVABSDP
+    268457592U,	// XVABSSP
+    21225U,	// XVADDDP
+    21941U,	// XVADDSP
+    21527U,	// XVCMPEQDP
+    17306U,	// XVCMPEQDPo
+    22107U,	// XVCMPEQSP
+    17392U,	// XVCMPEQSPo
+    21278U,	// XVCMPGEDP
+    17294U,	// XVCMPGEDPo
+    21972U,	// XVCMPGESP
+    17380U,	// XVCMPGESPo
+    21576U,	// XVCMPGTDP
+    17318U,	// XVCMPGTDPo
+    22145U,	// XVCMPGTSP
+    17411U,	// XVCMPGTSPo
+    21468U,	// XVCPSGNDP
+    22067U,	// XVCPSGNSP
+    268457553U,	// XVCVDPSP
+    268458141U,	// XVCVDPSXDS
+    268458586U,	// XVCVDPSXWS
+    268458177U,	// XVCVDPUXDS
+    268458622U,	// XVCVDPUXWS
+    268456973U,	// XVCVSPDP
+    268458153U,	// XVCVSPSXDS
+    268458598U,	// XVCVSPSXWS
+    268458189U,	// XVCVSPUXDS
+    268458634U,	// XVCVSPUXWS
+    268456701U,	// XVCVSXDDP
+    268457406U,	// XVCVSXDSP
+    268457133U,	// XVCVSXWDP
+    268457652U,	// XVCVSXWSP
+    268456723U,	// XVCVUXDDP
+    268457417U,	// XVCVUXDSP
+    268457144U,	// XVCVUXWDP
+    268457663U,	// XVCVUXWSP
+    21668U,	// XVDIVDP
+    22187U,	// XVDIVSP
+    2189447875U,	// XVMADDADP
+    2189448609U,	// XVMADDASP
+    2189448134U,	// XVMADDMDP
+    2189448744U,	// XVMADDMSP
+    21708U,	// XVMAXDP
+    22218U,	// XVMAXSP
+    21488U,	// XVMINDP
+    22078U,	// XVMINSP
+    2189447829U,	// XVMSUBADP
+    2189448586U,	// XVMSUBASP
+    2189448088U,	// XVMSUBMDP
+    2189448721U,	// XVMSUBMSP
+    21356U,	// XVMULDP
+    22012U,	// XVMULSP
+    268457004U,	// XVNABSDP
+    268457582U,	// XVNABSSP
+    268456794U,	// XVNEGDP
+    268457459U,	// XVNEGSP
+    2189447852U,	// XVNMADDADP
+    2189448597U,	// XVNMADDASP
+    2189448111U,	// XVNMADDMDP
+    2189448732U,	// XVNMADDMSP
+    2189447806U,	// XVNMSUBADP
+    2189448574U,	// XVNMSUBASP
+    2189448065U,	// XVNMSUBMDP
+    2189448709U,	// XVNMSUBMSP
+    268455715U,	// XVRDPI
+    268454469U,	// XVRDPIC
+    268456232U,	// XVRDPIM
+    268457316U,	// XVRDPIP
+    268460812U,	// XVRDPIZ
+    268456753U,	// XVREDP
+    268457439U,	// XVRESP
+    268455723U,	// XVRSPI
+    268454478U,	// XVRSPIC
+    268456241U,	// XVRSPIM
+    268457325U,	// XVRSPIP
+    268460821U,	// XVRSPIZ
+    268456773U,	// XVRSQRTEDP
+    268457447U,	// XVRSQRTESP
+    268457075U,	// XVSQRTDP
+    268457623U,	// XVSQRTSP
+    21207U,	// XVSUBDP
+    21932U,	// XVSUBSP
+    21658U,	// XVTDIVDP
+    22177U,	// XVTDIVSP
+    268457064U,	// XVTSQRTDP
+    268457612U,	// XVTSQRTSP
+    19249U,	// XXLAND
+    18943U,	// XXLANDC
+    23557U,	// XXLEQV
+    19257U,	// XXLNAND
+    22348U,	// XXLNOR
+    22341U,	// XXLOR
+    19044U,	// XXLORC
+    22341U,	// XXLORf
+    22382U,	// XXLXOR
+    23960U,	// XXMRGHW
+    24002U,	// XXMRGLW
+    20010U,	// XXPERMDI
+    20577U,	// XXSEL
+    20309U,	// XXSLDWI
+    24357U,	// XXSPLTW
+    150005U,	// gBC
+    149203U,	// gBCA
+    153522U,	// gBCCTR
+    151663U,	// gBCCTRL
+    151601U,	// gBCL
+    149497U,	// gBCLA
+    153388U,	// gBCLR
+    151656U,	// gBCLRL
     0U
   };
 
-  static const uint8_t OpInfo2[] = {
+  static const uint16_t OpInfo2[] = {
     0U,	// PHI
     0U,	// INLINEASM
     0U,	// CFI_INSTRUCTION
@@ -1310,6 +1559,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// ADD4
     0U,	// ADD4TLS
     0U,	// ADD4o
@@ -1325,13 +1576,13 @@ static void printInstruction(MCInst *MI,
     0U,	// ADDE8
     0U,	// ADDE8o
     0U,	// ADDEo
-    0U,	// ADDI
-    0U,	// ADDI8
-    0U,	// ADDIC
-    0U,	// ADDIC8
-    0U,	// ADDICo
-    0U,	// ADDIS
-    0U,	// ADDIS8
+    1U,	// ADDI
+    1U,	// ADDI8
+    1U,	// ADDIC
+    1U,	// ADDIC8
+    1U,	// ADDICo
+    1U,	// ADDIS
+    1U,	// ADDIS8
     0U,	// ADDISdtprelHA
     0U,	// ADDISdtprelHA32
     0U,	// ADDISgotTprelHA
@@ -1342,8 +1593,12 @@ static void printInstruction(MCInst *MI,
     0U,	// ADDIdtprelL32
     0U,	// ADDItlsgdL
     0U,	// ADDItlsgdL32
+    0U,	// ADDItlsgdLADDR
+    0U,	// ADDItlsgdLADDR32
     0U,	// ADDItlsldL
     0U,	// ADDItlsldL32
+    0U,	// ADDItlsldLADDR
+    0U,	// ADDItlsldLADDR32
     0U,	// ADDItocL
     0U,	// ADDME
     0U,	// ADDME8
@@ -1362,10 +1617,10 @@ static void printInstruction(MCInst *MI,
     0U,	// ANDC8
     0U,	// ANDC8o
     0U,	// ANDCo
-    1U,	// ANDISo
-    1U,	// ANDISo8
-    1U,	// ANDIo
-    1U,	// ANDIo8
+    2U,	// ANDISo
+    2U,	// ANDISo8
+    2U,	// ANDIo
+    2U,	// ANDIo8
     0U,	// ANDIo_1_EQ_BIT
     0U,	// ANDIo_1_EQ_BIT8
     0U,	// ANDIo_1_GT_BIT
@@ -1403,6 +1658,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ATOMIC_SWAP_I32
     0U,	// ATOMIC_SWAP_I64
     0U,	// ATOMIC_SWAP_I8
+    0U,	// ATTN
     0U,	// B
     0U,	// BA
     0U,	// BC
@@ -1435,6 +1691,7 @@ static void printInstruction(MCInst *MI,
     0U,	// BCTR8
     0U,	// BCTRL
     0U,	// BCTRL8
+    0U,	// BCTRL8_LDinto_toc
     0U,	// BCn
     0U,	// BDNZ
     0U,	// BDNZ8
@@ -1486,28 +1743,33 @@ static void printInstruction(MCInst *MI,
     0U,	// BLA8
     0U,	// BLA8_NOP
     0U,	// BLR
+    0U,	// BLR8
     0U,	// BLRL
     0U,	// BL_TLS
     0U,	// BRINC
-    9U,	// CLRLSLDI
-    9U,	// CLRLSLDIo
-    26U,	// CLRLSLWI
-    26U,	// CLRLSLWIo
-    1U,	// CLRRDI
-    1U,	// CLRRDIo
-    2U,	// CLRRWI
-    2U,	// CLRRWIo
+    19U,	// CLRLSLDI
+    19U,	// CLRLSLDIo
+    52U,	// CLRLSLWI
+    52U,	// CLRLSLWIo
+    3U,	// CLRRDI
+    3U,	// CLRRDIo
+    4U,	// CLRRWI
+    4U,	// CLRRWIo
+    0U,	// CMPB
+    0U,	// CMPB8
     0U,	// CMPD
-    0U,	// CMPDI
+    1U,	// CMPDI
     0U,	// CMPLD
-    1U,	// CMPLDI
+    2U,	// CMPLDI
     0U,	// CMPLW
-    1U,	// CMPLWI
+    2U,	// CMPLWI
     0U,	// CMPW
-    0U,	// CMPWI
+    1U,	// CMPWI
     0U,	// CNTLZD
     0U,	// CNTLZDo
     0U,	// CNTLZW
+    0U,	// CNTLZW8
+    0U,	// CNTLZW8o
     0U,	// CNTLZWo
     0U,	// CR6SET
     0U,	// CR6UNSET
@@ -1518,8 +1780,8 @@ static void printInstruction(MCInst *MI,
     0U,	// CRNOR
     0U,	// CROR
     0U,	// CRORC
-    2U,	// CRSET
-    2U,	// CRUNSET
+    5U,	// CRSET
+    5U,	// CRUNSET
     0U,	// CRXOR
     0U,	// DCBA
     0U,	// DCBF
@@ -1555,7 +1817,6 @@ static void printInstruction(MCInst *MI,
     0U,	// EH_SjLj_SetJmp32
     0U,	// EH_SjLj_SetJmp64
     0U,	// EH_SjLj_Setup
-    0U,	// EIEIO
     0U,	// EQV
     0U,	// EQV8
     0U,	// EQV8o
@@ -1700,14 +1961,14 @@ static void printInstruction(MCInst *MI,
     0U,	// EVOR
     0U,	// EVORC
     0U,	// EVRLW
-    2U,	// EVRLWI
+    4U,	// EVRLWI
     0U,	// EVRNDW
     0U,	// EVSLW
-    2U,	// EVSLWI
+    4U,	// EVSLWI
     0U,	// EVSPLATFI
     0U,	// EVSPLATI
-    2U,	// EVSRWIS
-    2U,	// EVSRWIU
+    4U,	// EVSRWIS
+    4U,	// EVSRWIU
     0U,	// EVSRWS
     0U,	// EVSRWU
     0U,	// EVSTDD
@@ -1731,14 +1992,14 @@ static void printInstruction(MCInst *MI,
     0U,	// EVSUBFW
     0U,	// EVSUBIFW
     0U,	// EVXOR
-    9U,	// EXTLDI
-    9U,	// EXTLDIo
-    26U,	// EXTLWI
-    26U,	// EXTLWIo
-    9U,	// EXTRDI
-    9U,	// EXTRDIo
-    26U,	// EXTRWI
-    26U,	// EXTRWIo
+    19U,	// EXTLDI
+    19U,	// EXTLDIo
+    52U,	// EXTLWI
+    52U,	// EXTLWIo
+    19U,	// EXTRDI
+    19U,	// EXTRDIo
+    52U,	// EXTRWI
+    52U,	// EXTRWIo
     0U,	// EXTSB
     0U,	// EXTSB8
     0U,	// EXTSB8_32_64
@@ -1753,6 +2014,7 @@ static void printInstruction(MCInst *MI,
     0U,	// EXTSW_32_64
     0U,	// EXTSW_32_64o
     0U,	// EXTSWo
+    0U,	// EnforceIEIO
     0U,	// FABSD
     0U,	// FABSDo
     0U,	// FABSS
@@ -1792,16 +2054,16 @@ static void printInstruction(MCInst *MI,
     0U,	// FDIVS
     0U,	// FDIVSo
     0U,	// FDIVo
-    40U,	// FMADD
-    40U,	// FMADDS
-    40U,	// FMADDSo
-    40U,	// FMADDo
+    80U,	// FMADD
+    80U,	// FMADDS
+    80U,	// FMADDSo
+    80U,	// FMADDo
     0U,	// FMR
     0U,	// FMRo
-    40U,	// FMSUB
-    40U,	// FMSUBS
-    40U,	// FMSUBSo
-    40U,	// FMSUBo
+    80U,	// FMSUB
+    80U,	// FMSUBS
+    80U,	// FMSUBSo
+    80U,	// FMSUBo
     0U,	// FMUL
     0U,	// FMULS
     0U,	// FMULSo
@@ -1814,14 +2076,14 @@ static void printInstruction(MCInst *MI,
     0U,	// FNEGDo
     0U,	// FNEGS
     0U,	// FNEGSo
-    40U,	// FNMADD
-    40U,	// FNMADDS
-    40U,	// FNMADDSo
-    40U,	// FNMADDo
-    40U,	// FNMSUB
-    40U,	// FNMSUBS
-    40U,	// FNMSUBSo
-    40U,	// FNMSUBo
+    80U,	// FNMADD
+    80U,	// FNMADDS
+    80U,	// FNMADDSo
+    80U,	// FNMADDo
+    80U,	// FNMSUB
+    80U,	// FNMSUBS
+    80U,	// FNMSUBSo
+    80U,	// FNMSUBo
     0U,	// FRE
     0U,	// FRES
     0U,	// FRESo
@@ -1848,10 +2110,10 @@ static void printInstruction(MCInst *MI,
     0U,	// FRSQRTES
     0U,	// FRSQRTESo
     0U,	// FRSQRTEo
-    40U,	// FSELD
-    40U,	// FSELDo
-    40U,	// FSELS
-    40U,	// FSELSo
+    80U,	// FSELD
+    80U,	// FSELDo
+    80U,	// FSELS
+    80U,	// FSELSo
     0U,	// FSQRT
     0U,	// FSQRTS
     0U,	// FSQRTSo
@@ -1864,22 +2126,23 @@ static void printInstruction(MCInst *MI,
     0U,	// GETtlsADDR32
     0U,	// GETtlsldADDR
     0U,	// GETtlsldADDR32
-    0U,	// GetGBRO
     0U,	// ICBI
+    0U,	// ICBT
     0U,	// ICCCI
-    26U,	// INSLWI
-    26U,	// INSLWIo
-    9U,	// INSRDI
-    9U,	// INSRDIo
-    26U,	// INSRWI
-    26U,	// INSRWIo
-    40U,	// ISEL
-    40U,	// ISEL8
+    52U,	// INSLWI
+    52U,	// INSLWIo
+    19U,	// INSRDI
+    19U,	// INSRDIo
+    52U,	// INSRWI
+    52U,	// INSRWIo
+    80U,	// ISEL
+    80U,	// ISEL8
     0U,	// ISYNC
     0U,	// LA
     0U,	// LAx
     0U,	// LBZ
     0U,	// LBZ8
+    0U,	// LBZCIX
     0U,	// LBZU
     0U,	// LBZU8
     0U,	// LBZUX
@@ -1889,13 +2152,14 @@ static void printInstruction(MCInst *MI,
     0U,	// LD
     0U,	// LDARX
     0U,	// LDBRX
+    0U,	// LDCIX
     0U,	// LDU
     0U,	// LDUX
     0U,	// LDX
     0U,	// LDgotTprelL
     0U,	// LDgotTprelL32
-    0U,	// LDinto_toc
     0U,	// LDtoc
+    0U,	// LDtocBA
     0U,	// LDtocCPT
     0U,	// LDtocJTI
     0U,	// LDtocL
@@ -1918,8 +2182,10 @@ static void printInstruction(MCInst *MI,
     0U,	// LHAX
     0U,	// LHAX8
     0U,	// LHBRX
+    0U,	// LHBRX8
     0U,	// LHZ
     0U,	// LHZ8
+    0U,	// LHZCIX
     0U,	// LHZU
     0U,	// LHZU8
     0U,	// LHZUX
@@ -1931,7 +2197,7 @@ static void printInstruction(MCInst *MI,
     0U,	// LIS
     0U,	// LIS8
     0U,	// LMW
-    2U,	// LSWI
+    4U,	// LSWI
     0U,	// LVEBX
     0U,	// LVEHX
     0U,	// LVEWX
@@ -1946,8 +2212,10 @@ static void printInstruction(MCInst *MI,
     0U,	// LWAX_32
     0U,	// LWA_32
     0U,	// LWBRX
+    0U,	// LWBRX8
     0U,	// LWZ
     0U,	// LWZ8
+    0U,	// LWZCIX
     0U,	// LWZU
     0U,	// LWZU8
     0U,	// LWZUX
@@ -1961,12 +2229,14 @@ static void printInstruction(MCInst *MI,
     0U,	// LXVW4X
     0U,	// MBAR
     0U,	// MCRF
+    0U,	// MCRFS
     0U,	// MFCR
     0U,	// MFCR8
     0U,	// MFCTR
     0U,	// MFCTR8
     0U,	// MFDCR
     0U,	// MFFS
+    0U,	// MFFSo
     0U,	// MFLR
     0U,	// MFLR8
     0U,	// MFMSR
@@ -1990,7 +2260,11 @@ static void printInstruction(MCInst *MI,
     0U,	// MTDCR
     0U,	// MTFSB0
     0U,	// MTFSB1
-    0U,	// MTFSF
+    80U,	// MTFSF
+    0U,	// MTFSFI
+    0U,	// MTFSFIo
+    0U,	// MTFSFb
+    80U,	// MTFSFo
     0U,	// MTLR
     0U,	// MTLR8
     0U,	// MTMSR
@@ -2013,10 +2287,11 @@ static void printInstruction(MCInst *MI,
     0U,	// MULHWo
     0U,	// MULLD
     0U,	// MULLDo
-    0U,	// MULLI
-    0U,	// MULLI8
+    1U,	// MULLI
+    1U,	// MULLI8
     0U,	// MULLW
     0U,	// MULLWo
+    0U,	// MoveGOTtoLR
     0U,	// MovePCtoLR
     0U,	// MovePCtoLR8
     0U,	// NAND
@@ -2041,15 +2316,182 @@ static void printInstruction(MCInst *MI,
     0U,	// ORC8
     0U,	// ORC8o
     0U,	// ORCo
-    1U,	// ORI
-    1U,	// ORI8
-    1U,	// ORIS
-    1U,	// ORIS8
+    2U,	// ORI
+    2U,	// ORI8
+    2U,	// ORIS
+    2U,	// ORIS8
     0U,	// ORo
     0U,	// POPCNTD
     0U,	// POPCNTW
     0U,	// PPC32GOT
     0U,	// PPC32PICGOT
+    112U,	// QVALIGNI
+    112U,	// QVALIGNIb
+    112U,	// QVALIGNIs
+    6U,	// QVESPLATI
+    6U,	// QVESPLATIb
+    6U,	// QVESPLATIs
+    0U,	// QVFABS
+    0U,	// QVFABSs
+    0U,	// QVFADD
+    0U,	// QVFADDS
+    0U,	// QVFADDSs
+    0U,	// QVFCFID
+    0U,	// QVFCFIDS
+    0U,	// QVFCFIDU
+    0U,	// QVFCFIDUS
+    0U,	// QVFCFIDb
+    0U,	// QVFCMPEQ
+    0U,	// QVFCMPEQb
+    0U,	// QVFCMPEQbs
+    0U,	// QVFCMPGT
+    0U,	// QVFCMPGTb
+    0U,	// QVFCMPGTbs
+    0U,	// QVFCMPLT
+    0U,	// QVFCMPLTb
+    0U,	// QVFCMPLTbs
+    0U,	// QVFCPSGN
+    0U,	// QVFCPSGNs
+    0U,	// QVFCTID
+    0U,	// QVFCTIDU
+    0U,	// QVFCTIDUZ
+    0U,	// QVFCTIDZ
+    0U,	// QVFCTIDb
+    0U,	// QVFCTIW
+    0U,	// QVFCTIWU
+    0U,	// QVFCTIWUZ
+    0U,	// QVFCTIWZ
+    144U,	// QVFLOGICAL
+    144U,	// QVFLOGICALb
+    144U,	// QVFLOGICALs
+    7U,	// QVFMADD
+    7U,	// QVFMADDS
+    7U,	// QVFMADDSs
+    0U,	// QVFMR
+    0U,	// QVFMRb
+    0U,	// QVFMRs
+    7U,	// QVFMSUB
+    7U,	// QVFMSUBS
+    7U,	// QVFMSUBSs
+    0U,	// QVFMUL
+    0U,	// QVFMULS
+    0U,	// QVFMULSs
+    0U,	// QVFNABS
+    0U,	// QVFNABSs
+    0U,	// QVFNEG
+    0U,	// QVFNEGs
+    7U,	// QVFNMADD
+    7U,	// QVFNMADDS
+    7U,	// QVFNMADDSs
+    7U,	// QVFNMSUB
+    7U,	// QVFNMSUBS
+    7U,	// QVFNMSUBSs
+    80U,	// QVFPERM
+    80U,	// QVFPERMs
+    0U,	// QVFRE
+    0U,	// QVFRES
+    0U,	// QVFRESs
+    0U,	// QVFRIM
+    0U,	// QVFRIMs
+    0U,	// QVFRIN
+    0U,	// QVFRINs
+    0U,	// QVFRIP
+    0U,	// QVFRIPs
+    0U,	// QVFRIZ
+    0U,	// QVFRIZs
+    0U,	// QVFRSP
+    0U,	// QVFRSPs
+    0U,	// QVFRSQRTE
+    0U,	// QVFRSQRTES
+    0U,	// QVFRSQRTESs
+    7U,	// QVFSEL
+    7U,	// QVFSELb
+    7U,	// QVFSELbb
+    7U,	// QVFSELbs
+    0U,	// QVFSUB
+    0U,	// QVFSUBS
+    0U,	// QVFSUBSs
+    0U,	// QVFTSTNAN
+    0U,	// QVFTSTNANb
+    0U,	// QVFTSTNANbs
+    7U,	// QVFXMADD
+    7U,	// QVFXMADDS
+    0U,	// QVFXMUL
+    0U,	// QVFXMULS
+    7U,	// QVFXXCPNMADD
+    7U,	// QVFXXCPNMADDS
+    7U,	// QVFXXMADD
+    7U,	// QVFXXMADDS
+    7U,	// QVFXXNPMADD
+    7U,	// QVFXXNPMADDS
+    0U,	// QVGPCI
+    0U,	// QVLFCDUX
+    0U,	// QVLFCDUXA
+    0U,	// QVLFCDX
+    0U,	// QVLFCDXA
+    0U,	// QVLFCSUX
+    0U,	// QVLFCSUXA
+    0U,	// QVLFCSX
+    0U,	// QVLFCSXA
+    0U,	// QVLFCSXs
+    0U,	// QVLFDUX
+    0U,	// QVLFDUXA
+    0U,	// QVLFDX
+    0U,	// QVLFDXA
+    0U,	// QVLFDXb
+    0U,	// QVLFIWAX
+    0U,	// QVLFIWAXA
+    0U,	// QVLFIWZX
+    0U,	// QVLFIWZXA
+    0U,	// QVLFSUX
+    0U,	// QVLFSUXA
+    0U,	// QVLFSX
+    0U,	// QVLFSXA
+    0U,	// QVLFSXb
+    0U,	// QVLFSXs
+    0U,	// QVLPCLDX
+    0U,	// QVLPCLSX
+    0U,	// QVLPCLSXint
+    0U,	// QVLPCRDX
+    0U,	// QVLPCRSX
+    0U,	// QVSTFCDUX
+    0U,	// QVSTFCDUXA
+    0U,	// QVSTFCDUXI
+    0U,	// QVSTFCDUXIA
+    0U,	// QVSTFCDX
+    0U,	// QVSTFCDXA
+    0U,	// QVSTFCDXI
+    0U,	// QVSTFCDXIA
+    0U,	// QVSTFCSUX
+    0U,	// QVSTFCSUXA
+    0U,	// QVSTFCSUXI
+    0U,	// QVSTFCSUXIA
+    0U,	// QVSTFCSX
+    0U,	// QVSTFCSXA
+    0U,	// QVSTFCSXI
+    0U,	// QVSTFCSXIA
+    0U,	// QVSTFCSXs
+    0U,	// QVSTFDUX
+    0U,	// QVSTFDUXA
+    0U,	// QVSTFDUXI
+    0U,	// QVSTFDUXIA
+    0U,	// QVSTFDX
+    0U,	// QVSTFDXA
+    0U,	// QVSTFDXI
+    0U,	// QVSTFDXIA
+    0U,	// QVSTFDXb
+    0U,	// QVSTFIWX
+    0U,	// QVSTFIWXA
+    0U,	// QVSTFSUX
+    0U,	// QVSTFSUXA
+    0U,	// QVSTFSUXI
+    0U,	// QVSTFSUXIA
+    0U,	// QVSTFSUXs
+    0U,	// QVSTFSX
+    0U,	// QVSTFSXA
+    0U,	// QVSTFSXI
+    0U,	// QVSTFSXIA
+    0U,	// QVSTFSXs
     0U,	// RESTORE_CR
     0U,	// RESTORE_CRBIT
     0U,	// RESTORE_VRSAVE
@@ -2058,77 +2500,95 @@ static void printInstruction(MCInst *MI,
     0U,	// RFI
     0U,	// RFID
     0U,	// RFMCI
-    8U,	// RLDCL
-    8U,	// RLDCLo
-    8U,	// RLDCR
-    8U,	// RLDCRo
-    9U,	// RLDIC
-    9U,	// RLDICL
-    9U,	// RLDICL_32_64
-    9U,	// RLDICLo
-    9U,	// RLDICR
-    9U,	// RLDICRo
-    9U,	// RLDICo
+    16U,	// RLDCL
+    16U,	// RLDCLo
+    16U,	// RLDCR
+    16U,	// RLDCRo
+    19U,	// RLDIC
+    19U,	// RLDICL
+    19U,	// RLDICL_32_64
+    19U,	// RLDICLo
+    19U,	// RLDICR
+    19U,	// RLDICRo
+    19U,	// RLDICo
     0U,	// RLDIMI
     0U,	// RLDIMIo
     0U,	// RLWIMI
     0U,	// RLWIMI8
     0U,	// RLWIMI8o
     0U,	// RLWIMIo
-    90U,	// RLWINM
-    90U,	// RLWINM8
-    90U,	// RLWINM8o
-    90U,	// RLWINMo
-    88U,	// RLWNM
-    88U,	// RLWNMo
-    1U,	// ROTRDI
-    1U,	// ROTRDIo
-    2U,	// ROTRWI
-    2U,	// ROTRWIo
+    308U,	// RLWINM
+    308U,	// RLWINM8
+    308U,	// RLWINM8o
+    308U,	// RLWINMo
+    304U,	// RLWNM
+    304U,	// RLWNM8
+    304U,	// RLWNM8o
+    304U,	// RLWNMo
+    3U,	// ROTRDI
+    3U,	// ROTRDIo
+    4U,	// ROTRWI
+    4U,	// ROTRWIo
+    0U,	// ReadTB
     0U,	// SC
     0U,	// SELECT_CC_F4
     0U,	// SELECT_CC_F8
     0U,	// SELECT_CC_I4
     0U,	// SELECT_CC_I8
+    0U,	// SELECT_CC_QBRC
+    0U,	// SELECT_CC_QFRC
+    0U,	// SELECT_CC_QSRC
     0U,	// SELECT_CC_VRRC
+    0U,	// SELECT_CC_VSFRC
+    0U,	// SELECT_CC_VSRC
     0U,	// SELECT_F4
     0U,	// SELECT_F8
     0U,	// SELECT_I4
     0U,	// SELECT_I8
+    0U,	// SELECT_QBRC
+    0U,	// SELECT_QFRC
+    0U,	// SELECT_QSRC
     0U,	// SELECT_VRRC
+    0U,	// SELECT_VSFRC
+    0U,	// SELECT_VSRC
     0U,	// SLBIA
     0U,	// SLBIE
     0U,	// SLBMFEE
     0U,	// SLBMTE
     0U,	// SLD
-    1U,	// SLDI
-    1U,	// SLDIo
+    3U,	// SLDI
+    3U,	// SLDIo
     0U,	// SLDo
     0U,	// SLW
-    2U,	// SLWI
-    2U,	// SLWIo
+    0U,	// SLW8
+    0U,	// SLW8o
+    4U,	// SLWI
+    4U,	// SLWIo
     0U,	// SLWo
     0U,	// SPILL_CR
     0U,	// SPILL_CRBIT
     0U,	// SPILL_VRSAVE
     0U,	// SRAD
-    1U,	// SRADI
-    1U,	// SRADIo
+    3U,	// SRADI
+    3U,	// SRADIo
     0U,	// SRADo
     0U,	// SRAW
-    2U,	// SRAWI
-    2U,	// SRAWIo
+    4U,	// SRAWI
+    4U,	// SRAWIo
     0U,	// SRAWo
     0U,	// SRD
-    1U,	// SRDI
-    1U,	// SRDIo
+    3U,	// SRDI
+    3U,	// SRDIo
     0U,	// SRDo
     0U,	// SRW
-    2U,	// SRWI
-    2U,	// SRWIo
+    0U,	// SRW8
+    0U,	// SRW8o
+    4U,	// SRWI
+    4U,	// SRWIo
     0U,	// SRWo
     0U,	// STB
     0U,	// STB8
+    0U,	// STBCIX
     0U,	// STBU
     0U,	// STBU8
     0U,	// STBUX
@@ -2137,6 +2597,7 @@ static void printInstruction(MCInst *MI,
     0U,	// STBX8
     0U,	// STD
     0U,	// STDBRX
+    0U,	// STDCIX
     0U,	// STDCX
     0U,	// STDU
     0U,	// STDUX
@@ -2153,6 +2614,7 @@ static void printInstruction(MCInst *MI,
     0U,	// STH
     0U,	// STH8
     0U,	// STHBRX
+    0U,	// STHCIX
     0U,	// STHU
     0U,	// STHU8
     0U,	// STHUX
@@ -2160,7 +2622,7 @@ static void printInstruction(MCInst *MI,
     0U,	// STHX
     0U,	// STHX8
     0U,	// STMW
-    2U,	// STSWI
+    4U,	// STSWI
     0U,	// STVEBX
     0U,	// STVEHX
     0U,	// STVEWX
@@ -2169,6 +2631,7 @@ static void printInstruction(MCInst *MI,
     0U,	// STW
     0U,	// STW8
     0U,	// STWBRX
+    0U,	// STWCIX
     0U,	// STWCX
     0U,	// STWU
     0U,	// STWU8
@@ -2190,8 +2653,8 @@ static void printInstruction(MCInst *MI,
     0U,	// SUBFE8
     0U,	// SUBFE8o
     0U,	// SUBFEo
-    0U,	// SUBFIC
-    0U,	// SUBFIC8
+    1U,	// SUBFIC
+    1U,	// SUBFIC8
     0U,	// SUBFME
     0U,	// SUBFME8
     0U,	// SUBFME8o
@@ -2201,10 +2664,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SUBFZE8o
     0U,	// SUBFZEo
     0U,	// SUBFo
-    0U,	// SUBI
-    0U,	// SUBIC
-    0U,	// SUBICo
-    0U,	// SUBIS
+    1U,	// SUBI
+    1U,	// SUBIC
+    1U,	// SUBICo
+    1U,	// SUBIS
     0U,	// SYNC
     0U,	// TAILB
     0U,	// TAILB8
@@ -2219,7 +2682,7 @@ static void printInstruction(MCInst *MI,
     0U,	// TCRETURNri
     0U,	// TCRETURNri8
     0U,	// TD
-    0U,	// TDI
+    1U,	// TDI
     0U,	// TLBIA
     0U,	// TLBIE
     0U,	// TLBIEL
@@ -2236,7 +2699,7 @@ static void printInstruction(MCInst *MI,
     0U,	// TLBWE2
     0U,	// TRAP
     0U,	// TW
-    0U,	// TWI
+    1U,	// TWI
     0U,	// UPDATE_VRSAVE
     0U,	// UpdateGBR
     0U,	// VADDCUW
@@ -2246,6 +2709,7 @@ static void printInstruction(MCInst *MI,
     0U,	// VADDSWS
     0U,	// VADDUBM
     0U,	// VADDUBS
+    0U,	// VADDUDM
     0U,	// VADDUHM
     0U,	// VADDUHS
     0U,	// VADDUWM
@@ -2262,12 +2726,18 @@ static void printInstruction(MCInst *MI,
     0U,	// VCFSX_0
     0U,	// VCFUX
     0U,	// VCFUX_0
+    0U,	// VCLZB
+    0U,	// VCLZD
+    0U,	// VCLZH
+    0U,	// VCLZW
     0U,	// VCMPBFP
     0U,	// VCMPBFPo
     0U,	// VCMPEQFP
     0U,	// VCMPEQFPo
     0U,	// VCMPEQUB
     0U,	// VCMPEQUBo
+    0U,	// VCMPEQUD
+    0U,	// VCMPEQUDo
     0U,	// VCMPEQUH
     0U,	// VCMPEQUHo
     0U,	// VCMPEQUW
@@ -2278,12 +2748,16 @@ static void printInstruction(MCInst *MI,
     0U,	// VCMPGTFPo
     0U,	// VCMPGTSB
     0U,	// VCMPGTSBo
+    0U,	// VCMPGTSD
+    0U,	// VCMPGTSDo
     0U,	// VCMPGTSH
     0U,	// VCMPGTSHo
     0U,	// VCMPGTSW
     0U,	// VCMPGTSWo
     0U,	// VCMPGTUB
     0U,	// VCMPGTUBo
+    0U,	// VCMPGTUD
+    0U,	// VCMPGTUDo
     0U,	// VCMPGTUH
     0U,	// VCMPGTUHo
     0U,	// VCMPGTUW
@@ -2292,50 +2766,62 @@ static void printInstruction(MCInst *MI,
     0U,	// VCTSXS_0
     0U,	// VCTUXS
     0U,	// VCTUXS_0
+    0U,	// VEQV
     0U,	// VEXPTEFP
     0U,	// VLOGEFP
-    40U,	// VMADDFP
+    80U,	// VMADDFP
     0U,	// VMAXFP
     0U,	// VMAXSB
+    0U,	// VMAXSD
     0U,	// VMAXSH
     0U,	// VMAXSW
     0U,	// VMAXUB
+    0U,	// VMAXUD
     0U,	// VMAXUH
     0U,	// VMAXUW
-    40U,	// VMHADDSHS
-    40U,	// VMHRADDSHS
+    80U,	// VMHADDSHS
+    80U,	// VMHRADDSHS
+    0U,	// VMIDUD
     0U,	// VMINFP
     0U,	// VMINSB
+    0U,	// VMINSD
     0U,	// VMINSH
     0U,	// VMINSW
     0U,	// VMINUB
     0U,	// VMINUH
     0U,	// VMINUW
-    40U,	// VMLADDUHM
+    80U,	// VMLADDUHM
     0U,	// VMRGHB
     0U,	// VMRGHH
     0U,	// VMRGHW
     0U,	// VMRGLB
     0U,	// VMRGLH
     0U,	// VMRGLW
-    40U,	// VMSUMMBM
-    40U,	// VMSUMSHM
-    40U,	// VMSUMSHS
-    40U,	// VMSUMUBM
-    40U,	// VMSUMUHM
-    40U,	// VMSUMUHS
+    80U,	// VMSUMMBM
+    80U,	// VMSUMSHM
+    80U,	// VMSUMSHS
+    80U,	// VMSUMUBM
+    80U,	// VMSUMUHM
+    80U,	// VMSUMUHS
     0U,	// VMULESB
     0U,	// VMULESH
+    0U,	// VMULESW
     0U,	// VMULEUB
     0U,	// VMULEUH
+    0U,	// VMULEUW
     0U,	// VMULOSB
     0U,	// VMULOSH
+    0U,	// VMULOSW
     0U,	// VMULOUB
     0U,	// VMULOUH
-    40U,	// VNMSUBFP
+    0U,	// VMULOUW
+    0U,	// VMULUWM
+    0U,	// VNAND
+    80U,	// VNMSUBFP
     0U,	// VNOR
     0U,	// VOR
-    40U,	// VPERM
+    0U,	// VORC
+    80U,	// VPERM
     0U,	// VPKPX
     0U,	// VPKSHSS
     0U,	// VPKSHUS
@@ -2345,19 +2831,25 @@ static void printInstruction(MCInst *MI,
     0U,	// VPKUHUS
     0U,	// VPKUWUM
     0U,	// VPKUWUS
+    0U,	// VPOPCNTB
+    0U,	// VPOPCNTD
+    0U,	// VPOPCNTH
+    0U,	// VPOPCNTW
     0U,	// VREFP
     0U,	// VRFIM
     0U,	// VRFIN
     0U,	// VRFIP
     0U,	// VRFIZ
     0U,	// VRLB
+    0U,	// VRLD
     0U,	// VRLH
     0U,	// VRLW
     0U,	// VRSQRTEFP
-    40U,	// VSEL
+    80U,	// VSEL
     0U,	// VSL
     0U,	// VSLB
-    24U,	// VSLDOI
+    0U,	// VSLD
+    48U,	// VSLDOI
     0U,	// VSLH
     0U,	// VSLO
     0U,	// VSLW
@@ -2369,9 +2861,11 @@ static void printInstruction(MCInst *MI,
     0U,	// VSPLTW
     0U,	// VSR
     0U,	// VSRAB
+    0U,	// VSRAD
     0U,	// VSRAH
     0U,	// VSRAW
     0U,	// VSRB
+    0U,	// VSRD
     0U,	// VSRH
     0U,	// VSRO
     0U,	// VSRW
@@ -2382,6 +2876,7 @@ static void printInstruction(MCInst *MI,
     0U,	// VSUBSWS
     0U,	// VSUBUBM
     0U,	// VSUBUBS
+    0U,	// VSUBUDM
     0U,	// VSUBUHM
     0U,	// VSUBUHS
     0U,	// VSUBUWM
@@ -2398,9 +2893,9 @@ static void printInstruction(MCInst *MI,
     0U,	// VUPKLSB
     0U,	// VUPKLSH
     0U,	// VXOR
-    2U,	// V_SET0
-    2U,	// V_SET0B
-    2U,	// V_SET0H
+    5U,	// V_SET0
+    5U,	// V_SET0B
+    5U,	// V_SET0H
     0U,	// V_SETALLONES
     0U,	// V_SETALLONESB
     0U,	// V_SETALLONESH
@@ -2410,10 +2905,10 @@ static void printInstruction(MCInst *MI,
     0U,	// XOR
     0U,	// XOR8
     0U,	// XOR8o
-    1U,	// XORI
-    1U,	// XORI8
-    1U,	// XORIS
-    1U,	// XORIS8
+    2U,	// XORI
+    2U,	// XORI8
+    2U,	// XORIS
+    2U,	// XORIS8
     0U,	// XORo
     0U,	// XSABSDP
     0U,	// XSADDDP
@@ -2541,22 +3036,25 @@ static void printInstruction(MCInst *MI,
     0U,	// XVTSQRTSP
     0U,	// XXLAND
     0U,	// XXLANDC
+    0U,	// XXLEQV
+    0U,	// XXLNAND
     0U,	// XXLNOR
     0U,	// XXLOR
+    0U,	// XXLORC
     0U,	// XXLORf
     0U,	// XXLXOR
     0U,	// XXMRGHW
     0U,	// XXMRGLW
-    56U,	// XXPERMDI
-    40U,	// XXSEL
-    56U,	// XXSLDWI
-    3U,	// XXSPLTW
-    3U,	// gBC
-    4U,	// gBCA
+    112U,	// XXPERMDI
+    80U,	// XXSEL
+    112U,	// XXSLDWI
+    6U,	// XXSPLTW
+    8U,	// gBC
+    9U,	// gBCA
     0U,	// gBCCTR
     0U,	// gBCCTRL
-    3U,	// gBCL
-    4U,	// gBCLA
+    8U,	// gBCL
+    9U,	// gBCLA
     0U,	// gBCLR
     0U,	// gBCLRL
     0U
@@ -2574,1034 +3072,1160 @@ static void printInstruction(MCInst *MI,
   /* 63 */ 'b', 'd', 'z', '+', 32, 0,
   /* 69 */ 'b', 'd', 'n', 'z', '+', 32, 0,
   /* 76 */ 'b', 'c', 'l', 32, '2', '0', ',', 32, '3', '1', ',', 32, 0,
-  /* 89 */ 'l', 'd', 32, '2', ',', 32, 0,
-  /* 96 */ 'b', 'c', 32, '1', '2', ',', 32, 0,
-  /* 104 */ 'b', 'c', 'l', 32, '1', '2', ',', 32, 0,
-  /* 113 */ 'b', 'c', 'l', 'r', 'l', 32, '1', '2', ',', 32, 0,
-  /* 124 */ 'b', 'c', 'c', 't', 'r', 'l', 32, '1', '2', ',', 32, 0,
-  /* 136 */ 'b', 'c', 'l', 'r', 32, '1', '2', ',', 32, 0,
-  /* 146 */ 'b', 'c', 'c', 't', 'r', 32, '1', '2', ',', 32, 0,
-  /* 157 */ 'b', 'c', 32, '4', ',', 32, 0,
-  /* 164 */ 'b', 'c', 'l', 32, '4', ',', 32, 0,
-  /* 172 */ 'b', 'c', 'l', 'r', 'l', 32, '4', ',', 32, 0,
-  /* 182 */ 'b', 'c', 'c', 't', 'r', 'l', 32, '4', ',', 32, 0,
-  /* 193 */ 'b', 'c', 'l', 'r', 32, '4', ',', 32, 0,
-  /* 202 */ 'b', 'c', 'c', 't', 'r', 32, '4', ',', 32, 0,
-  /* 212 */ 'm', 't', 's', 'p', 'r', 32, '2', '5', '6', ',', 32, 0,
-  /* 224 */ 'b', 'd', 'z', 'l', 'a', '-', 32, 0,
-  /* 232 */ 'b', 'd', 'n', 'z', 'l', 'a', '-', 32, 0,
-  /* 241 */ 'b', 'd', 'z', 'a', '-', 32, 0,
-  /* 248 */ 'b', 'd', 'n', 'z', 'a', '-', 32, 0,
-  /* 256 */ 'b', 'd', 'z', 'l', '-', 32, 0,
-  /* 263 */ 'b', 'd', 'n', 'z', 'l', '-', 32, 0,
-  /* 271 */ 'b', 'd', 'z', '-', 32, 0,
-  /* 277 */ 'b', 'd', 'n', 'z', '-', 32, 0,
-  /* 284 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'b', '.', 32, 0,
-  /* 295 */ 'e', 'x', 't', 's', 'b', '.', 32, 0,
-  /* 303 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'b', '.', 32, 0,
-  /* 314 */ 'f', 's', 'u', 'b', '.', 32, 0,
-  /* 321 */ 'f', 'm', 's', 'u', 'b', '.', 32, 0,
-  /* 329 */ 'f', 'n', 'm', 's', 'u', 'b', '.', 32, 0,
-  /* 338 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'b', '.', 32, 0,
-  /* 349 */ 'a', 'd', 'd', 'c', '.', 32, 0,
-  /* 356 */ 'a', 'n', 'd', 'c', '.', 32, 0,
-  /* 363 */ 's', 'u', 'b', 'f', 'c', '.', 32, 0,
-  /* 371 */ 's', 'u', 'b', 'i', 'c', '.', 32, 0,
-  /* 379 */ 'a', 'd', 'd', 'i', 'c', '.', 32, 0,
-  /* 387 */ 'r', 'l', 'd', 'i', 'c', '.', 32, 0,
-  /* 395 */ 'o', 'r', 'c', '.', 32, 0,
-  /* 401 */ 's', 'r', 'a', 'd', '.', 32, 0,
-  /* 408 */ 'f', 'a', 'd', 'd', '.', 32, 0,
-  /* 415 */ 'f', 'm', 'a', 'd', 'd', '.', 32, 0,
-  /* 423 */ 'f', 'n', 'm', 'a', 'd', 'd', '.', 32, 0,
-  /* 432 */ 'm', 'u', 'l', 'h', 'd', '.', 32, 0,
-  /* 440 */ 'f', 'c', 'f', 'i', 'd', '.', 32, 0,
-  /* 448 */ 'f', 'c', 't', 'i', 'd', '.', 32, 0,
-  /* 456 */ 'm', 'u', 'l', 'l', 'd', '.', 32, 0,
-  /* 464 */ 's', 'l', 'd', '.', 32, 0,
-  /* 470 */ 'n', 'a', 'n', 'd', '.', 32, 0,
-  /* 477 */ 's', 'r', 'd', '.', 32, 0,
-  /* 483 */ 'd', 'i', 'v', 'd', '.', 32, 0,
-  /* 490 */ 'c', 'n', 't', 'l', 'z', 'd', '.', 32, 0,
-  /* 499 */ 'a', 'd', 'd', 'e', '.', 32, 0,
-  /* 506 */ 's', 'u', 'b', 'f', 'e', '.', 32, 0,
-  /* 514 */ 'a', 'd', 'd', 'm', 'e', '.', 32, 0,
-  /* 522 */ 's', 'u', 'b', 'f', 'm', 'e', '.', 32, 0,
-  /* 531 */ 'f', 'r', 'e', '.', 32, 0,
-  /* 537 */ 'f', 'r', 's', 'q', 'r', 't', 'e', '.', 32, 0,
-  /* 547 */ 'a', 'd', 'd', 'z', 'e', '.', 32, 0,
-  /* 555 */ 's', 'u', 'b', 'f', 'z', 'e', '.', 32, 0,
-  /* 564 */ 's', 'u', 'b', 'f', '.', 32, 0,
-  /* 571 */ 'f', 'n', 'e', 'g', '.', 32, 0,
-  /* 578 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'h', '.', 32, 0,
-  /* 589 */ 'e', 'x', 't', 's', 'h', '.', 32, 0,
-  /* 597 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'h', '.', 32, 0,
-  /* 608 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'h', '.', 32, 0,
-  /* 619 */ 's', 'r', 'a', 'd', 'i', '.', 32, 0,
-  /* 627 */ 'c', 'l', 'r', 'l', 's', 'l', 'd', 'i', '.', 32, 0,
-  /* 638 */ 'e', 'x', 't', 'l', 'd', 'i', '.', 32, 0,
-  /* 647 */ 'a', 'n', 'd', 'i', '.', 32, 0,
-  /* 654 */ 'c', 'l', 'r', 'r', 'd', 'i', '.', 32, 0,
-  /* 663 */ 'i', 'n', 's', 'r', 'd', 'i', '.', 32, 0,
-  /* 672 */ 'r', 'o', 't', 'r', 'd', 'i', '.', 32, 0,
-  /* 681 */ 'e', 'x', 't', 'r', 'd', 'i', '.', 32, 0,
-  /* 690 */ 'r', 'l', 'd', 'i', 'm', 'i', '.', 32, 0,
-  /* 699 */ 'r', 'l', 'w', 'i', 'm', 'i', '.', 32, 0,
-  /* 708 */ 's', 'r', 'a', 'w', 'i', '.', 32, 0,
-  /* 716 */ 'c', 'l', 'r', 'l', 's', 'l', 'w', 'i', '.', 32, 0,
-  /* 727 */ 'i', 'n', 's', 'l', 'w', 'i', '.', 32, 0,
-  /* 736 */ 'e', 'x', 't', 'l', 'w', 'i', '.', 32, 0,
-  /* 745 */ 'c', 'l', 'r', 'r', 'w', 'i', '.', 32, 0,
-  /* 754 */ 'i', 'n', 's', 'r', 'w', 'i', '.', 32, 0,
-  /* 763 */ 'r', 'o', 't', 'r', 'w', 'i', '.', 32, 0,
-  /* 772 */ 'e', 'x', 't', 'r', 'w', 'i', '.', 32, 0,
-  /* 781 */ 'r', 'l', 'd', 'c', 'l', '.', 32, 0,
-  /* 789 */ 'r', 'l', 'd', 'i', 'c', 'l', '.', 32, 0,
-  /* 798 */ 'f', 's', 'e', 'l', '.', 32, 0,
-  /* 805 */ 'f', 'm', 'u', 'l', '.', 32, 0,
-  /* 812 */ 'f', 'r', 'i', 'm', '.', 32, 0,
-  /* 819 */ 'r', 'l', 'w', 'i', 'n', 'm', '.', 32, 0,
-  /* 828 */ 'r', 'l', 'w', 'n', 'm', '.', 32, 0,
-  /* 836 */ 'f', 'c', 'p', 's', 'g', 'n', '.', 32, 0,
-  /* 845 */ 'f', 'r', 'i', 'n', '.', 32, 0,
-  /* 852 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 'd', 'p', '.', 32, 0,
-  /* 864 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 'd', 'p', '.', 32, 0,
-  /* 876 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 'd', 'p', '.', 32, 0,
-  /* 888 */ 'v', 'c', 'm', 'p', 'b', 'f', 'p', '.', 32, 0,
-  /* 898 */ 'v', 'c', 'm', 'p', 'g', 'e', 'f', 'p', '.', 32, 0,
-  /* 909 */ 'v', 'c', 'm', 'p', 'e', 'q', 'f', 'p', '.', 32, 0,
-  /* 920 */ 'v', 'c', 'm', 'p', 'g', 't', 'f', 'p', '.', 32, 0,
-  /* 931 */ 'f', 'r', 'i', 'p', '.', 32, 0,
-  /* 938 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 's', 'p', '.', 32, 0,
-  /* 950 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 's', 'p', '.', 32, 0,
-  /* 962 */ 'f', 'r', 's', 'p', '.', 32, 0,
-  /* 969 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 's', 'p', '.', 32, 0,
-  /* 981 */ 'r', 'l', 'd', 'c', 'r', '.', 32, 0,
-  /* 989 */ 'r', 'l', 'd', 'i', 'c', 'r', '.', 32, 0,
-  /* 998 */ 'f', 'm', 'r', '.', 32, 0,
-  /* 1004 */ 'n', 'o', 'r', '.', 32, 0,
-  /* 1010 */ 'x', 'o', 'r', '.', 32, 0,
-  /* 1016 */ 'f', 'a', 'b', 's', '.', 32, 0,
-  /* 1023 */ 'f', 'n', 'a', 'b', 's', '.', 32, 0,
-  /* 1031 */ 'f', 's', 'u', 'b', 's', '.', 32, 0,
-  /* 1039 */ 'f', 'm', 's', 'u', 'b', 's', '.', 32, 0,
-  /* 1048 */ 'f', 'n', 'm', 's', 'u', 'b', 's', '.', 32, 0,
-  /* 1058 */ 'f', 'a', 'd', 'd', 's', '.', 32, 0,
-  /* 1066 */ 'f', 'm', 'a', 'd', 'd', 's', '.', 32, 0,
-  /* 1075 */ 'f', 'n', 'm', 'a', 'd', 'd', 's', '.', 32, 0,
-  /* 1085 */ 'f', 'c', 'f', 'i', 'd', 's', '.', 32, 0,
-  /* 1094 */ 'f', 'r', 'e', 's', '.', 32, 0,
-  /* 1101 */ 'f', 'r', 's', 'q', 'r', 't', 'e', 's', '.', 32, 0,
-  /* 1112 */ 'a', 'n', 'd', 'i', 's', '.', 32, 0,
-  /* 1120 */ 'f', 'm', 'u', 'l', 's', '.', 32, 0,
-  /* 1128 */ 'f', 's', 'q', 'r', 't', 's', '.', 32, 0,
-  /* 1137 */ 'f', 'c', 'f', 'i', 'd', 'u', 's', '.', 32, 0,
-  /* 1147 */ 'f', 'd', 'i', 'v', 's', '.', 32, 0,
-  /* 1155 */ 'f', 's', 'q', 'r', 't', '.', 32, 0,
-  /* 1163 */ 'm', 'u', 'l', 'h', 'd', 'u', '.', 32, 0,
-  /* 1172 */ 'f', 'c', 'f', 'i', 'd', 'u', '.', 32, 0,
-  /* 1181 */ 'd', 'i', 'v', 'd', 'u', '.', 32, 0,
-  /* 1189 */ 'm', 'u', 'l', 'h', 'w', 'u', '.', 32, 0,
-  /* 1198 */ 'd', 'i', 'v', 'w', 'u', '.', 32, 0,
-  /* 1206 */ 'f', 'd', 'i', 'v', '.', 32, 0,
-  /* 1213 */ 'e', 'q', 'v', '.', 32, 0,
-  /* 1219 */ 's', 'r', 'a', 'w', '.', 32, 0,
-  /* 1226 */ 'm', 'u', 'l', 'h', 'w', '.', 32, 0,
-  /* 1234 */ 'f', 'c', 't', 'i', 'w', '.', 32, 0,
-  /* 1242 */ 'm', 'u', 'l', 'l', 'w', '.', 32, 0,
-  /* 1250 */ 's', 'l', 'w', '.', 32, 0,
-  /* 1256 */ 's', 'r', 'w', '.', 32, 0,
-  /* 1262 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'w', '.', 32, 0,
-  /* 1273 */ 'e', 'x', 't', 's', 'w', '.', 32, 0,
-  /* 1281 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'w', '.', 32, 0,
-  /* 1292 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'w', '.', 32, 0,
-  /* 1303 */ 'd', 'i', 'v', 'w', '.', 32, 0,
-  /* 1310 */ 'c', 'n', 't', 'l', 'z', 'w', '.', 32, 0,
-  /* 1319 */ 's', 't', 'd', 'c', 'x', '.', 32, 0,
-  /* 1327 */ 's', 't', 'w', 'c', 'x', '.', 32, 0,
-  /* 1335 */ 't', 'l', 'b', 's', 'x', '.', 32, 0,
-  /* 1343 */ 'f', 'c', 't', 'i', 'd', 'z', '.', 32, 0,
-  /* 1352 */ 'f', 'r', 'i', 'z', '.', 32, 0,
-  /* 1359 */ 'f', 'c', 't', 'i', 'd', 'u', 'z', '.', 32, 0,
-  /* 1369 */ 'f', 'c', 't', 'i', 'w', 'u', 'z', '.', 32, 0,
-  /* 1379 */ 'f', 'c', 't', 'i', 'w', 'z', '.', 32, 0,
-  /* 1388 */ 'm', 't', 'f', 's', 'b', '0', 32, 0,
-  /* 1396 */ 'm', 't', 'f', 's', 'b', '1', 32, 0,
-  /* 1404 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '3', '2', 32, 0,
-  /* 1426 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '1', '6', 32, 0,
-  /* 1448 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'a', '8', 32, 0,
-  /* 1462 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'd', '8', 32, 0,
-  /* 1476 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'r', '8', 32, 0,
-  /* 1490 */ 'U', 'P', 'D', 'A', 'T', 'E', '_', 'V', 'R', 'S', 'A', 'V', 'E', 32, 0,
-  /* 1505 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 32, 0,
-  /* 1524 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 32, 0,
-  /* 1541 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'a', 32, 0,
-  /* 1554 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'f', 'a', 'a', 32, 0,
-  /* 1567 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'f', 'a', 'a', 32, 0,
-  /* 1580 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 'a', 32, 0,
-  /* 1591 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 'a', 32, 0,
-  /* 1602 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1615 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1628 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1639 */ 'e', 'v', 'm', 'h', 'e', 'g', 'u', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1652 */ 'e', 'v', 'm', 'h', 'o', 'g', 'u', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1665 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 'a', 32, 0,
-  /* 1676 */ 'd', 'c', 'b', 'a', 32, 0,
-  /* 1682 */ 'b', 'c', 'a', 32, 0,
-  /* 1687 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 32, 0,
-  /* 1698 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'f', 'a', 32, 0,
-  /* 1709 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 32, 0,
-  /* 1720 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 32, 0,
-  /* 1730 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 32, 0,
-  /* 1741 */ 'e', 'v', 'm', 'w', 'h', 's', 's', 'f', 'a', 32, 0,
-  /* 1752 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 32, 0,
-  /* 1763 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 32, 0,
-  /* 1773 */ 'l', 'h', 'a', 32, 0,
-  /* 1778 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 32, 0,
-  /* 1789 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'i', 'a', 32, 0,
-  /* 1800 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 32, 0,
-  /* 1811 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 32, 0,
-  /* 1821 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 32, 0,
-  /* 1832 */ 'e', 'v', 'm', 'w', 'h', 'u', 'm', 'i', 'a', 32, 0,
-  /* 1843 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 32, 0,
-  /* 1854 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 32, 0,
-  /* 1865 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 32, 0,
-  /* 1875 */ 'b', 'l', 'a', 32, 0,
-  /* 1880 */ 'b', 'c', 'l', 'a', 32, 0,
-  /* 1886 */ 'b', 'd', 'z', 'l', 'a', 32, 0,
-  /* 1893 */ 'b', 'd', 'n', 'z', 'l', 'a', 32, 0,
-  /* 1901 */ 'e', 'v', 'm', 'r', 'a', 32, 0,
-  /* 1908 */ 'l', 'w', 'a', 32, 0,
-  /* 1913 */ 'b', 'd', 'z', 'a', 32, 0,
-  /* 1919 */ 'b', 'd', 'n', 'z', 'a', 32, 0,
-  /* 1926 */ 'v', 's', 'r', 'a', 'b', 32, 0,
-  /* 1933 */ 'v', 'm', 'r', 'g', 'h', 'b', 32, 0,
-  /* 1941 */ 'v', 'm', 'r', 'g', 'l', 'b', 32, 0,
-  /* 1949 */ 'v', 'r', 'l', 'b', 32, 0,
-  /* 1955 */ 'v', 's', 'l', 'b', 32, 0,
-  /* 1961 */ 'v', 's', 'r', 'b', 32, 0,
-  /* 1967 */ 'v', 'm', 'u', 'l', 'e', 's', 'b', 32, 0,
-  /* 1976 */ 'v', 'a', 'v', 'g', 's', 'b', 32, 0,
-  /* 1984 */ 'v', 'u', 'p', 'k', 'h', 's', 'b', 32, 0,
-  /* 1993 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'b', 32, 0,
-  /* 2003 */ 'v', 'u', 'p', 'k', 'l', 's', 'b', 32, 0,
-  /* 2012 */ 'v', 'm', 'i', 'n', 's', 'b', 32, 0,
-  /* 2020 */ 'v', 'm', 'u', 'l', 'o', 's', 'b', 32, 0,
-  /* 2029 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'b', 32, 0,
-  /* 2039 */ 'e', 'v', 'e', 'x', 't', 's', 'b', 32, 0,
-  /* 2048 */ 'v', 'm', 'a', 'x', 's', 'b', 32, 0,
-  /* 2056 */ 'm', 'f', 't', 'b', 32, 0,
-  /* 2062 */ 'v', 's', 'p', 'l', 't', 'b', 32, 0,
-  /* 2070 */ 's', 't', 'b', 32, 0,
-  /* 2075 */ 'v', 'm', 'u', 'l', 'e', 'u', 'b', 32, 0,
-  /* 2084 */ 'v', 'a', 'v', 'g', 'u', 'b', 32, 0,
-  /* 2092 */ 'v', 'm', 'i', 'n', 'u', 'b', 32, 0,
-  /* 2100 */ 'v', 'm', 'u', 'l', 'o', 'u', 'b', 32, 0,
-  /* 2109 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'b', 32, 0,
-  /* 2119 */ 'f', 's', 'u', 'b', 32, 0,
-  /* 2125 */ 'f', 'm', 's', 'u', 'b', 32, 0,
-  /* 2132 */ 'f', 'n', 'm', 's', 'u', 'b', 32, 0,
-  /* 2140 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'b', 32, 0,
-  /* 2150 */ 'v', 'm', 'a', 'x', 'u', 'b', 32, 0,
-  /* 2158 */ 'b', 'c', 32, 0,
-  /* 2162 */ 'a', 'd', 'd', 'c', 32, 0,
-  /* 2168 */ 'x', 'x', 'l', 'a', 'n', 'd', 'c', 32, 0,
-  /* 2177 */ 'c', 'r', 'a', 'n', 'd', 'c', 32, 0,
-  /* 2185 */ 'e', 'v', 'a', 'n', 'd', 'c', 32, 0,
-  /* 2193 */ 's', 'u', 'b', 'f', 'c', 32, 0,
-  /* 2200 */ 's', 'u', 'b', 'i', 'c', 32, 0,
-  /* 2207 */ 'a', 'd', 'd', 'i', 'c', 32, 0,
-  /* 2214 */ 'r', 'l', 'd', 'i', 'c', 32, 0,
-  /* 2221 */ 's', 'u', 'b', 'f', 'i', 'c', 32, 0,
-  /* 2229 */ 'x', 's', 'r', 'd', 'p', 'i', 'c', 32, 0,
-  /* 2238 */ 'x', 'v', 'r', 'd', 'p', 'i', 'c', 32, 0,
-  /* 2247 */ 'x', 'v', 'r', 's', 'p', 'i', 'c', 32, 0,
-  /* 2256 */ 'b', 'r', 'i', 'n', 'c', 32, 0,
-  /* 2263 */ 's', 'y', 'n', 'c', 32, 0,
-  /* 2269 */ 'c', 'r', 'o', 'r', 'c', 32, 0,
-  /* 2276 */ 'e', 'v', 'o', 'r', 'c', 32, 0,
-  /* 2283 */ 's', 'c', 32, 0,
-  /* 2287 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'd', 32, 0,
-  /* 2300 */ 's', 'r', 'a', 'd', 32, 0,
-  /* 2306 */ 'f', 'a', 'd', 'd', 32, 0,
-  /* 2312 */ 'f', 'm', 'a', 'd', 'd', 32, 0,
-  /* 2319 */ 'f', 'n', 'm', 'a', 'd', 'd', 32, 0,
-  /* 2327 */ 'e', 'v', 'l', 'd', 'd', 32, 0,
-  /* 2334 */ 'e', 'v', 's', 't', 'd', 'd', 32, 0,
-  /* 2342 */ 'l', 'f', 'd', 32, 0,
-  /* 2347 */ 's', 't', 'f', 'd', 32, 0,
-  /* 2353 */ 'm', 'u', 'l', 'h', 'd', 32, 0,
-  /* 2360 */ 'f', 'c', 'f', 'i', 'd', 32, 0,
-  /* 2367 */ 'f', 'c', 't', 'i', 'd', 32, 0,
-  /* 2374 */ 't', 'l', 'b', 'l', 'd', 32, 0,
-  /* 2381 */ 'm', 'u', 'l', 'l', 'd', 32, 0,
-  /* 2388 */ 'c', 'm', 'p', 'l', 'd', 32, 0,
-  /* 2395 */ 's', 'l', 'd', 32, 0,
-  /* 2400 */ 'x', 'x', 'l', 'a', 'n', 'd', 32, 0,
-  /* 2408 */ 'c', 'r', 'n', 'a', 'n', 'd', 32, 0,
-  /* 2416 */ 'e', 'v', 'n', 'a', 'n', 'd', 32, 0,
-  /* 2424 */ 'c', 'r', 'a', 'n', 'd', 32, 0,
-  /* 2431 */ 'e', 'v', 'a', 'n', 'd', 32, 0,
-  /* 2438 */ 'c', 'm', 'p', 'd', 32, 0,
-  /* 2444 */ 'm', 't', 'm', 's', 'r', 'd', 32, 0,
-  /* 2452 */ 'p', 'o', 'p', 'c', 'n', 't', 'd', 32, 0,
-  /* 2461 */ 's', 't', 'd', 32, 0,
-  /* 2466 */ 'd', 'i', 'v', 'd', 32, 0,
-  /* 2472 */ 'c', 'n', 't', 'l', 'z', 'd', 32, 0,
-  /* 2480 */ 'a', 'd', 'd', 'e', 32, 0,
-  /* 2486 */ 's', 'l', 'b', 'm', 'f', 'e', 'e', 32, 0,
-  /* 2495 */ 'w', 'r', 't', 'e', 'e', 32, 0,
-  /* 2502 */ 's', 'u', 'b', 'f', 'e', 32, 0,
-  /* 2509 */ 'e', 'v', 'l', 'w', 'h', 'e', 32, 0,
-  /* 2517 */ 'e', 'v', 's', 't', 'w', 'h', 'e', 32, 0,
-  /* 2526 */ 's', 'l', 'b', 'i', 'e', 32, 0,
-  /* 2533 */ 't', 'l', 'b', 'i', 'e', 32, 0,
-  /* 2540 */ 'a', 'd', 'd', 'm', 'e', 32, 0,
-  /* 2547 */ 's', 'u', 'b', 'f', 'm', 'e', 32, 0,
-  /* 2555 */ 't', 'l', 'b', 'r', 'e', 32, 0,
-  /* 2562 */ 'f', 'r', 'e', 32, 0,
-  /* 2567 */ 's', 'l', 'b', 'm', 't', 'e', 32, 0,
-  /* 2575 */ 'f', 'r', 's', 'q', 'r', 't', 'e', 32, 0,
-  /* 2584 */ 't', 'l', 'b', 'w', 'e', 32, 0,
-  /* 2591 */ 'e', 'v', 's', 't', 'w', 'w', 'e', 32, 0,
-  /* 2600 */ 'a', 'd', 'd', 'z', 'e', 32, 0,
-  /* 2607 */ 's', 'u', 'b', 'f', 'z', 'e', 32, 0,
-  /* 2615 */ 'd', 'c', 'b', 'f', 32, 0,
-  /* 2621 */ 's', 'u', 'b', 'f', 32, 0,
-  /* 2627 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 32, 0,
-  /* 2637 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'f', 32, 0,
-  /* 2647 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 32, 0,
-  /* 2657 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 32, 0,
-  /* 2666 */ 'm', 'c', 'r', 'f', 32, 0,
-  /* 2672 */ 'm', 'f', 'o', 'c', 'r', 'f', 32, 0,
-  /* 2680 */ 'm', 't', 'o', 'c', 'r', 'f', 32, 0,
-  /* 2688 */ 'm', 't', 'c', 'r', 'f', 32, 0,
-  /* 2695 */ 'm', 't', 'f', 's', 'f', 32, 0,
-  /* 2702 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 32, 0,
-  /* 2712 */ 'e', 'v', 'm', 'w', 'h', 's', 's', 'f', 32, 0,
-  /* 2722 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 32, 0,
-  /* 2732 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 32, 0,
-  /* 2741 */ 'f', 'n', 'e', 'g', 32, 0,
-  /* 2747 */ 'e', 'v', 'n', 'e', 'g', 32, 0,
-  /* 2754 */ 'v', 's', 'r', 'a', 'h', 32, 0,
-  /* 2761 */ 'e', 'v', 'l', 'd', 'h', 32, 0,
-  /* 2768 */ 'e', 'v', 's', 't', 'd', 'h', 32, 0,
-  /* 2776 */ 'v', 'm', 'r', 'g', 'h', 'h', 32, 0,
-  /* 2784 */ 'v', 'm', 'r', 'g', 'l', 'h', 32, 0,
-  /* 2792 */ 'v', 'r', 'l', 'h', 32, 0,
-  /* 2798 */ 'v', 's', 'l', 'h', 32, 0,
-  /* 2804 */ 'v', 's', 'r', 'h', 32, 0,
-  /* 2810 */ 'v', 'm', 'u', 'l', 'e', 's', 'h', 32, 0,
-  /* 2819 */ 'v', 'a', 'v', 'g', 's', 'h', 32, 0,
-  /* 2827 */ 'v', 'u', 'p', 'k', 'h', 's', 'h', 32, 0,
-  /* 2836 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'h', 32, 0,
-  /* 2846 */ 'v', 'u', 'p', 'k', 'l', 's', 'h', 32, 0,
-  /* 2855 */ 'v', 'm', 'i', 'n', 's', 'h', 32, 0,
-  /* 2863 */ 'v', 'm', 'u', 'l', 'o', 's', 'h', 32, 0,
-  /* 2872 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'h', 32, 0,
-  /* 2882 */ 'e', 'v', 'e', 'x', 't', 's', 'h', 32, 0,
-  /* 2891 */ 'v', 'm', 'a', 'x', 's', 'h', 32, 0,
-  /* 2899 */ 'v', 's', 'p', 'l', 't', 'h', 32, 0,
-  /* 2907 */ 's', 't', 'h', 32, 0,
-  /* 2912 */ 'v', 'm', 'u', 'l', 'e', 'u', 'h', 32, 0,
-  /* 2921 */ 'v', 'a', 'v', 'g', 'u', 'h', 32, 0,
-  /* 2929 */ 'v', 'm', 'i', 'n', 'u', 'h', 32, 0,
-  /* 2937 */ 'v', 'm', 'u', 'l', 'o', 'u', 'h', 32, 0,
-  /* 2946 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'h', 32, 0,
-  /* 2956 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'h', 32, 0,
-  /* 2966 */ 'v', 'm', 'a', 'x', 'u', 'h', 32, 0,
-  /* 2974 */ 'd', 'c', 'b', 'i', 32, 0,
-  /* 2980 */ 'i', 'c', 'b', 'i', 32, 0,
-  /* 2986 */ 's', 'u', 'b', 'i', 32, 0,
-  /* 2992 */ 'd', 'c', 'c', 'c', 'i', 32, 0,
-  /* 2999 */ 'i', 'c', 'c', 'c', 'i', 32, 0,
-  /* 3006 */ 's', 'r', 'a', 'd', 'i', 32, 0,
-  /* 3013 */ 'a', 'd', 'd', 'i', 32, 0,
-  /* 3019 */ 'c', 'm', 'p', 'l', 'd', 'i', 32, 0,
-  /* 3027 */ 'c', 'l', 'r', 'l', 's', 'l', 'd', 'i', 32, 0,
-  /* 3037 */ 'e', 'x', 't', 'l', 'd', 'i', 32, 0,
-  /* 3045 */ 'x', 'x', 'p', 'e', 'r', 'm', 'd', 'i', 32, 0,
-  /* 3055 */ 'c', 'm', 'p', 'd', 'i', 32, 0,
-  /* 3062 */ 'c', 'l', 'r', 'r', 'd', 'i', 32, 0,
-  /* 3070 */ 'i', 'n', 's', 'r', 'd', 'i', 32, 0,
-  /* 3078 */ 'r', 'o', 't', 'r', 'd', 'i', 32, 0,
-  /* 3086 */ 'e', 'x', 't', 'r', 'd', 'i', 32, 0,
-  /* 3094 */ 't', 'd', 'i', 32, 0,
-  /* 3099 */ 'w', 'r', 't', 'e', 'e', 'i', 32, 0,
-  /* 3107 */ 'e', 'v', 's', 'p', 'l', 'a', 't', 'f', 'i', 32, 0,
-  /* 3118 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'h', 'i', 32, 0,
-  /* 3129 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'l', 'o', 'h', 'i', 32, 0,
-  /* 3142 */ 't', 'l', 'b', 'l', 'i', 32, 0,
-  /* 3149 */ 'm', 'u', 'l', 'l', 'i', 32, 0,
-  /* 3156 */ 'r', 'l', 'd', 'i', 'm', 'i', 32, 0,
-  /* 3164 */ 'r', 'l', 'w', 'i', 'm', 'i', 32, 0,
-  /* 3172 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 32, 0,
-  /* 3182 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'i', 32, 0,
-  /* 3192 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 32, 0,
-  /* 3202 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 32, 0,
-  /* 3211 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 32, 0,
-  /* 3221 */ 'e', 'v', 'm', 'w', 'h', 'u', 'm', 'i', 32, 0,
-  /* 3231 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 32, 0,
-  /* 3241 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 32, 0,
-  /* 3251 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 32, 0,
-  /* 3260 */ 'v', 's', 'l', 'd', 'o', 'i', 32, 0,
-  /* 3268 */ 'x', 's', 'r', 'd', 'p', 'i', 32, 0,
-  /* 3276 */ 'x', 'v', 'r', 'd', 'p', 'i', 32, 0,
-  /* 3284 */ 'x', 'v', 'r', 's', 'p', 'i', 32, 0,
-  /* 3292 */ 'x', 'o', 'r', 'i', 32, 0,
-  /* 3298 */ 'e', 'v', 's', 'p', 'l', 'a', 't', 'i', 32, 0,
-  /* 3308 */ 's', 'r', 'a', 'w', 'i', 32, 0,
-  /* 3315 */ 'x', 'x', 's', 'l', 'd', 'w', 'i', 32, 0,
-  /* 3324 */ 'c', 'm', 'p', 'l', 'w', 'i', 32, 0,
-  /* 3332 */ 'e', 'v', 'r', 'l', 'w', 'i', 32, 0,
-  /* 3340 */ 'c', 'l', 'r', 'l', 's', 'l', 'w', 'i', 32, 0,
-  /* 3350 */ 'i', 'n', 's', 'l', 'w', 'i', 32, 0,
-  /* 3358 */ 'e', 'v', 's', 'l', 'w', 'i', 32, 0,
-  /* 3366 */ 'e', 'x', 't', 'l', 'w', 'i', 32, 0,
-  /* 3374 */ 'c', 'm', 'p', 'w', 'i', 32, 0,
-  /* 3381 */ 'c', 'l', 'r', 'r', 'w', 'i', 32, 0,
-  /* 3389 */ 'i', 'n', 's', 'r', 'w', 'i', 32, 0,
-  /* 3397 */ 'r', 'o', 't', 'r', 'w', 'i', 32, 0,
-  /* 3405 */ 'e', 'x', 't', 'r', 'w', 'i', 32, 0,
-  /* 3413 */ 'l', 's', 'w', 'i', 32, 0,
-  /* 3419 */ 's', 't', 's', 'w', 'i', 32, 0,
-  /* 3426 */ 't', 'w', 'i', 32, 0,
-  /* 3431 */ 'b', 'l', 32, 0,
-  /* 3435 */ 'b', 'c', 'l', 32, 0,
-  /* 3440 */ 'r', 'l', 'd', 'c', 'l', 32, 0,
-  /* 3447 */ 'r', 'l', 'd', 'i', 'c', 'l', 32, 0,
-  /* 3455 */ 't', 'l', 'b', 'i', 'e', 'l', 32, 0,
-  /* 3463 */ 'f', 's', 'e', 'l', 32, 0,
-  /* 3469 */ 'i', 's', 'e', 'l', 32, 0,
-  /* 3475 */ 'v', 's', 'e', 'l', 32, 0,
-  /* 3481 */ 'x', 'x', 's', 'e', 'l', 32, 0,
-  /* 3488 */ 'b', 'c', 'l', 'r', 'l', 32, 0,
-  /* 3495 */ 'b', 'c', 'c', 't', 'r', 'l', 32, 0,
-  /* 3503 */ 'l', 'v', 's', 'l', 32, 0,
-  /* 3509 */ 'f', 'm', 'u', 'l', 32, 0,
-  /* 3515 */ 'l', 'v', 'x', 'l', 32, 0,
-  /* 3521 */ 's', 't', 'v', 'x', 'l', 32, 0,
-  /* 3528 */ 'd', 'c', 'b', 'z', 'l', 32, 0,
-  /* 3535 */ 'b', 'd', 'z', 'l', 32, 0,
-  /* 3541 */ 'b', 'd', 'n', 'z', 'l', 32, 0,
-  /* 3548 */ 'v', 'm', 's', 'u', 'm', 'm', 'b', 'm', 32, 0,
-  /* 3558 */ 'v', 's', 'u', 'b', 'u', 'b', 'm', 32, 0,
-  /* 3567 */ 'v', 'a', 'd', 'd', 'u', 'b', 'm', 32, 0,
-  /* 3576 */ 'v', 'm', 's', 'u', 'm', 'u', 'b', 'm', 32, 0,
-  /* 3586 */ 'v', 'm', 's', 'u', 'm', 's', 'h', 'm', 32, 0,
-  /* 3596 */ 'v', 's', 'u', 'b', 'u', 'h', 'm', 32, 0,
-  /* 3605 */ 'v', 'm', 'l', 'a', 'd', 'd', 'u', 'h', 'm', 32, 0,
-  /* 3616 */ 'v', 'a', 'd', 'd', 'u', 'h', 'm', 32, 0,
-  /* 3625 */ 'v', 'm', 's', 'u', 'm', 'u', 'h', 'm', 32, 0,
-  /* 3635 */ 'v', 'r', 'f', 'i', 'm', 32, 0,
-  /* 3642 */ 'x', 's', 'r', 'd', 'p', 'i', 'm', 32, 0,
-  /* 3651 */ 'x', 'v', 'r', 'd', 'p', 'i', 'm', 32, 0,
-  /* 3660 */ 'x', 'v', 'r', 's', 'p', 'i', 'm', 32, 0,
-  /* 3669 */ 'f', 'r', 'i', 'm', 32, 0,
-  /* 3675 */ 'r', 'l', 'w', 'i', 'n', 'm', 32, 0,
-  /* 3683 */ 'r', 'l', 'w', 'n', 'm', 32, 0,
-  /* 3690 */ 'v', 'p', 'e', 'r', 'm', 32, 0,
-  /* 3697 */ 'v', 'p', 'k', 'u', 'h', 'u', 'm', 32, 0,
-  /* 3706 */ 'v', 'p', 'k', 'u', 'w', 'u', 'm', 32, 0,
-  /* 3715 */ 'v', 's', 'u', 'b', 'u', 'w', 'm', 32, 0,
-  /* 3724 */ 'v', 'a', 'd', 'd', 'u', 'w', 'm', 32, 0,
-  /* 3733 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'f', 'a', 'n', 32, 0,
-  /* 3746 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'f', 'a', 'n', 32, 0,
-  /* 3759 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 'n', 32, 0,
-  /* 3770 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 'n', 32, 0,
-  /* 3781 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3794 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3807 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3818 */ 'e', 'v', 'm', 'h', 'e', 'g', 'u', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3831 */ 'e', 'v', 'm', 'h', 'o', 'g', 'u', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3844 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 'n', 32, 0,
-  /* 3855 */ 'f', 'c', 'p', 's', 'g', 'n', 32, 0,
-  /* 3863 */ 'v', 'r', 'f', 'i', 'n', 32, 0,
-  /* 3870 */ 'f', 'r', 'i', 'n', 32, 0,
-  /* 3876 */ 'm', 'f', 's', 'r', 'i', 'n', 32, 0,
-  /* 3884 */ 'm', 't', 's', 'r', 'i', 'n', 32, 0,
-  /* 3892 */ 'e', 'v', 's', 't', 'w', 'h', 'o', 32, 0,
-  /* 3901 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'l', 'o', 32, 0,
-  /* 3912 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'h', 'i', 'l', 'o', 32, 0,
-  /* 3925 */ 'v', 's', 'l', 'o', 32, 0,
-  /* 3931 */ 'v', 's', 'r', 'o', 32, 0,
-  /* 3937 */ 'e', 'v', 's', 't', 'w', 'w', 'o', 32, 0,
-  /* 3946 */ 'x', 's', 'n', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
-  /* 3958 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
-  /* 3970 */ 'x', 's', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
-  /* 3981 */ 'x', 'v', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
-  /* 3992 */ 'x', 's', 'n', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
-  /* 4004 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
-  /* 4016 */ 'x', 's', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
-  /* 4027 */ 'x', 'v', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
-  /* 4038 */ 'x', 's', 's', 'u', 'b', 'd', 'p', 32, 0,
-  /* 4047 */ 'x', 'v', 's', 'u', 'b', 'd', 'p', 32, 0,
-  /* 4056 */ 'x', 's', 'a', 'd', 'd', 'd', 'p', 32, 0,
-  /* 4065 */ 'x', 'v', 'a', 'd', 'd', 'd', 'p', 32, 0,
-  /* 4074 */ 'x', 's', 'c', 'v', 's', 'x', 'd', 'd', 'p', 32, 0,
-  /* 4085 */ 'x', 'v', 'c', 'v', 's', 'x', 'd', 'd', 'p', 32, 0,
-  /* 4096 */ 'x', 's', 'c', 'v', 'u', 'x', 'd', 'd', 'p', 32, 0,
-  /* 4107 */ 'x', 'v', 'c', 'v', 'u', 'x', 'd', 'd', 'p', 32, 0,
-  /* 4118 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 'd', 'p', 32, 0,
-  /* 4129 */ 'x', 's', 'r', 'e', 'd', 'p', 32, 0,
-  /* 4137 */ 'x', 'v', 'r', 'e', 'd', 'p', 32, 0,
-  /* 4145 */ 'x', 's', 'r', 's', 'q', 'r', 't', 'e', 'd', 'p', 32, 0,
-  /* 4157 */ 'x', 'v', 'r', 's', 'q', 'r', 't', 'e', 'd', 'p', 32, 0,
-  /* 4169 */ 'x', 's', 'n', 'e', 'g', 'd', 'p', 32, 0,
-  /* 4178 */ 'x', 'v', 'n', 'e', 'g', 'd', 'p', 32, 0,
-  /* 4187 */ 'x', 's', 'm', 'u', 'l', 'd', 'p', 32, 0,
-  /* 4196 */ 'x', 'v', 'm', 'u', 'l', 'd', 'p', 32, 0,
-  /* 4205 */ 'x', 's', 'n', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
-  /* 4217 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
-  /* 4229 */ 'x', 's', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
-  /* 4240 */ 'x', 'v', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
-  /* 4251 */ 'x', 's', 'n', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
-  /* 4263 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
-  /* 4275 */ 'x', 's', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
-  /* 4286 */ 'x', 'v', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
-  /* 4297 */ 'x', 's', 'c', 'p', 's', 'g', 'n', 'd', 'p', 32, 0,
-  /* 4308 */ 'x', 'v', 'c', 'p', 's', 'g', 'n', 'd', 'p', 32, 0,
-  /* 4319 */ 'x', 's', 'm', 'i', 'n', 'd', 'p', 32, 0,
-  /* 4328 */ 'x', 'v', 'm', 'i', 'n', 'd', 'p', 32, 0,
-  /* 4337 */ 'x', 's', 'c', 'm', 'p', 'o', 'd', 'p', 32, 0,
-  /* 4347 */ 'x', 's', 'c', 'v', 's', 'p', 'd', 'p', 32, 0,
-  /* 4357 */ 'x', 'v', 'c', 'v', 's', 'p', 'd', 'p', 32, 0,
-  /* 4367 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 'd', 'p', 32, 0,
-  /* 4378 */ 'x', 's', 'n', 'a', 'b', 's', 'd', 'p', 32, 0,
-  /* 4388 */ 'x', 'v', 'n', 'a', 'b', 's', 'd', 'p', 32, 0,
-  /* 4398 */ 'x', 's', 'a', 'b', 's', 'd', 'p', 32, 0,
-  /* 4407 */ 'x', 'v', 'a', 'b', 's', 'd', 'p', 32, 0,
-  /* 4416 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 'd', 'p', 32, 0,
-  /* 4427 */ 'x', 's', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
-  /* 4437 */ 'x', 's', 't', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
-  /* 4448 */ 'x', 'v', 't', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
-  /* 4459 */ 'x', 'v', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
-  /* 4469 */ 'x', 's', 'c', 'm', 'p', 'u', 'd', 'p', 32, 0,
-  /* 4479 */ 'x', 's', 'd', 'i', 'v', 'd', 'p', 32, 0,
-  /* 4488 */ 'x', 's', 't', 'd', 'i', 'v', 'd', 'p', 32, 0,
-  /* 4498 */ 'x', 'v', 't', 'd', 'i', 'v', 'd', 'p', 32, 0,
-  /* 4508 */ 'x', 'v', 'd', 'i', 'v', 'd', 'p', 32, 0,
-  /* 4517 */ 'x', 'v', 'c', 'v', 's', 'x', 'w', 'd', 'p', 32, 0,
-  /* 4528 */ 'x', 'v', 'c', 'v', 'u', 'x', 'w', 'd', 'p', 32, 0,
-  /* 4539 */ 'x', 's', 'm', 'a', 'x', 'd', 'p', 32, 0,
-  /* 4548 */ 'x', 'v', 'm', 'a', 'x', 'd', 'p', 32, 0,
-  /* 4557 */ 'v', 'c', 'm', 'p', 'b', 'f', 'p', 32, 0,
-  /* 4566 */ 'v', 'n', 'm', 's', 'u', 'b', 'f', 'p', 32, 0,
-  /* 4576 */ 'v', 's', 'u', 'b', 'f', 'p', 32, 0,
-  /* 4584 */ 'v', 'm', 'a', 'd', 'd', 'f', 'p', 32, 0,
-  /* 4593 */ 'v', 'a', 'd', 'd', 'f', 'p', 32, 0,
-  /* 4601 */ 'v', 'l', 'o', 'g', 'e', 'f', 'p', 32, 0,
-  /* 4610 */ 'v', 'c', 'm', 'p', 'g', 'e', 'f', 'p', 32, 0,
-  /* 4620 */ 'v', 'r', 'e', 'f', 'p', 32, 0,
-  /* 4627 */ 'v', 'e', 'x', 'p', 't', 'e', 'f', 'p', 32, 0,
-  /* 4637 */ 'v', 'r', 's', 'q', 'r', 't', 'e', 'f', 'p', 32, 0,
-  /* 4648 */ 'v', 'm', 'i', 'n', 'f', 'p', 32, 0,
-  /* 4656 */ 'v', 'c', 'm', 'p', 'e', 'q', 'f', 'p', 32, 0,
-  /* 4666 */ 'v', 'c', 'm', 'p', 'g', 't', 'f', 'p', 32, 0,
-  /* 4676 */ 'v', 'm', 'a', 'x', 'f', 'p', 32, 0,
-  /* 4684 */ 'v', 'r', 'f', 'i', 'p', 32, 0,
-  /* 4691 */ 'x', 's', 'r', 'd', 'p', 'i', 'p', 32, 0,
-  /* 4700 */ 'x', 'v', 'r', 'd', 'p', 'i', 'p', 32, 0,
-  /* 4709 */ 'x', 'v', 'r', 's', 'p', 'i', 'p', 32, 0,
-  /* 4718 */ 'f', 'r', 'i', 'p', 32, 0,
-  /* 4724 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'a', 's', 'p', 32, 0,
-  /* 4736 */ 'x', 'v', 'm', 's', 'u', 'b', 'a', 's', 'p', 32, 0,
-  /* 4747 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'a', 's', 'p', 32, 0,
-  /* 4759 */ 'x', 'v', 'm', 'a', 'd', 'd', 'a', 's', 'p', 32, 0,
-  /* 4770 */ 'x', 'v', 's', 'u', 'b', 's', 'p', 32, 0,
-  /* 4779 */ 'x', 'v', 'a', 'd', 'd', 's', 'p', 32, 0,
-  /* 4788 */ 'x', 'v', 'c', 'v', 's', 'x', 'd', 's', 'p', 32, 0,
-  /* 4799 */ 'x', 'v', 'c', 'v', 'u', 'x', 'd', 's', 'p', 32, 0,
-  /* 4810 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 's', 'p', 32, 0,
-  /* 4821 */ 'x', 'v', 'r', 'e', 's', 'p', 32, 0,
-  /* 4829 */ 'x', 'v', 'r', 's', 'q', 'r', 't', 'e', 's', 'p', 32, 0,
-  /* 4841 */ 'x', 'v', 'n', 'e', 'g', 's', 'p', 32, 0,
-  /* 4850 */ 'x', 'v', 'm', 'u', 'l', 's', 'p', 32, 0,
-  /* 4859 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'm', 's', 'p', 32, 0,
-  /* 4871 */ 'x', 'v', 'm', 's', 'u', 'b', 'm', 's', 'p', 32, 0,
-  /* 4882 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'm', 's', 'p', 32, 0,
-  /* 4894 */ 'x', 'v', 'm', 'a', 'd', 'd', 'm', 's', 'p', 32, 0,
-  /* 4905 */ 'x', 'v', 'c', 'p', 's', 'g', 'n', 's', 'p', 32, 0,
-  /* 4916 */ 'x', 'v', 'm', 'i', 'n', 's', 'p', 32, 0,
-  /* 4925 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'p', 32, 0,
-  /* 4935 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'p', 32, 0,
-  /* 4945 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 's', 'p', 32, 0,
-  /* 4956 */ 'f', 'r', 's', 'p', 32, 0,
-  /* 4962 */ 'x', 'v', 'n', 'a', 'b', 's', 's', 'p', 32, 0,
-  /* 4972 */ 'x', 'v', 'a', 'b', 's', 's', 'p', 32, 0,
-  /* 4981 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 's', 'p', 32, 0,
-  /* 4992 */ 'x', 'v', 't', 's', 'q', 'r', 't', 's', 'p', 32, 0,
-  /* 5003 */ 'x', 'v', 's', 'q', 'r', 't', 's', 'p', 32, 0,
-  /* 5013 */ 'x', 'v', 't', 'd', 'i', 'v', 's', 'p', 32, 0,
-  /* 5023 */ 'x', 'v', 'd', 'i', 'v', 's', 'p', 32, 0,
-  /* 5032 */ 'x', 'v', 'c', 'v', 's', 'x', 'w', 's', 'p', 32, 0,
-  /* 5043 */ 'x', 'v', 'c', 'v', 'u', 'x', 'w', 's', 'p', 32, 0,
-  /* 5054 */ 'x', 'v', 'm', 'a', 'x', 's', 'p', 32, 0,
-  /* 5063 */ 'e', 'v', 'c', 'm', 'p', 'e', 'q', 32, 0,
-  /* 5072 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'r', 32, 0,
-  /* 5085 */ 'm', 'b', 'a', 'r', 32, 0,
-  /* 5091 */ 'm', 'f', 'd', 'c', 'r', 32, 0,
-  /* 5098 */ 'r', 'l', 'd', 'c', 'r', 32, 0,
-  /* 5105 */ 'm', 't', 'd', 'c', 'r', 32, 0,
-  /* 5112 */ 'm', 'f', 'c', 'r', 32, 0,
-  /* 5118 */ 'r', 'l', 'd', 'i', 'c', 'r', 32, 0,
-  /* 5126 */ 'm', 'f', 'v', 's', 'c', 'r', 32, 0,
-  /* 5134 */ 'm', 't', 'v', 's', 'c', 'r', 32, 0,
-  /* 5142 */ 'b', 'c', 'l', 'r', 32, 0,
-  /* 5148 */ 'm', 'f', 'l', 'r', 32, 0,
-  /* 5154 */ 'm', 't', 'l', 'r', 32, 0,
-  /* 5160 */ 'f', 'm', 'r', 32, 0,
-  /* 5165 */ 'x', 'x', 'l', 'o', 'r', 32, 0,
-  /* 5172 */ 'x', 'x', 'l', 'n', 'o', 'r', 32, 0,
-  /* 5180 */ 'c', 'r', 'n', 'o', 'r', 32, 0,
-  /* 5187 */ 'e', 'v', 'n', 'o', 'r', 32, 0,
-  /* 5194 */ 'c', 'r', 'o', 'r', 32, 0,
-  /* 5200 */ 'e', 'v', 'o', 'r', 32, 0,
-  /* 5206 */ 'x', 'x', 'l', 'x', 'o', 'r', 32, 0,
-  /* 5214 */ 'c', 'r', 'x', 'o', 'r', 32, 0,
-  /* 5221 */ 'e', 'v', 'x', 'o', 'r', 32, 0,
-  /* 5228 */ 'm', 'f', 's', 'p', 'r', 32, 0,
-  /* 5235 */ 'm', 't', 's', 'p', 'r', 32, 0,
-  /* 5242 */ 'm', 'f', 's', 'r', 32, 0,
-  /* 5248 */ 'm', 'f', 'm', 's', 'r', 32, 0,
-  /* 5255 */ 'm', 't', 'm', 's', 'r', 32, 0,
-  /* 5262 */ 'm', 't', 's', 'r', 32, 0,
-  /* 5268 */ 'l', 'v', 's', 'r', 32, 0,
-  /* 5274 */ 'b', 'c', 'c', 't', 'r', 32, 0,
-  /* 5281 */ 'm', 'f', 'c', 't', 'r', 32, 0,
-  /* 5288 */ 'm', 't', 'c', 't', 'r', 32, 0,
-  /* 5295 */ 'f', 'a', 'b', 's', 32, 0,
-  /* 5301 */ 'f', 'n', 'a', 'b', 's', 32, 0,
-  /* 5308 */ 'e', 'v', 'a', 'b', 's', 32, 0,
-  /* 5315 */ 'v', 's', 'u', 'm', '4', 's', 'b', 's', 32, 0,
-  /* 5325 */ 'v', 's', 'u', 'b', 's', 'b', 's', 32, 0,
-  /* 5334 */ 'v', 'a', 'd', 'd', 's', 'b', 's', 32, 0,
-  /* 5343 */ 'v', 's', 'u', 'm', '4', 'u', 'b', 's', 32, 0,
-  /* 5353 */ 'v', 's', 'u', 'b', 'u', 'b', 's', 32, 0,
-  /* 5362 */ 'v', 'a', 'd', 'd', 'u', 'b', 's', 32, 0,
-  /* 5371 */ 'f', 's', 'u', 'b', 's', 32, 0,
-  /* 5378 */ 'f', 'm', 's', 'u', 'b', 's', 32, 0,
-  /* 5386 */ 'f', 'n', 'm', 's', 'u', 'b', 's', 32, 0,
-  /* 5395 */ 'f', 'a', 'd', 'd', 's', 32, 0,
-  /* 5402 */ 'f', 'm', 'a', 'd', 'd', 's', 32, 0,
-  /* 5410 */ 'f', 'n', 'm', 'a', 'd', 'd', 's', 32, 0,
-  /* 5419 */ 'f', 'c', 'f', 'i', 'd', 's', 32, 0,
-  /* 5427 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'x', 'd', 's', 32, 0,
-  /* 5439 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'x', 'd', 's', 32, 0,
-  /* 5451 */ 'x', 'v', 'c', 'v', 's', 'p', 's', 'x', 'd', 's', 32, 0,
-  /* 5463 */ 'x', 's', 'c', 'v', 'd', 'p', 'u', 'x', 'd', 's', 32, 0,
-  /* 5475 */ 'x', 'v', 'c', 'v', 'd', 'p', 'u', 'x', 'd', 's', 32, 0,
-  /* 5487 */ 'x', 'v', 'c', 'v', 's', 'p', 'u', 'x', 'd', 's', 32, 0,
-  /* 5499 */ 'f', 'r', 'e', 's', 32, 0,
-  /* 5505 */ 'f', 'r', 's', 'q', 'r', 't', 'e', 's', 32, 0,
-  /* 5515 */ 'm', 'f', 'f', 's', 32, 0,
-  /* 5521 */ 'l', 'f', 's', 32, 0,
-  /* 5526 */ 's', 't', 'f', 's', 32, 0,
-  /* 5532 */ 'v', 's', 'u', 'm', '4', 's', 'h', 's', 32, 0,
-  /* 5542 */ 'v', 's', 'u', 'b', 's', 'h', 's', 32, 0,
-  /* 5551 */ 'v', 'm', 'h', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
-  /* 5562 */ 'v', 'm', 'h', 'r', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
-  /* 5574 */ 'v', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
-  /* 5583 */ 'v', 'm', 's', 'u', 'm', 's', 'h', 's', 32, 0,
-  /* 5593 */ 'v', 's', 'u', 'b', 'u', 'h', 's', 32, 0,
-  /* 5602 */ 'v', 'a', 'd', 'd', 'u', 'h', 's', 32, 0,
-  /* 5611 */ 'v', 'm', 's', 'u', 'm', 'u', 'h', 's', 32, 0,
-  /* 5621 */ 's', 'u', 'b', 'i', 's', 32, 0,
-  /* 5628 */ 'a', 'd', 'd', 'i', 's', 32, 0,
-  /* 5635 */ 'l', 'i', 's', 32, 0,
-  /* 5640 */ 'x', 'o', 'r', 'i', 's', 32, 0,
-  /* 5647 */ 'e', 'v', 's', 'r', 'w', 'i', 's', 32, 0,
-  /* 5656 */ 'f', 'm', 'u', 'l', 's', 32, 0,
-  /* 5663 */ 'e', 'v', 'l', 'w', 'h', 'o', 's', 32, 0,
-  /* 5672 */ 'd', 's', 's', 32, 0,
-  /* 5677 */ 'v', 'p', 'k', 's', 'h', 's', 's', 32, 0,
-  /* 5686 */ 'v', 'p', 'k', 's', 'w', 's', 's', 32, 0,
-  /* 5695 */ 'e', 'v', 'c', 'm', 'p', 'g', 't', 's', 32, 0,
-  /* 5705 */ 'e', 'v', 'c', 'm', 'p', 'l', 't', 's', 32, 0,
-  /* 5715 */ 'f', 's', 'q', 'r', 't', 's', 32, 0,
-  /* 5723 */ 'f', 'c', 'f', 'i', 'd', 'u', 's', 32, 0,
-  /* 5732 */ 'v', 'p', 'k', 's', 'h', 'u', 's', 32, 0,
-  /* 5741 */ 'v', 'p', 'k', 'u', 'h', 'u', 's', 32, 0,
-  /* 5750 */ 'v', 'p', 'k', 's', 'w', 'u', 's', 32, 0,
-  /* 5759 */ 'v', 'p', 'k', 'u', 'w', 'u', 's', 32, 0,
-  /* 5768 */ 'f', 'd', 'i', 'v', 's', 32, 0,
-  /* 5775 */ 'e', 'v', 's', 'r', 'w', 's', 32, 0,
-  /* 5783 */ 'v', 's', 'u', 'm', '2', 's', 'w', 's', 32, 0,
-  /* 5793 */ 'v', 's', 'u', 'b', 's', 'w', 's', 32, 0,
-  /* 5802 */ 'v', 'a', 'd', 'd', 's', 'w', 's', 32, 0,
-  /* 5811 */ 'v', 's', 'u', 'm', 's', 'w', 's', 32, 0,
-  /* 5820 */ 'v', 's', 'u', 'b', 'u', 'w', 's', 32, 0,
-  /* 5829 */ 'v', 'a', 'd', 'd', 'u', 'w', 's', 32, 0,
-  /* 5838 */ 'e', 'v', 'd', 'i', 'v', 'w', 's', 32, 0,
-  /* 5847 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'x', 'w', 's', 32, 0,
-  /* 5859 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'x', 'w', 's', 32, 0,
-  /* 5871 */ 'x', 'v', 'c', 'v', 's', 'p', 's', 'x', 'w', 's', 32, 0,
-  /* 5883 */ 'x', 's', 'c', 'v', 'd', 'p', 'u', 'x', 'w', 's', 32, 0,
-  /* 5895 */ 'x', 'v', 'c', 'v', 'd', 'p', 'u', 'x', 'w', 's', 32, 0,
-  /* 5907 */ 'x', 'v', 'c', 'v', 's', 'p', 'u', 'x', 'w', 's', 32, 0,
-  /* 5919 */ 'v', 'c', 't', 's', 'x', 's', 32, 0,
-  /* 5927 */ 'v', 'c', 't', 'u', 'x', 's', 32, 0,
-  /* 5935 */ 'e', 'v', 'l', 'h', 'h', 'e', 's', 'p', 'l', 'a', 't', 32, 0,
-  /* 5948 */ 'e', 'v', 'l', 'w', 'h', 's', 'p', 'l', 'a', 't', 32, 0,
-  /* 5960 */ 'e', 'v', 'l', 'h', 'h', 'o', 's', 's', 'p', 'l', 'a', 't', 32, 0,
-  /* 5974 */ 'e', 'v', 'l', 'h', 'h', 'o', 'u', 's', 'p', 'l', 'a', 't', 32, 0,
-  /* 5988 */ 'e', 'v', 'l', 'w', 'w', 's', 'p', 'l', 'a', 't', 32, 0,
-  /* 6000 */ 'd', 'c', 'b', 't', 32, 0,
-  /* 6006 */ 'w', 'a', 'i', 't', 32, 0,
-  /* 6012 */ 'f', 's', 'q', 'r', 't', 32, 0,
-  /* 6019 */ 'd', 'c', 'b', 's', 't', 32, 0,
-  /* 6026 */ 'd', 's', 't', 32, 0,
-  /* 6031 */ 'd', 'c', 'b', 't', 's', 't', 32, 0,
-  /* 6039 */ 'd', 's', 't', 's', 't', 32, 0,
-  /* 6046 */ 'd', 's', 't', 't', 32, 0,
-  /* 6052 */ 'd', 's', 't', 's', 't', 't', 32, 0,
-  /* 6060 */ 'l', 'h', 'a', 'u', 32, 0,
-  /* 6066 */ 's', 't', 'b', 'u', 32, 0,
-  /* 6072 */ 'l', 'f', 'd', 'u', 32, 0,
-  /* 6078 */ 's', 't', 'f', 'd', 'u', 32, 0,
-  /* 6085 */ 'm', 'u', 'l', 'h', 'd', 'u', 32, 0,
-  /* 6093 */ 'f', 'c', 'f', 'i', 'd', 'u', 32, 0,
-  /* 6101 */ 'l', 'd', 'u', 32, 0,
-  /* 6106 */ 's', 't', 'd', 'u', 32, 0,
-  /* 6112 */ 'd', 'i', 'v', 'd', 'u', 32, 0,
-  /* 6119 */ 's', 't', 'h', 'u', 32, 0,
-  /* 6125 */ 'e', 'v', 's', 'r', 'w', 'i', 'u', 32, 0,
-  /* 6134 */ 'e', 'v', 'l', 'w', 'h', 'o', 'u', 32, 0,
-  /* 6143 */ 'f', 'c', 'm', 'p', 'u', 32, 0,
-  /* 6150 */ 'l', 'f', 's', 'u', 32, 0,
-  /* 6156 */ 's', 't', 'f', 's', 'u', 32, 0,
-  /* 6163 */ 'e', 'v', 'c', 'm', 'p', 'g', 't', 'u', 32, 0,
-  /* 6173 */ 'e', 'v', 'c', 'm', 'p', 'l', 't', 'u', 32, 0,
-  /* 6183 */ 'm', 'u', 'l', 'h', 'w', 'u', 32, 0,
-  /* 6191 */ 'e', 'v', 's', 'r', 'w', 'u', 32, 0,
-  /* 6199 */ 's', 't', 'w', 'u', 32, 0,
-  /* 6205 */ 'e', 'v', 'd', 'i', 'v', 'w', 'u', 32, 0,
-  /* 6214 */ 'l', 'b', 'z', 'u', 32, 0,
-  /* 6220 */ 'l', 'h', 'z', 'u', 32, 0,
-  /* 6226 */ 'l', 'w', 'z', 'u', 32, 0,
-  /* 6232 */ 'f', 'd', 'i', 'v', 32, 0,
-  /* 6238 */ 'c', 'r', 'e', 'q', 'v', 32, 0,
-  /* 6245 */ 'e', 'v', 'e', 'q', 'v', 32, 0,
-  /* 6252 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 'a', 'w', 32, 0,
-  /* 6265 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 'a', 'w', 32, 0,
-  /* 6278 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 'a', 'w', 32, 0,
-  /* 6291 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 'a', 'w', 32, 0,
-  /* 6304 */ 'e', 'v', 'a', 'd', 'd', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6317 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6330 */ 'e', 'v', 's', 'u', 'b', 'f', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6344 */ 'e', 'v', 'm', 'w', 'l', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6357 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6370 */ 'e', 'v', 'a', 'd', 'd', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6383 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6396 */ 'e', 'v', 's', 'u', 'b', 'f', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6410 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6423 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6436 */ 'e', 'v', 'a', 'd', 'd', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6449 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6462 */ 'e', 'v', 's', 'u', 'b', 'f', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6476 */ 'e', 'v', 'm', 'w', 'l', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6489 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6502 */ 'e', 'v', 'a', 'd', 'd', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6515 */ 'e', 'v', 'm', 'h', 'e', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6528 */ 'e', 'v', 's', 'u', 'b', 'f', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6542 */ 'e', 'v', 'm', 'w', 'l', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6555 */ 'e', 'v', 'm', 'h', 'o', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
-  /* 6568 */ 'v', 's', 'r', 'a', 'w', 32, 0,
-  /* 6575 */ 'e', 'v', 'a', 'd', 'd', 'w', 32, 0,
-  /* 6583 */ 'e', 'v', 'l', 'd', 'w', 32, 0,
-  /* 6590 */ 'e', 'v', 'r', 'n', 'd', 'w', 32, 0,
-  /* 6598 */ 'e', 'v', 's', 't', 'd', 'w', 32, 0,
-  /* 6606 */ 'e', 'v', 's', 'u', 'b', 'f', 'w', 32, 0,
-  /* 6615 */ 'e', 'v', 's', 'u', 'b', 'i', 'f', 'w', 32, 0,
-  /* 6625 */ 'v', 'm', 'r', 'g', 'h', 'w', 32, 0,
-  /* 6633 */ 'x', 'x', 'm', 'r', 'g', 'h', 'w', 32, 0,
-  /* 6642 */ 'm', 'u', 'l', 'h', 'w', 32, 0,
-  /* 6649 */ 'e', 'v', 'a', 'd', 'd', 'i', 'w', 32, 0,
-  /* 6658 */ 'f', 'c', 't', 'i', 'w', 32, 0,
-  /* 6665 */ 'v', 'm', 'r', 'g', 'l', 'w', 32, 0,
-  /* 6673 */ 'x', 'x', 'm', 'r', 'g', 'l', 'w', 32, 0,
-  /* 6682 */ 'm', 'u', 'l', 'l', 'w', 32, 0,
-  /* 6689 */ 'c', 'm', 'p', 'l', 'w', 32, 0,
-  /* 6696 */ 'e', 'v', 'r', 'l', 'w', 32, 0,
-  /* 6703 */ 'e', 'v', 's', 'l', 'w', 32, 0,
-  /* 6710 */ 'l', 'm', 'w', 32, 0,
-  /* 6715 */ 's', 't', 'm', 'w', 32, 0,
-  /* 6721 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 'n', 'w', 32, 0,
-  /* 6734 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 'n', 'w', 32, 0,
-  /* 6747 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 'n', 'w', 32, 0,
-  /* 6760 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 'n', 'w', 32, 0,
-  /* 6773 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6786 */ 'e', 'v', 'm', 'w', 'l', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6799 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6812 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6825 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6838 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6851 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6864 */ 'e', 'v', 'm', 'w', 'l', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6877 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6890 */ 'e', 'v', 'm', 'h', 'e', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6903 */ 'e', 'v', 'm', 'w', 'l', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6916 */ 'e', 'v', 'm', 'h', 'o', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
-  /* 6929 */ 'c', 'm', 'p', 'w', 32, 0,
-  /* 6935 */ 'v', 's', 'r', 'w', 32, 0,
-  /* 6941 */ 'v', 'a', 'v', 'g', 's', 'w', 32, 0,
-  /* 6949 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'w', 32, 0,
-  /* 6959 */ 'e', 'v', 'c', 'n', 't', 'l', 's', 'w', 32, 0,
-  /* 6969 */ 'v', 'm', 'i', 'n', 's', 'w', 32, 0,
-  /* 6977 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'w', 32, 0,
-  /* 6987 */ 'e', 'x', 't', 's', 'w', 32, 0,
-  /* 6994 */ 'v', 'm', 'a', 'x', 's', 'w', 32, 0,
-  /* 7002 */ 'v', 's', 'p', 'l', 't', 'w', 32, 0,
-  /* 7010 */ 'x', 'x', 's', 'p', 'l', 't', 'w', 32, 0,
-  /* 7019 */ 'p', 'o', 'p', 'c', 'n', 't', 'w', 32, 0,
-  /* 7028 */ 's', 't', 'w', 32, 0,
-  /* 7033 */ 'v', 's', 'u', 'b', 'c', 'u', 'w', 32, 0,
-  /* 7042 */ 'v', 'a', 'd', 'd', 'c', 'u', 'w', 32, 0,
-  /* 7051 */ 'v', 'a', 'v', 'g', 'u', 'w', 32, 0,
-  /* 7059 */ 'v', 'm', 'i', 'n', 'u', 'w', 32, 0,
-  /* 7067 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'w', 32, 0,
-  /* 7077 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'w', 32, 0,
-  /* 7087 */ 'v', 'm', 'a', 'x', 'u', 'w', 32, 0,
-  /* 7095 */ 'd', 'i', 'v', 'w', 32, 0,
-  /* 7101 */ 'e', 'v', 'c', 'n', 't', 'l', 'z', 'w', 32, 0,
-  /* 7111 */ 'l', 'x', 'v', 'd', '2', 'x', 32, 0,
-  /* 7119 */ 's', 't', 'x', 'v', 'd', '2', 'x', 32, 0,
-  /* 7128 */ 'l', 'x', 'v', 'w', '4', 'x', 32, 0,
-  /* 7136 */ 's', 't', 'x', 'v', 'w', '4', 'x', 32, 0,
-  /* 7145 */ 'l', 'h', 'a', 'x', 32, 0,
-  /* 7151 */ 't', 'l', 'b', 'i', 'v', 'a', 'x', 32, 0,
-  /* 7160 */ 'l', 'f', 'i', 'w', 'a', 'x', 32, 0,
-  /* 7168 */ 'l', 'w', 'a', 'x', 32, 0,
-  /* 7174 */ 'l', 'v', 'e', 'b', 'x', 32, 0,
-  /* 7181 */ 's', 't', 'v', 'e', 'b', 'x', 32, 0,
-  /* 7189 */ 's', 't', 'b', 'x', 32, 0,
-  /* 7195 */ 'e', 'v', 'l', 'd', 'd', 'x', 32, 0,
-  /* 7203 */ 'e', 'v', 's', 't', 'd', 'd', 'x', 32, 0,
-  /* 7212 */ 'l', 'f', 'd', 'x', 32, 0,
-  /* 7218 */ 's', 't', 'f', 'd', 'x', 32, 0,
-  /* 7225 */ 'l', 'd', 'x', 32, 0,
-  /* 7230 */ 'l', 'x', 's', 'd', 'x', 32, 0,
-  /* 7237 */ 's', 't', 'x', 's', 'd', 'x', 32, 0,
-  /* 7245 */ 's', 't', 'd', 'x', 32, 0,
-  /* 7251 */ 'e', 'v', 'l', 'w', 'h', 'e', 'x', 32, 0,
-  /* 7260 */ 'e', 'v', 's', 't', 'w', 'h', 'e', 'x', 32, 0,
-  /* 7270 */ 'e', 'v', 's', 't', 'w', 'w', 'e', 'x', 32, 0,
-  /* 7280 */ 'e', 'v', 'l', 'd', 'h', 'x', 32, 0,
-  /* 7288 */ 'e', 'v', 's', 't', 'd', 'h', 'x', 32, 0,
-  /* 7297 */ 'l', 'v', 'e', 'h', 'x', 32, 0,
-  /* 7304 */ 's', 't', 'v', 'e', 'h', 'x', 32, 0,
-  /* 7312 */ 's', 't', 'h', 'x', 32, 0,
-  /* 7318 */ 'e', 'v', 's', 't', 'w', 'h', 'o', 'x', 32, 0,
-  /* 7328 */ 'e', 'v', 's', 't', 'w', 'w', 'o', 'x', 32, 0,
-  /* 7338 */ 'v', 'u', 'p', 'k', 'h', 'p', 'x', 32, 0,
-  /* 7347 */ 'v', 'p', 'k', 'p', 'x', 32, 0,
-  /* 7354 */ 'v', 'u', 'p', 'k', 'l', 'p', 'x', 32, 0,
-  /* 7363 */ 'l', 'd', 'a', 'r', 'x', 32, 0,
-  /* 7370 */ 'l', 'w', 'a', 'r', 'x', 32, 0,
-  /* 7377 */ 'l', 'd', 'b', 'r', 'x', 32, 0,
-  /* 7384 */ 's', 't', 'd', 'b', 'r', 'x', 32, 0,
-  /* 7392 */ 'l', 'h', 'b', 'r', 'x', 32, 0,
-  /* 7399 */ 's', 't', 'h', 'b', 'r', 'x', 32, 0,
-  /* 7407 */ 'l', 'w', 'b', 'r', 'x', 32, 0,
-  /* 7414 */ 's', 't', 'w', 'b', 'r', 'x', 32, 0,
-  /* 7422 */ 't', 'l', 'b', 's', 'x', 32, 0,
-  /* 7429 */ 'l', 'x', 'v', 'd', 's', 'x', 32, 0,
-  /* 7437 */ 'v', 'c', 'f', 's', 'x', 32, 0,
-  /* 7444 */ 'l', 'f', 's', 'x', 32, 0,
-  /* 7450 */ 's', 't', 'f', 's', 'x', 32, 0,
-  /* 7457 */ 'e', 'v', 'l', 'w', 'h', 'o', 's', 'x', 32, 0,
-  /* 7467 */ 'e', 'v', 'l', 'h', 'h', 'e', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
-  /* 7481 */ 'e', 'v', 'l', 'w', 'h', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
-  /* 7494 */ 'e', 'v', 'l', 'h', 'h', 'o', 's', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
-  /* 7509 */ 'e', 'v', 'l', 'h', 'h', 'o', 'u', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
-  /* 7524 */ 'e', 'v', 'l', 'w', 'w', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
-  /* 7537 */ 'l', 'h', 'a', 'u', 'x', 32, 0,
-  /* 7544 */ 'l', 'w', 'a', 'u', 'x', 32, 0,
-  /* 7551 */ 's', 't', 'b', 'u', 'x', 32, 0,
-  /* 7558 */ 'l', 'f', 'd', 'u', 'x', 32, 0,
-  /* 7565 */ 's', 't', 'f', 'd', 'u', 'x', 32, 0,
-  /* 7573 */ 'l', 'd', 'u', 'x', 32, 0,
-  /* 7579 */ 's', 't', 'd', 'u', 'x', 32, 0,
-  /* 7586 */ 'v', 'c', 'f', 'u', 'x', 32, 0,
-  /* 7593 */ 's', 't', 'h', 'u', 'x', 32, 0,
-  /* 7600 */ 'e', 'v', 'l', 'w', 'h', 'o', 'u', 'x', 32, 0,
-  /* 7610 */ 'l', 'f', 's', 'u', 'x', 32, 0,
-  /* 7617 */ 's', 't', 'f', 's', 'u', 'x', 32, 0,
-  /* 7625 */ 's', 't', 'w', 'u', 'x', 32, 0,
-  /* 7632 */ 'l', 'b', 'z', 'u', 'x', 32, 0,
-  /* 7639 */ 'l', 'h', 'z', 'u', 'x', 32, 0,
-  /* 7646 */ 'l', 'w', 'z', 'u', 'x', 32, 0,
-  /* 7653 */ 'l', 'v', 'x', 32, 0,
-  /* 7658 */ 's', 't', 'v', 'x', 32, 0,
-  /* 7664 */ 'e', 'v', 'l', 'd', 'w', 'x', 32, 0,
-  /* 7672 */ 'e', 'v', 's', 't', 'd', 'w', 'x', 32, 0,
-  /* 7681 */ 'l', 'v', 'e', 'w', 'x', 32, 0,
-  /* 7688 */ 's', 't', 'v', 'e', 'w', 'x', 32, 0,
-  /* 7696 */ 's', 't', 'f', 'i', 'w', 'x', 32, 0,
-  /* 7704 */ 's', 't', 'w', 'x', 32, 0,
-  /* 7710 */ 'l', 'b', 'z', 'x', 32, 0,
-  /* 7716 */ 'l', 'h', 'z', 'x', 32, 0,
-  /* 7722 */ 'l', 'f', 'i', 'w', 'z', 'x', 32, 0,
-  /* 7730 */ 'l', 'w', 'z', 'x', 32, 0,
-  /* 7736 */ 'd', 'c', 'b', 'z', 32, 0,
-  /* 7742 */ 'l', 'b', 'z', 32, 0,
-  /* 7747 */ 'b', 'd', 'z', 32, 0,
-  /* 7752 */ 'f', 'c', 't', 'i', 'd', 'z', 32, 0,
-  /* 7760 */ 'l', 'h', 'z', 32, 0,
-  /* 7765 */ 'v', 'r', 'f', 'i', 'z', 32, 0,
-  /* 7772 */ 'x', 's', 'r', 'd', 'p', 'i', 'z', 32, 0,
-  /* 7781 */ 'x', 'v', 'r', 'd', 'p', 'i', 'z', 32, 0,
-  /* 7790 */ 'x', 'v', 'r', 's', 'p', 'i', 'z', 32, 0,
-  /* 7799 */ 'f', 'r', 'i', 'z', 32, 0,
-  /* 7805 */ 'b', 'd', 'n', 'z', 32, 0,
-  /* 7811 */ 'f', 'c', 't', 'i', 'd', 'u', 'z', 32, 0,
-  /* 7820 */ 'f', 'c', 't', 'i', 'w', 'u', 'z', 32, 0,
-  /* 7829 */ 'f', 'c', 't', 'i', 'w', 'z', 32, 0,
-  /* 7837 */ 'l', 'w', 'z', 32, 0,
-  /* 7842 */ 'b', 'd', 'z', 'l', 'r', 'l', '+', 0,
-  /* 7850 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', '+', 0,
-  /* 7859 */ 'b', 'd', 'z', 'l', 'r', '+', 0,
-  /* 7866 */ 'b', 'd', 'n', 'z', 'l', 'r', '+', 0,
-  /* 7874 */ 'b', 'd', 'z', 'l', 'r', 'l', '-', 0,
-  /* 7882 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', '-', 0,
-  /* 7891 */ 'b', 'd', 'z', 'l', 'r', '-', 0,
-  /* 7898 */ 'b', 'd', 'n', 'z', 'l', 'r', '-', 0,
-  /* 7906 */ 'o', 'r', 'i', 32, '1', ',', 32, '1', ',', 32, '0', 0,
-  /* 7918 */ 'o', 'r', 'i', 32, '2', ',', 32, '2', ',', 32, '0', 0,
-  /* 7930 */ '#', 'A', 'D', 'D', 'I', 'S', 'd', 't', 'p', 'r', 'e', 'l', 'H', 'A', '3', '2', 0,
-  /* 7947 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '3', '2', 0,
-  /* 7968 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '3', '2', 0,
-  /* 7989 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '3', '2', 0,
-  /* 8011 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '3', '2', 0,
-  /* 8032 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '3', '2', 0,
-  /* 8049 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '3', '2', 0,
-  /* 8070 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '3', '2', 0,
-  /* 8090 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', '3', '2', 0,
-  /* 8104 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', '3', '2', 0,
-  /* 8118 */ '#', 'L', 'D', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'L', '3', '2', 0,
-  /* 8133 */ '#', 'A', 'D', 'D', 'I', 'd', 't', 'p', 'r', 'e', 'l', 'L', '3', '2', 0,
-  /* 8148 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
-  /* 8167 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
-  /* 8185 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'l', 'd', 'A', 'D', 'D', 'R', '3', '2', 0,
-  /* 8201 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'A', 'D', 'D', 'R', '3', '2', 0,
-  /* 8215 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '6', '4', 0,
-  /* 8236 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '6', '4', 0,
-  /* 8257 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '6', '4', 0,
-  /* 8279 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '6', '4', 0,
-  /* 8296 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '6', '4', 0,
-  /* 8317 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '6', '4', 0,
-  /* 8338 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '6', '4', 0,
-  /* 8358 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
-  /* 8377 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
-  /* 8395 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'i', '6', '4', 0,
-  /* 8416 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'F', '4', 0,
-  /* 8430 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'F', '4', 0,
-  /* 8441 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'I', '4', 0,
-  /* 8455 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'I', '4', 0,
-  /* 8466 */ 'c', 'r', 'x', 'o', 'r', 32, '6', ',', 32, '6', ',', 32, '6', 0,
-  /* 8480 */ 'c', 'r', 'e', 'q', 'v', 32, '6', ',', 32, '6', ',', 32, '6', 0,
-  /* 8494 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '1', '6', 0,
-  /* 8515 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '1', '6', 0,
-  /* 8536 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '1', '6', 0,
-  /* 8558 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '1', '6', 0,
-  /* 8579 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '1', '6', 0,
-  /* 8596 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '1', '6', 0,
-  /* 8617 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '1', '6', 0,
-  /* 8637 */ '#', 'D', 'Y', 'N', 'A', 'L', 'L', 'O', 'C', '8', 0,
-  /* 8648 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'F', '8', 0,
-  /* 8662 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'F', '8', 0,
-  /* 8673 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '8', 0,
-  /* 8693 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'I', '8', 0,
-  /* 8707 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '8', 0,
-  /* 8727 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '8', 0,
-  /* 8748 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '8', 0,
-  /* 8768 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '8', 0,
-  /* 8788 */ 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '8', 0,
-  /* 8807 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '8', 0,
-  /* 8826 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'I', '8', 0,
-  /* 8837 */ '#', 'M', 'o', 'v', 'e', 'P', 'C', 't', 'o', 'L', 'R', '8', 0,
-  /* 8850 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'E', 'Q', '_', 'B', 'I', 'T', '8', 0,
-  /* 8867 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'G', 'T', '_', 'B', 'I', 'T', '8', 0,
-  /* 8884 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'i', '8', 0,
-  /* 8900 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'o', 'c', 'H', 'A', 0,
-  /* 8912 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'l', 's', 'g', 'd', 'H', 'A', 0,
-  /* 8926 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'l', 's', 'l', 'd', 'H', 'A', 0,
-  /* 8940 */ '#', 'A', 'D', 'D', 'I', 'S', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'H', 'A', 0,
-  /* 8957 */ '#', 'A', 'D', 'D', 'I', 'S', 'd', 't', 'p', 'r', 'e', 'l', 'H', 'A', 0,
-  /* 8972 */ '#', 'D', 'Y', 'N', 'A', 'L', 'L', 'O', 'C', 0,
-  /* 8982 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'V', 'R', 'R', 'C', 0,
-  /* 8998 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'V', 'R', 'R', 'C', 0,
-  /* 9011 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 9024 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 9031 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 9041 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'V', 'R', 'S', 'A', 'V', 'E', 0,
-  /* 9057 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'V', 'R', 'S', 'A', 'V', 'E', 0,
-  /* 9071 */ '#', 'L', 'D', 't', 'o', 'c', 'J', 'T', 'I', 0,
-  /* 9081 */ '#', 'L', 'D', 't', 'o', 'c', 'L', 0,
-  /* 9089 */ '#', 'A', 'D', 'D', 'I', 't', 'o', 'c', 'L', 0,
-  /* 9099 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', 0,
-  /* 9111 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', 0,
-  /* 9123 */ '#', 'L', 'D', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'L', 0,
-  /* 9136 */ '#', 'A', 'D', 'D', 'I', 'd', 't', 'p', 'r', 'e', 'l', 'L', 0,
-  /* 9149 */ '#', 'G', 'e', 't', 'G', 'B', 'R', 'O', 0,
-  /* 9158 */ '#', 'U', 'p', 'd', 'a', 't', 'e', 'G', 'B', 'R', 0,
-  /* 9169 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'C', 'R', 0,
-  /* 9181 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'C', 'R', 0,
-  /* 9191 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'l', 'd', 'A', 'D', 'D', 'R', 0,
-  /* 9205 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'A', 'D', 'D', 'R', 0,
-  /* 9217 */ '#', 'M', 'o', 'v', 'e', 'P', 'C', 't', 'o', 'L', 'R', 0,
-  /* 9229 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'C', 'R', 'B', 'I', 'T', 0,
-  /* 9244 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'C', 'R', 'B', 'I', 'T', 0,
-  /* 9257 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'E', 'Q', '_', 'B', 'I', 'T', 0,
-  /* 9273 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'G', 'T', '_', 'B', 'I', 'T', 0,
-  /* 9289 */ '#', 'P', 'P', 'C', '3', '2', 'G', 'O', 'T', 0,
-  /* 9299 */ '#', 'P', 'P', 'C', '3', '2', 'P', 'I', 'C', 'G', 'O', 'T', 0,
-  /* 9312 */ '#', 'L', 'D', 't', 'o', 'c', 'C', 'P', 'T', 0,
-  /* 9322 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 9337 */ 's', 'l', 'b', 'i', 'a', 0,
-  /* 9343 */ 't', 'l', 'b', 'i', 'a', 0,
-  /* 9349 */ 'b', 0,
-  /* 9351 */ 't', 'l', 'b', 's', 'y', 'n', 'c', 0,
-  /* 9359 */ 'i', 's', 'y', 'n', 'c', 0,
-  /* 9365 */ 'm', 's', 'y', 'n', 'c', 0,
-  /* 9371 */ '#', 'L', 'D', 't', 'o', 'c', 0,
-  /* 9378 */ '#', 'L', 'W', 'Z', 't', 'o', 'c', 0,
-  /* 9386 */ 'r', 'f', 'i', 'd', 0,
-  /* 9391 */ 't', 'l', 'b', 'r', 'e', 0,
-  /* 9397 */ 't', 'l', 'b', 'w', 'e', 0,
-  /* 9403 */ 'r', 'f', 'c', 'i', 0,
-  /* 9408 */ 'r', 'f', 'm', 'c', 'i', 0,
-  /* 9414 */ 'r', 'f', 'd', 'i', 0,
-  /* 9419 */ 'r', 'f', 'i', 0,
-  /* 9423 */ 'd', 's', 's', 'a', 'l', 'l', 0,
-  /* 9430 */ 'b', 'l', 'r', 'l', 0,
-  /* 9435 */ 'b', 'd', 'z', 'l', 'r', 'l', 0,
-  /* 9442 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', 0,
-  /* 9450 */ 'b', 'c', 't', 'r', 'l', 0,
-  /* 9456 */ 'e', 'i', 'e', 'i', 'o', 0,
-  /* 9462 */ 't', 'r', 'a', 'p', 0,
-  /* 9467 */ 'n', 'o', 'p', 0,
-  /* 9471 */ 'b', 'l', 'r', 0,
-  /* 9475 */ 'b', 'd', 'z', 'l', 'r', 0,
-  /* 9481 */ 'b', 'd', 'n', 'z', 'l', 'r', 0,
-  /* 9488 */ 'b', 'c', 't', 'r', 0,
+  /* 89 */ 'b', 'c', 't', 'r', 'l', 10, 9, 'l', 'd', 32, '2', ',', 32, 0,
+  /* 103 */ 'b', 'c', 32, '1', '2', ',', 32, 0,
+  /* 111 */ 'b', 'c', 'l', 32, '1', '2', ',', 32, 0,
+  /* 120 */ 'b', 'c', 'l', 'r', 'l', 32, '1', '2', ',', 32, 0,
+  /* 131 */ 'b', 'c', 'c', 't', 'r', 'l', 32, '1', '2', ',', 32, 0,
+  /* 143 */ 'b', 'c', 'l', 'r', 32, '1', '2', ',', 32, 0,
+  /* 153 */ 'b', 'c', 'c', 't', 'r', 32, '1', '2', ',', 32, 0,
+  /* 164 */ 'b', 'c', 32, '4', ',', 32, 0,
+  /* 171 */ 'b', 'c', 'l', 32, '4', ',', 32, 0,
+  /* 179 */ 'b', 'c', 'l', 'r', 'l', 32, '4', ',', 32, 0,
+  /* 189 */ 'b', 'c', 'c', 't', 'r', 'l', 32, '4', ',', 32, 0,
+  /* 200 */ 'b', 'c', 'l', 'r', 32, '4', ',', 32, 0,
+  /* 209 */ 'b', 'c', 'c', 't', 'r', 32, '4', ',', 32, 0,
+  /* 219 */ 'm', 't', 's', 'p', 'r', 32, '2', '5', '6', ',', 32, 0,
+  /* 231 */ 'b', 'd', 'z', 'l', 'a', '-', 32, 0,
+  /* 239 */ 'b', 'd', 'n', 'z', 'l', 'a', '-', 32, 0,
+  /* 248 */ 'b', 'd', 'z', 'a', '-', 32, 0,
+  /* 255 */ 'b', 'd', 'n', 'z', 'a', '-', 32, 0,
+  /* 263 */ 'b', 'd', 'z', 'l', '-', 32, 0,
+  /* 270 */ 'b', 'd', 'n', 'z', 'l', '-', 32, 0,
+  /* 278 */ 'b', 'd', 'z', '-', 32, 0,
+  /* 284 */ 'b', 'd', 'n', 'z', '-', 32, 0,
+  /* 291 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'b', '.', 32, 0,
+  /* 302 */ 'e', 'x', 't', 's', 'b', '.', 32, 0,
+  /* 310 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'b', '.', 32, 0,
+  /* 321 */ 'f', 's', 'u', 'b', '.', 32, 0,
+  /* 328 */ 'f', 'm', 's', 'u', 'b', '.', 32, 0,
+  /* 336 */ 'f', 'n', 'm', 's', 'u', 'b', '.', 32, 0,
+  /* 345 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'b', '.', 32, 0,
+  /* 356 */ 'a', 'd', 'd', 'c', '.', 32, 0,
+  /* 363 */ 'a', 'n', 'd', 'c', '.', 32, 0,
+  /* 370 */ 's', 'u', 'b', 'f', 'c', '.', 32, 0,
+  /* 378 */ 's', 'u', 'b', 'i', 'c', '.', 32, 0,
+  /* 386 */ 'a', 'd', 'd', 'i', 'c', '.', 32, 0,
+  /* 394 */ 'r', 'l', 'd', 'i', 'c', '.', 32, 0,
+  /* 402 */ 'o', 'r', 'c', '.', 32, 0,
+  /* 408 */ 's', 'r', 'a', 'd', '.', 32, 0,
+  /* 415 */ 'f', 'a', 'd', 'd', '.', 32, 0,
+  /* 422 */ 'f', 'm', 'a', 'd', 'd', '.', 32, 0,
+  /* 430 */ 'f', 'n', 'm', 'a', 'd', 'd', '.', 32, 0,
+  /* 439 */ 'm', 'u', 'l', 'h', 'd', '.', 32, 0,
+  /* 447 */ 'f', 'c', 'f', 'i', 'd', '.', 32, 0,
+  /* 455 */ 'f', 'c', 't', 'i', 'd', '.', 32, 0,
+  /* 463 */ 'm', 'u', 'l', 'l', 'd', '.', 32, 0,
+  /* 471 */ 's', 'l', 'd', '.', 32, 0,
+  /* 477 */ 'n', 'a', 'n', 'd', '.', 32, 0,
+  /* 484 */ 's', 'r', 'd', '.', 32, 0,
+  /* 490 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'd', '.', 32, 0,
+  /* 501 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'd', '.', 32, 0,
+  /* 512 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'd', '.', 32, 0,
+  /* 523 */ 'd', 'i', 'v', 'd', '.', 32, 0,
+  /* 530 */ 'c', 'n', 't', 'l', 'z', 'd', '.', 32, 0,
+  /* 539 */ 'a', 'd', 'd', 'e', '.', 32, 0,
+  /* 546 */ 's', 'u', 'b', 'f', 'e', '.', 32, 0,
+  /* 554 */ 'a', 'd', 'd', 'm', 'e', '.', 32, 0,
+  /* 562 */ 's', 'u', 'b', 'f', 'm', 'e', '.', 32, 0,
+  /* 571 */ 'f', 'r', 'e', '.', 32, 0,
+  /* 577 */ 'f', 'r', 's', 'q', 'r', 't', 'e', '.', 32, 0,
+  /* 587 */ 'a', 'd', 'd', 'z', 'e', '.', 32, 0,
+  /* 595 */ 's', 'u', 'b', 'f', 'z', 'e', '.', 32, 0,
+  /* 604 */ 's', 'u', 'b', 'f', '.', 32, 0,
+  /* 611 */ 'm', 't', 'f', 's', 'f', '.', 32, 0,
+  /* 619 */ 'f', 'n', 'e', 'g', '.', 32, 0,
+  /* 626 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'h', '.', 32, 0,
+  /* 637 */ 'e', 'x', 't', 's', 'h', '.', 32, 0,
+  /* 645 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'h', '.', 32, 0,
+  /* 656 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'h', '.', 32, 0,
+  /* 667 */ 's', 'r', 'a', 'd', 'i', '.', 32, 0,
+  /* 675 */ 'c', 'l', 'r', 'l', 's', 'l', 'd', 'i', '.', 32, 0,
+  /* 686 */ 'e', 'x', 't', 'l', 'd', 'i', '.', 32, 0,
+  /* 695 */ 'a', 'n', 'd', 'i', '.', 32, 0,
+  /* 702 */ 'c', 'l', 'r', 'r', 'd', 'i', '.', 32, 0,
+  /* 711 */ 'i', 'n', 's', 'r', 'd', 'i', '.', 32, 0,
+  /* 720 */ 'r', 'o', 't', 'r', 'd', 'i', '.', 32, 0,
+  /* 729 */ 'e', 'x', 't', 'r', 'd', 'i', '.', 32, 0,
+  /* 738 */ 'm', 't', 'f', 's', 'f', 'i', '.', 32, 0,
+  /* 747 */ 'r', 'l', 'd', 'i', 'm', 'i', '.', 32, 0,
+  /* 756 */ 'r', 'l', 'w', 'i', 'm', 'i', '.', 32, 0,
+  /* 765 */ 's', 'r', 'a', 'w', 'i', '.', 32, 0,
+  /* 773 */ 'c', 'l', 'r', 'l', 's', 'l', 'w', 'i', '.', 32, 0,
+  /* 784 */ 'i', 'n', 's', 'l', 'w', 'i', '.', 32, 0,
+  /* 793 */ 'e', 'x', 't', 'l', 'w', 'i', '.', 32, 0,
+  /* 802 */ 'c', 'l', 'r', 'r', 'w', 'i', '.', 32, 0,
+  /* 811 */ 'i', 'n', 's', 'r', 'w', 'i', '.', 32, 0,
+  /* 820 */ 'r', 'o', 't', 'r', 'w', 'i', '.', 32, 0,
+  /* 829 */ 'e', 'x', 't', 'r', 'w', 'i', '.', 32, 0,
+  /* 838 */ 'r', 'l', 'd', 'c', 'l', '.', 32, 0,
+  /* 846 */ 'r', 'l', 'd', 'i', 'c', 'l', '.', 32, 0,
+  /* 855 */ 'f', 's', 'e', 'l', '.', 32, 0,
+  /* 862 */ 'f', 'm', 'u', 'l', '.', 32, 0,
+  /* 869 */ 'f', 'r', 'i', 'm', '.', 32, 0,
+  /* 876 */ 'r', 'l', 'w', 'i', 'n', 'm', '.', 32, 0,
+  /* 885 */ 'r', 'l', 'w', 'n', 'm', '.', 32, 0,
+  /* 893 */ 'f', 'c', 'p', 's', 'g', 'n', '.', 32, 0,
+  /* 902 */ 'f', 'r', 'i', 'n', '.', 32, 0,
+  /* 909 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 'd', 'p', '.', 32, 0,
+  /* 921 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 'd', 'p', '.', 32, 0,
+  /* 933 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 'd', 'p', '.', 32, 0,
+  /* 945 */ 'v', 'c', 'm', 'p', 'b', 'f', 'p', '.', 32, 0,
+  /* 955 */ 'v', 'c', 'm', 'p', 'g', 'e', 'f', 'p', '.', 32, 0,
+  /* 966 */ 'v', 'c', 'm', 'p', 'e', 'q', 'f', 'p', '.', 32, 0,
+  /* 977 */ 'v', 'c', 'm', 'p', 'g', 't', 'f', 'p', '.', 32, 0,
+  /* 988 */ 'f', 'r', 'i', 'p', '.', 32, 0,
+  /* 995 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 's', 'p', '.', 32, 0,
+  /* 1007 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 's', 'p', '.', 32, 0,
+  /* 1019 */ 'f', 'r', 's', 'p', '.', 32, 0,
+  /* 1026 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 's', 'p', '.', 32, 0,
+  /* 1038 */ 'r', 'l', 'd', 'c', 'r', '.', 32, 0,
+  /* 1046 */ 'r', 'l', 'd', 'i', 'c', 'r', '.', 32, 0,
+  /* 1055 */ 'f', 'm', 'r', '.', 32, 0,
+  /* 1061 */ 'n', 'o', 'r', '.', 32, 0,
+  /* 1067 */ 'x', 'o', 'r', '.', 32, 0,
+  /* 1073 */ 'f', 'a', 'b', 's', '.', 32, 0,
+  /* 1080 */ 'f', 'n', 'a', 'b', 's', '.', 32, 0,
+  /* 1088 */ 'f', 's', 'u', 'b', 's', '.', 32, 0,
+  /* 1096 */ 'f', 'm', 's', 'u', 'b', 's', '.', 32, 0,
+  /* 1105 */ 'f', 'n', 'm', 's', 'u', 'b', 's', '.', 32, 0,
+  /* 1115 */ 'f', 'a', 'd', 'd', 's', '.', 32, 0,
+  /* 1123 */ 'f', 'm', 'a', 'd', 'd', 's', '.', 32, 0,
+  /* 1132 */ 'f', 'n', 'm', 'a', 'd', 'd', 's', '.', 32, 0,
+  /* 1142 */ 'f', 'c', 'f', 'i', 'd', 's', '.', 32, 0,
+  /* 1151 */ 'f', 'r', 'e', 's', '.', 32, 0,
+  /* 1158 */ 'f', 'r', 's', 'q', 'r', 't', 'e', 's', '.', 32, 0,
+  /* 1169 */ 'm', 'f', 'f', 's', '.', 32, 0,
+  /* 1176 */ 'a', 'n', 'd', 'i', 's', '.', 32, 0,
+  /* 1184 */ 'f', 'm', 'u', 'l', 's', '.', 32, 0,
+  /* 1192 */ 'f', 's', 'q', 'r', 't', 's', '.', 32, 0,
+  /* 1201 */ 'f', 'c', 'f', 'i', 'd', 'u', 's', '.', 32, 0,
+  /* 1211 */ 'f', 'd', 'i', 'v', 's', '.', 32, 0,
+  /* 1219 */ 'f', 's', 'q', 'r', 't', '.', 32, 0,
+  /* 1227 */ 'm', 'u', 'l', 'h', 'd', 'u', '.', 32, 0,
+  /* 1236 */ 'f', 'c', 'f', 'i', 'd', 'u', '.', 32, 0,
+  /* 1245 */ 'd', 'i', 'v', 'd', 'u', '.', 32, 0,
+  /* 1253 */ 'm', 'u', 'l', 'h', 'w', 'u', '.', 32, 0,
+  /* 1262 */ 'd', 'i', 'v', 'w', 'u', '.', 32, 0,
+  /* 1270 */ 'f', 'd', 'i', 'v', '.', 32, 0,
+  /* 1277 */ 'e', 'q', 'v', '.', 32, 0,
+  /* 1283 */ 's', 'r', 'a', 'w', '.', 32, 0,
+  /* 1290 */ 'm', 'u', 'l', 'h', 'w', '.', 32, 0,
+  /* 1298 */ 'f', 'c', 't', 'i', 'w', '.', 32, 0,
+  /* 1306 */ 'm', 'u', 'l', 'l', 'w', '.', 32, 0,
+  /* 1314 */ 's', 'l', 'w', '.', 32, 0,
+  /* 1320 */ 's', 'r', 'w', '.', 32, 0,
+  /* 1326 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'w', '.', 32, 0,
+  /* 1337 */ 'e', 'x', 't', 's', 'w', '.', 32, 0,
+  /* 1345 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'w', '.', 32, 0,
+  /* 1356 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'w', '.', 32, 0,
+  /* 1367 */ 'd', 'i', 'v', 'w', '.', 32, 0,
+  /* 1374 */ 'c', 'n', 't', 'l', 'z', 'w', '.', 32, 0,
+  /* 1383 */ 's', 't', 'd', 'c', 'x', '.', 32, 0,
+  /* 1391 */ 's', 't', 'w', 'c', 'x', '.', 32, 0,
+  /* 1399 */ 't', 'l', 'b', 's', 'x', '.', 32, 0,
+  /* 1407 */ 'f', 'c', 't', 'i', 'd', 'z', '.', 32, 0,
+  /* 1416 */ 'f', 'r', 'i', 'z', '.', 32, 0,
+  /* 1423 */ 'f', 'c', 't', 'i', 'd', 'u', 'z', '.', 32, 0,
+  /* 1433 */ 'f', 'c', 't', 'i', 'w', 'u', 'z', '.', 32, 0,
+  /* 1443 */ 'f', 'c', 't', 'i', 'w', 'z', '.', 32, 0,
+  /* 1452 */ 'm', 't', 'f', 's', 'b', '0', 32, 0,
+  /* 1460 */ 'm', 't', 'f', 's', 'b', '1', 32, 0,
+  /* 1468 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '3', '2', 32, 0,
+  /* 1490 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '1', '6', 32, 0,
+  /* 1512 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'a', '8', 32, 0,
+  /* 1526 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'd', '8', 32, 0,
+  /* 1540 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'r', '8', 32, 0,
+  /* 1554 */ 'U', 'P', 'D', 'A', 'T', 'E', '_', 'V', 'R', 'S', 'A', 'V', 'E', 32, 0,
+  /* 1569 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 32, 0,
+  /* 1588 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 32, 0,
+  /* 1605 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'a', 32, 0,
+  /* 1618 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'f', 'a', 'a', 32, 0,
+  /* 1631 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'f', 'a', 'a', 32, 0,
+  /* 1644 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 'a', 32, 0,
+  /* 1655 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 'a', 32, 0,
+  /* 1666 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1679 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1692 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1703 */ 'e', 'v', 'm', 'h', 'e', 'g', 'u', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1716 */ 'e', 'v', 'm', 'h', 'o', 'g', 'u', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1729 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 'a', 32, 0,
+  /* 1740 */ 'd', 'c', 'b', 'a', 32, 0,
+  /* 1746 */ 'b', 'c', 'a', 32, 0,
+  /* 1751 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 32, 0,
+  /* 1762 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'f', 'a', 32, 0,
+  /* 1773 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 32, 0,
+  /* 1784 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 32, 0,
+  /* 1794 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 32, 0,
+  /* 1805 */ 'e', 'v', 'm', 'w', 'h', 's', 's', 'f', 'a', 32, 0,
+  /* 1816 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 32, 0,
+  /* 1827 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 32, 0,
+  /* 1837 */ 'l', 'h', 'a', 32, 0,
+  /* 1842 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 32, 0,
+  /* 1853 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'i', 'a', 32, 0,
+  /* 1864 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 32, 0,
+  /* 1875 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 32, 0,
+  /* 1885 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 32, 0,
+  /* 1896 */ 'e', 'v', 'm', 'w', 'h', 'u', 'm', 'i', 'a', 32, 0,
+  /* 1907 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 32, 0,
+  /* 1918 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 32, 0,
+  /* 1929 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 32, 0,
+  /* 1939 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'x', 'i', 'a', 32, 0,
+  /* 1951 */ 'q', 'v', 's', 't', 'f', 'd', 'x', 'i', 'a', 32, 0,
+  /* 1962 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'x', 'i', 'a', 32, 0,
+  /* 1974 */ 'q', 'v', 's', 't', 'f', 's', 'x', 'i', 'a', 32, 0,
+  /* 1985 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'u', 'x', 'i', 'a', 32, 0,
+  /* 1998 */ 'q', 'v', 's', 't', 'f', 'd', 'u', 'x', 'i', 'a', 32, 0,
+  /* 2010 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'u', 'x', 'i', 'a', 32, 0,
+  /* 2023 */ 'q', 'v', 's', 't', 'f', 's', 'u', 'x', 'i', 'a', 32, 0,
+  /* 2035 */ 'b', 'l', 'a', 32, 0,
+  /* 2040 */ 'b', 'c', 'l', 'a', 32, 0,
+  /* 2046 */ 'b', 'd', 'z', 'l', 'a', 32, 0,
+  /* 2053 */ 'b', 'd', 'n', 'z', 'l', 'a', 32, 0,
+  /* 2061 */ 'e', 'v', 'm', 'r', 'a', 32, 0,
+  /* 2068 */ 'l', 'w', 'a', 32, 0,
+  /* 2073 */ 'q', 'v', 'l', 'f', 'i', 'w', 'a', 'x', 'a', 32, 0,
+  /* 2084 */ 'q', 'v', 'l', 'f', 'c', 'd', 'x', 'a', 32, 0,
+  /* 2094 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'x', 'a', 32, 0,
+  /* 2105 */ 'q', 'v', 'l', 'f', 'd', 'x', 'a', 32, 0,
+  /* 2114 */ 'q', 'v', 's', 't', 'f', 'd', 'x', 'a', 32, 0,
+  /* 2124 */ 'q', 'v', 'l', 'f', 'c', 's', 'x', 'a', 32, 0,
+  /* 2134 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'x', 'a', 32, 0,
+  /* 2145 */ 'q', 'v', 'l', 'f', 's', 'x', 'a', 32, 0,
+  /* 2154 */ 'q', 'v', 's', 't', 'f', 's', 'x', 'a', 32, 0,
+  /* 2164 */ 'q', 'v', 'l', 'f', 'c', 'd', 'u', 'x', 'a', 32, 0,
+  /* 2175 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'u', 'x', 'a', 32, 0,
+  /* 2187 */ 'q', 'v', 'l', 'f', 'd', 'u', 'x', 'a', 32, 0,
+  /* 2197 */ 'q', 'v', 's', 't', 'f', 'd', 'u', 'x', 'a', 32, 0,
+  /* 2208 */ 'q', 'v', 'l', 'f', 'c', 's', 'u', 'x', 'a', 32, 0,
+  /* 2219 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'u', 'x', 'a', 32, 0,
+  /* 2231 */ 'q', 'v', 'l', 'f', 's', 'u', 'x', 'a', 32, 0,
+  /* 2241 */ 'q', 'v', 's', 't', 'f', 's', 'u', 'x', 'a', 32, 0,
+  /* 2252 */ 'q', 'v', 's', 't', 'f', 'i', 'w', 'x', 'a', 32, 0,
+  /* 2263 */ 'q', 'v', 'l', 'f', 'i', 'w', 'z', 'x', 'a', 32, 0,
+  /* 2274 */ 'b', 'd', 'z', 'a', 32, 0,
+  /* 2280 */ 'b', 'd', 'n', 'z', 'a', 32, 0,
+  /* 2287 */ 'v', 's', 'r', 'a', 'b', 32, 0,
+  /* 2294 */ 'v', 'm', 'r', 'g', 'h', 'b', 32, 0,
+  /* 2302 */ 'v', 'm', 'r', 'g', 'l', 'b', 32, 0,
+  /* 2310 */ 'v', 'r', 'l', 'b', 32, 0,
+  /* 2316 */ 'v', 's', 'l', 'b', 32, 0,
+  /* 2322 */ 'c', 'm', 'p', 'b', 32, 0,
+  /* 2328 */ 'v', 's', 'r', 'b', 32, 0,
+  /* 2334 */ 'v', 'm', 'u', 'l', 'e', 's', 'b', 32, 0,
+  /* 2343 */ 'v', 'a', 'v', 'g', 's', 'b', 32, 0,
+  /* 2351 */ 'v', 'u', 'p', 'k', 'h', 's', 'b', 32, 0,
+  /* 2360 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'b', 32, 0,
+  /* 2370 */ 'v', 'u', 'p', 'k', 'l', 's', 'b', 32, 0,
+  /* 2379 */ 'v', 'm', 'i', 'n', 's', 'b', 32, 0,
+  /* 2387 */ 'v', 'm', 'u', 'l', 'o', 's', 'b', 32, 0,
+  /* 2396 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'b', 32, 0,
+  /* 2406 */ 'e', 'v', 'e', 'x', 't', 's', 'b', 32, 0,
+  /* 2415 */ 'v', 'm', 'a', 'x', 's', 'b', 32, 0,
+  /* 2423 */ 'm', 'f', 't', 'b', 32, 0,
+  /* 2429 */ 'v', 's', 'p', 'l', 't', 'b', 32, 0,
+  /* 2437 */ 'v', 'p', 'o', 'p', 'c', 'n', 't', 'b', 32, 0,
+  /* 2447 */ 's', 't', 'b', 32, 0,
+  /* 2452 */ 'v', 'm', 'u', 'l', 'e', 'u', 'b', 32, 0,
+  /* 2461 */ 'v', 'a', 'v', 'g', 'u', 'b', 32, 0,
+  /* 2469 */ 'v', 'm', 'i', 'n', 'u', 'b', 32, 0,
+  /* 2477 */ 'v', 'm', 'u', 'l', 'o', 'u', 'b', 32, 0,
+  /* 2486 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'b', 32, 0,
+  /* 2496 */ 'q', 'v', 'f', 's', 'u', 'b', 32, 0,
+  /* 2504 */ 'q', 'v', 'f', 'm', 's', 'u', 'b', 32, 0,
+  /* 2513 */ 'q', 'v', 'f', 'n', 'm', 's', 'u', 'b', 32, 0,
+  /* 2523 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'b', 32, 0,
+  /* 2533 */ 'v', 'm', 'a', 'x', 'u', 'b', 32, 0,
+  /* 2541 */ 'v', 'c', 'l', 'z', 'b', 32, 0,
+  /* 2548 */ 'b', 'c', 32, 0,
+  /* 2552 */ 'a', 'd', 'd', 'c', 32, 0,
+  /* 2558 */ 'x', 'x', 'l', 'a', 'n', 'd', 'c', 32, 0,
+  /* 2567 */ 'c', 'r', 'a', 'n', 'd', 'c', 32, 0,
+  /* 2575 */ 'e', 'v', 'a', 'n', 'd', 'c', 32, 0,
+  /* 2583 */ 's', 'u', 'b', 'f', 'c', 32, 0,
+  /* 2590 */ 's', 'u', 'b', 'i', 'c', 32, 0,
+  /* 2597 */ 'a', 'd', 'd', 'i', 'c', 32, 0,
+  /* 2604 */ 'r', 'l', 'd', 'i', 'c', 32, 0,
+  /* 2611 */ 's', 'u', 'b', 'f', 'i', 'c', 32, 0,
+  /* 2619 */ 'x', 's', 'r', 'd', 'p', 'i', 'c', 32, 0,
+  /* 2628 */ 'x', 'v', 'r', 'd', 'p', 'i', 'c', 32, 0,
+  /* 2637 */ 'x', 'v', 'r', 's', 'p', 'i', 'c', 32, 0,
+  /* 2646 */ 'b', 'r', 'i', 'n', 'c', 32, 0,
+  /* 2653 */ 's', 'y', 'n', 'c', 32, 0,
+  /* 2659 */ 'x', 'x', 'l', 'o', 'r', 'c', 32, 0,
+  /* 2667 */ 'c', 'r', 'o', 'r', 'c', 32, 0,
+  /* 2674 */ 'e', 'v', 'o', 'r', 'c', 32, 0,
+  /* 2681 */ 's', 'c', 32, 0,
+  /* 2685 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'd', 32, 0,
+  /* 2698 */ 'v', 's', 'r', 'a', 'd', 32, 0,
+  /* 2705 */ 'q', 'v', 'f', 'a', 'd', 'd', 32, 0,
+  /* 2713 */ 'q', 'v', 'f', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2722 */ 'q', 'v', 'f', 'n', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2732 */ 'q', 'v', 'f', 'x', 'x', 'c', 'p', 'n', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2746 */ 'q', 'v', 'f', 'x', 'x', 'n', 'p', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2759 */ 'q', 'v', 'f', 'x', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2769 */ 'q', 'v', 'f', 'x', 'x', 'm', 'a', 'd', 'd', 32, 0,
+  /* 2780 */ 'e', 'v', 'l', 'd', 'd', 32, 0,
+  /* 2787 */ 'e', 'v', 's', 't', 'd', 'd', 32, 0,
+  /* 2795 */ 'l', 'f', 'd', 32, 0,
+  /* 2800 */ 's', 't', 'f', 'd', 32, 0,
+  /* 2806 */ 'm', 'u', 'l', 'h', 'd', 32, 0,
+  /* 2813 */ 'q', 'v', 'f', 'c', 'f', 'i', 'd', 32, 0,
+  /* 2822 */ 'q', 'v', 'f', 'c', 't', 'i', 'd', 32, 0,
+  /* 2831 */ 't', 'l', 'b', 'l', 'd', 32, 0,
+  /* 2838 */ 'm', 'u', 'l', 'l', 'd', 32, 0,
+  /* 2845 */ 'c', 'm', 'p', 'l', 'd', 32, 0,
+  /* 2852 */ 'v', 'r', 'l', 'd', 32, 0,
+  /* 2858 */ 'v', 's', 'l', 'd', 32, 0,
+  /* 2864 */ 'x', 'x', 'l', 'a', 'n', 'd', 32, 0,
+  /* 2872 */ 'x', 'x', 'l', 'n', 'a', 'n', 'd', 32, 0,
+  /* 2881 */ 'c', 'r', 'n', 'a', 'n', 'd', 32, 0,
+  /* 2889 */ 'e', 'v', 'n', 'a', 'n', 'd', 32, 0,
+  /* 2897 */ 'c', 'r', 'a', 'n', 'd', 32, 0,
+  /* 2904 */ 'e', 'v', 'a', 'n', 'd', 32, 0,
+  /* 2911 */ 'c', 'm', 'p', 'd', 32, 0,
+  /* 2917 */ 'm', 't', 'm', 's', 'r', 'd', 32, 0,
+  /* 2925 */ 'v', 's', 'r', 'd', 32, 0,
+  /* 2931 */ 'v', 'm', 'i', 'n', 's', 'd', 32, 0,
+  /* 2939 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'd', 32, 0,
+  /* 2949 */ 'v', 'm', 'a', 'x', 's', 'd', 32, 0,
+  /* 2957 */ 'v', 'p', 'o', 'p', 'c', 'n', 't', 'd', 32, 0,
+  /* 2967 */ 's', 't', 'd', 32, 0,
+  /* 2972 */ 'v', 'm', 'i', 'n', 'u', 'd', 32, 0,
+  /* 2980 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'd', 32, 0,
+  /* 2990 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'd', 32, 0,
+  /* 3000 */ 'v', 'm', 'a', 'x', 'u', 'd', 32, 0,
+  /* 3008 */ 'd', 'i', 'v', 'd', 32, 0,
+  /* 3014 */ 'v', 'c', 'l', 'z', 'd', 32, 0,
+  /* 3021 */ 'c', 'n', 't', 'l', 'z', 'd', 32, 0,
+  /* 3029 */ 'a', 'd', 'd', 'e', 32, 0,
+  /* 3035 */ 's', 'l', 'b', 'm', 'f', 'e', 'e', 32, 0,
+  /* 3044 */ 'w', 'r', 't', 'e', 'e', 32, 0,
+  /* 3051 */ 's', 'u', 'b', 'f', 'e', 32, 0,
+  /* 3058 */ 'e', 'v', 'l', 'w', 'h', 'e', 32, 0,
+  /* 3066 */ 'e', 'v', 's', 't', 'w', 'h', 'e', 32, 0,
+  /* 3075 */ 's', 'l', 'b', 'i', 'e', 32, 0,
+  /* 3082 */ 't', 'l', 'b', 'i', 'e', 32, 0,
+  /* 3089 */ 'a', 'd', 'd', 'm', 'e', 32, 0,
+  /* 3096 */ 's', 'u', 'b', 'f', 'm', 'e', 32, 0,
+  /* 3104 */ 't', 'l', 'b', 'r', 'e', 32, 0,
+  /* 3111 */ 'q', 'v', 'f', 'r', 'e', 32, 0,
+  /* 3118 */ 's', 'l', 'b', 'm', 't', 'e', 32, 0,
+  /* 3126 */ 'q', 'v', 'f', 'r', 's', 'q', 'r', 't', 'e', 32, 0,
+  /* 3137 */ 't', 'l', 'b', 'w', 'e', 32, 0,
+  /* 3144 */ 'e', 'v', 's', 't', 'w', 'w', 'e', 32, 0,
+  /* 3153 */ 'a', 'd', 'd', 'z', 'e', 32, 0,
+  /* 3160 */ 's', 'u', 'b', 'f', 'z', 'e', 32, 0,
+  /* 3168 */ 'd', 'c', 'b', 'f', 32, 0,
+  /* 3174 */ 's', 'u', 'b', 'f', 32, 0,
+  /* 3180 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 32, 0,
+  /* 3190 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'f', 32, 0,
+  /* 3200 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 32, 0,
+  /* 3210 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 32, 0,
+  /* 3219 */ 'm', 'c', 'r', 'f', 32, 0,
+  /* 3225 */ 'm', 'f', 'o', 'c', 'r', 'f', 32, 0,
+  /* 3233 */ 'm', 't', 'o', 'c', 'r', 'f', 32, 0,
+  /* 3241 */ 'm', 't', 'c', 'r', 'f', 32, 0,
+  /* 3248 */ 'm', 't', 'f', 's', 'f', 32, 0,
+  /* 3255 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 32, 0,
+  /* 3265 */ 'e', 'v', 'm', 'w', 'h', 's', 's', 'f', 32, 0,
+  /* 3275 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 32, 0,
+  /* 3285 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 32, 0,
+  /* 3294 */ 'q', 'v', 'f', 'n', 'e', 'g', 32, 0,
+  /* 3302 */ 'e', 'v', 'n', 'e', 'g', 32, 0,
+  /* 3309 */ 'v', 's', 'r', 'a', 'h', 32, 0,
+  /* 3316 */ 'e', 'v', 'l', 'd', 'h', 32, 0,
+  /* 3323 */ 'e', 'v', 's', 't', 'd', 'h', 32, 0,
+  /* 3331 */ 'v', 'm', 'r', 'g', 'h', 'h', 32, 0,
+  /* 3339 */ 'v', 'm', 'r', 'g', 'l', 'h', 32, 0,
+  /* 3347 */ 'v', 'r', 'l', 'h', 32, 0,
+  /* 3353 */ 'v', 's', 'l', 'h', 32, 0,
+  /* 3359 */ 'v', 's', 'r', 'h', 32, 0,
+  /* 3365 */ 'v', 'm', 'u', 'l', 'e', 's', 'h', 32, 0,
+  /* 3374 */ 'v', 'a', 'v', 'g', 's', 'h', 32, 0,
+  /* 3382 */ 'v', 'u', 'p', 'k', 'h', 's', 'h', 32, 0,
+  /* 3391 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'h', 32, 0,
+  /* 3401 */ 'v', 'u', 'p', 'k', 'l', 's', 'h', 32, 0,
+  /* 3410 */ 'v', 'm', 'i', 'n', 's', 'h', 32, 0,
+  /* 3418 */ 'v', 'm', 'u', 'l', 'o', 's', 'h', 32, 0,
+  /* 3427 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'h', 32, 0,
+  /* 3437 */ 'e', 'v', 'e', 'x', 't', 's', 'h', 32, 0,
+  /* 3446 */ 'v', 'm', 'a', 'x', 's', 'h', 32, 0,
+  /* 3454 */ 'v', 's', 'p', 'l', 't', 'h', 32, 0,
+  /* 3462 */ 'v', 'p', 'o', 'p', 'c', 'n', 't', 'h', 32, 0,
+  /* 3472 */ 's', 't', 'h', 32, 0,
+  /* 3477 */ 'v', 'm', 'u', 'l', 'e', 'u', 'h', 32, 0,
+  /* 3486 */ 'v', 'a', 'v', 'g', 'u', 'h', 32, 0,
+  /* 3494 */ 'v', 'm', 'i', 'n', 'u', 'h', 32, 0,
+  /* 3502 */ 'v', 'm', 'u', 'l', 'o', 'u', 'h', 32, 0,
+  /* 3511 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'h', 32, 0,
+  /* 3521 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'h', 32, 0,
+  /* 3531 */ 'v', 'm', 'a', 'x', 'u', 'h', 32, 0,
+  /* 3539 */ 'v', 'c', 'l', 'z', 'h', 32, 0,
+  /* 3546 */ 'd', 'c', 'b', 'i', 32, 0,
+  /* 3552 */ 'i', 'c', 'b', 'i', 32, 0,
+  /* 3558 */ 's', 'u', 'b', 'i', 32, 0,
+  /* 3564 */ 'd', 'c', 'c', 'c', 'i', 32, 0,
+  /* 3571 */ 'i', 'c', 'c', 'c', 'i', 32, 0,
+  /* 3578 */ 'q', 'v', 'g', 'p', 'c', 'i', 32, 0,
+  /* 3586 */ 's', 'r', 'a', 'd', 'i', 32, 0,
+  /* 3593 */ 'a', 'd', 'd', 'i', 32, 0,
+  /* 3599 */ 'c', 'm', 'p', 'l', 'd', 'i', 32, 0,
+  /* 3607 */ 'c', 'l', 'r', 'l', 's', 'l', 'd', 'i', 32, 0,
+  /* 3617 */ 'e', 'x', 't', 'l', 'd', 'i', 32, 0,
+  /* 3625 */ 'x', 'x', 'p', 'e', 'r', 'm', 'd', 'i', 32, 0,
+  /* 3635 */ 'c', 'm', 'p', 'd', 'i', 32, 0,
+  /* 3642 */ 'c', 'l', 'r', 'r', 'd', 'i', 32, 0,
+  /* 3650 */ 'i', 'n', 's', 'r', 'd', 'i', 32, 0,
+  /* 3658 */ 'r', 'o', 't', 'r', 'd', 'i', 32, 0,
+  /* 3666 */ 'e', 'x', 't', 'r', 'd', 'i', 32, 0,
+  /* 3674 */ 't', 'd', 'i', 32, 0,
+  /* 3679 */ 'w', 'r', 't', 'e', 'e', 'i', 32, 0,
+  /* 3687 */ 'm', 't', 'f', 's', 'f', 'i', 32, 0,
+  /* 3695 */ 'e', 'v', 's', 'p', 'l', 'a', 't', 'f', 'i', 32, 0,
+  /* 3706 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'h', 'i', 32, 0,
+  /* 3717 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'l', 'o', 'h', 'i', 32, 0,
+  /* 3730 */ 't', 'l', 'b', 'l', 'i', 32, 0,
+  /* 3737 */ 'm', 'u', 'l', 'l', 'i', 32, 0,
+  /* 3744 */ 'r', 'l', 'd', 'i', 'm', 'i', 32, 0,
+  /* 3752 */ 'r', 'l', 'w', 'i', 'm', 'i', 32, 0,
+  /* 3760 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 32, 0,
+  /* 3770 */ 'e', 'v', 'm', 'w', 'h', 's', 'm', 'i', 32, 0,
+  /* 3780 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 32, 0,
+  /* 3790 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 32, 0,
+  /* 3799 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 32, 0,
+  /* 3809 */ 'e', 'v', 'm', 'w', 'h', 'u', 'm', 'i', 32, 0,
+  /* 3819 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 32, 0,
+  /* 3829 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 32, 0,
+  /* 3839 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 32, 0,
+  /* 3848 */ 'q', 'v', 'a', 'l', 'i', 'g', 'n', 'i', 32, 0,
+  /* 3858 */ 'v', 's', 'l', 'd', 'o', 'i', 32, 0,
+  /* 3866 */ 'x', 's', 'r', 'd', 'p', 'i', 32, 0,
+  /* 3874 */ 'x', 'v', 'r', 'd', 'p', 'i', 32, 0,
+  /* 3882 */ 'x', 'v', 'r', 's', 'p', 'i', 32, 0,
+  /* 3890 */ 'x', 'o', 'r', 'i', 32, 0,
+  /* 3896 */ 'q', 'v', 'e', 's', 'p', 'l', 'a', 't', 'i', 32, 0,
+  /* 3907 */ 'e', 'v', 's', 'p', 'l', 'a', 't', 'i', 32, 0,
+  /* 3917 */ 's', 'r', 'a', 'w', 'i', 32, 0,
+  /* 3924 */ 'x', 'x', 's', 'l', 'd', 'w', 'i', 32, 0,
+  /* 3933 */ 'c', 'm', 'p', 'l', 'w', 'i', 32, 0,
+  /* 3941 */ 'e', 'v', 'r', 'l', 'w', 'i', 32, 0,
+  /* 3949 */ 'c', 'l', 'r', 'l', 's', 'l', 'w', 'i', 32, 0,
+  /* 3959 */ 'i', 'n', 's', 'l', 'w', 'i', 32, 0,
+  /* 3967 */ 'e', 'v', 's', 'l', 'w', 'i', 32, 0,
+  /* 3975 */ 'e', 'x', 't', 'l', 'w', 'i', 32, 0,
+  /* 3983 */ 'c', 'm', 'p', 'w', 'i', 32, 0,
+  /* 3990 */ 'c', 'l', 'r', 'r', 'w', 'i', 32, 0,
+  /* 3998 */ 'i', 'n', 's', 'r', 'w', 'i', 32, 0,
+  /* 4006 */ 'r', 'o', 't', 'r', 'w', 'i', 32, 0,
+  /* 4014 */ 'e', 'x', 't', 'r', 'w', 'i', 32, 0,
+  /* 4022 */ 'l', 's', 'w', 'i', 32, 0,
+  /* 4028 */ 's', 't', 's', 'w', 'i', 32, 0,
+  /* 4035 */ 't', 'w', 'i', 32, 0,
+  /* 4040 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'x', 'i', 32, 0,
+  /* 4051 */ 'q', 'v', 's', 't', 'f', 'd', 'x', 'i', 32, 0,
+  /* 4061 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'x', 'i', 32, 0,
+  /* 4072 */ 'q', 'v', 's', 't', 'f', 's', 'x', 'i', 32, 0,
+  /* 4082 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'u', 'x', 'i', 32, 0,
+  /* 4094 */ 'q', 'v', 's', 't', 'f', 'd', 'u', 'x', 'i', 32, 0,
+  /* 4105 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'u', 'x', 'i', 32, 0,
+  /* 4117 */ 'q', 'v', 's', 't', 'f', 's', 'u', 'x', 'i', 32, 0,
+  /* 4128 */ 'q', 'v', 'f', 'l', 'o', 'g', 'i', 'c', 'a', 'l', 32, 0,
+  /* 4140 */ 'b', 'l', 32, 0,
+  /* 4144 */ 'b', 'c', 'l', 32, 0,
+  /* 4149 */ 'r', 'l', 'd', 'c', 'l', 32, 0,
+  /* 4156 */ 'r', 'l', 'd', 'i', 'c', 'l', 32, 0,
+  /* 4164 */ 't', 'l', 'b', 'i', 'e', 'l', 32, 0,
+  /* 4172 */ 'q', 'v', 'f', 's', 'e', 'l', 32, 0,
+  /* 4180 */ 'i', 's', 'e', 'l', 32, 0,
+  /* 4186 */ 'v', 's', 'e', 'l', 32, 0,
+  /* 4192 */ 'x', 'x', 's', 'e', 'l', 32, 0,
+  /* 4199 */ 'b', 'c', 'l', 'r', 'l', 32, 0,
+  /* 4206 */ 'b', 'c', 'c', 't', 'r', 'l', 32, 0,
+  /* 4214 */ 'l', 'v', 's', 'l', 32, 0,
+  /* 4220 */ 'q', 'v', 'f', 'm', 'u', 'l', 32, 0,
+  /* 4228 */ 'q', 'v', 'f', 'x', 'm', 'u', 'l', 32, 0,
+  /* 4237 */ 'l', 'v', 'x', 'l', 32, 0,
+  /* 4243 */ 's', 't', 'v', 'x', 'l', 32, 0,
+  /* 4250 */ 'd', 'c', 'b', 'z', 'l', 32, 0,
+  /* 4257 */ 'b', 'd', 'z', 'l', 32, 0,
+  /* 4263 */ 'b', 'd', 'n', 'z', 'l', 32, 0,
+  /* 4270 */ 'v', 'm', 's', 'u', 'm', 'm', 'b', 'm', 32, 0,
+  /* 4280 */ 'v', 's', 'u', 'b', 'u', 'b', 'm', 32, 0,
+  /* 4289 */ 'v', 'a', 'd', 'd', 'u', 'b', 'm', 32, 0,
+  /* 4298 */ 'v', 'm', 's', 'u', 'm', 'u', 'b', 'm', 32, 0,
+  /* 4308 */ 'v', 's', 'u', 'b', 'u', 'd', 'm', 32, 0,
+  /* 4317 */ 'v', 'a', 'd', 'd', 'u', 'd', 'm', 32, 0,
+  /* 4326 */ 'v', 'm', 's', 'u', 'm', 's', 'h', 'm', 32, 0,
+  /* 4336 */ 'v', 's', 'u', 'b', 'u', 'h', 'm', 32, 0,
+  /* 4345 */ 'v', 'm', 'l', 'a', 'd', 'd', 'u', 'h', 'm', 32, 0,
+  /* 4356 */ 'v', 'a', 'd', 'd', 'u', 'h', 'm', 32, 0,
+  /* 4365 */ 'v', 'm', 's', 'u', 'm', 'u', 'h', 'm', 32, 0,
+  /* 4375 */ 'v', 'r', 'f', 'i', 'm', 32, 0,
+  /* 4382 */ 'x', 's', 'r', 'd', 'p', 'i', 'm', 32, 0,
+  /* 4391 */ 'x', 'v', 'r', 'd', 'p', 'i', 'm', 32, 0,
+  /* 4400 */ 'x', 'v', 'r', 's', 'p', 'i', 'm', 32, 0,
+  /* 4409 */ 'q', 'v', 'f', 'r', 'i', 'm', 32, 0,
+  /* 4417 */ 'r', 'l', 'w', 'i', 'n', 'm', 32, 0,
+  /* 4425 */ 'r', 'l', 'w', 'n', 'm', 32, 0,
+  /* 4432 */ 'q', 'v', 'f', 'p', 'e', 'r', 'm', 32, 0,
+  /* 4441 */ 'v', 'p', 'e', 'r', 'm', 32, 0,
+  /* 4448 */ 'v', 'p', 'k', 'u', 'h', 'u', 'm', 32, 0,
+  /* 4457 */ 'v', 'p', 'k', 'u', 'w', 'u', 'm', 32, 0,
+  /* 4466 */ 'v', 's', 'u', 'b', 'u', 'w', 'm', 32, 0,
+  /* 4475 */ 'v', 'a', 'd', 'd', 'u', 'w', 'm', 32, 0,
+  /* 4484 */ 'v', 'm', 'u', 'l', 'u', 'w', 'm', 32, 0,
+  /* 4493 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'f', 'a', 'n', 32, 0,
+  /* 4506 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'f', 'a', 'n', 32, 0,
+  /* 4519 */ 'e', 'v', 'm', 'w', 's', 'm', 'f', 'a', 'n', 32, 0,
+  /* 4530 */ 'e', 'v', 'm', 'w', 's', 's', 'f', 'a', 'n', 32, 0,
+  /* 4541 */ 'e', 'v', 'm', 'h', 'e', 'g', 's', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4554 */ 'e', 'v', 'm', 'h', 'o', 'g', 's', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4567 */ 'e', 'v', 'm', 'w', 's', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4578 */ 'e', 'v', 'm', 'h', 'e', 'g', 'u', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4591 */ 'e', 'v', 'm', 'h', 'o', 'g', 'u', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4604 */ 'e', 'v', 'm', 'w', 'u', 'm', 'i', 'a', 'n', 32, 0,
+  /* 4615 */ 'q', 'v', 'f', 't', 's', 't', 'n', 'a', 'n', 32, 0,
+  /* 4626 */ 'q', 'v', 'f', 'c', 'p', 's', 'g', 'n', 32, 0,
+  /* 4636 */ 'v', 'r', 'f', 'i', 'n', 32, 0,
+  /* 4643 */ 'q', 'v', 'f', 'r', 'i', 'n', 32, 0,
+  /* 4651 */ 'm', 'f', 's', 'r', 'i', 'n', 32, 0,
+  /* 4659 */ 'm', 't', 's', 'r', 'i', 'n', 32, 0,
+  /* 4667 */ 'e', 'v', 's', 't', 'w', 'h', 'o', 32, 0,
+  /* 4676 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'l', 'o', 32, 0,
+  /* 4687 */ 'e', 'v', 'm', 'e', 'r', 'g', 'e', 'h', 'i', 'l', 'o', 32, 0,
+  /* 4700 */ 'v', 's', 'l', 'o', 32, 0,
+  /* 4706 */ 'v', 's', 'r', 'o', 32, 0,
+  /* 4712 */ 'e', 'v', 's', 't', 'w', 'w', 'o', 32, 0,
+  /* 4721 */ 'x', 's', 'n', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
+  /* 4733 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
+  /* 4745 */ 'x', 's', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
+  /* 4756 */ 'x', 'v', 'm', 's', 'u', 'b', 'a', 'd', 'p', 32, 0,
+  /* 4767 */ 'x', 's', 'n', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
+  /* 4779 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
+  /* 4791 */ 'x', 's', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
+  /* 4802 */ 'x', 'v', 'm', 'a', 'd', 'd', 'a', 'd', 'p', 32, 0,
+  /* 4813 */ 'x', 's', 's', 'u', 'b', 'd', 'p', 32, 0,
+  /* 4822 */ 'x', 'v', 's', 'u', 'b', 'd', 'p', 32, 0,
+  /* 4831 */ 'x', 's', 'a', 'd', 'd', 'd', 'p', 32, 0,
+  /* 4840 */ 'x', 'v', 'a', 'd', 'd', 'd', 'p', 32, 0,
+  /* 4849 */ 'x', 's', 'c', 'v', 's', 'x', 'd', 'd', 'p', 32, 0,
+  /* 4860 */ 'x', 'v', 'c', 'v', 's', 'x', 'd', 'd', 'p', 32, 0,
+  /* 4871 */ 'x', 's', 'c', 'v', 'u', 'x', 'd', 'd', 'p', 32, 0,
+  /* 4882 */ 'x', 'v', 'c', 'v', 'u', 'x', 'd', 'd', 'p', 32, 0,
+  /* 4893 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 'd', 'p', 32, 0,
+  /* 4904 */ 'x', 's', 'r', 'e', 'd', 'p', 32, 0,
+  /* 4912 */ 'x', 'v', 'r', 'e', 'd', 'p', 32, 0,
+  /* 4920 */ 'x', 's', 'r', 's', 'q', 'r', 't', 'e', 'd', 'p', 32, 0,
+  /* 4932 */ 'x', 'v', 'r', 's', 'q', 'r', 't', 'e', 'd', 'p', 32, 0,
+  /* 4944 */ 'x', 's', 'n', 'e', 'g', 'd', 'p', 32, 0,
+  /* 4953 */ 'x', 'v', 'n', 'e', 'g', 'd', 'p', 32, 0,
+  /* 4962 */ 'x', 's', 'm', 'u', 'l', 'd', 'p', 32, 0,
+  /* 4971 */ 'x', 'v', 'm', 'u', 'l', 'd', 'p', 32, 0,
+  /* 4980 */ 'x', 's', 'n', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
+  /* 4992 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
+  /* 5004 */ 'x', 's', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
+  /* 5015 */ 'x', 'v', 'm', 's', 'u', 'b', 'm', 'd', 'p', 32, 0,
+  /* 5026 */ 'x', 's', 'n', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
+  /* 5038 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
+  /* 5050 */ 'x', 's', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
+  /* 5061 */ 'x', 'v', 'm', 'a', 'd', 'd', 'm', 'd', 'p', 32, 0,
+  /* 5072 */ 'x', 's', 'c', 'p', 's', 'g', 'n', 'd', 'p', 32, 0,
+  /* 5083 */ 'x', 'v', 'c', 'p', 's', 'g', 'n', 'd', 'p', 32, 0,
+  /* 5094 */ 'x', 's', 'm', 'i', 'n', 'd', 'p', 32, 0,
+  /* 5103 */ 'x', 'v', 'm', 'i', 'n', 'd', 'p', 32, 0,
+  /* 5112 */ 'x', 's', 'c', 'm', 'p', 'o', 'd', 'p', 32, 0,
+  /* 5122 */ 'x', 's', 'c', 'v', 's', 'p', 'd', 'p', 32, 0,
+  /* 5132 */ 'x', 'v', 'c', 'v', 's', 'p', 'd', 'p', 32, 0,
+  /* 5142 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 'd', 'p', 32, 0,
+  /* 5153 */ 'x', 's', 'n', 'a', 'b', 's', 'd', 'p', 32, 0,
+  /* 5163 */ 'x', 'v', 'n', 'a', 'b', 's', 'd', 'p', 32, 0,
+  /* 5173 */ 'x', 's', 'a', 'b', 's', 'd', 'p', 32, 0,
+  /* 5182 */ 'x', 'v', 'a', 'b', 's', 'd', 'p', 32, 0,
+  /* 5191 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 'd', 'p', 32, 0,
+  /* 5202 */ 'x', 's', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
+  /* 5212 */ 'x', 's', 't', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
+  /* 5223 */ 'x', 'v', 't', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
+  /* 5234 */ 'x', 'v', 's', 'q', 'r', 't', 'd', 'p', 32, 0,
+  /* 5244 */ 'x', 's', 'c', 'm', 'p', 'u', 'd', 'p', 32, 0,
+  /* 5254 */ 'x', 's', 'd', 'i', 'v', 'd', 'p', 32, 0,
+  /* 5263 */ 'x', 's', 't', 'd', 'i', 'v', 'd', 'p', 32, 0,
+  /* 5273 */ 'x', 'v', 't', 'd', 'i', 'v', 'd', 'p', 32, 0,
+  /* 5283 */ 'x', 'v', 'd', 'i', 'v', 'd', 'p', 32, 0,
+  /* 5292 */ 'x', 'v', 'c', 'v', 's', 'x', 'w', 'd', 'p', 32, 0,
+  /* 5303 */ 'x', 'v', 'c', 'v', 'u', 'x', 'w', 'd', 'p', 32, 0,
+  /* 5314 */ 'x', 's', 'm', 'a', 'x', 'd', 'p', 32, 0,
+  /* 5323 */ 'x', 'v', 'm', 'a', 'x', 'd', 'p', 32, 0,
+  /* 5332 */ 'v', 'c', 'm', 'p', 'b', 'f', 'p', 32, 0,
+  /* 5341 */ 'v', 'n', 'm', 's', 'u', 'b', 'f', 'p', 32, 0,
+  /* 5351 */ 'v', 's', 'u', 'b', 'f', 'p', 32, 0,
+  /* 5359 */ 'v', 'm', 'a', 'd', 'd', 'f', 'p', 32, 0,
+  /* 5368 */ 'v', 'a', 'd', 'd', 'f', 'p', 32, 0,
+  /* 5376 */ 'v', 'l', 'o', 'g', 'e', 'f', 'p', 32, 0,
+  /* 5385 */ 'v', 'c', 'm', 'p', 'g', 'e', 'f', 'p', 32, 0,
+  /* 5395 */ 'v', 'r', 'e', 'f', 'p', 32, 0,
+  /* 5402 */ 'v', 'e', 'x', 'p', 't', 'e', 'f', 'p', 32, 0,
+  /* 5412 */ 'v', 'r', 's', 'q', 'r', 't', 'e', 'f', 'p', 32, 0,
+  /* 5423 */ 'v', 'm', 'i', 'n', 'f', 'p', 32, 0,
+  /* 5431 */ 'v', 'c', 'm', 'p', 'e', 'q', 'f', 'p', 32, 0,
+  /* 5441 */ 'v', 'c', 'm', 'p', 'g', 't', 'f', 'p', 32, 0,
+  /* 5451 */ 'v', 'm', 'a', 'x', 'f', 'p', 32, 0,
+  /* 5459 */ 'v', 'r', 'f', 'i', 'p', 32, 0,
+  /* 5466 */ 'x', 's', 'r', 'd', 'p', 'i', 'p', 32, 0,
+  /* 5475 */ 'x', 'v', 'r', 'd', 'p', 'i', 'p', 32, 0,
+  /* 5484 */ 'x', 'v', 'r', 's', 'p', 'i', 'p', 32, 0,
+  /* 5493 */ 'q', 'v', 'f', 'r', 'i', 'p', 32, 0,
+  /* 5501 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'a', 's', 'p', 32, 0,
+  /* 5513 */ 'x', 'v', 'm', 's', 'u', 'b', 'a', 's', 'p', 32, 0,
+  /* 5524 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'a', 's', 'p', 32, 0,
+  /* 5536 */ 'x', 'v', 'm', 'a', 'd', 'd', 'a', 's', 'p', 32, 0,
+  /* 5547 */ 'x', 'v', 's', 'u', 'b', 's', 'p', 32, 0,
+  /* 5556 */ 'x', 'v', 'a', 'd', 'd', 's', 'p', 32, 0,
+  /* 5565 */ 'x', 'v', 'c', 'v', 's', 'x', 'd', 's', 'p', 32, 0,
+  /* 5576 */ 'x', 'v', 'c', 'v', 'u', 'x', 'd', 's', 'p', 32, 0,
+  /* 5587 */ 'x', 'v', 'c', 'm', 'p', 'g', 'e', 's', 'p', 32, 0,
+  /* 5598 */ 'x', 'v', 'r', 'e', 's', 'p', 32, 0,
+  /* 5606 */ 'x', 'v', 'r', 's', 'q', 'r', 't', 'e', 's', 'p', 32, 0,
+  /* 5618 */ 'x', 'v', 'n', 'e', 'g', 's', 'p', 32, 0,
+  /* 5627 */ 'x', 'v', 'm', 'u', 'l', 's', 'p', 32, 0,
+  /* 5636 */ 'x', 'v', 'n', 'm', 's', 'u', 'b', 'm', 's', 'p', 32, 0,
+  /* 5648 */ 'x', 'v', 'm', 's', 'u', 'b', 'm', 's', 'p', 32, 0,
+  /* 5659 */ 'x', 'v', 'n', 'm', 'a', 'd', 'd', 'm', 's', 'p', 32, 0,
+  /* 5671 */ 'x', 'v', 'm', 'a', 'd', 'd', 'm', 's', 'p', 32, 0,
+  /* 5682 */ 'x', 'v', 'c', 'p', 's', 'g', 'n', 's', 'p', 32, 0,
+  /* 5693 */ 'x', 'v', 'm', 'i', 'n', 's', 'p', 32, 0,
+  /* 5702 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'p', 32, 0,
+  /* 5712 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'p', 32, 0,
+  /* 5722 */ 'x', 'v', 'c', 'm', 'p', 'e', 'q', 's', 'p', 32, 0,
+  /* 5733 */ 'q', 'v', 'f', 'r', 's', 'p', 32, 0,
+  /* 5741 */ 'x', 'v', 'n', 'a', 'b', 's', 's', 'p', 32, 0,
+  /* 5751 */ 'x', 'v', 'a', 'b', 's', 's', 'p', 32, 0,
+  /* 5760 */ 'x', 'v', 'c', 'm', 'p', 'g', 't', 's', 'p', 32, 0,
+  /* 5771 */ 'x', 'v', 't', 's', 'q', 'r', 't', 's', 'p', 32, 0,
+  /* 5782 */ 'x', 'v', 's', 'q', 'r', 't', 's', 'p', 32, 0,
+  /* 5792 */ 'x', 'v', 't', 'd', 'i', 'v', 's', 'p', 32, 0,
+  /* 5802 */ 'x', 'v', 'd', 'i', 'v', 's', 'p', 32, 0,
+  /* 5811 */ 'x', 'v', 'c', 'v', 's', 'x', 'w', 's', 'p', 32, 0,
+  /* 5822 */ 'x', 'v', 'c', 'v', 'u', 'x', 'w', 's', 'p', 32, 0,
+  /* 5833 */ 'x', 'v', 'm', 'a', 'x', 's', 'p', 32, 0,
+  /* 5842 */ 'q', 'v', 'f', 'c', 'm', 'p', 'e', 'q', 32, 0,
+  /* 5852 */ 'e', 'v', 'c', 'm', 'p', 'e', 'q', 32, 0,
+  /* 5861 */ '#', 'T', 'C', '_', 'R', 'E', 'T', 'U', 'R', 'N', 'r', 32, 0,
+  /* 5874 */ 'm', 'b', 'a', 'r', 32, 0,
+  /* 5880 */ 'm', 'f', 'd', 'c', 'r', 32, 0,
+  /* 5887 */ 'r', 'l', 'd', 'c', 'r', 32, 0,
+  /* 5894 */ 'm', 't', 'd', 'c', 'r', 32, 0,
+  /* 5901 */ 'm', 'f', 'c', 'r', 32, 0,
+  /* 5907 */ 'r', 'l', 'd', 'i', 'c', 'r', 32, 0,
+  /* 5915 */ 'm', 'f', 'v', 's', 'c', 'r', 32, 0,
+  /* 5923 */ 'm', 't', 'v', 's', 'c', 'r', 32, 0,
+  /* 5931 */ 'b', 'c', 'l', 'r', 32, 0,
+  /* 5937 */ 'm', 'f', 'l', 'r', 32, 0,
+  /* 5943 */ 'm', 't', 'l', 'r', 32, 0,
+  /* 5949 */ 'q', 'v', 'f', 'm', 'r', 32, 0,
+  /* 5956 */ 'x', 'x', 'l', 'o', 'r', 32, 0,
+  /* 5963 */ 'x', 'x', 'l', 'n', 'o', 'r', 32, 0,
+  /* 5971 */ 'c', 'r', 'n', 'o', 'r', 32, 0,
+  /* 5978 */ 'e', 'v', 'n', 'o', 'r', 32, 0,
+  /* 5985 */ 'c', 'r', 'o', 'r', 32, 0,
+  /* 5991 */ 'e', 'v', 'o', 'r', 32, 0,
+  /* 5997 */ 'x', 'x', 'l', 'x', 'o', 'r', 32, 0,
+  /* 6005 */ 'c', 'r', 'x', 'o', 'r', 32, 0,
+  /* 6012 */ 'e', 'v', 'x', 'o', 'r', 32, 0,
+  /* 6019 */ 'm', 'f', 's', 'p', 'r', 32, 0,
+  /* 6026 */ 'm', 't', 's', 'p', 'r', 32, 0,
+  /* 6033 */ 'm', 'f', 's', 'r', 32, 0,
+  /* 6039 */ 'm', 'f', 'm', 's', 'r', 32, 0,
+  /* 6046 */ 'm', 't', 'm', 's', 'r', 32, 0,
+  /* 6053 */ 'm', 't', 's', 'r', 32, 0,
+  /* 6059 */ 'l', 'v', 's', 'r', 32, 0,
+  /* 6065 */ 'b', 'c', 'c', 't', 'r', 32, 0,
+  /* 6072 */ 'm', 'f', 'c', 't', 'r', 32, 0,
+  /* 6079 */ 'm', 't', 'c', 't', 'r', 32, 0,
+  /* 6086 */ 'q', 'v', 'f', 'a', 'b', 's', 32, 0,
+  /* 6094 */ 'q', 'v', 'f', 'n', 'a', 'b', 's', 32, 0,
+  /* 6103 */ 'e', 'v', 'a', 'b', 's', 32, 0,
+  /* 6110 */ 'v', 's', 'u', 'm', '4', 's', 'b', 's', 32, 0,
+  /* 6120 */ 'v', 's', 'u', 'b', 's', 'b', 's', 32, 0,
+  /* 6129 */ 'v', 'a', 'd', 'd', 's', 'b', 's', 32, 0,
+  /* 6138 */ 'v', 's', 'u', 'm', '4', 'u', 'b', 's', 32, 0,
+  /* 6148 */ 'v', 's', 'u', 'b', 'u', 'b', 's', 32, 0,
+  /* 6157 */ 'v', 'a', 'd', 'd', 'u', 'b', 's', 32, 0,
+  /* 6166 */ 'q', 'v', 'f', 's', 'u', 'b', 's', 32, 0,
+  /* 6175 */ 'q', 'v', 'f', 'm', 's', 'u', 'b', 's', 32, 0,
+  /* 6185 */ 'q', 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 32, 0,
+  /* 6196 */ 'q', 'v', 'f', 'a', 'd', 'd', 's', 32, 0,
+  /* 6205 */ 'q', 'v', 'f', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6215 */ 'q', 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6226 */ 'q', 'v', 'f', 'x', 'x', 'c', 'p', 'n', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6241 */ 'q', 'v', 'f', 'x', 'x', 'n', 'p', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6255 */ 'q', 'v', 'f', 'x', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6266 */ 'q', 'v', 'f', 'x', 'x', 'm', 'a', 'd', 'd', 's', 32, 0,
+  /* 6278 */ 'q', 'v', 'f', 'c', 'f', 'i', 'd', 's', 32, 0,
+  /* 6288 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'x', 'd', 's', 32, 0,
+  /* 6300 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'x', 'd', 's', 32, 0,
+  /* 6312 */ 'x', 'v', 'c', 'v', 's', 'p', 's', 'x', 'd', 's', 32, 0,
+  /* 6324 */ 'x', 's', 'c', 'v', 'd', 'p', 'u', 'x', 'd', 's', 32, 0,
+  /* 6336 */ 'x', 'v', 'c', 'v', 'd', 'p', 'u', 'x', 'd', 's', 32, 0,
+  /* 6348 */ 'x', 'v', 'c', 'v', 's', 'p', 'u', 'x', 'd', 's', 32, 0,
+  /* 6360 */ 'q', 'v', 'f', 'r', 'e', 's', 32, 0,
+  /* 6368 */ 'q', 'v', 'f', 'r', 's', 'q', 'r', 't', 'e', 's', 32, 0,
+  /* 6380 */ 'm', 'f', 'f', 's', 32, 0,
+  /* 6386 */ 'l', 'f', 's', 32, 0,
+  /* 6391 */ 'm', 'c', 'r', 'f', 's', 32, 0,
+  /* 6398 */ 's', 't', 'f', 's', 32, 0,
+  /* 6404 */ 'v', 's', 'u', 'm', '4', 's', 'h', 's', 32, 0,
+  /* 6414 */ 'v', 's', 'u', 'b', 's', 'h', 's', 32, 0,
+  /* 6423 */ 'v', 'm', 'h', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
+  /* 6434 */ 'v', 'm', 'h', 'r', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
+  /* 6446 */ 'v', 'a', 'd', 'd', 's', 'h', 's', 32, 0,
+  /* 6455 */ 'v', 'm', 's', 'u', 'm', 's', 'h', 's', 32, 0,
+  /* 6465 */ 'v', 's', 'u', 'b', 'u', 'h', 's', 32, 0,
+  /* 6474 */ 'v', 'a', 'd', 'd', 'u', 'h', 's', 32, 0,
+  /* 6483 */ 'v', 'm', 's', 'u', 'm', 'u', 'h', 's', 32, 0,
+  /* 6493 */ 's', 'u', 'b', 'i', 's', 32, 0,
+  /* 6500 */ 'a', 'd', 'd', 'i', 's', 32, 0,
+  /* 6507 */ 'l', 'i', 's', 32, 0,
+  /* 6512 */ 'x', 'o', 'r', 'i', 's', 32, 0,
+  /* 6519 */ 'e', 'v', 's', 'r', 'w', 'i', 's', 32, 0,
+  /* 6528 */ 'q', 'v', 'f', 'm', 'u', 'l', 's', 32, 0,
+  /* 6537 */ 'q', 'v', 'f', 'x', 'm', 'u', 'l', 's', 32, 0,
+  /* 6547 */ 'e', 'v', 'l', 'w', 'h', 'o', 's', 32, 0,
+  /* 6556 */ 'd', 's', 's', 32, 0,
+  /* 6561 */ 'v', 'p', 'k', 's', 'h', 's', 's', 32, 0,
+  /* 6570 */ 'v', 'p', 'k', 's', 'w', 's', 's', 32, 0,
+  /* 6579 */ 'e', 'v', 'c', 'm', 'p', 'g', 't', 's', 32, 0,
+  /* 6589 */ 'e', 'v', 'c', 'm', 'p', 'l', 't', 's', 32, 0,
+  /* 6599 */ 'f', 's', 'q', 'r', 't', 's', 32, 0,
+  /* 6607 */ 'q', 'v', 'f', 'c', 'f', 'i', 'd', 'u', 's', 32, 0,
+  /* 6618 */ 'v', 'p', 'k', 's', 'h', 'u', 's', 32, 0,
+  /* 6627 */ 'v', 'p', 'k', 'u', 'h', 'u', 's', 32, 0,
+  /* 6636 */ 'v', 'p', 'k', 's', 'w', 'u', 's', 32, 0,
+  /* 6645 */ 'v', 'p', 'k', 'u', 'w', 'u', 's', 32, 0,
+  /* 6654 */ 'f', 'd', 'i', 'v', 's', 32, 0,
+  /* 6661 */ 'e', 'v', 's', 'r', 'w', 's', 32, 0,
+  /* 6669 */ 'v', 's', 'u', 'm', '2', 's', 'w', 's', 32, 0,
+  /* 6679 */ 'v', 's', 'u', 'b', 's', 'w', 's', 32, 0,
+  /* 6688 */ 'v', 'a', 'd', 'd', 's', 'w', 's', 32, 0,
+  /* 6697 */ 'v', 's', 'u', 'm', 's', 'w', 's', 32, 0,
+  /* 6706 */ 'v', 's', 'u', 'b', 'u', 'w', 's', 32, 0,
+  /* 6715 */ 'v', 'a', 'd', 'd', 'u', 'w', 's', 32, 0,
+  /* 6724 */ 'e', 'v', 'd', 'i', 'v', 'w', 's', 32, 0,
+  /* 6733 */ 'x', 's', 'c', 'v', 'd', 'p', 's', 'x', 'w', 's', 32, 0,
+  /* 6745 */ 'x', 'v', 'c', 'v', 'd', 'p', 's', 'x', 'w', 's', 32, 0,
+  /* 6757 */ 'x', 'v', 'c', 'v', 's', 'p', 's', 'x', 'w', 's', 32, 0,
+  /* 6769 */ 'x', 's', 'c', 'v', 'd', 'p', 'u', 'x', 'w', 's', 32, 0,
+  /* 6781 */ 'x', 'v', 'c', 'v', 'd', 'p', 'u', 'x', 'w', 's', 32, 0,
+  /* 6793 */ 'x', 'v', 'c', 'v', 's', 'p', 'u', 'x', 'w', 's', 32, 0,
+  /* 6805 */ 'v', 'c', 't', 's', 'x', 's', 32, 0,
+  /* 6813 */ 'v', 'c', 't', 'u', 'x', 's', 32, 0,
+  /* 6821 */ 'e', 'v', 'l', 'h', 'h', 'e', 's', 'p', 'l', 'a', 't', 32, 0,
+  /* 6834 */ 'e', 'v', 'l', 'w', 'h', 's', 'p', 'l', 'a', 't', 32, 0,
+  /* 6846 */ 'e', 'v', 'l', 'h', 'h', 'o', 's', 's', 'p', 'l', 'a', 't', 32, 0,
+  /* 6860 */ 'e', 'v', 'l', 'h', 'h', 'o', 'u', 's', 'p', 'l', 'a', 't', 32, 0,
+  /* 6874 */ 'e', 'v', 'l', 'w', 'w', 's', 'p', 'l', 'a', 't', 32, 0,
+  /* 6886 */ 'd', 'c', 'b', 't', 32, 0,
+  /* 6892 */ 'i', 'c', 'b', 't', 32, 0,
+  /* 6898 */ 'q', 'v', 'f', 'c', 'm', 'p', 'g', 't', 32, 0,
+  /* 6908 */ 'w', 'a', 'i', 't', 32, 0,
+  /* 6914 */ 'q', 'v', 'f', 'c', 'm', 'p', 'l', 't', 32, 0,
+  /* 6924 */ 'f', 's', 'q', 'r', 't', 32, 0,
+  /* 6931 */ 'd', 'c', 'b', 's', 't', 32, 0,
+  /* 6938 */ 'd', 's', 't', 32, 0,
+  /* 6943 */ 'd', 'c', 'b', 't', 's', 't', 32, 0,
+  /* 6951 */ 'd', 's', 't', 's', 't', 32, 0,
+  /* 6958 */ 'd', 's', 't', 't', 32, 0,
+  /* 6964 */ 'd', 's', 't', 's', 't', 't', 32, 0,
+  /* 6972 */ 'l', 'h', 'a', 'u', 32, 0,
+  /* 6978 */ 's', 't', 'b', 'u', 32, 0,
+  /* 6984 */ 'l', 'f', 'd', 'u', 32, 0,
+  /* 6990 */ 's', 't', 'f', 'd', 'u', 32, 0,
+  /* 6997 */ 'm', 'u', 'l', 'h', 'd', 'u', 32, 0,
+  /* 7005 */ 'q', 'v', 'f', 'c', 'f', 'i', 'd', 'u', 32, 0,
+  /* 7015 */ 'q', 'v', 'f', 'c', 't', 'i', 'd', 'u', 32, 0,
+  /* 7025 */ 'l', 'd', 'u', 32, 0,
+  /* 7030 */ 's', 't', 'd', 'u', 32, 0,
+  /* 7036 */ 'd', 'i', 'v', 'd', 'u', 32, 0,
+  /* 7043 */ 's', 't', 'h', 'u', 32, 0,
+  /* 7049 */ 'e', 'v', 's', 'r', 'w', 'i', 'u', 32, 0,
+  /* 7058 */ 'e', 'v', 'l', 'w', 'h', 'o', 'u', 32, 0,
+  /* 7067 */ 'f', 'c', 'm', 'p', 'u', 32, 0,
+  /* 7074 */ 'l', 'f', 's', 'u', 32, 0,
+  /* 7080 */ 's', 't', 'f', 's', 'u', 32, 0,
+  /* 7087 */ 'e', 'v', 'c', 'm', 'p', 'g', 't', 'u', 32, 0,
+  /* 7097 */ 'e', 'v', 'c', 'm', 'p', 'l', 't', 'u', 32, 0,
+  /* 7107 */ 'm', 'u', 'l', 'h', 'w', 'u', 32, 0,
+  /* 7115 */ 'q', 'v', 'f', 'c', 't', 'i', 'w', 'u', 32, 0,
+  /* 7125 */ 'e', 'v', 's', 'r', 'w', 'u', 32, 0,
+  /* 7133 */ 's', 't', 'w', 'u', 32, 0,
+  /* 7139 */ 'e', 'v', 'd', 'i', 'v', 'w', 'u', 32, 0,
+  /* 7148 */ 'l', 'b', 'z', 'u', 32, 0,
+  /* 7154 */ 'l', 'h', 'z', 'u', 32, 0,
+  /* 7160 */ 'l', 'w', 'z', 'u', 32, 0,
+  /* 7166 */ 'f', 'd', 'i', 'v', 32, 0,
+  /* 7172 */ 'x', 'x', 'l', 'e', 'q', 'v', 32, 0,
+  /* 7180 */ 'c', 'r', 'e', 'q', 'v', 32, 0,
+  /* 7187 */ 'e', 'v', 'e', 'q', 'v', 32, 0,
+  /* 7194 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 'a', 'w', 32, 0,
+  /* 7207 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 'a', 'w', 32, 0,
+  /* 7220 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 'a', 'w', 32, 0,
+  /* 7233 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 'a', 'w', 32, 0,
+  /* 7246 */ 'e', 'v', 'a', 'd', 'd', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7259 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7272 */ 'e', 'v', 's', 'u', 'b', 'f', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7286 */ 'e', 'v', 'm', 'w', 'l', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7299 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7312 */ 'e', 'v', 'a', 'd', 'd', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7325 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7338 */ 'e', 'v', 's', 'u', 'b', 'f', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7352 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7365 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7378 */ 'e', 'v', 'a', 'd', 'd', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7391 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7404 */ 'e', 'v', 's', 'u', 'b', 'f', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7418 */ 'e', 'v', 'm', 'w', 'l', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7431 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7444 */ 'e', 'v', 'a', 'd', 'd', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7457 */ 'e', 'v', 'm', 'h', 'e', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7470 */ 'e', 'v', 's', 'u', 'b', 'f', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7484 */ 'e', 'v', 'm', 'w', 'l', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7497 */ 'e', 'v', 'm', 'h', 'o', 'u', 's', 'i', 'a', 'a', 'w', 32, 0,
+  /* 7510 */ 'v', 's', 'r', 'a', 'w', 32, 0,
+  /* 7517 */ 'e', 'v', 'a', 'd', 'd', 'w', 32, 0,
+  /* 7525 */ 'e', 'v', 'l', 'd', 'w', 32, 0,
+  /* 7532 */ 'e', 'v', 'r', 'n', 'd', 'w', 32, 0,
+  /* 7540 */ 'e', 'v', 's', 't', 'd', 'w', 32, 0,
+  /* 7548 */ 'e', 'v', 's', 'u', 'b', 'f', 'w', 32, 0,
+  /* 7557 */ 'e', 'v', 's', 'u', 'b', 'i', 'f', 'w', 32, 0,
+  /* 7567 */ 'v', 'm', 'r', 'g', 'h', 'w', 32, 0,
+  /* 7575 */ 'x', 'x', 'm', 'r', 'g', 'h', 'w', 32, 0,
+  /* 7584 */ 'm', 'u', 'l', 'h', 'w', 32, 0,
+  /* 7591 */ 'e', 'v', 'a', 'd', 'd', 'i', 'w', 32, 0,
+  /* 7600 */ 'q', 'v', 'f', 'c', 't', 'i', 'w', 32, 0,
+  /* 7609 */ 'v', 'm', 'r', 'g', 'l', 'w', 32, 0,
+  /* 7617 */ 'x', 'x', 'm', 'r', 'g', 'l', 'w', 32, 0,
+  /* 7626 */ 'm', 'u', 'l', 'l', 'w', 32, 0,
+  /* 7633 */ 'c', 'm', 'p', 'l', 'w', 32, 0,
+  /* 7640 */ 'e', 'v', 'r', 'l', 'w', 32, 0,
+  /* 7647 */ 'e', 'v', 's', 'l', 'w', 32, 0,
+  /* 7654 */ 'l', 'm', 'w', 32, 0,
+  /* 7659 */ 's', 't', 'm', 'w', 32, 0,
+  /* 7665 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'f', 'a', 'n', 'w', 32, 0,
+  /* 7678 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'f', 'a', 'n', 'w', 32, 0,
+  /* 7691 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'f', 'a', 'n', 'w', 32, 0,
+  /* 7704 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'f', 'a', 'n', 'w', 32, 0,
+  /* 7717 */ 'e', 'v', 'm', 'h', 'e', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7730 */ 'e', 'v', 'm', 'w', 'l', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7743 */ 'e', 'v', 'm', 'h', 'o', 's', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7756 */ 'e', 'v', 'm', 'h', 'e', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7769 */ 'e', 'v', 'm', 'w', 'l', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7782 */ 'e', 'v', 'm', 'h', 'o', 'u', 'm', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7795 */ 'e', 'v', 'm', 'h', 'e', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7808 */ 'e', 'v', 'm', 'w', 'l', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7821 */ 'e', 'v', 'm', 'h', 'o', 's', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7834 */ 'e', 'v', 'm', 'h', 'e', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7847 */ 'e', 'v', 'm', 'w', 'l', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7860 */ 'e', 'v', 'm', 'h', 'o', 'u', 's', 'i', 'a', 'n', 'w', 32, 0,
+  /* 7873 */ 'c', 'm', 'p', 'w', 32, 0,
+  /* 7879 */ 'v', 's', 'r', 'w', 32, 0,
+  /* 7885 */ 'v', 'm', 'u', 'l', 'e', 's', 'w', 32, 0,
+  /* 7894 */ 'v', 'a', 'v', 'g', 's', 'w', 32, 0,
+  /* 7902 */ 'v', 's', 'p', 'l', 't', 'i', 's', 'w', 32, 0,
+  /* 7912 */ 'e', 'v', 'c', 'n', 't', 'l', 's', 'w', 32, 0,
+  /* 7922 */ 'v', 'm', 'i', 'n', 's', 'w', 32, 0,
+  /* 7930 */ 'v', 'm', 'u', 'l', 'o', 's', 'w', 32, 0,
+  /* 7939 */ 'v', 'c', 'm', 'p', 'g', 't', 's', 'w', 32, 0,
+  /* 7949 */ 'e', 'x', 't', 's', 'w', 32, 0,
+  /* 7956 */ 'v', 'm', 'a', 'x', 's', 'w', 32, 0,
+  /* 7964 */ 'v', 's', 'p', 'l', 't', 'w', 32, 0,
+  /* 7972 */ 'x', 'x', 's', 'p', 'l', 't', 'w', 32, 0,
+  /* 7981 */ 'v', 'p', 'o', 'p', 'c', 'n', 't', 'w', 32, 0,
+  /* 7991 */ 's', 't', 'w', 32, 0,
+  /* 7996 */ 'v', 's', 'u', 'b', 'c', 'u', 'w', 32, 0,
+  /* 8005 */ 'v', 'a', 'd', 'd', 'c', 'u', 'w', 32, 0,
+  /* 8014 */ 'v', 'm', 'u', 'l', 'e', 'u', 'w', 32, 0,
+  /* 8023 */ 'v', 'a', 'v', 'g', 'u', 'w', 32, 0,
+  /* 8031 */ 'v', 'm', 'i', 'n', 'u', 'w', 32, 0,
+  /* 8039 */ 'v', 'm', 'u', 'l', 'o', 'u', 'w', 32, 0,
+  /* 8048 */ 'v', 'c', 'm', 'p', 'e', 'q', 'u', 'w', 32, 0,
+  /* 8058 */ 'v', 'c', 'm', 'p', 'g', 't', 'u', 'w', 32, 0,
+  /* 8068 */ 'v', 'm', 'a', 'x', 'u', 'w', 32, 0,
+  /* 8076 */ 'd', 'i', 'v', 'w', 32, 0,
+  /* 8082 */ 'v', 'c', 'l', 'z', 'w', 32, 0,
+  /* 8089 */ 'e', 'v', 'c', 'n', 't', 'l', 'z', 'w', 32, 0,
+  /* 8099 */ 'l', 'x', 'v', 'd', '2', 'x', 32, 0,
+  /* 8107 */ 's', 't', 'x', 'v', 'd', '2', 'x', 32, 0,
+  /* 8116 */ 'l', 'x', 'v', 'w', '4', 'x', 32, 0,
+  /* 8124 */ 's', 't', 'x', 'v', 'w', '4', 'x', 32, 0,
+  /* 8133 */ 'l', 'h', 'a', 'x', 32, 0,
+  /* 8139 */ 't', 'l', 'b', 'i', 'v', 'a', 'x', 32, 0,
+  /* 8148 */ 'q', 'v', 'l', 'f', 'i', 'w', 'a', 'x', 32, 0,
+  /* 8158 */ 'l', 'w', 'a', 'x', 32, 0,
+  /* 8164 */ 'l', 'v', 'e', 'b', 'x', 32, 0,
+  /* 8171 */ 's', 't', 'v', 'e', 'b', 'x', 32, 0,
+  /* 8179 */ 's', 't', 'b', 'x', 32, 0,
+  /* 8185 */ 'q', 'v', 'l', 'f', 'c', 'd', 'x', 32, 0,
+  /* 8194 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'x', 32, 0,
+  /* 8204 */ 'e', 'v', 'l', 'd', 'd', 'x', 32, 0,
+  /* 8212 */ 'e', 'v', 's', 't', 'd', 'd', 'x', 32, 0,
+  /* 8221 */ 'q', 'v', 'l', 'f', 'd', 'x', 32, 0,
+  /* 8229 */ 'q', 'v', 's', 't', 'f', 'd', 'x', 32, 0,
+  /* 8238 */ 'q', 'v', 'l', 'p', 'c', 'l', 'd', 'x', 32, 0,
+  /* 8248 */ 'q', 'v', 'l', 'p', 'c', 'r', 'd', 'x', 32, 0,
+  /* 8258 */ 'l', 'x', 's', 'd', 'x', 32, 0,
+  /* 8265 */ 's', 't', 'x', 's', 'd', 'x', 32, 0,
+  /* 8273 */ 's', 't', 'd', 'x', 32, 0,
+  /* 8279 */ 'e', 'v', 'l', 'w', 'h', 'e', 'x', 32, 0,
+  /* 8288 */ 'e', 'v', 's', 't', 'w', 'h', 'e', 'x', 32, 0,
+  /* 8298 */ 'e', 'v', 's', 't', 'w', 'w', 'e', 'x', 32, 0,
+  /* 8308 */ 'e', 'v', 'l', 'd', 'h', 'x', 32, 0,
+  /* 8316 */ 'e', 'v', 's', 't', 'd', 'h', 'x', 32, 0,
+  /* 8325 */ 'l', 'v', 'e', 'h', 'x', 32, 0,
+  /* 8332 */ 's', 't', 'v', 'e', 'h', 'x', 32, 0,
+  /* 8340 */ 's', 't', 'h', 'x', 32, 0,
+  /* 8346 */ 's', 't', 'b', 'c', 'i', 'x', 32, 0,
+  /* 8354 */ 'l', 'd', 'c', 'i', 'x', 32, 0,
+  /* 8361 */ 's', 't', 'd', 'c', 'i', 'x', 32, 0,
+  /* 8369 */ 's', 't', 'h', 'c', 'i', 'x', 32, 0,
+  /* 8377 */ 's', 't', 'w', 'c', 'i', 'x', 32, 0,
+  /* 8385 */ 'l', 'b', 'z', 'c', 'i', 'x', 32, 0,
+  /* 8393 */ 'l', 'h', 'z', 'c', 'i', 'x', 32, 0,
+  /* 8401 */ 'l', 'w', 'z', 'c', 'i', 'x', 32, 0,
+  /* 8409 */ 'e', 'v', 's', 't', 'w', 'h', 'o', 'x', 32, 0,
+  /* 8419 */ 'e', 'v', 's', 't', 'w', 'w', 'o', 'x', 32, 0,
+  /* 8429 */ 'v', 'u', 'p', 'k', 'h', 'p', 'x', 32, 0,
+  /* 8438 */ 'v', 'p', 'k', 'p', 'x', 32, 0,
+  /* 8445 */ 'v', 'u', 'p', 'k', 'l', 'p', 'x', 32, 0,
+  /* 8454 */ 'l', 'd', 'a', 'r', 'x', 32, 0,
+  /* 8461 */ 'l', 'w', 'a', 'r', 'x', 32, 0,
+  /* 8468 */ 'l', 'd', 'b', 'r', 'x', 32, 0,
+  /* 8475 */ 's', 't', 'd', 'b', 'r', 'x', 32, 0,
+  /* 8483 */ 'l', 'h', 'b', 'r', 'x', 32, 0,
+  /* 8490 */ 's', 't', 'h', 'b', 'r', 'x', 32, 0,
+  /* 8498 */ 'l', 'w', 'b', 'r', 'x', 32, 0,
+  /* 8505 */ 's', 't', 'w', 'b', 'r', 'x', 32, 0,
+  /* 8513 */ 't', 'l', 'b', 's', 'x', 32, 0,
+  /* 8520 */ 'q', 'v', 'l', 'f', 'c', 's', 'x', 32, 0,
+  /* 8529 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'x', 32, 0,
+  /* 8539 */ 'l', 'x', 'v', 'd', 's', 'x', 32, 0,
+  /* 8547 */ 'v', 'c', 'f', 's', 'x', 32, 0,
+  /* 8554 */ 'q', 'v', 'l', 'f', 's', 'x', 32, 0,
+  /* 8562 */ 'q', 'v', 's', 't', 'f', 's', 'x', 32, 0,
+  /* 8571 */ 'q', 'v', 'l', 'p', 'c', 'l', 's', 'x', 32, 0,
+  /* 8581 */ 'e', 'v', 'l', 'w', 'h', 'o', 's', 'x', 32, 0,
+  /* 8591 */ 'q', 'v', 'l', 'p', 'c', 'r', 's', 'x', 32, 0,
+  /* 8601 */ 'e', 'v', 'l', 'h', 'h', 'e', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
+  /* 8615 */ 'e', 'v', 'l', 'w', 'h', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
+  /* 8628 */ 'e', 'v', 'l', 'h', 'h', 'o', 's', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
+  /* 8643 */ 'e', 'v', 'l', 'h', 'h', 'o', 'u', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
+  /* 8658 */ 'e', 'v', 'l', 'w', 'w', 's', 'p', 'l', 'a', 't', 'x', 32, 0,
+  /* 8671 */ 'l', 'h', 'a', 'u', 'x', 32, 0,
+  /* 8678 */ 'l', 'w', 'a', 'u', 'x', 32, 0,
+  /* 8685 */ 's', 't', 'b', 'u', 'x', 32, 0,
+  /* 8692 */ 'q', 'v', 'l', 'f', 'c', 'd', 'u', 'x', 32, 0,
+  /* 8702 */ 'q', 'v', 's', 't', 'f', 'c', 'd', 'u', 'x', 32, 0,
+  /* 8713 */ 'q', 'v', 'l', 'f', 'd', 'u', 'x', 32, 0,
+  /* 8722 */ 'q', 'v', 's', 't', 'f', 'd', 'u', 'x', 32, 0,
+  /* 8732 */ 'l', 'd', 'u', 'x', 32, 0,
+  /* 8738 */ 's', 't', 'd', 'u', 'x', 32, 0,
+  /* 8745 */ 'v', 'c', 'f', 'u', 'x', 32, 0,
+  /* 8752 */ 's', 't', 'h', 'u', 'x', 32, 0,
+  /* 8759 */ 'e', 'v', 'l', 'w', 'h', 'o', 'u', 'x', 32, 0,
+  /* 8769 */ 'q', 'v', 'l', 'f', 'c', 's', 'u', 'x', 32, 0,
+  /* 8779 */ 'q', 'v', 's', 't', 'f', 'c', 's', 'u', 'x', 32, 0,
+  /* 8790 */ 'q', 'v', 'l', 'f', 's', 'u', 'x', 32, 0,
+  /* 8799 */ 'q', 'v', 's', 't', 'f', 's', 'u', 'x', 32, 0,
+  /* 8809 */ 's', 't', 'w', 'u', 'x', 32, 0,
+  /* 8816 */ 'l', 'b', 'z', 'u', 'x', 32, 0,
+  /* 8823 */ 'l', 'h', 'z', 'u', 'x', 32, 0,
+  /* 8830 */ 'l', 'w', 'z', 'u', 'x', 32, 0,
+  /* 8837 */ 'l', 'v', 'x', 32, 0,
+  /* 8842 */ 's', 't', 'v', 'x', 32, 0,
+  /* 8848 */ 'e', 'v', 'l', 'd', 'w', 'x', 32, 0,
+  /* 8856 */ 'e', 'v', 's', 't', 'd', 'w', 'x', 32, 0,
+  /* 8865 */ 'l', 'v', 'e', 'w', 'x', 32, 0,
+  /* 8872 */ 's', 't', 'v', 'e', 'w', 'x', 32, 0,
+  /* 8880 */ 'q', 'v', 's', 't', 'f', 'i', 'w', 'x', 32, 0,
+  /* 8890 */ 's', 't', 'w', 'x', 32, 0,
+  /* 8896 */ 'l', 'b', 'z', 'x', 32, 0,
+  /* 8902 */ 'l', 'h', 'z', 'x', 32, 0,
+  /* 8908 */ 'q', 'v', 'l', 'f', 'i', 'w', 'z', 'x', 32, 0,
+  /* 8918 */ 'l', 'w', 'z', 'x', 32, 0,
+  /* 8924 */ 'd', 'c', 'b', 'z', 32, 0,
+  /* 8930 */ 'l', 'b', 'z', 32, 0,
+  /* 8935 */ 'b', 'd', 'z', 32, 0,
+  /* 8940 */ 'q', 'v', 'f', 'c', 't', 'i', 'd', 'z', 32, 0,
+  /* 8950 */ 'l', 'h', 'z', 32, 0,
+  /* 8955 */ 'v', 'r', 'f', 'i', 'z', 32, 0,
+  /* 8962 */ 'x', 's', 'r', 'd', 'p', 'i', 'z', 32, 0,
+  /* 8971 */ 'x', 'v', 'r', 'd', 'p', 'i', 'z', 32, 0,
+  /* 8980 */ 'x', 'v', 'r', 's', 'p', 'i', 'z', 32, 0,
+  /* 8989 */ 'q', 'v', 'f', 'r', 'i', 'z', 32, 0,
+  /* 8997 */ 'b', 'd', 'n', 'z', 32, 0,
+  /* 9003 */ 'q', 'v', 'f', 'c', 't', 'i', 'd', 'u', 'z', 32, 0,
+  /* 9014 */ 'q', 'v', 'f', 'c', 't', 'i', 'w', 'u', 'z', 32, 0,
+  /* 9025 */ 'q', 'v', 'f', 'c', 't', 'i', 'w', 'z', 32, 0,
+  /* 9035 */ 'l', 'w', 'z', 32, 0,
+  /* 9040 */ 'b', 'd', 'z', 'l', 'r', 'l', '+', 0,
+  /* 9048 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', '+', 0,
+  /* 9057 */ 'b', 'd', 'z', 'l', 'r', '+', 0,
+  /* 9064 */ 'b', 'd', 'n', 'z', 'l', 'r', '+', 0,
+  /* 9072 */ 'b', 'd', 'z', 'l', 'r', 'l', '-', 0,
+  /* 9080 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', '-', 0,
+  /* 9089 */ 'b', 'd', 'z', 'l', 'r', '-', 0,
+  /* 9096 */ 'b', 'd', 'n', 'z', 'l', 'r', '-', 0,
+  /* 9104 */ 'o', 'r', 'i', 32, '1', ',', 32, '1', ',', 32, '0', 0,
+  /* 9116 */ 'o', 'r', 'i', 32, '2', ',', 32, '2', ',', 32, '0', 0,
+  /* 9128 */ '#', 'A', 'D', 'D', 'I', 'S', 'd', 't', 'p', 'r', 'e', 'l', 'H', 'A', '3', '2', 0,
+  /* 9145 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '3', '2', 0,
+  /* 9166 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '3', '2', 0,
+  /* 9187 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '3', '2', 0,
+  /* 9209 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '3', '2', 0,
+  /* 9230 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '3', '2', 0,
+  /* 9247 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '3', '2', 0,
+  /* 9268 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '3', '2', 0,
+  /* 9288 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', '3', '2', 0,
+  /* 9302 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', '3', '2', 0,
+  /* 9316 */ '#', 'L', 'D', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'L', '3', '2', 0,
+  /* 9331 */ '#', 'A', 'D', 'D', 'I', 'd', 't', 'p', 'r', 'e', 'l', 'L', '3', '2', 0,
+  /* 9346 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
+  /* 9365 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
+  /* 9383 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', 'A', 'D', 'D', 'R', '3', '2', 0,
+  /* 9401 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', 'A', 'D', 'D', 'R', '3', '2', 0,
+  /* 9419 */ 'G', 'E', 'T', 't', 'l', 's', 'l', 'd', 'A', 'D', 'D', 'R', '3', '2', 0,
+  /* 9434 */ 'G', 'E', 'T', 't', 'l', 's', 'A', 'D', 'D', 'R', '3', '2', 0,
+  /* 9447 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '6', '4', 0,
+  /* 9468 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '6', '4', 0,
+  /* 9489 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '6', '4', 0,
+  /* 9511 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '6', '4', 0,
+  /* 9528 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '6', '4', 0,
+  /* 9549 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '6', '4', 0,
+  /* 9570 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '6', '4', 0,
+  /* 9590 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
+  /* 9609 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
+  /* 9627 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'i', '6', '4', 0,
+  /* 9648 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'F', '4', 0,
+  /* 9662 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'F', '4', 0,
+  /* 9673 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'I', '4', 0,
+  /* 9687 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'I', '4', 0,
+  /* 9698 */ 'c', 'r', 'x', 'o', 'r', 32, '6', ',', 32, '6', ',', 32, '6', 0,
+  /* 9712 */ 'c', 'r', 'e', 'q', 'v', 32, '6', ',', 32, '6', ',', 32, '6', 0,
+  /* 9726 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '1', '6', 0,
+  /* 9747 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '1', '6', 0,
+  /* 9768 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '1', '6', 0,
+  /* 9790 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '1', '6', 0,
+  /* 9811 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'I', '1', '6', 0,
+  /* 9828 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '1', '6', 0,
+  /* 9849 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '1', '6', 0,
+  /* 9869 */ '#', 'D', 'Y', 'N', 'A', 'L', 'L', 'O', 'C', '8', 0,
+  /* 9880 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'F', '8', 0,
+  /* 9894 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'F', '8', 0,
+  /* 9905 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'S', 'U', 'B', '_', 'I', '8', 0,
+  /* 9925 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'I', '8', 0,
+  /* 9939 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'D', 'D', '_', 'I', '8', 0,
+  /* 9959 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'N', 'A', 'N', 'D', '_', 'I', '8', 0,
+  /* 9980 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'A', 'N', 'D', '_', 'I', '8', 0,
+  /* 10000 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'C', 'M', 'P', '_', 'S', 'W', 'A', 'P', '_', 'I', '8', 0,
+  /* 10020 */ 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'X', 'O', 'R', '_', 'I', '8', 0,
+  /* 10039 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'L', 'O', 'A', 'D', '_', 'O', 'R', '_', 'I', '8', 0,
+  /* 10058 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'I', '8', 0,
+  /* 10069 */ '#', 'M', 'o', 'v', 'e', 'P', 'C', 't', 'o', 'L', 'R', '8', 0,
+  /* 10082 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'E', 'Q', '_', 'B', 'I', 'T', '8', 0,
+  /* 10099 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'G', 'T', '_', 'B', 'I', 'T', '8', 0,
+  /* 10116 */ '#', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'S', 'W', 'A', 'P', '_', 'i', '8', 0,
+  /* 10132 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'o', 'c', 'H', 'A', 0,
+  /* 10144 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'l', 's', 'g', 'd', 'H', 'A', 0,
+  /* 10158 */ '#', 'A', 'D', 'D', 'I', 'S', 't', 'l', 's', 'l', 'd', 'H', 'A', 0,
+  /* 10172 */ '#', 'A', 'D', 'D', 'I', 'S', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'H', 'A', 0,
+  /* 10189 */ '#', 'A', 'D', 'D', 'I', 'S', 'd', 't', 'p', 'r', 'e', 'l', 'H', 'A', 0,
+  /* 10204 */ '#', 'R', 'e', 'a', 'd', 'T', 'B', 0,
+  /* 10212 */ '#', 'D', 'Y', 'N', 'A', 'L', 'L', 'O', 'C', 0,
+  /* 10222 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'Q', 'B', 'R', 'C', 0,
+  /* 10238 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'Q', 'B', 'R', 'C', 0,
+  /* 10251 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'Q', 'F', 'R', 'C', 0,
+  /* 10267 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'Q', 'F', 'R', 'C', 0,
+  /* 10280 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'V', 'S', 'F', 'R', 'C', 0,
+  /* 10297 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'V', 'S', 'F', 'R', 'C', 0,
+  /* 10311 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'V', 'R', 'R', 'C', 0,
+  /* 10327 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'V', 'R', 'R', 'C', 0,
+  /* 10340 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'Q', 'S', 'R', 'C', 0,
+  /* 10356 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'Q', 'S', 'R', 'C', 0,
+  /* 10369 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'C', 'C', '_', 'V', 'S', 'R', 'C', 0,
+  /* 10385 */ '#', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'V', 'S', 'R', 'C', 0,
+  /* 10398 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 10411 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 10418 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 10428 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'V', 'R', 'S', 'A', 'V', 'E', 0,
+  /* 10444 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'V', 'R', 'S', 'A', 'V', 'E', 0,
+  /* 10458 */ '#', 'L', 'D', 't', 'o', 'c', 'J', 'T', 'I', 0,
+  /* 10468 */ '#', 'L', 'D', 't', 'o', 'c', 'L', 0,
+  /* 10476 */ '#', 'A', 'D', 'D', 'I', 't', 'o', 'c', 'L', 0,
+  /* 10486 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', 0,
+  /* 10498 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', 0,
+  /* 10510 */ '#', 'L', 'D', 'g', 'o', 't', 'T', 'p', 'r', 'e', 'l', 'L', 0,
+  /* 10523 */ '#', 'A', 'D', 'D', 'I', 'd', 't', 'p', 'r', 'e', 'l', 'L', 0,
+  /* 10536 */ '#', 'U', 'p', 'd', 'a', 't', 'e', 'G', 'B', 'R', 0,
+  /* 10547 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'C', 'R', 0,
+  /* 10559 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'C', 'R', 0,
+  /* 10569 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'g', 'd', 'L', 'A', 'D', 'D', 'R', 0,
+  /* 10585 */ '#', 'A', 'D', 'D', 'I', 't', 'l', 's', 'l', 'd', 'L', 'A', 'D', 'D', 'R', 0,
+  /* 10601 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'l', 'd', 'A', 'D', 'D', 'R', 0,
+  /* 10615 */ '#', 'G', 'E', 'T', 't', 'l', 's', 'A', 'D', 'D', 'R', 0,
+  /* 10627 */ '#', 'M', 'o', 'v', 'e', 'P', 'C', 't', 'o', 'L', 'R', 0,
+  /* 10639 */ '#', 'M', 'o', 'v', 'e', 'G', 'O', 'T', 't', 'o', 'L', 'R', 0,
+  /* 10652 */ '#', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'C', 'R', 'B', 'I', 'T', 0,
+  /* 10667 */ '#', 'S', 'P', 'I', 'L', 'L', '_', 'C', 'R', 'B', 'I', 'T', 0,
+  /* 10680 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'E', 'Q', '_', 'B', 'I', 'T', 0,
+  /* 10696 */ '#', 'A', 'N', 'D', 'I', 'o', '_', '1', '_', 'G', 'T', '_', 'B', 'I', 'T', 0,
+  /* 10712 */ '#', 'P', 'P', 'C', '3', '2', 'G', 'O', 'T', 0,
+  /* 10722 */ '#', 'P', 'P', 'C', '3', '2', 'P', 'I', 'C', 'G', 'O', 'T', 0,
+  /* 10735 */ '#', 'L', 'D', 't', 'o', 'c', 'C', 'P', 'T', 0,
+  /* 10745 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 10760 */ 's', 'l', 'b', 'i', 'a', 0,
+  /* 10766 */ 't', 'l', 'b', 'i', 'a', 0,
+  /* 10772 */ 'b', 0,
+  /* 10774 */ 't', 'l', 'b', 's', 'y', 'n', 'c', 0,
+  /* 10782 */ 'i', 's', 'y', 'n', 'c', 0,
+  /* 10788 */ 'm', 's', 'y', 'n', 'c', 0,
+  /* 10794 */ '#', 'L', 'D', 't', 'o', 'c', 0,
+  /* 10801 */ '#', 'L', 'W', 'Z', 't', 'o', 'c', 0,
+  /* 10809 */ 'r', 'f', 'i', 'd', 0,
+  /* 10814 */ 't', 'l', 'b', 'r', 'e', 0,
+  /* 10820 */ 't', 'l', 'b', 'w', 'e', 0,
+  /* 10826 */ 'r', 'f', 'c', 'i', 0,
+  /* 10831 */ 'r', 'f', 'm', 'c', 'i', 0,
+  /* 10837 */ 'r', 'f', 'd', 'i', 0,
+  /* 10842 */ 'r', 'f', 'i', 0,
+  /* 10846 */ 'd', 's', 's', 'a', 'l', 'l', 0,
+  /* 10853 */ 'b', 'l', 'r', 'l', 0,
+  /* 10858 */ 'b', 'd', 'z', 'l', 'r', 'l', 0,
+  /* 10865 */ 'b', 'd', 'n', 'z', 'l', 'r', 'l', 0,
+  /* 10873 */ 'b', 'c', 't', 'r', 'l', 0,
+  /* 10879 */ 'a', 't', 't', 'n', 0,
+  /* 10884 */ 'e', 'i', 'e', 'i', 'o', 0,
+  /* 10890 */ 't', 'r', 'a', 'p', 0,
+  /* 10895 */ 'n', 'o', 'p', 0,
+  /* 10899 */ 'b', 'l', 'r', 0,
+  /* 10903 */ 'b', 'd', 'z', 'l', 'r', 0,
+  /* 10909 */ 'b', 'd', 'n', 'z', 'l', 'r', 0,
+  /* 10916 */ 'b', 'c', 't', 'r', 0,
   };
 #endif
 
   // Emit the opcode for the instruction.
-  uint64_t Bits1 = OpInfo[MCInst_getOpcode(MI)];
-  uint64_t Bits2 = OpInfo2[MCInst_getOpcode(MI)];
+  unsigned int opcode = MCInst_getOpcode(MI);
+  uint64_t Bits1 = OpInfo[opcode];
+  uint64_t Bits2 = OpInfo2[opcode];
   uint64_t Bits = (Bits2 << 32) | Bits1;
   // assert(Bits != 0 && "Cannot print this instruction.");
 #ifndef CAPSTONE_DIET
   SStream_concat0(O, AsmStrs+(Bits & 16383)-1);
 #endif
 
-
-  // Fragment 0 encoded into 4 bits for 13 unique commands.
+  // Fragment 0 encoded into 4 bits for 14 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 14) & 15);
   switch ((Bits >> 14) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, ADDISdtprelHA, ADDISd...
     return;
@@ -3627,35 +4251,42 @@ static void printInstruction(MCInst *MI,
     printPredicateOperand(MI, 0, O, "cc"); 
     break;
   case 6:
+    // BCTRL8_LDinto_toc
+    printMemRegImm(MI, 0, O); 
+    return;
+    break;
+  case 7:
     // BL8_NOP_TLS, BL8_TLS, BL8_TLS_, BL_TLS
     printTLSCall(MI, 0, O); 
     break;
-  case 7:
+  case 8:
     // DCBA, DCBF, DCBI, DCBST, DCBT, DCBTST, DCBZ, DCBZL, ICBI
     printMemRegReg(MI, 0, O); 
     return;
     break;
-  case 8:
+  case 9:
     // DSS, MBAR, MTFSB0, MTFSB1, TD, TDI, TW, TWI, gBC, gBCA, gBCCTR, gBCCTR...
     printU5ImmOperand(MI, 0, O); 
     break;
-  case 9:
+  case 10:
     // DST, DST64, DSTST, DSTST64, DSTSTT, DSTSTT64, DSTT, DSTT64, MTDCR, MTV...
     printOperand(MI, 1, O); 
     break;
-  case 10:
-    // LDinto_toc
-    printMemRegImm(MI, 0, O); 
+  case 11:
+    // ICBT
+    printU4ImmOperand(MI, 0, O); 
+    SStream_concat0(O, ", "); 
+    printMemRegReg(MI, 1, O); 
     return;
     break;
-  case 11:
+  case 12:
     // MTOCRF, MTOCRF8
     printcrbitm(MI, 0, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 1, O); 
     return;
     break;
-  case 12:
+  case 13:
     // MTSR
     printU4ImmOperand(MI, 1, O); 
     SStream_concat0(O, ", "); 
@@ -3665,10 +4296,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 1 encoded into 5 bits for 17 unique commands.
+  // Fragment 1 encoded into 5 bits for 18 unique commands.
   //printf("Frag-1: %"PRIu64"\n", (Bits >> 18) & 31);
   switch ((Bits >> 18) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADD4, ADD4TLS, ADD4o, ADD8, ADD8TLS, ADD8TLS_, ADD8o, ADDC, ADDC8, ADD...
     SStream_concat0(O, ", "); 
@@ -3683,73 +4314,73 @@ static void printInstruction(MCInst *MI,
     break;
   case 3:
     // BCC
-    printPredicateOperand(MI, 0, O, "pm");
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     SStream_concat0(O, ", "); 
     printBranchOperand(MI, 2, O); 
     return;
     break;
   case 4:
     // BCCA
-    SStream_concat0(O, "a");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "a"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     SStream_concat0(O, ", "); 
     printAbsBranchOperand(MI, 2, O); 
     return;
     break;
   case 5:
     // BCCCTR, BCCCTR8
-    SStream_concat0(O, "ctr");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "ctr"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     return;
     break;
   case 6:
     // BCCCTRL, BCCCTRL8
-    SStream_concat0(O, "ctrl");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "ctrl"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     return;
     break;
   case 7:
     // BCCL
-    SStream_concat0(O, "l");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "l"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     SStream_concat0(O, ", "); 
     printBranchOperand(MI, 2, O); 
     return;
     break;
   case 8:
     // BCCLA
-    SStream_concat0(O, "la");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "la"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     SStream_concat0(O, ", "); 
     printAbsBranchOperand(MI, 2, O); 
     return;
     break;
   case 9:
     // BCCLR
-    SStream_concat0(O, "lr");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "lr"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     return;
     break;
   case 10:
     // BCCLRL
-    SStream_concat0(O, "lrl");
-    printPredicateOperand(MI, 0, O, "pm");
+    SStream_concat0(O, "lrl"); 
+    printPredicateOperand(MI, 0, O, "pm"); 
     SStream_concat0(O, " "); 
-    printPredicateOperand(MI, 0, O, "reg");
+    printPredicateOperand(MI, 0, O, "reg"); 
     return;
     break;
   case 11:
@@ -3759,40 +4390,47 @@ static void printInstruction(MCInst *MI,
     break;
   case 12:
     // BL8_NOP, BL8_NOP_TLS, BLA8_NOP
-    // SStream_concat0(O, "\n\tnop"); 	// qq
+    SStream_concat0(O, "\n\tnop"); 	// qq
     return;
     break;
   case 13:
     // MFTB8
-    SStream_concat0(O, ", 268");
-	op_addImm(MI, 268);
+    SStream_concat0(O, ", 268"); 
+    op_addImm(MI, 268);
     return;
     break;
   case 14:
     // MFVRSAVE, MFVRSAVEv
-    SStream_concat0(O, ", 256");
-	op_addImm(MI, 256);
+    SStream_concat0(O, ", 256"); 
+    op_addImm(MI, 256);
     return;
     break;
   case 15:
+    // QVLPCLSXint
+    SStream_concat0(O, ", 0, "); 
+    op_addImm(MI, 0);
+    printOperand(MI, 1, O); 
+    return;
+    break;
+  case 16:
     // TLBIE
     SStream_concat0(O, ","); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 16:
+  case 17:
     // V_SETALLONES, V_SETALLONESB, V_SETALLONESH
-    SStream_concat0(O, ", -1");
-	op_addImm(MI, -1);
+    SStream_concat0(O, ", -1"); 
+    op_addImm(MI, -1);
     return;
     break;
   }
 
 
-  // Fragment 2 encoded into 4 bits for 16 unique commands.
-  //printf("Frag-2: %"PRIu64"\n", (Bits >> 23) & 15);
-  switch ((Bits >> 23) & 15) {
-  default:   // unreachable.
+  // Fragment 2 encoded into 5 bits for 17 unique commands.
+  //printf("Frag-2: %"PRIu64"\n", (Bits >> 23) & 31);
+  switch ((Bits >> 23) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADD4, ADD4TLS, ADD4o, ADD8, ADD8TLS, ADD8TLS_, ADD8o, ADDC, ADDC8, ADD...
     printOperand(MI, 1, O); 
@@ -3873,6 +4511,11 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 15:
+    // QVGPCI
+    printU12ImmOperand(MI, 1, O); 
+    return;
+    break;
+  case 16:
     // VSPLTISB, VSPLTISH, VSPLTISW
     printS5ImmOperand(MI, 1, O); 
     return;
@@ -3881,9 +4524,9 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 3 encoded into 4 bits for 9 unique commands.
-  //printf("Frag-3: %"PRIu64"\n", (Bits >> 27) & 15);
-  switch ((Bits >> 27) & 15) {
-  default:   // unreachable.
+  //printf("Frag-3: %"PRIu64"\n", (Bits >> 28) & 15);
+  switch ((Bits >> 28) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADD4, ADD4TLS, ADD4o, ADD8, ADD8TLS, ADD8TLS_, ADD8o, ADDC, ADDC8, ADD...
     SStream_concat0(O, ", "); 
@@ -3939,10 +4582,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 4 encoded into 4 bits for 9 unique commands.
-  //printf("Frag-4: %"PRIu64"\n", (Bits >> 31) & 15);
-  switch ((Bits >> 31) & 15) {
-  default:   // unreachable.
+  // Fragment 4 encoded into 4 bits for 10 unique commands.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 32) & 15);
+  switch ((Bits >> 32) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADD4, ADD4TLS, ADD4o, ADD8, ADD8TLS, ADD8TLS_, ADD8o, ADDC, ADDC8, ADD...
     printOperand(MI, 2, O); 
@@ -3971,16 +4614,23 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 6:
-    // XXSPLTW
+    // QVESPLATI, QVESPLATIb, QVESPLATIs, XXSPLTW
     printU2ImmOperand(MI, 2, O); 
     return;
     break;
   case 7:
+    // QVFMADD, QVFMADDS, QVFMADDSs, QVFMSUB, QVFMSUBS, QVFMSUBSs, QVFNMADD, ...
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
+    return;
+    break;
+  case 8:
     // gBC, gBCL
     printBranchOperand(MI, 2, O); 
     return;
     break;
-  case 8:
+  case 9:
     // gBCA, gBCLA
     printAbsBranchOperand(MI, 2, O); 
     return;
@@ -3989,8 +4639,8 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 5 encoded into 1 bits for 2 unique commands.
-  //printf("Frag-5: %"PRIu64"\n", (Bits >> 35) & 1);
-  if ((Bits >> 35) & 1) {
+  //printf("Frag-5: %"PRIu64"\n", (Bits >> 36) & 1);
+  if ((Bits >> 36) & 1) {
     // CLRLSLDI, CLRLSLDIo, CLRLSLWI, CLRLSLWIo, EXTLDI, EXTLDIo, EXTLWI, EXT...
     SStream_concat0(O, ", "); 
   } else {
@@ -3999,10 +4649,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 6 encoded into 2 bits for 4 unique commands.
-  //printf("Frag-6: %"PRIu64"\n", (Bits >> 36) & 3);
-  switch ((Bits >> 36) & 3) {
-  default:   // unreachable.
+  // Fragment 6 encoded into 3 bits for 5 unique commands.
+  //printf("Frag-6: %"PRIu64"\n", (Bits >> 37) & 7);
+  switch ((Bits >> 37) & 7) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // CLRLSLDI, CLRLSLDIo, EXTLDI, EXTLDIo, EXTRDI, EXTRDIo, INSRDI, INSRDIo...
     printU6ImmOperand(MI, 3, O); 
@@ -4018,17 +4668,22 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 3:
-    // XXPERMDI, XXSLDWI
+    // QVALIGNI, QVALIGNIb, QVALIGNIs, XXPERMDI, XXSLDWI
     printU2ImmOperand(MI, 3, O); 
     return;
     break;
+  case 4:
+    // QVFLOGICAL, QVFLOGICALb, QVFLOGICALs
+    printU12ImmOperand(MI, 3, O); 
+    return;
+    break;
   }
 
 
   // Fragment 7 encoded into 1 bits for 2 unique commands.
-  //printf("Frag-7: %"PRIu64"\n", (Bits >> 38) & 1);
-  if ((Bits >> 38) & 1) {
-    // RLWINM, RLWINM8, RLWINM8o, RLWINMo, RLWNM, RLWNMo
+  //printf("Frag-7: %"PRIu64"\n", (Bits >> 40) & 1);
+  if ((Bits >> 40) & 1) {
+    // RLWINM, RLWINM8, RLWINM8o, RLWINMo, RLWNM, RLWNM8, RLWNM8o, RLWNMo
     SStream_concat0(O, ", "); 
     printU5ImmOperand(MI, 4, O); 
     return;
@@ -4045,210 +4700,243 @@ static void printInstruction(MCInst *MI,
 /// for the specified register.
 static const char *getRegisterName(unsigned RegNo)
 {
-  // assert(RegNo && RegNo < 279 && "Invalid register number!");
+  // assert(RegNo && RegNo < 310 && "Invalid register number!");
 
   static const char AsmStrs[] = {
   /* 0 */ '*', '*', 'R', 'O', 'U', 'N', 'D', 'I', 'N', 'G', 32, 'M', 'O', 'D', 'E', '*', '*', 0,
   /* 18 */ '*', '*', 'F', 'R', 'A', 'M', 'E', 32, 'P', 'O', 'I', 'N', 'T', 'E', 'R', '*', '*', 0,
   /* 36 */ '*', '*', 'B', 'A', 'S', 'E', 32, 'P', 'O', 'I', 'N', 'T', 'E', 'R', '*', '*', 0,
   /* 53 */ 'f', '1', '0', 0,
-  /* 57 */ 'r', '1', '0', 0,
-  /* 61 */ 'v', 's', '1', '0', 0,
-  /* 66 */ 'v', '1', '0', 0,
-  /* 70 */ 'f', '2', '0', 0,
-  /* 74 */ 'r', '2', '0', 0,
-  /* 78 */ 'v', 's', '2', '0', 0,
-  /* 83 */ 'v', '2', '0', 0,
-  /* 87 */ 'f', '3', '0', 0,
-  /* 91 */ 'r', '3', '0', 0,
-  /* 95 */ 'v', 's', '3', '0', 0,
-  /* 100 */ 'v', '3', '0', 0,
-  /* 104 */ 'v', 's', '4', '0', 0,
-  /* 109 */ 'v', 's', '5', '0', 0,
-  /* 114 */ 'v', 's', '6', '0', 0,
-  /* 119 */ 'f', '0', 0,
-  /* 122 */ 'c', 'r', '0', 0,
-  /* 126 */ 'v', 's', '0', 0,
-  /* 130 */ 'v', '0', 0,
-  /* 133 */ 'f', '1', '1', 0,
-  /* 137 */ 'r', '1', '1', 0,
-  /* 141 */ 'v', 's', '1', '1', 0,
-  /* 146 */ 'v', '1', '1', 0,
-  /* 150 */ 'f', '2', '1', 0,
-  /* 154 */ 'r', '2', '1', 0,
-  /* 158 */ 'v', 's', '2', '1', 0,
-  /* 163 */ 'v', '2', '1', 0,
-  /* 167 */ 'f', '3', '1', 0,
-  /* 171 */ 'r', '3', '1', 0,
-  /* 175 */ 'v', 's', '3', '1', 0,
-  /* 180 */ 'v', '3', '1', 0,
-  /* 184 */ 'v', 's', '4', '1', 0,
-  /* 189 */ 'v', 's', '5', '1', 0,
-  /* 194 */ 'v', 's', '6', '1', 0,
-  /* 199 */ 'f', '1', 0,
-  /* 202 */ 'c', 'r', '1', 0,
-  /* 206 */ 'v', 's', '1', 0,
-  /* 210 */ 'v', '1', 0,
-  /* 213 */ 'f', '1', '2', 0,
-  /* 217 */ 'r', '1', '2', 0,
-  /* 221 */ 'v', 's', '1', '2', 0,
-  /* 226 */ 'v', '1', '2', 0,
-  /* 230 */ 'f', '2', '2', 0,
-  /* 234 */ 'r', '2', '2', 0,
-  /* 238 */ 'v', 's', '2', '2', 0,
-  /* 243 */ 'v', '2', '2', 0,
-  /* 247 */ 'v', 's', '3', '2', 0,
-  /* 252 */ 'v', 's', '4', '2', 0,
-  /* 257 */ 'v', 's', '5', '2', 0,
-  /* 262 */ 'v', 's', '6', '2', 0,
-  /* 267 */ 'f', '2', 0,
-  /* 270 */ 'c', 'r', '2', 0,
-  /* 274 */ 'v', 's', '2', 0,
-  /* 278 */ 'v', '2', 0,
-  /* 281 */ 'f', '1', '3', 0,
-  /* 285 */ 'r', '1', '3', 0,
-  /* 289 */ 'v', 's', '1', '3', 0,
-  /* 294 */ 'v', '1', '3', 0,
-  /* 298 */ 'f', '2', '3', 0,
-  /* 302 */ 'r', '2', '3', 0,
-  /* 306 */ 'v', 's', '2', '3', 0,
-  /* 311 */ 'v', '2', '3', 0,
-  /* 315 */ 'v', 's', '3', '3', 0,
-  /* 320 */ 'v', 's', '4', '3', 0,
-  /* 325 */ 'v', 's', '5', '3', 0,
-  /* 330 */ 'v', 's', '6', '3', 0,
-  /* 335 */ 'f', '3', 0,
-  /* 338 */ 'c', 'r', '3', 0,
-  /* 342 */ 'v', 's', '3', 0,
-  /* 346 */ 'v', '3', 0,
-  /* 349 */ 'f', '1', '4', 0,
-  /* 353 */ 'r', '1', '4', 0,
-  /* 357 */ 'v', 's', '1', '4', 0,
-  /* 362 */ 'v', '1', '4', 0,
-  /* 366 */ 'f', '2', '4', 0,
-  /* 370 */ 'r', '2', '4', 0,
-  /* 374 */ 'v', 's', '2', '4', 0,
-  /* 379 */ 'v', '2', '4', 0,
-  /* 383 */ 'v', 's', '3', '4', 0,
-  /* 388 */ 'v', 's', '4', '4', 0,
-  /* 393 */ 'v', 's', '5', '4', 0,
-  /* 398 */ 'f', '4', 0,
-  /* 401 */ 'c', 'r', '4', 0,
-  /* 405 */ 'v', 's', '4', 0,
-  /* 409 */ 'v', '4', 0,
-  /* 412 */ 'f', '1', '5', 0,
-  /* 416 */ 'r', '1', '5', 0,
-  /* 420 */ 'v', 's', '1', '5', 0,
-  /* 425 */ 'v', '1', '5', 0,
-  /* 429 */ 'f', '2', '5', 0,
-  /* 433 */ 'r', '2', '5', 0,
-  /* 437 */ 'v', 's', '2', '5', 0,
-  /* 442 */ 'v', '2', '5', 0,
-  /* 446 */ 'v', 's', '3', '5', 0,
-  /* 451 */ 'v', 's', '4', '5', 0,
-  /* 456 */ 'v', 's', '5', '5', 0,
-  /* 461 */ 'f', '5', 0,
-  /* 464 */ 'c', 'r', '5', 0,
-  /* 468 */ 'v', 's', '5', 0,
-  /* 472 */ 'v', '5', 0,
-  /* 475 */ 'f', '1', '6', 0,
-  /* 479 */ 'r', '1', '6', 0,
-  /* 483 */ 'v', 's', '1', '6', 0,
-  /* 488 */ 'v', '1', '6', 0,
-  /* 492 */ 'f', '2', '6', 0,
-  /* 496 */ 'r', '2', '6', 0,
-  /* 500 */ 'v', 's', '2', '6', 0,
-  /* 505 */ 'v', '2', '6', 0,
-  /* 509 */ 'v', 's', '3', '6', 0,
-  /* 514 */ 'v', 's', '4', '6', 0,
-  /* 519 */ 'v', 's', '5', '6', 0,
-  /* 524 */ 'f', '6', 0,
-  /* 527 */ 'c', 'r', '6', 0,
-  /* 531 */ 'v', 's', '6', 0,
-  /* 535 */ 'v', '6', 0,
-  /* 538 */ 'f', '1', '7', 0,
-  /* 542 */ 'r', '1', '7', 0,
-  /* 546 */ 'v', 's', '1', '7', 0,
-  /* 551 */ 'v', '1', '7', 0,
-  /* 555 */ 'f', '2', '7', 0,
-  /* 559 */ 'r', '2', '7', 0,
-  /* 563 */ 'v', 's', '2', '7', 0,
-  /* 568 */ 'v', '2', '7', 0,
-  /* 572 */ 'v', 's', '3', '7', 0,
-  /* 577 */ 'v', 's', '4', '7', 0,
-  /* 582 */ 'v', 's', '5', '7', 0,
-  /* 587 */ 'f', '7', 0,
-  /* 590 */ 'c', 'r', '7', 0,
-  /* 594 */ 'v', 's', '7', 0,
-  /* 598 */ 'v', '7', 0,
-  /* 601 */ 'f', '1', '8', 0,
-  /* 605 */ 'r', '1', '8', 0,
-  /* 609 */ 'v', 's', '1', '8', 0,
-  /* 614 */ 'v', '1', '8', 0,
-  /* 618 */ 'f', '2', '8', 0,
-  /* 622 */ 'r', '2', '8', 0,
-  /* 626 */ 'v', 's', '2', '8', 0,
-  /* 631 */ 'v', '2', '8', 0,
-  /* 635 */ 'v', 's', '3', '8', 0,
-  /* 640 */ 'v', 's', '4', '8', 0,
-  /* 645 */ 'v', 's', '5', '8', 0,
-  /* 650 */ 'f', '8', 0,
-  /* 653 */ 'r', '8', 0,
-  /* 656 */ 'v', 's', '8', 0,
-  /* 660 */ 'v', '8', 0,
-  /* 663 */ 'f', '1', '9', 0,
-  /* 667 */ 'r', '1', '9', 0,
-  /* 671 */ 'v', 's', '1', '9', 0,
-  /* 676 */ 'v', '1', '9', 0,
-  /* 680 */ 'f', '2', '9', 0,
-  /* 684 */ 'r', '2', '9', 0,
-  /* 688 */ 'v', 's', '2', '9', 0,
-  /* 693 */ 'v', '2', '9', 0,
-  /* 697 */ 'v', 's', '3', '9', 0,
-  /* 702 */ 'v', 's', '4', '9', 0,
-  /* 707 */ 'v', 's', '5', '9', 0,
-  /* 712 */ 'f', '9', 0,
-  /* 715 */ 'r', '9', 0,
-  /* 718 */ 'v', 's', '9', 0,
-  /* 722 */ 'v', '9', 0,
-  /* 725 */ 'c', 'a', 0,
-  /* 728 */ 'c', 'c', 0,
-  /* 731 */ 'v', 'r', 's', 'a', 'v', 'e', 0,
-  /* 738 */ 'l', 'r', 0,
-  /* 741 */ 'c', 't', 'r', 0,
+  /* 57 */ 'q', '1', '0', 0,
+  /* 61 */ 'r', '1', '0', 0,
+  /* 65 */ 'v', 's', '1', '0', 0,
+  /* 70 */ 'v', '1', '0', 0,
+  /* 74 */ 'f', '2', '0', 0,
+  /* 78 */ 'q', '2', '0', 0,
+  /* 82 */ 'r', '2', '0', 0,
+  /* 86 */ 'v', 's', '2', '0', 0,
+  /* 91 */ 'v', '2', '0', 0,
+  /* 95 */ 'f', '3', '0', 0,
+  /* 99 */ 'q', '3', '0', 0,
+  /* 103 */ 'r', '3', '0', 0,
+  /* 107 */ 'v', 's', '3', '0', 0,
+  /* 112 */ 'v', '3', '0', 0,
+  /* 116 */ 'v', 's', '4', '0', 0,
+  /* 121 */ 'v', 's', '5', '0', 0,
+  /* 126 */ 'v', 's', '6', '0', 0,
+  /* 131 */ 'f', '0', 0,
+  /* 134 */ 'q', '0', 0,
+  /* 137 */ 'c', 'r', '0', 0,
+  /* 141 */ 'v', 's', '0', 0,
+  /* 145 */ 'v', '0', 0,
+  /* 148 */ 'f', '1', '1', 0,
+  /* 152 */ 'q', '1', '1', 0,
+  /* 156 */ 'r', '1', '1', 0,
+  /* 160 */ 'v', 's', '1', '1', 0,
+  /* 165 */ 'v', '1', '1', 0,
+  /* 169 */ 'f', '2', '1', 0,
+  /* 173 */ 'q', '2', '1', 0,
+  /* 177 */ 'r', '2', '1', 0,
+  /* 181 */ 'v', 's', '2', '1', 0,
+  /* 186 */ 'v', '2', '1', 0,
+  /* 190 */ 'f', '3', '1', 0,
+  /* 194 */ 'q', '3', '1', 0,
+  /* 198 */ 'r', '3', '1', 0,
+  /* 202 */ 'v', 's', '3', '1', 0,
+  /* 207 */ 'v', '3', '1', 0,
+  /* 211 */ 'v', 's', '4', '1', 0,
+  /* 216 */ 'v', 's', '5', '1', 0,
+  /* 221 */ 'v', 's', '6', '1', 0,
+  /* 226 */ 'f', '1', 0,
+  /* 229 */ 'q', '1', 0,
+  /* 232 */ 'c', 'r', '1', 0,
+  /* 236 */ 'v', 's', '1', 0,
+  /* 240 */ 'v', '1', 0,
+  /* 243 */ 'f', '1', '2', 0,
+  /* 247 */ 'q', '1', '2', 0,
+  /* 251 */ 'r', '1', '2', 0,
+  /* 255 */ 'v', 's', '1', '2', 0,
+  /* 260 */ 'v', '1', '2', 0,
+  /* 264 */ 'f', '2', '2', 0,
+  /* 268 */ 'q', '2', '2', 0,
+  /* 272 */ 'r', '2', '2', 0,
+  /* 276 */ 'v', 's', '2', '2', 0,
+  /* 281 */ 'v', '2', '2', 0,
+  /* 285 */ 'v', 's', '3', '2', 0,
+  /* 290 */ 'v', 's', '4', '2', 0,
+  /* 295 */ 'v', 's', '5', '2', 0,
+  /* 300 */ 'v', 's', '6', '2', 0,
+  /* 305 */ 'f', '2', 0,
+  /* 308 */ 'q', '2', 0,
+  /* 311 */ 'c', 'r', '2', 0,
+  /* 315 */ 'v', 's', '2', 0,
+  /* 319 */ 'v', '2', 0,
+  /* 322 */ 'f', '1', '3', 0,
+  /* 326 */ 'q', '1', '3', 0,
+  /* 330 */ 'r', '1', '3', 0,
+  /* 334 */ 'v', 's', '1', '3', 0,
+  /* 339 */ 'v', '1', '3', 0,
+  /* 343 */ 'f', '2', '3', 0,
+  /* 347 */ 'q', '2', '3', 0,
+  /* 351 */ 'r', '2', '3', 0,
+  /* 355 */ 'v', 's', '2', '3', 0,
+  /* 360 */ 'v', '2', '3', 0,
+  /* 364 */ 'v', 's', '3', '3', 0,
+  /* 369 */ 'v', 's', '4', '3', 0,
+  /* 374 */ 'v', 's', '5', '3', 0,
+  /* 379 */ 'v', 's', '6', '3', 0,
+  /* 384 */ 'f', '3', 0,
+  /* 387 */ 'q', '3', 0,
+  /* 390 */ 'c', 'r', '3', 0,
+  /* 394 */ 'v', 's', '3', 0,
+  /* 398 */ 'v', '3', 0,
+  /* 401 */ 'f', '1', '4', 0,
+  /* 405 */ 'q', '1', '4', 0,
+  /* 409 */ 'r', '1', '4', 0,
+  /* 413 */ 'v', 's', '1', '4', 0,
+  /* 418 */ 'v', '1', '4', 0,
+  /* 422 */ 'f', '2', '4', 0,
+  /* 426 */ 'q', '2', '4', 0,
+  /* 430 */ 'r', '2', '4', 0,
+  /* 434 */ 'v', 's', '2', '4', 0,
+  /* 439 */ 'v', '2', '4', 0,
+  /* 443 */ 'v', 's', '3', '4', 0,
+  /* 448 */ 'v', 's', '4', '4', 0,
+  /* 453 */ 'v', 's', '5', '4', 0,
+  /* 458 */ 'f', '4', 0,
+  /* 461 */ 'q', '4', 0,
+  /* 464 */ 'c', 'r', '4', 0,
+  /* 468 */ 'v', 's', '4', 0,
+  /* 472 */ 'v', '4', 0,
+  /* 475 */ 'f', '1', '5', 0,
+  /* 479 */ 'q', '1', '5', 0,
+  /* 483 */ 'r', '1', '5', 0,
+  /* 487 */ 'v', 's', '1', '5', 0,
+  /* 492 */ 'v', '1', '5', 0,
+  /* 496 */ 'f', '2', '5', 0,
+  /* 500 */ 'q', '2', '5', 0,
+  /* 504 */ 'r', '2', '5', 0,
+  /* 508 */ 'v', 's', '2', '5', 0,
+  /* 513 */ 'v', '2', '5', 0,
+  /* 517 */ 'v', 's', '3', '5', 0,
+  /* 522 */ 'v', 's', '4', '5', 0,
+  /* 527 */ 'v', 's', '5', '5', 0,
+  /* 532 */ 'f', '5', 0,
+  /* 535 */ 'q', '5', 0,
+  /* 538 */ 'c', 'r', '5', 0,
+  /* 542 */ 'v', 's', '5', 0,
+  /* 546 */ 'v', '5', 0,
+  /* 549 */ 'f', '1', '6', 0,
+  /* 553 */ 'q', '1', '6', 0,
+  /* 557 */ 'r', '1', '6', 0,
+  /* 561 */ 'v', 's', '1', '6', 0,
+  /* 566 */ 'v', '1', '6', 0,
+  /* 570 */ 'f', '2', '6', 0,
+  /* 574 */ 'q', '2', '6', 0,
+  /* 578 */ 'r', '2', '6', 0,
+  /* 582 */ 'v', 's', '2', '6', 0,
+  /* 587 */ 'v', '2', '6', 0,
+  /* 591 */ 'v', 's', '3', '6', 0,
+  /* 596 */ 'v', 's', '4', '6', 0,
+  /* 601 */ 'v', 's', '5', '6', 0,
+  /* 606 */ 'f', '6', 0,
+  /* 609 */ 'q', '6', 0,
+  /* 612 */ 'c', 'r', '6', 0,
+  /* 616 */ 'v', 's', '6', 0,
+  /* 620 */ 'v', '6', 0,
+  /* 623 */ 'f', '1', '7', 0,
+  /* 627 */ 'q', '1', '7', 0,
+  /* 631 */ 'r', '1', '7', 0,
+  /* 635 */ 'v', 's', '1', '7', 0,
+  /* 640 */ 'v', '1', '7', 0,
+  /* 644 */ 'f', '2', '7', 0,
+  /* 648 */ 'q', '2', '7', 0,
+  /* 652 */ 'r', '2', '7', 0,
+  /* 656 */ 'v', 's', '2', '7', 0,
+  /* 661 */ 'v', '2', '7', 0,
+  /* 665 */ 'v', 's', '3', '7', 0,
+  /* 670 */ 'v', 's', '4', '7', 0,
+  /* 675 */ 'v', 's', '5', '7', 0,
+  /* 680 */ 'f', '7', 0,
+  /* 683 */ 'q', '7', 0,
+  /* 686 */ 'c', 'r', '7', 0,
+  /* 690 */ 'v', 's', '7', 0,
+  /* 694 */ 'v', '7', 0,
+  /* 697 */ 'f', '1', '8', 0,
+  /* 701 */ 'q', '1', '8', 0,
+  /* 705 */ 'r', '1', '8', 0,
+  /* 709 */ 'v', 's', '1', '8', 0,
+  /* 714 */ 'v', '1', '8', 0,
+  /* 718 */ 'f', '2', '8', 0,
+  /* 722 */ 'q', '2', '8', 0,
+  /* 726 */ 'r', '2', '8', 0,
+  /* 730 */ 'v', 's', '2', '8', 0,
+  /* 735 */ 'v', '2', '8', 0,
+  /* 739 */ 'v', 's', '3', '8', 0,
+  /* 744 */ 'v', 's', '4', '8', 0,
+  /* 749 */ 'v', 's', '5', '8', 0,
+  /* 754 */ 'f', '8', 0,
+  /* 757 */ 'q', '8', 0,
+  /* 760 */ 'r', '8', 0,
+  /* 763 */ 'v', 's', '8', 0,
+  /* 767 */ 'v', '8', 0,
+  /* 770 */ 'f', '1', '9', 0,
+  /* 774 */ 'q', '1', '9', 0,
+  /* 778 */ 'r', '1', '9', 0,
+  /* 782 */ 'v', 's', '1', '9', 0,
+  /* 787 */ 'v', '1', '9', 0,
+  /* 791 */ 'f', '2', '9', 0,
+  /* 795 */ 'q', '2', '9', 0,
+  /* 799 */ 'r', '2', '9', 0,
+  /* 803 */ 'v', 's', '2', '9', 0,
+  /* 808 */ 'v', '2', '9', 0,
+  /* 812 */ 'v', 's', '3', '9', 0,
+  /* 817 */ 'v', 's', '4', '9', 0,
+  /* 822 */ 'v', 's', '5', '9', 0,
+  /* 827 */ 'f', '9', 0,
+  /* 830 */ 'q', '9', 0,
+  /* 833 */ 'r', '9', 0,
+  /* 836 */ 'v', 's', '9', 0,
+  /* 840 */ 'v', '9', 0,
+  /* 843 */ 'c', 'a', 0,
+  /* 846 */ 'v', 'r', 's', 'a', 'v', 'e', 0,
+  /* 853 */ 'l', 'r', 0,
+  /* 856 */ 'c', 't', 'r', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    36, 725, 728, 741, 18, 738, 0, 731, 55, 36, 122, 202, 270, 338, 
-    401, 464, 527, 590, 741, 119, 199, 267, 335, 398, 461, 524, 587, 650, 
-    712, 53, 133, 213, 281, 349, 412, 475, 538, 601, 663, 70, 150, 230, 
-    298, 366, 429, 492, 555, 618, 680, 87, 167, 18, 738, 123, 203, 271, 
-    339, 402, 465, 528, 591, 653, 715, 57, 137, 217, 285, 353, 416, 479, 
-    542, 605, 667, 74, 154, 234, 302, 370, 433, 496, 559, 622, 684, 91, 
-    171, 130, 210, 278, 346, 409, 472, 535, 598, 660, 722, 66, 146, 226, 
-    294, 362, 425, 488, 551, 614, 676, 83, 163, 243, 311, 379, 442, 505, 
-    568, 631, 693, 100, 180, 247, 315, 383, 446, 509, 572, 635, 697, 104, 
-    184, 252, 320, 388, 451, 514, 577, 640, 702, 109, 189, 257, 325, 393, 
-    456, 519, 582, 645, 707, 114, 194, 262, 330, 247, 315, 383, 446, 509, 
-    572, 635, 697, 104, 184, 252, 320, 388, 451, 514, 577, 640, 702, 109, 
-    189, 257, 325, 393, 456, 519, 582, 645, 707, 114, 194, 262, 330, 126, 
-    206, 274, 342, 405, 468, 531, 594, 656, 718, 61, 141, 221, 289, 357, 
-    420, 483, 546, 609, 671, 78, 158, 238, 306, 374, 437, 500, 563, 626, 
-    688, 95, 175, 123, 203, 271, 339, 402, 465, 528, 591, 653, 715, 57, 
-    137, 217, 285, 353, 416, 479, 542, 605, 667, 74, 154, 234, 302, 370, 
-    433, 496, 559, 622, 684, 91, 171, 55, 215, 477, 54, 350, 602, 231, 
-    493, 88, 135, 414, 665, 282, 539, 151, 430, 681, 55, 351, 603, 214, 
-    476, 71, 367, 619, 283, 540, 134, 413, 664, 299, 556, 168, 
+  static const uint16_t RegAsmOffset[] = {
+    36, 843, 856, 18, 853, 0, 846, 55, 36, 137, 232, 311, 390, 464, 
+    538, 612, 686, 856, 131, 226, 305, 384, 458, 532, 606, 680, 754, 827, 
+    53, 148, 243, 322, 401, 475, 549, 623, 697, 770, 74, 169, 264, 343, 
+    422, 496, 570, 644, 718, 791, 95, 190, 18, 853, 134, 229, 308, 387, 
+    461, 535, 609, 683, 757, 830, 57, 152, 247, 326, 405, 479, 553, 627, 
+    701, 774, 78, 173, 268, 347, 426, 500, 574, 648, 722, 795, 99, 194, 
+    138, 233, 312, 391, 465, 539, 613, 687, 760, 833, 61, 156, 251, 330, 
+    409, 483, 557, 631, 705, 778, 82, 177, 272, 351, 430, 504, 578, 652, 
+    726, 799, 103, 198, 145, 240, 319, 398, 472, 546, 620, 694, 767, 840, 
+    70, 165, 260, 339, 418, 492, 566, 640, 714, 787, 91, 186, 281, 360, 
+    439, 513, 587, 661, 735, 808, 112, 207, 285, 364, 443, 517, 591, 665, 
+    739, 812, 116, 211, 290, 369, 448, 522, 596, 670, 744, 817, 121, 216, 
+    295, 374, 453, 527, 601, 675, 749, 822, 126, 221, 300, 379, 285, 364, 
+    443, 517, 591, 665, 739, 812, 116, 211, 290, 369, 448, 522, 596, 670, 
+    744, 817, 121, 216, 295, 374, 453, 527, 601, 675, 749, 822, 126, 221, 
+    300, 379, 141, 236, 315, 394, 468, 542, 616, 690, 763, 836, 65, 160, 
+    255, 334, 413, 487, 561, 635, 709, 782, 86, 181, 276, 355, 434, 508, 
+    582, 656, 730, 803, 107, 202, 138, 233, 312, 391, 465, 539, 613, 687, 
+    760, 833, 61, 156, 251, 330, 409, 483, 557, 631, 705, 778, 82, 177, 
+    272, 351, 430, 504, 578, 652, 726, 799, 103, 198, 55, 245, 551, 54, 
+    402, 698, 265, 571, 96, 150, 477, 772, 323, 624, 170, 497, 792, 55, 
+    403, 699, 244, 550, 75, 423, 719, 324, 625, 149, 476, 771, 344, 645, 
+    191, 
   };
 
   //assert (*(AsmStrs+RegAsmOffset[RegNo-1]) &&
   //       "Invalid alt name index for register!");
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //	  printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
-  return NULL;
 }
 #endif
 
@@ -6028,6 +6716,28 @@ static char *printAliasInstr(MCInst *MI,
       break;
     }
     return NULL;
+  case PPC_CNTLZW:
+    if (MCInst_getNumOperands(MI) == 2 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_GPRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_GPRCRegClassID, 1)) {
+      // (CNTLZW gprc:$rA, gprc:$rS)
+      AsmString = "cntlz $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case PPC_CNTLZWo:
+    if (MCInst_getNumOperands(MI) == 2 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_GPRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_GPRCRegClassID, 1)) {
+      // (CNTLZWo gprc:$rA, gprc:$rS)
+      AsmString = "cntlz. $\x01, $\x02";
+      break;
+    }
+    return NULL;
   case PPC_CREQV:
     if (MCInst_getNumOperands(MI) == 3 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
@@ -6594,6 +7304,54 @@ static char *printAliasInstr(MCInst *MI,
       break;
     }
     return NULL;
+  case PPC_MTFSF:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_F8RCRegClassID, 1) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0 &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
+      // (MTFSF i32imm:$FLM, f8rc:$FRB, 0, 0)
+      AsmString = "mtfsf $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case PPC_MTFSFI:
+    if (MCInst_getNumOperands(MI) == 3 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_CRRCRegClassID, 0) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
+      // (MTFSFI crrc:$BF, i32imm:$U, 0)
+      AsmString = "mtfsfi $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case PPC_MTFSFIo:
+    if (MCInst_getNumOperands(MI) == 3 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_CRRCRegClassID, 0) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0) {
+      // (MTFSFIo crrc:$BF, i32imm:$U, 0)
+      AsmString = "mtfsfi. $\x01, $\x02";
+      break;
+    }
+    return NULL;
+  case PPC_MTFSFo:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_F8RCRegClassID, 1) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0 &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
+      // (MTFSFo i32imm:$FLM, f8rc:$FRB, 0, 0)
+      AsmString = "mtfsf. $\x01, $\x02";
+      break;
+    }
+    return NULL;
   case PPC_MTMSR:
     if (MCInst_getNumOperands(MI) == 2 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
@@ -6985,6 +7743,164 @@ static char *printAliasInstr(MCInst *MI,
       break;
     }
     return NULL;
+  case PPC_QVFLOGICALb:
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0)) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0)) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 0) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRT, qbrc:$FRT, 0)
+      AsmString = "qvfclr $\x01";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 1) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 1)
+      AsmString = "qvfand $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 4) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 4)
+      AsmString = "qvfandc $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 1)) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 5) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRA, 5)
+      AsmString = "qvfctfb $\x01, $\x02";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 6) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 6)
+      AsmString = "qvfxor $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 7) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 7)
+      AsmString = "qvfor $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 8) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 8)
+      AsmString = "qvfnor $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 9) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 9)
+      AsmString = "qvfequ $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 1)) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 10) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRA, 10)
+      AsmString = "qvfnot $\x01, $\x02";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 13) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 13)
+      AsmString = "qvforc $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 1) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 2) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 14) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRA, qbrc:$FRB, 14)
+      AsmString = "qvfnand $\x01, $\x02, $\x03";
+      break;
+    }
+    if (MCInst_getNumOperands(MI) == 4 &&
+        MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+        GETREGCLASS_CONTAIN(PPC_QBRCRegClassID, 0) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 0)) &&
+        MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+        MCOperand_getReg(MCInst_getOperand(MI, 2)) == MCOperand_getReg(MCInst_getOperand(MI, 0)) &&
+        MCOperand_isImm(MCInst_getOperand(MI, 3)) &&
+        MCOperand_getImm(MCInst_getOperand(MI, 3)) == 15) {
+      // (QVFLOGICALb qbrc:$FRT, qbrc:$FRT, qbrc:$FRT, 15)
+      AsmString = "qvfset $\x01";
+      break;
+    }
+    return NULL;
   case PPC_RLDCL:
     if (MCInst_getNumOperands(MI) == 4 &&
         MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenDisassemblerTables.inc 4.0.2-3/arch/PowerPC/PPCGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -30,2211 +30,2772 @@ FieldFromInstruction(fieldFromInstructio
 
 static const uint8_t DecoderTable32[] = {
 /* 0 */       MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
-/* 3 */       MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 11
-/* 7 */       MCD_OPC_Decode, 161, 7, 0, // Opcode: TDI
-/* 11 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 19
-/* 15 */      MCD_OPC_Decode, 178, 7, 1, // Opcode: TWI
-/* 19 */      MCD_OPC_FilterValue, 4, 155, 5, // Skip to: 1458
-/* 23 */      MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 26 */      MCD_OPC_FilterValue, 0, 163, 0, // Skip to: 193
-/* 30 */      MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 33 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 41
-/* 37 */      MCD_OPC_Decode, 186, 7, 2, // Opcode: VADDUBM
-/* 41 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 49
-/* 45 */      MCD_OPC_Decode, 188, 7, 2, // Opcode: VADDUHM
-/* 49 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 57
-/* 53 */      MCD_OPC_Decode, 190, 7, 2, // Opcode: VADDUWM
-/* 57 */      MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 65
-/* 61 */      MCD_OPC_Decode, 181, 7, 2, // Opcode: VADDCUW
-/* 65 */      MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 73
-/* 69 */      MCD_OPC_Decode, 187, 7, 2, // Opcode: VADDUBS
-/* 73 */      MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 81
-/* 77 */      MCD_OPC_Decode, 189, 7, 2, // Opcode: VADDUHS
-/* 81 */      MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 89
-/* 85 */      MCD_OPC_Decode, 191, 7, 2, // Opcode: VADDUWS
-/* 89 */      MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 97
-/* 93 */      MCD_OPC_Decode, 183, 7, 2, // Opcode: VADDSBS
-/* 97 */      MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 105
-/* 101 */     MCD_OPC_Decode, 184, 7, 2, // Opcode: VADDSHS
-/* 105 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 113
-/* 109 */     MCD_OPC_Decode, 185, 7, 2, // Opcode: VADDSWS
-/* 113 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 121
-/* 117 */     MCD_OPC_Decode, 194, 8, 2, // Opcode: VSUBUBM
-/* 121 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 129
-/* 125 */     MCD_OPC_Decode, 196, 8, 2, // Opcode: VSUBUHM
-/* 129 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 137
-/* 133 */     MCD_OPC_Decode, 198, 8, 2, // Opcode: VSUBUWM
-/* 137 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 145
-/* 141 */     MCD_OPC_Decode, 189, 8, 2, // Opcode: VSUBCUW
-/* 145 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 153
-/* 149 */     MCD_OPC_Decode, 195, 8, 2, // Opcode: VSUBUBS
-/* 153 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 161
-/* 157 */     MCD_OPC_Decode, 197, 8, 2, // Opcode: VSUBUHS
-/* 161 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 169
-/* 165 */     MCD_OPC_Decode, 199, 8, 2, // Opcode: VSUBUWS
-/* 169 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 177
-/* 173 */     MCD_OPC_Decode, 191, 8, 2, // Opcode: VSUBSBS
-/* 177 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 185
-/* 181 */     MCD_OPC_Decode, 192, 8, 2, // Opcode: VSUBSHS
-/* 185 */     MCD_OPC_FilterValue, 30, 223, 35, // Skip to: 9372
-/* 189 */     MCD_OPC_Decode, 193, 8, 2, // Opcode: VSUBSWS
-/* 193 */     MCD_OPC_FilterValue, 2, 147, 0, // Skip to: 344
-/* 197 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 200 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 208
-/* 204 */     MCD_OPC_Decode, 241, 7, 2, // Opcode: VMAXUB
-/* 208 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 216
-/* 212 */     MCD_OPC_Decode, 242, 7, 2, // Opcode: VMAXUH
-/* 216 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 224
-/* 220 */     MCD_OPC_Decode, 243, 7, 2, // Opcode: VMAXUW
-/* 224 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 232
-/* 228 */     MCD_OPC_Decode, 238, 7, 2, // Opcode: VMAXSB
-/* 232 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 240
-/* 236 */     MCD_OPC_Decode, 239, 7, 2, // Opcode: VMAXSH
-/* 240 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 248
-/* 244 */     MCD_OPC_Decode, 240, 7, 2, // Opcode: VMAXSW
-/* 248 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 256
-/* 252 */     MCD_OPC_Decode, 250, 7, 2, // Opcode: VMINUB
-/* 256 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 264
-/* 260 */     MCD_OPC_Decode, 251, 7, 2, // Opcode: VMINUH
-/* 264 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 272
-/* 268 */     MCD_OPC_Decode, 252, 7, 2, // Opcode: VMINUW
-/* 272 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 280
-/* 276 */     MCD_OPC_Decode, 247, 7, 2, // Opcode: VMINSB
-/* 280 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 288
-/* 284 */     MCD_OPC_Decode, 248, 7, 2, // Opcode: VMINSH
-/* 288 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 296
-/* 292 */     MCD_OPC_Decode, 249, 7, 2, // Opcode: VMINSW
-/* 296 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 304
-/* 300 */     MCD_OPC_Decode, 197, 7, 2, // Opcode: VAVGUB
-/* 304 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 312
-/* 308 */     MCD_OPC_Decode, 198, 7, 2, // Opcode: VAVGUH
-/* 312 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 320
-/* 316 */     MCD_OPC_Decode, 199, 7, 2, // Opcode: VAVGUW
-/* 320 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 328
-/* 324 */     MCD_OPC_Decode, 194, 7, 2, // Opcode: VAVGSB
-/* 328 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 336
-/* 332 */     MCD_OPC_Decode, 195, 7, 2, // Opcode: VAVGSH
-/* 336 */     MCD_OPC_FilterValue, 22, 72, 35, // Skip to: 9372
-/* 340 */     MCD_OPC_Decode, 196, 7, 2, // Opcode: VAVGSW
-/* 344 */     MCD_OPC_FilterValue, 4, 183, 0, // Skip to: 531
-/* 348 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 351 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 359
-/* 355 */     MCD_OPC_Decode, 164, 8, 2, // Opcode: VRLB
-/* 359 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 367
-/* 363 */     MCD_OPC_Decode, 165, 8, 2, // Opcode: VRLH
-/* 367 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 375
-/* 371 */     MCD_OPC_Decode, 166, 8, 2, // Opcode: VRLW
-/* 375 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 383
-/* 379 */     MCD_OPC_Decode, 170, 8, 2, // Opcode: VSLB
-/* 383 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 391
-/* 387 */     MCD_OPC_Decode, 172, 8, 2, // Opcode: VSLH
-/* 391 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 399
-/* 395 */     MCD_OPC_Decode, 174, 8, 2, // Opcode: VSLW
-/* 399 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 407
-/* 403 */     MCD_OPC_Decode, 169, 8, 2, // Opcode: VSL
-/* 407 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 415
-/* 411 */     MCD_OPC_Decode, 185, 8, 2, // Opcode: VSRB
-/* 415 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 423
-/* 419 */     MCD_OPC_Decode, 186, 8, 2, // Opcode: VSRH
-/* 423 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 431
-/* 427 */     MCD_OPC_Decode, 188, 8, 2, // Opcode: VSRW
-/* 431 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 439
-/* 435 */     MCD_OPC_Decode, 181, 8, 2, // Opcode: VSR
-/* 439 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 447
-/* 443 */     MCD_OPC_Decode, 182, 8, 2, // Opcode: VSRAB
-/* 447 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 455
-/* 451 */     MCD_OPC_Decode, 183, 8, 2, // Opcode: VSRAH
-/* 455 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 463
-/* 459 */     MCD_OPC_Decode, 184, 8, 2, // Opcode: VSRAW
-/* 463 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 471
-/* 467 */     MCD_OPC_Decode, 192, 7, 2, // Opcode: VAND
-/* 471 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 479
-/* 475 */     MCD_OPC_Decode, 193, 7, 2, // Opcode: VANDC
-/* 479 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 487
-/* 483 */     MCD_OPC_Decode, 148, 8, 2, // Opcode: VOR
-/* 487 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 495
-/* 491 */     MCD_OPC_Decode, 211, 8, 2, // Opcode: VXOR
-/* 495 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 503
-/* 499 */     MCD_OPC_Decode, 147, 8, 2, // Opcode: VNOR
-/* 503 */     MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 517
-/* 507 */     MCD_OPC_CheckField, 11, 10, 0, 155, 34, // Skip to: 9372
-/* 513 */     MCD_OPC_Decode, 177, 5, 3, // Opcode: MFVSCR
-/* 517 */     MCD_OPC_FilterValue, 25, 147, 34, // Skip to: 9372
-/* 521 */     MCD_OPC_CheckField, 16, 10, 0, 141, 34, // Skip to: 9372
-/* 527 */     MCD_OPC_Decode, 200, 5, 4, // Opcode: MTVSCR
-/* 531 */     MCD_OPC_FilterValue, 6, 211, 0, // Skip to: 746
-/* 535 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 538 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 546
-/* 542 */     MCD_OPC_Decode, 208, 7, 2, // Opcode: VCMPEQUB
-/* 546 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 554
-/* 550 */     MCD_OPC_Decode, 210, 7, 2, // Opcode: VCMPEQUH
-/* 554 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 562
-/* 558 */     MCD_OPC_Decode, 212, 7, 2, // Opcode: VCMPEQUW
-/* 562 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 570
-/* 566 */     MCD_OPC_Decode, 206, 7, 2, // Opcode: VCMPEQFP
-/* 570 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 578
-/* 574 */     MCD_OPC_Decode, 214, 7, 2, // Opcode: VCMPGEFP
-/* 578 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 586
-/* 582 */     MCD_OPC_Decode, 224, 7, 2, // Opcode: VCMPGTUB
-/* 586 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 594
-/* 590 */     MCD_OPC_Decode, 226, 7, 2, // Opcode: VCMPGTUH
-/* 594 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 602
-/* 598 */     MCD_OPC_Decode, 228, 7, 2, // Opcode: VCMPGTUW
-/* 602 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 610
-/* 606 */     MCD_OPC_Decode, 216, 7, 2, // Opcode: VCMPGTFP
-/* 610 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 618
-/* 614 */     MCD_OPC_Decode, 218, 7, 2, // Opcode: VCMPGTSB
-/* 618 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 626
-/* 622 */     MCD_OPC_Decode, 220, 7, 2, // Opcode: VCMPGTSH
-/* 626 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 634
-/* 630 */     MCD_OPC_Decode, 222, 7, 2, // Opcode: VCMPGTSW
-/* 634 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 642
-/* 638 */     MCD_OPC_Decode, 204, 7, 2, // Opcode: VCMPBFP
-/* 642 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 650
-/* 646 */     MCD_OPC_Decode, 209, 7, 2, // Opcode: VCMPEQUBo
-/* 650 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 658
-/* 654 */     MCD_OPC_Decode, 211, 7, 2, // Opcode: VCMPEQUHo
-/* 658 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 666
-/* 662 */     MCD_OPC_Decode, 213, 7, 2, // Opcode: VCMPEQUWo
-/* 666 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 674
-/* 670 */     MCD_OPC_Decode, 207, 7, 2, // Opcode: VCMPEQFPo
-/* 674 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 682
-/* 678 */     MCD_OPC_Decode, 215, 7, 2, // Opcode: VCMPGEFPo
-/* 682 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 690
-/* 686 */     MCD_OPC_Decode, 225, 7, 2, // Opcode: VCMPGTUBo
-/* 690 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 698
-/* 694 */     MCD_OPC_Decode, 227, 7, 2, // Opcode: VCMPGTUHo
-/* 698 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 706
-/* 702 */     MCD_OPC_Decode, 229, 7, 2, // Opcode: VCMPGTUWo
-/* 706 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 714
-/* 710 */     MCD_OPC_Decode, 217, 7, 2, // Opcode: VCMPGTFPo
-/* 714 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 722
-/* 718 */     MCD_OPC_Decode, 219, 7, 2, // Opcode: VCMPGTSBo
-/* 722 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 730
-/* 726 */     MCD_OPC_Decode, 221, 7, 2, // Opcode: VCMPGTSHo
-/* 730 */     MCD_OPC_FilterValue, 30, 4, 0, // Skip to: 738
-/* 734 */     MCD_OPC_Decode, 223, 7, 2, // Opcode: VCMPGTSWo
-/* 738 */     MCD_OPC_FilterValue, 31, 182, 33, // Skip to: 9372
-/* 742 */     MCD_OPC_Decode, 205, 7, 2, // Opcode: VCMPBFPo
-/* 746 */     MCD_OPC_FilterValue, 8, 107, 0, // Skip to: 857
-/* 750 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 753 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 761
-/* 757 */     MCD_OPC_Decode, 144, 8, 2, // Opcode: VMULOUB
-/* 761 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 769
-/* 765 */     MCD_OPC_Decode, 145, 8, 2, // Opcode: VMULOUH
-/* 769 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 777
-/* 773 */     MCD_OPC_Decode, 142, 8, 2, // Opcode: VMULOSB
-/* 777 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 785
-/* 781 */     MCD_OPC_Decode, 143, 8, 2, // Opcode: VMULOSH
-/* 785 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 793
-/* 789 */     MCD_OPC_Decode, 140, 8, 2, // Opcode: VMULEUB
-/* 793 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 801
-/* 797 */     MCD_OPC_Decode, 141, 8, 2, // Opcode: VMULEUH
-/* 801 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 809
-/* 805 */     MCD_OPC_Decode, 138, 8, 2, // Opcode: VMULESB
-/* 809 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 817
-/* 813 */     MCD_OPC_Decode, 139, 8, 2, // Opcode: VMULESH
-/* 817 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 825
-/* 821 */     MCD_OPC_Decode, 203, 8, 2, // Opcode: VSUM4UBS
-/* 825 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 833
-/* 829 */     MCD_OPC_Decode, 202, 8, 2, // Opcode: VSUM4SHS
-/* 833 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 841
-/* 837 */     MCD_OPC_Decode, 200, 8, 2, // Opcode: VSUM2SWS
-/* 841 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 849
-/* 845 */     MCD_OPC_Decode, 201, 8, 2, // Opcode: VSUM4SBS
-/* 849 */     MCD_OPC_FilterValue, 30, 71, 33, // Skip to: 9372
-/* 853 */     MCD_OPC_Decode, 204, 8, 2, // Opcode: VSUMSWS
-/* 857 */     MCD_OPC_FilterValue, 10, 179, 0, // Skip to: 1040
-/* 861 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 864 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 872
-/* 868 */     MCD_OPC_Decode, 182, 7, 2, // Opcode: VADDFP
-/* 872 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 880
-/* 876 */     MCD_OPC_Decode, 190, 8, 2, // Opcode: VSUBFP
-/* 880 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 894
-/* 884 */     MCD_OPC_CheckField, 16, 5, 0, 34, 33, // Skip to: 9372
-/* 890 */     MCD_OPC_Decode, 159, 8, 5, // Opcode: VREFP
-/* 894 */     MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 908
-/* 898 */     MCD_OPC_CheckField, 16, 5, 0, 20, 33, // Skip to: 9372
-/* 904 */     MCD_OPC_Decode, 167, 8, 5, // Opcode: VRSQRTEFP
-/* 908 */     MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 922
-/* 912 */     MCD_OPC_CheckField, 16, 5, 0, 6, 33, // Skip to: 9372
-/* 918 */     MCD_OPC_Decode, 234, 7, 5, // Opcode: VEXPTEFP
-/* 922 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 936
-/* 926 */     MCD_OPC_CheckField, 16, 5, 0, 248, 32, // Skip to: 9372
-/* 932 */     MCD_OPC_Decode, 235, 7, 5, // Opcode: VLOGEFP
-/* 936 */     MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 950
-/* 940 */     MCD_OPC_CheckField, 16, 5, 0, 234, 32, // Skip to: 9372
-/* 946 */     MCD_OPC_Decode, 161, 8, 5, // Opcode: VRFIN
-/* 950 */     MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 964
-/* 954 */     MCD_OPC_CheckField, 16, 5, 0, 220, 32, // Skip to: 9372
-/* 960 */     MCD_OPC_Decode, 163, 8, 5, // Opcode: VRFIZ
-/* 964 */     MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 978
-/* 968 */     MCD_OPC_CheckField, 16, 5, 0, 206, 32, // Skip to: 9372
-/* 974 */     MCD_OPC_Decode, 162, 8, 5, // Opcode: VRFIP
-/* 978 */     MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 992
-/* 982 */     MCD_OPC_CheckField, 16, 5, 0, 192, 32, // Skip to: 9372
-/* 988 */     MCD_OPC_Decode, 160, 8, 5, // Opcode: VRFIM
-/* 992 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1000
-/* 996 */     MCD_OPC_Decode, 202, 7, 6, // Opcode: VCFUX
-/* 1000 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 1008
-/* 1004 */    MCD_OPC_Decode, 200, 7, 6, // Opcode: VCFSX
-/* 1008 */    MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 1016
-/* 1012 */    MCD_OPC_Decode, 232, 7, 6, // Opcode: VCTUXS
-/* 1016 */    MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 1024
-/* 1020 */    MCD_OPC_Decode, 230, 7, 6, // Opcode: VCTSXS
-/* 1024 */    MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 1032
-/* 1028 */    MCD_OPC_Decode, 237, 7, 2, // Opcode: VMAXFP
-/* 1032 */    MCD_OPC_FilterValue, 17, 144, 32, // Skip to: 9372
-/* 1036 */    MCD_OPC_Decode, 246, 7, 2, // Opcode: VMINFP
-/* 1040 */    MCD_OPC_FilterValue, 12, 133, 0, // Skip to: 1177
-/* 1044 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 1047 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1055
-/* 1051 */    MCD_OPC_Decode, 254, 7, 2, // Opcode: VMRGHB
-/* 1055 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1063
-/* 1059 */    MCD_OPC_Decode, 255, 7, 2, // Opcode: VMRGHH
-/* 1063 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1071
-/* 1067 */    MCD_OPC_Decode, 128, 8, 2, // Opcode: VMRGHW
-/* 1071 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1079
-/* 1075 */    MCD_OPC_Decode, 129, 8, 2, // Opcode: VMRGLB
-/* 1079 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1087
-/* 1083 */    MCD_OPC_Decode, 130, 8, 2, // Opcode: VMRGLH
-/* 1087 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 1095
-/* 1091 */    MCD_OPC_Decode, 131, 8, 2, // Opcode: VMRGLW
-/* 1095 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1103
-/* 1099 */    MCD_OPC_Decode, 175, 8, 6, // Opcode: VSPLTB
-/* 1103 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 1111
-/* 1107 */    MCD_OPC_Decode, 176, 8, 6, // Opcode: VSPLTH
-/* 1111 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 1119
-/* 1115 */    MCD_OPC_Decode, 180, 8, 6, // Opcode: VSPLTW
-/* 1119 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 1133
-/* 1123 */    MCD_OPC_CheckField, 11, 5, 0, 51, 32, // Skip to: 9372
-/* 1129 */    MCD_OPC_Decode, 177, 8, 7, // Opcode: VSPLTISB
-/* 1133 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 1147
-/* 1137 */    MCD_OPC_CheckField, 11, 5, 0, 37, 32, // Skip to: 9372
-/* 1143 */    MCD_OPC_Decode, 178, 8, 7, // Opcode: VSPLTISH
-/* 1147 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 1161
-/* 1151 */    MCD_OPC_CheckField, 11, 5, 0, 23, 32, // Skip to: 9372
-/* 1157 */    MCD_OPC_Decode, 179, 8, 7, // Opcode: VSPLTISW
-/* 1161 */    MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 1169
-/* 1165 */    MCD_OPC_Decode, 173, 8, 2, // Opcode: VSLO
-/* 1169 */    MCD_OPC_FilterValue, 17, 7, 32, // Skip to: 9372
-/* 1173 */    MCD_OPC_Decode, 187, 8, 2, // Opcode: VSRO
-/* 1177 */    MCD_OPC_FilterValue, 14, 159, 0, // Skip to: 1340
-/* 1181 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 1184 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1192
-/* 1188 */    MCD_OPC_Decode, 155, 8, 2, // Opcode: VPKUHUM
-/* 1192 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1200
-/* 1196 */    MCD_OPC_Decode, 157, 8, 2, // Opcode: VPKUWUM
-/* 1200 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1208
-/* 1204 */    MCD_OPC_Decode, 156, 8, 2, // Opcode: VPKUHUS
-/* 1208 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 1216
-/* 1212 */    MCD_OPC_Decode, 158, 8, 2, // Opcode: VPKUWUS
-/* 1216 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1224
-/* 1220 */    MCD_OPC_Decode, 152, 8, 2, // Opcode: VPKSHUS
-/* 1224 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1232
-/* 1228 */    MCD_OPC_Decode, 154, 8, 2, // Opcode: VPKSWUS
-/* 1232 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 1240
-/* 1236 */    MCD_OPC_Decode, 151, 8, 2, // Opcode: VPKSHSS
-/* 1240 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 1248
-/* 1244 */    MCD_OPC_Decode, 153, 8, 2, // Opcode: VPKSWSS
-/* 1248 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 1262
-/* 1252 */    MCD_OPC_CheckField, 16, 5, 0, 178, 31, // Skip to: 9372
-/* 1258 */    MCD_OPC_Decode, 206, 8, 5, // Opcode: VUPKHSB
-/* 1262 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 1276
-/* 1266 */    MCD_OPC_CheckField, 16, 5, 0, 164, 31, // Skip to: 9372
-/* 1272 */    MCD_OPC_Decode, 207, 8, 5, // Opcode: VUPKHSH
-/* 1276 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 1290
-/* 1280 */    MCD_OPC_CheckField, 16, 5, 0, 150, 31, // Skip to: 9372
-/* 1286 */    MCD_OPC_Decode, 209, 8, 5, // Opcode: VUPKLSB
-/* 1290 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 1304
-/* 1294 */    MCD_OPC_CheckField, 16, 5, 0, 136, 31, // Skip to: 9372
-/* 1300 */    MCD_OPC_Decode, 210, 8, 5, // Opcode: VUPKLSH
-/* 1304 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1312
-/* 1308 */    MCD_OPC_Decode, 150, 8, 2, // Opcode: VPKPX
-/* 1312 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 1326
-/* 1316 */    MCD_OPC_CheckField, 16, 5, 0, 114, 31, // Skip to: 9372
-/* 1322 */    MCD_OPC_Decode, 205, 8, 5, // Opcode: VUPKHPX
-/* 1326 */    MCD_OPC_FilterValue, 15, 106, 31, // Skip to: 9372
-/* 1330 */    MCD_OPC_CheckField, 16, 5, 0, 100, 31, // Skip to: 9372
-/* 1336 */    MCD_OPC_Decode, 208, 8, 5, // Opcode: VUPKLPX
-/* 1340 */    MCD_OPC_FilterValue, 32, 4, 0, // Skip to: 1348
-/* 1344 */    MCD_OPC_Decode, 244, 7, 8, // Opcode: VMHADDSHS
-/* 1348 */    MCD_OPC_FilterValue, 33, 4, 0, // Skip to: 1356
-/* 1352 */    MCD_OPC_Decode, 245, 7, 8, // Opcode: VMHRADDSHS
-/* 1356 */    MCD_OPC_FilterValue, 34, 4, 0, // Skip to: 1364
-/* 1360 */    MCD_OPC_Decode, 253, 7, 8, // Opcode: VMLADDUHM
-/* 1364 */    MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 1372
-/* 1368 */    MCD_OPC_Decode, 135, 8, 8, // Opcode: VMSUMUBM
-/* 1372 */    MCD_OPC_FilterValue, 37, 4, 0, // Skip to: 1380
-/* 1376 */    MCD_OPC_Decode, 132, 8, 8, // Opcode: VMSUMMBM
-/* 1380 */    MCD_OPC_FilterValue, 38, 4, 0, // Skip to: 1388
-/* 1384 */    MCD_OPC_Decode, 136, 8, 8, // Opcode: VMSUMUHM
-/* 1388 */    MCD_OPC_FilterValue, 39, 4, 0, // Skip to: 1396
-/* 1392 */    MCD_OPC_Decode, 137, 8, 8, // Opcode: VMSUMUHS
-/* 1396 */    MCD_OPC_FilterValue, 40, 4, 0, // Skip to: 1404
-/* 1400 */    MCD_OPC_Decode, 133, 8, 8, // Opcode: VMSUMSHM
-/* 1404 */    MCD_OPC_FilterValue, 41, 4, 0, // Skip to: 1412
-/* 1408 */    MCD_OPC_Decode, 134, 8, 8, // Opcode: VMSUMSHS
-/* 1412 */    MCD_OPC_FilterValue, 42, 4, 0, // Skip to: 1420
-/* 1416 */    MCD_OPC_Decode, 168, 8, 8, // Opcode: VSEL
-/* 1420 */    MCD_OPC_FilterValue, 43, 4, 0, // Skip to: 1428
-/* 1424 */    MCD_OPC_Decode, 149, 8, 8, // Opcode: VPERM
-/* 1428 */    MCD_OPC_FilterValue, 44, 10, 0, // Skip to: 1442
-/* 1432 */    MCD_OPC_CheckField, 10, 1, 0, 254, 30, // Skip to: 9372
-/* 1438 */    MCD_OPC_Decode, 171, 8, 9, // Opcode: VSLDOI
-/* 1442 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 1450
-/* 1446 */    MCD_OPC_Decode, 236, 7, 10, // Opcode: VMADDFP
-/* 1450 */    MCD_OPC_FilterValue, 47, 238, 30, // Skip to: 9372
-/* 1454 */    MCD_OPC_Decode, 146, 8, 10, // Opcode: VNMSUBFP
-/* 1458 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 1466
-/* 1462 */    MCD_OPC_Decode, 211, 5, 11, // Opcode: MULLI
-/* 1466 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1474
-/* 1470 */    MCD_OPC_Decode, 132, 7, 11, // Opcode: SUBFIC
-/* 1474 */    MCD_OPC_FilterValue, 10, 19, 0, // Skip to: 1497
-/* 1478 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
-/* 1481 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1489
-/* 1485 */    MCD_OPC_Decode, 212, 1, 12, // Opcode: CMPLWI
-/* 1489 */    MCD_OPC_FilterValue, 1, 199, 30, // Skip to: 9372
-/* 1493 */    MCD_OPC_Decode, 210, 1, 13, // Opcode: CMPLDI
-/* 1497 */    MCD_OPC_FilterValue, 11, 19, 0, // Skip to: 1520
-/* 1501 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
-/* 1504 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1512
-/* 1508 */    MCD_OPC_Decode, 214, 1, 14, // Opcode: CMPWI
-/* 1512 */    MCD_OPC_FilterValue, 1, 176, 30, // Skip to: 9372
-/* 1516 */    MCD_OPC_Decode, 208, 1, 15, // Opcode: CMPDI
-/* 1520 */    MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 1527
-/* 1524 */    MCD_OPC_Decode, 37, 11, // Opcode: ADDIC
-/* 1527 */    MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 1534
-/* 1531 */    MCD_OPC_Decode, 39, 11, // Opcode: ADDICo
-/* 1534 */    MCD_OPC_FilterValue, 14, 13, 0, // Skip to: 1551
-/* 1538 */    MCD_OPC_CheckField, 16, 5, 0, 4, 0, // Skip to: 1548
-/* 1544 */    MCD_OPC_Decode, 252, 4, 16, // Opcode: LI
-/* 1548 */    MCD_OPC_Decode, 35, 17, // Opcode: ADDI
-/* 1551 */    MCD_OPC_FilterValue, 15, 13, 0, // Skip to: 1568
-/* 1555 */    MCD_OPC_CheckField, 16, 5, 0, 4, 0, // Skip to: 1565
-/* 1561 */    MCD_OPC_Decode, 254, 4, 16, // Opcode: LIS
-/* 1565 */    MCD_OPC_Decode, 40, 17, // Opcode: ADDIS
-/* 1568 */    MCD_OPC_FilterValue, 16, 7, 1, // Skip to: 1835
-/* 1572 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 1575 */    MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 1640
-/* 1579 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 1582 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1591
-/* 1587 */    MCD_OPC_Decode, 146, 1, 18, // Opcode: BDNZ
-/* 1591 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 1600
-/* 1596 */    MCD_OPC_Decode, 166, 1, 18, // Opcode: BDZ
-/* 1600 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 1609
-/* 1605 */    MCD_OPC_Decode, 164, 1, 18, // Opcode: BDNZm
-/* 1609 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 1618
-/* 1614 */    MCD_OPC_Decode, 165, 1, 18, // Opcode: BDNZp
-/* 1618 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 1627
-/* 1623 */    MCD_OPC_Decode, 184, 1, 18, // Opcode: BDZm
-/* 1627 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 1636
-/* 1632 */    MCD_OPC_Decode, 185, 1, 18, // Opcode: BDZp
-/* 1636 */    MCD_OPC_Decode, 237, 9, 19, // Opcode: gBC
-/* 1640 */    MCD_OPC_FilterValue, 1, 61, 0, // Skip to: 1705
-/* 1644 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 1647 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1656
-/* 1652 */    MCD_OPC_Decode, 151, 1, 18, // Opcode: BDNZL
-/* 1656 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 1665
-/* 1661 */    MCD_OPC_Decode, 171, 1, 18, // Opcode: BDZL
-/* 1665 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 1674
-/* 1670 */    MCD_OPC_Decode, 162, 1, 18, // Opcode: BDNZLm
-/* 1674 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 1683
-/* 1679 */    MCD_OPC_Decode, 163, 1, 18, // Opcode: BDNZLp
-/* 1683 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 1692
-/* 1688 */    MCD_OPC_Decode, 182, 1, 18, // Opcode: BDZLm
-/* 1692 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 1701
-/* 1697 */    MCD_OPC_Decode, 183, 1, 18, // Opcode: BDZLp
-/* 1701 */    MCD_OPC_Decode, 241, 9, 19, // Opcode: gBCL
-/* 1705 */    MCD_OPC_FilterValue, 2, 61, 0, // Skip to: 1770
-/* 1709 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 1712 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1721
-/* 1717 */    MCD_OPC_Decode, 148, 1, 18, // Opcode: BDNZA
-/* 1721 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 1730
-/* 1726 */    MCD_OPC_Decode, 168, 1, 18, // Opcode: BDZA
-/* 1730 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 1739
-/* 1735 */    MCD_OPC_Decode, 149, 1, 18, // Opcode: BDNZAm
-/* 1739 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 1748
-/* 1744 */    MCD_OPC_Decode, 150, 1, 18, // Opcode: BDNZAp
-/* 1748 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 1757
-/* 1753 */    MCD_OPC_Decode, 169, 1, 18, // Opcode: BDZAm
-/* 1757 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 1766
-/* 1762 */    MCD_OPC_Decode, 170, 1, 18, // Opcode: BDZAp
-/* 1766 */    MCD_OPC_Decode, 238, 9, 19, // Opcode: gBCA
-/* 1770 */    MCD_OPC_FilterValue, 3, 174, 29, // Skip to: 9372
-/* 1774 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 1777 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1786
-/* 1782 */    MCD_OPC_Decode, 152, 1, 18, // Opcode: BDNZLA
-/* 1786 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 1795
-/* 1791 */    MCD_OPC_Decode, 172, 1, 18, // Opcode: BDZLA
-/* 1795 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 1804
-/* 1800 */    MCD_OPC_Decode, 153, 1, 18, // Opcode: BDNZLAm
-/* 1804 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 1813
-/* 1809 */    MCD_OPC_Decode, 154, 1, 18, // Opcode: BDNZLAp
-/* 1813 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 1822
-/* 1818 */    MCD_OPC_Decode, 173, 1, 18, // Opcode: BDZLAm
-/* 1822 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 1831
-/* 1827 */    MCD_OPC_Decode, 174, 1, 18, // Opcode: BDZLAp
-/* 1831 */    MCD_OPC_Decode, 242, 9, 19, // Opcode: gBCLA
-/* 1835 */    MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 1849
-/* 1839 */    MCD_OPC_CheckField, 1, 1, 1, 103, 29, // Skip to: 9372
-/* 1845 */    MCD_OPC_Decode, 155, 6, 20, // Opcode: SC
-/* 1849 */    MCD_OPC_FilterValue, 18, 33, 0, // Skip to: 1886
-/* 1853 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 1856 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1863
-/* 1860 */    MCD_OPC_Decode, 113, 21, // Opcode: B
-/* 1863 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1871
-/* 1867 */    MCD_OPC_Decode, 186, 1, 21, // Opcode: BL
-/* 1871 */    MCD_OPC_FilterValue, 2, 3, 0, // Skip to: 1878
-/* 1875 */    MCD_OPC_Decode, 114, 21, // Opcode: BA
-/* 1878 */    MCD_OPC_FilterValue, 3, 66, 29, // Skip to: 9372
-/* 1882 */    MCD_OPC_Decode, 192, 1, 21, // Opcode: BLA
-/* 1886 */    MCD_OPC_FilterValue, 19, 235, 1, // Skip to: 2381
-/* 1890 */    MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
-/* 1893 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 1913
-/* 1897 */    MCD_OPC_CheckField, 21, 2, 0, 45, 29, // Skip to: 9372
-/* 1903 */    MCD_OPC_CheckField, 11, 7, 0, 39, 29, // Skip to: 9372
-/* 1909 */    MCD_OPC_Decode, 158, 5, 22, // Opcode: MCRF
-/* 1913 */    MCD_OPC_FilterValue, 32, 119, 0, // Skip to: 2036
-/* 1917 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 1920 */    MCD_OPC_FilterValue, 0, 24, 29, // Skip to: 9372
-/* 1924 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 1927 */    MCD_OPC_FilterValue, 128, 4, 10, 0, // Skip to: 1942
-/* 1932 */    MCD_OPC_CheckField, 11, 2, 0, 94, 0, // Skip to: 2032
-/* 1938 */    MCD_OPC_Decode, 155, 1, 23, // Opcode: BDNZLR
-/* 1942 */    MCD_OPC_FilterValue, 192, 4, 10, 0, // Skip to: 1957
-/* 1947 */    MCD_OPC_CheckField, 11, 2, 0, 79, 0, // Skip to: 2032
-/* 1953 */    MCD_OPC_Decode, 175, 1, 23, // Opcode: BDZLR
-/* 1957 */    MCD_OPC_FilterValue, 128, 5, 10, 0, // Skip to: 1972
-/* 1962 */    MCD_OPC_CheckField, 11, 2, 0, 64, 0, // Skip to: 2032
-/* 1968 */    MCD_OPC_Decode, 195, 1, 23, // Opcode: BLR
-/* 1972 */    MCD_OPC_FilterValue, 128, 6, 10, 0, // Skip to: 1987
-/* 1977 */    MCD_OPC_CheckField, 11, 2, 0, 49, 0, // Skip to: 2032
-/* 1983 */    MCD_OPC_Decode, 160, 1, 23, // Opcode: BDNZLRm
-/* 1987 */    MCD_OPC_FilterValue, 160, 6, 10, 0, // Skip to: 2002
-/* 1992 */    MCD_OPC_CheckField, 11, 2, 0, 34, 0, // Skip to: 2032
-/* 1998 */    MCD_OPC_Decode, 161, 1, 23, // Opcode: BDNZLRp
-/* 2002 */    MCD_OPC_FilterValue, 192, 6, 10, 0, // Skip to: 2017
-/* 2007 */    MCD_OPC_CheckField, 11, 2, 0, 19, 0, // Skip to: 2032
-/* 2013 */    MCD_OPC_Decode, 180, 1, 23, // Opcode: BDZLRm
-/* 2017 */    MCD_OPC_FilterValue, 224, 6, 10, 0, // Skip to: 2032
-/* 2022 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2032
-/* 2028 */    MCD_OPC_Decode, 181, 1, 23, // Opcode: BDZLRp
-/* 2032 */    MCD_OPC_Decode, 243, 9, 24, // Opcode: gBCLR
-/* 2036 */    MCD_OPC_FilterValue, 33, 119, 0, // Skip to: 2159
-/* 2040 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 2043 */    MCD_OPC_FilterValue, 0, 157, 28, // Skip to: 9372
+/* 3 */       MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 17
+/* 7 */       MCD_OPC_CheckField, 1, 10, 128, 2, 231, 38, // Skip to: 9973
+/* 14 */      MCD_OPC_Decode, 119, 0, // Opcode: ATTN
+/* 17 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 25
+/* 21 */      MCD_OPC_Decode, 247, 8, 1, // Opcode: TDI
+/* 25 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 33
+/* 29 */      MCD_OPC_Decode, 136, 9, 2, // Opcode: TWI
+/* 33 */      MCD_OPC_FilterValue, 4, 223, 6, // Skip to: 1796
+/* 37 */      MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 40 */      MCD_OPC_FilterValue, 0, 179, 0, // Skip to: 223
+/* 44 */      MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 47 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 55
+/* 51 */      MCD_OPC_Decode, 144, 9, 3, // Opcode: VADDUBM
+/* 55 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 63
+/* 59 */      MCD_OPC_Decode, 147, 9, 3, // Opcode: VADDUHM
+/* 63 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 71
+/* 67 */      MCD_OPC_Decode, 149, 9, 3, // Opcode: VADDUWM
+/* 71 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 79
+/* 75 */      MCD_OPC_Decode, 146, 9, 3, // Opcode: VADDUDM
+/* 79 */      MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 87
+/* 83 */      MCD_OPC_Decode, 139, 9, 3, // Opcode: VADDCUW
+/* 87 */      MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 95
+/* 91 */      MCD_OPC_Decode, 145, 9, 3, // Opcode: VADDUBS
+/* 95 */      MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 103
+/* 99 */      MCD_OPC_Decode, 148, 9, 3, // Opcode: VADDUHS
+/* 103 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 111
+/* 107 */     MCD_OPC_Decode, 150, 9, 3, // Opcode: VADDUWS
+/* 111 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 119
+/* 115 */     MCD_OPC_Decode, 141, 9, 3, // Opcode: VADDSBS
+/* 119 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 127
+/* 123 */     MCD_OPC_Decode, 142, 9, 3, // Opcode: VADDSHS
+/* 127 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 135
+/* 131 */     MCD_OPC_Decode, 143, 9, 3, // Opcode: VADDSWS
+/* 135 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 143
+/* 139 */     MCD_OPC_Decode, 183, 10, 3, // Opcode: VSUBUBM
+/* 143 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 151
+/* 147 */     MCD_OPC_Decode, 186, 10, 3, // Opcode: VSUBUHM
+/* 151 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 159
+/* 155 */     MCD_OPC_Decode, 188, 10, 3, // Opcode: VSUBUWM
+/* 159 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 167
+/* 163 */     MCD_OPC_Decode, 185, 10, 3, // Opcode: VSUBUDM
+/* 167 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 175
+/* 171 */     MCD_OPC_Decode, 178, 10, 3, // Opcode: VSUBCUW
+/* 175 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 183
+/* 179 */     MCD_OPC_Decode, 184, 10, 3, // Opcode: VSUBUBS
+/* 183 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 191
+/* 187 */     MCD_OPC_Decode, 187, 10, 3, // Opcode: VSUBUHS
+/* 191 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 199
+/* 195 */     MCD_OPC_Decode, 189, 10, 3, // Opcode: VSUBUWS
+/* 199 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 207
+/* 203 */     MCD_OPC_Decode, 180, 10, 3, // Opcode: VSUBSBS
+/* 207 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 215
+/* 211 */     MCD_OPC_Decode, 181, 10, 3, // Opcode: VSUBSHS
+/* 215 */     MCD_OPC_FilterValue, 30, 26, 38, // Skip to: 9973
+/* 219 */     MCD_OPC_Decode, 182, 10, 3, // Opcode: VSUBSWS
+/* 223 */     MCD_OPC_FilterValue, 2, 235, 0, // Skip to: 462
+/* 227 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 230 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 238
+/* 234 */     MCD_OPC_Decode, 212, 9, 3, // Opcode: VMAXUB
+/* 238 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 246
+/* 242 */     MCD_OPC_Decode, 214, 9, 3, // Opcode: VMAXUH
+/* 246 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 254
+/* 250 */     MCD_OPC_Decode, 215, 9, 3, // Opcode: VMAXUW
+/* 254 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 262
+/* 258 */     MCD_OPC_Decode, 213, 9, 3, // Opcode: VMAXUD
+/* 262 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 270
+/* 266 */     MCD_OPC_Decode, 208, 9, 3, // Opcode: VMAXSB
+/* 270 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 278
+/* 274 */     MCD_OPC_Decode, 210, 9, 3, // Opcode: VMAXSH
+/* 278 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 286
+/* 282 */     MCD_OPC_Decode, 211, 9, 3, // Opcode: VMAXSW
+/* 286 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 294
+/* 290 */     MCD_OPC_Decode, 209, 9, 3, // Opcode: VMAXSD
+/* 294 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 302
+/* 298 */     MCD_OPC_Decode, 224, 9, 3, // Opcode: VMINUB
+/* 302 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 310
+/* 306 */     MCD_OPC_Decode, 225, 9, 3, // Opcode: VMINUH
+/* 310 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 318
+/* 314 */     MCD_OPC_Decode, 226, 9, 3, // Opcode: VMINUW
+/* 318 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 326
+/* 322 */     MCD_OPC_Decode, 218, 9, 3, // Opcode: VMIDUD
+/* 326 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 334
+/* 330 */     MCD_OPC_Decode, 220, 9, 3, // Opcode: VMINSB
+/* 334 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 342
+/* 338 */     MCD_OPC_Decode, 222, 9, 3, // Opcode: VMINSH
+/* 342 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 350
+/* 346 */     MCD_OPC_Decode, 223, 9, 3, // Opcode: VMINSW
+/* 350 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 358
+/* 354 */     MCD_OPC_Decode, 221, 9, 3, // Opcode: VMINSD
+/* 358 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 366
+/* 362 */     MCD_OPC_Decode, 156, 9, 3, // Opcode: VAVGUB
+/* 366 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 374
+/* 370 */     MCD_OPC_Decode, 157, 9, 3, // Opcode: VAVGUH
+/* 374 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 382
+/* 378 */     MCD_OPC_Decode, 158, 9, 3, // Opcode: VAVGUW
+/* 382 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 390
+/* 386 */     MCD_OPC_Decode, 153, 9, 3, // Opcode: VAVGSB
+/* 390 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 398
+/* 394 */     MCD_OPC_Decode, 154, 9, 3, // Opcode: VAVGSH
+/* 398 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 406
+/* 402 */     MCD_OPC_Decode, 155, 9, 3, // Opcode: VAVGSW
+/* 406 */     MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 420
+/* 410 */     MCD_OPC_CheckField, 16, 5, 0, 85, 37, // Skip to: 9973
+/* 416 */     MCD_OPC_Decode, 163, 9, 4, // Opcode: VCLZB
+/* 420 */     MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 434
+/* 424 */     MCD_OPC_CheckField, 16, 5, 0, 71, 37, // Skip to: 9973
+/* 430 */     MCD_OPC_Decode, 165, 9, 4, // Opcode: VCLZH
+/* 434 */     MCD_OPC_FilterValue, 30, 10, 0, // Skip to: 448
+/* 438 */     MCD_OPC_CheckField, 16, 5, 0, 57, 37, // Skip to: 9973
+/* 444 */     MCD_OPC_Decode, 166, 9, 4, // Opcode: VCLZW
+/* 448 */     MCD_OPC_FilterValue, 31, 49, 37, // Skip to: 9973
+/* 452 */     MCD_OPC_CheckField, 16, 5, 0, 43, 37, // Skip to: 9973
+/* 458 */     MCD_OPC_Decode, 164, 9, 4, // Opcode: VCLZD
+/* 462 */     MCD_OPC_FilterValue, 3, 59, 0, // Skip to: 525
+/* 466 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 469 */     MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 483
+/* 473 */     MCD_OPC_CheckField, 16, 5, 0, 22, 37, // Skip to: 9973
+/* 479 */     MCD_OPC_Decode, 140, 10, 4, // Opcode: VPOPCNTB
+/* 483 */     MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 497
+/* 487 */     MCD_OPC_CheckField, 16, 5, 0, 8, 37, // Skip to: 9973
+/* 493 */     MCD_OPC_Decode, 142, 10, 4, // Opcode: VPOPCNTH
+/* 497 */     MCD_OPC_FilterValue, 30, 10, 0, // Skip to: 511
+/* 501 */     MCD_OPC_CheckField, 16, 5, 0, 250, 36, // Skip to: 9973
+/* 507 */     MCD_OPC_Decode, 143, 10, 4, // Opcode: VPOPCNTW
+/* 511 */     MCD_OPC_FilterValue, 31, 242, 36, // Skip to: 9973
+/* 515 */     MCD_OPC_CheckField, 16, 5, 0, 236, 36, // Skip to: 9973
+/* 521 */     MCD_OPC_Decode, 141, 10, 4, // Opcode: VPOPCNTD
+/* 525 */     MCD_OPC_FilterValue, 4, 239, 0, // Skip to: 768
+/* 529 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 532 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 540
+/* 536 */     MCD_OPC_Decode, 149, 10, 3, // Opcode: VRLB
+/* 540 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 548
+/* 544 */     MCD_OPC_Decode, 151, 10, 3, // Opcode: VRLH
+/* 548 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 556
+/* 552 */     MCD_OPC_Decode, 152, 10, 3, // Opcode: VRLW
+/* 556 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 564
+/* 560 */     MCD_OPC_Decode, 150, 10, 3, // Opcode: VRLD
+/* 564 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 572
+/* 568 */     MCD_OPC_Decode, 156, 10, 3, // Opcode: VSLB
+/* 572 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 580
+/* 576 */     MCD_OPC_Decode, 159, 10, 3, // Opcode: VSLH
+/* 580 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 588
+/* 584 */     MCD_OPC_Decode, 161, 10, 3, // Opcode: VSLW
+/* 588 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 596
+/* 592 */     MCD_OPC_Decode, 155, 10, 3, // Opcode: VSL
+/* 596 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 604
+/* 600 */     MCD_OPC_Decode, 173, 10, 3, // Opcode: VSRB
+/* 604 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 612
+/* 608 */     MCD_OPC_Decode, 175, 10, 3, // Opcode: VSRH
+/* 612 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 620
+/* 616 */     MCD_OPC_Decode, 177, 10, 3, // Opcode: VSRW
+/* 620 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 628
+/* 624 */     MCD_OPC_Decode, 168, 10, 3, // Opcode: VSR
+/* 628 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 636
+/* 632 */     MCD_OPC_Decode, 169, 10, 3, // Opcode: VSRAB
+/* 636 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 644
+/* 640 */     MCD_OPC_Decode, 171, 10, 3, // Opcode: VSRAH
+/* 644 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 652
+/* 648 */     MCD_OPC_Decode, 172, 10, 3, // Opcode: VSRAW
+/* 652 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 660
+/* 656 */     MCD_OPC_Decode, 170, 10, 3, // Opcode: VSRAD
+/* 660 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 668
+/* 664 */     MCD_OPC_Decode, 151, 9, 3, // Opcode: VAND
+/* 668 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 676
+/* 672 */     MCD_OPC_Decode, 152, 9, 3, // Opcode: VANDC
+/* 676 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 684
+/* 680 */     MCD_OPC_Decode, 128, 10, 3, // Opcode: VOR
+/* 684 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 692
+/* 688 */     MCD_OPC_Decode, 201, 10, 3, // Opcode: VXOR
+/* 692 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 700
+/* 696 */     MCD_OPC_Decode, 255, 9, 3, // Opcode: VNOR
+/* 700 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 708
+/* 704 */     MCD_OPC_Decode, 129, 10, 3, // Opcode: VORC
+/* 708 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 716
+/* 712 */     MCD_OPC_Decode, 253, 9, 3, // Opcode: VNAND
+/* 716 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 724
+/* 720 */     MCD_OPC_Decode, 157, 10, 3, // Opcode: VSLD
+/* 724 */     MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 738
+/* 728 */     MCD_OPC_CheckField, 11, 10, 0, 23, 36, // Skip to: 9973
+/* 734 */     MCD_OPC_Decode, 198, 5, 5, // Opcode: MFVSCR
+/* 738 */     MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 752
+/* 742 */     MCD_OPC_CheckField, 16, 10, 0, 9, 36, // Skip to: 9973
+/* 748 */     MCD_OPC_Decode, 225, 5, 6, // Opcode: MTVSCR
+/* 752 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 760
+/* 756 */     MCD_OPC_Decode, 203, 9, 3, // Opcode: VEQV
+/* 760 */     MCD_OPC_FilterValue, 27, 249, 35, // Skip to: 9973
+/* 764 */     MCD_OPC_Decode, 174, 10, 3, // Opcode: VSRD
+/* 768 */     MCD_OPC_FilterValue, 6, 211, 0, // Skip to: 983
+/* 772 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 775 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 783
+/* 779 */     MCD_OPC_Decode, 171, 9, 3, // Opcode: VCMPEQUB
+/* 783 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 791
+/* 787 */     MCD_OPC_Decode, 175, 9, 3, // Opcode: VCMPEQUH
+/* 791 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 799
+/* 795 */     MCD_OPC_Decode, 177, 9, 3, // Opcode: VCMPEQUW
+/* 799 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 807
+/* 803 */     MCD_OPC_Decode, 169, 9, 3, // Opcode: VCMPEQFP
+/* 807 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 815
+/* 811 */     MCD_OPC_Decode, 179, 9, 3, // Opcode: VCMPGEFP
+/* 815 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 823
+/* 819 */     MCD_OPC_Decode, 191, 9, 3, // Opcode: VCMPGTUB
+/* 823 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 831
+/* 827 */     MCD_OPC_Decode, 195, 9, 3, // Opcode: VCMPGTUH
+/* 831 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 839
+/* 835 */     MCD_OPC_Decode, 197, 9, 3, // Opcode: VCMPGTUW
+/* 839 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 847
+/* 843 */     MCD_OPC_Decode, 181, 9, 3, // Opcode: VCMPGTFP
+/* 847 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 855
+/* 851 */     MCD_OPC_Decode, 183, 9, 3, // Opcode: VCMPGTSB
+/* 855 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 863
+/* 859 */     MCD_OPC_Decode, 187, 9, 3, // Opcode: VCMPGTSH
+/* 863 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 871
+/* 867 */     MCD_OPC_Decode, 189, 9, 3, // Opcode: VCMPGTSW
+/* 871 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 879
+/* 875 */     MCD_OPC_Decode, 167, 9, 3, // Opcode: VCMPBFP
+/* 879 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 887
+/* 883 */     MCD_OPC_Decode, 172, 9, 3, // Opcode: VCMPEQUBo
+/* 887 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 895
+/* 891 */     MCD_OPC_Decode, 176, 9, 3, // Opcode: VCMPEQUHo
+/* 895 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 903
+/* 899 */     MCD_OPC_Decode, 178, 9, 3, // Opcode: VCMPEQUWo
+/* 903 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 911
+/* 907 */     MCD_OPC_Decode, 170, 9, 3, // Opcode: VCMPEQFPo
+/* 911 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 919
+/* 915 */     MCD_OPC_Decode, 180, 9, 3, // Opcode: VCMPGEFPo
+/* 919 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 927
+/* 923 */     MCD_OPC_Decode, 192, 9, 3, // Opcode: VCMPGTUBo
+/* 927 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 935
+/* 931 */     MCD_OPC_Decode, 196, 9, 3, // Opcode: VCMPGTUHo
+/* 935 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 943
+/* 939 */     MCD_OPC_Decode, 198, 9, 3, // Opcode: VCMPGTUWo
+/* 943 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 951
+/* 947 */     MCD_OPC_Decode, 182, 9, 3, // Opcode: VCMPGTFPo
+/* 951 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 959
+/* 955 */     MCD_OPC_Decode, 184, 9, 3, // Opcode: VCMPGTSBo
+/* 959 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 967
+/* 963 */     MCD_OPC_Decode, 188, 9, 3, // Opcode: VCMPGTSHo
+/* 967 */     MCD_OPC_FilterValue, 30, 4, 0, // Skip to: 975
+/* 971 */     MCD_OPC_Decode, 190, 9, 3, // Opcode: VCMPGTSWo
+/* 975 */     MCD_OPC_FilterValue, 31, 34, 35, // Skip to: 9973
+/* 979 */     MCD_OPC_Decode, 168, 9, 3, // Opcode: VCMPBFPo
+/* 983 */     MCD_OPC_FilterValue, 7, 51, 0, // Skip to: 1038
+/* 987 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 990 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 998
+/* 994 */     MCD_OPC_Decode, 173, 9, 3, // Opcode: VCMPEQUD
+/* 998 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 1006
+/* 1002 */    MCD_OPC_Decode, 193, 9, 3, // Opcode: VCMPGTUD
+/* 1006 */    MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 1014
+/* 1010 */    MCD_OPC_Decode, 185, 9, 3, // Opcode: VCMPGTSD
+/* 1014 */    MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 1022
+/* 1018 */    MCD_OPC_Decode, 174, 9, 3, // Opcode: VCMPEQUDo
+/* 1022 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 1030
+/* 1026 */    MCD_OPC_Decode, 194, 9, 3, // Opcode: VCMPGTUDo
+/* 1030 */    MCD_OPC_FilterValue, 31, 235, 34, // Skip to: 9973
+/* 1034 */    MCD_OPC_Decode, 186, 9, 3, // Opcode: VCMPGTSDo
+/* 1038 */    MCD_OPC_FilterValue, 8, 139, 0, // Skip to: 1181
+/* 1042 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1045 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1053
+/* 1049 */    MCD_OPC_Decode, 249, 9, 3, // Opcode: VMULOUB
+/* 1053 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1061
+/* 1057 */    MCD_OPC_Decode, 250, 9, 3, // Opcode: VMULOUH
+/* 1061 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1069
+/* 1065 */    MCD_OPC_Decode, 251, 9, 3, // Opcode: VMULOUW
+/* 1069 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1077
+/* 1073 */    MCD_OPC_Decode, 246, 9, 3, // Opcode: VMULOSB
+/* 1077 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1085
+/* 1081 */    MCD_OPC_Decode, 247, 9, 3, // Opcode: VMULOSH
+/* 1085 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 1093
+/* 1089 */    MCD_OPC_Decode, 248, 9, 3, // Opcode: VMULOSW
+/* 1093 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1101
+/* 1097 */    MCD_OPC_Decode, 243, 9, 3, // Opcode: VMULEUB
+/* 1101 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 1109
+/* 1105 */    MCD_OPC_Decode, 244, 9, 3, // Opcode: VMULEUH
+/* 1109 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 1117
+/* 1113 */    MCD_OPC_Decode, 245, 9, 3, // Opcode: VMULEUW
+/* 1117 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1125
+/* 1121 */    MCD_OPC_Decode, 240, 9, 3, // Opcode: VMULESB
+/* 1125 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 1133
+/* 1129 */    MCD_OPC_Decode, 241, 9, 3, // Opcode: VMULESH
+/* 1133 */    MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 1141
+/* 1137 */    MCD_OPC_Decode, 242, 9, 3, // Opcode: VMULESW
+/* 1141 */    MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1149
+/* 1145 */    MCD_OPC_Decode, 193, 10, 3, // Opcode: VSUM4UBS
+/* 1149 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 1157
+/* 1153 */    MCD_OPC_Decode, 192, 10, 3, // Opcode: VSUM4SHS
+/* 1157 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 1165
+/* 1161 */    MCD_OPC_Decode, 190, 10, 3, // Opcode: VSUM2SWS
+/* 1165 */    MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 1173
+/* 1169 */    MCD_OPC_Decode, 191, 10, 3, // Opcode: VSUM4SBS
+/* 1173 */    MCD_OPC_FilterValue, 30, 92, 34, // Skip to: 9973
+/* 1177 */    MCD_OPC_Decode, 194, 10, 3, // Opcode: VSUMSWS
+/* 1181 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 1195
+/* 1185 */    MCD_OPC_CheckField, 6, 5, 2, 78, 34, // Skip to: 9973
+/* 1191 */    MCD_OPC_Decode, 252, 9, 3, // Opcode: VMULUWM
+/* 1195 */    MCD_OPC_FilterValue, 10, 179, 0, // Skip to: 1378
+/* 1199 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1202 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1210
+/* 1206 */    MCD_OPC_Decode, 140, 9, 3, // Opcode: VADDFP
+/* 1210 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1218
+/* 1214 */    MCD_OPC_Decode, 179, 10, 3, // Opcode: VSUBFP
+/* 1218 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 1232
+/* 1222 */    MCD_OPC_CheckField, 16, 5, 0, 41, 34, // Skip to: 9973
+/* 1228 */    MCD_OPC_Decode, 144, 10, 4, // Opcode: VREFP
+/* 1232 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 1246
+/* 1236 */    MCD_OPC_CheckField, 16, 5, 0, 27, 34, // Skip to: 9973
+/* 1242 */    MCD_OPC_Decode, 153, 10, 4, // Opcode: VRSQRTEFP
+/* 1246 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 1260
+/* 1250 */    MCD_OPC_CheckField, 16, 5, 0, 13, 34, // Skip to: 9973
+/* 1256 */    MCD_OPC_Decode, 204, 9, 4, // Opcode: VEXPTEFP
+/* 1260 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 1274
+/* 1264 */    MCD_OPC_CheckField, 16, 5, 0, 255, 33, // Skip to: 9973
+/* 1270 */    MCD_OPC_Decode, 205, 9, 4, // Opcode: VLOGEFP
+/* 1274 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 1288
+/* 1278 */    MCD_OPC_CheckField, 16, 5, 0, 241, 33, // Skip to: 9973
+/* 1284 */    MCD_OPC_Decode, 146, 10, 4, // Opcode: VRFIN
+/* 1288 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 1302
+/* 1292 */    MCD_OPC_CheckField, 16, 5, 0, 227, 33, // Skip to: 9973
+/* 1298 */    MCD_OPC_Decode, 148, 10, 4, // Opcode: VRFIZ
+/* 1302 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 1316
+/* 1306 */    MCD_OPC_CheckField, 16, 5, 0, 213, 33, // Skip to: 9973
+/* 1312 */    MCD_OPC_Decode, 147, 10, 4, // Opcode: VRFIP
+/* 1316 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 1330
+/* 1320 */    MCD_OPC_CheckField, 16, 5, 0, 199, 33, // Skip to: 9973
+/* 1326 */    MCD_OPC_Decode, 145, 10, 4, // Opcode: VRFIM
+/* 1330 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1338
+/* 1334 */    MCD_OPC_Decode, 161, 9, 7, // Opcode: VCFUX
+/* 1338 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 1346
+/* 1342 */    MCD_OPC_Decode, 159, 9, 7, // Opcode: VCFSX
+/* 1346 */    MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 1354
+/* 1350 */    MCD_OPC_Decode, 201, 9, 7, // Opcode: VCTUXS
+/* 1354 */    MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 1362
+/* 1358 */    MCD_OPC_Decode, 199, 9, 7, // Opcode: VCTSXS
+/* 1362 */    MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 1370
+/* 1366 */    MCD_OPC_Decode, 207, 9, 3, // Opcode: VMAXFP
+/* 1370 */    MCD_OPC_FilterValue, 17, 151, 33, // Skip to: 9973
+/* 1374 */    MCD_OPC_Decode, 219, 9, 3, // Opcode: VMINFP
+/* 1378 */    MCD_OPC_FilterValue, 12, 133, 0, // Skip to: 1515
+/* 1382 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1385 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1393
+/* 1389 */    MCD_OPC_Decode, 228, 9, 3, // Opcode: VMRGHB
+/* 1393 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1401
+/* 1397 */    MCD_OPC_Decode, 229, 9, 3, // Opcode: VMRGHH
+/* 1401 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1409
+/* 1405 */    MCD_OPC_Decode, 230, 9, 3, // Opcode: VMRGHW
+/* 1409 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1417
+/* 1413 */    MCD_OPC_Decode, 231, 9, 3, // Opcode: VMRGLB
+/* 1417 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1425
+/* 1421 */    MCD_OPC_Decode, 232, 9, 3, // Opcode: VMRGLH
+/* 1425 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 1433
+/* 1429 */    MCD_OPC_Decode, 233, 9, 3, // Opcode: VMRGLW
+/* 1433 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1441
+/* 1437 */    MCD_OPC_Decode, 162, 10, 7, // Opcode: VSPLTB
+/* 1441 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 1449
+/* 1445 */    MCD_OPC_Decode, 163, 10, 7, // Opcode: VSPLTH
+/* 1449 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 1457
+/* 1453 */    MCD_OPC_Decode, 167, 10, 7, // Opcode: VSPLTW
+/* 1457 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 1471
+/* 1461 */    MCD_OPC_CheckField, 11, 5, 0, 58, 33, // Skip to: 9973
+/* 1467 */    MCD_OPC_Decode, 164, 10, 8, // Opcode: VSPLTISB
+/* 1471 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 1485
+/* 1475 */    MCD_OPC_CheckField, 11, 5, 0, 44, 33, // Skip to: 9973
+/* 1481 */    MCD_OPC_Decode, 165, 10, 8, // Opcode: VSPLTISH
+/* 1485 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 1499
+/* 1489 */    MCD_OPC_CheckField, 11, 5, 0, 30, 33, // Skip to: 9973
+/* 1495 */    MCD_OPC_Decode, 166, 10, 8, // Opcode: VSPLTISW
+/* 1499 */    MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 1507
+/* 1503 */    MCD_OPC_Decode, 160, 10, 3, // Opcode: VSLO
+/* 1507 */    MCD_OPC_FilterValue, 17, 14, 33, // Skip to: 9973
+/* 1511 */    MCD_OPC_Decode, 176, 10, 3, // Opcode: VSRO
+/* 1515 */    MCD_OPC_FilterValue, 14, 159, 0, // Skip to: 1678
+/* 1519 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1522 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1530
+/* 1526 */    MCD_OPC_Decode, 136, 10, 3, // Opcode: VPKUHUM
+/* 1530 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1538
+/* 1534 */    MCD_OPC_Decode, 138, 10, 3, // Opcode: VPKUWUM
+/* 1538 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1546
+/* 1542 */    MCD_OPC_Decode, 137, 10, 3, // Opcode: VPKUHUS
+/* 1546 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 1554
+/* 1550 */    MCD_OPC_Decode, 139, 10, 3, // Opcode: VPKUWUS
+/* 1554 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1562
+/* 1558 */    MCD_OPC_Decode, 133, 10, 3, // Opcode: VPKSHUS
+/* 1562 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1570
+/* 1566 */    MCD_OPC_Decode, 135, 10, 3, // Opcode: VPKSWUS
+/* 1570 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 1578
+/* 1574 */    MCD_OPC_Decode, 132, 10, 3, // Opcode: VPKSHSS
+/* 1578 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 1586
+/* 1582 */    MCD_OPC_Decode, 134, 10, 3, // Opcode: VPKSWSS
+/* 1586 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 1600
+/* 1590 */    MCD_OPC_CheckField, 16, 5, 0, 185, 32, // Skip to: 9973
+/* 1596 */    MCD_OPC_Decode, 196, 10, 4, // Opcode: VUPKHSB
+/* 1600 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 1614
+/* 1604 */    MCD_OPC_CheckField, 16, 5, 0, 171, 32, // Skip to: 9973
+/* 1610 */    MCD_OPC_Decode, 197, 10, 4, // Opcode: VUPKHSH
+/* 1614 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 1628
+/* 1618 */    MCD_OPC_CheckField, 16, 5, 0, 157, 32, // Skip to: 9973
+/* 1624 */    MCD_OPC_Decode, 199, 10, 4, // Opcode: VUPKLSB
+/* 1628 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 1642
+/* 1632 */    MCD_OPC_CheckField, 16, 5, 0, 143, 32, // Skip to: 9973
+/* 1638 */    MCD_OPC_Decode, 200, 10, 4, // Opcode: VUPKLSH
+/* 1642 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1650
+/* 1646 */    MCD_OPC_Decode, 131, 10, 3, // Opcode: VPKPX
+/* 1650 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 1664
+/* 1654 */    MCD_OPC_CheckField, 16, 5, 0, 121, 32, // Skip to: 9973
+/* 1660 */    MCD_OPC_Decode, 195, 10, 4, // Opcode: VUPKHPX
+/* 1664 */    MCD_OPC_FilterValue, 15, 113, 32, // Skip to: 9973
+/* 1668 */    MCD_OPC_CheckField, 16, 5, 0, 107, 32, // Skip to: 9973
+/* 1674 */    MCD_OPC_Decode, 198, 10, 4, // Opcode: VUPKLPX
+/* 1678 */    MCD_OPC_FilterValue, 32, 4, 0, // Skip to: 1686
+/* 1682 */    MCD_OPC_Decode, 216, 9, 9, // Opcode: VMHADDSHS
+/* 1686 */    MCD_OPC_FilterValue, 33, 4, 0, // Skip to: 1694
+/* 1690 */    MCD_OPC_Decode, 217, 9, 9, // Opcode: VMHRADDSHS
+/* 1694 */    MCD_OPC_FilterValue, 34, 4, 0, // Skip to: 1702
+/* 1698 */    MCD_OPC_Decode, 227, 9, 9, // Opcode: VMLADDUHM
+/* 1702 */    MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 1710
+/* 1706 */    MCD_OPC_Decode, 237, 9, 9, // Opcode: VMSUMUBM
+/* 1710 */    MCD_OPC_FilterValue, 37, 4, 0, // Skip to: 1718
+/* 1714 */    MCD_OPC_Decode, 234, 9, 9, // Opcode: VMSUMMBM
+/* 1718 */    MCD_OPC_FilterValue, 38, 4, 0, // Skip to: 1726
+/* 1722 */    MCD_OPC_Decode, 238, 9, 9, // Opcode: VMSUMUHM
+/* 1726 */    MCD_OPC_FilterValue, 39, 4, 0, // Skip to: 1734
+/* 1730 */    MCD_OPC_Decode, 239, 9, 9, // Opcode: VMSUMUHS
+/* 1734 */    MCD_OPC_FilterValue, 40, 4, 0, // Skip to: 1742
+/* 1738 */    MCD_OPC_Decode, 235, 9, 9, // Opcode: VMSUMSHM
+/* 1742 */    MCD_OPC_FilterValue, 41, 4, 0, // Skip to: 1750
+/* 1746 */    MCD_OPC_Decode, 236, 9, 9, // Opcode: VMSUMSHS
+/* 1750 */    MCD_OPC_FilterValue, 42, 4, 0, // Skip to: 1758
+/* 1754 */    MCD_OPC_Decode, 154, 10, 9, // Opcode: VSEL
+/* 1758 */    MCD_OPC_FilterValue, 43, 4, 0, // Skip to: 1766
+/* 1762 */    MCD_OPC_Decode, 130, 10, 9, // Opcode: VPERM
+/* 1766 */    MCD_OPC_FilterValue, 44, 10, 0, // Skip to: 1780
+/* 1770 */    MCD_OPC_CheckField, 10, 1, 0, 5, 32, // Skip to: 9973
+/* 1776 */    MCD_OPC_Decode, 158, 10, 10, // Opcode: VSLDOI
+/* 1780 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 1788
+/* 1784 */    MCD_OPC_Decode, 206, 9, 11, // Opcode: VMADDFP
+/* 1788 */    MCD_OPC_FilterValue, 47, 245, 31, // Skip to: 9973
+/* 1792 */    MCD_OPC_Decode, 254, 9, 11, // Opcode: VNMSUBFP
+/* 1796 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 1804
+/* 1800 */    MCD_OPC_Decode, 236, 5, 12, // Opcode: MULLI
+/* 1804 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1812
+/* 1808 */    MCD_OPC_Decode, 218, 8, 12, // Opcode: SUBFIC
+/* 1812 */    MCD_OPC_FilterValue, 10, 19, 0, // Skip to: 1835
+/* 1816 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
+/* 1819 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1827
+/* 1823 */    MCD_OPC_Decode, 223, 1, 13, // Opcode: CMPLWI
+/* 1827 */    MCD_OPC_FilterValue, 1, 206, 31, // Skip to: 9973
+/* 1831 */    MCD_OPC_Decode, 221, 1, 14, // Opcode: CMPLDI
+/* 1835 */    MCD_OPC_FilterValue, 11, 19, 0, // Skip to: 1858
+/* 1839 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
+/* 1842 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1850
+/* 1846 */    MCD_OPC_Decode, 225, 1, 15, // Opcode: CMPWI
+/* 1850 */    MCD_OPC_FilterValue, 1, 183, 31, // Skip to: 9973
+/* 1854 */    MCD_OPC_Decode, 219, 1, 16, // Opcode: CMPDI
+/* 1858 */    MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 1865
+/* 1862 */    MCD_OPC_Decode, 39, 12, // Opcode: ADDIC
+/* 1865 */    MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 1872
+/* 1869 */    MCD_OPC_Decode, 41, 12, // Opcode: ADDICo
+/* 1872 */    MCD_OPC_FilterValue, 14, 13, 0, // Skip to: 1889
+/* 1876 */    MCD_OPC_CheckField, 16, 5, 0, 4, 0, // Skip to: 1886
+/* 1882 */    MCD_OPC_Decode, 141, 5, 17, // Opcode: LI
+/* 1886 */    MCD_OPC_Decode, 37, 18, // Opcode: ADDI
+/* 1889 */    MCD_OPC_FilterValue, 15, 13, 0, // Skip to: 1906
+/* 1893 */    MCD_OPC_CheckField, 16, 5, 0, 4, 0, // Skip to: 1903
+/* 1899 */    MCD_OPC_Decode, 143, 5, 17, // Opcode: LIS
+/* 1903 */    MCD_OPC_Decode, 42, 18, // Opcode: ADDIS
+/* 1906 */    MCD_OPC_FilterValue, 16, 7, 1, // Skip to: 2173
+/* 1910 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 1913 */    MCD_OPC_FilterValue, 0, 61, 0, // Skip to: 1978
+/* 1917 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
+/* 1920 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1929
+/* 1925 */    MCD_OPC_Decode, 154, 1, 19, // Opcode: BDNZ
+/* 1929 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 1938
+/* 1934 */    MCD_OPC_Decode, 174, 1, 19, // Opcode: BDZ
+/* 1938 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 1947
+/* 1943 */    MCD_OPC_Decode, 172, 1, 19, // Opcode: BDNZm
+/* 1947 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 1956
+/* 1952 */    MCD_OPC_Decode, 173, 1, 19, // Opcode: BDNZp
+/* 1956 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 1965
+/* 1961 */    MCD_OPC_Decode, 192, 1, 19, // Opcode: BDZm
+/* 1965 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 1974
+/* 1970 */    MCD_OPC_Decode, 193, 1, 19, // Opcode: BDZp
+/* 1974 */    MCD_OPC_Decode, 230, 11, 20, // Opcode: gBC
+/* 1978 */    MCD_OPC_FilterValue, 1, 61, 0, // Skip to: 2043
+/* 1982 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
+/* 1985 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 1994
+/* 1990 */    MCD_OPC_Decode, 159, 1, 19, // Opcode: BDNZL
+/* 1994 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 2003
+/* 1999 */    MCD_OPC_Decode, 179, 1, 19, // Opcode: BDZL
+/* 2003 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 2012
+/* 2008 */    MCD_OPC_Decode, 170, 1, 19, // Opcode: BDNZLm
+/* 2012 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 2021
+/* 2017 */    MCD_OPC_Decode, 171, 1, 19, // Opcode: BDNZLp
+/* 2021 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 2030
+/* 2026 */    MCD_OPC_Decode, 190, 1, 19, // Opcode: BDZLm
+/* 2030 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 2039
+/* 2035 */    MCD_OPC_Decode, 191, 1, 19, // Opcode: BDZLp
+/* 2039 */    MCD_OPC_Decode, 234, 11, 20, // Opcode: gBCL
+/* 2043 */    MCD_OPC_FilterValue, 2, 61, 0, // Skip to: 2108
 /* 2047 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
-/* 2050 */    MCD_OPC_FilterValue, 128, 4, 10, 0, // Skip to: 2065
-/* 2055 */    MCD_OPC_CheckField, 11, 2, 0, 94, 0, // Skip to: 2155
-/* 2061 */    MCD_OPC_Decode, 157, 1, 23, // Opcode: BDNZLRL
-/* 2065 */    MCD_OPC_FilterValue, 192, 4, 10, 0, // Skip to: 2080
-/* 2070 */    MCD_OPC_CheckField, 11, 2, 0, 79, 0, // Skip to: 2155
-/* 2076 */    MCD_OPC_Decode, 177, 1, 23, // Opcode: BDZLRL
-/* 2080 */    MCD_OPC_FilterValue, 128, 5, 10, 0, // Skip to: 2095
-/* 2085 */    MCD_OPC_CheckField, 11, 2, 0, 64, 0, // Skip to: 2155
-/* 2091 */    MCD_OPC_Decode, 196, 1, 23, // Opcode: BLRL
-/* 2095 */    MCD_OPC_FilterValue, 128, 6, 10, 0, // Skip to: 2110
-/* 2100 */    MCD_OPC_CheckField, 11, 2, 0, 49, 0, // Skip to: 2155
-/* 2106 */    MCD_OPC_Decode, 158, 1, 23, // Opcode: BDNZLRLm
-/* 2110 */    MCD_OPC_FilterValue, 160, 6, 10, 0, // Skip to: 2125
-/* 2115 */    MCD_OPC_CheckField, 11, 2, 0, 34, 0, // Skip to: 2155
-/* 2121 */    MCD_OPC_Decode, 159, 1, 23, // Opcode: BDNZLRLp
-/* 2125 */    MCD_OPC_FilterValue, 192, 6, 10, 0, // Skip to: 2140
-/* 2130 */    MCD_OPC_CheckField, 11, 2, 0, 19, 0, // Skip to: 2155
-/* 2136 */    MCD_OPC_Decode, 178, 1, 23, // Opcode: BDZLRLm
-/* 2140 */    MCD_OPC_FilterValue, 224, 6, 10, 0, // Skip to: 2155
-/* 2145 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2155
-/* 2151 */    MCD_OPC_Decode, 179, 1, 23, // Opcode: BDZLRLp
-/* 2155 */    MCD_OPC_Decode, 244, 9, 24, // Opcode: gBCLRL
-/* 2159 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 2173
-/* 2163 */    MCD_OPC_CheckField, 11, 15, 0, 35, 28, // Skip to: 9372
-/* 2169 */    MCD_OPC_Decode, 254, 5, 23, // Opcode: RFID
-/* 2173 */    MCD_OPC_FilterValue, 66, 4, 0, // Skip to: 2181
-/* 2177 */    MCD_OPC_Decode, 225, 1, 25, // Opcode: CRNOR
-/* 2181 */    MCD_OPC_FilterValue, 76, 10, 0, // Skip to: 2195
-/* 2185 */    MCD_OPC_CheckField, 11, 15, 0, 13, 28, // Skip to: 9372
-/* 2191 */    MCD_OPC_Decode, 255, 5, 23, // Opcode: RFMCI
-/* 2195 */    MCD_OPC_FilterValue, 78, 10, 0, // Skip to: 2209
-/* 2199 */    MCD_OPC_CheckField, 11, 15, 0, 255, 27, // Skip to: 9372
-/* 2205 */    MCD_OPC_Decode, 252, 5, 23, // Opcode: RFDI
-/* 2209 */    MCD_OPC_FilterValue, 100, 10, 0, // Skip to: 2223
-/* 2213 */    MCD_OPC_CheckField, 11, 15, 0, 241, 27, // Skip to: 9372
-/* 2219 */    MCD_OPC_Decode, 253, 5, 23, // Opcode: RFI
-/* 2223 */    MCD_OPC_FilterValue, 102, 10, 0, // Skip to: 2237
-/* 2227 */    MCD_OPC_CheckField, 11, 15, 0, 227, 27, // Skip to: 9372
-/* 2233 */    MCD_OPC_Decode, 251, 5, 23, // Opcode: RFCI
-/* 2237 */    MCD_OPC_FilterValue, 130, 2, 4, 0, // Skip to: 2246
-/* 2242 */    MCD_OPC_Decode, 222, 1, 25, // Opcode: CRANDC
-/* 2246 */    MCD_OPC_FilterValue, 172, 2, 10, 0, // Skip to: 2261
-/* 2251 */    MCD_OPC_CheckField, 11, 15, 0, 203, 27, // Skip to: 9372
-/* 2257 */    MCD_OPC_Decode, 201, 4, 23, // Opcode: ISYNC
-/* 2261 */    MCD_OPC_FilterValue, 130, 3, 4, 0, // Skip to: 2270
-/* 2266 */    MCD_OPC_Decode, 230, 1, 25, // Opcode: CRXOR
-/* 2270 */    MCD_OPC_FilterValue, 194, 3, 4, 0, // Skip to: 2279
-/* 2275 */    MCD_OPC_Decode, 224, 1, 25, // Opcode: CRNAND
-/* 2279 */    MCD_OPC_FilterValue, 130, 4, 4, 0, // Skip to: 2288
-/* 2284 */    MCD_OPC_Decode, 221, 1, 25, // Opcode: CRAND
-/* 2288 */    MCD_OPC_FilterValue, 194, 4, 4, 0, // Skip to: 2297
-/* 2293 */    MCD_OPC_Decode, 223, 1, 25, // Opcode: CREQV
-/* 2297 */    MCD_OPC_FilterValue, 194, 6, 4, 0, // Skip to: 2306
-/* 2302 */    MCD_OPC_Decode, 227, 1, 25, // Opcode: CRORC
-/* 2306 */    MCD_OPC_FilterValue, 130, 7, 4, 0, // Skip to: 2315
-/* 2311 */    MCD_OPC_Decode, 226, 1, 25, // Opcode: CROR
-/* 2315 */    MCD_OPC_FilterValue, 160, 8, 28, 0, // Skip to: 2348
-/* 2320 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 2323 */    MCD_OPC_FilterValue, 0, 133, 27, // Skip to: 9372
-/* 2327 */    MCD_OPC_CheckField, 16, 10, 128, 5, 10, 0, // Skip to: 2344
-/* 2334 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2344
-/* 2340 */    MCD_OPC_Decode, 141, 1, 23, // Opcode: BCTR
-/* 2344 */    MCD_OPC_Decode, 239, 9, 24, // Opcode: gBCCTR
-/* 2348 */    MCD_OPC_FilterValue, 161, 8, 107, 27, // Skip to: 9372
-/* 2353 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
-/* 2356 */    MCD_OPC_FilterValue, 0, 100, 27, // Skip to: 9372
-/* 2360 */    MCD_OPC_CheckField, 16, 10, 128, 5, 10, 0, // Skip to: 2377
-/* 2367 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2377
-/* 2373 */    MCD_OPC_Decode, 143, 1, 23, // Opcode: BCTRL
-/* 2377 */    MCD_OPC_Decode, 240, 9, 24, // Opcode: gBCCTRL
-/* 2381 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 2404
-/* 2385 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2388 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2396
-/* 2392 */    MCD_OPC_Decode, 141, 6, 26, // Opcode: RLWIMI
-/* 2396 */    MCD_OPC_FilterValue, 1, 60, 27, // Skip to: 9372
-/* 2400 */    MCD_OPC_Decode, 144, 6, 26, // Opcode: RLWIMIo
-/* 2404 */    MCD_OPC_FilterValue, 21, 19, 0, // Skip to: 2427
-/* 2408 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2411 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2419
-/* 2415 */    MCD_OPC_Decode, 145, 6, 27, // Opcode: RLWINM
-/* 2419 */    MCD_OPC_FilterValue, 1, 37, 27, // Skip to: 9372
-/* 2423 */    MCD_OPC_Decode, 148, 6, 27, // Opcode: RLWINMo
-/* 2427 */    MCD_OPC_FilterValue, 23, 19, 0, // Skip to: 2450
-/* 2431 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2434 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2442
-/* 2438 */    MCD_OPC_Decode, 149, 6, 28, // Opcode: RLWNM
-/* 2442 */    MCD_OPC_FilterValue, 1, 14, 27, // Skip to: 9372
-/* 2446 */    MCD_OPC_Decode, 150, 6, 28, // Opcode: RLWNMo
-/* 2450 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 2468
-/* 2454 */    MCD_OPC_CheckField, 0, 26, 0, 4, 0, // Skip to: 2464
-/* 2460 */    MCD_OPC_Decode, 225, 5, 23, // Opcode: NOP
-/* 2464 */    MCD_OPC_Decode, 239, 5, 29, // Opcode: ORI
-/* 2468 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 2476
-/* 2472 */    MCD_OPC_Decode, 241, 5, 29, // Opcode: ORIS
-/* 2476 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 2484
-/* 2480 */    MCD_OPC_Decode, 224, 8, 29, // Opcode: XORI
-/* 2484 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 2492
-/* 2488 */    MCD_OPC_Decode, 226, 8, 29, // Opcode: XORIS
-/* 2492 */    MCD_OPC_FilterValue, 28, 3, 0, // Skip to: 2499
-/* 2496 */    MCD_OPC_Decode, 74, 29, // Opcode: ANDIo
-/* 2499 */    MCD_OPC_FilterValue, 29, 3, 0, // Skip to: 2506
-/* 2503 */    MCD_OPC_Decode, 72, 29, // Opcode: ANDISo
-/* 2506 */    MCD_OPC_FilterValue, 30, 134, 0, // Skip to: 2644
-/* 2510 */    MCD_OPC_ExtractField, 2, 3,  // Inst{4-2} ...
-/* 2513 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 2536
-/* 2517 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2520 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2528
-/* 2524 */    MCD_OPC_Decode, 133, 6, 30, // Opcode: RLDICL
-/* 2528 */    MCD_OPC_FilterValue, 1, 184, 26, // Skip to: 9372
-/* 2532 */    MCD_OPC_Decode, 135, 6, 30, // Opcode: RLDICLo
-/* 2536 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 2559
-/* 2540 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2543 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2551
-/* 2547 */    MCD_OPC_Decode, 136, 6, 30, // Opcode: RLDICR
-/* 2551 */    MCD_OPC_FilterValue, 1, 161, 26, // Skip to: 9372
-/* 2555 */    MCD_OPC_Decode, 137, 6, 30, // Opcode: RLDICRo
-/* 2559 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 2582
-/* 2563 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2566 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2574
-/* 2570 */    MCD_OPC_Decode, 132, 6, 30, // Opcode: RLDIC
-/* 2574 */    MCD_OPC_FilterValue, 1, 138, 26, // Skip to: 9372
-/* 2578 */    MCD_OPC_Decode, 138, 6, 30, // Opcode: RLDICo
-/* 2582 */    MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 2605
-/* 2586 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 2589 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2597
-/* 2593 */    MCD_OPC_Decode, 139, 6, 31, // Opcode: RLDIMI
-/* 2597 */    MCD_OPC_FilterValue, 1, 115, 26, // Skip to: 9372
-/* 2601 */    MCD_OPC_Decode, 140, 6, 31, // Opcode: RLDIMIo
-/* 2605 */    MCD_OPC_FilterValue, 4, 107, 26, // Skip to: 9372
-/* 2609 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 2612 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2620
-/* 2616 */    MCD_OPC_Decode, 128, 6, 32, // Opcode: RLDCL
-/* 2620 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2628
-/* 2624 */    MCD_OPC_Decode, 129, 6, 32, // Opcode: RLDCLo
-/* 2628 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 2636
-/* 2632 */    MCD_OPC_Decode, 130, 6, 32, // Opcode: RLDCR
-/* 2636 */    MCD_OPC_FilterValue, 3, 76, 26, // Skip to: 9372
-/* 2640 */    MCD_OPC_Decode, 131, 6, 32, // Opcode: RLDCRo
-/* 2644 */    MCD_OPC_FilterValue, 31, 38, 12, // Skip to: 5758
-/* 2648 */    MCD_OPC_ExtractField, 2, 4,  // Inst{5-2} ...
-/* 2651 */    MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 2728
-/* 2655 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 2658 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 2693
-/* 2662 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
-/* 2665 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 2679
-/* 2669 */    MCD_OPC_CheckField, 0, 2, 0, 41, 26, // Skip to: 9372
-/* 2675 */    MCD_OPC_Decode, 213, 1, 33, // Opcode: CMPW
-/* 2679 */    MCD_OPC_FilterValue, 1, 33, 26, // Skip to: 9372
-/* 2683 */    MCD_OPC_CheckField, 0, 2, 0, 27, 26, // Skip to: 9372
-/* 2689 */    MCD_OPC_Decode, 207, 1, 34, // Opcode: CMPD
-/* 2693 */    MCD_OPC_FilterValue, 1, 19, 26, // Skip to: 9372
-/* 2697 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
-/* 2700 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 2714
-/* 2704 */    MCD_OPC_CheckField, 0, 2, 0, 6, 26, // Skip to: 9372
-/* 2710 */    MCD_OPC_Decode, 211, 1, 33, // Opcode: CMPLW
-/* 2714 */    MCD_OPC_FilterValue, 1, 254, 25, // Skip to: 9372
-/* 2718 */    MCD_OPC_CheckField, 0, 2, 0, 248, 25, // Skip to: 9372
-/* 2724 */    MCD_OPC_Decode, 209, 1, 34, // Opcode: CMPLD
-/* 2728 */    MCD_OPC_FilterValue, 1, 65, 0, // Skip to: 2797
-/* 2732 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 2735 */    MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 2755
-/* 2739 */    MCD_OPC_CheckField, 16, 1, 0, 227, 25, // Skip to: 9372
-/* 2745 */    MCD_OPC_CheckField, 1, 1, 1, 221, 25, // Skip to: 9372
-/* 2751 */    MCD_OPC_Decode, 219, 8, 35, // Opcode: WRTEE
-/* 2755 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 2769
-/* 2759 */    MCD_OPC_CheckField, 1, 1, 1, 207, 25, // Skip to: 9372
-/* 2765 */    MCD_OPC_Decode, 220, 8, 36, // Opcode: WRTEEI
-/* 2769 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 2783
-/* 2773 */    MCD_OPC_CheckField, 0, 2, 2, 193, 25, // Skip to: 9372
-/* 2779 */    MCD_OPC_Decode, 163, 5, 37, // Opcode: MFDCR
-/* 2783 */    MCD_OPC_FilterValue, 14, 185, 25, // Skip to: 9372
-/* 2787 */    MCD_OPC_CheckField, 0, 2, 2, 179, 25, // Skip to: 9372
-/* 2793 */    MCD_OPC_Decode, 185, 5, 37, // Opcode: MTDCR
-/* 2797 */    MCD_OPC_FilterValue, 2, 44, 0, // Skip to: 2845
-/* 2801 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 2804 */    MCD_OPC_FilterValue, 0, 23, 0, // Skip to: 2831
-/* 2808 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 2811 */    MCD_OPC_FilterValue, 0, 157, 25, // Skip to: 9372
-/* 2815 */    MCD_OPC_CheckField, 11, 15, 128, 248, 1, 4, 0, // Skip to: 2827
-/* 2823 */    MCD_OPC_Decode, 176, 7, 23, // Opcode: TRAP
-/* 2827 */    MCD_OPC_Decode, 177, 7, 38, // Opcode: TW
-/* 2831 */    MCD_OPC_FilterValue, 2, 137, 25, // Skip to: 9372
-/* 2835 */    MCD_OPC_CheckField, 0, 2, 0, 131, 25, // Skip to: 9372
-/* 2841 */    MCD_OPC_Decode, 160, 7, 39, // Opcode: TD
-/* 2845 */    MCD_OPC_FilterValue, 3, 201, 0, // Skip to: 3050
-/* 2849 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 2852 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 2875
-/* 2856 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 2859 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2867
-/* 2863 */    MCD_OPC_Decode, 133, 5, 40, // Opcode: LVSL
-/* 2867 */    MCD_OPC_FilterValue, 2, 101, 25, // Skip to: 9372
-/* 2871 */    MCD_OPC_Decode, 130, 5, 40, // Opcode: LVEBX
-/* 2875 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 2898
-/* 2879 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 2882 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2890
-/* 2886 */    MCD_OPC_Decode, 134, 5, 40, // Opcode: LVSR
-/* 2890 */    MCD_OPC_FilterValue, 2, 78, 25, // Skip to: 9372
-/* 2894 */    MCD_OPC_Decode, 131, 5, 40, // Opcode: LVEHX
-/* 2898 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 2912
-/* 2902 */    MCD_OPC_CheckField, 0, 2, 2, 64, 25, // Skip to: 9372
-/* 2908 */    MCD_OPC_Decode, 132, 5, 40, // Opcode: LVEWX
-/* 2912 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 2926
-/* 2916 */    MCD_OPC_CheckField, 0, 2, 2, 50, 25, // Skip to: 9372
-/* 2922 */    MCD_OPC_Decode, 135, 5, 40, // Opcode: LVX
-/* 2926 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 2940
-/* 2930 */    MCD_OPC_CheckField, 0, 2, 2, 36, 25, // Skip to: 9372
-/* 2936 */    MCD_OPC_Decode, 231, 6, 40, // Opcode: STVEBX
-/* 2940 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 2954
-/* 2944 */    MCD_OPC_CheckField, 0, 2, 2, 22, 25, // Skip to: 9372
-/* 2950 */    MCD_OPC_Decode, 232, 6, 40, // Opcode: STVEHX
-/* 2954 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 2968
-/* 2958 */    MCD_OPC_CheckField, 0, 2, 2, 8, 25, // Skip to: 9372
-/* 2964 */    MCD_OPC_Decode, 233, 6, 40, // Opcode: STVEWX
-/* 2968 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 2982
-/* 2972 */    MCD_OPC_CheckField, 0, 2, 2, 250, 24, // Skip to: 9372
-/* 2978 */    MCD_OPC_Decode, 234, 6, 40, // Opcode: STVX
-/* 2982 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 2996
-/* 2986 */    MCD_OPC_CheckField, 0, 2, 2, 236, 24, // Skip to: 9372
-/* 2992 */    MCD_OPC_Decode, 136, 5, 40, // Opcode: LVXL
-/* 2996 */    MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 3016
-/* 3000 */    MCD_OPC_CheckField, 21, 5, 0, 222, 24, // Skip to: 9372
-/* 3006 */    MCD_OPC_CheckField, 0, 2, 0, 216, 24, // Skip to: 9372
-/* 3012 */    MCD_OPC_Decode, 239, 1, 41, // Opcode: DCCCI
-/* 3016 */    MCD_OPC_FilterValue, 15, 10, 0, // Skip to: 3030
-/* 3020 */    MCD_OPC_CheckField, 0, 2, 2, 202, 24, // Skip to: 9372
-/* 3026 */    MCD_OPC_Decode, 235, 6, 40, // Opcode: STVXL
-/* 3030 */    MCD_OPC_FilterValue, 30, 194, 24, // Skip to: 9372
-/* 3034 */    MCD_OPC_CheckField, 21, 5, 0, 188, 24, // Skip to: 9372
-/* 3040 */    MCD_OPC_CheckField, 0, 2, 0, 182, 24, // Skip to: 9372
-/* 3046 */    MCD_OPC_Decode, 192, 4, 41, // Opcode: ICCCI
-/* 3050 */    MCD_OPC_FilterValue, 4, 22, 1, // Skip to: 3332
-/* 3054 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3057 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 3096
-/* 3061 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3064 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3072
-/* 3068 */    MCD_OPC_Decode, 252, 6, 42, // Opcode: SUBFC
-/* 3072 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 3080
-/* 3076 */    MCD_OPC_Decode, 255, 6, 42, // Opcode: SUBFCo
-/* 3080 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3088
-/* 3084 */    MCD_OPC_Decode, 202, 5, 43, // Opcode: MULHDU
-/* 3088 */    MCD_OPC_FilterValue, 3, 136, 24, // Skip to: 9372
-/* 3092 */    MCD_OPC_Decode, 203, 5, 43, // Opcode: MULHDUo
-/* 3096 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 3119
-/* 3100 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3103 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3111
-/* 3107 */    MCD_OPC_Decode, 249, 6, 42, // Opcode: SUBF
-/* 3111 */    MCD_OPC_FilterValue, 1, 113, 24, // Skip to: 9372
-/* 3115 */    MCD_OPC_Decode, 142, 7, 42, // Opcode: SUBFo
-/* 3119 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 3142
-/* 3123 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3126 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3134
-/* 3130 */    MCD_OPC_Decode, 201, 5, 43, // Opcode: MULHD
-/* 3134 */    MCD_OPC_FilterValue, 3, 90, 24, // Skip to: 9372
-/* 3138 */    MCD_OPC_Decode, 204, 5, 43, // Opcode: MULHDo
-/* 3142 */    MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 3177
+/* 2050 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 2059
+/* 2055 */    MCD_OPC_Decode, 156, 1, 19, // Opcode: BDNZA
+/* 2059 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 2068
+/* 2064 */    MCD_OPC_Decode, 176, 1, 19, // Opcode: BDZA
+/* 2068 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 2077
+/* 2073 */    MCD_OPC_Decode, 157, 1, 19, // Opcode: BDNZAm
+/* 2077 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 2086
+/* 2082 */    MCD_OPC_Decode, 158, 1, 19, // Opcode: BDNZAp
+/* 2086 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 2095
+/* 2091 */    MCD_OPC_Decode, 177, 1, 19, // Opcode: BDZAm
+/* 2095 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 2104
+/* 2100 */    MCD_OPC_Decode, 178, 1, 19, // Opcode: BDZAp
+/* 2104 */    MCD_OPC_Decode, 231, 11, 20, // Opcode: gBCA
+/* 2108 */    MCD_OPC_FilterValue, 3, 181, 30, // Skip to: 9973
+/* 2112 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
+/* 2115 */    MCD_OPC_FilterValue, 128, 4, 4, 0, // Skip to: 2124
+/* 2120 */    MCD_OPC_Decode, 160, 1, 19, // Opcode: BDNZLA
+/* 2124 */    MCD_OPC_FilterValue, 192, 4, 4, 0, // Skip to: 2133
+/* 2129 */    MCD_OPC_Decode, 180, 1, 19, // Opcode: BDZLA
+/* 2133 */    MCD_OPC_FilterValue, 128, 6, 4, 0, // Skip to: 2142
+/* 2138 */    MCD_OPC_Decode, 161, 1, 19, // Opcode: BDNZLAm
+/* 2142 */    MCD_OPC_FilterValue, 160, 6, 4, 0, // Skip to: 2151
+/* 2147 */    MCD_OPC_Decode, 162, 1, 19, // Opcode: BDNZLAp
+/* 2151 */    MCD_OPC_FilterValue, 192, 6, 4, 0, // Skip to: 2160
+/* 2156 */    MCD_OPC_Decode, 181, 1, 19, // Opcode: BDZLAm
+/* 2160 */    MCD_OPC_FilterValue, 224, 6, 4, 0, // Skip to: 2169
+/* 2165 */    MCD_OPC_Decode, 182, 1, 19, // Opcode: BDZLAp
+/* 2169 */    MCD_OPC_Decode, 235, 11, 20, // Opcode: gBCLA
+/* 2173 */    MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 2187
+/* 2177 */    MCD_OPC_CheckField, 1, 1, 1, 110, 30, // Skip to: 9973
+/* 2183 */    MCD_OPC_Decode, 223, 7, 21, // Opcode: SC
+/* 2187 */    MCD_OPC_FilterValue, 18, 33, 0, // Skip to: 2224
+/* 2191 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 2194 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 2201
+/* 2198 */    MCD_OPC_Decode, 120, 22, // Opcode: B
+/* 2201 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2209
+/* 2205 */    MCD_OPC_Decode, 194, 1, 22, // Opcode: BL
+/* 2209 */    MCD_OPC_FilterValue, 2, 3, 0, // Skip to: 2216
+/* 2213 */    MCD_OPC_Decode, 121, 22, // Opcode: BA
+/* 2216 */    MCD_OPC_FilterValue, 3, 73, 30, // Skip to: 9973
+/* 2220 */    MCD_OPC_Decode, 200, 1, 22, // Opcode: BLA
+/* 2224 */    MCD_OPC_FilterValue, 19, 235, 1, // Skip to: 2719
+/* 2228 */    MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
+/* 2231 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 2251
+/* 2235 */    MCD_OPC_CheckField, 21, 2, 0, 52, 30, // Skip to: 9973
+/* 2241 */    MCD_OPC_CheckField, 11, 7, 0, 46, 30, // Skip to: 9973
+/* 2247 */    MCD_OPC_Decode, 177, 5, 23, // Opcode: MCRF
+/* 2251 */    MCD_OPC_FilterValue, 32, 119, 0, // Skip to: 2374
+/* 2255 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 2258 */    MCD_OPC_FilterValue, 0, 31, 30, // Skip to: 9973
+/* 2262 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
+/* 2265 */    MCD_OPC_FilterValue, 128, 4, 10, 0, // Skip to: 2280
+/* 2270 */    MCD_OPC_CheckField, 11, 2, 0, 94, 0, // Skip to: 2370
+/* 2276 */    MCD_OPC_Decode, 163, 1, 0, // Opcode: BDNZLR
+/* 2280 */    MCD_OPC_FilterValue, 192, 4, 10, 0, // Skip to: 2295
+/* 2285 */    MCD_OPC_CheckField, 11, 2, 0, 79, 0, // Skip to: 2370
+/* 2291 */    MCD_OPC_Decode, 183, 1, 0, // Opcode: BDZLR
+/* 2295 */    MCD_OPC_FilterValue, 128, 5, 10, 0, // Skip to: 2310
+/* 2300 */    MCD_OPC_CheckField, 11, 2, 0, 64, 0, // Skip to: 2370
+/* 2306 */    MCD_OPC_Decode, 203, 1, 0, // Opcode: BLR
+/* 2310 */    MCD_OPC_FilterValue, 128, 6, 10, 0, // Skip to: 2325
+/* 2315 */    MCD_OPC_CheckField, 11, 2, 0, 49, 0, // Skip to: 2370
+/* 2321 */    MCD_OPC_Decode, 168, 1, 0, // Opcode: BDNZLRm
+/* 2325 */    MCD_OPC_FilterValue, 160, 6, 10, 0, // Skip to: 2340
+/* 2330 */    MCD_OPC_CheckField, 11, 2, 0, 34, 0, // Skip to: 2370
+/* 2336 */    MCD_OPC_Decode, 169, 1, 0, // Opcode: BDNZLRp
+/* 2340 */    MCD_OPC_FilterValue, 192, 6, 10, 0, // Skip to: 2355
+/* 2345 */    MCD_OPC_CheckField, 11, 2, 0, 19, 0, // Skip to: 2370
+/* 2351 */    MCD_OPC_Decode, 188, 1, 0, // Opcode: BDZLRm
+/* 2355 */    MCD_OPC_FilterValue, 224, 6, 10, 0, // Skip to: 2370
+/* 2360 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2370
+/* 2366 */    MCD_OPC_Decode, 189, 1, 0, // Opcode: BDZLRp
+/* 2370 */    MCD_OPC_Decode, 236, 11, 24, // Opcode: gBCLR
+/* 2374 */    MCD_OPC_FilterValue, 33, 119, 0, // Skip to: 2497
+/* 2378 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 2381 */    MCD_OPC_FilterValue, 0, 164, 29, // Skip to: 9973
+/* 2385 */    MCD_OPC_ExtractField, 16, 10,  // Inst{25-16} ...
+/* 2388 */    MCD_OPC_FilterValue, 128, 4, 10, 0, // Skip to: 2403
+/* 2393 */    MCD_OPC_CheckField, 11, 2, 0, 94, 0, // Skip to: 2493
+/* 2399 */    MCD_OPC_Decode, 165, 1, 0, // Opcode: BDNZLRL
+/* 2403 */    MCD_OPC_FilterValue, 192, 4, 10, 0, // Skip to: 2418
+/* 2408 */    MCD_OPC_CheckField, 11, 2, 0, 79, 0, // Skip to: 2493
+/* 2414 */    MCD_OPC_Decode, 185, 1, 0, // Opcode: BDZLRL
+/* 2418 */    MCD_OPC_FilterValue, 128, 5, 10, 0, // Skip to: 2433
+/* 2423 */    MCD_OPC_CheckField, 11, 2, 0, 64, 0, // Skip to: 2493
+/* 2429 */    MCD_OPC_Decode, 205, 1, 0, // Opcode: BLRL
+/* 2433 */    MCD_OPC_FilterValue, 128, 6, 10, 0, // Skip to: 2448
+/* 2438 */    MCD_OPC_CheckField, 11, 2, 0, 49, 0, // Skip to: 2493
+/* 2444 */    MCD_OPC_Decode, 166, 1, 0, // Opcode: BDNZLRLm
+/* 2448 */    MCD_OPC_FilterValue, 160, 6, 10, 0, // Skip to: 2463
+/* 2453 */    MCD_OPC_CheckField, 11, 2, 0, 34, 0, // Skip to: 2493
+/* 2459 */    MCD_OPC_Decode, 167, 1, 0, // Opcode: BDNZLRLp
+/* 2463 */    MCD_OPC_FilterValue, 192, 6, 10, 0, // Skip to: 2478
+/* 2468 */    MCD_OPC_CheckField, 11, 2, 0, 19, 0, // Skip to: 2493
+/* 2474 */    MCD_OPC_Decode, 186, 1, 0, // Opcode: BDZLRLm
+/* 2478 */    MCD_OPC_FilterValue, 224, 6, 10, 0, // Skip to: 2493
+/* 2483 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2493
+/* 2489 */    MCD_OPC_Decode, 187, 1, 0, // Opcode: BDZLRLp
+/* 2493 */    MCD_OPC_Decode, 237, 11, 24, // Opcode: gBCLRL
+/* 2497 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 2511
+/* 2501 */    MCD_OPC_CheckField, 11, 15, 0, 42, 29, // Skip to: 9973
+/* 2507 */    MCD_OPC_Decode, 191, 7, 0, // Opcode: RFID
+/* 2511 */    MCD_OPC_FilterValue, 66, 4, 0, // Skip to: 2519
+/* 2515 */    MCD_OPC_Decode, 238, 1, 25, // Opcode: CRNOR
+/* 2519 */    MCD_OPC_FilterValue, 76, 10, 0, // Skip to: 2533
+/* 2523 */    MCD_OPC_CheckField, 11, 15, 0, 20, 29, // Skip to: 9973
+/* 2529 */    MCD_OPC_Decode, 192, 7, 0, // Opcode: RFMCI
+/* 2533 */    MCD_OPC_FilterValue, 78, 10, 0, // Skip to: 2547
+/* 2537 */    MCD_OPC_CheckField, 11, 15, 0, 6, 29, // Skip to: 9973
+/* 2543 */    MCD_OPC_Decode, 189, 7, 0, // Opcode: RFDI
+/* 2547 */    MCD_OPC_FilterValue, 100, 10, 0, // Skip to: 2561
+/* 2551 */    MCD_OPC_CheckField, 11, 15, 0, 248, 28, // Skip to: 9973
+/* 2557 */    MCD_OPC_Decode, 190, 7, 0, // Opcode: RFI
+/* 2561 */    MCD_OPC_FilterValue, 102, 10, 0, // Skip to: 2575
+/* 2565 */    MCD_OPC_CheckField, 11, 15, 0, 234, 28, // Skip to: 9973
+/* 2571 */    MCD_OPC_Decode, 188, 7, 0, // Opcode: RFCI
+/* 2575 */    MCD_OPC_FilterValue, 130, 2, 4, 0, // Skip to: 2584
+/* 2580 */    MCD_OPC_Decode, 235, 1, 25, // Opcode: CRANDC
+/* 2584 */    MCD_OPC_FilterValue, 172, 2, 10, 0, // Skip to: 2599
+/* 2589 */    MCD_OPC_CheckField, 11, 15, 0, 210, 28, // Skip to: 9973
+/* 2595 */    MCD_OPC_Decode, 214, 4, 0, // Opcode: ISYNC
+/* 2599 */    MCD_OPC_FilterValue, 130, 3, 4, 0, // Skip to: 2608
+/* 2604 */    MCD_OPC_Decode, 243, 1, 25, // Opcode: CRXOR
+/* 2608 */    MCD_OPC_FilterValue, 194, 3, 4, 0, // Skip to: 2617
+/* 2613 */    MCD_OPC_Decode, 237, 1, 25, // Opcode: CRNAND
+/* 2617 */    MCD_OPC_FilterValue, 130, 4, 4, 0, // Skip to: 2626
+/* 2622 */    MCD_OPC_Decode, 234, 1, 25, // Opcode: CRAND
+/* 2626 */    MCD_OPC_FilterValue, 194, 4, 4, 0, // Skip to: 2635
+/* 2631 */    MCD_OPC_Decode, 236, 1, 25, // Opcode: CREQV
+/* 2635 */    MCD_OPC_FilterValue, 194, 6, 4, 0, // Skip to: 2644
+/* 2640 */    MCD_OPC_Decode, 240, 1, 25, // Opcode: CRORC
+/* 2644 */    MCD_OPC_FilterValue, 130, 7, 4, 0, // Skip to: 2653
+/* 2649 */    MCD_OPC_Decode, 239, 1, 25, // Opcode: CROR
+/* 2653 */    MCD_OPC_FilterValue, 160, 8, 28, 0, // Skip to: 2686
+/* 2658 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 2661 */    MCD_OPC_FilterValue, 0, 140, 28, // Skip to: 9973
+/* 2665 */    MCD_OPC_CheckField, 16, 10, 128, 5, 10, 0, // Skip to: 2682
+/* 2672 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2682
+/* 2678 */    MCD_OPC_Decode, 148, 1, 0, // Opcode: BCTR
+/* 2682 */    MCD_OPC_Decode, 232, 11, 24, // Opcode: gBCCTR
+/* 2686 */    MCD_OPC_FilterValue, 161, 8, 114, 28, // Skip to: 9973
+/* 2691 */    MCD_OPC_ExtractField, 13, 3,  // Inst{15-13} ...
+/* 2694 */    MCD_OPC_FilterValue, 0, 107, 28, // Skip to: 9973
+/* 2698 */    MCD_OPC_CheckField, 16, 10, 128, 5, 10, 0, // Skip to: 2715
+/* 2705 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2715
+/* 2711 */    MCD_OPC_Decode, 150, 1, 0, // Opcode: BCTRL
+/* 2715 */    MCD_OPC_Decode, 233, 11, 24, // Opcode: gBCCTRL
+/* 2719 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 2742
+/* 2723 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2726 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2734
+/* 2730 */    MCD_OPC_Decode, 206, 7, 26, // Opcode: RLWIMI
+/* 2734 */    MCD_OPC_FilterValue, 1, 67, 28, // Skip to: 9973
+/* 2738 */    MCD_OPC_Decode, 209, 7, 26, // Opcode: RLWIMIo
+/* 2742 */    MCD_OPC_FilterValue, 21, 19, 0, // Skip to: 2765
+/* 2746 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2749 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2757
+/* 2753 */    MCD_OPC_Decode, 210, 7, 27, // Opcode: RLWINM
+/* 2757 */    MCD_OPC_FilterValue, 1, 44, 28, // Skip to: 9973
+/* 2761 */    MCD_OPC_Decode, 213, 7, 27, // Opcode: RLWINMo
+/* 2765 */    MCD_OPC_FilterValue, 23, 19, 0, // Skip to: 2788
+/* 2769 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2772 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2780
+/* 2776 */    MCD_OPC_Decode, 214, 7, 28, // Opcode: RLWNM
+/* 2780 */    MCD_OPC_FilterValue, 1, 21, 28, // Skip to: 9973
+/* 2784 */    MCD_OPC_Decode, 217, 7, 28, // Opcode: RLWNMo
+/* 2788 */    MCD_OPC_FilterValue, 24, 14, 0, // Skip to: 2806
+/* 2792 */    MCD_OPC_CheckField, 0, 26, 0, 4, 0, // Skip to: 2802
+/* 2798 */    MCD_OPC_Decode, 251, 5, 0, // Opcode: NOP
+/* 2802 */    MCD_OPC_Decode, 137, 6, 29, // Opcode: ORI
+/* 2806 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 2814
+/* 2810 */    MCD_OPC_Decode, 139, 6, 29, // Opcode: ORIS
+/* 2814 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 2822
+/* 2818 */    MCD_OPC_Decode, 214, 10, 29, // Opcode: XORI
+/* 2822 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 2830
+/* 2826 */    MCD_OPC_Decode, 216, 10, 29, // Opcode: XORIS
+/* 2830 */    MCD_OPC_FilterValue, 28, 3, 0, // Skip to: 2837
+/* 2834 */    MCD_OPC_Decode, 80, 29, // Opcode: ANDIo
+/* 2837 */    MCD_OPC_FilterValue, 29, 3, 0, // Skip to: 2844
+/* 2841 */    MCD_OPC_Decode, 78, 29, // Opcode: ANDISo
+/* 2844 */    MCD_OPC_FilterValue, 30, 134, 0, // Skip to: 2982
+/* 2848 */    MCD_OPC_ExtractField, 2, 3,  // Inst{4-2} ...
+/* 2851 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 2874
+/* 2855 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2858 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2866
+/* 2862 */    MCD_OPC_Decode, 198, 7, 30, // Opcode: RLDICL
+/* 2866 */    MCD_OPC_FilterValue, 1, 191, 27, // Skip to: 9973
+/* 2870 */    MCD_OPC_Decode, 200, 7, 30, // Opcode: RLDICLo
+/* 2874 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 2897
+/* 2878 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2881 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2889
+/* 2885 */    MCD_OPC_Decode, 201, 7, 30, // Opcode: RLDICR
+/* 2889 */    MCD_OPC_FilterValue, 1, 168, 27, // Skip to: 9973
+/* 2893 */    MCD_OPC_Decode, 202, 7, 30, // Opcode: RLDICRo
+/* 2897 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 2920
+/* 2901 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2904 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2912
+/* 2908 */    MCD_OPC_Decode, 197, 7, 30, // Opcode: RLDIC
+/* 2912 */    MCD_OPC_FilterValue, 1, 145, 27, // Skip to: 9973
+/* 2916 */    MCD_OPC_Decode, 203, 7, 30, // Opcode: RLDICo
+/* 2920 */    MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 2943
+/* 2924 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 2927 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2935
+/* 2931 */    MCD_OPC_Decode, 204, 7, 31, // Opcode: RLDIMI
+/* 2935 */    MCD_OPC_FilterValue, 1, 122, 27, // Skip to: 9973
+/* 2939 */    MCD_OPC_Decode, 205, 7, 31, // Opcode: RLDIMIo
+/* 2943 */    MCD_OPC_FilterValue, 4, 114, 27, // Skip to: 9973
+/* 2947 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 2950 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2958
+/* 2954 */    MCD_OPC_Decode, 193, 7, 32, // Opcode: RLDCL
+/* 2958 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2966
+/* 2962 */    MCD_OPC_Decode, 194, 7, 32, // Opcode: RLDCLo
+/* 2966 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 2974
+/* 2970 */    MCD_OPC_Decode, 195, 7, 32, // Opcode: RLDCR
+/* 2974 */    MCD_OPC_FilterValue, 3, 83, 27, // Skip to: 9973
+/* 2978 */    MCD_OPC_Decode, 196, 7, 32, // Opcode: RLDCRo
+/* 2982 */    MCD_OPC_FilterValue, 31, 179, 12, // Skip to: 6237
+/* 2986 */    MCD_OPC_ExtractField, 2, 4,  // Inst{5-2} ...
+/* 2989 */    MCD_OPC_FilterValue, 0, 73, 0, // Skip to: 3066
+/* 2993 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 2996 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 3031
+/* 3000 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
+/* 3003 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3017
+/* 3007 */    MCD_OPC_CheckField, 0, 2, 0, 48, 27, // Skip to: 9973
+/* 3013 */    MCD_OPC_Decode, 224, 1, 33, // Opcode: CMPW
+/* 3017 */    MCD_OPC_FilterValue, 1, 40, 27, // Skip to: 9973
+/* 3021 */    MCD_OPC_CheckField, 0, 2, 0, 34, 27, // Skip to: 9973
+/* 3027 */    MCD_OPC_Decode, 218, 1, 34, // Opcode: CMPD
+/* 3031 */    MCD_OPC_FilterValue, 1, 26, 27, // Skip to: 9973
+/* 3035 */    MCD_OPC_ExtractField, 21, 2,  // Inst{22-21} ...
+/* 3038 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3052
+/* 3042 */    MCD_OPC_CheckField, 0, 2, 0, 13, 27, // Skip to: 9973
+/* 3048 */    MCD_OPC_Decode, 222, 1, 33, // Opcode: CMPLW
+/* 3052 */    MCD_OPC_FilterValue, 1, 5, 27, // Skip to: 9973
+/* 3056 */    MCD_OPC_CheckField, 0, 2, 0, 255, 26, // Skip to: 9973
+/* 3062 */    MCD_OPC_Decode, 220, 1, 34, // Opcode: CMPLD
+/* 3066 */    MCD_OPC_FilterValue, 1, 65, 0, // Skip to: 3135
+/* 3070 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3073 */    MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 3093
+/* 3077 */    MCD_OPC_CheckField, 16, 1, 0, 234, 26, // Skip to: 9973
+/* 3083 */    MCD_OPC_CheckField, 1, 1, 1, 228, 26, // Skip to: 9973
+/* 3089 */    MCD_OPC_Decode, 209, 10, 35, // Opcode: WRTEE
+/* 3093 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 3107
+/* 3097 */    MCD_OPC_CheckField, 1, 1, 1, 214, 26, // Skip to: 9973
+/* 3103 */    MCD_OPC_Decode, 210, 10, 36, // Opcode: WRTEEI
+/* 3107 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 3121
+/* 3111 */    MCD_OPC_CheckField, 0, 2, 2, 200, 26, // Skip to: 9973
+/* 3117 */    MCD_OPC_Decode, 183, 5, 37, // Opcode: MFDCR
+/* 3121 */    MCD_OPC_FilterValue, 14, 192, 26, // Skip to: 9973
+/* 3125 */    MCD_OPC_CheckField, 0, 2, 2, 186, 26, // Skip to: 9973
+/* 3131 */    MCD_OPC_Decode, 206, 5, 37, // Opcode: MTDCR
+/* 3135 */    MCD_OPC_FilterValue, 2, 44, 0, // Skip to: 3183
+/* 3139 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3142 */    MCD_OPC_FilterValue, 0, 23, 0, // Skip to: 3169
 /* 3146 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3149 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3163
-/* 3153 */    MCD_OPC_CheckField, 11, 5, 0, 69, 24, // Skip to: 9372
-/* 3159 */    MCD_OPC_Decode, 221, 5, 44, // Opcode: NEG
-/* 3163 */    MCD_OPC_FilterValue, 1, 61, 24, // Skip to: 9372
-/* 3167 */    MCD_OPC_CheckField, 11, 5, 0, 55, 24, // Skip to: 9372
-/* 3173 */    MCD_OPC_Decode, 224, 5, 44, // Opcode: NEGo
-/* 3177 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 3200
-/* 3181 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3184 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3192
-/* 3188 */    MCD_OPC_Decode, 128, 7, 42, // Opcode: SUBFE
-/* 3192 */    MCD_OPC_FilterValue, 1, 32, 24, // Skip to: 9372
-/* 3196 */    MCD_OPC_Decode, 131, 7, 42, // Opcode: SUBFEo
-/* 3200 */    MCD_OPC_FilterValue, 6, 31, 0, // Skip to: 3235
-/* 3204 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3207 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3221
-/* 3211 */    MCD_OPC_CheckField, 11, 5, 0, 11, 24, // Skip to: 9372
-/* 3217 */    MCD_OPC_Decode, 138, 7, 44, // Opcode: SUBFZE
-/* 3221 */    MCD_OPC_FilterValue, 1, 3, 24, // Skip to: 9372
-/* 3225 */    MCD_OPC_CheckField, 11, 5, 0, 253, 23, // Skip to: 9372
-/* 3231 */    MCD_OPC_Decode, 141, 7, 44, // Opcode: SUBFZEo
-/* 3235 */    MCD_OPC_FilterValue, 7, 47, 0, // Skip to: 3286
-/* 3239 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3242 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3256
-/* 3246 */    MCD_OPC_CheckField, 11, 5, 0, 232, 23, // Skip to: 9372
-/* 3252 */    MCD_OPC_Decode, 134, 7, 44, // Opcode: SUBFME
-/* 3256 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 3270
-/* 3260 */    MCD_OPC_CheckField, 11, 5, 0, 218, 23, // Skip to: 9372
-/* 3266 */    MCD_OPC_Decode, 137, 7, 44, // Opcode: SUBFMEo
-/* 3270 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3278
-/* 3274 */    MCD_OPC_Decode, 209, 5, 43, // Opcode: MULLD
-/* 3278 */    MCD_OPC_FilterValue, 3, 202, 23, // Skip to: 9372
-/* 3282 */    MCD_OPC_Decode, 210, 5, 43, // Opcode: MULLDo
-/* 3286 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 3309
-/* 3290 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3293 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3301
-/* 3297 */    MCD_OPC_Decode, 241, 1, 43, // Opcode: DIVDU
-/* 3301 */    MCD_OPC_FilterValue, 3, 179, 23, // Skip to: 9372
-/* 3305 */    MCD_OPC_Decode, 242, 1, 43, // Opcode: DIVDUo
-/* 3309 */    MCD_OPC_FilterValue, 15, 171, 23, // Skip to: 9372
-/* 3313 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3316 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3324
-/* 3320 */    MCD_OPC_Decode, 240, 1, 43, // Opcode: DIVD
-/* 3324 */    MCD_OPC_FilterValue, 3, 156, 23, // Skip to: 9372
-/* 3328 */    MCD_OPC_Decode, 243, 1, 43, // Opcode: DIVDo
-/* 3332 */    MCD_OPC_FilterValue, 5, 233, 0, // Skip to: 3569
-/* 3336 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3339 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 3376
-/* 3343 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3346 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3353
-/* 3350 */    MCD_OPC_Decode, 27, 42, // Opcode: ADDC
-/* 3353 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 3360
-/* 3357 */    MCD_OPC_Decode, 30, 42, // Opcode: ADDCo
-/* 3360 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3368
-/* 3364 */    MCD_OPC_Decode, 206, 5, 42, // Opcode: MULHWU
-/* 3368 */    MCD_OPC_FilterValue, 3, 112, 23, // Skip to: 9372
-/* 3372 */    MCD_OPC_Decode, 207, 5, 42, // Opcode: MULHWUo
-/* 3376 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 3399
-/* 3380 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3383 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3391
-/* 3387 */    MCD_OPC_Decode, 205, 5, 42, // Opcode: MULHW
-/* 3391 */    MCD_OPC_FilterValue, 3, 89, 23, // Skip to: 9372
-/* 3395 */    MCD_OPC_Decode, 208, 5, 42, // Opcode: MULHWo
-/* 3399 */    MCD_OPC_FilterValue, 4, 17, 0, // Skip to: 3420
-/* 3403 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3406 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3413
-/* 3410 */    MCD_OPC_Decode, 31, 42, // Opcode: ADDE
-/* 3413 */    MCD_OPC_FilterValue, 1, 67, 23, // Skip to: 9372
-/* 3417 */    MCD_OPC_Decode, 34, 42, // Opcode: ADDEo
-/* 3420 */    MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 3453
-/* 3424 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3427 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3440
-/* 3431 */    MCD_OPC_CheckField, 11, 5, 0, 47, 23, // Skip to: 9372
-/* 3437 */    MCD_OPC_Decode, 59, 44, // Opcode: ADDZE
-/* 3440 */    MCD_OPC_FilterValue, 1, 40, 23, // Skip to: 9372
-/* 3444 */    MCD_OPC_CheckField, 11, 5, 0, 34, 23, // Skip to: 9372
-/* 3450 */    MCD_OPC_Decode, 62, 44, // Opcode: ADDZEo
-/* 3453 */    MCD_OPC_FilterValue, 7, 45, 0, // Skip to: 3502
-/* 3457 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3460 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3473
-/* 3464 */    MCD_OPC_CheckField, 11, 5, 0, 14, 23, // Skip to: 9372
-/* 3470 */    MCD_OPC_Decode, 55, 44, // Opcode: ADDME
-/* 3473 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3486
-/* 3477 */    MCD_OPC_CheckField, 11, 5, 0, 1, 23, // Skip to: 9372
-/* 3483 */    MCD_OPC_Decode, 58, 44, // Opcode: ADDMEo
-/* 3486 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3494
-/* 3490 */    MCD_OPC_Decode, 213, 5, 42, // Opcode: MULLW
-/* 3494 */    MCD_OPC_FilterValue, 3, 242, 22, // Skip to: 9372
-/* 3498 */    MCD_OPC_Decode, 214, 5, 42, // Opcode: MULLWo
-/* 3502 */    MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 3523
-/* 3506 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3509 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3516
-/* 3513 */    MCD_OPC_Decode, 20, 42, // Opcode: ADD4
-/* 3516 */    MCD_OPC_FilterValue, 1, 220, 22, // Skip to: 9372
-/* 3520 */    MCD_OPC_Decode, 22, 42, // Opcode: ADD4o
-/* 3523 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 3546
-/* 3527 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3530 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3538
-/* 3534 */    MCD_OPC_Decode, 245, 1, 42, // Opcode: DIVWU
-/* 3538 */    MCD_OPC_FilterValue, 3, 198, 22, // Skip to: 9372
-/* 3542 */    MCD_OPC_Decode, 246, 1, 42, // Opcode: DIVWUo
-/* 3546 */    MCD_OPC_FilterValue, 15, 190, 22, // Skip to: 9372
-/* 3550 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3553 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3561
-/* 3557 */    MCD_OPC_Decode, 244, 1, 42, // Opcode: DIVW
-/* 3561 */    MCD_OPC_FilterValue, 3, 175, 22, // Skip to: 9372
-/* 3565 */    MCD_OPC_Decode, 247, 1, 42, // Opcode: DIVWo
-/* 3569 */    MCD_OPC_FilterValue, 6, 101, 0, // Skip to: 3674
-/* 3573 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3576 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 3590
-/* 3580 */    MCD_OPC_CheckField, 0, 2, 0, 154, 22, // Skip to: 9372
-/* 3586 */    MCD_OPC_Decode, 155, 5, 45, // Opcode: LXVDSX
-/* 3590 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 3604
-/* 3594 */    MCD_OPC_CheckField, 0, 2, 0, 140, 22, // Skip to: 9372
-/* 3600 */    MCD_OPC_Decode, 153, 5, 46, // Opcode: LXSDX
-/* 3604 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 3618
-/* 3608 */    MCD_OPC_CheckField, 1, 1, 0, 126, 22, // Skip to: 9372
-/* 3614 */    MCD_OPC_Decode, 246, 6, 47, // Opcode: STXSDX
-/* 3618 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 3632
-/* 3622 */    MCD_OPC_CheckField, 0, 2, 0, 112, 22, // Skip to: 9372
-/* 3628 */    MCD_OPC_Decode, 156, 5, 45, // Opcode: LXVW4X
-/* 3632 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 3646
-/* 3636 */    MCD_OPC_CheckField, 0, 2, 0, 98, 22, // Skip to: 9372
-/* 3642 */    MCD_OPC_Decode, 154, 5, 45, // Opcode: LXVD2X
-/* 3646 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 3660
-/* 3650 */    MCD_OPC_CheckField, 1, 1, 0, 84, 22, // Skip to: 9372
-/* 3656 */    MCD_OPC_Decode, 248, 6, 48, // Opcode: STXVW4X
-/* 3660 */    MCD_OPC_FilterValue, 30, 76, 22, // Skip to: 9372
-/* 3664 */    MCD_OPC_CheckField, 1, 1, 0, 70, 22, // Skip to: 9372
-/* 3670 */    MCD_OPC_Decode, 247, 6, 48, // Opcode: STXVD2X
-/* 3674 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 3688
-/* 3678 */    MCD_OPC_CheckField, 0, 2, 2, 56, 22, // Skip to: 9372
-/* 3684 */    MCD_OPC_Decode, 199, 4, 49, // Opcode: ISEL
-/* 3688 */    MCD_OPC_FilterValue, 8, 43, 0, // Skip to: 3735
-/* 3692 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3695 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 3715
-/* 3699 */    MCD_OPC_CheckField, 6, 6, 4, 35, 22, // Skip to: 9372
-/* 3705 */    MCD_OPC_CheckField, 0, 2, 0, 29, 22, // Skip to: 9372
-/* 3711 */    MCD_OPC_Decode, 179, 5, 50, // Opcode: MTCRF
-/* 3715 */    MCD_OPC_FilterValue, 1, 21, 22, // Skip to: 9372
-/* 3719 */    MCD_OPC_CheckField, 6, 6, 4, 15, 22, // Skip to: 9372
-/* 3725 */    MCD_OPC_CheckField, 0, 2, 0, 9, 22, // Skip to: 9372
-/* 3731 */    MCD_OPC_Decode, 193, 5, 51, // Opcode: MTOCRF
-/* 3735 */    MCD_OPC_FilterValue, 9, 246, 1, // Skip to: 4241
-/* 3739 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 3742 */    MCD_OPC_FilterValue, 0, 43, 0, // Skip to: 3789
-/* 3746 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 3749 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 3769
-/* 3753 */    MCD_OPC_CheckField, 11, 9, 0, 237, 21, // Skip to: 9372
-/* 3759 */    MCD_OPC_CheckField, 0, 2, 2, 231, 21, // Skip to: 9372
-/* 3765 */    MCD_OPC_Decode, 159, 5, 35, // Opcode: MFCR
-/* 3769 */    MCD_OPC_FilterValue, 1, 223, 21, // Skip to: 9372
-/* 3773 */    MCD_OPC_CheckField, 11, 1, 0, 217, 21, // Skip to: 9372
-/* 3779 */    MCD_OPC_CheckField, 0, 2, 2, 211, 21, // Skip to: 9372
-/* 3785 */    MCD_OPC_Decode, 168, 5, 52, // Opcode: MFOCRF
-/* 3789 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 3809
-/* 3793 */    MCD_OPC_CheckField, 11, 10, 0, 197, 21, // Skip to: 9372
-/* 3799 */    MCD_OPC_CheckField, 0, 2, 2, 191, 21, // Skip to: 9372
-/* 3805 */    MCD_OPC_Decode, 167, 5, 35, // Opcode: MFMSR
-/* 3809 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 3823
-/* 3813 */    MCD_OPC_CheckField, 1, 1, 0, 177, 21, // Skip to: 9372
-/* 3819 */    MCD_OPC_Decode, 191, 5, 53, // Opcode: MTMSR
-/* 3823 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 3837
-/* 3827 */    MCD_OPC_CheckField, 1, 1, 0, 163, 21, // Skip to: 9372
-/* 3833 */    MCD_OPC_Decode, 192, 5, 53, // Opcode: MTMSRD
-/* 3837 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 3851
-/* 3841 */    MCD_OPC_CheckField, 1, 1, 0, 149, 21, // Skip to: 9372
-/* 3847 */    MCD_OPC_Decode, 196, 5, 54, // Opcode: MTSR
-/* 3851 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 3865
-/* 3855 */    MCD_OPC_CheckField, 1, 1, 0, 135, 21, // Skip to: 9372
-/* 3861 */    MCD_OPC_Decode, 197, 5, 55, // Opcode: MTSRIN
-/* 3865 */    MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 3885
-/* 3869 */    MCD_OPC_CheckField, 16, 10, 0, 121, 21, // Skip to: 9372
-/* 3875 */    MCD_OPC_CheckField, 0, 2, 0, 115, 21, // Skip to: 9372
-/* 3881 */    MCD_OPC_Decode, 164, 7, 56, // Opcode: TLBIEL
-/* 3885 */    MCD_OPC_FilterValue, 9, 16, 0, // Skip to: 3905
-/* 3889 */    MCD_OPC_CheckField, 16, 5, 0, 101, 21, // Skip to: 9372
-/* 3895 */    MCD_OPC_CheckField, 0, 2, 0, 95, 21, // Skip to: 9372
-/* 3901 */    MCD_OPC_Decode, 163, 7, 55, // Opcode: TLBIE
-/* 3905 */    MCD_OPC_FilterValue, 10, 32, 0, // Skip to: 3941
-/* 3909 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3912 */    MCD_OPC_FilterValue, 2, 80, 21, // Skip to: 9372
-/* 3916 */    MCD_OPC_ExtractField, 11, 10,  // Inst{20-11} ...
-/* 3919 */    MCD_OPC_FilterValue, 128, 2, 4, 0, // Skip to: 3928
-/* 3924 */    MCD_OPC_Decode, 165, 5, 35, // Opcode: MFLR
-/* 3928 */    MCD_OPC_FilterValue, 160, 2, 4, 0, // Skip to: 3937
-/* 3933 */    MCD_OPC_Decode, 161, 5, 35, // Opcode: MFCTR
-/* 3937 */    MCD_OPC_Decode, 170, 5, 37, // Opcode: MFSPR
-/* 3941 */    MCD_OPC_FilterValue, 11, 25, 0, // Skip to: 3970
-/* 3945 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 3948 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3962
-/* 3952 */    MCD_OPC_CheckField, 11, 15, 0, 38, 21, // Skip to: 9372
-/* 3958 */    MCD_OPC_Decode, 162, 7, 23, // Opcode: TLBIA
-/* 3962 */    MCD_OPC_FilterValue, 2, 30, 21, // Skip to: 9372
-/* 3966 */    MCD_OPC_Decode, 173, 5, 37, // Opcode: MFTB
-/* 3970 */    MCD_OPC_FilterValue, 12, 16, 0, // Skip to: 3990
-/* 3974 */    MCD_OPC_CheckField, 16, 5, 0, 16, 21, // Skip to: 9372
-/* 3980 */    MCD_OPC_CheckField, 0, 2, 0, 10, 21, // Skip to: 9372
-/* 3986 */    MCD_OPC_Decode, 169, 6, 55, // Opcode: SLBMTE
-/* 3990 */    MCD_OPC_FilterValue, 13, 16, 0, // Skip to: 4010
-/* 3994 */    MCD_OPC_CheckField, 16, 10, 0, 252, 20, // Skip to: 9372
-/* 4000 */    MCD_OPC_CheckField, 0, 2, 0, 246, 20, // Skip to: 9372
-/* 4006 */    MCD_OPC_Decode, 167, 6, 56, // Opcode: SLBIE
-/* 4010 */    MCD_OPC_FilterValue, 14, 32, 0, // Skip to: 4046
-/* 4014 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4017 */    MCD_OPC_FilterValue, 2, 231, 20, // Skip to: 9372
-/* 4021 */    MCD_OPC_ExtractField, 11, 10,  // Inst{20-11} ...
-/* 4024 */    MCD_OPC_FilterValue, 128, 2, 4, 0, // Skip to: 4033
-/* 4029 */    MCD_OPC_Decode, 189, 5, 35, // Opcode: MTLR
-/* 4033 */    MCD_OPC_FilterValue, 160, 2, 4, 0, // Skip to: 4042
-/* 4038 */    MCD_OPC_Decode, 181, 5, 35, // Opcode: MTCTR
-/* 4042 */    MCD_OPC_Decode, 195, 5, 57, // Opcode: MTSPR
-/* 4046 */    MCD_OPC_FilterValue, 15, 16, 0, // Skip to: 4066
-/* 4050 */    MCD_OPC_CheckField, 11, 15, 0, 196, 20, // Skip to: 9372
-/* 4056 */    MCD_OPC_CheckField, 0, 2, 0, 190, 20, // Skip to: 9372
-/* 4062 */    MCD_OPC_Decode, 166, 6, 23, // Opcode: SLBIA
-/* 4066 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 4080
-/* 4070 */    MCD_OPC_CheckField, 1, 1, 1, 176, 20, // Skip to: 9372
-/* 4076 */    MCD_OPC_Decode, 171, 5, 54, // Opcode: MFSR
-/* 4080 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 4094
-/* 4084 */    MCD_OPC_CheckField, 1, 1, 1, 162, 20, // Skip to: 9372
-/* 4090 */    MCD_OPC_Decode, 172, 5, 55, // Opcode: MFSRIN
-/* 4094 */    MCD_OPC_FilterValue, 24, 16, 0, // Skip to: 4114
-/* 4098 */    MCD_OPC_CheckField, 21, 5, 0, 148, 20, // Skip to: 9372
-/* 4104 */    MCD_OPC_CheckField, 0, 2, 0, 142, 20, // Skip to: 9372
-/* 4110 */    MCD_OPC_Decode, 165, 7, 41, // Opcode: TLBIVAX
-/* 4114 */    MCD_OPC_FilterValue, 28, 43, 0, // Skip to: 4161
-/* 4118 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4121 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4139
-/* 4125 */    MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 4135
-/* 4131 */    MCD_OPC_Decode, 170, 7, 41, // Opcode: TLBSX
-/* 4135 */    MCD_OPC_Decode, 171, 7, 42, // Opcode: TLBSX2
-/* 4139 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4147
-/* 4143 */    MCD_OPC_Decode, 172, 7, 42, // Opcode: TLBSX2D
-/* 4147 */    MCD_OPC_FilterValue, 2, 101, 20, // Skip to: 9372
-/* 4151 */    MCD_OPC_CheckField, 16, 5, 0, 95, 20, // Skip to: 9372
-/* 4157 */    MCD_OPC_Decode, 168, 6, 55, // Opcode: SLBMFEE
-/* 4161 */    MCD_OPC_FilterValue, 29, 21, 0, // Skip to: 4186
-/* 4165 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4168 */    MCD_OPC_FilterValue, 0, 80, 20, // Skip to: 9372
-/* 4172 */    MCD_OPC_CheckField, 11, 15, 0, 4, 0, // Skip to: 4182
-/* 4178 */    MCD_OPC_Decode, 168, 7, 23, // Opcode: TLBRE
-/* 4182 */    MCD_OPC_Decode, 169, 7, 58, // Opcode: TLBRE2
-/* 4186 */    MCD_OPC_FilterValue, 30, 31, 0, // Skip to: 4221
-/* 4190 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4193 */    MCD_OPC_FilterValue, 0, 55, 20, // Skip to: 9372
-/* 4197 */    MCD_OPC_CheckField, 11, 15, 0, 4, 0, // Skip to: 4207
-/* 4203 */    MCD_OPC_Decode, 174, 7, 23, // Opcode: TLBWE
-/* 4207 */    MCD_OPC_CheckField, 16, 10, 0, 4, 0, // Skip to: 4217
-/* 4213 */    MCD_OPC_Decode, 166, 7, 56, // Opcode: TLBLD
-/* 4217 */    MCD_OPC_Decode, 175, 7, 58, // Opcode: TLBWE2
-/* 4221 */    MCD_OPC_FilterValue, 31, 27, 20, // Skip to: 9372
-/* 4225 */    MCD_OPC_CheckField, 16, 10, 0, 21, 20, // Skip to: 9372
-/* 4231 */    MCD_OPC_CheckField, 0, 2, 0, 15, 20, // Skip to: 9372
-/* 4237 */    MCD_OPC_Decode, 167, 7, 56, // Opcode: TLBLI
-/* 4241 */    MCD_OPC_FilterValue, 10, 166, 0, // Skip to: 4411
-/* 4245 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 4248 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 4271
-/* 4252 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4255 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4263
-/* 4259 */    MCD_OPC_Decode, 138, 5, 59, // Opcode: LWARX
-/* 4263 */    MCD_OPC_FilterValue, 2, 241, 19, // Skip to: 9372
-/* 4267 */    MCD_OPC_Decode, 217, 4, 60, // Opcode: LDX
-/* 4271 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 4285
-/* 4275 */    MCD_OPC_CheckField, 0, 2, 2, 227, 19, // Skip to: 9372
-/* 4281 */    MCD_OPC_Decode, 216, 4, 61, // Opcode: LDUX
-/* 4285 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 4299
-/* 4289 */    MCD_OPC_CheckField, 0, 2, 0, 213, 19, // Skip to: 9372
-/* 4295 */    MCD_OPC_Decode, 213, 4, 60, // Opcode: LDARX
-/* 4299 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 4313
-/* 4303 */    MCD_OPC_CheckField, 0, 2, 2, 199, 19, // Skip to: 9372
-/* 4309 */    MCD_OPC_Decode, 210, 6, 60, // Opcode: STDX
-/* 4313 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 4327
-/* 4317 */    MCD_OPC_CheckField, 0, 2, 2, 185, 19, // Skip to: 9372
-/* 4323 */    MCD_OPC_Decode, 209, 6, 62, // Opcode: STDUX
-/* 4327 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 4341
-/* 4331 */    MCD_OPC_CheckField, 0, 2, 2, 171, 19, // Skip to: 9372
-/* 4337 */    MCD_OPC_Decode, 140, 5, 60, // Opcode: LWAX
-/* 4341 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 4355
-/* 4345 */    MCD_OPC_CheckField, 0, 2, 2, 157, 19, // Skip to: 9372
-/* 4351 */    MCD_OPC_Decode, 139, 5, 61, // Opcode: LWAUX
-/* 4355 */    MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 4369
-/* 4359 */    MCD_OPC_CheckField, 0, 2, 0, 143, 19, // Skip to: 9372
-/* 4365 */    MCD_OPC_Decode, 214, 4, 60, // Opcode: LDBRX
-/* 4369 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 4383
-/* 4373 */    MCD_OPC_CheckField, 0, 2, 2, 129, 19, // Skip to: 9372
-/* 4379 */    MCD_OPC_Decode, 129, 5, 63, // Opcode: LSWI
-/* 4383 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 4397
-/* 4387 */    MCD_OPC_CheckField, 0, 2, 0, 115, 19, // Skip to: 9372
-/* 4393 */    MCD_OPC_Decode, 206, 6, 60, // Opcode: STDBRX
-/* 4397 */    MCD_OPC_FilterValue, 22, 107, 19, // Skip to: 9372
-/* 4401 */    MCD_OPC_CheckField, 0, 2, 2, 101, 19, // Skip to: 9372
-/* 4407 */    MCD_OPC_Decode, 230, 6, 63, // Opcode: STSWI
-/* 4411 */    MCD_OPC_FilterValue, 11, 212, 2, // Skip to: 5139
-/* 4415 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 4418 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4432
-/* 4422 */    MCD_OPC_CheckField, 0, 2, 2, 80, 19, // Skip to: 9372
-/* 4428 */    MCD_OPC_Decode, 150, 5, 59, // Opcode: LWZX
-/* 4432 */    MCD_OPC_FilterValue, 1, 25, 0, // Skip to: 4461
-/* 4436 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4439 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4453
-/* 4443 */    MCD_OPC_CheckField, 21, 5, 0, 59, 19, // Skip to: 9372
-/* 4449 */    MCD_OPC_Decode, 234, 1, 64, // Opcode: DCBST
-/* 4453 */    MCD_OPC_FilterValue, 2, 51, 19, // Skip to: 9372
-/* 4457 */    MCD_OPC_Decode, 148, 5, 65, // Opcode: LWZUX
-/* 4461 */    MCD_OPC_FilterValue, 2, 25, 0, // Skip to: 4490
-/* 4465 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4468 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4482
-/* 4472 */    MCD_OPC_CheckField, 21, 5, 0, 30, 19, // Skip to: 9372
-/* 4478 */    MCD_OPC_Decode, 232, 1, 64, // Opcode: DCBF
-/* 4482 */    MCD_OPC_FilterValue, 2, 22, 19, // Skip to: 9372
-/* 4486 */    MCD_OPC_Decode, 210, 4, 59, // Opcode: LBZX
-/* 4490 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 4504
-/* 4494 */    MCD_OPC_CheckField, 0, 2, 2, 8, 19, // Skip to: 9372
-/* 4500 */    MCD_OPC_Decode, 208, 4, 65, // Opcode: LBZUX
-/* 4504 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 4527
-/* 4508 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4511 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4519
-/* 4515 */    MCD_OPC_Decode, 239, 6, 59, // Opcode: STWCX
-/* 4519 */    MCD_OPC_FilterValue, 2, 241, 18, // Skip to: 9372
-/* 4523 */    MCD_OPC_Decode, 244, 6, 59, // Opcode: STWX
-/* 4527 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 4541
-/* 4531 */    MCD_OPC_CheckField, 0, 2, 2, 227, 18, // Skip to: 9372
-/* 4537 */    MCD_OPC_Decode, 242, 6, 66, // Opcode: STWUX
-/* 4541 */    MCD_OPC_FilterValue, 6, 19, 0, // Skip to: 4564
-/* 4545 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4548 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4556
-/* 4552 */    MCD_OPC_Decode, 207, 6, 60, // Opcode: STDCX
-/* 4556 */    MCD_OPC_FilterValue, 2, 204, 18, // Skip to: 9372
-/* 4560 */    MCD_OPC_Decode, 203, 6, 59, // Opcode: STBX
-/* 4564 */    MCD_OPC_FilterValue, 7, 25, 0, // Skip to: 4593
-/* 4568 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4571 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4585
-/* 4575 */    MCD_OPC_CheckField, 21, 5, 0, 183, 18, // Skip to: 9372
-/* 4581 */    MCD_OPC_Decode, 236, 1, 64, // Opcode: DCBTST
-/* 4585 */    MCD_OPC_FilterValue, 2, 175, 18, // Skip to: 9372
-/* 4589 */    MCD_OPC_Decode, 201, 6, 66, // Opcode: STBUX
-/* 4593 */    MCD_OPC_FilterValue, 8, 25, 0, // Skip to: 4622
-/* 4597 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4600 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4614
-/* 4604 */    MCD_OPC_CheckField, 21, 5, 0, 154, 18, // Skip to: 9372
-/* 4610 */    MCD_OPC_Decode, 235, 1, 64, // Opcode: DCBT
-/* 4614 */    MCD_OPC_FilterValue, 2, 146, 18, // Skip to: 9372
-/* 4618 */    MCD_OPC_Decode, 250, 4, 59, // Opcode: LHZX
-/* 4622 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 4636
-/* 4626 */    MCD_OPC_CheckField, 0, 2, 2, 132, 18, // Skip to: 9372
-/* 4632 */    MCD_OPC_Decode, 248, 4, 65, // Opcode: LHZUX
-/* 4636 */    MCD_OPC_FilterValue, 10, 34, 0, // Skip to: 4674
-/* 4640 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4643 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 4666
-/* 4647 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
-/* 4650 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4658
-/* 4654 */    MCD_OPC_Decode, 250, 1, 67, // Opcode: DST
-/* 4658 */    MCD_OPC_FilterValue, 4, 102, 18, // Skip to: 9372
-/* 4662 */    MCD_OPC_Decode, 128, 2, 67, // Opcode: DSTT
-/* 4666 */    MCD_OPC_FilterValue, 2, 94, 18, // Skip to: 9372
-/* 4670 */    MCD_OPC_Decode, 241, 4, 59, // Opcode: LHAX
-/* 4674 */    MCD_OPC_FilterValue, 11, 34, 0, // Skip to: 4712
-/* 4678 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4681 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 4704
-/* 4685 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
-/* 4688 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4696
-/* 4692 */    MCD_OPC_Decode, 252, 1, 67, // Opcode: DSTST
-/* 4696 */    MCD_OPC_FilterValue, 4, 64, 18, // Skip to: 9372
-/* 4700 */    MCD_OPC_Decode, 254, 1, 67, // Opcode: DSTSTT
-/* 4704 */    MCD_OPC_FilterValue, 2, 56, 18, // Skip to: 9372
-/* 4708 */    MCD_OPC_Decode, 239, 4, 65, // Opcode: LHAUX
-/* 4712 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 4726
-/* 4716 */    MCD_OPC_CheckField, 0, 2, 2, 42, 18, // Skip to: 9372
-/* 4722 */    MCD_OPC_Decode, 227, 6, 59, // Opcode: STHX
-/* 4726 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 4740
-/* 4730 */    MCD_OPC_CheckField, 0, 2, 2, 28, 18, // Skip to: 9372
-/* 4736 */    MCD_OPC_Decode, 225, 6, 66, // Opcode: STHUX
-/* 4740 */    MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 4760
-/* 4744 */    MCD_OPC_CheckField, 21, 5, 0, 14, 18, // Skip to: 9372
-/* 4750 */    MCD_OPC_CheckField, 0, 2, 0, 8, 18, // Skip to: 9372
-/* 4756 */    MCD_OPC_Decode, 233, 1, 64, // Opcode: DCBI
-/* 4760 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 4783
-/* 4764 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4767 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4775
-/* 4771 */    MCD_OPC_Decode, 143, 5, 59, // Opcode: LWBRX
-/* 4775 */    MCD_OPC_FilterValue, 2, 241, 17, // Skip to: 9372
-/* 4779 */    MCD_OPC_Decode, 234, 4, 68, // Opcode: LFSX
-/* 4783 */    MCD_OPC_FilterValue, 17, 25, 0, // Skip to: 4812
-/* 4787 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4790 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4804
-/* 4794 */    MCD_OPC_CheckField, 11, 15, 0, 220, 17, // Skip to: 9372
-/* 4800 */    MCD_OPC_Decode, 173, 7, 23, // Opcode: TLBSYNC
-/* 4804 */    MCD_OPC_FilterValue, 2, 212, 17, // Skip to: 9372
-/* 4808 */    MCD_OPC_Decode, 233, 4, 69, // Opcode: LFSUX
-/* 4812 */    MCD_OPC_FilterValue, 18, 31, 0, // Skip to: 4847
-/* 4816 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4819 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 4839
-/* 4823 */    MCD_OPC_CheckField, 23, 3, 0, 191, 17, // Skip to: 9372
-/* 4829 */    MCD_OPC_CheckField, 11, 10, 0, 185, 17, // Skip to: 9372
-/* 4835 */    MCD_OPC_Decode, 147, 7, 70, // Opcode: SYNC
-/* 4839 */    MCD_OPC_FilterValue, 2, 177, 17, // Skip to: 9372
-/* 4843 */    MCD_OPC_Decode, 228, 4, 71, // Opcode: LFDX
-/* 4847 */    MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 4861
-/* 4851 */    MCD_OPC_CheckField, 0, 2, 2, 163, 17, // Skip to: 9372
-/* 4857 */    MCD_OPC_Decode, 227, 4, 72, // Opcode: LFDUX
-/* 4861 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 4884
-/* 4865 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4868 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4876
-/* 4872 */    MCD_OPC_Decode, 238, 6, 59, // Opcode: STWBRX
-/* 4876 */    MCD_OPC_FilterValue, 2, 140, 17, // Skip to: 9372
-/* 4880 */    MCD_OPC_Decode, 219, 6, 68, // Opcode: STFSX
-/* 4884 */    MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 4898
-/* 4888 */    MCD_OPC_CheckField, 0, 2, 2, 126, 17, // Skip to: 9372
-/* 4894 */    MCD_OPC_Decode, 218, 6, 73, // Opcode: STFSUX
-/* 4898 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 4912
-/* 4902 */    MCD_OPC_CheckField, 0, 2, 2, 112, 17, // Skip to: 9372
-/* 4908 */    MCD_OPC_Decode, 214, 6, 71, // Opcode: STFDX
-/* 4912 */    MCD_OPC_FilterValue, 23, 25, 0, // Skip to: 4941
-/* 4916 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 4919 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4933
-/* 4923 */    MCD_OPC_CheckField, 21, 5, 0, 91, 17, // Skip to: 9372
-/* 4929 */    MCD_OPC_Decode, 231, 1, 64, // Opcode: DCBA
-/* 4933 */    MCD_OPC_FilterValue, 2, 83, 17, // Skip to: 9372
-/* 4937 */    MCD_OPC_Decode, 213, 6, 74, // Opcode: STFDUX
-/* 4941 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 4955
-/* 4945 */    MCD_OPC_CheckField, 0, 2, 0, 69, 17, // Skip to: 9372
-/* 4951 */    MCD_OPC_Decode, 243, 4, 59, // Opcode: LHBRX
-/* 4955 */    MCD_OPC_FilterValue, 25, 43, 0, // Skip to: 5002
-/* 4959 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
-/* 4962 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 4982
-/* 4966 */    MCD_OPC_CheckField, 11, 10, 0, 48, 17, // Skip to: 9372
-/* 4972 */    MCD_OPC_CheckField, 0, 2, 0, 42, 17, // Skip to: 9372
-/* 4978 */    MCD_OPC_Decode, 248, 1, 75, // Opcode: DSS
-/* 4982 */    MCD_OPC_FilterValue, 4, 34, 17, // Skip to: 9372
-/* 4986 */    MCD_OPC_CheckField, 11, 12, 0, 28, 17, // Skip to: 9372
-/* 4992 */    MCD_OPC_CheckField, 0, 2, 0, 22, 17, // Skip to: 9372
-/* 4998 */    MCD_OPC_Decode, 249, 1, 23, // Opcode: DSSALL
-/* 5002 */    MCD_OPC_FilterValue, 26, 41, 0, // Skip to: 5047
-/* 5006 */    MCD_OPC_ExtractField, 1, 1,  // Inst{1} ...
-/* 5009 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 5033
-/* 5013 */    MCD_OPC_CheckField, 11, 15, 0, 10, 0, // Skip to: 5029
-/* 5019 */    MCD_OPC_CheckField, 0, 1, 0, 4, 0, // Skip to: 5029
-/* 5025 */    MCD_OPC_Decode, 137, 2, 23, // Opcode: EIEIO
-/* 5029 */    MCD_OPC_Decode, 157, 5, 76, // Opcode: MBAR
-/* 5033 */    MCD_OPC_FilterValue, 1, 239, 16, // Skip to: 9372
-/* 5037 */    MCD_OPC_CheckField, 0, 1, 0, 233, 16, // Skip to: 9372
-/* 5043 */    MCD_OPC_Decode, 229, 4, 71, // Opcode: LFIWAX
-/* 5047 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 5061
-/* 5051 */    MCD_OPC_CheckField, 0, 2, 2, 219, 16, // Skip to: 9372
-/* 5057 */    MCD_OPC_Decode, 230, 4, 71, // Opcode: LFIWZX
-/* 5061 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 5075
-/* 5065 */    MCD_OPC_CheckField, 0, 2, 0, 205, 16, // Skip to: 9372
-/* 5071 */    MCD_OPC_Decode, 222, 6, 59, // Opcode: STHBRX
-/* 5075 */    MCD_OPC_FilterValue, 30, 25, 0, // Skip to: 5104
-/* 5079 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5082 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5096
-/* 5086 */    MCD_OPC_CheckField, 21, 5, 0, 184, 16, // Skip to: 9372
-/* 5092 */    MCD_OPC_Decode, 191, 4, 64, // Opcode: ICBI
-/* 5096 */    MCD_OPC_FilterValue, 2, 176, 16, // Skip to: 9372
-/* 5100 */    MCD_OPC_Decode, 215, 6, 71, // Opcode: STFIWX
-/* 5104 */    MCD_OPC_FilterValue, 31, 168, 16, // Skip to: 9372
-/* 5108 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
-/* 5111 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5125
-/* 5115 */    MCD_OPC_CheckField, 0, 2, 0, 155, 16, // Skip to: 9372
-/* 5121 */    MCD_OPC_Decode, 237, 1, 64, // Opcode: DCBZ
-/* 5125 */    MCD_OPC_FilterValue, 1, 147, 16, // Skip to: 9372
-/* 5129 */    MCD_OPC_CheckField, 0, 2, 0, 141, 16, // Skip to: 9372
-/* 5135 */    MCD_OPC_Decode, 238, 1, 64, // Opcode: DCBZL
-/* 5139 */    MCD_OPC_FilterValue, 12, 95, 0, // Skip to: 5238
-/* 5143 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3149 */    MCD_OPC_FilterValue, 0, 164, 26, // Skip to: 9973
+/* 3153 */    MCD_OPC_CheckField, 11, 15, 128, 248, 1, 4, 0, // Skip to: 3165
+/* 3161 */    MCD_OPC_Decode, 134, 9, 0, // Opcode: TRAP
+/* 3165 */    MCD_OPC_Decode, 135, 9, 38, // Opcode: TW
+/* 3169 */    MCD_OPC_FilterValue, 2, 144, 26, // Skip to: 9973
+/* 3173 */    MCD_OPC_CheckField, 0, 2, 0, 138, 26, // Skip to: 9973
+/* 3179 */    MCD_OPC_Decode, 246, 8, 39, // Opcode: TD
+/* 3183 */    MCD_OPC_FilterValue, 3, 201, 0, // Skip to: 3388
+/* 3187 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3190 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 3213
+/* 3194 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3197 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3205
+/* 3201 */    MCD_OPC_Decode, 150, 5, 40, // Opcode: LVSL
+/* 3205 */    MCD_OPC_FilterValue, 2, 108, 26, // Skip to: 9973
+/* 3209 */    MCD_OPC_Decode, 147, 5, 40, // Opcode: LVEBX
+/* 3213 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 3236
+/* 3217 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3220 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3228
+/* 3224 */    MCD_OPC_Decode, 151, 5, 40, // Opcode: LVSR
+/* 3228 */    MCD_OPC_FilterValue, 2, 85, 26, // Skip to: 9973
+/* 3232 */    MCD_OPC_Decode, 148, 5, 40, // Opcode: LVEHX
+/* 3236 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 3250
+/* 3240 */    MCD_OPC_CheckField, 0, 2, 2, 71, 26, // Skip to: 9973
+/* 3246 */    MCD_OPC_Decode, 149, 5, 40, // Opcode: LVEWX
+/* 3250 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 3264
+/* 3254 */    MCD_OPC_CheckField, 0, 2, 2, 57, 26, // Skip to: 9973
+/* 3260 */    MCD_OPC_Decode, 152, 5, 40, // Opcode: LVX
+/* 3264 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 3278
+/* 3268 */    MCD_OPC_CheckField, 0, 2, 2, 43, 26, // Skip to: 9973
+/* 3274 */    MCD_OPC_Decode, 188, 8, 40, // Opcode: STVEBX
+/* 3278 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 3292
+/* 3282 */    MCD_OPC_CheckField, 0, 2, 2, 29, 26, // Skip to: 9973
+/* 3288 */    MCD_OPC_Decode, 189, 8, 40, // Opcode: STVEHX
+/* 3292 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 3306
+/* 3296 */    MCD_OPC_CheckField, 0, 2, 2, 15, 26, // Skip to: 9973
+/* 3302 */    MCD_OPC_Decode, 190, 8, 40, // Opcode: STVEWX
+/* 3306 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 3320
+/* 3310 */    MCD_OPC_CheckField, 0, 2, 2, 1, 26, // Skip to: 9973
+/* 3316 */    MCD_OPC_Decode, 191, 8, 40, // Opcode: STVX
+/* 3320 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 3334
+/* 3324 */    MCD_OPC_CheckField, 0, 2, 2, 243, 25, // Skip to: 9973
+/* 3330 */    MCD_OPC_Decode, 153, 5, 40, // Opcode: LVXL
+/* 3334 */    MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 3354
+/* 3338 */    MCD_OPC_CheckField, 21, 5, 0, 229, 25, // Skip to: 9973
+/* 3344 */    MCD_OPC_CheckField, 0, 2, 0, 223, 25, // Skip to: 9973
+/* 3350 */    MCD_OPC_Decode, 252, 1, 41, // Opcode: DCCCI
+/* 3354 */    MCD_OPC_FilterValue, 15, 10, 0, // Skip to: 3368
+/* 3358 */    MCD_OPC_CheckField, 0, 2, 2, 209, 25, // Skip to: 9973
+/* 3364 */    MCD_OPC_Decode, 192, 8, 40, // Opcode: STVXL
+/* 3368 */    MCD_OPC_FilterValue, 30, 201, 25, // Skip to: 9973
+/* 3372 */    MCD_OPC_CheckField, 21, 5, 0, 195, 25, // Skip to: 9973
+/* 3378 */    MCD_OPC_CheckField, 0, 2, 0, 189, 25, // Skip to: 9973
+/* 3384 */    MCD_OPC_Decode, 205, 4, 41, // Opcode: ICCCI
+/* 3388 */    MCD_OPC_FilterValue, 4, 22, 1, // Skip to: 3670
+/* 3392 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3395 */    MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 3434
+/* 3399 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3402 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3410
+/* 3406 */    MCD_OPC_Decode, 210, 8, 42, // Opcode: SUBFC
+/* 3410 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 3418
+/* 3414 */    MCD_OPC_Decode, 213, 8, 42, // Opcode: SUBFCo
+/* 3418 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3426
+/* 3422 */    MCD_OPC_Decode, 227, 5, 43, // Opcode: MULHDU
+/* 3426 */    MCD_OPC_FilterValue, 3, 143, 25, // Skip to: 9973
+/* 3430 */    MCD_OPC_Decode, 228, 5, 43, // Opcode: MULHDUo
+/* 3434 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 3457
+/* 3438 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3441 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3449
+/* 3445 */    MCD_OPC_Decode, 207, 8, 42, // Opcode: SUBF
+/* 3449 */    MCD_OPC_FilterValue, 1, 120, 25, // Skip to: 9973
+/* 3453 */    MCD_OPC_Decode, 228, 8, 42, // Opcode: SUBFo
+/* 3457 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 3480
+/* 3461 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3464 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3472
+/* 3468 */    MCD_OPC_Decode, 226, 5, 43, // Opcode: MULHD
+/* 3472 */    MCD_OPC_FilterValue, 3, 97, 25, // Skip to: 9973
+/* 3476 */    MCD_OPC_Decode, 229, 5, 43, // Opcode: MULHDo
+/* 3480 */    MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 3515
+/* 3484 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3487 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3501
+/* 3491 */    MCD_OPC_CheckField, 11, 5, 0, 76, 25, // Skip to: 9973
+/* 3497 */    MCD_OPC_Decode, 247, 5, 44, // Opcode: NEG
+/* 3501 */    MCD_OPC_FilterValue, 1, 68, 25, // Skip to: 9973
+/* 3505 */    MCD_OPC_CheckField, 11, 5, 0, 62, 25, // Skip to: 9973
+/* 3511 */    MCD_OPC_Decode, 250, 5, 44, // Opcode: NEGo
+/* 3515 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 3538
+/* 3519 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3522 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 3530
+/* 3526 */    MCD_OPC_Decode, 214, 8, 42, // Opcode: SUBFE
+/* 3530 */    MCD_OPC_FilterValue, 1, 39, 25, // Skip to: 9973
+/* 3534 */    MCD_OPC_Decode, 217, 8, 42, // Opcode: SUBFEo
+/* 3538 */    MCD_OPC_FilterValue, 6, 31, 0, // Skip to: 3573
+/* 3542 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3545 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3559
+/* 3549 */    MCD_OPC_CheckField, 11, 5, 0, 18, 25, // Skip to: 9973
+/* 3555 */    MCD_OPC_Decode, 224, 8, 44, // Opcode: SUBFZE
+/* 3559 */    MCD_OPC_FilterValue, 1, 10, 25, // Skip to: 9973
+/* 3563 */    MCD_OPC_CheckField, 11, 5, 0, 4, 25, // Skip to: 9973
+/* 3569 */    MCD_OPC_Decode, 227, 8, 44, // Opcode: SUBFZEo
+/* 3573 */    MCD_OPC_FilterValue, 7, 47, 0, // Skip to: 3624
+/* 3577 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3580 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 3594
+/* 3584 */    MCD_OPC_CheckField, 11, 5, 0, 239, 24, // Skip to: 9973
+/* 3590 */    MCD_OPC_Decode, 220, 8, 44, // Opcode: SUBFME
+/* 3594 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 3608
+/* 3598 */    MCD_OPC_CheckField, 11, 5, 0, 225, 24, // Skip to: 9973
+/* 3604 */    MCD_OPC_Decode, 223, 8, 44, // Opcode: SUBFMEo
+/* 3608 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3616
+/* 3612 */    MCD_OPC_Decode, 234, 5, 43, // Opcode: MULLD
+/* 3616 */    MCD_OPC_FilterValue, 3, 209, 24, // Skip to: 9973
+/* 3620 */    MCD_OPC_Decode, 235, 5, 43, // Opcode: MULLDo
+/* 3624 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 3647
+/* 3628 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3631 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3639
+/* 3635 */    MCD_OPC_Decode, 254, 1, 43, // Opcode: DIVDU
+/* 3639 */    MCD_OPC_FilterValue, 3, 186, 24, // Skip to: 9973
+/* 3643 */    MCD_OPC_Decode, 255, 1, 43, // Opcode: DIVDUo
+/* 3647 */    MCD_OPC_FilterValue, 15, 178, 24, // Skip to: 9973
+/* 3651 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3654 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3662
+/* 3658 */    MCD_OPC_Decode, 253, 1, 43, // Opcode: DIVD
+/* 3662 */    MCD_OPC_FilterValue, 3, 163, 24, // Skip to: 9973
+/* 3666 */    MCD_OPC_Decode, 128, 2, 43, // Opcode: DIVDo
+/* 3670 */    MCD_OPC_FilterValue, 5, 233, 0, // Skip to: 3907
+/* 3674 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3677 */    MCD_OPC_FilterValue, 0, 33, 0, // Skip to: 3714
+/* 3681 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3684 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3691
+/* 3688 */    MCD_OPC_Decode, 29, 42, // Opcode: ADDC
+/* 3691 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 3698
+/* 3695 */    MCD_OPC_Decode, 32, 42, // Opcode: ADDCo
+/* 3698 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3706
+/* 3702 */    MCD_OPC_Decode, 231, 5, 42, // Opcode: MULHWU
+/* 3706 */    MCD_OPC_FilterValue, 3, 119, 24, // Skip to: 9973
+/* 3710 */    MCD_OPC_Decode, 232, 5, 42, // Opcode: MULHWUo
+/* 3714 */    MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 3737
+/* 3718 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3721 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3729
+/* 3725 */    MCD_OPC_Decode, 230, 5, 42, // Opcode: MULHW
+/* 3729 */    MCD_OPC_FilterValue, 3, 96, 24, // Skip to: 9973
+/* 3733 */    MCD_OPC_Decode, 233, 5, 42, // Opcode: MULHWo
+/* 3737 */    MCD_OPC_FilterValue, 4, 17, 0, // Skip to: 3758
+/* 3741 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3744 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3751
+/* 3748 */    MCD_OPC_Decode, 33, 42, // Opcode: ADDE
+/* 3751 */    MCD_OPC_FilterValue, 1, 74, 24, // Skip to: 9973
+/* 3755 */    MCD_OPC_Decode, 36, 42, // Opcode: ADDEo
+/* 3758 */    MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 3791
+/* 3762 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3765 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3778
+/* 3769 */    MCD_OPC_CheckField, 11, 5, 0, 54, 24, // Skip to: 9973
+/* 3775 */    MCD_OPC_Decode, 65, 44, // Opcode: ADDZE
+/* 3778 */    MCD_OPC_FilterValue, 1, 47, 24, // Skip to: 9973
+/* 3782 */    MCD_OPC_CheckField, 11, 5, 0, 41, 24, // Skip to: 9973
+/* 3788 */    MCD_OPC_Decode, 68, 44, // Opcode: ADDZEo
+/* 3791 */    MCD_OPC_FilterValue, 7, 45, 0, // Skip to: 3840
+/* 3795 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3798 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 3811
+/* 3802 */    MCD_OPC_CheckField, 11, 5, 0, 21, 24, // Skip to: 9973
+/* 3808 */    MCD_OPC_Decode, 61, 44, // Opcode: ADDME
+/* 3811 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 3824
+/* 3815 */    MCD_OPC_CheckField, 11, 5, 0, 8, 24, // Skip to: 9973
+/* 3821 */    MCD_OPC_Decode, 64, 44, // Opcode: ADDMEo
+/* 3824 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3832
+/* 3828 */    MCD_OPC_Decode, 238, 5, 42, // Opcode: MULLW
+/* 3832 */    MCD_OPC_FilterValue, 3, 249, 23, // Skip to: 9973
+/* 3836 */    MCD_OPC_Decode, 239, 5, 42, // Opcode: MULLWo
+/* 3840 */    MCD_OPC_FilterValue, 8, 17, 0, // Skip to: 3861
+/* 3844 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3847 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 3854
+/* 3851 */    MCD_OPC_Decode, 22, 42, // Opcode: ADD4
+/* 3854 */    MCD_OPC_FilterValue, 1, 227, 23, // Skip to: 9973
+/* 3858 */    MCD_OPC_Decode, 24, 42, // Opcode: ADD4o
+/* 3861 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 3884
+/* 3865 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3868 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3876
+/* 3872 */    MCD_OPC_Decode, 130, 2, 42, // Opcode: DIVWU
+/* 3876 */    MCD_OPC_FilterValue, 3, 205, 23, // Skip to: 9973
+/* 3880 */    MCD_OPC_Decode, 131, 2, 42, // Opcode: DIVWUo
+/* 3884 */    MCD_OPC_FilterValue, 15, 197, 23, // Skip to: 9973
+/* 3888 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 3891 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 3899
+/* 3895 */    MCD_OPC_Decode, 129, 2, 42, // Opcode: DIVW
+/* 3899 */    MCD_OPC_FilterValue, 3, 182, 23, // Skip to: 9973
+/* 3903 */    MCD_OPC_Decode, 132, 2, 42, // Opcode: DIVWo
+/* 3907 */    MCD_OPC_FilterValue, 6, 101, 0, // Skip to: 4012
+/* 3911 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 3914 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 3928
+/* 3918 */    MCD_OPC_CheckField, 1, 1, 0, 161, 23, // Skip to: 9973
+/* 3924 */    MCD_OPC_Decode, 174, 5, 45, // Opcode: LXVDSX
+/* 3928 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 3942
+/* 3932 */    MCD_OPC_CheckField, 1, 1, 0, 147, 23, // Skip to: 9973
+/* 3938 */    MCD_OPC_Decode, 172, 5, 46, // Opcode: LXSDX
+/* 3942 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 3956
+/* 3946 */    MCD_OPC_CheckField, 1, 1, 0, 133, 23, // Skip to: 9973
+/* 3952 */    MCD_OPC_Decode, 204, 8, 46, // Opcode: STXSDX
+/* 3956 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 3970
+/* 3960 */    MCD_OPC_CheckField, 1, 1, 0, 119, 23, // Skip to: 9973
+/* 3966 */    MCD_OPC_Decode, 175, 5, 45, // Opcode: LXVW4X
+/* 3970 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 3984
+/* 3974 */    MCD_OPC_CheckField, 1, 1, 0, 105, 23, // Skip to: 9973
+/* 3980 */    MCD_OPC_Decode, 173, 5, 45, // Opcode: LXVD2X
+/* 3984 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 3998
+/* 3988 */    MCD_OPC_CheckField, 1, 1, 0, 91, 23, // Skip to: 9973
+/* 3994 */    MCD_OPC_Decode, 206, 8, 45, // Opcode: STXVW4X
+/* 3998 */    MCD_OPC_FilterValue, 30, 83, 23, // Skip to: 9973
+/* 4002 */    MCD_OPC_CheckField, 1, 1, 0, 77, 23, // Skip to: 9973
+/* 4008 */    MCD_OPC_Decode, 205, 8, 45, // Opcode: STXVD2X
+/* 4012 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 4026
+/* 4016 */    MCD_OPC_CheckField, 0, 2, 2, 63, 23, // Skip to: 9973
+/* 4022 */    MCD_OPC_Decode, 212, 4, 47, // Opcode: ISEL
+/* 4026 */    MCD_OPC_FilterValue, 8, 43, 0, // Skip to: 4073
+/* 4030 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4033 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 4053
+/* 4037 */    MCD_OPC_CheckField, 6, 6, 4, 42, 23, // Skip to: 9973
+/* 4043 */    MCD_OPC_CheckField, 0, 2, 0, 36, 23, // Skip to: 9973
+/* 4049 */    MCD_OPC_Decode, 200, 5, 48, // Opcode: MTCRF
+/* 4053 */    MCD_OPC_FilterValue, 1, 28, 23, // Skip to: 9973
+/* 4057 */    MCD_OPC_CheckField, 6, 6, 4, 22, 23, // Skip to: 9973
+/* 4063 */    MCD_OPC_CheckField, 0, 2, 0, 16, 23, // Skip to: 9973
+/* 4069 */    MCD_OPC_Decode, 218, 5, 49, // Opcode: MTOCRF
+/* 4073 */    MCD_OPC_FilterValue, 9, 246, 1, // Skip to: 4579
+/* 4077 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 4080 */    MCD_OPC_FilterValue, 0, 43, 0, // Skip to: 4127
+/* 4084 */    MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
+/* 4087 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 4107
+/* 4091 */    MCD_OPC_CheckField, 11, 9, 0, 244, 22, // Skip to: 9973
+/* 4097 */    MCD_OPC_CheckField, 0, 2, 2, 238, 22, // Skip to: 9973
+/* 4103 */    MCD_OPC_Decode, 179, 5, 35, // Opcode: MFCR
+/* 4107 */    MCD_OPC_FilterValue, 1, 230, 22, // Skip to: 9973
+/* 4111 */    MCD_OPC_CheckField, 11, 1, 0, 224, 22, // Skip to: 9973
+/* 4117 */    MCD_OPC_CheckField, 0, 2, 2, 218, 22, // Skip to: 9973
+/* 4123 */    MCD_OPC_Decode, 189, 5, 50, // Opcode: MFOCRF
+/* 4127 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 4147
+/* 4131 */    MCD_OPC_CheckField, 11, 10, 0, 204, 22, // Skip to: 9973
+/* 4137 */    MCD_OPC_CheckField, 0, 2, 2, 198, 22, // Skip to: 9973
+/* 4143 */    MCD_OPC_Decode, 188, 5, 35, // Opcode: MFMSR
+/* 4147 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 4161
+/* 4151 */    MCD_OPC_CheckField, 1, 1, 0, 184, 22, // Skip to: 9973
+/* 4157 */    MCD_OPC_Decode, 216, 5, 51, // Opcode: MTMSR
+/* 4161 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 4175
+/* 4165 */    MCD_OPC_CheckField, 1, 1, 0, 170, 22, // Skip to: 9973
+/* 4171 */    MCD_OPC_Decode, 217, 5, 51, // Opcode: MTMSRD
+/* 4175 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 4189
+/* 4179 */    MCD_OPC_CheckField, 1, 1, 0, 156, 22, // Skip to: 9973
+/* 4185 */    MCD_OPC_Decode, 221, 5, 52, // Opcode: MTSR
+/* 4189 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 4203
+/* 4193 */    MCD_OPC_CheckField, 1, 1, 0, 142, 22, // Skip to: 9973
+/* 4199 */    MCD_OPC_Decode, 222, 5, 53, // Opcode: MTSRIN
+/* 4203 */    MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 4223
+/* 4207 */    MCD_OPC_CheckField, 16, 10, 0, 128, 22, // Skip to: 9973
+/* 4213 */    MCD_OPC_CheckField, 0, 2, 0, 122, 22, // Skip to: 9973
+/* 4219 */    MCD_OPC_Decode, 250, 8, 54, // Opcode: TLBIEL
+/* 4223 */    MCD_OPC_FilterValue, 9, 16, 0, // Skip to: 4243
+/* 4227 */    MCD_OPC_CheckField, 16, 5, 0, 108, 22, // Skip to: 9973
+/* 4233 */    MCD_OPC_CheckField, 0, 2, 0, 102, 22, // Skip to: 9973
+/* 4239 */    MCD_OPC_Decode, 249, 8, 53, // Opcode: TLBIE
+/* 4243 */    MCD_OPC_FilterValue, 10, 32, 0, // Skip to: 4279
+/* 4247 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4250 */    MCD_OPC_FilterValue, 2, 87, 22, // Skip to: 9973
+/* 4254 */    MCD_OPC_ExtractField, 11, 10,  // Inst{20-11} ...
+/* 4257 */    MCD_OPC_FilterValue, 128, 2, 4, 0, // Skip to: 4266
+/* 4262 */    MCD_OPC_Decode, 186, 5, 35, // Opcode: MFLR
+/* 4266 */    MCD_OPC_FilterValue, 160, 2, 4, 0, // Skip to: 4275
+/* 4271 */    MCD_OPC_Decode, 181, 5, 35, // Opcode: MFCTR
+/* 4275 */    MCD_OPC_Decode, 191, 5, 37, // Opcode: MFSPR
+/* 4279 */    MCD_OPC_FilterValue, 11, 25, 0, // Skip to: 4308
+/* 4283 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4286 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4300
+/* 4290 */    MCD_OPC_CheckField, 11, 15, 0, 45, 22, // Skip to: 9973
+/* 4296 */    MCD_OPC_Decode, 248, 8, 0, // Opcode: TLBIA
+/* 4300 */    MCD_OPC_FilterValue, 2, 37, 22, // Skip to: 9973
+/* 4304 */    MCD_OPC_Decode, 194, 5, 37, // Opcode: MFTB
+/* 4308 */    MCD_OPC_FilterValue, 12, 16, 0, // Skip to: 4328
+/* 4312 */    MCD_OPC_CheckField, 16, 5, 0, 23, 22, // Skip to: 9973
+/* 4318 */    MCD_OPC_CheckField, 0, 2, 0, 17, 22, // Skip to: 9973
+/* 4324 */    MCD_OPC_Decode, 247, 7, 53, // Opcode: SLBMTE
+/* 4328 */    MCD_OPC_FilterValue, 13, 16, 0, // Skip to: 4348
+/* 4332 */    MCD_OPC_CheckField, 16, 10, 0, 3, 22, // Skip to: 9973
+/* 4338 */    MCD_OPC_CheckField, 0, 2, 0, 253, 21, // Skip to: 9973
+/* 4344 */    MCD_OPC_Decode, 245, 7, 54, // Opcode: SLBIE
+/* 4348 */    MCD_OPC_FilterValue, 14, 32, 0, // Skip to: 4384
+/* 4352 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4355 */    MCD_OPC_FilterValue, 2, 238, 21, // Skip to: 9973
+/* 4359 */    MCD_OPC_ExtractField, 11, 10,  // Inst{20-11} ...
+/* 4362 */    MCD_OPC_FilterValue, 128, 2, 4, 0, // Skip to: 4371
+/* 4367 */    MCD_OPC_Decode, 214, 5, 35, // Opcode: MTLR
+/* 4371 */    MCD_OPC_FilterValue, 160, 2, 4, 0, // Skip to: 4380
+/* 4376 */    MCD_OPC_Decode, 202, 5, 35, // Opcode: MTCTR
+/* 4380 */    MCD_OPC_Decode, 220, 5, 55, // Opcode: MTSPR
+/* 4384 */    MCD_OPC_FilterValue, 15, 16, 0, // Skip to: 4404
+/* 4388 */    MCD_OPC_CheckField, 11, 15, 0, 203, 21, // Skip to: 9973
+/* 4394 */    MCD_OPC_CheckField, 0, 2, 0, 197, 21, // Skip to: 9973
+/* 4400 */    MCD_OPC_Decode, 244, 7, 0, // Opcode: SLBIA
+/* 4404 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 4418
+/* 4408 */    MCD_OPC_CheckField, 1, 1, 1, 183, 21, // Skip to: 9973
+/* 4414 */    MCD_OPC_Decode, 192, 5, 52, // Opcode: MFSR
+/* 4418 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 4432
+/* 4422 */    MCD_OPC_CheckField, 1, 1, 1, 169, 21, // Skip to: 9973
+/* 4428 */    MCD_OPC_Decode, 193, 5, 53, // Opcode: MFSRIN
+/* 4432 */    MCD_OPC_FilterValue, 24, 16, 0, // Skip to: 4452
+/* 4436 */    MCD_OPC_CheckField, 21, 5, 0, 155, 21, // Skip to: 9973
+/* 4442 */    MCD_OPC_CheckField, 0, 2, 0, 149, 21, // Skip to: 9973
+/* 4448 */    MCD_OPC_Decode, 251, 8, 41, // Opcode: TLBIVAX
+/* 4452 */    MCD_OPC_FilterValue, 28, 43, 0, // Skip to: 4499
+/* 4456 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4459 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 4477
+/* 4463 */    MCD_OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 4473
+/* 4469 */    MCD_OPC_Decode, 128, 9, 41, // Opcode: TLBSX
+/* 4473 */    MCD_OPC_Decode, 129, 9, 42, // Opcode: TLBSX2
+/* 4477 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4485
+/* 4481 */    MCD_OPC_Decode, 130, 9, 42, // Opcode: TLBSX2D
+/* 4485 */    MCD_OPC_FilterValue, 2, 108, 21, // Skip to: 9973
+/* 4489 */    MCD_OPC_CheckField, 16, 5, 0, 102, 21, // Skip to: 9973
+/* 4495 */    MCD_OPC_Decode, 246, 7, 53, // Opcode: SLBMFEE
+/* 4499 */    MCD_OPC_FilterValue, 29, 21, 0, // Skip to: 4524
+/* 4503 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4506 */    MCD_OPC_FilterValue, 0, 87, 21, // Skip to: 9973
+/* 4510 */    MCD_OPC_CheckField, 11, 15, 0, 4, 0, // Skip to: 4520
+/* 4516 */    MCD_OPC_Decode, 254, 8, 0, // Opcode: TLBRE
+/* 4520 */    MCD_OPC_Decode, 255, 8, 56, // Opcode: TLBRE2
+/* 4524 */    MCD_OPC_FilterValue, 30, 31, 0, // Skip to: 4559
+/* 4528 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4531 */    MCD_OPC_FilterValue, 0, 62, 21, // Skip to: 9973
+/* 4535 */    MCD_OPC_CheckField, 11, 15, 0, 4, 0, // Skip to: 4545
+/* 4541 */    MCD_OPC_Decode, 132, 9, 0, // Opcode: TLBWE
+/* 4545 */    MCD_OPC_CheckField, 16, 10, 0, 4, 0, // Skip to: 4555
+/* 4551 */    MCD_OPC_Decode, 252, 8, 54, // Opcode: TLBLD
+/* 4555 */    MCD_OPC_Decode, 133, 9, 56, // Opcode: TLBWE2
+/* 4559 */    MCD_OPC_FilterValue, 31, 34, 21, // Skip to: 9973
+/* 4563 */    MCD_OPC_CheckField, 16, 10, 0, 28, 21, // Skip to: 9973
+/* 4569 */    MCD_OPC_CheckField, 0, 2, 0, 22, 21, // Skip to: 9973
+/* 4575 */    MCD_OPC_Decode, 253, 8, 54, // Opcode: TLBLI
+/* 4579 */    MCD_OPC_FilterValue, 10, 22, 1, // Skip to: 4861
+/* 4583 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 4586 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 4609
+/* 4590 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4593 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 4601
+/* 4597 */    MCD_OPC_Decode, 155, 5, 57, // Opcode: LWARX
+/* 4601 */    MCD_OPC_FilterValue, 2, 248, 20, // Skip to: 9973
+/* 4605 */    MCD_OPC_Decode, 232, 4, 58, // Opcode: LDX
+/* 4609 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 4623
+/* 4613 */    MCD_OPC_CheckField, 0, 2, 2, 234, 20, // Skip to: 9973
+/* 4619 */    MCD_OPC_Decode, 231, 4, 59, // Opcode: LDUX
+/* 4623 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 4637
+/* 4627 */    MCD_OPC_CheckField, 0, 2, 0, 220, 20, // Skip to: 9973
+/* 4633 */    MCD_OPC_Decode, 227, 4, 58, // Opcode: LDARX
+/* 4637 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 4651
+/* 4641 */    MCD_OPC_CheckField, 0, 2, 2, 206, 20, // Skip to: 9973
+/* 4647 */    MCD_OPC_Decode, 166, 8, 58, // Opcode: STDX
+/* 4651 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 4665
+/* 4655 */    MCD_OPC_CheckField, 0, 2, 2, 192, 20, // Skip to: 9973
+/* 4661 */    MCD_OPC_Decode, 165, 8, 60, // Opcode: STDUX
+/* 4665 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 4679
+/* 4669 */    MCD_OPC_CheckField, 0, 2, 2, 178, 20, // Skip to: 9973
+/* 4675 */    MCD_OPC_Decode, 157, 5, 58, // Opcode: LWAX
+/* 4679 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 4693
+/* 4683 */    MCD_OPC_CheckField, 0, 2, 2, 164, 20, // Skip to: 9973
+/* 4689 */    MCD_OPC_Decode, 156, 5, 59, // Opcode: LWAUX
+/* 4693 */    MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 4707
+/* 4697 */    MCD_OPC_CheckField, 0, 2, 0, 150, 20, // Skip to: 9973
+/* 4703 */    MCD_OPC_Decode, 228, 4, 58, // Opcode: LDBRX
+/* 4707 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 4721
+/* 4711 */    MCD_OPC_CheckField, 0, 2, 2, 136, 20, // Skip to: 9973
+/* 4717 */    MCD_OPC_Decode, 146, 5, 61, // Opcode: LSWI
+/* 4721 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 4735
+/* 4725 */    MCD_OPC_CheckField, 0, 2, 0, 122, 20, // Skip to: 9973
+/* 4731 */    MCD_OPC_Decode, 161, 8, 58, // Opcode: STDBRX
+/* 4735 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 4749
+/* 4739 */    MCD_OPC_CheckField, 0, 2, 2, 108, 20, // Skip to: 9973
+/* 4745 */    MCD_OPC_Decode, 187, 8, 61, // Opcode: STSWI
+/* 4749 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 4763
+/* 4753 */    MCD_OPC_CheckField, 0, 2, 2, 94, 20, // Skip to: 9973
+/* 4759 */    MCD_OPC_Decode, 164, 5, 42, // Opcode: LWZCIX
+/* 4763 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 4777
+/* 4767 */    MCD_OPC_CheckField, 0, 2, 2, 80, 20, // Skip to: 9973
+/* 4773 */    MCD_OPC_Decode, 134, 5, 42, // Opcode: LHZCIX
+/* 4777 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 4791
+/* 4781 */    MCD_OPC_CheckField, 0, 2, 2, 66, 20, // Skip to: 9973
+/* 4787 */    MCD_OPC_Decode, 219, 4, 42, // Opcode: LBZCIX
+/* 4791 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 4805
+/* 4795 */    MCD_OPC_CheckField, 0, 2, 2, 52, 20, // Skip to: 9973
+/* 4801 */    MCD_OPC_Decode, 229, 4, 42, // Opcode: LDCIX
+/* 4805 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 4819
+/* 4809 */    MCD_OPC_CheckField, 0, 2, 2, 38, 20, // Skip to: 9973
+/* 4815 */    MCD_OPC_Decode, 196, 8, 42, // Opcode: STWCIX
+/* 4819 */    MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 4833
+/* 4823 */    MCD_OPC_CheckField, 0, 2, 2, 24, 20, // Skip to: 9973
+/* 4829 */    MCD_OPC_Decode, 179, 8, 42, // Opcode: STHCIX
+/* 4833 */    MCD_OPC_FilterValue, 30, 10, 0, // Skip to: 4847
+/* 4837 */    MCD_OPC_CheckField, 0, 2, 2, 10, 20, // Skip to: 9973
+/* 4843 */    MCD_OPC_Decode, 153, 8, 42, // Opcode: STBCIX
+/* 4847 */    MCD_OPC_FilterValue, 31, 2, 20, // Skip to: 9973
+/* 4851 */    MCD_OPC_CheckField, 0, 2, 2, 252, 19, // Skip to: 9973
+/* 4857 */    MCD_OPC_Decode, 162, 8, 42, // Opcode: STDCIX
+/* 4861 */    MCD_OPC_FilterValue, 11, 227, 2, // Skip to: 5604
+/* 4865 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 4868 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 4897
+/* 4872 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4875 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4889
+/* 4879 */    MCD_OPC_CheckField, 25, 1, 0, 224, 19, // Skip to: 9973
+/* 4885 */    MCD_OPC_Decode, 204, 4, 62, // Opcode: ICBT
+/* 4889 */    MCD_OPC_FilterValue, 2, 216, 19, // Skip to: 9973
+/* 4893 */    MCD_OPC_Decode, 169, 5, 57, // Opcode: LWZX
+/* 4897 */    MCD_OPC_FilterValue, 1, 25, 0, // Skip to: 4926
+/* 4901 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4904 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4918
+/* 4908 */    MCD_OPC_CheckField, 21, 5, 0, 195, 19, // Skip to: 9973
+/* 4914 */    MCD_OPC_Decode, 247, 1, 63, // Opcode: DCBST
+/* 4918 */    MCD_OPC_FilterValue, 2, 187, 19, // Skip to: 9973
+/* 4922 */    MCD_OPC_Decode, 167, 5, 64, // Opcode: LWZUX
+/* 4926 */    MCD_OPC_FilterValue, 2, 25, 0, // Skip to: 4955
+/* 4930 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4933 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 4947
+/* 4937 */    MCD_OPC_CheckField, 21, 5, 0, 166, 19, // Skip to: 9973
+/* 4943 */    MCD_OPC_Decode, 245, 1, 63, // Opcode: DCBF
+/* 4947 */    MCD_OPC_FilterValue, 2, 158, 19, // Skip to: 9973
+/* 4951 */    MCD_OPC_Decode, 224, 4, 57, // Opcode: LBZX
+/* 4955 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 4969
+/* 4959 */    MCD_OPC_CheckField, 0, 2, 2, 144, 19, // Skip to: 9973
+/* 4965 */    MCD_OPC_Decode, 222, 4, 64, // Opcode: LBZUX
+/* 4969 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 4992
+/* 4973 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 4976 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 4984
+/* 4980 */    MCD_OPC_Decode, 197, 8, 57, // Opcode: STWCX
+/* 4984 */    MCD_OPC_FilterValue, 2, 121, 19, // Skip to: 9973
+/* 4988 */    MCD_OPC_Decode, 202, 8, 57, // Opcode: STWX
+/* 4992 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 5006
+/* 4996 */    MCD_OPC_CheckField, 0, 2, 2, 107, 19, // Skip to: 9973
+/* 5002 */    MCD_OPC_Decode, 200, 8, 65, // Opcode: STWUX
+/* 5006 */    MCD_OPC_FilterValue, 6, 19, 0, // Skip to: 5029
+/* 5010 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5013 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 5021
+/* 5017 */    MCD_OPC_Decode, 163, 8, 58, // Opcode: STDCX
+/* 5021 */    MCD_OPC_FilterValue, 2, 84, 19, // Skip to: 9973
+/* 5025 */    MCD_OPC_Decode, 158, 8, 57, // Opcode: STBX
+/* 5029 */    MCD_OPC_FilterValue, 7, 25, 0, // Skip to: 5058
+/* 5033 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5036 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5050
+/* 5040 */    MCD_OPC_CheckField, 21, 5, 0, 63, 19, // Skip to: 9973
+/* 5046 */    MCD_OPC_Decode, 249, 1, 63, // Opcode: DCBTST
+/* 5050 */    MCD_OPC_FilterValue, 2, 55, 19, // Skip to: 9973
+/* 5054 */    MCD_OPC_Decode, 156, 8, 65, // Opcode: STBUX
+/* 5058 */    MCD_OPC_FilterValue, 8, 25, 0, // Skip to: 5087
+/* 5062 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5065 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5079
+/* 5069 */    MCD_OPC_CheckField, 21, 5, 0, 34, 19, // Skip to: 9973
+/* 5075 */    MCD_OPC_Decode, 248, 1, 63, // Opcode: DCBT
+/* 5079 */    MCD_OPC_FilterValue, 2, 26, 19, // Skip to: 9973
+/* 5083 */    MCD_OPC_Decode, 139, 5, 57, // Opcode: LHZX
+/* 5087 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 5101
+/* 5091 */    MCD_OPC_CheckField, 0, 2, 2, 12, 19, // Skip to: 9973
+/* 5097 */    MCD_OPC_Decode, 137, 5, 64, // Opcode: LHZUX
+/* 5101 */    MCD_OPC_FilterValue, 10, 34, 0, // Skip to: 5139
+/* 5105 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5108 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 5131
+/* 5112 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
+/* 5115 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5123
+/* 5119 */    MCD_OPC_Decode, 135, 2, 66, // Opcode: DST
+/* 5123 */    MCD_OPC_FilterValue, 4, 238, 18, // Skip to: 9973
+/* 5127 */    MCD_OPC_Decode, 141, 2, 66, // Opcode: DSTT
+/* 5131 */    MCD_OPC_FilterValue, 2, 230, 18, // Skip to: 9973
+/* 5135 */    MCD_OPC_Decode, 128, 5, 57, // Opcode: LHAX
+/* 5139 */    MCD_OPC_FilterValue, 11, 34, 0, // Skip to: 5177
+/* 5143 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
 /* 5146 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 5169
-/* 5150 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5150 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
 /* 5153 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5161
-/* 5157 */    MCD_OPC_Decode, 174, 6, 77, // Opcode: SLW
-/* 5161 */    MCD_OPC_FilterValue, 1, 111, 16, // Skip to: 9372
-/* 5165 */    MCD_OPC_Decode, 177, 6, 77, // Opcode: SLWo
-/* 5169 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 5192
-/* 5173 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5176 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5184
-/* 5180 */    MCD_OPC_Decode, 193, 6, 77, // Opcode: SRW
-/* 5184 */    MCD_OPC_FilterValue, 1, 88, 16, // Skip to: 9372
-/* 5188 */    MCD_OPC_Decode, 196, 6, 77, // Opcode: SRWo
-/* 5192 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 5215
-/* 5196 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5199 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5207
-/* 5203 */    MCD_OPC_Decode, 185, 6, 77, // Opcode: SRAW
-/* 5207 */    MCD_OPC_FilterValue, 1, 65, 16, // Skip to: 9372
-/* 5211 */    MCD_OPC_Decode, 188, 6, 77, // Opcode: SRAWo
-/* 5215 */    MCD_OPC_FilterValue, 25, 57, 16, // Skip to: 9372
-/* 5219 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5222 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5230
-/* 5226 */    MCD_OPC_Decode, 186, 6, 78, // Opcode: SRAWI
-/* 5230 */    MCD_OPC_FilterValue, 1, 42, 16, // Skip to: 9372
-/* 5234 */    MCD_OPC_Decode, 187, 6, 78, // Opcode: SRAWIo
-/* 5238 */    MCD_OPC_FilterValue, 13, 47, 1, // Skip to: 5545
-/* 5242 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 5245 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5296
-/* 5249 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5252 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5266
-/* 5256 */    MCD_OPC_CheckField, 11, 5, 0, 14, 16, // Skip to: 9372
-/* 5262 */    MCD_OPC_Decode, 217, 1, 79, // Opcode: CNTLZW
-/* 5266 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 5280
-/* 5270 */    MCD_OPC_CheckField, 11, 5, 0, 0, 16, // Skip to: 9372
-/* 5276 */    MCD_OPC_Decode, 218, 1, 79, // Opcode: CNTLZWo
-/* 5280 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 5288
-/* 5284 */    MCD_OPC_Decode, 170, 6, 80, // Opcode: SLD
-/* 5288 */    MCD_OPC_FilterValue, 3, 240, 15, // Skip to: 9372
-/* 5292 */    MCD_OPC_Decode, 173, 6, 80, // Opcode: SLDo
-/* 5296 */    MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 5331
-/* 5300 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5303 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5317
-/* 5307 */    MCD_OPC_CheckField, 11, 5, 0, 219, 15, // Skip to: 9372
-/* 5313 */    MCD_OPC_Decode, 215, 1, 81, // Opcode: CNTLZD
-/* 5317 */    MCD_OPC_FilterValue, 1, 211, 15, // Skip to: 9372
-/* 5321 */    MCD_OPC_CheckField, 11, 5, 0, 205, 15, // Skip to: 9372
-/* 5327 */    MCD_OPC_Decode, 216, 1, 81, // Opcode: CNTLZDo
-/* 5331 */    MCD_OPC_FilterValue, 11, 16, 0, // Skip to: 5351
-/* 5335 */    MCD_OPC_CheckField, 11, 5, 0, 191, 15, // Skip to: 9372
-/* 5341 */    MCD_OPC_CheckField, 0, 2, 0, 185, 15, // Skip to: 9372
-/* 5347 */    MCD_OPC_Decode, 245, 5, 79, // Opcode: POPCNTW
-/* 5351 */    MCD_OPC_FilterValue, 15, 16, 0, // Skip to: 5371
-/* 5355 */    MCD_OPC_CheckField, 11, 5, 0, 171, 15, // Skip to: 9372
-/* 5361 */    MCD_OPC_CheckField, 0, 2, 0, 165, 15, // Skip to: 9372
-/* 5367 */    MCD_OPC_Decode, 244, 5, 81, // Opcode: POPCNTD
-/* 5371 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 5394
-/* 5375 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5378 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 5386
-/* 5382 */    MCD_OPC_Decode, 189, 6, 80, // Opcode: SRD
-/* 5386 */    MCD_OPC_FilterValue, 3, 142, 15, // Skip to: 9372
-/* 5390 */    MCD_OPC_Decode, 192, 6, 80, // Opcode: SRDo
-/* 5394 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 5417
-/* 5398 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5401 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5409
-/* 5405 */    MCD_OPC_Decode, 181, 6, 80, // Opcode: SRAD
-/* 5409 */    MCD_OPC_FilterValue, 1, 119, 15, // Skip to: 9372
-/* 5413 */    MCD_OPC_Decode, 184, 6, 80, // Opcode: SRADo
-/* 5417 */    MCD_OPC_FilterValue, 25, 19, 0, // Skip to: 5440
-/* 5421 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
-/* 5424 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5432
-/* 5428 */    MCD_OPC_Decode, 182, 6, 82, // Opcode: SRADI
-/* 5432 */    MCD_OPC_FilterValue, 1, 96, 15, // Skip to: 9372
-/* 5436 */    MCD_OPC_Decode, 183, 6, 82, // Opcode: SRADIo
-/* 5440 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 5475
-/* 5444 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5447 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5461
-/* 5451 */    MCD_OPC_CheckField, 11, 5, 0, 75, 15, // Skip to: 9372
-/* 5457 */    MCD_OPC_Decode, 198, 3, 79, // Opcode: EXTSH
-/* 5461 */    MCD_OPC_FilterValue, 1, 67, 15, // Skip to: 9372
-/* 5465 */    MCD_OPC_CheckField, 11, 5, 0, 61, 15, // Skip to: 9372
-/* 5471 */    MCD_OPC_Decode, 202, 3, 79, // Opcode: EXTSHo
-/* 5475 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 5510
-/* 5479 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5482 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5496
-/* 5486 */    MCD_OPC_CheckField, 11, 5, 0, 40, 15, // Skip to: 9372
-/* 5492 */    MCD_OPC_Decode, 193, 3, 79, // Opcode: EXTSB
-/* 5496 */    MCD_OPC_FilterValue, 1, 32, 15, // Skip to: 9372
-/* 5500 */    MCD_OPC_CheckField, 11, 5, 0, 26, 15, // Skip to: 9372
-/* 5506 */    MCD_OPC_Decode, 197, 3, 79, // Opcode: EXTSBo
-/* 5510 */    MCD_OPC_FilterValue, 30, 18, 15, // Skip to: 9372
-/* 5514 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5517 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5531
-/* 5521 */    MCD_OPC_CheckField, 11, 5, 0, 5, 15, // Skip to: 9372
-/* 5527 */    MCD_OPC_Decode, 203, 3, 81, // Opcode: EXTSW
-/* 5531 */    MCD_OPC_FilterValue, 1, 253, 14, // Skip to: 9372
-/* 5535 */    MCD_OPC_CheckField, 11, 5, 0, 247, 14, // Skip to: 9372
-/* 5541 */    MCD_OPC_Decode, 206, 3, 81, // Opcode: EXTSWo
-/* 5545 */    MCD_OPC_FilterValue, 14, 183, 0, // Skip to: 5732
-/* 5549 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 5552 */    MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 5573
-/* 5556 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5559 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 5566
-/* 5563 */    MCD_OPC_Decode, 65, 77, // Opcode: AND
-/* 5566 */    MCD_OPC_FilterValue, 1, 218, 14, // Skip to: 9372
-/* 5570 */    MCD_OPC_Decode, 80, 77, // Opcode: ANDo
-/* 5573 */    MCD_OPC_FilterValue, 1, 17, 0, // Skip to: 5594
-/* 5577 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5580 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 5587
-/* 5584 */    MCD_OPC_Decode, 68, 77, // Opcode: ANDC
-/* 5587 */    MCD_OPC_FilterValue, 1, 197, 14, // Skip to: 9372
-/* 5591 */    MCD_OPC_Decode, 71, 77, // Opcode: ANDCo
-/* 5594 */    MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 5617
-/* 5598 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5601 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5609
-/* 5605 */    MCD_OPC_Decode, 228, 5, 77, // Opcode: NOR
-/* 5609 */    MCD_OPC_FilterValue, 1, 175, 14, // Skip to: 9372
-/* 5613 */    MCD_OPC_Decode, 231, 5, 77, // Opcode: NORo
-/* 5617 */    MCD_OPC_FilterValue, 8, 19, 0, // Skip to: 5640
-/* 5621 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5624 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5632
-/* 5628 */    MCD_OPC_Decode, 138, 2, 77, // Opcode: EQV
-/* 5632 */    MCD_OPC_FilterValue, 1, 152, 14, // Skip to: 9372
-/* 5636 */    MCD_OPC_Decode, 141, 2, 77, // Opcode: EQVo
-/* 5640 */    MCD_OPC_FilterValue, 9, 19, 0, // Skip to: 5663
-/* 5644 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5647 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5655
-/* 5651 */    MCD_OPC_Decode, 221, 8, 77, // Opcode: XOR
-/* 5655 */    MCD_OPC_FilterValue, 1, 129, 14, // Skip to: 9372
-/* 5659 */    MCD_OPC_Decode, 228, 8, 77, // Opcode: XORo
-/* 5663 */    MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 5686
-/* 5667 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5670 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5678
-/* 5674 */    MCD_OPC_Decode, 235, 5, 77, // Opcode: ORC
-/* 5678 */    MCD_OPC_FilterValue, 1, 106, 14, // Skip to: 9372
-/* 5682 */    MCD_OPC_Decode, 238, 5, 77, // Opcode: ORCo
-/* 5686 */    MCD_OPC_FilterValue, 13, 19, 0, // Skip to: 5709
-/* 5690 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5693 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5701
-/* 5697 */    MCD_OPC_Decode, 232, 5, 77, // Opcode: OR
-/* 5701 */    MCD_OPC_FilterValue, 1, 83, 14, // Skip to: 9372
-/* 5705 */    MCD_OPC_Decode, 243, 5, 77, // Opcode: ORo
-/* 5709 */    MCD_OPC_FilterValue, 14, 75, 14, // Skip to: 9372
-/* 5713 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5716 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5724
-/* 5720 */    MCD_OPC_Decode, 217, 5, 77, // Opcode: NAND
-/* 5724 */    MCD_OPC_FilterValue, 1, 60, 14, // Skip to: 9372
-/* 5728 */    MCD_OPC_Decode, 220, 5, 77, // Opcode: NANDo
-/* 5732 */    MCD_OPC_FilterValue, 15, 52, 14, // Skip to: 9372
-/* 5736 */    MCD_OPC_CheckField, 23, 3, 0, 46, 14, // Skip to: 9372
-/* 5742 */    MCD_OPC_CheckField, 6, 15, 1, 40, 14, // Skip to: 9372
-/* 5748 */    MCD_OPC_CheckField, 0, 2, 0, 34, 14, // Skip to: 9372
-/* 5754 */    MCD_OPC_Decode, 218, 8, 70, // Opcode: WAIT
-/* 5758 */    MCD_OPC_FilterValue, 32, 4, 0, // Skip to: 5766
-/* 5762 */    MCD_OPC_Decode, 144, 5, 83, // Opcode: LWZ
-/* 5766 */    MCD_OPC_FilterValue, 33, 4, 0, // Skip to: 5774
-/* 5770 */    MCD_OPC_Decode, 146, 5, 83, // Opcode: LWZU
-/* 5774 */    MCD_OPC_FilterValue, 34, 4, 0, // Skip to: 5782
-/* 5778 */    MCD_OPC_Decode, 204, 4, 83, // Opcode: LBZ
-/* 5782 */    MCD_OPC_FilterValue, 35, 4, 0, // Skip to: 5790
-/* 5786 */    MCD_OPC_Decode, 206, 4, 83, // Opcode: LBZU
-/* 5790 */    MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 5798
-/* 5794 */    MCD_OPC_Decode, 236, 6, 83, // Opcode: STW
-/* 5798 */    MCD_OPC_FilterValue, 37, 4, 0, // Skip to: 5806
-/* 5802 */    MCD_OPC_Decode, 240, 6, 83, // Opcode: STWU
-/* 5806 */    MCD_OPC_FilterValue, 38, 4, 0, // Skip to: 5814
-/* 5810 */    MCD_OPC_Decode, 197, 6, 83, // Opcode: STB
-/* 5814 */    MCD_OPC_FilterValue, 39, 4, 0, // Skip to: 5822
-/* 5818 */    MCD_OPC_Decode, 199, 6, 83, // Opcode: STBU
-/* 5822 */    MCD_OPC_FilterValue, 40, 4, 0, // Skip to: 5830
-/* 5826 */    MCD_OPC_Decode, 244, 4, 83, // Opcode: LHZ
-/* 5830 */    MCD_OPC_FilterValue, 41, 4, 0, // Skip to: 5838
-/* 5834 */    MCD_OPC_Decode, 246, 4, 83, // Opcode: LHZU
-/* 5838 */    MCD_OPC_FilterValue, 42, 4, 0, // Skip to: 5846
-/* 5842 */    MCD_OPC_Decode, 235, 4, 83, // Opcode: LHA
-/* 5846 */    MCD_OPC_FilterValue, 43, 4, 0, // Skip to: 5854
-/* 5850 */    MCD_OPC_Decode, 237, 4, 83, // Opcode: LHAU
-/* 5854 */    MCD_OPC_FilterValue, 44, 4, 0, // Skip to: 5862
-/* 5858 */    MCD_OPC_Decode, 220, 6, 83, // Opcode: STH
-/* 5862 */    MCD_OPC_FilterValue, 45, 4, 0, // Skip to: 5870
-/* 5866 */    MCD_OPC_Decode, 223, 6, 83, // Opcode: STHU
-/* 5870 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 5878
-/* 5874 */    MCD_OPC_Decode, 128, 5, 83, // Opcode: LMW
-/* 5878 */    MCD_OPC_FilterValue, 47, 4, 0, // Skip to: 5886
-/* 5882 */    MCD_OPC_Decode, 229, 6, 83, // Opcode: STMW
-/* 5886 */    MCD_OPC_FilterValue, 48, 4, 0, // Skip to: 5894
-/* 5890 */    MCD_OPC_Decode, 231, 4, 84, // Opcode: LFS
-/* 5894 */    MCD_OPC_FilterValue, 49, 4, 0, // Skip to: 5902
-/* 5898 */    MCD_OPC_Decode, 232, 4, 84, // Opcode: LFSU
-/* 5902 */    MCD_OPC_FilterValue, 50, 4, 0, // Skip to: 5910
-/* 5906 */    MCD_OPC_Decode, 225, 4, 85, // Opcode: LFD
-/* 5910 */    MCD_OPC_FilterValue, 51, 4, 0, // Skip to: 5918
-/* 5914 */    MCD_OPC_Decode, 226, 4, 85, // Opcode: LFDU
-/* 5918 */    MCD_OPC_FilterValue, 52, 4, 0, // Skip to: 5926
-/* 5922 */    MCD_OPC_Decode, 216, 6, 84, // Opcode: STFS
-/* 5926 */    MCD_OPC_FilterValue, 53, 4, 0, // Skip to: 5934
-/* 5930 */    MCD_OPC_Decode, 217, 6, 84, // Opcode: STFSU
-/* 5934 */    MCD_OPC_FilterValue, 54, 4, 0, // Skip to: 5942
-/* 5938 */    MCD_OPC_Decode, 211, 6, 85, // Opcode: STFD
-/* 5942 */    MCD_OPC_FilterValue, 55, 4, 0, // Skip to: 5950
-/* 5946 */    MCD_OPC_Decode, 212, 6, 85, // Opcode: STFDU
-/* 5950 */    MCD_OPC_FilterValue, 58, 27, 0, // Skip to: 5981
-/* 5954 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 5957 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5965
-/* 5961 */    MCD_OPC_Decode, 212, 4, 86, // Opcode: LD
-/* 5965 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 5973
-/* 5969 */    MCD_OPC_Decode, 215, 4, 86, // Opcode: LDU
-/* 5973 */    MCD_OPC_FilterValue, 2, 67, 13, // Skip to: 9372
-/* 5977 */    MCD_OPC_Decode, 137, 5, 86, // Opcode: LWA
-/* 5981 */    MCD_OPC_FilterValue, 59, 113, 1, // Skip to: 6354
-/* 5985 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 5988 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 6023
-/* 5992 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 5995 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 6009
-/* 5999 */    MCD_OPC_CheckField, 16, 5, 0, 39, 13, // Skip to: 9372
-/* 6005 */    MCD_OPC_Decode, 217, 3, 87, // Opcode: FCFIDS
-/* 6009 */    MCD_OPC_FilterValue, 30, 31, 13, // Skip to: 9372
-/* 6013 */    MCD_OPC_CheckField, 16, 5, 0, 25, 13, // Skip to: 9372
-/* 6019 */    MCD_OPC_Decode, 220, 3, 87, // Opcode: FCFIDUS
-/* 6023 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 6058
-/* 6027 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 6030 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 6044
-/* 6034 */    MCD_OPC_CheckField, 16, 5, 0, 4, 13, // Skip to: 9372
-/* 6040 */    MCD_OPC_Decode, 218, 3, 87, // Opcode: FCFIDSo
-/* 6044 */    MCD_OPC_FilterValue, 30, 252, 12, // Skip to: 9372
-/* 6048 */    MCD_OPC_CheckField, 16, 5, 0, 246, 12, // Skip to: 9372
-/* 6054 */    MCD_OPC_Decode, 221, 3, 87, // Opcode: FCFIDUSo
-/* 6058 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 6072
-/* 6062 */    MCD_OPC_CheckField, 6, 5, 0, 232, 12, // Skip to: 9372
-/* 6068 */    MCD_OPC_Decode, 243, 3, 88, // Opcode: FDIVS
-/* 6072 */    MCD_OPC_FilterValue, 37, 10, 0, // Skip to: 6086
-/* 6076 */    MCD_OPC_CheckField, 6, 5, 0, 218, 12, // Skip to: 9372
-/* 6082 */    MCD_OPC_Decode, 244, 3, 88, // Opcode: FDIVSo
-/* 6086 */    MCD_OPC_FilterValue, 40, 10, 0, // Skip to: 6100
-/* 6090 */    MCD_OPC_CheckField, 6, 5, 0, 204, 12, // Skip to: 9372
-/* 6096 */    MCD_OPC_Decode, 183, 4, 88, // Opcode: FSUBS
-/* 6100 */    MCD_OPC_FilterValue, 41, 10, 0, // Skip to: 6114
-/* 6104 */    MCD_OPC_CheckField, 6, 5, 0, 190, 12, // Skip to: 9372
-/* 6110 */    MCD_OPC_Decode, 184, 4, 88, // Opcode: FSUBSo
-/* 6114 */    MCD_OPC_FilterValue, 42, 10, 0, // Skip to: 6128
-/* 6118 */    MCD_OPC_CheckField, 6, 5, 0, 176, 12, // Skip to: 9372
-/* 6124 */    MCD_OPC_Decode, 212, 3, 88, // Opcode: FADDS
-/* 6128 */    MCD_OPC_FilterValue, 43, 10, 0, // Skip to: 6142
-/* 6132 */    MCD_OPC_CheckField, 6, 5, 0, 162, 12, // Skip to: 9372
-/* 6138 */    MCD_OPC_Decode, 213, 3, 88, // Opcode: FADDSo
-/* 6142 */    MCD_OPC_FilterValue, 44, 16, 0, // Skip to: 6162
-/* 6146 */    MCD_OPC_CheckField, 16, 5, 0, 148, 12, // Skip to: 9372
-/* 6152 */    MCD_OPC_CheckField, 6, 5, 0, 142, 12, // Skip to: 9372
-/* 6158 */    MCD_OPC_Decode, 179, 4, 89, // Opcode: FSQRTS
-/* 6162 */    MCD_OPC_FilterValue, 45, 16, 0, // Skip to: 6182
-/* 6166 */    MCD_OPC_CheckField, 16, 5, 0, 128, 12, // Skip to: 9372
-/* 6172 */    MCD_OPC_CheckField, 6, 5, 0, 122, 12, // Skip to: 9372
-/* 6178 */    MCD_OPC_Decode, 180, 4, 89, // Opcode: FSQRTSo
-/* 6182 */    MCD_OPC_FilterValue, 48, 16, 0, // Skip to: 6202
-/* 6186 */    MCD_OPC_CheckField, 16, 5, 0, 108, 12, // Skip to: 9372
-/* 6192 */    MCD_OPC_CheckField, 6, 5, 0, 102, 12, // Skip to: 9372
-/* 6198 */    MCD_OPC_Decode, 149, 4, 89, // Opcode: FRES
-/* 6202 */    MCD_OPC_FilterValue, 49, 16, 0, // Skip to: 6222
-/* 6206 */    MCD_OPC_CheckField, 16, 5, 0, 88, 12, // Skip to: 9372
-/* 6212 */    MCD_OPC_CheckField, 6, 5, 0, 82, 12, // Skip to: 9372
-/* 6218 */    MCD_OPC_Decode, 150, 4, 89, // Opcode: FRESo
-/* 6222 */    MCD_OPC_FilterValue, 50, 10, 0, // Skip to: 6236
-/* 6226 */    MCD_OPC_CheckField, 11, 5, 0, 68, 12, // Skip to: 9372
-/* 6232 */    MCD_OPC_Decode, 129, 4, 90, // Opcode: FMULS
-/* 6236 */    MCD_OPC_FilterValue, 51, 10, 0, // Skip to: 6250
-/* 6240 */    MCD_OPC_CheckField, 11, 5, 0, 54, 12, // Skip to: 9372
-/* 6246 */    MCD_OPC_Decode, 130, 4, 90, // Opcode: FMULSo
-/* 6250 */    MCD_OPC_FilterValue, 52, 16, 0, // Skip to: 6270
-/* 6254 */    MCD_OPC_CheckField, 16, 5, 0, 40, 12, // Skip to: 9372
-/* 6260 */    MCD_OPC_CheckField, 6, 5, 0, 34, 12, // Skip to: 9372
-/* 6266 */    MCD_OPC_Decode, 171, 4, 89, // Opcode: FRSQRTES
-/* 6270 */    MCD_OPC_FilterValue, 53, 16, 0, // Skip to: 6290
-/* 6274 */    MCD_OPC_CheckField, 16, 5, 0, 20, 12, // Skip to: 9372
-/* 6280 */    MCD_OPC_CheckField, 6, 5, 0, 14, 12, // Skip to: 9372
-/* 6286 */    MCD_OPC_Decode, 172, 4, 89, // Opcode: FRSQRTESo
-/* 6290 */    MCD_OPC_FilterValue, 56, 4, 0, // Skip to: 6298
-/* 6294 */    MCD_OPC_Decode, 253, 3, 91, // Opcode: FMSUBS
-/* 6298 */    MCD_OPC_FilterValue, 57, 4, 0, // Skip to: 6306
-/* 6302 */    MCD_OPC_Decode, 254, 3, 91, // Opcode: FMSUBSo
-/* 6306 */    MCD_OPC_FilterValue, 58, 4, 0, // Skip to: 6314
-/* 6310 */    MCD_OPC_Decode, 247, 3, 91, // Opcode: FMADDS
-/* 6314 */    MCD_OPC_FilterValue, 59, 4, 0, // Skip to: 6322
-/* 6318 */    MCD_OPC_Decode, 248, 3, 91, // Opcode: FMADDSo
-/* 6322 */    MCD_OPC_FilterValue, 60, 4, 0, // Skip to: 6330
-/* 6326 */    MCD_OPC_Decode, 145, 4, 91, // Opcode: FNMSUBS
-/* 6330 */    MCD_OPC_FilterValue, 61, 4, 0, // Skip to: 6338
-/* 6334 */    MCD_OPC_Decode, 146, 4, 91, // Opcode: FNMSUBSo
-/* 6338 */    MCD_OPC_FilterValue, 62, 4, 0, // Skip to: 6346
-/* 6342 */    MCD_OPC_Decode, 141, 4, 91, // Opcode: FNMADDS
-/* 6346 */    MCD_OPC_FilterValue, 63, 206, 11, // Skip to: 9372
-/* 6350 */    MCD_OPC_Decode, 142, 4, 91, // Opcode: FNMADDSo
-/* 6354 */    MCD_OPC_FilterValue, 60, 250, 7, // Skip to: 8400
-/* 6358 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
-/* 6361 */    MCD_OPC_FilterValue, 0, 16, 2, // Skip to: 6893
-/* 6365 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 6368 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 6391
-/* 6372 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6375 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6383
-/* 6379 */    MCD_OPC_Decode, 230, 8, 92, // Opcode: XSADDDP
-/* 6383 */    MCD_OPC_FilterValue, 1, 169, 11, // Skip to: 9372
-/* 6387 */    MCD_OPC_Decode, 243, 8, 93, // Opcode: XSMADDADP
-/* 6391 */    MCD_OPC_FilterValue, 5, 19, 0, // Skip to: 6414
-/* 6395 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6398 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6406
-/* 6402 */    MCD_OPC_Decode, 136, 9, 92, // Opcode: XSSUBDP
-/* 6406 */    MCD_OPC_FilterValue, 1, 146, 11, // Skip to: 9372
-/* 6410 */    MCD_OPC_Decode, 244, 8, 93, // Opcode: XSMADDMDP
-/* 6414 */    MCD_OPC_FilterValue, 6, 19, 0, // Skip to: 6437
-/* 6418 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6421 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6429
-/* 6425 */    MCD_OPC_Decode, 249, 8, 92, // Opcode: XSMULDP
-/* 6429 */    MCD_OPC_FilterValue, 1, 123, 11, // Skip to: 9372
-/* 6433 */    MCD_OPC_Decode, 247, 8, 93, // Opcode: XSMSUBADP
-/* 6437 */    MCD_OPC_FilterValue, 7, 19, 0, // Skip to: 6460
-/* 6441 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6444 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6452
-/* 6448 */    MCD_OPC_Decode, 242, 8, 92, // Opcode: XSDIVDP
-/* 6452 */    MCD_OPC_FilterValue, 1, 100, 11, // Skip to: 9372
-/* 6456 */    MCD_OPC_Decode, 248, 8, 93, // Opcode: XSMSUBMDP
-/* 6460 */    MCD_OPC_FilterValue, 8, 19, 0, // Skip to: 6483
-/* 6464 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6467 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6475
-/* 6471 */    MCD_OPC_Decode, 142, 9, 94, // Opcode: XVADDSP
-/* 6475 */    MCD_OPC_FilterValue, 1, 77, 11, // Skip to: 9372
-/* 6479 */    MCD_OPC_Decode, 178, 9, 95, // Opcode: XVMADDASP
-/* 6483 */    MCD_OPC_FilterValue, 9, 19, 0, // Skip to: 6506
-/* 6487 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6490 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6498
-/* 6494 */    MCD_OPC_Decode, 220, 9, 94, // Opcode: XVSUBSP
-/* 6498 */    MCD_OPC_FilterValue, 1, 54, 11, // Skip to: 9372
-/* 6502 */    MCD_OPC_Decode, 180, 9, 95, // Opcode: XVMADDMSP
-/* 6506 */    MCD_OPC_FilterValue, 10, 19, 0, // Skip to: 6529
-/* 6510 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6513 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6521
-/* 6517 */    MCD_OPC_Decode, 190, 9, 94, // Opcode: XVMULSP
-/* 6521 */    MCD_OPC_FilterValue, 1, 31, 11, // Skip to: 9372
-/* 6525 */    MCD_OPC_Decode, 186, 9, 95, // Opcode: XVMSUBASP
-/* 6529 */    MCD_OPC_FilterValue, 11, 19, 0, // Skip to: 6552
-/* 6533 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6536 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6544
-/* 6540 */    MCD_OPC_Decode, 176, 9, 94, // Opcode: XVDIVSP
-/* 6544 */    MCD_OPC_FilterValue, 1, 8, 11, // Skip to: 9372
-/* 6548 */    MCD_OPC_Decode, 188, 9, 95, // Opcode: XVMSUBMSP
-/* 6552 */    MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 6575
-/* 6556 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6559 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6567
-/* 6563 */    MCD_OPC_Decode, 141, 9, 94, // Opcode: XVADDDP
-/* 6567 */    MCD_OPC_FilterValue, 1, 241, 10, // Skip to: 9372
-/* 6571 */    MCD_OPC_Decode, 177, 9, 95, // Opcode: XVMADDADP
-/* 6575 */    MCD_OPC_FilterValue, 13, 19, 0, // Skip to: 6598
-/* 6579 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6582 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6590
-/* 6586 */    MCD_OPC_Decode, 219, 9, 94, // Opcode: XVSUBDP
-/* 6590 */    MCD_OPC_FilterValue, 1, 218, 10, // Skip to: 9372
-/* 6594 */    MCD_OPC_Decode, 179, 9, 95, // Opcode: XVMADDMDP
-/* 6598 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 6621
-/* 6602 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6605 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6613
-/* 6609 */    MCD_OPC_Decode, 189, 9, 94, // Opcode: XVMULDP
-/* 6613 */    MCD_OPC_FilterValue, 1, 195, 10, // Skip to: 9372
-/* 6617 */    MCD_OPC_Decode, 185, 9, 95, // Opcode: XVMSUBADP
-/* 6621 */    MCD_OPC_FilterValue, 15, 19, 0, // Skip to: 6644
-/* 6625 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6628 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6636
-/* 6632 */    MCD_OPC_Decode, 175, 9, 94, // Opcode: XVDIVDP
-/* 6636 */    MCD_OPC_FilterValue, 1, 172, 10, // Skip to: 9372
-/* 6640 */    MCD_OPC_Decode, 187, 9, 95, // Opcode: XVMSUBMDP
-/* 6644 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 6667
-/* 6648 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6651 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6659
-/* 6655 */    MCD_OPC_Decode, 245, 8, 92, // Opcode: XSMAXDP
-/* 6659 */    MCD_OPC_FilterValue, 1, 149, 10, // Skip to: 9372
-/* 6663 */    MCD_OPC_Decode, 252, 8, 93, // Opcode: XSNMADDADP
-/* 6667 */    MCD_OPC_FilterValue, 21, 19, 0, // Skip to: 6690
-/* 6671 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6674 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6682
-/* 6678 */    MCD_OPC_Decode, 246, 8, 92, // Opcode: XSMINDP
-/* 6682 */    MCD_OPC_FilterValue, 1, 126, 10, // Skip to: 9372
-/* 6686 */    MCD_OPC_Decode, 253, 8, 93, // Opcode: XSNMADDMDP
-/* 6690 */    MCD_OPC_FilterValue, 22, 19, 0, // Skip to: 6713
-/* 6694 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6697 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6705
-/* 6701 */    MCD_OPC_Decode, 233, 8, 92, // Opcode: XSCPSGNDP
-/* 6705 */    MCD_OPC_FilterValue, 1, 103, 10, // Skip to: 9372
-/* 6709 */    MCD_OPC_Decode, 254, 8, 93, // Opcode: XSNMSUBADP
-/* 6713 */    MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 6727
-/* 6717 */    MCD_OPC_CheckField, 3, 1, 1, 89, 10, // Skip to: 9372
-/* 6723 */    MCD_OPC_Decode, 255, 8, 93, // Opcode: XSNMSUBMDP
-/* 6727 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 6750
-/* 6731 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6734 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6742
-/* 6738 */    MCD_OPC_Decode, 182, 9, 94, // Opcode: XVMAXSP
-/* 6742 */    MCD_OPC_FilterValue, 1, 66, 10, // Skip to: 9372
-/* 6746 */    MCD_OPC_Decode, 196, 9, 95, // Opcode: XVNMADDASP
-/* 6750 */    MCD_OPC_FilterValue, 25, 19, 0, // Skip to: 6773
-/* 6754 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6757 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6765
-/* 6761 */    MCD_OPC_Decode, 184, 9, 94, // Opcode: XVMINSP
-/* 6765 */    MCD_OPC_FilterValue, 1, 43, 10, // Skip to: 9372
-/* 6769 */    MCD_OPC_Decode, 198, 9, 95, // Opcode: XVNMADDMSP
-/* 6773 */    MCD_OPC_FilterValue, 26, 19, 0, // Skip to: 6796
-/* 6777 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6780 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6788
-/* 6784 */    MCD_OPC_Decode, 156, 9, 94, // Opcode: XVCPSGNSP
-/* 6788 */    MCD_OPC_FilterValue, 1, 20, 10, // Skip to: 9372
-/* 6792 */    MCD_OPC_Decode, 200, 9, 95, // Opcode: XVNMSUBASP
-/* 6796 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 6810
-/* 6800 */    MCD_OPC_CheckField, 3, 1, 1, 6, 10, // Skip to: 9372
-/* 6806 */    MCD_OPC_Decode, 202, 9, 95, // Opcode: XVNMSUBMSP
-/* 6810 */    MCD_OPC_FilterValue, 28, 19, 0, // Skip to: 6833
-/* 6814 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6817 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6825
-/* 6821 */    MCD_OPC_Decode, 181, 9, 94, // Opcode: XVMAXDP
-/* 6825 */    MCD_OPC_FilterValue, 1, 239, 9, // Skip to: 9372
-/* 6829 */    MCD_OPC_Decode, 195, 9, 95, // Opcode: XVNMADDADP
-/* 6833 */    MCD_OPC_FilterValue, 29, 19, 0, // Skip to: 6856
-/* 6837 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6840 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6848
-/* 6844 */    MCD_OPC_Decode, 183, 9, 94, // Opcode: XVMINDP
-/* 6848 */    MCD_OPC_FilterValue, 1, 216, 9, // Skip to: 9372
-/* 6852 */    MCD_OPC_Decode, 197, 9, 95, // Opcode: XVNMADDMDP
-/* 6856 */    MCD_OPC_FilterValue, 30, 19, 0, // Skip to: 6879
-/* 6860 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6863 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6871
-/* 6867 */    MCD_OPC_Decode, 155, 9, 94, // Opcode: XVCPSGNDP
-/* 6871 */    MCD_OPC_FilterValue, 1, 193, 9, // Skip to: 9372
-/* 6875 */    MCD_OPC_Decode, 199, 9, 95, // Opcode: XVNMSUBADP
-/* 6879 */    MCD_OPC_FilterValue, 31, 185, 9, // Skip to: 9372
-/* 6883 */    MCD_OPC_CheckField, 3, 1, 1, 179, 9, // Skip to: 9372
-/* 6889 */    MCD_OPC_Decode, 201, 9, 95, // Opcode: XVNMSUBMDP
-/* 6893 */    MCD_OPC_FilterValue, 1, 92, 1, // Skip to: 7245
-/* 6897 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
-/* 6900 */    MCD_OPC_FilterValue, 0, 100, 0, // Skip to: 7004
-/* 6904 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 6907 */    MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 6945
-/* 6911 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 6914 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6922
-/* 6918 */    MCD_OPC_Decode, 235, 9, 96, // Opcode: XXSLDWI
-/* 6922 */    MCD_OPC_FilterValue, 1, 142, 9, // Skip to: 9372
-/* 6926 */    MCD_OPC_ExtractField, 8, 2,  // Inst{9-8} ...
-/* 6929 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6937
-/* 6933 */    MCD_OPC_Decode, 225, 9, 94, // Opcode: XXLAND
-/* 6937 */    MCD_OPC_FilterValue, 1, 127, 9, // Skip to: 9372
-/* 6941 */    MCD_OPC_Decode, 227, 9, 94, // Opcode: XXLNOR
-/* 6945 */    MCD_OPC_FilterValue, 1, 119, 9, // Skip to: 9372
-/* 6949 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
-/* 6952 */    MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 6972
-/* 6956 */    MCD_OPC_CheckField, 21, 2, 0, 106, 9, // Skip to: 9372
-/* 6962 */    MCD_OPC_CheckField, 0, 1, 0, 100, 9, // Skip to: 9372
-/* 6968 */    MCD_OPC_Decode, 232, 8, 97, // Opcode: XSCMPUDP
-/* 6972 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 6980
-/* 6976 */    MCD_OPC_Decode, 145, 9, 94, // Opcode: XVCMPEQSP
-/* 6980 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 6988
-/* 6984 */    MCD_OPC_Decode, 143, 9, 94, // Opcode: XVCMPEQDP
-/* 6988 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 6996
-/* 6992 */    MCD_OPC_Decode, 146, 9, 94, // Opcode: XVCMPEQSPo
-/* 6996 */    MCD_OPC_FilterValue, 7, 68, 9, // Skip to: 9372
-/* 7000 */    MCD_OPC_Decode, 144, 9, 94, // Opcode: XVCMPEQDPo
-/* 7004 */    MCD_OPC_FilterValue, 1, 91, 0, // Skip to: 7099
-/* 7008 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 7011 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 7040
-/* 7015 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 7018 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7026
-/* 7022 */    MCD_OPC_Decode, 233, 9, 96, // Opcode: XXPERMDI
-/* 7026 */    MCD_OPC_FilterValue, 1, 38, 9, // Skip to: 9372
-/* 7030 */    MCD_OPC_CheckField, 8, 2, 0, 32, 9, // Skip to: 9372
-/* 7036 */    MCD_OPC_Decode, 226, 9, 94, // Opcode: XXLANDC
-/* 7040 */    MCD_OPC_FilterValue, 1, 24, 9, // Skip to: 9372
-/* 7044 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
-/* 7047 */    MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 7067
-/* 7051 */    MCD_OPC_CheckField, 21, 2, 0, 11, 9, // Skip to: 9372
-/* 7057 */    MCD_OPC_CheckField, 0, 1, 0, 5, 9, // Skip to: 9372
-/* 7063 */    MCD_OPC_Decode, 231, 8, 97, // Opcode: XSCMPODP
-/* 7067 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 7075
-/* 7071 */    MCD_OPC_Decode, 153, 9, 94, // Opcode: XVCMPGTSP
-/* 7075 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 7083
-/* 7079 */    MCD_OPC_Decode, 151, 9, 94, // Opcode: XVCMPGTDP
-/* 7083 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 7091
-/* 7087 */    MCD_OPC_Decode, 154, 9, 94, // Opcode: XVCMPGTSPo
-/* 7091 */    MCD_OPC_FilterValue, 7, 229, 8, // Skip to: 9372
-/* 7095 */    MCD_OPC_Decode, 152, 9, 94, // Opcode: XVCMPGTDPo
-/* 7099 */    MCD_OPC_FilterValue, 2, 122, 0, // Skip to: 7225
-/* 7103 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
-/* 7106 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7120
-/* 7110 */    MCD_OPC_CheckField, 3, 1, 0, 208, 8, // Skip to: 9372
-/* 7116 */    MCD_OPC_Decode, 231, 9, 94, // Opcode: XXMRGHW
-/* 7120 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7134
-/* 7124 */    MCD_OPC_CheckField, 3, 1, 0, 194, 8, // Skip to: 9372
-/* 7130 */    MCD_OPC_Decode, 232, 9, 94, // Opcode: XXMRGLW
-/* 7134 */    MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 7169
-/* 7138 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 7141 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 7161
-/* 7145 */    MCD_OPC_CheckField, 18, 3, 0, 173, 8, // Skip to: 9372
-/* 7151 */    MCD_OPC_CheckField, 2, 1, 0, 167, 8, // Skip to: 9372
-/* 7157 */    MCD_OPC_Decode, 236, 9, 98, // Opcode: XXSPLTW
-/* 7161 */    MCD_OPC_FilterValue, 1, 159, 8, // Skip to: 9372
-/* 7165 */    MCD_OPC_Decode, 149, 9, 94, // Opcode: XVCMPGESP
-/* 7169 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 7183
-/* 7173 */    MCD_OPC_CheckField, 3, 1, 1, 145, 8, // Skip to: 9372
-/* 7179 */    MCD_OPC_Decode, 147, 9, 94, // Opcode: XVCMPGEDP
-/* 7183 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 7197
-/* 7187 */    MCD_OPC_CheckField, 3, 1, 0, 131, 8, // Skip to: 9372
-/* 7193 */    MCD_OPC_Decode, 228, 9, 94, // Opcode: XXLOR
-/* 7197 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 7211
-/* 7201 */    MCD_OPC_CheckField, 3, 1, 1, 117, 8, // Skip to: 9372
-/* 7207 */    MCD_OPC_Decode, 150, 9, 94, // Opcode: XVCMPGESPo
-/* 7211 */    MCD_OPC_FilterValue, 7, 109, 8, // Skip to: 9372
-/* 7215 */    MCD_OPC_CheckField, 3, 1, 1, 103, 8, // Skip to: 9372
-/* 7221 */    MCD_OPC_Decode, 148, 9, 94, // Opcode: XVCMPGEDPo
-/* 7225 */    MCD_OPC_FilterValue, 3, 95, 8, // Skip to: 9372
-/* 7229 */    MCD_OPC_CheckField, 8, 3, 4, 89, 8, // Skip to: 9372
-/* 7235 */    MCD_OPC_CheckField, 3, 1, 0, 83, 8, // Skip to: 9372
-/* 7241 */    MCD_OPC_Decode, 230, 9, 94, // Opcode: XXLXOR
-/* 7245 */    MCD_OPC_FilterValue, 2, 119, 4, // Skip to: 8392
-/* 7249 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 7252 */    MCD_OPC_FilterValue, 4, 59, 0, // Skip to: 7315
-/* 7256 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7259 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7273
-/* 7263 */    MCD_OPC_CheckField, 16, 5, 0, 55, 8, // Skip to: 9372
-/* 7269 */    MCD_OPC_Decode, 238, 8, 99, // Opcode: XSCVDPUXWS
-/* 7273 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7287
-/* 7277 */    MCD_OPC_CheckField, 16, 5, 0, 41, 8, // Skip to: 9372
-/* 7283 */    MCD_OPC_Decode, 128, 9, 99, // Opcode: XSRDPI
-/* 7287 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 7301
-/* 7291 */    MCD_OPC_CheckField, 16, 5, 0, 27, 8, // Skip to: 9372
-/* 7297 */    MCD_OPC_Decode, 134, 9, 99, // Opcode: XSRSQRTEDP
-/* 7301 */    MCD_OPC_FilterValue, 3, 19, 8, // Skip to: 9372
-/* 7305 */    MCD_OPC_CheckField, 16, 5, 0, 13, 8, // Skip to: 9372
-/* 7311 */    MCD_OPC_Decode, 135, 9, 99, // Opcode: XSSQRTDP
-/* 7315 */    MCD_OPC_FilterValue, 5, 45, 0, // Skip to: 7364
-/* 7319 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7322 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7336
-/* 7326 */    MCD_OPC_CheckField, 16, 5, 0, 248, 7, // Skip to: 9372
-/* 7332 */    MCD_OPC_Decode, 236, 8, 99, // Opcode: XSCVDPSXWS
-/* 7336 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7350
-/* 7340 */    MCD_OPC_CheckField, 16, 5, 0, 234, 7, // Skip to: 9372
-/* 7346 */    MCD_OPC_Decode, 132, 9, 99, // Opcode: XSRDPIZ
-/* 7350 */    MCD_OPC_FilterValue, 2, 226, 7, // Skip to: 9372
-/* 7354 */    MCD_OPC_CheckField, 16, 5, 0, 220, 7, // Skip to: 9372
-/* 7360 */    MCD_OPC_Decode, 133, 9, 99, // Opcode: XSREDP
-/* 7364 */    MCD_OPC_FilterValue, 6, 51, 0, // Skip to: 7419
-/* 7368 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7371 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7385
-/* 7375 */    MCD_OPC_CheckField, 16, 5, 0, 199, 7, // Skip to: 9372
-/* 7381 */    MCD_OPC_Decode, 131, 9, 99, // Opcode: XSRDPIP
-/* 7385 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 7405
-/* 7389 */    MCD_OPC_CheckField, 16, 7, 0, 185, 7, // Skip to: 9372
-/* 7395 */    MCD_OPC_CheckField, 0, 1, 0, 179, 7, // Skip to: 9372
-/* 7401 */    MCD_OPC_Decode, 138, 9, 100, // Opcode: XSTSQRTDP
-/* 7405 */    MCD_OPC_FilterValue, 3, 171, 7, // Skip to: 9372
-/* 7409 */    MCD_OPC_CheckField, 16, 5, 0, 165, 7, // Skip to: 9372
-/* 7415 */    MCD_OPC_Decode, 129, 9, 99, // Opcode: XSRDPIC
-/* 7419 */    MCD_OPC_FilterValue, 7, 43, 0, // Skip to: 7466
-/* 7423 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 7426 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 7446
-/* 7430 */    MCD_OPC_CheckField, 16, 5, 0, 144, 7, // Skip to: 9372
-/* 7436 */    MCD_OPC_CheckField, 2, 1, 1, 138, 7, // Skip to: 9372
-/* 7442 */    MCD_OPC_Decode, 130, 9, 99, // Opcode: XSRDPIM
-/* 7446 */    MCD_OPC_FilterValue, 1, 130, 7, // Skip to: 9372
-/* 7450 */    MCD_OPC_CheckField, 21, 2, 0, 124, 7, // Skip to: 9372
-/* 7456 */    MCD_OPC_CheckField, 0, 1, 0, 118, 7, // Skip to: 9372
-/* 7462 */    MCD_OPC_Decode, 137, 9, 97, // Opcode: XSTDIVDP
-/* 7466 */    MCD_OPC_FilterValue, 8, 59, 0, // Skip to: 7529
-/* 7470 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7473 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7487
-/* 7477 */    MCD_OPC_CheckField, 16, 5, 0, 97, 7, // Skip to: 9372
-/* 7483 */    MCD_OPC_Decode, 166, 9, 101, // Opcode: XVCVSPUXWS
-/* 7487 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7501
-/* 7491 */    MCD_OPC_CheckField, 16, 5, 0, 83, 7, // Skip to: 9372
-/* 7497 */    MCD_OPC_Decode, 210, 9, 101, // Opcode: XVRSPI
-/* 7501 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 7515
-/* 7505 */    MCD_OPC_CheckField, 16, 5, 0, 69, 7, // Skip to: 9372
-/* 7511 */    MCD_OPC_Decode, 216, 9, 101, // Opcode: XVRSQRTESP
-/* 7515 */    MCD_OPC_FilterValue, 3, 61, 7, // Skip to: 9372
-/* 7519 */    MCD_OPC_CheckField, 16, 5, 0, 55, 7, // Skip to: 9372
-/* 7525 */    MCD_OPC_Decode, 218, 9, 101, // Opcode: XVSQRTSP
-/* 7529 */    MCD_OPC_FilterValue, 9, 45, 0, // Skip to: 7578
-/* 7533 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7536 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7550
-/* 7540 */    MCD_OPC_CheckField, 16, 5, 0, 34, 7, // Skip to: 9372
-/* 7546 */    MCD_OPC_Decode, 164, 9, 101, // Opcode: XVCVSPSXWS
-/* 7550 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7564
-/* 7554 */    MCD_OPC_CheckField, 16, 5, 0, 20, 7, // Skip to: 9372
-/* 7560 */    MCD_OPC_Decode, 214, 9, 101, // Opcode: XVRSPIZ
-/* 7564 */    MCD_OPC_FilterValue, 2, 12, 7, // Skip to: 9372
-/* 7568 */    MCD_OPC_CheckField, 16, 5, 0, 6, 7, // Skip to: 9372
-/* 7574 */    MCD_OPC_Decode, 209, 9, 101, // Opcode: XVRESP
-/* 7578 */    MCD_OPC_FilterValue, 10, 65, 0, // Skip to: 7647
-/* 7582 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7585 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7599
-/* 7589 */    MCD_OPC_CheckField, 16, 5, 0, 241, 6, // Skip to: 9372
-/* 7595 */    MCD_OPC_Decode, 174, 9, 101, // Opcode: XVCVUXWSP
-/* 7599 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7613
-/* 7603 */    MCD_OPC_CheckField, 16, 5, 0, 227, 6, // Skip to: 9372
-/* 7609 */    MCD_OPC_Decode, 213, 9, 101, // Opcode: XVRSPIP
-/* 7613 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 7633
-/* 7617 */    MCD_OPC_CheckField, 16, 7, 0, 213, 6, // Skip to: 9372
-/* 7623 */    MCD_OPC_CheckField, 0, 1, 0, 207, 6, // Skip to: 9372
-/* 7629 */    MCD_OPC_Decode, 224, 9, 102, // Opcode: XVTSQRTSP
-/* 7633 */    MCD_OPC_FilterValue, 3, 199, 6, // Skip to: 9372
-/* 7637 */    MCD_OPC_CheckField, 16, 5, 0, 193, 6, // Skip to: 9372
-/* 7643 */    MCD_OPC_Decode, 211, 9, 101, // Opcode: XVRSPIC
-/* 7647 */    MCD_OPC_FilterValue, 11, 58, 0, // Skip to: 7709
-/* 7651 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 7654 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 7689
-/* 7658 */    MCD_OPC_ExtractField, 2, 1,  // Inst{2} ...
-/* 7661 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7675
-/* 7665 */    MCD_OPC_CheckField, 16, 5, 0, 165, 6, // Skip to: 9372
-/* 7671 */    MCD_OPC_Decode, 170, 9, 101, // Opcode: XVCVSXWSP
-/* 7675 */    MCD_OPC_FilterValue, 1, 157, 6, // Skip to: 9372
-/* 7679 */    MCD_OPC_CheckField, 16, 5, 0, 151, 6, // Skip to: 9372
-/* 7685 */    MCD_OPC_Decode, 212, 9, 101, // Opcode: XVRSPIM
-/* 7689 */    MCD_OPC_FilterValue, 1, 143, 6, // Skip to: 9372
-/* 7693 */    MCD_OPC_CheckField, 21, 2, 0, 137, 6, // Skip to: 9372
-/* 7699 */    MCD_OPC_CheckField, 0, 1, 0, 131, 6, // Skip to: 9372
-/* 7705 */    MCD_OPC_Decode, 222, 9, 103, // Opcode: XVTDIVSP
-/* 7709 */    MCD_OPC_FilterValue, 12, 59, 0, // Skip to: 7772
-/* 7713 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7716 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7730
-/* 7720 */    MCD_OPC_CheckField, 16, 5, 0, 110, 6, // Skip to: 9372
-/* 7726 */    MCD_OPC_Decode, 161, 9, 101, // Opcode: XVCVDPUXWS
-/* 7730 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7744
-/* 7734 */    MCD_OPC_CheckField, 16, 5, 0, 96, 6, // Skip to: 9372
-/* 7740 */    MCD_OPC_Decode, 203, 9, 101, // Opcode: XVRDPI
-/* 7744 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 7758
-/* 7748 */    MCD_OPC_CheckField, 16, 5, 0, 82, 6, // Skip to: 9372
-/* 7754 */    MCD_OPC_Decode, 215, 9, 101, // Opcode: XVRSQRTEDP
-/* 7758 */    MCD_OPC_FilterValue, 3, 74, 6, // Skip to: 9372
-/* 7762 */    MCD_OPC_CheckField, 16, 5, 0, 68, 6, // Skip to: 9372
-/* 7768 */    MCD_OPC_Decode, 217, 9, 101, // Opcode: XVSQRTDP
-/* 7772 */    MCD_OPC_FilterValue, 13, 45, 0, // Skip to: 7821
-/* 7776 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7779 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7793
-/* 7783 */    MCD_OPC_CheckField, 16, 5, 0, 47, 6, // Skip to: 9372
-/* 7789 */    MCD_OPC_Decode, 159, 9, 101, // Opcode: XVCVDPSXWS
-/* 7793 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7807
-/* 7797 */    MCD_OPC_CheckField, 16, 5, 0, 33, 6, // Skip to: 9372
-/* 7803 */    MCD_OPC_Decode, 207, 9, 101, // Opcode: XVRDPIZ
-/* 7807 */    MCD_OPC_FilterValue, 2, 25, 6, // Skip to: 9372
-/* 7811 */    MCD_OPC_CheckField, 16, 5, 0, 19, 6, // Skip to: 9372
-/* 7817 */    MCD_OPC_Decode, 208, 9, 101, // Opcode: XVREDP
-/* 7821 */    MCD_OPC_FilterValue, 14, 65, 0, // Skip to: 7890
-/* 7825 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7828 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7842
-/* 7832 */    MCD_OPC_CheckField, 16, 5, 0, 254, 5, // Skip to: 9372
-/* 7838 */    MCD_OPC_Decode, 173, 9, 101, // Opcode: XVCVUXWDP
-/* 7842 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7856
-/* 7846 */    MCD_OPC_CheckField, 16, 5, 0, 240, 5, // Skip to: 9372
-/* 7852 */    MCD_OPC_Decode, 206, 9, 101, // Opcode: XVRDPIP
-/* 7856 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 7876
-/* 7860 */    MCD_OPC_CheckField, 16, 7, 0, 226, 5, // Skip to: 9372
-/* 7866 */    MCD_OPC_CheckField, 0, 1, 0, 220, 5, // Skip to: 9372
-/* 7872 */    MCD_OPC_Decode, 223, 9, 102, // Opcode: XVTSQRTDP
-/* 7876 */    MCD_OPC_FilterValue, 3, 212, 5, // Skip to: 9372
-/* 7880 */    MCD_OPC_CheckField, 16, 5, 0, 206, 5, // Skip to: 9372
-/* 7886 */    MCD_OPC_Decode, 204, 9, 101, // Opcode: XVRDPIC
-/* 7890 */    MCD_OPC_FilterValue, 15, 58, 0, // Skip to: 7952
-/* 7894 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
-/* 7897 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 7932
-/* 7901 */    MCD_OPC_ExtractField, 2, 1,  // Inst{2} ...
-/* 7904 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7918
-/* 7908 */    MCD_OPC_CheckField, 16, 5, 0, 178, 5, // Skip to: 9372
-/* 7914 */    MCD_OPC_Decode, 169, 9, 101, // Opcode: XVCVSXWDP
-/* 7918 */    MCD_OPC_FilterValue, 1, 170, 5, // Skip to: 9372
-/* 7922 */    MCD_OPC_CheckField, 16, 5, 0, 164, 5, // Skip to: 9372
-/* 7928 */    MCD_OPC_Decode, 205, 9, 101, // Opcode: XVRDPIM
-/* 7932 */    MCD_OPC_FilterValue, 1, 156, 5, // Skip to: 9372
-/* 7936 */    MCD_OPC_CheckField, 21, 2, 0, 150, 5, // Skip to: 9372
-/* 7942 */    MCD_OPC_CheckField, 0, 1, 0, 144, 5, // Skip to: 9372
-/* 7948 */    MCD_OPC_Decode, 221, 9, 103, // Opcode: XVTDIVDP
-/* 7952 */    MCD_OPC_FilterValue, 16, 16, 0, // Skip to: 7972
-/* 7956 */    MCD_OPC_CheckField, 16, 5, 0, 130, 5, // Skip to: 9372
-/* 7962 */    MCD_OPC_CheckField, 2, 2, 1, 124, 5, // Skip to: 9372
-/* 7968 */    MCD_OPC_Decode, 234, 8, 99, // Opcode: XSCVDPSP
-/* 7972 */    MCD_OPC_FilterValue, 20, 31, 0, // Skip to: 8007
-/* 7976 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 7979 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7993
-/* 7983 */    MCD_OPC_CheckField, 16, 5, 0, 103, 5, // Skip to: 9372
-/* 7989 */    MCD_OPC_Decode, 237, 8, 99, // Opcode: XSCVDPUXDS
-/* 7993 */    MCD_OPC_FilterValue, 1, 95, 5, // Skip to: 9372
-/* 7997 */    MCD_OPC_CheckField, 16, 5, 0, 89, 5, // Skip to: 9372
-/* 8003 */    MCD_OPC_Decode, 239, 8, 99, // Opcode: XSCVSPDP
-/* 8007 */    MCD_OPC_FilterValue, 21, 31, 0, // Skip to: 8042
-/* 8011 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8014 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8028
-/* 8018 */    MCD_OPC_CheckField, 16, 5, 0, 68, 5, // Skip to: 9372
-/* 8024 */    MCD_OPC_Decode, 235, 8, 99, // Opcode: XSCVDPSXDS
-/* 8028 */    MCD_OPC_FilterValue, 1, 60, 5, // Skip to: 9372
-/* 8032 */    MCD_OPC_CheckField, 16, 5, 0, 54, 5, // Skip to: 9372
-/* 8038 */    MCD_OPC_Decode, 229, 8, 99, // Opcode: XSABSDP
-/* 8042 */    MCD_OPC_FilterValue, 22, 31, 0, // Skip to: 8077
-/* 8046 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8049 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8063
-/* 8053 */    MCD_OPC_CheckField, 16, 5, 0, 33, 5, // Skip to: 9372
-/* 8059 */    MCD_OPC_Decode, 241, 8, 99, // Opcode: XSCVUXDDP
-/* 8063 */    MCD_OPC_FilterValue, 1, 25, 5, // Skip to: 9372
-/* 8067 */    MCD_OPC_CheckField, 16, 5, 0, 19, 5, // Skip to: 9372
-/* 8073 */    MCD_OPC_Decode, 250, 8, 99, // Opcode: XSNABSDP
-/* 8077 */    MCD_OPC_FilterValue, 23, 31, 0, // Skip to: 8112
-/* 8081 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8084 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8098
-/* 8088 */    MCD_OPC_CheckField, 16, 5, 0, 254, 4, // Skip to: 9372
-/* 8094 */    MCD_OPC_Decode, 240, 8, 99, // Opcode: XSCVSXDDP
-/* 8098 */    MCD_OPC_FilterValue, 1, 246, 4, // Skip to: 9372
-/* 8102 */    MCD_OPC_CheckField, 16, 5, 0, 240, 4, // Skip to: 9372
-/* 8108 */    MCD_OPC_Decode, 251, 8, 99, // Opcode: XSNEGDP
-/* 8112 */    MCD_OPC_FilterValue, 24, 31, 0, // Skip to: 8147
-/* 8116 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8119 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8133
-/* 8123 */    MCD_OPC_CheckField, 16, 5, 0, 219, 4, // Skip to: 9372
-/* 8129 */    MCD_OPC_Decode, 165, 9, 101, // Opcode: XVCVSPUXDS
-/* 8133 */    MCD_OPC_FilterValue, 1, 211, 4, // Skip to: 9372
-/* 8137 */    MCD_OPC_CheckField, 16, 5, 0, 205, 4, // Skip to: 9372
-/* 8143 */    MCD_OPC_Decode, 157, 9, 101, // Opcode: XVCVDPSP
-/* 8147 */    MCD_OPC_FilterValue, 25, 31, 0, // Skip to: 8182
-/* 8151 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8154 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8168
-/* 8158 */    MCD_OPC_CheckField, 16, 5, 0, 184, 4, // Skip to: 9372
-/* 8164 */    MCD_OPC_Decode, 163, 9, 101, // Opcode: XVCVSPSXDS
-/* 8168 */    MCD_OPC_FilterValue, 1, 176, 4, // Skip to: 9372
-/* 8172 */    MCD_OPC_CheckField, 16, 5, 0, 170, 4, // Skip to: 9372
-/* 8178 */    MCD_OPC_Decode, 140, 9, 101, // Opcode: XVABSSP
-/* 8182 */    MCD_OPC_FilterValue, 26, 31, 0, // Skip to: 8217
-/* 8186 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8189 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8203
-/* 8193 */    MCD_OPC_CheckField, 16, 5, 0, 149, 4, // Skip to: 9372
-/* 8199 */    MCD_OPC_Decode, 172, 9, 101, // Opcode: XVCVUXDSP
-/* 8203 */    MCD_OPC_FilterValue, 1, 141, 4, // Skip to: 9372
-/* 8207 */    MCD_OPC_CheckField, 16, 5, 0, 135, 4, // Skip to: 9372
-/* 8213 */    MCD_OPC_Decode, 192, 9, 101, // Opcode: XVNABSSP
-/* 8217 */    MCD_OPC_FilterValue, 27, 31, 0, // Skip to: 8252
-/* 8221 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8224 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8238
-/* 8228 */    MCD_OPC_CheckField, 16, 5, 0, 114, 4, // Skip to: 9372
-/* 8234 */    MCD_OPC_Decode, 168, 9, 101, // Opcode: XVCVSXDSP
-/* 8238 */    MCD_OPC_FilterValue, 1, 106, 4, // Skip to: 9372
-/* 8242 */    MCD_OPC_CheckField, 16, 5, 0, 100, 4, // Skip to: 9372
-/* 8248 */    MCD_OPC_Decode, 194, 9, 101, // Opcode: XVNEGSP
-/* 8252 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 8287
-/* 8256 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8259 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8273
-/* 8263 */    MCD_OPC_CheckField, 16, 5, 0, 79, 4, // Skip to: 9372
-/* 8269 */    MCD_OPC_Decode, 160, 9, 101, // Opcode: XVCVDPUXDS
-/* 8273 */    MCD_OPC_FilterValue, 1, 71, 4, // Skip to: 9372
-/* 8277 */    MCD_OPC_CheckField, 16, 5, 0, 65, 4, // Skip to: 9372
-/* 8283 */    MCD_OPC_Decode, 162, 9, 101, // Opcode: XVCVSPDP
-/* 8287 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 8322
-/* 8291 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8294 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8308
-/* 8298 */    MCD_OPC_CheckField, 16, 5, 0, 44, 4, // Skip to: 9372
-/* 8304 */    MCD_OPC_Decode, 158, 9, 101, // Opcode: XVCVDPSXDS
-/* 8308 */    MCD_OPC_FilterValue, 1, 36, 4, // Skip to: 9372
-/* 8312 */    MCD_OPC_CheckField, 16, 5, 0, 30, 4, // Skip to: 9372
-/* 8318 */    MCD_OPC_Decode, 139, 9, 101, // Opcode: XVABSDP
-/* 8322 */    MCD_OPC_FilterValue, 30, 31, 0, // Skip to: 8357
-/* 8326 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8329 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8343
-/* 8333 */    MCD_OPC_CheckField, 16, 5, 0, 9, 4, // Skip to: 9372
-/* 8339 */    MCD_OPC_Decode, 171, 9, 101, // Opcode: XVCVUXDDP
-/* 8343 */    MCD_OPC_FilterValue, 1, 1, 4, // Skip to: 9372
-/* 8347 */    MCD_OPC_CheckField, 16, 5, 0, 251, 3, // Skip to: 9372
-/* 8353 */    MCD_OPC_Decode, 191, 9, 101, // Opcode: XVNABSDP
-/* 8357 */    MCD_OPC_FilterValue, 31, 243, 3, // Skip to: 9372
-/* 8361 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
-/* 8364 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8378
-/* 8368 */    MCD_OPC_CheckField, 16, 5, 0, 230, 3, // Skip to: 9372
-/* 8374 */    MCD_OPC_Decode, 167, 9, 101, // Opcode: XVCVSXDDP
-/* 8378 */    MCD_OPC_FilterValue, 1, 222, 3, // Skip to: 9372
-/* 8382 */    MCD_OPC_CheckField, 16, 5, 0, 216, 3, // Skip to: 9372
-/* 8388 */    MCD_OPC_Decode, 193, 9, 101, // Opcode: XVNEGDP
-/* 8392 */    MCD_OPC_FilterValue, 3, 208, 3, // Skip to: 9372
-/* 8396 */    MCD_OPC_Decode, 234, 9, 104, // Opcode: XXSEL
-/* 8400 */    MCD_OPC_FilterValue, 62, 19, 0, // Skip to: 8423
-/* 8404 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
-/* 8407 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 8415
-/* 8411 */    MCD_OPC_Decode, 205, 6, 86, // Opcode: STD
-/* 8415 */    MCD_OPC_FilterValue, 1, 185, 3, // Skip to: 9372
-/* 8419 */    MCD_OPC_Decode, 208, 6, 86, // Opcode: STDU
-/* 8423 */    MCD_OPC_FilterValue, 63, 177, 3, // Skip to: 9372
-/* 8427 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
-/* 8430 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 8450
-/* 8434 */    MCD_OPC_CheckField, 21, 2, 0, 164, 3, // Skip to: 9372
-/* 8440 */    MCD_OPC_CheckField, 6, 5, 0, 158, 3, // Skip to: 9372
-/* 8446 */    MCD_OPC_Decode, 225, 3, 105, // Opcode: FCMPUS
-/* 8450 */    MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 8473
-/* 8454 */    MCD_OPC_ExtractField, 6, 15,  // Inst{20-6} ...
-/* 8457 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 8465
-/* 8461 */    MCD_OPC_Decode, 187, 5, 76, // Opcode: MTFSB1
-/* 8465 */    MCD_OPC_FilterValue, 2, 135, 3, // Skip to: 9372
-/* 8469 */    MCD_OPC_Decode, 186, 5, 76, // Opcode: MTFSB0
-/* 8473 */    MCD_OPC_FilterValue, 14, 37, 0, // Skip to: 8514
-/* 8477 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8480 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 8494
-/* 8484 */    MCD_OPC_CheckField, 11, 10, 0, 114, 3, // Skip to: 9372
-/* 8490 */    MCD_OPC_Decode, 164, 5, 106, // Opcode: MFFS
-/* 8494 */    MCD_OPC_FilterValue, 22, 106, 3, // Skip to: 9372
-/* 8498 */    MCD_OPC_CheckField, 25, 1, 0, 100, 3, // Skip to: 9372
-/* 8504 */    MCD_OPC_CheckField, 16, 1, 0, 94, 3, // Skip to: 9372
-/* 8510 */    MCD_OPC_Decode, 188, 5, 107, // Opcode: MTFSF
-/* 8514 */    MCD_OPC_FilterValue, 16, 123, 0, // Skip to: 8641
-/* 8518 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8521 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 8529
-/* 8525 */    MCD_OPC_Decode, 228, 3, 88, // Opcode: FCPSGNS
-/* 8529 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8543
-/* 8533 */    MCD_OPC_CheckField, 16, 5, 0, 65, 3, // Skip to: 9372
-/* 8539 */    MCD_OPC_Decode, 138, 4, 89, // Opcode: FNEGS
-/* 8543 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 8557
-/* 8547 */    MCD_OPC_CheckField, 16, 5, 0, 51, 3, // Skip to: 9372
-/* 8553 */    MCD_OPC_Decode, 250, 3, 89, // Opcode: FMR
-/* 8557 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 8571
-/* 8561 */    MCD_OPC_CheckField, 16, 5, 0, 37, 3, // Skip to: 9372
-/* 8567 */    MCD_OPC_Decode, 134, 4, 89, // Opcode: FNABSS
-/* 8571 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 8585
-/* 8575 */    MCD_OPC_CheckField, 16, 5, 0, 23, 3, // Skip to: 9372
-/* 8581 */    MCD_OPC_Decode, 209, 3, 89, // Opcode: FABSS
-/* 8585 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 8599
-/* 8589 */    MCD_OPC_CheckField, 16, 5, 0, 9, 3, // Skip to: 9372
-/* 8595 */    MCD_OPC_Decode, 158, 4, 89, // Opcode: FRINS
-/* 8599 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 8613
-/* 8603 */    MCD_OPC_CheckField, 16, 5, 0, 251, 2, // Skip to: 9372
-/* 8609 */    MCD_OPC_Decode, 166, 4, 89, // Opcode: FRIZS
-/* 8613 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 8627
-/* 8617 */    MCD_OPC_CheckField, 16, 5, 0, 237, 2, // Skip to: 9372
-/* 8623 */    MCD_OPC_Decode, 162, 4, 89, // Opcode: FRIPS
-/* 8627 */    MCD_OPC_FilterValue, 15, 229, 2, // Skip to: 9372
-/* 8631 */    MCD_OPC_CheckField, 16, 5, 0, 223, 2, // Skip to: 9372
-/* 8637 */    MCD_OPC_Decode, 154, 4, 89, // Opcode: FRIMS
-/* 8641 */    MCD_OPC_FilterValue, 17, 123, 0, // Skip to: 8768
-/* 8645 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8648 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 8656
-/* 8652 */    MCD_OPC_Decode, 229, 3, 88, // Opcode: FCPSGNSo
-/* 8656 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8670
-/* 8660 */    MCD_OPC_CheckField, 16, 5, 0, 194, 2, // Skip to: 9372
-/* 8666 */    MCD_OPC_Decode, 139, 4, 89, // Opcode: FNEGSo
-/* 8670 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 8684
-/* 8674 */    MCD_OPC_CheckField, 16, 5, 0, 180, 2, // Skip to: 9372
-/* 8680 */    MCD_OPC_Decode, 251, 3, 89, // Opcode: FMRo
-/* 8684 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 8698
-/* 8688 */    MCD_OPC_CheckField, 16, 5, 0, 166, 2, // Skip to: 9372
-/* 8694 */    MCD_OPC_Decode, 135, 4, 89, // Opcode: FNABSSo
-/* 8698 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 8712
-/* 8702 */    MCD_OPC_CheckField, 16, 5, 0, 152, 2, // Skip to: 9372
-/* 8708 */    MCD_OPC_Decode, 210, 3, 89, // Opcode: FABSSo
-/* 8712 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 8726
-/* 8716 */    MCD_OPC_CheckField, 16, 5, 0, 138, 2, // Skip to: 9372
-/* 8722 */    MCD_OPC_Decode, 159, 4, 89, // Opcode: FRINSo
-/* 8726 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 8740
-/* 8730 */    MCD_OPC_CheckField, 16, 5, 0, 124, 2, // Skip to: 9372
-/* 8736 */    MCD_OPC_Decode, 167, 4, 89, // Opcode: FRIZSo
-/* 8740 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 8754
-/* 8744 */    MCD_OPC_CheckField, 16, 5, 0, 110, 2, // Skip to: 9372
-/* 8750 */    MCD_OPC_Decode, 163, 4, 89, // Opcode: FRIPSo
-/* 8754 */    MCD_OPC_FilterValue, 15, 102, 2, // Skip to: 9372
-/* 8758 */    MCD_OPC_CheckField, 16, 5, 0, 96, 2, // Skip to: 9372
-/* 8764 */    MCD_OPC_Decode, 155, 4, 89, // Opcode: FRIMSo
-/* 8768 */    MCD_OPC_FilterValue, 24, 16, 0, // Skip to: 8788
-/* 8772 */    MCD_OPC_CheckField, 16, 5, 0, 82, 2, // Skip to: 9372
-/* 8778 */    MCD_OPC_CheckField, 6, 5, 0, 76, 2, // Skip to: 9372
-/* 8784 */    MCD_OPC_Decode, 168, 4, 87, // Opcode: FRSP
-/* 8788 */    MCD_OPC_FilterValue, 25, 16, 0, // Skip to: 8808
-/* 8792 */    MCD_OPC_CheckField, 16, 5, 0, 62, 2, // Skip to: 9372
-/* 8798 */    MCD_OPC_CheckField, 6, 5, 0, 56, 2, // Skip to: 9372
-/* 8804 */    MCD_OPC_Decode, 169, 4, 87, // Opcode: FRSPo
-/* 8808 */    MCD_OPC_FilterValue, 28, 59, 0, // Skip to: 8871
-/* 8812 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8815 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8829
-/* 8819 */    MCD_OPC_CheckField, 16, 5, 0, 35, 2, // Skip to: 9372
-/* 8825 */    MCD_OPC_Decode, 236, 3, 108, // Opcode: FCTIW
-/* 8829 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 8843
-/* 8833 */    MCD_OPC_CheckField, 16, 5, 0, 21, 2, // Skip to: 9372
-/* 8839 */    MCD_OPC_Decode, 230, 3, 108, // Opcode: FCTID
-/* 8843 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 8857
-/* 8847 */    MCD_OPC_CheckField, 16, 5, 0, 7, 2, // Skip to: 9372
-/* 8853 */    MCD_OPC_Decode, 216, 3, 108, // Opcode: FCFID
-/* 8857 */    MCD_OPC_FilterValue, 30, 255, 1, // Skip to: 9372
-/* 8861 */    MCD_OPC_CheckField, 16, 5, 0, 249, 1, // Skip to: 9372
-/* 8867 */    MCD_OPC_Decode, 219, 3, 108, // Opcode: FCFIDU
-/* 8871 */    MCD_OPC_FilterValue, 29, 59, 0, // Skip to: 8934
-/* 8875 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8878 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8892
-/* 8882 */    MCD_OPC_CheckField, 16, 5, 0, 228, 1, // Skip to: 9372
-/* 8888 */    MCD_OPC_Decode, 241, 3, 108, // Opcode: FCTIWo
-/* 8892 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 8906
-/* 8896 */    MCD_OPC_CheckField, 16, 5, 0, 214, 1, // Skip to: 9372
-/* 8902 */    MCD_OPC_Decode, 235, 3, 108, // Opcode: FCTIDo
-/* 8906 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 8920
-/* 8910 */    MCD_OPC_CheckField, 16, 5, 0, 200, 1, // Skip to: 9372
-/* 8916 */    MCD_OPC_Decode, 223, 3, 108, // Opcode: FCFIDo
-/* 8920 */    MCD_OPC_FilterValue, 30, 192, 1, // Skip to: 9372
-/* 8924 */    MCD_OPC_CheckField, 16, 5, 0, 186, 1, // Skip to: 9372
-/* 8930 */    MCD_OPC_Decode, 222, 3, 108, // Opcode: FCFIDUo
-/* 8934 */    MCD_OPC_FilterValue, 30, 59, 0, // Skip to: 8997
-/* 8938 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 8941 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8955
-/* 8945 */    MCD_OPC_CheckField, 16, 5, 0, 165, 1, // Skip to: 9372
-/* 8951 */    MCD_OPC_Decode, 239, 3, 108, // Opcode: FCTIWZ
-/* 8955 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 8969
-/* 8959 */    MCD_OPC_CheckField, 16, 5, 0, 151, 1, // Skip to: 9372
-/* 8965 */    MCD_OPC_Decode, 237, 3, 108, // Opcode: FCTIWUZ
-/* 8969 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 8983
-/* 8973 */    MCD_OPC_CheckField, 16, 5, 0, 137, 1, // Skip to: 9372
-/* 8979 */    MCD_OPC_Decode, 233, 3, 108, // Opcode: FCTIDZ
-/* 8983 */    MCD_OPC_FilterValue, 29, 129, 1, // Skip to: 9372
-/* 8987 */    MCD_OPC_CheckField, 16, 5, 0, 123, 1, // Skip to: 9372
-/* 8993 */    MCD_OPC_Decode, 231, 3, 108, // Opcode: FCTIDUZ
-/* 8997 */    MCD_OPC_FilterValue, 31, 59, 0, // Skip to: 9060
-/* 9001 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
-/* 9004 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 9018
-/* 9008 */    MCD_OPC_CheckField, 16, 5, 0, 102, 1, // Skip to: 9372
-/* 9014 */    MCD_OPC_Decode, 240, 3, 108, // Opcode: FCTIWZo
-/* 9018 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 9032
-/* 9022 */    MCD_OPC_CheckField, 16, 5, 0, 88, 1, // Skip to: 9372
-/* 9028 */    MCD_OPC_Decode, 238, 3, 108, // Opcode: FCTIWUZo
-/* 9032 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 9046
-/* 9036 */    MCD_OPC_CheckField, 16, 5, 0, 74, 1, // Skip to: 9372
-/* 9042 */    MCD_OPC_Decode, 234, 3, 108, // Opcode: FCTIDZo
-/* 9046 */    MCD_OPC_FilterValue, 29, 66, 1, // Skip to: 9372
-/* 9050 */    MCD_OPC_CheckField, 16, 5, 0, 60, 1, // Skip to: 9372
-/* 9056 */    MCD_OPC_Decode, 232, 3, 108, // Opcode: FCTIDUZo
-/* 9060 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 9074
-/* 9064 */    MCD_OPC_CheckField, 6, 5, 0, 46, 1, // Skip to: 9372
-/* 9070 */    MCD_OPC_Decode, 242, 3, 109, // Opcode: FDIV
-/* 9074 */    MCD_OPC_FilterValue, 37, 10, 0, // Skip to: 9088
-/* 9078 */    MCD_OPC_CheckField, 6, 5, 0, 32, 1, // Skip to: 9372
-/* 9084 */    MCD_OPC_Decode, 245, 3, 109, // Opcode: FDIVo
-/* 9088 */    MCD_OPC_FilterValue, 40, 10, 0, // Skip to: 9102
-/* 9092 */    MCD_OPC_CheckField, 6, 5, 0, 18, 1, // Skip to: 9372
-/* 9098 */    MCD_OPC_Decode, 182, 4, 109, // Opcode: FSUB
-/* 9102 */    MCD_OPC_FilterValue, 41, 10, 0, // Skip to: 9116
-/* 9106 */    MCD_OPC_CheckField, 6, 5, 0, 4, 1, // Skip to: 9372
-/* 9112 */    MCD_OPC_Decode, 185, 4, 109, // Opcode: FSUBo
-/* 9116 */    MCD_OPC_FilterValue, 42, 10, 0, // Skip to: 9130
-/* 9120 */    MCD_OPC_CheckField, 6, 5, 0, 246, 0, // Skip to: 9372
-/* 9126 */    MCD_OPC_Decode, 211, 3, 109, // Opcode: FADD
-/* 9130 */    MCD_OPC_FilterValue, 43, 10, 0, // Skip to: 9144
-/* 9134 */    MCD_OPC_CheckField, 6, 5, 0, 232, 0, // Skip to: 9372
-/* 9140 */    MCD_OPC_Decode, 214, 3, 109, // Opcode: FADDo
-/* 9144 */    MCD_OPC_FilterValue, 44, 16, 0, // Skip to: 9164
-/* 9148 */    MCD_OPC_CheckField, 16, 5, 0, 218, 0, // Skip to: 9372
-/* 9154 */    MCD_OPC_CheckField, 6, 5, 0, 212, 0, // Skip to: 9372
-/* 9160 */    MCD_OPC_Decode, 178, 4, 108, // Opcode: FSQRT
-/* 9164 */    MCD_OPC_FilterValue, 45, 16, 0, // Skip to: 9184
-/* 9168 */    MCD_OPC_CheckField, 16, 5, 0, 198, 0, // Skip to: 9372
-/* 9174 */    MCD_OPC_CheckField, 6, 5, 0, 192, 0, // Skip to: 9372
-/* 9180 */    MCD_OPC_Decode, 181, 4, 108, // Opcode: FSQRTo
-/* 9184 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 9192
-/* 9188 */    MCD_OPC_Decode, 176, 4, 110, // Opcode: FSELS
-/* 9192 */    MCD_OPC_FilterValue, 47, 4, 0, // Skip to: 9200
-/* 9196 */    MCD_OPC_Decode, 177, 4, 110, // Opcode: FSELSo
-/* 9200 */    MCD_OPC_FilterValue, 48, 16, 0, // Skip to: 9220
-/* 9204 */    MCD_OPC_CheckField, 16, 5, 0, 162, 0, // Skip to: 9372
-/* 9210 */    MCD_OPC_CheckField, 6, 5, 0, 156, 0, // Skip to: 9372
-/* 9216 */    MCD_OPC_Decode, 148, 4, 108, // Opcode: FRE
-/* 9220 */    MCD_OPC_FilterValue, 49, 16, 0, // Skip to: 9240
-/* 9224 */    MCD_OPC_CheckField, 16, 5, 0, 142, 0, // Skip to: 9372
-/* 9230 */    MCD_OPC_CheckField, 6, 5, 0, 136, 0, // Skip to: 9372
-/* 9236 */    MCD_OPC_Decode, 151, 4, 108, // Opcode: FREo
-/* 9240 */    MCD_OPC_FilterValue, 50, 10, 0, // Skip to: 9254
-/* 9244 */    MCD_OPC_CheckField, 11, 5, 0, 122, 0, // Skip to: 9372
-/* 9250 */    MCD_OPC_Decode, 128, 4, 111, // Opcode: FMUL
-/* 9254 */    MCD_OPC_FilterValue, 51, 10, 0, // Skip to: 9268
-/* 9258 */    MCD_OPC_CheckField, 11, 5, 0, 108, 0, // Skip to: 9372
-/* 9264 */    MCD_OPC_Decode, 131, 4, 111, // Opcode: FMULo
-/* 9268 */    MCD_OPC_FilterValue, 52, 16, 0, // Skip to: 9288
-/* 9272 */    MCD_OPC_CheckField, 16, 5, 0, 94, 0, // Skip to: 9372
-/* 9278 */    MCD_OPC_CheckField, 6, 5, 0, 88, 0, // Skip to: 9372
-/* 9284 */    MCD_OPC_Decode, 170, 4, 108, // Opcode: FRSQRTE
-/* 9288 */    MCD_OPC_FilterValue, 53, 16, 0, // Skip to: 9308
-/* 9292 */    MCD_OPC_CheckField, 16, 5, 0, 74, 0, // Skip to: 9372
-/* 9298 */    MCD_OPC_CheckField, 6, 5, 0, 68, 0, // Skip to: 9372
-/* 9304 */    MCD_OPC_Decode, 173, 4, 108, // Opcode: FRSQRTEo
-/* 9308 */    MCD_OPC_FilterValue, 56, 4, 0, // Skip to: 9316
-/* 9312 */    MCD_OPC_Decode, 252, 3, 112, // Opcode: FMSUB
-/* 9316 */    MCD_OPC_FilterValue, 57, 4, 0, // Skip to: 9324
-/* 9320 */    MCD_OPC_Decode, 255, 3, 112, // Opcode: FMSUBo
-/* 9324 */    MCD_OPC_FilterValue, 58, 4, 0, // Skip to: 9332
-/* 9328 */    MCD_OPC_Decode, 246, 3, 112, // Opcode: FMADD
-/* 9332 */    MCD_OPC_FilterValue, 59, 4, 0, // Skip to: 9340
-/* 9336 */    MCD_OPC_Decode, 249, 3, 112, // Opcode: FMADDo
-/* 9340 */    MCD_OPC_FilterValue, 60, 4, 0, // Skip to: 9348
-/* 9344 */    MCD_OPC_Decode, 144, 4, 112, // Opcode: FNMSUB
-/* 9348 */    MCD_OPC_FilterValue, 61, 4, 0, // Skip to: 9356
-/* 9352 */    MCD_OPC_Decode, 147, 4, 112, // Opcode: FNMSUBo
-/* 9356 */    MCD_OPC_FilterValue, 62, 4, 0, // Skip to: 9364
-/* 9360 */    MCD_OPC_Decode, 140, 4, 112, // Opcode: FNMADD
-/* 9364 */    MCD_OPC_FilterValue, 63, 4, 0, // Skip to: 9372
-/* 9368 */    MCD_OPC_Decode, 143, 4, 112, // Opcode: FNMADDo
-/* 9372 */    MCD_OPC_Fail,
+/* 5157 */    MCD_OPC_Decode, 137, 2, 66, // Opcode: DSTST
+/* 5161 */    MCD_OPC_FilterValue, 4, 200, 18, // Skip to: 9973
+/* 5165 */    MCD_OPC_Decode, 139, 2, 66, // Opcode: DSTSTT
+/* 5169 */    MCD_OPC_FilterValue, 2, 192, 18, // Skip to: 9973
+/* 5173 */    MCD_OPC_Decode, 254, 4, 64, // Opcode: LHAUX
+/* 5177 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 5191
+/* 5181 */    MCD_OPC_CheckField, 0, 2, 2, 178, 18, // Skip to: 9973
+/* 5187 */    MCD_OPC_Decode, 184, 8, 57, // Opcode: STHX
+/* 5191 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 5205
+/* 5195 */    MCD_OPC_CheckField, 0, 2, 2, 164, 18, // Skip to: 9973
+/* 5201 */    MCD_OPC_Decode, 182, 8, 65, // Opcode: STHUX
+/* 5205 */    MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 5225
+/* 5209 */    MCD_OPC_CheckField, 21, 5, 0, 150, 18, // Skip to: 9973
+/* 5215 */    MCD_OPC_CheckField, 0, 2, 0, 144, 18, // Skip to: 9973
+/* 5221 */    MCD_OPC_Decode, 246, 1, 63, // Opcode: DCBI
+/* 5225 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 5248
+/* 5229 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5232 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5240
+/* 5236 */    MCD_OPC_Decode, 160, 5, 57, // Opcode: LWBRX
+/* 5240 */    MCD_OPC_FilterValue, 2, 121, 18, // Skip to: 9973
+/* 5244 */    MCD_OPC_Decode, 249, 4, 67, // Opcode: LFSX
+/* 5248 */    MCD_OPC_FilterValue, 17, 25, 0, // Skip to: 5277
+/* 5252 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5255 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5269
+/* 5259 */    MCD_OPC_CheckField, 11, 15, 0, 100, 18, // Skip to: 9973
+/* 5265 */    MCD_OPC_Decode, 131, 9, 0, // Opcode: TLBSYNC
+/* 5269 */    MCD_OPC_FilterValue, 2, 92, 18, // Skip to: 9973
+/* 5273 */    MCD_OPC_Decode, 248, 4, 68, // Opcode: LFSUX
+/* 5277 */    MCD_OPC_FilterValue, 18, 31, 0, // Skip to: 5312
+/* 5281 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5284 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5304
+/* 5288 */    MCD_OPC_CheckField, 23, 3, 0, 71, 18, // Skip to: 9973
+/* 5294 */    MCD_OPC_CheckField, 11, 10, 0, 65, 18, // Skip to: 9973
+/* 5300 */    MCD_OPC_Decode, 233, 8, 69, // Opcode: SYNC
+/* 5304 */    MCD_OPC_FilterValue, 2, 57, 18, // Skip to: 9973
+/* 5308 */    MCD_OPC_Decode, 243, 4, 70, // Opcode: LFDX
+/* 5312 */    MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 5326
+/* 5316 */    MCD_OPC_CheckField, 0, 2, 2, 43, 18, // Skip to: 9973
+/* 5322 */    MCD_OPC_Decode, 242, 4, 71, // Opcode: LFDUX
+/* 5326 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 5349
+/* 5330 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5333 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5341
+/* 5337 */    MCD_OPC_Decode, 195, 8, 57, // Opcode: STWBRX
+/* 5341 */    MCD_OPC_FilterValue, 2, 20, 18, // Skip to: 9973
+/* 5345 */    MCD_OPC_Decode, 175, 8, 67, // Opcode: STFSX
+/* 5349 */    MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 5363
+/* 5353 */    MCD_OPC_CheckField, 0, 2, 2, 6, 18, // Skip to: 9973
+/* 5359 */    MCD_OPC_Decode, 174, 8, 72, // Opcode: STFSUX
+/* 5363 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 5377
+/* 5367 */    MCD_OPC_CheckField, 0, 2, 2, 248, 17, // Skip to: 9973
+/* 5373 */    MCD_OPC_Decode, 170, 8, 70, // Opcode: STFDX
+/* 5377 */    MCD_OPC_FilterValue, 23, 25, 0, // Skip to: 5406
+/* 5381 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5384 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5398
+/* 5388 */    MCD_OPC_CheckField, 21, 5, 0, 227, 17, // Skip to: 9973
+/* 5394 */    MCD_OPC_Decode, 244, 1, 63, // Opcode: DCBA
+/* 5398 */    MCD_OPC_FilterValue, 2, 219, 17, // Skip to: 9973
+/* 5402 */    MCD_OPC_Decode, 169, 8, 73, // Opcode: STFDUX
+/* 5406 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 5420
+/* 5410 */    MCD_OPC_CheckField, 0, 2, 0, 205, 17, // Skip to: 9973
+/* 5416 */    MCD_OPC_Decode, 130, 5, 57, // Opcode: LHBRX
+/* 5420 */    MCD_OPC_FilterValue, 25, 43, 0, // Skip to: 5467
+/* 5424 */    MCD_OPC_ExtractField, 23, 3,  // Inst{25-23} ...
+/* 5427 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5447
+/* 5431 */    MCD_OPC_CheckField, 11, 10, 0, 184, 17, // Skip to: 9973
+/* 5437 */    MCD_OPC_CheckField, 0, 2, 0, 178, 17, // Skip to: 9973
+/* 5443 */    MCD_OPC_Decode, 133, 2, 74, // Opcode: DSS
+/* 5447 */    MCD_OPC_FilterValue, 4, 170, 17, // Skip to: 9973
+/* 5451 */    MCD_OPC_CheckField, 11, 12, 0, 164, 17, // Skip to: 9973
+/* 5457 */    MCD_OPC_CheckField, 0, 2, 0, 158, 17, // Skip to: 9973
+/* 5463 */    MCD_OPC_Decode, 134, 2, 0, // Opcode: DSSALL
+/* 5467 */    MCD_OPC_FilterValue, 26, 41, 0, // Skip to: 5512
+/* 5471 */    MCD_OPC_ExtractField, 1, 1,  // Inst{1} ...
+/* 5474 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 5498
+/* 5478 */    MCD_OPC_CheckField, 11, 15, 0, 10, 0, // Skip to: 5494
+/* 5484 */    MCD_OPC_CheckField, 0, 1, 0, 4, 0, // Skip to: 5494
+/* 5490 */    MCD_OPC_Decode, 219, 3, 0, // Opcode: EnforceIEIO
+/* 5494 */    MCD_OPC_Decode, 176, 5, 75, // Opcode: MBAR
+/* 5498 */    MCD_OPC_FilterValue, 1, 119, 17, // Skip to: 9973
+/* 5502 */    MCD_OPC_CheckField, 0, 1, 0, 113, 17, // Skip to: 9973
+/* 5508 */    MCD_OPC_Decode, 244, 4, 70, // Opcode: LFIWAX
+/* 5512 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 5526
+/* 5516 */    MCD_OPC_CheckField, 0, 2, 2, 99, 17, // Skip to: 9973
+/* 5522 */    MCD_OPC_Decode, 245, 4, 70, // Opcode: LFIWZX
+/* 5526 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 5540
+/* 5530 */    MCD_OPC_CheckField, 0, 2, 0, 85, 17, // Skip to: 9973
+/* 5536 */    MCD_OPC_Decode, 178, 8, 57, // Opcode: STHBRX
+/* 5540 */    MCD_OPC_FilterValue, 30, 25, 0, // Skip to: 5569
+/* 5544 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5547 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5561
+/* 5551 */    MCD_OPC_CheckField, 21, 5, 0, 64, 17, // Skip to: 9973
+/* 5557 */    MCD_OPC_Decode, 203, 4, 63, // Opcode: ICBI
+/* 5561 */    MCD_OPC_FilterValue, 2, 56, 17, // Skip to: 9973
+/* 5565 */    MCD_OPC_Decode, 171, 8, 70, // Opcode: STFIWX
+/* 5569 */    MCD_OPC_FilterValue, 31, 48, 17, // Skip to: 9973
+/* 5573 */    MCD_OPC_ExtractField, 21, 5,  // Inst{25-21} ...
+/* 5576 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5590
+/* 5580 */    MCD_OPC_CheckField, 0, 2, 0, 35, 17, // Skip to: 9973
+/* 5586 */    MCD_OPC_Decode, 250, 1, 63, // Opcode: DCBZ
+/* 5590 */    MCD_OPC_FilterValue, 1, 27, 17, // Skip to: 9973
+/* 5594 */    MCD_OPC_CheckField, 0, 2, 0, 21, 17, // Skip to: 9973
+/* 5600 */    MCD_OPC_Decode, 251, 1, 63, // Opcode: DCBZL
+/* 5604 */    MCD_OPC_FilterValue, 12, 95, 0, // Skip to: 5703
+/* 5608 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 5611 */    MCD_OPC_FilterValue, 0, 19, 0, // Skip to: 5634
+/* 5615 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5618 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5626
+/* 5622 */    MCD_OPC_Decode, 252, 7, 76, // Opcode: SLW
+/* 5626 */    MCD_OPC_FilterValue, 1, 247, 16, // Skip to: 9973
+/* 5630 */    MCD_OPC_Decode, 129, 8, 76, // Opcode: SLWo
+/* 5634 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 5657
+/* 5638 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5641 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5649
+/* 5645 */    MCD_OPC_Decode, 145, 8, 76, // Opcode: SRW
+/* 5649 */    MCD_OPC_FilterValue, 1, 224, 16, // Skip to: 9973
+/* 5653 */    MCD_OPC_Decode, 150, 8, 76, // Opcode: SRWo
+/* 5657 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 5680
+/* 5661 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5664 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5672
+/* 5668 */    MCD_OPC_Decode, 137, 8, 76, // Opcode: SRAW
+/* 5672 */    MCD_OPC_FilterValue, 1, 201, 16, // Skip to: 9973
+/* 5676 */    MCD_OPC_Decode, 140, 8, 76, // Opcode: SRAWo
+/* 5680 */    MCD_OPC_FilterValue, 25, 193, 16, // Skip to: 9973
+/* 5684 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5687 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5695
+/* 5691 */    MCD_OPC_Decode, 138, 8, 77, // Opcode: SRAWI
+/* 5695 */    MCD_OPC_FilterValue, 1, 178, 16, // Skip to: 9973
+/* 5699 */    MCD_OPC_Decode, 139, 8, 77, // Opcode: SRAWIo
+/* 5703 */    MCD_OPC_FilterValue, 13, 47, 1, // Skip to: 6010
+/* 5707 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 5710 */    MCD_OPC_FilterValue, 0, 47, 0, // Skip to: 5761
+/* 5714 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5717 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5731
+/* 5721 */    MCD_OPC_CheckField, 11, 5, 0, 150, 16, // Skip to: 9973
+/* 5727 */    MCD_OPC_Decode, 228, 1, 78, // Opcode: CNTLZW
+/* 5731 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 5745
+/* 5735 */    MCD_OPC_CheckField, 11, 5, 0, 136, 16, // Skip to: 9973
+/* 5741 */    MCD_OPC_Decode, 231, 1, 78, // Opcode: CNTLZWo
+/* 5745 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 5753
+/* 5749 */    MCD_OPC_Decode, 248, 7, 79, // Opcode: SLD
+/* 5753 */    MCD_OPC_FilterValue, 3, 120, 16, // Skip to: 9973
+/* 5757 */    MCD_OPC_Decode, 251, 7, 79, // Opcode: SLDo
+/* 5761 */    MCD_OPC_FilterValue, 1, 31, 0, // Skip to: 5796
+/* 5765 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5768 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5782
+/* 5772 */    MCD_OPC_CheckField, 11, 5, 0, 99, 16, // Skip to: 9973
+/* 5778 */    MCD_OPC_Decode, 226, 1, 80, // Opcode: CNTLZD
+/* 5782 */    MCD_OPC_FilterValue, 1, 91, 16, // Skip to: 9973
+/* 5786 */    MCD_OPC_CheckField, 11, 5, 0, 85, 16, // Skip to: 9973
+/* 5792 */    MCD_OPC_Decode, 227, 1, 80, // Opcode: CNTLZDo
+/* 5796 */    MCD_OPC_FilterValue, 11, 16, 0, // Skip to: 5816
+/* 5800 */    MCD_OPC_CheckField, 11, 5, 0, 71, 16, // Skip to: 9973
+/* 5806 */    MCD_OPC_CheckField, 0, 2, 0, 65, 16, // Skip to: 9973
+/* 5812 */    MCD_OPC_Decode, 143, 6, 78, // Opcode: POPCNTW
+/* 5816 */    MCD_OPC_FilterValue, 15, 16, 0, // Skip to: 5836
+/* 5820 */    MCD_OPC_CheckField, 11, 5, 0, 51, 16, // Skip to: 9973
+/* 5826 */    MCD_OPC_CheckField, 0, 2, 0, 45, 16, // Skip to: 9973
+/* 5832 */    MCD_OPC_Decode, 142, 6, 80, // Opcode: POPCNTD
+/* 5836 */    MCD_OPC_FilterValue, 16, 19, 0, // Skip to: 5859
+/* 5840 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5843 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 5851
+/* 5847 */    MCD_OPC_Decode, 141, 8, 79, // Opcode: SRD
+/* 5851 */    MCD_OPC_FilterValue, 3, 22, 16, // Skip to: 9973
+/* 5855 */    MCD_OPC_Decode, 144, 8, 79, // Opcode: SRDo
+/* 5859 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 5882
+/* 5863 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5866 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5874
+/* 5870 */    MCD_OPC_Decode, 133, 8, 79, // Opcode: SRAD
+/* 5874 */    MCD_OPC_FilterValue, 1, 255, 15, // Skip to: 9973
+/* 5878 */    MCD_OPC_Decode, 136, 8, 79, // Opcode: SRADo
+/* 5882 */    MCD_OPC_FilterValue, 25, 19, 0, // Skip to: 5905
+/* 5886 */    MCD_OPC_ExtractField, 0, 1,  // Inst{0} ...
+/* 5889 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 5897
+/* 5893 */    MCD_OPC_Decode, 134, 8, 81, // Opcode: SRADI
+/* 5897 */    MCD_OPC_FilterValue, 1, 232, 15, // Skip to: 9973
+/* 5901 */    MCD_OPC_Decode, 135, 8, 81, // Opcode: SRADIo
+/* 5905 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 5940
+/* 5909 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5912 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5926
+/* 5916 */    MCD_OPC_CheckField, 11, 5, 0, 211, 15, // Skip to: 9973
+/* 5922 */    MCD_OPC_Decode, 210, 3, 78, // Opcode: EXTSH
+/* 5926 */    MCD_OPC_FilterValue, 1, 203, 15, // Skip to: 9973
+/* 5930 */    MCD_OPC_CheckField, 11, 5, 0, 197, 15, // Skip to: 9973
+/* 5936 */    MCD_OPC_Decode, 214, 3, 78, // Opcode: EXTSHo
+/* 5940 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 5975
+/* 5944 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5947 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5961
+/* 5951 */    MCD_OPC_CheckField, 11, 5, 0, 176, 15, // Skip to: 9973
+/* 5957 */    MCD_OPC_Decode, 205, 3, 78, // Opcode: EXTSB
+/* 5961 */    MCD_OPC_FilterValue, 1, 168, 15, // Skip to: 9973
+/* 5965 */    MCD_OPC_CheckField, 11, 5, 0, 162, 15, // Skip to: 9973
+/* 5971 */    MCD_OPC_Decode, 209, 3, 78, // Opcode: EXTSBo
+/* 5975 */    MCD_OPC_FilterValue, 30, 154, 15, // Skip to: 9973
+/* 5979 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 5982 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5996
+/* 5986 */    MCD_OPC_CheckField, 11, 5, 0, 141, 15, // Skip to: 9973
+/* 5992 */    MCD_OPC_Decode, 215, 3, 80, // Opcode: EXTSW
+/* 5996 */    MCD_OPC_FilterValue, 1, 133, 15, // Skip to: 9973
+/* 6000 */    MCD_OPC_CheckField, 11, 5, 0, 127, 15, // Skip to: 9973
+/* 6006 */    MCD_OPC_Decode, 218, 3, 80, // Opcode: EXTSWo
+/* 6010 */    MCD_OPC_FilterValue, 14, 197, 0, // Skip to: 6211
+/* 6014 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 6017 */    MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 6038
+/* 6021 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6024 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 6031
+/* 6028 */    MCD_OPC_Decode, 71, 76, // Opcode: AND
+/* 6031 */    MCD_OPC_FilterValue, 1, 98, 15, // Skip to: 9973
+/* 6035 */    MCD_OPC_Decode, 86, 76, // Opcode: ANDo
+/* 6038 */    MCD_OPC_FilterValue, 1, 17, 0, // Skip to: 6059
+/* 6042 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6045 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 6052
+/* 6049 */    MCD_OPC_Decode, 74, 76, // Opcode: ANDC
+/* 6052 */    MCD_OPC_FilterValue, 1, 77, 15, // Skip to: 9973
+/* 6056 */    MCD_OPC_Decode, 77, 76, // Opcode: ANDCo
+/* 6059 */    MCD_OPC_FilterValue, 3, 19, 0, // Skip to: 6082
+/* 6063 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6066 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6074
+/* 6070 */    MCD_OPC_Decode, 254, 5, 76, // Opcode: NOR
+/* 6074 */    MCD_OPC_FilterValue, 1, 55, 15, // Skip to: 9973
+/* 6078 */    MCD_OPC_Decode, 129, 6, 76, // Opcode: NORo
+/* 6082 */    MCD_OPC_FilterValue, 8, 19, 0, // Skip to: 6105
+/* 6086 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6089 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6097
+/* 6093 */    MCD_OPC_Decode, 150, 2, 76, // Opcode: EQV
+/* 6097 */    MCD_OPC_FilterValue, 1, 32, 15, // Skip to: 9973
+/* 6101 */    MCD_OPC_Decode, 153, 2, 76, // Opcode: EQVo
+/* 6105 */    MCD_OPC_FilterValue, 9, 19, 0, // Skip to: 6128
+/* 6109 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6112 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6120
+/* 6116 */    MCD_OPC_Decode, 211, 10, 76, // Opcode: XOR
+/* 6120 */    MCD_OPC_FilterValue, 1, 9, 15, // Skip to: 9973
+/* 6124 */    MCD_OPC_Decode, 218, 10, 76, // Opcode: XORo
+/* 6128 */    MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 6151
+/* 6132 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6135 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6143
+/* 6139 */    MCD_OPC_Decode, 133, 6, 76, // Opcode: ORC
+/* 6143 */    MCD_OPC_FilterValue, 1, 242, 14, // Skip to: 9973
+/* 6147 */    MCD_OPC_Decode, 136, 6, 76, // Opcode: ORCo
+/* 6151 */    MCD_OPC_FilterValue, 13, 19, 0, // Skip to: 6174
+/* 6155 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6158 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6166
+/* 6162 */    MCD_OPC_Decode, 130, 6, 76, // Opcode: OR
+/* 6166 */    MCD_OPC_FilterValue, 1, 219, 14, // Skip to: 9973
+/* 6170 */    MCD_OPC_Decode, 141, 6, 76, // Opcode: ORo
+/* 6174 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 6197
+/* 6178 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6181 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6189
+/* 6185 */    MCD_OPC_Decode, 243, 5, 76, // Opcode: NAND
+/* 6189 */    MCD_OPC_FilterValue, 1, 196, 14, // Skip to: 9973
+/* 6193 */    MCD_OPC_Decode, 246, 5, 76, // Opcode: NANDo
+/* 6197 */    MCD_OPC_FilterValue, 15, 188, 14, // Skip to: 9973
+/* 6201 */    MCD_OPC_CheckField, 0, 2, 0, 182, 14, // Skip to: 9973
+/* 6207 */    MCD_OPC_Decode, 216, 1, 76, // Opcode: CMPB
+/* 6211 */    MCD_OPC_FilterValue, 15, 174, 14, // Skip to: 9973
+/* 6215 */    MCD_OPC_CheckField, 23, 3, 0, 168, 14, // Skip to: 9973
+/* 6221 */    MCD_OPC_CheckField, 6, 15, 1, 162, 14, // Skip to: 9973
+/* 6227 */    MCD_OPC_CheckField, 0, 2, 0, 156, 14, // Skip to: 9973
+/* 6233 */    MCD_OPC_Decode, 208, 10, 69, // Opcode: WAIT
+/* 6237 */    MCD_OPC_FilterValue, 32, 4, 0, // Skip to: 6245
+/* 6241 */    MCD_OPC_Decode, 162, 5, 82, // Opcode: LWZ
+/* 6245 */    MCD_OPC_FilterValue, 33, 4, 0, // Skip to: 6253
+/* 6249 */    MCD_OPC_Decode, 165, 5, 82, // Opcode: LWZU
+/* 6253 */    MCD_OPC_FilterValue, 34, 4, 0, // Skip to: 6261
+/* 6257 */    MCD_OPC_Decode, 217, 4, 82, // Opcode: LBZ
+/* 6261 */    MCD_OPC_FilterValue, 35, 4, 0, // Skip to: 6269
+/* 6265 */    MCD_OPC_Decode, 220, 4, 82, // Opcode: LBZU
+/* 6269 */    MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 6277
+/* 6273 */    MCD_OPC_Decode, 193, 8, 82, // Opcode: STW
+/* 6277 */    MCD_OPC_FilterValue, 37, 4, 0, // Skip to: 6285
+/* 6281 */    MCD_OPC_Decode, 198, 8, 82, // Opcode: STWU
+/* 6285 */    MCD_OPC_FilterValue, 38, 4, 0, // Skip to: 6293
+/* 6289 */    MCD_OPC_Decode, 151, 8, 82, // Opcode: STB
+/* 6293 */    MCD_OPC_FilterValue, 39, 4, 0, // Skip to: 6301
+/* 6297 */    MCD_OPC_Decode, 154, 8, 82, // Opcode: STBU
+/* 6301 */    MCD_OPC_FilterValue, 40, 4, 0, // Skip to: 6309
+/* 6305 */    MCD_OPC_Decode, 132, 5, 82, // Opcode: LHZ
+/* 6309 */    MCD_OPC_FilterValue, 41, 4, 0, // Skip to: 6317
+/* 6313 */    MCD_OPC_Decode, 135, 5, 82, // Opcode: LHZU
+/* 6317 */    MCD_OPC_FilterValue, 42, 4, 0, // Skip to: 6325
+/* 6321 */    MCD_OPC_Decode, 250, 4, 82, // Opcode: LHA
+/* 6325 */    MCD_OPC_FilterValue, 43, 4, 0, // Skip to: 6333
+/* 6329 */    MCD_OPC_Decode, 252, 4, 82, // Opcode: LHAU
+/* 6333 */    MCD_OPC_FilterValue, 44, 4, 0, // Skip to: 6341
+/* 6337 */    MCD_OPC_Decode, 176, 8, 82, // Opcode: STH
+/* 6341 */    MCD_OPC_FilterValue, 45, 4, 0, // Skip to: 6349
+/* 6345 */    MCD_OPC_Decode, 180, 8, 82, // Opcode: STHU
+/* 6349 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 6357
+/* 6353 */    MCD_OPC_Decode, 145, 5, 82, // Opcode: LMW
+/* 6357 */    MCD_OPC_FilterValue, 47, 4, 0, // Skip to: 6365
+/* 6361 */    MCD_OPC_Decode, 186, 8, 82, // Opcode: STMW
+/* 6365 */    MCD_OPC_FilterValue, 48, 4, 0, // Skip to: 6373
+/* 6369 */    MCD_OPC_Decode, 246, 4, 83, // Opcode: LFS
+/* 6373 */    MCD_OPC_FilterValue, 49, 4, 0, // Skip to: 6381
+/* 6377 */    MCD_OPC_Decode, 247, 4, 83, // Opcode: LFSU
+/* 6381 */    MCD_OPC_FilterValue, 50, 4, 0, // Skip to: 6389
+/* 6385 */    MCD_OPC_Decode, 240, 4, 84, // Opcode: LFD
+/* 6389 */    MCD_OPC_FilterValue, 51, 4, 0, // Skip to: 6397
+/* 6393 */    MCD_OPC_Decode, 241, 4, 84, // Opcode: LFDU
+/* 6397 */    MCD_OPC_FilterValue, 52, 4, 0, // Skip to: 6405
+/* 6401 */    MCD_OPC_Decode, 172, 8, 83, // Opcode: STFS
+/* 6405 */    MCD_OPC_FilterValue, 53, 4, 0, // Skip to: 6413
+/* 6409 */    MCD_OPC_Decode, 173, 8, 83, // Opcode: STFSU
+/* 6413 */    MCD_OPC_FilterValue, 54, 4, 0, // Skip to: 6421
+/* 6417 */    MCD_OPC_Decode, 167, 8, 84, // Opcode: STFD
+/* 6421 */    MCD_OPC_FilterValue, 55, 4, 0, // Skip to: 6429
+/* 6425 */    MCD_OPC_Decode, 168, 8, 84, // Opcode: STFDU
+/* 6429 */    MCD_OPC_FilterValue, 58, 27, 0, // Skip to: 6460
+/* 6433 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 6436 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6444
+/* 6440 */    MCD_OPC_Decode, 226, 4, 85, // Opcode: LD
+/* 6444 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 6452
+/* 6448 */    MCD_OPC_Decode, 230, 4, 85, // Opcode: LDU
+/* 6452 */    MCD_OPC_FilterValue, 2, 189, 13, // Skip to: 9973
+/* 6456 */    MCD_OPC_Decode, 154, 5, 85, // Opcode: LWA
+/* 6460 */    MCD_OPC_FilterValue, 59, 113, 1, // Skip to: 6833
+/* 6464 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 6467 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 6502
+/* 6471 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 6474 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 6488
+/* 6478 */    MCD_OPC_CheckField, 16, 5, 0, 161, 13, // Skip to: 9973
+/* 6484 */    MCD_OPC_Decode, 230, 3, 86, // Opcode: FCFIDS
+/* 6488 */    MCD_OPC_FilterValue, 30, 153, 13, // Skip to: 9973
+/* 6492 */    MCD_OPC_CheckField, 16, 5, 0, 147, 13, // Skip to: 9973
+/* 6498 */    MCD_OPC_Decode, 233, 3, 86, // Opcode: FCFIDUS
+/* 6502 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 6537
+/* 6506 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 6509 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 6523
+/* 6513 */    MCD_OPC_CheckField, 16, 5, 0, 126, 13, // Skip to: 9973
+/* 6519 */    MCD_OPC_Decode, 231, 3, 86, // Opcode: FCFIDSo
+/* 6523 */    MCD_OPC_FilterValue, 30, 118, 13, // Skip to: 9973
+/* 6527 */    MCD_OPC_CheckField, 16, 5, 0, 112, 13, // Skip to: 9973
+/* 6533 */    MCD_OPC_Decode, 234, 3, 86, // Opcode: FCFIDUSo
+/* 6537 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 6551
+/* 6541 */    MCD_OPC_CheckField, 6, 5, 0, 98, 13, // Skip to: 9973
+/* 6547 */    MCD_OPC_Decode, 128, 4, 87, // Opcode: FDIVS
+/* 6551 */    MCD_OPC_FilterValue, 37, 10, 0, // Skip to: 6565
+/* 6555 */    MCD_OPC_CheckField, 6, 5, 0, 84, 13, // Skip to: 9973
+/* 6561 */    MCD_OPC_Decode, 129, 4, 87, // Opcode: FDIVSo
+/* 6565 */    MCD_OPC_FilterValue, 40, 10, 0, // Skip to: 6579
+/* 6569 */    MCD_OPC_CheckField, 6, 5, 0, 70, 13, // Skip to: 9973
+/* 6575 */    MCD_OPC_Decode, 196, 4, 87, // Opcode: FSUBS
+/* 6579 */    MCD_OPC_FilterValue, 41, 10, 0, // Skip to: 6593
+/* 6583 */    MCD_OPC_CheckField, 6, 5, 0, 56, 13, // Skip to: 9973
+/* 6589 */    MCD_OPC_Decode, 197, 4, 87, // Opcode: FSUBSo
+/* 6593 */    MCD_OPC_FilterValue, 42, 10, 0, // Skip to: 6607
+/* 6597 */    MCD_OPC_CheckField, 6, 5, 0, 42, 13, // Skip to: 9973
+/* 6603 */    MCD_OPC_Decode, 225, 3, 87, // Opcode: FADDS
+/* 6607 */    MCD_OPC_FilterValue, 43, 10, 0, // Skip to: 6621
+/* 6611 */    MCD_OPC_CheckField, 6, 5, 0, 28, 13, // Skip to: 9973
+/* 6617 */    MCD_OPC_Decode, 226, 3, 87, // Opcode: FADDSo
+/* 6621 */    MCD_OPC_FilterValue, 44, 16, 0, // Skip to: 6641
+/* 6625 */    MCD_OPC_CheckField, 16, 5, 0, 14, 13, // Skip to: 9973
+/* 6631 */    MCD_OPC_CheckField, 6, 5, 0, 8, 13, // Skip to: 9973
+/* 6637 */    MCD_OPC_Decode, 192, 4, 88, // Opcode: FSQRTS
+/* 6641 */    MCD_OPC_FilterValue, 45, 16, 0, // Skip to: 6661
+/* 6645 */    MCD_OPC_CheckField, 16, 5, 0, 250, 12, // Skip to: 9973
+/* 6651 */    MCD_OPC_CheckField, 6, 5, 0, 244, 12, // Skip to: 9973
+/* 6657 */    MCD_OPC_Decode, 193, 4, 88, // Opcode: FSQRTSo
+/* 6661 */    MCD_OPC_FilterValue, 48, 16, 0, // Skip to: 6681
+/* 6665 */    MCD_OPC_CheckField, 16, 5, 0, 230, 12, // Skip to: 9973
+/* 6671 */    MCD_OPC_CheckField, 6, 5, 0, 224, 12, // Skip to: 9973
+/* 6677 */    MCD_OPC_Decode, 162, 4, 88, // Opcode: FRES
+/* 6681 */    MCD_OPC_FilterValue, 49, 16, 0, // Skip to: 6701
+/* 6685 */    MCD_OPC_CheckField, 16, 5, 0, 210, 12, // Skip to: 9973
+/* 6691 */    MCD_OPC_CheckField, 6, 5, 0, 204, 12, // Skip to: 9973
+/* 6697 */    MCD_OPC_Decode, 163, 4, 88, // Opcode: FRESo
+/* 6701 */    MCD_OPC_FilterValue, 50, 10, 0, // Skip to: 6715
+/* 6705 */    MCD_OPC_CheckField, 11, 5, 0, 190, 12, // Skip to: 9973
+/* 6711 */    MCD_OPC_Decode, 142, 4, 89, // Opcode: FMULS
+/* 6715 */    MCD_OPC_FilterValue, 51, 10, 0, // Skip to: 6729
+/* 6719 */    MCD_OPC_CheckField, 11, 5, 0, 176, 12, // Skip to: 9973
+/* 6725 */    MCD_OPC_Decode, 143, 4, 89, // Opcode: FMULSo
+/* 6729 */    MCD_OPC_FilterValue, 52, 16, 0, // Skip to: 6749
+/* 6733 */    MCD_OPC_CheckField, 16, 5, 0, 162, 12, // Skip to: 9973
+/* 6739 */    MCD_OPC_CheckField, 6, 5, 0, 156, 12, // Skip to: 9973
+/* 6745 */    MCD_OPC_Decode, 184, 4, 88, // Opcode: FRSQRTES
+/* 6749 */    MCD_OPC_FilterValue, 53, 16, 0, // Skip to: 6769
+/* 6753 */    MCD_OPC_CheckField, 16, 5, 0, 142, 12, // Skip to: 9973
+/* 6759 */    MCD_OPC_CheckField, 6, 5, 0, 136, 12, // Skip to: 9973
+/* 6765 */    MCD_OPC_Decode, 185, 4, 88, // Opcode: FRSQRTESo
+/* 6769 */    MCD_OPC_FilterValue, 56, 4, 0, // Skip to: 6777
+/* 6773 */    MCD_OPC_Decode, 138, 4, 90, // Opcode: FMSUBS
+/* 6777 */    MCD_OPC_FilterValue, 57, 4, 0, // Skip to: 6785
+/* 6781 */    MCD_OPC_Decode, 139, 4, 90, // Opcode: FMSUBSo
+/* 6785 */    MCD_OPC_FilterValue, 58, 4, 0, // Skip to: 6793
+/* 6789 */    MCD_OPC_Decode, 132, 4, 90, // Opcode: FMADDS
+/* 6793 */    MCD_OPC_FilterValue, 59, 4, 0, // Skip to: 6801
+/* 6797 */    MCD_OPC_Decode, 133, 4, 90, // Opcode: FMADDSo
+/* 6801 */    MCD_OPC_FilterValue, 60, 4, 0, // Skip to: 6809
+/* 6805 */    MCD_OPC_Decode, 158, 4, 90, // Opcode: FNMSUBS
+/* 6809 */    MCD_OPC_FilterValue, 61, 4, 0, // Skip to: 6817
+/* 6813 */    MCD_OPC_Decode, 159, 4, 90, // Opcode: FNMSUBSo
+/* 6817 */    MCD_OPC_FilterValue, 62, 4, 0, // Skip to: 6825
+/* 6821 */    MCD_OPC_Decode, 154, 4, 90, // Opcode: FNMADDS
+/* 6825 */    MCD_OPC_FilterValue, 63, 72, 12, // Skip to: 9973
+/* 6829 */    MCD_OPC_Decode, 155, 4, 90, // Opcode: FNMADDSo
+/* 6833 */    MCD_OPC_FilterValue, 60, 32, 8, // Skip to: 8917
+/* 6837 */    MCD_OPC_ExtractField, 4, 2,  // Inst{5-4} ...
+/* 6840 */    MCD_OPC_FilterValue, 0, 16, 2, // Skip to: 7372
+/* 6844 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 6847 */    MCD_OPC_FilterValue, 4, 19, 0, // Skip to: 6870
+/* 6851 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6854 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6862
+/* 6858 */    MCD_OPC_Decode, 220, 10, 91, // Opcode: XSADDDP
+/* 6862 */    MCD_OPC_FilterValue, 1, 35, 12, // Skip to: 9973
+/* 6866 */    MCD_OPC_Decode, 233, 10, 92, // Opcode: XSMADDADP
+/* 6870 */    MCD_OPC_FilterValue, 5, 19, 0, // Skip to: 6893
+/* 6874 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6877 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6885
+/* 6881 */    MCD_OPC_Decode, 254, 10, 91, // Opcode: XSSUBDP
+/* 6885 */    MCD_OPC_FilterValue, 1, 12, 12, // Skip to: 9973
+/* 6889 */    MCD_OPC_Decode, 234, 10, 92, // Opcode: XSMADDMDP
+/* 6893 */    MCD_OPC_FilterValue, 6, 19, 0, // Skip to: 6916
+/* 6897 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6900 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6908
+/* 6904 */    MCD_OPC_Decode, 239, 10, 91, // Opcode: XSMULDP
+/* 6908 */    MCD_OPC_FilterValue, 1, 245, 11, // Skip to: 9973
+/* 6912 */    MCD_OPC_Decode, 237, 10, 92, // Opcode: XSMSUBADP
+/* 6916 */    MCD_OPC_FilterValue, 7, 19, 0, // Skip to: 6939
+/* 6920 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6923 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6931
+/* 6927 */    MCD_OPC_Decode, 232, 10, 91, // Opcode: XSDIVDP
+/* 6931 */    MCD_OPC_FilterValue, 1, 222, 11, // Skip to: 9973
+/* 6935 */    MCD_OPC_Decode, 238, 10, 92, // Opcode: XSMSUBMDP
+/* 6939 */    MCD_OPC_FilterValue, 8, 19, 0, // Skip to: 6962
+/* 6943 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6946 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6954
+/* 6950 */    MCD_OPC_Decode, 132, 11, 93, // Opcode: XVADDSP
+/* 6954 */    MCD_OPC_FilterValue, 1, 199, 11, // Skip to: 9973
+/* 6958 */    MCD_OPC_Decode, 168, 11, 94, // Opcode: XVMADDASP
+/* 6962 */    MCD_OPC_FilterValue, 9, 19, 0, // Skip to: 6985
+/* 6966 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6969 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 6977
+/* 6973 */    MCD_OPC_Decode, 210, 11, 93, // Opcode: XVSUBSP
+/* 6977 */    MCD_OPC_FilterValue, 1, 176, 11, // Skip to: 9973
+/* 6981 */    MCD_OPC_Decode, 170, 11, 94, // Opcode: XVMADDMSP
+/* 6985 */    MCD_OPC_FilterValue, 10, 19, 0, // Skip to: 7008
+/* 6989 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 6992 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7000
+/* 6996 */    MCD_OPC_Decode, 180, 11, 93, // Opcode: XVMULSP
+/* 7000 */    MCD_OPC_FilterValue, 1, 153, 11, // Skip to: 9973
+/* 7004 */    MCD_OPC_Decode, 176, 11, 94, // Opcode: XVMSUBASP
+/* 7008 */    MCD_OPC_FilterValue, 11, 19, 0, // Skip to: 7031
+/* 7012 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7015 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7023
+/* 7019 */    MCD_OPC_Decode, 166, 11, 93, // Opcode: XVDIVSP
+/* 7023 */    MCD_OPC_FilterValue, 1, 130, 11, // Skip to: 9973
+/* 7027 */    MCD_OPC_Decode, 178, 11, 94, // Opcode: XVMSUBMSP
+/* 7031 */    MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 7054
+/* 7035 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7038 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7046
+/* 7042 */    MCD_OPC_Decode, 131, 11, 93, // Opcode: XVADDDP
+/* 7046 */    MCD_OPC_FilterValue, 1, 107, 11, // Skip to: 9973
+/* 7050 */    MCD_OPC_Decode, 167, 11, 94, // Opcode: XVMADDADP
+/* 7054 */    MCD_OPC_FilterValue, 13, 19, 0, // Skip to: 7077
+/* 7058 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7061 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7069
+/* 7065 */    MCD_OPC_Decode, 209, 11, 93, // Opcode: XVSUBDP
+/* 7069 */    MCD_OPC_FilterValue, 1, 84, 11, // Skip to: 9973
+/* 7073 */    MCD_OPC_Decode, 169, 11, 94, // Opcode: XVMADDMDP
+/* 7077 */    MCD_OPC_FilterValue, 14, 19, 0, // Skip to: 7100
+/* 7081 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7084 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7092
+/* 7088 */    MCD_OPC_Decode, 179, 11, 93, // Opcode: XVMULDP
+/* 7092 */    MCD_OPC_FilterValue, 1, 61, 11, // Skip to: 9973
+/* 7096 */    MCD_OPC_Decode, 175, 11, 94, // Opcode: XVMSUBADP
+/* 7100 */    MCD_OPC_FilterValue, 15, 19, 0, // Skip to: 7123
+/* 7104 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7107 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7115
+/* 7111 */    MCD_OPC_Decode, 165, 11, 93, // Opcode: XVDIVDP
+/* 7115 */    MCD_OPC_FilterValue, 1, 38, 11, // Skip to: 9973
+/* 7119 */    MCD_OPC_Decode, 177, 11, 94, // Opcode: XVMSUBMDP
+/* 7123 */    MCD_OPC_FilterValue, 20, 19, 0, // Skip to: 7146
+/* 7127 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7130 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7138
+/* 7134 */    MCD_OPC_Decode, 235, 10, 91, // Opcode: XSMAXDP
+/* 7138 */    MCD_OPC_FilterValue, 1, 15, 11, // Skip to: 9973
+/* 7142 */    MCD_OPC_Decode, 242, 10, 92, // Opcode: XSNMADDADP
+/* 7146 */    MCD_OPC_FilterValue, 21, 19, 0, // Skip to: 7169
+/* 7150 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7153 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7161
+/* 7157 */    MCD_OPC_Decode, 236, 10, 91, // Opcode: XSMINDP
+/* 7161 */    MCD_OPC_FilterValue, 1, 248, 10, // Skip to: 9973
+/* 7165 */    MCD_OPC_Decode, 243, 10, 92, // Opcode: XSNMADDMDP
+/* 7169 */    MCD_OPC_FilterValue, 22, 19, 0, // Skip to: 7192
+/* 7173 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7176 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7184
+/* 7180 */    MCD_OPC_Decode, 223, 10, 91, // Opcode: XSCPSGNDP
+/* 7184 */    MCD_OPC_FilterValue, 1, 225, 10, // Skip to: 9973
+/* 7188 */    MCD_OPC_Decode, 244, 10, 92, // Opcode: XSNMSUBADP
+/* 7192 */    MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 7206
+/* 7196 */    MCD_OPC_CheckField, 3, 1, 1, 211, 10, // Skip to: 9973
+/* 7202 */    MCD_OPC_Decode, 245, 10, 92, // Opcode: XSNMSUBMDP
+/* 7206 */    MCD_OPC_FilterValue, 24, 19, 0, // Skip to: 7229
+/* 7210 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7213 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7221
+/* 7217 */    MCD_OPC_Decode, 172, 11, 93, // Opcode: XVMAXSP
+/* 7221 */    MCD_OPC_FilterValue, 1, 188, 10, // Skip to: 9973
+/* 7225 */    MCD_OPC_Decode, 186, 11, 94, // Opcode: XVNMADDASP
+/* 7229 */    MCD_OPC_FilterValue, 25, 19, 0, // Skip to: 7252
+/* 7233 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7236 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7244
+/* 7240 */    MCD_OPC_Decode, 174, 11, 93, // Opcode: XVMINSP
+/* 7244 */    MCD_OPC_FilterValue, 1, 165, 10, // Skip to: 9973
+/* 7248 */    MCD_OPC_Decode, 188, 11, 94, // Opcode: XVNMADDMSP
+/* 7252 */    MCD_OPC_FilterValue, 26, 19, 0, // Skip to: 7275
+/* 7256 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7259 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7267
+/* 7263 */    MCD_OPC_Decode, 146, 11, 93, // Opcode: XVCPSGNSP
+/* 7267 */    MCD_OPC_FilterValue, 1, 142, 10, // Skip to: 9973
+/* 7271 */    MCD_OPC_Decode, 190, 11, 94, // Opcode: XVNMSUBASP
+/* 7275 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 7289
+/* 7279 */    MCD_OPC_CheckField, 3, 1, 1, 128, 10, // Skip to: 9973
+/* 7285 */    MCD_OPC_Decode, 192, 11, 94, // Opcode: XVNMSUBMSP
+/* 7289 */    MCD_OPC_FilterValue, 28, 19, 0, // Skip to: 7312
+/* 7293 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7296 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7304
+/* 7300 */    MCD_OPC_Decode, 171, 11, 93, // Opcode: XVMAXDP
+/* 7304 */    MCD_OPC_FilterValue, 1, 105, 10, // Skip to: 9973
+/* 7308 */    MCD_OPC_Decode, 185, 11, 94, // Opcode: XVNMADDADP
+/* 7312 */    MCD_OPC_FilterValue, 29, 19, 0, // Skip to: 7335
+/* 7316 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7319 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7327
+/* 7323 */    MCD_OPC_Decode, 173, 11, 93, // Opcode: XVMINDP
+/* 7327 */    MCD_OPC_FilterValue, 1, 82, 10, // Skip to: 9973
+/* 7331 */    MCD_OPC_Decode, 187, 11, 94, // Opcode: XVNMADDMDP
+/* 7335 */    MCD_OPC_FilterValue, 30, 19, 0, // Skip to: 7358
+/* 7339 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7342 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7350
+/* 7346 */    MCD_OPC_Decode, 145, 11, 93, // Opcode: XVCPSGNDP
+/* 7350 */    MCD_OPC_FilterValue, 1, 59, 10, // Skip to: 9973
+/* 7354 */    MCD_OPC_Decode, 189, 11, 94, // Opcode: XVNMSUBADP
+/* 7358 */    MCD_OPC_FilterValue, 31, 51, 10, // Skip to: 9973
+/* 7362 */    MCD_OPC_CheckField, 3, 1, 1, 45, 10, // Skip to: 9973
+/* 7368 */    MCD_OPC_Decode, 191, 11, 94, // Opcode: XVNMSUBMDP
+/* 7372 */    MCD_OPC_FilterValue, 1, 130, 1, // Skip to: 7762
+/* 7376 */    MCD_OPC_ExtractField, 6, 2,  // Inst{7-6} ...
+/* 7379 */    MCD_OPC_FilterValue, 0, 100, 0, // Skip to: 7483
+/* 7383 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7386 */    MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 7424
+/* 7390 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 7393 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7401
+/* 7397 */    MCD_OPC_Decode, 228, 11, 95, // Opcode: XXSLDWI
+/* 7401 */    MCD_OPC_FilterValue, 1, 8, 10, // Skip to: 9973
+/* 7405 */    MCD_OPC_ExtractField, 8, 2,  // Inst{9-8} ...
+/* 7408 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7416
+/* 7412 */    MCD_OPC_Decode, 215, 11, 93, // Opcode: XXLAND
+/* 7416 */    MCD_OPC_FilterValue, 1, 249, 9, // Skip to: 9973
+/* 7420 */    MCD_OPC_Decode, 219, 11, 93, // Opcode: XXLNOR
+/* 7424 */    MCD_OPC_FilterValue, 1, 241, 9, // Skip to: 9973
+/* 7428 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
+/* 7431 */    MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 7451
+/* 7435 */    MCD_OPC_CheckField, 21, 2, 0, 228, 9, // Skip to: 9973
+/* 7441 */    MCD_OPC_CheckField, 0, 1, 0, 222, 9, // Skip to: 9973
+/* 7447 */    MCD_OPC_Decode, 222, 10, 96, // Opcode: XSCMPUDP
+/* 7451 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 7459
+/* 7455 */    MCD_OPC_Decode, 135, 11, 93, // Opcode: XVCMPEQSP
+/* 7459 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 7467
+/* 7463 */    MCD_OPC_Decode, 133, 11, 93, // Opcode: XVCMPEQDP
+/* 7467 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 7475
+/* 7471 */    MCD_OPC_Decode, 136, 11, 93, // Opcode: XVCMPEQSPo
+/* 7475 */    MCD_OPC_FilterValue, 7, 190, 9, // Skip to: 9973
+/* 7479 */    MCD_OPC_Decode, 134, 11, 93, // Opcode: XVCMPEQDPo
+/* 7483 */    MCD_OPC_FilterValue, 1, 100, 0, // Skip to: 7587
+/* 7487 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7490 */    MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 7528
+/* 7494 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 7497 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7505
+/* 7501 */    MCD_OPC_Decode, 226, 11, 95, // Opcode: XXPERMDI
+/* 7505 */    MCD_OPC_FilterValue, 1, 160, 9, // Skip to: 9973
+/* 7509 */    MCD_OPC_ExtractField, 8, 2,  // Inst{9-8} ...
+/* 7512 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 7520
+/* 7516 */    MCD_OPC_Decode, 216, 11, 93, // Opcode: XXLANDC
+/* 7520 */    MCD_OPC_FilterValue, 1, 145, 9, // Skip to: 9973
+/* 7524 */    MCD_OPC_Decode, 221, 11, 93, // Opcode: XXLORC
+/* 7528 */    MCD_OPC_FilterValue, 1, 137, 9, // Skip to: 9973
+/* 7532 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
+/* 7535 */    MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 7555
+/* 7539 */    MCD_OPC_CheckField, 21, 2, 0, 124, 9, // Skip to: 9973
+/* 7545 */    MCD_OPC_CheckField, 0, 1, 0, 118, 9, // Skip to: 9973
+/* 7551 */    MCD_OPC_Decode, 221, 10, 96, // Opcode: XSCMPODP
+/* 7555 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 7563
+/* 7559 */    MCD_OPC_Decode, 143, 11, 93, // Opcode: XVCMPGTSP
+/* 7563 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 7571
+/* 7567 */    MCD_OPC_Decode, 141, 11, 93, // Opcode: XVCMPGTDP
+/* 7571 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 7579
+/* 7575 */    MCD_OPC_Decode, 144, 11, 93, // Opcode: XVCMPGTSPo
+/* 7579 */    MCD_OPC_FilterValue, 7, 86, 9, // Skip to: 9973
+/* 7583 */    MCD_OPC_Decode, 142, 11, 93, // Opcode: XVCMPGTDPo
+/* 7587 */    MCD_OPC_FilterValue, 2, 136, 0, // Skip to: 7727
+/* 7591 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
+/* 7594 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7608
+/* 7598 */    MCD_OPC_CheckField, 3, 1, 0, 65, 9, // Skip to: 9973
+/* 7604 */    MCD_OPC_Decode, 224, 11, 93, // Opcode: XXMRGHW
+/* 7608 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7622
+/* 7612 */    MCD_OPC_CheckField, 3, 1, 0, 51, 9, // Skip to: 9973
+/* 7618 */    MCD_OPC_Decode, 225, 11, 93, // Opcode: XXMRGLW
+/* 7622 */    MCD_OPC_FilterValue, 2, 31, 0, // Skip to: 7657
+/* 7626 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7629 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 7649
+/* 7633 */    MCD_OPC_CheckField, 18, 3, 0, 30, 9, // Skip to: 9973
+/* 7639 */    MCD_OPC_CheckField, 2, 1, 0, 24, 9, // Skip to: 9973
+/* 7645 */    MCD_OPC_Decode, 229, 11, 97, // Opcode: XXSPLTW
+/* 7649 */    MCD_OPC_FilterValue, 1, 16, 9, // Skip to: 9973
+/* 7653 */    MCD_OPC_Decode, 139, 11, 93, // Opcode: XVCMPGESP
+/* 7657 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 7671
+/* 7661 */    MCD_OPC_CheckField, 3, 1, 1, 2, 9, // Skip to: 9973
+/* 7667 */    MCD_OPC_Decode, 137, 11, 93, // Opcode: XVCMPGEDP
+/* 7671 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 7685
+/* 7675 */    MCD_OPC_CheckField, 3, 1, 0, 244, 8, // Skip to: 9973
+/* 7681 */    MCD_OPC_Decode, 220, 11, 93, // Opcode: XXLOR
+/* 7685 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 7699
+/* 7689 */    MCD_OPC_CheckField, 3, 1, 0, 230, 8, // Skip to: 9973
+/* 7695 */    MCD_OPC_Decode, 218, 11, 93, // Opcode: XXLNAND
+/* 7699 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 7713
+/* 7703 */    MCD_OPC_CheckField, 3, 1, 1, 216, 8, // Skip to: 9973
+/* 7709 */    MCD_OPC_Decode, 140, 11, 93, // Opcode: XVCMPGESPo
+/* 7713 */    MCD_OPC_FilterValue, 7, 208, 8, // Skip to: 9973
+/* 7717 */    MCD_OPC_CheckField, 3, 1, 1, 202, 8, // Skip to: 9973
+/* 7723 */    MCD_OPC_Decode, 138, 11, 93, // Opcode: XVCMPGEDPo
+/* 7727 */    MCD_OPC_FilterValue, 3, 194, 8, // Skip to: 9973
+/* 7731 */    MCD_OPC_ExtractField, 8, 3,  // Inst{10-8} ...
+/* 7734 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 7748
+/* 7738 */    MCD_OPC_CheckField, 3, 1, 0, 181, 8, // Skip to: 9973
+/* 7744 */    MCD_OPC_Decode, 223, 11, 93, // Opcode: XXLXOR
+/* 7748 */    MCD_OPC_FilterValue, 5, 173, 8, // Skip to: 9973
+/* 7752 */    MCD_OPC_CheckField, 3, 1, 0, 167, 8, // Skip to: 9973
+/* 7758 */    MCD_OPC_Decode, 217, 11, 93, // Opcode: XXLEQV
+/* 7762 */    MCD_OPC_FilterValue, 2, 119, 4, // Skip to: 8909
+/* 7766 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 7769 */    MCD_OPC_FilterValue, 4, 59, 0, // Skip to: 7832
+/* 7773 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 7776 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7790
+/* 7780 */    MCD_OPC_CheckField, 16, 5, 0, 139, 8, // Skip to: 9973
+/* 7786 */    MCD_OPC_Decode, 228, 10, 98, // Opcode: XSCVDPUXWS
+/* 7790 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7804
+/* 7794 */    MCD_OPC_CheckField, 16, 5, 0, 125, 8, // Skip to: 9973
+/* 7800 */    MCD_OPC_Decode, 246, 10, 98, // Opcode: XSRDPI
+/* 7804 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 7818
+/* 7808 */    MCD_OPC_CheckField, 16, 5, 0, 111, 8, // Skip to: 9973
+/* 7814 */    MCD_OPC_Decode, 252, 10, 98, // Opcode: XSRSQRTEDP
+/* 7818 */    MCD_OPC_FilterValue, 3, 103, 8, // Skip to: 9973
+/* 7822 */    MCD_OPC_CheckField, 16, 5, 0, 97, 8, // Skip to: 9973
+/* 7828 */    MCD_OPC_Decode, 253, 10, 98, // Opcode: XSSQRTDP
+/* 7832 */    MCD_OPC_FilterValue, 5, 45, 0, // Skip to: 7881
+/* 7836 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 7839 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 7853
+/* 7843 */    MCD_OPC_CheckField, 16, 5, 0, 76, 8, // Skip to: 9973
+/* 7849 */    MCD_OPC_Decode, 226, 10, 98, // Opcode: XSCVDPSXWS
+/* 7853 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7867
+/* 7857 */    MCD_OPC_CheckField, 16, 5, 0, 62, 8, // Skip to: 9973
+/* 7863 */    MCD_OPC_Decode, 250, 10, 98, // Opcode: XSRDPIZ
+/* 7867 */    MCD_OPC_FilterValue, 2, 54, 8, // Skip to: 9973
+/* 7871 */    MCD_OPC_CheckField, 16, 5, 0, 48, 8, // Skip to: 9973
+/* 7877 */    MCD_OPC_Decode, 251, 10, 98, // Opcode: XSREDP
+/* 7881 */    MCD_OPC_FilterValue, 6, 51, 0, // Skip to: 7936
+/* 7885 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 7888 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 7902
+/* 7892 */    MCD_OPC_CheckField, 16, 5, 0, 27, 8, // Skip to: 9973
+/* 7898 */    MCD_OPC_Decode, 249, 10, 98, // Opcode: XSRDPIP
+/* 7902 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 7922
+/* 7906 */    MCD_OPC_CheckField, 16, 7, 0, 13, 8, // Skip to: 9973
+/* 7912 */    MCD_OPC_CheckField, 0, 1, 0, 7, 8, // Skip to: 9973
+/* 7918 */    MCD_OPC_Decode, 128, 11, 99, // Opcode: XSTSQRTDP
+/* 7922 */    MCD_OPC_FilterValue, 3, 255, 7, // Skip to: 9973
+/* 7926 */    MCD_OPC_CheckField, 16, 5, 0, 249, 7, // Skip to: 9973
+/* 7932 */    MCD_OPC_Decode, 247, 10, 98, // Opcode: XSRDPIC
+/* 7936 */    MCD_OPC_FilterValue, 7, 43, 0, // Skip to: 7983
+/* 7940 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 7943 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 7963
+/* 7947 */    MCD_OPC_CheckField, 16, 5, 0, 228, 7, // Skip to: 9973
+/* 7953 */    MCD_OPC_CheckField, 2, 1, 1, 222, 7, // Skip to: 9973
+/* 7959 */    MCD_OPC_Decode, 248, 10, 98, // Opcode: XSRDPIM
+/* 7963 */    MCD_OPC_FilterValue, 1, 214, 7, // Skip to: 9973
+/* 7967 */    MCD_OPC_CheckField, 21, 2, 0, 208, 7, // Skip to: 9973
+/* 7973 */    MCD_OPC_CheckField, 0, 1, 0, 202, 7, // Skip to: 9973
+/* 7979 */    MCD_OPC_Decode, 255, 10, 96, // Opcode: XSTDIVDP
+/* 7983 */    MCD_OPC_FilterValue, 8, 59, 0, // Skip to: 8046
+/* 7987 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 7990 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8004
+/* 7994 */    MCD_OPC_CheckField, 16, 5, 0, 181, 7, // Skip to: 9973
+/* 8000 */    MCD_OPC_Decode, 156, 11, 100, // Opcode: XVCVSPUXWS
+/* 8004 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8018
+/* 8008 */    MCD_OPC_CheckField, 16, 5, 0, 167, 7, // Skip to: 9973
+/* 8014 */    MCD_OPC_Decode, 200, 11, 100, // Opcode: XVRSPI
+/* 8018 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 8032
+/* 8022 */    MCD_OPC_CheckField, 16, 5, 0, 153, 7, // Skip to: 9973
+/* 8028 */    MCD_OPC_Decode, 206, 11, 100, // Opcode: XVRSQRTESP
+/* 8032 */    MCD_OPC_FilterValue, 3, 145, 7, // Skip to: 9973
+/* 8036 */    MCD_OPC_CheckField, 16, 5, 0, 139, 7, // Skip to: 9973
+/* 8042 */    MCD_OPC_Decode, 208, 11, 100, // Opcode: XVSQRTSP
+/* 8046 */    MCD_OPC_FilterValue, 9, 45, 0, // Skip to: 8095
+/* 8050 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8053 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8067
+/* 8057 */    MCD_OPC_CheckField, 16, 5, 0, 118, 7, // Skip to: 9973
+/* 8063 */    MCD_OPC_Decode, 154, 11, 100, // Opcode: XVCVSPSXWS
+/* 8067 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8081
+/* 8071 */    MCD_OPC_CheckField, 16, 5, 0, 104, 7, // Skip to: 9973
+/* 8077 */    MCD_OPC_Decode, 204, 11, 100, // Opcode: XVRSPIZ
+/* 8081 */    MCD_OPC_FilterValue, 2, 96, 7, // Skip to: 9973
+/* 8085 */    MCD_OPC_CheckField, 16, 5, 0, 90, 7, // Skip to: 9973
+/* 8091 */    MCD_OPC_Decode, 199, 11, 100, // Opcode: XVRESP
+/* 8095 */    MCD_OPC_FilterValue, 10, 65, 0, // Skip to: 8164
+/* 8099 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8102 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8116
+/* 8106 */    MCD_OPC_CheckField, 16, 5, 0, 69, 7, // Skip to: 9973
+/* 8112 */    MCD_OPC_Decode, 164, 11, 100, // Opcode: XVCVUXWSP
+/* 8116 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8130
+/* 8120 */    MCD_OPC_CheckField, 16, 5, 0, 55, 7, // Skip to: 9973
+/* 8126 */    MCD_OPC_Decode, 203, 11, 100, // Opcode: XVRSPIP
+/* 8130 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 8150
+/* 8134 */    MCD_OPC_CheckField, 16, 7, 0, 41, 7, // Skip to: 9973
+/* 8140 */    MCD_OPC_CheckField, 0, 1, 0, 35, 7, // Skip to: 9973
+/* 8146 */    MCD_OPC_Decode, 214, 11, 101, // Opcode: XVTSQRTSP
+/* 8150 */    MCD_OPC_FilterValue, 3, 27, 7, // Skip to: 9973
+/* 8154 */    MCD_OPC_CheckField, 16, 5, 0, 21, 7, // Skip to: 9973
+/* 8160 */    MCD_OPC_Decode, 201, 11, 100, // Opcode: XVRSPIC
+/* 8164 */    MCD_OPC_FilterValue, 11, 58, 0, // Skip to: 8226
+/* 8168 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 8171 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 8206
+/* 8175 */    MCD_OPC_ExtractField, 2, 1,  // Inst{2} ...
+/* 8178 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8192
+/* 8182 */    MCD_OPC_CheckField, 16, 5, 0, 249, 6, // Skip to: 9973
+/* 8188 */    MCD_OPC_Decode, 160, 11, 100, // Opcode: XVCVSXWSP
+/* 8192 */    MCD_OPC_FilterValue, 1, 241, 6, // Skip to: 9973
+/* 8196 */    MCD_OPC_CheckField, 16, 5, 0, 235, 6, // Skip to: 9973
+/* 8202 */    MCD_OPC_Decode, 202, 11, 100, // Opcode: XVRSPIM
+/* 8206 */    MCD_OPC_FilterValue, 1, 227, 6, // Skip to: 9973
+/* 8210 */    MCD_OPC_CheckField, 21, 2, 0, 221, 6, // Skip to: 9973
+/* 8216 */    MCD_OPC_CheckField, 0, 1, 0, 215, 6, // Skip to: 9973
+/* 8222 */    MCD_OPC_Decode, 212, 11, 102, // Opcode: XVTDIVSP
+/* 8226 */    MCD_OPC_FilterValue, 12, 59, 0, // Skip to: 8289
+/* 8230 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8233 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8247
+/* 8237 */    MCD_OPC_CheckField, 16, 5, 0, 194, 6, // Skip to: 9973
+/* 8243 */    MCD_OPC_Decode, 151, 11, 100, // Opcode: XVCVDPUXWS
+/* 8247 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8261
+/* 8251 */    MCD_OPC_CheckField, 16, 5, 0, 180, 6, // Skip to: 9973
+/* 8257 */    MCD_OPC_Decode, 193, 11, 100, // Opcode: XVRDPI
+/* 8261 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 8275
+/* 8265 */    MCD_OPC_CheckField, 16, 5, 0, 166, 6, // Skip to: 9973
+/* 8271 */    MCD_OPC_Decode, 205, 11, 100, // Opcode: XVRSQRTEDP
+/* 8275 */    MCD_OPC_FilterValue, 3, 158, 6, // Skip to: 9973
+/* 8279 */    MCD_OPC_CheckField, 16, 5, 0, 152, 6, // Skip to: 9973
+/* 8285 */    MCD_OPC_Decode, 207, 11, 100, // Opcode: XVSQRTDP
+/* 8289 */    MCD_OPC_FilterValue, 13, 45, 0, // Skip to: 8338
+/* 8293 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8296 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8310
+/* 8300 */    MCD_OPC_CheckField, 16, 5, 0, 131, 6, // Skip to: 9973
+/* 8306 */    MCD_OPC_Decode, 149, 11, 100, // Opcode: XVCVDPSXWS
+/* 8310 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8324
+/* 8314 */    MCD_OPC_CheckField, 16, 5, 0, 117, 6, // Skip to: 9973
+/* 8320 */    MCD_OPC_Decode, 197, 11, 100, // Opcode: XVRDPIZ
+/* 8324 */    MCD_OPC_FilterValue, 2, 109, 6, // Skip to: 9973
+/* 8328 */    MCD_OPC_CheckField, 16, 5, 0, 103, 6, // Skip to: 9973
+/* 8334 */    MCD_OPC_Decode, 198, 11, 100, // Opcode: XVREDP
+/* 8338 */    MCD_OPC_FilterValue, 14, 65, 0, // Skip to: 8407
+/* 8342 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8345 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8359
+/* 8349 */    MCD_OPC_CheckField, 16, 5, 0, 82, 6, // Skip to: 9973
+/* 8355 */    MCD_OPC_Decode, 163, 11, 100, // Opcode: XVCVUXWDP
+/* 8359 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 8373
+/* 8363 */    MCD_OPC_CheckField, 16, 5, 0, 68, 6, // Skip to: 9973
+/* 8369 */    MCD_OPC_Decode, 196, 11, 100, // Opcode: XVRDPIP
+/* 8373 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 8393
+/* 8377 */    MCD_OPC_CheckField, 16, 7, 0, 54, 6, // Skip to: 9973
+/* 8383 */    MCD_OPC_CheckField, 0, 1, 0, 48, 6, // Skip to: 9973
+/* 8389 */    MCD_OPC_Decode, 213, 11, 101, // Opcode: XVTSQRTDP
+/* 8393 */    MCD_OPC_FilterValue, 3, 40, 6, // Skip to: 9973
+/* 8397 */    MCD_OPC_CheckField, 16, 5, 0, 34, 6, // Skip to: 9973
+/* 8403 */    MCD_OPC_Decode, 194, 11, 100, // Opcode: XVRDPIC
+/* 8407 */    MCD_OPC_FilterValue, 15, 58, 0, // Skip to: 8469
+/* 8411 */    MCD_OPC_ExtractField, 3, 1,  // Inst{3} ...
+/* 8414 */    MCD_OPC_FilterValue, 0, 31, 0, // Skip to: 8449
+/* 8418 */    MCD_OPC_ExtractField, 2, 1,  // Inst{2} ...
+/* 8421 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8435
+/* 8425 */    MCD_OPC_CheckField, 16, 5, 0, 6, 6, // Skip to: 9973
+/* 8431 */    MCD_OPC_Decode, 159, 11, 100, // Opcode: XVCVSXWDP
+/* 8435 */    MCD_OPC_FilterValue, 1, 254, 5, // Skip to: 9973
+/* 8439 */    MCD_OPC_CheckField, 16, 5, 0, 248, 5, // Skip to: 9973
+/* 8445 */    MCD_OPC_Decode, 195, 11, 100, // Opcode: XVRDPIM
+/* 8449 */    MCD_OPC_FilterValue, 1, 240, 5, // Skip to: 9973
+/* 8453 */    MCD_OPC_CheckField, 21, 2, 0, 234, 5, // Skip to: 9973
+/* 8459 */    MCD_OPC_CheckField, 0, 1, 0, 228, 5, // Skip to: 9973
+/* 8465 */    MCD_OPC_Decode, 211, 11, 102, // Opcode: XVTDIVDP
+/* 8469 */    MCD_OPC_FilterValue, 16, 16, 0, // Skip to: 8489
+/* 8473 */    MCD_OPC_CheckField, 16, 5, 0, 214, 5, // Skip to: 9973
+/* 8479 */    MCD_OPC_CheckField, 2, 2, 1, 208, 5, // Skip to: 9973
+/* 8485 */    MCD_OPC_Decode, 224, 10, 98, // Opcode: XSCVDPSP
+/* 8489 */    MCD_OPC_FilterValue, 20, 31, 0, // Skip to: 8524
+/* 8493 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8496 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8510
+/* 8500 */    MCD_OPC_CheckField, 16, 5, 0, 187, 5, // Skip to: 9973
+/* 8506 */    MCD_OPC_Decode, 227, 10, 98, // Opcode: XSCVDPUXDS
+/* 8510 */    MCD_OPC_FilterValue, 1, 179, 5, // Skip to: 9973
+/* 8514 */    MCD_OPC_CheckField, 16, 5, 0, 173, 5, // Skip to: 9973
+/* 8520 */    MCD_OPC_Decode, 229, 10, 98, // Opcode: XSCVSPDP
+/* 8524 */    MCD_OPC_FilterValue, 21, 31, 0, // Skip to: 8559
+/* 8528 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8531 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8545
+/* 8535 */    MCD_OPC_CheckField, 16, 5, 0, 152, 5, // Skip to: 9973
+/* 8541 */    MCD_OPC_Decode, 225, 10, 98, // Opcode: XSCVDPSXDS
+/* 8545 */    MCD_OPC_FilterValue, 1, 144, 5, // Skip to: 9973
+/* 8549 */    MCD_OPC_CheckField, 16, 5, 0, 138, 5, // Skip to: 9973
+/* 8555 */    MCD_OPC_Decode, 219, 10, 98, // Opcode: XSABSDP
+/* 8559 */    MCD_OPC_FilterValue, 22, 31, 0, // Skip to: 8594
+/* 8563 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8566 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8580
+/* 8570 */    MCD_OPC_CheckField, 16, 5, 0, 117, 5, // Skip to: 9973
+/* 8576 */    MCD_OPC_Decode, 231, 10, 98, // Opcode: XSCVUXDDP
+/* 8580 */    MCD_OPC_FilterValue, 1, 109, 5, // Skip to: 9973
+/* 8584 */    MCD_OPC_CheckField, 16, 5, 0, 103, 5, // Skip to: 9973
+/* 8590 */    MCD_OPC_Decode, 240, 10, 98, // Opcode: XSNABSDP
+/* 8594 */    MCD_OPC_FilterValue, 23, 31, 0, // Skip to: 8629
+/* 8598 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8601 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8615
+/* 8605 */    MCD_OPC_CheckField, 16, 5, 0, 82, 5, // Skip to: 9973
+/* 8611 */    MCD_OPC_Decode, 230, 10, 98, // Opcode: XSCVSXDDP
+/* 8615 */    MCD_OPC_FilterValue, 1, 74, 5, // Skip to: 9973
+/* 8619 */    MCD_OPC_CheckField, 16, 5, 0, 68, 5, // Skip to: 9973
+/* 8625 */    MCD_OPC_Decode, 241, 10, 98, // Opcode: XSNEGDP
+/* 8629 */    MCD_OPC_FilterValue, 24, 31, 0, // Skip to: 8664
+/* 8633 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8636 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8650
+/* 8640 */    MCD_OPC_CheckField, 16, 5, 0, 47, 5, // Skip to: 9973
+/* 8646 */    MCD_OPC_Decode, 155, 11, 100, // Opcode: XVCVSPUXDS
+/* 8650 */    MCD_OPC_FilterValue, 1, 39, 5, // Skip to: 9973
+/* 8654 */    MCD_OPC_CheckField, 16, 5, 0, 33, 5, // Skip to: 9973
+/* 8660 */    MCD_OPC_Decode, 147, 11, 100, // Opcode: XVCVDPSP
+/* 8664 */    MCD_OPC_FilterValue, 25, 31, 0, // Skip to: 8699
+/* 8668 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8671 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8685
+/* 8675 */    MCD_OPC_CheckField, 16, 5, 0, 12, 5, // Skip to: 9973
+/* 8681 */    MCD_OPC_Decode, 153, 11, 100, // Opcode: XVCVSPSXDS
+/* 8685 */    MCD_OPC_FilterValue, 1, 4, 5, // Skip to: 9973
+/* 8689 */    MCD_OPC_CheckField, 16, 5, 0, 254, 4, // Skip to: 9973
+/* 8695 */    MCD_OPC_Decode, 130, 11, 100, // Opcode: XVABSSP
+/* 8699 */    MCD_OPC_FilterValue, 26, 31, 0, // Skip to: 8734
+/* 8703 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8706 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8720
+/* 8710 */    MCD_OPC_CheckField, 16, 5, 0, 233, 4, // Skip to: 9973
+/* 8716 */    MCD_OPC_Decode, 162, 11, 100, // Opcode: XVCVUXDSP
+/* 8720 */    MCD_OPC_FilterValue, 1, 225, 4, // Skip to: 9973
+/* 8724 */    MCD_OPC_CheckField, 16, 5, 0, 219, 4, // Skip to: 9973
+/* 8730 */    MCD_OPC_Decode, 182, 11, 100, // Opcode: XVNABSSP
+/* 8734 */    MCD_OPC_FilterValue, 27, 31, 0, // Skip to: 8769
+/* 8738 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8741 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8755
+/* 8745 */    MCD_OPC_CheckField, 16, 5, 0, 198, 4, // Skip to: 9973
+/* 8751 */    MCD_OPC_Decode, 158, 11, 100, // Opcode: XVCVSXDSP
+/* 8755 */    MCD_OPC_FilterValue, 1, 190, 4, // Skip to: 9973
+/* 8759 */    MCD_OPC_CheckField, 16, 5, 0, 184, 4, // Skip to: 9973
+/* 8765 */    MCD_OPC_Decode, 184, 11, 100, // Opcode: XVNEGSP
+/* 8769 */    MCD_OPC_FilterValue, 28, 31, 0, // Skip to: 8804
+/* 8773 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8776 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8790
+/* 8780 */    MCD_OPC_CheckField, 16, 5, 0, 163, 4, // Skip to: 9973
+/* 8786 */    MCD_OPC_Decode, 150, 11, 100, // Opcode: XVCVDPUXDS
+/* 8790 */    MCD_OPC_FilterValue, 1, 155, 4, // Skip to: 9973
+/* 8794 */    MCD_OPC_CheckField, 16, 5, 0, 149, 4, // Skip to: 9973
+/* 8800 */    MCD_OPC_Decode, 152, 11, 100, // Opcode: XVCVSPDP
+/* 8804 */    MCD_OPC_FilterValue, 29, 31, 0, // Skip to: 8839
+/* 8808 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8811 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8825
+/* 8815 */    MCD_OPC_CheckField, 16, 5, 0, 128, 4, // Skip to: 9973
+/* 8821 */    MCD_OPC_Decode, 148, 11, 100, // Opcode: XVCVDPSXDS
+/* 8825 */    MCD_OPC_FilterValue, 1, 120, 4, // Skip to: 9973
+/* 8829 */    MCD_OPC_CheckField, 16, 5, 0, 114, 4, // Skip to: 9973
+/* 8835 */    MCD_OPC_Decode, 129, 11, 100, // Opcode: XVABSDP
+/* 8839 */    MCD_OPC_FilterValue, 30, 31, 0, // Skip to: 8874
+/* 8843 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8846 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8860
+/* 8850 */    MCD_OPC_CheckField, 16, 5, 0, 93, 4, // Skip to: 9973
+/* 8856 */    MCD_OPC_Decode, 161, 11, 100, // Opcode: XVCVUXDDP
+/* 8860 */    MCD_OPC_FilterValue, 1, 85, 4, // Skip to: 9973
+/* 8864 */    MCD_OPC_CheckField, 16, 5, 0, 79, 4, // Skip to: 9973
+/* 8870 */    MCD_OPC_Decode, 181, 11, 100, // Opcode: XVNABSDP
+/* 8874 */    MCD_OPC_FilterValue, 31, 71, 4, // Skip to: 9973
+/* 8878 */    MCD_OPC_ExtractField, 2, 2,  // Inst{3-2} ...
+/* 8881 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8895
+/* 8885 */    MCD_OPC_CheckField, 16, 5, 0, 58, 4, // Skip to: 9973
+/* 8891 */    MCD_OPC_Decode, 157, 11, 100, // Opcode: XVCVSXDDP
+/* 8895 */    MCD_OPC_FilterValue, 1, 50, 4, // Skip to: 9973
+/* 8899 */    MCD_OPC_CheckField, 16, 5, 0, 44, 4, // Skip to: 9973
+/* 8905 */    MCD_OPC_Decode, 183, 11, 100, // Opcode: XVNEGDP
+/* 8909 */    MCD_OPC_FilterValue, 3, 36, 4, // Skip to: 9973
+/* 8913 */    MCD_OPC_Decode, 227, 11, 103, // Opcode: XXSEL
+/* 8917 */    MCD_OPC_FilterValue, 62, 19, 0, // Skip to: 8940
+/* 8921 */    MCD_OPC_ExtractField, 0, 2,  // Inst{1-0} ...
+/* 8924 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 8932
+/* 8928 */    MCD_OPC_Decode, 160, 8, 85, // Opcode: STD
+/* 8932 */    MCD_OPC_FilterValue, 1, 13, 4, // Skip to: 9973
+/* 8936 */    MCD_OPC_Decode, 164, 8, 85, // Opcode: STDU
+/* 8940 */    MCD_OPC_FilterValue, 63, 5, 4, // Skip to: 9973
+/* 8944 */    MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 8947 */    MCD_OPC_FilterValue, 0, 37, 0, // Skip to: 8988
+/* 8951 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 8954 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 8968
+/* 8958 */    MCD_OPC_CheckField, 21, 2, 0, 241, 3, // Skip to: 9973
+/* 8964 */    MCD_OPC_Decode, 238, 3, 104, // Opcode: FCMPUS
+/* 8968 */    MCD_OPC_FilterValue, 2, 233, 3, // Skip to: 9973
+/* 8972 */    MCD_OPC_CheckField, 21, 2, 0, 227, 3, // Skip to: 9973
+/* 8978 */    MCD_OPC_CheckField, 11, 7, 0, 221, 3, // Skip to: 9973
+/* 8984 */    MCD_OPC_Decode, 178, 5, 23, // Opcode: MCRFS
+/* 8988 */    MCD_OPC_FilterValue, 12, 45, 0, // Skip to: 9037
+/* 8992 */    MCD_OPC_ExtractField, 6, 6,  // Inst{11-6} ...
+/* 8995 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 9009
+/* 8999 */    MCD_OPC_CheckField, 12, 9, 0, 200, 3, // Skip to: 9973
+/* 9005 */    MCD_OPC_Decode, 208, 5, 75, // Opcode: MTFSB1
+/* 9009 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 9023
+/* 9013 */    MCD_OPC_CheckField, 12, 9, 0, 186, 3, // Skip to: 9973
+/* 9019 */    MCD_OPC_Decode, 207, 5, 75, // Opcode: MTFSB0
+/* 9023 */    MCD_OPC_FilterValue, 4, 178, 3, // Skip to: 9973
+/* 9027 */    MCD_OPC_CheckField, 17, 6, 0, 172, 3, // Skip to: 9973
+/* 9033 */    MCD_OPC_Decode, 210, 5, 105, // Opcode: MTFSFI
+/* 9037 */    MCD_OPC_FilterValue, 13, 16, 0, // Skip to: 9057
+/* 9041 */    MCD_OPC_CheckField, 17, 6, 0, 158, 3, // Skip to: 9973
+/* 9047 */    MCD_OPC_CheckField, 6, 6, 4, 152, 3, // Skip to: 9973
+/* 9053 */    MCD_OPC_Decode, 211, 5, 105, // Opcode: MTFSFIo
+/* 9057 */    MCD_OPC_FilterValue, 14, 25, 0, // Skip to: 9086
+/* 9061 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9064 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 9078
+/* 9068 */    MCD_OPC_CheckField, 11, 10, 0, 131, 3, // Skip to: 9973
+/* 9074 */    MCD_OPC_Decode, 184, 5, 106, // Opcode: MFFS
+/* 9078 */    MCD_OPC_FilterValue, 22, 123, 3, // Skip to: 9973
+/* 9082 */    MCD_OPC_Decode, 209, 5, 107, // Opcode: MTFSF
+/* 9086 */    MCD_OPC_FilterValue, 15, 25, 0, // Skip to: 9115
+/* 9090 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9093 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 9107
+/* 9097 */    MCD_OPC_CheckField, 11, 10, 0, 102, 3, // Skip to: 9973
+/* 9103 */    MCD_OPC_Decode, 185, 5, 106, // Opcode: MFFSo
+/* 9107 */    MCD_OPC_FilterValue, 22, 94, 3, // Skip to: 9973
+/* 9111 */    MCD_OPC_Decode, 213, 5, 107, // Opcode: MTFSFo
+/* 9115 */    MCD_OPC_FilterValue, 16, 123, 0, // Skip to: 9242
+/* 9119 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9122 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 9130
+/* 9126 */    MCD_OPC_Decode, 241, 3, 87, // Opcode: FCPSGNS
+/* 9130 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 9144
+/* 9134 */    MCD_OPC_CheckField, 16, 5, 0, 65, 3, // Skip to: 9973
+/* 9140 */    MCD_OPC_Decode, 151, 4, 88, // Opcode: FNEGS
+/* 9144 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 9158
+/* 9148 */    MCD_OPC_CheckField, 16, 5, 0, 51, 3, // Skip to: 9973
+/* 9154 */    MCD_OPC_Decode, 135, 4, 88, // Opcode: FMR
+/* 9158 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 9172
+/* 9162 */    MCD_OPC_CheckField, 16, 5, 0, 37, 3, // Skip to: 9973
+/* 9168 */    MCD_OPC_Decode, 147, 4, 88, // Opcode: FNABSS
+/* 9172 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 9186
+/* 9176 */    MCD_OPC_CheckField, 16, 5, 0, 23, 3, // Skip to: 9973
+/* 9182 */    MCD_OPC_Decode, 222, 3, 88, // Opcode: FABSS
+/* 9186 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 9200
+/* 9190 */    MCD_OPC_CheckField, 16, 5, 0, 9, 3, // Skip to: 9973
+/* 9196 */    MCD_OPC_Decode, 171, 4, 88, // Opcode: FRINS
+/* 9200 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 9214
+/* 9204 */    MCD_OPC_CheckField, 16, 5, 0, 251, 2, // Skip to: 9973
+/* 9210 */    MCD_OPC_Decode, 179, 4, 88, // Opcode: FRIZS
+/* 9214 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 9228
+/* 9218 */    MCD_OPC_CheckField, 16, 5, 0, 237, 2, // Skip to: 9973
+/* 9224 */    MCD_OPC_Decode, 175, 4, 88, // Opcode: FRIPS
+/* 9228 */    MCD_OPC_FilterValue, 15, 229, 2, // Skip to: 9973
+/* 9232 */    MCD_OPC_CheckField, 16, 5, 0, 223, 2, // Skip to: 9973
+/* 9238 */    MCD_OPC_Decode, 167, 4, 88, // Opcode: FRIMS
+/* 9242 */    MCD_OPC_FilterValue, 17, 123, 0, // Skip to: 9369
+/* 9246 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9249 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 9257
+/* 9253 */    MCD_OPC_Decode, 242, 3, 87, // Opcode: FCPSGNSo
+/* 9257 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 9271
+/* 9261 */    MCD_OPC_CheckField, 16, 5, 0, 194, 2, // Skip to: 9973
+/* 9267 */    MCD_OPC_Decode, 152, 4, 88, // Opcode: FNEGSo
+/* 9271 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 9285
+/* 9275 */    MCD_OPC_CheckField, 16, 5, 0, 180, 2, // Skip to: 9973
+/* 9281 */    MCD_OPC_Decode, 136, 4, 88, // Opcode: FMRo
+/* 9285 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 9299
+/* 9289 */    MCD_OPC_CheckField, 16, 5, 0, 166, 2, // Skip to: 9973
+/* 9295 */    MCD_OPC_Decode, 148, 4, 88, // Opcode: FNABSSo
+/* 9299 */    MCD_OPC_FilterValue, 8, 10, 0, // Skip to: 9313
+/* 9303 */    MCD_OPC_CheckField, 16, 5, 0, 152, 2, // Skip to: 9973
+/* 9309 */    MCD_OPC_Decode, 223, 3, 88, // Opcode: FABSSo
+/* 9313 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 9327
+/* 9317 */    MCD_OPC_CheckField, 16, 5, 0, 138, 2, // Skip to: 9973
+/* 9323 */    MCD_OPC_Decode, 172, 4, 88, // Opcode: FRINSo
+/* 9327 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 9341
+/* 9331 */    MCD_OPC_CheckField, 16, 5, 0, 124, 2, // Skip to: 9973
+/* 9337 */    MCD_OPC_Decode, 180, 4, 88, // Opcode: FRIZSo
+/* 9341 */    MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 9355
+/* 9345 */    MCD_OPC_CheckField, 16, 5, 0, 110, 2, // Skip to: 9973
+/* 9351 */    MCD_OPC_Decode, 176, 4, 88, // Opcode: FRIPSo
+/* 9355 */    MCD_OPC_FilterValue, 15, 102, 2, // Skip to: 9973
+/* 9359 */    MCD_OPC_CheckField, 16, 5, 0, 96, 2, // Skip to: 9973
+/* 9365 */    MCD_OPC_Decode, 168, 4, 88, // Opcode: FRIMSo
+/* 9369 */    MCD_OPC_FilterValue, 24, 16, 0, // Skip to: 9389
+/* 9373 */    MCD_OPC_CheckField, 16, 5, 0, 82, 2, // Skip to: 9973
+/* 9379 */    MCD_OPC_CheckField, 6, 5, 0, 76, 2, // Skip to: 9973
+/* 9385 */    MCD_OPC_Decode, 181, 4, 86, // Opcode: FRSP
+/* 9389 */    MCD_OPC_FilterValue, 25, 16, 0, // Skip to: 9409
+/* 9393 */    MCD_OPC_CheckField, 16, 5, 0, 62, 2, // Skip to: 9973
+/* 9399 */    MCD_OPC_CheckField, 6, 5, 0, 56, 2, // Skip to: 9973
+/* 9405 */    MCD_OPC_Decode, 182, 4, 86, // Opcode: FRSPo
+/* 9409 */    MCD_OPC_FilterValue, 28, 59, 0, // Skip to: 9472
+/* 9413 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9416 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 9430
+/* 9420 */    MCD_OPC_CheckField, 16, 5, 0, 35, 2, // Skip to: 9973
+/* 9426 */    MCD_OPC_Decode, 249, 3, 108, // Opcode: FCTIW
+/* 9430 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 9444
+/* 9434 */    MCD_OPC_CheckField, 16, 5, 0, 21, 2, // Skip to: 9973
+/* 9440 */    MCD_OPC_Decode, 243, 3, 108, // Opcode: FCTID
+/* 9444 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 9458
+/* 9448 */    MCD_OPC_CheckField, 16, 5, 0, 7, 2, // Skip to: 9973
+/* 9454 */    MCD_OPC_Decode, 229, 3, 108, // Opcode: FCFID
+/* 9458 */    MCD_OPC_FilterValue, 30, 255, 1, // Skip to: 9973
+/* 9462 */    MCD_OPC_CheckField, 16, 5, 0, 249, 1, // Skip to: 9973
+/* 9468 */    MCD_OPC_Decode, 232, 3, 108, // Opcode: FCFIDU
+/* 9472 */    MCD_OPC_FilterValue, 29, 59, 0, // Skip to: 9535
+/* 9476 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9479 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 9493
+/* 9483 */    MCD_OPC_CheckField, 16, 5, 0, 228, 1, // Skip to: 9973
+/* 9489 */    MCD_OPC_Decode, 254, 3, 108, // Opcode: FCTIWo
+/* 9493 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 9507
+/* 9497 */    MCD_OPC_CheckField, 16, 5, 0, 214, 1, // Skip to: 9973
+/* 9503 */    MCD_OPC_Decode, 248, 3, 108, // Opcode: FCTIDo
+/* 9507 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 9521
+/* 9511 */    MCD_OPC_CheckField, 16, 5, 0, 200, 1, // Skip to: 9973
+/* 9517 */    MCD_OPC_Decode, 236, 3, 108, // Opcode: FCFIDo
+/* 9521 */    MCD_OPC_FilterValue, 30, 192, 1, // Skip to: 9973
+/* 9525 */    MCD_OPC_CheckField, 16, 5, 0, 186, 1, // Skip to: 9973
+/* 9531 */    MCD_OPC_Decode, 235, 3, 108, // Opcode: FCFIDUo
+/* 9535 */    MCD_OPC_FilterValue, 30, 59, 0, // Skip to: 9598
+/* 9539 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9542 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 9556
+/* 9546 */    MCD_OPC_CheckField, 16, 5, 0, 165, 1, // Skip to: 9973
+/* 9552 */    MCD_OPC_Decode, 252, 3, 108, // Opcode: FCTIWZ
+/* 9556 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 9570
+/* 9560 */    MCD_OPC_CheckField, 16, 5, 0, 151, 1, // Skip to: 9973
+/* 9566 */    MCD_OPC_Decode, 250, 3, 108, // Opcode: FCTIWUZ
+/* 9570 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 9584
+/* 9574 */    MCD_OPC_CheckField, 16, 5, 0, 137, 1, // Skip to: 9973
+/* 9580 */    MCD_OPC_Decode, 246, 3, 108, // Opcode: FCTIDZ
+/* 9584 */    MCD_OPC_FilterValue, 29, 129, 1, // Skip to: 9973
+/* 9588 */    MCD_OPC_CheckField, 16, 5, 0, 123, 1, // Skip to: 9973
+/* 9594 */    MCD_OPC_Decode, 244, 3, 108, // Opcode: FCTIDUZ
+/* 9598 */    MCD_OPC_FilterValue, 31, 59, 0, // Skip to: 9661
+/* 9602 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 9605 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 9619
+/* 9609 */    MCD_OPC_CheckField, 16, 5, 0, 102, 1, // Skip to: 9973
+/* 9615 */    MCD_OPC_Decode, 253, 3, 108, // Opcode: FCTIWZo
+/* 9619 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 9633
+/* 9623 */    MCD_OPC_CheckField, 16, 5, 0, 88, 1, // Skip to: 9973
+/* 9629 */    MCD_OPC_Decode, 251, 3, 108, // Opcode: FCTIWUZo
+/* 9633 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 9647
+/* 9637 */    MCD_OPC_CheckField, 16, 5, 0, 74, 1, // Skip to: 9973
+/* 9643 */    MCD_OPC_Decode, 247, 3, 108, // Opcode: FCTIDZo
+/* 9647 */    MCD_OPC_FilterValue, 29, 66, 1, // Skip to: 9973
+/* 9651 */    MCD_OPC_CheckField, 16, 5, 0, 60, 1, // Skip to: 9973
+/* 9657 */    MCD_OPC_Decode, 245, 3, 108, // Opcode: FCTIDUZo
+/* 9661 */    MCD_OPC_FilterValue, 36, 10, 0, // Skip to: 9675
+/* 9665 */    MCD_OPC_CheckField, 6, 5, 0, 46, 1, // Skip to: 9973
+/* 9671 */    MCD_OPC_Decode, 255, 3, 109, // Opcode: FDIV
+/* 9675 */    MCD_OPC_FilterValue, 37, 10, 0, // Skip to: 9689
+/* 9679 */    MCD_OPC_CheckField, 6, 5, 0, 32, 1, // Skip to: 9973
+/* 9685 */    MCD_OPC_Decode, 130, 4, 109, // Opcode: FDIVo
+/* 9689 */    MCD_OPC_FilterValue, 40, 10, 0, // Skip to: 9703
+/* 9693 */    MCD_OPC_CheckField, 6, 5, 0, 18, 1, // Skip to: 9973
+/* 9699 */    MCD_OPC_Decode, 195, 4, 109, // Opcode: FSUB
+/* 9703 */    MCD_OPC_FilterValue, 41, 10, 0, // Skip to: 9717
+/* 9707 */    MCD_OPC_CheckField, 6, 5, 0, 4, 1, // Skip to: 9973
+/* 9713 */    MCD_OPC_Decode, 198, 4, 109, // Opcode: FSUBo
+/* 9717 */    MCD_OPC_FilterValue, 42, 10, 0, // Skip to: 9731
+/* 9721 */    MCD_OPC_CheckField, 6, 5, 0, 246, 0, // Skip to: 9973
+/* 9727 */    MCD_OPC_Decode, 224, 3, 109, // Opcode: FADD
+/* 9731 */    MCD_OPC_FilterValue, 43, 10, 0, // Skip to: 9745
+/* 9735 */    MCD_OPC_CheckField, 6, 5, 0, 232, 0, // Skip to: 9973
+/* 9741 */    MCD_OPC_Decode, 227, 3, 109, // Opcode: FADDo
+/* 9745 */    MCD_OPC_FilterValue, 44, 16, 0, // Skip to: 9765
+/* 9749 */    MCD_OPC_CheckField, 16, 5, 0, 218, 0, // Skip to: 9973
+/* 9755 */    MCD_OPC_CheckField, 6, 5, 0, 212, 0, // Skip to: 9973
+/* 9761 */    MCD_OPC_Decode, 191, 4, 108, // Opcode: FSQRT
+/* 9765 */    MCD_OPC_FilterValue, 45, 16, 0, // Skip to: 9785
+/* 9769 */    MCD_OPC_CheckField, 16, 5, 0, 198, 0, // Skip to: 9973
+/* 9775 */    MCD_OPC_CheckField, 6, 5, 0, 192, 0, // Skip to: 9973
+/* 9781 */    MCD_OPC_Decode, 194, 4, 108, // Opcode: FSQRTo
+/* 9785 */    MCD_OPC_FilterValue, 46, 4, 0, // Skip to: 9793
+/* 9789 */    MCD_OPC_Decode, 189, 4, 110, // Opcode: FSELS
+/* 9793 */    MCD_OPC_FilterValue, 47, 4, 0, // Skip to: 9801
+/* 9797 */    MCD_OPC_Decode, 190, 4, 110, // Opcode: FSELSo
+/* 9801 */    MCD_OPC_FilterValue, 48, 16, 0, // Skip to: 9821
+/* 9805 */    MCD_OPC_CheckField, 16, 5, 0, 162, 0, // Skip to: 9973
+/* 9811 */    MCD_OPC_CheckField, 6, 5, 0, 156, 0, // Skip to: 9973
+/* 9817 */    MCD_OPC_Decode, 161, 4, 108, // Opcode: FRE
+/* 9821 */    MCD_OPC_FilterValue, 49, 16, 0, // Skip to: 9841
+/* 9825 */    MCD_OPC_CheckField, 16, 5, 0, 142, 0, // Skip to: 9973
+/* 9831 */    MCD_OPC_CheckField, 6, 5, 0, 136, 0, // Skip to: 9973
+/* 9837 */    MCD_OPC_Decode, 164, 4, 108, // Opcode: FREo
+/* 9841 */    MCD_OPC_FilterValue, 50, 10, 0, // Skip to: 9855
+/* 9845 */    MCD_OPC_CheckField, 11, 5, 0, 122, 0, // Skip to: 9973
+/* 9851 */    MCD_OPC_Decode, 141, 4, 111, // Opcode: FMUL
+/* 9855 */    MCD_OPC_FilterValue, 51, 10, 0, // Skip to: 9869
+/* 9859 */    MCD_OPC_CheckField, 11, 5, 0, 108, 0, // Skip to: 9973
+/* 9865 */    MCD_OPC_Decode, 144, 4, 111, // Opcode: FMULo
+/* 9869 */    MCD_OPC_FilterValue, 52, 16, 0, // Skip to: 9889
+/* 9873 */    MCD_OPC_CheckField, 16, 5, 0, 94, 0, // Skip to: 9973
+/* 9879 */    MCD_OPC_CheckField, 6, 5, 0, 88, 0, // Skip to: 9973
+/* 9885 */    MCD_OPC_Decode, 183, 4, 108, // Opcode: FRSQRTE
+/* 9889 */    MCD_OPC_FilterValue, 53, 16, 0, // Skip to: 9909
+/* 9893 */    MCD_OPC_CheckField, 16, 5, 0, 74, 0, // Skip to: 9973
+/* 9899 */    MCD_OPC_CheckField, 6, 5, 0, 68, 0, // Skip to: 9973
+/* 9905 */    MCD_OPC_Decode, 186, 4, 108, // Opcode: FRSQRTEo
+/* 9909 */    MCD_OPC_FilterValue, 56, 4, 0, // Skip to: 9917
+/* 9913 */    MCD_OPC_Decode, 137, 4, 112, // Opcode: FMSUB
+/* 9917 */    MCD_OPC_FilterValue, 57, 4, 0, // Skip to: 9925
+/* 9921 */    MCD_OPC_Decode, 140, 4, 112, // Opcode: FMSUBo
+/* 9925 */    MCD_OPC_FilterValue, 58, 4, 0, // Skip to: 9933
+/* 9929 */    MCD_OPC_Decode, 131, 4, 112, // Opcode: FMADD
+/* 9933 */    MCD_OPC_FilterValue, 59, 4, 0, // Skip to: 9941
+/* 9937 */    MCD_OPC_Decode, 134, 4, 112, // Opcode: FMADDo
+/* 9941 */    MCD_OPC_FilterValue, 60, 4, 0, // Skip to: 9949
+/* 9945 */    MCD_OPC_Decode, 157, 4, 112, // Opcode: FNMSUB
+/* 9949 */    MCD_OPC_FilterValue, 61, 4, 0, // Skip to: 9957
+/* 9953 */    MCD_OPC_Decode, 160, 4, 112, // Opcode: FNMSUBo
+/* 9957 */    MCD_OPC_FilterValue, 62, 4, 0, // Skip to: 9965
+/* 9961 */    MCD_OPC_Decode, 153, 4, 112, // Opcode: FNMADD
+/* 9965 */    MCD_OPC_FilterValue, 63, 4, 0, // Skip to: 9973
+/* 9969 */    MCD_OPC_Decode, 156, 4, 112, // Opcode: FNMADDo
+/* 9973 */    MCD_OPC_Fail,
   0
 };
 
+static uint8_t DecoderTableQPX32[] = {
+/* 0 */       MCD_OPC_ExtractField, 0, 6,  // Inst{5-0} ...
+/* 3 */       MCD_OPC_FilterValue, 0, 59, 0, // Skip to: 66
+/* 7 */       MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 10 */      MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 24
+/* 14 */      MCD_OPC_CheckField, 26, 6, 4, 68, 7, // Skip to: 1880
+/* 20 */      MCD_OPC_Decode, 163, 6, 113, // Opcode: QVFCMPEQb
+/* 24 */      MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 38
+/* 28 */      MCD_OPC_CheckField, 26, 6, 4, 54, 7, // Skip to: 1880
+/* 34 */      MCD_OPC_Decode, 166, 6, 113, // Opcode: QVFCMPGTb
+/* 38 */      MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 52
+/* 42 */      MCD_OPC_CheckField, 26, 6, 4, 40, 7, // Skip to: 1880
+/* 48 */      MCD_OPC_Decode, 233, 6, 113, // Opcode: QVFTSTNANb
+/* 52 */      MCD_OPC_FilterValue, 3, 32, 7, // Skip to: 1880
+/* 56 */      MCD_OPC_CheckField, 26, 6, 4, 26, 7, // Skip to: 1880
+/* 62 */      MCD_OPC_Decode, 169, 6, 113, // Opcode: QVFCMPLTb
+/* 66 */      MCD_OPC_FilterValue, 2, 19, 0, // Skip to: 89
+/* 70 */      MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 73 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 81
+/* 77 */      MCD_OPC_Decode, 242, 6, 114, // Opcode: QVFXXMADDS
+/* 81 */      MCD_OPC_FilterValue, 4, 3, 7, // Skip to: 1880
+/* 85 */      MCD_OPC_Decode, 241, 6, 114, // Opcode: QVFXXMADD
+/* 89 */      MCD_OPC_FilterValue, 6, 19, 0, // Skip to: 112
+/* 93 */      MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 96 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 104
+/* 100 */     MCD_OPC_Decode, 240, 6, 114, // Opcode: QVFXXCPNMADDS
+/* 104 */     MCD_OPC_FilterValue, 4, 236, 6, // Skip to: 1880
+/* 108 */     MCD_OPC_Decode, 239, 6, 114, // Opcode: QVFXXCPNMADD
+/* 112 */     MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 132
+/* 116 */     MCD_OPC_CheckField, 26, 6, 4, 222, 6, // Skip to: 1880
+/* 122 */     MCD_OPC_CheckField, 6, 1, 0, 216, 6, // Skip to: 1880
+/* 128 */     MCD_OPC_Decode, 183, 6, 115, // Opcode: QVFLOGICALb
+/* 132 */     MCD_OPC_FilterValue, 10, 180, 0, // Skip to: 316
+/* 136 */     MCD_OPC_ExtractField, 6, 3,  // Inst{8-6} ...
+/* 139 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 153
+/* 143 */     MCD_OPC_CheckField, 26, 6, 4, 195, 6, // Skip to: 1880
+/* 149 */     MCD_OPC_Decode, 146, 6, 116, // Opcode: QVALIGNI
+/* 153 */     MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 173
+/* 157 */     MCD_OPC_CheckField, 26, 6, 4, 181, 6, // Skip to: 1880
+/* 163 */     MCD_OPC_CheckField, 11, 5, 0, 175, 6, // Skip to: 1880
+/* 169 */     MCD_OPC_Decode, 149, 6, 117, // Opcode: QVESPLATI
+/* 173 */     MCD_OPC_FilterValue, 4, 34, 0, // Skip to: 211
+/* 177 */     MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 180 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 188
+/* 184 */     MCD_OPC_Decode, 245, 6, 118, // Opcode: QVGPCI
+/* 188 */     MCD_OPC_FilterValue, 31, 152, 6, // Skip to: 1880
+/* 192 */     MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
+/* 195 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 203
+/* 199 */     MCD_OPC_Decode, 161, 7, 119, // Opcode: QVSTFCSXI
+/* 203 */     MCD_OPC_FilterValue, 2, 137, 6, // Skip to: 1880
+/* 207 */     MCD_OPC_Decode, 182, 7, 119, // Opcode: QVSTFSXI
+/* 211 */     MCD_OPC_FilterValue, 5, 31, 0, // Skip to: 246
+/* 215 */     MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
+/* 218 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 232
+/* 222 */     MCD_OPC_CheckField, 26, 6, 31, 116, 6, // Skip to: 1880
+/* 228 */     MCD_OPC_Decode, 157, 7, 119, // Opcode: QVSTFCSUXI
+/* 232 */     MCD_OPC_FilterValue, 2, 108, 6, // Skip to: 1880
+/* 236 */     MCD_OPC_CheckField, 26, 6, 31, 102, 6, // Skip to: 1880
+/* 242 */     MCD_OPC_Decode, 177, 7, 119, // Opcode: QVSTFSUXI
+/* 246 */     MCD_OPC_FilterValue, 6, 31, 0, // Skip to: 281
+/* 250 */     MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
+/* 253 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 267
+/* 257 */     MCD_OPC_CheckField, 26, 6, 31, 81, 6, // Skip to: 1880
+/* 263 */     MCD_OPC_Decode, 153, 7, 119, // Opcode: QVSTFCDXI
+/* 267 */     MCD_OPC_FilterValue, 2, 73, 6, // Skip to: 1880
+/* 271 */     MCD_OPC_CheckField, 26, 6, 31, 67, 6, // Skip to: 1880
+/* 277 */     MCD_OPC_Decode, 170, 7, 119, // Opcode: QVSTFDXI
+/* 281 */     MCD_OPC_FilterValue, 7, 59, 6, // Skip to: 1880
+/* 285 */     MCD_OPC_ExtractField, 9, 2,  // Inst{10-9} ...
+/* 288 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 302
+/* 292 */     MCD_OPC_CheckField, 26, 6, 31, 46, 6, // Skip to: 1880
+/* 298 */     MCD_OPC_Decode, 149, 7, 119, // Opcode: QVSTFCDUXI
+/* 302 */     MCD_OPC_FilterValue, 2, 38, 6, // Skip to: 1880
+/* 306 */     MCD_OPC_CheckField, 26, 6, 31, 32, 6, // Skip to: 1880
+/* 312 */     MCD_OPC_Decode, 166, 7, 119, // Opcode: QVSTFDUXI
+/* 316 */     MCD_OPC_FilterValue, 11, 115, 0, // Skip to: 435
+/* 320 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 323 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 337
+/* 327 */     MCD_OPC_CheckField, 26, 6, 31, 11, 6, // Skip to: 1880
+/* 333 */     MCD_OPC_Decode, 162, 7, 119, // Opcode: QVSTFCSXIA
+/* 337 */     MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 351
+/* 341 */     MCD_OPC_CheckField, 26, 6, 31, 253, 5, // Skip to: 1880
+/* 347 */     MCD_OPC_Decode, 158, 7, 119, // Opcode: QVSTFCSUXIA
+/* 351 */     MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 365
+/* 355 */     MCD_OPC_CheckField, 26, 6, 31, 239, 5, // Skip to: 1880
+/* 361 */     MCD_OPC_Decode, 154, 7, 119, // Opcode: QVSTFCDXIA
+/* 365 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 379
+/* 369 */     MCD_OPC_CheckField, 26, 6, 31, 225, 5, // Skip to: 1880
+/* 375 */     MCD_OPC_Decode, 150, 7, 119, // Opcode: QVSTFCDUXIA
+/* 379 */     MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 393
+/* 383 */     MCD_OPC_CheckField, 26, 6, 31, 211, 5, // Skip to: 1880
+/* 389 */     MCD_OPC_Decode, 183, 7, 119, // Opcode: QVSTFSXIA
+/* 393 */     MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 407
+/* 397 */     MCD_OPC_CheckField, 26, 6, 31, 197, 5, // Skip to: 1880
+/* 403 */     MCD_OPC_Decode, 178, 7, 119, // Opcode: QVSTFSUXIA
+/* 407 */     MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 421
+/* 411 */     MCD_OPC_CheckField, 26, 6, 31, 183, 5, // Skip to: 1880
+/* 417 */     MCD_OPC_Decode, 171, 7, 119, // Opcode: QVSTFDXIA
+/* 421 */     MCD_OPC_FilterValue, 23, 175, 5, // Skip to: 1880
+/* 425 */     MCD_OPC_CheckField, 26, 6, 31, 169, 5, // Skip to: 1880
+/* 431 */     MCD_OPC_Decode, 167, 7, 119, // Opcode: QVSTFDUXIA
+/* 435 */     MCD_OPC_FilterValue, 12, 50, 0, // Skip to: 489
+/* 439 */     MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 442 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 450
+/* 446 */     MCD_OPC_Decode, 207, 6, 114, // Opcode: QVFPERM
+/* 450 */     MCD_OPC_FilterValue, 31, 146, 5, // Skip to: 1880
+/* 454 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 457 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 465
+/* 461 */     MCD_OPC_Decode, 146, 7, 119, // Opcode: QVLPCRSX
+/* 465 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 473
+/* 469 */     MCD_OPC_Decode, 145, 7, 119, // Opcode: QVLPCRDX
+/* 473 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 481
+/* 477 */     MCD_OPC_Decode, 143, 7, 119, // Opcode: QVLPCLSX
+/* 481 */     MCD_OPC_FilterValue, 18, 115, 5, // Skip to: 1880
+/* 485 */     MCD_OPC_Decode, 142, 7, 119, // Opcode: QVLPCLDX
+/* 489 */     MCD_OPC_FilterValue, 14, 13, 1, // Skip to: 762
+/* 493 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 496 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 510
+/* 500 */     MCD_OPC_CheckField, 26, 6, 31, 94, 5, // Skip to: 1880
+/* 506 */     MCD_OPC_Decode, 252, 6, 119, // Opcode: QVLFCSX
+/* 510 */     MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 524
+/* 514 */     MCD_OPC_CheckField, 26, 6, 31, 80, 5, // Skip to: 1880
+/* 520 */     MCD_OPC_Decode, 250, 6, 119, // Opcode: QVLFCSUX
+/* 524 */     MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 538
+/* 528 */     MCD_OPC_CheckField, 26, 6, 31, 66, 5, // Skip to: 1880
+/* 534 */     MCD_OPC_Decode, 248, 6, 119, // Opcode: QVLFCDX
+/* 538 */     MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 552
+/* 542 */     MCD_OPC_CheckField, 26, 6, 31, 52, 5, // Skip to: 1880
+/* 548 */     MCD_OPC_Decode, 246, 6, 119, // Opcode: QVLFCDUX
+/* 552 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 566
+/* 556 */     MCD_OPC_CheckField, 26, 6, 31, 38, 5, // Skip to: 1880
+/* 562 */     MCD_OPC_Decode, 159, 7, 119, // Opcode: QVSTFCSX
+/* 566 */     MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 580
+/* 570 */     MCD_OPC_CheckField, 26, 6, 31, 24, 5, // Skip to: 1880
+/* 576 */     MCD_OPC_Decode, 155, 7, 119, // Opcode: QVSTFCSUX
+/* 580 */     MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 594
+/* 584 */     MCD_OPC_CheckField, 26, 6, 31, 10, 5, // Skip to: 1880
+/* 590 */     MCD_OPC_Decode, 151, 7, 119, // Opcode: QVSTFCDX
+/* 594 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 608
+/* 598 */     MCD_OPC_CheckField, 26, 6, 31, 252, 4, // Skip to: 1880
+/* 604 */     MCD_OPC_Decode, 147, 7, 119, // Opcode: QVSTFCDUX
+/* 608 */     MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 622
+/* 612 */     MCD_OPC_CheckField, 26, 6, 31, 238, 4, // Skip to: 1880
+/* 618 */     MCD_OPC_Decode, 138, 7, 119, // Opcode: QVLFSX
+/* 622 */     MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 636
+/* 626 */     MCD_OPC_CheckField, 26, 6, 31, 224, 4, // Skip to: 1880
+/* 632 */     MCD_OPC_Decode, 136, 7, 120, // Opcode: QVLFSUX
+/* 636 */     MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 650
+/* 640 */     MCD_OPC_CheckField, 26, 6, 31, 210, 4, // Skip to: 1880
+/* 646 */     MCD_OPC_Decode, 129, 7, 119, // Opcode: QVLFDX
+/* 650 */     MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 664
+/* 654 */     MCD_OPC_CheckField, 26, 6, 31, 196, 4, // Skip to: 1880
+/* 660 */     MCD_OPC_Decode, 255, 6, 121, // Opcode: QVLFDUX
+/* 664 */     MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 678
+/* 668 */     MCD_OPC_CheckField, 26, 6, 31, 182, 4, // Skip to: 1880
+/* 674 */     MCD_OPC_Decode, 180, 7, 119, // Opcode: QVSTFSX
+/* 678 */     MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 692
+/* 682 */     MCD_OPC_CheckField, 26, 6, 31, 168, 4, // Skip to: 1880
+/* 688 */     MCD_OPC_Decode, 175, 7, 122, // Opcode: QVSTFSUX
+/* 692 */     MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 706
+/* 696 */     MCD_OPC_CheckField, 26, 6, 31, 154, 4, // Skip to: 1880
+/* 702 */     MCD_OPC_Decode, 168, 7, 119, // Opcode: QVSTFDX
+/* 706 */     MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 720
+/* 710 */     MCD_OPC_CheckField, 26, 6, 31, 140, 4, // Skip to: 1880
+/* 716 */     MCD_OPC_Decode, 164, 7, 123, // Opcode: QVSTFDUX
+/* 720 */     MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 734
+/* 724 */     MCD_OPC_CheckField, 26, 6, 31, 126, 4, // Skip to: 1880
+/* 730 */     MCD_OPC_Decode, 134, 7, 119, // Opcode: QVLFIWZX
+/* 734 */     MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 748
+/* 738 */     MCD_OPC_CheckField, 26, 6, 31, 112, 4, // Skip to: 1880
+/* 744 */     MCD_OPC_Decode, 132, 7, 119, // Opcode: QVLFIWAX
+/* 748 */     MCD_OPC_FilterValue, 30, 104, 4, // Skip to: 1880
+/* 752 */     MCD_OPC_CheckField, 26, 6, 31, 98, 4, // Skip to: 1880
+/* 758 */     MCD_OPC_Decode, 173, 7, 119, // Opcode: QVSTFIWX
+/* 762 */     MCD_OPC_FilterValue, 15, 13, 1, // Skip to: 1035
+/* 766 */     MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 769 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 783
+/* 773 */     MCD_OPC_CheckField, 26, 6, 31, 77, 4, // Skip to: 1880
+/* 779 */     MCD_OPC_Decode, 253, 6, 119, // Opcode: QVLFCSXA
+/* 783 */     MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 797
+/* 787 */     MCD_OPC_CheckField, 26, 6, 31, 63, 4, // Skip to: 1880
+/* 793 */     MCD_OPC_Decode, 251, 6, 119, // Opcode: QVLFCSUXA
+/* 797 */     MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 811
+/* 801 */     MCD_OPC_CheckField, 26, 6, 31, 49, 4, // Skip to: 1880
+/* 807 */     MCD_OPC_Decode, 249, 6, 119, // Opcode: QVLFCDXA
+/* 811 */     MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 825
+/* 815 */     MCD_OPC_CheckField, 26, 6, 31, 35, 4, // Skip to: 1880
+/* 821 */     MCD_OPC_Decode, 247, 6, 119, // Opcode: QVLFCDUXA
+/* 825 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 839
+/* 829 */     MCD_OPC_CheckField, 26, 6, 31, 21, 4, // Skip to: 1880
+/* 835 */     MCD_OPC_Decode, 160, 7, 119, // Opcode: QVSTFCSXA
+/* 839 */     MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 853
+/* 843 */     MCD_OPC_CheckField, 26, 6, 31, 7, 4, // Skip to: 1880
+/* 849 */     MCD_OPC_Decode, 156, 7, 119, // Opcode: QVSTFCSUXA
+/* 853 */     MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 867
+/* 857 */     MCD_OPC_CheckField, 26, 6, 31, 249, 3, // Skip to: 1880
+/* 863 */     MCD_OPC_Decode, 152, 7, 119, // Opcode: QVSTFCDXA
+/* 867 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 881
+/* 871 */     MCD_OPC_CheckField, 26, 6, 31, 235, 3, // Skip to: 1880
+/* 877 */     MCD_OPC_Decode, 148, 7, 119, // Opcode: QVSTFCDUXA
+/* 881 */     MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 895
+/* 885 */     MCD_OPC_CheckField, 26, 6, 31, 221, 3, // Skip to: 1880
+/* 891 */     MCD_OPC_Decode, 139, 7, 119, // Opcode: QVLFSXA
+/* 895 */     MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 909
+/* 899 */     MCD_OPC_CheckField, 26, 6, 31, 207, 3, // Skip to: 1880
+/* 905 */     MCD_OPC_Decode, 137, 7, 119, // Opcode: QVLFSUXA
+/* 909 */     MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 923
+/* 913 */     MCD_OPC_CheckField, 26, 6, 31, 193, 3, // Skip to: 1880
+/* 919 */     MCD_OPC_Decode, 130, 7, 119, // Opcode: QVLFDXA
+/* 923 */     MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 937
+/* 927 */     MCD_OPC_CheckField, 26, 6, 31, 179, 3, // Skip to: 1880
+/* 933 */     MCD_OPC_Decode, 128, 7, 119, // Opcode: QVLFDUXA
+/* 937 */     MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 951
+/* 941 */     MCD_OPC_CheckField, 26, 6, 31, 165, 3, // Skip to: 1880
+/* 947 */     MCD_OPC_Decode, 181, 7, 119, // Opcode: QVSTFSXA
+/* 951 */     MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 965
+/* 955 */     MCD_OPC_CheckField, 26, 6, 31, 151, 3, // Skip to: 1880
+/* 961 */     MCD_OPC_Decode, 176, 7, 119, // Opcode: QVSTFSUXA
+/* 965 */     MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 979
+/* 969 */     MCD_OPC_CheckField, 26, 6, 31, 137, 3, // Skip to: 1880
+/* 975 */     MCD_OPC_Decode, 169, 7, 119, // Opcode: QVSTFDXA
+/* 979 */     MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 993
+/* 983 */     MCD_OPC_CheckField, 26, 6, 31, 123, 3, // Skip to: 1880
+/* 989 */     MCD_OPC_Decode, 165, 7, 119, // Opcode: QVSTFDUXA
+/* 993 */     MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 1007
+/* 997 */     MCD_OPC_CheckField, 26, 6, 31, 109, 3, // Skip to: 1880
+/* 1003 */    MCD_OPC_Decode, 135, 7, 119, // Opcode: QVLFIWZXA
+/* 1007 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 1021
+/* 1011 */    MCD_OPC_CheckField, 26, 6, 31, 95, 3, // Skip to: 1880
+/* 1017 */    MCD_OPC_Decode, 133, 7, 119, // Opcode: QVLFIWAXA
+/* 1021 */    MCD_OPC_FilterValue, 30, 87, 3, // Skip to: 1880
+/* 1025 */    MCD_OPC_CheckField, 26, 6, 31, 81, 3, // Skip to: 1880
+/* 1031 */    MCD_OPC_Decode, 174, 7, 119, // Opcode: QVSTFIWXA
+/* 1035 */    MCD_OPC_FilterValue, 16, 177, 0, // Skip to: 1216
+/* 1039 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1042 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1056
+/* 1046 */    MCD_OPC_CheckField, 26, 6, 4, 60, 3, // Skip to: 1880
+/* 1052 */    MCD_OPC_Decode, 171, 6, 124, // Opcode: QVFCPSGN
+/* 1056 */    MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 1076
+/* 1060 */    MCD_OPC_CheckField, 26, 6, 4, 46, 3, // Skip to: 1880
+/* 1066 */    MCD_OPC_CheckField, 16, 5, 0, 40, 3, // Skip to: 1880
+/* 1072 */    MCD_OPC_Decode, 199, 6, 125, // Opcode: QVFNEG
+/* 1076 */    MCD_OPC_FilterValue, 2, 16, 0, // Skip to: 1096
+/* 1080 */    MCD_OPC_CheckField, 26, 6, 4, 26, 3, // Skip to: 1880
+/* 1086 */    MCD_OPC_CheckField, 16, 5, 0, 20, 3, // Skip to: 1880
+/* 1092 */    MCD_OPC_Decode, 188, 6, 125, // Opcode: QVFMR
+/* 1096 */    MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 1116
+/* 1100 */    MCD_OPC_CheckField, 26, 6, 4, 6, 3, // Skip to: 1880
+/* 1106 */    MCD_OPC_CheckField, 16, 5, 0, 0, 3, // Skip to: 1880
+/* 1112 */    MCD_OPC_Decode, 197, 6, 125, // Opcode: QVFNABS
+/* 1116 */    MCD_OPC_FilterValue, 8, 16, 0, // Skip to: 1136
+/* 1120 */    MCD_OPC_CheckField, 26, 6, 4, 242, 2, // Skip to: 1880
+/* 1126 */    MCD_OPC_CheckField, 16, 5, 0, 236, 2, // Skip to: 1880
+/* 1132 */    MCD_OPC_Decode, 152, 6, 125, // Opcode: QVFABS
+/* 1136 */    MCD_OPC_FilterValue, 12, 16, 0, // Skip to: 1156
+/* 1140 */    MCD_OPC_CheckField, 26, 6, 4, 222, 2, // Skip to: 1880
+/* 1146 */    MCD_OPC_CheckField, 16, 5, 0, 216, 2, // Skip to: 1880
+/* 1152 */    MCD_OPC_Decode, 214, 6, 125, // Opcode: QVFRIN
+/* 1156 */    MCD_OPC_FilterValue, 13, 16, 0, // Skip to: 1176
+/* 1160 */    MCD_OPC_CheckField, 26, 6, 4, 202, 2, // Skip to: 1880
+/* 1166 */    MCD_OPC_CheckField, 16, 5, 0, 196, 2, // Skip to: 1880
+/* 1172 */    MCD_OPC_Decode, 218, 6, 125, // Opcode: QVFRIZ
+/* 1176 */    MCD_OPC_FilterValue, 14, 16, 0, // Skip to: 1196
+/* 1180 */    MCD_OPC_CheckField, 26, 6, 4, 182, 2, // Skip to: 1880
+/* 1186 */    MCD_OPC_CheckField, 16, 5, 0, 176, 2, // Skip to: 1880
+/* 1192 */    MCD_OPC_Decode, 216, 6, 125, // Opcode: QVFRIP
+/* 1196 */    MCD_OPC_FilterValue, 15, 168, 2, // Skip to: 1880
+/* 1200 */    MCD_OPC_CheckField, 26, 6, 4, 162, 2, // Skip to: 1880
+/* 1206 */    MCD_OPC_CheckField, 16, 5, 0, 156, 2, // Skip to: 1880
+/* 1212 */    MCD_OPC_Decode, 212, 6, 125, // Opcode: QVFRIM
+/* 1216 */    MCD_OPC_FilterValue, 18, 19, 0, // Skip to: 1239
+/* 1220 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1223 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1231
+/* 1227 */    MCD_OPC_Decode, 236, 6, 114, // Opcode: QVFXMADDS
+/* 1231 */    MCD_OPC_FilterValue, 4, 133, 2, // Skip to: 1880
+/* 1235 */    MCD_OPC_Decode, 235, 6, 114, // Opcode: QVFXMADD
+/* 1239 */    MCD_OPC_FilterValue, 22, 19, 0, // Skip to: 1262
+/* 1243 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1246 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1254
+/* 1250 */    MCD_OPC_Decode, 244, 6, 114, // Opcode: QVFXXNPMADDS
+/* 1254 */    MCD_OPC_FilterValue, 4, 110, 2, // Skip to: 1880
+/* 1258 */    MCD_OPC_Decode, 243, 6, 114, // Opcode: QVFXXNPMADD
+/* 1262 */    MCD_OPC_FilterValue, 24, 22, 0, // Skip to: 1288
+/* 1266 */    MCD_OPC_CheckField, 26, 6, 4, 96, 2, // Skip to: 1880
+/* 1272 */    MCD_OPC_CheckField, 16, 5, 0, 90, 2, // Skip to: 1880
+/* 1278 */    MCD_OPC_CheckField, 6, 5, 0, 84, 2, // Skip to: 1880
+/* 1284 */    MCD_OPC_Decode, 221, 6, 126, // Opcode: QVFRSPs
+/* 1288 */    MCD_OPC_FilterValue, 28, 153, 0, // Skip to: 1445
+/* 1292 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1295 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 1315
+/* 1299 */    MCD_OPC_CheckField, 26, 6, 4, 63, 2, // Skip to: 1880
+/* 1305 */    MCD_OPC_CheckField, 16, 5, 0, 57, 2, // Skip to: 1880
+/* 1311 */    MCD_OPC_Decode, 178, 6, 125, // Opcode: QVFCTIW
+/* 1315 */    MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 1335
+/* 1319 */    MCD_OPC_CheckField, 26, 6, 4, 43, 2, // Skip to: 1880
+/* 1325 */    MCD_OPC_CheckField, 16, 5, 0, 37, 2, // Skip to: 1880
+/* 1331 */    MCD_OPC_Decode, 179, 6, 125, // Opcode: QVFCTIWU
+/* 1335 */    MCD_OPC_FilterValue, 25, 16, 0, // Skip to: 1355
+/* 1339 */    MCD_OPC_CheckField, 26, 6, 4, 23, 2, // Skip to: 1880
+/* 1345 */    MCD_OPC_CheckField, 16, 5, 0, 17, 2, // Skip to: 1880
+/* 1351 */    MCD_OPC_Decode, 173, 6, 125, // Opcode: QVFCTID
+/* 1355 */    MCD_OPC_FilterValue, 26, 31, 0, // Skip to: 1390
+/* 1359 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1362 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1376
+/* 1366 */    MCD_OPC_CheckField, 16, 5, 0, 252, 1, // Skip to: 1880
+/* 1372 */    MCD_OPC_Decode, 158, 6, 125, // Opcode: QVFCFIDS
+/* 1376 */    MCD_OPC_FilterValue, 4, 244, 1, // Skip to: 1880
+/* 1380 */    MCD_OPC_CheckField, 16, 5, 0, 238, 1, // Skip to: 1880
+/* 1386 */    MCD_OPC_Decode, 157, 6, 125, // Opcode: QVFCFID
+/* 1390 */    MCD_OPC_FilterValue, 29, 16, 0, // Skip to: 1410
+/* 1394 */    MCD_OPC_CheckField, 26, 6, 4, 224, 1, // Skip to: 1880
+/* 1400 */    MCD_OPC_CheckField, 16, 5, 0, 218, 1, // Skip to: 1880
+/* 1406 */    MCD_OPC_Decode, 174, 6, 125, // Opcode: QVFCTIDU
+/* 1410 */    MCD_OPC_FilterValue, 30, 210, 1, // Skip to: 1880
+/* 1414 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1417 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1431
+/* 1421 */    MCD_OPC_CheckField, 16, 5, 0, 197, 1, // Skip to: 1880
+/* 1427 */    MCD_OPC_Decode, 160, 6, 125, // Opcode: QVFCFIDUS
+/* 1431 */    MCD_OPC_FilterValue, 4, 189, 1, // Skip to: 1880
+/* 1435 */    MCD_OPC_CheckField, 16, 5, 0, 183, 1, // Skip to: 1880
+/* 1441 */    MCD_OPC_Decode, 159, 6, 125, // Opcode: QVFCFIDU
+/* 1445 */    MCD_OPC_FilterValue, 30, 83, 0, // Skip to: 1532
+/* 1449 */    MCD_OPC_ExtractField, 6, 5,  // Inst{10-6} ...
+/* 1452 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 1472
+/* 1456 */    MCD_OPC_CheckField, 26, 6, 4, 162, 1, // Skip to: 1880
+/* 1462 */    MCD_OPC_CheckField, 16, 5, 0, 156, 1, // Skip to: 1880
+/* 1468 */    MCD_OPC_Decode, 181, 6, 125, // Opcode: QVFCTIWZ
+/* 1472 */    MCD_OPC_FilterValue, 4, 16, 0, // Skip to: 1492
+/* 1476 */    MCD_OPC_CheckField, 26, 6, 4, 142, 1, // Skip to: 1880
+/* 1482 */    MCD_OPC_CheckField, 16, 5, 0, 136, 1, // Skip to: 1880
+/* 1488 */    MCD_OPC_Decode, 180, 6, 125, // Opcode: QVFCTIWUZ
+/* 1492 */    MCD_OPC_FilterValue, 25, 16, 0, // Skip to: 1512
+/* 1496 */    MCD_OPC_CheckField, 26, 6, 4, 122, 1, // Skip to: 1880
+/* 1502 */    MCD_OPC_CheckField, 16, 5, 0, 116, 1, // Skip to: 1880
+/* 1508 */    MCD_OPC_Decode, 176, 6, 125, // Opcode: QVFCTIDZ
+/* 1512 */    MCD_OPC_FilterValue, 29, 108, 1, // Skip to: 1880
+/* 1516 */    MCD_OPC_CheckField, 26, 6, 4, 102, 1, // Skip to: 1880
+/* 1522 */    MCD_OPC_CheckField, 16, 5, 0, 96, 1, // Skip to: 1880
+/* 1528 */    MCD_OPC_Decode, 175, 6, 125, // Opcode: QVFCTIDUZ
+/* 1532 */    MCD_OPC_FilterValue, 34, 31, 0, // Skip to: 1567
+/* 1536 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1539 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1553
+/* 1543 */    MCD_OPC_CheckField, 11, 5, 0, 75, 1, // Skip to: 1880
+/* 1549 */    MCD_OPC_Decode, 238, 6, 127, // Opcode: QVFXMULS
+/* 1553 */    MCD_OPC_FilterValue, 4, 67, 1, // Skip to: 1880
+/* 1557 */    MCD_OPC_CheckField, 11, 5, 0, 61, 1, // Skip to: 1880
+/* 1563 */    MCD_OPC_Decode, 237, 6, 127, // Opcode: QVFXMUL
+/* 1567 */    MCD_OPC_FilterValue, 40, 32, 0, // Skip to: 1603
+/* 1571 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1574 */    MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 1589
+/* 1578 */    MCD_OPC_CheckField, 6, 5, 0, 40, 1, // Skip to: 1880
+/* 1584 */    MCD_OPC_Decode, 231, 6, 128, 1, // Opcode: QVFSUBSs
+/* 1589 */    MCD_OPC_FilterValue, 4, 31, 1, // Skip to: 1880
+/* 1593 */    MCD_OPC_CheckField, 6, 5, 0, 25, 1, // Skip to: 1880
+/* 1599 */    MCD_OPC_Decode, 229, 6, 124, // Opcode: QVFSUB
+/* 1603 */    MCD_OPC_FilterValue, 42, 32, 0, // Skip to: 1639
+/* 1607 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1610 */    MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 1625
+/* 1614 */    MCD_OPC_CheckField, 6, 5, 0, 4, 1, // Skip to: 1880
+/* 1620 */    MCD_OPC_Decode, 156, 6, 128, 1, // Opcode: QVFADDSs
+/* 1625 */    MCD_OPC_FilterValue, 4, 251, 0, // Skip to: 1880
+/* 1629 */    MCD_OPC_CheckField, 6, 5, 0, 245, 0, // Skip to: 1880
+/* 1635 */    MCD_OPC_Decode, 154, 6, 124, // Opcode: QVFADD
+/* 1639 */    MCD_OPC_FilterValue, 46, 11, 0, // Skip to: 1654
+/* 1643 */    MCD_OPC_CheckField, 26, 6, 4, 231, 0, // Skip to: 1880
+/* 1649 */    MCD_OPC_Decode, 226, 6, 129, 1, // Opcode: QVFSELb
+/* 1654 */    MCD_OPC_FilterValue, 48, 43, 0, // Skip to: 1701
+/* 1658 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1661 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 1681
+/* 1665 */    MCD_OPC_CheckField, 16, 5, 0, 209, 0, // Skip to: 1880
+/* 1671 */    MCD_OPC_CheckField, 6, 5, 0, 203, 0, // Skip to: 1880
+/* 1677 */    MCD_OPC_Decode, 210, 6, 125, // Opcode: QVFRES
+/* 1681 */    MCD_OPC_FilterValue, 4, 195, 0, // Skip to: 1880
+/* 1685 */    MCD_OPC_CheckField, 16, 5, 0, 189, 0, // Skip to: 1880
+/* 1691 */    MCD_OPC_CheckField, 6, 5, 0, 183, 0, // Skip to: 1880
+/* 1697 */    MCD_OPC_Decode, 209, 6, 125, // Opcode: QVFRE
+/* 1701 */    MCD_OPC_FilterValue, 50, 32, 0, // Skip to: 1737
+/* 1705 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1708 */    MCD_OPC_FilterValue, 0, 11, 0, // Skip to: 1723
+/* 1712 */    MCD_OPC_CheckField, 11, 5, 0, 162, 0, // Skip to: 1880
+/* 1718 */    MCD_OPC_Decode, 196, 6, 130, 1, // Opcode: QVFMULSs
+/* 1723 */    MCD_OPC_FilterValue, 4, 153, 0, // Skip to: 1880
+/* 1727 */    MCD_OPC_CheckField, 11, 5, 0, 147, 0, // Skip to: 1880
+/* 1733 */    MCD_OPC_Decode, 194, 6, 127, // Opcode: QVFMUL
+/* 1737 */    MCD_OPC_FilterValue, 52, 43, 0, // Skip to: 1784
+/* 1741 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1744 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 1764
+/* 1748 */    MCD_OPC_CheckField, 16, 5, 0, 126, 0, // Skip to: 1880
+/* 1754 */    MCD_OPC_CheckField, 6, 5, 0, 120, 0, // Skip to: 1880
+/* 1760 */    MCD_OPC_Decode, 223, 6, 125, // Opcode: QVFRSQRTES
+/* 1764 */    MCD_OPC_FilterValue, 4, 112, 0, // Skip to: 1880
+/* 1768 */    MCD_OPC_CheckField, 16, 5, 0, 106, 0, // Skip to: 1880
+/* 1774 */    MCD_OPC_CheckField, 6, 5, 0, 100, 0, // Skip to: 1880
+/* 1780 */    MCD_OPC_Decode, 222, 6, 125, // Opcode: QVFRSQRTE
+/* 1784 */    MCD_OPC_FilterValue, 56, 20, 0, // Skip to: 1808
+/* 1788 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1791 */    MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 1800
+/* 1795 */    MCD_OPC_Decode, 193, 6, 131, 1, // Opcode: QVFMSUBSs
+/* 1800 */    MCD_OPC_FilterValue, 4, 76, 0, // Skip to: 1880
+/* 1804 */    MCD_OPC_Decode, 191, 6, 114, // Opcode: QVFMSUB
+/* 1808 */    MCD_OPC_FilterValue, 58, 20, 0, // Skip to: 1832
+/* 1812 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1815 */    MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 1824
+/* 1819 */    MCD_OPC_Decode, 187, 6, 131, 1, // Opcode: QVFMADDSs
+/* 1824 */    MCD_OPC_FilterValue, 4, 52, 0, // Skip to: 1880
+/* 1828 */    MCD_OPC_Decode, 185, 6, 114, // Opcode: QVFMADD
+/* 1832 */    MCD_OPC_FilterValue, 60, 20, 0, // Skip to: 1856
+/* 1836 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1839 */    MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 1848
+/* 1843 */    MCD_OPC_Decode, 206, 6, 131, 1, // Opcode: QVFNMSUBSs
+/* 1848 */    MCD_OPC_FilterValue, 4, 28, 0, // Skip to: 1880
+/* 1852 */    MCD_OPC_Decode, 204, 6, 114, // Opcode: QVFNMSUB
+/* 1856 */    MCD_OPC_FilterValue, 62, 20, 0, // Skip to: 1880
+/* 1860 */    MCD_OPC_ExtractField, 26, 6,  // Inst{31-26} ...
+/* 1863 */    MCD_OPC_FilterValue, 0, 5, 0, // Skip to: 1872
+/* 1867 */    MCD_OPC_Decode, 203, 6, 131, 1, // Opcode: QVFNMADDSs
+/* 1872 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1880
+/* 1876 */    MCD_OPC_Decode, 201, 6, 114, // Opcode: QVFNMADD
+/* 1880 */    MCD_OPC_Fail,
+  0
+};
 static bool checkDecoderPredicate(unsigned Idx, uint64_t Bits)
 {
   //llvm_unreachable("Invalid index!");
@@ -2249,6 +2810,8 @@ static DecodeStatus fname(DecodeStatus S
   switch (Idx) { \
   default: \
   case 0: \
+    return S; \
+  case 1: \
     tmp = fieldname(insn, 21, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2256,7 +2819,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 1: \
+  case 2: \
     tmp = fieldname(insn, 21, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2264,7 +2827,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 2: \
+  case 3: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2272,21 +2835,21 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 3: \
+  case 4: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    return S; \
-  case 4: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 5: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 6: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 6: \
+  case 7: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2294,13 +2857,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 7: \
+  case 8: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 8: \
+  case 9: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2310,7 +2873,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 9: \
+  case 10: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2320,7 +2883,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 4); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 10: \
+  case 11: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2330,7 +2893,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeVRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 11: \
+  case 12: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2338,7 +2901,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 12: \
+  case 13: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2346,7 +2909,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 13: \
+  case 14: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2354,7 +2917,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 14: \
+  case 15: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2362,7 +2925,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 15: \
+  case 16: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2370,13 +2933,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 16: \
+  case 17: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 17: \
+  case 18: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2384,11 +2947,11 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 0, 16); \
     if (decodeSImmOperand(MI, tmp, Address, Decoder, 16) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 18: \
+  case 19: \
     tmp = fieldname(insn, 2, 14); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 19: \
+  case 20: \
     tmp = fieldname(insn, 21, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2396,22 +2959,20 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 2, 14); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 20: \
+  case 21: \
     tmp = fieldname(insn, 5, 7); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 21: \
+  case 22: \
     tmp = fieldname(insn, 2, 24); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 22: \
+  case 23: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 18, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 23: \
-    return S; \
   case 24: \
     tmp = fieldname(insn, 21, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
@@ -2480,12 +3041,12 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 5, 1) << 5); \
-    tmp |= (fieldname(insn, 6, 5) << 0); \
+    tmp |= fieldname(insn, 5, 1) << 5; \
+    tmp |= fieldname(insn, 6, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 31: \
@@ -2496,12 +3057,12 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 5, 1) << 5); \
-    tmp |= (fieldname(insn, 6, 5) << 0); \
+    tmp |= fieldname(insn, 5, 1) << 5; \
+    tmp |= fieldname(insn, 6, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 32: \
@@ -2512,8 +3073,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 5, 1) << 5); \
-    tmp |= (fieldname(insn, 6, 5) << 0); \
+    tmp |= fieldname(insn, 5, 1) << 5; \
+    tmp |= fieldname(insn, 6, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 33: \
@@ -2544,8 +3105,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 5) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 11, 5) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 38: \
@@ -2601,7 +3162,9 @@ static DecodeStatus fname(DecodeStatus S
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 45: \
-    tmp = fieldname(insn, 21, 5); \
+    tmp = 0; \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
@@ -2609,34 +3172,16 @@ static DecodeStatus fname(DecodeStatus S
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   case 46: \
-    tmp = fieldname(insn, 21, 5); \
-    if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 16, 5); \
-    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 11, 5); \
-    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    return S; \
-  case 47: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 48: \
-    tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
-    if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 16, 5); \
-    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    tmp = fieldname(insn, 11, 5); \
-    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
-    return S; \
-  case 49: \
+  case 47: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2646,55 +3191,55 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeCRBITRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 50: \
+  case 48: \
     tmp = fieldname(insn, 12, 8); \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 51: \
+  case 49: \
     tmp = fieldname(insn, 12, 8); \
     if (decodeCRBitMOperand(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 52: \
+  case 50: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 12, 8); \
     if (decodeCRBitMOperand(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 53: \
+  case 51: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 54: \
+  case 52: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 4); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 55: \
+  case 53: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 56: \
+  case 54: \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 57: \
+  case 55: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 11, 5) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 11, 5) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 58: \
+  case 56: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2702,7 +3247,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 1); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 59: \
+  case 57: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2710,7 +3255,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 60: \
+  case 58: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2718,7 +3263,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 61: \
+  case 59: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2728,7 +3273,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 62: \
+  case 60: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2738,7 +3283,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 63: \
+  case 61: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2746,13 +3291,21 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 64: \
+  case 62: \
+    tmp = fieldname(insn, 21, 4); \
+    MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 65: \
+  case 63: \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 64: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2762,7 +3315,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 66: \
+  case 65: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2772,7 +3325,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 67: \
+  case 66: \
     tmp = fieldname(insn, 21, 2); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2780,7 +3333,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 68: \
+  case 67: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2788,7 +3341,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 69: \
+  case 68: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2798,11 +3351,11 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 70: \
+  case 69: \
     tmp = fieldname(insn, 21, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 71: \
+  case 70: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2810,7 +3363,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 72: \
+  case 71: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2820,7 +3373,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 73: \
+  case 72: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2830,7 +3383,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 74: \
+  case 73: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2840,15 +3393,15 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 75: \
+  case 74: \
     tmp = fieldname(insn, 21, 2); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 76: \
+  case 75: \
     tmp = fieldname(insn, 21, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 77: \
+  case 76: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2856,7 +3409,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 78: \
+  case 77: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2864,13 +3417,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 5) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 79: \
+  case 78: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 80: \
+  case 79: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
@@ -2878,53 +3431,53 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 81: \
+  case 80: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 82: \
+  case 81: \
     tmp = fieldname(insn, 16, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (decodeUImmOperand(MI, tmp, Address, Decoder, 6) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 83: \
+  case 82: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeGPRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 21); \
     if (decodeMemRIOperands(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 84: \
+  case 83: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 21); \
     if (decodeMemRIOperands(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 85: \
+  case 84: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 0, 21); \
     if (decodeMemRIOperands(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 86: \
+  case 85: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeG8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 2, 19); \
     if (decodeMemRIXOperands(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 87: \
+  case 86: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 88: \
+  case 87: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2932,13 +3485,13 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 89: \
+  case 88: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 90: \
+  case 89: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2946,7 +3499,7 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 6, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 91: \
+  case 90: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -2956,177 +3509,177 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 92: \
+  case 91: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 93: \
+  case 92: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 94: \
+  case 93: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 95: \
+  case 94: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 96: \
+  case 95: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 8, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 97: \
+  case 96: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 98: \
+  case 97: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 2); \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
-  case 99: \
+  case 98: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 100: \
+  case 99: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 101: \
+  case 100: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 102: \
+  case 101: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 103: \
+  case 102: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 104: \
+  case 103: \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 1) << 5); \
-    tmp |= (fieldname(insn, 21, 5) << 0); \
+    tmp |= fieldname(insn, 0, 1) << 5; \
+    tmp |= fieldname(insn, 21, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 2, 1) << 5); \
-    tmp |= (fieldname(insn, 16, 5) << 0); \
+    tmp |= fieldname(insn, 2, 1) << 5; \
+    tmp |= fieldname(insn, 16, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 1, 1) << 5); \
-    tmp |= (fieldname(insn, 11, 5) << 0); \
+    tmp |= fieldname(insn, 1, 1) << 5; \
+    tmp |= fieldname(insn, 11, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 3, 1) << 5); \
-    tmp |= (fieldname(insn, 6, 5) << 0); \
+    tmp |= fieldname(insn, 3, 1) << 5; \
+    tmp |= fieldname(insn, 6, 5) << 0; \
     if (DecodeVSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
-  case 105: \
+  case 104: \
     tmp = fieldname(insn, 23, 3); \
     if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = fieldname(insn, 16, 5); \
@@ -3134,6 +3687,14 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF4RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
+  case 105: \
+    tmp = fieldname(insn, 23, 3); \
+    if (DecodeCRRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 4); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 16, 1); \
+    MCOperand_CreateImm0(MI, tmp); \
+    return S; \
   case 106: \
     tmp = fieldname(insn, 21, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
@@ -3143,6 +3704,10 @@ static DecodeStatus fname(DecodeStatus S
     MCOperand_CreateImm0(MI, tmp); \
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 25, 1); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 16, 1); \
+    MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 108: \
     tmp = fieldname(insn, 21, 5); \
@@ -3186,8 +3751,172 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 11, 5); \
     if (DecodeF8RCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
+  case 113: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQBRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 114: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 115: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQBRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQBRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQBRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 7, 4); \
+    if (decodeUImmOperand(MI, tmp, Address, Decoder, 12) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 116: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 9, 2); \
+    MCOperand_CreateImm0(MI, tmp); \
+    return S; \
+  case 117: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 9, 2); \
+    MCOperand_CreateImm0(MI, tmp); \
+    return S; \
+  case 118: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 9, 12); \
+    if (decodeUImmOperand(MI, tmp, Address, Decoder, 12) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 119: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 120: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 121: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 122: \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 123: \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodePointerLikeRegClass1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodePointerLikeRegClass0(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 124: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 125: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 126: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 127: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 128: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 129: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQBRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeQFRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 130: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 131: \
+    tmp = fieldname(insn, 21, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 11, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 6, 5); \
+    if (DecodeQSRCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
   } \
-} 
+}
 
 // DecodeToMCInst(decodeToMCInst_2, fieldFromInstruction_2, uint16_t)
 DecodeToMCInst(decodeToMCInst_4, fieldFromInstruction_4, uint32_t)
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenInstrInfo.inc 4.0.2-3/arch/PowerPC/PPCGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,1256 +34,1505 @@ enum {
     PPC_STACKMAP	= 17,
     PPC_PATCHPOINT	= 18,
     PPC_LOAD_STACK_GUARD	= 19,
-    PPC_ADD4	= 20,
-    PPC_ADD4TLS	= 21,
-    PPC_ADD4o	= 22,
-    PPC_ADD8	= 23,
-    PPC_ADD8TLS	= 24,
-    PPC_ADD8TLS_	= 25,
-    PPC_ADD8o	= 26,
-    PPC_ADDC	= 27,
-    PPC_ADDC8	= 28,
-    PPC_ADDC8o	= 29,
-    PPC_ADDCo	= 30,
-    PPC_ADDE	= 31,
-    PPC_ADDE8	= 32,
-    PPC_ADDE8o	= 33,
-    PPC_ADDEo	= 34,
-    PPC_ADDI	= 35,
-    PPC_ADDI8	= 36,
-    PPC_ADDIC	= 37,
-    PPC_ADDIC8	= 38,
-    PPC_ADDICo	= 39,
-    PPC_ADDIS	= 40,
-    PPC_ADDIS8	= 41,
-    PPC_ADDISdtprelHA	= 42,
-    PPC_ADDISdtprelHA32	= 43,
-    PPC_ADDISgotTprelHA	= 44,
-    PPC_ADDIStlsgdHA	= 45,
-    PPC_ADDIStlsldHA	= 46,
-    PPC_ADDIStocHA	= 47,
-    PPC_ADDIdtprelL	= 48,
-    PPC_ADDIdtprelL32	= 49,
-    PPC_ADDItlsgdL	= 50,
-    PPC_ADDItlsgdL32	= 51,
-    PPC_ADDItlsldL	= 52,
-    PPC_ADDItlsldL32	= 53,
-    PPC_ADDItocL	= 54,
-    PPC_ADDME	= 55,
-    PPC_ADDME8	= 56,
-    PPC_ADDME8o	= 57,
-    PPC_ADDMEo	= 58,
-    PPC_ADDZE	= 59,
-    PPC_ADDZE8	= 60,
-    PPC_ADDZE8o	= 61,
-    PPC_ADDZEo	= 62,
-    PPC_ADJCALLSTACKDOWN	= 63,
-    PPC_ADJCALLSTACKUP	= 64,
-    PPC_AND	= 65,
-    PPC_AND8	= 66,
-    PPC_AND8o	= 67,
-    PPC_ANDC	= 68,
-    PPC_ANDC8	= 69,
-    PPC_ANDC8o	= 70,
-    PPC_ANDCo	= 71,
-    PPC_ANDISo	= 72,
-    PPC_ANDISo8	= 73,
-    PPC_ANDIo	= 74,
-    PPC_ANDIo8	= 75,
-    PPC_ANDIo_1_EQ_BIT	= 76,
-    PPC_ANDIo_1_EQ_BIT8	= 77,
-    PPC_ANDIo_1_GT_BIT	= 78,
-    PPC_ANDIo_1_GT_BIT8	= 79,
-    PPC_ANDo	= 80,
-    PPC_ATOMIC_CMP_SWAP_I16	= 81,
-    PPC_ATOMIC_CMP_SWAP_I32	= 82,
-    PPC_ATOMIC_CMP_SWAP_I64	= 83,
-    PPC_ATOMIC_CMP_SWAP_I8	= 84,
-    PPC_ATOMIC_LOAD_ADD_I16	= 85,
-    PPC_ATOMIC_LOAD_ADD_I32	= 86,
-    PPC_ATOMIC_LOAD_ADD_I64	= 87,
-    PPC_ATOMIC_LOAD_ADD_I8	= 88,
-    PPC_ATOMIC_LOAD_AND_I16	= 89,
-    PPC_ATOMIC_LOAD_AND_I32	= 90,
-    PPC_ATOMIC_LOAD_AND_I64	= 91,
-    PPC_ATOMIC_LOAD_AND_I8	= 92,
-    PPC_ATOMIC_LOAD_NAND_I16	= 93,
-    PPC_ATOMIC_LOAD_NAND_I32	= 94,
-    PPC_ATOMIC_LOAD_NAND_I64	= 95,
-    PPC_ATOMIC_LOAD_NAND_I8	= 96,
-    PPC_ATOMIC_LOAD_OR_I16	= 97,
-    PPC_ATOMIC_LOAD_OR_I32	= 98,
-    PPC_ATOMIC_LOAD_OR_I64	= 99,
-    PPC_ATOMIC_LOAD_OR_I8	= 100,
-    PPC_ATOMIC_LOAD_SUB_I16	= 101,
-    PPC_ATOMIC_LOAD_SUB_I32	= 102,
-    PPC_ATOMIC_LOAD_SUB_I64	= 103,
-    PPC_ATOMIC_LOAD_SUB_I8	= 104,
-    PPC_ATOMIC_LOAD_XOR_I16	= 105,
-    PPC_ATOMIC_LOAD_XOR_I32	= 106,
-    PPC_ATOMIC_LOAD_XOR_I64	= 107,
-    PPC_ATOMIC_LOAD_XOR_I8	= 108,
-    PPC_ATOMIC_SWAP_I16	= 109,
-    PPC_ATOMIC_SWAP_I32	= 110,
-    PPC_ATOMIC_SWAP_I64	= 111,
-    PPC_ATOMIC_SWAP_I8	= 112,
-    PPC_B	= 113,
-    PPC_BA	= 114,
-    PPC_BC	= 115,
-    PPC_BCC	= 116,
-    PPC_BCCA	= 117,
-    PPC_BCCCTR	= 118,
-    PPC_BCCCTR8	= 119,
-    PPC_BCCCTRL	= 120,
-    PPC_BCCCTRL8	= 121,
-    PPC_BCCL	= 122,
-    PPC_BCCLA	= 123,
-    PPC_BCCLR	= 124,
-    PPC_BCCLRL	= 125,
-    PPC_BCCTR	= 126,
-    PPC_BCCTR8	= 127,
-    PPC_BCCTR8n	= 128,
-    PPC_BCCTRL	= 129,
-    PPC_BCCTRL8	= 130,
-    PPC_BCCTRL8n	= 131,
-    PPC_BCCTRLn	= 132,
-    PPC_BCCTRn	= 133,
-    PPC_BCL	= 134,
-    PPC_BCLR	= 135,
-    PPC_BCLRL	= 136,
-    PPC_BCLRLn	= 137,
-    PPC_BCLRn	= 138,
-    PPC_BCLalways	= 139,
-    PPC_BCLn	= 140,
-    PPC_BCTR	= 141,
-    PPC_BCTR8	= 142,
-    PPC_BCTRL	= 143,
-    PPC_BCTRL8	= 144,
-    PPC_BCn	= 145,
-    PPC_BDNZ	= 146,
-    PPC_BDNZ8	= 147,
-    PPC_BDNZA	= 148,
-    PPC_BDNZAm	= 149,
-    PPC_BDNZAp	= 150,
-    PPC_BDNZL	= 151,
-    PPC_BDNZLA	= 152,
-    PPC_BDNZLAm	= 153,
-    PPC_BDNZLAp	= 154,
-    PPC_BDNZLR	= 155,
-    PPC_BDNZLR8	= 156,
-    PPC_BDNZLRL	= 157,
-    PPC_BDNZLRLm	= 158,
-    PPC_BDNZLRLp	= 159,
-    PPC_BDNZLRm	= 160,
-    PPC_BDNZLRp	= 161,
-    PPC_BDNZLm	= 162,
-    PPC_BDNZLp	= 163,
-    PPC_BDNZm	= 164,
-    PPC_BDNZp	= 165,
-    PPC_BDZ	= 166,
-    PPC_BDZ8	= 167,
-    PPC_BDZA	= 168,
-    PPC_BDZAm	= 169,
-    PPC_BDZAp	= 170,
-    PPC_BDZL	= 171,
-    PPC_BDZLA	= 172,
-    PPC_BDZLAm	= 173,
-    PPC_BDZLAp	= 174,
-    PPC_BDZLR	= 175,
-    PPC_BDZLR8	= 176,
-    PPC_BDZLRL	= 177,
-    PPC_BDZLRLm	= 178,
-    PPC_BDZLRLp	= 179,
-    PPC_BDZLRm	= 180,
-    PPC_BDZLRp	= 181,
-    PPC_BDZLm	= 182,
-    PPC_BDZLp	= 183,
-    PPC_BDZm	= 184,
-    PPC_BDZp	= 185,
-    PPC_BL	= 186,
-    PPC_BL8	= 187,
-    PPC_BL8_NOP	= 188,
-    PPC_BL8_NOP_TLS	= 189,
-    PPC_BL8_TLS	= 190,
-    PPC_BL8_TLS_	= 191,
-    PPC_BLA	= 192,
-    PPC_BLA8	= 193,
-    PPC_BLA8_NOP	= 194,
-    PPC_BLR	= 195,
-    PPC_BLRL	= 196,
-    PPC_BL_TLS	= 197,
-    PPC_BRINC	= 198,
-    PPC_CLRLSLDI	= 199,
-    PPC_CLRLSLDIo	= 200,
-    PPC_CLRLSLWI	= 201,
-    PPC_CLRLSLWIo	= 202,
-    PPC_CLRRDI	= 203,
-    PPC_CLRRDIo	= 204,
-    PPC_CLRRWI	= 205,
-    PPC_CLRRWIo	= 206,
-    PPC_CMPD	= 207,
-    PPC_CMPDI	= 208,
-    PPC_CMPLD	= 209,
-    PPC_CMPLDI	= 210,
-    PPC_CMPLW	= 211,
-    PPC_CMPLWI	= 212,
-    PPC_CMPW	= 213,
-    PPC_CMPWI	= 214,
-    PPC_CNTLZD	= 215,
-    PPC_CNTLZDo	= 216,
-    PPC_CNTLZW	= 217,
-    PPC_CNTLZWo	= 218,
-    PPC_CR6SET	= 219,
-    PPC_CR6UNSET	= 220,
-    PPC_CRAND	= 221,
-    PPC_CRANDC	= 222,
-    PPC_CREQV	= 223,
-    PPC_CRNAND	= 224,
-    PPC_CRNOR	= 225,
-    PPC_CROR	= 226,
-    PPC_CRORC	= 227,
-    PPC_CRSET	= 228,
-    PPC_CRUNSET	= 229,
-    PPC_CRXOR	= 230,
-    PPC_DCBA	= 231,
-    PPC_DCBF	= 232,
-    PPC_DCBI	= 233,
-    PPC_DCBST	= 234,
-    PPC_DCBT	= 235,
-    PPC_DCBTST	= 236,
-    PPC_DCBZ	= 237,
-    PPC_DCBZL	= 238,
-    PPC_DCCCI	= 239,
-    PPC_DIVD	= 240,
-    PPC_DIVDU	= 241,
-    PPC_DIVDUo	= 242,
-    PPC_DIVDo	= 243,
-    PPC_DIVW	= 244,
-    PPC_DIVWU	= 245,
-    PPC_DIVWUo	= 246,
-    PPC_DIVWo	= 247,
-    PPC_DSS	= 248,
-    PPC_DSSALL	= 249,
-    PPC_DST	= 250,
-    PPC_DST64	= 251,
-    PPC_DSTST	= 252,
-    PPC_DSTST64	= 253,
-    PPC_DSTSTT	= 254,
-    PPC_DSTSTT64	= 255,
-    PPC_DSTT	= 256,
-    PPC_DSTT64	= 257,
-    PPC_DYNALLOC	= 258,
-    PPC_DYNALLOC8	= 259,
-    PPC_EH_SjLj_LongJmp32	= 260,
-    PPC_EH_SjLj_LongJmp64	= 261,
-    PPC_EH_SjLj_SetJmp32	= 262,
-    PPC_EH_SjLj_SetJmp64	= 263,
-    PPC_EH_SjLj_Setup	= 264,
-    PPC_EIEIO	= 265,
-    PPC_EQV	= 266,
-    PPC_EQV8	= 267,
-    PPC_EQV8o	= 268,
-    PPC_EQVo	= 269,
-    PPC_EVABS	= 270,
-    PPC_EVADDIW	= 271,
-    PPC_EVADDSMIAAW	= 272,
-    PPC_EVADDSSIAAW	= 273,
-    PPC_EVADDUMIAAW	= 274,
-    PPC_EVADDUSIAAW	= 275,
-    PPC_EVADDW	= 276,
-    PPC_EVAND	= 277,
-    PPC_EVANDC	= 278,
-    PPC_EVCMPEQ	= 279,
-    PPC_EVCMPGTS	= 280,
-    PPC_EVCMPGTU	= 281,
-    PPC_EVCMPLTS	= 282,
-    PPC_EVCMPLTU	= 283,
-    PPC_EVCNTLSW	= 284,
-    PPC_EVCNTLZW	= 285,
-    PPC_EVDIVWS	= 286,
-    PPC_EVDIVWU	= 287,
-    PPC_EVEQV	= 288,
-    PPC_EVEXTSB	= 289,
-    PPC_EVEXTSH	= 290,
-    PPC_EVLDD	= 291,
-    PPC_EVLDDX	= 292,
-    PPC_EVLDH	= 293,
-    PPC_EVLDHX	= 294,
-    PPC_EVLDW	= 295,
-    PPC_EVLDWX	= 296,
-    PPC_EVLHHESPLAT	= 297,
-    PPC_EVLHHESPLATX	= 298,
-    PPC_EVLHHOSSPLAT	= 299,
-    PPC_EVLHHOSSPLATX	= 300,
-    PPC_EVLHHOUSPLAT	= 301,
-    PPC_EVLHHOUSPLATX	= 302,
-    PPC_EVLWHE	= 303,
-    PPC_EVLWHEX	= 304,
-    PPC_EVLWHOS	= 305,
-    PPC_EVLWHOSX	= 306,
-    PPC_EVLWHOU	= 307,
-    PPC_EVLWHOUX	= 308,
-    PPC_EVLWHSPLAT	= 309,
-    PPC_EVLWHSPLATX	= 310,
-    PPC_EVLWWSPLAT	= 311,
-    PPC_EVLWWSPLATX	= 312,
-    PPC_EVMERGEHI	= 313,
-    PPC_EVMERGEHILO	= 314,
-    PPC_EVMERGELO	= 315,
-    PPC_EVMERGELOHI	= 316,
-    PPC_EVMHEGSMFAA	= 317,
-    PPC_EVMHEGSMFAN	= 318,
-    PPC_EVMHEGSMIAA	= 319,
-    PPC_EVMHEGSMIAN	= 320,
-    PPC_EVMHEGUMIAA	= 321,
-    PPC_EVMHEGUMIAN	= 322,
-    PPC_EVMHESMF	= 323,
-    PPC_EVMHESMFA	= 324,
-    PPC_EVMHESMFAAW	= 325,
-    PPC_EVMHESMFANW	= 326,
-    PPC_EVMHESMI	= 327,
-    PPC_EVMHESMIA	= 328,
-    PPC_EVMHESMIAAW	= 329,
-    PPC_EVMHESMIANW	= 330,
-    PPC_EVMHESSF	= 331,
-    PPC_EVMHESSFA	= 332,
-    PPC_EVMHESSFAAW	= 333,
-    PPC_EVMHESSFANW	= 334,
-    PPC_EVMHESSIAAW	= 335,
-    PPC_EVMHESSIANW	= 336,
-    PPC_EVMHEUMI	= 337,
-    PPC_EVMHEUMIA	= 338,
-    PPC_EVMHEUMIAAW	= 339,
-    PPC_EVMHEUMIANW	= 340,
-    PPC_EVMHEUSIAAW	= 341,
-    PPC_EVMHEUSIANW	= 342,
-    PPC_EVMHOGSMFAA	= 343,
-    PPC_EVMHOGSMFAN	= 344,
-    PPC_EVMHOGSMIAA	= 345,
-    PPC_EVMHOGSMIAN	= 346,
-    PPC_EVMHOGUMIAA	= 347,
-    PPC_EVMHOGUMIAN	= 348,
-    PPC_EVMHOSMF	= 349,
-    PPC_EVMHOSMFA	= 350,
-    PPC_EVMHOSMFAAW	= 351,
-    PPC_EVMHOSMFANW	= 352,
-    PPC_EVMHOSMI	= 353,
-    PPC_EVMHOSMIA	= 354,
-    PPC_EVMHOSMIAAW	= 355,
-    PPC_EVMHOSMIANW	= 356,
-    PPC_EVMHOSSF	= 357,
-    PPC_EVMHOSSFA	= 358,
-    PPC_EVMHOSSFAAW	= 359,
-    PPC_EVMHOSSFANW	= 360,
-    PPC_EVMHOSSIAAW	= 361,
-    PPC_EVMHOSSIANW	= 362,
-    PPC_EVMHOUMI	= 363,
-    PPC_EVMHOUMIA	= 364,
-    PPC_EVMHOUMIAAW	= 365,
-    PPC_EVMHOUMIANW	= 366,
-    PPC_EVMHOUSIAAW	= 367,
-    PPC_EVMHOUSIANW	= 368,
-    PPC_EVMRA	= 369,
-    PPC_EVMWHSMF	= 370,
-    PPC_EVMWHSMFA	= 371,
-    PPC_EVMWHSMI	= 372,
-    PPC_EVMWHSMIA	= 373,
-    PPC_EVMWHSSF	= 374,
-    PPC_EVMWHSSFA	= 375,
-    PPC_EVMWHUMI	= 376,
-    PPC_EVMWHUMIA	= 377,
-    PPC_EVMWLSMIAAW	= 378,
-    PPC_EVMWLSMIANW	= 379,
-    PPC_EVMWLSSIAAW	= 380,
-    PPC_EVMWLSSIANW	= 381,
-    PPC_EVMWLUMI	= 382,
-    PPC_EVMWLUMIA	= 383,
-    PPC_EVMWLUMIAAW	= 384,
-    PPC_EVMWLUMIANW	= 385,
-    PPC_EVMWLUSIAAW	= 386,
-    PPC_EVMWLUSIANW	= 387,
-    PPC_EVMWSMF	= 388,
-    PPC_EVMWSMFA	= 389,
-    PPC_EVMWSMFAA	= 390,
-    PPC_EVMWSMFAN	= 391,
-    PPC_EVMWSMI	= 392,
-    PPC_EVMWSMIA	= 393,
-    PPC_EVMWSMIAA	= 394,
-    PPC_EVMWSMIAN	= 395,
-    PPC_EVMWSSF	= 396,
-    PPC_EVMWSSFA	= 397,
-    PPC_EVMWSSFAA	= 398,
-    PPC_EVMWSSFAN	= 399,
-    PPC_EVMWUMI	= 400,
-    PPC_EVMWUMIA	= 401,
-    PPC_EVMWUMIAA	= 402,
-    PPC_EVMWUMIAN	= 403,
-    PPC_EVNAND	= 404,
-    PPC_EVNEG	= 405,
-    PPC_EVNOR	= 406,
-    PPC_EVOR	= 407,
-    PPC_EVORC	= 408,
-    PPC_EVRLW	= 409,
-    PPC_EVRLWI	= 410,
-    PPC_EVRNDW	= 411,
-    PPC_EVSLW	= 412,
-    PPC_EVSLWI	= 413,
-    PPC_EVSPLATFI	= 414,
-    PPC_EVSPLATI	= 415,
-    PPC_EVSRWIS	= 416,
-    PPC_EVSRWIU	= 417,
-    PPC_EVSRWS	= 418,
-    PPC_EVSRWU	= 419,
-    PPC_EVSTDD	= 420,
-    PPC_EVSTDDX	= 421,
-    PPC_EVSTDH	= 422,
-    PPC_EVSTDHX	= 423,
-    PPC_EVSTDW	= 424,
-    PPC_EVSTDWX	= 425,
-    PPC_EVSTWHE	= 426,
-    PPC_EVSTWHEX	= 427,
-    PPC_EVSTWHO	= 428,
-    PPC_EVSTWHOX	= 429,
-    PPC_EVSTWWE	= 430,
-    PPC_EVSTWWEX	= 431,
-    PPC_EVSTWWO	= 432,
-    PPC_EVSTWWOX	= 433,
-    PPC_EVSUBFSMIAAW	= 434,
-    PPC_EVSUBFSSIAAW	= 435,
-    PPC_EVSUBFUMIAAW	= 436,
-    PPC_EVSUBFUSIAAW	= 437,
-    PPC_EVSUBFW	= 438,
-    PPC_EVSUBIFW	= 439,
-    PPC_EVXOR	= 440,
-    PPC_EXTLDI	= 441,
-    PPC_EXTLDIo	= 442,
-    PPC_EXTLWI	= 443,
-    PPC_EXTLWIo	= 444,
-    PPC_EXTRDI	= 445,
-    PPC_EXTRDIo	= 446,
-    PPC_EXTRWI	= 447,
-    PPC_EXTRWIo	= 448,
-    PPC_EXTSB	= 449,
-    PPC_EXTSB8	= 450,
-    PPC_EXTSB8_32_64	= 451,
-    PPC_EXTSB8o	= 452,
-    PPC_EXTSBo	= 453,
-    PPC_EXTSH	= 454,
-    PPC_EXTSH8	= 455,
-    PPC_EXTSH8_32_64	= 456,
-    PPC_EXTSH8o	= 457,
-    PPC_EXTSHo	= 458,
-    PPC_EXTSW	= 459,
-    PPC_EXTSW_32_64	= 460,
-    PPC_EXTSW_32_64o	= 461,
-    PPC_EXTSWo	= 462,
-    PPC_FABSD	= 463,
-    PPC_FABSDo	= 464,
-    PPC_FABSS	= 465,
-    PPC_FABSSo	= 466,
-    PPC_FADD	= 467,
-    PPC_FADDS	= 468,
-    PPC_FADDSo	= 469,
-    PPC_FADDo	= 470,
-    PPC_FADDrtz	= 471,
-    PPC_FCFID	= 472,
-    PPC_FCFIDS	= 473,
-    PPC_FCFIDSo	= 474,
-    PPC_FCFIDU	= 475,
-    PPC_FCFIDUS	= 476,
-    PPC_FCFIDUSo	= 477,
-    PPC_FCFIDUo	= 478,
-    PPC_FCFIDo	= 479,
-    PPC_FCMPUD	= 480,
-    PPC_FCMPUS	= 481,
-    PPC_FCPSGND	= 482,
-    PPC_FCPSGNDo	= 483,
-    PPC_FCPSGNS	= 484,
-    PPC_FCPSGNSo	= 485,
-    PPC_FCTID	= 486,
-    PPC_FCTIDUZ	= 487,
-    PPC_FCTIDUZo	= 488,
-    PPC_FCTIDZ	= 489,
-    PPC_FCTIDZo	= 490,
-    PPC_FCTIDo	= 491,
-    PPC_FCTIW	= 492,
-    PPC_FCTIWUZ	= 493,
-    PPC_FCTIWUZo	= 494,
-    PPC_FCTIWZ	= 495,
-    PPC_FCTIWZo	= 496,
-    PPC_FCTIWo	= 497,
-    PPC_FDIV	= 498,
-    PPC_FDIVS	= 499,
-    PPC_FDIVSo	= 500,
-    PPC_FDIVo	= 501,
-    PPC_FMADD	= 502,
-    PPC_FMADDS	= 503,
-    PPC_FMADDSo	= 504,
-    PPC_FMADDo	= 505,
-    PPC_FMR	= 506,
-    PPC_FMRo	= 507,
-    PPC_FMSUB	= 508,
-    PPC_FMSUBS	= 509,
-    PPC_FMSUBSo	= 510,
-    PPC_FMSUBo	= 511,
-    PPC_FMUL	= 512,
-    PPC_FMULS	= 513,
-    PPC_FMULSo	= 514,
-    PPC_FMULo	= 515,
-    PPC_FNABSD	= 516,
-    PPC_FNABSDo	= 517,
-    PPC_FNABSS	= 518,
-    PPC_FNABSSo	= 519,
-    PPC_FNEGD	= 520,
-    PPC_FNEGDo	= 521,
-    PPC_FNEGS	= 522,
-    PPC_FNEGSo	= 523,
-    PPC_FNMADD	= 524,
-    PPC_FNMADDS	= 525,
-    PPC_FNMADDSo	= 526,
-    PPC_FNMADDo	= 527,
-    PPC_FNMSUB	= 528,
-    PPC_FNMSUBS	= 529,
-    PPC_FNMSUBSo	= 530,
-    PPC_FNMSUBo	= 531,
-    PPC_FRE	= 532,
-    PPC_FRES	= 533,
-    PPC_FRESo	= 534,
-    PPC_FREo	= 535,
-    PPC_FRIMD	= 536,
-    PPC_FRIMDo	= 537,
-    PPC_FRIMS	= 538,
-    PPC_FRIMSo	= 539,
-    PPC_FRIND	= 540,
-    PPC_FRINDo	= 541,
-    PPC_FRINS	= 542,
-    PPC_FRINSo	= 543,
-    PPC_FRIPD	= 544,
-    PPC_FRIPDo	= 545,
-    PPC_FRIPS	= 546,
-    PPC_FRIPSo	= 547,
-    PPC_FRIZD	= 548,
-    PPC_FRIZDo	= 549,
-    PPC_FRIZS	= 550,
-    PPC_FRIZSo	= 551,
-    PPC_FRSP	= 552,
-    PPC_FRSPo	= 553,
-    PPC_FRSQRTE	= 554,
-    PPC_FRSQRTES	= 555,
-    PPC_FRSQRTESo	= 556,
-    PPC_FRSQRTEo	= 557,
-    PPC_FSELD	= 558,
-    PPC_FSELDo	= 559,
-    PPC_FSELS	= 560,
-    PPC_FSELSo	= 561,
-    PPC_FSQRT	= 562,
-    PPC_FSQRTS	= 563,
-    PPC_FSQRTSo	= 564,
-    PPC_FSQRTo	= 565,
-    PPC_FSUB	= 566,
-    PPC_FSUBS	= 567,
-    PPC_FSUBSo	= 568,
-    PPC_FSUBo	= 569,
-    PPC_GETtlsADDR	= 570,
-    PPC_GETtlsADDR32	= 571,
-    PPC_GETtlsldADDR	= 572,
-    PPC_GETtlsldADDR32	= 573,
-    PPC_GetGBRO	= 574,
-    PPC_ICBI	= 575,
-    PPC_ICCCI	= 576,
-    PPC_INSLWI	= 577,
-    PPC_INSLWIo	= 578,
-    PPC_INSRDI	= 579,
-    PPC_INSRDIo	= 580,
-    PPC_INSRWI	= 581,
-    PPC_INSRWIo	= 582,
-    PPC_ISEL	= 583,
-    PPC_ISEL8	= 584,
-    PPC_ISYNC	= 585,
-    PPC_LA	= 586,
-    PPC_LAx	= 587,
-    PPC_LBZ	= 588,
-    PPC_LBZ8	= 589,
-    PPC_LBZU	= 590,
-    PPC_LBZU8	= 591,
-    PPC_LBZUX	= 592,
-    PPC_LBZUX8	= 593,
-    PPC_LBZX	= 594,
-    PPC_LBZX8	= 595,
-    PPC_LD	= 596,
-    PPC_LDARX	= 597,
-    PPC_LDBRX	= 598,
-    PPC_LDU	= 599,
-    PPC_LDUX	= 600,
-    PPC_LDX	= 601,
-    PPC_LDgotTprelL	= 602,
-    PPC_LDgotTprelL32	= 603,
-    PPC_LDinto_toc	= 604,
-    PPC_LDtoc	= 605,
-    PPC_LDtocCPT	= 606,
-    PPC_LDtocJTI	= 607,
-    PPC_LDtocL	= 608,
-    PPC_LFD	= 609,
-    PPC_LFDU	= 610,
-    PPC_LFDUX	= 611,
-    PPC_LFDX	= 612,
-    PPC_LFIWAX	= 613,
-    PPC_LFIWZX	= 614,
-    PPC_LFS	= 615,
-    PPC_LFSU	= 616,
-    PPC_LFSUX	= 617,
-    PPC_LFSX	= 618,
-    PPC_LHA	= 619,
-    PPC_LHA8	= 620,
-    PPC_LHAU	= 621,
-    PPC_LHAU8	= 622,
-    PPC_LHAUX	= 623,
-    PPC_LHAUX8	= 624,
-    PPC_LHAX	= 625,
-    PPC_LHAX8	= 626,
-    PPC_LHBRX	= 627,
-    PPC_LHZ	= 628,
-    PPC_LHZ8	= 629,
-    PPC_LHZU	= 630,
-    PPC_LHZU8	= 631,
-    PPC_LHZUX	= 632,
-    PPC_LHZUX8	= 633,
-    PPC_LHZX	= 634,
-    PPC_LHZX8	= 635,
-    PPC_LI	= 636,
-    PPC_LI8	= 637,
-    PPC_LIS	= 638,
-    PPC_LIS8	= 639,
-    PPC_LMW	= 640,
-    PPC_LSWI	= 641,
-    PPC_LVEBX	= 642,
-    PPC_LVEHX	= 643,
-    PPC_LVEWX	= 644,
-    PPC_LVSL	= 645,
-    PPC_LVSR	= 646,
-    PPC_LVX	= 647,
-    PPC_LVXL	= 648,
-    PPC_LWA	= 649,
-    PPC_LWARX	= 650,
-    PPC_LWAUX	= 651,
-    PPC_LWAX	= 652,
-    PPC_LWAX_32	= 653,
-    PPC_LWA_32	= 654,
-    PPC_LWBRX	= 655,
-    PPC_LWZ	= 656,
-    PPC_LWZ8	= 657,
-    PPC_LWZU	= 658,
-    PPC_LWZU8	= 659,
-    PPC_LWZUX	= 660,
-    PPC_LWZUX8	= 661,
-    PPC_LWZX	= 662,
-    PPC_LWZX8	= 663,
-    PPC_LWZtoc	= 664,
-    PPC_LXSDX	= 665,
-    PPC_LXVD2X	= 666,
-    PPC_LXVDSX	= 667,
-    PPC_LXVW4X	= 668,
-    PPC_MBAR	= 669,
-    PPC_MCRF	= 670,
-    PPC_MFCR	= 671,
-    PPC_MFCR8	= 672,
-    PPC_MFCTR	= 673,
-    PPC_MFCTR8	= 674,
-    PPC_MFDCR	= 675,
-    PPC_MFFS	= 676,
-    PPC_MFLR	= 677,
-    PPC_MFLR8	= 678,
-    PPC_MFMSR	= 679,
-    PPC_MFOCRF	= 680,
-    PPC_MFOCRF8	= 681,
-    PPC_MFSPR	= 682,
-    PPC_MFSR	= 683,
-    PPC_MFSRIN	= 684,
-    PPC_MFTB	= 685,
-    PPC_MFTB8	= 686,
-    PPC_MFVRSAVE	= 687,
-    PPC_MFVRSAVEv	= 688,
-    PPC_MFVSCR	= 689,
-    PPC_MSYNC	= 690,
-    PPC_MTCRF	= 691,
-    PPC_MTCRF8	= 692,
-    PPC_MTCTR	= 693,
-    PPC_MTCTR8	= 694,
-    PPC_MTCTR8loop	= 695,
-    PPC_MTCTRloop	= 696,
-    PPC_MTDCR	= 697,
-    PPC_MTFSB0	= 698,
-    PPC_MTFSB1	= 699,
-    PPC_MTFSF	= 700,
-    PPC_MTLR	= 701,
-    PPC_MTLR8	= 702,
-    PPC_MTMSR	= 703,
-    PPC_MTMSRD	= 704,
-    PPC_MTOCRF	= 705,
-    PPC_MTOCRF8	= 706,
-    PPC_MTSPR	= 707,
-    PPC_MTSR	= 708,
-    PPC_MTSRIN	= 709,
-    PPC_MTVRSAVE	= 710,
-    PPC_MTVRSAVEv	= 711,
-    PPC_MTVSCR	= 712,
-    PPC_MULHD	= 713,
-    PPC_MULHDU	= 714,
-    PPC_MULHDUo	= 715,
-    PPC_MULHDo	= 716,
-    PPC_MULHW	= 717,
-    PPC_MULHWU	= 718,
-    PPC_MULHWUo	= 719,
-    PPC_MULHWo	= 720,
-    PPC_MULLD	= 721,
-    PPC_MULLDo	= 722,
-    PPC_MULLI	= 723,
-    PPC_MULLI8	= 724,
-    PPC_MULLW	= 725,
-    PPC_MULLWo	= 726,
-    PPC_MovePCtoLR	= 727,
-    PPC_MovePCtoLR8	= 728,
-    PPC_NAND	= 729,
-    PPC_NAND8	= 730,
-    PPC_NAND8o	= 731,
-    PPC_NANDo	= 732,
-    PPC_NEG	= 733,
-    PPC_NEG8	= 734,
-    PPC_NEG8o	= 735,
-    PPC_NEGo	= 736,
-    PPC_NOP	= 737,
-    PPC_NOP_GT_PWR6	= 738,
-    PPC_NOP_GT_PWR7	= 739,
-    PPC_NOR	= 740,
-    PPC_NOR8	= 741,
-    PPC_NOR8o	= 742,
-    PPC_NORo	= 743,
-    PPC_OR	= 744,
-    PPC_OR8	= 745,
-    PPC_OR8o	= 746,
-    PPC_ORC	= 747,
-    PPC_ORC8	= 748,
-    PPC_ORC8o	= 749,
-    PPC_ORCo	= 750,
-    PPC_ORI	= 751,
-    PPC_ORI8	= 752,
-    PPC_ORIS	= 753,
-    PPC_ORIS8	= 754,
-    PPC_ORo	= 755,
-    PPC_POPCNTD	= 756,
-    PPC_POPCNTW	= 757,
-    PPC_PPC32GOT	= 758,
-    PPC_PPC32PICGOT	= 759,
-    PPC_RESTORE_CR	= 760,
-    PPC_RESTORE_CRBIT	= 761,
-    PPC_RESTORE_VRSAVE	= 762,
-    PPC_RFCI	= 763,
-    PPC_RFDI	= 764,
-    PPC_RFI	= 765,
-    PPC_RFID	= 766,
-    PPC_RFMCI	= 767,
-    PPC_RLDCL	= 768,
-    PPC_RLDCLo	= 769,
-    PPC_RLDCR	= 770,
-    PPC_RLDCRo	= 771,
-    PPC_RLDIC	= 772,
-    PPC_RLDICL	= 773,
-    PPC_RLDICL_32_64	= 774,
-    PPC_RLDICLo	= 775,
-    PPC_RLDICR	= 776,
-    PPC_RLDICRo	= 777,
-    PPC_RLDICo	= 778,
-    PPC_RLDIMI	= 779,
-    PPC_RLDIMIo	= 780,
-    PPC_RLWIMI	= 781,
-    PPC_RLWIMI8	= 782,
-    PPC_RLWIMI8o	= 783,
-    PPC_RLWIMIo	= 784,
-    PPC_RLWINM	= 785,
-    PPC_RLWINM8	= 786,
-    PPC_RLWINM8o	= 787,
-    PPC_RLWINMo	= 788,
-    PPC_RLWNM	= 789,
-    PPC_RLWNMo	= 790,
-    PPC_ROTRDI	= 791,
-    PPC_ROTRDIo	= 792,
-    PPC_ROTRWI	= 793,
-    PPC_ROTRWIo	= 794,
-    PPC_SC	= 795,
-    PPC_SELECT_CC_F4	= 796,
-    PPC_SELECT_CC_F8	= 797,
-    PPC_SELECT_CC_I4	= 798,
-    PPC_SELECT_CC_I8	= 799,
-    PPC_SELECT_CC_VRRC	= 800,
-    PPC_SELECT_F4	= 801,
-    PPC_SELECT_F8	= 802,
-    PPC_SELECT_I4	= 803,
-    PPC_SELECT_I8	= 804,
-    PPC_SELECT_VRRC	= 805,
-    PPC_SLBIA	= 806,
-    PPC_SLBIE	= 807,
-    PPC_SLBMFEE	= 808,
-    PPC_SLBMTE	= 809,
-    PPC_SLD	= 810,
-    PPC_SLDI	= 811,
-    PPC_SLDIo	= 812,
-    PPC_SLDo	= 813,
-    PPC_SLW	= 814,
-    PPC_SLWI	= 815,
-    PPC_SLWIo	= 816,
-    PPC_SLWo	= 817,
-    PPC_SPILL_CR	= 818,
-    PPC_SPILL_CRBIT	= 819,
-    PPC_SPILL_VRSAVE	= 820,
-    PPC_SRAD	= 821,
-    PPC_SRADI	= 822,
-    PPC_SRADIo	= 823,
-    PPC_SRADo	= 824,
-    PPC_SRAW	= 825,
-    PPC_SRAWI	= 826,
-    PPC_SRAWIo	= 827,
-    PPC_SRAWo	= 828,
-    PPC_SRD	= 829,
-    PPC_SRDI	= 830,
-    PPC_SRDIo	= 831,
-    PPC_SRDo	= 832,
-    PPC_SRW	= 833,
-    PPC_SRWI	= 834,
-    PPC_SRWIo	= 835,
-    PPC_SRWo	= 836,
-    PPC_STB	= 837,
-    PPC_STB8	= 838,
-    PPC_STBU	= 839,
-    PPC_STBU8	= 840,
-    PPC_STBUX	= 841,
-    PPC_STBUX8	= 842,
-    PPC_STBX	= 843,
-    PPC_STBX8	= 844,
-    PPC_STD	= 845,
-    PPC_STDBRX	= 846,
-    PPC_STDCX	= 847,
-    PPC_STDU	= 848,
-    PPC_STDUX	= 849,
-    PPC_STDX	= 850,
-    PPC_STFD	= 851,
-    PPC_STFDU	= 852,
-    PPC_STFDUX	= 853,
-    PPC_STFDX	= 854,
-    PPC_STFIWX	= 855,
-    PPC_STFS	= 856,
-    PPC_STFSU	= 857,
-    PPC_STFSUX	= 858,
-    PPC_STFSX	= 859,
-    PPC_STH	= 860,
-    PPC_STH8	= 861,
-    PPC_STHBRX	= 862,
-    PPC_STHU	= 863,
-    PPC_STHU8	= 864,
-    PPC_STHUX	= 865,
-    PPC_STHUX8	= 866,
-    PPC_STHX	= 867,
-    PPC_STHX8	= 868,
-    PPC_STMW	= 869,
-    PPC_STSWI	= 870,
-    PPC_STVEBX	= 871,
-    PPC_STVEHX	= 872,
-    PPC_STVEWX	= 873,
-    PPC_STVX	= 874,
-    PPC_STVXL	= 875,
-    PPC_STW	= 876,
-    PPC_STW8	= 877,
-    PPC_STWBRX	= 878,
-    PPC_STWCX	= 879,
-    PPC_STWU	= 880,
-    PPC_STWU8	= 881,
-    PPC_STWUX	= 882,
-    PPC_STWUX8	= 883,
-    PPC_STWX	= 884,
-    PPC_STWX8	= 885,
-    PPC_STXSDX	= 886,
-    PPC_STXVD2X	= 887,
-    PPC_STXVW4X	= 888,
-    PPC_SUBF	= 889,
-    PPC_SUBF8	= 890,
-    PPC_SUBF8o	= 891,
-    PPC_SUBFC	= 892,
-    PPC_SUBFC8	= 893,
-    PPC_SUBFC8o	= 894,
-    PPC_SUBFCo	= 895,
-    PPC_SUBFE	= 896,
-    PPC_SUBFE8	= 897,
-    PPC_SUBFE8o	= 898,
-    PPC_SUBFEo	= 899,
-    PPC_SUBFIC	= 900,
-    PPC_SUBFIC8	= 901,
-    PPC_SUBFME	= 902,
-    PPC_SUBFME8	= 903,
-    PPC_SUBFME8o	= 904,
-    PPC_SUBFMEo	= 905,
-    PPC_SUBFZE	= 906,
-    PPC_SUBFZE8	= 907,
-    PPC_SUBFZE8o	= 908,
-    PPC_SUBFZEo	= 909,
-    PPC_SUBFo	= 910,
-    PPC_SUBI	= 911,
-    PPC_SUBIC	= 912,
-    PPC_SUBICo	= 913,
-    PPC_SUBIS	= 914,
-    PPC_SYNC	= 915,
-    PPC_TAILB	= 916,
-    PPC_TAILB8	= 917,
-    PPC_TAILBA	= 918,
-    PPC_TAILBA8	= 919,
-    PPC_TAILBCTR	= 920,
-    PPC_TAILBCTR8	= 921,
-    PPC_TCRETURNai	= 922,
-    PPC_TCRETURNai8	= 923,
-    PPC_TCRETURNdi	= 924,
-    PPC_TCRETURNdi8	= 925,
-    PPC_TCRETURNri	= 926,
-    PPC_TCRETURNri8	= 927,
-    PPC_TD	= 928,
-    PPC_TDI	= 929,
-    PPC_TLBIA	= 930,
-    PPC_TLBIE	= 931,
-    PPC_TLBIEL	= 932,
-    PPC_TLBIVAX	= 933,
-    PPC_TLBLD	= 934,
-    PPC_TLBLI	= 935,
-    PPC_TLBRE	= 936,
-    PPC_TLBRE2	= 937,
-    PPC_TLBSX	= 938,
-    PPC_TLBSX2	= 939,
-    PPC_TLBSX2D	= 940,
-    PPC_TLBSYNC	= 941,
-    PPC_TLBWE	= 942,
-    PPC_TLBWE2	= 943,
-    PPC_TRAP	= 944,
-    PPC_TW	= 945,
-    PPC_TWI	= 946,
-    PPC_UPDATE_VRSAVE	= 947,
-    PPC_UpdateGBR	= 948,
-    PPC_VADDCUW	= 949,
-    PPC_VADDFP	= 950,
-    PPC_VADDSBS	= 951,
-    PPC_VADDSHS	= 952,
-    PPC_VADDSWS	= 953,
-    PPC_VADDUBM	= 954,
-    PPC_VADDUBS	= 955,
-    PPC_VADDUHM	= 956,
-    PPC_VADDUHS	= 957,
-    PPC_VADDUWM	= 958,
-    PPC_VADDUWS	= 959,
-    PPC_VAND	= 960,
-    PPC_VANDC	= 961,
-    PPC_VAVGSB	= 962,
-    PPC_VAVGSH	= 963,
-    PPC_VAVGSW	= 964,
-    PPC_VAVGUB	= 965,
-    PPC_VAVGUH	= 966,
-    PPC_VAVGUW	= 967,
-    PPC_VCFSX	= 968,
-    PPC_VCFSX_0	= 969,
-    PPC_VCFUX	= 970,
-    PPC_VCFUX_0	= 971,
-    PPC_VCMPBFP	= 972,
-    PPC_VCMPBFPo	= 973,
-    PPC_VCMPEQFP	= 974,
-    PPC_VCMPEQFPo	= 975,
-    PPC_VCMPEQUB	= 976,
-    PPC_VCMPEQUBo	= 977,
-    PPC_VCMPEQUH	= 978,
-    PPC_VCMPEQUHo	= 979,
-    PPC_VCMPEQUW	= 980,
-    PPC_VCMPEQUWo	= 981,
-    PPC_VCMPGEFP	= 982,
-    PPC_VCMPGEFPo	= 983,
-    PPC_VCMPGTFP	= 984,
-    PPC_VCMPGTFPo	= 985,
-    PPC_VCMPGTSB	= 986,
-    PPC_VCMPGTSBo	= 987,
-    PPC_VCMPGTSH	= 988,
-    PPC_VCMPGTSHo	= 989,
-    PPC_VCMPGTSW	= 990,
-    PPC_VCMPGTSWo	= 991,
-    PPC_VCMPGTUB	= 992,
-    PPC_VCMPGTUBo	= 993,
-    PPC_VCMPGTUH	= 994,
-    PPC_VCMPGTUHo	= 995,
-    PPC_VCMPGTUW	= 996,
-    PPC_VCMPGTUWo	= 997,
-    PPC_VCTSXS	= 998,
-    PPC_VCTSXS_0	= 999,
-    PPC_VCTUXS	= 1000,
-    PPC_VCTUXS_0	= 1001,
-    PPC_VEXPTEFP	= 1002,
-    PPC_VLOGEFP	= 1003,
-    PPC_VMADDFP	= 1004,
-    PPC_VMAXFP	= 1005,
-    PPC_VMAXSB	= 1006,
-    PPC_VMAXSH	= 1007,
-    PPC_VMAXSW	= 1008,
-    PPC_VMAXUB	= 1009,
-    PPC_VMAXUH	= 1010,
-    PPC_VMAXUW	= 1011,
-    PPC_VMHADDSHS	= 1012,
-    PPC_VMHRADDSHS	= 1013,
-    PPC_VMINFP	= 1014,
-    PPC_VMINSB	= 1015,
-    PPC_VMINSH	= 1016,
-    PPC_VMINSW	= 1017,
-    PPC_VMINUB	= 1018,
-    PPC_VMINUH	= 1019,
-    PPC_VMINUW	= 1020,
-    PPC_VMLADDUHM	= 1021,
-    PPC_VMRGHB	= 1022,
-    PPC_VMRGHH	= 1023,
-    PPC_VMRGHW	= 1024,
-    PPC_VMRGLB	= 1025,
-    PPC_VMRGLH	= 1026,
-    PPC_VMRGLW	= 1027,
-    PPC_VMSUMMBM	= 1028,
-    PPC_VMSUMSHM	= 1029,
-    PPC_VMSUMSHS	= 1030,
-    PPC_VMSUMUBM	= 1031,
-    PPC_VMSUMUHM	= 1032,
-    PPC_VMSUMUHS	= 1033,
-    PPC_VMULESB	= 1034,
-    PPC_VMULESH	= 1035,
-    PPC_VMULEUB	= 1036,
-    PPC_VMULEUH	= 1037,
-    PPC_VMULOSB	= 1038,
-    PPC_VMULOSH	= 1039,
-    PPC_VMULOUB	= 1040,
-    PPC_VMULOUH	= 1041,
-    PPC_VNMSUBFP	= 1042,
-    PPC_VNOR	= 1043,
-    PPC_VOR	= 1044,
-    PPC_VPERM	= 1045,
-    PPC_VPKPX	= 1046,
-    PPC_VPKSHSS	= 1047,
-    PPC_VPKSHUS	= 1048,
-    PPC_VPKSWSS	= 1049,
-    PPC_VPKSWUS	= 1050,
-    PPC_VPKUHUM	= 1051,
-    PPC_VPKUHUS	= 1052,
-    PPC_VPKUWUM	= 1053,
-    PPC_VPKUWUS	= 1054,
-    PPC_VREFP	= 1055,
-    PPC_VRFIM	= 1056,
-    PPC_VRFIN	= 1057,
-    PPC_VRFIP	= 1058,
-    PPC_VRFIZ	= 1059,
-    PPC_VRLB	= 1060,
-    PPC_VRLH	= 1061,
-    PPC_VRLW	= 1062,
-    PPC_VRSQRTEFP	= 1063,
-    PPC_VSEL	= 1064,
-    PPC_VSL	= 1065,
-    PPC_VSLB	= 1066,
-    PPC_VSLDOI	= 1067,
-    PPC_VSLH	= 1068,
-    PPC_VSLO	= 1069,
-    PPC_VSLW	= 1070,
-    PPC_VSPLTB	= 1071,
-    PPC_VSPLTH	= 1072,
-    PPC_VSPLTISB	= 1073,
-    PPC_VSPLTISH	= 1074,
-    PPC_VSPLTISW	= 1075,
-    PPC_VSPLTW	= 1076,
-    PPC_VSR	= 1077,
-    PPC_VSRAB	= 1078,
-    PPC_VSRAH	= 1079,
-    PPC_VSRAW	= 1080,
-    PPC_VSRB	= 1081,
-    PPC_VSRH	= 1082,
-    PPC_VSRO	= 1083,
-    PPC_VSRW	= 1084,
-    PPC_VSUBCUW	= 1085,
-    PPC_VSUBFP	= 1086,
-    PPC_VSUBSBS	= 1087,
-    PPC_VSUBSHS	= 1088,
-    PPC_VSUBSWS	= 1089,
-    PPC_VSUBUBM	= 1090,
-    PPC_VSUBUBS	= 1091,
-    PPC_VSUBUHM	= 1092,
-    PPC_VSUBUHS	= 1093,
-    PPC_VSUBUWM	= 1094,
-    PPC_VSUBUWS	= 1095,
-    PPC_VSUM2SWS	= 1096,
-    PPC_VSUM4SBS	= 1097,
-    PPC_VSUM4SHS	= 1098,
-    PPC_VSUM4UBS	= 1099,
-    PPC_VSUMSWS	= 1100,
-    PPC_VUPKHPX	= 1101,
-    PPC_VUPKHSB	= 1102,
-    PPC_VUPKHSH	= 1103,
-    PPC_VUPKLPX	= 1104,
-    PPC_VUPKLSB	= 1105,
-    PPC_VUPKLSH	= 1106,
-    PPC_VXOR	= 1107,
-    PPC_V_SET0	= 1108,
-    PPC_V_SET0B	= 1109,
-    PPC_V_SET0H	= 1110,
-    PPC_V_SETALLONES	= 1111,
-    PPC_V_SETALLONESB	= 1112,
-    PPC_V_SETALLONESH	= 1113,
-    PPC_WAIT	= 1114,
-    PPC_WRTEE	= 1115,
-    PPC_WRTEEI	= 1116,
-    PPC_XOR	= 1117,
-    PPC_XOR8	= 1118,
-    PPC_XOR8o	= 1119,
-    PPC_XORI	= 1120,
-    PPC_XORI8	= 1121,
-    PPC_XORIS	= 1122,
-    PPC_XORIS8	= 1123,
-    PPC_XORo	= 1124,
-    PPC_XSABSDP	= 1125,
-    PPC_XSADDDP	= 1126,
-    PPC_XSCMPODP	= 1127,
-    PPC_XSCMPUDP	= 1128,
-    PPC_XSCPSGNDP	= 1129,
-    PPC_XSCVDPSP	= 1130,
-    PPC_XSCVDPSXDS	= 1131,
-    PPC_XSCVDPSXWS	= 1132,
-    PPC_XSCVDPUXDS	= 1133,
-    PPC_XSCVDPUXWS	= 1134,
-    PPC_XSCVSPDP	= 1135,
-    PPC_XSCVSXDDP	= 1136,
-    PPC_XSCVUXDDP	= 1137,
-    PPC_XSDIVDP	= 1138,
-    PPC_XSMADDADP	= 1139,
-    PPC_XSMADDMDP	= 1140,
-    PPC_XSMAXDP	= 1141,
-    PPC_XSMINDP	= 1142,
-    PPC_XSMSUBADP	= 1143,
-    PPC_XSMSUBMDP	= 1144,
-    PPC_XSMULDP	= 1145,
-    PPC_XSNABSDP	= 1146,
-    PPC_XSNEGDP	= 1147,
-    PPC_XSNMADDADP	= 1148,
-    PPC_XSNMADDMDP	= 1149,
-    PPC_XSNMSUBADP	= 1150,
-    PPC_XSNMSUBMDP	= 1151,
-    PPC_XSRDPI	= 1152,
-    PPC_XSRDPIC	= 1153,
-    PPC_XSRDPIM	= 1154,
-    PPC_XSRDPIP	= 1155,
-    PPC_XSRDPIZ	= 1156,
-    PPC_XSREDP	= 1157,
-    PPC_XSRSQRTEDP	= 1158,
-    PPC_XSSQRTDP	= 1159,
-    PPC_XSSUBDP	= 1160,
-    PPC_XSTDIVDP	= 1161,
-    PPC_XSTSQRTDP	= 1162,
-    PPC_XVABSDP	= 1163,
-    PPC_XVABSSP	= 1164,
-    PPC_XVADDDP	= 1165,
-    PPC_XVADDSP	= 1166,
-    PPC_XVCMPEQDP	= 1167,
-    PPC_XVCMPEQDPo	= 1168,
-    PPC_XVCMPEQSP	= 1169,
-    PPC_XVCMPEQSPo	= 1170,
-    PPC_XVCMPGEDP	= 1171,
-    PPC_XVCMPGEDPo	= 1172,
-    PPC_XVCMPGESP	= 1173,
-    PPC_XVCMPGESPo	= 1174,
-    PPC_XVCMPGTDP	= 1175,
-    PPC_XVCMPGTDPo	= 1176,
-    PPC_XVCMPGTSP	= 1177,
-    PPC_XVCMPGTSPo	= 1178,
-    PPC_XVCPSGNDP	= 1179,
-    PPC_XVCPSGNSP	= 1180,
-    PPC_XVCVDPSP	= 1181,
-    PPC_XVCVDPSXDS	= 1182,
-    PPC_XVCVDPSXWS	= 1183,
-    PPC_XVCVDPUXDS	= 1184,
-    PPC_XVCVDPUXWS	= 1185,
-    PPC_XVCVSPDP	= 1186,
-    PPC_XVCVSPSXDS	= 1187,
-    PPC_XVCVSPSXWS	= 1188,
-    PPC_XVCVSPUXDS	= 1189,
-    PPC_XVCVSPUXWS	= 1190,
-    PPC_XVCVSXDDP	= 1191,
-    PPC_XVCVSXDSP	= 1192,
-    PPC_XVCVSXWDP	= 1193,
-    PPC_XVCVSXWSP	= 1194,
-    PPC_XVCVUXDDP	= 1195,
-    PPC_XVCVUXDSP	= 1196,
-    PPC_XVCVUXWDP	= 1197,
-    PPC_XVCVUXWSP	= 1198,
-    PPC_XVDIVDP	= 1199,
-    PPC_XVDIVSP	= 1200,
-    PPC_XVMADDADP	= 1201,
-    PPC_XVMADDASP	= 1202,
-    PPC_XVMADDMDP	= 1203,
-    PPC_XVMADDMSP	= 1204,
-    PPC_XVMAXDP	= 1205,
-    PPC_XVMAXSP	= 1206,
-    PPC_XVMINDP	= 1207,
-    PPC_XVMINSP	= 1208,
-    PPC_XVMSUBADP	= 1209,
-    PPC_XVMSUBASP	= 1210,
-    PPC_XVMSUBMDP	= 1211,
-    PPC_XVMSUBMSP	= 1212,
-    PPC_XVMULDP	= 1213,
-    PPC_XVMULSP	= 1214,
-    PPC_XVNABSDP	= 1215,
-    PPC_XVNABSSP	= 1216,
-    PPC_XVNEGDP	= 1217,
-    PPC_XVNEGSP	= 1218,
-    PPC_XVNMADDADP	= 1219,
-    PPC_XVNMADDASP	= 1220,
-    PPC_XVNMADDMDP	= 1221,
-    PPC_XVNMADDMSP	= 1222,
-    PPC_XVNMSUBADP	= 1223,
-    PPC_XVNMSUBASP	= 1224,
-    PPC_XVNMSUBMDP	= 1225,
-    PPC_XVNMSUBMSP	= 1226,
-    PPC_XVRDPI	= 1227,
-    PPC_XVRDPIC	= 1228,
-    PPC_XVRDPIM	= 1229,
-    PPC_XVRDPIP	= 1230,
-    PPC_XVRDPIZ	= 1231,
-    PPC_XVREDP	= 1232,
-    PPC_XVRESP	= 1233,
-    PPC_XVRSPI	= 1234,
-    PPC_XVRSPIC	= 1235,
-    PPC_XVRSPIM	= 1236,
-    PPC_XVRSPIP	= 1237,
-    PPC_XVRSPIZ	= 1238,
-    PPC_XVRSQRTEDP	= 1239,
-    PPC_XVRSQRTESP	= 1240,
-    PPC_XVSQRTDP	= 1241,
-    PPC_XVSQRTSP	= 1242,
-    PPC_XVSUBDP	= 1243,
-    PPC_XVSUBSP	= 1244,
-    PPC_XVTDIVDP	= 1245,
-    PPC_XVTDIVSP	= 1246,
-    PPC_XVTSQRTDP	= 1247,
-    PPC_XVTSQRTSP	= 1248,
-    PPC_XXLAND	= 1249,
-    PPC_XXLANDC	= 1250,
-    PPC_XXLNOR	= 1251,
-    PPC_XXLOR	= 1252,
-    PPC_XXLORf	= 1253,
-    PPC_XXLXOR	= 1254,
-    PPC_XXMRGHW	= 1255,
-    PPC_XXMRGLW	= 1256,
-    PPC_XXPERMDI	= 1257,
-    PPC_XXSEL	= 1258,
-    PPC_XXSLDWI	= 1259,
-    PPC_XXSPLTW	= 1260,
-    PPC_gBC	= 1261,
-    PPC_gBCA	= 1262,
-    PPC_gBCCTR	= 1263,
-    PPC_gBCCTRL	= 1264,
-    PPC_gBCL	= 1265,
-    PPC_gBCLA	= 1266,
-    PPC_gBCLR	= 1267,
-    PPC_gBCLRL	= 1268,
-    PPC_INSTRUCTION_LIST_END = 1269
+    PPC_STATEPOINT	= 20,
+    PPC_FRAME_ALLOC	= 21,
+    PPC_ADD4	= 22,
+    PPC_ADD4TLS	= 23,
+    PPC_ADD4o	= 24,
+    PPC_ADD8	= 25,
+    PPC_ADD8TLS	= 26,
+    PPC_ADD8TLS_	= 27,
+    PPC_ADD8o	= 28,
+    PPC_ADDC	= 29,
+    PPC_ADDC8	= 30,
+    PPC_ADDC8o	= 31,
+    PPC_ADDCo	= 32,
+    PPC_ADDE	= 33,
+    PPC_ADDE8	= 34,
+    PPC_ADDE8o	= 35,
+    PPC_ADDEo	= 36,
+    PPC_ADDI	= 37,
+    PPC_ADDI8	= 38,
+    PPC_ADDIC	= 39,
+    PPC_ADDIC8	= 40,
+    PPC_ADDICo	= 41,
+    PPC_ADDIS	= 42,
+    PPC_ADDIS8	= 43,
+    PPC_ADDISdtprelHA	= 44,
+    PPC_ADDISdtprelHA32	= 45,
+    PPC_ADDISgotTprelHA	= 46,
+    PPC_ADDIStlsgdHA	= 47,
+    PPC_ADDIStlsldHA	= 48,
+    PPC_ADDIStocHA	= 49,
+    PPC_ADDIdtprelL	= 50,
+    PPC_ADDIdtprelL32	= 51,
+    PPC_ADDItlsgdL	= 52,
+    PPC_ADDItlsgdL32	= 53,
+    PPC_ADDItlsgdLADDR	= 54,
+    PPC_ADDItlsgdLADDR32	= 55,
+    PPC_ADDItlsldL	= 56,
+    PPC_ADDItlsldL32	= 57,
+    PPC_ADDItlsldLADDR	= 58,
+    PPC_ADDItlsldLADDR32	= 59,
+    PPC_ADDItocL	= 60,
+    PPC_ADDME	= 61,
+    PPC_ADDME8	= 62,
+    PPC_ADDME8o	= 63,
+    PPC_ADDMEo	= 64,
+    PPC_ADDZE	= 65,
+    PPC_ADDZE8	= 66,
+    PPC_ADDZE8o	= 67,
+    PPC_ADDZEo	= 68,
+    PPC_ADJCALLSTACKDOWN	= 69,
+    PPC_ADJCALLSTACKUP	= 70,
+    PPC_AND	= 71,
+    PPC_AND8	= 72,
+    PPC_AND8o	= 73,
+    PPC_ANDC	= 74,
+    PPC_ANDC8	= 75,
+    PPC_ANDC8o	= 76,
+    PPC_ANDCo	= 77,
+    PPC_ANDISo	= 78,
+    PPC_ANDISo8	= 79,
+    PPC_ANDIo	= 80,
+    PPC_ANDIo8	= 81,
+    PPC_ANDIo_1_EQ_BIT	= 82,
+    PPC_ANDIo_1_EQ_BIT8	= 83,
+    PPC_ANDIo_1_GT_BIT	= 84,
+    PPC_ANDIo_1_GT_BIT8	= 85,
+    PPC_ANDo	= 86,
+    PPC_ATOMIC_CMP_SWAP_I16	= 87,
+    PPC_ATOMIC_CMP_SWAP_I32	= 88,
+    PPC_ATOMIC_CMP_SWAP_I64	= 89,
+    PPC_ATOMIC_CMP_SWAP_I8	= 90,
+    PPC_ATOMIC_LOAD_ADD_I16	= 91,
+    PPC_ATOMIC_LOAD_ADD_I32	= 92,
+    PPC_ATOMIC_LOAD_ADD_I64	= 93,
+    PPC_ATOMIC_LOAD_ADD_I8	= 94,
+    PPC_ATOMIC_LOAD_AND_I16	= 95,
+    PPC_ATOMIC_LOAD_AND_I32	= 96,
+    PPC_ATOMIC_LOAD_AND_I64	= 97,
+    PPC_ATOMIC_LOAD_AND_I8	= 98,
+    PPC_ATOMIC_LOAD_NAND_I16	= 99,
+    PPC_ATOMIC_LOAD_NAND_I32	= 100,
+    PPC_ATOMIC_LOAD_NAND_I64	= 101,
+    PPC_ATOMIC_LOAD_NAND_I8	= 102,
+    PPC_ATOMIC_LOAD_OR_I16	= 103,
+    PPC_ATOMIC_LOAD_OR_I32	= 104,
+    PPC_ATOMIC_LOAD_OR_I64	= 105,
+    PPC_ATOMIC_LOAD_OR_I8	= 106,
+    PPC_ATOMIC_LOAD_SUB_I16	= 107,
+    PPC_ATOMIC_LOAD_SUB_I32	= 108,
+    PPC_ATOMIC_LOAD_SUB_I64	= 109,
+    PPC_ATOMIC_LOAD_SUB_I8	= 110,
+    PPC_ATOMIC_LOAD_XOR_I16	= 111,
+    PPC_ATOMIC_LOAD_XOR_I32	= 112,
+    PPC_ATOMIC_LOAD_XOR_I64	= 113,
+    PPC_ATOMIC_LOAD_XOR_I8	= 114,
+    PPC_ATOMIC_SWAP_I16	= 115,
+    PPC_ATOMIC_SWAP_I32	= 116,
+    PPC_ATOMIC_SWAP_I64	= 117,
+    PPC_ATOMIC_SWAP_I8	= 118,
+    PPC_ATTN	= 119,
+    PPC_B	= 120,
+    PPC_BA	= 121,
+    PPC_BC	= 122,
+    PPC_BCC	= 123,
+    PPC_BCCA	= 124,
+    PPC_BCCCTR	= 125,
+    PPC_BCCCTR8	= 126,
+    PPC_BCCCTRL	= 127,
+    PPC_BCCCTRL8	= 128,
+    PPC_BCCL	= 129,
+    PPC_BCCLA	= 130,
+    PPC_BCCLR	= 131,
+    PPC_BCCLRL	= 132,
+    PPC_BCCTR	= 133,
+    PPC_BCCTR8	= 134,
+    PPC_BCCTR8n	= 135,
+    PPC_BCCTRL	= 136,
+    PPC_BCCTRL8	= 137,
+    PPC_BCCTRL8n	= 138,
+    PPC_BCCTRLn	= 139,
+    PPC_BCCTRn	= 140,
+    PPC_BCL	= 141,
+    PPC_BCLR	= 142,
+    PPC_BCLRL	= 143,
+    PPC_BCLRLn	= 144,
+    PPC_BCLRn	= 145,
+    PPC_BCLalways	= 146,
+    PPC_BCLn	= 147,
+    PPC_BCTR	= 148,
+    PPC_BCTR8	= 149,
+    PPC_BCTRL	= 150,
+    PPC_BCTRL8	= 151,
+    PPC_BCTRL8_LDinto_toc	= 152,
+    PPC_BCn	= 153,
+    PPC_BDNZ	= 154,
+    PPC_BDNZ8	= 155,
+    PPC_BDNZA	= 156,
+    PPC_BDNZAm	= 157,
+    PPC_BDNZAp	= 158,
+    PPC_BDNZL	= 159,
+    PPC_BDNZLA	= 160,
+    PPC_BDNZLAm	= 161,
+    PPC_BDNZLAp	= 162,
+    PPC_BDNZLR	= 163,
+    PPC_BDNZLR8	= 164,
+    PPC_BDNZLRL	= 165,
+    PPC_BDNZLRLm	= 166,
+    PPC_BDNZLRLp	= 167,
+    PPC_BDNZLRm	= 168,
+    PPC_BDNZLRp	= 169,
+    PPC_BDNZLm	= 170,
+    PPC_BDNZLp	= 171,
+    PPC_BDNZm	= 172,
+    PPC_BDNZp	= 173,
+    PPC_BDZ	= 174,
+    PPC_BDZ8	= 175,
+    PPC_BDZA	= 176,
+    PPC_BDZAm	= 177,
+    PPC_BDZAp	= 178,
+    PPC_BDZL	= 179,
+    PPC_BDZLA	= 180,
+    PPC_BDZLAm	= 181,
+    PPC_BDZLAp	= 182,
+    PPC_BDZLR	= 183,
+    PPC_BDZLR8	= 184,
+    PPC_BDZLRL	= 185,
+    PPC_BDZLRLm	= 186,
+    PPC_BDZLRLp	= 187,
+    PPC_BDZLRm	= 188,
+    PPC_BDZLRp	= 189,
+    PPC_BDZLm	= 190,
+    PPC_BDZLp	= 191,
+    PPC_BDZm	= 192,
+    PPC_BDZp	= 193,
+    PPC_BL	= 194,
+    PPC_BL8	= 195,
+    PPC_BL8_NOP	= 196,
+    PPC_BL8_NOP_TLS	= 197,
+    PPC_BL8_TLS	= 198,
+    PPC_BL8_TLS_	= 199,
+    PPC_BLA	= 200,
+    PPC_BLA8	= 201,
+    PPC_BLA8_NOP	= 202,
+    PPC_BLR	= 203,
+    PPC_BLR8	= 204,
+    PPC_BLRL	= 205,
+    PPC_BL_TLS	= 206,
+    PPC_BRINC	= 207,
+    PPC_CLRLSLDI	= 208,
+    PPC_CLRLSLDIo	= 209,
+    PPC_CLRLSLWI	= 210,
+    PPC_CLRLSLWIo	= 211,
+    PPC_CLRRDI	= 212,
+    PPC_CLRRDIo	= 213,
+    PPC_CLRRWI	= 214,
+    PPC_CLRRWIo	= 215,
+    PPC_CMPB	= 216,
+    PPC_CMPB8	= 217,
+    PPC_CMPD	= 218,
+    PPC_CMPDI	= 219,
+    PPC_CMPLD	= 220,
+    PPC_CMPLDI	= 221,
+    PPC_CMPLW	= 222,
+    PPC_CMPLWI	= 223,
+    PPC_CMPW	= 224,
+    PPC_CMPWI	= 225,
+    PPC_CNTLZD	= 226,
+    PPC_CNTLZDo	= 227,
+    PPC_CNTLZW	= 228,
+    PPC_CNTLZW8	= 229,
+    PPC_CNTLZW8o	= 230,
+    PPC_CNTLZWo	= 231,
+    PPC_CR6SET	= 232,
+    PPC_CR6UNSET	= 233,
+    PPC_CRAND	= 234,
+    PPC_CRANDC	= 235,
+    PPC_CREQV	= 236,
+    PPC_CRNAND	= 237,
+    PPC_CRNOR	= 238,
+    PPC_CROR	= 239,
+    PPC_CRORC	= 240,
+    PPC_CRSET	= 241,
+    PPC_CRUNSET	= 242,
+    PPC_CRXOR	= 243,
+    PPC_DCBA	= 244,
+    PPC_DCBF	= 245,
+    PPC_DCBI	= 246,
+    PPC_DCBST	= 247,
+    PPC_DCBT	= 248,
+    PPC_DCBTST	= 249,
+    PPC_DCBZ	= 250,
+    PPC_DCBZL	= 251,
+    PPC_DCCCI	= 252,
+    PPC_DIVD	= 253,
+    PPC_DIVDU	= 254,
+    PPC_DIVDUo	= 255,
+    PPC_DIVDo	= 256,
+    PPC_DIVW	= 257,
+    PPC_DIVWU	= 258,
+    PPC_DIVWUo	= 259,
+    PPC_DIVWo	= 260,
+    PPC_DSS	= 261,
+    PPC_DSSALL	= 262,
+    PPC_DST	= 263,
+    PPC_DST64	= 264,
+    PPC_DSTST	= 265,
+    PPC_DSTST64	= 266,
+    PPC_DSTSTT	= 267,
+    PPC_DSTSTT64	= 268,
+    PPC_DSTT	= 269,
+    PPC_DSTT64	= 270,
+    PPC_DYNALLOC	= 271,
+    PPC_DYNALLOC8	= 272,
+    PPC_EH_SjLj_LongJmp32	= 273,
+    PPC_EH_SjLj_LongJmp64	= 274,
+    PPC_EH_SjLj_SetJmp32	= 275,
+    PPC_EH_SjLj_SetJmp64	= 276,
+    PPC_EH_SjLj_Setup	= 277,
+    PPC_EQV	= 278,
+    PPC_EQV8	= 279,
+    PPC_EQV8o	= 280,
+    PPC_EQVo	= 281,
+    PPC_EVABS	= 282,
+    PPC_EVADDIW	= 283,
+    PPC_EVADDSMIAAW	= 284,
+    PPC_EVADDSSIAAW	= 285,
+    PPC_EVADDUMIAAW	= 286,
+    PPC_EVADDUSIAAW	= 287,
+    PPC_EVADDW	= 288,
+    PPC_EVAND	= 289,
+    PPC_EVANDC	= 290,
+    PPC_EVCMPEQ	= 291,
+    PPC_EVCMPGTS	= 292,
+    PPC_EVCMPGTU	= 293,
+    PPC_EVCMPLTS	= 294,
+    PPC_EVCMPLTU	= 295,
+    PPC_EVCNTLSW	= 296,
+    PPC_EVCNTLZW	= 297,
+    PPC_EVDIVWS	= 298,
+    PPC_EVDIVWU	= 299,
+    PPC_EVEQV	= 300,
+    PPC_EVEXTSB	= 301,
+    PPC_EVEXTSH	= 302,
+    PPC_EVLDD	= 303,
+    PPC_EVLDDX	= 304,
+    PPC_EVLDH	= 305,
+    PPC_EVLDHX	= 306,
+    PPC_EVLDW	= 307,
+    PPC_EVLDWX	= 308,
+    PPC_EVLHHESPLAT	= 309,
+    PPC_EVLHHESPLATX	= 310,
+    PPC_EVLHHOSSPLAT	= 311,
+    PPC_EVLHHOSSPLATX	= 312,
+    PPC_EVLHHOUSPLAT	= 313,
+    PPC_EVLHHOUSPLATX	= 314,
+    PPC_EVLWHE	= 315,
+    PPC_EVLWHEX	= 316,
+    PPC_EVLWHOS	= 317,
+    PPC_EVLWHOSX	= 318,
+    PPC_EVLWHOU	= 319,
+    PPC_EVLWHOUX	= 320,
+    PPC_EVLWHSPLAT	= 321,
+    PPC_EVLWHSPLATX	= 322,
+    PPC_EVLWWSPLAT	= 323,
+    PPC_EVLWWSPLATX	= 324,
+    PPC_EVMERGEHI	= 325,
+    PPC_EVMERGEHILO	= 326,
+    PPC_EVMERGELO	= 327,
+    PPC_EVMERGELOHI	= 328,
+    PPC_EVMHEGSMFAA	= 329,
+    PPC_EVMHEGSMFAN	= 330,
+    PPC_EVMHEGSMIAA	= 331,
+    PPC_EVMHEGSMIAN	= 332,
+    PPC_EVMHEGUMIAA	= 333,
+    PPC_EVMHEGUMIAN	= 334,
+    PPC_EVMHESMF	= 335,
+    PPC_EVMHESMFA	= 336,
+    PPC_EVMHESMFAAW	= 337,
+    PPC_EVMHESMFANW	= 338,
+    PPC_EVMHESMI	= 339,
+    PPC_EVMHESMIA	= 340,
+    PPC_EVMHESMIAAW	= 341,
+    PPC_EVMHESMIANW	= 342,
+    PPC_EVMHESSF	= 343,
+    PPC_EVMHESSFA	= 344,
+    PPC_EVMHESSFAAW	= 345,
+    PPC_EVMHESSFANW	= 346,
+    PPC_EVMHESSIAAW	= 347,
+    PPC_EVMHESSIANW	= 348,
+    PPC_EVMHEUMI	= 349,
+    PPC_EVMHEUMIA	= 350,
+    PPC_EVMHEUMIAAW	= 351,
+    PPC_EVMHEUMIANW	= 352,
+    PPC_EVMHEUSIAAW	= 353,
+    PPC_EVMHEUSIANW	= 354,
+    PPC_EVMHOGSMFAA	= 355,
+    PPC_EVMHOGSMFAN	= 356,
+    PPC_EVMHOGSMIAA	= 357,
+    PPC_EVMHOGSMIAN	= 358,
+    PPC_EVMHOGUMIAA	= 359,
+    PPC_EVMHOGUMIAN	= 360,
+    PPC_EVMHOSMF	= 361,
+    PPC_EVMHOSMFA	= 362,
+    PPC_EVMHOSMFAAW	= 363,
+    PPC_EVMHOSMFANW	= 364,
+    PPC_EVMHOSMI	= 365,
+    PPC_EVMHOSMIA	= 366,
+    PPC_EVMHOSMIAAW	= 367,
+    PPC_EVMHOSMIANW	= 368,
+    PPC_EVMHOSSF	= 369,
+    PPC_EVMHOSSFA	= 370,
+    PPC_EVMHOSSFAAW	= 371,
+    PPC_EVMHOSSFANW	= 372,
+    PPC_EVMHOSSIAAW	= 373,
+    PPC_EVMHOSSIANW	= 374,
+    PPC_EVMHOUMI	= 375,
+    PPC_EVMHOUMIA	= 376,
+    PPC_EVMHOUMIAAW	= 377,
+    PPC_EVMHOUMIANW	= 378,
+    PPC_EVMHOUSIAAW	= 379,
+    PPC_EVMHOUSIANW	= 380,
+    PPC_EVMRA	= 381,
+    PPC_EVMWHSMF	= 382,
+    PPC_EVMWHSMFA	= 383,
+    PPC_EVMWHSMI	= 384,
+    PPC_EVMWHSMIA	= 385,
+    PPC_EVMWHSSF	= 386,
+    PPC_EVMWHSSFA	= 387,
+    PPC_EVMWHUMI	= 388,
+    PPC_EVMWHUMIA	= 389,
+    PPC_EVMWLSMIAAW	= 390,
+    PPC_EVMWLSMIANW	= 391,
+    PPC_EVMWLSSIAAW	= 392,
+    PPC_EVMWLSSIANW	= 393,
+    PPC_EVMWLUMI	= 394,
+    PPC_EVMWLUMIA	= 395,
+    PPC_EVMWLUMIAAW	= 396,
+    PPC_EVMWLUMIANW	= 397,
+    PPC_EVMWLUSIAAW	= 398,
+    PPC_EVMWLUSIANW	= 399,
+    PPC_EVMWSMF	= 400,
+    PPC_EVMWSMFA	= 401,
+    PPC_EVMWSMFAA	= 402,
+    PPC_EVMWSMFAN	= 403,
+    PPC_EVMWSMI	= 404,
+    PPC_EVMWSMIA	= 405,
+    PPC_EVMWSMIAA	= 406,
+    PPC_EVMWSMIAN	= 407,
+    PPC_EVMWSSF	= 408,
+    PPC_EVMWSSFA	= 409,
+    PPC_EVMWSSFAA	= 410,
+    PPC_EVMWSSFAN	= 411,
+    PPC_EVMWUMI	= 412,
+    PPC_EVMWUMIA	= 413,
+    PPC_EVMWUMIAA	= 414,
+    PPC_EVMWUMIAN	= 415,
+    PPC_EVNAND	= 416,
+    PPC_EVNEG	= 417,
+    PPC_EVNOR	= 418,
+    PPC_EVOR	= 419,
+    PPC_EVORC	= 420,
+    PPC_EVRLW	= 421,
+    PPC_EVRLWI	= 422,
+    PPC_EVRNDW	= 423,
+    PPC_EVSLW	= 424,
+    PPC_EVSLWI	= 425,
+    PPC_EVSPLATFI	= 426,
+    PPC_EVSPLATI	= 427,
+    PPC_EVSRWIS	= 428,
+    PPC_EVSRWIU	= 429,
+    PPC_EVSRWS	= 430,
+    PPC_EVSRWU	= 431,
+    PPC_EVSTDD	= 432,
+    PPC_EVSTDDX	= 433,
+    PPC_EVSTDH	= 434,
+    PPC_EVSTDHX	= 435,
+    PPC_EVSTDW	= 436,
+    PPC_EVSTDWX	= 437,
+    PPC_EVSTWHE	= 438,
+    PPC_EVSTWHEX	= 439,
+    PPC_EVSTWHO	= 440,
+    PPC_EVSTWHOX	= 441,
+    PPC_EVSTWWE	= 442,
+    PPC_EVSTWWEX	= 443,
+    PPC_EVSTWWO	= 444,
+    PPC_EVSTWWOX	= 445,
+    PPC_EVSUBFSMIAAW	= 446,
+    PPC_EVSUBFSSIAAW	= 447,
+    PPC_EVSUBFUMIAAW	= 448,
+    PPC_EVSUBFUSIAAW	= 449,
+    PPC_EVSUBFW	= 450,
+    PPC_EVSUBIFW	= 451,
+    PPC_EVXOR	= 452,
+    PPC_EXTLDI	= 453,
+    PPC_EXTLDIo	= 454,
+    PPC_EXTLWI	= 455,
+    PPC_EXTLWIo	= 456,
+    PPC_EXTRDI	= 457,
+    PPC_EXTRDIo	= 458,
+    PPC_EXTRWI	= 459,
+    PPC_EXTRWIo	= 460,
+    PPC_EXTSB	= 461,
+    PPC_EXTSB8	= 462,
+    PPC_EXTSB8_32_64	= 463,
+    PPC_EXTSB8o	= 464,
+    PPC_EXTSBo	= 465,
+    PPC_EXTSH	= 466,
+    PPC_EXTSH8	= 467,
+    PPC_EXTSH8_32_64	= 468,
+    PPC_EXTSH8o	= 469,
+    PPC_EXTSHo	= 470,
+    PPC_EXTSW	= 471,
+    PPC_EXTSW_32_64	= 472,
+    PPC_EXTSW_32_64o	= 473,
+    PPC_EXTSWo	= 474,
+    PPC_EnforceIEIO	= 475,
+    PPC_FABSD	= 476,
+    PPC_FABSDo	= 477,
+    PPC_FABSS	= 478,
+    PPC_FABSSo	= 479,
+    PPC_FADD	= 480,
+    PPC_FADDS	= 481,
+    PPC_FADDSo	= 482,
+    PPC_FADDo	= 483,
+    PPC_FADDrtz	= 484,
+    PPC_FCFID	= 485,
+    PPC_FCFIDS	= 486,
+    PPC_FCFIDSo	= 487,
+    PPC_FCFIDU	= 488,
+    PPC_FCFIDUS	= 489,
+    PPC_FCFIDUSo	= 490,
+    PPC_FCFIDUo	= 491,
+    PPC_FCFIDo	= 492,
+    PPC_FCMPUD	= 493,
+    PPC_FCMPUS	= 494,
+    PPC_FCPSGND	= 495,
+    PPC_FCPSGNDo	= 496,
+    PPC_FCPSGNS	= 497,
+    PPC_FCPSGNSo	= 498,
+    PPC_FCTID	= 499,
+    PPC_FCTIDUZ	= 500,
+    PPC_FCTIDUZo	= 501,
+    PPC_FCTIDZ	= 502,
+    PPC_FCTIDZo	= 503,
+    PPC_FCTIDo	= 504,
+    PPC_FCTIW	= 505,
+    PPC_FCTIWUZ	= 506,
+    PPC_FCTIWUZo	= 507,
+    PPC_FCTIWZ	= 508,
+    PPC_FCTIWZo	= 509,
+    PPC_FCTIWo	= 510,
+    PPC_FDIV	= 511,
+    PPC_FDIVS	= 512,
+    PPC_FDIVSo	= 513,
+    PPC_FDIVo	= 514,
+    PPC_FMADD	= 515,
+    PPC_FMADDS	= 516,
+    PPC_FMADDSo	= 517,
+    PPC_FMADDo	= 518,
+    PPC_FMR	= 519,
+    PPC_FMRo	= 520,
+    PPC_FMSUB	= 521,
+    PPC_FMSUBS	= 522,
+    PPC_FMSUBSo	= 523,
+    PPC_FMSUBo	= 524,
+    PPC_FMUL	= 525,
+    PPC_FMULS	= 526,
+    PPC_FMULSo	= 527,
+    PPC_FMULo	= 528,
+    PPC_FNABSD	= 529,
+    PPC_FNABSDo	= 530,
+    PPC_FNABSS	= 531,
+    PPC_FNABSSo	= 532,
+    PPC_FNEGD	= 533,
+    PPC_FNEGDo	= 534,
+    PPC_FNEGS	= 535,
+    PPC_FNEGSo	= 536,
+    PPC_FNMADD	= 537,
+    PPC_FNMADDS	= 538,
+    PPC_FNMADDSo	= 539,
+    PPC_FNMADDo	= 540,
+    PPC_FNMSUB	= 541,
+    PPC_FNMSUBS	= 542,
+    PPC_FNMSUBSo	= 543,
+    PPC_FNMSUBo	= 544,
+    PPC_FRE	= 545,
+    PPC_FRES	= 546,
+    PPC_FRESo	= 547,
+    PPC_FREo	= 548,
+    PPC_FRIMD	= 549,
+    PPC_FRIMDo	= 550,
+    PPC_FRIMS	= 551,
+    PPC_FRIMSo	= 552,
+    PPC_FRIND	= 553,
+    PPC_FRINDo	= 554,
+    PPC_FRINS	= 555,
+    PPC_FRINSo	= 556,
+    PPC_FRIPD	= 557,
+    PPC_FRIPDo	= 558,
+    PPC_FRIPS	= 559,
+    PPC_FRIPSo	= 560,
+    PPC_FRIZD	= 561,
+    PPC_FRIZDo	= 562,
+    PPC_FRIZS	= 563,
+    PPC_FRIZSo	= 564,
+    PPC_FRSP	= 565,
+    PPC_FRSPo	= 566,
+    PPC_FRSQRTE	= 567,
+    PPC_FRSQRTES	= 568,
+    PPC_FRSQRTESo	= 569,
+    PPC_FRSQRTEo	= 570,
+    PPC_FSELD	= 571,
+    PPC_FSELDo	= 572,
+    PPC_FSELS	= 573,
+    PPC_FSELSo	= 574,
+    PPC_FSQRT	= 575,
+    PPC_FSQRTS	= 576,
+    PPC_FSQRTSo	= 577,
+    PPC_FSQRTo	= 578,
+    PPC_FSUB	= 579,
+    PPC_FSUBS	= 580,
+    PPC_FSUBSo	= 581,
+    PPC_FSUBo	= 582,
+    PPC_GETtlsADDR	= 583,
+    PPC_GETtlsADDR32	= 584,
+    PPC_GETtlsldADDR	= 585,
+    PPC_GETtlsldADDR32	= 586,
+    PPC_ICBI	= 587,
+    PPC_ICBT	= 588,
+    PPC_ICCCI	= 589,
+    PPC_INSLWI	= 590,
+    PPC_INSLWIo	= 591,
+    PPC_INSRDI	= 592,
+    PPC_INSRDIo	= 593,
+    PPC_INSRWI	= 594,
+    PPC_INSRWIo	= 595,
+    PPC_ISEL	= 596,
+    PPC_ISEL8	= 597,
+    PPC_ISYNC	= 598,
+    PPC_LA	= 599,
+    PPC_LAx	= 600,
+    PPC_LBZ	= 601,
+    PPC_LBZ8	= 602,
+    PPC_LBZCIX	= 603,
+    PPC_LBZU	= 604,
+    PPC_LBZU8	= 605,
+    PPC_LBZUX	= 606,
+    PPC_LBZUX8	= 607,
+    PPC_LBZX	= 608,
+    PPC_LBZX8	= 609,
+    PPC_LD	= 610,
+    PPC_LDARX	= 611,
+    PPC_LDBRX	= 612,
+    PPC_LDCIX	= 613,
+    PPC_LDU	= 614,
+    PPC_LDUX	= 615,
+    PPC_LDX	= 616,
+    PPC_LDgotTprelL	= 617,
+    PPC_LDgotTprelL32	= 618,
+    PPC_LDtoc	= 619,
+    PPC_LDtocBA	= 620,
+    PPC_LDtocCPT	= 621,
+    PPC_LDtocJTI	= 622,
+    PPC_LDtocL	= 623,
+    PPC_LFD	= 624,
+    PPC_LFDU	= 625,
+    PPC_LFDUX	= 626,
+    PPC_LFDX	= 627,
+    PPC_LFIWAX	= 628,
+    PPC_LFIWZX	= 629,
+    PPC_LFS	= 630,
+    PPC_LFSU	= 631,
+    PPC_LFSUX	= 632,
+    PPC_LFSX	= 633,
+    PPC_LHA	= 634,
+    PPC_LHA8	= 635,
+    PPC_LHAU	= 636,
+    PPC_LHAU8	= 637,
+    PPC_LHAUX	= 638,
+    PPC_LHAUX8	= 639,
+    PPC_LHAX	= 640,
+    PPC_LHAX8	= 641,
+    PPC_LHBRX	= 642,
+    PPC_LHBRX8	= 643,
+    PPC_LHZ	= 644,
+    PPC_LHZ8	= 645,
+    PPC_LHZCIX	= 646,
+    PPC_LHZU	= 647,
+    PPC_LHZU8	= 648,
+    PPC_LHZUX	= 649,
+    PPC_LHZUX8	= 650,
+    PPC_LHZX	= 651,
+    PPC_LHZX8	= 652,
+    PPC_LI	= 653,
+    PPC_LI8	= 654,
+    PPC_LIS	= 655,
+    PPC_LIS8	= 656,
+    PPC_LMW	= 657,
+    PPC_LSWI	= 658,
+    PPC_LVEBX	= 659,
+    PPC_LVEHX	= 660,
+    PPC_LVEWX	= 661,
+    PPC_LVSL	= 662,
+    PPC_LVSR	= 663,
+    PPC_LVX	= 664,
+    PPC_LVXL	= 665,
+    PPC_LWA	= 666,
+    PPC_LWARX	= 667,
+    PPC_LWAUX	= 668,
+    PPC_LWAX	= 669,
+    PPC_LWAX_32	= 670,
+    PPC_LWA_32	= 671,
+    PPC_LWBRX	= 672,
+    PPC_LWBRX8	= 673,
+    PPC_LWZ	= 674,
+    PPC_LWZ8	= 675,
+    PPC_LWZCIX	= 676,
+    PPC_LWZU	= 677,
+    PPC_LWZU8	= 678,
+    PPC_LWZUX	= 679,
+    PPC_LWZUX8	= 680,
+    PPC_LWZX	= 681,
+    PPC_LWZX8	= 682,
+    PPC_LWZtoc	= 683,
+    PPC_LXSDX	= 684,
+    PPC_LXVD2X	= 685,
+    PPC_LXVDSX	= 686,
+    PPC_LXVW4X	= 687,
+    PPC_MBAR	= 688,
+    PPC_MCRF	= 689,
+    PPC_MCRFS	= 690,
+    PPC_MFCR	= 691,
+    PPC_MFCR8	= 692,
+    PPC_MFCTR	= 693,
+    PPC_MFCTR8	= 694,
+    PPC_MFDCR	= 695,
+    PPC_MFFS	= 696,
+    PPC_MFFSo	= 697,
+    PPC_MFLR	= 698,
+    PPC_MFLR8	= 699,
+    PPC_MFMSR	= 700,
+    PPC_MFOCRF	= 701,
+    PPC_MFOCRF8	= 702,
+    PPC_MFSPR	= 703,
+    PPC_MFSR	= 704,
+    PPC_MFSRIN	= 705,
+    PPC_MFTB	= 706,
+    PPC_MFTB8	= 707,
+    PPC_MFVRSAVE	= 708,
+    PPC_MFVRSAVEv	= 709,
+    PPC_MFVSCR	= 710,
+    PPC_MSYNC	= 711,
+    PPC_MTCRF	= 712,
+    PPC_MTCRF8	= 713,
+    PPC_MTCTR	= 714,
+    PPC_MTCTR8	= 715,
+    PPC_MTCTR8loop	= 716,
+    PPC_MTCTRloop	= 717,
+    PPC_MTDCR	= 718,
+    PPC_MTFSB0	= 719,
+    PPC_MTFSB1	= 720,
+    PPC_MTFSF	= 721,
+    PPC_MTFSFI	= 722,
+    PPC_MTFSFIo	= 723,
+    PPC_MTFSFb	= 724,
+    PPC_MTFSFo	= 725,
+    PPC_MTLR	= 726,
+    PPC_MTLR8	= 727,
+    PPC_MTMSR	= 728,
+    PPC_MTMSRD	= 729,
+    PPC_MTOCRF	= 730,
+    PPC_MTOCRF8	= 731,
+    PPC_MTSPR	= 732,
+    PPC_MTSR	= 733,
+    PPC_MTSRIN	= 734,
+    PPC_MTVRSAVE	= 735,
+    PPC_MTVRSAVEv	= 736,
+    PPC_MTVSCR	= 737,
+    PPC_MULHD	= 738,
+    PPC_MULHDU	= 739,
+    PPC_MULHDUo	= 740,
+    PPC_MULHDo	= 741,
+    PPC_MULHW	= 742,
+    PPC_MULHWU	= 743,
+    PPC_MULHWUo	= 744,
+    PPC_MULHWo	= 745,
+    PPC_MULLD	= 746,
+    PPC_MULLDo	= 747,
+    PPC_MULLI	= 748,
+    PPC_MULLI8	= 749,
+    PPC_MULLW	= 750,
+    PPC_MULLWo	= 751,
+    PPC_MoveGOTtoLR	= 752,
+    PPC_MovePCtoLR	= 753,
+    PPC_MovePCtoLR8	= 754,
+    PPC_NAND	= 755,
+    PPC_NAND8	= 756,
+    PPC_NAND8o	= 757,
+    PPC_NANDo	= 758,
+    PPC_NEG	= 759,
+    PPC_NEG8	= 760,
+    PPC_NEG8o	= 761,
+    PPC_NEGo	= 762,
+    PPC_NOP	= 763,
+    PPC_NOP_GT_PWR6	= 764,
+    PPC_NOP_GT_PWR7	= 765,
+    PPC_NOR	= 766,
+    PPC_NOR8	= 767,
+    PPC_NOR8o	= 768,
+    PPC_NORo	= 769,
+    PPC_OR	= 770,
+    PPC_OR8	= 771,
+    PPC_OR8o	= 772,
+    PPC_ORC	= 773,
+    PPC_ORC8	= 774,
+    PPC_ORC8o	= 775,
+    PPC_ORCo	= 776,
+    PPC_ORI	= 777,
+    PPC_ORI8	= 778,
+    PPC_ORIS	= 779,
+    PPC_ORIS8	= 780,
+    PPC_ORo	= 781,
+    PPC_POPCNTD	= 782,
+    PPC_POPCNTW	= 783,
+    PPC_PPC32GOT	= 784,
+    PPC_PPC32PICGOT	= 785,
+    PPC_QVALIGNI	= 786,
+    PPC_QVALIGNIb	= 787,
+    PPC_QVALIGNIs	= 788,
+    PPC_QVESPLATI	= 789,
+    PPC_QVESPLATIb	= 790,
+    PPC_QVESPLATIs	= 791,
+    PPC_QVFABS	= 792,
+    PPC_QVFABSs	= 793,
+    PPC_QVFADD	= 794,
+    PPC_QVFADDS	= 795,
+    PPC_QVFADDSs	= 796,
+    PPC_QVFCFID	= 797,
+    PPC_QVFCFIDS	= 798,
+    PPC_QVFCFIDU	= 799,
+    PPC_QVFCFIDUS	= 800,
+    PPC_QVFCFIDb	= 801,
+    PPC_QVFCMPEQ	= 802,
+    PPC_QVFCMPEQb	= 803,
+    PPC_QVFCMPEQbs	= 804,
+    PPC_QVFCMPGT	= 805,
+    PPC_QVFCMPGTb	= 806,
+    PPC_QVFCMPGTbs	= 807,
+    PPC_QVFCMPLT	= 808,
+    PPC_QVFCMPLTb	= 809,
+    PPC_QVFCMPLTbs	= 810,
+    PPC_QVFCPSGN	= 811,
+    PPC_QVFCPSGNs	= 812,
+    PPC_QVFCTID	= 813,
+    PPC_QVFCTIDU	= 814,
+    PPC_QVFCTIDUZ	= 815,
+    PPC_QVFCTIDZ	= 816,
+    PPC_QVFCTIDb	= 817,
+    PPC_QVFCTIW	= 818,
+    PPC_QVFCTIWU	= 819,
+    PPC_QVFCTIWUZ	= 820,
+    PPC_QVFCTIWZ	= 821,
+    PPC_QVFLOGICAL	= 822,
+    PPC_QVFLOGICALb	= 823,
+    PPC_QVFLOGICALs	= 824,
+    PPC_QVFMADD	= 825,
+    PPC_QVFMADDS	= 826,
+    PPC_QVFMADDSs	= 827,
+    PPC_QVFMR	= 828,
+    PPC_QVFMRb	= 829,
+    PPC_QVFMRs	= 830,
+    PPC_QVFMSUB	= 831,
+    PPC_QVFMSUBS	= 832,
+    PPC_QVFMSUBSs	= 833,
+    PPC_QVFMUL	= 834,
+    PPC_QVFMULS	= 835,
+    PPC_QVFMULSs	= 836,
+    PPC_QVFNABS	= 837,
+    PPC_QVFNABSs	= 838,
+    PPC_QVFNEG	= 839,
+    PPC_QVFNEGs	= 840,
+    PPC_QVFNMADD	= 841,
+    PPC_QVFNMADDS	= 842,
+    PPC_QVFNMADDSs	= 843,
+    PPC_QVFNMSUB	= 844,
+    PPC_QVFNMSUBS	= 845,
+    PPC_QVFNMSUBSs	= 846,
+    PPC_QVFPERM	= 847,
+    PPC_QVFPERMs	= 848,
+    PPC_QVFRE	= 849,
+    PPC_QVFRES	= 850,
+    PPC_QVFRESs	= 851,
+    PPC_QVFRIM	= 852,
+    PPC_QVFRIMs	= 853,
+    PPC_QVFRIN	= 854,
+    PPC_QVFRINs	= 855,
+    PPC_QVFRIP	= 856,
+    PPC_QVFRIPs	= 857,
+    PPC_QVFRIZ	= 858,
+    PPC_QVFRIZs	= 859,
+    PPC_QVFRSP	= 860,
+    PPC_QVFRSPs	= 861,
+    PPC_QVFRSQRTE	= 862,
+    PPC_QVFRSQRTES	= 863,
+    PPC_QVFRSQRTESs	= 864,
+    PPC_QVFSEL	= 865,
+    PPC_QVFSELb	= 866,
+    PPC_QVFSELbb	= 867,
+    PPC_QVFSELbs	= 868,
+    PPC_QVFSUB	= 869,
+    PPC_QVFSUBS	= 870,
+    PPC_QVFSUBSs	= 871,
+    PPC_QVFTSTNAN	= 872,
+    PPC_QVFTSTNANb	= 873,
+    PPC_QVFTSTNANbs	= 874,
+    PPC_QVFXMADD	= 875,
+    PPC_QVFXMADDS	= 876,
+    PPC_QVFXMUL	= 877,
+    PPC_QVFXMULS	= 878,
+    PPC_QVFXXCPNMADD	= 879,
+    PPC_QVFXXCPNMADDS	= 880,
+    PPC_QVFXXMADD	= 881,
+    PPC_QVFXXMADDS	= 882,
+    PPC_QVFXXNPMADD	= 883,
+    PPC_QVFXXNPMADDS	= 884,
+    PPC_QVGPCI	= 885,
+    PPC_QVLFCDUX	= 886,
+    PPC_QVLFCDUXA	= 887,
+    PPC_QVLFCDX	= 888,
+    PPC_QVLFCDXA	= 889,
+    PPC_QVLFCSUX	= 890,
+    PPC_QVLFCSUXA	= 891,
+    PPC_QVLFCSX	= 892,
+    PPC_QVLFCSXA	= 893,
+    PPC_QVLFCSXs	= 894,
+    PPC_QVLFDUX	= 895,
+    PPC_QVLFDUXA	= 896,
+    PPC_QVLFDX	= 897,
+    PPC_QVLFDXA	= 898,
+    PPC_QVLFDXb	= 899,
+    PPC_QVLFIWAX	= 900,
+    PPC_QVLFIWAXA	= 901,
+    PPC_QVLFIWZX	= 902,
+    PPC_QVLFIWZXA	= 903,
+    PPC_QVLFSUX	= 904,
+    PPC_QVLFSUXA	= 905,
+    PPC_QVLFSX	= 906,
+    PPC_QVLFSXA	= 907,
+    PPC_QVLFSXb	= 908,
+    PPC_QVLFSXs	= 909,
+    PPC_QVLPCLDX	= 910,
+    PPC_QVLPCLSX	= 911,
+    PPC_QVLPCLSXint	= 912,
+    PPC_QVLPCRDX	= 913,
+    PPC_QVLPCRSX	= 914,
+    PPC_QVSTFCDUX	= 915,
+    PPC_QVSTFCDUXA	= 916,
+    PPC_QVSTFCDUXI	= 917,
+    PPC_QVSTFCDUXIA	= 918,
+    PPC_QVSTFCDX	= 919,
+    PPC_QVSTFCDXA	= 920,
+    PPC_QVSTFCDXI	= 921,
+    PPC_QVSTFCDXIA	= 922,
+    PPC_QVSTFCSUX	= 923,
+    PPC_QVSTFCSUXA	= 924,
+    PPC_QVSTFCSUXI	= 925,
+    PPC_QVSTFCSUXIA	= 926,
+    PPC_QVSTFCSX	= 927,
+    PPC_QVSTFCSXA	= 928,
+    PPC_QVSTFCSXI	= 929,
+    PPC_QVSTFCSXIA	= 930,
+    PPC_QVSTFCSXs	= 931,
+    PPC_QVSTFDUX	= 932,
+    PPC_QVSTFDUXA	= 933,
+    PPC_QVSTFDUXI	= 934,
+    PPC_QVSTFDUXIA	= 935,
+    PPC_QVSTFDX	= 936,
+    PPC_QVSTFDXA	= 937,
+    PPC_QVSTFDXI	= 938,
+    PPC_QVSTFDXIA	= 939,
+    PPC_QVSTFDXb	= 940,
+    PPC_QVSTFIWX	= 941,
+    PPC_QVSTFIWXA	= 942,
+    PPC_QVSTFSUX	= 943,
+    PPC_QVSTFSUXA	= 944,
+    PPC_QVSTFSUXI	= 945,
+    PPC_QVSTFSUXIA	= 946,
+    PPC_QVSTFSUXs	= 947,
+    PPC_QVSTFSX	= 948,
+    PPC_QVSTFSXA	= 949,
+    PPC_QVSTFSXI	= 950,
+    PPC_QVSTFSXIA	= 951,
+    PPC_QVSTFSXs	= 952,
+    PPC_RESTORE_CR	= 953,
+    PPC_RESTORE_CRBIT	= 954,
+    PPC_RESTORE_VRSAVE	= 955,
+    PPC_RFCI	= 956,
+    PPC_RFDI	= 957,
+    PPC_RFI	= 958,
+    PPC_RFID	= 959,
+    PPC_RFMCI	= 960,
+    PPC_RLDCL	= 961,
+    PPC_RLDCLo	= 962,
+    PPC_RLDCR	= 963,
+    PPC_RLDCRo	= 964,
+    PPC_RLDIC	= 965,
+    PPC_RLDICL	= 966,
+    PPC_RLDICL_32_64	= 967,
+    PPC_RLDICLo	= 968,
+    PPC_RLDICR	= 969,
+    PPC_RLDICRo	= 970,
+    PPC_RLDICo	= 971,
+    PPC_RLDIMI	= 972,
+    PPC_RLDIMIo	= 973,
+    PPC_RLWIMI	= 974,
+    PPC_RLWIMI8	= 975,
+    PPC_RLWIMI8o	= 976,
+    PPC_RLWIMIo	= 977,
+    PPC_RLWINM	= 978,
+    PPC_RLWINM8	= 979,
+    PPC_RLWINM8o	= 980,
+    PPC_RLWINMo	= 981,
+    PPC_RLWNM	= 982,
+    PPC_RLWNM8	= 983,
+    PPC_RLWNM8o	= 984,
+    PPC_RLWNMo	= 985,
+    PPC_ROTRDI	= 986,
+    PPC_ROTRDIo	= 987,
+    PPC_ROTRWI	= 988,
+    PPC_ROTRWIo	= 989,
+    PPC_ReadTB	= 990,
+    PPC_SC	= 991,
+    PPC_SELECT_CC_F4	= 992,
+    PPC_SELECT_CC_F8	= 993,
+    PPC_SELECT_CC_I4	= 994,
+    PPC_SELECT_CC_I8	= 995,
+    PPC_SELECT_CC_QBRC	= 996,
+    PPC_SELECT_CC_QFRC	= 997,
+    PPC_SELECT_CC_QSRC	= 998,
+    PPC_SELECT_CC_VRRC	= 999,
+    PPC_SELECT_CC_VSFRC	= 1000,
+    PPC_SELECT_CC_VSRC	= 1001,
+    PPC_SELECT_F4	= 1002,
+    PPC_SELECT_F8	= 1003,
+    PPC_SELECT_I4	= 1004,
+    PPC_SELECT_I8	= 1005,
+    PPC_SELECT_QBRC	= 1006,
+    PPC_SELECT_QFRC	= 1007,
+    PPC_SELECT_QSRC	= 1008,
+    PPC_SELECT_VRRC	= 1009,
+    PPC_SELECT_VSFRC	= 1010,
+    PPC_SELECT_VSRC	= 1011,
+    PPC_SLBIA	= 1012,
+    PPC_SLBIE	= 1013,
+    PPC_SLBMFEE	= 1014,
+    PPC_SLBMTE	= 1015,
+    PPC_SLD	= 1016,
+    PPC_SLDI	= 1017,
+    PPC_SLDIo	= 1018,
+    PPC_SLDo	= 1019,
+    PPC_SLW	= 1020,
+    PPC_SLW8	= 1021,
+    PPC_SLW8o	= 1022,
+    PPC_SLWI	= 1023,
+    PPC_SLWIo	= 1024,
+    PPC_SLWo	= 1025,
+    PPC_SPILL_CR	= 1026,
+    PPC_SPILL_CRBIT	= 1027,
+    PPC_SPILL_VRSAVE	= 1028,
+    PPC_SRAD	= 1029,
+    PPC_SRADI	= 1030,
+    PPC_SRADIo	= 1031,
+    PPC_SRADo	= 1032,
+    PPC_SRAW	= 1033,
+    PPC_SRAWI	= 1034,
+    PPC_SRAWIo	= 1035,
+    PPC_SRAWo	= 1036,
+    PPC_SRD	= 1037,
+    PPC_SRDI	= 1038,
+    PPC_SRDIo	= 1039,
+    PPC_SRDo	= 1040,
+    PPC_SRW	= 1041,
+    PPC_SRW8	= 1042,
+    PPC_SRW8o	= 1043,
+    PPC_SRWI	= 1044,
+    PPC_SRWIo	= 1045,
+    PPC_SRWo	= 1046,
+    PPC_STB	= 1047,
+    PPC_STB8	= 1048,
+    PPC_STBCIX	= 1049,
+    PPC_STBU	= 1050,
+    PPC_STBU8	= 1051,
+    PPC_STBUX	= 1052,
+    PPC_STBUX8	= 1053,
+    PPC_STBX	= 1054,
+    PPC_STBX8	= 1055,
+    PPC_STD	= 1056,
+    PPC_STDBRX	= 1057,
+    PPC_STDCIX	= 1058,
+    PPC_STDCX	= 1059,
+    PPC_STDU	= 1060,
+    PPC_STDUX	= 1061,
+    PPC_STDX	= 1062,
+    PPC_STFD	= 1063,
+    PPC_STFDU	= 1064,
+    PPC_STFDUX	= 1065,
+    PPC_STFDX	= 1066,
+    PPC_STFIWX	= 1067,
+    PPC_STFS	= 1068,
+    PPC_STFSU	= 1069,
+    PPC_STFSUX	= 1070,
+    PPC_STFSX	= 1071,
+    PPC_STH	= 1072,
+    PPC_STH8	= 1073,
+    PPC_STHBRX	= 1074,
+    PPC_STHCIX	= 1075,
+    PPC_STHU	= 1076,
+    PPC_STHU8	= 1077,
+    PPC_STHUX	= 1078,
+    PPC_STHUX8	= 1079,
+    PPC_STHX	= 1080,
+    PPC_STHX8	= 1081,
+    PPC_STMW	= 1082,
+    PPC_STSWI	= 1083,
+    PPC_STVEBX	= 1084,
+    PPC_STVEHX	= 1085,
+    PPC_STVEWX	= 1086,
+    PPC_STVX	= 1087,
+    PPC_STVXL	= 1088,
+    PPC_STW	= 1089,
+    PPC_STW8	= 1090,
+    PPC_STWBRX	= 1091,
+    PPC_STWCIX	= 1092,
+    PPC_STWCX	= 1093,
+    PPC_STWU	= 1094,
+    PPC_STWU8	= 1095,
+    PPC_STWUX	= 1096,
+    PPC_STWUX8	= 1097,
+    PPC_STWX	= 1098,
+    PPC_STWX8	= 1099,
+    PPC_STXSDX	= 1100,
+    PPC_STXVD2X	= 1101,
+    PPC_STXVW4X	= 1102,
+    PPC_SUBF	= 1103,
+    PPC_SUBF8	= 1104,
+    PPC_SUBF8o	= 1105,
+    PPC_SUBFC	= 1106,
+    PPC_SUBFC8	= 1107,
+    PPC_SUBFC8o	= 1108,
+    PPC_SUBFCo	= 1109,
+    PPC_SUBFE	= 1110,
+    PPC_SUBFE8	= 1111,
+    PPC_SUBFE8o	= 1112,
+    PPC_SUBFEo	= 1113,
+    PPC_SUBFIC	= 1114,
+    PPC_SUBFIC8	= 1115,
+    PPC_SUBFME	= 1116,
+    PPC_SUBFME8	= 1117,
+    PPC_SUBFME8o	= 1118,
+    PPC_SUBFMEo	= 1119,
+    PPC_SUBFZE	= 1120,
+    PPC_SUBFZE8	= 1121,
+    PPC_SUBFZE8o	= 1122,
+    PPC_SUBFZEo	= 1123,
+    PPC_SUBFo	= 1124,
+    PPC_SUBI	= 1125,
+    PPC_SUBIC	= 1126,
+    PPC_SUBICo	= 1127,
+    PPC_SUBIS	= 1128,
+    PPC_SYNC	= 1129,
+    PPC_TAILB	= 1130,
+    PPC_TAILB8	= 1131,
+    PPC_TAILBA	= 1132,
+    PPC_TAILBA8	= 1133,
+    PPC_TAILBCTR	= 1134,
+    PPC_TAILBCTR8	= 1135,
+    PPC_TCRETURNai	= 1136,
+    PPC_TCRETURNai8	= 1137,
+    PPC_TCRETURNdi	= 1138,
+    PPC_TCRETURNdi8	= 1139,
+    PPC_TCRETURNri	= 1140,
+    PPC_TCRETURNri8	= 1141,
+    PPC_TD	= 1142,
+    PPC_TDI	= 1143,
+    PPC_TLBIA	= 1144,
+    PPC_TLBIE	= 1145,
+    PPC_TLBIEL	= 1146,
+    PPC_TLBIVAX	= 1147,
+    PPC_TLBLD	= 1148,
+    PPC_TLBLI	= 1149,
+    PPC_TLBRE	= 1150,
+    PPC_TLBRE2	= 1151,
+    PPC_TLBSX	= 1152,
+    PPC_TLBSX2	= 1153,
+    PPC_TLBSX2D	= 1154,
+    PPC_TLBSYNC	= 1155,
+    PPC_TLBWE	= 1156,
+    PPC_TLBWE2	= 1157,
+    PPC_TRAP	= 1158,
+    PPC_TW	= 1159,
+    PPC_TWI	= 1160,
+    PPC_UPDATE_VRSAVE	= 1161,
+    PPC_UpdateGBR	= 1162,
+    PPC_VADDCUW	= 1163,
+    PPC_VADDFP	= 1164,
+    PPC_VADDSBS	= 1165,
+    PPC_VADDSHS	= 1166,
+    PPC_VADDSWS	= 1167,
+    PPC_VADDUBM	= 1168,
+    PPC_VADDUBS	= 1169,
+    PPC_VADDUDM	= 1170,
+    PPC_VADDUHM	= 1171,
+    PPC_VADDUHS	= 1172,
+    PPC_VADDUWM	= 1173,
+    PPC_VADDUWS	= 1174,
+    PPC_VAND	= 1175,
+    PPC_VANDC	= 1176,
+    PPC_VAVGSB	= 1177,
+    PPC_VAVGSH	= 1178,
+    PPC_VAVGSW	= 1179,
+    PPC_VAVGUB	= 1180,
+    PPC_VAVGUH	= 1181,
+    PPC_VAVGUW	= 1182,
+    PPC_VCFSX	= 1183,
+    PPC_VCFSX_0	= 1184,
+    PPC_VCFUX	= 1185,
+    PPC_VCFUX_0	= 1186,
+    PPC_VCLZB	= 1187,
+    PPC_VCLZD	= 1188,
+    PPC_VCLZH	= 1189,
+    PPC_VCLZW	= 1190,
+    PPC_VCMPBFP	= 1191,
+    PPC_VCMPBFPo	= 1192,
+    PPC_VCMPEQFP	= 1193,
+    PPC_VCMPEQFPo	= 1194,
+    PPC_VCMPEQUB	= 1195,
+    PPC_VCMPEQUBo	= 1196,
+    PPC_VCMPEQUD	= 1197,
+    PPC_VCMPEQUDo	= 1198,
+    PPC_VCMPEQUH	= 1199,
+    PPC_VCMPEQUHo	= 1200,
+    PPC_VCMPEQUW	= 1201,
+    PPC_VCMPEQUWo	= 1202,
+    PPC_VCMPGEFP	= 1203,
+    PPC_VCMPGEFPo	= 1204,
+    PPC_VCMPGTFP	= 1205,
+    PPC_VCMPGTFPo	= 1206,
+    PPC_VCMPGTSB	= 1207,
+    PPC_VCMPGTSBo	= 1208,
+    PPC_VCMPGTSD	= 1209,
+    PPC_VCMPGTSDo	= 1210,
+    PPC_VCMPGTSH	= 1211,
+    PPC_VCMPGTSHo	= 1212,
+    PPC_VCMPGTSW	= 1213,
+    PPC_VCMPGTSWo	= 1214,
+    PPC_VCMPGTUB	= 1215,
+    PPC_VCMPGTUBo	= 1216,
+    PPC_VCMPGTUD	= 1217,
+    PPC_VCMPGTUDo	= 1218,
+    PPC_VCMPGTUH	= 1219,
+    PPC_VCMPGTUHo	= 1220,
+    PPC_VCMPGTUW	= 1221,
+    PPC_VCMPGTUWo	= 1222,
+    PPC_VCTSXS	= 1223,
+    PPC_VCTSXS_0	= 1224,
+    PPC_VCTUXS	= 1225,
+    PPC_VCTUXS_0	= 1226,
+    PPC_VEQV	= 1227,
+    PPC_VEXPTEFP	= 1228,
+    PPC_VLOGEFP	= 1229,
+    PPC_VMADDFP	= 1230,
+    PPC_VMAXFP	= 1231,
+    PPC_VMAXSB	= 1232,
+    PPC_VMAXSD	= 1233,
+    PPC_VMAXSH	= 1234,
+    PPC_VMAXSW	= 1235,
+    PPC_VMAXUB	= 1236,
+    PPC_VMAXUD	= 1237,
+    PPC_VMAXUH	= 1238,
+    PPC_VMAXUW	= 1239,
+    PPC_VMHADDSHS	= 1240,
+    PPC_VMHRADDSHS	= 1241,
+    PPC_VMIDUD	= 1242,
+    PPC_VMINFP	= 1243,
+    PPC_VMINSB	= 1244,
+    PPC_VMINSD	= 1245,
+    PPC_VMINSH	= 1246,
+    PPC_VMINSW	= 1247,
+    PPC_VMINUB	= 1248,
+    PPC_VMINUH	= 1249,
+    PPC_VMINUW	= 1250,
+    PPC_VMLADDUHM	= 1251,
+    PPC_VMRGHB	= 1252,
+    PPC_VMRGHH	= 1253,
+    PPC_VMRGHW	= 1254,
+    PPC_VMRGLB	= 1255,
+    PPC_VMRGLH	= 1256,
+    PPC_VMRGLW	= 1257,
+    PPC_VMSUMMBM	= 1258,
+    PPC_VMSUMSHM	= 1259,
+    PPC_VMSUMSHS	= 1260,
+    PPC_VMSUMUBM	= 1261,
+    PPC_VMSUMUHM	= 1262,
+    PPC_VMSUMUHS	= 1263,
+    PPC_VMULESB	= 1264,
+    PPC_VMULESH	= 1265,
+    PPC_VMULESW	= 1266,
+    PPC_VMULEUB	= 1267,
+    PPC_VMULEUH	= 1268,
+    PPC_VMULEUW	= 1269,
+    PPC_VMULOSB	= 1270,
+    PPC_VMULOSH	= 1271,
+    PPC_VMULOSW	= 1272,
+    PPC_VMULOUB	= 1273,
+    PPC_VMULOUH	= 1274,
+    PPC_VMULOUW	= 1275,
+    PPC_VMULUWM	= 1276,
+    PPC_VNAND	= 1277,
+    PPC_VNMSUBFP	= 1278,
+    PPC_VNOR	= 1279,
+    PPC_VOR	= 1280,
+    PPC_VORC	= 1281,
+    PPC_VPERM	= 1282,
+    PPC_VPKPX	= 1283,
+    PPC_VPKSHSS	= 1284,
+    PPC_VPKSHUS	= 1285,
+    PPC_VPKSWSS	= 1286,
+    PPC_VPKSWUS	= 1287,
+    PPC_VPKUHUM	= 1288,
+    PPC_VPKUHUS	= 1289,
+    PPC_VPKUWUM	= 1290,
+    PPC_VPKUWUS	= 1291,
+    PPC_VPOPCNTB	= 1292,
+    PPC_VPOPCNTD	= 1293,
+    PPC_VPOPCNTH	= 1294,
+    PPC_VPOPCNTW	= 1295,
+    PPC_VREFP	= 1296,
+    PPC_VRFIM	= 1297,
+    PPC_VRFIN	= 1298,
+    PPC_VRFIP	= 1299,
+    PPC_VRFIZ	= 1300,
+    PPC_VRLB	= 1301,
+    PPC_VRLD	= 1302,
+    PPC_VRLH	= 1303,
+    PPC_VRLW	= 1304,
+    PPC_VRSQRTEFP	= 1305,
+    PPC_VSEL	= 1306,
+    PPC_VSL	= 1307,
+    PPC_VSLB	= 1308,
+    PPC_VSLD	= 1309,
+    PPC_VSLDOI	= 1310,
+    PPC_VSLH	= 1311,
+    PPC_VSLO	= 1312,
+    PPC_VSLW	= 1313,
+    PPC_VSPLTB	= 1314,
+    PPC_VSPLTH	= 1315,
+    PPC_VSPLTISB	= 1316,
+    PPC_VSPLTISH	= 1317,
+    PPC_VSPLTISW	= 1318,
+    PPC_VSPLTW	= 1319,
+    PPC_VSR	= 1320,
+    PPC_VSRAB	= 1321,
+    PPC_VSRAD	= 1322,
+    PPC_VSRAH	= 1323,
+    PPC_VSRAW	= 1324,
+    PPC_VSRB	= 1325,
+    PPC_VSRD	= 1326,
+    PPC_VSRH	= 1327,
+    PPC_VSRO	= 1328,
+    PPC_VSRW	= 1329,
+    PPC_VSUBCUW	= 1330,
+    PPC_VSUBFP	= 1331,
+    PPC_VSUBSBS	= 1332,
+    PPC_VSUBSHS	= 1333,
+    PPC_VSUBSWS	= 1334,
+    PPC_VSUBUBM	= 1335,
+    PPC_VSUBUBS	= 1336,
+    PPC_VSUBUDM	= 1337,
+    PPC_VSUBUHM	= 1338,
+    PPC_VSUBUHS	= 1339,
+    PPC_VSUBUWM	= 1340,
+    PPC_VSUBUWS	= 1341,
+    PPC_VSUM2SWS	= 1342,
+    PPC_VSUM4SBS	= 1343,
+    PPC_VSUM4SHS	= 1344,
+    PPC_VSUM4UBS	= 1345,
+    PPC_VSUMSWS	= 1346,
+    PPC_VUPKHPX	= 1347,
+    PPC_VUPKHSB	= 1348,
+    PPC_VUPKHSH	= 1349,
+    PPC_VUPKLPX	= 1350,
+    PPC_VUPKLSB	= 1351,
+    PPC_VUPKLSH	= 1352,
+    PPC_VXOR	= 1353,
+    PPC_V_SET0	= 1354,
+    PPC_V_SET0B	= 1355,
+    PPC_V_SET0H	= 1356,
+    PPC_V_SETALLONES	= 1357,
+    PPC_V_SETALLONESB	= 1358,
+    PPC_V_SETALLONESH	= 1359,
+    PPC_WAIT	= 1360,
+    PPC_WRTEE	= 1361,
+    PPC_WRTEEI	= 1362,
+    PPC_XOR	= 1363,
+    PPC_XOR8	= 1364,
+    PPC_XOR8o	= 1365,
+    PPC_XORI	= 1366,
+    PPC_XORI8	= 1367,
+    PPC_XORIS	= 1368,
+    PPC_XORIS8	= 1369,
+    PPC_XORo	= 1370,
+    PPC_XSABSDP	= 1371,
+    PPC_XSADDDP	= 1372,
+    PPC_XSCMPODP	= 1373,
+    PPC_XSCMPUDP	= 1374,
+    PPC_XSCPSGNDP	= 1375,
+    PPC_XSCVDPSP	= 1376,
+    PPC_XSCVDPSXDS	= 1377,
+    PPC_XSCVDPSXWS	= 1378,
+    PPC_XSCVDPUXDS	= 1379,
+    PPC_XSCVDPUXWS	= 1380,
+    PPC_XSCVSPDP	= 1381,
+    PPC_XSCVSXDDP	= 1382,
+    PPC_XSCVUXDDP	= 1383,
+    PPC_XSDIVDP	= 1384,
+    PPC_XSMADDADP	= 1385,
+    PPC_XSMADDMDP	= 1386,
+    PPC_XSMAXDP	= 1387,
+    PPC_XSMINDP	= 1388,
+    PPC_XSMSUBADP	= 1389,
+    PPC_XSMSUBMDP	= 1390,
+    PPC_XSMULDP	= 1391,
+    PPC_XSNABSDP	= 1392,
+    PPC_XSNEGDP	= 1393,
+    PPC_XSNMADDADP	= 1394,
+    PPC_XSNMADDMDP	= 1395,
+    PPC_XSNMSUBADP	= 1396,
+    PPC_XSNMSUBMDP	= 1397,
+    PPC_XSRDPI	= 1398,
+    PPC_XSRDPIC	= 1399,
+    PPC_XSRDPIM	= 1400,
+    PPC_XSRDPIP	= 1401,
+    PPC_XSRDPIZ	= 1402,
+    PPC_XSREDP	= 1403,
+    PPC_XSRSQRTEDP	= 1404,
+    PPC_XSSQRTDP	= 1405,
+    PPC_XSSUBDP	= 1406,
+    PPC_XSTDIVDP	= 1407,
+    PPC_XSTSQRTDP	= 1408,
+    PPC_XVABSDP	= 1409,
+    PPC_XVABSSP	= 1410,
+    PPC_XVADDDP	= 1411,
+    PPC_XVADDSP	= 1412,
+    PPC_XVCMPEQDP	= 1413,
+    PPC_XVCMPEQDPo	= 1414,
+    PPC_XVCMPEQSP	= 1415,
+    PPC_XVCMPEQSPo	= 1416,
+    PPC_XVCMPGEDP	= 1417,
+    PPC_XVCMPGEDPo	= 1418,
+    PPC_XVCMPGESP	= 1419,
+    PPC_XVCMPGESPo	= 1420,
+    PPC_XVCMPGTDP	= 1421,
+    PPC_XVCMPGTDPo	= 1422,
+    PPC_XVCMPGTSP	= 1423,
+    PPC_XVCMPGTSPo	= 1424,
+    PPC_XVCPSGNDP	= 1425,
+    PPC_XVCPSGNSP	= 1426,
+    PPC_XVCVDPSP	= 1427,
+    PPC_XVCVDPSXDS	= 1428,
+    PPC_XVCVDPSXWS	= 1429,
+    PPC_XVCVDPUXDS	= 1430,
+    PPC_XVCVDPUXWS	= 1431,
+    PPC_XVCVSPDP	= 1432,
+    PPC_XVCVSPSXDS	= 1433,
+    PPC_XVCVSPSXWS	= 1434,
+    PPC_XVCVSPUXDS	= 1435,
+    PPC_XVCVSPUXWS	= 1436,
+    PPC_XVCVSXDDP	= 1437,
+    PPC_XVCVSXDSP	= 1438,
+    PPC_XVCVSXWDP	= 1439,
+    PPC_XVCVSXWSP	= 1440,
+    PPC_XVCVUXDDP	= 1441,
+    PPC_XVCVUXDSP	= 1442,
+    PPC_XVCVUXWDP	= 1443,
+    PPC_XVCVUXWSP	= 1444,
+    PPC_XVDIVDP	= 1445,
+    PPC_XVDIVSP	= 1446,
+    PPC_XVMADDADP	= 1447,
+    PPC_XVMADDASP	= 1448,
+    PPC_XVMADDMDP	= 1449,
+    PPC_XVMADDMSP	= 1450,
+    PPC_XVMAXDP	= 1451,
+    PPC_XVMAXSP	= 1452,
+    PPC_XVMINDP	= 1453,
+    PPC_XVMINSP	= 1454,
+    PPC_XVMSUBADP	= 1455,
+    PPC_XVMSUBASP	= 1456,
+    PPC_XVMSUBMDP	= 1457,
+    PPC_XVMSUBMSP	= 1458,
+    PPC_XVMULDP	= 1459,
+    PPC_XVMULSP	= 1460,
+    PPC_XVNABSDP	= 1461,
+    PPC_XVNABSSP	= 1462,
+    PPC_XVNEGDP	= 1463,
+    PPC_XVNEGSP	= 1464,
+    PPC_XVNMADDADP	= 1465,
+    PPC_XVNMADDASP	= 1466,
+    PPC_XVNMADDMDP	= 1467,
+    PPC_XVNMADDMSP	= 1468,
+    PPC_XVNMSUBADP	= 1469,
+    PPC_XVNMSUBASP	= 1470,
+    PPC_XVNMSUBMDP	= 1471,
+    PPC_XVNMSUBMSP	= 1472,
+    PPC_XVRDPI	= 1473,
+    PPC_XVRDPIC	= 1474,
+    PPC_XVRDPIM	= 1475,
+    PPC_XVRDPIP	= 1476,
+    PPC_XVRDPIZ	= 1477,
+    PPC_XVREDP	= 1478,
+    PPC_XVRESP	= 1479,
+    PPC_XVRSPI	= 1480,
+    PPC_XVRSPIC	= 1481,
+    PPC_XVRSPIM	= 1482,
+    PPC_XVRSPIP	= 1483,
+    PPC_XVRSPIZ	= 1484,
+    PPC_XVRSQRTEDP	= 1485,
+    PPC_XVRSQRTESP	= 1486,
+    PPC_XVSQRTDP	= 1487,
+    PPC_XVSQRTSP	= 1488,
+    PPC_XVSUBDP	= 1489,
+    PPC_XVSUBSP	= 1490,
+    PPC_XVTDIVDP	= 1491,
+    PPC_XVTDIVSP	= 1492,
+    PPC_XVTSQRTDP	= 1493,
+    PPC_XVTSQRTSP	= 1494,
+    PPC_XXLAND	= 1495,
+    PPC_XXLANDC	= 1496,
+    PPC_XXLEQV	= 1497,
+    PPC_XXLNAND	= 1498,
+    PPC_XXLNOR	= 1499,
+    PPC_XXLOR	= 1500,
+    PPC_XXLORC	= 1501,
+    PPC_XXLORf	= 1502,
+    PPC_XXLXOR	= 1503,
+    PPC_XXMRGHW	= 1504,
+    PPC_XXMRGLW	= 1505,
+    PPC_XXPERMDI	= 1506,
+    PPC_XXSEL	= 1507,
+    PPC_XXSLDWI	= 1508,
+    PPC_XXSPLTW	= 1509,
+    PPC_gBC	= 1510,
+    PPC_gBCA	= 1511,
+    PPC_gBCCTR	= 1512,
+    PPC_gBCCTRL	= 1513,
+    PPC_gBCL	= 1514,
+    PPC_gBCLA	= 1515,
+    PPC_gBCLR	= 1516,
+    PPC_gBCLRL	= 1517,
+    PPC_INSTRUCTION_LIST_END = 1518
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenRegisterInfo.inc 4.0.2-3/arch/PowerPC/PPCGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -17,283 +17,314 @@ enum {
   PPC_NoRegister,
   PPC_BP = 1,
   PPC_CARRY = 2,
-  PPC_CC = 3,
-  PPC_CTR = 4,
-  PPC_FP = 5,
-  PPC_LR = 6,
-  PPC_RM = 7,
-  PPC_VRSAVE = 8,
-  PPC_ZERO = 9,
-  PPC_BP8 = 10,
-  PPC_CR0 = 11,
-  PPC_CR1 = 12,
-  PPC_CR2 = 13,
-  PPC_CR3 = 14,
-  PPC_CR4 = 15,
-  PPC_CR5 = 16,
-  PPC_CR6 = 17,
-  PPC_CR7 = 18,
-  PPC_CTR8 = 19,
-  PPC_F0 = 20,
-  PPC_F1 = 21,
-  PPC_F2 = 22,
-  PPC_F3 = 23,
-  PPC_F4 = 24,
-  PPC_F5 = 25,
-  PPC_F6 = 26,
-  PPC_F7 = 27,
-  PPC_F8 = 28,
-  PPC_F9 = 29,
-  PPC_F10 = 30,
-  PPC_F11 = 31,
-  PPC_F12 = 32,
-  PPC_F13 = 33,
-  PPC_F14 = 34,
-  PPC_F15 = 35,
-  PPC_F16 = 36,
-  PPC_F17 = 37,
-  PPC_F18 = 38,
-  PPC_F19 = 39,
-  PPC_F20 = 40,
-  PPC_F21 = 41,
-  PPC_F22 = 42,
-  PPC_F23 = 43,
-  PPC_F24 = 44,
-  PPC_F25 = 45,
-  PPC_F26 = 46,
-  PPC_F27 = 47,
-  PPC_F28 = 48,
-  PPC_F29 = 49,
-  PPC_F30 = 50,
-  PPC_F31 = 51,
-  PPC_FP8 = 52,
-  PPC_LR8 = 53,
-  PPC_R0 = 54,
-  PPC_R1 = 55,
-  PPC_R2 = 56,
-  PPC_R3 = 57,
-  PPC_R4 = 58,
-  PPC_R5 = 59,
-  PPC_R6 = 60,
-  PPC_R7 = 61,
-  PPC_R8 = 62,
-  PPC_R9 = 63,
-  PPC_R10 = 64,
-  PPC_R11 = 65,
-  PPC_R12 = 66,
-  PPC_R13 = 67,
-  PPC_R14 = 68,
-  PPC_R15 = 69,
-  PPC_R16 = 70,
-  PPC_R17 = 71,
-  PPC_R18 = 72,
-  PPC_R19 = 73,
-  PPC_R20 = 74,
-  PPC_R21 = 75,
-  PPC_R22 = 76,
-  PPC_R23 = 77,
-  PPC_R24 = 78,
-  PPC_R25 = 79,
-  PPC_R26 = 80,
-  PPC_R27 = 81,
-  PPC_R28 = 82,
-  PPC_R29 = 83,
-  PPC_R30 = 84,
-  PPC_R31 = 85,
-  PPC_V0 = 86,
-  PPC_V1 = 87,
-  PPC_V2 = 88,
-  PPC_V3 = 89,
-  PPC_V4 = 90,
-  PPC_V5 = 91,
-  PPC_V6 = 92,
-  PPC_V7 = 93,
-  PPC_V8 = 94,
-  PPC_V9 = 95,
-  PPC_V10 = 96,
-  PPC_V11 = 97,
-  PPC_V12 = 98,
-  PPC_V13 = 99,
-  PPC_V14 = 100,
-  PPC_V15 = 101,
-  PPC_V16 = 102,
-  PPC_V17 = 103,
-  PPC_V18 = 104,
-  PPC_V19 = 105,
-  PPC_V20 = 106,
-  PPC_V21 = 107,
-  PPC_V22 = 108,
-  PPC_V23 = 109,
-  PPC_V24 = 110,
-  PPC_V25 = 111,
-  PPC_V26 = 112,
-  PPC_V27 = 113,
-  PPC_V28 = 114,
-  PPC_V29 = 115,
-  PPC_V30 = 116,
-  PPC_V31 = 117,
-  PPC_VF0 = 118,
-  PPC_VF1 = 119,
-  PPC_VF2 = 120,
-  PPC_VF3 = 121,
-  PPC_VF4 = 122,
-  PPC_VF5 = 123,
-  PPC_VF6 = 124,
-  PPC_VF7 = 125,
-  PPC_VF8 = 126,
-  PPC_VF9 = 127,
-  PPC_VF10 = 128,
-  PPC_VF11 = 129,
-  PPC_VF12 = 130,
-  PPC_VF13 = 131,
-  PPC_VF14 = 132,
-  PPC_VF15 = 133,
-  PPC_VF16 = 134,
-  PPC_VF17 = 135,
-  PPC_VF18 = 136,
-  PPC_VF19 = 137,
-  PPC_VF20 = 138,
-  PPC_VF21 = 139,
-  PPC_VF22 = 140,
-  PPC_VF23 = 141,
-  PPC_VF24 = 142,
-  PPC_VF25 = 143,
-  PPC_VF26 = 144,
-  PPC_VF27 = 145,
-  PPC_VF28 = 146,
-  PPC_VF29 = 147,
-  PPC_VF30 = 148,
-  PPC_VF31 = 149,
-  PPC_VSH0 = 150,
-  PPC_VSH1 = 151,
-  PPC_VSH2 = 152,
-  PPC_VSH3 = 153,
-  PPC_VSH4 = 154,
-  PPC_VSH5 = 155,
-  PPC_VSH6 = 156,
-  PPC_VSH7 = 157,
-  PPC_VSH8 = 158,
-  PPC_VSH9 = 159,
-  PPC_VSH10 = 160,
-  PPC_VSH11 = 161,
-  PPC_VSH12 = 162,
-  PPC_VSH13 = 163,
-  PPC_VSH14 = 164,
-  PPC_VSH15 = 165,
-  PPC_VSH16 = 166,
-  PPC_VSH17 = 167,
-  PPC_VSH18 = 168,
-  PPC_VSH19 = 169,
-  PPC_VSH20 = 170,
-  PPC_VSH21 = 171,
-  PPC_VSH22 = 172,
-  PPC_VSH23 = 173,
-  PPC_VSH24 = 174,
-  PPC_VSH25 = 175,
-  PPC_VSH26 = 176,
-  PPC_VSH27 = 177,
-  PPC_VSH28 = 178,
-  PPC_VSH29 = 179,
-  PPC_VSH30 = 180,
-  PPC_VSH31 = 181,
-  PPC_VSL0 = 182,
-  PPC_VSL1 = 183,
-  PPC_VSL2 = 184,
-  PPC_VSL3 = 185,
-  PPC_VSL4 = 186,
-  PPC_VSL5 = 187,
-  PPC_VSL6 = 188,
-  PPC_VSL7 = 189,
-  PPC_VSL8 = 190,
-  PPC_VSL9 = 191,
-  PPC_VSL10 = 192,
-  PPC_VSL11 = 193,
-  PPC_VSL12 = 194,
-  PPC_VSL13 = 195,
-  PPC_VSL14 = 196,
-  PPC_VSL15 = 197,
-  PPC_VSL16 = 198,
-  PPC_VSL17 = 199,
-  PPC_VSL18 = 200,
-  PPC_VSL19 = 201,
-  PPC_VSL20 = 202,
-  PPC_VSL21 = 203,
-  PPC_VSL22 = 204,
-  PPC_VSL23 = 205,
-  PPC_VSL24 = 206,
-  PPC_VSL25 = 207,
-  PPC_VSL26 = 208,
-  PPC_VSL27 = 209,
-  PPC_VSL28 = 210,
-  PPC_VSL29 = 211,
-  PPC_VSL30 = 212,
-  PPC_VSL31 = 213,
-  PPC_X0 = 214,
-  PPC_X1 = 215,
-  PPC_X2 = 216,
-  PPC_X3 = 217,
-  PPC_X4 = 218,
-  PPC_X5 = 219,
-  PPC_X6 = 220,
-  PPC_X7 = 221,
-  PPC_X8 = 222,
-  PPC_X9 = 223,
-  PPC_X10 = 224,
-  PPC_X11 = 225,
-  PPC_X12 = 226,
-  PPC_X13 = 227,
-  PPC_X14 = 228,
-  PPC_X15 = 229,
-  PPC_X16 = 230,
-  PPC_X17 = 231,
-  PPC_X18 = 232,
-  PPC_X19 = 233,
-  PPC_X20 = 234,
-  PPC_X21 = 235,
-  PPC_X22 = 236,
-  PPC_X23 = 237,
-  PPC_X24 = 238,
-  PPC_X25 = 239,
-  PPC_X26 = 240,
-  PPC_X27 = 241,
-  PPC_X28 = 242,
-  PPC_X29 = 243,
-  PPC_X30 = 244,
-  PPC_X31 = 245,
-  PPC_ZERO8 = 246,
-  PPC_CR0EQ = 247,
-  PPC_CR1EQ = 248,
-  PPC_CR2EQ = 249,
-  PPC_CR3EQ = 250,
-  PPC_CR4EQ = 251,
-  PPC_CR5EQ = 252,
-  PPC_CR6EQ = 253,
-  PPC_CR7EQ = 254,
-  PPC_CR0GT = 255,
-  PPC_CR1GT = 256,
-  PPC_CR2GT = 257,
-  PPC_CR3GT = 258,
-  PPC_CR4GT = 259,
-  PPC_CR5GT = 260,
-  PPC_CR6GT = 261,
-  PPC_CR7GT = 262,
-  PPC_CR0LT = 263,
-  PPC_CR1LT = 264,
-  PPC_CR2LT = 265,
-  PPC_CR3LT = 266,
-  PPC_CR4LT = 267,
-  PPC_CR5LT = 268,
-  PPC_CR6LT = 269,
-  PPC_CR7LT = 270,
-  PPC_CR0UN = 271,
-  PPC_CR1UN = 272,
-  PPC_CR2UN = 273,
-  PPC_CR3UN = 274,
-  PPC_CR4UN = 275,
-  PPC_CR5UN = 276,
-  PPC_CR6UN = 277,
-  PPC_CR7UN = 278,
-  PPC_NUM_TARGET_REGS 	// 279
+  PPC_CTR = 3,
+  PPC_FP = 4,
+  PPC_LR = 5,
+  PPC_RM = 6,
+  PPC_VRSAVE = 7,
+  PPC_ZERO = 8,
+  PPC_BP8 = 9,
+  PPC_CR0 = 10,
+  PPC_CR1 = 11,
+  PPC_CR2 = 12,
+  PPC_CR3 = 13,
+  PPC_CR4 = 14,
+  PPC_CR5 = 15,
+  PPC_CR6 = 16,
+  PPC_CR7 = 17,
+  PPC_CTR8 = 18,
+  PPC_F0 = 19,
+  PPC_F1 = 20,
+  PPC_F2 = 21,
+  PPC_F3 = 22,
+  PPC_F4 = 23,
+  PPC_F5 = 24,
+  PPC_F6 = 25,
+  PPC_F7 = 26,
+  PPC_F8 = 27,
+  PPC_F9 = 28,
+  PPC_F10 = 29,
+  PPC_F11 = 30,
+  PPC_F12 = 31,
+  PPC_F13 = 32,
+  PPC_F14 = 33,
+  PPC_F15 = 34,
+  PPC_F16 = 35,
+  PPC_F17 = 36,
+  PPC_F18 = 37,
+  PPC_F19 = 38,
+  PPC_F20 = 39,
+  PPC_F21 = 40,
+  PPC_F22 = 41,
+  PPC_F23 = 42,
+  PPC_F24 = 43,
+  PPC_F25 = 44,
+  PPC_F26 = 45,
+  PPC_F27 = 46,
+  PPC_F28 = 47,
+  PPC_F29 = 48,
+  PPC_F30 = 49,
+  PPC_F31 = 50,
+  PPC_FP8 = 51,
+  PPC_LR8 = 52,
+  PPC_QF0 = 53,
+  PPC_QF1 = 54,
+  PPC_QF2 = 55,
+  PPC_QF3 = 56,
+  PPC_QF4 = 57,
+  PPC_QF5 = 58,
+  PPC_QF6 = 59,
+  PPC_QF7 = 60,
+  PPC_QF8 = 61,
+  PPC_QF9 = 62,
+  PPC_QF10 = 63,
+  PPC_QF11 = 64,
+  PPC_QF12 = 65,
+  PPC_QF13 = 66,
+  PPC_QF14 = 67,
+  PPC_QF15 = 68,
+  PPC_QF16 = 69,
+  PPC_QF17 = 70,
+  PPC_QF18 = 71,
+  PPC_QF19 = 72,
+  PPC_QF20 = 73,
+  PPC_QF21 = 74,
+  PPC_QF22 = 75,
+  PPC_QF23 = 76,
+  PPC_QF24 = 77,
+  PPC_QF25 = 78,
+  PPC_QF26 = 79,
+  PPC_QF27 = 80,
+  PPC_QF28 = 81,
+  PPC_QF29 = 82,
+  PPC_QF30 = 83,
+  PPC_QF31 = 84,
+  PPC_R0 = 85,
+  PPC_R1 = 86,
+  PPC_R2 = 87,
+  PPC_R3 = 88,
+  PPC_R4 = 89,
+  PPC_R5 = 90,
+  PPC_R6 = 91,
+  PPC_R7 = 92,
+  PPC_R8 = 93,
+  PPC_R9 = 94,
+  PPC_R10 = 95,
+  PPC_R11 = 96,
+  PPC_R12 = 97,
+  PPC_R13 = 98,
+  PPC_R14 = 99,
+  PPC_R15 = 100,
+  PPC_R16 = 101,
+  PPC_R17 = 102,
+  PPC_R18 = 103,
+  PPC_R19 = 104,
+  PPC_R20 = 105,
+  PPC_R21 = 106,
+  PPC_R22 = 107,
+  PPC_R23 = 108,
+  PPC_R24 = 109,
+  PPC_R25 = 110,
+  PPC_R26 = 111,
+  PPC_R27 = 112,
+  PPC_R28 = 113,
+  PPC_R29 = 114,
+  PPC_R30 = 115,
+  PPC_R31 = 116,
+  PPC_V0 = 117,
+  PPC_V1 = 118,
+  PPC_V2 = 119,
+  PPC_V3 = 120,
+  PPC_V4 = 121,
+  PPC_V5 = 122,
+  PPC_V6 = 123,
+  PPC_V7 = 124,
+  PPC_V8 = 125,
+  PPC_V9 = 126,
+  PPC_V10 = 127,
+  PPC_V11 = 128,
+  PPC_V12 = 129,
+  PPC_V13 = 130,
+  PPC_V14 = 131,
+  PPC_V15 = 132,
+  PPC_V16 = 133,
+  PPC_V17 = 134,
+  PPC_V18 = 135,
+  PPC_V19 = 136,
+  PPC_V20 = 137,
+  PPC_V21 = 138,
+  PPC_V22 = 139,
+  PPC_V23 = 140,
+  PPC_V24 = 141,
+  PPC_V25 = 142,
+  PPC_V26 = 143,
+  PPC_V27 = 144,
+  PPC_V28 = 145,
+  PPC_V29 = 146,
+  PPC_V30 = 147,
+  PPC_V31 = 148,
+  PPC_VF0 = 149,
+  PPC_VF1 = 150,
+  PPC_VF2 = 151,
+  PPC_VF3 = 152,
+  PPC_VF4 = 153,
+  PPC_VF5 = 154,
+  PPC_VF6 = 155,
+  PPC_VF7 = 156,
+  PPC_VF8 = 157,
+  PPC_VF9 = 158,
+  PPC_VF10 = 159,
+  PPC_VF11 = 160,
+  PPC_VF12 = 161,
+  PPC_VF13 = 162,
+  PPC_VF14 = 163,
+  PPC_VF15 = 164,
+  PPC_VF16 = 165,
+  PPC_VF17 = 166,
+  PPC_VF18 = 167,
+  PPC_VF19 = 168,
+  PPC_VF20 = 169,
+  PPC_VF21 = 170,
+  PPC_VF22 = 171,
+  PPC_VF23 = 172,
+  PPC_VF24 = 173,
+  PPC_VF25 = 174,
+  PPC_VF26 = 175,
+  PPC_VF27 = 176,
+  PPC_VF28 = 177,
+  PPC_VF29 = 178,
+  PPC_VF30 = 179,
+  PPC_VF31 = 180,
+  PPC_VSH0 = 181,
+  PPC_VSH1 = 182,
+  PPC_VSH2 = 183,
+  PPC_VSH3 = 184,
+  PPC_VSH4 = 185,
+  PPC_VSH5 = 186,
+  PPC_VSH6 = 187,
+  PPC_VSH7 = 188,
+  PPC_VSH8 = 189,
+  PPC_VSH9 = 190,
+  PPC_VSH10 = 191,
+  PPC_VSH11 = 192,
+  PPC_VSH12 = 193,
+  PPC_VSH13 = 194,
+  PPC_VSH14 = 195,
+  PPC_VSH15 = 196,
+  PPC_VSH16 = 197,
+  PPC_VSH17 = 198,
+  PPC_VSH18 = 199,
+  PPC_VSH19 = 200,
+  PPC_VSH20 = 201,
+  PPC_VSH21 = 202,
+  PPC_VSH22 = 203,
+  PPC_VSH23 = 204,
+  PPC_VSH24 = 205,
+  PPC_VSH25 = 206,
+  PPC_VSH26 = 207,
+  PPC_VSH27 = 208,
+  PPC_VSH28 = 209,
+  PPC_VSH29 = 210,
+  PPC_VSH30 = 211,
+  PPC_VSH31 = 212,
+  PPC_VSL0 = 213,
+  PPC_VSL1 = 214,
+  PPC_VSL2 = 215,
+  PPC_VSL3 = 216,
+  PPC_VSL4 = 217,
+  PPC_VSL5 = 218,
+  PPC_VSL6 = 219,
+  PPC_VSL7 = 220,
+  PPC_VSL8 = 221,
+  PPC_VSL9 = 222,
+  PPC_VSL10 = 223,
+  PPC_VSL11 = 224,
+  PPC_VSL12 = 225,
+  PPC_VSL13 = 226,
+  PPC_VSL14 = 227,
+  PPC_VSL15 = 228,
+  PPC_VSL16 = 229,
+  PPC_VSL17 = 230,
+  PPC_VSL18 = 231,
+  PPC_VSL19 = 232,
+  PPC_VSL20 = 233,
+  PPC_VSL21 = 234,
+  PPC_VSL22 = 235,
+  PPC_VSL23 = 236,
+  PPC_VSL24 = 237,
+  PPC_VSL25 = 238,
+  PPC_VSL26 = 239,
+  PPC_VSL27 = 240,
+  PPC_VSL28 = 241,
+  PPC_VSL29 = 242,
+  PPC_VSL30 = 243,
+  PPC_VSL31 = 244,
+  PPC_X0 = 245,
+  PPC_X1 = 246,
+  PPC_X2 = 247,
+  PPC_X3 = 248,
+  PPC_X4 = 249,
+  PPC_X5 = 250,
+  PPC_X6 = 251,
+  PPC_X7 = 252,
+  PPC_X8 = 253,
+  PPC_X9 = 254,
+  PPC_X10 = 255,
+  PPC_X11 = 256,
+  PPC_X12 = 257,
+  PPC_X13 = 258,
+  PPC_X14 = 259,
+  PPC_X15 = 260,
+  PPC_X16 = 261,
+  PPC_X17 = 262,
+  PPC_X18 = 263,
+  PPC_X19 = 264,
+  PPC_X20 = 265,
+  PPC_X21 = 266,
+  PPC_X22 = 267,
+  PPC_X23 = 268,
+  PPC_X24 = 269,
+  PPC_X25 = 270,
+  PPC_X26 = 271,
+  PPC_X27 = 272,
+  PPC_X28 = 273,
+  PPC_X29 = 274,
+  PPC_X30 = 275,
+  PPC_X31 = 276,
+  PPC_ZERO8 = 277,
+  PPC_CR0EQ = 278,
+  PPC_CR1EQ = 279,
+  PPC_CR2EQ = 280,
+  PPC_CR3EQ = 281,
+  PPC_CR4EQ = 282,
+  PPC_CR5EQ = 283,
+  PPC_CR6EQ = 284,
+  PPC_CR7EQ = 285,
+  PPC_CR0GT = 286,
+  PPC_CR1GT = 287,
+  PPC_CR2GT = 288,
+  PPC_CR3GT = 289,
+  PPC_CR4GT = 290,
+  PPC_CR5GT = 291,
+  PPC_CR6GT = 292,
+  PPC_CR7GT = 293,
+  PPC_CR0LT = 294,
+  PPC_CR1LT = 295,
+  PPC_CR2LT = 296,
+  PPC_CR3LT = 297,
+  PPC_CR4LT = 298,
+  PPC_CR5LT = 299,
+  PPC_CR6LT = 300,
+  PPC_CR7LT = 301,
+  PPC_CR0UN = 302,
+  PPC_CR1UN = 303,
+  PPC_CR2UN = 304,
+  PPC_CR3UN = 305,
+  PPC_CR4UN = 306,
+  PPC_CR5UN = 307,
+  PPC_CR6UN = 308,
+  PPC_CR7UN = 309,
+  PPC_NUM_TARGET_REGS 	// 310
 };
 
 // Register classes
@@ -305,34 +336,24 @@ enum {
   PPC_F4RCRegClassID = 4,
   PPC_CRRCRegClassID = 5,
   PPC_CARRYRCRegClassID = 6,
-  PPC_CCRCRegClassID = 7,
-  PPC_CTRRCRegClassID = 8,
-  PPC_VRSAVERCRegClassID = 9,
-  PPC_VSFRCRegClassID = 10,
-  PPC_G8RCRegClassID = 11,
-  PPC_G8RC_NOX0RegClassID = 12,
-  PPC_G8RC_and_G8RC_NOX0RegClassID = 13,
-  PPC_F8RCRegClassID = 14,
-  PPC_VFRCRegClassID = 15,
-  PPC_CTRRC8RegClassID = 16,
-  PPC_VSRCRegClassID = 17,
+  PPC_CTRRCRegClassID = 7,
+  PPC_VRSAVERCRegClassID = 8,
+  PPC_VSFRCRegClassID = 9,
+  PPC_G8RCRegClassID = 10,
+  PPC_G8RC_NOX0RegClassID = 11,
+  PPC_G8RC_and_G8RC_NOX0RegClassID = 12,
+  PPC_F8RCRegClassID = 13,
+  PPC_VFRCRegClassID = 14,
+  PPC_CTRRC8RegClassID = 15,
+  PPC_VSRCRegClassID = 16,
+  PPC_QSRCRegClassID = 17,
   PPC_VRRCRegClassID = 18,
   PPC_VSHRCRegClassID = 19,
-  PPC_VSLRCRegClassID = 20
+  PPC_VSLRCRegClassID = 20,
+  PPC_QBRCRegClassID = 21,
+  PPC_QFRCRegClassID = 22,
 };
 
-// Subregister indices
-enum {
-  PPC_NoSubRegister,
-  PPC_sub_32,	// 1
-  PPC_sub_64,	// 2
-  PPC_sub_128,	// 3
-  PPC_sub_eq,	// 4
-  PPC_sub_gt,	// 5
-  PPC_sub_lt,	// 6
-  PPC_sub_un,	// 7
-  PPC_NUM_TARGET_SUBREGS
-};
 #endif // GET_REGINFO_ENUM
 
 /*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
@@ -349,46 +370,39 @@ enum {
 
 static const MCPhysReg PPCRegDiffLists[] = {
   /* 0 */ 0, 0,
-  /* 2 */ 2, 1, 1, 1, 1, 1, 1, 1, 0,
-  /* 11 */ 65527, 14, 1, 1, 1, 0,
-  /* 17 */ 65527, 17, 1, 1, 1, 0,
-  /* 23 */ 65527, 20, 1, 1, 1, 0,
-  /* 29 */ 65527, 23, 1, 1, 1, 0,
-  /* 35 */ 65527, 26, 1, 1, 1, 0,
-  /* 41 */ 65527, 29, 1, 1, 1, 0,
-  /* 47 */ 65527, 32, 1, 1, 1, 0,
-  /* 53 */ 65527, 35, 1, 1, 1, 0,
-  /* 59 */ 6, 0,
-  /* 61 */ 9, 0,
-  /* 63 */ 11, 0,
-  /* 65 */ 252, 65528, 65528, 24, 0,
-  /* 70 */ 28, 0,
-  /* 72 */ 29, 0,
-  /* 74 */ 65472, 32, 0,
-  /* 77 */ 47, 0,
-  /* 79 */ 65504, 64, 0,
-  /* 82 */ 160, 0,
-  /* 84 */ 162, 0,
-  /* 86 */ 237, 0,
-  /* 88 */ 64471, 0,
-  /* 90 */ 64500, 0,
-  /* 92 */ 64533, 0,
-  /* 94 */ 64566, 0,
-  /* 96 */ 64813, 0,
-  /* 98 */ 65276, 0,
-  /* 100 */ 65284, 0,
-  /* 102 */ 65292, 0,
-  /* 104 */ 65299, 0,
-  /* 106 */ 65300, 0,
-  /* 108 */ 65374, 0,
-  /* 110 */ 65376, 0,
-  /* 112 */ 65403, 0,
-  /* 114 */ 65404, 0,
-  /* 116 */ 65489, 0,
-  /* 118 */ 65500, 0,
-  /* 120 */ 65527, 0,
-  /* 122 */ 65532, 0,
-  /* 124 */ 65535, 0,
+  /* 2 */ 65504, 1, 1, 1, 0,
+  /* 7 */ 3, 0,
+  /* 9 */ 8, 0,
+  /* 11 */ 22, 0,
+  /* 13 */ 284, 65528, 65528, 24, 0,
+  /* 18 */ 65472, 32, 0,
+  /* 21 */ 47, 0,
+  /* 23 */ 65504, 64, 0,
+  /* 26 */ 73, 0,
+  /* 28 */ 34, 160, 0,
+  /* 31 */ 269, 0,
+  /* 33 */ 64339, 0,
+  /* 35 */ 64368, 0,
+  /* 37 */ 64401, 0,
+  /* 39 */ 64434, 0,
+  /* 41 */ 64712, 0,
+  /* 43 */ 65244, 0,
+  /* 45 */ 65252, 0,
+  /* 47 */ 65260, 0,
+  /* 49 */ 65267, 0,
+  /* 51 */ 65268, 0,
+  /* 53 */ 65342, 0,
+  /* 55 */ 65364, 0,
+  /* 57 */ 65365, 0,
+  /* 59 */ 65376, 0,
+  /* 61 */ 65461, 0,
+  /* 63 */ 65489, 0,
+  /* 65 */ 65493, 0,
+  /* 67 */ 65502, 0,
+  /* 69 */ 65524, 0,
+  /* 71 */ 65525, 0,
+  /* 73 */ 65528, 0,
+  /* 75 */ 65535, 0,
 };
 
 static const uint16_t PPCSubRegIdxLists[] = {
@@ -397,286 +411,317 @@ static const uint16_t PPCSubRegIdxLists[
   /* 5 */ 6, 5, 4, 7, 0,
 };
 
-static const MCRegisterDesc PPCRegDesc[] = { // Descriptors
-  { 4, 0, 0, 0, 0 },
-  { 962, 1, 61, 1, 1985 },
-  { 1119, 1, 1, 1, 1985 },
-  { 896, 1, 1, 1, 32 },
-  { 1019, 1, 1, 1, 945 },
-  { 965, 1, 77, 1, 945 },
-  { 1016, 1, 1, 1, 945 },
-  { 906, 1, 1, 1, 945 },
-  { 899, 1, 1, 1, 945 },
-  { 957, 1, 86, 1, 945 },
-  { 792, 120, 1, 0, 0 },
-  { 101, 65, 1, 5, 177 },
-  { 212, 65, 1, 5, 273 },
-  { 294, 65, 1, 5, 369 },
-  { 376, 65, 1, 5, 465 },
-  { 458, 65, 1, 5, 561 },
-  { 540, 65, 1, 5, 657 },
-  { 622, 65, 1, 5, 753 },
-  { 704, 65, 1, 5, 849 },
-  { 804, 1, 1, 1, 1153 },
-  { 88, 1, 84, 1, 1153 },
-  { 199, 1, 84, 1, 1153 },
-  { 281, 1, 84, 1, 1153 },
-  { 363, 1, 84, 1, 1153 },
-  { 445, 1, 84, 1, 1153 },
-  { 527, 1, 84, 1, 1153 },
-  { 609, 1, 84, 1, 1153 },
-  { 691, 1, 84, 1, 1153 },
-  { 773, 1, 84, 1, 1153 },
-  { 874, 1, 84, 1, 1153 },
-  { 1, 1, 84, 1, 1153 },
-  { 112, 1, 84, 1, 1153 },
-  { 223, 1, 84, 1, 1153 },
-  { 305, 1, 84, 1, 1153 },
-  { 387, 1, 84, 1, 1153 },
-  { 469, 1, 84, 1, 1153 },
-  { 551, 1, 84, 1, 1153 },
-  { 633, 1, 84, 1, 1153 },
-  { 715, 1, 84, 1, 1153 },
-  { 816, 1, 84, 1, 1153 },
-  { 30, 1, 84, 1, 1153 },
-  { 141, 1, 84, 1, 1153 },
-  { 252, 1, 84, 1, 1153 },
-  { 334, 1, 84, 1, 1153 },
-  { 416, 1, 84, 1, 1153 },
-  { 498, 1, 84, 1, 1153 },
-  { 580, 1, 84, 1, 1153 },
-  { 662, 1, 84, 1, 1153 },
-  { 744, 1, 84, 1, 1153 },
-  { 845, 1, 84, 1, 1153 },
-  { 59, 1, 84, 1, 1153 },
-  { 170, 1, 84, 1, 1153 },
-  { 796, 116, 1, 0, 1008 },
-  { 800, 1, 1, 1, 1121 },
-  { 102, 1, 82, 1, 1121 },
-  { 213, 1, 82, 1, 1121 },
-  { 295, 1, 82, 1, 1121 },
-  { 377, 1, 82, 1, 1121 },
-  { 459, 1, 82, 1, 1121 },
-  { 541, 1, 82, 1, 1121 },
-  { 623, 1, 82, 1, 1121 },
-  { 705, 1, 82, 1, 1121 },
-  { 801, 1, 82, 1, 1121 },
-  { 887, 1, 82, 1, 1121 },
-  { 17, 1, 82, 1, 1121 },
-  { 128, 1, 82, 1, 1121 },
-  { 239, 1, 82, 1, 1121 },
-  { 321, 1, 82, 1, 1121 },
-  { 403, 1, 82, 1, 1121 },
-  { 485, 1, 82, 1, 1121 },
-  { 567, 1, 82, 1, 1121 },
-  { 649, 1, 82, 1, 1121 },
-  { 731, 1, 82, 1, 1121 },
-  { 832, 1, 82, 1, 1121 },
-  { 46, 1, 82, 1, 1121 },
-  { 157, 1, 82, 1, 1121 },
-  { 268, 1, 82, 1, 1121 },
-  { 350, 1, 82, 1, 1121 },
-  { 432, 1, 82, 1, 1121 },
-  { 514, 1, 82, 1, 1121 },
-  { 596, 1, 82, 1, 1121 },
-  { 678, 1, 82, 1, 1121 },
-  { 760, 1, 82, 1, 1121 },
-  { 861, 1, 82, 1, 1121 },
-  { 75, 1, 82, 1, 1121 },
-  { 186, 1, 82, 1, 1121 },
-  { 105, 75, 80, 3, 1121 },
-  { 216, 75, 80, 3, 1121 },
-  { 298, 75, 80, 3, 1121 },
-  { 380, 75, 80, 3, 1121 },
-  { 462, 75, 80, 3, 1121 },
-  { 544, 75, 80, 3, 1121 },
-  { 626, 75, 80, 3, 1121 },
-  { 708, 75, 80, 3, 1121 },
-  { 809, 75, 80, 3, 1121 },
-  { 890, 75, 80, 3, 1121 },
-  { 21, 75, 80, 3, 1121 },
-  { 132, 75, 80, 3, 1121 },
-  { 243, 75, 80, 3, 1121 },
-  { 325, 75, 80, 3, 1121 },
-  { 407, 75, 80, 3, 1121 },
-  { 489, 75, 80, 3, 1121 },
-  { 571, 75, 80, 3, 1121 },
-  { 653, 75, 80, 3, 1121 },
-  { 735, 75, 80, 3, 1121 },
-  { 836, 75, 80, 3, 1121 },
-  { 50, 75, 80, 3, 1121 },
-  { 161, 75, 80, 3, 1121 },
-  { 272, 75, 80, 3, 1121 },
-  { 354, 75, 80, 3, 1121 },
-  { 436, 75, 80, 3, 1121 },
-  { 518, 75, 80, 3, 1121 },
-  { 600, 75, 80, 3, 1121 },
-  { 682, 75, 80, 3, 1121 },
-  { 764, 75, 80, 3, 1121 },
-  { 865, 75, 80, 3, 1121 },
-  { 79, 75, 80, 3, 1121 },
-  { 190, 75, 80, 3, 1121 },
-  { 87, 1, 79, 1, 1953 },
-  { 198, 1, 79, 1, 1953 },
-  { 280, 1, 79, 1, 1953 },
-  { 362, 1, 79, 1, 1953 },
-  { 444, 1, 79, 1, 1953 },
-  { 526, 1, 79, 1, 1953 },
-  { 608, 1, 79, 1, 1953 },
-  { 690, 1, 79, 1, 1953 },
-  { 772, 1, 79, 1, 1953 },
-  { 873, 1, 79, 1, 1953 },
-  { 0, 1, 79, 1, 1953 },
-  { 111, 1, 79, 1, 1953 },
-  { 222, 1, 79, 1, 1953 },
-  { 304, 1, 79, 1, 1953 },
-  { 386, 1, 79, 1, 1953 },
-  { 468, 1, 79, 1, 1953 },
-  { 550, 1, 79, 1, 1953 },
-  { 632, 1, 79, 1, 1953 },
-  { 714, 1, 79, 1, 1953 },
-  { 815, 1, 79, 1, 1953 },
-  { 29, 1, 79, 1, 1953 },
-  { 140, 1, 79, 1, 1953 },
-  { 251, 1, 79, 1, 1953 },
-  { 333, 1, 79, 1, 1953 },
-  { 415, 1, 79, 1, 1953 },
-  { 497, 1, 79, 1, 1953 },
-  { 579, 1, 79, 1, 1953 },
-  { 661, 1, 79, 1, 1953 },
-  { 743, 1, 79, 1, 1953 },
-  { 844, 1, 79, 1, 1953 },
-  { 58, 1, 79, 1, 1953 },
-  { 169, 1, 79, 1, 1953 },
-  { 91, 74, 1, 2, 1889 },
-  { 202, 74, 1, 2, 1889 },
-  { 284, 74, 1, 2, 1889 },
-  { 366, 74, 1, 2, 1889 },
-  { 448, 74, 1, 2, 1889 },
-  { 530, 74, 1, 2, 1889 },
-  { 612, 74, 1, 2, 1889 },
-  { 694, 74, 1, 2, 1889 },
-  { 776, 74, 1, 2, 1889 },
-  { 877, 74, 1, 2, 1889 },
-  { 5, 74, 1, 2, 1889 },
-  { 116, 74, 1, 2, 1889 },
-  { 227, 74, 1, 2, 1889 },
-  { 309, 74, 1, 2, 1889 },
-  { 391, 74, 1, 2, 1889 },
-  { 473, 74, 1, 2, 1889 },
-  { 555, 74, 1, 2, 1889 },
-  { 637, 74, 1, 2, 1889 },
-  { 719, 74, 1, 2, 1889 },
-  { 820, 74, 1, 2, 1889 },
-  { 34, 74, 1, 2, 1889 },
-  { 145, 74, 1, 2, 1889 },
-  { 256, 74, 1, 2, 1889 },
-  { 338, 74, 1, 2, 1889 },
-  { 420, 74, 1, 2, 1889 },
-  { 502, 74, 1, 2, 1889 },
-  { 584, 74, 1, 2, 1889 },
-  { 666, 74, 1, 2, 1889 },
-  { 748, 74, 1, 2, 1889 },
-  { 849, 74, 1, 2, 1889 },
-  { 63, 74, 1, 2, 1889 },
-  { 174, 74, 1, 2, 1889 },
-  { 96, 108, 1, 3, 1793 },
-  { 207, 108, 1, 3, 1793 },
-  { 289, 108, 1, 3, 1793 },
-  { 371, 108, 1, 3, 1793 },
-  { 453, 108, 1, 3, 1793 },
-  { 535, 108, 1, 3, 1793 },
-  { 617, 108, 1, 3, 1793 },
-  { 699, 108, 1, 3, 1793 },
-  { 781, 108, 1, 3, 1793 },
-  { 882, 108, 1, 3, 1793 },
-  { 11, 108, 1, 3, 1793 },
-  { 122, 108, 1, 3, 1793 },
-  { 233, 108, 1, 3, 1793 },
-  { 315, 108, 1, 3, 1793 },
-  { 397, 108, 1, 3, 1793 },
-  { 479, 108, 1, 3, 1793 },
-  { 561, 108, 1, 3, 1793 },
-  { 643, 108, 1, 3, 1793 },
-  { 725, 108, 1, 3, 1793 },
-  { 826, 108, 1, 3, 1793 },
-  { 40, 108, 1, 3, 1793 },
-  { 151, 108, 1, 3, 1793 },
-  { 262, 108, 1, 3, 1793 },
-  { 344, 108, 1, 3, 1793 },
-  { 426, 108, 1, 3, 1793 },
-  { 508, 108, 1, 3, 1793 },
-  { 590, 108, 1, 3, 1793 },
-  { 672, 108, 1, 3, 1793 },
-  { 754, 108, 1, 3, 1793 },
-  { 855, 108, 1, 3, 1793 },
-  { 69, 108, 1, 3, 1793 },
-  { 180, 108, 1, 3, 1793 },
-  { 108, 110, 1, 0, 1825 },
-  { 219, 110, 1, 0, 1825 },
-  { 301, 110, 1, 0, 1825 },
-  { 383, 110, 1, 0, 1825 },
-  { 465, 110, 1, 0, 1825 },
-  { 547, 110, 1, 0, 1825 },
-  { 629, 110, 1, 0, 1825 },
-  { 711, 110, 1, 0, 1825 },
-  { 812, 110, 1, 0, 1825 },
-  { 893, 110, 1, 0, 1825 },
-  { 25, 110, 1, 0, 1825 },
-  { 136, 110, 1, 0, 1825 },
-  { 247, 110, 1, 0, 1825 },
-  { 329, 110, 1, 0, 1825 },
-  { 411, 110, 1, 0, 1825 },
-  { 493, 110, 1, 0, 1825 },
-  { 575, 110, 1, 0, 1825 },
-  { 657, 110, 1, 0, 1825 },
-  { 739, 110, 1, 0, 1825 },
-  { 840, 110, 1, 0, 1825 },
-  { 54, 110, 1, 0, 1825 },
-  { 165, 110, 1, 0, 1825 },
-  { 276, 110, 1, 0, 1825 },
-  { 358, 110, 1, 0, 1825 },
-  { 440, 110, 1, 0, 1825 },
-  { 522, 110, 1, 0, 1825 },
-  { 604, 110, 1, 0, 1825 },
-  { 686, 110, 1, 0, 1825 },
-  { 768, 110, 1, 0, 1825 },
-  { 869, 110, 1, 0, 1825 },
-  { 83, 110, 1, 0, 1825 },
-  { 194, 110, 1, 0, 1825 },
-  { 786, 104, 1, 0, 1539 },
-  { 968, 1, 106, 1, 1539 },
-  { 974, 1, 106, 1, 1508 },
-  { 980, 1, 106, 1, 1508 },
-  { 986, 1, 106, 1, 1508 },
-  { 992, 1, 106, 1, 1508 },
-  { 998, 1, 106, 1, 1508 },
-  { 1004, 1, 106, 1, 1508 },
-  { 1010, 1, 106, 1, 1508 },
-  { 1023, 1, 102, 1, 1476 },
-  { 1029, 1, 102, 1, 1476 },
-  { 1035, 1, 102, 1, 1476 },
-  { 1041, 1, 102, 1, 1476 },
-  { 1047, 1, 102, 1, 1476 },
-  { 1053, 1, 102, 1, 1476 },
-  { 1059, 1, 102, 1, 1476 },
-  { 1065, 1, 102, 1, 1476 },
-  { 1071, 1, 100, 1, 1444 },
-  { 1077, 1, 100, 1, 1444 },
-  { 1083, 1, 100, 1, 1444 },
-  { 1089, 1, 100, 1, 1444 },
-  { 1095, 1, 100, 1, 1444 },
-  { 1101, 1, 100, 1, 1444 },
-  { 1107, 1, 100, 1, 1444 },
-  { 1113, 1, 100, 1, 1444 },
-  { 909, 1, 98, 1, 1412 },
-  { 915, 1, 98, 1, 1412 },
-  { 921, 1, 98, 1, 1412 },
-  { 927, 1, 98, 1, 1412 },
-  { 933, 1, 98, 1, 1412 },
-  { 939, 1, 98, 1, 1412 },
-  { 945, 1, 98, 1, 1412 },
-  { 951, 1, 98, 1, 1412 },
+static MCRegisterDesc PPCRegDesc[] = { // Descriptors
+  { 4, 0, 0, 0, 0, 0 },
+  { 1109, 1, 9, 1, 1201, 0 },
+  { 1266, 1, 1, 1, 1201, 0 },
+  { 1166, 1, 1, 1, 1201, 0 },
+  { 1112, 1, 21, 1, 1201, 0 },
+  { 1163, 1, 1, 1, 1201, 0 },
+  { 1053, 1, 1, 1, 1201, 0 },
+  { 1046, 1, 1, 1, 1201, 0 },
+  { 1104, 1, 31, 1, 1201, 0 },
+  { 928, 73, 1, 0, 0, 2 },
+  { 120, 13, 1, 5, 36, 6 },
+  { 250, 13, 1, 5, 36, 6 },
+  { 346, 13, 1, 5, 36, 6 },
+  { 442, 13, 1, 5, 36, 6 },
+  { 538, 13, 1, 5, 36, 6 },
+  { 634, 13, 1, 5, 36, 6 },
+  { 730, 13, 1, 5, 36, 6 },
+  { 826, 13, 1, 5, 36, 6 },
+  { 940, 1, 1, 1, 177, 0 },
+  { 103, 1, 28, 1, 177, 0 },
+  { 233, 1, 28, 1, 177, 0 },
+  { 329, 1, 28, 1, 177, 0 },
+  { 425, 1, 28, 1, 177, 0 },
+  { 521, 1, 28, 1, 177, 0 },
+  { 617, 1, 28, 1, 177, 0 },
+  { 713, 1, 28, 1, 177, 0 },
+  { 809, 1, 28, 1, 177, 0 },
+  { 905, 1, 28, 1, 177, 0 },
+  { 1020, 1, 28, 1, 177, 0 },
+  { 1, 1, 28, 1, 177, 0 },
+  { 131, 1, 28, 1, 177, 0 },
+  { 261, 1, 28, 1, 177, 0 },
+  { 357, 1, 28, 1, 177, 0 },
+  { 453, 1, 28, 1, 177, 0 },
+  { 549, 1, 28, 1, 177, 0 },
+  { 645, 1, 28, 1, 177, 0 },
+  { 741, 1, 28, 1, 177, 0 },
+  { 837, 1, 28, 1, 177, 0 },
+  { 952, 1, 28, 1, 177, 0 },
+  { 35, 1, 28, 1, 177, 0 },
+  { 165, 1, 28, 1, 177, 0 },
+  { 295, 1, 28, 1, 177, 0 },
+  { 391, 1, 28, 1, 177, 0 },
+  { 487, 1, 28, 1, 177, 0 },
+  { 583, 1, 28, 1, 177, 0 },
+  { 679, 1, 28, 1, 177, 0 },
+  { 775, 1, 28, 1, 177, 0 },
+  { 871, 1, 28, 1, 177, 0 },
+  { 986, 1, 28, 1, 177, 0 },
+  { 69, 1, 28, 1, 177, 0 },
+  { 199, 1, 28, 1, 177, 0 },
+  { 932, 63, 1, 0, 112, 2 },
+  { 936, 1, 1, 1, 416, 0 },
+  { 102, 67, 1, 3, 1105, 4 },
+  { 232, 67, 1, 3, 1105, 4 },
+  { 328, 67, 1, 3, 1105, 4 },
+  { 424, 67, 1, 3, 1105, 4 },
+  { 520, 67, 1, 3, 1105, 4 },
+  { 616, 67, 1, 3, 1105, 4 },
+  { 712, 67, 1, 3, 1105, 4 },
+  { 808, 67, 1, 3, 1105, 4 },
+  { 904, 67, 1, 3, 1105, 4 },
+  { 1019, 67, 1, 3, 1105, 4 },
+  { 0, 67, 1, 3, 1105, 4 },
+  { 130, 67, 1, 3, 1105, 4 },
+  { 260, 67, 1, 3, 1105, 4 },
+  { 356, 67, 1, 3, 1105, 4 },
+  { 452, 67, 1, 3, 1105, 4 },
+  { 548, 67, 1, 3, 1105, 4 },
+  { 644, 67, 1, 3, 1105, 4 },
+  { 740, 67, 1, 3, 1105, 4 },
+  { 836, 67, 1, 3, 1105, 4 },
+  { 951, 67, 1, 3, 1105, 4 },
+  { 34, 67, 1, 3, 1105, 4 },
+  { 164, 67, 1, 3, 1105, 4 },
+  { 294, 67, 1, 3, 1105, 4 },
+  { 390, 67, 1, 3, 1105, 4 },
+  { 486, 67, 1, 3, 1105, 4 },
+  { 582, 67, 1, 3, 1105, 4 },
+  { 678, 67, 1, 3, 1105, 4 },
+  { 774, 67, 1, 3, 1105, 4 },
+  { 870, 67, 1, 3, 1105, 4 },
+  { 985, 67, 1, 3, 1105, 4 },
+  { 68, 67, 1, 3, 1105, 4 },
+  { 198, 67, 1, 3, 1105, 4 },
+  { 121, 1, 29, 1, 1137, 0 },
+  { 251, 1, 29, 1, 1137, 0 },
+  { 347, 1, 29, 1, 1137, 0 },
+  { 443, 1, 29, 1, 1137, 0 },
+  { 539, 1, 29, 1, 1137, 0 },
+  { 635, 1, 29, 1, 1137, 0 },
+  { 731, 1, 29, 1, 1137, 0 },
+  { 827, 1, 29, 1, 1137, 0 },
+  { 937, 1, 29, 1, 1137, 0 },
+  { 1037, 1, 29, 1, 1137, 0 },
+  { 22, 1, 29, 1, 1137, 0 },
+  { 152, 1, 29, 1, 1137, 0 },
+  { 282, 1, 29, 1, 1137, 0 },
+  { 378, 1, 29, 1, 1137, 0 },
+  { 474, 1, 29, 1, 1137, 0 },
+  { 570, 1, 29, 1, 1137, 0 },
+  { 666, 1, 29, 1, 1137, 0 },
+  { 762, 1, 29, 1, 1137, 0 },
+  { 858, 1, 29, 1, 1137, 0 },
+  { 973, 1, 29, 1, 1137, 0 },
+  { 56, 1, 29, 1, 1137, 0 },
+  { 186, 1, 29, 1, 1137, 0 },
+  { 316, 1, 29, 1, 1137, 0 },
+  { 412, 1, 29, 1, 1137, 0 },
+  { 508, 1, 29, 1, 1137, 0 },
+  { 604, 1, 29, 1, 1137, 0 },
+  { 700, 1, 29, 1, 1137, 0 },
+  { 796, 1, 29, 1, 1137, 0 },
+  { 892, 1, 29, 1, 1137, 0 },
+  { 1007, 1, 29, 1, 1137, 0 },
+  { 90, 1, 29, 1, 1137, 0 },
+  { 220, 1, 29, 1, 1137, 0 },
+  { 124, 19, 24, 3, 1137, 4 },
+  { 254, 19, 24, 3, 1137, 4 },
+  { 350, 19, 24, 3, 1137, 4 },
+  { 446, 19, 24, 3, 1137, 4 },
+  { 542, 19, 24, 3, 1137, 4 },
+  { 638, 19, 24, 3, 1137, 4 },
+  { 734, 19, 24, 3, 1137, 4 },
+  { 830, 19, 24, 3, 1137, 4 },
+  { 945, 19, 24, 3, 1137, 4 },
+  { 1040, 19, 24, 3, 1137, 4 },
+  { 26, 19, 24, 3, 1137, 4 },
+  { 156, 19, 24, 3, 1137, 4 },
+  { 286, 19, 24, 3, 1137, 4 },
+  { 382, 19, 24, 3, 1137, 4 },
+  { 478, 19, 24, 3, 1137, 4 },
+  { 574, 19, 24, 3, 1137, 4 },
+  { 670, 19, 24, 3, 1137, 4 },
+  { 766, 19, 24, 3, 1137, 4 },
+  { 862, 19, 24, 3, 1137, 4 },
+  { 977, 19, 24, 3, 1137, 4 },
+  { 60, 19, 24, 3, 1137, 4 },
+  { 190, 19, 24, 3, 1137, 4 },
+  { 320, 19, 24, 3, 1137, 4 },
+  { 416, 19, 24, 3, 1137, 4 },
+  { 512, 19, 24, 3, 1137, 4 },
+  { 608, 19, 24, 3, 1137, 4 },
+  { 704, 19, 24, 3, 1137, 4 },
+  { 800, 19, 24, 3, 1137, 4 },
+  { 896, 19, 24, 3, 1137, 4 },
+  { 1011, 19, 24, 3, 1137, 4 },
+  { 94, 19, 24, 3, 1137, 4 },
+  { 224, 19, 24, 3, 1137, 4 },
+  { 106, 1, 23, 1, 1041, 0 },
+  { 236, 1, 23, 1, 1041, 0 },
+  { 332, 1, 23, 1, 1041, 0 },
+  { 428, 1, 23, 1, 1041, 0 },
+  { 524, 1, 23, 1, 1041, 0 },
+  { 620, 1, 23, 1, 1041, 0 },
+  { 716, 1, 23, 1, 1041, 0 },
+  { 812, 1, 23, 1, 1041, 0 },
+  { 908, 1, 23, 1, 1041, 0 },
+  { 1023, 1, 23, 1, 1041, 0 },
+  { 5, 1, 23, 1, 1041, 0 },
+  { 135, 1, 23, 1, 1041, 0 },
+  { 265, 1, 23, 1, 1041, 0 },
+  { 361, 1, 23, 1, 1041, 0 },
+  { 457, 1, 23, 1, 1041, 0 },
+  { 553, 1, 23, 1, 1041, 0 },
+  { 649, 1, 23, 1, 1041, 0 },
+  { 745, 1, 23, 1, 1041, 0 },
+  { 841, 1, 23, 1, 1041, 0 },
+  { 956, 1, 23, 1, 1041, 0 },
+  { 39, 1, 23, 1, 1041, 0 },
+  { 169, 1, 23, 1, 1041, 0 },
+  { 299, 1, 23, 1, 1041, 0 },
+  { 395, 1, 23, 1, 1041, 0 },
+  { 491, 1, 23, 1, 1041, 0 },
+  { 587, 1, 23, 1, 1041, 0 },
+  { 683, 1, 23, 1, 1041, 0 },
+  { 779, 1, 23, 1, 1041, 0 },
+  { 875, 1, 23, 1, 1041, 0 },
+  { 990, 1, 23, 1, 1041, 0 },
+  { 73, 1, 23, 1, 1041, 0 },
+  { 203, 1, 23, 1, 1041, 0 },
+  { 110, 18, 1, 2, 977, 4 },
+  { 240, 18, 1, 2, 977, 4 },
+  { 336, 18, 1, 2, 977, 4 },
+  { 432, 18, 1, 2, 977, 4 },
+  { 528, 18, 1, 2, 977, 4 },
+  { 624, 18, 1, 2, 977, 4 },
+  { 720, 18, 1, 2, 977, 4 },
+  { 816, 18, 1, 2, 977, 4 },
+  { 912, 18, 1, 2, 977, 4 },
+  { 1027, 18, 1, 2, 977, 4 },
+  { 10, 18, 1, 2, 977, 4 },
+  { 140, 18, 1, 2, 977, 4 },
+  { 270, 18, 1, 2, 977, 4 },
+  { 366, 18, 1, 2, 977, 4 },
+  { 462, 18, 1, 2, 977, 4 },
+  { 558, 18, 1, 2, 977, 4 },
+  { 654, 18, 1, 2, 977, 4 },
+  { 750, 18, 1, 2, 977, 4 },
+  { 846, 18, 1, 2, 977, 4 },
+  { 961, 18, 1, 2, 977, 4 },
+  { 44, 18, 1, 2, 977, 4 },
+  { 174, 18, 1, 2, 977, 4 },
+  { 304, 18, 1, 2, 977, 4 },
+  { 400, 18, 1, 2, 977, 4 },
+  { 496, 18, 1, 2, 977, 4 },
+  { 592, 18, 1, 2, 977, 4 },
+  { 688, 18, 1, 2, 977, 4 },
+  { 784, 18, 1, 2, 977, 4 },
+  { 880, 18, 1, 2, 977, 4 },
+  { 995, 18, 1, 2, 977, 4 },
+  { 78, 18, 1, 2, 977, 4 },
+  { 208, 18, 1, 2, 977, 4 },
+  { 115, 53, 1, 3, 881, 4 },
+  { 245, 53, 1, 3, 881, 4 },
+  { 341, 53, 1, 3, 881, 4 },
+  { 437, 53, 1, 3, 881, 4 },
+  { 533, 53, 1, 3, 881, 4 },
+  { 629, 53, 1, 3, 881, 4 },
+  { 725, 53, 1, 3, 881, 4 },
+  { 821, 53, 1, 3, 881, 4 },
+  { 917, 53, 1, 3, 881, 4 },
+  { 1032, 53, 1, 3, 881, 4 },
+  { 16, 53, 1, 3, 881, 4 },
+  { 146, 53, 1, 3, 881, 4 },
+  { 276, 53, 1, 3, 881, 4 },
+  { 372, 53, 1, 3, 881, 4 },
+  { 468, 53, 1, 3, 881, 4 },
+  { 564, 53, 1, 3, 881, 4 },
+  { 660, 53, 1, 3, 881, 4 },
+  { 756, 53, 1, 3, 881, 4 },
+  { 852, 53, 1, 3, 881, 4 },
+  { 967, 53, 1, 3, 881, 4 },
+  { 50, 53, 1, 3, 881, 4 },
+  { 180, 53, 1, 3, 881, 4 },
+  { 310, 53, 1, 3, 881, 4 },
+  { 406, 53, 1, 3, 881, 4 },
+  { 502, 53, 1, 3, 881, 4 },
+  { 598, 53, 1, 3, 881, 4 },
+  { 694, 53, 1, 3, 881, 4 },
+  { 790, 53, 1, 3, 881, 4 },
+  { 886, 53, 1, 3, 881, 4 },
+  { 1001, 53, 1, 3, 881, 4 },
+  { 84, 53, 1, 3, 881, 4 },
+  { 214, 53, 1, 3, 881, 4 },
+  { 127, 59, 1, 0, 913, 2 },
+  { 257, 59, 1, 0, 913, 2 },
+  { 353, 59, 1, 0, 913, 2 },
+  { 449, 59, 1, 0, 913, 2 },
+  { 545, 59, 1, 0, 913, 2 },
+  { 641, 59, 1, 0, 913, 2 },
+  { 737, 59, 1, 0, 913, 2 },
+  { 833, 59, 1, 0, 913, 2 },
+  { 948, 59, 1, 0, 913, 2 },
+  { 1043, 59, 1, 0, 913, 2 },
+  { 30, 59, 1, 0, 913, 2 },
+  { 160, 59, 1, 0, 913, 2 },
+  { 290, 59, 1, 0, 913, 2 },
+  { 386, 59, 1, 0, 913, 2 },
+  { 482, 59, 1, 0, 913, 2 },
+  { 578, 59, 1, 0, 913, 2 },
+  { 674, 59, 1, 0, 913, 2 },
+  { 770, 59, 1, 0, 913, 2 },
+  { 866, 59, 1, 0, 913, 2 },
+  { 981, 59, 1, 0, 913, 2 },
+  { 64, 59, 1, 0, 913, 2 },
+  { 194, 59, 1, 0, 913, 2 },
+  { 324, 59, 1, 0, 913, 2 },
+  { 420, 59, 1, 0, 913, 2 },
+  { 516, 59, 1, 0, 913, 2 },
+  { 612, 59, 1, 0, 913, 2 },
+  { 708, 59, 1, 0, 913, 2 },
+  { 804, 59, 1, 0, 913, 2 },
+  { 900, 59, 1, 0, 913, 2 },
+  { 1015, 59, 1, 0, 913, 2 },
+  { 98, 59, 1, 0, 913, 2 },
+  { 228, 59, 1, 0, 913, 2 },
+  { 922, 49, 1, 0, 659, 2 },
+  { 1115, 1, 51, 1, 659, 0 },
+  { 1121, 1, 51, 1, 628, 0 },
+  { 1127, 1, 51, 1, 628, 0 },
+  { 1133, 1, 51, 1, 628, 0 },
+  { 1139, 1, 51, 1, 628, 0 },
+  { 1145, 1, 51, 1, 628, 0 },
+  { 1151, 1, 51, 1, 628, 0 },
+  { 1157, 1, 51, 1, 628, 0 },
+  { 1170, 1, 47, 1, 596, 0 },
+  { 1176, 1, 47, 1, 596, 0 },
+  { 1182, 1, 47, 1, 596, 0 },
+  { 1188, 1, 47, 1, 596, 0 },
+  { 1194, 1, 47, 1, 596, 0 },
+  { 1200, 1, 47, 1, 596, 0 },
+  { 1206, 1, 47, 1, 596, 0 },
+  { 1212, 1, 47, 1, 596, 0 },
+  { 1218, 1, 45, 1, 564, 0 },
+  { 1224, 1, 45, 1, 564, 0 },
+  { 1230, 1, 45, 1, 564, 0 },
+  { 1236, 1, 45, 1, 564, 0 },
+  { 1242, 1, 45, 1, 564, 0 },
+  { 1248, 1, 45, 1, 564, 0 },
+  { 1254, 1, 45, 1, 564, 0 },
+  { 1260, 1, 45, 1, 564, 0 },
+  { 1056, 1, 43, 1, 532, 0 },
+  { 1062, 1, 43, 1, 532, 0 },
+  { 1068, 1, 43, 1, 532, 0 },
+  { 1074, 1, 43, 1, 532, 0 },
+  { 1080, 1, 43, 1, 532, 0 },
+  { 1086, 1, 43, 1, 532, 0 },
+  { 1092, 1, 43, 1, 532, 0 },
+  { 1098, 1, 43, 1, 532, 0 },
 };
 
 
@@ -686,8 +731,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // GPRC Bit set.
-  static const uint8_t GPRCBits[] = {
-    0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t GPRCBits[] = {
+    0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // GPRC_NOR0 Register Class...
@@ -696,8 +741,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // GPRC_NOR0 Bit set.
-  static const uint8_t GPRC_NOR0Bits[] = {
-    0x22, 0x02, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t GPRC_NOR0Bits[] = {
+    0x12, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // GPRC_and_GPRC_NOR0 Register Class...
@@ -706,8 +751,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // GPRC_and_GPRC_NOR0 Bit set.
-  static const uint8_t GPRC_and_GPRC_NOR0Bits[] = {
-    0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t GPRC_and_GPRC_NOR0Bits[] = {
+    0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // CRBITRC Register Class...
@@ -716,8 +761,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // CRBITRC Bit set.
-  static const uint8_t CRBITRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x7f, 
+  static uint8_t CRBITRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
   };
 
   // F4RC Register Class...
@@ -726,8 +771,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // F4RC Bit set.
-  static const uint8_t F4RCBits[] = {
-    0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0x0f, 
+  static uint8_t F4RCBits[] = {
+    0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // CRRC Register Class...
@@ -736,8 +781,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // CRRC Bit set.
-  static const uint8_t CRRCBits[] = {
-    0x00, 0xf8, 0x07, 
+  static uint8_t CRRCBits[] = {
+    0x00, 0xfc, 0x03, 
   };
 
   // CARRYRC Register Class...
@@ -750,24 +795,14 @@ static const MCRegisterDesc PPCRegDesc[]
     0x04, 
   };
 
-  // CCRC Register Class...
-  static const MCPhysReg CCRC[] = {
-    PPC_CC, 
-  };
-
-  // CCRC Bit set.
-  static const uint8_t CCRCBits[] = {
-    0x08, 
-  };
-
   // CTRRC Register Class...
   static const MCPhysReg CTRRC[] = {
     PPC_CTR, 
   };
 
   // CTRRC Bit set.
-  static const uint8_t CTRRCBits[] = {
-    0x10, 
+  static uint8_t CTRRCBits[] = {
+    0x08, 
   };
 
   // VRSAVERC Register Class...
@@ -776,8 +811,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VRSAVERC Bit set.
-  static const uint8_t VRSAVERCBits[] = {
-    0x00, 0x01, 
+  static uint8_t VRSAVERCBits[] = {
+    0x80, 
   };
 
   // VSFRC Register Class...
@@ -786,8 +821,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VSFRC Bit set.
-  static const uint8_t VSFRCBits[] = {
-    0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VSFRCBits[] = {
+    0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // G8RC Register Class...
@@ -796,8 +831,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // G8RC Bit set.
-  static const uint8_t G8RCBits[] = {
-    0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t G8RCBits[] = {
+    0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // G8RC_NOX0 Register Class...
@@ -806,8 +841,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // G8RC_NOX0 Bit set.
-  static const uint8_t G8RC_NOX0Bits[] = {
-    0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x7f, 
+  static uint8_t G8RC_NOX0Bits[] = {
+    0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
   };
 
   // G8RC_and_G8RC_NOX0 Register Class...
@@ -816,8 +851,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // G8RC_and_G8RC_NOX0 Bit set.
-  static const uint8_t G8RC_and_G8RC_NOX0Bits[] = {
-    0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t G8RC_and_G8RC_NOX0Bits[] = {
+    0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // F8RC Register Class...
@@ -826,8 +861,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // F8RC Bit set.
-  static const uint8_t F8RCBits[] = {
-    0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0x0f, 
+  static uint8_t F8RCBits[] = {
+    0x00, 0x00, 0xf8, 0xff, 0xff, 0xff, 0x07, 
   };
 
   // VFRC Register Class...
@@ -836,8 +871,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VFRC Bit set.
-  static const uint8_t VFRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VFRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // CTRRC8 Register Class...
@@ -846,8 +881,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // CTRRC8 Bit set.
-  static const uint8_t CTRRC8Bits[] = {
-    0x00, 0x00, 0x08, 
+  static uint8_t CTRRC8Bits[] = {
+    0x00, 0x00, 0x04, 
   };
 
   // VSRC Register Class...
@@ -856,8 +891,18 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VSRC Bit set.
-  static const uint8_t VSRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VSRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1f, 
+  };
+
+  // QSRC Register Class...
+  static MCPhysReg QSRC[] = {
+    PPC_QF0, PPC_QF1, PPC_QF2, PPC_QF3, PPC_QF4, PPC_QF5, PPC_QF6, PPC_QF7, PPC_QF8, PPC_QF9, PPC_QF10, PPC_QF11, PPC_QF12, PPC_QF13, PPC_QF31, PPC_QF30, PPC_QF29, PPC_QF28, PPC_QF27, PPC_QF26, PPC_QF25, PPC_QF24, PPC_QF23, PPC_QF22, PPC_QF21, PPC_QF20, PPC_QF19, PPC_QF18, PPC_QF17, PPC_QF16, PPC_QF15, PPC_QF14, 
+  };
+
+  // QSRC Bit set.
+  static uint8_t QSRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // VRRC Register Class...
@@ -866,8 +911,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VRRC Bit set.
-  static const uint8_t VRRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VRRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // VSHRC Register Class...
@@ -876,8 +921,8 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VSHRC Bit set.
-  static const uint8_t VSHRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VSHRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
   // VSLRC Register Class...
@@ -886,32 +931,55 @@ static const MCRegisterDesc PPCRegDesc[]
   };
 
   // VSLRC Bit set.
-  static const uint8_t VSLRCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x3f, 
+  static uint8_t VSLRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
   };
 
-static const MCRegisterClass PPCMCRegisterClasses[] = {
-  { "GPRC", GPRC, GPRCBits, 34, sizeof(GPRCBits), PPC_GPRCRegClassID, 4, 4, 1, 1 },
-  { "GPRC_NOR0", GPRC_NOR0, GPRC_NOR0Bits, 34, sizeof(GPRC_NOR0Bits), PPC_GPRC_NOR0RegClassID, 4, 4, 1, 1 },
-  { "GPRC_and_GPRC_NOR0", GPRC_and_GPRC_NOR0, GPRC_and_GPRC_NOR0Bits, 33, sizeof(GPRC_and_GPRC_NOR0Bits), PPC_GPRC_and_GPRC_NOR0RegClassID, 4, 4, 1, 1 },
-  { "CRBITRC", CRBITRC, CRBITRCBits, 32, sizeof(CRBITRCBits), PPC_CRBITRCRegClassID, 4, 4, 1, 1 },
-  { "F4RC", F4RC, F4RCBits, 32, sizeof(F4RCBits), PPC_F4RCRegClassID, 4, 4, 1, 1 },
-  { "CRRC", CRRC, CRRCBits, 8, sizeof(CRRCBits), PPC_CRRCRegClassID, 4, 4, 1, 1 },
-  { "CARRYRC", CARRYRC, CARRYRCBits, 1, sizeof(CARRYRCBits), PPC_CARRYRCRegClassID, 4, 4, -1, 1 },
-  { "CCRC", CCRC, CCRCBits, 1, sizeof(CCRCBits), PPC_CCRCRegClassID, 4, 4, 1, 0 },
-  { "CTRRC", CTRRC, CTRRCBits, 1, sizeof(CTRRCBits), PPC_CTRRCRegClassID, 4, 4, 1, 0 },
-  { "VRSAVERC", VRSAVERC, VRSAVERCBits, 1, sizeof(VRSAVERCBits), PPC_VRSAVERCRegClassID, 4, 4, 1, 1 },
-  { "VSFRC", VSFRC, VSFRCBits, 64, sizeof(VSFRCBits), PPC_VSFRCRegClassID, 8, 8, 1, 1 },
-  { "G8RC", G8RC, G8RCBits, 34, sizeof(G8RCBits), PPC_G8RCRegClassID, 8, 8, 1, 1 },
-  { "G8RC_NOX0", G8RC_NOX0, G8RC_NOX0Bits, 34, sizeof(G8RC_NOX0Bits), PPC_G8RC_NOX0RegClassID, 8, 8, 1, 1 },
-  { "G8RC_and_G8RC_NOX0", G8RC_and_G8RC_NOX0, G8RC_and_G8RC_NOX0Bits, 33, sizeof(G8RC_and_G8RC_NOX0Bits), PPC_G8RC_and_G8RC_NOX0RegClassID, 8, 8, 1, 1 },
-  { "F8RC", F8RC, F8RCBits, 32, sizeof(F8RCBits), PPC_F8RCRegClassID, 8, 8, 1, 1 },
-  { "VFRC", VFRC, VFRCBits, 32, sizeof(VFRCBits), PPC_VFRCRegClassID, 8, 8, 1, 1 },
-  { "CTRRC8", CTRRC8, CTRRC8Bits, 1, sizeof(CTRRC8Bits), PPC_CTRRC8RegClassID, 8, 8, 1, 0 },
-  { "VSRC", VSRC, VSRCBits, 64, sizeof(VSRCBits), PPC_VSRCRegClassID, 16, 16, 1, 1 },
-  { "VRRC", VRRC, VRRCBits, 32, sizeof(VRRCBits), PPC_VRRCRegClassID, 16, 16, 1, 1 },
-  { "VSHRC", VSHRC, VSHRCBits, 32, sizeof(VSHRCBits), PPC_VSHRCRegClassID, 16, 16, 1, 1 },
-  { "VSLRC", VSLRC, VSLRCBits, 32, sizeof(VSLRCBits), PPC_VSLRCRegClassID, 16, 16, 1, 1 },
+  // QBRC Register Class...
+  static MCPhysReg QBRC[] = {
+    PPC_QF0, PPC_QF1, PPC_QF2, PPC_QF3, PPC_QF4, PPC_QF5, PPC_QF6, PPC_QF7, PPC_QF8, PPC_QF9, PPC_QF10, PPC_QF11, PPC_QF12, PPC_QF13, PPC_QF31, PPC_QF30, PPC_QF29, PPC_QF28, PPC_QF27, PPC_QF26, PPC_QF25, PPC_QF24, PPC_QF23, PPC_QF22, PPC_QF21, PPC_QF20, PPC_QF19, PPC_QF18, PPC_QF17, PPC_QF16, PPC_QF15, PPC_QF14, 
+  };
+
+  // QBRC Bit set.
+  static uint8_t QBRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
+  };
+
+  // QFRC Register Class...
+  static MCPhysReg QFRC[] = {
+    PPC_QF0, PPC_QF1, PPC_QF2, PPC_QF3, PPC_QF4, PPC_QF5, PPC_QF6, PPC_QF7, PPC_QF8, PPC_QF9, PPC_QF10, PPC_QF11, PPC_QF12, PPC_QF13, PPC_QF31, PPC_QF30, PPC_QF29, PPC_QF28, PPC_QF27, PPC_QF26, PPC_QF25, PPC_QF24, PPC_QF23, PPC_QF22, PPC_QF21, PPC_QF20, PPC_QF19, PPC_QF18, PPC_QF17, PPC_QF16, PPC_QF15, PPC_QF14, 
+  };
+
+  // QFRC Bit set.
+  static uint8_t QFRCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff, 0xff, 0x1f, 
+  };
+
+
+static MCRegisterClass PPCMCRegisterClasses[] = {
+  { GPRC, GPRCBits, 102, 34, sizeof(GPRCBits), PPC_GPRCRegClassID, 4, 4, 1, 1 },
+  { GPRC_NOR0, GPRC_NOR0Bits, 9, 34, sizeof(GPRC_NOR0Bits), PPC_GPRC_NOR0RegClassID, 4, 4, 1, 1 },
+  { GPRC_and_GPRC_NOR0, GPRC_and_GPRC_NOR0Bits, 0, 33, sizeof(GPRC_and_GPRC_NOR0Bits), PPC_GPRC_and_GPRC_NOR0RegClassID, 4, 4, 1, 1 },
+  { CRBITRC, CRBITRCBits, 133, 32, sizeof(CRBITRCBits), PPC_CRBITRCRegClassID, 4, 4, 1, 1 },
+  { F4RC, F4RCBits, 45, 32, sizeof(F4RCBits), PPC_F4RCRegClassID, 4, 4, 1, 1 },
+  { CRRC, CRRCBits, 107, 8, sizeof(CRRCBits), PPC_CRRCRegClassID, 4, 4, 1, 1 },
+  { CARRYRC, CARRYRCBits, 141, 1, sizeof(CARRYRCBits), PPC_CARRYRCRegClassID, 4, 4, -1, 1 },
+  { CTRRC, CTRRCBits, 112, 1, sizeof(CTRRCBits), PPC_CTRRCRegClassID, 4, 4, 1, 0 },
+  { VRSAVERC, VRSAVERCBits, 65, 1, sizeof(VRSAVERCBits), PPC_VRSAVERCRegClassID, 4, 4, 1, 1 },
+  { VSFRC, VSFRCBits, 79, 64, sizeof(VSFRCBits), PPC_VSFRCRegClassID, 8, 8, 1, 1 },
+  { G8RC, G8RCBits, 55, 34, sizeof(G8RCBits), PPC_G8RCRegClassID, 8, 8, 1, 1 },
+  { G8RC_NOX0, G8RC_NOX0Bits, 28, 34, sizeof(G8RC_NOX0Bits), PPC_G8RC_NOX0RegClassID, 8, 8, 1, 1 },
+  { G8RC_and_G8RC_NOX0, G8RC_and_G8RC_NOX0Bits, 19, 33, sizeof(G8RC_and_G8RC_NOX0Bits), PPC_G8RC_and_G8RC_NOX0RegClassID, 8, 8, 1, 1 },
+  { F8RC, F8RCBits, 50, 32, sizeof(F8RCBits), PPC_F8RCRegClassID, 8, 8, 1, 1 },
+  { VFRC, VFRCBits, 85, 32, sizeof(VFRCBits), PPC_VFRCRegClassID, 8, 8, 1, 1 },
+  { CTRRC8, CTRRC8Bits, 38, 1, sizeof(CTRRC8Bits), PPC_CTRRC8RegClassID, 8, 8, 1, 0 },
+  { VSRC, VSRCBits, 128, 64, sizeof(VSRCBits), PPC_VSRCRegClassID, 16, 16, 1, 1 },
+  { QSRC, QSRCBits, 123, 32, sizeof(QSRCBits), PPC_QSRCRegClassID, 16, 16, 1, 1 },
+  { VRRC, VRRCBits, 118, 32, sizeof(VRRCBits), PPC_VRRCRegClassID, 16, 16, 1, 1 },
+  { VSHRC, VSHRCBits, 90, 32, sizeof(VSHRCBits), PPC_VSHRCRegClassID, 16, 16, 1, 1 },
+  { VSLRC, VSLRCBits, 96, 32, sizeof(VSLRCBits), PPC_VSLRCRegClassID, 16, 16, 1, 1 },
+  { QBRC, QBRCBits, 60, 32, sizeof(QBRCBits), PPC_QBRCRegClassID, 32, 32, 1, 1 },
+  { QFRC, QFRCBits, 74, 32, sizeof(QFRCBits), PPC_QFRCRegClassID, 32, 32, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenSubtargetInfo.inc 4.0.2-3/arch/PowerPC/PPCGenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCGenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCGenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
@@ -41,30 +41,33 @@
 #define PPC_Feature64BitRegs (1ULL << 25)
 #define PPC_FeatureAltivec (1ULL << 26)
 #define PPC_FeatureBookE (1ULL << 27)
-#define PPC_FeatureCRBits (1ULL << 28)
-#define PPC_FeatureE500 (1ULL << 29)
-#define PPC_FeatureELFv1 (1ULL << 30)
-#define PPC_FeatureELFv2 (1ULL << 31)
-#define PPC_FeatureFCPSGN (1ULL << 32)
-#define PPC_FeatureFPCVT (1ULL << 33)
-#define PPC_FeatureFPRND (1ULL << 34)
-#define PPC_FeatureFRE (1ULL << 35)
-#define PPC_FeatureFRES (1ULL << 36)
-#define PPC_FeatureFRSQRTE (1ULL << 37)
-#define PPC_FeatureFRSQRTES (1ULL << 38)
-#define PPC_FeatureFSqrt (1ULL << 39)
+#define PPC_FeatureCMPB (1ULL << 28)
+#define PPC_FeatureCRBits (1ULL << 29)
+#define PPC_FeatureE500 (1ULL << 30)
+#define PPC_FeatureFCPSGN (1ULL << 31)
+#define PPC_FeatureFPCVT (1ULL << 32)
+#define PPC_FeatureFPRND (1ULL << 33)
+#define PPC_FeatureFRE (1ULL << 34)
+#define PPC_FeatureFRES (1ULL << 35)
+#define PPC_FeatureFRSQRTE (1ULL << 36)
+#define PPC_FeatureFRSQRTES (1ULL << 37)
+#define PPC_FeatureFSqrt (1ULL << 38)
+#define PPC_FeatureICBT (1ULL << 39)
 #define PPC_FeatureISEL (1ULL << 40)
-#define PPC_FeatureLDBRX (1ULL << 41)
-#define PPC_FeatureLFIWAX (1ULL << 42)
-#define PPC_FeatureMFOCRF (1ULL << 43)
-#define PPC_FeaturePOPCNTD (1ULL << 44)
-#define PPC_FeaturePPC4xx (1ULL << 45)
-#define PPC_FeaturePPC6xx (1ULL << 46)
-#define PPC_FeatureQPX (1ULL << 47)
-#define PPC_FeatureRecipPrec (1ULL << 48)
-#define PPC_FeatureSPE (1ULL << 49)
-#define PPC_FeatureSTFIWX (1ULL << 50)
-#define PPC_FeatureVSX (1ULL << 51)
+#define PPC_FeatureInvariantFunctionDescriptors (1ULL << 41)
+#define PPC_FeatureLDBRX (1ULL << 42)
+#define PPC_FeatureLFIWAX (1ULL << 43)
+#define PPC_FeatureMFOCRF (1ULL << 44)
+#define PPC_FeatureMSYNC (1ULL << 45)
+#define PPC_FeatureP8Altivec (1ULL << 46)
+#define PPC_FeatureP8Vector (1ULL << 47)
+#define PPC_FeaturePOPCNTD (1ULL << 48)
+#define PPC_FeaturePPC4xx (1ULL << 49)
+#define PPC_FeaturePPC6xx (1ULL << 50)
+#define PPC_FeatureQPX (1ULL << 51)
+#define PPC_FeatureRecipPrec (1ULL << 52)
+#define PPC_FeatureSPE (1ULL << 53)
+#define PPC_FeatureSTFIWX (1ULL << 54)
+#define PPC_FeatureVSX (1ULL << 55)
 
 #endif // GET_SUBTARGETINFO_ENUM
-
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCInstPrinter.c 4.0.2-3/arch/PowerPC/PPCInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_POWERPC
 
@@ -41,6 +41,22 @@ static char *printAliasInstrEx(MCInst *M
 static void printCustomAliasOperand(MCInst *MI, unsigned OpIdx,
 		unsigned PrintMethodIdx, SStream *OS);
 
+#if 0
+static void printRegName(SStream *OS, unsigned RegNo)
+{
+	char *RegName = getRegisterName(RegNo);
+
+	if (RegName[0] == 'q' /* QPX */) {
+		// The system toolchain on the BG/Q does not understand QPX register names
+		// in .cfi_* directives, so print the name of the floating-point
+		// subregister instead.
+		RegName[0] = 'f';
+	}
+
+	SStream_concat0(OS, RegName);
+}
+#endif
+
 static void set_mem_access(MCInst *MI, bool status)
 {
 	if (MI->csh->detail != CS_OPT_ON)
@@ -161,11 +177,10 @@ void PPC_printInst(MCInst *MI, SStream *
 	}
 
 	if (isBOCTRBranch(MCInst_getOpcode(MI))) {
-		if (MCOperand_isImm(MCInst_getOperand(MI,0)))
-		{
+		if (MCOperand_isImm(MCInst_getOperand(MI,0))) {
 			int64_t bd = MCOperand_getImm(MCInst_getOperand(MI, 0));
 			bd = SignExtend64(bd, 14);
-			MCOperand_setImm(MCInst_getOperand(MI, 0),bd);
+			MCOperand_setImm(MCInst_getOperand(MI, 0), bd);
 		}
 	}
 
@@ -183,14 +198,16 @@ void PPC_printInst(MCInst *MI, SStream *
 
 	if (mnem != NULL) {
 		if (strlen(mnem) > 0) {
-			struct ppc_alias alias;
 			// check to remove the last letter of ('.', '-', '+')
 			if (mnem[strlen(mnem) - 1] == '-' || mnem[strlen(mnem) - 1] == '+' || mnem[strlen(mnem) - 1] == '.')
 				mnem[strlen(mnem) - 1] = '\0';
 
-			if (PPC_alias_insn(mnem, &alias)) {
-				MCInst_setOpcodePub(MI, alias.id);
-				if (MI->csh->detail) {
+			MCInst_setOpcodePub(MI, PPC_map_insn(mnem));
+
+			if (MI->csh->detail) {
+				struct ppc_alias alias;
+
+				if (PPC_alias_insn(mnem, &alias)) {
 					MI->flat_insn->detail->ppc.bc = (ppc_bc)alias.cc;
 				}
 			}
@@ -423,21 +440,32 @@ static void printU6ImmOperand(MCInst *MI
 	}
 }
 
+static void printU12ImmOperand(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	unsigned short Value = (unsigned short)MCOperand_getImm(MCInst_getOperand(MI, OpNo));
+
+	// assert(Value <= 4095 && "Invalid u12imm argument!");
+
+	if (Value > HEX_THRESHOLD)
+		SStream_concat(O, "0x%x", Value);
+	else
+		SStream_concat(O, "%u", Value);
+
+	if (MI->csh->detail) {
+		MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].type = PPC_OP_IMM;
+		MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].imm = Value;
+		MI->flat_insn->detail->ppc.op_count++;
+	}
+}
+
 static void printS16ImmOperand(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	if (MCOperand_isImm(MCInst_getOperand(MI, OpNo))) {
-		short Imm = (short)MCOperand_getImm(MCInst_getOperand(MI, OpNo));
-		if (Imm >= 0) {
-			if (Imm > HEX_THRESHOLD)
-				SStream_concat(O, "0x%x", Imm);
-			else
-				SStream_concat(O, "%u", Imm);
-		} else {
-			if (Imm < -HEX_THRESHOLD)
-				SStream_concat(O, "-0x%x", -Imm);
-			else
-				SStream_concat(O, "-%u", -Imm);
-		}
+		unsigned short Imm = (unsigned short)MCOperand_getImm(MCInst_getOperand(MI, OpNo));
+        if (Imm > HEX_THRESHOLD)
+            SStream_concat(O, "0x%x", Imm);
+        else
+            SStream_concat(O, "%u", Imm);
 
 		if (MI->csh->detail) {
 			MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].type = PPC_OP_IMM;
@@ -510,20 +538,20 @@ static void printBranchOperand(MCInst *M
 
 static void printAbsBranchOperand(MCInst *MI, unsigned OpNo, SStream *O)
 {
-	int imm;
+	int64_t imm;
 
 	if (!MCOperand_isImm(MCInst_getOperand(MI, OpNo))) {
 		printOperand(MI, OpNo, O);
 		return;
 	}
 
-	imm = ((int)MCOperand_getImm(MCInst_getOperand(MI, OpNo)) * 4);
+	imm = MCOperand_getImm(MCInst_getOperand(MI, OpNo)) * 4;
 
 	if (!PPC_abs_branch(MI->csh, MCInst_getOpcode(MI))) {
-		imm = (int)MI->address + imm;
+		imm = MI->address + imm;
 	}
 
-	SStream_concat(O, "0x%x", imm);
+	SStream_concat(O, "0x%"PRIx64, imm);
 
 	if (MI->csh->detail) {
 		MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].type = PPC_OP_IMM;
@@ -613,6 +641,7 @@ static const char *stripRegisterPrefix(c
 	switch (RegName[0]) {
 		case 'r':
 		case 'f':
+		case 'q': // for QPX
 		case 'v':
 			if (RegName[1] == 's')
 				return RegName + 2;
@@ -663,7 +692,7 @@ static void printOperand(MCInst *MI, uns
 
 		if (MI->csh->detail) {
 			if (MI->csh->doing_mem) {
-				MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].mem.disp = imm;
+				MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].mem.disp = (int32_t)imm;
 			} else {
 				MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].type = PPC_OP_IMM;
 				MI->flat_insn->detail->ppc.operands[MI->flat_insn->detail->ppc.op_count].imm = imm;
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCInstPrinter.h 4.0.2-3/arch/PowerPC/PPCInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_PPCINSTPRINTER_H
 #define CS_PPCINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMapping.c 4.0.2-3/arch/PowerPC/PPCMapping.c
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_POWERPC
 
@@ -18,7 +18,6 @@ static const name_map reg_name_maps[] =
 	{ PPC_REG_INVALID, NULL },
 
 	{ PPC_REG_CARRY, "ca" },
-	{ PPC_REG_CC, "cc"},
 	{ PPC_REG_CR0, "cr0" },
 	{ PPC_REG_CR1, "cr1" },
 	{ PPC_REG_CR2, "cr2" },
@@ -190,19 +189,52 @@ static const name_map reg_name_maps[] =
 	{ PPC_REG_VS61, "vs61"},
 	{ PPC_REG_VS62, "vs62"},
 	{ PPC_REG_VS63, "vs63"},
+	{ PPC_REG_Q0, "q0" },
+	{ PPC_REG_Q1, "q1" },
+	{ PPC_REG_Q2, "q2" },
+	{ PPC_REG_Q3, "q3" },
+	{ PPC_REG_Q4, "q4" },
+	{ PPC_REG_Q5, "q5" },
+	{ PPC_REG_Q6, "q6" },
+	{ PPC_REG_Q7, "q7" },
+	{ PPC_REG_Q8, "q8" },
+	{ PPC_REG_Q9, "q9" },
+	{ PPC_REG_Q10, "q10" },
+	{ PPC_REG_Q11, "q11" },
+	{ PPC_REG_Q12, "q12" },
+	{ PPC_REG_Q13, "q13" },
+	{ PPC_REG_Q14, "q14" },
+	{ PPC_REG_Q15, "q15" },
+	{ PPC_REG_Q16, "q16" },
+	{ PPC_REG_Q17, "q17" },
+	{ PPC_REG_Q18, "q18" },
+	{ PPC_REG_Q19, "q19" },
+	{ PPC_REG_Q20, "q20" },
+	{ PPC_REG_Q21, "q21" },
+	{ PPC_REG_Q22, "q22" },
+	{ PPC_REG_Q23, "q23" },
+	{ PPC_REG_Q24, "q24" },
+	{ PPC_REG_Q25, "q25" },
+	{ PPC_REG_Q26, "q26" },
+	{ PPC_REG_Q27, "q27" },
+	{ PPC_REG_Q28, "q28" },
+	{ PPC_REG_Q29, "q29" },
+	{ PPC_REG_Q30, "q30" },
+	{ PPC_REG_Q31, "q31" },
 
 	// extras
 	{ PPC_REG_RM, "rm" },
 	{ PPC_REG_CTR8, "ctr8" },
 	{ PPC_REG_LR8, "lr8" },
 	{ PPC_REG_CR1EQ, "cr1eq" },
+	{ PPC_REG_X2, "x2" },
 };
 #endif
 
 const char *PPC_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= PPC_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -220,6672 +252,7 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		PPC_ADD4, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD4TLS, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD4o, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD8, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD8TLS, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD8TLS_, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADD8o, PPC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDC, PPC_INS_ADDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDC8, PPC_INS_ADDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDC8o, PPC_INS_ADDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDCo, PPC_INS_ADDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDE, PPC_INS_ADDE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDE8, PPC_INS_ADDE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDE8o, PPC_INS_ADDE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDEo, PPC_INS_ADDE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDI, PPC_INS_ADDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDI8, PPC_INS_ADDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDIC, PPC_INS_ADDIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDIC8, PPC_INS_ADDIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDICo, PPC_INS_ADDIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDIS, PPC_INS_ADDIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDIS8, PPC_INS_ADDIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDME, PPC_INS_ADDME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDME8, PPC_INS_ADDME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDME8o, PPC_INS_ADDME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDMEo, PPC_INS_ADDME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDZE, PPC_INS_ADDZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDZE8, PPC_INS_ADDZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDZE8o, PPC_INS_ADDZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ADDZEo, PPC_INS_ADDZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_AND, PPC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_AND8, PPC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_AND8o, PPC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDC, PPC_INS_ANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDC8, PPC_INS_ANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDC8o, PPC_INS_ANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDCo, PPC_INS_ANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDISo, PPC_INS_ANDIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDISo8, PPC_INS_ANDIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDIo, PPC_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDIo8, PPC_INS_ANDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ANDo, PPC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_B, PPC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BA, PPC_INS_BA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BC, PPC_INS_BC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCC, PPC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCCA, PPC_INS_BA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCCCTR, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCCCTR8, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCCCTRL, PPC_INS_BCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCCTRL8, PPC_INS_BCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCL, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCLA, PPC_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCLR, PPC_INS_BLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCCLRL, PPC_INS_BLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCTR, PPC_INS_BCCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCCTR8, PPC_INS_BCCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCCTR8n, PPC_INS_BCCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCCTRL, PPC_INS_BCCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCTRL8, PPC_INS_BCCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCTRL8n, PPC_INS_BCCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCTRLn, PPC_INS_BCCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCCTRn, PPC_INS_BCCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCL, PPC_INS_BCL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCLR, PPC_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCLRL, PPC_INS_BCLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCLRLn, PPC_INS_BCLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCLRn, PPC_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BCLalways, PPC_INS_BCL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCLn, PPC_INS_BCL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCTR, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCTR8, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_BCTRL, PPC_INS_BCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { PPC_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCTRL8, PPC_INS_BCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BCn, PPC_INS_BC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZ, PPC_INS_BDNZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZ8, PPC_INS_BDNZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZA, PPC_INS_BDNZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZAm, PPC_INS_BDNZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZAp, PPC_INS_BDNZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZL, PPC_INS_BDNZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLA, PPC_INS_BDNZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLAm, PPC_INS_BDNZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLAp, PPC_INS_BDNZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLR, PPC_INS_BDNZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZLR8, PPC_INS_BDNZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_LR8, PPC_REG_RM, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZLRL, PPC_INS_BDNZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLRLm, PPC_INS_BDNZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLRLp, PPC_INS_BDNZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLRm, PPC_INS_BDNZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZLRp, PPC_INS_BDNZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZLm, PPC_INS_BDNZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZLp, PPC_INS_BDNZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDNZm, PPC_INS_BDNZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDNZp, PPC_INS_BDNZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZ, PPC_INS_BDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZ8, PPC_INS_BDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZA, PPC_INS_BDZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZAm, PPC_INS_BDZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZAp, PPC_INS_BDZA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZL, PPC_INS_BDZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLA, PPC_INS_BDZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLAm, PPC_INS_BDZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLAp, PPC_INS_BDZLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLR, PPC_INS_BDZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZLR8, PPC_INS_BDZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_LR8, PPC_REG_RM, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZLRL, PPC_INS_BDZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLRLm, PPC_INS_BDZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLRLp, PPC_INS_BDZLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLRm, PPC_INS_BDZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZLRp, PPC_INS_BDZLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZLm, PPC_INS_BDZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZLp, PPC_INS_BDZL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BDZm, PPC_INS_BDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BDZp, PPC_INS_BDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_BL, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL8, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL8_NOP, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL8_NOP_TLS, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL8_TLS, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL8_TLS_, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BLA, PPC_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BLA8, PPC_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BLA8_NOP, PPC_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BLR, PPC_INS_BLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BLRL, PPC_INS_BLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BL_TLS, PPC_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_BRINC, PPC_INS_BRINC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPD, PPC_INS_CMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPDI, PPC_INS_CMPDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPLD, PPC_INS_CMPLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPLDI, PPC_INS_CMPLDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPLW, PPC_INS_CMPLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPLWI, PPC_INS_CMPLWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPW, PPC_INS_CMPW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CMPWI, PPC_INS_CMPWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CNTLZD, PPC_INS_CNTLZD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CNTLZDo, PPC_INS_CNTLZD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CNTLZW, PPC_INS_CNTLZW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CNTLZWo, PPC_INS_CNTLZW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CR6SET, PPC_INS_CREQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1EQ, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CR6UNSET, PPC_INS_CRXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1EQ, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRAND, PPC_INS_CRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRANDC, PPC_INS_CRANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CREQV, PPC_INS_CREQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRNAND, PPC_INS_CRNAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRNOR, PPC_INS_CRNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CROR, PPC_INS_CROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRORC, PPC_INS_CRORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRSET, PPC_INS_CREQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRUNSET, PPC_INS_CRXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_CRXOR, PPC_INS_CRXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBA, PPC_INS_DCBA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBF, PPC_INS_DCBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBI, PPC_INS_DCBI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBST, PPC_INS_DCBST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBT, PPC_INS_DCBT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBTST, PPC_INS_DCBTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBZ, PPC_INS_DCBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCBZL, PPC_INS_DCBZL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DCCCI, PPC_INS_DCCCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVD, PPC_INS_DIVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVDU, PPC_INS_DIVDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVDUo, PPC_INS_DIVDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVDo, PPC_INS_DIVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVW, PPC_INS_DIVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVWU, PPC_INS_DIVWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVWUo, PPC_INS_DIVWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DIVWo, PPC_INS_DIVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSS, PPC_INS_DSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSSALL, PPC_INS_DSSALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DST, PPC_INS_DST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DST64, PPC_INS_DST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTST, PPC_INS_DSTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTST64, PPC_INS_DSTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTSTT, PPC_INS_DSTSTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTSTT64, PPC_INS_DSTSTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTT, PPC_INS_DSTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_DSTT64, PPC_INS_DSTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EIEIO, PPC_INS_EIEIO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EQV, PPC_INS_EQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EQV8, PPC_INS_EQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EQV8o, PPC_INS_EQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EQVo, PPC_INS_EQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVABS, PPC_INS_EVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDIW, PPC_INS_EVADDIW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDSMIAAW, PPC_INS_EVADDSMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDSSIAAW, PPC_INS_EVADDSSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDUMIAAW, PPC_INS_EVADDUMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDUSIAAW, PPC_INS_EVADDUSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVADDW, PPC_INS_EVADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVAND, PPC_INS_EVAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVANDC, PPC_INS_EVANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCMPEQ, PPC_INS_EVCMPEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCMPGTS, PPC_INS_EVCMPGTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCMPGTU, PPC_INS_EVCMPGTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCMPLTS, PPC_INS_EVCMPLTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCMPLTU, PPC_INS_EVCMPLTU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCNTLSW, PPC_INS_EVCNTLSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVCNTLZW, PPC_INS_EVCNTLZW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVDIVWS, PPC_INS_EVDIVWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVDIVWU, PPC_INS_EVDIVWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVEQV, PPC_INS_EVEQV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVEXTSB, PPC_INS_EVEXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVEXTSH, PPC_INS_EVEXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDD, PPC_INS_EVLDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDDX, PPC_INS_EVLDDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDH, PPC_INS_EVLDH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDHX, PPC_INS_EVLDHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDW, PPC_INS_EVLDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLDWX, PPC_INS_EVLDWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHESPLAT, PPC_INS_EVLHHESPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHESPLATX, PPC_INS_EVLHHESPLATX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHOSSPLAT, PPC_INS_EVLHHOSSPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHOSSPLATX, PPC_INS_EVLHHOSSPLATX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHOUSPLAT, PPC_INS_EVLHHOUSPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLHHOUSPLATX, PPC_INS_EVLHHOUSPLATX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHE, PPC_INS_EVLWHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHEX, PPC_INS_EVLWHEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHOS, PPC_INS_EVLWHOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHOSX, PPC_INS_EVLWHOSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHOU, PPC_INS_EVLWHOU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHOUX, PPC_INS_EVLWHOUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHSPLAT, PPC_INS_EVLWHSPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWHSPLATX, PPC_INS_EVLWHSPLATX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWWSPLAT, PPC_INS_EVLWWSPLAT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVLWWSPLATX, PPC_INS_EVLWWSPLATX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMERGEHI, PPC_INS_EVMERGEHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMERGEHILO, PPC_INS_EVMERGEHILO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMERGELO, PPC_INS_EVMERGELO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMERGELOHI, PPC_INS_EVMERGELOHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGSMFAA, PPC_INS_EVMHEGSMFAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGSMFAN, PPC_INS_EVMHEGSMFAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGSMIAA, PPC_INS_EVMHEGSMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGSMIAN, PPC_INS_EVMHEGSMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGUMIAA, PPC_INS_EVMHEGUMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEGUMIAN, PPC_INS_EVMHEGUMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMF, PPC_INS_EVMHESMF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMFA, PPC_INS_EVMHESMFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMFAAW, PPC_INS_EVMHESMFAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMFANW, PPC_INS_EVMHESMFANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMI, PPC_INS_EVMHESMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMIA, PPC_INS_EVMHESMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMIAAW, PPC_INS_EVMHESMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESMIANW, PPC_INS_EVMHESMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSF, PPC_INS_EVMHESSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSFA, PPC_INS_EVMHESSFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSFAAW, PPC_INS_EVMHESSFAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSFANW, PPC_INS_EVMHESSFANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSIAAW, PPC_INS_EVMHESSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHESSIANW, PPC_INS_EVMHESSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUMI, PPC_INS_EVMHEUMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUMIA, PPC_INS_EVMHEUMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUMIAAW, PPC_INS_EVMHEUMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUMIANW, PPC_INS_EVMHEUMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUSIAAW, PPC_INS_EVMHEUSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHEUSIANW, PPC_INS_EVMHEUSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGSMFAA, PPC_INS_EVMHOGSMFAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGSMFAN, PPC_INS_EVMHOGSMFAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGSMIAA, PPC_INS_EVMHOGSMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGSMIAN, PPC_INS_EVMHOGSMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGUMIAA, PPC_INS_EVMHOGUMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOGUMIAN, PPC_INS_EVMHOGUMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMF, PPC_INS_EVMHOSMF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMFA, PPC_INS_EVMHOSMFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMFAAW, PPC_INS_EVMHOSMFAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMFANW, PPC_INS_EVMHOSMFANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMI, PPC_INS_EVMHOSMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMIA, PPC_INS_EVMHOSMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMIAAW, PPC_INS_EVMHOSMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSMIANW, PPC_INS_EVMHOSMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSF, PPC_INS_EVMHOSSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSFA, PPC_INS_EVMHOSSFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSFAAW, PPC_INS_EVMHOSSFAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSFANW, PPC_INS_EVMHOSSFANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSIAAW, PPC_INS_EVMHOSSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOSSIANW, PPC_INS_EVMHOSSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUMI, PPC_INS_EVMHOUMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUMIA, PPC_INS_EVMHOUMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUMIAAW, PPC_INS_EVMHOUMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUMIANW, PPC_INS_EVMHOUMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUSIAAW, PPC_INS_EVMHOUSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMHOUSIANW, PPC_INS_EVMHOUSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMRA, PPC_INS_EVMRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSMF, PPC_INS_EVMWHSMF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSMFA, PPC_INS_EVMWHSMFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSMI, PPC_INS_EVMWHSMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSMIA, PPC_INS_EVMWHSMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSSF, PPC_INS_EVMWHSSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHSSFA, PPC_INS_EVMWHSSFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHUMI, PPC_INS_EVMWHUMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWHUMIA, PPC_INS_EVMWHUMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLSMIAAW, PPC_INS_EVMWLSMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLSMIANW, PPC_INS_EVMWLSMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLSSIAAW, PPC_INS_EVMWLSSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLSSIANW, PPC_INS_EVMWLSSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUMI, PPC_INS_EVMWLUMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUMIA, PPC_INS_EVMWLUMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUMIAAW, PPC_INS_EVMWLUMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUMIANW, PPC_INS_EVMWLUMIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUSIAAW, PPC_INS_EVMWLUSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWLUSIANW, PPC_INS_EVMWLUSIANW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMF, PPC_INS_EVMWSMF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMFA, PPC_INS_EVMWSMFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMFAA, PPC_INS_EVMWSMFAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMFAN, PPC_INS_EVMWSMFAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMI, PPC_INS_EVMWSMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMIA, PPC_INS_EVMWSMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMIAA, PPC_INS_EVMWSMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSMIAN, PPC_INS_EVMWSMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSSF, PPC_INS_EVMWSSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSSFA, PPC_INS_EVMWSSFA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSSFAA, PPC_INS_EVMWSSFAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWSSFAN, PPC_INS_EVMWSSFAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWUMI, PPC_INS_EVMWUMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWUMIA, PPC_INS_EVMWUMIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWUMIAA, PPC_INS_EVMWUMIAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVMWUMIAN, PPC_INS_EVMWUMIAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVNAND, PPC_INS_EVNAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVNEG, PPC_INS_EVNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVNOR, PPC_INS_EVNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVOR, PPC_INS_EVOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVORC, PPC_INS_EVORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVRLW, PPC_INS_EVRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVRLWI, PPC_INS_EVRLWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVRNDW, PPC_INS_EVRNDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSLW, PPC_INS_EVSLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSLWI, PPC_INS_EVSLWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSPLATFI, PPC_INS_EVSPLATFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSPLATI, PPC_INS_EVSPLATI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSRWIS, PPC_INS_EVSRWIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSRWIU, PPC_INS_EVSRWIU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSRWS, PPC_INS_EVSRWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSRWU, PPC_INS_EVSRWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDD, PPC_INS_EVSTDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDDX, PPC_INS_EVSTDDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDH, PPC_INS_EVSTDH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDHX, PPC_INS_EVSTDHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDW, PPC_INS_EVSTDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTDWX, PPC_INS_EVSTDWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWHE, PPC_INS_EVSTWHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWHEX, PPC_INS_EVSTWHEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWHO, PPC_INS_EVSTWHO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWHOX, PPC_INS_EVSTWHOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWWE, PPC_INS_EVSTWWE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWWEX, PPC_INS_EVSTWWEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWWO, PPC_INS_EVSTWWO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSTWWOX, PPC_INS_EVSTWWOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBFSMIAAW, PPC_INS_EVSUBFSMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBFSSIAAW, PPC_INS_EVSUBFSSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBFUMIAAW, PPC_INS_EVSUBFUMIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBFUSIAAW, PPC_INS_EVSUBFUSIAAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBFW, PPC_INS_EVSUBFW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVSUBIFW, PPC_INS_EVSUBIFW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EVXOR, PPC_INS_EVXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSB, PPC_INS_EXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSB8, PPC_INS_EXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSB8_32_64, PPC_INS_EXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSB8o, PPC_INS_EXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSBo, PPC_INS_EXTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSH, PPC_INS_EXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSH8, PPC_INS_EXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSH8_32_64, PPC_INS_EXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSH8o, PPC_INS_EXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSHo, PPC_INS_EXTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSW, PPC_INS_EXTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSW_32_64, PPC_INS_EXTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSW_32_64o, PPC_INS_EXTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_EXTSWo, PPC_INS_EXTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FABSD, PPC_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FABSDo, PPC_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FABSS, PPC_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FABSSo, PPC_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FADD, PPC_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FADDS, PPC_INS_FADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FADDSo, PPC_INS_FADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FADDo, PPC_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFID, PPC_INS_FCFID,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDS, PPC_INS_FCFIDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDSo, PPC_INS_FCFIDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDU, PPC_INS_FCFIDU,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDUS, PPC_INS_FCFIDUS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDUSo, PPC_INS_FCFIDUS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDUo, PPC_INS_FCFIDU,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCFIDo, PPC_INS_FCFID,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCMPUD, PPC_INS_FCMPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCMPUS, PPC_INS_FCMPU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCPSGND, PPC_INS_FCPSGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCPSGNDo, PPC_INS_FCPSGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCPSGNS, PPC_INS_FCPSGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCPSGNSo, PPC_INS_FCPSGN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTID, PPC_INS_FCTID,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIDUZ, PPC_INS_FCTIDUZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIDUZo, PPC_INS_FCTIDUZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIDZ, PPC_INS_FCTIDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIDZo, PPC_INS_FCTIDZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIDo, PPC_INS_FCTID,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIW, PPC_INS_FCTIW,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIWUZ, PPC_INS_FCTIWUZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIWUZo, PPC_INS_FCTIWUZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIWZ, PPC_INS_FCTIWZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIWZo, PPC_INS_FCTIWZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FCTIWo, PPC_INS_FCTIW,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FDIV, PPC_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FDIVS, PPC_INS_FDIVS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FDIVSo, PPC_INS_FDIVS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FDIVo, PPC_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMADD, PPC_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMADDS, PPC_INS_FMADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMADDSo, PPC_INS_FMADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMADDo, PPC_INS_FMADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMR, PPC_INS_FMR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMRo, PPC_INS_FMR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMSUB, PPC_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMSUBS, PPC_INS_FMSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMSUBSo, PPC_INS_FMSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMSUBo, PPC_INS_FMSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMUL, PPC_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMULS, PPC_INS_FMULS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMULSo, PPC_INS_FMULS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FMULo, PPC_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNABSD, PPC_INS_FNABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNABSDo, PPC_INS_FNABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNABSS, PPC_INS_FNABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNABSSo, PPC_INS_FNABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNEGD, PPC_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNEGDo, PPC_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNEGS, PPC_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNEGSo, PPC_INS_FNEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMADD, PPC_INS_FNMADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMADDS, PPC_INS_FNMADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMADDSo, PPC_INS_FNMADDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMADDo, PPC_INS_FNMADD,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMSUB, PPC_INS_FNMSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMSUBS, PPC_INS_FNMSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMSUBSo, PPC_INS_FNMSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FNMSUBo, PPC_INS_FNMSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRE, PPC_INS_FRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRES, PPC_INS_FRES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRESo, PPC_INS_FRES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FREo, PPC_INS_FRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIMD, PPC_INS_FRIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIMDo, PPC_INS_FRIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIMS, PPC_INS_FRIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIMSo, PPC_INS_FRIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIND, PPC_INS_FRIN,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRINDo, PPC_INS_FRIN,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRINS, PPC_INS_FRIN,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRINSo, PPC_INS_FRIN,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIPD, PPC_INS_FRIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIPDo, PPC_INS_FRIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIPS, PPC_INS_FRIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIPSo, PPC_INS_FRIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIZD, PPC_INS_FRIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIZDo, PPC_INS_FRIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIZS, PPC_INS_FRIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRIZSo, PPC_INS_FRIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSP, PPC_INS_FRSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSPo, PPC_INS_FRSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSQRTE, PPC_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSQRTES, PPC_INS_FRSQRTES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSQRTESo, PPC_INS_FRSQRTES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FRSQRTEo, PPC_INS_FRSQRTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSELD, PPC_INS_FSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSELDo, PPC_INS_FSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSELS, PPC_INS_FSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSELSo, PPC_INS_FSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSQRT, PPC_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSQRTS, PPC_INS_FSQRTS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSQRTSo, PPC_INS_FSQRTS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSQRTo, PPC_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSUB, PPC_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSUBS, PPC_INS_FSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSUBSo, PPC_INS_FSUBS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_FSUBo, PPC_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ICBI, PPC_INS_ICBI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ICCCI, PPC_INS_ICCCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ISEL, PPC_INS_ISEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ISEL8, PPC_INS_ISEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ISYNC, PPC_INS_ISYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LA, PPC_INS_LA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZ, PPC_INS_LBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZ8, PPC_INS_LBZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZU, PPC_INS_LBZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZU8, PPC_INS_LBZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZUX, PPC_INS_LBZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZUX8, PPC_INS_LBZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZX, PPC_INS_LBZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LBZX8, PPC_INS_LBZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LD, PPC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDARX, PPC_INS_LDARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDBRX, PPC_INS_LDBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDU, PPC_INS_LDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDUX, PPC_INS_LDUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDX, PPC_INS_LDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LDinto_toc, PPC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFD, PPC_INS_LFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFDU, PPC_INS_LFDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFDUX, PPC_INS_LFDUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFDX, PPC_INS_LFDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFIWAX, PPC_INS_LFIWAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFIWZX, PPC_INS_LFIWZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFS, PPC_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFSU, PPC_INS_LFSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFSUX, PPC_INS_LFSUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LFSX, PPC_INS_LFSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHA, PPC_INS_LHA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHA8, PPC_INS_LHA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAU, PPC_INS_LHAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAU8, PPC_INS_LHAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAUX, PPC_INS_LHAUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAUX8, PPC_INS_LHAUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAX, PPC_INS_LHAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHAX8, PPC_INS_LHAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHBRX, PPC_INS_LHBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZ, PPC_INS_LHZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZ8, PPC_INS_LHZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZU, PPC_INS_LHZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZU8, PPC_INS_LHZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZUX, PPC_INS_LHZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZUX8, PPC_INS_LHZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZX, PPC_INS_LHZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LHZX8, PPC_INS_LHZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LI, PPC_INS_LI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LI8, PPC_INS_LI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LIS, PPC_INS_LIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LIS8, PPC_INS_LIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LMW, PPC_INS_LMW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LSWI, PPC_INS_LSWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVEBX, PPC_INS_LVEBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVEHX, PPC_INS_LVEHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVEWX, PPC_INS_LVEWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVSL, PPC_INS_LVSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVSR, PPC_INS_LVSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVX, PPC_INS_LVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LVXL, PPC_INS_LVXL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWA, PPC_INS_LWA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWARX, PPC_INS_LWARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWAUX, PPC_INS_LWAUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWAX, PPC_INS_LWAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWAX_32, PPC_INS_LWAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWA_32, PPC_INS_LWA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWBRX, PPC_INS_LWBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZ, PPC_INS_LWZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZ8, PPC_INS_LWZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZU, PPC_INS_LWZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZU8, PPC_INS_LWZU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZUX, PPC_INS_LWZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZUX8, PPC_INS_LWZUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZX, PPC_INS_LWZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LWZX8, PPC_INS_LWZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LXSDX, PPC_INS_LXSDX,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LXVD2X, PPC_INS_LXVD2X,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LXVDSX, PPC_INS_LXVDSX,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_LXVW4X, PPC_INS_LXVW4X,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MBAR, PPC_INS_MBAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MCRF, PPC_INS_MCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFCR, PPC_INS_MFCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFCR8, PPC_INS_MFCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFCTR, PPC_INS_MFCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFCTR8, PPC_INS_MFCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFDCR, PPC_INS_MFDCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFFS, PPC_INS_MFFS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFLR, PPC_INS_MFLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFLR8, PPC_INS_MFLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_LR8, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFMSR, PPC_INS_MFMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFOCRF, PPC_INS_MFOCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFOCRF8, PPC_INS_MFOCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFSPR, PPC_INS_MFSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFSR, PPC_INS_MFSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFSRIN, PPC_INS_MFSRIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFTB, PPC_INS_MFTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFTB8, PPC_INS_MFSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFVRSAVE, PPC_INS_MFSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFVRSAVEv, PPC_INS_MFSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MFVSCR, PPC_INS_MFVSCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MSYNC, PPC_INS_MSYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCRF, PPC_INS_MTCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCRF8, PPC_INS_MTCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCTR, PPC_INS_MTCTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCTR8, PPC_INS_MTCTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCTR8loop, PPC_INS_MTCTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTCTRloop, PPC_INS_MTCTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTDCR, PPC_INS_MTDCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTFSB0, PPC_INS_MTFSB0,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTFSB1, PPC_INS_MTFSB1,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTFSF, PPC_INS_MTFSF,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTLR, PPC_INS_MTLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTLR8, PPC_INS_MTLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTMSR, PPC_INS_MTMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTMSRD, PPC_INS_MTMSRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTOCRF, PPC_INS_MTOCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTOCRF8, PPC_INS_MTOCRF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTSPR, PPC_INS_MTSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTSR, PPC_INS_MTSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTSRIN, PPC_INS_MTSRIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTVRSAVE, PPC_INS_MTSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTVRSAVEv, PPC_INS_MTSPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MTVSCR, PPC_INS_MTVSCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHD, PPC_INS_MULHD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHDU, PPC_INS_MULHDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHDUo, PPC_INS_MULHDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHDo, PPC_INS_MULHD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHW, PPC_INS_MULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHWU, PPC_INS_MULHWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHWUo, PPC_INS_MULHWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULHWo, PPC_INS_MULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLD, PPC_INS_MULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLDo, PPC_INS_MULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLI, PPC_INS_MULLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLI8, PPC_INS_MULLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLW, PPC_INS_MULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_MULLWo, PPC_INS_MULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NAND, PPC_INS_NAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NAND8, PPC_INS_NAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NAND8o, PPC_INS_NAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NANDo, PPC_INS_NAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NEG, PPC_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NEG8, PPC_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NEG8o, PPC_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NEGo, PPC_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOP, PPC_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOP_GT_PWR6, PPC_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOP_GT_PWR7, PPC_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOR, PPC_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOR8, PPC_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NOR8o, PPC_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_NORo, PPC_INS_NOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_OR, PPC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_OR8, PPC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_OR8o, PPC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORC, PPC_INS_ORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORC8, PPC_INS_ORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORC8o, PPC_INS_ORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORCo, PPC_INS_ORC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORI, PPC_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORI8, PPC_INS_ORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORIS, PPC_INS_ORIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORIS8, PPC_INS_ORIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_ORo, PPC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_POPCNTD, PPC_INS_POPCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_POPCNTW, PPC_INS_POPCNTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RFCI, PPC_INS_RFCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RFDI, PPC_INS_RFDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_E500, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RFI, PPC_INS_RFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RFID, PPC_INS_RFID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RFMCI, PPC_INS_RFMCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_E500, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDCL, PPC_INS_RLDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDCLo, PPC_INS_RLDCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDCR, PPC_INS_RLDCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDCRo, PPC_INS_RLDCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDIC, PPC_INS_RLDIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICL, PPC_INS_RLDICL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICL_32_64, PPC_INS_RLDICL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICLo, PPC_INS_RLDICL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICR, PPC_INS_RLDICR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICRo, PPC_INS_RLDICR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDICo, PPC_INS_RLDIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDIMI, PPC_INS_RLDIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLDIMIo, PPC_INS_RLDIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWIMI, PPC_INS_RLWIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWIMI8, PPC_INS_RLWIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWIMI8o, PPC_INS_RLWIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWIMIo, PPC_INS_RLWIMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWINM, PPC_INS_RLWINM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWINM8, PPC_INS_RLWINM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWINM8o, PPC_INS_RLWINM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWINMo, PPC_INS_RLWINM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWNM, PPC_INS_RLWNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_RLWNMo, PPC_INS_RLWNM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SC, PPC_INS_SC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLBIA, PPC_INS_SLBIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLBIE, PPC_INS_SLBIE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLBMFEE, PPC_INS_SLBMFEE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLBMTE, PPC_INS_SLBMTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLD, PPC_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLDo, PPC_INS_SLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLW, PPC_INS_SLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SLWo, PPC_INS_SLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRAD, PPC_INS_SRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRADI, PPC_INS_SRADI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRADIo, PPC_INS_SRADI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRADo, PPC_INS_SRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRAW, PPC_INS_SRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRAWI, PPC_INS_SRAWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRAWIo, PPC_INS_SRAWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRAWo, PPC_INS_SRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRD, PPC_INS_SRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRDo, PPC_INS_SRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRW, PPC_INS_SRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SRWo, PPC_INS_SRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STB, PPC_INS_STB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STB8, PPC_INS_STB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBU, PPC_INS_STBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBU8, PPC_INS_STBU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBUX, PPC_INS_STBUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBUX8, PPC_INS_STBUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBX, PPC_INS_STBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STBX8, PPC_INS_STBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STD, PPC_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STDBRX, PPC_INS_STDBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STDCX, PPC_INS_STDCX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STDU, PPC_INS_STDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STDUX, PPC_INS_STDUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STDX, PPC_INS_STDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFD, PPC_INS_STFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFDU, PPC_INS_STFDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFDUX, PPC_INS_STFDUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFDX, PPC_INS_STFDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFIWX, PPC_INS_STFIWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFS, PPC_INS_STFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFSU, PPC_INS_STFSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFSUX, PPC_INS_STFSUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STFSX, PPC_INS_STFSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STH, PPC_INS_STH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STH8, PPC_INS_STH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHBRX, PPC_INS_STHBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHU, PPC_INS_STHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHU8, PPC_INS_STHU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHUX, PPC_INS_STHUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHUX8, PPC_INS_STHUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHX, PPC_INS_STHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STHX8, PPC_INS_STHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STMW, PPC_INS_STMW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STSWI, PPC_INS_STSWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STVEBX, PPC_INS_STVEBX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STVEHX, PPC_INS_STVEHX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STVEWX, PPC_INS_STVEWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STVX, PPC_INS_STVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STVXL, PPC_INS_STVXL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STW, PPC_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STW8, PPC_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWBRX, PPC_INS_STWBRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWCX, PPC_INS_STWCX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWU, PPC_INS_STWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWU8, PPC_INS_STWU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWUX, PPC_INS_STWUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWUX8, PPC_INS_STWUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWX, PPC_INS_STWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STWX8, PPC_INS_STWX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STXSDX, PPC_INS_STXSDX,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STXVD2X, PPC_INS_STXVD2X,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_STXVW4X, PPC_INS_STXVW4X,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBF, PPC_INS_SUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBF8, PPC_INS_SUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBF8o, PPC_INS_SUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFC, PPC_INS_SUBFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFC8, PPC_INS_SUBFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFC8o, PPC_INS_SUBFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFCo, PPC_INS_SUBFC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFE, PPC_INS_SUBFE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFE8, PPC_INS_SUBFE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFE8o, PPC_INS_SUBFE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFEo, PPC_INS_SUBFE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFIC, PPC_INS_SUBFIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFIC8, PPC_INS_SUBFIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFME, PPC_INS_SUBFME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFME8, PPC_INS_SUBFME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFME8o, PPC_INS_SUBFME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFMEo, PPC_INS_SUBFME,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFZE, PPC_INS_SUBFZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFZE8, PPC_INS_SUBFZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFZE8o, PPC_INS_SUBFZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFZEo, PPC_INS_SUBFZE,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SUBFo, PPC_INS_SUBF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_SYNC, PPC_INS_SYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_NOTBOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TAILB, PPC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_TAILB8, PPC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_TAILBA, PPC_INS_BA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_TAILBA8, PPC_INS_BA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		PPC_TAILBCTR, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE32, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_TAILBCTR8, PPC_INS_BCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		PPC_TD, PPC_INS_TD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TDI, PPC_INS_TDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBIA, PPC_INS_TLBIA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBIE, PPC_INS_TLBIE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBIEL, PPC_INS_TLBIEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBIVAX, PPC_INS_TLBIVAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBLD, PPC_INS_TLBLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC6XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBLI, PPC_INS_TLBLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC6XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBRE, PPC_INS_TLBRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBRE2, PPC_INS_TLBRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBSX, PPC_INS_TLBSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBSX2, PPC_INS_TLBSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBSX2D, PPC_INS_TLBSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBSYNC, PPC_INS_TLBSYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBWE, PPC_INS_TLBWE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TLBWE2, PPC_INS_TLBWE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TRAP, PPC_INS_TRAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TW, PPC_INS_TW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_TWI, PPC_INS_TWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDCUW, PPC_INS_VADDCUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDFP, PPC_INS_VADDFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDSBS, PPC_INS_VADDSBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDSHS, PPC_INS_VADDSHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDSWS, PPC_INS_VADDSWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUBM, PPC_INS_VADDUBM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUBS, PPC_INS_VADDUBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUHM, PPC_INS_VADDUHM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUHS, PPC_INS_VADDUHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUWM, PPC_INS_VADDUWM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VADDUWS, PPC_INS_VADDUWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAND, PPC_INS_VAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VANDC, PPC_INS_VANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGSB, PPC_INS_VAVGSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGSH, PPC_INS_VAVGSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGSW, PPC_INS_VAVGSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGUB, PPC_INS_VAVGUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGUH, PPC_INS_VAVGUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VAVGUW, PPC_INS_VAVGUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCFSX, PPC_INS_VCFSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCFSX_0, PPC_INS_VCFSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCFUX, PPC_INS_VCFUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCFUX_0, PPC_INS_VCFUX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPBFP, PPC_INS_VCMPBFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPBFPo, PPC_INS_VCMPBFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQFP, PPC_INS_VCMPEQFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQFPo, PPC_INS_VCMPEQFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUB, PPC_INS_VCMPEQUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUBo, PPC_INS_VCMPEQUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUH, PPC_INS_VCMPEQUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUHo, PPC_INS_VCMPEQUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUW, PPC_INS_VCMPEQUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPEQUWo, PPC_INS_VCMPEQUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGEFP, PPC_INS_VCMPGEFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGEFPo, PPC_INS_VCMPGEFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTFP, PPC_INS_VCMPGTFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTFPo, PPC_INS_VCMPGTFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSB, PPC_INS_VCMPGTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSBo, PPC_INS_VCMPGTSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSH, PPC_INS_VCMPGTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSHo, PPC_INS_VCMPGTSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSW, PPC_INS_VCMPGTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTSWo, PPC_INS_VCMPGTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUB, PPC_INS_VCMPGTUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUBo, PPC_INS_VCMPGTUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUH, PPC_INS_VCMPGTUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUHo, PPC_INS_VCMPGTUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUW, PPC_INS_VCMPGTUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCMPGTUWo, PPC_INS_VCMPGTUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCTSXS, PPC_INS_VCTSXS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCTSXS_0, PPC_INS_VCTSXS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCTUXS, PPC_INS_VCTUXS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VCTUXS_0, PPC_INS_VCTUXS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VEXPTEFP, PPC_INS_VEXPTEFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VLOGEFP, PPC_INS_VLOGEFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMADDFP, PPC_INS_VMADDFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXFP, PPC_INS_VMAXFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXSB, PPC_INS_VMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXSH, PPC_INS_VMAXSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXSW, PPC_INS_VMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXUB, PPC_INS_VMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXUH, PPC_INS_VMAXUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMAXUW, PPC_INS_VMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMHADDSHS, PPC_INS_VMHADDSHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMHRADDSHS, PPC_INS_VMHRADDSHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINFP, PPC_INS_VMINFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINSB, PPC_INS_VMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINSH, PPC_INS_VMINSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINSW, PPC_INS_VMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINUB, PPC_INS_VMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINUH, PPC_INS_VMINUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMINUW, PPC_INS_VMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMLADDUHM, PPC_INS_VMLADDUHM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGHB, PPC_INS_VMRGHB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGHH, PPC_INS_VMRGHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGHW, PPC_INS_VMRGHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGLB, PPC_INS_VMRGLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGLH, PPC_INS_VMRGLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMRGLW, PPC_INS_VMRGLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMMBM, PPC_INS_VMSUMMBM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMSHM, PPC_INS_VMSUMSHM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMSHS, PPC_INS_VMSUMSHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMUBM, PPC_INS_VMSUMUBM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMUHM, PPC_INS_VMSUMUHM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMSUMUHS, PPC_INS_VMSUMUHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULESB, PPC_INS_VMULESB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULESH, PPC_INS_VMULESH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULEUB, PPC_INS_VMULEUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULEUH, PPC_INS_VMULEUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULOSB, PPC_INS_VMULOSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULOSH, PPC_INS_VMULOSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULOUB, PPC_INS_VMULOUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VMULOUH, PPC_INS_VMULOUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VNMSUBFP, PPC_INS_VNMSUBFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VNOR, PPC_INS_VNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VOR, PPC_INS_VOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPERM, PPC_INS_VPERM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKPX, PPC_INS_VPKPX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKSHSS, PPC_INS_VPKSHSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKSHUS, PPC_INS_VPKSHUS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKSWSS, PPC_INS_VPKSWSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKSWUS, PPC_INS_VPKSWUS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKUHUM, PPC_INS_VPKUHUM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKUHUS, PPC_INS_VPKUHUS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKUWUM, PPC_INS_VPKUWUM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VPKUWUS, PPC_INS_VPKUWUS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VREFP, PPC_INS_VREFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRFIM, PPC_INS_VRFIM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRFIN, PPC_INS_VRFIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRFIP, PPC_INS_VRFIP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRFIZ, PPC_INS_VRFIZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRLB, PPC_INS_VRLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRLH, PPC_INS_VRLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRLW, PPC_INS_VRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VRSQRTEFP, PPC_INS_VRSQRTEFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSEL, PPC_INS_VSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSL, PPC_INS_VSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSLB, PPC_INS_VSLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSLDOI, PPC_INS_VSLDOI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSLH, PPC_INS_VSLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSLO, PPC_INS_VSLO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSLW, PPC_INS_VSLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTB, PPC_INS_VSPLTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTH, PPC_INS_VSPLTH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTISB, PPC_INS_VSPLTISB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTISH, PPC_INS_VSPLTISH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTISW, PPC_INS_VSPLTISW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSPLTW, PPC_INS_VSPLTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSR, PPC_INS_VSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRAB, PPC_INS_VSRAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRAH, PPC_INS_VSRAH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRAW, PPC_INS_VSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRB, PPC_INS_VSRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRH, PPC_INS_VSRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRO, PPC_INS_VSRO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSRW, PPC_INS_VSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBCUW, PPC_INS_VSUBCUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBFP, PPC_INS_VSUBFP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBSBS, PPC_INS_VSUBSBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBSHS, PPC_INS_VSUBSHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBSWS, PPC_INS_VSUBSWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUBM, PPC_INS_VSUBUBM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUBS, PPC_INS_VSUBUBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUHM, PPC_INS_VSUBUHM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUHS, PPC_INS_VSUBUHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUWM, PPC_INS_VSUBUWM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUBUWS, PPC_INS_VSUBUWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUM2SWS, PPC_INS_VSUM2SWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUM4SBS, PPC_INS_VSUM4SBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUM4SHS, PPC_INS_VSUM4SHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUM4UBS, PPC_INS_VSUM4UBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VSUMSWS, PPC_INS_VSUMSWS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKHPX, PPC_INS_VUPKHPX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKHSB, PPC_INS_VUPKHSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKHSH, PPC_INS_VUPKHSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKLPX, PPC_INS_VUPKLPX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKLSB, PPC_INS_VUPKLSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VUPKLSH, PPC_INS_VUPKLSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_VXOR, PPC_INS_VXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SET0, PPC_INS_VXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SET0B, PPC_INS_VXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SET0H, PPC_INS_VXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SETALLONES, PPC_INS_VSPLTISW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SETALLONESB, PPC_INS_VSPLTISW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_V_SETALLONESH, PPC_INS_VSPLTISW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_WAIT, PPC_INS_WAIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_WRTEE, PPC_INS_WRTEE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_WRTEEI, PPC_INS_WRTEEI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XOR, PPC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XOR8, PPC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XOR8o, PPC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XORI, PPC_INS_XORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XORI8, PPC_INS_XORI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XORIS, PPC_INS_XORIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XORIS8, PPC_INS_XORIS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XORo, PPC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSABSDP, PPC_INS_XSABSDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSADDDP, PPC_INS_XSADDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCMPODP, PPC_INS_XSCMPODP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCMPUDP, PPC_INS_XSCMPUDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCPSGNDP, PPC_INS_XSCPSGNDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVDPSP, PPC_INS_XSCVDPSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVDPSXDS, PPC_INS_XSCVDPSXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVDPSXWS, PPC_INS_XSCVDPSXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVDPUXDS, PPC_INS_XSCVDPUXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVDPUXWS, PPC_INS_XSCVDPUXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVSPDP, PPC_INS_XSCVSPDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVSXDDP, PPC_INS_XSCVSXDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSCVUXDDP, PPC_INS_XSCVUXDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSDIVDP, PPC_INS_XSDIVDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMADDADP, PPC_INS_XSMADDADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMADDMDP, PPC_INS_XSMADDMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMAXDP, PPC_INS_XSMAXDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMINDP, PPC_INS_XSMINDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMSUBADP, PPC_INS_XSMSUBADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMSUBMDP, PPC_INS_XSMSUBMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSMULDP, PPC_INS_XSMULDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNABSDP, PPC_INS_XSNABSDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNEGDP, PPC_INS_XSNEGDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNMADDADP, PPC_INS_XSNMADDADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNMADDMDP, PPC_INS_XSNMADDMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNMSUBADP, PPC_INS_XSNMSUBADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSNMSUBMDP, PPC_INS_XSNMSUBMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRDPI, PPC_INS_XSRDPI,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRDPIC, PPC_INS_XSRDPIC,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRDPIM, PPC_INS_XSRDPIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRDPIP, PPC_INS_XSRDPIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRDPIZ, PPC_INS_XSRDPIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSREDP, PPC_INS_XSREDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSRSQRTEDP, PPC_INS_XSRSQRTEDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSSQRTDP, PPC_INS_XSSQRTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSSUBDP, PPC_INS_XSSUBDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSTDIVDP, PPC_INS_XSTDIVDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XSTSQRTDP, PPC_INS_XSTSQRTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVABSDP, PPC_INS_XVABSDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVABSSP, PPC_INS_XVABSSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVADDDP, PPC_INS_XVADDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVADDSP, PPC_INS_XVADDSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPEQDP, PPC_INS_XVCMPEQDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPEQDPo, PPC_INS_XVCMPEQDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPEQSP, PPC_INS_XVCMPEQSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPEQSPo, PPC_INS_XVCMPEQSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGEDP, PPC_INS_XVCMPGEDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGEDPo, PPC_INS_XVCMPGEDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGESP, PPC_INS_XVCMPGESP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGESPo, PPC_INS_XVCMPGESP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGTDP, PPC_INS_XVCMPGTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGTDPo, PPC_INS_XVCMPGTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGTSP, PPC_INS_XVCMPGTSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCMPGTSPo, PPC_INS_XVCMPGTSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCPSGNDP, PPC_INS_XVCPSGNDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCPSGNSP, PPC_INS_XVCPSGNSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVDPSP, PPC_INS_XVCVDPSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVDPSXDS, PPC_INS_XVCVDPSXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVDPSXWS, PPC_INS_XVCVDPSXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVDPUXDS, PPC_INS_XVCVDPUXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVDPUXWS, PPC_INS_XVCVDPUXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSPDP, PPC_INS_XVCVSPDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSPSXDS, PPC_INS_XVCVSPSXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSPSXWS, PPC_INS_XVCVSPSXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSPUXDS, PPC_INS_XVCVSPUXDS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSPUXWS, PPC_INS_XVCVSPUXWS,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSXDDP, PPC_INS_XVCVSXDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSXDSP, PPC_INS_XVCVSXDSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSXWDP, PPC_INS_XVCVSXWDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVSXWSP, PPC_INS_XVCVSXWSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVUXDDP, PPC_INS_XVCVUXDDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVUXDSP, PPC_INS_XVCVUXDSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVUXWDP, PPC_INS_XVCVUXWDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVCVUXWSP, PPC_INS_XVCVUXWSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVDIVDP, PPC_INS_XVDIVDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVDIVSP, PPC_INS_XVDIVSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMADDADP, PPC_INS_XVMADDADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMADDASP, PPC_INS_XVMADDASP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMADDMDP, PPC_INS_XVMADDMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMADDMSP, PPC_INS_XVMADDMSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMAXDP, PPC_INS_XVMAXDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMAXSP, PPC_INS_XVMAXSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMINDP, PPC_INS_XVMINDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMINSP, PPC_INS_XVMINSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMSUBADP, PPC_INS_XVMSUBADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMSUBASP, PPC_INS_XVMSUBASP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMSUBMDP, PPC_INS_XVMSUBMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMSUBMSP, PPC_INS_XVMSUBMSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMULDP, PPC_INS_XVMULDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVMULSP, PPC_INS_XVMULSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNABSDP, PPC_INS_XVNABSDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNABSSP, PPC_INS_XVNABSSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNEGDP, PPC_INS_XVNEGDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNEGSP, PPC_INS_XVNEGSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMADDADP, PPC_INS_XVNMADDADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMADDASP, PPC_INS_XVNMADDASP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMADDMDP, PPC_INS_XVNMADDMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMADDMSP, PPC_INS_XVNMADDMSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMSUBADP, PPC_INS_XVNMSUBADP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMSUBASP, PPC_INS_XVNMSUBASP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMSUBMDP, PPC_INS_XVNMSUBMDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVNMSUBMSP, PPC_INS_XVNMSUBMSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRDPI, PPC_INS_XVRDPI,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRDPIC, PPC_INS_XVRDPIC,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRDPIM, PPC_INS_XVRDPIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRDPIP, PPC_INS_XVRDPIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRDPIZ, PPC_INS_XVRDPIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVREDP, PPC_INS_XVREDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRESP, PPC_INS_XVRESP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSPI, PPC_INS_XVRSPI,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSPIC, PPC_INS_XVRSPIC,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSPIM, PPC_INS_XVRSPIM,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSPIP, PPC_INS_XVRSPIP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSPIZ, PPC_INS_XVRSPIZ,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSQRTEDP, PPC_INS_XVRSQRTEDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVRSQRTESP, PPC_INS_XVRSQRTESP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVSQRTDP, PPC_INS_XVSQRTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVSQRTSP, PPC_INS_XVSQRTSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVSUBDP, PPC_INS_XVSUBDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVSUBSP, PPC_INS_XVSUBSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVTDIVDP, PPC_INS_XVTDIVDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVTDIVSP, PPC_INS_XVTDIVSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVTSQRTDP, PPC_INS_XVTSQRTDP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XVTSQRTSP, PPC_INS_XVTSQRTSP,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLAND, PPC_INS_XXLAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLANDC, PPC_INS_XXLANDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLNOR, PPC_INS_XXLNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLOR, PPC_INS_XXLOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLORf, PPC_INS_XXLOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXLXOR, PPC_INS_XXLXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXMRGHW, PPC_INS_XXMRGHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXMRGLW, PPC_INS_XXMRGLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXPERMDI, PPC_INS_XXPERMDI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXSEL, PPC_INS_XXSEL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXSLDWI, PPC_INS_XXSLDWI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_XXSPLTW, PPC_INS_XXSPLTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBC, PPC_INS_BC,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCA, PPC_INS_BCA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCCTR, PPC_INS_BCCTR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCCTRL, PPC_INS_BCCTRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCL, PPC_INS_BCL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCLA, PPC_INS_BCLA,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCLR, PPC_INS_BCLR,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		PPC_gBCLRL, PPC_INS_BCLRL,
-#ifndef CAPSTONE_DIET
-		{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
-#endif
-	},
+#include "PPCMappingInsn.inc"
 };
 
 // given internal insn id, return public instruction info
@@ -6909,7 +276,7 @@ void PPC_get_insn_id(cs_struct *h, cs_in
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			if (insns[i].branch || insns[i].indirect_branch) {
 				// this insn also belongs to JUMP group. add JUMP group
@@ -6939,6 +306,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_ANDC, "andc" },
 	{ PPC_INS_ANDIS, "andis" },
 	{ PPC_INS_ANDI, "andi" },
+	{ PPC_INS_ATTN, "attn" },
 	{ PPC_INS_B, "b" },
 	{ PPC_INS_BA, "ba" },
 	{ PPC_INS_BC, "bc" },
@@ -6949,6 +317,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_BCLRL, "bclrl" },
 	{ PPC_INS_BCTR, "bctr" },
 	{ PPC_INS_BCTRL, "bctrl" },
+	{ PPC_INS_BCT, "bct" },
 	{ PPC_INS_BDNZ, "bdnz" },
 	{ PPC_INS_BDNZA, "bdnza" },
 	{ PPC_INS_BDNZL, "bdnzl" },
@@ -6966,6 +335,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_BLR, "blr" },
 	{ PPC_INS_BLRL, "blrl" },
 	{ PPC_INS_BRINC, "brinc" },
+	{ PPC_INS_CMPB, "cmpb" },
 	{ PPC_INS_CMPD, "cmpd" },
 	{ PPC_INS_CMPDI, "cmpdi" },
 	{ PPC_INS_CMPLD, "cmpld" },
@@ -7003,7 +373,6 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_DSTST, "dstst" },
 	{ PPC_INS_DSTSTT, "dststt" },
 	{ PPC_INS_DSTT, "dstt" },
-	{ PPC_INS_EIEIO, "eieio" },
 	{ PPC_INS_EQV, "eqv" },
 	{ PPC_INS_EVABS, "evabs" },
 	{ PPC_INS_EVADDIW, "evaddiw" },
@@ -7179,6 +548,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_EXTSB, "extsb" },
 	{ PPC_INS_EXTSH, "extsh" },
 	{ PPC_INS_EXTSW, "extsw" },
+	{ PPC_INS_EIEIO, "eieio" },
 	{ PPC_INS_FABS, "fabs" },
 	{ PPC_INS_FADD, "fadd" },
 	{ PPC_INS_FADDS, "fadds" },
@@ -7224,17 +594,20 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_FSUB, "fsub" },
 	{ PPC_INS_FSUBS, "fsubs" },
 	{ PPC_INS_ICBI, "icbi" },
+	{ PPC_INS_ICBT, "icbt" },
 	{ PPC_INS_ICCCI, "iccci" },
 	{ PPC_INS_ISEL, "isel" },
 	{ PPC_INS_ISYNC, "isync" },
 	{ PPC_INS_LA, "la" },
 	{ PPC_INS_LBZ, "lbz" },
+	{ PPC_INS_LBZCIX, "lbzcix" },
 	{ PPC_INS_LBZU, "lbzu" },
 	{ PPC_INS_LBZUX, "lbzux" },
 	{ PPC_INS_LBZX, "lbzx" },
 	{ PPC_INS_LD, "ld" },
 	{ PPC_INS_LDARX, "ldarx" },
 	{ PPC_INS_LDBRX, "ldbrx" },
+	{ PPC_INS_LDCIX, "ldcix" },
 	{ PPC_INS_LDU, "ldu" },
 	{ PPC_INS_LDUX, "ldux" },
 	{ PPC_INS_LDX, "ldx" },
@@ -7254,6 +627,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_LHAX, "lhax" },
 	{ PPC_INS_LHBRX, "lhbrx" },
 	{ PPC_INS_LHZ, "lhz" },
+	{ PPC_INS_LHZCIX, "lhzcix" },
 	{ PPC_INS_LHZU, "lhzu" },
 	{ PPC_INS_LHZUX, "lhzux" },
 	{ PPC_INS_LHZX, "lhzx" },
@@ -7274,6 +648,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_LWAX, "lwax" },
 	{ PPC_INS_LWBRX, "lwbrx" },
 	{ PPC_INS_LWZ, "lwz" },
+	{ PPC_INS_LWZCIX, "lwzcix" },
 	{ PPC_INS_LWZU, "lwzu" },
 	{ PPC_INS_LWZUX, "lwzux" },
 	{ PPC_INS_LWZX, "lwzx" },
@@ -7283,6 +658,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_LXVW4X, "lxvw4x" },
 	{ PPC_INS_MBAR, "mbar" },
 	{ PPC_INS_MCRF, "mcrf" },
+	{ PPC_INS_MCRFS, "mcrfs" },
 	{ PPC_INS_MFCR, "mfcr" },
 	{ PPC_INS_MFCTR, "mfctr" },
 	{ PPC_INS_MFDCR, "mfdcr" },
@@ -7302,6 +678,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_MTFSB0, "mtfsb0" },
 	{ PPC_INS_MTFSB1, "mtfsb1" },
 	{ PPC_INS_MTFSF, "mtfsf" },
+	{ PPC_INS_MTFSFI, "mtfsfi" },
 	{ PPC_INS_MTLR, "mtlr" },
 	{ PPC_INS_MTMSR, "mtmsr" },
 	{ PPC_INS_MTMSRD, "mtmsrd" },
@@ -7327,6 +704,124 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_ORIS, "oris" },
 	{ PPC_INS_POPCNTD, "popcntd" },
 	{ PPC_INS_POPCNTW, "popcntw" },
+	{ PPC_INS_QVALIGNI, "qvaligni" },
+	{ PPC_INS_QVESPLATI, "qvesplati" },
+	{ PPC_INS_QVFABS, "qvfabs" },
+	{ PPC_INS_QVFADD, "qvfadd" },
+	{ PPC_INS_QVFADDS, "qvfadds" },
+	{ PPC_INS_QVFCFID, "qvfcfid" },
+	{ PPC_INS_QVFCFIDS, "qvfcfids" },
+	{ PPC_INS_QVFCFIDU, "qvfcfidu" },
+	{ PPC_INS_QVFCFIDUS, "qvfcfidus" },
+	{ PPC_INS_QVFCMPEQ, "qvfcmpeq" },
+	{ PPC_INS_QVFCMPGT, "qvfcmpgt" },
+	{ PPC_INS_QVFCMPLT, "qvfcmplt" },
+	{ PPC_INS_QVFCPSGN, "qvfcpsgn" },
+	{ PPC_INS_QVFCTID, "qvfctid" },
+	{ PPC_INS_QVFCTIDU, "qvfctidu" },
+	{ PPC_INS_QVFCTIDUZ, "qvfctiduz" },
+	{ PPC_INS_QVFCTIDZ, "qvfctidz" },
+	{ PPC_INS_QVFCTIW, "qvfctiw" },
+	{ PPC_INS_QVFCTIWU, "qvfctiwu" },
+	{ PPC_INS_QVFCTIWUZ, "qvfctiwuz" },
+	{ PPC_INS_QVFCTIWZ, "qvfctiwz" },
+	{ PPC_INS_QVFLOGICAL, "qvflogical" },
+	{ PPC_INS_QVFMADD, "qvfmadd" },
+	{ PPC_INS_QVFMADDS, "qvfmadds" },
+	{ PPC_INS_QVFMR, "qvfmr" },
+	{ PPC_INS_QVFMSUB, "qvfmsub" },
+	{ PPC_INS_QVFMSUBS, "qvfmsubs" },
+	{ PPC_INS_QVFMUL, "qvfmul" },
+	{ PPC_INS_QVFMULS, "qvfmuls" },
+	{ PPC_INS_QVFNABS, "qvfnabs" },
+	{ PPC_INS_QVFNEG, "qvfneg" },
+	{ PPC_INS_QVFNMADD, "qvfnmadd" },
+	{ PPC_INS_QVFNMADDS, "qvfnmadds" },
+	{ PPC_INS_QVFNMSUB, "qvfnmsub" },
+	{ PPC_INS_QVFNMSUBS, "qvfnmsubs" },
+	{ PPC_INS_QVFPERM, "qvfperm" },
+	{ PPC_INS_QVFRE, "qvfre" },
+	{ PPC_INS_QVFRES, "qvfres" },
+	{ PPC_INS_QVFRIM, "qvfrim" },
+	{ PPC_INS_QVFRIN, "qvfrin" },
+	{ PPC_INS_QVFRIP, "qvfrip" },
+	{ PPC_INS_QVFRIZ, "qvfriz" },
+	{ PPC_INS_QVFRSP, "qvfrsp" },
+	{ PPC_INS_QVFRSQRTE, "qvfrsqrte" },
+	{ PPC_INS_QVFRSQRTES, "qvfrsqrtes" },
+	{ PPC_INS_QVFSEL, "qvfsel" },
+	{ PPC_INS_QVFSUB, "qvfsub" },
+	{ PPC_INS_QVFSUBS, "qvfsubs" },
+	{ PPC_INS_QVFTSTNAN, "qvftstnan" },
+	{ PPC_INS_QVFXMADD, "qvfxmadd" },
+	{ PPC_INS_QVFXMADDS, "qvfxmadds" },
+	{ PPC_INS_QVFXMUL, "qvfxmul" },
+	{ PPC_INS_QVFXMULS, "qvfxmuls" },
+	{ PPC_INS_QVFXXCPNMADD, "qvfxxcpnmadd" },
+	{ PPC_INS_QVFXXCPNMADDS, "qvfxxcpnmadds" },
+	{ PPC_INS_QVFXXMADD, "qvfxxmadd" },
+	{ PPC_INS_QVFXXMADDS, "qvfxxmadds" },
+	{ PPC_INS_QVFXXNPMADD, "qvfxxnpmadd" },
+	{ PPC_INS_QVFXXNPMADDS, "qvfxxnpmadds" },
+	{ PPC_INS_QVGPCI, "qvgpci" },
+	{ PPC_INS_QVLFCDUX, "qvlfcdux" },
+	{ PPC_INS_QVLFCDUXA, "qvlfcduxa" },
+	{ PPC_INS_QVLFCDX, "qvlfcdx" },
+	{ PPC_INS_QVLFCDXA, "qvlfcdxa" },
+	{ PPC_INS_QVLFCSUX, "qvlfcsux" },
+	{ PPC_INS_QVLFCSUXA, "qvlfcsuxa" },
+	{ PPC_INS_QVLFCSX, "qvlfcsx" },
+	{ PPC_INS_QVLFCSXA, "qvlfcsxa" },
+	{ PPC_INS_QVLFDUX, "qvlfdux" },
+	{ PPC_INS_QVLFDUXA, "qvlfduxa" },
+	{ PPC_INS_QVLFDX, "qvlfdx" },
+	{ PPC_INS_QVLFDXA, "qvlfdxa" },
+	{ PPC_INS_QVLFIWAX, "qvlfiwax" },
+	{ PPC_INS_QVLFIWAXA, "qvlfiwaxa" },
+	{ PPC_INS_QVLFIWZX, "qvlfiwzx" },
+	{ PPC_INS_QVLFIWZXA, "qvlfiwzxa" },
+	{ PPC_INS_QVLFSUX, "qvlfsux" },
+	{ PPC_INS_QVLFSUXA, "qvlfsuxa" },
+	{ PPC_INS_QVLFSX, "qvlfsx" },
+	{ PPC_INS_QVLFSXA, "qvlfsxa" },
+	{ PPC_INS_QVLPCLDX, "qvlpcldx" },
+	{ PPC_INS_QVLPCLSX, "qvlpclsx" },
+	{ PPC_INS_QVLPCRDX, "qvlpcrdx" },
+	{ PPC_INS_QVLPCRSX, "qvlpcrsx" },
+	{ PPC_INS_QVSTFCDUX, "qvstfcdux" },
+	{ PPC_INS_QVSTFCDUXA, "qvstfcduxa" },
+	{ PPC_INS_QVSTFCDUXI, "qvstfcduxi" },
+	{ PPC_INS_QVSTFCDUXIA, "qvstfcduxia" },
+	{ PPC_INS_QVSTFCDX, "qvstfcdx" },
+	{ PPC_INS_QVSTFCDXA, "qvstfcdxa" },
+	{ PPC_INS_QVSTFCDXI, "qvstfcdxi" },
+	{ PPC_INS_QVSTFCDXIA, "qvstfcdxia" },
+	{ PPC_INS_QVSTFCSUX, "qvstfcsux" },
+	{ PPC_INS_QVSTFCSUXA, "qvstfcsuxa" },
+	{ PPC_INS_QVSTFCSUXI, "qvstfcsuxi" },
+	{ PPC_INS_QVSTFCSUXIA, "qvstfcsuxia" },
+	{ PPC_INS_QVSTFCSX, "qvstfcsx" },
+	{ PPC_INS_QVSTFCSXA, "qvstfcsxa" },
+	{ PPC_INS_QVSTFCSXI, "qvstfcsxi" },
+	{ PPC_INS_QVSTFCSXIA, "qvstfcsxia" },
+	{ PPC_INS_QVSTFDUX, "qvstfdux" },
+	{ PPC_INS_QVSTFDUXA, "qvstfduxa" },
+	{ PPC_INS_QVSTFDUXI, "qvstfduxi" },
+	{ PPC_INS_QVSTFDUXIA, "qvstfduxia" },
+	{ PPC_INS_QVSTFDX, "qvstfdx" },
+	{ PPC_INS_QVSTFDXA, "qvstfdxa" },
+	{ PPC_INS_QVSTFDXI, "qvstfdxi" },
+	{ PPC_INS_QVSTFDXIA, "qvstfdxia" },
+	{ PPC_INS_QVSTFIWX, "qvstfiwx" },
+	{ PPC_INS_QVSTFIWXA, "qvstfiwxa" },
+	{ PPC_INS_QVSTFSUX, "qvstfsux" },
+	{ PPC_INS_QVSTFSUXA, "qvstfsuxa" },
+	{ PPC_INS_QVSTFSUXI, "qvstfsuxi" },
+	{ PPC_INS_QVSTFSUXIA, "qvstfsuxia" },
+	{ PPC_INS_QVSTFSX, "qvstfsx" },
+	{ PPC_INS_QVSTFSXA, "qvstfsxa" },
+	{ PPC_INS_QVSTFSXI, "qvstfsxi" },
+	{ PPC_INS_QVSTFSXIA, "qvstfsxia" },
 	{ PPC_INS_RFCI, "rfci" },
 	{ PPC_INS_RFDI, "rfdi" },
 	{ PPC_INS_RFI, "rfi" },
@@ -7355,11 +850,13 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_SRD, "srd" },
 	{ PPC_INS_SRW, "srw" },
 	{ PPC_INS_STB, "stb" },
+	{ PPC_INS_STBCIX, "stbcix" },
 	{ PPC_INS_STBU, "stbu" },
 	{ PPC_INS_STBUX, "stbux" },
 	{ PPC_INS_STBX, "stbx" },
 	{ PPC_INS_STD, "std" },
 	{ PPC_INS_STDBRX, "stdbrx" },
+	{ PPC_INS_STDCIX, "stdcix" },
 	{ PPC_INS_STDCX, "stdcx" },
 	{ PPC_INS_STDU, "stdu" },
 	{ PPC_INS_STDUX, "stdux" },
@@ -7375,6 +872,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_STFSX, "stfsx" },
 	{ PPC_INS_STH, "sth" },
 	{ PPC_INS_STHBRX, "sthbrx" },
+	{ PPC_INS_STHCIX, "sthcix" },
 	{ PPC_INS_STHU, "sthu" },
 	{ PPC_INS_STHUX, "sthux" },
 	{ PPC_INS_STHX, "sthx" },
@@ -7387,6 +885,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_STVXL, "stvxl" },
 	{ PPC_INS_STW, "stw" },
 	{ PPC_INS_STWBRX, "stwbrx" },
+	{ PPC_INS_STWCIX, "stwcix" },
 	{ PPC_INS_STWCX, "stwcx" },
 	{ PPC_INS_STWU, "stwu" },
 	{ PPC_INS_STWUX, "stwux" },
@@ -7423,6 +922,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VADDSWS, "vaddsws" },
 	{ PPC_INS_VADDUBM, "vaddubm" },
 	{ PPC_INS_VADDUBS, "vaddubs" },
+	{ PPC_INS_VADDUDM, "vaddudm" },
 	{ PPC_INS_VADDUHM, "vadduhm" },
 	{ PPC_INS_VADDUHS, "vadduhs" },
 	{ PPC_INS_VADDUWM, "vadduwm" },
@@ -7437,35 +937,47 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VAVGUW, "vavguw" },
 	{ PPC_INS_VCFSX, "vcfsx" },
 	{ PPC_INS_VCFUX, "vcfux" },
+	{ PPC_INS_VCLZB, "vclzb" },
+	{ PPC_INS_VCLZD, "vclzd" },
+	{ PPC_INS_VCLZH, "vclzh" },
+	{ PPC_INS_VCLZW, "vclzw" },
 	{ PPC_INS_VCMPBFP, "vcmpbfp" },
 	{ PPC_INS_VCMPEQFP, "vcmpeqfp" },
 	{ PPC_INS_VCMPEQUB, "vcmpequb" },
+	{ PPC_INS_VCMPEQUD, "vcmpequd" },
 	{ PPC_INS_VCMPEQUH, "vcmpequh" },
 	{ PPC_INS_VCMPEQUW, "vcmpequw" },
 	{ PPC_INS_VCMPGEFP, "vcmpgefp" },
 	{ PPC_INS_VCMPGTFP, "vcmpgtfp" },
 	{ PPC_INS_VCMPGTSB, "vcmpgtsb" },
+	{ PPC_INS_VCMPGTSD, "vcmpgtsd" },
 	{ PPC_INS_VCMPGTSH, "vcmpgtsh" },
 	{ PPC_INS_VCMPGTSW, "vcmpgtsw" },
 	{ PPC_INS_VCMPGTUB, "vcmpgtub" },
+	{ PPC_INS_VCMPGTUD, "vcmpgtud" },
 	{ PPC_INS_VCMPGTUH, "vcmpgtuh" },
 	{ PPC_INS_VCMPGTUW, "vcmpgtuw" },
 	{ PPC_INS_VCTSXS, "vctsxs" },
 	{ PPC_INS_VCTUXS, "vctuxs" },
+	{ PPC_INS_VEQV, "veqv" },
 	{ PPC_INS_VEXPTEFP, "vexptefp" },
 	{ PPC_INS_VLOGEFP, "vlogefp" },
 	{ PPC_INS_VMADDFP, "vmaddfp" },
 	{ PPC_INS_VMAXFP, "vmaxfp" },
 	{ PPC_INS_VMAXSB, "vmaxsb" },
+	{ PPC_INS_VMAXSD, "vmaxsd" },
 	{ PPC_INS_VMAXSH, "vmaxsh" },
 	{ PPC_INS_VMAXSW, "vmaxsw" },
 	{ PPC_INS_VMAXUB, "vmaxub" },
+	{ PPC_INS_VMAXUD, "vmaxud" },
 	{ PPC_INS_VMAXUH, "vmaxuh" },
 	{ PPC_INS_VMAXUW, "vmaxuw" },
 	{ PPC_INS_VMHADDSHS, "vmhaddshs" },
 	{ PPC_INS_VMHRADDSHS, "vmhraddshs" },
+	{ PPC_INS_VMINUD, "vminud" },
 	{ PPC_INS_VMINFP, "vminfp" },
 	{ PPC_INS_VMINSB, "vminsb" },
+	{ PPC_INS_VMINSD, "vminsd" },
 	{ PPC_INS_VMINSH, "vminsh" },
 	{ PPC_INS_VMINSW, "vminsw" },
 	{ PPC_INS_VMINUB, "vminub" },
@@ -7486,15 +998,22 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VMSUMUHS, "vmsumuhs" },
 	{ PPC_INS_VMULESB, "vmulesb" },
 	{ PPC_INS_VMULESH, "vmulesh" },
+	{ PPC_INS_VMULESW, "vmulesw" },
 	{ PPC_INS_VMULEUB, "vmuleub" },
 	{ PPC_INS_VMULEUH, "vmuleuh" },
+	{ PPC_INS_VMULEUW, "vmuleuw" },
 	{ PPC_INS_VMULOSB, "vmulosb" },
 	{ PPC_INS_VMULOSH, "vmulosh" },
+	{ PPC_INS_VMULOSW, "vmulosw" },
 	{ PPC_INS_VMULOUB, "vmuloub" },
 	{ PPC_INS_VMULOUH, "vmulouh" },
+	{ PPC_INS_VMULOUW, "vmulouw" },
+	{ PPC_INS_VMULUWM, "vmuluwm" },
+	{ PPC_INS_VNAND, "vnand" },
 	{ PPC_INS_VNMSUBFP, "vnmsubfp" },
 	{ PPC_INS_VNOR, "vnor" },
 	{ PPC_INS_VOR, "vor" },
+	{ PPC_INS_VORC, "vorc" },
 	{ PPC_INS_VPERM, "vperm" },
 	{ PPC_INS_VPKPX, "vpkpx" },
 	{ PPC_INS_VPKSHSS, "vpkshss" },
@@ -7505,18 +1024,24 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VPKUHUS, "vpkuhus" },
 	{ PPC_INS_VPKUWUM, "vpkuwum" },
 	{ PPC_INS_VPKUWUS, "vpkuwus" },
+	{ PPC_INS_VPOPCNTB, "vpopcntb" },
+	{ PPC_INS_VPOPCNTD, "vpopcntd" },
+	{ PPC_INS_VPOPCNTH, "vpopcnth" },
+	{ PPC_INS_VPOPCNTW, "vpopcntw" },
 	{ PPC_INS_VREFP, "vrefp" },
 	{ PPC_INS_VRFIM, "vrfim" },
 	{ PPC_INS_VRFIN, "vrfin" },
 	{ PPC_INS_VRFIP, "vrfip" },
 	{ PPC_INS_VRFIZ, "vrfiz" },
 	{ PPC_INS_VRLB, "vrlb" },
+	{ PPC_INS_VRLD, "vrld" },
 	{ PPC_INS_VRLH, "vrlh" },
 	{ PPC_INS_VRLW, "vrlw" },
 	{ PPC_INS_VRSQRTEFP, "vrsqrtefp" },
 	{ PPC_INS_VSEL, "vsel" },
 	{ PPC_INS_VSL, "vsl" },
 	{ PPC_INS_VSLB, "vslb" },
+	{ PPC_INS_VSLD, "vsld" },
 	{ PPC_INS_VSLDOI, "vsldoi" },
 	{ PPC_INS_VSLH, "vslh" },
 	{ PPC_INS_VSLO, "vslo" },
@@ -7529,9 +1054,11 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VSPLTW, "vspltw" },
 	{ PPC_INS_VSR, "vsr" },
 	{ PPC_INS_VSRAB, "vsrab" },
+	{ PPC_INS_VSRAD, "vsrad" },
 	{ PPC_INS_VSRAH, "vsrah" },
 	{ PPC_INS_VSRAW, "vsraw" },
 	{ PPC_INS_VSRB, "vsrb" },
+	{ PPC_INS_VSRD, "vsrd" },
 	{ PPC_INS_VSRH, "vsrh" },
 	{ PPC_INS_VSRO, "vsro" },
 	{ PPC_INS_VSRW, "vsrw" },
@@ -7542,6 +1069,7 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_VSUBSWS, "vsubsws" },
 	{ PPC_INS_VSUBUBM, "vsububm" },
 	{ PPC_INS_VSUBUBS, "vsububs" },
+	{ PPC_INS_VSUBUDM, "vsubudm" },
 	{ PPC_INS_VSUBUHM, "vsubuhm" },
 	{ PPC_INS_VSUBUHS, "vsubuhs" },
 	{ PPC_INS_VSUBUWM, "vsubuwm" },
@@ -7684,8 +1212,11 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_XVTSQRTSP, "xvtsqrtsp" },
 	{ PPC_INS_XXLAND, "xxland" },
 	{ PPC_INS_XXLANDC, "xxlandc" },
+	{ PPC_INS_XXLEQV, "xxleqv" },
+	{ PPC_INS_XXLNAND, "xxlnand" },
 	{ PPC_INS_XXLNOR, "xxlnor" },
 	{ PPC_INS_XXLOR, "xxlor" },
+	{ PPC_INS_XXLORC, "xxlorc" },
 	{ PPC_INS_XXLXOR, "xxlxor" },
 	{ PPC_INS_XXMRGHW, "xxmrghw" },
 	{ PPC_INS_XXMRGLW, "xxmrglw" },
@@ -7862,6 +1393,20 @@ static const name_map insn_name_maps[] =
 	{ PPC_INS_BDNZFLRL, "bdnzflrl" },
 	{ PPC_INS_BDZTLRL, "bdztlrl" },
 	{ PPC_INS_BDZFLRL, "bdzflrl" },
+
+	// QPX
+	{ PPC_INS_QVFAND, "qvfand" },
+	{ PPC_INS_QVFCLR, "qvfclr" },
+	{ PPC_INS_QVFANDC, "qvfandc" },
+	{ PPC_INS_QVFCTFB, "qvfctfb" },
+	{ PPC_INS_QVFXOR, "qvfxor" },
+	{ PPC_INS_QVFOR, "qvfor" },
+	{ PPC_INS_QVFNOR, "qvfnor" },
+	{ PPC_INS_QVFEQU, "qvfequ" },
+	{ PPC_INS_QVFNOT, "qvfnot" },
+	{ PPC_INS_QVFORC, "qvforc" },
+	{ PPC_INS_QVFNAND, "qvfnand" },
+	{ PPC_INS_QVFSET, "qvfset" },
 };
 
 // special alias insn
@@ -7890,6 +1435,20 @@ const char *PPC_insn_name(csh handle, un
 #endif
 }
 
+// map instruction name to public instruction ID
+ppc_insn PPC_map_insn(const char *name)
+{
+	unsigned int i;
+
+	for(i = 1; i < ARR_SIZE(insn_name_maps); i++) {
+		if (!strcmp(name, insn_name_maps[i].name))
+			return i;
+	}
+
+	// not found
+	return PPC_INS_INVALID;
+}
+
 #ifndef CAPSTONE_DIET
 static const name_map group_name_maps[] = {
 	// generic groups
@@ -7907,21 +1466,17 @@ static const name_map group_name_maps[]
 	{ PPC_GRP_E500, "e500" },
 	{ PPC_GRP_PPC4XX, "ppc4xx" },
 	{ PPC_GRP_PPC6XX, "ppc6xx" },
+	{ PPC_GRP_ICBT, "icbt" },
+	{ PPC_GRP_P8ALTIVEC, "p8altivec" },
+	{ PPC_GRP_P8VECTOR, "p8vector" },
+	{ PPC_GRP_QPX, "qpx" },
 };
 #endif
 
 const char *PPC_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= PPC_GRP_ENDING || (id > PPC_GRP_JUMP && id < PPC_GRP_ALTIVEC))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
@@ -7930,63 +1485,69 @@ const char *PPC_group_name(csh handle, u
 // map internal raw register to 'public' register
 ppc_reg PPC_map_register(unsigned int r)
 {
-	static const unsigned int map[] = { 0,
-		0, PPC_REG_CARRY, PPC_REG_CC, PPC_REG_CTR, 0,
-		PPC_REG_LR, 0, PPC_REG_VRSAVE, PPC_REG_R0, 0,
-		PPC_REG_CR0, PPC_REG_CR1, PPC_REG_CR2, PPC_REG_CR3, PPC_REG_CR4,
-		PPC_REG_CR5, PPC_REG_CR6, PPC_REG_CR7, PPC_REG_CTR, PPC_REG_F0,
-		PPC_REG_F1, PPC_REG_F2, PPC_REG_F3, PPC_REG_F4, PPC_REG_F5,
-		PPC_REG_F6, PPC_REG_F7, PPC_REG_F8, PPC_REG_F9, PPC_REG_F10,
-		PPC_REG_F11, PPC_REG_F12, PPC_REG_F13, PPC_REG_F14, PPC_REG_F15,
-		PPC_REG_F16, PPC_REG_F17, PPC_REG_F18, PPC_REG_F19, PPC_REG_F20,
-		PPC_REG_F21, PPC_REG_F22, PPC_REG_F23, PPC_REG_F24, PPC_REG_F25,
-		PPC_REG_F26, PPC_REG_F27, PPC_REG_F28, PPC_REG_F29, PPC_REG_F30,
-		PPC_REG_F31, 0, PPC_REG_LR, PPC_REG_R0, PPC_REG_R1,
-		PPC_REG_R2, PPC_REG_R3, PPC_REG_R4, PPC_REG_R5, PPC_REG_R6,
-		PPC_REG_R7, PPC_REG_R8, PPC_REG_R9, PPC_REG_R10, PPC_REG_R11,
-		PPC_REG_R12, PPC_REG_R13, PPC_REG_R14, PPC_REG_R15, PPC_REG_R16,
-		PPC_REG_R17, PPC_REG_R18, PPC_REG_R19, PPC_REG_R20, PPC_REG_R21,
-		PPC_REG_R22, PPC_REG_R23, PPC_REG_R24, PPC_REG_R25, PPC_REG_R26,
-		PPC_REG_R27, PPC_REG_R28, PPC_REG_R29, PPC_REG_R30, PPC_REG_R31,
-		PPC_REG_V0, PPC_REG_V1, PPC_REG_V2, PPC_REG_V3, PPC_REG_V4,
-		PPC_REG_V5, PPC_REG_V6, PPC_REG_V7, PPC_REG_V8, PPC_REG_V9,
-		PPC_REG_V10, PPC_REG_V11, PPC_REG_V12, PPC_REG_V13, PPC_REG_V14,
-		PPC_REG_V15, PPC_REG_V16, PPC_REG_V17, PPC_REG_V18, PPC_REG_V19,
-		PPC_REG_V20, PPC_REG_V21, PPC_REG_V22, PPC_REG_V23, PPC_REG_V24,
-		PPC_REG_V25, PPC_REG_V26, PPC_REG_V27, PPC_REG_V28, PPC_REG_V29,
-		PPC_REG_V30, PPC_REG_V31, PPC_REG_VS32, PPC_REG_VS33, PPC_REG_VS34,
-		PPC_REG_VS35, PPC_REG_VS36, PPC_REG_VS37, PPC_REG_VS38, PPC_REG_VS39,
-		PPC_REG_VS40, PPC_REG_VS41, PPC_REG_VS42, PPC_REG_VS43, PPC_REG_VS44,
-		PPC_REG_VS45, PPC_REG_VS46, PPC_REG_VS47, PPC_REG_VS48, PPC_REG_VS49,
-		PPC_REG_VS50, PPC_REG_VS51, PPC_REG_VS52, PPC_REG_VS53, PPC_REG_VS54,
-		PPC_REG_VS55, PPC_REG_VS56, PPC_REG_VS57, PPC_REG_VS58, PPC_REG_VS59,
-		PPC_REG_VS60, PPC_REG_VS61, PPC_REG_VS62, PPC_REG_VS63, PPC_REG_VS32,
-		PPC_REG_VS33, PPC_REG_VS34, PPC_REG_VS35, PPC_REG_VS36, PPC_REG_VS37,
-		PPC_REG_VS38, PPC_REG_VS39, PPC_REG_VS40, PPC_REG_VS41, PPC_REG_VS42,
-		PPC_REG_VS43, PPC_REG_VS44, PPC_REG_VS45, PPC_REG_VS46, PPC_REG_VS47,
-		PPC_REG_VS48, PPC_REG_VS49, PPC_REG_VS50, PPC_REG_VS51, PPC_REG_VS52,
-		PPC_REG_VS53, PPC_REG_VS54, PPC_REG_VS55, PPC_REG_VS56, PPC_REG_VS57,
-		PPC_REG_VS58, PPC_REG_VS59, PPC_REG_VS60, PPC_REG_VS61, PPC_REG_VS62,
-		PPC_REG_VS63, PPC_REG_VS0, PPC_REG_VS1, PPC_REG_VS2, PPC_REG_VS3,
-		PPC_REG_VS4, PPC_REG_VS5, PPC_REG_VS6, PPC_REG_VS7, PPC_REG_VS8,
-		PPC_REG_VS9, PPC_REG_VS10, PPC_REG_VS11, PPC_REG_VS12, PPC_REG_VS13,
-		PPC_REG_VS14, PPC_REG_VS15, PPC_REG_VS16, PPC_REG_VS17, PPC_REG_VS18,
-		PPC_REG_VS19, PPC_REG_VS20, PPC_REG_VS21, PPC_REG_VS22, PPC_REG_VS23,
-		PPC_REG_VS24, PPC_REG_VS25, PPC_REG_VS26, PPC_REG_VS27, PPC_REG_VS28,
-		PPC_REG_VS29, PPC_REG_VS30, PPC_REG_VS31, PPC_REG_R0, PPC_REG_R1,
-		PPC_REG_R2, PPC_REG_R3, PPC_REG_R4, PPC_REG_R5, PPC_REG_R6,
-		PPC_REG_R7, PPC_REG_R8, PPC_REG_R9, PPC_REG_R10, PPC_REG_R11,
-		PPC_REG_R12, PPC_REG_R13, PPC_REG_R14, PPC_REG_R15, PPC_REG_R16,
-		PPC_REG_R17, PPC_REG_R18, PPC_REG_R19, PPC_REG_R20, PPC_REG_R21,
-		PPC_REG_R22, PPC_REG_R23, PPC_REG_R24, PPC_REG_R25, PPC_REG_R26,
-		PPC_REG_R27, PPC_REG_R28, PPC_REG_R29, PPC_REG_R30, PPC_REG_R31,
-		PPC_REG_R0, PPC_REG_R2, PPC_REG_R6, PPC_REG_R10, PPC_REG_R14,
-		PPC_REG_R18, PPC_REG_R22, PPC_REG_R26, PPC_REG_R30, PPC_REG_R1,
-		PPC_REG_R5, PPC_REG_R9, PPC_REG_R13, PPC_REG_R17, PPC_REG_R21,
-		PPC_REG_R25, PPC_REG_R29, PPC_REG_R0, PPC_REG_R4, PPC_REG_R8,
-		PPC_REG_R12, PPC_REG_R16, PPC_REG_R20, PPC_REG_R24, PPC_REG_R28,
-		PPC_REG_R3, PPC_REG_R7, PPC_REG_R11, PPC_REG_R15, PPC_REG_R19,
-		PPC_REG_R23, PPC_REG_R27, PPC_REG_R31, };
+	static unsigned int map[] = { 0,
+		0, PPC_REG_CARRY, PPC_REG_CTR, 0, PPC_REG_LR,
+		0, PPC_REG_VRSAVE, PPC_REG_R0, 0, PPC_REG_CR0,
+		PPC_REG_CR1, PPC_REG_CR2, PPC_REG_CR3, PPC_REG_CR4, PPC_REG_CR5,
+		PPC_REG_CR6, PPC_REG_CR7, PPC_REG_CTR, PPC_REG_F0, PPC_REG_F1,
+		PPC_REG_F2, PPC_REG_F3, PPC_REG_F4, PPC_REG_F5, PPC_REG_F6,
+		PPC_REG_F7, PPC_REG_F8, PPC_REG_F9, PPC_REG_F10, PPC_REG_F11,
+		PPC_REG_F12, PPC_REG_F13, PPC_REG_F14, PPC_REG_F15, PPC_REG_F16,
+		PPC_REG_F17, PPC_REG_F18, PPC_REG_F19, PPC_REG_F20, PPC_REG_F21,
+		PPC_REG_F22, PPC_REG_F23, PPC_REG_F24, PPC_REG_F25, PPC_REG_F26,
+		PPC_REG_F27, PPC_REG_F28, PPC_REG_F29, PPC_REG_F30, PPC_REG_F31,
+		0, PPC_REG_LR, PPC_REG_Q0, PPC_REG_Q1, PPC_REG_Q2,
+		PPC_REG_Q3, PPC_REG_Q4, PPC_REG_Q5, PPC_REG_Q6, PPC_REG_Q7,
+		PPC_REG_Q8, PPC_REG_Q9, PPC_REG_Q10, PPC_REG_Q11, PPC_REG_Q12,
+		PPC_REG_Q13, PPC_REG_Q14, PPC_REG_Q15, PPC_REG_Q16, PPC_REG_Q17,
+		PPC_REG_Q18, PPC_REG_Q19, PPC_REG_Q20, PPC_REG_Q21, PPC_REG_Q22,
+		PPC_REG_Q23, PPC_REG_Q24, PPC_REG_Q25, PPC_REG_Q26, PPC_REG_Q27,
+		PPC_REG_Q28, PPC_REG_Q29, PPC_REG_Q30, PPC_REG_Q31, PPC_REG_R0,
+		PPC_REG_R1, PPC_REG_R2, PPC_REG_R3, PPC_REG_R4, PPC_REG_R5,
+		PPC_REG_R6, PPC_REG_R7, PPC_REG_R8, PPC_REG_R9, PPC_REG_R10,
+		PPC_REG_R11, PPC_REG_R12, PPC_REG_R13, PPC_REG_R14, PPC_REG_R15,
+		PPC_REG_R16, PPC_REG_R17, PPC_REG_R18, PPC_REG_R19, PPC_REG_R20,
+		PPC_REG_R21, PPC_REG_R22, PPC_REG_R23, PPC_REG_R24, PPC_REG_R25,
+		PPC_REG_R26, PPC_REG_R27, PPC_REG_R28, PPC_REG_R29, PPC_REG_R30,
+		PPC_REG_R31, PPC_REG_V0, PPC_REG_V1, PPC_REG_V2, PPC_REG_V3,
+		PPC_REG_V4, PPC_REG_V5, PPC_REG_V6, PPC_REG_V7, PPC_REG_V8,
+		PPC_REG_V9, PPC_REG_V10, PPC_REG_V11, PPC_REG_V12, PPC_REG_V13,
+		PPC_REG_V14, PPC_REG_V15, PPC_REG_V16, PPC_REG_V17, PPC_REG_V18,
+		PPC_REG_V19, PPC_REG_V20, PPC_REG_V21, PPC_REG_V22, PPC_REG_V23,
+		PPC_REG_V24, PPC_REG_V25, PPC_REG_V26, PPC_REG_V27, PPC_REG_V28,
+		PPC_REG_V29, PPC_REG_V30, PPC_REG_V31, PPC_REG_VS32, PPC_REG_VS33,
+		PPC_REG_VS34, PPC_REG_VS35, PPC_REG_VS36, PPC_REG_VS37, PPC_REG_VS38,
+		PPC_REG_VS39, PPC_REG_VS40, PPC_REG_VS41, PPC_REG_VS42, PPC_REG_VS43,
+		PPC_REG_VS44, PPC_REG_VS45, PPC_REG_VS46, PPC_REG_VS47, PPC_REG_VS48,
+		PPC_REG_VS49, PPC_REG_VS50, PPC_REG_VS51, PPC_REG_VS52, PPC_REG_VS53,
+		PPC_REG_VS54, PPC_REG_VS55, PPC_REG_VS56, PPC_REG_VS57, PPC_REG_VS58,
+		PPC_REG_VS59, PPC_REG_VS60, PPC_REG_VS61, PPC_REG_VS62, PPC_REG_VS63,
+		PPC_REG_VS32, PPC_REG_VS33, PPC_REG_VS34, PPC_REG_VS35, PPC_REG_VS36,
+		PPC_REG_VS37, PPC_REG_VS38, PPC_REG_VS39, PPC_REG_VS40, PPC_REG_VS41,
+		PPC_REG_VS42, PPC_REG_VS43, PPC_REG_VS44, PPC_REG_VS45, PPC_REG_VS46,
+		PPC_REG_VS47, PPC_REG_VS48, PPC_REG_VS49, PPC_REG_VS50, PPC_REG_VS51,
+		PPC_REG_VS52, PPC_REG_VS53, PPC_REG_VS54, PPC_REG_VS55, PPC_REG_VS56,
+		PPC_REG_VS57, PPC_REG_VS58, PPC_REG_VS59, PPC_REG_VS60, PPC_REG_VS61,
+		PPC_REG_VS62, PPC_REG_VS63, PPC_REG_VS0, PPC_REG_VS1, PPC_REG_VS2,
+		PPC_REG_VS3, PPC_REG_VS4, PPC_REG_VS5, PPC_REG_VS6, PPC_REG_VS7,
+		PPC_REG_VS8, PPC_REG_VS9, PPC_REG_VS10, PPC_REG_VS11, PPC_REG_VS12,
+		PPC_REG_VS13, PPC_REG_VS14, PPC_REG_VS15, PPC_REG_VS16, PPC_REG_VS17,
+		PPC_REG_VS18, PPC_REG_VS19, PPC_REG_VS20, PPC_REG_VS21, PPC_REG_VS22,
+		PPC_REG_VS23, PPC_REG_VS24, PPC_REG_VS25, PPC_REG_VS26, PPC_REG_VS27,
+		PPC_REG_VS28, PPC_REG_VS29, PPC_REG_VS30, PPC_REG_VS31, PPC_REG_R0,
+		PPC_REG_R1, PPC_REG_R2, PPC_REG_R3, PPC_REG_R4, PPC_REG_R5,
+		PPC_REG_R6, PPC_REG_R7, PPC_REG_R8, PPC_REG_R9, PPC_REG_R10,
+		PPC_REG_R11, PPC_REG_R12, PPC_REG_R13, PPC_REG_R14, PPC_REG_R15,
+		PPC_REG_R16, PPC_REG_R17, PPC_REG_R18, PPC_REG_R19, PPC_REG_R20,
+		PPC_REG_R21, PPC_REG_R22, PPC_REG_R23, PPC_REG_R24, PPC_REG_R25,
+		PPC_REG_R26, PPC_REG_R27, PPC_REG_R28, PPC_REG_R29, PPC_REG_R30,
+		PPC_REG_R31, PPC_REG_R0, PPC_REG_R2, PPC_REG_R6, PPC_REG_R10,
+		PPC_REG_R14, PPC_REG_R18, PPC_REG_R22, PPC_REG_R26, PPC_REG_R30,
+		PPC_REG_R1, PPC_REG_R5, PPC_REG_R9, PPC_REG_R13, PPC_REG_R17,
+		PPC_REG_R21, PPC_REG_R25, PPC_REG_R29, PPC_REG_R0, PPC_REG_R4,
+		PPC_REG_R8, PPC_REG_R12, PPC_REG_R16, PPC_REG_R20, PPC_REG_R24,
+		PPC_REG_R28, PPC_REG_R3, PPC_REG_R7, PPC_REG_R11, PPC_REG_R15,
+		PPC_REG_R19, PPC_REG_R23, PPC_REG_R27, PPC_REG_R31 };
 
 	if (r < ARR_SIZE(map))
 		return map[r];
@@ -8090,9 +1651,6 @@ static const struct ppc_alias alias_insn
 bool PPC_alias_insn(const char *name, struct ppc_alias *alias)
 {
 	size_t i;
-#ifndef CAPSTONE_DIET
-	int x;
-#endif
 
 	for(i = 0; i < ARR_SIZE(alias_insn_name_maps); i++) {
 		if (!strcmp(name, alias_insn_name_maps[i].mnem)) {
@@ -8102,46 +1660,36 @@ bool PPC_alias_insn(const char *name, st
 		}
 	}
 
-#ifndef CAPSTONE_DIET
-	// not really an alias insn
-	x = name2id(&insn_name_maps[1], ARR_SIZE(insn_name_maps) - 1, name);
-	if (x != -1) {
-		alias->id = insn_name_maps[x].id;
-		alias->cc = PPC_BC_INVALID;
-		return true;
-	}
-#endif
-
 	// not found
 	return false;
 }
 
-// list all relative branch instructions
-static const unsigned int insn_abs[] = {
-	PPC_BA,
-	PPC_BCCA,
-	PPC_BCCLA,
-	PPC_BDNZA,
-	PPC_BDNZAm,
-	PPC_BDNZAp,
-	PPC_BDNZLA,
-	PPC_BDNZLAm,
-	PPC_BDNZLAp,
-	PPC_BDZA,
-	PPC_BDZAm,
-	PPC_BDZAp,
-	PPC_BDZLAm,
-	PPC_BDZLAp,
-	PPC_BLA,
-	PPC_gBCA,
-	PPC_gBCLA,
-	0
-};
-
 // check if this insn is relative branch
 bool PPC_abs_branch(cs_struct *h, unsigned int id)
 {
-	int i;
+	unsigned int i;
+	// list all absolute branch instructions
+	static const unsigned int insn_abs[] = {
+		PPC_BA,
+		PPC_BCCA,
+		PPC_BCCLA,
+		PPC_BDNZA,
+		PPC_BDNZAm,
+		PPC_BDNZAp,
+		PPC_BDNZLA,
+		PPC_BDNZLAm,
+		PPC_BDNZLAp,
+		PPC_BDZA,
+		PPC_BDZAm,
+		PPC_BDZAp,
+		PPC_BDZLAm,
+		PPC_BDZLAp,
+		PPC_BLA,
+		PPC_gBCA,
+		PPC_gBCLA,
+		PPC_BDZLA,
+		0
+	};
 
 	for (i = 0; insn_abs[i]; i++) {
 		if (id == insn_abs[i]) {
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMapping.h 4.0.2-3/arch/PowerPC/PPCMapping.h
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_PPC_MAP_H
 #define CS_PPC_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *PPC_reg_name(csh handle, unsigned int reg);
@@ -30,5 +30,8 @@ bool PPC_alias_insn(const char *name, st
 // check if this insn is relative branch
 bool PPC_abs_branch(cs_struct *h, unsigned int id);
 
+// map instruction name to public instruction ID
+ppc_insn PPC_map_insn(const char *name);
+
 #endif
 
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMappingInsn.inc 4.0.2-3/arch/PowerPC/PPCMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,8055 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	PPC_ADD4, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD4TLS, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD4o, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD8, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD8TLS, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD8TLS_, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADD8o, PPC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDC, PPC_INS_ADDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDC8, PPC_INS_ADDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDC8o, PPC_INS_ADDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDCo, PPC_INS_ADDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDE, PPC_INS_ADDE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDE8, PPC_INS_ADDE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDE8o, PPC_INS_ADDE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDEo, PPC_INS_ADDE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDI, PPC_INS_ADDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDI8, PPC_INS_ADDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDIC, PPC_INS_ADDIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDIC8, PPC_INS_ADDIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDICo, PPC_INS_ADDIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDIS, PPC_INS_ADDIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDIS8, PPC_INS_ADDIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDME, PPC_INS_ADDME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDME8, PPC_INS_ADDME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDME8o, PPC_INS_ADDME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDMEo, PPC_INS_ADDME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDZE, PPC_INS_ADDZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDZE8, PPC_INS_ADDZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDZE8o, PPC_INS_ADDZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ADDZEo, PPC_INS_ADDZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_AND, PPC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_AND8, PPC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_AND8o, PPC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDC, PPC_INS_ANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDC8, PPC_INS_ANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDC8o, PPC_INS_ANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDCo, PPC_INS_ANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDISo, PPC_INS_ANDIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDISo8, PPC_INS_ANDIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDIo, PPC_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDIo8, PPC_INS_ANDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ANDo, PPC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ATTN, PPC_INS_ATTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_B, PPC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BA, PPC_INS_BA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BC, PPC_INS_BC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCC, PPC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCCA, PPC_INS_BA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCCCTR, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCCCTR8, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCCCTRL, PPC_INS_BCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCCTRL8, PPC_INS_BCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCL, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCLA, PPC_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCLR, PPC_INS_BLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCCLRL, PPC_INS_BLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCTR, PPC_INS_BCCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCCTR8, PPC_INS_BCCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCCTR8n, PPC_INS_BCCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCCTRL, PPC_INS_BCCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCTRL8, PPC_INS_BCCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCTRL8n, PPC_INS_BCCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCTRLn, PPC_INS_BCCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCCTRn, PPC_INS_BCCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCL, PPC_INS_BCL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCLR, PPC_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCLRL, PPC_INS_BCLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCLRLn, PPC_INS_BCLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCLRn, PPC_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BCLalways, PPC_INS_BCL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCLn, PPC_INS_BCL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCTR, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCTR8, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	PPC_BCTRL, PPC_INS_BCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { PPC_GRP_MODE32, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCTRL8, PPC_INS_BCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCTRL8_LDinto_toc, PPC_INS_BCT,	// FIXME
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { PPC_REG_LR8, PPC_REG_X2, 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BCn, PPC_INS_BC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZ, PPC_INS_BDNZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZ8, PPC_INS_BDNZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZA, PPC_INS_BDNZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZAm, PPC_INS_BDNZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZAp, PPC_INS_BDNZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZL, PPC_INS_BDNZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLA, PPC_INS_BDNZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLAm, PPC_INS_BDNZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLAp, PPC_INS_BDNZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLR, PPC_INS_BDNZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZLR8, PPC_INS_BDNZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_LR8, PPC_REG_RM, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZLRL, PPC_INS_BDNZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLRLm, PPC_INS_BDNZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLRLp, PPC_INS_BDNZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLRm, PPC_INS_BDNZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZLRp, PPC_INS_BDNZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZLm, PPC_INS_BDNZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZLp, PPC_INS_BDNZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDNZm, PPC_INS_BDNZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDNZp, PPC_INS_BDNZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZ, PPC_INS_BDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZ8, PPC_INS_BDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZA, PPC_INS_BDZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZAm, PPC_INS_BDZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZAp, PPC_INS_BDZA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZL, PPC_INS_BDZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLA, PPC_INS_BDZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLAm, PPC_INS_BDZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLAp, PPC_INS_BDZLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLR, PPC_INS_BDZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZLR8, PPC_INS_BDZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_LR8, PPC_REG_RM, 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZLRL, PPC_INS_BDZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLRLm, PPC_INS_BDZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLRLp, PPC_INS_BDZLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLRm, PPC_INS_BDZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZLRp, PPC_INS_BDZLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZLm, PPC_INS_BDZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZLp, PPC_INS_BDZL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BDZm, PPC_INS_BDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BDZp, PPC_INS_BDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_BL, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL8, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL8_NOP, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL8_NOP_TLS, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL8_TLS, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL8_TLS_, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLA, PPC_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLA8, PPC_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLA8_NOP, PPC_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLR, PPC_INS_BLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE32, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLR8, PPC_INS_BLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR8, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	PPC_BLRL, PPC_INS_BLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BL_TLS, PPC_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_BRINC, PPC_INS_BRINC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPB, PPC_INS_CMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPB8, PPC_INS_CMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPD, PPC_INS_CMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPDI, PPC_INS_CMPDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPLD, PPC_INS_CMPLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPLDI, PPC_INS_CMPLDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPLW, PPC_INS_CMPLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPLWI, PPC_INS_CMPLWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPW, PPC_INS_CMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CMPWI, PPC_INS_CMPWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZD, PPC_INS_CNTLZD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZDo, PPC_INS_CNTLZD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZW, PPC_INS_CNTLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZW8, PPC_INS_CNTLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZW8o, PPC_INS_CNTLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CNTLZWo, PPC_INS_CNTLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CR6SET, PPC_INS_CREQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1EQ, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CR6UNSET, PPC_INS_CRXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1EQ, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRAND, PPC_INS_CRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRANDC, PPC_INS_CRANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CREQV, PPC_INS_CREQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRNAND, PPC_INS_CRNAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRNOR, PPC_INS_CRNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CROR, PPC_INS_CROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRORC, PPC_INS_CRORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRSET, PPC_INS_CREQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRUNSET, PPC_INS_CRXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_CRXOR, PPC_INS_CRXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBA, PPC_INS_DCBA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBF, PPC_INS_DCBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBI, PPC_INS_DCBI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBST, PPC_INS_DCBST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBT, PPC_INS_DCBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBTST, PPC_INS_DCBTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBZ, PPC_INS_DCBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCBZL, PPC_INS_DCBZL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DCCCI, PPC_INS_DCCCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVD, PPC_INS_DIVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVDU, PPC_INS_DIVDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVDUo, PPC_INS_DIVDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVDo, PPC_INS_DIVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVW, PPC_INS_DIVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVWU, PPC_INS_DIVWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVWUo, PPC_INS_DIVWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DIVWo, PPC_INS_DIVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSS, PPC_INS_DSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSSALL, PPC_INS_DSSALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DST, PPC_INS_DST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DST64, PPC_INS_DST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTST, PPC_INS_DSTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTST64, PPC_INS_DSTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTSTT, PPC_INS_DSTSTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTSTT64, PPC_INS_DSTSTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTT, PPC_INS_DSTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_DSTT64, PPC_INS_DSTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EQV, PPC_INS_EQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EQV8, PPC_INS_EQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EQV8o, PPC_INS_EQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EQVo, PPC_INS_EQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVABS, PPC_INS_EVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDIW, PPC_INS_EVADDIW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDSMIAAW, PPC_INS_EVADDSMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDSSIAAW, PPC_INS_EVADDSSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDUMIAAW, PPC_INS_EVADDUMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDUSIAAW, PPC_INS_EVADDUSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVADDW, PPC_INS_EVADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVAND, PPC_INS_EVAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVANDC, PPC_INS_EVANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCMPEQ, PPC_INS_EVCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCMPGTS, PPC_INS_EVCMPGTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCMPGTU, PPC_INS_EVCMPGTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCMPLTS, PPC_INS_EVCMPLTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCMPLTU, PPC_INS_EVCMPLTU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCNTLSW, PPC_INS_EVCNTLSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVCNTLZW, PPC_INS_EVCNTLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVDIVWS, PPC_INS_EVDIVWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVDIVWU, PPC_INS_EVDIVWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVEQV, PPC_INS_EVEQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVEXTSB, PPC_INS_EVEXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVEXTSH, PPC_INS_EVEXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDD, PPC_INS_EVLDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDDX, PPC_INS_EVLDDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDH, PPC_INS_EVLDH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDHX, PPC_INS_EVLDHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDW, PPC_INS_EVLDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLDWX, PPC_INS_EVLDWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHESPLAT, PPC_INS_EVLHHESPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHESPLATX, PPC_INS_EVLHHESPLATX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHOSSPLAT, PPC_INS_EVLHHOSSPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHOSSPLATX, PPC_INS_EVLHHOSSPLATX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHOUSPLAT, PPC_INS_EVLHHOUSPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLHHOUSPLATX, PPC_INS_EVLHHOUSPLATX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHE, PPC_INS_EVLWHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHEX, PPC_INS_EVLWHEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHOS, PPC_INS_EVLWHOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHOSX, PPC_INS_EVLWHOSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHOU, PPC_INS_EVLWHOU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHOUX, PPC_INS_EVLWHOUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHSPLAT, PPC_INS_EVLWHSPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWHSPLATX, PPC_INS_EVLWHSPLATX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWWSPLAT, PPC_INS_EVLWWSPLAT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVLWWSPLATX, PPC_INS_EVLWWSPLATX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMERGEHI, PPC_INS_EVMERGEHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMERGEHILO, PPC_INS_EVMERGEHILO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMERGELO, PPC_INS_EVMERGELO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMERGELOHI, PPC_INS_EVMERGELOHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGSMFAA, PPC_INS_EVMHEGSMFAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGSMFAN, PPC_INS_EVMHEGSMFAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGSMIAA, PPC_INS_EVMHEGSMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGSMIAN, PPC_INS_EVMHEGSMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGUMIAA, PPC_INS_EVMHEGUMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEGUMIAN, PPC_INS_EVMHEGUMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMF, PPC_INS_EVMHESMF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMFA, PPC_INS_EVMHESMFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMFAAW, PPC_INS_EVMHESMFAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMFANW, PPC_INS_EVMHESMFANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMI, PPC_INS_EVMHESMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMIA, PPC_INS_EVMHESMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMIAAW, PPC_INS_EVMHESMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESMIANW, PPC_INS_EVMHESMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSF, PPC_INS_EVMHESSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSFA, PPC_INS_EVMHESSFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSFAAW, PPC_INS_EVMHESSFAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSFANW, PPC_INS_EVMHESSFANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSIAAW, PPC_INS_EVMHESSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHESSIANW, PPC_INS_EVMHESSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUMI, PPC_INS_EVMHEUMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUMIA, PPC_INS_EVMHEUMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUMIAAW, PPC_INS_EVMHEUMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUMIANW, PPC_INS_EVMHEUMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUSIAAW, PPC_INS_EVMHEUSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHEUSIANW, PPC_INS_EVMHEUSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGSMFAA, PPC_INS_EVMHOGSMFAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGSMFAN, PPC_INS_EVMHOGSMFAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGSMIAA, PPC_INS_EVMHOGSMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGSMIAN, PPC_INS_EVMHOGSMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGUMIAA, PPC_INS_EVMHOGUMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOGUMIAN, PPC_INS_EVMHOGUMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMF, PPC_INS_EVMHOSMF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMFA, PPC_INS_EVMHOSMFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMFAAW, PPC_INS_EVMHOSMFAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMFANW, PPC_INS_EVMHOSMFANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMI, PPC_INS_EVMHOSMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMIA, PPC_INS_EVMHOSMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMIAAW, PPC_INS_EVMHOSMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSMIANW, PPC_INS_EVMHOSMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSF, PPC_INS_EVMHOSSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSFA, PPC_INS_EVMHOSSFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSFAAW, PPC_INS_EVMHOSSFAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSFANW, PPC_INS_EVMHOSSFANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSIAAW, PPC_INS_EVMHOSSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOSSIANW, PPC_INS_EVMHOSSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUMI, PPC_INS_EVMHOUMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUMIA, PPC_INS_EVMHOUMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUMIAAW, PPC_INS_EVMHOUMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUMIANW, PPC_INS_EVMHOUMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUSIAAW, PPC_INS_EVMHOUSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMHOUSIANW, PPC_INS_EVMHOUSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMRA, PPC_INS_EVMRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSMF, PPC_INS_EVMWHSMF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSMFA, PPC_INS_EVMWHSMFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSMI, PPC_INS_EVMWHSMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSMIA, PPC_INS_EVMWHSMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSSF, PPC_INS_EVMWHSSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHSSFA, PPC_INS_EVMWHSSFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHUMI, PPC_INS_EVMWHUMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWHUMIA, PPC_INS_EVMWHUMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLSMIAAW, PPC_INS_EVMWLSMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLSMIANW, PPC_INS_EVMWLSMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLSSIAAW, PPC_INS_EVMWLSSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLSSIANW, PPC_INS_EVMWLSSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUMI, PPC_INS_EVMWLUMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUMIA, PPC_INS_EVMWLUMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUMIAAW, PPC_INS_EVMWLUMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUMIANW, PPC_INS_EVMWLUMIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUSIAAW, PPC_INS_EVMWLUSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWLUSIANW, PPC_INS_EVMWLUSIANW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMF, PPC_INS_EVMWSMF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMFA, PPC_INS_EVMWSMFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMFAA, PPC_INS_EVMWSMFAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMFAN, PPC_INS_EVMWSMFAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMI, PPC_INS_EVMWSMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMIA, PPC_INS_EVMWSMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMIAA, PPC_INS_EVMWSMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSMIAN, PPC_INS_EVMWSMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSSF, PPC_INS_EVMWSSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSSFA, PPC_INS_EVMWSSFA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSSFAA, PPC_INS_EVMWSSFAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWSSFAN, PPC_INS_EVMWSSFAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWUMI, PPC_INS_EVMWUMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWUMIA, PPC_INS_EVMWUMIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWUMIAA, PPC_INS_EVMWUMIAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVMWUMIAN, PPC_INS_EVMWUMIAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVNAND, PPC_INS_EVNAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVNEG, PPC_INS_EVNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVNOR, PPC_INS_EVNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVOR, PPC_INS_EVOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVORC, PPC_INS_EVORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVRLW, PPC_INS_EVRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVRLWI, PPC_INS_EVRLWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVRNDW, PPC_INS_EVRNDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSLW, PPC_INS_EVSLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSLWI, PPC_INS_EVSLWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSPLATFI, PPC_INS_EVSPLATFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSPLATI, PPC_INS_EVSPLATI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSRWIS, PPC_INS_EVSRWIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSRWIU, PPC_INS_EVSRWIU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSRWS, PPC_INS_EVSRWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSRWU, PPC_INS_EVSRWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDD, PPC_INS_EVSTDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDDX, PPC_INS_EVSTDDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDH, PPC_INS_EVSTDH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDHX, PPC_INS_EVSTDHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDW, PPC_INS_EVSTDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTDWX, PPC_INS_EVSTDWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWHE, PPC_INS_EVSTWHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWHEX, PPC_INS_EVSTWHEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWHO, PPC_INS_EVSTWHO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWHOX, PPC_INS_EVSTWHOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWWE, PPC_INS_EVSTWWE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWWEX, PPC_INS_EVSTWWEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWWO, PPC_INS_EVSTWWO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSTWWOX, PPC_INS_EVSTWWOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBFSMIAAW, PPC_INS_EVSUBFSMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBFSSIAAW, PPC_INS_EVSUBFSSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBFUMIAAW, PPC_INS_EVSUBFUMIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBFUSIAAW, PPC_INS_EVSUBFUSIAAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBFW, PPC_INS_EVSUBFW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVSUBIFW, PPC_INS_EVSUBIFW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EVXOR, PPC_INS_EVXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_SPE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSB, PPC_INS_EXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSB8, PPC_INS_EXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSB8_32_64, PPC_INS_EXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSB8o, PPC_INS_EXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSBo, PPC_INS_EXTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSH, PPC_INS_EXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSH8, PPC_INS_EXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSH8_32_64, PPC_INS_EXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSH8o, PPC_INS_EXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSHo, PPC_INS_EXTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSW, PPC_INS_EXTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSW_32_64, PPC_INS_EXTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSW_32_64o, PPC_INS_EXTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EXTSWo, PPC_INS_EXTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_EnforceIEIO, PPC_INS_EIEIO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FABSD, PPC_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FABSDo, PPC_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FABSS, PPC_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FABSSo, PPC_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FADD, PPC_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FADDS, PPC_INS_FADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FADDSo, PPC_INS_FADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FADDo, PPC_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFID, PPC_INS_FCFID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDS, PPC_INS_FCFIDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDSo, PPC_INS_FCFIDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDU, PPC_INS_FCFIDU,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDUS, PPC_INS_FCFIDUS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDUSo, PPC_INS_FCFIDUS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDUo, PPC_INS_FCFIDU,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCFIDo, PPC_INS_FCFID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCMPUD, PPC_INS_FCMPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCMPUS, PPC_INS_FCMPU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCPSGND, PPC_INS_FCPSGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCPSGNDo, PPC_INS_FCPSGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCPSGNS, PPC_INS_FCPSGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCPSGNSo, PPC_INS_FCPSGN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTID, PPC_INS_FCTID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIDUZ, PPC_INS_FCTIDUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIDUZo, PPC_INS_FCTIDUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIDZ, PPC_INS_FCTIDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIDZo, PPC_INS_FCTIDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIDo, PPC_INS_FCTID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIW, PPC_INS_FCTIW,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIWUZ, PPC_INS_FCTIWUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIWUZo, PPC_INS_FCTIWUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIWZ, PPC_INS_FCTIWZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIWZo, PPC_INS_FCTIWZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FCTIWo, PPC_INS_FCTIW,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FDIV, PPC_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FDIVS, PPC_INS_FDIVS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FDIVSo, PPC_INS_FDIVS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FDIVo, PPC_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMADD, PPC_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMADDS, PPC_INS_FMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMADDSo, PPC_INS_FMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMADDo, PPC_INS_FMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMR, PPC_INS_FMR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMRo, PPC_INS_FMR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMSUB, PPC_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMSUBS, PPC_INS_FMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMSUBSo, PPC_INS_FMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMSUBo, PPC_INS_FMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMUL, PPC_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMULS, PPC_INS_FMULS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMULSo, PPC_INS_FMULS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FMULo, PPC_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNABSD, PPC_INS_FNABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNABSDo, PPC_INS_FNABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNABSS, PPC_INS_FNABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNABSSo, PPC_INS_FNABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNEGD, PPC_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNEGDo, PPC_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNEGS, PPC_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNEGSo, PPC_INS_FNEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMADD, PPC_INS_FNMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMADDS, PPC_INS_FNMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMADDSo, PPC_INS_FNMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMADDo, PPC_INS_FNMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMSUB, PPC_INS_FNMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMSUBS, PPC_INS_FNMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMSUBSo, PPC_INS_FNMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FNMSUBo, PPC_INS_FNMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRE, PPC_INS_FRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRES, PPC_INS_FRES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRESo, PPC_INS_FRES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FREo, PPC_INS_FRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIMD, PPC_INS_FRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIMDo, PPC_INS_FRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIMS, PPC_INS_FRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIMSo, PPC_INS_FRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIND, PPC_INS_FRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRINDo, PPC_INS_FRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRINS, PPC_INS_FRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRINSo, PPC_INS_FRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIPD, PPC_INS_FRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIPDo, PPC_INS_FRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIPS, PPC_INS_FRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIPSo, PPC_INS_FRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIZD, PPC_INS_FRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIZDo, PPC_INS_FRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIZS, PPC_INS_FRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRIZSo, PPC_INS_FRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSP, PPC_INS_FRSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSPo, PPC_INS_FRSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSQRTE, PPC_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSQRTES, PPC_INS_FRSQRTES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSQRTESo, PPC_INS_FRSQRTES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FRSQRTEo, PPC_INS_FRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSELD, PPC_INS_FSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSELDo, PPC_INS_FSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSELS, PPC_INS_FSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSELSo, PPC_INS_FSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSQRT, PPC_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSQRTS, PPC_INS_FSQRTS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSQRTSo, PPC_INS_FSQRTS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSQRTo, PPC_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSUB, PPC_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSUBS, PPC_INS_FSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSUBSo, PPC_INS_FSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_FSUBo, PPC_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ICBI, PPC_INS_ICBI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ICBT, PPC_INS_ICBT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ICBT, 0 }, 0, 0
+#endif
+},
+{
+	PPC_ICCCI, PPC_INS_ICCCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_ISEL, PPC_INS_ISEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ISEL8, PPC_INS_ISEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ISYNC, PPC_INS_ISYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LA, PPC_INS_LA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZ, PPC_INS_LBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZ8, PPC_INS_LBZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZCIX, PPC_INS_LBZCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZU, PPC_INS_LBZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZU8, PPC_INS_LBZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZUX, PPC_INS_LBZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZUX8, PPC_INS_LBZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZX, PPC_INS_LBZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LBZX8, PPC_INS_LBZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LD, PPC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDARX, PPC_INS_LDARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDBRX, PPC_INS_LDBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDCIX, PPC_INS_LDCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDU, PPC_INS_LDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDUX, PPC_INS_LDUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LDX, PPC_INS_LDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFD, PPC_INS_LFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFDU, PPC_INS_LFDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFDUX, PPC_INS_LFDUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFDX, PPC_INS_LFDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFIWAX, PPC_INS_LFIWAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFIWZX, PPC_INS_LFIWZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFS, PPC_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFSU, PPC_INS_LFSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFSUX, PPC_INS_LFSUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LFSX, PPC_INS_LFSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHA, PPC_INS_LHA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHA8, PPC_INS_LHA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAU, PPC_INS_LHAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAU8, PPC_INS_LHAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAUX, PPC_INS_LHAUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAUX8, PPC_INS_LHAUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAX, PPC_INS_LHAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHAX8, PPC_INS_LHAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHBRX, PPC_INS_LHBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHBRX8, PPC_INS_LHBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZ, PPC_INS_LHZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZ8, PPC_INS_LHZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZCIX, PPC_INS_LHZCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZU, PPC_INS_LHZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZU8, PPC_INS_LHZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZUX, PPC_INS_LHZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZUX8, PPC_INS_LHZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZX, PPC_INS_LHZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LHZX8, PPC_INS_LHZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LI, PPC_INS_LI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LI8, PPC_INS_LI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LIS, PPC_INS_LIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LIS8, PPC_INS_LIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LMW, PPC_INS_LMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LSWI, PPC_INS_LSWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVEBX, PPC_INS_LVEBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVEHX, PPC_INS_LVEHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVEWX, PPC_INS_LVEWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVSL, PPC_INS_LVSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVSR, PPC_INS_LVSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVX, PPC_INS_LVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LVXL, PPC_INS_LVXL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWA, PPC_INS_LWA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWARX, PPC_INS_LWARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWAUX, PPC_INS_LWAUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWAX, PPC_INS_LWAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWAX_32, PPC_INS_LWAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWA_32, PPC_INS_LWA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWBRX, PPC_INS_LWBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWBRX8, PPC_INS_LWBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZ, PPC_INS_LWZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZ8, PPC_INS_LWZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZCIX, PPC_INS_LWZCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZU, PPC_INS_LWZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZU8, PPC_INS_LWZU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZUX, PPC_INS_LWZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZUX8, PPC_INS_LWZUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZX, PPC_INS_LWZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LWZX8, PPC_INS_LWZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_LXSDX, PPC_INS_LXSDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LXVD2X, PPC_INS_LXVD2X,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LXVDSX, PPC_INS_LXVDSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_LXVW4X, PPC_INS_LXVW4X,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MBAR, PPC_INS_MBAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MCRF, PPC_INS_MCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MCRFS, PPC_INS_MCRFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFCR, PPC_INS_MFCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFCR8, PPC_INS_MFCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFCTR, PPC_INS_MFCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFCTR8, PPC_INS_MFCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFDCR, PPC_INS_MFDCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFFS, PPC_INS_MFFS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFFSo, PPC_INS_MFFS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR1, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFLR, PPC_INS_MFLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFLR8, PPC_INS_MFLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_LR8, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFMSR, PPC_INS_MFMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFOCRF, PPC_INS_MFOCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFOCRF8, PPC_INS_MFOCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFSPR, PPC_INS_MFSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFSR, PPC_INS_MFSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFSRIN, PPC_INS_MFSRIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFTB, PPC_INS_MFTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFTB8, PPC_INS_MFSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFVRSAVE, PPC_INS_MFSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFVRSAVEv, PPC_INS_MFSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MFVSCR, PPC_INS_MFVSCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MSYNC, PPC_INS_MSYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCRF, PPC_INS_MTCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCRF8, PPC_INS_MTCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCTR, PPC_INS_MTCTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCTR8, PPC_INS_MTCTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCTR8loop, PPC_INS_MTCTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CTR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTCTRloop, PPC_INS_MTCTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTDCR, PPC_INS_MTDCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSB0, PPC_INS_MTFSB0,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSB1, PPC_INS_MTFSB1,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSF, PPC_INS_MTFSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSFI, PPC_INS_MTFSFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSFIo, PPC_INS_MTFSFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSFb, PPC_INS_MTFSF,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_RM, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTFSFo, PPC_INS_MTFSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTLR, PPC_INS_MTLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTLR8, PPC_INS_MTLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_LR8, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTMSR, PPC_INS_MTMSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTMSRD, PPC_INS_MTMSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTOCRF, PPC_INS_MTOCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTOCRF8, PPC_INS_MTOCRF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTSPR, PPC_INS_MTSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTSR, PPC_INS_MTSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTSRIN, PPC_INS_MTSRIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTVRSAVE, PPC_INS_MTSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTVRSAVEv, PPC_INS_MTSPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MTVSCR, PPC_INS_MTVSCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHD, PPC_INS_MULHD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHDU, PPC_INS_MULHDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHDUo, PPC_INS_MULHDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHDo, PPC_INS_MULHD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHW, PPC_INS_MULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHWU, PPC_INS_MULHWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHWUo, PPC_INS_MULHWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULHWo, PPC_INS_MULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLD, PPC_INS_MULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLDo, PPC_INS_MULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLI, PPC_INS_MULLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLI8, PPC_INS_MULLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLW, PPC_INS_MULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_MULLWo, PPC_INS_MULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NAND, PPC_INS_NAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NAND8, PPC_INS_NAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NAND8o, PPC_INS_NAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NANDo, PPC_INS_NAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NEG, PPC_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NEG8, PPC_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NEG8o, PPC_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NEGo, PPC_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOP, PPC_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOP_GT_PWR6, PPC_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOP_GT_PWR7, PPC_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOR, PPC_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOR8, PPC_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NOR8o, PPC_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_NORo, PPC_INS_NOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_OR, PPC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_OR8, PPC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_OR8o, PPC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORC, PPC_INS_ORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORC8, PPC_INS_ORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORC8o, PPC_INS_ORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORCo, PPC_INS_ORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORI, PPC_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORI8, PPC_INS_ORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORIS, PPC_INS_ORIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORIS8, PPC_INS_ORIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_ORo, PPC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_POPCNTD, PPC_INS_POPCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_POPCNTW, PPC_INS_POPCNTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVALIGNI, PPC_INS_QVALIGNI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVALIGNIb, PPC_INS_QVALIGNI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVALIGNIs, PPC_INS_QVALIGNI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVESPLATI, PPC_INS_QVESPLATI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVESPLATIb, PPC_INS_QVESPLATI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVESPLATIs, PPC_INS_QVESPLATI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFABS, PPC_INS_QVFABS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFABSs, PPC_INS_QVFABS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFADD, PPC_INS_QVFADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFADDS, PPC_INS_QVFADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFADDSs, PPC_INS_QVFADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCFID, PPC_INS_QVFCFID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCFIDS, PPC_INS_QVFCFIDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCFIDU, PPC_INS_QVFCFIDU,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCFIDUS, PPC_INS_QVFCFIDUS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCFIDb, PPC_INS_QVFCFID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPEQ, PPC_INS_QVFCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPEQb, PPC_INS_QVFCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPEQbs, PPC_INS_QVFCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPGT, PPC_INS_QVFCMPGT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPGTb, PPC_INS_QVFCMPGT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPGTbs, PPC_INS_QVFCMPGT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPLT, PPC_INS_QVFCMPLT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPLTb, PPC_INS_QVFCMPLT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCMPLTbs, PPC_INS_QVFCMPLT,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCPSGN, PPC_INS_QVFCPSGN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCPSGNs, PPC_INS_QVFCPSGN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTID, PPC_INS_QVFCTID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIDU, PPC_INS_QVFCTIDU,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIDUZ, PPC_INS_QVFCTIDUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIDZ, PPC_INS_QVFCTIDZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIDb, PPC_INS_QVFCTID,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIW, PPC_INS_QVFCTIW,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIWU, PPC_INS_QVFCTIWU,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIWUZ, PPC_INS_QVFCTIWUZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFCTIWZ, PPC_INS_QVFCTIWZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFLOGICAL, PPC_INS_QVFLOGICAL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFLOGICALb, PPC_INS_QVFLOGICAL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFLOGICALs, PPC_INS_QVFLOGICAL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMADD, PPC_INS_QVFMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMADDS, PPC_INS_QVFMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMADDSs, PPC_INS_QVFMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMR, PPC_INS_QVFMR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMRb, PPC_INS_QVFMR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMRs, PPC_INS_QVFMR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMSUB, PPC_INS_QVFMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMSUBS, PPC_INS_QVFMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMSUBSs, PPC_INS_QVFMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMUL, PPC_INS_QVFMUL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMULS, PPC_INS_QVFMULS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFMULSs, PPC_INS_QVFMULS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNABS, PPC_INS_QVFNABS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNABSs, PPC_INS_QVFNABS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNEG, PPC_INS_QVFNEG,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNEGs, PPC_INS_QVFNEG,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMADD, PPC_INS_QVFNMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMADDS, PPC_INS_QVFNMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMADDSs, PPC_INS_QVFNMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMSUB, PPC_INS_QVFNMSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMSUBS, PPC_INS_QVFNMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFNMSUBSs, PPC_INS_QVFNMSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFPERM, PPC_INS_QVFPERM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFPERMs, PPC_INS_QVFPERM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRE, PPC_INS_QVFRE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRES, PPC_INS_QVFRES,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRESs, PPC_INS_QVFRES,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIM, PPC_INS_QVFRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIMs, PPC_INS_QVFRIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIN, PPC_INS_QVFRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRINs, PPC_INS_QVFRIN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIP, PPC_INS_QVFRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIPs, PPC_INS_QVFRIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIZ, PPC_INS_QVFRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRIZs, PPC_INS_QVFRIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRSP, PPC_INS_QVFRSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRSPs, PPC_INS_QVFRSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRSQRTE, PPC_INS_QVFRSQRTE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRSQRTES, PPC_INS_QVFRSQRTES,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFRSQRTESs, PPC_INS_QVFRSQRTES,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSEL, PPC_INS_QVFSEL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSELb, PPC_INS_QVFSEL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSELbb, PPC_INS_QVFSEL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSELbs, PPC_INS_QVFSEL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSUB, PPC_INS_QVFSUB,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSUBS, PPC_INS_QVFSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFSUBSs, PPC_INS_QVFSUBS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFTSTNAN, PPC_INS_QVFTSTNAN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFTSTNANb, PPC_INS_QVFTSTNAN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFTSTNANbs, PPC_INS_QVFTSTNAN,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXMADD, PPC_INS_QVFXMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXMADDS, PPC_INS_QVFXMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXMUL, PPC_INS_QVFXMUL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXMULS, PPC_INS_QVFXMULS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXCPNMADD, PPC_INS_QVFXXCPNMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXCPNMADDS, PPC_INS_QVFXXCPNMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXMADD, PPC_INS_QVFXXMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXMADDS, PPC_INS_QVFXXMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXNPMADD, PPC_INS_QVFXXNPMADD,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVFXXNPMADDS, PPC_INS_QVFXXNPMADDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVGPCI, PPC_INS_QVGPCI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCDUX, PPC_INS_QVLFCDUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCDUXA, PPC_INS_QVLFCDUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCDX, PPC_INS_QVLFCDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCDXA, PPC_INS_QVLFCDXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCSUX, PPC_INS_QVLFCSUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCSUXA, PPC_INS_QVLFCSUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCSX, PPC_INS_QVLFCSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCSXA, PPC_INS_QVLFCSXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFCSXs, PPC_INS_QVLFCSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFDUX, PPC_INS_QVLFDUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFDUXA, PPC_INS_QVLFDUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFDX, PPC_INS_QVLFDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFDXA, PPC_INS_QVLFDXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFDXb, PPC_INS_QVLFDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFIWAX, PPC_INS_QVLFIWAX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFIWAXA, PPC_INS_QVLFIWAXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFIWZX, PPC_INS_QVLFIWZX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFIWZXA, PPC_INS_QVLFIWZXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSUX, PPC_INS_QVLFSUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSUXA, PPC_INS_QVLFSUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSX, PPC_INS_QVLFSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSXA, PPC_INS_QVLFSXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSXb, PPC_INS_QVLFSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLFSXs, PPC_INS_QVLFSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLPCLDX, PPC_INS_QVLPCLDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLPCLSX, PPC_INS_QVLPCLSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLPCLSXint, PPC_INS_QVLPCLSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLPCRDX, PPC_INS_QVLPCRDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVLPCRSX, PPC_INS_QVLPCRSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDUX, PPC_INS_QVSTFCDUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDUXA, PPC_INS_QVSTFCDUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDUXI, PPC_INS_QVSTFCDUXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDUXIA, PPC_INS_QVSTFCDUXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDX, PPC_INS_QVSTFCDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDXA, PPC_INS_QVSTFCDXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDXI, PPC_INS_QVSTFCDXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCDXIA, PPC_INS_QVSTFCDXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSUX, PPC_INS_QVSTFCSUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSUXA, PPC_INS_QVSTFCSUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSUXI, PPC_INS_QVSTFCSUXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSUXIA, PPC_INS_QVSTFCSUXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSX, PPC_INS_QVSTFCSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSXA, PPC_INS_QVSTFCSXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSXI, PPC_INS_QVSTFCSXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSXIA, PPC_INS_QVSTFCSXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFCSXs, PPC_INS_QVSTFCSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDUX, PPC_INS_QVSTFDUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDUXA, PPC_INS_QVSTFDUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDUXI, PPC_INS_QVSTFDUXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDUXIA, PPC_INS_QVSTFDUXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDX, PPC_INS_QVSTFDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDXA, PPC_INS_QVSTFDXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDXI, PPC_INS_QVSTFDXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDXIA, PPC_INS_QVSTFDXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFDXb, PPC_INS_QVSTFDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFIWX, PPC_INS_QVSTFIWX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFIWXA, PPC_INS_QVSTFIWXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSUX, PPC_INS_QVSTFSUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSUXA, PPC_INS_QVSTFSUXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSUXI, PPC_INS_QVSTFSUXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSUXIA, PPC_INS_QVSTFSUXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSUXs, PPC_INS_QVSTFSUX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSX, PPC_INS_QVSTFSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSXA, PPC_INS_QVSTFSXA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSXI, PPC_INS_QVSTFSXI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSXIA, PPC_INS_QVSTFSXIA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_QVSTFSXs, PPC_INS_QVSTFSX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_QPX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_RFCI, PPC_INS_RFCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_RFDI, PPC_INS_RFDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_E500, 0 }, 0, 0
+#endif
+},
+{
+	PPC_RFI, PPC_INS_RFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_RFID, PPC_INS_RFID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RFMCI, PPC_INS_RFMCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_E500, 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDCL, PPC_INS_RLDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDCLo, PPC_INS_RLDCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDCR, PPC_INS_RLDCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDCRo, PPC_INS_RLDCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDIC, PPC_INS_RLDIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICL, PPC_INS_RLDICL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICL_32_64, PPC_INS_RLDICL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICLo, PPC_INS_RLDICL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICR, PPC_INS_RLDICR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICRo, PPC_INS_RLDICR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDICo, PPC_INS_RLDIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDIMI, PPC_INS_RLDIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLDIMIo, PPC_INS_RLDIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWIMI, PPC_INS_RLWIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWIMI8, PPC_INS_RLWIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWIMI8o, PPC_INS_RLWIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWIMIo, PPC_INS_RLWIMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWINM, PPC_INS_RLWINM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWINM8, PPC_INS_RLWINM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWINM8o, PPC_INS_RLWINM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWINMo, PPC_INS_RLWINM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWNM, PPC_INS_RLWNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWNM8, PPC_INS_RLWNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWNM8o, PPC_INS_RLWNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_RLWNMo, PPC_INS_RLWNM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SC, PPC_INS_SC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLBIA, PPC_INS_SLBIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLBIE, PPC_INS_SLBIE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLBMFEE, PPC_INS_SLBMFEE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLBMTE, PPC_INS_SLBMTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLD, PPC_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLDo, PPC_INS_SLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLW, PPC_INS_SLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLW8, PPC_INS_SLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLW8o, PPC_INS_SLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SLWo, PPC_INS_SLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRAD, PPC_INS_SRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRADI, PPC_INS_SRADI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRADIo, PPC_INS_SRADI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRADo, PPC_INS_SRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRAW, PPC_INS_SRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRAWI, PPC_INS_SRAWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRAWIo, PPC_INS_SRAWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRAWo, PPC_INS_SRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRD, PPC_INS_SRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRDo, PPC_INS_SRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRW, PPC_INS_SRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRW8, PPC_INS_SRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRW8o, PPC_INS_SRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SRWo, PPC_INS_SRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STB, PPC_INS_STB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STB8, PPC_INS_STB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBCIX, PPC_INS_STBCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBU, PPC_INS_STBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBU8, PPC_INS_STBU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBUX, PPC_INS_STBUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBUX8, PPC_INS_STBUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBX, PPC_INS_STBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STBX8, PPC_INS_STBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STD, PPC_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDBRX, PPC_INS_STDBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDCIX, PPC_INS_STDCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDCX, PPC_INS_STDCX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDU, PPC_INS_STDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDUX, PPC_INS_STDUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STDX, PPC_INS_STDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFD, PPC_INS_STFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFDU, PPC_INS_STFDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFDUX, PPC_INS_STFDUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFDX, PPC_INS_STFDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFIWX, PPC_INS_STFIWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFS, PPC_INS_STFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFSU, PPC_INS_STFSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFSUX, PPC_INS_STFSUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STFSX, PPC_INS_STFSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STH, PPC_INS_STH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STH8, PPC_INS_STH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHBRX, PPC_INS_STHBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHCIX, PPC_INS_STHCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHU, PPC_INS_STHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHU8, PPC_INS_STHU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHUX, PPC_INS_STHUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHUX8, PPC_INS_STHUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHX, PPC_INS_STHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STHX8, PPC_INS_STHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STMW, PPC_INS_STMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STSWI, PPC_INS_STSWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STVEBX, PPC_INS_STVEBX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STVEHX, PPC_INS_STVEHX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STVEWX, PPC_INS_STVEWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STVX, PPC_INS_STVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STVXL, PPC_INS_STVXL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STW, PPC_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STW8, PPC_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWBRX, PPC_INS_STWBRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWCIX, PPC_INS_STWCIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWCX, PPC_INS_STWCX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWU, PPC_INS_STWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWU8, PPC_INS_STWU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWUX, PPC_INS_STWUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWUX8, PPC_INS_STWUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWX, PPC_INS_STWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STWX8, PPC_INS_STWX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_STXSDX, PPC_INS_STXSDX,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STXVD2X, PPC_INS_STXVD2X,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_STXVW4X, PPC_INS_STXVW4X,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBF, PPC_INS_SUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBF8, PPC_INS_SUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBF8o, PPC_INS_SUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFC, PPC_INS_SUBFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFC8, PPC_INS_SUBFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFC8o, PPC_INS_SUBFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFCo, PPC_INS_SUBFC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFE, PPC_INS_SUBFE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFE8, PPC_INS_SUBFE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFE8o, PPC_INS_SUBFE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFEo, PPC_INS_SUBFE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFIC, PPC_INS_SUBFIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFIC8, PPC_INS_SUBFIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFME, PPC_INS_SUBFME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFME8, PPC_INS_SUBFME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFME8o, PPC_INS_SUBFME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFMEo, PPC_INS_SUBFME,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFZE, PPC_INS_SUBFZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFZE8, PPC_INS_SUBFZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFZE8o, PPC_INS_SUBFZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFZEo, PPC_INS_SUBFZE,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CARRY, 0 }, { PPC_REG_CARRY, PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SUBFo, PPC_INS_SUBF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_SYNC, PPC_INS_SYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TAILB, PPC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_TAILB8, PPC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_TAILBA, PPC_INS_BA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_TAILBA8, PPC_INS_BA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	PPC_TAILBCTR, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE32, 0 }, 1, 1
+#endif
+},
+{
+	PPC_TAILBCTR8, PPC_INS_BCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR8, PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	PPC_TD, PPC_INS_TD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TDI, PPC_INS_TDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBIA, PPC_INS_TLBIA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBIE, PPC_INS_TLBIE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBIEL, PPC_INS_TLBIEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBIVAX, PPC_INS_TLBIVAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBLD, PPC_INS_TLBLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC6XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBLI, PPC_INS_TLBLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC6XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBRE, PPC_INS_TLBRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBRE2, PPC_INS_TLBRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBSX, PPC_INS_TLBSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBSX2, PPC_INS_TLBSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBSX2D, PPC_INS_TLBSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBSYNC, PPC_INS_TLBSYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBWE, PPC_INS_TLBWE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TLBWE2, PPC_INS_TLBWE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_PPC4XX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_TRAP, PPC_INS_TRAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TW, PPC_INS_TW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_TWI, PPC_INS_TWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDCUW, PPC_INS_VADDCUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDFP, PPC_INS_VADDFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDSBS, PPC_INS_VADDSBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDSHS, PPC_INS_VADDSHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDSWS, PPC_INS_VADDSWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUBM, PPC_INS_VADDUBM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUBS, PPC_INS_VADDUBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUDM, PPC_INS_VADDUDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUHM, PPC_INS_VADDUHM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUHS, PPC_INS_VADDUHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUWM, PPC_INS_VADDUWM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VADDUWS, PPC_INS_VADDUWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAND, PPC_INS_VAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VANDC, PPC_INS_VANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGSB, PPC_INS_VAVGSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGSH, PPC_INS_VAVGSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGSW, PPC_INS_VAVGSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGUB, PPC_INS_VAVGUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGUH, PPC_INS_VAVGUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VAVGUW, PPC_INS_VAVGUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCFSX, PPC_INS_VCFSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCFSX_0, PPC_INS_VCFSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCFUX, PPC_INS_VCFUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCFUX_0, PPC_INS_VCFUX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCLZB, PPC_INS_VCLZB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCLZD, PPC_INS_VCLZD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCLZH, PPC_INS_VCLZH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCLZW, PPC_INS_VCLZW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPBFP, PPC_INS_VCMPBFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPBFPo, PPC_INS_VCMPBFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQFP, PPC_INS_VCMPEQFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQFPo, PPC_INS_VCMPEQFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUB, PPC_INS_VCMPEQUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUBo, PPC_INS_VCMPEQUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUD, PPC_INS_VCMPEQUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUDo, PPC_INS_VCMPEQUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUH, PPC_INS_VCMPEQUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUHo, PPC_INS_VCMPEQUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUW, PPC_INS_VCMPEQUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPEQUWo, PPC_INS_VCMPEQUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGEFP, PPC_INS_VCMPGEFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGEFPo, PPC_INS_VCMPGEFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTFP, PPC_INS_VCMPGTFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTFPo, PPC_INS_VCMPGTFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSB, PPC_INS_VCMPGTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSBo, PPC_INS_VCMPGTSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSD, PPC_INS_VCMPGTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSDo, PPC_INS_VCMPGTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSH, PPC_INS_VCMPGTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSHo, PPC_INS_VCMPGTSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSW, PPC_INS_VCMPGTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTSWo, PPC_INS_VCMPGTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUB, PPC_INS_VCMPGTUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUBo, PPC_INS_VCMPGTUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUD, PPC_INS_VCMPGTUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUDo, PPC_INS_VCMPGTUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUH, PPC_INS_VCMPGTUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUHo, PPC_INS_VCMPGTUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUW, PPC_INS_VCMPGTUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCMPGTUWo, PPC_INS_VCMPGTUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCTSXS, PPC_INS_VCTSXS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCTSXS_0, PPC_INS_VCTSXS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCTUXS, PPC_INS_VCTUXS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VCTUXS_0, PPC_INS_VCTUXS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VEQV, PPC_INS_VEQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VEXPTEFP, PPC_INS_VEXPTEFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VLOGEFP, PPC_INS_VLOGEFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMADDFP, PPC_INS_VMADDFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXFP, PPC_INS_VMAXFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXSB, PPC_INS_VMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXSD, PPC_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXSH, PPC_INS_VMAXSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXSW, PPC_INS_VMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXUB, PPC_INS_VMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXUD, PPC_INS_VMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXUH, PPC_INS_VMAXUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMAXUW, PPC_INS_VMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMHADDSHS, PPC_INS_VMHADDSHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMHRADDSHS, PPC_INS_VMHRADDSHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMIDUD, PPC_INS_VMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINFP, PPC_INS_VMINFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINSB, PPC_INS_VMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINSD, PPC_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINSH, PPC_INS_VMINSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINSW, PPC_INS_VMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINUB, PPC_INS_VMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINUH, PPC_INS_VMINUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMINUW, PPC_INS_VMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMLADDUHM, PPC_INS_VMLADDUHM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGHB, PPC_INS_VMRGHB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGHH, PPC_INS_VMRGHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGHW, PPC_INS_VMRGHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGLB, PPC_INS_VMRGLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGLH, PPC_INS_VMRGLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMRGLW, PPC_INS_VMRGLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMMBM, PPC_INS_VMSUMMBM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMSHM, PPC_INS_VMSUMSHM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMSHS, PPC_INS_VMSUMSHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMUBM, PPC_INS_VMSUMUBM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMUHM, PPC_INS_VMSUMUHM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMSUMUHS, PPC_INS_VMSUMUHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULESB, PPC_INS_VMULESB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULESH, PPC_INS_VMULESH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULESW, PPC_INS_VMULESW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULEUB, PPC_INS_VMULEUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULEUH, PPC_INS_VMULEUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULEUW, PPC_INS_VMULEUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOSB, PPC_INS_VMULOSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOSH, PPC_INS_VMULOSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOSW, PPC_INS_VMULOSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOUB, PPC_INS_VMULOUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOUH, PPC_INS_VMULOUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULOUW, PPC_INS_VMULOUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VMULUWM, PPC_INS_VMULUWM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VNAND, PPC_INS_VNAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VNMSUBFP, PPC_INS_VNMSUBFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VNOR, PPC_INS_VNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VOR, PPC_INS_VOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VORC, PPC_INS_VORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPERM, PPC_INS_VPERM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKPX, PPC_INS_VPKPX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKSHSS, PPC_INS_VPKSHSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKSHUS, PPC_INS_VPKSHUS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKSWSS, PPC_INS_VPKSWSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKSWUS, PPC_INS_VPKSWUS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKUHUM, PPC_INS_VPKUHUM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKUHUS, PPC_INS_VPKUHUS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKUWUM, PPC_INS_VPKUWUM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPKUWUS, PPC_INS_VPKUWUS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPOPCNTB, PPC_INS_VPOPCNTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPOPCNTD, PPC_INS_VPOPCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPOPCNTH, PPC_INS_VPOPCNTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VPOPCNTW, PPC_INS_VPOPCNTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VREFP, PPC_INS_VREFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRFIM, PPC_INS_VRFIM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRFIN, PPC_INS_VRFIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRFIP, PPC_INS_VRFIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRFIZ, PPC_INS_VRFIZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRLB, PPC_INS_VRLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRLD, PPC_INS_VRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRLH, PPC_INS_VRLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRLW, PPC_INS_VRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VRSQRTEFP, PPC_INS_VRSQRTEFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSEL, PPC_INS_VSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSL, PPC_INS_VSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLB, PPC_INS_VSLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLD, PPC_INS_VSLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLDOI, PPC_INS_VSLDOI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLH, PPC_INS_VSLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLO, PPC_INS_VSLO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSLW, PPC_INS_VSLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTB, PPC_INS_VSPLTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTH, PPC_INS_VSPLTH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTISB, PPC_INS_VSPLTISB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTISH, PPC_INS_VSPLTISH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTISW, PPC_INS_VSPLTISW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSPLTW, PPC_INS_VSPLTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSR, PPC_INS_VSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRAB, PPC_INS_VSRAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRAD, PPC_INS_VSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRAH, PPC_INS_VSRAH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRAW, PPC_INS_VSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRB, PPC_INS_VSRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRD, PPC_INS_VSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRH, PPC_INS_VSRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRO, PPC_INS_VSRO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSRW, PPC_INS_VSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBCUW, PPC_INS_VSUBCUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBFP, PPC_INS_VSUBFP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBSBS, PPC_INS_VSUBSBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBSHS, PPC_INS_VSUBSHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBSWS, PPC_INS_VSUBSWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUBM, PPC_INS_VSUBUBM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUBS, PPC_INS_VSUBUBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUDM, PPC_INS_VSUBUDM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUHM, PPC_INS_VSUBUHM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUHS, PPC_INS_VSUBUHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUWM, PPC_INS_VSUBUWM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUBUWS, PPC_INS_VSUBUWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUM2SWS, PPC_INS_VSUM2SWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUM4SBS, PPC_INS_VSUM4SBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUM4SHS, PPC_INS_VSUM4SHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUM4UBS, PPC_INS_VSUM4UBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VSUMSWS, PPC_INS_VSUMSWS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKHPX, PPC_INS_VUPKHPX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKHSB, PPC_INS_VUPKHSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKHSH, PPC_INS_VUPKHSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKLPX, PPC_INS_VUPKLPX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKLSB, PPC_INS_VUPKLSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VUPKLSH, PPC_INS_VUPKLSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_VXOR, PPC_INS_VXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SET0, PPC_INS_VXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SET0B, PPC_INS_VXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SET0H, PPC_INS_VXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SETALLONES, PPC_INS_VSPLTISW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SETALLONESB, PPC_INS_VSPLTISW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_V_SETALLONESH, PPC_INS_VSPLTISW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_ALTIVEC, 0 }, 0, 0
+#endif
+},
+{
+	PPC_WAIT, PPC_INS_WAIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_WRTEE, PPC_INS_WRTEE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_WRTEEI, PPC_INS_WRTEEI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_BOOKE, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XOR, PPC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XOR8, PPC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XOR8o, PPC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XORI, PPC_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XORI8, PPC_INS_XORI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XORIS, PPC_INS_XORIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XORIS8, PPC_INS_XORIS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XORo, PPC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { PPC_REG_CR0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSABSDP, PPC_INS_XSABSDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSADDDP, PPC_INS_XSADDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCMPODP, PPC_INS_XSCMPODP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCMPUDP, PPC_INS_XSCMPUDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCPSGNDP, PPC_INS_XSCPSGNDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVDPSP, PPC_INS_XSCVDPSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVDPSXDS, PPC_INS_XSCVDPSXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVDPSXWS, PPC_INS_XSCVDPSXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVDPUXDS, PPC_INS_XSCVDPUXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVDPUXWS, PPC_INS_XSCVDPUXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVSPDP, PPC_INS_XSCVSPDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVSXDDP, PPC_INS_XSCVSXDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSCVUXDDP, PPC_INS_XSCVUXDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSDIVDP, PPC_INS_XSDIVDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMADDADP, PPC_INS_XSMADDADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMADDMDP, PPC_INS_XSMADDMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMAXDP, PPC_INS_XSMAXDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMINDP, PPC_INS_XSMINDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMSUBADP, PPC_INS_XSMSUBADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMSUBMDP, PPC_INS_XSMSUBMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSMULDP, PPC_INS_XSMULDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNABSDP, PPC_INS_XSNABSDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNEGDP, PPC_INS_XSNEGDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNMADDADP, PPC_INS_XSNMADDADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNMADDMDP, PPC_INS_XSNMADDMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNMSUBADP, PPC_INS_XSNMSUBADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSNMSUBMDP, PPC_INS_XSNMSUBMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRDPI, PPC_INS_XSRDPI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRDPIC, PPC_INS_XSRDPIC,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRDPIM, PPC_INS_XSRDPIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRDPIP, PPC_INS_XSRDPIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRDPIZ, PPC_INS_XSRDPIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSREDP, PPC_INS_XSREDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSRSQRTEDP, PPC_INS_XSRSQRTEDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSSQRTDP, PPC_INS_XSSQRTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSSUBDP, PPC_INS_XSSUBDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSTDIVDP, PPC_INS_XSTDIVDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XSTSQRTDP, PPC_INS_XSTSQRTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVABSDP, PPC_INS_XVABSDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVABSSP, PPC_INS_XVABSSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVADDDP, PPC_INS_XVADDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVADDSP, PPC_INS_XVADDSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPEQDP, PPC_INS_XVCMPEQDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPEQDPo, PPC_INS_XVCMPEQDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPEQSP, PPC_INS_XVCMPEQSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPEQSPo, PPC_INS_XVCMPEQSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGEDP, PPC_INS_XVCMPGEDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGEDPo, PPC_INS_XVCMPGEDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGESP, PPC_INS_XVCMPGESP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGESPo, PPC_INS_XVCMPGESP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGTDP, PPC_INS_XVCMPGTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGTDPo, PPC_INS_XVCMPGTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGTSP, PPC_INS_XVCMPGTSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCMPGTSPo, PPC_INS_XVCMPGTSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { PPC_REG_CR6, 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCPSGNDP, PPC_INS_XVCPSGNDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCPSGNSP, PPC_INS_XVCPSGNSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVDPSP, PPC_INS_XVCVDPSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVDPSXDS, PPC_INS_XVCVDPSXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVDPSXWS, PPC_INS_XVCVDPSXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVDPUXDS, PPC_INS_XVCVDPUXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVDPUXWS, PPC_INS_XVCVDPUXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSPDP, PPC_INS_XVCVSPDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSPSXDS, PPC_INS_XVCVSPSXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSPSXWS, PPC_INS_XVCVSPSXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSPUXDS, PPC_INS_XVCVSPUXDS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSPUXWS, PPC_INS_XVCVSPUXWS,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSXDDP, PPC_INS_XVCVSXDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSXDSP, PPC_INS_XVCVSXDSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSXWDP, PPC_INS_XVCVSXWDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVSXWSP, PPC_INS_XVCVSXWSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVUXDDP, PPC_INS_XVCVUXDDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVUXDSP, PPC_INS_XVCVUXDSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVUXWDP, PPC_INS_XVCVUXWDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVCVUXWSP, PPC_INS_XVCVUXWSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVDIVDP, PPC_INS_XVDIVDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVDIVSP, PPC_INS_XVDIVSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMADDADP, PPC_INS_XVMADDADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMADDASP, PPC_INS_XVMADDASP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMADDMDP, PPC_INS_XVMADDMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMADDMSP, PPC_INS_XVMADDMSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMAXDP, PPC_INS_XVMAXDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMAXSP, PPC_INS_XVMAXSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMINDP, PPC_INS_XVMINDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMINSP, PPC_INS_XVMINSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMSUBADP, PPC_INS_XVMSUBADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMSUBASP, PPC_INS_XVMSUBASP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMSUBMDP, PPC_INS_XVMSUBMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMSUBMSP, PPC_INS_XVMSUBMSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMULDP, PPC_INS_XVMULDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVMULSP, PPC_INS_XVMULSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNABSDP, PPC_INS_XVNABSDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNABSSP, PPC_INS_XVNABSSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNEGDP, PPC_INS_XVNEGDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNEGSP, PPC_INS_XVNEGSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMADDADP, PPC_INS_XVNMADDADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMADDASP, PPC_INS_XVNMADDASP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMADDMDP, PPC_INS_XVNMADDMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMADDMSP, PPC_INS_XVNMADDMSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMSUBADP, PPC_INS_XVNMSUBADP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMSUBASP, PPC_INS_XVNMSUBASP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMSUBMDP, PPC_INS_XVNMSUBMDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVNMSUBMSP, PPC_INS_XVNMSUBMSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRDPI, PPC_INS_XVRDPI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRDPIC, PPC_INS_XVRDPIC,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRDPIM, PPC_INS_XVRDPIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRDPIP, PPC_INS_XVRDPIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRDPIZ, PPC_INS_XVRDPIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVREDP, PPC_INS_XVREDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRESP, PPC_INS_XVRESP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSPI, PPC_INS_XVRSPI,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSPIC, PPC_INS_XVRSPIC,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSPIM, PPC_INS_XVRSPIM,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSPIP, PPC_INS_XVRSPIP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSPIZ, PPC_INS_XVRSPIZ,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSQRTEDP, PPC_INS_XVRSQRTEDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVRSQRTESP, PPC_INS_XVRSQRTESP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVSQRTDP, PPC_INS_XVSQRTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVSQRTSP, PPC_INS_XVSQRTSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVSUBDP, PPC_INS_XVSUBDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVSUBSP, PPC_INS_XVSUBSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVTDIVDP, PPC_INS_XVTDIVDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVTDIVSP, PPC_INS_XVTDIVSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVTSQRTDP, PPC_INS_XVTSQRTDP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XVTSQRTSP, PPC_INS_XVTSQRTSP,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_RM, 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLAND, PPC_INS_XXLAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLANDC, PPC_INS_XXLANDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLEQV, PPC_INS_XXLEQV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8VECTOR, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLNAND, PPC_INS_XXLNAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8VECTOR, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLNOR, PPC_INS_XXLNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLOR, PPC_INS_XXLOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLORC, PPC_INS_XXLORC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_P8VECTOR, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLORf, PPC_INS_XXLOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXLXOR, PPC_INS_XXLXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXMRGHW, PPC_INS_XXMRGHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXMRGLW, PPC_INS_XXMRGLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXPERMDI, PPC_INS_XXPERMDI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXSEL, PPC_INS_XXSEL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXSLDWI, PPC_INS_XXSLDWI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_XXSPLTW, PPC_INS_XXSPLTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { PPC_GRP_VSX, 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBC, PPC_INS_BC,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCA, PPC_INS_BCA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCCTR, PPC_INS_BCCTR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCCTRL, PPC_INS_BCCTRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCL, PPC_INS_BCL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCLA, PPC_INS_BCLA,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCLR, PPC_INS_BCLR,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	PPC_gBCLRL, PPC_INS_BCLRL,
+#ifndef CAPSTONE_DIET
+	{ PPC_REG_CTR, PPC_REG_LR, PPC_REG_RM, 0 }, { PPC_REG_LR, PPC_REG_CTR, 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCModule.c 4.0.2-3/arch/PowerPC/PPCModule.c
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_POWERPC
 
diff -pruN 4.0.1+really+3.0.5-2/arch/PowerPC/PPCPredicates.h 4.0.2-3/arch/PowerPC/PPCPredicates.h
--- 4.0.1+really+3.0.5-2/arch/PowerPC/PPCPredicates.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/PowerPC/PPCPredicates.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,12 +12,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_POWERPC_PPCPREDICATES_H
 #define CS_POWERPC_PPCPREDICATES_H
 
-#include "../../include/ppc.h"
+#include "capstone/ppc.h"
 
 // NOTE: duplicate of ppc_bc in ppc.h to maitain code compatibility with LLVM
 typedef enum ppc_predicate {
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcDisassembler.c 4.0.2-3/arch/Sparc/SparcDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SPARC
 
@@ -19,6 +19,8 @@
 #include "../../cs_priv.h"
 #include "../../utils.h"
 
+#include "SparcDisassembler.h"
+
 #include "../../MCInst.h"
 #include "../../MCInstrDesc.h"
 #include "../../MCFixedLenDisassembler.h"
@@ -204,19 +206,15 @@ static DecodeStatus DecodeSWAP(MCInst *I
 /// readInstruction - read four bytes and return 32 bit word.
 static DecodeStatus readInstruction32(const uint8_t *code, size_t len, uint32_t *Insn)
 {
-	uint8_t Bytes[4];
-
 	if (len < 4)
 		// not enough data
 		return MCDisassembler_Fail;
 
-	memcpy(Bytes, code, 4);
-
 	// Encoded as a big-endian 32-bit word in the stream.
-	*Insn = (Bytes[3] <<  0) |
-		(Bytes[2] <<  8) |
-		(Bytes[1] << 16) |
-		(((uint32_t) Bytes[0]) << 24);
+	*Insn = (code[3] <<  0) |
+		(code[2] <<  8) |
+		(code[1] << 16) |
+		((uint32_t) code[0] << 24);
 
 	return MCDisassembler_Success;
 }
@@ -232,7 +230,7 @@ bool Sparc_getInstruction(csh ud, const
 		return false;
 
 	if (MI->flat_insn->detail) {
-		memset(MI->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, sparc)+sizeof(cs_sparc));
 	}
 
 	Result = decodeInstruction_4(DecoderTableSparc32, MI, Insn, address,
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcDisassembler.h 4.0.2-3/arch/Sparc/SparcDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SPARCDISASSEMBLER_H
 #define CS_SPARCDISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenAsmWriter.inc 4.0.2-3/arch/Sparc/SparcGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,10 +7,10 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include <stdio.h>	// debug
-#include <platform.h>
+#include <capstone/platform.h>
 
 
 /// printInstruction - This method is automatically generated by tablegen
@@ -38,6 +38,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     4688U,	// ADDCCri
     4688U,	// ADDCCrr
     5925U,	// ADDCri
@@ -1184,7 +1186,7 @@ static const char *getRegisterName(unsig
   /* 302 */ 'y', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
+  static const uint16_t RegAsmOffset[] = {
     292, 302, 29, 105, 168, 226, 278, 0, 76, 148, 206, 258, 4, 80, 
     152, 210, 262, 8, 84, 156, 214, 266, 12, 88, 160, 218, 270, 16, 
     92, 164, 222, 274, 20, 96, 29, 61, 105, 133, 168, 191, 226, 243, 
@@ -1197,7 +1199,7 @@ static const char *getRegisterName(unsig
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenDisassemblerTables.inc 4.0.2-3/arch/Sparc/SparcGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -29,453 +29,453 @@ static const uint8_t DecoderTableSparc32
 /* 3 */       MCD_OPC_FilterValue, 0, 13, 2, // Skip to: 532
 /* 7 */       MCD_OPC_ExtractField, 22, 3,  // Inst{24-22} ...
 /* 10 */      MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 24
-/* 14 */      MCD_OPC_CheckField, 25, 5, 0, 161, 22, // Skip to: 5813
-/* 20 */      MCD_OPC_Decode, 209, 3, 0, // Opcode: UNIMP
+/* 14 */      MCD_OPC_CheckField, 25, 5, 0, 163, 22, // Skip to: 5815
+/* 20 */      MCD_OPC_Decode, 211, 3, 0, // Opcode: UNIMP
 /* 24 */      MCD_OPC_FilterValue, 1, 103, 0, // Skip to: 131
 /* 28 */      MCD_OPC_ExtractField, 19, 3,  // Inst{21-19} ...
 /* 31 */      MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 60
 /* 35 */      MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 38 */      MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 49
-/* 42 */      MCD_OPC_CheckPredicate, 0, 135, 22, // Skip to: 5813
-/* 46 */      MCD_OPC_Decode, 92, 1, // Opcode: BPICCNT
-/* 49 */      MCD_OPC_FilterValue, 1, 128, 22, // Skip to: 5813
-/* 53 */      MCD_OPC_CheckPredicate, 0, 124, 22, // Skip to: 5813
-/* 57 */      MCD_OPC_Decode, 91, 1, // Opcode: BPICCANT
+/* 42 */      MCD_OPC_CheckPredicate, 0, 137, 22, // Skip to: 5815
+/* 46 */      MCD_OPC_Decode, 94, 1, // Opcode: BPICCNT
+/* 49 */      MCD_OPC_FilterValue, 1, 130, 22, // Skip to: 5815
+/* 53 */      MCD_OPC_CheckPredicate, 0, 126, 22, // Skip to: 5815
+/* 57 */      MCD_OPC_Decode, 93, 1, // Opcode: BPICCANT
 /* 60 */      MCD_OPC_FilterValue, 1, 25, 0, // Skip to: 89
 /* 64 */      MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 67 */      MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 78
-/* 71 */      MCD_OPC_CheckPredicate, 0, 106, 22, // Skip to: 5813
-/* 75 */      MCD_OPC_Decode, 89, 1, // Opcode: BPICC
-/* 78 */      MCD_OPC_FilterValue, 1, 99, 22, // Skip to: 5813
-/* 82 */      MCD_OPC_CheckPredicate, 0, 95, 22, // Skip to: 5813
-/* 86 */      MCD_OPC_Decode, 90, 1, // Opcode: BPICCA
+/* 71 */      MCD_OPC_CheckPredicate, 0, 108, 22, // Skip to: 5815
+/* 75 */      MCD_OPC_Decode, 91, 1, // Opcode: BPICC
+/* 78 */      MCD_OPC_FilterValue, 1, 101, 22, // Skip to: 5815
+/* 82 */      MCD_OPC_CheckPredicate, 0, 97, 22, // Skip to: 5815
+/* 86 */      MCD_OPC_Decode, 92, 1, // Opcode: BPICCA
 /* 89 */      MCD_OPC_FilterValue, 4, 17, 0, // Skip to: 110
 /* 93 */      MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 96 */      MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 103
-/* 100 */     MCD_OPC_Decode, 108, 1, // Opcode: BPXCCNT
-/* 103 */     MCD_OPC_FilterValue, 1, 74, 22, // Skip to: 5813
-/* 107 */     MCD_OPC_Decode, 107, 1, // Opcode: BPXCCANT
-/* 110 */     MCD_OPC_FilterValue, 5, 67, 22, // Skip to: 5813
+/* 100 */     MCD_OPC_Decode, 110, 1, // Opcode: BPXCCNT
+/* 103 */     MCD_OPC_FilterValue, 1, 76, 22, // Skip to: 5815
+/* 107 */     MCD_OPC_Decode, 109, 1, // Opcode: BPXCCANT
+/* 110 */     MCD_OPC_FilterValue, 5, 69, 22, // Skip to: 5815
 /* 114 */     MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 117 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 124
-/* 121 */     MCD_OPC_Decode, 105, 1, // Opcode: BPXCC
-/* 124 */     MCD_OPC_FilterValue, 1, 53, 22, // Skip to: 5813
-/* 128 */     MCD_OPC_Decode, 106, 1, // Opcode: BPXCCA
+/* 121 */     MCD_OPC_Decode, 107, 1, // Opcode: BPXCC
+/* 124 */     MCD_OPC_FilterValue, 1, 55, 22, // Skip to: 5815
+/* 128 */     MCD_OPC_Decode, 108, 1, // Opcode: BPXCCA
 /* 131 */     MCD_OPC_FilterValue, 2, 26, 0, // Skip to: 161
 /* 135 */     MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 138 */     MCD_OPC_FilterValue, 0, 12, 0, // Skip to: 154
 /* 142 */     MCD_OPC_CheckField, 25, 4, 8, 3, 0, // Skip to: 151
-/* 148 */     MCD_OPC_Decode, 71, 0, // Opcode: BA
-/* 151 */     MCD_OPC_Decode, 72, 2, // Opcode: BCOND
-/* 154 */     MCD_OPC_FilterValue, 1, 23, 22, // Skip to: 5813
-/* 158 */     MCD_OPC_Decode, 73, 2, // Opcode: BCONDA
+/* 148 */     MCD_OPC_Decode, 73, 0, // Opcode: BA
+/* 151 */     MCD_OPC_Decode, 74, 2, // Opcode: BCOND
+/* 154 */     MCD_OPC_FilterValue, 1, 25, 22, // Skip to: 5815
+/* 158 */     MCD_OPC_Decode, 75, 2, // Opcode: BCONDA
 /* 161 */     MCD_OPC_FilterValue, 3, 255, 0, // Skip to: 420
 /* 165 */     MCD_OPC_ExtractField, 25, 5,  // Inst{29-25} ...
 /* 168 */     MCD_OPC_FilterValue, 1, 17, 0, // Skip to: 189
 /* 172 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 175 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 182
-/* 179 */     MCD_OPC_Decode, 111, 3, // Opcode: BPZnapn
-/* 182 */     MCD_OPC_FilterValue, 1, 251, 21, // Skip to: 5813
-/* 186 */     MCD_OPC_Decode, 112, 3, // Opcode: BPZnapt
+/* 179 */     MCD_OPC_Decode, 113, 3, // Opcode: BPZnapn
+/* 182 */     MCD_OPC_FilterValue, 1, 253, 21, // Skip to: 5815
+/* 186 */     MCD_OPC_Decode, 114, 3, // Opcode: BPZnapt
 /* 189 */     MCD_OPC_FilterValue, 2, 17, 0, // Skip to: 210
 /* 193 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 196 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 203
-/* 200 */     MCD_OPC_Decode, 95, 3, // Opcode: BPLEZnapn
-/* 203 */     MCD_OPC_FilterValue, 1, 230, 21, // Skip to: 5813
-/* 207 */     MCD_OPC_Decode, 96, 3, // Opcode: BPLEZnapt
+/* 200 */     MCD_OPC_Decode, 97, 3, // Opcode: BPLEZnapn
+/* 203 */     MCD_OPC_FilterValue, 1, 232, 21, // Skip to: 5815
+/* 207 */     MCD_OPC_Decode, 98, 3, // Opcode: BPLEZnapt
 /* 210 */     MCD_OPC_FilterValue, 3, 17, 0, // Skip to: 231
 /* 214 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 217 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 224
-/* 221 */     MCD_OPC_Decode, 99, 3, // Opcode: BPLZnapn
-/* 224 */     MCD_OPC_FilterValue, 1, 209, 21, // Skip to: 5813
-/* 228 */     MCD_OPC_Decode, 100, 3, // Opcode: BPLZnapt
+/* 221 */     MCD_OPC_Decode, 101, 3, // Opcode: BPLZnapn
+/* 224 */     MCD_OPC_FilterValue, 1, 211, 21, // Skip to: 5815
+/* 228 */     MCD_OPC_Decode, 102, 3, // Opcode: BPLZnapt
 /* 231 */     MCD_OPC_FilterValue, 5, 17, 0, // Skip to: 252
 /* 235 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 238 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 245
-/* 242 */     MCD_OPC_Decode, 103, 3, // Opcode: BPNZnapn
-/* 245 */     MCD_OPC_FilterValue, 1, 188, 21, // Skip to: 5813
-/* 249 */     MCD_OPC_Decode, 104, 3, // Opcode: BPNZnapt
+/* 242 */     MCD_OPC_Decode, 105, 3, // Opcode: BPNZnapn
+/* 245 */     MCD_OPC_FilterValue, 1, 190, 21, // Skip to: 5815
+/* 249 */     MCD_OPC_Decode, 106, 3, // Opcode: BPNZnapt
 /* 252 */     MCD_OPC_FilterValue, 6, 17, 0, // Skip to: 273
 /* 256 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 259 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 266
-/* 263 */     MCD_OPC_Decode, 87, 3, // Opcode: BPGZnapn
-/* 266 */     MCD_OPC_FilterValue, 1, 167, 21, // Skip to: 5813
-/* 270 */     MCD_OPC_Decode, 88, 3, // Opcode: BPGZnapt
+/* 263 */     MCD_OPC_Decode, 89, 3, // Opcode: BPGZnapn
+/* 266 */     MCD_OPC_FilterValue, 1, 169, 21, // Skip to: 5815
+/* 270 */     MCD_OPC_Decode, 90, 3, // Opcode: BPGZnapt
 /* 273 */     MCD_OPC_FilterValue, 7, 17, 0, // Skip to: 294
 /* 277 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 280 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 287
-/* 284 */     MCD_OPC_Decode, 83, 3, // Opcode: BPGEZnapn
-/* 287 */     MCD_OPC_FilterValue, 1, 146, 21, // Skip to: 5813
-/* 291 */     MCD_OPC_Decode, 84, 3, // Opcode: BPGEZnapt
+/* 284 */     MCD_OPC_Decode, 85, 3, // Opcode: BPGEZnapn
+/* 287 */     MCD_OPC_FilterValue, 1, 148, 21, // Skip to: 5815
+/* 291 */     MCD_OPC_Decode, 86, 3, // Opcode: BPGEZnapt
 /* 294 */     MCD_OPC_FilterValue, 17, 17, 0, // Skip to: 315
 /* 298 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 301 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 308
-/* 305 */     MCD_OPC_Decode, 109, 3, // Opcode: BPZapn
-/* 308 */     MCD_OPC_FilterValue, 1, 125, 21, // Skip to: 5813
-/* 312 */     MCD_OPC_Decode, 110, 3, // Opcode: BPZapt
+/* 305 */     MCD_OPC_Decode, 111, 3, // Opcode: BPZapn
+/* 308 */     MCD_OPC_FilterValue, 1, 127, 21, // Skip to: 5815
+/* 312 */     MCD_OPC_Decode, 112, 3, // Opcode: BPZapt
 /* 315 */     MCD_OPC_FilterValue, 18, 17, 0, // Skip to: 336
 /* 319 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 322 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 329
-/* 326 */     MCD_OPC_Decode, 93, 3, // Opcode: BPLEZapn
-/* 329 */     MCD_OPC_FilterValue, 1, 104, 21, // Skip to: 5813
-/* 333 */     MCD_OPC_Decode, 94, 3, // Opcode: BPLEZapt
+/* 326 */     MCD_OPC_Decode, 95, 3, // Opcode: BPLEZapn
+/* 329 */     MCD_OPC_FilterValue, 1, 106, 21, // Skip to: 5815
+/* 333 */     MCD_OPC_Decode, 96, 3, // Opcode: BPLEZapt
 /* 336 */     MCD_OPC_FilterValue, 19, 17, 0, // Skip to: 357
 /* 340 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 343 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 350
-/* 347 */     MCD_OPC_Decode, 97, 3, // Opcode: BPLZapn
-/* 350 */     MCD_OPC_FilterValue, 1, 83, 21, // Skip to: 5813
-/* 354 */     MCD_OPC_Decode, 98, 3, // Opcode: BPLZapt
+/* 347 */     MCD_OPC_Decode, 99, 3, // Opcode: BPLZapn
+/* 350 */     MCD_OPC_FilterValue, 1, 85, 21, // Skip to: 5815
+/* 354 */     MCD_OPC_Decode, 100, 3, // Opcode: BPLZapt
 /* 357 */     MCD_OPC_FilterValue, 21, 17, 0, // Skip to: 378
 /* 361 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 364 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 371
-/* 368 */     MCD_OPC_Decode, 101, 3, // Opcode: BPNZapn
-/* 371 */     MCD_OPC_FilterValue, 1, 62, 21, // Skip to: 5813
-/* 375 */     MCD_OPC_Decode, 102, 3, // Opcode: BPNZapt
+/* 368 */     MCD_OPC_Decode, 103, 3, // Opcode: BPNZapn
+/* 371 */     MCD_OPC_FilterValue, 1, 64, 21, // Skip to: 5815
+/* 375 */     MCD_OPC_Decode, 104, 3, // Opcode: BPNZapt
 /* 378 */     MCD_OPC_FilterValue, 22, 17, 0, // Skip to: 399
 /* 382 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 385 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 392
-/* 389 */     MCD_OPC_Decode, 85, 3, // Opcode: BPGZapn
-/* 392 */     MCD_OPC_FilterValue, 1, 41, 21, // Skip to: 5813
-/* 396 */     MCD_OPC_Decode, 86, 3, // Opcode: BPGZapt
-/* 399 */     MCD_OPC_FilterValue, 23, 34, 21, // Skip to: 5813
+/* 389 */     MCD_OPC_Decode, 87, 3, // Opcode: BPGZapn
+/* 392 */     MCD_OPC_FilterValue, 1, 43, 21, // Skip to: 5815
+/* 396 */     MCD_OPC_Decode, 88, 3, // Opcode: BPGZapt
+/* 399 */     MCD_OPC_FilterValue, 23, 36, 21, // Skip to: 5815
 /* 403 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 406 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 413
-/* 410 */     MCD_OPC_Decode, 81, 3, // Opcode: BPGEZapn
-/* 413 */     MCD_OPC_FilterValue, 1, 20, 21, // Skip to: 5813
-/* 417 */     MCD_OPC_Decode, 82, 3, // Opcode: BPGEZapt
+/* 410 */     MCD_OPC_Decode, 83, 3, // Opcode: BPGEZapn
+/* 413 */     MCD_OPC_FilterValue, 1, 22, 21, // Skip to: 5815
+/* 417 */     MCD_OPC_Decode, 84, 3, // Opcode: BPGEZapt
 /* 420 */     MCD_OPC_FilterValue, 4, 20, 0, // Skip to: 444
 /* 424 */     MCD_OPC_CheckField, 25, 5, 0, 10, 0, // Skip to: 440
 /* 430 */     MCD_OPC_CheckField, 0, 22, 0, 4, 0, // Skip to: 440
-/* 436 */     MCD_OPC_Decode, 222, 2, 4, // Opcode: NOP
-/* 440 */     MCD_OPC_Decode, 133, 3, 5, // Opcode: SETHIi
+/* 436 */     MCD_OPC_Decode, 224, 2, 4, // Opcode: NOP
+/* 440 */     MCD_OPC_Decode, 135, 3, 5, // Opcode: SETHIi
 /* 444 */     MCD_OPC_FilterValue, 5, 61, 0, // Skip to: 509
 /* 448 */     MCD_OPC_ExtractField, 19, 1,  // Inst{19} ...
 /* 451 */     MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 480
 /* 455 */     MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 458 */     MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 469
-/* 462 */     MCD_OPC_CheckPredicate, 0, 227, 20, // Skip to: 5813
-/* 466 */     MCD_OPC_Decode, 80, 6, // Opcode: BPFCCNT
-/* 469 */     MCD_OPC_FilterValue, 1, 220, 20, // Skip to: 5813
-/* 473 */     MCD_OPC_CheckPredicate, 0, 216, 20, // Skip to: 5813
-/* 477 */     MCD_OPC_Decode, 79, 6, // Opcode: BPFCCANT
-/* 480 */     MCD_OPC_FilterValue, 1, 209, 20, // Skip to: 5813
+/* 462 */     MCD_OPC_CheckPredicate, 0, 229, 20, // Skip to: 5815
+/* 466 */     MCD_OPC_Decode, 82, 6, // Opcode: BPFCCNT
+/* 469 */     MCD_OPC_FilterValue, 1, 222, 20, // Skip to: 5815
+/* 473 */     MCD_OPC_CheckPredicate, 0, 218, 20, // Skip to: 5815
+/* 477 */     MCD_OPC_Decode, 81, 6, // Opcode: BPFCCANT
+/* 480 */     MCD_OPC_FilterValue, 1, 211, 20, // Skip to: 5815
 /* 484 */     MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 487 */     MCD_OPC_FilterValue, 0, 7, 0, // Skip to: 498
-/* 491 */     MCD_OPC_CheckPredicate, 0, 198, 20, // Skip to: 5813
-/* 495 */     MCD_OPC_Decode, 77, 6, // Opcode: BPFCC
-/* 498 */     MCD_OPC_FilterValue, 1, 191, 20, // Skip to: 5813
-/* 502 */     MCD_OPC_CheckPredicate, 0, 187, 20, // Skip to: 5813
-/* 506 */     MCD_OPC_Decode, 78, 6, // Opcode: BPFCCA
-/* 509 */     MCD_OPC_FilterValue, 6, 180, 20, // Skip to: 5813
+/* 491 */     MCD_OPC_CheckPredicate, 0, 200, 20, // Skip to: 5815
+/* 495 */     MCD_OPC_Decode, 79, 6, // Opcode: BPFCC
+/* 498 */     MCD_OPC_FilterValue, 1, 193, 20, // Skip to: 5815
+/* 502 */     MCD_OPC_CheckPredicate, 0, 189, 20, // Skip to: 5815
+/* 506 */     MCD_OPC_Decode, 80, 6, // Opcode: BPFCCA
+/* 509 */     MCD_OPC_FilterValue, 6, 182, 20, // Skip to: 5815
 /* 513 */     MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
 /* 516 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 524
-/* 520 */     MCD_OPC_Decode, 149, 1, 2, // Opcode: FBCOND
-/* 524 */     MCD_OPC_FilterValue, 1, 165, 20, // Skip to: 5813
-/* 528 */     MCD_OPC_Decode, 150, 1, 2, // Opcode: FBCONDA
+/* 520 */     MCD_OPC_Decode, 151, 1, 2, // Opcode: FBCOND
+/* 524 */     MCD_OPC_FilterValue, 1, 167, 20, // Skip to: 5815
+/* 528 */     MCD_OPC_Decode, 152, 1, 2, // Opcode: FBCONDA
 /* 532 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 539
-/* 536 */     MCD_OPC_Decode, 114, 7, // Opcode: CALL
-/* 539 */     MCD_OPC_FilterValue, 2, 85, 18, // Skip to: 5236
+/* 536 */     MCD_OPC_Decode, 116, 7, // Opcode: CALL
+/* 539 */     MCD_OPC_FilterValue, 2, 87, 18, // Skip to: 5238
 /* 543 */     MCD_OPC_ExtractField, 19, 6,  // Inst{24-19} ...
 /* 546 */     MCD_OPC_FilterValue, 0, 23, 0, // Skip to: 573
 /* 550 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 553 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 566
-/* 557 */     MCD_OPC_CheckField, 5, 8, 0, 130, 20, // Skip to: 5813
-/* 563 */     MCD_OPC_Decode, 31, 8, // Opcode: ADDrr
-/* 566 */     MCD_OPC_FilterValue, 1, 123, 20, // Skip to: 5813
-/* 570 */     MCD_OPC_Decode, 30, 9, // Opcode: ADDri
+/* 557 */     MCD_OPC_CheckField, 5, 8, 0, 132, 20, // Skip to: 5815
+/* 563 */     MCD_OPC_Decode, 33, 8, // Opcode: ADDrr
+/* 566 */     MCD_OPC_FilterValue, 1, 125, 20, // Skip to: 5815
+/* 570 */     MCD_OPC_Decode, 32, 9, // Opcode: ADDri
 /* 573 */     MCD_OPC_FilterValue, 1, 23, 0, // Skip to: 600
 /* 577 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 580 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 593
-/* 584 */     MCD_OPC_CheckField, 5, 8, 0, 103, 20, // Skip to: 5813
-/* 590 */     MCD_OPC_Decode, 46, 8, // Opcode: ANDrr
-/* 593 */     MCD_OPC_FilterValue, 1, 96, 20, // Skip to: 5813
-/* 597 */     MCD_OPC_Decode, 45, 9, // Opcode: ANDri
+/* 584 */     MCD_OPC_CheckField, 5, 8, 0, 105, 20, // Skip to: 5815
+/* 590 */     MCD_OPC_Decode, 48, 8, // Opcode: ANDrr
+/* 593 */     MCD_OPC_FilterValue, 1, 98, 20, // Skip to: 5815
+/* 597 */     MCD_OPC_Decode, 47, 9, // Opcode: ANDri
 /* 600 */     MCD_OPC_FilterValue, 2, 25, 0, // Skip to: 629
 /* 604 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 607 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 621
-/* 611 */     MCD_OPC_CheckField, 5, 8, 0, 76, 20, // Skip to: 5813
-/* 617 */     MCD_OPC_Decode, 233, 2, 8, // Opcode: ORrr
-/* 621 */     MCD_OPC_FilterValue, 1, 68, 20, // Skip to: 5813
-/* 625 */     MCD_OPC_Decode, 232, 2, 9, // Opcode: ORri
+/* 611 */     MCD_OPC_CheckField, 5, 8, 0, 78, 20, // Skip to: 5815
+/* 617 */     MCD_OPC_Decode, 235, 2, 8, // Opcode: ORrr
+/* 621 */     MCD_OPC_FilterValue, 1, 70, 20, // Skip to: 5815
+/* 625 */     MCD_OPC_Decode, 234, 2, 9, // Opcode: ORri
 /* 629 */     MCD_OPC_FilterValue, 3, 25, 0, // Skip to: 658
 /* 633 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 636 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 650
-/* 640 */     MCD_OPC_CheckField, 5, 8, 0, 47, 20, // Skip to: 5813
-/* 646 */     MCD_OPC_Decode, 235, 3, 8, // Opcode: XORrr
-/* 650 */     MCD_OPC_FilterValue, 1, 39, 20, // Skip to: 5813
-/* 654 */     MCD_OPC_Decode, 234, 3, 9, // Opcode: XORri
+/* 640 */     MCD_OPC_CheckField, 5, 8, 0, 49, 20, // Skip to: 5815
+/* 646 */     MCD_OPC_Decode, 237, 3, 8, // Opcode: XORrr
+/* 650 */     MCD_OPC_FilterValue, 1, 41, 20, // Skip to: 5815
+/* 654 */     MCD_OPC_Decode, 236, 3, 9, // Opcode: XORri
 /* 658 */     MCD_OPC_FilterValue, 4, 25, 0, // Skip to: 687
 /* 662 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 665 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 679
-/* 669 */     MCD_OPC_CheckField, 5, 8, 0, 18, 20, // Skip to: 5813
-/* 675 */     MCD_OPC_Decode, 176, 3, 8, // Opcode: SUBrr
-/* 679 */     MCD_OPC_FilterValue, 1, 10, 20, // Skip to: 5813
-/* 683 */     MCD_OPC_Decode, 175, 3, 9, // Opcode: SUBri
+/* 669 */     MCD_OPC_CheckField, 5, 8, 0, 20, 20, // Skip to: 5815
+/* 675 */     MCD_OPC_Decode, 178, 3, 8, // Opcode: SUBrr
+/* 679 */     MCD_OPC_FilterValue, 1, 12, 20, // Skip to: 5815
+/* 683 */     MCD_OPC_Decode, 177, 3, 9, // Opcode: SUBri
 /* 687 */     MCD_OPC_FilterValue, 5, 23, 0, // Skip to: 714
 /* 691 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 694 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 707
-/* 698 */     MCD_OPC_CheckField, 5, 8, 0, 245, 19, // Skip to: 5813
-/* 704 */     MCD_OPC_Decode, 41, 8, // Opcode: ANDNrr
-/* 707 */     MCD_OPC_FilterValue, 1, 238, 19, // Skip to: 5813
-/* 711 */     MCD_OPC_Decode, 40, 9, // Opcode: ANDNri
+/* 698 */     MCD_OPC_CheckField, 5, 8, 0, 247, 19, // Skip to: 5815
+/* 704 */     MCD_OPC_Decode, 43, 8, // Opcode: ANDNrr
+/* 707 */     MCD_OPC_FilterValue, 1, 240, 19, // Skip to: 5815
+/* 711 */     MCD_OPC_Decode, 42, 9, // Opcode: ANDNri
 /* 714 */     MCD_OPC_FilterValue, 6, 25, 0, // Skip to: 743
 /* 718 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 721 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 735
-/* 725 */     MCD_OPC_CheckField, 5, 8, 0, 218, 19, // Skip to: 5813
-/* 731 */     MCD_OPC_Decode, 228, 2, 8, // Opcode: ORNrr
-/* 735 */     MCD_OPC_FilterValue, 1, 210, 19, // Skip to: 5813
-/* 739 */     MCD_OPC_Decode, 227, 2, 9, // Opcode: ORNri
+/* 725 */     MCD_OPC_CheckField, 5, 8, 0, 220, 19, // Skip to: 5815
+/* 731 */     MCD_OPC_Decode, 230, 2, 8, // Opcode: ORNrr
+/* 735 */     MCD_OPC_FilterValue, 1, 212, 19, // Skip to: 5815
+/* 739 */     MCD_OPC_Decode, 229, 2, 9, // Opcode: ORNri
 /* 743 */     MCD_OPC_FilterValue, 7, 25, 0, // Skip to: 772
 /* 747 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 750 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 764
-/* 754 */     MCD_OPC_CheckField, 5, 8, 0, 189, 19, // Skip to: 5813
-/* 760 */     MCD_OPC_Decode, 229, 3, 8, // Opcode: XNORrr
-/* 764 */     MCD_OPC_FilterValue, 1, 181, 19, // Skip to: 5813
-/* 768 */     MCD_OPC_Decode, 228, 3, 9, // Opcode: XNORri
+/* 754 */     MCD_OPC_CheckField, 5, 8, 0, 191, 19, // Skip to: 5815
+/* 760 */     MCD_OPC_Decode, 231, 3, 8, // Opcode: XNORrr
+/* 764 */     MCD_OPC_FilterValue, 1, 183, 19, // Skip to: 5815
+/* 768 */     MCD_OPC_Decode, 230, 3, 9, // Opcode: XNORri
 /* 772 */     MCD_OPC_FilterValue, 8, 23, 0, // Skip to: 799
 /* 776 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 779 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 792
-/* 783 */     MCD_OPC_CheckField, 5, 8, 0, 160, 19, // Skip to: 5813
-/* 789 */     MCD_OPC_Decode, 23, 8, // Opcode: ADDCrr
-/* 792 */     MCD_OPC_FilterValue, 1, 153, 19, // Skip to: 5813
-/* 796 */     MCD_OPC_Decode, 22, 9, // Opcode: ADDCri
+/* 783 */     MCD_OPC_CheckField, 5, 8, 0, 162, 19, // Skip to: 5815
+/* 789 */     MCD_OPC_Decode, 25, 8, // Opcode: ADDCrr
+/* 792 */     MCD_OPC_FilterValue, 1, 155, 19, // Skip to: 5815
+/* 796 */     MCD_OPC_Decode, 24, 9, // Opcode: ADDCri
 /* 799 */     MCD_OPC_FilterValue, 9, 25, 0, // Skip to: 828
 /* 803 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 806 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 820
-/* 810 */     MCD_OPC_CheckField, 5, 8, 0, 133, 19, // Skip to: 5813
-/* 816 */     MCD_OPC_Decode, 221, 2, 10, // Opcode: MULXrr
-/* 820 */     MCD_OPC_FilterValue, 1, 125, 19, // Skip to: 5813
-/* 824 */     MCD_OPC_Decode, 220, 2, 11, // Opcode: MULXri
+/* 810 */     MCD_OPC_CheckField, 5, 8, 0, 135, 19, // Skip to: 5815
+/* 816 */     MCD_OPC_Decode, 223, 2, 10, // Opcode: MULXrr
+/* 820 */     MCD_OPC_FilterValue, 1, 127, 19, // Skip to: 5815
+/* 824 */     MCD_OPC_Decode, 222, 2, 11, // Opcode: MULXri
 /* 828 */     MCD_OPC_FilterValue, 10, 25, 0, // Skip to: 857
 /* 832 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 835 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 849
-/* 839 */     MCD_OPC_CheckField, 5, 8, 0, 104, 19, // Skip to: 5813
-/* 845 */     MCD_OPC_Decode, 208, 3, 8, // Opcode: UMULrr
-/* 849 */     MCD_OPC_FilterValue, 1, 96, 19, // Skip to: 5813
-/* 853 */     MCD_OPC_Decode, 207, 3, 9, // Opcode: UMULri
+/* 839 */     MCD_OPC_CheckField, 5, 8, 0, 106, 19, // Skip to: 5815
+/* 845 */     MCD_OPC_Decode, 210, 3, 8, // Opcode: UMULrr
+/* 849 */     MCD_OPC_FilterValue, 1, 98, 19, // Skip to: 5815
+/* 853 */     MCD_OPC_Decode, 209, 3, 9, // Opcode: UMULri
 /* 857 */     MCD_OPC_FilterValue, 11, 25, 0, // Skip to: 886
 /* 861 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 864 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 878
-/* 868 */     MCD_OPC_CheckField, 5, 8, 0, 75, 19, // Skip to: 5813
-/* 874 */     MCD_OPC_Decode, 143, 3, 8, // Opcode: SMULrr
-/* 878 */     MCD_OPC_FilterValue, 1, 67, 19, // Skip to: 5813
-/* 882 */     MCD_OPC_Decode, 142, 3, 9, // Opcode: SMULri
+/* 868 */     MCD_OPC_CheckField, 5, 8, 0, 77, 19, // Skip to: 5815
+/* 874 */     MCD_OPC_Decode, 145, 3, 8, // Opcode: SMULrr
+/* 878 */     MCD_OPC_FilterValue, 1, 69, 19, // Skip to: 5815
+/* 882 */     MCD_OPC_Decode, 144, 3, 9, // Opcode: SMULri
 /* 886 */     MCD_OPC_FilterValue, 12, 25, 0, // Skip to: 915
 /* 890 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 893 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 907
-/* 897 */     MCD_OPC_CheckField, 5, 8, 0, 46, 19, // Skip to: 5813
-/* 903 */     MCD_OPC_Decode, 170, 3, 8, // Opcode: SUBCrr
-/* 907 */     MCD_OPC_FilterValue, 1, 38, 19, // Skip to: 5813
-/* 911 */     MCD_OPC_Decode, 169, 3, 9, // Opcode: SUBCri
+/* 897 */     MCD_OPC_CheckField, 5, 8, 0, 48, 19, // Skip to: 5815
+/* 903 */     MCD_OPC_Decode, 172, 3, 8, // Opcode: SUBCrr
+/* 907 */     MCD_OPC_FilterValue, 1, 40, 19, // Skip to: 5815
+/* 911 */     MCD_OPC_Decode, 171, 3, 9, // Opcode: SUBCri
 /* 915 */     MCD_OPC_FilterValue, 13, 25, 0, // Skip to: 944
 /* 919 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 922 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 936
-/* 926 */     MCD_OPC_CheckField, 5, 8, 0, 17, 19, // Skip to: 5813
-/* 932 */     MCD_OPC_Decode, 201, 3, 10, // Opcode: UDIVXrr
-/* 936 */     MCD_OPC_FilterValue, 1, 9, 19, // Skip to: 5813
-/* 940 */     MCD_OPC_Decode, 200, 3, 11, // Opcode: UDIVXri
+/* 926 */     MCD_OPC_CheckField, 5, 8, 0, 19, 19, // Skip to: 5815
+/* 932 */     MCD_OPC_Decode, 203, 3, 10, // Opcode: UDIVXrr
+/* 936 */     MCD_OPC_FilterValue, 1, 11, 19, // Skip to: 5815
+/* 940 */     MCD_OPC_Decode, 202, 3, 11, // Opcode: UDIVXri
 /* 944 */     MCD_OPC_FilterValue, 14, 25, 0, // Skip to: 973
 /* 948 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 951 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 965
-/* 955 */     MCD_OPC_CheckField, 5, 8, 0, 244, 18, // Skip to: 5813
-/* 961 */     MCD_OPC_Decode, 203, 3, 8, // Opcode: UDIVrr
-/* 965 */     MCD_OPC_FilterValue, 1, 236, 18, // Skip to: 5813
-/* 969 */     MCD_OPC_Decode, 202, 3, 9, // Opcode: UDIVri
+/* 955 */     MCD_OPC_CheckField, 5, 8, 0, 246, 18, // Skip to: 5815
+/* 961 */     MCD_OPC_Decode, 205, 3, 8, // Opcode: UDIVrr
+/* 965 */     MCD_OPC_FilterValue, 1, 238, 18, // Skip to: 5815
+/* 969 */     MCD_OPC_Decode, 204, 3, 9, // Opcode: UDIVri
 /* 973 */     MCD_OPC_FilterValue, 15, 25, 0, // Skip to: 1002
 /* 977 */     MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 980 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 994
-/* 984 */     MCD_OPC_CheckField, 5, 8, 0, 215, 18, // Skip to: 5813
-/* 990 */     MCD_OPC_Decode, 251, 2, 8, // Opcode: SDIVrr
-/* 994 */     MCD_OPC_FilterValue, 1, 207, 18, // Skip to: 5813
-/* 998 */     MCD_OPC_Decode, 250, 2, 9, // Opcode: SDIVri
+/* 984 */     MCD_OPC_CheckField, 5, 8, 0, 217, 18, // Skip to: 5815
+/* 990 */     MCD_OPC_Decode, 253, 2, 8, // Opcode: SDIVrr
+/* 994 */     MCD_OPC_FilterValue, 1, 209, 18, // Skip to: 5815
+/* 998 */     MCD_OPC_Decode, 252, 2, 9, // Opcode: SDIVri
 /* 1002 */    MCD_OPC_FilterValue, 16, 23, 0, // Skip to: 1029
 /* 1006 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1009 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1022
-/* 1013 */    MCD_OPC_CheckField, 5, 8, 0, 186, 18, // Skip to: 5813
-/* 1019 */    MCD_OPC_Decode, 21, 8, // Opcode: ADDCCrr
-/* 1022 */    MCD_OPC_FilterValue, 1, 179, 18, // Skip to: 5813
-/* 1026 */    MCD_OPC_Decode, 20, 9, // Opcode: ADDCCri
+/* 1013 */    MCD_OPC_CheckField, 5, 8, 0, 188, 18, // Skip to: 5815
+/* 1019 */    MCD_OPC_Decode, 23, 8, // Opcode: ADDCCrr
+/* 1022 */    MCD_OPC_FilterValue, 1, 181, 18, // Skip to: 5815
+/* 1026 */    MCD_OPC_Decode, 22, 9, // Opcode: ADDCCri
 /* 1029 */    MCD_OPC_FilterValue, 17, 23, 0, // Skip to: 1056
 /* 1033 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1036 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1049
-/* 1040 */    MCD_OPC_CheckField, 5, 8, 0, 159, 18, // Skip to: 5813
-/* 1046 */    MCD_OPC_Decode, 37, 8, // Opcode: ANDCCrr
-/* 1049 */    MCD_OPC_FilterValue, 1, 152, 18, // Skip to: 5813
-/* 1053 */    MCD_OPC_Decode, 36, 9, // Opcode: ANDCCri
+/* 1040 */    MCD_OPC_CheckField, 5, 8, 0, 161, 18, // Skip to: 5815
+/* 1046 */    MCD_OPC_Decode, 39, 8, // Opcode: ANDCCrr
+/* 1049 */    MCD_OPC_FilterValue, 1, 154, 18, // Skip to: 5815
+/* 1053 */    MCD_OPC_Decode, 38, 9, // Opcode: ANDCCri
 /* 1056 */    MCD_OPC_FilterValue, 18, 25, 0, // Skip to: 1085
 /* 1060 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1063 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1077
-/* 1067 */    MCD_OPC_CheckField, 5, 8, 0, 132, 18, // Skip to: 5813
-/* 1073 */    MCD_OPC_Decode, 224, 2, 8, // Opcode: ORCCrr
-/* 1077 */    MCD_OPC_FilterValue, 1, 124, 18, // Skip to: 5813
-/* 1081 */    MCD_OPC_Decode, 223, 2, 9, // Opcode: ORCCri
+/* 1067 */    MCD_OPC_CheckField, 5, 8, 0, 134, 18, // Skip to: 5815
+/* 1073 */    MCD_OPC_Decode, 226, 2, 8, // Opcode: ORCCrr
+/* 1077 */    MCD_OPC_FilterValue, 1, 126, 18, // Skip to: 5815
+/* 1081 */    MCD_OPC_Decode, 225, 2, 9, // Opcode: ORCCri
 /* 1085 */    MCD_OPC_FilterValue, 19, 25, 0, // Skip to: 1114
 /* 1089 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1092 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1106
-/* 1096 */    MCD_OPC_CheckField, 5, 8, 0, 103, 18, // Skip to: 5813
-/* 1102 */    MCD_OPC_Decode, 231, 3, 8, // Opcode: XORCCrr
-/* 1106 */    MCD_OPC_FilterValue, 1, 95, 18, // Skip to: 5813
-/* 1110 */    MCD_OPC_Decode, 230, 3, 9, // Opcode: XORCCri
+/* 1096 */    MCD_OPC_CheckField, 5, 8, 0, 105, 18, // Skip to: 5815
+/* 1102 */    MCD_OPC_Decode, 233, 3, 8, // Opcode: XORCCrr
+/* 1106 */    MCD_OPC_FilterValue, 1, 97, 18, // Skip to: 5815
+/* 1110 */    MCD_OPC_Decode, 232, 3, 9, // Opcode: XORCCri
 /* 1114 */    MCD_OPC_FilterValue, 20, 44, 0, // Skip to: 1162
 /* 1118 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1121 */    MCD_OPC_FilterValue, 0, 20, 0, // Skip to: 1145
 /* 1125 */    MCD_OPC_ExtractField, 5, 8,  // Inst{12-5} ...
-/* 1128 */    MCD_OPC_FilterValue, 0, 73, 18, // Skip to: 5813
+/* 1128 */    MCD_OPC_FilterValue, 0, 75, 18, // Skip to: 5815
 /* 1132 */    MCD_OPC_CheckField, 25, 5, 0, 3, 0, // Skip to: 1141
-/* 1138 */    MCD_OPC_Decode, 123, 12, // Opcode: CMPrr
-/* 1141 */    MCD_OPC_Decode, 168, 3, 8, // Opcode: SUBCCrr
-/* 1145 */    MCD_OPC_FilterValue, 1, 56, 18, // Skip to: 5813
+/* 1138 */    MCD_OPC_Decode, 125, 12, // Opcode: CMPrr
+/* 1141 */    MCD_OPC_Decode, 170, 3, 8, // Opcode: SUBCCrr
+/* 1145 */    MCD_OPC_FilterValue, 1, 58, 18, // Skip to: 5815
 /* 1149 */    MCD_OPC_CheckField, 25, 5, 0, 3, 0, // Skip to: 1158
-/* 1155 */    MCD_OPC_Decode, 122, 13, // Opcode: CMPri
-/* 1158 */    MCD_OPC_Decode, 167, 3, 9, // Opcode: SUBCCri
+/* 1155 */    MCD_OPC_Decode, 124, 13, // Opcode: CMPri
+/* 1158 */    MCD_OPC_Decode, 169, 3, 9, // Opcode: SUBCCri
 /* 1162 */    MCD_OPC_FilterValue, 21, 23, 0, // Skip to: 1189
 /* 1166 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1169 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1182
-/* 1173 */    MCD_OPC_CheckField, 5, 8, 0, 26, 18, // Skip to: 5813
-/* 1179 */    MCD_OPC_Decode, 39, 8, // Opcode: ANDNCCrr
-/* 1182 */    MCD_OPC_FilterValue, 1, 19, 18, // Skip to: 5813
-/* 1186 */    MCD_OPC_Decode, 38, 9, // Opcode: ANDNCCri
+/* 1173 */    MCD_OPC_CheckField, 5, 8, 0, 28, 18, // Skip to: 5815
+/* 1179 */    MCD_OPC_Decode, 41, 8, // Opcode: ANDNCCrr
+/* 1182 */    MCD_OPC_FilterValue, 1, 21, 18, // Skip to: 5815
+/* 1186 */    MCD_OPC_Decode, 40, 9, // Opcode: ANDNCCri
 /* 1189 */    MCD_OPC_FilterValue, 22, 25, 0, // Skip to: 1218
 /* 1193 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1196 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1210
-/* 1200 */    MCD_OPC_CheckField, 5, 8, 0, 255, 17, // Skip to: 5813
-/* 1206 */    MCD_OPC_Decode, 226, 2, 8, // Opcode: ORNCCrr
-/* 1210 */    MCD_OPC_FilterValue, 1, 247, 17, // Skip to: 5813
-/* 1214 */    MCD_OPC_Decode, 225, 2, 9, // Opcode: ORNCCri
+/* 1200 */    MCD_OPC_CheckField, 5, 8, 0, 1, 18, // Skip to: 5815
+/* 1206 */    MCD_OPC_Decode, 228, 2, 8, // Opcode: ORNCCrr
+/* 1210 */    MCD_OPC_FilterValue, 1, 249, 17, // Skip to: 5815
+/* 1214 */    MCD_OPC_Decode, 227, 2, 9, // Opcode: ORNCCri
 /* 1218 */    MCD_OPC_FilterValue, 23, 25, 0, // Skip to: 1247
 /* 1222 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1225 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1239
-/* 1229 */    MCD_OPC_CheckField, 5, 8, 0, 226, 17, // Skip to: 5813
-/* 1235 */    MCD_OPC_Decode, 226, 3, 8, // Opcode: XNORCCrr
-/* 1239 */    MCD_OPC_FilterValue, 1, 218, 17, // Skip to: 5813
-/* 1243 */    MCD_OPC_Decode, 225, 3, 9, // Opcode: XNORCCri
+/* 1229 */    MCD_OPC_CheckField, 5, 8, 0, 228, 17, // Skip to: 5815
+/* 1235 */    MCD_OPC_Decode, 228, 3, 8, // Opcode: XNORCCrr
+/* 1239 */    MCD_OPC_FilterValue, 1, 220, 17, // Skip to: 5815
+/* 1243 */    MCD_OPC_Decode, 227, 3, 9, // Opcode: XNORCCri
 /* 1247 */    MCD_OPC_FilterValue, 24, 23, 0, // Skip to: 1274
 /* 1251 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1254 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1267
-/* 1258 */    MCD_OPC_CheckField, 5, 8, 0, 197, 17, // Skip to: 5813
-/* 1264 */    MCD_OPC_Decode, 25, 8, // Opcode: ADDErr
-/* 1267 */    MCD_OPC_FilterValue, 1, 190, 17, // Skip to: 5813
-/* 1271 */    MCD_OPC_Decode, 24, 9, // Opcode: ADDEri
+/* 1258 */    MCD_OPC_CheckField, 5, 8, 0, 199, 17, // Skip to: 5815
+/* 1264 */    MCD_OPC_Decode, 27, 8, // Opcode: ADDErr
+/* 1267 */    MCD_OPC_FilterValue, 1, 192, 17, // Skip to: 5815
+/* 1271 */    MCD_OPC_Decode, 26, 9, // Opcode: ADDEri
 /* 1274 */    MCD_OPC_FilterValue, 26, 25, 0, // Skip to: 1303
 /* 1278 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1281 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1295
-/* 1285 */    MCD_OPC_CheckField, 5, 8, 0, 170, 17, // Skip to: 5813
-/* 1291 */    MCD_OPC_Decode, 205, 3, 8, // Opcode: UMULCCrr
-/* 1295 */    MCD_OPC_FilterValue, 1, 162, 17, // Skip to: 5813
-/* 1299 */    MCD_OPC_Decode, 204, 3, 9, // Opcode: UMULCCri
+/* 1285 */    MCD_OPC_CheckField, 5, 8, 0, 172, 17, // Skip to: 5815
+/* 1291 */    MCD_OPC_Decode, 207, 3, 8, // Opcode: UMULCCrr
+/* 1295 */    MCD_OPC_FilterValue, 1, 164, 17, // Skip to: 5815
+/* 1299 */    MCD_OPC_Decode, 206, 3, 9, // Opcode: UMULCCri
 /* 1303 */    MCD_OPC_FilterValue, 27, 25, 0, // Skip to: 1332
 /* 1307 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1310 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1324
-/* 1314 */    MCD_OPC_CheckField, 5, 8, 0, 141, 17, // Skip to: 5813
-/* 1320 */    MCD_OPC_Decode, 141, 3, 8, // Opcode: SMULCCrr
-/* 1324 */    MCD_OPC_FilterValue, 1, 133, 17, // Skip to: 5813
-/* 1328 */    MCD_OPC_Decode, 140, 3, 9, // Opcode: SMULCCri
+/* 1314 */    MCD_OPC_CheckField, 5, 8, 0, 143, 17, // Skip to: 5815
+/* 1320 */    MCD_OPC_Decode, 143, 3, 8, // Opcode: SMULCCrr
+/* 1324 */    MCD_OPC_FilterValue, 1, 135, 17, // Skip to: 5815
+/* 1328 */    MCD_OPC_Decode, 142, 3, 9, // Opcode: SMULCCri
 /* 1332 */    MCD_OPC_FilterValue, 28, 25, 0, // Skip to: 1361
 /* 1336 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1339 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1353
-/* 1343 */    MCD_OPC_CheckField, 5, 8, 0, 112, 17, // Skip to: 5813
-/* 1349 */    MCD_OPC_Decode, 172, 3, 8, // Opcode: SUBErr
-/* 1353 */    MCD_OPC_FilterValue, 1, 104, 17, // Skip to: 5813
-/* 1357 */    MCD_OPC_Decode, 171, 3, 9, // Opcode: SUBEri
+/* 1343 */    MCD_OPC_CheckField, 5, 8, 0, 114, 17, // Skip to: 5815
+/* 1349 */    MCD_OPC_Decode, 174, 3, 8, // Opcode: SUBErr
+/* 1353 */    MCD_OPC_FilterValue, 1, 106, 17, // Skip to: 5815
+/* 1357 */    MCD_OPC_Decode, 173, 3, 9, // Opcode: SUBEri
 /* 1361 */    MCD_OPC_FilterValue, 30, 25, 0, // Skip to: 1390
 /* 1365 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1368 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1382
-/* 1372 */    MCD_OPC_CheckField, 5, 8, 0, 83, 17, // Skip to: 5813
-/* 1378 */    MCD_OPC_Decode, 199, 3, 8, // Opcode: UDIVCCrr
-/* 1382 */    MCD_OPC_FilterValue, 1, 75, 17, // Skip to: 5813
-/* 1386 */    MCD_OPC_Decode, 198, 3, 9, // Opcode: UDIVCCri
+/* 1372 */    MCD_OPC_CheckField, 5, 8, 0, 85, 17, // Skip to: 5815
+/* 1378 */    MCD_OPC_Decode, 201, 3, 8, // Opcode: UDIVCCrr
+/* 1382 */    MCD_OPC_FilterValue, 1, 77, 17, // Skip to: 5815
+/* 1386 */    MCD_OPC_Decode, 200, 3, 9, // Opcode: UDIVCCri
 /* 1390 */    MCD_OPC_FilterValue, 31, 25, 0, // Skip to: 1419
 /* 1394 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1397 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1411
-/* 1401 */    MCD_OPC_CheckField, 5, 8, 0, 54, 17, // Skip to: 5813
-/* 1407 */    MCD_OPC_Decode, 247, 2, 8, // Opcode: SDIVCCrr
-/* 1411 */    MCD_OPC_FilterValue, 1, 46, 17, // Skip to: 5813
-/* 1415 */    MCD_OPC_Decode, 246, 2, 9, // Opcode: SDIVCCri
+/* 1401 */    MCD_OPC_CheckField, 5, 8, 0, 56, 17, // Skip to: 5815
+/* 1407 */    MCD_OPC_Decode, 249, 2, 8, // Opcode: SDIVCCrr
+/* 1411 */    MCD_OPC_FilterValue, 1, 48, 17, // Skip to: 5815
+/* 1415 */    MCD_OPC_Decode, 248, 2, 9, // Opcode: SDIVCCri
 /* 1419 */    MCD_OPC_FilterValue, 32, 25, 0, // Skip to: 1448
 /* 1423 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1426 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1440
-/* 1430 */    MCD_OPC_CheckField, 5, 8, 0, 25, 17, // Skip to: 5813
-/* 1436 */    MCD_OPC_Decode, 184, 3, 8, // Opcode: TADDCCrr
-/* 1440 */    MCD_OPC_FilterValue, 1, 17, 17, // Skip to: 5813
-/* 1444 */    MCD_OPC_Decode, 183, 3, 9, // Opcode: TADDCCri
+/* 1430 */    MCD_OPC_CheckField, 5, 8, 0, 27, 17, // Skip to: 5815
+/* 1436 */    MCD_OPC_Decode, 186, 3, 8, // Opcode: TADDCCrr
+/* 1440 */    MCD_OPC_FilterValue, 1, 19, 17, // Skip to: 5815
+/* 1444 */    MCD_OPC_Decode, 185, 3, 9, // Opcode: TADDCCri
 /* 1448 */    MCD_OPC_FilterValue, 33, 25, 0, // Skip to: 1477
 /* 1452 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1455 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1469
-/* 1459 */    MCD_OPC_CheckField, 5, 8, 0, 252, 16, // Skip to: 5813
-/* 1465 */    MCD_OPC_Decode, 195, 3, 8, // Opcode: TSUBCCrr
-/* 1469 */    MCD_OPC_FilterValue, 1, 244, 16, // Skip to: 5813
-/* 1473 */    MCD_OPC_Decode, 194, 3, 9, // Opcode: TSUBCCri
+/* 1459 */    MCD_OPC_CheckField, 5, 8, 0, 254, 16, // Skip to: 5815
+/* 1465 */    MCD_OPC_Decode, 197, 3, 8, // Opcode: TSUBCCrr
+/* 1469 */    MCD_OPC_FilterValue, 1, 246, 16, // Skip to: 5815
+/* 1473 */    MCD_OPC_Decode, 196, 3, 9, // Opcode: TSUBCCri
 /* 1477 */    MCD_OPC_FilterValue, 34, 25, 0, // Skip to: 1506
 /* 1481 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1484 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1498
-/* 1488 */    MCD_OPC_CheckField, 5, 8, 0, 223, 16, // Skip to: 5813
-/* 1494 */    MCD_OPC_Decode, 182, 3, 8, // Opcode: TADDCCTVrr
-/* 1498 */    MCD_OPC_FilterValue, 1, 215, 16, // Skip to: 5813
-/* 1502 */    MCD_OPC_Decode, 181, 3, 9, // Opcode: TADDCCTVri
+/* 1488 */    MCD_OPC_CheckField, 5, 8, 0, 225, 16, // Skip to: 5815
+/* 1494 */    MCD_OPC_Decode, 184, 3, 8, // Opcode: TADDCCTVrr
+/* 1498 */    MCD_OPC_FilterValue, 1, 217, 16, // Skip to: 5815
+/* 1502 */    MCD_OPC_Decode, 183, 3, 9, // Opcode: TADDCCTVri
 /* 1506 */    MCD_OPC_FilterValue, 35, 25, 0, // Skip to: 1535
 /* 1510 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1513 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1527
-/* 1517 */    MCD_OPC_CheckField, 5, 8, 0, 194, 16, // Skip to: 5813
-/* 1523 */    MCD_OPC_Decode, 193, 3, 8, // Opcode: TSUBCCTVrr
-/* 1527 */    MCD_OPC_FilterValue, 1, 186, 16, // Skip to: 5813
-/* 1531 */    MCD_OPC_Decode, 192, 3, 9, // Opcode: TSUBCCTVri
+/* 1517 */    MCD_OPC_CheckField, 5, 8, 0, 196, 16, // Skip to: 5815
+/* 1523 */    MCD_OPC_Decode, 195, 3, 8, // Opcode: TSUBCCTVrr
+/* 1527 */    MCD_OPC_FilterValue, 1, 188, 16, // Skip to: 5815
+/* 1531 */    MCD_OPC_Decode, 194, 3, 9, // Opcode: TSUBCCTVri
 /* 1535 */    MCD_OPC_FilterValue, 37, 50, 0, // Skip to: 1589
 /* 1539 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1542 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 1571
 /* 1546 */    MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
 /* 1549 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1563
-/* 1553 */    MCD_OPC_CheckField, 5, 7, 0, 158, 16, // Skip to: 5813
-/* 1559 */    MCD_OPC_Decode, 139, 3, 8, // Opcode: SLLrr
-/* 1563 */    MCD_OPC_FilterValue, 1, 150, 16, // Skip to: 5813
-/* 1567 */    MCD_OPC_Decode, 137, 3, 14, // Opcode: SLLXrr
-/* 1571 */    MCD_OPC_FilterValue, 1, 142, 16, // Skip to: 5813
+/* 1553 */    MCD_OPC_CheckField, 5, 7, 0, 160, 16, // Skip to: 5815
+/* 1559 */    MCD_OPC_Decode, 141, 3, 8, // Opcode: SLLrr
+/* 1563 */    MCD_OPC_FilterValue, 1, 152, 16, // Skip to: 5815
+/* 1567 */    MCD_OPC_Decode, 139, 3, 14, // Opcode: SLLXrr
+/* 1571 */    MCD_OPC_FilterValue, 1, 144, 16, // Skip to: 5815
 /* 1575 */    MCD_OPC_CheckField, 12, 1, 1, 4, 0, // Skip to: 1585
-/* 1581 */    MCD_OPC_Decode, 136, 3, 15, // Opcode: SLLXri
-/* 1585 */    MCD_OPC_Decode, 138, 3, 9, // Opcode: SLLri
+/* 1581 */    MCD_OPC_Decode, 138, 3, 15, // Opcode: SLLXri
+/* 1585 */    MCD_OPC_Decode, 140, 3, 9, // Opcode: SLLri
 /* 1589 */    MCD_OPC_FilterValue, 38, 50, 0, // Skip to: 1643
 /* 1593 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1596 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 1625
 /* 1600 */    MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
 /* 1603 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1617
-/* 1607 */    MCD_OPC_CheckField, 5, 7, 0, 104, 16, // Skip to: 5813
-/* 1613 */    MCD_OPC_Decode, 151, 3, 8, // Opcode: SRLrr
-/* 1617 */    MCD_OPC_FilterValue, 1, 96, 16, // Skip to: 5813
-/* 1621 */    MCD_OPC_Decode, 149, 3, 14, // Opcode: SRLXrr
-/* 1625 */    MCD_OPC_FilterValue, 1, 88, 16, // Skip to: 5813
+/* 1607 */    MCD_OPC_CheckField, 5, 7, 0, 106, 16, // Skip to: 5815
+/* 1613 */    MCD_OPC_Decode, 153, 3, 8, // Opcode: SRLrr
+/* 1617 */    MCD_OPC_FilterValue, 1, 98, 16, // Skip to: 5815
+/* 1621 */    MCD_OPC_Decode, 151, 3, 14, // Opcode: SRLXrr
+/* 1625 */    MCD_OPC_FilterValue, 1, 90, 16, // Skip to: 5815
 /* 1629 */    MCD_OPC_CheckField, 12, 1, 1, 4, 0, // Skip to: 1639
-/* 1635 */    MCD_OPC_Decode, 148, 3, 15, // Opcode: SRLXri
-/* 1639 */    MCD_OPC_Decode, 150, 3, 9, // Opcode: SRLri
+/* 1635 */    MCD_OPC_Decode, 150, 3, 15, // Opcode: SRLXri
+/* 1639 */    MCD_OPC_Decode, 152, 3, 9, // Opcode: SRLri
 /* 1643 */    MCD_OPC_FilterValue, 39, 50, 0, // Skip to: 1697
 /* 1647 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1650 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 1679
 /* 1654 */    MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
 /* 1657 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1671
-/* 1661 */    MCD_OPC_CheckField, 5, 7, 0, 50, 16, // Skip to: 5813
-/* 1667 */    MCD_OPC_Decode, 147, 3, 8, // Opcode: SRArr
-/* 1671 */    MCD_OPC_FilterValue, 1, 42, 16, // Skip to: 5813
-/* 1675 */    MCD_OPC_Decode, 145, 3, 14, // Opcode: SRAXrr
-/* 1679 */    MCD_OPC_FilterValue, 1, 34, 16, // Skip to: 5813
+/* 1661 */    MCD_OPC_CheckField, 5, 7, 0, 52, 16, // Skip to: 5815
+/* 1667 */    MCD_OPC_Decode, 149, 3, 8, // Opcode: SRArr
+/* 1671 */    MCD_OPC_FilterValue, 1, 44, 16, // Skip to: 5815
+/* 1675 */    MCD_OPC_Decode, 147, 3, 14, // Opcode: SRAXrr
+/* 1679 */    MCD_OPC_FilterValue, 1, 36, 16, // Skip to: 5815
 /* 1683 */    MCD_OPC_CheckField, 12, 1, 1, 4, 0, // Skip to: 1693
-/* 1689 */    MCD_OPC_Decode, 144, 3, 15, // Opcode: SRAXri
-/* 1693 */    MCD_OPC_Decode, 146, 3, 9, // Opcode: SRAri
+/* 1689 */    MCD_OPC_Decode, 146, 3, 15, // Opcode: SRAXri
+/* 1693 */    MCD_OPC_Decode, 148, 3, 9, // Opcode: SRAri
 /* 1697 */    MCD_OPC_FilterValue, 40, 55, 0, // Skip to: 1756
 /* 1701 */    MCD_OPC_ExtractField, 13, 6,  // Inst{18-13} ...
 /* 1704 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1718
-/* 1708 */    MCD_OPC_CheckField, 0, 13, 0, 3, 16, // Skip to: 5813
-/* 1714 */    MCD_OPC_Decode, 237, 2, 4, // Opcode: RDY
+/* 1708 */    MCD_OPC_CheckField, 0, 13, 0, 5, 16, // Skip to: 5815
+/* 1714 */    MCD_OPC_Decode, 239, 2, 4, // Opcode: RDY
 /* 1718 */    MCD_OPC_FilterValue, 30, 16, 0, // Skip to: 1738
-/* 1722 */    MCD_OPC_CheckField, 25, 5, 0, 245, 15, // Skip to: 5813
-/* 1728 */    MCD_OPC_CheckField, 0, 13, 0, 239, 15, // Skip to: 5813
-/* 1734 */    MCD_OPC_Decode, 152, 3, 4, // Opcode: STBAR
-/* 1738 */    MCD_OPC_FilterValue, 31, 231, 15, // Skip to: 5813
-/* 1742 */    MCD_OPC_CheckPredicate, 0, 227, 15, // Skip to: 5813
-/* 1746 */    MCD_OPC_CheckField, 25, 5, 0, 221, 15, // Skip to: 5813
-/* 1752 */    MCD_OPC_Decode, 196, 2, 16, // Opcode: MEMBARi
+/* 1722 */    MCD_OPC_CheckField, 25, 5, 0, 247, 15, // Skip to: 5815
+/* 1728 */    MCD_OPC_CheckField, 0, 13, 0, 241, 15, // Skip to: 5815
+/* 1734 */    MCD_OPC_Decode, 154, 3, 4, // Opcode: STBAR
+/* 1738 */    MCD_OPC_FilterValue, 31, 233, 15, // Skip to: 5815
+/* 1742 */    MCD_OPC_CheckPredicate, 0, 229, 15, // Skip to: 5815
+/* 1746 */    MCD_OPC_CheckField, 25, 5, 0, 223, 15, // Skip to: 5815
+/* 1752 */    MCD_OPC_Decode, 198, 2, 16, // Opcode: MEMBARi
 /* 1756 */    MCD_OPC_FilterValue, 43, 20, 0, // Skip to: 1780
-/* 1760 */    MCD_OPC_CheckPredicate, 0, 209, 15, // Skip to: 5813
-/* 1764 */    MCD_OPC_CheckField, 25, 5, 0, 203, 15, // Skip to: 5813
-/* 1770 */    MCD_OPC_CheckField, 0, 19, 0, 197, 15, // Skip to: 5813
-/* 1776 */    MCD_OPC_Decode, 181, 1, 4, // Opcode: FLUSHW
+/* 1760 */    MCD_OPC_CheckPredicate, 0, 211, 15, // Skip to: 5815
+/* 1764 */    MCD_OPC_CheckField, 25, 5, 0, 205, 15, // Skip to: 5815
+/* 1770 */    MCD_OPC_CheckField, 0, 19, 0, 199, 15, // Skip to: 5815
+/* 1776 */    MCD_OPC_Decode, 183, 1, 4, // Opcode: FLUSHW
 /* 1780 */    MCD_OPC_FilterValue, 44, 123, 0, // Skip to: 1907
 /* 1784 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1787 */    MCD_OPC_FilterValue, 0, 56, 0, // Skip to: 1847
@@ -483,953 +483,953 @@ static const uint8_t DecoderTableSparc32
 /* 1794 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 1820
 /* 1798 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1812
 /* 1802 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 1812
-/* 1808 */    MCD_OPC_Decode, 199, 2, 17, // Opcode: MOVFCCrr
-/* 1812 */    MCD_OPC_CheckPredicate, 0, 157, 15, // Skip to: 5813
-/* 1816 */    MCD_OPC_Decode, 220, 3, 18, // Opcode: V9MOVFCCrr
-/* 1820 */    MCD_OPC_FilterValue, 1, 149, 15, // Skip to: 5813
+/* 1808 */    MCD_OPC_Decode, 201, 2, 17, // Opcode: MOVFCCrr
+/* 1812 */    MCD_OPC_CheckPredicate, 0, 159, 15, // Skip to: 5815
+/* 1816 */    MCD_OPC_Decode, 222, 3, 18, // Opcode: V9MOVFCCrr
+/* 1820 */    MCD_OPC_FilterValue, 1, 151, 15, // Skip to: 5815
 /* 1824 */    MCD_OPC_ExtractField, 11, 2,  // Inst{12-11} ...
 /* 1827 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1839
-/* 1831 */    MCD_OPC_CheckPredicate, 0, 138, 15, // Skip to: 5813
-/* 1835 */    MCD_OPC_Decode, 201, 2, 17, // Opcode: MOVICCrr
-/* 1839 */    MCD_OPC_FilterValue, 2, 130, 15, // Skip to: 5813
-/* 1843 */    MCD_OPC_Decode, 218, 2, 17, // Opcode: MOVXCCrr
-/* 1847 */    MCD_OPC_FilterValue, 1, 122, 15, // Skip to: 5813
+/* 1831 */    MCD_OPC_CheckPredicate, 0, 140, 15, // Skip to: 5815
+/* 1835 */    MCD_OPC_Decode, 203, 2, 17, // Opcode: MOVICCrr
+/* 1839 */    MCD_OPC_FilterValue, 2, 132, 15, // Skip to: 5815
+/* 1843 */    MCD_OPC_Decode, 220, 2, 17, // Opcode: MOVXCCrr
+/* 1847 */    MCD_OPC_FilterValue, 1, 124, 15, // Skip to: 5815
 /* 1851 */    MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
 /* 1854 */    MCD_OPC_FilterValue, 0, 22, 0, // Skip to: 1880
 /* 1858 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 1872
 /* 1862 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 1872
-/* 1868 */    MCD_OPC_Decode, 198, 2, 19, // Opcode: MOVFCCri
-/* 1872 */    MCD_OPC_CheckPredicate, 0, 97, 15, // Skip to: 5813
-/* 1876 */    MCD_OPC_Decode, 219, 3, 20, // Opcode: V9MOVFCCri
-/* 1880 */    MCD_OPC_FilterValue, 1, 89, 15, // Skip to: 5813
+/* 1868 */    MCD_OPC_Decode, 200, 2, 19, // Opcode: MOVFCCri
+/* 1872 */    MCD_OPC_CheckPredicate, 0, 99, 15, // Skip to: 5815
+/* 1876 */    MCD_OPC_Decode, 221, 3, 20, // Opcode: V9MOVFCCri
+/* 1880 */    MCD_OPC_FilterValue, 1, 91, 15, // Skip to: 5815
 /* 1884 */    MCD_OPC_ExtractField, 11, 2,  // Inst{12-11} ...
 /* 1887 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 1899
-/* 1891 */    MCD_OPC_CheckPredicate, 0, 78, 15, // Skip to: 5813
-/* 1895 */    MCD_OPC_Decode, 200, 2, 19, // Opcode: MOVICCri
-/* 1899 */    MCD_OPC_FilterValue, 2, 70, 15, // Skip to: 5813
-/* 1903 */    MCD_OPC_Decode, 217, 2, 19, // Opcode: MOVXCCri
+/* 1891 */    MCD_OPC_CheckPredicate, 0, 80, 15, // Skip to: 5815
+/* 1895 */    MCD_OPC_Decode, 202, 2, 19, // Opcode: MOVICCri
+/* 1899 */    MCD_OPC_FilterValue, 2, 72, 15, // Skip to: 5815
+/* 1903 */    MCD_OPC_Decode, 219, 2, 19, // Opcode: MOVXCCri
 /* 1907 */    MCD_OPC_FilterValue, 45, 25, 0, // Skip to: 1936
 /* 1911 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 1914 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1928
-/* 1918 */    MCD_OPC_CheckField, 5, 8, 0, 49, 15, // Skip to: 5813
-/* 1924 */    MCD_OPC_Decode, 249, 2, 10, // Opcode: SDIVXrr
-/* 1928 */    MCD_OPC_FilterValue, 1, 41, 15, // Skip to: 5813
-/* 1932 */    MCD_OPC_Decode, 248, 2, 11, // Opcode: SDIVXri
+/* 1918 */    MCD_OPC_CheckField, 5, 8, 0, 51, 15, // Skip to: 5815
+/* 1924 */    MCD_OPC_Decode, 251, 2, 10, // Opcode: SDIVXrr
+/* 1928 */    MCD_OPC_FilterValue, 1, 43, 15, // Skip to: 5815
+/* 1932 */    MCD_OPC_Decode, 250, 2, 11, // Opcode: SDIVXri
 /* 1936 */    MCD_OPC_FilterValue, 46, 14, 0, // Skip to: 1954
-/* 1940 */    MCD_OPC_CheckPredicate, 0, 29, 15, // Skip to: 5813
-/* 1944 */    MCD_OPC_CheckField, 5, 14, 0, 23, 15, // Skip to: 5813
-/* 1950 */    MCD_OPC_Decode, 236, 2, 21, // Opcode: POPCrr
+/* 1940 */    MCD_OPC_CheckPredicate, 0, 31, 15, // Skip to: 5815
+/* 1944 */    MCD_OPC_CheckField, 5, 14, 0, 25, 15, // Skip to: 5815
+/* 1950 */    MCD_OPC_Decode, 238, 2, 21, // Opcode: POPCrr
 /* 1954 */    MCD_OPC_FilterValue, 47, 135, 0, // Skip to: 2093
 /* 1958 */    MCD_OPC_ExtractField, 10, 4,  // Inst{13-10} ...
 /* 1961 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 1975
-/* 1965 */    MCD_OPC_CheckField, 5, 5, 0, 2, 15, // Skip to: 5813
-/* 1971 */    MCD_OPC_Decode, 213, 2, 14, // Opcode: MOVRRZrr
+/* 1965 */    MCD_OPC_CheckField, 5, 5, 0, 4, 15, // Skip to: 5815
+/* 1971 */    MCD_OPC_Decode, 215, 2, 14, // Opcode: MOVRRZrr
 /* 1975 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 1989
-/* 1979 */    MCD_OPC_CheckField, 5, 5, 0, 244, 14, // Skip to: 5813
-/* 1985 */    MCD_OPC_Decode, 207, 2, 14, // Opcode: MOVRLEZrr
+/* 1979 */    MCD_OPC_CheckField, 5, 5, 0, 246, 14, // Skip to: 5815
+/* 1985 */    MCD_OPC_Decode, 209, 2, 14, // Opcode: MOVRLEZrr
 /* 1989 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 2003
-/* 1993 */    MCD_OPC_CheckField, 5, 5, 0, 230, 14, // Skip to: 5813
-/* 1999 */    MCD_OPC_Decode, 209, 2, 14, // Opcode: MOVRLZrr
+/* 1993 */    MCD_OPC_CheckField, 5, 5, 0, 232, 14, // Skip to: 5815
+/* 1999 */    MCD_OPC_Decode, 211, 2, 14, // Opcode: MOVRLZrr
 /* 2003 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 2017
-/* 2007 */    MCD_OPC_CheckField, 5, 5, 0, 216, 14, // Skip to: 5813
-/* 2013 */    MCD_OPC_Decode, 211, 2, 14, // Opcode: MOVRNZrr
+/* 2007 */    MCD_OPC_CheckField, 5, 5, 0, 218, 14, // Skip to: 5815
+/* 2013 */    MCD_OPC_Decode, 213, 2, 14, // Opcode: MOVRNZrr
 /* 2017 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 2031
-/* 2021 */    MCD_OPC_CheckField, 5, 5, 0, 202, 14, // Skip to: 5813
-/* 2027 */    MCD_OPC_Decode, 205, 2, 14, // Opcode: MOVRGZrr
+/* 2021 */    MCD_OPC_CheckField, 5, 5, 0, 204, 14, // Skip to: 5815
+/* 2027 */    MCD_OPC_Decode, 207, 2, 14, // Opcode: MOVRGZrr
 /* 2031 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 2045
-/* 2035 */    MCD_OPC_CheckField, 5, 5, 0, 188, 14, // Skip to: 5813
-/* 2041 */    MCD_OPC_Decode, 203, 2, 14, // Opcode: MOVRGEZrr
+/* 2035 */    MCD_OPC_CheckField, 5, 5, 0, 190, 14, // Skip to: 5815
+/* 2041 */    MCD_OPC_Decode, 205, 2, 14, // Opcode: MOVRGEZrr
 /* 2045 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 2053
-/* 2049 */    MCD_OPC_Decode, 212, 2, 22, // Opcode: MOVRRZri
+/* 2049 */    MCD_OPC_Decode, 214, 2, 22, // Opcode: MOVRRZri
 /* 2053 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 2061
-/* 2057 */    MCD_OPC_Decode, 206, 2, 22, // Opcode: MOVRLEZri
+/* 2057 */    MCD_OPC_Decode, 208, 2, 22, // Opcode: MOVRLEZri
 /* 2061 */    MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 2069
-/* 2065 */    MCD_OPC_Decode, 208, 2, 22, // Opcode: MOVRLZri
+/* 2065 */    MCD_OPC_Decode, 210, 2, 22, // Opcode: MOVRLZri
 /* 2069 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 2077
-/* 2073 */    MCD_OPC_Decode, 210, 2, 22, // Opcode: MOVRNZri
+/* 2073 */    MCD_OPC_Decode, 212, 2, 22, // Opcode: MOVRNZri
 /* 2077 */    MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 2085
-/* 2081 */    MCD_OPC_Decode, 204, 2, 22, // Opcode: MOVRGZri
-/* 2085 */    MCD_OPC_FilterValue, 15, 140, 14, // Skip to: 5813
-/* 2089 */    MCD_OPC_Decode, 202, 2, 22, // Opcode: MOVRGEZri
+/* 2081 */    MCD_OPC_Decode, 206, 2, 22, // Opcode: MOVRGZri
+/* 2085 */    MCD_OPC_FilterValue, 15, 142, 14, // Skip to: 5815
+/* 2089 */    MCD_OPC_Decode, 204, 2, 22, // Opcode: MOVRGEZri
 /* 2093 */    MCD_OPC_FilterValue, 48, 37, 0, // Skip to: 2134
 /* 2097 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 2100 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 2120
-/* 2104 */    MCD_OPC_CheckField, 25, 5, 0, 119, 14, // Skip to: 5813
-/* 2110 */    MCD_OPC_CheckField, 5, 8, 0, 113, 14, // Skip to: 5813
-/* 2116 */    MCD_OPC_Decode, 222, 3, 12, // Opcode: WRYrr
-/* 2120 */    MCD_OPC_FilterValue, 1, 105, 14, // Skip to: 5813
-/* 2124 */    MCD_OPC_CheckField, 25, 5, 0, 99, 14, // Skip to: 5813
-/* 2130 */    MCD_OPC_Decode, 221, 3, 13, // Opcode: WRYri
+/* 2104 */    MCD_OPC_CheckField, 25, 5, 0, 121, 14, // Skip to: 5815
+/* 2110 */    MCD_OPC_CheckField, 5, 8, 0, 115, 14, // Skip to: 5815
+/* 2116 */    MCD_OPC_Decode, 224, 3, 12, // Opcode: WRYrr
+/* 2120 */    MCD_OPC_FilterValue, 1, 107, 14, // Skip to: 5815
+/* 2124 */    MCD_OPC_CheckField, 25, 5, 0, 101, 14, // Skip to: 5815
+/* 2130 */    MCD_OPC_Decode, 223, 3, 13, // Opcode: WRYri
 /* 2134 */    MCD_OPC_FilterValue, 52, 197, 2, // Skip to: 2847
 /* 2138 */    MCD_OPC_ExtractField, 5, 9,  // Inst{13-5} ...
 /* 2141 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 2155
-/* 2145 */    MCD_OPC_CheckField, 14, 5, 0, 78, 14, // Skip to: 5813
-/* 2151 */    MCD_OPC_Decode, 209, 1, 23, // Opcode: FMOVS
+/* 2145 */    MCD_OPC_CheckField, 14, 5, 0, 80, 14, // Skip to: 5815
+/* 2151 */    MCD_OPC_Decode, 211, 1, 23, // Opcode: FMOVS
 /* 2155 */    MCD_OPC_FilterValue, 2, 14, 0, // Skip to: 2173
-/* 2159 */    MCD_OPC_CheckPredicate, 0, 66, 14, // Skip to: 5813
-/* 2163 */    MCD_OPC_CheckField, 14, 5, 0, 60, 14, // Skip to: 5813
-/* 2169 */    MCD_OPC_Decode, 183, 1, 24, // Opcode: FMOVD
+/* 2159 */    MCD_OPC_CheckPredicate, 0, 68, 14, // Skip to: 5815
+/* 2163 */    MCD_OPC_CheckField, 14, 5, 0, 62, 14, // Skip to: 5815
+/* 2169 */    MCD_OPC_Decode, 185, 1, 24, // Opcode: FMOVD
 /* 2173 */    MCD_OPC_FilterValue, 3, 14, 0, // Skip to: 2191
-/* 2177 */    MCD_OPC_CheckPredicate, 0, 48, 14, // Skip to: 5813
-/* 2181 */    MCD_OPC_CheckField, 14, 5, 0, 42, 14, // Skip to: 5813
-/* 2187 */    MCD_OPC_Decode, 187, 1, 25, // Opcode: FMOVQ
+/* 2177 */    MCD_OPC_CheckPredicate, 0, 50, 14, // Skip to: 5815
+/* 2181 */    MCD_OPC_CheckField, 14, 5, 0, 44, 14, // Skip to: 5815
+/* 2187 */    MCD_OPC_Decode, 189, 1, 25, // Opcode: FMOVQ
 /* 2191 */    MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 2205
-/* 2195 */    MCD_OPC_CheckField, 14, 5, 0, 28, 14, // Skip to: 5813
-/* 2201 */    MCD_OPC_Decode, 229, 1, 23, // Opcode: FNEGS
+/* 2195 */    MCD_OPC_CheckField, 14, 5, 0, 30, 14, // Skip to: 5815
+/* 2201 */    MCD_OPC_Decode, 231, 1, 23, // Opcode: FNEGS
 /* 2205 */    MCD_OPC_FilterValue, 6, 14, 0, // Skip to: 2223
-/* 2209 */    MCD_OPC_CheckPredicate, 0, 16, 14, // Skip to: 5813
-/* 2213 */    MCD_OPC_CheckField, 14, 5, 0, 10, 14, // Skip to: 5813
-/* 2219 */    MCD_OPC_Decode, 227, 1, 24, // Opcode: FNEGD
+/* 2209 */    MCD_OPC_CheckPredicate, 0, 18, 14, // Skip to: 5815
+/* 2213 */    MCD_OPC_CheckField, 14, 5, 0, 12, 14, // Skip to: 5815
+/* 2219 */    MCD_OPC_Decode, 229, 1, 24, // Opcode: FNEGD
 /* 2223 */    MCD_OPC_FilterValue, 7, 14, 0, // Skip to: 2241
-/* 2227 */    MCD_OPC_CheckPredicate, 0, 254, 13, // Skip to: 5813
-/* 2231 */    MCD_OPC_CheckField, 14, 5, 0, 248, 13, // Skip to: 5813
-/* 2237 */    MCD_OPC_Decode, 228, 1, 25, // Opcode: FNEGQ
+/* 2227 */    MCD_OPC_CheckPredicate, 0, 0, 14, // Skip to: 5815
+/* 2231 */    MCD_OPC_CheckField, 14, 5, 0, 250, 13, // Skip to: 5815
+/* 2237 */    MCD_OPC_Decode, 230, 1, 25, // Opcode: FNEGQ
 /* 2241 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 2255
-/* 2245 */    MCD_OPC_CheckField, 14, 5, 0, 234, 13, // Skip to: 5813
-/* 2251 */    MCD_OPC_Decode, 138, 1, 23, // Opcode: FABSS
+/* 2245 */    MCD_OPC_CheckField, 14, 5, 0, 236, 13, // Skip to: 5815
+/* 2251 */    MCD_OPC_Decode, 140, 1, 23, // Opcode: FABSS
 /* 2255 */    MCD_OPC_FilterValue, 10, 14, 0, // Skip to: 2273
-/* 2259 */    MCD_OPC_CheckPredicate, 0, 222, 13, // Skip to: 5813
-/* 2263 */    MCD_OPC_CheckField, 14, 5, 0, 216, 13, // Skip to: 5813
-/* 2269 */    MCD_OPC_Decode, 136, 1, 24, // Opcode: FABSD
+/* 2259 */    MCD_OPC_CheckPredicate, 0, 224, 13, // Skip to: 5815
+/* 2263 */    MCD_OPC_CheckField, 14, 5, 0, 218, 13, // Skip to: 5815
+/* 2269 */    MCD_OPC_Decode, 138, 1, 24, // Opcode: FABSD
 /* 2273 */    MCD_OPC_FilterValue, 11, 14, 0, // Skip to: 2291
-/* 2277 */    MCD_OPC_CheckPredicate, 0, 204, 13, // Skip to: 5813
-/* 2281 */    MCD_OPC_CheckField, 14, 5, 0, 198, 13, // Skip to: 5813
-/* 2287 */    MCD_OPC_Decode, 137, 1, 25, // Opcode: FABSQ
+/* 2277 */    MCD_OPC_CheckPredicate, 0, 206, 13, // Skip to: 5815
+/* 2281 */    MCD_OPC_CheckField, 14, 5, 0, 200, 13, // Skip to: 5815
+/* 2287 */    MCD_OPC_Decode, 139, 1, 25, // Opcode: FABSQ
 /* 2291 */    MCD_OPC_FilterValue, 41, 10, 0, // Skip to: 2305
-/* 2295 */    MCD_OPC_CheckField, 14, 5, 0, 184, 13, // Skip to: 5813
-/* 2301 */    MCD_OPC_Decode, 145, 2, 23, // Opcode: FSQRTS
+/* 2295 */    MCD_OPC_CheckField, 14, 5, 0, 186, 13, // Skip to: 5815
+/* 2301 */    MCD_OPC_Decode, 147, 2, 23, // Opcode: FSQRTS
 /* 2305 */    MCD_OPC_FilterValue, 42, 10, 0, // Skip to: 2319
-/* 2309 */    MCD_OPC_CheckField, 14, 5, 0, 170, 13, // Skip to: 5813
-/* 2315 */    MCD_OPC_Decode, 143, 2, 24, // Opcode: FSQRTD
+/* 2309 */    MCD_OPC_CheckField, 14, 5, 0, 172, 13, // Skip to: 5815
+/* 2315 */    MCD_OPC_Decode, 145, 2, 24, // Opcode: FSQRTD
 /* 2319 */    MCD_OPC_FilterValue, 43, 10, 0, // Skip to: 2333
-/* 2323 */    MCD_OPC_CheckField, 14, 5, 0, 156, 13, // Skip to: 5813
-/* 2329 */    MCD_OPC_Decode, 144, 2, 25, // Opcode: FSQRTQ
+/* 2323 */    MCD_OPC_CheckField, 14, 5, 0, 158, 13, // Skip to: 5815
+/* 2329 */    MCD_OPC_Decode, 146, 2, 25, // Opcode: FSQRTQ
 /* 2333 */    MCD_OPC_FilterValue, 65, 4, 0, // Skip to: 2341
-/* 2337 */    MCD_OPC_Decode, 141, 1, 26, // Opcode: FADDS
+/* 2337 */    MCD_OPC_Decode, 143, 1, 26, // Opcode: FADDS
 /* 2341 */    MCD_OPC_FilterValue, 66, 4, 0, // Skip to: 2349
-/* 2345 */    MCD_OPC_Decode, 139, 1, 27, // Opcode: FADDD
+/* 2345 */    MCD_OPC_Decode, 141, 1, 27, // Opcode: FADDD
 /* 2349 */    MCD_OPC_FilterValue, 67, 4, 0, // Skip to: 2357
-/* 2353 */    MCD_OPC_Decode, 140, 1, 28, // Opcode: FADDQ
+/* 2353 */    MCD_OPC_Decode, 142, 1, 28, // Opcode: FADDQ
 /* 2357 */    MCD_OPC_FilterValue, 69, 4, 0, // Skip to: 2365
-/* 2361 */    MCD_OPC_Decode, 160, 2, 26, // Opcode: FSUBS
+/* 2361 */    MCD_OPC_Decode, 162, 2, 26, // Opcode: FSUBS
 /* 2365 */    MCD_OPC_FilterValue, 70, 4, 0, // Skip to: 2373
-/* 2369 */    MCD_OPC_Decode, 158, 2, 27, // Opcode: FSUBD
+/* 2369 */    MCD_OPC_Decode, 160, 2, 27, // Opcode: FSUBD
 /* 2373 */    MCD_OPC_FilterValue, 71, 4, 0, // Skip to: 2381
-/* 2377 */    MCD_OPC_Decode, 159, 2, 28, // Opcode: FSUBQ
+/* 2377 */    MCD_OPC_Decode, 161, 2, 28, // Opcode: FSUBQ
 /* 2381 */    MCD_OPC_FilterValue, 73, 4, 0, // Skip to: 2389
-/* 2385 */    MCD_OPC_Decode, 222, 1, 26, // Opcode: FMULS
+/* 2385 */    MCD_OPC_Decode, 224, 1, 26, // Opcode: FMULS
 /* 2389 */    MCD_OPC_FilterValue, 74, 4, 0, // Skip to: 2397
-/* 2393 */    MCD_OPC_Decode, 218, 1, 27, // Opcode: FMULD
+/* 2393 */    MCD_OPC_Decode, 220, 1, 27, // Opcode: FMULD
 /* 2397 */    MCD_OPC_FilterValue, 75, 4, 0, // Skip to: 2405
-/* 2401 */    MCD_OPC_Decode, 221, 1, 28, // Opcode: FMULQ
+/* 2401 */    MCD_OPC_Decode, 223, 1, 28, // Opcode: FMULQ
 /* 2405 */    MCD_OPC_FilterValue, 77, 4, 0, // Skip to: 2413
-/* 2409 */    MCD_OPC_Decode, 165, 1, 26, // Opcode: FDIVS
+/* 2409 */    MCD_OPC_Decode, 167, 1, 26, // Opcode: FDIVS
 /* 2413 */    MCD_OPC_FilterValue, 78, 4, 0, // Skip to: 2421
-/* 2417 */    MCD_OPC_Decode, 163, 1, 27, // Opcode: FDIVD
+/* 2417 */    MCD_OPC_Decode, 165, 1, 27, // Opcode: FDIVD
 /* 2421 */    MCD_OPC_FilterValue, 79, 4, 0, // Skip to: 2429
-/* 2425 */    MCD_OPC_Decode, 164, 1, 28, // Opcode: FDIVQ
+/* 2425 */    MCD_OPC_Decode, 166, 1, 28, // Opcode: FDIVQ
 /* 2429 */    MCD_OPC_FilterValue, 81, 8, 0, // Skip to: 2441
-/* 2433 */    MCD_OPC_CheckPredicate, 1, 48, 13, // Skip to: 5813
-/* 2437 */    MCD_OPC_Decode, 224, 1, 27, // Opcode: FNADDS
+/* 2433 */    MCD_OPC_CheckPredicate, 1, 50, 13, // Skip to: 5815
+/* 2437 */    MCD_OPC_Decode, 226, 1, 27, // Opcode: FNADDS
 /* 2441 */    MCD_OPC_FilterValue, 82, 8, 0, // Skip to: 2453
-/* 2445 */    MCD_OPC_CheckPredicate, 1, 36, 13, // Skip to: 5813
-/* 2449 */    MCD_OPC_Decode, 223, 1, 27, // Opcode: FNADDD
+/* 2445 */    MCD_OPC_CheckPredicate, 1, 38, 13, // Skip to: 5815
+/* 2449 */    MCD_OPC_Decode, 225, 1, 27, // Opcode: FNADDD
 /* 2453 */    MCD_OPC_FilterValue, 89, 8, 0, // Skip to: 2465
-/* 2457 */    MCD_OPC_CheckPredicate, 1, 24, 13, // Skip to: 5813
-/* 2461 */    MCD_OPC_Decode, 233, 1, 27, // Opcode: FNMULS
+/* 2457 */    MCD_OPC_CheckPredicate, 1, 26, 13, // Skip to: 5815
+/* 2461 */    MCD_OPC_Decode, 235, 1, 27, // Opcode: FNMULS
 /* 2465 */    MCD_OPC_FilterValue, 90, 8, 0, // Skip to: 2477
-/* 2469 */    MCD_OPC_CheckPredicate, 1, 12, 13, // Skip to: 5813
-/* 2473 */    MCD_OPC_Decode, 232, 1, 27, // Opcode: FNMULD
+/* 2469 */    MCD_OPC_CheckPredicate, 1, 14, 13, // Skip to: 5815
+/* 2473 */    MCD_OPC_Decode, 234, 1, 27, // Opcode: FNMULD
 /* 2477 */    MCD_OPC_FilterValue, 97, 8, 0, // Skip to: 2489
-/* 2481 */    MCD_OPC_CheckPredicate, 1, 0, 13, // Skip to: 5813
-/* 2485 */    MCD_OPC_Decode, 173, 1, 27, // Opcode: FHADDS
+/* 2481 */    MCD_OPC_CheckPredicate, 1, 2, 13, // Skip to: 5815
+/* 2485 */    MCD_OPC_Decode, 175, 1, 27, // Opcode: FHADDS
 /* 2489 */    MCD_OPC_FilterValue, 98, 8, 0, // Skip to: 2501
-/* 2493 */    MCD_OPC_CheckPredicate, 1, 244, 12, // Skip to: 5813
-/* 2497 */    MCD_OPC_Decode, 172, 1, 27, // Opcode: FHADDD
+/* 2493 */    MCD_OPC_CheckPredicate, 1, 246, 12, // Skip to: 5815
+/* 2497 */    MCD_OPC_Decode, 174, 1, 27, // Opcode: FHADDD
 /* 2501 */    MCD_OPC_FilterValue, 101, 8, 0, // Skip to: 2513
-/* 2505 */    MCD_OPC_CheckPredicate, 1, 232, 12, // Skip to: 5813
-/* 2509 */    MCD_OPC_Decode, 175, 1, 27, // Opcode: FHSUBS
+/* 2505 */    MCD_OPC_CheckPredicate, 1, 234, 12, // Skip to: 5815
+/* 2509 */    MCD_OPC_Decode, 177, 1, 27, // Opcode: FHSUBS
 /* 2513 */    MCD_OPC_FilterValue, 102, 8, 0, // Skip to: 2525
-/* 2517 */    MCD_OPC_CheckPredicate, 1, 220, 12, // Skip to: 5813
-/* 2521 */    MCD_OPC_Decode, 174, 1, 27, // Opcode: FHSUBD
+/* 2517 */    MCD_OPC_CheckPredicate, 1, 222, 12, // Skip to: 5815
+/* 2521 */    MCD_OPC_Decode, 176, 1, 27, // Opcode: FHSUBD
 /* 2525 */    MCD_OPC_FilterValue, 105, 4, 0, // Skip to: 2533
-/* 2529 */    MCD_OPC_Decode, 142, 2, 29, // Opcode: FSMULD
+/* 2529 */    MCD_OPC_Decode, 144, 2, 29, // Opcode: FSMULD
 /* 2533 */    MCD_OPC_FilterValue, 110, 4, 0, // Skip to: 2541
-/* 2537 */    MCD_OPC_Decode, 166, 1, 30, // Opcode: FDMULQ
+/* 2537 */    MCD_OPC_Decode, 168, 1, 30, // Opcode: FDMULQ
 /* 2541 */    MCD_OPC_FilterValue, 113, 8, 0, // Skip to: 2553
-/* 2545 */    MCD_OPC_CheckPredicate, 1, 192, 12, // Skip to: 5813
-/* 2549 */    MCD_OPC_Decode, 231, 1, 27, // Opcode: FNHADDS
+/* 2545 */    MCD_OPC_CheckPredicate, 1, 194, 12, // Skip to: 5815
+/* 2549 */    MCD_OPC_Decode, 233, 1, 27, // Opcode: FNHADDS
 /* 2553 */    MCD_OPC_FilterValue, 114, 8, 0, // Skip to: 2565
-/* 2557 */    MCD_OPC_CheckPredicate, 1, 180, 12, // Skip to: 5813
-/* 2561 */    MCD_OPC_Decode, 230, 1, 27, // Opcode: FNHADDD
+/* 2557 */    MCD_OPC_CheckPredicate, 1, 182, 12, // Skip to: 5815
+/* 2561 */    MCD_OPC_Decode, 232, 1, 27, // Opcode: FNHADDD
 /* 2565 */    MCD_OPC_FilterValue, 121, 8, 0, // Skip to: 2577
-/* 2569 */    MCD_OPC_CheckPredicate, 1, 168, 12, // Skip to: 5813
-/* 2573 */    MCD_OPC_Decode, 240, 1, 27, // Opcode: FNSMULD
+/* 2569 */    MCD_OPC_CheckPredicate, 1, 170, 12, // Skip to: 5815
+/* 2573 */    MCD_OPC_Decode, 242, 1, 27, // Opcode: FNSMULD
 /* 2577 */    MCD_OPC_FilterValue, 129, 1, 10, 0, // Skip to: 2592
-/* 2582 */    MCD_OPC_CheckField, 14, 5, 0, 153, 12, // Skip to: 5813
-/* 2588 */    MCD_OPC_Decode, 157, 2, 31, // Opcode: FSTOX
+/* 2582 */    MCD_OPC_CheckField, 14, 5, 0, 155, 12, // Skip to: 5815
+/* 2588 */    MCD_OPC_Decode, 159, 2, 31, // Opcode: FSTOX
 /* 2592 */    MCD_OPC_FilterValue, 130, 1, 10, 0, // Skip to: 2607
-/* 2597 */    MCD_OPC_CheckField, 14, 5, 0, 138, 12, // Skip to: 5813
-/* 2603 */    MCD_OPC_Decode, 170, 1, 24, // Opcode: FDTOX
+/* 2597 */    MCD_OPC_CheckField, 14, 5, 0, 140, 12, // Skip to: 5815
+/* 2603 */    MCD_OPC_Decode, 172, 1, 24, // Opcode: FDTOX
 /* 2607 */    MCD_OPC_FilterValue, 131, 1, 10, 0, // Skip to: 2622
-/* 2612 */    MCD_OPC_CheckField, 14, 5, 0, 123, 12, // Skip to: 5813
-/* 2618 */    MCD_OPC_Decode, 137, 2, 32, // Opcode: FQTOX
+/* 2612 */    MCD_OPC_CheckField, 14, 5, 0, 125, 12, // Skip to: 5815
+/* 2618 */    MCD_OPC_Decode, 139, 2, 32, // Opcode: FQTOX
 /* 2622 */    MCD_OPC_FilterValue, 132, 1, 10, 0, // Skip to: 2637
-/* 2627 */    MCD_OPC_CheckField, 14, 5, 0, 108, 12, // Skip to: 5813
-/* 2633 */    MCD_OPC_Decode, 167, 2, 33, // Opcode: FXTOS
+/* 2627 */    MCD_OPC_CheckField, 14, 5, 0, 110, 12, // Skip to: 5815
+/* 2633 */    MCD_OPC_Decode, 169, 2, 33, // Opcode: FXTOS
 /* 2637 */    MCD_OPC_FilterValue, 136, 1, 10, 0, // Skip to: 2652
-/* 2642 */    MCD_OPC_CheckField, 14, 5, 0, 93, 12, // Skip to: 5813
-/* 2648 */    MCD_OPC_Decode, 165, 2, 24, // Opcode: FXTOD
+/* 2642 */    MCD_OPC_CheckField, 14, 5, 0, 95, 12, // Skip to: 5815
+/* 2648 */    MCD_OPC_Decode, 167, 2, 24, // Opcode: FXTOD
 /* 2652 */    MCD_OPC_FilterValue, 140, 1, 10, 0, // Skip to: 2667
-/* 2657 */    MCD_OPC_CheckField, 14, 5, 0, 78, 12, // Skip to: 5813
-/* 2663 */    MCD_OPC_Decode, 166, 2, 34, // Opcode: FXTOQ
+/* 2657 */    MCD_OPC_CheckField, 14, 5, 0, 80, 12, // Skip to: 5815
+/* 2663 */    MCD_OPC_Decode, 168, 2, 34, // Opcode: FXTOQ
 /* 2667 */    MCD_OPC_FilterValue, 196, 1, 10, 0, // Skip to: 2682
-/* 2672 */    MCD_OPC_CheckField, 14, 5, 0, 63, 12, // Skip to: 5813
-/* 2678 */    MCD_OPC_Decode, 178, 1, 23, // Opcode: FITOS
+/* 2672 */    MCD_OPC_CheckField, 14, 5, 0, 65, 12, // Skip to: 5815
+/* 2678 */    MCD_OPC_Decode, 180, 1, 23, // Opcode: FITOS
 /* 2682 */    MCD_OPC_FilterValue, 198, 1, 10, 0, // Skip to: 2697
-/* 2687 */    MCD_OPC_CheckField, 14, 5, 0, 48, 12, // Skip to: 5813
-/* 2693 */    MCD_OPC_Decode, 169, 1, 33, // Opcode: FDTOS
+/* 2687 */    MCD_OPC_CheckField, 14, 5, 0, 50, 12, // Skip to: 5815
+/* 2693 */    MCD_OPC_Decode, 171, 1, 33, // Opcode: FDTOS
 /* 2697 */    MCD_OPC_FilterValue, 199, 1, 10, 0, // Skip to: 2712
-/* 2702 */    MCD_OPC_CheckField, 14, 5, 0, 33, 12, // Skip to: 5813
-/* 2708 */    MCD_OPC_Decode, 136, 2, 35, // Opcode: FQTOS
+/* 2702 */    MCD_OPC_CheckField, 14, 5, 0, 35, 12, // Skip to: 5815
+/* 2708 */    MCD_OPC_Decode, 138, 2, 35, // Opcode: FQTOS
 /* 2712 */    MCD_OPC_FilterValue, 200, 1, 10, 0, // Skip to: 2727
-/* 2717 */    MCD_OPC_CheckField, 14, 5, 0, 18, 12, // Skip to: 5813
-/* 2723 */    MCD_OPC_Decode, 176, 1, 31, // Opcode: FITOD
+/* 2717 */    MCD_OPC_CheckField, 14, 5, 0, 20, 12, // Skip to: 5815
+/* 2723 */    MCD_OPC_Decode, 178, 1, 31, // Opcode: FITOD
 /* 2727 */    MCD_OPC_FilterValue, 201, 1, 10, 0, // Skip to: 2742
-/* 2732 */    MCD_OPC_CheckField, 14, 5, 0, 3, 12, // Skip to: 5813
-/* 2738 */    MCD_OPC_Decode, 154, 2, 31, // Opcode: FSTOD
+/* 2732 */    MCD_OPC_CheckField, 14, 5, 0, 5, 12, // Skip to: 5815
+/* 2738 */    MCD_OPC_Decode, 156, 2, 31, // Opcode: FSTOD
 /* 2742 */    MCD_OPC_FilterValue, 203, 1, 10, 0, // Skip to: 2757
-/* 2747 */    MCD_OPC_CheckField, 14, 5, 0, 244, 11, // Skip to: 5813
-/* 2753 */    MCD_OPC_Decode, 134, 2, 32, // Opcode: FQTOD
+/* 2747 */    MCD_OPC_CheckField, 14, 5, 0, 246, 11, // Skip to: 5815
+/* 2753 */    MCD_OPC_Decode, 136, 2, 32, // Opcode: FQTOD
 /* 2757 */    MCD_OPC_FilterValue, 204, 1, 10, 0, // Skip to: 2772
-/* 2762 */    MCD_OPC_CheckField, 14, 5, 0, 229, 11, // Skip to: 5813
-/* 2768 */    MCD_OPC_Decode, 177, 1, 36, // Opcode: FITOQ
+/* 2762 */    MCD_OPC_CheckField, 14, 5, 0, 231, 11, // Skip to: 5815
+/* 2768 */    MCD_OPC_Decode, 179, 1, 36, // Opcode: FITOQ
 /* 2772 */    MCD_OPC_FilterValue, 205, 1, 10, 0, // Skip to: 2787
-/* 2777 */    MCD_OPC_CheckField, 14, 5, 0, 214, 11, // Skip to: 5813
-/* 2783 */    MCD_OPC_Decode, 156, 2, 36, // Opcode: FSTOQ
+/* 2777 */    MCD_OPC_CheckField, 14, 5, 0, 216, 11, // Skip to: 5815
+/* 2783 */    MCD_OPC_Decode, 158, 2, 36, // Opcode: FSTOQ
 /* 2787 */    MCD_OPC_FilterValue, 206, 1, 10, 0, // Skip to: 2802
-/* 2792 */    MCD_OPC_CheckField, 14, 5, 0, 199, 11, // Skip to: 5813
-/* 2798 */    MCD_OPC_Decode, 168, 1, 34, // Opcode: FDTOQ
+/* 2792 */    MCD_OPC_CheckField, 14, 5, 0, 201, 11, // Skip to: 5815
+/* 2798 */    MCD_OPC_Decode, 170, 1, 34, // Opcode: FDTOQ
 /* 2802 */    MCD_OPC_FilterValue, 209, 1, 10, 0, // Skip to: 2817
-/* 2807 */    MCD_OPC_CheckField, 14, 5, 0, 184, 11, // Skip to: 5813
-/* 2813 */    MCD_OPC_Decode, 155, 2, 23, // Opcode: FSTOI
+/* 2807 */    MCD_OPC_CheckField, 14, 5, 0, 186, 11, // Skip to: 5815
+/* 2813 */    MCD_OPC_Decode, 157, 2, 23, // Opcode: FSTOI
 /* 2817 */    MCD_OPC_FilterValue, 210, 1, 10, 0, // Skip to: 2832
-/* 2822 */    MCD_OPC_CheckField, 14, 5, 0, 169, 11, // Skip to: 5813
-/* 2828 */    MCD_OPC_Decode, 167, 1, 33, // Opcode: FDTOI
-/* 2832 */    MCD_OPC_FilterValue, 211, 1, 160, 11, // Skip to: 5813
-/* 2837 */    MCD_OPC_CheckField, 14, 5, 0, 154, 11, // Skip to: 5813
-/* 2843 */    MCD_OPC_Decode, 135, 2, 35, // Opcode: FQTOI
+/* 2822 */    MCD_OPC_CheckField, 14, 5, 0, 171, 11, // Skip to: 5815
+/* 2828 */    MCD_OPC_Decode, 169, 1, 33, // Opcode: FDTOI
+/* 2832 */    MCD_OPC_FilterValue, 211, 1, 162, 11, // Skip to: 5815
+/* 2837 */    MCD_OPC_CheckField, 14, 5, 0, 156, 11, // Skip to: 5815
+/* 2843 */    MCD_OPC_Decode, 137, 2, 35, // Opcode: FQTOI
 /* 2847 */    MCD_OPC_FilterValue, 53, 70, 2, // Skip to: 3433
 /* 2851 */    MCD_OPC_ExtractField, 5, 6,  // Inst{10-5} ...
 /* 2854 */    MCD_OPC_FilterValue, 1, 75, 0, // Skip to: 2933
 /* 2858 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 2861 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 2894
 /* 2865 */    MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
-/* 2868 */    MCD_OPC_FilterValue, 0, 125, 11, // Skip to: 5813
+/* 2868 */    MCD_OPC_FilterValue, 0, 127, 11, // Skip to: 5815
 /* 2872 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2886
 /* 2876 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2886
-/* 2882 */    MCD_OPC_Decode, 210, 1, 37, // Opcode: FMOVS_FCC
-/* 2886 */    MCD_OPC_CheckPredicate, 0, 107, 11, // Skip to: 5813
-/* 2890 */    MCD_OPC_Decode, 218, 3, 38, // Opcode: V9FMOVS_FCC
-/* 2894 */    MCD_OPC_FilterValue, 1, 99, 11, // Skip to: 5813
+/* 2882 */    MCD_OPC_Decode, 212, 1, 37, // Opcode: FMOVS_FCC
+/* 2886 */    MCD_OPC_CheckPredicate, 0, 109, 11, // Skip to: 5815
+/* 2890 */    MCD_OPC_Decode, 220, 3, 38, // Opcode: V9FMOVS_FCC
+/* 2894 */    MCD_OPC_FilterValue, 1, 101, 11, // Skip to: 5815
 /* 2898 */    MCD_OPC_ExtractField, 11, 2,  // Inst{12-11} ...
 /* 2901 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2919
-/* 2905 */    MCD_OPC_CheckPredicate, 0, 88, 11, // Skip to: 5813
-/* 2909 */    MCD_OPC_CheckField, 18, 1, 0, 82, 11, // Skip to: 5813
-/* 2915 */    MCD_OPC_Decode, 211, 1, 37, // Opcode: FMOVS_ICC
-/* 2919 */    MCD_OPC_FilterValue, 2, 74, 11, // Skip to: 5813
-/* 2923 */    MCD_OPC_CheckField, 18, 1, 0, 68, 11, // Skip to: 5813
-/* 2929 */    MCD_OPC_Decode, 212, 1, 37, // Opcode: FMOVS_XCC
+/* 2905 */    MCD_OPC_CheckPredicate, 0, 90, 11, // Skip to: 5815
+/* 2909 */    MCD_OPC_CheckField, 18, 1, 0, 84, 11, // Skip to: 5815
+/* 2915 */    MCD_OPC_Decode, 213, 1, 37, // Opcode: FMOVS_ICC
+/* 2919 */    MCD_OPC_FilterValue, 2, 76, 11, // Skip to: 5815
+/* 2923 */    MCD_OPC_CheckField, 18, 1, 0, 70, 11, // Skip to: 5815
+/* 2929 */    MCD_OPC_Decode, 214, 1, 37, // Opcode: FMOVS_XCC
 /* 2933 */    MCD_OPC_FilterValue, 2, 75, 0, // Skip to: 3012
 /* 2937 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 2940 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 2973
 /* 2944 */    MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
-/* 2947 */    MCD_OPC_FilterValue, 0, 46, 11, // Skip to: 5813
+/* 2947 */    MCD_OPC_FilterValue, 0, 48, 11, // Skip to: 5815
 /* 2951 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 2965
 /* 2955 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2965
-/* 2961 */    MCD_OPC_Decode, 184, 1, 39, // Opcode: FMOVD_FCC
-/* 2965 */    MCD_OPC_CheckPredicate, 0, 28, 11, // Skip to: 5813
-/* 2969 */    MCD_OPC_Decode, 216, 3, 40, // Opcode: V9FMOVD_FCC
-/* 2973 */    MCD_OPC_FilterValue, 1, 20, 11, // Skip to: 5813
+/* 2961 */    MCD_OPC_Decode, 186, 1, 39, // Opcode: FMOVD_FCC
+/* 2965 */    MCD_OPC_CheckPredicate, 0, 30, 11, // Skip to: 5815
+/* 2969 */    MCD_OPC_Decode, 218, 3, 40, // Opcode: V9FMOVD_FCC
+/* 2973 */    MCD_OPC_FilterValue, 1, 22, 11, // Skip to: 5815
 /* 2977 */    MCD_OPC_ExtractField, 11, 2,  // Inst{12-11} ...
 /* 2980 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 2998
-/* 2984 */    MCD_OPC_CheckPredicate, 0, 9, 11, // Skip to: 5813
-/* 2988 */    MCD_OPC_CheckField, 18, 1, 0, 3, 11, // Skip to: 5813
-/* 2994 */    MCD_OPC_Decode, 185, 1, 39, // Opcode: FMOVD_ICC
-/* 2998 */    MCD_OPC_FilterValue, 2, 251, 10, // Skip to: 5813
-/* 3002 */    MCD_OPC_CheckField, 18, 1, 0, 245, 10, // Skip to: 5813
-/* 3008 */    MCD_OPC_Decode, 186, 1, 39, // Opcode: FMOVD_XCC
+/* 2984 */    MCD_OPC_CheckPredicate, 0, 11, 11, // Skip to: 5815
+/* 2988 */    MCD_OPC_CheckField, 18, 1, 0, 5, 11, // Skip to: 5815
+/* 2994 */    MCD_OPC_Decode, 187, 1, 39, // Opcode: FMOVD_ICC
+/* 2998 */    MCD_OPC_FilterValue, 2, 253, 10, // Skip to: 5815
+/* 3002 */    MCD_OPC_CheckField, 18, 1, 0, 247, 10, // Skip to: 5815
+/* 3008 */    MCD_OPC_Decode, 188, 1, 39, // Opcode: FMOVD_XCC
 /* 3012 */    MCD_OPC_FilterValue, 3, 75, 0, // Skip to: 3091
 /* 3016 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
 /* 3019 */    MCD_OPC_FilterValue, 0, 29, 0, // Skip to: 3052
 /* 3023 */    MCD_OPC_ExtractField, 18, 1,  // Inst{18} ...
-/* 3026 */    MCD_OPC_FilterValue, 0, 223, 10, // Skip to: 5813
+/* 3026 */    MCD_OPC_FilterValue, 0, 225, 10, // Skip to: 5815
 /* 3030 */    MCD_OPC_CheckPredicate, 0, 10, 0, // Skip to: 3044
 /* 3034 */    MCD_OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3044
-/* 3040 */    MCD_OPC_Decode, 188, 1, 41, // Opcode: FMOVQ_FCC
-/* 3044 */    MCD_OPC_CheckPredicate, 0, 205, 10, // Skip to: 5813
-/* 3048 */    MCD_OPC_Decode, 217, 3, 42, // Opcode: V9FMOVQ_FCC
-/* 3052 */    MCD_OPC_FilterValue, 1, 197, 10, // Skip to: 5813
+/* 3040 */    MCD_OPC_Decode, 190, 1, 41, // Opcode: FMOVQ_FCC
+/* 3044 */    MCD_OPC_CheckPredicate, 0, 207, 10, // Skip to: 5815
+/* 3048 */    MCD_OPC_Decode, 219, 3, 42, // Opcode: V9FMOVQ_FCC
+/* 3052 */    MCD_OPC_FilterValue, 1, 199, 10, // Skip to: 5815
 /* 3056 */    MCD_OPC_ExtractField, 11, 2,  // Inst{12-11} ...
 /* 3059 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 3077
-/* 3063 */    MCD_OPC_CheckPredicate, 0, 186, 10, // Skip to: 5813
-/* 3067 */    MCD_OPC_CheckField, 18, 1, 0, 180, 10, // Skip to: 5813
-/* 3073 */    MCD_OPC_Decode, 189, 1, 41, // Opcode: FMOVQ_ICC
-/* 3077 */    MCD_OPC_FilterValue, 2, 172, 10, // Skip to: 5813
-/* 3081 */    MCD_OPC_CheckField, 18, 1, 0, 166, 10, // Skip to: 5813
-/* 3087 */    MCD_OPC_Decode, 190, 1, 41, // Opcode: FMOVQ_XCC
+/* 3063 */    MCD_OPC_CheckPredicate, 0, 188, 10, // Skip to: 5815
+/* 3067 */    MCD_OPC_CheckField, 18, 1, 0, 182, 10, // Skip to: 5815
+/* 3073 */    MCD_OPC_Decode, 191, 1, 41, // Opcode: FMOVQ_ICC
+/* 3077 */    MCD_OPC_FilterValue, 2, 174, 10, // Skip to: 5815
+/* 3081 */    MCD_OPC_CheckField, 18, 1, 0, 168, 10, // Skip to: 5815
+/* 3087 */    MCD_OPC_Decode, 192, 1, 41, // Opcode: FMOVQ_XCC
 /* 3091 */    MCD_OPC_FilterValue, 5, 27, 0, // Skip to: 3122
 /* 3095 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3098 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3110
-/* 3102 */    MCD_OPC_CheckPredicate, 0, 147, 10, // Skip to: 5813
-/* 3106 */    MCD_OPC_Decode, 199, 1, 43, // Opcode: FMOVRLEZS
-/* 3110 */    MCD_OPC_FilterValue, 3, 139, 10, // Skip to: 5813
-/* 3114 */    MCD_OPC_CheckPredicate, 0, 135, 10, // Skip to: 5813
-/* 3118 */    MCD_OPC_Decode, 196, 1, 43, // Opcode: FMOVRGZS
+/* 3102 */    MCD_OPC_CheckPredicate, 0, 149, 10, // Skip to: 5815
+/* 3106 */    MCD_OPC_Decode, 201, 1, 43, // Opcode: FMOVRLEZS
+/* 3110 */    MCD_OPC_FilterValue, 3, 141, 10, // Skip to: 5815
+/* 3114 */    MCD_OPC_CheckPredicate, 0, 137, 10, // Skip to: 5815
+/* 3118 */    MCD_OPC_Decode, 198, 1, 43, // Opcode: FMOVRGZS
 /* 3122 */    MCD_OPC_FilterValue, 6, 27, 0, // Skip to: 3153
 /* 3126 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3129 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3141
-/* 3133 */    MCD_OPC_CheckPredicate, 0, 116, 10, // Skip to: 5813
-/* 3137 */    MCD_OPC_Decode, 197, 1, 43, // Opcode: FMOVRLEZD
-/* 3141 */    MCD_OPC_FilterValue, 3, 108, 10, // Skip to: 5813
-/* 3145 */    MCD_OPC_CheckPredicate, 0, 104, 10, // Skip to: 5813
-/* 3149 */    MCD_OPC_Decode, 194, 1, 43, // Opcode: FMOVRGZD
+/* 3133 */    MCD_OPC_CheckPredicate, 0, 118, 10, // Skip to: 5815
+/* 3137 */    MCD_OPC_Decode, 199, 1, 43, // Opcode: FMOVRLEZD
+/* 3141 */    MCD_OPC_FilterValue, 3, 110, 10, // Skip to: 5815
+/* 3145 */    MCD_OPC_CheckPredicate, 0, 106, 10, // Skip to: 5815
+/* 3149 */    MCD_OPC_Decode, 196, 1, 43, // Opcode: FMOVRGZD
 /* 3153 */    MCD_OPC_FilterValue, 7, 27, 0, // Skip to: 3184
 /* 3157 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3160 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3172
-/* 3164 */    MCD_OPC_CheckPredicate, 0, 85, 10, // Skip to: 5813
-/* 3168 */    MCD_OPC_Decode, 198, 1, 43, // Opcode: FMOVRLEZQ
-/* 3172 */    MCD_OPC_FilterValue, 3, 77, 10, // Skip to: 5813
-/* 3176 */    MCD_OPC_CheckPredicate, 0, 73, 10, // Skip to: 5813
-/* 3180 */    MCD_OPC_Decode, 195, 1, 43, // Opcode: FMOVRGZQ
+/* 3164 */    MCD_OPC_CheckPredicate, 0, 87, 10, // Skip to: 5815
+/* 3168 */    MCD_OPC_Decode, 200, 1, 43, // Opcode: FMOVRLEZQ
+/* 3172 */    MCD_OPC_FilterValue, 3, 79, 10, // Skip to: 5815
+/* 3176 */    MCD_OPC_CheckPredicate, 0, 75, 10, // Skip to: 5815
+/* 3180 */    MCD_OPC_Decode, 197, 1, 43, // Opcode: FMOVRGZQ
 /* 3184 */    MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 3198
-/* 3188 */    MCD_OPC_CheckField, 11, 3, 1, 59, 10, // Skip to: 5813
-/* 3194 */    MCD_OPC_Decode, 215, 3, 44, // Opcode: V9FCMPS
+/* 3188 */    MCD_OPC_CheckField, 11, 3, 1, 61, 10, // Skip to: 5815
+/* 3194 */    MCD_OPC_Decode, 217, 3, 44, // Opcode: V9FCMPS
 /* 3198 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 3212
-/* 3202 */    MCD_OPC_CheckField, 11, 3, 1, 45, 10, // Skip to: 5813
-/* 3208 */    MCD_OPC_Decode, 210, 3, 45, // Opcode: V9FCMPD
+/* 3202 */    MCD_OPC_CheckField, 11, 3, 1, 47, 10, // Skip to: 5815
+/* 3208 */    MCD_OPC_Decode, 212, 3, 45, // Opcode: V9FCMPD
 /* 3212 */    MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 3226
-/* 3216 */    MCD_OPC_CheckField, 11, 3, 1, 31, 10, // Skip to: 5813
-/* 3222 */    MCD_OPC_Decode, 214, 3, 46, // Opcode: V9FCMPQ
+/* 3216 */    MCD_OPC_CheckField, 11, 3, 1, 33, 10, // Skip to: 5815
+/* 3222 */    MCD_OPC_Decode, 216, 3, 46, // Opcode: V9FCMPQ
 /* 3226 */    MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 3240
-/* 3230 */    MCD_OPC_CheckField, 11, 3, 1, 17, 10, // Skip to: 5813
-/* 3236 */    MCD_OPC_Decode, 213, 3, 44, // Opcode: V9FCMPES
+/* 3230 */    MCD_OPC_CheckField, 11, 3, 1, 19, 10, // Skip to: 5815
+/* 3236 */    MCD_OPC_Decode, 215, 3, 44, // Opcode: V9FCMPES
 /* 3240 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 3254
-/* 3244 */    MCD_OPC_CheckField, 11, 3, 1, 3, 10, // Skip to: 5813
-/* 3250 */    MCD_OPC_Decode, 211, 3, 45, // Opcode: V9FCMPED
+/* 3244 */    MCD_OPC_CheckField, 11, 3, 1, 5, 10, // Skip to: 5815
+/* 3250 */    MCD_OPC_Decode, 213, 3, 45, // Opcode: V9FCMPED
 /* 3254 */    MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 3268
-/* 3258 */    MCD_OPC_CheckField, 11, 3, 1, 245, 9, // Skip to: 5813
-/* 3264 */    MCD_OPC_Decode, 212, 3, 46, // Opcode: V9FCMPEQ
+/* 3258 */    MCD_OPC_CheckField, 11, 3, 1, 247, 9, // Skip to: 5815
+/* 3264 */    MCD_OPC_Decode, 214, 3, 46, // Opcode: V9FCMPEQ
 /* 3268 */    MCD_OPC_FilterValue, 37, 51, 0, // Skip to: 3323
 /* 3272 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3275 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3287
-/* 3279 */    MCD_OPC_CheckPredicate, 0, 226, 9, // Skip to: 5813
-/* 3283 */    MCD_OPC_Decode, 208, 1, 43, // Opcode: FMOVRZS
+/* 3279 */    MCD_OPC_CheckPredicate, 0, 228, 9, // Skip to: 5815
+/* 3283 */    MCD_OPC_Decode, 210, 1, 43, // Opcode: FMOVRZS
 /* 3287 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3299
-/* 3291 */    MCD_OPC_CheckPredicate, 0, 214, 9, // Skip to: 5813
-/* 3295 */    MCD_OPC_Decode, 202, 1, 43, // Opcode: FMOVRLZS
+/* 3291 */    MCD_OPC_CheckPredicate, 0, 216, 9, // Skip to: 5815
+/* 3295 */    MCD_OPC_Decode, 204, 1, 43, // Opcode: FMOVRLZS
 /* 3299 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3311
-/* 3303 */    MCD_OPC_CheckPredicate, 0, 202, 9, // Skip to: 5813
-/* 3307 */    MCD_OPC_Decode, 205, 1, 43, // Opcode: FMOVRNZS
-/* 3311 */    MCD_OPC_FilterValue, 3, 194, 9, // Skip to: 5813
-/* 3315 */    MCD_OPC_CheckPredicate, 0, 190, 9, // Skip to: 5813
-/* 3319 */    MCD_OPC_Decode, 193, 1, 43, // Opcode: FMOVRGEZS
+/* 3303 */    MCD_OPC_CheckPredicate, 0, 204, 9, // Skip to: 5815
+/* 3307 */    MCD_OPC_Decode, 207, 1, 43, // Opcode: FMOVRNZS
+/* 3311 */    MCD_OPC_FilterValue, 3, 196, 9, // Skip to: 5815
+/* 3315 */    MCD_OPC_CheckPredicate, 0, 192, 9, // Skip to: 5815
+/* 3319 */    MCD_OPC_Decode, 195, 1, 43, // Opcode: FMOVRGEZS
 /* 3323 */    MCD_OPC_FilterValue, 38, 51, 0, // Skip to: 3378
 /* 3327 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3330 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3342
-/* 3334 */    MCD_OPC_CheckPredicate, 0, 171, 9, // Skip to: 5813
-/* 3338 */    MCD_OPC_Decode, 206, 1, 43, // Opcode: FMOVRZD
+/* 3334 */    MCD_OPC_CheckPredicate, 0, 173, 9, // Skip to: 5815
+/* 3338 */    MCD_OPC_Decode, 208, 1, 43, // Opcode: FMOVRZD
 /* 3342 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3354
-/* 3346 */    MCD_OPC_CheckPredicate, 0, 159, 9, // Skip to: 5813
-/* 3350 */    MCD_OPC_Decode, 200, 1, 43, // Opcode: FMOVRLZD
+/* 3346 */    MCD_OPC_CheckPredicate, 0, 161, 9, // Skip to: 5815
+/* 3350 */    MCD_OPC_Decode, 202, 1, 43, // Opcode: FMOVRLZD
 /* 3354 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3366
-/* 3358 */    MCD_OPC_CheckPredicate, 0, 147, 9, // Skip to: 5813
-/* 3362 */    MCD_OPC_Decode, 203, 1, 43, // Opcode: FMOVRNZD
-/* 3366 */    MCD_OPC_FilterValue, 3, 139, 9, // Skip to: 5813
-/* 3370 */    MCD_OPC_CheckPredicate, 0, 135, 9, // Skip to: 5813
-/* 3374 */    MCD_OPC_Decode, 191, 1, 43, // Opcode: FMOVRGEZD
-/* 3378 */    MCD_OPC_FilterValue, 39, 127, 9, // Skip to: 5813
+/* 3358 */    MCD_OPC_CheckPredicate, 0, 149, 9, // Skip to: 5815
+/* 3362 */    MCD_OPC_Decode, 205, 1, 43, // Opcode: FMOVRNZD
+/* 3366 */    MCD_OPC_FilterValue, 3, 141, 9, // Skip to: 5815
+/* 3370 */    MCD_OPC_CheckPredicate, 0, 137, 9, // Skip to: 5815
+/* 3374 */    MCD_OPC_Decode, 193, 1, 43, // Opcode: FMOVRGEZD
+/* 3378 */    MCD_OPC_FilterValue, 39, 129, 9, // Skip to: 5815
 /* 3382 */    MCD_OPC_ExtractField, 11, 3,  // Inst{13-11} ...
 /* 3385 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3397
-/* 3389 */    MCD_OPC_CheckPredicate, 0, 116, 9, // Skip to: 5813
-/* 3393 */    MCD_OPC_Decode, 207, 1, 43, // Opcode: FMOVRZQ
+/* 3389 */    MCD_OPC_CheckPredicate, 0, 118, 9, // Skip to: 5815
+/* 3393 */    MCD_OPC_Decode, 209, 1, 43, // Opcode: FMOVRZQ
 /* 3397 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3409
-/* 3401 */    MCD_OPC_CheckPredicate, 0, 104, 9, // Skip to: 5813
-/* 3405 */    MCD_OPC_Decode, 201, 1, 43, // Opcode: FMOVRLZQ
+/* 3401 */    MCD_OPC_CheckPredicate, 0, 106, 9, // Skip to: 5815
+/* 3405 */    MCD_OPC_Decode, 203, 1, 43, // Opcode: FMOVRLZQ
 /* 3409 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3421
-/* 3413 */    MCD_OPC_CheckPredicate, 0, 92, 9, // Skip to: 5813
-/* 3417 */    MCD_OPC_Decode, 204, 1, 43, // Opcode: FMOVRNZQ
-/* 3421 */    MCD_OPC_FilterValue, 3, 84, 9, // Skip to: 5813
-/* 3425 */    MCD_OPC_CheckPredicate, 0, 80, 9, // Skip to: 5813
-/* 3429 */    MCD_OPC_Decode, 192, 1, 43, // Opcode: FMOVRGEZQ
-/* 3433 */    MCD_OPC_FilterValue, 54, 16, 6, // Skip to: 4989
+/* 3413 */    MCD_OPC_CheckPredicate, 0, 94, 9, // Skip to: 5815
+/* 3417 */    MCD_OPC_Decode, 206, 1, 43, // Opcode: FMOVRNZQ
+/* 3421 */    MCD_OPC_FilterValue, 3, 86, 9, // Skip to: 5815
+/* 3425 */    MCD_OPC_CheckPredicate, 0, 82, 9, // Skip to: 5815
+/* 3429 */    MCD_OPC_Decode, 194, 1, 43, // Opcode: FMOVRGEZQ
+/* 3433 */    MCD_OPC_FilterValue, 54, 18, 6, // Skip to: 4991
 /* 3437 */    MCD_OPC_ExtractField, 5, 9,  // Inst{13-5} ...
 /* 3440 */    MCD_OPC_FilterValue, 0, 8, 0, // Skip to: 3452
-/* 3444 */    MCD_OPC_CheckPredicate, 2, 61, 9, // Skip to: 5813
-/* 3448 */    MCD_OPC_Decode, 132, 1, 10, // Opcode: EDGE8
+/* 3444 */    MCD_OPC_CheckPredicate, 2, 63, 9, // Skip to: 5815
+/* 3448 */    MCD_OPC_Decode, 134, 1, 10, // Opcode: EDGE8
 /* 3452 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 3464
-/* 3456 */    MCD_OPC_CheckPredicate, 3, 49, 9, // Skip to: 5813
-/* 3460 */    MCD_OPC_Decode, 135, 1, 10, // Opcode: EDGE8N
+/* 3456 */    MCD_OPC_CheckPredicate, 3, 51, 9, // Skip to: 5815
+/* 3460 */    MCD_OPC_Decode, 137, 1, 10, // Opcode: EDGE8N
 /* 3464 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 3476
-/* 3468 */    MCD_OPC_CheckPredicate, 2, 37, 9, // Skip to: 5813
-/* 3472 */    MCD_OPC_Decode, 133, 1, 10, // Opcode: EDGE8L
+/* 3468 */    MCD_OPC_CheckPredicate, 2, 39, 9, // Skip to: 5815
+/* 3472 */    MCD_OPC_Decode, 135, 1, 10, // Opcode: EDGE8L
 /* 3476 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 3488
-/* 3480 */    MCD_OPC_CheckPredicate, 3, 25, 9, // Skip to: 5813
-/* 3484 */    MCD_OPC_Decode, 134, 1, 10, // Opcode: EDGE8LN
+/* 3480 */    MCD_OPC_CheckPredicate, 3, 27, 9, // Skip to: 5815
+/* 3484 */    MCD_OPC_Decode, 136, 1, 10, // Opcode: EDGE8LN
 /* 3488 */    MCD_OPC_FilterValue, 4, 7, 0, // Skip to: 3499
-/* 3492 */    MCD_OPC_CheckPredicate, 2, 13, 9, // Skip to: 5813
-/* 3496 */    MCD_OPC_Decode, 124, 10, // Opcode: EDGE16
-/* 3499 */    MCD_OPC_FilterValue, 5, 7, 0, // Skip to: 3510
-/* 3503 */    MCD_OPC_CheckPredicate, 3, 2, 9, // Skip to: 5813
-/* 3507 */    MCD_OPC_Decode, 127, 10, // Opcode: EDGE16N
-/* 3510 */    MCD_OPC_FilterValue, 6, 7, 0, // Skip to: 3521
-/* 3514 */    MCD_OPC_CheckPredicate, 2, 247, 8, // Skip to: 5813
-/* 3518 */    MCD_OPC_Decode, 125, 10, // Opcode: EDGE16L
-/* 3521 */    MCD_OPC_FilterValue, 7, 7, 0, // Skip to: 3532
-/* 3525 */    MCD_OPC_CheckPredicate, 3, 236, 8, // Skip to: 5813
-/* 3529 */    MCD_OPC_Decode, 126, 10, // Opcode: EDGE16LN
-/* 3532 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 3544
-/* 3536 */    MCD_OPC_CheckPredicate, 2, 225, 8, // Skip to: 5813
-/* 3540 */    MCD_OPC_Decode, 128, 1, 10, // Opcode: EDGE32
-/* 3544 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 3556
-/* 3548 */    MCD_OPC_CheckPredicate, 3, 213, 8, // Skip to: 5813
-/* 3552 */    MCD_OPC_Decode, 131, 1, 10, // Opcode: EDGE32N
-/* 3556 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 3568
-/* 3560 */    MCD_OPC_CheckPredicate, 2, 201, 8, // Skip to: 5813
-/* 3564 */    MCD_OPC_Decode, 129, 1, 10, // Opcode: EDGE32L
-/* 3568 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 3580
-/* 3572 */    MCD_OPC_CheckPredicate, 3, 189, 8, // Skip to: 5813
-/* 3576 */    MCD_OPC_Decode, 130, 1, 10, // Opcode: EDGE32LN
-/* 3580 */    MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 3591
-/* 3584 */    MCD_OPC_CheckPredicate, 2, 177, 8, // Skip to: 5813
-/* 3588 */    MCD_OPC_Decode, 49, 10, // Opcode: ARRAY8
-/* 3591 */    MCD_OPC_FilterValue, 17, 7, 0, // Skip to: 3602
-/* 3595 */    MCD_OPC_CheckPredicate, 1, 166, 8, // Skip to: 5813
-/* 3599 */    MCD_OPC_Decode, 26, 10, // Opcode: ADDXC
-/* 3602 */    MCD_OPC_FilterValue, 18, 7, 0, // Skip to: 3613
-/* 3606 */    MCD_OPC_CheckPredicate, 2, 155, 8, // Skip to: 5813
-/* 3610 */    MCD_OPC_Decode, 47, 10, // Opcode: ARRAY16
-/* 3613 */    MCD_OPC_FilterValue, 19, 7, 0, // Skip to: 3624
-/* 3617 */    MCD_OPC_CheckPredicate, 1, 144, 8, // Skip to: 5813
-/* 3621 */    MCD_OPC_Decode, 27, 10, // Opcode: ADDXCCC
-/* 3624 */    MCD_OPC_FilterValue, 20, 7, 0, // Skip to: 3635
-/* 3628 */    MCD_OPC_CheckPredicate, 2, 133, 8, // Skip to: 5813
-/* 3632 */    MCD_OPC_Decode, 48, 10, // Opcode: ARRAY32
-/* 3635 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 3647
-/* 3639 */    MCD_OPC_CheckPredicate, 1, 122, 8, // Skip to: 5813
-/* 3643 */    MCD_OPC_Decode, 206, 3, 10, // Opcode: UMULXHI
-/* 3647 */    MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 3665
-/* 3651 */    MCD_OPC_CheckPredicate, 1, 110, 8, // Skip to: 5813
-/* 3655 */    MCD_OPC_CheckField, 14, 5, 0, 104, 8, // Skip to: 5813
-/* 3661 */    MCD_OPC_Decode, 195, 2, 47, // Opcode: LZCNT
-/* 3665 */    MCD_OPC_FilterValue, 24, 7, 0, // Skip to: 3676
-/* 3669 */    MCD_OPC_CheckPredicate, 2, 92, 8, // Skip to: 5813
-/* 3673 */    MCD_OPC_Decode, 34, 10, // Opcode: ALIGNADDR
-/* 3676 */    MCD_OPC_FilterValue, 25, 7, 0, // Skip to: 3687
-/* 3680 */    MCD_OPC_CheckPredicate, 3, 81, 8, // Skip to: 5813
-/* 3684 */    MCD_OPC_Decode, 76, 10, // Opcode: BMASK
-/* 3687 */    MCD_OPC_FilterValue, 26, 7, 0, // Skip to: 3698
-/* 3691 */    MCD_OPC_CheckPredicate, 2, 70, 8, // Skip to: 5813
-/* 3695 */    MCD_OPC_Decode, 35, 10, // Opcode: ALIGNADDRL
-/* 3698 */    MCD_OPC_FilterValue, 27, 19, 0, // Skip to: 3721
-/* 3702 */    MCD_OPC_CheckPredicate, 1, 59, 8, // Skip to: 5813
-/* 3706 */    MCD_OPC_CheckField, 25, 5, 0, 53, 8, // Skip to: 5813
-/* 3712 */    MCD_OPC_CheckField, 14, 5, 0, 47, 8, // Skip to: 5813
-/* 3718 */    MCD_OPC_Decode, 121, 48, // Opcode: CMASK8
-/* 3721 */    MCD_OPC_FilterValue, 28, 7, 0, // Skip to: 3732
-/* 3725 */    MCD_OPC_CheckPredicate, 3, 36, 8, // Skip to: 5813
-/* 3729 */    MCD_OPC_Decode, 113, 27, // Opcode: BSHUFFLE
-/* 3732 */    MCD_OPC_FilterValue, 29, 19, 0, // Skip to: 3755
-/* 3736 */    MCD_OPC_CheckPredicate, 1, 25, 8, // Skip to: 5813
-/* 3740 */    MCD_OPC_CheckField, 25, 5, 0, 19, 8, // Skip to: 5813
-/* 3746 */    MCD_OPC_CheckField, 14, 5, 0, 13, 8, // Skip to: 5813
-/* 3752 */    MCD_OPC_Decode, 119, 48, // Opcode: CMASK16
-/* 3755 */    MCD_OPC_FilterValue, 31, 19, 0, // Skip to: 3778
-/* 3759 */    MCD_OPC_CheckPredicate, 1, 2, 8, // Skip to: 5813
-/* 3763 */    MCD_OPC_CheckField, 25, 5, 0, 252, 7, // Skip to: 5813
-/* 3769 */    MCD_OPC_CheckField, 14, 5, 0, 246, 7, // Skip to: 5813
-/* 3775 */    MCD_OPC_Decode, 120, 48, // Opcode: CMASK32
-/* 3778 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 3790
-/* 3782 */    MCD_OPC_CheckPredicate, 2, 235, 7, // Skip to: 5813
-/* 3786 */    MCD_OPC_Decode, 157, 1, 49, // Opcode: FCMPLE16
-/* 3790 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 3802
-/* 3794 */    MCD_OPC_CheckPredicate, 1, 223, 7, // Skip to: 5813
-/* 3798 */    MCD_OPC_Decode, 140, 2, 27, // Opcode: FSLL16
-/* 3802 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 3814
-/* 3806 */    MCD_OPC_CheckPredicate, 2, 211, 7, // Skip to: 5813
-/* 3810 */    MCD_OPC_Decode, 159, 1, 49, // Opcode: FCMPNE16
-/* 3814 */    MCD_OPC_FilterValue, 35, 8, 0, // Skip to: 3826
-/* 3818 */    MCD_OPC_CheckPredicate, 1, 199, 7, // Skip to: 5813
-/* 3822 */    MCD_OPC_Decode, 152, 2, 27, // Opcode: FSRL16
-/* 3826 */    MCD_OPC_FilterValue, 36, 8, 0, // Skip to: 3838
-/* 3830 */    MCD_OPC_CheckPredicate, 2, 187, 7, // Skip to: 5813
-/* 3834 */    MCD_OPC_Decode, 158, 1, 49, // Opcode: FCMPLE32
-/* 3838 */    MCD_OPC_FilterValue, 37, 8, 0, // Skip to: 3850
-/* 3842 */    MCD_OPC_CheckPredicate, 1, 175, 7, // Skip to: 5813
-/* 3846 */    MCD_OPC_Decode, 141, 2, 27, // Opcode: FSLL32
-/* 3850 */    MCD_OPC_FilterValue, 38, 8, 0, // Skip to: 3862
-/* 3854 */    MCD_OPC_CheckPredicate, 2, 163, 7, // Skip to: 5813
-/* 3858 */    MCD_OPC_Decode, 160, 1, 49, // Opcode: FCMPNE32
-/* 3862 */    MCD_OPC_FilterValue, 39, 8, 0, // Skip to: 3874
-/* 3866 */    MCD_OPC_CheckPredicate, 1, 151, 7, // Skip to: 5813
-/* 3870 */    MCD_OPC_Decode, 153, 2, 27, // Opcode: FSRL32
-/* 3874 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 3886
-/* 3878 */    MCD_OPC_CheckPredicate, 2, 139, 7, // Skip to: 5813
-/* 3882 */    MCD_OPC_Decode, 155, 1, 49, // Opcode: FCMPGT16
-/* 3886 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 3898
-/* 3890 */    MCD_OPC_CheckPredicate, 1, 127, 7, // Skip to: 5813
-/* 3894 */    MCD_OPC_Decode, 138, 2, 27, // Opcode: FSLAS16
-/* 3898 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 3910
-/* 3902 */    MCD_OPC_CheckPredicate, 2, 115, 7, // Skip to: 5813
-/* 3906 */    MCD_OPC_Decode, 153, 1, 49, // Opcode: FCMPEQ16
-/* 3910 */    MCD_OPC_FilterValue, 43, 8, 0, // Skip to: 3922
-/* 3914 */    MCD_OPC_CheckPredicate, 1, 103, 7, // Skip to: 5813
-/* 3918 */    MCD_OPC_Decode, 146, 2, 27, // Opcode: FSRA16
-/* 3922 */    MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 3934
-/* 3926 */    MCD_OPC_CheckPredicate, 2, 91, 7, // Skip to: 5813
-/* 3930 */    MCD_OPC_Decode, 156, 1, 49, // Opcode: FCMPGT32
-/* 3934 */    MCD_OPC_FilterValue, 45, 8, 0, // Skip to: 3946
-/* 3938 */    MCD_OPC_CheckPredicate, 1, 79, 7, // Skip to: 5813
-/* 3942 */    MCD_OPC_Decode, 139, 2, 27, // Opcode: FSLAS32
-/* 3946 */    MCD_OPC_FilterValue, 46, 8, 0, // Skip to: 3958
-/* 3950 */    MCD_OPC_CheckPredicate, 2, 67, 7, // Skip to: 5813
-/* 3954 */    MCD_OPC_Decode, 154, 1, 49, // Opcode: FCMPEQ32
-/* 3958 */    MCD_OPC_FilterValue, 47, 8, 0, // Skip to: 3970
-/* 3962 */    MCD_OPC_CheckPredicate, 1, 55, 7, // Skip to: 5813
-/* 3966 */    MCD_OPC_Decode, 147, 2, 27, // Opcode: FSRA32
-/* 3970 */    MCD_OPC_FilterValue, 49, 8, 0, // Skip to: 3982
-/* 3974 */    MCD_OPC_CheckPredicate, 2, 43, 7, // Skip to: 5813
-/* 3978 */    MCD_OPC_Decode, 215, 1, 27, // Opcode: FMUL8X16
-/* 3982 */    MCD_OPC_FilterValue, 51, 8, 0, // Skip to: 3994
-/* 3986 */    MCD_OPC_CheckPredicate, 2, 31, 7, // Skip to: 5813
-/* 3990 */    MCD_OPC_Decode, 217, 1, 27, // Opcode: FMUL8X16AU
-/* 3994 */    MCD_OPC_FilterValue, 53, 8, 0, // Skip to: 4006
-/* 3998 */    MCD_OPC_CheckPredicate, 2, 19, 7, // Skip to: 5813
-/* 4002 */    MCD_OPC_Decode, 216, 1, 27, // Opcode: FMUL8X16AL
-/* 4006 */    MCD_OPC_FilterValue, 54, 8, 0, // Skip to: 4018
-/* 4010 */    MCD_OPC_CheckPredicate, 2, 7, 7, // Skip to: 5813
-/* 4014 */    MCD_OPC_Decode, 213, 1, 27, // Opcode: FMUL8SUX16
-/* 4018 */    MCD_OPC_FilterValue, 55, 8, 0, // Skip to: 4030
-/* 4022 */    MCD_OPC_CheckPredicate, 2, 251, 6, // Skip to: 5813
-/* 4026 */    MCD_OPC_Decode, 214, 1, 27, // Opcode: FMUL8ULX16
-/* 4030 */    MCD_OPC_FilterValue, 56, 8, 0, // Skip to: 4042
-/* 4034 */    MCD_OPC_CheckPredicate, 2, 239, 6, // Skip to: 5813
-/* 4038 */    MCD_OPC_Decode, 219, 1, 27, // Opcode: FMULD8SUX16
-/* 4042 */    MCD_OPC_FilterValue, 57, 8, 0, // Skip to: 4054
-/* 4046 */    MCD_OPC_CheckPredicate, 2, 227, 6, // Skip to: 5813
-/* 4050 */    MCD_OPC_Decode, 220, 1, 27, // Opcode: FMULD8ULX16
-/* 4054 */    MCD_OPC_FilterValue, 58, 8, 0, // Skip to: 4066
-/* 4058 */    MCD_OPC_CheckPredicate, 2, 215, 6, // Skip to: 5813
-/* 4062 */    MCD_OPC_Decode, 250, 1, 27, // Opcode: FPACK32
-/* 4066 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 4084
-/* 4070 */    MCD_OPC_CheckPredicate, 2, 203, 6, // Skip to: 5813
-/* 4074 */    MCD_OPC_CheckField, 14, 5, 0, 197, 6, // Skip to: 5813
-/* 4080 */    MCD_OPC_Decode, 249, 1, 24, // Opcode: FPACK16
-/* 4084 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 4102
-/* 4088 */    MCD_OPC_CheckPredicate, 2, 185, 6, // Skip to: 5813
-/* 4092 */    MCD_OPC_CheckField, 14, 5, 0, 179, 6, // Skip to: 5813
-/* 4098 */    MCD_OPC_Decode, 251, 1, 24, // Opcode: FPACKFIX
-/* 4102 */    MCD_OPC_FilterValue, 62, 8, 0, // Skip to: 4114
-/* 4106 */    MCD_OPC_CheckPredicate, 2, 167, 6, // Skip to: 5813
-/* 4110 */    MCD_OPC_Decode, 234, 2, 27, // Opcode: PDIST
-/* 4114 */    MCD_OPC_FilterValue, 63, 8, 0, // Skip to: 4126
-/* 4118 */    MCD_OPC_CheckPredicate, 1, 155, 6, // Skip to: 5813
-/* 4122 */    MCD_OPC_Decode, 235, 2, 27, // Opcode: PDISTN
-/* 4126 */    MCD_OPC_FilterValue, 64, 8, 0, // Skip to: 4138
-/* 4130 */    MCD_OPC_CheckPredicate, 1, 143, 6, // Skip to: 5813
-/* 4134 */    MCD_OPC_Decode, 182, 1, 27, // Opcode: FMEAN16
-/* 4138 */    MCD_OPC_FilterValue, 66, 8, 0, // Skip to: 4150
-/* 4142 */    MCD_OPC_CheckPredicate, 1, 131, 6, // Skip to: 5813
-/* 4146 */    MCD_OPC_Decode, 128, 2, 27, // Opcode: FPADD64
-/* 4150 */    MCD_OPC_FilterValue, 68, 8, 0, // Skip to: 4162
-/* 4154 */    MCD_OPC_CheckPredicate, 1, 119, 6, // Skip to: 5813
-/* 4158 */    MCD_OPC_Decode, 151, 1, 27, // Opcode: FCHKSM16
-/* 4162 */    MCD_OPC_FilterValue, 72, 8, 0, // Skip to: 4174
-/* 4166 */    MCD_OPC_CheckPredicate, 2, 107, 6, // Skip to: 5813
-/* 4170 */    MCD_OPC_Decode, 142, 1, 27, // Opcode: FALIGNADATA
-/* 4174 */    MCD_OPC_FilterValue, 75, 8, 0, // Skip to: 4186
-/* 4178 */    MCD_OPC_CheckPredicate, 2, 95, 6, // Skip to: 5813
-/* 4182 */    MCD_OPC_Decode, 129, 2, 27, // Opcode: FPMERGE
-/* 4186 */    MCD_OPC_FilterValue, 77, 14, 0, // Skip to: 4204
-/* 4190 */    MCD_OPC_CheckPredicate, 2, 83, 6, // Skip to: 5813
-/* 4194 */    MCD_OPC_CheckField, 14, 5, 0, 77, 6, // Skip to: 5813
-/* 4200 */    MCD_OPC_Decode, 171, 1, 24, // Opcode: FEXPAND
-/* 4204 */    MCD_OPC_FilterValue, 80, 8, 0, // Skip to: 4216
-/* 4208 */    MCD_OPC_CheckPredicate, 2, 65, 6, // Skip to: 5813
-/* 4212 */    MCD_OPC_Decode, 252, 1, 27, // Opcode: FPADD16
-/* 4216 */    MCD_OPC_FilterValue, 81, 8, 0, // Skip to: 4228
-/* 4220 */    MCD_OPC_CheckPredicate, 2, 53, 6, // Skip to: 5813
-/* 4224 */    MCD_OPC_Decode, 253, 1, 27, // Opcode: FPADD16S
-/* 4228 */    MCD_OPC_FilterValue, 82, 8, 0, // Skip to: 4240
-/* 4232 */    MCD_OPC_CheckPredicate, 2, 41, 6, // Skip to: 5813
-/* 4236 */    MCD_OPC_Decode, 254, 1, 27, // Opcode: FPADD32
-/* 4240 */    MCD_OPC_FilterValue, 83, 8, 0, // Skip to: 4252
-/* 4244 */    MCD_OPC_CheckPredicate, 2, 29, 6, // Skip to: 5813
-/* 4248 */    MCD_OPC_Decode, 255, 1, 27, // Opcode: FPADD32S
-/* 4252 */    MCD_OPC_FilterValue, 84, 8, 0, // Skip to: 4264
-/* 4256 */    MCD_OPC_CheckPredicate, 2, 17, 6, // Skip to: 5813
-/* 4260 */    MCD_OPC_Decode, 130, 2, 27, // Opcode: FPSUB16
-/* 4264 */    MCD_OPC_FilterValue, 85, 8, 0, // Skip to: 4276
-/* 4268 */    MCD_OPC_CheckPredicate, 2, 5, 6, // Skip to: 5813
-/* 4272 */    MCD_OPC_Decode, 131, 2, 27, // Opcode: FPSUB16S
-/* 4276 */    MCD_OPC_FilterValue, 86, 8, 0, // Skip to: 4288
-/* 4280 */    MCD_OPC_CheckPredicate, 2, 249, 5, // Skip to: 5813
-/* 4284 */    MCD_OPC_Decode, 132, 2, 27, // Opcode: FPSUB32
-/* 4288 */    MCD_OPC_FilterValue, 87, 8, 0, // Skip to: 4300
-/* 4292 */    MCD_OPC_CheckPredicate, 2, 237, 5, // Skip to: 5813
-/* 4296 */    MCD_OPC_Decode, 133, 2, 27, // Opcode: FPSUB32S
-/* 4300 */    MCD_OPC_FilterValue, 96, 20, 0, // Skip to: 4324
-/* 4304 */    MCD_OPC_CheckPredicate, 2, 225, 5, // Skip to: 5813
-/* 4308 */    MCD_OPC_CheckField, 14, 5, 0, 219, 5, // Skip to: 5813
-/* 4314 */    MCD_OPC_CheckField, 0, 5, 0, 213, 5, // Skip to: 5813
-/* 4320 */    MCD_OPC_Decode, 168, 2, 50, // Opcode: FZERO
-/* 4324 */    MCD_OPC_FilterValue, 97, 20, 0, // Skip to: 4348
-/* 4328 */    MCD_OPC_CheckPredicate, 2, 201, 5, // Skip to: 5813
-/* 4332 */    MCD_OPC_CheckField, 14, 5, 0, 195, 5, // Skip to: 5813
-/* 4338 */    MCD_OPC_CheckField, 0, 5, 0, 189, 5, // Skip to: 5813
-/* 4344 */    MCD_OPC_Decode, 169, 2, 51, // Opcode: FZEROS
-/* 4348 */    MCD_OPC_FilterValue, 98, 8, 0, // Skip to: 4360
-/* 4352 */    MCD_OPC_CheckPredicate, 2, 177, 5, // Skip to: 5813
-/* 4356 */    MCD_OPC_Decode, 234, 1, 27, // Opcode: FNOR
-/* 4360 */    MCD_OPC_FilterValue, 99, 8, 0, // Skip to: 4372
-/* 4364 */    MCD_OPC_CheckPredicate, 2, 165, 5, // Skip to: 5813
-/* 4368 */    MCD_OPC_Decode, 235, 1, 26, // Opcode: FNORS
-/* 4372 */    MCD_OPC_FilterValue, 100, 8, 0, // Skip to: 4384
-/* 4376 */    MCD_OPC_CheckPredicate, 2, 153, 5, // Skip to: 5813
-/* 4380 */    MCD_OPC_Decode, 146, 1, 27, // Opcode: FANDNOT2
-/* 4384 */    MCD_OPC_FilterValue, 101, 8, 0, // Skip to: 4396
-/* 4388 */    MCD_OPC_CheckPredicate, 2, 141, 5, // Skip to: 5813
-/* 4392 */    MCD_OPC_Decode, 147, 1, 26, // Opcode: FANDNOT2S
-/* 4396 */    MCD_OPC_FilterValue, 102, 14, 0, // Skip to: 4414
-/* 4400 */    MCD_OPC_CheckPredicate, 2, 129, 5, // Skip to: 5813
-/* 4404 */    MCD_OPC_CheckField, 14, 5, 0, 123, 5, // Skip to: 5813
-/* 4410 */    MCD_OPC_Decode, 238, 1, 24, // Opcode: FNOT2
-/* 4414 */    MCD_OPC_FilterValue, 103, 14, 0, // Skip to: 4432
-/* 4418 */    MCD_OPC_CheckPredicate, 2, 111, 5, // Skip to: 5813
-/* 4422 */    MCD_OPC_CheckField, 14, 5, 0, 105, 5, // Skip to: 5813
-/* 4428 */    MCD_OPC_Decode, 239, 1, 23, // Opcode: FNOT2S
-/* 4432 */    MCD_OPC_FilterValue, 104, 8, 0, // Skip to: 4444
-/* 4436 */    MCD_OPC_CheckPredicate, 2, 93, 5, // Skip to: 5813
-/* 4440 */    MCD_OPC_Decode, 144, 1, 27, // Opcode: FANDNOT1
-/* 4444 */    MCD_OPC_FilterValue, 105, 8, 0, // Skip to: 4456
-/* 4448 */    MCD_OPC_CheckPredicate, 2, 81, 5, // Skip to: 5813
-/* 4452 */    MCD_OPC_Decode, 145, 1, 26, // Opcode: FANDNOT1S
-/* 4456 */    MCD_OPC_FilterValue, 106, 14, 0, // Skip to: 4474
-/* 4460 */    MCD_OPC_CheckPredicate, 2, 69, 5, // Skip to: 5813
-/* 4464 */    MCD_OPC_CheckField, 0, 5, 0, 63, 5, // Skip to: 5813
-/* 4470 */    MCD_OPC_Decode, 236, 1, 52, // Opcode: FNOT1
-/* 4474 */    MCD_OPC_FilterValue, 107, 14, 0, // Skip to: 4492
-/* 4478 */    MCD_OPC_CheckPredicate, 2, 51, 5, // Skip to: 5813
-/* 4482 */    MCD_OPC_CheckField, 0, 5, 0, 45, 5, // Skip to: 5813
-/* 4488 */    MCD_OPC_Decode, 237, 1, 53, // Opcode: FNOT1S
-/* 4492 */    MCD_OPC_FilterValue, 108, 8, 0, // Skip to: 4504
-/* 4496 */    MCD_OPC_CheckPredicate, 2, 33, 5, // Skip to: 5813
-/* 4500 */    MCD_OPC_Decode, 163, 2, 27, // Opcode: FXOR
-/* 4504 */    MCD_OPC_FilterValue, 109, 8, 0, // Skip to: 4516
-/* 4508 */    MCD_OPC_CheckPredicate, 2, 21, 5, // Skip to: 5813
-/* 4512 */    MCD_OPC_Decode, 164, 2, 26, // Opcode: FXORS
-/* 4516 */    MCD_OPC_FilterValue, 110, 8, 0, // Skip to: 4528
-/* 4520 */    MCD_OPC_CheckPredicate, 2, 9, 5, // Skip to: 5813
-/* 4524 */    MCD_OPC_Decode, 225, 1, 27, // Opcode: FNAND
-/* 4528 */    MCD_OPC_FilterValue, 111, 8, 0, // Skip to: 4540
-/* 4532 */    MCD_OPC_CheckPredicate, 2, 253, 4, // Skip to: 5813
-/* 4536 */    MCD_OPC_Decode, 226, 1, 26, // Opcode: FNANDS
-/* 4540 */    MCD_OPC_FilterValue, 112, 8, 0, // Skip to: 4552
-/* 4544 */    MCD_OPC_CheckPredicate, 2, 241, 4, // Skip to: 5813
-/* 4548 */    MCD_OPC_Decode, 143, 1, 27, // Opcode: FAND
-/* 4552 */    MCD_OPC_FilterValue, 113, 8, 0, // Skip to: 4564
-/* 4556 */    MCD_OPC_CheckPredicate, 2, 229, 4, // Skip to: 5813
-/* 4560 */    MCD_OPC_Decode, 148, 1, 26, // Opcode: FANDS
-/* 4564 */    MCD_OPC_FilterValue, 114, 8, 0, // Skip to: 4576
-/* 4568 */    MCD_OPC_CheckPredicate, 2, 217, 4, // Skip to: 5813
-/* 4572 */    MCD_OPC_Decode, 161, 2, 27, // Opcode: FXNOR
-/* 4576 */    MCD_OPC_FilterValue, 115, 8, 0, // Skip to: 4588
-/* 4580 */    MCD_OPC_CheckPredicate, 2, 205, 4, // Skip to: 5813
-/* 4584 */    MCD_OPC_Decode, 162, 2, 26, // Opcode: FXNORS
-/* 4588 */    MCD_OPC_FilterValue, 116, 14, 0, // Skip to: 4606
-/* 4592 */    MCD_OPC_CheckPredicate, 2, 193, 4, // Skip to: 5813
-/* 4596 */    MCD_OPC_CheckField, 0, 5, 0, 187, 4, // Skip to: 5813
-/* 4602 */    MCD_OPC_Decode, 148, 2, 52, // Opcode: FSRC1
-/* 4606 */    MCD_OPC_FilterValue, 117, 14, 0, // Skip to: 4624
-/* 4610 */    MCD_OPC_CheckPredicate, 2, 175, 4, // Skip to: 5813
-/* 4614 */    MCD_OPC_CheckField, 0, 5, 0, 169, 4, // Skip to: 5813
-/* 4620 */    MCD_OPC_Decode, 149, 2, 53, // Opcode: FSRC1S
-/* 4624 */    MCD_OPC_FilterValue, 118, 8, 0, // Skip to: 4636
-/* 4628 */    MCD_OPC_CheckPredicate, 2, 157, 4, // Skip to: 5813
-/* 4632 */    MCD_OPC_Decode, 246, 1, 27, // Opcode: FORNOT2
-/* 4636 */    MCD_OPC_FilterValue, 119, 8, 0, // Skip to: 4648
-/* 4640 */    MCD_OPC_CheckPredicate, 2, 145, 4, // Skip to: 5813
-/* 4644 */    MCD_OPC_Decode, 247, 1, 26, // Opcode: FORNOT2S
-/* 4648 */    MCD_OPC_FilterValue, 120, 14, 0, // Skip to: 4666
-/* 4652 */    MCD_OPC_CheckPredicate, 2, 133, 4, // Skip to: 5813
-/* 4656 */    MCD_OPC_CheckField, 14, 5, 0, 127, 4, // Skip to: 5813
-/* 4662 */    MCD_OPC_Decode, 150, 2, 24, // Opcode: FSRC2
-/* 4666 */    MCD_OPC_FilterValue, 121, 14, 0, // Skip to: 4684
-/* 4670 */    MCD_OPC_CheckPredicate, 2, 115, 4, // Skip to: 5813
-/* 4674 */    MCD_OPC_CheckField, 14, 5, 0, 109, 4, // Skip to: 5813
-/* 4680 */    MCD_OPC_Decode, 151, 2, 23, // Opcode: FSRC2S
-/* 4684 */    MCD_OPC_FilterValue, 122, 8, 0, // Skip to: 4696
-/* 4688 */    MCD_OPC_CheckPredicate, 2, 97, 4, // Skip to: 5813
-/* 4692 */    MCD_OPC_Decode, 244, 1, 27, // Opcode: FORNOT1
-/* 4696 */    MCD_OPC_FilterValue, 123, 8, 0, // Skip to: 4708
-/* 4700 */    MCD_OPC_CheckPredicate, 2, 85, 4, // Skip to: 5813
-/* 4704 */    MCD_OPC_Decode, 245, 1, 26, // Opcode: FORNOT1S
-/* 4708 */    MCD_OPC_FilterValue, 124, 8, 0, // Skip to: 4720
-/* 4712 */    MCD_OPC_CheckPredicate, 2, 73, 4, // Skip to: 5813
-/* 4716 */    MCD_OPC_Decode, 243, 1, 27, // Opcode: FOR
-/* 4720 */    MCD_OPC_FilterValue, 125, 8, 0, // Skip to: 4732
-/* 4724 */    MCD_OPC_CheckPredicate, 2, 61, 4, // Skip to: 5813
-/* 4728 */    MCD_OPC_Decode, 248, 1, 26, // Opcode: FORS
-/* 4732 */    MCD_OPC_FilterValue, 126, 20, 0, // Skip to: 4756
-/* 4736 */    MCD_OPC_CheckPredicate, 2, 49, 4, // Skip to: 5813
-/* 4740 */    MCD_OPC_CheckField, 14, 5, 0, 43, 4, // Skip to: 5813
-/* 4746 */    MCD_OPC_CheckField, 0, 5, 0, 37, 4, // Skip to: 5813
-/* 4752 */    MCD_OPC_Decode, 241, 1, 50, // Opcode: FONE
-/* 4756 */    MCD_OPC_FilterValue, 127, 20, 0, // Skip to: 4780
-/* 4760 */    MCD_OPC_CheckPredicate, 2, 25, 4, // Skip to: 5813
-/* 4764 */    MCD_OPC_CheckField, 14, 5, 0, 19, 4, // Skip to: 5813
-/* 4770 */    MCD_OPC_CheckField, 0, 5, 0, 13, 4, // Skip to: 5813
-/* 4776 */    MCD_OPC_Decode, 242, 1, 51, // Opcode: FONES
-/* 4780 */    MCD_OPC_FilterValue, 128, 1, 26, 0, // Skip to: 4811
-/* 4785 */    MCD_OPC_CheckPredicate, 2, 0, 4, // Skip to: 5813
-/* 4789 */    MCD_OPC_CheckField, 25, 5, 0, 250, 3, // Skip to: 5813
-/* 4795 */    MCD_OPC_CheckField, 14, 5, 0, 244, 3, // Skip to: 5813
-/* 4801 */    MCD_OPC_CheckField, 0, 5, 0, 238, 3, // Skip to: 5813
-/* 4807 */    MCD_OPC_Decode, 134, 3, 4, // Opcode: SHUTDOWN
-/* 4811 */    MCD_OPC_FilterValue, 129, 1, 26, 0, // Skip to: 4842
-/* 4816 */    MCD_OPC_CheckPredicate, 3, 225, 3, // Skip to: 5813
-/* 4820 */    MCD_OPC_CheckField, 25, 5, 0, 219, 3, // Skip to: 5813
-/* 4826 */    MCD_OPC_CheckField, 14, 5, 0, 213, 3, // Skip to: 5813
-/* 4832 */    MCD_OPC_CheckField, 0, 5, 0, 207, 3, // Skip to: 5813
-/* 4838 */    MCD_OPC_Decode, 135, 3, 4, // Opcode: SIAM
-/* 4842 */    MCD_OPC_FilterValue, 144, 2, 14, 0, // Skip to: 4861
-/* 4847 */    MCD_OPC_CheckPredicate, 1, 194, 3, // Skip to: 5813
-/* 4851 */    MCD_OPC_CheckField, 14, 5, 0, 188, 3, // Skip to: 5813
-/* 4857 */    MCD_OPC_Decode, 197, 2, 54, // Opcode: MOVDTOX
-/* 4861 */    MCD_OPC_FilterValue, 145, 2, 14, 0, // Skip to: 4880
-/* 4866 */    MCD_OPC_CheckPredicate, 1, 175, 3, // Skip to: 5813
-/* 4870 */    MCD_OPC_CheckField, 14, 5, 0, 169, 3, // Skip to: 5813
-/* 4876 */    MCD_OPC_Decode, 215, 2, 54, // Opcode: MOVSTOUW
-/* 4880 */    MCD_OPC_FilterValue, 147, 2, 14, 0, // Skip to: 4899
-/* 4885 */    MCD_OPC_CheckPredicate, 1, 156, 3, // Skip to: 5813
-/* 4889 */    MCD_OPC_CheckField, 14, 5, 0, 150, 3, // Skip to: 5813
-/* 4895 */    MCD_OPC_Decode, 214, 2, 54, // Opcode: MOVSTOSW
-/* 4899 */    MCD_OPC_FilterValue, 149, 2, 8, 0, // Skip to: 4912
-/* 4904 */    MCD_OPC_CheckPredicate, 1, 137, 3, // Skip to: 5813
-/* 4908 */    MCD_OPC_Decode, 223, 3, 10, // Opcode: XMULX
-/* 4912 */    MCD_OPC_FilterValue, 151, 2, 8, 0, // Skip to: 4925
-/* 4917 */    MCD_OPC_CheckPredicate, 1, 124, 3, // Skip to: 5813
-/* 4921 */    MCD_OPC_Decode, 224, 3, 10, // Opcode: XMULXHI
-/* 4925 */    MCD_OPC_FilterValue, 152, 2, 14, 0, // Skip to: 4944
-/* 4930 */    MCD_OPC_CheckPredicate, 1, 111, 3, // Skip to: 5813
-/* 4934 */    MCD_OPC_CheckField, 14, 5, 0, 105, 3, // Skip to: 5813
-/* 4940 */    MCD_OPC_Decode, 219, 2, 55, // Opcode: MOVXTOD
-/* 4944 */    MCD_OPC_FilterValue, 153, 2, 14, 0, // Skip to: 4963
-/* 4949 */    MCD_OPC_CheckPredicate, 1, 92, 3, // Skip to: 5813
-/* 4953 */    MCD_OPC_CheckField, 14, 5, 0, 86, 3, // Skip to: 5813
-/* 4959 */    MCD_OPC_Decode, 216, 2, 55, // Opcode: MOVWTOS
-/* 4963 */    MCD_OPC_FilterValue, 209, 2, 8, 0, // Skip to: 4976
-/* 4968 */    MCD_OPC_CheckPredicate, 1, 73, 3, // Skip to: 5813
-/* 4972 */    MCD_OPC_Decode, 180, 1, 45, // Opcode: FLCMPS
-/* 4976 */    MCD_OPC_FilterValue, 210, 2, 64, 3, // Skip to: 5813
-/* 4981 */    MCD_OPC_CheckPredicate, 1, 60, 3, // Skip to: 5813
-/* 4985 */    MCD_OPC_Decode, 179, 1, 45, // Opcode: FLCMPD
-/* 4989 */    MCD_OPC_FilterValue, 56, 25, 0, // Skip to: 5018
-/* 4993 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 4996 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5010
-/* 5000 */    MCD_OPC_CheckField, 5, 8, 0, 39, 3, // Skip to: 5813
-/* 5006 */    MCD_OPC_Decode, 172, 2, 56, // Opcode: JMPLrr
-/* 5010 */    MCD_OPC_FilterValue, 1, 31, 3, // Skip to: 5813
-/* 5014 */    MCD_OPC_Decode, 171, 2, 56, // Opcode: JMPLri
-/* 5018 */    MCD_OPC_FilterValue, 57, 37, 0, // Skip to: 5059
-/* 5022 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5025 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5045
-/* 5029 */    MCD_OPC_CheckField, 25, 5, 0, 10, 3, // Skip to: 5813
-/* 5035 */    MCD_OPC_CheckField, 5, 8, 0, 4, 3, // Skip to: 5813
-/* 5041 */    MCD_OPC_Decode, 243, 2, 57, // Opcode: RETTrr
-/* 5045 */    MCD_OPC_FilterValue, 1, 252, 2, // Skip to: 5813
-/* 5049 */    MCD_OPC_CheckField, 25, 5, 0, 246, 2, // Skip to: 5813
-/* 5055 */    MCD_OPC_Decode, 242, 2, 57, // Opcode: RETTri
-/* 5059 */    MCD_OPC_FilterValue, 58, 115, 0, // Skip to: 5178
-/* 5063 */    MCD_OPC_ExtractField, 8, 6,  // Inst{13-8} ...
-/* 5066 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5086
-/* 5070 */    MCD_OPC_CheckField, 29, 1, 0, 225, 2, // Skip to: 5813
-/* 5076 */    MCD_OPC_CheckField, 5, 3, 0, 219, 2, // Skip to: 5813
-/* 5082 */    MCD_OPC_Decode, 186, 3, 58, // Opcode: TICCrr
-/* 5086 */    MCD_OPC_FilterValue, 16, 16, 0, // Skip to: 5106
-/* 5090 */    MCD_OPC_CheckField, 29, 1, 0, 205, 2, // Skip to: 5813
-/* 5096 */    MCD_OPC_CheckField, 5, 3, 0, 199, 2, // Skip to: 5813
-/* 5102 */    MCD_OPC_Decode, 197, 3, 58, // Opcode: TXCCrr
-/* 5106 */    MCD_OPC_FilterValue, 32, 54, 0, // Skip to: 5164
-/* 5110 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
-/* 5113 */    MCD_OPC_FilterValue, 0, 184, 2, // Skip to: 5813
-/* 5117 */    MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
-/* 5120 */    MCD_OPC_FilterValue, 3, 16, 0, // Skip to: 5140
-/* 5124 */    MCD_OPC_CheckField, 25, 4, 0, 30, 0, // Skip to: 5160
-/* 5130 */    MCD_OPC_CheckField, 14, 5, 1, 24, 0, // Skip to: 5160
-/* 5136 */    MCD_OPC_Decode, 179, 3, 4, // Opcode: TA3
-/* 5140 */    MCD_OPC_FilterValue, 5, 16, 0, // Skip to: 5160
-/* 5144 */    MCD_OPC_CheckField, 25, 4, 8, 10, 0, // Skip to: 5160
-/* 5150 */    MCD_OPC_CheckField, 14, 5, 0, 4, 0, // Skip to: 5160
-/* 5156 */    MCD_OPC_Decode, 180, 3, 4, // Opcode: TA5
-/* 5160 */    MCD_OPC_Decode, 185, 3, 59, // Opcode: TICCri
-/* 5164 */    MCD_OPC_FilterValue, 48, 133, 2, // Skip to: 5813
-/* 5168 */    MCD_OPC_CheckField, 29, 1, 0, 127, 2, // Skip to: 5813
-/* 5174 */    MCD_OPC_Decode, 196, 3, 59, // Opcode: TXCCri
-/* 5178 */    MCD_OPC_FilterValue, 60, 25, 0, // Skip to: 5207
-/* 5182 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5185 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5199
-/* 5189 */    MCD_OPC_CheckField, 5, 8, 0, 106, 2, // Skip to: 5813
-/* 5195 */    MCD_OPC_Decode, 245, 2, 8, // Opcode: SAVErr
-/* 5199 */    MCD_OPC_FilterValue, 1, 98, 2, // Skip to: 5813
-/* 5203 */    MCD_OPC_Decode, 244, 2, 9, // Opcode: SAVEri
-/* 5207 */    MCD_OPC_FilterValue, 61, 90, 2, // Skip to: 5813
-/* 5211 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5214 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5228
-/* 5218 */    MCD_OPC_CheckField, 5, 8, 0, 77, 2, // Skip to: 5813
-/* 5224 */    MCD_OPC_Decode, 239, 2, 8, // Opcode: RESTORErr
-/* 5228 */    MCD_OPC_FilterValue, 1, 69, 2, // Skip to: 5813
-/* 5232 */    MCD_OPC_Decode, 238, 2, 9, // Opcode: RESTOREri
-/* 5236 */    MCD_OPC_FilterValue, 3, 61, 2, // Skip to: 5813
-/* 5240 */    MCD_OPC_ExtractField, 19, 6,  // Inst{24-19} ...
-/* 5243 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 5272
-/* 5247 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5250 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5264
-/* 5254 */    MCD_OPC_CheckField, 5, 8, 0, 41, 2, // Skip to: 5813
-/* 5260 */    MCD_OPC_Decode, 192, 2, 60, // Opcode: LDrr
-/* 5264 */    MCD_OPC_FilterValue, 1, 33, 2, // Skip to: 5813
-/* 5268 */    MCD_OPC_Decode, 191, 2, 60, // Opcode: LDri
-/* 5272 */    MCD_OPC_FilterValue, 1, 25, 0, // Skip to: 5301
-/* 5276 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5279 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5293
-/* 5283 */    MCD_OPC_CheckField, 5, 8, 0, 12, 2, // Skip to: 5813
-/* 5289 */    MCD_OPC_Decode, 186, 2, 60, // Opcode: LDUBrr
-/* 5293 */    MCD_OPC_FilterValue, 1, 4, 2, // Skip to: 5813
-/* 5297 */    MCD_OPC_Decode, 185, 2, 60, // Opcode: LDUBri
-/* 5301 */    MCD_OPC_FilterValue, 2, 25, 0, // Skip to: 5330
-/* 5305 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5308 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5322
-/* 5312 */    MCD_OPC_CheckField, 5, 8, 0, 239, 1, // Skip to: 5813
-/* 5318 */    MCD_OPC_Decode, 188, 2, 60, // Opcode: LDUHrr
-/* 5322 */    MCD_OPC_FilterValue, 1, 231, 1, // Skip to: 5813
-/* 5326 */    MCD_OPC_Decode, 187, 2, 60, // Opcode: LDUHri
-/* 5330 */    MCD_OPC_FilterValue, 4, 25, 0, // Skip to: 5359
-/* 5334 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5337 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5351
-/* 5341 */    MCD_OPC_CheckField, 5, 8, 0, 210, 1, // Skip to: 5813
-/* 5347 */    MCD_OPC_Decode, 166, 3, 61, // Opcode: STrr
-/* 5351 */    MCD_OPC_FilterValue, 1, 202, 1, // Skip to: 5813
-/* 5355 */    MCD_OPC_Decode, 165, 3, 61, // Opcode: STri
-/* 5359 */    MCD_OPC_FilterValue, 5, 25, 0, // Skip to: 5388
-/* 5363 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5366 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5380
-/* 5370 */    MCD_OPC_CheckField, 5, 8, 0, 181, 1, // Skip to: 5813
-/* 5376 */    MCD_OPC_Decode, 154, 3, 61, // Opcode: STBrr
-/* 5380 */    MCD_OPC_FilterValue, 1, 173, 1, // Skip to: 5813
-/* 5384 */    MCD_OPC_Decode, 153, 3, 61, // Opcode: STBri
-/* 5388 */    MCD_OPC_FilterValue, 6, 25, 0, // Skip to: 5417
-/* 5392 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5395 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5409
-/* 5399 */    MCD_OPC_CheckField, 5, 8, 0, 152, 1, // Skip to: 5813
-/* 5405 */    MCD_OPC_Decode, 160, 3, 61, // Opcode: STHrr
-/* 5409 */    MCD_OPC_FilterValue, 1, 144, 1, // Skip to: 5813
-/* 5413 */    MCD_OPC_Decode, 159, 3, 61, // Opcode: STHri
-/* 5417 */    MCD_OPC_FilterValue, 8, 25, 0, // Skip to: 5446
-/* 5421 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5424 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5438
-/* 5428 */    MCD_OPC_CheckField, 5, 8, 0, 123, 1, // Skip to: 5813
-/* 5434 */    MCD_OPC_Decode, 184, 2, 60, // Opcode: LDSWrr
-/* 5438 */    MCD_OPC_FilterValue, 1, 115, 1, // Skip to: 5813
-/* 5442 */    MCD_OPC_Decode, 183, 2, 60, // Opcode: LDSWri
-/* 5446 */    MCD_OPC_FilterValue, 9, 25, 0, // Skip to: 5475
-/* 5450 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5453 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5467
-/* 5457 */    MCD_OPC_CheckField, 5, 8, 0, 94, 1, // Skip to: 5813
-/* 5463 */    MCD_OPC_Decode, 180, 2, 60, // Opcode: LDSBrr
-/* 5467 */    MCD_OPC_FilterValue, 1, 86, 1, // Skip to: 5813
-/* 5471 */    MCD_OPC_Decode, 179, 2, 60, // Opcode: LDSBri
-/* 5475 */    MCD_OPC_FilterValue, 10, 25, 0, // Skip to: 5504
-/* 5479 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5482 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5496
-/* 5486 */    MCD_OPC_CheckField, 5, 8, 0, 65, 1, // Skip to: 5813
-/* 5492 */    MCD_OPC_Decode, 182, 2, 60, // Opcode: LDSHrr
-/* 5496 */    MCD_OPC_FilterValue, 1, 57, 1, // Skip to: 5813
-/* 5500 */    MCD_OPC_Decode, 181, 2, 60, // Opcode: LDSHri
-/* 5504 */    MCD_OPC_FilterValue, 11, 25, 0, // Skip to: 5533
-/* 5508 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5511 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5525
-/* 5515 */    MCD_OPC_CheckField, 5, 8, 0, 36, 1, // Skip to: 5813
-/* 5521 */    MCD_OPC_Decode, 190, 2, 60, // Opcode: LDXrr
-/* 5525 */    MCD_OPC_FilterValue, 1, 28, 1, // Skip to: 5813
-/* 5529 */    MCD_OPC_Decode, 189, 2, 60, // Opcode: LDXri
-/* 5533 */    MCD_OPC_FilterValue, 14, 25, 0, // Skip to: 5562
-/* 5537 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5540 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5554
-/* 5544 */    MCD_OPC_CheckField, 5, 8, 0, 7, 1, // Skip to: 5813
-/* 5550 */    MCD_OPC_Decode, 164, 3, 61, // Opcode: STXrr
-/* 5554 */    MCD_OPC_FilterValue, 1, 255, 0, // Skip to: 5813
-/* 5558 */    MCD_OPC_Decode, 163, 3, 61, // Opcode: STXri
-/* 5562 */    MCD_OPC_FilterValue, 15, 25, 0, // Skip to: 5591
-/* 5566 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5569 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5583
-/* 5573 */    MCD_OPC_CheckField, 5, 8, 0, 234, 0, // Skip to: 5813
-/* 5579 */    MCD_OPC_Decode, 178, 3, 62, // Opcode: SWAPrr
-/* 5583 */    MCD_OPC_FilterValue, 1, 226, 0, // Skip to: 5813
-/* 5587 */    MCD_OPC_Decode, 177, 3, 62, // Opcode: SWAPri
-/* 5591 */    MCD_OPC_FilterValue, 32, 25, 0, // Skip to: 5620
-/* 5595 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5598 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5612
-/* 5602 */    MCD_OPC_CheckField, 5, 8, 0, 205, 0, // Skip to: 5813
-/* 5608 */    MCD_OPC_Decode, 176, 2, 63, // Opcode: LDFrr
-/* 5612 */    MCD_OPC_FilterValue, 1, 197, 0, // Skip to: 5813
-/* 5616 */    MCD_OPC_Decode, 175, 2, 63, // Opcode: LDFri
-/* 5620 */    MCD_OPC_FilterValue, 34, 33, 0, // Skip to: 5657
-/* 5624 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5627 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5645
-/* 5631 */    MCD_OPC_CheckPredicate, 0, 178, 0, // Skip to: 5813
-/* 5635 */    MCD_OPC_CheckField, 5, 8, 0, 172, 0, // Skip to: 5813
-/* 5641 */    MCD_OPC_Decode, 178, 2, 64, // Opcode: LDQFrr
-/* 5645 */    MCD_OPC_FilterValue, 1, 164, 0, // Skip to: 5813
-/* 5649 */    MCD_OPC_CheckPredicate, 0, 160, 0, // Skip to: 5813
-/* 5653 */    MCD_OPC_Decode, 177, 2, 64, // Opcode: LDQFri
-/* 5657 */    MCD_OPC_FilterValue, 35, 25, 0, // Skip to: 5686
-/* 5661 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5664 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5678
-/* 5668 */    MCD_OPC_CheckField, 5, 8, 0, 139, 0, // Skip to: 5813
-/* 5674 */    MCD_OPC_Decode, 174, 2, 65, // Opcode: LDDFrr
-/* 5678 */    MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 5813
-/* 5682 */    MCD_OPC_Decode, 173, 2, 65, // Opcode: LDDFri
-/* 5686 */    MCD_OPC_FilterValue, 36, 25, 0, // Skip to: 5715
-/* 5690 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5693 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5707
-/* 5697 */    MCD_OPC_CheckField, 5, 8, 0, 110, 0, // Skip to: 5813
-/* 5703 */    MCD_OPC_Decode, 158, 3, 66, // Opcode: STFrr
-/* 5707 */    MCD_OPC_FilterValue, 1, 102, 0, // Skip to: 5813
-/* 5711 */    MCD_OPC_Decode, 157, 3, 66, // Opcode: STFri
-/* 5715 */    MCD_OPC_FilterValue, 38, 33, 0, // Skip to: 5752
-/* 5719 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5722 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5740
-/* 5726 */    MCD_OPC_CheckPredicate, 0, 83, 0, // Skip to: 5813
-/* 5730 */    MCD_OPC_CheckField, 5, 8, 0, 77, 0, // Skip to: 5813
-/* 5736 */    MCD_OPC_Decode, 162, 3, 67, // Opcode: STQFrr
-/* 5740 */    MCD_OPC_FilterValue, 1, 69, 0, // Skip to: 5813
-/* 5744 */    MCD_OPC_CheckPredicate, 0, 65, 0, // Skip to: 5813
-/* 5748 */    MCD_OPC_Decode, 161, 3, 67, // Opcode: STQFri
-/* 5752 */    MCD_OPC_FilterValue, 39, 25, 0, // Skip to: 5781
-/* 5756 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
-/* 5759 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5773
-/* 5763 */    MCD_OPC_CheckField, 5, 8, 0, 44, 0, // Skip to: 5813
-/* 5769 */    MCD_OPC_Decode, 156, 3, 68, // Opcode: STDFrr
-/* 5773 */    MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 5813
-/* 5777 */    MCD_OPC_Decode, 155, 3, 68, // Opcode: STDFri
-/* 5781 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 5799
-/* 5785 */    MCD_OPC_CheckPredicate, 0, 24, 0, // Skip to: 5813
-/* 5789 */    MCD_OPC_CheckField, 5, 9, 128, 1, 17, 0, // Skip to: 5813
-/* 5796 */    MCD_OPC_Decode, 118, 69, // Opcode: CASrr
-/* 5799 */    MCD_OPC_FilterValue, 62, 10, 0, // Skip to: 5813
-/* 5803 */    MCD_OPC_CheckField, 5, 9, 128, 1, 3, 0, // Skip to: 5813
-/* 5810 */    MCD_OPC_Decode, 117, 70, // Opcode: CASXrr
-/* 5813 */    MCD_OPC_Fail,
+/* 3492 */    MCD_OPC_CheckPredicate, 2, 15, 9, // Skip to: 5815
+/* 3496 */    MCD_OPC_Decode, 126, 10, // Opcode: EDGE16
+/* 3499 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 3511
+/* 3503 */    MCD_OPC_CheckPredicate, 3, 4, 9, // Skip to: 5815
+/* 3507 */    MCD_OPC_Decode, 129, 1, 10, // Opcode: EDGE16N
+/* 3511 */    MCD_OPC_FilterValue, 6, 7, 0, // Skip to: 3522
+/* 3515 */    MCD_OPC_CheckPredicate, 2, 248, 8, // Skip to: 5815
+/* 3519 */    MCD_OPC_Decode, 127, 10, // Opcode: EDGE16L
+/* 3522 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 3534
+/* 3526 */    MCD_OPC_CheckPredicate, 3, 237, 8, // Skip to: 5815
+/* 3530 */    MCD_OPC_Decode, 128, 1, 10, // Opcode: EDGE16LN
+/* 3534 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 3546
+/* 3538 */    MCD_OPC_CheckPredicate, 2, 225, 8, // Skip to: 5815
+/* 3542 */    MCD_OPC_Decode, 130, 1, 10, // Opcode: EDGE32
+/* 3546 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 3558
+/* 3550 */    MCD_OPC_CheckPredicate, 3, 213, 8, // Skip to: 5815
+/* 3554 */    MCD_OPC_Decode, 133, 1, 10, // Opcode: EDGE32N
+/* 3558 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 3570
+/* 3562 */    MCD_OPC_CheckPredicate, 2, 201, 8, // Skip to: 5815
+/* 3566 */    MCD_OPC_Decode, 131, 1, 10, // Opcode: EDGE32L
+/* 3570 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 3582
+/* 3574 */    MCD_OPC_CheckPredicate, 3, 189, 8, // Skip to: 5815
+/* 3578 */    MCD_OPC_Decode, 132, 1, 10, // Opcode: EDGE32LN
+/* 3582 */    MCD_OPC_FilterValue, 16, 7, 0, // Skip to: 3593
+/* 3586 */    MCD_OPC_CheckPredicate, 2, 177, 8, // Skip to: 5815
+/* 3590 */    MCD_OPC_Decode, 51, 10, // Opcode: ARRAY8
+/* 3593 */    MCD_OPC_FilterValue, 17, 7, 0, // Skip to: 3604
+/* 3597 */    MCD_OPC_CheckPredicate, 1, 166, 8, // Skip to: 5815
+/* 3601 */    MCD_OPC_Decode, 28, 10, // Opcode: ADDXC
+/* 3604 */    MCD_OPC_FilterValue, 18, 7, 0, // Skip to: 3615
+/* 3608 */    MCD_OPC_CheckPredicate, 2, 155, 8, // Skip to: 5815
+/* 3612 */    MCD_OPC_Decode, 49, 10, // Opcode: ARRAY16
+/* 3615 */    MCD_OPC_FilterValue, 19, 7, 0, // Skip to: 3626
+/* 3619 */    MCD_OPC_CheckPredicate, 1, 144, 8, // Skip to: 5815
+/* 3623 */    MCD_OPC_Decode, 29, 10, // Opcode: ADDXCCC
+/* 3626 */    MCD_OPC_FilterValue, 20, 7, 0, // Skip to: 3637
+/* 3630 */    MCD_OPC_CheckPredicate, 2, 133, 8, // Skip to: 5815
+/* 3634 */    MCD_OPC_Decode, 50, 10, // Opcode: ARRAY32
+/* 3637 */    MCD_OPC_FilterValue, 22, 8, 0, // Skip to: 3649
+/* 3641 */    MCD_OPC_CheckPredicate, 1, 122, 8, // Skip to: 5815
+/* 3645 */    MCD_OPC_Decode, 208, 3, 10, // Opcode: UMULXHI
+/* 3649 */    MCD_OPC_FilterValue, 23, 14, 0, // Skip to: 3667
+/* 3653 */    MCD_OPC_CheckPredicate, 1, 110, 8, // Skip to: 5815
+/* 3657 */    MCD_OPC_CheckField, 14, 5, 0, 104, 8, // Skip to: 5815
+/* 3663 */    MCD_OPC_Decode, 197, 2, 47, // Opcode: LZCNT
+/* 3667 */    MCD_OPC_FilterValue, 24, 7, 0, // Skip to: 3678
+/* 3671 */    MCD_OPC_CheckPredicate, 2, 92, 8, // Skip to: 5815
+/* 3675 */    MCD_OPC_Decode, 36, 10, // Opcode: ALIGNADDR
+/* 3678 */    MCD_OPC_FilterValue, 25, 7, 0, // Skip to: 3689
+/* 3682 */    MCD_OPC_CheckPredicate, 3, 81, 8, // Skip to: 5815
+/* 3686 */    MCD_OPC_Decode, 78, 10, // Opcode: BMASK
+/* 3689 */    MCD_OPC_FilterValue, 26, 7, 0, // Skip to: 3700
+/* 3693 */    MCD_OPC_CheckPredicate, 2, 70, 8, // Skip to: 5815
+/* 3697 */    MCD_OPC_Decode, 37, 10, // Opcode: ALIGNADDRL
+/* 3700 */    MCD_OPC_FilterValue, 27, 19, 0, // Skip to: 3723
+/* 3704 */    MCD_OPC_CheckPredicate, 1, 59, 8, // Skip to: 5815
+/* 3708 */    MCD_OPC_CheckField, 25, 5, 0, 53, 8, // Skip to: 5815
+/* 3714 */    MCD_OPC_CheckField, 14, 5, 0, 47, 8, // Skip to: 5815
+/* 3720 */    MCD_OPC_Decode, 123, 48, // Opcode: CMASK8
+/* 3723 */    MCD_OPC_FilterValue, 28, 7, 0, // Skip to: 3734
+/* 3727 */    MCD_OPC_CheckPredicate, 3, 36, 8, // Skip to: 5815
+/* 3731 */    MCD_OPC_Decode, 115, 27, // Opcode: BSHUFFLE
+/* 3734 */    MCD_OPC_FilterValue, 29, 19, 0, // Skip to: 3757
+/* 3738 */    MCD_OPC_CheckPredicate, 1, 25, 8, // Skip to: 5815
+/* 3742 */    MCD_OPC_CheckField, 25, 5, 0, 19, 8, // Skip to: 5815
+/* 3748 */    MCD_OPC_CheckField, 14, 5, 0, 13, 8, // Skip to: 5815
+/* 3754 */    MCD_OPC_Decode, 121, 48, // Opcode: CMASK16
+/* 3757 */    MCD_OPC_FilterValue, 31, 19, 0, // Skip to: 3780
+/* 3761 */    MCD_OPC_CheckPredicate, 1, 2, 8, // Skip to: 5815
+/* 3765 */    MCD_OPC_CheckField, 25, 5, 0, 252, 7, // Skip to: 5815
+/* 3771 */    MCD_OPC_CheckField, 14, 5, 0, 246, 7, // Skip to: 5815
+/* 3777 */    MCD_OPC_Decode, 122, 48, // Opcode: CMASK32
+/* 3780 */    MCD_OPC_FilterValue, 32, 8, 0, // Skip to: 3792
+/* 3784 */    MCD_OPC_CheckPredicate, 2, 235, 7, // Skip to: 5815
+/* 3788 */    MCD_OPC_Decode, 159, 1, 49, // Opcode: FCMPLE16
+/* 3792 */    MCD_OPC_FilterValue, 33, 8, 0, // Skip to: 3804
+/* 3796 */    MCD_OPC_CheckPredicate, 1, 223, 7, // Skip to: 5815
+/* 3800 */    MCD_OPC_Decode, 142, 2, 27, // Opcode: FSLL16
+/* 3804 */    MCD_OPC_FilterValue, 34, 8, 0, // Skip to: 3816
+/* 3808 */    MCD_OPC_CheckPredicate, 2, 211, 7, // Skip to: 5815
+/* 3812 */    MCD_OPC_Decode, 161, 1, 49, // Opcode: FCMPNE16
+/* 3816 */    MCD_OPC_FilterValue, 35, 8, 0, // Skip to: 3828
+/* 3820 */    MCD_OPC_CheckPredicate, 1, 199, 7, // Skip to: 5815
+/* 3824 */    MCD_OPC_Decode, 154, 2, 27, // Opcode: FSRL16
+/* 3828 */    MCD_OPC_FilterValue, 36, 8, 0, // Skip to: 3840
+/* 3832 */    MCD_OPC_CheckPredicate, 2, 187, 7, // Skip to: 5815
+/* 3836 */    MCD_OPC_Decode, 160, 1, 49, // Opcode: FCMPLE32
+/* 3840 */    MCD_OPC_FilterValue, 37, 8, 0, // Skip to: 3852
+/* 3844 */    MCD_OPC_CheckPredicate, 1, 175, 7, // Skip to: 5815
+/* 3848 */    MCD_OPC_Decode, 143, 2, 27, // Opcode: FSLL32
+/* 3852 */    MCD_OPC_FilterValue, 38, 8, 0, // Skip to: 3864
+/* 3856 */    MCD_OPC_CheckPredicate, 2, 163, 7, // Skip to: 5815
+/* 3860 */    MCD_OPC_Decode, 162, 1, 49, // Opcode: FCMPNE32
+/* 3864 */    MCD_OPC_FilterValue, 39, 8, 0, // Skip to: 3876
+/* 3868 */    MCD_OPC_CheckPredicate, 1, 151, 7, // Skip to: 5815
+/* 3872 */    MCD_OPC_Decode, 155, 2, 27, // Opcode: FSRL32
+/* 3876 */    MCD_OPC_FilterValue, 40, 8, 0, // Skip to: 3888
+/* 3880 */    MCD_OPC_CheckPredicate, 2, 139, 7, // Skip to: 5815
+/* 3884 */    MCD_OPC_Decode, 157, 1, 49, // Opcode: FCMPGT16
+/* 3888 */    MCD_OPC_FilterValue, 41, 8, 0, // Skip to: 3900
+/* 3892 */    MCD_OPC_CheckPredicate, 1, 127, 7, // Skip to: 5815
+/* 3896 */    MCD_OPC_Decode, 140, 2, 27, // Opcode: FSLAS16
+/* 3900 */    MCD_OPC_FilterValue, 42, 8, 0, // Skip to: 3912
+/* 3904 */    MCD_OPC_CheckPredicate, 2, 115, 7, // Skip to: 5815
+/* 3908 */    MCD_OPC_Decode, 155, 1, 49, // Opcode: FCMPEQ16
+/* 3912 */    MCD_OPC_FilterValue, 43, 8, 0, // Skip to: 3924
+/* 3916 */    MCD_OPC_CheckPredicate, 1, 103, 7, // Skip to: 5815
+/* 3920 */    MCD_OPC_Decode, 148, 2, 27, // Opcode: FSRA16
+/* 3924 */    MCD_OPC_FilterValue, 44, 8, 0, // Skip to: 3936
+/* 3928 */    MCD_OPC_CheckPredicate, 2, 91, 7, // Skip to: 5815
+/* 3932 */    MCD_OPC_Decode, 158, 1, 49, // Opcode: FCMPGT32
+/* 3936 */    MCD_OPC_FilterValue, 45, 8, 0, // Skip to: 3948
+/* 3940 */    MCD_OPC_CheckPredicate, 1, 79, 7, // Skip to: 5815
+/* 3944 */    MCD_OPC_Decode, 141, 2, 27, // Opcode: FSLAS32
+/* 3948 */    MCD_OPC_FilterValue, 46, 8, 0, // Skip to: 3960
+/* 3952 */    MCD_OPC_CheckPredicate, 2, 67, 7, // Skip to: 5815
+/* 3956 */    MCD_OPC_Decode, 156, 1, 49, // Opcode: FCMPEQ32
+/* 3960 */    MCD_OPC_FilterValue, 47, 8, 0, // Skip to: 3972
+/* 3964 */    MCD_OPC_CheckPredicate, 1, 55, 7, // Skip to: 5815
+/* 3968 */    MCD_OPC_Decode, 149, 2, 27, // Opcode: FSRA32
+/* 3972 */    MCD_OPC_FilterValue, 49, 8, 0, // Skip to: 3984
+/* 3976 */    MCD_OPC_CheckPredicate, 2, 43, 7, // Skip to: 5815
+/* 3980 */    MCD_OPC_Decode, 217, 1, 27, // Opcode: FMUL8X16
+/* 3984 */    MCD_OPC_FilterValue, 51, 8, 0, // Skip to: 3996
+/* 3988 */    MCD_OPC_CheckPredicate, 2, 31, 7, // Skip to: 5815
+/* 3992 */    MCD_OPC_Decode, 219, 1, 27, // Opcode: FMUL8X16AU
+/* 3996 */    MCD_OPC_FilterValue, 53, 8, 0, // Skip to: 4008
+/* 4000 */    MCD_OPC_CheckPredicate, 2, 19, 7, // Skip to: 5815
+/* 4004 */    MCD_OPC_Decode, 218, 1, 27, // Opcode: FMUL8X16AL
+/* 4008 */    MCD_OPC_FilterValue, 54, 8, 0, // Skip to: 4020
+/* 4012 */    MCD_OPC_CheckPredicate, 2, 7, 7, // Skip to: 5815
+/* 4016 */    MCD_OPC_Decode, 215, 1, 27, // Opcode: FMUL8SUX16
+/* 4020 */    MCD_OPC_FilterValue, 55, 8, 0, // Skip to: 4032
+/* 4024 */    MCD_OPC_CheckPredicate, 2, 251, 6, // Skip to: 5815
+/* 4028 */    MCD_OPC_Decode, 216, 1, 27, // Opcode: FMUL8ULX16
+/* 4032 */    MCD_OPC_FilterValue, 56, 8, 0, // Skip to: 4044
+/* 4036 */    MCD_OPC_CheckPredicate, 2, 239, 6, // Skip to: 5815
+/* 4040 */    MCD_OPC_Decode, 221, 1, 27, // Opcode: FMULD8SUX16
+/* 4044 */    MCD_OPC_FilterValue, 57, 8, 0, // Skip to: 4056
+/* 4048 */    MCD_OPC_CheckPredicate, 2, 227, 6, // Skip to: 5815
+/* 4052 */    MCD_OPC_Decode, 222, 1, 27, // Opcode: FMULD8ULX16
+/* 4056 */    MCD_OPC_FilterValue, 58, 8, 0, // Skip to: 4068
+/* 4060 */    MCD_OPC_CheckPredicate, 2, 215, 6, // Skip to: 5815
+/* 4064 */    MCD_OPC_Decode, 252, 1, 27, // Opcode: FPACK32
+/* 4068 */    MCD_OPC_FilterValue, 59, 14, 0, // Skip to: 4086
+/* 4072 */    MCD_OPC_CheckPredicate, 2, 203, 6, // Skip to: 5815
+/* 4076 */    MCD_OPC_CheckField, 14, 5, 0, 197, 6, // Skip to: 5815
+/* 4082 */    MCD_OPC_Decode, 251, 1, 24, // Opcode: FPACK16
+/* 4086 */    MCD_OPC_FilterValue, 61, 14, 0, // Skip to: 4104
+/* 4090 */    MCD_OPC_CheckPredicate, 2, 185, 6, // Skip to: 5815
+/* 4094 */    MCD_OPC_CheckField, 14, 5, 0, 179, 6, // Skip to: 5815
+/* 4100 */    MCD_OPC_Decode, 253, 1, 24, // Opcode: FPACKFIX
+/* 4104 */    MCD_OPC_FilterValue, 62, 8, 0, // Skip to: 4116
+/* 4108 */    MCD_OPC_CheckPredicate, 2, 167, 6, // Skip to: 5815
+/* 4112 */    MCD_OPC_Decode, 236, 2, 27, // Opcode: PDIST
+/* 4116 */    MCD_OPC_FilterValue, 63, 8, 0, // Skip to: 4128
+/* 4120 */    MCD_OPC_CheckPredicate, 1, 155, 6, // Skip to: 5815
+/* 4124 */    MCD_OPC_Decode, 237, 2, 27, // Opcode: PDISTN
+/* 4128 */    MCD_OPC_FilterValue, 64, 8, 0, // Skip to: 4140
+/* 4132 */    MCD_OPC_CheckPredicate, 1, 143, 6, // Skip to: 5815
+/* 4136 */    MCD_OPC_Decode, 184, 1, 27, // Opcode: FMEAN16
+/* 4140 */    MCD_OPC_FilterValue, 66, 8, 0, // Skip to: 4152
+/* 4144 */    MCD_OPC_CheckPredicate, 1, 131, 6, // Skip to: 5815
+/* 4148 */    MCD_OPC_Decode, 130, 2, 27, // Opcode: FPADD64
+/* 4152 */    MCD_OPC_FilterValue, 68, 8, 0, // Skip to: 4164
+/* 4156 */    MCD_OPC_CheckPredicate, 1, 119, 6, // Skip to: 5815
+/* 4160 */    MCD_OPC_Decode, 153, 1, 27, // Opcode: FCHKSM16
+/* 4164 */    MCD_OPC_FilterValue, 72, 8, 0, // Skip to: 4176
+/* 4168 */    MCD_OPC_CheckPredicate, 2, 107, 6, // Skip to: 5815
+/* 4172 */    MCD_OPC_Decode, 144, 1, 27, // Opcode: FALIGNADATA
+/* 4176 */    MCD_OPC_FilterValue, 75, 8, 0, // Skip to: 4188
+/* 4180 */    MCD_OPC_CheckPredicate, 2, 95, 6, // Skip to: 5815
+/* 4184 */    MCD_OPC_Decode, 131, 2, 27, // Opcode: FPMERGE
+/* 4188 */    MCD_OPC_FilterValue, 77, 14, 0, // Skip to: 4206
+/* 4192 */    MCD_OPC_CheckPredicate, 2, 83, 6, // Skip to: 5815
+/* 4196 */    MCD_OPC_CheckField, 14, 5, 0, 77, 6, // Skip to: 5815
+/* 4202 */    MCD_OPC_Decode, 173, 1, 24, // Opcode: FEXPAND
+/* 4206 */    MCD_OPC_FilterValue, 80, 8, 0, // Skip to: 4218
+/* 4210 */    MCD_OPC_CheckPredicate, 2, 65, 6, // Skip to: 5815
+/* 4214 */    MCD_OPC_Decode, 254, 1, 27, // Opcode: FPADD16
+/* 4218 */    MCD_OPC_FilterValue, 81, 8, 0, // Skip to: 4230
+/* 4222 */    MCD_OPC_CheckPredicate, 2, 53, 6, // Skip to: 5815
+/* 4226 */    MCD_OPC_Decode, 255, 1, 27, // Opcode: FPADD16S
+/* 4230 */    MCD_OPC_FilterValue, 82, 8, 0, // Skip to: 4242
+/* 4234 */    MCD_OPC_CheckPredicate, 2, 41, 6, // Skip to: 5815
+/* 4238 */    MCD_OPC_Decode, 128, 2, 27, // Opcode: FPADD32
+/* 4242 */    MCD_OPC_FilterValue, 83, 8, 0, // Skip to: 4254
+/* 4246 */    MCD_OPC_CheckPredicate, 2, 29, 6, // Skip to: 5815
+/* 4250 */    MCD_OPC_Decode, 129, 2, 27, // Opcode: FPADD32S
+/* 4254 */    MCD_OPC_FilterValue, 84, 8, 0, // Skip to: 4266
+/* 4258 */    MCD_OPC_CheckPredicate, 2, 17, 6, // Skip to: 5815
+/* 4262 */    MCD_OPC_Decode, 132, 2, 27, // Opcode: FPSUB16
+/* 4266 */    MCD_OPC_FilterValue, 85, 8, 0, // Skip to: 4278
+/* 4270 */    MCD_OPC_CheckPredicate, 2, 5, 6, // Skip to: 5815
+/* 4274 */    MCD_OPC_Decode, 133, 2, 27, // Opcode: FPSUB16S
+/* 4278 */    MCD_OPC_FilterValue, 86, 8, 0, // Skip to: 4290
+/* 4282 */    MCD_OPC_CheckPredicate, 2, 249, 5, // Skip to: 5815
+/* 4286 */    MCD_OPC_Decode, 134, 2, 27, // Opcode: FPSUB32
+/* 4290 */    MCD_OPC_FilterValue, 87, 8, 0, // Skip to: 4302
+/* 4294 */    MCD_OPC_CheckPredicate, 2, 237, 5, // Skip to: 5815
+/* 4298 */    MCD_OPC_Decode, 135, 2, 27, // Opcode: FPSUB32S
+/* 4302 */    MCD_OPC_FilterValue, 96, 20, 0, // Skip to: 4326
+/* 4306 */    MCD_OPC_CheckPredicate, 2, 225, 5, // Skip to: 5815
+/* 4310 */    MCD_OPC_CheckField, 14, 5, 0, 219, 5, // Skip to: 5815
+/* 4316 */    MCD_OPC_CheckField, 0, 5, 0, 213, 5, // Skip to: 5815
+/* 4322 */    MCD_OPC_Decode, 170, 2, 50, // Opcode: FZERO
+/* 4326 */    MCD_OPC_FilterValue, 97, 20, 0, // Skip to: 4350
+/* 4330 */    MCD_OPC_CheckPredicate, 2, 201, 5, // Skip to: 5815
+/* 4334 */    MCD_OPC_CheckField, 14, 5, 0, 195, 5, // Skip to: 5815
+/* 4340 */    MCD_OPC_CheckField, 0, 5, 0, 189, 5, // Skip to: 5815
+/* 4346 */    MCD_OPC_Decode, 171, 2, 51, // Opcode: FZEROS
+/* 4350 */    MCD_OPC_FilterValue, 98, 8, 0, // Skip to: 4362
+/* 4354 */    MCD_OPC_CheckPredicate, 2, 177, 5, // Skip to: 5815
+/* 4358 */    MCD_OPC_Decode, 236, 1, 27, // Opcode: FNOR
+/* 4362 */    MCD_OPC_FilterValue, 99, 8, 0, // Skip to: 4374
+/* 4366 */    MCD_OPC_CheckPredicate, 2, 165, 5, // Skip to: 5815
+/* 4370 */    MCD_OPC_Decode, 237, 1, 26, // Opcode: FNORS
+/* 4374 */    MCD_OPC_FilterValue, 100, 8, 0, // Skip to: 4386
+/* 4378 */    MCD_OPC_CheckPredicate, 2, 153, 5, // Skip to: 5815
+/* 4382 */    MCD_OPC_Decode, 148, 1, 27, // Opcode: FANDNOT2
+/* 4386 */    MCD_OPC_FilterValue, 101, 8, 0, // Skip to: 4398
+/* 4390 */    MCD_OPC_CheckPredicate, 2, 141, 5, // Skip to: 5815
+/* 4394 */    MCD_OPC_Decode, 149, 1, 26, // Opcode: FANDNOT2S
+/* 4398 */    MCD_OPC_FilterValue, 102, 14, 0, // Skip to: 4416
+/* 4402 */    MCD_OPC_CheckPredicate, 2, 129, 5, // Skip to: 5815
+/* 4406 */    MCD_OPC_CheckField, 14, 5, 0, 123, 5, // Skip to: 5815
+/* 4412 */    MCD_OPC_Decode, 240, 1, 24, // Opcode: FNOT2
+/* 4416 */    MCD_OPC_FilterValue, 103, 14, 0, // Skip to: 4434
+/* 4420 */    MCD_OPC_CheckPredicate, 2, 111, 5, // Skip to: 5815
+/* 4424 */    MCD_OPC_CheckField, 14, 5, 0, 105, 5, // Skip to: 5815
+/* 4430 */    MCD_OPC_Decode, 241, 1, 23, // Opcode: FNOT2S
+/* 4434 */    MCD_OPC_FilterValue, 104, 8, 0, // Skip to: 4446
+/* 4438 */    MCD_OPC_CheckPredicate, 2, 93, 5, // Skip to: 5815
+/* 4442 */    MCD_OPC_Decode, 146, 1, 27, // Opcode: FANDNOT1
+/* 4446 */    MCD_OPC_FilterValue, 105, 8, 0, // Skip to: 4458
+/* 4450 */    MCD_OPC_CheckPredicate, 2, 81, 5, // Skip to: 5815
+/* 4454 */    MCD_OPC_Decode, 147, 1, 26, // Opcode: FANDNOT1S
+/* 4458 */    MCD_OPC_FilterValue, 106, 14, 0, // Skip to: 4476
+/* 4462 */    MCD_OPC_CheckPredicate, 2, 69, 5, // Skip to: 5815
+/* 4466 */    MCD_OPC_CheckField, 0, 5, 0, 63, 5, // Skip to: 5815
+/* 4472 */    MCD_OPC_Decode, 238, 1, 52, // Opcode: FNOT1
+/* 4476 */    MCD_OPC_FilterValue, 107, 14, 0, // Skip to: 4494
+/* 4480 */    MCD_OPC_CheckPredicate, 2, 51, 5, // Skip to: 5815
+/* 4484 */    MCD_OPC_CheckField, 0, 5, 0, 45, 5, // Skip to: 5815
+/* 4490 */    MCD_OPC_Decode, 239, 1, 53, // Opcode: FNOT1S
+/* 4494 */    MCD_OPC_FilterValue, 108, 8, 0, // Skip to: 4506
+/* 4498 */    MCD_OPC_CheckPredicate, 2, 33, 5, // Skip to: 5815
+/* 4502 */    MCD_OPC_Decode, 165, 2, 27, // Opcode: FXOR
+/* 4506 */    MCD_OPC_FilterValue, 109, 8, 0, // Skip to: 4518
+/* 4510 */    MCD_OPC_CheckPredicate, 2, 21, 5, // Skip to: 5815
+/* 4514 */    MCD_OPC_Decode, 166, 2, 26, // Opcode: FXORS
+/* 4518 */    MCD_OPC_FilterValue, 110, 8, 0, // Skip to: 4530
+/* 4522 */    MCD_OPC_CheckPredicate, 2, 9, 5, // Skip to: 5815
+/* 4526 */    MCD_OPC_Decode, 227, 1, 27, // Opcode: FNAND
+/* 4530 */    MCD_OPC_FilterValue, 111, 8, 0, // Skip to: 4542
+/* 4534 */    MCD_OPC_CheckPredicate, 2, 253, 4, // Skip to: 5815
+/* 4538 */    MCD_OPC_Decode, 228, 1, 26, // Opcode: FNANDS
+/* 4542 */    MCD_OPC_FilterValue, 112, 8, 0, // Skip to: 4554
+/* 4546 */    MCD_OPC_CheckPredicate, 2, 241, 4, // Skip to: 5815
+/* 4550 */    MCD_OPC_Decode, 145, 1, 27, // Opcode: FAND
+/* 4554 */    MCD_OPC_FilterValue, 113, 8, 0, // Skip to: 4566
+/* 4558 */    MCD_OPC_CheckPredicate, 2, 229, 4, // Skip to: 5815
+/* 4562 */    MCD_OPC_Decode, 150, 1, 26, // Opcode: FANDS
+/* 4566 */    MCD_OPC_FilterValue, 114, 8, 0, // Skip to: 4578
+/* 4570 */    MCD_OPC_CheckPredicate, 2, 217, 4, // Skip to: 5815
+/* 4574 */    MCD_OPC_Decode, 163, 2, 27, // Opcode: FXNOR
+/* 4578 */    MCD_OPC_FilterValue, 115, 8, 0, // Skip to: 4590
+/* 4582 */    MCD_OPC_CheckPredicate, 2, 205, 4, // Skip to: 5815
+/* 4586 */    MCD_OPC_Decode, 164, 2, 26, // Opcode: FXNORS
+/* 4590 */    MCD_OPC_FilterValue, 116, 14, 0, // Skip to: 4608
+/* 4594 */    MCD_OPC_CheckPredicate, 2, 193, 4, // Skip to: 5815
+/* 4598 */    MCD_OPC_CheckField, 0, 5, 0, 187, 4, // Skip to: 5815
+/* 4604 */    MCD_OPC_Decode, 150, 2, 52, // Opcode: FSRC1
+/* 4608 */    MCD_OPC_FilterValue, 117, 14, 0, // Skip to: 4626
+/* 4612 */    MCD_OPC_CheckPredicate, 2, 175, 4, // Skip to: 5815
+/* 4616 */    MCD_OPC_CheckField, 0, 5, 0, 169, 4, // Skip to: 5815
+/* 4622 */    MCD_OPC_Decode, 151, 2, 53, // Opcode: FSRC1S
+/* 4626 */    MCD_OPC_FilterValue, 118, 8, 0, // Skip to: 4638
+/* 4630 */    MCD_OPC_CheckPredicate, 2, 157, 4, // Skip to: 5815
+/* 4634 */    MCD_OPC_Decode, 248, 1, 27, // Opcode: FORNOT2
+/* 4638 */    MCD_OPC_FilterValue, 119, 8, 0, // Skip to: 4650
+/* 4642 */    MCD_OPC_CheckPredicate, 2, 145, 4, // Skip to: 5815
+/* 4646 */    MCD_OPC_Decode, 249, 1, 26, // Opcode: FORNOT2S
+/* 4650 */    MCD_OPC_FilterValue, 120, 14, 0, // Skip to: 4668
+/* 4654 */    MCD_OPC_CheckPredicate, 2, 133, 4, // Skip to: 5815
+/* 4658 */    MCD_OPC_CheckField, 14, 5, 0, 127, 4, // Skip to: 5815
+/* 4664 */    MCD_OPC_Decode, 152, 2, 24, // Opcode: FSRC2
+/* 4668 */    MCD_OPC_FilterValue, 121, 14, 0, // Skip to: 4686
+/* 4672 */    MCD_OPC_CheckPredicate, 2, 115, 4, // Skip to: 5815
+/* 4676 */    MCD_OPC_CheckField, 14, 5, 0, 109, 4, // Skip to: 5815
+/* 4682 */    MCD_OPC_Decode, 153, 2, 23, // Opcode: FSRC2S
+/* 4686 */    MCD_OPC_FilterValue, 122, 8, 0, // Skip to: 4698
+/* 4690 */    MCD_OPC_CheckPredicate, 2, 97, 4, // Skip to: 5815
+/* 4694 */    MCD_OPC_Decode, 246, 1, 27, // Opcode: FORNOT1
+/* 4698 */    MCD_OPC_FilterValue, 123, 8, 0, // Skip to: 4710
+/* 4702 */    MCD_OPC_CheckPredicate, 2, 85, 4, // Skip to: 5815
+/* 4706 */    MCD_OPC_Decode, 247, 1, 26, // Opcode: FORNOT1S
+/* 4710 */    MCD_OPC_FilterValue, 124, 8, 0, // Skip to: 4722
+/* 4714 */    MCD_OPC_CheckPredicate, 2, 73, 4, // Skip to: 5815
+/* 4718 */    MCD_OPC_Decode, 245, 1, 27, // Opcode: FOR
+/* 4722 */    MCD_OPC_FilterValue, 125, 8, 0, // Skip to: 4734
+/* 4726 */    MCD_OPC_CheckPredicate, 2, 61, 4, // Skip to: 5815
+/* 4730 */    MCD_OPC_Decode, 250, 1, 26, // Opcode: FORS
+/* 4734 */    MCD_OPC_FilterValue, 126, 20, 0, // Skip to: 4758
+/* 4738 */    MCD_OPC_CheckPredicate, 2, 49, 4, // Skip to: 5815
+/* 4742 */    MCD_OPC_CheckField, 14, 5, 0, 43, 4, // Skip to: 5815
+/* 4748 */    MCD_OPC_CheckField, 0, 5, 0, 37, 4, // Skip to: 5815
+/* 4754 */    MCD_OPC_Decode, 243, 1, 50, // Opcode: FONE
+/* 4758 */    MCD_OPC_FilterValue, 127, 20, 0, // Skip to: 4782
+/* 4762 */    MCD_OPC_CheckPredicate, 2, 25, 4, // Skip to: 5815
+/* 4766 */    MCD_OPC_CheckField, 14, 5, 0, 19, 4, // Skip to: 5815
+/* 4772 */    MCD_OPC_CheckField, 0, 5, 0, 13, 4, // Skip to: 5815
+/* 4778 */    MCD_OPC_Decode, 244, 1, 51, // Opcode: FONES
+/* 4782 */    MCD_OPC_FilterValue, 128, 1, 26, 0, // Skip to: 4813
+/* 4787 */    MCD_OPC_CheckPredicate, 2, 0, 4, // Skip to: 5815
+/* 4791 */    MCD_OPC_CheckField, 25, 5, 0, 250, 3, // Skip to: 5815
+/* 4797 */    MCD_OPC_CheckField, 14, 5, 0, 244, 3, // Skip to: 5815
+/* 4803 */    MCD_OPC_CheckField, 0, 5, 0, 238, 3, // Skip to: 5815
+/* 4809 */    MCD_OPC_Decode, 136, 3, 4, // Opcode: SHUTDOWN
+/* 4813 */    MCD_OPC_FilterValue, 129, 1, 26, 0, // Skip to: 4844
+/* 4818 */    MCD_OPC_CheckPredicate, 3, 225, 3, // Skip to: 5815
+/* 4822 */    MCD_OPC_CheckField, 25, 5, 0, 219, 3, // Skip to: 5815
+/* 4828 */    MCD_OPC_CheckField, 14, 5, 0, 213, 3, // Skip to: 5815
+/* 4834 */    MCD_OPC_CheckField, 0, 5, 0, 207, 3, // Skip to: 5815
+/* 4840 */    MCD_OPC_Decode, 137, 3, 4, // Opcode: SIAM
+/* 4844 */    MCD_OPC_FilterValue, 144, 2, 14, 0, // Skip to: 4863
+/* 4849 */    MCD_OPC_CheckPredicate, 1, 194, 3, // Skip to: 5815
+/* 4853 */    MCD_OPC_CheckField, 14, 5, 0, 188, 3, // Skip to: 5815
+/* 4859 */    MCD_OPC_Decode, 199, 2, 54, // Opcode: MOVDTOX
+/* 4863 */    MCD_OPC_FilterValue, 145, 2, 14, 0, // Skip to: 4882
+/* 4868 */    MCD_OPC_CheckPredicate, 1, 175, 3, // Skip to: 5815
+/* 4872 */    MCD_OPC_CheckField, 14, 5, 0, 169, 3, // Skip to: 5815
+/* 4878 */    MCD_OPC_Decode, 217, 2, 54, // Opcode: MOVSTOUW
+/* 4882 */    MCD_OPC_FilterValue, 147, 2, 14, 0, // Skip to: 4901
+/* 4887 */    MCD_OPC_CheckPredicate, 1, 156, 3, // Skip to: 5815
+/* 4891 */    MCD_OPC_CheckField, 14, 5, 0, 150, 3, // Skip to: 5815
+/* 4897 */    MCD_OPC_Decode, 216, 2, 54, // Opcode: MOVSTOSW
+/* 4901 */    MCD_OPC_FilterValue, 149, 2, 8, 0, // Skip to: 4914
+/* 4906 */    MCD_OPC_CheckPredicate, 1, 137, 3, // Skip to: 5815
+/* 4910 */    MCD_OPC_Decode, 225, 3, 10, // Opcode: XMULX
+/* 4914 */    MCD_OPC_FilterValue, 151, 2, 8, 0, // Skip to: 4927
+/* 4919 */    MCD_OPC_CheckPredicate, 1, 124, 3, // Skip to: 5815
+/* 4923 */    MCD_OPC_Decode, 226, 3, 10, // Opcode: XMULXHI
+/* 4927 */    MCD_OPC_FilterValue, 152, 2, 14, 0, // Skip to: 4946
+/* 4932 */    MCD_OPC_CheckPredicate, 1, 111, 3, // Skip to: 5815
+/* 4936 */    MCD_OPC_CheckField, 14, 5, 0, 105, 3, // Skip to: 5815
+/* 4942 */    MCD_OPC_Decode, 221, 2, 55, // Opcode: MOVXTOD
+/* 4946 */    MCD_OPC_FilterValue, 153, 2, 14, 0, // Skip to: 4965
+/* 4951 */    MCD_OPC_CheckPredicate, 1, 92, 3, // Skip to: 5815
+/* 4955 */    MCD_OPC_CheckField, 14, 5, 0, 86, 3, // Skip to: 5815
+/* 4961 */    MCD_OPC_Decode, 218, 2, 55, // Opcode: MOVWTOS
+/* 4965 */    MCD_OPC_FilterValue, 209, 2, 8, 0, // Skip to: 4978
+/* 4970 */    MCD_OPC_CheckPredicate, 1, 73, 3, // Skip to: 5815
+/* 4974 */    MCD_OPC_Decode, 182, 1, 45, // Opcode: FLCMPS
+/* 4978 */    MCD_OPC_FilterValue, 210, 2, 64, 3, // Skip to: 5815
+/* 4983 */    MCD_OPC_CheckPredicate, 1, 60, 3, // Skip to: 5815
+/* 4987 */    MCD_OPC_Decode, 181, 1, 45, // Opcode: FLCMPD
+/* 4991 */    MCD_OPC_FilterValue, 56, 25, 0, // Skip to: 5020
+/* 4995 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 4998 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5012
+/* 5002 */    MCD_OPC_CheckField, 5, 8, 0, 39, 3, // Skip to: 5815
+/* 5008 */    MCD_OPC_Decode, 174, 2, 56, // Opcode: JMPLrr
+/* 5012 */    MCD_OPC_FilterValue, 1, 31, 3, // Skip to: 5815
+/* 5016 */    MCD_OPC_Decode, 173, 2, 56, // Opcode: JMPLri
+/* 5020 */    MCD_OPC_FilterValue, 57, 37, 0, // Skip to: 5061
+/* 5024 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5027 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5047
+/* 5031 */    MCD_OPC_CheckField, 25, 5, 0, 10, 3, // Skip to: 5815
+/* 5037 */    MCD_OPC_CheckField, 5, 8, 0, 4, 3, // Skip to: 5815
+/* 5043 */    MCD_OPC_Decode, 245, 2, 57, // Opcode: RETTrr
+/* 5047 */    MCD_OPC_FilterValue, 1, 252, 2, // Skip to: 5815
+/* 5051 */    MCD_OPC_CheckField, 25, 5, 0, 246, 2, // Skip to: 5815
+/* 5057 */    MCD_OPC_Decode, 244, 2, 57, // Opcode: RETTri
+/* 5061 */    MCD_OPC_FilterValue, 58, 115, 0, // Skip to: 5180
+/* 5065 */    MCD_OPC_ExtractField, 8, 6,  // Inst{13-8} ...
+/* 5068 */    MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 5088
+/* 5072 */    MCD_OPC_CheckField, 29, 1, 0, 225, 2, // Skip to: 5815
+/* 5078 */    MCD_OPC_CheckField, 5, 3, 0, 219, 2, // Skip to: 5815
+/* 5084 */    MCD_OPC_Decode, 188, 3, 58, // Opcode: TICCrr
+/* 5088 */    MCD_OPC_FilterValue, 16, 16, 0, // Skip to: 5108
+/* 5092 */    MCD_OPC_CheckField, 29, 1, 0, 205, 2, // Skip to: 5815
+/* 5098 */    MCD_OPC_CheckField, 5, 3, 0, 199, 2, // Skip to: 5815
+/* 5104 */    MCD_OPC_Decode, 199, 3, 58, // Opcode: TXCCrr
+/* 5108 */    MCD_OPC_FilterValue, 32, 54, 0, // Skip to: 5166
+/* 5112 */    MCD_OPC_ExtractField, 29, 1,  // Inst{29} ...
+/* 5115 */    MCD_OPC_FilterValue, 0, 184, 2, // Skip to: 5815
+/* 5119 */    MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
+/* 5122 */    MCD_OPC_FilterValue, 3, 16, 0, // Skip to: 5142
+/* 5126 */    MCD_OPC_CheckField, 25, 4, 0, 30, 0, // Skip to: 5162
+/* 5132 */    MCD_OPC_CheckField, 14, 5, 1, 24, 0, // Skip to: 5162
+/* 5138 */    MCD_OPC_Decode, 181, 3, 4, // Opcode: TA3
+/* 5142 */    MCD_OPC_FilterValue, 5, 16, 0, // Skip to: 5162
+/* 5146 */    MCD_OPC_CheckField, 25, 4, 8, 10, 0, // Skip to: 5162
+/* 5152 */    MCD_OPC_CheckField, 14, 5, 0, 4, 0, // Skip to: 5162
+/* 5158 */    MCD_OPC_Decode, 182, 3, 4, // Opcode: TA5
+/* 5162 */    MCD_OPC_Decode, 187, 3, 59, // Opcode: TICCri
+/* 5166 */    MCD_OPC_FilterValue, 48, 133, 2, // Skip to: 5815
+/* 5170 */    MCD_OPC_CheckField, 29, 1, 0, 127, 2, // Skip to: 5815
+/* 5176 */    MCD_OPC_Decode, 198, 3, 59, // Opcode: TXCCri
+/* 5180 */    MCD_OPC_FilterValue, 60, 25, 0, // Skip to: 5209
+/* 5184 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5187 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5201
+/* 5191 */    MCD_OPC_CheckField, 5, 8, 0, 106, 2, // Skip to: 5815
+/* 5197 */    MCD_OPC_Decode, 247, 2, 8, // Opcode: SAVErr
+/* 5201 */    MCD_OPC_FilterValue, 1, 98, 2, // Skip to: 5815
+/* 5205 */    MCD_OPC_Decode, 246, 2, 9, // Opcode: SAVEri
+/* 5209 */    MCD_OPC_FilterValue, 61, 90, 2, // Skip to: 5815
+/* 5213 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5216 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5230
+/* 5220 */    MCD_OPC_CheckField, 5, 8, 0, 77, 2, // Skip to: 5815
+/* 5226 */    MCD_OPC_Decode, 241, 2, 8, // Opcode: RESTORErr
+/* 5230 */    MCD_OPC_FilterValue, 1, 69, 2, // Skip to: 5815
+/* 5234 */    MCD_OPC_Decode, 240, 2, 9, // Opcode: RESTOREri
+/* 5238 */    MCD_OPC_FilterValue, 3, 61, 2, // Skip to: 5815
+/* 5242 */    MCD_OPC_ExtractField, 19, 6,  // Inst{24-19} ...
+/* 5245 */    MCD_OPC_FilterValue, 0, 25, 0, // Skip to: 5274
+/* 5249 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5252 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5266
+/* 5256 */    MCD_OPC_CheckField, 5, 8, 0, 41, 2, // Skip to: 5815
+/* 5262 */    MCD_OPC_Decode, 194, 2, 60, // Opcode: LDrr
+/* 5266 */    MCD_OPC_FilterValue, 1, 33, 2, // Skip to: 5815
+/* 5270 */    MCD_OPC_Decode, 193, 2, 60, // Opcode: LDri
+/* 5274 */    MCD_OPC_FilterValue, 1, 25, 0, // Skip to: 5303
+/* 5278 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5281 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5295
+/* 5285 */    MCD_OPC_CheckField, 5, 8, 0, 12, 2, // Skip to: 5815
+/* 5291 */    MCD_OPC_Decode, 188, 2, 60, // Opcode: LDUBrr
+/* 5295 */    MCD_OPC_FilterValue, 1, 4, 2, // Skip to: 5815
+/* 5299 */    MCD_OPC_Decode, 187, 2, 60, // Opcode: LDUBri
+/* 5303 */    MCD_OPC_FilterValue, 2, 25, 0, // Skip to: 5332
+/* 5307 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5310 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5324
+/* 5314 */    MCD_OPC_CheckField, 5, 8, 0, 239, 1, // Skip to: 5815
+/* 5320 */    MCD_OPC_Decode, 190, 2, 60, // Opcode: LDUHrr
+/* 5324 */    MCD_OPC_FilterValue, 1, 231, 1, // Skip to: 5815
+/* 5328 */    MCD_OPC_Decode, 189, 2, 60, // Opcode: LDUHri
+/* 5332 */    MCD_OPC_FilterValue, 4, 25, 0, // Skip to: 5361
+/* 5336 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5339 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5353
+/* 5343 */    MCD_OPC_CheckField, 5, 8, 0, 210, 1, // Skip to: 5815
+/* 5349 */    MCD_OPC_Decode, 168, 3, 61, // Opcode: STrr
+/* 5353 */    MCD_OPC_FilterValue, 1, 202, 1, // Skip to: 5815
+/* 5357 */    MCD_OPC_Decode, 167, 3, 61, // Opcode: STri
+/* 5361 */    MCD_OPC_FilterValue, 5, 25, 0, // Skip to: 5390
+/* 5365 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5368 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5382
+/* 5372 */    MCD_OPC_CheckField, 5, 8, 0, 181, 1, // Skip to: 5815
+/* 5378 */    MCD_OPC_Decode, 156, 3, 61, // Opcode: STBrr
+/* 5382 */    MCD_OPC_FilterValue, 1, 173, 1, // Skip to: 5815
+/* 5386 */    MCD_OPC_Decode, 155, 3, 61, // Opcode: STBri
+/* 5390 */    MCD_OPC_FilterValue, 6, 25, 0, // Skip to: 5419
+/* 5394 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5397 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5411
+/* 5401 */    MCD_OPC_CheckField, 5, 8, 0, 152, 1, // Skip to: 5815
+/* 5407 */    MCD_OPC_Decode, 162, 3, 61, // Opcode: STHrr
+/* 5411 */    MCD_OPC_FilterValue, 1, 144, 1, // Skip to: 5815
+/* 5415 */    MCD_OPC_Decode, 161, 3, 61, // Opcode: STHri
+/* 5419 */    MCD_OPC_FilterValue, 8, 25, 0, // Skip to: 5448
+/* 5423 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5426 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5440
+/* 5430 */    MCD_OPC_CheckField, 5, 8, 0, 123, 1, // Skip to: 5815
+/* 5436 */    MCD_OPC_Decode, 186, 2, 60, // Opcode: LDSWrr
+/* 5440 */    MCD_OPC_FilterValue, 1, 115, 1, // Skip to: 5815
+/* 5444 */    MCD_OPC_Decode, 185, 2, 60, // Opcode: LDSWri
+/* 5448 */    MCD_OPC_FilterValue, 9, 25, 0, // Skip to: 5477
+/* 5452 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5455 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5469
+/* 5459 */    MCD_OPC_CheckField, 5, 8, 0, 94, 1, // Skip to: 5815
+/* 5465 */    MCD_OPC_Decode, 182, 2, 60, // Opcode: LDSBrr
+/* 5469 */    MCD_OPC_FilterValue, 1, 86, 1, // Skip to: 5815
+/* 5473 */    MCD_OPC_Decode, 181, 2, 60, // Opcode: LDSBri
+/* 5477 */    MCD_OPC_FilterValue, 10, 25, 0, // Skip to: 5506
+/* 5481 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5484 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5498
+/* 5488 */    MCD_OPC_CheckField, 5, 8, 0, 65, 1, // Skip to: 5815
+/* 5494 */    MCD_OPC_Decode, 184, 2, 60, // Opcode: LDSHrr
+/* 5498 */    MCD_OPC_FilterValue, 1, 57, 1, // Skip to: 5815
+/* 5502 */    MCD_OPC_Decode, 183, 2, 60, // Opcode: LDSHri
+/* 5506 */    MCD_OPC_FilterValue, 11, 25, 0, // Skip to: 5535
+/* 5510 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5513 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5527
+/* 5517 */    MCD_OPC_CheckField, 5, 8, 0, 36, 1, // Skip to: 5815
+/* 5523 */    MCD_OPC_Decode, 192, 2, 60, // Opcode: LDXrr
+/* 5527 */    MCD_OPC_FilterValue, 1, 28, 1, // Skip to: 5815
+/* 5531 */    MCD_OPC_Decode, 191, 2, 60, // Opcode: LDXri
+/* 5535 */    MCD_OPC_FilterValue, 14, 25, 0, // Skip to: 5564
+/* 5539 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5542 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5556
+/* 5546 */    MCD_OPC_CheckField, 5, 8, 0, 7, 1, // Skip to: 5815
+/* 5552 */    MCD_OPC_Decode, 166, 3, 61, // Opcode: STXrr
+/* 5556 */    MCD_OPC_FilterValue, 1, 255, 0, // Skip to: 5815
+/* 5560 */    MCD_OPC_Decode, 165, 3, 61, // Opcode: STXri
+/* 5564 */    MCD_OPC_FilterValue, 15, 25, 0, // Skip to: 5593
+/* 5568 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5571 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5585
+/* 5575 */    MCD_OPC_CheckField, 5, 8, 0, 234, 0, // Skip to: 5815
+/* 5581 */    MCD_OPC_Decode, 180, 3, 62, // Opcode: SWAPrr
+/* 5585 */    MCD_OPC_FilterValue, 1, 226, 0, // Skip to: 5815
+/* 5589 */    MCD_OPC_Decode, 179, 3, 62, // Opcode: SWAPri
+/* 5593 */    MCD_OPC_FilterValue, 32, 25, 0, // Skip to: 5622
+/* 5597 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5600 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5614
+/* 5604 */    MCD_OPC_CheckField, 5, 8, 0, 205, 0, // Skip to: 5815
+/* 5610 */    MCD_OPC_Decode, 178, 2, 63, // Opcode: LDFrr
+/* 5614 */    MCD_OPC_FilterValue, 1, 197, 0, // Skip to: 5815
+/* 5618 */    MCD_OPC_Decode, 177, 2, 63, // Opcode: LDFri
+/* 5622 */    MCD_OPC_FilterValue, 34, 33, 0, // Skip to: 5659
+/* 5626 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5629 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5647
+/* 5633 */    MCD_OPC_CheckPredicate, 0, 178, 0, // Skip to: 5815
+/* 5637 */    MCD_OPC_CheckField, 5, 8, 0, 172, 0, // Skip to: 5815
+/* 5643 */    MCD_OPC_Decode, 180, 2, 64, // Opcode: LDQFrr
+/* 5647 */    MCD_OPC_FilterValue, 1, 164, 0, // Skip to: 5815
+/* 5651 */    MCD_OPC_CheckPredicate, 0, 160, 0, // Skip to: 5815
+/* 5655 */    MCD_OPC_Decode, 179, 2, 64, // Opcode: LDQFri
+/* 5659 */    MCD_OPC_FilterValue, 35, 25, 0, // Skip to: 5688
+/* 5663 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5666 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5680
+/* 5670 */    MCD_OPC_CheckField, 5, 8, 0, 139, 0, // Skip to: 5815
+/* 5676 */    MCD_OPC_Decode, 176, 2, 65, // Opcode: LDDFrr
+/* 5680 */    MCD_OPC_FilterValue, 1, 131, 0, // Skip to: 5815
+/* 5684 */    MCD_OPC_Decode, 175, 2, 65, // Opcode: LDDFri
+/* 5688 */    MCD_OPC_FilterValue, 36, 25, 0, // Skip to: 5717
+/* 5692 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5695 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5709
+/* 5699 */    MCD_OPC_CheckField, 5, 8, 0, 110, 0, // Skip to: 5815
+/* 5705 */    MCD_OPC_Decode, 160, 3, 66, // Opcode: STFrr
+/* 5709 */    MCD_OPC_FilterValue, 1, 102, 0, // Skip to: 5815
+/* 5713 */    MCD_OPC_Decode, 159, 3, 66, // Opcode: STFri
+/* 5717 */    MCD_OPC_FilterValue, 38, 33, 0, // Skip to: 5754
+/* 5721 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5724 */    MCD_OPC_FilterValue, 0, 14, 0, // Skip to: 5742
+/* 5728 */    MCD_OPC_CheckPredicate, 0, 83, 0, // Skip to: 5815
+/* 5732 */    MCD_OPC_CheckField, 5, 8, 0, 77, 0, // Skip to: 5815
+/* 5738 */    MCD_OPC_Decode, 164, 3, 67, // Opcode: STQFrr
+/* 5742 */    MCD_OPC_FilterValue, 1, 69, 0, // Skip to: 5815
+/* 5746 */    MCD_OPC_CheckPredicate, 0, 65, 0, // Skip to: 5815
+/* 5750 */    MCD_OPC_Decode, 163, 3, 67, // Opcode: STQFri
+/* 5754 */    MCD_OPC_FilterValue, 39, 25, 0, // Skip to: 5783
+/* 5758 */    MCD_OPC_ExtractField, 13, 1,  // Inst{13} ...
+/* 5761 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 5775
+/* 5765 */    MCD_OPC_CheckField, 5, 8, 0, 44, 0, // Skip to: 5815
+/* 5771 */    MCD_OPC_Decode, 158, 3, 68, // Opcode: STDFrr
+/* 5775 */    MCD_OPC_FilterValue, 1, 36, 0, // Skip to: 5815
+/* 5779 */    MCD_OPC_Decode, 157, 3, 68, // Opcode: STDFri
+/* 5783 */    MCD_OPC_FilterValue, 60, 14, 0, // Skip to: 5801
+/* 5787 */    MCD_OPC_CheckPredicate, 0, 24, 0, // Skip to: 5815
+/* 5791 */    MCD_OPC_CheckField, 5, 9, 128, 1, 17, 0, // Skip to: 5815
+/* 5798 */    MCD_OPC_Decode, 120, 69, // Opcode: CASrr
+/* 5801 */    MCD_OPC_FilterValue, 62, 10, 0, // Skip to: 5815
+/* 5805 */    MCD_OPC_CheckField, 5, 9, 128, 1, 3, 0, // Skip to: 5815
+/* 5812 */    MCD_OPC_Decode, 119, 70, // Opcode: CASXrr
+/* 5815 */    MCD_OPC_Fail,
   0
 };
 
@@ -1480,8 +1480,8 @@ static DecodeStatus fname(DecodeStatus S
     tmp = fieldname(insn, 14, 5); \
     if (DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     tmp = 0; \
-    tmp |= (fieldname(insn, 0, 14) << 0); \
-    tmp |= (fieldname(insn, 20, 2) << 14); \
+    tmp |= fieldname(insn, 0, 14) << 0; \
+    tmp |= fieldname(insn, 20, 2) << 14; \
     MCOperand_CreateImm0(MI, tmp); \
     return S; \
   case 4: \
@@ -1942,7 +1942,7 @@ static DecodeStatus fname(DecodeStatus S
     if (DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
     return S; \
   } \
-} 
+}
 
 #define DecodeInstruction(fname, fieldname, decoder, InsnType) \
 static DecodeStatus fname(const uint8_t DecodeTable[], MCInst *MI, \
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenInstrInfo.inc 4.0.2-3/arch/Sparc/SparcGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,479 +34,481 @@ enum {
     SP_STACKMAP	= 17,
     SP_PATCHPOINT	= 18,
     SP_LOAD_STACK_GUARD	= 19,
-    SP_ADDCCri	= 20,
-    SP_ADDCCrr	= 21,
-    SP_ADDCri	= 22,
-    SP_ADDCrr	= 23,
-    SP_ADDEri	= 24,
-    SP_ADDErr	= 25,
-    SP_ADDXC	= 26,
-    SP_ADDXCCC	= 27,
-    SP_ADDXri	= 28,
-    SP_ADDXrr	= 29,
-    SP_ADDri	= 30,
-    SP_ADDrr	= 31,
-    SP_ADJCALLSTACKDOWN	= 32,
-    SP_ADJCALLSTACKUP	= 33,
-    SP_ALIGNADDR	= 34,
-    SP_ALIGNADDRL	= 35,
-    SP_ANDCCri	= 36,
-    SP_ANDCCrr	= 37,
-    SP_ANDNCCri	= 38,
-    SP_ANDNCCrr	= 39,
-    SP_ANDNri	= 40,
-    SP_ANDNrr	= 41,
-    SP_ANDXNrr	= 42,
-    SP_ANDXri	= 43,
-    SP_ANDXrr	= 44,
-    SP_ANDri	= 45,
-    SP_ANDrr	= 46,
-    SP_ARRAY16	= 47,
-    SP_ARRAY32	= 48,
-    SP_ARRAY8	= 49,
-    SP_ATOMIC_LOAD_ADD_32	= 50,
-    SP_ATOMIC_LOAD_ADD_64	= 51,
-    SP_ATOMIC_LOAD_AND_32	= 52,
-    SP_ATOMIC_LOAD_AND_64	= 53,
-    SP_ATOMIC_LOAD_MAX_32	= 54,
-    SP_ATOMIC_LOAD_MAX_64	= 55,
-    SP_ATOMIC_LOAD_MIN_32	= 56,
-    SP_ATOMIC_LOAD_MIN_64	= 57,
-    SP_ATOMIC_LOAD_NAND_32	= 58,
-    SP_ATOMIC_LOAD_NAND_64	= 59,
-    SP_ATOMIC_LOAD_OR_32	= 60,
-    SP_ATOMIC_LOAD_OR_64	= 61,
-    SP_ATOMIC_LOAD_SUB_32	= 62,
-    SP_ATOMIC_LOAD_SUB_64	= 63,
-    SP_ATOMIC_LOAD_UMAX_32	= 64,
-    SP_ATOMIC_LOAD_UMAX_64	= 65,
-    SP_ATOMIC_LOAD_UMIN_32	= 66,
-    SP_ATOMIC_LOAD_UMIN_64	= 67,
-    SP_ATOMIC_LOAD_XOR_32	= 68,
-    SP_ATOMIC_LOAD_XOR_64	= 69,
-    SP_ATOMIC_SWAP_64	= 70,
-    SP_BA	= 71,
-    SP_BCOND	= 72,
-    SP_BCONDA	= 73,
-    SP_BINDri	= 74,
-    SP_BINDrr	= 75,
-    SP_BMASK	= 76,
-    SP_BPFCC	= 77,
-    SP_BPFCCA	= 78,
-    SP_BPFCCANT	= 79,
-    SP_BPFCCNT	= 80,
-    SP_BPGEZapn	= 81,
-    SP_BPGEZapt	= 82,
-    SP_BPGEZnapn	= 83,
-    SP_BPGEZnapt	= 84,
-    SP_BPGZapn	= 85,
-    SP_BPGZapt	= 86,
-    SP_BPGZnapn	= 87,
-    SP_BPGZnapt	= 88,
-    SP_BPICC	= 89,
-    SP_BPICCA	= 90,
-    SP_BPICCANT	= 91,
-    SP_BPICCNT	= 92,
-    SP_BPLEZapn	= 93,
-    SP_BPLEZapt	= 94,
-    SP_BPLEZnapn	= 95,
-    SP_BPLEZnapt	= 96,
-    SP_BPLZapn	= 97,
-    SP_BPLZapt	= 98,
-    SP_BPLZnapn	= 99,
-    SP_BPLZnapt	= 100,
-    SP_BPNZapn	= 101,
-    SP_BPNZapt	= 102,
-    SP_BPNZnapn	= 103,
-    SP_BPNZnapt	= 104,
-    SP_BPXCC	= 105,
-    SP_BPXCCA	= 106,
-    SP_BPXCCANT	= 107,
-    SP_BPXCCNT	= 108,
-    SP_BPZapn	= 109,
-    SP_BPZapt	= 110,
-    SP_BPZnapn	= 111,
-    SP_BPZnapt	= 112,
-    SP_BSHUFFLE	= 113,
-    SP_CALL	= 114,
-    SP_CALLri	= 115,
-    SP_CALLrr	= 116,
-    SP_CASXrr	= 117,
-    SP_CASrr	= 118,
-    SP_CMASK16	= 119,
-    SP_CMASK32	= 120,
-    SP_CMASK8	= 121,
-    SP_CMPri	= 122,
-    SP_CMPrr	= 123,
-    SP_EDGE16	= 124,
-    SP_EDGE16L	= 125,
-    SP_EDGE16LN	= 126,
-    SP_EDGE16N	= 127,
-    SP_EDGE32	= 128,
-    SP_EDGE32L	= 129,
-    SP_EDGE32LN	= 130,
-    SP_EDGE32N	= 131,
-    SP_EDGE8	= 132,
-    SP_EDGE8L	= 133,
-    SP_EDGE8LN	= 134,
-    SP_EDGE8N	= 135,
-    SP_FABSD	= 136,
-    SP_FABSQ	= 137,
-    SP_FABSS	= 138,
-    SP_FADDD	= 139,
-    SP_FADDQ	= 140,
-    SP_FADDS	= 141,
-    SP_FALIGNADATA	= 142,
-    SP_FAND	= 143,
-    SP_FANDNOT1	= 144,
-    SP_FANDNOT1S	= 145,
-    SP_FANDNOT2	= 146,
-    SP_FANDNOT2S	= 147,
-    SP_FANDS	= 148,
-    SP_FBCOND	= 149,
-    SP_FBCONDA	= 150,
-    SP_FCHKSM16	= 151,
-    SP_FCMPD	= 152,
-    SP_FCMPEQ16	= 153,
-    SP_FCMPEQ32	= 154,
-    SP_FCMPGT16	= 155,
-    SP_FCMPGT32	= 156,
-    SP_FCMPLE16	= 157,
-    SP_FCMPLE32	= 158,
-    SP_FCMPNE16	= 159,
-    SP_FCMPNE32	= 160,
-    SP_FCMPQ	= 161,
-    SP_FCMPS	= 162,
-    SP_FDIVD	= 163,
-    SP_FDIVQ	= 164,
-    SP_FDIVS	= 165,
-    SP_FDMULQ	= 166,
-    SP_FDTOI	= 167,
-    SP_FDTOQ	= 168,
-    SP_FDTOS	= 169,
-    SP_FDTOX	= 170,
-    SP_FEXPAND	= 171,
-    SP_FHADDD	= 172,
-    SP_FHADDS	= 173,
-    SP_FHSUBD	= 174,
-    SP_FHSUBS	= 175,
-    SP_FITOD	= 176,
-    SP_FITOQ	= 177,
-    SP_FITOS	= 178,
-    SP_FLCMPD	= 179,
-    SP_FLCMPS	= 180,
-    SP_FLUSHW	= 181,
-    SP_FMEAN16	= 182,
-    SP_FMOVD	= 183,
-    SP_FMOVD_FCC	= 184,
-    SP_FMOVD_ICC	= 185,
-    SP_FMOVD_XCC	= 186,
-    SP_FMOVQ	= 187,
-    SP_FMOVQ_FCC	= 188,
-    SP_FMOVQ_ICC	= 189,
-    SP_FMOVQ_XCC	= 190,
-    SP_FMOVRGEZD	= 191,
-    SP_FMOVRGEZQ	= 192,
-    SP_FMOVRGEZS	= 193,
-    SP_FMOVRGZD	= 194,
-    SP_FMOVRGZQ	= 195,
-    SP_FMOVRGZS	= 196,
-    SP_FMOVRLEZD	= 197,
-    SP_FMOVRLEZQ	= 198,
-    SP_FMOVRLEZS	= 199,
-    SP_FMOVRLZD	= 200,
-    SP_FMOVRLZQ	= 201,
-    SP_FMOVRLZS	= 202,
-    SP_FMOVRNZD	= 203,
-    SP_FMOVRNZQ	= 204,
-    SP_FMOVRNZS	= 205,
-    SP_FMOVRZD	= 206,
-    SP_FMOVRZQ	= 207,
-    SP_FMOVRZS	= 208,
-    SP_FMOVS	= 209,
-    SP_FMOVS_FCC	= 210,
-    SP_FMOVS_ICC	= 211,
-    SP_FMOVS_XCC	= 212,
-    SP_FMUL8SUX16	= 213,
-    SP_FMUL8ULX16	= 214,
-    SP_FMUL8X16	= 215,
-    SP_FMUL8X16AL	= 216,
-    SP_FMUL8X16AU	= 217,
-    SP_FMULD	= 218,
-    SP_FMULD8SUX16	= 219,
-    SP_FMULD8ULX16	= 220,
-    SP_FMULQ	= 221,
-    SP_FMULS	= 222,
-    SP_FNADDD	= 223,
-    SP_FNADDS	= 224,
-    SP_FNAND	= 225,
-    SP_FNANDS	= 226,
-    SP_FNEGD	= 227,
-    SP_FNEGQ	= 228,
-    SP_FNEGS	= 229,
-    SP_FNHADDD	= 230,
-    SP_FNHADDS	= 231,
-    SP_FNMULD	= 232,
-    SP_FNMULS	= 233,
-    SP_FNOR	= 234,
-    SP_FNORS	= 235,
-    SP_FNOT1	= 236,
-    SP_FNOT1S	= 237,
-    SP_FNOT2	= 238,
-    SP_FNOT2S	= 239,
-    SP_FNSMULD	= 240,
-    SP_FONE	= 241,
-    SP_FONES	= 242,
-    SP_FOR	= 243,
-    SP_FORNOT1	= 244,
-    SP_FORNOT1S	= 245,
-    SP_FORNOT2	= 246,
-    SP_FORNOT2S	= 247,
-    SP_FORS	= 248,
-    SP_FPACK16	= 249,
-    SP_FPACK32	= 250,
-    SP_FPACKFIX	= 251,
-    SP_FPADD16	= 252,
-    SP_FPADD16S	= 253,
-    SP_FPADD32	= 254,
-    SP_FPADD32S	= 255,
-    SP_FPADD64	= 256,
-    SP_FPMERGE	= 257,
-    SP_FPSUB16	= 258,
-    SP_FPSUB16S	= 259,
-    SP_FPSUB32	= 260,
-    SP_FPSUB32S	= 261,
-    SP_FQTOD	= 262,
-    SP_FQTOI	= 263,
-    SP_FQTOS	= 264,
-    SP_FQTOX	= 265,
-    SP_FSLAS16	= 266,
-    SP_FSLAS32	= 267,
-    SP_FSLL16	= 268,
-    SP_FSLL32	= 269,
-    SP_FSMULD	= 270,
-    SP_FSQRTD	= 271,
-    SP_FSQRTQ	= 272,
-    SP_FSQRTS	= 273,
-    SP_FSRA16	= 274,
-    SP_FSRA32	= 275,
-    SP_FSRC1	= 276,
-    SP_FSRC1S	= 277,
-    SP_FSRC2	= 278,
-    SP_FSRC2S	= 279,
-    SP_FSRL16	= 280,
-    SP_FSRL32	= 281,
-    SP_FSTOD	= 282,
-    SP_FSTOI	= 283,
-    SP_FSTOQ	= 284,
-    SP_FSTOX	= 285,
-    SP_FSUBD	= 286,
-    SP_FSUBQ	= 287,
-    SP_FSUBS	= 288,
-    SP_FXNOR	= 289,
-    SP_FXNORS	= 290,
-    SP_FXOR	= 291,
-    SP_FXORS	= 292,
-    SP_FXTOD	= 293,
-    SP_FXTOQ	= 294,
-    SP_FXTOS	= 295,
-    SP_FZERO	= 296,
-    SP_FZEROS	= 297,
-    SP_GETPCX	= 298,
-    SP_JMPLri	= 299,
-    SP_JMPLrr	= 300,
-    SP_LDDFri	= 301,
-    SP_LDDFrr	= 302,
-    SP_LDFri	= 303,
-    SP_LDFrr	= 304,
-    SP_LDQFri	= 305,
-    SP_LDQFrr	= 306,
-    SP_LDSBri	= 307,
-    SP_LDSBrr	= 308,
-    SP_LDSHri	= 309,
-    SP_LDSHrr	= 310,
-    SP_LDSWri	= 311,
-    SP_LDSWrr	= 312,
-    SP_LDUBri	= 313,
-    SP_LDUBrr	= 314,
-    SP_LDUHri	= 315,
-    SP_LDUHrr	= 316,
-    SP_LDXri	= 317,
-    SP_LDXrr	= 318,
-    SP_LDri	= 319,
-    SP_LDrr	= 320,
-    SP_LEAX_ADDri	= 321,
-    SP_LEA_ADDri	= 322,
-    SP_LZCNT	= 323,
-    SP_MEMBARi	= 324,
-    SP_MOVDTOX	= 325,
-    SP_MOVFCCri	= 326,
-    SP_MOVFCCrr	= 327,
-    SP_MOVICCri	= 328,
-    SP_MOVICCrr	= 329,
-    SP_MOVRGEZri	= 330,
-    SP_MOVRGEZrr	= 331,
-    SP_MOVRGZri	= 332,
-    SP_MOVRGZrr	= 333,
-    SP_MOVRLEZri	= 334,
-    SP_MOVRLEZrr	= 335,
-    SP_MOVRLZri	= 336,
-    SP_MOVRLZrr	= 337,
-    SP_MOVRNZri	= 338,
-    SP_MOVRNZrr	= 339,
-    SP_MOVRRZri	= 340,
-    SP_MOVRRZrr	= 341,
-    SP_MOVSTOSW	= 342,
-    SP_MOVSTOUW	= 343,
-    SP_MOVWTOS	= 344,
-    SP_MOVXCCri	= 345,
-    SP_MOVXCCrr	= 346,
-    SP_MOVXTOD	= 347,
-    SP_MULXri	= 348,
-    SP_MULXrr	= 349,
-    SP_NOP	= 350,
-    SP_ORCCri	= 351,
-    SP_ORCCrr	= 352,
-    SP_ORNCCri	= 353,
-    SP_ORNCCrr	= 354,
-    SP_ORNri	= 355,
-    SP_ORNrr	= 356,
-    SP_ORXNrr	= 357,
-    SP_ORXri	= 358,
-    SP_ORXrr	= 359,
-    SP_ORri	= 360,
-    SP_ORrr	= 361,
-    SP_PDIST	= 362,
-    SP_PDISTN	= 363,
-    SP_POPCrr	= 364,
-    SP_RDY	= 365,
-    SP_RESTOREri	= 366,
-    SP_RESTORErr	= 367,
-    SP_RET	= 368,
-    SP_RETL	= 369,
-    SP_RETTri	= 370,
-    SP_RETTrr	= 371,
-    SP_SAVEri	= 372,
-    SP_SAVErr	= 373,
-    SP_SDIVCCri	= 374,
-    SP_SDIVCCrr	= 375,
-    SP_SDIVXri	= 376,
-    SP_SDIVXrr	= 377,
-    SP_SDIVri	= 378,
-    SP_SDIVrr	= 379,
-    SP_SELECT_CC_DFP_FCC	= 380,
-    SP_SELECT_CC_DFP_ICC	= 381,
-    SP_SELECT_CC_FP_FCC	= 382,
-    SP_SELECT_CC_FP_ICC	= 383,
-    SP_SELECT_CC_Int_FCC	= 384,
-    SP_SELECT_CC_Int_ICC	= 385,
-    SP_SELECT_CC_QFP_FCC	= 386,
-    SP_SELECT_CC_QFP_ICC	= 387,
-    SP_SETHIXi	= 388,
-    SP_SETHIi	= 389,
-    SP_SHUTDOWN	= 390,
-    SP_SIAM	= 391,
-    SP_SLLXri	= 392,
-    SP_SLLXrr	= 393,
-    SP_SLLri	= 394,
-    SP_SLLrr	= 395,
-    SP_SMULCCri	= 396,
-    SP_SMULCCrr	= 397,
-    SP_SMULri	= 398,
-    SP_SMULrr	= 399,
-    SP_SRAXri	= 400,
-    SP_SRAXrr	= 401,
-    SP_SRAri	= 402,
-    SP_SRArr	= 403,
-    SP_SRLXri	= 404,
-    SP_SRLXrr	= 405,
-    SP_SRLri	= 406,
-    SP_SRLrr	= 407,
-    SP_STBAR	= 408,
-    SP_STBri	= 409,
-    SP_STBrr	= 410,
-    SP_STDFri	= 411,
-    SP_STDFrr	= 412,
-    SP_STFri	= 413,
-    SP_STFrr	= 414,
-    SP_STHri	= 415,
-    SP_STHrr	= 416,
-    SP_STQFri	= 417,
-    SP_STQFrr	= 418,
-    SP_STXri	= 419,
-    SP_STXrr	= 420,
-    SP_STri	= 421,
-    SP_STrr	= 422,
-    SP_SUBCCri	= 423,
-    SP_SUBCCrr	= 424,
-    SP_SUBCri	= 425,
-    SP_SUBCrr	= 426,
-    SP_SUBEri	= 427,
-    SP_SUBErr	= 428,
-    SP_SUBXri	= 429,
-    SP_SUBXrr	= 430,
-    SP_SUBri	= 431,
-    SP_SUBrr	= 432,
-    SP_SWAPri	= 433,
-    SP_SWAPrr	= 434,
-    SP_TA3	= 435,
-    SP_TA5	= 436,
-    SP_TADDCCTVri	= 437,
-    SP_TADDCCTVrr	= 438,
-    SP_TADDCCri	= 439,
-    SP_TADDCCrr	= 440,
-    SP_TICCri	= 441,
-    SP_TICCrr	= 442,
-    SP_TLS_ADDXrr	= 443,
-    SP_TLS_ADDrr	= 444,
-    SP_TLS_CALL	= 445,
-    SP_TLS_LDXrr	= 446,
-    SP_TLS_LDrr	= 447,
-    SP_TSUBCCTVri	= 448,
-    SP_TSUBCCTVrr	= 449,
-    SP_TSUBCCri	= 450,
-    SP_TSUBCCrr	= 451,
-    SP_TXCCri	= 452,
-    SP_TXCCrr	= 453,
-    SP_UDIVCCri	= 454,
-    SP_UDIVCCrr	= 455,
-    SP_UDIVXri	= 456,
-    SP_UDIVXrr	= 457,
-    SP_UDIVri	= 458,
-    SP_UDIVrr	= 459,
-    SP_UMULCCri	= 460,
-    SP_UMULCCrr	= 461,
-    SP_UMULXHI	= 462,
-    SP_UMULri	= 463,
-    SP_UMULrr	= 464,
-    SP_UNIMP	= 465,
-    SP_V9FCMPD	= 466,
-    SP_V9FCMPED	= 467,
-    SP_V9FCMPEQ	= 468,
-    SP_V9FCMPES	= 469,
-    SP_V9FCMPQ	= 470,
-    SP_V9FCMPS	= 471,
-    SP_V9FMOVD_FCC	= 472,
-    SP_V9FMOVQ_FCC	= 473,
-    SP_V9FMOVS_FCC	= 474,
-    SP_V9MOVFCCri	= 475,
-    SP_V9MOVFCCrr	= 476,
-    SP_WRYri	= 477,
-    SP_WRYrr	= 478,
-    SP_XMULX	= 479,
-    SP_XMULXHI	= 480,
-    SP_XNORCCri	= 481,
-    SP_XNORCCrr	= 482,
-    SP_XNORXrr	= 483,
-    SP_XNORri	= 484,
-    SP_XNORrr	= 485,
-    SP_XORCCri	= 486,
-    SP_XORCCrr	= 487,
-    SP_XORXri	= 488,
-    SP_XORXrr	= 489,
-    SP_XORri	= 490,
-    SP_XORrr	= 491,
-    SP_INSTRUCTION_LIST_END = 492
+    SP_STATEPOINT	= 20,
+    SP_FRAME_ALLOC	= 21,
+    SP_ADDCCri	= 22,
+    SP_ADDCCrr	= 23,
+    SP_ADDCri	= 24,
+    SP_ADDCrr	= 25,
+    SP_ADDEri	= 26,
+    SP_ADDErr	= 27,
+    SP_ADDXC	= 28,
+    SP_ADDXCCC	= 29,
+    SP_ADDXri	= 30,
+    SP_ADDXrr	= 31,
+    SP_ADDri	= 32,
+    SP_ADDrr	= 33,
+    SP_ADJCALLSTACKDOWN	= 34,
+    SP_ADJCALLSTACKUP	= 35,
+    SP_ALIGNADDR	= 36,
+    SP_ALIGNADDRL	= 37,
+    SP_ANDCCri	= 38,
+    SP_ANDCCrr	= 39,
+    SP_ANDNCCri	= 40,
+    SP_ANDNCCrr	= 41,
+    SP_ANDNri	= 42,
+    SP_ANDNrr	= 43,
+    SP_ANDXNrr	= 44,
+    SP_ANDXri	= 45,
+    SP_ANDXrr	= 46,
+    SP_ANDri	= 47,
+    SP_ANDrr	= 48,
+    SP_ARRAY16	= 49,
+    SP_ARRAY32	= 50,
+    SP_ARRAY8	= 51,
+    SP_ATOMIC_LOAD_ADD_32	= 52,
+    SP_ATOMIC_LOAD_ADD_64	= 53,
+    SP_ATOMIC_LOAD_AND_32	= 54,
+    SP_ATOMIC_LOAD_AND_64	= 55,
+    SP_ATOMIC_LOAD_MAX_32	= 56,
+    SP_ATOMIC_LOAD_MAX_64	= 57,
+    SP_ATOMIC_LOAD_MIN_32	= 58,
+    SP_ATOMIC_LOAD_MIN_64	= 59,
+    SP_ATOMIC_LOAD_NAND_32	= 60,
+    SP_ATOMIC_LOAD_NAND_64	= 61,
+    SP_ATOMIC_LOAD_OR_32	= 62,
+    SP_ATOMIC_LOAD_OR_64	= 63,
+    SP_ATOMIC_LOAD_SUB_32	= 64,
+    SP_ATOMIC_LOAD_SUB_64	= 65,
+    SP_ATOMIC_LOAD_UMAX_32	= 66,
+    SP_ATOMIC_LOAD_UMAX_64	= 67,
+    SP_ATOMIC_LOAD_UMIN_32	= 68,
+    SP_ATOMIC_LOAD_UMIN_64	= 69,
+    SP_ATOMIC_LOAD_XOR_32	= 70,
+    SP_ATOMIC_LOAD_XOR_64	= 71,
+    SP_ATOMIC_SWAP_64	= 72,
+    SP_BA	= 73,
+    SP_BCOND	= 74,
+    SP_BCONDA	= 75,
+    SP_BINDri	= 76,
+    SP_BINDrr	= 77,
+    SP_BMASK	= 78,
+    SP_BPFCC	= 79,
+    SP_BPFCCA	= 80,
+    SP_BPFCCANT	= 81,
+    SP_BPFCCNT	= 82,
+    SP_BPGEZapn	= 83,
+    SP_BPGEZapt	= 84,
+    SP_BPGEZnapn	= 85,
+    SP_BPGEZnapt	= 86,
+    SP_BPGZapn	= 87,
+    SP_BPGZapt	= 88,
+    SP_BPGZnapn	= 89,
+    SP_BPGZnapt	= 90,
+    SP_BPICC	= 91,
+    SP_BPICCA	= 92,
+    SP_BPICCANT	= 93,
+    SP_BPICCNT	= 94,
+    SP_BPLEZapn	= 95,
+    SP_BPLEZapt	= 96,
+    SP_BPLEZnapn	= 97,
+    SP_BPLEZnapt	= 98,
+    SP_BPLZapn	= 99,
+    SP_BPLZapt	= 100,
+    SP_BPLZnapn	= 101,
+    SP_BPLZnapt	= 102,
+    SP_BPNZapn	= 103,
+    SP_BPNZapt	= 104,
+    SP_BPNZnapn	= 105,
+    SP_BPNZnapt	= 106,
+    SP_BPXCC	= 107,
+    SP_BPXCCA	= 108,
+    SP_BPXCCANT	= 109,
+    SP_BPXCCNT	= 110,
+    SP_BPZapn	= 111,
+    SP_BPZapt	= 112,
+    SP_BPZnapn	= 113,
+    SP_BPZnapt	= 114,
+    SP_BSHUFFLE	= 115,
+    SP_CALL	= 116,
+    SP_CALLri	= 117,
+    SP_CALLrr	= 118,
+    SP_CASXrr	= 119,
+    SP_CASrr	= 120,
+    SP_CMASK16	= 121,
+    SP_CMASK32	= 122,
+    SP_CMASK8	= 123,
+    SP_CMPri	= 124,
+    SP_CMPrr	= 125,
+    SP_EDGE16	= 126,
+    SP_EDGE16L	= 127,
+    SP_EDGE16LN	= 128,
+    SP_EDGE16N	= 129,
+    SP_EDGE32	= 130,
+    SP_EDGE32L	= 131,
+    SP_EDGE32LN	= 132,
+    SP_EDGE32N	= 133,
+    SP_EDGE8	= 134,
+    SP_EDGE8L	= 135,
+    SP_EDGE8LN	= 136,
+    SP_EDGE8N	= 137,
+    SP_FABSD	= 138,
+    SP_FABSQ	= 139,
+    SP_FABSS	= 140,
+    SP_FADDD	= 141,
+    SP_FADDQ	= 142,
+    SP_FADDS	= 143,
+    SP_FALIGNADATA	= 144,
+    SP_FAND	= 145,
+    SP_FANDNOT1	= 146,
+    SP_FANDNOT1S	= 147,
+    SP_FANDNOT2	= 148,
+    SP_FANDNOT2S	= 149,
+    SP_FANDS	= 150,
+    SP_FBCOND	= 151,
+    SP_FBCONDA	= 152,
+    SP_FCHKSM16	= 153,
+    SP_FCMPD	= 154,
+    SP_FCMPEQ16	= 155,
+    SP_FCMPEQ32	= 156,
+    SP_FCMPGT16	= 157,
+    SP_FCMPGT32	= 158,
+    SP_FCMPLE16	= 159,
+    SP_FCMPLE32	= 160,
+    SP_FCMPNE16	= 161,
+    SP_FCMPNE32	= 162,
+    SP_FCMPQ	= 163,
+    SP_FCMPS	= 164,
+    SP_FDIVD	= 165,
+    SP_FDIVQ	= 166,
+    SP_FDIVS	= 167,
+    SP_FDMULQ	= 168,
+    SP_FDTOI	= 169,
+    SP_FDTOQ	= 170,
+    SP_FDTOS	= 171,
+    SP_FDTOX	= 172,
+    SP_FEXPAND	= 173,
+    SP_FHADDD	= 174,
+    SP_FHADDS	= 175,
+    SP_FHSUBD	= 176,
+    SP_FHSUBS	= 177,
+    SP_FITOD	= 178,
+    SP_FITOQ	= 179,
+    SP_FITOS	= 180,
+    SP_FLCMPD	= 181,
+    SP_FLCMPS	= 182,
+    SP_FLUSHW	= 183,
+    SP_FMEAN16	= 184,
+    SP_FMOVD	= 185,
+    SP_FMOVD_FCC	= 186,
+    SP_FMOVD_ICC	= 187,
+    SP_FMOVD_XCC	= 188,
+    SP_FMOVQ	= 189,
+    SP_FMOVQ_FCC	= 190,
+    SP_FMOVQ_ICC	= 191,
+    SP_FMOVQ_XCC	= 192,
+    SP_FMOVRGEZD	= 193,
+    SP_FMOVRGEZQ	= 194,
+    SP_FMOVRGEZS	= 195,
+    SP_FMOVRGZD	= 196,
+    SP_FMOVRGZQ	= 197,
+    SP_FMOVRGZS	= 198,
+    SP_FMOVRLEZD	= 199,
+    SP_FMOVRLEZQ	= 200,
+    SP_FMOVRLEZS	= 201,
+    SP_FMOVRLZD	= 202,
+    SP_FMOVRLZQ	= 203,
+    SP_FMOVRLZS	= 204,
+    SP_FMOVRNZD	= 205,
+    SP_FMOVRNZQ	= 206,
+    SP_FMOVRNZS	= 207,
+    SP_FMOVRZD	= 208,
+    SP_FMOVRZQ	= 209,
+    SP_FMOVRZS	= 210,
+    SP_FMOVS	= 211,
+    SP_FMOVS_FCC	= 212,
+    SP_FMOVS_ICC	= 213,
+    SP_FMOVS_XCC	= 214,
+    SP_FMUL8SUX16	= 215,
+    SP_FMUL8ULX16	= 216,
+    SP_FMUL8X16	= 217,
+    SP_FMUL8X16AL	= 218,
+    SP_FMUL8X16AU	= 219,
+    SP_FMULD	= 220,
+    SP_FMULD8SUX16	= 221,
+    SP_FMULD8ULX16	= 222,
+    SP_FMULQ	= 223,
+    SP_FMULS	= 224,
+    SP_FNADDD	= 225,
+    SP_FNADDS	= 226,
+    SP_FNAND	= 227,
+    SP_FNANDS	= 228,
+    SP_FNEGD	= 229,
+    SP_FNEGQ	= 230,
+    SP_FNEGS	= 231,
+    SP_FNHADDD	= 232,
+    SP_FNHADDS	= 233,
+    SP_FNMULD	= 234,
+    SP_FNMULS	= 235,
+    SP_FNOR	= 236,
+    SP_FNORS	= 237,
+    SP_FNOT1	= 238,
+    SP_FNOT1S	= 239,
+    SP_FNOT2	= 240,
+    SP_FNOT2S	= 241,
+    SP_FNSMULD	= 242,
+    SP_FONE	= 243,
+    SP_FONES	= 244,
+    SP_FOR	= 245,
+    SP_FORNOT1	= 246,
+    SP_FORNOT1S	= 247,
+    SP_FORNOT2	= 248,
+    SP_FORNOT2S	= 249,
+    SP_FORS	= 250,
+    SP_FPACK16	= 251,
+    SP_FPACK32	= 252,
+    SP_FPACKFIX	= 253,
+    SP_FPADD16	= 254,
+    SP_FPADD16S	= 255,
+    SP_FPADD32	= 256,
+    SP_FPADD32S	= 257,
+    SP_FPADD64	= 258,
+    SP_FPMERGE	= 259,
+    SP_FPSUB16	= 260,
+    SP_FPSUB16S	= 261,
+    SP_FPSUB32	= 262,
+    SP_FPSUB32S	= 263,
+    SP_FQTOD	= 264,
+    SP_FQTOI	= 265,
+    SP_FQTOS	= 266,
+    SP_FQTOX	= 267,
+    SP_FSLAS16	= 268,
+    SP_FSLAS32	= 269,
+    SP_FSLL16	= 270,
+    SP_FSLL32	= 271,
+    SP_FSMULD	= 272,
+    SP_FSQRTD	= 273,
+    SP_FSQRTQ	= 274,
+    SP_FSQRTS	= 275,
+    SP_FSRA16	= 276,
+    SP_FSRA32	= 277,
+    SP_FSRC1	= 278,
+    SP_FSRC1S	= 279,
+    SP_FSRC2	= 280,
+    SP_FSRC2S	= 281,
+    SP_FSRL16	= 282,
+    SP_FSRL32	= 283,
+    SP_FSTOD	= 284,
+    SP_FSTOI	= 285,
+    SP_FSTOQ	= 286,
+    SP_FSTOX	= 287,
+    SP_FSUBD	= 288,
+    SP_FSUBQ	= 289,
+    SP_FSUBS	= 290,
+    SP_FXNOR	= 291,
+    SP_FXNORS	= 292,
+    SP_FXOR	= 293,
+    SP_FXORS	= 294,
+    SP_FXTOD	= 295,
+    SP_FXTOQ	= 296,
+    SP_FXTOS	= 297,
+    SP_FZERO	= 298,
+    SP_FZEROS	= 299,
+    SP_GETPCX	= 300,
+    SP_JMPLri	= 301,
+    SP_JMPLrr	= 302,
+    SP_LDDFri	= 303,
+    SP_LDDFrr	= 304,
+    SP_LDFri	= 305,
+    SP_LDFrr	= 306,
+    SP_LDQFri	= 307,
+    SP_LDQFrr	= 308,
+    SP_LDSBri	= 309,
+    SP_LDSBrr	= 310,
+    SP_LDSHri	= 311,
+    SP_LDSHrr	= 312,
+    SP_LDSWri	= 313,
+    SP_LDSWrr	= 314,
+    SP_LDUBri	= 315,
+    SP_LDUBrr	= 316,
+    SP_LDUHri	= 317,
+    SP_LDUHrr	= 318,
+    SP_LDXri	= 319,
+    SP_LDXrr	= 320,
+    SP_LDri	= 321,
+    SP_LDrr	= 322,
+    SP_LEAX_ADDri	= 323,
+    SP_LEA_ADDri	= 324,
+    SP_LZCNT	= 325,
+    SP_MEMBARi	= 326,
+    SP_MOVDTOX	= 327,
+    SP_MOVFCCri	= 328,
+    SP_MOVFCCrr	= 329,
+    SP_MOVICCri	= 330,
+    SP_MOVICCrr	= 331,
+    SP_MOVRGEZri	= 332,
+    SP_MOVRGEZrr	= 333,
+    SP_MOVRGZri	= 334,
+    SP_MOVRGZrr	= 335,
+    SP_MOVRLEZri	= 336,
+    SP_MOVRLEZrr	= 337,
+    SP_MOVRLZri	= 338,
+    SP_MOVRLZrr	= 339,
+    SP_MOVRNZri	= 340,
+    SP_MOVRNZrr	= 341,
+    SP_MOVRRZri	= 342,
+    SP_MOVRRZrr	= 343,
+    SP_MOVSTOSW	= 344,
+    SP_MOVSTOUW	= 345,
+    SP_MOVWTOS	= 346,
+    SP_MOVXCCri	= 347,
+    SP_MOVXCCrr	= 348,
+    SP_MOVXTOD	= 349,
+    SP_MULXri	= 350,
+    SP_MULXrr	= 351,
+    SP_NOP	= 352,
+    SP_ORCCri	= 353,
+    SP_ORCCrr	= 354,
+    SP_ORNCCri	= 355,
+    SP_ORNCCrr	= 356,
+    SP_ORNri	= 357,
+    SP_ORNrr	= 358,
+    SP_ORXNrr	= 359,
+    SP_ORXri	= 360,
+    SP_ORXrr	= 361,
+    SP_ORri	= 362,
+    SP_ORrr	= 363,
+    SP_PDIST	= 364,
+    SP_PDISTN	= 365,
+    SP_POPCrr	= 366,
+    SP_RDY	= 367,
+    SP_RESTOREri	= 368,
+    SP_RESTORErr	= 369,
+    SP_RET	= 370,
+    SP_RETL	= 371,
+    SP_RETTri	= 372,
+    SP_RETTrr	= 373,
+    SP_SAVEri	= 374,
+    SP_SAVErr	= 375,
+    SP_SDIVCCri	= 376,
+    SP_SDIVCCrr	= 377,
+    SP_SDIVXri	= 378,
+    SP_SDIVXrr	= 379,
+    SP_SDIVri	= 380,
+    SP_SDIVrr	= 381,
+    SP_SELECT_CC_DFP_FCC	= 382,
+    SP_SELECT_CC_DFP_ICC	= 383,
+    SP_SELECT_CC_FP_FCC	= 384,
+    SP_SELECT_CC_FP_ICC	= 385,
+    SP_SELECT_CC_Int_FCC	= 386,
+    SP_SELECT_CC_Int_ICC	= 387,
+    SP_SELECT_CC_QFP_FCC	= 388,
+    SP_SELECT_CC_QFP_ICC	= 389,
+    SP_SETHIXi	= 390,
+    SP_SETHIi	= 391,
+    SP_SHUTDOWN	= 392,
+    SP_SIAM	= 393,
+    SP_SLLXri	= 394,
+    SP_SLLXrr	= 395,
+    SP_SLLri	= 396,
+    SP_SLLrr	= 397,
+    SP_SMULCCri	= 398,
+    SP_SMULCCrr	= 399,
+    SP_SMULri	= 400,
+    SP_SMULrr	= 401,
+    SP_SRAXri	= 402,
+    SP_SRAXrr	= 403,
+    SP_SRAri	= 404,
+    SP_SRArr	= 405,
+    SP_SRLXri	= 406,
+    SP_SRLXrr	= 407,
+    SP_SRLri	= 408,
+    SP_SRLrr	= 409,
+    SP_STBAR	= 410,
+    SP_STBri	= 411,
+    SP_STBrr	= 412,
+    SP_STDFri	= 413,
+    SP_STDFrr	= 414,
+    SP_STFri	= 415,
+    SP_STFrr	= 416,
+    SP_STHri	= 417,
+    SP_STHrr	= 418,
+    SP_STQFri	= 419,
+    SP_STQFrr	= 420,
+    SP_STXri	= 421,
+    SP_STXrr	= 422,
+    SP_STri	= 423,
+    SP_STrr	= 424,
+    SP_SUBCCri	= 425,
+    SP_SUBCCrr	= 426,
+    SP_SUBCri	= 427,
+    SP_SUBCrr	= 428,
+    SP_SUBEri	= 429,
+    SP_SUBErr	= 430,
+    SP_SUBXri	= 431,
+    SP_SUBXrr	= 432,
+    SP_SUBri	= 433,
+    SP_SUBrr	= 434,
+    SP_SWAPri	= 435,
+    SP_SWAPrr	= 436,
+    SP_TA3	= 437,
+    SP_TA5	= 438,
+    SP_TADDCCTVri	= 439,
+    SP_TADDCCTVrr	= 440,
+    SP_TADDCCri	= 441,
+    SP_TADDCCrr	= 442,
+    SP_TICCri	= 443,
+    SP_TICCrr	= 444,
+    SP_TLS_ADDXrr	= 445,
+    SP_TLS_ADDrr	= 446,
+    SP_TLS_CALL	= 447,
+    SP_TLS_LDXrr	= 448,
+    SP_TLS_LDrr	= 449,
+    SP_TSUBCCTVri	= 450,
+    SP_TSUBCCTVrr	= 451,
+    SP_TSUBCCri	= 452,
+    SP_TSUBCCrr	= 453,
+    SP_TXCCri	= 454,
+    SP_TXCCrr	= 455,
+    SP_UDIVCCri	= 456,
+    SP_UDIVCCrr	= 457,
+    SP_UDIVXri	= 458,
+    SP_UDIVXrr	= 459,
+    SP_UDIVri	= 460,
+    SP_UDIVrr	= 461,
+    SP_UMULCCri	= 462,
+    SP_UMULCCrr	= 463,
+    SP_UMULXHI	= 464,
+    SP_UMULri	= 465,
+    SP_UMULrr	= 466,
+    SP_UNIMP	= 467,
+    SP_V9FCMPD	= 468,
+    SP_V9FCMPED	= 469,
+    SP_V9FCMPEQ	= 470,
+    SP_V9FCMPES	= 471,
+    SP_V9FCMPQ	= 472,
+    SP_V9FCMPS	= 473,
+    SP_V9FMOVD_FCC	= 474,
+    SP_V9FMOVQ_FCC	= 475,
+    SP_V9FMOVS_FCC	= 476,
+    SP_V9MOVFCCri	= 477,
+    SP_V9MOVFCCrr	= 478,
+    SP_WRYri	= 479,
+    SP_WRYrr	= 480,
+    SP_XMULX	= 481,
+    SP_XMULXHI	= 482,
+    SP_XNORCCri	= 483,
+    SP_XNORCCrr	= 484,
+    SP_XNORXrr	= 485,
+    SP_XNORri	= 486,
+    SP_XNORrr	= 487,
+    SP_XORCCri	= 488,
+    SP_XORCCrr	= 489,
+    SP_XORXri	= 490,
+    SP_XORXrr	= 491,
+    SP_XORri	= 492,
+    SP_XORrr	= 493,
+    SP_INSTRUCTION_LIST_END = 494
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenRegisterInfo.inc 4.0.2-3/arch/Sparc/SparcGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -148,17 +148,6 @@ enum {
   SP_QFPRegs_with_sub_evenRegClassID = 7
 };
 
-// Subregister indices
-enum {
-  SP_NoSubRegister,
-  SP_sub_even,	// 1
-  SP_sub_even64,	// 2
-  SP_sub_odd,	// 3
-  SP_sub_odd64,	// 4
-  SP_sub_odd64_then_sub_even,	// 5
-  SP_sub_odd64_then_sub_odd,	// 6
-  SP_NUM_TARGET_SUBREGS
-};
 #endif // GET_REGINFO_ENUM
 
 /*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
@@ -246,126 +235,126 @@ static const uint16_t SparcSubRegIdxList
   /* 6 */ 2, 1, 3, 4, 5, 6, 0,
 };
 
-static const MCRegisterDesc SparcRegDesc[] = { // Descriptors
-  { 3, 0, 0, 0, 0 },
-  { 406, 4, 4, 2, 3393 },
-  { 410, 4, 4, 2, 3393 },
-  { 33, 5, 203, 0, 1794 },
-  { 87, 12, 194, 0, 1794 },
-  { 133, 15, 194, 0, 1794 },
-  { 179, 22, 185, 0, 1794 },
-  { 220, 25, 185, 0, 1794 },
-  { 261, 32, 176, 0, 1794 },
-  { 298, 35, 176, 0, 1794 },
-  { 335, 42, 167, 0, 1794 },
-  { 372, 45, 167, 0, 1794 },
-  { 397, 52, 158, 0, 1794 },
-  { 0, 55, 158, 0, 1794 },
-  { 54, 62, 149, 0, 1794 },
-  { 108, 65, 149, 0, 1794 },
-  { 154, 72, 140, 0, 1794 },
-  { 200, 75, 140, 0, 1794 },
-  { 241, 82, 134, 0, 1794 },
-  { 282, 4, 134, 2, 1841 },
-  { 319, 4, 131, 2, 1841 },
-  { 356, 4, 131, 2, 1841 },
-  { 381, 4, 129, 2, 1841 },
-  { 12, 4, 129, 2, 1841 },
-  { 66, 4, 127, 2, 1841 },
-  { 120, 4, 127, 2, 1841 },
-  { 166, 4, 125, 2, 1841 },
-  { 212, 4, 125, 2, 1841 },
-  { 253, 4, 123, 2, 1841 },
-  { 290, 4, 123, 2, 1841 },
-  { 327, 4, 121, 2, 1841 },
-  { 364, 4, 121, 2, 1841 },
-  { 389, 4, 119, 2, 1841 },
-  { 20, 4, 119, 2, 1841 },
-  { 74, 4, 117, 2, 1841 },
-  { 36, 4, 205, 2, 3329 },
-  { 90, 4, 202, 2, 3329 },
-  { 136, 4, 199, 2, 3329 },
-  { 182, 4, 196, 2, 3329 },
-  { 223, 4, 196, 2, 3329 },
-  { 264, 4, 193, 2, 3329 },
-  { 301, 4, 190, 2, 3329 },
-  { 338, 4, 187, 2, 3329 },
-  { 375, 4, 187, 2, 3329 },
-  { 400, 4, 184, 2, 3329 },
-  { 4, 4, 181, 2, 3329 },
-  { 58, 4, 178, 2, 3329 },
-  { 112, 4, 178, 2, 3329 },
-  { 158, 4, 175, 2, 3329 },
-  { 204, 4, 172, 2, 3329 },
-  { 245, 4, 169, 2, 3329 },
-  { 286, 4, 169, 2, 3329 },
-  { 323, 4, 166, 2, 3329 },
-  { 360, 4, 163, 2, 3329 },
-  { 385, 4, 160, 2, 3329 },
-  { 16, 4, 160, 2, 3329 },
-  { 70, 4, 157, 2, 3329 },
-  { 124, 4, 154, 2, 3329 },
-  { 170, 4, 151, 2, 3329 },
-  { 216, 4, 151, 2, 3329 },
-  { 257, 4, 148, 2, 3329 },
-  { 294, 4, 145, 2, 3329 },
-  { 331, 4, 142, 2, 3329 },
-  { 368, 4, 142, 2, 3329 },
-  { 393, 4, 139, 2, 3329 },
-  { 24, 4, 136, 2, 3329 },
-  { 78, 4, 133, 2, 3329 },
-  { 28, 4, 4, 2, 3361 },
-  { 82, 4, 4, 2, 3361 },
-  { 128, 4, 4, 2, 3361 },
-  { 174, 4, 4, 2, 3361 },
-  { 39, 4, 4, 2, 3361 },
-  { 93, 4, 4, 2, 3361 },
-  { 139, 4, 4, 2, 3361 },
-  { 185, 4, 4, 2, 3361 },
-  { 226, 4, 4, 2, 3361 },
-  { 267, 4, 4, 2, 3361 },
-  { 304, 4, 4, 2, 3361 },
-  { 341, 4, 4, 2, 3361 },
-  { 42, 4, 4, 2, 3361 },
-  { 96, 4, 4, 2, 3361 },
-  { 142, 4, 4, 2, 3361 },
-  { 188, 4, 4, 2, 3361 },
-  { 229, 4, 4, 2, 3361 },
-  { 270, 4, 4, 2, 3361 },
-  { 307, 4, 4, 2, 3361 },
-  { 344, 4, 4, 2, 3361 },
-  { 45, 4, 4, 2, 3361 },
-  { 99, 4, 4, 2, 3361 },
-  { 145, 4, 4, 2, 3361 },
-  { 191, 4, 4, 2, 3361 },
-  { 232, 4, 4, 2, 3361 },
-  { 273, 4, 4, 2, 3361 },
-  { 310, 4, 4, 2, 3361 },
-  { 347, 4, 4, 2, 3361 },
-  { 48, 4, 4, 2, 3361 },
-  { 102, 4, 4, 2, 3361 },
-  { 148, 4, 4, 2, 3361 },
-  { 194, 4, 4, 2, 3361 },
-  { 235, 4, 4, 2, 3361 },
-  { 276, 4, 4, 2, 3361 },
-  { 313, 4, 4, 2, 3361 },
-  { 350, 4, 4, 2, 3361 },
-  { 51, 8, 4, 6, 4 },
-  { 105, 18, 4, 6, 4 },
-  { 151, 28, 4, 6, 4 },
-  { 197, 38, 4, 6, 4 },
-  { 238, 48, 4, 6, 4 },
-  { 279, 58, 4, 6, 4 },
-  { 316, 68, 4, 6, 4 },
-  { 353, 78, 4, 6, 4 },
-  { 378, 88, 4, 3, 1362 },
-  { 403, 91, 4, 3, 1362 },
-  { 8, 94, 4, 3, 1362 },
-  { 62, 97, 4, 3, 1362 },
-  { 116, 100, 4, 3, 1362 },
-  { 162, 103, 4, 3, 1362 },
-  { 208, 106, 4, 3, 1362 },
-  { 249, 109, 4, 3, 1362 },
+static MCRegisterDesc SparcRegDesc[] = { // Descriptors
+  { 3, 0, 0, 0, 0, 0 },
+  { 406, 4, 4, 2, 3393, 0 },
+  { 410, 4, 4, 2, 3393, 0 },
+  { 33, 5, 203, 0, 1794, 2 },
+  { 87, 12, 194, 0, 1794, 2 },
+  { 133, 15, 194, 0, 1794, 2 },
+  { 179, 22, 185, 0, 1794, 2 },
+  { 220, 25, 185, 0, 1794, 2 },
+  { 261, 32, 176, 0, 1794, 2 },
+  { 298, 35, 176, 0, 1794, 2 },
+  { 335, 42, 167, 0, 1794, 2 },
+  { 372, 45, 167, 0, 1794, 2 },
+  { 397, 52, 158, 0, 1794, 2 },
+  { 0, 55, 158, 0, 1794, 2 },
+  { 54, 62, 149, 0, 1794, 2 },
+  { 108, 65, 149, 0, 1794, 2 },
+  { 154, 72, 140, 0, 1794, 2 },
+  { 200, 75, 140, 0, 1794, 2 },
+  { 241, 82, 134, 0, 1794, 2 },
+  { 282, 4, 134, 2, 1841, 0 },
+  { 319, 4, 131, 2, 1841, 0 },
+  { 356, 4, 131, 2, 1841, 0 },
+  { 381, 4, 129, 2, 1841, 0 },
+  { 12, 4, 129, 2, 1841, 0 },
+  { 66, 4, 127, 2, 1841, 0 },
+  { 120, 4, 127, 2, 1841, 0 },
+  { 166, 4, 125, 2, 1841, 0 },
+  { 212, 4, 125, 2, 1841, 0 },
+  { 253, 4, 123, 2, 1841, 0 },
+  { 290, 4, 123, 2, 1841, 0 },
+  { 327, 4, 121, 2, 1841, 0 },
+  { 364, 4, 121, 2, 1841, 0 },
+  { 389, 4, 119, 2, 1841, 0 },
+  { 20, 4, 119, 2, 1841, 0 },
+  { 74, 4, 117, 2, 1841, 0 },
+  { 36, 4, 205, 2, 3329, 0 },
+  { 90, 4, 202, 2, 3329, 0 },
+  { 136, 4, 199, 2, 3329, 0 },
+  { 182, 4, 196, 2, 3329, 0 },
+  { 223, 4, 196, 2, 3329, 0 },
+  { 264, 4, 193, 2, 3329, 0 },
+  { 301, 4, 190, 2, 3329, 0 },
+  { 338, 4, 187, 2, 3329, 0 },
+  { 375, 4, 187, 2, 3329, 0 },
+  { 400, 4, 184, 2, 3329, 0 },
+  { 4, 4, 181, 2, 3329, 0 },
+  { 58, 4, 178, 2, 3329, 0 },
+  { 112, 4, 178, 2, 3329, 0 },
+  { 158, 4, 175, 2, 3329, 0 },
+  { 204, 4, 172, 2, 3329, 0 },
+  { 245, 4, 169, 2, 3329, 0 },
+  { 286, 4, 169, 2, 3329, 0 },
+  { 323, 4, 166, 2, 3329, 0 },
+  { 360, 4, 163, 2, 3329, 0 },
+  { 385, 4, 160, 2, 3329, 0 },
+  { 16, 4, 160, 2, 3329, 0 },
+  { 70, 4, 157, 2, 3329, 0 },
+  { 124, 4, 154, 2, 3329, 0 },
+  { 170, 4, 151, 2, 3329, 0 },
+  { 216, 4, 151, 2, 3329, 0 },
+  { 257, 4, 148, 2, 3329, 0 },
+  { 294, 4, 145, 2, 3329, 0 },
+  { 331, 4, 142, 2, 3329, 0 },
+  { 368, 4, 142, 2, 3329, 0 },
+  { 393, 4, 139, 2, 3329, 0 },
+  { 24, 4, 136, 2, 3329, 0 },
+  { 78, 4, 133, 2, 3329, 0 },
+  { 28, 4, 4, 2, 3361, 0 },
+  { 82, 4, 4, 2, 3361, 0 },
+  { 128, 4, 4, 2, 3361, 0 },
+  { 174, 4, 4, 2, 3361, 0 },
+  { 39, 4, 4, 2, 3361, 0 },
+  { 93, 4, 4, 2, 3361, 0 },
+  { 139, 4, 4, 2, 3361, 0 },
+  { 185, 4, 4, 2, 3361, 0 },
+  { 226, 4, 4, 2, 3361, 0 },
+  { 267, 4, 4, 2, 3361, 0 },
+  { 304, 4, 4, 2, 3361, 0 },
+  { 341, 4, 4, 2, 3361, 0 },
+  { 42, 4, 4, 2, 3361, 0 },
+  { 96, 4, 4, 2, 3361, 0 },
+  { 142, 4, 4, 2, 3361, 0 },
+  { 188, 4, 4, 2, 3361, 0 },
+  { 229, 4, 4, 2, 3361, 0 },
+  { 270, 4, 4, 2, 3361, 0 },
+  { 307, 4, 4, 2, 3361, 0 },
+  { 344, 4, 4, 2, 3361, 0 },
+  { 45, 4, 4, 2, 3361, 0 },
+  { 99, 4, 4, 2, 3361, 0 },
+  { 145, 4, 4, 2, 3361, 0 },
+  { 191, 4, 4, 2, 3361, 0 },
+  { 232, 4, 4, 2, 3361, 0 },
+  { 273, 4, 4, 2, 3361, 0 },
+  { 310, 4, 4, 2, 3361, 0 },
+  { 347, 4, 4, 2, 3361, 0 },
+  { 48, 4, 4, 2, 3361, 0 },
+  { 102, 4, 4, 2, 3361, 0 },
+  { 148, 4, 4, 2, 3361, 0 },
+  { 194, 4, 4, 2, 3361, 0 },
+  { 235, 4, 4, 2, 3361, 0 },
+  { 276, 4, 4, 2, 3361, 0 },
+  { 313, 4, 4, 2, 3361, 0 },
+  { 350, 4, 4, 2, 3361, 0 },
+  { 51, 8, 4, 6, 4, 5 },
+  { 105, 18, 4, 6, 4, 5 },
+  { 151, 28, 4, 6, 4, 5 },
+  { 197, 38, 4, 6, 4, 5 },
+  { 238, 48, 4, 6, 4, 5 },
+  { 279, 58, 4, 6, 4, 5 },
+  { 316, 68, 4, 6, 4, 5 },
+  { 353, 78, 4, 6, 4, 5 },
+  { 378, 88, 4, 3, 1362, 10 },
+  { 403, 91, 4, 3, 1362, 10 },
+  { 8, 94, 4, 3, 1362, 10 },
+  { 62, 97, 4, 3, 1362, 10 },
+  { 116, 100, 4, 3, 1362, 10 },
+  { 162, 103, 4, 3, 1362, 10 },
+  { 208, 106, 4, 3, 1362, 10 },
+  { 249, 109, 4, 3, 1362, 10 },
 };
 
   // FCCRegs Register Class...
@@ -448,15 +437,15 @@ static const MCRegisterDesc SparcRegDesc
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x7f, 
   };
 
-static const MCRegisterClass SparcMCRegisterClasses[] = {
-  { "FCCRegs", FCCRegs, FCCRegsBits, 4, sizeof(FCCRegsBits), SP_FCCRegsRegClassID, 0, 0, 1, 1 },
-  { "FPRegs", FPRegs, FPRegsBits, 32, sizeof(FPRegsBits), SP_FPRegsRegClassID, 4, 4, 1, 1 },
-  { "IntRegs", IntRegs, IntRegsBits, 32, sizeof(IntRegsBits), SP_IntRegsRegClassID, 4, 4, 1, 1 },
-  { "DFPRegs", DFPRegs, DFPRegsBits, 32, sizeof(DFPRegsBits), SP_DFPRegsRegClassID, 8, 8, 1, 1 },
-  { "I64Regs", I64Regs, I64RegsBits, 32, sizeof(I64RegsBits), SP_I64RegsRegClassID, 8, 8, 1, 1 },
-  { "DFPRegs_with_sub_even", DFPRegs_with_sub_even, DFPRegs_with_sub_evenBits, 16, sizeof(DFPRegs_with_sub_evenBits), SP_DFPRegs_with_sub_evenRegClassID, 8, 8, 1, 1 },
-  { "QFPRegs", QFPRegs, QFPRegsBits, 16, sizeof(QFPRegsBits), SP_QFPRegsRegClassID, 16, 16, 1, 1 },
-  { "QFPRegs_with_sub_even", QFPRegs_with_sub_even, QFPRegs_with_sub_evenBits, 8, sizeof(QFPRegs_with_sub_evenBits), SP_QFPRegs_with_sub_evenRegClassID, 16, 16, 1, 1 },
+static MCRegisterClass SparcMCRegisterClasses[] = {
+  { FCCRegs, FCCRegsBits, 52, 4, sizeof(FCCRegsBits), SP_FCCRegsRegClassID, 0, 0, 1, 1 },
+  { FPRegs, FPRegsBits, 61, 32, sizeof(FPRegsBits), SP_FPRegsRegClassID, 4, 4, 1, 1 },
+  { IntRegs, IntRegsBits, 76, 32, sizeof(IntRegsBits), SP_IntRegsRegClassID, 4, 4, 1, 1 },
+  { DFPRegs, DFPRegsBits, 60, 32, sizeof(DFPRegsBits), SP_DFPRegsRegClassID, 8, 8, 1, 1 },
+  { I64Regs, I64RegsBits, 44, 32, sizeof(I64RegsBits), SP_I64RegsRegClassID, 8, 8, 1, 1 },
+  { DFPRegs_with_sub_even, DFPRegs_with_sub_evenBits, 0, 16, sizeof(DFPRegs_with_sub_evenBits), SP_DFPRegs_with_sub_evenRegClassID, 8, 8, 1, 1 },
+  { QFPRegs, QFPRegsBits, 68, 16, sizeof(QFPRegsBits), SP_QFPRegsRegClassID, 16, 16, 1, 1 },
+  { QFPRegs_with_sub_even, QFPRegs_with_sub_evenBits, 22, 8, sizeof(QFPRegs_with_sub_evenBits), SP_QFPRegs_with_sub_evenRegClassID, 16, 16, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenSubtargetInfo.inc 4.0.2-3/arch/Sparc/SparcGenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcGenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcGenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/Sparc.h 4.0.2-3/arch/Sparc/Sparc.h
--- 4.0.1+really+3.0.5-2/arch/Sparc/Sparc.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/Sparc.h	2020-05-08 10:03:30.000000000 +0000
@@ -13,12 +13,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SPARC_TARGET_SPARC_H
 #define CS_SPARC_TARGET_SPARC_H
 
-#include "../../include/sparc.h"
+#include "capstone/sparc.h"
 
 inline static const char *SPARCCondCodeToString(sparc_cc CC)
 {
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcInstPrinter.c 4.0.2-3/arch/Sparc/SparcInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SPARC
 
@@ -165,7 +165,7 @@ static bool printSparcAliasInstr(MCInst
 
 static void printOperand(MCInst *MI, int opNum, SStream *O)
 {
-	int Imm;
+	int64_t Imm;
 	unsigned reg;
 	MCOperand *MO = MCInst_getOperand(MI, opNum);
 
@@ -200,8 +200,8 @@ static void printOperand(MCInst *MI, int
 		// backward, so they need to be multiplied by 4
 		switch (MI->Opcode) {
 			case SP_CALL:
-				Imm = SignExtend32(Imm, 30);
-				Imm += (uint32_t)MI->address;
+				// Imm = SignExtend32(Imm, 30);
+				Imm += MI->address;
 				break;
 
 			// Branch on integer condition with prediction (BPcc)
@@ -219,7 +219,7 @@ static void printOperand(MCInst *MI, int
 			case SP_BPFCCANT:
 			case SP_BPFCCNT:
 				Imm = SignExtend32(Imm, 19);
-				Imm = (uint32_t)MI->address + Imm * 4;
+				Imm = MI->address + Imm * 4;
 				break;
 
 			// Branch on integer condition (Bicc)
@@ -230,7 +230,7 @@ static void printOperand(MCInst *MI, int
 			case SP_FBCOND:
 			case SP_FBCONDA:
 				Imm = SignExtend32(Imm, 22);
-				Imm = (uint32_t)MI->address + Imm * 4;
+				Imm = MI->address + Imm * 4;
 				break;
 
 			// Branch on integer register with prediction (BPr)
@@ -259,11 +259,11 @@ static void printOperand(MCInst *MI, int
 			case SP_BPZnapn:
 			case SP_BPZnapt:
 				Imm = SignExtend32(Imm, 16);
-				Imm = (uint32_t)MI->address + Imm * 4;
+				Imm = MI->address + Imm * 4;
 				break;
 		}
 		
-		printInt32(O, Imm);
+		printInt64(O, Imm);
 
 		if (MI->csh->detail) {
 			if (MI->csh->doing_mem) {
@@ -358,8 +358,8 @@ void Sparc_printInst(MCInst *MI, SStream
 	mnem = printAliasInstr(MI, O, Info);
 	if (mnem) {
 		// fixup instruction id due to the change in alias instruction
-		strncpy(instr, mnem, strlen(mnem));
-		instr[strlen(mnem)] = '\0';
+		strncpy(instr, mnem, sizeof(instr));
+		instr[sizeof(instr) - 1] = '\0';
 		// does this contains hint with a coma?
 		p = strchr(instr, ',');
 		if (p)
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcInstPrinter.h 4.0.2-3/arch/Sparc/SparcInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SPARCINSTPRINTER_H
 #define CS_SPARCINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcMapping.c 4.0.2-3/arch/Sparc/SparcMapping.c
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SPARC
 
@@ -112,7 +112,7 @@ static const name_map reg_name_maps[] =
 const char *Sparc_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= SPARC_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -130,2646 +130,7 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		SP_ADDCCri, SPARC_INS_ADDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDCCrr, SPARC_INS_ADDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDCri, SPARC_INS_ADDX,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDCrr, SPARC_INS_ADDX,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDEri, SPARC_INS_ADDXCC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDErr, SPARC_INS_ADDXCC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDXC, SPARC_INS_ADDXC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDXCCC, SPARC_INS_ADDXCCC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDXri, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDXrr, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDri, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ADDrr, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ALIGNADDR, SPARC_INS_ALIGNADDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ALIGNADDRL, SPARC_INS_ALIGNADDRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDCCri, SPARC_INS_ANDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDCCrr, SPARC_INS_ANDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDNCCri, SPARC_INS_ANDNCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDNCCrr, SPARC_INS_ANDNCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDNri, SPARC_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDNrr, SPARC_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDXNrr, SPARC_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDXri, SPARC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDXrr, SPARC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDri, SPARC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ANDrr, SPARC_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ARRAY16, SPARC_INS_ARRAY16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ARRAY32, SPARC_INS_ARRAY32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ARRAY8, SPARC_INS_ARRAY8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_BA, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BCOND, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BCONDA, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BINDri, SPARC_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		SP_BINDrr, SPARC_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		SP_BMASK, SPARC_INS_BMASK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_BPFCC, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPFCCA, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPFCCANT, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPFCCNT, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGEZapn, SPARC_INS_BRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGEZapt, SPARC_INS_BRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGEZnapn, SPARC_INS_BRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGEZnapt, SPARC_INS_BRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGZapn, SPARC_INS_BRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGZapt, SPARC_INS_BRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGZnapn, SPARC_INS_BRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPGZnapt, SPARC_INS_BRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPICC, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPICCA, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPICCANT, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPICCNT, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLEZapn, SPARC_INS_BRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLEZapt, SPARC_INS_BRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLEZnapn, SPARC_INS_BRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLEZnapt, SPARC_INS_BRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLZapn, SPARC_INS_BRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLZapt, SPARC_INS_BRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLZnapn, SPARC_INS_BRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPLZnapt, SPARC_INS_BRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPNZapn, SPARC_INS_BRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPNZapt, SPARC_INS_BRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPNZnapn, SPARC_INS_BRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPNZnapt, SPARC_INS_BRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPXCC, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPXCCA, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPXCCANT, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPXCCNT, SPARC_INS_B,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPZapn, SPARC_INS_BRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPZapt, SPARC_INS_BRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPZnapn, SPARC_INS_BRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BPZnapt, SPARC_INS_BRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
-#endif
-	},
-	{
-		SP_BSHUFFLE, SPARC_INS_BSHUFFLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CALL, SPARC_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CALLri, SPARC_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CALLrr, SPARC_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CASXrr, SPARC_INS_CASX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CASrr, SPARC_INS_CAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CMASK16, SPARC_INS_CMASK16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CMASK32, SPARC_INS_CMASK32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CMASK8, SPARC_INS_CMASK8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CMPri, SPARC_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_CMPrr, SPARC_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE16, SPARC_INS_EDGE16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE16L, SPARC_INS_EDGE16L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE16LN, SPARC_INS_EDGE16LN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE16N, SPARC_INS_EDGE16N,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE32, SPARC_INS_EDGE32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE32L, SPARC_INS_EDGE32L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE32LN, SPARC_INS_EDGE32LN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE32N, SPARC_INS_EDGE32N,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE8, SPARC_INS_EDGE8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE8L, SPARC_INS_EDGE8L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE8LN, SPARC_INS_EDGE8LN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_EDGE8N, SPARC_INS_EDGE8N,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FABSD, SPARC_INS_FABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FABSQ, SPARC_INS_FABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FABSS, SPARC_INS_FABSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FADDD, SPARC_INS_FADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FADDQ, SPARC_INS_FADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FADDS, SPARC_INS_FADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FALIGNADATA, SPARC_INS_FALIGNDATA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FAND, SPARC_INS_FAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FANDNOT1, SPARC_INS_FANDNOT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FANDNOT1S, SPARC_INS_FANDNOT1S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FANDNOT2, SPARC_INS_FANDNOT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FANDNOT2S, SPARC_INS_FANDNOT2S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FANDS, SPARC_INS_FANDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FBCOND, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SP_FBCONDA, SPARC_INS_FB,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SP_FCHKSM16, SPARC_INS_FCHKSM16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPD, SPARC_INS_FCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_FCC0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPEQ16, SPARC_INS_FCMPEQ16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPEQ32, SPARC_INS_FCMPEQ32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPGT16, SPARC_INS_FCMPGT16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPGT32, SPARC_INS_FCMPGT32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPLE16, SPARC_INS_FCMPLE16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPLE32, SPARC_INS_FCMPLE32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPNE16, SPARC_INS_FCMPNE16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPNE32, SPARC_INS_FCMPNE32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPQ, SPARC_INS_FCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_FCC0, 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FCMPS, SPARC_INS_FCMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_FCC0, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDIVD, SPARC_INS_FDIVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDIVQ, SPARC_INS_FDIVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDIVS, SPARC_INS_FDIVS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDMULQ, SPARC_INS_FDMULQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDTOI, SPARC_INS_FDTOI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDTOQ, SPARC_INS_FDTOQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDTOS, SPARC_INS_FDTOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FDTOX, SPARC_INS_FDTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FEXPAND, SPARC_INS_FEXPAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FHADDD, SPARC_INS_FHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FHADDS, SPARC_INS_FHADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FHSUBD, SPARC_INS_FHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FHSUBS, SPARC_INS_FHSUBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FITOD, SPARC_INS_FITOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FITOQ, SPARC_INS_FITOQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FITOS, SPARC_INS_FITOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FLCMPD, SPARC_INS_FLCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FLCMPS, SPARC_INS_FLCMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FLUSHW, SPARC_INS_FLUSHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMEAN16, SPARC_INS_FMEAN16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVD, SPARC_INS_FMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVD_FCC, SPARC_INS_FMOVD,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVD_ICC, SPARC_INS_FMOVD,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVD_XCC, SPARC_INS_FMOVD,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVQ, SPARC_INS_FMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVQ_FCC, SPARC_INS_FMOVQ,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVQ_ICC, SPARC_INS_FMOVQ,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVQ_XCC, SPARC_INS_FMOVQ,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGEZD, SPARC_INS_FMOVRDGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGEZQ, SPARC_INS_FMOVRQGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGEZS, SPARC_INS_FMOVRSGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGZD, SPARC_INS_FMOVRDGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGZQ, SPARC_INS_FMOVRQGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRGZS, SPARC_INS_FMOVRSGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLEZD, SPARC_INS_FMOVRDLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLEZQ, SPARC_INS_FMOVRQLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLEZS, SPARC_INS_FMOVRSLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLZD, SPARC_INS_FMOVRDLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLZQ, SPARC_INS_FMOVRQLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRLZS, SPARC_INS_FMOVRSLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRNZD, SPARC_INS_FMOVRDNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRNZQ, SPARC_INS_FMOVRQNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRNZS, SPARC_INS_FMOVRSNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRZD, SPARC_INS_FMOVRDZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRZQ, SPARC_INS_FMOVRQZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVRZS, SPARC_INS_FMOVRSZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVS, SPARC_INS_FMOVS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVS_FCC, SPARC_INS_FMOVS,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVS_ICC, SPARC_INS_FMOVS,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMOVS_XCC, SPARC_INS_FMOVS,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMUL8SUX16, SPARC_INS_FMUL8SUX16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMUL8ULX16, SPARC_INS_FMUL8ULX16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMUL8X16, SPARC_INS_FMUL8X16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMUL8X16AL, SPARC_INS_FMUL8X16AL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMUL8X16AU, SPARC_INS_FMUL8X16AU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMULD, SPARC_INS_FMULD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMULD8SUX16, SPARC_INS_FMULD8SUX16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMULD8ULX16, SPARC_INS_FMULD8ULX16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMULQ, SPARC_INS_FMULQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FMULS, SPARC_INS_FMULS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNADDD, SPARC_INS_FNADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNADDS, SPARC_INS_FNADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNAND, SPARC_INS_FNAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNANDS, SPARC_INS_FNANDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNEGD, SPARC_INS_FNEGD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNEGQ, SPARC_INS_FNEGQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNEGS, SPARC_INS_FNEGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNHADDD, SPARC_INS_FNHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNHADDS, SPARC_INS_FNHADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNMULD, SPARC_INS_FNHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNMULS, SPARC_INS_FNHADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNOR, SPARC_INS_FNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNORS, SPARC_INS_FNORS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNOT1, SPARC_INS_FNOT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNOT1S, SPARC_INS_FNOT1S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNOT2, SPARC_INS_FNOT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNOT2S, SPARC_INS_FNOT2S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FNSMULD, SPARC_INS_FNHADDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FONE, SPARC_INS_FONE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FONES, SPARC_INS_FONES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FOR, SPARC_INS_FOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FORNOT1, SPARC_INS_FORNOT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FORNOT1S, SPARC_INS_FORNOT1S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FORNOT2, SPARC_INS_FORNOT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FORNOT2S, SPARC_INS_FORNOT2S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FORS, SPARC_INS_FORS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPACK16, SPARC_INS_FPACK16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPACK32, SPARC_INS_FPACK32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPACKFIX, SPARC_INS_FPACKFIX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPADD16, SPARC_INS_FPADD16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPADD16S, SPARC_INS_FPADD16S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPADD32, SPARC_INS_FPADD32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPADD32S, SPARC_INS_FPADD32S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPADD64, SPARC_INS_FPADD64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPMERGE, SPARC_INS_FPMERGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPSUB16, SPARC_INS_FPSUB16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPSUB16S, SPARC_INS_FPSUB16S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPSUB32, SPARC_INS_FPSUB32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FPSUB32S, SPARC_INS_FPSUB32S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FQTOD, SPARC_INS_FQTOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FQTOI, SPARC_INS_FQTOI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FQTOS, SPARC_INS_FQTOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FQTOX, SPARC_INS_FQTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSLAS16, SPARC_INS_FSLAS16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSLAS32, SPARC_INS_FSLAS32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSLL16, SPARC_INS_FSLL16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSLL32, SPARC_INS_FSLL32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSMULD, SPARC_INS_FSMULD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSQRTD, SPARC_INS_FSQRTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSQRTQ, SPARC_INS_FSQRTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSQRTS, SPARC_INS_FSQRTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRA16, SPARC_INS_FSRA16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRA32, SPARC_INS_FSRA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRC1, SPARC_INS_FSRC1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRC1S, SPARC_INS_FSRC1S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRC2, SPARC_INS_FSRC2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRC2S, SPARC_INS_FSRC2S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRL16, SPARC_INS_FSRL16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSRL32, SPARC_INS_FSRL32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSTOD, SPARC_INS_FSTOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSTOI, SPARC_INS_FSTOI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSTOQ, SPARC_INS_FSTOQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSTOX, SPARC_INS_FSTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSUBD, SPARC_INS_FSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSUBQ, SPARC_INS_FSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FSUBS, SPARC_INS_FSUBS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXNOR, SPARC_INS_FXNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXNORS, SPARC_INS_FXNORS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXOR, SPARC_INS_FXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXORS, SPARC_INS_FXORS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXTOD, SPARC_INS_FXTOD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXTOQ, SPARC_INS_FXTOQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FXTOS, SPARC_INS_FXTOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FZERO, SPARC_INS_FZERO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_FZEROS, SPARC_INS_FZEROS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_JMPLri, SPARC_INS_JMPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_JMPLrr, SPARC_INS_JMPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDDFri, SPARC_INS_LDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDDFrr, SPARC_INS_LDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDFri, SPARC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDFrr, SPARC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDQFri, SPARC_INS_LDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDQFrr, SPARC_INS_LDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSBri, SPARC_INS_LDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSBrr, SPARC_INS_LDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSHri, SPARC_INS_LDSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSHrr, SPARC_INS_LDSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSWri, SPARC_INS_LDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDSWrr, SPARC_INS_LDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDUBri, SPARC_INS_LDUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDUBrr, SPARC_INS_LDUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDUHri, SPARC_INS_LDUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDUHrr, SPARC_INS_LDUH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDXri, SPARC_INS_LDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDXrr, SPARC_INS_LDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDri, SPARC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LDrr, SPARC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LEAX_ADDri, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LEA_ADDri, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_32BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_LZCNT, SPARC_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MEMBARi, SPARC_INS_MEMBAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVDTOX, SPARC_INS_MOVDTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVFCCri, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVFCCrr, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVICCri, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVICCrr, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRGEZri, SPARC_INS_MOVRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRGEZrr, SPARC_INS_MOVRGEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRGZri, SPARC_INS_MOVRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRGZrr, SPARC_INS_MOVRGZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRLEZri, SPARC_INS_MOVRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRLEZrr, SPARC_INS_MOVRLEZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRLZri, SPARC_INS_MOVRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRLZrr, SPARC_INS_MOVRLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRNZri, SPARC_INS_MOVRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRNZrr, SPARC_INS_MOVRNZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRRZri, SPARC_INS_MOVRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVRRZrr, SPARC_INS_MOVRZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVSTOSW, SPARC_INS_MOVSTOSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVSTOUW, SPARC_INS_MOVSTOUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVWTOS, SPARC_INS_MOVDTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVXCCri, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVXCCrr, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MOVXTOD, SPARC_INS_MOVDTOX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MULXri, SPARC_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_MULXrr, SPARC_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_NOP, SPARC_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORCCri, SPARC_INS_ORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORCCrr, SPARC_INS_ORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORNCCri, SPARC_INS_ORNCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORNCCrr, SPARC_INS_ORNCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORNri, SPARC_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORNrr, SPARC_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORXNrr, SPARC_INS_ORN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORXri, SPARC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORXrr, SPARC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORri, SPARC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_ORrr, SPARC_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_PDIST, SPARC_INS_PDIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_PDISTN, SPARC_INS_PDISTN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_POPCrr, SPARC_INS_POPC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RDY, SPARC_INS_RD,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_Y, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RESTOREri, SPARC_INS_RESTORE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RESTORErr, SPARC_INS_RESTORE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RET, SPARC_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RETL, SPARC_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RETTri, SPARC_INS_RETT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_RETTrr, SPARC_INS_RETT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SAVEri, SPARC_INS_SAVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SAVErr, SPARC_INS_SAVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVCCri, SPARC_INS_SDIVCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVCCrr, SPARC_INS_SDIVCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVXri, SPARC_INS_SDIVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVXrr, SPARC_INS_SDIVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVri, SPARC_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SDIVrr, SPARC_INS_SDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SETHIXi, SPARC_INS_SETHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SETHIi, SPARC_INS_SETHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SHUTDOWN, SPARC_INS_SHUTDOWN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SIAM, SPARC_INS_SIAM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SLLXri, SPARC_INS_SLLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SLLXrr, SPARC_INS_SLLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SLLri, SPARC_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SLLrr, SPARC_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SMULCCri, SPARC_INS_SMULCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SMULCCrr, SPARC_INS_SMULCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SMULri, SPARC_INS_SMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SMULrr, SPARC_INS_SMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRAXri, SPARC_INS_SRAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRAXrr, SPARC_INS_SRAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRAri, SPARC_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRArr, SPARC_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRLXri, SPARC_INS_SRLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRLXrr, SPARC_INS_SRLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRLri, SPARC_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SRLrr, SPARC_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STBAR, SPARC_INS_STBAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STBri, SPARC_INS_STB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STBrr, SPARC_INS_STB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STDFri, SPARC_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STDFrr, SPARC_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STFri, SPARC_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STFrr, SPARC_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STHri, SPARC_INS_STH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STHrr, SPARC_INS_STH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STQFri, SPARC_INS_STQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STQFrr, SPARC_INS_STQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STXri, SPARC_INS_STX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STXrr, SPARC_INS_STX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STri, SPARC_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_STrr, SPARC_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBCCri, SPARC_INS_SUBCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBCCrr, SPARC_INS_SUBCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBCri, SPARC_INS_SUBX,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBCrr, SPARC_INS_SUBX,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBEri, SPARC_INS_SUBXCC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBErr, SPARC_INS_SUBXCC,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBXri, SPARC_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBXrr, SPARC_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBri, SPARC_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SUBrr, SPARC_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SWAPri, SPARC_INS_SWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_SWAPrr, SPARC_INS_SWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TA3, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TA5, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TADDCCTVri, SPARC_INS_TADDCCTV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TADDCCTVrr, SPARC_INS_TADDCCTV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TADDCCri, SPARC_INS_TADDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TADDCCrr, SPARC_INS_TADDCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TICCri, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TICCrr, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TLS_ADDXrr, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TLS_ADDrr, SPARC_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TLS_CALL, SPARC_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TLS_LDXrr, SPARC_INS_LDX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TLS_LDrr, SPARC_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TSUBCCTVri, SPARC_INS_TSUBCCTV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TSUBCCTVrr, SPARC_INS_TSUBCCTV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TSUBCCri, SPARC_INS_TSUBCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TSUBCCrr, SPARC_INS_TSUBCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TXCCri, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_TXCCrr, SPARC_INS_T,
-#ifndef CAPSTONE_DIET
-		{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVCCri, SPARC_INS_UDIVCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVCCrr, SPARC_INS_UDIVCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVXri, SPARC_INS_UDIVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVXrr, SPARC_INS_UDIVX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVri, SPARC_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UDIVrr, SPARC_INS_UDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UMULCCri, SPARC_INS_UMULCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UMULCCrr, SPARC_INS_UMULCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UMULXHI, SPARC_INS_UMULXHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UMULri, SPARC_INS_UMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UMULrr, SPARC_INS_UMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_UNIMP, SPARC_INS_UNIMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPD, SPARC_INS_FCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPED, SPARC_INS_FCMPED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPEQ, SPARC_INS_FCMPEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPES, SPARC_INS_FCMPES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPQ, SPARC_INS_FCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FCMPS, SPARC_INS_FCMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FMOVD_FCC, SPARC_INS_FMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FMOVQ_FCC, SPARC_INS_FMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9FMOVS_FCC, SPARC_INS_FMOVS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9MOVFCCri, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_V9MOVFCCrr, SPARC_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_WRYri, SPARC_INS_WR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_WRYrr, SPARC_INS_WR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XMULX, SPARC_INS_XMULX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XMULXHI, SPARC_INS_XMULXHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XNORCCri, SPARC_INS_XNORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XNORCCrr, SPARC_INS_XNORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XNORXrr, SPARC_INS_XNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XNORri, SPARC_INS_XNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XNORrr, SPARC_INS_XNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORCCri, SPARC_INS_XORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORCCrr, SPARC_INS_XORCC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORXri, SPARC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORXrr, SPARC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORri, SPARC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SP_XORrr, SPARC_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
+#include "SparcMappingInsn.inc"
 };
 
 static struct hint_map {
@@ -2814,7 +175,7 @@ void Sparc_get_insn_id(cs_struct *h, cs_
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			if (insns[i].branch || insns[i].indirect_branch) {
 				// this insn also belongs to JUMP group. add JUMP group
@@ -3165,15 +526,7 @@ static const name_map group_name_maps[]
 const char *Sparc_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= SPARC_GRP_ENDING || (id > SPARC_GRP_JUMP && id < SPARC_GRP_HARDQUAD))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcMapping.h 4.0.2-3/arch/Sparc/SparcMapping.h
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SPARC_MAP_H
 #define CS_SPARC_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *Sparc_reg_name(csh handle, unsigned int reg);
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcMappingInsn.inc 4.0.2-3/arch/Sparc/SparcMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,2643 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	SP_ADDCCri, SPARC_INS_ADDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDCCrr, SPARC_INS_ADDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDCri, SPARC_INS_ADDX,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDCrr, SPARC_INS_ADDX,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDEri, SPARC_INS_ADDXCC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDErr, SPARC_INS_ADDXCC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDXC, SPARC_INS_ADDXC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDXCCC, SPARC_INS_ADDXCCC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDXri, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDXrr, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDri, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ADDrr, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ALIGNADDR, SPARC_INS_ALIGNADDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_ALIGNADDRL, SPARC_INS_ALIGNADDRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDCCri, SPARC_INS_ANDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDCCrr, SPARC_INS_ANDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDNCCri, SPARC_INS_ANDNCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDNCCrr, SPARC_INS_ANDNCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDNri, SPARC_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDNrr, SPARC_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDXNrr, SPARC_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDXri, SPARC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDXrr, SPARC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDri, SPARC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ANDrr, SPARC_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ARRAY16, SPARC_INS_ARRAY16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_ARRAY32, SPARC_INS_ARRAY32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_ARRAY8, SPARC_INS_ARRAY8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_BA, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SP_BCOND, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SP_BCONDA, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SP_BINDri, SPARC_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	SP_BINDrr, SPARC_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	SP_BMASK, SPARC_INS_BMASK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_BPFCC, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPFCCA, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPFCCANT, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPFCCNT, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGEZapn, SPARC_INS_BRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGEZapt, SPARC_INS_BRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGEZnapn, SPARC_INS_BRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGEZnapt, SPARC_INS_BRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGZapn, SPARC_INS_BRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGZapt, SPARC_INS_BRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGZnapn, SPARC_INS_BRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPGZnapt, SPARC_INS_BRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPICC, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPICCA, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPICCANT, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPICCNT, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLEZapn, SPARC_INS_BRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLEZapt, SPARC_INS_BRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLEZnapn, SPARC_INS_BRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLEZnapt, SPARC_INS_BRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLZapn, SPARC_INS_BRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLZapt, SPARC_INS_BRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLZnapn, SPARC_INS_BRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPLZnapt, SPARC_INS_BRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPNZapn, SPARC_INS_BRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPNZapt, SPARC_INS_BRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPNZnapn, SPARC_INS_BRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPNZnapt, SPARC_INS_BRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPXCC, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPXCCA, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPXCCANT, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPXCCNT, SPARC_INS_B,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPZapn, SPARC_INS_BRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPZapt, SPARC_INS_BRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPZnapn, SPARC_INS_BRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BPZnapt, SPARC_INS_BRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 1, 0
+#endif
+},
+{
+	SP_BSHUFFLE, SPARC_INS_BSHUFFLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_CALL, SPARC_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_CALLri, SPARC_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_CALLrr, SPARC_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_CASXrr, SPARC_INS_CASX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_CASrr, SPARC_INS_CAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_CMASK16, SPARC_INS_CMASK16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_CMASK32, SPARC_INS_CMASK32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_CMASK8, SPARC_INS_CMASK8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_CMPri, SPARC_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_CMPrr, SPARC_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE16, SPARC_INS_EDGE16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE16L, SPARC_INS_EDGE16L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE16LN, SPARC_INS_EDGE16LN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE16N, SPARC_INS_EDGE16N,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE32, SPARC_INS_EDGE32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE32L, SPARC_INS_EDGE32L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE32LN, SPARC_INS_EDGE32LN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE32N, SPARC_INS_EDGE32N,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE8, SPARC_INS_EDGE8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE8L, SPARC_INS_EDGE8L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE8LN, SPARC_INS_EDGE8LN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_EDGE8N, SPARC_INS_EDGE8N,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_FABSD, SPARC_INS_FABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FABSQ, SPARC_INS_FABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FABSS, SPARC_INS_FABSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FADDD, SPARC_INS_FADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FADDQ, SPARC_INS_FADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FADDS, SPARC_INS_FADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FALIGNADATA, SPARC_INS_FALIGNDATA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FAND, SPARC_INS_FAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FANDNOT1, SPARC_INS_FANDNOT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FANDNOT1S, SPARC_INS_FANDNOT1S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FANDNOT2, SPARC_INS_FANDNOT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FANDNOT2S, SPARC_INS_FANDNOT2S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FANDS, SPARC_INS_FANDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FBCOND, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SP_FBCONDA, SPARC_INS_FB,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SP_FCHKSM16, SPARC_INS_FCHKSM16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPD, SPARC_INS_FCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_FCC0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPEQ16, SPARC_INS_FCMPEQ16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPEQ32, SPARC_INS_FCMPEQ32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPGT16, SPARC_INS_FCMPGT16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPGT32, SPARC_INS_FCMPGT32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPLE16, SPARC_INS_FCMPLE16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPLE32, SPARC_INS_FCMPLE32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPNE16, SPARC_INS_FCMPNE16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPNE32, SPARC_INS_FCMPNE32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPQ, SPARC_INS_FCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_FCC0, 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FCMPS, SPARC_INS_FCMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_FCC0, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FDIVD, SPARC_INS_FDIVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FDIVQ, SPARC_INS_FDIVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FDIVS, SPARC_INS_FDIVS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FDMULQ, SPARC_INS_FDMULQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FDTOI, SPARC_INS_FDTOI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FDTOQ, SPARC_INS_FDTOQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FDTOS, SPARC_INS_FDTOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FDTOX, SPARC_INS_FDTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FEXPAND, SPARC_INS_FEXPAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FHADDD, SPARC_INS_FHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FHADDS, SPARC_INS_FHADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FHSUBD, SPARC_INS_FHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FHSUBS, SPARC_INS_FHSUBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FITOD, SPARC_INS_FITOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FITOQ, SPARC_INS_FITOQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FITOS, SPARC_INS_FITOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FLCMPD, SPARC_INS_FLCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FLCMPS, SPARC_INS_FLCMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FLUSHW, SPARC_INS_FLUSHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMEAN16, SPARC_INS_FMEAN16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVD, SPARC_INS_FMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVD_FCC, SPARC_INS_FMOVD,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVD_ICC, SPARC_INS_FMOVD,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVD_XCC, SPARC_INS_FMOVD,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVQ, SPARC_INS_FMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVQ_FCC, SPARC_INS_FMOVQ,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVQ_ICC, SPARC_INS_FMOVQ,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVQ_XCC, SPARC_INS_FMOVQ,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGEZD, SPARC_INS_FMOVRDGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGEZQ, SPARC_INS_FMOVRQGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGEZS, SPARC_INS_FMOVRSGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGZD, SPARC_INS_FMOVRDGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGZQ, SPARC_INS_FMOVRQGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRGZS, SPARC_INS_FMOVRSGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLEZD, SPARC_INS_FMOVRDLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLEZQ, SPARC_INS_FMOVRQLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLEZS, SPARC_INS_FMOVRSLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLZD, SPARC_INS_FMOVRDLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLZQ, SPARC_INS_FMOVRQLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRLZS, SPARC_INS_FMOVRSLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRNZD, SPARC_INS_FMOVRDNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRNZQ, SPARC_INS_FMOVRQNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRNZS, SPARC_INS_FMOVRSNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRZD, SPARC_INS_FMOVRDZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRZQ, SPARC_INS_FMOVRQZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVRZS, SPARC_INS_FMOVRSZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVS, SPARC_INS_FMOVS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVS_FCC, SPARC_INS_FMOVS,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVS_ICC, SPARC_INS_FMOVS,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMOVS_XCC, SPARC_INS_FMOVS,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMUL8SUX16, SPARC_INS_FMUL8SUX16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMUL8ULX16, SPARC_INS_FMUL8ULX16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMUL8X16, SPARC_INS_FMUL8X16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMUL8X16AL, SPARC_INS_FMUL8X16AL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMUL8X16AU, SPARC_INS_FMUL8X16AU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMULD, SPARC_INS_FMULD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FMULD8SUX16, SPARC_INS_FMULD8SUX16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMULD8ULX16, SPARC_INS_FMULD8ULX16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMULQ, SPARC_INS_FMULQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FMULS, SPARC_INS_FMULS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FNADDD, SPARC_INS_FNADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNADDS, SPARC_INS_FNADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNAND, SPARC_INS_FNAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNANDS, SPARC_INS_FNANDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNEGD, SPARC_INS_FNEGD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNEGQ, SPARC_INS_FNEGQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNEGS, SPARC_INS_FNEGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FNHADDD, SPARC_INS_FNHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNHADDS, SPARC_INS_FNHADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNMULD, SPARC_INS_FNHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNMULS, SPARC_INS_FNHADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNOR, SPARC_INS_FNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNORS, SPARC_INS_FNORS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNOT1, SPARC_INS_FNOT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNOT1S, SPARC_INS_FNOT1S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNOT2, SPARC_INS_FNOT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNOT2S, SPARC_INS_FNOT2S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FNSMULD, SPARC_INS_FNHADDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FONE, SPARC_INS_FONE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FONES, SPARC_INS_FONES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FOR, SPARC_INS_FOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FORNOT1, SPARC_INS_FORNOT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FORNOT1S, SPARC_INS_FORNOT1S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FORNOT2, SPARC_INS_FORNOT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FORNOT2S, SPARC_INS_FORNOT2S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FORS, SPARC_INS_FORS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPACK16, SPARC_INS_FPACK16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPACK32, SPARC_INS_FPACK32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPACKFIX, SPARC_INS_FPACKFIX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPADD16, SPARC_INS_FPADD16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPADD16S, SPARC_INS_FPADD16S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPADD32, SPARC_INS_FPADD32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPADD32S, SPARC_INS_FPADD32S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPADD64, SPARC_INS_FPADD64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPMERGE, SPARC_INS_FPMERGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPSUB16, SPARC_INS_FPSUB16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPSUB16S, SPARC_INS_FPSUB16S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPSUB32, SPARC_INS_FPSUB32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FPSUB32S, SPARC_INS_FPSUB32S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FQTOD, SPARC_INS_FQTOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FQTOI, SPARC_INS_FQTOI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FQTOS, SPARC_INS_FQTOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FQTOX, SPARC_INS_FQTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSLAS16, SPARC_INS_FSLAS16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSLAS32, SPARC_INS_FSLAS32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSLL16, SPARC_INS_FSLL16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSLL32, SPARC_INS_FSLL32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSMULD, SPARC_INS_FSMULD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSQRTD, SPARC_INS_FSQRTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSQRTQ, SPARC_INS_FSQRTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSQRTS, SPARC_INS_FSQRTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRA16, SPARC_INS_FSRA16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRA32, SPARC_INS_FSRA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRC1, SPARC_INS_FSRC1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRC1S, SPARC_INS_FSRC1S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRC2, SPARC_INS_FSRC2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRC2S, SPARC_INS_FSRC2S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRL16, SPARC_INS_FSRL16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSRL32, SPARC_INS_FSRL32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSTOD, SPARC_INS_FSTOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSTOI, SPARC_INS_FSTOI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSTOQ, SPARC_INS_FSTOQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSTOX, SPARC_INS_FSTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSUBD, SPARC_INS_FSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FSUBQ, SPARC_INS_FSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_FSUBS, SPARC_INS_FSUBS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_FXNOR, SPARC_INS_FXNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXNORS, SPARC_INS_FXNORS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXOR, SPARC_INS_FXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXORS, SPARC_INS_FXORS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXTOD, SPARC_INS_FXTOD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXTOQ, SPARC_INS_FXTOQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FXTOS, SPARC_INS_FXTOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_FZERO, SPARC_INS_FZERO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_FZEROS, SPARC_INS_FZEROS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_JMPLri, SPARC_INS_JMPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_JMPLrr, SPARC_INS_JMPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDDFri, SPARC_INS_LDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDDFrr, SPARC_INS_LDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDFri, SPARC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDFrr, SPARC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDQFri, SPARC_INS_LDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDQFrr, SPARC_INS_LDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSBri, SPARC_INS_LDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSBrr, SPARC_INS_LDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSHri, SPARC_INS_LDSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSHrr, SPARC_INS_LDSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSWri, SPARC_INS_LDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDSWrr, SPARC_INS_LDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDUBri, SPARC_INS_LDUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDUBrr, SPARC_INS_LDUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDUHri, SPARC_INS_LDUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDUHrr, SPARC_INS_LDUH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDXri, SPARC_INS_LDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDXrr, SPARC_INS_LDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LDri, SPARC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LDrr, SPARC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_LEAX_ADDri, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LEA_ADDri, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_32BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_LZCNT, SPARC_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MEMBARi, SPARC_INS_MEMBAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVDTOX, SPARC_INS_MOVDTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVFCCri, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVFCCrr, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_FCC0, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVICCri, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVICCrr, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRGEZri, SPARC_INS_MOVRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRGEZrr, SPARC_INS_MOVRGEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRGZri, SPARC_INS_MOVRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRGZrr, SPARC_INS_MOVRGZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRLEZri, SPARC_INS_MOVRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRLEZrr, SPARC_INS_MOVRLEZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRLZri, SPARC_INS_MOVRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRLZrr, SPARC_INS_MOVRLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRNZri, SPARC_INS_MOVRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRNZrr, SPARC_INS_MOVRNZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRRZri, SPARC_INS_MOVRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVRRZrr, SPARC_INS_MOVRZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVSTOSW, SPARC_INS_MOVSTOSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVSTOUW, SPARC_INS_MOVSTOUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVWTOS, SPARC_INS_MOVDTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVXCCri, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVXCCrr, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MOVXTOD, SPARC_INS_MOVDTOX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_MULXri, SPARC_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_MULXrr, SPARC_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_NOP, SPARC_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORCCri, SPARC_INS_ORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORCCrr, SPARC_INS_ORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORNCCri, SPARC_INS_ORNCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORNCCrr, SPARC_INS_ORNCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORNri, SPARC_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORNrr, SPARC_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORXNrr, SPARC_INS_ORN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ORXri, SPARC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ORXrr, SPARC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_ORri, SPARC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_ORrr, SPARC_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_PDIST, SPARC_INS_PDIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_PDISTN, SPARC_INS_PDISTN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_POPCrr, SPARC_INS_POPC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_RDY, SPARC_INS_RD,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_Y, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RESTOREri, SPARC_INS_RESTORE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RESTORErr, SPARC_INS_RESTORE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RET, SPARC_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RETL, SPARC_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RETTri, SPARC_INS_RETT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_RETTrr, SPARC_INS_RETT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SAVEri, SPARC_INS_SAVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SAVErr, SPARC_INS_SAVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVCCri, SPARC_INS_SDIVCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVCCrr, SPARC_INS_SDIVCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVXri, SPARC_INS_SDIVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVXrr, SPARC_INS_SDIVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVri, SPARC_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SDIVrr, SPARC_INS_SDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SETHIXi, SPARC_INS_SETHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SETHIi, SPARC_INS_SETHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SHUTDOWN, SPARC_INS_SHUTDOWN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS, 0 }, 0, 0
+#endif
+},
+{
+	SP_SIAM, SPARC_INS_SIAM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS2, 0 }, 0, 0
+#endif
+},
+{
+	SP_SLLXri, SPARC_INS_SLLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SLLXrr, SPARC_INS_SLLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SLLri, SPARC_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SLLrr, SPARC_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SMULCCri, SPARC_INS_SMULCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SMULCCrr, SPARC_INS_SMULCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SMULri, SPARC_INS_SMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SMULrr, SPARC_INS_SMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SRAXri, SPARC_INS_SRAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SRAXrr, SPARC_INS_SRAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SRAri, SPARC_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SRArr, SPARC_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SRLXri, SPARC_INS_SRLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SRLXrr, SPARC_INS_SRLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SRLri, SPARC_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SRLrr, SPARC_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STBAR, SPARC_INS_STBAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STBri, SPARC_INS_STB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STBrr, SPARC_INS_STB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STDFri, SPARC_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STDFrr, SPARC_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STFri, SPARC_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STFrr, SPARC_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STHri, SPARC_INS_STH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STHrr, SPARC_INS_STH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STQFri, SPARC_INS_STQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_STQFrr, SPARC_INS_STQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_STXri, SPARC_INS_STX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_STXrr, SPARC_INS_STX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_STri, SPARC_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_STrr, SPARC_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBCCri, SPARC_INS_SUBCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBCCrr, SPARC_INS_SUBCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBCri, SPARC_INS_SUBX,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBCrr, SPARC_INS_SUBX,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBEri, SPARC_INS_SUBXCC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBErr, SPARC_INS_SUBXCC,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBXri, SPARC_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBXrr, SPARC_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBri, SPARC_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SUBrr, SPARC_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SWAPri, SPARC_INS_SWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_SWAPrr, SPARC_INS_SWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TA3, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TA5, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TADDCCTVri, SPARC_INS_TADDCCTV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TADDCCTVrr, SPARC_INS_TADDCCTV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TADDCCri, SPARC_INS_TADDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TADDCCrr, SPARC_INS_TADDCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TICCri, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TICCrr, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TLS_ADDXrr, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_TLS_ADDrr, SPARC_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TLS_CALL, SPARC_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_O6, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TLS_LDXrr, SPARC_INS_LDX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_TLS_LDrr, SPARC_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TSUBCCTVri, SPARC_INS_TSUBCCTV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TSUBCCTVrr, SPARC_INS_TSUBCCTV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TSUBCCri, SPARC_INS_TSUBCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TSUBCCrr, SPARC_INS_TSUBCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_TXCCri, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_TXCCrr, SPARC_INS_T,
+#ifndef CAPSTONE_DIET
+	{ SPARC_REG_ICC, 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVCCri, SPARC_INS_UDIVCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVCCrr, SPARC_INS_UDIVCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVXri, SPARC_INS_UDIVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVXrr, SPARC_INS_UDIVX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVri, SPARC_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UDIVrr, SPARC_INS_UDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UMULCCri, SPARC_INS_UMULCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UMULCCrr, SPARC_INS_UMULCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UMULXHI, SPARC_INS_UMULXHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_UMULri, SPARC_INS_UMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UMULrr, SPARC_INS_UMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_UNIMP, SPARC_INS_UNIMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPD, SPARC_INS_FCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPED, SPARC_INS_FCMPED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPEQ, SPARC_INS_FCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPES, SPARC_INS_FCMPES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPQ, SPARC_INS_FCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_HARDQUAD, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FCMPS, SPARC_INS_FCMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FMOVD_FCC, SPARC_INS_FMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FMOVQ_FCC, SPARC_INS_FMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9FMOVS_FCC, SPARC_INS_FMOVS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9MOVFCCri, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_V9MOVFCCrr, SPARC_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_V9, 0 }, 0, 0
+#endif
+},
+{
+	SP_WRYri, SPARC_INS_WR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_WRYrr, SPARC_INS_WR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_Y, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XMULX, SPARC_INS_XMULX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_XMULXHI, SPARC_INS_XMULXHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_VIS3, 0 }, 0, 0
+#endif
+},
+{
+	SP_XNORCCri, SPARC_INS_XNORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XNORCCrr, SPARC_INS_XNORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XNORXrr, SPARC_INS_XNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_XNORri, SPARC_INS_XNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XNORrr, SPARC_INS_XNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XORCCri, SPARC_INS_XORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XORCCrr, SPARC_INS_XORCC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SPARC_REG_ICC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XORXri, SPARC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_XORXrr, SPARC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SPARC_GRP_64BIT, 0 }, 0, 0
+#endif
+},
+{
+	SP_XORri, SPARC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SP_XORrr, SPARC_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/Sparc/SparcModule.c 4.0.2-3/arch/Sparc/SparcModule.c
--- 4.0.1+really+3.0.5-2/arch/Sparc/SparcModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/Sparc/SparcModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SPARC
 
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZDisassembler.c 4.0.2-3/arch/SystemZ/SystemZDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SYSZ
 
@@ -19,6 +19,8 @@
 #include "../../cs_priv.h"
 #include "../../utils.h"
 
+#include "SystemZDisassembler.h"
+
 #include "../../MCInst.h"
 #include "../../MCInstrDesc.h"
 #include "../../MCFixedLenDisassembler.h"
@@ -301,7 +303,6 @@ bool SystemZ_getInstruction(csh ud, cons
 		uint16_t *size, uint64_t address, void *info)
 {
 	uint64_t Inst;
-	uint8_t Bytes[6];
 	const uint8_t *Table;
 	uint16_t I; 
 
@@ -322,15 +323,13 @@ bool SystemZ_getInstruction(csh ud, cons
 		return false;
 
 	if (MI->flat_insn->detail) {
-		memset(MI->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, sysz)+sizeof(cs_sysz));
 	}
 
-	memcpy(Bytes, code, *size);
-
 	// Construct the instruction.
 	Inst = 0;
 	for (I = 0; I < *size; ++I)
-		Inst = (Inst << 8) | Bytes[I];
+		Inst = (Inst << 8) | code[I];
 
 	return decodeInstruction(Table, MI, Inst, address, info, 0);
 }
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZDisassembler.h 4.0.2-3/arch/SystemZ/SystemZDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SYSZDISASSEMBLER_H
 #define CS_SYSZDISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenAsmWriter.inc 4.0.2-3/arch/SystemZ/SystemZGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,10 +7,10 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include <stdio.h>	// debug
-#include <platform.h>
+#include <capstone/platform.h>
 
 
 /// printInstruction - This method is automatically generated by tablegen
@@ -38,6 +38,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     4099U,	// A
     4160U,	// ADB
     1055559U,	// ADBR
@@ -431,21 +433,21 @@ static void printInstruction(MCInst *MI,
     13636561U,	// CGF
     15734675U,	// CGFI
     4201823U,	// CGFR
-    11541063U,	// CGFRL
+    16783943U,	// CGFRL
     13636932U,	// CGH
-    16783325U,	// CGHI
-    11541114U,	// CGHRL
+    17831901U,	// CGHI
+    16783994U,	// CGHRL
     337971U,	// CGHSI
     421790U,	// CGIJ
     4201906U,	// CGR
-    17985458U,	// CGRJ
-    11541088U,	// CGRL
+    19034034U,	// CGRJ
+    16783968U,	// CGRL
     14687417U,	// CGXBR
     13636896U,	// CH
     13636608U,	// CHF
     337986U,	// CHHSI
-    16783314U,	// CHI
-    11541108U,	// CHRL
+    17831890U,	// CHI
+    16783988U,	// CHRL
     337957U,	// CHSI
     13639410U,	// CHY
     15734156U,	// CIH
@@ -457,34 +459,34 @@ static void printInstruction(MCInst *MI,
     719330152U,	// CLFDBR
     719330279U,	// CLFEBR
     469035U,	// CLFHSI
-    18880443U,	// CLFI
+    19929019U,	// CLFI
     0U,	// CLFIMux
     719330481U,	// CLFXBR
     13636773U,	// CLG
     719330167U,	// CLGDBR
     719330294U,	// CLGEBR
     13636572U,	// CLGF
-    18880416U,	// CLGFI
+    19928992U,	// CLGFI
     4201836U,	// CLGFR
-    11541070U,	// CLGFRL
-    11541121U,	// CLGHRL
+    16783950U,	// CLGFRL
+    16784001U,	// CLGHRL
     469050U,	// CLGHSI
     552867U,	// CLGIJ
     4201930U,	// CLGR
-    17985463U,	// CLGRJ
-    11541094U,	// CLGRL
+    19034039U,	// CLGRJ
+    16783974U,	// CLGRL
     719330496U,	// CLGXBR
     13636644U,	// CLHF
     469065U,	// CLHHSI
-    11541137U,	// CLHRL
+    16784017U,	// CLHRL
     600077U,	// CLI
-    18879889U,	// CLIH
+    19928465U,	// CLIH
     552873U,	// CLIJ
     601868U,	// CLIY
     0U,	// CLMux
     4202050U,	// CLR
-    17985469U,	// CLRJ
-    11541158U,	// CLRL
+    19034045U,	// CLRJ
+    16784038U,	// CLRL
     4202149U,	// CLST
     0U,	// CLSTLoop
     13639468U,	// CLY
@@ -494,8 +496,8 @@ static void printInstruction(MCInst *MI,
     171973920U,	// CPSDRsd
     171973920U,	// CPSDRss
     4201720U,	// CR
-    17985454U,	// CRJ
-    11541051U,	// CRL
+    19034030U,	// CRJ
+    16783931U,	// CRL
     839917203U,	// CS
     839914722U,	// CSG
     839917379U,	// CSY
@@ -538,7 +540,7 @@ static void printInstruction(MCInst *MI,
     1056143U,	// DSGFR
     1056245U,	// DSGR
     1055901U,	// DXBR
-    19929921U,	// EAR
+    20978497U,	// EAR
     14687103U,	// FIDBR
     719327250U,	// FIDBRA
     14687230U,	// FIEBR
@@ -546,23 +548,24 @@ static void printInstruction(MCInst *MI,
     14687432U,	// FIXBR
     719327282U,	// FIXBRA
     4201960U,	// FLOGR
+    0U,	// GOT
     4267U,	// IC
     4267U,	// IC32
     7884U,	// IC32Y
     7884U,	// ICY
     0U,	// IIFMux
-    18879493U,	// IIHF
+    19928069U,	// IIHF
     0U,	// IIHF64
-    20976988U,	// IIHH
+    22025564U,	// IIHH
     0U,	// IIHH64
-    20977980U,	// IIHL
+    22026556U,	// IIHL
     0U,	// IIHL64
     0U,	// IIHMux
-    18879530U,	// IILF
+    19928106U,	// IILF
     0U,	// IILF64
-    20977141U,	// IILH
+    22025717U,	// IILH
     0U,	// IILH64
-    20978067U,	// IILL
+    22026643U,	// IILL
     0U,	// IILL64
     0U,	// IILMux
     268990U,	// IPM
@@ -579,7 +582,7 @@ static void printInstruction(MCInst *MI,
     977278166U,	// LANG
     977279692U,	// LAO
     977278172U,	// LAOG
-    11541043U,	// LARL
+    16783923U,	// LARL
     977280706U,	// LAX
     977278223U,	// LAXG
     13639367U,	// LAY
@@ -616,20 +619,20 @@ static void printInstruction(MCInst *MI,
     13636567U,	// LGF
     15734682U,	// LGFI
     4201830U,	// LGFR
-    11541071U,	// LGFRL
+    16783951U,	// LGFRL
     13636951U,	// LGH
-    16783331U,	// LGHI
+    17831907U,	// LGHI
     4202009U,	// LGHR
-    11541122U,	// LGHRL
+    16784002U,	// LGHRL
     4201925U,	// LGR
-    11541095U,	// LGRL
+    16783975U,	// LGRL
     13637074U,	// LH
     13636982U,	// LHH
-    16783357U,	// LHI
+    17831933U,	// LHI
     0U,	// LHIMux
     0U,	// LHMux
     4202016U,	// LHR
-    11541138U,	// LHRL
+    16784018U,	// LHRL
     13639415U,	// LHY
     13635769U,	// LLC
     13636894U,	// LLCH
@@ -640,22 +643,22 @@ static void printInstruction(MCInst *MI,
     4201724U,	// LLGCR
     13636578U,	// LLGF
     4201843U,	// LLGFR
-    11541078U,	// LLGFRL
+    16783958U,	// LLGFRL
     13636950U,	// LLGH
     4202008U,	// LLGHR
-    11541129U,	// LLGHRL
+    16784009U,	// LLGHRL
     13637198U,	// LLH
     13636981U,	// LLHH
     0U,	// LLHMux
     4202021U,	// LLHR
-    11541144U,	// LLHRL
+    16784024U,	// LLHRL
     0U,	// LLHRMux
-    18879499U,	// LLIHF
-    22025570U,	// LLIHH
-    22026562U,	// LLIHL
-    18879536U,	// LLILF
-    22025723U,	// LLILH
-    22026649U,	// LLILL
+    19928075U,	// LLIHF
+    23074146U,	// LLIHH
+    23075138U,	// LLIHL
+    19928112U,	// LLILF
+    23074299U,	// LLILH
+    23075225U,	// LLILL
     977278155U,	// LMG
     0U,	// LMux
     4201356U,	// LNDBR
@@ -675,7 +678,7 @@ static void printInstruction(MCInst *MI,
     4202087U,	// LPR
     4201692U,	// LPXBR
     4202041U,	// LR
-    11541159U,	// LRL
+    16784039U,	// LRL
     0U,	// LRMux
     13639351U,	// LRV
     13636866U,	// LRVG
@@ -756,16 +759,16 @@ static void printInstruction(MCInst *MI,
     0U,	// NIFMux
     5248018U,	// NIHF
     0U,	// NIHF64
-    20977001U,	// NIHH
+    22025577U,	// NIHH
     0U,	// NIHH64
-    20977993U,	// NIHL
+    22026569U,	// NIHL
     0U,	// NIHL64
     0U,	// NIHMux
     5248055U,	// NILF
     0U,	// NILF64
-    20977154U,	// NILH
+    22025730U,	// NILH
     0U,	// NILH64
-    20978080U,	// NILL
+    22026656U,	// NILL
     0U,	// NILL64
     0U,	// NILMux
     601874U,	// NIY
@@ -783,16 +786,16 @@ static void printInstruction(MCInst *MI,
     0U,	// OIFMux
     5248024U,	// OIHF
     0U,	// OIHF64
-    20977007U,	// OIHH
+    22025583U,	// OIHH
     0U,	// OIHH64
-    20977999U,	// OIHL
+    22026575U,	// OIHL
     0U,	// OIHL64
     0U,	// OIHMux
     5248061U,	// OILF
     0U,	// OILF64
-    20977160U,	// OILH
+    22025736U,	// OILH
     0U,	// OILH64
-    20978086U,	// OILL
+    22026662U,	// OILL
     0U,	// OILL64
     0U,	// OILMux
     601879U,	// OIY
@@ -873,17 +876,17 @@ static void printInstruction(MCInst *MI,
     13639399U,	// STEY
     13636924U,	// STFH
     13636861U,	// STG
-    11541101U,	// STGRL
+    16783981U,	// STGRL
     13637502U,	// STH
     13636993U,	// STHH
     0U,	// STHMux
-    11541151U,	// STHRL
+    16784031U,	// STHRL
     13639430U,	// STHY
     977278160U,	// STMG
     0U,	// STMux
     44935U,	// STOC
     44945U,	// STOCG
-    11541169U,	// STRL
+    16784049U,	// STRL
     13639356U,	// STRV
     13636872U,	// STRVG
     0U,	// STX
@@ -897,15 +900,17 @@ static void printInstruction(MCInst *MI,
     0U,	// SelectF32
     0U,	// SelectF64
     0U,	// Serialize
+    0U,	// TLS_GDCALL
+    0U,	// TLS_LDCALL
     600771U,	// TM
-    22025595U,	// TMHH
+    23074171U,	// TMHH
     0U,	// TMHH64
-    22026581U,	// TMHL
+    23075157U,	// TMHL
     0U,	// TMHL64
     0U,	// TMHMux
-    22025811U,	// TMLH
+    23074387U,	// TMLH
     0U,	// TMLH64
-    22026668U,	// TMLL
+    23075244U,	// TMLL
     0U,	// TMLL64
     0U,	// TMLMux
     601910U,	// TMY
@@ -1556,7 +1561,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 0 encoded into 4 bits for 11 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 12) & 15);
   switch ((Bits >> 12) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END
     return;
@@ -1634,7 +1639,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 1 encoded into 4 bits for 11 unique commands.
   //printf("Frag-1: %"PRIu64"\n", (Bits >> 16) & 15);
   switch ((Bits >> 16) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // A, ADB, ADBR, AEB, AEBR, AFI, AG, AGF, AGFI, AGFR, AGHI, AGHIK, AGR, A...
     SStream_concat0(O, ", "); 
@@ -1694,10 +1699,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 2 encoded into 5 bits for 22 unique commands.
+  // Fragment 2 encoded into 5 bits for 23 unique commands.
   //printf("Frag-2: %"PRIu64"\n", (Bits >> 20) & 31);
   switch ((Bits >> 20) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // A, ADB, AEB, AG, AGF, AH, AHY, AL, ALC, ALCG, ALG, ALGF, ALY, AY, DDB,...
     printBDXAddrOperand(MI, 2, O); 
@@ -1749,8 +1754,8 @@ static void printInstruction(MCInst *MI,
     printBDAddrOperand(MI, 1, O); 
     break;
   case 11:
-    // BRAS, BRASL, CGFRL, CGHRL, CGRL, CHRL, CLGFRL, CLGHRL, CLGRL, CLHRL, C...
-    printPCRelOperand(MI, 1, O); 
+    // BRAS, BRASL
+    printPCRelTLSOperand(MI, 1, O); 
     return;
     break;
   case 12:
@@ -1775,32 +1780,37 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 16:
+    // CGFRL, CGHRL, CGRL, CHRL, CLGFRL, CLGHRL, CLGRL, CLHRL, CLRL, CRL, LAR...
+    printPCRelOperand(MI, 1, O); 
+    return;
+    break;
+  case 17:
     // CGHI, CHI, LGHI, LHI
     printS16ImmOperand(MI, 1, O); 
     return;
     break;
-  case 17:
+  case 18:
     // CGRJ, CLGRJ, CLRJ, CRJ
     SStream_concat0(O, ", "); 
     printPCRelOperand(MI, 3, O); 
     return;
     break;
-  case 18:
+  case 19:
     // CLFI, CLGFI, CLIH, IIHF, IILF, LLIHF, LLILF
     printU32ImmOperand(MI, 1, O); 
     return;
     break;
-  case 19:
+  case 20:
     // EAR
     printAccessRegOperand(MI, 1, O); 
     return;
     break;
-  case 20:
+  case 21:
     // IIHH, IIHL, IILH, IILL, NIHH, NIHL, NILH, NILL, OIHH, OIHL, OILH, OILL
     printU16ImmOperand(MI, 2, O); 
     return;
     break;
-  case 21:
+  case 22:
     // LLIHH, LLIHL, LLILH, LLILL, TMHH, TMHL, TMLH, TMLL
     printU16ImmOperand(MI, 1, O); 
     return;
@@ -1811,7 +1821,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 3 encoded into 2 bits for 4 unique commands.
   //printf("Frag-3: %"PRIu64"\n", (Bits >> 25) & 3);
   switch ((Bits >> 25) & 3) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADBR, AEBR, AGFR, AGR, ALCGR, ALCR, ALGFR, ALGR, ALR, AR, AXBR, AsmELO...
     return;
@@ -1838,7 +1848,7 @@ static void printInstruction(MCInst *MI,
   // Fragment 4 encoded into 4 bits for 11 unique commands.
   //printf("Frag-4: %"PRIu64"\n", (Bits >> 27) & 15);
   switch ((Bits >> 27) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // AGHIK, AHIK, ALGHSIK, ALHSIK
     printS16ImmOperand(MI, 2, O); 
@@ -1948,7 +1958,7 @@ static const char *getRegisterName(unsig
   /* 108 */ 'c', 'c', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
+  static const uint8_t RegAsmOffset[] = {
     108, 8, 22, 36, 50, 64, 78, 84, 90, 96, 102, 0, 14, 28, 
     42, 56, 70, 8, 22, 64, 78, 96, 102, 28, 42, 8, 22, 36, 
     50, 64, 78, 84, 90, 96, 102, 0, 14, 28, 42, 56, 70, 11, 
@@ -1959,7 +1969,7 @@ static const char *getRegisterName(unsig
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset); i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenDisassemblerTables.inc 4.0.2-3/arch/SystemZ/SystemZGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -29,70 +29,70 @@ static const uint8_t DecoderTable16[] =
 /* 3 */       MCD_OPC_FilterValue, 7, 127, 0, // Skip to: 134
 /* 7 */       MCD_OPC_ExtractField, 4, 4,  // Inst{7-4} ...
 /* 10 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 18
-/* 14 */      MCD_OPC_Decode, 242, 2, 0, // Opcode: AsmOBR
+/* 14 */      MCD_OPC_Decode, 244, 2, 0, // Opcode: AsmOBR
 /* 18 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 26
-/* 22 */      MCD_OPC_Decode, 162, 1, 0, // Opcode: AsmHBR
+/* 22 */      MCD_OPC_Decode, 164, 1, 0, // Opcode: AsmHBR
 /* 26 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 34
-/* 30 */      MCD_OPC_Decode, 207, 2, 0, // Opcode: AsmNLEBR
+/* 30 */      MCD_OPC_Decode, 209, 2, 0, // Opcode: AsmNLEBR
 /* 34 */      MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 42
-/* 38 */      MCD_OPC_Decode, 148, 2, 0, // Opcode: AsmLBR
+/* 38 */      MCD_OPC_Decode, 150, 2, 0, // Opcode: AsmLBR
 /* 42 */      MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 50
-/* 46 */      MCD_OPC_Decode, 189, 2, 0, // Opcode: AsmNHEBR
+/* 46 */      MCD_OPC_Decode, 191, 2, 0, // Opcode: AsmNHEBR
 /* 50 */      MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 58
-/* 54 */      MCD_OPC_Decode, 158, 2, 0, // Opcode: AsmLHBR
+/* 54 */      MCD_OPC_Decode, 160, 2, 0, // Opcode: AsmLHBR
 /* 58 */      MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 66
-/* 62 */      MCD_OPC_Decode, 179, 2, 0, // Opcode: AsmNEBR
+/* 62 */      MCD_OPC_Decode, 181, 2, 0, // Opcode: AsmNEBR
 /* 66 */      MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 74
-/* 70 */      MCD_OPC_Decode, 153, 1, 0, // Opcode: AsmEBR
+/* 70 */      MCD_OPC_Decode, 155, 1, 0, // Opcode: AsmEBR
 /* 74 */      MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 82
-/* 78 */      MCD_OPC_Decode, 216, 2, 0, // Opcode: AsmNLHBR
+/* 78 */      MCD_OPC_Decode, 218, 2, 0, // Opcode: AsmNLHBR
 /* 82 */      MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 90
-/* 86 */      MCD_OPC_Decode, 163, 1, 0, // Opcode: AsmHEBR
+/* 86 */      MCD_OPC_Decode, 165, 1, 0, // Opcode: AsmHEBR
 /* 90 */      MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 98
-/* 94 */      MCD_OPC_Decode, 206, 2, 0, // Opcode: AsmNLBR
+/* 94 */      MCD_OPC_Decode, 208, 2, 0, // Opcode: AsmNLBR
 /* 98 */      MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 106
-/* 102 */     MCD_OPC_Decode, 149, 2, 0, // Opcode: AsmLEBR
+/* 102 */     MCD_OPC_Decode, 151, 2, 0, // Opcode: AsmLEBR
 /* 106 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 114
-/* 110 */     MCD_OPC_Decode, 188, 2, 0, // Opcode: AsmNHBR
+/* 110 */     MCD_OPC_Decode, 190, 2, 0, // Opcode: AsmNHBR
 /* 114 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 122
-/* 118 */     MCD_OPC_Decode, 233, 2, 0, // Opcode: AsmNOBR
+/* 118 */     MCD_OPC_Decode, 235, 2, 0, // Opcode: AsmNOBR
 /* 122 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 130
-/* 126 */     MCD_OPC_Decode, 254, 2, 0, // Opcode: BR
-/* 130 */     MCD_OPC_Decode, 142, 1, 1, // Opcode: AsmBCR
+/* 126 */     MCD_OPC_Decode, 128, 3, 0, // Opcode: BR
+/* 130 */     MCD_OPC_Decode, 144, 1, 1, // Opcode: AsmBCR
 /* 134 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 142
-/* 138 */     MCD_OPC_Decode, 253, 2, 2, // Opcode: BASR
+/* 138 */     MCD_OPC_Decode, 255, 2, 2, // Opcode: BASR
 /* 142 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 150
-/* 146 */     MCD_OPC_Decode, 142, 5, 3, // Opcode: LPR
+/* 146 */     MCD_OPC_Decode, 145, 5, 3, // Opcode: LPR
 /* 150 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 158
-/* 154 */     MCD_OPC_Decode, 132, 5, 3, // Opcode: LNR
+/* 154 */     MCD_OPC_Decode, 135, 5, 3, // Opcode: LNR
 /* 158 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 166
-/* 162 */     MCD_OPC_Decode, 160, 5, 3, // Opcode: LTR
+/* 162 */     MCD_OPC_Decode, 163, 5, 3, // Opcode: LTR
 /* 166 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 174
-/* 170 */     MCD_OPC_Decode, 189, 4, 3, // Opcode: LCR
+/* 170 */     MCD_OPC_Decode, 192, 4, 3, // Opcode: LCR
 /* 174 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 182
-/* 178 */     MCD_OPC_Decode, 239, 5, 4, // Opcode: NR
+/* 178 */     MCD_OPC_Decode, 242, 5, 4, // Opcode: NR
 /* 182 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 190
-/* 186 */     MCD_OPC_Decode, 208, 3, 3, // Opcode: CLR
+/* 186 */     MCD_OPC_Decode, 210, 3, 3, // Opcode: CLR
 /* 190 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 198
-/* 194 */     MCD_OPC_Decode, 138, 6, 4, // Opcode: OR
+/* 194 */     MCD_OPC_Decode, 141, 6, 4, // Opcode: OR
 /* 198 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 206
-/* 202 */     MCD_OPC_Decode, 137, 7, 4, // Opcode: XR
+/* 202 */     MCD_OPC_Decode, 142, 7, 4, // Opcode: XR
 /* 206 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 214
-/* 210 */     MCD_OPC_Decode, 144, 5, 3, // Opcode: LR
+/* 210 */     MCD_OPC_Decode, 147, 5, 3, // Opcode: LR
 /* 214 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 222
-/* 218 */     MCD_OPC_Decode, 219, 3, 3, // Opcode: CR
+/* 218 */     MCD_OPC_Decode, 221, 3, 3, // Opcode: CR
 /* 222 */     MCD_OPC_FilterValue, 26, 3, 0, // Skip to: 229
-/* 226 */     MCD_OPC_Decode, 64, 4, // Opcode: AR
+/* 226 */     MCD_OPC_Decode, 66, 4, // Opcode: AR
 /* 229 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 237
-/* 233 */     MCD_OPC_Decode, 193, 6, 4, // Opcode: SR
+/* 233 */     MCD_OPC_Decode, 196, 6, 4, // Opcode: SR
 /* 237 */     MCD_OPC_FilterValue, 30, 3, 0, // Skip to: 244
-/* 241 */     MCD_OPC_Decode, 61, 4, // Opcode: ALR
+/* 241 */     MCD_OPC_Decode, 63, 4, // Opcode: ALR
 /* 244 */     MCD_OPC_FilterValue, 31, 4, 0, // Skip to: 252
-/* 248 */     MCD_OPC_Decode, 185, 6, 4, // Opcode: SLR
+/* 248 */     MCD_OPC_Decode, 188, 6, 4, // Opcode: SLR
 /* 252 */     MCD_OPC_FilterValue, 40, 4, 0, // Skip to: 260
-/* 256 */     MCD_OPC_Decode, 195, 4, 5, // Opcode: LDR
+/* 256 */     MCD_OPC_Decode, 198, 4, 5, // Opcode: LDR
 /* 260 */     MCD_OPC_FilterValue, 56, 4, 0, // Skip to: 268
-/* 264 */     MCD_OPC_Decode, 202, 4, 6, // Opcode: LER
+/* 264 */     MCD_OPC_Decode, 205, 4, 6, // Opcode: LER
 /* 268 */     MCD_OPC_Fail,
   0
 };
@@ -100,735 +100,735 @@ static const uint8_t DecoderTable16[] =
 static const uint8_t DecoderTable32[] = {
 /* 0 */       MCD_OPC_ExtractField, 24, 8,  // Inst{31-24} ...
 /* 3 */       MCD_OPC_FilterValue, 64, 4, 0, // Skip to: 11
-/* 7 */       MCD_OPC_Decode, 216, 6, 7, // Opcode: STH
+/* 7 */       MCD_OPC_Decode, 219, 6, 7, // Opcode: STH
 /* 11 */      MCD_OPC_FilterValue, 65, 4, 0, // Skip to: 19
-/* 15 */      MCD_OPC_Decode, 168, 4, 8, // Opcode: LA
+/* 15 */      MCD_OPC_Decode, 171, 4, 8, // Opcode: LA
 /* 19 */      MCD_OPC_FilterValue, 66, 4, 0, // Skip to: 27
-/* 23 */      MCD_OPC_Decode, 205, 6, 7, // Opcode: STC
+/* 23 */      MCD_OPC_Decode, 208, 6, 7, // Opcode: STC
 /* 27 */      MCD_OPC_FilterValue, 67, 4, 0, // Skip to: 35
-/* 31 */      MCD_OPC_Decode, 144, 4, 9, // Opcode: IC
+/* 31 */      MCD_OPC_Decode, 147, 4, 9, // Opcode: IC
 /* 35 */      MCD_OPC_FilterValue, 72, 4, 0, // Skip to: 43
-/* 39 */      MCD_OPC_Decode, 221, 4, 7, // Opcode: LH
+/* 39 */      MCD_OPC_Decode, 224, 4, 7, // Opcode: LH
 /* 43 */      MCD_OPC_FilterValue, 73, 4, 0, // Skip to: 51
-/* 47 */      MCD_OPC_Decode, 167, 3, 7, // Opcode: CH
+/* 47 */      MCD_OPC_Decode, 169, 3, 7, // Opcode: CH
 /* 51 */      MCD_OPC_FilterValue, 74, 3, 0, // Skip to: 58
-/* 55 */      MCD_OPC_Decode, 40, 10, // Opcode: AH
+/* 55 */      MCD_OPC_Decode, 42, 10, // Opcode: AH
 /* 58 */      MCD_OPC_FilterValue, 75, 4, 0, // Skip to: 66
-/* 62 */      MCD_OPC_Decode, 168, 6, 10, // Opcode: SH
+/* 62 */      MCD_OPC_Decode, 171, 6, 10, // Opcode: SH
 /* 66 */      MCD_OPC_FilterValue, 76, 4, 0, // Skip to: 74
-/* 70 */      MCD_OPC_Decode, 184, 5, 10, // Opcode: MH
+/* 70 */      MCD_OPC_Decode, 187, 5, 10, // Opcode: MH
 /* 74 */      MCD_OPC_FilterValue, 80, 4, 0, // Skip to: 82
-/* 78 */      MCD_OPC_Decode, 203, 6, 7, // Opcode: ST
+/* 78 */      MCD_OPC_Decode, 206, 6, 7, // Opcode: ST
 /* 82 */      MCD_OPC_FilterValue, 84, 4, 0, // Skip to: 90
-/* 86 */      MCD_OPC_Decode, 215, 5, 10, // Opcode: N
+/* 86 */      MCD_OPC_Decode, 218, 5, 10, // Opcode: N
 /* 90 */      MCD_OPC_FilterValue, 85, 4, 0, // Skip to: 98
-/* 94 */      MCD_OPC_Decode, 176, 3, 7, // Opcode: CL
+/* 94 */      MCD_OPC_Decode, 178, 3, 7, // Opcode: CL
 /* 98 */      MCD_OPC_FilterValue, 86, 4, 0, // Skip to: 106
-/* 102 */     MCD_OPC_Decode, 242, 5, 10, // Opcode: O
+/* 102 */     MCD_OPC_Decode, 245, 5, 10, // Opcode: O
 /* 106 */     MCD_OPC_FilterValue, 87, 4, 0, // Skip to: 114
-/* 110 */     MCD_OPC_Decode, 251, 6, 10, // Opcode: X
+/* 110 */     MCD_OPC_Decode, 128, 7, 10, // Opcode: X
 /* 114 */     MCD_OPC_FilterValue, 88, 4, 0, // Skip to: 122
-/* 118 */     MCD_OPC_Decode, 166, 4, 7, // Opcode: L
+/* 118 */     MCD_OPC_Decode, 169, 4, 7, // Opcode: L
 /* 122 */     MCD_OPC_FilterValue, 89, 4, 0, // Skip to: 130
-/* 126 */     MCD_OPC_Decode, 133, 3, 7, // Opcode: C
+/* 126 */     MCD_OPC_Decode, 135, 3, 7, // Opcode: C
 /* 130 */     MCD_OPC_FilterValue, 90, 3, 0, // Skip to: 137
-/* 134 */     MCD_OPC_Decode, 20, 10, // Opcode: A
+/* 134 */     MCD_OPC_Decode, 22, 10, // Opcode: A
 /* 137 */     MCD_OPC_FilterValue, 91, 4, 0, // Skip to: 145
-/* 141 */     MCD_OPC_Decode, 158, 6, 10, // Opcode: S
+/* 141 */     MCD_OPC_Decode, 161, 6, 10, // Opcode: S
 /* 145 */     MCD_OPC_FilterValue, 94, 3, 0, // Skip to: 152
-/* 149 */     MCD_OPC_Decode, 47, 10, // Opcode: AL
+/* 149 */     MCD_OPC_Decode, 49, 10, // Opcode: AL
 /* 152 */     MCD_OPC_FilterValue, 95, 4, 0, // Skip to: 160
-/* 156 */     MCD_OPC_Decode, 170, 6, 10, // Opcode: SL
+/* 156 */     MCD_OPC_Decode, 173, 6, 10, // Opcode: SL
 /* 160 */     MCD_OPC_FilterValue, 96, 4, 0, // Skip to: 168
-/* 164 */     MCD_OPC_Decode, 209, 6, 11, // Opcode: STD
+/* 164 */     MCD_OPC_Decode, 212, 6, 11, // Opcode: STD
 /* 168 */     MCD_OPC_FilterValue, 104, 4, 0, // Skip to: 176
-/* 172 */     MCD_OPC_Decode, 191, 4, 11, // Opcode: LD
+/* 172 */     MCD_OPC_Decode, 194, 4, 11, // Opcode: LD
 /* 176 */     MCD_OPC_FilterValue, 112, 4, 0, // Skip to: 184
-/* 180 */     MCD_OPC_Decode, 211, 6, 12, // Opcode: STE
+/* 180 */     MCD_OPC_Decode, 214, 6, 12, // Opcode: STE
 /* 184 */     MCD_OPC_FilterValue, 113, 4, 0, // Skip to: 192
-/* 188 */     MCD_OPC_Decode, 189, 5, 10, // Opcode: MS
+/* 188 */     MCD_OPC_Decode, 192, 5, 10, // Opcode: MS
 /* 192 */     MCD_OPC_FilterValue, 120, 4, 0, // Skip to: 200
-/* 196 */     MCD_OPC_Decode, 199, 4, 12, // Opcode: LE
+/* 196 */     MCD_OPC_Decode, 202, 4, 12, // Opcode: LE
 /* 200 */     MCD_OPC_FilterValue, 136, 1, 10, 0, // Skip to: 215
 /* 205 */     MCD_OPC_CheckField, 16, 4, 0, 218, 11, // Skip to: 3245
-/* 211 */     MCD_OPC_Decode, 198, 6, 13, // Opcode: SRL
+/* 211 */     MCD_OPC_Decode, 201, 6, 13, // Opcode: SRL
 /* 215 */     MCD_OPC_FilterValue, 137, 1, 10, 0, // Skip to: 230
 /* 220 */     MCD_OPC_CheckField, 16, 4, 0, 203, 11, // Skip to: 3245
-/* 226 */     MCD_OPC_Decode, 182, 6, 13, // Opcode: SLL
+/* 226 */     MCD_OPC_Decode, 185, 6, 13, // Opcode: SLL
 /* 230 */     MCD_OPC_FilterValue, 138, 1, 10, 0, // Skip to: 245
 /* 235 */     MCD_OPC_CheckField, 16, 4, 0, 188, 11, // Skip to: 3245
-/* 241 */     MCD_OPC_Decode, 194, 6, 13, // Opcode: SRA
+/* 241 */     MCD_OPC_Decode, 197, 6, 13, // Opcode: SRA
 /* 245 */     MCD_OPC_FilterValue, 145, 1, 4, 0, // Skip to: 254
-/* 250 */     MCD_OPC_Decode, 239, 6, 14, // Opcode: TM
+/* 250 */     MCD_OPC_Decode, 244, 6, 14, // Opcode: TM
 /* 254 */     MCD_OPC_FilterValue, 146, 1, 4, 0, // Skip to: 263
-/* 259 */     MCD_OPC_Decode, 208, 5, 14, // Opcode: MVI
+/* 259 */     MCD_OPC_Decode, 211, 5, 14, // Opcode: MVI
 /* 263 */     MCD_OPC_FilterValue, 148, 1, 4, 0, // Skip to: 272
-/* 268 */     MCD_OPC_Decode, 222, 5, 14, // Opcode: NI
+/* 268 */     MCD_OPC_Decode, 225, 5, 14, // Opcode: NI
 /* 272 */     MCD_OPC_FilterValue, 149, 1, 4, 0, // Skip to: 281
-/* 277 */     MCD_OPC_Decode, 203, 3, 14, // Opcode: CLI
+/* 277 */     MCD_OPC_Decode, 205, 3, 14, // Opcode: CLI
 /* 281 */     MCD_OPC_FilterValue, 150, 1, 4, 0, // Skip to: 290
-/* 286 */     MCD_OPC_Decode, 249, 5, 14, // Opcode: OI
+/* 286 */     MCD_OPC_Decode, 252, 5, 14, // Opcode: OI
 /* 290 */     MCD_OPC_FilterValue, 151, 1, 4, 0, // Skip to: 299
-/* 295 */     MCD_OPC_Decode, 130, 7, 14, // Opcode: XI
+/* 295 */     MCD_OPC_Decode, 135, 7, 14, // Opcode: XI
 /* 299 */     MCD_OPC_FilterValue, 165, 1, 131, 0, // Skip to: 435
 /* 304 */     MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 307 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 315
-/* 311 */     MCD_OPC_Decode, 151, 4, 15, // Opcode: IIHH
+/* 311 */     MCD_OPC_Decode, 154, 4, 15, // Opcode: IIHH
 /* 315 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 323
-/* 319 */     MCD_OPC_Decode, 153, 4, 15, // Opcode: IIHL
+/* 319 */     MCD_OPC_Decode, 156, 4, 15, // Opcode: IIHL
 /* 323 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 331
-/* 327 */     MCD_OPC_Decode, 158, 4, 16, // Opcode: IILH
+/* 327 */     MCD_OPC_Decode, 161, 4, 16, // Opcode: IILH
 /* 331 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 339
-/* 335 */     MCD_OPC_Decode, 160, 4, 16, // Opcode: IILL
+/* 335 */     MCD_OPC_Decode, 163, 4, 16, // Opcode: IILL
 /* 339 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 347
-/* 343 */     MCD_OPC_Decode, 226, 5, 15, // Opcode: NIHH
+/* 343 */     MCD_OPC_Decode, 229, 5, 15, // Opcode: NIHH
 /* 347 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 355
-/* 351 */     MCD_OPC_Decode, 228, 5, 15, // Opcode: NIHL
+/* 351 */     MCD_OPC_Decode, 231, 5, 15, // Opcode: NIHL
 /* 355 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 363
-/* 359 */     MCD_OPC_Decode, 233, 5, 16, // Opcode: NILH
+/* 359 */     MCD_OPC_Decode, 236, 5, 16, // Opcode: NILH
 /* 363 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 371
-/* 367 */     MCD_OPC_Decode, 235, 5, 16, // Opcode: NILL
+/* 367 */     MCD_OPC_Decode, 238, 5, 16, // Opcode: NILL
 /* 371 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 379
-/* 375 */     MCD_OPC_Decode, 253, 5, 15, // Opcode: OIHH
+/* 375 */     MCD_OPC_Decode, 128, 6, 15, // Opcode: OIHH
 /* 379 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 387
-/* 383 */     MCD_OPC_Decode, 255, 5, 15, // Opcode: OIHL
+/* 383 */     MCD_OPC_Decode, 130, 6, 15, // Opcode: OIHL
 /* 387 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 395
-/* 391 */     MCD_OPC_Decode, 132, 6, 16, // Opcode: OILH
+/* 391 */     MCD_OPC_Decode, 135, 6, 16, // Opcode: OILH
 /* 395 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 403
-/* 399 */     MCD_OPC_Decode, 134, 6, 16, // Opcode: OILL
+/* 399 */     MCD_OPC_Decode, 137, 6, 16, // Opcode: OILL
 /* 403 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 411
-/* 407 */     MCD_OPC_Decode, 249, 4, 17, // Opcode: LLIHH
+/* 407 */     MCD_OPC_Decode, 252, 4, 17, // Opcode: LLIHH
 /* 411 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 419
-/* 415 */     MCD_OPC_Decode, 250, 4, 17, // Opcode: LLIHL
+/* 415 */     MCD_OPC_Decode, 253, 4, 17, // Opcode: LLIHL
 /* 419 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 427
-/* 423 */     MCD_OPC_Decode, 252, 4, 17, // Opcode: LLILH
+/* 423 */     MCD_OPC_Decode, 255, 4, 17, // Opcode: LLILH
 /* 427 */     MCD_OPC_FilterValue, 15, 254, 10, // Skip to: 3245
-/* 431 */     MCD_OPC_Decode, 253, 4, 17, // Opcode: LLILL
+/* 431 */     MCD_OPC_Decode, 128, 5, 17, // Opcode: LLILL
 /* 435 */     MCD_OPC_FilterValue, 167, 1, 252, 0, // Skip to: 692
 /* 440 */     MCD_OPC_ExtractField, 16, 4,  // Inst{19-16} ...
 /* 443 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 451
-/* 447 */     MCD_OPC_Decode, 245, 6, 18, // Opcode: TMLH
+/* 447 */     MCD_OPC_Decode, 250, 6, 18, // Opcode: TMLH
 /* 451 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 459
-/* 455 */     MCD_OPC_Decode, 247, 6, 18, // Opcode: TMLL
+/* 455 */     MCD_OPC_Decode, 252, 6, 18, // Opcode: TMLL
 /* 459 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 467
-/* 463 */     MCD_OPC_Decode, 240, 6, 19, // Opcode: TMHH
+/* 463 */     MCD_OPC_Decode, 245, 6, 19, // Opcode: TMHH
 /* 467 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 475
-/* 471 */     MCD_OPC_Decode, 242, 6, 19, // Opcode: TMHL
+/* 471 */     MCD_OPC_Decode, 247, 6, 19, // Opcode: TMHL
 /* 475 */     MCD_OPC_FilterValue, 4, 127, 0, // Skip to: 606
 /* 479 */     MCD_OPC_ExtractField, 20, 4,  // Inst{23-20} ...
 /* 482 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 490
-/* 486 */     MCD_OPC_Decode, 243, 2, 20, // Opcode: AsmOJ
+/* 486 */     MCD_OPC_Decode, 245, 2, 20, // Opcode: AsmOJ
 /* 490 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 498
-/* 494 */     MCD_OPC_Decode, 172, 1, 20, // Opcode: AsmHJ
+/* 494 */     MCD_OPC_Decode, 174, 1, 20, // Opcode: AsmHJ
 /* 498 */     MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 506
-/* 502 */     MCD_OPC_Decode, 208, 2, 20, // Opcode: AsmNLEJ
+/* 502 */     MCD_OPC_Decode, 210, 2, 20, // Opcode: AsmNLEJ
 /* 506 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 514
-/* 510 */     MCD_OPC_Decode, 167, 2, 20, // Opcode: AsmLJ
+/* 510 */     MCD_OPC_Decode, 169, 2, 20, // Opcode: AsmLJ
 /* 514 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 522
-/* 518 */     MCD_OPC_Decode, 190, 2, 20, // Opcode: AsmNHEJ
+/* 518 */     MCD_OPC_Decode, 192, 2, 20, // Opcode: AsmNHEJ
 /* 522 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 530
-/* 526 */     MCD_OPC_Decode, 159, 2, 20, // Opcode: AsmLHJ
+/* 526 */     MCD_OPC_Decode, 161, 2, 20, // Opcode: AsmLHJ
 /* 530 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 538
-/* 534 */     MCD_OPC_Decode, 180, 2, 20, // Opcode: AsmNEJ
+/* 534 */     MCD_OPC_Decode, 182, 2, 20, // Opcode: AsmNEJ
 /* 538 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 546
-/* 542 */     MCD_OPC_Decode, 154, 1, 20, // Opcode: AsmEJ
+/* 542 */     MCD_OPC_Decode, 156, 1, 20, // Opcode: AsmEJ
 /* 546 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 554
-/* 550 */     MCD_OPC_Decode, 217, 2, 20, // Opcode: AsmNLHJ
+/* 550 */     MCD_OPC_Decode, 219, 2, 20, // Opcode: AsmNLHJ
 /* 554 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 562
-/* 558 */     MCD_OPC_Decode, 164, 1, 20, // Opcode: AsmHEJ
+/* 558 */     MCD_OPC_Decode, 166, 1, 20, // Opcode: AsmHEJ
 /* 562 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 570
-/* 566 */     MCD_OPC_Decode, 225, 2, 20, // Opcode: AsmNLJ
+/* 566 */     MCD_OPC_Decode, 227, 2, 20, // Opcode: AsmNLJ
 /* 570 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 578
-/* 574 */     MCD_OPC_Decode, 150, 2, 20, // Opcode: AsmLEJ
+/* 574 */     MCD_OPC_Decode, 152, 2, 20, // Opcode: AsmLEJ
 /* 578 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 586
-/* 582 */     MCD_OPC_Decode, 198, 2, 20, // Opcode: AsmNHJ
+/* 582 */     MCD_OPC_Decode, 200, 2, 20, // Opcode: AsmNHJ
 /* 586 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 594
-/* 590 */     MCD_OPC_Decode, 234, 2, 20, // Opcode: AsmNOJ
+/* 590 */     MCD_OPC_Decode, 236, 2, 20, // Opcode: AsmNOJ
 /* 594 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 602
-/* 598 */     MCD_OPC_Decode, 164, 4, 20, // Opcode: J
-/* 602 */     MCD_OPC_Decode, 143, 1, 21, // Opcode: AsmBRC
+/* 598 */     MCD_OPC_Decode, 167, 4, 20, // Opcode: J
+/* 602 */     MCD_OPC_Decode, 145, 1, 21, // Opcode: AsmBRC
 /* 606 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 614
-/* 610 */     MCD_OPC_Decode, 255, 2, 22, // Opcode: BRAS
+/* 610 */     MCD_OPC_Decode, 129, 3, 22, // Opcode: BRAS
 /* 614 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 622
-/* 618 */     MCD_OPC_Decode, 131, 3, 23, // Opcode: BRCT
+/* 618 */     MCD_OPC_Decode, 133, 3, 23, // Opcode: BRCT
 /* 622 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 630
-/* 626 */     MCD_OPC_Decode, 132, 3, 24, // Opcode: BRCTG
+/* 626 */     MCD_OPC_Decode, 134, 3, 24, // Opcode: BRCTG
 /* 630 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 638
-/* 634 */     MCD_OPC_Decode, 223, 4, 25, // Opcode: LHI
+/* 634 */     MCD_OPC_Decode, 226, 4, 25, // Opcode: LHI
 /* 638 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 646
-/* 642 */     MCD_OPC_Decode, 216, 4, 26, // Opcode: LGHI
+/* 642 */     MCD_OPC_Decode, 219, 4, 26, // Opcode: LGHI
 /* 646 */     MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 653
-/* 650 */     MCD_OPC_Decode, 41, 27, // Opcode: AHI
+/* 650 */     MCD_OPC_Decode, 43, 27, // Opcode: AHI
 /* 653 */     MCD_OPC_FilterValue, 11, 3, 0, // Skip to: 660
-/* 657 */     MCD_OPC_Decode, 35, 28, // Opcode: AGHI
+/* 657 */     MCD_OPC_Decode, 37, 28, // Opcode: AGHI
 /* 660 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 668
-/* 664 */     MCD_OPC_Decode, 185, 5, 27, // Opcode: MHI
+/* 664 */     MCD_OPC_Decode, 188, 5, 27, // Opcode: MHI
 /* 668 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 676
-/* 672 */     MCD_OPC_Decode, 183, 5, 28, // Opcode: MGHI
+/* 672 */     MCD_OPC_Decode, 186, 5, 28, // Opcode: MGHI
 /* 676 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 684
-/* 680 */     MCD_OPC_Decode, 170, 3, 25, // Opcode: CHI
+/* 680 */     MCD_OPC_Decode, 172, 3, 25, // Opcode: CHI
 /* 684 */     MCD_OPC_FilterValue, 15, 253, 9, // Skip to: 3245
-/* 688 */     MCD_OPC_Decode, 159, 3, 26, // Opcode: CGHI
+/* 688 */     MCD_OPC_Decode, 161, 3, 26, // Opcode: CGHI
 /* 692 */     MCD_OPC_FilterValue, 178, 1, 68, 0, // Skip to: 765
 /* 697 */     MCD_OPC_ExtractField, 8, 16,  // Inst{23-8} ...
 /* 700 */     MCD_OPC_FilterValue, 128, 68, 10, 0, // Skip to: 715
 /* 705 */     MCD_OPC_CheckField, 0, 4, 0, 230, 9, // Skip to: 3245
-/* 711 */     MCD_OPC_Decode, 163, 4, 29, // Opcode: IPM
+/* 711 */     MCD_OPC_Decode, 166, 4, 29, // Opcode: IPM
 /* 715 */     MCD_OPC_FilterValue, 128, 158, 1, 4, 0, // Skip to: 725
-/* 721 */     MCD_OPC_Decode, 136, 4, 30, // Opcode: EAR
+/* 721 */     MCD_OPC_Decode, 138, 4, 30, // Opcode: EAR
 /* 725 */     MCD_OPC_FilterValue, 128, 164, 1, 4, 0, // Skip to: 735
-/* 731 */     MCD_OPC_Decode, 200, 5, 4, // Opcode: MSR
+/* 731 */     MCD_OPC_Decode, 203, 5, 4, // Opcode: MSR
 /* 735 */     MCD_OPC_FilterValue, 128, 170, 1, 4, 0, // Skip to: 745
-/* 741 */     MCD_OPC_Decode, 210, 5, 31, // Opcode: MVST
+/* 741 */     MCD_OPC_Decode, 213, 5, 31, // Opcode: MVST
 /* 745 */     MCD_OPC_FilterValue, 128, 186, 1, 4, 0, // Skip to: 755
-/* 751 */     MCD_OPC_Decode, 211, 3, 31, // Opcode: CLST
+/* 751 */     MCD_OPC_Decode, 213, 3, 31, // Opcode: CLST
 /* 755 */     MCD_OPC_FilterValue, 128, 188, 1, 180, 9, // Skip to: 3245
-/* 761 */     MCD_OPC_Decode, 201, 6, 31, // Opcode: SRST
+/* 761 */     MCD_OPC_Decode, 204, 6, 31, // Opcode: SRST
 /* 765 */     MCD_OPC_FilterValue, 179, 1, 109, 4, // Skip to: 1903
 /* 770 */     MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
 /* 773 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 787
 /* 777 */     MCD_OPC_CheckField, 8, 8, 0, 158, 9, // Skip to: 3245
-/* 783 */     MCD_OPC_Decode, 139, 5, 6, // Opcode: LPEBR
+/* 783 */     MCD_OPC_Decode, 142, 5, 6, // Opcode: LPEBR
 /* 787 */     MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 801
 /* 791 */     MCD_OPC_CheckField, 8, 8, 0, 144, 9, // Skip to: 3245
-/* 797 */     MCD_OPC_Decode, 129, 5, 6, // Opcode: LNEBR
+/* 797 */     MCD_OPC_Decode, 132, 5, 6, // Opcode: LNEBR
 /* 801 */     MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 815
 /* 805 */     MCD_OPC_CheckField, 8, 8, 0, 130, 9, // Skip to: 3245
-/* 811 */     MCD_OPC_Decode, 154, 5, 6, // Opcode: LTEBR
+/* 811 */     MCD_OPC_Decode, 157, 5, 6, // Opcode: LTEBR
 /* 815 */     MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 829
 /* 819 */     MCD_OPC_CheckField, 8, 8, 0, 116, 9, // Skip to: 3245
-/* 825 */     MCD_OPC_Decode, 186, 4, 6, // Opcode: LCEBR
+/* 825 */     MCD_OPC_Decode, 189, 4, 6, // Opcode: LCEBR
 /* 829 */     MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 843
 /* 833 */     MCD_OPC_CheckField, 8, 8, 0, 102, 9, // Skip to: 3245
-/* 839 */     MCD_OPC_Decode, 193, 4, 32, // Opcode: LDEBR
+/* 839 */     MCD_OPC_Decode, 196, 4, 32, // Opcode: LDEBR
 /* 843 */     MCD_OPC_FilterValue, 5, 10, 0, // Skip to: 857
 /* 847 */     MCD_OPC_CheckField, 8, 8, 0, 88, 9, // Skip to: 3245
-/* 853 */     MCD_OPC_Decode, 165, 5, 33, // Opcode: LXDBR
+/* 853 */     MCD_OPC_Decode, 168, 5, 33, // Opcode: LXDBR
 /* 857 */     MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 871
 /* 861 */     MCD_OPC_CheckField, 8, 8, 0, 74, 9, // Skip to: 3245
-/* 867 */     MCD_OPC_Decode, 167, 5, 34, // Opcode: LXEBR
+/* 867 */     MCD_OPC_Decode, 170, 5, 34, // Opcode: LXEBR
 /* 871 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 885
 /* 875 */     MCD_OPC_CheckField, 8, 8, 0, 60, 9, // Skip to: 3245
-/* 881 */     MCD_OPC_Decode, 214, 5, 35, // Opcode: MXDBR
+/* 881 */     MCD_OPC_Decode, 217, 5, 35, // Opcode: MXDBR
 /* 885 */     MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 899
 /* 889 */     MCD_OPC_CheckField, 8, 8, 0, 46, 9, // Skip to: 3245
-/* 895 */     MCD_OPC_Decode, 141, 3, 6, // Opcode: CEBR
+/* 895 */     MCD_OPC_Decode, 143, 3, 6, // Opcode: CEBR
 /* 899 */     MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 912
 /* 903 */     MCD_OPC_CheckField, 8, 8, 0, 32, 9, // Skip to: 3245
-/* 909 */     MCD_OPC_Decode, 27, 36, // Opcode: AEBR
+/* 909 */     MCD_OPC_Decode, 29, 36, // Opcode: AEBR
 /* 912 */     MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 926
 /* 916 */     MCD_OPC_CheckField, 8, 8, 0, 19, 9, // Skip to: 3245
-/* 922 */     MCD_OPC_Decode, 162, 6, 36, // Opcode: SEBR
+/* 922 */     MCD_OPC_Decode, 165, 6, 36, // Opcode: SEBR
 /* 926 */     MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 940
 /* 930 */     MCD_OPC_CheckField, 8, 8, 0, 5, 9, // Skip to: 3245
-/* 936 */     MCD_OPC_Decode, 180, 5, 37, // Opcode: MDEBR
+/* 936 */     MCD_OPC_Decode, 183, 5, 37, // Opcode: MDEBR
 /* 940 */     MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 954
 /* 944 */     MCD_OPC_CheckField, 8, 8, 0, 247, 8, // Skip to: 3245
-/* 950 */     MCD_OPC_Decode, 254, 3, 36, // Opcode: DEBR
+/* 950 */     MCD_OPC_Decode, 128, 4, 36, // Opcode: DEBR
 /* 954 */     MCD_OPC_FilterValue, 14, 10, 0, // Skip to: 968
 /* 958 */     MCD_OPC_CheckField, 8, 4, 0, 233, 8, // Skip to: 3245
-/* 964 */     MCD_OPC_Decode, 176, 5, 38, // Opcode: MAEBR
+/* 964 */     MCD_OPC_Decode, 179, 5, 38, // Opcode: MAEBR
 /* 968 */     MCD_OPC_FilterValue, 15, 10, 0, // Skip to: 982
 /* 972 */     MCD_OPC_CheckField, 8, 4, 0, 219, 8, // Skip to: 3245
-/* 978 */     MCD_OPC_Decode, 193, 5, 38, // Opcode: MSEBR
+/* 978 */     MCD_OPC_Decode, 196, 5, 38, // Opcode: MSEBR
 /* 982 */     MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 996
 /* 986 */     MCD_OPC_CheckField, 8, 8, 0, 205, 8, // Skip to: 3245
-/* 992 */     MCD_OPC_Decode, 138, 5, 5, // Opcode: LPDBR
+/* 992 */     MCD_OPC_Decode, 141, 5, 5, // Opcode: LPDBR
 /* 996 */     MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 1010
 /* 1000 */    MCD_OPC_CheckField, 8, 8, 0, 191, 8, // Skip to: 3245
-/* 1006 */    MCD_OPC_Decode, 128, 5, 5, // Opcode: LNDBR
+/* 1006 */    MCD_OPC_Decode, 131, 5, 5, // Opcode: LNDBR
 /* 1010 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 1024
 /* 1014 */    MCD_OPC_CheckField, 8, 8, 0, 177, 8, // Skip to: 3245
-/* 1020 */    MCD_OPC_Decode, 152, 5, 5, // Opcode: LTDBR
+/* 1020 */    MCD_OPC_Decode, 155, 5, 5, // Opcode: LTDBR
 /* 1024 */    MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 1038
 /* 1028 */    MCD_OPC_CheckField, 8, 8, 0, 163, 8, // Skip to: 3245
-/* 1034 */    MCD_OPC_Decode, 185, 4, 5, // Opcode: LCDBR
+/* 1034 */    MCD_OPC_Decode, 188, 4, 5, // Opcode: LCDBR
 /* 1038 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 1052
 /* 1042 */    MCD_OPC_CheckField, 8, 8, 0, 149, 8, // Skip to: 3245
-/* 1048 */    MCD_OPC_Decode, 191, 6, 6, // Opcode: SQEBR
+/* 1048 */    MCD_OPC_Decode, 194, 6, 6, // Opcode: SQEBR
 /* 1052 */    MCD_OPC_FilterValue, 21, 10, 0, // Skip to: 1066
 /* 1056 */    MCD_OPC_CheckField, 8, 8, 0, 135, 8, // Skip to: 3245
-/* 1062 */    MCD_OPC_Decode, 189, 6, 5, // Opcode: SQDBR
+/* 1062 */    MCD_OPC_Decode, 192, 6, 5, // Opcode: SQDBR
 /* 1066 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 1080
 /* 1070 */    MCD_OPC_CheckField, 8, 8, 0, 121, 8, // Skip to: 3245
-/* 1076 */    MCD_OPC_Decode, 192, 6, 39, // Opcode: SQXBR
+/* 1076 */    MCD_OPC_Decode, 195, 6, 39, // Opcode: SQXBR
 /* 1080 */    MCD_OPC_FilterValue, 23, 10, 0, // Skip to: 1094
 /* 1084 */    MCD_OPC_CheckField, 8, 8, 0, 107, 8, // Skip to: 3245
-/* 1090 */    MCD_OPC_Decode, 182, 5, 36, // Opcode: MEEBR
+/* 1090 */    MCD_OPC_Decode, 185, 5, 36, // Opcode: MEEBR
 /* 1094 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 1108
 /* 1098 */    MCD_OPC_CheckField, 8, 8, 0, 93, 8, // Skip to: 3245
-/* 1104 */    MCD_OPC_Decode, 135, 3, 5, // Opcode: CDBR
+/* 1104 */    MCD_OPC_Decode, 137, 3, 5, // Opcode: CDBR
 /* 1108 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 1121
 /* 1112 */    MCD_OPC_CheckField, 8, 8, 0, 79, 8, // Skip to: 3245
-/* 1118 */    MCD_OPC_Decode, 22, 40, // Opcode: ADBR
+/* 1118 */    MCD_OPC_Decode, 24, 40, // Opcode: ADBR
 /* 1121 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 1135
 /* 1125 */    MCD_OPC_CheckField, 8, 8, 0, 66, 8, // Skip to: 3245
-/* 1131 */    MCD_OPC_Decode, 160, 6, 40, // Opcode: SDBR
+/* 1131 */    MCD_OPC_Decode, 163, 6, 40, // Opcode: SDBR
 /* 1135 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 1149
 /* 1139 */    MCD_OPC_CheckField, 8, 8, 0, 52, 8, // Skip to: 3245
-/* 1145 */    MCD_OPC_Decode, 178, 5, 40, // Opcode: MDBR
+/* 1145 */    MCD_OPC_Decode, 181, 5, 40, // Opcode: MDBR
 /* 1149 */    MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 1163
 /* 1153 */    MCD_OPC_CheckField, 8, 8, 0, 38, 8, // Skip to: 3245
-/* 1159 */    MCD_OPC_Decode, 252, 3, 40, // Opcode: DDBR
+/* 1159 */    MCD_OPC_Decode, 254, 3, 40, // Opcode: DDBR
 /* 1163 */    MCD_OPC_FilterValue, 30, 10, 0, // Skip to: 1177
 /* 1167 */    MCD_OPC_CheckField, 8, 4, 0, 24, 8, // Skip to: 3245
-/* 1173 */    MCD_OPC_Decode, 174, 5, 41, // Opcode: MADBR
+/* 1173 */    MCD_OPC_Decode, 177, 5, 41, // Opcode: MADBR
 /* 1177 */    MCD_OPC_FilterValue, 31, 10, 0, // Skip to: 1191
 /* 1181 */    MCD_OPC_CheckField, 8, 4, 0, 10, 8, // Skip to: 3245
-/* 1187 */    MCD_OPC_Decode, 191, 5, 41, // Opcode: MSDBR
+/* 1187 */    MCD_OPC_Decode, 194, 5, 41, // Opcode: MSDBR
 /* 1191 */    MCD_OPC_FilterValue, 64, 10, 0, // Skip to: 1205
 /* 1195 */    MCD_OPC_CheckField, 8, 8, 0, 252, 7, // Skip to: 3245
-/* 1201 */    MCD_OPC_Decode, 143, 5, 39, // Opcode: LPXBR
+/* 1201 */    MCD_OPC_Decode, 146, 5, 39, // Opcode: LPXBR
 /* 1205 */    MCD_OPC_FilterValue, 65, 10, 0, // Skip to: 1219
 /* 1209 */    MCD_OPC_CheckField, 8, 8, 0, 238, 7, // Skip to: 3245
-/* 1215 */    MCD_OPC_Decode, 133, 5, 39, // Opcode: LNXBR
+/* 1215 */    MCD_OPC_Decode, 136, 5, 39, // Opcode: LNXBR
 /* 1219 */    MCD_OPC_FilterValue, 66, 10, 0, // Skip to: 1233
 /* 1223 */    MCD_OPC_CheckField, 8, 8, 0, 224, 7, // Skip to: 3245
-/* 1229 */    MCD_OPC_Decode, 161, 5, 39, // Opcode: LTXBR
+/* 1229 */    MCD_OPC_Decode, 164, 5, 39, // Opcode: LTXBR
 /* 1233 */    MCD_OPC_FilterValue, 67, 10, 0, // Skip to: 1247
 /* 1237 */    MCD_OPC_CheckField, 8, 8, 0, 210, 7, // Skip to: 3245
-/* 1243 */    MCD_OPC_Decode, 190, 4, 39, // Opcode: LCXBR
+/* 1243 */    MCD_OPC_Decode, 193, 4, 39, // Opcode: LCXBR
 /* 1247 */    MCD_OPC_FilterValue, 68, 18, 0, // Skip to: 1269
 /* 1251 */    MCD_OPC_CheckField, 8, 8, 0, 4, 0, // Skip to: 1261
-/* 1257 */    MCD_OPC_Decode, 200, 4, 42, // Opcode: LEDBR
+/* 1257 */    MCD_OPC_Decode, 203, 4, 42, // Opcode: LEDBR
 /* 1261 */    MCD_OPC_CheckPredicate, 0, 188, 7, // Skip to: 3245
-/* 1265 */    MCD_OPC_Decode, 201, 4, 43, // Opcode: LEDBRA
+/* 1265 */    MCD_OPC_Decode, 204, 4, 43, // Opcode: LEDBRA
 /* 1269 */    MCD_OPC_FilterValue, 69, 18, 0, // Skip to: 1291
 /* 1273 */    MCD_OPC_CheckField, 8, 8, 0, 4, 0, // Skip to: 1283
-/* 1279 */    MCD_OPC_Decode, 196, 4, 39, // Opcode: LDXBR
+/* 1279 */    MCD_OPC_Decode, 199, 4, 39, // Opcode: LDXBR
 /* 1283 */    MCD_OPC_CheckPredicate, 0, 166, 7, // Skip to: 3245
-/* 1287 */    MCD_OPC_Decode, 197, 4, 44, // Opcode: LDXBRA
+/* 1287 */    MCD_OPC_Decode, 200, 4, 44, // Opcode: LDXBRA
 /* 1291 */    MCD_OPC_FilterValue, 70, 18, 0, // Skip to: 1313
 /* 1295 */    MCD_OPC_CheckField, 8, 8, 0, 4, 0, // Skip to: 1305
-/* 1301 */    MCD_OPC_Decode, 203, 4, 39, // Opcode: LEXBR
+/* 1301 */    MCD_OPC_Decode, 206, 4, 39, // Opcode: LEXBR
 /* 1305 */    MCD_OPC_CheckPredicate, 0, 144, 7, // Skip to: 3245
-/* 1309 */    MCD_OPC_Decode, 204, 4, 44, // Opcode: LEXBRA
+/* 1309 */    MCD_OPC_Decode, 207, 4, 44, // Opcode: LEXBRA
 /* 1313 */    MCD_OPC_FilterValue, 71, 18, 0, // Skip to: 1335
 /* 1317 */    MCD_OPC_CheckField, 8, 4, 0, 4, 0, // Skip to: 1327
-/* 1323 */    MCD_OPC_Decode, 141, 4, 45, // Opcode: FIXBR
+/* 1323 */    MCD_OPC_Decode, 143, 4, 45, // Opcode: FIXBR
 /* 1327 */    MCD_OPC_CheckPredicate, 0, 122, 7, // Skip to: 3245
-/* 1331 */    MCD_OPC_Decode, 142, 4, 44, // Opcode: FIXBRA
+/* 1331 */    MCD_OPC_Decode, 144, 4, 44, // Opcode: FIXBRA
 /* 1335 */    MCD_OPC_FilterValue, 73, 10, 0, // Skip to: 1349
 /* 1339 */    MCD_OPC_CheckField, 8, 8, 0, 108, 7, // Skip to: 3245
-/* 1345 */    MCD_OPC_Decode, 225, 3, 39, // Opcode: CXBR
+/* 1345 */    MCD_OPC_Decode, 227, 3, 39, // Opcode: CXBR
 /* 1349 */    MCD_OPC_FilterValue, 74, 10, 0, // Skip to: 1363
 /* 1353 */    MCD_OPC_CheckField, 8, 8, 0, 94, 7, // Skip to: 3245
-/* 1359 */    MCD_OPC_Decode, 140, 1, 46, // Opcode: AXBR
+/* 1359 */    MCD_OPC_Decode, 142, 1, 46, // Opcode: AXBR
 /* 1363 */    MCD_OPC_FilterValue, 75, 10, 0, // Skip to: 1377
 /* 1367 */    MCD_OPC_CheckField, 8, 8, 0, 80, 7, // Skip to: 3245
-/* 1373 */    MCD_OPC_Decode, 230, 6, 46, // Opcode: SXBR
+/* 1373 */    MCD_OPC_Decode, 233, 6, 46, // Opcode: SXBR
 /* 1377 */    MCD_OPC_FilterValue, 76, 10, 0, // Skip to: 1391
 /* 1381 */    MCD_OPC_CheckField, 8, 8, 0, 66, 7, // Skip to: 3245
-/* 1387 */    MCD_OPC_Decode, 212, 5, 46, // Opcode: MXBR
+/* 1387 */    MCD_OPC_Decode, 215, 5, 46, // Opcode: MXBR
 /* 1391 */    MCD_OPC_FilterValue, 77, 10, 0, // Skip to: 1405
 /* 1395 */    MCD_OPC_CheckField, 8, 8, 0, 52, 7, // Skip to: 3245
-/* 1401 */    MCD_OPC_Decode, 135, 4, 46, // Opcode: DXBR
+/* 1401 */    MCD_OPC_Decode, 137, 4, 46, // Opcode: DXBR
 /* 1405 */    MCD_OPC_FilterValue, 87, 18, 0, // Skip to: 1427
 /* 1409 */    MCD_OPC_CheckField, 8, 4, 0, 4, 0, // Skip to: 1419
-/* 1415 */    MCD_OPC_Decode, 139, 4, 47, // Opcode: FIEBR
+/* 1415 */    MCD_OPC_Decode, 141, 4, 47, // Opcode: FIEBR
 /* 1419 */    MCD_OPC_CheckPredicate, 0, 30, 7, // Skip to: 3245
-/* 1423 */    MCD_OPC_Decode, 140, 4, 48, // Opcode: FIEBRA
+/* 1423 */    MCD_OPC_Decode, 142, 4, 48, // Opcode: FIEBRA
 /* 1427 */    MCD_OPC_FilterValue, 95, 18, 0, // Skip to: 1449
 /* 1431 */    MCD_OPC_CheckField, 8, 4, 0, 4, 0, // Skip to: 1441
-/* 1437 */    MCD_OPC_Decode, 137, 4, 49, // Opcode: FIDBR
+/* 1437 */    MCD_OPC_Decode, 139, 4, 49, // Opcode: FIDBR
 /* 1441 */    MCD_OPC_CheckPredicate, 0, 8, 7, // Skip to: 3245
-/* 1445 */    MCD_OPC_Decode, 138, 4, 50, // Opcode: FIDBRA
+/* 1445 */    MCD_OPC_Decode, 140, 4, 50, // Opcode: FIDBRA
 /* 1449 */    MCD_OPC_FilterValue, 101, 10, 0, // Skip to: 1463
 /* 1453 */    MCD_OPC_CheckField, 8, 8, 0, 250, 6, // Skip to: 3245
-/* 1459 */    MCD_OPC_Decode, 168, 5, 39, // Opcode: LXR
+/* 1459 */    MCD_OPC_Decode, 171, 5, 39, // Opcode: LXR
 /* 1463 */    MCD_OPC_FilterValue, 114, 10, 0, // Skip to: 1477
 /* 1467 */    MCD_OPC_CheckField, 8, 4, 0, 236, 6, // Skip to: 3245
-/* 1473 */    MCD_OPC_Decode, 215, 3, 51, // Opcode: CPSDRdd
+/* 1473 */    MCD_OPC_Decode, 217, 3, 51, // Opcode: CPSDRdd
 /* 1477 */    MCD_OPC_FilterValue, 116, 16, 0, // Skip to: 1497
 /* 1481 */    MCD_OPC_CheckField, 8, 8, 0, 222, 6, // Skip to: 3245
 /* 1487 */    MCD_OPC_CheckField, 0, 4, 0, 216, 6, // Skip to: 3245
-/* 1493 */    MCD_OPC_Decode, 171, 5, 52, // Opcode: LZER
+/* 1493 */    MCD_OPC_Decode, 174, 5, 52, // Opcode: LZER
 /* 1497 */    MCD_OPC_FilterValue, 117, 16, 0, // Skip to: 1517
 /* 1501 */    MCD_OPC_CheckField, 8, 8, 0, 202, 6, // Skip to: 3245
 /* 1507 */    MCD_OPC_CheckField, 0, 4, 0, 196, 6, // Skip to: 3245
-/* 1513 */    MCD_OPC_Decode, 170, 5, 53, // Opcode: LZDR
+/* 1513 */    MCD_OPC_Decode, 173, 5, 53, // Opcode: LZDR
 /* 1517 */    MCD_OPC_FilterValue, 118, 16, 0, // Skip to: 1537
 /* 1521 */    MCD_OPC_CheckField, 8, 8, 0, 182, 6, // Skip to: 3245
 /* 1527 */    MCD_OPC_CheckField, 0, 4, 0, 176, 6, // Skip to: 3245
-/* 1533 */    MCD_OPC_Decode, 172, 5, 54, // Opcode: LZXR
+/* 1533 */    MCD_OPC_Decode, 175, 5, 54, // Opcode: LZXR
 /* 1537 */    MCD_OPC_FilterValue, 144, 1, 8, 0, // Skip to: 1550
 /* 1542 */    MCD_OPC_CheckPredicate, 0, 163, 6, // Skip to: 3245
-/* 1546 */    MCD_OPC_Decode, 144, 3, 55, // Opcode: CELFBR
+/* 1546 */    MCD_OPC_Decode, 146, 3, 55, // Opcode: CELFBR
 /* 1550 */    MCD_OPC_FilterValue, 145, 1, 8, 0, // Skip to: 1563
 /* 1555 */    MCD_OPC_CheckPredicate, 0, 150, 6, // Skip to: 3245
-/* 1559 */    MCD_OPC_Decode, 138, 3, 56, // Opcode: CDLFBR
+/* 1559 */    MCD_OPC_Decode, 140, 3, 56, // Opcode: CDLFBR
 /* 1563 */    MCD_OPC_FilterValue, 146, 1, 8, 0, // Skip to: 1576
 /* 1568 */    MCD_OPC_CheckPredicate, 0, 137, 6, // Skip to: 3245
-/* 1572 */    MCD_OPC_Decode, 228, 3, 57, // Opcode: CXLFBR
+/* 1572 */    MCD_OPC_Decode, 230, 3, 57, // Opcode: CXLFBR
 /* 1576 */    MCD_OPC_FilterValue, 148, 1, 10, 0, // Skip to: 1591
 /* 1581 */    MCD_OPC_CheckField, 8, 8, 0, 122, 6, // Skip to: 3245
-/* 1587 */    MCD_OPC_Decode, 142, 3, 58, // Opcode: CEFBR
+/* 1587 */    MCD_OPC_Decode, 144, 3, 58, // Opcode: CEFBR
 /* 1591 */    MCD_OPC_FilterValue, 149, 1, 10, 0, // Skip to: 1606
 /* 1596 */    MCD_OPC_CheckField, 8, 8, 0, 107, 6, // Skip to: 3245
-/* 1602 */    MCD_OPC_Decode, 136, 3, 59, // Opcode: CDFBR
+/* 1602 */    MCD_OPC_Decode, 138, 3, 59, // Opcode: CDFBR
 /* 1606 */    MCD_OPC_FilterValue, 150, 1, 10, 0, // Skip to: 1621
 /* 1611 */    MCD_OPC_CheckField, 8, 8, 0, 92, 6, // Skip to: 3245
-/* 1617 */    MCD_OPC_Decode, 226, 3, 60, // Opcode: CXFBR
+/* 1617 */    MCD_OPC_Decode, 228, 3, 60, // Opcode: CXFBR
 /* 1621 */    MCD_OPC_FilterValue, 152, 1, 10, 0, // Skip to: 1636
 /* 1626 */    MCD_OPC_CheckField, 8, 4, 0, 77, 6, // Skip to: 3245
-/* 1632 */    MCD_OPC_Decode, 147, 3, 61, // Opcode: CFEBR
+/* 1632 */    MCD_OPC_Decode, 149, 3, 61, // Opcode: CFEBR
 /* 1636 */    MCD_OPC_FilterValue, 153, 1, 10, 0, // Skip to: 1651
 /* 1641 */    MCD_OPC_CheckField, 8, 4, 0, 62, 6, // Skip to: 3245
-/* 1647 */    MCD_OPC_Decode, 146, 3, 62, // Opcode: CFDBR
+/* 1647 */    MCD_OPC_Decode, 148, 3, 62, // Opcode: CFDBR
 /* 1651 */    MCD_OPC_FilterValue, 154, 1, 10, 0, // Skip to: 1666
 /* 1656 */    MCD_OPC_CheckField, 8, 4, 0, 47, 6, // Skip to: 3245
-/* 1662 */    MCD_OPC_Decode, 150, 3, 63, // Opcode: CFXBR
+/* 1662 */    MCD_OPC_Decode, 152, 3, 63, // Opcode: CFXBR
 /* 1666 */    MCD_OPC_FilterValue, 156, 1, 8, 0, // Skip to: 1679
 /* 1671 */    MCD_OPC_CheckPredicate, 0, 34, 6, // Skip to: 3245
-/* 1675 */    MCD_OPC_Decode, 181, 3, 64, // Opcode: CLFEBR
+/* 1675 */    MCD_OPC_Decode, 183, 3, 64, // Opcode: CLFEBR
 /* 1679 */    MCD_OPC_FilterValue, 157, 1, 8, 0, // Skip to: 1692
 /* 1684 */    MCD_OPC_CheckPredicate, 0, 21, 6, // Skip to: 3245
-/* 1688 */    MCD_OPC_Decode, 180, 3, 65, // Opcode: CLFDBR
+/* 1688 */    MCD_OPC_Decode, 182, 3, 65, // Opcode: CLFDBR
 /* 1692 */    MCD_OPC_FilterValue, 158, 1, 8, 0, // Skip to: 1705
 /* 1697 */    MCD_OPC_CheckPredicate, 0, 8, 6, // Skip to: 3245
-/* 1701 */    MCD_OPC_Decode, 185, 3, 66, // Opcode: CLFXBR
+/* 1701 */    MCD_OPC_Decode, 187, 3, 66, // Opcode: CLFXBR
 /* 1705 */    MCD_OPC_FilterValue, 160, 1, 8, 0, // Skip to: 1718
 /* 1710 */    MCD_OPC_CheckPredicate, 0, 251, 5, // Skip to: 3245
-/* 1714 */    MCD_OPC_Decode, 145, 3, 67, // Opcode: CELGBR
+/* 1714 */    MCD_OPC_Decode, 147, 3, 67, // Opcode: CELGBR
 /* 1718 */    MCD_OPC_FilterValue, 161, 1, 8, 0, // Skip to: 1731
 /* 1723 */    MCD_OPC_CheckPredicate, 0, 238, 5, // Skip to: 3245
-/* 1727 */    MCD_OPC_Decode, 139, 3, 68, // Opcode: CDLGBR
+/* 1727 */    MCD_OPC_Decode, 141, 3, 68, // Opcode: CDLGBR
 /* 1731 */    MCD_OPC_FilterValue, 162, 1, 8, 0, // Skip to: 1744
 /* 1736 */    MCD_OPC_CheckPredicate, 0, 225, 5, // Skip to: 3245
-/* 1740 */    MCD_OPC_Decode, 229, 3, 69, // Opcode: CXLGBR
+/* 1740 */    MCD_OPC_Decode, 231, 3, 69, // Opcode: CXLGBR
 /* 1744 */    MCD_OPC_FilterValue, 164, 1, 10, 0, // Skip to: 1759
 /* 1749 */    MCD_OPC_CheckField, 8, 8, 0, 210, 5, // Skip to: 3245
-/* 1755 */    MCD_OPC_Decode, 143, 3, 70, // Opcode: CEGBR
+/* 1755 */    MCD_OPC_Decode, 145, 3, 70, // Opcode: CEGBR
 /* 1759 */    MCD_OPC_FilterValue, 165, 1, 10, 0, // Skip to: 1774
 /* 1764 */    MCD_OPC_CheckField, 8, 8, 0, 195, 5, // Skip to: 3245
-/* 1770 */    MCD_OPC_Decode, 137, 3, 71, // Opcode: CDGBR
+/* 1770 */    MCD_OPC_Decode, 139, 3, 71, // Opcode: CDGBR
 /* 1774 */    MCD_OPC_FilterValue, 166, 1, 10, 0, // Skip to: 1789
 /* 1779 */    MCD_OPC_CheckField, 8, 8, 0, 180, 5, // Skip to: 3245
-/* 1785 */    MCD_OPC_Decode, 227, 3, 72, // Opcode: CXGBR
+/* 1785 */    MCD_OPC_Decode, 229, 3, 72, // Opcode: CXGBR
 /* 1789 */    MCD_OPC_FilterValue, 168, 1, 10, 0, // Skip to: 1804
 /* 1794 */    MCD_OPC_CheckField, 8, 4, 0, 165, 5, // Skip to: 3245
-/* 1800 */    MCD_OPC_Decode, 153, 3, 73, // Opcode: CGEBR
+/* 1800 */    MCD_OPC_Decode, 155, 3, 73, // Opcode: CGEBR
 /* 1804 */    MCD_OPC_FilterValue, 169, 1, 10, 0, // Skip to: 1819
 /* 1809 */    MCD_OPC_CheckField, 8, 4, 0, 150, 5, // Skip to: 3245
-/* 1815 */    MCD_OPC_Decode, 152, 3, 74, // Opcode: CGDBR
+/* 1815 */    MCD_OPC_Decode, 154, 3, 74, // Opcode: CGDBR
 /* 1819 */    MCD_OPC_FilterValue, 170, 1, 10, 0, // Skip to: 1834
 /* 1824 */    MCD_OPC_CheckField, 8, 4, 0, 135, 5, // Skip to: 3245
-/* 1830 */    MCD_OPC_Decode, 166, 3, 75, // Opcode: CGXBR
+/* 1830 */    MCD_OPC_Decode, 168, 3, 75, // Opcode: CGXBR
 /* 1834 */    MCD_OPC_FilterValue, 172, 1, 8, 0, // Skip to: 1847
 /* 1839 */    MCD_OPC_CheckPredicate, 0, 122, 5, // Skip to: 3245
-/* 1843 */    MCD_OPC_Decode, 188, 3, 76, // Opcode: CLGEBR
+/* 1843 */    MCD_OPC_Decode, 190, 3, 76, // Opcode: CLGEBR
 /* 1847 */    MCD_OPC_FilterValue, 173, 1, 8, 0, // Skip to: 1860
 /* 1852 */    MCD_OPC_CheckPredicate, 0, 109, 5, // Skip to: 3245
-/* 1856 */    MCD_OPC_Decode, 187, 3, 77, // Opcode: CLGDBR
+/* 1856 */    MCD_OPC_Decode, 189, 3, 77, // Opcode: CLGDBR
 /* 1860 */    MCD_OPC_FilterValue, 174, 1, 8, 0, // Skip to: 1873
 /* 1865 */    MCD_OPC_CheckPredicate, 0, 96, 5, // Skip to: 3245
-/* 1869 */    MCD_OPC_Decode, 199, 3, 78, // Opcode: CLGXBR
+/* 1869 */    MCD_OPC_Decode, 201, 3, 78, // Opcode: CLGXBR
 /* 1873 */    MCD_OPC_FilterValue, 193, 1, 10, 0, // Skip to: 1888
 /* 1878 */    MCD_OPC_CheckField, 8, 8, 0, 81, 5, // Skip to: 3245
-/* 1884 */    MCD_OPC_Decode, 194, 4, 71, // Opcode: LDGR
+/* 1884 */    MCD_OPC_Decode, 197, 4, 71, // Opcode: LDGR
 /* 1888 */    MCD_OPC_FilterValue, 205, 1, 72, 5, // Skip to: 3245
 /* 1893 */    MCD_OPC_CheckField, 8, 8, 0, 66, 5, // Skip to: 3245
-/* 1899 */    MCD_OPC_Decode, 210, 4, 79, // Opcode: LGDR
+/* 1899 */    MCD_OPC_Decode, 213, 4, 79, // Opcode: LGDR
 /* 1903 */    MCD_OPC_FilterValue, 185, 1, 48, 5, // Skip to: 3236
 /* 1908 */    MCD_OPC_ExtractField, 16, 8,  // Inst{23-16} ...
 /* 1911 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1925
 /* 1915 */    MCD_OPC_CheckField, 8, 8, 0, 44, 5, // Skip to: 3245
-/* 1921 */    MCD_OPC_Decode, 141, 5, 80, // Opcode: LPGR
+/* 1921 */    MCD_OPC_Decode, 144, 5, 80, // Opcode: LPGR
 /* 1925 */    MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 1939
 /* 1929 */    MCD_OPC_CheckField, 8, 8, 0, 30, 5, // Skip to: 3245
-/* 1935 */    MCD_OPC_Decode, 131, 5, 80, // Opcode: LNGR
+/* 1935 */    MCD_OPC_Decode, 134, 5, 80, // Opcode: LNGR
 /* 1939 */    MCD_OPC_FilterValue, 2, 10, 0, // Skip to: 1953
 /* 1943 */    MCD_OPC_CheckField, 8, 8, 0, 16, 5, // Skip to: 3245
-/* 1949 */    MCD_OPC_Decode, 159, 5, 80, // Opcode: LTGR
+/* 1949 */    MCD_OPC_Decode, 162, 5, 80, // Opcode: LTGR
 /* 1953 */    MCD_OPC_FilterValue, 3, 10, 0, // Skip to: 1967
 /* 1957 */    MCD_OPC_CheckField, 8, 8, 0, 2, 5, // Skip to: 3245
-/* 1963 */    MCD_OPC_Decode, 188, 4, 80, // Opcode: LCGR
+/* 1963 */    MCD_OPC_Decode, 191, 4, 80, // Opcode: LCGR
 /* 1967 */    MCD_OPC_FilterValue, 4, 10, 0, // Skip to: 1981
 /* 1971 */    MCD_OPC_CheckField, 8, 8, 0, 244, 4, // Skip to: 3245
-/* 1977 */    MCD_OPC_Decode, 219, 4, 80, // Opcode: LGR
+/* 1977 */    MCD_OPC_Decode, 222, 4, 80, // Opcode: LGR
 /* 1981 */    MCD_OPC_FilterValue, 6, 10, 0, // Skip to: 1995
 /* 1985 */    MCD_OPC_CheckField, 8, 8, 0, 230, 4, // Skip to: 3245
-/* 1991 */    MCD_OPC_Decode, 209, 4, 80, // Opcode: LGBR
+/* 1991 */    MCD_OPC_Decode, 212, 4, 80, // Opcode: LGBR
 /* 1995 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 2009
 /* 1999 */    MCD_OPC_CheckField, 8, 8, 0, 216, 4, // Skip to: 3245
-/* 2005 */    MCD_OPC_Decode, 217, 4, 80, // Opcode: LGHR
+/* 2005 */    MCD_OPC_Decode, 220, 4, 80, // Opcode: LGHR
 /* 2009 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 2022
 /* 2013 */    MCD_OPC_CheckField, 8, 8, 0, 202, 4, // Skip to: 3245
-/* 2019 */    MCD_OPC_Decode, 37, 81, // Opcode: AGR
+/* 2019 */    MCD_OPC_Decode, 39, 81, // Opcode: AGR
 /* 2022 */    MCD_OPC_FilterValue, 9, 10, 0, // Skip to: 2036
 /* 2026 */    MCD_OPC_CheckField, 8, 8, 0, 189, 4, // Skip to: 3245
-/* 2032 */    MCD_OPC_Decode, 166, 6, 81, // Opcode: SGR
+/* 2032 */    MCD_OPC_Decode, 169, 6, 81, // Opcode: SGR
 /* 2036 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 2049
 /* 2040 */    MCD_OPC_CheckField, 8, 8, 0, 175, 4, // Skip to: 3245
-/* 2046 */    MCD_OPC_Decode, 58, 81, // Opcode: ALGR
+/* 2046 */    MCD_OPC_Decode, 60, 81, // Opcode: ALGR
 /* 2049 */    MCD_OPC_FilterValue, 11, 10, 0, // Skip to: 2063
 /* 2053 */    MCD_OPC_CheckField, 8, 8, 0, 162, 4, // Skip to: 3245
-/* 2059 */    MCD_OPC_Decode, 180, 6, 81, // Opcode: SLGR
+/* 2059 */    MCD_OPC_Decode, 183, 6, 81, // Opcode: SLGR
 /* 2063 */    MCD_OPC_FilterValue, 12, 10, 0, // Skip to: 2077
 /* 2067 */    MCD_OPC_CheckField, 8, 8, 0, 148, 4, // Skip to: 3245
-/* 2073 */    MCD_OPC_Decode, 199, 5, 81, // Opcode: MSGR
+/* 2073 */    MCD_OPC_Decode, 202, 5, 81, // Opcode: MSGR
 /* 2077 */    MCD_OPC_FilterValue, 13, 10, 0, // Skip to: 2091
 /* 2081 */    MCD_OPC_CheckField, 8, 8, 0, 134, 4, // Skip to: 3245
-/* 2087 */    MCD_OPC_Decode, 134, 4, 82, // Opcode: DSGR
+/* 2087 */    MCD_OPC_Decode, 136, 4, 82, // Opcode: DSGR
 /* 2091 */    MCD_OPC_FilterValue, 15, 10, 0, // Skip to: 2105
 /* 2095 */    MCD_OPC_CheckField, 8, 8, 0, 120, 4, // Skip to: 3245
-/* 2101 */    MCD_OPC_Decode, 149, 5, 80, // Opcode: LRVGR
+/* 2101 */    MCD_OPC_Decode, 152, 5, 80, // Opcode: LRVGR
 /* 2105 */    MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 2119
 /* 2109 */    MCD_OPC_CheckField, 8, 8, 0, 106, 4, // Skip to: 3245
-/* 2115 */    MCD_OPC_Decode, 140, 5, 83, // Opcode: LPGFR
+/* 2115 */    MCD_OPC_Decode, 143, 5, 83, // Opcode: LPGFR
 /* 2119 */    MCD_OPC_FilterValue, 17, 10, 0, // Skip to: 2133
 /* 2123 */    MCD_OPC_CheckField, 8, 8, 0, 92, 4, // Skip to: 3245
-/* 2129 */    MCD_OPC_Decode, 130, 5, 83, // Opcode: LNGFR
+/* 2129 */    MCD_OPC_Decode, 133, 5, 83, // Opcode: LNGFR
 /* 2133 */    MCD_OPC_FilterValue, 18, 10, 0, // Skip to: 2147
 /* 2137 */    MCD_OPC_CheckField, 8, 8, 0, 78, 4, // Skip to: 3245
-/* 2143 */    MCD_OPC_Decode, 158, 5, 80, // Opcode: LTGFR
+/* 2143 */    MCD_OPC_Decode, 161, 5, 80, // Opcode: LTGFR
 /* 2147 */    MCD_OPC_FilterValue, 19, 10, 0, // Skip to: 2161
 /* 2151 */    MCD_OPC_CheckField, 8, 8, 0, 64, 4, // Skip to: 3245
-/* 2157 */    MCD_OPC_Decode, 187, 4, 83, // Opcode: LCGFR
+/* 2157 */    MCD_OPC_Decode, 190, 4, 83, // Opcode: LCGFR
 /* 2161 */    MCD_OPC_FilterValue, 20, 10, 0, // Skip to: 2175
 /* 2165 */    MCD_OPC_CheckField, 8, 8, 0, 50, 4, // Skip to: 3245
-/* 2171 */    MCD_OPC_Decode, 213, 4, 83, // Opcode: LGFR
+/* 2171 */    MCD_OPC_Decode, 216, 4, 83, // Opcode: LGFR
 /* 2175 */    MCD_OPC_FilterValue, 22, 10, 0, // Skip to: 2189
 /* 2179 */    MCD_OPC_CheckField, 8, 8, 0, 36, 4, // Skip to: 3245
-/* 2185 */    MCD_OPC_Decode, 237, 4, 83, // Opcode: LLGFR
+/* 2185 */    MCD_OPC_Decode, 240, 4, 83, // Opcode: LLGFR
 /* 2189 */    MCD_OPC_FilterValue, 24, 9, 0, // Skip to: 2202
 /* 2193 */    MCD_OPC_CheckField, 8, 8, 0, 22, 4, // Skip to: 3245
-/* 2199 */    MCD_OPC_Decode, 34, 84, // Opcode: AGFR
+/* 2199 */    MCD_OPC_Decode, 36, 84, // Opcode: AGFR
 /* 2202 */    MCD_OPC_FilterValue, 25, 10, 0, // Skip to: 2216
 /* 2206 */    MCD_OPC_CheckField, 8, 8, 0, 9, 4, // Skip to: 3245
-/* 2212 */    MCD_OPC_Decode, 165, 6, 84, // Opcode: SGFR
+/* 2212 */    MCD_OPC_Decode, 168, 6, 84, // Opcode: SGFR
 /* 2216 */    MCD_OPC_FilterValue, 26, 9, 0, // Skip to: 2229
 /* 2220 */    MCD_OPC_CheckField, 8, 8, 0, 251, 3, // Skip to: 3245
-/* 2226 */    MCD_OPC_Decode, 56, 84, // Opcode: ALGFR
+/* 2226 */    MCD_OPC_Decode, 58, 84, // Opcode: ALGFR
 /* 2229 */    MCD_OPC_FilterValue, 27, 10, 0, // Skip to: 2243
 /* 2233 */    MCD_OPC_CheckField, 8, 8, 0, 238, 3, // Skip to: 3245
-/* 2239 */    MCD_OPC_Decode, 179, 6, 84, // Opcode: SLGFR
+/* 2239 */    MCD_OPC_Decode, 182, 6, 84, // Opcode: SLGFR
 /* 2243 */    MCD_OPC_FilterValue, 28, 10, 0, // Skip to: 2257
 /* 2247 */    MCD_OPC_CheckField, 8, 8, 0, 224, 3, // Skip to: 3245
-/* 2253 */    MCD_OPC_Decode, 198, 5, 84, // Opcode: MSGFR
+/* 2253 */    MCD_OPC_Decode, 201, 5, 84, // Opcode: MSGFR
 /* 2257 */    MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 2271
 /* 2261 */    MCD_OPC_CheckField, 8, 8, 0, 210, 3, // Skip to: 3245
-/* 2267 */    MCD_OPC_Decode, 133, 4, 85, // Opcode: DSGFR
+/* 2267 */    MCD_OPC_Decode, 135, 4, 85, // Opcode: DSGFR
 /* 2271 */    MCD_OPC_FilterValue, 31, 10, 0, // Skip to: 2285
 /* 2275 */    MCD_OPC_CheckField, 8, 8, 0, 196, 3, // Skip to: 3245
-/* 2281 */    MCD_OPC_Decode, 150, 5, 3, // Opcode: LRVR
+/* 2281 */    MCD_OPC_Decode, 153, 5, 3, // Opcode: LRVR
 /* 2285 */    MCD_OPC_FilterValue, 32, 10, 0, // Skip to: 2299
 /* 2289 */    MCD_OPC_CheckField, 8, 8, 0, 182, 3, // Skip to: 3245
-/* 2295 */    MCD_OPC_Decode, 163, 3, 80, // Opcode: CGR
+/* 2295 */    MCD_OPC_Decode, 165, 3, 80, // Opcode: CGR
 /* 2299 */    MCD_OPC_FilterValue, 33, 10, 0, // Skip to: 2313
 /* 2303 */    MCD_OPC_CheckField, 8, 8, 0, 168, 3, // Skip to: 3245
-/* 2309 */    MCD_OPC_Decode, 196, 3, 80, // Opcode: CLGR
+/* 2309 */    MCD_OPC_Decode, 198, 3, 80, // Opcode: CLGR
 /* 2313 */    MCD_OPC_FilterValue, 38, 10, 0, // Skip to: 2327
 /* 2317 */    MCD_OPC_CheckField, 8, 8, 0, 154, 3, // Skip to: 3245
-/* 2323 */    MCD_OPC_Decode, 184, 4, 3, // Opcode: LBR
+/* 2323 */    MCD_OPC_Decode, 187, 4, 3, // Opcode: LBR
 /* 2327 */    MCD_OPC_FilterValue, 39, 10, 0, // Skip to: 2341
 /* 2331 */    MCD_OPC_CheckField, 8, 8, 0, 140, 3, // Skip to: 3245
-/* 2337 */    MCD_OPC_Decode, 226, 4, 3, // Opcode: LHR
+/* 2337 */    MCD_OPC_Decode, 229, 4, 3, // Opcode: LHR
 /* 2341 */    MCD_OPC_FilterValue, 48, 10, 0, // Skip to: 2355
 /* 2345 */    MCD_OPC_CheckField, 8, 8, 0, 126, 3, // Skip to: 3245
-/* 2351 */    MCD_OPC_Decode, 156, 3, 83, // Opcode: CGFR
+/* 2351 */    MCD_OPC_Decode, 158, 3, 83, // Opcode: CGFR
 /* 2355 */    MCD_OPC_FilterValue, 49, 10, 0, // Skip to: 2369
 /* 2359 */    MCD_OPC_CheckField, 8, 8, 0, 112, 3, // Skip to: 3245
-/* 2365 */    MCD_OPC_Decode, 191, 3, 83, // Opcode: CLGFR
+/* 2365 */    MCD_OPC_Decode, 193, 3, 83, // Opcode: CLGFR
 /* 2369 */    MCD_OPC_FilterValue, 128, 1, 10, 0, // Skip to: 2384
 /* 2374 */    MCD_OPC_CheckField, 8, 8, 0, 97, 3, // Skip to: 3245
-/* 2380 */    MCD_OPC_Decode, 220, 5, 81, // Opcode: NGR
+/* 2380 */    MCD_OPC_Decode, 223, 5, 81, // Opcode: NGR
 /* 2384 */    MCD_OPC_FilterValue, 129, 1, 10, 0, // Skip to: 2399
 /* 2389 */    MCD_OPC_CheckField, 8, 8, 0, 82, 3, // Skip to: 3245
-/* 2395 */    MCD_OPC_Decode, 247, 5, 81, // Opcode: OGR
+/* 2395 */    MCD_OPC_Decode, 250, 5, 81, // Opcode: OGR
 /* 2399 */    MCD_OPC_FilterValue, 130, 1, 10, 0, // Skip to: 2414
 /* 2404 */    MCD_OPC_CheckField, 8, 8, 0, 67, 3, // Skip to: 3245
-/* 2410 */    MCD_OPC_Decode, 128, 7, 81, // Opcode: XGR
+/* 2410 */    MCD_OPC_Decode, 133, 7, 81, // Opcode: XGR
 /* 2414 */    MCD_OPC_FilterValue, 131, 1, 10, 0, // Skip to: 2429
 /* 2419 */    MCD_OPC_CheckField, 8, 8, 0, 52, 3, // Skip to: 3245
-/* 2425 */    MCD_OPC_Decode, 143, 4, 86, // Opcode: FLOGR
+/* 2425 */    MCD_OPC_Decode, 145, 4, 86, // Opcode: FLOGR
 /* 2429 */    MCD_OPC_FilterValue, 132, 1, 10, 0, // Skip to: 2444
 /* 2434 */    MCD_OPC_CheckField, 8, 8, 0, 37, 3, // Skip to: 3245
-/* 2440 */    MCD_OPC_Decode, 235, 4, 80, // Opcode: LLGCR
+/* 2440 */    MCD_OPC_Decode, 238, 4, 80, // Opcode: LLGCR
 /* 2444 */    MCD_OPC_FilterValue, 133, 1, 10, 0, // Skip to: 2459
 /* 2449 */    MCD_OPC_CheckField, 8, 8, 0, 22, 3, // Skip to: 3245
-/* 2455 */    MCD_OPC_Decode, 240, 4, 80, // Opcode: LLGHR
+/* 2455 */    MCD_OPC_Decode, 243, 4, 80, // Opcode: LLGHR
 /* 2459 */    MCD_OPC_FilterValue, 134, 1, 10, 0, // Skip to: 2474
 /* 2464 */    MCD_OPC_CheckField, 8, 8, 0, 7, 3, // Skip to: 3245
-/* 2470 */    MCD_OPC_Decode, 188, 5, 82, // Opcode: MLGR
+/* 2470 */    MCD_OPC_Decode, 191, 5, 82, // Opcode: MLGR
 /* 2474 */    MCD_OPC_FilterValue, 135, 1, 10, 0, // Skip to: 2489
 /* 2479 */    MCD_OPC_CheckField, 8, 8, 0, 248, 2, // Skip to: 3245
-/* 2485 */    MCD_OPC_Decode, 129, 4, 82, // Opcode: DLGR
+/* 2485 */    MCD_OPC_Decode, 131, 4, 82, // Opcode: DLGR
 /* 2489 */    MCD_OPC_FilterValue, 136, 1, 9, 0, // Skip to: 2503
 /* 2494 */    MCD_OPC_CheckField, 8, 8, 0, 233, 2, // Skip to: 3245
-/* 2500 */    MCD_OPC_Decode, 50, 81, // Opcode: ALCGR
+/* 2500 */    MCD_OPC_Decode, 52, 81, // Opcode: ALCGR
 /* 2503 */    MCD_OPC_FilterValue, 137, 1, 10, 0, // Skip to: 2518
 /* 2508 */    MCD_OPC_CheckField, 8, 8, 0, 219, 2, // Skip to: 3245
-/* 2514 */    MCD_OPC_Decode, 176, 6, 81, // Opcode: SLGBR
+/* 2514 */    MCD_OPC_Decode, 179, 6, 81, // Opcode: SLGBR
 /* 2518 */    MCD_OPC_FilterValue, 148, 1, 10, 0, // Skip to: 2533
 /* 2523 */    MCD_OPC_CheckField, 8, 8, 0, 204, 2, // Skip to: 3245
-/* 2529 */    MCD_OPC_Decode, 232, 4, 3, // Opcode: LLCR
+/* 2529 */    MCD_OPC_Decode, 235, 4, 3, // Opcode: LLCR
 /* 2533 */    MCD_OPC_FilterValue, 149, 1, 10, 0, // Skip to: 2548
 /* 2538 */    MCD_OPC_CheckField, 8, 8, 0, 189, 2, // Skip to: 3245
-/* 2544 */    MCD_OPC_Decode, 245, 4, 3, // Opcode: LLHR
+/* 2544 */    MCD_OPC_Decode, 248, 4, 3, // Opcode: LLHR
 /* 2548 */    MCD_OPC_FilterValue, 151, 1, 10, 0, // Skip to: 2563
 /* 2553 */    MCD_OPC_CheckField, 8, 8, 0, 174, 2, // Skip to: 3245
-/* 2559 */    MCD_OPC_Decode, 130, 4, 85, // Opcode: DLR
+/* 2559 */    MCD_OPC_Decode, 132, 4, 85, // Opcode: DLR
 /* 2563 */    MCD_OPC_FilterValue, 152, 1, 9, 0, // Skip to: 2577
 /* 2568 */    MCD_OPC_CheckField, 8, 8, 0, 159, 2, // Skip to: 3245
-/* 2574 */    MCD_OPC_Decode, 51, 4, // Opcode: ALCR
+/* 2574 */    MCD_OPC_Decode, 53, 4, // Opcode: ALCR
 /* 2577 */    MCD_OPC_FilterValue, 153, 1, 10, 0, // Skip to: 2592
 /* 2582 */    MCD_OPC_CheckField, 8, 8, 0, 145, 2, // Skip to: 3245
-/* 2588 */    MCD_OPC_Decode, 173, 6, 4, // Opcode: SLBR
+/* 2588 */    MCD_OPC_Decode, 176, 6, 4, // Opcode: SLBR
 /* 2592 */    MCD_OPC_FilterValue, 226, 1, 186, 0, // Skip to: 2783
 /* 2597 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2600 */    MCD_OPC_FilterValue, 0, 129, 2, // Skip to: 3245
 /* 2604 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2607 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2619
 /* 2611 */    MCD_OPC_CheckPredicate, 1, 160, 0, // Skip to: 2775
-/* 2615 */    MCD_OPC_Decode, 247, 2, 81, // Opcode: AsmOLOCGR
+/* 2615 */    MCD_OPC_Decode, 249, 2, 81, // Opcode: AsmOLOCGR
 /* 2619 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2631
 /* 2623 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 2775
-/* 2627 */    MCD_OPC_Decode, 176, 1, 81, // Opcode: AsmHLOCGR
+/* 2627 */    MCD_OPC_Decode, 178, 1, 81, // Opcode: AsmHLOCGR
 /* 2631 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2643
 /* 2635 */    MCD_OPC_CheckPredicate, 1, 136, 0, // Skip to: 2775
-/* 2639 */    MCD_OPC_Decode, 212, 2, 81, // Opcode: AsmNLELOCGR
+/* 2639 */    MCD_OPC_Decode, 214, 2, 81, // Opcode: AsmNLELOCGR
 /* 2643 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 2655
 /* 2647 */    MCD_OPC_CheckPredicate, 1, 124, 0, // Skip to: 2775
-/* 2651 */    MCD_OPC_Decode, 171, 2, 81, // Opcode: AsmLLOCGR
+/* 2651 */    MCD_OPC_Decode, 173, 2, 81, // Opcode: AsmLLOCGR
 /* 2655 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 2667
 /* 2659 */    MCD_OPC_CheckPredicate, 1, 112, 0, // Skip to: 2775
-/* 2663 */    MCD_OPC_Decode, 194, 2, 81, // Opcode: AsmNHELOCGR
+/* 2663 */    MCD_OPC_Decode, 196, 2, 81, // Opcode: AsmNHELOCGR
 /* 2667 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 2679
 /* 2671 */    MCD_OPC_CheckPredicate, 1, 100, 0, // Skip to: 2775
-/* 2675 */    MCD_OPC_Decode, 163, 2, 81, // Opcode: AsmLHLOCGR
+/* 2675 */    MCD_OPC_Decode, 165, 2, 81, // Opcode: AsmLHLOCGR
 /* 2679 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 2691
 /* 2683 */    MCD_OPC_CheckPredicate, 1, 88, 0, // Skip to: 2775
-/* 2687 */    MCD_OPC_Decode, 184, 2, 81, // Opcode: AsmNELOCGR
+/* 2687 */    MCD_OPC_Decode, 186, 2, 81, // Opcode: AsmNELOCGR
 /* 2691 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 2703
 /* 2695 */    MCD_OPC_CheckPredicate, 1, 76, 0, // Skip to: 2775
-/* 2699 */    MCD_OPC_Decode, 158, 1, 81, // Opcode: AsmELOCGR
+/* 2699 */    MCD_OPC_Decode, 160, 1, 81, // Opcode: AsmELOCGR
 /* 2703 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 2715
 /* 2707 */    MCD_OPC_CheckPredicate, 1, 64, 0, // Skip to: 2775
-/* 2711 */    MCD_OPC_Decode, 221, 2, 81, // Opcode: AsmNLHLOCGR
+/* 2711 */    MCD_OPC_Decode, 223, 2, 81, // Opcode: AsmNLHLOCGR
 /* 2715 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 2727
 /* 2719 */    MCD_OPC_CheckPredicate, 1, 52, 0, // Skip to: 2775
-/* 2723 */    MCD_OPC_Decode, 168, 1, 81, // Opcode: AsmHELOCGR
+/* 2723 */    MCD_OPC_Decode, 170, 1, 81, // Opcode: AsmHELOCGR
 /* 2727 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 2739
 /* 2731 */    MCD_OPC_CheckPredicate, 1, 40, 0, // Skip to: 2775
-/* 2735 */    MCD_OPC_Decode, 229, 2, 81, // Opcode: AsmNLLOCGR
+/* 2735 */    MCD_OPC_Decode, 231, 2, 81, // Opcode: AsmNLLOCGR
 /* 2739 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 2751
 /* 2743 */    MCD_OPC_CheckPredicate, 1, 28, 0, // Skip to: 2775
-/* 2747 */    MCD_OPC_Decode, 154, 2, 81, // Opcode: AsmLELOCGR
+/* 2747 */    MCD_OPC_Decode, 156, 2, 81, // Opcode: AsmLELOCGR
 /* 2751 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 2763
 /* 2755 */    MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 2775
-/* 2759 */    MCD_OPC_Decode, 202, 2, 81, // Opcode: AsmNHLOCGR
+/* 2759 */    MCD_OPC_Decode, 204, 2, 81, // Opcode: AsmNHLOCGR
 /* 2763 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 2775
 /* 2767 */    MCD_OPC_CheckPredicate, 1, 4, 0, // Skip to: 2775
-/* 2771 */    MCD_OPC_Decode, 238, 2, 81, // Opcode: AsmNOLOCGR
+/* 2771 */    MCD_OPC_Decode, 240, 2, 81, // Opcode: AsmNOLOCGR
 /* 2775 */    MCD_OPC_CheckPredicate, 1, 210, 1, // Skip to: 3245
-/* 2779 */    MCD_OPC_Decode, 175, 2, 87, // Opcode: AsmLOCGR
+/* 2779 */    MCD_OPC_Decode, 177, 2, 87, // Opcode: AsmLOCGR
 /* 2783 */    MCD_OPC_FilterValue, 228, 1, 14, 0, // Skip to: 2802
 /* 2788 */    MCD_OPC_CheckPredicate, 2, 197, 1, // Skip to: 3245
 /* 2792 */    MCD_OPC_CheckField, 8, 4, 0, 191, 1, // Skip to: 3245
-/* 2798 */    MCD_OPC_Decode, 221, 5, 88, // Opcode: NGRK
+/* 2798 */    MCD_OPC_Decode, 224, 5, 88, // Opcode: NGRK
 /* 2802 */    MCD_OPC_FilterValue, 230, 1, 14, 0, // Skip to: 2821
 /* 2807 */    MCD_OPC_CheckPredicate, 2, 178, 1, // Skip to: 3245
 /* 2811 */    MCD_OPC_CheckField, 8, 4, 0, 172, 1, // Skip to: 3245
-/* 2817 */    MCD_OPC_Decode, 248, 5, 88, // Opcode: OGRK
+/* 2817 */    MCD_OPC_Decode, 251, 5, 88, // Opcode: OGRK
 /* 2821 */    MCD_OPC_FilterValue, 231, 1, 14, 0, // Skip to: 2840
 /* 2826 */    MCD_OPC_CheckPredicate, 2, 159, 1, // Skip to: 3245
 /* 2830 */    MCD_OPC_CheckField, 8, 4, 0, 153, 1, // Skip to: 3245
-/* 2836 */    MCD_OPC_Decode, 129, 7, 88, // Opcode: XGRK
+/* 2836 */    MCD_OPC_Decode, 134, 7, 88, // Opcode: XGRK
 /* 2840 */    MCD_OPC_FilterValue, 232, 1, 13, 0, // Skip to: 2858
 /* 2845 */    MCD_OPC_CheckPredicate, 2, 140, 1, // Skip to: 3245
 /* 2849 */    MCD_OPC_CheckField, 8, 4, 0, 134, 1, // Skip to: 3245
-/* 2855 */    MCD_OPC_Decode, 38, 88, // Opcode: AGRK
+/* 2855 */    MCD_OPC_Decode, 40, 88, // Opcode: AGRK
 /* 2858 */    MCD_OPC_FilterValue, 233, 1, 14, 0, // Skip to: 2877
 /* 2863 */    MCD_OPC_CheckPredicate, 2, 122, 1, // Skip to: 3245
 /* 2867 */    MCD_OPC_CheckField, 8, 4, 0, 116, 1, // Skip to: 3245
-/* 2873 */    MCD_OPC_Decode, 167, 6, 88, // Opcode: SGRK
+/* 2873 */    MCD_OPC_Decode, 170, 6, 88, // Opcode: SGRK
 /* 2877 */    MCD_OPC_FilterValue, 234, 1, 13, 0, // Skip to: 2895
 /* 2882 */    MCD_OPC_CheckPredicate, 2, 103, 1, // Skip to: 3245
 /* 2886 */    MCD_OPC_CheckField, 8, 4, 0, 97, 1, // Skip to: 3245
-/* 2892 */    MCD_OPC_Decode, 59, 88, // Opcode: ALGRK
+/* 2892 */    MCD_OPC_Decode, 61, 88, // Opcode: ALGRK
 /* 2895 */    MCD_OPC_FilterValue, 235, 1, 14, 0, // Skip to: 2914
 /* 2900 */    MCD_OPC_CheckPredicate, 2, 85, 1, // Skip to: 3245
 /* 2904 */    MCD_OPC_CheckField, 8, 4, 0, 79, 1, // Skip to: 3245
-/* 2910 */    MCD_OPC_Decode, 181, 6, 88, // Opcode: SLGRK
+/* 2910 */    MCD_OPC_Decode, 184, 6, 88, // Opcode: SLGRK
 /* 2914 */    MCD_OPC_FilterValue, 242, 1, 186, 0, // Skip to: 3105
 /* 2919 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2922 */    MCD_OPC_FilterValue, 0, 63, 1, // Skip to: 3245
 /* 2926 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2929 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 2941
 /* 2933 */    MCD_OPC_CheckPredicate, 1, 160, 0, // Skip to: 3097
-/* 2937 */    MCD_OPC_Decode, 248, 2, 4, // Opcode: AsmOLOCR
+/* 2937 */    MCD_OPC_Decode, 250, 2, 4, // Opcode: AsmOLOCR
 /* 2941 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 2953
 /* 2945 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 3097
-/* 2949 */    MCD_OPC_Decode, 177, 1, 4, // Opcode: AsmHLOCR
+/* 2949 */    MCD_OPC_Decode, 179, 1, 4, // Opcode: AsmHLOCR
 /* 2953 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 2965
 /* 2957 */    MCD_OPC_CheckPredicate, 1, 136, 0, // Skip to: 3097
-/* 2961 */    MCD_OPC_Decode, 213, 2, 4, // Opcode: AsmNLELOCR
+/* 2961 */    MCD_OPC_Decode, 215, 2, 4, // Opcode: AsmNLELOCR
 /* 2965 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 2977
 /* 2969 */    MCD_OPC_CheckPredicate, 1, 124, 0, // Skip to: 3097
-/* 2973 */    MCD_OPC_Decode, 172, 2, 4, // Opcode: AsmLLOCR
+/* 2973 */    MCD_OPC_Decode, 174, 2, 4, // Opcode: AsmLLOCR
 /* 2977 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 2989
 /* 2981 */    MCD_OPC_CheckPredicate, 1, 112, 0, // Skip to: 3097
-/* 2985 */    MCD_OPC_Decode, 195, 2, 4, // Opcode: AsmNHELOCR
+/* 2985 */    MCD_OPC_Decode, 197, 2, 4, // Opcode: AsmNHELOCR
 /* 2989 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 3001
 /* 2993 */    MCD_OPC_CheckPredicate, 1, 100, 0, // Skip to: 3097
-/* 2997 */    MCD_OPC_Decode, 164, 2, 4, // Opcode: AsmLHLOCR
+/* 2997 */    MCD_OPC_Decode, 166, 2, 4, // Opcode: AsmLHLOCR
 /* 3001 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 3013
 /* 3005 */    MCD_OPC_CheckPredicate, 1, 88, 0, // Skip to: 3097
-/* 3009 */    MCD_OPC_Decode, 185, 2, 4, // Opcode: AsmNELOCR
+/* 3009 */    MCD_OPC_Decode, 187, 2, 4, // Opcode: AsmNELOCR
 /* 3013 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 3025
 /* 3017 */    MCD_OPC_CheckPredicate, 1, 76, 0, // Skip to: 3097
-/* 3021 */    MCD_OPC_Decode, 159, 1, 4, // Opcode: AsmELOCR
+/* 3021 */    MCD_OPC_Decode, 161, 1, 4, // Opcode: AsmELOCR
 /* 3025 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 3037
 /* 3029 */    MCD_OPC_CheckPredicate, 1, 64, 0, // Skip to: 3097
-/* 3033 */    MCD_OPC_Decode, 222, 2, 4, // Opcode: AsmNLHLOCR
+/* 3033 */    MCD_OPC_Decode, 224, 2, 4, // Opcode: AsmNLHLOCR
 /* 3037 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 3049
 /* 3041 */    MCD_OPC_CheckPredicate, 1, 52, 0, // Skip to: 3097
-/* 3045 */    MCD_OPC_Decode, 169, 1, 4, // Opcode: AsmHELOCR
+/* 3045 */    MCD_OPC_Decode, 171, 1, 4, // Opcode: AsmHELOCR
 /* 3049 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 3061
 /* 3053 */    MCD_OPC_CheckPredicate, 1, 40, 0, // Skip to: 3097
-/* 3057 */    MCD_OPC_Decode, 230, 2, 4, // Opcode: AsmNLLOCR
+/* 3057 */    MCD_OPC_Decode, 232, 2, 4, // Opcode: AsmNLLOCR
 /* 3061 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 3073
 /* 3065 */    MCD_OPC_CheckPredicate, 1, 28, 0, // Skip to: 3097
-/* 3069 */    MCD_OPC_Decode, 155, 2, 4, // Opcode: AsmLELOCR
+/* 3069 */    MCD_OPC_Decode, 157, 2, 4, // Opcode: AsmLELOCR
 /* 3073 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 3085
 /* 3077 */    MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 3097
-/* 3081 */    MCD_OPC_Decode, 203, 2, 4, // Opcode: AsmNHLOCR
+/* 3081 */    MCD_OPC_Decode, 205, 2, 4, // Opcode: AsmNHLOCR
 /* 3085 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 3097
 /* 3089 */    MCD_OPC_CheckPredicate, 1, 4, 0, // Skip to: 3097
-/* 3093 */    MCD_OPC_Decode, 239, 2, 4, // Opcode: AsmNOLOCR
+/* 3093 */    MCD_OPC_Decode, 241, 2, 4, // Opcode: AsmNOLOCR
 /* 3097 */    MCD_OPC_CheckPredicate, 1, 144, 0, // Skip to: 3245
-/* 3101 */    MCD_OPC_Decode, 176, 2, 89, // Opcode: AsmLOCR
+/* 3101 */    MCD_OPC_Decode, 178, 2, 89, // Opcode: AsmLOCR
 /* 3105 */    MCD_OPC_FilterValue, 244, 1, 14, 0, // Skip to: 3124
 /* 3110 */    MCD_OPC_CheckPredicate, 2, 131, 0, // Skip to: 3245
 /* 3114 */    MCD_OPC_CheckField, 8, 4, 0, 125, 0, // Skip to: 3245
-/* 3120 */    MCD_OPC_Decode, 240, 5, 90, // Opcode: NRK
+/* 3120 */    MCD_OPC_Decode, 243, 5, 90, // Opcode: NRK
 /* 3124 */    MCD_OPC_FilterValue, 246, 1, 14, 0, // Skip to: 3143
 /* 3129 */    MCD_OPC_CheckPredicate, 2, 112, 0, // Skip to: 3245
 /* 3133 */    MCD_OPC_CheckField, 8, 4, 0, 106, 0, // Skip to: 3245
-/* 3139 */    MCD_OPC_Decode, 139, 6, 90, // Opcode: ORK
+/* 3139 */    MCD_OPC_Decode, 142, 6, 90, // Opcode: ORK
 /* 3143 */    MCD_OPC_FilterValue, 247, 1, 14, 0, // Skip to: 3162
 /* 3148 */    MCD_OPC_CheckPredicate, 2, 93, 0, // Skip to: 3245
 /* 3152 */    MCD_OPC_CheckField, 8, 4, 0, 87, 0, // Skip to: 3245
-/* 3158 */    MCD_OPC_Decode, 138, 7, 90, // Opcode: XRK
+/* 3158 */    MCD_OPC_Decode, 143, 7, 90, // Opcode: XRK
 /* 3162 */    MCD_OPC_FilterValue, 248, 1, 13, 0, // Skip to: 3180
 /* 3167 */    MCD_OPC_CheckPredicate, 2, 74, 0, // Skip to: 3245
 /* 3171 */    MCD_OPC_CheckField, 8, 4, 0, 68, 0, // Skip to: 3245
-/* 3177 */    MCD_OPC_Decode, 65, 90, // Opcode: ARK
+/* 3177 */    MCD_OPC_Decode, 67, 90, // Opcode: ARK
 /* 3180 */    MCD_OPC_FilterValue, 249, 1, 14, 0, // Skip to: 3199
 /* 3185 */    MCD_OPC_CheckPredicate, 2, 56, 0, // Skip to: 3245
 /* 3189 */    MCD_OPC_CheckField, 8, 4, 0, 50, 0, // Skip to: 3245
-/* 3195 */    MCD_OPC_Decode, 197, 6, 90, // Opcode: SRK
+/* 3195 */    MCD_OPC_Decode, 200, 6, 90, // Opcode: SRK
 /* 3199 */    MCD_OPC_FilterValue, 250, 1, 13, 0, // Skip to: 3217
 /* 3204 */    MCD_OPC_CheckPredicate, 2, 37, 0, // Skip to: 3245
 /* 3208 */    MCD_OPC_CheckField, 8, 4, 0, 31, 0, // Skip to: 3245
-/* 3214 */    MCD_OPC_Decode, 62, 90, // Opcode: ALRK
+/* 3214 */    MCD_OPC_Decode, 64, 90, // Opcode: ALRK
 /* 3217 */    MCD_OPC_FilterValue, 251, 1, 23, 0, // Skip to: 3245
 /* 3222 */    MCD_OPC_CheckPredicate, 2, 19, 0, // Skip to: 3245
 /* 3226 */    MCD_OPC_CheckField, 8, 4, 0, 13, 0, // Skip to: 3245
-/* 3232 */    MCD_OPC_Decode, 186, 6, 90, // Opcode: SLRK
+/* 3232 */    MCD_OPC_Decode, 189, 6, 90, // Opcode: SLRK
 /* 3236 */    MCD_OPC_FilterValue, 186, 1, 4, 0, // Skip to: 3245
-/* 3241 */    MCD_OPC_Decode, 222, 3, 91, // Opcode: CS
+/* 3241 */    MCD_OPC_Decode, 224, 3, 91, // Opcode: CS
 /* 3245 */    MCD_OPC_Fail,
   0
 };
@@ -838,837 +838,837 @@ static const uint8_t DecoderTable48[] =
 /* 3 */       MCD_OPC_FilterValue, 192, 1, 238, 0, // Skip to: 246
 /* 8 */       MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 11 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 19
-/* 15 */      MCD_OPC_Decode, 177, 4, 92, // Opcode: LARL
+/* 15 */      MCD_OPC_Decode, 180, 4, 92, // Opcode: LARL
 /* 19 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 27
-/* 23 */      MCD_OPC_Decode, 212, 4, 93, // Opcode: LGFI
+/* 23 */      MCD_OPC_Decode, 215, 4, 93, // Opcode: LGFI
 /* 27 */      MCD_OPC_FilterValue, 4, 127, 0, // Skip to: 158
 /* 31 */      MCD_OPC_ExtractField, 36, 4,  // Inst{39-36} ...
 /* 34 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 42
-/* 38 */      MCD_OPC_Decode, 244, 2, 94, // Opcode: AsmOJG
+/* 38 */      MCD_OPC_Decode, 246, 2, 94, // Opcode: AsmOJG
 /* 42 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 50
-/* 46 */      MCD_OPC_Decode, 173, 1, 94, // Opcode: AsmHJG
+/* 46 */      MCD_OPC_Decode, 175, 1, 94, // Opcode: AsmHJG
 /* 50 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 58
-/* 54 */      MCD_OPC_Decode, 209, 2, 94, // Opcode: AsmNLEJG
+/* 54 */      MCD_OPC_Decode, 211, 2, 94, // Opcode: AsmNLEJG
 /* 58 */      MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 66
-/* 62 */      MCD_OPC_Decode, 168, 2, 94, // Opcode: AsmLJG
+/* 62 */      MCD_OPC_Decode, 170, 2, 94, // Opcode: AsmLJG
 /* 66 */      MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 74
-/* 70 */      MCD_OPC_Decode, 191, 2, 94, // Opcode: AsmNHEJG
+/* 70 */      MCD_OPC_Decode, 193, 2, 94, // Opcode: AsmNHEJG
 /* 74 */      MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 82
-/* 78 */      MCD_OPC_Decode, 160, 2, 94, // Opcode: AsmLHJG
+/* 78 */      MCD_OPC_Decode, 162, 2, 94, // Opcode: AsmLHJG
 /* 82 */      MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 90
-/* 86 */      MCD_OPC_Decode, 181, 2, 94, // Opcode: AsmNEJG
+/* 86 */      MCD_OPC_Decode, 183, 2, 94, // Opcode: AsmNEJG
 /* 90 */      MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 98
-/* 94 */      MCD_OPC_Decode, 155, 1, 94, // Opcode: AsmEJG
+/* 94 */      MCD_OPC_Decode, 157, 1, 94, // Opcode: AsmEJG
 /* 98 */      MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 106
-/* 102 */     MCD_OPC_Decode, 218, 2, 94, // Opcode: AsmNLHJG
+/* 102 */     MCD_OPC_Decode, 220, 2, 94, // Opcode: AsmNLHJG
 /* 106 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 114
-/* 110 */     MCD_OPC_Decode, 165, 1, 94, // Opcode: AsmHEJG
+/* 110 */     MCD_OPC_Decode, 167, 1, 94, // Opcode: AsmHEJG
 /* 114 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 122
-/* 118 */     MCD_OPC_Decode, 226, 2, 94, // Opcode: AsmNLJG
+/* 118 */     MCD_OPC_Decode, 228, 2, 94, // Opcode: AsmNLJG
 /* 122 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 130
-/* 126 */     MCD_OPC_Decode, 151, 2, 94, // Opcode: AsmLEJG
+/* 126 */     MCD_OPC_Decode, 153, 2, 94, // Opcode: AsmLEJG
 /* 130 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 138
-/* 134 */     MCD_OPC_Decode, 199, 2, 94, // Opcode: AsmNHJG
+/* 134 */     MCD_OPC_Decode, 201, 2, 94, // Opcode: AsmNHJG
 /* 138 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 146
-/* 142 */     MCD_OPC_Decode, 235, 2, 94, // Opcode: AsmNOJG
+/* 142 */     MCD_OPC_Decode, 237, 2, 94, // Opcode: AsmNOJG
 /* 146 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 154
-/* 150 */     MCD_OPC_Decode, 165, 4, 94, // Opcode: JG
-/* 154 */     MCD_OPC_Decode, 144, 1, 95, // Opcode: AsmBRCL
+/* 150 */     MCD_OPC_Decode, 168, 4, 94, // Opcode: JG
+/* 154 */     MCD_OPC_Decode, 146, 1, 95, // Opcode: AsmBRCL
 /* 158 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 166
-/* 162 */     MCD_OPC_Decode, 128, 3, 92, // Opcode: BRASL
+/* 162 */     MCD_OPC_Decode, 130, 3, 92, // Opcode: BRASL
 /* 166 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 174
-/* 170 */     MCD_OPC_Decode, 132, 7, 96, // Opcode: XIHF
+/* 170 */     MCD_OPC_Decode, 137, 7, 96, // Opcode: XIHF
 /* 174 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 182
-/* 178 */     MCD_OPC_Decode, 134, 7, 97, // Opcode: XILF
+/* 178 */     MCD_OPC_Decode, 139, 7, 97, // Opcode: XILF
 /* 182 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 190
-/* 186 */     MCD_OPC_Decode, 149, 4, 98, // Opcode: IIHF
+/* 186 */     MCD_OPC_Decode, 152, 4, 98, // Opcode: IIHF
 /* 190 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 198
-/* 194 */     MCD_OPC_Decode, 156, 4, 99, // Opcode: IILF
+/* 194 */     MCD_OPC_Decode, 159, 4, 99, // Opcode: IILF
 /* 198 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 206
-/* 202 */     MCD_OPC_Decode, 224, 5, 96, // Opcode: NIHF
+/* 202 */     MCD_OPC_Decode, 227, 5, 96, // Opcode: NIHF
 /* 206 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 214
-/* 210 */     MCD_OPC_Decode, 231, 5, 97, // Opcode: NILF
+/* 210 */     MCD_OPC_Decode, 234, 5, 97, // Opcode: NILF
 /* 214 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 222
-/* 218 */     MCD_OPC_Decode, 251, 5, 96, // Opcode: OIHF
+/* 218 */     MCD_OPC_Decode, 254, 5, 96, // Opcode: OIHF
 /* 222 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 230
-/* 226 */     MCD_OPC_Decode, 130, 6, 97, // Opcode: OILF
+/* 226 */     MCD_OPC_Decode, 133, 6, 97, // Opcode: OILF
 /* 230 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 238
-/* 234 */     MCD_OPC_Decode, 248, 4, 100, // Opcode: LLIHF
+/* 234 */     MCD_OPC_Decode, 251, 4, 100, // Opcode: LLIHF
 /* 238 */     MCD_OPC_FilterValue, 15, 214, 12, // Skip to: 3528
-/* 242 */     MCD_OPC_Decode, 251, 4, 100, // Opcode: LLILF
+/* 242 */     MCD_OPC_Decode, 254, 4, 100, // Opcode: LLILF
 /* 246 */     MCD_OPC_FilterValue, 194, 1, 95, 0, // Skip to: 346
 /* 251 */     MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 254 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 262
-/* 258 */     MCD_OPC_Decode, 197, 5, 101, // Opcode: MSGFI
+/* 258 */     MCD_OPC_Decode, 200, 5, 101, // Opcode: MSGFI
 /* 262 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 270
-/* 266 */     MCD_OPC_Decode, 194, 5, 102, // Opcode: MSFI
+/* 266 */     MCD_OPC_Decode, 197, 5, 102, // Opcode: MSFI
 /* 270 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 278
-/* 274 */     MCD_OPC_Decode, 178, 6, 103, // Opcode: SLGFI
+/* 274 */     MCD_OPC_Decode, 181, 6, 103, // Opcode: SLGFI
 /* 278 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 286
-/* 282 */     MCD_OPC_Decode, 174, 6, 97, // Opcode: SLFI
+/* 282 */     MCD_OPC_Decode, 177, 6, 97, // Opcode: SLFI
 /* 286 */     MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 293
-/* 290 */     MCD_OPC_Decode, 33, 101, // Opcode: AGFI
+/* 290 */     MCD_OPC_Decode, 35, 101, // Opcode: AGFI
 /* 293 */     MCD_OPC_FilterValue, 9, 3, 0, // Skip to: 300
-/* 297 */     MCD_OPC_Decode, 29, 102, // Opcode: AFI
+/* 297 */     MCD_OPC_Decode, 31, 102, // Opcode: AFI
 /* 300 */     MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 307
-/* 304 */     MCD_OPC_Decode, 55, 103, // Opcode: ALGFI
+/* 304 */     MCD_OPC_Decode, 57, 103, // Opcode: ALGFI
 /* 307 */     MCD_OPC_FilterValue, 11, 3, 0, // Skip to: 314
-/* 311 */     MCD_OPC_Decode, 52, 97, // Opcode: ALFI
+/* 311 */     MCD_OPC_Decode, 54, 97, // Opcode: ALFI
 /* 314 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 322
-/* 318 */     MCD_OPC_Decode, 155, 3, 93, // Opcode: CGFI
+/* 318 */     MCD_OPC_Decode, 157, 3, 93, // Opcode: CGFI
 /* 322 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 330
-/* 326 */     MCD_OPC_Decode, 148, 3, 104, // Opcode: CFI
+/* 326 */     MCD_OPC_Decode, 150, 3, 104, // Opcode: CFI
 /* 330 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 338
-/* 334 */     MCD_OPC_Decode, 190, 3, 100, // Opcode: CLGFI
+/* 334 */     MCD_OPC_Decode, 192, 3, 100, // Opcode: CLGFI
 /* 338 */     MCD_OPC_FilterValue, 15, 114, 12, // Skip to: 3528
-/* 342 */     MCD_OPC_Decode, 183, 3, 99, // Opcode: CLFI
+/* 342 */     MCD_OPC_Decode, 185, 3, 99, // Opcode: CLFI
 /* 346 */     MCD_OPC_FilterValue, 196, 1, 91, 0, // Skip to: 442
 /* 351 */     MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 354 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 362
-/* 358 */     MCD_OPC_Decode, 246, 4, 105, // Opcode: LLHRL
+/* 358 */     MCD_OPC_Decode, 249, 4, 105, // Opcode: LLHRL
 /* 362 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 370
-/* 366 */     MCD_OPC_Decode, 218, 4, 92, // Opcode: LGHRL
+/* 366 */     MCD_OPC_Decode, 221, 4, 92, // Opcode: LGHRL
 /* 370 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 378
-/* 374 */     MCD_OPC_Decode, 227, 4, 105, // Opcode: LHRL
+/* 374 */     MCD_OPC_Decode, 230, 4, 105, // Opcode: LHRL
 /* 378 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 386
-/* 382 */     MCD_OPC_Decode, 241, 4, 92, // Opcode: LLGHRL
+/* 382 */     MCD_OPC_Decode, 244, 4, 92, // Opcode: LLGHRL
 /* 386 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 394
-/* 390 */     MCD_OPC_Decode, 219, 6, 105, // Opcode: STHRL
+/* 390 */     MCD_OPC_Decode, 222, 6, 105, // Opcode: STHRL
 /* 394 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 402
-/* 398 */     MCD_OPC_Decode, 220, 4, 92, // Opcode: LGRL
+/* 398 */     MCD_OPC_Decode, 223, 4, 92, // Opcode: LGRL
 /* 402 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 410
-/* 406 */     MCD_OPC_Decode, 215, 6, 92, // Opcode: STGRL
+/* 406 */     MCD_OPC_Decode, 218, 6, 92, // Opcode: STGRL
 /* 410 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 418
-/* 414 */     MCD_OPC_Decode, 214, 4, 92, // Opcode: LGFRL
+/* 414 */     MCD_OPC_Decode, 217, 4, 92, // Opcode: LGFRL
 /* 418 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 426
-/* 422 */     MCD_OPC_Decode, 145, 5, 105, // Opcode: LRL
+/* 422 */     MCD_OPC_Decode, 148, 5, 105, // Opcode: LRL
 /* 426 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 434
-/* 430 */     MCD_OPC_Decode, 238, 4, 92, // Opcode: LLGFRL
+/* 430 */     MCD_OPC_Decode, 241, 4, 92, // Opcode: LLGFRL
 /* 434 */     MCD_OPC_FilterValue, 15, 18, 12, // Skip to: 3528
-/* 438 */     MCD_OPC_Decode, 225, 6, 105, // Opcode: STRL
+/* 438 */     MCD_OPC_Decode, 228, 6, 105, // Opcode: STRL
 /* 442 */     MCD_OPC_FilterValue, 198, 1, 91, 0, // Skip to: 538
 /* 447 */     MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 450 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 458
-/* 454 */     MCD_OPC_Decode, 142, 6, 95, // Opcode: PFDRL
+/* 454 */     MCD_OPC_Decode, 145, 6, 95, // Opcode: PFDRL
 /* 458 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 466
-/* 462 */     MCD_OPC_Decode, 160, 3, 92, // Opcode: CGHRL
+/* 462 */     MCD_OPC_Decode, 162, 3, 92, // Opcode: CGHRL
 /* 466 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 474
-/* 470 */     MCD_OPC_Decode, 171, 3, 105, // Opcode: CHRL
+/* 470 */     MCD_OPC_Decode, 173, 3, 105, // Opcode: CHRL
 /* 474 */     MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 482
-/* 478 */     MCD_OPC_Decode, 193, 3, 92, // Opcode: CLGHRL
+/* 478 */     MCD_OPC_Decode, 195, 3, 92, // Opcode: CLGHRL
 /* 482 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 490
-/* 486 */     MCD_OPC_Decode, 202, 3, 105, // Opcode: CLHRL
+/* 486 */     MCD_OPC_Decode, 204, 3, 105, // Opcode: CLHRL
 /* 490 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 498
-/* 494 */     MCD_OPC_Decode, 165, 3, 92, // Opcode: CGRL
+/* 494 */     MCD_OPC_Decode, 167, 3, 92, // Opcode: CGRL
 /* 498 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 506
-/* 502 */     MCD_OPC_Decode, 198, 3, 92, // Opcode: CLGRL
+/* 502 */     MCD_OPC_Decode, 200, 3, 92, // Opcode: CLGRL
 /* 506 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 514
-/* 510 */     MCD_OPC_Decode, 157, 3, 92, // Opcode: CGFRL
+/* 510 */     MCD_OPC_Decode, 159, 3, 92, // Opcode: CGFRL
 /* 514 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 522
-/* 518 */     MCD_OPC_Decode, 221, 3, 105, // Opcode: CRL
+/* 518 */     MCD_OPC_Decode, 223, 3, 105, // Opcode: CRL
 /* 522 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 530
-/* 526 */     MCD_OPC_Decode, 192, 3, 92, // Opcode: CLGFRL
+/* 526 */     MCD_OPC_Decode, 194, 3, 92, // Opcode: CLGFRL
 /* 530 */     MCD_OPC_FilterValue, 15, 178, 11, // Skip to: 3528
-/* 534 */     MCD_OPC_Decode, 210, 3, 105, // Opcode: CLRL
+/* 534 */     MCD_OPC_Decode, 212, 3, 105, // Opcode: CLRL
 /* 538 */     MCD_OPC_FilterValue, 204, 1, 38, 0, // Skip to: 581
 /* 543 */     MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 546 */     MCD_OPC_FilterValue, 8, 7, 0, // Skip to: 557
 /* 550 */     MCD_OPC_CheckPredicate, 3, 158, 11, // Skip to: 3528
-/* 554 */     MCD_OPC_Decode, 46, 106, // Opcode: AIH
+/* 554 */     MCD_OPC_Decode, 48, 106, // Opcode: AIH
 /* 557 */     MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 569
 /* 561 */     MCD_OPC_CheckPredicate, 3, 147, 11, // Skip to: 3528
-/* 565 */     MCD_OPC_Decode, 174, 3, 107, // Opcode: CIH
+/* 565 */     MCD_OPC_Decode, 176, 3, 107, // Opcode: CIH
 /* 569 */     MCD_OPC_FilterValue, 15, 139, 11, // Skip to: 3528
 /* 573 */     MCD_OPC_CheckPredicate, 3, 135, 11, // Skip to: 3528
-/* 577 */     MCD_OPC_Decode, 204, 3, 99, // Opcode: CLIH
+/* 577 */     MCD_OPC_Decode, 206, 3, 99, // Opcode: CLIH
 /* 581 */     MCD_OPC_FilterValue, 210, 1, 4, 0, // Skip to: 590
-/* 586 */     MCD_OPC_Decode, 202, 5, 108, // Opcode: MVC
+/* 586 */     MCD_OPC_Decode, 205, 5, 108, // Opcode: MVC
 /* 590 */     MCD_OPC_FilterValue, 212, 1, 4, 0, // Skip to: 599
-/* 595 */     MCD_OPC_Decode, 216, 5, 108, // Opcode: NC
+/* 595 */     MCD_OPC_Decode, 219, 5, 108, // Opcode: NC
 /* 599 */     MCD_OPC_FilterValue, 213, 1, 4, 0, // Skip to: 608
-/* 604 */     MCD_OPC_Decode, 177, 3, 108, // Opcode: CLC
+/* 604 */     MCD_OPC_Decode, 179, 3, 108, // Opcode: CLC
 /* 608 */     MCD_OPC_FilterValue, 214, 1, 4, 0, // Skip to: 617
-/* 613 */     MCD_OPC_Decode, 243, 5, 108, // Opcode: OC
+/* 613 */     MCD_OPC_Decode, 246, 5, 108, // Opcode: OC
 /* 617 */     MCD_OPC_FilterValue, 215, 1, 4, 0, // Skip to: 626
-/* 622 */     MCD_OPC_Decode, 252, 6, 108, // Opcode: XC
+/* 622 */     MCD_OPC_Decode, 129, 7, 108, // Opcode: XC
 /* 626 */     MCD_OPC_FilterValue, 227, 1, 163, 2, // Skip to: 1306
 /* 631 */     MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
 /* 634 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 642
-/* 638 */     MCD_OPC_Decode, 156, 5, 109, // Opcode: LTG
+/* 638 */     MCD_OPC_Decode, 159, 5, 109, // Opcode: LTG
 /* 642 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 650
-/* 646 */     MCD_OPC_Decode, 207, 4, 109, // Opcode: LG
+/* 646 */     MCD_OPC_Decode, 210, 4, 109, // Opcode: LG
 /* 650 */     MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 657
-/* 654 */     MCD_OPC_Decode, 31, 110, // Opcode: AG
+/* 654 */     MCD_OPC_Decode, 33, 110, // Opcode: AG
 /* 657 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 665
-/* 661 */     MCD_OPC_Decode, 163, 6, 110, // Opcode: SG
+/* 661 */     MCD_OPC_Decode, 166, 6, 110, // Opcode: SG
 /* 665 */     MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 672
-/* 669 */     MCD_OPC_Decode, 53, 110, // Opcode: ALG
+/* 669 */     MCD_OPC_Decode, 55, 110, // Opcode: ALG
 /* 672 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 680
-/* 676 */     MCD_OPC_Decode, 175, 6, 110, // Opcode: SLG
+/* 676 */     MCD_OPC_Decode, 178, 6, 110, // Opcode: SLG
 /* 680 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 688
-/* 684 */     MCD_OPC_Decode, 195, 5, 110, // Opcode: MSG
+/* 684 */     MCD_OPC_Decode, 198, 5, 110, // Opcode: MSG
 /* 688 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 696
-/* 692 */     MCD_OPC_Decode, 131, 4, 111, // Opcode: DSG
+/* 692 */     MCD_OPC_Decode, 133, 4, 111, // Opcode: DSG
 /* 696 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 704
-/* 700 */     MCD_OPC_Decode, 148, 5, 109, // Opcode: LRVG
+/* 700 */     MCD_OPC_Decode, 151, 5, 109, // Opcode: LRVG
 /* 704 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 712
-/* 708 */     MCD_OPC_Decode, 151, 5, 112, // Opcode: LT
+/* 708 */     MCD_OPC_Decode, 154, 5, 112, // Opcode: LT
 /* 712 */     MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 720
-/* 716 */     MCD_OPC_Decode, 211, 4, 109, // Opcode: LGF
+/* 716 */     MCD_OPC_Decode, 214, 4, 109, // Opcode: LGF
 /* 720 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 728
-/* 724 */     MCD_OPC_Decode, 215, 4, 109, // Opcode: LGH
+/* 724 */     MCD_OPC_Decode, 218, 4, 109, // Opcode: LGH
 /* 728 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 736
-/* 732 */     MCD_OPC_Decode, 236, 4, 109, // Opcode: LLGF
+/* 732 */     MCD_OPC_Decode, 239, 4, 109, // Opcode: LLGF
 /* 736 */     MCD_OPC_FilterValue, 24, 3, 0, // Skip to: 743
-/* 740 */     MCD_OPC_Decode, 32, 110, // Opcode: AGF
+/* 740 */     MCD_OPC_Decode, 34, 110, // Opcode: AGF
 /* 743 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 751
-/* 747 */     MCD_OPC_Decode, 164, 6, 110, // Opcode: SGF
+/* 747 */     MCD_OPC_Decode, 167, 6, 110, // Opcode: SGF
 /* 751 */     MCD_OPC_FilterValue, 26, 3, 0, // Skip to: 758
-/* 755 */     MCD_OPC_Decode, 54, 110, // Opcode: ALGF
+/* 755 */     MCD_OPC_Decode, 56, 110, // Opcode: ALGF
 /* 758 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 766
-/* 762 */     MCD_OPC_Decode, 177, 6, 110, // Opcode: SLGF
+/* 762 */     MCD_OPC_Decode, 180, 6, 110, // Opcode: SLGF
 /* 766 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 774
-/* 770 */     MCD_OPC_Decode, 196, 5, 110, // Opcode: MSGF
+/* 770 */     MCD_OPC_Decode, 199, 5, 110, // Opcode: MSGF
 /* 774 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 782
-/* 778 */     MCD_OPC_Decode, 132, 4, 111, // Opcode: DSGF
+/* 778 */     MCD_OPC_Decode, 134, 4, 111, // Opcode: DSGF
 /* 782 */     MCD_OPC_FilterValue, 30, 4, 0, // Skip to: 790
-/* 786 */     MCD_OPC_Decode, 147, 5, 112, // Opcode: LRV
+/* 786 */     MCD_OPC_Decode, 150, 5, 112, // Opcode: LRV
 /* 790 */     MCD_OPC_FilterValue, 32, 4, 0, // Skip to: 798
-/* 794 */     MCD_OPC_Decode, 151, 3, 109, // Opcode: CG
+/* 794 */     MCD_OPC_Decode, 153, 3, 109, // Opcode: CG
 /* 798 */     MCD_OPC_FilterValue, 33, 4, 0, // Skip to: 806
-/* 802 */     MCD_OPC_Decode, 186, 3, 109, // Opcode: CLG
+/* 802 */     MCD_OPC_Decode, 188, 3, 109, // Opcode: CLG
 /* 806 */     MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 814
-/* 810 */     MCD_OPC_Decode, 214, 6, 109, // Opcode: STG
+/* 810 */     MCD_OPC_Decode, 217, 6, 109, // Opcode: STG
 /* 814 */     MCD_OPC_FilterValue, 47, 4, 0, // Skip to: 822
-/* 818 */     MCD_OPC_Decode, 227, 6, 109, // Opcode: STRVG
+/* 818 */     MCD_OPC_Decode, 230, 6, 109, // Opcode: STRVG
 /* 822 */     MCD_OPC_FilterValue, 48, 4, 0, // Skip to: 830
-/* 826 */     MCD_OPC_Decode, 154, 3, 109, // Opcode: CGF
+/* 826 */     MCD_OPC_Decode, 156, 3, 109, // Opcode: CGF
 /* 830 */     MCD_OPC_FilterValue, 49, 4, 0, // Skip to: 838
-/* 834 */     MCD_OPC_Decode, 189, 3, 109, // Opcode: CLGF
+/* 834 */     MCD_OPC_Decode, 191, 3, 109, // Opcode: CLGF
 /* 838 */     MCD_OPC_FilterValue, 50, 4, 0, // Skip to: 846
-/* 842 */     MCD_OPC_Decode, 157, 5, 109, // Opcode: LTGF
+/* 842 */     MCD_OPC_Decode, 160, 5, 109, // Opcode: LTGF
 /* 846 */     MCD_OPC_FilterValue, 52, 4, 0, // Skip to: 854
-/* 850 */     MCD_OPC_Decode, 158, 3, 109, // Opcode: CGH
+/* 850 */     MCD_OPC_Decode, 160, 3, 109, // Opcode: CGH
 /* 854 */     MCD_OPC_FilterValue, 54, 4, 0, // Skip to: 862
-/* 858 */     MCD_OPC_Decode, 141, 6, 113, // Opcode: PFD
+/* 858 */     MCD_OPC_Decode, 144, 6, 113, // Opcode: PFD
 /* 862 */     MCD_OPC_FilterValue, 62, 4, 0, // Skip to: 870
-/* 866 */     MCD_OPC_Decode, 226, 6, 112, // Opcode: STRV
+/* 866 */     MCD_OPC_Decode, 229, 6, 112, // Opcode: STRV
 /* 870 */     MCD_OPC_FilterValue, 80, 4, 0, // Skip to: 878
-/* 874 */     MCD_OPC_Decode, 229, 6, 112, // Opcode: STY
+/* 874 */     MCD_OPC_Decode, 232, 6, 112, // Opcode: STY
 /* 878 */     MCD_OPC_FilterValue, 81, 4, 0, // Skip to: 886
-/* 882 */     MCD_OPC_Decode, 201, 5, 114, // Opcode: MSY
+/* 882 */     MCD_OPC_Decode, 204, 5, 114, // Opcode: MSY
 /* 886 */     MCD_OPC_FilterValue, 84, 4, 0, // Skip to: 894
-/* 890 */     MCD_OPC_Decode, 241, 5, 114, // Opcode: NY
+/* 890 */     MCD_OPC_Decode, 244, 5, 114, // Opcode: NY
 /* 894 */     MCD_OPC_FilterValue, 85, 4, 0, // Skip to: 902
-/* 898 */     MCD_OPC_Decode, 213, 3, 112, // Opcode: CLY
+/* 898 */     MCD_OPC_Decode, 215, 3, 112, // Opcode: CLY
 /* 902 */     MCD_OPC_FilterValue, 86, 4, 0, // Skip to: 910
-/* 906 */     MCD_OPC_Decode, 140, 6, 114, // Opcode: OY
+/* 906 */     MCD_OPC_Decode, 143, 6, 114, // Opcode: OY
 /* 910 */     MCD_OPC_FilterValue, 87, 4, 0, // Skip to: 918
-/* 914 */     MCD_OPC_Decode, 139, 7, 114, // Opcode: XY
+/* 914 */     MCD_OPC_Decode, 144, 7, 114, // Opcode: XY
 /* 918 */     MCD_OPC_FilterValue, 88, 4, 0, // Skip to: 926
-/* 922 */     MCD_OPC_Decode, 169, 5, 112, // Opcode: LY
+/* 922 */     MCD_OPC_Decode, 172, 5, 112, // Opcode: LY
 /* 926 */     MCD_OPC_FilterValue, 89, 4, 0, // Skip to: 934
-/* 930 */     MCD_OPC_Decode, 230, 3, 112, // Opcode: CY
+/* 930 */     MCD_OPC_Decode, 232, 3, 112, // Opcode: CY
 /* 934 */     MCD_OPC_FilterValue, 90, 4, 0, // Skip to: 942
-/* 938 */     MCD_OPC_Decode, 141, 1, 114, // Opcode: AY
+/* 938 */     MCD_OPC_Decode, 143, 1, 114, // Opcode: AY
 /* 942 */     MCD_OPC_FilterValue, 91, 4, 0, // Skip to: 950
-/* 946 */     MCD_OPC_Decode, 231, 6, 114, // Opcode: SY
+/* 946 */     MCD_OPC_Decode, 234, 6, 114, // Opcode: SY
 /* 950 */     MCD_OPC_FilterValue, 94, 3, 0, // Skip to: 957
-/* 954 */     MCD_OPC_Decode, 63, 114, // Opcode: ALY
+/* 954 */     MCD_OPC_Decode, 65, 114, // Opcode: ALY
 /* 957 */     MCD_OPC_FilterValue, 95, 4, 0, // Skip to: 965
-/* 961 */     MCD_OPC_Decode, 187, 6, 114, // Opcode: SLY
+/* 961 */     MCD_OPC_Decode, 190, 6, 114, // Opcode: SLY
 /* 965 */     MCD_OPC_FilterValue, 112, 4, 0, // Skip to: 973
-/* 969 */     MCD_OPC_Decode, 220, 6, 112, // Opcode: STHY
+/* 969 */     MCD_OPC_Decode, 223, 6, 112, // Opcode: STHY
 /* 973 */     MCD_OPC_FilterValue, 113, 4, 0, // Skip to: 981
-/* 977 */     MCD_OPC_Decode, 180, 4, 109, // Opcode: LAY
+/* 977 */     MCD_OPC_Decode, 183, 4, 109, // Opcode: LAY
 /* 981 */     MCD_OPC_FilterValue, 114, 4, 0, // Skip to: 989
-/* 985 */     MCD_OPC_Decode, 208, 6, 112, // Opcode: STCY
+/* 985 */     MCD_OPC_Decode, 211, 6, 112, // Opcode: STCY
 /* 989 */     MCD_OPC_FilterValue, 115, 4, 0, // Skip to: 997
-/* 993 */     MCD_OPC_Decode, 147, 4, 110, // Opcode: ICY
+/* 993 */     MCD_OPC_Decode, 150, 4, 110, // Opcode: ICY
 /* 997 */     MCD_OPC_FilterValue, 118, 4, 0, // Skip to: 1005
-/* 1001 */    MCD_OPC_Decode, 181, 4, 112, // Opcode: LB
+/* 1001 */    MCD_OPC_Decode, 184, 4, 112, // Opcode: LB
 /* 1005 */    MCD_OPC_FilterValue, 119, 4, 0, // Skip to: 1013
-/* 1009 */    MCD_OPC_Decode, 208, 4, 109, // Opcode: LGB
+/* 1009 */    MCD_OPC_Decode, 211, 4, 109, // Opcode: LGB
 /* 1013 */    MCD_OPC_FilterValue, 120, 4, 0, // Skip to: 1021
-/* 1017 */    MCD_OPC_Decode, 228, 4, 112, // Opcode: LHY
+/* 1017 */    MCD_OPC_Decode, 231, 4, 112, // Opcode: LHY
 /* 1021 */    MCD_OPC_FilterValue, 121, 4, 0, // Skip to: 1029
-/* 1025 */    MCD_OPC_Decode, 173, 3, 112, // Opcode: CHY
+/* 1025 */    MCD_OPC_Decode, 175, 3, 112, // Opcode: CHY
 /* 1029 */    MCD_OPC_FilterValue, 122, 3, 0, // Skip to: 1036
-/* 1033 */    MCD_OPC_Decode, 45, 114, // Opcode: AHY
+/* 1033 */    MCD_OPC_Decode, 47, 114, // Opcode: AHY
 /* 1036 */    MCD_OPC_FilterValue, 123, 4, 0, // Skip to: 1044
-/* 1040 */    MCD_OPC_Decode, 169, 6, 114, // Opcode: SHY
+/* 1040 */    MCD_OPC_Decode, 172, 6, 114, // Opcode: SHY
 /* 1044 */    MCD_OPC_FilterValue, 124, 4, 0, // Skip to: 1052
-/* 1048 */    MCD_OPC_Decode, 186, 5, 114, // Opcode: MHY
+/* 1048 */    MCD_OPC_Decode, 189, 5, 114, // Opcode: MHY
 /* 1052 */    MCD_OPC_FilterValue, 128, 1, 4, 0, // Skip to: 1061
-/* 1057 */    MCD_OPC_Decode, 219, 5, 110, // Opcode: NG
+/* 1057 */    MCD_OPC_Decode, 222, 5, 110, // Opcode: NG
 /* 1061 */    MCD_OPC_FilterValue, 129, 1, 4, 0, // Skip to: 1070
-/* 1066 */    MCD_OPC_Decode, 246, 5, 110, // Opcode: OG
+/* 1066 */    MCD_OPC_Decode, 249, 5, 110, // Opcode: OG
 /* 1070 */    MCD_OPC_FilterValue, 130, 1, 4, 0, // Skip to: 1079
-/* 1075 */    MCD_OPC_Decode, 255, 6, 110, // Opcode: XG
+/* 1075 */    MCD_OPC_Decode, 132, 7, 110, // Opcode: XG
 /* 1079 */    MCD_OPC_FilterValue, 134, 1, 4, 0, // Skip to: 1088
-/* 1084 */    MCD_OPC_Decode, 187, 5, 111, // Opcode: MLG
+/* 1084 */    MCD_OPC_Decode, 190, 5, 111, // Opcode: MLG
 /* 1088 */    MCD_OPC_FilterValue, 135, 1, 4, 0, // Skip to: 1097
-/* 1093 */    MCD_OPC_Decode, 128, 4, 111, // Opcode: DLG
+/* 1093 */    MCD_OPC_Decode, 130, 4, 111, // Opcode: DLG
 /* 1097 */    MCD_OPC_FilterValue, 136, 1, 3, 0, // Skip to: 1105
-/* 1102 */    MCD_OPC_Decode, 49, 110, // Opcode: ALCG
+/* 1102 */    MCD_OPC_Decode, 51, 110, // Opcode: ALCG
 /* 1105 */    MCD_OPC_FilterValue, 137, 1, 4, 0, // Skip to: 1114
-/* 1110 */    MCD_OPC_Decode, 172, 6, 110, // Opcode: SLBG
+/* 1110 */    MCD_OPC_Decode, 175, 6, 110, // Opcode: SLBG
 /* 1114 */    MCD_OPC_FilterValue, 144, 1, 4, 0, // Skip to: 1123
-/* 1119 */    MCD_OPC_Decode, 234, 4, 109, // Opcode: LLGC
+/* 1119 */    MCD_OPC_Decode, 237, 4, 109, // Opcode: LLGC
 /* 1123 */    MCD_OPC_FilterValue, 145, 1, 4, 0, // Skip to: 1132
-/* 1128 */    MCD_OPC_Decode, 239, 4, 109, // Opcode: LLGH
+/* 1128 */    MCD_OPC_Decode, 242, 4, 109, // Opcode: LLGH
 /* 1132 */    MCD_OPC_FilterValue, 148, 1, 4, 0, // Skip to: 1141
-/* 1137 */    MCD_OPC_Decode, 229, 4, 112, // Opcode: LLC
+/* 1137 */    MCD_OPC_Decode, 232, 4, 112, // Opcode: LLC
 /* 1141 */    MCD_OPC_FilterValue, 149, 1, 4, 0, // Skip to: 1150
-/* 1146 */    MCD_OPC_Decode, 242, 4, 112, // Opcode: LLH
+/* 1146 */    MCD_OPC_Decode, 245, 4, 112, // Opcode: LLH
 /* 1150 */    MCD_OPC_FilterValue, 151, 1, 4, 0, // Skip to: 1159
-/* 1155 */    MCD_OPC_Decode, 255, 3, 111, // Opcode: DL
+/* 1155 */    MCD_OPC_Decode, 129, 4, 111, // Opcode: DL
 /* 1159 */    MCD_OPC_FilterValue, 152, 1, 3, 0, // Skip to: 1167
-/* 1164 */    MCD_OPC_Decode, 48, 114, // Opcode: ALC
+/* 1164 */    MCD_OPC_Decode, 50, 114, // Opcode: ALC
 /* 1167 */    MCD_OPC_FilterValue, 153, 1, 4, 0, // Skip to: 1176
-/* 1172 */    MCD_OPC_Decode, 171, 6, 114, // Opcode: SLB
+/* 1172 */    MCD_OPC_Decode, 174, 6, 114, // Opcode: SLB
 /* 1176 */    MCD_OPC_FilterValue, 192, 1, 8, 0, // Skip to: 1189
 /* 1181 */    MCD_OPC_CheckPredicate, 3, 39, 9, // Skip to: 3528
-/* 1185 */    MCD_OPC_Decode, 182, 4, 115, // Opcode: LBH
+/* 1185 */    MCD_OPC_Decode, 185, 4, 115, // Opcode: LBH
 /* 1189 */    MCD_OPC_FilterValue, 194, 1, 8, 0, // Skip to: 1202
 /* 1194 */    MCD_OPC_CheckPredicate, 3, 26, 9, // Skip to: 3528
-/* 1198 */    MCD_OPC_Decode, 230, 4, 112, // Opcode: LLCH
+/* 1198 */    MCD_OPC_Decode, 233, 4, 112, // Opcode: LLCH
 /* 1202 */    MCD_OPC_FilterValue, 195, 1, 8, 0, // Skip to: 1215
 /* 1207 */    MCD_OPC_CheckPredicate, 3, 13, 9, // Skip to: 3528
-/* 1211 */    MCD_OPC_Decode, 206, 6, 115, // Opcode: STCH
+/* 1211 */    MCD_OPC_Decode, 209, 6, 115, // Opcode: STCH
 /* 1215 */    MCD_OPC_FilterValue, 196, 1, 8, 0, // Skip to: 1228
 /* 1220 */    MCD_OPC_CheckPredicate, 3, 0, 9, // Skip to: 3528
-/* 1224 */    MCD_OPC_Decode, 222, 4, 115, // Opcode: LHH
+/* 1224 */    MCD_OPC_Decode, 225, 4, 115, // Opcode: LHH
 /* 1228 */    MCD_OPC_FilterValue, 198, 1, 8, 0, // Skip to: 1241
 /* 1233 */    MCD_OPC_CheckPredicate, 3, 243, 8, // Skip to: 3528
-/* 1237 */    MCD_OPC_Decode, 243, 4, 112, // Opcode: LLHH
+/* 1237 */    MCD_OPC_Decode, 246, 4, 112, // Opcode: LLHH
 /* 1241 */    MCD_OPC_FilterValue, 199, 1, 8, 0, // Skip to: 1254
 /* 1246 */    MCD_OPC_CheckPredicate, 3, 230, 8, // Skip to: 3528
-/* 1250 */    MCD_OPC_Decode, 217, 6, 115, // Opcode: STHH
+/* 1250 */    MCD_OPC_Decode, 220, 6, 115, // Opcode: STHH
 /* 1254 */    MCD_OPC_FilterValue, 202, 1, 8, 0, // Skip to: 1267
 /* 1259 */    MCD_OPC_CheckPredicate, 3, 217, 8, // Skip to: 3528
-/* 1263 */    MCD_OPC_Decode, 206, 4, 115, // Opcode: LFH
+/* 1263 */    MCD_OPC_Decode, 209, 4, 115, // Opcode: LFH
 /* 1267 */    MCD_OPC_FilterValue, 203, 1, 8, 0, // Skip to: 1280
 /* 1272 */    MCD_OPC_CheckPredicate, 3, 204, 8, // Skip to: 3528
-/* 1276 */    MCD_OPC_Decode, 213, 6, 115, // Opcode: STFH
+/* 1276 */    MCD_OPC_Decode, 216, 6, 115, // Opcode: STFH
 /* 1280 */    MCD_OPC_FilterValue, 205, 1, 8, 0, // Skip to: 1293
 /* 1285 */    MCD_OPC_CheckPredicate, 3, 191, 8, // Skip to: 3528
-/* 1289 */    MCD_OPC_Decode, 168, 3, 115, // Opcode: CHF
+/* 1289 */    MCD_OPC_Decode, 170, 3, 115, // Opcode: CHF
 /* 1293 */    MCD_OPC_FilterValue, 207, 1, 182, 8, // Skip to: 3528
 /* 1298 */    MCD_OPC_CheckPredicate, 3, 178, 8, // Skip to: 3528
-/* 1302 */    MCD_OPC_Decode, 200, 3, 115, // Opcode: CLHF
+/* 1302 */    MCD_OPC_Decode, 202, 3, 115, // Opcode: CLHF
 /* 1306 */    MCD_OPC_FilterValue, 229, 1, 75, 0, // Skip to: 1386
 /* 1311 */    MCD_OPC_ExtractField, 32, 8,  // Inst{39-32} ...
 /* 1314 */    MCD_OPC_FilterValue, 68, 4, 0, // Skip to: 1322
-/* 1318 */    MCD_OPC_Decode, 206, 5, 116, // Opcode: MVHHI
+/* 1318 */    MCD_OPC_Decode, 209, 5, 116, // Opcode: MVHHI
 /* 1322 */    MCD_OPC_FilterValue, 72, 4, 0, // Skip to: 1330
-/* 1326 */    MCD_OPC_Decode, 205, 5, 116, // Opcode: MVGHI
+/* 1326 */    MCD_OPC_Decode, 208, 5, 116, // Opcode: MVGHI
 /* 1330 */    MCD_OPC_FilterValue, 76, 4, 0, // Skip to: 1338
-/* 1334 */    MCD_OPC_Decode, 207, 5, 116, // Opcode: MVHI
+/* 1334 */    MCD_OPC_Decode, 210, 5, 116, // Opcode: MVHI
 /* 1338 */    MCD_OPC_FilterValue, 84, 4, 0, // Skip to: 1346
-/* 1342 */    MCD_OPC_Decode, 169, 3, 116, // Opcode: CHHSI
+/* 1342 */    MCD_OPC_Decode, 171, 3, 116, // Opcode: CHHSI
 /* 1346 */    MCD_OPC_FilterValue, 85, 4, 0, // Skip to: 1354
-/* 1350 */    MCD_OPC_Decode, 201, 3, 117, // Opcode: CLHHSI
+/* 1350 */    MCD_OPC_Decode, 203, 3, 117, // Opcode: CLHHSI
 /* 1354 */    MCD_OPC_FilterValue, 88, 4, 0, // Skip to: 1362
-/* 1358 */    MCD_OPC_Decode, 161, 3, 116, // Opcode: CGHSI
+/* 1358 */    MCD_OPC_Decode, 163, 3, 116, // Opcode: CGHSI
 /* 1362 */    MCD_OPC_FilterValue, 89, 4, 0, // Skip to: 1370
-/* 1366 */    MCD_OPC_Decode, 194, 3, 117, // Opcode: CLGHSI
+/* 1366 */    MCD_OPC_Decode, 196, 3, 117, // Opcode: CLGHSI
 /* 1370 */    MCD_OPC_FilterValue, 92, 4, 0, // Skip to: 1378
-/* 1374 */    MCD_OPC_Decode, 172, 3, 116, // Opcode: CHSI
+/* 1374 */    MCD_OPC_Decode, 174, 3, 116, // Opcode: CHSI
 /* 1378 */    MCD_OPC_FilterValue, 93, 98, 8, // Skip to: 3528
-/* 1382 */    MCD_OPC_Decode, 182, 3, 117, // Opcode: CLFHSI
+/* 1382 */    MCD_OPC_Decode, 184, 3, 117, // Opcode: CLFHSI
 /* 1386 */    MCD_OPC_FilterValue, 235, 1, 54, 4, // Skip to: 2469
 /* 1391 */    MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
 /* 1394 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1402
-/* 1398 */    MCD_OPC_Decode, 254, 4, 118, // Opcode: LMG
+/* 1398 */    MCD_OPC_Decode, 129, 5, 118, // Opcode: LMG
 /* 1402 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 1410
-/* 1406 */    MCD_OPC_Decode, 195, 6, 119, // Opcode: SRAG
+/* 1406 */    MCD_OPC_Decode, 198, 6, 119, // Opcode: SRAG
 /* 1410 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1418
-/* 1414 */    MCD_OPC_Decode, 199, 6, 119, // Opcode: SRLG
+/* 1414 */    MCD_OPC_Decode, 202, 6, 119, // Opcode: SRLG
 /* 1418 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 1426
-/* 1422 */    MCD_OPC_Decode, 183, 6, 119, // Opcode: SLLG
+/* 1422 */    MCD_OPC_Decode, 186, 6, 119, // Opcode: SLLG
 /* 1426 */    MCD_OPC_FilterValue, 20, 4, 0, // Skip to: 1434
-/* 1430 */    MCD_OPC_Decode, 224, 3, 120, // Opcode: CSY
+/* 1430 */    MCD_OPC_Decode, 226, 3, 120, // Opcode: CSY
 /* 1434 */    MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 1442
-/* 1438 */    MCD_OPC_Decode, 153, 6, 119, // Opcode: RLLG
+/* 1438 */    MCD_OPC_Decode, 156, 6, 119, // Opcode: RLLG
 /* 1442 */    MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 1450
-/* 1446 */    MCD_OPC_Decode, 152, 6, 121, // Opcode: RLL
+/* 1446 */    MCD_OPC_Decode, 155, 6, 121, // Opcode: RLL
 /* 1450 */    MCD_OPC_FilterValue, 36, 4, 0, // Skip to: 1458
-/* 1454 */    MCD_OPC_Decode, 221, 6, 118, // Opcode: STMG
+/* 1454 */    MCD_OPC_Decode, 224, 6, 118, // Opcode: STMG
 /* 1458 */    MCD_OPC_FilterValue, 48, 4, 0, // Skip to: 1466
-/* 1462 */    MCD_OPC_Decode, 223, 3, 122, // Opcode: CSG
+/* 1462 */    MCD_OPC_Decode, 225, 3, 122, // Opcode: CSG
 /* 1466 */    MCD_OPC_FilterValue, 81, 4, 0, // Skip to: 1474
-/* 1470 */    MCD_OPC_Decode, 250, 6, 123, // Opcode: TMY
+/* 1470 */    MCD_OPC_Decode, 255, 6, 123, // Opcode: TMY
 /* 1474 */    MCD_OPC_FilterValue, 82, 4, 0, // Skip to: 1482
-/* 1478 */    MCD_OPC_Decode, 209, 5, 123, // Opcode: MVIY
+/* 1478 */    MCD_OPC_Decode, 212, 5, 123, // Opcode: MVIY
 /* 1482 */    MCD_OPC_FilterValue, 84, 4, 0, // Skip to: 1490
-/* 1486 */    MCD_OPC_Decode, 238, 5, 123, // Opcode: NIY
+/* 1486 */    MCD_OPC_Decode, 241, 5, 123, // Opcode: NIY
 /* 1490 */    MCD_OPC_FilterValue, 85, 4, 0, // Skip to: 1498
-/* 1494 */    MCD_OPC_Decode, 206, 3, 123, // Opcode: CLIY
+/* 1494 */    MCD_OPC_Decode, 208, 3, 123, // Opcode: CLIY
 /* 1498 */    MCD_OPC_FilterValue, 86, 4, 0, // Skip to: 1506
-/* 1502 */    MCD_OPC_Decode, 137, 6, 123, // Opcode: OIY
+/* 1502 */    MCD_OPC_Decode, 140, 6, 123, // Opcode: OIY
 /* 1506 */    MCD_OPC_FilterValue, 87, 4, 0, // Skip to: 1514
-/* 1510 */    MCD_OPC_Decode, 136, 7, 123, // Opcode: XIY
+/* 1510 */    MCD_OPC_Decode, 141, 7, 123, // Opcode: XIY
 /* 1514 */    MCD_OPC_FilterValue, 106, 3, 0, // Skip to: 1521
-/* 1518 */    MCD_OPC_Decode, 66, 124, // Opcode: ASI
+/* 1518 */    MCD_OPC_Decode, 68, 124, // Opcode: ASI
 /* 1521 */    MCD_OPC_FilterValue, 122, 3, 0, // Skip to: 1528
-/* 1525 */    MCD_OPC_Decode, 39, 124, // Opcode: AGSI
+/* 1525 */    MCD_OPC_Decode, 41, 124, // Opcode: AGSI
 /* 1528 */    MCD_OPC_FilterValue, 220, 1, 8, 0, // Skip to: 1541
 /* 1533 */    MCD_OPC_CheckPredicate, 2, 199, 7, // Skip to: 3528
-/* 1537 */    MCD_OPC_Decode, 196, 6, 121, // Opcode: SRAK
+/* 1537 */    MCD_OPC_Decode, 199, 6, 121, // Opcode: SRAK
 /* 1541 */    MCD_OPC_FilterValue, 222, 1, 8, 0, // Skip to: 1554
 /* 1546 */    MCD_OPC_CheckPredicate, 2, 186, 7, // Skip to: 3528
-/* 1550 */    MCD_OPC_Decode, 200, 6, 121, // Opcode: SRLK
+/* 1550 */    MCD_OPC_Decode, 203, 6, 121, // Opcode: SRLK
 /* 1554 */    MCD_OPC_FilterValue, 223, 1, 8, 0, // Skip to: 1567
 /* 1559 */    MCD_OPC_CheckPredicate, 2, 173, 7, // Skip to: 3528
-/* 1563 */    MCD_OPC_Decode, 184, 6, 121, // Opcode: SLLK
+/* 1563 */    MCD_OPC_Decode, 187, 6, 121, // Opcode: SLLK
 /* 1567 */    MCD_OPC_FilterValue, 226, 1, 179, 0, // Skip to: 1751
 /* 1572 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 1575 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1587
 /* 1579 */    MCD_OPC_CheckPredicate, 1, 160, 0, // Skip to: 1743
-/* 1583 */    MCD_OPC_Decode, 246, 2, 125, // Opcode: AsmOLOCG
+/* 1583 */    MCD_OPC_Decode, 248, 2, 125, // Opcode: AsmOLOCG
 /* 1587 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1599
 /* 1591 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 1743
-/* 1595 */    MCD_OPC_Decode, 175, 1, 125, // Opcode: AsmHLOCG
+/* 1595 */    MCD_OPC_Decode, 177, 1, 125, // Opcode: AsmHLOCG
 /* 1599 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1611
 /* 1603 */    MCD_OPC_CheckPredicate, 1, 136, 0, // Skip to: 1743
-/* 1607 */    MCD_OPC_Decode, 211, 2, 125, // Opcode: AsmNLELOCG
+/* 1607 */    MCD_OPC_Decode, 213, 2, 125, // Opcode: AsmNLELOCG
 /* 1611 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1623
 /* 1615 */    MCD_OPC_CheckPredicate, 1, 124, 0, // Skip to: 1743
-/* 1619 */    MCD_OPC_Decode, 170, 2, 125, // Opcode: AsmLLOCG
+/* 1619 */    MCD_OPC_Decode, 172, 2, 125, // Opcode: AsmLLOCG
 /* 1623 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1635
 /* 1627 */    MCD_OPC_CheckPredicate, 1, 112, 0, // Skip to: 1743
-/* 1631 */    MCD_OPC_Decode, 193, 2, 125, // Opcode: AsmNHELOCG
+/* 1631 */    MCD_OPC_Decode, 195, 2, 125, // Opcode: AsmNHELOCG
 /* 1635 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1647
 /* 1639 */    MCD_OPC_CheckPredicate, 1, 100, 0, // Skip to: 1743
-/* 1643 */    MCD_OPC_Decode, 162, 2, 125, // Opcode: AsmLHLOCG
+/* 1643 */    MCD_OPC_Decode, 164, 2, 125, // Opcode: AsmLHLOCG
 /* 1647 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 1659
 /* 1651 */    MCD_OPC_CheckPredicate, 1, 88, 0, // Skip to: 1743
-/* 1655 */    MCD_OPC_Decode, 183, 2, 125, // Opcode: AsmNELOCG
+/* 1655 */    MCD_OPC_Decode, 185, 2, 125, // Opcode: AsmNELOCG
 /* 1659 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1671
 /* 1663 */    MCD_OPC_CheckPredicate, 1, 76, 0, // Skip to: 1743
-/* 1667 */    MCD_OPC_Decode, 157, 1, 125, // Opcode: AsmELOCG
+/* 1667 */    MCD_OPC_Decode, 159, 1, 125, // Opcode: AsmELOCG
 /* 1671 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1683
 /* 1675 */    MCD_OPC_CheckPredicate, 1, 64, 0, // Skip to: 1743
-/* 1679 */    MCD_OPC_Decode, 220, 2, 125, // Opcode: AsmNLHLOCG
+/* 1679 */    MCD_OPC_Decode, 222, 2, 125, // Opcode: AsmNLHLOCG
 /* 1683 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1695
 /* 1687 */    MCD_OPC_CheckPredicate, 1, 52, 0, // Skip to: 1743
-/* 1691 */    MCD_OPC_Decode, 167, 1, 125, // Opcode: AsmHELOCG
+/* 1691 */    MCD_OPC_Decode, 169, 1, 125, // Opcode: AsmHELOCG
 /* 1695 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1707
 /* 1699 */    MCD_OPC_CheckPredicate, 1, 40, 0, // Skip to: 1743
-/* 1703 */    MCD_OPC_Decode, 228, 2, 125, // Opcode: AsmNLLOCG
+/* 1703 */    MCD_OPC_Decode, 230, 2, 125, // Opcode: AsmNLLOCG
 /* 1707 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 1719
 /* 1711 */    MCD_OPC_CheckPredicate, 1, 28, 0, // Skip to: 1743
-/* 1715 */    MCD_OPC_Decode, 153, 2, 125, // Opcode: AsmLELOCG
+/* 1715 */    MCD_OPC_Decode, 155, 2, 125, // Opcode: AsmLELOCG
 /* 1719 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1731
 /* 1723 */    MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 1743
-/* 1727 */    MCD_OPC_Decode, 201, 2, 125, // Opcode: AsmNHLOCG
+/* 1727 */    MCD_OPC_Decode, 203, 2, 125, // Opcode: AsmNHLOCG
 /* 1731 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1743
 /* 1735 */    MCD_OPC_CheckPredicate, 1, 4, 0, // Skip to: 1743
-/* 1739 */    MCD_OPC_Decode, 237, 2, 125, // Opcode: AsmNOLOCG
+/* 1739 */    MCD_OPC_Decode, 239, 2, 125, // Opcode: AsmNOLOCG
 /* 1743 */    MCD_OPC_CheckPredicate, 1, 245, 6, // Skip to: 3528
-/* 1747 */    MCD_OPC_Decode, 174, 2, 126, // Opcode: AsmLOCG
+/* 1747 */    MCD_OPC_Decode, 176, 2, 126, // Opcode: AsmLOCG
 /* 1751 */    MCD_OPC_FilterValue, 227, 1, 180, 0, // Skip to: 1936
 /* 1756 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 1759 */    MCD_OPC_FilterValue, 1, 8, 0, // Skip to: 1771
 /* 1763 */    MCD_OPC_CheckPredicate, 1, 160, 0, // Skip to: 1927
-/* 1767 */    MCD_OPC_Decode, 250, 2, 127, // Opcode: AsmOSTOCG
+/* 1767 */    MCD_OPC_Decode, 252, 2, 127, // Opcode: AsmOSTOCG
 /* 1771 */    MCD_OPC_FilterValue, 2, 8, 0, // Skip to: 1783
 /* 1775 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 1927
-/* 1779 */    MCD_OPC_Decode, 179, 1, 127, // Opcode: AsmHSTOCG
+/* 1779 */    MCD_OPC_Decode, 181, 1, 127, // Opcode: AsmHSTOCG
 /* 1783 */    MCD_OPC_FilterValue, 3, 8, 0, // Skip to: 1795
 /* 1787 */    MCD_OPC_CheckPredicate, 1, 136, 0, // Skip to: 1927
-/* 1791 */    MCD_OPC_Decode, 215, 2, 127, // Opcode: AsmNLESTOCG
+/* 1791 */    MCD_OPC_Decode, 217, 2, 127, // Opcode: AsmNLESTOCG
 /* 1795 */    MCD_OPC_FilterValue, 4, 8, 0, // Skip to: 1807
 /* 1799 */    MCD_OPC_CheckPredicate, 1, 124, 0, // Skip to: 1927
-/* 1803 */    MCD_OPC_Decode, 178, 2, 127, // Opcode: AsmLSTOCG
+/* 1803 */    MCD_OPC_Decode, 180, 2, 127, // Opcode: AsmLSTOCG
 /* 1807 */    MCD_OPC_FilterValue, 5, 8, 0, // Skip to: 1819
 /* 1811 */    MCD_OPC_CheckPredicate, 1, 112, 0, // Skip to: 1927
-/* 1815 */    MCD_OPC_Decode, 197, 2, 127, // Opcode: AsmNHESTOCG
+/* 1815 */    MCD_OPC_Decode, 199, 2, 127, // Opcode: AsmNHESTOCG
 /* 1819 */    MCD_OPC_FilterValue, 6, 8, 0, // Skip to: 1831
 /* 1823 */    MCD_OPC_CheckPredicate, 1, 100, 0, // Skip to: 1927
-/* 1827 */    MCD_OPC_Decode, 166, 2, 127, // Opcode: AsmLHSTOCG
+/* 1827 */    MCD_OPC_Decode, 168, 2, 127, // Opcode: AsmLHSTOCG
 /* 1831 */    MCD_OPC_FilterValue, 7, 8, 0, // Skip to: 1843
 /* 1835 */    MCD_OPC_CheckPredicate, 1, 88, 0, // Skip to: 1927
-/* 1839 */    MCD_OPC_Decode, 187, 2, 127, // Opcode: AsmNESTOCG
+/* 1839 */    MCD_OPC_Decode, 189, 2, 127, // Opcode: AsmNESTOCG
 /* 1843 */    MCD_OPC_FilterValue, 8, 8, 0, // Skip to: 1855
 /* 1847 */    MCD_OPC_CheckPredicate, 1, 76, 0, // Skip to: 1927
-/* 1851 */    MCD_OPC_Decode, 161, 1, 127, // Opcode: AsmESTOCG
+/* 1851 */    MCD_OPC_Decode, 163, 1, 127, // Opcode: AsmESTOCG
 /* 1855 */    MCD_OPC_FilterValue, 9, 8, 0, // Skip to: 1867
 /* 1859 */    MCD_OPC_CheckPredicate, 1, 64, 0, // Skip to: 1927
-/* 1863 */    MCD_OPC_Decode, 224, 2, 127, // Opcode: AsmNLHSTOCG
+/* 1863 */    MCD_OPC_Decode, 226, 2, 127, // Opcode: AsmNLHSTOCG
 /* 1867 */    MCD_OPC_FilterValue, 10, 8, 0, // Skip to: 1879
 /* 1871 */    MCD_OPC_CheckPredicate, 1, 52, 0, // Skip to: 1927
-/* 1875 */    MCD_OPC_Decode, 171, 1, 127, // Opcode: AsmHESTOCG
+/* 1875 */    MCD_OPC_Decode, 173, 1, 127, // Opcode: AsmHESTOCG
 /* 1879 */    MCD_OPC_FilterValue, 11, 8, 0, // Skip to: 1891
 /* 1883 */    MCD_OPC_CheckPredicate, 1, 40, 0, // Skip to: 1927
-/* 1887 */    MCD_OPC_Decode, 232, 2, 127, // Opcode: AsmNLSTOCG
+/* 1887 */    MCD_OPC_Decode, 234, 2, 127, // Opcode: AsmNLSTOCG
 /* 1891 */    MCD_OPC_FilterValue, 12, 8, 0, // Skip to: 1903
 /* 1895 */    MCD_OPC_CheckPredicate, 1, 28, 0, // Skip to: 1927
-/* 1899 */    MCD_OPC_Decode, 157, 2, 127, // Opcode: AsmLESTOCG
+/* 1899 */    MCD_OPC_Decode, 159, 2, 127, // Opcode: AsmLESTOCG
 /* 1903 */    MCD_OPC_FilterValue, 13, 8, 0, // Skip to: 1915
 /* 1907 */    MCD_OPC_CheckPredicate, 1, 16, 0, // Skip to: 1927
-/* 1911 */    MCD_OPC_Decode, 205, 2, 127, // Opcode: AsmNHSTOCG
+/* 1911 */    MCD_OPC_Decode, 207, 2, 127, // Opcode: AsmNHSTOCG
 /* 1915 */    MCD_OPC_FilterValue, 14, 8, 0, // Skip to: 1927
 /* 1919 */    MCD_OPC_CheckPredicate, 1, 4, 0, // Skip to: 1927
-/* 1923 */    MCD_OPC_Decode, 241, 2, 127, // Opcode: AsmNOSTOCG
+/* 1923 */    MCD_OPC_Decode, 243, 2, 127, // Opcode: AsmNOSTOCG
 /* 1927 */    MCD_OPC_CheckPredicate, 1, 61, 6, // Skip to: 3528
-/* 1931 */    MCD_OPC_Decode, 252, 2, 128, 1, // Opcode: AsmSTOCG
+/* 1931 */    MCD_OPC_Decode, 254, 2, 128, 1, // Opcode: AsmSTOCG
 /* 1936 */    MCD_OPC_FilterValue, 228, 1, 8, 0, // Skip to: 1949
 /* 1941 */    MCD_OPC_CheckPredicate, 4, 47, 6, // Skip to: 3528
-/* 1945 */    MCD_OPC_Decode, 174, 4, 118, // Opcode: LANG
+/* 1945 */    MCD_OPC_Decode, 177, 4, 118, // Opcode: LANG
 /* 1949 */    MCD_OPC_FilterValue, 230, 1, 8, 0, // Skip to: 1962
 /* 1954 */    MCD_OPC_CheckPredicate, 4, 34, 6, // Skip to: 3528
-/* 1958 */    MCD_OPC_Decode, 176, 4, 118, // Opcode: LAOG
+/* 1958 */    MCD_OPC_Decode, 179, 4, 118, // Opcode: LAOG
 /* 1962 */    MCD_OPC_FilterValue, 231, 1, 8, 0, // Skip to: 1975
 /* 1967 */    MCD_OPC_CheckPredicate, 4, 21, 6, // Skip to: 3528
-/* 1971 */    MCD_OPC_Decode, 179, 4, 118, // Opcode: LAXG
+/* 1971 */    MCD_OPC_Decode, 182, 4, 118, // Opcode: LAXG
 /* 1975 */    MCD_OPC_FilterValue, 232, 1, 8, 0, // Skip to: 1988
 /* 1980 */    MCD_OPC_CheckPredicate, 4, 8, 6, // Skip to: 3528
-/* 1984 */    MCD_OPC_Decode, 170, 4, 118, // Opcode: LAAG
+/* 1984 */    MCD_OPC_Decode, 173, 4, 118, // Opcode: LAAG
 /* 1988 */    MCD_OPC_FilterValue, 234, 1, 8, 0, // Skip to: 2001
 /* 1993 */    MCD_OPC_CheckPredicate, 4, 251, 5, // Skip to: 3528
-/* 1997 */    MCD_OPC_Decode, 172, 4, 118, // Opcode: LAALG
+/* 1997 */    MCD_OPC_Decode, 175, 4, 118, // Opcode: LAALG
 /* 2001 */    MCD_OPC_FilterValue, 242, 1, 194, 0, // Skip to: 2200
 /* 2006 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 2009 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 2022
 /* 2013 */    MCD_OPC_CheckPredicate, 1, 174, 0, // Skip to: 2191
-/* 2017 */    MCD_OPC_Decode, 245, 2, 129, 1, // Opcode: AsmOLOC
+/* 2017 */    MCD_OPC_Decode, 247, 2, 129, 1, // Opcode: AsmOLOC
 /* 2022 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 2035
 /* 2026 */    MCD_OPC_CheckPredicate, 1, 161, 0, // Skip to: 2191
-/* 2030 */    MCD_OPC_Decode, 174, 1, 129, 1, // Opcode: AsmHLOC
+/* 2030 */    MCD_OPC_Decode, 176, 1, 129, 1, // Opcode: AsmHLOC
 /* 2035 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 2048
 /* 2039 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 2191
-/* 2043 */    MCD_OPC_Decode, 210, 2, 129, 1, // Opcode: AsmNLELOC
+/* 2043 */    MCD_OPC_Decode, 212, 2, 129, 1, // Opcode: AsmNLELOC
 /* 2048 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 2061
 /* 2052 */    MCD_OPC_CheckPredicate, 1, 135, 0, // Skip to: 2191
-/* 2056 */    MCD_OPC_Decode, 169, 2, 129, 1, // Opcode: AsmLLOC
+/* 2056 */    MCD_OPC_Decode, 171, 2, 129, 1, // Opcode: AsmLLOC
 /* 2061 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 2074
 /* 2065 */    MCD_OPC_CheckPredicate, 1, 122, 0, // Skip to: 2191
-/* 2069 */    MCD_OPC_Decode, 192, 2, 129, 1, // Opcode: AsmNHELOC
+/* 2069 */    MCD_OPC_Decode, 194, 2, 129, 1, // Opcode: AsmNHELOC
 /* 2074 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 2087
 /* 2078 */    MCD_OPC_CheckPredicate, 1, 109, 0, // Skip to: 2191
-/* 2082 */    MCD_OPC_Decode, 161, 2, 129, 1, // Opcode: AsmLHLOC
+/* 2082 */    MCD_OPC_Decode, 163, 2, 129, 1, // Opcode: AsmLHLOC
 /* 2087 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 2100
 /* 2091 */    MCD_OPC_CheckPredicate, 1, 96, 0, // Skip to: 2191
-/* 2095 */    MCD_OPC_Decode, 182, 2, 129, 1, // Opcode: AsmNELOC
+/* 2095 */    MCD_OPC_Decode, 184, 2, 129, 1, // Opcode: AsmNELOC
 /* 2100 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 2113
 /* 2104 */    MCD_OPC_CheckPredicate, 1, 83, 0, // Skip to: 2191
-/* 2108 */    MCD_OPC_Decode, 156, 1, 129, 1, // Opcode: AsmELOC
+/* 2108 */    MCD_OPC_Decode, 158, 1, 129, 1, // Opcode: AsmELOC
 /* 2113 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 2126
 /* 2117 */    MCD_OPC_CheckPredicate, 1, 70, 0, // Skip to: 2191
-/* 2121 */    MCD_OPC_Decode, 219, 2, 129, 1, // Opcode: AsmNLHLOC
+/* 2121 */    MCD_OPC_Decode, 221, 2, 129, 1, // Opcode: AsmNLHLOC
 /* 2126 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 2139
 /* 2130 */    MCD_OPC_CheckPredicate, 1, 57, 0, // Skip to: 2191
-/* 2134 */    MCD_OPC_Decode, 166, 1, 129, 1, // Opcode: AsmHELOC
+/* 2134 */    MCD_OPC_Decode, 168, 1, 129, 1, // Opcode: AsmHELOC
 /* 2139 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 2152
 /* 2143 */    MCD_OPC_CheckPredicate, 1, 44, 0, // Skip to: 2191
-/* 2147 */    MCD_OPC_Decode, 227, 2, 129, 1, // Opcode: AsmNLLOC
+/* 2147 */    MCD_OPC_Decode, 229, 2, 129, 1, // Opcode: AsmNLLOC
 /* 2152 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 2165
 /* 2156 */    MCD_OPC_CheckPredicate, 1, 31, 0, // Skip to: 2191
-/* 2160 */    MCD_OPC_Decode, 152, 2, 129, 1, // Opcode: AsmLELOC
+/* 2160 */    MCD_OPC_Decode, 154, 2, 129, 1, // Opcode: AsmLELOC
 /* 2165 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2178
 /* 2169 */    MCD_OPC_CheckPredicate, 1, 18, 0, // Skip to: 2191
-/* 2173 */    MCD_OPC_Decode, 200, 2, 129, 1, // Opcode: AsmNHLOC
+/* 2173 */    MCD_OPC_Decode, 202, 2, 129, 1, // Opcode: AsmNHLOC
 /* 2178 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 2191
 /* 2182 */    MCD_OPC_CheckPredicate, 1, 5, 0, // Skip to: 2191
-/* 2186 */    MCD_OPC_Decode, 236, 2, 129, 1, // Opcode: AsmNOLOC
+/* 2186 */    MCD_OPC_Decode, 238, 2, 129, 1, // Opcode: AsmNOLOC
 /* 2191 */    MCD_OPC_CheckPredicate, 1, 53, 5, // Skip to: 3528
-/* 2195 */    MCD_OPC_Decode, 173, 2, 130, 1, // Opcode: AsmLOC
+/* 2195 */    MCD_OPC_Decode, 175, 2, 130, 1, // Opcode: AsmLOC
 /* 2200 */    MCD_OPC_FilterValue, 243, 1, 194, 0, // Skip to: 2399
 /* 2205 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 2208 */    MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 2221
 /* 2212 */    MCD_OPC_CheckPredicate, 1, 174, 0, // Skip to: 2390
-/* 2216 */    MCD_OPC_Decode, 249, 2, 131, 1, // Opcode: AsmOSTOC
+/* 2216 */    MCD_OPC_Decode, 251, 2, 131, 1, // Opcode: AsmOSTOC
 /* 2221 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 2234
 /* 2225 */    MCD_OPC_CheckPredicate, 1, 161, 0, // Skip to: 2390
-/* 2229 */    MCD_OPC_Decode, 178, 1, 131, 1, // Opcode: AsmHSTOC
+/* 2229 */    MCD_OPC_Decode, 180, 1, 131, 1, // Opcode: AsmHSTOC
 /* 2234 */    MCD_OPC_FilterValue, 3, 9, 0, // Skip to: 2247
 /* 2238 */    MCD_OPC_CheckPredicate, 1, 148, 0, // Skip to: 2390
-/* 2242 */    MCD_OPC_Decode, 214, 2, 131, 1, // Opcode: AsmNLESTOC
+/* 2242 */    MCD_OPC_Decode, 216, 2, 131, 1, // Opcode: AsmNLESTOC
 /* 2247 */    MCD_OPC_FilterValue, 4, 9, 0, // Skip to: 2260
 /* 2251 */    MCD_OPC_CheckPredicate, 1, 135, 0, // Skip to: 2390
-/* 2255 */    MCD_OPC_Decode, 177, 2, 131, 1, // Opcode: AsmLSTOC
+/* 2255 */    MCD_OPC_Decode, 179, 2, 131, 1, // Opcode: AsmLSTOC
 /* 2260 */    MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 2273
 /* 2264 */    MCD_OPC_CheckPredicate, 1, 122, 0, // Skip to: 2390
-/* 2268 */    MCD_OPC_Decode, 196, 2, 131, 1, // Opcode: AsmNHESTOC
+/* 2268 */    MCD_OPC_Decode, 198, 2, 131, 1, // Opcode: AsmNHESTOC
 /* 2273 */    MCD_OPC_FilterValue, 6, 9, 0, // Skip to: 2286
 /* 2277 */    MCD_OPC_CheckPredicate, 1, 109, 0, // Skip to: 2390
-/* 2281 */    MCD_OPC_Decode, 165, 2, 131, 1, // Opcode: AsmLHSTOC
+/* 2281 */    MCD_OPC_Decode, 167, 2, 131, 1, // Opcode: AsmLHSTOC
 /* 2286 */    MCD_OPC_FilterValue, 7, 9, 0, // Skip to: 2299
 /* 2290 */    MCD_OPC_CheckPredicate, 1, 96, 0, // Skip to: 2390
-/* 2294 */    MCD_OPC_Decode, 186, 2, 131, 1, // Opcode: AsmNESTOC
+/* 2294 */    MCD_OPC_Decode, 188, 2, 131, 1, // Opcode: AsmNESTOC
 /* 2299 */    MCD_OPC_FilterValue, 8, 9, 0, // Skip to: 2312
 /* 2303 */    MCD_OPC_CheckPredicate, 1, 83, 0, // Skip to: 2390
-/* 2307 */    MCD_OPC_Decode, 160, 1, 131, 1, // Opcode: AsmESTOC
+/* 2307 */    MCD_OPC_Decode, 162, 1, 131, 1, // Opcode: AsmESTOC
 /* 2312 */    MCD_OPC_FilterValue, 9, 9, 0, // Skip to: 2325
 /* 2316 */    MCD_OPC_CheckPredicate, 1, 70, 0, // Skip to: 2390
-/* 2320 */    MCD_OPC_Decode, 223, 2, 131, 1, // Opcode: AsmNLHSTOC
+/* 2320 */    MCD_OPC_Decode, 225, 2, 131, 1, // Opcode: AsmNLHSTOC
 /* 2325 */    MCD_OPC_FilterValue, 10, 9, 0, // Skip to: 2338
 /* 2329 */    MCD_OPC_CheckPredicate, 1, 57, 0, // Skip to: 2390
-/* 2333 */    MCD_OPC_Decode, 170, 1, 131, 1, // Opcode: AsmHESTOC
+/* 2333 */    MCD_OPC_Decode, 172, 1, 131, 1, // Opcode: AsmHESTOC
 /* 2338 */    MCD_OPC_FilterValue, 11, 9, 0, // Skip to: 2351
 /* 2342 */    MCD_OPC_CheckPredicate, 1, 44, 0, // Skip to: 2390
-/* 2346 */    MCD_OPC_Decode, 231, 2, 131, 1, // Opcode: AsmNLSTOC
+/* 2346 */    MCD_OPC_Decode, 233, 2, 131, 1, // Opcode: AsmNLSTOC
 /* 2351 */    MCD_OPC_FilterValue, 12, 9, 0, // Skip to: 2364
 /* 2355 */    MCD_OPC_CheckPredicate, 1, 31, 0, // Skip to: 2390
-/* 2359 */    MCD_OPC_Decode, 156, 2, 131, 1, // Opcode: AsmLESTOC
+/* 2359 */    MCD_OPC_Decode, 158, 2, 131, 1, // Opcode: AsmLESTOC
 /* 2364 */    MCD_OPC_FilterValue, 13, 9, 0, // Skip to: 2377
 /* 2368 */    MCD_OPC_CheckPredicate, 1, 18, 0, // Skip to: 2390
-/* 2372 */    MCD_OPC_Decode, 204, 2, 131, 1, // Opcode: AsmNHSTOC
+/* 2372 */    MCD_OPC_Decode, 206, 2, 131, 1, // Opcode: AsmNHSTOC
 /* 2377 */    MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 2390
 /* 2381 */    MCD_OPC_CheckPredicate, 1, 5, 0, // Skip to: 2390
-/* 2385 */    MCD_OPC_Decode, 240, 2, 131, 1, // Opcode: AsmNOSTOC
+/* 2385 */    MCD_OPC_Decode, 242, 2, 131, 1, // Opcode: AsmNOSTOC
 /* 2390 */    MCD_OPC_CheckPredicate, 1, 110, 4, // Skip to: 3528
-/* 2394 */    MCD_OPC_Decode, 251, 2, 132, 1, // Opcode: AsmSTOC
+/* 2394 */    MCD_OPC_Decode, 253, 2, 132, 1, // Opcode: AsmSTOC
 /* 2399 */    MCD_OPC_FilterValue, 244, 1, 9, 0, // Skip to: 2413
 /* 2404 */    MCD_OPC_CheckPredicate, 4, 96, 4, // Skip to: 3528
-/* 2408 */    MCD_OPC_Decode, 173, 4, 133, 1, // Opcode: LAN
+/* 2408 */    MCD_OPC_Decode, 176, 4, 133, 1, // Opcode: LAN
 /* 2413 */    MCD_OPC_FilterValue, 246, 1, 9, 0, // Skip to: 2427
 /* 2418 */    MCD_OPC_CheckPredicate, 4, 82, 4, // Skip to: 3528
-/* 2422 */    MCD_OPC_Decode, 175, 4, 133, 1, // Opcode: LAO
+/* 2422 */    MCD_OPC_Decode, 178, 4, 133, 1, // Opcode: LAO
 /* 2427 */    MCD_OPC_FilterValue, 247, 1, 9, 0, // Skip to: 2441
 /* 2432 */    MCD_OPC_CheckPredicate, 4, 68, 4, // Skip to: 3528
-/* 2436 */    MCD_OPC_Decode, 178, 4, 133, 1, // Opcode: LAX
+/* 2436 */    MCD_OPC_Decode, 181, 4, 133, 1, // Opcode: LAX
 /* 2441 */    MCD_OPC_FilterValue, 248, 1, 9, 0, // Skip to: 2455
 /* 2446 */    MCD_OPC_CheckPredicate, 4, 54, 4, // Skip to: 3528
-/* 2450 */    MCD_OPC_Decode, 169, 4, 133, 1, // Opcode: LAA
+/* 2450 */    MCD_OPC_Decode, 172, 4, 133, 1, // Opcode: LAA
 /* 2455 */    MCD_OPC_FilterValue, 250, 1, 44, 4, // Skip to: 3528
 /* 2460 */    MCD_OPC_CheckPredicate, 4, 40, 4, // Skip to: 3528
-/* 2464 */    MCD_OPC_Decode, 171, 4, 133, 1, // Opcode: LAAL
+/* 2464 */    MCD_OPC_Decode, 174, 4, 133, 1, // Opcode: LAAL
 /* 2469 */    MCD_OPC_FilterValue, 236, 1, 185, 2, // Skip to: 3171
 /* 2474 */    MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
 /* 2477 */    MCD_OPC_FilterValue, 81, 9, 0, // Skip to: 2490
 /* 2481 */    MCD_OPC_CheckPredicate, 3, 19, 4, // Skip to: 3528
-/* 2485 */    MCD_OPC_Decode, 148, 6, 134, 1, // Opcode: RISBLG
+/* 2485 */    MCD_OPC_Decode, 151, 6, 134, 1, // Opcode: RISBLG
 /* 2490 */    MCD_OPC_FilterValue, 84, 5, 0, // Skip to: 2499
-/* 2494 */    MCD_OPC_Decode, 154, 6, 135, 1, // Opcode: RNSBG
+/* 2494 */    MCD_OPC_Decode, 157, 6, 135, 1, // Opcode: RNSBG
 /* 2499 */    MCD_OPC_FilterValue, 85, 5, 0, // Skip to: 2508
-/* 2503 */    MCD_OPC_Decode, 143, 6, 135, 1, // Opcode: RISBG
+/* 2503 */    MCD_OPC_Decode, 146, 6, 135, 1, // Opcode: RISBG
 /* 2508 */    MCD_OPC_FilterValue, 86, 5, 0, // Skip to: 2517
-/* 2512 */    MCD_OPC_Decode, 155, 6, 135, 1, // Opcode: ROSBG
+/* 2512 */    MCD_OPC_Decode, 158, 6, 135, 1, // Opcode: ROSBG
 /* 2517 */    MCD_OPC_FilterValue, 87, 5, 0, // Skip to: 2526
-/* 2521 */    MCD_OPC_Decode, 156, 6, 135, 1, // Opcode: RXSBG
+/* 2521 */    MCD_OPC_Decode, 159, 6, 135, 1, // Opcode: RXSBG
 /* 2526 */    MCD_OPC_FilterValue, 93, 9, 0, // Skip to: 2539
 /* 2530 */    MCD_OPC_CheckPredicate, 3, 226, 3, // Skip to: 3528
-/* 2534 */    MCD_OPC_Decode, 145, 6, 136, 1, // Opcode: RISBHG
+/* 2534 */    MCD_OPC_Decode, 148, 6, 136, 1, // Opcode: RISBHG
 /* 2539 */    MCD_OPC_FilterValue, 100, 69, 0, // Skip to: 2612
 /* 2543 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2546 */    MCD_OPC_FilterValue, 0, 210, 3, // Skip to: 3528
 /* 2550 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2553 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2562
-/* 2557 */    MCD_OPC_Decode, 205, 1, 137, 1, // Opcode: AsmJHCGR
+/* 2557 */    MCD_OPC_Decode, 207, 1, 137, 1, // Opcode: AsmJHCGR
 /* 2562 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2571
-/* 2566 */    MCD_OPC_Decode, 237, 1, 137, 1, // Opcode: AsmJLCGR
+/* 2566 */    MCD_OPC_Decode, 239, 1, 137, 1, // Opcode: AsmJLCGR
 /* 2571 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2580
-/* 2575 */    MCD_OPC_Decode, 141, 2, 137, 1, // Opcode: AsmJLHCGR
+/* 2575 */    MCD_OPC_Decode, 143, 2, 137, 1, // Opcode: AsmJLHCGR
 /* 2580 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2589
-/* 2584 */    MCD_OPC_Decode, 189, 1, 137, 1, // Opcode: AsmJECGR
+/* 2584 */    MCD_OPC_Decode, 191, 1, 137, 1, // Opcode: AsmJECGR
 /* 2589 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2598
-/* 2593 */    MCD_OPC_Decode, 221, 1, 137, 1, // Opcode: AsmJHECGR
+/* 2593 */    MCD_OPC_Decode, 223, 1, 137, 1, // Opcode: AsmJHECGR
 /* 2598 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2607
-/* 2602 */    MCD_OPC_Decode, 253, 1, 137, 1, // Opcode: AsmJLECGR
-/* 2607 */    MCD_OPC_Decode, 146, 1, 138, 1, // Opcode: AsmCGRJ
+/* 2602 */    MCD_OPC_Decode, 255, 1, 137, 1, // Opcode: AsmJLECGR
+/* 2607 */    MCD_OPC_Decode, 148, 1, 138, 1, // Opcode: AsmCGRJ
 /* 2612 */    MCD_OPC_FilterValue, 101, 69, 0, // Skip to: 2685
 /* 2616 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2619 */    MCD_OPC_FilterValue, 0, 137, 3, // Skip to: 3528
 /* 2623 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2626 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2635
-/* 2630 */    MCD_OPC_Decode, 208, 1, 137, 1, // Opcode: AsmJHCLGR
+/* 2630 */    MCD_OPC_Decode, 210, 1, 137, 1, // Opcode: AsmJHCLGR
 /* 2635 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2644
-/* 2639 */    MCD_OPC_Decode, 240, 1, 137, 1, // Opcode: AsmJLCLGR
+/* 2639 */    MCD_OPC_Decode, 242, 1, 137, 1, // Opcode: AsmJLCLGR
 /* 2644 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2653
-/* 2648 */    MCD_OPC_Decode, 144, 2, 137, 1, // Opcode: AsmJLHCLGR
+/* 2648 */    MCD_OPC_Decode, 146, 2, 137, 1, // Opcode: AsmJLHCLGR
 /* 2653 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2662
-/* 2657 */    MCD_OPC_Decode, 192, 1, 137, 1, // Opcode: AsmJECLGR
+/* 2657 */    MCD_OPC_Decode, 194, 1, 137, 1, // Opcode: AsmJECLGR
 /* 2662 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2671
-/* 2666 */    MCD_OPC_Decode, 224, 1, 137, 1, // Opcode: AsmJHECLGR
+/* 2666 */    MCD_OPC_Decode, 226, 1, 137, 1, // Opcode: AsmJHECLGR
 /* 2671 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2680
-/* 2675 */    MCD_OPC_Decode, 128, 2, 137, 1, // Opcode: AsmJLECLGR
-/* 2680 */    MCD_OPC_Decode, 149, 1, 138, 1, // Opcode: AsmCLGRJ
+/* 2675 */    MCD_OPC_Decode, 130, 2, 137, 1, // Opcode: AsmJLECLGR
+/* 2680 */    MCD_OPC_Decode, 151, 1, 138, 1, // Opcode: AsmCLGRJ
 /* 2685 */    MCD_OPC_FilterValue, 118, 69, 0, // Skip to: 2758
 /* 2689 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2692 */    MCD_OPC_FilterValue, 0, 64, 3, // Skip to: 3528
 /* 2696 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2699 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2708
-/* 2703 */    MCD_OPC_Decode, 211, 1, 139, 1, // Opcode: AsmJHCR
+/* 2703 */    MCD_OPC_Decode, 213, 1, 139, 1, // Opcode: AsmJHCR
 /* 2708 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2717
-/* 2712 */    MCD_OPC_Decode, 243, 1, 139, 1, // Opcode: AsmJLCR
+/* 2712 */    MCD_OPC_Decode, 245, 1, 139, 1, // Opcode: AsmJLCR
 /* 2717 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2726
-/* 2721 */    MCD_OPC_Decode, 147, 2, 139, 1, // Opcode: AsmJLHCR
+/* 2721 */    MCD_OPC_Decode, 149, 2, 139, 1, // Opcode: AsmJLHCR
 /* 2726 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2735
-/* 2730 */    MCD_OPC_Decode, 195, 1, 139, 1, // Opcode: AsmJECR
+/* 2730 */    MCD_OPC_Decode, 197, 1, 139, 1, // Opcode: AsmJECR
 /* 2735 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2744
-/* 2739 */    MCD_OPC_Decode, 227, 1, 139, 1, // Opcode: AsmJHECR
+/* 2739 */    MCD_OPC_Decode, 229, 1, 139, 1, // Opcode: AsmJHECR
 /* 2744 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2753
-/* 2748 */    MCD_OPC_Decode, 131, 2, 139, 1, // Opcode: AsmJLECR
-/* 2753 */    MCD_OPC_Decode, 152, 1, 140, 1, // Opcode: AsmCRJ
+/* 2748 */    MCD_OPC_Decode, 133, 2, 139, 1, // Opcode: AsmJLECR
+/* 2753 */    MCD_OPC_Decode, 154, 1, 140, 1, // Opcode: AsmCRJ
 /* 2758 */    MCD_OPC_FilterValue, 119, 69, 0, // Skip to: 2831
 /* 2762 */    MCD_OPC_ExtractField, 8, 4,  // Inst{11-8} ...
 /* 2765 */    MCD_OPC_FilterValue, 0, 247, 2, // Skip to: 3528
 /* 2769 */    MCD_OPC_ExtractField, 12, 4,  // Inst{15-12} ...
 /* 2772 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2781
-/* 2776 */    MCD_OPC_Decode, 210, 1, 139, 1, // Opcode: AsmJHCLR
+/* 2776 */    MCD_OPC_Decode, 212, 1, 139, 1, // Opcode: AsmJHCLR
 /* 2781 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2790
-/* 2785 */    MCD_OPC_Decode, 242, 1, 139, 1, // Opcode: AsmJLCLR
+/* 2785 */    MCD_OPC_Decode, 244, 1, 139, 1, // Opcode: AsmJLCLR
 /* 2790 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2799
-/* 2794 */    MCD_OPC_Decode, 146, 2, 139, 1, // Opcode: AsmJLHCLR
+/* 2794 */    MCD_OPC_Decode, 148, 2, 139, 1, // Opcode: AsmJLHCLR
 /* 2799 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2808
-/* 2803 */    MCD_OPC_Decode, 194, 1, 139, 1, // Opcode: AsmJECLR
+/* 2803 */    MCD_OPC_Decode, 196, 1, 139, 1, // Opcode: AsmJECLR
 /* 2808 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2817
-/* 2812 */    MCD_OPC_Decode, 226, 1, 139, 1, // Opcode: AsmJHECLR
+/* 2812 */    MCD_OPC_Decode, 228, 1, 139, 1, // Opcode: AsmJHECLR
 /* 2817 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2826
-/* 2821 */    MCD_OPC_Decode, 130, 2, 139, 1, // Opcode: AsmJLECLR
-/* 2826 */    MCD_OPC_Decode, 151, 1, 140, 1, // Opcode: AsmCLRJ
+/* 2821 */    MCD_OPC_Decode, 132, 2, 139, 1, // Opcode: AsmJLECLR
+/* 2826 */    MCD_OPC_Decode, 153, 1, 140, 1, // Opcode: AsmCLRJ
 /* 2831 */    MCD_OPC_FilterValue, 124, 62, 0, // Skip to: 2897
 /* 2835 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 2838 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2847
-/* 2842 */    MCD_OPC_Decode, 204, 1, 141, 1, // Opcode: AsmJHCGI
+/* 2842 */    MCD_OPC_Decode, 206, 1, 141, 1, // Opcode: AsmJHCGI
 /* 2847 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2856
-/* 2851 */    MCD_OPC_Decode, 236, 1, 141, 1, // Opcode: AsmJLCGI
+/* 2851 */    MCD_OPC_Decode, 238, 1, 141, 1, // Opcode: AsmJLCGI
 /* 2856 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2865
-/* 2860 */    MCD_OPC_Decode, 140, 2, 141, 1, // Opcode: AsmJLHCGI
+/* 2860 */    MCD_OPC_Decode, 142, 2, 141, 1, // Opcode: AsmJLHCGI
 /* 2865 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2874
-/* 2869 */    MCD_OPC_Decode, 188, 1, 141, 1, // Opcode: AsmJECGI
+/* 2869 */    MCD_OPC_Decode, 190, 1, 141, 1, // Opcode: AsmJECGI
 /* 2874 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2883
-/* 2878 */    MCD_OPC_Decode, 220, 1, 141, 1, // Opcode: AsmJHECGI
+/* 2878 */    MCD_OPC_Decode, 222, 1, 141, 1, // Opcode: AsmJHECGI
 /* 2883 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2892
-/* 2887 */    MCD_OPC_Decode, 252, 1, 141, 1, // Opcode: AsmJLECGI
-/* 2892 */    MCD_OPC_Decode, 145, 1, 142, 1, // Opcode: AsmCGIJ
+/* 2887 */    MCD_OPC_Decode, 254, 1, 141, 1, // Opcode: AsmJLECGI
+/* 2892 */    MCD_OPC_Decode, 147, 1, 142, 1, // Opcode: AsmCGIJ
 /* 2897 */    MCD_OPC_FilterValue, 125, 62, 0, // Skip to: 2963
 /* 2901 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 2904 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2913
-/* 2908 */    MCD_OPC_Decode, 207, 1, 143, 1, // Opcode: AsmJHCLGI
+/* 2908 */    MCD_OPC_Decode, 209, 1, 143, 1, // Opcode: AsmJHCLGI
 /* 2913 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2922
-/* 2917 */    MCD_OPC_Decode, 239, 1, 143, 1, // Opcode: AsmJLCLGI
+/* 2917 */    MCD_OPC_Decode, 241, 1, 143, 1, // Opcode: AsmJLCLGI
 /* 2922 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2931
-/* 2926 */    MCD_OPC_Decode, 143, 2, 143, 1, // Opcode: AsmJLHCLGI
+/* 2926 */    MCD_OPC_Decode, 145, 2, 143, 1, // Opcode: AsmJLHCLGI
 /* 2931 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 2940
-/* 2935 */    MCD_OPC_Decode, 191, 1, 143, 1, // Opcode: AsmJECLGI
+/* 2935 */    MCD_OPC_Decode, 193, 1, 143, 1, // Opcode: AsmJECLGI
 /* 2940 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 2949
-/* 2944 */    MCD_OPC_Decode, 223, 1, 143, 1, // Opcode: AsmJHECLGI
+/* 2944 */    MCD_OPC_Decode, 225, 1, 143, 1, // Opcode: AsmJHECLGI
 /* 2949 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 2958
-/* 2953 */    MCD_OPC_Decode, 255, 1, 143, 1, // Opcode: AsmJLECLGI
-/* 2958 */    MCD_OPC_Decode, 148, 1, 144, 1, // Opcode: AsmCLGIJ
+/* 2953 */    MCD_OPC_Decode, 129, 2, 143, 1, // Opcode: AsmJLECLGI
+/* 2958 */    MCD_OPC_Decode, 150, 1, 144, 1, // Opcode: AsmCLGIJ
 /* 2963 */    MCD_OPC_FilterValue, 126, 62, 0, // Skip to: 3029
 /* 2967 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 2970 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 2979
-/* 2974 */    MCD_OPC_Decode, 206, 1, 145, 1, // Opcode: AsmJHCI
+/* 2974 */    MCD_OPC_Decode, 208, 1, 145, 1, // Opcode: AsmJHCI
 /* 2979 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 2988
-/* 2983 */    MCD_OPC_Decode, 238, 1, 145, 1, // Opcode: AsmJLCI
+/* 2983 */    MCD_OPC_Decode, 240, 1, 145, 1, // Opcode: AsmJLCI
 /* 2988 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 2997
-/* 2992 */    MCD_OPC_Decode, 142, 2, 145, 1, // Opcode: AsmJLHCI
+/* 2992 */    MCD_OPC_Decode, 144, 2, 145, 1, // Opcode: AsmJLHCI
 /* 2997 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 3006
-/* 3001 */    MCD_OPC_Decode, 190, 1, 145, 1, // Opcode: AsmJECI
+/* 3001 */    MCD_OPC_Decode, 192, 1, 145, 1, // Opcode: AsmJECI
 /* 3006 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 3015
-/* 3010 */    MCD_OPC_Decode, 222, 1, 145, 1, // Opcode: AsmJHECI
+/* 3010 */    MCD_OPC_Decode, 224, 1, 145, 1, // Opcode: AsmJHECI
 /* 3015 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 3024
-/* 3019 */    MCD_OPC_Decode, 254, 1, 145, 1, // Opcode: AsmJLECI
-/* 3024 */    MCD_OPC_Decode, 147, 1, 146, 1, // Opcode: AsmCIJ
+/* 3019 */    MCD_OPC_Decode, 128, 2, 145, 1, // Opcode: AsmJLECI
+/* 3024 */    MCD_OPC_Decode, 149, 1, 146, 1, // Opcode: AsmCIJ
 /* 3029 */    MCD_OPC_FilterValue, 127, 62, 0, // Skip to: 3095
 /* 3033 */    MCD_OPC_ExtractField, 32, 4,  // Inst{35-32} ...
 /* 3036 */    MCD_OPC_FilterValue, 2, 5, 0, // Skip to: 3045
-/* 3040 */    MCD_OPC_Decode, 209, 1, 147, 1, // Opcode: AsmJHCLI
+/* 3040 */    MCD_OPC_Decode, 211, 1, 147, 1, // Opcode: AsmJHCLI
 /* 3045 */    MCD_OPC_FilterValue, 4, 5, 0, // Skip to: 3054
-/* 3049 */    MCD_OPC_Decode, 241, 1, 147, 1, // Opcode: AsmJLCLI
+/* 3049 */    MCD_OPC_Decode, 243, 1, 147, 1, // Opcode: AsmJLCLI
 /* 3054 */    MCD_OPC_FilterValue, 6, 5, 0, // Skip to: 3063
-/* 3058 */    MCD_OPC_Decode, 145, 2, 147, 1, // Opcode: AsmJLHCLI
+/* 3058 */    MCD_OPC_Decode, 147, 2, 147, 1, // Opcode: AsmJLHCLI
 /* 3063 */    MCD_OPC_FilterValue, 8, 5, 0, // Skip to: 3072
-/* 3067 */    MCD_OPC_Decode, 193, 1, 147, 1, // Opcode: AsmJECLI
+/* 3067 */    MCD_OPC_Decode, 195, 1, 147, 1, // Opcode: AsmJECLI
 /* 3072 */    MCD_OPC_FilterValue, 10, 5, 0, // Skip to: 3081
-/* 3076 */    MCD_OPC_Decode, 225, 1, 147, 1, // Opcode: AsmJHECLI
+/* 3076 */    MCD_OPC_Decode, 227, 1, 147, 1, // Opcode: AsmJHECLI
 /* 3081 */    MCD_OPC_FilterValue, 12, 5, 0, // Skip to: 3090
-/* 3085 */    MCD_OPC_Decode, 129, 2, 147, 1, // Opcode: AsmJLECLI
-/* 3090 */    MCD_OPC_Decode, 150, 1, 148, 1, // Opcode: AsmCLIJ
+/* 3085 */    MCD_OPC_Decode, 131, 2, 147, 1, // Opcode: AsmJLECLI
+/* 3090 */    MCD_OPC_Decode, 152, 1, 148, 1, // Opcode: AsmCLIJ
 /* 3095 */    MCD_OPC_FilterValue, 216, 1, 14, 0, // Skip to: 3114
 /* 3100 */    MCD_OPC_CheckPredicate, 2, 168, 1, // Skip to: 3528
 /* 3104 */    MCD_OPC_CheckField, 8, 8, 0, 162, 1, // Skip to: 3528
-/* 3110 */    MCD_OPC_Decode, 42, 149, 1, // Opcode: AHIK
+/* 3110 */    MCD_OPC_Decode, 44, 149, 1, // Opcode: AHIK
 /* 3114 */    MCD_OPC_FilterValue, 217, 1, 14, 0, // Skip to: 3133
 /* 3119 */    MCD_OPC_CheckPredicate, 2, 149, 1, // Skip to: 3528
 /* 3123 */    MCD_OPC_CheckField, 8, 8, 0, 143, 1, // Skip to: 3528
-/* 3129 */    MCD_OPC_Decode, 36, 150, 1, // Opcode: AGHIK
+/* 3129 */    MCD_OPC_Decode, 38, 150, 1, // Opcode: AGHIK
 /* 3133 */    MCD_OPC_FilterValue, 218, 1, 14, 0, // Skip to: 3152
 /* 3138 */    MCD_OPC_CheckPredicate, 2, 130, 1, // Skip to: 3528
 /* 3142 */    MCD_OPC_CheckField, 8, 8, 0, 124, 1, // Skip to: 3528
-/* 3148 */    MCD_OPC_Decode, 60, 149, 1, // Opcode: ALHSIK
+/* 3148 */    MCD_OPC_Decode, 62, 149, 1, // Opcode: ALHSIK
 /* 3152 */    MCD_OPC_FilterValue, 219, 1, 115, 1, // Skip to: 3528
 /* 3157 */    MCD_OPC_CheckPredicate, 2, 111, 1, // Skip to: 3528
 /* 3161 */    MCD_OPC_CheckField, 8, 8, 0, 105, 1, // Skip to: 3528
-/* 3167 */    MCD_OPC_Decode, 57, 150, 1, // Opcode: ALGHSIK
+/* 3167 */    MCD_OPC_Decode, 59, 150, 1, // Opcode: ALGHSIK
 /* 3171 */    MCD_OPC_FilterValue, 237, 1, 96, 1, // Skip to: 3528
 /* 3176 */    MCD_OPC_ExtractField, 0, 8,  // Inst{7-0} ...
 /* 3179 */    MCD_OPC_FilterValue, 4, 11, 0, // Skip to: 3194
 /* 3183 */    MCD_OPC_CheckField, 8, 8, 0, 83, 1, // Skip to: 3528
-/* 3189 */    MCD_OPC_Decode, 192, 4, 151, 1, // Opcode: LDEB
+/* 3189 */    MCD_OPC_Decode, 195, 4, 151, 1, // Opcode: LDEB
 /* 3194 */    MCD_OPC_FilterValue, 5, 11, 0, // Skip to: 3209
 /* 3198 */    MCD_OPC_CheckField, 8, 8, 0, 68, 1, // Skip to: 3528
-/* 3204 */    MCD_OPC_Decode, 164, 5, 152, 1, // Opcode: LXDB
+/* 3204 */    MCD_OPC_Decode, 167, 5, 152, 1, // Opcode: LXDB
 /* 3209 */    MCD_OPC_FilterValue, 6, 11, 0, // Skip to: 3224
 /* 3213 */    MCD_OPC_CheckField, 8, 8, 0, 53, 1, // Skip to: 3528
-/* 3219 */    MCD_OPC_Decode, 166, 5, 152, 1, // Opcode: LXEB
+/* 3219 */    MCD_OPC_Decode, 169, 5, 152, 1, // Opcode: LXEB
 /* 3224 */    MCD_OPC_FilterValue, 7, 11, 0, // Skip to: 3239
 /* 3228 */    MCD_OPC_CheckField, 8, 8, 0, 38, 1, // Skip to: 3528
-/* 3234 */    MCD_OPC_Decode, 213, 5, 153, 1, // Opcode: MXDB
+/* 3234 */    MCD_OPC_Decode, 216, 5, 153, 1, // Opcode: MXDB
 /* 3239 */    MCD_OPC_FilterValue, 9, 11, 0, // Skip to: 3254
 /* 3243 */    MCD_OPC_CheckField, 8, 8, 0, 23, 1, // Skip to: 3528
-/* 3249 */    MCD_OPC_Decode, 140, 3, 154, 1, // Opcode: CEB
+/* 3249 */    MCD_OPC_Decode, 142, 3, 154, 1, // Opcode: CEB
 /* 3254 */    MCD_OPC_FilterValue, 10, 10, 0, // Skip to: 3268
 /* 3258 */    MCD_OPC_CheckField, 8, 8, 0, 8, 1, // Skip to: 3528
-/* 3264 */    MCD_OPC_Decode, 26, 155, 1, // Opcode: AEB
+/* 3264 */    MCD_OPC_Decode, 28, 155, 1, // Opcode: AEB
 /* 3268 */    MCD_OPC_FilterValue, 11, 11, 0, // Skip to: 3283
 /* 3272 */    MCD_OPC_CheckField, 8, 8, 0, 250, 0, // Skip to: 3528
-/* 3278 */    MCD_OPC_Decode, 161, 6, 155, 1, // Opcode: SEB
+/* 3278 */    MCD_OPC_Decode, 164, 6, 155, 1, // Opcode: SEB
 /* 3283 */    MCD_OPC_FilterValue, 12, 11, 0, // Skip to: 3298
 /* 3287 */    MCD_OPC_CheckField, 8, 8, 0, 235, 0, // Skip to: 3528
-/* 3293 */    MCD_OPC_Decode, 179, 5, 156, 1, // Opcode: MDEB
+/* 3293 */    MCD_OPC_Decode, 182, 5, 156, 1, // Opcode: MDEB
 /* 3298 */    MCD_OPC_FilterValue, 13, 11, 0, // Skip to: 3313
 /* 3302 */    MCD_OPC_CheckField, 8, 8, 0, 220, 0, // Skip to: 3528
-/* 3308 */    MCD_OPC_Decode, 253, 3, 155, 1, // Opcode: DEB
+/* 3308 */    MCD_OPC_Decode, 255, 3, 155, 1, // Opcode: DEB
 /* 3313 */    MCD_OPC_FilterValue, 14, 11, 0, // Skip to: 3328
 /* 3317 */    MCD_OPC_CheckField, 8, 4, 0, 205, 0, // Skip to: 3528
-/* 3323 */    MCD_OPC_Decode, 175, 5, 157, 1, // Opcode: MAEB
+/* 3323 */    MCD_OPC_Decode, 178, 5, 157, 1, // Opcode: MAEB
 /* 3328 */    MCD_OPC_FilterValue, 15, 11, 0, // Skip to: 3343
 /* 3332 */    MCD_OPC_CheckField, 8, 4, 0, 190, 0, // Skip to: 3528
-/* 3338 */    MCD_OPC_Decode, 192, 5, 157, 1, // Opcode: MSEB
+/* 3338 */    MCD_OPC_Decode, 195, 5, 157, 1, // Opcode: MSEB
 /* 3343 */    MCD_OPC_FilterValue, 20, 11, 0, // Skip to: 3358
 /* 3347 */    MCD_OPC_CheckField, 8, 8, 0, 175, 0, // Skip to: 3528
-/* 3353 */    MCD_OPC_Decode, 190, 6, 154, 1, // Opcode: SQEB
+/* 3353 */    MCD_OPC_Decode, 193, 6, 154, 1, // Opcode: SQEB
 /* 3358 */    MCD_OPC_FilterValue, 21, 11, 0, // Skip to: 3373
 /* 3362 */    MCD_OPC_CheckField, 8, 8, 0, 160, 0, // Skip to: 3528
-/* 3368 */    MCD_OPC_Decode, 188, 6, 151, 1, // Opcode: SQDB
+/* 3368 */    MCD_OPC_Decode, 191, 6, 151, 1, // Opcode: SQDB
 /* 3373 */    MCD_OPC_FilterValue, 23, 11, 0, // Skip to: 3388
 /* 3377 */    MCD_OPC_CheckField, 8, 8, 0, 145, 0, // Skip to: 3528
-/* 3383 */    MCD_OPC_Decode, 181, 5, 155, 1, // Opcode: MEEB
+/* 3383 */    MCD_OPC_Decode, 184, 5, 155, 1, // Opcode: MEEB
 /* 3388 */    MCD_OPC_FilterValue, 25, 11, 0, // Skip to: 3403
 /* 3392 */    MCD_OPC_CheckField, 8, 8, 0, 130, 0, // Skip to: 3528
-/* 3398 */    MCD_OPC_Decode, 134, 3, 151, 1, // Opcode: CDB
+/* 3398 */    MCD_OPC_Decode, 136, 3, 151, 1, // Opcode: CDB
 /* 3403 */    MCD_OPC_FilterValue, 26, 10, 0, // Skip to: 3417
 /* 3407 */    MCD_OPC_CheckField, 8, 8, 0, 115, 0, // Skip to: 3528
-/* 3413 */    MCD_OPC_Decode, 21, 156, 1, // Opcode: ADB
+/* 3413 */    MCD_OPC_Decode, 23, 156, 1, // Opcode: ADB
 /* 3417 */    MCD_OPC_FilterValue, 27, 11, 0, // Skip to: 3432
 /* 3421 */    MCD_OPC_CheckField, 8, 8, 0, 101, 0, // Skip to: 3528
-/* 3427 */    MCD_OPC_Decode, 159, 6, 156, 1, // Opcode: SDB
+/* 3427 */    MCD_OPC_Decode, 162, 6, 156, 1, // Opcode: SDB
 /* 3432 */    MCD_OPC_FilterValue, 28, 11, 0, // Skip to: 3447
 /* 3436 */    MCD_OPC_CheckField, 8, 8, 0, 86, 0, // Skip to: 3528
-/* 3442 */    MCD_OPC_Decode, 177, 5, 156, 1, // Opcode: MDB
+/* 3442 */    MCD_OPC_Decode, 180, 5, 156, 1, // Opcode: MDB
 /* 3447 */    MCD_OPC_FilterValue, 29, 11, 0, // Skip to: 3462
 /* 3451 */    MCD_OPC_CheckField, 8, 8, 0, 71, 0, // Skip to: 3528
-/* 3457 */    MCD_OPC_Decode, 251, 3, 156, 1, // Opcode: DDB
+/* 3457 */    MCD_OPC_Decode, 253, 3, 156, 1, // Opcode: DDB
 /* 3462 */    MCD_OPC_FilterValue, 30, 11, 0, // Skip to: 3477
 /* 3466 */    MCD_OPC_CheckField, 8, 4, 0, 56, 0, // Skip to: 3528
-/* 3472 */    MCD_OPC_Decode, 173, 5, 158, 1, // Opcode: MADB
+/* 3472 */    MCD_OPC_Decode, 176, 5, 158, 1, // Opcode: MADB
 /* 3477 */    MCD_OPC_FilterValue, 31, 11, 0, // Skip to: 3492
 /* 3481 */    MCD_OPC_CheckField, 8, 4, 0, 41, 0, // Skip to: 3528
-/* 3487 */    MCD_OPC_Decode, 190, 5, 158, 1, // Opcode: MSDB
+/* 3487 */    MCD_OPC_Decode, 193, 5, 158, 1, // Opcode: MSDB
 /* 3492 */    MCD_OPC_FilterValue, 100, 5, 0, // Skip to: 3501
-/* 3496 */    MCD_OPC_Decode, 205, 4, 159, 1, // Opcode: LEY
+/* 3496 */    MCD_OPC_Decode, 208, 4, 159, 1, // Opcode: LEY
 /* 3501 */    MCD_OPC_FilterValue, 101, 5, 0, // Skip to: 3510
-/* 3505 */    MCD_OPC_Decode, 198, 4, 160, 1, // Opcode: LDY
+/* 3505 */    MCD_OPC_Decode, 201, 4, 160, 1, // Opcode: LDY
 /* 3510 */    MCD_OPC_FilterValue, 102, 5, 0, // Skip to: 3519
-/* 3514 */    MCD_OPC_Decode, 212, 6, 159, 1, // Opcode: STEY
+/* 3514 */    MCD_OPC_Decode, 215, 6, 159, 1, // Opcode: STEY
 /* 3519 */    MCD_OPC_FilterValue, 103, 5, 0, // Skip to: 3528
-/* 3523 */    MCD_OPC_Decode, 210, 6, 160, 1, // Opcode: STDY
+/* 3523 */    MCD_OPC_Decode, 213, 6, 160, 1, // Opcode: STDY
 /* 3528 */    MCD_OPC_Fail,
   0
 };
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenInstrInfo.inc 4.0.2-3/arch/SystemZ/SystemZGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,897 +34,902 @@ enum {
     SystemZ_STACKMAP	= 17,
     SystemZ_PATCHPOINT	= 18,
     SystemZ_LOAD_STACK_GUARD	= 19,
-    SystemZ_A	= 20,
-    SystemZ_ADB	= 21,
-    SystemZ_ADBR	= 22,
-    SystemZ_ADJCALLSTACKDOWN	= 23,
-    SystemZ_ADJCALLSTACKUP	= 24,
-    SystemZ_ADJDYNALLOC	= 25,
-    SystemZ_AEB	= 26,
-    SystemZ_AEBR	= 27,
-    SystemZ_AEXT128_64	= 28,
-    SystemZ_AFI	= 29,
-    SystemZ_AFIMux	= 30,
-    SystemZ_AG	= 31,
-    SystemZ_AGF	= 32,
-    SystemZ_AGFI	= 33,
-    SystemZ_AGFR	= 34,
-    SystemZ_AGHI	= 35,
-    SystemZ_AGHIK	= 36,
-    SystemZ_AGR	= 37,
-    SystemZ_AGRK	= 38,
-    SystemZ_AGSI	= 39,
-    SystemZ_AH	= 40,
-    SystemZ_AHI	= 41,
-    SystemZ_AHIK	= 42,
-    SystemZ_AHIMux	= 43,
-    SystemZ_AHIMuxK	= 44,
-    SystemZ_AHY	= 45,
-    SystemZ_AIH	= 46,
-    SystemZ_AL	= 47,
-    SystemZ_ALC	= 48,
-    SystemZ_ALCG	= 49,
-    SystemZ_ALCGR	= 50,
-    SystemZ_ALCR	= 51,
-    SystemZ_ALFI	= 52,
-    SystemZ_ALG	= 53,
-    SystemZ_ALGF	= 54,
-    SystemZ_ALGFI	= 55,
-    SystemZ_ALGFR	= 56,
-    SystemZ_ALGHSIK	= 57,
-    SystemZ_ALGR	= 58,
-    SystemZ_ALGRK	= 59,
-    SystemZ_ALHSIK	= 60,
-    SystemZ_ALR	= 61,
-    SystemZ_ALRK	= 62,
-    SystemZ_ALY	= 63,
-    SystemZ_AR	= 64,
-    SystemZ_ARK	= 65,
-    SystemZ_ASI	= 66,
-    SystemZ_ATOMIC_CMP_SWAPW	= 67,
-    SystemZ_ATOMIC_LOADW_AFI	= 68,
-    SystemZ_ATOMIC_LOADW_AR	= 69,
-    SystemZ_ATOMIC_LOADW_MAX	= 70,
-    SystemZ_ATOMIC_LOADW_MIN	= 71,
-    SystemZ_ATOMIC_LOADW_NILH	= 72,
-    SystemZ_ATOMIC_LOADW_NILHi	= 73,
-    SystemZ_ATOMIC_LOADW_NR	= 74,
-    SystemZ_ATOMIC_LOADW_NRi	= 75,
-    SystemZ_ATOMIC_LOADW_OILH	= 76,
-    SystemZ_ATOMIC_LOADW_OR	= 77,
-    SystemZ_ATOMIC_LOADW_SR	= 78,
-    SystemZ_ATOMIC_LOADW_UMAX	= 79,
-    SystemZ_ATOMIC_LOADW_UMIN	= 80,
-    SystemZ_ATOMIC_LOADW_XILF	= 81,
-    SystemZ_ATOMIC_LOADW_XR	= 82,
-    SystemZ_ATOMIC_LOAD_AFI	= 83,
-    SystemZ_ATOMIC_LOAD_AGFI	= 84,
-    SystemZ_ATOMIC_LOAD_AGHI	= 85,
-    SystemZ_ATOMIC_LOAD_AGR	= 86,
-    SystemZ_ATOMIC_LOAD_AHI	= 87,
-    SystemZ_ATOMIC_LOAD_AR	= 88,
-    SystemZ_ATOMIC_LOAD_MAX_32	= 89,
-    SystemZ_ATOMIC_LOAD_MAX_64	= 90,
-    SystemZ_ATOMIC_LOAD_MIN_32	= 91,
-    SystemZ_ATOMIC_LOAD_MIN_64	= 92,
-    SystemZ_ATOMIC_LOAD_NGR	= 93,
-    SystemZ_ATOMIC_LOAD_NGRi	= 94,
-    SystemZ_ATOMIC_LOAD_NIHF64	= 95,
-    SystemZ_ATOMIC_LOAD_NIHF64i	= 96,
-    SystemZ_ATOMIC_LOAD_NIHH64	= 97,
-    SystemZ_ATOMIC_LOAD_NIHH64i	= 98,
-    SystemZ_ATOMIC_LOAD_NIHL64	= 99,
-    SystemZ_ATOMIC_LOAD_NIHL64i	= 100,
-    SystemZ_ATOMIC_LOAD_NILF	= 101,
-    SystemZ_ATOMIC_LOAD_NILF64	= 102,
-    SystemZ_ATOMIC_LOAD_NILF64i	= 103,
-    SystemZ_ATOMIC_LOAD_NILFi	= 104,
-    SystemZ_ATOMIC_LOAD_NILH	= 105,
-    SystemZ_ATOMIC_LOAD_NILH64	= 106,
-    SystemZ_ATOMIC_LOAD_NILH64i	= 107,
-    SystemZ_ATOMIC_LOAD_NILHi	= 108,
-    SystemZ_ATOMIC_LOAD_NILL	= 109,
-    SystemZ_ATOMIC_LOAD_NILL64	= 110,
-    SystemZ_ATOMIC_LOAD_NILL64i	= 111,
-    SystemZ_ATOMIC_LOAD_NILLi	= 112,
-    SystemZ_ATOMIC_LOAD_NR	= 113,
-    SystemZ_ATOMIC_LOAD_NRi	= 114,
-    SystemZ_ATOMIC_LOAD_OGR	= 115,
-    SystemZ_ATOMIC_LOAD_OIHF64	= 116,
-    SystemZ_ATOMIC_LOAD_OIHH64	= 117,
-    SystemZ_ATOMIC_LOAD_OIHL64	= 118,
-    SystemZ_ATOMIC_LOAD_OILF	= 119,
-    SystemZ_ATOMIC_LOAD_OILF64	= 120,
-    SystemZ_ATOMIC_LOAD_OILH	= 121,
-    SystemZ_ATOMIC_LOAD_OILH64	= 122,
-    SystemZ_ATOMIC_LOAD_OILL	= 123,
-    SystemZ_ATOMIC_LOAD_OILL64	= 124,
-    SystemZ_ATOMIC_LOAD_OR	= 125,
-    SystemZ_ATOMIC_LOAD_SGR	= 126,
-    SystemZ_ATOMIC_LOAD_SR	= 127,
-    SystemZ_ATOMIC_LOAD_UMAX_32	= 128,
-    SystemZ_ATOMIC_LOAD_UMAX_64	= 129,
-    SystemZ_ATOMIC_LOAD_UMIN_32	= 130,
-    SystemZ_ATOMIC_LOAD_UMIN_64	= 131,
-    SystemZ_ATOMIC_LOAD_XGR	= 132,
-    SystemZ_ATOMIC_LOAD_XIHF64	= 133,
-    SystemZ_ATOMIC_LOAD_XILF	= 134,
-    SystemZ_ATOMIC_LOAD_XILF64	= 135,
-    SystemZ_ATOMIC_LOAD_XR	= 136,
-    SystemZ_ATOMIC_SWAPW	= 137,
-    SystemZ_ATOMIC_SWAP_32	= 138,
-    SystemZ_ATOMIC_SWAP_64	= 139,
-    SystemZ_AXBR	= 140,
-    SystemZ_AY	= 141,
-    SystemZ_AsmBCR	= 142,
-    SystemZ_AsmBRC	= 143,
-    SystemZ_AsmBRCL	= 144,
-    SystemZ_AsmCGIJ	= 145,
-    SystemZ_AsmCGRJ	= 146,
-    SystemZ_AsmCIJ	= 147,
-    SystemZ_AsmCLGIJ	= 148,
-    SystemZ_AsmCLGRJ	= 149,
-    SystemZ_AsmCLIJ	= 150,
-    SystemZ_AsmCLRJ	= 151,
-    SystemZ_AsmCRJ	= 152,
-    SystemZ_AsmEBR	= 153,
-    SystemZ_AsmEJ	= 154,
-    SystemZ_AsmEJG	= 155,
-    SystemZ_AsmELOC	= 156,
-    SystemZ_AsmELOCG	= 157,
-    SystemZ_AsmELOCGR	= 158,
-    SystemZ_AsmELOCR	= 159,
-    SystemZ_AsmESTOC	= 160,
-    SystemZ_AsmESTOCG	= 161,
-    SystemZ_AsmHBR	= 162,
-    SystemZ_AsmHEBR	= 163,
-    SystemZ_AsmHEJ	= 164,
-    SystemZ_AsmHEJG	= 165,
-    SystemZ_AsmHELOC	= 166,
-    SystemZ_AsmHELOCG	= 167,
-    SystemZ_AsmHELOCGR	= 168,
-    SystemZ_AsmHELOCR	= 169,
-    SystemZ_AsmHESTOC	= 170,
-    SystemZ_AsmHESTOCG	= 171,
-    SystemZ_AsmHJ	= 172,
-    SystemZ_AsmHJG	= 173,
-    SystemZ_AsmHLOC	= 174,
-    SystemZ_AsmHLOCG	= 175,
-    SystemZ_AsmHLOCGR	= 176,
-    SystemZ_AsmHLOCR	= 177,
-    SystemZ_AsmHSTOC	= 178,
-    SystemZ_AsmHSTOCG	= 179,
-    SystemZ_AsmJEAltCGI	= 180,
-    SystemZ_AsmJEAltCGR	= 181,
-    SystemZ_AsmJEAltCI	= 182,
-    SystemZ_AsmJEAltCLGI	= 183,
-    SystemZ_AsmJEAltCLGR	= 184,
-    SystemZ_AsmJEAltCLI	= 185,
-    SystemZ_AsmJEAltCLR	= 186,
-    SystemZ_AsmJEAltCR	= 187,
-    SystemZ_AsmJECGI	= 188,
-    SystemZ_AsmJECGR	= 189,
-    SystemZ_AsmJECI	= 190,
-    SystemZ_AsmJECLGI	= 191,
-    SystemZ_AsmJECLGR	= 192,
-    SystemZ_AsmJECLI	= 193,
-    SystemZ_AsmJECLR	= 194,
-    SystemZ_AsmJECR	= 195,
-    SystemZ_AsmJHAltCGI	= 196,
-    SystemZ_AsmJHAltCGR	= 197,
-    SystemZ_AsmJHAltCI	= 198,
-    SystemZ_AsmJHAltCLGI	= 199,
-    SystemZ_AsmJHAltCLGR	= 200,
-    SystemZ_AsmJHAltCLI	= 201,
-    SystemZ_AsmJHAltCLR	= 202,
-    SystemZ_AsmJHAltCR	= 203,
-    SystemZ_AsmJHCGI	= 204,
-    SystemZ_AsmJHCGR	= 205,
-    SystemZ_AsmJHCI	= 206,
-    SystemZ_AsmJHCLGI	= 207,
-    SystemZ_AsmJHCLGR	= 208,
-    SystemZ_AsmJHCLI	= 209,
-    SystemZ_AsmJHCLR	= 210,
-    SystemZ_AsmJHCR	= 211,
-    SystemZ_AsmJHEAltCGI	= 212,
-    SystemZ_AsmJHEAltCGR	= 213,
-    SystemZ_AsmJHEAltCI	= 214,
-    SystemZ_AsmJHEAltCLGI	= 215,
-    SystemZ_AsmJHEAltCLGR	= 216,
-    SystemZ_AsmJHEAltCLI	= 217,
-    SystemZ_AsmJHEAltCLR	= 218,
-    SystemZ_AsmJHEAltCR	= 219,
-    SystemZ_AsmJHECGI	= 220,
-    SystemZ_AsmJHECGR	= 221,
-    SystemZ_AsmJHECI	= 222,
-    SystemZ_AsmJHECLGI	= 223,
-    SystemZ_AsmJHECLGR	= 224,
-    SystemZ_AsmJHECLI	= 225,
-    SystemZ_AsmJHECLR	= 226,
-    SystemZ_AsmJHECR	= 227,
-    SystemZ_AsmJLAltCGI	= 228,
-    SystemZ_AsmJLAltCGR	= 229,
-    SystemZ_AsmJLAltCI	= 230,
-    SystemZ_AsmJLAltCLGI	= 231,
-    SystemZ_AsmJLAltCLGR	= 232,
-    SystemZ_AsmJLAltCLI	= 233,
-    SystemZ_AsmJLAltCLR	= 234,
-    SystemZ_AsmJLAltCR	= 235,
-    SystemZ_AsmJLCGI	= 236,
-    SystemZ_AsmJLCGR	= 237,
-    SystemZ_AsmJLCI	= 238,
-    SystemZ_AsmJLCLGI	= 239,
-    SystemZ_AsmJLCLGR	= 240,
-    SystemZ_AsmJLCLI	= 241,
-    SystemZ_AsmJLCLR	= 242,
-    SystemZ_AsmJLCR	= 243,
-    SystemZ_AsmJLEAltCGI	= 244,
-    SystemZ_AsmJLEAltCGR	= 245,
-    SystemZ_AsmJLEAltCI	= 246,
-    SystemZ_AsmJLEAltCLGI	= 247,
-    SystemZ_AsmJLEAltCLGR	= 248,
-    SystemZ_AsmJLEAltCLI	= 249,
-    SystemZ_AsmJLEAltCLR	= 250,
-    SystemZ_AsmJLEAltCR	= 251,
-    SystemZ_AsmJLECGI	= 252,
-    SystemZ_AsmJLECGR	= 253,
-    SystemZ_AsmJLECI	= 254,
-    SystemZ_AsmJLECLGI	= 255,
-    SystemZ_AsmJLECLGR	= 256,
-    SystemZ_AsmJLECLI	= 257,
-    SystemZ_AsmJLECLR	= 258,
-    SystemZ_AsmJLECR	= 259,
-    SystemZ_AsmJLHAltCGI	= 260,
-    SystemZ_AsmJLHAltCGR	= 261,
-    SystemZ_AsmJLHAltCI	= 262,
-    SystemZ_AsmJLHAltCLGI	= 263,
-    SystemZ_AsmJLHAltCLGR	= 264,
-    SystemZ_AsmJLHAltCLI	= 265,
-    SystemZ_AsmJLHAltCLR	= 266,
-    SystemZ_AsmJLHAltCR	= 267,
-    SystemZ_AsmJLHCGI	= 268,
-    SystemZ_AsmJLHCGR	= 269,
-    SystemZ_AsmJLHCI	= 270,
-    SystemZ_AsmJLHCLGI	= 271,
-    SystemZ_AsmJLHCLGR	= 272,
-    SystemZ_AsmJLHCLI	= 273,
-    SystemZ_AsmJLHCLR	= 274,
-    SystemZ_AsmJLHCR	= 275,
-    SystemZ_AsmLBR	= 276,
-    SystemZ_AsmLEBR	= 277,
-    SystemZ_AsmLEJ	= 278,
-    SystemZ_AsmLEJG	= 279,
-    SystemZ_AsmLELOC	= 280,
-    SystemZ_AsmLELOCG	= 281,
-    SystemZ_AsmLELOCGR	= 282,
-    SystemZ_AsmLELOCR	= 283,
-    SystemZ_AsmLESTOC	= 284,
-    SystemZ_AsmLESTOCG	= 285,
-    SystemZ_AsmLHBR	= 286,
-    SystemZ_AsmLHJ	= 287,
-    SystemZ_AsmLHJG	= 288,
-    SystemZ_AsmLHLOC	= 289,
-    SystemZ_AsmLHLOCG	= 290,
-    SystemZ_AsmLHLOCGR	= 291,
-    SystemZ_AsmLHLOCR	= 292,
-    SystemZ_AsmLHSTOC	= 293,
-    SystemZ_AsmLHSTOCG	= 294,
-    SystemZ_AsmLJ	= 295,
-    SystemZ_AsmLJG	= 296,
-    SystemZ_AsmLLOC	= 297,
-    SystemZ_AsmLLOCG	= 298,
-    SystemZ_AsmLLOCGR	= 299,
-    SystemZ_AsmLLOCR	= 300,
-    SystemZ_AsmLOC	= 301,
-    SystemZ_AsmLOCG	= 302,
-    SystemZ_AsmLOCGR	= 303,
-    SystemZ_AsmLOCR	= 304,
-    SystemZ_AsmLSTOC	= 305,
-    SystemZ_AsmLSTOCG	= 306,
-    SystemZ_AsmNEBR	= 307,
-    SystemZ_AsmNEJ	= 308,
-    SystemZ_AsmNEJG	= 309,
-    SystemZ_AsmNELOC	= 310,
-    SystemZ_AsmNELOCG	= 311,
-    SystemZ_AsmNELOCGR	= 312,
-    SystemZ_AsmNELOCR	= 313,
-    SystemZ_AsmNESTOC	= 314,
-    SystemZ_AsmNESTOCG	= 315,
-    SystemZ_AsmNHBR	= 316,
-    SystemZ_AsmNHEBR	= 317,
-    SystemZ_AsmNHEJ	= 318,
-    SystemZ_AsmNHEJG	= 319,
-    SystemZ_AsmNHELOC	= 320,
-    SystemZ_AsmNHELOCG	= 321,
-    SystemZ_AsmNHELOCGR	= 322,
-    SystemZ_AsmNHELOCR	= 323,
-    SystemZ_AsmNHESTOC	= 324,
-    SystemZ_AsmNHESTOCG	= 325,
-    SystemZ_AsmNHJ	= 326,
-    SystemZ_AsmNHJG	= 327,
-    SystemZ_AsmNHLOC	= 328,
-    SystemZ_AsmNHLOCG	= 329,
-    SystemZ_AsmNHLOCGR	= 330,
-    SystemZ_AsmNHLOCR	= 331,
-    SystemZ_AsmNHSTOC	= 332,
-    SystemZ_AsmNHSTOCG	= 333,
-    SystemZ_AsmNLBR	= 334,
-    SystemZ_AsmNLEBR	= 335,
-    SystemZ_AsmNLEJ	= 336,
-    SystemZ_AsmNLEJG	= 337,
-    SystemZ_AsmNLELOC	= 338,
-    SystemZ_AsmNLELOCG	= 339,
-    SystemZ_AsmNLELOCGR	= 340,
-    SystemZ_AsmNLELOCR	= 341,
-    SystemZ_AsmNLESTOC	= 342,
-    SystemZ_AsmNLESTOCG	= 343,
-    SystemZ_AsmNLHBR	= 344,
-    SystemZ_AsmNLHJ	= 345,
-    SystemZ_AsmNLHJG	= 346,
-    SystemZ_AsmNLHLOC	= 347,
-    SystemZ_AsmNLHLOCG	= 348,
-    SystemZ_AsmNLHLOCGR	= 349,
-    SystemZ_AsmNLHLOCR	= 350,
-    SystemZ_AsmNLHSTOC	= 351,
-    SystemZ_AsmNLHSTOCG	= 352,
-    SystemZ_AsmNLJ	= 353,
-    SystemZ_AsmNLJG	= 354,
-    SystemZ_AsmNLLOC	= 355,
-    SystemZ_AsmNLLOCG	= 356,
-    SystemZ_AsmNLLOCGR	= 357,
-    SystemZ_AsmNLLOCR	= 358,
-    SystemZ_AsmNLSTOC	= 359,
-    SystemZ_AsmNLSTOCG	= 360,
-    SystemZ_AsmNOBR	= 361,
-    SystemZ_AsmNOJ	= 362,
-    SystemZ_AsmNOJG	= 363,
-    SystemZ_AsmNOLOC	= 364,
-    SystemZ_AsmNOLOCG	= 365,
-    SystemZ_AsmNOLOCGR	= 366,
-    SystemZ_AsmNOLOCR	= 367,
-    SystemZ_AsmNOSTOC	= 368,
-    SystemZ_AsmNOSTOCG	= 369,
-    SystemZ_AsmOBR	= 370,
-    SystemZ_AsmOJ	= 371,
-    SystemZ_AsmOJG	= 372,
-    SystemZ_AsmOLOC	= 373,
-    SystemZ_AsmOLOCG	= 374,
-    SystemZ_AsmOLOCGR	= 375,
-    SystemZ_AsmOLOCR	= 376,
-    SystemZ_AsmOSTOC	= 377,
-    SystemZ_AsmOSTOCG	= 378,
-    SystemZ_AsmSTOC	= 379,
-    SystemZ_AsmSTOCG	= 380,
-    SystemZ_BASR	= 381,
-    SystemZ_BR	= 382,
-    SystemZ_BRAS	= 383,
-    SystemZ_BRASL	= 384,
-    SystemZ_BRC	= 385,
-    SystemZ_BRCL	= 386,
-    SystemZ_BRCT	= 387,
-    SystemZ_BRCTG	= 388,
-    SystemZ_C	= 389,
-    SystemZ_CDB	= 390,
-    SystemZ_CDBR	= 391,
-    SystemZ_CDFBR	= 392,
-    SystemZ_CDGBR	= 393,
-    SystemZ_CDLFBR	= 394,
-    SystemZ_CDLGBR	= 395,
-    SystemZ_CEB	= 396,
-    SystemZ_CEBR	= 397,
-    SystemZ_CEFBR	= 398,
-    SystemZ_CEGBR	= 399,
-    SystemZ_CELFBR	= 400,
-    SystemZ_CELGBR	= 401,
-    SystemZ_CFDBR	= 402,
-    SystemZ_CFEBR	= 403,
-    SystemZ_CFI	= 404,
-    SystemZ_CFIMux	= 405,
-    SystemZ_CFXBR	= 406,
-    SystemZ_CG	= 407,
-    SystemZ_CGDBR	= 408,
-    SystemZ_CGEBR	= 409,
-    SystemZ_CGF	= 410,
-    SystemZ_CGFI	= 411,
-    SystemZ_CGFR	= 412,
-    SystemZ_CGFRL	= 413,
-    SystemZ_CGH	= 414,
-    SystemZ_CGHI	= 415,
-    SystemZ_CGHRL	= 416,
-    SystemZ_CGHSI	= 417,
-    SystemZ_CGIJ	= 418,
-    SystemZ_CGR	= 419,
-    SystemZ_CGRJ	= 420,
-    SystemZ_CGRL	= 421,
-    SystemZ_CGXBR	= 422,
-    SystemZ_CH	= 423,
-    SystemZ_CHF	= 424,
-    SystemZ_CHHSI	= 425,
-    SystemZ_CHI	= 426,
-    SystemZ_CHRL	= 427,
-    SystemZ_CHSI	= 428,
-    SystemZ_CHY	= 429,
-    SystemZ_CIH	= 430,
-    SystemZ_CIJ	= 431,
-    SystemZ_CL	= 432,
-    SystemZ_CLC	= 433,
-    SystemZ_CLCLoop	= 434,
-    SystemZ_CLCSequence	= 435,
-    SystemZ_CLFDBR	= 436,
-    SystemZ_CLFEBR	= 437,
-    SystemZ_CLFHSI	= 438,
-    SystemZ_CLFI	= 439,
-    SystemZ_CLFIMux	= 440,
-    SystemZ_CLFXBR	= 441,
-    SystemZ_CLG	= 442,
-    SystemZ_CLGDBR	= 443,
-    SystemZ_CLGEBR	= 444,
-    SystemZ_CLGF	= 445,
-    SystemZ_CLGFI	= 446,
-    SystemZ_CLGFR	= 447,
-    SystemZ_CLGFRL	= 448,
-    SystemZ_CLGHRL	= 449,
-    SystemZ_CLGHSI	= 450,
-    SystemZ_CLGIJ	= 451,
-    SystemZ_CLGR	= 452,
-    SystemZ_CLGRJ	= 453,
-    SystemZ_CLGRL	= 454,
-    SystemZ_CLGXBR	= 455,
-    SystemZ_CLHF	= 456,
-    SystemZ_CLHHSI	= 457,
-    SystemZ_CLHRL	= 458,
-    SystemZ_CLI	= 459,
-    SystemZ_CLIH	= 460,
-    SystemZ_CLIJ	= 461,
-    SystemZ_CLIY	= 462,
-    SystemZ_CLMux	= 463,
-    SystemZ_CLR	= 464,
-    SystemZ_CLRJ	= 465,
-    SystemZ_CLRL	= 466,
-    SystemZ_CLST	= 467,
-    SystemZ_CLSTLoop	= 468,
-    SystemZ_CLY	= 469,
-    SystemZ_CMux	= 470,
-    SystemZ_CPSDRdd	= 471,
-    SystemZ_CPSDRds	= 472,
-    SystemZ_CPSDRsd	= 473,
-    SystemZ_CPSDRss	= 474,
-    SystemZ_CR	= 475,
-    SystemZ_CRJ	= 476,
-    SystemZ_CRL	= 477,
-    SystemZ_CS	= 478,
-    SystemZ_CSG	= 479,
-    SystemZ_CSY	= 480,
-    SystemZ_CXBR	= 481,
-    SystemZ_CXFBR	= 482,
-    SystemZ_CXGBR	= 483,
-    SystemZ_CXLFBR	= 484,
-    SystemZ_CXLGBR	= 485,
-    SystemZ_CY	= 486,
-    SystemZ_CallBASR	= 487,
-    SystemZ_CallBR	= 488,
-    SystemZ_CallBRASL	= 489,
-    SystemZ_CallJG	= 490,
-    SystemZ_CondStore16	= 491,
-    SystemZ_CondStore16Inv	= 492,
-    SystemZ_CondStore16Mux	= 493,
-    SystemZ_CondStore16MuxInv	= 494,
-    SystemZ_CondStore32	= 495,
-    SystemZ_CondStore32Inv	= 496,
-    SystemZ_CondStore64	= 497,
-    SystemZ_CondStore64Inv	= 498,
-    SystemZ_CondStore8	= 499,
-    SystemZ_CondStore8Inv	= 500,
-    SystemZ_CondStore8Mux	= 501,
-    SystemZ_CondStore8MuxInv	= 502,
-    SystemZ_CondStoreF32	= 503,
-    SystemZ_CondStoreF32Inv	= 504,
-    SystemZ_CondStoreF64	= 505,
-    SystemZ_CondStoreF64Inv	= 506,
-    SystemZ_DDB	= 507,
-    SystemZ_DDBR	= 508,
-    SystemZ_DEB	= 509,
-    SystemZ_DEBR	= 510,
-    SystemZ_DL	= 511,
-    SystemZ_DLG	= 512,
-    SystemZ_DLGR	= 513,
-    SystemZ_DLR	= 514,
-    SystemZ_DSG	= 515,
-    SystemZ_DSGF	= 516,
-    SystemZ_DSGFR	= 517,
-    SystemZ_DSGR	= 518,
-    SystemZ_DXBR	= 519,
-    SystemZ_EAR	= 520,
-    SystemZ_FIDBR	= 521,
-    SystemZ_FIDBRA	= 522,
-    SystemZ_FIEBR	= 523,
-    SystemZ_FIEBRA	= 524,
-    SystemZ_FIXBR	= 525,
-    SystemZ_FIXBRA	= 526,
-    SystemZ_FLOGR	= 527,
-    SystemZ_IC	= 528,
-    SystemZ_IC32	= 529,
-    SystemZ_IC32Y	= 530,
-    SystemZ_ICY	= 531,
-    SystemZ_IIFMux	= 532,
-    SystemZ_IIHF	= 533,
-    SystemZ_IIHF64	= 534,
-    SystemZ_IIHH	= 535,
-    SystemZ_IIHH64	= 536,
-    SystemZ_IIHL	= 537,
-    SystemZ_IIHL64	= 538,
-    SystemZ_IIHMux	= 539,
-    SystemZ_IILF	= 540,
-    SystemZ_IILF64	= 541,
-    SystemZ_IILH	= 542,
-    SystemZ_IILH64	= 543,
-    SystemZ_IILL	= 544,
-    SystemZ_IILL64	= 545,
-    SystemZ_IILMux	= 546,
-    SystemZ_IPM	= 547,
-    SystemZ_J	= 548,
-    SystemZ_JG	= 549,
-    SystemZ_L	= 550,
-    SystemZ_L128	= 551,
-    SystemZ_LA	= 552,
-    SystemZ_LAA	= 553,
-    SystemZ_LAAG	= 554,
-    SystemZ_LAAL	= 555,
-    SystemZ_LAALG	= 556,
-    SystemZ_LAN	= 557,
-    SystemZ_LANG	= 558,
-    SystemZ_LAO	= 559,
-    SystemZ_LAOG	= 560,
-    SystemZ_LARL	= 561,
-    SystemZ_LAX	= 562,
-    SystemZ_LAXG	= 563,
-    SystemZ_LAY	= 564,
-    SystemZ_LB	= 565,
-    SystemZ_LBH	= 566,
-    SystemZ_LBMux	= 567,
-    SystemZ_LBR	= 568,
-    SystemZ_LCDBR	= 569,
-    SystemZ_LCEBR	= 570,
-    SystemZ_LCGFR	= 571,
-    SystemZ_LCGR	= 572,
-    SystemZ_LCR	= 573,
-    SystemZ_LCXBR	= 574,
-    SystemZ_LD	= 575,
-    SystemZ_LDEB	= 576,
-    SystemZ_LDEBR	= 577,
-    SystemZ_LDGR	= 578,
-    SystemZ_LDR	= 579,
-    SystemZ_LDXBR	= 580,
-    SystemZ_LDXBRA	= 581,
-    SystemZ_LDY	= 582,
-    SystemZ_LE	= 583,
-    SystemZ_LEDBR	= 584,
-    SystemZ_LEDBRA	= 585,
-    SystemZ_LER	= 586,
-    SystemZ_LEXBR	= 587,
-    SystemZ_LEXBRA	= 588,
-    SystemZ_LEY	= 589,
-    SystemZ_LFH	= 590,
-    SystemZ_LG	= 591,
-    SystemZ_LGB	= 592,
-    SystemZ_LGBR	= 593,
-    SystemZ_LGDR	= 594,
-    SystemZ_LGF	= 595,
-    SystemZ_LGFI	= 596,
-    SystemZ_LGFR	= 597,
-    SystemZ_LGFRL	= 598,
-    SystemZ_LGH	= 599,
-    SystemZ_LGHI	= 600,
-    SystemZ_LGHR	= 601,
-    SystemZ_LGHRL	= 602,
-    SystemZ_LGR	= 603,
-    SystemZ_LGRL	= 604,
-    SystemZ_LH	= 605,
-    SystemZ_LHH	= 606,
-    SystemZ_LHI	= 607,
-    SystemZ_LHIMux	= 608,
-    SystemZ_LHMux	= 609,
-    SystemZ_LHR	= 610,
-    SystemZ_LHRL	= 611,
-    SystemZ_LHY	= 612,
-    SystemZ_LLC	= 613,
-    SystemZ_LLCH	= 614,
-    SystemZ_LLCMux	= 615,
-    SystemZ_LLCR	= 616,
-    SystemZ_LLCRMux	= 617,
-    SystemZ_LLGC	= 618,
-    SystemZ_LLGCR	= 619,
-    SystemZ_LLGF	= 620,
-    SystemZ_LLGFR	= 621,
-    SystemZ_LLGFRL	= 622,
-    SystemZ_LLGH	= 623,
-    SystemZ_LLGHR	= 624,
-    SystemZ_LLGHRL	= 625,
-    SystemZ_LLH	= 626,
-    SystemZ_LLHH	= 627,
-    SystemZ_LLHMux	= 628,
-    SystemZ_LLHR	= 629,
-    SystemZ_LLHRL	= 630,
-    SystemZ_LLHRMux	= 631,
-    SystemZ_LLIHF	= 632,
-    SystemZ_LLIHH	= 633,
-    SystemZ_LLIHL	= 634,
-    SystemZ_LLILF	= 635,
-    SystemZ_LLILH	= 636,
-    SystemZ_LLILL	= 637,
-    SystemZ_LMG	= 638,
-    SystemZ_LMux	= 639,
-    SystemZ_LNDBR	= 640,
-    SystemZ_LNEBR	= 641,
-    SystemZ_LNGFR	= 642,
-    SystemZ_LNGR	= 643,
-    SystemZ_LNR	= 644,
-    SystemZ_LNXBR	= 645,
-    SystemZ_LOC	= 646,
-    SystemZ_LOCG	= 647,
-    SystemZ_LOCGR	= 648,
-    SystemZ_LOCR	= 649,
-    SystemZ_LPDBR	= 650,
-    SystemZ_LPEBR	= 651,
-    SystemZ_LPGFR	= 652,
-    SystemZ_LPGR	= 653,
-    SystemZ_LPR	= 654,
-    SystemZ_LPXBR	= 655,
-    SystemZ_LR	= 656,
-    SystemZ_LRL	= 657,
-    SystemZ_LRMux	= 658,
-    SystemZ_LRV	= 659,
-    SystemZ_LRVG	= 660,
-    SystemZ_LRVGR	= 661,
-    SystemZ_LRVR	= 662,
-    SystemZ_LT	= 663,
-    SystemZ_LTDBR	= 664,
-    SystemZ_LTDBRCompare	= 665,
-    SystemZ_LTEBR	= 666,
-    SystemZ_LTEBRCompare	= 667,
-    SystemZ_LTG	= 668,
-    SystemZ_LTGF	= 669,
-    SystemZ_LTGFR	= 670,
-    SystemZ_LTGR	= 671,
-    SystemZ_LTR	= 672,
-    SystemZ_LTXBR	= 673,
-    SystemZ_LTXBRCompare	= 674,
-    SystemZ_LX	= 675,
-    SystemZ_LXDB	= 676,
-    SystemZ_LXDBR	= 677,
-    SystemZ_LXEB	= 678,
-    SystemZ_LXEBR	= 679,
-    SystemZ_LXR	= 680,
-    SystemZ_LY	= 681,
-    SystemZ_LZDR	= 682,
-    SystemZ_LZER	= 683,
-    SystemZ_LZXR	= 684,
-    SystemZ_MADB	= 685,
-    SystemZ_MADBR	= 686,
-    SystemZ_MAEB	= 687,
-    SystemZ_MAEBR	= 688,
-    SystemZ_MDB	= 689,
-    SystemZ_MDBR	= 690,
-    SystemZ_MDEB	= 691,
-    SystemZ_MDEBR	= 692,
-    SystemZ_MEEB	= 693,
-    SystemZ_MEEBR	= 694,
-    SystemZ_MGHI	= 695,
-    SystemZ_MH	= 696,
-    SystemZ_MHI	= 697,
-    SystemZ_MHY	= 698,
-    SystemZ_MLG	= 699,
-    SystemZ_MLGR	= 700,
-    SystemZ_MS	= 701,
-    SystemZ_MSDB	= 702,
-    SystemZ_MSDBR	= 703,
-    SystemZ_MSEB	= 704,
-    SystemZ_MSEBR	= 705,
-    SystemZ_MSFI	= 706,
-    SystemZ_MSG	= 707,
-    SystemZ_MSGF	= 708,
-    SystemZ_MSGFI	= 709,
-    SystemZ_MSGFR	= 710,
-    SystemZ_MSGR	= 711,
-    SystemZ_MSR	= 712,
-    SystemZ_MSY	= 713,
-    SystemZ_MVC	= 714,
-    SystemZ_MVCLoop	= 715,
-    SystemZ_MVCSequence	= 716,
-    SystemZ_MVGHI	= 717,
-    SystemZ_MVHHI	= 718,
-    SystemZ_MVHI	= 719,
-    SystemZ_MVI	= 720,
-    SystemZ_MVIY	= 721,
-    SystemZ_MVST	= 722,
-    SystemZ_MVSTLoop	= 723,
-    SystemZ_MXBR	= 724,
-    SystemZ_MXDB	= 725,
-    SystemZ_MXDBR	= 726,
-    SystemZ_N	= 727,
-    SystemZ_NC	= 728,
-    SystemZ_NCLoop	= 729,
-    SystemZ_NCSequence	= 730,
-    SystemZ_NG	= 731,
-    SystemZ_NGR	= 732,
-    SystemZ_NGRK	= 733,
-    SystemZ_NI	= 734,
-    SystemZ_NIFMux	= 735,
-    SystemZ_NIHF	= 736,
-    SystemZ_NIHF64	= 737,
-    SystemZ_NIHH	= 738,
-    SystemZ_NIHH64	= 739,
-    SystemZ_NIHL	= 740,
-    SystemZ_NIHL64	= 741,
-    SystemZ_NIHMux	= 742,
-    SystemZ_NILF	= 743,
-    SystemZ_NILF64	= 744,
-    SystemZ_NILH	= 745,
-    SystemZ_NILH64	= 746,
-    SystemZ_NILL	= 747,
-    SystemZ_NILL64	= 748,
-    SystemZ_NILMux	= 749,
-    SystemZ_NIY	= 750,
-    SystemZ_NR	= 751,
-    SystemZ_NRK	= 752,
-    SystemZ_NY	= 753,
-    SystemZ_O	= 754,
-    SystemZ_OC	= 755,
-    SystemZ_OCLoop	= 756,
-    SystemZ_OCSequence	= 757,
-    SystemZ_OG	= 758,
-    SystemZ_OGR	= 759,
-    SystemZ_OGRK	= 760,
-    SystemZ_OI	= 761,
-    SystemZ_OIFMux	= 762,
-    SystemZ_OIHF	= 763,
-    SystemZ_OIHF64	= 764,
-    SystemZ_OIHH	= 765,
-    SystemZ_OIHH64	= 766,
-    SystemZ_OIHL	= 767,
-    SystemZ_OIHL64	= 768,
-    SystemZ_OIHMux	= 769,
-    SystemZ_OILF	= 770,
-    SystemZ_OILF64	= 771,
-    SystemZ_OILH	= 772,
-    SystemZ_OILH64	= 773,
-    SystemZ_OILL	= 774,
-    SystemZ_OILL64	= 775,
-    SystemZ_OILMux	= 776,
-    SystemZ_OIY	= 777,
-    SystemZ_OR	= 778,
-    SystemZ_ORK	= 779,
-    SystemZ_OY	= 780,
-    SystemZ_PFD	= 781,
-    SystemZ_PFDRL	= 782,
-    SystemZ_RISBG	= 783,
-    SystemZ_RISBG32	= 784,
-    SystemZ_RISBHG	= 785,
-    SystemZ_RISBHH	= 786,
-    SystemZ_RISBHL	= 787,
-    SystemZ_RISBLG	= 788,
-    SystemZ_RISBLH	= 789,
-    SystemZ_RISBLL	= 790,
-    SystemZ_RISBMux	= 791,
-    SystemZ_RLL	= 792,
-    SystemZ_RLLG	= 793,
-    SystemZ_RNSBG	= 794,
-    SystemZ_ROSBG	= 795,
-    SystemZ_RXSBG	= 796,
-    SystemZ_Return	= 797,
-    SystemZ_S	= 798,
-    SystemZ_SDB	= 799,
-    SystemZ_SDBR	= 800,
-    SystemZ_SEB	= 801,
-    SystemZ_SEBR	= 802,
-    SystemZ_SG	= 803,
-    SystemZ_SGF	= 804,
-    SystemZ_SGFR	= 805,
-    SystemZ_SGR	= 806,
-    SystemZ_SGRK	= 807,
-    SystemZ_SH	= 808,
-    SystemZ_SHY	= 809,
-    SystemZ_SL	= 810,
-    SystemZ_SLB	= 811,
-    SystemZ_SLBG	= 812,
-    SystemZ_SLBR	= 813,
-    SystemZ_SLFI	= 814,
-    SystemZ_SLG	= 815,
-    SystemZ_SLGBR	= 816,
-    SystemZ_SLGF	= 817,
-    SystemZ_SLGFI	= 818,
-    SystemZ_SLGFR	= 819,
-    SystemZ_SLGR	= 820,
-    SystemZ_SLGRK	= 821,
-    SystemZ_SLL	= 822,
-    SystemZ_SLLG	= 823,
-    SystemZ_SLLK	= 824,
-    SystemZ_SLR	= 825,
-    SystemZ_SLRK	= 826,
-    SystemZ_SLY	= 827,
-    SystemZ_SQDB	= 828,
-    SystemZ_SQDBR	= 829,
-    SystemZ_SQEB	= 830,
-    SystemZ_SQEBR	= 831,
-    SystemZ_SQXBR	= 832,
-    SystemZ_SR	= 833,
-    SystemZ_SRA	= 834,
-    SystemZ_SRAG	= 835,
-    SystemZ_SRAK	= 836,
-    SystemZ_SRK	= 837,
-    SystemZ_SRL	= 838,
-    SystemZ_SRLG	= 839,
-    SystemZ_SRLK	= 840,
-    SystemZ_SRST	= 841,
-    SystemZ_SRSTLoop	= 842,
-    SystemZ_ST	= 843,
-    SystemZ_ST128	= 844,
-    SystemZ_STC	= 845,
-    SystemZ_STCH	= 846,
-    SystemZ_STCMux	= 847,
-    SystemZ_STCY	= 848,
-    SystemZ_STD	= 849,
-    SystemZ_STDY	= 850,
-    SystemZ_STE	= 851,
-    SystemZ_STEY	= 852,
-    SystemZ_STFH	= 853,
-    SystemZ_STG	= 854,
-    SystemZ_STGRL	= 855,
-    SystemZ_STH	= 856,
-    SystemZ_STHH	= 857,
-    SystemZ_STHMux	= 858,
-    SystemZ_STHRL	= 859,
-    SystemZ_STHY	= 860,
-    SystemZ_STMG	= 861,
-    SystemZ_STMux	= 862,
-    SystemZ_STOC	= 863,
-    SystemZ_STOCG	= 864,
-    SystemZ_STRL	= 865,
-    SystemZ_STRV	= 866,
-    SystemZ_STRVG	= 867,
-    SystemZ_STX	= 868,
-    SystemZ_STY	= 869,
-    SystemZ_SXBR	= 870,
-    SystemZ_SY	= 871,
-    SystemZ_Select32	= 872,
-    SystemZ_Select32Mux	= 873,
-    SystemZ_Select64	= 874,
-    SystemZ_SelectF128	= 875,
-    SystemZ_SelectF32	= 876,
-    SystemZ_SelectF64	= 877,
-    SystemZ_Serialize	= 878,
-    SystemZ_TM	= 879,
-    SystemZ_TMHH	= 880,
-    SystemZ_TMHH64	= 881,
-    SystemZ_TMHL	= 882,
-    SystemZ_TMHL64	= 883,
-    SystemZ_TMHMux	= 884,
-    SystemZ_TMLH	= 885,
-    SystemZ_TMLH64	= 886,
-    SystemZ_TMLL	= 887,
-    SystemZ_TMLL64	= 888,
-    SystemZ_TMLMux	= 889,
-    SystemZ_TMY	= 890,
-    SystemZ_X	= 891,
-    SystemZ_XC	= 892,
-    SystemZ_XCLoop	= 893,
-    SystemZ_XCSequence	= 894,
-    SystemZ_XG	= 895,
-    SystemZ_XGR	= 896,
-    SystemZ_XGRK	= 897,
-    SystemZ_XI	= 898,
-    SystemZ_XIFMux	= 899,
-    SystemZ_XIHF	= 900,
-    SystemZ_XIHF64	= 901,
-    SystemZ_XILF	= 902,
-    SystemZ_XILF64	= 903,
-    SystemZ_XIY	= 904,
-    SystemZ_XR	= 905,
-    SystemZ_XRK	= 906,
-    SystemZ_XY	= 907,
-    SystemZ_ZEXT128_32	= 908,
-    SystemZ_ZEXT128_64	= 909,
-    SystemZ_INSTRUCTION_LIST_END = 910
+    SystemZ_STATEPOINT	= 20,
+    SystemZ_FRAME_ALLOC	= 21,
+    SystemZ_A	= 22,
+    SystemZ_ADB	= 23,
+    SystemZ_ADBR	= 24,
+    SystemZ_ADJCALLSTACKDOWN	= 25,
+    SystemZ_ADJCALLSTACKUP	= 26,
+    SystemZ_ADJDYNALLOC	= 27,
+    SystemZ_AEB	= 28,
+    SystemZ_AEBR	= 29,
+    SystemZ_AEXT128_64	= 30,
+    SystemZ_AFI	= 31,
+    SystemZ_AFIMux	= 32,
+    SystemZ_AG	= 33,
+    SystemZ_AGF	= 34,
+    SystemZ_AGFI	= 35,
+    SystemZ_AGFR	= 36,
+    SystemZ_AGHI	= 37,
+    SystemZ_AGHIK	= 38,
+    SystemZ_AGR	= 39,
+    SystemZ_AGRK	= 40,
+    SystemZ_AGSI	= 41,
+    SystemZ_AH	= 42,
+    SystemZ_AHI	= 43,
+    SystemZ_AHIK	= 44,
+    SystemZ_AHIMux	= 45,
+    SystemZ_AHIMuxK	= 46,
+    SystemZ_AHY	= 47,
+    SystemZ_AIH	= 48,
+    SystemZ_AL	= 49,
+    SystemZ_ALC	= 50,
+    SystemZ_ALCG	= 51,
+    SystemZ_ALCGR	= 52,
+    SystemZ_ALCR	= 53,
+    SystemZ_ALFI	= 54,
+    SystemZ_ALG	= 55,
+    SystemZ_ALGF	= 56,
+    SystemZ_ALGFI	= 57,
+    SystemZ_ALGFR	= 58,
+    SystemZ_ALGHSIK	= 59,
+    SystemZ_ALGR	= 60,
+    SystemZ_ALGRK	= 61,
+    SystemZ_ALHSIK	= 62,
+    SystemZ_ALR	= 63,
+    SystemZ_ALRK	= 64,
+    SystemZ_ALY	= 65,
+    SystemZ_AR	= 66,
+    SystemZ_ARK	= 67,
+    SystemZ_ASI	= 68,
+    SystemZ_ATOMIC_CMP_SWAPW	= 69,
+    SystemZ_ATOMIC_LOADW_AFI	= 70,
+    SystemZ_ATOMIC_LOADW_AR	= 71,
+    SystemZ_ATOMIC_LOADW_MAX	= 72,
+    SystemZ_ATOMIC_LOADW_MIN	= 73,
+    SystemZ_ATOMIC_LOADW_NILH	= 74,
+    SystemZ_ATOMIC_LOADW_NILHi	= 75,
+    SystemZ_ATOMIC_LOADW_NR	= 76,
+    SystemZ_ATOMIC_LOADW_NRi	= 77,
+    SystemZ_ATOMIC_LOADW_OILH	= 78,
+    SystemZ_ATOMIC_LOADW_OR	= 79,
+    SystemZ_ATOMIC_LOADW_SR	= 80,
+    SystemZ_ATOMIC_LOADW_UMAX	= 81,
+    SystemZ_ATOMIC_LOADW_UMIN	= 82,
+    SystemZ_ATOMIC_LOADW_XILF	= 83,
+    SystemZ_ATOMIC_LOADW_XR	= 84,
+    SystemZ_ATOMIC_LOAD_AFI	= 85,
+    SystemZ_ATOMIC_LOAD_AGFI	= 86,
+    SystemZ_ATOMIC_LOAD_AGHI	= 87,
+    SystemZ_ATOMIC_LOAD_AGR	= 88,
+    SystemZ_ATOMIC_LOAD_AHI	= 89,
+    SystemZ_ATOMIC_LOAD_AR	= 90,
+    SystemZ_ATOMIC_LOAD_MAX_32	= 91,
+    SystemZ_ATOMIC_LOAD_MAX_64	= 92,
+    SystemZ_ATOMIC_LOAD_MIN_32	= 93,
+    SystemZ_ATOMIC_LOAD_MIN_64	= 94,
+    SystemZ_ATOMIC_LOAD_NGR	= 95,
+    SystemZ_ATOMIC_LOAD_NGRi	= 96,
+    SystemZ_ATOMIC_LOAD_NIHF64	= 97,
+    SystemZ_ATOMIC_LOAD_NIHF64i	= 98,
+    SystemZ_ATOMIC_LOAD_NIHH64	= 99,
+    SystemZ_ATOMIC_LOAD_NIHH64i	= 100,
+    SystemZ_ATOMIC_LOAD_NIHL64	= 101,
+    SystemZ_ATOMIC_LOAD_NIHL64i	= 102,
+    SystemZ_ATOMIC_LOAD_NILF	= 103,
+    SystemZ_ATOMIC_LOAD_NILF64	= 104,
+    SystemZ_ATOMIC_LOAD_NILF64i	= 105,
+    SystemZ_ATOMIC_LOAD_NILFi	= 106,
+    SystemZ_ATOMIC_LOAD_NILH	= 107,
+    SystemZ_ATOMIC_LOAD_NILH64	= 108,
+    SystemZ_ATOMIC_LOAD_NILH64i	= 109,
+    SystemZ_ATOMIC_LOAD_NILHi	= 110,
+    SystemZ_ATOMIC_LOAD_NILL	= 111,
+    SystemZ_ATOMIC_LOAD_NILL64	= 112,
+    SystemZ_ATOMIC_LOAD_NILL64i	= 113,
+    SystemZ_ATOMIC_LOAD_NILLi	= 114,
+    SystemZ_ATOMIC_LOAD_NR	= 115,
+    SystemZ_ATOMIC_LOAD_NRi	= 116,
+    SystemZ_ATOMIC_LOAD_OGR	= 117,
+    SystemZ_ATOMIC_LOAD_OIHF64	= 118,
+    SystemZ_ATOMIC_LOAD_OIHH64	= 119,
+    SystemZ_ATOMIC_LOAD_OIHL64	= 120,
+    SystemZ_ATOMIC_LOAD_OILF	= 121,
+    SystemZ_ATOMIC_LOAD_OILF64	= 122,
+    SystemZ_ATOMIC_LOAD_OILH	= 123,
+    SystemZ_ATOMIC_LOAD_OILH64	= 124,
+    SystemZ_ATOMIC_LOAD_OILL	= 125,
+    SystemZ_ATOMIC_LOAD_OILL64	= 126,
+    SystemZ_ATOMIC_LOAD_OR	= 127,
+    SystemZ_ATOMIC_LOAD_SGR	= 128,
+    SystemZ_ATOMIC_LOAD_SR	= 129,
+    SystemZ_ATOMIC_LOAD_UMAX_32	= 130,
+    SystemZ_ATOMIC_LOAD_UMAX_64	= 131,
+    SystemZ_ATOMIC_LOAD_UMIN_32	= 132,
+    SystemZ_ATOMIC_LOAD_UMIN_64	= 133,
+    SystemZ_ATOMIC_LOAD_XGR	= 134,
+    SystemZ_ATOMIC_LOAD_XIHF64	= 135,
+    SystemZ_ATOMIC_LOAD_XILF	= 136,
+    SystemZ_ATOMIC_LOAD_XILF64	= 137,
+    SystemZ_ATOMIC_LOAD_XR	= 138,
+    SystemZ_ATOMIC_SWAPW	= 139,
+    SystemZ_ATOMIC_SWAP_32	= 140,
+    SystemZ_ATOMIC_SWAP_64	= 141,
+    SystemZ_AXBR	= 142,
+    SystemZ_AY	= 143,
+    SystemZ_AsmBCR	= 144,
+    SystemZ_AsmBRC	= 145,
+    SystemZ_AsmBRCL	= 146,
+    SystemZ_AsmCGIJ	= 147,
+    SystemZ_AsmCGRJ	= 148,
+    SystemZ_AsmCIJ	= 149,
+    SystemZ_AsmCLGIJ	= 150,
+    SystemZ_AsmCLGRJ	= 151,
+    SystemZ_AsmCLIJ	= 152,
+    SystemZ_AsmCLRJ	= 153,
+    SystemZ_AsmCRJ	= 154,
+    SystemZ_AsmEBR	= 155,
+    SystemZ_AsmEJ	= 156,
+    SystemZ_AsmEJG	= 157,
+    SystemZ_AsmELOC	= 158,
+    SystemZ_AsmELOCG	= 159,
+    SystemZ_AsmELOCGR	= 160,
+    SystemZ_AsmELOCR	= 161,
+    SystemZ_AsmESTOC	= 162,
+    SystemZ_AsmESTOCG	= 163,
+    SystemZ_AsmHBR	= 164,
+    SystemZ_AsmHEBR	= 165,
+    SystemZ_AsmHEJ	= 166,
+    SystemZ_AsmHEJG	= 167,
+    SystemZ_AsmHELOC	= 168,
+    SystemZ_AsmHELOCG	= 169,
+    SystemZ_AsmHELOCGR	= 170,
+    SystemZ_AsmHELOCR	= 171,
+    SystemZ_AsmHESTOC	= 172,
+    SystemZ_AsmHESTOCG	= 173,
+    SystemZ_AsmHJ	= 174,
+    SystemZ_AsmHJG	= 175,
+    SystemZ_AsmHLOC	= 176,
+    SystemZ_AsmHLOCG	= 177,
+    SystemZ_AsmHLOCGR	= 178,
+    SystemZ_AsmHLOCR	= 179,
+    SystemZ_AsmHSTOC	= 180,
+    SystemZ_AsmHSTOCG	= 181,
+    SystemZ_AsmJEAltCGI	= 182,
+    SystemZ_AsmJEAltCGR	= 183,
+    SystemZ_AsmJEAltCI	= 184,
+    SystemZ_AsmJEAltCLGI	= 185,
+    SystemZ_AsmJEAltCLGR	= 186,
+    SystemZ_AsmJEAltCLI	= 187,
+    SystemZ_AsmJEAltCLR	= 188,
+    SystemZ_AsmJEAltCR	= 189,
+    SystemZ_AsmJECGI	= 190,
+    SystemZ_AsmJECGR	= 191,
+    SystemZ_AsmJECI	= 192,
+    SystemZ_AsmJECLGI	= 193,
+    SystemZ_AsmJECLGR	= 194,
+    SystemZ_AsmJECLI	= 195,
+    SystemZ_AsmJECLR	= 196,
+    SystemZ_AsmJECR	= 197,
+    SystemZ_AsmJHAltCGI	= 198,
+    SystemZ_AsmJHAltCGR	= 199,
+    SystemZ_AsmJHAltCI	= 200,
+    SystemZ_AsmJHAltCLGI	= 201,
+    SystemZ_AsmJHAltCLGR	= 202,
+    SystemZ_AsmJHAltCLI	= 203,
+    SystemZ_AsmJHAltCLR	= 204,
+    SystemZ_AsmJHAltCR	= 205,
+    SystemZ_AsmJHCGI	= 206,
+    SystemZ_AsmJHCGR	= 207,
+    SystemZ_AsmJHCI	= 208,
+    SystemZ_AsmJHCLGI	= 209,
+    SystemZ_AsmJHCLGR	= 210,
+    SystemZ_AsmJHCLI	= 211,
+    SystemZ_AsmJHCLR	= 212,
+    SystemZ_AsmJHCR	= 213,
+    SystemZ_AsmJHEAltCGI	= 214,
+    SystemZ_AsmJHEAltCGR	= 215,
+    SystemZ_AsmJHEAltCI	= 216,
+    SystemZ_AsmJHEAltCLGI	= 217,
+    SystemZ_AsmJHEAltCLGR	= 218,
+    SystemZ_AsmJHEAltCLI	= 219,
+    SystemZ_AsmJHEAltCLR	= 220,
+    SystemZ_AsmJHEAltCR	= 221,
+    SystemZ_AsmJHECGI	= 222,
+    SystemZ_AsmJHECGR	= 223,
+    SystemZ_AsmJHECI	= 224,
+    SystemZ_AsmJHECLGI	= 225,
+    SystemZ_AsmJHECLGR	= 226,
+    SystemZ_AsmJHECLI	= 227,
+    SystemZ_AsmJHECLR	= 228,
+    SystemZ_AsmJHECR	= 229,
+    SystemZ_AsmJLAltCGI	= 230,
+    SystemZ_AsmJLAltCGR	= 231,
+    SystemZ_AsmJLAltCI	= 232,
+    SystemZ_AsmJLAltCLGI	= 233,
+    SystemZ_AsmJLAltCLGR	= 234,
+    SystemZ_AsmJLAltCLI	= 235,
+    SystemZ_AsmJLAltCLR	= 236,
+    SystemZ_AsmJLAltCR	= 237,
+    SystemZ_AsmJLCGI	= 238,
+    SystemZ_AsmJLCGR	= 239,
+    SystemZ_AsmJLCI	= 240,
+    SystemZ_AsmJLCLGI	= 241,
+    SystemZ_AsmJLCLGR	= 242,
+    SystemZ_AsmJLCLI	= 243,
+    SystemZ_AsmJLCLR	= 244,
+    SystemZ_AsmJLCR	= 245,
+    SystemZ_AsmJLEAltCGI	= 246,
+    SystemZ_AsmJLEAltCGR	= 247,
+    SystemZ_AsmJLEAltCI	= 248,
+    SystemZ_AsmJLEAltCLGI	= 249,
+    SystemZ_AsmJLEAltCLGR	= 250,
+    SystemZ_AsmJLEAltCLI	= 251,
+    SystemZ_AsmJLEAltCLR	= 252,
+    SystemZ_AsmJLEAltCR	= 253,
+    SystemZ_AsmJLECGI	= 254,
+    SystemZ_AsmJLECGR	= 255,
+    SystemZ_AsmJLECI	= 256,
+    SystemZ_AsmJLECLGI	= 257,
+    SystemZ_AsmJLECLGR	= 258,
+    SystemZ_AsmJLECLI	= 259,
+    SystemZ_AsmJLECLR	= 260,
+    SystemZ_AsmJLECR	= 261,
+    SystemZ_AsmJLHAltCGI	= 262,
+    SystemZ_AsmJLHAltCGR	= 263,
+    SystemZ_AsmJLHAltCI	= 264,
+    SystemZ_AsmJLHAltCLGI	= 265,
+    SystemZ_AsmJLHAltCLGR	= 266,
+    SystemZ_AsmJLHAltCLI	= 267,
+    SystemZ_AsmJLHAltCLR	= 268,
+    SystemZ_AsmJLHAltCR	= 269,
+    SystemZ_AsmJLHCGI	= 270,
+    SystemZ_AsmJLHCGR	= 271,
+    SystemZ_AsmJLHCI	= 272,
+    SystemZ_AsmJLHCLGI	= 273,
+    SystemZ_AsmJLHCLGR	= 274,
+    SystemZ_AsmJLHCLI	= 275,
+    SystemZ_AsmJLHCLR	= 276,
+    SystemZ_AsmJLHCR	= 277,
+    SystemZ_AsmLBR	= 278,
+    SystemZ_AsmLEBR	= 279,
+    SystemZ_AsmLEJ	= 280,
+    SystemZ_AsmLEJG	= 281,
+    SystemZ_AsmLELOC	= 282,
+    SystemZ_AsmLELOCG	= 283,
+    SystemZ_AsmLELOCGR	= 284,
+    SystemZ_AsmLELOCR	= 285,
+    SystemZ_AsmLESTOC	= 286,
+    SystemZ_AsmLESTOCG	= 287,
+    SystemZ_AsmLHBR	= 288,
+    SystemZ_AsmLHJ	= 289,
+    SystemZ_AsmLHJG	= 290,
+    SystemZ_AsmLHLOC	= 291,
+    SystemZ_AsmLHLOCG	= 292,
+    SystemZ_AsmLHLOCGR	= 293,
+    SystemZ_AsmLHLOCR	= 294,
+    SystemZ_AsmLHSTOC	= 295,
+    SystemZ_AsmLHSTOCG	= 296,
+    SystemZ_AsmLJ	= 297,
+    SystemZ_AsmLJG	= 298,
+    SystemZ_AsmLLOC	= 299,
+    SystemZ_AsmLLOCG	= 300,
+    SystemZ_AsmLLOCGR	= 301,
+    SystemZ_AsmLLOCR	= 302,
+    SystemZ_AsmLOC	= 303,
+    SystemZ_AsmLOCG	= 304,
+    SystemZ_AsmLOCGR	= 305,
+    SystemZ_AsmLOCR	= 306,
+    SystemZ_AsmLSTOC	= 307,
+    SystemZ_AsmLSTOCG	= 308,
+    SystemZ_AsmNEBR	= 309,
+    SystemZ_AsmNEJ	= 310,
+    SystemZ_AsmNEJG	= 311,
+    SystemZ_AsmNELOC	= 312,
+    SystemZ_AsmNELOCG	= 313,
+    SystemZ_AsmNELOCGR	= 314,
+    SystemZ_AsmNELOCR	= 315,
+    SystemZ_AsmNESTOC	= 316,
+    SystemZ_AsmNESTOCG	= 317,
+    SystemZ_AsmNHBR	= 318,
+    SystemZ_AsmNHEBR	= 319,
+    SystemZ_AsmNHEJ	= 320,
+    SystemZ_AsmNHEJG	= 321,
+    SystemZ_AsmNHELOC	= 322,
+    SystemZ_AsmNHELOCG	= 323,
+    SystemZ_AsmNHELOCGR	= 324,
+    SystemZ_AsmNHELOCR	= 325,
+    SystemZ_AsmNHESTOC	= 326,
+    SystemZ_AsmNHESTOCG	= 327,
+    SystemZ_AsmNHJ	= 328,
+    SystemZ_AsmNHJG	= 329,
+    SystemZ_AsmNHLOC	= 330,
+    SystemZ_AsmNHLOCG	= 331,
+    SystemZ_AsmNHLOCGR	= 332,
+    SystemZ_AsmNHLOCR	= 333,
+    SystemZ_AsmNHSTOC	= 334,
+    SystemZ_AsmNHSTOCG	= 335,
+    SystemZ_AsmNLBR	= 336,
+    SystemZ_AsmNLEBR	= 337,
+    SystemZ_AsmNLEJ	= 338,
+    SystemZ_AsmNLEJG	= 339,
+    SystemZ_AsmNLELOC	= 340,
+    SystemZ_AsmNLELOCG	= 341,
+    SystemZ_AsmNLELOCGR	= 342,
+    SystemZ_AsmNLELOCR	= 343,
+    SystemZ_AsmNLESTOC	= 344,
+    SystemZ_AsmNLESTOCG	= 345,
+    SystemZ_AsmNLHBR	= 346,
+    SystemZ_AsmNLHJ	= 347,
+    SystemZ_AsmNLHJG	= 348,
+    SystemZ_AsmNLHLOC	= 349,
+    SystemZ_AsmNLHLOCG	= 350,
+    SystemZ_AsmNLHLOCGR	= 351,
+    SystemZ_AsmNLHLOCR	= 352,
+    SystemZ_AsmNLHSTOC	= 353,
+    SystemZ_AsmNLHSTOCG	= 354,
+    SystemZ_AsmNLJ	= 355,
+    SystemZ_AsmNLJG	= 356,
+    SystemZ_AsmNLLOC	= 357,
+    SystemZ_AsmNLLOCG	= 358,
+    SystemZ_AsmNLLOCGR	= 359,
+    SystemZ_AsmNLLOCR	= 360,
+    SystemZ_AsmNLSTOC	= 361,
+    SystemZ_AsmNLSTOCG	= 362,
+    SystemZ_AsmNOBR	= 363,
+    SystemZ_AsmNOJ	= 364,
+    SystemZ_AsmNOJG	= 365,
+    SystemZ_AsmNOLOC	= 366,
+    SystemZ_AsmNOLOCG	= 367,
+    SystemZ_AsmNOLOCGR	= 368,
+    SystemZ_AsmNOLOCR	= 369,
+    SystemZ_AsmNOSTOC	= 370,
+    SystemZ_AsmNOSTOCG	= 371,
+    SystemZ_AsmOBR	= 372,
+    SystemZ_AsmOJ	= 373,
+    SystemZ_AsmOJG	= 374,
+    SystemZ_AsmOLOC	= 375,
+    SystemZ_AsmOLOCG	= 376,
+    SystemZ_AsmOLOCGR	= 377,
+    SystemZ_AsmOLOCR	= 378,
+    SystemZ_AsmOSTOC	= 379,
+    SystemZ_AsmOSTOCG	= 380,
+    SystemZ_AsmSTOC	= 381,
+    SystemZ_AsmSTOCG	= 382,
+    SystemZ_BASR	= 383,
+    SystemZ_BR	= 384,
+    SystemZ_BRAS	= 385,
+    SystemZ_BRASL	= 386,
+    SystemZ_BRC	= 387,
+    SystemZ_BRCL	= 388,
+    SystemZ_BRCT	= 389,
+    SystemZ_BRCTG	= 390,
+    SystemZ_C	= 391,
+    SystemZ_CDB	= 392,
+    SystemZ_CDBR	= 393,
+    SystemZ_CDFBR	= 394,
+    SystemZ_CDGBR	= 395,
+    SystemZ_CDLFBR	= 396,
+    SystemZ_CDLGBR	= 397,
+    SystemZ_CEB	= 398,
+    SystemZ_CEBR	= 399,
+    SystemZ_CEFBR	= 400,
+    SystemZ_CEGBR	= 401,
+    SystemZ_CELFBR	= 402,
+    SystemZ_CELGBR	= 403,
+    SystemZ_CFDBR	= 404,
+    SystemZ_CFEBR	= 405,
+    SystemZ_CFI	= 406,
+    SystemZ_CFIMux	= 407,
+    SystemZ_CFXBR	= 408,
+    SystemZ_CG	= 409,
+    SystemZ_CGDBR	= 410,
+    SystemZ_CGEBR	= 411,
+    SystemZ_CGF	= 412,
+    SystemZ_CGFI	= 413,
+    SystemZ_CGFR	= 414,
+    SystemZ_CGFRL	= 415,
+    SystemZ_CGH	= 416,
+    SystemZ_CGHI	= 417,
+    SystemZ_CGHRL	= 418,
+    SystemZ_CGHSI	= 419,
+    SystemZ_CGIJ	= 420,
+    SystemZ_CGR	= 421,
+    SystemZ_CGRJ	= 422,
+    SystemZ_CGRL	= 423,
+    SystemZ_CGXBR	= 424,
+    SystemZ_CH	= 425,
+    SystemZ_CHF	= 426,
+    SystemZ_CHHSI	= 427,
+    SystemZ_CHI	= 428,
+    SystemZ_CHRL	= 429,
+    SystemZ_CHSI	= 430,
+    SystemZ_CHY	= 431,
+    SystemZ_CIH	= 432,
+    SystemZ_CIJ	= 433,
+    SystemZ_CL	= 434,
+    SystemZ_CLC	= 435,
+    SystemZ_CLCLoop	= 436,
+    SystemZ_CLCSequence	= 437,
+    SystemZ_CLFDBR	= 438,
+    SystemZ_CLFEBR	= 439,
+    SystemZ_CLFHSI	= 440,
+    SystemZ_CLFI	= 441,
+    SystemZ_CLFIMux	= 442,
+    SystemZ_CLFXBR	= 443,
+    SystemZ_CLG	= 444,
+    SystemZ_CLGDBR	= 445,
+    SystemZ_CLGEBR	= 446,
+    SystemZ_CLGF	= 447,
+    SystemZ_CLGFI	= 448,
+    SystemZ_CLGFR	= 449,
+    SystemZ_CLGFRL	= 450,
+    SystemZ_CLGHRL	= 451,
+    SystemZ_CLGHSI	= 452,
+    SystemZ_CLGIJ	= 453,
+    SystemZ_CLGR	= 454,
+    SystemZ_CLGRJ	= 455,
+    SystemZ_CLGRL	= 456,
+    SystemZ_CLGXBR	= 457,
+    SystemZ_CLHF	= 458,
+    SystemZ_CLHHSI	= 459,
+    SystemZ_CLHRL	= 460,
+    SystemZ_CLI	= 461,
+    SystemZ_CLIH	= 462,
+    SystemZ_CLIJ	= 463,
+    SystemZ_CLIY	= 464,
+    SystemZ_CLMux	= 465,
+    SystemZ_CLR	= 466,
+    SystemZ_CLRJ	= 467,
+    SystemZ_CLRL	= 468,
+    SystemZ_CLST	= 469,
+    SystemZ_CLSTLoop	= 470,
+    SystemZ_CLY	= 471,
+    SystemZ_CMux	= 472,
+    SystemZ_CPSDRdd	= 473,
+    SystemZ_CPSDRds	= 474,
+    SystemZ_CPSDRsd	= 475,
+    SystemZ_CPSDRss	= 476,
+    SystemZ_CR	= 477,
+    SystemZ_CRJ	= 478,
+    SystemZ_CRL	= 479,
+    SystemZ_CS	= 480,
+    SystemZ_CSG	= 481,
+    SystemZ_CSY	= 482,
+    SystemZ_CXBR	= 483,
+    SystemZ_CXFBR	= 484,
+    SystemZ_CXGBR	= 485,
+    SystemZ_CXLFBR	= 486,
+    SystemZ_CXLGBR	= 487,
+    SystemZ_CY	= 488,
+    SystemZ_CallBASR	= 489,
+    SystemZ_CallBR	= 490,
+    SystemZ_CallBRASL	= 491,
+    SystemZ_CallJG	= 492,
+    SystemZ_CondStore16	= 493,
+    SystemZ_CondStore16Inv	= 494,
+    SystemZ_CondStore16Mux	= 495,
+    SystemZ_CondStore16MuxInv	= 496,
+    SystemZ_CondStore32	= 497,
+    SystemZ_CondStore32Inv	= 498,
+    SystemZ_CondStore64	= 499,
+    SystemZ_CondStore64Inv	= 500,
+    SystemZ_CondStore8	= 501,
+    SystemZ_CondStore8Inv	= 502,
+    SystemZ_CondStore8Mux	= 503,
+    SystemZ_CondStore8MuxInv	= 504,
+    SystemZ_CondStoreF32	= 505,
+    SystemZ_CondStoreF32Inv	= 506,
+    SystemZ_CondStoreF64	= 507,
+    SystemZ_CondStoreF64Inv	= 508,
+    SystemZ_DDB	= 509,
+    SystemZ_DDBR	= 510,
+    SystemZ_DEB	= 511,
+    SystemZ_DEBR	= 512,
+    SystemZ_DL	= 513,
+    SystemZ_DLG	= 514,
+    SystemZ_DLGR	= 515,
+    SystemZ_DLR	= 516,
+    SystemZ_DSG	= 517,
+    SystemZ_DSGF	= 518,
+    SystemZ_DSGFR	= 519,
+    SystemZ_DSGR	= 520,
+    SystemZ_DXBR	= 521,
+    SystemZ_EAR	= 522,
+    SystemZ_FIDBR	= 523,
+    SystemZ_FIDBRA	= 524,
+    SystemZ_FIEBR	= 525,
+    SystemZ_FIEBRA	= 526,
+    SystemZ_FIXBR	= 527,
+    SystemZ_FIXBRA	= 528,
+    SystemZ_FLOGR	= 529,
+    SystemZ_GOT	= 530,
+    SystemZ_IC	= 531,
+    SystemZ_IC32	= 532,
+    SystemZ_IC32Y	= 533,
+    SystemZ_ICY	= 534,
+    SystemZ_IIFMux	= 535,
+    SystemZ_IIHF	= 536,
+    SystemZ_IIHF64	= 537,
+    SystemZ_IIHH	= 538,
+    SystemZ_IIHH64	= 539,
+    SystemZ_IIHL	= 540,
+    SystemZ_IIHL64	= 541,
+    SystemZ_IIHMux	= 542,
+    SystemZ_IILF	= 543,
+    SystemZ_IILF64	= 544,
+    SystemZ_IILH	= 545,
+    SystemZ_IILH64	= 546,
+    SystemZ_IILL	= 547,
+    SystemZ_IILL64	= 548,
+    SystemZ_IILMux	= 549,
+    SystemZ_IPM	= 550,
+    SystemZ_J	= 551,
+    SystemZ_JG	= 552,
+    SystemZ_L	= 553,
+    SystemZ_L128	= 554,
+    SystemZ_LA	= 555,
+    SystemZ_LAA	= 556,
+    SystemZ_LAAG	= 557,
+    SystemZ_LAAL	= 558,
+    SystemZ_LAALG	= 559,
+    SystemZ_LAN	= 560,
+    SystemZ_LANG	= 561,
+    SystemZ_LAO	= 562,
+    SystemZ_LAOG	= 563,
+    SystemZ_LARL	= 564,
+    SystemZ_LAX	= 565,
+    SystemZ_LAXG	= 566,
+    SystemZ_LAY	= 567,
+    SystemZ_LB	= 568,
+    SystemZ_LBH	= 569,
+    SystemZ_LBMux	= 570,
+    SystemZ_LBR	= 571,
+    SystemZ_LCDBR	= 572,
+    SystemZ_LCEBR	= 573,
+    SystemZ_LCGFR	= 574,
+    SystemZ_LCGR	= 575,
+    SystemZ_LCR	= 576,
+    SystemZ_LCXBR	= 577,
+    SystemZ_LD	= 578,
+    SystemZ_LDEB	= 579,
+    SystemZ_LDEBR	= 580,
+    SystemZ_LDGR	= 581,
+    SystemZ_LDR	= 582,
+    SystemZ_LDXBR	= 583,
+    SystemZ_LDXBRA	= 584,
+    SystemZ_LDY	= 585,
+    SystemZ_LE	= 586,
+    SystemZ_LEDBR	= 587,
+    SystemZ_LEDBRA	= 588,
+    SystemZ_LER	= 589,
+    SystemZ_LEXBR	= 590,
+    SystemZ_LEXBRA	= 591,
+    SystemZ_LEY	= 592,
+    SystemZ_LFH	= 593,
+    SystemZ_LG	= 594,
+    SystemZ_LGB	= 595,
+    SystemZ_LGBR	= 596,
+    SystemZ_LGDR	= 597,
+    SystemZ_LGF	= 598,
+    SystemZ_LGFI	= 599,
+    SystemZ_LGFR	= 600,
+    SystemZ_LGFRL	= 601,
+    SystemZ_LGH	= 602,
+    SystemZ_LGHI	= 603,
+    SystemZ_LGHR	= 604,
+    SystemZ_LGHRL	= 605,
+    SystemZ_LGR	= 606,
+    SystemZ_LGRL	= 607,
+    SystemZ_LH	= 608,
+    SystemZ_LHH	= 609,
+    SystemZ_LHI	= 610,
+    SystemZ_LHIMux	= 611,
+    SystemZ_LHMux	= 612,
+    SystemZ_LHR	= 613,
+    SystemZ_LHRL	= 614,
+    SystemZ_LHY	= 615,
+    SystemZ_LLC	= 616,
+    SystemZ_LLCH	= 617,
+    SystemZ_LLCMux	= 618,
+    SystemZ_LLCR	= 619,
+    SystemZ_LLCRMux	= 620,
+    SystemZ_LLGC	= 621,
+    SystemZ_LLGCR	= 622,
+    SystemZ_LLGF	= 623,
+    SystemZ_LLGFR	= 624,
+    SystemZ_LLGFRL	= 625,
+    SystemZ_LLGH	= 626,
+    SystemZ_LLGHR	= 627,
+    SystemZ_LLGHRL	= 628,
+    SystemZ_LLH	= 629,
+    SystemZ_LLHH	= 630,
+    SystemZ_LLHMux	= 631,
+    SystemZ_LLHR	= 632,
+    SystemZ_LLHRL	= 633,
+    SystemZ_LLHRMux	= 634,
+    SystemZ_LLIHF	= 635,
+    SystemZ_LLIHH	= 636,
+    SystemZ_LLIHL	= 637,
+    SystemZ_LLILF	= 638,
+    SystemZ_LLILH	= 639,
+    SystemZ_LLILL	= 640,
+    SystemZ_LMG	= 641,
+    SystemZ_LMux	= 642,
+    SystemZ_LNDBR	= 643,
+    SystemZ_LNEBR	= 644,
+    SystemZ_LNGFR	= 645,
+    SystemZ_LNGR	= 646,
+    SystemZ_LNR	= 647,
+    SystemZ_LNXBR	= 648,
+    SystemZ_LOC	= 649,
+    SystemZ_LOCG	= 650,
+    SystemZ_LOCGR	= 651,
+    SystemZ_LOCR	= 652,
+    SystemZ_LPDBR	= 653,
+    SystemZ_LPEBR	= 654,
+    SystemZ_LPGFR	= 655,
+    SystemZ_LPGR	= 656,
+    SystemZ_LPR	= 657,
+    SystemZ_LPXBR	= 658,
+    SystemZ_LR	= 659,
+    SystemZ_LRL	= 660,
+    SystemZ_LRMux	= 661,
+    SystemZ_LRV	= 662,
+    SystemZ_LRVG	= 663,
+    SystemZ_LRVGR	= 664,
+    SystemZ_LRVR	= 665,
+    SystemZ_LT	= 666,
+    SystemZ_LTDBR	= 667,
+    SystemZ_LTDBRCompare	= 668,
+    SystemZ_LTEBR	= 669,
+    SystemZ_LTEBRCompare	= 670,
+    SystemZ_LTG	= 671,
+    SystemZ_LTGF	= 672,
+    SystemZ_LTGFR	= 673,
+    SystemZ_LTGR	= 674,
+    SystemZ_LTR	= 675,
+    SystemZ_LTXBR	= 676,
+    SystemZ_LTXBRCompare	= 677,
+    SystemZ_LX	= 678,
+    SystemZ_LXDB	= 679,
+    SystemZ_LXDBR	= 680,
+    SystemZ_LXEB	= 681,
+    SystemZ_LXEBR	= 682,
+    SystemZ_LXR	= 683,
+    SystemZ_LY	= 684,
+    SystemZ_LZDR	= 685,
+    SystemZ_LZER	= 686,
+    SystemZ_LZXR	= 687,
+    SystemZ_MADB	= 688,
+    SystemZ_MADBR	= 689,
+    SystemZ_MAEB	= 690,
+    SystemZ_MAEBR	= 691,
+    SystemZ_MDB	= 692,
+    SystemZ_MDBR	= 693,
+    SystemZ_MDEB	= 694,
+    SystemZ_MDEBR	= 695,
+    SystemZ_MEEB	= 696,
+    SystemZ_MEEBR	= 697,
+    SystemZ_MGHI	= 698,
+    SystemZ_MH	= 699,
+    SystemZ_MHI	= 700,
+    SystemZ_MHY	= 701,
+    SystemZ_MLG	= 702,
+    SystemZ_MLGR	= 703,
+    SystemZ_MS	= 704,
+    SystemZ_MSDB	= 705,
+    SystemZ_MSDBR	= 706,
+    SystemZ_MSEB	= 707,
+    SystemZ_MSEBR	= 708,
+    SystemZ_MSFI	= 709,
+    SystemZ_MSG	= 710,
+    SystemZ_MSGF	= 711,
+    SystemZ_MSGFI	= 712,
+    SystemZ_MSGFR	= 713,
+    SystemZ_MSGR	= 714,
+    SystemZ_MSR	= 715,
+    SystemZ_MSY	= 716,
+    SystemZ_MVC	= 717,
+    SystemZ_MVCLoop	= 718,
+    SystemZ_MVCSequence	= 719,
+    SystemZ_MVGHI	= 720,
+    SystemZ_MVHHI	= 721,
+    SystemZ_MVHI	= 722,
+    SystemZ_MVI	= 723,
+    SystemZ_MVIY	= 724,
+    SystemZ_MVST	= 725,
+    SystemZ_MVSTLoop	= 726,
+    SystemZ_MXBR	= 727,
+    SystemZ_MXDB	= 728,
+    SystemZ_MXDBR	= 729,
+    SystemZ_N	= 730,
+    SystemZ_NC	= 731,
+    SystemZ_NCLoop	= 732,
+    SystemZ_NCSequence	= 733,
+    SystemZ_NG	= 734,
+    SystemZ_NGR	= 735,
+    SystemZ_NGRK	= 736,
+    SystemZ_NI	= 737,
+    SystemZ_NIFMux	= 738,
+    SystemZ_NIHF	= 739,
+    SystemZ_NIHF64	= 740,
+    SystemZ_NIHH	= 741,
+    SystemZ_NIHH64	= 742,
+    SystemZ_NIHL	= 743,
+    SystemZ_NIHL64	= 744,
+    SystemZ_NIHMux	= 745,
+    SystemZ_NILF	= 746,
+    SystemZ_NILF64	= 747,
+    SystemZ_NILH	= 748,
+    SystemZ_NILH64	= 749,
+    SystemZ_NILL	= 750,
+    SystemZ_NILL64	= 751,
+    SystemZ_NILMux	= 752,
+    SystemZ_NIY	= 753,
+    SystemZ_NR	= 754,
+    SystemZ_NRK	= 755,
+    SystemZ_NY	= 756,
+    SystemZ_O	= 757,
+    SystemZ_OC	= 758,
+    SystemZ_OCLoop	= 759,
+    SystemZ_OCSequence	= 760,
+    SystemZ_OG	= 761,
+    SystemZ_OGR	= 762,
+    SystemZ_OGRK	= 763,
+    SystemZ_OI	= 764,
+    SystemZ_OIFMux	= 765,
+    SystemZ_OIHF	= 766,
+    SystemZ_OIHF64	= 767,
+    SystemZ_OIHH	= 768,
+    SystemZ_OIHH64	= 769,
+    SystemZ_OIHL	= 770,
+    SystemZ_OIHL64	= 771,
+    SystemZ_OIHMux	= 772,
+    SystemZ_OILF	= 773,
+    SystemZ_OILF64	= 774,
+    SystemZ_OILH	= 775,
+    SystemZ_OILH64	= 776,
+    SystemZ_OILL	= 777,
+    SystemZ_OILL64	= 778,
+    SystemZ_OILMux	= 779,
+    SystemZ_OIY	= 780,
+    SystemZ_OR	= 781,
+    SystemZ_ORK	= 782,
+    SystemZ_OY	= 783,
+    SystemZ_PFD	= 784,
+    SystemZ_PFDRL	= 785,
+    SystemZ_RISBG	= 786,
+    SystemZ_RISBG32	= 787,
+    SystemZ_RISBHG	= 788,
+    SystemZ_RISBHH	= 789,
+    SystemZ_RISBHL	= 790,
+    SystemZ_RISBLG	= 791,
+    SystemZ_RISBLH	= 792,
+    SystemZ_RISBLL	= 793,
+    SystemZ_RISBMux	= 794,
+    SystemZ_RLL	= 795,
+    SystemZ_RLLG	= 796,
+    SystemZ_RNSBG	= 797,
+    SystemZ_ROSBG	= 798,
+    SystemZ_RXSBG	= 799,
+    SystemZ_Return	= 800,
+    SystemZ_S	= 801,
+    SystemZ_SDB	= 802,
+    SystemZ_SDBR	= 803,
+    SystemZ_SEB	= 804,
+    SystemZ_SEBR	= 805,
+    SystemZ_SG	= 806,
+    SystemZ_SGF	= 807,
+    SystemZ_SGFR	= 808,
+    SystemZ_SGR	= 809,
+    SystemZ_SGRK	= 810,
+    SystemZ_SH	= 811,
+    SystemZ_SHY	= 812,
+    SystemZ_SL	= 813,
+    SystemZ_SLB	= 814,
+    SystemZ_SLBG	= 815,
+    SystemZ_SLBR	= 816,
+    SystemZ_SLFI	= 817,
+    SystemZ_SLG	= 818,
+    SystemZ_SLGBR	= 819,
+    SystemZ_SLGF	= 820,
+    SystemZ_SLGFI	= 821,
+    SystemZ_SLGFR	= 822,
+    SystemZ_SLGR	= 823,
+    SystemZ_SLGRK	= 824,
+    SystemZ_SLL	= 825,
+    SystemZ_SLLG	= 826,
+    SystemZ_SLLK	= 827,
+    SystemZ_SLR	= 828,
+    SystemZ_SLRK	= 829,
+    SystemZ_SLY	= 830,
+    SystemZ_SQDB	= 831,
+    SystemZ_SQDBR	= 832,
+    SystemZ_SQEB	= 833,
+    SystemZ_SQEBR	= 834,
+    SystemZ_SQXBR	= 835,
+    SystemZ_SR	= 836,
+    SystemZ_SRA	= 837,
+    SystemZ_SRAG	= 838,
+    SystemZ_SRAK	= 839,
+    SystemZ_SRK	= 840,
+    SystemZ_SRL	= 841,
+    SystemZ_SRLG	= 842,
+    SystemZ_SRLK	= 843,
+    SystemZ_SRST	= 844,
+    SystemZ_SRSTLoop	= 845,
+    SystemZ_ST	= 846,
+    SystemZ_ST128	= 847,
+    SystemZ_STC	= 848,
+    SystemZ_STCH	= 849,
+    SystemZ_STCMux	= 850,
+    SystemZ_STCY	= 851,
+    SystemZ_STD	= 852,
+    SystemZ_STDY	= 853,
+    SystemZ_STE	= 854,
+    SystemZ_STEY	= 855,
+    SystemZ_STFH	= 856,
+    SystemZ_STG	= 857,
+    SystemZ_STGRL	= 858,
+    SystemZ_STH	= 859,
+    SystemZ_STHH	= 860,
+    SystemZ_STHMux	= 861,
+    SystemZ_STHRL	= 862,
+    SystemZ_STHY	= 863,
+    SystemZ_STMG	= 864,
+    SystemZ_STMux	= 865,
+    SystemZ_STOC	= 866,
+    SystemZ_STOCG	= 867,
+    SystemZ_STRL	= 868,
+    SystemZ_STRV	= 869,
+    SystemZ_STRVG	= 870,
+    SystemZ_STX	= 871,
+    SystemZ_STY	= 872,
+    SystemZ_SXBR	= 873,
+    SystemZ_SY	= 874,
+    SystemZ_Select32	= 875,
+    SystemZ_Select32Mux	= 876,
+    SystemZ_Select64	= 877,
+    SystemZ_SelectF128	= 878,
+    SystemZ_SelectF32	= 879,
+    SystemZ_SelectF64	= 880,
+    SystemZ_Serialize	= 881,
+    SystemZ_TLS_GDCALL	= 882,
+    SystemZ_TLS_LDCALL	= 883,
+    SystemZ_TM	= 884,
+    SystemZ_TMHH	= 885,
+    SystemZ_TMHH64	= 886,
+    SystemZ_TMHL	= 887,
+    SystemZ_TMHL64	= 888,
+    SystemZ_TMHMux	= 889,
+    SystemZ_TMLH	= 890,
+    SystemZ_TMLH64	= 891,
+    SystemZ_TMLL	= 892,
+    SystemZ_TMLL64	= 893,
+    SystemZ_TMLMux	= 894,
+    SystemZ_TMY	= 895,
+    SystemZ_X	= 896,
+    SystemZ_XC	= 897,
+    SystemZ_XCLoop	= 898,
+    SystemZ_XCSequence	= 899,
+    SystemZ_XG	= 900,
+    SystemZ_XGR	= 901,
+    SystemZ_XGRK	= 902,
+    SystemZ_XI	= 903,
+    SystemZ_XIFMux	= 904,
+    SystemZ_XIHF	= 905,
+    SystemZ_XIHF64	= 906,
+    SystemZ_XILF	= 907,
+    SystemZ_XILF64	= 908,
+    SystemZ_XIY	= 909,
+    SystemZ_XR	= 910,
+    SystemZ_XRK	= 911,
+    SystemZ_XY	= 912,
+    SystemZ_ZEXT128_32	= 913,
+    SystemZ_ZEXT128_64	= 914,
+    SystemZ_INSTRUCTION_LIST_END = 915
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenRegisterInfo.inc 4.0.2-3/arch/SystemZ/SystemZGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -131,18 +131,6 @@ enum {
   SystemZ_ADDR128BitRegClassID = 11
 };
 
-// Subregister indices
-enum {
-  SystemZ_NoSubRegister,
-  SystemZ_subreg_h32,	// 1
-  SystemZ_subreg_h64,	// 2
-  SystemZ_subreg_hh32,	// 3
-  SystemZ_subreg_hl32,	// 4
-  SystemZ_subreg_l32,	// 5
-  SystemZ_subreg_l64,	// 6
-  SystemZ_NUM_TARGET_SUBREGS
-};
-
 #endif // GET_REGINFO_ENUM
 
 /*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
@@ -211,105 +199,105 @@ static const uint16_t SystemZSubRegIdxLi
   /* 8 */ 6, 5, 1, 2, 4, 3, 0,
 };
 
-static const MCRegisterDesc SystemZRegDesc[] = { // Descriptors
-  { 2, 0, 0, 0, 0 },
-  { 0, 4, 4, 2, 2737 },
-  { 13, 38, 33, 1, 2737 },
-  { 31, 38, 33, 1, 2737 },
-  { 49, 38, 30, 1, 2737 },
-  { 67, 38, 30, 1, 2737 },
-  { 85, 38, 30, 1, 2737 },
-  { 103, 38, 30, 1, 2737 },
-  { 111, 38, 27, 1, 2737 },
-  { 119, 38, 27, 1, 2737 },
-  { 127, 38, 27, 1, 2737 },
-  { 135, 38, 27, 1, 2737 },
-  { 3, 38, 24, 1, 2737 },
-  { 21, 38, 24, 1, 2737 },
-  { 39, 38, 24, 1, 2737 },
-  { 57, 38, 24, 1, 2737 },
-  { 75, 38, 21, 1, 2737 },
-  { 93, 38, 21, 1, 2737 },
-  { 288, 35, 4, 3, 129 },
-  { 296, 35, 4, 3, 129 },
-  { 324, 40, 4, 3, 177 },
-  { 332, 40, 4, 3, 177 },
-  { 340, 45, 4, 3, 225 },
-  { 348, 45, 4, 3, 225 },
-  { 300, 50, 4, 3, 273 },
-  { 314, 50, 4, 3, 273 },
-  { 357, 4, 32, 2, 1809 },
-  { 366, 4, 32, 2, 1809 },
-  { 375, 4, 29, 2, 1809 },
-  { 384, 4, 29, 2, 1809 },
-  { 393, 4, 29, 2, 1809 },
-  { 402, 4, 29, 2, 1809 },
-  { 406, 4, 26, 2, 1809 },
-  { 410, 4, 26, 2, 1809 },
-  { 414, 4, 26, 2, 1809 },
-  { 418, 4, 26, 2, 1809 },
-  { 352, 4, 23, 2, 1809 },
-  { 361, 4, 23, 2, 1809 },
-  { 370, 4, 23, 2, 1809 },
-  { 379, 4, 23, 2, 1809 },
-  { 388, 4, 20, 2, 1809 },
-  { 397, 4, 20, 2, 1809 },
-  { 17, 119, 104, 0, 82 },
-  { 35, 119, 98, 0, 82 },
-  { 53, 119, 98, 0, 82 },
-  { 71, 119, 92, 0, 82 },
-  { 89, 119, 92, 0, 82 },
-  { 107, 119, 86, 0, 82 },
-  { 115, 119, 86, 0, 82 },
-  { 123, 119, 80, 0, 82 },
-  { 131, 119, 80, 0, 82 },
-  { 139, 119, 74, 0, 82 },
-  { 8, 119, 74, 0, 82 },
-  { 26, 119, 68, 0, 82 },
-  { 44, 119, 68, 0, 82 },
-  { 62, 119, 62, 0, 82 },
-  { 80, 119, 62, 0, 82 },
-  { 98, 119, 56, 0, 82 },
-  { 148, 4, 106, 2, 1778 },
-  { 157, 4, 100, 2, 1778 },
-  { 166, 4, 100, 2, 1778 },
-  { 175, 4, 94, 2, 1778 },
-  { 184, 4, 94, 2, 1778 },
-  { 193, 4, 88, 2, 1778 },
-  { 197, 4, 88, 2, 1778 },
-  { 201, 4, 82, 2, 1778 },
-  { 205, 4, 82, 2, 1778 },
-  { 209, 4, 76, 2, 1778 },
-  { 143, 4, 76, 2, 1778 },
-  { 152, 4, 70, 2, 1778 },
-  { 161, 4, 70, 2, 1778 },
-  { 170, 4, 64, 2, 1778 },
-  { 179, 4, 64, 2, 1778 },
-  { 188, 4, 58, 2, 1778 },
-  { 218, 4, 103, 2, 1746 },
-  { 227, 4, 97, 2, 1746 },
-  { 236, 4, 97, 2, 1746 },
-  { 245, 4, 91, 2, 1746 },
-  { 254, 4, 91, 2, 1746 },
-  { 263, 4, 85, 2, 1746 },
-  { 267, 4, 85, 2, 1746 },
-  { 271, 4, 79, 2, 1746 },
-  { 275, 4, 79, 2, 1746 },
-  { 279, 4, 73, 2, 1746 },
-  { 213, 4, 73, 2, 1746 },
-  { 222, 4, 67, 2, 1746 },
-  { 231, 4, 67, 2, 1746 },
-  { 240, 4, 61, 2, 1746 },
-  { 249, 4, 61, 2, 1746 },
-  { 258, 4, 55, 2, 1746 },
-  { 292, 115, 4, 8, 4 },
-  { 310, 122, 4, 8, 4 },
-  { 328, 129, 4, 8, 4 },
-  { 336, 136, 4, 8, 4 },
-  { 344, 143, 4, 8, 4 },
-  { 283, 150, 4, 8, 4 },
-  { 305, 157, 4, 8, 4 },
-  { 319, 164, 4, 8, 4 },
+static MCRegisterDesc SystemZRegDesc[] = { // Descriptors
+  { 2, 0, 0, 0, 0, 0 },
+  { 0, 4, 4, 2, 2737, 0 },
+  { 13, 38, 33, 1, 2737, 3 },
+  { 31, 38, 33, 1, 2737, 3 },
+  { 49, 38, 30, 1, 2737, 3 },
+  { 67, 38, 30, 1, 2737, 3 },
+  { 85, 38, 30, 1, 2737, 3 },
+  { 103, 38, 30, 1, 2737, 3 },
+  { 111, 38, 27, 1, 2737, 3 },
+  { 119, 38, 27, 1, 2737, 3 },
+  { 127, 38, 27, 1, 2737, 3 },
+  { 135, 38, 27, 1, 2737, 3 },
+  { 3, 38, 24, 1, 2737, 3 },
+  { 21, 38, 24, 1, 2737, 3 },
+  { 39, 38, 24, 1, 2737, 3 },
+  { 57, 38, 24, 1, 2737, 3 },
+  { 75, 38, 21, 1, 2737, 3 },
+  { 93, 38, 21, 1, 2737, 3 },
+  { 288, 35, 4, 3, 129, 2 },
+  { 296, 35, 4, 3, 129, 2 },
+  { 324, 40, 4, 3, 177, 2 },
+  { 332, 40, 4, 3, 177, 2 },
+  { 340, 45, 4, 3, 225, 2 },
+  { 348, 45, 4, 3, 225, 2 },
+  { 300, 50, 4, 3, 273, 2 },
+  { 314, 50, 4, 3, 273, 2 },
+  { 357, 4, 32, 2, 1809, 0 },
+  { 366, 4, 32, 2, 1809, 0 },
+  { 375, 4, 29, 2, 1809, 0 },
+  { 384, 4, 29, 2, 1809, 0 },
+  { 393, 4, 29, 2, 1809, 0 },
+  { 402, 4, 29, 2, 1809, 0 },
+  { 406, 4, 26, 2, 1809, 0 },
+  { 410, 4, 26, 2, 1809, 0 },
+  { 414, 4, 26, 2, 1809, 0 },
+  { 418, 4, 26, 2, 1809, 0 },
+  { 352, 4, 23, 2, 1809, 0 },
+  { 361, 4, 23, 2, 1809, 0 },
+  { 370, 4, 23, 2, 1809, 0 },
+  { 379, 4, 23, 2, 1809, 0 },
+  { 388, 4, 20, 2, 1809, 0 },
+  { 397, 4, 20, 2, 1809, 0 },
+  { 17, 119, 104, 0, 82, 7 },
+  { 35, 119, 98, 0, 82, 7 },
+  { 53, 119, 98, 0, 82, 7 },
+  { 71, 119, 92, 0, 82, 7 },
+  { 89, 119, 92, 0, 82, 7 },
+  { 107, 119, 86, 0, 82, 7 },
+  { 115, 119, 86, 0, 82, 7 },
+  { 123, 119, 80, 0, 82, 7 },
+  { 131, 119, 80, 0, 82, 7 },
+  { 139, 119, 74, 0, 82, 7 },
+  { 8, 119, 74, 0, 82, 7 },
+  { 26, 119, 68, 0, 82, 7 },
+  { 44, 119, 68, 0, 82, 7 },
+  { 62, 119, 62, 0, 82, 7 },
+  { 80, 119, 62, 0, 82, 7 },
+  { 98, 119, 56, 0, 82, 7 },
+  { 148, 4, 106, 2, 1778, 0 },
+  { 157, 4, 100, 2, 1778, 0 },
+  { 166, 4, 100, 2, 1778, 0 },
+  { 175, 4, 94, 2, 1778, 0 },
+  { 184, 4, 94, 2, 1778, 0 },
+  { 193, 4, 88, 2, 1778, 0 },
+  { 197, 4, 88, 2, 1778, 0 },
+  { 201, 4, 82, 2, 1778, 0 },
+  { 205, 4, 82, 2, 1778, 0 },
+  { 209, 4, 76, 2, 1778, 0 },
+  { 143, 4, 76, 2, 1778, 0 },
+  { 152, 4, 70, 2, 1778, 0 },
+  { 161, 4, 70, 2, 1778, 0 },
+  { 170, 4, 64, 2, 1778, 0 },
+  { 179, 4, 64, 2, 1778, 0 },
+  { 188, 4, 58, 2, 1778, 0 },
+  { 218, 4, 103, 2, 1746, 0 },
+  { 227, 4, 97, 2, 1746, 0 },
+  { 236, 4, 97, 2, 1746, 0 },
+  { 245, 4, 91, 2, 1746, 0 },
+  { 254, 4, 91, 2, 1746, 0 },
+  { 263, 4, 85, 2, 1746, 0 },
+  { 267, 4, 85, 2, 1746, 0 },
+  { 271, 4, 79, 2, 1746, 0 },
+  { 275, 4, 79, 2, 1746, 0 },
+  { 279, 4, 73, 2, 1746, 0 },
+  { 213, 4, 73, 2, 1746, 0 },
+  { 222, 4, 67, 2, 1746, 0 },
+  { 231, 4, 67, 2, 1746, 0 },
+  { 240, 4, 61, 2, 1746, 0 },
+  { 249, 4, 61, 2, 1746, 0 },
+  { 258, 4, 55, 2, 1746, 0 },
+  { 292, 115, 4, 8, 4, 5 },
+  { 310, 122, 4, 8, 4, 5 },
+  { 328, 129, 4, 8, 4, 5 },
+  { 336, 136, 4, 8, 4, 5 },
+  { 344, 143, 4, 8, 4, 5 },
+  { 283, 150, 4, 8, 4, 5 },
+  { 305, 157, 4, 8, 4, 5 },
+  { 319, 164, 4, 8, 4, 5 },
 };
 
   // GRX32Bit Register Class...
@@ -432,19 +420,19 @@ static const MCRegisterDesc SystemZRegDe
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
-static const MCRegisterClass SystemZMCRegisterClasses[] = {
-  { "GRX32Bit", GRX32Bit, GRX32BitBits, 32, sizeof(GRX32BitBits), SystemZ_GRX32BitRegClassID, 4, 4, 1, 1 },
-  { "FP32Bit", FP32Bit, FP32BitBits, 16, sizeof(FP32BitBits), SystemZ_FP32BitRegClassID, 4, 4, 1, 1 },
-  { "GR32Bit", GR32Bit, GR32BitBits, 16, sizeof(GR32BitBits), SystemZ_GR32BitRegClassID, 4, 4, 1, 1 },
-  { "GRH32Bit", GRH32Bit, GRH32BitBits, 16, sizeof(GRH32BitBits), SystemZ_GRH32BitRegClassID, 4, 4, 1, 1 },
-  { "ADDR32Bit", ADDR32Bit, ADDR32BitBits, 15, sizeof(ADDR32BitBits), SystemZ_ADDR32BitRegClassID, 4, 4, 1, 1 },
-  { "CCRegs", CCRegs, CCRegsBits, 1, sizeof(CCRegsBits), SystemZ_CCRegsRegClassID, 4, 4, 1, 1 },
-  { "FP64Bit", FP64Bit, FP64BitBits, 16, sizeof(FP64BitBits), SystemZ_FP64BitRegClassID, 8, 8, 1, 1 },
-  { "GR64Bit", GR64Bit, GR64BitBits, 16, sizeof(GR64BitBits), SystemZ_GR64BitRegClassID, 8, 8, 1, 1 },
-  { "ADDR64Bit", ADDR64Bit, ADDR64BitBits, 15, sizeof(ADDR64BitBits), SystemZ_ADDR64BitRegClassID, 8, 8, 1, 1 },
-  { "FP128Bit", FP128Bit, FP128BitBits, 8, sizeof(FP128BitBits), SystemZ_FP128BitRegClassID, 16, 16, 1, 1 },
-  { "GR128Bit", GR128Bit, GR128BitBits, 8, sizeof(GR128BitBits), SystemZ_GR128BitRegClassID, 16, 16, 1, 1 },
-  { "ADDR128Bit", ADDR128Bit, ADDR128BitBits, 7, sizeof(ADDR128BitBits), SystemZ_ADDR128BitRegClassID, 16, 16, 1, 1 },
+static MCRegisterClass SystemZMCRegisterClasses[] = {
+  { GRX32Bit, GRX32BitBits, 42, 32, sizeof(GRX32BitBits), SystemZ_GRX32BitRegClassID, 4, 4, 1, 1 },
+  { FP32Bit, FP32BitBits, 16, 16, sizeof(FP32BitBits), SystemZ_FP32BitRegClassID, 4, 4, 1, 1 },
+  { GR32Bit, GR32BitBits, 34, 16, sizeof(GR32BitBits), SystemZ_GR32BitRegClassID, 4, 4, 1, 1 },
+  { GRH32Bit, GRH32BitBits, 7, 16, sizeof(GRH32BitBits), SystemZ_GRH32BitRegClassID, 4, 4, 1, 1 },
+  { ADDR32Bit, ADDR32BitBits, 24, 15, sizeof(ADDR32BitBits), SystemZ_ADDR32BitRegClassID, 4, 4, 1, 1 },
+  { CCRegs, CCRegsBits, 0, 1, sizeof(CCRegsBits), SystemZ_CCRegsRegClassID, 4, 4, 1, 1 },
+  { FP64Bit, FP64BitBits, 51, 16, sizeof(FP64BitBits), SystemZ_FP64BitRegClassID, 8, 8, 1, 1 },
+  { GR64Bit, GR64BitBits, 69, 16, sizeof(GR64BitBits), SystemZ_GR64BitRegClassID, 8, 8, 1, 1 },
+  { ADDR64Bit, ADDR64BitBits, 59, 15, sizeof(ADDR64BitBits), SystemZ_ADDR64BitRegClassID, 8, 8, 1, 1 },
+  { FP128Bit, FP128BitBits, 77, 8, sizeof(FP128BitBits), SystemZ_FP128BitRegClassID, 16, 16, 1, 1 },
+  { GR128Bit, GR128BitBits, 97, 8, sizeof(GR128BitBits), SystemZ_GR128BitRegClassID, 16, 16, 1, 1 },
+  { ADDR128Bit, ADDR128BitBits, 86, 7, sizeof(ADDR128BitBits), SystemZ_ADDR128BitRegClassID, 16, 16, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenSubtargetInfo.inc 4.0.2-3/arch/SystemZ/SystemZGenSubtargetInfo.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZGenSubtargetInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZGenSubtargetInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_SUBTARGETINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZInstPrinter.c 4.0.2-3/arch/SystemZ/SystemZInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,15 +12,14 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SYSZ
 
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <limits.h>
-#include <platform.h>
+#include <capstone/platform.h>
 
 #include "SystemZInstPrinter.h"
 #include "../../MCInst.h"
@@ -63,6 +62,15 @@ static void printAddress(MCInst *MI, uns
 			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].imm = Disp;
 			MI->flat_insn->detail->sysz.op_count++;
 		}
+	} else {
+		SStream_concat(O, "(%%%s)", getRegisterName(Index));
+		if (MI->csh->detail) {
+			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].type = SYSZ_OP_MEM;
+			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].mem.base = (uint8_t)SystemZ_map_register(Base);
+			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].mem.index = (uint8_t)SystemZ_map_register(Index);
+			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].mem.disp = Disp;
+			MI->flat_insn->detail->sysz.op_count++;
+		}
 	}
 }
 
@@ -246,21 +254,26 @@ static void printAccessRegOperand(MCInst
 static void printPCRelOperand(MCInst *MI, int OpNum, SStream *O)
 {
 	MCOperand *MO = MCInst_getOperand(MI, OpNum);
-	int32_t imm;
 
 	if (MCOperand_isImm(MO)) {
-		imm = (int32_t)MCOperand_getImm(MO);
+		int64_t imm = MCOperand_getImm(MO);
 
-		printInt32(O, imm);
+		printInt64(O, imm);
 
 		if (MI->csh->detail) {
 			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].type = SYSZ_OP_IMM;
-			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].imm = (int64_t)imm;
+			MI->flat_insn->detail->sysz.operands[MI->flat_insn->detail->sysz.op_count].imm = imm;
 			MI->flat_insn->detail->sysz.op_count++;
 		}
 	}
 }
 
+static void printPCRelTLSOperand(MCInst *MI, int OpNum, SStream *O)
+{
+	// Output the PC-relative operand.
+	printPCRelOperand(MI, OpNum, O);
+}
+
 static void printOperand(MCInst *MI, int OpNum, SStream *O)
 {
 	_printOperand(MI, MCInst_getOperand(MI, OpNum), O);
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZInstPrinter.h 4.0.2-3/arch/SystemZ/SystemZInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SYSZINSTPRINTER_H
 #define CS_SYSZINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMapping.c 4.0.2-3/arch/SystemZ/SystemZMapping.c
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SYSZ
 
@@ -57,7 +57,7 @@ static const name_map reg_name_maps[] =
 const char *SystemZ_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= SYSZ_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -75,4242 +75,7 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		SystemZ_A, SYSZ_INS_A,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ADB, SYSZ_INS_ADB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ADBR, SYSZ_INS_ADBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AEB, SYSZ_INS_AEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AEBR, SYSZ_INS_AEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AFI, SYSZ_INS_AFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AG, SYSZ_INS_AG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGF, SYSZ_INS_AGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGFI, SYSZ_INS_AGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGFR, SYSZ_INS_AGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGHI, SYSZ_INS_AGHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGHIK, SYSZ_INS_AGHIK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGR, SYSZ_INS_AGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGRK, SYSZ_INS_AGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AGSI, SYSZ_INS_AGSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AH, SYSZ_INS_AH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AHI, SYSZ_INS_AHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AHIK, SYSZ_INS_AHIK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AHY, SYSZ_INS_AHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AIH, SYSZ_INS_AIH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AL, SYSZ_INS_AL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALC, SYSZ_INS_ALC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALCG, SYSZ_INS_ALCG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALCGR, SYSZ_INS_ALCGR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALCR, SYSZ_INS_ALCR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALFI, SYSZ_INS_ALFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALG, SYSZ_INS_ALG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGF, SYSZ_INS_ALGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGFI, SYSZ_INS_ALGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGFR, SYSZ_INS_ALGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGHSIK, SYSZ_INS_ALGHSIK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGR, SYSZ_INS_ALGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALGRK, SYSZ_INS_ALGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALHSIK, SYSZ_INS_ALHSIK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALR, SYSZ_INS_ALR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALRK, SYSZ_INS_ALRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ALY, SYSZ_INS_ALY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AR, SYSZ_INS_AR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ARK, SYSZ_INS_ARK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ASI, SYSZ_INS_ASI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AXBR, SYSZ_INS_AXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AY, SYSZ_INS_AY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmBCR, SYSZ_INS_BCR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmBRC, SYSZ_INS_BRC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmBRCL, SYSZ_INS_BRCL,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCGIJ, SYSZ_INS_CGIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCGRJ, SYSZ_INS_CGRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCIJ, SYSZ_INS_CIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCLGIJ, SYSZ_INS_CLGIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCLGRJ, SYSZ_INS_CLGRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCLIJ, SYSZ_INS_CLIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCLRJ, SYSZ_INS_CLRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmCRJ, SYSZ_INS_CRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_AsmEBR, SYSZ_INS_BER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmEJ, SYSZ_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmEJG, SYSZ_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmELOC, SYSZ_INS_LOCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmELOCG, SYSZ_INS_LOCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmELOCGR, SYSZ_INS_LOCGRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmELOCR, SYSZ_INS_LOCRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmESTOC, SYSZ_INS_STOCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmESTOCG, SYSZ_INS_STOCGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHBR, SYSZ_INS_BHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHEBR, SYSZ_INS_BHER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHEJ, SYSZ_INS_JHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHEJG, SYSZ_INS_JGHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHELOC, SYSZ_INS_LOCHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHELOCG, SYSZ_INS_LOCGHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHELOCGR, SYSZ_INS_LOCGRHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHELOCR, SYSZ_INS_LOCRHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHESTOC, SYSZ_INS_STOCHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHESTOCG, SYSZ_INS_STOCGHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHJ, SYSZ_INS_JH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHJG, SYSZ_INS_JGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHLOC, SYSZ_INS_LOCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHLOCG, SYSZ_INS_LOCGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHLOCGR, SYSZ_INS_LOCGRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHLOCR, SYSZ_INS_LOCRH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHSTOC, SYSZ_INS_STOCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmHSTOCG, SYSZ_INS_STOCGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCGI, SYSZ_INS_CGIJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCGR, SYSZ_INS_CGRJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCI, SYSZ_INS_CIJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCLGI, SYSZ_INS_CLGIJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCLGR, SYSZ_INS_CLGRJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCLI, SYSZ_INS_CLIJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCLR, SYSZ_INS_CLRJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJEAltCR, SYSZ_INS_CRJNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECGI, SYSZ_INS_CGIJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECGR, SYSZ_INS_CGRJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECI, SYSZ_INS_CIJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECLGI, SYSZ_INS_CLGIJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECLGR, SYSZ_INS_CLGRJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECLI, SYSZ_INS_CLIJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECLR, SYSZ_INS_CLRJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJECR, SYSZ_INS_CRJE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCGI, SYSZ_INS_CGIJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCGR, SYSZ_INS_CGRJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCI, SYSZ_INS_CIJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCLGI, SYSZ_INS_CLGIJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCLGR, SYSZ_INS_CLGRJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCLI, SYSZ_INS_CLIJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCLR, SYSZ_INS_CLRJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHAltCR, SYSZ_INS_CRJNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCGI, SYSZ_INS_CGIJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCGR, SYSZ_INS_CGRJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCI, SYSZ_INS_CIJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCLGI, SYSZ_INS_CLGIJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCLGR, SYSZ_INS_CLGRJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCLI, SYSZ_INS_CLIJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCLR, SYSZ_INS_CLRJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHCR, SYSZ_INS_CRJH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCGI, SYSZ_INS_CGIJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCGR, SYSZ_INS_CGRJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCI, SYSZ_INS_CIJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCLGI, SYSZ_INS_CLGIJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCLGR, SYSZ_INS_CLGRJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCLI, SYSZ_INS_CLIJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCLR, SYSZ_INS_CLRJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHEAltCR, SYSZ_INS_CRJNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECGI, SYSZ_INS_CGIJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECGR, SYSZ_INS_CGRJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECI, SYSZ_INS_CIJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECLGI, SYSZ_INS_CLGIJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECLGR, SYSZ_INS_CLGRJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECLI, SYSZ_INS_CLIJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECLR, SYSZ_INS_CLRJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJHECR, SYSZ_INS_CRJHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCGI, SYSZ_INS_CGIJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCGR, SYSZ_INS_CGRJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCI, SYSZ_INS_CIJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCLGI, SYSZ_INS_CLGIJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCLGR, SYSZ_INS_CLGRJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCLI, SYSZ_INS_CLIJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCLR, SYSZ_INS_CLRJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLAltCR, SYSZ_INS_CRJNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCGI, SYSZ_INS_CGIJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCGR, SYSZ_INS_CGRJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCI, SYSZ_INS_CIJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCLGI, SYSZ_INS_CLGIJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCLGR, SYSZ_INS_CLGRJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCLI, SYSZ_INS_CLIJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCLR, SYSZ_INS_CLRJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLCR, SYSZ_INS_CRJL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCGI, SYSZ_INS_CGIJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCGR, SYSZ_INS_CGRJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCI, SYSZ_INS_CIJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCLGI, SYSZ_INS_CLGIJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCLGR, SYSZ_INS_CLGRJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCLI, SYSZ_INS_CLIJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCLR, SYSZ_INS_CLRJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLEAltCR, SYSZ_INS_CRJNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECGI, SYSZ_INS_CGIJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECGR, SYSZ_INS_CGRJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECI, SYSZ_INS_CIJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECLGI, SYSZ_INS_CLGIJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECLGR, SYSZ_INS_CLGRJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECLI, SYSZ_INS_CLIJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECLR, SYSZ_INS_CLRJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLECR, SYSZ_INS_CRJLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCGI, SYSZ_INS_CGIJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCGR, SYSZ_INS_CGRJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCI, SYSZ_INS_CIJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCLGI, SYSZ_INS_CLGIJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCLGR, SYSZ_INS_CLGRJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCLI, SYSZ_INS_CLIJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCLR, SYSZ_INS_CLRJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHAltCR, SYSZ_INS_CRJNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCGI, SYSZ_INS_CGIJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCGR, SYSZ_INS_CGRJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCI, SYSZ_INS_CIJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCLGI, SYSZ_INS_CLGIJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCLGR, SYSZ_INS_CLGRJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCLI, SYSZ_INS_CLIJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCLR, SYSZ_INS_CLRJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmJLHCR, SYSZ_INS_CRJLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLBR, SYSZ_INS_BLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLEBR, SYSZ_INS_BLER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLEJ, SYSZ_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLEJG, SYSZ_INS_JGLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLELOC, SYSZ_INS_LOCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLELOCG, SYSZ_INS_LOCGLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLELOCGR, SYSZ_INS_LOCGRLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLELOCR, SYSZ_INS_LOCRLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLESTOC, SYSZ_INS_STOCLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLESTOCG, SYSZ_INS_STOCGLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHBR, SYSZ_INS_BLHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHJ, SYSZ_INS_JLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHJG, SYSZ_INS_JGLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHLOC, SYSZ_INS_LOCLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHLOCG, SYSZ_INS_LOCGLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHLOCGR, SYSZ_INS_LOCGRLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHLOCR, SYSZ_INS_LOCRLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHSTOC, SYSZ_INS_STOCLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLHSTOCG, SYSZ_INS_STOCGLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLJ, SYSZ_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLJG, SYSZ_INS_JGL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLLOC, SYSZ_INS_LOCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLLOCG, SYSZ_INS_LOCGL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLLOCGR, SYSZ_INS_LOCGRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLLOCR, SYSZ_INS_LOCRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLOC, SYSZ_INS_LOC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLOCG, SYSZ_INS_LOCG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLOCGR, SYSZ_INS_LOCGR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLOCR, SYSZ_INS_LOCR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLSTOC, SYSZ_INS_STOCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmLSTOCG, SYSZ_INS_STOCGL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNEBR, SYSZ_INS_BNER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNEJ, SYSZ_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNEJG, SYSZ_INS_JGNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNELOC, SYSZ_INS_LOCNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNELOCG, SYSZ_INS_LOCGNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNELOCGR, SYSZ_INS_LOCGRNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNELOCR, SYSZ_INS_LOCRNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNESTOC, SYSZ_INS_STOCNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNESTOCG, SYSZ_INS_STOCGNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHBR, SYSZ_INS_BNHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHEBR, SYSZ_INS_BNHER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHEJ, SYSZ_INS_JNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHEJG, SYSZ_INS_JGNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHELOC, SYSZ_INS_LOCNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHELOCG, SYSZ_INS_LOCGNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHELOCGR, SYSZ_INS_LOCGRNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHELOCR, SYSZ_INS_LOCRNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHESTOC, SYSZ_INS_STOCNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHESTOCG, SYSZ_INS_STOCGNHE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHJ, SYSZ_INS_JNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHJG, SYSZ_INS_JGNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHLOC, SYSZ_INS_LOCNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHLOCG, SYSZ_INS_LOCGNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHLOCGR, SYSZ_INS_LOCGRNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHLOCR, SYSZ_INS_LOCRNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHSTOC, SYSZ_INS_STOCNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNHSTOCG, SYSZ_INS_STOCGNH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLBR, SYSZ_INS_BNLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLEBR, SYSZ_INS_BNLER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLEJ, SYSZ_INS_JNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLEJG, SYSZ_INS_JGNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLELOC, SYSZ_INS_LOCNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLELOCG, SYSZ_INS_LOCGNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLELOCGR, SYSZ_INS_LOCGRNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLELOCR, SYSZ_INS_LOCRNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLESTOC, SYSZ_INS_STOCNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLESTOCG, SYSZ_INS_STOCGNLE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHBR, SYSZ_INS_BNLHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHJ, SYSZ_INS_JNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHJG, SYSZ_INS_JGNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHLOC, SYSZ_INS_LOCNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHLOCG, SYSZ_INS_LOCGNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHLOCGR, SYSZ_INS_LOCGRNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHLOCR, SYSZ_INS_LOCRNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHSTOC, SYSZ_INS_STOCNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLHSTOCG, SYSZ_INS_STOCGNLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLJ, SYSZ_INS_JNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLJG, SYSZ_INS_JGNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLLOC, SYSZ_INS_LOCNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLLOCG, SYSZ_INS_LOCGNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLLOCGR, SYSZ_INS_LOCGRNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLLOCR, SYSZ_INS_LOCRNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLSTOC, SYSZ_INS_STOCNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNLSTOCG, SYSZ_INS_STOCGNL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOBR, SYSZ_INS_BNOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOJ, SYSZ_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOJG, SYSZ_INS_JGNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOLOC, SYSZ_INS_LOCNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOLOCG, SYSZ_INS_LOCGNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOLOCGR, SYSZ_INS_LOCGRNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOLOCR, SYSZ_INS_LOCRNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOSTOC, SYSZ_INS_STOCNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmNOSTOCG, SYSZ_INS_STOCGNO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOBR, SYSZ_INS_BOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOJ, SYSZ_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOJG, SYSZ_INS_JGO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOLOC, SYSZ_INS_LOCO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOLOCG, SYSZ_INS_LOCGO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOLOCGR, SYSZ_INS_LOCGRO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOLOCR, SYSZ_INS_LOCRO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOSTOC, SYSZ_INS_STOCO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmOSTOCG, SYSZ_INS_STOCGO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmSTOC, SYSZ_INS_STOC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_AsmSTOCG, SYSZ_INS_STOCG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_BASR, SYSZ_INS_BASR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_BR, SYSZ_INS_BR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		SystemZ_BRAS, SYSZ_INS_BRAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_BRASL, SYSZ_INS_BRASL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_BRC, SYSZ_INS_J,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_BRCL, SYSZ_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_BRCT, SYSZ_INS_BRCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_BRCTG, SYSZ_INS_BRCTG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_C, SYSZ_INS_C,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDB, SYSZ_INS_CDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDBR, SYSZ_INS_CDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDFBR, SYSZ_INS_CDFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDGBR, SYSZ_INS_CDGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDLFBR, SYSZ_INS_CDLFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CDLGBR, SYSZ_INS_CDLGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CEB, SYSZ_INS_CEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CEBR, SYSZ_INS_CEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CEFBR, SYSZ_INS_CEFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CEGBR, SYSZ_INS_CEGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CELFBR, SYSZ_INS_CELFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CELGBR, SYSZ_INS_CELGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CFDBR, SYSZ_INS_CFDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CFEBR, SYSZ_INS_CFEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CFI, SYSZ_INS_CFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CFXBR, SYSZ_INS_CFXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CG, SYSZ_INS_CG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGDBR, SYSZ_INS_CGDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGEBR, SYSZ_INS_CGEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGF, SYSZ_INS_CGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGFI, SYSZ_INS_CGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGFR, SYSZ_INS_CGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGFRL, SYSZ_INS_CGFRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGH, SYSZ_INS_CGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGHI, SYSZ_INS_CGHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGHRL, SYSZ_INS_CGHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGHSI, SYSZ_INS_CGHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGIJ, SYSZ_INS_CGIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CGR, SYSZ_INS_CGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGRJ, SYSZ_INS_CGRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CGRL, SYSZ_INS_CGRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CGXBR, SYSZ_INS_CGXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CH, SYSZ_INS_CH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHF, SYSZ_INS_CHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHHSI, SYSZ_INS_CHHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHI, SYSZ_INS_CHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHRL, SYSZ_INS_CHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHSI, SYSZ_INS_CHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CHY, SYSZ_INS_CHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CIH, SYSZ_INS_CIH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CIJ, SYSZ_INS_CIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CL, SYSZ_INS_CL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLC, SYSZ_INS_CLC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLFDBR, SYSZ_INS_CLFDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLFEBR, SYSZ_INS_CLFEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLFHSI, SYSZ_INS_CLFHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLFI, SYSZ_INS_CLFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLFXBR, SYSZ_INS_CLFXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLG, SYSZ_INS_CLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGDBR, SYSZ_INS_CLGDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGEBR, SYSZ_INS_CLGEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGF, SYSZ_INS_CLGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGFI, SYSZ_INS_CLGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGFR, SYSZ_INS_CLGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGFRL, SYSZ_INS_CLGFRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGHRL, SYSZ_INS_CLGHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGHSI, SYSZ_INS_CLGHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGIJ, SYSZ_INS_CLGIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CLGR, SYSZ_INS_CLGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGRJ, SYSZ_INS_CLGRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CLGRL, SYSZ_INS_CLGRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLGXBR, SYSZ_INS_CLGXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLHF, SYSZ_INS_CLHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLHHSI, SYSZ_INS_CLHHSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLHRL, SYSZ_INS_CLHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLI, SYSZ_INS_CLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLIH, SYSZ_INS_CLIH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLIJ, SYSZ_INS_CLIJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CLIY, SYSZ_INS_CLIY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLR, SYSZ_INS_CLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLRJ, SYSZ_INS_CLRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CLRL, SYSZ_INS_CLRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLST, SYSZ_INS_CLST,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CLY, SYSZ_INS_CLY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CPSDRdd, SYSZ_INS_CPSDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CPSDRds, SYSZ_INS_CPSDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CPSDRsd, SYSZ_INS_CPSDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CPSDRss, SYSZ_INS_CPSDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CR, SYSZ_INS_CR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CRJ, SYSZ_INS_CRJ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_CRL, SYSZ_INS_CRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CS, SYSZ_INS_CS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CSG, SYSZ_INS_CSG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CSY, SYSZ_INS_CSY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CXBR, SYSZ_INS_CXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CXFBR, SYSZ_INS_CXFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CXGBR, SYSZ_INS_CXGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CXLFBR, SYSZ_INS_CXLFBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CXLGBR, SYSZ_INS_CXLGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_CY, SYSZ_INS_CY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DDB, SYSZ_INS_DDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DDBR, SYSZ_INS_DDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DEB, SYSZ_INS_DEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DEBR, SYSZ_INS_DEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DL, SYSZ_INS_DL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DLG, SYSZ_INS_DLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DLGR, SYSZ_INS_DLGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DLR, SYSZ_INS_DLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DSG, SYSZ_INS_DSG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DSGF, SYSZ_INS_DSGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DSGFR, SYSZ_INS_DSGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DSGR, SYSZ_INS_DSGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_DXBR, SYSZ_INS_DXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_EAR, SYSZ_INS_EAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIDBR, SYSZ_INS_FIDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIDBRA, SYSZ_INS_FIDBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIEBR, SYSZ_INS_FIEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIEBRA, SYSZ_INS_FIEBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIXBR, SYSZ_INS_FIXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FIXBRA, SYSZ_INS_FIXBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_FLOGR, SYSZ_INS_FLOGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IC, SYSZ_INS_IC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IC32, SYSZ_INS_IC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IC32Y, SYSZ_INS_ICY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ICY, SYSZ_INS_ICY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IIHF, SYSZ_INS_IIHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IIHH, SYSZ_INS_IIHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IIHL, SYSZ_INS_IIHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IILF, SYSZ_INS_IILF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IILH, SYSZ_INS_IILH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IILL, SYSZ_INS_IILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_IPM, SYSZ_INS_IPM,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_J, SYSZ_INS_J,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_JG, SYSZ_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		SystemZ_L, SYSZ_INS_L,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LA, SYSZ_INS_LA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAA, SYSZ_INS_LAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAAG, SYSZ_INS_LAAG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAAL, SYSZ_INS_LAAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAALG, SYSZ_INS_LAALG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAN, SYSZ_INS_LAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LANG, SYSZ_INS_LANG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAO, SYSZ_INS_LAO,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAOG, SYSZ_INS_LAOG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LARL, SYSZ_INS_LARL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAX, SYSZ_INS_LAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAXG, SYSZ_INS_LAXG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LAY, SYSZ_INS_LAY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LB, SYSZ_INS_LB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LBH, SYSZ_INS_LBH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LBR, SYSZ_INS_LBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCDBR, SYSZ_INS_LCDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCEBR, SYSZ_INS_LCEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCGFR, SYSZ_INS_LCGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCGR, SYSZ_INS_LCGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCR, SYSZ_INS_LCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LCXBR, SYSZ_INS_LCXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LD, SYSZ_INS_LD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDEB, SYSZ_INS_LDEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDEBR, SYSZ_INS_LDEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDGR, SYSZ_INS_LDGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDR, SYSZ_INS_LDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDXBR, SYSZ_INS_LDXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDXBRA, SYSZ_INS_LDXBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LDY, SYSZ_INS_LDY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LE, SYSZ_INS_LE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LEDBR, SYSZ_INS_LEDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LEDBRA, SYSZ_INS_LEDBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LER, SYSZ_INS_LER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LEXBR, SYSZ_INS_LEXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LEXBRA, SYSZ_INS_LEXBRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LEY, SYSZ_INS_LEY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LFH, SYSZ_INS_LFH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LG, SYSZ_INS_LG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGB, SYSZ_INS_LGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGBR, SYSZ_INS_LGBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGDR, SYSZ_INS_LGDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGF, SYSZ_INS_LGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGFI, SYSZ_INS_LGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGFR, SYSZ_INS_LGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGFRL, SYSZ_INS_LGFRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGH, SYSZ_INS_LGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGHI, SYSZ_INS_LGHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGHR, SYSZ_INS_LGHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGHRL, SYSZ_INS_LGHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGR, SYSZ_INS_LGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LGRL, SYSZ_INS_LGRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LH, SYSZ_INS_LH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LHH, SYSZ_INS_LHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LHI, SYSZ_INS_LHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LHR, SYSZ_INS_LHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LHRL, SYSZ_INS_LHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LHY, SYSZ_INS_LHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLC, SYSZ_INS_LLC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLCH, SYSZ_INS_LLCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLCR, SYSZ_INS_LLCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGC, SYSZ_INS_LLGC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGCR, SYSZ_INS_LLGCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGF, SYSZ_INS_LLGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGFR, SYSZ_INS_LLGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGFRL, SYSZ_INS_LLGFRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGH, SYSZ_INS_LLGH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGHR, SYSZ_INS_LLGHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLGHRL, SYSZ_INS_LLGHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLH, SYSZ_INS_LLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLHH, SYSZ_INS_LLHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLHR, SYSZ_INS_LLHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLHRL, SYSZ_INS_LLHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLIHF, SYSZ_INS_LLIHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLIHH, SYSZ_INS_LLIHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLIHL, SYSZ_INS_LLIHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLILF, SYSZ_INS_LLILF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLILH, SYSZ_INS_LLILH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LLILL, SYSZ_INS_LLILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LMG, SYSZ_INS_LMG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNDBR, SYSZ_INS_LNDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNEBR, SYSZ_INS_LNEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNGFR, SYSZ_INS_LNGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNGR, SYSZ_INS_LNGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNR, SYSZ_INS_LNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LNXBR, SYSZ_INS_LNXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LOC, SYSZ_INS_LOC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LOCG, SYSZ_INS_LOCG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LOCGR, SYSZ_INS_LOCGR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LOCR, SYSZ_INS_LOCR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPDBR, SYSZ_INS_LPDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPEBR, SYSZ_INS_LPEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPGFR, SYSZ_INS_LPGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPGR, SYSZ_INS_LPGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPR, SYSZ_INS_LPR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LPXBR, SYSZ_INS_LPXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LR, SYSZ_INS_LR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LRL, SYSZ_INS_LRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LRV, SYSZ_INS_LRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LRVG, SYSZ_INS_LRVG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LRVGR, SYSZ_INS_LRVGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LRVR, SYSZ_INS_LRVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LT, SYSZ_INS_LT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTDBR, SYSZ_INS_LTDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTDBRCompare, SYSZ_INS_LTDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTEBR, SYSZ_INS_LTEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTEBRCompare, SYSZ_INS_LTEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTG, SYSZ_INS_LTG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTGF, SYSZ_INS_LTGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTGFR, SYSZ_INS_LTGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTGR, SYSZ_INS_LTGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTR, SYSZ_INS_LTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTXBR, SYSZ_INS_LTXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LTXBRCompare, SYSZ_INS_LTXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LXDB, SYSZ_INS_LXDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LXDBR, SYSZ_INS_LXDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LXEB, SYSZ_INS_LXEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LXEBR, SYSZ_INS_LXEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LXR, SYSZ_INS_LXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LY, SYSZ_INS_LY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LZDR, SYSZ_INS_LZDR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LZER, SYSZ_INS_LZER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_LZXR, SYSZ_INS_LZXR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MADB, SYSZ_INS_MADB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MADBR, SYSZ_INS_MADBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MAEB, SYSZ_INS_MAEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MAEBR, SYSZ_INS_MAEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MDB, SYSZ_INS_MDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MDBR, SYSZ_INS_MDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MDEB, SYSZ_INS_MDEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MDEBR, SYSZ_INS_MDEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MEEB, SYSZ_INS_MEEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MEEBR, SYSZ_INS_MEEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MGHI, SYSZ_INS_MGHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MH, SYSZ_INS_MH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MHI, SYSZ_INS_MHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MHY, SYSZ_INS_MHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MLG, SYSZ_INS_MLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MLGR, SYSZ_INS_MLGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MS, SYSZ_INS_MS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSDB, SYSZ_INS_MSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSDBR, SYSZ_INS_MSDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSEB, SYSZ_INS_MSEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSEBR, SYSZ_INS_MSEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSFI, SYSZ_INS_MSFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSG, SYSZ_INS_MSG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSGF, SYSZ_INS_MSGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSGFI, SYSZ_INS_MSGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSGFR, SYSZ_INS_MSGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSGR, SYSZ_INS_MSGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSR, SYSZ_INS_MSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MSY, SYSZ_INS_MSY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVC, SYSZ_INS_MVC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVGHI, SYSZ_INS_MVGHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVHHI, SYSZ_INS_MVHHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVHI, SYSZ_INS_MVHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVI, SYSZ_INS_MVI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVIY, SYSZ_INS_MVIY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MVST, SYSZ_INS_MVST,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MXBR, SYSZ_INS_MXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MXDB, SYSZ_INS_MXDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_MXDBR, SYSZ_INS_MXDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_N, SYSZ_INS_N,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NC, SYSZ_INS_NC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NG, SYSZ_INS_NG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NGR, SYSZ_INS_NGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NGRK, SYSZ_INS_NGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NI, SYSZ_INS_NI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NIHF, SYSZ_INS_NIHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NIHH, SYSZ_INS_NIHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NIHL, SYSZ_INS_NIHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NILF, SYSZ_INS_NILF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NILH, SYSZ_INS_NILH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NILL, SYSZ_INS_NILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NIY, SYSZ_INS_NIY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NR, SYSZ_INS_NR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NRK, SYSZ_INS_NRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_NY, SYSZ_INS_NY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_O, SYSZ_INS_O,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OC, SYSZ_INS_OC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OG, SYSZ_INS_OG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OGR, SYSZ_INS_OGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OGRK, SYSZ_INS_OGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OI, SYSZ_INS_OI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OIHF, SYSZ_INS_OIHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OIHH, SYSZ_INS_OIHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OIHL, SYSZ_INS_OIHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OILF, SYSZ_INS_OILF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OILH, SYSZ_INS_OILH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OILL, SYSZ_INS_OILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OIY, SYSZ_INS_OIY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OR, SYSZ_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ORK, SYSZ_INS_ORK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_OY, SYSZ_INS_OY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_PFD, SYSZ_INS_PFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_PFDRL, SYSZ_INS_PFDRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RISBG, SYSZ_INS_RISBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RISBG32, SYSZ_INS_RISBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RISBHG, SYSZ_INS_RISBHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RISBLG, SYSZ_INS_RISBLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RLL, SYSZ_INS_RLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RLLG, SYSZ_INS_RLLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RNSBG, SYSZ_INS_RNSBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ROSBG, SYSZ_INS_ROSBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_RXSBG, SYSZ_INS_RXSBG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_S, SYSZ_INS_S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SDB, SYSZ_INS_SDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SDBR, SYSZ_INS_SDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SEB, SYSZ_INS_SEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SEBR, SYSZ_INS_SEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SG, SYSZ_INS_SG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SGF, SYSZ_INS_SGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SGFR, SYSZ_INS_SGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SGR, SYSZ_INS_SGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SGRK, SYSZ_INS_SGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SH, SYSZ_INS_SH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SHY, SYSZ_INS_SHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SL, SYSZ_INS_SL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLB, SYSZ_INS_SLB,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLBG, SYSZ_INS_SLBG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLBR, SYSZ_INS_SLBR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLFI, SYSZ_INS_SLFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLG, SYSZ_INS_SLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGBR, SYSZ_INS_SLBGR,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGF, SYSZ_INS_SLGF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGFI, SYSZ_INS_SLGFI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGFR, SYSZ_INS_SLGFR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGR, SYSZ_INS_SLGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLGRK, SYSZ_INS_SLGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLL, SYSZ_INS_SLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLLG, SYSZ_INS_SLLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLLK, SYSZ_INS_SLLK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLR, SYSZ_INS_SLR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLRK, SYSZ_INS_SLRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SLY, SYSZ_INS_SLY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SQDB, SYSZ_INS_SQDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SQDBR, SYSZ_INS_SQDBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SQEB, SYSZ_INS_SQEB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SQEBR, SYSZ_INS_SQEBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SQXBR, SYSZ_INS_SQXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SR, SYSZ_INS_SR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRA, SYSZ_INS_SRA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRAG, SYSZ_INS_SRAG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRAK, SYSZ_INS_SRAK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRK, SYSZ_INS_SRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRL, SYSZ_INS_SRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRLG, SYSZ_INS_SRLG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRLK, SYSZ_INS_SRLK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SRST, SYSZ_INS_SRST,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_ST, SYSZ_INS_ST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STC, SYSZ_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STCH, SYSZ_INS_STCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STCY, SYSZ_INS_STCY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STD, SYSZ_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STDY, SYSZ_INS_STDY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STE, SYSZ_INS_STE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STEY, SYSZ_INS_STEY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STFH, SYSZ_INS_STFH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STG, SYSZ_INS_STG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STGRL, SYSZ_INS_STGRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STH, SYSZ_INS_STH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STHH, SYSZ_INS_STHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STHRL, SYSZ_INS_STHRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STHY, SYSZ_INS_STHY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STMG, SYSZ_INS_STMG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STOC, SYSZ_INS_STOC,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STOCG, SYSZ_INS_STOCG,
-#ifndef CAPSTONE_DIET
-		{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STRL, SYSZ_INS_STRL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STRV, SYSZ_INS_STRV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STRVG, SYSZ_INS_STRVG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_STY, SYSZ_INS_STY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SXBR, SYSZ_INS_SXBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_SY, SYSZ_INS_SY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TM, SYSZ_INS_TM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TMHH, SYSZ_INS_TMHH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TMHL, SYSZ_INS_TMHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TMLH, SYSZ_INS_TMLH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TMLL, SYSZ_INS_TMLL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_TMY, SYSZ_INS_TMY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_X, SYSZ_INS_X,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XC, SYSZ_INS_XC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XG, SYSZ_INS_XG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XGR, SYSZ_INS_XGR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XGRK, SYSZ_INS_XGRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XI, SYSZ_INS_XI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XIHF, SYSZ_INS_XIHF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XILF, SYSZ_INS_XILF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XIY, SYSZ_INS_XIY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XR, SYSZ_INS_XR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XRK, SYSZ_INS_XRK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
-#endif
-	},
-	{
-		SystemZ_XY, SYSZ_INS_XY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
-#endif
-	},
+#include "SystemZMappingInsn.inc"
 };
 
 // given internal insn id, return public instruction info
@@ -4331,7 +96,7 @@ void SystemZ_get_insn_id(cs_struct *h, c
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			if (insns[i].branch || insns[i].indirect_branch) {
 				// this insn also belongs to JUMP group. add JUMP group
@@ -5074,15 +839,7 @@ static const name_map group_name_maps[]
 const char *SystemZ_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= SYSZ_GRP_ENDING || (id > SYSZ_GRP_JUMP && id < SYSZ_GRP_DISTINCTOPS))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 2 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 2].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMapping.h 4.0.2-3/arch/SystemZ/SystemZMapping.h
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SYSZ_MAP_H
 #define CS_SYSZ_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *SystemZ_reg_name(csh handle, unsigned int reg);
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMappingInsn.inc 4.0.2-3/arch/SystemZ/SystemZMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,4239 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	SystemZ_A, SYSZ_INS_A,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ADB, SYSZ_INS_ADB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ADBR, SYSZ_INS_ADBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AEB, SYSZ_INS_AEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AEBR, SYSZ_INS_AEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AFI, SYSZ_INS_AFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AG, SYSZ_INS_AG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGF, SYSZ_INS_AGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGFI, SYSZ_INS_AGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGFR, SYSZ_INS_AGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGHI, SYSZ_INS_AGHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGHIK, SYSZ_INS_AGHIK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGR, SYSZ_INS_AGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGRK, SYSZ_INS_AGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AGSI, SYSZ_INS_AGSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AH, SYSZ_INS_AH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AHI, SYSZ_INS_AHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AHIK, SYSZ_INS_AHIK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AHY, SYSZ_INS_AHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AIH, SYSZ_INS_AIH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AL, SYSZ_INS_AL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALC, SYSZ_INS_ALC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALCG, SYSZ_INS_ALCG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALCGR, SYSZ_INS_ALCGR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALCR, SYSZ_INS_ALCR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALFI, SYSZ_INS_ALFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALG, SYSZ_INS_ALG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGF, SYSZ_INS_ALGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGFI, SYSZ_INS_ALGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGFR, SYSZ_INS_ALGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGHSIK, SYSZ_INS_ALGHSIK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGR, SYSZ_INS_ALGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALGRK, SYSZ_INS_ALGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALHSIK, SYSZ_INS_ALHSIK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALR, SYSZ_INS_ALR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALRK, SYSZ_INS_ALRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ALY, SYSZ_INS_ALY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AR, SYSZ_INS_AR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ARK, SYSZ_INS_ARK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ASI, SYSZ_INS_ASI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AXBR, SYSZ_INS_AXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AY, SYSZ_INS_AY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmBCR, SYSZ_INS_BCR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmBRC, SYSZ_INS_BRC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmBRCL, SYSZ_INS_BRCL,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCGIJ, SYSZ_INS_CGIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCGRJ, SYSZ_INS_CGRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCIJ, SYSZ_INS_CIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCLGIJ, SYSZ_INS_CLGIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCLGRJ, SYSZ_INS_CLGRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCLIJ, SYSZ_INS_CLIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCLRJ, SYSZ_INS_CLRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmCRJ, SYSZ_INS_CRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_AsmEBR, SYSZ_INS_BER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmEJ, SYSZ_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmEJG, SYSZ_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmELOC, SYSZ_INS_LOCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmELOCG, SYSZ_INS_LOCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmELOCGR, SYSZ_INS_LOCGRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmELOCR, SYSZ_INS_LOCRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmESTOC, SYSZ_INS_STOCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmESTOCG, SYSZ_INS_STOCGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHBR, SYSZ_INS_BHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHEBR, SYSZ_INS_BHER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHEJ, SYSZ_INS_JHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHEJG, SYSZ_INS_JGHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHELOC, SYSZ_INS_LOCHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHELOCG, SYSZ_INS_LOCGHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHELOCGR, SYSZ_INS_LOCGRHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHELOCR, SYSZ_INS_LOCRHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHESTOC, SYSZ_INS_STOCHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHESTOCG, SYSZ_INS_STOCGHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHJ, SYSZ_INS_JH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHJG, SYSZ_INS_JGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHLOC, SYSZ_INS_LOCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHLOCG, SYSZ_INS_LOCGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHLOCGR, SYSZ_INS_LOCGRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHLOCR, SYSZ_INS_LOCRH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHSTOC, SYSZ_INS_STOCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmHSTOCG, SYSZ_INS_STOCGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCGI, SYSZ_INS_CGIJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCGR, SYSZ_INS_CGRJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCI, SYSZ_INS_CIJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCLGI, SYSZ_INS_CLGIJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCLGR, SYSZ_INS_CLGRJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCLI, SYSZ_INS_CLIJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCLR, SYSZ_INS_CLRJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJEAltCR, SYSZ_INS_CRJNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECGI, SYSZ_INS_CGIJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECGR, SYSZ_INS_CGRJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECI, SYSZ_INS_CIJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECLGI, SYSZ_INS_CLGIJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECLGR, SYSZ_INS_CLGRJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECLI, SYSZ_INS_CLIJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECLR, SYSZ_INS_CLRJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJECR, SYSZ_INS_CRJE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCGI, SYSZ_INS_CGIJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCGR, SYSZ_INS_CGRJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCI, SYSZ_INS_CIJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCLGI, SYSZ_INS_CLGIJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCLGR, SYSZ_INS_CLGRJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCLI, SYSZ_INS_CLIJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCLR, SYSZ_INS_CLRJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHAltCR, SYSZ_INS_CRJNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCGI, SYSZ_INS_CGIJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCGR, SYSZ_INS_CGRJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCI, SYSZ_INS_CIJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCLGI, SYSZ_INS_CLGIJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCLGR, SYSZ_INS_CLGRJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCLI, SYSZ_INS_CLIJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCLR, SYSZ_INS_CLRJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHCR, SYSZ_INS_CRJH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCGI, SYSZ_INS_CGIJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCGR, SYSZ_INS_CGRJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCI, SYSZ_INS_CIJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCLGI, SYSZ_INS_CLGIJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCLGR, SYSZ_INS_CLGRJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCLI, SYSZ_INS_CLIJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCLR, SYSZ_INS_CLRJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHEAltCR, SYSZ_INS_CRJNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECGI, SYSZ_INS_CGIJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECGR, SYSZ_INS_CGRJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECI, SYSZ_INS_CIJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECLGI, SYSZ_INS_CLGIJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECLGR, SYSZ_INS_CLGRJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECLI, SYSZ_INS_CLIJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECLR, SYSZ_INS_CLRJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJHECR, SYSZ_INS_CRJHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCGI, SYSZ_INS_CGIJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCGR, SYSZ_INS_CGRJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCI, SYSZ_INS_CIJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCLGI, SYSZ_INS_CLGIJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCLGR, SYSZ_INS_CLGRJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCLI, SYSZ_INS_CLIJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCLR, SYSZ_INS_CLRJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLAltCR, SYSZ_INS_CRJNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCGI, SYSZ_INS_CGIJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCGR, SYSZ_INS_CGRJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCI, SYSZ_INS_CIJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCLGI, SYSZ_INS_CLGIJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCLGR, SYSZ_INS_CLGRJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCLI, SYSZ_INS_CLIJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCLR, SYSZ_INS_CLRJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLCR, SYSZ_INS_CRJL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCGI, SYSZ_INS_CGIJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCGR, SYSZ_INS_CGRJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCI, SYSZ_INS_CIJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCLGI, SYSZ_INS_CLGIJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCLGR, SYSZ_INS_CLGRJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCLI, SYSZ_INS_CLIJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCLR, SYSZ_INS_CLRJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLEAltCR, SYSZ_INS_CRJNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECGI, SYSZ_INS_CGIJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECGR, SYSZ_INS_CGRJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECI, SYSZ_INS_CIJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECLGI, SYSZ_INS_CLGIJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECLGR, SYSZ_INS_CLGRJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECLI, SYSZ_INS_CLIJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECLR, SYSZ_INS_CLRJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLECR, SYSZ_INS_CRJLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCGI, SYSZ_INS_CGIJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCGR, SYSZ_INS_CGRJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCI, SYSZ_INS_CIJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCLGI, SYSZ_INS_CLGIJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCLGR, SYSZ_INS_CLGRJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCLI, SYSZ_INS_CLIJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCLR, SYSZ_INS_CLRJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHAltCR, SYSZ_INS_CRJNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCGI, SYSZ_INS_CGIJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCGR, SYSZ_INS_CGRJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCI, SYSZ_INS_CIJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCLGI, SYSZ_INS_CLGIJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCLGR, SYSZ_INS_CLGRJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCLI, SYSZ_INS_CLIJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCLR, SYSZ_INS_CLRJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmJLHCR, SYSZ_INS_CRJLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLBR, SYSZ_INS_BLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLEBR, SYSZ_INS_BLER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLEJ, SYSZ_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLEJG, SYSZ_INS_JGLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLELOC, SYSZ_INS_LOCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLELOCG, SYSZ_INS_LOCGLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLELOCGR, SYSZ_INS_LOCGRLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLELOCR, SYSZ_INS_LOCRLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLESTOC, SYSZ_INS_STOCLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLESTOCG, SYSZ_INS_STOCGLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHBR, SYSZ_INS_BLHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHJ, SYSZ_INS_JLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHJG, SYSZ_INS_JGLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHLOC, SYSZ_INS_LOCLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHLOCG, SYSZ_INS_LOCGLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHLOCGR, SYSZ_INS_LOCGRLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHLOCR, SYSZ_INS_LOCRLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHSTOC, SYSZ_INS_STOCLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLHSTOCG, SYSZ_INS_STOCGLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLJ, SYSZ_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLJG, SYSZ_INS_JGL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLLOC, SYSZ_INS_LOCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLLOCG, SYSZ_INS_LOCGL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLLOCGR, SYSZ_INS_LOCGRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLLOCR, SYSZ_INS_LOCRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLOC, SYSZ_INS_LOC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLOCG, SYSZ_INS_LOCG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLOCGR, SYSZ_INS_LOCGR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLOCR, SYSZ_INS_LOCR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLSTOC, SYSZ_INS_STOCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmLSTOCG, SYSZ_INS_STOCGL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNEBR, SYSZ_INS_BNER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNEJ, SYSZ_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNEJG, SYSZ_INS_JGNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNELOC, SYSZ_INS_LOCNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNELOCG, SYSZ_INS_LOCGNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNELOCGR, SYSZ_INS_LOCGRNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNELOCR, SYSZ_INS_LOCRNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNESTOC, SYSZ_INS_STOCNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNESTOCG, SYSZ_INS_STOCGNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHBR, SYSZ_INS_BNHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHEBR, SYSZ_INS_BNHER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHEJ, SYSZ_INS_JNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHEJG, SYSZ_INS_JGNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHELOC, SYSZ_INS_LOCNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHELOCG, SYSZ_INS_LOCGNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHELOCGR, SYSZ_INS_LOCGRNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHELOCR, SYSZ_INS_LOCRNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHESTOC, SYSZ_INS_STOCNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHESTOCG, SYSZ_INS_STOCGNHE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHJ, SYSZ_INS_JNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHJG, SYSZ_INS_JGNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHLOC, SYSZ_INS_LOCNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHLOCG, SYSZ_INS_LOCGNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHLOCGR, SYSZ_INS_LOCGRNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHLOCR, SYSZ_INS_LOCRNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHSTOC, SYSZ_INS_STOCNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNHSTOCG, SYSZ_INS_STOCGNH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLBR, SYSZ_INS_BNLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLEBR, SYSZ_INS_BNLER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLEJ, SYSZ_INS_JNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLEJG, SYSZ_INS_JGNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLELOC, SYSZ_INS_LOCNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLELOCG, SYSZ_INS_LOCGNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLELOCGR, SYSZ_INS_LOCGRNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLELOCR, SYSZ_INS_LOCRNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLESTOC, SYSZ_INS_STOCNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLESTOCG, SYSZ_INS_STOCGNLE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHBR, SYSZ_INS_BNLHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHJ, SYSZ_INS_JNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHJG, SYSZ_INS_JGNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHLOC, SYSZ_INS_LOCNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHLOCG, SYSZ_INS_LOCGNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHLOCGR, SYSZ_INS_LOCGRNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHLOCR, SYSZ_INS_LOCRNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHSTOC, SYSZ_INS_STOCNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLHSTOCG, SYSZ_INS_STOCGNLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLJ, SYSZ_INS_JNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLJG, SYSZ_INS_JGNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLLOC, SYSZ_INS_LOCNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLLOCG, SYSZ_INS_LOCGNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLLOCGR, SYSZ_INS_LOCGRNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLLOCR, SYSZ_INS_LOCRNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLSTOC, SYSZ_INS_STOCNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNLSTOCG, SYSZ_INS_STOCGNL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOBR, SYSZ_INS_BNOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOJ, SYSZ_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOJG, SYSZ_INS_JGNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOLOC, SYSZ_INS_LOCNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOLOCG, SYSZ_INS_LOCGNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOLOCGR, SYSZ_INS_LOCGRNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOLOCR, SYSZ_INS_LOCRNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOSTOC, SYSZ_INS_STOCNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmNOSTOCG, SYSZ_INS_STOCGNO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOBR, SYSZ_INS_BOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOJ, SYSZ_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOJG, SYSZ_INS_JGO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOLOC, SYSZ_INS_LOCO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOLOCG, SYSZ_INS_LOCGO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOLOCGR, SYSZ_INS_LOCGRO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOLOCR, SYSZ_INS_LOCRO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOSTOC, SYSZ_INS_STOCO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmOSTOCG, SYSZ_INS_STOCGO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmSTOC, SYSZ_INS_STOC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_AsmSTOCG, SYSZ_INS_STOCG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_BASR, SYSZ_INS_BASR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_BR, SYSZ_INS_BR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	SystemZ_BRAS, SYSZ_INS_BRAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_BRASL, SYSZ_INS_BRASL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_BRC, SYSZ_INS_J,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_BRCL, SYSZ_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_BRCT, SYSZ_INS_BRCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_BRCTG, SYSZ_INS_BRCTG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_C, SYSZ_INS_C,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDB, SYSZ_INS_CDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDBR, SYSZ_INS_CDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDFBR, SYSZ_INS_CDFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDGBR, SYSZ_INS_CDGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDLFBR, SYSZ_INS_CDLFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CDLGBR, SYSZ_INS_CDLGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CEB, SYSZ_INS_CEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CEBR, SYSZ_INS_CEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CEFBR, SYSZ_INS_CEFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CEGBR, SYSZ_INS_CEGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CELFBR, SYSZ_INS_CELFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CELGBR, SYSZ_INS_CELGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CFDBR, SYSZ_INS_CFDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CFEBR, SYSZ_INS_CFEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CFI, SYSZ_INS_CFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CFXBR, SYSZ_INS_CFXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CG, SYSZ_INS_CG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGDBR, SYSZ_INS_CGDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGEBR, SYSZ_INS_CGEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGF, SYSZ_INS_CGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGFI, SYSZ_INS_CGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGFR, SYSZ_INS_CGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGFRL, SYSZ_INS_CGFRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGH, SYSZ_INS_CGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGHI, SYSZ_INS_CGHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGHRL, SYSZ_INS_CGHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGHSI, SYSZ_INS_CGHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGIJ, SYSZ_INS_CGIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CGR, SYSZ_INS_CGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGRJ, SYSZ_INS_CGRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CGRL, SYSZ_INS_CGRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CGXBR, SYSZ_INS_CGXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CH, SYSZ_INS_CH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHF, SYSZ_INS_CHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHHSI, SYSZ_INS_CHHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHI, SYSZ_INS_CHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHRL, SYSZ_INS_CHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHSI, SYSZ_INS_CHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CHY, SYSZ_INS_CHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CIH, SYSZ_INS_CIH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CIJ, SYSZ_INS_CIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CL, SYSZ_INS_CL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLC, SYSZ_INS_CLC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLFDBR, SYSZ_INS_CLFDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLFEBR, SYSZ_INS_CLFEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLFHSI, SYSZ_INS_CLFHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLFI, SYSZ_INS_CLFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLFXBR, SYSZ_INS_CLFXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLG, SYSZ_INS_CLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGDBR, SYSZ_INS_CLGDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGEBR, SYSZ_INS_CLGEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGF, SYSZ_INS_CLGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGFI, SYSZ_INS_CLGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGFR, SYSZ_INS_CLGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGFRL, SYSZ_INS_CLGFRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGHRL, SYSZ_INS_CLGHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGHSI, SYSZ_INS_CLGHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGIJ, SYSZ_INS_CLGIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CLGR, SYSZ_INS_CLGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGRJ, SYSZ_INS_CLGRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CLGRL, SYSZ_INS_CLGRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLGXBR, SYSZ_INS_CLGXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLHF, SYSZ_INS_CLHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLHHSI, SYSZ_INS_CLHHSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLHRL, SYSZ_INS_CLHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLI, SYSZ_INS_CLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLIH, SYSZ_INS_CLIH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLIJ, SYSZ_INS_CLIJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CLIY, SYSZ_INS_CLIY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLR, SYSZ_INS_CLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLRJ, SYSZ_INS_CLRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CLRL, SYSZ_INS_CLRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLST, SYSZ_INS_CLST,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CLY, SYSZ_INS_CLY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CPSDRdd, SYSZ_INS_CPSDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CPSDRds, SYSZ_INS_CPSDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CPSDRsd, SYSZ_INS_CPSDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CPSDRss, SYSZ_INS_CPSDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CR, SYSZ_INS_CR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CRJ, SYSZ_INS_CRJ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_CRL, SYSZ_INS_CRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CS, SYSZ_INS_CS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CSG, SYSZ_INS_CSG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CSY, SYSZ_INS_CSY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CXBR, SYSZ_INS_CXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CXFBR, SYSZ_INS_CXFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CXGBR, SYSZ_INS_CXGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CXLFBR, SYSZ_INS_CXLFBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CXLGBR, SYSZ_INS_CXLGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_CY, SYSZ_INS_CY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DDB, SYSZ_INS_DDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DDBR, SYSZ_INS_DDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DEB, SYSZ_INS_DEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DEBR, SYSZ_INS_DEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DL, SYSZ_INS_DL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DLG, SYSZ_INS_DLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DLGR, SYSZ_INS_DLGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DLR, SYSZ_INS_DLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DSG, SYSZ_INS_DSG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DSGF, SYSZ_INS_DSGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DSGFR, SYSZ_INS_DSGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DSGR, SYSZ_INS_DSGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_DXBR, SYSZ_INS_DXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_EAR, SYSZ_INS_EAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIDBR, SYSZ_INS_FIDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIDBRA, SYSZ_INS_FIDBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIEBR, SYSZ_INS_FIEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIEBRA, SYSZ_INS_FIEBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIXBR, SYSZ_INS_FIXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FIXBRA, SYSZ_INS_FIXBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_FLOGR, SYSZ_INS_FLOGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IC, SYSZ_INS_IC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IC32, SYSZ_INS_IC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IC32Y, SYSZ_INS_ICY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ICY, SYSZ_INS_ICY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IIHF, SYSZ_INS_IIHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IIHH, SYSZ_INS_IIHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IIHL, SYSZ_INS_IIHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IILF, SYSZ_INS_IILF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IILH, SYSZ_INS_IILH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IILL, SYSZ_INS_IILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_IPM, SYSZ_INS_IPM,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_J, SYSZ_INS_J,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_JG, SYSZ_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	SystemZ_L, SYSZ_INS_L,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LA, SYSZ_INS_LA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAA, SYSZ_INS_LAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAAG, SYSZ_INS_LAAG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAAL, SYSZ_INS_LAAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAALG, SYSZ_INS_LAALG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAN, SYSZ_INS_LAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LANG, SYSZ_INS_LANG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAO, SYSZ_INS_LAO,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAOG, SYSZ_INS_LAOG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LARL, SYSZ_INS_LARL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAX, SYSZ_INS_LAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAXG, SYSZ_INS_LAXG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_INTERLOCKEDACCESS1, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LAY, SYSZ_INS_LAY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LB, SYSZ_INS_LB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LBH, SYSZ_INS_LBH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LBR, SYSZ_INS_LBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCDBR, SYSZ_INS_LCDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCEBR, SYSZ_INS_LCEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCGFR, SYSZ_INS_LCGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCGR, SYSZ_INS_LCGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCR, SYSZ_INS_LCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LCXBR, SYSZ_INS_LCXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LD, SYSZ_INS_LD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDEB, SYSZ_INS_LDEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDEBR, SYSZ_INS_LDEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDGR, SYSZ_INS_LDGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDR, SYSZ_INS_LDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDXBR, SYSZ_INS_LDXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDXBRA, SYSZ_INS_LDXBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LDY, SYSZ_INS_LDY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LE, SYSZ_INS_LE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LEDBR, SYSZ_INS_LEDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LEDBRA, SYSZ_INS_LEDBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LER, SYSZ_INS_LER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LEXBR, SYSZ_INS_LEXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LEXBRA, SYSZ_INS_LEXBRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_FPEXTENSION, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LEY, SYSZ_INS_LEY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LFH, SYSZ_INS_LFH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LG, SYSZ_INS_LG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGB, SYSZ_INS_LGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGBR, SYSZ_INS_LGBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGDR, SYSZ_INS_LGDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGF, SYSZ_INS_LGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGFI, SYSZ_INS_LGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGFR, SYSZ_INS_LGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGFRL, SYSZ_INS_LGFRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGH, SYSZ_INS_LGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGHI, SYSZ_INS_LGHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGHR, SYSZ_INS_LGHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGHRL, SYSZ_INS_LGHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGR, SYSZ_INS_LGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LGRL, SYSZ_INS_LGRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LH, SYSZ_INS_LH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LHH, SYSZ_INS_LHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LHI, SYSZ_INS_LHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LHR, SYSZ_INS_LHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LHRL, SYSZ_INS_LHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LHY, SYSZ_INS_LHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLC, SYSZ_INS_LLC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLCH, SYSZ_INS_LLCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLCR, SYSZ_INS_LLCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGC, SYSZ_INS_LLGC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGCR, SYSZ_INS_LLGCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGF, SYSZ_INS_LLGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGFR, SYSZ_INS_LLGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGFRL, SYSZ_INS_LLGFRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGH, SYSZ_INS_LLGH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGHR, SYSZ_INS_LLGHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLGHRL, SYSZ_INS_LLGHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLH, SYSZ_INS_LLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLHH, SYSZ_INS_LLHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLHR, SYSZ_INS_LLHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLHRL, SYSZ_INS_LLHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLIHF, SYSZ_INS_LLIHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLIHH, SYSZ_INS_LLIHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLIHL, SYSZ_INS_LLIHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLILF, SYSZ_INS_LLILF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLILH, SYSZ_INS_LLILH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LLILL, SYSZ_INS_LLILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LMG, SYSZ_INS_LMG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNDBR, SYSZ_INS_LNDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNEBR, SYSZ_INS_LNEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNGFR, SYSZ_INS_LNGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNGR, SYSZ_INS_LNGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNR, SYSZ_INS_LNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LNXBR, SYSZ_INS_LNXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LOC, SYSZ_INS_LOC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LOCG, SYSZ_INS_LOCG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LOCGR, SYSZ_INS_LOCGR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LOCR, SYSZ_INS_LOCR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPDBR, SYSZ_INS_LPDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPEBR, SYSZ_INS_LPEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPGFR, SYSZ_INS_LPGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPGR, SYSZ_INS_LPGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPR, SYSZ_INS_LPR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LPXBR, SYSZ_INS_LPXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LR, SYSZ_INS_LR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LRL, SYSZ_INS_LRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LRV, SYSZ_INS_LRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LRVG, SYSZ_INS_LRVG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LRVGR, SYSZ_INS_LRVGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LRVR, SYSZ_INS_LRVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LT, SYSZ_INS_LT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTDBR, SYSZ_INS_LTDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTDBRCompare, SYSZ_INS_LTDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTEBR, SYSZ_INS_LTEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTEBRCompare, SYSZ_INS_LTEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTG, SYSZ_INS_LTG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTGF, SYSZ_INS_LTGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTGFR, SYSZ_INS_LTGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTGR, SYSZ_INS_LTGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTR, SYSZ_INS_LTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTXBR, SYSZ_INS_LTXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LTXBRCompare, SYSZ_INS_LTXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LXDB, SYSZ_INS_LXDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LXDBR, SYSZ_INS_LXDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LXEB, SYSZ_INS_LXEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LXEBR, SYSZ_INS_LXEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LXR, SYSZ_INS_LXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LY, SYSZ_INS_LY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LZDR, SYSZ_INS_LZDR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LZER, SYSZ_INS_LZER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_LZXR, SYSZ_INS_LZXR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MADB, SYSZ_INS_MADB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MADBR, SYSZ_INS_MADBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MAEB, SYSZ_INS_MAEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MAEBR, SYSZ_INS_MAEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MDB, SYSZ_INS_MDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MDBR, SYSZ_INS_MDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MDEB, SYSZ_INS_MDEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MDEBR, SYSZ_INS_MDEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MEEB, SYSZ_INS_MEEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MEEBR, SYSZ_INS_MEEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MGHI, SYSZ_INS_MGHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MH, SYSZ_INS_MH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MHI, SYSZ_INS_MHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MHY, SYSZ_INS_MHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MLG, SYSZ_INS_MLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MLGR, SYSZ_INS_MLGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MS, SYSZ_INS_MS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSDB, SYSZ_INS_MSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSDBR, SYSZ_INS_MSDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSEB, SYSZ_INS_MSEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSEBR, SYSZ_INS_MSEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSFI, SYSZ_INS_MSFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSG, SYSZ_INS_MSG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSGF, SYSZ_INS_MSGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSGFI, SYSZ_INS_MSGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSGFR, SYSZ_INS_MSGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSGR, SYSZ_INS_MSGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSR, SYSZ_INS_MSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MSY, SYSZ_INS_MSY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVC, SYSZ_INS_MVC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVGHI, SYSZ_INS_MVGHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVHHI, SYSZ_INS_MVHHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVHI, SYSZ_INS_MVHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVI, SYSZ_INS_MVI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVIY, SYSZ_INS_MVIY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MVST, SYSZ_INS_MVST,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MXBR, SYSZ_INS_MXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MXDB, SYSZ_INS_MXDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_MXDBR, SYSZ_INS_MXDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_N, SYSZ_INS_N,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NC, SYSZ_INS_NC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NG, SYSZ_INS_NG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NGR, SYSZ_INS_NGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NGRK, SYSZ_INS_NGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NI, SYSZ_INS_NI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NIHF, SYSZ_INS_NIHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NIHH, SYSZ_INS_NIHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NIHL, SYSZ_INS_NIHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NILF, SYSZ_INS_NILF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NILH, SYSZ_INS_NILH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NILL, SYSZ_INS_NILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NIY, SYSZ_INS_NIY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NR, SYSZ_INS_NR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NRK, SYSZ_INS_NRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_NY, SYSZ_INS_NY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_O, SYSZ_INS_O,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OC, SYSZ_INS_OC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OG, SYSZ_INS_OG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OGR, SYSZ_INS_OGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OGRK, SYSZ_INS_OGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OI, SYSZ_INS_OI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OIHF, SYSZ_INS_OIHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OIHH, SYSZ_INS_OIHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OIHL, SYSZ_INS_OIHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OILF, SYSZ_INS_OILF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OILH, SYSZ_INS_OILH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OILL, SYSZ_INS_OILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OIY, SYSZ_INS_OIY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OR, SYSZ_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ORK, SYSZ_INS_ORK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_OY, SYSZ_INS_OY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_PFD, SYSZ_INS_PFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_PFDRL, SYSZ_INS_PFDRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RISBG, SYSZ_INS_RISBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RISBG32, SYSZ_INS_RISBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RISBHG, SYSZ_INS_RISBHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RISBLG, SYSZ_INS_RISBLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RLL, SYSZ_INS_RLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RLLG, SYSZ_INS_RLLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RNSBG, SYSZ_INS_RNSBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ROSBG, SYSZ_INS_ROSBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_RXSBG, SYSZ_INS_RXSBG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_S, SYSZ_INS_S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SDB, SYSZ_INS_SDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SDBR, SYSZ_INS_SDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SEB, SYSZ_INS_SEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SEBR, SYSZ_INS_SEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SG, SYSZ_INS_SG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SGF, SYSZ_INS_SGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SGFR, SYSZ_INS_SGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SGR, SYSZ_INS_SGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SGRK, SYSZ_INS_SGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SH, SYSZ_INS_SH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SHY, SYSZ_INS_SHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SL, SYSZ_INS_SL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLB, SYSZ_INS_SLB,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLBG, SYSZ_INS_SLBG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLBR, SYSZ_INS_SLBR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLFI, SYSZ_INS_SLFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLG, SYSZ_INS_SLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGBR, SYSZ_INS_SLBGR,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGF, SYSZ_INS_SLGF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGFI, SYSZ_INS_SLGFI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGFR, SYSZ_INS_SLGFR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGR, SYSZ_INS_SLGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLGRK, SYSZ_INS_SLGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLL, SYSZ_INS_SLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLLG, SYSZ_INS_SLLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLLK, SYSZ_INS_SLLK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLR, SYSZ_INS_SLR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLRK, SYSZ_INS_SLRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SLY, SYSZ_INS_SLY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SQDB, SYSZ_INS_SQDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SQDBR, SYSZ_INS_SQDBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SQEB, SYSZ_INS_SQEB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SQEBR, SYSZ_INS_SQEBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SQXBR, SYSZ_INS_SQXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SR, SYSZ_INS_SR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRA, SYSZ_INS_SRA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRAG, SYSZ_INS_SRAG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRAK, SYSZ_INS_SRAK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRK, SYSZ_INS_SRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRL, SYSZ_INS_SRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRLG, SYSZ_INS_SRLG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRLK, SYSZ_INS_SRLK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SRST, SYSZ_INS_SRST,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_R0L, 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_ST, SYSZ_INS_ST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STC, SYSZ_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STCH, SYSZ_INS_STCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STCY, SYSZ_INS_STCY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STD, SYSZ_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STDY, SYSZ_INS_STDY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STE, SYSZ_INS_STE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STEY, SYSZ_INS_STEY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STFH, SYSZ_INS_STFH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STG, SYSZ_INS_STG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STGRL, SYSZ_INS_STGRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STH, SYSZ_INS_STH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STHH, SYSZ_INS_STHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { SYSZ_GRP_HIGHWORD, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STHRL, SYSZ_INS_STHRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STHY, SYSZ_INS_STHY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STMG, SYSZ_INS_STMG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STOC, SYSZ_INS_STOC,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STOCG, SYSZ_INS_STOCG,
+#ifndef CAPSTONE_DIET
+	{ SYSZ_REG_CC, 0 }, { 0 }, { SYSZ_GRP_LOADSTOREONCOND, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STRL, SYSZ_INS_STRL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STRV, SYSZ_INS_STRV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STRVG, SYSZ_INS_STRVG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_STY, SYSZ_INS_STY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SXBR, SYSZ_INS_SXBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_SY, SYSZ_INS_SY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TM, SYSZ_INS_TM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TMHH, SYSZ_INS_TMHH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TMHL, SYSZ_INS_TMHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TMLH, SYSZ_INS_TMLH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TMLL, SYSZ_INS_TMLL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_TMY, SYSZ_INS_TMY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_X, SYSZ_INS_X,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XC, SYSZ_INS_XC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XG, SYSZ_INS_XG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XGR, SYSZ_INS_XGR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XGRK, SYSZ_INS_XGRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XI, SYSZ_INS_XI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XIHF, SYSZ_INS_XIHF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XILF, SYSZ_INS_XILF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XIY, SYSZ_INS_XIY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XR, SYSZ_INS_XR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XRK, SYSZ_INS_XRK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { SYSZ_GRP_DISTINCTOPS, 0 }, 0, 0
+#endif
+},
+{
+	SystemZ_XY, SYSZ_INS_XY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { SYSZ_REG_CC, 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMCTargetDesc.c 4.0.2-3/arch/SystemZ/SystemZMCTargetDesc.c
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMCTargetDesc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZMCTargetDesc.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SYSZ
 
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMCTargetDesc.h 4.0.2-3/arch/SystemZ/SystemZMCTargetDesc.h
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZMCTargetDesc.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZMCTargetDesc.h	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SYSTEMZMCTARGETDESC_H
 #define CS_SYSTEMZMCTARGETDESC_H
diff -pruN 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZModule.c 4.0.2-3/arch/SystemZ/SystemZModule.c
--- 4.0.1+really+3.0.5-2/arch/SystemZ/SystemZModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/SystemZ/SystemZModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_SYSZ
 
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xDisassembler.c 4.0.2-3/arch/TMS320C64x/TMS320C64xDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xDisassembler.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,628 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifdef CAPSTONE_HAS_TMS320C64X
+
+#include <string.h>
+
+#include "../../cs_priv.h"
+#include "../../utils.h"
+
+#include "TMS320C64xDisassembler.h"
+
+#include "../../MCInst.h"
+#include "../../MCInstrDesc.h"
+#include "../../MCFixedLenDisassembler.h"
+#include "../../MCRegisterInfo.h"
+#include "../../MCDisassembler.h"
+#include "../../MathExtras.h"
+
+static uint64_t getFeatureBits(int mode);
+
+static DecodeStatus DecodeGPRegsRegisterClass(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeControlRegsRegisterClass(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeScst5(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeScst16(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodePCRelScst7(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodePCRelScst10(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodePCRelScst12(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodePCRelScst21(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeMemOperand(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeMemOperandSc(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeMemOperand2(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeRegPair5(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeRegPair4(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeCondRegister(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeCondRegisterZero(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeSide(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeParallel(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeCrosspathX1(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeCrosspathX2(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeCrosspathX3(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+static DecodeStatus DecodeNop(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder);
+
+#include "TMS320C64xGenDisassemblerTables.inc"
+
+#define GET_REGINFO_ENUM
+#define GET_REGINFO_MC_DESC
+#include "TMS320C64xGenRegisterInfo.inc"
+
+static const unsigned GPRegsDecoderTable[] = {
+	TMS320C64x_A0,  TMS320C64x_A1,  TMS320C64x_A2,  TMS320C64x_A3,
+	TMS320C64x_A4,  TMS320C64x_A5,  TMS320C64x_A6,  TMS320C64x_A7,
+	TMS320C64x_A8,  TMS320C64x_A9,  TMS320C64x_A10, TMS320C64x_A11,
+	TMS320C64x_A12, TMS320C64x_A13, TMS320C64x_A14, TMS320C64x_A15,
+	TMS320C64x_A16, TMS320C64x_A17, TMS320C64x_A18, TMS320C64x_A19,
+	TMS320C64x_A20, TMS320C64x_A21, TMS320C64x_A22, TMS320C64x_A23,
+	TMS320C64x_A24, TMS320C64x_A25, TMS320C64x_A26, TMS320C64x_A27,
+	TMS320C64x_A28, TMS320C64x_A29, TMS320C64x_A30, TMS320C64x_A31
+};
+
+static const unsigned ControlRegsDecoderTable[] = {
+	TMS320C64x_AMR,    TMS320C64x_CSR,  TMS320C64x_ISR,   TMS320C64x_ICR,
+	TMS320C64x_IER,    TMS320C64x_ISTP, TMS320C64x_IRP,   TMS320C64x_NRP,
+	~0U,               ~0U,             TMS320C64x_TSCL,  TMS320C64x_TSCH,
+	~0U,               TMS320C64x_ILC,  TMS320C64x_RILC,  TMS320C64x_REP,
+	TMS320C64x_PCE1,   TMS320C64x_DNUM, ~0U,              ~0U,
+	~0U,               TMS320C64x_SSR,  TMS320C64x_GPLYA, TMS320C64x_GPLYB,
+	TMS320C64x_GFPGFR, TMS320C64x_DIER, TMS320C64x_TSR,   TMS320C64x_ITSR,
+	TMS320C64x_NTSR,   TMS320C64x_ECR,  ~0U,              TMS320C64x_IERR
+};
+
+static uint64_t getFeatureBits(int mode)
+{
+	// support everything
+	return (uint64_t)-1;
+}
+
+static unsigned getReg(const unsigned *RegTable, unsigned RegNo)
+{
+	if(RegNo > 31)
+		return ~0U;
+	return RegTable[RegNo];
+}
+
+static DecodeStatus DecodeGPRegsRegisterClass(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder)
+{
+	unsigned Reg;
+
+	if(RegNo > 31)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(GPRegsDecoderTable, RegNo);
+	if(Reg == ~0U)
+		return MCDisassembler_Fail;
+	MCOperand_CreateReg0(Inst, Reg);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeControlRegsRegisterClass(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder)
+{
+	unsigned Reg;
+
+	if(RegNo > 31)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(ControlRegsDecoderTable, RegNo);
+	if(Reg == ~0U)
+		return MCDisassembler_Fail;
+	MCOperand_CreateReg0(Inst, Reg);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeScst5(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 5 bit value */
+	if(imm & (1 << (5 - 1)))
+		imm |= ~((1 << 5) - 1);
+
+	MCOperand_CreateImm0(Inst, imm);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeScst16(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 16 bit value */
+	if(imm & (1 << (16 - 1)))
+		imm |= ~((1 << 16) - 1);
+
+	MCOperand_CreateImm0(Inst, imm);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodePCRelScst7(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 7 bit value */
+	if(imm & (1 << (7 - 1)))
+		imm |= ~((1 << 7) - 1);
+
+	/* Address is relative to the address of the first instruction in the fetch packet */
+	MCOperand_CreateImm0(Inst, (Address & ~31) + (imm * 4));
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodePCRelScst10(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 10 bit value */
+	if(imm & (1 << (10 - 1)))
+		imm |= ~((1 << 10) - 1);
+
+	/* Address is relative to the address of the first instruction in the fetch packet */
+	MCOperand_CreateImm0(Inst, (Address & ~31) + (imm * 4));
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodePCRelScst12(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 12 bit value */
+	if(imm & (1 << (12 - 1)))
+		imm |= ~((1 << 12) - 1);
+
+	/* Address is relative to the address of the first instruction in the fetch packet */
+	MCOperand_CreateImm0(Inst, (Address & ~31) + (imm * 4));
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodePCRelScst21(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	int32_t imm;
+
+	imm = Val;
+	/* Sign extend 21 bit value */
+	if(imm & (1 << (21 - 1)))
+		imm |= ~((1 << 21) - 1);
+
+	/* Address is relative to the address of the first instruction in the fetch packet */
+	MCOperand_CreateImm0(Inst, (Address & ~31) + (imm * 4));
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMemOperand(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	return DecodeMemOperandSc(Inst, Val | (1 << 15), Address, Decoder);
+}
+
+static DecodeStatus DecodeMemOperandSc(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	uint8_t scaled, base, offset, mode, unit;
+	unsigned basereg, offsetreg;
+
+	scaled = (Val >> 15) & 1;
+	base = (Val >> 10) & 0x1f;
+	offset = (Val >> 5) & 0x1f;
+	mode = (Val >> 1) & 0xf;
+	unit = Val & 1;
+
+	if((base >= TMS320C64X_REG_A0) && (base <= TMS320C64X_REG_A31))
+		base = (base - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+	else if((base >= TMS320C64X_REG_B0) && (base <= TMS320C64X_REG_B31))
+		base = (base - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+	basereg = getReg(GPRegsDecoderTable, base);
+	if (basereg ==  ~0U)
+		return MCDisassembler_Fail;
+
+	switch(mode) {
+		case 0:
+		case 1:
+		case 8:
+		case 9:
+		case 10:
+		case 11:
+			MCOperand_CreateImm0(Inst, (scaled << 19) | (basereg << 12) | (offset << 5) | (mode << 1) | unit);
+			break;
+		case 4:
+		case 5:
+		case 12:
+		case 13:
+		case 14:
+		case 15:
+			if((offset >= TMS320C64X_REG_A0) && (offset <= TMS320C64X_REG_A31))
+				offset = (offset - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+			else if((offset >= TMS320C64X_REG_B0) && (offset <= TMS320C64X_REG_B31))
+				offset = (offset - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+			offsetreg = getReg(GPRegsDecoderTable, offset);
+			if (offsetreg ==  ~0U)
+				return MCDisassembler_Fail;
+			MCOperand_CreateImm0(Inst, (scaled << 19) | (basereg << 12) | (offsetreg << 5) | (mode << 1) | unit);
+			break;
+		default:
+			return MCDisassembler_Fail;
+	}
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeMemOperand2(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	uint16_t offset;
+	unsigned basereg;
+
+	if(Val & 1)
+		basereg = TMS320C64X_REG_B15;
+	else
+		basereg = TMS320C64X_REG_B14;
+
+	offset = (Val >> 1) & 0x7fff;
+	MCOperand_CreateImm0(Inst, (offset << 7) | basereg);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeRegPair5(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder)
+{
+	unsigned Reg;
+
+	if(RegNo > 31)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(GPRegsDecoderTable, RegNo);
+	MCOperand_CreateReg0(Inst, Reg);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeRegPair4(MCInst *Inst, unsigned RegNo,
+		uint64_t Address, void *Decoder)
+{
+	unsigned Reg;
+
+	if(RegNo > 15)
+		return MCDisassembler_Fail;
+
+	Reg = getReg(GPRegsDecoderTable, RegNo << 1);
+	MCOperand_CreateReg0(Inst, Reg);
+
+	return MCDisassembler_Success;
+}
+
+static DecodeStatus DecodeCondRegister(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+		case 7:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_INVALID;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_B0;
+			break;
+		case 2:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_B1;
+			break;
+		case 3:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_B2;
+			break;
+		case 4:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_A1;
+			break;
+		case 5:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_A2;
+			break;
+		case 6:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_A0;
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.condition.reg = TMS320C64X_REG_INVALID;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeCondRegisterZero(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.condition.zero = 0;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.condition.zero = 1;
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.condition.zero = 0;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeSide(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+	MCOperand *op;
+	int i;
+
+	/* This is pretty messy, probably we should find a better way */
+	if(Val == 1) {
+		for(i = 0; i < Inst->size; i++) {
+			op = &Inst->Operands[i];
+			if(op->Kind == kRegister) {
+				if((op->RegVal >= TMS320C64X_REG_A0) && (op->RegVal <= TMS320C64X_REG_A31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+				else if((op->RegVal >= TMS320C64X_REG_B0) && (op->RegVal <= TMS320C64X_REG_B31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+			}
+		}
+	}
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.funit.side = 1;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.funit.side = 2;
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.funit.side = 0;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeParallel(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.parallel = 0;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.parallel = 1;
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.parallel = -1;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeCrosspathX1(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+	MCOperand *op;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 0;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 1;
+			op = &Inst->Operands[0];
+			if(op->Kind == kRegister) {
+				if((op->RegVal >= TMS320C64X_REG_A0) && (op->RegVal <= TMS320C64X_REG_A31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+				else if((op->RegVal >= TMS320C64X_REG_B0) && (op->RegVal <= TMS320C64X_REG_B31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+			}
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = -1;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeCrosspathX2(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+	MCOperand *op;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 0;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 1;
+			op = &Inst->Operands[1];
+			if(op->Kind == kRegister) {
+				if((op->RegVal >= TMS320C64X_REG_A0) && (op->RegVal <= TMS320C64X_REG_A31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+				else if((op->RegVal >= TMS320C64X_REG_B0) && (op->RegVal <= TMS320C64X_REG_B31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+			}
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = -1;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+static DecodeStatus DecodeCrosspathX3(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	DecodeStatus ret = MCDisassembler_Success;
+	MCOperand *op;
+
+	if(!Inst->flat_insn->detail)
+		return MCDisassembler_Success;
+
+	switch(Val) {
+		case 0:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 0;
+			break;
+		case 1:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = 2;
+			op = &Inst->Operands[2];
+			if(op->Kind == kRegister) {
+				if((op->RegVal >= TMS320C64X_REG_A0) && (op->RegVal <= TMS320C64X_REG_A31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_A0 + TMS320C64X_REG_B0);
+				else if((op->RegVal >= TMS320C64X_REG_B0) && (op->RegVal <= TMS320C64X_REG_B31))
+					op->RegVal = (op->RegVal - TMS320C64X_REG_B0 + TMS320C64X_REG_A0);
+			}
+			break;
+		default:
+			Inst->flat_insn->detail->tms320c64x.funit.crosspath = -1;
+			ret = MCDisassembler_Fail;
+			break;
+	}
+
+	return ret;
+}
+
+
+static DecodeStatus DecodeNop(MCInst *Inst, unsigned Val,
+		uint64_t Address, void *Decoder)
+{
+	MCOperand_CreateImm0(Inst, Val + 1);
+
+	return MCDisassembler_Success;
+}
+
+#define GET_INSTRINFO_ENUM
+#include "TMS320C64xGenInstrInfo.inc"
+
+bool TMS320C64x_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+		MCInst *MI, uint16_t *size, uint64_t address, void *info)
+{
+	uint32_t insn;
+	DecodeStatus result;
+
+	if(code_len < 4) {
+		*size = 0;
+		return MCDisassembler_Fail;
+	}
+
+	if(MI->flat_insn->detail)
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, tms320c64x)+sizeof(cs_tms320c64x));
+
+	insn = (code[3] << 0) | (code[2] << 8) | (code[1] << 16) | ((uint32_t) code[0] << 24);
+	result = decodeInstruction_4(DecoderTable32, MI, insn, address, info, 0);
+
+	if(result == MCDisassembler_Success) {
+		*size = 4;
+		return true;
+	}
+
+	MCInst_clear(MI);
+	*size = 0;
+	return false;
+}
+
+void TMS320C64x_init(MCRegisterInfo *MRI)
+{
+	MCRegisterInfo_InitMCRegisterInfo(MRI, TMS320C64xRegDesc, 90,
+			0, 0,
+			TMS320C64xMCRegisterClasses, 7,
+			0, 0,
+			TMS320C64xRegDiffLists,
+			0,
+			TMS320C64xSubRegIdxLists, 1,
+			0);
+}
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xDisassembler.h 4.0.2-3/arch/TMS320C64x/TMS320C64xDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xDisassembler.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,19 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifndef CS_TMS320C64XDISASSEMBLER_H
+#define CS_TMS320C64XDISASSEMBLER_H
+
+#include <stdint.h>
+
+#include "capstone/capstone.h"
+#include "../../MCRegisterInfo.h"
+#include "../../MCInst.h"
+
+void TMS320C64x_init(MCRegisterInfo *MRI);
+
+bool TMS320C64x_getInstruction(csh ud, const uint8_t *code, size_t code_len,
+		MCInst *instr, uint16_t *size, uint64_t address, void *info);
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenAsmWriter.inc 4.0.2-3/arch/TMS320C64x/TMS320C64xGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenAsmWriter.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,684 @@
+/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
+|*                                                                            *|
+|*Assembly Writer Source Fragment                                             *|
+|*                                                                            *|
+|* Automatically generated file, do not edit!                                 *|
+|*                                                                            *|
+\*===----------------------------------------------------------------------===*/
+
+#include <stdio.h>
+
+/// printInstruction - This method is automatically generated by tablegen
+/// from the instruction set description.
+static void printInstruction(MCInst *MI, SStream *O, MCRegisterInfo *MRI) {
+  static const uint32_t OpInfo[] = {
+    0U,	// PHI
+    0U,	// INLINEASM
+    0U,	// CFI_INSTRUCTION
+    0U,	// EH_LABEL
+    0U,	// GC_LABEL
+    0U,	// KILL
+    0U,	// EXTRACT_SUBREG
+    0U,	// INSERT_SUBREG
+    0U,	// IMPLICIT_DEF
+    0U,	// SUBREG_TO_REG
+    0U,	// COPY_TO_REGCLASS
+    882U,	// DBG_VALUE
+    0U,	// REG_SEQUENCE
+    0U,	// COPY
+    875U,	// BUNDLE
+    904U,	// LIFETIME_START
+    862U,	// LIFETIME_END
+    0U,	// STACKMAP
+    0U,	// PATCHPOINT
+    0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    1126U,	// ABS2_l2_rr
+    10847U,	// ABS_l1_pp
+    1631U,	// ABS_l1_rr
+    85006U,	// ADD2_d2_rrr
+    85006U,	// ADD2_l1_rrr_x2
+    85006U,	// ADD2_s1_rrr
+    85171U,	// ADD4_l1_rrr_x2
+    91479U,	// ADDAB_d1_rir
+    91479U,	// ADDAB_d1_rrr
+    91541U,	// ADDAD_d1_rir
+    91541U,	// ADDAD_d1_rrr
+    91577U,	// ADDAH_d1_rir
+    91577U,	// ADDAH_d1_rrr
+    91937U,	// ADDAW_d1_rir
+    91937U,	// ADDAW_d1_rrr
+    132488U,	// ADDKPC_s3_iir
+    1518U,	// ADDK_s2_ir
+    233140U,	// ADDU_l1_rpp
+    216756U,	// ADDU_l1_rrp_x2
+    91555U,	// ADD_d1_rir
+    91555U,	// ADD_d1_rrr
+    91555U,	// ADD_d2_rir
+    85411U,	// ADD_d2_rrr
+    232867U,	// ADD_l1_ipp
+    85411U,	// ADD_l1_irr
+    232867U,	// ADD_l1_rpp
+    216483U,	// ADD_l1_rrp_x2
+    85411U,	// ADD_l1_rrr_x2
+    85411U,	// ADD_s1_irr
+    85411U,	// ADD_s1_rrr
+    85542U,	// ANDN_d2_rrr
+    85542U,	// ANDN_l1_rrr_x2
+    85542U,	// ANDN_s4_rrr
+    85416U,	// AND_d2_rir
+    85416U,	// AND_d2_rrr
+    85416U,	// AND_l1_irr
+    85416U,	// AND_l1_rrr_x2
+    85416U,	// AND_s1_irr
+    85416U,	// AND_s1_rrr
+    85019U,	// AVG2_m1_rrr
+    85232U,	// AVGU4_m1_rrr
+    1410U,	// BDEC_s8_ir
+    1196U,	// BITC4_m2_rr
+    307756U,	// BNOP_s10_ri
+    307756U,	// BNOP_s9_ii
+    1654U,	// BPOS_s8_ir
+    53588U,	// B_s5_i
+    53588U,	// B_s6_r
+    892U,	// B_s7_irp
+    898U,	// B_s7_nrp
+    353870U,	// CLR_s15_riir
+    91726U,	// CLR_s1_rrr
+    85080U,	// CMPEQ2_s1_rrr
+    85207U,	// CMPEQ4_s1_rrr
+    101938U,	// CMPEQ_l1_ipr
+    85554U,	// CMPEQ_l1_irr
+    101938U,	// CMPEQ_l1_rpr
+    85554U,	// CMPEQ_l1_rrr_x2
+    85109U,	// CMPGT2_s1_rrr
+    85298U,	// CMPGTU4_s1_rrr
+    102037U,	// CMPGT_l1_ipr
+    85653U,	// CMPGT_l1_irr
+    102037U,	// CMPGT_l1_rpr
+    85653U,	// CMPGT_l1_rrr_x2
+    102150U,	// CMPLTU_l1_ipr
+    85766U,	// CMPLTU_l1_irr
+    102150U,	// CMPLTU_l1_rpr
+    85766U,	// CMPLTU_l1_rrr_x2
+    102044U,	// CMPLT_l1_ipr
+    85660U,	// CMPLT_l1_irr
+    102044U,	// CMPLT_l1_rpr
+    85660U,	// CMPLT_l1_rrr_x2
+    1529U,	// DEAL_m2_rr
+    216145U,	// DOTP2_m1_rrp
+    85073U,	// DOTP2_m1_rrr
+    85065U,	// DOTPN2_m1_rrr
+    85124U,	// DOTPNRSU2_m1_rrr
+    85135U,	// DOTPRSU2_m1_rrr
+    85281U,	// DOTPSU4_m1_rrr
+    85273U,	// DOTPU4_m1_rrr
+    354062U,	// EXTU_s15_riir
+    91918U,	// EXTU_s1_rrr
+    353955U,	// EXT_s15_riir
+    91811U,	// EXT_s1_rrr
+    102142U,	// GMPGTU_l1_ipr
+    85758U,	// GMPGTU_l1_irr
+    102142U,	// GMPGTU_l1_rpr
+    85758U,	// GMPGTU_l1_rrr_x2
+    85321U,	// GMPY4_m1_rrr
+    5800U,	// LDBU_d5_mr
+    6824U,	// LDBU_d6_mr
+    5470U,	// LDB_d5_mr
+    6494U,	// LDB_d6_mr
+    14120U,	// LDDW_d7_mp
+    5818U,	// LDHU_d5_mr
+    6842U,	// LDHU_d6_mr
+    5568U,	// LDH_d5_mr
+    6592U,	// LDH_d6_mr
+    14131U,	// LDNDW_d8_mp
+    5959U,	// LDNW_d5_mr
+    5934U,	// LDW_d5_mr
+    6958U,	// LDW_d6_mr
+    85404U,	// LMBD_l1_irr
+    85404U,	// LMBD_l1_rrr_x2
+    85145U,	// MAX2_l1_rrr_x2
+    85307U,	// MAXU4_l1_rrr_x2
+    85059U,	// MIN2_l1_rrr_x2
+    85266U,	// MINU4_l1_rrr_x2
+    216224U,	// MPY2_m1_rrp
+    85566U,	// MPYHIR_m1_rrr
+    216544U,	// MPYHI_m1_rrp
+    85720U,	// MPYHLU_m4_rrr
+    85516U,	// MPYHL_m4_rrr
+    85728U,	// MPYHSLU_m4_rrr
+    85743U,	// MPYHSU_m4_rrr
+    85613U,	// MPYHULS_m4_rrr
+    85628U,	// MPYHUS_m4_rrr
+    85713U,	// MPYHU_m4_rrr
+    85466U,	// MPYH_m4_rrr
+    85696U,	// MPYLHU_m4_rrr
+    85453U,	// MPYLH_m4_rrr
+    85574U,	// MPYLIR_m1_rrr
+    216551U,	// MPYLI_m1_rrp
+    85704U,	// MPYLSHU_m4_rrr
+    85604U,	// MPYLUHS_m4_rrr
+    216362U,	// MPYSU4_m1_rrp
+    85751U,	// MPYSU_m4_irr
+    85751U,	// MPYSU_m4_rrr
+    216386U,	// MPYU4_m1_rrp
+    85636U,	// MPYUS_m4_rrr
+    85780U,	// MPYU_m4_rrr
+    85849U,	// MPY_m4_irr
+    85849U,	// MPY_m4_rrr
+    1424U,	// MVC_s1_rr
+    1424U,	// MVC_s1_rr2
+    1453U,	// MVD_m2_rr
+    1477U,	// MVKLH_s12_ir
+    1524U,	// MVKL_s12_ir
+    1524U,	// MVK_d1_rr
+    1524U,	// MVK_l2_ir
+    53249U,	// NOP_n
+    2592U,	// NORM_l1_pr
+    1568U,	// NORM_l1_rr
+    85588U,	// OR_d2_rir
+    85588U,	// OR_d2_rrr
+    85588U,	// OR_l1_irr
+    85588U,	// OR_l1_rrr_x2
+    85588U,	// OR_s1_irr
+    85588U,	// OR_s1_rrr
+    85043U,	// PACK2_l1_rrr_x2
+    85043U,	// PACK2_s4_rrr
+    85025U,	// PACKH2_l1_rrr_x2
+    85025U,	// PACKH2_s1_rrr
+    85184U,	// PACKH4_l1_rrr_x2
+    85050U,	// PACKHL2_l1_rrr_x2
+    85050U,	// PACKHL2_s1_rrr
+    85192U,	// PACKL4_l1_rrr_x2
+    85033U,	// PACKLH2_l1_rrr_x2
+    85033U,	// PACKLH2_s1_rrr
+    91667U,	// ROTL_m1_rir
+    91667U,	// ROTL_m1_rrr
+    85005U,	// SADD2_s4_rrr
+    85224U,	// SADDU4_s4_rrr
+    85100U,	// SADDUS2_s4_rrr
+    232866U,	// SADD_l1_ipp
+    85410U,	// SADD_l1_irr
+    232866U,	// SADD_l1_rpp
+    85410U,	// SADD_l1_rrr_x2
+    85410U,	// SADD_s1_rrr
+    2699U,	// SAT_l1_pr
+    353936U,	// SET_s15_riir
+    91792U,	// SET_s1_rrr
+    1535U,	// SHFL_m2_rr
+    85347U,	// SHLMB_l1_rrr_x2
+    85347U,	// SHLMB_s4_rrr
+    223750U,	// SHL_s1_pip
+    223750U,	// SHL_s1_prp
+    222726U,	// SHL_s1_rip
+    91654U,	// SHL_s1_rir
+    222726U,	// SHL_s1_rrp
+    91654U,	// SHL_s1_rrr
+    91232U,	// SHR2_s1_rir
+    91232U,	// SHR2_s4_rrr
+    85354U,	// SHRMB_l1_rrr_x2
+    85354U,	// SHRMB_s4_rrr
+    91261U,	// SHRU2_s1_rir
+    91261U,	// SHRU2_s4_rrr
+    223977U,	// SHRU_s1_pip
+    223977U,	// SHRU_s1_prp
+    91881U,	// SHRU_s1_rir
+    91881U,	// SHRU_s1_rrr
+    223801U,	// SHR_s1_pip
+    223801U,	// SHR_s1_prp
+    91705U,	// SHR_s1_rir
+    91705U,	// SHR_s1_rrr
+    216223U,	// SMPY2_m1_rrp
+    85515U,	// SMPYHL_m4_rrr
+    85465U,	// SMPYH_m4_rrr
+    85452U,	// SMPYLH_m4_rrr
+    85848U,	// SMPY_m4_rrr
+    85042U,	// SPACK2_s4_rrr
+    85248U,	// SPACKU4_s4_rrr
+    91653U,	// SSHL_s1_rir
+    91653U,	// SSHL_s1_rrr
+    85529U,	// SSHVL_m1_rrr
+    85592U,	// SSHVR_m1_rrr
+    232822U,	// SSUB_l1_ipp
+    85366U,	// SSUB_l1_irr
+    85366U,	// SSUB_l1_rrr_x1
+    85366U,	// SSUB_l1_rrr_x2
+    438641U,	// STB_d5_rm
+    504177U,	// STB_d6_rm
+    8001U,	// STDW_d7_pm
+    438740U,	// STH_d5_rm
+    504276U,	// STH_d6_rm
+    7994U,	// STNDW_d8_pm
+    439117U,	// STNW_d5_rm
+    439123U,	// STW_d5_rm
+    504659U,	// STW_d6_rm
+    84999U,	// SUB2_d2_rrr
+    84999U,	// SUB2_l1_rrr_x2
+    84999U,	// SUB2_s1_rrr
+    85158U,	// SUB4_l1_rrr_x2
+    85215U,	// SUBABS4_l1_rrr_x2
+    91472U,	// SUBAB_d1_rir
+    91472U,	// SUBAB_d1_rrr
+    91472U,	// SUBAH_d1_rir
+    91570U,	// SUBAH_d1_rrr
+    91472U,	// SUBAW_d1_rir
+    91930U,	// SUBAW_d1_rrr
+    85372U,	// SUBC_l1_rrr_x2
+    216750U,	// SUBU_l1_rrp_x1
+    216750U,	// SUBU_l1_rrp_x2
+    91511U,	// SUB_d1_rir
+    91511U,	// SUB_d1_rrr
+    85367U,	// SUB_d2_rrr
+    232823U,	// SUB_l1_ipp
+    85367U,	// SUB_l1_irr
+    216439U,	// SUB_l1_rrp_x1
+    216439U,	// SUB_l1_rrp_x2
+    85367U,	// SUB_l1_rrr_x1
+    85367U,	// SUB_l1_rrr_x2
+    85367U,	// SUB_s1_irr
+    85367U,	// SUB_s1_rrr
+    91511U,	// SUB_s4_rrr
+    1232U,	// SWAP4_l2_rr
+    1271U,	// UNPKHU4_l2_rr
+    1271U,	// UNPKHU4_s14_rr
+    1289U,	// UNPKLU4_l2_rr
+    1289U,	// UNPKLU4_s14_rr
+    85587U,	// XOR_d2_rir
+    85587U,	// XOR_d2_rrr
+    85587U,	// XOR_l1_irr
+    85587U,	// XOR_l1_rrr_x2
+    85587U,	// XOR_s1_irr
+    85587U,	// XOR_s1_rrr
+    1044U,	// XPND2_m2_rr
+    1209U,	// XPND4_m2_rr
+    0U
+  };
+
+  static char AsmStrs[] = {
+  /* 0 */ 'n', 'o', 'p', 9, 9, 0,
+  /* 6 */ 's', 'u', 'b', '2', 9, 0,
+  /* 12 */ 's', 'a', 'd', 'd', '2', 9, 0,
+  /* 19 */ 'x', 'p', 'n', 'd', '2', 9, 0,
+  /* 26 */ 'a', 'v', 'g', '2', 9, 0,
+  /* 32 */ 'p', 'a', 'c', 'k', 'h', '2', 9, 0,
+  /* 40 */ 'p', 'a', 'c', 'k', 'l', 'h', '2', 9, 0,
+  /* 49 */ 's', 'p', 'a', 'c', 'k', '2', 9, 0,
+  /* 57 */ 'p', 'a', 'c', 'k', 'h', 'l', '2', 9, 0,
+  /* 66 */ 'm', 'i', 'n', '2', 9, 0,
+  /* 72 */ 'd', 'o', 't', 'p', 'n', '2', 9, 0,
+  /* 80 */ 'd', 'o', 't', 'p', '2', 9, 0,
+  /* 87 */ 'c', 'm', 'p', 'e', 'q', '2', 9, 0,
+  /* 95 */ 's', 'h', 'r', '2', 9, 0,
+  /* 101 */ 'a', 'b', 's', '2', 9, 0,
+  /* 107 */ 's', 'a', 'd', 'd', 'u', 's', '2', 9, 0,
+  /* 116 */ 'c', 'm', 'p', 'g', 't', '2', 9, 0,
+  /* 124 */ 's', 'h', 'r', 'u', '2', 9, 0,
+  /* 131 */ 'd', 'o', 't', 'p', 'n', 'r', 's', 'u', '2', 9, 0,
+  /* 142 */ 'd', 'o', 't', 'p', 'r', 's', 'u', '2', 9, 0,
+  /* 152 */ 'm', 'a', 'x', '2', 9, 0,
+  /* 158 */ 's', 'm', 'p', 'y', '2', 9, 0,
+  /* 165 */ 's', 'u', 'b', '4', 9, 0,
+  /* 171 */ 'b', 'i', 't', 'c', '4', 9, 0,
+  /* 178 */ 'a', 'd', 'd', '4', 9, 0,
+  /* 184 */ 'x', 'p', 'n', 'd', '4', 9, 0,
+  /* 191 */ 'p', 'a', 'c', 'k', 'h', '4', 9, 0,
+  /* 199 */ 'p', 'a', 'c', 'k', 'l', '4', 9, 0,
+  /* 207 */ 's', 'w', 'a', 'p', '4', 9, 0,
+  /* 214 */ 'c', 'm', 'p', 'e', 'q', '4', 9, 0,
+  /* 222 */ 's', 'u', 'b', 'a', 'b', 's', '4', 9, 0,
+  /* 231 */ 's', 'a', 'd', 'd', 'u', '4', 9, 0,
+  /* 239 */ 'a', 'v', 'g', 'u', '4', 9, 0,
+  /* 246 */ 'u', 'n', 'p', 'k', 'h', 'u', '4', 9, 0,
+  /* 255 */ 's', 'p', 'a', 'c', 'k', 'u', '4', 9, 0,
+  /* 264 */ 'u', 'n', 'p', 'k', 'l', 'u', '4', 9, 0,
+  /* 273 */ 'm', 'i', 'n', 'u', '4', 9, 0,
+  /* 280 */ 'd', 'o', 't', 'p', 'u', '4', 9, 0,
+  /* 288 */ 'd', 'o', 't', 'p', 's', 'u', '4', 9, 0,
+  /* 297 */ 'm', 'p', 'y', 's', 'u', '4', 9, 0,
+  /* 305 */ 'c', 'm', 'p', 'g', 't', 'u', '4', 9, 0,
+  /* 314 */ 'm', 'a', 'x', 'u', '4', 9, 0,
+  /* 321 */ 'm', 'p', 'y', 'u', '4', 9, 0,
+  /* 328 */ 'g', 'm', 'p', 'y', '4', 9, 0,
+  /* 335 */ 's', 'u', 'b', 'a', 'b', 9, 0,
+  /* 342 */ 'a', 'd', 'd', 'a', 'b', 9, 0,
+  /* 349 */ 'l', 'd', 'b', 9, 0,
+  /* 354 */ 's', 'h', 'l', 'm', 'b', 9, 0,
+  /* 361 */ 's', 'h', 'r', 'm', 'b', 9, 0,
+  /* 368 */ 's', 't', 'b', 9, 0,
+  /* 373 */ 's', 's', 'u', 'b', 9, 0,
+  /* 379 */ 's', 'u', 'b', 'c', 9, 0,
+  /* 385 */ 'b', 'd', 'e', 'c', 9, 0,
+  /* 391 */ 'a', 'd', 'd', 'k', 'p', 'c', 9, 0,
+  /* 399 */ 'm', 'v', 'c', 9, 0,
+  /* 404 */ 'a', 'd', 'd', 'a', 'd', 9, 0,
+  /* 411 */ 'l', 'm', 'b', 'd', 9, 0,
+  /* 417 */ 's', 'a', 'd', 'd', 9, 0,
+  /* 423 */ 'a', 'n', 'd', 9, 0,
+  /* 428 */ 'm', 'v', 'd', 9, 0,
+  /* 433 */ 's', 'u', 'b', 'a', 'h', 9, 0,
+  /* 440 */ 'a', 'd', 'd', 'a', 'h', 9, 0,
+  /* 447 */ 'l', 'd', 'h', 9, 0,
+  /* 452 */ 'm', 'v', 'k', 'l', 'h', 9, 0,
+  /* 459 */ 's', 'm', 'p', 'y', 'l', 'h', 9, 0,
+  /* 467 */ 's', 't', 'h', 9, 0,
+  /* 472 */ 's', 'm', 'p', 'y', 'h', 9, 0,
+  /* 479 */ 'm', 'p', 'y', 'h', 'i', 9, 0,
+  /* 486 */ 'm', 'p', 'y', 'l', 'i', 9, 0,
+  /* 493 */ 'a', 'd', 'd', 'k', 9, 0,
+  /* 499 */ 'm', 'v', 'k', 9, 0,
+  /* 504 */ 'd', 'e', 'a', 'l', 9, 0,
+  /* 510 */ 's', 'h', 'f', 'l', 9, 0,
+  /* 516 */ 's', 's', 'h', 'l', 9, 0,
+  /* 522 */ 's', 'm', 'p', 'y', 'h', 'l', 9, 0,
+  /* 530 */ 'r', 'o', 't', 'l', 9, 0,
+  /* 536 */ 's', 's', 'h', 'v', 'l', 9, 0,
+  /* 543 */ 'n', 'o', 'r', 'm', 9, 0,
+  /* 549 */ 'a', 'n', 'd', 'n', 9, 0,
+  /* 555 */ 'b', 'n', 'o', 'p', 9, 0,
+  /* 561 */ 'c', 'm', 'p', 'e', 'q', 9, 0,
+  /* 568 */ 's', 'h', 'r', 9, 0,
+  /* 573 */ 'm', 'p', 'y', 'h', 'i', 'r', 9, 0,
+  /* 581 */ 'm', 'p', 'y', 'l', 'i', 'r', 9, 0,
+  /* 589 */ 'c', 'l', 'r', 9, 0,
+  /* 594 */ 'x', 'o', 'r', 9, 0,
+  /* 599 */ 's', 's', 'h', 'v', 'r', 9, 0,
+  /* 606 */ 'a', 'b', 's', 9, 0,
+  /* 611 */ 'm', 'p', 'y', 'l', 'u', 'h', 's', 9, 0,
+  /* 620 */ 'm', 'p', 'y', 'h', 'u', 'l', 's', 9, 0,
+  /* 629 */ 'b', 'p', 'o', 's', 9, 0,
+  /* 635 */ 'm', 'p', 'y', 'h', 'u', 's', 9, 0,
+  /* 643 */ 'm', 'p', 'y', 'u', 's', 9, 0,
+  /* 650 */ 's', 'a', 't', 9, 0,
+  /* 655 */ 's', 'e', 't', 9, 0,
+  /* 660 */ 'c', 'm', 'p', 'g', 't', 9, 0,
+  /* 667 */ 'c', 'm', 'p', 'l', 't', 9, 0,
+  /* 674 */ 'e', 'x', 't', 9, 0,
+  /* 679 */ 'l', 'd', 'b', 'u', 9, 0,
+  /* 685 */ 's', 'u', 'b', 'u', 9, 0,
+  /* 691 */ 'a', 'd', 'd', 'u', 9, 0,
+  /* 697 */ 'l', 'd', 'h', 'u', 9, 0,
+  /* 703 */ 'm', 'p', 'y', 'l', 'h', 'u', 9, 0,
+  /* 711 */ 'm', 'p', 'y', 'l', 's', 'h', 'u', 9, 0,
+  /* 720 */ 'm', 'p', 'y', 'h', 'u', 9, 0,
+  /* 727 */ 'm', 'p', 'y', 'h', 'l', 'u', 9, 0,
+  /* 735 */ 'm', 'p', 'y', 'h', 's', 'l', 'u', 9, 0,
+  /* 744 */ 's', 'h', 'r', 'u', 9, 0,
+  /* 750 */ 'm', 'p', 'y', 'h', 's', 'u', 9, 0,
+  /* 758 */ 'm', 'p', 'y', 's', 'u', 9, 0,
+  /* 765 */ 'c', 'm', 'p', 'g', 't', 'u', 9, 0,
+  /* 773 */ 'c', 'm', 'p', 'l', 't', 'u', 9, 0,
+  /* 781 */ 'e', 'x', 't', 'u', 9, 0,
+  /* 787 */ 'm', 'p', 'y', 'u', 9, 0,
+  /* 793 */ 's', 'u', 'b', 'a', 'w', 9, 0,
+  /* 800 */ 'a', 'd', 'd', 'a', 'w', 9, 0,
+  /* 807 */ 'l', 'd', 'd', 'w', 9, 0,
+  /* 813 */ 'l', 'd', 'w', 9, 0,
+  /* 818 */ 'l', 'd', 'n', 'd', 'w', 9, 0,
+  /* 825 */ 's', 't', 'n', 'd', 'w', 9, 0,
+  /* 832 */ 's', 't', 'd', 'w', 9, 0,
+  /* 838 */ 'l', 'd', 'n', 'w', 9, 0,
+  /* 844 */ 's', 't', 'n', 'w', 9, 0,
+  /* 850 */ 's', 't', 'w', 9, 0,
+  /* 855 */ 's', 'm', 'p', 'y', 9, 0,
+  /* 861 */ 'l', 'i', 'f', 'e', 't', 'i', 'm', 'e', '_', 'e', 'n', 'd', 0,
+  /* 874 */ 'b', 'u', 'n', 'd', 'l', 'e', 0,
+  /* 881 */ 'd', 'b', 'g', '_', 'v', 'a', 'l', 'u', 'e', 0,
+  /* 891 */ 'b', 9, 'i', 'r', 'p', 0,
+  /* 897 */ 'b', 9, 'n', 'r', 'p', 0,
+  /* 903 */ 'l', 'i', 'f', 'e', 't', 'i', 'm', 'e', '_', 's', 't', 'a', 'r', 't', 0,
+  };
+
+  // Emit the opcode for the instruction.
+  uint32_t Bits = OpInfo[MCInst_getOpcode(MI)];
+  // assert(Bits != 0 && "Cannot print this instruction.");
+#ifndef CAPSTONE_DIET
+  SStream_concat0(O, AsmStrs+(Bits & 1023)-1);
+#endif
+
+
+  // Fragment 0 encoded into 3 bits for 8 unique commands.
+  switch ((Bits >> 10) & 7) {
+  default:
+  case 0:
+    // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, B_s7_irp, B_s7_nrp
+    return;
+    break;
+  case 1:
+    // ABS2_l2_rr, ABS_l1_rr, ADDAB_d1_rir, ADDAB_d1_rrr, ADDAD_d1_rir, ADDAD...
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 2:
+    // ABS_l1_pp, NORM_l1_pr, SAT_l1_pr, SHL_s1_pip, SHL_s1_prp, SHRU_s1_pip,...
+    printRegPair(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 3:
+    // ADD2_d2_rrr, ADD2_l1_rrr_x2, ADD2_s1_rrr, ADD4_l1_rrr_x2, ADDU_l1_rpp,...
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 4:
+    // BNOP_s10_ri, BNOP_s9_ii, B_s5_i, B_s6_r, NOP_n, STB_d5_rm, STB_d6_rm, ...
+    printOperand(MI, 0, O); 
+    break;
+  case 5:
+    // LDBU_d5_mr, LDB_d5_mr, LDDW_d7_mp, LDHU_d5_mr, LDH_d5_mr, LDNDW_d8_mp,...
+    printMemOperand(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 6:
+    // LDBU_d6_mr, LDB_d6_mr, LDHU_d6_mr, LDH_d6_mr, LDW_d6_mr
+    printMemOperand2(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 7:
+    // STDW_d7_pm, STNDW_d8_pm
+    printRegPair(MI, 0, O); 
+    SStream_concat0(O, ", ");
+    printMemOperand(MI, 1, O); 
+    return;
+    break;
+  }
+
+
+  // Fragment 1 encoded into 3 bits for 7 unique commands.
+  switch ((Bits >> 13) & 7) {
+  default:
+  case 0:
+    // ABS2_l2_rr, ABS_l1_rr, ADDKPC_s3_iir, ADDK_s2_ir, BDEC_s8_ir, BITC4_m2...
+    printOperand(MI, 0, O); 
+    break;
+  case 1:
+    // ABS_l1_pp, LDDW_d7_mp, LDNDW_d8_mp
+    printRegPair(MI, 0, O); 
+    return;
+    break;
+  case 2:
+    // ADD2_d2_rrr, ADD2_l1_rrr_x2, ADD2_s1_rrr, ADD4_l1_rrr_x2, ADDU_l1_rrp_...
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 3:
+    // ADDAB_d1_rir, ADDAB_d1_rrr, ADDAD_d1_rir, ADDAD_d1_rrr, ADDAH_d1_rir, ...
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 4:
+    // ADDU_l1_rpp, ADD_l1_ipp, ADD_l1_rpp, CMPEQ_l1_ipr, CMPEQ_l1_rpr, CMPGT...
+    printRegPair(MI, 1, O); 
+    SStream_concat0(O, ", ");
+    break;
+  case 5:
+    // BNOP_s10_ri, BNOP_s9_ii, STB_d5_rm, STB_d6_rm, STH_d5_rm, STH_d6_rm, S...
+    SStream_concat0(O, ", ");
+    break;
+  case 6:
+    // B_s5_i, B_s6_r, NOP_n
+    return;
+    break;
+  }
+
+
+  // Fragment 2 encoded into 3 bits for 8 unique commands.
+  switch ((Bits >> 16) & 7) {
+  default:
+  case 0:
+    // ABS2_l2_rr, ABS_l1_rr, ADDK_s2_ir, BDEC_s8_ir, BITC4_m2_rr, BPOS_s8_ir...
+    return;
+    break;
+  case 1:
+    // ADD2_d2_rrr, ADD2_l1_rrr_x2, ADD2_s1_rrr, ADD4_l1_rrr_x2, ADDAB_d1_rir...
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 2:
+    // ADDKPC_s3_iir
+    SStream_concat0(O, ", ");
+    printOperand(MI, 2, O); 
+    return;
+    break;
+  case 3:
+    // ADDU_l1_rpp, ADDU_l1_rrp_x2, ADD_l1_ipp, ADD_l1_rpp, ADD_l1_rrp_x2, DO...
+    printRegPair(MI, 0, O); 
+    return;
+    break;
+  case 4:
+    // BNOP_s10_ri, BNOP_s9_ii
+    printOperand(MI, 1, O); 
+    return;
+    break;
+  case 5:
+    // CLR_s15_riir, EXTU_s15_riir, EXT_s15_riir, SET_s15_riir
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", ");
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 6:
+    // STB_d5_rm, STH_d5_rm, STNW_d5_rm, STW_d5_rm
+    printMemOperand(MI, 1, O); 
+    return;
+    break;
+  case 7:
+    // STB_d6_rm, STH_d6_rm, STW_d6_rm
+    printMemOperand2(MI, 1, O); 
+    return;
+    break;
+  }
+
+}
+
+
+/// getRegisterName - This method is automatically generated by tblgen
+/// from the register set description.  This returns the assembler name
+/// for the specified register.
+static char *getRegisterName(unsigned RegNo) {
+#ifndef CAPSTONE_DIET
+  static char AsmStrs[] = {
+  /* 0 */ 'a', '1', '0', 0,
+  /* 4 */ 'b', '1', '0', 0,
+  /* 8 */ 'a', '2', '0', 0,
+  /* 12 */ 'b', '2', '0', 0,
+  /* 16 */ 'a', '3', '0', 0,
+  /* 20 */ 'b', '3', '0', 0,
+  /* 24 */ 'a', '0', 0,
+  /* 27 */ 'b', '0', 0,
+  /* 30 */ 'a', '1', '1', 0,
+  /* 34 */ 'b', '1', '1', 0,
+  /* 38 */ 'a', '2', '1', 0,
+  /* 42 */ 'b', '2', '1', 0,
+  /* 46 */ 'a', '3', '1', 0,
+  /* 50 */ 'b', '3', '1', 0,
+  /* 54 */ 'a', '1', 0,
+  /* 57 */ 'b', '1', 0,
+  /* 60 */ 'p', 'c', 'e', '1', 0,
+  /* 65 */ 'a', '1', '2', 0,
+  /* 69 */ 'b', '1', '2', 0,
+  /* 73 */ 'a', '2', '2', 0,
+  /* 77 */ 'b', '2', '2', 0,
+  /* 81 */ 'a', '2', 0,
+  /* 84 */ 'b', '2', 0,
+  /* 87 */ 'a', '1', '3', 0,
+  /* 91 */ 'b', '1', '3', 0,
+  /* 95 */ 'a', '2', '3', 0,
+  /* 99 */ 'b', '2', '3', 0,
+  /* 103 */ 'a', '3', 0,
+  /* 106 */ 'b', '3', 0,
+  /* 109 */ 'a', '1', '4', 0,
+  /* 113 */ 'b', '1', '4', 0,
+  /* 117 */ 'a', '2', '4', 0,
+  /* 121 */ 'b', '2', '4', 0,
+  /* 125 */ 'a', '4', 0,
+  /* 128 */ 'b', '4', 0,
+  /* 131 */ 'a', '1', '5', 0,
+  /* 135 */ 'b', '1', '5', 0,
+  /* 139 */ 'a', '2', '5', 0,
+  /* 143 */ 'b', '2', '5', 0,
+  /* 147 */ 'a', '5', 0,
+  /* 150 */ 'b', '5', 0,
+  /* 153 */ 'a', '1', '6', 0,
+  /* 157 */ 'b', '1', '6', 0,
+  /* 161 */ 'a', '2', '6', 0,
+  /* 165 */ 'b', '2', '6', 0,
+  /* 169 */ 'a', '6', 0,
+  /* 172 */ 'b', '6', 0,
+  /* 175 */ 'a', '1', '7', 0,
+  /* 179 */ 'b', '1', '7', 0,
+  /* 183 */ 'a', '2', '7', 0,
+  /* 187 */ 'b', '2', '7', 0,
+  /* 191 */ 'a', '7', 0,
+  /* 194 */ 'b', '7', 0,
+  /* 197 */ 'a', '1', '8', 0,
+  /* 201 */ 'b', '1', '8', 0,
+  /* 205 */ 'a', '2', '8', 0,
+  /* 209 */ 'b', '2', '8', 0,
+  /* 213 */ 'a', '8', 0,
+  /* 216 */ 'b', '8', 0,
+  /* 219 */ 'a', '1', '9', 0,
+  /* 223 */ 'b', '1', '9', 0,
+  /* 227 */ 'a', '2', '9', 0,
+  /* 231 */ 'b', '2', '9', 0,
+  /* 235 */ 'a', '9', 0,
+  /* 238 */ 'b', '9', 0,
+  /* 241 */ 'g', 'p', 'l', 'y', 'a', 0,
+  /* 247 */ 'g', 'p', 'l', 'y', 'b', 0,
+  /* 253 */ 'r', 'i', 'l', 'c', 0,
+  /* 258 */ 't', 's', 'c', 'h', 0,
+  /* 263 */ 't', 's', 'c', 'l', 0,
+  /* 268 */ 'd', 'n', 'u', 'm', 0,
+  /* 273 */ 'r', 'e', 'p', 0,
+  /* 277 */ 'i', 'r', 'p', 0,
+  /* 281 */ 'n', 'r', 'p', 0,
+  /* 285 */ 'i', 's', 't', 'p', 0,
+  /* 290 */ 'e', 'c', 'r', 0,
+  /* 294 */ 'i', 'c', 'r', 0,
+  /* 298 */ 'd', 'i', 'e', 'r', 0,
+  /* 303 */ 'g', 'f', 'p', 'g', 'f', 'r', 0,
+  /* 310 */ 'a', 'm', 'r', 0,
+  /* 314 */ 'i', 'e', 'r', 'r', 0,
+  /* 319 */ 'c', 's', 'r', 0,
+  /* 323 */ 'i', 's', 'r', 0,
+  /* 327 */ 's', 's', 'r', 0,
+  /* 331 */ 'i', 't', 's', 'r', 0,
+  /* 336 */ 'n', 't', 's', 'r', 0,
+  };
+
+  static const uint16_t RegAsmOffset[] = {
+    310, 319, 298, 268, 290, 303, 241, 247, 294, 299, 314, 254, 277, 323, 
+    285, 331, 281, 336, 273, 253, 327, 258, 263, 332, 24, 54, 81, 103, 
+    125, 147, 169, 191, 213, 235, 0, 30, 65, 87, 109, 131, 153, 175, 
+    197, 219, 8, 38, 73, 95, 117, 139, 161, 183, 205, 227, 16, 46, 
+    27, 57, 84, 106, 128, 150, 172, 194, 216, 238, 4, 34, 69, 91, 
+    113, 135, 157, 179, 201, 223, 12, 42, 77, 99, 121, 143, 165, 187, 
+    209, 231, 20, 50, 60, 
+  };
+
+  return AsmStrs+RegAsmOffset[RegNo-1];
+#else
+  return NULL;
+#endif
+}
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenDisassemblerTables.inc 4.0.2-3/arch/TMS320C64x/TMS320C64xGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenDisassemblerTables.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1352 @@
+/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
+|*                                                                            *|
+|* * TMS320C64x Disassembler                                                  *|
+|*                                                                            *|
+|* Automatically generated file, do not edit!                                 *|
+|*                                                                            *|
+\*===----------------------------------------------------------------------===*/
+
+#include "../../MCInst.h"
+#include "../../LEB128.h"
+
+// Helper function for extracting fields from encoded instructions.
+#define FieldFromInstruction(fname, InsnType) \
+static InsnType fname(InsnType insn, unsigned startBit, \
+                                     unsigned numBits) { \
+    InsnType fieldMask; \
+    if (numBits == sizeof(InsnType)*8) \
+      fieldMask = (InsnType)(-1LL); \
+    else \
+      fieldMask = (((InsnType)1 << numBits) - 1) << startBit; \
+    return (insn & fieldMask) >> startBit; \
+}
+
+static uint8_t DecoderTable32[] = {
+/* 0 */       MCD_OPC_ExtractField, 2, 5,  // Inst{6-2} ...
+/* 3 */       MCD_OPC_FilterValue, 0, 199, 0, // Skip to: 206
+/* 7 */       MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 10 */      MCD_OPC_FilterValue, 0, 16, 0, // Skip to: 30
+/* 14 */      MCD_OPC_CheckField, 17, 11, 0, 153, 8, // Skip to: 2221
+/* 20 */      MCD_OPC_CheckField, 12, 1, 0, 147, 8, // Skip to: 2221
+/* 26 */      MCD_OPC_Decode, 162, 1, 0, // Opcode: NOP_n
+/* 30 */      MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 38
+/* 34 */      MCD_OPC_Decode, 140, 1, 1, // Opcode: MPYH_m4_rrr
+/* 38 */      MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 46
+/* 42 */      MCD_OPC_Decode, 219, 1, 1, // Opcode: SMPYH_m4_rrr
+/* 46 */      MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 54
+/* 50 */      MCD_OPC_Decode, 136, 1, 1, // Opcode: MPYHSU_m4_rrr
+/* 54 */      MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 62
+/* 58 */      MCD_OPC_Decode, 138, 1, 1, // Opcode: MPYHUS_m4_rrr
+/* 62 */      MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 70
+/* 66 */      MCD_OPC_Decode, 139, 1, 1, // Opcode: MPYHU_m4_rrr
+/* 70 */      MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 78
+/* 74 */      MCD_OPC_Decode, 134, 1, 1, // Opcode: MPYHL_m4_rrr
+/* 78 */      MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 86
+/* 82 */      MCD_OPC_Decode, 218, 1, 1, // Opcode: SMPYHL_m4_rrr
+/* 86 */      MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 94
+/* 90 */      MCD_OPC_Decode, 135, 1, 1, // Opcode: MPYHSLU_m4_rrr
+/* 94 */      MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 102
+/* 98 */      MCD_OPC_Decode, 137, 1, 1, // Opcode: MPYHULS_m4_rrr
+/* 102 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 110
+/* 106 */     MCD_OPC_Decode, 133, 1, 1, // Opcode: MPYHLU_m4_rrr
+/* 110 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 118
+/* 114 */     MCD_OPC_Decode, 142, 1, 1, // Opcode: MPYLH_m4_rrr
+/* 118 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 126
+/* 122 */     MCD_OPC_Decode, 220, 1, 1, // Opcode: SMPYLH_m4_rrr
+/* 126 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 134
+/* 130 */     MCD_OPC_Decode, 145, 1, 1, // Opcode: MPYLSHU_m4_rrr
+/* 134 */     MCD_OPC_FilterValue, 21, 4, 0, // Skip to: 142
+/* 138 */     MCD_OPC_Decode, 146, 1, 1, // Opcode: MPYLUHS_m4_rrr
+/* 142 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 150
+/* 146 */     MCD_OPC_Decode, 141, 1, 1, // Opcode: MPYLHU_m4_rrr
+/* 150 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 158
+/* 154 */     MCD_OPC_Decode, 153, 1, 2, // Opcode: MPY_m4_irr
+/* 158 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 166
+/* 162 */     MCD_OPC_Decode, 154, 1, 1, // Opcode: MPY_m4_rrr
+/* 166 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 174
+/* 170 */     MCD_OPC_Decode, 221, 1, 1, // Opcode: SMPY_m4_rrr
+/* 174 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 182
+/* 178 */     MCD_OPC_Decode, 149, 1, 1, // Opcode: MPYSU_m4_rrr
+/* 182 */     MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 190
+/* 186 */     MCD_OPC_Decode, 151, 1, 1, // Opcode: MPYUS_m4_rrr
+/* 190 */     MCD_OPC_FilterValue, 30, 4, 0, // Skip to: 198
+/* 194 */     MCD_OPC_Decode, 148, 1, 2, // Opcode: MPYSU_m4_irr
+/* 198 */     MCD_OPC_FilterValue, 31, 227, 7, // Skip to: 2221
+/* 202 */     MCD_OPC_Decode, 152, 1, 1, // Opcode: MPYU_m4_rrr
+/* 206 */     MCD_OPC_FilterValue, 1, 9, 0, // Skip to: 219
+/* 210 */     MCD_OPC_CheckField, 8, 1, 0, 213, 7, // Skip to: 2221
+/* 216 */     MCD_OPC_Decode, 116, 3, // Opcode: LDHU_d5_mr
+/* 219 */     MCD_OPC_FilterValue, 2, 18, 0, // Skip to: 241
+/* 223 */     MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 226 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 233
+/* 230 */     MCD_OPC_Decode, 102, 4, // Opcode: EXTU_s15_riir
+/* 233 */     MCD_OPC_FilterValue, 1, 192, 7, // Skip to: 2221
+/* 237 */     MCD_OPC_Decode, 192, 1, 4, // Opcode: SET_s15_riir
+/* 241 */     MCD_OPC_FilterValue, 3, 3, 0, // Skip to: 248
+/* 245 */     MCD_OPC_Decode, 117, 5, // Opcode: LDHU_d6_mr
+/* 248 */     MCD_OPC_FilterValue, 4, 3, 0, // Skip to: 255
+/* 252 */     MCD_OPC_Decode, 68, 6, // Opcode: B_s5_i
+/* 255 */     MCD_OPC_FilterValue, 5, 9, 0, // Skip to: 268
+/* 259 */     MCD_OPC_CheckField, 8, 1, 0, 164, 7, // Skip to: 2221
+/* 265 */     MCD_OPC_Decode, 111, 3, // Opcode: LDBU_d5_mr
+/* 268 */     MCD_OPC_FilterValue, 6, 157, 0, // Skip to: 429
+/* 272 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 275 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 283
+/* 279 */     MCD_OPC_Decode, 171, 1, 1, // Opcode: PACK2_l1_rrr_x2
+/* 283 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 291
+/* 287 */     MCD_OPC_Decode, 242, 1, 1, // Opcode: SUB2_l1_rrr_x2
+/* 291 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 299
+/* 295 */     MCD_OPC_Decode, 176, 1, 1, // Opcode: PACKHL2_l1_rrr_x2
+/* 299 */     MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 306
+/* 303 */     MCD_OPC_Decode, 45, 7, // Opcode: ADD_l1_ipp
+/* 306 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 314
+/* 310 */     MCD_OPC_Decode, 130, 2, 7, // Opcode: SUB_l1_ipp
+/* 314 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 322
+/* 318 */     MCD_OPC_Decode, 228, 1, 7, // Opcode: SSUB_l1_ipp
+/* 322 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 330
+/* 326 */     MCD_OPC_Decode, 186, 1, 7, // Opcode: SADD_l1_ipp
+/* 330 */     MCD_OPC_FilterValue, 14, 9, 0, // Skip to: 343
+/* 334 */     MCD_OPC_CheckField, 13, 5, 0, 89, 7, // Skip to: 2221
+/* 340 */     MCD_OPC_Decode, 23, 8, // Opcode: ABS_l1_pp
+/* 343 */     MCD_OPC_FilterValue, 16, 10, 0, // Skip to: 357
+/* 347 */     MCD_OPC_CheckField, 13, 5, 0, 76, 7, // Skip to: 2221
+/* 353 */     MCD_OPC_Decode, 191, 1, 9, // Opcode: SAT_l1_pr
+/* 357 */     MCD_OPC_FilterValue, 17, 3, 0, // Skip to: 364
+/* 361 */     MCD_OPC_Decode, 82, 10, // Opcode: CMPGT_l1_ipr
+/* 364 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 372
+/* 368 */     MCD_OPC_Decode, 129, 1, 1, // Opcode: MINU4_l1_rrr_x2
+/* 372 */     MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 379
+/* 376 */     MCD_OPC_Decode, 106, 11, // Opcode: GMPGTU_l1_ipr
+/* 379 */     MCD_OPC_FilterValue, 20, 3, 0, // Skip to: 386
+/* 383 */     MCD_OPC_Decode, 76, 10, // Opcode: CMPEQ_l1_ipr
+/* 386 */     MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 393
+/* 390 */     MCD_OPC_Decode, 90, 10, // Opcode: CMPLT_l1_ipr
+/* 393 */     MCD_OPC_FilterValue, 23, 3, 0, // Skip to: 400
+/* 397 */     MCD_OPC_Decode, 86, 11, // Opcode: CMPLTU_l1_ipr
+/* 400 */     MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 414
+/* 404 */     MCD_OPC_CheckField, 13, 5, 0, 19, 7, // Skip to: 2221
+/* 410 */     MCD_OPC_Decode, 163, 1, 12, // Opcode: NORM_l1_pr
+/* 414 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 422
+/* 418 */     MCD_OPC_Decode, 178, 1, 1, // Opcode: PACKL4_l1_rrr_x2
+/* 422 */     MCD_OPC_FilterValue, 31, 3, 7, // Skip to: 2221
+/* 426 */     MCD_OPC_Decode, 53, 1, // Opcode: ANDN_l1_rrr_x2
+/* 429 */     MCD_OPC_FilterValue, 7, 3, 0, // Skip to: 436
+/* 433 */     MCD_OPC_Decode, 112, 5, // Opcode: LDBU_d6_mr
+/* 436 */     MCD_OPC_FilterValue, 8, 222, 0, // Skip to: 662
+/* 440 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 443 */     MCD_OPC_FilterValue, 0, 17, 0, // Skip to: 464
+/* 447 */     MCD_OPC_ExtractField, 12, 1,  // Inst{12} ...
+/* 450 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 457
+/* 454 */     MCD_OPC_Decode, 67, 13, // Opcode: BPOS_s8_ir
+/* 457 */     MCD_OPC_FilterValue, 1, 224, 6, // Skip to: 2221
+/* 461 */     MCD_OPC_Decode, 63, 13, // Opcode: BDEC_s8_ir
+/* 464 */     MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 477
+/* 468 */     MCD_OPC_CheckField, 12, 1, 0, 211, 6, // Skip to: 2221
+/* 474 */     MCD_OPC_Decode, 66, 14, // Opcode: BNOP_s9_ii
+/* 477 */     MCD_OPC_FilterValue, 3, 3, 0, // Skip to: 484
+/* 481 */     MCD_OPC_Decode, 50, 2, // Opcode: ADD_s1_irr
+/* 484 */     MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 492
+/* 488 */     MCD_OPC_Decode, 177, 1, 1, // Opcode: PACKHL2_s1_rrr
+/* 492 */     MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 500
+/* 496 */     MCD_OPC_Decode, 148, 2, 2, // Opcode: XOR_s1_irr
+/* 500 */     MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 514
+/* 504 */     MCD_OPC_CheckField, 13, 5, 0, 175, 6, // Skip to: 2221
+/* 510 */     MCD_OPC_Decode, 156, 1, 15, // Opcode: MVC_s1_rr2
+/* 514 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 522
+/* 518 */     MCD_OPC_Decode, 180, 1, 1, // Opcode: PACKLH2_s1_rrr
+/* 522 */     MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 530
+/* 526 */     MCD_OPC_Decode, 199, 1, 16, // Opcode: SHL_s1_rip
+/* 530 */     MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 537
+/* 534 */     MCD_OPC_Decode, 80, 1, // Opcode: CMPGT2_s1_rrr
+/* 537 */     MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 545
+/* 541 */     MCD_OPC_Decode, 136, 2, 2, // Opcode: SUB_s1_irr
+/* 545 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 553
+/* 549 */     MCD_OPC_Decode, 203, 1, 17, // Opcode: SHR2_s1_rir
+/* 553 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 561
+/* 557 */     MCD_OPC_Decode, 169, 1, 2, // Opcode: OR_s1_irr
+/* 561 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 568
+/* 565 */     MCD_OPC_Decode, 75, 1, // Opcode: CMPEQ4_s1_rrr
+/* 568 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 575
+/* 572 */     MCD_OPC_Decode, 59, 2, // Opcode: AND_s1_irr
+/* 575 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 583
+/* 579 */     MCD_OPC_Decode, 190, 1, 1, // Opcode: SADD_s1_rrr
+/* 583 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 591
+/* 587 */     MCD_OPC_Decode, 224, 1, 17, // Opcode: SSHL_s1_rir
+/* 591 */     MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 599
+/* 595 */     MCD_OPC_Decode, 209, 1, 18, // Opcode: SHRU_s1_pip
+/* 599 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 607
+/* 603 */     MCD_OPC_Decode, 211, 1, 17, // Opcode: SHRU_s1_rir
+/* 607 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 615
+/* 611 */     MCD_OPC_Decode, 197, 1, 19, // Opcode: SHL_s1_pip
+/* 615 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 623
+/* 619 */     MCD_OPC_Decode, 200, 1, 20, // Opcode: SHL_s1_rir
+/* 623 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 631
+/* 627 */     MCD_OPC_Decode, 213, 1, 18, // Opcode: SHR_s1_pip
+/* 631 */     MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 639
+/* 635 */     MCD_OPC_Decode, 215, 1, 17, // Opcode: SHR_s1_rir
+/* 639 */     MCD_OPC_FilterValue, 30, 42, 6, // Skip to: 2221
+/* 643 */     MCD_OPC_ExtractField, 13, 5,  // Inst{17-13} ...
+/* 646 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 654
+/* 650 */     MCD_OPC_Decode, 143, 2, 21, // Opcode: UNPKLU4_s14_rr
+/* 654 */     MCD_OPC_FilterValue, 3, 27, 6, // Skip to: 2221
+/* 658 */     MCD_OPC_Decode, 141, 2, 21, // Opcode: UNPKHU4_s14_rr
+/* 662 */     MCD_OPC_FilterValue, 9, 17, 0, // Skip to: 683
+/* 666 */     MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 669 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 676
+/* 673 */     MCD_OPC_Decode, 113, 3, // Opcode: LDB_d5_mr
+/* 676 */     MCD_OPC_FilterValue, 1, 5, 6, // Skip to: 2221
+/* 680 */     MCD_OPC_Decode, 120, 22, // Opcode: LDNDW_d8_mp
+/* 683 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 691
+/* 687 */     MCD_OPC_Decode, 159, 1, 23, // Opcode: MVKL_s12_ir
+/* 691 */     MCD_OPC_FilterValue, 11, 3, 0, // Skip to: 698
+/* 695 */     MCD_OPC_Decode, 114, 5, // Opcode: LDB_d6_mr
+/* 698 */     MCD_OPC_FilterValue, 12, 194, 0, // Skip to: 896
+/* 702 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 705 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 713
+/* 709 */     MCD_OPC_Decode, 130, 1, 24, // Opcode: MPY2_m1_rrp
+/* 713 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 720
+/* 717 */     MCD_OPC_Decode, 100, 1, // Opcode: DOTPSU4_m1_rrr
+/* 720 */     MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 728
+/* 724 */     MCD_OPC_Decode, 150, 1, 24, // Opcode: MPYU4_m1_rrp
+/* 728 */     MCD_OPC_FilterValue, 3, 3, 0, // Skip to: 735
+/* 732 */     MCD_OPC_Decode, 101, 1, // Opcode: DOTPU4_m1_rrr
+/* 735 */     MCD_OPC_FilterValue, 6, 3, 0, // Skip to: 742
+/* 739 */     MCD_OPC_Decode, 96, 1, // Opcode: DOTP2_m1_rrr
+/* 742 */     MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 750
+/* 746 */     MCD_OPC_Decode, 143, 1, 1, // Opcode: MPYLIR_m1_rrr
+/* 750 */     MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 758
+/* 754 */     MCD_OPC_Decode, 131, 1, 1, // Opcode: MPYHIR_m1_rrr
+/* 758 */     MCD_OPC_FilterValue, 9, 3, 0, // Skip to: 765
+/* 762 */     MCD_OPC_Decode, 62, 1, // Opcode: AVGU4_m1_rrr
+/* 765 */     MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 773
+/* 769 */     MCD_OPC_Decode, 132, 1, 24, // Opcode: MPYHI_m1_rrp
+/* 773 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 781
+/* 777 */     MCD_OPC_Decode, 227, 1, 1, // Opcode: SSHVR_m1_rrr
+/* 781 */     MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 789
+/* 785 */     MCD_OPC_Decode, 226, 1, 1, // Opcode: SSHVL_m1_rrr
+/* 789 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 797
+/* 793 */     MCD_OPC_Decode, 181, 1, 17, // Opcode: ROTL_m1_rir
+/* 797 */     MCD_OPC_FilterValue, 16, 3, 0, // Skip to: 804
+/* 801 */     MCD_OPC_Decode, 52, 1, // Opcode: ANDN_d2_rrr
+/* 804 */     MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 812
+/* 808 */     MCD_OPC_Decode, 166, 1, 1, // Opcode: OR_d2_rrr
+/* 812 */     MCD_OPC_FilterValue, 18, 3, 0, // Skip to: 819
+/* 816 */     MCD_OPC_Decode, 25, 1, // Opcode: ADD2_d2_rrr
+/* 819 */     MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 826
+/* 823 */     MCD_OPC_Decode, 56, 1, // Opcode: AND_d2_rrr
+/* 826 */     MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 833
+/* 830 */     MCD_OPC_Decode, 44, 1, // Opcode: ADD_d2_rrr
+/* 833 */     MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 841
+/* 837 */     MCD_OPC_Decode, 129, 2, 1, // Opcode: SUB_d2_rrr
+/* 841 */     MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 849
+/* 845 */     MCD_OPC_Decode, 145, 2, 1, // Opcode: XOR_d2_rrr
+/* 849 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 857
+/* 853 */     MCD_OPC_Decode, 183, 1, 1, // Opcode: SADD2_s4_rrr
+/* 857 */     MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 865
+/* 861 */     MCD_OPC_Decode, 222, 1, 1, // Opcode: SPACK2_s4_rrr
+/* 865 */     MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 873
+/* 869 */     MCD_OPC_Decode, 223, 1, 1, // Opcode: SPACKU4_s4_rrr
+/* 873 */     MCD_OPC_FilterValue, 27, 3, 0, // Skip to: 880
+/* 877 */     MCD_OPC_Decode, 54, 1, // Opcode: ANDN_s4_rrr
+/* 880 */     MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 888
+/* 884 */     MCD_OPC_Decode, 208, 1, 1, // Opcode: SHRU2_s4_rrr
+/* 888 */     MCD_OPC_FilterValue, 29, 49, 5, // Skip to: 2221
+/* 892 */     MCD_OPC_Decode, 206, 1, 1, // Opcode: SHRMB_s4_rrr
+/* 896 */     MCD_OPC_FilterValue, 13, 18, 0, // Skip to: 918
+/* 900 */     MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 903 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 911
+/* 907 */     MCD_OPC_Decode, 232, 1, 3, // Opcode: STB_d5_rm
+/* 911 */     MCD_OPC_FilterValue, 1, 26, 5, // Skip to: 2221
+/* 915 */     MCD_OPC_Decode, 121, 3, // Opcode: LDNW_d5_mr
+/* 918 */     MCD_OPC_FilterValue, 14, 98, 0, // Skip to: 1020
+/* 922 */     MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 925 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 932
+/* 929 */     MCD_OPC_Decode, 26, 1, // Opcode: ADD2_l1_rrr_x2
+/* 932 */     MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 939
+/* 936 */     MCD_OPC_Decode, 47, 25, // Opcode: ADD_l1_rpp
+/* 939 */     MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 946
+/* 943 */     MCD_OPC_Decode, 39, 25, // Opcode: ADDU_l1_rpp
+/* 946 */     MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 954
+/* 950 */     MCD_OPC_Decode, 188, 1, 25, // Opcode: SADD_l1_rpp
+/* 954 */     MCD_OPC_FilterValue, 16, 4, 0, // Skip to: 962
+/* 958 */     MCD_OPC_Decode, 128, 1, 1, // Opcode: MIN2_l1_rrr_x2
+/* 962 */     MCD_OPC_FilterValue, 17, 3, 0, // Skip to: 969
+/* 966 */     MCD_OPC_Decode, 84, 26, // Opcode: CMPGT_l1_rpr
+/* 969 */     MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 976
+/* 973 */     MCD_OPC_Decode, 108, 26, // Opcode: GMPGTU_l1_rpr
+/* 976 */     MCD_OPC_FilterValue, 20, 3, 0, // Skip to: 983
+/* 980 */     MCD_OPC_Decode, 78, 26, // Opcode: CMPEQ_l1_rpr
+/* 983 */     MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 990
+/* 987 */     MCD_OPC_Decode, 92, 26, // Opcode: CMPLT_l1_rpr
+/* 990 */     MCD_OPC_FilterValue, 23, 3, 0, // Skip to: 997
+/* 994 */     MCD_OPC_Decode, 88, 26, // Opcode: CMPLTU_l1_rpr
+/* 997 */     MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1005
+/* 1001 */    MCD_OPC_Decode, 195, 1, 1, // Opcode: SHLMB_l1_rrr_x2
+/* 1005 */    MCD_OPC_FilterValue, 25, 3, 0, // Skip to: 1012
+/* 1009 */    MCD_OPC_Decode, 28, 1, // Opcode: ADD4_l1_rrr_x2
+/* 1012 */    MCD_OPC_FilterValue, 26, 181, 4, // Skip to: 2221
+/* 1016 */    MCD_OPC_Decode, 175, 1, 1, // Opcode: PACKH4_l1_rrr_x2
+/* 1020 */    MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 1028
+/* 1024 */    MCD_OPC_Decode, 233, 1, 5, // Opcode: STB_d6_rm
+/* 1028 */    MCD_OPC_FilterValue, 16, 151, 0, // Skip to: 1183
+/* 1032 */    MCD_OPC_ExtractField, 7, 6,  // Inst{12-7} ...
+/* 1035 */    MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 1049
+/* 1039 */    MCD_OPC_CheckField, 18, 5, 0, 152, 4, // Skip to: 2221
+/* 1045 */    MCD_OPC_Decode, 160, 1, 27, // Opcode: MVK_d1_rr
+/* 1049 */    MCD_OPC_FilterValue, 16, 3, 0, // Skip to: 1056
+/* 1053 */    MCD_OPC_Decode, 42, 28, // Opcode: ADD_d1_rrr
+/* 1056 */    MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 1064
+/* 1060 */    MCD_OPC_Decode, 128, 2, 28, // Opcode: SUB_d1_rrr
+/* 1064 */    MCD_OPC_FilterValue, 18, 3, 0, // Skip to: 1071
+/* 1068 */    MCD_OPC_Decode, 41, 29, // Opcode: ADD_d1_rir
+/* 1071 */    MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 1079
+/* 1075 */    MCD_OPC_Decode, 255, 1, 29, // Opcode: SUB_d1_rir
+/* 1079 */    MCD_OPC_FilterValue, 48, 3, 0, // Skip to: 1086
+/* 1083 */    MCD_OPC_Decode, 30, 28, // Opcode: ADDAB_d1_rrr
+/* 1086 */    MCD_OPC_FilterValue, 49, 4, 0, // Skip to: 1094
+/* 1090 */    MCD_OPC_Decode, 247, 1, 28, // Opcode: SUBAB_d1_rrr
+/* 1094 */    MCD_OPC_FilterValue, 50, 3, 0, // Skip to: 1101
+/* 1098 */    MCD_OPC_Decode, 29, 29, // Opcode: ADDAB_d1_rir
+/* 1101 */    MCD_OPC_FilterValue, 51, 4, 0, // Skip to: 1109
+/* 1105 */    MCD_OPC_Decode, 246, 1, 29, // Opcode: SUBAB_d1_rir
+/* 1109 */    MCD_OPC_FilterValue, 52, 3, 0, // Skip to: 1116
+/* 1113 */    MCD_OPC_Decode, 34, 28, // Opcode: ADDAH_d1_rrr
+/* 1116 */    MCD_OPC_FilterValue, 53, 4, 0, // Skip to: 1124
+/* 1120 */    MCD_OPC_Decode, 249, 1, 28, // Opcode: SUBAH_d1_rrr
+/* 1124 */    MCD_OPC_FilterValue, 54, 3, 0, // Skip to: 1131
+/* 1128 */    MCD_OPC_Decode, 33, 29, // Opcode: ADDAH_d1_rir
+/* 1131 */    MCD_OPC_FilterValue, 55, 4, 0, // Skip to: 1139
+/* 1135 */    MCD_OPC_Decode, 248, 1, 29, // Opcode: SUBAH_d1_rir
+/* 1139 */    MCD_OPC_FilterValue, 56, 3, 0, // Skip to: 1146
+/* 1143 */    MCD_OPC_Decode, 36, 28, // Opcode: ADDAW_d1_rrr
+/* 1146 */    MCD_OPC_FilterValue, 57, 4, 0, // Skip to: 1154
+/* 1150 */    MCD_OPC_Decode, 251, 1, 28, // Opcode: SUBAW_d1_rrr
+/* 1154 */    MCD_OPC_FilterValue, 58, 3, 0, // Skip to: 1161
+/* 1158 */    MCD_OPC_Decode, 35, 29, // Opcode: ADDAW_d1_rir
+/* 1161 */    MCD_OPC_FilterValue, 59, 4, 0, // Skip to: 1169
+/* 1165 */    MCD_OPC_Decode, 250, 1, 29, // Opcode: SUBAW_d1_rir
+/* 1169 */    MCD_OPC_FilterValue, 60, 3, 0, // Skip to: 1176
+/* 1173 */    MCD_OPC_Decode, 32, 28, // Opcode: ADDAD_d1_rrr
+/* 1176 */    MCD_OPC_FilterValue, 61, 17, 4, // Skip to: 2221
+/* 1180 */    MCD_OPC_Decode, 31, 29, // Opcode: ADDAD_d1_rir
+/* 1183 */    MCD_OPC_FilterValue, 17, 18, 0, // Skip to: 1205
+/* 1187 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 1190 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1197
+/* 1194 */    MCD_OPC_Decode, 118, 3, // Opcode: LDH_d5_mr
+/* 1197 */    MCD_OPC_FilterValue, 1, 252, 3, // Skip to: 2221
+/* 1201 */    MCD_OPC_Decode, 234, 1, 30, // Opcode: STDW_d7_pm
+/* 1205 */    MCD_OPC_FilterValue, 18, 17, 0, // Skip to: 1226
+/* 1209 */    MCD_OPC_ExtractField, 7, 1,  // Inst{7} ...
+/* 1212 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1219
+/* 1216 */    MCD_OPC_Decode, 104, 4, // Opcode: EXT_s15_riir
+/* 1219 */    MCD_OPC_FilterValue, 1, 230, 3, // Skip to: 2221
+/* 1223 */    MCD_OPC_Decode, 72, 4, // Opcode: CLR_s15_riir
+/* 1226 */    MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 1233
+/* 1230 */    MCD_OPC_Decode, 119, 5, // Opcode: LDH_d6_mr
+/* 1233 */    MCD_OPC_FilterValue, 20, 3, 0, // Skip to: 1240
+/* 1237 */    MCD_OPC_Decode, 38, 23, // Opcode: ADDK_s2_ir
+/* 1240 */    MCD_OPC_FilterValue, 21, 19, 0, // Skip to: 1263
+/* 1244 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 1247 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1255
+/* 1251 */    MCD_OPC_Decode, 235, 1, 3, // Opcode: STH_d5_rm
+/* 1255 */    MCD_OPC_FilterValue, 1, 194, 3, // Skip to: 2221
+/* 1259 */    MCD_OPC_Decode, 238, 1, 3, // Opcode: STNW_d5_rm
+/* 1263 */    MCD_OPC_FilterValue, 22, 191, 0, // Skip to: 1458
+/* 1267 */    MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 1270 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1277
+/* 1274 */    MCD_OPC_Decode, 46, 2, // Opcode: ADD_l1_irr
+/* 1277 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1285
+/* 1281 */    MCD_OPC_Decode, 131, 2, 2, // Opcode: SUB_l1_irr
+/* 1285 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 1293
+/* 1289 */    MCD_OPC_Decode, 229, 1, 2, // Opcode: SSUB_l1_irr
+/* 1293 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1301
+/* 1297 */    MCD_OPC_Decode, 187, 1, 2, // Opcode: SADD_l1_irr
+/* 1301 */    MCD_OPC_FilterValue, 6, 49, 0, // Skip to: 1354
+/* 1305 */    MCD_OPC_ExtractField, 13, 5,  // Inst{17-13} ...
+/* 1308 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1315
+/* 1312 */    MCD_OPC_Decode, 24, 21, // Opcode: ABS_l1_rr
+/* 1315 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1323
+/* 1319 */    MCD_OPC_Decode, 139, 2, 21, // Opcode: SWAP4_l2_rr
+/* 1323 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1331
+/* 1327 */    MCD_OPC_Decode, 142, 2, 21, // Opcode: UNPKLU4_l2_rr
+/* 1331 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 1339
+/* 1335 */    MCD_OPC_Decode, 140, 2, 21, // Opcode: UNPKHU4_l2_rr
+/* 1339 */    MCD_OPC_FilterValue, 4, 3, 0, // Skip to: 1346
+/* 1343 */    MCD_OPC_Decode, 22, 21, // Opcode: ABS2_l2_rr
+/* 1346 */    MCD_OPC_FilterValue, 5, 103, 3, // Skip to: 2221
+/* 1350 */    MCD_OPC_Decode, 161, 1, 31, // Opcode: MVK_l2_ir
+/* 1354 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 1362
+/* 1358 */    MCD_OPC_Decode, 173, 1, 1, // Opcode: PACKH2_l1_rrr_x2
+/* 1362 */    MCD_OPC_FilterValue, 16, 3, 0, // Skip to: 1369
+/* 1366 */    MCD_OPC_Decode, 126, 1, // Opcode: MAX2_l1_rrr_x2
+/* 1369 */    MCD_OPC_FilterValue, 17, 3, 0, // Skip to: 1376
+/* 1373 */    MCD_OPC_Decode, 83, 2, // Opcode: CMPGT_l1_irr
+/* 1376 */    MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 1383
+/* 1380 */    MCD_OPC_Decode, 107, 17, // Opcode: GMPGTU_l1_irr
+/* 1383 */    MCD_OPC_FilterValue, 20, 3, 0, // Skip to: 1390
+/* 1387 */    MCD_OPC_Decode, 77, 2, // Opcode: CMPEQ_l1_irr
+/* 1390 */    MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 1397
+/* 1394 */    MCD_OPC_Decode, 91, 2, // Opcode: CMPLT_l1_irr
+/* 1397 */    MCD_OPC_FilterValue, 22, 4, 0, // Skip to: 1405
+/* 1401 */    MCD_OPC_Decode, 245, 1, 1, // Opcode: SUBABS4_l1_rrr_x2
+/* 1405 */    MCD_OPC_FilterValue, 23, 3, 0, // Skip to: 1412
+/* 1409 */    MCD_OPC_Decode, 87, 17, // Opcode: CMPLTU_l1_irr
+/* 1412 */    MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1420
+/* 1416 */    MCD_OPC_Decode, 205, 1, 1, // Opcode: SHRMB_l1_rrr_x2
+/* 1420 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 1428
+/* 1424 */    MCD_OPC_Decode, 244, 1, 1, // Opcode: SUB4_l1_rrr_x2
+/* 1428 */    MCD_OPC_FilterValue, 26, 3, 0, // Skip to: 1435
+/* 1432 */    MCD_OPC_Decode, 124, 2, // Opcode: LMBD_l1_irr
+/* 1435 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 1443
+/* 1439 */    MCD_OPC_Decode, 146, 2, 2, // Opcode: XOR_l1_irr
+/* 1443 */    MCD_OPC_FilterValue, 30, 3, 0, // Skip to: 1450
+/* 1447 */    MCD_OPC_Decode, 57, 2, // Opcode: AND_l1_irr
+/* 1450 */    MCD_OPC_FilterValue, 31, 255, 2, // Skip to: 2221
+/* 1454 */    MCD_OPC_Decode, 167, 1, 2, // Opcode: OR_l1_irr
+/* 1458 */    MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 1466
+/* 1462 */    MCD_OPC_Decode, 236, 1, 5, // Opcode: STH_d6_rm
+/* 1466 */    MCD_OPC_FilterValue, 24, 6, 1, // Skip to: 1732
+/* 1470 */    MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 1473 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1480
+/* 1477 */    MCD_OPC_Decode, 27, 1, // Opcode: ADD2_s1_rrr
+/* 1480 */    MCD_OPC_FilterValue, 1, 19, 0, // Skip to: 1503
+/* 1484 */    MCD_OPC_ExtractField, 12, 16,  // Inst{27-12} ...
+/* 1487 */    MCD_OPC_FilterValue, 128, 3, 3, 0, // Skip to: 1495
+/* 1492 */    MCD_OPC_Decode, 70, 32, // Opcode: B_s7_irp
+/* 1495 */    MCD_OPC_FilterValue, 192, 3, 209, 2, // Skip to: 2221
+/* 1500 */    MCD_OPC_Decode, 71, 32, // Opcode: B_s7_nrp
+/* 1503 */    MCD_OPC_FilterValue, 2, 9, 0, // Skip to: 1516
+/* 1507 */    MCD_OPC_CheckField, 12, 1, 0, 196, 2, // Skip to: 2221
+/* 1513 */    MCD_OPC_Decode, 37, 33, // Opcode: ADDKPC_s3_iir
+/* 1516 */    MCD_OPC_FilterValue, 3, 3, 0, // Skip to: 1523
+/* 1520 */    MCD_OPC_Decode, 51, 1, // Opcode: ADD_s1_rrr
+/* 1523 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 1531
+/* 1527 */    MCD_OPC_Decode, 174, 1, 1, // Opcode: PACKH2_s1_rrr
+/* 1531 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 1539
+/* 1535 */    MCD_OPC_Decode, 149, 2, 1, // Opcode: XOR_s1_rrr
+/* 1539 */    MCD_OPC_FilterValue, 6, 29, 0, // Skip to: 1572
+/* 1543 */    MCD_OPC_ExtractField, 23, 5,  // Inst{27-23} ...
+/* 1546 */    MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 1559
+/* 1550 */    MCD_OPC_CheckField, 13, 5, 0, 153, 2, // Skip to: 2221
+/* 1556 */    MCD_OPC_Decode, 69, 34, // Opcode: B_s6_r
+/* 1559 */    MCD_OPC_FilterValue, 1, 146, 2, // Skip to: 2221
+/* 1563 */    MCD_OPC_CheckField, 16, 2, 0, 140, 2, // Skip to: 2221
+/* 1569 */    MCD_OPC_Decode, 65, 35, // Opcode: BNOP_s10_ri
+/* 1572 */    MCD_OPC_FilterValue, 7, 10, 0, // Skip to: 1586
+/* 1576 */    MCD_OPC_CheckField, 13, 5, 0, 127, 2, // Skip to: 2221
+/* 1582 */    MCD_OPC_Decode, 155, 1, 36, // Opcode: MVC_s1_rr
+/* 1586 */    MCD_OPC_FilterValue, 8, 4, 0, // Skip to: 1594
+/* 1590 */    MCD_OPC_Decode, 243, 1, 1, // Opcode: SUB2_s1_rrr
+/* 1594 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 1602
+/* 1598 */    MCD_OPC_Decode, 201, 1, 37, // Opcode: SHL_s1_rrp
+/* 1602 */    MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 1609
+/* 1606 */    MCD_OPC_Decode, 81, 1, // Opcode: CMPGTU4_s1_rrr
+/* 1609 */    MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 1617
+/* 1613 */    MCD_OPC_Decode, 137, 2, 1, // Opcode: SUB_s1_rrr
+/* 1617 */    MCD_OPC_FilterValue, 12, 4, 0, // Skip to: 1625
+/* 1621 */    MCD_OPC_Decode, 207, 1, 17, // Opcode: SHRU2_s1_rir
+/* 1625 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 1633
+/* 1629 */    MCD_OPC_Decode, 170, 1, 1, // Opcode: OR_s1_rrr
+/* 1633 */    MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 1640
+/* 1637 */    MCD_OPC_Decode, 74, 1, // Opcode: CMPEQ2_s1_rrr
+/* 1640 */    MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 1647
+/* 1644 */    MCD_OPC_Decode, 60, 1, // Opcode: AND_s1_rrr
+/* 1647 */    MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 1655
+/* 1651 */    MCD_OPC_Decode, 225, 1, 1, // Opcode: SSHL_s1_rrr
+/* 1655 */    MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 1663
+/* 1659 */    MCD_OPC_Decode, 210, 1, 38, // Opcode: SHRU_s1_prp
+/* 1663 */    MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 1671
+/* 1667 */    MCD_OPC_Decode, 212, 1, 1, // Opcode: SHRU_s1_rrr
+/* 1671 */    MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 1678
+/* 1675 */    MCD_OPC_Decode, 103, 1, // Opcode: EXTU_s1_rrr
+/* 1678 */    MCD_OPC_FilterValue, 23, 3, 0, // Skip to: 1685
+/* 1682 */    MCD_OPC_Decode, 105, 1, // Opcode: EXT_s1_rrr
+/* 1685 */    MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1693
+/* 1689 */    MCD_OPC_Decode, 198, 1, 25, // Opcode: SHL_s1_prp
+/* 1693 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 1701
+/* 1697 */    MCD_OPC_Decode, 202, 1, 39, // Opcode: SHL_s1_rrr
+/* 1701 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 1709
+/* 1705 */    MCD_OPC_Decode, 214, 1, 38, // Opcode: SHR_s1_prp
+/* 1709 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 1717
+/* 1713 */    MCD_OPC_Decode, 216, 1, 1, // Opcode: SHR_s1_rrr
+/* 1717 */    MCD_OPC_FilterValue, 29, 4, 0, // Skip to: 1725
+/* 1721 */    MCD_OPC_Decode, 193, 1, 1, // Opcode: SET_s1_rrr
+/* 1725 */    MCD_OPC_FilterValue, 31, 236, 1, // Skip to: 2221
+/* 1729 */    MCD_OPC_Decode, 73, 1, // Opcode: CLR_s1_rrr
+/* 1732 */    MCD_OPC_FilterValue, 25, 17, 0, // Skip to: 1753
+/* 1736 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 1739 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1746
+/* 1743 */    MCD_OPC_Decode, 122, 3, // Opcode: LDW_d5_mr
+/* 1746 */    MCD_OPC_FilterValue, 1, 215, 1, // Skip to: 2221
+/* 1750 */    MCD_OPC_Decode, 115, 30, // Opcode: LDDW_d7_mp
+/* 1753 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 1761
+/* 1757 */    MCD_OPC_Decode, 158, 1, 23, // Opcode: MVKLH_s12_ir
+/* 1761 */    MCD_OPC_FilterValue, 27, 3, 0, // Skip to: 1768
+/* 1765 */    MCD_OPC_Decode, 123, 5, // Opcode: LDW_d6_mr
+/* 1768 */    MCD_OPC_FilterValue, 28, 216, 0, // Skip to: 1988
+/* 1772 */    MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 1775 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1783
+/* 1779 */    MCD_OPC_Decode, 217, 1, 24, // Opcode: SMPY2_m1_rrp
+/* 1783 */    MCD_OPC_FilterValue, 1, 49, 0, // Skip to: 1836
+/* 1787 */    MCD_OPC_ExtractField, 13, 5,  // Inst{17-13} ...
+/* 1790 */    MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1798
+/* 1794 */    MCD_OPC_Decode, 151, 2, 21, // Opcode: XPND4_m2_rr
+/* 1798 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 1806
+/* 1802 */    MCD_OPC_Decode, 150, 2, 21, // Opcode: XPND2_m2_rr
+/* 1806 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 1814
+/* 1810 */    MCD_OPC_Decode, 157, 1, 21, // Opcode: MVD_m2_rr
+/* 1814 */    MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 1822
+/* 1818 */    MCD_OPC_Decode, 194, 1, 21, // Opcode: SHFL_m2_rr
+/* 1822 */    MCD_OPC_FilterValue, 29, 3, 0, // Skip to: 1829
+/* 1826 */    MCD_OPC_Decode, 94, 21, // Opcode: DEAL_m2_rr
+/* 1829 */    MCD_OPC_FilterValue, 30, 132, 1, // Skip to: 2221
+/* 1833 */    MCD_OPC_Decode, 64, 21, // Opcode: BITC4_m2_rr
+/* 1836 */    MCD_OPC_FilterValue, 2, 4, 0, // Skip to: 1844
+/* 1840 */    MCD_OPC_Decode, 147, 1, 24, // Opcode: MPYSU4_m1_rrp
+/* 1844 */    MCD_OPC_FilterValue, 3, 3, 0, // Skip to: 1851
+/* 1848 */    MCD_OPC_Decode, 98, 1, // Opcode: DOTPNRSU2_m1_rrr
+/* 1851 */    MCD_OPC_FilterValue, 4, 3, 0, // Skip to: 1858
+/* 1855 */    MCD_OPC_Decode, 97, 1, // Opcode: DOTPN2_m1_rrr
+/* 1858 */    MCD_OPC_FilterValue, 5, 3, 0, // Skip to: 1865
+/* 1862 */    MCD_OPC_Decode, 95, 24, // Opcode: DOTP2_m1_rrp
+/* 1865 */    MCD_OPC_FilterValue, 6, 3, 0, // Skip to: 1872
+/* 1869 */    MCD_OPC_Decode, 99, 1, // Opcode: DOTPRSU2_m1_rrr
+/* 1872 */    MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 1879
+/* 1876 */    MCD_OPC_Decode, 110, 1, // Opcode: GMPY4_m1_rrr
+/* 1879 */    MCD_OPC_FilterValue, 9, 3, 0, // Skip to: 1886
+/* 1883 */    MCD_OPC_Decode, 61, 1, // Opcode: AVG2_m1_rrr
+/* 1886 */    MCD_OPC_FilterValue, 10, 4, 0, // Skip to: 1894
+/* 1890 */    MCD_OPC_Decode, 144, 1, 24, // Opcode: MPYLI_m1_rrp
+/* 1894 */    MCD_OPC_FilterValue, 14, 4, 0, // Skip to: 1902
+/* 1898 */    MCD_OPC_Decode, 182, 1, 1, // Opcode: ROTL_m1_rrr
+/* 1902 */    MCD_OPC_FilterValue, 17, 4, 0, // Skip to: 1910
+/* 1906 */    MCD_OPC_Decode, 165, 1, 2, // Opcode: OR_d2_rir
+/* 1910 */    MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 1918
+/* 1914 */    MCD_OPC_Decode, 241, 1, 1, // Opcode: SUB2_d2_rrr
+/* 1918 */    MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 1925
+/* 1922 */    MCD_OPC_Decode, 55, 2, // Opcode: AND_d2_rir
+/* 1925 */    MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 1932
+/* 1929 */    MCD_OPC_Decode, 43, 2, // Opcode: ADD_d2_rir
+/* 1932 */    MCD_OPC_FilterValue, 23, 4, 0, // Skip to: 1940
+/* 1936 */    MCD_OPC_Decode, 144, 2, 2, // Opcode: XOR_d2_rir
+/* 1940 */    MCD_OPC_FilterValue, 24, 4, 0, // Skip to: 1948
+/* 1944 */    MCD_OPC_Decode, 185, 1, 1, // Opcode: SADDUS2_s4_rrr
+/* 1948 */    MCD_OPC_FilterValue, 25, 4, 0, // Skip to: 1956
+/* 1952 */    MCD_OPC_Decode, 184, 1, 1, // Opcode: SADDU4_s4_rrr
+/* 1956 */    MCD_OPC_FilterValue, 26, 4, 0, // Skip to: 1964
+/* 1960 */    MCD_OPC_Decode, 138, 2, 1, // Opcode: SUB_s4_rrr
+/* 1964 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 1972
+/* 1968 */    MCD_OPC_Decode, 204, 1, 1, // Opcode: SHR2_s4_rrr
+/* 1972 */    MCD_OPC_FilterValue, 28, 4, 0, // Skip to: 1980
+/* 1976 */    MCD_OPC_Decode, 196, 1, 1, // Opcode: SHLMB_s4_rrr
+/* 1980 */    MCD_OPC_FilterValue, 31, 237, 0, // Skip to: 2221
+/* 1984 */    MCD_OPC_Decode, 172, 1, 1, // Opcode: PACK2_s4_rrr
+/* 1988 */    MCD_OPC_FilterValue, 29, 19, 0, // Skip to: 2011
+/* 1992 */    MCD_OPC_ExtractField, 8, 1,  // Inst{8} ...
+/* 1995 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 2003
+/* 1999 */    MCD_OPC_Decode, 239, 1, 3, // Opcode: STW_d5_rm
+/* 2003 */    MCD_OPC_FilterValue, 1, 214, 0, // Skip to: 2221
+/* 2007 */    MCD_OPC_Decode, 237, 1, 22, // Opcode: STNDW_d8_pm
+/* 2011 */    MCD_OPC_FilterValue, 30, 198, 0, // Skip to: 2213
+/* 2015 */    MCD_OPC_ExtractField, 7, 5,  // Inst{11-7} ...
+/* 2018 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 2025
+/* 2022 */    MCD_OPC_Decode, 49, 1, // Opcode: ADD_l1_rrr_x2
+/* 2025 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 2033
+/* 2029 */    MCD_OPC_Decode, 135, 2, 1, // Opcode: SUB_l1_rrr_x2
+/* 2033 */    MCD_OPC_FilterValue, 3, 4, 0, // Skip to: 2041
+/* 2037 */    MCD_OPC_Decode, 231, 1, 1, // Opcode: SSUB_l1_rrr_x2
+/* 2041 */    MCD_OPC_FilterValue, 4, 4, 0, // Skip to: 2049
+/* 2045 */    MCD_OPC_Decode, 189, 1, 1, // Opcode: SADD_l1_rrr_x2
+/* 2049 */    MCD_OPC_FilterValue, 5, 4, 0, // Skip to: 2057
+/* 2053 */    MCD_OPC_Decode, 134, 2, 39, // Opcode: SUB_l1_rrr_x1
+/* 2057 */    MCD_OPC_FilterValue, 6, 4, 0, // Skip to: 2065
+/* 2061 */    MCD_OPC_Decode, 179, 1, 1, // Opcode: PACKLH2_l1_rrr_x2
+/* 2065 */    MCD_OPC_FilterValue, 7, 4, 0, // Skip to: 2073
+/* 2069 */    MCD_OPC_Decode, 230, 1, 39, // Opcode: SSUB_l1_rrr_x1
+/* 2073 */    MCD_OPC_FilterValue, 8, 3, 0, // Skip to: 2080
+/* 2077 */    MCD_OPC_Decode, 48, 24, // Opcode: ADD_l1_rrp_x2
+/* 2080 */    MCD_OPC_FilterValue, 9, 4, 0, // Skip to: 2088
+/* 2084 */    MCD_OPC_Decode, 133, 2, 24, // Opcode: SUB_l1_rrp_x2
+/* 2088 */    MCD_OPC_FilterValue, 10, 3, 0, // Skip to: 2095
+/* 2092 */    MCD_OPC_Decode, 40, 24, // Opcode: ADDU_l1_rrp_x2
+/* 2095 */    MCD_OPC_FilterValue, 11, 4, 0, // Skip to: 2103
+/* 2099 */    MCD_OPC_Decode, 254, 1, 24, // Opcode: SUBU_l1_rrp_x2
+/* 2103 */    MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 2111
+/* 2107 */    MCD_OPC_Decode, 132, 2, 37, // Opcode: SUB_l1_rrp_x1
+/* 2111 */    MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 2119
+/* 2115 */    MCD_OPC_Decode, 253, 1, 37, // Opcode: SUBU_l1_rrp_x1
+/* 2119 */    MCD_OPC_FilterValue, 16, 3, 0, // Skip to: 2126
+/* 2123 */    MCD_OPC_Decode, 127, 1, // Opcode: MAXU4_l1_rrr_x2
+/* 2126 */    MCD_OPC_FilterValue, 17, 3, 0, // Skip to: 2133
+/* 2130 */    MCD_OPC_Decode, 85, 1, // Opcode: CMPGT_l1_rrr_x2
+/* 2133 */    MCD_OPC_FilterValue, 18, 4, 0, // Skip to: 2141
+/* 2137 */    MCD_OPC_Decode, 252, 1, 1, // Opcode: SUBC_l1_rrr_x2
+/* 2141 */    MCD_OPC_FilterValue, 19, 3, 0, // Skip to: 2148
+/* 2145 */    MCD_OPC_Decode, 109, 1, // Opcode: GMPGTU_l1_rrr_x2
+/* 2148 */    MCD_OPC_FilterValue, 20, 3, 0, // Skip to: 2155
+/* 2152 */    MCD_OPC_Decode, 79, 1, // Opcode: CMPEQ_l1_rrr_x2
+/* 2155 */    MCD_OPC_FilterValue, 21, 3, 0, // Skip to: 2162
+/* 2159 */    MCD_OPC_Decode, 93, 1, // Opcode: CMPLT_l1_rrr_x2
+/* 2162 */    MCD_OPC_FilterValue, 23, 3, 0, // Skip to: 2169
+/* 2166 */    MCD_OPC_Decode, 89, 1, // Opcode: CMPLTU_l1_rrr_x2
+/* 2169 */    MCD_OPC_FilterValue, 24, 10, 0, // Skip to: 2183
+/* 2173 */    MCD_OPC_CheckField, 13, 5, 0, 42, 0, // Skip to: 2221
+/* 2179 */    MCD_OPC_Decode, 164, 1, 21, // Opcode: NORM_l1_rr
+/* 2183 */    MCD_OPC_FilterValue, 26, 3, 0, // Skip to: 2190
+/* 2187 */    MCD_OPC_Decode, 125, 1, // Opcode: LMBD_l1_rrr_x2
+/* 2190 */    MCD_OPC_FilterValue, 27, 4, 0, // Skip to: 2198
+/* 2194 */    MCD_OPC_Decode, 147, 2, 1, // Opcode: XOR_l1_rrr_x2
+/* 2198 */    MCD_OPC_FilterValue, 30, 3, 0, // Skip to: 2205
+/* 2202 */    MCD_OPC_Decode, 58, 1, // Opcode: AND_l1_rrr_x2
+/* 2205 */    MCD_OPC_FilterValue, 31, 12, 0, // Skip to: 2221
+/* 2209 */    MCD_OPC_Decode, 168, 1, 1, // Opcode: OR_l1_rrr_x2
+/* 2213 */    MCD_OPC_FilterValue, 31, 4, 0, // Skip to: 2221
+/* 2217 */    MCD_OPC_Decode, 240, 1, 5, // Opcode: STW_d6_rm
+/* 2221 */    MCD_OPC_Fail,
+  0
+};
+
+static bool checkDecoderPredicate(unsigned Idx, uint64_t Bits) {
+  return true;
+}
+
+#define DecodeToMCInst(fname,fieldname, InsnType) \
+static DecodeStatus fname(DecodeStatus S, unsigned Idx, InsnType insn, MCInst *MI, \
+                                   uint64_t Address, void *Decoder) { \
+  InsnType tmp; \
+  switch (Idx) { \
+  default: \
+  case 0: \
+    tmp = fieldname(insn, 13, 4); \
+    if (DecodeNop(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 1: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 2: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeScst5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 3: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 9, 14) << 1; \
+    if (DecodeMemOperand(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 4: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 8, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 5: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 7, 16); \
+    if (DecodeMemOperand2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 6: \
+    tmp = fieldname(insn, 7, 21); \
+    if (DecodePCRelScst21(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 7: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeScst5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 8: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 9: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 10: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeScst5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 11: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 12: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 13: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 10); \
+    if (DecodePCRelScst10(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 14: \
+    tmp = fieldname(insn, 16, 12); \
+    if (DecodePCRelScst12(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 3); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 15: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeControlRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 16: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 17: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 18: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 19: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 20: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 21: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 22: \
+    tmp = fieldname(insn, 24, 4); \
+    if (DecodeRegPair4(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 9, 15) << 1; \
+    if (DecodeMemOperandSc(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 23: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 7, 16); \
+    if (DecodeScst16(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 24: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 25: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 26: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 27: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeScst5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 28: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 29: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 30: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = 0; \
+    tmp |= fieldname(insn, 7, 1) << 0; \
+    tmp |= fieldname(insn, 9, 14) << 1; \
+    if (DecodeMemOperand(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 31: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeScst5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 32: \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 33: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 16, 7); \
+    if (DecodePCRelScst7(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 3); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 34: \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 35: \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 3); \
+    MCOperand_CreateImm0(MI, tmp); \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX1(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 36: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeControlRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 37: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 38: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeRegPair5(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX2(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  case 39: \
+    tmp = fieldname(insn, 23, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 18, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 13, 5); \
+    if (DecodeGPRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 12, 1); \
+    if (DecodeCrosspathX3(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 29, 3); \
+    if (DecodeCondRegister(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 28, 1); \
+    if (DecodeCondRegisterZero(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 1, 1); \
+    if (DecodeSide(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    tmp = fieldname(insn, 0, 1); \
+    if (DecodeParallel(MI, tmp, Address, Decoder) == MCDisassembler_Fail) return MCDisassembler_Fail; \
+    return S; \
+  } \
+}
+
+#define DecodeInstruction(fname, fieldname, decoder, InsnType) \
+static DecodeStatus fname(uint8_t DecodeTable[], MCInst *MI, \
+                                      InsnType insn, uint64_t Address, \
+                                      MCRegisterInfo *MRI, \
+                                      int feature) { \
+  uint64_t Bits = getFeatureBits(feature); \
+  uint8_t *Ptr = DecodeTable; \
+  uint32_t CurFieldValue = 0, ExpectedValue; \
+  DecodeStatus S = MCDisassembler_Success; \
+  unsigned Start, Len, NumToSkip, PIdx, Opc, DecodeIdx; \
+  InsnType Val, FieldValue, PositiveMask, NegativeMask; \
+  bool Pred, Fail; \
+  for (;;) { \
+    switch (*Ptr) { \
+    default: \
+      return MCDisassembler_Fail; \
+    case MCD_OPC_ExtractField: { \
+      Start = *++Ptr; \
+      Len = *++Ptr; \
+      ++Ptr; \
+      CurFieldValue = (uint32_t) fieldname(insn, Start, Len); \
+      break; \
+    } \
+    case MCD_OPC_FilterValue: { \
+      Val = (InsnType) decodeULEB128(++Ptr, &Len); \
+      Ptr += Len; \
+      NumToSkip = *Ptr++; \
+      NumToSkip |= (*Ptr++) << 8; \
+      if (Val != CurFieldValue) \
+        Ptr += NumToSkip; \
+      break; \
+    } \
+    case MCD_OPC_CheckField: { \
+      Start = *++Ptr; \
+      Len = *++Ptr; \
+      FieldValue = fieldname(insn, Start, Len); \
+      ExpectedValue = (uint32_t) decodeULEB128(++Ptr, &Len); \
+      Ptr += Len; \
+      NumToSkip = *Ptr++; \
+      NumToSkip |= (*Ptr++) << 8; \
+      if (ExpectedValue != FieldValue) \
+        Ptr += NumToSkip; \
+      break; \
+    } \
+    case MCD_OPC_CheckPredicate: { \
+      PIdx = (uint32_t) decodeULEB128(++Ptr, &Len); \
+      Ptr += Len; \
+      NumToSkip = *Ptr++; \
+      NumToSkip |= (*Ptr++) << 8; \
+      Pred = checkDecoderPredicate(PIdx, Bits); \
+      if (!Pred) \
+        Ptr += NumToSkip; \
+      (void)Pred; \
+      break; \
+    } \
+    case MCD_OPC_Decode: { \
+      Opc = (unsigned) decodeULEB128(++Ptr, &Len); \
+      Ptr += Len; \
+      DecodeIdx = (unsigned) decodeULEB128(Ptr, &Len); \
+      Ptr += Len; \
+      MCInst_setOpcode(MI, Opc); \
+      return decoder(S, DecodeIdx, insn, MI, Address, MRI); \
+    } \
+    case MCD_OPC_SoftFail: { \
+      PositiveMask = (InsnType) decodeULEB128(++Ptr, &Len); \
+      Ptr += Len; \
+      NegativeMask = (InsnType) decodeULEB128(Ptr, &Len); \
+      Ptr += Len; \
+      Fail = (insn & PositiveMask) || (~insn & NegativeMask); \
+      if (Fail) \
+        S = MCDisassembler_SoftFail; \
+      break; \
+    } \
+    case MCD_OPC_Fail: { \
+      return MCDisassembler_Fail; \
+    } \
+    } \
+  } \
+}
+
+FieldFromInstruction(fieldFromInstruction_4, uint32_t)
+DecodeToMCInst(decodeToMCInst_4, fieldFromInstruction_4, uint32_t)
+DecodeInstruction(decodeInstruction_4, fieldFromInstruction_4, decodeToMCInst_4, uint32_t)
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenInstrInfo.inc 4.0.2-3/arch/TMS320C64x/TMS320C64xGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenInstrInfo.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,298 @@
+/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
+|*                                                                            *|
+|*Target Instruction Enum Values                                              *|
+|*                                                                            *|
+|* Automatically generated file, do not edit!                                 *|
+|*                                                                            *|
+\*===----------------------------------------------------------------------===*/
+
+
+#ifdef GET_INSTRINFO_ENUM
+#undef GET_INSTRINFO_ENUM
+
+enum {
+  TMS320C64x_PHI	= 0,
+  TMS320C64x_INLINEASM	= 1,
+  TMS320C64x_CFI_INSTRUCTION	= 2,
+  TMS320C64x_EH_LABEL	= 3,
+  TMS320C64x_GC_LABEL	= 4,
+  TMS320C64x_KILL	= 5,
+  TMS320C64x_EXTRACT_SUBREG	= 6,
+  TMS320C64x_INSERT_SUBREG	= 7,
+  TMS320C64x_IMPLICIT_DEF	= 8,
+  TMS320C64x_SUBREG_TO_REG	= 9,
+  TMS320C64x_COPY_TO_REGCLASS	= 10,
+  TMS320C64x_DBG_VALUE	= 11,
+  TMS320C64x_REG_SEQUENCE	= 12,
+  TMS320C64x_COPY	= 13,
+  TMS320C64x_BUNDLE	= 14,
+  TMS320C64x_LIFETIME_START	= 15,
+  TMS320C64x_LIFETIME_END	= 16,
+  TMS320C64x_STACKMAP	= 17,
+  TMS320C64x_PATCHPOINT	= 18,
+  TMS320C64x_LOAD_STACK_GUARD	= 19,
+  TMS320C64x_STATEPOINT	= 20,
+  TMS320C64x_FRAME_ALLOC	= 21,
+  TMS320C64x_ABS2_l2_rr	= 22,
+  TMS320C64x_ABS_l1_pp	= 23,
+  TMS320C64x_ABS_l1_rr	= 24,
+  TMS320C64x_ADD2_d2_rrr	= 25,
+  TMS320C64x_ADD2_l1_rrr_x2	= 26,
+  TMS320C64x_ADD2_s1_rrr	= 27,
+  TMS320C64x_ADD4_l1_rrr_x2	= 28,
+  TMS320C64x_ADDAB_d1_rir	= 29,
+  TMS320C64x_ADDAB_d1_rrr	= 30,
+  TMS320C64x_ADDAD_d1_rir	= 31,
+  TMS320C64x_ADDAD_d1_rrr	= 32,
+  TMS320C64x_ADDAH_d1_rir	= 33,
+  TMS320C64x_ADDAH_d1_rrr	= 34,
+  TMS320C64x_ADDAW_d1_rir	= 35,
+  TMS320C64x_ADDAW_d1_rrr	= 36,
+  TMS320C64x_ADDKPC_s3_iir	= 37,
+  TMS320C64x_ADDK_s2_ir	= 38,
+  TMS320C64x_ADDU_l1_rpp	= 39,
+  TMS320C64x_ADDU_l1_rrp_x2	= 40,
+  TMS320C64x_ADD_d1_rir	= 41,
+  TMS320C64x_ADD_d1_rrr	= 42,
+  TMS320C64x_ADD_d2_rir	= 43,
+  TMS320C64x_ADD_d2_rrr	= 44,
+  TMS320C64x_ADD_l1_ipp	= 45,
+  TMS320C64x_ADD_l1_irr	= 46,
+  TMS320C64x_ADD_l1_rpp	= 47,
+  TMS320C64x_ADD_l1_rrp_x2	= 48,
+  TMS320C64x_ADD_l1_rrr_x2	= 49,
+  TMS320C64x_ADD_s1_irr	= 50,
+  TMS320C64x_ADD_s1_rrr	= 51,
+  TMS320C64x_ANDN_d2_rrr	= 52,
+  TMS320C64x_ANDN_l1_rrr_x2	= 53,
+  TMS320C64x_ANDN_s4_rrr	= 54,
+  TMS320C64x_AND_d2_rir	= 55,
+  TMS320C64x_AND_d2_rrr	= 56,
+  TMS320C64x_AND_l1_irr	= 57,
+  TMS320C64x_AND_l1_rrr_x2	= 58,
+  TMS320C64x_AND_s1_irr	= 59,
+  TMS320C64x_AND_s1_rrr	= 60,
+  TMS320C64x_AVG2_m1_rrr	= 61,
+  TMS320C64x_AVGU4_m1_rrr	= 62,
+  TMS320C64x_BDEC_s8_ir	= 63,
+  TMS320C64x_BITC4_m2_rr	= 64,
+  TMS320C64x_BNOP_s10_ri	= 65,
+  TMS320C64x_BNOP_s9_ii	= 66,
+  TMS320C64x_BPOS_s8_ir	= 67,
+  TMS320C64x_B_s5_i	= 68,
+  TMS320C64x_B_s6_r	= 69,
+  TMS320C64x_B_s7_irp	= 70,
+  TMS320C64x_B_s7_nrp	= 71,
+  TMS320C64x_CLR_s15_riir	= 72,
+  TMS320C64x_CLR_s1_rrr	= 73,
+  TMS320C64x_CMPEQ2_s1_rrr	= 74,
+  TMS320C64x_CMPEQ4_s1_rrr	= 75,
+  TMS320C64x_CMPEQ_l1_ipr	= 76,
+  TMS320C64x_CMPEQ_l1_irr	= 77,
+  TMS320C64x_CMPEQ_l1_rpr	= 78,
+  TMS320C64x_CMPEQ_l1_rrr_x2	= 79,
+  TMS320C64x_CMPGT2_s1_rrr	= 80,
+  TMS320C64x_CMPGTU4_s1_rrr	= 81,
+  TMS320C64x_CMPGT_l1_ipr	= 82,
+  TMS320C64x_CMPGT_l1_irr	= 83,
+  TMS320C64x_CMPGT_l1_rpr	= 84,
+  TMS320C64x_CMPGT_l1_rrr_x2	= 85,
+  TMS320C64x_CMPLTU_l1_ipr	= 86,
+  TMS320C64x_CMPLTU_l1_irr	= 87,
+  TMS320C64x_CMPLTU_l1_rpr	= 88,
+  TMS320C64x_CMPLTU_l1_rrr_x2	= 89,
+  TMS320C64x_CMPLT_l1_ipr	= 90,
+  TMS320C64x_CMPLT_l1_irr	= 91,
+  TMS320C64x_CMPLT_l1_rpr	= 92,
+  TMS320C64x_CMPLT_l1_rrr_x2	= 93,
+  TMS320C64x_DEAL_m2_rr	= 94,
+  TMS320C64x_DOTP2_m1_rrp	= 95,
+  TMS320C64x_DOTP2_m1_rrr	= 96,
+  TMS320C64x_DOTPN2_m1_rrr	= 97,
+  TMS320C64x_DOTPNRSU2_m1_rrr	= 98,
+  TMS320C64x_DOTPRSU2_m1_rrr	= 99,
+  TMS320C64x_DOTPSU4_m1_rrr	= 100,
+  TMS320C64x_DOTPU4_m1_rrr	= 101,
+  TMS320C64x_EXTU_s15_riir	= 102,
+  TMS320C64x_EXTU_s1_rrr	= 103,
+  TMS320C64x_EXT_s15_riir	= 104,
+  TMS320C64x_EXT_s1_rrr	= 105,
+  TMS320C64x_GMPGTU_l1_ipr	= 106,
+  TMS320C64x_GMPGTU_l1_irr	= 107,
+  TMS320C64x_GMPGTU_l1_rpr	= 108,
+  TMS320C64x_GMPGTU_l1_rrr_x2	= 109,
+  TMS320C64x_GMPY4_m1_rrr	= 110,
+  TMS320C64x_LDBU_d5_mr	= 111,
+  TMS320C64x_LDBU_d6_mr	= 112,
+  TMS320C64x_LDB_d5_mr	= 113,
+  TMS320C64x_LDB_d6_mr	= 114,
+  TMS320C64x_LDDW_d7_mp	= 115,
+  TMS320C64x_LDHU_d5_mr	= 116,
+  TMS320C64x_LDHU_d6_mr	= 117,
+  TMS320C64x_LDH_d5_mr	= 118,
+  TMS320C64x_LDH_d6_mr	= 119,
+  TMS320C64x_LDNDW_d8_mp	= 120,
+  TMS320C64x_LDNW_d5_mr	= 121,
+  TMS320C64x_LDW_d5_mr	= 122,
+  TMS320C64x_LDW_d6_mr	= 123,
+  TMS320C64x_LMBD_l1_irr	= 124,
+  TMS320C64x_LMBD_l1_rrr_x2	= 125,
+  TMS320C64x_MAX2_l1_rrr_x2	= 126,
+  TMS320C64x_MAXU4_l1_rrr_x2	= 127,
+  TMS320C64x_MIN2_l1_rrr_x2	= 128,
+  TMS320C64x_MINU4_l1_rrr_x2	= 129,
+  TMS320C64x_MPY2_m1_rrp	= 130,
+  TMS320C64x_MPYHIR_m1_rrr	= 131,
+  TMS320C64x_MPYHI_m1_rrp	= 132,
+  TMS320C64x_MPYHLU_m4_rrr	= 133,
+  TMS320C64x_MPYHL_m4_rrr	= 134,
+  TMS320C64x_MPYHSLU_m4_rrr	= 135,
+  TMS320C64x_MPYHSU_m4_rrr	= 136,
+  TMS320C64x_MPYHULS_m4_rrr	= 137,
+  TMS320C64x_MPYHUS_m4_rrr	= 138,
+  TMS320C64x_MPYHU_m4_rrr	= 139,
+  TMS320C64x_MPYH_m4_rrr	= 140,
+  TMS320C64x_MPYLHU_m4_rrr	= 141,
+  TMS320C64x_MPYLH_m4_rrr	= 142,
+  TMS320C64x_MPYLIR_m1_rrr	= 143,
+  TMS320C64x_MPYLI_m1_rrp	= 144,
+  TMS320C64x_MPYLSHU_m4_rrr	= 145,
+  TMS320C64x_MPYLUHS_m4_rrr	= 146,
+  TMS320C64x_MPYSU4_m1_rrp	= 147,
+  TMS320C64x_MPYSU_m4_irr	= 148,
+  TMS320C64x_MPYSU_m4_rrr	= 149,
+  TMS320C64x_MPYU4_m1_rrp	= 150,
+  TMS320C64x_MPYUS_m4_rrr	= 151,
+  TMS320C64x_MPYU_m4_rrr	= 152,
+  TMS320C64x_MPY_m4_irr	= 153,
+  TMS320C64x_MPY_m4_rrr	= 154,
+  TMS320C64x_MVC_s1_rr	= 155,
+  TMS320C64x_MVC_s1_rr2	= 156,
+  TMS320C64x_MVD_m2_rr	= 157,
+  TMS320C64x_MVKLH_s12_ir	= 158,
+  TMS320C64x_MVKL_s12_ir	= 159,
+  TMS320C64x_MVK_d1_rr	= 160,
+  TMS320C64x_MVK_l2_ir	= 161,
+  TMS320C64x_NOP_n	= 162,
+  TMS320C64x_NORM_l1_pr	= 163,
+  TMS320C64x_NORM_l1_rr	= 164,
+  TMS320C64x_OR_d2_rir	= 165,
+  TMS320C64x_OR_d2_rrr	= 166,
+  TMS320C64x_OR_l1_irr	= 167,
+  TMS320C64x_OR_l1_rrr_x2	= 168,
+  TMS320C64x_OR_s1_irr	= 169,
+  TMS320C64x_OR_s1_rrr	= 170,
+  TMS320C64x_PACK2_l1_rrr_x2	= 171,
+  TMS320C64x_PACK2_s4_rrr	= 172,
+  TMS320C64x_PACKH2_l1_rrr_x2	= 173,
+  TMS320C64x_PACKH2_s1_rrr	= 174,
+  TMS320C64x_PACKH4_l1_rrr_x2	= 175,
+  TMS320C64x_PACKHL2_l1_rrr_x2	= 176,
+  TMS320C64x_PACKHL2_s1_rrr	= 177,
+  TMS320C64x_PACKL4_l1_rrr_x2	= 178,
+  TMS320C64x_PACKLH2_l1_rrr_x2	= 179,
+  TMS320C64x_PACKLH2_s1_rrr	= 180,
+  TMS320C64x_ROTL_m1_rir	= 181,
+  TMS320C64x_ROTL_m1_rrr	= 182,
+  TMS320C64x_SADD2_s4_rrr	= 183,
+  TMS320C64x_SADDU4_s4_rrr	= 184,
+  TMS320C64x_SADDUS2_s4_rrr	= 185,
+  TMS320C64x_SADD_l1_ipp	= 186,
+  TMS320C64x_SADD_l1_irr	= 187,
+  TMS320C64x_SADD_l1_rpp	= 188,
+  TMS320C64x_SADD_l1_rrr_x2	= 189,
+  TMS320C64x_SADD_s1_rrr	= 190,
+  TMS320C64x_SAT_l1_pr	= 191,
+  TMS320C64x_SET_s15_riir	= 192,
+  TMS320C64x_SET_s1_rrr	= 193,
+  TMS320C64x_SHFL_m2_rr	= 194,
+  TMS320C64x_SHLMB_l1_rrr_x2	= 195,
+  TMS320C64x_SHLMB_s4_rrr	= 196,
+  TMS320C64x_SHL_s1_pip	= 197,
+  TMS320C64x_SHL_s1_prp	= 198,
+  TMS320C64x_SHL_s1_rip	= 199,
+  TMS320C64x_SHL_s1_rir	= 200,
+  TMS320C64x_SHL_s1_rrp	= 201,
+  TMS320C64x_SHL_s1_rrr	= 202,
+  TMS320C64x_SHR2_s1_rir	= 203,
+  TMS320C64x_SHR2_s4_rrr	= 204,
+  TMS320C64x_SHRMB_l1_rrr_x2	= 205,
+  TMS320C64x_SHRMB_s4_rrr	= 206,
+  TMS320C64x_SHRU2_s1_rir	= 207,
+  TMS320C64x_SHRU2_s4_rrr	= 208,
+  TMS320C64x_SHRU_s1_pip	= 209,
+  TMS320C64x_SHRU_s1_prp	= 210,
+  TMS320C64x_SHRU_s1_rir	= 211,
+  TMS320C64x_SHRU_s1_rrr	= 212,
+  TMS320C64x_SHR_s1_pip	= 213,
+  TMS320C64x_SHR_s1_prp	= 214,
+  TMS320C64x_SHR_s1_rir	= 215,
+  TMS320C64x_SHR_s1_rrr	= 216,
+  TMS320C64x_SMPY2_m1_rrp	= 217,
+  TMS320C64x_SMPYHL_m4_rrr	= 218,
+  TMS320C64x_SMPYH_m4_rrr	= 219,
+  TMS320C64x_SMPYLH_m4_rrr	= 220,
+  TMS320C64x_SMPY_m4_rrr	= 221,
+  TMS320C64x_SPACK2_s4_rrr	= 222,
+  TMS320C64x_SPACKU4_s4_rrr	= 223,
+  TMS320C64x_SSHL_s1_rir	= 224,
+  TMS320C64x_SSHL_s1_rrr	= 225,
+  TMS320C64x_SSHVL_m1_rrr	= 226,
+  TMS320C64x_SSHVR_m1_rrr	= 227,
+  TMS320C64x_SSUB_l1_ipp	= 228,
+  TMS320C64x_SSUB_l1_irr	= 229,
+  TMS320C64x_SSUB_l1_rrr_x1	= 230,
+  TMS320C64x_SSUB_l1_rrr_x2	= 231,
+  TMS320C64x_STB_d5_rm	= 232,
+  TMS320C64x_STB_d6_rm	= 233,
+  TMS320C64x_STDW_d7_pm	= 234,
+  TMS320C64x_STH_d5_rm	= 235,
+  TMS320C64x_STH_d6_rm	= 236,
+  TMS320C64x_STNDW_d8_pm	= 237,
+  TMS320C64x_STNW_d5_rm	= 238,
+  TMS320C64x_STW_d5_rm	= 239,
+  TMS320C64x_STW_d6_rm	= 240,
+  TMS320C64x_SUB2_d2_rrr	= 241,
+  TMS320C64x_SUB2_l1_rrr_x2	= 242,
+  TMS320C64x_SUB2_s1_rrr	= 243,
+  TMS320C64x_SUB4_l1_rrr_x2	= 244,
+  TMS320C64x_SUBABS4_l1_rrr_x2	= 245,
+  TMS320C64x_SUBAB_d1_rir	= 246,
+  TMS320C64x_SUBAB_d1_rrr	= 247,
+  TMS320C64x_SUBAH_d1_rir	= 248,
+  TMS320C64x_SUBAH_d1_rrr	= 249,
+  TMS320C64x_SUBAW_d1_rir	= 250,
+  TMS320C64x_SUBAW_d1_rrr	= 251,
+  TMS320C64x_SUBC_l1_rrr_x2	= 252,
+  TMS320C64x_SUBU_l1_rrp_x1	= 253,
+  TMS320C64x_SUBU_l1_rrp_x2	= 254,
+  TMS320C64x_SUB_d1_rir	= 255,
+  TMS320C64x_SUB_d1_rrr	= 256,
+  TMS320C64x_SUB_d2_rrr	= 257,
+  TMS320C64x_SUB_l1_ipp	= 258,
+  TMS320C64x_SUB_l1_irr	= 259,
+  TMS320C64x_SUB_l1_rrp_x1	= 260,
+  TMS320C64x_SUB_l1_rrp_x2	= 261,
+  TMS320C64x_SUB_l1_rrr_x1	= 262,
+  TMS320C64x_SUB_l1_rrr_x2	= 263,
+  TMS320C64x_SUB_s1_irr	= 264,
+  TMS320C64x_SUB_s1_rrr	= 265,
+  TMS320C64x_SUB_s4_rrr	= 266,
+  TMS320C64x_SWAP4_l2_rr	= 267,
+  TMS320C64x_UNPKHU4_l2_rr	= 268,
+  TMS320C64x_UNPKHU4_s14_rr	= 269,
+  TMS320C64x_UNPKLU4_l2_rr	= 270,
+  TMS320C64x_UNPKLU4_s14_rr	= 271,
+  TMS320C64x_XOR_d2_rir	= 272,
+  TMS320C64x_XOR_d2_rrr	= 273,
+  TMS320C64x_XOR_l1_irr	= 274,
+  TMS320C64x_XOR_l1_rrr_x2	= 275,
+  TMS320C64x_XOR_s1_irr	= 276,
+  TMS320C64x_XOR_s1_rrr	= 277,
+  TMS320C64x_XPND2_m2_rr	= 278,
+  TMS320C64x_XPND4_m2_rr	= 279,
+  TMS320C64x_INSTRUCTION_LIST_END = 280
+};
+
+#endif // GET_INSTRINFO_ENUM
+
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenRegisterInfo.inc 4.0.2-3/arch/TMS320C64x/TMS320C64xGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xGenRegisterInfo.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,278 @@
+/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
+|*                                                                            *|
+|*Target Register Enum Values                                                 *|
+|*                                                                            *|
+|* Automatically generated file, do not edit!                                 *|
+|*                                                                            *|
+\*===----------------------------------------------------------------------===*/
+
+
+#ifdef GET_REGINFO_ENUM
+#undef GET_REGINFO_ENUM
+
+enum {
+  TMS320C64x_NoRegister,
+  TMS320C64x_AMR = 1,
+  TMS320C64x_CSR = 2,
+  TMS320C64x_DIER = 3,
+  TMS320C64x_DNUM = 4,
+  TMS320C64x_ECR = 5,
+  TMS320C64x_GFPGFR = 6,
+  TMS320C64x_GPLYA = 7,
+  TMS320C64x_GPLYB = 8,
+  TMS320C64x_ICR = 9,
+  TMS320C64x_IER = 10,
+  TMS320C64x_IERR = 11,
+  TMS320C64x_ILC = 12,
+  TMS320C64x_IRP = 13,
+  TMS320C64x_ISR = 14,
+  TMS320C64x_ISTP = 15,
+  TMS320C64x_ITSR = 16,
+  TMS320C64x_NRP = 17,
+  TMS320C64x_NTSR = 18,
+  TMS320C64x_REP = 19,
+  TMS320C64x_RILC = 20,
+  TMS320C64x_SSR = 21,
+  TMS320C64x_TSCH = 22,
+  TMS320C64x_TSCL = 23,
+  TMS320C64x_TSR = 24,
+  TMS320C64x_A0 = 25,
+  TMS320C64x_A1 = 26,
+  TMS320C64x_A2 = 27,
+  TMS320C64x_A3 = 28,
+  TMS320C64x_A4 = 29,
+  TMS320C64x_A5 = 30,
+  TMS320C64x_A6 = 31,
+  TMS320C64x_A7 = 32,
+  TMS320C64x_A8 = 33,
+  TMS320C64x_A9 = 34,
+  TMS320C64x_A10 = 35,
+  TMS320C64x_A11 = 36,
+  TMS320C64x_A12 = 37,
+  TMS320C64x_A13 = 38,
+  TMS320C64x_A14 = 39,
+  TMS320C64x_A15 = 40,
+  TMS320C64x_A16 = 41,
+  TMS320C64x_A17 = 42,
+  TMS320C64x_A18 = 43,
+  TMS320C64x_A19 = 44,
+  TMS320C64x_A20 = 45,
+  TMS320C64x_A21 = 46,
+  TMS320C64x_A22 = 47,
+  TMS320C64x_A23 = 48,
+  TMS320C64x_A24 = 49,
+  TMS320C64x_A25 = 50,
+  TMS320C64x_A26 = 51,
+  TMS320C64x_A27 = 52,
+  TMS320C64x_A28 = 53,
+  TMS320C64x_A29 = 54,
+  TMS320C64x_A30 = 55,
+  TMS320C64x_A31 = 56,
+  TMS320C64x_B0 = 57,
+  TMS320C64x_B1 = 58,
+  TMS320C64x_B2 = 59,
+  TMS320C64x_B3 = 60,
+  TMS320C64x_B4 = 61,
+  TMS320C64x_B5 = 62,
+  TMS320C64x_B6 = 63,
+  TMS320C64x_B7 = 64,
+  TMS320C64x_B8 = 65,
+  TMS320C64x_B9 = 66,
+  TMS320C64x_B10 = 67,
+  TMS320C64x_B11 = 68,
+  TMS320C64x_B12 = 69,
+  TMS320C64x_B13 = 70,
+  TMS320C64x_B14 = 71,
+  TMS320C64x_B15 = 72,
+  TMS320C64x_B16 = 73,
+  TMS320C64x_B17 = 74,
+  TMS320C64x_B18 = 75,
+  TMS320C64x_B19 = 76,
+  TMS320C64x_B20 = 77,
+  TMS320C64x_B21 = 78,
+  TMS320C64x_B22 = 79,
+  TMS320C64x_B23 = 80,
+  TMS320C64x_B24 = 81,
+  TMS320C64x_B25 = 82,
+  TMS320C64x_B26 = 83,
+  TMS320C64x_B27 = 84,
+  TMS320C64x_B28 = 85,
+  TMS320C64x_B29 = 86,
+  TMS320C64x_B30 = 87,
+  TMS320C64x_B31 = 88,
+  TMS320C64x_PCE1 = 89,
+  TMS320C64x_NUM_TARGET_REGS 	// 90
+};
+
+// Register classes
+enum {
+  TMS320C64x_GPRegsRegClassID = 0,
+  TMS320C64x_AFRegsRegClassID = 1,
+  TMS320C64x_BFRegsRegClassID = 2,
+  TMS320C64x_ControlRegsRegClassID = 3,
+
+  };
+#endif // GET_REGINFO_ENUM
+
+/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
+|*                                                                            *|
+|*MC Register Information                                                     *|
+|*                                                                            *|
+|* Automatically generated file, do not edit!                                 *|
+|*                                                                            *|
+\*===----------------------------------------------------------------------===*/
+
+
+#ifdef GET_REGINFO_MC_DESC
+#undef GET_REGINFO_MC_DESC
+
+static MCPhysReg TMS320C64xRegDiffLists[] = {
+  /* 0 */ 65535, 0,
+};
+
+static uint16_t TMS320C64xSubRegIdxLists[] = {
+  /* 0 */ 0,
+};
+
+static MCRegisterDesc TMS320C64xRegDesc[] = { // Descriptors
+  { 3, 0, 0, 0, 0 },
+  { 310, 1, 1, 0, 1 },
+  { 319, 1, 1, 0, 1 },
+  { 298, 1, 1, 0, 1 },
+  { 268, 1, 1, 0, 1 },
+  { 290, 1, 1, 0, 1 },
+  { 303, 1, 1, 0, 1 },
+  { 241, 1, 1, 0, 1 },
+  { 247, 1, 1, 0, 1 },
+  { 294, 1, 1, 0, 1 },
+  { 299, 1, 1, 0, 1 },
+  { 314, 1, 1, 0, 1 },
+  { 254, 1, 1, 0, 1 },
+  { 277, 1, 1, 0, 1 },
+  { 323, 1, 1, 0, 1 },
+  { 285, 1, 1, 0, 1 },
+  { 331, 1, 1, 0, 1 },
+  { 281, 1, 1, 0, 1 },
+  { 336, 1, 1, 0, 1 },
+  { 273, 1, 1, 0, 1 },
+  { 253, 1, 1, 0, 1 },
+  { 327, 1, 1, 0, 1 },
+  { 258, 1, 1, 0, 1 },
+  { 263, 1, 1, 0, 1 },
+  { 332, 1, 1, 0, 1 },
+  { 24, 1, 1, 0, 1 },
+  { 54, 1, 1, 0, 1 },
+  { 81, 1, 1, 0, 1 },
+  { 103, 1, 1, 0, 1 },
+  { 125, 1, 1, 0, 1 },
+  { 147, 1, 1, 0, 1 },
+  { 169, 1, 1, 0, 1 },
+  { 191, 1, 1, 0, 1 },
+  { 213, 1, 1, 0, 1 },
+  { 235, 1, 1, 0, 1 },
+  { 0, 1, 1, 0, 1 },
+  { 30, 1, 1, 0, 1 },
+  { 65, 1, 1, 0, 1 },
+  { 87, 1, 1, 0, 1 },
+  { 109, 1, 1, 0, 1 },
+  { 131, 1, 1, 0, 1 },
+  { 153, 1, 1, 0, 1 },
+  { 175, 1, 1, 0, 1 },
+  { 197, 1, 1, 0, 1 },
+  { 219, 1, 1, 0, 1 },
+  { 8, 1, 1, 0, 1 },
+  { 38, 1, 1, 0, 1 },
+  { 73, 1, 1, 0, 1 },
+  { 95, 1, 1, 0, 1 },
+  { 117, 1, 1, 0, 1 },
+  { 139, 1, 1, 0, 1 },
+  { 161, 1, 1, 0, 1 },
+  { 183, 1, 1, 0, 1 },
+  { 205, 1, 1, 0, 1 },
+  { 227, 1, 1, 0, 1 },
+  { 16, 1, 1, 0, 1 },
+  { 46, 1, 1, 0, 1 },
+  { 27, 1, 1, 0, 1 },
+  { 57, 1, 1, 0, 1 },
+  { 84, 1, 1, 0, 1 },
+  { 106, 1, 1, 0, 1 },
+  { 128, 1, 1, 0, 1 },
+  { 150, 1, 1, 0, 1 },
+  { 172, 1, 1, 0, 1 },
+  { 194, 1, 1, 0, 1 },
+  { 216, 1, 1, 0, 1 },
+  { 238, 1, 1, 0, 1 },
+  { 4, 1, 1, 0, 1 },
+  { 34, 1, 1, 0, 1 },
+  { 69, 1, 1, 0, 1 },
+  { 91, 1, 1, 0, 1 },
+  { 113, 1, 1, 0, 1 },
+  { 135, 1, 1, 0, 1 },
+  { 157, 1, 1, 0, 1 },
+  { 179, 1, 1, 0, 1 },
+  { 201, 1, 1, 0, 1 },
+  { 223, 1, 1, 0, 1 },
+  { 12, 1, 1, 0, 1 },
+  { 42, 1, 1, 0, 1 },
+  { 77, 1, 1, 0, 1 },
+  { 99, 1, 1, 0, 1 },
+  { 121, 1, 1, 0, 1 },
+  { 143, 1, 1, 0, 1 },
+  { 165, 1, 1, 0, 1 },
+  { 187, 1, 1, 0, 1 },
+  { 209, 1, 1, 0, 1 },
+  { 231, 1, 1, 0, 1 },
+  { 20, 1, 1, 0, 1 },
+  { 50, 1, 1, 0, 1 },
+  { 60, 1, 1, 0, 1 },
+};
+
+// GPRegs Register Class...
+static MCPhysReg GPRegs[] = {
+  TMS320C64x_A0, TMS320C64x_A1, TMS320C64x_A2, TMS320C64x_A3, TMS320C64x_A4, TMS320C64x_A5, TMS320C64x_A6, TMS320C64x_A7, TMS320C64x_A8, TMS320C64x_A9, TMS320C64x_A10, TMS320C64x_A11, TMS320C64x_A12, TMS320C64x_A13, TMS320C64x_A14, TMS320C64x_A15, TMS320C64x_A16, TMS320C64x_A17, TMS320C64x_A18, TMS320C64x_A19, TMS320C64x_A20, TMS320C64x_A21, TMS320C64x_A22, TMS320C64x_A23, TMS320C64x_A24, TMS320C64x_A25, TMS320C64x_A26, TMS320C64x_A27, TMS320C64x_A28, TMS320C64x_A29, TMS320C64x_A30, TMS320C64x_A31, TMS320C64x_B0, TMS320C64x_B1, TMS320C64x_B2, TMS320C64x_B3, TMS320C64x_B4, TMS320C64x_B5, TMS320C64x_B6, TMS320C64x_B7, TMS320C64x_B8, TMS320C64x_B9, TMS320C64x_B10, TMS320C64x_B11, TMS320C64x_B12, TMS320C64x_B13, TMS320C64x_B14, TMS320C64x_B15, TMS320C64x_B16, TMS320C64x_B17, TMS320C64x_B18, TMS320C64x_B19, TMS320C64x_B20, TMS320C64x_B21, TMS320C64x_B22, TMS320C64x_B23, TMS320C64x_B24, TMS320C64x_B25, TMS320C64x_B26, TMS320C64x_B27, TMS320C64x_B28, TMS320C64x_B29, TMS320C64x_B30, TMS320C64x_B31, 
+};
+
+// GPRegs Bit set.
+static uint8_t GPRegsBits[] = {
+  0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 
+};
+
+// AFRegs Register Class...
+static MCPhysReg AFRegs[] = {
+  TMS320C64x_A0, TMS320C64x_A1, TMS320C64x_A2, TMS320C64x_A3, TMS320C64x_A4, TMS320C64x_A5, TMS320C64x_A6, TMS320C64x_A7, TMS320C64x_A8, TMS320C64x_A9, TMS320C64x_A10, TMS320C64x_A11, TMS320C64x_A12, TMS320C64x_A13, TMS320C64x_A14, TMS320C64x_A15, TMS320C64x_A16, TMS320C64x_A17, TMS320C64x_A18, TMS320C64x_A19, TMS320C64x_A20, TMS320C64x_A21, TMS320C64x_A22, TMS320C64x_A23, TMS320C64x_A24, TMS320C64x_A25, TMS320C64x_A26, TMS320C64x_A27, TMS320C64x_A28, TMS320C64x_A29, TMS320C64x_A30, TMS320C64x_A31, 
+};
+
+// AFRegs Bit set.
+static uint8_t AFRegsBits[] = {
+  0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xff, 0x01, 
+};
+
+// BFRegs Register Class...
+static MCPhysReg BFRegs[] = {
+  TMS320C64x_B0, TMS320C64x_B1, TMS320C64x_B2, TMS320C64x_B3, TMS320C64x_B4, TMS320C64x_B5, TMS320C64x_B6, TMS320C64x_B7, TMS320C64x_B8, TMS320C64x_B9, TMS320C64x_B10, TMS320C64x_B11, TMS320C64x_B12, TMS320C64x_B13, TMS320C64x_B14, TMS320C64x_B15, TMS320C64x_B16, TMS320C64x_B17, TMS320C64x_B18, TMS320C64x_B19, TMS320C64x_B20, TMS320C64x_B21, TMS320C64x_B22, TMS320C64x_B23, TMS320C64x_B24, TMS320C64x_B25, TMS320C64x_B26, TMS320C64x_B27, TMS320C64x_B28, TMS320C64x_B29, TMS320C64x_B30, TMS320C64x_B31, 
+};
+
+// BFRegs Bit set.
+static uint8_t BFRegsBits[] = {
+  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xff, 0x01, 
+};
+
+// ControlRegs Register Class...
+static MCPhysReg ControlRegs[] = {
+  TMS320C64x_AMR, TMS320C64x_CSR, TMS320C64x_DIER, TMS320C64x_DNUM, TMS320C64x_ECR, TMS320C64x_GFPGFR, TMS320C64x_GPLYA, TMS320C64x_GPLYB, TMS320C64x_ICR, TMS320C64x_IER, TMS320C64x_IERR, TMS320C64x_ILC, TMS320C64x_IRP, TMS320C64x_ISR, TMS320C64x_ISTP, TMS320C64x_ITSR, TMS320C64x_NRP, TMS320C64x_NTSR, TMS320C64x_PCE1, TMS320C64x_REP, TMS320C64x_RILC, TMS320C64x_SSR, TMS320C64x_TSCH, TMS320C64x_TSCL, TMS320C64x_TSR, 
+};
+
+// ControlRegs Bit set.
+static uint8_t ControlRegsBits[] = {
+  0xfe, 0xff, 0xff, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 
+};
+
+static MCRegisterClass TMS320C64xMCRegisterClasses[] = {
+  { GPRegs, GPRegsBits, 64, sizeof(GPRegsBits), TMS320C64x_GPRegsRegClassID, 4, 4, 1, 1 },
+  { AFRegs, AFRegsBits, 32, sizeof(AFRegsBits), TMS320C64x_AFRegsRegClassID, 4, 4, 1, 1 },
+  { BFRegs, BFRegsBits, 32, sizeof(BFRegsBits), TMS320C64x_BFRegsRegClassID, 4, 4, 1, 1 },
+  { ControlRegs, ControlRegsBits, 25, sizeof(ControlRegsBits), TMS320C64x_ControlRegsRegClassID, 4, 4, 1, 1 },
+};
+
+#endif // GET_REGINFO_MC_DESC
+
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xInstPrinter.c 4.0.2-3/arch/TMS320C64x/TMS320C64xInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xInstPrinter.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,572 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifdef CAPSTONE_HAS_TMS320C64X
+
+#ifdef _MSC_VER
+// Disable security warnings for strcpy
+#ifndef _CRT_SECURE_NO_WARNINGS
+#define _CRT_SECURE_NO_WARNINGS
+#endif
+
+// Banned API Usage : strcpy is a Banned API as listed in dontuse.h for
+// security purposes.
+#pragma warning(disable:28719)
+#endif
+
+#include <ctype.h>
+#include <string.h>
+
+#include "TMS320C64xInstPrinter.h"
+#include "../../MCInst.h"
+#include "../../utils.h"
+#include "../../SStream.h"
+#include "../../MCRegisterInfo.h"
+#include "../../MathExtras.h"
+#include "TMS320C64xMapping.h"
+
+#include "capstone/tms320c64x.h"
+
+static char *getRegisterName(unsigned RegNo);
+static void printOperand(MCInst *MI, unsigned OpNo, SStream *O);
+static void printMemOperand(MCInst *MI, unsigned OpNo, SStream *O);
+static void printMemOperand2(MCInst *MI, unsigned OpNo, SStream *O);
+static void printRegPair(MCInst *MI, unsigned OpNo, SStream *O);
+
+void TMS320C64x_post_printer(csh ud, cs_insn *insn, char *insn_asm, MCInst *mci)
+{
+	SStream ss;
+	char *p, *p2, tmp[8];
+	unsigned int unit = 0;
+	int i;
+	cs_tms320c64x *tms320c64x;
+
+	if (mci->csh->detail) {
+		tms320c64x = &mci->flat_insn->detail->tms320c64x;
+
+		for (i = 0; i < insn->detail->groups_count; i++) {
+			switch(insn->detail->groups[i]) {
+				case TMS320C64X_GRP_FUNIT_D:
+					unit = TMS320C64X_FUNIT_D;
+					break;
+				case TMS320C64X_GRP_FUNIT_L:
+					unit = TMS320C64X_FUNIT_L;
+					break;
+				case TMS320C64X_GRP_FUNIT_M:
+					unit = TMS320C64X_FUNIT_M;
+					break;
+				case TMS320C64X_GRP_FUNIT_S:
+					unit = TMS320C64X_FUNIT_S;
+					break;
+				case TMS320C64X_GRP_FUNIT_NO:
+					unit = TMS320C64X_FUNIT_NO;
+					break;
+			}
+			if (unit != 0)
+				break;
+		}
+		tms320c64x->funit.unit = unit;
+
+		SStream_Init(&ss);
+		if (tms320c64x->condition.reg != TMS320C64X_REG_INVALID)
+			SStream_concat(&ss, "[%c%s]|", (tms320c64x->condition.zero == 1) ? '!' : '|', cs_reg_name(ud, tms320c64x->condition.reg));
+
+		p = strchr(insn_asm, '\t');
+		if (p != NULL)
+			*p++ = '\0';
+
+		SStream_concat0(&ss, insn_asm);
+		if ((p != NULL) && (((p2 = strchr(p, '[')) != NULL) || ((p2 = strchr(p, '(')) != NULL))) {
+			while ((p2 > p) && ((*p2 != 'a') && (*p2 != 'b')))
+				p2--;
+			if (p2 == p) {
+				strcpy(insn_asm, "Invalid!");
+				return;
+			}
+			if (*p2 == 'a')
+				strcpy(tmp, "1T");
+			else
+				strcpy(tmp, "2T");
+		} else {
+			tmp[0] = '\0';
+		}
+		switch(tms320c64x->funit.unit) {
+			case TMS320C64X_FUNIT_D:
+				SStream_concat(&ss, ".D%s%u", tmp, tms320c64x->funit.side);
+				break;
+			case TMS320C64X_FUNIT_L:
+				SStream_concat(&ss, ".L%s%u", tmp, tms320c64x->funit.side);
+				break;
+			case TMS320C64X_FUNIT_M:
+				SStream_concat(&ss, ".M%s%u", tmp, tms320c64x->funit.side);
+				break;
+			case TMS320C64X_FUNIT_S:
+				SStream_concat(&ss, ".S%s%u", tmp, tms320c64x->funit.side);
+				break;
+		}
+		if (tms320c64x->funit.crosspath > 0)
+			SStream_concat0(&ss, "X");
+
+		if (p != NULL)
+			SStream_concat(&ss, "\t%s", p);
+
+		if (tms320c64x->parallel != 0)
+			SStream_concat(&ss, "\t||");
+
+		/* insn_asm is a buffer from an SStream, so there should be enough space */
+		strcpy(insn_asm, ss.buffer);
+	}
+}
+
+#define PRINT_ALIAS_INSTR
+#include "TMS320C64xGenAsmWriter.inc"
+
+#define GET_INSTRINFO_ENUM
+#include "TMS320C64xGenInstrInfo.inc"
+
+static void printOperand(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	MCOperand *Op = MCInst_getOperand(MI, OpNo);
+	unsigned reg;
+
+	if (MCOperand_isReg(Op)) {
+		reg = MCOperand_getReg(Op);
+		if ((MCInst_getOpcode(MI) == TMS320C64x_MVC_s1_rr) && (OpNo == 1)) {
+			switch(reg) {
+				case TMS320C64X_REG_EFR:
+					SStream_concat0(O, "EFR");
+					break;
+				case TMS320C64X_REG_IFR:
+					SStream_concat0(O, "IFR");
+					break;
+				default:
+					SStream_concat0(O, getRegisterName(reg));
+					break;
+			}
+		} else {
+			SStream_concat0(O, getRegisterName(reg));
+		}
+
+		if (MI->csh->detail) {
+			MI->flat_insn->detail->tms320c64x.operands[MI->flat_insn->detail->tms320c64x.op_count].type = TMS320C64X_OP_REG;
+			MI->flat_insn->detail->tms320c64x.operands[MI->flat_insn->detail->tms320c64x.op_count].reg = reg;
+			MI->flat_insn->detail->tms320c64x.op_count++;
+		}
+	} else if (MCOperand_isImm(Op)) {
+		int64_t Imm = MCOperand_getImm(Op);
+
+		if (Imm >= 0) {
+			if (Imm > HEX_THRESHOLD)
+				SStream_concat(O, "0x%"PRIx64, Imm);
+			else
+				SStream_concat(O, "%"PRIu64, Imm);
+		} else {
+			if (Imm < -HEX_THRESHOLD)
+				SStream_concat(O, "-0x%"PRIx64, -Imm);
+			else
+				SStream_concat(O, "-%"PRIu64, -Imm);
+		}
+
+		if (MI->csh->detail) {
+			MI->flat_insn->detail->tms320c64x.operands[MI->flat_insn->detail->tms320c64x.op_count].type = TMS320C64X_OP_IMM;
+			MI->flat_insn->detail->tms320c64x.operands[MI->flat_insn->detail->tms320c64x.op_count].imm = Imm;
+			MI->flat_insn->detail->tms320c64x.op_count++;
+		}
+	}
+}
+
+static void printMemOperand(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	MCOperand *Op = MCInst_getOperand(MI, OpNo);
+	int64_t Val = MCOperand_getImm(Op);
+	unsigned scaled, base, offset, mode, unit;
+	cs_tms320c64x *tms320c64x;
+	char st, nd;
+
+	scaled = (Val >> 19) & 1;
+	base = (Val >> 12) & 0x7f;
+	offset = (Val >> 5) & 0x7f;
+	mode = (Val >> 1) & 0xf;
+	unit = Val & 1;
+
+	if (scaled) {
+		st = '[';
+		nd = ']';
+	} else {
+		st = '(';
+		nd = ')';
+	}
+
+	switch(mode) {
+		case 0:
+			SStream_concat(O, "*-%s%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 1:
+			SStream_concat(O, "*+%s%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 4:
+			SStream_concat(O, "*-%s%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+		case 5:
+			SStream_concat(O, "*+%s%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+		case 8:
+			SStream_concat(O, "*--%s%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 9:
+			SStream_concat(O, "*++%s%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 10:
+			SStream_concat(O, "*%s--%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 11:
+			SStream_concat(O, "*%s++%c%u%c", getRegisterName(base), st, offset, nd);
+			break;
+		case 12:
+			SStream_concat(O, "*--%s%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+		case 13:
+			SStream_concat(O, "*++%s%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+		case 14:
+			SStream_concat(O, "*%s--%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+		case 15:
+			SStream_concat(O, "*%s++%c%s%c", getRegisterName(base), st, getRegisterName(offset), nd);
+			break;
+	}
+
+	if (MI->csh->detail) {
+		tms320c64x = &MI->flat_insn->detail->tms320c64x;
+
+		tms320c64x->operands[tms320c64x->op_count].type = TMS320C64X_OP_MEM;
+		tms320c64x->operands[tms320c64x->op_count].mem.base = base;
+		tms320c64x->operands[tms320c64x->op_count].mem.disp = offset;
+		tms320c64x->operands[tms320c64x->op_count].mem.unit = unit + 1;
+		tms320c64x->operands[tms320c64x->op_count].mem.scaled = scaled;
+		switch(mode) {
+			case 0:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_NO;
+				break;
+			case 1:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_NO;
+				break;
+			case 4:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_NO;
+				break;
+			case 5:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_NO;
+				break;
+			case 8:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_PRE;
+				break;
+			case 9:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_PRE;
+				break;
+			case 10:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_POST;
+				break;
+			case 11:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_POST;
+				break;
+			case 12:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_PRE;
+				break;
+			case 13:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_PRE;
+				break;
+			case 14:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_BW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_POST;
+				break;
+			case 15:
+				tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_REGISTER;
+				tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+				tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_POST;
+				break;
+		}
+		tms320c64x->op_count++;
+	}
+}
+
+static void printMemOperand2(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	MCOperand *Op = MCInst_getOperand(MI, OpNo);
+	int64_t Val = MCOperand_getImm(Op);
+	uint16_t offset;
+	unsigned basereg;
+	cs_tms320c64x *tms320c64x;
+
+	basereg = Val & 0x7f;
+	offset = (Val >> 7) & 0x7fff;
+	SStream_concat(O, "*+%s[0x%x]", getRegisterName(basereg), offset);
+
+	if (MI->csh->detail) {
+		tms320c64x = &MI->flat_insn->detail->tms320c64x;
+
+		tms320c64x->operands[tms320c64x->op_count].type = TMS320C64X_OP_MEM;
+		tms320c64x->operands[tms320c64x->op_count].mem.base = basereg;
+		tms320c64x->operands[tms320c64x->op_count].mem.unit = 2;
+		tms320c64x->operands[tms320c64x->op_count].mem.disp = offset;
+		tms320c64x->operands[tms320c64x->op_count].mem.disptype = TMS320C64X_MEM_DISP_CONSTANT;
+		tms320c64x->operands[tms320c64x->op_count].mem.direction = TMS320C64X_MEM_DIR_FW;
+		tms320c64x->operands[tms320c64x->op_count].mem.modify = TMS320C64X_MEM_MOD_NO;
+		tms320c64x->op_count++;
+	}
+}
+
+static void printRegPair(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	MCOperand *Op = MCInst_getOperand(MI, OpNo);
+	unsigned reg = MCOperand_getReg(Op);
+	cs_tms320c64x *tms320c64x;
+
+	SStream_concat(O, "%s:%s", getRegisterName(reg + 1), getRegisterName(reg));
+
+	if (MI->csh->detail) {
+		tms320c64x = &MI->flat_insn->detail->tms320c64x;
+
+		tms320c64x->operands[tms320c64x->op_count].type = TMS320C64X_OP_REGPAIR;
+		tms320c64x->operands[tms320c64x->op_count].reg = reg;
+		tms320c64x->op_count++;
+	}
+}
+
+static bool printAliasInstruction(MCInst *MI, SStream *O, MCRegisterInfo *MRI)
+{
+	unsigned opcode = MCInst_getOpcode(MI);
+	MCOperand *op;
+
+	switch(opcode) {
+		/* ADD.Dx -i, x, y -> SUB.Dx x, i, y */
+		case TMS320C64x_ADD_d2_rir:
+		/* ADD.L -i, x, y -> SUB.L x, i, y */
+		case TMS320C64x_ADD_l1_irr:
+		case TMS320C64x_ADD_l1_ipp:
+		/* ADD.S -i, x, y -> SUB.S x, i, y */
+		case TMS320C64x_ADD_s1_irr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getImm(MCInst_getOperand(MI, 2)) < 0)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_SUB);
+				op = MCInst_getOperand(MI, 2);
+				MCOperand_setImm(op, -MCOperand_getImm(op));
+
+				SStream_concat0(O, "SUB\t");
+				printOperand(MI, 1, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 2, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* ADD.D 0, x, y -> MV.D x, y */
+		case TMS320C64x_ADD_d1_rir:
+		/* OR.D x, 0, y -> MV.D x, y */
+		case TMS320C64x_OR_d2_rir:
+		/* ADD.L 0, x, y -> MV.L x, y */
+		case TMS320C64x_ADD_l1_irr:
+		case TMS320C64x_ADD_l1_ipp:
+		/* OR.L 0, x, y -> MV.L x, y */
+		case TMS320C64x_OR_l1_irr:
+		/* ADD.S 0, x, y -> MV.S x, y */
+		case TMS320C64x_ADD_s1_irr:
+		/* OR.S 0, x, y -> MV.S x, y */
+		case TMS320C64x_OR_s1_irr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_MV);
+				MI->size--;
+
+				SStream_concat0(O, "MV\t");
+				printOperand(MI, 1, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* XOR.D -1, x, y -> NOT.D x, y */
+		case TMS320C64x_XOR_d2_rir:
+		/* XOR.L -1, x, y -> NOT.L x, y */
+		case TMS320C64x_XOR_l1_irr:
+		/* XOR.S -1, x, y -> NOT.S x, y */
+		case TMS320C64x_XOR_s1_irr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getImm(MCInst_getOperand(MI, 2)) == -1)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_NOT);
+				MI->size--;
+
+				SStream_concat0(O, "NOT\t");
+				printOperand(MI, 1, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* MVK.D 0, x -> ZERO.D x */
+		case TMS320C64x_MVK_d1_rr:
+		/* MVK.L 0, x -> ZERO.L x */
+		case TMS320C64x_MVK_l2_ir:
+			if ((MCInst_getNumOperands(MI) == 2) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 1)) &&
+				(MCOperand_getImm(MCInst_getOperand(MI, 1)) == 0)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_ZERO);
+				MI->size--;
+
+				SStream_concat0(O, "ZERO\t");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* SUB.L x, x, y -> ZERO.L y */
+		case TMS320C64x_SUB_l1_rrp_x1:
+		/* SUB.S x, x, y -> ZERO.S y */
+		case TMS320C64x_SUB_s1_rrr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 2)))) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_ZERO);
+				MI->size -= 2;
+
+				SStream_concat0(O, "ZERO\t");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* SUB.L 0, x, y -> NEG.L x, y */
+		case TMS320C64x_SUB_l1_irr:
+		case TMS320C64x_SUB_l1_ipp:
+		/* SUB.S 0, x, y -> NEG.S x, y */
+		case TMS320C64x_SUB_s1_irr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getImm(MCInst_getOperand(MI, 2)) == 0)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_NEG);
+				MI->size--;
+
+				SStream_concat0(O, "NEG\t");
+				printOperand(MI, 1, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* PACKLH2.L x, x, y -> SWAP2.L x, y */
+		case TMS320C64x_PACKLH2_l1_rrr_x2:
+		/* PACKLH2.S x, x, y -> SWAP2.S x, y */
+		case TMS320C64x_PACKLH2_s1_rrr:
+			if ((MCInst_getNumOperands(MI) == 3) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 0)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 1)) &&
+				MCOperand_isReg(MCInst_getOperand(MI, 2)) &&
+				(MCOperand_getReg(MCInst_getOperand(MI, 1)) == MCOperand_getReg(MCInst_getOperand(MI, 2)))) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_SWAP2);
+				MI->size--;
+
+				SStream_concat0(O, "SWAP2\t");
+				printOperand(MI, 1, O);
+				SStream_concat0(O, ", ");
+				printOperand(MI, 0, O);
+
+				return true;
+			}
+			break;
+	}
+	switch(opcode) {
+		/* NOP 16 -> IDLE */
+		/* NOP 1 -> NOP */
+		case TMS320C64x_NOP_n:
+			if ((MCInst_getNumOperands(MI) == 1) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
+				(MCOperand_getReg(MCInst_getOperand(MI, 0)) == 16)) {
+
+				MCInst_setOpcodePub(MI, TMS320C64X_INS_IDLE);
+				MI->size--;
+
+				SStream_concat0(O, "IDLE");
+
+				return true;
+			}
+			if ((MCInst_getNumOperands(MI) == 1) &&
+				MCOperand_isImm(MCInst_getOperand(MI, 0)) &&
+				(MCOperand_getReg(MCInst_getOperand(MI, 0)) == 1)) {
+
+				MI->size--;
+
+				SStream_concat0(O, "NOP");
+
+				return true;
+			}
+			break;
+	}
+
+	return false;
+}
+
+void TMS320C64x_printInst(MCInst *MI, SStream *O, void *Info)
+{
+	if (!printAliasInstruction(MI, O, Info))
+		printInstruction(MI, O, Info);
+}
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xInstPrinter.h 4.0.2-3/arch/TMS320C64x/TMS320C64xInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xInstPrinter.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,15 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifndef CS_TMS320C64XINSTPRINTER_H
+#define CS_TMS320C64XINSTPRINTER_H
+
+#include "../../MCInst.h"
+#include "../../MCRegisterInfo.h"
+#include "../../SStream.h"
+
+void TMS320C64x_printInst(MCInst *MI, SStream *O, void *Info);
+
+void TMS320C64x_post_printer(csh ud, cs_insn *insn, char *insn_asm, MCInst *mci);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xMapping.c 4.0.2-3/arch/TMS320C64x/TMS320C64xMapping.c
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xMapping.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1926 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifdef CAPSTONE_HAS_TMS320C64X
+
+#include <stdio.h>	// debug
+#include <string.h>
+
+#include "../../utils.h"
+
+#include "TMS320C64xMapping.h"
+
+#define GET_INSTRINFO_ENUM
+#include "TMS320C64xGenInstrInfo.inc"
+
+static name_map reg_name_maps[] = {
+	{ TMS320C64X_REG_INVALID, NULL },
+
+	{ TMS320C64X_REG_AMR, "amr" },
+	{ TMS320C64X_REG_CSR, "csr" },
+	{ TMS320C64X_REG_DIER, "dier" },
+	{ TMS320C64X_REG_DNUM, "dnum" },
+	{ TMS320C64X_REG_ECR, "ecr" },
+	{ TMS320C64X_REG_GFPGFR, "gfpgfr" },
+	{ TMS320C64X_REG_GPLYA, "gplya" },
+	{ TMS320C64X_REG_GPLYB, "gplyb" },
+	{ TMS320C64X_REG_ICR, "icr" },
+	{ TMS320C64X_REG_IER, "ier" },
+	{ TMS320C64X_REG_IERR, "ierr" },
+	{ TMS320C64X_REG_ILC, "ilc" },
+	{ TMS320C64X_REG_IRP, "irp" },
+	{ TMS320C64X_REG_ISR, "isr" },
+	{ TMS320C64X_REG_ISTP, "istp" },
+	{ TMS320C64X_REG_ITSR, "itsr" },
+	{ TMS320C64X_REG_NRP, "nrp" },
+	{ TMS320C64X_REG_NTSR, "ntsr" },
+	{ TMS320C64X_REG_REP, "rep" },
+	{ TMS320C64X_REG_RILC, "rilc" },
+	{ TMS320C64X_REG_SSR, "ssr" },
+	{ TMS320C64X_REG_TSCH, "tsch" },
+	{ TMS320C64X_REG_TSCL, "tscl" },
+	{ TMS320C64X_REG_TSR, "tsr" },
+	{ TMS320C64X_REG_A0, "a0" },
+	{ TMS320C64X_REG_A1, "a1" },
+	{ TMS320C64X_REG_A2, "a2" },
+	{ TMS320C64X_REG_A3, "a3" },
+	{ TMS320C64X_REG_A4, "a4" },
+	{ TMS320C64X_REG_A5, "a5" },
+	{ TMS320C64X_REG_A6, "a6" },
+	{ TMS320C64X_REG_A7, "a7" },
+	{ TMS320C64X_REG_A8, "a8" },
+	{ TMS320C64X_REG_A9, "a9" },
+	{ TMS320C64X_REG_A10, "a10" },
+	{ TMS320C64X_REG_A11, "a11" },
+	{ TMS320C64X_REG_A12, "a12" },
+	{ TMS320C64X_REG_A13, "a13" },
+	{ TMS320C64X_REG_A14, "a14" },
+	{ TMS320C64X_REG_A15, "a15" },
+	{ TMS320C64X_REG_A16, "a16" },
+	{ TMS320C64X_REG_A17, "a17" },
+	{ TMS320C64X_REG_A18, "a18" },
+	{ TMS320C64X_REG_A19, "a19" },
+	{ TMS320C64X_REG_A20, "a20" },
+	{ TMS320C64X_REG_A21, "a21" },
+	{ TMS320C64X_REG_A22, "a22" },
+	{ TMS320C64X_REG_A23, "a23" },
+	{ TMS320C64X_REG_A24, "a24" },
+	{ TMS320C64X_REG_A25, "a25" },
+	{ TMS320C64X_REG_A26, "a26" },
+	{ TMS320C64X_REG_A27, "a27" },
+	{ TMS320C64X_REG_A28, "a28" },
+	{ TMS320C64X_REG_A29, "a29" },
+	{ TMS320C64X_REG_A30, "a30" },
+	{ TMS320C64X_REG_A31, "a31" },
+	{ TMS320C64X_REG_B0, "b0" },
+	{ TMS320C64X_REG_B1, "b1" },
+	{ TMS320C64X_REG_B2, "b2" },
+	{ TMS320C64X_REG_B3, "b3" },
+	{ TMS320C64X_REG_B4, "b4" },
+	{ TMS320C64X_REG_B5, "b5" },
+	{ TMS320C64X_REG_B6, "b6" },
+	{ TMS320C64X_REG_B7, "b7" },
+	{ TMS320C64X_REG_B8, "b8" },
+	{ TMS320C64X_REG_B9, "b9" },
+	{ TMS320C64X_REG_B10, "b10" },
+	{ TMS320C64X_REG_B11, "b11" },
+	{ TMS320C64X_REG_B12, "b12" },
+	{ TMS320C64X_REG_B13, "b13" },
+	{ TMS320C64X_REG_B14, "b14" },
+	{ TMS320C64X_REG_B15, "b15" },
+	{ TMS320C64X_REG_B16, "b16" },
+	{ TMS320C64X_REG_B17, "b17" },
+	{ TMS320C64X_REG_B18, "b18" },
+	{ TMS320C64X_REG_B19, "b19" },
+	{ TMS320C64X_REG_B20, "b20" },
+	{ TMS320C64X_REG_B21, "b21" },
+	{ TMS320C64X_REG_B22, "b22" },
+	{ TMS320C64X_REG_B23, "b23" },
+	{ TMS320C64X_REG_B24, "b24" },
+	{ TMS320C64X_REG_B25, "b25" },
+	{ TMS320C64X_REG_B26, "b26" },
+	{ TMS320C64X_REG_B27, "b27" },
+	{ TMS320C64X_REG_B28, "b28" },
+	{ TMS320C64X_REG_B29, "b29" },
+	{ TMS320C64X_REG_B30, "b30" },
+	{ TMS320C64X_REG_B31, "b31" },
+	{ TMS320C64X_REG_PCE1, "pce1" },
+};
+
+const char *TMS320C64x_reg_name(csh handle, unsigned int reg)
+{
+#ifndef CAPSTONE_DIET
+	if (reg >= ARR_SIZE(reg_name_maps))
+		return NULL;
+
+	return reg_name_maps[reg].name;
+#else
+	return NULL;
+#endif
+}
+
+tms320c64x_reg TMS320C64x_reg_id(char *name)
+{
+	int i;
+
+	for(i = 1; i < ARR_SIZE(reg_name_maps); i++) {
+		if (!strcmp(name, reg_name_maps[i].name))
+			return reg_name_maps[i].id;
+	}
+
+	return 0;
+}
+
+static insn_map insns[] = {
+	{
+		0, 0,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+	},
+
+	{
+		TMS320C64x_ABS2_l2_rr, TMS320C64X_INS_ABS2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ABS_l1_pp, TMS320C64X_INS_ABS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ABS_l1_rr, TMS320C64X_INS_ABS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD2_d2_rrr, TMS320C64X_INS_ADD2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD2_l1_rrr_x2, TMS320C64X_INS_ADD2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD2_s1_rrr, TMS320C64X_INS_ADD2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD4_l1_rrr_x2, TMS320C64X_INS_ADD4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAB_d1_rir, TMS320C64X_INS_ADDAB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAB_d1_rrr, TMS320C64X_INS_ADDAB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAD_d1_rir, TMS320C64X_INS_ADDAD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAD_d1_rrr, TMS320C64X_INS_ADDAD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAH_d1_rir, TMS320C64X_INS_ADDAH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAH_d1_rrr, TMS320C64X_INS_ADDAH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAW_d1_rir, TMS320C64X_INS_ADDAW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDAW_d1_rrr, TMS320C64X_INS_ADDAW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDKPC_s3_iir, TMS320C64X_INS_ADDKPC,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDK_s2_ir, TMS320C64X_INS_ADDK,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDU_l1_rpp, TMS320C64X_INS_ADDU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADDU_l1_rrp_x2, TMS320C64X_INS_ADDU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_d1_rir, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_d1_rrr, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_d2_rir, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_d2_rrr, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_l1_ipp, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_l1_irr, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_l1_rpp, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_l1_rrp_x2, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_l1_rrr_x2, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_s1_irr, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ADD_s1_rrr, TMS320C64X_INS_ADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ANDN_d2_rrr, TMS320C64X_INS_ANDN,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ANDN_l1_rrr_x2, TMS320C64X_INS_ANDN,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ANDN_s4_rrr, TMS320C64X_INS_ANDN,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_d2_rir, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_d2_rrr, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_l1_irr, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_l1_rrr_x2, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_s1_irr, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AND_s1_rrr, TMS320C64X_INS_AND,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AVG2_m1_rrr, TMS320C64X_INS_AVG2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_AVGU4_m1_rrr, TMS320C64X_INS_AVGU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_BDEC_s8_ir, TMS320C64X_INS_BDEC,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_BITC4_m2_rr, TMS320C64X_INS_BITC4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_BNOP_s10_ri, TMS320C64X_INS_BNOP,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_BNOP_s9_ii, TMS320C64X_INS_BNOP,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_BPOS_s8_ir, TMS320C64X_INS_BPOS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_B_s5_i, TMS320C64X_INS_B,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_B_s6_r, TMS320C64X_INS_B,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_B_s7_irp, TMS320C64X_INS_B,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_B_s7_nrp, TMS320C64X_INS_B,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 1, 0
+#endif
+	},
+	{
+		TMS320C64x_CLR_s15_riir, TMS320C64X_INS_CLR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CLR_s1_rrr, TMS320C64X_INS_CLR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ2_s1_rrr, TMS320C64X_INS_CMPEQ2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ4_s1_rrr, TMS320C64X_INS_CMPEQ4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ_l1_ipr, TMS320C64X_INS_CMPEQ,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ_l1_irr, TMS320C64X_INS_CMPEQ,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ_l1_rpr, TMS320C64X_INS_CMPEQ,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPEQ_l1_rrr_x2, TMS320C64X_INS_CMPEQ,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGT2_s1_rrr, TMS320C64X_INS_CMPGT2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGTU4_s1_rrr, TMS320C64X_INS_CMPGTU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGT_l1_ipr, TMS320C64X_INS_CMPGT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGT_l1_irr, TMS320C64X_INS_CMPGT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGT_l1_rpr, TMS320C64X_INS_CMPGT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPGT_l1_rrr_x2, TMS320C64X_INS_CMPGT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLTU_l1_ipr, TMS320C64X_INS_CMPLTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLTU_l1_irr, TMS320C64X_INS_CMPLTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLTU_l1_rpr, TMS320C64X_INS_CMPLTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLTU_l1_rrr_x2, TMS320C64X_INS_CMPLTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLT_l1_ipr, TMS320C64X_INS_CMPLT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLT_l1_irr, TMS320C64X_INS_CMPLT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLT_l1_rpr, TMS320C64X_INS_CMPLT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_CMPLT_l1_rrr_x2, TMS320C64X_INS_CMPLT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DEAL_m2_rr, TMS320C64X_INS_DEAL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTP2_m1_rrp, TMS320C64X_INS_DOTP2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTP2_m1_rrr, TMS320C64X_INS_DOTP2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTPN2_m1_rrr, TMS320C64X_INS_DOTPN2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTPNRSU2_m1_rrr, TMS320C64X_INS_DOTPNRSU2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTPRSU2_m1_rrr, TMS320C64X_INS_DOTPRSU2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTPSU4_m1_rrr, TMS320C64X_INS_DOTPSU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_DOTPU4_m1_rrr, TMS320C64X_INS_DOTPU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_EXTU_s15_riir, TMS320C64X_INS_EXTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_EXTU_s1_rrr, TMS320C64X_INS_EXTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_EXT_s15_riir, TMS320C64X_INS_EXT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_EXT_s1_rrr, TMS320C64X_INS_EXT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_GMPGTU_l1_ipr, TMS320C64X_INS_GMPGTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_GMPGTU_l1_irr, TMS320C64X_INS_GMPGTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_GMPGTU_l1_rpr, TMS320C64X_INS_GMPGTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_GMPGTU_l1_rrr_x2, TMS320C64X_INS_GMPGTU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_GMPY4_m1_rrr, TMS320C64X_INS_GMPY4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDBU_d5_mr, TMS320C64X_INS_LDBU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDBU_d6_mr, TMS320C64X_INS_LDBU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDB_d5_mr, TMS320C64X_INS_LDB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDB_d6_mr, TMS320C64X_INS_LDB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDDW_d7_mp, TMS320C64X_INS_LDDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDHU_d5_mr, TMS320C64X_INS_LDHU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDHU_d6_mr, TMS320C64X_INS_LDHU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDH_d5_mr, TMS320C64X_INS_LDH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDH_d6_mr, TMS320C64X_INS_LDH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDNDW_d8_mp, TMS320C64X_INS_LDNDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDNW_d5_mr, TMS320C64X_INS_LDNW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDW_d5_mr, TMS320C64X_INS_LDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LDW_d6_mr, TMS320C64X_INS_LDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LMBD_l1_irr, TMS320C64X_INS_LMBD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_LMBD_l1_rrr_x2, TMS320C64X_INS_LMBD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MAX2_l1_rrr_x2, TMS320C64X_INS_MAX2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MAXU4_l1_rrr_x2, TMS320C64X_INS_MAXU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MIN2_l1_rrr_x2, TMS320C64X_INS_MIN2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MINU4_l1_rrr_x2, TMS320C64X_INS_MINU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPY2_m1_rrp, TMS320C64X_INS_MPY2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHIR_m1_rrr, TMS320C64X_INS_MPYHIR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHI_m1_rrp, TMS320C64X_INS_MPYHI,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHLU_m4_rrr, TMS320C64X_INS_MPYHLU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHL_m4_rrr, TMS320C64X_INS_MPYHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHSLU_m4_rrr, TMS320C64X_INS_MPYHSLU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHSU_m4_rrr, TMS320C64X_INS_MPYHSU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHULS_m4_rrr, TMS320C64X_INS_MPYHULS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHUS_m4_rrr, TMS320C64X_INS_MPYHUS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYHU_m4_rrr, TMS320C64X_INS_MPYHU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYH_m4_rrr, TMS320C64X_INS_MPYH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLHU_m4_rrr, TMS320C64X_INS_MPYLHU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLH_m4_rrr, TMS320C64X_INS_MPYLH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLIR_m1_rrr, TMS320C64X_INS_MPYLIR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLI_m1_rrp, TMS320C64X_INS_MPYLI,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLSHU_m4_rrr, TMS320C64X_INS_MPYLSHU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYLUHS_m4_rrr, TMS320C64X_INS_MPYLUHS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYSU4_m1_rrp, TMS320C64X_INS_MPYSU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYSU_m4_irr, TMS320C64X_INS_MPYSU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYSU_m4_rrr, TMS320C64X_INS_MPYSU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYU4_m1_rrp, TMS320C64X_INS_MPYU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYUS_m4_rrr, TMS320C64X_INS_MPYUS,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPYU_m4_rrr, TMS320C64X_INS_MPYU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPY_m4_irr, TMS320C64X_INS_MPY,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MPY_m4_rrr, TMS320C64X_INS_MPY,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVC_s1_rr, TMS320C64X_INS_MVC,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVC_s1_rr2, TMS320C64X_INS_MVC,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVD_m2_rr, TMS320C64X_INS_MVD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVKLH_s12_ir, TMS320C64X_INS_MVKLH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVKL_s12_ir, TMS320C64X_INS_MVKL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVK_d1_rr, TMS320C64X_INS_MVK,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_MVK_l2_ir, TMS320C64X_INS_MVK,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_NOP_n, TMS320C64X_INS_NOP,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_NO, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_NORM_l1_pr, TMS320C64X_INS_NORM,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_NORM_l1_rr, TMS320C64X_INS_NORM,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_d2_rir, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_d2_rrr, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_l1_irr, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_l1_rrr_x2, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_s1_irr, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_OR_s1_rrr, TMS320C64X_INS_OR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACK2_l1_rrr_x2, TMS320C64X_INS_PACK2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACK2_s4_rrr, TMS320C64X_INS_PACK2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKH2_l1_rrr_x2, TMS320C64X_INS_PACKH2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKH2_s1_rrr, TMS320C64X_INS_PACKH2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKH4_l1_rrr_x2, TMS320C64X_INS_PACKH4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKHL2_l1_rrr_x2, TMS320C64X_INS_PACKHL2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKHL2_s1_rrr, TMS320C64X_INS_PACKHL2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKL4_l1_rrr_x2, TMS320C64X_INS_PACKL4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKLH2_l1_rrr_x2, TMS320C64X_INS_PACKLH2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_PACKLH2_s1_rrr, TMS320C64X_INS_PACKLH2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ROTL_m1_rir, TMS320C64X_INS_ROTL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_ROTL_m1_rrr, TMS320C64X_INS_ROTL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD2_s4_rrr, TMS320C64X_INS_SADD2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADDU4_s4_rrr, TMS320C64X_INS_SADDU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADDUS2_s4_rrr, TMS320C64X_INS_SADDUS2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD_l1_ipp, TMS320C64X_INS_SADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD_l1_irr, TMS320C64X_INS_SADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD_l1_rpp, TMS320C64X_INS_SADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD_l1_rrr_x2, TMS320C64X_INS_SADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SADD_s1_rrr, TMS320C64X_INS_SADD,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SAT_l1_pr, TMS320C64X_INS_SAT,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SET_s15_riir, TMS320C64X_INS_SET,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SET_s1_rrr, TMS320C64X_INS_SET,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHFL_m2_rr, TMS320C64X_INS_SHFL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHLMB_l1_rrr_x2, TMS320C64X_INS_SHLMB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHLMB_s4_rrr, TMS320C64X_INS_SHLMB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_pip, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_prp, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_rip, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_rir, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_rrp, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHL_s1_rrr, TMS320C64X_INS_SHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR2_s1_rir, TMS320C64X_INS_SHR2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR2_s4_rrr, TMS320C64X_INS_SHR2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRMB_l1_rrr_x2, TMS320C64X_INS_SHRMB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRMB_s4_rrr, TMS320C64X_INS_SHRMB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU2_s1_rir, TMS320C64X_INS_SHRU2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU2_s4_rrr, TMS320C64X_INS_SHRU2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU_s1_pip, TMS320C64X_INS_SHRU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU_s1_prp, TMS320C64X_INS_SHRU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU_s1_rir, TMS320C64X_INS_SHRU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHRU_s1_rrr, TMS320C64X_INS_SHRU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR_s1_pip, TMS320C64X_INS_SHR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR_s1_prp, TMS320C64X_INS_SHR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR_s1_rir, TMS320C64X_INS_SHR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SHR_s1_rrr, TMS320C64X_INS_SHR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SMPY2_m1_rrp, TMS320C64X_INS_SMPY2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SMPYHL_m4_rrr, TMS320C64X_INS_SMPYHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SMPYH_m4_rrr, TMS320C64X_INS_SMPYH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SMPYLH_m4_rrr, TMS320C64X_INS_SMPYLH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SMPY_m4_rrr, TMS320C64X_INS_SMPY,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SPACK2_s4_rrr, TMS320C64X_INS_SPACK2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SPACKU4_s4_rrr, TMS320C64X_INS_SPACKU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSHL_s1_rir, TMS320C64X_INS_SSHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSHL_s1_rrr, TMS320C64X_INS_SSHL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSHVL_m1_rrr, TMS320C64X_INS_SSHVL,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSHVR_m1_rrr, TMS320C64X_INS_SSHVR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSUB_l1_ipp, TMS320C64X_INS_SSUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSUB_l1_irr, TMS320C64X_INS_SSUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSUB_l1_rrr_x1, TMS320C64X_INS_SSUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SSUB_l1_rrr_x2, TMS320C64X_INS_SSUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STB_d5_rm, TMS320C64X_INS_STB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STB_d6_rm, TMS320C64X_INS_STB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STDW_d7_pm, TMS320C64X_INS_STDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STH_d5_rm, TMS320C64X_INS_STH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STH_d6_rm, TMS320C64X_INS_STH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STNDW_d8_pm, TMS320C64X_INS_STNDW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STNW_d5_rm, TMS320C64X_INS_STNW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STW_d5_rm, TMS320C64X_INS_STW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_STW_d6_rm, TMS320C64X_INS_STW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB2_d2_rrr, TMS320C64X_INS_SUB2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB2_l1_rrr_x2, TMS320C64X_INS_SUB2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB2_s1_rrr, TMS320C64X_INS_SUB2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB4_l1_rrr_x2, TMS320C64X_INS_SUB4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBABS4_l1_rrr_x2, TMS320C64X_INS_SUBABS4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAB_d1_rir, TMS320C64X_INS_SUBAB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAB_d1_rrr, TMS320C64X_INS_SUBAB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAH_d1_rir, TMS320C64X_INS_SUBAH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAH_d1_rrr, TMS320C64X_INS_SUBAH,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAW_d1_rir, TMS320C64X_INS_SUBAW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBAW_d1_rrr, TMS320C64X_INS_SUBAW,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBC_l1_rrr_x2, TMS320C64X_INS_SUBC,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBU_l1_rrp_x1, TMS320C64X_INS_SUBU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUBU_l1_rrp_x2, TMS320C64X_INS_SUBU,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_d1_rir, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_d1_rrr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_d2_rrr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_ipp, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_irr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_rrp_x1, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_rrp_x2, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_rrr_x1, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_l1_rrr_x2, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_s1_irr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_s1_rrr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SUB_s4_rrr, TMS320C64X_INS_SUB,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_SWAP4_l2_rr, TMS320C64X_INS_SWAP4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_UNPKHU4_l2_rr, TMS320C64X_INS_UNPKHU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_UNPKHU4_s14_rr, TMS320C64X_INS_UNPKHU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_UNPKLU4_l2_rr, TMS320C64X_INS_UNPKLU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_UNPKLU4_s14_rr, TMS320C64X_INS_UNPKLU4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_d2_rir, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_d2_rrr, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_D, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_l1_irr, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_l1_rrr_x2, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_L, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_s1_irr, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XOR_s1_rrr, TMS320C64X_INS_XOR,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_S, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XPND2_m2_rr, TMS320C64X_INS_XPND2,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+	{
+		TMS320C64x_XPND4_m2_rr, TMS320C64X_INS_XPND4,
+#ifndef CAPSTONE_DIET
+		{ 0 }, { 0 }, { TMS320C64X_GRP_FUNIT_M, 0 }, 0, 0
+#endif
+	},
+};
+
+void TMS320C64x_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
+{
+	unsigned short i;
+
+	i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	if (i != 0) {
+		insn->id = insns[i].mapid;
+
+		if (h->detail) {
+#ifndef CAPSTONE_DIET
+			memcpy(insn->detail->regs_read, insns[i].regs_use, sizeof(insns[i].regs_use));
+			insn->detail->regs_read_count = (uint8_t)count_positive(insns[i].regs_use);
+
+			memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
+			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
+
+			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
+
+			if (insns[i].branch || insns[i].indirect_branch) {
+				insn->detail->groups[insn->detail->groups_count] = TMS320C64X_GRP_JUMP;
+				insn->detail->groups_count++;
+			}
+#endif
+		}
+	}
+}
+
+#ifndef CAPSTONE_DIET
+//grep TMS320C64X_INS include/capstone/tms320c64x.h | awk '{print "{"$1 "\""tolower(substr($1, 16, length($1)-16))"\"""},"}'
+static name_map insn_name_maps[] = {
+	{TMS320C64X_INS_INVALID, NULL},
+	{TMS320C64X_INS_ABS, "abs"},
+	{TMS320C64X_INS_ABS2, "abs2"},
+	{TMS320C64X_INS_ADD, "add"},
+	{TMS320C64X_INS_ADD2, "add2"},
+	{TMS320C64X_INS_ADD4, "add4"},
+	{TMS320C64X_INS_ADDAB, "addab"},
+	{TMS320C64X_INS_ADDAD, "addad"},
+	{TMS320C64X_INS_ADDAH, "addah"},
+	{TMS320C64X_INS_ADDAW, "addaw"},
+	{TMS320C64X_INS_ADDK, "addk"},
+	{TMS320C64X_INS_ADDKPC, "addkpc"},
+	{TMS320C64X_INS_ADDU, "addu"},
+	{TMS320C64X_INS_AND, "and"},
+	{TMS320C64X_INS_ANDN, "andn"},
+	{TMS320C64X_INS_AVG2, "avg2"},
+	{TMS320C64X_INS_AVGU4, "avgu4"},
+	{TMS320C64X_INS_B, "b"},
+	{TMS320C64X_INS_BDEC, "bdec"},
+	{TMS320C64X_INS_BITC4, "bitc4"},
+	{TMS320C64X_INS_BNOP, "bnop"},
+	{TMS320C64X_INS_BPOS, "bpos"},
+	{TMS320C64X_INS_CLR, "clr"},
+	{TMS320C64X_INS_CMPEQ, "cmpeq"},
+	{TMS320C64X_INS_CMPEQ2, "cmpeq2"},
+	{TMS320C64X_INS_CMPEQ4, "cmpeq4"},
+	{TMS320C64X_INS_CMPGT, "cmpgt"},
+	{TMS320C64X_INS_CMPGT2, "cmpgt2"},
+	{TMS320C64X_INS_CMPGTU4, "cmpgtu4"},
+	{TMS320C64X_INS_CMPLT, "cmplt"},
+	{TMS320C64X_INS_CMPLTU, "cmpltu"},
+	{TMS320C64X_INS_DEAL, "deal"},
+	{TMS320C64X_INS_DOTP2, "dotp2"},
+	{TMS320C64X_INS_DOTPN2, "dotpn2"},
+	{TMS320C64X_INS_DOTPNRSU2, "dotpnrsu2"},
+	{TMS320C64X_INS_DOTPRSU2, "dotprsu2"},
+	{TMS320C64X_INS_DOTPSU4, "dotpsu4"},
+	{TMS320C64X_INS_DOTPU4, "dotpu4"},
+	{TMS320C64X_INS_EXT, "ext"},
+	{TMS320C64X_INS_EXTU, "extu"},
+	{TMS320C64X_INS_GMPGTU, "gmpgtu"},
+	{TMS320C64X_INS_GMPY4, "gmpy4"},
+	{TMS320C64X_INS_LDB, "ldb"},
+	{TMS320C64X_INS_LDBU, "ldbu"},
+	{TMS320C64X_INS_LDDW, "lddw"},
+	{TMS320C64X_INS_LDH, "ldh"},
+	{TMS320C64X_INS_LDHU, "ldhu"},
+	{TMS320C64X_INS_LDNDW, "ldndw"},
+	{TMS320C64X_INS_LDNW, "ldnw"},
+	{TMS320C64X_INS_LDW, "ldw"},
+	{TMS320C64X_INS_LMBD, "lmbd"},
+	{TMS320C64X_INS_MAX2, "max2"},
+	{TMS320C64X_INS_MAXU4, "maxu4"},
+	{TMS320C64X_INS_MIN2, "min2"},
+	{TMS320C64X_INS_MINU4, "minu4"},
+	{TMS320C64X_INS_MPY, "mpy"},
+	{TMS320C64X_INS_MPY2, "mpy2"},
+	{TMS320C64X_INS_MPYH, "mpyh"},
+	{TMS320C64X_INS_MPYHI, "mpyhi"},
+	{TMS320C64X_INS_MPYHIR, "mpyhir"},
+	{TMS320C64X_INS_MPYHL, "mpyhl"},
+	{TMS320C64X_INS_MPYHLU, "mpyhlu"},
+	{TMS320C64X_INS_MPYHSLU, "mpyhslu"},
+	{TMS320C64X_INS_MPYHSU, "mpyhsu"},
+	{TMS320C64X_INS_MPYHU, "mpyhu"},
+	{TMS320C64X_INS_MPYHULS, "mpyhuls"},
+	{TMS320C64X_INS_MPYHUS, "mpyhus"},
+	{TMS320C64X_INS_MPYLH, "mpylh"},
+	{TMS320C64X_INS_MPYLHU, "mpylhu"},
+	{TMS320C64X_INS_MPYLI, "mpyli"},
+	{TMS320C64X_INS_MPYLIR, "mpylir"},
+	{TMS320C64X_INS_MPYLSHU, "mpylshu"},
+	{TMS320C64X_INS_MPYLUHS, "mpyluhs"},
+	{TMS320C64X_INS_MPYSU, "mpysu"},
+	{TMS320C64X_INS_MPYSU4, "mpysu4"},
+	{TMS320C64X_INS_MPYU, "mpyu"},
+	{TMS320C64X_INS_MPYU4, "mpyu4"},
+	{TMS320C64X_INS_MPYUS, "mpyus"},
+	{TMS320C64X_INS_MVC, "mvc"},
+	{TMS320C64X_INS_MVD, "mvd"},
+	{TMS320C64X_INS_MVK, "mvk"},
+	{TMS320C64X_INS_MVKL, "mvkl"},
+	{TMS320C64X_INS_MVKLH, "mvklh"},
+	{TMS320C64X_INS_NOP, "nop"},
+	{TMS320C64X_INS_NORM, "norm"},
+	{TMS320C64X_INS_OR, "or"},
+	{TMS320C64X_INS_PACK2, "pack2"},
+	{TMS320C64X_INS_PACKH2, "packh2"},
+	{TMS320C64X_INS_PACKH4, "packh4"},
+	{TMS320C64X_INS_PACKHL2, "packhl2"},
+	{TMS320C64X_INS_PACKL4, "packl4"},
+	{TMS320C64X_INS_PACKLH2, "packlh2"},
+	{TMS320C64X_INS_ROTL, "rotl"},
+	{TMS320C64X_INS_SADD, "sadd"},
+	{TMS320C64X_INS_SADD2, "sadd2"},
+	{TMS320C64X_INS_SADDU4, "saddu4"},
+	{TMS320C64X_INS_SADDUS2, "saddus2"},
+	{TMS320C64X_INS_SAT, "sat"},
+	{TMS320C64X_INS_SET, "set"},
+	{TMS320C64X_INS_SHFL, "shfl"},
+	{TMS320C64X_INS_SHL, "shl"},
+	{TMS320C64X_INS_SHLMB, "shlmb"},
+	{TMS320C64X_INS_SHR, "shr"},
+	{TMS320C64X_INS_SHR2, "shr2"},
+	{TMS320C64X_INS_SHRMB, "shrmb"},
+	{TMS320C64X_INS_SHRU, "shru"},
+	{TMS320C64X_INS_SHRU2, "shru2"},
+	{TMS320C64X_INS_SMPY, "smpy"},
+	{TMS320C64X_INS_SMPY2, "smpy2"},
+	{TMS320C64X_INS_SMPYH, "smpyh"},
+	{TMS320C64X_INS_SMPYHL, "smpyhl"},
+	{TMS320C64X_INS_SMPYLH, "smpylh"},
+	{TMS320C64X_INS_SPACK2, "spack2"},
+	{TMS320C64X_INS_SPACKU4, "spacku4"},
+	{TMS320C64X_INS_SSHL, "sshl"},
+	{TMS320C64X_INS_SSHVL, "sshvl"},
+	{TMS320C64X_INS_SSHVR, "sshvr"},
+	{TMS320C64X_INS_SSUB, "ssub"},
+	{TMS320C64X_INS_STB, "stb"},
+	{TMS320C64X_INS_STDW, "stdw"},
+	{TMS320C64X_INS_STH, "sth"},
+	{TMS320C64X_INS_STNDW, "stndw"},
+	{TMS320C64X_INS_STNW, "stnw"},
+	{TMS320C64X_INS_STW, "stw"},
+	{TMS320C64X_INS_SUB, "sub"},
+	{TMS320C64X_INS_SUB2, "sub2"},
+	{TMS320C64X_INS_SUB4, "sub4"},
+	{TMS320C64X_INS_SUBAB, "subab"},
+	{TMS320C64X_INS_SUBABS4, "subabs4"},
+	{TMS320C64X_INS_SUBAH, "subah"},
+	{TMS320C64X_INS_SUBAW, "subaw"},
+	{TMS320C64X_INS_SUBC, "subc"},
+	{TMS320C64X_INS_SUBU, "subu"},
+	{TMS320C64X_INS_SWAP4, "swap4"},
+	{TMS320C64X_INS_UNPKHU4, "unpkhu4"},
+	{TMS320C64X_INS_UNPKLU4, "unpklu4"},
+	{TMS320C64X_INS_XOR, "xor"},
+	{TMS320C64X_INS_XPND2, "xpnd2"},
+	{TMS320C64X_INS_XPND4, "xpnd4"},
+	{TMS320C64X_INS_IDLE, "idle"},
+	{TMS320C64X_INS_MV, "mv"},
+	{TMS320C64X_INS_NEG, "neg"},
+	{TMS320C64X_INS_NOT, "not"},
+	{TMS320C64X_INS_SWAP2, "swap2"},
+	{TMS320C64X_INS_ZERO, "zero"},
+};
+
+#endif
+
+const char *TMS320C64x_insn_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	if (id >= TMS320C64X_INS_ENDING)
+		return NULL;
+
+	return insn_name_maps[id].name;
+#else
+	return NULL;
+#endif
+}
+
+#ifndef CAPSTONE_DIET
+static name_map group_name_maps[] = {
+	{ TMS320C64X_GRP_INVALID, NULL },
+	{ TMS320C64X_GRP_FUNIT_D, "funit_d" },
+	{ TMS320C64X_GRP_FUNIT_L, "funit_l" },
+	{ TMS320C64X_GRP_FUNIT_M, "funit_m" },
+	{ TMS320C64X_GRP_FUNIT_S, "funit_s" },
+	{ TMS320C64X_GRP_FUNIT_NO, "funit_no" },
+	{ TMS320C64X_GRP_JUMP, "jump" },
+};
+#endif
+
+const char *TMS320C64x_group_name(csh handle, unsigned int id)
+{
+#ifndef CAPSTONE_DIET
+	unsigned int i;
+
+	if (id >= TMS320C64X_GRP_ENDING)
+		return NULL;
+
+	for (i = 0; i < ARR_SIZE(group_name_maps); i++) {
+		if (group_name_maps[i].id == id)
+			return group_name_maps[i].name;
+	}
+
+	return group_name_maps[id].name;
+#else
+	return NULL;
+#endif
+}
+
+tms320c64x_reg TMS320C64x_map_register(unsigned int r)
+{
+	static unsigned int map[] = { 0,
+	};
+
+	if (r < ARR_SIZE(map))
+		return map[r];
+
+	return 0;
+}
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xMapping.h 4.0.2-3/arch/TMS320C64x/TMS320C64xMapping.h
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xMapping.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,26 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifndef CS_TMS320C64X_MAP_H
+#define CS_TMS320C64X_MAP_H
+
+#include "capstone/capstone.h"
+
+// return name of regiser in friendly string
+const char *TMS320C64x_reg_name(csh handle, unsigned int reg);
+
+// given internal insn id, return public instruction info
+void TMS320C64x_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id);
+
+const char *TMS320C64x_insn_name(csh handle, unsigned int id);
+
+const char *TMS320C64x_group_name(csh handle, unsigned int id);
+
+// map internal raw register to 'public' register
+tms320c64x_reg TMS320C64x_map_register(unsigned int r);
+
+// map register name to register ID
+tms320c64x_reg TMS320C64x_reg_id(char *name);
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xModule.c 4.0.2-3/arch/TMS320C64x/TMS320C64xModule.c
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xModule.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,39 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifdef CAPSTONE_HAS_TMS320C64X
+
+#include "../../utils.h"
+#include "../../MCRegisterInfo.h"
+#include "TMS320C64xDisassembler.h"
+#include "TMS320C64xInstPrinter.h"
+#include "TMS320C64xMapping.h"
+#include "TMS320C64xModule.h"
+
+cs_err TMS320C64x_global_init(cs_struct *ud)
+{
+	MCRegisterInfo *mri;
+
+	mri = cs_mem_malloc(sizeof(*mri));
+
+	TMS320C64x_init(mri);
+	ud->printer = TMS320C64x_printInst;
+	ud->printer_info = mri;
+	ud->getinsn_info = mri;
+	ud->disasm = TMS320C64x_getInstruction;
+	ud->post_printer = TMS320C64x_post_printer;
+
+	ud->reg_name = TMS320C64x_reg_name;
+	ud->insn_id = TMS320C64x_get_insn_id;
+	ud->insn_name = TMS320C64x_insn_name;
+	ud->group_name = TMS320C64x_group_name;
+
+	return CS_ERR_OK;
+}
+
+cs_err TMS320C64x_option(cs_struct *handle, cs_opt_type type, size_t value)
+{
+	return CS_ERR_OK;
+}
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xModule.h 4.0.2-3/arch/TMS320C64x/TMS320C64xModule.h
--- 4.0.1+really+3.0.5-2/arch/TMS320C64x/TMS320C64xModule.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/TMS320C64x/TMS320C64xModule.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+/* Capstone Disassembly Engine */
+/* By Travis Finkenauer <tmfinken@gmail.com>, 2018 */
+
+#ifndef CS_TMS320C64X_MODULE_H
+#define CS_TMS320C64X_MODULE_H
+
+#include "../../utils.h"
+
+cs_err TMS320C64x_global_init(cs_struct *ud);
+cs_err TMS320C64x_option(cs_struct *handle, cs_opt_type type, size_t value);
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/qsort.h 4.0.2-3/arch/X86/qsort.h
--- 4.0.1+really+3.0.5-2/arch/X86/qsort.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/X86/qsort.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,211 @@
+/*
+ * Copyright (c) 2000-2006 Apple Computer, Inc. All rights reserved.
+ *
+ * @APPLE_OSREFERENCE_LICENSE_HEADER_START@
+ * 
+ * This file contains Original Code and/or Modifications of Original Code
+ * as defined in and that are subject to the Apple Public Source License
+ * Version 2.0 (the 'License'). You may not use this file except in
+ * compliance with the License. The rights granted to you under the License
+ * may not be used to create, or enable the creation or redistribution of,
+ * unlawful or unlicensed copies of an Apple operating system, or to
+ * circumvent, violate, or enable the circumvention or violation of, any
+ * terms of an Apple operating system software license agreement.
+ * 
+ * Please obtain a copy of the License at
+ * http://www.opensource.apple.com/apsl/ and read it before using this file.
+ * 
+ * The Original Code and all software distributed under the License are
+ * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
+ * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
+ * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
+ * Please see the License for the specific language governing rights and
+ * limitations under the License.
+ * 
+ * @APPLE_OSREFERENCE_LICENSE_HEADER_END@
+ */
+/*
+ * Copyright (c) 1995 NeXT Computer, Inc. All Rights Reserved
+ *
+ * Copyright (c) 1992, 1993
+ *	The Regents of the University of California.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. All advertising materials mentioning features or use of this software
+ *    must display the following acknowledgement:
+ *	This product includes software developed by the University of
+ *	California, Berkeley and its contributors.
+ * 4. Neither the name of the University nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ *
+ *	@(#)qsort.c	8.1 (Berkeley) 6/4/93
+ */
+
+/*
+ * Grabbed from XNU source code with minor modifications:
+ * https://opensource.apple.com/source/xnu/xnu-3248.60.10/bsd/kern/qsort.c
+ */
+#ifndef CS_QSORT_H
+#define CS_QSORT_H
+
+#include <libkern/libkern.h>
+
+#pragma clang diagnostic push
+#pragma clang diagnostic ignored "-Wshorten-64-to-32"
+
+void
+qsort(void *a, size_t n, size_t es, int (*cmp)(const void *, const void *));
+
+static inline char	*med3(char *, char *, char *, int (*)(const void *, const void *));
+static inline void	 swapfunc(char *, char *, int, int);
+
+#define min(a, b)	(a) < (b) ? a : b
+
+/*
+ * Qsort routine from Bentley & McIlroy's "Engineering a Sort Function".
+ */
+#define swapcode(TYPE, parmi, parmj, n) { 		\
+	long i = (n) / sizeof (TYPE); 			\
+	TYPE *pi = (TYPE *) (parmi); 			\
+	TYPE *pj = (TYPE *) (parmj); 			\
+	do { 						\
+		TYPE	t = *pi;			\
+		*pi++ = *pj;				\
+		*pj++ = t;				\
+        } while (--i > 0);				\
+}
+
+#define SWAPINIT(a, es) swaptype = ((char *)a - (char *)0) % sizeof(long) || \
+	es % sizeof(long) ? 2 : es == sizeof(long)? 0 : 1;
+
+static inline void
+swapfunc(char *a, char *b, int n, int swaptype)
+{
+	if(swaptype <= 1) 
+		swapcode(long, a, b, n)
+	else
+		swapcode(char, a, b, n)
+}
+
+#define swap(a, b)					\
+	if (swaptype == 0) {				\
+		long t = *(long *)(a);			\
+		*(long *)(a) = *(long *)(b);		\
+		*(long *)(b) = t;			\
+	} else						\
+		swapfunc(a, b, es, swaptype)
+
+#define vecswap(a, b, n) 	if ((n) > 0) swapfunc(a, b, n, swaptype)
+
+static inline char *
+med3(char *a, char *b, char *c, int (*cmp)(const void *, const void *))
+{
+	return cmp(a, b) < 0 ?
+	       (cmp(b, c) < 0 ? b : (cmp(a, c) < 0 ? c : a ))
+              :(cmp(b, c) > 0 ? b : (cmp(a, c) < 0 ? a : c ));
+}
+
+void
+qsort(void *a, size_t n, size_t es, int (*cmp)(const void *, const void *))
+{
+	char *pa, *pb, *pc, *pd, *pl, *pm, *pn;
+	int d, swaptype, swap_cnt;
+	int r;
+
+loop:	SWAPINIT(a, es);
+	swap_cnt = 0;
+	if (n < 7) {
+		for (pm = (char *)a + es; pm < (char *) a + n * es; pm += es)
+			for (pl = pm; pl > (char *) a && cmp(pl - es, pl) > 0;
+			     pl -= es)
+				swap(pl, pl - es);
+		return;
+	}
+	pm = (char *)a + (n / 2) * es;
+	if (n > 7) {
+		pl = a;
+		pn = (char *)a + (n - 1) * es;
+		if (n > 40) {
+			d = (n / 8) * es;
+			pl = med3(pl, pl + d, pl + 2 * d, cmp);
+			pm = med3(pm - d, pm, pm + d, cmp);
+			pn = med3(pn - 2 * d, pn - d, pn, cmp);
+		}
+		pm = med3(pl, pm, pn, cmp);
+	}
+	swap(a, pm);
+	pa = pb = (char *)a + es;
+
+	pc = pd = (char *)a + (n - 1) * es;
+	for (;;) {
+		while (pb <= pc && (r = cmp(pb, a)) <= 0) {
+			if (r == 0) {
+				swap_cnt = 1;
+				swap(pa, pb);
+				pa += es;
+			}
+			pb += es;
+		}
+		while (pb <= pc && (r = cmp(pc, a)) >= 0) {
+			if (r == 0) {
+				swap_cnt = 1;
+				swap(pc, pd);
+				pd -= es;
+			}
+			pc -= es;
+		}
+		if (pb > pc)
+			break;
+		swap(pb, pc);
+		swap_cnt = 1;
+		pb += es;
+		pc -= es;
+	}
+	if (swap_cnt == 0) {  /* Switch to insertion sort */
+		for (pm = (char *)a + es; pm < (char *) a + n * es; pm += es)
+			for (pl = pm; pl > (char *) a && cmp(pl - es, pl) > 0; 
+			     pl -= es)
+				swap(pl, pl - es);
+		return;
+	}
+
+	pn = (char *)a + n * es;
+	r = min(pa - (char *)a, pb - pa);
+	vecswap(a, pb - r, r);
+	r = min((size_t)(pd - pc), pn - pd - es);
+	vecswap(pb, pn - r, r);
+	if ((size_t)(r = pb - pa) > es)
+		qsort(a, r / es, es, cmp);
+	if ((size_t)(r = pd - pc) > es) { 
+		/* Iterate rather than recurse to save stack space */
+		a = pn - r;
+		n = r / es;
+		goto loop;
+	}
+/*		qsort(pn - r, r / es, es, cmp);*/
+}
+
+#pragma clang diagnostic pop
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86ATTInstPrinter.c 4.0.2-3/arch/X86/X86ATTInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86ATTInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86ATTInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -13,15 +13,21 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 // this code is only relevant when DIET mode is disable
 #if defined(CAPSTONE_HAS_X86) && !defined(CAPSTONE_DIET) && !defined(CAPSTONE_X86_ATT_DISABLE)
 
+#if defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64)
+#pragma warning(disable:4996)			// disable MSVC's warning on strncpy()
+#pragma warning(disable:28719)		// disable MSVC's warning on strncpy()
+#endif
+
 #if !defined(CAPSTONE_HAS_OSXKERNEL)
 #include <ctype.h>
 #endif
-#include <platform.h>
+#include <capstone/platform.h>
+
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
 #include <libkern/libkern.h>
@@ -66,13 +72,51 @@ static void printopaquemem(MCInst *MI, u
 {
 	switch(MI->csh->mode) {
 		case CS_MODE_16:
-			MI->x86opsize = 2;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 2;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+					MI->x86opsize = 4;
+					break;
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 6;
+					break;
+			}
 			break;
 		case CS_MODE_32:
-			MI->x86opsize = 4;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 4;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 6;
+					break;
+			}
 			break;
 		case CS_MODE_64:
-			MI->x86opsize = 8;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 8;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 10;
+					break;
+			}
 			break;
 		default:	// never reach
 			break;
@@ -128,7 +172,32 @@ static void printi512mem(MCInst *MI, uns
 
 static void printf32mem(MCInst *MI, unsigned OpNo, SStream *O)
 {
-	MI->x86opsize = 4;
+	switch(MCInst_getOpcode(MI)) {
+		default:
+			MI->x86opsize = 4;
+			break;
+		case X86_FBSTPm:
+		case X86_FBLDm:
+			// TODO: fix this in tablegen instead
+			MI->x86opsize = 10;
+			break;
+		case X86_FSTENVm:
+		case X86_FLDENVm:
+			// TODO: fix this in tablegen instead
+			switch(MI->csh->mode) {
+				default:    // never reach
+					break;
+				case CS_MODE_16:
+					MI->x86opsize = 14;
+					break;
+				case CS_MODE_32:
+				case CS_MODE_64:
+					MI->x86opsize = 28;
+					break;
+			}
+			break;
+	}
+
 	printMemReference(MI, OpNo, O);
 }
 
@@ -164,7 +233,7 @@ static void printf512mem(MCInst *MI, uns
 
 static void printSSECC(MCInst *MI, unsigned Op, SStream *OS)
 {
-	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 7;
+	uint8_t Imm = (uint8_t)(MCOperand_getImm(MCInst_getOperand(MI, Op)) & 7);
 	switch (Imm) {
 		default: break;	// never reach
 		case    0: SStream_concat0(OS, "eq"); op_addSseCC(MI, X86_SSE_CC_EQ); break;
@@ -175,20 +244,14 @@ static void printSSECC(MCInst *MI, unsig
 		case    5: SStream_concat0(OS, "nlt"); op_addSseCC(MI, X86_SSE_CC_NLT); break;
 		case    6: SStream_concat0(OS, "nle"); op_addSseCC(MI, X86_SSE_CC_NLE); break;
 		case    7: SStream_concat0(OS, "ord"); op_addSseCC(MI, X86_SSE_CC_ORD); break;
-		case    8: SStream_concat0(OS, "eq_uq"); op_addSseCC(MI, X86_SSE_CC_EQ_UQ); break;
-		case    9: SStream_concat0(OS, "nge"); op_addSseCC(MI, X86_SSE_CC_NGE); break;
-		case  0xa: SStream_concat0(OS, "ngt"); op_addSseCC(MI, X86_SSE_CC_NGT); break;
-		case  0xb: SStream_concat0(OS, "false"); op_addSseCC(MI, X86_SSE_CC_FALSE); break;
-		case  0xc: SStream_concat0(OS, "neq_oq"); op_addSseCC(MI, X86_SSE_CC_NEQ_OQ); break;
-		case  0xd: SStream_concat0(OS, "ge"); op_addSseCC(MI, X86_SSE_CC_GE); break;
-		case  0xe: SStream_concat0(OS, "gt"); op_addSseCC(MI, X86_SSE_CC_GT); break;
-		case  0xf: SStream_concat0(OS, "true"); op_addSseCC(MI, X86_SSE_CC_TRUE); break;
 	}
+
+	MI->popcode_adjust = Imm + 1;
 }
 
 static void printAVXCC(MCInst *MI, unsigned Op, SStream *O)
 {
-	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0x1f;
+	uint8_t Imm = (uint8_t)(MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0x1f);
 	switch (Imm) {
 		default: break;//printf("Invalid avxcc argument!\n"); break;
 		case    0: SStream_concat0(O, "eq"); op_addAvxCC(MI, X86_AVX_CC_EQ); break;
@@ -224,6 +287,25 @@ static void printAVXCC(MCInst *MI, unsig
 		case 0x1e: SStream_concat0(O, "gt_oq"); op_addAvxCC(MI, X86_AVX_CC_GT_OQ); break;
 		case 0x1f: SStream_concat0(O, "true_us"); op_addAvxCC(MI, X86_AVX_CC_TRUE_US); break;
 	}
+
+	MI->popcode_adjust = Imm + 1;
+}
+
+static void printXOPCC(MCInst *MI, unsigned Op, SStream *O)
+{
+	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op));
+
+	switch (Imm) {
+		default: // llvm_unreachable("Invalid xopcc argument!");
+		case 0: SStream_concat0(O, "lt"); op_addXopCC(MI, X86_XOP_CC_LT); break;
+		case 1: SStream_concat0(O, "le"); op_addXopCC(MI, X86_XOP_CC_LE); break;
+		case 2: SStream_concat0(O, "gt"); op_addXopCC(MI, X86_XOP_CC_GT); break;
+		case 3: SStream_concat0(O, "ge"); op_addXopCC(MI, X86_XOP_CC_GE); break;
+		case 4: SStream_concat0(O, "eq"); op_addXopCC(MI, X86_XOP_CC_EQ); break;
+		case 5: SStream_concat0(O, "neq"); op_addXopCC(MI, X86_XOP_CC_NEQ); break;
+		case 6: SStream_concat0(O, "false"); op_addXopCC(MI, X86_XOP_CC_FALSE); break;
+		case 7: SStream_concat0(O, "true"); op_addXopCC(MI, X86_XOP_CC_TRUE); break;
+	}
 }
 
 static void printRoundingControl(MCInst *MI, unsigned Op, SStream *O)
@@ -251,11 +333,34 @@ static void _printOperand(MCInst *MI, un
 	} else if (MCOperand_isImm(Op)) {
 		// Print X86 immediates as signed values.
 		int64_t imm = MCOperand_getImm(Op);
+		uint8_t encsize;
+		uint8_t opsize = X86_immediate_size(MCInst_getOpcode(MI), &encsize);
+
 		if (imm < 0) {
-			if (imm < -HEX_THRESHOLD)
-				SStream_concat(O, "$-0x%"PRIx64, -imm);
-			else
-				SStream_concat(O, "$-%"PRIu64, -imm);
+			if (MI->csh->imm_unsigned) {
+				if (opsize) {
+					switch(opsize) {
+						default:
+							break;
+						case 1:
+							imm &= 0xff;
+							break;
+						case 2:
+							imm &= 0xffff;
+							break;
+						case 4:
+							imm &= 0xffffffff;
+							break;
+					}
+				}
+
+				SStream_concat(O, "$0x%"PRIx64, imm);
+			} else {
+				if (imm < -HEX_THRESHOLD)
+					SStream_concat(O, "$-0x%"PRIx64, -imm);
+				else
+					SStream_concat(O, "$-%"PRIu64, -imm);
+			}
 		} else {
 			if (imm > HEX_THRESHOLD)
 				SStream_concat(O, "$0x%"PRIx64, imm);
@@ -265,12 +370,41 @@ static void _printOperand(MCInst *MI, un
 	}
 }
 
+// convert Intel access info to AT&T access info
+static void get_op_access(cs_struct *h, unsigned int id, uint8_t *access, uint64_t *eflags)
+{
+	uint8_t count, i;
+	uint8_t *arr = X86_get_op_access(h, id, eflags);
+
+	if (!arr) {
+		access[0] = 0;
+		return;
+	}
+
+	// find the non-zero last entry
+	for(count = 0; arr[count]; count++);
+
+	if (count == 0)
+		return;
+
+	// copy in reverse order this access array from Intel syntax -> AT&T syntax
+	count--;
+	for(i = 0; i <= count; i++) {
+		if (arr[count - i] != CS_AC_IGNORE)
+			access[i] = arr[count - i];
+		else
+			access[i] = 0;
+	}
+}
+
 static void printSrcIdx(MCInst *MI, unsigned Op, SStream *O)
 {
 	MCOperand *SegReg;
 	int reg;
 
 	if (MI->csh->detail) {
+		uint8_t access[6];
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -278,6 +412,9 @@ static void printSrcIdx(MCInst *MI, unsi
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
 	}
 
 	SegReg = MCInst_getOperand(MI, Op+1);
@@ -305,6 +442,8 @@ static void printSrcIdx(MCInst *MI, unsi
 static void printDstIdx(MCInst *MI, unsigned Op, SStream *O)
 {
 	if (MI->csh->detail) {
+		uint8_t access[6];
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -312,6 +451,9 @@ static void printDstIdx(MCInst *MI, unsi
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
 	}
 
 	// DI accesses are always ES-based on non-64bit mode
@@ -386,6 +528,8 @@ static void printMemOffset(MCInst *MI, u
 	int reg;
 
 	if (MI->csh->detail) {
+		uint8_t access[6];
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -393,6 +537,9 @@ static void printMemOffset(MCInst *MI, u
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
 	}
 
 	// If this has a segment register, print it.
@@ -423,6 +570,25 @@ static void printMemOffset(MCInst *MI, u
 		MI->flat_insn->detail->x86.op_count++;
 }
 
+#ifndef CAPSTONE_X86_REDUCE
+static void printU8Imm(MCInst *MI, unsigned Op, SStream *O)
+{
+	uint8_t val = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0xff;
+
+	if (val > HEX_THRESHOLD)
+		SStream_concat(O, "$0x%x", val);
+	else
+		SStream_concat(O, "$%u", val);
+
+	if (MI->csh->detail) {
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_IMM;
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = val;
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = 1;
+		MI->flat_insn->detail->x86.op_count++;
+	}
+}
+#endif
+
 static void printMemOffs8(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	MI->x86opsize = 1;
@@ -502,17 +668,24 @@ static void printOperand(MCInst *MI, uns
 			if (MI->csh->doing_mem) {
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.base = reg;
 			} else {
+				uint8_t access[6];
+
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].reg = reg;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->csh->regsize_map[reg];
 
+				get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+
 				MI->flat_insn->detail->x86.op_count++;
 			}
 		}
 	} else if (MCOperand_isImm(Op)) {
 		// Print X86 immediates as signed values.
+		uint8_t encsize;
 		int64_t imm = MCOperand_getImm(Op);
-		int opsize = X86_immediate_size(MCInst_getOpcode(MI));
+		uint8_t opsize = X86_immediate_size(MCInst_getOpcode(MI), &encsize);
+
 		if (opsize == 1)    // print 1 byte immediate in positive form
 			imm = imm & 0xff;
 
@@ -524,12 +697,32 @@ static void printOperand(MCInst *MI, uns
 					else
 						SStream_concat(O, "$%"PRIu64, imm);
 				} else {
-					if (imm == 0x8000000000000000LL)  // imm == -imm
-						SStream_concat0(O, "$0x8000000000000000");
-					else if (imm < -HEX_THRESHOLD)
-						SStream_concat(O, "$-0x%"PRIx64, -imm);
-					else
-						SStream_concat(O, "$-%"PRIu64, -imm);
+					if (MI->csh->imm_unsigned) {
+						if (opsize) {
+							switch(opsize) {
+								default:
+									break;
+								case 1:
+									imm &= 0xff;
+									break;
+								case 2:
+									imm &= 0xffff;
+									break;
+								case 4:
+									imm &= 0xffffffff;
+									break;
+							}
+						}
+
+						SStream_concat(O, "$0x%"PRIx64, imm);
+					} else {
+						if (imm == 0x8000000000000000LL)  // imm == -imm
+							SStream_concat0(O, "$0x8000000000000000");
+						else if (imm < -HEX_THRESHOLD)
+							SStream_concat(O, "$-0x%"PRIx64, -imm);
+						else
+							SStream_concat(O, "$-%"PRIu64, -imm);
+					}
 				}
 				break;
 
@@ -593,9 +786,10 @@ static void printOperand(MCInst *MI, uns
 				MI->has_imm = true;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = imm;
 
-				if (opsize > 0)
-					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = (uint8_t)opsize;
-				else if (MI->op1_size > 0)
+				if (opsize > 0) {
+					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = opsize;
+					MI->flat_insn->detail->x86.encoding.imm_size = encsize;
+				} else if (MI->op1_size > 0)
 					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->op1_size;
 				else
 					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->imm_size;
@@ -614,8 +808,11 @@ static void printMemReference(MCInst *MI
 	MCOperand *SegReg = MCInst_getOperand(MI, Op + X86_AddrSegmentReg);
 	uint64_t ScaleVal;
 	int segreg;
+	int64_t DispVal = 1;
 
 	if (MI->csh->detail) {
+		uint8_t access[6];
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -623,6 +820,9 @@ static void printMemReference(MCInst *MI
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = MCOperand_getReg(IndexReg);
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
 	}
 
 	// If this has a segment register, print it.
@@ -637,7 +837,7 @@ static void printMemReference(MCInst *MI
 	}
 
 	if (MCOperand_isImm(DispSpec)) {
-		int64_t DispVal = MCOperand_getImm(DispSpec);
+		DispVal = MCOperand_getImm(DispSpec);
 		if (MI->csh->detail)
 			MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = DispVal;
 		if (DispVal) {
@@ -655,7 +855,6 @@ static void printMemReference(MCInst *MI
 				}
 			}
 		} else {
-            SStream_concat0(O, "0");
 		}
 	}
 
@@ -676,12 +875,33 @@ static void printMemReference(MCInst *MI
 			}
 		}
 		SStream_concat0(O, ")");
+	} else {
+		if (!DispVal)
+			SStream_concat0(O, "0");
 	}
 
 	if (MI->csh->detail)
 		MI->flat_insn->detail->x86.op_count++;
 }
 
+static void printanymem(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	switch(MI->Opcode) {
+		default: break;
+		case X86_LEA16r:
+				 MI->x86opsize = 2;
+				 break;
+		case X86_LEA32r:
+		case X86_LEA64_32r:
+				 MI->x86opsize = 4;
+				 break;
+		case X86_LEA64r:
+				 MI->x86opsize = 8;
+				 break;
+	}
+	printMemReference(MI, OpNo, O);
+}
+
 #include "X86InstPrinter.h"
 
 #define GET_REGINFO_ENUM
@@ -704,8 +924,15 @@ void X86_ATT_printInst(MCInst *MI, SStre
 {
 	char *mnem;
 	x86_reg reg, reg2;
+	enum cs_ac_type access1, access2;
 	int i;
 
+	// perhaps this instruction does not need printer
+	if (MI->assembly[0]) {
+		strncpy(OS->buffer, MI->assembly, sizeof(OS->buffer));
+		return;
+	}
+
 	// Output CALLpcrel32 as "callq" in 64-bit mode.
 	// In Intel annotation it's always emitted as "call".
 	//
@@ -750,87 +977,92 @@ void X86_ATT_printInst(MCInst *MI, SStre
 	}
 
 	if (MI->csh->detail) {
-        // some instructions need to supply immediate 1 in the first op
-        switch(MCInst_getOpcode(MI)) {
-            default:
-                break;
-            case X86_SHL8r1:
-            case X86_SHL16r1:
-            case X86_SHL32r1:
-            case X86_SHL64r1:
-            case X86_SAL8r1:
-            case X86_SAL16r1:
-            case X86_SAL32r1:
-            case X86_SAL64r1:
-            case X86_SHR8r1:
-            case X86_SHR16r1:
-            case X86_SHR32r1:
-            case X86_SHR64r1:
-            case X86_SAR8r1:
-            case X86_SAR16r1:
-            case X86_SAR32r1:
-            case X86_SAR64r1:
-            case X86_RCL8r1:
-            case X86_RCL16r1:
-            case X86_RCL32r1:
-            case X86_RCL64r1:
-            case X86_RCR8r1:
-            case X86_RCR16r1:
-            case X86_RCR32r1:
-            case X86_RCR64r1:
-            case X86_ROL8r1:
-            case X86_ROL16r1:
-            case X86_ROL32r1:
-            case X86_ROL64r1:
-            case X86_ROR8r1:
-            case X86_ROR16r1:
-            case X86_ROR32r1:
-            case X86_ROR64r1:
-            case X86_SHL8m1:
-            case X86_SHL16m1:
-            case X86_SHL32m1:
-            case X86_SHL64m1:
-            case X86_SAL8m1:
-            case X86_SAL16m1:
-            case X86_SAL32m1:
-            case X86_SAL64m1:
-            case X86_SHR8m1:
-            case X86_SHR16m1:
-            case X86_SHR32m1:
-            case X86_SHR64m1:
-            case X86_SAR8m1:
-            case X86_SAR16m1:
-            case X86_SAR32m1:
-            case X86_SAR64m1:
-            case X86_RCL8m1:
-            case X86_RCL16m1:
-            case X86_RCL32m1:
-            case X86_RCL64m1:
-            case X86_RCR8m1:
-            case X86_RCR16m1:
-            case X86_RCR32m1:
-            case X86_RCR64m1:
-            case X86_ROL8m1:
-            case X86_ROL16m1:
-            case X86_ROL32m1:
-            case X86_ROL64m1:
-            case X86_ROR8m1:
-            case X86_ROR16m1:
-            case X86_ROR32m1:
-            case X86_ROR64m1:
-                // shift all the ops right to leave 1st slot for this new register op
-                memmove(&(MI->flat_insn->detail->x86.operands[1]), &(MI->flat_insn->detail->x86.operands[0]),
-                        sizeof(MI->flat_insn->detail->x86.operands[0]) * (ARR_SIZE(MI->flat_insn->detail->x86.operands) - 1));
-                MI->flat_insn->detail->x86.operands[0].type = X86_OP_IMM;
-                MI->flat_insn->detail->x86.operands[0].imm = 1;
-                MI->flat_insn->detail->x86.operands[0].size = 1;
-                MI->flat_insn->detail->x86.op_count++;
-        }
+		uint8_t access[6] = {0};
+
+		// some instructions need to supply immediate 1 in the first op
+		switch(MCInst_getOpcode(MI)) {
+			default:
+				break;
+			case X86_SHL8r1:
+			case X86_SHL16r1:
+			case X86_SHL32r1:
+			case X86_SHL64r1:
+			case X86_SAL8r1:
+			case X86_SAL16r1:
+			case X86_SAL32r1:
+			case X86_SAL64r1:
+			case X86_SHR8r1:
+			case X86_SHR16r1:
+			case X86_SHR32r1:
+			case X86_SHR64r1:
+			case X86_SAR8r1:
+			case X86_SAR16r1:
+			case X86_SAR32r1:
+			case X86_SAR64r1:
+			case X86_RCL8r1:
+			case X86_RCL16r1:
+			case X86_RCL32r1:
+			case X86_RCL64r1:
+			case X86_RCR8r1:
+			case X86_RCR16r1:
+			case X86_RCR32r1:
+			case X86_RCR64r1:
+			case X86_ROL8r1:
+			case X86_ROL16r1:
+			case X86_ROL32r1:
+			case X86_ROL64r1:
+			case X86_ROR8r1:
+			case X86_ROR16r1:
+			case X86_ROR32r1:
+			case X86_ROR64r1:
+			case X86_SHL8m1:
+			case X86_SHL16m1:
+			case X86_SHL32m1:
+			case X86_SHL64m1:
+			case X86_SAL8m1:
+			case X86_SAL16m1:
+			case X86_SAL32m1:
+			case X86_SAL64m1:
+			case X86_SHR8m1:
+			case X86_SHR16m1:
+			case X86_SHR32m1:
+			case X86_SHR64m1:
+			case X86_SAR8m1:
+			case X86_SAR16m1:
+			case X86_SAR32m1:
+			case X86_SAR64m1:
+			case X86_RCL8m1:
+			case X86_RCL16m1:
+			case X86_RCL32m1:
+			case X86_RCL64m1:
+			case X86_RCR8m1:
+			case X86_RCR16m1:
+			case X86_RCR32m1:
+			case X86_RCR64m1:
+			case X86_ROL8m1:
+			case X86_ROL16m1:
+			case X86_ROL32m1:
+			case X86_ROL64m1:
+			case X86_ROR8m1:
+			case X86_ROR16m1:
+			case X86_ROR32m1:
+			case X86_ROR64m1:
+				// shift all the ops right to leave 1st slot for this new register op
+				memmove(&(MI->flat_insn->detail->x86.operands[1]), &(MI->flat_insn->detail->x86.operands[0]),
+						sizeof(MI->flat_insn->detail->x86.operands[0]) * (ARR_SIZE(MI->flat_insn->detail->x86.operands) - 1));
+				MI->flat_insn->detail->x86.operands[0].type = X86_OP_IMM;
+				MI->flat_insn->detail->x86.operands[0].imm = 1;
+				MI->flat_insn->detail->x86.operands[0].size = 1;
+				MI->flat_insn->detail->x86.op_count++;
+		}
 
 		// special instruction needs to supply register op
 		// first op can be embedded in the asm by llvm.
 		// so we have to add the missing register as the first operand
-		reg = X86_insn_reg_att(MCInst_getOpcode(MI));
+
+		//printf(">>> opcode = %u\n", MCInst_getOpcode(MI));
+
+		reg = X86_insn_reg_att(MCInst_getOpcode(MI), &access1);
 		if (reg) {
 			// shift all the ops right to leave 1st slot for this new register op
 			memmove(&(MI->flat_insn->detail->x86.operands[1]), &(MI->flat_insn->detail->x86.operands[0]),
@@ -838,18 +1070,29 @@ void X86_ATT_printInst(MCInst *MI, SStre
 			MI->flat_insn->detail->x86.operands[0].type = X86_OP_REG;
 			MI->flat_insn->detail->x86.operands[0].reg = reg;
 			MI->flat_insn->detail->x86.operands[0].size = MI->csh->regsize_map[reg];
+			MI->flat_insn->detail->x86.operands[0].access = access1;
+
 			MI->flat_insn->detail->x86.op_count++;
 		} else {
-			if (X86_insn_reg_att2(MCInst_getOpcode(MI), &reg, &reg2)) {
+			if (X86_insn_reg_att2(MCInst_getOpcode(MI), &reg, &access1, &reg2, &access2)) {
+
 				MI->flat_insn->detail->x86.operands[0].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[0].reg = reg;
 				MI->flat_insn->detail->x86.operands[0].size = MI->csh->regsize_map[reg];
+				MI->flat_insn->detail->x86.operands[0].access = access1;
 				MI->flat_insn->detail->x86.operands[1].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[1].reg = reg2;
 				MI->flat_insn->detail->x86.operands[1].size = MI->csh->regsize_map[reg2];
+				MI->flat_insn->detail->x86.operands[0].access = access2;
 				MI->flat_insn->detail->x86.op_count = 2;
 			}
 		}
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[0].access = access[0];
+		MI->flat_insn->detail->x86.operands[1].access = access[1];
+#endif
 	}
 }
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86BaseInfo.h 4.0.2-3/arch/X86/X86BaseInfo.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86BaseInfo.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86BaseInfo.h	2020-05-08 10:03:30.000000000 +0000
@@ -18,7 +18,7 @@
 #define CS_X86_BASEINFO_H
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 // Enums for memory operand decoding.  Each memory operand is represented with
 // a 5 operand sequence in the form:
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86Disassembler.c 4.0.2-3/arch/X86/X86Disassembler.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86Disassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86Disassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -15,10 +15,17 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_X86
 
+#if defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64)
+#pragma warning(disable:4996)			// disable MSVC's warning on strncpy()
+#pragma warning(disable:28719)		// disable MSVC's warning on strncpy()
+#endif
+
+#include <capstone/platform.h>
+
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
 #endif
@@ -172,38 +179,12 @@ static void translateImmediate(MCInst *m
 	else if (type == TYPE_IMM8 || type == TYPE_IMM16 || type == TYPE_IMM32 ||
 			type == TYPE_IMM64 || type == TYPE_IMMv) {
 
-		uint32_t Opcode = MCInst_getOpcode(mcInst);
-		bool check_opcode;
-
 		switch (operand->encoding) {
 			default:
 				break;
 			case ENCODING_IB:
-				// Special case those X86 instructions that use the imm8 as a set of
-				// bits, bit count, etc. and are not sign-extend.
-				check_opcode = (Opcode != X86_INT);
-#ifndef CAPSTONE_X86_REDUCE
-        check_opcode = ((Opcode != X86_BLENDPSrri &&
-						            Opcode != X86_BLENDPDrri &&
-						            Opcode != X86_PBLENDWrri &&
-						            Opcode != X86_MPSADBWrri &&
-						            Opcode != X86_DPPSrri &&
-						            Opcode != X86_DPPDrri &&
-						            Opcode != X86_INSERTPSrr &&
-						            Opcode != X86_VBLENDPSYrri &&
-						            Opcode != X86_VBLENDPSYrmi &&
-						            Opcode != X86_VBLENDPDYrri &&
-						            Opcode != X86_VBLENDPDYrmi &&
-						            Opcode != X86_VPBLENDWrri &&
-						            Opcode != X86_VMPSADBWrri &&
-						            Opcode != X86_VDPPSYrri &&
-						            Opcode != X86_VDPPSYrmi &&
-						            Opcode != X86_VDPPDrri &&
-						            Opcode != X86_VINSERTPSrr) && check_opcode);
-#endif
-				if (check_opcode)
-						if(immediate & 0x80)
-							immediate |= ~(0xffull);
+				if(immediate & 0x80)
+					immediate |= ~(0xffull);
 				break;
 			case ENCODING_IW:
 				if(immediate & 0x8000)
@@ -224,14 +205,30 @@ static void translateImmediate(MCInst *m
 
 			switch (MCInst_getOpcode(mcInst)) {
 				default: break;	// never reach
-				case X86_CMPPDrmi: NewOpc = X86_CMPPDrmi_alt; break;
-				case X86_CMPPDrri: NewOpc = X86_CMPPDrri_alt; break;
-				case X86_CMPPSrmi: NewOpc = X86_CMPPSrmi_alt; break;
-				case X86_CMPPSrri: NewOpc = X86_CMPPSrri_alt; break;
-				case X86_CMPSDrm:  NewOpc = X86_CMPSDrm_alt;  break;
-				case X86_CMPSDrr:  NewOpc = X86_CMPSDrr_alt;  break;
-				case X86_CMPSSrm:  NewOpc = X86_CMPSSrm_alt;  break;
-				case X86_CMPSSrr:  NewOpc = X86_CMPSSrr_alt;  break;
+				case X86_CMPPDrmi:  NewOpc = X86_CMPPDrmi_alt;  break;
+				case X86_CMPPDrri:  NewOpc = X86_CMPPDrri_alt;  break;
+				case X86_CMPPSrmi:  NewOpc = X86_CMPPSrmi_alt;  break;
+				case X86_CMPPSrri:  NewOpc = X86_CMPPSrri_alt;  break;
+				case X86_CMPSDrm:   NewOpc = X86_CMPSDrm_alt;   break;
+				case X86_CMPSDrr:   NewOpc = X86_CMPSDrr_alt;   break;
+				case X86_CMPSSrm:   NewOpc = X86_CMPSSrm_alt;   break;
+				case X86_CMPSSrr:   NewOpc = X86_CMPSSrr_alt;   break;
+				case X86_VPCOMBri:  NewOpc = X86_VPCOMBri_alt;  break;
+				case X86_VPCOMBmi:  NewOpc = X86_VPCOMBmi_alt;  break;
+				case X86_VPCOMWri:  NewOpc = X86_VPCOMWri_alt;  break;
+				case X86_VPCOMWmi:  NewOpc = X86_VPCOMWmi_alt;  break;
+				case X86_VPCOMDri:  NewOpc = X86_VPCOMDri_alt;  break;
+				case X86_VPCOMDmi:  NewOpc = X86_VPCOMDmi_alt;  break;
+				case X86_VPCOMQri:  NewOpc = X86_VPCOMQri_alt;  break;
+				case X86_VPCOMQmi:  NewOpc = X86_VPCOMQmi_alt;  break;
+				case X86_VPCOMUBri: NewOpc = X86_VPCOMUBri_alt; break;
+				case X86_VPCOMUBmi: NewOpc = X86_VPCOMUBmi_alt; break;
+				case X86_VPCOMUWri: NewOpc = X86_VPCOMUWri_alt; break;
+				case X86_VPCOMUWmi: NewOpc = X86_VPCOMUWmi_alt; break;
+				case X86_VPCOMUDri: NewOpc = X86_VPCOMUDri_alt; break;
+				case X86_VPCOMUDmi: NewOpc = X86_VPCOMUDmi_alt; break;
+				case X86_VPCOMUQri: NewOpc = X86_VPCOMUQri_alt; break;
+				case X86_VPCOMUQmi: NewOpc = X86_VPCOMUQmi_alt; break;
 			}
 			// Switch opcode to the one that doesn't get special printing.
 			if (NewOpc != 0) {
@@ -247,26 +244,161 @@ static void translateImmediate(MCInst *m
 
 			switch (MCInst_getOpcode(mcInst)) {
 				default: break; // unexpected opcode
-				case X86_VCMPPDrmi:  NewOpc = X86_VCMPPDrmi_alt;  break;
-				case X86_VCMPPDrri:  NewOpc = X86_VCMPPDrri_alt;  break;
-				case X86_VCMPPSrmi:  NewOpc = X86_VCMPPSrmi_alt;  break;
-				case X86_VCMPPSrri:  NewOpc = X86_VCMPPSrri_alt;  break;
-				case X86_VCMPSDrm:   NewOpc = X86_VCMPSDrm_alt;   break;
-				case X86_VCMPSDrr:   NewOpc = X86_VCMPSDrr_alt;   break;
-				case X86_VCMPSSrm:   NewOpc = X86_VCMPSSrm_alt;   break;
-				case X86_VCMPSSrr:   NewOpc = X86_VCMPSSrr_alt;   break;
-				case X86_VCMPPDYrmi: NewOpc = X86_VCMPPDYrmi_alt; break;
-				case X86_VCMPPDYrri: NewOpc = X86_VCMPPDYrri_alt; break;
-				case X86_VCMPPSYrmi: NewOpc = X86_VCMPPSYrmi_alt; break;
-				case X86_VCMPPSYrri: NewOpc = X86_VCMPPSYrri_alt; break;
-				case X86_VCMPPDZrmi: NewOpc = X86_VCMPPDZrmi_alt; break;
-				case X86_VCMPPDZrri: NewOpc = X86_VCMPPDZrri_alt; break;
-				case X86_VCMPPSZrmi: NewOpc = X86_VCMPPSZrmi_alt; break;
-				case X86_VCMPPSZrri: NewOpc = X86_VCMPPSZrri_alt; break;
-				case X86_VCMPSDZrm:  NewOpc = X86_VCMPSDZrmi_alt; break;
-				case X86_VCMPSDZrr:  NewOpc = X86_VCMPSDZrri_alt; break;
-				case X86_VCMPSSZrm:  NewOpc = X86_VCMPSSZrmi_alt; break;
-				case X86_VCMPSSZrr:  NewOpc = X86_VCMPSSZrri_alt; break;
+				case X86_VCMPPDrmi:   NewOpc = X86_VCMPPDrmi_alt;   break;
+				case X86_VCMPPDrri:   NewOpc = X86_VCMPPDrri_alt;   break;
+				case X86_VCMPPSrmi:   NewOpc = X86_VCMPPSrmi_alt;   break;
+				case X86_VCMPPSrri:   NewOpc = X86_VCMPPSrri_alt;   break;
+				case X86_VCMPSDrm:    NewOpc = X86_VCMPSDrm_alt;    break;
+				case X86_VCMPSDrr:    NewOpc = X86_VCMPSDrr_alt;    break;
+				case X86_VCMPSSrm:    NewOpc = X86_VCMPSSrm_alt;    break;
+				case X86_VCMPSSrr:    NewOpc = X86_VCMPSSrr_alt;    break;
+				case X86_VCMPPDYrmi:  NewOpc = X86_VCMPPDYrmi_alt;  break;
+				case X86_VCMPPDYrri:  NewOpc = X86_VCMPPDYrri_alt;  break;
+				case X86_VCMPPSYrmi:  NewOpc = X86_VCMPPSYrmi_alt;  break;
+				case X86_VCMPPSYrri:  NewOpc = X86_VCMPPSYrri_alt;  break;
+				case X86_VCMPPDZrmi:  NewOpc = X86_VCMPPDZrmi_alt;  break;
+				case X86_VCMPPDZrri:  NewOpc = X86_VCMPPDZrri_alt;  break;
+				case X86_VCMPPDZrrib: NewOpc = X86_VCMPPDZrrib_alt; break;
+				case X86_VCMPPSZrmi:  NewOpc = X86_VCMPPSZrmi_alt;  break;
+				case X86_VCMPPSZrri:  NewOpc = X86_VCMPPSZrri_alt;  break;
+				case X86_VCMPPSZrrib: NewOpc = X86_VCMPPSZrrib_alt; break;
+				case X86_VCMPSDZrm:   NewOpc = X86_VCMPSDZrmi_alt;  break;
+				case X86_VCMPSDZrr:   NewOpc = X86_VCMPSDZrri_alt;  break;
+				case X86_VCMPSSZrm:   NewOpc = X86_VCMPSSZrmi_alt;  break;
+				case X86_VCMPSSZrr:   NewOpc = X86_VCMPSSZrri_alt;  break;
+			}
+			// Switch opcode to the one that doesn't get special printing.
+			if (NewOpc != 0) {
+				MCInst_setOpcode(mcInst, NewOpc);
+			}
+		}
+#endif
+	} else if (type == TYPE_AVX512ICC) {
+#ifndef CAPSTONE_X86_REDUCE
+		if (immediate >= 8 || ((immediate & 0x3) == 3)) {
+			unsigned NewOpc = 0;
+			switch (MCInst_getOpcode(mcInst)) {
+				default: // llvm_unreachable("unexpected opcode");
+				case X86_VPCMPBZ128rmi:    NewOpc = X86_VPCMPBZ128rmi_alt;    break;
+				case X86_VPCMPBZ128rmik:   NewOpc = X86_VPCMPBZ128rmik_alt;   break;
+				case X86_VPCMPBZ128rri:    NewOpc = X86_VPCMPBZ128rri_alt;    break;
+				case X86_VPCMPBZ128rrik:   NewOpc = X86_VPCMPBZ128rrik_alt;   break;
+				case X86_VPCMPBZ256rmi:    NewOpc = X86_VPCMPBZ256rmi_alt;    break;
+				case X86_VPCMPBZ256rmik:   NewOpc = X86_VPCMPBZ256rmik_alt;   break;
+				case X86_VPCMPBZ256rri:    NewOpc = X86_VPCMPBZ256rri_alt;    break;
+				case X86_VPCMPBZ256rrik:   NewOpc = X86_VPCMPBZ256rrik_alt;   break;
+				case X86_VPCMPBZrmi:       NewOpc = X86_VPCMPBZrmi_alt;       break;
+				case X86_VPCMPBZrmik:      NewOpc = X86_VPCMPBZrmik_alt;      break;
+				case X86_VPCMPBZrri:       NewOpc = X86_VPCMPBZrri_alt;       break;
+				case X86_VPCMPBZrrik:      NewOpc = X86_VPCMPBZrrik_alt;      break;
+				case X86_VPCMPDZ128rmi:    NewOpc = X86_VPCMPDZ128rmi_alt;    break;
+				case X86_VPCMPDZ128rmib:   NewOpc = X86_VPCMPDZ128rmib_alt;   break;
+				case X86_VPCMPDZ128rmibk:  NewOpc = X86_VPCMPDZ128rmibk_alt;  break;
+				case X86_VPCMPDZ128rmik:   NewOpc = X86_VPCMPDZ128rmik_alt;   break;
+				case X86_VPCMPDZ128rri:    NewOpc = X86_VPCMPDZ128rri_alt;    break;
+				case X86_VPCMPDZ128rrik:   NewOpc = X86_VPCMPDZ128rrik_alt;   break;
+				case X86_VPCMPDZ256rmi:    NewOpc = X86_VPCMPDZ256rmi_alt;    break;
+				case X86_VPCMPDZ256rmib:   NewOpc = X86_VPCMPDZ256rmib_alt;   break;
+				case X86_VPCMPDZ256rmibk:  NewOpc = X86_VPCMPDZ256rmibk_alt;  break;
+				case X86_VPCMPDZ256rmik:   NewOpc = X86_VPCMPDZ256rmik_alt;   break;
+				case X86_VPCMPDZ256rri:    NewOpc = X86_VPCMPDZ256rri_alt;    break;
+				case X86_VPCMPDZ256rrik:   NewOpc = X86_VPCMPDZ256rrik_alt;   break;
+				case X86_VPCMPDZrmi:       NewOpc = X86_VPCMPDZrmi_alt;       break;
+				case X86_VPCMPDZrmib:      NewOpc = X86_VPCMPDZrmib_alt;      break;
+				case X86_VPCMPDZrmibk:     NewOpc = X86_VPCMPDZrmibk_alt;     break;
+				case X86_VPCMPDZrmik:      NewOpc = X86_VPCMPDZrmik_alt;      break;
+				case X86_VPCMPDZrri:       NewOpc = X86_VPCMPDZrri_alt;       break;
+				case X86_VPCMPDZrrik:      NewOpc = X86_VPCMPDZrrik_alt;      break;
+				case X86_VPCMPQZ128rmi:    NewOpc = X86_VPCMPQZ128rmi_alt;    break;
+				case X86_VPCMPQZ128rmib:   NewOpc = X86_VPCMPQZ128rmib_alt;   break;
+				case X86_VPCMPQZ128rmibk:  NewOpc = X86_VPCMPQZ128rmibk_alt;  break;
+				case X86_VPCMPQZ128rmik:   NewOpc = X86_VPCMPQZ128rmik_alt;   break;
+				case X86_VPCMPQZ128rri:    NewOpc = X86_VPCMPQZ128rri_alt;    break;
+				case X86_VPCMPQZ128rrik:   NewOpc = X86_VPCMPQZ128rrik_alt;   break;
+				case X86_VPCMPQZ256rmi:    NewOpc = X86_VPCMPQZ256rmi_alt;    break;
+				case X86_VPCMPQZ256rmib:   NewOpc = X86_VPCMPQZ256rmib_alt;   break;
+				case X86_VPCMPQZ256rmibk:  NewOpc = X86_VPCMPQZ256rmibk_alt;  break;
+				case X86_VPCMPQZ256rmik:   NewOpc = X86_VPCMPQZ256rmik_alt;   break;
+				case X86_VPCMPQZ256rri:    NewOpc = X86_VPCMPQZ256rri_alt;    break;
+				case X86_VPCMPQZ256rrik:   NewOpc = X86_VPCMPQZ256rrik_alt;   break;
+				case X86_VPCMPQZrmi:       NewOpc = X86_VPCMPQZrmi_alt;       break;
+				case X86_VPCMPQZrmib:      NewOpc = X86_VPCMPQZrmib_alt;      break;
+				case X86_VPCMPQZrmibk:     NewOpc = X86_VPCMPQZrmibk_alt;     break;
+				case X86_VPCMPQZrmik:      NewOpc = X86_VPCMPQZrmik_alt;      break;
+				case X86_VPCMPQZrri:       NewOpc = X86_VPCMPQZrri_alt;       break;
+				case X86_VPCMPQZrrik:      NewOpc = X86_VPCMPQZrrik_alt;      break;
+				case X86_VPCMPUBZ128rmi:   NewOpc = X86_VPCMPUBZ128rmi_alt;   break;
+				case X86_VPCMPUBZ128rmik:  NewOpc = X86_VPCMPUBZ128rmik_alt;  break;
+				case X86_VPCMPUBZ128rri:   NewOpc = X86_VPCMPUBZ128rri_alt;   break;
+				case X86_VPCMPUBZ128rrik:  NewOpc = X86_VPCMPUBZ128rrik_alt;  break;
+				case X86_VPCMPUBZ256rmi:   NewOpc = X86_VPCMPUBZ256rmi_alt;   break;
+				case X86_VPCMPUBZ256rmik:  NewOpc = X86_VPCMPUBZ256rmik_alt;  break;
+				case X86_VPCMPUBZ256rri:   NewOpc = X86_VPCMPUBZ256rri_alt;   break;
+				case X86_VPCMPUBZ256rrik:  NewOpc = X86_VPCMPUBZ256rrik_alt;  break;
+				case X86_VPCMPUBZrmi:      NewOpc = X86_VPCMPUBZrmi_alt;      break;
+				case X86_VPCMPUBZrmik:     NewOpc = X86_VPCMPUBZrmik_alt;     break;
+				case X86_VPCMPUBZrri:      NewOpc = X86_VPCMPUBZrri_alt;      break;
+				case X86_VPCMPUBZrrik:     NewOpc = X86_VPCMPUBZrrik_alt;     break;
+				case X86_VPCMPUDZ128rmi:   NewOpc = X86_VPCMPUDZ128rmi_alt;   break;
+				case X86_VPCMPUDZ128rmib:  NewOpc = X86_VPCMPUDZ128rmib_alt;  break;
+				case X86_VPCMPUDZ128rmibk: NewOpc = X86_VPCMPUDZ128rmibk_alt; break;
+				case X86_VPCMPUDZ128rmik:  NewOpc = X86_VPCMPUDZ128rmik_alt;  break;
+				case X86_VPCMPUDZ128rri:   NewOpc = X86_VPCMPUDZ128rri_alt;   break;
+				case X86_VPCMPUDZ128rrik:  NewOpc = X86_VPCMPUDZ128rrik_alt;  break;
+				case X86_VPCMPUDZ256rmi:   NewOpc = X86_VPCMPUDZ256rmi_alt;   break;
+				case X86_VPCMPUDZ256rmib:  NewOpc = X86_VPCMPUDZ256rmib_alt;  break;
+				case X86_VPCMPUDZ256rmibk: NewOpc = X86_VPCMPUDZ256rmibk_alt; break;
+				case X86_VPCMPUDZ256rmik:  NewOpc = X86_VPCMPUDZ256rmik_alt;  break;
+				case X86_VPCMPUDZ256rri:   NewOpc = X86_VPCMPUDZ256rri_alt;   break;
+				case X86_VPCMPUDZ256rrik:  NewOpc = X86_VPCMPUDZ256rrik_alt;  break;
+				case X86_VPCMPUDZrmi:      NewOpc = X86_VPCMPUDZrmi_alt;      break;
+				case X86_VPCMPUDZrmib:     NewOpc = X86_VPCMPUDZrmib_alt;     break;
+				case X86_VPCMPUDZrmibk:    NewOpc = X86_VPCMPUDZrmibk_alt;    break;
+				case X86_VPCMPUDZrmik:     NewOpc = X86_VPCMPUDZrmik_alt;     break;
+				case X86_VPCMPUDZrri:      NewOpc = X86_VPCMPUDZrri_alt;      break;
+				case X86_VPCMPUDZrrik:     NewOpc = X86_VPCMPUDZrrik_alt;     break;
+				case X86_VPCMPUQZ128rmi:   NewOpc = X86_VPCMPUQZ128rmi_alt;   break;
+				case X86_VPCMPUQZ128rmib:  NewOpc = X86_VPCMPUQZ128rmib_alt;  break;
+				case X86_VPCMPUQZ128rmibk: NewOpc = X86_VPCMPUQZ128rmibk_alt; break;
+				case X86_VPCMPUQZ128rmik:  NewOpc = X86_VPCMPUQZ128rmik_alt;  break;
+				case X86_VPCMPUQZ128rri:   NewOpc = X86_VPCMPUQZ128rri_alt;   break;
+				case X86_VPCMPUQZ128rrik:  NewOpc = X86_VPCMPUQZ128rrik_alt;  break;
+				case X86_VPCMPUQZ256rmi:   NewOpc = X86_VPCMPUQZ256rmi_alt;   break;
+				case X86_VPCMPUQZ256rmib:  NewOpc = X86_VPCMPUQZ256rmib_alt;  break;
+				case X86_VPCMPUQZ256rmibk: NewOpc = X86_VPCMPUQZ256rmibk_alt; break;
+				case X86_VPCMPUQZ256rmik:  NewOpc = X86_VPCMPUQZ256rmik_alt;  break;
+				case X86_VPCMPUQZ256rri:   NewOpc = X86_VPCMPUQZ256rri_alt;   break;
+				case X86_VPCMPUQZ256rrik:  NewOpc = X86_VPCMPUQZ256rrik_alt;  break;
+				case X86_VPCMPUQZrmi:      NewOpc = X86_VPCMPUQZrmi_alt;      break;
+				case X86_VPCMPUQZrmib:     NewOpc = X86_VPCMPUQZrmib_alt;     break;
+				case X86_VPCMPUQZrmibk:    NewOpc = X86_VPCMPUQZrmibk_alt;    break;
+				case X86_VPCMPUQZrmik:     NewOpc = X86_VPCMPUQZrmik_alt;     break;
+				case X86_VPCMPUQZrri:      NewOpc = X86_VPCMPUQZrri_alt;      break;
+				case X86_VPCMPUQZrrik:     NewOpc = X86_VPCMPUQZrrik_alt;     break;
+				case X86_VPCMPUWZ128rmi:   NewOpc = X86_VPCMPUWZ128rmi_alt;   break;
+				case X86_VPCMPUWZ128rmik:  NewOpc = X86_VPCMPUWZ128rmik_alt;  break;
+				case X86_VPCMPUWZ128rri:   NewOpc = X86_VPCMPUWZ128rri_alt;   break;
+				case X86_VPCMPUWZ128rrik:  NewOpc = X86_VPCMPUWZ128rrik_alt;  break;
+				case X86_VPCMPUWZ256rmi:   NewOpc = X86_VPCMPUWZ256rmi_alt;   break;
+				case X86_VPCMPUWZ256rmik:  NewOpc = X86_VPCMPUWZ256rmik_alt;  break;
+				case X86_VPCMPUWZ256rri:   NewOpc = X86_VPCMPUWZ256rri_alt;   break;
+				case X86_VPCMPUWZ256rrik:  NewOpc = X86_VPCMPUWZ256rrik_alt;  break;
+				case X86_VPCMPUWZrmi:      NewOpc = X86_VPCMPUWZrmi_alt;      break;
+				case X86_VPCMPUWZrmik:     NewOpc = X86_VPCMPUWZrmik_alt;     break;
+				case X86_VPCMPUWZrri:      NewOpc = X86_VPCMPUWZrri_alt;      break;
+				case X86_VPCMPUWZrrik:     NewOpc = X86_VPCMPUWZrrik_alt;     break;
+				case X86_VPCMPWZ128rmi:    NewOpc = X86_VPCMPWZ128rmi_alt;    break;
+				case X86_VPCMPWZ128rmik:   NewOpc = X86_VPCMPWZ128rmik_alt;   break;
+				case X86_VPCMPWZ128rri:    NewOpc = X86_VPCMPWZ128rri_alt;    break;
+				case X86_VPCMPWZ128rrik:   NewOpc = X86_VPCMPWZ128rrik_alt;   break;
+				case X86_VPCMPWZ256rmi:    NewOpc = X86_VPCMPWZ256rmi_alt;    break;
+				case X86_VPCMPWZ256rmik:   NewOpc = X86_VPCMPWZ256rmik_alt;   break;
+				case X86_VPCMPWZ256rri:    NewOpc = X86_VPCMPWZ256rri_alt;    break;
+				case X86_VPCMPWZ256rrik:   NewOpc = X86_VPCMPWZ256rrik_alt;   break;
+				case X86_VPCMPWZrmi:       NewOpc = X86_VPCMPWZrmi_alt;       break;
+				case X86_VPCMPWZrmik:      NewOpc = X86_VPCMPWZrmik_alt;      break;
+				case X86_VPCMPWZrri:       NewOpc = X86_VPCMPWZrri_alt;       break;
+				case X86_VPCMPWZrrik:      NewOpc = X86_VPCMPWZrrik_alt;      break;
 			}
 			// Switch opcode to the one that doesn't get special printing.
 			if (NewOpc != 0) {
@@ -555,8 +687,6 @@ static bool translateRM(MCInst *mcInst,
 		case TYPE_R32:
 		case TYPE_R64:
 		case TYPE_Rv:
-		case TYPE_MM:
-		case TYPE_MM32:
 		case TYPE_MM64:
 		case TYPE_XMM:
 		case TYPE_XMM32:
@@ -582,9 +712,6 @@ static bool translateRM(MCInst *mcInst,
 		case TYPE_M32FP:
 		case TYPE_M64FP:
 		case TYPE_M80FP:
-		case TYPE_M16INT:
-		case TYPE_M32INT:
-		case TYPE_M64INT:
 		case TYPE_M1616:
 		case TYPE_M1632:
 		case TYPE_M1664:
@@ -730,13 +857,8 @@ static int reader(const struct reader_in
 }
 
 // copy x86 detail information from internal structure to public structure
-static void update_pub_insn(cs_insn *pub, InternalInstruction *inter, uint8_t *prefixes)
+static void update_pub_insn(cs_insn *pub, InternalInstruction *inter)
 {
-	prefixes[0] = inter->prefix0;
-	prefixes[1] = inter->prefix1;
-	prefixes[2] = inter->prefix2;
-	prefixes[3] = inter->prefix3;
-
 	if (inter->vectorExtensionType != 0)
 		memcpy(pub->detail->x86.opcode, inter->vectorExtensionPrefix, sizeof(pub->detail->x86.opcode));
 	else {
@@ -759,12 +881,22 @@ static void update_pub_insn(cs_insn *pub
 	pub->detail->x86.addr_size = inter->addressSize;
 
 	pub->detail->x86.modrm = inter->orgModRM;
-	pub->detail->x86.sib = inter->sib;
-	pub->detail->x86.disp = inter->displacement;
+	pub->detail->x86.encoding.modrm_offset = inter->modRMOffset;
 
+	pub->detail->x86.sib = inter->sib;
 	pub->detail->x86.sib_index = x86_map_sib_index(inter->sibIndex);
 	pub->detail->x86.sib_scale = inter->sibScale;
 	pub->detail->x86.sib_base = x86_map_sib_base(inter->sibBase);
+
+	pub->detail->x86.disp = inter->displacement;
+	if (inter->consumedDisplacement) {
+		pub->detail->x86.encoding.disp_offset = inter->displacementOffset;
+		pub->detail->x86.encoding.disp_size = inter->displacementSize;
+	}
+
+	pub->detail->x86.encoding.imm_offset = inter->immediateOffset;
+	if (pub->detail->x86.encoding.imm_size == 0 && inter->immediateOffset != 0)
+		pub->detail->x86.encoding.imm_size = inter->immediateSize;
 }
 
 void X86_init(MCRegisterInfo *MRI)
@@ -791,7 +923,7 @@ bool X86_getInstruction(csh ud, const ui
 		MCInst *instr, uint16_t *size, uint64_t address, void *_info)
 {
 	cs_struct *handle = (cs_struct *)(uintptr_t)ud;
-	InternalInstruction insn;
+	InternalInstruction insn = {0};
 	struct reader_info info;
 	int ret;
 	bool result;
@@ -800,18 +932,22 @@ bool X86_getInstruction(csh ud, const ui
 	info.size = code_len;
 	info.offset = address;
 
-	memset(&insn, 0, offsetof(InternalInstruction, reader));
-
 	if (instr->flat_insn->detail) {
-		instr->flat_insn->detail->x86.op_count = 0;
-		instr->flat_insn->detail->x86.sse_cc = X86_SSE_CC_INVALID;
-		instr->flat_insn->detail->x86.avx_cc = X86_AVX_CC_INVALID;
-		instr->flat_insn->detail->x86.avx_sae = false;
-		instr->flat_insn->detail->x86.avx_rm = X86_AVX_RM_INVALID;
-
-		memset(instr->flat_insn->detail->x86.prefix, 0, sizeof(instr->flat_insn->detail->x86.prefix));
-		memset(instr->flat_insn->detail->x86.opcode, 0, sizeof(instr->flat_insn->detail->x86.opcode));
-		memset(instr->flat_insn->detail->x86.operands, 0, sizeof(instr->flat_insn->detail->x86.operands));
+		// instr->flat_insn->detail initialization: 3 alternatives
+
+		// 1. The whole structure, this is how it's done in other arch disassemblers
+		// Probably overkill since cs_detail is huge because of the 36 operands of ARM
+		
+		//memset(instr->flat_insn->detail, 0, sizeof(cs_detail));
+
+		// 2. Only the part relevant to x86
+		memset(instr->flat_insn->detail, 0, offsetof(cs_detail, x86) + sizeof(cs_x86));
+
+		// 3. The relevant part except for x86.operands
+		// sizeof(cs_x86) is 0x1c0, sizeof(x86.operands) is 0x180
+		// marginally faster, should be okay since x86.op_count is set to 0
+
+		//memset(instr->flat_insn->detail, 0, offsetof(cs_detail, x86)+offsetof(cs_x86, operands));
 	}
 
 	if (handle->mode & CS_MODE_16)
@@ -832,6 +968,66 @@ bool X86_getInstruction(csh ud, const ui
 
 	if (ret) {
 		*size = (uint16_t)(insn.readerCursor - address);
+		// handle some special cases here.
+		// FIXME: fix this in the next major update.
+		switch(*size) {
+			default:
+				break;
+			case 2: {
+						unsigned char b1 = 0, b2 = 0;
+
+						reader(&info, &b1, address);
+						reader(&info, &b2, address + 1);
+						if (b1 == 0x0f && b2 == 0xff) {
+							instr->Opcode = X86_UD0;
+							instr->OpcodePub = X86_INS_UD0;
+							strncpy(instr->assembly, "ud0", 4);
+							if (instr->flat_insn->detail) {
+								instr->flat_insn->detail->x86.opcode[0] = b1;
+								instr->flat_insn->detail->x86.opcode[1] = b2;
+							}
+							return true;
+						}
+				}
+				return false;
+			case 4: {
+#ifndef CAPSTONE_X86_REDUCE
+						if (handle->mode != CS_MODE_16) {
+							unsigned char b1 = 0, b2 = 0, b3 = 0, b4 = 0;
+
+							reader(&info, &b1, address);
+							reader(&info, &b2, address + 1);
+							reader(&info, &b3, address + 2);
+							reader(&info, &b4, address + 3);
+
+							if (b1 == 0xf3 && b2 == 0x0f && b3 == 0x1e && b4 == 0xfa) {
+								instr->Opcode = X86_ENDBR64;
+								instr->OpcodePub = X86_INS_ENDBR64;
+								strncpy(instr->assembly, "endbr64", 8);
+								if (instr->flat_insn->detail) {
+									instr->flat_insn->detail->x86.opcode[0] = b1;
+									instr->flat_insn->detail->x86.opcode[1] = b2;
+									instr->flat_insn->detail->x86.opcode[2] = b3;
+									instr->flat_insn->detail->x86.opcode[3] = b4;
+								}
+								return true;
+							} else if (b1 == 0xf3 && b2 == 0x0f && b3 == 0x1e && b4 == 0xfb) {
+								instr->Opcode = X86_ENDBR32;
+								instr->OpcodePub = X86_INS_ENDBR32;
+								strncpy(instr->assembly, "endbr32", 8);
+								if (instr->flat_insn->detail) {
+									instr->flat_insn->detail->x86.opcode[0] = b1;
+									instr->flat_insn->detail->x86.opcode[1] = b2;
+									instr->flat_insn->detail->x86.opcode[2] = b3;
+									instr->flat_insn->detail->x86.opcode[3] = b4;
+								}
+								return true;
+							}
+						}
+#endif
+				}
+				return false;
+		}
 
 		return false;
 	} else {
@@ -850,14 +1046,16 @@ bool X86_getInstruction(csh ud, const ui
 			}
 
 			instr->imm_size = insn.immSize;
+
+			// copy all prefixes
+			instr->x86_prefix[0] = insn.prefix0;
+			instr->x86_prefix[1] = insn.prefix1;
+			instr->x86_prefix[2] = insn.prefix2;
+			instr->x86_prefix[3] = insn.prefix3;
+			instr->xAcquireRelease = insn.xAcquireRelease;
+
 			if (handle->detail) {
-				update_pub_insn(instr->flat_insn, &insn, instr->x86_prefix);
-			} else {
-				// still copy all prefixes
-				instr->x86_prefix[0] = insn.prefix0;
-				instr->x86_prefix[1] = insn.prefix1;
-				instr->x86_prefix[2] = insn.prefix2;
-				instr->x86_prefix[3] = insn.prefix3;
+				update_pub_insn(instr->flat_insn, &insn);
 			}
 		}
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoder.c 4.0.2-3/arch/X86/X86DisassemblerDecoder.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoder.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86DisassemblerDecoder.c	2020-05-08 10:03:30.000000000 +0000
@@ -14,7 +14,7 @@
  *===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_X86
 
@@ -349,8 +349,7 @@ CONSUME_FUNC(consumeUInt64, uint64_t)
  * @param location  - The location where the prefix is located (in the address
  *                    space of the instruction's reader).
  */
-static void setPrefixPresent(struct InternalInstruction *insn,
-		uint8_t prefix, uint64_t location)
+static void setPrefixPresent(struct InternalInstruction *insn, uint8_t prefix, uint64_t location)
 {
 	switch (prefix) {
 	case 0x26:
@@ -547,7 +546,8 @@ static int readPrefixes(struct InternalI
 			 */
 			if (((nextByte == 0xf0) ||
 				((nextByte & 0xfe) == 0x86 || (nextByte & 0xf8) == 0x90)))
-				insn->xAcquireRelease = true;
+				insn->xAcquireRelease = byte;
+
 			/*
 			 * Also if the byte is 0xf3, and the following condition is met:
 			 * - it is followed by a "mov mem, reg" (opcode 0x88/0x89) or
@@ -557,7 +557,7 @@ static int readPrefixes(struct InternalI
 			if (byte == 0xf3 &&
 					(nextByte == 0x88 || nextByte == 0x89 ||
 					 nextByte == 0xc6 || nextByte == 0xc7))
-				insn->xAcquireRelease = true;
+				insn->xAcquireRelease = byte;
 
 			if (insn->mode == MODE_64BIT && (nextByte & 0xf0) == 0x40) {
 				if (consumeByte(insn, &nextByte))
@@ -1153,6 +1153,16 @@ static bool is16BitEquivalent(unsigned o
 }
 
 /*
+ * is64Bit - Determines whether this instruction is a 64-bit instruction.
+ *
+ * @param name - The instruction that is not 16-bit
+ */
+static bool is64Bit(uint16_t id)
+{
+	return is_64bit_insn[id];
+}
+
+/*
  * getID - Determines the ID of an instruction, consuming the ModR/M byte as
  *   appropriate for extended and escape opcodes.  Determines the attributes and
  *   context for the instruction before doing so.
@@ -1165,7 +1175,6 @@ static int getID(struct InternalInstruct
 {
 	uint16_t attrMask;
 	uint16_t instructionID;
-	const struct InstructionSpecifier *spec;
 
 	// printf(">>> getID()\n");
 	attrMask = ATTR_NONE;
@@ -1262,38 +1271,76 @@ static int getID(struct InternalInstruct
 	if (insn->rexPrefix & 0x08)
 		attrMask |= ATTR_REXW;
 
-	if (getIDWithAttrMask(&instructionID, insn, attrMask))
-		return -1;
-
-	/* Fixing CALL and JMP instruction when in 64bit mode and x66 prefix is used */
-	if (insn->mode == MODE_64BIT && insn->isPrefix66 &&
-	   (insn->opcode == 0xE8 || insn->opcode == 0xE9))
-	{
-		attrMask ^= ATTR_OPSIZE;
-		if (getIDWithAttrMask(&instructionID, insn, attrMask))
-			return -1;
-	}
-
-
 	/*
 	 * JCXZ/JECXZ need special handling for 16-bit mode because the meaning
 	 * of the AdSize prefix is inverted w.r.t. 32-bit mode.
 	 */
-	if (insn->mode == MODE_16BIT && insn->opcode == 0xE3) {
-		spec = specifierForUID(instructionID);
+	if (insn->mode == MODE_16BIT && insn->opcodeType == ONEBYTE &&
+			insn->opcode == 0xE3)
+		attrMask ^= ATTR_ADSIZE;
+
+	if (getIDWithAttrMask(&instructionID, insn, attrMask))
+		return -1;
 
+	/* The following clauses compensate for limitations of the tables. */
+	if (insn->mode != MODE_64BIT &&
+			insn->vectorExtensionType != TYPE_NO_VEX_XOP) {
 		/*
-		 * Check for Ii8PCRel instructions. We could alternatively do a
-		 * string-compare on the names, but this is probably cheaper.
+		 * The tables can't distinquish between cases where the W-bit is used to
+		 * select register size and cases where its a required part of the opcode.
 		 */
-		if (x86OperandSets[spec->operands][0].type == TYPE_REL8) {
-			attrMask ^= ATTR_ADSIZE;
-			if (getIDWithAttrMask(&instructionID, insn, attrMask))
-				return -1;
+		if ((insn->vectorExtensionType == TYPE_EVEX &&
+					wFromEVEX3of4(insn->vectorExtensionPrefix[2])) ||
+				(insn->vectorExtensionType == TYPE_VEX_3B &&
+				 wFromVEX3of3(insn->vectorExtensionPrefix[2])) ||
+				(insn->vectorExtensionType == TYPE_XOP &&
+				 wFromXOP3of3(insn->vectorExtensionPrefix[2]))) {
+			uint16_t instructionIDWithREXW;
+			if (getIDWithAttrMask(&instructionIDWithREXW,
+						insn, attrMask | ATTR_REXW)) {
+				insn->instructionID = instructionID;
+				insn->spec = specifierForUID(instructionID);
+
+				return 0;
+			}
+
+			// If not a 64-bit instruction. Switch the opcode.
+			if (!is64Bit(instructionIDWithREXW)) {
+				insn->instructionID = instructionIDWithREXW;
+				insn->spec = specifierForUID(instructionIDWithREXW);
+
+				return 0;
+			}
 		}
 	}
 
-	/* The following clauses compensate for limitations of the tables. */
+	/*
+	 * Absolute moves need special handling.
+	 * -For 16-bit mode because the meaning of the AdSize and OpSize prefixes are
+	 *  inverted w.r.t.
+	 * -For 32-bit mode we need to ensure the ADSIZE prefix is observed in
+	 *  any position.
+	 */
+	if (insn->opcodeType == ONEBYTE && ((insn->opcode & 0xFC) == 0xA0)) {
+		/* Make sure we observed the prefixes in any position. */
+		if (insn->isPrefix67)
+			attrMask |= ATTR_ADSIZE;
+		if (insn->isPrefix66)
+			attrMask |= ATTR_OPSIZE;
+
+		/* In 16-bit, invert the attributes. */
+		if (insn->mode == MODE_16BIT)
+			attrMask ^= ATTR_ADSIZE | ATTR_OPSIZE;
+
+		if (getIDWithAttrMask(&instructionID, insn, attrMask))
+			return -1;
+
+		insn->instructionID = instructionID;
+		insn->spec = specifierForUID(instructionID);
+
+		return 0;
+	}
+
 	if ((insn->mode == MODE_16BIT || insn->isPrefix66) &&
 			!(attrMask & ATTR_OPSIZE)) {
 		/*
@@ -1536,6 +1583,8 @@ static int readModRM(struct InternalInst
 	if (insn->consumedModRM)
 		return 0;
 
+	insn->modRMOffset = (uint8_t)(insn->readerCursor - insn->startLocation);
+
 	if (consumeByte(insn, &insn->modRM))
 		return -1;
 
@@ -1681,106 +1730,58 @@ static int readModRM(struct InternalInst
 }
 
 #define GENERIC_FIXUP_FUNC(name, base, prefix)            \
-	static uint8_t name(struct InternalInstruction *insn,   \
-			OperandType type,                   \
-			uint8_t index,                      \
-			uint8_t *valid) {                   \
-		*valid = 1;                                           \
-		switch (type) {                                       \
-			case TYPE_R8:       \
-			    insn->operandSize = 1; \
-				break; \
-			case TYPE_R16:      \
-			    insn->operandSize = 2; \
-				break; \
-			case TYPE_R32:      \
-			    insn->operandSize = 4; \
-				break; \
-			case TYPE_R64:      \
-			    insn->operandSize = 8; \
-				break; \
-			case TYPE_XMM512:   \
-			    insn->operandSize = 64; \
-				break; \
-			case TYPE_XMM256:   \
-			    insn->operandSize = 32; \
-				break; \
-			case TYPE_XMM128:   \
-			    insn->operandSize = 16; \
-				break; \
-			case TYPE_XMM64:    \
-			    insn->operandSize = 8; \
-				break; \
-			case TYPE_XMM32:    \
-			    insn->operandSize = 4; \
-				break; \
-			case TYPE_XMM:      \
-			    insn->operandSize = 2; \
-				break; \
-			case TYPE_MM64:     \
-			    insn->operandSize = 8; \
-				break; \
-			case TYPE_MM32:     \
-			    insn->operandSize = 4; \
-				break; \
-			case TYPE_MM:       \
-			    insn->operandSize = 2; \
-				break; \
-			case TYPE_CONTROLREG: \
-			    insn->operandSize = 4; \
-				break; \
-			default: break; \
-		} \
-		switch (type) {                                           \
-			default:                                              \
-				*valid = 0;                                       \
-				return 0;                                         \
-			case TYPE_Rv:                                         \
-				return (uint8_t)(base + index);                   \
-			case TYPE_R8:                                         \
-				if (insn->rexPrefix &&                            \
-					index >= 4 && index <= 7) { \
-					return prefix##_SPL + (index - 4);        \
-				} else {                                      \
-					return prefix##_AL + index;               \
-				}                                             \
-			case TYPE_R16:                                        \
-				return prefix##_AX + index;                       \
-			case TYPE_R32:                                        \
-				return prefix##_EAX + index;                      \
-			case TYPE_R64:                                        \
-				return prefix##_RAX + index;                      \
-			case TYPE_XMM512:                                     \
-				return prefix##_ZMM0 + index;                     \
-			case TYPE_XMM256:                                     \
-				return prefix##_YMM0 + index;                     \
-			case TYPE_XMM128:                                     \
-			case TYPE_XMM64:                                      \
-			case TYPE_XMM32:                                      \
-			case TYPE_XMM:                                        \
-				return prefix##_XMM0 + index;                     \
-			case TYPE_VK1:                                        \
-			case TYPE_VK8:                                        \
-			case TYPE_VK16:                                       \
-				if (index > 7)                                    \
-					*valid = 0;                                   \
-				return prefix##_K0 + index;                       \
-			case TYPE_MM64:                                       \
-			case TYPE_MM32:                                       \
-			case TYPE_MM:                                         \
-				return prefix##_MM0 + (index & 7);                \
-			case TYPE_SEGMENTREG:                                 \
-				if (index > 5)                                    \
-					*valid = 0;                                   \
-				return prefix##_ES + index;                       \
-			case TYPE_DEBUGREG:                                   \
-				if (index > 7)                                    \
-					*valid = 0;                                   \
-				return prefix##_DR0 + index;                      \
-			case TYPE_CONTROLREG:                                 \
-				return prefix##_CR0 + index;                      \
-		}                                                         \
-	}
+  static uint8_t name(struct InternalInstruction *insn,   \
+                      OperandType type,                   \
+                      uint8_t index,                      \
+                      uint8_t *valid) {                   \
+    *valid = 1;                                           \
+    switch (type) {                                       \
+    default:                                              \
+      *valid = 0;                                         \
+      return 0;                                           \
+    case TYPE_Rv:                                         \
+      return base + index;                                \
+    case TYPE_R8:                                         \
+      if (insn->rexPrefix &&                              \
+         index >= 4 && index <= 7) {                      \
+        return prefix##_SPL + (index - 4);                \
+      } else {                                            \
+        return prefix##_AL + index;                       \
+      }                                                   \
+    case TYPE_R16:                                        \
+      return prefix##_AX + index;                         \
+    case TYPE_R32:                                        \
+      return prefix##_EAX + index;                        \
+    case TYPE_R64:                                        \
+      return prefix##_RAX + index;                        \
+    case TYPE_XMM512:                                     \
+      return prefix##_ZMM0 + index;                       \
+    case TYPE_XMM256:                                     \
+      return prefix##_YMM0 + index;                       \
+    case TYPE_XMM128:                                     \
+    case TYPE_XMM64:                                      \
+    case TYPE_XMM32:                                      \
+    case TYPE_XMM:                                        \
+      return prefix##_XMM0 + index;                       \
+    case TYPE_VK1:                                        \
+    case TYPE_VK8:                                        \
+    case TYPE_VK16:                                       \
+      if (index > 7)                                      \
+        *valid = 0;                                       \
+      return prefix##_K0 + index;                         \
+    case TYPE_MM64:                                       \
+      return prefix##_MM0 + (index & 0x7);                \
+    case TYPE_SEGMENTREG:                                 \
+      if (index > 5)                                      \
+        *valid = 0;                                       \
+      return prefix##_ES + index;                         \
+    case TYPE_DEBUGREG:                                   \
+      return prefix##_DR0 + index;                        \
+    case TYPE_CONTROLREG:                                 \
+      return prefix##_CR0 + index;                        \
+    }                                                     \
+  }
+
 
 /*
  * fixup*Value - Consults an operand type to determine the meaning of the
@@ -2008,7 +2009,7 @@ static int readMaskRegister(struct Inter
 
 	return 0;
 }
-	 
+
 /*
  * readOperands - Consults the specifier for an instruction and consumes all
  *   operands for that instruction, interpreting them as it goes.
@@ -2022,7 +2023,7 @@ static int readOperands(struct InternalI
 	int hasVVVV, needVVVV;
 	int sawRegImm = 0;
 
-	// printf(">>> readOperands()\n");
+	// printf(">>> readOperands(): ID = %u\n", insn->instructionID);
 	/* If non-zero vvvv specified, need to make sure one of the operands
 	   uses it. */
 	hasVVVV = !readVVVV(insn);
@@ -2043,7 +2044,7 @@ static int readOperands(struct InternalI
 					return -1;
 				// Apply the AVX512 compressed displacement scaling factor.
 				if (x86OperandSets[insn->spec->operands][index].encoding != ENCODING_REG && insn->eaDisplacement == EA_DISP_8)
-					insn->displacement *= 1 << (x86OperandSets[insn->spec->operands][index].encoding - ENCODING_RM);
+					insn->displacement *= (int64_t)1 << (x86OperandSets[insn->spec->operands][index].encoding - ENCODING_RM);
 				break;
 			case ENCODING_CB:
 			case ENCODING_CW:
@@ -2087,6 +2088,15 @@ static int readOperands(struct InternalI
 			case ENCODING_Ia:
 				if (readImmediate(insn, insn->addressSize))
 					return -1;
+				/* Direct memory-offset (moffset) immediate will get mapped
+				   to memory operand later. We want the encoding info to
+				   reflect that as well. */
+				insn->displacementOffset = insn->immediateOffset;
+				insn->consumedDisplacement = true;
+				insn->displacementSize = insn->immediateSize;
+				insn->displacement = insn->immediates[insn->numImmediatesConsumed - 1];
+				insn->immediateOffset = 0;
+				insn->immediateSize = 0;
 				break;
 			case ENCODING_RB:
 				if (readOpcodeRegister(insn, 1))
@@ -2136,7 +2146,7 @@ static int readOperands(struct InternalI
 }
 
 // return True if instruction is illegal to use with prefixes
-// This also check & fix the prefixPresent[] when a prefix is irrelevant.
+// This also check & fix the isPrefixNN when a prefix is irrelevant.
 static bool checkPrefix(struct InternalInstruction *insn)
 {
 	// LOCK prefix
@@ -2152,8 +2162,6 @@ static bool checkPrefix(struct InternalI
 			// DEC
 			case X86_DEC16m:
 			case X86_DEC32m:
-			case X86_DEC64_16m:
-			case X86_DEC64_32m:
 			case X86_DEC64m:
 			case X86_DEC8m:
 
@@ -2168,7 +2176,12 @@ static bool checkPrefix(struct InternalI
 			case X86_ADC64mi8:
 			case X86_ADC64mr:
 			case X86_ADC8mi:
+			case X86_ADC8mi8:
 			case X86_ADC8mr:
+			case X86_ADC8rm:
+			case X86_ADC16rm:
+			case X86_ADC32rm:
+			case X86_ADC64rm:
 
 			// ADD
 			case X86_ADD16mi:
@@ -2181,7 +2194,12 @@ static bool checkPrefix(struct InternalI
 			case X86_ADD64mi8:
 			case X86_ADD64mr:
 			case X86_ADD8mi:
+			case X86_ADD8mi8:
 			case X86_ADD8mr:
+			case X86_ADD8rm:
+			case X86_ADD16rm:
+			case X86_ADD32rm:
+			case X86_ADD64rm:
 
 			// AND
 			case X86_AND16mi:
@@ -2194,7 +2212,13 @@ static bool checkPrefix(struct InternalI
 			case X86_AND64mi8:
 			case X86_AND64mr:
 			case X86_AND8mi:
+			case X86_AND8mi8:
 			case X86_AND8mr:
+			case X86_AND8rm:
+			case X86_AND16rm:
+			case X86_AND32rm:
+			case X86_AND64rm:
+
 
 			// BTC
 			case X86_BTC16mi8:
@@ -2231,8 +2255,6 @@ static bool checkPrefix(struct InternalI
 			// INC
 			case X86_INC16m:
 			case X86_INC32m:
-			case X86_INC64_16m:
-			case X86_INC64_32m:
 			case X86_INC64m:
 			case X86_INC8m:
 
@@ -2259,8 +2281,13 @@ static bool checkPrefix(struct InternalI
 			case X86_OR64mi32:
 			case X86_OR64mi8:
 			case X86_OR64mr:
+			case X86_OR8mi8:
 			case X86_OR8mi:
 			case X86_OR8mr:
+			case X86_OR8rm:
+			case X86_OR16rm:
+			case X86_OR32rm:
+			case X86_OR64rm:
 
 			// SBB
 			case X86_SBB16mi:
@@ -2273,6 +2300,7 @@ static bool checkPrefix(struct InternalI
 			case X86_SBB64mi8:
 			case X86_SBB64mr:
 			case X86_SBB8mi:
+			case X86_SBB8mi8:
 			case X86_SBB8mr:
 
 			// SUB
@@ -2285,8 +2313,13 @@ static bool checkPrefix(struct InternalI
 			case X86_SUB64mi32:
 			case X86_SUB64mi8:
 			case X86_SUB64mr:
+			case X86_SUB8mi8:
 			case X86_SUB8mi:
 			case X86_SUB8mr:
+			case X86_SUB8rm:
+			case X86_SUB16rm:
+			case X86_SUB32rm:
+			case X86_SUB64rm:
 
 			// XADD
 			case X86_XADD16rm:
@@ -2310,8 +2343,13 @@ static bool checkPrefix(struct InternalI
 			case X86_XOR64mi32:
 			case X86_XOR64mi8:
 			case X86_XOR64mr:
+			case X86_XOR8mi8:
 			case X86_XOR8mi:
 			case X86_XOR8mr:
+			case X86_XOR8rm:
+			case X86_XOR16rm:
+			case X86_XOR32rm:
+			case X86_XOR64rm:
 
 				// this instruction can be used with LOCK prefix
 				return false;
@@ -2377,30 +2415,7 @@ int decodeInstruction(struct InternalIns
 
 	insn->operands = &x86OperandSets[insn->spec->operands][0];
 
-	// dbgprintf(insn, "Read from 0x%llx to 0x%llx: length %zu",
-	// 		startLoc, insn->readerCursor, insn->length);
-
-	//if (insn->length > 15)
-	//	dbgprintf(insn, "Instruction exceeds 15-byte limit");
-
-#if 0
-	printf("\n>>> x86OperandSets = %lu\n", sizeof(x86OperandSets));
-	printf(">>> x86DisassemblerInstrSpecifiers = %lu\n", sizeof(x86DisassemblerInstrSpecifiers));
-	printf(">>> x86DisassemblerContexts = %lu\n", sizeof(x86DisassemblerContexts));
-	printf(">>> modRMTable = %lu\n", sizeof(modRMTable));
-	printf(">>> x86DisassemblerOneByteOpcodes = %lu\n", sizeof(x86DisassemblerOneByteOpcodes));
-	printf(">>> x86DisassemblerTwoByteOpcodes = %lu\n", sizeof(x86DisassemblerTwoByteOpcodes));
-	printf(">>> x86DisassemblerThreeByte38Opcodes = %lu\n", sizeof(x86DisassemblerThreeByte38Opcodes));
-	printf(">>> x86DisassemblerThreeByte3AOpcodes = %lu\n", sizeof(x86DisassemblerThreeByte3AOpcodes));
-	printf(">>> x86DisassemblerThreeByteA6Opcodes = %lu\n", sizeof(x86DisassemblerThreeByteA6Opcodes));
-	printf(">>> x86DisassemblerThreeByteA7Opcodes= %lu\n", sizeof(x86DisassemblerThreeByteA7Opcodes));
-	printf(">>> x86DisassemblerXOP8Opcodes = %lu\n", sizeof(x86DisassemblerXOP8Opcodes));
-	printf(">>> x86DisassemblerXOP9Opcodes = %lu\n", sizeof(x86DisassemblerXOP9Opcodes));
-	printf(">>> x86DisassemblerXOPAOpcodes = %lu\n\n", sizeof(x86DisassemblerXOPAOpcodes));
-#endif
-
 	return 0;
 }
 
 #endif
-
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoderCommon.h 4.0.2-3/arch/X86/X86DisassemblerDecoderCommon.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoderCommon.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86DisassemblerDecoderCommon.h	2020-05-08 10:03:30.000000000 +0000
@@ -15,7 +15,7 @@
  *===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 /*
  * This header file provides those definitions that need to be shared between
@@ -25,10 +25,6 @@
 #ifndef CS_X86_DISASSEMBLERDECODERCOMMON_H
 #define CS_X86_DISASSEMBLERDECODERCOMMON_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
 #define INSTRUCTIONS_SYM  x86DisassemblerInstrSpecifiers
 #define CONTEXTS_SYM      x86DisassemblerContexts
 #define ONEBYTE_SYM       x86DisassemblerOneByteOpcodes
@@ -76,200 +72,206 @@ enum attributeBits {
  * these without affecting the ultimately decoded instruction.
  */
 
-/*           Class name           Rank  Rationale for rank assignment         */
+//           Class name           Rank  Rationale for rank assignment
 #define INSTRUCTION_CONTEXTS                                                   \
-	ENUM_ENTRY(IC,                    0,  "says nothing about the instruction")  \
-ENUM_ENTRY(IC_64BIT,              1,  "says the instruction applies in "     \
-		"64-bit mode but no more")             \
-ENUM_ENTRY(IC_OPSIZE,             3,  "requires an OPSIZE prefix, so "       \
-		"operands change width")               \
-ENUM_ENTRY(IC_ADSIZE,             3,  "requires an ADSIZE prefix, so "       \
-		"operands change width")               \
-ENUM_ENTRY(IC_OF,                 2,  "requires 0x0F prefix")                 \
-ENUM_ENTRY(IC_XD,                 2,  "may say something about the opcode "  \
-		"but not the operands")                \
-ENUM_ENTRY(IC_XS,                 2,  "may say something about the opcode "  \
-		"but not the operands")                \
-ENUM_ENTRY(IC_XD_OPSIZE,          3,  "requires an OPSIZE prefix, so "       \
-		"operands change width")               \
-ENUM_ENTRY(IC_XS_OPSIZE,          3,  "requires an OPSIZE prefix, so "       \
-		"operands change width")               \
-ENUM_ENTRY(IC_64BIT_REXW,         4,  "requires a REX.W prefix, so operands "\
-		"change width; overrides IC_OPSIZE")   \
-ENUM_ENTRY(IC_64BIT_OPSIZE,       3,  "Just as meaningful as IC_OPSIZE")     \
-ENUM_ENTRY(IC_64BIT_ADSIZE,       3,  "Just as meaningful as IC_ADSIZE")     \
-ENUM_ENTRY(IC_64BIT_XD,           5,  "XD instructions are SSE; REX.W is "   \
-		"secondary")                           \
-ENUM_ENTRY(IC_64BIT_XS,           5,  "Just as meaningful as IC_64BIT_XD")   \
-ENUM_ENTRY(IC_64BIT_XD_OPSIZE,    3,  "Just as meaningful as IC_XD_OPSIZE")  \
-ENUM_ENTRY(IC_64BIT_XS_OPSIZE,    3,  "Just as meaningful as IC_XS_OPSIZE")  \
-ENUM_ENTRY(IC_64BIT_REXW_XS,      6,  "OPSIZE could mean a different "       \
-		"opcode")                              \
-ENUM_ENTRY(IC_64BIT_REXW_XD,      6,  "Just as meaningful as "               \
-		"IC_64BIT_REXW_XS")                    \
-ENUM_ENTRY(IC_64BIT_REXW_OPSIZE,  7,  "The Dynamic Duo!  Prefer over all "   \
-		"else because this changes most "      \
-		"operands' meaning")                   \
-ENUM_ENTRY(IC_VEX,                1,  "requires a VEX prefix")               \
-ENUM_ENTRY(IC_VEX_XS,             2,  "requires VEX and the XS prefix")      \
-ENUM_ENTRY(IC_VEX_XD,             2,  "requires VEX and the XD prefix")      \
-ENUM_ENTRY(IC_VEX_OPSIZE,         2,  "requires VEX and the OpSize prefix")  \
-ENUM_ENTRY(IC_VEX_W,              3,  "requires VEX and the W prefix")       \
-ENUM_ENTRY(IC_VEX_W_XS,           4,  "requires VEX, W, and XS prefix")      \
-ENUM_ENTRY(IC_VEX_W_XD,           4,  "requires VEX, W, and XD prefix")      \
-ENUM_ENTRY(IC_VEX_W_OPSIZE,       4,  "requires VEX, W, and OpSize")         \
-ENUM_ENTRY(IC_VEX_L,              3,  "requires VEX and the L prefix")       \
-ENUM_ENTRY(IC_VEX_L_XS,           4,  "requires VEX and the L and XS prefix")\
-ENUM_ENTRY(IC_VEX_L_XD,           4,  "requires VEX and the L and XD prefix")\
-ENUM_ENTRY(IC_VEX_L_OPSIZE,       4,  "requires VEX, L, and OpSize")         \
-ENUM_ENTRY(IC_VEX_L_W,            4,  "requires VEX, L and W")               \
-ENUM_ENTRY(IC_VEX_L_W_XS,         5,  "requires VEX, L, W and XS prefix")    \
-ENUM_ENTRY(IC_VEX_L_W_XD,         5,  "requires VEX, L, W and XD prefix")    \
-ENUM_ENTRY(IC_VEX_L_W_OPSIZE,     5,  "requires VEX, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX,               1,  "requires an EVEX prefix")             \
-ENUM_ENTRY(IC_EVEX_XS,            2,  "requires EVEX and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD,            2,  "requires EVEX and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE,        2,  "requires EVEX and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W,             3,  "requires EVEX and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS,          4,  "requires EVEX, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD,          4,  "requires EVEX, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE,      4,  "requires EVEX, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L,             3,  "requires EVEX and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS,          4,  "requires EVEX and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD,          4,  "requires EVEX and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE,      4,  "requires EVEX, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W,           3,  "requires EVEX, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS,        4,  "requires EVEX, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD,        4,  "requires EVEX, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE,    4,  "requires EVEX, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2,            3,  "requires EVEX and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS,         4,  "requires EVEX and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD,         4,  "requires EVEX and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE,     4,  "requires EVEX, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W,          3,  "requires EVEX, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS,       4,  "requires EVEX, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD,       4,  "requires EVEX, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE,   4,  "requires EVEX, L2, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_K,             1,  "requires an EVEX_K prefix")             \
-ENUM_ENTRY(IC_EVEX_XS_K,          2,  "requires EVEX_K and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD_K,          2,  "requires EVEX_K and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE_K,      2,  "requires EVEX_K and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W_K,           3,  "requires EVEX_K and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS_K,        4,  "requires EVEX_K, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD_K,        4,  "requires EVEX_K, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE_K,    4,  "requires EVEX_K, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L_K,           3,  "requires EVEX_K and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS_K,        4,  "requires EVEX_K and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD_K,        4,  "requires EVEX_K and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE_K,    4,  "requires EVEX_K, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W_K,         3,  "requires EVEX_K, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS_K,      4,  "requires EVEX_K, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD_K,      4,  "requires EVEX_K, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_K,  4,  "requires EVEX_K, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2_K,          3,  "requires EVEX_K and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS_K,       4,  "requires EVEX_K and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD_K,       4,  "requires EVEX_K and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE_K,   4,  "requires EVEX_K, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W_K,        3,  "requires EVEX_K, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS_K,     4,  "requires EVEX_K, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD_K,     4,  "requires EVEX_K, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_K, 4,  "requires EVEX_K, L2, W and OpSize")     \
-ENUM_ENTRY(IC_EVEX_B,             1,  "requires an EVEX_B prefix")             \
-ENUM_ENTRY(IC_EVEX_XS_B,          2,  "requires EVEX_B and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD_B,          2,  "requires EVEX_B and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE_B,      2,  "requires EVEX_B and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W_B,           3,  "requires EVEX_B and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS_B,        4,  "requires EVEX_B, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD_B,        4,  "requires EVEX_B, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE_B,    4,  "requires EVEX_B, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L_B,           3,  "requires EVEX_B and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS_B,        4,  "requires EVEX_B and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD_B,        4,  "requires EVEX_B and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE_B,    4,  "requires EVEX_B, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W_B,         3,  "requires EVEX_B, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS_B,      4,  "requires EVEX_B, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD_B,      4,  "requires EVEX_B, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_B,  4,  "requires EVEX_B, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2_B,          3,  "requires EVEX_B and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS_B,       4,  "requires EVEX_B and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD_B,       4,  "requires EVEX_B and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE_B,   4,  "requires EVEX_B, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W_B,        3,  "requires EVEX_B, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS_B,     4,  "requires EVEX_B, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD_B,     4,  "requires EVEX_B, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_B, 4,  "requires EVEX_B, L2, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_K_B,           1,  "requires EVEX_B and EVEX_K prefix")             \
-ENUM_ENTRY(IC_EVEX_XS_K_B,        2,  "requires EVEX_B, EVEX_K and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD_K_B,        2,  "requires EVEX_B, EVEX_K and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE_K_B,    2,  "requires EVEX_B, EVEX_K and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W_K_B,         3,  "requires EVEX_B, EVEX_K and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS_K_B,      4,  "requires EVEX_B, EVEX_K, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD_K_B,      4,  "requires EVEX_B, EVEX_K, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE_K_B,  4,  "requires EVEX_B, EVEX_K, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L_K_B,         3,  "requires EVEX_B, EVEX_K and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS_K_B,      4,  "requires EVEX_B, EVEX_K and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD_K_B,      4,  "requires EVEX_B, EVEX_K and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE_K_B,  4,  "requires EVEX_B, EVEX_K, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W_K_B,       3,  "requires EVEX_B, EVEX_K, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS_K_B,    4,  "requires EVEX_B, EVEX_K, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD_K_B,    4,  "requires EVEX_B, EVEX_K, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_K_B,4,  "requires EVEX_B, EVEX_K, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2_K_B,        3,  "requires EVEX_B, EVEX_K and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS_K_B,     4,  "requires EVEX_B, EVEX_K and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD_K_B,     4,  "requires EVEX_B, EVEX_K and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE_K_B, 4,  "requires EVEX_B, EVEX_K, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W_K_B,      3,  "requires EVEX_B, EVEX_K, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS_K_B,   4,  "requires EVEX_B, EVEX_K, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD_K_B,   4,  "requires EVEX_B, EVEX_K, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_K_B,4,  "requires EVEX_B, EVEX_K, L2, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_KZ_B,           1,  "requires EVEX_B and EVEX_KZ prefix")             \
-ENUM_ENTRY(IC_EVEX_XS_KZ_B,        2,  "requires EVEX_B, EVEX_KZ and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD_KZ_B,        2,  "requires EVEX_B, EVEX_KZ and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE_KZ_B,    2,  "requires EVEX_B, EVEX_KZ and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W_KZ_B,         3,  "requires EVEX_B, EVEX_KZ and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE_KZ_B,  4,  "requires EVEX_B, EVEX_KZ, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L_KZ_B,           3,  "requires EVEX_B, EVEX_KZ and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS_KZ_B,        4,  "requires EVEX_B, EVEX_KZ and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD_KZ_B,        4,  "requires EVEX_B, EVEX_KZ and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE_KZ_B,    4,  "requires EVEX_B, EVEX_KZ, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W_KZ_B,         3,  "requires EVEX_B, EVEX_KZ, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_KZ_B,  4,  "requires EVEX_B, EVEX_KZ, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2_KZ_B,          3,  "requires EVEX_B, EVEX_KZ and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS_KZ_B,       4,  "requires EVEX_B, EVEX_KZ and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD_KZ_B,       4,  "requires EVEX_B, EVEX_KZ and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE_KZ_B,   4,  "requires EVEX_B, EVEX_KZ, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W_KZ_B,        3,  "requires EVEX_B, EVEX_KZ, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS_KZ_B,     4,  "requires EVEX_B, EVEX_KZ, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD_KZ_B,     4,  "requires EVEX_B, EVEX_KZ, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_KZ_B, 4,  "requires EVEX_B, EVEX_KZ, L2, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_KZ,             1,  "requires an EVEX_KZ prefix")             \
-ENUM_ENTRY(IC_EVEX_XS_KZ,          2,  "requires EVEX_KZ and the XS prefix")     \
-ENUM_ENTRY(IC_EVEX_XD_KZ,          2,  "requires EVEX_KZ and the XD prefix")     \
-ENUM_ENTRY(IC_EVEX_OPSIZE_KZ,      2,  "requires EVEX_KZ and the OpSize prefix") \
-ENUM_ENTRY(IC_EVEX_W_KZ,           3,  "requires EVEX_KZ and the W prefix")      \
-ENUM_ENTRY(IC_EVEX_W_XS_KZ,        4,  "requires EVEX_KZ, W, and XS prefix")     \
-ENUM_ENTRY(IC_EVEX_W_XD_KZ,        4,  "requires EVEX_KZ, W, and XD prefix")     \
-ENUM_ENTRY(IC_EVEX_W_OPSIZE_KZ,    4,  "requires EVEX_KZ, W, and OpSize")        \
-ENUM_ENTRY(IC_EVEX_L_KZ,           3,  "requires EVEX_KZ and the L prefix")       \
-ENUM_ENTRY(IC_EVEX_L_XS_KZ,        4,  "requires EVEX_KZ and the L and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L_XD_KZ,        4,  "requires EVEX_KZ and the L and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L_OPSIZE_KZ,    4,  "requires EVEX_KZ, L, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L_W_KZ,         3,  "requires EVEX_KZ, L and W")               \
-ENUM_ENTRY(IC_EVEX_L_W_XS_KZ,      4,  "requires EVEX_KZ, L, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_XD_KZ,      4,  "requires EVEX_KZ, L, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_KZ,  4,  "requires EVEX_KZ, L, W and OpSize")       \
-ENUM_ENTRY(IC_EVEX_L2_KZ,          3,  "requires EVEX_KZ and the L2 prefix")       \
-ENUM_ENTRY(IC_EVEX_L2_XS_KZ,       4,  "requires EVEX_KZ and the L2 and XS prefix")\
-ENUM_ENTRY(IC_EVEX_L2_XD_KZ,       4,  "requires EVEX_KZ and the L2 and XD prefix")\
-ENUM_ENTRY(IC_EVEX_L2_OPSIZE_KZ,   4,  "requires EVEX_KZ, L2, and OpSize")         \
-ENUM_ENTRY(IC_EVEX_L2_W_KZ,        3,  "requires EVEX_KZ, L2 and W")               \
-ENUM_ENTRY(IC_EVEX_L2_W_XS_KZ,     4,  "requires EVEX_KZ, L2, W and XS prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_XD_KZ,     4,  "requires EVEX_KZ, L2, W and XD prefix")    \
-ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_KZ, 4,  "requires EVEX_KZ, L2, W and OpSize")     
+  ENUM_ENTRY(IC,                    0,  "says nothing about the instruction")  \
+  ENUM_ENTRY(IC_64BIT,              1,  "says the instruction applies in "     \
+                                        "64-bit mode but no more")             \
+  ENUM_ENTRY(IC_OPSIZE,             3,  "requires an OPSIZE prefix, so "       \
+                                        "operands change width")               \
+  ENUM_ENTRY(IC_ADSIZE,             3,  "requires an ADSIZE prefix, so "       \
+                                        "operands change width")               \
+  ENUM_ENTRY(IC_OF,                 2,  "requires 0f prefix ")                 \
+  ENUM_ENTRY(IC_OPSIZE_ADSIZE,      4,  "requires ADSIZE and OPSIZE prefixes") \
+  ENUM_ENTRY(IC_XD,                 2,  "may say something about the opcode "  \
+                                        "but not the operands")                \
+  ENUM_ENTRY(IC_XS,                 2,  "may say something about the opcode "  \
+                                        "but not the operands")                \
+  ENUM_ENTRY(IC_XD_OPSIZE,          3,  "requires an OPSIZE prefix, so "       \
+                                        "operands change width")               \
+  ENUM_ENTRY(IC_XS_OPSIZE,          3,  "requires an OPSIZE prefix, so "       \
+                                        "operands change width")               \
+  ENUM_ENTRY(IC_64BIT_REXW,         5,  "requires a REX.W prefix, so operands "\
+                                        "change width; overrides IC_OPSIZE")   \
+  ENUM_ENTRY(IC_64BIT_REXW_ADSIZE,  6,  "requires a REX.W prefix and 0x67 "    \
+                                        "prefix")                              \
+  ENUM_ENTRY(IC_64BIT_OPSIZE,       3,  "Just as meaningful as IC_OPSIZE")     \
+  ENUM_ENTRY(IC_64BIT_ADSIZE,       3,  "Just as meaningful as IC_ADSIZE")     \
+  ENUM_ENTRY(IC_64BIT_OPSIZE_ADSIZE, 4, "Just as meaningful as IC_OPSIZE/"     \
+                                        "IC_ADSIZE")                           \
+  ENUM_ENTRY(IC_64BIT_XD,           6,  "XD instructions are SSE; REX.W is "   \
+                                        "secondary")                           \
+  ENUM_ENTRY(IC_64BIT_XS,           6,  "Just as meaningful as IC_64BIT_XD")   \
+  ENUM_ENTRY(IC_64BIT_XD_OPSIZE,    3,  "Just as meaningful as IC_XD_OPSIZE")  \
+  ENUM_ENTRY(IC_64BIT_XS_OPSIZE,    3,  "Just as meaningful as IC_XS_OPSIZE")  \
+  ENUM_ENTRY(IC_64BIT_REXW_XS,      7,  "OPSIZE could mean a different "       \
+                                        "opcode")                              \
+  ENUM_ENTRY(IC_64BIT_REXW_XD,      7,  "Just as meaningful as "               \
+                                        "IC_64BIT_REXW_XS")                    \
+  ENUM_ENTRY(IC_64BIT_REXW_OPSIZE,  8,  "The Dynamic Duo!  Prefer over all "   \
+                                        "else because this changes most "      \
+                                        "operands' meaning")                   \
+  ENUM_ENTRY(IC_VEX,                1,  "requires a VEX prefix")               \
+  ENUM_ENTRY(IC_VEX_XS,             2,  "requires VEX and the XS prefix")      \
+  ENUM_ENTRY(IC_VEX_XD,             2,  "requires VEX and the XD prefix")      \
+  ENUM_ENTRY(IC_VEX_OPSIZE,         2,  "requires VEX and the OpSize prefix")  \
+  ENUM_ENTRY(IC_VEX_W,              3,  "requires VEX and the W prefix")       \
+  ENUM_ENTRY(IC_VEX_W_XS,           4,  "requires VEX, W, and XS prefix")      \
+  ENUM_ENTRY(IC_VEX_W_XD,           4,  "requires VEX, W, and XD prefix")      \
+  ENUM_ENTRY(IC_VEX_W_OPSIZE,       4,  "requires VEX, W, and OpSize")         \
+  ENUM_ENTRY(IC_VEX_L,              3,  "requires VEX and the L prefix")       \
+  ENUM_ENTRY(IC_VEX_L_XS,           4,  "requires VEX and the L and XS prefix")\
+  ENUM_ENTRY(IC_VEX_L_XD,           4,  "requires VEX and the L and XD prefix")\
+  ENUM_ENTRY(IC_VEX_L_OPSIZE,       4,  "requires VEX, L, and OpSize")         \
+  ENUM_ENTRY(IC_VEX_L_W,            4,  "requires VEX, L and W")               \
+  ENUM_ENTRY(IC_VEX_L_W_XS,         5,  "requires VEX, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_VEX_L_W_XD,         5,  "requires VEX, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_VEX_L_W_OPSIZE,     5,  "requires VEX, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX,               1,  "requires an EVEX prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS,            2,  "requires EVEX and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD,            2,  "requires EVEX and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE,        2,  "requires EVEX and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W,             3,  "requires EVEX and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS,          4,  "requires EVEX, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD,          4,  "requires EVEX, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE,      4,  "requires EVEX, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L,             3,  "requires EVEX and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS,          4,  "requires EVEX and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD,          4,  "requires EVEX and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE,      4,  "requires EVEX, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W,           3,  "requires EVEX, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS,        4,  "requires EVEX, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD,        4,  "requires EVEX, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE,    4,  "requires EVEX, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2,            3,  "requires EVEX and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS,         4,  "requires EVEX and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD,         4,  "requires EVEX and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE,     4,  "requires EVEX, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W,          3,  "requires EVEX, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS,       4,  "requires EVEX, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD,       4,  "requires EVEX, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE,   4,  "requires EVEX, L2, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_K,             1,  "requires an EVEX_K prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS_K,          2,  "requires EVEX_K and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD_K,          2,  "requires EVEX_K and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE_K,      2,  "requires EVEX_K and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W_K,           3,  "requires EVEX_K and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS_K,        4,  "requires EVEX_K, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD_K,        4,  "requires EVEX_K, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE_K,    4,  "requires EVEX_K, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L_K,           3,  "requires EVEX_K and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS_K,        4,  "requires EVEX_K and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD_K,        4,  "requires EVEX_K and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE_K,    4,  "requires EVEX_K, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W_K,         3,  "requires EVEX_K, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS_K,      4,  "requires EVEX_K, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD_K,      4,  "requires EVEX_K, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_K,  4,  "requires EVEX_K, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2_K,          3,  "requires EVEX_K and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS_K,       4,  "requires EVEX_K and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD_K,       4,  "requires EVEX_K and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE_K,   4,  "requires EVEX_K, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W_K,        3,  "requires EVEX_K, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS_K,     4,  "requires EVEX_K, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD_K,     4,  "requires EVEX_K, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_K, 4,  "requires EVEX_K, L2, W and OpSize")     \
+  ENUM_ENTRY(IC_EVEX_B,             1,  "requires an EVEX_B prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS_B,          2,  "requires EVEX_B and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD_B,          2,  "requires EVEX_B and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE_B,      2,  "requires EVEX_B and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W_B,           3,  "requires EVEX_B and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS_B,        4,  "requires EVEX_B, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD_B,        4,  "requires EVEX_B, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE_B,    4,  "requires EVEX_B, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L_B,           3,  "requires EVEX_B and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS_B,        4,  "requires EVEX_B and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD_B,        4,  "requires EVEX_B and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE_B,    4,  "requires EVEX_B, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W_B,         3,  "requires EVEX_B, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS_B,      4,  "requires EVEX_B, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD_B,      4,  "requires EVEX_B, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_B,  4,  "requires EVEX_B, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2_B,          3,  "requires EVEX_B and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS_B,       4,  "requires EVEX_B and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD_B,       4,  "requires EVEX_B and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE_B,   4,  "requires EVEX_B, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W_B,        3,  "requires EVEX_B, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS_B,     4,  "requires EVEX_B, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD_B,     4,  "requires EVEX_B, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_B, 4,  "requires EVEX_B, L2, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_K_B,           1,  "requires EVEX_B and EVEX_K prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS_K_B,        2,  "requires EVEX_B, EVEX_K and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD_K_B,        2,  "requires EVEX_B, EVEX_K and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE_K_B,    2,  "requires EVEX_B, EVEX_K and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W_K_B,         3,  "requires EVEX_B, EVEX_K and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS_K_B,      4,  "requires EVEX_B, EVEX_K, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD_K_B,      4,  "requires EVEX_B, EVEX_K, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE_K_B,  4,  "requires EVEX_B, EVEX_K, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L_K_B,         3,  "requires EVEX_B, EVEX_K and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS_K_B,      4,  "requires EVEX_B, EVEX_K and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD_K_B,      4,  "requires EVEX_B, EVEX_K and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE_K_B,  4,  "requires EVEX_B, EVEX_K, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W_K_B,       3,  "requires EVEX_B, EVEX_K, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS_K_B,    4,  "requires EVEX_B, EVEX_K, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD_K_B,    4,  "requires EVEX_B, EVEX_K, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_K_B,4,  "requires EVEX_B, EVEX_K, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2_K_B,        3,  "requires EVEX_B, EVEX_K and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS_K_B,     4,  "requires EVEX_B, EVEX_K and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD_K_B,     4,  "requires EVEX_B, EVEX_K and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE_K_B, 4,  "requires EVEX_B, EVEX_K, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W_K_B,      3,  "requires EVEX_B, EVEX_K, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS_K_B,   4,  "requires EVEX_B, EVEX_K, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD_K_B,   4,  "requires EVEX_B, EVEX_K, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_K_B,4,  "requires EVEX_B, EVEX_K, L2, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_KZ_B,           1,  "requires EVEX_B and EVEX_KZ prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS_KZ_B,        2,  "requires EVEX_B, EVEX_KZ and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD_KZ_B,        2,  "requires EVEX_B, EVEX_KZ and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE_KZ_B,    2,  "requires EVEX_B, EVEX_KZ and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W_KZ_B,         3,  "requires EVEX_B, EVEX_KZ and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE_KZ_B,  4,  "requires EVEX_B, EVEX_KZ, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L_KZ_B,           3,  "requires EVEX_B, EVEX_KZ and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS_KZ_B,        4,  "requires EVEX_B, EVEX_KZ and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD_KZ_B,        4,  "requires EVEX_B, EVEX_KZ and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE_KZ_B,    4,  "requires EVEX_B, EVEX_KZ, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W_KZ_B,         3,  "requires EVEX_B, EVEX_KZ, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD_KZ_B,      4,  "requires EVEX_B, EVEX_KZ, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_KZ_B,  4,  "requires EVEX_B, EVEX_KZ, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2_KZ_B,          3,  "requires EVEX_B, EVEX_KZ and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS_KZ_B,       4,  "requires EVEX_B, EVEX_KZ and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD_KZ_B,       4,  "requires EVEX_B, EVEX_KZ and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE_KZ_B,   4,  "requires EVEX_B, EVEX_KZ, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W_KZ_B,        3,  "requires EVEX_B, EVEX_KZ, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS_KZ_B,     4,  "requires EVEX_B, EVEX_KZ, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD_KZ_B,     4,  "requires EVEX_B, EVEX_KZ, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_KZ_B, 4,  "requires EVEX_B, EVEX_KZ, L2, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_KZ,             1,  "requires an EVEX_KZ prefix")             \
+  ENUM_ENTRY(IC_EVEX_XS_KZ,          2,  "requires EVEX_KZ and the XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_XD_KZ,          2,  "requires EVEX_KZ and the XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_OPSIZE_KZ,      2,  "requires EVEX_KZ and the OpSize prefix") \
+  ENUM_ENTRY(IC_EVEX_W_KZ,           3,  "requires EVEX_KZ and the W prefix")      \
+  ENUM_ENTRY(IC_EVEX_W_XS_KZ,        4,  "requires EVEX_KZ, W, and XS prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_XD_KZ,        4,  "requires EVEX_KZ, W, and XD prefix")     \
+  ENUM_ENTRY(IC_EVEX_W_OPSIZE_KZ,    4,  "requires EVEX_KZ, W, and OpSize")        \
+  ENUM_ENTRY(IC_EVEX_L_KZ,           3,  "requires EVEX_KZ and the L prefix")       \
+  ENUM_ENTRY(IC_EVEX_L_XS_KZ,        4,  "requires EVEX_KZ and the L and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L_XD_KZ,        4,  "requires EVEX_KZ and the L and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L_OPSIZE_KZ,    4,  "requires EVEX_KZ, L, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L_W_KZ,         3,  "requires EVEX_KZ, L and W")               \
+  ENUM_ENTRY(IC_EVEX_L_W_XS_KZ,      4,  "requires EVEX_KZ, L, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_XD_KZ,      4,  "requires EVEX_KZ, L, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L_W_OPSIZE_KZ,  4,  "requires EVEX_KZ, L, W and OpSize")       \
+  ENUM_ENTRY(IC_EVEX_L2_KZ,          3,  "requires EVEX_KZ and the L2 prefix")       \
+  ENUM_ENTRY(IC_EVEX_L2_XS_KZ,       4,  "requires EVEX_KZ and the L2 and XS prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_XD_KZ,       4,  "requires EVEX_KZ and the L2 and XD prefix")\
+  ENUM_ENTRY(IC_EVEX_L2_OPSIZE_KZ,   4,  "requires EVEX_KZ, L2, and OpSize")         \
+  ENUM_ENTRY(IC_EVEX_L2_W_KZ,        3,  "requires EVEX_KZ, L2 and W")               \
+  ENUM_ENTRY(IC_EVEX_L2_W_XS_KZ,     4,  "requires EVEX_KZ, L2, W and XS prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_XD_KZ,     4,  "requires EVEX_KZ, L2, W and XD prefix")    \
+  ENUM_ENTRY(IC_EVEX_L2_W_OPSIZE_KZ, 4,  "requires EVEX_KZ, L2, W and OpSize")
+
 
 #define ENUM_ENTRY(n, r, d) n,
 typedef enum {
@@ -417,6 +419,8 @@ ENUM_ENTRY(TYPE_IMM32,      "4-byte")
 ENUM_ENTRY(TYPE_IMM64,      "8-byte")                                        \
 ENUM_ENTRY(TYPE_IMM3,       "1-byte immediate operand between 0 and 7")      \
 ENUM_ENTRY(TYPE_IMM5,       "1-byte immediate operand between 0 and 31")     \
+ENUM_ENTRY(TYPE_AVX512ICC,  "1-byte immediate operand for AVX512 icmp")      \
+ENUM_ENTRY(TYPE_UIMM8,      "1-byte unsigned immediate operand")             \
 ENUM_ENTRY(TYPE_RM8,        "1-byte register or memory operand")             \
 ENUM_ENTRY(TYPE_RM16,       "2-byte")                                        \
 ENUM_ENTRY(TYPE_RM32,       "4-byte")                                        \
@@ -432,10 +436,6 @@ ENUM_ENTRY(TYPE_M256,       "256-byte (A
 ENUM_ENTRY(TYPE_M1616,      "2+2-byte segment+offset address")               \
 ENUM_ENTRY(TYPE_M1632,      "2+4-byte")                                      \
 ENUM_ENTRY(TYPE_M1664,      "2+8-byte")                                      \
-ENUM_ENTRY(TYPE_M16_32,     "2+4-byte two-part memory operand (LIDT, LGDT)") \
-ENUM_ENTRY(TYPE_M16_16,     "2+2-byte (BOUND)")                              \
-ENUM_ENTRY(TYPE_M32_32,     "4+4-byte (BOUND)")                              \
-ENUM_ENTRY(TYPE_M16_64,     "2+8-byte (LIDT, LGDT)")                         \
 ENUM_ENTRY(TYPE_SRCIDX8,    "1-byte memory at source index")                 \
 ENUM_ENTRY(TYPE_SRCIDX16,   "2-byte memory at source index")                 \
 ENUM_ENTRY(TYPE_SRCIDX32,   "4-byte memory at source index")                 \
@@ -454,14 +454,8 @@ ENUM_ENTRY(TYPE_SREG,       "Byte with s
 ENUM_ENTRY(TYPE_M32FP,      "32-bit IEE754 memory floating-point operand")   \
 ENUM_ENTRY(TYPE_M64FP,      "64-bit")                                        \
 ENUM_ENTRY(TYPE_M80FP,      "80-bit extended")                               \
-ENUM_ENTRY(TYPE_M16INT,     "2-byte memory integer operand for use in "      \
-		"floating-point instructions")                   \
-ENUM_ENTRY(TYPE_M32INT,     "4-byte")                                        \
-ENUM_ENTRY(TYPE_M64INT,     "8-byte")                                        \
 ENUM_ENTRY(TYPE_ST,         "Position on the floating-point stack")          \
-ENUM_ENTRY(TYPE_MM,         "MMX register operand")                          \
-ENUM_ENTRY(TYPE_MM32,       "4-byte MMX register or memory operand")         \
-ENUM_ENTRY(TYPE_MM64,       "8-byte")                                        \
+ENUM_ENTRY(TYPE_MM64,       "8-byte MMX register")                           \
 ENUM_ENTRY(TYPE_XMM,        "XMM register operand")                          \
 ENUM_ENTRY(TYPE_XMM32,      "4-byte XMM register or memory operand")         \
 ENUM_ENTRY(TYPE_XMM64,      "8-byte")                                        \
@@ -507,22 +501,7 @@ typedef struct OperandSpecifier {
 	uint8_t type;
 } OperandSpecifier;
 
-/*
- * Indicates where the opcode modifier (if any) is to be found.  Extended
- * opcodes with AddRegFrm have the opcode modifier in the ModR/M byte.
- */
-
-#define MODIFIER_TYPES        \
-	ENUM_ENTRY(MODIFIER_NONE)
-
-#define ENUM_ENTRY(n) n,
-typedef enum {
-	MODIFIER_TYPES
-	MODIFIER_max
-} ModifierType;
-#undef ENUM_ENTRY
-
-#define X86_MAX_OPERANDS 5
+#define X86_MAX_OPERANDS 6
 
 /*
  * Decoding mode for the Intel disassembler.  16-bit, 32-bit, and 64-bit mode
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoder.h 4.0.2-3/arch/X86/X86DisassemblerDecoder.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86DisassemblerDecoder.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86DisassemblerDecoder.h	2020-05-08 10:03:30.000000000 +0000
@@ -14,7 +14,7 @@
  *===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_X86_DISASSEMBLERDECODER_H
 #define CS_X86_DISASSEMBLERDECODER_H
@@ -24,9 +24,6 @@
 #else
 #include <stdio.h>
 #endif
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
 
 #include "X86DisassemblerDecoderCommon.h"
 
@@ -355,7 +352,15 @@
   ENTRY(DR4)        \
   ENTRY(DR5)        \
   ENTRY(DR6)        \
-  ENTRY(DR7)
+  ENTRY(DR7)        \
+  ENTRY(DR8)        \
+  ENTRY(DR9)        \
+  ENTRY(DR10)        \
+  ENTRY(DR11)        \
+  ENTRY(DR12)        \
+  ENTRY(DR13)        \
+  ENTRY(DR14)        \
+  ENTRY(DR15)
 
 #define REGS_CONTROL  \
   ENTRY(CR0)          \
@@ -544,7 +549,11 @@ typedef void (*dlog_t)(void* arg, const
 /// The specification for how to extract and interpret a full instruction and
 /// its operands.
 struct InstructionSpecifier {
+#ifdef CAPSTONE_X86_REDUCE
+	uint8_t operands;
+#else
 	uint16_t operands;
+#endif
 };
 
 /*
@@ -589,7 +598,7 @@ typedef struct InternalInstruction {
   uint8_t                       sib;
   /* The displacement, used for memory operands */
   bool                          consumedDisplacement;
-  int32_t                       displacement;
+  int64_t                       displacement;
   /* The value of the two-byte escape prefix (usually 0x0f) */
   uint8_t twoByteEscape;
   /* The value of the three-byte escape prefix (usually 0x38 or 0x3a) */
@@ -599,8 +608,8 @@ typedef struct InternalInstruction {
   uint8_t                       sibScale;
   SIBBase                       sibBase;
   uint8_t                       numImmediatesConsumed;
-  /* true if the prefix byte, 0xf2 or 0xf3 is xacquire or xrelease */
-  bool xAcquireRelease;
+  /* 0xf2 or 0xf3 is xacquire or xrelease */
+  uint8_t xAcquireRelease;
 
   /* The value of the vector extension prefix(EVEX/VEX/XOP), if present */
   uint8_t vectorExtensionPrefix[4];
@@ -609,6 +618,7 @@ typedef struct InternalInstruction {
      needed to find relocation entries for adding symbolic operands */
   uint8_t displacementOffset;
   uint8_t immediateOffset;
+  uint8_t modRMOffset;
 
   // end-of-zero-members
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86Disassembler.h 4.0.2-3/arch/X86/X86Disassembler.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86Disassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86Disassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -72,16 +72,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_X86_DISASSEMBLER_H
 #define CS_X86_DISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter1.inc 4.0.2-3/arch/X86/X86GenAsmWriter1.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter1.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenAsmWriter1.inc	2020-05-08 10:03:30.000000000 +0000
@@ -25,131 +25,136 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    11119U,	// DBG_VALUE
+    9999U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    11112U,	// BUNDLE
-    11184U,	// LIFETIME_START
-    11099U,	// LIFETIME_END
+    9992U,	// BUNDLE
+    10064U,	// LIFETIME_START
+    9979U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    11199U,	// AAA
-    20256U,	// AAD8i8
-    22647U,	// AAM8i8
-    11911U,	// AAS
-    11919U,	// ABS_F
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    10079U,	// AAA
+    17687U,	// AAD8i8
+    20595U,	// AAM8i8
+    10824U,	// AAS
+    10832U,	// ABS_F
     0U,	// ABS_Fp32
     0U,	// ABS_Fp64
     0U,	// ABS_Fp80
-    10814U,	// ACQUIRE_MOV16rm
-    10814U,	// ACQUIRE_MOV32rm
-    10814U,	// ACQUIRE_MOV64rm
-    10814U,	// ACQUIRE_MOV8rm
-    26287U,	// ADC16i16
-    1085152U,	// ADC16mi
-    1085152U,	// ADC16mi8
-    1085152U,	// ADC16mr
-    34655968U,	// ADC16ri
-    34655968U,	// ADC16ri8
-    68210400U,	// ADC16rm
-    34655968U,	// ADC16rr
-    34623200U,	// ADC16rr_REV
-    26423U,	// ADC32i32
-    1117920U,	// ADC32mi
-    1117920U,	// ADC32mi8
-    1117920U,	// ADC32mr
-    34655968U,	// ADC32ri
-    34655968U,	// ADC32ri8
-    101764832U,	// ADC32rm
-    34655968U,	// ADC32rr
-    34623200U,	// ADC32rr_REV
-    26571U,	// ADC64i32
-    1134304U,	// ADC64mi32
-    1134304U,	// ADC64mi8
-    1134304U,	// ADC64mr
-    34655968U,	// ADC64ri32
-    34655968U,	// ADC64ri8
-    135319264U,	// ADC64rm
-    34655968U,	// ADC64rr
-    34623200U,	// ADC64rr_REV
-    26185U,	// ADC8i8
-    1150688U,	// ADC8mi
-    1150688U,	// ADC8mr
-    34655968U,	// ADC8ri
-    168873696U,	// ADC8rm
-    34655968U,	// ADC8rr
-    34623200U,	// ADC8rr_REV
-    101737738U,	// ADCX32rm
-    34628874U,	// ADCX32rr
-    135292170U,	// ADCX64rm
-    34628874U,	// ADCX64rr
-    26296U,	// ADD16i16
-    1085307U,	// ADD16mi
-    1085307U,	// ADD16mi8
-    1085307U,	// ADD16mr
-    34656123U,	// ADD16ri
-    34656123U,	// ADD16ri8
+    9694U,	// ACQUIRE_MOV16rm
+    9694U,	// ACQUIRE_MOV32rm
+    9694U,	// ACQUIRE_MOV64rm
+    9694U,	// ACQUIRE_MOV8rm
+    25075U,	// ADC16i16
+    1082528U,	// ADC16mi
+    1082528U,	// ADC16mi8
+    1082528U,	// ADC16mr
+    34653344U,	// ADC16ri
+    34653344U,	// ADC16ri8
+    68207776U,	// ADC16rm
+    34653344U,	// ADC16rr
+    34620576U,	// ADC16rr_REV
+    25211U,	// ADC32i32
+    1115296U,	// ADC32mi
+    1115296U,	// ADC32mi8
+    1115296U,	// ADC32mr
+    34653344U,	// ADC32ri
+    34653344U,	// ADC32ri8
+    101762208U,	// ADC32rm
+    34653344U,	// ADC32rr
+    34620576U,	// ADC32rr_REV
+    25359U,	// ADC64i32
+    1131680U,	// ADC64mi32
+    1131680U,	// ADC64mi8
+    1131680U,	// ADC64mr
+    34653344U,	// ADC64ri32
+    34653344U,	// ADC64ri8
+    135316640U,	// ADC64rm
+    34653344U,	// ADC64rr
+    34620576U,	// ADC64rr_REV
+    24973U,	// ADC8i8
+    1148064U,	// ADC8mi
+    1148064U,	// ADC8mi8
+    1148064U,	// ADC8mr
+    34653344U,	// ADC8ri
+    34653344U,	// ADC8ri8
+    168871072U,	// ADC8rm
+    34653344U,	// ADC8rr
+    34620576U,	// ADC8rr_REV
+    101736526U,	// ADCX32rm
+    34627662U,	// ADCX32rr
+    135290958U,	// ADCX64rm
+    34627662U,	// ADCX64rr
+    25084U,	// ADD16i16
+    1082738U,	// ADD16mi
+    1082738U,	// ADD16mi8
+    1082738U,	// ADD16mr
+    34653554U,	// ADD16ri
+    34653554U,	// ADD16ri8
     0U,	// ADD16ri8_DB
     0U,	// ADD16ri_DB
-    68210555U,	// ADD16rm
-    34656123U,	// ADD16rr
+    68207986U,	// ADD16rm
+    34653554U,	// ADD16rr
     0U,	// ADD16rr_DB
-    34623355U,	// ADD16rr_REV
-    26433U,	// ADD32i32
-    1118075U,	// ADD32mi
-    1118075U,	// ADD32mi8
-    1118075U,	// ADD32mr
-    34656123U,	// ADD32ri
-    34656123U,	// ADD32ri8
+    34620786U,	// ADD16rr_REV
+    25221U,	// ADD32i32
+    1115506U,	// ADD32mi
+    1115506U,	// ADD32mi8
+    1115506U,	// ADD32mr
+    34653554U,	// ADD32ri
+    34653554U,	// ADD32ri8
     0U,	// ADD32ri8_DB
     0U,	// ADD32ri_DB
-    101764987U,	// ADD32rm
-    34656123U,	// ADD32rr
+    101762418U,	// ADD32rm
+    34653554U,	// ADD32rr
     0U,	// ADD32rr_DB
-    34623355U,	// ADD32rr_REV
-    26581U,	// ADD64i32
-    1134459U,	// ADD64mi32
-    1134459U,	// ADD64mi8
-    1134459U,	// ADD64mr
-    34656123U,	// ADD64ri32
+    34620786U,	// ADD32rr_REV
+    25369U,	// ADD64i32
+    1131890U,	// ADD64mi32
+    1131890U,	// ADD64mi8
+    1131890U,	// ADD64mr
+    34653554U,	// ADD64ri32
     0U,	// ADD64ri32_DB
-    34656123U,	// ADD64ri8
+    34653554U,	// ADD64ri8
     0U,	// ADD64ri8_DB
-    135319419U,	// ADD64rm
-    34656123U,	// ADD64rr
+    135316850U,	// ADD64rm
+    34653554U,	// ADD64rr
     0U,	// ADD64rr_DB
-    34623355U,	// ADD64rr_REV
-    26194U,	// ADD8i8
-    1150843U,	// ADD8mi
-    1150843U,	// ADD8mr
-    34656123U,	// ADD8ri
-    34656123U,	// ADD8ri8
-    168873851U,	// ADD8rm
-    34656123U,	// ADD8rr
-    34623355U,	// ADD8rr_REV
-    202396135U,	// ADDPDrm
-    34623975U,	// ADDPDrr
-    202399362U,	// ADDPSrm
-    34627202U,	// ADDPSrr
-    235951174U,	// ADDSDrm
-    235951174U,	// ADDSDrm_Int
-    34624582U,	// ADDSDrr
-    34624582U,	// ADDSDrr_Int
-    269508832U,	// ADDSSrm
-    269508832U,	// ADDSSrm_Int
-    34627808U,	// ADDSSrr
-    34627808U,	// ADDSSrr_Int
-    202396070U,	// ADDSUBPDrm
-    34623910U,	// ADDSUBPDrr
-    202399297U,	// ADDSUBPSrm
-    34627137U,	// ADDSUBPSrr
-    118650U,	// ADD_F32m
-    135034U,	// ADD_F64m
-    36736U,	// ADD_FI16m
-    69504U,	// ADD_FI32m
-    22792U,	// ADD_FPrST0
-    20346U,	// ADD_FST0r
+    34620786U,	// ADD64rr_REV
+    24982U,	// ADD8i8
+    1148274U,	// ADD8mi
+    1148274U,	// ADD8mi8
+    1148274U,	// ADD8mr
+    34653554U,	// ADD8ri
+    34653554U,	// ADD8ri8
+    168871282U,	// ADD8rm
+    34653554U,	// ADD8rr
+    34620786U,	// ADD8rr_REV
+    202393760U,	// ADDPDrm
+    34621600U,	// ADDPDrr
+    202397810U,	// ADDPSrm
+    34625650U,	// ADDPSrr
+    235949006U,	// ADDSDrm
+    235949006U,	// ADDSDrm_Int
+    34622414U,	// ADDSDrr
+    34622414U,	// ADDSDrr_Int
+    269507407U,	// ADDSSrm
+    269507407U,	// ADDSSrm_Int
+    34626383U,	// ADDSSrr
+    34626383U,	// ADDSSrr_Int
+    202393695U,	// ADDSUBPDrm
+    34621535U,	// ADDSUBPDrr
+    202397745U,	// ADDSUBPSrm
+    34625585U,	// ADDSUBPSrr
+    116081U,	// ADD_F32m
+    132465U,	// ADD_F64m
+    34167U,	// ADD_FI16m
+    66935U,	// ADD_FI32m
+    20740U,	// ADD_FPrST0
+    17777U,	// ADD_FST0r
     0U,	// ADD_Fp32
     0U,	// ADD_Fp32m
     0U,	// ADD_Fp64
@@ -164,542 +169,542 @@ static void printInstruction(MCInst *MI,
     0U,	// ADD_FpI32m32
     0U,	// ADD_FpI32m64
     0U,	// ADD_FpI32m80
-    2117498U,	// ADD_FrST0
-    11138U,	// ADJCALLSTACKDOWN32
-    11138U,	// ADJCALLSTACKDOWN64
-    11156U,	// ADJCALLSTACKUP32
-    11156U,	// ADJCALLSTACKUP64
-    303064348U,	// ADOX32rm
-    336618780U,	// ADOX32rr
-    370173212U,	// ADOX64rm
-    336618780U,	// ADOX64rr
-    403726862U,	// AESDECLASTrm
-    34628110U,	// AESDECLASTrr
-    403721958U,	// AESDECrm
-    34623206U,	// AESDECrr
-    403726875U,	// AESENCLASTrm
-    34628123U,	// AESENCLASTrr
-    403721998U,	// AESENCrm
-    34623246U,	// AESENCrr
-    437276421U,	// AESIMCrm
-    336613125U,	// AESIMCrr
-    2584764987U,	// AESKEYGENASSIST128rm
-    2484101691U,	// AESKEYGENASSIST128rr
-    26305U,	// AND16i16
-    1085511U,	// AND16mi
-    1085511U,	// AND16mi8
-    1085511U,	// AND16mr
-    34656327U,	// AND16ri
-    34656327U,	// AND16ri8
-    68210759U,	// AND16rm
-    34656327U,	// AND16rr
-    34623559U,	// AND16rr_REV
-    26443U,	// AND32i32
-    1118279U,	// AND32mi
-    1118279U,	// AND32mi8
-    1118279U,	// AND32mr
-    34656327U,	// AND32ri
-    34656327U,	// AND32ri8
-    101765191U,	// AND32rm
-    34656327U,	// AND32rr
-    34623559U,	// AND32rr_REV
-    26591U,	// AND64i32
-    1134663U,	// AND64mi32
-    1134663U,	// AND64mi8
-    1134663U,	// AND64mr
-    34656327U,	// AND64ri32
-    34656327U,	// AND64ri8
-    135319623U,	// AND64rm
-    34656327U,	// AND64rr
-    34623559U,	// AND64rr_REV
-    26203U,	// AND8i8
-    1151047U,	// AND8mi
-    1151047U,	// AND8mr
-    34656327U,	// AND8ri
-    34656327U,	// AND8ri8
-    168874055U,	// AND8rm
-    34656327U,	// AND8rr
-    34623559U,	// AND8rr_REV
-    2484099250U,	// ANDN32rm
-    2484099250U,	// ANDN32rr
-    2484099250U,	// ANDN64rm
-    2484099250U,	// ANDN64rr
-    202396317U,	// ANDNPDrm
-    34624157U,	// ANDNPDrr
-    202399556U,	// ANDNPSrm
-    34627396U,	// ANDNPSrr
-    202396181U,	// ANDPDrm
-    34624021U,	// ANDPDrr
-    202399408U,	// ANDPSrm
-    34627248U,	// ANDPSrr
-    1087546U,	// ARPL16mr
-    336615482U,	// ARPL16rr
+    2114929U,	// ADD_FrST0
+    10018U,	// ADJCALLSTACKDOWN32
+    10018U,	// ADJCALLSTACKDOWN64
+    10036U,	// ADJCALLSTACKUP32
+    10036U,	// ADJCALLSTACKUP64
+    303063136U,	// ADOX32rm
+    336617568U,	// ADOX32rr
+    370172000U,	// ADOX64rm
+    336617568U,	// ADOX64rr
+    403725462U,	// AESDECLASTrm
+    34626710U,	// AESDECLASTrr
+    403719334U,	// AESDECrm
+    34620582U,	// AESDECrr
+    403725475U,	// AESENCLASTrm
+    34626723U,	// AESENCLASTrr
+    403719382U,	// AESENCrm
+    34620630U,	// AESENCrr
+    437273805U,	// AESIMCrm
+    336610509U,	// AESIMCrr
+    2584763587U,	// AESKEYGENASSIST128rm
+    2484100291U,	// AESKEYGENASSIST128rr
+    25093U,	// AND16i16
+    1083023U,	// AND16mi
+    1083023U,	// AND16mi8
+    1083023U,	// AND16mr
+    34653839U,	// AND16ri
+    34653839U,	// AND16ri8
+    68208271U,	// AND16rm
+    34653839U,	// AND16rr
+    34621071U,	// AND16rr_REV
+    25231U,	// AND32i32
+    1115791U,	// AND32mi
+    1115791U,	// AND32mi8
+    1115791U,	// AND32mr
+    34653839U,	// AND32ri
+    34653839U,	// AND32ri8
+    101762703U,	// AND32rm
+    34653839U,	// AND32rr
+    34621071U,	// AND32rr_REV
+    25379U,	// AND64i32
+    1132175U,	// AND64mi32
+    1132175U,	// AND64mi8
+    1132175U,	// AND64mr
+    34653839U,	// AND64ri32
+    34653839U,	// AND64ri8
+    135317135U,	// AND64rm
+    34653839U,	// AND64rr
+    34621071U,	// AND64rr_REV
+    24991U,	// AND8i8
+    1148559U,	// AND8mi
+    1148559U,	// AND8mi8
+    1148559U,	// AND8mr
+    34653839U,	// AND8ri
+    34653839U,	// AND8ri8
+    168871567U,	// AND8rm
+    34653839U,	// AND8rr
+    34621071U,	// AND8rr_REV
+    2484097198U,	// ANDN32rm
+    2484097198U,	// ANDN32rr
+    2484097198U,	// ANDN64rm
+    2484097198U,	// ANDN64rr
+    202393990U,	// ANDNPDrm
+    34621830U,	// ANDNPDrr
+    202398052U,	// ANDNPSrm
+    34625892U,	// ANDNPSrr
+    202393809U,	// ANDPDrm
+    34621649U,	// ANDPDrr
+    202397859U,	// ANDPSrm
+    34625699U,	// ANDPSrr
+    1085494U,	// ARPL16mr
+    336613430U,	// ARPL16rr
     0U,	// AVX2_SETALLONES
     0U,	// AVX512_512_SET0
     0U,	// AVX_SET0
-    2450545836U,	// BEXTR32rm
-    2484100268U,	// BEXTR32rr
-    2517654700U,	// BEXTR64rm
-    2484100268U,	// BEXTR64rr
-    2450545836U,	// BEXTRI32mi
-    2484100268U,	// BEXTRI32ri
-    2517654700U,	// BEXTRI64mi
-    2484100268U,	// BEXTRI64ri
-    303061027U,	// BLCFILL32rm
-    336615459U,	// BLCFILL32rr
-    370169891U,	// BLCFILL64rm
-    336615459U,	// BLCFILL64rr
-    303060808U,	// BLCI32rm
-    336615240U,	// BLCI32rr
-    370169672U,	// BLCI64rm
-    336615240U,	// BLCI64rr
-    303058670U,	// BLCIC32rm
-    336613102U,	// BLCIC32rr
-    370167534U,	// BLCIC64rm
-    336613102U,	// BLCIC64rr
-    303060978U,	// BLCMSK32rm
-    336615410U,	// BLCMSK32rr
-    370169842U,	// BLCMSK64rm
-    336615410U,	// BLCMSK64rr
-    303062218U,	// BLCS32rm
-    336616650U,	// BLCS32rr
-    370171082U,	// BLCS64rm
-    336616650U,	// BLCS64rr
-    2349879837U,	// BLENDPDrmi
-    2182107677U,	// BLENDPDrri
-    2349883064U,	// BLENDPSrmi
-    2182110904U,	// BLENDPSrri
-    202396413U,	// BLENDVPDrm0
-    34624253U,	// BLENDVPDrr0
-    202399693U,	// BLENDVPSrm0
-    34627533U,	// BLENDVPSrr0
-    303061036U,	// BLSFILL32rm
-    336615468U,	// BLSFILL32rr
-    370169900U,	// BLSFILL64rm
-    336615468U,	// BLSFILL64rr
-    303060964U,	// BLSI32rm
-    336615396U,	// BLSI32rr
-    370169828U,	// BLSI64rm
-    336615396U,	// BLSI64rr
-    303058677U,	// BLSIC32rm
-    336613109U,	// BLSIC32rr
-    370167541U,	// BLSIC64rm
-    336613109U,	// BLSIC64rr
-    303060986U,	// BLSMSK32rm
-    336615418U,	// BLSMSK32rr
-    370169850U,	// BLSMSK64rm
-    336615418U,	// BLSMSK64rr
-    303062167U,	// BLSR32rm
-    336616599U,	// BLSR32rr
-    370171031U,	// BLSR64rm
-    336616599U,	// BLSR64rr
-    303059037U,	// BOUNDS16rm
-    370167901U,	// BOUNDS32rm
-    470832853U,	// BSF16rm
-    336615125U,	// BSF16rr
-    303060693U,	// BSF32rm
-    336615125U,	// BSF32rr
-    370169557U,	// BSF64rm
-    336615125U,	// BSF64rr
-    470834302U,	// BSR16rm
-    336616574U,	// BSR16rr
-    303062142U,	// BSR32rm
-    336616574U,	// BSR32rr
-    370171006U,	// BSR64rm
-    336616574U,	// BSR64rr
-    22771U,	// BSWAP32r
-    22771U,	// BSWAP64r
-    1089940U,	// BT16mi8
-    1089940U,	// BT16mr
-    336617876U,	// BT16ri8
-    336617876U,	// BT16rr
-    1122708U,	// BT32mi8
-    1122708U,	// BT32mr
-    336617876U,	// BT32ri8
-    336617876U,	// BT32rr
-    1139092U,	// BT64mi8
-    1139092U,	// BT64mr
-    336617876U,	// BT64ri8
-    336617876U,	// BT64rr
-    1085211U,	// BTC16mi8
-    1085211U,	// BTC16mr
-    336613147U,	// BTC16ri8
-    336613147U,	// BTC16rr
-    1117979U,	// BTC32mi8
-    1117979U,	// BTC32mr
-    336613147U,	// BTC32ri8
-    336613147U,	// BTC32rr
-    1134363U,	// BTC64mi8
-    1134363U,	// BTC64mr
-    336613147U,	// BTC64ri8
-    336613147U,	// BTC64rr
-    1088669U,	// BTR16mi8
-    1088669U,	// BTR16mr
-    336616605U,	// BTR16ri8
-    336616605U,	// BTR16rr
-    1121437U,	// BTR32mi8
-    1121437U,	// BTR32mr
-    336616605U,	// BTR32ri8
-    336616605U,	// BTR32rr
-    1137821U,	// BTR64mi8
-    1137821U,	// BTR64mr
-    336616605U,	// BTR64ri8
-    336616605U,	// BTR64rr
-    1089922U,	// BTS16mi8
-    1089922U,	// BTS16mr
-    336617858U,	// BTS16ri8
-    336617858U,	// BTS16rr
-    1122690U,	// BTS32mi8
-    1122690U,	// BTS32mr
-    336617858U,	// BTS32ri8
-    336617858U,	// BTS32rr
-    1139074U,	// BTS64mi8
-    1139074U,	// BTS64mr
-    336617858U,	// BTS64ri8
-    336617858U,	// BTS64rr
-    2450544462U,	// BZHI32rm
-    2484098894U,	// BZHI32rr
-    2517653326U,	// BZHI64rm
-    2484098894U,	// BZHI64rr
-    38941U,	// CALL16m
-    22557U,	// CALL16r
-    71709U,	// CALL32m
-    22557U,	// CALL32r
-    88093U,	// CALL64m
-    153629U,	// CALL64pcrel32
-    22557U,	// CALL64r
-    153629U,	// CALLpcrel16
-    153629U,	// CALLpcrel32
-    12204U,	// CBW
-    11812U,	// CDQ
-    11455U,	// CDQE
-    11999U,	// CHS_F
+    2450544189U,	// BEXTR32rm
+    2484098621U,	// BEXTR32rr
+    2517653053U,	// BEXTR64rm
+    2484098621U,	// BEXTR64rr
+    2450544189U,	// BEXTRI32mi
+    2484098621U,	// BEXTRI32ri
+    2517653053U,	// BEXTRI64mi
+    2484098621U,	// BEXTRI64ri
+    303058975U,	// BLCFILL32rm
+    336613407U,	// BLCFILL32rr
+    370167839U,	// BLCFILL64rm
+    336613407U,	// BLCFILL64rr
+    303058706U,	// BLCI32rm
+    336613138U,	// BLCI32rr
+    370167570U,	// BLCI64rm
+    336613138U,	// BLCI64rr
+    303056054U,	// BLCIC32rm
+    336610486U,	// BLCIC32rr
+    370164918U,	// BLCIC64rm
+    336610486U,	// BLCIC64rr
+    303058926U,	// BLCMSK32rm
+    336613358U,	// BLCMSK32rr
+    370167790U,	// BLCMSK64rm
+    336613358U,	// BLCMSK64rr
+    303060571U,	// BLCS32rm
+    336615003U,	// BLCS32rr
+    370169435U,	// BLCS64rm
+    336615003U,	// BLCS64rr
+    2349877473U,	// BLENDPDrmi
+    2182105313U,	// BLENDPDrri
+    2349881523U,	// BLENDPSrmi
+    2182109363U,	// BLENDPSrri
+    202394112U,	// BLENDVPDrm0
+    34621952U,	// BLENDVPDrr0
+    202398215U,	// BLENDVPSrm0
+    34626055U,	// BLENDVPSrr0
+    303058984U,	// BLSFILL32rm
+    336613416U,	// BLSFILL32rr
+    370167848U,	// BLSFILL64rm
+    336613416U,	// BLSFILL64rr
+    303058862U,	// BLSI32rm
+    336613294U,	// BLSI32rr
+    370167726U,	// BLSI64rm
+    336613294U,	// BLSI64rr
+    303056061U,	// BLSIC32rm
+    336610493U,	// BLSIC32rr
+    370164925U,	// BLSIC64rm
+    336610493U,	// BLSIC64rr
+    303058934U,	// BLSMSK32rm
+    336613366U,	// BLSMSK32rr
+    370167798U,	// BLSMSK64rm
+    336613366U,	// BLSMSK64rr
+    303060520U,	// BLSR32rm
+    336614952U,	// BLSR32rr
+    370169384U,	// BLSR64rm
+    336614952U,	// BLSR64rr
+    303056575U,	// BOUNDS16rm
+    370165439U,	// BOUNDS32rm
+    470830751U,	// BSF16rm
+    336613023U,	// BSF16rr
+    303058591U,	// BSF32rm
+    336613023U,	// BSF32rr
+    370167455U,	// BSF64rm
+    336613023U,	// BSF64rr
+    470832655U,	// BSR16rm
+    336614927U,	// BSR16rr
+    303060495U,	// BSR32rm
+    336614927U,	// BSR32rr
+    370169359U,	// BSR64rm
+    336614927U,	// BSR64rr
+    20719U,	// BSWAP32r
+    20719U,	// BSWAP64r
+    1088528U,	// BT16mi8
+    1088528U,	// BT16mr
+    336616464U,	// BT16ri8
+    336616464U,	// BT16rr
+    1121296U,	// BT32mi8
+    1121296U,	// BT32mr
+    336616464U,	// BT32ri8
+    336616464U,	// BT32rr
+    1137680U,	// BT64mi8
+    1137680U,	// BT64mr
+    336616464U,	// BT64ri8
+    336616464U,	// BT64rr
+    1082595U,	// BTC16mi8
+    1082595U,	// BTC16mr
+    336610531U,	// BTC16ri8
+    336610531U,	// BTC16rr
+    1115363U,	// BTC32mi8
+    1115363U,	// BTC32mr
+    336610531U,	// BTC32ri8
+    336610531U,	// BTC32rr
+    1131747U,	// BTC64mi8
+    1131747U,	// BTC64mr
+    336610531U,	// BTC64ri8
+    336610531U,	// BTC64rr
+    1087022U,	// BTR16mi8
+    1087022U,	// BTR16mr
+    336614958U,	// BTR16ri8
+    336614958U,	// BTR16rr
+    1119790U,	// BTR32mi8
+    1119790U,	// BTR32mr
+    336614958U,	// BTR32ri8
+    336614958U,	// BTR32rr
+    1136174U,	// BTR64mi8
+    1136174U,	// BTR64mr
+    336614958U,	// BTR64ri8
+    336614958U,	// BTR64rr
+    1088510U,	// BTS16mi8
+    1088510U,	// BTS16mr
+    336616446U,	// BTS16ri8
+    336616446U,	// BTS16rr
+    1121278U,	// BTS32mi8
+    1121278U,	// BTS32mr
+    336616446U,	// BTS32ri8
+    336616446U,	// BTS32rr
+    1137662U,	// BTS64mi8
+    1137662U,	// BTS64mr
+    336616446U,	// BTS64ri8
+    336616446U,	// BTS64rr
+    2450542360U,	// BZHI32rm
+    2484096792U,	// BZHI32rr
+    2517651224U,	// BZHI64rm
+    2484096792U,	// BZHI64rr
+    36889U,	// CALL16m
+    20505U,	// CALL16r
+    69657U,	// CALL32m
+    20505U,	// CALL32r
+    86041U,	// CALL64m
+    151577U,	// CALL64pcrel32
+    20505U,	// CALL64r
+    151577U,	// CALLpcrel16
+    151577U,	// CALLpcrel32
+    11125U,	// CBW
+    10725U,	// CDQ
+    10335U,	// CDQE
+    10912U,	// CHS_F
     0U,	// CHS_Fp32
     0U,	// CHS_Fp64
     0U,	// CHS_Fp80
-    11268U,	// CLAC
-    11300U,	// CLC
-    11350U,	// CLD
-    104249U,	// CLFLUSH
-    11570U,	// CLGI
-    11580U,	// CLI
-    12089U,	// CLTS
-    11304U,	// CMC
-    68177251U,	// CMOVA16rm
-    34622819U,	// CMOVA16rr
-    101731683U,	// CMOVA32rm
-    34622819U,	// CMOVA32rr
-    135286115U,	// CMOVA64rm
-    34622819U,	// CMOVA64rr
-    68179448U,	// CMOVAE16rm
-    34625016U,	// CMOVAE16rr
-    101733880U,	// CMOVAE32rm
-    34625016U,	// CMOVAE32rr
-    135288312U,	// CMOVAE64rm
-    34625016U,	// CMOVAE64rr
-    68177579U,	// CMOVB16rm
-    34623147U,	// CMOVB16rr
-    101732011U,	// CMOVB32rm
-    34623147U,	// CMOVB32rr
-    135286443U,	// CMOVB64rm
-    34623147U,	// CMOVB64rr
-    68179468U,	// CMOVBE16rm
-    34625036U,	// CMOVBE16rr
-    101733900U,	// CMOVBE32rm
-    34625036U,	// CMOVBE32rr
-    135288332U,	// CMOVBE64rm
-    34625036U,	// CMOVBE64rr
-    26027U,	// CMOVBE_F
+    10148U,	// CLAC
+    10180U,	// CLC
+    10230U,	// CLD
+    102147U,	// CLFLUSH
+    105592U,	// CLFLUSHOPT
+    10450U,	// CLGI
+    10460U,	// CLI
+    11002U,	// CLTS
+    99436U,	// CLWB
+    10184U,	// CMC
+    68174443U,	// CMOVA16rm
+    34620011U,	// CMOVA16rr
+    101728875U,	// CMOVA32rm
+    34620011U,	// CMOVA32rr
+    135283307U,	// CMOVA64rm
+    34620011U,	// CMOVA64rr
+    68177346U,	// CMOVAE16rm
+    34622914U,	// CMOVAE16rr
+    101731778U,	// CMOVAE32rm
+    34622914U,	// CMOVAE32rr
+    135286210U,	// CMOVAE64rm
+    34622914U,	// CMOVAE64rr
+    68174942U,	// CMOVB16rm
+    34620510U,	// CMOVB16rr
+    101729374U,	// CMOVB32rm
+    34620510U,	// CMOVB32rr
+    135283806U,	// CMOVB64rm
+    34620510U,	// CMOVB64rr
+    68177366U,	// CMOVBE16rm
+    34622934U,	// CMOVBE16rr
+    101731798U,	// CMOVBE32rm
+    34622934U,	// CMOVBE32rr
+    135286230U,	// CMOVBE64rm
+    34622934U,	// CMOVBE64rr
+    24815U,	// CMOVBE_F
     0U,	// CMOVBE_Fp32
     0U,	// CMOVBE_Fp64
     0U,	// CMOVBE_Fp80
-    25995U,	// CMOVB_F
+    24783U,	// CMOVB_F
     0U,	// CMOVB_Fp32
     0U,	// CMOVB_Fp64
     0U,	// CMOVB_Fp80
-    68179662U,	// CMOVE16rm
-    34625230U,	// CMOVE16rr
-    101734094U,	// CMOVE32rm
-    34625230U,	// CMOVE32rr
-    135288526U,	// CMOVE64rm
-    34625230U,	// CMOVE64rr
-    26059U,	// CMOVE_F
+    68177560U,	// CMOVE16rm
+    34623128U,	// CMOVE16rr
+    101731992U,	// CMOVE32rm
+    34623128U,	// CMOVE32rr
+    135286424U,	// CMOVE64rm
+    34623128U,	// CMOVE64rr
+    24847U,	// CMOVE_F
     0U,	// CMOVE_Fp32
     0U,	// CMOVE_Fp64
     0U,	// CMOVE_Fp80
-    68179712U,	// CMOVG16rm
-    34625280U,	// CMOVG16rr
-    101734144U,	// CMOVG32rm
-    34625280U,	// CMOVG32rr
-    135288576U,	// CMOVG64rm
-    34625280U,	// CMOVG64rr
-    68179513U,	// CMOVGE16rm
-    34625081U,	// CMOVGE16rr
-    101733945U,	// CMOVGE32rm
-    34625081U,	// CMOVGE32rr
-    135288377U,	// CMOVGE64rm
-    34625081U,	// CMOVGE64rr
-    68180080U,	// CMOVL16rm
-    34625648U,	// CMOVL16rr
-    101734512U,	// CMOVL32rm
-    34625648U,	// CMOVL32rr
-    135288944U,	// CMOVL64rm
-    34625648U,	// CMOVL64rr
-    68179537U,	// CMOVLE16rm
-    34625105U,	// CMOVLE16rr
-    101733969U,	// CMOVLE32rm
-    34625105U,	// CMOVLE32rr
-    135288401U,	// CMOVLE64rm
-    34625105U,	// CMOVLE64rr
-    26010U,	// CMOVNBE_F
+    68177610U,	// CMOVG16rm
+    34623178U,	// CMOVG16rr
+    101732042U,	// CMOVG32rm
+    34623178U,	// CMOVG32rr
+    135286474U,	// CMOVG64rm
+    34623178U,	// CMOVG64rr
+    68177411U,	// CMOVGE16rm
+    34622979U,	// CMOVGE16rr
+    101731843U,	// CMOVGE32rm
+    34622979U,	// CMOVGE32rr
+    135286275U,	// CMOVGE64rm
+    34622979U,	// CMOVGE64rr
+    68178028U,	// CMOVL16rm
+    34623596U,	// CMOVL16rr
+    101732460U,	// CMOVL32rm
+    34623596U,	// CMOVL32rr
+    135286892U,	// CMOVL64rm
+    34623596U,	// CMOVL64rr
+    68177435U,	// CMOVLE16rm
+    34623003U,	// CMOVLE16rr
+    101731867U,	// CMOVLE32rm
+    34623003U,	// CMOVLE32rr
+    135286299U,	// CMOVLE64rm
+    34623003U,	// CMOVLE64rr
+    24798U,	// CMOVNBE_F
     0U,	// CMOVNBE_Fp32
     0U,	// CMOVNBE_Fp64
     0U,	// CMOVNBE_Fp80
-    25979U,	// CMOVNB_F
+    24767U,	// CMOVNB_F
     0U,	// CMOVNB_Fp32
     0U,	// CMOVNB_Fp64
     0U,	// CMOVNB_Fp80
-    68179565U,	// CMOVNE16rm
-    34625133U,	// CMOVNE16rr
-    101733997U,	// CMOVNE32rm
-    34625133U,	// CMOVNE32rr
-    135288429U,	// CMOVNE64rm
-    34625133U,	// CMOVNE64rr
-    26043U,	// CMOVNE_F
+    68177463U,	// CMOVNE16rm
+    34623031U,	// CMOVNE16rr
+    101731895U,	// CMOVNE32rm
+    34623031U,	// CMOVNE32rr
+    135286327U,	// CMOVNE64rm
+    34623031U,	// CMOVNE64rr
+    24831U,	// CMOVNE_F
     0U,	// CMOVNE_Fp32
     0U,	// CMOVNE_Fp64
     0U,	// CMOVNE_Fp80
-    68180190U,	// CMOVNO16rm
-    34625758U,	// CMOVNO16rr
-    101734622U,	// CMOVNO32rm
-    34625758U,	// CMOVNO32rr
-    135289054U,	// CMOVNO64rm
-    34625758U,	// CMOVNO64rr
-    68180302U,	// CMOVNP16rm
-    34625870U,	// CMOVNP16rr
-    101734734U,	// CMOVNP32rm
-    34625870U,	// CMOVNP32rr
-    135289166U,	// CMOVNP64rm
-    34625870U,	// CMOVNP64rr
-    26114U,	// CMOVNP_F
+    68178138U,	// CMOVNO16rm
+    34623706U,	// CMOVNO16rr
+    101732570U,	// CMOVNO32rm
+    34623706U,	// CMOVNO32rr
+    135287002U,	// CMOVNO64rm
+    34623706U,	// CMOVNO64rr
+    68178269U,	// CMOVNP16rm
+    34623837U,	// CMOVNP16rr
+    101732701U,	// CMOVNP32rm
+    34623837U,	// CMOVNP32rr
+    135287133U,	// CMOVNP64rm
+    34623837U,	// CMOVNP64rr
+    24902U,	// CMOVNP_F
     0U,	// CMOVNP_Fp32
     0U,	// CMOVNP_Fp64
     0U,	// CMOVNP_Fp80
-    68181236U,	// CMOVNS16rm
-    34626804U,	// CMOVNS16rr
-    101735668U,	// CMOVNS32rm
-    34626804U,	// CMOVNS32rr
-    135290100U,	// CMOVNS64rm
-    34626804U,	// CMOVNS64rr
-    68180204U,	// CMOVO16rm
-    34625772U,	// CMOVO16rr
-    101734636U,	// CMOVO32rm
-    34625772U,	// CMOVO32rr
-    135289068U,	// CMOVO64rm
-    34625772U,	// CMOVO64rr
-    68180431U,	// CMOVP16rm
-    34625999U,	// CMOVP16rr
-    101734863U,	// CMOVP32rm
-    34625999U,	// CMOVP32rr
-    135289295U,	// CMOVP64rm
-    34625999U,	// CMOVP64rr
-    26130U,	// CMOVP_F
+    68179597U,	// CMOVNS16rm
+    34625165U,	// CMOVNS16rr
+    101734029U,	// CMOVNS32rm
+    34625165U,	// CMOVNS32rr
+    135288461U,	// CMOVNS64rm
+    34625165U,	// CMOVNS64rr
+    68178152U,	// CMOVO16rm
+    34623720U,	// CMOVO16rr
+    101732584U,	// CMOVO32rm
+    34623720U,	// CMOVO32rr
+    135287016U,	// CMOVO64rm
+    34623720U,	// CMOVO64rr
+    68178398U,	// CMOVP16rm
+    34623966U,	// CMOVP16rr
+    101732830U,	// CMOVP32rm
+    34623966U,	// CMOVP32rr
+    135287262U,	// CMOVP64rm
+    34623966U,	// CMOVP64rr
+    24918U,	// CMOVP_F
     0U,	// CMOVP_Fp32
     0U,	// CMOVP_Fp64
     0U,	// CMOVP_Fp80
-    68182413U,	// CMOVS16rm
-    34627981U,	// CMOVS16rr
-    101736845U,	// CMOVS32rm
-    34627981U,	// CMOVS32rr
-    135291277U,	// CMOVS64rm
-    34627981U,	// CMOVS64rr
-    10618U,	// CMOV_FR32
-    10777U,	// CMOV_FR64
-    10497U,	// CMOV_GR16
-    10477U,	// CMOV_GR32
-    10796U,	// CMOV_GR8
-    10598U,	// CMOV_RFP32
-    10757U,	// CMOV_RFP64
-    10517U,	// CMOV_RFP80
-    10557U,	// CMOV_V16F32
-    10637U,	// CMOV_V2F64
-    10697U,	// CMOV_V2I64
-    10537U,	// CMOV_V4F32
-    10657U,	// CMOV_V4F64
-    10717U,	// CMOV_V4I64
-    10578U,	// CMOV_V8F32
-    10677U,	// CMOV_V8F64
-    10737U,	// CMOV_V8I64
-    26332U,	// CMP16i16
-    1087776U,	// CMP16mi
-    1087776U,	// CMP16mi8
-    1087776U,	// CMP16mr
-    336615712U,	// CMP16ri
-    336615712U,	// CMP16ri8
-    470833440U,	// CMP16rm
-    336615712U,	// CMP16rr
-    336615712U,	// CMP16rr_REV
-    26497U,	// CMP32i32
-    1120544U,	// CMP32mi
-    1120544U,	// CMP32mi8
-    1120544U,	// CMP32mr
-    336615712U,	// CMP32ri
-    336615712U,	// CMP32ri8
-    303061280U,	// CMP32rm
-    336615712U,	// CMP32rr
-    336615712U,	// CMP32rr_REV
-    26612U,	// CMP64i32
-    1136928U,	// CMP64mi32
-    1136928U,	// CMP64mi8
-    1136928U,	// CMP64mr
-    336615712U,	// CMP64ri32
-    336615712U,	// CMP64ri8
-    370170144U,	// CMP64rm
-    336615712U,	// CMP64rr
-    336615712U,	// CMP64rr_REV
-    26220U,	// CMP8i8
-    1153312U,	// CMP8mi
-    1153312U,	// CMP8mr
-    336615712U,	// CMP8ri
-    504387872U,	// CMP8rm
-    336615712U,	// CMP8rr
-    336615712U,	// CMP8rr_REV
-    204647927U,	// CMPPDrmi
-    2349879989U,	// CMPPDrmi_alt
-    36892151U,	// CMPPDrri
-    2182107829U,	// CMPPDrri_alt
-    205696503U,	// CMPPSrmi
-    2349883236U,	// CMPPSrmi_alt
-    37940727U,	// CMPPSrri
-    2182111076U,	// CMPPSrri_alt
-    200221U,	// CMPSB
-    240299511U,	// CMPSDrm
-    2383434910U,	// CMPSDrm_alt
-    38989303U,	// CMPSDrr
-    2182108318U,	// CMPSDrr_alt
-    218270U,	// CMPSL
-    236406U,	// CMPSQ
-    274902519U,	// CMPSSrm
-    2416992560U,	// CMPSSrm_alt
-    40037879U,	// CMPSSrr
-    2182111536U,	// CMPSSrr_alt
-    255070U,	// CMPSW
-    265578U,	// CMPXCHG16B
-    1087205U,	// CMPXCHG16rm
-    336615141U,	// CMPXCHG16rr
-    1119973U,	// CMPXCHG32rm
-    336615141U,	// CMPXCHG32rr
-    1136357U,	// CMPXCHG64rm
-    336615141U,	// CMPXCHG64rr
-    85366U,	// CMPXCHG8B
-    1152741U,	// CMPXCHG8rm
-    336615141U,	// CMPXCHG8rr
-    537941100U,	// COMISDrm
-    336614508U,	// COMISDrr
-    537944326U,	// COMISSrm
-    336617734U,	// COMISSrr
-    22827U,	// COMP_FST0r
-    22413U,	// COM_FIPr
-    22356U,	// COM_FIr
-    22652U,	// COM_FST0r
-    12061U,	// COS_F
+    68181001U,	// CMOVS16rm
+    34626569U,	// CMOVS16rr
+    101735433U,	// CMOVS32rm
+    34626569U,	// CMOVS32rr
+    135289865U,	// CMOVS64rm
+    34626569U,	// CMOVS64rr
+    9403U,	// CMOV_FR32
+    9590U,	// CMOV_FR64
+    9610U,	// CMOV_GR16
+    9423U,	// CMOV_GR32
+    9630U,	// CMOV_GR8
+    9382U,	// CMOV_RFP32
+    9569U,	// CMOV_RFP64
+    9297U,	// CMOV_RFP80
+    9339U,	// CMOV_V16F32
+    9443U,	// CMOV_V2F64
+    9506U,	// CMOV_V2I64
+    9318U,	// CMOV_V4F32
+    9464U,	// CMOV_V4F64
+    9527U,	// CMOV_V4I64
+    9361U,	// CMOV_V8F32
+    9485U,	// CMOV_V8F64
+    9548U,	// CMOV_V8I64
+    25120U,	// CMP16i16
+    1085732U,	// CMP16mi
+    1085732U,	// CMP16mi8
+    1085732U,	// CMP16mr
+    336613668U,	// CMP16ri
+    336613668U,	// CMP16ri8
+    470831396U,	// CMP16rm
+    336613668U,	// CMP16rr
+    336613668U,	// CMP16rr_REV
+    25285U,	// CMP32i32
+    1118500U,	// CMP32mi
+    1118500U,	// CMP32mi8
+    1118500U,	// CMP32mr
+    336613668U,	// CMP32ri
+    336613668U,	// CMP32ri8
+    303059236U,	// CMP32rm
+    336613668U,	// CMP32rr
+    336613668U,	// CMP32rr_REV
+    25400U,	// CMP64i32
+    1134884U,	// CMP64mi32
+    1134884U,	// CMP64mi8
+    1134884U,	// CMP64mr
+    336613668U,	// CMP64ri32
+    336613668U,	// CMP64ri8
+    370168100U,	// CMP64rm
+    336613668U,	// CMP64rr
+    336613668U,	// CMP64rr_REV
+    25008U,	// CMP8i8
+    1151268U,	// CMP8mi
+    1151268U,	// CMP8mi8
+    1151268U,	// CMP8mr
+    336613668U,	// CMP8ri
+    336613668U,	// CMP8ri8
+    504385828U,	// CMP8rm
+    336613668U,	// CMP8rr
+    336613668U,	// CMP8rr_REV
+    204646813U,	// CMPPDrmi
+    2349877662U,	// CMPPDrmi_alt
+    36891037U,	// CMPPDrri
+    2182105502U,	// CMPPDrri_alt
+    205695389U,	// CMPPSrmi
+    2349881732U,	// CMPPSrmi_alt
+    37939613U,	// CMPPSrri
+    2182109572U,	// CMPPSrri_alt
+    197558U,	// CMPSB
+    240298397U,	// CMPSDrm
+    2383432755U,	// CMPSDrm_alt
+    38988189U,	// CMPSDrr
+    2182106163U,	// CMPSDrr_alt
+    216115U,	// CMPSL
+    234670U,	// CMPSQ
+    274901405U,	// CMPSSrm
+    2416991148U,	// CMPSSrm_alt
+    40036765U,	// CMPSSrr
+    2182110124U,	// CMPSSrr_alt
+    253825U,	// CMPSW
+    262780U,	// CMPXCHG16B
+    1085103U,	// CMPXCHG16rm
+    336613039U,	// CMPXCHG16rr
+    1117871U,	// CMPXCHG32rm
+    336613039U,	// CMPXCHG32rr
+    1134255U,	// CMPXCHG64rm
+    336613039U,	// CMPXCHG64rr
+    82568U,	// CMPXCHG8B
+    1150639U,	// CMPXCHG8rm
+    336613039U,	// CMPXCHG8rr
+    537938945U,	// COMISDrm
+    336612353U,	// COMISDrr
+    537942914U,	// COMISSrm
+    336616322U,	// COMISSrr
+    20794U,	// COMP_FST0r
+    20311U,	// COM_FIPr
+    20254U,	// COM_FIr
+    20600U,	// COM_FST0r
+    10974U,	// COS_F
     0U,	// COS_Fp32
     0U,	// COS_Fp64
     0U,	// COS_Fp80
-    11344U,	// CPUID32
-    11344U,	// CPUID64
-    11745U,	// CQO
-    68209583U,	// CRC32r32m16
-    101764015U,	// CRC32r32m32
-    168872879U,	// CRC32r32m8
-    34655151U,	// CRC32r32r16
-    34655151U,	// CRC32r32r32
-    34655151U,	// CRC32r32r8
-    135318447U,	// CRC32r64m64
-    168872879U,	// CRC32r64m8
-    34655151U,	// CRC32r64r64
-    34655151U,	// CRC32r64r8
-    370168103U,	// CVTDQ2PDrm
-    336613671U,	// CVTDQ2PDrr
-    437280213U,	// CVTDQ2PSrm
-    336616917U,	// CVTDQ2PSrr
-    537942567U,	// CVTPD2DQrm
-    336615975U,	// CVTPD2DQrr
-    537943465U,	// CVTPD2PSrm
-    336616873U,	// CVTPD2PSrr
-    537942599U,	// CVTPS2DQrm
-    336616007U,	// CVTPS2DQrr
-    571494706U,	// CVTPS2PDrm
-    336613682U,	// CVTPS2PDrr
-    571496387U,	// CVTSD2SI64rm
-    336615363U,	// CVTSD2SI64rr
-    571496387U,	// CVTSD2SIrm
-    336615363U,	// CVTSD2SIrr
-    571498601U,	// CVTSD2SSrm
-    336617577U,	// CVTSD2SSrr
-    370168775U,	// CVTSI2SD64rm
-    336614343U,	// CVTSI2SD64rr
-    303059911U,	// CVTSI2SDrm
-    336614343U,	// CVTSI2SDrr
-    370172020U,	// CVTSI2SS64rm
-    336617588U,	// CVTSI2SS64rr
-    303063156U,	// CVTSI2SSrm
-    336617588U,	// CVTSI2SSrr
-    605049822U,	// CVTSS2SDrm
-    336614366U,	// CVTSS2SDrr
-    605050842U,	// CVTSS2SI64rm
-    336615386U,	// CVTSS2SI64rr
-    605050842U,	// CVTSS2SIrm
-    336615386U,	// CVTSS2SIrr
-    537942555U,	// CVTTPD2DQrm
-    336615963U,	// CVTTPD2DQrr
-    537942587U,	// CVTTPS2DQrm
-    336615995U,	// CVTTPS2DQrr
-    571496375U,	// CVTTSD2SI64rm
-    336615351U,	// CVTTSD2SI64rr
-    571496375U,	// CVTTSD2SIrm
-    336615351U,	// CVTTSD2SIrr
-    605050830U,	// CVTTSS2SI64rm
-    336615374U,	// CVTTSS2SI64rr
-    605050830U,	// CVTTSS2SIrm
-    336615374U,	// CVTTSS2SIrr
-    11396U,	// CWD
-    11428U,	// CWDE
-    11203U,	// DAA
-    11915U,	// DAS
-    11084U,	// DATA16_PREFIX
-    36585U,	// DEC16m
-    20201U,	// DEC16r
-    20201U,	// DEC32_16r
-    20201U,	// DEC32_32r
-    69353U,	// DEC32m
-    20201U,	// DEC32r
-    36585U,	// DEC64_16m
-    20201U,	// DEC64_16r
-    69353U,	// DEC64_32m
-    20201U,	// DEC64_32r
-    85737U,	// DEC64m
-    20201U,	// DEC64r
-    102121U,	// DEC8m
-    20201U,	// DEC8r
-    41599U,	// DIV16m
-    25215U,	// DIV16r
-    74367U,	// DIV32m
-    25215U,	// DIV32r
-    90751U,	// DIV64m
-    25215U,	// DIV64r
-    107135U,	// DIV8m
-    25215U,	// DIV8r
-    202396424U,	// DIVPDrm
-    34624264U,	// DIVPDrr
-    202399704U,	// DIVPSrm
-    34627544U,	// DIVPSrr
-    122035U,	// DIVR_F32m
-    138419U,	// DIVR_F64m
-    40122U,	// DIVR_FI16m
-    72890U,	// DIVR_FI32m
-    22894U,	// DIVR_FPrST0
-    23731U,	// DIVR_FST0r
+    10224U,	// CPUID
+    10631U,	// CQO
+    68206670U,	// CRC32r32m16
+    101761102U,	// CRC32r32m32
+    168869966U,	// CRC32r32m8
+    34652238U,	// CRC32r32r16
+    34652238U,	// CRC32r32r32
+    34652238U,	// CRC32r32r8
+    135315534U,	// CRC32r64m64
+    168869966U,	// CRC32r64m8
+    34652238U,	// CRC32r64r64
+    34652238U,	// CRC32r64r8
+    370165661U,	// CVTDQ2PDrm
+    336611229U,	// CVTDQ2PDrr
+    437278594U,	// CVTDQ2PSrm
+    336615298U,	// CVTDQ2PSrr
+    537940589U,	// CVTPD2DQrm
+    336613997U,	// CVTPD2DQrr
+    537941826U,	// CVTPD2PSrm
+    336615234U,	// CVTPD2PSrr
+    537940621U,	// CVTPS2DQrm
+    336614029U,	// CVTPS2DQrr
+    571492276U,	// CVTPS2PDrm
+    336611252U,	// CVTPS2PDrr
+    571494285U,	// CVTSD2SI64rm
+    336613261U,	// CVTSD2SI64rr
+    571494285U,	// CVTSD2SIrm
+    336613261U,	// CVTSD2SIrr
+    571497132U,	// CVTSD2SSrm
+    336616108U,	// CVTSD2SSrr
+    370166563U,	// CVTSI2SD64rm
+    336612131U,	// CVTSI2SD64rr
+    303057699U,	// CVTSI2SDrm
+    336612131U,	// CVTSI2SDrr
+    370170551U,	// CVTSI2SS64rm
+    336616119U,	// CVTSI2SS64rr
+    303061687U,	// CVTSI2SSrm
+    336616119U,	// CVTSI2SSrr
+    605047610U,	// CVTSS2SDrm
+    336612154U,	// CVTSS2SDrr
+    605048740U,	// CVTSS2SI64rm
+    336613284U,	// CVTSS2SI64rr
+    605048740U,	// CVTSS2SIrm
+    336613284U,	// CVTSS2SIrr
+    537940577U,	// CVTTPD2DQrm
+    336613985U,	// CVTTPD2DQrr
+    537940609U,	// CVTTPS2DQrm
+    336614017U,	// CVTTPS2DQrr
+    571494273U,	// CVTTSD2SI64rm
+    336613249U,	// CVTTSD2SI64rr
+    571494273U,	// CVTTSD2SIrm
+    336613249U,	// CVTTSD2SIrr
+    605048728U,	// CVTTSS2SI64rm
+    336613272U,	// CVTTSS2SI64rr
+    605048728U,	// CVTTSS2SIrm
+    336613272U,	// CVTTSS2SIrr
+    10276U,	// CWD
+    10308U,	// CWDE
+    10083U,	// DAA
+    10828U,	// DAS
+    9964U,	// DATA16_PREFIX
+    33961U,	// DEC16m
+    17577U,	// DEC16r
+    17577U,	// DEC16r_alt
+    66729U,	// DEC32m
+    17577U,	// DEC32r
+    17577U,	// DEC32r_alt
+    83113U,	// DEC64m
+    17577U,	// DEC64r
+    99497U,	// DEC8m
+    17577U,	// DEC8r
+    40199U,	// DIV16m
+    23815U,	// DIV16r
+    72967U,	// DIV32m
+    23815U,	// DIV32r
+    89351U,	// DIV64m
+    23815U,	// DIV64r
+    105735U,	// DIV8m
+    23815U,	// DIV8r
+    202394123U,	// DIVPDrm
+    34621963U,	// DIVPDrr
+    202398226U,	// DIVPSrm
+    34626066U,	// DIVPSrr
+    120388U,	// DIVR_F32m
+    136772U,	// DIVR_F64m
+    38475U,	// DIVR_FI16m
+    71243U,	// DIVR_FI32m
+    20861U,	// DIVR_FPrST0
+    22084U,	// DIVR_FST0r
     0U,	// DIVR_Fp32m
     0U,	// DIVR_Fp64m
     0U,	// DIVR_Fp64m32
@@ -711,21 +716,21 @@ static void printInstruction(MCInst *MI,
     0U,	// DIVR_FpI32m32
     0U,	// DIVR_FpI32m64
     0U,	// DIVR_FpI32m80
-    2120883U,	// DIVR_FrST0
-    235951302U,	// DIVSDrm
-    235951302U,	// DIVSDrm_Int
-    34624710U,	// DIVSDrr
-    34624710U,	// DIVSDrr_Int
-    269508962U,	// DIVSSrm
-    269508962U,	// DIVSSrm_Int
-    34627938U,	// DIVSSrr
-    34627938U,	// DIVSSrr_Int
-    123518U,	// DIV_F32m
-    139902U,	// DIV_F64m
-    41604U,	// DIV_FI16m
-    74372U,	// DIV_FI32m
-    22984U,	// DIV_FPrST0
-    25214U,	// DIV_FST0r
+    2119236U,	// DIVR_FrST0
+    235949160U,	// DIVSDrm
+    235949160U,	// DIVSDrm_Int
+    34622568U,	// DIVSDrr
+    34622568U,	// DIVSDrr_Int
+    269507550U,	// DIVSSrm
+    269507550U,	// DIVSSrm_Int
+    34626526U,	// DIVSSrr
+    34626526U,	// DIVSSrr_Int
+    122118U,	// DIV_F32m
+    138502U,	// DIV_F64m
+    40204U,	// DIV_FI16m
+    72972U,	// DIV_FI32m
+    20951U,	// DIV_FPrST0
+    23814U,	// DIV_FST0r
     0U,	// DIV_Fp32
     0U,	// DIV_Fp32m
     0U,	// DIV_Fp64
@@ -740,64 +745,64 @@ static void printInstruction(MCInst *MI,
     0U,	// DIV_FpI32m32
     0U,	// DIV_FpI32m64
     0U,	// DIV_FpI32m80
-    2122366U,	// DIV_FrST0
-    2349879982U,	// DPPDrmi
-    2182107822U,	// DPPDrri
-    2349883229U,	// DPPSrmi
-    2182111069U,	// DPPSrri
-    26724U,	// EH_RETURN
-    26724U,	// EH_RETURN64
-    10893U,	// EH_SjLj_LongJmp32
-    10997U,	// EH_SjLj_LongJmp64
-    10912U,	// EH_SjLj_SetJmp32
-    11016U,	// EH_SjLj_SetJmp64
-    154040U,	// EH_SjLj_Setup
-    12049U,	// ENCLS
-    12171U,	// ENCLU
-    336616511U,	// ENTER
-    2148654983U,	// EXTRACTPSmr
-    2484100999U,	// EXTRACTPSrr
-    34659176U,	// EXTRQ
-    2182142824U,	// EXTRQI
-    10874U,	// F2XM1
-    7395356U,	// FARCALL16i
-    284700U,	// FARCALL16m
-    7395356U,	// FARCALL32i
-    284700U,	// FARCALL32m
-    284700U,	// FARCALL64
-    7395621U,	// FARJMP16i
-    284965U,	// FARJMP16m
-    7395621U,	// FARJMP32i
-    284965U,	// FARJMP32m
-    284965U,	// FARJMP64
-    118778U,	// FBLDm
-    121212U,	// FBSTPm
-    120956U,	// FCOM32m
-    137340U,	// FCOM64m
-    121131U,	// FCOMP32m
-    137515U,	// FCOMP64m
-    11781U,	// FCOMPP
-    11796U,	// FDECSTP
-    12055U,	// FEMMS
-    22045U,	// FFREE
-    39042U,	// FICOM16m
-    71810U,	// FICOM32m
-    39218U,	// FICOMP16m
-    71986U,	// FICOMP32m
-    11804U,	// FINCSTP
-    41765U,	// FLDCW16m
-    123531U,	// FLDENVm
-    11400U,	// FLDL2E
-    12094U,	// FLDL2T
-    10978U,	// FLDLG2
-    10985U,	// FLDLN2
-    11584U,	// FLDPI
-    12407U,	// FNCLEX
-    12127U,	// FNINIT
-    11776U,	// FNOP
-    41772U,	// FNSTCW16m
-    12234U,	// FNSTSW16r
-    124016U,	// FNSTSWm
+    2120966U,	// DIV_FrST0
+    2349877655U,	// DPPDrmi
+    2182105495U,	// DPPDrri
+    2349881725U,	// DPPSrmi
+    2182109565U,	// DPPSrri
+    25522U,	// EH_RETURN
+    25522U,	// EH_RETURN64
+    9773U,	// EH_SjLj_LongJmp32
+    9877U,	// EH_SjLj_LongJmp64
+    9792U,	// EH_SjLj_SetJmp32
+    9896U,	// EH_SjLj_SetJmp64
+    152007U,	// EH_SjLj_Setup
+    10962U,	// ENCLS
+    11092U,	// ENCLU
+    336614864U,	// ENTER
+    2148653505U,	// EXTRACTPSmr
+    2484099521U,	// EXTRACTPSrr
+    34657423U,	// EXTRQ
+    2786120847U,	// EXTRQI
+    9754U,	// F2XM1
+    7393304U,	// FARCALL16i
+    282648U,	// FARCALL16m
+    7393304U,	// FARCALL32i
+    282648U,	// FARCALL32m
+    282648U,	// FARCALL64
+    7393588U,	// FARJMP16i
+    282932U,	// FARJMP16m
+    7393588U,	// FARJMP32i
+    282932U,	// FARJMP32m
+    282932U,	// FARJMP64
+    116248U,	// FBLDm
+    119179U,	// FBSTPm
+    118904U,	// FCOM32m
+    135288U,	// FCOM64m
+    119098U,	// FCOMP32m
+    135482U,	// FCOMP64m
+    10694U,	// FCOMPP
+    10709U,	// FDECSTP
+    10968U,	// FEMMS
+    19943U,	// FFREE
+    36990U,	// FICOM16m
+    69758U,	// FICOM32m
+    37185U,	// FICOMP16m
+    69953U,	// FICOMP32m
+    10717U,	// FINCSTP
+    40385U,	// FLDCW16m
+    122131U,	// FLDENVm
+    10280U,	// FLDL2E
+    11007U,	// FLDL2T
+    9858U,	// FLDLG2
+    9865U,	// FLDLN2
+    10464U,	// FLDPI
+    11328U,	// FNCLEX
+    11048U,	// FNINIT
+    10689U,	// FNOP
+    40392U,	// FNSTCW16m
+    11155U,	// FNSTSW16r
+    122771U,	// FNSTSWm
     0U,	// FP32_TO_INT16_IN_MEM
     0U,	// FP32_TO_INT32_IN_MEM
     0U,	// FP32_TO_INT64_IN_MEM
@@ -807,68 +812,85 @@ static void printInstruction(MCInst *MI,
     0U,	// FP80_TO_INT16_IN_MEM
     0U,	// FP80_TO_INT32_IN_MEM
     0U,	// FP80_TO_INT64_IN_MEM
-    11700U,	// FPATAN
-    11683U,	// FPREM
-    10867U,	// FPREM1
-    11707U,	// FPTAN
-    12146U,	// FRNDINT
-    121952U,	// FRSTORm
-    120510U,	// FSAVEm
-    11433U,	// FSCALE
-    11689U,	// FSETPM
-    12066U,	// FSINCOS
-    123539U,	// FSTENVm
-    11678U,	// FXAM
-    285800U,	// FXRSTOR
-    281615U,	// FXRSTOR64
-    284358U,	// FXSAVE
-    281605U,	// FXSAVE64
-    12101U,	// FXTRACT
-    12228U,	// FYL2X
-    10880U,	// FYL2XP1
-    202396317U,	// FsANDNPDrm
-    34624157U,	// FsANDNPDrr
-    202399556U,	// FsANDNPSrm
-    34627396U,	// FsANDNPSrr
-    202396181U,	// FsANDPDrm
-    34624021U,	// FsANDPDrr
-    202399408U,	// FsANDPSrm
-    34627248U,	// FsANDPSrr
+    10586U,	// FPATAN
+    10563U,	// FPREM
+    9747U,	// FPREM1
+    10593U,	// FPTAN
+    20753U,	// FP_FFREEP
+    11067U,	// FRNDINT
+    120305U,	// FRSTORm
+    118408U,	// FSAVEm
+    10313U,	// FSCALE
+    10575U,	// FSETPM
+    10979U,	// FSINCOS
+    122139U,	// FSTENVm
+    10558U,	// FXAM
+    284153U,	// FXRSTOR
+    278740U,	// FXRSTOR64
+    282256U,	// FXSAVE
+    278730U,	// FXSAVE64
+    11014U,	// FXTRACT
+    11149U,	// FYL2X
+    9760U,	// FYL2XP1
+    202393990U,	// FsANDNPDrm
+    34621830U,	// FsANDNPDrr
+    202398052U,	// FsANDNPSrm
+    34625892U,	// FsANDNPSrr
+    202393809U,	// FsANDPDrm
+    34621649U,	// FsANDPDrr
+    202397859U,	// FsANDPSrm
+    34625699U,	// FsANDPSrr
     0U,	// FsFLD0SD
     0U,	// FsFLD0SS
-    537940371U,	// FsMOVAPDrm
-    537943606U,	// FsMOVAPSrm
-    202396361U,	// FsORPDrm
-    34624201U,	// FsORPDrr
-    202399608U,	// FsORPSrm
-    34627448U,	// FsORPSrr
-    537940370U,	// FsVMOVAPDrm
-    537943605U,	// FsVMOVAPSrm
-    202396368U,	// FsXORPDrm
-    34624208U,	// FsXORPDrr
-    202399615U,	// FsXORPSrm
-    34627455U,	// FsXORPSrr
-    11288U,	// GETSEC
-    202396143U,	// HADDPDrm
-    34623983U,	// HADDPDrr
-    202399370U,	// HADDPSrm
-    34627210U,	// HADDPSrr
-    12142U,	// HLT
-    202396092U,	// HSUBPDrm
-    34623932U,	// HSUBPDrr
-    202399319U,	// HSUBPSrm
-    34627159U,	// HSUBPSrr
-    41605U,	// IDIV16m
-    25221U,	// IDIV16r
-    74373U,	// IDIV32m
-    25221U,	// IDIV32r
-    90757U,	// IDIV64m
-    25221U,	// IDIV64r
-    107141U,	// IDIV8m
-    25221U,	// IDIV8r
-    36877U,	// ILD_F16m
-    69645U,	// ILD_F32m
-    86029U,	// ILD_F64m
+    537937996U,	// FsMOVAPDrm
+    537942054U,	// FsMOVAPSrm
+    202394047U,	// FsORPDrm
+    34621887U,	// FsORPDrr
+    202398117U,	// FsORPSrm
+    34625957U,	// FsORPSrr
+    537937995U,	// FsVMOVAPDrm
+    537942053U,	// FsVMOVAPSrm
+    202394054U,	// FsXORPDrm
+    34621894U,	// FsXORPDrr
+    202398124U,	// FsXORPSrm
+    34625964U,	// FsXORPSrr
+    202393990U,	// FvANDNPDrm
+    34621830U,	// FvANDNPDrr
+    202398052U,	// FvANDNPSrm
+    34625892U,	// FvANDNPSrr
+    202393809U,	// FvANDPDrm
+    34621649U,	// FvANDPDrr
+    202397859U,	// FvANDPSrm
+    34625699U,	// FvANDPSrr
+    202394047U,	// FvORPDrm
+    34621887U,	// FvORPDrr
+    202398117U,	// FvORPSrm
+    34625957U,	// FvORPSrr
+    202394054U,	// FvXORPDrm
+    34621894U,	// FvXORPDrr
+    202398124U,	// FvXORPSrm
+    34625964U,	// FvXORPSrr
+    10168U,	// GETSEC
+    202393768U,	// HADDPDrm
+    34621608U,	// HADDPDrr
+    202397818U,	// HADDPSrm
+    34625658U,	// HADDPSrr
+    11063U,	// HLT
+    202393717U,	// HSUBPDrm
+    34621557U,	// HSUBPDrr
+    202397767U,	// HSUBPSrm
+    34625607U,	// HSUBPSrr
+    40205U,	// IDIV16m
+    23821U,	// IDIV16r
+    72973U,	// IDIV32m
+    23821U,	// IDIV32r
+    89357U,	// IDIV64m
+    23821U,	// IDIV64r
+    105741U,	// IDIV8m
+    23821U,	// IDIV8r
+    34347U,	// ILD_F16m
+    67115U,	// ILD_F32m
+    83499U,	// ILD_F64m
     0U,	// ILD_Fp16m32
     0U,	// ILD_Fp16m64
     0U,	// ILD_Fp16m80
@@ -878,79 +900,75 @@ static void printInstruction(MCInst *MI,
     0U,	// ILD_Fp64m32
     0U,	// ILD_Fp64m64
     0U,	// ILD_Fp64m80
-    39018U,	// IMUL16m
-    22634U,	// IMUL16r
-    68180074U,	// IMUL16rm
-    2618316906U,	// IMUL16rmi
-    2618316906U,	// IMUL16rmi8
-    34625642U,	// IMUL16rr
-    2484099178U,	// IMUL16rri
-    2484099178U,	// IMUL16rri8
-    71786U,	// IMUL32m
-    22634U,	// IMUL32r
-    101734506U,	// IMUL32rm
-    2450544746U,	// IMUL32rmi
-    2450544746U,	// IMUL32rmi8
-    34625642U,	// IMUL32rr
-    2484099178U,	// IMUL32rri
-    2484099178U,	// IMUL32rri8
-    88170U,	// IMUL64m
-    22634U,	// IMUL64r
-    135288938U,	// IMUL64rm
-    2517653610U,	// IMUL64rmi32
-    2517653610U,	// IMUL64rmi8
-    34625642U,	// IMUL64rr
-    2484099178U,	// IMUL64rri32
-    2484099178U,	// IMUL64rri8
-    104554U,	// IMUL8m
-    22634U,	// IMUL8r
-    26324U,	// IN16ri
-    12386U,	// IN16rr
-    26488U,	// IN32ri
-    12396U,	// IN32rr
-    26212U,	// IN8ri
-    12376U,	// IN8rr
-    36630U,	// INC16m
-    20246U,	// INC16r
-    20246U,	// INC32_16r
-    20246U,	// INC32_32r
-    69398U,	// INC32m
-    20246U,	// INC32r
-    36630U,	// INC64_16m
-    20246U,	// INC64_16r
-    69398U,	// INC64_32m
-    20246U,	// INC64_32r
-    85782U,	// INC64m
-    20246U,	// INC64r
-    102166U,	// INC8m
-    20246U,	// INC8r
-    8687120U,	// INSB
-    2416992157U,	// INSERTPSrm
-    2182111133U,	// INSERTPSrr
-    34659230U,	// INSERTQ
-    2182142878U,	// INSERTQI
-    8705160U,	// INSL
-    8725585U,	// INSW
-    25056U,	// INT
-    10888U,	// INT1
-    10992U,	// INT3
-    11749U,	// INTO
-    11391U,	// INVD
-    437281258U,	// INVEPT32
-    437281258U,	// INVEPT64
-    104178U,	// INVLPG
-    12342U,	// INVLPGA32
-    12359U,	// INVLPGA64
-    437276648U,	// INVPCID32
-    437276648U,	// INVPCID64
-    437276657U,	// INVVPID32
-    437276657U,	// INVVPID64
-    12109U,	// IRET16
-    11379U,	// IRET32
-    11855U,	// IRET64
-    39312U,	// ISTT_FP16m
-    72080U,	// ISTT_FP32m
-    88464U,	// ISTT_FP64m
+    36966U,	// IMUL16m
+    20582U,	// IMUL16r
+    68178022U,	// IMUL16rm
+    2618314854U,	// IMUL16rmi
+    2618314854U,	// IMUL16rmi8
+    34623590U,	// IMUL16rr
+    2484097126U,	// IMUL16rri
+    2484097126U,	// IMUL16rri8
+    69734U,	// IMUL32m
+    20582U,	// IMUL32r
+    101732454U,	// IMUL32rm
+    2450542694U,	// IMUL32rmi
+    2450542694U,	// IMUL32rmi8
+    34623590U,	// IMUL32rr
+    2484097126U,	// IMUL32rri
+    2484097126U,	// IMUL32rri8
+    86118U,	// IMUL64m
+    20582U,	// IMUL64r
+    135286886U,	// IMUL64rm
+    2517651558U,	// IMUL64rmi32
+    2517651558U,	// IMUL64rmi8
+    34623590U,	// IMUL64rr
+    2484097126U,	// IMUL64rri32
+    2484097126U,	// IMUL64rri8
+    102502U,	// IMUL8m
+    20582U,	// IMUL8r
+    25112U,	// IN16ri
+    11307U,	// IN16rr
+    25276U,	// IN32ri
+    11317U,	// IN32rr
+    25000U,	// IN8ri
+    11297U,	// IN8rr
+    34014U,	// INC16m
+    17630U,	// INC16r
+    17630U,	// INC16r_alt
+    66782U,	// INC32m
+    17630U,	// INC32r
+    17630U,	// INC32r_alt
+    83166U,	// INC64m
+    17630U,	// INC64r
+    99550U,	// INC8m
+    17630U,	// INC8r
+    8684457U,	// INSB
+    2416990679U,	// INSERTPSrm
+    2182109655U,	// INSERTPSrr
+    34657546U,	// INSERTQ
+    2182141194U,	// INSERTQI
+    8703005U,	// INSL
+    8724340U,	// INSW
+    23644U,	// INT
+    9768U,	// INT1
+    9872U,	// INT3
+    10635U,	// INTO
+    10271U,	// INVD
+    437279846U,	// INVEPT32
+    437279846U,	// INVEPT64
+    102076U,	// INVLPG
+    11263U,	// INVLPGA32
+    11280U,	// INVLPGA64
+    437274118U,	// INVPCID32
+    437274118U,	// INVPCID64
+    437274127U,	// INVVPID32
+    437274127U,	// INVVPID64
+    11022U,	// IRET16
+    10259U,	// IRET32
+    10768U,	// IRET64
+    37279U,	// ISTT_FP16m
+    70047U,	// ISTT_FP32m
+    86431U,	// ISTT_FP64m
     0U,	// ISTT_Fp16m32
     0U,	// ISTT_Fp16m64
     0U,	// ISTT_Fp16m80
@@ -960,11 +978,11 @@ static void printInstruction(MCInst *MI,
     0U,	// ISTT_Fp64m32
     0U,	// ISTT_Fp64m64
     0U,	// ISTT_Fp64m80
-    41524U,	// IST_F16m
-    74292U,	// IST_F32m
-    39305U,	// IST_FP16m
-    72073U,	// IST_FP32m
-    88457U,	// IST_FP64m
+    40124U,	// IST_F16m
+    72892U,	// IST_F32m
+    37272U,	// IST_FP16m
+    70040U,	// IST_FP32m
+    86424U,	// IST_FP64m
     0U,	// IST_Fp16m32
     0U,	// IST_Fp16m64
     0U,	// IST_Fp16m80
@@ -974,246 +992,254 @@ static void printInstruction(MCInst *MI,
     0U,	// IST_Fp64m32
     0U,	// IST_Fp64m64
     0U,	// IST_Fp64m80
-    240299511U,	// Int_CMPSDrm
-    38989303U,	// Int_CMPSDrr
-    274902519U,	// Int_CMPSSrm
-    40037879U,	// Int_CMPSSrr
-    537941100U,	// Int_COMISDrm
-    336614508U,	// Int_COMISDrr
-    537944326U,	// Int_COMISSrm
-    336617734U,	// Int_COMISSrr
-    235954281U,	// Int_CVTSD2SSrm
-    34627689U,	// Int_CVTSD2SSrr
-    135287751U,	// Int_CVTSI2SD64rm
-    34624455U,	// Int_CVTSI2SD64rr
-    101733319U,	// Int_CVTSI2SDrm
-    34624455U,	// Int_CVTSI2SDrr
-    135290996U,	// Int_CVTSI2SS64rm
-    34627700U,	// Int_CVTSI2SS64rr
-    101736564U,	// Int_CVTSI2SSrm
-    34627700U,	// Int_CVTSI2SSrr
-    269505502U,	// Int_CVTSS2SDrm
-    34624478U,	// Int_CVTSS2SDrr
-    571496375U,	// Int_CVTTSD2SI64rm
-    336615351U,	// Int_CVTTSD2SI64rr
-    571496375U,	// Int_CVTTSD2SIrm
-    336615351U,	// Int_CVTTSD2SIrr
-    605050830U,	// Int_CVTTSS2SI64rm
-    336615374U,	// Int_CVTTSS2SI64rr
-    605050830U,	// Int_CVTTSS2SIrm
-    336615374U,	// Int_CVTTSS2SIrr
-    11172U,	// Int_MemBarrier
-    537941099U,	// Int_UCOMISDrm
-    336614507U,	// Int_UCOMISDrr
-    537944325U,	// Int_UCOMISSrm
-    336617733U,	// Int_UCOMISSrr
-    2488626683U,	// Int_VCMPSDrm
-    2488643067U,	// Int_VCMPSDrr
-    2489675259U,	// Int_VCMPSSrm
-    2489691643U,	// Int_VCMPSSrr
-    537941108U,	// Int_VCOMISDZrm
-    336614516U,	// Int_VCOMISDZrr
-    537941108U,	// Int_VCOMISDrm
-    336614516U,	// Int_VCOMISDrr
-    537944334U,	// Int_VCOMISSZrm
-    336617742U,	// Int_VCOMISSZrr
-    537944334U,	// Int_VCOMISSrm
-    336617742U,	// Int_VCOMISSrr
-    2484101224U,	// Int_VCVTSD2SSrm
-    2484101224U,	// Int_VCVTSD2SSrr
-    2484097990U,	// Int_VCVTSI2SD64Zrm
-    2484097990U,	// Int_VCVTSI2SD64Zrr
-    2484097990U,	// Int_VCVTSI2SD64rm
-    2484097990U,	// Int_VCVTSI2SD64rr
-    2484097990U,	// Int_VCVTSI2SDZrm
-    2484097990U,	// Int_VCVTSI2SDZrr
-    2484097990U,	// Int_VCVTSI2SDrm
-    2484097990U,	// Int_VCVTSI2SDrr
-    2484101235U,	// Int_VCVTSI2SS64Zrm
-    2484101235U,	// Int_VCVTSI2SS64Zrr
-    2484101235U,	// Int_VCVTSI2SS64rm
-    2484101235U,	// Int_VCVTSI2SS64rr
-    2484101235U,	// Int_VCVTSI2SSZrm
-    2484101235U,	// Int_VCVTSI2SSZrr
-    2484101235U,	// Int_VCVTSI2SSrm
-    2484101235U,	// Int_VCVTSI2SSrr
-    2484098013U,	// Int_VCVTSS2SDrm
-    2484098013U,	// Int_VCVTSS2SDrr
-    571491619U,	// Int_VCVTTSD2SI64Zrm
-    336610595U,	// Int_VCVTTSD2SI64Zrr
-    571496374U,	// Int_VCVTTSD2SI64rm
-    336615350U,	// Int_VCVTTSD2SI64rr
-    571491619U,	// Int_VCVTTSD2SIZrm
-    336610595U,	// Int_VCVTTSD2SIZrr
-    571496374U,	// Int_VCVTTSD2SIrm
-    336615350U,	// Int_VCVTTSD2SIrr
-    571491669U,	// Int_VCVTTSD2USI64Zrm
-    336610645U,	// Int_VCVTTSD2USI64Zrr
-    571491669U,	// Int_VCVTTSD2USIZrm
-    336610645U,	// Int_VCVTTSD2USIZrr
-    605046076U,	// Int_VCVTTSS2SI64Zrm
-    336610620U,	// Int_VCVTTSS2SI64Zrr
-    605050829U,	// Int_VCVTTSS2SI64rm
-    336615373U,	// Int_VCVTTSS2SI64rr
-    605046076U,	// Int_VCVTTSS2SIZrm
-    336610620U,	// Int_VCVTTSS2SIZrr
-    605050829U,	// Int_VCVTTSS2SIrm
-    336615373U,	// Int_VCVTTSS2SIrr
-    605046128U,	// Int_VCVTTSS2USI64Zrm
-    336610672U,	// Int_VCVTTSS2USI64Zrr
-    605046128U,	// Int_VCVTTSS2USIZrm
-    336610672U,	// Int_VCVTTSS2USIZrr
-    2484098001U,	// Int_VCVTUSI2SD64Zrm
-    2484098001U,	// Int_VCVTUSI2SD64Zrr
-    2484098001U,	// Int_VCVTUSI2SDZrm
-    2484098001U,	// Int_VCVTUSI2SDZrr
-    2484101246U,	// Int_VCVTUSI2SS64Zrm
-    2484101246U,	// Int_VCVTUSI2SS64Zrr
-    2484101246U,	// Int_VCVTUSI2SSZrm
-    2484101246U,	// Int_VCVTUSI2SSZrr
-    537941098U,	// Int_VUCOMISDZrm
-    336614506U,	// Int_VUCOMISDZrr
-    537941098U,	// Int_VUCOMISDrm
-    336614506U,	// Int_VUCOMISDrr
-    537944324U,	// Int_VUCOMISSZrm
-    336617732U,	// Int_VUCOMISSZrr
-    537944324U,	// Int_VUCOMISSrm
-    336617732U,	// Int_VUCOMISSrr
-    153068U,	// JAE_1
-    153068U,	// JAE_2
-    153068U,	// JAE_4
-    150840U,	// JA_1
-    150840U,	// JA_2
-    150840U,	// JA_4
-    153088U,	// JBE_1
-    153088U,	// JBE_2
-    153088U,	// JBE_4
-    150959U,	// JB_1
-    150959U,	// JB_2
-    150959U,	// JB_4
-    157038U,	// JCXZ
-    157031U,	// JECXZ_32
-    157031U,	// JECXZ_64
-    153153U,	// JE_1
-    153153U,	// JE_2
-    153153U,	// JE_4
-    153124U,	// JGE_1
-    153124U,	// JGE_2
-    153124U,	// JGE_4
-    153326U,	// JG_1
-    153326U,	// JG_2
-    153326U,	// JG_4
-    153157U,	// JLE_1
-    153157U,	// JLE_2
-    153157U,	// JLE_4
-    153624U,	// JL_1
-    153624U,	// JL_2
-    153624U,	// JL_4
-    39206U,	// JMP16m
-    22822U,	// JMP16r
-    71974U,	// JMP32m
-    22822U,	// JMP32r
-    88358U,	// JMP64m
-    22822U,	// JMP64r
-    153894U,	// JMP_1
-    153894U,	// JMP_2
-    153894U,	// JMP_4
-    153177U,	// JNE_1
-    153177U,	// JNE_2
-    153177U,	// JNE_4
-    153810U,	// JNO_1
-    153810U,	// JNO_2
-    153810U,	// JNO_4
-    153922U,	// JNP_1
-    153922U,	// JNP_2
-    153922U,	// JNP_4
-    154856U,	// JNS_1
-    154856U,	// JNS_2
-    154856U,	// JNS_4
-    153806U,	// JO_1
-    153806U,	// JO_2
-    153806U,	// JO_4
-    153877U,	// JP_1
-    153877U,	// JP_2
-    153877U,	// JP_4
-    157044U,	// JRCXZ
-    154852U,	// JS_1
-    154852U,	// JS_2
-    154852U,	// JS_4
-    2484092965U,	// KANDBrr
-    2484093179U,	// KANDDrr
-    2484093006U,	// KANDNBrr
-    2484093305U,	// KANDNDrr
-    2484094782U,	// KANDNQrr
-    2484095738U,	// KANDNWrr
-    2484094559U,	// KANDQrr
-    2484095686U,	// KANDWrr
-    336609432U,	// KMOVBkk
-    504381592U,	// KMOVBkm
-    336609432U,	// KMOVBkr
-    1147032U,	// KMOVBmk
-    336609432U,	// KMOVBrk
-    336610551U,	// KMOVDkk
-    303056119U,	// KMOVDkm
-    336610551U,	// KMOVDkr
-    1115383U,	// KMOVDmk
-    336610551U,	// KMOVDrk
-    336611358U,	// KMOVQkk
-    370165790U,	// KMOVQkm
-    336611358U,	// KMOVQkr
-    1132574U,	// KMOVQmk
-    336611358U,	// KMOVQrk
-    336612186U,	// KMOVWkk
-    470829914U,	// KMOVWkm
-    336612186U,	// KMOVWkr
-    1084250U,	// KMOVWmk
-    336612186U,	// KMOVWrk
-    336609424U,	// KNOTBrr
-    336610478U,	// KNOTDrr
-    336611285U,	// KNOTQrr
-    336612167U,	// KNOTWrr
-    2484093048U,	// KORBrr
-    2484093862U,	// KORDrr
-    2484094838U,	// KORQrr
-    336612175U,	// KORTESTWrr
-    2484095780U,	// KORWrr
+    240298397U,	// Int_CMPSDrm
+    38988189U,	// Int_CMPSDrr
+    274901405U,	// Int_CMPSSrm
+    40036765U,	// Int_CMPSSrr
+    537938945U,	// Int_COMISDrm
+    336612353U,	// Int_COMISDrr
+    537942914U,	// Int_COMISSrm
+    336616322U,	// Int_COMISSrr
+    235952812U,	// Int_CVTSD2SSrm
+    34626220U,	// Int_CVTSD2SSrr
+    135285539U,	// Int_CVTSI2SD64rm
+    34622243U,	// Int_CVTSI2SD64rr
+    101731107U,	// Int_CVTSI2SDrm
+    34622243U,	// Int_CVTSI2SDrr
+    135289527U,	// Int_CVTSI2SS64rm
+    34626231U,	// Int_CVTSI2SS64rr
+    101735095U,	// Int_CVTSI2SSrm
+    34626231U,	// Int_CVTSI2SSrr
+    269503290U,	// Int_CVTSS2SDrm
+    34622266U,	// Int_CVTSS2SDrr
+    571494273U,	// Int_CVTTSD2SI64rm
+    336613249U,	// Int_CVTTSD2SI64rr
+    571494273U,	// Int_CVTTSD2SIrm
+    336613249U,	// Int_CVTTSD2SIrr
+    605048728U,	// Int_CVTTSS2SI64rm
+    336613272U,	// Int_CVTTSS2SI64rr
+    605048728U,	// Int_CVTTSS2SIrm
+    336613272U,	// Int_CVTTSS2SIrr
+    10052U,	// Int_MemBarrier
+    537938944U,	// Int_UCOMISDrm
+    336612352U,	// Int_UCOMISDrr
+    537942913U,	// Int_UCOMISSrm
+    336616321U,	// Int_UCOMISSrr
+    2488625569U,	// Int_VCMPSDrm
+    2488641953U,	// Int_VCMPSDrr
+    2489674145U,	// Int_VCMPSSrm
+    2489690529U,	// Int_VCMPSSrr
+    537938953U,	// Int_VCOMISDZrm
+    336612361U,	// Int_VCOMISDZrr
+    537938953U,	// Int_VCOMISDrm
+    336612361U,	// Int_VCOMISDrr
+    537942922U,	// Int_VCOMISSZrm
+    336616330U,	// Int_VCOMISSZrr
+    537942922U,	// Int_VCOMISSrm
+    336616330U,	// Int_VCOMISSrr
+    2484099755U,	// Int_VCVTSD2SSrm
+    2484099755U,	// Int_VCVTSD2SSrr
+    2484095778U,	// Int_VCVTSI2SD64Zrm
+    2484095778U,	// Int_VCVTSI2SD64Zrr
+    2484095778U,	// Int_VCVTSI2SD64rm
+    2484095778U,	// Int_VCVTSI2SD64rr
+    2484095778U,	// Int_VCVTSI2SDZrm
+    2484095778U,	// Int_VCVTSI2SDZrr
+    2484095778U,	// Int_VCVTSI2SDrm
+    2484095778U,	// Int_VCVTSI2SDrr
+    2484099766U,	// Int_VCVTSI2SS64Zrm
+    2484099766U,	// Int_VCVTSI2SS64Zrr
+    2484099766U,	// Int_VCVTSI2SS64rm
+    2484099766U,	// Int_VCVTSI2SS64rr
+    2484099766U,	// Int_VCVTSI2SSZrm
+    2484099766U,	// Int_VCVTSI2SSZrr
+    2484099766U,	// Int_VCVTSI2SSrm
+    2484099766U,	// Int_VCVTSI2SSrr
+    2484095801U,	// Int_VCVTSS2SDrm
+    2484095801U,	// Int_VCVTSS2SDrr
+    571494272U,	// Int_VCVTTSD2SI64Zrm
+    336613248U,	// Int_VCVTTSD2SI64Zrr
+    571494272U,	// Int_VCVTTSD2SI64rm
+    336613248U,	// Int_VCVTTSD2SI64rr
+    571494272U,	// Int_VCVTTSD2SIZrm
+    336613248U,	// Int_VCVTTSD2SIZrr
+    571494272U,	// Int_VCVTTSD2SIrm
+    336613248U,	// Int_VCVTTSD2SIrr
+    571494324U,	// Int_VCVTTSD2USI64Zrm
+    336613300U,	// Int_VCVTTSD2USI64Zrr
+    571494324U,	// Int_VCVTTSD2USIZrm
+    336613300U,	// Int_VCVTTSD2USIZrr
+    605048727U,	// Int_VCVTTSS2SI64Zrm
+    336613271U,	// Int_VCVTTSS2SI64Zrr
+    605048727U,	// Int_VCVTTSS2SI64rm
+    336613271U,	// Int_VCVTTSS2SI64rr
+    605048727U,	// Int_VCVTTSS2SIZrm
+    336613271U,	// Int_VCVTTSS2SIZrr
+    605048727U,	// Int_VCVTTSS2SIrm
+    336613271U,	// Int_VCVTTSS2SIrr
+    605048781U,	// Int_VCVTTSS2USI64Zrm
+    336613325U,	// Int_VCVTTSS2USI64Zrr
+    605048781U,	// Int_VCVTTSS2USIZrm
+    336613325U,	// Int_VCVTTSS2USIZrr
+    2484095789U,	// Int_VCVTUSI2SD64Zrm
+    2484095789U,	// Int_VCVTUSI2SD64Zrr
+    2484095789U,	// Int_VCVTUSI2SDZrm
+    2484095789U,	// Int_VCVTUSI2SDZrr
+    2484099777U,	// Int_VCVTUSI2SS64Zrm
+    2484099777U,	// Int_VCVTUSI2SS64Zrr
+    2484099777U,	// Int_VCVTUSI2SSZrm
+    2484099777U,	// Int_VCVTUSI2SSZrr
+    537938943U,	// Int_VUCOMISDZrm
+    336612351U,	// Int_VUCOMISDZrr
+    537938943U,	// Int_VUCOMISDrm
+    336612351U,	// Int_VUCOMISDrr
+    537942912U,	// Int_VUCOMISSZrm
+    336616320U,	// Int_VUCOMISSZrr
+    537942912U,	// Int_VUCOMISSrm
+    336616320U,	// Int_VUCOMISSrr
+    150966U,	// JAE_1
+    150966U,	// JAE_2
+    150966U,	// JAE_4
+    148032U,	// JA_1
+    148032U,	// JA_2
+    148032U,	// JA_4
+    150986U,	// JBE_1
+    150986U,	// JBE_2
+    150986U,	// JBE_4
+    148198U,	// JB_1
+    148198U,	// JB_2
+    148198U,	// JB_4
+    155826U,	// JCXZ
+    155819U,	// JECXZ
+    151051U,	// JE_1
+    151051U,	// JE_2
+    151051U,	// JE_4
+    151022U,	// JGE_1
+    151022U,	// JGE_2
+    151022U,	// JGE_4
+    151224U,	// JG_1
+    151224U,	// JG_2
+    151224U,	// JG_4
+    151055U,	// JLE_1
+    151055U,	// JLE_2
+    151055U,	// JLE_4
+    151572U,	// JL_1
+    151572U,	// JL_2
+    151572U,	// JL_4
+    37167U,	// JMP16m
+    20783U,	// JMP16r
+    69935U,	// JMP32m
+    20783U,	// JMP32r
+    86319U,	// JMP64m
+    20783U,	// JMP64r
+    151855U,	// JMP_1
+    151855U,	// JMP_2
+    151855U,	// JMP_4
+    151075U,	// JNE_1
+    151075U,	// JNE_2
+    151075U,	// JNE_4
+    151758U,	// JNO_1
+    151758U,	// JNO_2
+    151758U,	// JNO_4
+    151889U,	// JNP_1
+    151889U,	// JNP_2
+    151889U,	// JNP_4
+    153217U,	// JNS_1
+    153217U,	// JNS_2
+    153217U,	// JNS_4
+    151754U,	// JO_1
+    151754U,	// JO_2
+    151754U,	// JO_4
+    151833U,	// JP_1
+    151833U,	// JP_2
+    151833U,	// JP_4
+    155832U,	// JRCXZ
+    153213U,	// JS_1
+    153213U,	// JS_2
+    153213U,	// JS_4
+    2484093616U,	// KANDBrr
+    2484094357U,	// KANDDrr
+    2484093722U,	// KANDNBrr
+    2484094620U,	// KANDNDrr
+    2484098065U,	// KANDNQrr
+    2484100778U,	// KANDNWrr
+    2484097766U,	// KANDQrr
+    2484100577U,	// KANDWrr
+    336610405U,	// KMOVBkk
+    504382565U,	// KMOVBkm
+    336610405U,	// KMOVBkr
+    1148005U,	// KMOVBmk
+    336610405U,	// KMOVBrk
+    336612637U,	// KMOVDkk
+    303058205U,	// KMOVDkm
+    336612637U,	// KMOVDkr
+    1117469U,	// KMOVDmk
+    336612637U,	// KMOVDrk
+    336614767U,	// KMOVQkk
+    370169199U,	// KMOVQkm
+    336614767U,	// KMOVQkr
+    1135983U,	// KMOVQmk
+    336614767U,	// KMOVQrk
+    336617515U,	// KMOVWkk
+    470835243U,	// KMOVWkm
+    336617515U,	// KMOVWkr
+    1089579U,	// KMOVWmk
+    336617515U,	// KMOVWrk
+    336610298U,	// KNOTBrr
+    336612530U,	// KNOTDrr
+    336614651U,	// KNOTQrr
+    336617417U,	// KNOTWrr
+    2484093787U,	// KORBrr
+    2484095606U,	// KORDrr
+    2484098134U,	// KORQrr
+    336610327U,	// KORTESTBrr
+    336612559U,	// KORTESTDrr
+    336614689U,	// KORTESTQrr
+    336617446U,	// KORTESTWrr
+    2484100858U,	// KORWrr
     0U,	// KSET0B
     0U,	// KSET0W
     0U,	// KSET1B
     0U,	// KSET1W
-    2484095727U,	// KSHIFTLWri
-    2484095804U,	// KSHIFTRWri
-    2484095675U,	// KUNPCKBWrr
-    2484093055U,	// KXNORBrr
-    2484093869U,	// KXNORDrr
-    2484094845U,	// KXNORQrr
-    2484095787U,	// KXNORWrr
-    2484093064U,	// KXORBrr
-    2484093886U,	// KXORDrr
-    2484094862U,	// KXORQrr
-    2484095796U,	// KXORWrr
-    11535U,	// LAHF
-    470834208U,	// LAR16rm
-    336616480U,	// LAR16rr
-    470834208U,	// LAR32rm
-    336616480U,	// LAR32rr
-    470834208U,	// LAR64rm
-    336616480U,	// LAR64rr
-    1087205U,	// LCMPXCHG16
-    265578U,	// LCMPXCHG16B
-    1119973U,	// LCMPXCHG32
-    1136357U,	// LCMPXCHG64
-    1152741U,	// LCMPXCHG8
-    85366U,	// LCMPXCHG8B
-    437281377U,	// LDDQUrm
-    72836U,	// LDMXCSR
-    638606544U,	// LDS16rm
-    638606544U,	// LDS32rm
-    12414U,	// LD_F0
-    10862U,	// LD_F1
-    118784U,	// LD_F32m
-    135168U,	// LD_F64m
-    380928U,	// LD_F80m
+    2484093693U,	// KSHIFTLBri
+    2484094547U,	// KSHIFTLDri
+    2484098007U,	// KSHIFTLQri
+    2484100749U,	// KSHIFTLWri
+    2484093817U,	// KSHIFTRBri
+    2484095651U,	// KSHIFTRDri
+    2484098179U,	// KSHIFTRQri
+    2484100888U,	// KSHIFTRWri
+    2484100473U,	// KUNPCKBWrr
+    2484093793U,	// KXNORBrr
+    2484095612U,	// KXNORDrr
+    2484098140U,	// KXNORQrr
+    2484100864U,	// KXNORWrr
+    2484093801U,	// KXORBrr
+    2484095627U,	// KXORDrr
+    2484098155U,	// KXORQrr
+    2484100872U,	// KXORWrr
+    10415U,	// LAHF
+    470832561U,	// LAR16rm
+    336614833U,	// LAR16rr
+    470832561U,	// LAR32rm
+    336614833U,	// LAR32rr
+    470832561U,	// LAR64rm
+    336614833U,	// LAR64rr
+    1085103U,	// LCMPXCHG16
+    262780U,	// LCMPXCHG16B
+    1117871U,	// LCMPXCHG32
+    1134255U,	// LCMPXCHG64
+    1150639U,	// LCMPXCHG8
+    82568U,	// LCMPXCHG8B
+    437279977U,	// LDDQUrm
+    71189U,	// LDMXCSR
+    672159329U,	// LDS16rm
+    672159329U,	// LDS32rm
+    11335U,	// LD_F0
+    9742U,	// LD_F1
+    116254U,	// LD_F32m
+    132638U,	// LD_F64m
+    378398U,	// LD_F80m
     0U,	// LD_Fp032
     0U,	// LD_Fp064
     0U,	// LD_Fp080
@@ -1226,584 +1252,593 @@ static void printInstruction(MCInst *MI,
     0U,	// LD_Fp64m
     0U,	// LD_Fp64m80
     0U,	// LD_Fp80m
-    20480U,	// LD_Frr
-    470830387U,	// LEA16r
-    303058227U,	// LEA32r
-    303058227U,	// LEA64_32r
-    370167091U,	// LEA64r
-    11522U,	// LEAVE
-    11522U,	// LEAVE64
-    638606549U,	// LES16rm
-    638606549U,	// LES32rm
-    11407U,	// LFENCE
-    638606554U,	// LFS16rm
-    638606554U,	// LFS32rm
-    638606554U,	// LFS64rm
-    287128U,	// LGDT16m
-    287128U,	// LGDT32m
-    287128U,	// LGDT64m
-    638606559U,	// LGS16rm
-    638606559U,	// LGS32rm
-    638606559U,	// LGS64rm
-    287140U,	// LIDT16m
-    287140U,	// LIDT32m
-    287140U,	// LIDT64m
-    41392U,	// LLDT16m
-    25008U,	// LLDT16r
-    42050U,	// LMSW16m
-    25666U,	// LMSW16r
-    1085307U,	// LOCK_ADD16mi
-    1085307U,	// LOCK_ADD16mi8
-    1085307U,	// LOCK_ADD16mr
-    1118075U,	// LOCK_ADD32mi
-    1118075U,	// LOCK_ADD32mi8
-    1118075U,	// LOCK_ADD32mr
-    1134459U,	// LOCK_ADD64mi32
-    1134459U,	// LOCK_ADD64mi8
-    1134459U,	// LOCK_ADD64mr
-    1150843U,	// LOCK_ADD8mi
-    1150843U,	// LOCK_ADD8mr
-    1085511U,	// LOCK_AND16mi
-    1085511U,	// LOCK_AND16mi8
-    1085511U,	// LOCK_AND16mr
-    1118279U,	// LOCK_AND32mi
-    1118279U,	// LOCK_AND32mi8
-    1118279U,	// LOCK_AND32mr
-    1134663U,	// LOCK_AND64mi32
-    1134663U,	// LOCK_AND64mi8
-    1134663U,	// LOCK_AND64mr
-    1151047U,	// LOCK_AND8mi
-    1151047U,	// LOCK_AND8mr
-    36585U,	// LOCK_DEC16m
-    69353U,	// LOCK_DEC32m
-    85737U,	// LOCK_DEC64m
-    102121U,	// LOCK_DEC8m
-    36630U,	// LOCK_INC16m
-    69398U,	// LOCK_INC32m
-    85782U,	// LOCK_INC64m
-    102166U,	// LOCK_INC8m
-    1088599U,	// LOCK_OR16mi
-    1088599U,	// LOCK_OR16mi8
-    1088599U,	// LOCK_OR16mr
-    1121367U,	// LOCK_OR32mi
-    1121367U,	// LOCK_OR32mi8
-    1121367U,	// LOCK_OR32mr
-    1137751U,	// LOCK_OR64mi32
-    1137751U,	// LOCK_OR64mi8
-    1137751U,	// LOCK_OR64mr
-    1154135U,	// LOCK_OR8mi
-    1154135U,	// LOCK_OR8mr
-    11609U,	// LOCK_PREFIX
-    1085067U,	// LOCK_SUB16mi
-    1085067U,	// LOCK_SUB16mi8
-    1085067U,	// LOCK_SUB16mr
-    1117835U,	// LOCK_SUB32mi
-    1117835U,	// LOCK_SUB32mi8
-    1117835U,	// LOCK_SUB32mr
-    1134219U,	// LOCK_SUB64mi32
-    1134219U,	// LOCK_SUB64mi8
-    1134219U,	// LOCK_SUB64mr
-    1150603U,	// LOCK_SUB8mi
-    1150603U,	// LOCK_SUB8mr
-    1088627U,	// LOCK_XOR16mi
-    1088627U,	// LOCK_XOR16mi8
-    1088627U,	// LOCK_XOR16mr
-    1121395U,	// LOCK_XOR32mi
-    1121395U,	// LOCK_XOR32mi8
-    1121395U,	// LOCK_XOR32mr
-    1137779U,	// LOCK_XOR64mi32
-    1137779U,	// LOCK_XOR64mi8
-    1137779U,	// LOCK_XOR64mr
-    1154163U,	// LOCK_XOR8mi
-    1154163U,	// LOCK_XOR8mr
-    402997U,	// LODSB
-    419681U,	// LODSL
-    436234U,	// LODSQ
-    452376U,	// LODSW
-    153947U,	// LOOP
-    153205U,	// LOOPE
-    153182U,	// LOOPNE
-    22234U,	// LRETIL
-    23312U,	// LRETIQ
-    22234U,	// LRETIW
-    11556U,	// LRETL
-    11829U,	// LRETQ
-    11556U,	// LRETW
-    470833239U,	// LSL16rm
-    336615511U,	// LSL16rr
-    303061079U,	// LSL32rm
-    336615511U,	// LSL32rr
-    370169943U,	// LSL64rm
-    336615511U,	// LSL64rr
-    638607642U,	// LSS16rm
-    638607642U,	// LSS32rm
-    638607642U,	// LSS64rm
-    40098U,	// LTRm
-    23714U,	// LTRr
-    462727U,	// LXADD16
-    479111U,	// LXADD32
-    495495U,	// LXADD64
-    511879U,	// LXADD8
-    470835666U,	// LZCNT16rm
-    336617938U,	// LZCNT16rr
-    303063506U,	// LZCNT32rm
-    336617938U,	// LZCNT32rr
-    370172370U,	// LZCNT64rm
-    336617938U,	// LZCNT64rr
-    336618089U,	// MASKMOVDQU
-    336618089U,	// MASKMOVDQU64
-    202396444U,	// MAXCPDrm
-    34624284U,	// MAXCPDrr
-    202399724U,	// MAXCPSrm
-    34627564U,	// MAXCPSrr
-    235951319U,	// MAXCSDrm
-    34624727U,	// MAXCSDrr
-    269508978U,	// MAXCSSrm
-    34627954U,	// MAXCSSrr
-    202396444U,	// MAXPDrm
-    34624284U,	// MAXPDrr
-    202399724U,	// MAXPSrm
-    34627564U,	// MAXPSrr
-    235951319U,	// MAXSDrm
-    235951319U,	// MAXSDrm_Int
-    34624727U,	// MAXSDrr
-    34624727U,	// MAXSDrr_Int
-    269508978U,	// MAXSSrm
-    269508978U,	// MAXSSrm_Int
-    34627954U,	// MAXSSrr
-    34627954U,	// MAXSSrr_Int
-    11414U,	// MFENCE
-    202396326U,	// MINCPDrm
-    34624166U,	// MINCPDrr
-    202399565U,	// MINCPSrm
-    34627405U,	// MINCPSrr
-    235951239U,	// MINCSDrm
-    34624647U,	// MINCSDrr
-    269508896U,	// MINCSSrm
-    34627872U,	// MINCSSrr
-    202396326U,	// MINPDrm
-    34624166U,	// MINPDrr
-    202399565U,	// MINPSrm
-    34627405U,	// MINPSrr
-    235951239U,	// MINSDrm
-    235951239U,	// MINSDrm_Int
-    34624647U,	// MINSDrr
-    34624647U,	// MINSDrr_Int
-    269508896U,	// MINSSrm
-    269508896U,	// MINSSrm_Int
-    34627872U,	// MINSSrr
-    34627872U,	// MINSSrr_Int
-    537941870U,	// MMX_CVTPD2PIirm
-    336615278U,	// MMX_CVTPD2PIirr
-    370168080U,	// MMX_CVTPI2PDirm
-    336613648U,	// MMX_CVTPI2PDirr
-    135290302U,	// MMX_CVTPI2PSirm
-    34627006U,	// MMX_CVTPI2PSirr
-    571496323U,	// MMX_CVTPS2PIirm
-    336615299U,	// MMX_CVTPS2PIirr
-    537941859U,	// MMX_CVTTPD2PIirm
-    336615267U,	// MMX_CVTTPD2PIirr
-    571496312U,	// MMX_CVTTPS2PIirm
-    336615288U,	// MMX_CVTTPS2PIirr
-    12056U,	// MMX_EMMS
-    336616411U,	// MMX_MASKMOVQ
-    336616411U,	// MMX_MASKMOVQ64
-    336614740U,	// MMX_MOVD64from64rr
-    336614740U,	// MMX_MOVD64grr
-    1119572U,	// MMX_MOVD64mr
-    303060308U,	// MMX_MOVD64rm
-    336614740U,	// MMX_MOVD64rr
-    336614740U,	// MMX_MOVD64to64rr
-    336615894U,	// MMX_MOVDQ2Qrr
-    336615894U,	// MMX_MOVFR642Qrr
-    1137550U,	// MMX_MOVNTQmr
-    336615985U,	// MMX_MOVQ2DQrr
-    336615985U,	// MMX_MOVQ2FR64rr
-    1137631U,	// MMX_MOVQ64mr
-    370170847U,	// MMX_MOVQ64rm
-    336616415U,	// MMX_MOVQ64rr
-    336616415U,	// MMX_MOVQ64rr_REV
-    370167284U,	// MMX_PABSBrm64
-    336612852U,	// MMX_PABSBrr64
-    370168863U,	// MMX_PABSDrm64
-    336614431U,	// MMX_PABSDrr64
-    370172937U,	// MMX_PABSWrm64
-    336618505U,	// MMX_PABSWrr64
-    135291728U,	// MMX_PACKSSDWirm
-    34628432U,	// MMX_PACKSSDWirr
-    135286451U,	// MMX_PACKSSWBirm
-    34623155U,	// MMX_PACKSSWBirr
-    135286462U,	// MMX_PACKUSWBirm
-    34623166U,	// MMX_PACKUSWBirr
-    135286167U,	// MMX_PADDBirm
-    34622871U,	// MMX_PADDBirr
-    135286679U,	// MMX_PADDDirm
-    34623383U,	// MMX_PADDDirr
-    135289436U,	// MMX_PADDQirm
-    34626140U,	// MMX_PADDQirr
-    135286277U,	// MMX_PADDSBirm
-    34622981U,	// MMX_PADDSBirr
-    135291962U,	// MMX_PADDSWirm
-    34628666U,	// MMX_PADDSWirr
-    135286319U,	// MMX_PADDUSBirm
-    34623023U,	// MMX_PADDUSBirr
-    135292035U,	// MMX_PADDUSWirm
-    34628739U,	// MMX_PADDUSWirr
-    135291710U,	// MMX_PADDWirm
-    34628414U,	// MMX_PADDWirr
-    2282773580U,	// MMX_PALIGNR64irm
-    2182110284U,	// MMX_PALIGNR64irr
-    135289009U,	// MMX_PANDNirm
-    34625713U,	// MMX_PANDNirr
-    135286854U,	// MMX_PANDirm
-    34623558U,	// MMX_PANDirr
-    135286184U,	// MMX_PAVGBirm
-    34622888U,	// MMX_PAVGBirr
-    135291765U,	// MMX_PAVGWirm
-    34628469U,	// MMX_PAVGWirr
-    135286232U,	// MMX_PCMPEQBirm
-    34622936U,	// MMX_PCMPEQBirr
-    135287597U,	// MMX_PCMPEQDirm
-    34624301U,	// MMX_PCMPEQDirr
-    135291870U,	// MMX_PCMPEQWirm
-    34628574U,	// MMX_PCMPEQWirr
-    135286360U,	// MMX_PCMPGTBirm
-    34623064U,	// MMX_PCMPGTBirr
-    135288048U,	// MMX_PCMPGTDirm
-    34624752U,	// MMX_PCMPGTDirr
-    135292061U,	// MMX_PCMPGTWirm
-    34628765U,	// MMX_PCMPGTWirr
-    2484102144U,	// MMX_PEXTRWirri
-    135291952U,	// MMX_PHADDSWrm64
-    34628656U,	// MMX_PHADDSWrr64
-    135291701U,	// MMX_PHADDWrm64
-    34628405U,	// MMX_PHADDWrr64
-    135286670U,	// MMX_PHADDrm64
-    34623374U,	// MMX_PHADDrr64
-    135286611U,	// MMX_PHSUBDrm64
-    34623315U,	// MMX_PHSUBDrr64
-    135291933U,	// MMX_PHSUBSWrm64
-    34628637U,	// MMX_PHSUBSWrr64
-    135291647U,	// MMX_PHSUBWrm64
-    34628351U,	// MMX_PHSUBWrr64
-    2215666679U,	// MMX_PINSRWirmi
-    2182112247U,	// MMX_PINSRWirri
-    135291921U,	// MMX_PMADDUBSWrm64
-    34628625U,	// MMX_PMADDUBSWrr64
-    135288182U,	// MMX_PMADDWDirm
-    34624886U,	// MMX_PMADDWDirr
-    135292052U,	// MMX_PMAXSWirm
-    34628756U,	// MMX_PMAXSWirr
-    135286424U,	// MMX_PMAXUBirm
-    34623128U,	// MMX_PMAXUBirr
-    135291983U,	// MMX_PMINSWirm
-    34628687U,	// MMX_PMINSWirr
-    135286401U,	// MMX_PMINUBirm
-    34623105U,	// MMX_PMINUBirr
-    336612788U,	// MMX_PMOVMSKBrr
-    135292006U,	// MMX_PMULHRSWrm64
-    34628710U,	// MMX_PMULHRSWrr64
-    135292093U,	// MMX_PMULHUWirm
-    34628797U,	// MMX_PMULHUWirr
-    135291794U,	// MMX_PMULHWirm
-    34628498U,	// MMX_PMULHWirr
-    135291836U,	// MMX_PMULLWirm
-    34628540U,	// MMX_PMULLWirr
-    135289576U,	// MMX_PMULUDQirm
-    34626280U,	// MMX_PMULUDQirr
-    135289942U,	// MMX_PORirm
-    34626646U,	// MMX_PORirr
-    135291584U,	// MMX_PSADBWirm
-    34628288U,	// MMX_PSADBWirr
-    135286175U,	// MMX_PSHUFBrm64
-    34622879U,	// MMX_PSHUFBrr64
-    2517656428U,	// MMX_PSHUFWmi
-    2484101996U,	// MMX_PSHUFWri
-    135286223U,	// MMX_PSIGNBrm64
-    34622927U,	// MMX_PSIGNBrr64
-    135286869U,	// MMX_PSIGNDrm64
-    34623573U,	// MMX_PSIGNDrr64
-    135291861U,	// MMX_PSIGNWrm64
-    34628565U,	// MMX_PSIGNWrr64
-    34623508U,	// MMX_PSLLDri
-    135286804U,	// MMX_PSLLDrm
-    34623508U,	// MMX_PSLLDrr
-    34626336U,	// MMX_PSLLQri
-    135289632U,	// MMX_PSLLQrm
-    34626336U,	// MMX_PSLLQrr
-    34628532U,	// MMX_PSLLWri
-    135291828U,	// MMX_PSLLWrm
-    34628532U,	// MMX_PSLLWrr
-    34623286U,	// MMX_PSRADri
-    135286582U,	// MMX_PSRADrm
-    34623286U,	// MMX_PSRADrr
-    34628269U,	// MMX_PSRAWri
-    135291565U,	// MMX_PSRAWrm
-    34628269U,	// MMX_PSRAWrr
-    34623525U,	// MMX_PSRLDri
-    135286821U,	// MMX_PSRLDrm
-    34623525U,	// MMX_PSRLDrr
-    34626344U,	// MMX_PSRLQri
-    135289640U,	// MMX_PSRLQrm
-    34626344U,	// MMX_PSRLQrr
-    34628549U,	// MMX_PSRLWri
-    135291845U,	// MMX_PSRLWrm
-    34628549U,	// MMX_PSRLWrr
-    135286159U,	// MMX_PSUBBirm
-    34622863U,	// MMX_PSUBBirr
-    135286620U,	// MMX_PSUBDirm
-    34623324U,	// MMX_PSUBDirr
-    135289341U,	// MMX_PSUBQirm
-    34626045U,	// MMX_PSUBQirr
-    135286268U,	// MMX_PSUBSBirm
-    34622972U,	// MMX_PSUBSBirr
-    135291943U,	// MMX_PSUBSWirm
-    34628647U,	// MMX_PSUBSWirr
-    135286309U,	// MMX_PSUBUSBirm
-    34623013U,	// MMX_PSUBUSBirr
-    135292025U,	// MMX_PSUBUSWirm
-    34628729U,	// MMX_PSUBUSWirr
-    135291656U,	// MMX_PSUBWirm
-    34628360U,	// MMX_PSUBWirr
-    135291612U,	// MMX_PUNPCKHBWirm
-    34628316U,	// MMX_PUNPCKHBWirr
-    135289454U,	// MMX_PUNPCKHDQirm
-    34626158U,	// MMX_PUNPCKHDQirr
-    135288192U,	// MMX_PUNPCKHWDirm
-    34624896U,	// MMX_PUNPCKHWDirr
-    135291624U,	// MMX_PUNPCKLBWirm
-    34628328U,	// MMX_PUNPCKLBWirr
-    135289466U,	// MMX_PUNPCKLDQirm
-    34626170U,	// MMX_PUNPCKLDQirr
-    135288204U,	// MMX_PUNPCKLWDirm
-    34624908U,	// MMX_PUNPCKLWDirr
-    135289970U,	// MMX_PXORirm
-    34626674U,	// MMX_PXORirr
+    17950U,	// LD_Frr
+    705708603U,	// LEA16r
+    705708603U,	// LEA32r
+    705708603U,	// LEA64_32r
+    705708603U,	// LEA64r
+    10402U,	// LEAVE
+    10402U,	// LEAVE64
+    672159334U,	// LES16rm
+    672159334U,	// LES32rm
+    10287U,	// LFENCE
+    672159347U,	// LFS16rm
+    672159347U,	// LFS32rm
+    672159347U,	// LFS64rm
+    285716U,	// LGDT16m
+    285716U,	// LGDT32m
+    285716U,	// LGDT64m
+    672159352U,	// LGS16rm
+    672159352U,	// LGS32rm
+    672159352U,	// LGS64rm
+    285728U,	// LIDT16m
+    285728U,	// LIDT32m
+    285728U,	// LIDT64m
+    39980U,	// LLDT16m
+    23596U,	// LLDT16r
+    40805U,	// LMSW16m
+    24421U,	// LMSW16r
+    1082738U,	// LOCK_ADD16mi
+    1082738U,	// LOCK_ADD16mi8
+    1082738U,	// LOCK_ADD16mr
+    1115506U,	// LOCK_ADD32mi
+    1115506U,	// LOCK_ADD32mi8
+    1115506U,	// LOCK_ADD32mr
+    1131890U,	// LOCK_ADD64mi32
+    1131890U,	// LOCK_ADD64mi8
+    1131890U,	// LOCK_ADD64mr
+    1148274U,	// LOCK_ADD8mi
+    1148274U,	// LOCK_ADD8mr
+    1083023U,	// LOCK_AND16mi
+    1083023U,	// LOCK_AND16mi8
+    1083023U,	// LOCK_AND16mr
+    1115791U,	// LOCK_AND32mi
+    1115791U,	// LOCK_AND32mi8
+    1115791U,	// LOCK_AND32mr
+    1132175U,	// LOCK_AND64mi32
+    1132175U,	// LOCK_AND64mi8
+    1132175U,	// LOCK_AND64mr
+    1148559U,	// LOCK_AND8mi
+    1148559U,	// LOCK_AND8mr
+    33961U,	// LOCK_DEC16m
+    66729U,	// LOCK_DEC32m
+    83113U,	// LOCK_DEC64m
+    99497U,	// LOCK_DEC8m
+    34014U,	// LOCK_INC16m
+    66782U,	// LOCK_INC32m
+    83166U,	// LOCK_INC64m
+    99550U,	// LOCK_INC8m
+    1086952U,	// LOCK_OR16mi
+    1086952U,	// LOCK_OR16mi8
+    1086952U,	// LOCK_OR16mr
+    1119720U,	// LOCK_OR32mi
+    1119720U,	// LOCK_OR32mi8
+    1119720U,	// LOCK_OR32mr
+    1136104U,	// LOCK_OR64mi32
+    1136104U,	// LOCK_OR64mi8
+    1136104U,	// LOCK_OR64mr
+    1152488U,	// LOCK_OR8mi
+    1152488U,	// LOCK_OR8mr
+    10489U,	// LOCK_PREFIX
+    1082430U,	// LOCK_SUB16mi
+    1082430U,	// LOCK_SUB16mi8
+    1082430U,	// LOCK_SUB16mr
+    1115198U,	// LOCK_SUB32mi
+    1115198U,	// LOCK_SUB32mi8
+    1115198U,	// LOCK_SUB32mr
+    1131582U,	// LOCK_SUB64mi32
+    1131582U,	// LOCK_SUB64mi8
+    1131582U,	// LOCK_SUB64mr
+    1147966U,	// LOCK_SUB8mi
+    1147966U,	// LOCK_SUB8mr
+    1086980U,	// LOCK_XOR16mi
+    1086980U,	// LOCK_XOR16mi8
+    1086980U,	// LOCK_XOR16mr
+    1119748U,	// LOCK_XOR32mi
+    1119748U,	// LOCK_XOR32mi8
+    1119748U,	// LOCK_XOR32mr
+    1136132U,	// LOCK_XOR64mi32
+    1136132U,	// LOCK_XOR64mi8
+    1136132U,	// LOCK_XOR64mr
+    1152516U,	// LOCK_XOR8mi
+    1152516U,	// LOCK_XOR8mr
+    401785U,	// LODSB
+    418469U,	// LODSL
+    435022U,	// LODSQ
+    451164U,	// LODSW
+    151914U,	// LOOP
+    151103U,	// LOOPE
+    151080U,	// LOOPNE
+    20132U,	// LRETIL
+    21423U,	// LRETIQ
+    20132U,	// LRETIW
+    10436U,	// LRETL
+    10742U,	// LRETQ
+    10436U,	// LRETW
+    470831187U,	// LSL16rm
+    336613459U,	// LSL16rr
+    303059027U,	// LSL32rm
+    336613459U,	// LSL32rr
+    370167891U,	// LSL64rm
+    336613459U,	// LSL64rr
+    672160662U,	// LSS16rm
+    672160662U,	// LSS32rm
+    672160662U,	// LSS64rm
+    38451U,	// LTRm
+    22067U,	// LTRr
+    460158U,	// LXADD16
+    476542U,	// LXADD32
+    492926U,	// LXADD64
+    509310U,	// LXADD8
+    470834254U,	// LZCNT16rm
+    336616526U,	// LZCNT16rr
+    303062094U,	// LZCNT32rm
+    336616526U,	// LZCNT32rr
+    370170958U,	// LZCNT64rm
+    336616526U,	// LZCNT64rr
+    336616689U,	// MASKMOVDQU
+    336616689U,	// MASKMOVDQU64
+    202394143U,	// MAXCPDrm
+    34621983U,	// MAXCPDrr
+    202398246U,	// MAXCPSrm
+    34626086U,	// MAXCPSrr
+    235949177U,	// MAXCSDrm
+    34622585U,	// MAXCSDrr
+    269507566U,	// MAXCSSrm
+    34626542U,	// MAXCSSrr
+    202394143U,	// MAXPDrm
+    34621983U,	// MAXPDrr
+    202398246U,	// MAXPSrm
+    34626086U,	// MAXPSrr
+    235949177U,	// MAXSDrm
+    235949177U,	// MAXSDrm_Int
+    34622585U,	// MAXSDrr
+    34622585U,	// MAXSDrr_Int
+    269507566U,	// MAXSSrm
+    269507566U,	// MAXSSrm_Int
+    34626542U,	// MAXSSrr
+    34626542U,	// MAXSSrr_Int
+    10294U,	// MFENCE
+    202393999U,	// MINCPDrm
+    34621839U,	// MINCPDrr
+    202398061U,	// MINCPSrm
+    34625901U,	// MINCPSrr
+    235949084U,	// MINCSDrm
+    34622492U,	// MINCSDrr
+    269507484U,	// MINCSSrm
+    34626460U,	// MINCSSrr
+    202393999U,	// MINPDrm
+    34621839U,	// MINPDrr
+    202398061U,	// MINPSrm
+    34625901U,	// MINPSrr
+    235949084U,	// MINSDrm
+    235949084U,	// MINSDrm_Int
+    34622492U,	// MINSDrr
+    34622492U,	// MINSDrr_Int
+    269507484U,	// MINSSrm
+    269507484U,	// MINSSrm_Int
+    34626460U,	// MINSSrr
+    34626460U,	// MINSSrr_Int
+    537939768U,	// MMX_CVTPD2PIirm
+    336613176U,	// MMX_CVTPD2PIirr
+    370165629U,	// MMX_CVTPI2PDirm
+    336611197U,	// MMX_CVTPI2PDirr
+    135288674U,	// MMX_CVTPI2PSirm
+    34625378U,	// MMX_CVTPI2PSirr
+    571494221U,	// MMX_CVTPS2PIirm
+    336613197U,	// MMX_CVTPS2PIirr
+    537939757U,	// MMX_CVTTPD2PIirm
+    336613165U,	// MMX_CVTTPD2PIirr
+    571494210U,	// MMX_CVTTPS2PIirm
+    336613186U,	// MMX_CVTTPS2PIirr
+    10969U,	// MMX_EMMS
+    336614764U,	// MMX_MASKMOVQ
+    336614764U,	// MMX_MASKMOVQ64
+    1133854U,	// MMX_MOVD64from64rm
+    336612638U,	// MMX_MOVD64from64rr
+    336612638U,	// MMX_MOVD64grr
+    1117470U,	// MMX_MOVD64mr
+    303058206U,	// MMX_MOVD64rm
+    336612638U,	// MMX_MOVD64rr
+    370167070U,	// MMX_MOVD64to64rm
+    336612638U,	// MMX_MOVD64to64rr
+    336613898U,	// MMX_MOVDQ2Qrr
+    336613898U,	// MMX_MOVFR642Qrr
+    1135859U,	// MMX_MOVNTQmr
+    336614007U,	// MMX_MOVQ2DQrr
+    336614007U,	// MMX_MOVQ2FR64rr
+    1135984U,	// MMX_MOVQ64mr
+    370169200U,	// MMX_MOVQ64rm
+    336614768U,	// MMX_MOVQ64rr
+    336614768U,	// MMX_MOVQ64rr_REV
+    370164621U,	// MMX_PABSBrm64
+    336610189U,	// MMX_PABSBrr64
+    370166695U,	// MMX_PABSDrm64
+    336612263U,	// MMX_PABSDrr64
+    370171692U,	// MMX_PABSWrm64
+    336617260U,	// MMX_PABSWrr64
+    135290355U,	// MMX_PACKSSDWirm
+    34627059U,	// MMX_PACKSSDWirr
+    135283827U,	// MMX_PACKSSWBirm
+    34620531U,	// MMX_PACKSSWBirr
+    135283838U,	// MMX_PACKUSWBirm
+    34620542U,	// MMX_PACKUSWBirr
+    135283369U,	// MMX_PADDBirm
+    34620073U,	// MMX_PADDBirr
+    135284110U,	// MMX_PADDDirm
+    34620814U,	// MMX_PADDDirr
+    135287458U,	// MMX_PADDQirm
+    34624162U,	// MMX_PADDQirr
+    135283614U,	// MMX_PADDSBirm
+    34620318U,	// MMX_PADDSBirr
+    135290717U,	// MMX_PADDSWirm
+    34627421U,	// MMX_PADDSWirr
+    135283656U,	// MMX_PADDUSBirm
+    34620360U,	// MMX_PADDUSBirr
+    135290790U,	// MMX_PADDUSWirm
+    34627494U,	// MMX_PADDUSWirr
+    135290330U,	// MMX_PADDWirm
+    34627034U,	// MMX_PADDWirr
+    2282771933U,	// MMX_PALIGNR64irm
+    2182108637U,	// MMX_PALIGNR64irr
+    135286957U,	// MMX_PANDNirm
+    34623661U,	// MMX_PANDNirr
+    135284366U,	// MMX_PANDirm
+    34621070U,	// MMX_PANDirr
+    135283423U,	// MMX_PAVGBirm
+    34620127U,	// MMX_PAVGBirr
+    135290422U,	// MMX_PAVGWirm
+    34627126U,	// MMX_PAVGWirr
+    135283508U,	// MMX_PCMPEQBirm
+    34620212U,	// MMX_PCMPEQBirr
+    135285296U,	// MMX_PCMPEQDirm
+    34622000U,	// MMX_PCMPEQDirr
+    135290564U,	// MMX_PCMPEQWirm
+    34627268U,	// MMX_PCMPEQWirr
+    135283697U,	// MMX_PCMPGTBirm
+    34620401U,	// MMX_PCMPGTBirr
+    135285919U,	// MMX_PCMPGTDirm
+    34622623U,	// MMX_PCMPGTDirr
+    135290816U,	// MMX_PCMPGTWirm
+    34627520U,	// MMX_PCMPGTWirr
+    2484100899U,	// MMX_PEXTRWirri
+    135290707U,	// MMX_PHADDSWrm64
+    34627411U,	// MMX_PHADDSWrr64
+    135290321U,	// MMX_PHADDWrm64
+    34627025U,	// MMX_PHADDWrr64
+    135284101U,	// MMX_PHADDrm64
+    34620805U,	// MMX_PHADDrr64
+    135284042U,	// MMX_PHSUBDrm64
+    34620746U,	// MMX_PHSUBDrr64
+    135290688U,	// MMX_PHSUBSWrm64
+    34627392U,	// MMX_PHSUBSWrr64
+    135290267U,	// MMX_PHSUBWrm64
+    34626971U,	// MMX_PHSUBWrr64
+    2215665424U,	// MMX_PINSRWirmi
+    2182110992U,	// MMX_PINSRWirri
+    135290676U,	// MMX_PMADDUBSWrm64
+    34627380U,	// MMX_PMADDUBSWrr64
+    135286080U,	// MMX_PMADDWDirm
+    34622784U,	// MMX_PMADDWDirr
+    135290807U,	// MMX_PMAXSWirm
+    34627511U,	// MMX_PMAXSWirr
+    135283787U,	// MMX_PMAXUBirm
+    34620491U,	// MMX_PMAXUBirr
+    135290738U,	// MMX_PMINSWirm
+    34627442U,	// MMX_PMINSWirr
+    135283755U,	// MMX_PMINUBirm
+    34620459U,	// MMX_PMINUBirr
+    336610027U,	// MMX_PMOVMSKBrr
+    135290761U,	// MMX_PMULHRSWrm64
+    34627465U,	// MMX_PMULHRSWrr64
+    135290865U,	// MMX_PMULHUWirm
+    34627569U,	// MMX_PMULHUWirr
+    135290451U,	// MMX_PMULHWirm
+    34627155U,	// MMX_PMULHWirr
+    135290493U,	// MMX_PMULLWirm
+    34627197U,	// MMX_PMULLWirr
+    135287687U,	// MMX_PMULUDQirm
+    34624391U,	// MMX_PMULUDQirr
+    135288295U,	// MMX_PORirm
+    34624999U,	// MMX_PORirr
+    135290194U,	// MMX_PSADBWirm
+    34626898U,	// MMX_PSADBWirr
+    135283414U,	// MMX_PSHUFBrm64
+    34620118U,	// MMX_PSHUFBrr64
+    2517655085U,	// MMX_PSHUFWmi
+    2484100653U,	// MMX_PSHUFWri
+    135283491U,	// MMX_PSIGNBrm64
+    34620195U,	// MMX_PSIGNBrr64
+    135284407U,	// MMX_PSIGNDrm64
+    34621111U,	// MMX_PSIGNDrr64
+    135290547U,	// MMX_PSIGNWrm64
+    34627251U,	// MMX_PSIGNWrr64
+    638600754U,	// MMX_PSLLDri
+    135284274U,	// MMX_PSLLDrm
+    34620978U,	// MMX_PSLLDrr
+    638604223U,	// MMX_PSLLQri
+    135287743U,	// MMX_PSLLQrm
+    34624447U,	// MMX_PSLLQrr
+    638606965U,	// MMX_PSLLWri
+    135290485U,	// MMX_PSLLWrm
+    34627189U,	// MMX_PSLLWrr
+    638600493U,	// MMX_PSRADri
+    135284013U,	// MMX_PSRADrm
+    34620717U,	// MMX_PSRADrr
+    638606655U,	// MMX_PSRAWri
+    135290175U,	// MMX_PSRAWrm
+    34626879U,	// MMX_PSRAWrr
+    638600771U,	// MMX_PSRLDri
+    135284291U,	// MMX_PSRLDrm
+    34620995U,	// MMX_PSRLDrr
+    638604240U,	// MMX_PSRLQri
+    135287760U,	// MMX_PSRLQrm
+    34624464U,	// MMX_PSRLQrr
+    638606982U,	// MMX_PSRLWri
+    135290502U,	// MMX_PSRLWrm
+    34627206U,	// MMX_PSRLWrr
+    135283361U,	// MMX_PSUBBirm
+    34620065U,	// MMX_PSUBBirr
+    135284051U,	// MMX_PSUBDirm
+    34620755U,	// MMX_PSUBDirr
+    135287363U,	// MMX_PSUBQirm
+    34624067U,	// MMX_PSUBQirr
+    135283605U,	// MMX_PSUBSBirm
+    34620309U,	// MMX_PSUBSBirr
+    135290698U,	// MMX_PSUBSWirm
+    34627402U,	// MMX_PSUBSWirr
+    135283646U,	// MMX_PSUBUSBirm
+    34620350U,	// MMX_PSUBUSBirr
+    135290780U,	// MMX_PSUBUSWirm
+    34627484U,	// MMX_PSUBUSWirr
+    135290276U,	// MMX_PSUBWirm
+    34626980U,	// MMX_PSUBWirr
+    135290222U,	// MMX_PUNPCKHBWirm
+    34626926U,	// MMX_PUNPCKHBWirr
+    135287476U,	// MMX_PUNPCKHDQirm
+    34624180U,	// MMX_PUNPCKHDQirr
+    135286090U,	// MMX_PUNPCKHWDirm
+    34622794U,	// MMX_PUNPCKHWDirr
+    135290244U,	// MMX_PUNPCKLBWirm
+    34626948U,	// MMX_PUNPCKLBWirr
+    135287488U,	// MMX_PUNPCKLDQirm
+    34624192U,	// MMX_PUNPCKLDQirr
+    135286102U,	// MMX_PUNPCKLWDirm
+    34622806U,	// MMX_PUNPCKLWDirr
+    135288323U,	// MMX_PXORirm
+    34625027U,	// MMX_PXORirr
     0U,	// MONITOR
-    11881U,	// MONITORrrr
-    11670U,	// MONTMUL
+    10794U,	// MONITORrrr
+    10550U,	// MONTMUL
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
-    9970335U,	// MOV16ao16
-    9970335U,	// MOV16ao16_16
-    1090207U,	// MOV16mi
-    1090207U,	// MOV16mr
-    1090207U,	// MOV16ms
-    534276U,	// MOV16o16a
-    534276U,	// MOV16o16a_16
-    336618143U,	// MOV16ri
-    336618143U,	// MOV16ri_alt
-    470835871U,	// MOV16rm
-    336618143U,	// MOV16rr
-    336618143U,	// MOV16rr_REV
-    336618143U,	// MOV16rs
-    470835871U,	// MOV16sm
-    336618143U,	// MOV16sr
-    11035295U,	// MOV32ao32
-    11035295U,	// MOV32ao32_16
-    336618143U,	// MOV32cr
-    336618143U,	// MOV32dr
-    1122975U,	// MOV32mi
-    1122975U,	// MOV32mr
-    1090207U,	// MOV32ms
-    550829U,	// MOV32o32a
-    550829U,	// MOV32o32a_16
+    533064U,	// MOV16ao16
+    533064U,	// MOV16ao32
+    533042U,	// MOV16ao64
+    1088807U,	// MOV16mi
+    1088807U,	// MOV16mr
+    1088807U,	// MOV16ms
+    9968935U,	// MOV16o16a
+    9968935U,	// MOV16o32a
+    9967187U,	// MOV16o64a
+    336616743U,	// MOV16ri
+    336616743U,	// MOV16ri_alt
+    470834471U,	// MOV16rm
+    336616743U,	// MOV16rr
+    336616743U,	// MOV16rr_REV
+    336616743U,	// MOV16rs
+    470834471U,	// MOV16sm
+    336616743U,	// MOV16sr
+    549617U,	// MOV32ao16
+    549617U,	// MOV32ao32
+    549593U,	// MOV32ao64
+    336616743U,	// MOV32cr
+    336616743U,	// MOV32dr
+    1121575U,	// MOV32mi
+    1121575U,	// MOV32mr
+    1088807U,	// MOV32ms
+    11033895U,	// MOV32o16a
+    11033895U,	// MOV32o32a
+    11032147U,	// MOV32o64a
     0U,	// MOV32r0
-    336618143U,	// MOV32rc
-    336618143U,	// MOV32rd
-    336618143U,	// MOV32ri
+    336616743U,	// MOV32rc
+    336616743U,	// MOV32rd
+    336616743U,	// MOV32ri
     0U,	// MOV32ri64
-    336618143U,	// MOV32ri_alt
-    303063711U,	// MOV32rm
-    336618143U,	// MOV32rr
-    336618143U,	// MOV32rr_REV
-    336618143U,	// MOV32rs
-    470835871U,	// MOV32sm
-    336618143U,	// MOV32sr
-    9968834U,	// MOV64ao16
-    11033794U,	// MOV64ao32
-    12098754U,	// MOV64ao64
-    13163714U,	// MOV64ao8
-    336618143U,	// MOV64cr
-    336618143U,	// MOV64dr
-    1139359U,	// MOV64mi32
-    1139359U,	// MOV64mr
-    1090207U,	// MOV64ms
-    534254U,	// MOV64o16a
-    550805U,	// MOV64o32a
-    567328U,	// MOV64o64a
-    583294U,	// MOV64o8a
-    336618143U,	// MOV64rc
-    336618143U,	// MOV64rd
-    336616642U,	// MOV64ri
-    336618143U,	// MOV64ri32
-    370172575U,	// MOV64rm
-    336618143U,	// MOV64rr
-    336618143U,	// MOV64rr_REV
-    336618143U,	// MOV64rs
-    470835871U,	// MOV64sm
-    336618143U,	// MOV64sr
-    336616415U,	// MOV64toPQIrr
-    370170847U,	// MOV64toSDrm
-    336616415U,	// MOV64toSDrr
-    13165215U,	// MOV8ao8
-    13165215U,	// MOV8ao8_16
-    1155743U,	// MOV8mi
-    1155743U,	// MOV8mr
-    1155743U,	// MOV8mr_NOREX
-    583316U,	// MOV8o8a
-    583316U,	// MOV8o8a_16
-    336618143U,	// MOV8ri
-    336618143U,	// MOV8ri_alt
-    504390303U,	// MOV8rm
-    504390303U,	// MOV8rm_NOREX
-    336618143U,	// MOV8rr
-    336618143U,	// MOV8rr_NOREX
-    336618143U,	// MOV8rr_REV
-    1642899U,	// MOVAPDmr
-    537940371U,	// MOVAPDrm
-    336613779U,	// MOVAPDrr
-    336613779U,	// MOVAPDrr_REV
-    1646134U,	// MOVAPSmr
-    537943606U,	// MOVAPSrm
-    336617014U,	// MOVAPSrr
-    336617014U,	// MOVAPSrr_REV
-    1086989U,	// MOVBE16mr
-    470832653U,	// MOVBE16rm
-    1119757U,	// MOVBE32mr
-    303060493U,	// MOVBE32rm
-    1136141U,	// MOVBE64mr
-    370169357U,	// MOVBE64rm
-    571496857U,	// MOVDDUPrm
-    336615833U,	// MOVDDUPrr
-    303060308U,	// MOVDI2PDIrm
-    336614740U,	// MOVDI2PDIrr
-    303060308U,	// MOVDI2SSrm
-    336614740U,	// MOVDI2SSrr
-    1314120U,	// MOVDQAmr
-    437275976U,	// MOVDQArm
-    336612680U,	// MOVDQArr
-    336612680U,	// MOVDQArr_REV
-    1319533U,	// MOVDQUmr
-    437281389U,	// MOVDQUrm
-    336618093U,	// MOVDQUrr
-    336618093U,	// MOVDQUrr_REV
-    34627338U,	// MOVHLPSrr
-    1184337U,	// MOVHPDmr
-    235950673U,	// MOVHPDrm
-    1187574U,	// MOVHPSmr
-    235953910U,	// MOVHPSrm
-    34627308U,	// MOVLHPSrr
-    1184387U,	// MOVLPDmr
-    235950723U,	// MOVLPDrm
-    1187634U,	// MOVLPSmr
-    235953970U,	// MOVLPSrm
-    336613978U,	// MOVMSKPDrr
-    336617215U,	// MOVMSKPSrr
-    437275965U,	// MOVNTDQArm
-    1645267U,	// MOVNTDQmr
-    1136618U,	// MOVNTI_64mr
-    1120234U,	// MOVNTImr
-    1643224U,	// MOVNTPDmr
-    1646483U,	// MOVNTPSmr
-    1184933U,	// MOVNTSD
-    1171767U,	// MOVNTSS
+    336616743U,	// MOV32ri_alt
+    303062311U,	// MOV32rm
+    336616743U,	// MOV32rr
+    336616743U,	// MOV32rr_REV
+    336616743U,	// MOV32rs
+    470834471U,	// MOV32sm
+    336616743U,	// MOV32sr
+    566140U,	// MOV64ao32
+    566116U,	// MOV64ao64
+    336616743U,	// MOV64cr
+    336616743U,	// MOV64dr
+    1137959U,	// MOV64mi32
+    1137959U,	// MOV64mr
+    1088807U,	// MOV64ms
+    12098855U,	// MOV64o32a
+    12097107U,	// MOV64o64a
+    336616743U,	// MOV64rc
+    336616743U,	// MOV64rd
+    336614995U,	// MOV64ri
+    336616743U,	// MOV64ri32
+    370171175U,	// MOV64rm
+    336616743U,	// MOV64rr
+    336616743U,	// MOV64rr_REV
+    336616743U,	// MOV64rs
+    470834471U,	// MOV64sm
+    336616743U,	// MOV64sr
+    370169200U,	// MOV64toPQIrm
+    336614768U,	// MOV64toPQIrr
+    370169200U,	// MOV64toSDrm
+    336614768U,	// MOV64toSDrr
+    582104U,	// MOV8ao16
+    582104U,	// MOV8ao32
+    582082U,	// MOV8ao64
+    1154343U,	// MOV8mi
+    1154343U,	// MOV8mr
+    1154343U,	// MOV8mr_NOREX
+    13163815U,	// MOV8o16a
+    13163815U,	// MOV8o32a
+    13162067U,	// MOV8o64a
+    336616743U,	// MOV8ri
+    336616743U,	// MOV8ri_alt
+    504388903U,	// MOV8rm
+    504388903U,	// MOV8rm_NOREX
+    336616743U,	// MOV8rr
+    336616743U,	// MOV8rr_NOREX
+    336616743U,	// MOV8rr_REV
+    1640524U,	// MOVAPDmr
+    537937996U,	// MOVAPDrm
+    336611404U,	// MOVAPDrr
+    336611404U,	// MOVAPDrr_REV
+    1644582U,	// MOVAPSmr
+    537942054U,	// MOVAPSrm
+    336615462U,	// MOVAPSrr
+    336615462U,	// MOVAPSrr_REV
+    1084887U,	// MOVBE16mr
+    470830551U,	// MOVBE16rm
+    1117655U,	// MOVBE32mr
+    303058391U,	// MOVBE32rm
+    1134039U,	// MOVBE64mr
+    370167255U,	// MOVBE64rm
+    571494824U,	// MOVDDUPrm
+    336613800U,	// MOVDDUPrr
+    303058206U,	// MOVDI2PDIrm
+    336612638U,	// MOVDI2PDIrr
+    303058206U,	// MOVDI2SSrm
+    336612638U,	// MOVDI2SSrr
+    1311312U,	// MOVDQAmr
+    437273168U,	// MOVDQArm
+    336609872U,	// MOVDQArr
+    336609872U,	// MOVDQArr_REV
+    1318133U,	// MOVDQUmr
+    437279989U,	// MOVDQUrm
+    336616693U,	// MOVDQUrr
+    336616693U,	// MOVDQUrr_REV
+    34625823U,	// MOVHLPSrr
+    1181999U,	// MOVHPDmr
+    235948335U,	// MOVHPDrm
+    1186059U,	// MOVHPSmr
+    235952395U,	// MOVHPSrm
+    34625793U,	// MOVLHPSrr
+    1182049U,	// MOVLPDmr
+    235948385U,	// MOVLPDrm
+    1186119U,	// MOVLPSmr
+    235952455U,	// MOVLPSrm
+    336611640U,	// MOVMSKPDrr
+    336615700U,	// MOVMSKPSrr
+    437273157U,	// MOVNTDQArm
+    1643328U,	// MOVNTDQmr
+    1134566U,	// MOVNTI_64mr
+    1118182U,	// MOVNTImr
+    1640923U,	// MOVNTPDmr
+    1645005U,	// MOVNTPSmr
+    1182791U,	// MOVNTSD
+    1170355U,	// MOVNTSS
     0U,	// MOVPC32r
-    1119572U,	// MOVPDI2DImr
-    336614740U,	// MOVPDI2DIrr
-    1137631U,	// MOVPQI2QImr
-    336616415U,	// MOVPQI2QIrr
-    336616415U,	// MOVPQIto64rr
-    370170847U,	// MOVQI2PQIrm
-    672435777U,	// MOVSB
-    1184974U,	// MOVSDmr
-    571495630U,	// MOVSDrm
-    34624718U,	// MOVSDrr
-    34624718U,	// MOVSDrr_REV
-    1137631U,	// MOVSDto64mr
-    336616415U,	// MOVSDto64rr
-    537942435U,	// MOVSHDUPrm
-    336615843U,	// MOVSHDUPrr
-    706008270U,	// MOVSL
-    537942446U,	// MOVSLDUPrm
-    336615854U,	// MOVSLDUPrr
-    739859325U,	// MOVSQ
-    1119572U,	// MOVSS2DImr
-    336614740U,	// MOVSS2DIrr
-    1171818U,	// MOVSSmr
-    605053290U,	// MOVSSrm
-    34627946U,	// MOVSSrr
-    34627946U,	// MOVSSrr_REV
-    773137548U,	// MOVSW
-    504391001U,	// MOVSX16rm8
-    336618841U,	// MOVSX16rr8
-    470836569U,	// MOVSX32rm16
-    504391001U,	// MOVSX32rm8
-    336618841U,	// MOVSX32rr16
-    336618841U,	// MOVSX32rr8
-    336614884U,	// MOVSX64_NOREXrr32
-    470836569U,	// MOVSX64rm16
-    303060452U,	// MOVSX64rm32
-    504391001U,	// MOVSX64rm8
-    336618841U,	// MOVSX64rr16
-    336614884U,	// MOVSX64rr32
-    336618841U,	// MOVSX64rr8
-    1643252U,	// MOVUPDmr
-    537940724U,	// MOVUPDrm
-    336614132U,	// MOVUPDrr
-    336614132U,	// MOVUPDrr_REV
-    1646532U,	// MOVUPSmr
-    537944004U,	// MOVUPSrm
-    336617412U,	// MOVUPSrr
-    336617412U,	// MOVUPSrr_REV
-    437279711U,	// MOVZPQILo2PQIrm
-    336616415U,	// MOVZPQILo2PQIrr
-    370170847U,	// MOVZQI2PQIrm
-    336616415U,	// MOVZQI2PQIrr
-    504391008U,	// MOVZX16rm8
-    336618848U,	// MOVZX16rr8
-    504391008U,	// MOVZX32_NOREXrm8
-    336618848U,	// MOVZX32_NOREXrr8
-    470836576U,	// MOVZX32rm16
-    504391008U,	// MOVZX32rm8
-    336618848U,	// MOVZX32rr16
-    336618848U,	// MOVZX32rr8
-    470836576U,	// MOVZX64rm16_Q
-    504391008U,	// MOVZX64rm8_Q
-    336618848U,	// MOVZX64rr16_Q
-    336618848U,	// MOVZX64rr8_Q
-    2551210687U,	// MPSADBWrmi
-    2182111935U,	// MPSADBWrri
-    39012U,	// MUL16m
-    22628U,	// MUL16r
-    71780U,	// MUL32m
-    22628U,	// MUL32r
-    88164U,	// MUL64m
-    22628U,	// MUL64r
-    104548U,	// MUL8m
-    22628U,	// MUL8r
-    202396283U,	// MULPDrm
-    34624123U,	// MULPDrr
-    202399530U,	// MULPSrm
-    34627370U,	// MULPSrr
-    235951230U,	// MULSDrm
-    235951230U,	// MULSDrm_Int
-    34624638U,	// MULSDrr
-    34624638U,	// MULSDrr_Int
-    269508888U,	// MULSSrm
-    269508888U,	// MULSSrm_Int
-    34627864U,	// MULSSrr
-    34627864U,	// MULSSrr_Int
-    2484102422U,	// MULX32rm
-    2484102422U,	// MULX32rr
-    2484102422U,	// MULX64rm
-    2484102422U,	// MULX64rr
-    120931U,	// MUL_F32m
-    137315U,	// MUL_F64m
-    39017U,	// MUL_FI16m
-    71785U,	// MUL_FI32m
-    22809U,	// MUL_FPrST0
-    22627U,	// MUL_FST0r
+    1117470U,	// MOVPDI2DImr
+    336612638U,	// MOVPDI2DIrr
+    1135984U,	// MOVPQI2QImr
+    336614768U,	// MOVPQI2QIrr
+    1135984U,	// MOVPQIto64rm
+    336614768U,	// MOVPQIto64rr
+    370169200U,	// MOVQI2PQIrm
+    739541978U,	// MOVSB
+    1182832U,	// MOVSDmr
+    571493488U,	// MOVSDrm
+    34622576U,	// MOVSDrr
+    34622576U,	// MOVSDrr_REV
+    1135984U,	// MOVSDto64mr
+    336614768U,	// MOVSDto64rr
+    537940402U,	// MOVSHDUPrm
+    336613810U,	// MOVSHDUPrr
+    773114992U,	// MOVSL
+    537940413U,	// MOVSLDUPrm
+    336613821U,	// MOVSLDUPrr
+    806966466U,	// MOVSQ
+    1117470U,	// MOVSS2DImr
+    336612638U,	// MOVSS2DIrr
+    1170406U,	// MOVSSmr
+    605051878U,	// MOVSSrm
+    34626534U,	// MOVSSrr
+    34626534U,	// MOVSSrr_REV
+    840245167U,	// MOVSW
+    504389789U,	// MOVSX16rm8
+    336617629U,	// MOVSX16rr8
+    504389789U,	// MOVSX32_NOREXrm8
+    336617629U,	// MOVSX32_NOREXrr8
+    470835357U,	// MOVSX32rm16
+    504389789U,	// MOVSX32rm8
+    336617629U,	// MOVSX32rr16
+    336617629U,	// MOVSX32rr8
+    336612782U,	// MOVSX64_NOREXrr32
+    470835357U,	// MOVSX64rm16
+    303058350U,	// MOVSX64rm32
+    303058350U,	// MOVSX64rm32_alt
+    504389789U,	// MOVSX64rm8
+    336617629U,	// MOVSX64rr16
+    336612782U,	// MOVSX64rr32
+    336617629U,	// MOVSX64rr8
+    1640951U,	// MOVUPDmr
+    537938423U,	// MOVUPDrm
+    336611831U,	// MOVUPDrr
+    336611831U,	// MOVUPDrr_REV
+    1645054U,	// MOVUPSmr
+    537942526U,	// MOVUPSrm
+    336615934U,	// MOVUPSrr
+    336615934U,	// MOVUPSrr_REV
+    437278064U,	// MOVZPQILo2PQIrm
+    336614768U,	// MOVZPQILo2PQIrr
+    370169200U,	// MOVZQI2PQIrm
+    336614768U,	// MOVZQI2PQIrr
+    504389796U,	// MOVZX16rm8
+    336617636U,	// MOVZX16rr8
+    504389796U,	// MOVZX32_NOREXrm8
+    336617636U,	// MOVZX32_NOREXrr8
+    470835364U,	// MOVZX32rm16
+    504389796U,	// MOVZX32rm8
+    336617636U,	// MOVZX32rr16
+    336617636U,	// MOVZX32rr8
+    470835364U,	// MOVZX64rm16_Q
+    504389796U,	// MOVZX64rm8_Q
+    336617636U,	// MOVZX64rr16_Q
+    336617636U,	// MOVZX64rr8_Q
+    2551209297U,	// MPSADBWrmi
+    2182110545U,	// MPSADBWrri
+    36960U,	// MUL16m
+    20576U,	// MUL16r
+    69728U,	// MUL32m
+    20576U,	// MUL32r
+    86112U,	// MUL64m
+    20576U,	// MUL64r
+    102496U,	// MUL8m
+    20576U,	// MUL8r
+    202393945U,	// MULPDrm
+    34621785U,	// MULPDrr
+    202398015U,	// MULPSrm
+    34625855U,	// MULPSrr
+    235949075U,	// MULSDrm
+    235949075U,	// MULSDrm_Int
+    34622483U,	// MULSDrr
+    34622483U,	// MULSDrr_Int
+    269507476U,	// MULSSrm
+    269507476U,	// MULSSrm_Int
+    34626452U,	// MULSSrr
+    34626452U,	// MULSSrr_Int
+    2484101210U,	// MULX32rm
+    2484101210U,	// MULX32rr
+    2484101210U,	// MULX64rm
+    2484101210U,	// MULX64rr
+    118879U,	// MUL_F32m
+    135263U,	// MUL_F64m
+    36965U,	// MUL_FI16m
+    69733U,	// MUL_FI32m
+    20765U,	// MUL_FPrST0
+    20575U,	// MUL_FST0r
     0U,	// MUL_Fp32
     0U,	// MUL_Fp32m
     0U,	// MUL_Fp64
@@ -1818,960 +1853,988 @@ static void printInstruction(MCInst *MI,
     0U,	// MUL_FpI32m32
     0U,	// MUL_FpI32m64
     0U,	// MUL_FpI32m80
-    2119779U,	// MUL_FrST0
-    12121U,	// MWAITrr
-    38624U,	// NEG16m
-    22240U,	// NEG16r
-    71392U,	// NEG32m
-    22240U,	// NEG32r
-    87776U,	// NEG64m
-    22240U,	// NEG64r
-    104160U,	// NEG8m
-    22240U,	// NEG8r
-    11777U,	// NOOP
-    39254U,	// NOOP18_16m4
-    39254U,	// NOOP18_16m5
-    39254U,	// NOOP18_16m6
-    39254U,	// NOOP18_16m7
-    22870U,	// NOOP18_16r4
-    22870U,	// NOOP18_16r5
-    22870U,	// NOOP18_16r6
-    22870U,	// NOOP18_16r7
-    72022U,	// NOOP18_m4
-    72022U,	// NOOP18_m5
-    72022U,	// NOOP18_m6
-    72022U,	// NOOP18_m7
-    22870U,	// NOOP18_r4
-    22870U,	// NOOP18_r5
-    22870U,	// NOOP18_r6
-    22870U,	// NOOP18_r7
-    806410582U,	// NOOP19rr
-    72022U,	// NOOPL
-    72022U,	// NOOPL_19
-    72022U,	// NOOPL_1a
-    72022U,	// NOOPL_1b
-    72022U,	// NOOPL_1c
-    72022U,	// NOOPL_1d
-    72022U,	// NOOPL_1e
-    39254U,	// NOOPW
-    39254U,	// NOOPW_19
-    39254U,	// NOOPW_1a
-    39254U,	// NOOPW_1b
-    39254U,	// NOOPW_1c
-    39254U,	// NOOPW_1d
-    39254U,	// NOOPW_1e
-    41445U,	// NOT16m
-    25061U,	// NOT16r
-    74213U,	// NOT32m
-    25061U,	// NOT32r
-    90597U,	// NOT64m
-    25061U,	// NOT64r
-    106981U,	// NOT8m
-    25061U,	// NOT8r
-    26342U,	// OR16i16
-    1088599U,	// OR16mi
-    1088599U,	// OR16mi8
-    1088599U,	// OR16mr
-    34659415U,	// OR16ri
-    34659415U,	// OR16ri8
-    68213847U,	// OR16rm
-    34659415U,	// OR16rr
-    34626647U,	// OR16rr_REV
-    26508U,	// OR32i32
-    1121367U,	// OR32mi
-    1121367U,	// OR32mi8
-    1121367U,	// OR32mr
-    1121367U,	// OR32mrLocked
-    34659415U,	// OR32ri
-    34659415U,	// OR32ri8
-    101768279U,	// OR32rm
-    34659415U,	// OR32rr
-    34626647U,	// OR32rr_REV
-    26647U,	// OR64i32
-    1137751U,	// OR64mi32
-    1137751U,	// OR64mi8
-    1137751U,	// OR64mr
-    34659415U,	// OR64ri32
-    34659415U,	// OR64ri8
-    135322711U,	// OR64rm
-    34659415U,	// OR64rr
-    34626647U,	// OR64rr_REV
-    26230U,	// OR8i8
-    1154135U,	// OR8mi
-    1154135U,	// OR8mr
-    34659415U,	// OR8ri
-    34659415U,	// OR8ri8
-    168877143U,	// OR8rm
-    34659415U,	// OR8rr
-    34626647U,	// OR8rr_REV
-    202396361U,	// ORPDrm
-    34624201U,	// ORPDrr
-    202399608U,	// ORPSrm
-    34627448U,	// ORPSrr
-    9462357U,	// OUT16ir
-    12244U,	// OUT16rr
-    10510933U,	// OUT32ir
-    12298U,	// OUT32rr
-    12608085U,	// OUT8ir
-    11614U,	// OUT8rr
-    403512U,	// OUTSB
-    419907U,	// OUTSL
-    452686U,	// OUTSW
-    437276148U,	// PABSBrm128
-    336612852U,	// PABSBrr128
-    437277727U,	// PABSDrm128
-    336614431U,	// PABSDrr128
-    437281801U,	// PABSWrm128
-    336618505U,	// PABSWrr128
-    403727184U,	// PACKSSDWrm
-    34628432U,	// PACKSSDWrr
-    403721907U,	// PACKSSWBrm
-    34623155U,	// PACKSSWBrr
-    403727195U,	// PACKUSDWrm
-    34628443U,	// PACKUSDWrr
-    403721918U,	// PACKUSWBrm
-    34623166U,	// PACKUSWBrr
-    403721623U,	// PADDBrm
-    34622871U,	// PADDBrr
-    403722135U,	// PADDDrm
-    34623383U,	// PADDDrr
-    403724892U,	// PADDQrm
-    34626140U,	// PADDQrr
-    403721733U,	// PADDSBrm
-    34622981U,	// PADDSBrr
-    403727418U,	// PADDSWrm
-    34628666U,	// PADDSWrr
-    403721775U,	// PADDUSBrm
-    34623023U,	// PADDUSBrr
-    403727491U,	// PADDUSWrm
-    34628739U,	// PADDUSWrr
-    403727166U,	// PADDWrm
-    34628414U,	// PADDWrr
-    2551209036U,	// PALIGNR128rm
-    2182110284U,	// PALIGNR128rr
-    403724465U,	// PANDNrm
-    34625713U,	// PANDNrr
-    403722310U,	// PANDrm
-    34623558U,	// PANDrr
-    11485U,	// PAUSE
-    403721640U,	// PAVGBrm
-    34622888U,	// PAVGBrr
-    135286328U,	// PAVGUSBrm
-    34623032U,	// PAVGUSBrr
-    403727221U,	// PAVGWrm
-    34628469U,	// PAVGWrr
-    403721889U,	// PBLENDVBrm0
-    34623137U,	// PBLENDVBrr0
-    2551210822U,	// PBLENDWrmi
-    2182112070U,	// PBLENDWrri
-    2551208635U,	// PCLMULQDQrm
-    2182109883U,	// PCLMULQDQrr
-    403721688U,	// PCMPEQBrm
-    34622936U,	// PCMPEQBrr
-    403723053U,	// PCMPEQDrm
-    34624301U,	// PCMPEQDrr
-    403725128U,	// PCMPEQQrm
-    34626376U,	// PCMPEQQrr
-    403727326U,	// PCMPEQWrm
-    34628574U,	// PCMPEQWrr
+    2117727U,	// MUL_FrST0
+    11034U,	// MWAITrr
+    36522U,	// NEG16m
+    20138U,	// NEG16r
+    69290U,	// NEG32m
+    20138U,	// NEG32r
+    85674U,	// NEG64m
+    20138U,	// NEG64r
+    102058U,	// NEG8m
+    20138U,	// NEG8r
+    10671U,	// NOOP
+    37221U,	// NOOP18_16m4
+    37221U,	// NOOP18_16m5
+    37221U,	// NOOP18_16m6
+    37221U,	// NOOP18_16m7
+    20837U,	// NOOP18_16r4
+    20837U,	// NOOP18_16r5
+    20837U,	// NOOP18_16r6
+    20837U,	// NOOP18_16r7
+    69989U,	// NOOP18_m4
+    69989U,	// NOOP18_m5
+    69989U,	// NOOP18_m6
+    69989U,	// NOOP18_m7
+    20837U,	// NOOP18_r4
+    20837U,	// NOOP18_r5
+    20837U,	// NOOP18_r6
+    20837U,	// NOOP18_r7
+    873517413U,	// NOOP19rr
+    69989U,	// NOOPL
+    69989U,	// NOOPL_19
+    69989U,	// NOOPL_1a
+    69989U,	// NOOPL_1b
+    69989U,	// NOOPL_1c
+    69989U,	// NOOPL_1d
+    69989U,	// NOOPL_1e
+    37221U,	// NOOPW
+    37221U,	// NOOPW_19
+    37221U,	// NOOPW_1a
+    37221U,	// NOOPW_1b
+    37221U,	// NOOPW_1c
+    37221U,	// NOOPW_1d
+    37221U,	// NOOPW_1e
+    40033U,	// NOT16m
+    23649U,	// NOT16r
+    72801U,	// NOT32m
+    23649U,	// NOT32r
+    89185U,	// NOT64m
+    23649U,	// NOT64r
+    105569U,	// NOT8m
+    23649U,	// NOT8r
+    25130U,	// OR16i16
+    1086952U,	// OR16mi
+    1086952U,	// OR16mi8
+    1086952U,	// OR16mr
+    34657768U,	// OR16ri
+    34657768U,	// OR16ri8
+    68212200U,	// OR16rm
+    34657768U,	// OR16rr
+    34625000U,	// OR16rr_REV
+    25296U,	// OR32i32
+    1119720U,	// OR32mi
+    1119720U,	// OR32mi8
+    1119720U,	// OR32mr
+    1119720U,	// OR32mrLocked
+    34657768U,	// OR32ri
+    34657768U,	// OR32ri8
+    101766632U,	// OR32rm
+    34657768U,	// OR32rr
+    34625000U,	// OR32rr_REV
+    25435U,	// OR64i32
+    1136104U,	// OR64mi32
+    1136104U,	// OR64mi8
+    1136104U,	// OR64mr
+    34657768U,	// OR64ri32
+    34657768U,	// OR64ri8
+    135321064U,	// OR64rm
+    34657768U,	// OR64rr
+    34625000U,	// OR64rr_REV
+    25018U,	// OR8i8
+    1152488U,	// OR8mi
+    1152488U,	// OR8mi8
+    1152488U,	// OR8mr
+    34657768U,	// OR8ri
+    34657768U,	// OR8ri8
+    168875496U,	// OR8rm
+    34657768U,	// OR8rr
+    34625000U,	// OR8rr_REV
+    202394047U,	// ORPDrm
+    34621887U,	// ORPDrr
+    202398117U,	// ORPSrm
+    34625957U,	// ORPSrr
+    9460957U,	// OUT16ir
+    11165U,	// OUT16rr
+    10509533U,	// OUT32ir
+    11219U,	// OUT32rr
+    12606685U,	// OUT8ir
+    10494U,	// OUT8rr
+    402310U,	// OUTSB
+    418705U,	// OUTSL
+    451484U,	// OUTSW
+    437273485U,	// PABSBrm128
+    336610189U,	// PABSBrr128
+    437275559U,	// PABSDrm128
+    336612263U,	// PABSDrr128
+    437280556U,	// PABSWrm128
+    336617260U,	// PABSWrr128
+    403725811U,	// PACKSSDWrm
+    34627059U,	// PACKSSDWrr
+    403719283U,	// PACKSSWBrm
+    34620531U,	// PACKSSWBrr
+    403725822U,	// PACKUSDWrm
+    34627070U,	// PACKUSDWrr
+    403719294U,	// PACKUSWBrm
+    34620542U,	// PACKUSWBrr
+    403718825U,	// PADDBrm
+    34620073U,	// PADDBrr
+    403719566U,	// PADDDrm
+    34620814U,	// PADDDrr
+    403722914U,	// PADDQrm
+    34624162U,	// PADDQrr
+    403719070U,	// PADDSBrm
+    34620318U,	// PADDSBrr
+    403726173U,	// PADDSWrm
+    34627421U,	// PADDSWrr
+    403719112U,	// PADDUSBrm
+    34620360U,	// PADDUSBrr
+    403726246U,	// PADDUSWrm
+    34627494U,	// PADDUSWrr
+    403725786U,	// PADDWrm
+    34627034U,	// PADDWrr
+    2551207389U,	// PALIGNR128rm
+    2182108637U,	// PALIGNR128rr
+    403722413U,	// PANDNrm
+    34623661U,	// PANDNrr
+    403719822U,	// PANDrm
+    34621070U,	// PANDrr
+    10365U,	// PAUSE
+    403718879U,	// PAVGBrm
+    34620127U,	// PAVGBrr
+    135283665U,	// PAVGUSBrm
+    34620369U,	// PAVGUSBrr
+    403725878U,	// PAVGWrm
+    34627126U,	// PAVGWrr
+    403719252U,	// PBLENDVBrm0
+    34620500U,	// PBLENDVBrr0
+    2551209449U,	// PBLENDWrmi
+    2182110697U,	// PBLENDWrri
+    2551206683U,	// PCLMULQDQrm
+    2182107931U,	// PCLMULQDQrr
+    403718964U,	// PCMPEQBrm
+    34620212U,	// PCMPEQBrr
+    403720752U,	// PCMPEQDrm
+    34622000U,	// PCMPEQDrr
+    403723316U,	// PCMPEQQrm
+    34624564U,	// PCMPEQQrr
+    403726020U,	// PCMPEQWrm
+    34627268U,	// PCMPEQWrr
     0U,	// PCMPESTRIMEM
     0U,	// PCMPESTRIREG
-    2584762271U,	// PCMPESTRIrm
-    2484098975U,	// PCMPESTRIrr
+    2584760169U,	// PCMPESTRIrm
+    2484096873U,	// PCMPESTRIrr
     0U,	// PCMPESTRM128MEM
     0U,	// PCMPESTRM128REG
-    2584762521U,	// PCMPESTRM128rm
-    2484099225U,	// PCMPESTRM128rr
-    403721816U,	// PCMPGTBrm
-    34623064U,	// PCMPGTBrr
-    403723504U,	// PCMPGTDrm
-    34624752U,	// PCMPGTDrr
-    403725189U,	// PCMPGTQrm
-    34626437U,	// PCMPGTQrr
-    403727517U,	// PCMPGTWrm
-    34628765U,	// PCMPGTWrr
+    2584760469U,	// PCMPESTRM128rm
+    2484097173U,	// PCMPESTRM128rr
+    403719153U,	// PCMPGTBrm
+    34620401U,	// PCMPGTBrr
+    403721375U,	// PCMPGTDrm
+    34622623U,	// PCMPGTDrr
+    403723488U,	// PCMPGTQrm
+    34624736U,	// PCMPGTQrr
+    403726272U,	// PCMPGTWrm
+    34627520U,	// PCMPGTWrr
     0U,	// PCMPISTRIMEM
     0U,	// PCMPISTRIREG
-    2584762283U,	// PCMPISTRIrm
-    2484098987U,	// PCMPISTRIrr
+    2584760181U,	// PCMPISTRIrm
+    2484096885U,	// PCMPISTRIrr
     0U,	// PCMPISTRM128MEM
     0U,	// PCMPISTRM128REG
-    2584762533U,	// PCMPISTRM128rm
-    2484099237U,	// PCMPISTRM128rr
-    2484099343U,	// PDEP32rm
-    2484099343U,	// PDEP32rr
-    2484099343U,	// PDEP64rm
-    2484099343U,	// PDEP64rr
-    2484101722U,	// PEXT32rm
-    2484101722U,	// PEXT32rr
-    2484101722U,	// PEXT64rm
-    2484101722U,	// PEXT64rr
-    2148634091U,	// PEXTRBmr
-    2484096491U,	// PEXTRBrr
-    2148602706U,	// PEXTRDmr
-    2484097874U,	// PEXTRDrr
-    2148621159U,	// PEXTRQmr
-    2484099943U,	// PEXTRQrr
-    2148574208U,	// PEXTRWmr
-    2484102144U,	// PEXTRWri
-    2484102144U,	// PEXTRWrr_REV
-    370167777U,	// PF2IDrm
-    336613345U,	// PF2IDrr
-    370172826U,	// PF2IWrm
-    336618394U,	// PF2IWrr
-    135286472U,	// PFACCrm
-    34623176U,	// PFACCrr
-    135286649U,	// PFADDrm
-    34623353U,	// PFADDrr
-    135289607U,	// PFCMPEQrm
-    34626311U,	// PFCMPEQrr
-    135288361U,	// PFCMPGErm
-    34625065U,	// PFCMPGErr
-    135291329U,	// PFCMPGTrm
-    34628033U,	// PFCMPGTrr
-    135292163U,	// PFMAXrm
-    34628867U,	// PFMAXrr
-    135289024U,	// PFMINrm
-    34625728U,	// PFMINrr
-    135288930U,	// PFMULrm
-    34625634U,	// PFMULrr
-    135286479U,	// PFNACCrm
-    34623183U,	// PFNACCrr
-    135286487U,	// PFPNACCrm
-    34623191U,	// PFPNACCrr
-    135285648U,	// PFRCPIT1rm
-    34622352U,	// PFRCPIT1rr
-    135285744U,	// PFRCPIT2rm
-    34622448U,	// PFRCPIT2rr
-    370170113U,	// PFRCPrm
-    336615681U,	// PFRCPrr
-    135285658U,	// PFRSQIT1rm
-    34622362U,	// PFRSQIT1rr
-    370172420U,	// PFRSQRTrm
-    336617988U,	// PFRSQRTrr
-    135289898U,	// PFSUBRrm
-    34626602U,	// PFSUBRrr
-    135286409U,	// PFSUBrm
-    34623113U,	// PFSUBrr
-    403722126U,	// PHADDDrm
-    34623374U,	// PHADDDrr
-    403727408U,	// PHADDSWrm128
-    34628656U,	// PHADDSWrr128
-    403727157U,	// PHADDWrm
-    34628405U,	// PHADDWrr
-    437282009U,	// PHMINPOSUWrm128
-    336618713U,	// PHMINPOSUWrr128
-    403722067U,	// PHSUBDrm
-    34623315U,	// PHSUBDrr
-    403727389U,	// PHSUBSWrm128
-    34628637U,	// PHSUBSWrr128
-    403727103U,	// PHSUBWrm
-    34628351U,	// PHSUBWrr
-    370167761U,	// PI2FDrm
-    336613329U,	// PI2FDrr
-    370172773U,	// PI2FWrm
-    336618341U,	// PI2FWrr
-    2316324322U,	// PINSRBrm
-    2182106594U,	// PINSRBrr
-    2249216841U,	// PINSRDrm
-    2182107977U,	// PINSRDrr
-    2282773342U,	// PINSRQrm
-    2182110046U,	// PINSRQrr
-    2215666679U,	// PINSRWrmi
-    2182112247U,	// PINSRWrri
-    403727377U,	// PMADDUBSWrm128
-    34628625U,	// PMADDUBSWrr128
-    403723638U,	// PMADDWDrm
-    34624886U,	// PMADDWDrr
-    403721801U,	// PMAXSBrm
-    34623049U,	// PMAXSBrr
-    403723478U,	// PMAXSDrm
-    34624726U,	// PMAXSDrr
-    403727508U,	// PMAXSWrm
-    34628756U,	// PMAXSWrr
-    403721880U,	// PMAXUBrm
-    34623128U,	// PMAXUBrr
-    403723563U,	// PMAXUDrm
-    34624811U,	// PMAXUDrr
-    403727590U,	// PMAXUWrm
-    34628838U,	// PMAXUWrr
-    403721742U,	// PMINSBrm
-    34622990U,	// PMINSBrr
-    403723398U,	// PMINSDrm
-    34624646U,	// PMINSDrr
-    403727439U,	// PMINSWrm
-    34628687U,	// PMINSWrr
-    403721857U,	// PMINUBrm
-    34623105U,	// PMINUBrr
-    403723545U,	// PMINUDrm
-    34624793U,	// PMINUDrr
-    403727568U,	// PMINUWrm
-    34628816U,	// PMINUWrr
-    336612788U,	// PMOVMSKBrr
-    303058788U,	// PMOVSXBDrm
-    336613220U,	// PMOVSXBDrr
-    470833669U,	// PMOVSXBQrm
-    336615941U,	// PMOVSXBQrr
-    370172688U,	// PMOVSXBWrm
-    336618256U,	// PMOVSXBWrr
-    370170610U,	// PMOVSXDQrm
-    336616178U,	// PMOVSXDQrr
-    370169295U,	// PMOVSXWDrm
-    336614863U,	// PMOVSXWDrr
-    303062018U,	// PMOVSXWQrm
-    336616450U,	// PMOVSXWQrr
-    303058799U,	// PMOVZXBDrm
-    336613231U,	// PMOVZXBDrr
-    470833680U,	// PMOVZXBQrm
-    336615952U,	// PMOVZXBQrr
-    370172699U,	// PMOVZXBWrm
-    336618267U,	// PMOVZXBWrr
-    370170621U,	// PMOVZXDQrm
-    336616189U,	// PMOVZXDQrr
-    370169306U,	// PMOVZXWDrm
-    336614874U,	// PMOVZXWDrr
-    303062029U,	// PMOVZXWQrm
-    336616461U,	// PMOVZXWQrr
-    403724952U,	// PMULDQrm
-    34626200U,	// PMULDQrr
-    403727462U,	// PMULHRSWrm128
-    34628710U,	// PMULHRSWrr128
-    135291885U,	// PMULHRWrm
-    34628589U,	// PMULHRWrr
-    403727549U,	// PMULHUWrm
-    34628797U,	// PMULHUWrr
-    403727250U,	// PMULHWrm
-    34628498U,	// PMULHWrr
-    403722268U,	// PMULLDrm
-    34623516U,	// PMULLDrr
-    403727292U,	// PMULLWrm
-    34628540U,	// PMULLWrr
-    403725032U,	// PMULUDQrm
-    34626280U,	// PMULUDQrr
-    22881U,	// POP16r
-    39265U,	// POP16rmm
-    22881U,	// POP16rmr
-    22881U,	// POP32r
-    72033U,	// POP32rmm
-    22881U,	// POP32rmr
-    22881U,	// POP64r
-    88417U,	// POP64rmm
-    22881U,	// POP64rmr
-    12198U,	// POPA16
-    11632U,	// POPA32
-    470835658U,	// POPCNT16rm
-    336617930U,	// POPCNT16rr
-    303063498U,	// POPCNT32rm
-    336617930U,	// POPCNT32rr
-    370172362U,	// POPCNT64rm
-    336617930U,	// POPCNT64rr
-    11940U,	// POPDS16
-    11940U,	// POPDS32
-    11955U,	// POPES16
-    11955U,	// POPES32
-    11551U,	// POPF16
-    11338U,	// POPF32
-    11823U,	// POPF64
-    11970U,	// POPFS16
-    11970U,	// POPFS32
-    11970U,	// POPFS64
-    11985U,	// POPGS16
-    11985U,	// POPGS32
-    11985U,	// POPGS64
-    12082U,	// POPSS16
-    12082U,	// POPSS32
-    403725398U,	// PORrm
-    34626646U,	// PORrr
-    104199U,	// PREFETCH
-    101718U,	// PREFETCHNTA
-    101218U,	// PREFETCHT0
-    101252U,	// PREFETCHT1
-    101348U,	// PREFETCHT2
-    107388U,	// PREFETCHW
-    403727040U,	// PSADBWrm
-    34628288U,	// PSADBWrr
-    403721631U,	// PSHUFBrm
-    34622879U,	// PSHUFBrr
-    2584760281U,	// PSHUFDmi
-    2484096985U,	// PSHUFDri
-    2584765320U,	// PSHUFHWmi
-    2484102024U,	// PSHUFHWri
-    2584765346U,	// PSHUFLWmi
-    2484102050U,	// PSHUFLWri
-    403721679U,	// PSIGNBrm
-    34622927U,	// PSIGNBrr
-    403722325U,	// PSIGNDrm
-    34623573U,	// PSIGNDrr
-    403727317U,	// PSIGNWrm
-    34628565U,	// PSIGNWrr
-    34626182U,	// PSLLDQri
-    34623508U,	// PSLLDri
-    403722260U,	// PSLLDrm
-    34623508U,	// PSLLDrr
-    34626336U,	// PSLLQri
-    403725088U,	// PSLLQrm
-    34626336U,	// PSLLQrr
-    34628532U,	// PSLLWri
-    403727284U,	// PSLLWrm
-    34628532U,	// PSLLWrr
-    34623286U,	// PSRADri
-    403722038U,	// PSRADrm
-    34623286U,	// PSRADrr
-    34628269U,	// PSRAWri
-    403727021U,	// PSRAWrm
-    34628269U,	// PSRAWrr
-    34626191U,	// PSRLDQri
-    34623525U,	// PSRLDri
-    403722277U,	// PSRLDrm
-    34623525U,	// PSRLDrr
-    34626344U,	// PSRLQri
-    403725096U,	// PSRLQrm
-    34626344U,	// PSRLQrr
-    34628549U,	// PSRLWri
-    403727301U,	// PSRLWrm
-    34628549U,	// PSRLWrr
-    403721615U,	// PSUBBrm
-    34622863U,	// PSUBBrr
-    403722076U,	// PSUBDrm
-    34623324U,	// PSUBDrr
-    403724797U,	// PSUBQrm
-    34626045U,	// PSUBQrr
-    403721724U,	// PSUBSBrm
-    34622972U,	// PSUBSBrr
-    403727399U,	// PSUBSWrm
-    34628647U,	// PSUBSWrr
-    403721765U,	// PSUBUSBrm
-    34623013U,	// PSUBUSBrr
-    403727481U,	// PSUBUSWrm
-    34628729U,	// PSUBUSWrr
-    403727112U,	// PSUBWrm
-    34628360U,	// PSUBWrr
-    370168219U,	// PSWAPDrm
-    336613787U,	// PSWAPDrr
-    537944616U,	// PTESTrm
-    336618024U,	// PTESTrr
-    403727068U,	// PUNPCKHBWrm
-    34628316U,	// PUNPCKHBWrr
-    403724910U,	// PUNPCKHDQrm
-    34626158U,	// PUNPCKHDQrr
-    403724961U,	// PUNPCKHQDQrm
-    34626209U,	// PUNPCKHQDQrr
-    403723648U,	// PUNPCKHWDrm
-    34624896U,	// PUNPCKHWDrr
-    403727080U,	// PUNPCKLBWrm
-    34628328U,	// PUNPCKLBWrr
-    403724922U,	// PUNPCKLDQrm
-    34626170U,	// PUNPCKLDQrr
-    403724974U,	// PUNPCKLQDQrm
-    34626222U,	// PUNPCKLQDQrr
-    403723660U,	// PUNPCKLWDrm
-    34624908U,	// PUNPCKLWDrr
-    22338U,	// PUSH16i8
-    22338U,	// PUSH16r
-    38722U,	// PUSH16rmm
-    22338U,	// PUSH16rmr
-    22338U,	// PUSH32i8
-    22338U,	// PUSH32r
-    71490U,	// PUSH32rmm
-    22338U,	// PUSH32rmr
-    22338U,	// PUSH64i16
-    22338U,	// PUSH64i32
-    22338U,	// PUSH64i8
-    22338U,	// PUSH64r
-    87874U,	// PUSH64rmm
-    22338U,	// PUSH64rmr
-    12191U,	// PUSHA16
-    11625U,	// PUSHA32
-    11924U,	// PUSHCS16
-    11924U,	// PUSHCS32
-    11932U,	// PUSHDS16
-    11932U,	// PUSHDS32
-    11947U,	// PUSHES16
-    11947U,	// PUSHES32
-    11545U,	// PUSHF16
-    11331U,	// PUSHF32
-    11816U,	// PUSHF64
-    11962U,	// PUSHFS16
-    11962U,	// PUSHFS32
-    11962U,	// PUSHFS64
-    11977U,	// PUSHGS16
-    11977U,	// PUSHGS32
-    11977U,	// PUSHGS64
-    12074U,	// PUSHSS16
-    12074U,	// PUSHSS32
-    22338U,	// PUSHi16
-    22338U,	// PUSHi32
-    403725426U,	// PXORrm
-    34626674U,	// PXORrr
-    13670414U,	// RCL16m1
-    14718990U,	// RCL16mCL
-    1087502U,	// RCL16mi
-    13654030U,	// RCL16r1
-    14702606U,	// RCL16rCL
-    34625550U,	// RCL16ri
-    13703182U,	// RCL32m1
-    14751758U,	// RCL32mCL
-    1120270U,	// RCL32mi
-    13654030U,	// RCL32r1
-    14702606U,	// RCL32rCL
-    34625550U,	// RCL32ri
-    13719566U,	// RCL64m1
-    14768142U,	// RCL64mCL
-    1136654U,	// RCL64mi
-    13654030U,	// RCL64r1
-    14702606U,	// RCL64rCL
-    34625550U,	// RCL64ri
-    13735950U,	// RCL8m1
-    14784526U,	// RCL8mCL
-    1153038U,	// RCL8mi
-    13654030U,	// RCL8r1
-    14702606U,	// RCL8rCL
-    34625550U,	// RCL8ri
-    537943893U,	// RCPPSm
-    537943893U,	// RCPPSm_Int
-    336617301U,	// RCPPSr
-    336617301U,	// RCPPSr_Int
-    605053224U,	// RCPSSm
-    269508904U,	// RCPSSm_Int
-    336617768U,	// RCPSSr
-    34627880U,	// RCPSSr_Int
-    13671482U,	// RCR16m1
-    14720058U,	// RCR16mCL
-    1088570U,	// RCR16mi
-    13655098U,	// RCR16r1
-    14703674U,	// RCR16rCL
-    34626618U,	// RCR16ri
-    13704250U,	// RCR32m1
-    14752826U,	// RCR32mCL
-    1121338U,	// RCR32mi
-    13655098U,	// RCR32r1
-    14703674U,	// RCR32rCL
-    34626618U,	// RCR32ri
-    13720634U,	// RCR64m1
-    14769210U,	// RCR64mCL
-    1137722U,	// RCR64mi
-    13655098U,	// RCR64r1
-    14703674U,	// RCR64rCL
-    34626618U,	// RCR64ri
-    13737018U,	// RCR8m1
-    14785594U,	// RCR8mCL
-    1154106U,	// RCR8mi
-    13655098U,	// RCR8r1
-    14703674U,	// RCR8rCL
-    34626618U,	// RCR8ri
-    22140U,	// RDFSBASE
-    22140U,	// RDFSBASE64
-    22160U,	// RDGSBASE
-    22160U,	// RDGSBASE64
-    11889U,	// RDMSR
-    11308U,	// RDPMC
-    20556U,	// RDRAND16r
-    20556U,	// RDRAND32r
-    20556U,	// RDRAND64r
-    20425U,	// RDSEED16r
-    20425U,	// RDSEED32r
-    20425U,	// RDSEED64r
-    11321U,	// RDTSC
-    11754U,	// RDTSCP
-    10835U,	// RELEASE_MOV16mr
-    10835U,	// RELEASE_MOV32mr
-    10835U,	// RELEASE_MOV64mr
-    10835U,	// RELEASE_MOV8mr
-    11449U,	// REPNE_PREFIX
-    11252U,	// REP_MOVSB_32
-    11252U,	// REP_MOVSB_64
-    11369U,	// REP_MOVSD_32
-    11369U,	// REP_MOVSD_64
-    11845U,	// REP_MOVSQ_64
-    12218U,	// REP_MOVSW_32
-    12218U,	// REP_MOVSW_64
-    11761U,	// REP_PREFIX
-    11242U,	// REP_STOSB_32
-    11242U,	// REP_STOSB_64
-    11359U,	// REP_STOSD_32
-    11359U,	// REP_STOSD_64
-    11835U,	// REP_STOSQ_64
-    12208U,	// REP_STOSW_32
-    12208U,	// REP_STOSW_64
-    25020U,	// RETIL
-    25020U,	// RETIQ
-    25020U,	// RETIW
-    12110U,	// RETL
-    12110U,	// RETQ
-    12110U,	// RETW
-    11078U,	// REX64_PREFIX
-    13670453U,	// ROL16m1
-    14719029U,	// ROL16mCL
-    1087541U,	// ROL16mi
-    13654069U,	// ROL16r1
-    14702645U,	// ROL16rCL
-    34625589U,	// ROL16ri
-    13703221U,	// ROL32m1
-    14751797U,	// ROL32mCL
-    1120309U,	// ROL32mi
-    13654069U,	// ROL32r1
-    14702645U,	// ROL32rCL
-    34625589U,	// ROL32ri
-    13719605U,	// ROL64m1
-    14768181U,	// ROL64mCL
-    1136693U,	// ROL64mi
-    13654069U,	// ROL64r1
-    14702645U,	// ROL64rCL
-    34625589U,	// ROL64ri
-    13735989U,	// ROL8m1
-    14784565U,	// ROL8mCL
-    1153077U,	// ROL8mi
-    13654069U,	// ROL8r1
-    14702645U,	// ROL8rCL
-    34625589U,	// ROL8ri
-    13671515U,	// ROR16m1
-    14720091U,	// ROR16mCL
-    1088603U,	// ROR16mi
-    13655131U,	// ROR16r1
-    14703707U,	// ROR16rCL
-    34626651U,	// ROR16ri
-    13704283U,	// ROR32m1
-    14752859U,	// ROR32mCL
-    1121371U,	// ROR32mi
-    13655131U,	// ROR32r1
-    14703707U,	// ROR32rCL
-    34626651U,	// ROR32ri
-    13720667U,	// ROR64m1
-    14769243U,	// ROR64mCL
-    1137755U,	// ROR64mi
-    13655131U,	// ROR64r1
-    14703707U,	// ROR64rCL
-    34626651U,	// ROR64ri
-    13737051U,	// ROR8m1
-    14785627U,	// ROR8mCL
-    1154139U,	// ROR8mi
-    13655131U,	// ROR8r1
-    14703707U,	// ROR8rCL
-    34626651U,	// ROR8ri
-    2450548039U,	// RORX32mi
-    2484102471U,	// RORX32ri
-    2517656903U,	// RORX64mi
-    2484102471U,	// RORX64ri
-    2685424167U,	// ROUNDPDm
-    2484097575U,	// ROUNDPDr
-    2685427394U,	// ROUNDPSm
-    2484100802U,	// ROUNDPSr
-    2383434849U,	// ROUNDSDm
-    2182108257U,	// ROUNDSDr
-    2182108257U,	// ROUNDSDr_Int
-    2416992507U,	// ROUNDSSm
-    2182111483U,	// ROUNDSSr
-    2182111483U,	// ROUNDSSr_Int
-    11696U,	// RSM
-    537943976U,	// RSQRTPSm
-    537943976U,	// RSQRTPSm_Int
-    336617384U,	// RSQRTPSr
-    336617384U,	// RSQRTPSr_Int
-    605053249U,	// RSQRTSSm
-    269508929U,	// RSQRTSSm_Int
-    336617793U,	// RSQRTSSr
-    34627905U,	// RSQRTSSr_Int
-    11540U,	// SAHF
-    13670409U,	// SAL16m1
-    14718985U,	// SAL16mCL
-    1087497U,	// SAL16mi
-    13654025U,	// SAL16r1
-    14702601U,	// SAL16rCL
-    34625545U,	// SAL16ri
-    13703177U,	// SAL32m1
-    14751753U,	// SAL32mCL
-    1120265U,	// SAL32mi
-    13654025U,	// SAL32r1
-    14702601U,	// SAL32rCL
-    34625545U,	// SAL32ri
-    13719561U,	// SAL64m1
-    14768137U,	// SAL64mCL
-    1136649U,	// SAL64mi
-    13654025U,	// SAL64r1
-    14702601U,	// SAL64rCL
-    34625545U,	// SAL64ri
-    13735945U,	// SAL8m1
-    14784521U,	// SAL8mCL
-    1153033U,	// SAL8mi
-    13654025U,	// SAL8r1
-    14702601U,	// SAL8rCL
-    34625545U,	// SAL8ri
-    11295U,	// SALC
-    13671461U,	// SAR16m1
-    14720037U,	// SAR16mCL
-    1088549U,	// SAR16mi
-    13655077U,	// SAR16r1
-    14703653U,	// SAR16rCL
-    34626597U,	// SAR16ri
-    13704229U,	// SAR32m1
-    14752805U,	// SAR32mCL
-    1121317U,	// SAR32mi
-    13655077U,	// SAR32r1
-    14703653U,	// SAR32rCL
-    34626597U,	// SAR32ri
-    13720613U,	// SAR64m1
-    14769189U,	// SAR64mCL
-    1137701U,	// SAR64mi
-    13655077U,	// SAR64r1
-    14703653U,	// SAR64rCL
-    34626597U,	// SAR64ri
-    13736997U,	// SAR8m1
-    14785573U,	// SAR8mCL
-    1154085U,	// SAR8mi
-    13655077U,	// SAR8r1
-    14703653U,	// SAR8rCL
-    34626597U,	// SAR8ri
-    2450548027U,	// SARX32rm
-    2484102459U,	// SARX32rr
-    2517656891U,	// SARX64rm
-    2484102459U,	// SARX64rr
-    26269U,	// SBB16i16
-    1084809U,	// SBB16mi
-    1084809U,	// SBB16mi8
-    1084809U,	// SBB16mr
-    34655625U,	// SBB16ri
-    34655625U,	// SBB16ri8
-    68210057U,	// SBB16rm
-    34655625U,	// SBB16rr
-    34622857U,	// SBB16rr_REV
-    26403U,	// SBB32i32
-    1117577U,	// SBB32mi
-    1117577U,	// SBB32mi8
-    1117577U,	// SBB32mr
-    34655625U,	// SBB32ri
-    34655625U,	// SBB32ri8
-    101764489U,	// SBB32rm
-    34655625U,	// SBB32rr
-    34622857U,	// SBB32rr_REV
-    26551U,	// SBB64i32
-    1133961U,	// SBB64mi32
-    1133961U,	// SBB64mi8
-    1133961U,	// SBB64mr
-    34655625U,	// SBB64ri32
-    34655625U,	// SBB64ri8
-    135318921U,	// SBB64rm
-    34655625U,	// SBB64rr
-    34622857U,	// SBB64rr_REV
-    26145U,	// SBB8i8
-    1150345U,	// SBB8mi
-    1150345U,	// SBB8mr
-    34655625U,	// SBB8ri
-    168873353U,	// SBB8rm
-    34655625U,	// SBB8rr
-    34622857U,	// SBB8rr_REV
-    304682U,	// SCASB
-    321365U,	// SCASL
-    616446U,	// SCASQ
-    337677U,	// SCASW
-    12004U,	// SEG_ALLOCA_32
-    12004U,	// SEG_ALLOCA_64
-    11505U,	// SEH_EndPrologue
-    11491U,	// SEH_Epilogue
-    26802U,	// SEH_PushFrame
-    26847U,	// SEH_PushReg
-    336619729U,	// SEH_SaveReg
-    336619643U,	// SEH_SaveXMM
-    336619714U,	// SEH_SetFrame
-    26785U,	// SEH_StackAlloc
-    103921U,	// SETAEm
-    22001U,	// SETAEr
-    101712U,	// SETAm
-    19792U,	// SETAr
-    103941U,	// SETBEm
-    22021U,	// SETBEr
+    2584760481U,	// PCMPISTRM128rm
+    2484097185U,	// PCMPISTRM128rr
+    11040U,	// PCOMMIT
+    2484097291U,	// PDEP32rm
+    2484097291U,	// PDEP32rr
+    2484097291U,	// PDEP64rm
+    2484097291U,	// PDEP64rr
+    2484100322U,	// PEXT32rm
+    2484100322U,	// PEXT32rr
+    2484100322U,	// PEXT64rm
+    2484100322U,	// PEXT64rr
+    2148631428U,	// PEXTRBmr
+    2484093828U,	// PEXTRBrr
+    2148600494U,	// PEXTRDmr
+    2484095662U,	// PEXTRDrr
+    2148619406U,	// PEXTRQmr
+    2484098190U,	// PEXTRQrr
+    2148572963U,	// PEXTRWmr
+    2484100899U,	// PEXTRWri
+    2484100899U,	// PEXTRWrr_REV
+    370165247U,	// PF2IDrm
+    336610815U,	// PF2IDrr
+    370171483U,	// PF2IWrm
+    336617051U,	// PF2IWrr
+    135283848U,	// PFACCrm
+    34620552U,	// PFACCrr
+    135284080U,	// PFADDrm
+    34620784U,	// PFADDrr
+    135287718U,	// PFCMPEQrm
+    34624422U,	// PFCMPEQrr
+    135286259U,	// PFCMPGErm
+    34622963U,	// PFCMPGErr
+    135289917U,	// PFCMPGTrm
+    34626621U,	// PFCMPGTrr
+    135290951U,	// PFMAXrm
+    34627655U,	// PFMAXrr
+    135286972U,	// PFMINrm
+    34623676U,	// PFMINrr
+    135286878U,	// PFMULrm
+    34623582U,	// PFMULrr
+    135283855U,	// PFNACCrm
+    34620559U,	// PFNACCrr
+    135283863U,	// PFPNACCrm
+    34620567U,	// PFPNACCrr
+    135282735U,	// PFRCPIT1rm
+    34619439U,	// PFRCPIT1rr
+    135282831U,	// PFRCPIT2rm
+    34619535U,	// PFRCPIT2rr
+    370168061U,	// PFRCPrm
+    336613629U,	// PFRCPrr
+    135282745U,	// PFRSQIT1rm
+    34619449U,	// PFRSQIT1rr
+    370171020U,	// PFRSQRTrm
+    336616588U,	// PFRSQRTrr
+    135288251U,	// PFSUBRrm
+    34624955U,	// PFSUBRrr
+    135283772U,	// PFSUBrm
+    34620476U,	// PFSUBrr
+    403719557U,	// PHADDDrm
+    34620805U,	// PHADDDrr
+    403726163U,	// PHADDSWrm128
+    34627411U,	// PHADDSWrr128
+    403725777U,	// PHADDWrm
+    34627025U,	// PHADDWrr
+    437280790U,	// PHMINPOSUWrm128
+    336617494U,	// PHMINPOSUWrr128
+    403719498U,	// PHSUBDrm
+    34620746U,	// PHSUBDrr
+    403726144U,	// PHSUBSWrm128
+    34627392U,	// PHSUBSWrr128
+    403725723U,	// PHSUBWrm
+    34626971U,	// PHSUBWrr
+    370165231U,	// PI2FDrm
+    336610799U,	// PI2FDrr
+    370171430U,	// PI2FWrm
+    336616998U,	// PI2FWrr
+    2316321649U,	// PINSRBrm
+    2182103921U,	// PINSRBrr
+    2249214619U,	// PINSRDrm
+    2182105755U,	// PINSRDrr
+    2282771579U,	// PINSRQrm
+    2182108283U,	// PINSRQrr
+    2215665424U,	// PINSRWrmi
+    2182110992U,	// PINSRWrri
+    403726132U,	// PMADDUBSWrm128
+    34627380U,	// PMADDUBSWrr128
+    403721536U,	// PMADDWDrm
+    34622784U,	// PMADDWDrr
+    403719138U,	// PMAXSBrm
+    34620386U,	// PMAXSBrr
+    403721336U,	// PMAXSDrm
+    34622584U,	// PMAXSDrr
+    403726263U,	// PMAXSWrm
+    34627511U,	// PMAXSWrr
+    403719243U,	// PMAXUBrm
+    34620491U,	// PMAXUBrr
+    403721461U,	// PMAXUDrm
+    34622709U,	// PMAXUDrr
+    403726371U,	// PMAXUWrm
+    34627619U,	// PMAXUWrr
+    403719079U,	// PMINSBrm
+    34620327U,	// PMINSBrr
+    403721243U,	// PMINSDrm
+    34622491U,	// PMINSDrr
+    403726194U,	// PMINSWrm
+    34627442U,	// PMINSWrr
+    403719211U,	// PMINUBrm
+    34620459U,	// PMINUBrr
+    403721443U,	// PMINUDrm
+    34622691U,	// PMINUDrr
+    403726340U,	// PMINUWrm
+    34627588U,	// PMINUWrr
+    336610027U,	// PMOVMSKBrr
+    303056219U,	// PMOVSXBDrm
+    336610651U,	// PMOVSXBDrr
+    470831691U,	// PMOVSXBQrm
+    336613963U,	// PMOVSXBQrr
+    370171308U,	// PMOVSXBWrm
+    336616876U,	// PMOVSXBWrr
+    370168721U,	// PMOVSXDQrm
+    336614289U,	// PMOVSXDQrr
+    370167193U,	// PMOVSXWDrm
+    336612761U,	// PMOVSXWDrr
+    303060371U,	// PMOVSXWQrm
+    336614803U,	// PMOVSXWQrr
+    303056230U,	// PMOVZXBDrm
+    336610662U,	// PMOVZXBDrr
+    470831702U,	// PMOVZXBQrm
+    336613974U,	// PMOVZXBQrr
+    370171319U,	// PMOVZXBWrm
+    336616887U,	// PMOVZXBWrr
+    370168732U,	// PMOVZXDQrm
+    336614300U,	// PMOVZXDQrr
+    370167204U,	// PMOVZXWDrm
+    336612772U,	// PMOVZXWDrr
+    303060382U,	// PMOVZXWQrm
+    336614814U,	// PMOVZXWQrr
+    403722974U,	// PMULDQrm
+    34624222U,	// PMULDQrr
+    403726217U,	// PMULHRSWrm128
+    34627465U,	// PMULHRSWrr128
+    135290609U,	// PMULHRWrm
+    34627313U,	// PMULHRWrr
+    403726321U,	// PMULHUWrm
+    34627569U,	// PMULHUWrr
+    403725907U,	// PMULHWrm
+    34627155U,	// PMULHWrr
+    403719738U,	// PMULLDrm
+    34620986U,	// PMULLDrr
+    403725949U,	// PMULLWrm
+    34627197U,	// PMULLWrr
+    403723143U,	// PMULUDQrm
+    34624391U,	// PMULUDQrr
+    20848U,	// POP16r
+    37232U,	// POP16rmm
+    20848U,	// POP16rmr
+    20848U,	// POP32r
+    70000U,	// POP32rmm
+    20848U,	// POP32rmr
+    20848U,	// POP64r
+    86384U,	// POP64rmm
+    20848U,	// POP64rmr
+    11119U,	// POPA16
+    10512U,	// POPA32
+    470834246U,	// POPCNT16rm
+    336616518U,	// POPCNT16rr
+    303062086U,	// POPCNT32rm
+    336616518U,	// POPCNT32rr
+    370170950U,	// POPCNT64rm
+    336616518U,	// POPCNT64rr
+    10853U,	// POPDS16
+    10853U,	// POPDS32
+    10868U,	// POPES16
+    10868U,	// POPES32
+    10431U,	// POPF16
+    10218U,	// POPF32
+    10736U,	// POPF64
+    10883U,	// POPFS16
+    10883U,	// POPFS32
+    10883U,	// POPFS64
+    10898U,	// POPGS16
+    10898U,	// POPGS32
+    10898U,	// POPGS64
+    10995U,	// POPSS16
+    10995U,	// POPSS32
+    403723751U,	// PORrm
+    34624999U,	// PORrr
+    102097U,	// PREFETCH
+    98910U,	// PREFETCHNTA
+    98305U,	// PREFETCHT0
+    98339U,	// PREFETCHT1
+    98435U,	// PREFETCHT2
+    106045U,	// PREFETCHW
+    403725650U,	// PSADBWrm
+    34626898U,	// PSADBWrr
+    403718870U,	// PSHUFBrm
+    34620118U,	// PSHUFBrr
+    2584757751U,	// PSHUFDmi
+    2484094455U,	// PSHUFDri
+    2584763977U,	// PSHUFHWmi
+    2484100681U,	// PSHUFHWri
+    2584764003U,	// PSHUFLWmi
+    2484100707U,	// PSHUFLWri
+    403718947U,	// PSIGNBrm
+    34620195U,	// PSIGNBrr
+    403719863U,	// PSIGNDrm
+    34621111U,	// PSIGNDrr
+    403726003U,	// PSIGNWrm
+    34627251U,	// PSIGNWrr
+    638603980U,	// PSLLDQri
+    638600754U,	// PSLLDri
+    403719730U,	// PSLLDrm
+    34620978U,	// PSLLDrr
+    638604223U,	// PSLLQri
+    403723199U,	// PSLLQrm
+    34624447U,	// PSLLQrr
+    638606965U,	// PSLLWri
+    403725941U,	// PSLLWrm
+    34627189U,	// PSLLWrr
+    638600493U,	// PSRADri
+    403719469U,	// PSRADrm
+    34620717U,	// PSRADrr
+    638606655U,	// PSRAWri
+    403725631U,	// PSRAWrm
+    34626879U,	// PSRAWrr
+    638603989U,	// PSRLDQri
+    638600771U,	// PSRLDri
+    403719747U,	// PSRLDrm
+    34620995U,	// PSRLDrr
+    638604240U,	// PSRLQri
+    403723216U,	// PSRLQrm
+    34624464U,	// PSRLQrr
+    638606982U,	// PSRLWri
+    403725958U,	// PSRLWrm
+    34627206U,	// PSRLWrr
+    403718817U,	// PSUBBrm
+    34620065U,	// PSUBBrr
+    403719507U,	// PSUBDrm
+    34620755U,	// PSUBDrr
+    403722819U,	// PSUBQrm
+    34624067U,	// PSUBQrr
+    403719061U,	// PSUBSBrm
+    34620309U,	// PSUBSBrr
+    403726154U,	// PSUBSWrm
+    34627402U,	// PSUBSWrr
+    403719102U,	// PSUBUSBrm
+    34620350U,	// PSUBUSBrr
+    403726236U,	// PSUBUSWrm
+    34627484U,	// PSUBUSWrr
+    403725732U,	// PSUBWrm
+    34626980U,	// PSUBWrr
+    370165844U,	// PSWAPDrm
+    336611412U,	// PSWAPDrr
+    537943216U,	// PTESTrm
+    336616624U,	// PTESTrr
+    403725678U,	// PUNPCKHBWrm
+    34626926U,	// PUNPCKHBWrr
+    403722932U,	// PUNPCKHDQrm
+    34624180U,	// PUNPCKHDQrr
+    403723009U,	// PUNPCKHQDQrm
+    34624257U,	// PUNPCKHQDQrr
+    403721546U,	// PUNPCKHWDrm
+    34622794U,	// PUNPCKHWDrr
+    403725700U,	// PUNPCKLBWrm
+    34626948U,	// PUNPCKLBWrr
+    403722944U,	// PUNPCKLDQrm
+    34624192U,	// PUNPCKLDQrr
+    403723022U,	// PUNPCKLQDQrm
+    34624270U,	// PUNPCKLQDQrr
+    403721558U,	// PUNPCKLWDrm
+    34622806U,	// PUNPCKLWDrr
+    20236U,	// PUSH16i8
+    20236U,	// PUSH16r
+    36620U,	// PUSH16rmm
+    20236U,	// PUSH16rmr
+    20236U,	// PUSH32i8
+    20236U,	// PUSH32r
+    69388U,	// PUSH32rmm
+    20236U,	// PUSH32rmr
+    20236U,	// PUSH64i16
+    20236U,	// PUSH64i32
+    20236U,	// PUSH64i8
+    20236U,	// PUSH64r
+    85772U,	// PUSH64rmm
+    20236U,	// PUSH64rmr
+    11112U,	// PUSHA16
+    10505U,	// PUSHA32
+    10837U,	// PUSHCS16
+    10837U,	// PUSHCS32
+    10845U,	// PUSHDS16
+    10845U,	// PUSHDS32
+    10860U,	// PUSHES16
+    10860U,	// PUSHES32
+    10425U,	// PUSHF16
+    10211U,	// PUSHF32
+    10729U,	// PUSHF64
+    10875U,	// PUSHFS16
+    10875U,	// PUSHFS32
+    10875U,	// PUSHFS64
+    10890U,	// PUSHGS16
+    10890U,	// PUSHGS32
+    10890U,	// PUSHGS64
+    10987U,	// PUSHSS16
+    10987U,	// PUSHSS32
+    20236U,	// PUSHi16
+    20236U,	// PUSHi32
+    403723779U,	// PXORrm
+    34625027U,	// PXORrr
+    13668362U,	// RCL16m1
+    14716938U,	// RCL16mCL
+    1085450U,	// RCL16mi
+    13651978U,	// RCL16r1
+    14700554U,	// RCL16rCL
+    34623498U,	// RCL16ri
+    13701130U,	// RCL32m1
+    14749706U,	// RCL32mCL
+    1118218U,	// RCL32mi
+    13651978U,	// RCL32r1
+    14700554U,	// RCL32rCL
+    34623498U,	// RCL32ri
+    13717514U,	// RCL64m1
+    14766090U,	// RCL64mCL
+    1134602U,	// RCL64mi
+    13651978U,	// RCL64r1
+    14700554U,	// RCL64rCL
+    34623498U,	// RCL64ri
+    13733898U,	// RCL8m1
+    14782474U,	// RCL8mCL
+    1150986U,	// RCL8mi
+    13651978U,	// RCL8r1
+    14700554U,	// RCL8rCL
+    34623498U,	// RCL8ri
+    537942389U,	// RCPPSm
+    537942389U,	// RCPPSm_Int
+    336615797U,	// RCPPSr
+    336615797U,	// RCPPSr_Int
+    605051812U,	// RCPSSm
+    269507492U,	// RCPSSm_Int
+    336616356U,	// RCPSSr
+    34626468U,	// RCPSSr_Int
+    13669835U,	// RCR16m1
+    14718411U,	// RCR16mCL
+    1086923U,	// RCR16mi
+    13653451U,	// RCR16r1
+    14702027U,	// RCR16rCL
+    34624971U,	// RCR16ri
+    13702603U,	// RCR32m1
+    14751179U,	// RCR32mCL
+    1119691U,	// RCR32mi
+    13653451U,	// RCR32r1
+    14702027U,	// RCR32rCL
+    34624971U,	// RCR32ri
+    13718987U,	// RCR64m1
+    14767563U,	// RCR64mCL
+    1136075U,	// RCR64mi
+    13653451U,	// RCR64r1
+    14702027U,	// RCR64rCL
+    34624971U,	// RCR64ri
+    13735371U,	// RCR8m1
+    14783947U,	// RCR8mCL
+    1152459U,	// RCR8mi
+    13653451U,	// RCR8r1
+    14702027U,	// RCR8rCL
+    34624971U,	// RCR8ri
+    20038U,	// RDFSBASE
+    20038U,	// RDFSBASE64
+    20058U,	// RDGSBASE
+    20058U,	// RDGSBASE64
+    10802U,	// RDMSR
+    10188U,	// RDPMC
+    18068U,	// RDRAND16r
+    18068U,	// RDRAND32r
+    18068U,	// RDRAND64r
+    17895U,	// RDSEED16r
+    17895U,	// RDSEED32r
+    17895U,	// RDSEED64r
+    10201U,	// RDTSC
+    10640U,	// RDTSCP
+    9649U,	// RELEASE_ADD32mi
+    9649U,	// RELEASE_ADD64mi32
+    9649U,	// RELEASE_ADD8mi
+    9649U,	// RELEASE_AND32mi
+    9649U,	// RELEASE_AND64mi32
+    9649U,	// RELEASE_AND8mi
+    9672U,	// RELEASE_DEC16m
+    9672U,	// RELEASE_DEC32m
+    9672U,	// RELEASE_DEC64m
+    9672U,	// RELEASE_DEC8m
+    9672U,	// RELEASE_INC16m
+    9672U,	// RELEASE_INC32m
+    9672U,	// RELEASE_INC64m
+    9672U,	// RELEASE_INC8m
+    9275U,	// RELEASE_MOV16mi
+    9715U,	// RELEASE_MOV16mr
+    9275U,	// RELEASE_MOV32mi
+    9715U,	// RELEASE_MOV32mr
+    9275U,	// RELEASE_MOV64mi32
+    9715U,	// RELEASE_MOV64mr
+    9275U,	// RELEASE_MOV8mi
+    9715U,	// RELEASE_MOV8mr
+    9649U,	// RELEASE_OR32mi
+    9649U,	// RELEASE_OR64mi32
+    9649U,	// RELEASE_OR8mi
+    9649U,	// RELEASE_XOR32mi
+    9649U,	// RELEASE_XOR64mi32
+    9649U,	// RELEASE_XOR8mi
+    10329U,	// REPNE_PREFIX
+    10132U,	// REP_MOVSB_32
+    10132U,	// REP_MOVSB_64
+    10249U,	// REP_MOVSD_32
+    10249U,	// REP_MOVSD_64
+    10758U,	// REP_MOVSQ_64
+    11139U,	// REP_MOVSW_32
+    11139U,	// REP_MOVSW_64
+    10647U,	// REP_PREFIX
+    10122U,	// REP_STOSB_32
+    10122U,	// REP_STOSB_64
+    10239U,	// REP_STOSD_32
+    10239U,	// REP_STOSD_64
+    10748U,	// REP_STOSQ_64
+    11129U,	// REP_STOSW_32
+    11129U,	// REP_STOSW_64
+    23608U,	// RETIL
+    23608U,	// RETIQ
+    23608U,	// RETIW
+    11023U,	// RETL
+    11023U,	// RETQ
+    11023U,	// RETW
+    9958U,	// REX64_PREFIX
+    13668401U,	// ROL16m1
+    14716977U,	// ROL16mCL
+    1085489U,	// ROL16mi
+    13652017U,	// ROL16r1
+    14700593U,	// ROL16rCL
+    34623537U,	// ROL16ri
+    13701169U,	// ROL32m1
+    14749745U,	// ROL32mCL
+    1118257U,	// ROL32mi
+    13652017U,	// ROL32r1
+    14700593U,	// ROL32rCL
+    34623537U,	// ROL32ri
+    13717553U,	// ROL64m1
+    14766129U,	// ROL64mCL
+    1134641U,	// ROL64mi
+    13652017U,	// ROL64r1
+    14700593U,	// ROL64rCL
+    34623537U,	// ROL64ri
+    13733937U,	// ROL8m1
+    14782513U,	// ROL8mCL
+    1151025U,	// ROL8mi
+    13652017U,	// ROL8r1
+    14700593U,	// ROL8rCL
+    34623537U,	// ROL8ri
+    13669868U,	// ROR16m1
+    14718444U,	// ROR16mCL
+    1086956U,	// ROR16mi
+    13653484U,	// ROR16r1
+    14702060U,	// ROR16rCL
+    34625004U,	// ROR16ri
+    13702636U,	// ROR32m1
+    14751212U,	// ROR32mCL
+    1119724U,	// ROR32mi
+    13653484U,	// ROR32r1
+    14702060U,	// ROR32rCL
+    34625004U,	// ROR32ri
+    13719020U,	// ROR64m1
+    14767596U,	// ROR64mCL
+    1136108U,	// ROR64mi
+    13653484U,	// ROR64r1
+    14702060U,	// ROR64rCL
+    34625004U,	// ROR64ri
+    13735404U,	// ROR8m1
+    14783980U,	// ROR8mCL
+    1152492U,	// ROR8mi
+    13653484U,	// ROR8r1
+    14702060U,	// ROR8rCL
+    34625004U,	// ROR8ri
+    2450546827U,	// RORX32mi
+    2484101259U,	// RORX32ri
+    2517655691U,	// RORX64mi
+    2484101259U,	// RORX64ri
+    2685421803U,	// ROUNDPDm
+    2484095211U,	// ROUNDPDr
+    2685425853U,	// ROUNDPSm
+    2484099261U,	// ROUNDPSr
+    2383432681U,	// ROUNDSDm
+    2182106089U,	// ROUNDSDr
+    2182106089U,	// ROUNDSDr_Int
+    2416991082U,	// ROUNDSSm
+    2182110058U,	// ROUNDSSr
+    2182110058U,	// ROUNDSSr_Int
+    10582U,	// RSM
+    537942498U,	// RSQRTPSm
+    537942498U,	// RSQRTPSm_Int
+    336615906U,	// RSQRTPSr
+    336615906U,	// RSQRTPSr_Int
+    605051837U,	// RSQRTSSm
+    269507517U,	// RSQRTSSm_Int
+    336616381U,	// RSQRTSSr
+    34626493U,	// RSQRTSSr_Int
+    10420U,	// SAHF
+    13668357U,	// SAL16m1
+    14716933U,	// SAL16mCL
+    1085445U,	// SAL16mi
+    13651973U,	// SAL16r1
+    14700549U,	// SAL16rCL
+    34623493U,	// SAL16ri
+    13701125U,	// SAL32m1
+    14749701U,	// SAL32mCL
+    1118213U,	// SAL32mi
+    13651973U,	// SAL32r1
+    14700549U,	// SAL32rCL
+    34623493U,	// SAL32ri
+    13717509U,	// SAL64m1
+    14766085U,	// SAL64mCL
+    1134597U,	// SAL64mi
+    13651973U,	// SAL64r1
+    14700549U,	// SAL64rCL
+    34623493U,	// SAL64ri
+    13733893U,	// SAL8m1
+    14782469U,	// SAL8mCL
+    1150981U,	// SAL8mi
+    13651973U,	// SAL8r1
+    14700549U,	// SAL8rCL
+    34623493U,	// SAL8ri
+    10175U,	// SALC
+    13669814U,	// SAR16m1
+    14718390U,	// SAR16mCL
+    1086902U,	// SAR16mi
+    13653430U,	// SAR16r1
+    14702006U,	// SAR16rCL
+    34624950U,	// SAR16ri
+    13702582U,	// SAR32m1
+    14751158U,	// SAR32mCL
+    1119670U,	// SAR32mi
+    13653430U,	// SAR32r1
+    14702006U,	// SAR32rCL
+    34624950U,	// SAR32ri
+    13718966U,	// SAR64m1
+    14767542U,	// SAR64mCL
+    1136054U,	// SAR64mi
+    13653430U,	// SAR64r1
+    14702006U,	// SAR64rCL
+    34624950U,	// SAR64ri
+    13735350U,	// SAR8m1
+    14783926U,	// SAR8mCL
+    1152438U,	// SAR8mi
+    13653430U,	// SAR8r1
+    14702006U,	// SAR8rCL
+    34624950U,	// SAR8ri
+    2450546815U,	// SARX32rm
+    2484101247U,	// SARX32rr
+    2517655679U,	// SARX64rm
+    2484101247U,	// SARX64rr
+    25057U,	// SBB16i16
+    1082011U,	// SBB16mi
+    1082011U,	// SBB16mi8
+    1082011U,	// SBB16mr
+    34652827U,	// SBB16ri
+    34652827U,	// SBB16ri8
+    68207259U,	// SBB16rm
+    34652827U,	// SBB16rr
+    34620059U,	// SBB16rr_REV
+    25191U,	// SBB32i32
+    1114779U,	// SBB32mi
+    1114779U,	// SBB32mi8
+    1114779U,	// SBB32mr
+    34652827U,	// SBB32ri
+    34652827U,	// SBB32ri8
+    101761691U,	// SBB32rm
+    34652827U,	// SBB32rr
+    34620059U,	// SBB32rr_REV
+    25339U,	// SBB64i32
+    1131163U,	// SBB64mi32
+    1131163U,	// SBB64mi8
+    1131163U,	// SBB64mr
+    34652827U,	// SBB64ri32
+    34652827U,	// SBB64ri8
+    135316123U,	// SBB64rm
+    34652827U,	// SBB64rr
+    34620059U,	// SBB64rr_REV
+    24933U,	// SBB8i8
+    1147547U,	// SBB8mi
+    1147547U,	// SBB8mi8
+    1147547U,	// SBB8mr
+    34652827U,	// SBB8ri
+    34652827U,	// SBB8ri8
+    168870555U,	// SBB8rm
+    34652827U,	// SBB8rr
+    34620059U,	// SBB8rr_REV
+    303470U,	// SCASB
+    320153U,	// SCASL
+    615234U,	// SCASQ
+    336465U,	// SCASW
+    10917U,	// SEG_ALLOCA_32
+    10917U,	// SEG_ALLOCA_64
+    10385U,	// SEH_EndPrologue
+    10371U,	// SEH_Epilogue
+    25600U,	// SEH_PushFrame
+    25645U,	// SEH_PushReg
+    336618527U,	// SEH_SaveReg
+    336618441U,	// SEH_SaveXMM
+    336618512U,	// SEH_SetFrame
+    25583U,	// SEH_StackAlloc
+    101819U,	// SETAEm
+    19899U,	// SETAEr
+    98904U,	// SETAm
+    16984U,	// SETAr
+    101839U,	// SETBEm
+    19919U,	// SETBEr
     0U,	// SETB_C16r
     0U,	// SETB_C32r
     0U,	// SETB_C64r
     0U,	// SETB_C8r
-    101969U,	// SETBm
-    20049U,	// SETBr
-    104100U,	// SETEm
-    22180U,	// SETEr
-    103986U,	// SETGEm
-    22066U,	// SETGEr
-    104186U,	// SETGm
-    22266U,	// SETGr
-    104010U,	// SETLEm
-    22090U,	// SETLEr
-    104540U,	// SETLm
-    22620U,	// SETLr
-    104038U,	// SETNEm
-    22118U,	// SETNEr
-    104663U,	// SETNOm
-    22743U,	// SETNOr
-    104775U,	// SETNPm
-    22855U,	// SETNPr
-    105709U,	// SETNSm
-    23789U,	// SETNSr
-    104678U,	// SETOm
-    22758U,	// SETOr
-    104822U,	// SETPm
-    22902U,	// SETPr
-    106887U,	// SETSm
-    24967U,	// SETSr
-    11421U,	// SFENCE
-    287134U,	// SGDT16m
-    287134U,	// SGDT32m
-    287134U,	// SGDT64m
-    403721070U,	// SHA1MSG1rm
-    34622318U,	// SHA1MSG1rr
-    403721153U,	// SHA1MSG2rm
-    34622401U,	// SHA1MSG2rr
-    403723955U,	// SHA1NEXTErm
-    34625203U,	// SHA1NEXTErr
-    2551204913U,	// SHA1RNDS4rmi
-    2182106161U,	// SHA1RNDS4rri
-    403721080U,	// SHA256MSG1rm
-    34622328U,	// SHA256MSG1rr
-    403721163U,	// SHA256MSG2rm
-    34622411U,	// SHA256MSG2rr
-    403721175U,	// SHA256RNDS2rm
-    34622423U,	// SHA256RNDS2rr
-    13670419U,	// SHL16m1
-    14718995U,	// SHL16mCL
-    1087507U,	// SHL16mi
-    13654035U,	// SHL16r1
-    14702611U,	// SHL16rCL
-    34625555U,	// SHL16ri
-    13703187U,	// SHL32m1
-    14751763U,	// SHL32mCL
-    1120275U,	// SHL32mi
-    13654035U,	// SHL32r1
-    14702611U,	// SHL32rCL
-    34625555U,	// SHL32ri
-    13719571U,	// SHL64m1
-    14768147U,	// SHL64mCL
-    1136659U,	// SHL64mi
-    13654035U,	// SHL64r1
-    14702611U,	// SHL64rCL
-    34625555U,	// SHL64ri
-    13735955U,	// SHL8m1
-    14784531U,	// SHL8mCL
-    1153043U,	// SHL8mi
-    13654035U,	// SHL8r1
-    14702611U,	// SHL8rCL
-    34625555U,	// SHL8ri
-    2148569095U,	// SHLD16mrCL
-    2148569095U,	// SHLD16mri8
-    2182107143U,	// SHLD16rrCL
-    2182107143U,	// SHLD16rri8
-    2148601863U,	// SHLD32mrCL
-    2148601863U,	// SHLD32mri8
-    2182107143U,	// SHLD32rrCL
-    2182107143U,	// SHLD32rri8
-    2148618247U,	// SHLD64mrCL
-    2148618247U,	// SHLD64mri8
-    2182107143U,	// SHLD64rrCL
-    2182107143U,	// SHLD64rri8
-    2450547984U,	// SHLX32rm
-    2484102416U,	// SHLX32rr
-    2517656848U,	// SHLX64rm
-    2484102416U,	// SHLX64rr
-    13671494U,	// SHR16m1
-    14720070U,	// SHR16mCL
-    1088582U,	// SHR16mi
-    13655110U,	// SHR16r1
-    14703686U,	// SHR16rCL
-    34626630U,	// SHR16ri
-    13704262U,	// SHR32m1
-    14752838U,	// SHR32mCL
-    1121350U,	// SHR32mi
-    13655110U,	// SHR32r1
-    14703686U,	// SHR32rCL
-    34626630U,	// SHR32ri
-    13720646U,	// SHR64m1
-    14769222U,	// SHR64mCL
-    1137734U,	// SHR64mi
-    13655110U,	// SHR64r1
-    14703686U,	// SHR64rCL
-    34626630U,	// SHR64ri
-    13737030U,	// SHR8m1
-    14785606U,	// SHR8mCL
-    1154118U,	// SHR8mi
-    13655110U,	// SHR8r1
-    14703686U,	// SHR8rCL
-    34626630U,	// SHR8ri
-    2148569922U,	// SHRD16mrCL
-    2148569922U,	// SHRD16mri8
-    2182107970U,	// SHRD16rrCL
-    2182107970U,	// SHRD16rri8
-    2148602690U,	// SHRD32mrCL
-    2148602690U,	// SHRD32mri8
-    2182107970U,	// SHRD32rrCL
-    2182107970U,	// SHRD32rri8
-    2148619074U,	// SHRD64mrCL
-    2148619074U,	// SHRD64mri8
-    2182107970U,	// SHRD64rrCL
-    2182107970U,	// SHRD64rri8
-    2450548033U,	// SHRX32rm
-    2484102465U,	// SHRX32rr
-    2517656897U,	// SHRX64rm
-    2484102465U,	// SHRX64rr
-    2349879869U,	// SHUFPDrmi
-    2182107709U,	// SHUFPDrri
-    2349883096U,	// SHUFPSrmi
-    2182110936U,	// SHUFPSrri
-    287146U,	// SIDT16m
-    287146U,	// SIDT32m
-    287146U,	// SIDT64m
-    11713U,	// SIN_F
+    99306U,	// SETBm
+    17386U,	// SETBr
+    101998U,	// SETEm
+    20078U,	// SETEr
+    101884U,	// SETGEm
+    19964U,	// SETGEr
+    102084U,	// SETGm
+    20164U,	// SETGr
+    101908U,	// SETLEm
+    19988U,	// SETLEr
+    102488U,	// SETLm
+    20568U,	// SETLr
+    101936U,	// SETNEm
+    20016U,	// SETNEr
+    102611U,	// SETNOm
+    20691U,	// SETNOr
+    102742U,	// SETNPm
+    20822U,	// SETNPr
+    104070U,	// SETNSm
+    22150U,	// SETNSr
+    102626U,	// SETOm
+    20706U,	// SETOr
+    102789U,	// SETPm
+    20869U,	// SETPr
+    105475U,	// SETSm
+    23555U,	// SETSr
+    10301U,	// SFENCE
+    285722U,	// SGDT16m
+    285722U,	// SGDT32m
+    285722U,	// SGDT64m
+    403718157U,	// SHA1MSG1rm
+    34619405U,	// SHA1MSG1rr
+    403718240U,	// SHA1MSG2rm
+    34619488U,	// SHA1MSG2rr
+    403721853U,	// SHA1NEXTErm
+    34623101U,	// SHA1NEXTErr
+    2551202059U,	// SHA1RNDS4rmi
+    2182103307U,	// SHA1RNDS4rri
+    403718167U,	// SHA256MSG1rm
+    34619415U,	// SHA256MSG1rr
+    403718250U,	// SHA256MSG2rm
+    34619498U,	// SHA256MSG2rr
+    403718262U,	// SHA256RNDS2rm
+    34619510U,	// SHA256RNDS2rr
+    13668367U,	// SHL16m1
+    14716943U,	// SHL16mCL
+    1085455U,	// SHL16mi
+    13651983U,	// SHL16r1
+    14700559U,	// SHL16rCL
+    34623503U,	// SHL16ri
+    13701135U,	// SHL32m1
+    14749711U,	// SHL32mCL
+    1118223U,	// SHL32mi
+    13651983U,	// SHL32r1
+    14700559U,	// SHL32rCL
+    34623503U,	// SHL32ri
+    13717519U,	// SHL64m1
+    14766095U,	// SHL64mCL
+    1134607U,	// SHL64mi
+    13651983U,	// SHL64r1
+    14700559U,	// SHL64rCL
+    34623503U,	// SHL64ri
+    13733903U,	// SHL8m1
+    14782479U,	// SHL8mCL
+    1150991U,	// SHL8mi
+    13651983U,	// SHL8r1
+    14700559U,	// SHL8rCL
+    34623503U,	// SHL8ri
+    1082917U,	// SHLD16mrCL
+    2148566565U,	// SHLD16mri8
+    34620965U,	// SHLD16rrCL
+    2182104613U,	// SHLD16rri8
+    1115685U,	// SHLD32mrCL
+    2148599333U,	// SHLD32mri8
+    34620965U,	// SHLD32rrCL
+    2182104613U,	// SHLD32rri8
+    1132069U,	// SHLD64mrCL
+    2148615717U,	// SHLD64mri8
+    34620965U,	// SHLD64rrCL
+    2182104613U,	// SHLD64rri8
+    2450546772U,	// SHLX32rm
+    2484101204U,	// SHLX32rr
+    2517655636U,	// SHLX64rm
+    2484101204U,	// SHLX64rr
+    13669847U,	// SHR16m1
+    14718423U,	// SHR16mCL
+    1086935U,	// SHR16mi
+    13653463U,	// SHR16r1
+    14702039U,	// SHR16rCL
+    34624983U,	// SHR16ri
+    13702615U,	// SHR32m1
+    14751191U,	// SHR32mCL
+    1119703U,	// SHR32mi
+    13653463U,	// SHR32r1
+    14702039U,	// SHR32rCL
+    34624983U,	// SHR32ri
+    13718999U,	// SHR64m1
+    14767575U,	// SHR64mCL
+    1136087U,	// SHR64mi
+    13653463U,	// SHR64r1
+    14702039U,	// SHR64rCL
+    34624983U,	// SHR64ri
+    13735383U,	// SHR8m1
+    14783959U,	// SHR8mCL
+    1152471U,	// SHR8mi
+    13653463U,	// SHR8r1
+    14702039U,	// SHR8rCL
+    34624983U,	// SHR8ri
+    1084016U,	// SHRD16mrCL
+    2148567664U,	// SHRD16mri8
+    34622064U,	// SHRD16rrCL
+    2182105712U,	// SHRD16rri8
+    1116784U,	// SHRD32mrCL
+    2148600432U,	// SHRD32mri8
+    34622064U,	// SHRD32rrCL
+    2182105712U,	// SHRD32rri8
+    1133168U,	// SHRD64mrCL
+    2148616816U,	// SHRD64mri8
+    34622064U,	// SHRD64rrCL
+    2182105712U,	// SHRD64rri8
+    2450546821U,	// SHRX32rm
+    2484101253U,	// SHRX32rr
+    2517655685U,	// SHRX64rm
+    2484101253U,	// SHRX64rr
+    2349877531U,	// SHUFPDrmi
+    2182105371U,	// SHUFPDrri
+    2349881581U,	// SHUFPSrmi
+    2182109421U,	// SHUFPSrri
+    285734U,	// SIDT16m
+    285734U,	// SIDT32m
+    285734U,	// SIDT64m
+    10599U,	// SIN_F
     0U,	// SIN_Fp32
     0U,	// SIN_Fp64
     0U,	// SIN_Fp80
-    12287U,	// SKINIT
-    41398U,	// SLDT16m
-    25014U,	// SLDT16r
-    25014U,	// SLDT32r
-    41398U,	// SLDT64m
-    25014U,	// SLDT64r
-    42056U,	// SMSW16m
-    25672U,	// SMSW16r
-    25672U,	// SMSW32r
-    25672U,	// SMSW64r
-    537940706U,	// SQRTPDm
-    336614114U,	// SQRTPDr
-    537943977U,	// SQRTPSm
-    336617385U,	// SQRTPSr
-    571495599U,	// SQRTSDm
-    571495599U,	// SQRTSDm_Int
-    336614575U,	// SQRTSDr
-    336614575U,	// SQRTSDr_Int
-    605053250U,	// SQRTSSm
-    605053250U,	// SQRTSSm_Int
-    336617794U,	// SQRTSSr
-    336617794U,	// SQRTSSr_Int
-    12154U,	// SQRT_F
+    11208U,	// SKINIT
+    39986U,	// SLDT16m
+    23602U,	// SLDT16r
+    23602U,	// SLDT32r
+    39986U,	// SLDT64m
+    23602U,	// SLDT64r
+    40811U,	// SMSW16m
+    24427U,	// SMSW16r
+    24427U,	// SMSW32r
+    24427U,	// SMSW64r
+    537938405U,	// SQRTPDm
+    336611813U,	// SQRTPDr
+    537942499U,	// SQRTPSm
+    336615907U,	// SQRTPSr
+    571493457U,	// SQRTSDm
+    235949137U,	// SQRTSDm_Int
+    336612433U,	// SQRTSDr
+    34622545U,	// SQRTSDr_Int
+    605051838U,	// SQRTSSm
+    269507518U,	// SQRTSSm_Int
+    336616382U,	// SQRTSSr
+    34626494U,	// SQRTSSr_Int
+    11075U,	// SQRT_F
     0U,	// SQRT_Fp32
     0U,	// SQRT_Fp64
     0U,	// SQRT_Fp80
-    11273U,	// STAC
-    11327U,	// STC
-    11385U,	// STD
-    11575U,	// STGI
-    11590U,	// STI
-    72846U,	// STMXCSR
-    12881430U,	// STOSB
-    10802326U,	// STOSL
-    12147567U,	// STOSQ
-    9774167U,	// STOSW
-    23719U,	// STR16r
-    23719U,	// STR32r
-    23719U,	// STR64r
-    40103U,	// STRm
-    123439U,	// ST_F32m
-    139823U,	// ST_F64m
-    26100U,	// ST_FCOMPST0r
-    26100U,	// ST_FCOMPST0r_alt
-    26087U,	// ST_FCOMST0r
-    121219U,	// ST_FP32m
-    137603U,	// ST_FP64m
-    383363U,	// ST_FP80m
-    2119188U,	// ST_FPNCEST0r
-    2120067U,	// ST_FPST0r
-    2120067U,	// ST_FPST0r_alt
-    22915U,	// ST_FPrr
-    26074U,	// ST_FXCHST0r
-    26074U,	// ST_FXCHST0r_alt
+    10153U,	// STAC
+    10207U,	// STC
+    10265U,	// STD
+    10455U,	// STGI
+    10470U,	// STI
+    71199U,	// STMXCSR
+    12878767U,	// STOSB
+    10800171U,	// STOSL
+    12145831U,	// STOSQ
+    9772922U,	// STOSW
+    22072U,	// STR16r
+    22072U,	// STR32r
+    22072U,	// STR64r
+    38456U,	// STRm
+    122039U,	// ST_F32m
+    138423U,	// ST_F64m
+    24888U,	// ST_FCOMPST0r
+    24888U,	// ST_FCOMPST0r_alt
+    24875U,	// ST_FCOMST0r
+    119186U,	// ST_FP32m
+    135570U,	// ST_FP64m
+    381330U,	// ST_FP80m
+    2117086U,	// ST_FPNCEST0r
+    2118034U,	// ST_FPST0r
+    2118034U,	// ST_FPST0r_alt
+    20882U,	// ST_FPrr
+    24862U,	// ST_FXCHST0r
+    24862U,	// ST_FXCHST0r_alt
     0U,	// ST_Fp32m
     0U,	// ST_Fp64m
     0U,	// ST_Fp64m32
@@ -2783,52 +2846,53 @@ static void printInstruction(MCInst *MI,
     0U,	// ST_FpP80m
     0U,	// ST_FpP80m32
     0U,	// ST_FpP80m64
-    25135U,	// ST_Frr
-    26278U,	// SUB16i16
-    1085067U,	// SUB16mi
-    1085067U,	// SUB16mi8
-    1085067U,	// SUB16mr
-    34655883U,	// SUB16ri
-    34655883U,	// SUB16ri8
-    68210315U,	// SUB16rm
-    34655883U,	// SUB16rr
-    34623115U,	// SUB16rr_REV
-    26413U,	// SUB32i32
-    1117835U,	// SUB32mi
-    1117835U,	// SUB32mi8
-    1117835U,	// SUB32mr
-    34655883U,	// SUB32ri
-    34655883U,	// SUB32ri8
-    101764747U,	// SUB32rm
-    34655883U,	// SUB32rr
-    34623115U,	// SUB32rr_REV
-    26561U,	// SUB64i32
-    1134219U,	// SUB64mi32
-    1134219U,	// SUB64mi8
-    1134219U,	// SUB64mr
-    34655883U,	// SUB64ri32
-    34655883U,	// SUB64ri8
-    135319179U,	// SUB64rm
-    34655883U,	// SUB64rr
-    34623115U,	// SUB64rr_REV
-    26176U,	// SUB8i8
-    1150603U,	// SUB8mi
-    1150603U,	// SUB8mr
-    34655883U,	// SUB8ri
-    34655883U,	// SUB8ri8
-    168873611U,	// SUB8rm
-    34655883U,	// SUB8rr
-    34623115U,	// SUB8rr_REV
-    202396073U,	// SUBPDrm
-    34623913U,	// SUBPDrr
-    202399300U,	// SUBPSrm
-    34627140U,	// SUBPSrr
-    121899U,	// SUBR_F32m
-    138283U,	// SUBR_F64m
-    39986U,	// SUBR_FI16m
-    72754U,	// SUBR_FI32m
-    22886U,	// SUBR_FPrST0
-    23595U,	// SUBR_FST0r
+    23735U,	// ST_Frr
+    25066U,	// SUB16i16
+    1082430U,	// SUB16mi
+    1082430U,	// SUB16mi8
+    1082430U,	// SUB16mr
+    34653246U,	// SUB16ri
+    34653246U,	// SUB16ri8
+    68207678U,	// SUB16rm
+    34653246U,	// SUB16rr
+    34620478U,	// SUB16rr_REV
+    25201U,	// SUB32i32
+    1115198U,	// SUB32mi
+    1115198U,	// SUB32mi8
+    1115198U,	// SUB32mr
+    34653246U,	// SUB32ri
+    34653246U,	// SUB32ri8
+    101762110U,	// SUB32rm
+    34653246U,	// SUB32rr
+    34620478U,	// SUB32rr_REV
+    25349U,	// SUB64i32
+    1131582U,	// SUB64mi32
+    1131582U,	// SUB64mi8
+    1131582U,	// SUB64mr
+    34653246U,	// SUB64ri32
+    34653246U,	// SUB64ri8
+    135316542U,	// SUB64rm
+    34653246U,	// SUB64rr
+    34620478U,	// SUB64rr_REV
+    24964U,	// SUB8i8
+    1147966U,	// SUB8mi
+    1147966U,	// SUB8mi8
+    1147966U,	// SUB8mr
+    34653246U,	// SUB8ri
+    34653246U,	// SUB8ri8
+    168870974U,	// SUB8rm
+    34653246U,	// SUB8rr
+    34620478U,	// SUB8rr_REV
+    202393698U,	// SUBPDrm
+    34621538U,	// SUBPDrr
+    202397748U,	// SUBPSrm
+    34625588U,	// SUBPSrr
+    120252U,	// SUBR_F32m
+    136636U,	// SUBR_F64m
+    38339U,	// SUBR_FI16m
+    71107U,	// SUBR_FI32m
+    20853U,	// SUBR_FPrST0
+    21948U,	// SUBR_FST0r
     0U,	// SUBR_Fp32m
     0U,	// SUBR_Fp64m
     0U,	// SUBR_Fp64m32
@@ -2840,21 +2904,21 @@ static void printInstruction(MCInst *MI,
     0U,	// SUBR_FpI32m32
     0U,	// SUBR_FpI32m64
     0U,	// SUBR_FpI32m80
-    2120747U,	// SUBR_FrST0
-    235951145U,	// SUBSDrm
-    235951145U,	// SUBSDrm_Int
-    34624553U,	// SUBSDrr
-    34624553U,	// SUBSDrr_Int
-    269508803U,	// SUBSSrm
-    269508803U,	// SUBSSrm_Int
-    34627779U,	// SUBSSrr
-    34627779U,	// SUBSSrr_Int
-    118410U,	// SUB_F32m
-    134794U,	// SUB_F64m
-    36496U,	// SUB_FI16m
-    69264U,	// SUB_FI32m
-    22778U,	// SUB_FPrST0
-    20106U,	// SUB_FST0r
+    2119100U,	// SUBR_FrST0
+    235948977U,	// SUBSDrm
+    235948977U,	// SUBSDrm_Int
+    34622385U,	// SUBSDrr
+    34622385U,	// SUBSDrr_Int
+    269507378U,	// SUBSSrm
+    269507378U,	// SUBSSrm_Int
+    34626354U,	// SUBSSrr
+    34626354U,	// SUBSSrr_Int
+    115773U,	// SUB_F32m
+    132157U,	// SUB_F64m
+    33859U,	// SUB_FI16m
+    66627U,	// SUB_FI32m
+    20726U,	// SUB_FPrST0
+    17469U,	// SUB_FST0r
     0U,	// SUB_Fp32
     0U,	// SUB_Fp32m
     0U,	// SUB_Fp64
@@ -2869,3418 +2933,5940 @@ static void printInstruction(MCInst *MI,
     0U,	// SUB_FpI32m32
     0U,	// SUB_FpI32m64
     0U,	// SUB_FpI32m80
-    2117258U,	// SUB_FrST0
-    11992U,	// SWAPGS
-    11653U,	// SYSCALL
-    11872U,	// SYSENTER
-    12134U,	// SYSEXIT
-    12134U,	// SYSEXIT64
-    12114U,	// SYSRET
-    12114U,	// SYSRET64
-    303058684U,	// T1MSKC32rm
-    336613116U,	// T1MSKC32rr
-    370167548U,	// T1MSKC64rm
-    336613116U,	// T1MSKC64rr
-    15882534U,	// TAILJMPd
-    15882534U,	// TAILJMPd64
-    15800614U,	// TAILJMPm
-    15816998U,	// TAILJMPm64
+    2114621U,	// SUB_FrST0
+    10905U,	// SWAPGS
+    10533U,	// SYSCALL
+    10785U,	// SYSENTER
+    11055U,	// SYSEXIT
+    11055U,	// SYSEXIT64
+    11027U,	// SYSRET
+    11027U,	// SYSRET64
+    303056068U,	// T1MSKC32rm
+    336610500U,	// T1MSKC32rr
+    370164932U,	// T1MSKC64rm
+    336610500U,	// T1MSKC64rr
+    151855U,	// TAILJMPd
+    151855U,	// TAILJMPd64
+    151849U,	// TAILJMPd64_REX
+    69935U,	// TAILJMPm
+    86319U,	// TAILJMPm64
+    86313U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
-    15751462U,	// TAILJMPr64
+    20783U,	// TAILJMPr64
+    20777U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
     0U,	// TCRETURNmi64
     0U,	// TCRETURNri
     0U,	// TCRETURNri64
-    26362U,	// TEST16i16
-    1090089U,	// TEST16mi
-    1090089U,	// TEST16mi_alt
-    336618025U,	// TEST16ri
-    336618025U,	// TEST16ri_alt
-    1090089U,	// TEST16rm
-    336618025U,	// TEST16rr
-    26530U,	// TEST32i32
-    1122857U,	// TEST32mi
-    1122857U,	// TEST32mi_alt
-    336618025U,	// TEST32ri
-    336618025U,	// TEST32ri_alt
-    1122857U,	// TEST32rm
-    336618025U,	// TEST32rr
-    26669U,	// TEST64i32
-    1139241U,	// TEST64mi32
-    1139241U,	// TEST64mi32_alt
-    336618025U,	// TEST64ri32
-    336618025U,	// TEST64ri32_alt
-    1139241U,	// TEST64rm
-    336618025U,	// TEST64rr
-    26250U,	// TEST8i8
-    1155625U,	// TEST8mi
-    1155625U,	// TEST8mi_alt
-    336618025U,	// TEST8ri
+    25150U,	// TEST16i16
+    1088689U,	// TEST16mi
+    1088689U,	// TEST16mi_alt
+    336616625U,	// TEST16ri
+    336616625U,	// TEST16ri_alt
+    629937U,	// TEST16rm
+    336616625U,	// TEST16rr
+    25318U,	// TEST32i32
+    1121457U,	// TEST32mi
+    1121457U,	// TEST32mi_alt
+    336616625U,	// TEST32ri
+    336616625U,	// TEST32ri_alt
+    874110129U,	// TEST32rm
+    336616625U,	// TEST32rr
+    25457U,	// TEST64i32
+    1137841U,	// TEST64mi32
+    1137841U,	// TEST64mi32_alt
+    336616625U,	// TEST64ri32
+    336616625U,	// TEST64ri32_alt
+    874126513U,	// TEST64rm
+    336616625U,	// TEST64rr
+    25038U,	// TEST8i8
+    1154225U,	// TEST8mi
+    1154225U,	// TEST8mi_alt
+    336616625U,	// TEST8ri
     0U,	// TEST8ri_NOREX
-    336618025U,	// TEST8ri_alt
-    1155625U,	// TEST8rm
-    336618025U,	// TEST8rr
-    10930U,	// TLSCall_32
-    11034U,	// TLSCall_64
-    10943U,	// TLS_addr32
-    11047U,	// TLS_addr64
-    10956U,	// TLS_base_addr32
-    11060U,	// TLS_base_addr64
-    10974U,	// TRAP
-    12166U,	// TST_F
+    336616625U,	// TEST8ri_alt
+    679089U,	// TEST8rm
+    336616625U,	// TEST8rr
+    9810U,	// TLSCall_32
+    9914U,	// TLSCall_64
+    9823U,	// TLS_addr32
+    9927U,	// TLS_addr64
+    9836U,	// TLS_base_addr32
+    9940U,	// TLS_base_addr64
+    9854U,	// TRAP
+    11087U,	// TST_F
     0U,	// TST_Fp32
     0U,	// TST_Fp64
     0U,	// TST_Fp80
-    470835673U,	// TZCNT16rm
-    336617945U,	// TZCNT16rr
-    303063513U,	// TZCNT32rm
-    336617945U,	// TZCNT32rr
-    370172377U,	// TZCNT64rm
-    336617945U,	// TZCNT64rr
-    303060994U,	// TZMSK32rm
-    336615426U,	// TZMSK32rr
-    370169858U,	// TZMSK64rm
-    336615426U,	// TZMSK64rr
-    571495531U,	// UCOMISDrm
-    336614507U,	// UCOMISDrr
-    605053189U,	// UCOMISSrm
-    336617733U,	// UCOMISSrr
-    22421U,	// UCOM_FIPr
-    22363U,	// UCOM_FIr
-    11788U,	// UCOM_FPPr
-    22842U,	// UCOM_FPr
+    470834261U,	// TZCNT16rm
+    336616533U,	// TZCNT16rr
+    303062101U,	// TZCNT32rm
+    336616533U,	// TZCNT32rr
+    370170965U,	// TZCNT64rm
+    336616533U,	// TZCNT64rr
+    303058942U,	// TZMSK32rm
+    336613374U,	// TZMSK32rr
+    370167806U,	// TZMSK64rm
+    336613374U,	// TZMSK64rr
+    571493376U,	// UCOMISDrm
+    336612352U,	// UCOMISDrr
+    605051777U,	// UCOMISSrm
+    336616321U,	// UCOMISSrr
+    20319U,	// UCOM_FIPr
+    20261U,	// UCOM_FIr
+    10701U,	// UCOM_FPPr
+    20809U,	// UCOM_FPr
     0U,	// UCOM_FpIr32
     0U,	// UCOM_FpIr64
     0U,	// UCOM_FpIr80
     0U,	// UCOM_Fpr32
     0U,	// UCOM_Fpr64
     0U,	// UCOM_Fpr80
-    22665U,	// UCOM_Fr
-    11207U,	// UD2B
-    202396230U,	// UNPCKHPDrm
-    34624070U,	// UNPCKHPDrr
-    202399457U,	// UNPCKHPSrm
-    34627297U,	// UNPCKHPSrr
-    202396272U,	// UNPCKLPDrm
-    34624112U,	// UNPCKLPDrr
-    202399519U,	// UNPCKLPSrm
-    34627359U,	// UNPCKLPSrr
-    2651875417U,	// VAARG_64
-    2484097548U,	// VADDPDYrm
-    2484097548U,	// VADDPDYrr
-    2484093636U,	// VADDPDZrm
-    2484093636U,	// VADDPDZrmb
-    352338628U,	// VADDPDZrmbk
-    2499822276U,	// VADDPDZrmbkz
-    352342540U,	// VADDPDZrmk
-    2499826188U,	// VADDPDZrmkz
-    2484093636U,	// VADDPDZrr
-    352338628U,	// VADDPDZrrk
-    2499822276U,	// VADDPDZrrkz
-    2484097548U,	// VADDPDrm
-    2484097548U,	// VADDPDrr
-    2484100775U,	// VADDPSYrm
-    2484100775U,	// VADDPSYrr
-    2484095340U,	// VADDPSZrm
-    2484095340U,	// VADDPSZrmb
-    352340332U,	// VADDPSZrmbk
-    2499823980U,	// VADDPSZrmbkz
-    352345767U,	// VADDPSZrmk
-    2499829415U,	// VADDPSZrmkz
-    2484095340U,	// VADDPSZrr
-    352340332U,	// VADDPSZrrk
-    2499823980U,	// VADDPSZrrkz
-    2484100775U,	// VADDPSrm
-    2484100775U,	// VADDPSrr
-    2484098136U,	// VADDSDZrm
-    2484098136U,	// VADDSDZrr
-    2484098136U,	// VADDSDrm
-    2484098136U,	// VADDSDrm_Int
-    2484098136U,	// VADDSDrr
-    2484098136U,	// VADDSDrr_Int
-    2484101362U,	// VADDSSZrm
-    2484101362U,	// VADDSSZrr
-    2484101362U,	// VADDSSrm
-    2484101362U,	// VADDSSrm_Int
-    2484101362U,	// VADDSSrr
-    2484101362U,	// VADDSSrr_Int
-    2484097456U,	// VADDSUBPDYrm
-    2484097456U,	// VADDSUBPDYrr
-    2484097456U,	// VADDSUBPDrm
-    2484097456U,	// VADDSUBPDrr
-    2484100683U,	// VADDSUBPSYrm
-    2484100683U,	// VADDSUBPSYrr
-    2484100683U,	// VADDSUBPSrm
-    2484100683U,	// VADDSUBPSrr
-    2484101645U,	// VAESDECLASTrm
-    2484101645U,	// VAESDECLASTrr
-    2484096741U,	// VAESDECrm
-    2484096741U,	// VAESDECrr
-    2484101658U,	// VAESENCLASTrm
-    2484101658U,	// VAESENCLASTrr
-    2484096781U,	// VAESENCrm
-    2484096781U,	// VAESENCrr
-    437276420U,	// VAESIMCrm
-    336613124U,	// VAESIMCrr
-    2584764986U,	// VAESKEYGENASSIST128rm
-    2484101690U,	// VAESKEYGENASSIST128rr
-    2484093324U,	// VALIGNDrmi
-    2484093324U,	// VALIGNDrri
-    50348428U,	// VALIGNDrrik
-    2499821964U,	// VALIGNDrrikz
-    2484094801U,	// VALIGNQrmi
-    2484094801U,	// VALIGNQrri
-    50349905U,	// VALIGNQrrik
-    2499823441U,	// VALIGNQrrikz
-    2484097692U,	// VANDNPDYrm
-    2484097692U,	// VANDNPDYrr
-    2484097692U,	// VANDNPDrm
-    2484097692U,	// VANDNPDrr
-    2484100931U,	// VANDNPSYrm
-    2484100931U,	// VANDNPSYrr
-    2484100931U,	// VANDNPSrm
-    2484100931U,	// VANDNPSrr
-    2484097556U,	// VANDPDYrm
-    2484097556U,	// VANDPDYrr
-    2484097556U,	// VANDPDrm
-    2484097556U,	// VANDPDrr
-    2484100783U,	// VANDPSYrm
-    2484100783U,	// VANDPSYrr
-    2484100783U,	// VANDPSrm
-    2484100783U,	// VANDPSrr
-    2484103305U,	// VASTART_SAVE_XMM_REGS
-    352338709U,	// VBLENDMPDZrm
-    352338709U,	// VBLENDMPDZrr
-    352340413U,	// VBLENDMPSZrm
-    352340413U,	// VBLENDMPSZrr
-    2484097564U,	// VBLENDPDYrmi
-    2484097564U,	// VBLENDPDYrri
-    2484097564U,	// VBLENDPDrmi
-    2484097564U,	// VBLENDPDrri
-    2484100791U,	// VBLENDPSYrmi
-    2484100791U,	// VBLENDPSYrri
-    2484100791U,	// VBLENDPSrmi
-    2484100791U,	// VBLENDPSrri
-    2484097788U,	// VBLENDVPDYrm
-    2484097788U,	// VBLENDVPDYrr
-    2484097788U,	// VBLENDVPDrm
-    2484097788U,	// VBLENDVPDrr
-    2484101068U,	// VBLENDVPSYrm
-    2484101068U,	// VBLENDVPSYrr
-    2484101068U,	// VBLENDVPSrm
-    2484101068U,	// VBLENDVPSrr
-    537939170U,	// VBROADCASTF128
-    437275929U,	// VBROADCASTI128
-    2499821569U,	// VBROADCASTI32X4krm
-    437272577U,	// VBROADCASTI32X4rm
-    2499821587U,	// VBROADCASTI64X4krm
-    839925779U,	// VBROADCASTI64X4rm
-    571495607U,	// VBROADCASTSDYrm
-    336614583U,	// VBROADCASTSDYrr
-    571491443U,	// VBROADCASTSDZrm
-    336610419U,	// VBROADCASTSDZrr
-    605053267U,	// VBROADCASTSSYrm
-    336617811U,	// VBROADCASTSSYrr
-    605047459U,	// VBROADCASTSSZrm
-    336612003U,	// VBROADCASTSSZrr
-    605053267U,	// VBROADCASTSSrm
-    336617811U,	// VBROADCASTSSrr
-    2486529531U,	// VCMPPDYrmi
-    2484097716U,	// VCMPPDYrmi_alt
-    2486545915U,	// VCMPPDYrri
-    2484097716U,	// VCMPPDYrri_alt
-    890596859U,	// VCMPPDZrmi
-    2484093748U,	// VCMPPDZrmi_alt
-    51752443U,	// VCMPPDZrri
-    2484093748U,	// VCMPPDZrri_alt
-    51752443U,	// VCMPPDZrrib
-    2486529531U,	// VCMPPDrmi
-    2484097716U,	// VCMPPDrmi_alt
-    2486545915U,	// VCMPPDrri
-    2484097716U,	// VCMPPDrri_alt
-    2487578107U,	// VCMPPSYrmi
-    2484100963U,	// VCMPPSYrmi_alt
-    2487594491U,	// VCMPPSYrri
-    2484100963U,	// VCMPPSYrri_alt
-    891645435U,	// VCMPPSZrmi
-    2484095452U,	// VCMPPSZrmi_alt
-    52801019U,	// VCMPPSZrri
-    2484095452U,	// VCMPPSZrri_alt
-    52801019U,	// VCMPPSZrrib
-    2487578107U,	// VCMPPSrmi
-    2484100963U,	// VCMPPSrmi_alt
-    2487594491U,	// VCMPPSrri
-    2484100963U,	// VCMPPSrri_alt
-    2488626683U,	// VCMPSDZrm
-    2484098205U,	// VCMPSDZrmi_alt
-    2488643067U,	// VCMPSDZrr
-    2484098205U,	// VCMPSDZrri_alt
-    2488626683U,	// VCMPSDrm
-    2484098205U,	// VCMPSDrm_alt
-    2488643067U,	// VCMPSDrr
-    2484098205U,	// VCMPSDrr_alt
-    2489675259U,	// VCMPSSZrm
-    2484101423U,	// VCMPSSZrmi_alt
-    2489691643U,	// VCMPSSZrr
-    2484101423U,	// VCMPSSZrri_alt
-    2489675259U,	// VCMPSSrm
-    2484101423U,	// VCMPSSrm_alt
-    2489691643U,	// VCMPSSrr
-    2484101423U,	// VCMPSSrr_alt
-    537941108U,	// VCOMISDZrm
-    336614516U,	// VCOMISDZrr
-    537941108U,	// VCOMISDrm
-    336614516U,	// VCOMISDrr
-    537944334U,	// VCOMISSZrm
-    336617742U,	// VCOMISSZrr
-    537944334U,	// VCOMISSrm
-    336617742U,	// VCOMISSrr
-    437276966U,	// VCVTDQ2PDYrm
-    336613670U,	// VCVTDQ2PDYrr
-    839926270U,	// VCVTDQ2PDZrm
-    336609790U,	// VCVTDQ2PDZrr
-    370168102U,	// VCVTDQ2PDrm
-    336613670U,	// VCVTDQ2PDrr
-    839933396U,	// VCVTDQ2PSYrm
-    336616916U,	// VCVTDQ2PSYrr
-    907036850U,	// VCVTDQ2PSZrm
-    336611506U,	// VCVTDQ2PSZrr
-    2484095154U,	// VCVTDQ2PSZrrb
-    437280212U,	// VCVTDQ2PSrm
-    336616916U,	// VCVTDQ2PSrr
-    537945391U,	// VCVTPD2DQXrm
-    940595750U,	// VCVTPD2DQYrm
-    336615974U,	// VCVTPD2DQYrr
-    974145037U,	// VCVTPD2DQZrm
-    336610829U,	// VCVTPD2DQZrr
-    2484094477U,	// VCVTPD2DQZrrb
-    336615974U,	// VCVTPD2DQrr
-    537945421U,	// VCVTPD2PSXrm
-    940596648U,	// VCVTPD2PSYrm
-    336616872U,	// VCVTPD2PSYrr
-    974145690U,	// VCVTPD2PSZrm
-    336611482U,	// VCVTPD2PSZrr
-    2484095130U,	// VCVTPD2PSZrrb
-    336616872U,	// VCVTPD2PSrr
-    974145205U,	// VCVTPD2UDQZrm
-    336610997U,	// VCVTPD2UDQZrr
-    2484094645U,	// VCVTPD2UDQZrrb
-    537943475U,	// VCVTPH2PSYrm
-    336616883U,	// VCVTPH2PSYrr
-    940596659U,	// VCVTPH2PSZrm
-    336616883U,	// VCVTPH2PSZrr
-    571497907U,	// VCVTPH2PSrm
-    336616883U,	// VCVTPH2PSrr
-    940595782U,	// VCVTPS2DQYrm
-    336616006U,	// VCVTPS2DQYrr
-    974145062U,	// VCVTPS2DQZrm
-    336610854U,	// VCVTPS2DQZrr
-    2484094502U,	// VCVTPS2DQZrrb
-    537942598U,	// VCVTPS2DQrm
-    336616006U,	// VCVTPS2DQrr
-    537940273U,	// VCVTPS2PDYrm
-    336613681U,	// VCVTPS2PDYrr
-    940589591U,	// VCVTPS2PDZrm
-    336609815U,	// VCVTPS2PDZrr
-    571494705U,	// VCVTPS2PDrm
-    336613681U,	// VCVTPS2PDrr
-    2149127959U,	// VCVTPS2PHYmr
-    2484098839U,	// VCVTPS2PHYrr
-    2149156119U,	// VCVTPS2PHZmr
-    2484094231U,	// VCVTPS2PHZrr
-    2148669207U,	// VCVTPS2PHmr
-    2484098839U,	// VCVTPS2PHrr
-    974145232U,	// VCVTPS2UDQZrm
-    336611024U,	// VCVTPS2UDQZrr
-    2484094672U,	// VCVTPS2UDQZrrb
-    571491632U,	// VCVTSD2SI64Zrm
-    336610608U,	// VCVTSD2SI64Zrr
-    571496386U,	// VCVTSD2SI64rm
-    336615362U,	// VCVTSD2SI64rr
-    571491632U,	// VCVTSD2SIZrm
-    336610608U,	// VCVTSD2SIZrr
-    571496386U,	// VCVTSD2SIrm
-    336615362U,	// VCVTSD2SIrr
-    2484101224U,	// VCVTSD2SSZrm
-    2484101224U,	// VCVTSD2SSZrr
-    2484101224U,	// VCVTSD2SSrm
-    2484101224U,	// VCVTSD2SSrr
-    571491683U,	// VCVTSD2USI64Zrm
-    336610659U,	// VCVTSD2USI64Zrr
-    571491683U,	// VCVTSD2USIZrm
-    336610659U,	// VCVTSD2USIZrr
-    2484097990U,	// VCVTSI2SD64rm
-    2484097990U,	// VCVTSI2SD64rr
-    2484093903U,	// VCVTSI2SDZrm
-    2484093903U,	// VCVTSI2SDZrr
-    2484097990U,	// VCVTSI2SDrm
-    2484097990U,	// VCVTSI2SDrr
-    2484101235U,	// VCVTSI2SS64rm
-    2484101235U,	// VCVTSI2SS64rr
-    2484095506U,	// VCVTSI2SSZrm
-    2484095506U,	// VCVTSI2SSZrr
-    2484101235U,	// VCVTSI2SSrm
-    2484101235U,	// VCVTSI2SSrr
-    2484093903U,	// VCVTSI642SDZrm
-    2484093903U,	// VCVTSI642SDZrr
-    2484095506U,	// VCVTSI642SSZrm
-    2484095506U,	// VCVTSI642SSZrr
-    2484098013U,	// VCVTSS2SDZrm
-    2484098013U,	// VCVTSS2SDZrr
-    2484098013U,	// VCVTSS2SDrm
-    2484098013U,	// VCVTSS2SDrr
-    605046089U,	// VCVTSS2SI64Zrm
-    336610633U,	// VCVTSS2SI64Zrr
-    605050841U,	// VCVTSS2SI64rm
-    336615385U,	// VCVTSS2SI64rr
-    605046089U,	// VCVTSS2SIZrm
-    336610633U,	// VCVTSS2SIZrr
-    605050841U,	// VCVTSS2SIrm
-    336615385U,	// VCVTSS2SIrr
-    605046142U,	// VCVTSS2USI64Zrm
-    336610686U,	// VCVTSS2USI64Zrr
-    605046142U,	// VCVTSS2USIZrm
-    336610686U,	// VCVTSS2USIZrr
-    537945378U,	// VCVTTPD2DQXrm
-    940595738U,	// VCVTTPD2DQYrm
-    336615962U,	// VCVTTPD2DQYrr
-    974145024U,	// VCVTTPD2DQZrm
-    336610816U,	// VCVTTPD2DQZrr
-    336615962U,	// VCVTTPD2DQrr
-    974145191U,	// VCVTTPD2UDQZrm
-    336610983U,	// VCVTTPD2UDQZrr
-    940595770U,	// VCVTTPS2DQYrm
-    336615994U,	// VCVTTPS2DQYrr
-    974145049U,	// VCVTTPS2DQZrm
-    336610841U,	// VCVTTPS2DQZrr
-    537942586U,	// VCVTTPS2DQrm
-    336615994U,	// VCVTTPS2DQrr
-    974145218U,	// VCVTTPS2UDQZrm
-    336611010U,	// VCVTTPS2UDQZrr
-    571491619U,	// VCVTTSD2SI64Zrm
-    336610595U,	// VCVTTSD2SI64Zrr
-    571496374U,	// VCVTTSD2SI64rm
-    336615350U,	// VCVTTSD2SI64rr
-    571491619U,	// VCVTTSD2SIZrm
-    336610595U,	// VCVTTSD2SIZrr
-    571496374U,	// VCVTTSD2SIrm
-    336615350U,	// VCVTTSD2SIrr
-    571491669U,	// VCVTTSD2USI64Zrm
-    336610645U,	// VCVTTSD2USI64Zrr
-    571491669U,	// VCVTTSD2USIZrm
-    336610645U,	// VCVTTSD2USIZrr
-    605046076U,	// VCVTTSS2SI64Zrm
-    336610620U,	// VCVTTSS2SI64Zrr
-    605050829U,	// VCVTTSS2SI64rm
-    336615373U,	// VCVTTSS2SI64rr
-    605046076U,	// VCVTTSS2SIZrm
-    336610620U,	// VCVTTSS2SIZrr
-    605050829U,	// VCVTTSS2SIrm
-    336615373U,	// VCVTTSS2SIrr
-    605046128U,	// VCVTTSS2USI64Zrm
-    336610672U,	// VCVTTSS2USI64Zrr
-    605046128U,	// VCVTTSS2USIZrm
-    336610672U,	// VCVTTSS2USIZrr
-    940589578U,	// VCVTUDQ2PDZrm
-    336609802U,	// VCVTUDQ2PDZrr
-    974145726U,	// VCVTUDQ2PSZrm
-    336611518U,	// VCVTUDQ2PSZrr
-    2484095166U,	// VCVTUDQ2PSZrrb
-    2484093915U,	// VCVTUSI2SDZrm
-    2484093915U,	// VCVTUSI2SDZrr
-    2484095518U,	// VCVTUSI2SSZrm
-    2484095518U,	// VCVTUSI2SSZrr
-    2484093915U,	// VCVTUSI642SDZrm
-    2484093915U,	// VCVTUSI642SDZrr
-    2484095518U,	// VCVTUSI642SSZrm
-    2484095518U,	// VCVTUSI642SSZrr
-    2484097799U,	// VDIVPDYrm
-    2484097799U,	// VDIVPDYrr
-    2484093784U,	// VDIVPDZrm
-    2484093784U,	// VDIVPDZrmb
-    352338776U,	// VDIVPDZrmbk
-    2499822424U,	// VDIVPDZrmbkz
-    352342791U,	// VDIVPDZrmk
-    2499826439U,	// VDIVPDZrmkz
-    2484093784U,	// VDIVPDZrr
-    352338776U,	// VDIVPDZrrk
-    2499822424U,	// VDIVPDZrrkz
-    2484097799U,	// VDIVPDrm
-    2484097799U,	// VDIVPDrr
-    2484101079U,	// VDIVPSYrm
-    2484101079U,	// VDIVPSYrr
-    2484095488U,	// VDIVPSZrm
-    2484095488U,	// VDIVPSZrmb
-    352340480U,	// VDIVPSZrmbk
-    2499824128U,	// VDIVPSZrmbkz
-    352346071U,	// VDIVPSZrmk
-    2499829719U,	// VDIVPSZrmkz
-    2484095488U,	// VDIVPSZrr
-    352340480U,	// VDIVPSZrrk
-    2499824128U,	// VDIVPSZrrkz
-    2484101079U,	// VDIVPSrm
-    2484101079U,	// VDIVPSrr
-    2484098245U,	// VDIVSDZrm
-    2484098245U,	// VDIVSDZrr
-    2484098245U,	// VDIVSDrm
-    2484098245U,	// VDIVSDrm_Int
-    2484098245U,	// VDIVSDrr
-    2484098245U,	// VDIVSDrr_Int
-    2484101473U,	// VDIVSSZrm
-    2484101473U,	// VDIVSSZrr
-    2484101473U,	// VDIVSSrm
-    2484101473U,	// VDIVSSrm_Int
-    2484101473U,	// VDIVSSrr
-    2484101473U,	// VDIVSSrr_Int
-    2484097709U,	// VDPPDrmi
-    2484097709U,	// VDPPDrri
-    2484100956U,	// VDPPSYrmi
-    2484100956U,	// VDPPSYrri
-    2484100956U,	// VDPPSrmi
-    2484100956U,	// VDPPSrri
-    40056U,	// VERRm
-    23672U,	// VERRr
-    41959U,	// VERWm
-    25575U,	// VERWr
-    2149125319U,	// VEXTRACTF128mr
-    2484096199U,	// VEXTRACTF128rr
-    2149125180U,	// VEXTRACTF32x4mr
-    2484096060U,	// VEXTRACTF32x4rr
-    2149158006U,	// VEXTRACTF64x4mr
-    2484096118U,	// VEXTRACTF64x4rr
-    2148797694U,	// VEXTRACTI128mr
-    2484096254U,	// VEXTRACTI128rr
-    2148797529U,	// VEXTRACTI32x4mr
-    2484096089U,	// VEXTRACTI32x4rr
-    2149174419U,	// VEXTRACTI64x4mr
-    2484096147U,	// VEXTRACTI64x4rr
-    2148654982U,	// VEXTRACTPSmr
-    2484100998U,	// VEXTRACTPSrr
-    2148654982U,	// VEXTRACTPSzmr
-    2484100998U,	// VEXTRACTPSzrr
-    2182103509U,	// VFMADD132PDZm
-    2182103509U,	// VFMADD132PDZmb
-    2182105213U,	// VFMADD132PSZm
-    2182105213U,	// VFMADD132PSZmb
-    2182103662U,	// VFMADD213PDZm
-    2182103662U,	// VFMADD213PDZmb
-    2182103662U,	// VFMADD213PDZr
-    50348654U,	// VFMADD213PDZrk
-    2197832302U,	// VFMADD213PDZrkz
-    2182105366U,	// VFMADD213PSZm
-    2182105366U,	// VFMADD213PSZmb
-    2182105366U,	// VFMADD213PSZr
-    50350358U,	// VFMADD213PSZrk
-    2197834006U,	// VFMADD213PSZrkz
-    2484097527U,	// VFMADDPD4mr
-    2484097527U,	// VFMADDPD4mrY
-    2484097527U,	// VFMADDPD4rm
-    2484097527U,	// VFMADDPD4rmY
-    2484097527U,	// VFMADDPD4rr
-    2484097527U,	// VFMADDPD4rrY
-    2484097527U,	// VFMADDPD4rrY_REV
-    2484097527U,	// VFMADDPD4rr_REV
-    2182107381U,	// VFMADDPDr132m
-    2182107381U,	// VFMADDPDr132mY
-    2182107381U,	// VFMADDPDr132r
-    2182107381U,	// VFMADDPDr132rY
-    2182107511U,	// VFMADDPDr213m
-    2182107511U,	// VFMADDPDr213mY
-    2182107511U,	// VFMADDPDr213r
-    2182107511U,	// VFMADDPDr213rY
-    2182107295U,	// VFMADDPDr231m
-    2182107295U,	// VFMADDPDr231mY
-    2182107295U,	// VFMADDPDr231r
-    2182107295U,	// VFMADDPDr231rY
-    2484100754U,	// VFMADDPS4mr
-    2484100754U,	// VFMADDPS4mrY
-    2484100754U,	// VFMADDPS4rm
-    2484100754U,	// VFMADDPS4rmY
-    2484100754U,	// VFMADDPS4rr
-    2484100754U,	// VFMADDPS4rrY
-    2484100754U,	// VFMADDPS4rrY_REV
-    2484100754U,	// VFMADDPS4rr_REV
-    2182110605U,	// VFMADDPSr132m
-    2182110605U,	// VFMADDPSr132mY
-    2182110605U,	// VFMADDPSr132r
-    2182110605U,	// VFMADDPSr132rY
-    2182110746U,	// VFMADDPSr213m
-    2182110746U,	// VFMADDPSr213mY
-    2182110746U,	// VFMADDPSr213r
-    2182110746U,	// VFMADDPSr213rY
-    2182110519U,	// VFMADDPSr231m
-    2182110519U,	// VFMADDPSr231mY
-    2182110519U,	// VFMADDPSr231r
-    2182110519U,	// VFMADDPSr231rY
-    2484098115U,	// VFMADDSD4mr
-    2484098115U,	// VFMADDSD4mr_Int
-    2484098115U,	// VFMADDSD4rm
-    2484098115U,	// VFMADDSD4rm_Int
-    2484098115U,	// VFMADDSD4rr
-    2484098115U,	// VFMADDSD4rr_Int
-    2484098115U,	// VFMADDSD4rr_REV
-    2182104069U,	// VFMADDSDZm
-    2182104069U,	// VFMADDSDZr
-    2182108075U,	// VFMADDSDr132m
-    2182108075U,	// VFMADDSDr132r
-    2182108163U,	// VFMADDSDr213m
-    2182108163U,	// VFMADDSDr213r
-    2182108021U,	// VFMADDSDr231m
-    2182108021U,	// VFMADDSDr231r
-    2484101341U,	// VFMADDSS4mr
-    2484101341U,	// VFMADDSS4mr_Int
-    2484101341U,	// VFMADDSS4rm
-    2484101341U,	// VFMADDSS4rm_Int
-    2484101341U,	// VFMADDSS4rr
-    2484101341U,	// VFMADDSS4rr_Int
-    2484101341U,	// VFMADDSS4rr_REV
-    2182105672U,	// VFMADDSSZm
-    2182105672U,	// VFMADDSSZr
-    2182111309U,	// VFMADDSSr132m
-    2182111309U,	// VFMADDSSr132r
-    2182111397U,	// VFMADDSSr213m
-    2182111397U,	// VFMADDSSr213r
-    2182111255U,	// VFMADDSSr231m
-    2182111255U,	// VFMADDSSr231r
-    2182103446U,	// VFMADDSUB132PDZm
-    2182103446U,	// VFMADDSUB132PDZmb
-    2182105150U,	// VFMADDSUB132PSZm
-    2182105150U,	// VFMADDSUB132PSZmb
-    2182103599U,	// VFMADDSUB213PDZm
-    2182103599U,	// VFMADDSUB213PDZmb
-    2182103599U,	// VFMADDSUB213PDZr
-    50348591U,	// VFMADDSUB213PDZrk
-    2197832239U,	// VFMADDSUB213PDZrkz
-    2182105303U,	// VFMADDSUB213PSZm
-    2182105303U,	// VFMADDSUB213PSZmb
-    2182105303U,	// VFMADDSUB213PSZr
-    50350295U,	// VFMADDSUB213PSZrk
-    2197833943U,	// VFMADDSUB213PSZrkz
-    2484097443U,	// VFMADDSUBPD4mr
-    2484097443U,	// VFMADDSUBPD4mrY
-    2484097443U,	// VFMADDSUBPD4rm
-    2484097443U,	// VFMADDSUBPD4rmY
-    2484097443U,	// VFMADDSUBPD4rr
-    2484097443U,	// VFMADDSUBPD4rrY
-    2484097443U,	// VFMADDSUBPD4rrY_REV
-    2484097443U,	// VFMADDSUBPD4rr_REV
-    2182107322U,	// VFMADDSUBPDr132m
-    2182107322U,	// VFMADDSUBPDr132mY
-    2182107322U,	// VFMADDSUBPDr132r
-    2182107322U,	// VFMADDSUBPDr132rY
-    2182107452U,	// VFMADDSUBPDr213m
-    2182107452U,	// VFMADDSUBPDr213mY
-    2182107452U,	// VFMADDSUBPDr213r
-    2182107452U,	// VFMADDSUBPDr213rY
-    2182107236U,	// VFMADDSUBPDr231m
-    2182107236U,	// VFMADDSUBPDr231mY
-    2182107236U,	// VFMADDSUBPDr231r
-    2182107236U,	// VFMADDSUBPDr231rY
-    2484100670U,	// VFMADDSUBPS4mr
-    2484100670U,	// VFMADDSUBPS4mrY
-    2484100670U,	// VFMADDSUBPS4rm
-    2484100670U,	// VFMADDSUBPS4rmY
-    2484100670U,	// VFMADDSUBPS4rr
-    2484100670U,	// VFMADDSUBPS4rrY
-    2484100670U,	// VFMADDSUBPS4rrY_REV
-    2484100670U,	// VFMADDSUBPS4rr_REV
-    2182110546U,	// VFMADDSUBPSr132m
-    2182110546U,	// VFMADDSUBPSr132mY
-    2182110546U,	// VFMADDSUBPSr132r
-    2182110546U,	// VFMADDSUBPSr132rY
-    2182110687U,	// VFMADDSUBPSr213m
-    2182110687U,	// VFMADDSUBPSr213mY
-    2182110687U,	// VFMADDSUBPSr213r
-    2182110687U,	// VFMADDSUBPSr213rY
-    2182110460U,	// VFMADDSUBPSr231m
-    2182110460U,	// VFMADDSUBPSr231mY
-    2182110460U,	// VFMADDSUBPSr231r
-    2182110460U,	// VFMADDSUBPSr231rY
-    2182103463U,	// VFMSUB132PDZm
-    2182103463U,	// VFMSUB132PDZmb
-    2182105167U,	// VFMSUB132PSZm
-    2182105167U,	// VFMSUB132PSZmb
-    2182103616U,	// VFMSUB213PDZm
-    2182103616U,	// VFMSUB213PDZmb
-    2182103616U,	// VFMSUB213PDZr
-    50348608U,	// VFMSUB213PDZrk
-    2197832256U,	// VFMSUB213PDZrkz
-    2182105320U,	// VFMSUB213PSZm
-    2182105320U,	// VFMSUB213PSZmb
-    2182105320U,	// VFMSUB213PSZr
-    50350312U,	// VFMSUB213PSZrk
-    2197833960U,	// VFMSUB213PSZrkz
-    2182103492U,	// VFMSUBADD132PDZm
-    2182103492U,	// VFMSUBADD132PDZmb
-    2182105196U,	// VFMSUBADD132PSZm
-    2182105196U,	// VFMSUBADD132PSZmb
-    2182103645U,	// VFMSUBADD213PDZm
-    2182103645U,	// VFMSUBADD213PDZmb
-    2182103645U,	// VFMSUBADD213PDZr
-    50348637U,	// VFMSUBADD213PDZrk
-    2197832285U,	// VFMSUBADD213PDZrkz
-    2182105349U,	// VFMSUBADD213PSZm
-    2182105349U,	// VFMSUBADD213PSZmb
-    2182105349U,	// VFMSUBADD213PSZr
-    50350341U,	// VFMSUBADD213PSZrk
-    2197833989U,	// VFMSUBADD213PSZrkz
-    2484097505U,	// VFMSUBADDPD4mr
-    2484097505U,	// VFMSUBADDPD4mrY
-    2484097505U,	// VFMSUBADDPD4rm
-    2484097505U,	// VFMSUBADDPD4rmY
-    2484097505U,	// VFMSUBADDPD4rr
-    2484097505U,	// VFMSUBADDPD4rrY
-    2484097505U,	// VFMSUBADDPD4rrY_REV
-    2484097505U,	// VFMSUBADDPD4rr_REV
-    2182107365U,	// VFMSUBADDPDr132m
-    2182107365U,	// VFMSUBADDPDr132mY
-    2182107365U,	// VFMSUBADDPDr132r
-    2182107365U,	// VFMSUBADDPDr132rY
-    2182107495U,	// VFMSUBADDPDr213m
-    2182107495U,	// VFMSUBADDPDr213mY
-    2182107495U,	// VFMSUBADDPDr213r
-    2182107495U,	// VFMSUBADDPDr213rY
-    2182107279U,	// VFMSUBADDPDr231m
-    2182107279U,	// VFMSUBADDPDr231mY
-    2182107279U,	// VFMSUBADDPDr231r
-    2182107279U,	// VFMSUBADDPDr231rY
-    2484100732U,	// VFMSUBADDPS4mr
-    2484100732U,	// VFMSUBADDPS4mrY
-    2484100732U,	// VFMSUBADDPS4rm
-    2484100732U,	// VFMSUBADDPS4rmY
-    2484100732U,	// VFMSUBADDPS4rr
-    2484100732U,	// VFMSUBADDPS4rrY
-    2484100732U,	// VFMSUBADDPS4rrY_REV
-    2484100732U,	// VFMSUBADDPS4rr_REV
-    2182110589U,	// VFMSUBADDPSr132m
-    2182110589U,	// VFMSUBADDPSr132mY
-    2182110589U,	// VFMSUBADDPSr132r
-    2182110589U,	// VFMSUBADDPSr132rY
-    2182110730U,	// VFMSUBADDPSr213m
-    2182110730U,	// VFMSUBADDPSr213mY
-    2182110730U,	// VFMSUBADDPSr213r
-    2182110730U,	// VFMSUBADDPSr213rY
-    2182110503U,	// VFMSUBADDPSr231m
-    2182110503U,	// VFMSUBADDPSr231mY
-    2182110503U,	// VFMSUBADDPSr231r
-    2182110503U,	// VFMSUBADDPSr231rY
-    2484097476U,	// VFMSUBPD4mr
-    2484097476U,	// VFMSUBPD4mrY
-    2484097476U,	// VFMSUBPD4rm
-    2484097476U,	// VFMSUBPD4rmY
-    2484097476U,	// VFMSUBPD4rr
-    2484097476U,	// VFMSUBPD4rrY
-    2484097476U,	// VFMSUBPD4rrY_REV
-    2484097476U,	// VFMSUBPD4rr_REV
-    2182107338U,	// VFMSUBPDr132m
-    2182107338U,	// VFMSUBPDr132mY
-    2182107338U,	// VFMSUBPDr132r
-    2182107338U,	// VFMSUBPDr132rY
-    2182107468U,	// VFMSUBPDr213m
-    2182107468U,	// VFMSUBPDr213mY
-    2182107468U,	// VFMSUBPDr213r
-    2182107468U,	// VFMSUBPDr213rY
-    2182107252U,	// VFMSUBPDr231m
-    2182107252U,	// VFMSUBPDr231mY
-    2182107252U,	// VFMSUBPDr231r
-    2182107252U,	// VFMSUBPDr231rY
-    2484100703U,	// VFMSUBPS4mr
-    2484100703U,	// VFMSUBPS4mrY
-    2484100703U,	// VFMSUBPS4rm
-    2484100703U,	// VFMSUBPS4rmY
-    2484100703U,	// VFMSUBPS4rr
-    2484100703U,	// VFMSUBPS4rrY
-    2484100703U,	// VFMSUBPS4rrY_REV
-    2484100703U,	// VFMSUBPS4rr_REV
-    2182110562U,	// VFMSUBPSr132m
-    2182110562U,	// VFMSUBPSr132mY
-    2182110562U,	// VFMSUBPSr132r
-    2182110562U,	// VFMSUBPSr132rY
-    2182110703U,	// VFMSUBPSr213m
-    2182110703U,	// VFMSUBPSr213mY
-    2182110703U,	// VFMSUBPSr213r
-    2182110703U,	// VFMSUBPSr213rY
-    2182110476U,	// VFMSUBPSr231m
-    2182110476U,	// VFMSUBPSr231mY
-    2182110476U,	// VFMSUBPSr231r
-    2182110476U,	// VFMSUBPSr231rY
-    2484098086U,	// VFMSUBSD4mr
-    2484098086U,	// VFMSUBSD4mr_Int
-    2484098086U,	// VFMSUBSD4rm
-    2484098086U,	// VFMSUBSD4rm_Int
-    2484098086U,	// VFMSUBSD4rr
-    2484098086U,	// VFMSUBSD4rr_Int
-    2484098086U,	// VFMSUBSD4rr_REV
-    2182104040U,	// VFMSUBSDZm
-    2182104040U,	// VFMSUBSDZr
-    2182108048U,	// VFMSUBSDr132m
-    2182108048U,	// VFMSUBSDr132r
-    2182108136U,	// VFMSUBSDr213m
-    2182108136U,	// VFMSUBSDr213r
-    2182107994U,	// VFMSUBSDr231m
-    2182107994U,	// VFMSUBSDr231r
-    2484101312U,	// VFMSUBSS4mr
-    2484101312U,	// VFMSUBSS4mr_Int
-    2484101312U,	// VFMSUBSS4rm
-    2484101312U,	// VFMSUBSS4rm_Int
-    2484101312U,	// VFMSUBSS4rr
-    2484101312U,	// VFMSUBSS4rr_Int
-    2484101312U,	// VFMSUBSS4rr_REV
-    2182105643U,	// VFMSUBSSZm
-    2182105643U,	// VFMSUBSSZr
-    2182111282U,	// VFMSUBSSr132m
-    2182111282U,	// VFMSUBSSr132r
-    2182111370U,	// VFMSUBSSr213m
-    2182111370U,	// VFMSUBSSr213r
-    2182111228U,	// VFMSUBSSr231m
-    2182111228U,	// VFMSUBSSr231r
-    2182103523U,	// VFNMADD132PDZm
-    2182103523U,	// VFNMADD132PDZmb
-    2182105227U,	// VFNMADD132PSZm
-    2182105227U,	// VFNMADD132PSZmb
-    2182103676U,	// VFNMADD213PDZm
-    2182103676U,	// VFNMADD213PDZmb
-    2182103676U,	// VFNMADD213PDZr
-    50348668U,	// VFNMADD213PDZrk
-    2197832316U,	// VFNMADD213PDZrkz
-    2182105380U,	// VFNMADD213PSZm
-    2182105380U,	// VFNMADD213PSZmb
-    2182105380U,	// VFNMADD213PSZr
-    50350372U,	// VFNMADD213PSZrk
-    2197834020U,	// VFNMADD213PSZrkz
-    2484097537U,	// VFNMADDPD4mr
-    2484097537U,	// VFNMADDPD4mrY
-    2484097537U,	// VFNMADDPD4rm
-    2484097537U,	// VFNMADDPD4rmY
-    2484097537U,	// VFNMADDPD4rr
-    2484097537U,	// VFNMADDPD4rrY
-    2484097537U,	// VFNMADDPD4rrY_REV
-    2484097537U,	// VFNMADDPD4rr_REV
-    2182107394U,	// VFNMADDPDr132m
-    2182107394U,	// VFNMADDPDr132mY
-    2182107394U,	// VFNMADDPDr132r
-    2182107394U,	// VFNMADDPDr132rY
-    2182107524U,	// VFNMADDPDr213m
-    2182107524U,	// VFNMADDPDr213mY
-    2182107524U,	// VFNMADDPDr213r
-    2182107524U,	// VFNMADDPDr213rY
-    2182107308U,	// VFNMADDPDr231m
-    2182107308U,	// VFNMADDPDr231mY
-    2182107308U,	// VFNMADDPDr231r
-    2182107308U,	// VFNMADDPDr231rY
-    2484100764U,	// VFNMADDPS4mr
-    2484100764U,	// VFNMADDPS4mrY
-    2484100764U,	// VFNMADDPS4rm
-    2484100764U,	// VFNMADDPS4rmY
-    2484100764U,	// VFNMADDPS4rr
-    2484100764U,	// VFNMADDPS4rrY
-    2484100764U,	// VFNMADDPS4rrY_REV
-    2484100764U,	// VFNMADDPS4rr_REV
-    2182110618U,	// VFNMADDPSr132m
-    2182110618U,	// VFNMADDPSr132mY
-    2182110618U,	// VFNMADDPSr132r
-    2182110618U,	// VFNMADDPSr132rY
-    2182110759U,	// VFNMADDPSr213m
-    2182110759U,	// VFNMADDPSr213mY
-    2182110759U,	// VFNMADDPSr213r
-    2182110759U,	// VFNMADDPSr213rY
-    2182110532U,	// VFNMADDPSr231m
-    2182110532U,	// VFNMADDPSr231mY
-    2182110532U,	// VFNMADDPSr231r
-    2182110532U,	// VFNMADDPSr231rY
-    2484098125U,	// VFNMADDSD4mr
-    2484098125U,	// VFNMADDSD4mr_Int
-    2484098125U,	// VFNMADDSD4rm
-    2484098125U,	// VFNMADDSD4rm_Int
-    2484098125U,	// VFNMADDSD4rr
-    2484098125U,	// VFNMADDSD4rr_Int
-    2484098125U,	// VFNMADDSD4rr_REV
-    2182104083U,	// VFNMADDSDZm
-    2182104083U,	// VFNMADDSDZr
-    2182108088U,	// VFNMADDSDr132m
-    2182108088U,	// VFNMADDSDr132r
-    2182108176U,	// VFNMADDSDr213m
-    2182108176U,	// VFNMADDSDr213r
-    2182108034U,	// VFNMADDSDr231m
-    2182108034U,	// VFNMADDSDr231r
-    2484101351U,	// VFNMADDSS4mr
-    2484101351U,	// VFNMADDSS4mr_Int
-    2484101351U,	// VFNMADDSS4rm
-    2484101351U,	// VFNMADDSS4rm_Int
-    2484101351U,	// VFNMADDSS4rr
-    2484101351U,	// VFNMADDSS4rr_Int
-    2484101351U,	// VFNMADDSS4rr_REV
-    2182105686U,	// VFNMADDSSZm
-    2182105686U,	// VFNMADDSSZr
-    2182111322U,	// VFNMADDSSr132m
-    2182111322U,	// VFNMADDSSr132r
-    2182111410U,	// VFNMADDSSr213m
-    2182111410U,	// VFNMADDSSr213r
-    2182111268U,	// VFNMADDSSr231m
-    2182111268U,	// VFNMADDSSr231r
-    2182103477U,	// VFNMSUB132PDZm
-    2182103477U,	// VFNMSUB132PDZmb
-    2182105181U,	// VFNMSUB132PSZm
-    2182105181U,	// VFNMSUB132PSZmb
-    2182103630U,	// VFNMSUB213PDZm
-    2182103630U,	// VFNMSUB213PDZmb
-    2182103630U,	// VFNMSUB213PDZr
-    50348622U,	// VFNMSUB213PDZrk
-    2197832270U,	// VFNMSUB213PDZrkz
-    2182105334U,	// VFNMSUB213PSZm
-    2182105334U,	// VFNMSUB213PSZmb
-    2182105334U,	// VFNMSUB213PSZr
-    50350326U,	// VFNMSUB213PSZrk
-    2197833974U,	// VFNMSUB213PSZrkz
-    2484097486U,	// VFNMSUBPD4mr
-    2484097486U,	// VFNMSUBPD4mrY
-    2484097486U,	// VFNMSUBPD4rm
-    2484097486U,	// VFNMSUBPD4rmY
-    2484097486U,	// VFNMSUBPD4rr
-    2484097486U,	// VFNMSUBPD4rrY
-    2484097486U,	// VFNMSUBPD4rrY_REV
-    2484097486U,	// VFNMSUBPD4rr_REV
-    2182107351U,	// VFNMSUBPDr132m
-    2182107351U,	// VFNMSUBPDr132mY
-    2182107351U,	// VFNMSUBPDr132r
-    2182107351U,	// VFNMSUBPDr132rY
-    2182107481U,	// VFNMSUBPDr213m
-    2182107481U,	// VFNMSUBPDr213mY
-    2182107481U,	// VFNMSUBPDr213r
-    2182107481U,	// VFNMSUBPDr213rY
-    2182107265U,	// VFNMSUBPDr231m
-    2182107265U,	// VFNMSUBPDr231mY
-    2182107265U,	// VFNMSUBPDr231r
-    2182107265U,	// VFNMSUBPDr231rY
-    2484100713U,	// VFNMSUBPS4mr
-    2484100713U,	// VFNMSUBPS4mrY
-    2484100713U,	// VFNMSUBPS4rm
-    2484100713U,	// VFNMSUBPS4rmY
-    2484100713U,	// VFNMSUBPS4rr
-    2484100713U,	// VFNMSUBPS4rrY
-    2484100713U,	// VFNMSUBPS4rrY_REV
-    2484100713U,	// VFNMSUBPS4rr_REV
-    2182110575U,	// VFNMSUBPSr132m
-    2182110575U,	// VFNMSUBPSr132mY
-    2182110575U,	// VFNMSUBPSr132r
-    2182110575U,	// VFNMSUBPSr132rY
-    2182110716U,	// VFNMSUBPSr213m
-    2182110716U,	// VFNMSUBPSr213mY
-    2182110716U,	// VFNMSUBPSr213r
-    2182110716U,	// VFNMSUBPSr213rY
-    2182110489U,	// VFNMSUBPSr231m
-    2182110489U,	// VFNMSUBPSr231mY
-    2182110489U,	// VFNMSUBPSr231r
-    2182110489U,	// VFNMSUBPSr231rY
-    2484098096U,	// VFNMSUBSD4mr
-    2484098096U,	// VFNMSUBSD4mr_Int
-    2484098096U,	// VFNMSUBSD4rm
-    2484098096U,	// VFNMSUBSD4rm_Int
-    2484098096U,	// VFNMSUBSD4rr
-    2484098096U,	// VFNMSUBSD4rr_Int
-    2484098096U,	// VFNMSUBSD4rr_REV
-    2182104054U,	// VFNMSUBSDZm
-    2182104054U,	// VFNMSUBSDZr
-    2182108061U,	// VFNMSUBSDr132m
-    2182108061U,	// VFNMSUBSDr132r
-    2182108149U,	// VFNMSUBSDr213m
-    2182108149U,	// VFNMSUBSDr213r
-    2182108007U,	// VFNMSUBSDr231m
-    2182108007U,	// VFNMSUBSDr231r
-    2484101322U,	// VFNMSUBSS4mr
-    2484101322U,	// VFNMSUBSS4mr_Int
-    2484101322U,	// VFNMSUBSS4rm
-    2484101322U,	// VFNMSUBSS4rm_Int
-    2484101322U,	// VFNMSUBSS4rr
-    2484101322U,	// VFNMSUBSS4rr_Int
-    2484101322U,	// VFNMSUBSS4rr_REV
-    2182105657U,	// VFNMSUBSSZm
-    2182105657U,	// VFNMSUBSSZr
-    2182111295U,	// VFNMSUBSSr132m
-    2182111295U,	// VFNMSUBSSr132r
-    2182111383U,	// VFNMSUBSSr213m
-    2182111383U,	// VFNMSUBSSr213r
-    2182111241U,	// VFNMSUBSSr231m
-    2182111241U,	// VFNMSUBSSr231r
-    537940771U,	// VFRCZPDrm
-    940593955U,	// VFRCZPDrmY
-    336614179U,	// VFRCZPDrr
-    336614179U,	// VFRCZPDrrY
-    537944051U,	// VFRCZPSrm
-    940597235U,	// VFRCZPSrmY
-    336617459U,	// VFRCZPSrr
-    336617459U,	// VFRCZPSrrY
-    571495654U,	// VFRCZSDrm
-    336614630U,	// VFRCZSDrr
-    605053305U,	// VFRCZSSrm
-    336617849U,	// VFRCZSSrr
-    2484097692U,	// VFsANDNPDrm
-    2484097692U,	// VFsANDNPDrr
-    2484100931U,	// VFsANDNPSrm
-    2484100931U,	// VFsANDNPSrr
-    2484097556U,	// VFsANDPDrm
-    2484097556U,	// VFsANDPDrr
-    2484100783U,	// VFsANDPSrm
-    2484100783U,	// VFsANDPSrr
-    2484097736U,	// VFsORPDrm
-    2484097736U,	// VFsORPDrr
-    2484100983U,	// VFsORPSrm
-    2484100983U,	// VFsORPSrr
-    2484097743U,	// VFsXORPDrm
-    2484097743U,	// VFsXORPDrr
-    2484100990U,	// VFsXORPSrm
-    2484100990U,	// VFsXORPSrr
-    1007702576U,	// VGATHERDPDYrm
-    3204465357U,	// VGATHERDPDZrm
-    1007702576U,	// VGATHERDPDrm
-    1074814667U,	// VGATHERDPSYrm
-    1056983413U,	// VGATHERDPSZrm
-    1074814667U,	// VGATHERDPSrm
-    321941635U,	// VGATHERPF0DPDm
-    321941775U,	// VGATHERPF0DPSm
-    389050569U,	// VGATHERPF0QPDm
-    389050709U,	// VGATHERPF0QPSm
-    321941670U,	// VGATHERPF1DPDm
-    321941810U,	// VGATHERPF1DPSm
-    389050604U,	// VGATHERPF1QPDm
-    389050744U,	// VGATHERPF1QPSm
-    1007702716U,	// VGATHERQPDYrm
-    3204465469U,	// VGATHERQPDZrm
-    1007702716U,	// VGATHERQPDrm
-    1074814827U,	// VGATHERQPSYrm
-    3204467173U,	// VGATHERQPSZrm
-    1074814827U,	// VGATHERQPSrm
-    2484097518U,	// VHADDPDYrm
-    2484097518U,	// VHADDPDYrr
-    2484097518U,	// VHADDPDrm
-    2484097518U,	// VHADDPDrr
-    2484100745U,	// VHADDPSYrm
-    2484100745U,	// VHADDPSYrr
-    2484100745U,	// VHADDPSrm
-    2484100745U,	// VHADDPSrr
-    2484097467U,	// VHSUBPDYrm
-    2484097467U,	// VHSUBPDYrr
-    2484097467U,	// VHSUBPDrm
-    2484097467U,	// VHSUBPDrr
-    2484100694U,	// VHSUBPSYrm
-    2484100694U,	// VHSUBPSYrr
-    2484100694U,	// VHSUBPSrm
-    2484100694U,	// VHSUBPSrr
-    2484096213U,	// VINSERTF128rm
-    2484096213U,	// VINSERTF128rr
-    2484096075U,	// VINSERTF32x4rm
-    2484096075U,	// VINSERTF32x4rr
-    2484096133U,	// VINSERTF64x4rm
-    2484096133U,	// VINSERTF64x4rr
-    2484096268U,	// VINSERTI128rm
-    2484096268U,	// VINSERTI128rr
-    2484096104U,	// VINSERTI32x4rm
-    2484096104U,	// VINSERTI32x4rr
-    2484096162U,	// VINSERTI64x4rm
-    2484096162U,	// VINSERTI64x4rr
-    2484101020U,	// VINSERTPSrm
-    2484101020U,	// VINSERTPSrr
-    2484101020U,	// VINSERTPSzrm
-    2484101020U,	// VINSERTPSzrr
-    839934560U,	// VLDDQUYrm
-    437281376U,	// VLDDQUrm
-    72835U,	// VLDMXCSR
-    336618088U,	// VMASKMOVDQU
-    336618088U,	// VMASKMOVDQU64
-    2149159695U,	// VMASKMOVPDYmr
-    2484097807U,	// VMASKMOVPDYrm
-    2149126927U,	// VMASKMOVPDmr
-    2484097807U,	// VMASKMOVPDrm
-    2149162975U,	// VMASKMOVPSYmr
-    2484101087U,	// VMASKMOVPSYrm
-    2149130207U,	// VMASKMOVPSmr
-    2484101087U,	// VMASKMOVPSrm
-    2484097819U,	// VMAXCPDYrm
-    2484097819U,	// VMAXCPDYrr
-    2484097819U,	// VMAXCPDrm
-    2484097819U,	// VMAXCPDrr
-    2484101099U,	// VMAXCPSYrm
-    2484101099U,	// VMAXCPSYrr
-    2484101099U,	// VMAXCPSrm
-    2484101099U,	// VMAXCPSrr
-    2484098270U,	// VMAXCSDrm
-    2484098270U,	// VMAXCSDrr
-    2484101489U,	// VMAXCSSrm
-    2484101489U,	// VMAXCSSrr
-    2484097819U,	// VMAXPDYrm
-    2484097819U,	// VMAXPDYrr
-    2484093793U,	// VMAXPDZrm
-    2484093793U,	// VMAXPDZrmb
-    352338785U,	// VMAXPDZrmbk
-    2499822433U,	// VMAXPDZrmbkz
-    352342811U,	// VMAXPDZrmk
-    2499826459U,	// VMAXPDZrmkz
-    2484093793U,	// VMAXPDZrr
-    352338785U,	// VMAXPDZrrk
-    2499822433U,	// VMAXPDZrrkz
-    2484097819U,	// VMAXPDrm
-    2484097819U,	// VMAXPDrr
-    2484101099U,	// VMAXPSYrm
-    2484101099U,	// VMAXPSYrr
-    2484095497U,	// VMAXPSZrm
-    2484095497U,	// VMAXPSZrmb
-    352340489U,	// VMAXPSZrmbk
-    2499824137U,	// VMAXPSZrmbkz
-    352346091U,	// VMAXPSZrmk
-    2499829739U,	// VMAXPSZrmkz
-    2484095497U,	// VMAXPSZrr
-    352340489U,	// VMAXPSZrrk
-    2499824137U,	// VMAXPSZrrkz
-    2484101099U,	// VMAXPSrm
-    2484101099U,	// VMAXPSrr
-    2484098270U,	// VMAXSDZrm
-    2484098270U,	// VMAXSDZrr
-    2484098270U,	// VMAXSDrm
-    2484098270U,	// VMAXSDrm_Int
-    2484098270U,	// VMAXSDrr
-    2484098270U,	// VMAXSDrr_Int
-    2484101489U,	// VMAXSSZrm
-    2484101489U,	// VMAXSSZrr
-    2484101489U,	// VMAXSSrm
-    2484101489U,	// VMAXSSrm_Int
-    2484101489U,	// VMAXSSrr
-    2484101489U,	// VMAXSSrr_Int
-    11646U,	// VMCALL
-    89111U,	// VMCLEARm
-    11314U,	// VMFUNC
-    2484097701U,	// VMINCPDYrm
-    2484097701U,	// VMINCPDYrr
-    2484097701U,	// VMINCPDrm
-    2484097701U,	// VMINCPDrr
-    2484100940U,	// VMINCPSYrm
-    2484100940U,	// VMINCPSYrr
-    2484100940U,	// VMINCPSrm
-    2484100940U,	// VMINCPSrr
-    2484098190U,	// VMINCSDrm
-    2484098190U,	// VMINCSDrr
-    2484101407U,	// VMINCSSrm
-    2484101407U,	// VMINCSSrr
-    2484097701U,	// VMINPDYrm
-    2484097701U,	// VMINPDYrr
-    2484093739U,	// VMINPDZrm
-    2484093739U,	// VMINPDZrmb
-    352338731U,	// VMINPDZrmbk
-    2499822379U,	// VMINPDZrmbkz
-    352342693U,	// VMINPDZrmk
-    2499826341U,	// VMINPDZrmkz
-    2484093739U,	// VMINPDZrr
-    352338731U,	// VMINPDZrrk
-    2499822379U,	// VMINPDZrrkz
-    2484097701U,	// VMINPDrm
-    2484097701U,	// VMINPDrr
-    2484100940U,	// VMINPSYrm
-    2484100940U,	// VMINPSYrr
-    2484095443U,	// VMINPSZrm
-    2484095443U,	// VMINPSZrmb
-    352340435U,	// VMINPSZrmbk
-    2499824083U,	// VMINPSZrmbkz
-    352345932U,	// VMINPSZrmk
-    2499829580U,	// VMINPSZrmkz
-    2484095443U,	// VMINPSZrr
-    352340435U,	// VMINPSZrrk
-    2499824083U,	// VMINPSZrrkz
-    2484100940U,	// VMINPSrm
-    2484100940U,	// VMINPSrr
-    2484098190U,	// VMINSDZrm
-    2484098190U,	// VMINSDZrr
-    2484098190U,	// VMINSDrm
-    2484098190U,	// VMINSDrm_Int
-    2484098190U,	// VMINSDrr
-    2484098190U,	// VMINSDrr_Int
-    2484101407U,	// VMINSSZrm
-    2484101407U,	// VMINSSZrr
-    2484101407U,	// VMINSSrm
-    2484101407U,	// VMINSSrm_Int
-    2484101407U,	// VMINSSrr
-    2484101407U,	// VMINSSrr_Int
-    11561U,	// VMLAUNCH
-    12255U,	// VMLOAD32
-    12310U,	// VMLOAD64
-    11638U,	// VMMCALL
-    336616421U,	// VMOV64toPQIZrr
-    336616421U,	// VMOV64toPQIrr
-    336616421U,	// VMOV64toSDZrr
-    370170853U,	// VMOV64toSDrm
-    336616421U,	// VMOV64toSDrr
-    1675666U,	// VMOVAPDYmr
-    940593554U,	// VMOVAPDYrm
-    336613778U,	// VMOVAPDYrr
-    336613778U,	// VMOVAPDYrr_REV
-    1642898U,	// VMOVAPDZ128mr
-    17371538U,	// VMOVAPDZ128mrk
-    537940370U,	// VMOVAPDZ128rm
-    50352530U,	// VMOVAPDZ128rmk
-    2499826066U,	// VMOVAPDZ128rmkz
-    336613778U,	// VMOVAPDZ128rr
-    336613778U,	// VMOVAPDZ128rr_alt
-    50352530U,	// VMOVAPDZ128rrk
-    50352530U,	// VMOVAPDZ128rrk_alt
-    2499826066U,	// VMOVAPDZ128rrkz
-    2499826066U,	// VMOVAPDZ128rrkz_alt
-    1675666U,	// VMOVAPDZ256mr
-    17404306U,	// VMOVAPDZ256mrk
-    940593554U,	// VMOVAPDZ256rm
-    50352530U,	// VMOVAPDZ256rmk
-    2499826066U,	// VMOVAPDZ256rmkz
-    336613778U,	// VMOVAPDZ256rr
-    336613778U,	// VMOVAPDZ256rr_alt
-    50352530U,	// VMOVAPDZ256rrk
-    50352530U,	// VMOVAPDZ256rrk_alt
-    2499826066U,	// VMOVAPDZ256rrkz
-    2499826066U,	// VMOVAPDZ256rrkz_alt
-    1708434U,	// VMOVAPDZmr
-    17437074U,	// VMOVAPDZmrk
-    974147986U,	// VMOVAPDZrm
-    50352530U,	// VMOVAPDZrmk
-    2499826066U,	// VMOVAPDZrmkz
-    336613778U,	// VMOVAPDZrr
-    336613778U,	// VMOVAPDZrr_alt
-    50352530U,	// VMOVAPDZrrk
-    50352530U,	// VMOVAPDZrrk_alt
-    2499826066U,	// VMOVAPDZrrkz
-    2499826066U,	// VMOVAPDZrrkz_alt
-    1642898U,	// VMOVAPDmr
-    537940370U,	// VMOVAPDrm
-    336613778U,	// VMOVAPDrr
-    336613778U,	// VMOVAPDrr_REV
-    1678901U,	// VMOVAPSYmr
-    940596789U,	// VMOVAPSYrm
-    336617013U,	// VMOVAPSYrr
-    336617013U,	// VMOVAPSYrr_REV
-    1646133U,	// VMOVAPSZ128mr
-    17374773U,	// VMOVAPSZ128mrk
-    537943605U,	// VMOVAPSZ128rm
-    50355765U,	// VMOVAPSZ128rmk
-    2499829301U,	// VMOVAPSZ128rmkz
-    336617013U,	// VMOVAPSZ128rr
-    336617013U,	// VMOVAPSZ128rr_alt
-    50355765U,	// VMOVAPSZ128rrk
-    50355765U,	// VMOVAPSZ128rrk_alt
-    2499829301U,	// VMOVAPSZ128rrkz
-    2499829301U,	// VMOVAPSZ128rrkz_alt
-    1678901U,	// VMOVAPSZ256mr
-    17407541U,	// VMOVAPSZ256mrk
-    940596789U,	// VMOVAPSZ256rm
-    50355765U,	// VMOVAPSZ256rmk
-    2499829301U,	// VMOVAPSZ256rmkz
-    336617013U,	// VMOVAPSZ256rr
-    336617013U,	// VMOVAPSZ256rr_alt
-    50355765U,	// VMOVAPSZ256rrk
-    50355765U,	// VMOVAPSZ256rrk_alt
-    2499829301U,	// VMOVAPSZ256rrkz
-    2499829301U,	// VMOVAPSZ256rrkz_alt
-    1711669U,	// VMOVAPSZmr
-    17440309U,	// VMOVAPSZmrk
-    974151221U,	// VMOVAPSZrm
-    50355765U,	// VMOVAPSZrmk
-    2499829301U,	// VMOVAPSZrmkz
-    336617013U,	// VMOVAPSZrr
-    336617013U,	// VMOVAPSZrr_alt
-    50355765U,	// VMOVAPSZrrk
-    50355765U,	// VMOVAPSZrrk_alt
-    2499829301U,	// VMOVAPSZrrkz
-    2499829301U,	// VMOVAPSZrrkz_alt
-    1646133U,	// VMOVAPSmr
-    537943605U,	// VMOVAPSrm
-    336617013U,	// VMOVAPSrr
-    336617013U,	// VMOVAPSrr_REV
-    940595608U,	// VMOVDDUPYrm
-    336615832U,	// VMOVDDUPYrr
-    974144907U,	// VMOVDDUPZrm
-    336610699U,	// VMOVDDUPZrr
-    571496856U,	// VMOVDDUPrm
-    336615832U,	// VMOVDDUPrr
-    303060314U,	// VMOVDI2PDIZrm
-    336614746U,	// VMOVDI2PDIZrr
-    303060314U,	// VMOVDI2PDIrm
-    336614746U,	// VMOVDI2PDIrr
-    303060314U,	// VMOVDI2SSZrm
-    336614746U,	// VMOVDI2SSZrr
-    303060314U,	// VMOVDI2SSrm
-    336614746U,	// VMOVDI2SSrr
-    1313700U,	// VMOVDQA32Z128mr
-    17042340U,	// VMOVDQA32Z128mrk
-    437275556U,	// VMOVDQA32Z128rm
-    50351012U,	// VMOVDQA32Z128rmk
-    2499824548U,	// VMOVDQA32Z128rmkz
-    336612260U,	// VMOVDQA32Z128rr
-    336612260U,	// VMOVDQA32Z128rr_alt
-    50351012U,	// VMOVDQA32Z128rrk
-    50351012U,	// VMOVDQA32Z128rrk_alt
-    2499824548U,	// VMOVDQA32Z128rrkz
-    2499824548U,	// VMOVDQA32Z128rrkz_alt
-    1690532U,	// VMOVDQA32Z256mr
-    17419172U,	// VMOVDQA32Z256mrk
-    839928740U,	// VMOVDQA32Z256rm
-    50351012U,	// VMOVDQA32Z256rmk
-    2499824548U,	// VMOVDQA32Z256rmkz
-    336612260U,	// VMOVDQA32Z256rr
-    336612260U,	// VMOVDQA32Z256rr_alt
-    50351012U,	// VMOVDQA32Z256rrk
-    50351012U,	// VMOVDQA32Z256rrk_alt
-    2499824548U,	// VMOVDQA32Z256rrkz
-    2499824548U,	// VMOVDQA32Z256rrkz_alt
-    1723300U,	// VMOVDQA32Zmr
-    17451940U,	// VMOVDQA32Zmrk
-    907037604U,	// VMOVDQA32Zrm
-    50351012U,	// VMOVDQA32Zrmk
-    2499824548U,	// VMOVDQA32Zrmkz
-    336612260U,	// VMOVDQA32Zrr
-    336612260U,	// VMOVDQA32Zrr_alt
-    50351012U,	// VMOVDQA32Zrrk
-    50351012U,	// VMOVDQA32Zrrk_alt
-    2499824548U,	// VMOVDQA32Zrrkz
-    2499824548U,	// VMOVDQA32Zrrkz_alt
-    1313786U,	// VMOVDQA64Z128mr
-    17042426U,	// VMOVDQA64Z128mrk
-    437275642U,	// VMOVDQA64Z128rm
-    50351098U,	// VMOVDQA64Z128rmk
-    2499824634U,	// VMOVDQA64Z128rmkz
-    336612346U,	// VMOVDQA64Z128rr
-    336612346U,	// VMOVDQA64Z128rr_alt
-    50351098U,	// VMOVDQA64Z128rrk
-    50351098U,	// VMOVDQA64Z128rrk_alt
-    2499824634U,	// VMOVDQA64Z128rrkz
-    2499824634U,	// VMOVDQA64Z128rrkz_alt
-    1690618U,	// VMOVDQA64Z256mr
-    17419258U,	// VMOVDQA64Z256mrk
-    839928826U,	// VMOVDQA64Z256rm
-    50351098U,	// VMOVDQA64Z256rmk
-    2499824634U,	// VMOVDQA64Z256rmkz
-    336612346U,	// VMOVDQA64Z256rr
-    336612346U,	// VMOVDQA64Z256rr_alt
-    50351098U,	// VMOVDQA64Z256rrk
-    50351098U,	// VMOVDQA64Z256rrk_alt
-    2499824634U,	// VMOVDQA64Z256rrkz
-    2499824634U,	// VMOVDQA64Z256rrkz_alt
-    1723386U,	// VMOVDQA64Zmr
-    17452026U,	// VMOVDQA64Zmrk
-    907037690U,	// VMOVDQA64Zrm
-    50351098U,	// VMOVDQA64Zrmk
-    2499824634U,	// VMOVDQA64Zrmkz
-    336612346U,	// VMOVDQA64Zrr
-    336612346U,	// VMOVDQA64Zrr_alt
-    50351098U,	// VMOVDQA64Zrrk
-    50351098U,	// VMOVDQA64Zrrk_alt
-    2499824634U,	// VMOVDQA64Zrrkz
-    2499824634U,	// VMOVDQA64Zrrkz_alt
-    1690951U,	// VMOVDQAYmr
-    839929159U,	// VMOVDQAYrm
-    336612679U,	// VMOVDQAYrr
-    336612679U,	// VMOVDQAYrr_REV
-    1314119U,	// VMOVDQAmr
-    437275975U,	// VMOVDQArm
-    336612679U,	// VMOVDQArr
-    336612679U,	// VMOVDQArr_REV
-    1313968U,	// VMOVDQU16Z128mr
-    17042608U,	// VMOVDQU16Z128mrk
-    437275824U,	// VMOVDQU16Z128rm
-    50351280U,	// VMOVDQU16Z128rmk
-    2499824816U,	// VMOVDQU16Z128rmkz
-    336612528U,	// VMOVDQU16Z128rr
-    336612528U,	// VMOVDQU16Z128rr_alt
-    50351280U,	// VMOVDQU16Z128rrk
-    50351280U,	// VMOVDQU16Z128rrk_alt
-    2499824816U,	// VMOVDQU16Z128rrkz
-    2499824816U,	// VMOVDQU16Z128rrkz_alt
-    1690800U,	// VMOVDQU16Z256mr
-    17419440U,	// VMOVDQU16Z256mrk
-    839929008U,	// VMOVDQU16Z256rm
-    50351280U,	// VMOVDQU16Z256rmk
-    2499824816U,	// VMOVDQU16Z256rmkz
-    336612528U,	// VMOVDQU16Z256rr
-    336612528U,	// VMOVDQU16Z256rr_alt
-    50351280U,	// VMOVDQU16Z256rrk
-    50351280U,	// VMOVDQU16Z256rrk_alt
-    2499824816U,	// VMOVDQU16Z256rrkz
-    2499824816U,	// VMOVDQU16Z256rrkz_alt
-    1723568U,	// VMOVDQU16Zmr
-    17452208U,	// VMOVDQU16Zmrk
-    907037872U,	// VMOVDQU16Zrm
-    50351280U,	// VMOVDQU16Zrmk
-    2499824816U,	// VMOVDQU16Zrmkz
-    336612528U,	// VMOVDQU16Zrr
-    336612528U,	// VMOVDQU16Zrr_alt
-    50351280U,	// VMOVDQU16Zrrk
-    50351280U,	// VMOVDQU16Zrrk_alt
-    2499824816U,	// VMOVDQU16Zrrkz
-    2499824816U,	// VMOVDQU16Zrrkz_alt
-    1313718U,	// VMOVDQU32Z128mr
-    17042358U,	// VMOVDQU32Z128mrk
-    437275574U,	// VMOVDQU32Z128rm
-    50351030U,	// VMOVDQU32Z128rmk
-    2499824566U,	// VMOVDQU32Z128rmkz
-    336612278U,	// VMOVDQU32Z128rr
-    336612278U,	// VMOVDQU32Z128rr_alt
-    50351030U,	// VMOVDQU32Z128rrk
-    50351030U,	// VMOVDQU32Z128rrk_alt
-    2499824566U,	// VMOVDQU32Z128rrkz
-    2499824566U,	// VMOVDQU32Z128rrkz_alt
-    1690550U,	// VMOVDQU32Z256mr
-    17419190U,	// VMOVDQU32Z256mrk
-    839928758U,	// VMOVDQU32Z256rm
-    50351030U,	// VMOVDQU32Z256rmk
-    2499824566U,	// VMOVDQU32Z256rmkz
-    336612278U,	// VMOVDQU32Z256rr
-    336612278U,	// VMOVDQU32Z256rr_alt
-    50351030U,	// VMOVDQU32Z256rrk
-    50351030U,	// VMOVDQU32Z256rrk_alt
-    2499824566U,	// VMOVDQU32Z256rrkz
-    2499824566U,	// VMOVDQU32Z256rrkz_alt
-    1723318U,	// VMOVDQU32Zmr
-    17451958U,	// VMOVDQU32Zmrk
-    907037622U,	// VMOVDQU32Zrm
-    50351030U,	// VMOVDQU32Zrmk
-    2499824566U,	// VMOVDQU32Zrmkz
-    336612278U,	// VMOVDQU32Zrr
-    336612278U,	// VMOVDQU32Zrr_alt
-    50351030U,	// VMOVDQU32Zrrk
-    50351030U,	// VMOVDQU32Zrrk_alt
-    2499824566U,	// VMOVDQU32Zrrkz
-    2499824566U,	// VMOVDQU32Zrrkz_alt
-    1313830U,	// VMOVDQU64Z128mr
-    17042470U,	// VMOVDQU64Z128mrk
-    437275686U,	// VMOVDQU64Z128rm
-    50351142U,	// VMOVDQU64Z128rmk
-    2499824678U,	// VMOVDQU64Z128rmkz
-    336612390U,	// VMOVDQU64Z128rr
-    336612390U,	// VMOVDQU64Z128rr_alt
-    50351142U,	// VMOVDQU64Z128rrk
-    50351142U,	// VMOVDQU64Z128rrk_alt
-    2499824678U,	// VMOVDQU64Z128rrkz
-    2499824678U,	// VMOVDQU64Z128rrkz_alt
-    1690662U,	// VMOVDQU64Z256mr
-    17419302U,	// VMOVDQU64Z256mrk
-    839928870U,	// VMOVDQU64Z256rm
-    50351142U,	// VMOVDQU64Z256rmk
-    2499824678U,	// VMOVDQU64Z256rmkz
-    336612390U,	// VMOVDQU64Z256rr
-    336612390U,	// VMOVDQU64Z256rr_alt
-    50351142U,	// VMOVDQU64Z256rrk
-    50351142U,	// VMOVDQU64Z256rrk_alt
-    2499824678U,	// VMOVDQU64Z256rrkz
-    2499824678U,	// VMOVDQU64Z256rrkz_alt
-    1723430U,	// VMOVDQU64Zmr
-    17452070U,	// VMOVDQU64Zmrk
-    907037734U,	// VMOVDQU64Zrm
-    50351142U,	// VMOVDQU64Zrmk
-    2499824678U,	// VMOVDQU64Zrmkz
-    336612390U,	// VMOVDQU64Zrr
-    336612390U,	// VMOVDQU64Zrr_alt
-    50351142U,	// VMOVDQU64Zrrk
-    50351142U,	// VMOVDQU64Zrrk_alt
-    2499824678U,	// VMOVDQU64Zrrkz
-    2499824678U,	// VMOVDQU64Zrrkz_alt
-    1314089U,	// VMOVDQU8Z128mr
-    17042729U,	// VMOVDQU8Z128mrk
-    437275945U,	// VMOVDQU8Z128rm
-    50351401U,	// VMOVDQU8Z128rmk
-    2499824937U,	// VMOVDQU8Z128rmkz
-    336612649U,	// VMOVDQU8Z128rr
-    336612649U,	// VMOVDQU8Z128rr_alt
-    50351401U,	// VMOVDQU8Z128rrk
-    50351401U,	// VMOVDQU8Z128rrk_alt
-    2499824937U,	// VMOVDQU8Z128rrkz
-    2499824937U,	// VMOVDQU8Z128rrkz_alt
-    1690921U,	// VMOVDQU8Z256mr
-    17419561U,	// VMOVDQU8Z256mrk
-    839929129U,	// VMOVDQU8Z256rm
-    50351401U,	// VMOVDQU8Z256rmk
-    2499824937U,	// VMOVDQU8Z256rmkz
-    336612649U,	// VMOVDQU8Z256rr
-    336612649U,	// VMOVDQU8Z256rr_alt
-    50351401U,	// VMOVDQU8Z256rrk
-    50351401U,	// VMOVDQU8Z256rrk_alt
-    2499824937U,	// VMOVDQU8Z256rrkz
-    2499824937U,	// VMOVDQU8Z256rrkz_alt
-    1723689U,	// VMOVDQU8Zmr
-    17452329U,	// VMOVDQU8Zmrk
-    907037993U,	// VMOVDQU8Zrm
-    50351401U,	// VMOVDQU8Zrmk
-    2499824937U,	// VMOVDQU8Zrmkz
-    336612649U,	// VMOVDQU8Zrr
-    336612649U,	// VMOVDQU8Zrr_alt
-    50351401U,	// VMOVDQU8Zrrk
-    50351401U,	// VMOVDQU8Zrrk_alt
-    2499824937U,	// VMOVDQU8Zrrkz
-    2499824937U,	// VMOVDQU8Zrrkz_alt
-    1696373U,	// VMOVDQUYmr
-    839934581U,	// VMOVDQUYrm
-    336618101U,	// VMOVDQUYrr
-    336618101U,	// VMOVDQUYrr_REV
-    1319541U,	// VMOVDQUmr
-    437281397U,	// VMOVDQUrm
-    336618101U,	// VMOVDQUrr
-    336618101U,	// VMOVDQUrr_REV
-    2484100873U,	// VMOVHLPSZrr
-    2484100873U,	// VMOVHLPSrr
-    1184336U,	// VMOVHPDmr
-    2484097616U,	// VMOVHPDrm
-    1187573U,	// VMOVHPSmr
-    2484100853U,	// VMOVHPSrm
-    2484100843U,	// VMOVLHPSZrr
-    2484100843U,	// VMOVLHPSrr
-    1184386U,	// VMOVLPDmr
-    2484097666U,	// VMOVLPDrm
-    1187633U,	// VMOVLPSmr
-    2484100913U,	// VMOVLPSrm
-    336613977U,	// VMOVMSKPDYrr
-    336613977U,	// VMOVMSKPDrr
-    336617214U,	// VMOVMSKPSYrr
-    336617214U,	// VMOVMSKPSrr
-    839929148U,	// VMOVNTDQAYrm
-    437275964U,	// VMOVNTDQAZ128rm
-    839929148U,	// VMOVNTDQAZ256rm
-    907038012U,	// VMOVNTDQAZrm
-    437275964U,	// VMOVNTDQArm
-    1678034U,	// VMOVNTDQYmr
-    1317586U,	// VMOVNTDQZ128mr
-    1694418U,	// VMOVNTDQZ256mr
-    1727186U,	// VMOVNTDQZmr
-    1645266U,	// VMOVNTDQmr
-    1675991U,	// VMOVNTPDYmr
-    1643223U,	// VMOVNTPDZ128mr
-    1675991U,	// VMOVNTPDZ256mr
-    1708759U,	// VMOVNTPDZmr
-    1643223U,	// VMOVNTPDmr
-    1679250U,	// VMOVNTPSYmr
-    1646482U,	// VMOVNTPSZ128mr
-    1679250U,	// VMOVNTPSZ256mr
-    1712018U,	// VMOVNTPSZmr
-    1646482U,	// VMOVNTPSmr
-    1119578U,	// VMOVPDI2DIZmr
-    336614746U,	// VMOVPDI2DIZrr
-    1119578U,	// VMOVPDI2DImr
-    336614746U,	// VMOVPDI2DIrr
-    1137637U,	// VMOVPQI2QImr
-    336616421U,	// VMOVPQI2QIrr
-    1137637U,	// VMOVPQIto64Zmr
-    336616421U,	// VMOVPQIto64Zrr
-    336616421U,	// VMOVPQIto64rr
-    370170853U,	// VMOVQI2PQIZrm
-    370170853U,	// VMOVQI2PQIrm
-    1180802U,	// VMOVSDZmr
-    571491458U,	// VMOVSDZrm
-    2484094082U,	// VMOVSDZrr
-    2484098253U,	// VMOVSDZrr_REV
-    50349186U,	// VMOVSDZrrk
-    1184973U,	// VMOVSDmr
-    571495629U,	// VMOVSDrm
-    2484098253U,	// VMOVSDrr
-    2484098253U,	// VMOVSDrr_REV
-    1137637U,	// VMOVSDto64Zmr
-    336616421U,	// VMOVSDto64Zrr
-    1137637U,	// VMOVSDto64mr
-    336616421U,	// VMOVSDto64rr
-    940595618U,	// VMOVSHDUPYrm
-    336615842U,	// VMOVSHDUPYrr
-    974144918U,	// VMOVSHDUPZrm
-    336610710U,	// VMOVSHDUPZrr
-    537942434U,	// VMOVSHDUPrm
-    336615842U,	// VMOVSHDUPrr
-    940595629U,	// VMOVSLDUPYrm
-    336615853U,	// VMOVSLDUPYrr
-    974144930U,	// VMOVSLDUPZrm
-    336610722U,	// VMOVSLDUPZrr
-    537942445U,	// VMOVSLDUPrm
-    336615853U,	// VMOVSLDUPrr
-    1119578U,	// VMOVSS2DIZmr
-    336614746U,	// VMOVSS2DIZrr
-    1119578U,	// VMOVSS2DImr
-    336614746U,	// VMOVSS2DIrr
-    1166002U,	// VMOVSSZmr
-    605047474U,	// VMOVSSZrm
-    2484095666U,	// VMOVSSZrr
-    2484101481U,	// VMOVSSZrr_REV
-    50350770U,	// VMOVSSZrrk
-    1171817U,	// VMOVSSmr
-    605053289U,	// VMOVSSrm
-    2484101481U,	// VMOVSSrr
-    2484101481U,	// VMOVSSrr_REV
-    1676019U,	// VMOVUPDYmr
-    940593907U,	// VMOVUPDYrm
-    336614131U,	// VMOVUPDYrr
-    336614131U,	// VMOVUPDYrr_REV
-    1643251U,	// VMOVUPDZ128mr
-    17371891U,	// VMOVUPDZ128mrk
-    537940723U,	// VMOVUPDZ128rm
-    50352883U,	// VMOVUPDZ128rmk
-    2499826419U,	// VMOVUPDZ128rmkz
-    336614131U,	// VMOVUPDZ128rr
-    336614131U,	// VMOVUPDZ128rr_alt
-    50352883U,	// VMOVUPDZ128rrk
-    50352883U,	// VMOVUPDZ128rrk_alt
-    2499826419U,	// VMOVUPDZ128rrkz
-    2499826419U,	// VMOVUPDZ128rrkz_alt
-    1676019U,	// VMOVUPDZ256mr
-    17404659U,	// VMOVUPDZ256mrk
-    940593907U,	// VMOVUPDZ256rm
-    50352883U,	// VMOVUPDZ256rmk
-    2499826419U,	// VMOVUPDZ256rmkz
-    336614131U,	// VMOVUPDZ256rr
-    336614131U,	// VMOVUPDZ256rr_alt
-    50352883U,	// VMOVUPDZ256rrk
-    50352883U,	// VMOVUPDZ256rrk_alt
-    2499826419U,	// VMOVUPDZ256rrkz
-    2499826419U,	// VMOVUPDZ256rrkz_alt
-    1708787U,	// VMOVUPDZmr
-    17437427U,	// VMOVUPDZmrk
-    974148339U,	// VMOVUPDZrm
-    50352883U,	// VMOVUPDZrmk
-    2499826419U,	// VMOVUPDZrmkz
-    336614131U,	// VMOVUPDZrr
-    336614131U,	// VMOVUPDZrr_alt
-    50352883U,	// VMOVUPDZrrk
-    50352883U,	// VMOVUPDZrrk_alt
-    2499826419U,	// VMOVUPDZrrkz
-    2499826419U,	// VMOVUPDZrrkz_alt
-    1643251U,	// VMOVUPDmr
-    537940723U,	// VMOVUPDrm
-    336614131U,	// VMOVUPDrr
-    336614131U,	// VMOVUPDrr_REV
-    1679299U,	// VMOVUPSYmr
-    940597187U,	// VMOVUPSYrm
-    336617411U,	// VMOVUPSYrr
-    336617411U,	// VMOVUPSYrr_REV
-    1646531U,	// VMOVUPSZ128mr
-    17375171U,	// VMOVUPSZ128mrk
-    537944003U,	// VMOVUPSZ128rm
-    50356163U,	// VMOVUPSZ128rmk
-    2499829699U,	// VMOVUPSZ128rmkz
-    336617411U,	// VMOVUPSZ128rr
-    336617411U,	// VMOVUPSZ128rr_alt
-    50356163U,	// VMOVUPSZ128rrk
-    50356163U,	// VMOVUPSZ128rrk_alt
-    2499829699U,	// VMOVUPSZ128rrkz
-    2499829699U,	// VMOVUPSZ128rrkz_alt
-    1679299U,	// VMOVUPSZ256mr
-    17407939U,	// VMOVUPSZ256mrk
-    940597187U,	// VMOVUPSZ256rm
-    50356163U,	// VMOVUPSZ256rmk
-    2499829699U,	// VMOVUPSZ256rmkz
-    336617411U,	// VMOVUPSZ256rr
-    336617411U,	// VMOVUPSZ256rr_alt
-    50356163U,	// VMOVUPSZ256rrk
-    50356163U,	// VMOVUPSZ256rrk_alt
-    2499829699U,	// VMOVUPSZ256rrkz
-    2499829699U,	// VMOVUPSZ256rrkz_alt
-    1712067U,	// VMOVUPSZmr
-    17440707U,	// VMOVUPSZmrk
-    974151619U,	// VMOVUPSZrm
-    50356163U,	// VMOVUPSZrmk
-    2499829699U,	// VMOVUPSZrmkz
-    336617411U,	// VMOVUPSZrr
-    336617411U,	// VMOVUPSZrr_alt
-    50356163U,	// VMOVUPSZrrk
-    50356163U,	// VMOVUPSZrrk_alt
-    2499829699U,	// VMOVUPSZrrkz
-    2499829699U,	// VMOVUPSZrrkz_alt
-    1646531U,	// VMOVUPSmr
-    537944003U,	// VMOVUPSrm
-    336617411U,	// VMOVUPSrr
-    336617411U,	// VMOVUPSrr_REV
-    437279717U,	// VMOVZPQILo2PQIZrm
-    336616421U,	// VMOVZPQILo2PQIZrr
-    437279717U,	// VMOVZPQILo2PQIrm
-    336616421U,	// VMOVZPQILo2PQIrr
-    370170853U,	// VMOVZQI2PQIrm
-    336616421U,	// VMOVZQI2PQIrr
-    2484101822U,	// VMPSADBWYrmi
-    2484101822U,	// VMPSADBWYrri
-    2484101822U,	// VMPSADBWrmi
-    2484101822U,	// VMPSADBWrri
-    86060U,	// VMPTRLDm
-    90700U,	// VMPTRSTm
-    1117989U,	// VMREAD32rm
-    336613157U,	// VMREAD32rr
-    1134373U,	// VMREAD64rm
-    336613157U,	// VMREAD64rr
-    11440U,	// VMRESUME
-    12277U,	// VMRUN32
-    12332U,	// VMRUN64
-    12266U,	// VMSAVE32
-    12321U,	// VMSAVE64
-    2484097658U,	// VMULPDYrm
-    2484097658U,	// VMULPDYrr
-    2484093708U,	// VMULPDZrm
-    2484093708U,	// VMULPDZrmb
-    352338700U,	// VMULPDZrmbk
-    2499822348U,	// VMULPDZrmbkz
-    352342650U,	// VMULPDZrmk
-    2499826298U,	// VMULPDZrmkz
-    2484093708U,	// VMULPDZrr
-    352338700U,	// VMULPDZrrk
-    2499822348U,	// VMULPDZrrkz
-    2484097658U,	// VMULPDrm
-    2484097658U,	// VMULPDrr
-    2484100905U,	// VMULPSYrm
-    2484100905U,	// VMULPSYrr
-    2484095412U,	// VMULPSZrm
-    2484095412U,	// VMULPSZrmb
-    352340404U,	// VMULPSZrmbk
-    2499824052U,	// VMULPSZrmbkz
-    352345897U,	// VMULPSZrmk
-    2499829545U,	// VMULPSZrmkz
-    2484095412U,	// VMULPSZrr
-    352340404U,	// VMULPSZrrk
-    2499824052U,	// VMULPSZrrkz
-    2484100905U,	// VMULPSrm
-    2484100905U,	// VMULPSrr
-    2484098173U,	// VMULSDZrm
-    2484098173U,	// VMULSDZrr
-    2484098173U,	// VMULSDrm
-    2484098173U,	// VMULSDrm_Int
-    2484098173U,	// VMULSDrr
-    2484098173U,	// VMULSDrr_Int
-    2484101399U,	// VMULSSZrm
-    2484101399U,	// VMULSSZrr
-    2484101399U,	// VMULSSrm
-    2484101399U,	// VMULSSrm_Int
-    2484101399U,	// VMULSSrr
-    2484101399U,	// VMULSSrr_Int
-    303060650U,	// VMWRITE32rm
-    336615082U,	// VMWRITE32rr
-    370169514U,	// VMWRITE64rm
-    336615082U,	// VMWRITE64rr
-    11528U,	// VMXOFF
-    88263U,	// VMXON
-    2484097736U,	// VORPDYrm
-    2484097736U,	// VORPDYrr
-    2484097736U,	// VORPDrm
-    2484097736U,	// VORPDrr
-    2484100983U,	// VORPSYrm
-    2484100983U,	// VORPSYrr
-    2484100983U,	// VORPSrm
-    2484100983U,	// VORPSrr
-    437276147U,	// VPABSBrm128
-    839929331U,	// VPABSBrm256
-    336612851U,	// VPABSBrr128
-    336612851U,	// VPABSBrr256
-    907035730U,	// VPABSDZrm
-    2450539602U,	// VPABSDZrmb
-    352339026U,	// VPABSDZrmbk
-    2499822674U,	// VPABSDZrmbkz
-    352339026U,	// VPABSDZrmk
-    2499822674U,	// VPABSDZrmkz
-    336610386U,	// VPABSDZrr
-    352339026U,	// VPABSDZrrk
-    2499822674U,	// VPABSDZrrkz
-    437277726U,	// VPABSDrm128
-    839930910U,	// VPABSDrm256
-    336614430U,	// VPABSDrr128
-    336614430U,	// VPABSDrr256
-    907036575U,	// VPABSQZrm
-    370165663U,	// VPABSQZrmb
-    352339871U,	// VPABSQZrmbk
-    2499823519U,	// VPABSQZrmbkz
-    352339871U,	// VPABSQZrmk
-    2499823519U,	// VPABSQZrmkz
-    336611231U,	// VPABSQZrr
-    352339871U,	// VPABSQZrrk
-    2499823519U,	// VPABSQZrrkz
-    437281800U,	// VPABSWrm128
-    839934984U,	// VPABSWrm256
-    336618504U,	// VPABSWrr128
-    336618504U,	// VPABSWrr256
-    2484101967U,	// VPACKSSDWYrm
-    2484101967U,	// VPACKSSDWYrr
-    2484101967U,	// VPACKSSDWrm
-    2484101967U,	// VPACKSSDWrr
-    2484096690U,	// VPACKSSWBYrm
-    2484096690U,	// VPACKSSWBYrr
-    2484096690U,	// VPACKSSWBrm
-    2484096690U,	// VPACKSSWBrr
-    2484101978U,	// VPACKUSDWYrm
-    2484101978U,	// VPACKUSDWYrr
-    2484101978U,	// VPACKUSDWrm
-    2484101978U,	// VPACKUSDWrr
-    2484096701U,	// VPACKUSWBYrm
-    2484096701U,	// VPACKUSWBYrr
-    2484096701U,	// VPACKUSWBrm
-    2484096701U,	// VPACKUSWBrr
-    2484096406U,	// VPADDBYrm
-    2484096406U,	// VPADDBYrr
-    2484096406U,	// VPADDBrm
-    2484096406U,	// VPADDBrr
-    2484096918U,	// VPADDDYrm
-    2484096918U,	// VPADDDYrr
-    2484093170U,	// VPADDDZrm
-    2484093170U,	// VPADDDZrmb
-    50348274U,	// VPADDDZrmbk
-    2499821810U,	// VPADDDZrmbkz
-    50348274U,	// VPADDDZrmk
-    2499821810U,	// VPADDDZrmkz
-    2484093170U,	// VPADDDZrr
-    50348274U,	// VPADDDZrrk
-    2499821810U,	// VPADDDZrrkz
-    2484096918U,	// VPADDDrm
-    2484096918U,	// VPADDDrr
-    2484099675U,	// VPADDQYrm
-    2484099675U,	// VPADDQYrr
-    2484094514U,	// VPADDQZrm
-    2484094514U,	// VPADDQZrmb
-    50349618U,	// VPADDQZrmbk
-    2499823154U,	// VPADDQZrmbkz
-    50349618U,	// VPADDQZrmk
-    2499823154U,	// VPADDQZrmkz
-    2484094514U,	// VPADDQZrr
-    50349618U,	// VPADDQZrrk
-    2499823154U,	// VPADDQZrrkz
-    2484099675U,	// VPADDQrm
-    2484099675U,	// VPADDQrr
-    2484096516U,	// VPADDSBYrm
-    2484096516U,	// VPADDSBYrr
-    2484096516U,	// VPADDSBrm
-    2484096516U,	// VPADDSBrr
-    2484102201U,	// VPADDSWYrm
-    2484102201U,	// VPADDSWYrr
-    2484102201U,	// VPADDSWrm
-    2484102201U,	// VPADDSWrr
-    2484096558U,	// VPADDUSBYrm
-    2484096558U,	// VPADDUSBYrr
-    2484096558U,	// VPADDUSBrm
-    2484096558U,	// VPADDUSBrr
-    2484102274U,	// VPADDUSWYrm
-    2484102274U,	// VPADDUSWYrr
-    2484102274U,	// VPADDUSWrm
-    2484102274U,	// VPADDUSWrr
-    2484101949U,	// VPADDWYrm
-    2484101949U,	// VPADDWYrr
-    2484101949U,	// VPADDWrm
-    2484101949U,	// VPADDWrr
-    2484100171U,	// VPALIGNR128rm
-    2484100171U,	// VPALIGNR128rr
-    2484100171U,	// VPALIGNR256rm
-    2484100171U,	// VPALIGNR256rr
-    2484093187U,	// VPANDDZrm
-    2484093187U,	// VPANDDZrmb
-    50348291U,	// VPANDDZrmbk
-    2499821827U,	// VPANDDZrmbkz
-    50348291U,	// VPANDDZrmk
-    2499821827U,	// VPANDDZrmkz
-    2484093187U,	// VPANDDZrr
-    50348291U,	// VPANDDZrrk
-    2499821827U,	// VPANDDZrrkz
-    2484093314U,	// VPANDNDZrm
-    2484093314U,	// VPANDNDZrmb
-    50348418U,	// VPANDNDZrmbk
-    2499821954U,	// VPANDNDZrmbkz
-    50348418U,	// VPANDNDZrmk
-    2499821954U,	// VPANDNDZrmkz
-    2484093314U,	// VPANDNDZrr
-    50348418U,	// VPANDNDZrrk
-    2499821954U,	// VPANDNDZrrkz
-    2484094791U,	// VPANDNQZrm
-    2484094791U,	// VPANDNQZrmb
-    50349895U,	// VPANDNQZrmbk
-    2499823431U,	// VPANDNQZrmbkz
-    50349895U,	// VPANDNQZrmk
-    2499823431U,	// VPANDNQZrmkz
-    2484094791U,	// VPANDNQZrr
-    50349895U,	// VPANDNQZrrk
-    2499823431U,	// VPANDNQZrrkz
-    2484099248U,	// VPANDNYrm
-    2484099248U,	// VPANDNYrr
-    2484099248U,	// VPANDNrm
-    2484099248U,	// VPANDNrr
-    2484094567U,	// VPANDQZrm
-    2484094567U,	// VPANDQZrmb
-    50349671U,	// VPANDQZrmbk
-    2499823207U,	// VPANDQZrmbkz
-    50349671U,	// VPANDQZrmk
-    2499823207U,	// VPANDQZrmkz
-    2484094567U,	// VPANDQZrr
-    50349671U,	// VPANDQZrrk
-    2499823207U,	// VPANDQZrrkz
-    2484097093U,	// VPANDYrm
-    2484097093U,	// VPANDYrr
-    2484097093U,	// VPANDrm
-    2484097093U,	// VPANDrr
-    2484096423U,	// VPAVGBYrm
-    2484096423U,	// VPAVGBYrr
-    2484096423U,	// VPAVGBrm
-    2484096423U,	// VPAVGBrr
-    2484102004U,	// VPAVGWYrm
-    2484102004U,	// VPAVGWYrr
-    2484102004U,	// VPAVGWrm
-    2484102004U,	// VPAVGWrr
-    2484096926U,	// VPBLENDDYrmi
-    2484096926U,	// VPBLENDDYrri
-    2484096926U,	// VPBLENDDrmi
-    2484096926U,	// VPBLENDDrri
-    352338253U,	// VPBLENDMDZrm
-    352338253U,	// VPBLENDMDZrr
-    352339730U,	// VPBLENDMQZrm
-    352339730U,	// VPBLENDMQZrr
-    2484096672U,	// VPBLENDVBYrm
-    2484096672U,	// VPBLENDVBYrr
-    2484096672U,	// VPBLENDVBrm
-    2484096672U,	// VPBLENDVBrr
-    2484101957U,	// VPBLENDWYrmi
-    2484101957U,	// VPBLENDWYrri
-    2484101957U,	// VPBLENDWrmi
-    2484101957U,	// VPBLENDWrri
-    504385129U,	// VPBROADCASTBYrm
-    336612969U,	// VPBROADCASTBYrr
-    504385129U,	// VPBROADCASTBrm
-    336612969U,	// VPBROADCASTBrr
-    303060225U,	// VPBROADCASTDYrm
-    336614657U,	// VPBROADCASTDYrr
-    2499822774U,	// VPBROADCASTDZkrm
-    2499822774U,	// VPBROADCASTDZkrr
-    303056054U,	// VPBROADCASTDZrm
-    336610486U,	// VPBROADCASTDZrr
-    2499822774U,	// VPBROADCASTDrZkrr
-    336610486U,	// VPBROADCASTDrZrr
-    303060225U,	// VPBROADCASTDrm
-    336614657U,	// VPBROADCASTDrr
-    336610734U,	// VPBROADCASTMB2Qrr
-    336609462U,	// VPBROADCASTMW2Drr
-    370170791U,	// VPBROADCASTQYrm
-    336616359U,	// VPBROADCASTQYrr
-    2499823581U,	// VPBROADCASTQZkrm
-    2499823581U,	// VPBROADCASTQZkrr
-    370165725U,	// VPBROADCASTQZrm
-    336611293U,	// VPBROADCASTQZrr
-    2499823581U,	// VPBROADCASTQrZkrr
-    336611293U,	// VPBROADCASTQrZrr
-    370170791U,	// VPBROADCASTQrm
-    336616359U,	// VPBROADCASTQrr
-    470836398U,	// VPBROADCASTWYrm
-    336618670U,	// VPBROADCASTWYrr
-    470836398U,	// VPBROADCASTWrm
-    336618670U,	// VPBROADCASTWrr
-    2484099770U,	// VPCLMULQDQrm
-    2484099770U,	// VPCLMULQDQrr
-    2484101788U,	// VPCMOVmr
-    2484101788U,	// VPCMOVmrY
-    2484101788U,	// VPCMOVrm
-    2484101788U,	// VPCMOVrmY
-    2484101788U,	// VPCMOVrr
-    2484101788U,	// VPCMOVrrY
-    1128623605U,	// VPCMPDZrmi
-    2484097675U,	// VPCMPDZrmi_alt
-    352342667U,	// VPCMPDZrmik_alt
-    54898165U,	// VPCMPDZrri
-    2484097675U,	// VPCMPDZrri_alt
-    352342667U,	// VPCMPDZrrik_alt
-    2484096471U,	// VPCMPEQBYrm
-    2484096471U,	// VPCMPEQBYrr
-    2484096471U,	// VPCMPEQBZ128rm
-    352341463U,	// VPCMPEQBZ128rmk
-    2484096471U,	// VPCMPEQBZ128rr
-    352341463U,	// VPCMPEQBZ128rrk
-    2484096471U,	// VPCMPEQBZ256rm
-    352341463U,	// VPCMPEQBZ256rmk
-    2484096471U,	// VPCMPEQBZ256rr
-    352341463U,	// VPCMPEQBZ256rrk
-    2484096471U,	// VPCMPEQBZrm
-    352341463U,	// VPCMPEQBZrmk
-    2484096471U,	// VPCMPEQBZrr
-    352341463U,	// VPCMPEQBZrrk
-    2484096471U,	// VPCMPEQBrm
-    2484096471U,	// VPCMPEQBrr
-    2484097836U,	// VPCMPEQDYrm
-    2484097836U,	// VPCMPEQDYrr
-    2484097836U,	// VPCMPEQDZ128rm
-    2484097836U,	// VPCMPEQDZ128rmb
-    352342828U,	// VPCMPEQDZ128rmbk
-    352342828U,	// VPCMPEQDZ128rmk
-    2484097836U,	// VPCMPEQDZ128rr
-    352342828U,	// VPCMPEQDZ128rrk
-    2484097836U,	// VPCMPEQDZ256rm
-    2484097836U,	// VPCMPEQDZ256rmb
-    352342828U,	// VPCMPEQDZ256rmbk
-    352342828U,	// VPCMPEQDZ256rmk
-    2484097836U,	// VPCMPEQDZ256rr
-    352342828U,	// VPCMPEQDZ256rrk
-    2484097836U,	// VPCMPEQDZrm
-    2484097836U,	// VPCMPEQDZrmb
-    352342828U,	// VPCMPEQDZrmbk
-    352342828U,	// VPCMPEQDZrmk
-    2484097836U,	// VPCMPEQDZrr
-    352342828U,	// VPCMPEQDZrrk
-    2484097836U,	// VPCMPEQDrm
-    2484097836U,	// VPCMPEQDrr
-    2484099911U,	// VPCMPEQQYrm
-    2484099911U,	// VPCMPEQQYrr
-    2484099911U,	// VPCMPEQQZ128rm
-    2484099911U,	// VPCMPEQQZ128rmb
-    352344903U,	// VPCMPEQQZ128rmbk
-    352344903U,	// VPCMPEQQZ128rmk
-    2484099911U,	// VPCMPEQQZ128rr
-    352344903U,	// VPCMPEQQZ128rrk
-    2484099911U,	// VPCMPEQQZ256rm
-    2484099911U,	// VPCMPEQQZ256rmb
-    352344903U,	// VPCMPEQQZ256rmbk
-    352344903U,	// VPCMPEQQZ256rmk
-    2484099911U,	// VPCMPEQQZ256rr
-    352344903U,	// VPCMPEQQZ256rrk
-    2484099911U,	// VPCMPEQQZrm
-    2484099911U,	// VPCMPEQQZrmb
-    352344903U,	// VPCMPEQQZrmbk
-    352344903U,	// VPCMPEQQZrmk
-    2484099911U,	// VPCMPEQQZrr
-    352344903U,	// VPCMPEQQZrrk
-    2484099911U,	// VPCMPEQQrm
-    2484099911U,	// VPCMPEQQrr
-    2484102109U,	// VPCMPEQWYrm
-    2484102109U,	// VPCMPEQWYrr
-    2484102109U,	// VPCMPEQWZ128rm
-    352347101U,	// VPCMPEQWZ128rmk
-    2484102109U,	// VPCMPEQWZ128rr
-    352347101U,	// VPCMPEQWZ128rrk
-    2484102109U,	// VPCMPEQWZ256rm
-    352347101U,	// VPCMPEQWZ256rmk
-    2484102109U,	// VPCMPEQWZ256rr
-    352347101U,	// VPCMPEQWZ256rrk
-    2484102109U,	// VPCMPEQWZrm
-    352347101U,	// VPCMPEQWZrmk
-    2484102109U,	// VPCMPEQWZrr
-    352347101U,	// VPCMPEQWZrrk
-    2484102109U,	// VPCMPEQWrm
-    2484102109U,	// VPCMPEQWrr
+    20613U,	// UCOM_Fr
+    10087U,	// UD2B
+    202393892U,	// UNPCKHPDrm
+    34621732U,	// UNPCKHPDrr
+    202397942U,	// UNPCKHPSrm
+    34625782U,	// UNPCKHPSrr
+    202393934U,	// UNPCKLPDrm
+    34621774U,	// UNPCKLPDrr
+    202398004U,	// UNPCKLPSrm
+    34625844U,	// UNPCKLPSrr
+    2651874215U,	// VAARG_64
+    2484095173U,	// VADDPDYrm
+    2484095173U,	// VADDPDYrr
+    2498775237U,	// VADDPDZ128rm
+    2498775237U,	// VADDPDZ128rmb
+    2197833925U,	// VADDPDZ128rmbk
+    352340165U,	// VADDPDZ128rmbkz
+    2197833925U,	// VADDPDZ128rmk
+    352340165U,	// VADDPDZ128rmkz
+    2498775237U,	// VADDPDZ128rr
+    2197833925U,	// VADDPDZ128rrk
+    352340165U,	// VADDPDZ128rrkz
+    2498775237U,	// VADDPDZ256rm
+    2498775237U,	// VADDPDZ256rmb
+    2197833925U,	// VADDPDZ256rmbk
+    352340165U,	// VADDPDZ256rmbkz
+    2197833925U,	// VADDPDZ256rmk
+    352340165U,	// VADDPDZ256rmkz
+    2498775237U,	// VADDPDZ256rr
+    2197833925U,	// VADDPDZ256rrk
+    352340165U,	// VADDPDZ256rrkz
+    2498775237U,	// VADDPDZrb
+    2197833925U,	// VADDPDZrbk
+    352340165U,	// VADDPDZrbkz
+    2498775237U,	// VADDPDZrm
+    2498775237U,	// VADDPDZrmb
+    2197833925U,	// VADDPDZrmbk
+    352340165U,	// VADDPDZrmbkz
+    2197833925U,	// VADDPDZrmk
+    352340165U,	// VADDPDZrmkz
+    2498775237U,	// VADDPDZrr
+    2197833925U,	// VADDPDZrrk
+    352340165U,	// VADDPDZrrkz
+    2484095173U,	// VADDPDrm
+    2484095173U,	// VADDPDrr
+    2484099223U,	// VADDPSYrm
+    2484099223U,	// VADDPSYrr
+    2498779287U,	// VADDPSZ128rm
+    2498779287U,	// VADDPSZ128rmb
+    2197837975U,	// VADDPSZ128rmbk
+    352344215U,	// VADDPSZ128rmbkz
+    2197837975U,	// VADDPSZ128rmk
+    352344215U,	// VADDPSZ128rmkz
+    2498779287U,	// VADDPSZ128rr
+    2197837975U,	// VADDPSZ128rrk
+    352344215U,	// VADDPSZ128rrkz
+    2498779287U,	// VADDPSZ256rm
+    2498779287U,	// VADDPSZ256rmb
+    2197837975U,	// VADDPSZ256rmbk
+    352344215U,	// VADDPSZ256rmbkz
+    2197837975U,	// VADDPSZ256rmk
+    352344215U,	// VADDPSZ256rmkz
+    2498779287U,	// VADDPSZ256rr
+    2197837975U,	// VADDPSZ256rrk
+    352344215U,	// VADDPSZ256rrkz
+    2498779287U,	// VADDPSZrb
+    2197837975U,	// VADDPSZrbk
+    352344215U,	// VADDPSZrbkz
+    2498779287U,	// VADDPSZrm
+    2498779287U,	// VADDPSZrmb
+    2197837975U,	// VADDPSZrmbk
+    352344215U,	// VADDPSZrmbkz
+    2197837975U,	// VADDPSZrmk
+    352344215U,	// VADDPSZrmkz
+    2498779287U,	// VADDPSZrr
+    2197837975U,	// VADDPSZrrk
+    352344215U,	// VADDPSZrrkz
+    2484099223U,	// VADDPSrm
+    2484099223U,	// VADDPSrr
+    2484095968U,	// VADDSDZrm
+    2498776032U,	// VADDSDZrm_Int
+    2197834720U,	// VADDSDZrm_Intk
+    352340960U,	// VADDSDZrm_Intkz
+    2484095968U,	// VADDSDZrr
+    2498776032U,	// VADDSDZrr_Int
+    2197834720U,	// VADDSDZrr_Intk
+    352340960U,	// VADDSDZrr_Intkz
+    2498776032U,	// VADDSDZrrb
+    2197834720U,	// VADDSDZrrbk
+    352340960U,	// VADDSDZrrbkz
+    2484095968U,	// VADDSDrm
+    2484095968U,	// VADDSDrm_Int
+    2484095968U,	// VADDSDrr
+    2484095968U,	// VADDSDrr_Int
+    2484099937U,	// VADDSSZrm
+    2498780001U,	// VADDSSZrm_Int
+    2197838689U,	// VADDSSZrm_Intk
+    352344929U,	// VADDSSZrm_Intkz
+    2484099937U,	// VADDSSZrr
+    2498780001U,	// VADDSSZrr_Int
+    2197838689U,	// VADDSSZrr_Intk
+    352344929U,	// VADDSSZrr_Intkz
+    2498780001U,	// VADDSSZrrb
+    2197838689U,	// VADDSSZrrbk
+    352344929U,	// VADDSSZrrbkz
+    2484099937U,	// VADDSSrm
+    2484099937U,	// VADDSSrm_Int
+    2484099937U,	// VADDSSrr
+    2484099937U,	// VADDSSrr_Int
+    2484095081U,	// VADDSUBPDYrm
+    2484095081U,	// VADDSUBPDYrr
+    2484095081U,	// VADDSUBPDrm
+    2484095081U,	// VADDSUBPDrr
+    2484099131U,	// VADDSUBPSYrm
+    2484099131U,	// VADDSUBPSYrr
+    2484099131U,	// VADDSUBPSrm
+    2484099131U,	// VADDSUBPSrr
+    2484100245U,	// VAESDECLASTrm
+    2484100245U,	// VAESDECLASTrr
+    2484094117U,	// VAESDECrm
+    2484094117U,	// VAESDECrr
+    2484100258U,	// VAESENCLASTrm
+    2484100258U,	// VAESENCLASTrr
+    2484094165U,	// VAESENCrm
+    2484094165U,	// VAESENCrr
+    437273804U,	// VAESIMCrm
+    336610508U,	// VAESIMCrr
+    2584763586U,	// VAESKEYGENASSIST128rm
+    2484100290U,	// VAESKEYGENASSIST128rr
+    2484094637U,	// VALIGNDrmi
+    2498774701U,	// VALIGNDrri
+    2197833389U,	// VALIGNDrrik
+    352339629U,	// VALIGNDrrikz
+    2484098082U,	// VALIGNQrmi
+    2498778146U,	// VALIGNQrri
+    2197836834U,	// VALIGNQrrik
+    352343074U,	// VALIGNQrrikz
+    2484095365U,	// VANDNPDYrm
+    2484095365U,	// VANDNPDYrr
+    2484095365U,	// VANDNPDrm
+    2484095365U,	// VANDNPDrr
+    2484099427U,	// VANDNPSYrm
+    2484099427U,	// VANDNPSYrr
+    2484099427U,	// VANDNPSrm
+    2484099427U,	// VANDNPSrr
+    2484095192U,	// VANDPDYrm
+    2484095192U,	// VANDPDYrr
+    2484095192U,	// VANDPDrm
+    2484095192U,	// VANDPDrr
+    2484099242U,	// VANDPSYrm
+    2484099242U,	// VANDPSYrr
+    2484099242U,	// VANDPSrm
+    2484099242U,	// VANDPSrr
+    2484102103U,	// VASTART_SAVE_XMM_REGS
+    219171185U,	// VBLENDMPDZ128rm
+    2484095345U,	// VBLENDMPDZ128rmb
+    2499823985U,	// VBLENDMPDZ128rmbk
+    2499823985U,	// VBLENDMPDZ128rmk
+    352340337U,	// VBLENDMPDZ128rmkz
+    2484095345U,	// VBLENDMPDZ128rr
+    2499823985U,	// VBLENDMPDZ128rrk
+    352340337U,	// VBLENDMPDZ128rrkz
+    923814257U,	// VBLENDMPDZ256rm
+    2484095345U,	// VBLENDMPDZ256rmb
+    2499823985U,	// VBLENDMPDZ256rmbk
+    2499823985U,	// VBLENDMPDZ256rmk
+    352340337U,	// VBLENDMPDZ256rmkz
+    2484095345U,	// VBLENDMPDZ256rr
+    2499823985U,	// VBLENDMPDZ256rrk
+    352340337U,	// VBLENDMPDZ256rrkz
+    957368689U,	// VBLENDMPDZrm
+    2484095345U,	// VBLENDMPDZrmb
+    2499823985U,	// VBLENDMPDZrmbk
+    2499823985U,	// VBLENDMPDZrmk
+    352340337U,	// VBLENDMPDZrmkz
+    2484095345U,	// VBLENDMPDZrr
+    2499823985U,	// VBLENDMPDZrrk
+    352340337U,	// VBLENDMPDZrrkz
+    219175247U,	// VBLENDMPSZ128rm
+    2484099407U,	// VBLENDMPSZ128rmb
+    2499828047U,	// VBLENDMPSZ128rmbk
+    2499828047U,	// VBLENDMPSZ128rmk
+    352344399U,	// VBLENDMPSZ128rmkz
+    2484099407U,	// VBLENDMPSZ128rr
+    2499828047U,	// VBLENDMPSZ128rrk
+    352344399U,	// VBLENDMPSZ128rrkz
+    923818319U,	// VBLENDMPSZ256rm
+    2484099407U,	// VBLENDMPSZ256rmb
+    2499828047U,	// VBLENDMPSZ256rmbk
+    2499828047U,	// VBLENDMPSZ256rmk
+    352344399U,	// VBLENDMPSZ256rmkz
+    2484099407U,	// VBLENDMPSZ256rr
+    2499828047U,	// VBLENDMPSZ256rrk
+    352344399U,	// VBLENDMPSZ256rrkz
+    957372751U,	// VBLENDMPSZrm
+    2484099407U,	// VBLENDMPSZrmb
+    2499828047U,	// VBLENDMPSZrmbk
+    2499828047U,	// VBLENDMPSZrmk
+    352344399U,	// VBLENDMPSZrmkz
+    2484099407U,	// VBLENDMPSZrr
+    2499828047U,	// VBLENDMPSZrrk
+    352344399U,	// VBLENDMPSZrrkz
+    2484095200U,	// VBLENDPDYrmi
+    2484095200U,	// VBLENDPDYrri
+    2484095200U,	// VBLENDPDrmi
+    2484095200U,	// VBLENDPDrri
+    2484099250U,	// VBLENDPSYrmi
+    2484099250U,	// VBLENDPSYrri
+    2484099250U,	// VBLENDPSrmi
+    2484099250U,	// VBLENDPSrri
+    2484095487U,	// VBLENDVPDYrm
+    2484095487U,	// VBLENDVPDYrr
+    2484095487U,	// VBLENDVPDrm
+    2484095487U,	// VBLENDVPDrr
+    2484099590U,	// VBLENDVPSYrm
+    2484099590U,	// VBLENDVPSYrr
+    2484099590U,	// VBLENDVPSrm
+    2484099590U,	// VBLENDVPSrr
+    537936350U,	// VBROADCASTF128
+    352338256U,	// VBROADCASTI32X4krm
+    437272912U,	// VBROADCASTI32X4rm
+    352338331U,	// VBROADCASTI64X4krm
+    974143899U,	// VBROADCASTI64X4rm
+    571493465U,	// VBROADCASTSDYrm
+    336612441U,	// VBROADCASTSDYrr
+    586173529U,	// VBROADCASTSDZ256m
+    2197834841U,	// VBROADCASTSDZ256mk
+    352341081U,	// VBROADCASTSDZ256mkz
+    351292505U,	// VBROADCASTSDZ256r
+    2197834841U,	// VBROADCASTSDZ256rk
+    352341081U,	// VBROADCASTSDZ256rkz
+    586173529U,	// VBROADCASTSDZm
+    2197834841U,	// VBROADCASTSDZmk
+    352341081U,	// VBROADCASTSDZmkz
+    351292505U,	// VBROADCASTSDZr
+    2197834841U,	// VBROADCASTSDZrk
+    352341081U,	// VBROADCASTSDZrkz
+    605051855U,	// VBROADCASTSSYrm
+    336616399U,	// VBROADCASTSSYrr
+    619731919U,	// VBROADCASTSSZ128m
+    2197838799U,	// VBROADCASTSSZ128mk
+    352345039U,	// VBROADCASTSSZ128mkz
+    351296463U,	// VBROADCASTSSZ128r
+    2197838799U,	// VBROADCASTSSZ128rk
+    352345039U,	// VBROADCASTSSZ128rkz
+    619731919U,	// VBROADCASTSSZ256m
+    2197838799U,	// VBROADCASTSSZ256mk
+    352345039U,	// VBROADCASTSSZ256mkz
+    351296463U,	// VBROADCASTSSZ256r
+    2197838799U,	// VBROADCASTSSZ256rk
+    352345039U,	// VBROADCASTSSZ256rkz
+    619731919U,	// VBROADCASTSSZm
+    2197838799U,	// VBROADCASTSSZmk
+    352345039U,	// VBROADCASTSSZmkz
+    351296463U,	// VBROADCASTSSZr
+    2197838799U,	// VBROADCASTSSZrk
+    352345039U,	// VBROADCASTSSZrkz
+    605051855U,	// VBROADCASTSSrm
+    336616399U,	// VBROADCASTSSrr
+    2486528417U,	// VCMPPDYrmi
+    2484095389U,	// VCMPPDYrmi_alt
+    2486544801U,	// VCMPPDYrri
+    2484095389U,	// VCMPPDYrri_alt
+    2486528417U,	// VCMPPDZrmi
+    2484095389U,	// VCMPPDZrmi_alt
+    2486544801U,	// VCMPPDZrri
+    2484095389U,	// VCMPPDZrri_alt
+    2486544801U,	// VCMPPDZrrib
+    2484095389U,	// VCMPPDZrrib_alt
+    2486528417U,	// VCMPPDrmi
+    2484095389U,	// VCMPPDrmi_alt
+    2486544801U,	// VCMPPDrri
+    2484095389U,	// VCMPPDrri_alt
+    2487576993U,	// VCMPPSYrmi
+    2484099459U,	// VCMPPSYrmi_alt
+    2487593377U,	// VCMPPSYrri
+    2484099459U,	// VCMPPSYrri_alt
+    2487576993U,	// VCMPPSZrmi
+    2484099459U,	// VCMPPSZrmi_alt
+    2487593377U,	// VCMPPSZrri
+    2484099459U,	// VCMPPSZrri_alt
+    2487593377U,	// VCMPPSZrrib
+    2484099459U,	// VCMPPSZrrib_alt
+    2487576993U,	// VCMPPSrmi
+    2484099459U,	// VCMPPSrmi_alt
+    2487593377U,	// VCMPPSrri
+    2484099459U,	// VCMPPSrri_alt
+    2488625569U,	// VCMPSDZrm
+    2484096050U,	// VCMPSDZrmi_alt
+    2488641953U,	// VCMPSDZrr
+    2484096050U,	// VCMPSDZrri_alt
+    2488625569U,	// VCMPSDrm
+    2484096050U,	// VCMPSDrm_alt
+    2488641953U,	// VCMPSDrr
+    2484096050U,	// VCMPSDrr_alt
+    2489674145U,	// VCMPSSZrm
+    2484100011U,	// VCMPSSZrmi_alt
+    2489690529U,	// VCMPSSZrr
+    2484100011U,	// VCMPSSZrri_alt
+    2489674145U,	// VCMPSSrm
+    2484100011U,	// VCMPSSrm_alt
+    2489690529U,	// VCMPSSrr
+    2484100011U,	// VCMPSSrr_alt
+    537938953U,	// VCOMISDZrm
+    336612361U,	// VCOMISDZrr
+    537938953U,	// VCOMISDrm
+    336612361U,	// VCOMISDrr
+    537942922U,	// VCOMISSZrm
+    336616330U,	// VCOMISSZrr
+    537942922U,	// VCOMISSrm
+    336616330U,	// VCOMISSrr
+    2164853197U,	// VCOMPRESSPDZ128mrk
+    2197834189U,	// VCOMPRESSPDZ128rrk
+    352340429U,	// VCOMPRESSPDZ128rrkz
+    2164951501U,	// VCOMPRESSPDZ256mrk
+    2197834189U,	// VCOMPRESSPDZ256rrk
+    352340429U,	// VCOMPRESSPDZ256rrkz
+    2164967885U,	// VCOMPRESSPDZmrk
+    2197834189U,	// VCOMPRESSPDZrrk
+    352340429U,	// VCOMPRESSPDZrrkz
+    2164857267U,	// VCOMPRESSPSZ128mrk
+    2197838259U,	// VCOMPRESSPSZ128rrk
+    352344499U,	// VCOMPRESSPSZ128rrkz
+    2164955571U,	// VCOMPRESSPSZ256mrk
+    2197838259U,	// VCOMPRESSPSZ256rrk
+    352344499U,	// VCOMPRESSPSZ256rrkz
+    2164971955U,	// VCOMPRESSPSZmrk
+    2197838259U,	// VCOMPRESSPSZrrk
+    352344499U,	// VCOMPRESSPSZrrkz
+    437274524U,	// VCVTDQ2PDYrm
+    336611228U,	// VCVTDQ2PDYrr
+    974145436U,	// VCVTDQ2PDZrm
+    336611228U,	// VCVTDQ2PDZrr
+    370165660U,	// VCVTDQ2PDrm
+    336611228U,	// VCVTDQ2PDrr
+    974149505U,	// VCVTDQ2PSYrm
+    336615297U,	// VCVTDQ2PSYrr
+    1007703937U,	// VCVTDQ2PSZrm
+    336615297U,	// VCVTDQ2PSZrr
+    2484098945U,	// VCVTDQ2PSZrrb
+    437278593U,	// VCVTDQ2PSrm
+    336615297U,	// VCVTDQ2PSrr
+    537944179U,	// VCVTPD2DQXrm
+    1041257068U,	// VCVTPD2DQYrm
+    336613996U,	// VCVTPD2DQYrr
+    1074811500U,	// VCVTPD2DQZrm
+    336613996U,	// VCVTPD2DQZrr
+    2484097644U,	// VCVTPD2DQZrrb
+    336613996U,	// VCVTPD2DQrr
+    537944209U,	// VCVTPD2PSXrm
+    1041258305U,	// VCVTPD2PSYrm
+    336615233U,	// VCVTPD2PSYrr
+    1074812737U,	// VCVTPD2PSZrm
+    336615233U,	// VCVTPD2PSZrr
+    2484098881U,	// VCVTPD2PSZrrb
+    336615233U,	// VCVTPD2PSrr
+    1074811734U,	// VCVTPD2UDQZrm
+    336614230U,	// VCVTPD2UDQZrr
+    2484097878U,	// VCVTPD2UDQZrrb
+    537941836U,	// VCVTPH2PSYrm
+    336615244U,	// VCVTPH2PSYrr
+    1041258316U,	// VCVTPH2PSZrm
+    336615244U,	// VCVTPH2PSZrr
+    571496268U,	// VCVTPH2PSrm
+    336615244U,	// VCVTPH2PSrr
+    1041257100U,	// VCVTPS2DQYrm
+    336614028U,	// VCVTPS2DQYrr
+    1074811532U,	// VCVTPS2DQZrm
+    336614028U,	// VCVTPS2DQZrr
+    2484097676U,	// VCVTPS2DQZrrb
+    537940620U,	// VCVTPS2DQrm
+    336614028U,	// VCVTPS2DQrr
+    537937843U,	// VCVTPS2PDYrm
+    336611251U,	// VCVTPS2PDYrr
+    1041254323U,	// VCVTPS2PDZrm
+    336611251U,	// VCVTPS2PDZrr
+    571492275U,	// VCVTPS2PDrm
+    336611251U,	// VCVTPS2PDrr
+    2149125857U,	// VCVTPS2PHYmr
+    2484096737U,	// VCVTPS2PHYrr
+    2149224161U,	// VCVTPS2PHZmr
+    2484096737U,	// VCVTPS2PHZrr
+    2148667105U,	// VCVTPS2PHmr
+    2484096737U,	// VCVTPS2PHrr
+    1074811759U,	// VCVTPS2UDQZrm
+    336614255U,	// VCVTPS2UDQZrr
+    2484097903U,	// VCVTPS2UDQZrrb
+    571494284U,	// VCVTSD2SI64Zrm
+    336613260U,	// VCVTSD2SI64Zrr
+    571494284U,	// VCVTSD2SI64rm
+    336613260U,	// VCVTSD2SI64rr
+    571494284U,	// VCVTSD2SIZrm
+    336613260U,	// VCVTSD2SIZrr
+    571494284U,	// VCVTSD2SIrm
+    336613260U,	// VCVTSD2SIrr
+    2484099755U,	// VCVTSD2SSZrm
+    2484099755U,	// VCVTSD2SSZrr
+    2484099755U,	// VCVTSD2SSrm
+    2484099755U,	// VCVTSD2SSrr
+    571494337U,	// VCVTSD2USI64Zrm
+    336613313U,	// VCVTSD2USI64Zrr
+    571494337U,	// VCVTSD2USIZrm
+    336613313U,	// VCVTSD2USIZrr
+    2484095778U,	// VCVTSI2SD64rm
+    2484095778U,	// VCVTSI2SD64rr
+    2484095778U,	// VCVTSI2SDZrm
+    2484095778U,	// VCVTSI2SDZrr
+    2484095778U,	// VCVTSI2SDrm
+    2484095778U,	// VCVTSI2SDrr
+    2484099766U,	// VCVTSI2SS64rm
+    2484099766U,	// VCVTSI2SS64rr
+    2484099766U,	// VCVTSI2SSZrm
+    2484099766U,	// VCVTSI2SSZrr
+    2484099766U,	// VCVTSI2SSrm
+    2484099766U,	// VCVTSI2SSrr
+    2484095778U,	// VCVTSI642SDZrm
+    2484095778U,	// VCVTSI642SDZrr
+    2484099766U,	// VCVTSI642SSZrm
+    2484099766U,	// VCVTSI642SSZrr
+    2484095801U,	// VCVTSS2SDZrm
+    2484095801U,	// VCVTSS2SDZrr
+    2484095801U,	// VCVTSS2SDrm
+    2484095801U,	// VCVTSS2SDrr
+    605048739U,	// VCVTSS2SI64Zrm
+    336613283U,	// VCVTSS2SI64Zrr
+    605048739U,	// VCVTSS2SI64rm
+    336613283U,	// VCVTSS2SI64rr
+    605048739U,	// VCVTSS2SIZrm
+    336613283U,	// VCVTSS2SIZrr
+    605048739U,	// VCVTSS2SIrm
+    336613283U,	// VCVTSS2SIrr
+    605048794U,	// VCVTSS2USI64Zrm
+    336613338U,	// VCVTSS2USI64Zrr
+    605048794U,	// VCVTSS2USIZrm
+    336613338U,	// VCVTSS2USIZrr
+    537944166U,	// VCVTTPD2DQXrm
+    1041257056U,	// VCVTTPD2DQYrm
+    336613984U,	// VCVTTPD2DQYrr
+    1074811488U,	// VCVTTPD2DQZrm
+    336613984U,	// VCVTTPD2DQZrr
+    336613984U,	// VCVTTPD2DQrr
+    1074811721U,	// VCVTTPD2UDQZrm
+    336614217U,	// VCVTTPD2UDQZrr
+    1041257088U,	// VCVTTPS2DQYrm
+    336614016U,	// VCVTTPS2DQYrr
+    1074811520U,	// VCVTTPS2DQZrm
+    336614016U,	// VCVTTPS2DQZrr
+    537940608U,	// VCVTTPS2DQrm
+    336614016U,	// VCVTTPS2DQrr
+    1074811746U,	// VCVTTPS2UDQZrm
+    336614242U,	// VCVTTPS2UDQZrr
+    571494272U,	// VCVTTSD2SI64Zrm
+    336613248U,	// VCVTTSD2SI64Zrr
+    571494272U,	// VCVTTSD2SI64rm
+    336613248U,	// VCVTTSD2SI64rr
+    571494272U,	// VCVTTSD2SIZrm
+    336613248U,	// VCVTTSD2SIZrr
+    571494272U,	// VCVTTSD2SIrm
+    336613248U,	// VCVTTSD2SIrr
+    571494324U,	// VCVTTSD2USI64Zrm
+    336613300U,	// VCVTTSD2USI64Zrr
+    571494324U,	// VCVTTSD2USIZrm
+    336613300U,	// VCVTTSD2USIZrr
+    605048727U,	// VCVTTSS2SI64Zrm
+    336613271U,	// VCVTTSS2SI64Zrr
+    605048727U,	// VCVTTSS2SI64rm
+    336613271U,	// VCVTTSS2SI64rr
+    605048727U,	// VCVTTSS2SIZrm
+    336613271U,	// VCVTTSS2SIZrr
+    605048727U,	// VCVTTSS2SIrm
+    336613271U,	// VCVTTSS2SIrr
+    605048781U,	// VCVTTSS2USI64Zrm
+    336613325U,	// VCVTTSS2USI64Zrr
+    605048781U,	// VCVTTSS2USIZrm
+    336613325U,	// VCVTTSS2USIZrr
+    1041254311U,	// VCVTUDQ2PDZrm
+    336611239U,	// VCVTUDQ2PDZrr
+    1074812812U,	// VCVTUDQ2PSZrm
+    336615308U,	// VCVTUDQ2PSZrr
+    2484098956U,	// VCVTUDQ2PSZrrb
+    2484095789U,	// VCVTUSI2SDZrm
+    2484095789U,	// VCVTUSI2SDZrr
+    2484099777U,	// VCVTUSI2SSZrm
+    2484099777U,	// VCVTUSI2SSZrr
+    2484095789U,	// VCVTUSI642SDZrm
+    2484095789U,	// VCVTUSI642SDZrr
+    2484099777U,	// VCVTUSI642SSZrm
+    2484099777U,	// VCVTUSI642SSZrr
+    2484095498U,	// VDIVPDYrm
+    2484095498U,	// VDIVPDYrr
+    2498775562U,	// VDIVPDZ128rm
+    2498775562U,	// VDIVPDZ128rmb
+    2197834250U,	// VDIVPDZ128rmbk
+    352340490U,	// VDIVPDZ128rmbkz
+    2197834250U,	// VDIVPDZ128rmk
+    352340490U,	// VDIVPDZ128rmkz
+    2498775562U,	// VDIVPDZ128rr
+    2197834250U,	// VDIVPDZ128rrk
+    352340490U,	// VDIVPDZ128rrkz
+    2498775562U,	// VDIVPDZ256rm
+    2498775562U,	// VDIVPDZ256rmb
+    2197834250U,	// VDIVPDZ256rmbk
+    352340490U,	// VDIVPDZ256rmbkz
+    2197834250U,	// VDIVPDZ256rmk
+    352340490U,	// VDIVPDZ256rmkz
+    2498775562U,	// VDIVPDZ256rr
+    2197834250U,	// VDIVPDZ256rrk
+    352340490U,	// VDIVPDZ256rrkz
+    2498775562U,	// VDIVPDZrb
+    2197834250U,	// VDIVPDZrbk
+    352340490U,	// VDIVPDZrbkz
+    2498775562U,	// VDIVPDZrm
+    2498775562U,	// VDIVPDZrmb
+    2197834250U,	// VDIVPDZrmbk
+    352340490U,	// VDIVPDZrmbkz
+    2197834250U,	// VDIVPDZrmk
+    352340490U,	// VDIVPDZrmkz
+    2498775562U,	// VDIVPDZrr
+    2197834250U,	// VDIVPDZrrk
+    352340490U,	// VDIVPDZrrkz
+    2484095498U,	// VDIVPDrm
+    2484095498U,	// VDIVPDrr
+    2484099601U,	// VDIVPSYrm
+    2484099601U,	// VDIVPSYrr
+    2498779665U,	// VDIVPSZ128rm
+    2498779665U,	// VDIVPSZ128rmb
+    2197838353U,	// VDIVPSZ128rmbk
+    352344593U,	// VDIVPSZ128rmbkz
+    2197838353U,	// VDIVPSZ128rmk
+    352344593U,	// VDIVPSZ128rmkz
+    2498779665U,	// VDIVPSZ128rr
+    2197838353U,	// VDIVPSZ128rrk
+    352344593U,	// VDIVPSZ128rrkz
+    2498779665U,	// VDIVPSZ256rm
+    2498779665U,	// VDIVPSZ256rmb
+    2197838353U,	// VDIVPSZ256rmbk
+    352344593U,	// VDIVPSZ256rmbkz
+    2197838353U,	// VDIVPSZ256rmk
+    352344593U,	// VDIVPSZ256rmkz
+    2498779665U,	// VDIVPSZ256rr
+    2197838353U,	// VDIVPSZ256rrk
+    352344593U,	// VDIVPSZ256rrkz
+    2498779665U,	// VDIVPSZrb
+    2197838353U,	// VDIVPSZrbk
+    352344593U,	// VDIVPSZrbkz
+    2498779665U,	// VDIVPSZrm
+    2498779665U,	// VDIVPSZrmb
+    2197838353U,	// VDIVPSZrmbk
+    352344593U,	// VDIVPSZrmbkz
+    2197838353U,	// VDIVPSZrmk
+    352344593U,	// VDIVPSZrmkz
+    2498779665U,	// VDIVPSZrr
+    2197838353U,	// VDIVPSZrrk
+    352344593U,	// VDIVPSZrrkz
+    2484099601U,	// VDIVPSrm
+    2484099601U,	// VDIVPSrr
+    2484096103U,	// VDIVSDZrm
+    2498776167U,	// VDIVSDZrm_Int
+    2197834855U,	// VDIVSDZrm_Intk
+    352341095U,	// VDIVSDZrm_Intkz
+    2484096103U,	// VDIVSDZrr
+    2498776167U,	// VDIVSDZrr_Int
+    2197834855U,	// VDIVSDZrr_Intk
+    352341095U,	// VDIVSDZrr_Intkz
+    2498776167U,	// VDIVSDZrrb
+    2197834855U,	// VDIVSDZrrbk
+    352341095U,	// VDIVSDZrrbkz
+    2484096103U,	// VDIVSDrm
+    2484096103U,	// VDIVSDrm_Int
+    2484096103U,	// VDIVSDrr
+    2484096103U,	// VDIVSDrr_Int
+    2484100061U,	// VDIVSSZrm
+    2498780125U,	// VDIVSSZrm_Int
+    2197838813U,	// VDIVSSZrm_Intk
+    352345053U,	// VDIVSSZrm_Intkz
+    2484100061U,	// VDIVSSZrr
+    2498780125U,	// VDIVSSZrr_Int
+    2197838813U,	// VDIVSSZrr_Intk
+    352345053U,	// VDIVSSZrr_Intkz
+    2498780125U,	// VDIVSSZrrb
+    2197838813U,	// VDIVSSZrrbk
+    352345053U,	// VDIVSSZrrbkz
+    2484100061U,	// VDIVSSrm
+    2484100061U,	// VDIVSSrm_Int
+    2484100061U,	// VDIVSSrr
+    2484100061U,	// VDIVSSrr_Int
+    2484095382U,	// VDPPDrmi
+    2484095382U,	// VDPPDrri
+    2484099452U,	// VDPPSYrmi
+    2484099452U,	// VDPPSYrri
+    2484099452U,	// VDPPSrmi
+    2484099452U,	// VDPPSrri
+    38409U,	// VERRm
+    22025U,	// VERRr
+    40683U,	// VERWm
+    24299U,	// VERWr
+    1089488787U,	// VEXP2PDm
+    1089488787U,	// VEXP2PDmb
+    2197833619U,	// VEXP2PDmbk
+    352339859U,	// VEXP2PDmbkz
+    2197833619U,	// VEXP2PDmk
+    352339859U,	// VEXP2PDmkz
+    351291283U,	// VEXP2PDr
+    1126188947U,	// VEXP2PDrb
+    2197833619U,	// VEXP2PDrbk
+    352339859U,	// VEXP2PDrbkz
+    2197833619U,	// VEXP2PDrk
+    352339859U,	// VEXP2PDrkz
+    1089492856U,	// VEXP2PSm
+    1089492856U,	// VEXP2PSmb
+    2197837688U,	// VEXP2PSmbk
+    352343928U,	// VEXP2PSmbkz
+    2197837688U,	// VEXP2PSmk
+    352343928U,	// VEXP2PSmkz
+    351295352U,	// VEXP2PSr
+    1126193016U,	// VEXP2PSrb
+    2197837688U,	// VEXP2PSrbk
+    352343928U,	// VEXP2PSrbkz
+    2197837688U,	// VEXP2PSrk
+    352343928U,	// VEXP2PSrkz
+    2197833933U,	// VEXPANDPDZ128rmk
+    352340173U,	// VEXPANDPDZ128rmkz
+    2197833933U,	// VEXPANDPDZ128rrk
+    352340173U,	// VEXPANDPDZ128rrkz
+    2197833933U,	// VEXPANDPDZ256rmk
+    352340173U,	// VEXPANDPDZ256rmkz
+    2197833933U,	// VEXPANDPDZ256rrk
+    352340173U,	// VEXPANDPDZ256rrkz
+    2197833933U,	// VEXPANDPDZrmk
+    352340173U,	// VEXPANDPDZrmkz
+    2197833933U,	// VEXPANDPDZrrk
+    352340173U,	// VEXPANDPDZrrkz
+    2197837983U,	// VEXPANDPSZ128rmk
+    352344223U,	// VEXPANDPSZ128rmkz
+    2197837983U,	// VEXPANDPSZ128rrk
+    352344223U,	// VEXPANDPSZ128rrkz
+    2197837983U,	// VEXPANDPSZ256rmk
+    352344223U,	// VEXPANDPSZ256rmkz
+    2197837983U,	// VEXPANDPSZ256rrk
+    352344223U,	// VEXPANDPSZ256rrkz
+    2197837983U,	// VEXPANDPSZrmk
+    352344223U,	// VEXPANDPSZrmkz
+    2197837983U,	// VEXPANDPSZrrk
+    352344223U,	// VEXPANDPSZrrkz
+    2149122499U,	// VEXTRACTF128mr
+    2484093379U,	// VEXTRACTF128rr
+    2149122326U,	// VEXTRACTF32x4rm
+    2498773270U,	// VEXTRACTF32x4rr
+    2197831958U,	// VEXTRACTF32x4rrk
+    352338198U,	// VEXTRACTF32x4rrkz
+    2149220705U,	// VEXTRACTF64x4rm
+    2498773345U,	// VEXTRACTF64x4rr
+    2197832033U,	// VEXTRACTF64x4rrk
+    352338273U,	// VEXTRACTF64x4rrkz
+    2148794874U,	// VEXTRACTI128mr
+    2484093434U,	// VEXTRACTI128rr
+    2148794675U,	// VEXTRACTI32x4rm
+    2498773299U,	// VEXTRACTI32x4rr
+    2197831987U,	// VEXTRACTI32x4rrk
+    352338227U,	// VEXTRACTI32x4rrkz
+    2149253502U,	// VEXTRACTI64x4rm
+    2498773374U,	// VEXTRACTI64x4rr
+    2197832062U,	// VEXTRACTI64x4rrk
+    352338302U,	// VEXTRACTI64x4rrkz
+    2148653504U,	// VEXTRACTPSmr
+    2484099520U,	// VEXTRACTPSrr
+    2148653504U,	// VEXTRACTPSzmr
+    2484099520U,	// VEXTRACTPSzrr
+    2182104919U,	// VFMADD132PDZ128m
+    2182104919U,	// VFMADD132PDZ128mb
+    2182104919U,	// VFMADD132PDZ256m
+    2182104919U,	// VFMADD132PDZ256mb
+    2182104919U,	// VFMADD132PDZm
+    2182104919U,	// VFMADD132PDZmb
+    2182108966U,	// VFMADD132PSZ128m
+    2182108966U,	// VFMADD132PSZ128mb
+    2182108966U,	// VFMADD132PSZ256m
+    2182108966U,	// VFMADD132PSZ256mb
+    2182108966U,	// VFMADD132PSZm
+    2182108966U,	// VFMADD132PSZmb
+    2484095152U,	// VFMADDPD4mr
+    2484095152U,	// VFMADDPD4mrY
+    2484095152U,	// VFMADDPD4rm
+    2484095152U,	// VFMADDPD4rmY
+    2484095152U,	// VFMADDPD4rr
+    2484095152U,	// VFMADDPD4rrY
+    2484095152U,	// VFMADDPD4rrY_REV
+    2484095152U,	// VFMADDPD4rr_REV
+    2196785156U,	// VFMADDPDZ128v213rm
+    2196785156U,	// VFMADDPDZ128v213rmb
+    2197833732U,	// VFMADDPDZ128v213rmbk
+    50350084U,	// VFMADDPDZ128v213rmbkz
+    2197833732U,	// VFMADDPDZ128v213rmk
+    50350084U,	// VFMADDPDZ128v213rmkz
+    2196785156U,	// VFMADDPDZ128v213rr
+    2197833732U,	// VFMADDPDZ128v213rrk
+    50350084U,	// VFMADDPDZ128v213rrkz
+    2196784897U,	// VFMADDPDZ128v231rm
+    2196784897U,	// VFMADDPDZ128v231rmb
+    2197833473U,	// VFMADDPDZ128v231rmbk
+    50349825U,	// VFMADDPDZ128v231rmbkz
+    2197833473U,	// VFMADDPDZ128v231rmk
+    50349825U,	// VFMADDPDZ128v231rmkz
+    2196784897U,	// VFMADDPDZ128v231rr
+    2197833473U,	// VFMADDPDZ128v231rrk
+    50349825U,	// VFMADDPDZ128v231rrkz
+    2196785156U,	// VFMADDPDZ256v213rm
+    2196785156U,	// VFMADDPDZ256v213rmb
+    2197833732U,	// VFMADDPDZ256v213rmbk
+    50350084U,	// VFMADDPDZ256v213rmbkz
+    2197833732U,	// VFMADDPDZ256v213rmk
+    50350084U,	// VFMADDPDZ256v213rmkz
+    2196785156U,	// VFMADDPDZ256v213rr
+    2197833732U,	// VFMADDPDZ256v213rrk
+    50350084U,	// VFMADDPDZ256v213rrkz
+    2196784897U,	// VFMADDPDZ256v231rm
+    2196784897U,	// VFMADDPDZ256v231rmb
+    2197833473U,	// VFMADDPDZ256v231rmbk
+    50349825U,	// VFMADDPDZ256v231rmbkz
+    2197833473U,	// VFMADDPDZ256v231rmk
+    50349825U,	// VFMADDPDZ256v231rmkz
+    2196784897U,	// VFMADDPDZ256v231rr
+    2197833473U,	// VFMADDPDZ256v231rrk
+    50349825U,	// VFMADDPDZ256v231rrkz
+    2196785156U,	// VFMADDPDZv213rm
+    2196785156U,	// VFMADDPDZv213rmb
+    2197833732U,	// VFMADDPDZv213rmbk
+    50350084U,	// VFMADDPDZv213rmbkz
+    2197833732U,	// VFMADDPDZv213rmk
+    50350084U,	// VFMADDPDZv213rmkz
+    2196785156U,	// VFMADDPDZv213rr
+    2196785156U,	// VFMADDPDZv213rrb
+    2197833732U,	// VFMADDPDZv213rrbk
+    50350084U,	// VFMADDPDZv213rrbkz
+    2197833732U,	// VFMADDPDZv213rrk
+    50350084U,	// VFMADDPDZv213rrkz
+    2196784897U,	// VFMADDPDZv231rm
+    2196784897U,	// VFMADDPDZv231rmb
+    2197833473U,	// VFMADDPDZv231rmbk
+    50349825U,	// VFMADDPDZv231rmbkz
+    2197833473U,	// VFMADDPDZv231rmk
+    50349825U,	// VFMADDPDZv231rmkz
+    2196784897U,	// VFMADDPDZv231rr
+    2197833473U,	// VFMADDPDZv231rrk
+    50349825U,	// VFMADDPDZv231rrkz
+    2182104919U,	// VFMADDPDr132m
+    2182104919U,	// VFMADDPDr132mY
+    2182104919U,	// VFMADDPDr132r
+    2182104919U,	// VFMADDPDr132rY
+    2182105092U,	// VFMADDPDr213m
+    2182105092U,	// VFMADDPDr213mY
+    2182105092U,	// VFMADDPDr213r
+    2182105092U,	// VFMADDPDr213rY
+    2182104833U,	// VFMADDPDr231m
+    2182104833U,	// VFMADDPDr231mY
+    2182104833U,	// VFMADDPDr231r
+    2182104833U,	// VFMADDPDr231rY
+    2484099202U,	// VFMADDPS4mr
+    2484099202U,	// VFMADDPS4mrY
+    2484099202U,	// VFMADDPS4rm
+    2484099202U,	// VFMADDPS4rmY
+    2484099202U,	// VFMADDPS4rr
+    2484099202U,	// VFMADDPS4rrY
+    2484099202U,	// VFMADDPS4rrY_REV
+    2484099202U,	// VFMADDPS4rr_REV
+    2196789214U,	// VFMADDPSZ128v213rm
+    2196789214U,	// VFMADDPSZ128v213rmb
+    2197837790U,	// VFMADDPSZ128v213rmbk
+    50354142U,	// VFMADDPSZ128v213rmbkz
+    2197837790U,	// VFMADDPSZ128v213rmk
+    50354142U,	// VFMADDPSZ128v213rmkz
+    2196789214U,	// VFMADDPSZ128v213rr
+    2197837790U,	// VFMADDPSZ128v213rrk
+    50354142U,	// VFMADDPSZ128v213rrkz
+    2196788944U,	// VFMADDPSZ128v231rm
+    2196788944U,	// VFMADDPSZ128v231rmb
+    2197837520U,	// VFMADDPSZ128v231rmbk
+    50353872U,	// VFMADDPSZ128v231rmbkz
+    2197837520U,	// VFMADDPSZ128v231rmk
+    50353872U,	// VFMADDPSZ128v231rmkz
+    2196788944U,	// VFMADDPSZ128v231rr
+    2197837520U,	// VFMADDPSZ128v231rrk
+    50353872U,	// VFMADDPSZ128v231rrkz
+    2196789214U,	// VFMADDPSZ256v213rm
+    2196789214U,	// VFMADDPSZ256v213rmb
+    2197837790U,	// VFMADDPSZ256v213rmbk
+    50354142U,	// VFMADDPSZ256v213rmbkz
+    2197837790U,	// VFMADDPSZ256v213rmk
+    50354142U,	// VFMADDPSZ256v213rmkz
+    2196789214U,	// VFMADDPSZ256v213rr
+    2197837790U,	// VFMADDPSZ256v213rrk
+    50354142U,	// VFMADDPSZ256v213rrkz
+    2196788944U,	// VFMADDPSZ256v231rm
+    2196788944U,	// VFMADDPSZ256v231rmb
+    2197837520U,	// VFMADDPSZ256v231rmbk
+    50353872U,	// VFMADDPSZ256v231rmbkz
+    2197837520U,	// VFMADDPSZ256v231rmk
+    50353872U,	// VFMADDPSZ256v231rmkz
+    2196788944U,	// VFMADDPSZ256v231rr
+    2197837520U,	// VFMADDPSZ256v231rrk
+    50353872U,	// VFMADDPSZ256v231rrkz
+    2196789214U,	// VFMADDPSZv213rm
+    2196789214U,	// VFMADDPSZv213rmb
+    2197837790U,	// VFMADDPSZv213rmbk
+    50354142U,	// VFMADDPSZv213rmbkz
+    2197837790U,	// VFMADDPSZv213rmk
+    50354142U,	// VFMADDPSZv213rmkz
+    2196789214U,	// VFMADDPSZv213rr
+    2196789214U,	// VFMADDPSZv213rrb
+    2197837790U,	// VFMADDPSZv213rrbk
+    50354142U,	// VFMADDPSZv213rrbkz
+    2197837790U,	// VFMADDPSZv213rrk
+    50354142U,	// VFMADDPSZv213rrkz
+    2196788944U,	// VFMADDPSZv231rm
+    2196788944U,	// VFMADDPSZv231rmb
+    2197837520U,	// VFMADDPSZv231rmbk
+    50353872U,	// VFMADDPSZv231rmbkz
+    2197837520U,	// VFMADDPSZv231rmk
+    50353872U,	// VFMADDPSZv231rmkz
+    2196788944U,	// VFMADDPSZv231rr
+    2197837520U,	// VFMADDPSZv231rrk
+    50353872U,	// VFMADDPSZv231rrkz
+    2182108966U,	// VFMADDPSr132m
+    2182108966U,	// VFMADDPSr132mY
+    2182108966U,	// VFMADDPSr132r
+    2182108966U,	// VFMADDPSr132rY
+    2182109150U,	// VFMADDPSr213m
+    2182109150U,	// VFMADDPSr213mY
+    2182109150U,	// VFMADDPSr213r
+    2182109150U,	// VFMADDPSr213rY
+    2182108880U,	// VFMADDPSr231m
+    2182108880U,	// VFMADDPSr231mY
+    2182108880U,	// VFMADDPSr231r
+    2182108880U,	// VFMADDPSr231rY
+    2484095947U,	// VFMADDSD4mr
+    2484095947U,	// VFMADDSD4mr_Int
+    2484095947U,	// VFMADDSD4rm
+    2484095947U,	// VFMADDSD4rm_Int
+    2484095947U,	// VFMADDSD4rr
+    2484095947U,	// VFMADDSD4rr_Int
+    2484095947U,	// VFMADDSD4rr_REV
+    2182105951U,	// VFMADDSDZm
+    2182105951U,	// VFMADDSDZr
+    2182105863U,	// VFMADDSDr132m
+    2182105863U,	// VFMADDSDr132r
+    2182105951U,	// VFMADDSDr213m
+    2182105951U,	// VFMADDSDr213r
+    2182105809U,	// VFMADDSDr231m
+    2182105809U,	// VFMADDSDr231r
+    2484099916U,	// VFMADDSS4mr
+    2484099916U,	// VFMADDSS4mr_Int
+    2484099916U,	// VFMADDSS4rm
+    2484099916U,	// VFMADDSS4rm_Int
+    2484099916U,	// VFMADDSS4rr
+    2484099916U,	// VFMADDSS4rr_Int
+    2484099916U,	// VFMADDSS4rr_REV
+    2182109928U,	// VFMADDSSZm
+    2182109928U,	// VFMADDSSZr
+    2182109840U,	// VFMADDSSr132m
+    2182109840U,	// VFMADDSSr132r
+    2182109928U,	// VFMADDSSr213m
+    2182109928U,	// VFMADDSSr213r
+    2182109786U,	// VFMADDSSr231m
+    2182109786U,	// VFMADDSSr231r
+    2182104860U,	// VFMADDSUB132PDZ128m
+    2182104860U,	// VFMADDSUB132PDZ128mb
+    2182104860U,	// VFMADDSUB132PDZ256m
+    2182104860U,	// VFMADDSUB132PDZ256mb
+    2182104860U,	// VFMADDSUB132PDZm
+    2182104860U,	// VFMADDSUB132PDZmb
+    2182108907U,	// VFMADDSUB132PSZ128m
+    2182108907U,	// VFMADDSUB132PSZ128mb
+    2182108907U,	// VFMADDSUB132PSZ256m
+    2182108907U,	// VFMADDSUB132PSZ256mb
+    2182108907U,	// VFMADDSUB132PSZm
+    2182108907U,	// VFMADDSUB132PSZmb
+    2484095068U,	// VFMADDSUBPD4mr
+    2484095068U,	// VFMADDSUBPD4mrY
+    2484095068U,	// VFMADDSUBPD4rm
+    2484095068U,	// VFMADDSUBPD4rmY
+    2484095068U,	// VFMADDSUBPD4rr
+    2484095068U,	// VFMADDSUBPD4rrY
+    2484095068U,	// VFMADDSUBPD4rrY_REV
+    2484095068U,	// VFMADDSUBPD4rr_REV
+    2196785097U,	// VFMADDSUBPDZ128v213rm
+    2196785097U,	// VFMADDSUBPDZ128v213rmb
+    2197833673U,	// VFMADDSUBPDZ128v213rmbk
+    50350025U,	// VFMADDSUBPDZ128v213rmbkz
+    2197833673U,	// VFMADDSUBPDZ128v213rmk
+    50350025U,	// VFMADDSUBPDZ128v213rmkz
+    2196785097U,	// VFMADDSUBPDZ128v213rr
+    2197833673U,	// VFMADDSUBPDZ128v213rrk
+    50350025U,	// VFMADDSUBPDZ128v213rrkz
+    2196784838U,	// VFMADDSUBPDZ128v231rm
+    2196784838U,	// VFMADDSUBPDZ128v231rmb
+    2197833414U,	// VFMADDSUBPDZ128v231rmbk
+    50349766U,	// VFMADDSUBPDZ128v231rmbkz
+    2197833414U,	// VFMADDSUBPDZ128v231rmk
+    50349766U,	// VFMADDSUBPDZ128v231rmkz
+    2196784838U,	// VFMADDSUBPDZ128v231rr
+    2197833414U,	// VFMADDSUBPDZ128v231rrk
+    50349766U,	// VFMADDSUBPDZ128v231rrkz
+    2196785097U,	// VFMADDSUBPDZ256v213rm
+    2196785097U,	// VFMADDSUBPDZ256v213rmb
+    2197833673U,	// VFMADDSUBPDZ256v213rmbk
+    50350025U,	// VFMADDSUBPDZ256v213rmbkz
+    2197833673U,	// VFMADDSUBPDZ256v213rmk
+    50350025U,	// VFMADDSUBPDZ256v213rmkz
+    2196785097U,	// VFMADDSUBPDZ256v213rr
+    2197833673U,	// VFMADDSUBPDZ256v213rrk
+    50350025U,	// VFMADDSUBPDZ256v213rrkz
+    2196784838U,	// VFMADDSUBPDZ256v231rm
+    2196784838U,	// VFMADDSUBPDZ256v231rmb
+    2197833414U,	// VFMADDSUBPDZ256v231rmbk
+    50349766U,	// VFMADDSUBPDZ256v231rmbkz
+    2197833414U,	// VFMADDSUBPDZ256v231rmk
+    50349766U,	// VFMADDSUBPDZ256v231rmkz
+    2196784838U,	// VFMADDSUBPDZ256v231rr
+    2197833414U,	// VFMADDSUBPDZ256v231rrk
+    50349766U,	// VFMADDSUBPDZ256v231rrkz
+    2196785097U,	// VFMADDSUBPDZv213rm
+    2196785097U,	// VFMADDSUBPDZv213rmb
+    2197833673U,	// VFMADDSUBPDZv213rmbk
+    50350025U,	// VFMADDSUBPDZv213rmbkz
+    2197833673U,	// VFMADDSUBPDZv213rmk
+    50350025U,	// VFMADDSUBPDZv213rmkz
+    2196785097U,	// VFMADDSUBPDZv213rr
+    2196785097U,	// VFMADDSUBPDZv213rrb
+    2197833673U,	// VFMADDSUBPDZv213rrbk
+    50350025U,	// VFMADDSUBPDZv213rrbkz
+    2197833673U,	// VFMADDSUBPDZv213rrk
+    50350025U,	// VFMADDSUBPDZv213rrkz
+    2196784838U,	// VFMADDSUBPDZv231rm
+    2196784838U,	// VFMADDSUBPDZv231rmb
+    2197833414U,	// VFMADDSUBPDZv231rmbk
+    50349766U,	// VFMADDSUBPDZv231rmbkz
+    2197833414U,	// VFMADDSUBPDZv231rmk
+    50349766U,	// VFMADDSUBPDZv231rmkz
+    2196784838U,	// VFMADDSUBPDZv231rr
+    2197833414U,	// VFMADDSUBPDZv231rrk
+    50349766U,	// VFMADDSUBPDZv231rrkz
+    2182104860U,	// VFMADDSUBPDr132m
+    2182104860U,	// VFMADDSUBPDr132mY
+    2182104860U,	// VFMADDSUBPDr132r
+    2182104860U,	// VFMADDSUBPDr132rY
+    2182105033U,	// VFMADDSUBPDr213m
+    2182105033U,	// VFMADDSUBPDr213mY
+    2182105033U,	// VFMADDSUBPDr213r
+    2182105033U,	// VFMADDSUBPDr213rY
+    2182104774U,	// VFMADDSUBPDr231m
+    2182104774U,	// VFMADDSUBPDr231mY
+    2182104774U,	// VFMADDSUBPDr231r
+    2182104774U,	// VFMADDSUBPDr231rY
+    2484099118U,	// VFMADDSUBPS4mr
+    2484099118U,	// VFMADDSUBPS4mrY
+    2484099118U,	// VFMADDSUBPS4rm
+    2484099118U,	// VFMADDSUBPS4rmY
+    2484099118U,	// VFMADDSUBPS4rr
+    2484099118U,	// VFMADDSUBPS4rrY
+    2484099118U,	// VFMADDSUBPS4rrY_REV
+    2484099118U,	// VFMADDSUBPS4rr_REV
+    2196789155U,	// VFMADDSUBPSZ128v213rm
+    2196789155U,	// VFMADDSUBPSZ128v213rmb
+    2197837731U,	// VFMADDSUBPSZ128v213rmbk
+    50354083U,	// VFMADDSUBPSZ128v213rmbkz
+    2197837731U,	// VFMADDSUBPSZ128v213rmk
+    50354083U,	// VFMADDSUBPSZ128v213rmkz
+    2196789155U,	// VFMADDSUBPSZ128v213rr
+    2197837731U,	// VFMADDSUBPSZ128v213rrk
+    50354083U,	// VFMADDSUBPSZ128v213rrkz
+    2196788885U,	// VFMADDSUBPSZ128v231rm
+    2196788885U,	// VFMADDSUBPSZ128v231rmb
+    2197837461U,	// VFMADDSUBPSZ128v231rmbk
+    50353813U,	// VFMADDSUBPSZ128v231rmbkz
+    2197837461U,	// VFMADDSUBPSZ128v231rmk
+    50353813U,	// VFMADDSUBPSZ128v231rmkz
+    2196788885U,	// VFMADDSUBPSZ128v231rr
+    2197837461U,	// VFMADDSUBPSZ128v231rrk
+    50353813U,	// VFMADDSUBPSZ128v231rrkz
+    2196789155U,	// VFMADDSUBPSZ256v213rm
+    2196789155U,	// VFMADDSUBPSZ256v213rmb
+    2197837731U,	// VFMADDSUBPSZ256v213rmbk
+    50354083U,	// VFMADDSUBPSZ256v213rmbkz
+    2197837731U,	// VFMADDSUBPSZ256v213rmk
+    50354083U,	// VFMADDSUBPSZ256v213rmkz
+    2196789155U,	// VFMADDSUBPSZ256v213rr
+    2197837731U,	// VFMADDSUBPSZ256v213rrk
+    50354083U,	// VFMADDSUBPSZ256v213rrkz
+    2196788885U,	// VFMADDSUBPSZ256v231rm
+    2196788885U,	// VFMADDSUBPSZ256v231rmb
+    2197837461U,	// VFMADDSUBPSZ256v231rmbk
+    50353813U,	// VFMADDSUBPSZ256v231rmbkz
+    2197837461U,	// VFMADDSUBPSZ256v231rmk
+    50353813U,	// VFMADDSUBPSZ256v231rmkz
+    2196788885U,	// VFMADDSUBPSZ256v231rr
+    2197837461U,	// VFMADDSUBPSZ256v231rrk
+    50353813U,	// VFMADDSUBPSZ256v231rrkz
+    2196789155U,	// VFMADDSUBPSZv213rm
+    2196789155U,	// VFMADDSUBPSZv213rmb
+    2197837731U,	// VFMADDSUBPSZv213rmbk
+    50354083U,	// VFMADDSUBPSZv213rmbkz
+    2197837731U,	// VFMADDSUBPSZv213rmk
+    50354083U,	// VFMADDSUBPSZv213rmkz
+    2196789155U,	// VFMADDSUBPSZv213rr
+    2196789155U,	// VFMADDSUBPSZv213rrb
+    2197837731U,	// VFMADDSUBPSZv213rrbk
+    50354083U,	// VFMADDSUBPSZv213rrbkz
+    2197837731U,	// VFMADDSUBPSZv213rrk
+    50354083U,	// VFMADDSUBPSZv213rrkz
+    2196788885U,	// VFMADDSUBPSZv231rm
+    2196788885U,	// VFMADDSUBPSZv231rmb
+    2197837461U,	// VFMADDSUBPSZv231rmbk
+    50353813U,	// VFMADDSUBPSZv231rmbkz
+    2197837461U,	// VFMADDSUBPSZv231rmk
+    50353813U,	// VFMADDSUBPSZv231rmkz
+    2196788885U,	// VFMADDSUBPSZv231rr
+    2197837461U,	// VFMADDSUBPSZv231rrk
+    50353813U,	// VFMADDSUBPSZv231rrkz
+    2182108907U,	// VFMADDSUBPSr132m
+    2182108907U,	// VFMADDSUBPSr132mY
+    2182108907U,	// VFMADDSUBPSr132r
+    2182108907U,	// VFMADDSUBPSr132rY
+    2182109091U,	// VFMADDSUBPSr213m
+    2182109091U,	// VFMADDSUBPSr213mY
+    2182109091U,	// VFMADDSUBPSr213r
+    2182109091U,	// VFMADDSUBPSr213rY
+    2182108821U,	// VFMADDSUBPSr231m
+    2182108821U,	// VFMADDSUBPSr231mY
+    2182108821U,	// VFMADDSUBPSr231r
+    2182108821U,	// VFMADDSUBPSr231rY
+    2182104876U,	// VFMSUB132PDZ128m
+    2182104876U,	// VFMSUB132PDZ128mb
+    2182104876U,	// VFMSUB132PDZ256m
+    2182104876U,	// VFMSUB132PDZ256mb
+    2182104876U,	// VFMSUB132PDZm
+    2182104876U,	// VFMSUB132PDZmb
+    2182108923U,	// VFMSUB132PSZ128m
+    2182108923U,	// VFMSUB132PSZ128mb
+    2182108923U,	// VFMSUB132PSZ256m
+    2182108923U,	// VFMSUB132PSZ256mb
+    2182108923U,	// VFMSUB132PSZm
+    2182108923U,	// VFMSUB132PSZmb
+    2182104903U,	// VFMSUBADD132PDZ128m
+    2182104903U,	// VFMSUBADD132PDZ128mb
+    2182104903U,	// VFMSUBADD132PDZ256m
+    2182104903U,	// VFMSUBADD132PDZ256mb
+    2182104903U,	// VFMSUBADD132PDZm
+    2182104903U,	// VFMSUBADD132PDZmb
+    2182108950U,	// VFMSUBADD132PSZ128m
+    2182108950U,	// VFMSUBADD132PSZ128mb
+    2182108950U,	// VFMSUBADD132PSZ256m
+    2182108950U,	// VFMSUBADD132PSZ256mb
+    2182108950U,	// VFMSUBADD132PSZm
+    2182108950U,	// VFMSUBADD132PSZmb
+    2484095130U,	// VFMSUBADDPD4mr
+    2484095130U,	// VFMSUBADDPD4mrY
+    2484095130U,	// VFMSUBADDPD4rm
+    2484095130U,	// VFMSUBADDPD4rmY
+    2484095130U,	// VFMSUBADDPD4rr
+    2484095130U,	// VFMSUBADDPD4rrY
+    2484095130U,	// VFMSUBADDPD4rrY_REV
+    2484095130U,	// VFMSUBADDPD4rr_REV
+    2196785140U,	// VFMSUBADDPDZ128v213rm
+    2196785140U,	// VFMSUBADDPDZ128v213rmb
+    2197833716U,	// VFMSUBADDPDZ128v213rmbk
+    50350068U,	// VFMSUBADDPDZ128v213rmbkz
+    2197833716U,	// VFMSUBADDPDZ128v213rmk
+    50350068U,	// VFMSUBADDPDZ128v213rmkz
+    2196785140U,	// VFMSUBADDPDZ128v213rr
+    2197833716U,	// VFMSUBADDPDZ128v213rrk
+    50350068U,	// VFMSUBADDPDZ128v213rrkz
+    2196784881U,	// VFMSUBADDPDZ128v231rm
+    2196784881U,	// VFMSUBADDPDZ128v231rmb
+    2197833457U,	// VFMSUBADDPDZ128v231rmbk
+    50349809U,	// VFMSUBADDPDZ128v231rmbkz
+    2197833457U,	// VFMSUBADDPDZ128v231rmk
+    50349809U,	// VFMSUBADDPDZ128v231rmkz
+    2196784881U,	// VFMSUBADDPDZ128v231rr
+    2197833457U,	// VFMSUBADDPDZ128v231rrk
+    50349809U,	// VFMSUBADDPDZ128v231rrkz
+    2196785140U,	// VFMSUBADDPDZ256v213rm
+    2196785140U,	// VFMSUBADDPDZ256v213rmb
+    2197833716U,	// VFMSUBADDPDZ256v213rmbk
+    50350068U,	// VFMSUBADDPDZ256v213rmbkz
+    2197833716U,	// VFMSUBADDPDZ256v213rmk
+    50350068U,	// VFMSUBADDPDZ256v213rmkz
+    2196785140U,	// VFMSUBADDPDZ256v213rr
+    2197833716U,	// VFMSUBADDPDZ256v213rrk
+    50350068U,	// VFMSUBADDPDZ256v213rrkz
+    2196784881U,	// VFMSUBADDPDZ256v231rm
+    2196784881U,	// VFMSUBADDPDZ256v231rmb
+    2197833457U,	// VFMSUBADDPDZ256v231rmbk
+    50349809U,	// VFMSUBADDPDZ256v231rmbkz
+    2197833457U,	// VFMSUBADDPDZ256v231rmk
+    50349809U,	// VFMSUBADDPDZ256v231rmkz
+    2196784881U,	// VFMSUBADDPDZ256v231rr
+    2197833457U,	// VFMSUBADDPDZ256v231rrk
+    50349809U,	// VFMSUBADDPDZ256v231rrkz
+    2196785140U,	// VFMSUBADDPDZv213rm
+    2196785140U,	// VFMSUBADDPDZv213rmb
+    2197833716U,	// VFMSUBADDPDZv213rmbk
+    50350068U,	// VFMSUBADDPDZv213rmbkz
+    2197833716U,	// VFMSUBADDPDZv213rmk
+    50350068U,	// VFMSUBADDPDZv213rmkz
+    2196785140U,	// VFMSUBADDPDZv213rr
+    2196785140U,	// VFMSUBADDPDZv213rrb
+    2197833716U,	// VFMSUBADDPDZv213rrbk
+    50350068U,	// VFMSUBADDPDZv213rrbkz
+    2197833716U,	// VFMSUBADDPDZv213rrk
+    50350068U,	// VFMSUBADDPDZv213rrkz
+    2196784881U,	// VFMSUBADDPDZv231rm
+    2196784881U,	// VFMSUBADDPDZv231rmb
+    2197833457U,	// VFMSUBADDPDZv231rmbk
+    50349809U,	// VFMSUBADDPDZv231rmbkz
+    2197833457U,	// VFMSUBADDPDZv231rmk
+    50349809U,	// VFMSUBADDPDZv231rmkz
+    2196784881U,	// VFMSUBADDPDZv231rr
+    2197833457U,	// VFMSUBADDPDZv231rrk
+    50349809U,	// VFMSUBADDPDZv231rrkz
+    2182104903U,	// VFMSUBADDPDr132m
+    2182104903U,	// VFMSUBADDPDr132mY
+    2182104903U,	// VFMSUBADDPDr132r
+    2182104903U,	// VFMSUBADDPDr132rY
+    2182105076U,	// VFMSUBADDPDr213m
+    2182105076U,	// VFMSUBADDPDr213mY
+    2182105076U,	// VFMSUBADDPDr213r
+    2182105076U,	// VFMSUBADDPDr213rY
+    2182104817U,	// VFMSUBADDPDr231m
+    2182104817U,	// VFMSUBADDPDr231mY
+    2182104817U,	// VFMSUBADDPDr231r
+    2182104817U,	// VFMSUBADDPDr231rY
+    2484099180U,	// VFMSUBADDPS4mr
+    2484099180U,	// VFMSUBADDPS4mrY
+    2484099180U,	// VFMSUBADDPS4rm
+    2484099180U,	// VFMSUBADDPS4rmY
+    2484099180U,	// VFMSUBADDPS4rr
+    2484099180U,	// VFMSUBADDPS4rrY
+    2484099180U,	// VFMSUBADDPS4rrY_REV
+    2484099180U,	// VFMSUBADDPS4rr_REV
+    2196789198U,	// VFMSUBADDPSZ128v213rm
+    2196789198U,	// VFMSUBADDPSZ128v213rmb
+    2197837774U,	// VFMSUBADDPSZ128v213rmbk
+    50354126U,	// VFMSUBADDPSZ128v213rmbkz
+    2197837774U,	// VFMSUBADDPSZ128v213rmk
+    50354126U,	// VFMSUBADDPSZ128v213rmkz
+    2196789198U,	// VFMSUBADDPSZ128v213rr
+    2197837774U,	// VFMSUBADDPSZ128v213rrk
+    50354126U,	// VFMSUBADDPSZ128v213rrkz
+    2196788928U,	// VFMSUBADDPSZ128v231rm
+    2196788928U,	// VFMSUBADDPSZ128v231rmb
+    2197837504U,	// VFMSUBADDPSZ128v231rmbk
+    50353856U,	// VFMSUBADDPSZ128v231rmbkz
+    2197837504U,	// VFMSUBADDPSZ128v231rmk
+    50353856U,	// VFMSUBADDPSZ128v231rmkz
+    2196788928U,	// VFMSUBADDPSZ128v231rr
+    2197837504U,	// VFMSUBADDPSZ128v231rrk
+    50353856U,	// VFMSUBADDPSZ128v231rrkz
+    2196789198U,	// VFMSUBADDPSZ256v213rm
+    2196789198U,	// VFMSUBADDPSZ256v213rmb
+    2197837774U,	// VFMSUBADDPSZ256v213rmbk
+    50354126U,	// VFMSUBADDPSZ256v213rmbkz
+    2197837774U,	// VFMSUBADDPSZ256v213rmk
+    50354126U,	// VFMSUBADDPSZ256v213rmkz
+    2196789198U,	// VFMSUBADDPSZ256v213rr
+    2197837774U,	// VFMSUBADDPSZ256v213rrk
+    50354126U,	// VFMSUBADDPSZ256v213rrkz
+    2196788928U,	// VFMSUBADDPSZ256v231rm
+    2196788928U,	// VFMSUBADDPSZ256v231rmb
+    2197837504U,	// VFMSUBADDPSZ256v231rmbk
+    50353856U,	// VFMSUBADDPSZ256v231rmbkz
+    2197837504U,	// VFMSUBADDPSZ256v231rmk
+    50353856U,	// VFMSUBADDPSZ256v231rmkz
+    2196788928U,	// VFMSUBADDPSZ256v231rr
+    2197837504U,	// VFMSUBADDPSZ256v231rrk
+    50353856U,	// VFMSUBADDPSZ256v231rrkz
+    2196789198U,	// VFMSUBADDPSZv213rm
+    2196789198U,	// VFMSUBADDPSZv213rmb
+    2197837774U,	// VFMSUBADDPSZv213rmbk
+    50354126U,	// VFMSUBADDPSZv213rmbkz
+    2197837774U,	// VFMSUBADDPSZv213rmk
+    50354126U,	// VFMSUBADDPSZv213rmkz
+    2196789198U,	// VFMSUBADDPSZv213rr
+    2196789198U,	// VFMSUBADDPSZv213rrb
+    2197837774U,	// VFMSUBADDPSZv213rrbk
+    50354126U,	// VFMSUBADDPSZv213rrbkz
+    2197837774U,	// VFMSUBADDPSZv213rrk
+    50354126U,	// VFMSUBADDPSZv213rrkz
+    2196788928U,	// VFMSUBADDPSZv231rm
+    2196788928U,	// VFMSUBADDPSZv231rmb
+    2197837504U,	// VFMSUBADDPSZv231rmbk
+    50353856U,	// VFMSUBADDPSZv231rmbkz
+    2197837504U,	// VFMSUBADDPSZv231rmk
+    50353856U,	// VFMSUBADDPSZv231rmkz
+    2196788928U,	// VFMSUBADDPSZv231rr
+    2197837504U,	// VFMSUBADDPSZv231rrk
+    50353856U,	// VFMSUBADDPSZv231rrkz
+    2182108950U,	// VFMSUBADDPSr132m
+    2182108950U,	// VFMSUBADDPSr132mY
+    2182108950U,	// VFMSUBADDPSr132r
+    2182108950U,	// VFMSUBADDPSr132rY
+    2182109134U,	// VFMSUBADDPSr213m
+    2182109134U,	// VFMSUBADDPSr213mY
+    2182109134U,	// VFMSUBADDPSr213r
+    2182109134U,	// VFMSUBADDPSr213rY
+    2182108864U,	// VFMSUBADDPSr231m
+    2182108864U,	// VFMSUBADDPSr231mY
+    2182108864U,	// VFMSUBADDPSr231r
+    2182108864U,	// VFMSUBADDPSr231rY
+    2484095101U,	// VFMSUBPD4mr
+    2484095101U,	// VFMSUBPD4mrY
+    2484095101U,	// VFMSUBPD4rm
+    2484095101U,	// VFMSUBPD4rmY
+    2484095101U,	// VFMSUBPD4rr
+    2484095101U,	// VFMSUBPD4rrY
+    2484095101U,	// VFMSUBPD4rrY_REV
+    2484095101U,	// VFMSUBPD4rr_REV
+    2196785113U,	// VFMSUBPDZ128v213rm
+    2196785113U,	// VFMSUBPDZ128v213rmb
+    2197833689U,	// VFMSUBPDZ128v213rmbk
+    50350041U,	// VFMSUBPDZ128v213rmbkz
+    2197833689U,	// VFMSUBPDZ128v213rmk
+    50350041U,	// VFMSUBPDZ128v213rmkz
+    2196785113U,	// VFMSUBPDZ128v213rr
+    2197833689U,	// VFMSUBPDZ128v213rrk
+    50350041U,	// VFMSUBPDZ128v213rrkz
+    2196784854U,	// VFMSUBPDZ128v231rm
+    2196784854U,	// VFMSUBPDZ128v231rmb
+    2197833430U,	// VFMSUBPDZ128v231rmbk
+    50349782U,	// VFMSUBPDZ128v231rmbkz
+    2197833430U,	// VFMSUBPDZ128v231rmk
+    50349782U,	// VFMSUBPDZ128v231rmkz
+    2196784854U,	// VFMSUBPDZ128v231rr
+    2197833430U,	// VFMSUBPDZ128v231rrk
+    50349782U,	// VFMSUBPDZ128v231rrkz
+    2196785113U,	// VFMSUBPDZ256v213rm
+    2196785113U,	// VFMSUBPDZ256v213rmb
+    2197833689U,	// VFMSUBPDZ256v213rmbk
+    50350041U,	// VFMSUBPDZ256v213rmbkz
+    2197833689U,	// VFMSUBPDZ256v213rmk
+    50350041U,	// VFMSUBPDZ256v213rmkz
+    2196785113U,	// VFMSUBPDZ256v213rr
+    2197833689U,	// VFMSUBPDZ256v213rrk
+    50350041U,	// VFMSUBPDZ256v213rrkz
+    2196784854U,	// VFMSUBPDZ256v231rm
+    2196784854U,	// VFMSUBPDZ256v231rmb
+    2197833430U,	// VFMSUBPDZ256v231rmbk
+    50349782U,	// VFMSUBPDZ256v231rmbkz
+    2197833430U,	// VFMSUBPDZ256v231rmk
+    50349782U,	// VFMSUBPDZ256v231rmkz
+    2196784854U,	// VFMSUBPDZ256v231rr
+    2197833430U,	// VFMSUBPDZ256v231rrk
+    50349782U,	// VFMSUBPDZ256v231rrkz
+    2196785113U,	// VFMSUBPDZv213rm
+    2196785113U,	// VFMSUBPDZv213rmb
+    2197833689U,	// VFMSUBPDZv213rmbk
+    50350041U,	// VFMSUBPDZv213rmbkz
+    2197833689U,	// VFMSUBPDZv213rmk
+    50350041U,	// VFMSUBPDZv213rmkz
+    2196785113U,	// VFMSUBPDZv213rr
+    2196785113U,	// VFMSUBPDZv213rrb
+    2197833689U,	// VFMSUBPDZv213rrbk
+    50350041U,	// VFMSUBPDZv213rrbkz
+    2197833689U,	// VFMSUBPDZv213rrk
+    50350041U,	// VFMSUBPDZv213rrkz
+    2196784854U,	// VFMSUBPDZv231rm
+    2196784854U,	// VFMSUBPDZv231rmb
+    2197833430U,	// VFMSUBPDZv231rmbk
+    50349782U,	// VFMSUBPDZv231rmbkz
+    2197833430U,	// VFMSUBPDZv231rmk
+    50349782U,	// VFMSUBPDZv231rmkz
+    2196784854U,	// VFMSUBPDZv231rr
+    2197833430U,	// VFMSUBPDZv231rrk
+    50349782U,	// VFMSUBPDZv231rrkz
+    2182104876U,	// VFMSUBPDr132m
+    2182104876U,	// VFMSUBPDr132mY
+    2182104876U,	// VFMSUBPDr132r
+    2182104876U,	// VFMSUBPDr132rY
+    2182105049U,	// VFMSUBPDr213m
+    2182105049U,	// VFMSUBPDr213mY
+    2182105049U,	// VFMSUBPDr213r
+    2182105049U,	// VFMSUBPDr213rY
+    2182104790U,	// VFMSUBPDr231m
+    2182104790U,	// VFMSUBPDr231mY
+    2182104790U,	// VFMSUBPDr231r
+    2182104790U,	// VFMSUBPDr231rY
+    2484099151U,	// VFMSUBPS4mr
+    2484099151U,	// VFMSUBPS4mrY
+    2484099151U,	// VFMSUBPS4rm
+    2484099151U,	// VFMSUBPS4rmY
+    2484099151U,	// VFMSUBPS4rr
+    2484099151U,	// VFMSUBPS4rrY
+    2484099151U,	// VFMSUBPS4rrY_REV
+    2484099151U,	// VFMSUBPS4rr_REV
+    2196789171U,	// VFMSUBPSZ128v213rm
+    2196789171U,	// VFMSUBPSZ128v213rmb
+    2197837747U,	// VFMSUBPSZ128v213rmbk
+    50354099U,	// VFMSUBPSZ128v213rmbkz
+    2197837747U,	// VFMSUBPSZ128v213rmk
+    50354099U,	// VFMSUBPSZ128v213rmkz
+    2196789171U,	// VFMSUBPSZ128v213rr
+    2197837747U,	// VFMSUBPSZ128v213rrk
+    50354099U,	// VFMSUBPSZ128v213rrkz
+    2196788901U,	// VFMSUBPSZ128v231rm
+    2196788901U,	// VFMSUBPSZ128v231rmb
+    2197837477U,	// VFMSUBPSZ128v231rmbk
+    50353829U,	// VFMSUBPSZ128v231rmbkz
+    2197837477U,	// VFMSUBPSZ128v231rmk
+    50353829U,	// VFMSUBPSZ128v231rmkz
+    2196788901U,	// VFMSUBPSZ128v231rr
+    2197837477U,	// VFMSUBPSZ128v231rrk
+    50353829U,	// VFMSUBPSZ128v231rrkz
+    2196789171U,	// VFMSUBPSZ256v213rm
+    2196789171U,	// VFMSUBPSZ256v213rmb
+    2197837747U,	// VFMSUBPSZ256v213rmbk
+    50354099U,	// VFMSUBPSZ256v213rmbkz
+    2197837747U,	// VFMSUBPSZ256v213rmk
+    50354099U,	// VFMSUBPSZ256v213rmkz
+    2196789171U,	// VFMSUBPSZ256v213rr
+    2197837747U,	// VFMSUBPSZ256v213rrk
+    50354099U,	// VFMSUBPSZ256v213rrkz
+    2196788901U,	// VFMSUBPSZ256v231rm
+    2196788901U,	// VFMSUBPSZ256v231rmb
+    2197837477U,	// VFMSUBPSZ256v231rmbk
+    50353829U,	// VFMSUBPSZ256v231rmbkz
+    2197837477U,	// VFMSUBPSZ256v231rmk
+    50353829U,	// VFMSUBPSZ256v231rmkz
+    2196788901U,	// VFMSUBPSZ256v231rr
+    2197837477U,	// VFMSUBPSZ256v231rrk
+    50353829U,	// VFMSUBPSZ256v231rrkz
+    2196789171U,	// VFMSUBPSZv213rm
+    2196789171U,	// VFMSUBPSZv213rmb
+    2197837747U,	// VFMSUBPSZv213rmbk
+    50354099U,	// VFMSUBPSZv213rmbkz
+    2197837747U,	// VFMSUBPSZv213rmk
+    50354099U,	// VFMSUBPSZv213rmkz
+    2196789171U,	// VFMSUBPSZv213rr
+    2196789171U,	// VFMSUBPSZv213rrb
+    2197837747U,	// VFMSUBPSZv213rrbk
+    50354099U,	// VFMSUBPSZv213rrbkz
+    2197837747U,	// VFMSUBPSZv213rrk
+    50354099U,	// VFMSUBPSZv213rrkz
+    2196788901U,	// VFMSUBPSZv231rm
+    2196788901U,	// VFMSUBPSZv231rmb
+    2197837477U,	// VFMSUBPSZv231rmbk
+    50353829U,	// VFMSUBPSZv231rmbkz
+    2197837477U,	// VFMSUBPSZv231rmk
+    50353829U,	// VFMSUBPSZv231rmkz
+    2196788901U,	// VFMSUBPSZv231rr
+    2197837477U,	// VFMSUBPSZv231rrk
+    50353829U,	// VFMSUBPSZv231rrkz
+    2182108923U,	// VFMSUBPSr132m
+    2182108923U,	// VFMSUBPSr132mY
+    2182108923U,	// VFMSUBPSr132r
+    2182108923U,	// VFMSUBPSr132rY
+    2182109107U,	// VFMSUBPSr213m
+    2182109107U,	// VFMSUBPSr213mY
+    2182109107U,	// VFMSUBPSr213r
+    2182109107U,	// VFMSUBPSr213rY
+    2182108837U,	// VFMSUBPSr231m
+    2182108837U,	// VFMSUBPSr231mY
+    2182108837U,	// VFMSUBPSr231r
+    2182108837U,	// VFMSUBPSr231rY
+    2484095918U,	// VFMSUBSD4mr
+    2484095918U,	// VFMSUBSD4mr_Int
+    2484095918U,	// VFMSUBSD4rm
+    2484095918U,	// VFMSUBSD4rm_Int
+    2484095918U,	// VFMSUBSD4rr
+    2484095918U,	// VFMSUBSD4rr_Int
+    2484095918U,	// VFMSUBSD4rr_REV
+    2182105924U,	// VFMSUBSDZm
+    2182105924U,	// VFMSUBSDZr
+    2182105836U,	// VFMSUBSDr132m
+    2182105836U,	// VFMSUBSDr132r
+    2182105924U,	// VFMSUBSDr213m
+    2182105924U,	// VFMSUBSDr213r
+    2182105782U,	// VFMSUBSDr231m
+    2182105782U,	// VFMSUBSDr231r
+    2484099887U,	// VFMSUBSS4mr
+    2484099887U,	// VFMSUBSS4mr_Int
+    2484099887U,	// VFMSUBSS4rm
+    2484099887U,	// VFMSUBSS4rm_Int
+    2484099887U,	// VFMSUBSS4rr
+    2484099887U,	// VFMSUBSS4rr_Int
+    2484099887U,	// VFMSUBSS4rr_REV
+    2182109901U,	// VFMSUBSSZm
+    2182109901U,	// VFMSUBSSZr
+    2182109813U,	// VFMSUBSSr132m
+    2182109813U,	// VFMSUBSSr132r
+    2182109901U,	// VFMSUBSSr213m
+    2182109901U,	// VFMSUBSSr213r
+    2182109759U,	// VFMSUBSSr231m
+    2182109759U,	// VFMSUBSSr231r
+    2182104932U,	// VFNMADD132PDZ128m
+    2182104932U,	// VFNMADD132PDZ128mb
+    2182104932U,	// VFNMADD132PDZ256m
+    2182104932U,	// VFNMADD132PDZ256mb
+    2182104932U,	// VFNMADD132PDZm
+    2182104932U,	// VFNMADD132PDZmb
+    2182108979U,	// VFNMADD132PSZ128m
+    2182108979U,	// VFNMADD132PSZ128mb
+    2182108979U,	// VFNMADD132PSZ256m
+    2182108979U,	// VFNMADD132PSZ256mb
+    2182108979U,	// VFNMADD132PSZm
+    2182108979U,	// VFNMADD132PSZmb
+    2484095162U,	// VFNMADDPD4mr
+    2484095162U,	// VFNMADDPD4mrY
+    2484095162U,	// VFNMADDPD4rm
+    2484095162U,	// VFNMADDPD4rmY
+    2484095162U,	// VFNMADDPD4rr
+    2484095162U,	// VFNMADDPD4rrY
+    2484095162U,	// VFNMADDPD4rrY_REV
+    2484095162U,	// VFNMADDPD4rr_REV
+    2196785169U,	// VFNMADDPDZ128v213rm
+    2196785169U,	// VFNMADDPDZ128v213rmb
+    2197833745U,	// VFNMADDPDZ128v213rmbk
+    50350097U,	// VFNMADDPDZ128v213rmbkz
+    2197833745U,	// VFNMADDPDZ128v213rmk
+    50350097U,	// VFNMADDPDZ128v213rmkz
+    2196785169U,	// VFNMADDPDZ128v213rr
+    2197833745U,	// VFNMADDPDZ128v213rrk
+    50350097U,	// VFNMADDPDZ128v213rrkz
+    2196784910U,	// VFNMADDPDZ128v231rm
+    2196784910U,	// VFNMADDPDZ128v231rmb
+    2197833486U,	// VFNMADDPDZ128v231rmbk
+    50349838U,	// VFNMADDPDZ128v231rmbkz
+    2197833486U,	// VFNMADDPDZ128v231rmk
+    50349838U,	// VFNMADDPDZ128v231rmkz
+    2196784910U,	// VFNMADDPDZ128v231rr
+    2197833486U,	// VFNMADDPDZ128v231rrk
+    50349838U,	// VFNMADDPDZ128v231rrkz
+    2196785169U,	// VFNMADDPDZ256v213rm
+    2196785169U,	// VFNMADDPDZ256v213rmb
+    2197833745U,	// VFNMADDPDZ256v213rmbk
+    50350097U,	// VFNMADDPDZ256v213rmbkz
+    2197833745U,	// VFNMADDPDZ256v213rmk
+    50350097U,	// VFNMADDPDZ256v213rmkz
+    2196785169U,	// VFNMADDPDZ256v213rr
+    2197833745U,	// VFNMADDPDZ256v213rrk
+    50350097U,	// VFNMADDPDZ256v213rrkz
+    2196784910U,	// VFNMADDPDZ256v231rm
+    2196784910U,	// VFNMADDPDZ256v231rmb
+    2197833486U,	// VFNMADDPDZ256v231rmbk
+    50349838U,	// VFNMADDPDZ256v231rmbkz
+    2197833486U,	// VFNMADDPDZ256v231rmk
+    50349838U,	// VFNMADDPDZ256v231rmkz
+    2196784910U,	// VFNMADDPDZ256v231rr
+    2197833486U,	// VFNMADDPDZ256v231rrk
+    50349838U,	// VFNMADDPDZ256v231rrkz
+    2196785169U,	// VFNMADDPDZv213rm
+    2196785169U,	// VFNMADDPDZv213rmb
+    2197833745U,	// VFNMADDPDZv213rmbk
+    50350097U,	// VFNMADDPDZv213rmbkz
+    2197833745U,	// VFNMADDPDZv213rmk
+    50350097U,	// VFNMADDPDZv213rmkz
+    2196785169U,	// VFNMADDPDZv213rr
+    2196785169U,	// VFNMADDPDZv213rrb
+    2197833745U,	// VFNMADDPDZv213rrbk
+    50350097U,	// VFNMADDPDZv213rrbkz
+    2197833745U,	// VFNMADDPDZv213rrk
+    50350097U,	// VFNMADDPDZv213rrkz
+    2196784910U,	// VFNMADDPDZv231rm
+    2196784910U,	// VFNMADDPDZv231rmb
+    2197833486U,	// VFNMADDPDZv231rmbk
+    50349838U,	// VFNMADDPDZv231rmbkz
+    2197833486U,	// VFNMADDPDZv231rmk
+    50349838U,	// VFNMADDPDZv231rmkz
+    2196784910U,	// VFNMADDPDZv231rr
+    2197833486U,	// VFNMADDPDZv231rrk
+    50349838U,	// VFNMADDPDZv231rrkz
+    2182104932U,	// VFNMADDPDr132m
+    2182104932U,	// VFNMADDPDr132mY
+    2182104932U,	// VFNMADDPDr132r
+    2182104932U,	// VFNMADDPDr132rY
+    2182105105U,	// VFNMADDPDr213m
+    2182105105U,	// VFNMADDPDr213mY
+    2182105105U,	// VFNMADDPDr213r
+    2182105105U,	// VFNMADDPDr213rY
+    2182104846U,	// VFNMADDPDr231m
+    2182104846U,	// VFNMADDPDr231mY
+    2182104846U,	// VFNMADDPDr231r
+    2182104846U,	// VFNMADDPDr231rY
+    2484099212U,	// VFNMADDPS4mr
+    2484099212U,	// VFNMADDPS4mrY
+    2484099212U,	// VFNMADDPS4rm
+    2484099212U,	// VFNMADDPS4rmY
+    2484099212U,	// VFNMADDPS4rr
+    2484099212U,	// VFNMADDPS4rrY
+    2484099212U,	// VFNMADDPS4rrY_REV
+    2484099212U,	// VFNMADDPS4rr_REV
+    2196789227U,	// VFNMADDPSZ128v213rm
+    2196789227U,	// VFNMADDPSZ128v213rmb
+    2197837803U,	// VFNMADDPSZ128v213rmbk
+    50354155U,	// VFNMADDPSZ128v213rmbkz
+    2197837803U,	// VFNMADDPSZ128v213rmk
+    50354155U,	// VFNMADDPSZ128v213rmkz
+    2196789227U,	// VFNMADDPSZ128v213rr
+    2197837803U,	// VFNMADDPSZ128v213rrk
+    50354155U,	// VFNMADDPSZ128v213rrkz
+    2196788957U,	// VFNMADDPSZ128v231rm
+    2196788957U,	// VFNMADDPSZ128v231rmb
+    2197837533U,	// VFNMADDPSZ128v231rmbk
+    50353885U,	// VFNMADDPSZ128v231rmbkz
+    2197837533U,	// VFNMADDPSZ128v231rmk
+    50353885U,	// VFNMADDPSZ128v231rmkz
+    2196788957U,	// VFNMADDPSZ128v231rr
+    2197837533U,	// VFNMADDPSZ128v231rrk
+    50353885U,	// VFNMADDPSZ128v231rrkz
+    2196789227U,	// VFNMADDPSZ256v213rm
+    2196789227U,	// VFNMADDPSZ256v213rmb
+    2197837803U,	// VFNMADDPSZ256v213rmbk
+    50354155U,	// VFNMADDPSZ256v213rmbkz
+    2197837803U,	// VFNMADDPSZ256v213rmk
+    50354155U,	// VFNMADDPSZ256v213rmkz
+    2196789227U,	// VFNMADDPSZ256v213rr
+    2197837803U,	// VFNMADDPSZ256v213rrk
+    50354155U,	// VFNMADDPSZ256v213rrkz
+    2196788957U,	// VFNMADDPSZ256v231rm
+    2196788957U,	// VFNMADDPSZ256v231rmb
+    2197837533U,	// VFNMADDPSZ256v231rmbk
+    50353885U,	// VFNMADDPSZ256v231rmbkz
+    2197837533U,	// VFNMADDPSZ256v231rmk
+    50353885U,	// VFNMADDPSZ256v231rmkz
+    2196788957U,	// VFNMADDPSZ256v231rr
+    2197837533U,	// VFNMADDPSZ256v231rrk
+    50353885U,	// VFNMADDPSZ256v231rrkz
+    2196789227U,	// VFNMADDPSZv213rm
+    2196789227U,	// VFNMADDPSZv213rmb
+    2197837803U,	// VFNMADDPSZv213rmbk
+    50354155U,	// VFNMADDPSZv213rmbkz
+    2197837803U,	// VFNMADDPSZv213rmk
+    50354155U,	// VFNMADDPSZv213rmkz
+    2196789227U,	// VFNMADDPSZv213rr
+    2196789227U,	// VFNMADDPSZv213rrb
+    2197837803U,	// VFNMADDPSZv213rrbk
+    50354155U,	// VFNMADDPSZv213rrbkz
+    2197837803U,	// VFNMADDPSZv213rrk
+    50354155U,	// VFNMADDPSZv213rrkz
+    2196788957U,	// VFNMADDPSZv231rm
+    2196788957U,	// VFNMADDPSZv231rmb
+    2197837533U,	// VFNMADDPSZv231rmbk
+    50353885U,	// VFNMADDPSZv231rmbkz
+    2197837533U,	// VFNMADDPSZv231rmk
+    50353885U,	// VFNMADDPSZv231rmkz
+    2196788957U,	// VFNMADDPSZv231rr
+    2197837533U,	// VFNMADDPSZv231rrk
+    50353885U,	// VFNMADDPSZv231rrkz
+    2182108979U,	// VFNMADDPSr132m
+    2182108979U,	// VFNMADDPSr132mY
+    2182108979U,	// VFNMADDPSr132r
+    2182108979U,	// VFNMADDPSr132rY
+    2182109163U,	// VFNMADDPSr213m
+    2182109163U,	// VFNMADDPSr213mY
+    2182109163U,	// VFNMADDPSr213r
+    2182109163U,	// VFNMADDPSr213rY
+    2182108893U,	// VFNMADDPSr231m
+    2182108893U,	// VFNMADDPSr231mY
+    2182108893U,	// VFNMADDPSr231r
+    2182108893U,	// VFNMADDPSr231rY
+    2484095957U,	// VFNMADDSD4mr
+    2484095957U,	// VFNMADDSD4mr_Int
+    2484095957U,	// VFNMADDSD4rm
+    2484095957U,	// VFNMADDSD4rm_Int
+    2484095957U,	// VFNMADDSD4rr
+    2484095957U,	// VFNMADDSD4rr_Int
+    2484095957U,	// VFNMADDSD4rr_REV
+    2182105964U,	// VFNMADDSDZm
+    2182105964U,	// VFNMADDSDZr
+    2182105876U,	// VFNMADDSDr132m
+    2182105876U,	// VFNMADDSDr132r
+    2182105964U,	// VFNMADDSDr213m
+    2182105964U,	// VFNMADDSDr213r
+    2182105822U,	// VFNMADDSDr231m
+    2182105822U,	// VFNMADDSDr231r
+    2484099926U,	// VFNMADDSS4mr
+    2484099926U,	// VFNMADDSS4mr_Int
+    2484099926U,	// VFNMADDSS4rm
+    2484099926U,	// VFNMADDSS4rm_Int
+    2484099926U,	// VFNMADDSS4rr
+    2484099926U,	// VFNMADDSS4rr_Int
+    2484099926U,	// VFNMADDSS4rr_REV
+    2182109941U,	// VFNMADDSSZm
+    2182109941U,	// VFNMADDSSZr
+    2182109853U,	// VFNMADDSSr132m
+    2182109853U,	// VFNMADDSSr132r
+    2182109941U,	// VFNMADDSSr213m
+    2182109941U,	// VFNMADDSSr213r
+    2182109799U,	// VFNMADDSSr231m
+    2182109799U,	// VFNMADDSSr231r
+    2182104889U,	// VFNMSUB132PDZ128m
+    2182104889U,	// VFNMSUB132PDZ128mb
+    2182104889U,	// VFNMSUB132PDZ256m
+    2182104889U,	// VFNMSUB132PDZ256mb
+    2182104889U,	// VFNMSUB132PDZm
+    2182104889U,	// VFNMSUB132PDZmb
+    2182108936U,	// VFNMSUB132PSZ128m
+    2182108936U,	// VFNMSUB132PSZ128mb
+    2182108936U,	// VFNMSUB132PSZ256m
+    2182108936U,	// VFNMSUB132PSZ256mb
+    2182108936U,	// VFNMSUB132PSZm
+    2182108936U,	// VFNMSUB132PSZmb
+    2484095111U,	// VFNMSUBPD4mr
+    2484095111U,	// VFNMSUBPD4mrY
+    2484095111U,	// VFNMSUBPD4rm
+    2484095111U,	// VFNMSUBPD4rmY
+    2484095111U,	// VFNMSUBPD4rr
+    2484095111U,	// VFNMSUBPD4rrY
+    2484095111U,	// VFNMSUBPD4rrY_REV
+    2484095111U,	// VFNMSUBPD4rr_REV
+    2196785126U,	// VFNMSUBPDZ128v213rm
+    2196785126U,	// VFNMSUBPDZ128v213rmb
+    2197833702U,	// VFNMSUBPDZ128v213rmbk
+    50350054U,	// VFNMSUBPDZ128v213rmbkz
+    2197833702U,	// VFNMSUBPDZ128v213rmk
+    50350054U,	// VFNMSUBPDZ128v213rmkz
+    2196785126U,	// VFNMSUBPDZ128v213rr
+    2197833702U,	// VFNMSUBPDZ128v213rrk
+    50350054U,	// VFNMSUBPDZ128v213rrkz
+    2196784867U,	// VFNMSUBPDZ128v231rm
+    2196784867U,	// VFNMSUBPDZ128v231rmb
+    2197833443U,	// VFNMSUBPDZ128v231rmbk
+    50349795U,	// VFNMSUBPDZ128v231rmbkz
+    2197833443U,	// VFNMSUBPDZ128v231rmk
+    50349795U,	// VFNMSUBPDZ128v231rmkz
+    2196784867U,	// VFNMSUBPDZ128v231rr
+    2197833443U,	// VFNMSUBPDZ128v231rrk
+    50349795U,	// VFNMSUBPDZ128v231rrkz
+    2196785126U,	// VFNMSUBPDZ256v213rm
+    2196785126U,	// VFNMSUBPDZ256v213rmb
+    2197833702U,	// VFNMSUBPDZ256v213rmbk
+    50350054U,	// VFNMSUBPDZ256v213rmbkz
+    2197833702U,	// VFNMSUBPDZ256v213rmk
+    50350054U,	// VFNMSUBPDZ256v213rmkz
+    2196785126U,	// VFNMSUBPDZ256v213rr
+    2197833702U,	// VFNMSUBPDZ256v213rrk
+    50350054U,	// VFNMSUBPDZ256v213rrkz
+    2196784867U,	// VFNMSUBPDZ256v231rm
+    2196784867U,	// VFNMSUBPDZ256v231rmb
+    2197833443U,	// VFNMSUBPDZ256v231rmbk
+    50349795U,	// VFNMSUBPDZ256v231rmbkz
+    2197833443U,	// VFNMSUBPDZ256v231rmk
+    50349795U,	// VFNMSUBPDZ256v231rmkz
+    2196784867U,	// VFNMSUBPDZ256v231rr
+    2197833443U,	// VFNMSUBPDZ256v231rrk
+    50349795U,	// VFNMSUBPDZ256v231rrkz
+    2196785126U,	// VFNMSUBPDZv213rm
+    2196785126U,	// VFNMSUBPDZv213rmb
+    2197833702U,	// VFNMSUBPDZv213rmbk
+    50350054U,	// VFNMSUBPDZv213rmbkz
+    2197833702U,	// VFNMSUBPDZv213rmk
+    50350054U,	// VFNMSUBPDZv213rmkz
+    2196785126U,	// VFNMSUBPDZv213rr
+    2196785126U,	// VFNMSUBPDZv213rrb
+    2197833702U,	// VFNMSUBPDZv213rrbk
+    50350054U,	// VFNMSUBPDZv213rrbkz
+    2197833702U,	// VFNMSUBPDZv213rrk
+    50350054U,	// VFNMSUBPDZv213rrkz
+    2196784867U,	// VFNMSUBPDZv231rm
+    2196784867U,	// VFNMSUBPDZv231rmb
+    2197833443U,	// VFNMSUBPDZv231rmbk
+    50349795U,	// VFNMSUBPDZv231rmbkz
+    2197833443U,	// VFNMSUBPDZv231rmk
+    50349795U,	// VFNMSUBPDZv231rmkz
+    2196784867U,	// VFNMSUBPDZv231rr
+    2197833443U,	// VFNMSUBPDZv231rrk
+    50349795U,	// VFNMSUBPDZv231rrkz
+    2182104889U,	// VFNMSUBPDr132m
+    2182104889U,	// VFNMSUBPDr132mY
+    2182104889U,	// VFNMSUBPDr132r
+    2182104889U,	// VFNMSUBPDr132rY
+    2182105062U,	// VFNMSUBPDr213m
+    2182105062U,	// VFNMSUBPDr213mY
+    2182105062U,	// VFNMSUBPDr213r
+    2182105062U,	// VFNMSUBPDr213rY
+    2182104803U,	// VFNMSUBPDr231m
+    2182104803U,	// VFNMSUBPDr231mY
+    2182104803U,	// VFNMSUBPDr231r
+    2182104803U,	// VFNMSUBPDr231rY
+    2484099161U,	// VFNMSUBPS4mr
+    2484099161U,	// VFNMSUBPS4mrY
+    2484099161U,	// VFNMSUBPS4rm
+    2484099161U,	// VFNMSUBPS4rmY
+    2484099161U,	// VFNMSUBPS4rr
+    2484099161U,	// VFNMSUBPS4rrY
+    2484099161U,	// VFNMSUBPS4rrY_REV
+    2484099161U,	// VFNMSUBPS4rr_REV
+    2196789184U,	// VFNMSUBPSZ128v213rm
+    2196789184U,	// VFNMSUBPSZ128v213rmb
+    2197837760U,	// VFNMSUBPSZ128v213rmbk
+    50354112U,	// VFNMSUBPSZ128v213rmbkz
+    2197837760U,	// VFNMSUBPSZ128v213rmk
+    50354112U,	// VFNMSUBPSZ128v213rmkz
+    2196789184U,	// VFNMSUBPSZ128v213rr
+    2197837760U,	// VFNMSUBPSZ128v213rrk
+    50354112U,	// VFNMSUBPSZ128v213rrkz
+    2196788914U,	// VFNMSUBPSZ128v231rm
+    2196788914U,	// VFNMSUBPSZ128v231rmb
+    2197837490U,	// VFNMSUBPSZ128v231rmbk
+    50353842U,	// VFNMSUBPSZ128v231rmbkz
+    2197837490U,	// VFNMSUBPSZ128v231rmk
+    50353842U,	// VFNMSUBPSZ128v231rmkz
+    2196788914U,	// VFNMSUBPSZ128v231rr
+    2197837490U,	// VFNMSUBPSZ128v231rrk
+    50353842U,	// VFNMSUBPSZ128v231rrkz
+    2196789184U,	// VFNMSUBPSZ256v213rm
+    2196789184U,	// VFNMSUBPSZ256v213rmb
+    2197837760U,	// VFNMSUBPSZ256v213rmbk
+    50354112U,	// VFNMSUBPSZ256v213rmbkz
+    2197837760U,	// VFNMSUBPSZ256v213rmk
+    50354112U,	// VFNMSUBPSZ256v213rmkz
+    2196789184U,	// VFNMSUBPSZ256v213rr
+    2197837760U,	// VFNMSUBPSZ256v213rrk
+    50354112U,	// VFNMSUBPSZ256v213rrkz
+    2196788914U,	// VFNMSUBPSZ256v231rm
+    2196788914U,	// VFNMSUBPSZ256v231rmb
+    2197837490U,	// VFNMSUBPSZ256v231rmbk
+    50353842U,	// VFNMSUBPSZ256v231rmbkz
+    2197837490U,	// VFNMSUBPSZ256v231rmk
+    50353842U,	// VFNMSUBPSZ256v231rmkz
+    2196788914U,	// VFNMSUBPSZ256v231rr
+    2197837490U,	// VFNMSUBPSZ256v231rrk
+    50353842U,	// VFNMSUBPSZ256v231rrkz
+    2196789184U,	// VFNMSUBPSZv213rm
+    2196789184U,	// VFNMSUBPSZv213rmb
+    2197837760U,	// VFNMSUBPSZv213rmbk
+    50354112U,	// VFNMSUBPSZv213rmbkz
+    2197837760U,	// VFNMSUBPSZv213rmk
+    50354112U,	// VFNMSUBPSZv213rmkz
+    2196789184U,	// VFNMSUBPSZv213rr
+    2196789184U,	// VFNMSUBPSZv213rrb
+    2197837760U,	// VFNMSUBPSZv213rrbk
+    50354112U,	// VFNMSUBPSZv213rrbkz
+    2197837760U,	// VFNMSUBPSZv213rrk
+    50354112U,	// VFNMSUBPSZv213rrkz
+    2196788914U,	// VFNMSUBPSZv231rm
+    2196788914U,	// VFNMSUBPSZv231rmb
+    2197837490U,	// VFNMSUBPSZv231rmbk
+    50353842U,	// VFNMSUBPSZv231rmbkz
+    2197837490U,	// VFNMSUBPSZv231rmk
+    50353842U,	// VFNMSUBPSZv231rmkz
+    2196788914U,	// VFNMSUBPSZv231rr
+    2197837490U,	// VFNMSUBPSZv231rrk
+    50353842U,	// VFNMSUBPSZv231rrkz
+    2182108936U,	// VFNMSUBPSr132m
+    2182108936U,	// VFNMSUBPSr132mY
+    2182108936U,	// VFNMSUBPSr132r
+    2182108936U,	// VFNMSUBPSr132rY
+    2182109120U,	// VFNMSUBPSr213m
+    2182109120U,	// VFNMSUBPSr213mY
+    2182109120U,	// VFNMSUBPSr213r
+    2182109120U,	// VFNMSUBPSr213rY
+    2182108850U,	// VFNMSUBPSr231m
+    2182108850U,	// VFNMSUBPSr231mY
+    2182108850U,	// VFNMSUBPSr231r
+    2182108850U,	// VFNMSUBPSr231rY
+    2484095928U,	// VFNMSUBSD4mr
+    2484095928U,	// VFNMSUBSD4mr_Int
+    2484095928U,	// VFNMSUBSD4rm
+    2484095928U,	// VFNMSUBSD4rm_Int
+    2484095928U,	// VFNMSUBSD4rr
+    2484095928U,	// VFNMSUBSD4rr_Int
+    2484095928U,	// VFNMSUBSD4rr_REV
+    2182105937U,	// VFNMSUBSDZm
+    2182105937U,	// VFNMSUBSDZr
+    2182105849U,	// VFNMSUBSDr132m
+    2182105849U,	// VFNMSUBSDr132r
+    2182105937U,	// VFNMSUBSDr213m
+    2182105937U,	// VFNMSUBSDr213r
+    2182105795U,	// VFNMSUBSDr231m
+    2182105795U,	// VFNMSUBSDr231r
+    2484099897U,	// VFNMSUBSS4mr
+    2484099897U,	// VFNMSUBSS4mr_Int
+    2484099897U,	// VFNMSUBSS4rm
+    2484099897U,	// VFNMSUBSS4rm_Int
+    2484099897U,	// VFNMSUBSS4rr
+    2484099897U,	// VFNMSUBSS4rr_Int
+    2484099897U,	// VFNMSUBSS4rr_REV
+    2182109914U,	// VFNMSUBSSZm
+    2182109914U,	// VFNMSUBSSZr
+    2182109826U,	// VFNMSUBSSr132m
+    2182109826U,	// VFNMSUBSSr132r
+    2182109914U,	// VFNMSUBSSr213m
+    2182109914U,	// VFNMSUBSSr213r
+    2182109772U,	// VFNMSUBSSr231m
+    2182109772U,	// VFNMSUBSSr231r
+    537938470U,	// VFRCZPDrm
+    1041254950U,	// VFRCZPDrmY
+    336611878U,	// VFRCZPDrr
+    336611878U,	// VFRCZPDrrY
+    537942573U,	// VFRCZPSrm
+    1041259053U,	// VFRCZPSrmY
+    336615981U,	// VFRCZPSrr
+    336615981U,	// VFRCZPSrrY
+    571493512U,	// VFRCZSDrm
+    336612488U,	// VFRCZSDrr
+    605051893U,	// VFRCZSSrm
+    336616437U,	// VFRCZSSrr
+    2484095365U,	// VFsANDNPDrm
+    2484095365U,	// VFsANDNPDrr
+    2484099427U,	// VFsANDNPSrm
+    2484099427U,	// VFsANDNPSrr
+    2484095192U,	// VFsANDPDrm
+    2484095192U,	// VFsANDPDrr
+    2484099242U,	// VFsANDPSrm
+    2484099242U,	// VFsANDPSrr
+    2484095422U,	// VFsORPDrm
+    2484095422U,	// VFsORPDrr
+    2484099492U,	// VFsORPSrm
+    2484099492U,	// VFsORPSrr
+    2484095429U,	// VFsXORPDrm
+    2484095429U,	// VFsXORPDrr
+    2484099499U,	// VFsXORPSrm
+    2484099499U,	// VFsXORPSrr
+    2484095365U,	// VFvANDNPDrm
+    2484095365U,	// VFvANDNPDrr
+    2484099427U,	// VFvANDNPSrm
+    2484099427U,	// VFvANDNPSrr
+    2484095192U,	// VFvANDPDrm
+    2484095192U,	// VFvANDPDrr
+    2484099242U,	// VFvANDPSrm
+    2484099242U,	// VFvANDPSrr
+    2484095422U,	// VFvORPDrm
+    2484095422U,	// VFvORPDrr
+    2484099492U,	// VFvORPSrm
+    2484099492U,	// VFvORPSrr
+    2484095429U,	// VFvXORPDrm
+    2484095429U,	// VFvXORPDrr
+    2484099499U,	// VFvXORPSrm
+    2484099499U,	// VFvXORPSrr
+    1141917940U,	// VGATHERDPDYrm
+    3338684660U,	// VGATHERDPDZrm
+    1141917940U,	// VGATHERDPDrm
+    1209030854U,	// VGATHERDPSYrm
+    1191205062U,	// VGATHERDPSZrm
+    1209030854U,	// VGATHERDPSrm
+    321940556U,	// VGATHERPF0DPDm
+    321940688U,	// VGATHERPF0DPSm
+    389049486U,	// VGATHERPF0QPDm
+    389049618U,	// VGATHERPF0QPSm
+    321940589U,	// VGATHERPF1DPDm
+    321940721U,	// VGATHERPF1DPSm
+    389049519U,	// VGATHERPF1QPDm
+    389049651U,	// VGATHERPF1QPSm
+    1141918117U,	// VGATHERQPDYrm
+    3338684837U,	// VGATHERQPDZrm
+    1141918117U,	// VGATHERQPDrm
+    1209031051U,	// VGATHERQPSYrm
+    3338688907U,	// VGATHERQPSZrm
+    1209031051U,	// VGATHERQPSrm
+    2484095143U,	// VHADDPDYrm
+    2484095143U,	// VHADDPDYrr
+    2484095143U,	// VHADDPDrm
+    2484095143U,	// VHADDPDrr
+    2484099193U,	// VHADDPSYrm
+    2484099193U,	// VHADDPSYrr
+    2484099193U,	// VHADDPSrm
+    2484099193U,	// VHADDPSrr
+    2484095092U,	// VHSUBPDYrm
+    2484095092U,	// VHSUBPDYrr
+    2484095092U,	// VHSUBPDrm
+    2484095092U,	// VHSUBPDrr
+    2484099142U,	// VHSUBPSYrm
+    2484099142U,	// VHSUBPSYrr
+    2484099142U,	// VHSUBPSrm
+    2484099142U,	// VHSUBPSrr
+    2484093393U,	// VINSERTF128rm
+    2484093393U,	// VINSERTF128rr
+    2484093221U,	// VINSERTF32x4rm
+    2484093221U,	// VINSERTF32x4rr
+    2484093471U,	// VINSERTF32x8rm
+    2484093471U,	// VINSERTF32x8rr
+    2484093081U,	// VINSERTF64x2rm
+    2484093081U,	// VINSERTF64x2rr
+    2484093296U,	// VINSERTF64x4rm
+    2484093296U,	// VINSERTF64x4rr
+    2484093448U,	// VINSERTI128rm
+    2484093448U,	// VINSERTI128rr
+    2484093250U,	// VINSERTI32x4rm
+    2484093250U,	// VINSERTI32x4rr
+    2484093485U,	// VINSERTI32x8rm
+    2484093485U,	// VINSERTI32x8rr
+    2484093095U,	// VINSERTI64x2rm
+    2484093095U,	// VINSERTI64x2rr
+    2484093325U,	// VINSERTI64x4rm
+    2484093325U,	// VINSERTI64x4rr
+    2484099542U,	// VINSERTPSrm
+    2484099542U,	// VINSERTPSrr
+    2484099542U,	// VINSERTPSzrm
+    2484099542U,	// VINSERTPSzrr
+    974150888U,	// VLDDQUYrm
+    437279976U,	// VLDDQUrm
+    71188U,	// VLDMXCSR
+    336616688U,	// VMASKMOVDQU
+    336616688U,	// VMASKMOVDQU64
+    2149222930U,	// VMASKMOVPDYmr
+    2484095506U,	// VMASKMOVPDYrm
+    2149124626U,	// VMASKMOVPDmr
+    2484095506U,	// VMASKMOVPDrm
+    2149227033U,	// VMASKMOVPSYmr
+    2484099609U,	// VMASKMOVPSYrm
+    2149128729U,	// VMASKMOVPSmr
+    2484099609U,	// VMASKMOVPSrm
+    2484095518U,	// VMAXCPDYrm
+    2484095518U,	// VMAXCPDYrr
+    2484095518U,	// VMAXCPDrm
+    2484095518U,	// VMAXCPDrr
+    2484099621U,	// VMAXCPSYrm
+    2484099621U,	// VMAXCPSYrr
+    2484099621U,	// VMAXCPSrm
+    2484099621U,	// VMAXCPSrr
+    2484096128U,	// VMAXCSDrm
+    2484096128U,	// VMAXCSDrr
+    2484100077U,	// VMAXCSSrm
+    2484100077U,	// VMAXCSSrr
+    2484095518U,	// VMAXPDYrm
+    2484095518U,	// VMAXPDYrr
+    2498775582U,	// VMAXPDZ128rm
+    2498775582U,	// VMAXPDZ128rmb
+    2197834270U,	// VMAXPDZ128rmbk
+    352340510U,	// VMAXPDZ128rmbkz
+    2197834270U,	// VMAXPDZ128rmk
+    352340510U,	// VMAXPDZ128rmkz
+    2498775582U,	// VMAXPDZ128rr
+    2197834270U,	// VMAXPDZ128rrk
+    352340510U,	// VMAXPDZ128rrkz
+    2498775582U,	// VMAXPDZ256rm
+    2498775582U,	// VMAXPDZ256rmb
+    2197834270U,	// VMAXPDZ256rmbk
+    352340510U,	// VMAXPDZ256rmbkz
+    2197834270U,	// VMAXPDZ256rmk
+    352340510U,	// VMAXPDZ256rmkz
+    2498775582U,	// VMAXPDZ256rr
+    2197834270U,	// VMAXPDZ256rrk
+    352340510U,	// VMAXPDZ256rrkz
+    2498775582U,	// VMAXPDZrm
+    2498775582U,	// VMAXPDZrmb
+    2197834270U,	// VMAXPDZrmbk
+    352340510U,	// VMAXPDZrmbkz
+    2197834270U,	// VMAXPDZrmk
+    352340510U,	// VMAXPDZrmkz
+    2498775582U,	// VMAXPDZrr
+    2197834270U,	// VMAXPDZrrk
+    352340510U,	// VMAXPDZrrkz
+    2484095518U,	// VMAXPDrm
+    2484095518U,	// VMAXPDrr
+    2484099621U,	// VMAXPSYrm
+    2484099621U,	// VMAXPSYrr
+    2498779685U,	// VMAXPSZ128rm
+    2498779685U,	// VMAXPSZ128rmb
+    2197838373U,	// VMAXPSZ128rmbk
+    352344613U,	// VMAXPSZ128rmbkz
+    2197838373U,	// VMAXPSZ128rmk
+    352344613U,	// VMAXPSZ128rmkz
+    2498779685U,	// VMAXPSZ128rr
+    2197838373U,	// VMAXPSZ128rrk
+    352344613U,	// VMAXPSZ128rrkz
+    2498779685U,	// VMAXPSZ256rm
+    2498779685U,	// VMAXPSZ256rmb
+    2197838373U,	// VMAXPSZ256rmbk
+    352344613U,	// VMAXPSZ256rmbkz
+    2197838373U,	// VMAXPSZ256rmk
+    352344613U,	// VMAXPSZ256rmkz
+    2498779685U,	// VMAXPSZ256rr
+    2197838373U,	// VMAXPSZ256rrk
+    352344613U,	// VMAXPSZ256rrkz
+    2498779685U,	// VMAXPSZrm
+    2498779685U,	// VMAXPSZrmb
+    2197838373U,	// VMAXPSZrmbk
+    352344613U,	// VMAXPSZrmbkz
+    2197838373U,	// VMAXPSZrmk
+    352344613U,	// VMAXPSZrmkz
+    2498779685U,	// VMAXPSZrr
+    2197838373U,	// VMAXPSZrrk
+    352344613U,	// VMAXPSZrrkz
+    2484099621U,	// VMAXPSrm
+    2484099621U,	// VMAXPSrr
+    2484096128U,	// VMAXSDZrm
+    2498776192U,	// VMAXSDZrm_Int
+    2197834880U,	// VMAXSDZrm_Intk
+    352341120U,	// VMAXSDZrm_Intkz
+    2484096128U,	// VMAXSDZrr
+    2498776192U,	// VMAXSDZrr_Int
+    2197834880U,	// VMAXSDZrr_Intk
+    352341120U,	// VMAXSDZrr_Intkz
+    3407891584U,	// VMAXSDZrrb
+    2197834880U,	// VMAXSDZrrbk
+    352341120U,	// VMAXSDZrrbkz
+    2484096128U,	// VMAXSDrm
+    2484096128U,	// VMAXSDrm_Int
+    2484096128U,	// VMAXSDrr
+    2484096128U,	// VMAXSDrr_Int
+    2484100077U,	// VMAXSSZrm
+    2498780141U,	// VMAXSSZrm_Int
+    2197838829U,	// VMAXSSZrm_Intk
+    352345069U,	// VMAXSSZrm_Intkz
+    2484100077U,	// VMAXSSZrr
+    2498780141U,	// VMAXSSZrr_Int
+    2197838829U,	// VMAXSSZrr_Intk
+    352345069U,	// VMAXSSZrr_Intkz
+    3407895533U,	// VMAXSSZrrb
+    2197838829U,	// VMAXSSZrrbk
+    352345069U,	// VMAXSSZrrbkz
+    2484100077U,	// VMAXSSrm
+    2484100077U,	// VMAXSSrm_Int
+    2484100077U,	// VMAXSSrr
+    2484100077U,	// VMAXSSrr_Int
+    10526U,	// VMCALL
+    87464U,	// VMCLEARm
+    10194U,	// VMFUNC
+    2484095374U,	// VMINCPDYrm
+    2484095374U,	// VMINCPDYrr
+    2484095374U,	// VMINCPDrm
+    2484095374U,	// VMINCPDrr
+    2484099436U,	// VMINCPSYrm
+    2484099436U,	// VMINCPSYrr
+    2484099436U,	// VMINCPSrm
+    2484099436U,	// VMINCPSrr
+    2484096035U,	// VMINCSDrm
+    2484096035U,	// VMINCSDrr
+    2484099995U,	// VMINCSSrm
+    2484099995U,	// VMINCSSrr
+    2484095374U,	// VMINPDYrm
+    2484095374U,	// VMINPDYrr
+    2498775438U,	// VMINPDZ128rm
+    2498775438U,	// VMINPDZ128rmb
+    2197834126U,	// VMINPDZ128rmbk
+    352340366U,	// VMINPDZ128rmbkz
+    2197834126U,	// VMINPDZ128rmk
+    352340366U,	// VMINPDZ128rmkz
+    2498775438U,	// VMINPDZ128rr
+    2197834126U,	// VMINPDZ128rrk
+    352340366U,	// VMINPDZ128rrkz
+    2498775438U,	// VMINPDZ256rm
+    2498775438U,	// VMINPDZ256rmb
+    2197834126U,	// VMINPDZ256rmbk
+    352340366U,	// VMINPDZ256rmbkz
+    2197834126U,	// VMINPDZ256rmk
+    352340366U,	// VMINPDZ256rmkz
+    2498775438U,	// VMINPDZ256rr
+    2197834126U,	// VMINPDZ256rrk
+    352340366U,	// VMINPDZ256rrkz
+    2498775438U,	// VMINPDZrm
+    2498775438U,	// VMINPDZrmb
+    2197834126U,	// VMINPDZrmbk
+    352340366U,	// VMINPDZrmbkz
+    2197834126U,	// VMINPDZrmk
+    352340366U,	// VMINPDZrmkz
+    2498775438U,	// VMINPDZrr
+    2197834126U,	// VMINPDZrrk
+    352340366U,	// VMINPDZrrkz
+    2484095374U,	// VMINPDrm
+    2484095374U,	// VMINPDrr
+    2484099436U,	// VMINPSYrm
+    2484099436U,	// VMINPSYrr
+    2498779500U,	// VMINPSZ128rm
+    2498779500U,	// VMINPSZ128rmb
+    2197838188U,	// VMINPSZ128rmbk
+    352344428U,	// VMINPSZ128rmbkz
+    2197838188U,	// VMINPSZ128rmk
+    352344428U,	// VMINPSZ128rmkz
+    2498779500U,	// VMINPSZ128rr
+    2197838188U,	// VMINPSZ128rrk
+    352344428U,	// VMINPSZ128rrkz
+    2498779500U,	// VMINPSZ256rm
+    2498779500U,	// VMINPSZ256rmb
+    2197838188U,	// VMINPSZ256rmbk
+    352344428U,	// VMINPSZ256rmbkz
+    2197838188U,	// VMINPSZ256rmk
+    352344428U,	// VMINPSZ256rmkz
+    2498779500U,	// VMINPSZ256rr
+    2197838188U,	// VMINPSZ256rrk
+    352344428U,	// VMINPSZ256rrkz
+    2498779500U,	// VMINPSZrm
+    2498779500U,	// VMINPSZrmb
+    2197838188U,	// VMINPSZrmbk
+    352344428U,	// VMINPSZrmbkz
+    2197838188U,	// VMINPSZrmk
+    352344428U,	// VMINPSZrmkz
+    2498779500U,	// VMINPSZrr
+    2197838188U,	// VMINPSZrrk
+    352344428U,	// VMINPSZrrkz
+    2484099436U,	// VMINPSrm
+    2484099436U,	// VMINPSrr
+    2484096035U,	// VMINSDZrm
+    2498776099U,	// VMINSDZrm_Int
+    2197834787U,	// VMINSDZrm_Intk
+    352341027U,	// VMINSDZrm_Intkz
+    2484096035U,	// VMINSDZrr
+    2498776099U,	// VMINSDZrr_Int
+    2197834787U,	// VMINSDZrr_Intk
+    352341027U,	// VMINSDZrr_Intkz
+    3407891491U,	// VMINSDZrrb
+    2197834787U,	// VMINSDZrrbk
+    352341027U,	// VMINSDZrrbkz
+    2484096035U,	// VMINSDrm
+    2484096035U,	// VMINSDrm_Int
+    2484096035U,	// VMINSDrr
+    2484096035U,	// VMINSDrr_Int
+    2484099995U,	// VMINSSZrm
+    2498780059U,	// VMINSSZrm_Int
+    2197838747U,	// VMINSSZrm_Intk
+    352344987U,	// VMINSSZrm_Intkz
+    2484099995U,	// VMINSSZrr
+    2498780059U,	// VMINSSZrr_Int
+    2197838747U,	// VMINSSZrr_Intk
+    352344987U,	// VMINSSZrr_Intkz
+    3407895451U,	// VMINSSZrrb
+    2197838747U,	// VMINSSZrrbk
+    352344987U,	// VMINSSZrrbkz
+    2484099995U,	// VMINSSrm
+    2484099995U,	// VMINSSrm_Int
+    2484099995U,	// VMINSSrr
+    2484099995U,	// VMINSSrr_Int
+    10441U,	// VMLAUNCH
+    11176U,	// VMLOAD32
+    11231U,	// VMLOAD64
+    10518U,	// VMMCALL
+    336614774U,	// VMOV64toPQIZrr
+    370169206U,	// VMOV64toPQIrm
+    336614774U,	// VMOV64toPQIrr
+    336614774U,	// VMOV64toSDZrr
+    370169206U,	// VMOV64toSDrm
+    336614774U,	// VMOV64toSDrr
+    1738827U,	// VMOVAPDYmr
+    1041254475U,	// VMOVAPDYrm
+    336611403U,	// VMOVAPDYrr
+    336611403U,	// VMOVAPDYrr_REV
+    1640523U,	// VMOVAPDZ128mr
+    2164852811U,	// VMOVAPDZ128mrk
+    537937995U,	// VMOVAPDZ128rm
+    2197833803U,	// VMOVAPDZ128rmk
+    352340043U,	// VMOVAPDZ128rmkz
+    336611403U,	// VMOVAPDZ128rr
+    336611403U,	// VMOVAPDZ128rr_alt
+    2197833803U,	// VMOVAPDZ128rrk
+    2197833803U,	// VMOVAPDZ128rrk_alt
+    352340043U,	// VMOVAPDZ128rrkz
+    352340043U,	// VMOVAPDZ128rrkz_alt
+    1738827U,	// VMOVAPDZ256mr
+    2164951115U,	// VMOVAPDZ256mrk
+    1041254475U,	// VMOVAPDZ256rm
+    2197833803U,	// VMOVAPDZ256rmk
+    352340043U,	// VMOVAPDZ256rmkz
+    336611403U,	// VMOVAPDZ256rr
+    336611403U,	// VMOVAPDZ256rr_alt
+    2197833803U,	// VMOVAPDZ256rrk
+    2197833803U,	// VMOVAPDZ256rrk_alt
+    352340043U,	// VMOVAPDZ256rrkz
+    352340043U,	// VMOVAPDZ256rrkz_alt
+    1755211U,	// VMOVAPDZmr
+    2164967499U,	// VMOVAPDZmrk
+    1074808907U,	// VMOVAPDZrm
+    2197833803U,	// VMOVAPDZrmk
+    352340043U,	// VMOVAPDZrmkz
+    336611403U,	// VMOVAPDZrr
+    336611403U,	// VMOVAPDZrr_alt
+    2197833803U,	// VMOVAPDZrrk
+    2197833803U,	// VMOVAPDZrrk_alt
+    352340043U,	// VMOVAPDZrrkz
+    352340043U,	// VMOVAPDZrrkz_alt
+    1640523U,	// VMOVAPDmr
+    537937995U,	// VMOVAPDrm
+    336611403U,	// VMOVAPDrr
+    336611403U,	// VMOVAPDrr_REV
+    1742885U,	// VMOVAPSYmr
+    1041258533U,	// VMOVAPSYrm
+    336615461U,	// VMOVAPSYrr
+    336615461U,	// VMOVAPSYrr_REV
+    1644581U,	// VMOVAPSZ128mr
+    2164856869U,	// VMOVAPSZ128mrk
+    537942053U,	// VMOVAPSZ128rm
+    2197837861U,	// VMOVAPSZ128rmk
+    352344101U,	// VMOVAPSZ128rmkz
+    336615461U,	// VMOVAPSZ128rr
+    336615461U,	// VMOVAPSZ128rr_alt
+    2197837861U,	// VMOVAPSZ128rrk
+    2197837861U,	// VMOVAPSZ128rrk_alt
+    352344101U,	// VMOVAPSZ128rrkz
+    352344101U,	// VMOVAPSZ128rrkz_alt
+    1742885U,	// VMOVAPSZ256mr
+    2164955173U,	// VMOVAPSZ256mrk
+    1041258533U,	// VMOVAPSZ256rm
+    2197837861U,	// VMOVAPSZ256rmk
+    352344101U,	// VMOVAPSZ256rmkz
+    336615461U,	// VMOVAPSZ256rr
+    336615461U,	// VMOVAPSZ256rr_alt
+    2197837861U,	// VMOVAPSZ256rrk
+    2197837861U,	// VMOVAPSZ256rrk_alt
+    352344101U,	// VMOVAPSZ256rrkz
+    352344101U,	// VMOVAPSZ256rrkz_alt
+    1759269U,	// VMOVAPSZmr
+    2164971557U,	// VMOVAPSZmrk
+    1074812965U,	// VMOVAPSZrm
+    2197837861U,	// VMOVAPSZrmk
+    352344101U,	// VMOVAPSZrmkz
+    336615461U,	// VMOVAPSZrr
+    336615461U,	// VMOVAPSZrr_alt
+    2197837861U,	// VMOVAPSZrrk
+    2197837861U,	// VMOVAPSZrrk_alt
+    352344101U,	// VMOVAPSZrrkz
+    352344101U,	// VMOVAPSZrrkz_alt
+    1644581U,	// VMOVAPSmr
+    537942053U,	// VMOVAPSrm
+    336615461U,	// VMOVAPSrr
+    336615461U,	// VMOVAPSrr_REV
+    1041256871U,	// VMOVDDUPYrm
+    336613799U,	// VMOVDDUPYrr
+    1074811303U,	// VMOVDDUPZrm
+    336613799U,	// VMOVDDUPZrr
+    571494823U,	// VMOVDDUPrm
+    336613799U,	// VMOVDDUPrr
+    303058212U,	// VMOVDI2PDIZrm
+    336612644U,	// VMOVDI2PDIZrr
+    303058212U,	// VMOVDI2PDIrm
+    336612644U,	// VMOVDI2PDIrr
+    303058212U,	// VMOVDI2SSZrm
+    336612644U,	// VMOVDI2SSZrr
+    303058212U,	// VMOVDI2SSrm
+    336612644U,	// VMOVDI2SSrr
+    1310787U,	// VMOVDQA32Z128mr
+    2164523075U,	// VMOVDQA32Z128mrk
+    437272643U,	// VMOVDQA32Z128rm
+    2197831747U,	// VMOVDQA32Z128rmk
+    352337987U,	// VMOVDQA32Z128rmkz
+    336609347U,	// VMOVDQA32Z128rr
+    336609347U,	// VMOVDQA32Z128rr_alt
+    2197831747U,	// VMOVDQA32Z128rrk
+    2197831747U,	// VMOVDQA32Z128rrk_alt
+    352337987U,	// VMOVDQA32Z128rrkz
+    352337987U,	// VMOVDQA32Z128rrkz_alt
+    1769539U,	// VMOVDQA32Z256mr
+    2164981827U,	// VMOVDQA32Z256mrk
+    974143555U,	// VMOVDQA32Z256rm
+    2197831747U,	// VMOVDQA32Z256rmk
+    352337987U,	// VMOVDQA32Z256rmkz
+    336609347U,	// VMOVDQA32Z256rr
+    336609347U,	// VMOVDQA32Z256rr_alt
+    2197831747U,	// VMOVDQA32Z256rrk
+    2197831747U,	// VMOVDQA32Z256rrk_alt
+    352337987U,	// VMOVDQA32Z256rrkz
+    352337987U,	// VMOVDQA32Z256rrkz_alt
+    1785923U,	// VMOVDQA32Zmr
+    2164998211U,	// VMOVDQA32Zmrk
+    1007697987U,	// VMOVDQA32Zrm
+    2197831747U,	// VMOVDQA32Zrmk
+    352337987U,	// VMOVDQA32Zrmkz
+    336609347U,	// VMOVDQA32Zrr
+    336609347U,	// VMOVDQA32Zrr_alt
+    2197831747U,	// VMOVDQA32Zrrk
+    2197831747U,	// VMOVDQA32Zrrk_alt
+    352337987U,	// VMOVDQA32Zrrkz
+    352337987U,	// VMOVDQA32Zrrkz_alt
+    1310901U,	// VMOVDQA64Z128mr
+    2164523189U,	// VMOVDQA64Z128mrk
+    437272757U,	// VMOVDQA64Z128rm
+    2197831861U,	// VMOVDQA64Z128rmk
+    352338101U,	// VMOVDQA64Z128rmkz
+    336609461U,	// VMOVDQA64Z128rr
+    336609461U,	// VMOVDQA64Z128rr_alt
+    2197831861U,	// VMOVDQA64Z128rrk
+    2197831861U,	// VMOVDQA64Z128rrk_alt
+    352338101U,	// VMOVDQA64Z128rrkz
+    352338101U,	// VMOVDQA64Z128rrkz_alt
+    1769653U,	// VMOVDQA64Z256mr
+    2164981941U,	// VMOVDQA64Z256mrk
+    974143669U,	// VMOVDQA64Z256rm
+    2197831861U,	// VMOVDQA64Z256rmk
+    352338101U,	// VMOVDQA64Z256rmkz
+    336609461U,	// VMOVDQA64Z256rr
+    336609461U,	// VMOVDQA64Z256rr_alt
+    2197831861U,	// VMOVDQA64Z256rrk
+    2197831861U,	// VMOVDQA64Z256rrk_alt
+    352338101U,	// VMOVDQA64Z256rrkz
+    352338101U,	// VMOVDQA64Z256rrkz_alt
+    1786037U,	// VMOVDQA64Zmr
+    2164998325U,	// VMOVDQA64Zmrk
+    1007698101U,	// VMOVDQA64Zrm
+    2197831861U,	// VMOVDQA64Zrmk
+    352338101U,	// VMOVDQA64Zrmkz
+    336609461U,	// VMOVDQA64Zrr
+    336609461U,	// VMOVDQA64Zrr_alt
+    2197831861U,	// VMOVDQA64Zrrk
+    2197831861U,	// VMOVDQA64Zrrk_alt
+    352338101U,	// VMOVDQA64Zrrkz
+    352338101U,	// VMOVDQA64Zrrkz_alt
+    1770063U,	// VMOVDQAYmr
+    974144079U,	// VMOVDQAYrm
+    336609871U,	// VMOVDQAYrr
+    336609871U,	// VMOVDQAYrr_REV
+    1311311U,	// VMOVDQAmr
+    437273167U,	// VMOVDQArm
+    336609871U,	// VMOVDQArr
+    336609871U,	// VMOVDQArr_REV
+    1311148U,	// VMOVDQU16Z128mr
+    2164523436U,	// VMOVDQU16Z128mrk
+    437273004U,	// VMOVDQU16Z128rm
+    2197832108U,	// VMOVDQU16Z128rmk
+    352338348U,	// VMOVDQU16Z128rmkz
+    336609708U,	// VMOVDQU16Z128rr
+    336609708U,	// VMOVDQU16Z128rr_alt
+    2197832108U,	// VMOVDQU16Z128rrk
+    2197832108U,	// VMOVDQU16Z128rrk_alt
+    352338348U,	// VMOVDQU16Z128rrkz
+    352338348U,	// VMOVDQU16Z128rrkz_alt
+    1769900U,	// VMOVDQU16Z256mr
+    2164982188U,	// VMOVDQU16Z256mrk
+    974143916U,	// VMOVDQU16Z256rm
+    2197832108U,	// VMOVDQU16Z256rmk
+    352338348U,	// VMOVDQU16Z256rmkz
+    336609708U,	// VMOVDQU16Z256rr
+    336609708U,	// VMOVDQU16Z256rr_alt
+    2197832108U,	// VMOVDQU16Z256rrk
+    2197832108U,	// VMOVDQU16Z256rrk_alt
+    352338348U,	// VMOVDQU16Z256rrkz
+    352338348U,	// VMOVDQU16Z256rrkz_alt
+    1786284U,	// VMOVDQU16Zmr
+    2164998572U,	// VMOVDQU16Zmrk
+    1007698348U,	// VMOVDQU16Zrm
+    2197832108U,	// VMOVDQU16Zrmk
+    352338348U,	// VMOVDQU16Zrmkz
+    336609708U,	// VMOVDQU16Zrr
+    336609708U,	// VMOVDQU16Zrr_alt
+    2197832108U,	// VMOVDQU16Zrrk
+    2197832108U,	// VMOVDQU16Zrrk_alt
+    352338348U,	// VMOVDQU16Zrrkz
+    352338348U,	// VMOVDQU16Zrrkz_alt
+    1310805U,	// VMOVDQU32Z128mr
+    2164523093U,	// VMOVDQU32Z128mrk
+    437272661U,	// VMOVDQU32Z128rm
+    2197831765U,	// VMOVDQU32Z128rmk
+    352338005U,	// VMOVDQU32Z128rmkz
+    336609365U,	// VMOVDQU32Z128rr
+    336609365U,	// VMOVDQU32Z128rr_alt
+    2197831765U,	// VMOVDQU32Z128rrk
+    2197831765U,	// VMOVDQU32Z128rrk_alt
+    352338005U,	// VMOVDQU32Z128rrkz
+    352338005U,	// VMOVDQU32Z128rrkz_alt
+    1769557U,	// VMOVDQU32Z256mr
+    2164981845U,	// VMOVDQU32Z256mrk
+    974143573U,	// VMOVDQU32Z256rm
+    2197831765U,	// VMOVDQU32Z256rmk
+    352338005U,	// VMOVDQU32Z256rmkz
+    336609365U,	// VMOVDQU32Z256rr
+    336609365U,	// VMOVDQU32Z256rr_alt
+    2197831765U,	// VMOVDQU32Z256rrk
+    2197831765U,	// VMOVDQU32Z256rrk_alt
+    352338005U,	// VMOVDQU32Z256rrkz
+    352338005U,	// VMOVDQU32Z256rrkz_alt
+    1785941U,	// VMOVDQU32Zmr
+    2164998229U,	// VMOVDQU32Zmrk
+    1007698005U,	// VMOVDQU32Zrm
+    2197831765U,	// VMOVDQU32Zrmk
+    352338005U,	// VMOVDQU32Zrmkz
+    336609365U,	// VMOVDQU32Zrr
+    336609365U,	// VMOVDQU32Zrr_alt
+    2197831765U,	// VMOVDQU32Zrrk
+    2197831765U,	// VMOVDQU32Zrrk_alt
+    352338005U,	// VMOVDQU32Zrrkz
+    352338005U,	// VMOVDQU32Zrrkz_alt
+    1310976U,	// VMOVDQU64Z128mr
+    2164523264U,	// VMOVDQU64Z128mrk
+    437272832U,	// VMOVDQU64Z128rm
+    2197831936U,	// VMOVDQU64Z128rmk
+    352338176U,	// VMOVDQU64Z128rmkz
+    336609536U,	// VMOVDQU64Z128rr
+    336609536U,	// VMOVDQU64Z128rr_alt
+    2197831936U,	// VMOVDQU64Z128rrk
+    2197831936U,	// VMOVDQU64Z128rrk_alt
+    352338176U,	// VMOVDQU64Z128rrkz
+    352338176U,	// VMOVDQU64Z128rrkz_alt
+    1769728U,	// VMOVDQU64Z256mr
+    2164982016U,	// VMOVDQU64Z256mrk
+    974143744U,	// VMOVDQU64Z256rm
+    2197831936U,	// VMOVDQU64Z256rmk
+    352338176U,	// VMOVDQU64Z256rmkz
+    336609536U,	// VMOVDQU64Z256rr
+    336609536U,	// VMOVDQU64Z256rr_alt
+    2197831936U,	// VMOVDQU64Z256rrk
+    2197831936U,	// VMOVDQU64Z256rrk_alt
+    352338176U,	// VMOVDQU64Z256rrkz
+    352338176U,	// VMOVDQU64Z256rrkz_alt
+    1786112U,	// VMOVDQU64Zmr
+    2164998400U,	// VMOVDQU64Zmrk
+    1007698176U,	// VMOVDQU64Zrm
+    2197831936U,	// VMOVDQU64Zrmk
+    352338176U,	// VMOVDQU64Zrmkz
+    336609536U,	// VMOVDQU64Zrr
+    336609536U,	// VMOVDQU64Zrr_alt
+    2197831936U,	// VMOVDQU64Zrrk
+    2197831936U,	// VMOVDQU64Zrrk_alt
+    352338176U,	// VMOVDQU64Zrrkz
+    352338176U,	// VMOVDQU64Zrrkz_alt
+    1311253U,	// VMOVDQU8Z128mr
+    2164523541U,	// VMOVDQU8Z128mrk
+    437273109U,	// VMOVDQU8Z128rm
+    2197832213U,	// VMOVDQU8Z128rmk
+    352338453U,	// VMOVDQU8Z128rmkz
+    336609813U,	// VMOVDQU8Z128rr
+    336609813U,	// VMOVDQU8Z128rr_alt
+    2197832213U,	// VMOVDQU8Z128rrk
+    2197832213U,	// VMOVDQU8Z128rrk_alt
+    352338453U,	// VMOVDQU8Z128rrkz
+    352338453U,	// VMOVDQU8Z128rrkz_alt
+    1770005U,	// VMOVDQU8Z256mr
+    2164982293U,	// VMOVDQU8Z256mrk
+    974144021U,	// VMOVDQU8Z256rm
+    2197832213U,	// VMOVDQU8Z256rmk
+    352338453U,	// VMOVDQU8Z256rmkz
+    336609813U,	// VMOVDQU8Z256rr
+    336609813U,	// VMOVDQU8Z256rr_alt
+    2197832213U,	// VMOVDQU8Z256rrk
+    2197832213U,	// VMOVDQU8Z256rrk_alt
+    352338453U,	// VMOVDQU8Z256rrkz
+    352338453U,	// VMOVDQU8Z256rrkz_alt
+    1786389U,	// VMOVDQU8Zmr
+    2164998677U,	// VMOVDQU8Zmrk
+    1007698453U,	// VMOVDQU8Zrm
+    2197832213U,	// VMOVDQU8Zrmk
+    352338453U,	// VMOVDQU8Zrmkz
+    336609813U,	// VMOVDQU8Zrr
+    336609813U,	// VMOVDQU8Zrr_alt
+    2197832213U,	// VMOVDQU8Zrrk
+    2197832213U,	// VMOVDQU8Zrrk_alt
+    352338453U,	// VMOVDQU8Zrrkz
+    352338453U,	// VMOVDQU8Zrrkz_alt
+    1776893U,	// VMOVDQUYmr
+    974150909U,	// VMOVDQUYrm
+    336616701U,	// VMOVDQUYrr
+    336616701U,	// VMOVDQUYrr_REV
+    1318141U,	// VMOVDQUmr
+    437279997U,	// VMOVDQUrm
+    336616701U,	// VMOVDQUrr
+    336616701U,	// VMOVDQUrr_REV
+    2484099358U,	// VMOVHLPSZrr
+    2484099358U,	// VMOVHLPSrr
+    1181998U,	// VMOVHPDmr
+    2484095278U,	// VMOVHPDrm
+    1186058U,	// VMOVHPSmr
+    2484099338U,	// VMOVHPSrm
+    2484099328U,	// VMOVLHPSZrr
+    2484099328U,	// VMOVLHPSrr
+    1182048U,	// VMOVLPDmr
+    2484095328U,	// VMOVLPDrm
+    1186118U,	// VMOVLPSmr
+    2484099398U,	// VMOVLPSrm
+    336611639U,	// VMOVMSKPDYrr
+    336611639U,	// VMOVMSKPDrr
+    336615699U,	// VMOVMSKPSYrr
+    336615699U,	// VMOVMSKPSrr
+    974144068U,	// VMOVNTDQAYrm
+    437273156U,	// VMOVNTDQAZ128rm
+    974144068U,	// VMOVNTDQAZ256rm
+    1007698500U,	// VMOVNTDQAZrm
+    437273156U,	// VMOVNTDQArm
+    1741631U,	// VMOVNTDQYmr
+    1315647U,	// VMOVNTDQZ128mr
+    1774399U,	// VMOVNTDQZ256mr
+    1790783U,	// VMOVNTDQZmr
+    1643327U,	// VMOVNTDQmr
+    1739226U,	// VMOVNTPDYmr
+    1640922U,	// VMOVNTPDZ128mr
+    1739226U,	// VMOVNTPDZ256mr
+    1755610U,	// VMOVNTPDZmr
+    1640922U,	// VMOVNTPDmr
+    1743308U,	// VMOVNTPSYmr
+    1645004U,	// VMOVNTPSZ128mr
+    1743308U,	// VMOVNTPSZ256mr
+    1759692U,	// VMOVNTPSZmr
+    1645004U,	// VMOVNTPSmr
+    1117476U,	// VMOVPDI2DIZmr
+    336612644U,	// VMOVPDI2DIZrr
+    1117476U,	// VMOVPDI2DImr
+    336612644U,	// VMOVPDI2DIrr
+    1135990U,	// VMOVPQI2QImr
+    336614774U,	// VMOVPQI2QIrr
+    1135990U,	// VMOVPQIto64Zmr
+    336614774U,	// VMOVPQIto64Zrr
+    1135990U,	// VMOVPQIto64rm
+    336614774U,	// VMOVPQIto64rr
+    370169206U,	// VMOVQI2PQIZrm
+    370169206U,	// VMOVQI2PQIrm
+    1182831U,	// VMOVSDZmr
+    2164395119U,	// VMOVSDZmrk
+    571493487U,	// VMOVSDZrm
+    2484096111U,	// VMOVSDZrr
+    2484096111U,	// VMOVSDZrr_REV
+    2197834863U,	// VMOVSDZrrk
+    1182831U,	// VMOVSDmr
+    571493487U,	// VMOVSDrm
+    2484096111U,	// VMOVSDrr
+    2484096111U,	// VMOVSDrr_REV
+    1135990U,	// VMOVSDto64Zmr
+    336614774U,	// VMOVSDto64Zrr
+    1135990U,	// VMOVSDto64mr
+    336614774U,	// VMOVSDto64rr
+    1041256881U,	// VMOVSHDUPYrm
+    336613809U,	// VMOVSHDUPYrr
+    1074811313U,	// VMOVSHDUPZrm
+    336613809U,	// VMOVSHDUPZrr
+    537940401U,	// VMOVSHDUPrm
+    336613809U,	// VMOVSHDUPrr
+    1041256892U,	// VMOVSLDUPYrm
+    336613820U,	// VMOVSLDUPYrr
+    1074811324U,	// VMOVSLDUPZrm
+    336613820U,	// VMOVSLDUPZrr
+    537940412U,	// VMOVSLDUPrm
+    336613820U,	// VMOVSLDUPrr
+    1117476U,	// VMOVSS2DIZmr
+    336612644U,	// VMOVSS2DIZrr
+    1117476U,	// VMOVSS2DImr
+    336612644U,	// VMOVSS2DIrr
+    1170405U,	// VMOVSSZmr
+    2164382693U,	// VMOVSSZmrk
+    605051877U,	// VMOVSSZrm
+    2484100069U,	// VMOVSSZrr
+    2484100069U,	// VMOVSSZrr_REV
+    2197838821U,	// VMOVSSZrrk
+    1170405U,	// VMOVSSmr
+    605051877U,	// VMOVSSrm
+    2484100069U,	// VMOVSSrr
+    2484100069U,	// VMOVSSrr_REV
+    1739254U,	// VMOVUPDYmr
+    1041254902U,	// VMOVUPDYrm
+    336611830U,	// VMOVUPDYrr
+    336611830U,	// VMOVUPDYrr_REV
+    1640950U,	// VMOVUPDZ128mr
+    2164853238U,	// VMOVUPDZ128mrk
+    537938422U,	// VMOVUPDZ128rm
+    2197834230U,	// VMOVUPDZ128rmk
+    352340470U,	// VMOVUPDZ128rmkz
+    336611830U,	// VMOVUPDZ128rr
+    336611830U,	// VMOVUPDZ128rr_alt
+    2197834230U,	// VMOVUPDZ128rrk
+    2197834230U,	// VMOVUPDZ128rrk_alt
+    352340470U,	// VMOVUPDZ128rrkz
+    352340470U,	// VMOVUPDZ128rrkz_alt
+    1739254U,	// VMOVUPDZ256mr
+    2164951542U,	// VMOVUPDZ256mrk
+    1041254902U,	// VMOVUPDZ256rm
+    2197834230U,	// VMOVUPDZ256rmk
+    352340470U,	// VMOVUPDZ256rmkz
+    336611830U,	// VMOVUPDZ256rr
+    336611830U,	// VMOVUPDZ256rr_alt
+    2197834230U,	// VMOVUPDZ256rrk
+    2197834230U,	// VMOVUPDZ256rrk_alt
+    352340470U,	// VMOVUPDZ256rrkz
+    352340470U,	// VMOVUPDZ256rrkz_alt
+    1755638U,	// VMOVUPDZmr
+    2164967926U,	// VMOVUPDZmrk
+    1074809334U,	// VMOVUPDZrm
+    2197834230U,	// VMOVUPDZrmk
+    352340470U,	// VMOVUPDZrmkz
+    336611830U,	// VMOVUPDZrr
+    336611830U,	// VMOVUPDZrr_alt
+    2197834230U,	// VMOVUPDZrrk
+    2197834230U,	// VMOVUPDZrrk_alt
+    352340470U,	// VMOVUPDZrrkz
+    352340470U,	// VMOVUPDZrrkz_alt
+    1640950U,	// VMOVUPDmr
+    537938422U,	// VMOVUPDrm
+    336611830U,	// VMOVUPDrr
+    336611830U,	// VMOVUPDrr_REV
+    1743357U,	// VMOVUPSYmr
+    1041259005U,	// VMOVUPSYrm
+    336615933U,	// VMOVUPSYrr
+    336615933U,	// VMOVUPSYrr_REV
+    1645053U,	// VMOVUPSZ128mr
+    2164857341U,	// VMOVUPSZ128mrk
+    537942525U,	// VMOVUPSZ128rm
+    2197838333U,	// VMOVUPSZ128rmk
+    352344573U,	// VMOVUPSZ128rmkz
+    336615933U,	// VMOVUPSZ128rr
+    336615933U,	// VMOVUPSZ128rr_alt
+    2197838333U,	// VMOVUPSZ128rrk
+    2197838333U,	// VMOVUPSZ128rrk_alt
+    352344573U,	// VMOVUPSZ128rrkz
+    352344573U,	// VMOVUPSZ128rrkz_alt
+    1743357U,	// VMOVUPSZ256mr
+    2164955645U,	// VMOVUPSZ256mrk
+    1041259005U,	// VMOVUPSZ256rm
+    2197838333U,	// VMOVUPSZ256rmk
+    352344573U,	// VMOVUPSZ256rmkz
+    336615933U,	// VMOVUPSZ256rr
+    336615933U,	// VMOVUPSZ256rr_alt
+    2197838333U,	// VMOVUPSZ256rrk
+    2197838333U,	// VMOVUPSZ256rrk_alt
+    352344573U,	// VMOVUPSZ256rrkz
+    352344573U,	// VMOVUPSZ256rrkz_alt
+    1759741U,	// VMOVUPSZmr
+    2164972029U,	// VMOVUPSZmrk
+    1074813437U,	// VMOVUPSZrm
+    2197838333U,	// VMOVUPSZrmk
+    352344573U,	// VMOVUPSZrmkz
+    336615933U,	// VMOVUPSZrr
+    336615933U,	// VMOVUPSZrr_alt
+    2197838333U,	// VMOVUPSZrrk
+    2197838333U,	// VMOVUPSZrrk_alt
+    352344573U,	// VMOVUPSZrrkz
+    352344573U,	// VMOVUPSZrrkz_alt
+    1645053U,	// VMOVUPSmr
+    537942525U,	// VMOVUPSrm
+    336615933U,	// VMOVUPSrr
+    336615933U,	// VMOVUPSrr_REV
+    437278070U,	// VMOVZPQILo2PQIZrm
+    336614774U,	// VMOVZPQILo2PQIZrr
+    437278070U,	// VMOVZPQILo2PQIrm
+    336614774U,	// VMOVZPQILo2PQIrr
+    370169206U,	// VMOVZQI2PQIrm
+    336614774U,	// VMOVZQI2PQIrr
+    2484100432U,	// VMPSADBWYrmi
+    2484100432U,	// VMPSADBWYrri
+    2484100432U,	// VMPSADBWrmi
+    2484100432U,	// VMPSADBWrri
+    83530U,	// VMPTRLDm
+    89300U,	// VMPTRSTm
+    1115420U,	// VMREAD32rm
+    336610588U,	// VMREAD32rr
+    1131804U,	// VMREAD64rm
+    336610588U,	// VMREAD64rr
+    10320U,	// VMRESUME
+    11198U,	// VMRUN32
+    11253U,	// VMRUN64
+    11187U,	// VMSAVE32
+    11242U,	// VMSAVE64
+    2484095320U,	// VMULPDYrm
+    2484095320U,	// VMULPDYrr
+    2498775384U,	// VMULPDZ128rm
+    2498775384U,	// VMULPDZ128rmb
+    2197834072U,	// VMULPDZ128rmbk
+    352340312U,	// VMULPDZ128rmbkz
+    2197834072U,	// VMULPDZ128rmk
+    352340312U,	// VMULPDZ128rmkz
+    2498775384U,	// VMULPDZ128rr
+    2197834072U,	// VMULPDZ128rrk
+    352340312U,	// VMULPDZ128rrkz
+    2498775384U,	// VMULPDZ256rm
+    2498775384U,	// VMULPDZ256rmb
+    2197834072U,	// VMULPDZ256rmbk
+    352340312U,	// VMULPDZ256rmbkz
+    2197834072U,	// VMULPDZ256rmk
+    352340312U,	// VMULPDZ256rmkz
+    2498775384U,	// VMULPDZ256rr
+    2197834072U,	// VMULPDZ256rrk
+    352340312U,	// VMULPDZ256rrkz
+    2498775384U,	// VMULPDZrb
+    2197834072U,	// VMULPDZrbk
+    352340312U,	// VMULPDZrbkz
+    2498775384U,	// VMULPDZrm
+    2498775384U,	// VMULPDZrmb
+    2197834072U,	// VMULPDZrmbk
+    352340312U,	// VMULPDZrmbkz
+    2197834072U,	// VMULPDZrmk
+    352340312U,	// VMULPDZrmkz
+    2498775384U,	// VMULPDZrr
+    2197834072U,	// VMULPDZrrk
+    352340312U,	// VMULPDZrrkz
+    2484095320U,	// VMULPDrm
+    2484095320U,	// VMULPDrr
+    2484099390U,	// VMULPSYrm
+    2484099390U,	// VMULPSYrr
+    2498779454U,	// VMULPSZ128rm
+    2498779454U,	// VMULPSZ128rmb
+    2197838142U,	// VMULPSZ128rmbk
+    352344382U,	// VMULPSZ128rmbkz
+    2197838142U,	// VMULPSZ128rmk
+    352344382U,	// VMULPSZ128rmkz
+    2498779454U,	// VMULPSZ128rr
+    2197838142U,	// VMULPSZ128rrk
+    352344382U,	// VMULPSZ128rrkz
+    2498779454U,	// VMULPSZ256rm
+    2498779454U,	// VMULPSZ256rmb
+    2197838142U,	// VMULPSZ256rmbk
+    352344382U,	// VMULPSZ256rmbkz
+    2197838142U,	// VMULPSZ256rmk
+    352344382U,	// VMULPSZ256rmkz
+    2498779454U,	// VMULPSZ256rr
+    2197838142U,	// VMULPSZ256rrk
+    352344382U,	// VMULPSZ256rrkz
+    2498779454U,	// VMULPSZrb
+    2197838142U,	// VMULPSZrbk
+    352344382U,	// VMULPSZrbkz
+    2498779454U,	// VMULPSZrm
+    2498779454U,	// VMULPSZrmb
+    2197838142U,	// VMULPSZrmbk
+    352344382U,	// VMULPSZrmbkz
+    2197838142U,	// VMULPSZrmk
+    352344382U,	// VMULPSZrmkz
+    2498779454U,	// VMULPSZrr
+    2197838142U,	// VMULPSZrrk
+    352344382U,	// VMULPSZrrkz
+    2484099390U,	// VMULPSrm
+    2484099390U,	// VMULPSrr
+    2484096018U,	// VMULSDZrm
+    2498776082U,	// VMULSDZrm_Int
+    2197834770U,	// VMULSDZrm_Intk
+    352341010U,	// VMULSDZrm_Intkz
+    2484096018U,	// VMULSDZrr
+    2498776082U,	// VMULSDZrr_Int
+    2197834770U,	// VMULSDZrr_Intk
+    352341010U,	// VMULSDZrr_Intkz
+    2498776082U,	// VMULSDZrrb
+    2197834770U,	// VMULSDZrrbk
+    352341010U,	// VMULSDZrrbkz
+    2484096018U,	// VMULSDrm
+    2484096018U,	// VMULSDrm_Int
+    2484096018U,	// VMULSDrr
+    2484096018U,	// VMULSDrr_Int
+    2484099987U,	// VMULSSZrm
+    2498780051U,	// VMULSSZrm_Int
+    2197838739U,	// VMULSSZrm_Intk
+    352344979U,	// VMULSSZrm_Intkz
+    2484099987U,	// VMULSSZrr
+    2498780051U,	// VMULSSZrr_Int
+    2197838739U,	// VMULSSZrr_Intk
+    352344979U,	// VMULSSZrr_Intkz
+    2498780051U,	// VMULSSZrrb
+    2197838739U,	// VMULSSZrrbk
+    352344979U,	// VMULSSZrrbkz
+    2484099987U,	// VMULSSrm
+    2484099987U,	// VMULSSrm_Int
+    2484099987U,	// VMULSSrr
+    2484099987U,	// VMULSSrr_Int
+    303058548U,	// VMWRITE32rm
+    336612980U,	// VMWRITE32rr
+    370167412U,	// VMWRITE64rm
+    336612980U,	// VMWRITE64rr
+    10408U,	// VMXOFF
+    86211U,	// VMXON
+    2484095422U,	// VORPDYrm
+    2484095422U,	// VORPDYrr
+    2484095422U,	// VORPDrm
+    2484095422U,	// VORPDrr
+    2484099492U,	// VORPSYrm
+    2484099492U,	// VORPSYrr
+    2484099492U,	// VORPSrm
+    2484099492U,	// VORPSrr
+    437273484U,	// VPABSBrm128
+    974144396U,	// VPABSBrm256
+    336610188U,	// VPABSBrr128
+    336610188U,	// VPABSBrr256
+    1007700902U,	// VPABSDZrm
+    303057830U,	// VPABSDZrmb
+    2499824550U,	// VPABSDZrmbk
+    352340902U,	// VPABSDZrmbkz
+    2499824550U,	// VPABSDZrmk
+    352340902U,	// VPABSDZrmkz
+    336612262U,	// VPABSDZrr
+    2499824550U,	// VPABSDZrrk
+    352340902U,	// VPABSDZrrkz
+    437275558U,	// VPABSDrm128
+    974146470U,	// VPABSDrm256
+    336612262U,	// VPABSDrr128
+    336612262U,	// VPABSDrr256
+    1007703190U,	// VPABSQZrm
+    2517652630U,	// VPABSQZrmb
+    2499826838U,	// VPABSQZrmbk
+    352343190U,	// VPABSQZrmbkz
+    2499826838U,	// VPABSQZrmk
+    352343190U,	// VPABSQZrmkz
+    336614550U,	// VPABSQZrr
+    2499826838U,	// VPABSQZrrk
+    352343190U,	// VPABSQZrrkz
+    437280555U,	// VPABSWrm128
+    974151467U,	// VPABSWrm256
+    336617259U,	// VPABSWrr128
+    336617259U,	// VPABSWrr256
+    2484100594U,	// VPACKSSDWYrm
+    2484100594U,	// VPACKSSDWYrr
+    2484100594U,	// VPACKSSDWrm
+    2484100594U,	// VPACKSSDWrr
+    2484094066U,	// VPACKSSWBYrm
+    2484094066U,	// VPACKSSWBYrr
+    2484094066U,	// VPACKSSWBrm
+    2484094066U,	// VPACKSSWBrr
+    2484100605U,	// VPACKUSDWYrm
+    2484100605U,	// VPACKUSDWYrr
+    2484100605U,	// VPACKUSDWrm
+    2484100605U,	// VPACKUSDWrr
+    2484094077U,	// VPACKUSWBYrm
+    2484094077U,	// VPACKUSWBYrr
+    2484094077U,	// VPACKUSWBrm
+    2484094077U,	// VPACKUSWBrr
+    2484093608U,	// VPADDBYrm
+    2484093608U,	// VPADDBYrr
+    2498773672U,	// VPADDBZ128rm
+    2197832360U,	// VPADDBZ128rmk
+    352338600U,	// VPADDBZ128rmkz
+    2498773672U,	// VPADDBZ128rr
+    2197832360U,	// VPADDBZ128rrk
+    352338600U,	// VPADDBZ128rrkz
+    2498773672U,	// VPADDBZ256rm
+    2197832360U,	// VPADDBZ256rmk
+    352338600U,	// VPADDBZ256rmkz
+    2498773672U,	// VPADDBZ256rr
+    2197832360U,	// VPADDBZ256rrk
+    352338600U,	// VPADDBZ256rrkz
+    2498773672U,	// VPADDBZrm
+    2197832360U,	// VPADDBZrmk
+    352338600U,	// VPADDBZrmkz
+    2498773672U,	// VPADDBZrr
+    2197832360U,	// VPADDBZrrk
+    352338600U,	// VPADDBZrrkz
+    2484093608U,	// VPADDBrm
+    2484093608U,	// VPADDBrr
+    2484094349U,	// VPADDDYrm
+    2484094349U,	// VPADDDYrr
+    2498774413U,	// VPADDDZ128rm
+    2498774413U,	// VPADDDZ128rmb
+    2197833101U,	// VPADDDZ128rmbk
+    352339341U,	// VPADDDZ128rmbkz
+    2197833101U,	// VPADDDZ128rmk
+    352339341U,	// VPADDDZ128rmkz
+    2498774413U,	// VPADDDZ128rr
+    2197833101U,	// VPADDDZ128rrk
+    352339341U,	// VPADDDZ128rrkz
+    2498774413U,	// VPADDDZ256rm
+    2498774413U,	// VPADDDZ256rmb
+    2197833101U,	// VPADDDZ256rmbk
+    352339341U,	// VPADDDZ256rmbkz
+    2197833101U,	// VPADDDZ256rmk
+    352339341U,	// VPADDDZ256rmkz
+    2498774413U,	// VPADDDZ256rr
+    2197833101U,	// VPADDDZ256rrk
+    352339341U,	// VPADDDZ256rrkz
+    2498774413U,	// VPADDDZrm
+    2498774413U,	// VPADDDZrmb
+    2197833101U,	// VPADDDZrmbk
+    352339341U,	// VPADDDZrmbkz
+    2197833101U,	// VPADDDZrmk
+    352339341U,	// VPADDDZrmkz
+    2498774413U,	// VPADDDZrr
+    2197833101U,	// VPADDDZrrk
+    352339341U,	// VPADDDZrrkz
+    2484094349U,	// VPADDDrm
+    2484094349U,	// VPADDDrr
+    2484097697U,	// VPADDQYrm
+    2484097697U,	// VPADDQYrr
+    2498777761U,	// VPADDQZ128rm
+    2498777761U,	// VPADDQZ128rmb
+    2197836449U,	// VPADDQZ128rmbk
+    352342689U,	// VPADDQZ128rmbkz
+    2197836449U,	// VPADDQZ128rmk
+    352342689U,	// VPADDQZ128rmkz
+    2498777761U,	// VPADDQZ128rr
+    2197836449U,	// VPADDQZ128rrk
+    352342689U,	// VPADDQZ128rrkz
+    2498777761U,	// VPADDQZ256rm
+    2498777761U,	// VPADDQZ256rmb
+    2197836449U,	// VPADDQZ256rmbk
+    352342689U,	// VPADDQZ256rmbkz
+    2197836449U,	// VPADDQZ256rmk
+    352342689U,	// VPADDQZ256rmkz
+    2498777761U,	// VPADDQZ256rr
+    2197836449U,	// VPADDQZ256rrk
+    352342689U,	// VPADDQZ256rrkz
+    2498777761U,	// VPADDQZrm
+    2498777761U,	// VPADDQZrmb
+    2197836449U,	// VPADDQZrmbk
+    352342689U,	// VPADDQZrmbkz
+    2197836449U,	// VPADDQZrmk
+    352342689U,	// VPADDQZrmkz
+    2498777761U,	// VPADDQZrr
+    2197836449U,	// VPADDQZrrk
+    352342689U,	// VPADDQZrrkz
+    2484097697U,	// VPADDQrm
+    2484097697U,	// VPADDQrr
+    2484093853U,	// VPADDSBYrm
+    2484093853U,	// VPADDSBYrr
+    2484093853U,	// VPADDSBrm
+    2484093853U,	// VPADDSBrr
+    2484100956U,	// VPADDSWYrm
+    2484100956U,	// VPADDSWYrr
+    2484100956U,	// VPADDSWrm
+    2484100956U,	// VPADDSWrr
+    2484093895U,	// VPADDUSBYrm
+    2484093895U,	// VPADDUSBYrr
+    2484093895U,	// VPADDUSBrm
+    2484093895U,	// VPADDUSBrr
+    2484101029U,	// VPADDUSWYrm
+    2484101029U,	// VPADDUSWYrr
+    2484101029U,	// VPADDUSWrm
+    2484101029U,	// VPADDUSWrr
+    2484100569U,	// VPADDWYrm
+    2484100569U,	// VPADDWYrr
+    2498780633U,	// VPADDWZ128rm
+    2197839321U,	// VPADDWZ128rmk
+    352345561U,	// VPADDWZ128rmkz
+    2498780633U,	// VPADDWZ128rr
+    2197839321U,	// VPADDWZ128rrk
+    352345561U,	// VPADDWZ128rrkz
+    2498780633U,	// VPADDWZ256rm
+    2197839321U,	// VPADDWZ256rmk
+    352345561U,	// VPADDWZ256rmkz
+    2498780633U,	// VPADDWZ256rr
+    2197839321U,	// VPADDWZ256rrk
+    352345561U,	// VPADDWZ256rrkz
+    2498780633U,	// VPADDWZrm
+    2197839321U,	// VPADDWZrmk
+    352345561U,	// VPADDWZrmkz
+    2498780633U,	// VPADDWZrr
+    2197839321U,	// VPADDWZrrk
+    352345561U,	// VPADDWZrrkz
+    2484100569U,	// VPADDWrm
+    2484100569U,	// VPADDWrr
+    2484098524U,	// VPALIGNR128rm
+    2484098524U,	// VPALIGNR128rr
+    2484098524U,	// VPALIGNR256rm
+    2484098524U,	// VPALIGNR256rr
+    2498774428U,	// VPANDDZ128rm
+    2498774428U,	// VPANDDZ128rmb
+    2197833116U,	// VPANDDZ128rmbk
+    352339356U,	// VPANDDZ128rmbkz
+    2197833116U,	// VPANDDZ128rmk
+    352339356U,	// VPANDDZ128rmkz
+    2498774428U,	// VPANDDZ128rr
+    2197833116U,	// VPANDDZ128rrk
+    352339356U,	// VPANDDZ128rrkz
+    2498774428U,	// VPANDDZ256rm
+    2498774428U,	// VPANDDZ256rmb
+    2197833116U,	// VPANDDZ256rmbk
+    352339356U,	// VPANDDZ256rmbkz
+    2197833116U,	// VPANDDZ256rmk
+    352339356U,	// VPANDDZ256rmkz
+    2498774428U,	// VPANDDZ256rr
+    2197833116U,	// VPANDDZ256rrk
+    352339356U,	// VPANDDZ256rrkz
+    2498774428U,	// VPANDDZrm
+    2498774428U,	// VPANDDZrmb
+    2197833116U,	// VPANDDZrmbk
+    352339356U,	// VPANDDZrmbkz
+    2197833116U,	// VPANDDZrmk
+    352339356U,	// VPANDDZrmkz
+    2498774428U,	// VPANDDZrr
+    2197833116U,	// VPANDDZrrk
+    352339356U,	// VPANDDZrrkz
+    2498774692U,	// VPANDNDZ128rm
+    2498774692U,	// VPANDNDZ128rmb
+    2197833380U,	// VPANDNDZ128rmbk
+    352339620U,	// VPANDNDZ128rmbkz
+    2197833380U,	// VPANDNDZ128rmk
+    352339620U,	// VPANDNDZ128rmkz
+    2498774692U,	// VPANDNDZ128rr
+    2197833380U,	// VPANDNDZ128rrk
+    352339620U,	// VPANDNDZ128rrkz
+    2498774692U,	// VPANDNDZ256rm
+    2498774692U,	// VPANDNDZ256rmb
+    2197833380U,	// VPANDNDZ256rmbk
+    352339620U,	// VPANDNDZ256rmbkz
+    2197833380U,	// VPANDNDZ256rmk
+    352339620U,	// VPANDNDZ256rmkz
+    2498774692U,	// VPANDNDZ256rr
+    2197833380U,	// VPANDNDZ256rrk
+    352339620U,	// VPANDNDZ256rrkz
+    2498774692U,	// VPANDNDZrm
+    2498774692U,	// VPANDNDZrmb
+    2197833380U,	// VPANDNDZrmbk
+    352339620U,	// VPANDNDZrmbkz
+    2197833380U,	// VPANDNDZrmk
+    352339620U,	// VPANDNDZrmkz
+    2498774692U,	// VPANDNDZrr
+    2197833380U,	// VPANDNDZrrk
+    352339620U,	// VPANDNDZrrkz
+    2498778137U,	// VPANDNQZ128rm
+    2498778137U,	// VPANDNQZ128rmb
+    2197836825U,	// VPANDNQZ128rmbk
+    352343065U,	// VPANDNQZ128rmbkz
+    2197836825U,	// VPANDNQZ128rmk
+    352343065U,	// VPANDNQZ128rmkz
+    2498778137U,	// VPANDNQZ128rr
+    2197836825U,	// VPANDNQZ128rrk
+    352343065U,	// VPANDNQZ128rrkz
+    2498778137U,	// VPANDNQZ256rm
+    2498778137U,	// VPANDNQZ256rmb
+    2197836825U,	// VPANDNQZ256rmbk
+    352343065U,	// VPANDNQZ256rmbkz
+    2197836825U,	// VPANDNQZ256rmk
+    352343065U,	// VPANDNQZ256rmkz
+    2498778137U,	// VPANDNQZ256rr
+    2197836825U,	// VPANDNQZ256rrk
+    352343065U,	// VPANDNQZ256rrkz
+    2498778137U,	// VPANDNQZrm
+    2498778137U,	// VPANDNQZrmb
+    2197836825U,	// VPANDNQZrmbk
+    352343065U,	// VPANDNQZrmbkz
+    2197836825U,	// VPANDNQZrmk
+    352343065U,	// VPANDNQZrmkz
+    2498778137U,	// VPANDNQZrr
+    2197836825U,	// VPANDNQZrrk
+    352343065U,	// VPANDNQZrrkz
+    2484097196U,	// VPANDNYrm
+    2484097196U,	// VPANDNYrr
+    2484097196U,	// VPANDNrm
+    2484097196U,	// VPANDNrr
+    2498777837U,	// VPANDQZ128rm
+    2498777837U,	// VPANDQZ128rmb
+    2197836525U,	// VPANDQZ128rmbk
+    352342765U,	// VPANDQZ128rmbkz
+    2197836525U,	// VPANDQZ128rmk
+    352342765U,	// VPANDQZ128rmkz
+    2498777837U,	// VPANDQZ128rr
+    2197836525U,	// VPANDQZ128rrk
+    352342765U,	// VPANDQZ128rrkz
+    2498777837U,	// VPANDQZ256rm
+    2498777837U,	// VPANDQZ256rmb
+    2197836525U,	// VPANDQZ256rmbk
+    352342765U,	// VPANDQZ256rmbkz
+    2197836525U,	// VPANDQZ256rmk
+    352342765U,	// VPANDQZ256rmkz
+    2498777837U,	// VPANDQZ256rr
+    2197836525U,	// VPANDQZ256rrk
+    352342765U,	// VPANDQZ256rrkz
+    2498777837U,	// VPANDQZrm
+    2498777837U,	// VPANDQZrmb
+    2197836525U,	// VPANDQZrmbk
+    352342765U,	// VPANDQZrmbkz
+    2197836525U,	// VPANDQZrmk
+    352342765U,	// VPANDQZrmkz
+    2498777837U,	// VPANDQZrr
+    2197836525U,	// VPANDQZrrk
+    352342765U,	// VPANDQZrrkz
+    2484094605U,	// VPANDYrm
+    2484094605U,	// VPANDYrr
+    2484094605U,	// VPANDrm
+    2484094605U,	// VPANDrr
+    2484093662U,	// VPAVGBYrm
+    2484093662U,	// VPAVGBYrr
+    2484093662U,	// VPAVGBrm
+    2484093662U,	// VPAVGBrr
+    2484100661U,	// VPAVGWYrm
+    2484100661U,	// VPAVGWYrr
+    2484100661U,	// VPAVGWrm
+    2484100661U,	// VPAVGWrr
+    2484094383U,	// VPBLENDDYrmi
+    2484094383U,	// VPBLENDDYrri
+    2484094383U,	// VPBLENDDrmi
+    2484094383U,	// VPBLENDDrri
+    420496135U,	// VPBLENDMBZ128rm
+    2499822343U,	// VPBLENDMBZ128rmk
+    352338695U,	// VPBLENDMBZ128rmkz
+    2484093703U,	// VPBLENDMBZ128rr
+    2499822343U,	// VPBLENDMBZ128rrk
+    352338695U,	// VPBLENDMBZ128rrkz
+    1292911367U,	// VPBLENDMBZ256rm
+    2499822343U,	// VPBLENDMBZ256rmk
+    352338695U,	// VPBLENDMBZ256rmkz
+    2484093703U,	// VPBLENDMBZ256rr
+    2499822343U,	// VPBLENDMBZ256rrk
+    352338695U,	// VPBLENDMBZ256rrkz
+    1326465799U,	// VPBLENDMBZrm
+    2499822343U,	// VPBLENDMBZrmk
+    352338695U,	// VPBLENDMBZrmkz
+    2484093703U,	// VPBLENDMBZrr
+    2499822343U,	// VPBLENDMBZrrk
+    352338695U,	// VPBLENDMBZrrkz
+    420496989U,	// VPBLENDMDZ128rm
+    2484094557U,	// VPBLENDMDZ128rmb
+    2499823197U,	// VPBLENDMDZ128rmbk
+    2499823197U,	// VPBLENDMDZ128rmk
+    352339549U,	// VPBLENDMDZ128rmkz
+    2484094557U,	// VPBLENDMDZ128rr
+    2499823197U,	// VPBLENDMDZ128rrk
+    352339549U,	// VPBLENDMDZ128rrkz
+    1292912221U,	// VPBLENDMDZ256rm
+    2484094557U,	// VPBLENDMDZ256rmb
+    2499823197U,	// VPBLENDMDZ256rmbk
+    2499823197U,	// VPBLENDMDZ256rmk
+    352339549U,	// VPBLENDMDZ256rmkz
+    2484094557U,	// VPBLENDMDZ256rr
+    2499823197U,	// VPBLENDMDZ256rrk
+    352339549U,	// VPBLENDMDZ256rrkz
+    1326466653U,	// VPBLENDMDZrm
+    2484094557U,	// VPBLENDMDZrmb
+    2499823197U,	// VPBLENDMDZrmbk
+    2499823197U,	// VPBLENDMDZrmk
+    352339549U,	// VPBLENDMDZrmkz
+    2484094557U,	// VPBLENDMDZrr
+    2499823197U,	// VPBLENDMDZrrk
+    352339549U,	// VPBLENDMDZrrkz
+    420500449U,	// VPBLENDMQZ128rm
+    2484098017U,	// VPBLENDMQZ128rmb
+    2499826657U,	// VPBLENDMQZ128rmbk
+    2499826657U,	// VPBLENDMQZ128rmk
+    352343009U,	// VPBLENDMQZ128rmkz
+    2484098017U,	// VPBLENDMQZ128rr
+    2499826657U,	// VPBLENDMQZ128rrk
+    352343009U,	// VPBLENDMQZ128rrkz
+    1292915681U,	// VPBLENDMQZ256rm
+    2484098017U,	// VPBLENDMQZ256rmb
+    2499826657U,	// VPBLENDMQZ256rmbk
+    2499826657U,	// VPBLENDMQZ256rmk
+    352343009U,	// VPBLENDMQZ256rmkz
+    2484098017U,	// VPBLENDMQZ256rr
+    2499826657U,	// VPBLENDMQZ256rrk
+    352343009U,	// VPBLENDMQZ256rrkz
+    1326470113U,	// VPBLENDMQZrm
+    2484098017U,	// VPBLENDMQZrmb
+    2499826657U,	// VPBLENDMQZrmbk
+    2499826657U,	// VPBLENDMQZrmk
+    352343009U,	// VPBLENDMQZrmkz
+    2484098017U,	// VPBLENDMQZrr
+    2499826657U,	// VPBLENDMQZrrk
+    352343009U,	// VPBLENDMQZrrkz
+    420503191U,	// VPBLENDMWZ128rm
+    2499829399U,	// VPBLENDMWZ128rmk
+    352345751U,	// VPBLENDMWZ128rmkz
+    2484100759U,	// VPBLENDMWZ128rr
+    2499829399U,	// VPBLENDMWZ128rrk
+    352345751U,	// VPBLENDMWZ128rrkz
+    1292918423U,	// VPBLENDMWZ256rm
+    2499829399U,	// VPBLENDMWZ256rmk
+    352345751U,	// VPBLENDMWZ256rmkz
+    2484100759U,	// VPBLENDMWZ256rr
+    2499829399U,	// VPBLENDMWZ256rrk
+    352345751U,	// VPBLENDMWZ256rrkz
+    1326472855U,	// VPBLENDMWZrm
+    2499829399U,	// VPBLENDMWZrmk
+    352345751U,	// VPBLENDMWZrmkz
+    2484100759U,	// VPBLENDMWZrr
+    2499829399U,	// VPBLENDMWZrrk
+    352345751U,	// VPBLENDMWZrrkz
+    2484094035U,	// VPBLENDVBYrm
+    2484094035U,	// VPBLENDVBYrr
+    2484094035U,	// VPBLENDVBrm
+    2484094035U,	// VPBLENDVBrr
+    2484100584U,	// VPBLENDWYrmi
+    2484100584U,	// VPBLENDWYrri
+    2484100584U,	// VPBLENDWrmi
+    2484100584U,	// VPBLENDWrri
+    504382473U,	// VPBROADCASTBYrm
+    336610313U,	// VPBROADCASTBYrr
+    351290377U,	// VPBROADCASTBrZ128r
+    2197832713U,	// VPBROADCASTBrZ128rk
+    352338953U,	// VPBROADCASTBrZ128rkz
+    351290377U,	// VPBROADCASTBrZ256r
+    2197832713U,	// VPBROADCASTBrZ256rk
+    352338953U,	// VPBROADCASTBrZ256rkz
+    351290377U,	// VPBROADCASTBrZr
+    2197832713U,	// VPBROADCASTBrZrk
+    352338953U,	// VPBROADCASTBrZrkz
+    504382473U,	// VPBROADCASTBrm
+    336610313U,	// VPBROADCASTBrr
+    303058113U,	// VPBROADCASTDYrm
+    336612545U,	// VPBROADCASTDYrr
+    352341185U,	// VPBROADCASTDZkrm
+    352341185U,	// VPBROADCASTDZkrr
+    303058113U,	// VPBROADCASTDZrm
+    336612545U,	// VPBROADCASTDZrr
+    351292609U,	// VPBROADCASTDrZ128r
+    2197834945U,	// VPBROADCASTDrZ128rk
+    352341185U,	// VPBROADCASTDrZ128rkz
+    351292609U,	// VPBROADCASTDrZ256r
+    2197834945U,	// VPBROADCASTDrZ256rk
+    352341185U,	// VPBROADCASTDrZ256rkz
+    351292609U,	// VPBROADCASTDrZr
+    2197834945U,	// VPBROADCASTDrZrk
+    352341185U,	// VPBROADCASTDrZrkz
+    303058113U,	// VPBROADCASTDrm
+    336612545U,	// VPBROADCASTDrr
+    336613861U,	// VPBROADCASTMB2QZ128rr
+    336613861U,	// VPBROADCASTMB2QZ256rr
+    336613861U,	// VPBROADCASTMB2QZrr
+    336610566U,	// VPBROADCASTMW2DZ128rr
+    336610566U,	// VPBROADCASTMW2DZ256rr
+    336610566U,	// VPBROADCASTMW2DZrr
+    370169107U,	// VPBROADCASTQYrm
+    336614675U,	// VPBROADCASTQYrr
+    352343315U,	// VPBROADCASTQZkrm
+    352343315U,	// VPBROADCASTQZkrr
+    370169107U,	// VPBROADCASTQZrm
+    336614675U,	// VPBROADCASTQZrr
+    351294739U,	// VPBROADCASTQrZ128r
+    2197837075U,	// VPBROADCASTQrZ128rk
+    352343315U,	// VPBROADCASTQrZ128rkz
+    351294739U,	// VPBROADCASTQrZ256r
+    2197837075U,	// VPBROADCASTQrZ256rk
+    352343315U,	// VPBROADCASTQrZ256rkz
+    351294739U,	// VPBROADCASTQrZr
+    2197837075U,	// VPBROADCASTQrZrk
+    352343315U,	// VPBROADCASTQrZrkz
+    370169107U,	// VPBROADCASTQrm
+    336614675U,	// VPBROADCASTQrr
+    470835160U,	// VPBROADCASTWYrm
+    336617432U,	// VPBROADCASTWYrr
+    351297496U,	// VPBROADCASTWrZ128r
+    2197839832U,	// VPBROADCASTWrZ128rk
+    352346072U,	// VPBROADCASTWrZ128rkz
+    351297496U,	// VPBROADCASTWrZ256r
+    2197839832U,	// VPBROADCASTWrZ256rk
+    352346072U,	// VPBROADCASTWrZ256rkz
+    351297496U,	// VPBROADCASTWrZr
+    2197839832U,	// VPBROADCASTWrZrk
+    352346072U,	// VPBROADCASTWrZrkz
+    470835160U,	// VPBROADCASTWrm
+    336617432U,	// VPBROADCASTWrr
+    2484097818U,	// VPCLMULQDQrm
+    2484097818U,	// VPCLMULQDQrr
+    2484100388U,	// VPCMOVmr
+    2484100388U,	// VPCMOVmrY
+    2484100388U,	// VPCMOVrm
+    2484100388U,	// VPCMOVrmY
+    2484100388U,	// VPCMOVrr
+    2484100388U,	// VPCMOVrrY
+    1262840219U,	// VPCMPBZ128rmi
+    2484093739U,	// VPCMPBZ128rmi_alt
+    3511396763U,	// VPCMPBZ128rmik
+    2499822379U,	// VPCMPBZ128rmik_alt
+    1262856603U,	// VPCMPBZ128rri
+    2484093739U,	// VPCMPBZ128rri_alt
+    1363929499U,	// VPCMPBZ128rrik
+    2499822379U,	// VPCMPBZ128rrik_alt
+    1262840219U,	// VPCMPBZ256rmi
+    2484093739U,	// VPCMPBZ256rmi_alt
+    3511396763U,	// VPCMPBZ256rmik
+    2499822379U,	// VPCMPBZ256rmik_alt
+    1262856603U,	// VPCMPBZ256rri
+    2484093739U,	// VPCMPBZ256rri_alt
+    1363929499U,	// VPCMPBZ256rrik
+    2499822379U,	// VPCMPBZ256rrik_alt
+    1262840219U,	// VPCMPBZrmi
+    2484093739U,	// VPCMPBZrmi_alt
+    1363913115U,	// VPCMPBZrmik
+    2499822379U,	// VPCMPBZrmik_alt
+    1262856603U,	// VPCMPBZrri
+    2484093739U,	// VPCMPBZrri_alt
+    1363929499U,	// VPCMPBZrrik
+    2499822379U,	// VPCMPBZrrik_alt
+    1263888795U,	// VPCMPDZ128rmi
+    2484095337U,	// VPCMPDZ128rmi_alt
+    1263888795U,	// VPCMPDZ128rmib
+    2484095337U,	// VPCMPDZ128rmib_alt
+    3512445339U,	// VPCMPDZ128rmibk
+    2499823977U,	// VPCMPDZ128rmibk_alt
+    3512445339U,	// VPCMPDZ128rmik
+    2499823977U,	// VPCMPDZ128rmik_alt
+    1263905179U,	// VPCMPDZ128rri
+    2484095337U,	// VPCMPDZ128rri_alt
+    1364978075U,	// VPCMPDZ128rrik
+    2499823977U,	// VPCMPDZ128rrik_alt
+    1263888795U,	// VPCMPDZ256rmi
+    2484095337U,	// VPCMPDZ256rmi_alt
+    1263888795U,	// VPCMPDZ256rmib
+    2484095337U,	// VPCMPDZ256rmib_alt
+    3512445339U,	// VPCMPDZ256rmibk
+    2499823977U,	// VPCMPDZ256rmibk_alt
+    3512445339U,	// VPCMPDZ256rmik
+    2499823977U,	// VPCMPDZ256rmik_alt
+    1263905179U,	// VPCMPDZ256rri
+    2484095337U,	// VPCMPDZ256rri_alt
+    1364978075U,	// VPCMPDZ256rrik
+    2499823977U,	// VPCMPDZ256rrik_alt
+    1263888795U,	// VPCMPDZrmi
+    2484095337U,	// VPCMPDZrmi_alt
+    1263888795U,	// VPCMPDZrmib
+    2484095337U,	// VPCMPDZrmib_alt
+    3512445339U,	// VPCMPDZrmibk
+    2499823977U,	// VPCMPDZrmibk_alt
+    1364961691U,	// VPCMPDZrmik
+    2499823977U,	// VPCMPDZrmik_alt
+    1263905179U,	// VPCMPDZrri
+    2484095337U,	// VPCMPDZrri_alt
+    1364978075U,	// VPCMPDZrrik
+    2499823977U,	// VPCMPDZrrik_alt
+    2484093747U,	// VPCMPEQBYrm
+    2484093747U,	// VPCMPEQBYrr
+    2484093747U,	// VPCMPEQBZ128rm
+    2499822387U,	// VPCMPEQBZ128rmk
+    2484093747U,	// VPCMPEQBZ128rr
+    2499822387U,	// VPCMPEQBZ128rrk
+    2484093747U,	// VPCMPEQBZ256rm
+    2499822387U,	// VPCMPEQBZ256rmk
+    2484093747U,	// VPCMPEQBZ256rr
+    2499822387U,	// VPCMPEQBZ256rrk
+    2484093747U,	// VPCMPEQBZrm
+    2499822387U,	// VPCMPEQBZrmk
+    2484093747U,	// VPCMPEQBZrr
+    2499822387U,	// VPCMPEQBZrrk
+    2484093747U,	// VPCMPEQBrm
+    2484093747U,	// VPCMPEQBrr
+    2484095535U,	// VPCMPEQDYrm
+    2484095535U,	// VPCMPEQDYrr
+    2484095535U,	// VPCMPEQDZ128rm
+    2484095535U,	// VPCMPEQDZ128rmb
+    2499824175U,	// VPCMPEQDZ128rmbk
+    2499824175U,	// VPCMPEQDZ128rmk
+    2484095535U,	// VPCMPEQDZ128rr
+    2499824175U,	// VPCMPEQDZ128rrk
+    2484095535U,	// VPCMPEQDZ256rm
+    2484095535U,	// VPCMPEQDZ256rmb
+    2499824175U,	// VPCMPEQDZ256rmbk
+    2499824175U,	// VPCMPEQDZ256rmk
+    2484095535U,	// VPCMPEQDZ256rr
+    2499824175U,	// VPCMPEQDZ256rrk
+    2484095535U,	// VPCMPEQDZrm
+    2484095535U,	// VPCMPEQDZrmb
+    2499824175U,	// VPCMPEQDZrmbk
+    2499824175U,	// VPCMPEQDZrmk
+    2484095535U,	// VPCMPEQDZrr
+    2499824175U,	// VPCMPEQDZrrk
+    2484095535U,	// VPCMPEQDrm
+    2484095535U,	// VPCMPEQDrr
+    2484098099U,	// VPCMPEQQYrm
+    2484098099U,	// VPCMPEQQYrr
+    2484098099U,	// VPCMPEQQZ128rm
+    2484098099U,	// VPCMPEQQZ128rmb
+    2499826739U,	// VPCMPEQQZ128rmbk
+    2499826739U,	// VPCMPEQQZ128rmk
+    2484098099U,	// VPCMPEQQZ128rr
+    2499826739U,	// VPCMPEQQZ128rrk
+    2484098099U,	// VPCMPEQQZ256rm
+    2484098099U,	// VPCMPEQQZ256rmb
+    2499826739U,	// VPCMPEQQZ256rmbk
+    2499826739U,	// VPCMPEQQZ256rmk
+    2484098099U,	// VPCMPEQQZ256rr
+    2499826739U,	// VPCMPEQQZ256rrk
+    2484098099U,	// VPCMPEQQZrm
+    2484098099U,	// VPCMPEQQZrmb
+    2499826739U,	// VPCMPEQQZrmbk
+    2499826739U,	// VPCMPEQQZrmk
+    2484098099U,	// VPCMPEQQZrr
+    2499826739U,	// VPCMPEQQZrrk
+    2484098099U,	// VPCMPEQQrm
+    2484098099U,	// VPCMPEQQrr
+    2484100803U,	// VPCMPEQWYrm
+    2484100803U,	// VPCMPEQWYrr
+    2484100803U,	// VPCMPEQWZ128rm
+    2499829443U,	// VPCMPEQWZ128rmk
+    2484100803U,	// VPCMPEQWZ128rr
+    2499829443U,	// VPCMPEQWZ128rrk
+    2484100803U,	// VPCMPEQWZ256rm
+    2499829443U,	// VPCMPEQWZ256rmk
+    2484100803U,	// VPCMPEQWZ256rr
+    2499829443U,	// VPCMPEQWZ256rrk
+    2484100803U,	// VPCMPEQWZrm
+    2499829443U,	// VPCMPEQWZrmk
+    2484100803U,	// VPCMPEQWZrr
+    2499829443U,	// VPCMPEQWZrrk
+    2484100803U,	// VPCMPEQWrm
+    2484100803U,	// VPCMPEQWrr
     0U,	// VPCMPESTRIMEM
     0U,	// VPCMPESTRIREG
-    2584762270U,	// VPCMPESTRIrm
-    2484098974U,	// VPCMPESTRIrr
+    2584760168U,	// VPCMPESTRIrm
+    2484096872U,	// VPCMPESTRIrr
     0U,	// VPCMPESTRM128MEM
     0U,	// VPCMPESTRM128REG
-    2584762520U,	// VPCMPESTRM128rm
-    2484099224U,	// VPCMPESTRM128rr
-    2484096599U,	// VPCMPGTBYrm
-    2484096599U,	// VPCMPGTBYrr
-    2484096599U,	// VPCMPGTBZ128rm
-    352341591U,	// VPCMPGTBZ128rmk
-    2484096599U,	// VPCMPGTBZ128rr
-    352341591U,	// VPCMPGTBZ128rrk
-    2484096599U,	// VPCMPGTBZ256rm
-    352341591U,	// VPCMPGTBZ256rmk
-    2484096599U,	// VPCMPGTBZ256rr
-    352341591U,	// VPCMPGTBZ256rrk
-    2484096599U,	// VPCMPGTBZrm
-    352341591U,	// VPCMPGTBZrmk
-    2484096599U,	// VPCMPGTBZrr
-    352341591U,	// VPCMPGTBZrrk
-    2484096599U,	// VPCMPGTBrm
-    2484096599U,	// VPCMPGTBrr
-    2484098287U,	// VPCMPGTDYrm
-    2484098287U,	// VPCMPGTDYrr
-    2484098287U,	// VPCMPGTDZ128rm
-    2484098287U,	// VPCMPGTDZ128rmb
-    352343279U,	// VPCMPGTDZ128rmbk
-    352343279U,	// VPCMPGTDZ128rmk
-    2484098287U,	// VPCMPGTDZ128rr
-    352343279U,	// VPCMPGTDZ128rrk
-    2484098287U,	// VPCMPGTDZ256rm
-    2484098287U,	// VPCMPGTDZ256rmb
-    352343279U,	// VPCMPGTDZ256rmbk
-    352343279U,	// VPCMPGTDZ256rmk
-    2484098287U,	// VPCMPGTDZ256rr
-    352343279U,	// VPCMPGTDZ256rrk
-    2484098287U,	// VPCMPGTDZrm
-    2484098287U,	// VPCMPGTDZrmb
-    352343279U,	// VPCMPGTDZrmbk
-    352343279U,	// VPCMPGTDZrmk
-    2484098287U,	// VPCMPGTDZrr
-    352343279U,	// VPCMPGTDZrrk
-    2484098287U,	// VPCMPGTDrm
-    2484098287U,	// VPCMPGTDrr
-    2484099972U,	// VPCMPGTQYrm
-    2484099972U,	// VPCMPGTQYrr
-    2484099972U,	// VPCMPGTQZ128rm
-    2484099972U,	// VPCMPGTQZ128rmb
-    352344964U,	// VPCMPGTQZ128rmbk
-    352344964U,	// VPCMPGTQZ128rmk
-    2484099972U,	// VPCMPGTQZ128rr
-    352344964U,	// VPCMPGTQZ128rrk
-    2484099972U,	// VPCMPGTQZ256rm
-    2484099972U,	// VPCMPGTQZ256rmb
-    352344964U,	// VPCMPGTQZ256rmbk
-    352344964U,	// VPCMPGTQZ256rmk
-    2484099972U,	// VPCMPGTQZ256rr
-    352344964U,	// VPCMPGTQZ256rrk
-    2484099972U,	// VPCMPGTQZrm
-    2484099972U,	// VPCMPGTQZrmb
-    352344964U,	// VPCMPGTQZrmbk
-    352344964U,	// VPCMPGTQZrmk
-    2484099972U,	// VPCMPGTQZrr
-    352344964U,	// VPCMPGTQZrrk
-    2484099972U,	// VPCMPGTQrm
-    2484099972U,	// VPCMPGTQrr
-    2484102300U,	// VPCMPGTWYrm
-    2484102300U,	// VPCMPGTWYrr
-    2484102300U,	// VPCMPGTWZ128rm
-    352347292U,	// VPCMPGTWZ128rmk
-    2484102300U,	// VPCMPGTWZ128rr
-    352347292U,	// VPCMPGTWZ128rrk
-    2484102300U,	// VPCMPGTWZ256rm
-    352347292U,	// VPCMPGTWZ256rmk
-    2484102300U,	// VPCMPGTWZ256rr
-    352347292U,	// VPCMPGTWZ256rrk
-    2484102300U,	// VPCMPGTWZrm
-    352347292U,	// VPCMPGTWZrmk
-    2484102300U,	// VPCMPGTWZrr
-    352347292U,	// VPCMPGTWZrrk
-    2484102300U,	// VPCMPGTWrm
-    2484102300U,	// VPCMPGTWrr
+    2584760468U,	// VPCMPESTRM128rm
+    2484097172U,	// VPCMPESTRM128rr
+    2484093936U,	// VPCMPGTBYrm
+    2484093936U,	// VPCMPGTBYrr
+    2484093936U,	// VPCMPGTBZ128rm
+    2499822576U,	// VPCMPGTBZ128rmk
+    2484093936U,	// VPCMPGTBZ128rr
+    2499822576U,	// VPCMPGTBZ128rrk
+    2484093936U,	// VPCMPGTBZ256rm
+    2499822576U,	// VPCMPGTBZ256rmk
+    2484093936U,	// VPCMPGTBZ256rr
+    2499822576U,	// VPCMPGTBZ256rrk
+    2484093936U,	// VPCMPGTBZrm
+    2499822576U,	// VPCMPGTBZrmk
+    2484093936U,	// VPCMPGTBZrr
+    2499822576U,	// VPCMPGTBZrrk
+    2484093936U,	// VPCMPGTBrm
+    2484093936U,	// VPCMPGTBrr
+    2484096158U,	// VPCMPGTDYrm
+    2484096158U,	// VPCMPGTDYrr
+    2484096158U,	// VPCMPGTDZ128rm
+    2484096158U,	// VPCMPGTDZ128rmb
+    2499824798U,	// VPCMPGTDZ128rmbk
+    2499824798U,	// VPCMPGTDZ128rmk
+    2484096158U,	// VPCMPGTDZ128rr
+    2499824798U,	// VPCMPGTDZ128rrk
+    2484096158U,	// VPCMPGTDZ256rm
+    2484096158U,	// VPCMPGTDZ256rmb
+    2499824798U,	// VPCMPGTDZ256rmbk
+    2499824798U,	// VPCMPGTDZ256rmk
+    2484096158U,	// VPCMPGTDZ256rr
+    2499824798U,	// VPCMPGTDZ256rrk
+    2484096158U,	// VPCMPGTDZrm
+    2484096158U,	// VPCMPGTDZrmb
+    2499824798U,	// VPCMPGTDZrmbk
+    2499824798U,	// VPCMPGTDZrmk
+    2484096158U,	// VPCMPGTDZrr
+    2499824798U,	// VPCMPGTDZrrk
+    2484096158U,	// VPCMPGTDrm
+    2484096158U,	// VPCMPGTDrr
+    2484098271U,	// VPCMPGTQYrm
+    2484098271U,	// VPCMPGTQYrr
+    2484098271U,	// VPCMPGTQZ128rm
+    2484098271U,	// VPCMPGTQZ128rmb
+    2499826911U,	// VPCMPGTQZ128rmbk
+    2499826911U,	// VPCMPGTQZ128rmk
+    2484098271U,	// VPCMPGTQZ128rr
+    2499826911U,	// VPCMPGTQZ128rrk
+    2484098271U,	// VPCMPGTQZ256rm
+    2484098271U,	// VPCMPGTQZ256rmb
+    2499826911U,	// VPCMPGTQZ256rmbk
+    2499826911U,	// VPCMPGTQZ256rmk
+    2484098271U,	// VPCMPGTQZ256rr
+    2499826911U,	// VPCMPGTQZ256rrk
+    2484098271U,	// VPCMPGTQZrm
+    2484098271U,	// VPCMPGTQZrmb
+    2499826911U,	// VPCMPGTQZrmbk
+    2499826911U,	// VPCMPGTQZrmk
+    2484098271U,	// VPCMPGTQZrr
+    2499826911U,	// VPCMPGTQZrrk
+    2484098271U,	// VPCMPGTQrm
+    2484098271U,	// VPCMPGTQrr
+    2484101055U,	// VPCMPGTWYrm
+    2484101055U,	// VPCMPGTWYrr
+    2484101055U,	// VPCMPGTWZ128rm
+    2499829695U,	// VPCMPGTWZ128rmk
+    2484101055U,	// VPCMPGTWZ128rr
+    2499829695U,	// VPCMPGTWZ128rrk
+    2484101055U,	// VPCMPGTWZ256rm
+    2499829695U,	// VPCMPGTWZ256rmk
+    2484101055U,	// VPCMPGTWZ256rr
+    2499829695U,	// VPCMPGTWZ256rrk
+    2484101055U,	// VPCMPGTWZrm
+    2499829695U,	// VPCMPGTWZrmk
+    2484101055U,	// VPCMPGTWZrr
+    2499829695U,	// VPCMPGTWZrrk
+    2484101055U,	// VPCMPGTWrm
+    2484101055U,	// VPCMPGTWrr
     0U,	// VPCMPISTRIMEM
     0U,	// VPCMPISTRIREG
-    2584762282U,	// VPCMPISTRIrm
-    2484098986U,	// VPCMPISTRIrr
+    2584760180U,	// VPCMPISTRIrm
+    2484096884U,	// VPCMPISTRIrr
     0U,	// VPCMPISTRM128MEM
     0U,	// VPCMPISTRM128REG
-    2584762532U,	// VPCMPISTRM128rm
-    2484099236U,	// VPCMPISTRM128rr
-    1129672181U,	// VPCMPQZrmi
-    2484099903U,	// VPCMPQZrmi_alt
-    352344895U,	// VPCMPQZrmik_alt
-    55946741U,	// VPCMPQZrri
-    2484099903U,	// VPCMPQZrri_alt
-    352344895U,	// VPCMPQZrrik_alt
-    1130720757U,	// VPCMPUDZrmi
-    2484098337U,	// VPCMPUDZrmi_alt
-    352343329U,	// VPCMPUDZrmik_alt
-    56995317U,	// VPCMPUDZrri
-    2484098337U,	// VPCMPUDZrri_alt
-    352343329U,	// VPCMPUDZrrik_alt
-    1131769333U,	// VPCMPUQZrmi
-    2484100030U,	// VPCMPUQZrmi_alt
-    352345022U,	// VPCMPUQZrmik_alt
-    58043893U,	// VPCMPUQZrri
-    2484100030U,	// VPCMPUQZrri_alt
-    352345022U,	// VPCMPUQZrrik_alt
-    2484096454U,	// VPCOMBmi
-    2484096454U,	// VPCOMBri
-    2484097077U,	// VPCOMDmi
-    2484097077U,	// VPCOMDri
-    2484099887U,	// VPCOMQmi
-    2484099887U,	// VPCOMQri
-    2484096631U,	// VPCOMUBmi
-    2484096631U,	// VPCOMUBri
-    2484098319U,	// VPCOMUDmi
-    2484098319U,	// VPCOMUDri
-    2484100021U,	// VPCOMUQmi
-    2484100021U,	// VPCOMUQri
-    2484102342U,	// VPCOMUWmi
-    2484102342U,	// VPCOMUWri
-    2484102092U,	// VPCOMWmi
-    2484102092U,	// VPCOMWri
-    907035797U,	// VPCONFLICTDrm
-    2450539669U,	// VPCONFLICTDrmb
-    50349205U,	// VPCONFLICTDrmbk
-    2499822741U,	// VPCONFLICTDrmbkz
-    50349205U,	// VPCONFLICTDrmk
-    2499822741U,	// VPCONFLICTDrmkz
-    336610453U,	// VPCONFLICTDrr
-    50349205U,	// VPCONFLICTDrrk
-    2499822741U,	// VPCONFLICTDrrkz
-    907036604U,	// VPCONFLICTQrm
-    370165692U,	// VPCONFLICTQrmb
-    50350012U,	// VPCONFLICTQrmbk
-    2499823548U,	// VPCONFLICTQrmbkz
-    50350012U,	// VPCONFLICTQrmk
-    2499823548U,	// VPCONFLICTQrmkz
-    336611260U,	// VPCONFLICTQrr
-    50350012U,	// VPCONFLICTQrrk
-    2499823548U,	// VPCONFLICTQrrkz
-    2484096187U,	// VPERM2F128rm
-    2484096187U,	// VPERM2F128rr
-    2484096242U,	// VPERM2I128rm
-    2484096242U,	// VPERM2I128rr
-    2484097085U,	// VPERMDYrm
-    2484097085U,	// VPERMDYrr
-    2484093285U,	// VPERMDZrm
-    2484093285U,	// VPERMDZrr
-    2182103200U,	// VPERMI2Drm
-    50348192U,	// VPERMI2Drmk
-    2197831840U,	// VPERMI2Drmkz
-    2182103200U,	// VPERMI2Drr
-    50348192U,	// VPERMI2Drrk
-    2197831840U,	// VPERMI2Drrkz
-    2182103538U,	// VPERMI2PDrm
-    50348530U,	// VPERMI2PDrmk
-    2197832178U,	// VPERMI2PDrmkz
-    2182103538U,	// VPERMI2PDrr
-    50348530U,	// VPERMI2PDrrk
-    2197832178U,	// VPERMI2PDrrkz
-    2182105254U,	// VPERMI2PSrm
-    50350246U,	// VPERMI2PSrmk
-    2197833894U,	// VPERMI2PSrmkz
-    2182105254U,	// VPERMI2PSrr
-    50350246U,	// VPERMI2PSrrk
-    2197833894U,	// VPERMI2PSrrkz
-    2182104512U,	// VPERMI2Qrm
-    50349504U,	// VPERMI2Qrmk
-    2197833152U,	// VPERMI2Qrmkz
-    2182104512U,	// VPERMI2Qrr
-    50349504U,	// VPERMI2Qrrk
-    2197833152U,	// VPERMI2Qrrkz
-    2484097306U,	// VPERMIL2PDmr
-    2484097306U,	// VPERMIL2PDmrY
-    2484097306U,	// VPERMIL2PDrm
-    2484097306U,	// VPERMIL2PDrmY
-    2484097306U,	// VPERMIL2PDrr
-    2484097306U,	// VPERMIL2PDrrY
-    2484100552U,	// VPERMIL2PSmr
-    2484100552U,	// VPERMIL2PSmrY
-    2484100552U,	// VPERMIL2PSrm
-    2484100552U,	// VPERMIL2PSrmY
-    2484100552U,	// VPERMIL2PSrr
-    2484100552U,	// VPERMIL2PSrrY
-    3088077412U,	// VPERMILPDYmi
-    2484097636U,	// VPERMILPDYri
-    2484097636U,	// VPERMILPDYrm
-    2484097636U,	// VPERMILPDYrr
-    3054519040U,	// VPERMILPDZmi
-    2484093696U,	// VPERMILPDZri
-    2685424228U,	// VPERMILPDmi
-    2484097636U,	// VPERMILPDri
-    2484097636U,	// VPERMILPDrm
-    2484097636U,	// VPERMILPDrr
-    3088080659U,	// VPERMILPSYmi
-    2484100883U,	// VPERMILPSYri
-    2484100883U,	// VPERMILPSYrm
-    2484100883U,	// VPERMILPSYrr
-    3054520744U,	// VPERMILPSZmi
-    2484095400U,	// VPERMILPSZri
-    2685427475U,	// VPERMILPSmi
-    2484100883U,	// VPERMILPSri
-    2484100883U,	// VPERMILPSrm
-    2484100883U,	// VPERMILPSrr
-    2987414163U,	// VPERMPDYmi
-    2484097683U,	// VPERMPDYri
-    3121627937U,	// VPERMPDZmi
-    2484093729U,	// VPERMPDZri
-    2484093729U,	// VPERMPDZrm
-    2484093729U,	// VPERMPDZrr
-    2484100922U,	// VPERMPSYrm
-    2484100922U,	// VPERMPSYrr
-    2484095433U,	// VPERMPSZrm
-    2484095433U,	// VPERMPSZrr
-    2987416375U,	// VPERMQYmi
-    2484099895U,	// VPERMQYri
-    3054520106U,	// VPERMQZmi
-    2484094762U,	// VPERMQZri
-    2484094762U,	// VPERMQZrm
-    2484094762U,	// VPERMQZrr
-    2182103211U,	// VPERMT2Drm
-    50348203U,	// VPERMT2Drmk
-    2197831851U,	// VPERMT2Drmkz
-    2182103211U,	// VPERMT2Drr
-    50348203U,	// VPERMT2Drrk
-    2197831851U,	// VPERMT2Drrkz
-    2182103587U,	// VPERMT2PDrm
-    50348579U,	// VPERMT2PDrmk
-    2197832227U,	// VPERMT2PDrmkz
-    2182103587U,	// VPERMT2PDrr
-    50348579U,	// VPERMT2PDrrk
-    2197832227U,	// VPERMT2PDrrkz
-    2182105291U,	// VPERMT2PSrm
-    50350283U,	// VPERMT2PSrmk
-    2197833931U,	// VPERMT2PSrmkz
-    2182105291U,	// VPERMT2PSrr
-    50350283U,	// VPERMT2PSrrk
-    2197833931U,	// VPERMT2PSrrkz
-    2182104523U,	// VPERMT2Qrm
-    50349515U,	// VPERMT2Qrmk
-    2197833163U,	// VPERMT2Qrmkz
-    2182104523U,	// VPERMT2Qrr
-    50349515U,	// VPERMT2Qrrk
-    2197833163U,	// VPERMT2Qrrkz
-    2148634090U,	// VPEXTRBmr
-    2484096490U,	// VPEXTRBrr
-    2148602705U,	// VPEXTRDmr
-    2484097873U,	// VPEXTRDrr
-    2148621158U,	// VPEXTRQmr
-    2484099942U,	// VPEXTRQrr
-    2148574207U,	// VPEXTRWmr
-    2484102143U,	// VPEXTRWri
-    2484102143U,	// VPEXTRWrr_REV
-    1074810792U,	// VPGATHERDDYrm
-    1056981260U,	// VPGATHERDDZrm
-    1074810792U,	// VPGATHERDDrm
-    1007704774U,	// VPGATHERDQYrm
-    3204466316U,	// VPGATHERDQZrm
-    1007704774U,	// VPGATHERDQrm
-    1074811702U,	// VPGATHERQDYrm
-    3204465514U,	// VPGATHERQDZrm
-    1074811702U,	// VPGATHERQDrm
-    1007704913U,	// VPGATHERQQYrm
-    3204466523U,	// VPGATHERQQZrm
-    1007704913U,	// VPGATHERQQrm
-    437276477U,	// VPHADDBDrm
-    336613181U,	// VPHADDBDrr
-    437279207U,	// VPHADDBQrm
-    336615911U,	// VPHADDBQrr
-    437281489U,	// VPHADDBWrm
-    336618193U,	// VPHADDBWrr
-    437279331U,	// VPHADDDQrm
-    336616035U,	// VPHADDDQrr
-    2484096909U,	// VPHADDDYrm
-    2484096909U,	// VPHADDDYrr
-    2484096909U,	// VPHADDDrm
-    2484096909U,	// VPHADDDrr
-    2484102191U,	// VPHADDSWrm128
-    2484102191U,	// VPHADDSWrm256
-    2484102191U,	// VPHADDSWrr128
-    2484102191U,	// VPHADDSWrr256
-    437276487U,	// VPHADDUBDrm
-    336613191U,	// VPHADDUBDrr
-    437279217U,	// VPHADDUBQrm
-    336615921U,	// VPHADDUBQrr
-    437281523U,	// VPHADDUBWrm
-    336618227U,	// VPHADDUBWrr
-    437279452U,	// VPHADDUDQrm
-    336616156U,	// VPHADDUDQrr
-    437278147U,	// VPHADDUWDrm
-    336614851U,	// VPHADDUWDrr
-    437279734U,	// VPHADDUWQrm
-    336616438U,	// VPHADDUWQrr
-    437278059U,	// VPHADDWDrm
-    336614763U,	// VPHADDWDrr
-    437279724U,	// VPHADDWQrm
-    336616428U,	// VPHADDWQrr
-    2484101940U,	// VPHADDWYrm
-    2484101940U,	// VPHADDWYrr
-    2484101940U,	// VPHADDWrm
-    2484101940U,	// VPHADDWrr
-    437282008U,	// VPHMINPOSUWrm128
-    336618712U,	// VPHMINPOSUWrr128
-    437281460U,	// VPHSUBBWrm
-    336618164U,	// VPHSUBBWrr
-    437279313U,	// VPHSUBDQrm
-    336616017U,	// VPHSUBDQrr
-    2484096850U,	// VPHSUBDYrm
-    2484096850U,	// VPHSUBDYrr
-    2484096850U,	// VPHSUBDrm
-    2484096850U,	// VPHSUBDrr
-    2484102172U,	// VPHSUBSWrm128
-    2484102172U,	// VPHSUBSWrm256
-    2484102172U,	// VPHSUBSWrr128
-    2484102172U,	// VPHSUBSWrr256
-    437278049U,	// VPHSUBWDrm
-    336614753U,	// VPHSUBWDrr
-    2484101886U,	// VPHSUBWYrm
-    2484101886U,	// VPHSUBWYrr
-    2484101886U,	// VPHSUBWrm
-    2484101886U,	// VPHSUBWrr
-    2484096481U,	// VPINSRBrm
-    2484096481U,	// VPINSRBrr
-    2484097864U,	// VPINSRDrm
-    2484097864U,	// VPINSRDrr
-    2484099933U,	// VPINSRQrm
-    2484099933U,	// VPINSRQrr
-    2484102134U,	// VPINSRWrmi
-    2484102134U,	// VPINSRWrri
-    907035811U,	// VPLZCNTDrm
-    2450539683U,	// VPLZCNTDrmb
-    50349219U,	// VPLZCNTDrmbk
-    2499822755U,	// VPLZCNTDrmbkz
-    50349219U,	// VPLZCNTDrmk
-    2499822755U,	// VPLZCNTDrmkz
-    336610467U,	// VPLZCNTDrr
-    50349219U,	// VPLZCNTDrrk
-    2499822755U,	// VPLZCNTDrrkz
-    907036618U,	// VPLZCNTQrm
-    370165706U,	// VPLZCNTQrmb
-    50350026U,	// VPLZCNTQrmbk
-    2499823562U,	// VPLZCNTQrmbkz
-    50350026U,	// VPLZCNTQrmk
-    2499823562U,	// VPLZCNTQrmkz
-    336611274U,	// VPLZCNTQrr
-    50350026U,	// VPLZCNTQrrk
-    2499823562U,	// VPLZCNTQrrkz
-    2484096948U,	// VPMACSDDrm
-    2484096948U,	// VPMACSDDrr
-    2484098850U,	// VPMACSDQHrm
-    2484098850U,	// VPMACSDQHrr
-    2484099136U,	// VPMACSDQLrm
-    2484099136U,	// VPMACSDQLrr
-    2484096958U,	// VPMACSSDDrm
-    2484096958U,	// VPMACSSDDrr
-    2484098861U,	// VPMACSSDQHrm
-    2484098861U,	// VPMACSSDQHrr
-    2484099147U,	// VPMACSSDQLrm
-    2484099147U,	// VPMACSSDQLrr
-    2484098476U,	// VPMACSSWDrm
-    2484098476U,	// VPMACSSWDrr
-    2484102392U,	// VPMACSSWWrm
-    2484102392U,	// VPMACSSWWrr
-    2484098455U,	// VPMACSWDrm
-    2484098455U,	// VPMACSWDrr
-    2484102382U,	// VPMACSWWrm
-    2484102382U,	// VPMACSWWrr
-    2484098487U,	// VPMADCSSWDrm
-    2484098487U,	// VPMADCSSWDrr
-    2484098465U,	// VPMADCSWDrm
-    2484098465U,	// VPMADCSWDrr
-    2484102160U,	// VPMADDUBSWrm128
-    2484102160U,	// VPMADDUBSWrm256
-    2484102160U,	// VPMADDUBSWrr128
-    2484102160U,	// VPMADDUBSWrr256
-    2484098421U,	// VPMADDWDYrm
-    2484098421U,	// VPMADDWDYrr
-    2484098421U,	// VPMADDWDrm
-    2484098421U,	// VPMADDWDrr
-    2149176654U,	// VPMASKMOVDYmr
-    2484098382U,	// VPMASKMOVDYrm
-    2148799822U,	// VPMASKMOVDmr
-    2484098382U,	// VPMASKMOVDrm
-    2149178329U,	// VPMASKMOVQYmr
-    2484100057U,	// VPMASKMOVQYrm
-    2148801497U,	// VPMASKMOVQmr
-    2484100057U,	// VPMASKMOVQrm
-    2484096584U,	// VPMAXSBYrm
-    2484096584U,	// VPMAXSBYrr
-    2484096584U,	// VPMAXSBrm
-    2484096584U,	// VPMAXSBrr
-    2484098261U,	// VPMAXSDYrm
-    2484098261U,	// VPMAXSDYrr
-    2484094091U,	// VPMAXSDZrm
-    2484094091U,	// VPMAXSDZrmb
-    50349195U,	// VPMAXSDZrmbk
-    2499822731U,	// VPMAXSDZrmbkz
-    50349195U,	// VPMAXSDZrmk
-    2499822731U,	// VPMAXSDZrmkz
-    2484094091U,	// VPMAXSDZrr
-    50349195U,	// VPMAXSDZrrk
-    2499822731U,	// VPMAXSDZrrkz
-    2484098261U,	// VPMAXSDrm
-    2484098261U,	// VPMAXSDrr
-    2484094898U,	// VPMAXSQZrm
-    2484094898U,	// VPMAXSQZrmb
-    50350002U,	// VPMAXSQZrmbk
-    2499823538U,	// VPMAXSQZrmbkz
-    50350002U,	// VPMAXSQZrmk
-    2499823538U,	// VPMAXSQZrmkz
-    2484094898U,	// VPMAXSQZrr
-    50350002U,	// VPMAXSQZrrk
-    2499823538U,	// VPMAXSQZrrkz
-    2484102291U,	// VPMAXSWYrm
-    2484102291U,	// VPMAXSWYrr
-    2484102291U,	// VPMAXSWrm
-    2484102291U,	// VPMAXSWrr
-    2484096663U,	// VPMAXUBYrm
-    2484096663U,	// VPMAXUBYrr
-    2484096663U,	// VPMAXUBrm
-    2484096663U,	// VPMAXUBrr
-    2484098346U,	// VPMAXUDYrm
-    2484098346U,	// VPMAXUDYrr
-    2484094159U,	// VPMAXUDZrm
-    2484094159U,	// VPMAXUDZrmb
-    50349263U,	// VPMAXUDZrmbk
-    2499822799U,	// VPMAXUDZrmbkz
-    50349263U,	// VPMAXUDZrmk
-    2499822799U,	// VPMAXUDZrmkz
-    2484094159U,	// VPMAXUDZrr
-    50349263U,	// VPMAXUDZrrk
-    2499822799U,	// VPMAXUDZrrkz
-    2484098346U,	// VPMAXUDrm
-    2484098346U,	// VPMAXUDrr
-    2484094966U,	// VPMAXUQZrm
-    2484094966U,	// VPMAXUQZrmb
-    50350070U,	// VPMAXUQZrmbk
-    2499823606U,	// VPMAXUQZrmbkz
-    50350070U,	// VPMAXUQZrmk
-    2499823606U,	// VPMAXUQZrmkz
-    2484094966U,	// VPMAXUQZrr
-    50350070U,	// VPMAXUQZrrk
-    2499823606U,	// VPMAXUQZrrkz
-    2484102373U,	// VPMAXUWYrm
-    2484102373U,	// VPMAXUWYrr
-    2484102373U,	// VPMAXUWrm
-    2484102373U,	// VPMAXUWrr
-    2484096525U,	// VPMINSBYrm
-    2484096525U,	// VPMINSBYrr
-    2484096525U,	// VPMINSBrm
-    2484096525U,	// VPMINSBrr
-    2484098181U,	// VPMINSDYrm
-    2484098181U,	// VPMINSDYrr
-    2484094057U,	// VPMINSDZrm
-    2484094057U,	// VPMINSDZrmb
-    50349161U,	// VPMINSDZrmbk
-    2499822697U,	// VPMINSDZrmbkz
-    50349161U,	// VPMINSDZrmk
-    2499822697U,	// VPMINSDZrmkz
-    2484094057U,	// VPMINSDZrr
-    50349161U,	// VPMINSDZrrk
-    2499822697U,	// VPMINSDZrrkz
-    2484098181U,	// VPMINSDrm
-    2484098181U,	// VPMINSDrr
-    2484094888U,	// VPMINSQZrm
-    2484094888U,	// VPMINSQZrmb
-    50349992U,	// VPMINSQZrmbk
-    2499823528U,	// VPMINSQZrmbkz
-    50349992U,	// VPMINSQZrmk
-    2499823528U,	// VPMINSQZrmkz
-    2484094888U,	// VPMINSQZrr
-    50349992U,	// VPMINSQZrrk
-    2499823528U,	// VPMINSQZrrkz
-    2484102222U,	// VPMINSWYrm
-    2484102222U,	// VPMINSWYrr
-    2484102222U,	// VPMINSWrm
-    2484102222U,	// VPMINSWrr
-    2484096640U,	// VPMINUBYrm
-    2484096640U,	// VPMINUBYrr
-    2484096640U,	// VPMINUBrm
-    2484096640U,	// VPMINUBrr
-    2484098328U,	// VPMINUDYrm
-    2484098328U,	// VPMINUDYrr
-    2484094149U,	// VPMINUDZrm
-    2484094149U,	// VPMINUDZrmb
-    50349253U,	// VPMINUDZrmbk
-    2499822789U,	// VPMINUDZrmbkz
-    50349253U,	// VPMINUDZrmk
-    2499822789U,	// VPMINUDZrmkz
-    2484094149U,	// VPMINUDZrr
-    50349253U,	// VPMINUDZrrk
-    2499822789U,	// VPMINUDZrrkz
-    2484098328U,	// VPMINUDrm
-    2484098328U,	// VPMINUDrr
-    2484094956U,	// VPMINUQZrm
-    2484094956U,	// VPMINUQZrmb
-    50350060U,	// VPMINUQZrmbk
-    2499823596U,	// VPMINUQZrmbkz
-    50350060U,	// VPMINUQZrmk
-    2499823596U,	// VPMINUQZrmkz
-    2484094956U,	// VPMINUQZrr
-    50350060U,	// VPMINUQZrrk
-    2499823596U,	// VPMINUQZrrkz
-    2484102351U,	// VPMINUWYrm
-    2484102351U,	// VPMINUWYrr
-    2484102351U,	// VPMINUWrm
-    2484102351U,	// VPMINUWrr
-    1310788U,	// VPMOVDBmr
-    17039428U,	// VPMOVDBmrk
-    336609348U,	// VPMOVDBrr
-    352337988U,	// VPMOVDBrrk
-    2499821636U,	// VPMOVDBrrkz
-    1690341U,	// VPMOVDWmr
-    17418981U,	// VPMOVDWmrk
-    336612069U,	// VPMOVDWrr
-    352340709U,	// VPMOVDWrrk
-    2499824357U,	// VPMOVDWrrkz
-    336612787U,	// VPMOVMSKBYrr
-    336612787U,	// VPMOVMSKBrr
-    1310830U,	// VPMOVQBmr
-    17039470U,	// VPMOVQBmrk
-    336609390U,	// VPMOVQBrr
-    352338030U,	// VPMOVQBrrk
-    2499821678U,	// VPMOVQBrrkz
-    1688476U,	// VPMOVQDmr
-    17417116U,	// VPMOVQDmrk
-    336610204U,	// VPMOVQDrr
-    352338844U,	// VPMOVQDrrk
-    2499822492U,	// VPMOVQDrrkz
-    1313562U,	// VPMOVQWmr
-    17042202U,	// VPMOVQWmrk
-    336612122U,	// VPMOVQWrr
-    352340762U,	// VPMOVQWrrk
-    2499824410U,	// VPMOVQWrrkz
-    1310777U,	// VPMOVSDBmr
-    17039417U,	// VPMOVSDBmrk
-    336609337U,	// VPMOVSDBrr
-    352337977U,	// VPMOVSDBrrk
-    2499821625U,	// VPMOVSDBrrkz
-    1690330U,	// VPMOVSDWmr
-    17418970U,	// VPMOVSDWmrk
-    336612058U,	// VPMOVSDWrr
-    352340698U,	// VPMOVSDWrrk
-    2499824346U,	// VPMOVSDWrrkz
-    1310819U,	// VPMOVSQBmr
-    17039459U,	// VPMOVSQBmrk
-    336609379U,	// VPMOVSQBrr
-    352338019U,	// VPMOVSQBrrk
-    2499821667U,	// VPMOVSQBrrkz
-    1688465U,	// VPMOVSQDmr
-    17417105U,	// VPMOVSQDmrk
-    336610193U,	// VPMOVSQDrr
-    352338833U,	// VPMOVSQDrrk
-    2499822481U,	// VPMOVSQDrrkz
-    1313551U,	// VPMOVSQWmr
-    17042191U,	// VPMOVSQWmrk
-    336612111U,	// VPMOVSQWrr
-    352340751U,	// VPMOVSQWrrk
-    2499824399U,	// VPMOVSQWrrkz
-    303058787U,	// VPMOVSXBDYrm
-    336613219U,	// VPMOVSXBDYrr
-    437272794U,	// VPMOVSXBDZrm
-    352338138U,	// VPMOVSXBDZrmk
-    2499821786U,	// VPMOVSXBDZrmkz
-    336609498U,	// VPMOVSXBDZrr
-    352338138U,	// VPMOVSXBDZrrk
-    2499821786U,	// VPMOVSXBDZrrkz
-    303058787U,	// VPMOVSXBDrm
-    336613219U,	// VPMOVSXBDrr
-    470833668U,	// VPMOVSXBQYrm
-    336615940U,	// VPMOVSXBQYrr
-    437274088U,	// VPMOVSXBQZrm
-    352339432U,	// VPMOVSXBQZrmk
-    2499823080U,	// VPMOVSXBQZrmkz
-    336610792U,	// VPMOVSXBQZrr
-    352339432U,	// VPMOVSXBQZrrk
-    2499823080U,	// VPMOVSXBQZrrkz
-    470833668U,	// VPMOVSXBQrm
-    336615940U,	// VPMOVSXBQrr
-    437281551U,	// VPMOVSXBWYrm
-    336618255U,	// VPMOVSXBWYrr
-    370172687U,	// VPMOVSXBWrm
-    336618255U,	// VPMOVSXBWrr
-    437279473U,	// VPMOVSXDQYrm
-    336616177U,	// VPMOVSXDQYrr
-    839927528U,	// VPMOVSXDQZrm
-    352339688U,	// VPMOVSXDQZrmk
-    2499823336U,	// VPMOVSXDQZrmkz
-    336611048U,	// VPMOVSXDQZrr
-    352339688U,	// VPMOVSXDQZrrk
-    2499823336U,	// VPMOVSXDQZrrkz
-    370170609U,	// VPMOVSXDQrm
-    336616177U,	// VPMOVSXDQrr
-    437278158U,	// VPMOVSXWDYrm
-    336614862U,	// VPMOVSXWDYrr
-    839927039U,	// VPMOVSXWDZrm
-    352339199U,	// VPMOVSXWDZrmk
-    2499822847U,	// VPMOVSXWDZrmkz
-    336610559U,	// VPMOVSXWDZrr
-    352339199U,	// VPMOVSXWDZrrk
-    2499822847U,	// VPMOVSXWDZrrkz
-    370169294U,	// VPMOVSXWDrm
-    336614862U,	// VPMOVSXWDrr
-    303062017U,	// VPMOVSXWQYrm
-    336616449U,	// VPMOVSXWQYrr
-    437274662U,	// VPMOVSXWQZrm
-    352340006U,	// VPMOVSXWQZrmk
-    2499823654U,	// VPMOVSXWQZrmkz
-    336611366U,	// VPMOVSXWQZrr
-    352340006U,	// VPMOVSXWQZrrk
-    2499823654U,	// VPMOVSXWQZrrkz
-    303062017U,	// VPMOVSXWQrm
-    336616449U,	// VPMOVSXWQrr
-    1310765U,	// VPMOVUSDBmr
-    17039405U,	// VPMOVUSDBmrk
-    336609325U,	// VPMOVUSDBrr
-    352337965U,	// VPMOVUSDBrrk
-    2499821613U,	// VPMOVUSDBrrkz
-    1690318U,	// VPMOVUSDWmr
-    17418958U,	// VPMOVUSDWmrk
-    336612046U,	// VPMOVUSDWrr
-    352340686U,	// VPMOVUSDWrrk
-    2499824334U,	// VPMOVUSDWrrkz
-    1310807U,	// VPMOVUSQBmr
-    17039447U,	// VPMOVUSQBmrk
-    336609367U,	// VPMOVUSQBrr
-    352338007U,	// VPMOVUSQBrrk
-    2499821655U,	// VPMOVUSQBrrkz
-    1688453U,	// VPMOVUSQDmr
-    17417093U,	// VPMOVUSQDmrk
-    336610181U,	// VPMOVUSQDrr
-    352338821U,	// VPMOVUSQDrrk
-    2499822469U,	// VPMOVUSQDrrkz
-    1313539U,	// VPMOVUSQWmr
-    17042179U,	// VPMOVUSQWmrk
-    336612099U,	// VPMOVUSQWrr
-    352340739U,	// VPMOVUSQWrrk
-    2499824387U,	// VPMOVUSQWrrkz
-    303058798U,	// VPMOVZXBDYrm
-    336613230U,	// VPMOVZXBDYrr
-    437272806U,	// VPMOVZXBDZrm
-    352338150U,	// VPMOVZXBDZrmk
-    2499821798U,	// VPMOVZXBDZrmkz
-    336609510U,	// VPMOVZXBDZrr
-    352338150U,	// VPMOVZXBDZrrk
-    2499821798U,	// VPMOVZXBDZrrkz
-    303058798U,	// VPMOVZXBDrm
-    336613230U,	// VPMOVZXBDrr
-    470833679U,	// VPMOVZXBQYrm
-    336615951U,	// VPMOVZXBQYrr
-    437274100U,	// VPMOVZXBQZrm
-    352339444U,	// VPMOVZXBQZrmk
-    2499823092U,	// VPMOVZXBQZrmkz
-    336610804U,	// VPMOVZXBQZrr
-    352339444U,	// VPMOVZXBQZrrk
-    2499823092U,	// VPMOVZXBQZrrkz
-    470833679U,	// VPMOVZXBQrm
-    336615951U,	// VPMOVZXBQrr
-    437281562U,	// VPMOVZXBWYrm
-    336618266U,	// VPMOVZXBWYrr
-    370172698U,	// VPMOVZXBWrm
-    336618266U,	// VPMOVZXBWrr
-    437279484U,	// VPMOVZXDQYrm
-    336616188U,	// VPMOVZXDQYrr
-    839927540U,	// VPMOVZXDQZrm
-    352339700U,	// VPMOVZXDQZrmk
-    2499823348U,	// VPMOVZXDQZrmkz
-    336611060U,	// VPMOVZXDQZrr
-    352339700U,	// VPMOVZXDQZrrk
-    2499823348U,	// VPMOVZXDQZrrkz
-    370170620U,	// VPMOVZXDQrm
-    336616188U,	// VPMOVZXDQrr
-    437278169U,	// VPMOVZXWDYrm
-    336614873U,	// VPMOVZXWDYrr
-    839927051U,	// VPMOVZXWDZrm
-    352339211U,	// VPMOVZXWDZrmk
-    2499822859U,	// VPMOVZXWDZrmkz
-    336610571U,	// VPMOVZXWDZrr
-    352339211U,	// VPMOVZXWDZrrk
-    2499822859U,	// VPMOVZXWDZrrkz
-    370169305U,	// VPMOVZXWDrm
-    336614873U,	// VPMOVZXWDrr
-    303062028U,	// VPMOVZXWQYrm
-    336616460U,	// VPMOVZXWQYrr
-    437274674U,	// VPMOVZXWQZrm
-    352340018U,	// VPMOVZXWQZrmk
-    2499823666U,	// VPMOVZXWQZrmkz
-    336611378U,	// VPMOVZXWQZrr
-    352340018U,	// VPMOVZXWQZrrk
-    2499823666U,	// VPMOVZXWQZrrkz
-    303062028U,	// VPMOVZXWQrm
-    336616460U,	// VPMOVZXWQrr
-    2484099735U,	// VPMULDQYrm
-    2484099735U,	// VPMULDQYrr
-    2484094549U,	// VPMULDQZrm
-    2484094549U,	// VPMULDQZrmb
-    352339541U,	// VPMULDQZrmbk
-    2499823189U,	// VPMULDQZrmbkz
-    352339541U,	// VPMULDQZrmk
-    2499823189U,	// VPMULDQZrmkz
-    2484094549U,	// VPMULDQZrr
-    352339541U,	// VPMULDQZrrk
-    2499823189U,	// VPMULDQZrrkz
-    2484099735U,	// VPMULDQrm
-    2484099735U,	// VPMULDQrr
-    2484102245U,	// VPMULHRSWrm128
-    2484102245U,	// VPMULHRSWrm256
-    2484102245U,	// VPMULHRSWrr128
-    2484102245U,	// VPMULHRSWrr256
-    2484102332U,	// VPMULHUWYrm
-    2484102332U,	// VPMULHUWYrr
-    2484102332U,	// VPMULHUWrm
-    2484102332U,	// VPMULHUWrr
-    2484102033U,	// VPMULHWYrm
-    2484102033U,	// VPMULHWYrr
-    2484102033U,	// VPMULHWrm
-    2484102033U,	// VPMULHWrr
-    2484097051U,	// VPMULLDYrm
-    2484097051U,	// VPMULLDYrr
-    2484093242U,	// VPMULLDZrm
-    2484093242U,	// VPMULLDZrmb
-    50348346U,	// VPMULLDZrmbk
-    2499821882U,	// VPMULLDZrmbkz
-    50348346U,	// VPMULLDZrmk
-    2499821882U,	// VPMULLDZrmkz
-    2484093242U,	// VPMULLDZrr
-    50348346U,	// VPMULLDZrrk
-    2499821882U,	// VPMULLDZrrkz
-    2484097051U,	// VPMULLDrm
-    2484097051U,	// VPMULLDrr
-    2484102075U,	// VPMULLWYrm
-    2484102075U,	// VPMULLWYrr
-    2484102075U,	// VPMULLWrm
-    2484102075U,	// VPMULLWrr
-    2484099815U,	// VPMULUDQYrm
-    2484099815U,	// VPMULUDQYrr
-    2484094685U,	// VPMULUDQZrm
-    2484094685U,	// VPMULUDQZrmb
-    352339677U,	// VPMULUDQZrmbk
-    2499823325U,	// VPMULUDQZrmbkz
-    352339677U,	// VPMULUDQZrmk
-    2499823325U,	// VPMULUDQZrmkz
-    2484094685U,	// VPMULUDQZrr
-    352339677U,	// VPMULUDQZrrk
-    2499823325U,	// VPMULUDQZrrkz
-    2484099815U,	// VPMULUDQrm
-    2484099815U,	// VPMULUDQrr
-    2484093878U,	// VPORDZrm
-    2484093878U,	// VPORDZrmb
-    50348982U,	// VPORDZrmbk
-    2499822518U,	// VPORDZrmbkz
-    50348982U,	// VPORDZrmk
-    2499822518U,	// VPORDZrmkz
-    2484093878U,	// VPORDZrr
-    50348982U,	// VPORDZrrk
-    2499822518U,	// VPORDZrrkz
-    2484094854U,	// VPORQZrm
-    2484094854U,	// VPORQZrmb
-    50349958U,	// VPORQZrmbk
-    2499823494U,	// VPORQZrmbkz
-    50349958U,	// VPORQZrmk
-    2499823494U,	// VPORQZrmkz
-    2484094854U,	// VPORQZrr
-    50349958U,	// VPORQZrrk
-    2499823494U,	// VPORQZrrkz
-    2484100181U,	// VPORYrm
-    2484100181U,	// VPORYrr
-    2484100181U,	// VPORrm
-    2484100181U,	// VPORrr
-    2484099216U,	// VPPERMmr
-    2484099216U,	// VPPERMrm
-    2484099216U,	// VPPERMrr
-    2584759905U,	// VPROTBmi
-    2584759905U,	// VPROTBmr
-    2484096609U,	// VPROTBri
-    2484096609U,	// VPROTBrm
-    2484096609U,	// VPROTBrr
-    2584761593U,	// VPROTDmi
-    2584761593U,	// VPROTDmr
-    2484098297U,	// VPROTDri
-    2484098297U,	// VPROTDrm
-    2484098297U,	// VPROTDrr
-    2584763286U,	// VPROTQmi
-    2584763286U,	// VPROTQmr
-    2484099990U,	// VPROTQri
-    2484099990U,	// VPROTQrm
-    2484099990U,	// VPROTQrr
-    2584765606U,	// VPROTWmi
-    2584765606U,	// VPROTWmr
-    2484102310U,	// VPROTWri
-    2484102310U,	// VPROTWrm
-    2484102310U,	// VPROTWrr
-    2484101832U,	// VPSADBWYrm
-    2484101832U,	// VPSADBWYrr
-    2484101832U,	// VPSADBWrm
-    2484101832U,	// VPSADBWrr
-    688409U,	// VPSCATTERDDZmr
-    706201U,	// VPSCATTERDQZmr
-    705399U,	// VPSCATTERQDZmr
-    706408U,	// VPSCATTERQQZmr
-    2584759681U,	// VPSHABmr
-    2484096385U,	// VPSHABrm
-    2484096385U,	// VPSHABrr
-    2584760109U,	// VPSHADmr
-    2484096813U,	// VPSHADrm
-    2484096813U,	// VPSHADrr
-    2584762847U,	// VPSHAQmr
-    2484099551U,	// VPSHAQrm
-    2484099551U,	// VPSHAQrr
-    2584765092U,	// VPSHAWmr
-    2484101796U,	// VPSHAWrm
-    2484101796U,	// VPSHAWrr
-    2584759742U,	// VPSHLBmr
-    2484096446U,	// VPSHLBrm
-    2484096446U,	// VPSHLBrr
-    2584760325U,	// VPSHLDmr
-    2484097029U,	// VPSHLDrm
-    2484097029U,	// VPSHLDrr
-    2584763159U,	// VPSHLQmr
-    2484099863U,	// VPSHLQrm
-    2484099863U,	// VPSHLQrr
-    2584765355U,	// VPSHLWmr
-    2484102059U,	// VPSHLWrm
-    2484102059U,	// VPSHLWrr
-    2484096414U,	// VPSHUFBYrm
-    2484096414U,	// VPSHUFBYrr
-    2484096414U,	// VPSHUFBrm
-    2484096414U,	// VPSHUFBrr
-    2987413464U,	// VPSHUFDYmi
-    2484096984U,	// VPSHUFDYri
-    3054518567U,	// VPSHUFDZmi
-    2484093223U,	// VPSHUFDZri
-    2584760280U,	// VPSHUFDmi
-    2484096984U,	// VPSHUFDri
-    2987418503U,	// VPSHUFHWYmi
-    2484102023U,	// VPSHUFHWYri
-    2584765319U,	// VPSHUFHWmi
-    2484102023U,	// VPSHUFHWri
-    2987418529U,	// VPSHUFLWYmi
-    2484102049U,	// VPSHUFLWYri
-    2584765345U,	// VPSHUFLWmi
-    2484102049U,	// VPSHUFLWri
-    2484096462U,	// VPSIGNBYrm
-    2484096462U,	// VPSIGNBYrr
-    2484096462U,	// VPSIGNBrm
-    2484096462U,	// VPSIGNBrr
-    2484097108U,	// VPSIGNDYrm
-    2484097108U,	// VPSIGNDYrr
-    2484097108U,	// VPSIGNDrm
-    2484097108U,	// VPSIGNDrr
-    2484102100U,	// VPSIGNWYrm
-    2484102100U,	// VPSIGNWYrr
-    2484102100U,	// VPSIGNWrm
-    2484102100U,	// VPSIGNWrr
-    2484099717U,	// VPSLLDQYri
-    2484099717U,	// VPSLLDQri
-    2484097043U,	// VPSLLDYri
-    2484097043U,	// VPSLLDYrm
-    2484097043U,	// VPSLLDYrr
-    3054518577U,	// VPSLLDZmi
-    352338225U,	// VPSLLDZmik
-    2484093233U,	// VPSLLDZri
-    352338225U,	// VPSLLDZrik
-    2484093233U,	// VPSLLDZrm
-    352338225U,	// VPSLLDZrmk
-    2484093233U,	// VPSLLDZrr
-    352338225U,	// VPSLLDZrrk
-    2484097043U,	// VPSLLDri
-    2484097043U,	// VPSLLDrm
-    2484097043U,	// VPSLLDrr
-    2484099871U,	// VPSLLQYri
-    2484099871U,	// VPSLLQYrm
-    2484099871U,	// VPSLLQYrr
-    3054520064U,	// VPSLLQZmi
-    352339712U,	// VPSLLQZmik
-    2484094720U,	// VPSLLQZri
-    352339712U,	// VPSLLQZrik
-    2484094720U,	// VPSLLQZrm
-    352339712U,	// VPSLLQZrmk
-    2484094720U,	// VPSLLQZrr
-    352339712U,	// VPSLLQZrrk
-    2484099871U,	// VPSLLQri
-    2484099871U,	// VPSLLQrm
-    2484099871U,	// VPSLLQrr
-    2484098364U,	// VPSLLVDYrm
-    2484098364U,	// VPSLLVDYrr
-    2484094179U,	// VPSLLVDZrm
-    2484094179U,	// VPSLLVDZrr
-    2484098364U,	// VPSLLVDrm
-    2484098364U,	// VPSLLVDrr
-    2484100039U,	// VPSLLVQYrm
-    2484100039U,	// VPSLLVQYrr
-    2484094986U,	// VPSLLVQZrm
-    2484094986U,	// VPSLLVQZrr
-    2484100039U,	// VPSLLVQrm
-    2484100039U,	// VPSLLVQrr
-    2484102067U,	// VPSLLWYri
-    2484102067U,	// VPSLLWYrm
-    2484102067U,	// VPSLLWYrr
-    2484102067U,	// VPSLLWri
-    2484102067U,	// VPSLLWrm
-    2484102067U,	// VPSLLWrr
-    2484096821U,	// VPSRADYri
-    2484096821U,	// VPSRADYrm
-    2484096821U,	// VPSRADYrr
-    3054518472U,	// VPSRADZmi
-    352338120U,	// VPSRADZmik
-    2484093128U,	// VPSRADZri
-    352338120U,	// VPSRADZrik
-    2484093128U,	// VPSRADZrm
-    352338120U,	// VPSRADZrmk
-    2484093128U,	// VPSRADZrr
-    352338120U,	// VPSRADZrrk
-    2484096821U,	// VPSRADri
-    2484096821U,	// VPSRADrm
-    2484096821U,	// VPSRADrr
-    3054519766U,	// VPSRAQZmi
-    352339414U,	// VPSRAQZmik
-    2484094422U,	// VPSRAQZri
-    352339414U,	// VPSRAQZrik
-    2484094422U,	// VPSRAQZrm
-    352339414U,	// VPSRAQZrmk
-    2484094422U,	// VPSRAQZrr
-    352339414U,	// VPSRAQZrrk
-    2484098355U,	// VPSRAVDYrm
-    2484098355U,	// VPSRAVDYrr
-    2484094169U,	// VPSRAVDZrm
-    2484094169U,	// VPSRAVDZrr
-    2484098355U,	// VPSRAVDrm
-    2484098355U,	// VPSRAVDrr
-    2484094976U,	// VPSRAVQZrm
-    2484094976U,	// VPSRAVQZrr
-    2484101804U,	// VPSRAWYri
-    2484101804U,	// VPSRAWYrm
-    2484101804U,	// VPSRAWYrr
-    2484101804U,	// VPSRAWri
-    2484101804U,	// VPSRAWrm
-    2484101804U,	// VPSRAWrr
-    2484099726U,	// VPSRLDQYri
-    2484099726U,	// VPSRLDQri
-    2484097060U,	// VPSRLDYri
-    2484097060U,	// VPSRLDYrm
-    2484097060U,	// VPSRLDYrr
-    3054518596U,	// VPSRLDZmi
-    352338244U,	// VPSRLDZmik
-    2484093252U,	// VPSRLDZri
-    352338244U,	// VPSRLDZrik
-    2484093252U,	// VPSRLDZrm
-    352338244U,	// VPSRLDZrmk
-    2484093252U,	// VPSRLDZrr
-    352338244U,	// VPSRLDZrrk
-    2484097060U,	// VPSRLDri
-    2484097060U,	// VPSRLDrm
-    2484097060U,	// VPSRLDrr
-    2484099879U,	// VPSRLQYri
-    2484099879U,	// VPSRLQYrm
-    2484099879U,	// VPSRLQYrr
-    3054520073U,	// VPSRLQZmi
-    352339721U,	// VPSRLQZmik
-    2484094729U,	// VPSRLQZri
-    352339721U,	// VPSRLQZrik
-    2484094729U,	// VPSRLQZrm
-    352339721U,	// VPSRLQZrmk
-    2484094729U,	// VPSRLQZrr
-    352339721U,	// VPSRLQZrrk
-    2484099879U,	// VPSRLQri
-    2484099879U,	// VPSRLQrm
-    2484099879U,	// VPSRLQrr
-    2484098373U,	// VPSRLVDYrm
-    2484098373U,	// VPSRLVDYrr
-    2484094189U,	// VPSRLVDZrm
-    2484094189U,	// VPSRLVDZrr
-    2484098373U,	// VPSRLVDrm
-    2484098373U,	// VPSRLVDrr
-    2484100048U,	// VPSRLVQYrm
-    2484100048U,	// VPSRLVQYrr
-    2484094996U,	// VPSRLVQZrm
-    2484094996U,	// VPSRLVQZrr
-    2484100048U,	// VPSRLVQrm
-    2484100048U,	// VPSRLVQrr
-    2484102084U,	// VPSRLWYri
-    2484102084U,	// VPSRLWYrm
-    2484102084U,	// VPSRLWYrr
-    2484102084U,	// VPSRLWri
-    2484102084U,	// VPSRLWrm
-    2484102084U,	// VPSRLWrr
-    2484096398U,	// VPSUBBYrm
-    2484096398U,	// VPSUBBYrr
-    2484096398U,	// VPSUBBrm
-    2484096398U,	// VPSUBBrr
-    2484096859U,	// VPSUBDYrm
-    2484096859U,	// VPSUBDYrr
-    2484093137U,	// VPSUBDZrm
-    2484093137U,	// VPSUBDZrmb
-    50348241U,	// VPSUBDZrmbk
-    2499821777U,	// VPSUBDZrmbkz
-    50348241U,	// VPSUBDZrmk
-    2499821777U,	// VPSUBDZrmkz
-    2484093137U,	// VPSUBDZrr
-    50348241U,	// VPSUBDZrrk
-    2499821777U,	// VPSUBDZrrkz
-    2484096859U,	// VPSUBDrm
-    2484096859U,	// VPSUBDrr
-    2484099580U,	// VPSUBQYrm
-    2484099580U,	// VPSUBQYrr
-    2484094431U,	// VPSUBQZrm
-    2484094431U,	// VPSUBQZrmb
-    50349535U,	// VPSUBQZrmbk
-    2499823071U,	// VPSUBQZrmbkz
-    50349535U,	// VPSUBQZrmk
-    2499823071U,	// VPSUBQZrmkz
-    2484094431U,	// VPSUBQZrr
-    50349535U,	// VPSUBQZrrk
-    2499823071U,	// VPSUBQZrrkz
-    2484099580U,	// VPSUBQrm
-    2484099580U,	// VPSUBQrr
-    2484096507U,	// VPSUBSBYrm
-    2484096507U,	// VPSUBSBYrr
-    2484096507U,	// VPSUBSBrm
-    2484096507U,	// VPSUBSBrr
-    2484102182U,	// VPSUBSWYrm
-    2484102182U,	// VPSUBSWYrr
-    2484102182U,	// VPSUBSWrm
-    2484102182U,	// VPSUBSWrr
-    2484096548U,	// VPSUBUSBYrm
-    2484096548U,	// VPSUBUSBYrr
-    2484096548U,	// VPSUBUSBrm
-    2484096548U,	// VPSUBUSBrr
-    2484102264U,	// VPSUBUSWYrm
-    2484102264U,	// VPSUBUSWYrr
-    2484102264U,	// VPSUBUSWrm
-    2484102264U,	// VPSUBUSWrr
-    2484101895U,	// VPSUBWYrm
-    2484101895U,	// VPSUBWYrr
-    2484101895U,	// VPSUBWrm
-    2484101895U,	// VPSUBWrr
-    2484093294U,	// VPTESTMDZrm
-    2484093294U,	// VPTESTMDZrr
-    2484094771U,	// VPTESTMQZrm
-    2484094771U,	// VPTESTMQZrr
-    2484093273U,	// VPTESTNMDZrm
-    2484093273U,	// VPTESTNMDZrr
-    2484094750U,	// VPTESTNMQZrm
-    2484094750U,	// VPTESTNMQZrr
-    839934503U,	// VPTESTYrm
-    336618023U,	// VPTESTYrr
-    537944615U,	// VPTESTrm
-    336618023U,	// VPTESTrr
-    2484101851U,	// VPUNPCKHBWYrm
-    2484101851U,	// VPUNPCKHBWYrr
-    2484101851U,	// VPUNPCKHBWrm
-    2484101851U,	// VPUNPCKHBWrr
-    2484099693U,	// VPUNPCKHDQYrm
-    2484099693U,	// VPUNPCKHDQYrr
-    2484094523U,	// VPUNPCKHDQZrm
-    2484094523U,	// VPUNPCKHDQZrr
-    2484099693U,	// VPUNPCKHDQrm
-    2484099693U,	// VPUNPCKHDQrr
-    2484099744U,	// VPUNPCKHQDQYrm
-    2484099744U,	// VPUNPCKHQDQYrr
-    2484094576U,	// VPUNPCKHQDQZrm
-    2484094576U,	// VPUNPCKHQDQZrr
-    2484099744U,	// VPUNPCKHQDQrm
-    2484099744U,	// VPUNPCKHQDQrr
-    2484098431U,	// VPUNPCKHWDYrm
-    2484098431U,	// VPUNPCKHWDYrr
-    2484098431U,	// VPUNPCKHWDrm
-    2484098431U,	// VPUNPCKHWDrr
-    2484101863U,	// VPUNPCKLBWYrm
-    2484101863U,	// VPUNPCKLBWYrr
-    2484101863U,	// VPUNPCKLBWrm
-    2484101863U,	// VPUNPCKLBWrr
-    2484099705U,	// VPUNPCKLDQYrm
-    2484099705U,	// VPUNPCKLDQYrr
-    2484094536U,	// VPUNPCKLDQZrm
-    2484094536U,	// VPUNPCKLDQZrr
-    2484099705U,	// VPUNPCKLDQrm
-    2484099705U,	// VPUNPCKLDQrr
-    2484099757U,	// VPUNPCKLQDQYrm
-    2484099757U,	// VPUNPCKLQDQYrr
-    2484094590U,	// VPUNPCKLQDQZrm
-    2484094590U,	// VPUNPCKLQDQZrr
-    2484099757U,	// VPUNPCKLQDQrm
-    2484099757U,	// VPUNPCKLQDQrr
-    2484098443U,	// VPUNPCKLWDYrm
-    2484098443U,	// VPUNPCKLWDYrr
-    2484098443U,	// VPUNPCKLWDrm
-    2484098443U,	// VPUNPCKLWDrr
-    2484093894U,	// VPXORDZrm
-    2484093894U,	// VPXORDZrmb
-    50348998U,	// VPXORDZrmbk
-    2499822534U,	// VPXORDZrmbkz
-    50348998U,	// VPXORDZrmk
-    2499822534U,	// VPXORDZrmkz
-    2484093894U,	// VPXORDZrr
-    50348998U,	// VPXORDZrrk
-    2499822534U,	// VPXORDZrrkz
-    2484094870U,	// VPXORQZrm
-    2484094870U,	// VPXORQZrmb
-    50349974U,	// VPXORQZrmbk
-    2499823510U,	// VPXORQZrmbkz
-    50349974U,	// VPXORQZrmk
-    2499823510U,	// VPXORQZrmkz
-    2484094870U,	// VPXORQZrr
-    50349974U,	// VPXORQZrrk
-    2499823510U,	// VPXORQZrrkz
-    2484100209U,	// VPXORYrm
-    2484100209U,	// VPXORYrr
-    2484100209U,	// VPXORrm
-    2484100209U,	// VPXORrr
-    974144139U,	// VRCP14PDZm
-    336609931U,	// VRCP14PDZr
-    974145843U,	// VRCP14PSZm
-    336611635U,	// VRCP14PSZr
-    2484093986U,	// VRCP14SDrm
-    2484093986U,	// VRCP14SDrr
-    2484095589U,	// VRCP14SSrm
-    2484095589U,	// VRCP14SSrr
-    974144163U,	// VRCP28PDZm
-    336609955U,	// VRCP28PDZr
-    336609955U,	// VRCP28PDZrb
-    974145867U,	// VRCP28PSZm
-    336611659U,	// VRCP28PSZr
-    336611659U,	// VRCP28PSZrb
-    2484094010U,	// VRCP28SDrm
-    2484094010U,	// VRCP28SDrr
-    2484094010U,	// VRCP28SDrrb
-    2484095613U,	// VRCP28SSrm
-    2484095613U,	// VRCP28SSrr
-    2484095613U,	// VRCP28SSrrb
-    940597076U,	// VRCPPSYm
-    940597076U,	// VRCPPSYm_Int
-    336617300U,	// VRCPPSYr
-    336617300U,	// VRCPPSYr_Int
-    537943892U,	// VRCPPSm
-    537943892U,	// VRCPPSm_Int
-    336617300U,	// VRCPPSr
-    336617300U,	// VRCPPSr_Int
-    2484101415U,	// VRCPSSm
-    2484101415U,	// VRCPSSm_Int
-    2484101415U,	// VRCPSSr
-    3121627880U,	// VRNDSCALEPDZm
-    2484093672U,	// VRNDSCALEPDZr
-    3121629584U,	// VRNDSCALEPSZm
-    2484095376U,	// VRNDSCALEPSZr
-    2484094043U,	// VRNDSCALESDm
-    2484094043U,	// VRNDSCALESDr
-    2484095637U,	// VRNDSCALESSm
-    2484095637U,	// VRNDSCALESSr
-    2685424166U,	// VROUNDPDm
-    2484097574U,	// VROUNDPDr
-    2685427393U,	// VROUNDPSm
-    2484100801U,	// VROUNDPSr
-    2484098144U,	// VROUNDSDm
-    2484098144U,	// VROUNDSDr
-    2484098144U,	// VROUNDSDr_Int
-    2484101370U,	// VROUNDSSm
-    2484101370U,	// VROUNDSSr
-    2484101370U,	// VROUNDSSr_Int
-    3088077350U,	// VROUNDYPDm
-    2484097574U,	// VROUNDYPDr
-    3088080577U,	// VROUNDYPSm
-    2484100801U,	// VROUNDYPSr
-    974144150U,	// VRSQRT14PDZm
-    336609942U,	// VRSQRT14PDZr
-    974145854U,	// VRSQRT14PSZm
-    336611646U,	// VRSQRT14PSZr
-    2484093997U,	// VRSQRT14SDrm
-    2484093997U,	// VRSQRT14SDrr
-    2484095600U,	// VRSQRT14SSrm
-    2484095600U,	// VRSQRT14SSrr
-    974144174U,	// VRSQRT28PDZm
-    336609966U,	// VRSQRT28PDZr
-    336609966U,	// VRSQRT28PDZrb
-    974145878U,	// VRSQRT28PSZm
-    336611670U,	// VRSQRT28PSZr
-    336611670U,	// VRSQRT28PSZrb
-    2484094021U,	// VRSQRT28SDrm
-    2484094021U,	// VRSQRT28SDrr
-    2484094021U,	// VRSQRT28SDrrb
-    2484095624U,	// VRSQRT28SSrm
-    2484095624U,	// VRSQRT28SSrr
-    2484095624U,	// VRSQRT28SSrrb
-    940597159U,	// VRSQRTPSYm
-    940597159U,	// VRSQRTPSYm_Int
-    336617383U,	// VRSQRTPSYr
-    336617383U,	// VRSQRTPSYr_Int
-    537943975U,	// VRSQRTPSm
-    537943975U,	// VRSQRTPSm_Int
-    336617383U,	// VRSQRTPSr
-    336617383U,	// VRSQRTPSr_Int
-    2484101440U,	// VRSQRTSSm
-    2484101440U,	// VRSQRTSSm_Int
-    2484101440U,	// VRSQRTSSr
-    705242U,	// VSCATTERDPDZmr
-    690562U,	// VSCATTERDPSZmr
-    321941652U,	// VSCATTERPF0DPDm
-    321941792U,	// VSCATTERPF0DPSm
-    389050586U,	// VSCATTERPF0QPDm
-    389050726U,	// VSCATTERPF0QPSm
-    321941687U,	// VSCATTERPF1DPDm
-    321941827U,	// VSCATTERPF1DPSm
-    389050621U,	// VSCATTERPF1QPDm
-    389050761U,	// VSCATTERPF1QPSm
-    705354U,	// VSCATTERQPDZmr
-    707058U,	// VSCATTERQPSZmr
-    2484097596U,	// VSHUFPDYrmi
-    2484097596U,	// VSHUFPDYrri
-    2484093686U,	// VSHUFPDZrmi
-    2484093686U,	// VSHUFPDZrri
-    2484097596U,	// VSHUFPDrmi
-    2484097596U,	// VSHUFPDrri
-    2484100823U,	// VSHUFPSYrmi
-    2484100823U,	// VSHUFPSYrri
-    2484095390U,	// VSHUFPSZrmi
-    2484095390U,	// VSHUFPSZrri
-    2484100823U,	// VSHUFPSrmi
-    2484100823U,	// VSHUFPSrri
-    940593889U,	// VSQRTPDYm
-    336614113U,	// VSQRTPDYr
-    974148321U,	// VSQRTPDZrm
-    336614113U,	// VSQRTPDZrr
-    537940705U,	// VSQRTPDm
-    336614113U,	// VSQRTPDr
-    940597169U,	// VSQRTPSYm
-    336617393U,	// VSQRTPSYr
-    974151601U,	// VSQRTPSZrm
-    336617393U,	// VSQRTPSZrr
-    537943985U,	// VSQRTPSm
-    336617393U,	// VSQRTPSr
-    2484098222U,	// VSQRTSDZm
-    2484098222U,	// VSQRTSDZm_Int
-    2484098222U,	// VSQRTSDZr
-    2484098222U,	// VSQRTSDZr_Int
-    2484098222U,	// VSQRTSDm
-    2484098222U,	// VSQRTSDm_Int
-    2484098222U,	// VSQRTSDr
-    2484101450U,	// VSQRTSSZm
-    2484101450U,	// VSQRTSSZm_Int
-    2484101450U,	// VSQRTSSZr
-    2484101450U,	// VSQRTSSZr_Int
-    2484101450U,	// VSQRTSSm
-    2484101450U,	// VSQRTSSm_Int
-    2484101450U,	// VSQRTSSr
-    72845U,	// VSTMXCSR
-    2484097497U,	// VSUBPDYrm
-    2484097497U,	// VSUBPDYrr
-    2484093627U,	// VSUBPDZrm
-    2484093627U,	// VSUBPDZrmb
-    352338619U,	// VSUBPDZrmbk
-    2499822267U,	// VSUBPDZrmbkz
-    352342489U,	// VSUBPDZrmk
-    2499826137U,	// VSUBPDZrmkz
-    2484093627U,	// VSUBPDZrr
-    352338619U,	// VSUBPDZrrk
-    2499822267U,	// VSUBPDZrrkz
-    2484097497U,	// VSUBPDrm
-    2484097497U,	// VSUBPDrr
-    2484100724U,	// VSUBPSYrm
-    2484100724U,	// VSUBPSYrr
-    2484095331U,	// VSUBPSZrm
-    2484095331U,	// VSUBPSZrmb
-    352340323U,	// VSUBPSZrmbk
-    2499823971U,	// VSUBPSZrmbkz
-    352345716U,	// VSUBPSZrmk
-    2499829364U,	// VSUBPSZrmkz
-    2484095331U,	// VSUBPSZrr
-    352340323U,	// VSUBPSZrrk
-    2499823971U,	// VSUBPSZrrkz
-    2484100724U,	// VSUBPSrm
-    2484100724U,	// VSUBPSrr
-    2484098107U,	// VSUBSDZrm
-    2484098107U,	// VSUBSDZrr
-    2484098107U,	// VSUBSDrm
-    2484098107U,	// VSUBSDrm_Int
-    2484098107U,	// VSUBSDrr
-    2484098107U,	// VSUBSDrr_Int
-    2484101333U,	// VSUBSSZrm
-    2484101333U,	// VSUBSSZrr
-    2484101333U,	// VSUBSSrm
-    2484101333U,	// VSUBSSrm_Int
-    2484101333U,	// VSUBSSrr
-    2484101333U,	// VSUBSSrr_Int
-    940593898U,	// VTESTPDYrm
-    336614122U,	// VTESTPDYrr
-    537940714U,	// VTESTPDrm
-    336614122U,	// VTESTPDrr
-    940597178U,	// VTESTPSYrm
-    336617402U,	// VTESTPSYrr
-    537943994U,	// VTESTPSrm
-    336617402U,	// VTESTPSrr
-    571495530U,	// VUCOMISDZrm
-    336614506U,	// VUCOMISDZrr
-    571495530U,	// VUCOMISDrm
-    336614506U,	// VUCOMISDrr
-    605053188U,	// VUCOMISSZrm
-    336617732U,	// VUCOMISSZrr
-    605053188U,	// VUCOMISSrm
-    336617732U,	// VUCOMISSrr
-    2484097605U,	// VUNPCKHPDYrm
-    2484097605U,	// VUNPCKHPDYrr
-    2484097605U,	// VUNPCKHPDZrm
-    2484097605U,	// VUNPCKHPDZrr
-    2484097605U,	// VUNPCKHPDrm
-    2484097605U,	// VUNPCKHPDrr
-    2484100832U,	// VUNPCKHPSYrm
-    2484100832U,	// VUNPCKHPSYrr
-    2484100832U,	// VUNPCKHPSZrm
-    2484100832U,	// VUNPCKHPSZrr
-    2484100832U,	// VUNPCKHPSrm
-    2484100832U,	// VUNPCKHPSrr
-    2484097647U,	// VUNPCKLPDYrm
-    2484097647U,	// VUNPCKLPDYrr
-    2484097647U,	// VUNPCKLPDZrm
-    2484097647U,	// VUNPCKLPDZrr
-    2484097647U,	// VUNPCKLPDrm
-    2484097647U,	// VUNPCKLPDrr
-    2484100894U,	// VUNPCKLPSYrm
-    2484100894U,	// VUNPCKLPSYrr
-    2484100894U,	// VUNPCKLPSZrm
-    2484100894U,	// VUNPCKLPSZrr
-    2484100894U,	// VUNPCKLPSrm
-    2484100894U,	// VUNPCKLPSrr
-    2484097743U,	// VXORPDYrm
-    2484097743U,	// VXORPDYrr
-    2484097743U,	// VXORPDrm
-    2484097743U,	// VXORPDrr
-    2484100990U,	// VXORPSYrm
-    2484100990U,	// VXORPSYrr
-    2484100990U,	// VXORPSrm
-    2484100990U,	// VXORPSrr
-    11661U,	// VZEROALL
-    11861U,	// VZEROUPPER
+    2584760480U,	// VPCMPISTRM128rm
+    2484097184U,	// VPCMPISTRM128rr
+    1264937371U,	// VPCMPQZ128rmi
+    2484098091U,	// VPCMPQZ128rmi_alt
+    1264937371U,	// VPCMPQZ128rmib
+    2484098091U,	// VPCMPQZ128rmib_alt
+    1366010267U,	// VPCMPQZ128rmibk
+    2499826731U,	// VPCMPQZ128rmibk_alt
+    3513493915U,	// VPCMPQZ128rmik
+    2499826731U,	// VPCMPQZ128rmik_alt
+    1264953755U,	// VPCMPQZ128rri
+    2484098091U,	// VPCMPQZ128rri_alt
+    1366026651U,	// VPCMPQZ128rrik
+    2499826731U,	// VPCMPQZ128rrik_alt
+    1264937371U,	// VPCMPQZ256rmi
+    2484098091U,	// VPCMPQZ256rmi_alt
+    1264937371U,	// VPCMPQZ256rmib
+    2484098091U,	// VPCMPQZ256rmib_alt
+    1366010267U,	// VPCMPQZ256rmibk
+    2499826731U,	// VPCMPQZ256rmibk_alt
+    3513493915U,	// VPCMPQZ256rmik
+    2499826731U,	// VPCMPQZ256rmik_alt
+    1264953755U,	// VPCMPQZ256rri
+    2484098091U,	// VPCMPQZ256rri_alt
+    1366026651U,	// VPCMPQZ256rrik
+    2499826731U,	// VPCMPQZ256rrik_alt
+    1264937371U,	// VPCMPQZrmi
+    2484098091U,	// VPCMPQZrmi_alt
+    1264937371U,	// VPCMPQZrmib
+    2484098091U,	// VPCMPQZrmib_alt
+    1366010267U,	// VPCMPQZrmibk
+    2499826731U,	// VPCMPQZrmibk_alt
+    1366010267U,	// VPCMPQZrmik
+    2499826731U,	// VPCMPQZrmik_alt
+    1264953755U,	// VPCMPQZrri
+    2484098091U,	// VPCMPQZrri_alt
+    1366026651U,	// VPCMPQZrrik
+    2499826731U,	// VPCMPQZrrik_alt
+    1265985947U,	// VPCMPUBZ128rmi
+    2484094003U,	// VPCMPUBZ128rmi_alt
+    3514542491U,	// VPCMPUBZ128rmik
+    2499822643U,	// VPCMPUBZ128rmik_alt
+    1266002331U,	// VPCMPUBZ128rri
+    2484094003U,	// VPCMPUBZ128rri_alt
+    1367075227U,	// VPCMPUBZ128rrik
+    2499822643U,	// VPCMPUBZ128rrik_alt
+    1265985947U,	// VPCMPUBZ256rmi
+    2484094003U,	// VPCMPUBZ256rmi_alt
+    3514542491U,	// VPCMPUBZ256rmik
+    2499822643U,	// VPCMPUBZ256rmik_alt
+    1266002331U,	// VPCMPUBZ256rri
+    2484094003U,	// VPCMPUBZ256rri_alt
+    1367075227U,	// VPCMPUBZ256rrik
+    2499822643U,	// VPCMPUBZ256rrik_alt
+    1265985947U,	// VPCMPUBZrmi
+    2484094003U,	// VPCMPUBZrmi_alt
+    1367058843U,	// VPCMPUBZrmik
+    2499822643U,	// VPCMPUBZrmik_alt
+    1266002331U,	// VPCMPUBZrri
+    2484094003U,	// VPCMPUBZrri_alt
+    1367075227U,	// VPCMPUBZrrik
+    2499822643U,	// VPCMPUBZrrik_alt
+    1267034523U,	// VPCMPUDZ128rmi
+    2484096235U,	// VPCMPUDZ128rmi_alt
+    1267034523U,	// VPCMPUDZ128rmib
+    2484096235U,	// VPCMPUDZ128rmib_alt
+    3515591067U,	// VPCMPUDZ128rmibk
+    2499824875U,	// VPCMPUDZ128rmibk_alt
+    3515591067U,	// VPCMPUDZ128rmik
+    2499824875U,	// VPCMPUDZ128rmik_alt
+    1267050907U,	// VPCMPUDZ128rri
+    2484096235U,	// VPCMPUDZ128rri_alt
+    1368123803U,	// VPCMPUDZ128rrik
+    2499824875U,	// VPCMPUDZ128rrik_alt
+    1267034523U,	// VPCMPUDZ256rmi
+    2484096235U,	// VPCMPUDZ256rmi_alt
+    1267034523U,	// VPCMPUDZ256rmib
+    2484096235U,	// VPCMPUDZ256rmib_alt
+    3515591067U,	// VPCMPUDZ256rmibk
+    2499824875U,	// VPCMPUDZ256rmibk_alt
+    3515591067U,	// VPCMPUDZ256rmik
+    2499824875U,	// VPCMPUDZ256rmik_alt
+    1267050907U,	// VPCMPUDZ256rri
+    2484096235U,	// VPCMPUDZ256rri_alt
+    1368123803U,	// VPCMPUDZ256rrik
+    2499824875U,	// VPCMPUDZ256rrik_alt
+    1267034523U,	// VPCMPUDZrmi
+    2484096235U,	// VPCMPUDZrmi_alt
+    1267034523U,	// VPCMPUDZrmib
+    2484096235U,	// VPCMPUDZrmib_alt
+    3515591067U,	// VPCMPUDZrmibk
+    2499824875U,	// VPCMPUDZrmibk_alt
+    1368107419U,	// VPCMPUDZrmik
+    2499824875U,	// VPCMPUDZrmik_alt
+    1267050907U,	// VPCMPUDZrri
+    2484096235U,	// VPCMPUDZrri_alt
+    1368123803U,	// VPCMPUDZrrik
+    2499824875U,	// VPCMPUDZrrik_alt
+    1268083099U,	// VPCMPUQZ128rmi
+    2484098365U,	// VPCMPUQZ128rmi_alt
+    1268083099U,	// VPCMPUQZ128rmib
+    2484098365U,	// VPCMPUQZ128rmib_alt
+    1369155995U,	// VPCMPUQZ128rmibk
+    2499827005U,	// VPCMPUQZ128rmibk_alt
+    3516639643U,	// VPCMPUQZ128rmik
+    2499827005U,	// VPCMPUQZ128rmik_alt
+    1268099483U,	// VPCMPUQZ128rri
+    2484098365U,	// VPCMPUQZ128rri_alt
+    1369172379U,	// VPCMPUQZ128rrik
+    2499827005U,	// VPCMPUQZ128rrik_alt
+    1268083099U,	// VPCMPUQZ256rmi
+    2484098365U,	// VPCMPUQZ256rmi_alt
+    1268083099U,	// VPCMPUQZ256rmib
+    2484098365U,	// VPCMPUQZ256rmib_alt
+    1369155995U,	// VPCMPUQZ256rmibk
+    2499827005U,	// VPCMPUQZ256rmibk_alt
+    3516639643U,	// VPCMPUQZ256rmik
+    2499827005U,	// VPCMPUQZ256rmik_alt
+    1268099483U,	// VPCMPUQZ256rri
+    2484098365U,	// VPCMPUQZ256rri_alt
+    1369172379U,	// VPCMPUQZ256rrik
+    2499827005U,	// VPCMPUQZ256rrik_alt
+    1268083099U,	// VPCMPUQZrmi
+    2484098365U,	// VPCMPUQZrmi_alt
+    1268083099U,	// VPCMPUQZrmib
+    2484098365U,	// VPCMPUQZrmib_alt
+    1369155995U,	// VPCMPUQZrmibk
+    2499827005U,	// VPCMPUQZrmibk_alt
+    1369155995U,	// VPCMPUQZrmik
+    2499827005U,	// VPCMPUQZrmik_alt
+    1268099483U,	// VPCMPUQZrri
+    2484098365U,	// VPCMPUQZrri_alt
+    1369172379U,	// VPCMPUQZrrik
+    2499827005U,	// VPCMPUQZrrik_alt
+    1269131675U,	// VPCMPUWZ128rmi
+    2484101132U,	// VPCMPUWZ128rmi_alt
+    3517688219U,	// VPCMPUWZ128rmik
+    2499829772U,	// VPCMPUWZ128rmik_alt
+    1269148059U,	// VPCMPUWZ128rri
+    2484101132U,	// VPCMPUWZ128rri_alt
+    1370220955U,	// VPCMPUWZ128rrik
+    2499829772U,	// VPCMPUWZ128rrik_alt
+    1269131675U,	// VPCMPUWZ256rmi
+    2484101132U,	// VPCMPUWZ256rmi_alt
+    3517688219U,	// VPCMPUWZ256rmik
+    2499829772U,	// VPCMPUWZ256rmik_alt
+    1269148059U,	// VPCMPUWZ256rri
+    2484101132U,	// VPCMPUWZ256rri_alt
+    1370220955U,	// VPCMPUWZ256rrik
+    2499829772U,	// VPCMPUWZ256rrik_alt
+    1269131675U,	// VPCMPUWZrmi
+    2484101132U,	// VPCMPUWZrmi_alt
+    1370204571U,	// VPCMPUWZrmik
+    2499829772U,	// VPCMPUWZrmik_alt
+    1269148059U,	// VPCMPUWZrri
+    2484101132U,	// VPCMPUWZrri_alt
+    1370220955U,	// VPCMPUWZrrik
+    2499829772U,	// VPCMPUWZrrik_alt
+    1270180251U,	// VPCMPWZ128rmi
+    2484100795U,	// VPCMPWZ128rmi_alt
+    3518736795U,	// VPCMPWZ128rmik
+    2499829435U,	// VPCMPWZ128rmik_alt
+    1270196635U,	// VPCMPWZ128rri
+    2484100795U,	// VPCMPWZ128rri_alt
+    1371269531U,	// VPCMPWZ128rrik
+    2499829435U,	// VPCMPWZ128rrik_alt
+    1270180251U,	// VPCMPWZ256rmi
+    2484100795U,	// VPCMPWZ256rmi_alt
+    3518736795U,	// VPCMPWZ256rmik
+    2499829435U,	// VPCMPWZ256rmik_alt
+    1270196635U,	// VPCMPWZ256rri
+    2484100795U,	// VPCMPWZ256rri_alt
+    1371269531U,	// VPCMPWZ256rrik
+    2499829435U,	// VPCMPWZ256rrik_alt
+    1270180251U,	// VPCMPWZrmi
+    2484100795U,	// VPCMPWZrmi_alt
+    1371253147U,	// VPCMPWZrmik
+    2499829435U,	// VPCMPWZrmik_alt
+    1270196635U,	// VPCMPWZrri
+    2484100795U,	// VPCMPWZrri_alt
+    1371269531U,	// VPCMPWZrrik
+    2499829435U,	// VPCMPWZrrik_alt
+    1263282505U,	// VPCOMBmi
+    2484093714U,	// VPCOMBmi_alt
+    1263298889U,	// VPCOMBri
+    2484093714U,	// VPCOMBri_alt
+    1264331081U,	// VPCOMDmi
+    2484094579U,	// VPCOMDmi_alt
+    1264347465U,	// VPCOMDri
+    2484094579U,	// VPCOMDri_alt
+    2164526138U,	// VPCOMPRESSDZ128mrk
+    2197834810U,	// VPCOMPRESSDZ128rrk
+    352341050U,	// VPCOMPRESSDZ128rrkz
+    2164984890U,	// VPCOMPRESSDZ256mrk
+    2197834810U,	// VPCOMPRESSDZ256rrk
+    352341050U,	// VPCOMPRESSDZ256rrkz
+    2165001274U,	// VPCOMPRESSDZmrk
+    2197834810U,	// VPCOMPRESSDZrrk
+    352341050U,	// VPCOMPRESSDZrrkz
+    2164528309U,	// VPCOMPRESSQZ128mrk
+    2197836981U,	// VPCOMPRESSQZ128rrk
+    352343221U,	// VPCOMPRESSQZ128rrkz
+    2164987061U,	// VPCOMPRESSQZ256mrk
+    2197836981U,	// VPCOMPRESSQZ256rrk
+    352343221U,	// VPCOMPRESSQZ256rrkz
+    2165003445U,	// VPCOMPRESSQZmrk
+    2197836981U,	// VPCOMPRESSQZrrk
+    352343221U,	// VPCOMPRESSQZrrkz
+    1265379657U,	// VPCOMQmi
+    2484098039U,	// VPCOMQmi_alt
+    1265396041U,	// VPCOMQri
+    2484098039U,	// VPCOMQri_alt
+    1266428233U,	// VPCOMUBmi
+    2484093985U,	// VPCOMUBmi_alt
+    1266444617U,	// VPCOMUBri
+    2484093985U,	// VPCOMUBri_alt
+    1267476809U,	// VPCOMUDmi
+    2484096217U,	// VPCOMUDmi_alt
+    1267493193U,	// VPCOMUDri
+    2484096217U,	// VPCOMUDri_alt
+    1268525385U,	// VPCOMUQmi
+    2484098347U,	// VPCOMUQmi_alt
+    1268541769U,	// VPCOMUQri
+    2484098347U,	// VPCOMUQri_alt
+    1269573961U,	// VPCOMUWmi
+    2484101114U,	// VPCOMUWmi_alt
+    1269590345U,	// VPCOMUWri
+    2484101114U,	// VPCOMUWri_alt
+    1270622537U,	// VPCOMWmi
+    2484100770U,	// VPCOMWmi_alt
+    1270638921U,	// VPCOMWri
+    2484100770U,	// VPCOMWri_alt
+    1007701137U,	// VPCONFLICTDrm
+    303058065U,	// VPCONFLICTDrmb
+    2197834897U,	// VPCONFLICTDrmbk
+    352341137U,	// VPCONFLICTDrmbkz
+    2197834897U,	// VPCONFLICTDrmk
+    352341137U,	// VPCONFLICTDrmkz
+    336612497U,	// VPCONFLICTDrr
+    2197834897U,	// VPCONFLICTDrrk
+    352341137U,	// VPCONFLICTDrrkz
+    1007703250U,	// VPCONFLICTQrm
+    2517652690U,	// VPCONFLICTQrmb
+    2197837010U,	// VPCONFLICTQrmbk
+    352343250U,	// VPCONFLICTQrmbkz
+    2197837010U,	// VPCONFLICTQrmk
+    352343250U,	// VPCONFLICTQrmkz
+    336614610U,	// VPCONFLICTQrr
+    2197837010U,	// VPCONFLICTQrrk
+    352343250U,	// VPCONFLICTQrrkz
+    2484093367U,	// VPERM2F128rm
+    2484093367U,	// VPERM2F128rr
+    2484093422U,	// VPERM2I128rm
+    2484093422U,	// VPERM2I128rr
+    2484094587U,	// VPERMDYrm
+    2484094587U,	// VPERMDYrr
+    2484094587U,	// VPERMDZrm
+    2484094587U,	// VPERMDZrr
+    2182104296U,	// VPERMI2Drm
+    2197832936U,	// VPERMI2Drmk
+    50349288U,	// VPERMI2Drmkz
+    2182104296U,	// VPERMI2Drr
+    2197832936U,	// VPERMI2Drrk
+    50349288U,	// VPERMI2Drrkz
+    2182104946U,	// VPERMI2PDrm
+    2197833586U,	// VPERMI2PDrmk
+    50349938U,	// VPERMI2PDrmkz
+    2182104946U,	// VPERMI2PDrr
+    2197833586U,	// VPERMI2PDrrk
+    50349938U,	// VPERMI2PDrrkz
+    2182109015U,	// VPERMI2PSrm
+    2197837655U,	// VPERMI2PSrmk
+    50354007U,	// VPERMI2PSrmkz
+    2182109015U,	// VPERMI2PSrr
+    2197837655U,	// VPERMI2PSrrk
+    50354007U,	// VPERMI2PSrrkz
+    2182107638U,	// VPERMI2Qrm
+    2197836278U,	// VPERMI2Qrmk
+    50352630U,	// VPERMI2Qrmkz
+    2182107638U,	// VPERMI2Qrr
+    2197836278U,	// VPERMI2Qrrk
+    50352630U,	// VPERMI2Qrrkz
+    2484094855U,	// VPERMIL2PDmr
+    2484094855U,	// VPERMIL2PDmrY
+    2484094855U,	// VPERMIL2PDrm
+    2484094855U,	// VPERMIL2PDrmY
+    2484094855U,	// VPERMIL2PDrr
+    2484094855U,	// VPERMIL2PDrrY
+    2484098924U,	// VPERMIL2PSmr
+    2484098924U,	// VPERMIL2PSmrY
+    2484098924U,	// VPERMIL2PSrm
+    2484098924U,	// VPERMIL2PSrmY
+    2484098924U,	// VPERMIL2PSrr
+    2484098924U,	// VPERMIL2PSrrY
+    3188738370U,	// VPERMILPDYmi
+    2484095298U,	// VPERMILPDYri
+    2484095298U,	// VPERMILPDYrm
+    2484095298U,	// VPERMILPDYrr
+    3222292802U,	// VPERMILPDZmi
+    2484095298U,	// VPERMILPDZri
+    2484095298U,	// VPERMILPDZrm
+    2484095298U,	// VPERMILPDZrr
+    2685421890U,	// VPERMILPDmi
+    2484095298U,	// VPERMILPDri
+    2484095298U,	// VPERMILPDrm
+    2484095298U,	// VPERMILPDrr
+    3188742440U,	// VPERMILPSYmi
+    2484099368U,	// VPERMILPSYri
+    2484099368U,	// VPERMILPSYrm
+    2484099368U,	// VPERMILPSYrr
+    3222296872U,	// VPERMILPSZmi
+    2484099368U,	// VPERMILPSZri
+    2484099368U,	// VPERMILPSZrm
+    2484099368U,	// VPERMILPSZrr
+    2685425960U,	// VPERMILPSmi
+    2484099368U,	// VPERMILPSri
+    2484099368U,	// VPERMILPSrm
+    2484099368U,	// VPERMILPSrr
+    3121629564U,	// VPERMPDYmi
+    2484095356U,	// VPERMPDYri
+    3222292860U,	// VPERMPDZmi
+    2484095356U,	// VPERMPDZri
+    2484095356U,	// VPERMPDZrm
+    2484095356U,	// VPERMPDZrr
+    2484099418U,	// VPERMPSYrm
+    2484099418U,	// VPERMPSYrr
+    2484099418U,	// VPERMPSZrm
+    2484099418U,	// VPERMPSZrr
+    3121632255U,	// VPERMQYmi
+    2484098047U,	// VPERMQYri
+    3155186687U,	// VPERMQZmi
+    2484098047U,	// VPERMQZri
+    2484098047U,	// VPERMQZrm
+    2484098047U,	// VPERMQZrr
+    2182104316U,	// VPERMT2Drm
+    2197832956U,	// VPERMT2Drmk
+    50349308U,	// VPERMT2Drmkz
+    2182104316U,	// VPERMT2Drr
+    2197832956U,	// VPERMT2Drrk
+    50349308U,	// VPERMT2Drrkz
+    2182105022U,	// VPERMT2PDrm
+    2197833662U,	// VPERMT2PDrmk
+    50350014U,	// VPERMT2PDrmkz
+    2182105022U,	// VPERMT2PDrr
+    2197833662U,	// VPERMT2PDrrk
+    50350014U,	// VPERMT2PDrrkz
+    2182109080U,	// VPERMT2PSrm
+    2197837720U,	// VPERMT2PSrmk
+    50354072U,	// VPERMT2PSrmkz
+    2182109080U,	// VPERMT2PSrr
+    2197837720U,	// VPERMT2PSrrk
+    50354072U,	// VPERMT2PSrrkz
+    2182107667U,	// VPERMT2Qrm
+    2197836307U,	// VPERMT2Qrmk
+    50352659U,	// VPERMT2Qrmkz
+    2182107667U,	// VPERMT2Qrr
+    2197836307U,	// VPERMT2Qrrk
+    50352659U,	// VPERMT2Qrrkz
+    2197833124U,	// VPEXPANDDZ128rmk
+    352339364U,	// VPEXPANDDZ128rmkz
+    2197833124U,	// VPEXPANDDZ128rrk
+    352339364U,	// VPEXPANDDZ128rrkz
+    2197833124U,	// VPEXPANDDZ256rmk
+    352339364U,	// VPEXPANDDZ256rmkz
+    2197833124U,	// VPEXPANDDZ256rrk
+    352339364U,	// VPEXPANDDZ256rrkz
+    2197833124U,	// VPEXPANDDZrmk
+    352339364U,	// VPEXPANDDZrmkz
+    2197833124U,	// VPEXPANDDZrrk
+    352339364U,	// VPEXPANDDZrrkz
+    2197836533U,	// VPEXPANDQZ128rmk
+    352342773U,	// VPEXPANDQZ128rmkz
+    2197836533U,	// VPEXPANDQZ128rrk
+    352342773U,	// VPEXPANDQZ128rrkz
+    2197836533U,	// VPEXPANDQZ256rmk
+    352342773U,	// VPEXPANDQZ256rmkz
+    2197836533U,	// VPEXPANDQZ256rrk
+    352342773U,	// VPEXPANDQZ256rrkz
+    2197836533U,	// VPEXPANDQZrmk
+    352342773U,	// VPEXPANDQZrmkz
+    2197836533U,	// VPEXPANDQZrrk
+    352342773U,	// VPEXPANDQZrrkz
+    2148631427U,	// VPEXTRBmr
+    2484093827U,	// VPEXTRBrr
+    2148600493U,	// VPEXTRDmr
+    2484095661U,	// VPEXTRDrr
+    2148619405U,	// VPEXTRQmr
+    2484098189U,	// VPEXTRQrr
+    2148572962U,	// VPEXTRWmr
+    2484100898U,	// VPEXTRWri
+    2484100898U,	// VPEXTRWrr_REV
+    1209025977U,	// VPGATHERDDYrm
+    1191200185U,	// VPGATHERDDZrm
+    1209025977U,	// VPGATHERDDrm
+    1141920550U,	// VPGATHERDQYrm
+    3338687270U,	// VPGATHERDQZrm
+    1141920550U,	// VPGATHERDQrm
+    1209027129U,	// VPGATHERQDYrm
+    3338684985U,	// VPGATHERQDZrm
+    1209027129U,	// VPGATHERQDrm
+    1141920829U,	// VPGATHERQQYrm
+    3338687549U,	// VPGATHERQQZrm
+    1141920829U,	// VPGATHERQQrm
+    437273908U,	// VPHADDBDrm
+    336610612U,	// VPHADDBDrr
+    437277229U,	// VPHADDBQrm
+    336613933U,	// VPHADDBQrr
+    437280099U,	// VPHADDBWrm
+    336616803U,	// VPHADDBWrr
+    437277353U,	// VPHADDDQrm
+    336614057U,	// VPHADDDQrr
+    2484094340U,	// VPHADDDYrm
+    2484094340U,	// VPHADDDYrr
+    2484094340U,	// VPHADDDrm
+    2484094340U,	// VPHADDDrr
+    2484100946U,	// VPHADDSWrm128
+    2484100946U,	// VPHADDSWrm256
+    2484100946U,	// VPHADDSWrr128
+    2484100946U,	// VPHADDSWrr256
+    437273918U,	// VPHADDUBDrm
+    336610622U,	// VPHADDUBDrr
+    437277239U,	// VPHADDUBQrm
+    336613943U,	// VPHADDUBQrr
+    437280143U,	// VPHADDUBWrm
+    336616847U,	// VPHADDUBWrr
+    437277563U,	// VPHADDUDQrm
+    336614267U,	// VPHADDUDQrr
+    437276045U,	// VPHADDUWDrm
+    336612749U,	// VPHADDUWDrr
+    437278087U,	// VPHADDUWQrm
+    336614791U,	// VPHADDUWQrr
+    437275957U,	// VPHADDWDrm
+    336612661U,	// VPHADDWDrr
+    437278077U,	// VPHADDWQrm
+    336614781U,	// VPHADDWQrr
+    2484100560U,	// VPHADDWYrm
+    2484100560U,	// VPHADDWYrr
+    2484100560U,	// VPHADDWrm
+    2484100560U,	// VPHADDWrr
+    437280789U,	// VPHMINPOSUWrm128
+    336617493U,	// VPHMINPOSUWrr128
+    437280070U,	// VPHSUBBWrm
+    336616774U,	// VPHSUBBWrr
+    437277335U,	// VPHSUBDQrm
+    336614039U,	// VPHSUBDQrr
+    2484094281U,	// VPHSUBDYrm
+    2484094281U,	// VPHSUBDYrr
+    2484094281U,	// VPHSUBDrm
+    2484094281U,	// VPHSUBDrr
+    2484100927U,	// VPHSUBSWrm128
+    2484100927U,	// VPHSUBSWrm256
+    2484100927U,	// VPHSUBSWrr128
+    2484100927U,	// VPHSUBSWrr256
+    437275947U,	// VPHSUBWDrm
+    336612651U,	// VPHSUBWDrr
+    2484100506U,	// VPHSUBWYrm
+    2484100506U,	// VPHSUBWYrr
+    2484100506U,	// VPHSUBWrm
+    2484100506U,	// VPHSUBWrr
+    2484093808U,	// VPINSRBrm
+    2484093808U,	// VPINSRBrr
+    2484095642U,	// VPINSRDrm
+    2484095642U,	// VPINSRDrr
+    2484098170U,	// VPINSRQrm
+    2484098170U,	// VPINSRQrr
+    2484100879U,	// VPINSRWrmi
+    2484100879U,	// VPINSRWrri
+    1007701160U,	// VPLZCNTDrm
+    303058088U,	// VPLZCNTDrmb
+    2197834920U,	// VPLZCNTDrmbk
+    352341160U,	// VPLZCNTDrmbkz
+    2197834920U,	// VPLZCNTDrmk
+    352341160U,	// VPLZCNTDrmkz
+    336612520U,	// VPLZCNTDrr
+    2197834920U,	// VPLZCNTDrrk
+    352341160U,	// VPLZCNTDrrkz
+    1007703273U,	// VPLZCNTQrm
+    2517652713U,	// VPLZCNTQrmb
+    2197837033U,	// VPLZCNTQrmbk
+    352343273U,	// VPLZCNTQrmbkz
+    2197837033U,	// VPLZCNTQrmk
+    352343273U,	// VPLZCNTQrmkz
+    336614633U,	// VPLZCNTQrr
+    2197837033U,	// VPLZCNTQrrk
+    352343273U,	// VPLZCNTQrrkz
+    2484094418U,	// VPMACSDDrm
+    2484094418U,	// VPMACSDDrr
+    2484096748U,	// VPMACSDQHrm
+    2484096748U,	// VPMACSDQHrr
+    2484097084U,	// VPMACSDQLrm
+    2484097084U,	// VPMACSDQLrr
+    2484094428U,	// VPMACSSDDrm
+    2484094428U,	// VPMACSSDDrr
+    2484096759U,	// VPMACSSDQHrm
+    2484096759U,	// VPMACSSDQHrr
+    2484097095U,	// VPMACSSDQLrm
+    2484097095U,	// VPMACSSDQLrr
+    2484096374U,	// VPMACSSWDrm
+    2484096374U,	// VPMACSSWDrr
+    2484101180U,	// VPMACSSWWrm
+    2484101180U,	// VPMACSSWWrr
+    2484096353U,	// VPMACSWDrm
+    2484096353U,	// VPMACSWDrr
+    2484101170U,	// VPMACSWWrm
+    2484101170U,	// VPMACSWWrr
+    2484096385U,	// VPMADCSSWDrm
+    2484096385U,	// VPMADCSSWDrr
+    2484096363U,	// VPMADCSWDrm
+    2484096363U,	// VPMADCSWDrr
+    2484100915U,	// VPMADDUBSWrm128
+    2484100915U,	// VPMADDUBSWrm256
+    2484100915U,	// VPMADDUBSWrr128
+    2484100915U,	// VPMADDUBSWrr256
+    2484096319U,	// VPMADDWDYrm
+    2484096319U,	// VPMADDWDYrr
+    2484096319U,	// VPMADDWDrm
+    2484096319U,	// VPMADDWDrr
+    2149256472U,	// VPMASKMOVDYmr
+    2484096280U,	// VPMASKMOVDYrm
+    2148797720U,	// VPMASKMOVDmr
+    2484096280U,	// VPMASKMOVDrm
+    2149258602U,	// VPMASKMOVQYmr
+    2484098410U,	// VPMASKMOVQYrm
+    2148799850U,	// VPMASKMOVQmr
+    2484098410U,	// VPMASKMOVQrm
+    2484093921U,	// VPMAXSBYrm
+    2484093921U,	// VPMAXSBYrr
+    2498773985U,	// VPMAXSBZ128rm
+    2197832673U,	// VPMAXSBZ128rmk
+    352338913U,	// VPMAXSBZ128rmkz
+    2498773985U,	// VPMAXSBZ128rr
+    2197832673U,	// VPMAXSBZ128rrk
+    352338913U,	// VPMAXSBZ128rrkz
+    2498773985U,	// VPMAXSBZ256rm
+    2197832673U,	// VPMAXSBZ256rmk
+    352338913U,	// VPMAXSBZ256rmkz
+    2498773985U,	// VPMAXSBZ256rr
+    2197832673U,	// VPMAXSBZ256rrk
+    352338913U,	// VPMAXSBZ256rrkz
+    2498773985U,	// VPMAXSBZrm
+    2197832673U,	// VPMAXSBZrmk
+    352338913U,	// VPMAXSBZrmkz
+    2498773985U,	// VPMAXSBZrr
+    2197832673U,	// VPMAXSBZrrk
+    352338913U,	// VPMAXSBZrrkz
+    2484093921U,	// VPMAXSBrm
+    2484093921U,	// VPMAXSBrr
+    2484096119U,	// VPMAXSDYrm
+    2484096119U,	// VPMAXSDYrr
+    2498776183U,	// VPMAXSDZ128rm
+    2498776183U,	// VPMAXSDZ128rmb
+    2197834871U,	// VPMAXSDZ128rmbk
+    352341111U,	// VPMAXSDZ128rmbkz
+    2197834871U,	// VPMAXSDZ128rmk
+    352341111U,	// VPMAXSDZ128rmkz
+    2498776183U,	// VPMAXSDZ128rr
+    2197834871U,	// VPMAXSDZ128rrk
+    352341111U,	// VPMAXSDZ128rrkz
+    2498776183U,	// VPMAXSDZ256rm
+    2498776183U,	// VPMAXSDZ256rmb
+    2197834871U,	// VPMAXSDZ256rmbk
+    352341111U,	// VPMAXSDZ256rmbkz
+    2197834871U,	// VPMAXSDZ256rmk
+    352341111U,	// VPMAXSDZ256rmkz
+    2498776183U,	// VPMAXSDZ256rr
+    2197834871U,	// VPMAXSDZ256rrk
+    352341111U,	// VPMAXSDZ256rrkz
+    2498776183U,	// VPMAXSDZrm
+    2498776183U,	// VPMAXSDZrmb
+    2197834871U,	// VPMAXSDZrmbk
+    352341111U,	// VPMAXSDZrmbkz
+    2197834871U,	// VPMAXSDZrmk
+    352341111U,	// VPMAXSDZrmkz
+    2498776183U,	// VPMAXSDZrr
+    2197834871U,	// VPMAXSDZrrk
+    352341111U,	// VPMAXSDZrrkz
+    2484096119U,	// VPMAXSDrm
+    2484096119U,	// VPMAXSDrr
+    2498778313U,	// VPMAXSQZ128rm
+    2498778313U,	// VPMAXSQZ128rmb
+    2197837001U,	// VPMAXSQZ128rmbk
+    352343241U,	// VPMAXSQZ128rmbkz
+    2197837001U,	// VPMAXSQZ128rmk
+    352343241U,	// VPMAXSQZ128rmkz
+    2498778313U,	// VPMAXSQZ128rr
+    2197837001U,	// VPMAXSQZ128rrk
+    352343241U,	// VPMAXSQZ128rrkz
+    2498778313U,	// VPMAXSQZ256rm
+    2498778313U,	// VPMAXSQZ256rmb
+    2197837001U,	// VPMAXSQZ256rmbk
+    352343241U,	// VPMAXSQZ256rmbkz
+    2197837001U,	// VPMAXSQZ256rmk
+    352343241U,	// VPMAXSQZ256rmkz
+    2498778313U,	// VPMAXSQZ256rr
+    2197837001U,	// VPMAXSQZ256rrk
+    352343241U,	// VPMAXSQZ256rrkz
+    2498778313U,	// VPMAXSQZrm
+    2498778313U,	// VPMAXSQZrmb
+    2197837001U,	// VPMAXSQZrmbk
+    352343241U,	// VPMAXSQZrmbkz
+    2197837001U,	// VPMAXSQZrmk
+    352343241U,	// VPMAXSQZrmkz
+    2498778313U,	// VPMAXSQZrr
+    2197837001U,	// VPMAXSQZrrk
+    352343241U,	// VPMAXSQZrrkz
+    2484101046U,	// VPMAXSWYrm
+    2484101046U,	// VPMAXSWYrr
+    2498781110U,	// VPMAXSWZ128rm
+    2197839798U,	// VPMAXSWZ128rmk
+    352346038U,	// VPMAXSWZ128rmkz
+    2498781110U,	// VPMAXSWZ128rr
+    2197839798U,	// VPMAXSWZ128rrk
+    352346038U,	// VPMAXSWZ128rrkz
+    2498781110U,	// VPMAXSWZ256rm
+    2197839798U,	// VPMAXSWZ256rmk
+    352346038U,	// VPMAXSWZ256rmkz
+    2498781110U,	// VPMAXSWZ256rr
+    2197839798U,	// VPMAXSWZ256rrk
+    352346038U,	// VPMAXSWZ256rrkz
+    2498781110U,	// VPMAXSWZrm
+    2197839798U,	// VPMAXSWZrmk
+    352346038U,	// VPMAXSWZrmkz
+    2498781110U,	// VPMAXSWZrr
+    2197839798U,	// VPMAXSWZrrk
+    352346038U,	// VPMAXSWZrrkz
+    2484101046U,	// VPMAXSWrm
+    2484101046U,	// VPMAXSWrr
+    2484094026U,	// VPMAXUBYrm
+    2484094026U,	// VPMAXUBYrr
+    2498774090U,	// VPMAXUBZ128rm
+    2197832778U,	// VPMAXUBZ128rmk
+    352339018U,	// VPMAXUBZ128rmkz
+    2498774090U,	// VPMAXUBZ128rr
+    2197832778U,	// VPMAXUBZ128rrk
+    352339018U,	// VPMAXUBZ128rrkz
+    2498774090U,	// VPMAXUBZ256rm
+    2197832778U,	// VPMAXUBZ256rmk
+    352339018U,	// VPMAXUBZ256rmkz
+    2498774090U,	// VPMAXUBZ256rr
+    2197832778U,	// VPMAXUBZ256rrk
+    352339018U,	// VPMAXUBZ256rrkz
+    2498774090U,	// VPMAXUBZrm
+    2197832778U,	// VPMAXUBZrmk
+    352339018U,	// VPMAXUBZrmkz
+    2498774090U,	// VPMAXUBZrr
+    2197832778U,	// VPMAXUBZrrk
+    352339018U,	// VPMAXUBZrrkz
+    2484094026U,	// VPMAXUBrm
+    2484094026U,	// VPMAXUBrr
+    2484096244U,	// VPMAXUDYrm
+    2484096244U,	// VPMAXUDYrr
+    2498776308U,	// VPMAXUDZ128rm
+    2498776308U,	// VPMAXUDZ128rmb
+    2197834996U,	// VPMAXUDZ128rmbk
+    352341236U,	// VPMAXUDZ128rmbkz
+    2197834996U,	// VPMAXUDZ128rmk
+    352341236U,	// VPMAXUDZ128rmkz
+    2498776308U,	// VPMAXUDZ128rr
+    2197834996U,	// VPMAXUDZ128rrk
+    352341236U,	// VPMAXUDZ128rrkz
+    2498776308U,	// VPMAXUDZ256rm
+    2498776308U,	// VPMAXUDZ256rmb
+    2197834996U,	// VPMAXUDZ256rmbk
+    352341236U,	// VPMAXUDZ256rmbkz
+    2197834996U,	// VPMAXUDZ256rmk
+    352341236U,	// VPMAXUDZ256rmkz
+    2498776308U,	// VPMAXUDZ256rr
+    2197834996U,	// VPMAXUDZ256rrk
+    352341236U,	// VPMAXUDZ256rrkz
+    2498776308U,	// VPMAXUDZrm
+    2498776308U,	// VPMAXUDZrmb
+    2197834996U,	// VPMAXUDZrmbk
+    352341236U,	// VPMAXUDZrmbkz
+    2197834996U,	// VPMAXUDZrmk
+    352341236U,	// VPMAXUDZrmkz
+    2498776308U,	// VPMAXUDZrr
+    2197834996U,	// VPMAXUDZrrk
+    352341236U,	// VPMAXUDZrrkz
+    2484096244U,	// VPMAXUDrm
+    2484096244U,	// VPMAXUDrr
+    2498778438U,	// VPMAXUQZ128rm
+    2498778438U,	// VPMAXUQZ128rmb
+    2197837126U,	// VPMAXUQZ128rmbk
+    352343366U,	// VPMAXUQZ128rmbkz
+    2197837126U,	// VPMAXUQZ128rmk
+    352343366U,	// VPMAXUQZ128rmkz
+    2498778438U,	// VPMAXUQZ128rr
+    2197837126U,	// VPMAXUQZ128rrk
+    352343366U,	// VPMAXUQZ128rrkz
+    2498778438U,	// VPMAXUQZ256rm
+    2498778438U,	// VPMAXUQZ256rmb
+    2197837126U,	// VPMAXUQZ256rmbk
+    352343366U,	// VPMAXUQZ256rmbkz
+    2197837126U,	// VPMAXUQZ256rmk
+    352343366U,	// VPMAXUQZ256rmkz
+    2498778438U,	// VPMAXUQZ256rr
+    2197837126U,	// VPMAXUQZ256rrk
+    352343366U,	// VPMAXUQZ256rrkz
+    2498778438U,	// VPMAXUQZrm
+    2498778438U,	// VPMAXUQZrmb
+    2197837126U,	// VPMAXUQZrmbk
+    352343366U,	// VPMAXUQZrmbkz
+    2197837126U,	// VPMAXUQZrmk
+    352343366U,	// VPMAXUQZrmkz
+    2498778438U,	// VPMAXUQZrr
+    2197837126U,	// VPMAXUQZrrk
+    352343366U,	// VPMAXUQZrrkz
+    2484101154U,	// VPMAXUWYrm
+    2484101154U,	// VPMAXUWYrr
+    2498781218U,	// VPMAXUWZ128rm
+    2197839906U,	// VPMAXUWZ128rmk
+    352346146U,	// VPMAXUWZ128rmkz
+    2498781218U,	// VPMAXUWZ128rr
+    2197839906U,	// VPMAXUWZ128rrk
+    352346146U,	// VPMAXUWZ128rrkz
+    2498781218U,	// VPMAXUWZ256rm
+    2197839906U,	// VPMAXUWZ256rmk
+    352346146U,	// VPMAXUWZ256rmkz
+    2498781218U,	// VPMAXUWZ256rr
+    2197839906U,	// VPMAXUWZ256rrk
+    352346146U,	// VPMAXUWZ256rrkz
+    2498781218U,	// VPMAXUWZrm
+    2197839906U,	// VPMAXUWZrmk
+    352346146U,	// VPMAXUWZrmkz
+    2498781218U,	// VPMAXUWZrr
+    2197839906U,	// VPMAXUWZrrk
+    352346146U,	// VPMAXUWZrrkz
+    2484101154U,	// VPMAXUWrm
+    2484101154U,	// VPMAXUWrr
+    2484093862U,	// VPMINSBYrm
+    2484093862U,	// VPMINSBYrr
+    2498773926U,	// VPMINSBZ128rm
+    2197832614U,	// VPMINSBZ128rmk
+    352338854U,	// VPMINSBZ128rmkz
+    2498773926U,	// VPMINSBZ128rr
+    2197832614U,	// VPMINSBZ128rrk
+    352338854U,	// VPMINSBZ128rrkz
+    2498773926U,	// VPMINSBZ256rm
+    2197832614U,	// VPMINSBZ256rmk
+    352338854U,	// VPMINSBZ256rmkz
+    2498773926U,	// VPMINSBZ256rr
+    2197832614U,	// VPMINSBZ256rrk
+    352338854U,	// VPMINSBZ256rrkz
+    2498773926U,	// VPMINSBZrm
+    2197832614U,	// VPMINSBZrmk
+    352338854U,	// VPMINSBZrmkz
+    2498773926U,	// VPMINSBZrr
+    2197832614U,	// VPMINSBZrrk
+    352338854U,	// VPMINSBZrrkz
+    2484093862U,	// VPMINSBrm
+    2484093862U,	// VPMINSBrr
+    2484096026U,	// VPMINSDYrm
+    2484096026U,	// VPMINSDYrr
+    2498776090U,	// VPMINSDZ128rm
+    2498776090U,	// VPMINSDZ128rmb
+    2197834778U,	// VPMINSDZ128rmbk
+    352341018U,	// VPMINSDZ128rmbkz
+    2197834778U,	// VPMINSDZ128rmk
+    352341018U,	// VPMINSDZ128rmkz
+    2498776090U,	// VPMINSDZ128rr
+    2197834778U,	// VPMINSDZ128rrk
+    352341018U,	// VPMINSDZ128rrkz
+    2498776090U,	// VPMINSDZ256rm
+    2498776090U,	// VPMINSDZ256rmb
+    2197834778U,	// VPMINSDZ256rmbk
+    352341018U,	// VPMINSDZ256rmbkz
+    2197834778U,	// VPMINSDZ256rmk
+    352341018U,	// VPMINSDZ256rmkz
+    2498776090U,	// VPMINSDZ256rr
+    2197834778U,	// VPMINSDZ256rrk
+    352341018U,	// VPMINSDZ256rrkz
+    2498776090U,	// VPMINSDZrm
+    2498776090U,	// VPMINSDZrmb
+    2197834778U,	// VPMINSDZrmbk
+    352341018U,	// VPMINSDZrmbkz
+    2197834778U,	// VPMINSDZrmk
+    352341018U,	// VPMINSDZrmkz
+    2498776090U,	// VPMINSDZrr
+    2197834778U,	// VPMINSDZrrk
+    352341018U,	// VPMINSDZrrkz
+    2484096026U,	// VPMINSDrm
+    2484096026U,	// VPMINSDrr
+    2498778270U,	// VPMINSQZ128rm
+    2498778270U,	// VPMINSQZ128rmb
+    2197836958U,	// VPMINSQZ128rmbk
+    352343198U,	// VPMINSQZ128rmbkz
+    2197836958U,	// VPMINSQZ128rmk
+    352343198U,	// VPMINSQZ128rmkz
+    2498778270U,	// VPMINSQZ128rr
+    2197836958U,	// VPMINSQZ128rrk
+    352343198U,	// VPMINSQZ128rrkz
+    2498778270U,	// VPMINSQZ256rm
+    2498778270U,	// VPMINSQZ256rmb
+    2197836958U,	// VPMINSQZ256rmbk
+    352343198U,	// VPMINSQZ256rmbkz
+    2197836958U,	// VPMINSQZ256rmk
+    352343198U,	// VPMINSQZ256rmkz
+    2498778270U,	// VPMINSQZ256rr
+    2197836958U,	// VPMINSQZ256rrk
+    352343198U,	// VPMINSQZ256rrkz
+    2498778270U,	// VPMINSQZrm
+    2498778270U,	// VPMINSQZrmb
+    2197836958U,	// VPMINSQZrmbk
+    352343198U,	// VPMINSQZrmbkz
+    2197836958U,	// VPMINSQZrmk
+    352343198U,	// VPMINSQZrmkz
+    2498778270U,	// VPMINSQZrr
+    2197836958U,	// VPMINSQZrrk
+    352343198U,	// VPMINSQZrrkz
+    2484100977U,	// VPMINSWYrm
+    2484100977U,	// VPMINSWYrr
+    2498781041U,	// VPMINSWZ128rm
+    2197839729U,	// VPMINSWZ128rmk
+    352345969U,	// VPMINSWZ128rmkz
+    2498781041U,	// VPMINSWZ128rr
+    2197839729U,	// VPMINSWZ128rrk
+    352345969U,	// VPMINSWZ128rrkz
+    2498781041U,	// VPMINSWZ256rm
+    2197839729U,	// VPMINSWZ256rmk
+    352345969U,	// VPMINSWZ256rmkz
+    2498781041U,	// VPMINSWZ256rr
+    2197839729U,	// VPMINSWZ256rrk
+    352345969U,	// VPMINSWZ256rrkz
+    2498781041U,	// VPMINSWZrm
+    2197839729U,	// VPMINSWZrmk
+    352345969U,	// VPMINSWZrmkz
+    2498781041U,	// VPMINSWZrr
+    2197839729U,	// VPMINSWZrrk
+    352345969U,	// VPMINSWZrrkz
+    2484100977U,	// VPMINSWrm
+    2484100977U,	// VPMINSWrr
+    2484093994U,	// VPMINUBYrm
+    2484093994U,	// VPMINUBYrr
+    2498774058U,	// VPMINUBZ128rm
+    2197832746U,	// VPMINUBZ128rmk
+    352338986U,	// VPMINUBZ128rmkz
+    2498774058U,	// VPMINUBZ128rr
+    2197832746U,	// VPMINUBZ128rrk
+    352338986U,	// VPMINUBZ128rrkz
+    2498774058U,	// VPMINUBZ256rm
+    2197832746U,	// VPMINUBZ256rmk
+    352338986U,	// VPMINUBZ256rmkz
+    2498774058U,	// VPMINUBZ256rr
+    2197832746U,	// VPMINUBZ256rrk
+    352338986U,	// VPMINUBZ256rrkz
+    2498774058U,	// VPMINUBZrm
+    2197832746U,	// VPMINUBZrmk
+    352338986U,	// VPMINUBZrmkz
+    2498774058U,	// VPMINUBZrr
+    2197832746U,	// VPMINUBZrrk
+    352338986U,	// VPMINUBZrrkz
+    2484093994U,	// VPMINUBrm
+    2484093994U,	// VPMINUBrr
+    2484096226U,	// VPMINUDYrm
+    2484096226U,	// VPMINUDYrr
+    2498776290U,	// VPMINUDZ128rm
+    2498776290U,	// VPMINUDZ128rmb
+    2197834978U,	// VPMINUDZ128rmbk
+    352341218U,	// VPMINUDZ128rmbkz
+    2197834978U,	// VPMINUDZ128rmk
+    352341218U,	// VPMINUDZ128rmkz
+    2498776290U,	// VPMINUDZ128rr
+    2197834978U,	// VPMINUDZ128rrk
+    352341218U,	// VPMINUDZ128rrkz
+    2498776290U,	// VPMINUDZ256rm
+    2498776290U,	// VPMINUDZ256rmb
+    2197834978U,	// VPMINUDZ256rmbk
+    352341218U,	// VPMINUDZ256rmbkz
+    2197834978U,	// VPMINUDZ256rmk
+    352341218U,	// VPMINUDZ256rmkz
+    2498776290U,	// VPMINUDZ256rr
+    2197834978U,	// VPMINUDZ256rrk
+    352341218U,	// VPMINUDZ256rrkz
+    2498776290U,	// VPMINUDZrm
+    2498776290U,	// VPMINUDZrmb
+    2197834978U,	// VPMINUDZrmbk
+    352341218U,	// VPMINUDZrmbkz
+    2197834978U,	// VPMINUDZrmk
+    352341218U,	// VPMINUDZrmkz
+    2498776290U,	// VPMINUDZrr
+    2197834978U,	// VPMINUDZrrk
+    352341218U,	// VPMINUDZrrkz
+    2484096226U,	// VPMINUDrm
+    2484096226U,	// VPMINUDrr
+    2498778420U,	// VPMINUQZ128rm
+    2498778420U,	// VPMINUQZ128rmb
+    2197837108U,	// VPMINUQZ128rmbk
+    352343348U,	// VPMINUQZ128rmbkz
+    2197837108U,	// VPMINUQZ128rmk
+    352343348U,	// VPMINUQZ128rmkz
+    2498778420U,	// VPMINUQZ128rr
+    2197837108U,	// VPMINUQZ128rrk
+    352343348U,	// VPMINUQZ128rrkz
+    2498778420U,	// VPMINUQZ256rm
+    2498778420U,	// VPMINUQZ256rmb
+    2197837108U,	// VPMINUQZ256rmbk
+    352343348U,	// VPMINUQZ256rmbkz
+    2197837108U,	// VPMINUQZ256rmk
+    352343348U,	// VPMINUQZ256rmkz
+    2498778420U,	// VPMINUQZ256rr
+    2197837108U,	// VPMINUQZ256rrk
+    352343348U,	// VPMINUQZ256rrkz
+    2498778420U,	// VPMINUQZrm
+    2498778420U,	// VPMINUQZrmb
+    2197837108U,	// VPMINUQZrmbk
+    352343348U,	// VPMINUQZrmbkz
+    2197837108U,	// VPMINUQZrmk
+    352343348U,	// VPMINUQZrmkz
+    2498778420U,	// VPMINUQZrr
+    2197837108U,	// VPMINUQZrrk
+    352343348U,	// VPMINUQZrrkz
+    2484101123U,	// VPMINUWYrm
+    2484101123U,	// VPMINUWYrr
+    2498781187U,	// VPMINUWZ128rm
+    2197839875U,	// VPMINUWZ128rmk
+    352346115U,	// VPMINUWZ128rmkz
+    2498781187U,	// VPMINUWZ128rr
+    2197839875U,	// VPMINUWZ128rrk
+    352346115U,	// VPMINUWZ128rrkz
+    2498781187U,	// VPMINUWZ256rm
+    2197839875U,	// VPMINUWZ256rmk
+    352346115U,	// VPMINUWZ256rmkz
+    2498781187U,	// VPMINUWZ256rr
+    2197839875U,	// VPMINUWZ256rrk
+    352346115U,	// VPMINUWZ256rrkz
+    2498781187U,	// VPMINUWZrm
+    2197839875U,	// VPMINUWZrmk
+    352346115U,	// VPMINUWZrmkz
+    2498781187U,	// VPMINUWZrr
+    2197839875U,	// VPMINUWZrrk
+    352346115U,	// VPMINUWZrrkz
+    2484101123U,	// VPMINUWrm
+    2484101123U,	// VPMINUWrr
+    1311436U,	// VPMOVDBmr
+    2164523724U,	// VPMOVDBmrk
+    336609996U,	// VPMOVDBrr
+    2499822284U,	// VPMOVDBrrk
+    352338636U,	// VPMOVDBrrkz
+    1777181U,	// VPMOVDWmr
+    2164989469U,	// VPMOVDWmrk
+    336616989U,	// VPMOVDWrr
+    2499829277U,	// VPMOVDWrrk
+    352345629U,	// VPMOVDWrrkz
+    336609906U,	// VPMOVM2BZ128rr
+    336609906U,	// VPMOVM2BZ256rr
+    336609906U,	// VPMOVM2BZrr
+    336610546U,	// VPMOVM2DZ128rr
+    336610546U,	// VPMOVM2DZ256rr
+    336610546U,	// VPMOVM2DZrr
+    336613888U,	// VPMOVM2QZ128rr
+    336613888U,	// VPMOVM2QZ256rr
+    336613888U,	// VPMOVM2QZrr
+    336616748U,	// VPMOVM2WZ128rr
+    336616748U,	// VPMOVM2WZ256rr
+    336616748U,	// VPMOVM2WZrr
+    336610026U,	// VPMOVMSKBYrr
+    336610026U,	// VPMOVMSKBrr
+    1311570U,	// VPMOVQBmr
+    2164523858U,	// VPMOVQBmrk
+    336610130U,	// VPMOVQBrr
+    2499822418U,	// VPMOVQBrrk
+    352338770U,	// VPMOVQBrrkz
+    1772135U,	// VPMOVQDmr
+    2164984423U,	// VPMOVQDmrk
+    336611943U,	// VPMOVQDrr
+    2499824231U,	// VPMOVQDrrk
+    352340583U,	// VPMOVQDrrkz
+    1318626U,	// VPMOVQWmr
+    2164530914U,	// VPMOVQWmrk
+    336617186U,	// VPMOVQWrr
+    2499829474U,	// VPMOVQWrrk
+    352345826U,	// VPMOVQWrrkz
+    1311426U,	// VPMOVSDBmr
+    2164523714U,	// VPMOVSDBmrk
+    336609986U,	// VPMOVSDBrr
+    2499822274U,	// VPMOVSDBrrk
+    352338626U,	// VPMOVSDBrrkz
+    1777171U,	// VPMOVSDWmr
+    2164989459U,	// VPMOVSDWmrk
+    336616979U,	// VPMOVSDWrr
+    2499829267U,	// VPMOVSDWrrk
+    352345619U,	// VPMOVSDWrrkz
+    1311560U,	// VPMOVSQBmr
+    2164523848U,	// VPMOVSQBmrk
+    336610120U,	// VPMOVSQBrr
+    2499822408U,	// VPMOVSQBrrk
+    352338760U,	// VPMOVSQBrrkz
+    1772125U,	// VPMOVSQDmr
+    2164984413U,	// VPMOVSQDmrk
+    336611933U,	// VPMOVSQDrr
+    2499824221U,	// VPMOVSQDrrk
+    352340573U,	// VPMOVSQDrrkz
+    1318616U,	// VPMOVSQWmr
+    2164530904U,	// VPMOVSQWmrk
+    336617176U,	// VPMOVSQWrr
+    2499829464U,	// VPMOVSQWrrk
+    352345816U,	// VPMOVSQWrrkz
+    370165082U,	// VPMOVSXBDYrm
+    336610650U,	// VPMOVSXBDYrr
+    437273946U,	// VPMOVSXBDZrm
+    2499822938U,	// VPMOVSXBDZrmk
+    352339290U,	// VPMOVSXBDZrmkz
+    336610650U,	// VPMOVSXBDZrr
+    2499822938U,	// VPMOVSXBDZrrk
+    352339290U,	// VPMOVSXBDZrrkz
+    303056218U,	// VPMOVSXBDrm
+    336610650U,	// VPMOVSXBDrr
+    303059530U,	// VPMOVSXBQYrm
+    336613962U,	// VPMOVSXBQYrr
+    437277258U,	// VPMOVSXBQZrm
+    2499826250U,	// VPMOVSXBQZrmk
+    352342602U,	// VPMOVSXBQZrmkz
+    336613962U,	// VPMOVSXBQZrr
+    2499826250U,	// VPMOVSXBQZrrk
+    352342602U,	// VPMOVSXBQZrrkz
+    470831690U,	// VPMOVSXBQrm
+    336613962U,	// VPMOVSXBQrr
+    437280171U,	// VPMOVSXBWYrm
+    336616875U,	// VPMOVSXBWYrr
+    370171307U,	// VPMOVSXBWrm
+    336616875U,	// VPMOVSXBWrr
+    437277584U,	// VPMOVSXDQYrm
+    336614288U,	// VPMOVSXDQYrr
+    974148496U,	// VPMOVSXDQZrm
+    2499826576U,	// VPMOVSXDQZrmk
+    352342928U,	// VPMOVSXDQZrmkz
+    336614288U,	// VPMOVSXDQZrr
+    2499826576U,	// VPMOVSXDQZrrk
+    352342928U,	// VPMOVSXDQZrrkz
+    370168720U,	// VPMOVSXDQrm
+    336614288U,	// VPMOVSXDQrr
+    437276056U,	// VPMOVSXWDYrm
+    336612760U,	// VPMOVSXWDYrr
+    974146968U,	// VPMOVSXWDZrm
+    2499825048U,	// VPMOVSXWDZrmk
+    352341400U,	// VPMOVSXWDZrmkz
+    336612760U,	// VPMOVSXWDZrr
+    2499825048U,	// VPMOVSXWDZrrk
+    352341400U,	// VPMOVSXWDZrrkz
+    370167192U,	// VPMOVSXWDrm
+    336612760U,	// VPMOVSXWDrr
+    370169234U,	// VPMOVSXWQYrm
+    336614802U,	// VPMOVSXWQYrr
+    437278098U,	// VPMOVSXWQZrm
+    2499827090U,	// VPMOVSXWQZrmk
+    352343442U,	// VPMOVSXWQZrmkz
+    336614802U,	// VPMOVSXWQZrr
+    2499827090U,	// VPMOVSXWQZrrk
+    352343442U,	// VPMOVSXWQZrrkz
+    303060370U,	// VPMOVSXWQrm
+    336614802U,	// VPMOVSXWQrr
+    1311415U,	// VPMOVUSDBmr
+    2164523703U,	// VPMOVUSDBmrk
+    336609975U,	// VPMOVUSDBrr
+    2499822263U,	// VPMOVUSDBrrk
+    352338615U,	// VPMOVUSDBrrkz
+    1777160U,	// VPMOVUSDWmr
+    2164989448U,	// VPMOVUSDWmrk
+    336616968U,	// VPMOVUSDWrr
+    2499829256U,	// VPMOVUSDWrrk
+    352345608U,	// VPMOVUSDWrrkz
+    1311549U,	// VPMOVUSQBmr
+    2164523837U,	// VPMOVUSQBmrk
+    336610109U,	// VPMOVUSQBrr
+    2499822397U,	// VPMOVUSQBrrk
+    352338749U,	// VPMOVUSQBrrkz
+    1772114U,	// VPMOVUSQDmr
+    2164984402U,	// VPMOVUSQDmrk
+    336611922U,	// VPMOVUSQDrr
+    2499824210U,	// VPMOVUSQDrrk
+    352340562U,	// VPMOVUSQDrrkz
+    1318605U,	// VPMOVUSQWmr
+    2164530893U,	// VPMOVUSQWmrk
+    336617165U,	// VPMOVUSQWrr
+    2499829453U,	// VPMOVUSQWrrk
+    352345805U,	// VPMOVUSQWrrkz
+    370165093U,	// VPMOVZXBDYrm
+    336610661U,	// VPMOVZXBDYrr
+    437273957U,	// VPMOVZXBDZrm
+    2499822949U,	// VPMOVZXBDZrmk
+    352339301U,	// VPMOVZXBDZrmkz
+    336610661U,	// VPMOVZXBDZrr
+    2499822949U,	// VPMOVZXBDZrrk
+    352339301U,	// VPMOVZXBDZrrkz
+    303056229U,	// VPMOVZXBDrm
+    336610661U,	// VPMOVZXBDrr
+    303059541U,	// VPMOVZXBQYrm
+    336613973U,	// VPMOVZXBQYrr
+    437277269U,	// VPMOVZXBQZrm
+    2499826261U,	// VPMOVZXBQZrmk
+    352342613U,	// VPMOVZXBQZrmkz
+    336613973U,	// VPMOVZXBQZrr
+    2499826261U,	// VPMOVZXBQZrrk
+    352342613U,	// VPMOVZXBQZrrkz
+    470831701U,	// VPMOVZXBQrm
+    336613973U,	// VPMOVZXBQrr
+    437280182U,	// VPMOVZXBWYrm
+    336616886U,	// VPMOVZXBWYrr
+    370171318U,	// VPMOVZXBWrm
+    336616886U,	// VPMOVZXBWrr
+    437277595U,	// VPMOVZXDQYrm
+    336614299U,	// VPMOVZXDQYrr
+    974148507U,	// VPMOVZXDQZrm
+    2499826587U,	// VPMOVZXDQZrmk
+    352342939U,	// VPMOVZXDQZrmkz
+    336614299U,	// VPMOVZXDQZrr
+    2499826587U,	// VPMOVZXDQZrrk
+    352342939U,	// VPMOVZXDQZrrkz
+    370168731U,	// VPMOVZXDQrm
+    336614299U,	// VPMOVZXDQrr
+    437276067U,	// VPMOVZXWDYrm
+    336612771U,	// VPMOVZXWDYrr
+    974146979U,	// VPMOVZXWDZrm
+    2499825059U,	// VPMOVZXWDZrmk
+    352341411U,	// VPMOVZXWDZrmkz
+    336612771U,	// VPMOVZXWDZrr
+    2499825059U,	// VPMOVZXWDZrrk
+    352341411U,	// VPMOVZXWDZrrkz
+    370167203U,	// VPMOVZXWDrm
+    336612771U,	// VPMOVZXWDrr
+    370169245U,	// VPMOVZXWQYrm
+    336614813U,	// VPMOVZXWQYrr
+    437278109U,	// VPMOVZXWQZrm
+    2499827101U,	// VPMOVZXWQZrmk
+    352343453U,	// VPMOVZXWQZrmkz
+    336614813U,	// VPMOVZXWQZrr
+    2499827101U,	// VPMOVZXWQZrrk
+    352343453U,	// VPMOVZXWQZrrkz
+    303060381U,	// VPMOVZXWQrm
+    336614813U,	// VPMOVZXWQrr
+    2484097757U,	// VPMULDQYrm
+    2484097757U,	// VPMULDQYrr
+    2484097757U,	// VPMULDQZrm
+    2484097757U,	// VPMULDQZrmb
+    2499826397U,	// VPMULDQZrmbk
+    352342749U,	// VPMULDQZrmbkz
+    2499826397U,	// VPMULDQZrmk
+    352342749U,	// VPMULDQZrmkz
+    2484097757U,	// VPMULDQZrr
+    2499826397U,	// VPMULDQZrrk
+    352342749U,	// VPMULDQZrrkz
+    2484097757U,	// VPMULDQrm
+    2484097757U,	// VPMULDQrr
+    2484101000U,	// VPMULHRSWrm128
+    2484101000U,	// VPMULHRSWrm256
+    2484101000U,	// VPMULHRSWrr128
+    2484101000U,	// VPMULHRSWrr256
+    2484101104U,	// VPMULHUWYrm
+    2484101104U,	// VPMULHUWYrr
+    2484101104U,	// VPMULHUWrm
+    2484101104U,	// VPMULHUWrr
+    2484100690U,	// VPMULHWYrm
+    2484100690U,	// VPMULHWYrr
+    2484100690U,	// VPMULHWrm
+    2484100690U,	// VPMULHWrr
+    2484094521U,	// VPMULLDYrm
+    2484094521U,	// VPMULLDYrr
+    2498774585U,	// VPMULLDZ128rm
+    2498774585U,	// VPMULLDZ128rmb
+    2197833273U,	// VPMULLDZ128rmbk
+    352339513U,	// VPMULLDZ128rmbkz
+    2197833273U,	// VPMULLDZ128rmk
+    352339513U,	// VPMULLDZ128rmkz
+    2498774585U,	// VPMULLDZ128rr
+    2197833273U,	// VPMULLDZ128rrk
+    352339513U,	// VPMULLDZ128rrkz
+    2498774585U,	// VPMULLDZ256rm
+    2498774585U,	// VPMULLDZ256rmb
+    2197833273U,	// VPMULLDZ256rmbk
+    352339513U,	// VPMULLDZ256rmbkz
+    2197833273U,	// VPMULLDZ256rmk
+    352339513U,	// VPMULLDZ256rmkz
+    2498774585U,	// VPMULLDZ256rr
+    2197833273U,	// VPMULLDZ256rrk
+    352339513U,	// VPMULLDZ256rrkz
+    2498774585U,	// VPMULLDZrm
+    2498774585U,	// VPMULLDZrmb
+    2197833273U,	// VPMULLDZrmbk
+    352339513U,	// VPMULLDZrmbkz
+    2197833273U,	// VPMULLDZrmk
+    352339513U,	// VPMULLDZrmkz
+    2498774585U,	// VPMULLDZrr
+    2197833273U,	// VPMULLDZrrk
+    352339513U,	// VPMULLDZrrkz
+    2484094521U,	// VPMULLDrm
+    2484094521U,	// VPMULLDrr
+    2498778054U,	// VPMULLQZ128rm
+    2498778054U,	// VPMULLQZ128rmb
+    2197836742U,	// VPMULLQZ128rmbk
+    352342982U,	// VPMULLQZ128rmbkz
+    2197836742U,	// VPMULLQZ128rmk
+    352342982U,	// VPMULLQZ128rmkz
+    2498778054U,	// VPMULLQZ128rr
+    2197836742U,	// VPMULLQZ128rrk
+    352342982U,	// VPMULLQZ128rrkz
+    2498778054U,	// VPMULLQZ256rm
+    2498778054U,	// VPMULLQZ256rmb
+    2197836742U,	// VPMULLQZ256rmbk
+    352342982U,	// VPMULLQZ256rmbkz
+    2197836742U,	// VPMULLQZ256rmk
+    352342982U,	// VPMULLQZ256rmkz
+    2498778054U,	// VPMULLQZ256rr
+    2197836742U,	// VPMULLQZ256rrk
+    352342982U,	// VPMULLQZ256rrkz
+    2498778054U,	// VPMULLQZrm
+    2498778054U,	// VPMULLQZrmb
+    2197836742U,	// VPMULLQZrmbk
+    352342982U,	// VPMULLQZrmbkz
+    2197836742U,	// VPMULLQZrmk
+    352342982U,	// VPMULLQZrmkz
+    2498778054U,	// VPMULLQZrr
+    2197836742U,	// VPMULLQZrrk
+    352342982U,	// VPMULLQZrrkz
+    2484100732U,	// VPMULLWYrm
+    2484100732U,	// VPMULLWYrr
+    2498780796U,	// VPMULLWZ128rm
+    2197839484U,	// VPMULLWZ128rmk
+    352345724U,	// VPMULLWZ128rmkz
+    2498780796U,	// VPMULLWZ128rr
+    2197839484U,	// VPMULLWZ128rrk
+    352345724U,	// VPMULLWZ128rrkz
+    2498780796U,	// VPMULLWZ256rm
+    2197839484U,	// VPMULLWZ256rmk
+    352345724U,	// VPMULLWZ256rmkz
+    2498780796U,	// VPMULLWZ256rr
+    2197839484U,	// VPMULLWZ256rrk
+    352345724U,	// VPMULLWZ256rrkz
+    2498780796U,	// VPMULLWZrm
+    2197839484U,	// VPMULLWZrmk
+    352345724U,	// VPMULLWZrmkz
+    2498780796U,	// VPMULLWZrr
+    2197839484U,	// VPMULLWZrrk
+    352345724U,	// VPMULLWZrrkz
+    2484100732U,	// VPMULLWrm
+    2484100732U,	// VPMULLWrr
+    2484097926U,	// VPMULUDQYrm
+    2484097926U,	// VPMULUDQYrr
+    2484097926U,	// VPMULUDQZrm
+    2484097926U,	// VPMULUDQZrmb
+    2499826566U,	// VPMULUDQZrmbk
+    352342918U,	// VPMULUDQZrmbkz
+    2499826566U,	// VPMULUDQZrmk
+    352342918U,	// VPMULUDQZrmkz
+    2484097926U,	// VPMULUDQZrr
+    2499826566U,	// VPMULUDQZrrk
+    352342918U,	// VPMULUDQZrrkz
+    2484097926U,	// VPMULUDQrm
+    2484097926U,	// VPMULUDQrr
+    2498775684U,	// VPORDZ128rm
+    2498775684U,	// VPORDZ128rmb
+    2197834372U,	// VPORDZ128rmbk
+    352340612U,	// VPORDZ128rmbkz
+    2197834372U,	// VPORDZ128rmk
+    352340612U,	// VPORDZ128rmkz
+    2498775684U,	// VPORDZ128rr
+    2197834372U,	// VPORDZ128rrk
+    352340612U,	// VPORDZ128rrkz
+    2498775684U,	// VPORDZ256rm
+    2498775684U,	// VPORDZ256rmb
+    2197834372U,	// VPORDZ256rmbk
+    352340612U,	// VPORDZ256rmbkz
+    2197834372U,	// VPORDZ256rmk
+    352340612U,	// VPORDZ256rmkz
+    2498775684U,	// VPORDZ256rr
+    2197834372U,	// VPORDZ256rrk
+    352340612U,	// VPORDZ256rrkz
+    2498775684U,	// VPORDZrm
+    2498775684U,	// VPORDZrmb
+    2197834372U,	// VPORDZrmbk
+    352340612U,	// VPORDZrmbkz
+    2197834372U,	// VPORDZrmk
+    352340612U,	// VPORDZrmkz
+    2498775684U,	// VPORDZrr
+    2197834372U,	// VPORDZrrk
+    352340612U,	// VPORDZrrkz
+    2498778212U,	// VPORQZ128rm
+    2498778212U,	// VPORQZ128rmb
+    2197836900U,	// VPORQZ128rmbk
+    352343140U,	// VPORQZ128rmbkz
+    2197836900U,	// VPORQZ128rmk
+    352343140U,	// VPORQZ128rmkz
+    2498778212U,	// VPORQZ128rr
+    2197836900U,	// VPORQZ128rrk
+    352343140U,	// VPORQZ128rrkz
+    2498778212U,	// VPORQZ256rm
+    2498778212U,	// VPORQZ256rmb
+    2197836900U,	// VPORQZ256rmbk
+    352343140U,	// VPORQZ256rmbkz
+    2197836900U,	// VPORQZ256rmk
+    352343140U,	// VPORQZ256rmkz
+    2498778212U,	// VPORQZ256rr
+    2197836900U,	// VPORQZ256rrk
+    352343140U,	// VPORQZ256rrkz
+    2498778212U,	// VPORQZrm
+    2498778212U,	// VPORQZrmb
+    2197836900U,	// VPORQZrmbk
+    352343140U,	// VPORQZrmbkz
+    2197836900U,	// VPORQZrmk
+    352343140U,	// VPORQZrmkz
+    2498778212U,	// VPORQZrr
+    2197836900U,	// VPORQZrrk
+    352343140U,	// VPORQZrrkz
+    2484098534U,	// VPORYrm
+    2484098534U,	// VPORYrr
+    2484098534U,	// VPORrm
+    2484098534U,	// VPORrr
+    2484097164U,	// VPPERMmr
+    2484097164U,	// VPPERMrm
+    2484097164U,	// VPPERMrr
+    2584757249U,	// VPROTBmi
+    2584757249U,	// VPROTBmr
+    2484093953U,	// VPROTBri
+    2484093953U,	// VPROTBrm
+    2484093953U,	// VPROTBrr
+    2584759481U,	// VPROTDmi
+    2584759481U,	// VPROTDmr
+    2484096185U,	// VPROTDri
+    2484096185U,	// VPROTDrm
+    2484096185U,	// VPROTDrr
+    2584761602U,	// VPROTQmi
+    2584761602U,	// VPROTQmr
+    2484098306U,	// VPROTQri
+    2484098306U,	// VPROTQrm
+    2484098306U,	// VPROTQrr
+    2584764368U,	// VPROTWmi
+    2584764368U,	// VPROTWmr
+    2484101072U,	// VPROTWri
+    2484101072U,	// VPROTWrm
+    2484101072U,	// VPROTWrr
+    2484100442U,	// VPSADBWYrm
+    2484100442U,	// VPSADBWYrr
+    2484100442U,	// VPSADBWrm
+    2484100442U,	// VPSADBWrr
+    1393149381U,	// VPSCATTERDDZmr
+    1393169202U,	// VPSCATTERDQZmr
+    1393166917U,	// VPSCATTERQDZmr
+    1393169481U,	// VPSCATTERQQZmr
+    2584756883U,	// VPSHABmr
+    2484093587U,	// VPSHABrm
+    2484093587U,	// VPSHABrr
+    2584757540U,	// VPSHADmr
+    2484094244U,	// VPSHADrm
+    2484094244U,	// VPSHADrr
+    2584760861U,	// VPSHAQmr
+    2484097565U,	// VPSHAQrm
+    2484097565U,	// VPSHAQrr
+    2584763702U,	// VPSHAWmr
+    2484100406U,	// VPSHAWrm
+    2484100406U,	// VPSHAWrr
+    2584756981U,	// VPSHLBmr
+    2484093685U,	// VPSHLBrm
+    2484093685U,	// VPSHLBrr
+    2584757795U,	// VPSHLDmr
+    2484094499U,	// VPSHLDrm
+    2484094499U,	// VPSHLDrr
+    2584761270U,	// VPSHLQmr
+    2484097974U,	// VPSHLQrm
+    2484097974U,	// VPSHLQrr
+    2584764012U,	// VPSHLWmr
+    2484100716U,	// VPSHLWrm
+    2484100716U,	// VPSHLWrr
+    2484093653U,	// VPSHUFBYrm
+    2484093653U,	// VPSHUFBYrr
+    2484093653U,	// VPSHUFBrm
+    2484093653U,	// VPSHUFBrr
+    3121628662U,	// VPSHUFDYmi
+    2484094454U,	// VPSHUFDYri
+    3155183094U,	// VPSHUFDZmi
+    2484094454U,	// VPSHUFDZri
+    2584757750U,	// VPSHUFDmi
+    2484094454U,	// VPSHUFDri
+    3121634888U,	// VPSHUFHWYmi
+    2484100680U,	// VPSHUFHWYri
+    2584763976U,	// VPSHUFHWmi
+    2484100680U,	// VPSHUFHWri
+    3121634914U,	// VPSHUFLWYmi
+    2484100706U,	// VPSHUFLWYri
+    2584764002U,	// VPSHUFLWmi
+    2484100706U,	// VPSHUFLWri
+    2484093730U,	// VPSIGNBYrm
+    2484093730U,	// VPSIGNBYrr
+    2484093730U,	// VPSIGNBrm
+    2484093730U,	// VPSIGNBrr
+    2484094646U,	// VPSIGNDYrm
+    2484094646U,	// VPSIGNDYrr
+    2484094646U,	// VPSIGNDrm
+    2484094646U,	// VPSIGNDrr
+    2484100786U,	// VPSIGNWYrm
+    2484100786U,	// VPSIGNWYrr
+    2484100786U,	// VPSIGNWrm
+    2484100786U,	// VPSIGNWrr
+    2484097739U,	// VPSLLDQYri
+    2484097739U,	// VPSLLDQri
+    2484094513U,	// VPSLLDYri
+    2484094513U,	// VPSLLDYrm
+    2484094513U,	// VPSLLDYrr
+    3183494705U,	// VPSLLDZmi
+    2197833265U,	// VPSLLDZmik
+    352339505U,	// VPSLLDZmikz
+    2512406065U,	// VPSLLDZri
+    2197833265U,	// VPSLLDZrik
+    352339505U,	// VPSLLDZrikz
+    2512406065U,	// VPSLLDZrm
+    2197833265U,	// VPSLLDZrmk
+    352339505U,	// VPSLLDZrmkz
+    2512406065U,	// VPSLLDZrr
+    2197833265U,	// VPSLLDZrrk
+    352339505U,	// VPSLLDZrrkz
+    2484094513U,	// VPSLLDri
+    2484094513U,	// VPSLLDrm
+    2484094513U,	// VPSLLDrr
+    2484097982U,	// VPSLLQYri
+    2484097982U,	// VPSLLQYrm
+    2484097982U,	// VPSLLQYrr
+    3183498174U,	// VPSLLQZmi
+    2197836734U,	// VPSLLQZmik
+    352342974U,	// VPSLLQZmikz
+    2512409534U,	// VPSLLQZri
+    2197836734U,	// VPSLLQZrik
+    352342974U,	// VPSLLQZrikz
+    2512409534U,	// VPSLLQZrm
+    2197836734U,	// VPSLLQZrmk
+    352342974U,	// VPSLLQZrmkz
+    2512409534U,	// VPSLLQZrr
+    2197836734U,	// VPSLLQZrrk
+    352342974U,	// VPSLLQZrrkz
+    2484097982U,	// VPSLLQri
+    2484097982U,	// VPSLLQrm
+    2484097982U,	// VPSLLQrr
+    2484096262U,	// VPSLLVDYrm
+    2484096262U,	// VPSLLVDYrr
+    2512407814U,	// VPSLLVDZrm
+    2197835014U,	// VPSLLVDZrmk
+    352341254U,	// VPSLLVDZrmkz
+    2512407814U,	// VPSLLVDZrr
+    2197835014U,	// VPSLLVDZrrk
+    352341254U,	// VPSLLVDZrrkz
+    2484096262U,	// VPSLLVDrm
+    2484096262U,	// VPSLLVDrr
+    2484098392U,	// VPSLLVQYrm
+    2484098392U,	// VPSLLVQYrr
+    2512409944U,	// VPSLLVQZrm
+    2197837144U,	// VPSLLVQZrmk
+    352343384U,	// VPSLLVQZrmkz
+    2512409944U,	// VPSLLVQZrr
+    2197837144U,	// VPSLLVQZrrk
+    352343384U,	// VPSLLVQZrrkz
+    2484098392U,	// VPSLLVQrm
+    2484098392U,	// VPSLLVQrr
+    2484100724U,	// VPSLLWYri
+    2484100724U,	// VPSLLWYrm
+    2484100724U,	// VPSLLWYrr
+    2484100724U,	// VPSLLWri
+    2484100724U,	// VPSLLWrm
+    2484100724U,	// VPSLLWrr
+    2484094252U,	// VPSRADYri
+    2484094252U,	// VPSRADYrm
+    2484094252U,	// VPSRADYrr
+    3183494444U,	// VPSRADZmi
+    2197833004U,	// VPSRADZmik
+    352339244U,	// VPSRADZmikz
+    2512405804U,	// VPSRADZri
+    2197833004U,	// VPSRADZrik
+    352339244U,	// VPSRADZrikz
+    2512405804U,	// VPSRADZrm
+    2197833004U,	// VPSRADZrmk
+    352339244U,	// VPSRADZrmkz
+    2512405804U,	// VPSRADZrr
+    2197833004U,	// VPSRADZrrk
+    352339244U,	// VPSRADZrrkz
+    2484094252U,	// VPSRADri
+    2484094252U,	// VPSRADrm
+    2484094252U,	// VPSRADrr
+    3183497765U,	// VPSRAQZmi
+    2197836325U,	// VPSRAQZmik
+    352342565U,	// VPSRAQZmikz
+    2512409125U,	// VPSRAQZri
+    2197836325U,	// VPSRAQZrik
+    352342565U,	// VPSRAQZrikz
+    2512409125U,	// VPSRAQZrm
+    2197836325U,	// VPSRAQZrmk
+    352342565U,	// VPSRAQZrmkz
+    2512409125U,	// VPSRAQZrr
+    2197836325U,	// VPSRAQZrrk
+    352342565U,	// VPSRAQZrrkz
+    2484096253U,	// VPSRAVDYrm
+    2484096253U,	// VPSRAVDYrr
+    2512407805U,	// VPSRAVDZrm
+    2197835005U,	// VPSRAVDZrmk
+    352341245U,	// VPSRAVDZrmkz
+    2512407805U,	// VPSRAVDZrr
+    2197835005U,	// VPSRAVDZrrk
+    352341245U,	// VPSRAVDZrrkz
+    2484096253U,	// VPSRAVDrm
+    2484096253U,	// VPSRAVDrr
+    2512409935U,	// VPSRAVQZrm
+    2197837135U,	// VPSRAVQZrmk
+    352343375U,	// VPSRAVQZrmkz
+    2512409935U,	// VPSRAVQZrr
+    2197837135U,	// VPSRAVQZrrk
+    352343375U,	// VPSRAVQZrrkz
+    2484100414U,	// VPSRAWYri
+    2484100414U,	// VPSRAWYrm
+    2484100414U,	// VPSRAWYrr
+    2484100414U,	// VPSRAWri
+    2484100414U,	// VPSRAWrm
+    2484100414U,	// VPSRAWrr
+    2484097748U,	// VPSRLDQYri
+    2484097748U,	// VPSRLDQri
+    2484094530U,	// VPSRLDYri
+    2484094530U,	// VPSRLDYrm
+    2484094530U,	// VPSRLDYrr
+    3183494722U,	// VPSRLDZmi
+    2197833282U,	// VPSRLDZmik
+    352339522U,	// VPSRLDZmikz
+    2512406082U,	// VPSRLDZri
+    2197833282U,	// VPSRLDZrik
+    352339522U,	// VPSRLDZrikz
+    2512406082U,	// VPSRLDZrm
+    2197833282U,	// VPSRLDZrmk
+    352339522U,	// VPSRLDZrmkz
+    2512406082U,	// VPSRLDZrr
+    2197833282U,	// VPSRLDZrrk
+    352339522U,	// VPSRLDZrrkz
+    2484094530U,	// VPSRLDri
+    2484094530U,	// VPSRLDrm
+    2484094530U,	// VPSRLDrr
+    2484097999U,	// VPSRLQYri
+    2484097999U,	// VPSRLQYrm
+    2484097999U,	// VPSRLQYrr
+    3183498191U,	// VPSRLQZmi
+    2197836751U,	// VPSRLQZmik
+    352342991U,	// VPSRLQZmikz
+    2512409551U,	// VPSRLQZri
+    2197836751U,	// VPSRLQZrik
+    352342991U,	// VPSRLQZrikz
+    2512409551U,	// VPSRLQZrm
+    2197836751U,	// VPSRLQZrmk
+    352342991U,	// VPSRLQZrmkz
+    2512409551U,	// VPSRLQZrr
+    2197836751U,	// VPSRLQZrrk
+    352342991U,	// VPSRLQZrrkz
+    2484097999U,	// VPSRLQri
+    2484097999U,	// VPSRLQrm
+    2484097999U,	// VPSRLQrr
+    2484096271U,	// VPSRLVDYrm
+    2484096271U,	// VPSRLVDYrr
+    2512407823U,	// VPSRLVDZrm
+    2197835023U,	// VPSRLVDZrmk
+    352341263U,	// VPSRLVDZrmkz
+    2512407823U,	// VPSRLVDZrr
+    2197835023U,	// VPSRLVDZrrk
+    352341263U,	// VPSRLVDZrrkz
+    2484096271U,	// VPSRLVDrm
+    2484096271U,	// VPSRLVDrr
+    2484098401U,	// VPSRLVQYrm
+    2484098401U,	// VPSRLVQYrr
+    2512409953U,	// VPSRLVQZrm
+    2197837153U,	// VPSRLVQZrmk
+    352343393U,	// VPSRLVQZrmkz
+    2512409953U,	// VPSRLVQZrr
+    2197837153U,	// VPSRLVQZrrk
+    352343393U,	// VPSRLVQZrrkz
+    2484098401U,	// VPSRLVQrm
+    2484098401U,	// VPSRLVQrr
+    2484100741U,	// VPSRLWYri
+    2484100741U,	// VPSRLWYrm
+    2484100741U,	// VPSRLWYrr
+    2484100741U,	// VPSRLWri
+    2484100741U,	// VPSRLWrm
+    2484100741U,	// VPSRLWrr
+    2484093600U,	// VPSUBBYrm
+    2484093600U,	// VPSUBBYrr
+    2498773664U,	// VPSUBBZ128rm
+    2197832352U,	// VPSUBBZ128rmk
+    352338592U,	// VPSUBBZ128rmkz
+    2498773664U,	// VPSUBBZ128rr
+    2197832352U,	// VPSUBBZ128rrk
+    352338592U,	// VPSUBBZ128rrkz
+    2498773664U,	// VPSUBBZ256rm
+    2197832352U,	// VPSUBBZ256rmk
+    352338592U,	// VPSUBBZ256rmkz
+    2498773664U,	// VPSUBBZ256rr
+    2197832352U,	// VPSUBBZ256rrk
+    352338592U,	// VPSUBBZ256rrkz
+    2498773664U,	// VPSUBBZrm
+    2197832352U,	// VPSUBBZrmk
+    352338592U,	// VPSUBBZrmkz
+    2498773664U,	// VPSUBBZrr
+    2197832352U,	// VPSUBBZrrk
+    352338592U,	// VPSUBBZrrkz
+    2484093600U,	// VPSUBBrm
+    2484093600U,	// VPSUBBrr
+    2484094290U,	// VPSUBDYrm
+    2484094290U,	// VPSUBDYrr
+    2498774354U,	// VPSUBDZ128rm
+    2498774354U,	// VPSUBDZ128rmb
+    2197833042U,	// VPSUBDZ128rmbk
+    352339282U,	// VPSUBDZ128rmbkz
+    2197833042U,	// VPSUBDZ128rmk
+    352339282U,	// VPSUBDZ128rmkz
+    2498774354U,	// VPSUBDZ128rr
+    2197833042U,	// VPSUBDZ128rrk
+    352339282U,	// VPSUBDZ128rrkz
+    2498774354U,	// VPSUBDZ256rm
+    2498774354U,	// VPSUBDZ256rmb
+    2197833042U,	// VPSUBDZ256rmbk
+    352339282U,	// VPSUBDZ256rmbkz
+    2197833042U,	// VPSUBDZ256rmk
+    352339282U,	// VPSUBDZ256rmkz
+    2498774354U,	// VPSUBDZ256rr
+    2197833042U,	// VPSUBDZ256rrk
+    352339282U,	// VPSUBDZ256rrkz
+    2498774354U,	// VPSUBDZrm
+    2498774354U,	// VPSUBDZrmb
+    2197833042U,	// VPSUBDZrmbk
+    352339282U,	// VPSUBDZrmbkz
+    2197833042U,	// VPSUBDZrmk
+    352339282U,	// VPSUBDZrmkz
+    2498774354U,	// VPSUBDZrr
+    2197833042U,	// VPSUBDZrrk
+    352339282U,	// VPSUBDZrrkz
+    2484094290U,	// VPSUBDrm
+    2484094290U,	// VPSUBDrr
+    2484097602U,	// VPSUBQYrm
+    2484097602U,	// VPSUBQYrr
+    2498777666U,	// VPSUBQZ128rm
+    2498777666U,	// VPSUBQZ128rmb
+    2197836354U,	// VPSUBQZ128rmbk
+    352342594U,	// VPSUBQZ128rmbkz
+    2197836354U,	// VPSUBQZ128rmk
+    352342594U,	// VPSUBQZ128rmkz
+    2498777666U,	// VPSUBQZ128rr
+    2197836354U,	// VPSUBQZ128rrk
+    352342594U,	// VPSUBQZ128rrkz
+    2498777666U,	// VPSUBQZ256rm
+    2498777666U,	// VPSUBQZ256rmb
+    2197836354U,	// VPSUBQZ256rmbk
+    352342594U,	// VPSUBQZ256rmbkz
+    2197836354U,	// VPSUBQZ256rmk
+    352342594U,	// VPSUBQZ256rmkz
+    2498777666U,	// VPSUBQZ256rr
+    2197836354U,	// VPSUBQZ256rrk
+    352342594U,	// VPSUBQZ256rrkz
+    2498777666U,	// VPSUBQZrm
+    2498777666U,	// VPSUBQZrmb
+    2197836354U,	// VPSUBQZrmbk
+    352342594U,	// VPSUBQZrmbkz
+    2197836354U,	// VPSUBQZrmk
+    352342594U,	// VPSUBQZrmkz
+    2498777666U,	// VPSUBQZrr
+    2197836354U,	// VPSUBQZrrk
+    352342594U,	// VPSUBQZrrkz
+    2484097602U,	// VPSUBQrm
+    2484097602U,	// VPSUBQrr
+    2484093844U,	// VPSUBSBYrm
+    2484093844U,	// VPSUBSBYrr
+    2484093844U,	// VPSUBSBrm
+    2484093844U,	// VPSUBSBrr
+    2484100937U,	// VPSUBSWYrm
+    2484100937U,	// VPSUBSWYrr
+    2484100937U,	// VPSUBSWrm
+    2484100937U,	// VPSUBSWrr
+    2484093885U,	// VPSUBUSBYrm
+    2484093885U,	// VPSUBUSBYrr
+    2484093885U,	// VPSUBUSBrm
+    2484093885U,	// VPSUBUSBrr
+    2484101019U,	// VPSUBUSWYrm
+    2484101019U,	// VPSUBUSWYrr
+    2484101019U,	// VPSUBUSWrm
+    2484101019U,	// VPSUBUSWrr
+    2484100515U,	// VPSUBWYrm
+    2484100515U,	// VPSUBWYrr
+    2498780579U,	// VPSUBWZ128rm
+    2197839267U,	// VPSUBWZ128rmk
+    352345507U,	// VPSUBWZ128rmkz
+    2498780579U,	// VPSUBWZ128rr
+    2197839267U,	// VPSUBWZ128rrk
+    352345507U,	// VPSUBWZ128rrkz
+    2498780579U,	// VPSUBWZ256rm
+    2197839267U,	// VPSUBWZ256rmk
+    352345507U,	// VPSUBWZ256rmkz
+    2498780579U,	// VPSUBWZ256rr
+    2197839267U,	// VPSUBWZ256rrk
+    352345507U,	// VPSUBWZ256rrkz
+    2498780579U,	// VPSUBWZrm
+    2197839267U,	// VPSUBWZrmk
+    352345507U,	// VPSUBWZrmkz
+    2498780579U,	// VPSUBWZrr
+    2197839267U,	// VPSUBWZrrk
+    352345507U,	// VPSUBWZrrkz
+    2484100515U,	// VPSUBWrm
+    2484100515U,	// VPSUBWrr
+    2484094595U,	// VPTESTMDZrm
+    2484094595U,	// VPTESTMDZrr
+    2484098055U,	// VPTESTMQZrm
+    2484098055U,	// VPTESTMQZrr
+    2484094568U,	// VPTESTNMDZrm
+    2484094568U,	// VPTESTNMDZrr
+    2484098028U,	// VPTESTNMQZrm
+    2484098028U,	// VPTESTNMQZrr
+    974150831U,	// VPTESTYrm
+    336616623U,	// VPTESTYrr
+    537943215U,	// VPTESTrm
+    336616623U,	// VPTESTrr
+    2484100461U,	// VPUNPCKHBWYrm
+    2484100461U,	// VPUNPCKHBWYrr
+    2484100461U,	// VPUNPCKHBWrm
+    2484100461U,	// VPUNPCKHBWrr
+    2484097715U,	// VPUNPCKHDQYrm
+    2484097715U,	// VPUNPCKHDQYrr
+    2484097715U,	// VPUNPCKHDQZrm
+    2484097715U,	// VPUNPCKHDQZrr
+    2484097715U,	// VPUNPCKHDQrm
+    2484097715U,	// VPUNPCKHDQrr
+    2484097792U,	// VPUNPCKHQDQYrm
+    2484097792U,	// VPUNPCKHQDQYrr
+    2484097792U,	// VPUNPCKHQDQZrm
+    2484097792U,	// VPUNPCKHQDQZrr
+    2484097792U,	// VPUNPCKHQDQrm
+    2484097792U,	// VPUNPCKHQDQrr
+    2484096329U,	// VPUNPCKHWDYrm
+    2484096329U,	// VPUNPCKHWDYrr
+    2484096329U,	// VPUNPCKHWDrm
+    2484096329U,	// VPUNPCKHWDrr
+    2484100483U,	// VPUNPCKLBWYrm
+    2484100483U,	// VPUNPCKLBWYrr
+    2484100483U,	// VPUNPCKLBWrm
+    2484100483U,	// VPUNPCKLBWrr
+    2484097727U,	// VPUNPCKLDQYrm
+    2484097727U,	// VPUNPCKLDQYrr
+    2484097727U,	// VPUNPCKLDQZrm
+    2484097727U,	// VPUNPCKLDQZrr
+    2484097727U,	// VPUNPCKLDQrm
+    2484097727U,	// VPUNPCKLDQrr
+    2484097805U,	// VPUNPCKLQDQYrm
+    2484097805U,	// VPUNPCKLQDQYrr
+    2484097805U,	// VPUNPCKLQDQZrm
+    2484097805U,	// VPUNPCKLQDQZrr
+    2484097805U,	// VPUNPCKLQDQrm
+    2484097805U,	// VPUNPCKLQDQrr
+    2484096341U,	// VPUNPCKLWDYrm
+    2484096341U,	// VPUNPCKLWDYrr
+    2484096341U,	// VPUNPCKLWDrm
+    2484096341U,	// VPUNPCKLWDrr
+    2498775698U,	// VPXORDZ128rm
+    2498775698U,	// VPXORDZ128rmb
+    2197834386U,	// VPXORDZ128rmbk
+    352340626U,	// VPXORDZ128rmbkz
+    2197834386U,	// VPXORDZ128rmk
+    352340626U,	// VPXORDZ128rmkz
+    2498775698U,	// VPXORDZ128rr
+    2197834386U,	// VPXORDZ128rrk
+    352340626U,	// VPXORDZ128rrkz
+    2498775698U,	// VPXORDZ256rm
+    2498775698U,	// VPXORDZ256rmb
+    2197834386U,	// VPXORDZ256rmbk
+    352340626U,	// VPXORDZ256rmbkz
+    2197834386U,	// VPXORDZ256rmk
+    352340626U,	// VPXORDZ256rmkz
+    2498775698U,	// VPXORDZ256rr
+    2197834386U,	// VPXORDZ256rrk
+    352340626U,	// VPXORDZ256rrkz
+    2498775698U,	// VPXORDZrm
+    2498775698U,	// VPXORDZrmb
+    2197834386U,	// VPXORDZrmbk
+    352340626U,	// VPXORDZrmbkz
+    2197834386U,	// VPXORDZrmk
+    352340626U,	// VPXORDZrmkz
+    2498775698U,	// VPXORDZrr
+    2197834386U,	// VPXORDZrrk
+    352340626U,	// VPXORDZrrkz
+    2498778226U,	// VPXORQZ128rm
+    2498778226U,	// VPXORQZ128rmb
+    2197836914U,	// VPXORQZ128rmbk
+    352343154U,	// VPXORQZ128rmbkz
+    2197836914U,	// VPXORQZ128rmk
+    352343154U,	// VPXORQZ128rmkz
+    2498778226U,	// VPXORQZ128rr
+    2197836914U,	// VPXORQZ128rrk
+    352343154U,	// VPXORQZ128rrkz
+    2498778226U,	// VPXORQZ256rm
+    2498778226U,	// VPXORQZ256rmb
+    2197836914U,	// VPXORQZ256rmbk
+    352343154U,	// VPXORQZ256rmbkz
+    2197836914U,	// VPXORQZ256rmk
+    352343154U,	// VPXORQZ256rmkz
+    2498778226U,	// VPXORQZ256rr
+    2197836914U,	// VPXORQZ256rrk
+    352343154U,	// VPXORQZ256rrkz
+    2498778226U,	// VPXORQZrm
+    2498778226U,	// VPXORQZrmb
+    2197836914U,	// VPXORQZrmbk
+    352343154U,	// VPXORQZrmbkz
+    2197836914U,	// VPXORQZrmk
+    352343154U,	// VPXORQZrmkz
+    2498778226U,	// VPXORQZrr
+    2197836914U,	// VPXORQZrrk
+    352343154U,	// VPXORQZrrkz
+    2484098562U,	// VPXORYrm
+    2484098562U,	// VPXORYrr
+    2484098562U,	// VPXORrm
+    2484098562U,	// VPXORrr
+    552618015U,	// VRCP14PDZ128m
+    2733656095U,	// VRCP14PDZ128mb
+    2197833759U,	// VRCP14PDZ128mbk
+    352339999U,	// VRCP14PDZ128mbkz
+    2197833759U,	// VRCP14PDZ128mk
+    352339999U,	// VRCP14PDZ128mkz
+    351291423U,	// VRCP14PDZ128r
+    2197833759U,	// VRCP14PDZ128rk
+    352339999U,	// VRCP14PDZ128rkz
+    1055934495U,	// VRCP14PDZ256m
+    586172447U,	// VRCP14PDZ256mb
+    2197833759U,	// VRCP14PDZ256mbk
+    352339999U,	// VRCP14PDZ256mbkz
+    2197833759U,	// VRCP14PDZ256mk
+    352339999U,	// VRCP14PDZ256mkz
+    351291423U,	// VRCP14PDZ256r
+    2197833759U,	// VRCP14PDZ256rk
+    352339999U,	// VRCP14PDZ256rkz
+    1089488927U,	// VRCP14PDZm
+    2733656095U,	// VRCP14PDZmb
+    2197833759U,	// VRCP14PDZmbk
+    352339999U,	// VRCP14PDZmbkz
+    2197833759U,	// VRCP14PDZmk
+    352339999U,	// VRCP14PDZmkz
+    351291423U,	// VRCP14PDZr
+    2197833759U,	// VRCP14PDZrk
+    352339999U,	// VRCP14PDZrkz
+    552622073U,	// VRCP14PSZ128m
+    619730937U,	// VRCP14PSZ128mb
+    2197837817U,	// VRCP14PSZ128mbk
+    352344057U,	// VRCP14PSZ128mbkz
+    2197837817U,	// VRCP14PSZ128mk
+    352344057U,	// VRCP14PSZ128mkz
+    351295481U,	// VRCP14PSZ128r
+    2197837817U,	// VRCP14PSZ128rk
+    352344057U,	// VRCP14PSZ128rkz
+    1055938553U,	// VRCP14PSZ256m
+    2767214585U,	// VRCP14PSZ256mb
+    2197837817U,	// VRCP14PSZ256mbk
+    352344057U,	// VRCP14PSZ256mbkz
+    2197837817U,	// VRCP14PSZ256mk
+    352344057U,	// VRCP14PSZ256mkz
+    351295481U,	// VRCP14PSZ256r
+    2197837817U,	// VRCP14PSZ256rk
+    352344057U,	// VRCP14PSZ256rkz
+    1089492985U,	// VRCP14PSZm
+    619730937U,	// VRCP14PSZmb
+    2197837817U,	// VRCP14PSZmbk
+    352344057U,	// VRCP14PSZmbkz
+    2197837817U,	// VRCP14PSZmk
+    352344057U,	// VRCP14PSZmkz
+    351295481U,	// VRCP14PSZr
+    2197837817U,	// VRCP14PSZrk
+    352344057U,	// VRCP14PSZrkz
+    2484095866U,	// VRCP14SDrm
+    2484095866U,	// VRCP14SDrr
+    2484099843U,	// VRCP14SSrm
+    2484099843U,	// VRCP14SSrr
+    1089488949U,	// VRCP28PDm
+    1089488949U,	// VRCP28PDmb
+    2197833781U,	// VRCP28PDmbk
+    352340021U,	// VRCP28PDmbkz
+    2197833781U,	// VRCP28PDmk
+    352340021U,	// VRCP28PDmkz
+    351291445U,	// VRCP28PDr
+    1126189109U,	// VRCP28PDrb
+    2197833781U,	// VRCP28PDrbk
+    352340021U,	// VRCP28PDrbkz
+    2197833781U,	// VRCP28PDrk
+    352340021U,	// VRCP28PDrkz
+    1089493007U,	// VRCP28PSm
+    1089493007U,	// VRCP28PSmb
+    2197837839U,	// VRCP28PSmbk
+    352344079U,	// VRCP28PSmbkz
+    2197837839U,	// VRCP28PSmk
+    352344079U,	// VRCP28PSmkz
+    351295503U,	// VRCP28PSr
+    1126193167U,	// VRCP28PSrb
+    2197837839U,	// VRCP28PSrbk
+    352344079U,	// VRCP28PSrbkz
+    2197837839U,	// VRCP28PSrk
+    352344079U,	// VRCP28PSrkz
+    2498775952U,	// VRCP28SDm
+    2197834640U,	// VRCP28SDmk
+    352340880U,	// VRCP28SDmkz
+    2498775952U,	// VRCP28SDr
+    3407891344U,	// VRCP28SDrb
+    2197834640U,	// VRCP28SDrbk
+    352340880U,	// VRCP28SDrbkz
+    2197834640U,	// VRCP28SDrk
+    352340880U,	// VRCP28SDrkz
+    2498779929U,	// VRCP28SSm
+    2197838617U,	// VRCP28SSmk
+    352344857U,	// VRCP28SSmkz
+    2498779929U,	// VRCP28SSr
+    3407895321U,	// VRCP28SSrb
+    2197838617U,	// VRCP28SSrbk
+    352344857U,	// VRCP28SSrbkz
+    2197838617U,	// VRCP28SSrk
+    352344857U,	// VRCP28SSrkz
+    1041258868U,	// VRCPPSYm
+    1041258868U,	// VRCPPSYm_Int
+    336615796U,	// VRCPPSYr
+    336615796U,	// VRCPPSYr_Int
+    537942388U,	// VRCPPSm
+    537942388U,	// VRCPPSm_Int
+    336615796U,	// VRCPPSr
+    336615796U,	// VRCPPSr_Int
+    2484100003U,	// VRCPSSm
+    2484100003U,	// VRCPSSm_Int
+    2484100003U,	// VRCPSSr
+    3222292749U,	// VRNDSCALEPDZm
+    2484095245U,	// VRNDSCALEPDZr
+    3222296799U,	// VRNDSCALEPSZm
+    2484099295U,	// VRNDSCALEPSZr
+    2498776050U,	// VRNDSCALESDm
+    2197834738U,	// VRNDSCALESDmk
+    352340978U,	// VRNDSCALESDmkz
+    2498776050U,	// VRNDSCALESDr
+    3407891442U,	// VRNDSCALESDrb
+    2197834738U,	// VRNDSCALESDrbk
+    352340978U,	// VRNDSCALESDrbkz
+    2197834738U,	// VRNDSCALESDrk
+    352340978U,	// VRNDSCALESDrkz
+    2498780019U,	// VRNDSCALESSm
+    2197838707U,	// VRNDSCALESSmk
+    352344947U,	// VRNDSCALESSmkz
+    2498780019U,	// VRNDSCALESSr
+    3407895411U,	// VRNDSCALESSrb
+    2197838707U,	// VRNDSCALESSrbk
+    352344947U,	// VRNDSCALESSrbkz
+    2197838707U,	// VRNDSCALESSrk
+    352344947U,	// VRNDSCALESSrkz
+    2685421802U,	// VROUNDPDm
+    2484095210U,	// VROUNDPDr
+    2685425852U,	// VROUNDPSm
+    2484099260U,	// VROUNDPSr
+    2484095976U,	// VROUNDSDm
+    2484095976U,	// VROUNDSDr
+    2484095976U,	// VROUNDSDr_Int
+    2484099945U,	// VROUNDSSm
+    2484099945U,	// VROUNDSSr
+    2484099945U,	// VROUNDSSr_Int
+    3188738282U,	// VROUNDYPDm
+    2484095210U,	// VROUNDYPDr
+    3188742332U,	// VROUNDYPSm
+    2484099260U,	// VROUNDYPSr
+    552618025U,	// VRSQRT14PDZ128m
+    2733656105U,	// VRSQRT14PDZ128mb
+    2197833769U,	// VRSQRT14PDZ128mbk
+    352340009U,	// VRSQRT14PDZ128mbkz
+    2197833769U,	// VRSQRT14PDZ128mk
+    352340009U,	// VRSQRT14PDZ128mkz
+    351291433U,	// VRSQRT14PDZ128r
+    2197833769U,	// VRSQRT14PDZ128rk
+    352340009U,	// VRSQRT14PDZ128rkz
+    1055934505U,	// VRSQRT14PDZ256m
+    586172457U,	// VRSQRT14PDZ256mb
+    2197833769U,	// VRSQRT14PDZ256mbk
+    352340009U,	// VRSQRT14PDZ256mbkz
+    2197833769U,	// VRSQRT14PDZ256mk
+    352340009U,	// VRSQRT14PDZ256mkz
+    351291433U,	// VRSQRT14PDZ256r
+    2197833769U,	// VRSQRT14PDZ256rk
+    352340009U,	// VRSQRT14PDZ256rkz
+    1089488937U,	// VRSQRT14PDZm
+    2733656105U,	// VRSQRT14PDZmb
+    2197833769U,	// VRSQRT14PDZmbk
+    352340009U,	// VRSQRT14PDZmbkz
+    2197833769U,	// VRSQRT14PDZmk
+    352340009U,	// VRSQRT14PDZmkz
+    351291433U,	// VRSQRT14PDZr
+    2197833769U,	// VRSQRT14PDZrk
+    352340009U,	// VRSQRT14PDZrkz
+    552622083U,	// VRSQRT14PSZ128m
+    619730947U,	// VRSQRT14PSZ128mb
+    2197837827U,	// VRSQRT14PSZ128mbk
+    352344067U,	// VRSQRT14PSZ128mbkz
+    2197837827U,	// VRSQRT14PSZ128mk
+    352344067U,	// VRSQRT14PSZ128mkz
+    351295491U,	// VRSQRT14PSZ128r
+    2197837827U,	// VRSQRT14PSZ128rk
+    352344067U,	// VRSQRT14PSZ128rkz
+    1055938563U,	// VRSQRT14PSZ256m
+    2767214595U,	// VRSQRT14PSZ256mb
+    2197837827U,	// VRSQRT14PSZ256mbk
+    352344067U,	// VRSQRT14PSZ256mbkz
+    2197837827U,	// VRSQRT14PSZ256mk
+    352344067U,	// VRSQRT14PSZ256mkz
+    351295491U,	// VRSQRT14PSZ256r
+    2197837827U,	// VRSQRT14PSZ256rk
+    352344067U,	// VRSQRT14PSZ256rkz
+    1089492995U,	// VRSQRT14PSZm
+    619730947U,	// VRSQRT14PSZmb
+    2197837827U,	// VRSQRT14PSZmbk
+    352344067U,	// VRSQRT14PSZmbkz
+    2197837827U,	// VRSQRT14PSZmk
+    352344067U,	// VRSQRT14PSZmkz
+    351295491U,	// VRSQRT14PSZr
+    2197837827U,	// VRSQRT14PSZrk
+    352344067U,	// VRSQRT14PSZrkz
+    2484095876U,	// VRSQRT14SDrm
+    2484095876U,	// VRSQRT14SDrr
+    2484099853U,	// VRSQRT14SSrm
+    2484099853U,	// VRSQRT14SSrr
+    1089488959U,	// VRSQRT28PDm
+    1089488959U,	// VRSQRT28PDmb
+    2197833791U,	// VRSQRT28PDmbk
+    352340031U,	// VRSQRT28PDmbkz
+    2197833791U,	// VRSQRT28PDmk
+    352340031U,	// VRSQRT28PDmkz
+    351291455U,	// VRSQRT28PDr
+    1126189119U,	// VRSQRT28PDrb
+    2197833791U,	// VRSQRT28PDrbk
+    352340031U,	// VRSQRT28PDrbkz
+    2197833791U,	// VRSQRT28PDrk
+    352340031U,	// VRSQRT28PDrkz
+    1089493017U,	// VRSQRT28PSm
+    1089493017U,	// VRSQRT28PSmb
+    2197837849U,	// VRSQRT28PSmbk
+    352344089U,	// VRSQRT28PSmbkz
+    2197837849U,	// VRSQRT28PSmk
+    352344089U,	// VRSQRT28PSmkz
+    351295513U,	// VRSQRT28PSr
+    1126193177U,	// VRSQRT28PSrb
+    2197837849U,	// VRSQRT28PSrbk
+    352344089U,	// VRSQRT28PSrbkz
+    2197837849U,	// VRSQRT28PSrk
+    352344089U,	// VRSQRT28PSrkz
+    2498775962U,	// VRSQRT28SDm
+    2197834650U,	// VRSQRT28SDmk
+    352340890U,	// VRSQRT28SDmkz
+    2498775962U,	// VRSQRT28SDr
+    3407891354U,	// VRSQRT28SDrb
+    2197834650U,	// VRSQRT28SDrbk
+    352340890U,	// VRSQRT28SDrbkz
+    2197834650U,	// VRSQRT28SDrk
+    352340890U,	// VRSQRT28SDrkz
+    2498779939U,	// VRSQRT28SSm
+    2197838627U,	// VRSQRT28SSmk
+    352344867U,	// VRSQRT28SSmkz
+    2498779939U,	// VRSQRT28SSr
+    3407895331U,	// VRSQRT28SSrb
+    2197838627U,	// VRSQRT28SSrbk
+    352344867U,	// VRSQRT28SSrbkz
+    2197838627U,	// VRSQRT28SSrk
+    352344867U,	// VRSQRT28SSrkz
+    1041258977U,	// VRSQRTPSYm
+    1041258977U,	// VRSQRTPSYm_Int
+    336615905U,	// VRSQRTPSYr
+    336615905U,	// VRSQRTPSYr_Int
+    537942497U,	// VRSQRTPSm
+    537942497U,	// VRSQRTPSm_Int
+    336615905U,	// VRSQRTPSr
+    336615905U,	// VRSQRTPSr_Int
+    2484100028U,	// VRSQRTSSm
+    2484100028U,	// VRSQRTSSm_Int
+    2484100028U,	// VRSQRTSSr
+    1393166592U,	// VSCATTERDPDZmr
+    1393154258U,	// VSCATTERDPSZmr
+    321940572U,	// VSCATTERPF0DPDm
+    321940704U,	// VSCATTERPF0DPSm
+    389049502U,	// VSCATTERPF0QPDm
+    389049634U,	// VSCATTERPF0QPSm
+    321940605U,	// VSCATTERPF1DPDm
+    321940737U,	// VSCATTERPF1DPSm
+    389049535U,	// VSCATTERPF1QPDm
+    389049667U,	// VSCATTERPF1QPSm
+    1393166769U,	// VSCATTERQPDZmr
+    1393170839U,	// VSCATTERQPSZmr
+    2484095258U,	// VSHUFPDYrmi
+    2484095258U,	// VSHUFPDYrri
+    2484095258U,	// VSHUFPDZrmi
+    2484095258U,	// VSHUFPDZrri
+    2484095258U,	// VSHUFPDrmi
+    2484095258U,	// VSHUFPDrri
+    2484099308U,	// VSHUFPSYrmi
+    2484099308U,	// VSHUFPSYrri
+    2484099308U,	// VSHUFPSZrmi
+    2484099308U,	// VSHUFPSZrri
+    2484099308U,	// VSHUFPSrmi
+    2484099308U,	// VSHUFPSrri
+    1041254884U,	// VSQRTPDYm
+    336611812U,	// VSQRTPDYr
+    552618468U,	// VSQRTPDZ128m
+    2733656548U,	// VSQRTPDZ128mb
+    2197834212U,	// VSQRTPDZ128mbk
+    352340452U,	// VSQRTPDZ128mbkz
+    2197834212U,	// VSQRTPDZ128mk
+    352340452U,	// VSQRTPDZ128mkz
+    351291876U,	// VSQRTPDZ128r
+    2197834212U,	// VSQRTPDZ128rk
+    352340452U,	// VSQRTPDZ128rkz
+    1055934948U,	// VSQRTPDZ256m
+    586172900U,	// VSQRTPDZ256mb
+    2197834212U,	// VSQRTPDZ256mbk
+    352340452U,	// VSQRTPDZ256mbkz
+    2197834212U,	// VSQRTPDZ256mk
+    352340452U,	// VSQRTPDZ256mkz
+    351291876U,	// VSQRTPDZ256r
+    2197834212U,	// VSQRTPDZ256rk
+    352340452U,	// VSQRTPDZ256rkz
+    1089489380U,	// VSQRTPDZm
+    2733656548U,	// VSQRTPDZmb
+    2197834212U,	// VSQRTPDZmbk
+    352340452U,	// VSQRTPDZmbkz
+    2197834212U,	// VSQRTPDZmk
+    352340452U,	// VSQRTPDZmkz
+    351291876U,	// VSQRTPDZr
+    2197834212U,	// VSQRTPDZrk
+    352340452U,	// VSQRTPDZrkz
+    537938404U,	// VSQRTPDm
+    336611812U,	// VSQRTPDr
+    1041258987U,	// VSQRTPSYm
+    336615915U,	// VSQRTPSYr
+    552622571U,	// VSQRTPSZ128m
+    619731435U,	// VSQRTPSZ128mb
+    2197838315U,	// VSQRTPSZ128mbk
+    352344555U,	// VSQRTPSZ128mbkz
+    2197838315U,	// VSQRTPSZ128mk
+    352344555U,	// VSQRTPSZ128mkz
+    351295979U,	// VSQRTPSZ128r
+    2197838315U,	// VSQRTPSZ128rk
+    352344555U,	// VSQRTPSZ128rkz
+    1055939051U,	// VSQRTPSZ256m
+    2767215083U,	// VSQRTPSZ256mb
+    2197838315U,	// VSQRTPSZ256mbk
+    352344555U,	// VSQRTPSZ256mbkz
+    2197838315U,	// VSQRTPSZ256mk
+    352344555U,	// VSQRTPSZ256mkz
+    351295979U,	// VSQRTPSZ256r
+    2197838315U,	// VSQRTPSZ256rk
+    352344555U,	// VSQRTPSZ256rkz
+    1089493483U,	// VSQRTPSZm
+    619731435U,	// VSQRTPSZmb
+    2197838315U,	// VSQRTPSZmbk
+    352344555U,	// VSQRTPSZmbkz
+    2197838315U,	// VSQRTPSZmk
+    352344555U,	// VSQRTPSZmkz
+    351295979U,	// VSQRTPSZr
+    2197838315U,	// VSQRTPSZrk
+    352344555U,	// VSQRTPSZrkz
+    537942507U,	// VSQRTPSm
+    336615915U,	// VSQRTPSr
+    2484096080U,	// VSQRTSDZm
+    2484096080U,	// VSQRTSDZm_Int
+    2484096080U,	// VSQRTSDZr
+    2484096080U,	// VSQRTSDZr_Int
+    2484096080U,	// VSQRTSDm
+    2484096080U,	// VSQRTSDm_Int
+    2484096080U,	// VSQRTSDr
+    2484100038U,	// VSQRTSSZm
+    2484100038U,	// VSQRTSSZm_Int
+    2484100038U,	// VSQRTSSZr
+    2484100038U,	// VSQRTSSZr_Int
+    2484100038U,	// VSQRTSSm
+    2484100038U,	// VSQRTSSm_Int
+    2484100038U,	// VSQRTSSr
+    71198U,	// VSTMXCSR
+    2484095122U,	// VSUBPDYrm
+    2484095122U,	// VSUBPDYrr
+    2498775186U,	// VSUBPDZ128rm
+    2498775186U,	// VSUBPDZ128rmb
+    2197833874U,	// VSUBPDZ128rmbk
+    352340114U,	// VSUBPDZ128rmbkz
+    2197833874U,	// VSUBPDZ128rmk
+    352340114U,	// VSUBPDZ128rmkz
+    2498775186U,	// VSUBPDZ128rr
+    2197833874U,	// VSUBPDZ128rrk
+    352340114U,	// VSUBPDZ128rrkz
+    2498775186U,	// VSUBPDZ256rm
+    2498775186U,	// VSUBPDZ256rmb
+    2197833874U,	// VSUBPDZ256rmbk
+    352340114U,	// VSUBPDZ256rmbkz
+    2197833874U,	// VSUBPDZ256rmk
+    352340114U,	// VSUBPDZ256rmkz
+    2498775186U,	// VSUBPDZ256rr
+    2197833874U,	// VSUBPDZ256rrk
+    352340114U,	// VSUBPDZ256rrkz
+    2498775186U,	// VSUBPDZrb
+    2197833874U,	// VSUBPDZrbk
+    352340114U,	// VSUBPDZrbkz
+    2498775186U,	// VSUBPDZrm
+    2498775186U,	// VSUBPDZrmb
+    2197833874U,	// VSUBPDZrmbk
+    352340114U,	// VSUBPDZrmbkz
+    2197833874U,	// VSUBPDZrmk
+    352340114U,	// VSUBPDZrmkz
+    2498775186U,	// VSUBPDZrr
+    2197833874U,	// VSUBPDZrrk
+    352340114U,	// VSUBPDZrrkz
+    2484095122U,	// VSUBPDrm
+    2484095122U,	// VSUBPDrr
+    2484099172U,	// VSUBPSYrm
+    2484099172U,	// VSUBPSYrr
+    2498779236U,	// VSUBPSZ128rm
+    2498779236U,	// VSUBPSZ128rmb
+    2197837924U,	// VSUBPSZ128rmbk
+    352344164U,	// VSUBPSZ128rmbkz
+    2197837924U,	// VSUBPSZ128rmk
+    352344164U,	// VSUBPSZ128rmkz
+    2498779236U,	// VSUBPSZ128rr
+    2197837924U,	// VSUBPSZ128rrk
+    352344164U,	// VSUBPSZ128rrkz
+    2498779236U,	// VSUBPSZ256rm
+    2498779236U,	// VSUBPSZ256rmb
+    2197837924U,	// VSUBPSZ256rmbk
+    352344164U,	// VSUBPSZ256rmbkz
+    2197837924U,	// VSUBPSZ256rmk
+    352344164U,	// VSUBPSZ256rmkz
+    2498779236U,	// VSUBPSZ256rr
+    2197837924U,	// VSUBPSZ256rrk
+    352344164U,	// VSUBPSZ256rrkz
+    2498779236U,	// VSUBPSZrb
+    2197837924U,	// VSUBPSZrbk
+    352344164U,	// VSUBPSZrbkz
+    2498779236U,	// VSUBPSZrm
+    2498779236U,	// VSUBPSZrmb
+    2197837924U,	// VSUBPSZrmbk
+    352344164U,	// VSUBPSZrmbkz
+    2197837924U,	// VSUBPSZrmk
+    352344164U,	// VSUBPSZrmkz
+    2498779236U,	// VSUBPSZrr
+    2197837924U,	// VSUBPSZrrk
+    352344164U,	// VSUBPSZrrkz
+    2484099172U,	// VSUBPSrm
+    2484099172U,	// VSUBPSrr
+    2484095939U,	// VSUBSDZrm
+    2498776003U,	// VSUBSDZrm_Int
+    2197834691U,	// VSUBSDZrm_Intk
+    352340931U,	// VSUBSDZrm_Intkz
+    2484095939U,	// VSUBSDZrr
+    2498776003U,	// VSUBSDZrr_Int
+    2197834691U,	// VSUBSDZrr_Intk
+    352340931U,	// VSUBSDZrr_Intkz
+    2498776003U,	// VSUBSDZrrb
+    2197834691U,	// VSUBSDZrrbk
+    352340931U,	// VSUBSDZrrbkz
+    2484095939U,	// VSUBSDrm
+    2484095939U,	// VSUBSDrm_Int
+    2484095939U,	// VSUBSDrr
+    2484095939U,	// VSUBSDrr_Int
+    2484099908U,	// VSUBSSZrm
+    2498779972U,	// VSUBSSZrm_Int
+    2197838660U,	// VSUBSSZrm_Intk
+    352344900U,	// VSUBSSZrm_Intkz
+    2484099908U,	// VSUBSSZrr
+    2498779972U,	// VSUBSSZrr_Int
+    2197838660U,	// VSUBSSZrr_Intk
+    352344900U,	// VSUBSSZrr_Intkz
+    2498779972U,	// VSUBSSZrrb
+    2197838660U,	// VSUBSSZrrbk
+    352344900U,	// VSUBSSZrrbkz
+    2484099908U,	// VSUBSSrm
+    2484099908U,	// VSUBSSrm_Int
+    2484099908U,	// VSUBSSrr
+    2484099908U,	// VSUBSSrr_Int
+    1041254893U,	// VTESTPDYrm
+    336611821U,	// VTESTPDYrr
+    537938413U,	// VTESTPDrm
+    336611821U,	// VTESTPDrr
+    1041258996U,	// VTESTPSYrm
+    336615924U,	// VTESTPSYrr
+    537942516U,	// VTESTPSrm
+    336615924U,	// VTESTPSrr
+    571493375U,	// VUCOMISDZrm
+    336612351U,	// VUCOMISDZrr
+    571493375U,	// VUCOMISDrm
+    336612351U,	// VUCOMISDrr
+    605051776U,	// VUCOMISSZrm
+    336616320U,	// VUCOMISSZrr
+    605051776U,	// VUCOMISSrm
+    336616320U,	// VUCOMISSrr
+    2484095267U,	// VUNPCKHPDYrm
+    2484095267U,	// VUNPCKHPDYrr
+    2484095267U,	// VUNPCKHPDZrm
+    2484095267U,	// VUNPCKHPDZrr
+    2484095267U,	// VUNPCKHPDrm
+    2484095267U,	// VUNPCKHPDrr
+    2484099317U,	// VUNPCKHPSYrm
+    2484099317U,	// VUNPCKHPSYrr
+    2484099317U,	// VUNPCKHPSZrm
+    2484099317U,	// VUNPCKHPSZrr
+    2484099317U,	// VUNPCKHPSrm
+    2484099317U,	// VUNPCKHPSrr
+    2484095309U,	// VUNPCKLPDYrm
+    2484095309U,	// VUNPCKLPDYrr
+    2484095309U,	// VUNPCKLPDZrm
+    2484095309U,	// VUNPCKLPDZrr
+    2484095309U,	// VUNPCKLPDrm
+    2484095309U,	// VUNPCKLPDrr
+    2484099379U,	// VUNPCKLPSYrm
+    2484099379U,	// VUNPCKLPSYrr
+    2484099379U,	// VUNPCKLPSZrm
+    2484099379U,	// VUNPCKLPSZrr
+    2484099379U,	// VUNPCKLPSrm
+    2484099379U,	// VUNPCKLPSrr
+    2484095429U,	// VXORPDYrm
+    2484095429U,	// VXORPDYrr
+    2484095429U,	// VXORPDrm
+    2484095429U,	// VXORPDrr
+    2484099499U,	// VXORPSYrm
+    2484099499U,	// VXORPSYrr
+    2484099499U,	// VXORPSrm
+    2484099499U,	// VXORPSrr
+    10541U,	// VZEROALL
+    10774U,	// VZEROUPPER
     0U,	// V_SET0
     0U,	// V_SETALLONES
-    153629U,	// W64ALLOCA
-    12122U,	// WAIT
-    11389U,	// WBINVD
-    11718U,	// WIN_ALLOCA
-    11594U,	// WIN_FTOL_32
-    11594U,	// WIN_FTOL_64
-    22150U,	// WRFSBASE
-    22150U,	// WRFSBASE64
-    22170U,	// WRGSBASE
-    22170U,	// WRGSBASE64
-    11895U,	// WRMSR
-    25084U,	// XABORT
-    11460U,	// XACQUIRE_PREFIX
-    1085319U,	// XADD16rm
-    336613255U,	// XADD16rr
-    1118087U,	// XADD32rm
-    336613255U,	// XADD32rr
-    1134471U,	// XADD64rm
-    336613255U,	// XADD64rr
-    1150855U,	// XADD8rm
-    336613255U,	// XADD8rr
-    11129U,	// XBEGIN
-    153784U,	// XBEGIN_4
-    26314U,	// XCHG16ar
-    464616U,	// XCHG16rm
-    726760U,	// XCHG16rr
-    26477U,	// XCHG32ar
-    26477U,	// XCHG32ar64
-    481000U,	// XCHG32rm
-    726760U,	// XCHG32rr
-    26601U,	// XCHG64ar
-    497384U,	// XCHG64rm
-    726760U,	// XCHG64rr
-    513768U,	// XCHG8rm
-    726760U,	// XCHG8rr
-    22289U,	// XCH_F
-    11278U,	// XCRYPTCBC
-    11222U,	// XCRYPTCFB
-    11901U,	// XCRYPTCTR
-    11212U,	// XCRYPTECB
-    11232U,	// XCRYPTOFB
-    11354U,	// XEND
-    12177U,	// XGETBV
-    11262U,	// XLAT
-    26341U,	// XOR16i16
-    1088627U,	// XOR16mi
-    1088627U,	// XOR16mi8
-    1088627U,	// XOR16mr
-    34659443U,	// XOR16ri
-    34659443U,	// XOR16ri8
-    68213875U,	// XOR16rm
-    34659443U,	// XOR16rr
-    34626675U,	// XOR16rr_REV
-    26507U,	// XOR32i32
-    1121395U,	// XOR32mi
-    1121395U,	// XOR32mi8
-    1121395U,	// XOR32mr
-    34659443U,	// XOR32ri
-    34659443U,	// XOR32ri8
-    101768307U,	// XOR32rm
-    34659443U,	// XOR32rr
-    34626675U,	// XOR32rr_REV
-    26646U,	// XOR64i32
-    1137779U,	// XOR64mi32
-    1137779U,	// XOR64mi8
-    1137779U,	// XOR64mr
-    34659443U,	// XOR64ri32
-    34659443U,	// XOR64ri8
-    135322739U,	// XOR64rm
-    34659443U,	// XOR64rr
-    34626675U,	// XOR64rr_REV
-    26229U,	// XOR8i8
-    1154163U,	// XOR8mi
-    1154163U,	// XOR8mr
-    34659443U,	// XOR8ri
-    34659443U,	// XOR8ri8
-    168877171U,	// XOR8rm
-    34659443U,	// XOR8rr
-    34626675U,	// XOR8rr_REV
-    202396368U,	// XORPDrm
-    34624208U,	// XORPDrr
-    202399615U,	// XORPSrm
-    34627455U,	// XORPSrr
-    11476U,	// XRELEASE_PREFIX
-    285801U,	// XRSTOR
-    281616U,	// XRSTOR64
-    284359U,	// XSAVE
-    281606U,	// XSAVE64
-    287218U,	// XSAVEOPT
-    281626U,	// XSAVEOPT64
-    12184U,	// XSETBV
-    10856U,	// XSHA1
-    11091U,	// XSHA256
-    11469U,	// XSTORE
-    12160U,	// XTEST
+    11035U,	// WAIT
+    10269U,	// WBINVD
+    10604U,	// WIN_ALLOCA
+    10474U,	// WIN_FTOL_32
+    10474U,	// WIN_FTOL_64
+    20048U,	// WRFSBASE
+    20048U,	// WRFSBASE64
+    20068U,	// WRGSBASE
+    20068U,	// WRGSBASE64
+    10808U,	// WRMSR
+    23684U,	// XABORT
+    10340U,	// XACQUIRE_PREFIX
+    1082750U,	// XADD16rm
+    336610686U,	// XADD16rr
+    1115518U,	// XADD32rm
+    336610686U,	// XADD32rr
+    1131902U,	// XADD64rm
+    336610686U,	// XADD64rr
+    1148286U,	// XADD8rm
+    336610686U,	// XADD8rr
+    10009U,	// XBEGIN
+    151732U,	// XBEGIN_2
+    151732U,	// XBEGIN_4
+    25102U,	// XCHG16ar
+    462514U,	// XCHG16rm
+    822962U,	// XCHG16rr
+    25265U,	// XCHG32ar
+    25265U,	// XCHG32ar64
+    478898U,	// XCHG32rm
+    822962U,	// XCHG32rr
+    25389U,	// XCHG64ar
+    495282U,	// XCHG64rm
+    822962U,	// XCHG64rr
+    511666U,	// XCHG8rm
+    822962U,	// XCHG8rr
+    20187U,	// XCH_F
+    10158U,	// XCRYPTCBC
+    10102U,	// XCRYPTCFB
+    10814U,	// XCRYPTCTR
+    10092U,	// XCRYPTECB
+    10112U,	// XCRYPTOFB
+    10234U,	// XEND
+    11098U,	// XGETBV
+    10142U,	// XLAT
+    25129U,	// XOR16i16
+    1086980U,	// XOR16mi
+    1086980U,	// XOR16mi8
+    1086980U,	// XOR16mr
+    34657796U,	// XOR16ri
+    34657796U,	// XOR16ri8
+    68212228U,	// XOR16rm
+    34657796U,	// XOR16rr
+    34625028U,	// XOR16rr_REV
+    25295U,	// XOR32i32
+    1119748U,	// XOR32mi
+    1119748U,	// XOR32mi8
+    1119748U,	// XOR32mr
+    34657796U,	// XOR32ri
+    34657796U,	// XOR32ri8
+    101766660U,	// XOR32rm
+    34657796U,	// XOR32rr
+    34625028U,	// XOR32rr_REV
+    25434U,	// XOR64i32
+    1136132U,	// XOR64mi32
+    1136132U,	// XOR64mi8
+    1136132U,	// XOR64mr
+    34657796U,	// XOR64ri32
+    34657796U,	// XOR64ri8
+    135321092U,	// XOR64rm
+    34657796U,	// XOR64rr
+    34625028U,	// XOR64rr_REV
+    25017U,	// XOR8i8
+    1152516U,	// XOR8mi
+    1152516U,	// XOR8mi8
+    1152516U,	// XOR8mr
+    34657796U,	// XOR8ri
+    34657796U,	// XOR8ri8
+    168875524U,	// XOR8rm
+    34657796U,	// XOR8rr
+    34625028U,	// XOR8rr_REV
+    202394054U,	// XORPDrm
+    34621894U,	// XORPDrr
+    202398124U,	// XORPSrm
+    34625964U,	// XORPSrr
+    10356U,	// XRELEASE_PREFIX
+    284154U,	// XRSTOR
+    278741U,	// XRSTOR64
+    285238U,	// XRSTORS
+    278761U,	// XRSTORS64
+    282257U,	// XSAVE
+    278731U,	// XSAVE64
+    279726U,	// XSAVEC
+    278720U,	// XSAVEC64
+    285806U,	// XSAVEOPT
+    278772U,	// XSAVEOPT64
+    284267U,	// XSAVES
+    278751U,	// XSAVES64
+    11105U,	// XSETBV
+    9736U,	// XSHA1
+    9971U,	// XSHA256
+    10349U,	// XSTORE
+    11081U,	// XTEST
+    10675U,	// fdisi8087_nop
+    10662U,	// feni8087_nop
     0U
   };
 
@@ -6305,6 +8891,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// AAA
     0U,	// AAD8i8
     0U,	// AAM8i8
@@ -6346,8 +8934,10 @@ static void printInstruction(MCInst *MI,
     0U,	// ADC64rr_REV
     0U,	// ADC8i8
     0U,	// ADC8mi
+    0U,	// ADC8mi8
     0U,	// ADC8mr
     0U,	// ADC8ri
+    0U,	// ADC8ri8
     0U,	// ADC8rm
     0U,	// ADC8rr
     0U,	// ADC8rr_REV
@@ -6393,6 +8983,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ADD64rr_REV
     0U,	// ADD8i8
     0U,	// ADD8mi
+    0U,	// ADD8mi8
     0U,	// ADD8mr
     0U,	// ADD8ri
     0U,	// ADD8ri8
@@ -6455,7 +9046,7 @@ static void printInstruction(MCInst *MI,
     0U,	// AESIMCrm
     0U,	// AESIMCrr
     0U,	// AESKEYGENASSIST128rm
-    8U,	// AESKEYGENASSIST128rr
+    16U,	// AESKEYGENASSIST128rr
     0U,	// AND16i16
     0U,	// AND16mi
     0U,	// AND16mi8
@@ -6485,16 +9076,17 @@ static void printInstruction(MCInst *MI,
     0U,	// AND64rr_REV
     0U,	// AND8i8
     0U,	// AND8mi
+    0U,	// AND8mi8
     0U,	// AND8mr
     0U,	// AND8ri
     0U,	// AND8ri8
     0U,	// AND8rm
     0U,	// AND8rr
     0U,	// AND8rr_REV
-    16U,	// ANDN32rm
-    8U,	// ANDN32rr
-    24U,	// ANDN64rm
-    8U,	// ANDN64rr
+    32U,	// ANDN32rm
+    48U,	// ANDN32rr
+    64U,	// ANDN64rm
+    48U,	// ANDN64rr
     0U,	// ANDNPDrm
     0U,	// ANDNPDrr
     0U,	// ANDNPSrm
@@ -6508,14 +9100,14 @@ static void printInstruction(MCInst *MI,
     0U,	// AVX2_SETALLONES
     0U,	// AVX512_512_SET0
     0U,	// AVX_SET0
-    0U,	// BEXTR32rm
-    8U,	// BEXTR32rr
-    0U,	// BEXTR64rm
-    8U,	// BEXTR64rr
-    0U,	// BEXTRI32mi
-    8U,	// BEXTRI32ri
-    0U,	// BEXTRI64mi
-    8U,	// BEXTRI64ri
+    80U,	// BEXTR32rm
+    48U,	// BEXTR32rr
+    80U,	// BEXTR64rm
+    48U,	// BEXTR64rr
+    80U,	// BEXTRI32mi
+    48U,	// BEXTRI32ri
+    80U,	// BEXTRI64mi
+    48U,	// BEXTRI64ri
     0U,	// BLCFILL32rm
     0U,	// BLCFILL32rr
     0U,	// BLCFILL64rm
@@ -6536,10 +9128,10 @@ static void printInstruction(MCInst *MI,
     0U,	// BLCS32rr
     0U,	// BLCS64rm
     0U,	// BLCS64rr
-    32U,	// BLENDPDrmi
-    40U,	// BLENDPDrri
-    32U,	// BLENDPSrmi
-    40U,	// BLENDPSrri
+    96U,	// BLENDPDrmi
+    112U,	// BLENDPDrri
+    96U,	// BLENDPSrmi
+    112U,	// BLENDPSrri
     0U,	// BLENDVPDrm0
     0U,	// BLENDVPDrr0
     0U,	// BLENDVPSrm0
@@ -6628,10 +9220,10 @@ static void printInstruction(MCInst *MI,
     0U,	// BTS64mr
     0U,	// BTS64ri8
     0U,	// BTS64rr
-    0U,	// BZHI32rm
-    8U,	// BZHI32rr
-    0U,	// BZHI64rm
-    8U,	// BZHI64rr
+    80U,	// BZHI32rm
+    48U,	// BZHI32rr
+    80U,	// BZHI64rm
+    48U,	// BZHI64rr
     0U,	// CALL16m
     0U,	// CALL16r
     0U,	// CALL32m
@@ -6652,9 +9244,11 @@ static void printInstruction(MCInst *MI,
     0U,	// CLC
     0U,	// CLD
     0U,	// CLFLUSH
+    0U,	// CLFLUSHOPT
     0U,	// CLGI
     0U,	// CLI
     0U,	// CLTS
+    0U,	// CLWB
     0U,	// CMC
     0U,	// CMOVA16rm
     0U,	// CMOVA16rr
@@ -6830,30 +9424,32 @@ static void printInstruction(MCInst *MI,
     0U,	// CMP64rr_REV
     0U,	// CMP8i8
     0U,	// CMP8mi
+    0U,	// CMP8mi8
     0U,	// CMP8mr
     0U,	// CMP8ri
+    0U,	// CMP8ri8
     0U,	// CMP8rm
     0U,	// CMP8rr
     0U,	// CMP8rr_REV
     0U,	// CMPPDrmi
-    32U,	// CMPPDrmi_alt
+    96U,	// CMPPDrmi_alt
     0U,	// CMPPDrri
-    40U,	// CMPPDrri_alt
+    112U,	// CMPPDrri_alt
     0U,	// CMPPSrmi
-    32U,	// CMPPSrmi_alt
+    96U,	// CMPPSrmi_alt
     0U,	// CMPPSrri
-    40U,	// CMPPSrri_alt
+    112U,	// CMPPSrri_alt
     0U,	// CMPSB
     0U,	// CMPSDrm
-    32U,	// CMPSDrm_alt
+    96U,	// CMPSDrm_alt
     0U,	// CMPSDrr
-    40U,	// CMPSDrr_alt
+    112U,	// CMPSDrr_alt
     0U,	// CMPSL
     0U,	// CMPSQ
     0U,	// CMPSSrm
-    32U,	// CMPSSrm_alt
+    96U,	// CMPSSrm_alt
     0U,	// CMPSSrr
-    40U,	// CMPSSrr_alt
+    112U,	// CMPSSrr_alt
     0U,	// CMPSW
     0U,	// CMPXCHG16B
     0U,	// CMPXCHG16rm
@@ -6877,8 +9473,7 @@ static void printInstruction(MCInst *MI,
     0U,	// COS_Fp32
     0U,	// COS_Fp64
     0U,	// COS_Fp80
-    0U,	// CPUID32
-    0U,	// CPUID64
+    0U,	// CPUID
     0U,	// CQO
     0U,	// CRC32r32m16
     0U,	// CRC32r32m32
@@ -6941,14 +9536,10 @@ static void printInstruction(MCInst *MI,
     0U,	// DATA16_PREFIX
     0U,	// DEC16m
     0U,	// DEC16r
-    0U,	// DEC32_16r
-    0U,	// DEC32_32r
+    0U,	// DEC16r_alt
     0U,	// DEC32m
     0U,	// DEC32r
-    0U,	// DEC64_16m
-    0U,	// DEC64_16r
-    0U,	// DEC64_32m
-    0U,	// DEC64_32r
+    0U,	// DEC32r_alt
     0U,	// DEC64m
     0U,	// DEC64r
     0U,	// DEC8m
@@ -7012,10 +9603,10 @@ static void printInstruction(MCInst *MI,
     0U,	// DIV_FpI32m64
     0U,	// DIV_FpI32m80
     0U,	// DIV_FrST0
-    32U,	// DPPDrmi
-    40U,	// DPPDrri
-    32U,	// DPPSrmi
-    40U,	// DPPSrri
+    96U,	// DPPDrmi
+    112U,	// DPPDrri
+    96U,	// DPPSrmi
+    112U,	// DPPSrri
     0U,	// EH_RETURN
     0U,	// EH_RETURN64
     0U,	// EH_SjLj_LongJmp32
@@ -7027,9 +9618,9 @@ static void printInstruction(MCInst *MI,
     0U,	// ENCLU
     0U,	// ENTER
     0U,	// EXTRACTPSmr
-    8U,	// EXTRACTPSrr
+    16U,	// EXTRACTPSrr
     0U,	// EXTRQ
-    40U,	// EXTRQI
+    112U,	// EXTRQI
     0U,	// F2XM1
     0U,	// FARCALL16i
     0U,	// FARCALL16m
@@ -7082,6 +9673,7 @@ static void printInstruction(MCInst *MI,
     0U,	// FPREM
     0U,	// FPREM1
     0U,	// FPTAN
+    0U,	// FP_FFREEP
     0U,	// FRNDINT
     0U,	// FRSTORm
     0U,	// FSAVEm
@@ -7119,6 +9711,22 @@ static void printInstruction(MCInst *MI,
     0U,	// FsXORPDrr
     0U,	// FsXORPSrm
     0U,	// FsXORPSrr
+    0U,	// FvANDNPDrm
+    0U,	// FvANDNPDrr
+    0U,	// FvANDNPSrm
+    0U,	// FvANDNPSrr
+    0U,	// FvANDPDrm
+    0U,	// FvANDPDrr
+    0U,	// FvANDPSrm
+    0U,	// FvANDPSrr
+    0U,	// FvORPDrm
+    0U,	// FvORPDrr
+    0U,	// FvORPSrm
+    0U,	// FvORPSrr
+    0U,	// FvXORPDrm
+    0U,	// FvXORPDrr
+    0U,	// FvXORPSrm
+    0U,	// FvXORPSrr
     0U,	// GETSEC
     0U,	// HADDPDrm
     0U,	// HADDPDrr
@@ -7152,27 +9760,27 @@ static void printInstruction(MCInst *MI,
     0U,	// IMUL16m
     0U,	// IMUL16r
     0U,	// IMUL16rm
-    0U,	// IMUL16rmi
-    0U,	// IMUL16rmi8
+    80U,	// IMUL16rmi
+    80U,	// IMUL16rmi8
     0U,	// IMUL16rr
-    8U,	// IMUL16rri
-    8U,	// IMUL16rri8
+    48U,	// IMUL16rri
+    48U,	// IMUL16rri8
     0U,	// IMUL32m
     0U,	// IMUL32r
     0U,	// IMUL32rm
-    0U,	// IMUL32rmi
-    0U,	// IMUL32rmi8
+    80U,	// IMUL32rmi
+    80U,	// IMUL32rmi8
     0U,	// IMUL32rr
-    8U,	// IMUL32rri
-    8U,	// IMUL32rri8
+    48U,	// IMUL32rri
+    48U,	// IMUL32rri8
     0U,	// IMUL64m
     0U,	// IMUL64r
     0U,	// IMUL64rm
-    0U,	// IMUL64rmi32
-    0U,	// IMUL64rmi8
+    80U,	// IMUL64rmi32
+    80U,	// IMUL64rmi8
     0U,	// IMUL64rr
-    8U,	// IMUL64rri32
-    8U,	// IMUL64rri8
+    48U,	// IMUL64rri32
+    48U,	// IMUL64rri8
     0U,	// IMUL8m
     0U,	// IMUL8r
     0U,	// IN16ri
@@ -7183,23 +9791,19 @@ static void printInstruction(MCInst *MI,
     0U,	// IN8rr
     0U,	// INC16m
     0U,	// INC16r
-    0U,	// INC32_16r
-    0U,	// INC32_32r
+    0U,	// INC16r_alt
     0U,	// INC32m
     0U,	// INC32r
-    0U,	// INC64_16m
-    0U,	// INC64_16r
-    0U,	// INC64_32m
-    0U,	// INC64_32r
+    0U,	// INC32r_alt
     0U,	// INC64m
     0U,	// INC64r
     0U,	// INC8m
     0U,	// INC8r
     0U,	// INSB
-    32U,	// INSERTPSrm
-    40U,	// INSERTPSrr
+    96U,	// INSERTPSrm
+    112U,	// INSERTPSrr
     0U,	// INSERTQ
-    296U,	// INSERTQI
+    1136U,	// INSERTQI
     0U,	// INSL
     0U,	// INSW
     0U,	// INT
@@ -7278,10 +9882,10 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_UCOMISDrr
     0U,	// Int_UCOMISSrm
     0U,	// Int_UCOMISSrr
-    48U,	// Int_VCMPSDrm
-    8U,	// Int_VCMPSDrr
-    56U,	// Int_VCMPSSrm
-    8U,	// Int_VCMPSSrr
+    128U,	// Int_VCMPSDrm
+    48U,	// Int_VCMPSDrr
+    144U,	// Int_VCMPSSrm
+    48U,	// Int_VCMPSSrr
     0U,	// Int_VCOMISDZrm
     0U,	// Int_VCOMISDZrr
     0U,	// Int_VCOMISDrm
@@ -7290,26 +9894,26 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_VCOMISSZrr
     0U,	// Int_VCOMISSrm
     0U,	// Int_VCOMISSrr
-    48U,	// Int_VCVTSD2SSrm
-    8U,	// Int_VCVTSD2SSrr
-    24U,	// Int_VCVTSI2SD64Zrm
-    8U,	// Int_VCVTSI2SD64Zrr
-    24U,	// Int_VCVTSI2SD64rm
-    8U,	// Int_VCVTSI2SD64rr
-    16U,	// Int_VCVTSI2SDZrm
-    8U,	// Int_VCVTSI2SDZrr
-    16U,	// Int_VCVTSI2SDrm
-    8U,	// Int_VCVTSI2SDrr
-    24U,	// Int_VCVTSI2SS64Zrm
-    8U,	// Int_VCVTSI2SS64Zrr
-    24U,	// Int_VCVTSI2SS64rm
-    8U,	// Int_VCVTSI2SS64rr
-    16U,	// Int_VCVTSI2SSZrm
-    8U,	// Int_VCVTSI2SSZrr
-    16U,	// Int_VCVTSI2SSrm
-    8U,	// Int_VCVTSI2SSrr
-    56U,	// Int_VCVTSS2SDrm
-    8U,	// Int_VCVTSS2SDrr
+    128U,	// Int_VCVTSD2SSrm
+    48U,	// Int_VCVTSD2SSrr
+    64U,	// Int_VCVTSI2SD64Zrm
+    48U,	// Int_VCVTSI2SD64Zrr
+    64U,	// Int_VCVTSI2SD64rm
+    48U,	// Int_VCVTSI2SD64rr
+    32U,	// Int_VCVTSI2SDZrm
+    48U,	// Int_VCVTSI2SDZrr
+    32U,	// Int_VCVTSI2SDrm
+    48U,	// Int_VCVTSI2SDrr
+    64U,	// Int_VCVTSI2SS64Zrm
+    48U,	// Int_VCVTSI2SS64Zrr
+    64U,	// Int_VCVTSI2SS64rm
+    48U,	// Int_VCVTSI2SS64rr
+    32U,	// Int_VCVTSI2SSZrm
+    48U,	// Int_VCVTSI2SSZrr
+    32U,	// Int_VCVTSI2SSrm
+    48U,	// Int_VCVTSI2SSrr
+    144U,	// Int_VCVTSS2SDrm
+    48U,	// Int_VCVTSS2SDrr
     0U,	// Int_VCVTTSD2SI64Zrm
     0U,	// Int_VCVTTSD2SI64Zrr
     0U,	// Int_VCVTTSD2SI64rm
@@ -7334,14 +9938,14 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_VCVTTSS2USI64Zrr
     0U,	// Int_VCVTTSS2USIZrm
     0U,	// Int_VCVTTSS2USIZrr
-    24U,	// Int_VCVTUSI2SD64Zrm
-    8U,	// Int_VCVTUSI2SD64Zrr
-    16U,	// Int_VCVTUSI2SDZrm
-    8U,	// Int_VCVTUSI2SDZrr
-    24U,	// Int_VCVTUSI2SS64Zrm
-    8U,	// Int_VCVTUSI2SS64Zrr
-    16U,	// Int_VCVTUSI2SSZrm
-    8U,	// Int_VCVTUSI2SSZrr
+    64U,	// Int_VCVTUSI2SD64Zrm
+    48U,	// Int_VCVTUSI2SD64Zrr
+    32U,	// Int_VCVTUSI2SDZrm
+    48U,	// Int_VCVTUSI2SDZrr
+    64U,	// Int_VCVTUSI2SS64Zrm
+    48U,	// Int_VCVTUSI2SS64Zrr
+    32U,	// Int_VCVTUSI2SSZrm
+    48U,	// Int_VCVTUSI2SSZrr
     0U,	// Int_VUCOMISDZrm
     0U,	// Int_VUCOMISDZrr
     0U,	// Int_VUCOMISDrm
@@ -7363,8 +9967,7 @@ static void printInstruction(MCInst *MI,
     0U,	// JB_2
     0U,	// JB_4
     0U,	// JCXZ
-    0U,	// JECXZ_32
-    0U,	// JECXZ_64
+    0U,	// JECXZ
     0U,	// JE_1
     0U,	// JE_2
     0U,	// JE_4
@@ -7411,14 +10014,14 @@ static void printInstruction(MCInst *MI,
     0U,	// JS_1
     0U,	// JS_2
     0U,	// JS_4
-    8U,	// KANDBrr
-    8U,	// KANDDrr
-    8U,	// KANDNBrr
-    8U,	// KANDNDrr
-    8U,	// KANDNQrr
-    8U,	// KANDNWrr
-    8U,	// KANDQrr
-    8U,	// KANDWrr
+    48U,	// KANDBrr
+    48U,	// KANDDrr
+    48U,	// KANDNBrr
+    48U,	// KANDNDrr
+    48U,	// KANDNQrr
+    48U,	// KANDNWrr
+    48U,	// KANDQrr
+    48U,	// KANDWrr
     0U,	// KMOVBkk
     0U,	// KMOVBkm
     0U,	// KMOVBkr
@@ -7443,26 +10046,35 @@ static void printInstruction(MCInst *MI,
     0U,	// KNOTDrr
     0U,	// KNOTQrr
     0U,	// KNOTWrr
-    8U,	// KORBrr
-    8U,	// KORDrr
-    8U,	// KORQrr
+    48U,	// KORBrr
+    48U,	// KORDrr
+    48U,	// KORQrr
+    0U,	// KORTESTBrr
+    0U,	// KORTESTDrr
+    0U,	// KORTESTQrr
     0U,	// KORTESTWrr
-    8U,	// KORWrr
+    48U,	// KORWrr
     0U,	// KSET0B
     0U,	// KSET0W
     0U,	// KSET1B
     0U,	// KSET1W
-    8U,	// KSHIFTLWri
-    8U,	// KSHIFTRWri
-    8U,	// KUNPCKBWrr
-    8U,	// KXNORBrr
-    8U,	// KXNORDrr
-    8U,	// KXNORQrr
-    8U,	// KXNORWrr
-    8U,	// KXORBrr
-    8U,	// KXORDrr
-    8U,	// KXORQrr
-    8U,	// KXORWrr
+    16U,	// KSHIFTLBri
+    16U,	// KSHIFTLDri
+    16U,	// KSHIFTLQri
+    16U,	// KSHIFTLWri
+    16U,	// KSHIFTRBri
+    16U,	// KSHIFTRDri
+    16U,	// KSHIFTRQri
+    16U,	// KSHIFTRWri
+    48U,	// KUNPCKBWrr
+    48U,	// KXNORBrr
+    48U,	// KXNORDrr
+    48U,	// KXNORQrr
+    48U,	// KXNORWrr
+    48U,	// KXORBrr
+    48U,	// KXORDrr
+    48U,	// KXORQrr
+    48U,	// KXORWrr
     0U,	// LAHF
     0U,	// LAR16rm
     0U,	// LAR16rr
@@ -7679,11 +10291,13 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_EMMS
     0U,	// MMX_MASKMOVQ
     0U,	// MMX_MASKMOVQ64
+    0U,	// MMX_MOVD64from64rm
     0U,	// MMX_MOVD64from64rr
     0U,	// MMX_MOVD64grr
     0U,	// MMX_MOVD64mr
     0U,	// MMX_MOVD64rm
     0U,	// MMX_MOVD64rr
+    0U,	// MMX_MOVD64to64rm
     0U,	// MMX_MOVD64to64rr
     0U,	// MMX_MOVDQ2Qrr
     0U,	// MMX_MOVFR642Qrr
@@ -7722,8 +10336,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PADDUSWirr
     0U,	// MMX_PADDWirm
     0U,	// MMX_PADDWirr
-    32U,	// MMX_PALIGNR64irm
-    40U,	// MMX_PALIGNR64irr
+    96U,	// MMX_PALIGNR64irm
+    112U,	// MMX_PALIGNR64irr
     0U,	// MMX_PANDNirm
     0U,	// MMX_PANDNirr
     0U,	// MMX_PANDirm
@@ -7744,7 +10358,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PCMPGTDirr
     0U,	// MMX_PCMPGTWirm
     0U,	// MMX_PCMPGTWirr
-    8U,	// MMX_PEXTRWirri
+    16U,	// MMX_PEXTRWirri
     0U,	// MMX_PHADDSWrm64
     0U,	// MMX_PHADDSWrr64
     0U,	// MMX_PHADDWrm64
@@ -7757,8 +10371,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PHSUBSWrr64
     0U,	// MMX_PHSUBWrm64
     0U,	// MMX_PHSUBWrr64
-    32U,	// MMX_PINSRWirmi
-    40U,	// MMX_PINSRWirri
+    96U,	// MMX_PINSRWirmi
+    112U,	// MMX_PINSRWirri
     0U,	// MMX_PMADDUBSWrm64
     0U,	// MMX_PMADDUBSWrr64
     0U,	// MMX_PMADDWDirm
@@ -7789,7 +10403,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PSHUFBrm64
     0U,	// MMX_PSHUFBrr64
     0U,	// MMX_PSHUFWmi
-    8U,	// MMX_PSHUFWri
+    16U,	// MMX_PSHUFWri
     0U,	// MMX_PSIGNBrm64
     0U,	// MMX_PSIGNBrr64
     0U,	// MMX_PSIGNDrm64
@@ -7856,12 +10470,14 @@ static void printInstruction(MCInst *MI,
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
     0U,	// MOV16ao16
-    0U,	// MOV16ao16_16
+    0U,	// MOV16ao32
+    0U,	// MOV16ao64
     0U,	// MOV16mi
     0U,	// MOV16mr
     0U,	// MOV16ms
     0U,	// MOV16o16a
-    0U,	// MOV16o16a_16
+    0U,	// MOV16o32a
+    0U,	// MOV16o64a
     0U,	// MOV16ri
     0U,	// MOV16ri_alt
     0U,	// MOV16rm
@@ -7870,15 +10486,17 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV16rs
     0U,	// MOV16sm
     0U,	// MOV16sr
+    0U,	// MOV32ao16
     0U,	// MOV32ao32
-    0U,	// MOV32ao32_16
+    0U,	// MOV32ao64
     0U,	// MOV32cr
     0U,	// MOV32dr
     0U,	// MOV32mi
     0U,	// MOV32mr
     0U,	// MOV32ms
+    0U,	// MOV32o16a
     0U,	// MOV32o32a
-    0U,	// MOV32o32a_16
+    0U,	// MOV32o64a
     0U,	// MOV32r0
     0U,	// MOV32rc
     0U,	// MOV32rd
@@ -7891,19 +10509,15 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV32rs
     0U,	// MOV32sm
     0U,	// MOV32sr
-    0U,	// MOV64ao16
     0U,	// MOV64ao32
     0U,	// MOV64ao64
-    0U,	// MOV64ao8
     0U,	// MOV64cr
     0U,	// MOV64dr
     0U,	// MOV64mi32
     0U,	// MOV64mr
     0U,	// MOV64ms
-    0U,	// MOV64o16a
     0U,	// MOV64o32a
     0U,	// MOV64o64a
-    0U,	// MOV64o8a
     0U,	// MOV64rc
     0U,	// MOV64rd
     0U,	// MOV64ri
@@ -7914,22 +10528,25 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV64rs
     0U,	// MOV64sm
     0U,	// MOV64sr
+    0U,	// MOV64toPQIrm
     0U,	// MOV64toPQIrr
     0U,	// MOV64toSDrm
     0U,	// MOV64toSDrr
-    0U,	// MOV8ao8
-    0U,	// MOV8ao8_16
+    0U,	// MOV8ao16
+    0U,	// MOV8ao32
+    0U,	// MOV8ao64
     0U,	// MOV8mi
     0U,	// MOV8mr
-    1U,	// MOV8mr_NOREX
-    0U,	// MOV8o8a
-    0U,	// MOV8o8a_16
+    0U,	// MOV8mr_NOREX
+    0U,	// MOV8o16a
+    0U,	// MOV8o32a
+    0U,	// MOV8o64a
     0U,	// MOV8ri
     0U,	// MOV8ri_alt
     0U,	// MOV8rm
-    1U,	// MOV8rm_NOREX
+    0U,	// MOV8rm_NOREX
     0U,	// MOV8rr
-    1U,	// MOV8rr_NOREX
+    0U,	// MOV8rr_NOREX
     0U,	// MOV8rr_REV
     0U,	// MOVAPDmr
     0U,	// MOVAPDrm
@@ -7984,6 +10601,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVPDI2DIrr
     0U,	// MOVPQI2QImr
     0U,	// MOVPQI2QIrr
+    0U,	// MOVPQIto64rm
     0U,	// MOVPQIto64rr
     0U,	// MOVQI2PQIrm
     0U,	// MOVSB
@@ -8008,6 +10626,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVSW
     0U,	// MOVSX16rm8
     0U,	// MOVSX16rr8
+    0U,	// MOVSX32_NOREXrm8
+    0U,	// MOVSX32_NOREXrr8
     0U,	// MOVSX32rm16
     0U,	// MOVSX32rm8
     0U,	// MOVSX32rr16
@@ -8015,6 +10635,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVSX64_NOREXrr32
     0U,	// MOVSX64rm16
     0U,	// MOVSX64rm32
+    0U,	// MOVSX64rm32_alt
     0U,	// MOVSX64rm8
     0U,	// MOVSX64rr16
     0U,	// MOVSX64rr32
@@ -8043,8 +10664,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVZX64rm8_Q
     0U,	// MOVZX64rr16_Q
     0U,	// MOVZX64rr8_Q
-    32U,	// MPSADBWrmi
-    40U,	// MPSADBWrri
+    96U,	// MPSADBWrmi
+    112U,	// MPSADBWrri
     0U,	// MUL16m
     0U,	// MUL16r
     0U,	// MUL32m
@@ -8065,10 +10686,10 @@ static void printInstruction(MCInst *MI,
     0U,	// MULSSrm_Int
     0U,	// MULSSrr
     0U,	// MULSSrr_Int
-    16U,	// MULX32rm
-    8U,	// MULX32rr
-    24U,	// MULX64rm
-    8U,	// MULX64rr
+    32U,	// MULX32rm
+    48U,	// MULX32rr
+    64U,	// MULX64rm
+    48U,	// MULX64rr
     0U,	// MUL_F32m
     0U,	// MUL_F64m
     0U,	// MUL_FI16m
@@ -8169,6 +10790,7 @@ static void printInstruction(MCInst *MI,
     0U,	// OR64rr_REV
     0U,	// OR8i8
     0U,	// OR8mi
+    0U,	// OR8mi8
     0U,	// OR8mr
     0U,	// OR8ri
     0U,	// OR8ri8
@@ -8218,8 +10840,8 @@ static void printInstruction(MCInst *MI,
     0U,	// PADDUSWrr
     0U,	// PADDWrm
     0U,	// PADDWrr
-    32U,	// PALIGNR128rm
-    40U,	// PALIGNR128rr
+    96U,	// PALIGNR128rm
+    112U,	// PALIGNR128rr
     0U,	// PANDNrm
     0U,	// PANDNrr
     0U,	// PANDrm
@@ -8233,10 +10855,10 @@ static void printInstruction(MCInst *MI,
     0U,	// PAVGWrr
     0U,	// PBLENDVBrm0
     0U,	// PBLENDVBrr0
-    32U,	// PBLENDWrmi
-    40U,	// PBLENDWrri
-    32U,	// PCLMULQDQrm
-    40U,	// PCLMULQDQrr
+    96U,	// PBLENDWrmi
+    112U,	// PBLENDWrri
+    96U,	// PCLMULQDQrm
+    112U,	// PCLMULQDQrr
     0U,	// PCMPEQBrm
     0U,	// PCMPEQBrr
     0U,	// PCMPEQDrm
@@ -8248,11 +10870,11 @@ static void printInstruction(MCInst *MI,
     0U,	// PCMPESTRIMEM
     0U,	// PCMPESTRIREG
     0U,	// PCMPESTRIrm
-    8U,	// PCMPESTRIrr
+    16U,	// PCMPESTRIrr
     0U,	// PCMPESTRM128MEM
     0U,	// PCMPESTRM128REG
     0U,	// PCMPESTRM128rm
-    8U,	// PCMPESTRM128rr
+    16U,	// PCMPESTRM128rr
     0U,	// PCMPGTBrm
     0U,	// PCMPGTBrr
     0U,	// PCMPGTDrm
@@ -8264,28 +10886,29 @@ static void printInstruction(MCInst *MI,
     0U,	// PCMPISTRIMEM
     0U,	// PCMPISTRIREG
     0U,	// PCMPISTRIrm
-    8U,	// PCMPISTRIrr
+    16U,	// PCMPISTRIrr
     0U,	// PCMPISTRM128MEM
     0U,	// PCMPISTRM128REG
     0U,	// PCMPISTRM128rm
-    8U,	// PCMPISTRM128rr
-    16U,	// PDEP32rm
-    8U,	// PDEP32rr
-    24U,	// PDEP64rm
-    8U,	// PDEP64rr
-    16U,	// PEXT32rm
-    8U,	// PEXT32rr
-    24U,	// PEXT64rm
-    8U,	// PEXT64rr
+    16U,	// PCMPISTRM128rr
+    0U,	// PCOMMIT
+    32U,	// PDEP32rm
+    48U,	// PDEP32rr
+    64U,	// PDEP64rm
+    48U,	// PDEP64rr
+    32U,	// PEXT32rm
+    48U,	// PEXT32rr
+    64U,	// PEXT64rm
+    48U,	// PEXT64rr
     0U,	// PEXTRBmr
-    8U,	// PEXTRBrr
+    16U,	// PEXTRBrr
     0U,	// PEXTRDmr
-    8U,	// PEXTRDrr
+    16U,	// PEXTRDrr
     0U,	// PEXTRQmr
-    8U,	// PEXTRQrr
+    16U,	// PEXTRQrr
     0U,	// PEXTRWmr
-    8U,	// PEXTRWri
-    8U,	// PEXTRWrr_REV
+    16U,	// PEXTRWri
+    16U,	// PEXTRWrr_REV
     0U,	// PF2IDrm
     0U,	// PF2IDrr
     0U,	// PF2IWrm
@@ -8342,14 +10965,14 @@ static void printInstruction(MCInst *MI,
     0U,	// PI2FDrr
     0U,	// PI2FWrm
     0U,	// PI2FWrr
-    32U,	// PINSRBrm
-    40U,	// PINSRBrr
-    32U,	// PINSRDrm
-    40U,	// PINSRDrr
-    32U,	// PINSRQrm
-    40U,	// PINSRQrr
-    32U,	// PINSRWrmi
-    40U,	// PINSRWrri
+    96U,	// PINSRBrm
+    112U,	// PINSRBrr
+    96U,	// PINSRDrm
+    112U,	// PINSRDrr
+    96U,	// PINSRQrm
+    112U,	// PINSRQrr
+    96U,	// PINSRWrmi
+    112U,	// PINSRWrri
     0U,	// PMADDUBSWrm128
     0U,	// PMADDUBSWrr128
     0U,	// PMADDWDrm
@@ -8464,11 +11087,11 @@ static void printInstruction(MCInst *MI,
     0U,	// PSHUFBrm
     0U,	// PSHUFBrr
     0U,	// PSHUFDmi
-    8U,	// PSHUFDri
+    16U,	// PSHUFDri
     0U,	// PSHUFHWmi
-    8U,	// PSHUFHWri
+    16U,	// PSHUFHWri
     0U,	// PSHUFLWmi
-    8U,	// PSHUFLWri
+    16U,	// PSHUFLWri
     0U,	// PSIGNBrm
     0U,	// PSIGNBrr
     0U,	// PSIGNDrm
@@ -8644,10 +11267,34 @@ static void printInstruction(MCInst *MI,
     0U,	// RDSEED64r
     0U,	// RDTSC
     0U,	// RDTSCP
+    0U,	// RELEASE_ADD32mi
+    0U,	// RELEASE_ADD64mi32
+    0U,	// RELEASE_ADD8mi
+    0U,	// RELEASE_AND32mi
+    0U,	// RELEASE_AND64mi32
+    0U,	// RELEASE_AND8mi
+    0U,	// RELEASE_DEC16m
+    0U,	// RELEASE_DEC32m
+    0U,	// RELEASE_DEC64m
+    0U,	// RELEASE_DEC8m
+    0U,	// RELEASE_INC16m
+    0U,	// RELEASE_INC32m
+    0U,	// RELEASE_INC64m
+    0U,	// RELEASE_INC8m
+    0U,	// RELEASE_MOV16mi
     0U,	// RELEASE_MOV16mr
+    0U,	// RELEASE_MOV32mi
     0U,	// RELEASE_MOV32mr
+    0U,	// RELEASE_MOV64mi32
     0U,	// RELEASE_MOV64mr
+    0U,	// RELEASE_MOV8mi
     0U,	// RELEASE_MOV8mr
+    0U,	// RELEASE_OR32mi
+    0U,	// RELEASE_OR64mi32
+    0U,	// RELEASE_OR8mi
+    0U,	// RELEASE_XOR32mi
+    0U,	// RELEASE_XOR64mi32
+    0U,	// RELEASE_XOR8mi
     0U,	// REPNE_PREFIX
     0U,	// REP_MOVSB_32
     0U,	// REP_MOVSB_64
@@ -8719,20 +11366,20 @@ static void printInstruction(MCInst *MI,
     0U,	// ROR8r1
     0U,	// ROR8rCL
     0U,	// ROR8ri
-    0U,	// RORX32mi
-    8U,	// RORX32ri
-    0U,	// RORX64mi
-    8U,	// RORX64ri
+    80U,	// RORX32mi
+    48U,	// RORX32ri
+    80U,	// RORX64mi
+    48U,	// RORX64ri
     0U,	// ROUNDPDm
-    8U,	// ROUNDPDr
+    16U,	// ROUNDPDr
     0U,	// ROUNDPSm
-    8U,	// ROUNDPSr
-    32U,	// ROUNDSDm
-    40U,	// ROUNDSDr
-    40U,	// ROUNDSDr_Int
-    32U,	// ROUNDSSm
-    40U,	// ROUNDSSr
-    40U,	// ROUNDSSr_Int
+    16U,	// ROUNDPSr
+    96U,	// ROUNDSDm
+    112U,	// ROUNDSDr
+    112U,	// ROUNDSDr_Int
+    96U,	// ROUNDSSm
+    112U,	// ROUNDSSr
+    112U,	// ROUNDSSr_Int
     0U,	// RSM
     0U,	// RSQRTPSm
     0U,	// RSQRTPSm_Int
@@ -8792,10 +11439,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SAR8r1
     0U,	// SAR8rCL
     0U,	// SAR8ri
-    0U,	// SARX32rm
-    8U,	// SARX32rr
-    0U,	// SARX64rm
-    8U,	// SARX64rr
+    80U,	// SARX32rm
+    48U,	// SARX32rr
+    80U,	// SARX64rm
+    48U,	// SARX64rr
     0U,	// SBB16i16
     0U,	// SBB16mi
     0U,	// SBB16mi8
@@ -8825,8 +11472,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SBB64rr_REV
     0U,	// SBB8i8
     0U,	// SBB8mi
+    0U,	// SBB8mi8
     0U,	// SBB8mr
     0U,	// SBB8ri
+    0U,	// SBB8ri8
     0U,	// SBB8rm
     0U,	// SBB8rr
     0U,	// SBB8rr_REV
@@ -8890,8 +11539,8 @@ static void printInstruction(MCInst *MI,
     0U,	// SHA1MSG2rr
     0U,	// SHA1NEXTErm
     0U,	// SHA1NEXTErr
-    32U,	// SHA1RNDS4rmi
-    40U,	// SHA1RNDS4rri
+    96U,	// SHA1RNDS4rmi
+    112U,	// SHA1RNDS4rri
     0U,	// SHA256MSG1rm
     0U,	// SHA256MSG1rr
     0U,	// SHA256MSG2rm
@@ -8923,21 +11572,21 @@ static void printInstruction(MCInst *MI,
     0U,	// SHL8rCL
     0U,	// SHL8ri
     1U,	// SHLD16mrCL
-    0U,	// SHLD16mri8
+    80U,	// SHLD16mri8
     1U,	// SHLD16rrCL
-    40U,	// SHLD16rri8
+    160U,	// SHLD16rri8
     1U,	// SHLD32mrCL
-    0U,	// SHLD32mri8
+    80U,	// SHLD32mri8
     1U,	// SHLD32rrCL
-    40U,	// SHLD32rri8
+    160U,	// SHLD32rri8
     1U,	// SHLD64mrCL
-    0U,	// SHLD64mri8
+    80U,	// SHLD64mri8
     1U,	// SHLD64rrCL
-    40U,	// SHLD64rri8
-    0U,	// SHLX32rm
-    8U,	// SHLX32rr
-    0U,	// SHLX64rm
-    8U,	// SHLX64rr
+    160U,	// SHLD64rri8
+    80U,	// SHLX32rm
+    48U,	// SHLX32rr
+    80U,	// SHLX64rm
+    48U,	// SHLX64rr
     0U,	// SHR16m1
     0U,	// SHR16mCL
     0U,	// SHR16mi
@@ -8963,25 +11612,25 @@ static void printInstruction(MCInst *MI,
     0U,	// SHR8rCL
     0U,	// SHR8ri
     1U,	// SHRD16mrCL
-    0U,	// SHRD16mri8
+    80U,	// SHRD16mri8
     1U,	// SHRD16rrCL
-    40U,	// SHRD16rri8
+    160U,	// SHRD16rri8
     1U,	// SHRD32mrCL
-    0U,	// SHRD32mri8
+    80U,	// SHRD32mri8
     1U,	// SHRD32rrCL
-    40U,	// SHRD32rri8
+    160U,	// SHRD32rri8
     1U,	// SHRD64mrCL
-    0U,	// SHRD64mri8
+    80U,	// SHRD64mri8
     1U,	// SHRD64rrCL
-    40U,	// SHRD64rri8
-    0U,	// SHRX32rm
-    8U,	// SHRX32rr
-    0U,	// SHRX64rm
-    8U,	// SHRX64rr
-    32U,	// SHUFPDrmi
-    40U,	// SHUFPDrri
-    32U,	// SHUFPSrmi
-    40U,	// SHUFPSrri
+    160U,	// SHRD64rri8
+    80U,	// SHRX32rm
+    48U,	// SHRX32rr
+    80U,	// SHRX64rm
+    48U,	// SHRX64rr
+    96U,	// SHUFPDrmi
+    112U,	// SHUFPDrri
+    96U,	// SHUFPSrmi
+    112U,	// SHUFPSrri
     0U,	// SIDT16m
     0U,	// SIDT32m
     0U,	// SIDT64m
@@ -9084,6 +11733,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SUB64rr_REV
     0U,	// SUB8i8
     0U,	// SUB8mi
+    0U,	// SUB8mi8
     0U,	// SUB8mr
     0U,	// SUB8ri
     0U,	// SUB8ri8
@@ -9154,10 +11804,13 @@ static void printInstruction(MCInst *MI,
     0U,	// T1MSKC64rr
     0U,	// TAILJMPd
     0U,	// TAILJMPd64
+    0U,	// TAILJMPd64_REX
     0U,	// TAILJMPm
     0U,	// TAILJMPm64
+    0U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
     0U,	// TAILJMPr64
+    0U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
@@ -9238,168 +11891,299 @@ static void printInstruction(MCInst *MI,
     0U,	// UNPCKLPDrr
     0U,	// UNPCKLPSrm
     0U,	// UNPCKLPSrr
-    35072U,	// VAARG_64
-    64U,	// VADDPDYrm
-    8U,	// VADDPDYrr
-    72U,	// VADDPDZrm
-    560U,	// VADDPDZrmb
-    69898U,	// VADDPDZrmbk
-    69898U,	// VADDPDZrmbkz
-    6410U,	// VADDPDZrmk
-    6410U,	// VADDPDZrmkz
-    8U,	// VADDPDZrr
-    8458U,	// VADDPDZrrk
-    8458U,	// VADDPDZrrkz
-    80U,	// VADDPDrm
-    8U,	// VADDPDrr
-    64U,	// VADDPSYrm
-    8U,	// VADDPSYrr
-    72U,	// VADDPSZrm
-    824U,	// VADDPSZrmb
-    108810U,	// VADDPSZrmbk
-    108810U,	// VADDPSZrmbkz
-    6410U,	// VADDPSZrmk
-    6410U,	// VADDPSZrmkz
-    8U,	// VADDPSZrr
-    8458U,	// VADDPSZrrk
-    8458U,	// VADDPSZrrkz
-    80U,	// VADDPSrm
-    8U,	// VADDPSrr
-    48U,	// VADDSDZrm
-    8U,	// VADDSDZrr
-    48U,	// VADDSDrm
-    48U,	// VADDSDrm_Int
-    8U,	// VADDSDrr
-    8U,	// VADDSDrr_Int
-    56U,	// VADDSSZrm
-    8U,	// VADDSSZrr
-    56U,	// VADDSSrm
-    56U,	// VADDSSrm_Int
-    8U,	// VADDSSrr
-    8U,	// VADDSSrr_Int
-    64U,	// VADDSUBPDYrm
-    8U,	// VADDSUBPDYrr
-    80U,	// VADDSUBPDrm
-    8U,	// VADDSUBPDrr
-    64U,	// VADDSUBPSYrm
-    8U,	// VADDSUBPSYrr
-    80U,	// VADDSUBPSrm
-    8U,	// VADDSUBPSrr
-    88U,	// VAESDECLASTrm
-    8U,	// VAESDECLASTrr
-    88U,	// VAESDECrm
-    8U,	// VAESDECrr
-    88U,	// VAESENCLASTrm
-    8U,	// VAESENCLASTrr
-    88U,	// VAESENCrm
-    8U,	// VAESENCrr
+    17488U,	// VAARG_64
+    176U,	// VADDPDYrm
+    48U,	// VADDPDYrr
+    192U,	// VADDPDZ128rm
+    2176U,	// VADDPDZ128rmb
+    558241U,	// VADDPDZ128rmbk
+    574514U,	// VADDPDZ128rmbkz
+    1115297U,	// VADDPDZ128rmk
+    1131570U,	// VADDPDZ128rmkz
+    48U,	// VADDPDZ128rr
+    1148065U,	// VADDPDZ128rrk
+    1164338U,	// VADDPDZ128rrkz
+    176U,	// VADDPDZ256rm
+    3200U,	// VADDPDZ256rmb
+    1606817U,	// VADDPDZ256rmbk
+    1623090U,	// VADDPDZ256rmbkz
+    132257U,	// VADDPDZ256rmk
+    1197106U,	// VADDPDZ256rmkz
+    48U,	// VADDPDZ256rr
+    1148065U,	// VADDPDZ256rrk
+    1164338U,	// VADDPDZ256rrkz
+    164912U,	// VADDPDZrb
+    8488097U,	// VADDPDZrbk
+    16892978U,	// VADDPDZrbkz
+    208U,	// VADDPDZrm
+    4224U,	// VADDPDZrmb
+    2131105U,	// VADDPDZrmbk
+    2147378U,	// VADDPDZrmbkz
+    181409U,	// VADDPDZrmk
+    197682U,	// VADDPDZrmkz
+    48U,	// VADDPDZrr
+    1148065U,	// VADDPDZrrk
+    1164338U,	// VADDPDZrrkz
+    192U,	// VADDPDrm
+    48U,	// VADDPDrr
+    176U,	// VADDPSYrm
+    48U,	// VADDPSYrr
+    192U,	// VADDPSZ128rm
+    3216U,	// VADDPSZ128rmb
+    1787041U,	// VADDPSZ128rmbk
+    1803314U,	// VADDPSZ128rmbkz
+    1115297U,	// VADDPSZ128rmk
+    1131570U,	// VADDPSZ128rmkz
+    48U,	// VADDPSZ128rr
+    1148065U,	// VADDPSZ128rrk
+    1164338U,	// VADDPSZ128rrkz
+    176U,	// VADDPSZ256rm
+    4240U,	// VADDPSZ256rmb
+    2311329U,	// VADDPSZ256rmbk
+    2327602U,	// VADDPSZ256rmbkz
+    132257U,	// VADDPSZ256rmk
+    1197106U,	// VADDPSZ256rmkz
+    48U,	// VADDPSZ256rr
+    1148065U,	// VADDPSZ256rrk
+    1164338U,	// VADDPSZ256rrkz
+    164912U,	// VADDPSZrb
+    8488097U,	// VADDPSZrbk
+    16892978U,	// VADDPSZrbkz
+    208U,	// VADDPSZrm
+    5264U,	// VADDPSZrmb
+    2835617U,	// VADDPSZrmbk
+    2851890U,	// VADDPSZrmbkz
+    181409U,	// VADDPSZrmk
+    197682U,	// VADDPSZrmkz
+    48U,	// VADDPSZrr
+    1148065U,	// VADDPSZrrk
+    1164338U,	// VADDPSZrrkz
+    192U,	// VADDPSrm
+    48U,	// VADDPSrr
+    128U,	// VADDSDZrm
+    192U,	// VADDSDZrm_Int
+    1115297U,	// VADDSDZrm_Intk
+    1131570U,	// VADDSDZrm_Intkz
+    48U,	// VADDSDZrr
+    48U,	// VADDSDZrr_Int
+    1148065U,	// VADDSDZrr_Intk
+    1164338U,	// VADDSDZrr_Intkz
+    164912U,	// VADDSDZrrb
+    8488097U,	// VADDSDZrrbk
+    16892978U,	// VADDSDZrrbkz
+    128U,	// VADDSDrm
+    128U,	// VADDSDrm_Int
+    48U,	// VADDSDrr
+    48U,	// VADDSDrr_Int
+    144U,	// VADDSSZrm
+    192U,	// VADDSSZrm_Int
+    1115297U,	// VADDSSZrm_Intk
+    1131570U,	// VADDSSZrm_Intkz
+    48U,	// VADDSSZrr
+    48U,	// VADDSSZrr_Int
+    1148065U,	// VADDSSZrr_Intk
+    1164338U,	// VADDSSZrr_Intkz
+    164912U,	// VADDSSZrrb
+    8488097U,	// VADDSSZrrbk
+    16892978U,	// VADDSSZrrbkz
+    144U,	// VADDSSrm
+    144U,	// VADDSSrm_Int
+    48U,	// VADDSSrr
+    48U,	// VADDSSrr_Int
+    176U,	// VADDSUBPDYrm
+    48U,	// VADDSUBPDYrr
+    192U,	// VADDSUBPDrm
+    48U,	// VADDSUBPDrr
+    176U,	// VADDSUBPSYrm
+    48U,	// VADDSUBPSYrr
+    192U,	// VADDSUBPSrm
+    48U,	// VADDSUBPSrr
+    224U,	// VAESDECLASTrm
+    48U,	// VAESDECLASTrr
+    224U,	// VAESDECrm
+    48U,	// VAESDECrr
+    224U,	// VAESENCLASTrm
+    48U,	// VAESENCLASTrr
+    224U,	// VAESENCrm
+    48U,	// VAESENCrr
     0U,	// VAESIMCrm
     0U,	// VAESIMCrr
     0U,	// VAESKEYGENASSIST128rm
-    8U,	// VAESKEYGENASSIST128rr
-    2400U,	// VALIGNDrmi
-    8456U,	// VALIGNDrri
-    295210U,	// VALIGNDrrik
-    565514U,	// VALIGNDrrikz
-    2400U,	// VALIGNQrmi
-    8456U,	// VALIGNQrri
-    295210U,	// VALIGNQrrik
-    565514U,	// VALIGNQrrikz
-    64U,	// VANDNPDYrm
-    8U,	// VANDNPDYrr
-    80U,	// VANDNPDrm
-    8U,	// VANDNPDrr
-    64U,	// VANDNPSYrm
-    8U,	// VANDNPSYrr
-    80U,	// VANDNPSrm
-    8U,	// VANDNPSrr
-    64U,	// VANDPDYrm
-    8U,	// VANDPDYrr
-    80U,	// VANDPDrm
-    8U,	// VANDPDrr
-    64U,	// VANDPSYrm
-    8U,	// VANDPSYrr
-    80U,	// VANDPSrm
-    8U,	// VANDPSrr
-    8U,	// VASTART_SAVE_XMM_REGS
-    6410U,	// VBLENDMPDZrm
-    8458U,	// VBLENDMPDZrr
-    6410U,	// VBLENDMPSZrm
-    8458U,	// VBLENDMPSZrr
-    2368U,	// VBLENDPDYrmi
-    8456U,	// VBLENDPDYrri
-    2384U,	// VBLENDPDrmi
-    8456U,	// VBLENDPDrri
-    2368U,	// VBLENDPSYrmi
-    8456U,	// VBLENDPSYrri
-    2384U,	// VBLENDPSrmi
-    8456U,	// VBLENDPSrri
-    2368U,	// VBLENDVPDYrm
-    8456U,	// VBLENDVPDYrr
-    2384U,	// VBLENDVPDrm
-    8456U,	// VBLENDVPDrr
-    2368U,	// VBLENDVPSYrm
-    8456U,	// VBLENDVPSYrr
-    2384U,	// VBLENDVPSrm
-    8456U,	// VBLENDVPSrr
+    16U,	// VAESKEYGENASSIST128rr
+    247024U,	// VALIGNDrmi
+    1311792U,	// VALIGNDrri
+    25265313U,	// VALIGNDrrik
+    33670194U,	// VALIGNDrrikz
+    247024U,	// VALIGNQrmi
+    1311792U,	// VALIGNQrri
+    25265313U,	// VALIGNQrrik
+    33670194U,	// VALIGNQrrikz
+    176U,	// VANDNPDYrm
+    48U,	// VANDNPDYrr
+    192U,	// VANDNPDrm
+    48U,	// VANDNPDrr
+    176U,	// VANDNPSYrm
+    48U,	// VANDNPSYrr
+    192U,	// VANDNPSrm
+    48U,	// VANDNPSrr
+    176U,	// VANDPDYrm
+    48U,	// VANDPDYrr
+    192U,	// VANDPDrm
+    48U,	// VANDPDrr
+    176U,	// VANDPSYrm
+    48U,	// VANDPSYrr
+    192U,	// VANDPSrm
+    48U,	// VANDPSrr
+    48U,	// VASTART_SAVE_XMM_REGS
+    0U,	// VBLENDMPDZ128rm
+    2176U,	// VBLENDMPDZ128rmb
+    574513U,	// VBLENDMPDZ128rmbk
+    1131569U,	// VBLENDMPDZ128rmk
+    1131570U,	// VBLENDMPDZ128rmkz
+    48U,	// VBLENDMPDZ128rr
+    1164337U,	// VBLENDMPDZ128rrk
+    1164338U,	// VBLENDMPDZ128rrkz
+    0U,	// VBLENDMPDZ256rm
+    3200U,	// VBLENDMPDZ256rmb
+    1623089U,	// VBLENDMPDZ256rmbk
+    1197105U,	// VBLENDMPDZ256rmk
+    1197106U,	// VBLENDMPDZ256rmkz
+    48U,	// VBLENDMPDZ256rr
+    1164337U,	// VBLENDMPDZ256rrk
+    1164338U,	// VBLENDMPDZ256rrkz
+    0U,	// VBLENDMPDZrm
+    4224U,	// VBLENDMPDZrmb
+    2147377U,	// VBLENDMPDZrmbk
+    197681U,	// VBLENDMPDZrmk
+    197682U,	// VBLENDMPDZrmkz
+    48U,	// VBLENDMPDZrr
+    1164337U,	// VBLENDMPDZrrk
+    1164338U,	// VBLENDMPDZrrkz
+    0U,	// VBLENDMPSZ128rm
+    3216U,	// VBLENDMPSZ128rmb
+    1803313U,	// VBLENDMPSZ128rmbk
+    1131569U,	// VBLENDMPSZ128rmk
+    1131570U,	// VBLENDMPSZ128rmkz
+    48U,	// VBLENDMPSZ128rr
+    1164337U,	// VBLENDMPSZ128rrk
+    1164338U,	// VBLENDMPSZ128rrkz
+    0U,	// VBLENDMPSZ256rm
+    4240U,	// VBLENDMPSZ256rmb
+    2327601U,	// VBLENDMPSZ256rmbk
+    1197105U,	// VBLENDMPSZ256rmk
+    1197106U,	// VBLENDMPSZ256rmkz
+    48U,	// VBLENDMPSZ256rr
+    1164337U,	// VBLENDMPSZ256rrk
+    1164338U,	// VBLENDMPSZ256rrkz
+    0U,	// VBLENDMPSZrm
+    5264U,	// VBLENDMPSZrmb
+    2851889U,	// VBLENDMPSZrmbk
+    197681U,	// VBLENDMPSZrmk
+    197682U,	// VBLENDMPSZrmkz
+    48U,	// VBLENDMPSZrr
+    1164337U,	// VBLENDMPSZrrk
+    1164338U,	// VBLENDMPSZrrkz
+    246960U,	// VBLENDPDYrmi
+    1311792U,	// VBLENDPDYrri
+    246976U,	// VBLENDPDrmi
+    1311792U,	// VBLENDPDrri
+    246960U,	// VBLENDPSYrmi
+    1311792U,	// VBLENDPSYrri
+    246976U,	// VBLENDPSrmi
+    1311792U,	// VBLENDPSrri
+    1066160U,	// VBLENDVPDYrm
+    1164336U,	// VBLENDVPDYrr
+    1066176U,	// VBLENDVPDrm
+    1164336U,	// VBLENDVPDrr
+    1066160U,	// VBLENDVPSYrm
+    1164336U,	// VBLENDVPSYrr
+    1066176U,	// VBLENDVPSrm
+    1164336U,	// VBLENDVPSrr
     0U,	// VBROADCASTF128
-    0U,	// VBROADCASTI128
-    90U,	// VBROADCASTI32X4krm
+    226U,	// VBROADCASTI32X4krm
     0U,	// VBROADCASTI32X4rm
-    106U,	// VBROADCASTI64X4krm
+    258U,	// VBROADCASTI64X4krm
     0U,	// VBROADCASTI64X4rm
     0U,	// VBROADCASTSDYrm
     0U,	// VBROADCASTSDYrr
-    0U,	// VBROADCASTSDZrm
-    0U,	// VBROADCASTSDZrr
+    0U,	// VBROADCASTSDZ256m
+    273U,	// VBROADCASTSDZ256mk
+    130U,	// VBROADCASTSDZ256mkz
+    0U,	// VBROADCASTSDZ256r
+    161U,	// VBROADCASTSDZ256rk
+    50U,	// VBROADCASTSDZ256rkz
+    0U,	// VBROADCASTSDZm
+    273U,	// VBROADCASTSDZmk
+    130U,	// VBROADCASTSDZmkz
+    0U,	// VBROADCASTSDZr
+    161U,	// VBROADCASTSDZrk
+    50U,	// VBROADCASTSDZrkz
     0U,	// VBROADCASTSSYrm
     0U,	// VBROADCASTSSYrr
-    0U,	// VBROADCASTSSZrm
-    0U,	// VBROADCASTSSZrr
+    0U,	// VBROADCASTSSZ128m
+    289U,	// VBROADCASTSSZ128mk
+    146U,	// VBROADCASTSSZ128mkz
+    0U,	// VBROADCASTSSZ128r
+    161U,	// VBROADCASTSSZ128rk
+    50U,	// VBROADCASTSSZ128rkz
+    0U,	// VBROADCASTSSZ256m
+    289U,	// VBROADCASTSSZ256mk
+    146U,	// VBROADCASTSSZ256mkz
+    0U,	// VBROADCASTSSZ256r
+    161U,	// VBROADCASTSSZ256rk
+    50U,	// VBROADCASTSSZ256rkz
+    0U,	// VBROADCASTSSZm
+    289U,	// VBROADCASTSSZmk
+    146U,	// VBROADCASTSSZmkz
+    0U,	// VBROADCASTSSZr
+    161U,	// VBROADCASTSSZrk
+    50U,	// VBROADCASTSSZrkz
     0U,	// VBROADCASTSSrm
     0U,	// VBROADCASTSSrr
-    64U,	// VCMPPDYrmi
-    2368U,	// VCMPPDYrmi_alt
-    8U,	// VCMPPDYrri
-    8456U,	// VCMPPDYrri_alt
-    0U,	// VCMPPDZrmi
-    2376U,	// VCMPPDZrmi_alt
-    0U,	// VCMPPDZrri
-    8456U,	// VCMPPDZrri_alt
-    3U,	// VCMPPDZrrib
-    80U,	// VCMPPDrmi
-    2384U,	// VCMPPDrmi_alt
-    8U,	// VCMPPDrri
-    8456U,	// VCMPPDrri_alt
-    64U,	// VCMPPSYrmi
-    2368U,	// VCMPPSYrmi_alt
-    8U,	// VCMPPSYrri
-    8456U,	// VCMPPSYrri_alt
-    0U,	// VCMPPSZrmi
-    2376U,	// VCMPPSZrmi_alt
-    0U,	// VCMPPSZrri
-    8456U,	// VCMPPSZrri_alt
-    3U,	// VCMPPSZrrib
-    80U,	// VCMPPSrmi
-    2384U,	// VCMPPSrmi_alt
-    8U,	// VCMPPSrri
-    8456U,	// VCMPPSrri_alt
-    48U,	// VCMPSDZrm
-    2352U,	// VCMPSDZrmi_alt
-    8U,	// VCMPSDZrr
-    8456U,	// VCMPSDZrri_alt
-    48U,	// VCMPSDrm
-    2352U,	// VCMPSDrm_alt
-    8U,	// VCMPSDrr
-    8456U,	// VCMPSDrr_alt
-    56U,	// VCMPSSZrm
-    2360U,	// VCMPSSZrmi_alt
-    8U,	// VCMPSSZrr
-    8456U,	// VCMPSSZrri_alt
-    56U,	// VCMPSSrm
-    2360U,	// VCMPSSrm_alt
-    8U,	// VCMPSSrr
-    8456U,	// VCMPSSrr_alt
+    176U,	// VCMPPDYrmi
+    246960U,	// VCMPPDYrmi_alt
+    48U,	// VCMPPDYrri
+    1311792U,	// VCMPPDYrri_alt
+    279760U,	// VCMPPDZrmi
+    246992U,	// VCMPPDZrmi_alt
+    48U,	// VCMPPDZrri
+    1311792U,	// VCMPPDZrri_alt
+    6192U,	// VCMPPDZrrib
+    3408944U,	// VCMPPDZrrib_alt
+    192U,	// VCMPPDrmi
+    246976U,	// VCMPPDrmi_alt
+    48U,	// VCMPPDrri
+    1311792U,	// VCMPPDrri_alt
+    176U,	// VCMPPSYrmi
+    246960U,	// VCMPPSYrmi_alt
+    48U,	// VCMPPSYrri
+    1311792U,	// VCMPPSYrri_alt
+    279760U,	// VCMPPSZrmi
+    246992U,	// VCMPPSZrmi_alt
+    48U,	// VCMPPSZrri
+    1311792U,	// VCMPPSZrri_alt
+    6192U,	// VCMPPSZrrib
+    3408944U,	// VCMPPSZrrib_alt
+    192U,	// VCMPPSrmi
+    246976U,	// VCMPPSrmi_alt
+    48U,	// VCMPPSrri
+    1311792U,	// VCMPPSrri_alt
+    128U,	// VCMPSDZrm
+    246912U,	// VCMPSDZrmi_alt
+    48U,	// VCMPSDZrr
+    1311792U,	// VCMPSDZrri_alt
+    128U,	// VCMPSDrm
+    246912U,	// VCMPSDrm_alt
+    48U,	// VCMPSDrr
+    1311792U,	// VCMPSDrr_alt
+    144U,	// VCMPSSZrm
+    246928U,	// VCMPSSZrmi_alt
+    48U,	// VCMPSSZrr
+    1311792U,	// VCMPSSZrri_alt
+    144U,	// VCMPSSrm
+    246928U,	// VCMPSSrm_alt
+    48U,	// VCMPSSrr
+    1311792U,	// VCMPSSrr_alt
     0U,	// VCOMISDZrm
     0U,	// VCOMISDZrr
     0U,	// VCOMISDrm
@@ -9408,6 +12192,24 @@ static void printInstruction(MCInst *MI,
     0U,	// VCOMISSZrr
     0U,	// VCOMISSrm
     0U,	// VCOMISSrr
+    81U,	// VCOMPRESSPDZ128mrk
+    161U,	// VCOMPRESSPDZ128rrk
+    50U,	// VCOMPRESSPDZ128rrkz
+    81U,	// VCOMPRESSPDZ256mrk
+    161U,	// VCOMPRESSPDZ256rrk
+    50U,	// VCOMPRESSPDZ256rrkz
+    81U,	// VCOMPRESSPDZmrk
+    161U,	// VCOMPRESSPDZrrk
+    50U,	// VCOMPRESSPDZrrkz
+    81U,	// VCOMPRESSPSZ128mrk
+    161U,	// VCOMPRESSPSZ128rrk
+    50U,	// VCOMPRESSPSZ128rrkz
+    81U,	// VCOMPRESSPSZ256mrk
+    161U,	// VCOMPRESSPSZ256rrk
+    50U,	// VCOMPRESSPSZ256rrkz
+    81U,	// VCOMPRESSPSZmrk
+    161U,	// VCOMPRESSPSZrrk
+    50U,	// VCOMPRESSPSZrrkz
     0U,	// VCVTDQ2PDYrm
     0U,	// VCVTDQ2PDYrr
     0U,	// VCVTDQ2PDZrm
@@ -9418,7 +12220,7 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTDQ2PSYrr
     0U,	// VCVTDQ2PSZrm
     0U,	// VCVTDQ2PSZrr
-    112U,	// VCVTDQ2PSZrrb
+    304U,	// VCVTDQ2PSZrrb
     0U,	// VCVTDQ2PSrm
     0U,	// VCVTDQ2PSrr
     0U,	// VCVTPD2DQXrm
@@ -9426,18 +12228,18 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTPD2DQYrr
     0U,	// VCVTPD2DQZrm
     0U,	// VCVTPD2DQZrr
-    112U,	// VCVTPD2DQZrrb
+    304U,	// VCVTPD2DQZrrb
     0U,	// VCVTPD2DQrr
     0U,	// VCVTPD2PSXrm
     0U,	// VCVTPD2PSYrm
     0U,	// VCVTPD2PSYrr
     0U,	// VCVTPD2PSZrm
     0U,	// VCVTPD2PSZrr
-    112U,	// VCVTPD2PSZrrb
+    304U,	// VCVTPD2PSZrrb
     0U,	// VCVTPD2PSrr
     0U,	// VCVTPD2UDQZrm
     0U,	// VCVTPD2UDQZrr
-    112U,	// VCVTPD2UDQZrrb
+    304U,	// VCVTPD2UDQZrrb
     0U,	// VCVTPH2PSYrm
     0U,	// VCVTPH2PSYrr
     0U,	// VCVTPH2PSZrm
@@ -9448,7 +12250,7 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTPS2DQYrr
     0U,	// VCVTPS2DQZrm
     0U,	// VCVTPS2DQZrr
-    112U,	// VCVTPS2DQZrrb
+    304U,	// VCVTPS2DQZrrb
     0U,	// VCVTPS2DQrm
     0U,	// VCVTPS2DQrr
     0U,	// VCVTPS2PDYrm
@@ -9458,14 +12260,14 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTPS2PDrm
     0U,	// VCVTPS2PDrr
     0U,	// VCVTPS2PHYmr
-    8U,	// VCVTPS2PHYrr
+    16U,	// VCVTPS2PHYrr
     0U,	// VCVTPS2PHZmr
-    8U,	// VCVTPS2PHZrr
+    16U,	// VCVTPS2PHZrr
     0U,	// VCVTPS2PHmr
-    8U,	// VCVTPS2PHrr
+    16U,	// VCVTPS2PHrr
     0U,	// VCVTPS2UDQZrm
     0U,	// VCVTPS2UDQZrr
-    112U,	// VCVTPS2UDQZrrb
+    304U,	// VCVTPS2UDQZrrb
     0U,	// VCVTSD2SI64Zrm
     0U,	// VCVTSD2SI64Zrr
     0U,	// VCVTSD2SI64rm
@@ -9474,34 +12276,34 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTSD2SIZrr
     0U,	// VCVTSD2SIrm
     0U,	// VCVTSD2SIrr
-    48U,	// VCVTSD2SSZrm
-    8U,	// VCVTSD2SSZrr
-    48U,	// VCVTSD2SSrm
-    8U,	// VCVTSD2SSrr
+    128U,	// VCVTSD2SSZrm
+    48U,	// VCVTSD2SSZrr
+    128U,	// VCVTSD2SSrm
+    48U,	// VCVTSD2SSrr
     0U,	// VCVTSD2USI64Zrm
     0U,	// VCVTSD2USI64Zrr
     0U,	// VCVTSD2USIZrm
     0U,	// VCVTSD2USIZrr
-    24U,	// VCVTSI2SD64rm
-    8U,	// VCVTSI2SD64rr
-    16U,	// VCVTSI2SDZrm
-    8U,	// VCVTSI2SDZrr
-    16U,	// VCVTSI2SDrm
-    8U,	// VCVTSI2SDrr
-    24U,	// VCVTSI2SS64rm
-    8U,	// VCVTSI2SS64rr
-    16U,	// VCVTSI2SSZrm
-    8U,	// VCVTSI2SSZrr
-    16U,	// VCVTSI2SSrm
-    8U,	// VCVTSI2SSrr
-    24U,	// VCVTSI642SDZrm
-    8U,	// VCVTSI642SDZrr
-    24U,	// VCVTSI642SSZrm
-    8U,	// VCVTSI642SSZrr
-    56U,	// VCVTSS2SDZrm
-    8U,	// VCVTSS2SDZrr
-    56U,	// VCVTSS2SDrm
-    8U,	// VCVTSS2SDrr
+    64U,	// VCVTSI2SD64rm
+    48U,	// VCVTSI2SD64rr
+    32U,	// VCVTSI2SDZrm
+    48U,	// VCVTSI2SDZrr
+    32U,	// VCVTSI2SDrm
+    48U,	// VCVTSI2SDrr
+    64U,	// VCVTSI2SS64rm
+    48U,	// VCVTSI2SS64rr
+    32U,	// VCVTSI2SSZrm
+    48U,	// VCVTSI2SSZrr
+    32U,	// VCVTSI2SSrm
+    48U,	// VCVTSI2SSrr
+    64U,	// VCVTSI642SDZrm
+    48U,	// VCVTSI642SDZrr
+    64U,	// VCVTSI642SSZrm
+    48U,	// VCVTSI642SSZrr
+    144U,	// VCVTSS2SDZrm
+    48U,	// VCVTSS2SDZrr
+    144U,	// VCVTSS2SDrm
+    48U,	// VCVTSS2SDrr
     0U,	// VCVTSS2SI64Zrm
     0U,	// VCVTSS2SI64Zrr
     0U,	// VCVTSS2SI64rm
@@ -9558,523 +12360,1311 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTUDQ2PDZrr
     0U,	// VCVTUDQ2PSZrm
     0U,	// VCVTUDQ2PSZrr
-    112U,	// VCVTUDQ2PSZrrb
-    16U,	// VCVTUSI2SDZrm
-    8U,	// VCVTUSI2SDZrr
-    16U,	// VCVTUSI2SSZrm
-    8U,	// VCVTUSI2SSZrr
-    24U,	// VCVTUSI642SDZrm
-    8U,	// VCVTUSI642SDZrr
-    24U,	// VCVTUSI642SSZrm
-    8U,	// VCVTUSI642SSZrr
-    64U,	// VDIVPDYrm
-    8U,	// VDIVPDYrr
-    72U,	// VDIVPDZrm
-    560U,	// VDIVPDZrmb
-    69898U,	// VDIVPDZrmbk
-    69898U,	// VDIVPDZrmbkz
-    6410U,	// VDIVPDZrmk
-    6410U,	// VDIVPDZrmkz
-    8U,	// VDIVPDZrr
-    8458U,	// VDIVPDZrrk
-    8458U,	// VDIVPDZrrkz
-    80U,	// VDIVPDrm
-    8U,	// VDIVPDrr
-    64U,	// VDIVPSYrm
-    8U,	// VDIVPSYrr
-    72U,	// VDIVPSZrm
-    824U,	// VDIVPSZrmb
-    108810U,	// VDIVPSZrmbk
-    108810U,	// VDIVPSZrmbkz
-    6410U,	// VDIVPSZrmk
-    6410U,	// VDIVPSZrmkz
-    8U,	// VDIVPSZrr
-    8458U,	// VDIVPSZrrk
-    8458U,	// VDIVPSZrrkz
-    80U,	// VDIVPSrm
-    8U,	// VDIVPSrr
-    48U,	// VDIVSDZrm
-    8U,	// VDIVSDZrr
-    48U,	// VDIVSDrm
-    48U,	// VDIVSDrm_Int
-    8U,	// VDIVSDrr
-    8U,	// VDIVSDrr_Int
-    56U,	// VDIVSSZrm
-    8U,	// VDIVSSZrr
-    56U,	// VDIVSSrm
-    56U,	// VDIVSSrm_Int
-    8U,	// VDIVSSrr
-    8U,	// VDIVSSrr_Int
-    2384U,	// VDPPDrmi
-    8456U,	// VDPPDrri
-    2408U,	// VDPPSYrmi
-    8456U,	// VDPPSYrri
-    2384U,	// VDPPSrmi
-    8456U,	// VDPPSrri
+    304U,	// VCVTUDQ2PSZrrb
+    32U,	// VCVTUSI2SDZrm
+    48U,	// VCVTUSI2SDZrr
+    32U,	// VCVTUSI2SSZrm
+    48U,	// VCVTUSI2SSZrr
+    64U,	// VCVTUSI642SDZrm
+    48U,	// VCVTUSI642SDZrr
+    64U,	// VCVTUSI642SSZrm
+    48U,	// VCVTUSI642SSZrr
+    176U,	// VDIVPDYrm
+    48U,	// VDIVPDYrr
+    192U,	// VDIVPDZ128rm
+    2176U,	// VDIVPDZ128rmb
+    558241U,	// VDIVPDZ128rmbk
+    574514U,	// VDIVPDZ128rmbkz
+    1115297U,	// VDIVPDZ128rmk
+    1131570U,	// VDIVPDZ128rmkz
+    48U,	// VDIVPDZ128rr
+    1148065U,	// VDIVPDZ128rrk
+    1164338U,	// VDIVPDZ128rrkz
+    176U,	// VDIVPDZ256rm
+    3200U,	// VDIVPDZ256rmb
+    1606817U,	// VDIVPDZ256rmbk
+    1623090U,	// VDIVPDZ256rmbkz
+    132257U,	// VDIVPDZ256rmk
+    1197106U,	// VDIVPDZ256rmkz
+    48U,	// VDIVPDZ256rr
+    1148065U,	// VDIVPDZ256rrk
+    1164338U,	// VDIVPDZ256rrkz
+    164912U,	// VDIVPDZrb
+    8488097U,	// VDIVPDZrbk
+    16892978U,	// VDIVPDZrbkz
+    208U,	// VDIVPDZrm
+    4224U,	// VDIVPDZrmb
+    2131105U,	// VDIVPDZrmbk
+    2147378U,	// VDIVPDZrmbkz
+    181409U,	// VDIVPDZrmk
+    197682U,	// VDIVPDZrmkz
+    48U,	// VDIVPDZrr
+    1148065U,	// VDIVPDZrrk
+    1164338U,	// VDIVPDZrrkz
+    192U,	// VDIVPDrm
+    48U,	// VDIVPDrr
+    176U,	// VDIVPSYrm
+    48U,	// VDIVPSYrr
+    192U,	// VDIVPSZ128rm
+    3216U,	// VDIVPSZ128rmb
+    1787041U,	// VDIVPSZ128rmbk
+    1803314U,	// VDIVPSZ128rmbkz
+    1115297U,	// VDIVPSZ128rmk
+    1131570U,	// VDIVPSZ128rmkz
+    48U,	// VDIVPSZ128rr
+    1148065U,	// VDIVPSZ128rrk
+    1164338U,	// VDIVPSZ128rrkz
+    176U,	// VDIVPSZ256rm
+    4240U,	// VDIVPSZ256rmb
+    2311329U,	// VDIVPSZ256rmbk
+    2327602U,	// VDIVPSZ256rmbkz
+    132257U,	// VDIVPSZ256rmk
+    1197106U,	// VDIVPSZ256rmkz
+    48U,	// VDIVPSZ256rr
+    1148065U,	// VDIVPSZ256rrk
+    1164338U,	// VDIVPSZ256rrkz
+    164912U,	// VDIVPSZrb
+    8488097U,	// VDIVPSZrbk
+    16892978U,	// VDIVPSZrbkz
+    208U,	// VDIVPSZrm
+    5264U,	// VDIVPSZrmb
+    2835617U,	// VDIVPSZrmbk
+    2851890U,	// VDIVPSZrmbkz
+    181409U,	// VDIVPSZrmk
+    197682U,	// VDIVPSZrmkz
+    48U,	// VDIVPSZrr
+    1148065U,	// VDIVPSZrrk
+    1164338U,	// VDIVPSZrrkz
+    192U,	// VDIVPSrm
+    48U,	// VDIVPSrr
+    128U,	// VDIVSDZrm
+    192U,	// VDIVSDZrm_Int
+    1115297U,	// VDIVSDZrm_Intk
+    1131570U,	// VDIVSDZrm_Intkz
+    48U,	// VDIVSDZrr
+    48U,	// VDIVSDZrr_Int
+    1148065U,	// VDIVSDZrr_Intk
+    1164338U,	// VDIVSDZrr_Intkz
+    164912U,	// VDIVSDZrrb
+    8488097U,	// VDIVSDZrrbk
+    16892978U,	// VDIVSDZrrbkz
+    128U,	// VDIVSDrm
+    128U,	// VDIVSDrm_Int
+    48U,	// VDIVSDrr
+    48U,	// VDIVSDrr_Int
+    144U,	// VDIVSSZrm
+    192U,	// VDIVSSZrm_Int
+    1115297U,	// VDIVSSZrm_Intk
+    1131570U,	// VDIVSSZrm_Intkz
+    48U,	// VDIVSSZrr
+    48U,	// VDIVSSZrr_Int
+    1148065U,	// VDIVSSZrr_Intk
+    1164338U,	// VDIVSSZrr_Intkz
+    164912U,	// VDIVSSZrrb
+    8488097U,	// VDIVSSZrrbk
+    16892978U,	// VDIVSSZrrbkz
+    144U,	// VDIVSSrm
+    144U,	// VDIVSSrm_Int
+    48U,	// VDIVSSrr
+    48U,	// VDIVSSrr_Int
+    246976U,	// VDPPDrmi
+    1311792U,	// VDPPDrri
+    247040U,	// VDPPSYrmi
+    1311792U,	// VDPPSYrri
+    246976U,	// VDPPSrmi
+    1311792U,	// VDPPSrri
     0U,	// VERRm
     0U,	// VERRr
     0U,	// VERWm
     0U,	// VERWr
+    0U,	// VEXP2PDm
+    0U,	// VEXP2PDmb
+    321U,	// VEXP2PDmbk
+    210U,	// VEXP2PDmbkz
+    321U,	// VEXP2PDmk
+    210U,	// VEXP2PDmkz
+    0U,	// VEXP2PDr
+    0U,	// VEXP2PDrb
+    338U,	// VEXP2PDrbk
+    339U,	// VEXP2PDrbkz
+    161U,	// VEXP2PDrk
+    50U,	// VEXP2PDrkz
+    0U,	// VEXP2PSm
+    0U,	// VEXP2PSmb
+    321U,	// VEXP2PSmbk
+    210U,	// VEXP2PSmbkz
+    321U,	// VEXP2PSmk
+    210U,	// VEXP2PSmkz
+    0U,	// VEXP2PSr
+    0U,	// VEXP2PSrb
+    338U,	// VEXP2PSrbk
+    339U,	// VEXP2PSrbkz
+    161U,	// VEXP2PSrk
+    50U,	// VEXP2PSrkz
+    353U,	// VEXPANDPDZ128rmk
+    194U,	// VEXPANDPDZ128rmkz
+    161U,	// VEXPANDPDZ128rrk
+    50U,	// VEXPANDPDZ128rrkz
+    369U,	// VEXPANDPDZ256rmk
+    178U,	// VEXPANDPDZ256rmkz
+    161U,	// VEXPANDPDZ256rrk
+    50U,	// VEXPANDPDZ256rrkz
+    321U,	// VEXPANDPDZrmk
+    210U,	// VEXPANDPDZrmkz
+    161U,	// VEXPANDPDZrrk
+    50U,	// VEXPANDPDZrrkz
+    353U,	// VEXPANDPSZ128rmk
+    194U,	// VEXPANDPSZ128rmkz
+    161U,	// VEXPANDPSZ128rrk
+    50U,	// VEXPANDPSZ128rrkz
+    369U,	// VEXPANDPSZ256rmk
+    178U,	// VEXPANDPSZ256rmkz
+    161U,	// VEXPANDPSZ256rrk
+    50U,	// VEXPANDPSZ256rrkz
+    321U,	// VEXPANDPSZrmk
+    210U,	// VEXPANDPSZrmkz
+    161U,	// VEXPANDPSZrrk
+    50U,	// VEXPANDPSZrrkz
     0U,	// VEXTRACTF128mr
-    8U,	// VEXTRACTF128rr
-    0U,	// VEXTRACTF32x4mr
-    8U,	// VEXTRACTF32x4rr
-    0U,	// VEXTRACTF64x4mr
-    8U,	// VEXTRACTF64x4rr
+    16U,	// VEXTRACTF128rr
+    0U,	// VEXTRACTF32x4rm
+    16U,	// VEXTRACTF32x4rr
+    1185U,	// VEXTRACTF32x4rrk
+    1311794U,	// VEXTRACTF32x4rrkz
+    0U,	// VEXTRACTF64x4rm
+    16U,	// VEXTRACTF64x4rr
+    1185U,	// VEXTRACTF64x4rrk
+    1311794U,	// VEXTRACTF64x4rrkz
     0U,	// VEXTRACTI128mr
-    8U,	// VEXTRACTI128rr
-    0U,	// VEXTRACTI32x4mr
-    8U,	// VEXTRACTI32x4rr
-    0U,	// VEXTRACTI64x4mr
-    8U,	// VEXTRACTI64x4rr
+    16U,	// VEXTRACTI128rr
+    0U,	// VEXTRACTI32x4rm
+    16U,	// VEXTRACTI32x4rr
+    1185U,	// VEXTRACTI32x4rrk
+    1311794U,	// VEXTRACTI32x4rrkz
+    0U,	// VEXTRACTI64x4rm
+    16U,	// VEXTRACTI64x4rr
+    1185U,	// VEXTRACTI64x4rrk
+    1311794U,	// VEXTRACTI64x4rrkz
     0U,	// VEXTRACTPSmr
-    8U,	// VEXTRACTPSrr
+    16U,	// VEXTRACTPSrr
     0U,	// VEXTRACTPSzmr
-    8U,	// VEXTRACTPSzrr
-    120U,	// VFMADD132PDZm
-    640U,	// VFMADD132PDZmb
-    120U,	// VFMADD132PSZm
-    904U,	// VFMADD132PSZmb
-    120U,	// VFMADD213PDZm
-    640U,	// VFMADD213PDZmb
-    40U,	// VFMADD213PDZr
-    298U,	// VFMADD213PDZrk
-    298U,	// VFMADD213PDZrkz
-    120U,	// VFMADD213PSZm
-    904U,	// VFMADD213PSZmb
-    40U,	// VFMADD213PSZr
-    298U,	// VFMADD213PSZrk
-    298U,	// VFMADD213PSZrkz
-    2384U,	// VFMADDPD4mr
-    2368U,	// VFMADDPD4mrY
-    12552U,	// VFMADDPD4rm
-    14600U,	// VFMADDPD4rmY
-    8456U,	// VFMADDPD4rr
-    8456U,	// VFMADDPD4rrY
-    8456U,	// VFMADDPD4rrY_REV
-    8456U,	// VFMADDPD4rr_REV
-    144U,	// VFMADDPDr132m
-    152U,	// VFMADDPDr132mY
-    40U,	// VFMADDPDr132r
-    40U,	// VFMADDPDr132rY
-    144U,	// VFMADDPDr213m
-    152U,	// VFMADDPDr213mY
-    40U,	// VFMADDPDr213r
-    40U,	// VFMADDPDr213rY
-    144U,	// VFMADDPDr231m
-    152U,	// VFMADDPDr231mY
-    40U,	// VFMADDPDr231r
-    40U,	// VFMADDPDr231rY
-    2384U,	// VFMADDPS4mr
-    2368U,	// VFMADDPS4mrY
-    12552U,	// VFMADDPS4rm
-    14600U,	// VFMADDPS4rmY
-    8456U,	// VFMADDPS4rr
-    8456U,	// VFMADDPS4rrY
-    8456U,	// VFMADDPS4rrY_REV
-    8456U,	// VFMADDPS4rr_REV
-    144U,	// VFMADDPSr132m
-    152U,	// VFMADDPSr132mY
-    40U,	// VFMADDPSr132r
-    40U,	// VFMADDPSr132rY
-    144U,	// VFMADDPSr213m
-    152U,	// VFMADDPSr213mY
-    40U,	// VFMADDPSr213r
-    40U,	// VFMADDPSr213rY
-    144U,	// VFMADDPSr231m
-    152U,	// VFMADDPSr231mY
-    40U,	// VFMADDPSr231r
-    40U,	// VFMADDPSr231rY
-    2352U,	// VFMADDSD4mr
-    2352U,	// VFMADDSD4mr_Int
-    4360U,	// VFMADDSD4rm
-    4360U,	// VFMADDSD4rm_Int
-    8456U,	// VFMADDSD4rr
-    8456U,	// VFMADDSD4rr_Int
-    8456U,	// VFMADDSD4rr_REV
-    144U,	// VFMADDSDZm
-    40U,	// VFMADDSDZr
-    128U,	// VFMADDSDr132m
-    40U,	// VFMADDSDr132r
-    128U,	// VFMADDSDr213m
-    40U,	// VFMADDSDr213r
-    128U,	// VFMADDSDr231m
-    40U,	// VFMADDSDr231r
-    2360U,	// VFMADDSS4mr
-    2360U,	// VFMADDSS4mr_Int
-    10504U,	// VFMADDSS4rm
-    10504U,	// VFMADDSS4rm_Int
-    8456U,	// VFMADDSS4rr
-    8456U,	// VFMADDSS4rr_Int
-    8456U,	// VFMADDSS4rr_REV
-    144U,	// VFMADDSSZm
-    40U,	// VFMADDSSZr
-    136U,	// VFMADDSSr132m
-    40U,	// VFMADDSSr132r
-    136U,	// VFMADDSSr213m
-    40U,	// VFMADDSSr213r
-    136U,	// VFMADDSSr231m
-    40U,	// VFMADDSSr231r
-    120U,	// VFMADDSUB132PDZm
-    640U,	// VFMADDSUB132PDZmb
-    120U,	// VFMADDSUB132PSZm
-    904U,	// VFMADDSUB132PSZmb
-    120U,	// VFMADDSUB213PDZm
-    640U,	// VFMADDSUB213PDZmb
-    40U,	// VFMADDSUB213PDZr
-    298U,	// VFMADDSUB213PDZrk
-    298U,	// VFMADDSUB213PDZrkz
-    120U,	// VFMADDSUB213PSZm
-    904U,	// VFMADDSUB213PSZmb
-    40U,	// VFMADDSUB213PSZr
-    298U,	// VFMADDSUB213PSZrk
-    298U,	// VFMADDSUB213PSZrkz
-    2384U,	// VFMADDSUBPD4mr
-    2368U,	// VFMADDSUBPD4mrY
-    12552U,	// VFMADDSUBPD4rm
-    14600U,	// VFMADDSUBPD4rmY
-    8456U,	// VFMADDSUBPD4rr
-    8456U,	// VFMADDSUBPD4rrY
-    8456U,	// VFMADDSUBPD4rrY_REV
-    8456U,	// VFMADDSUBPD4rr_REV
-    144U,	// VFMADDSUBPDr132m
-    152U,	// VFMADDSUBPDr132mY
-    40U,	// VFMADDSUBPDr132r
-    40U,	// VFMADDSUBPDr132rY
-    144U,	// VFMADDSUBPDr213m
-    152U,	// VFMADDSUBPDr213mY
-    40U,	// VFMADDSUBPDr213r
-    40U,	// VFMADDSUBPDr213rY
-    144U,	// VFMADDSUBPDr231m
-    152U,	// VFMADDSUBPDr231mY
-    40U,	// VFMADDSUBPDr231r
-    40U,	// VFMADDSUBPDr231rY
-    2384U,	// VFMADDSUBPS4mr
-    2368U,	// VFMADDSUBPS4mrY
-    12552U,	// VFMADDSUBPS4rm
-    14600U,	// VFMADDSUBPS4rmY
-    8456U,	// VFMADDSUBPS4rr
-    8456U,	// VFMADDSUBPS4rrY
-    8456U,	// VFMADDSUBPS4rrY_REV
-    8456U,	// VFMADDSUBPS4rr_REV
-    144U,	// VFMADDSUBPSr132m
-    152U,	// VFMADDSUBPSr132mY
-    40U,	// VFMADDSUBPSr132r
-    40U,	// VFMADDSUBPSr132rY
-    144U,	// VFMADDSUBPSr213m
-    152U,	// VFMADDSUBPSr213mY
-    40U,	// VFMADDSUBPSr213r
-    40U,	// VFMADDSUBPSr213rY
-    144U,	// VFMADDSUBPSr231m
-    152U,	// VFMADDSUBPSr231mY
-    40U,	// VFMADDSUBPSr231r
-    40U,	// VFMADDSUBPSr231rY
-    120U,	// VFMSUB132PDZm
-    640U,	// VFMSUB132PDZmb
-    120U,	// VFMSUB132PSZm
-    904U,	// VFMSUB132PSZmb
-    120U,	// VFMSUB213PDZm
-    640U,	// VFMSUB213PDZmb
-    40U,	// VFMSUB213PDZr
-    298U,	// VFMSUB213PDZrk
-    298U,	// VFMSUB213PDZrkz
-    120U,	// VFMSUB213PSZm
-    904U,	// VFMSUB213PSZmb
-    40U,	// VFMSUB213PSZr
-    298U,	// VFMSUB213PSZrk
-    298U,	// VFMSUB213PSZrkz
-    120U,	// VFMSUBADD132PDZm
-    640U,	// VFMSUBADD132PDZmb
-    120U,	// VFMSUBADD132PSZm
-    904U,	// VFMSUBADD132PSZmb
-    120U,	// VFMSUBADD213PDZm
-    640U,	// VFMSUBADD213PDZmb
-    40U,	// VFMSUBADD213PDZr
-    298U,	// VFMSUBADD213PDZrk
-    298U,	// VFMSUBADD213PDZrkz
-    120U,	// VFMSUBADD213PSZm
-    904U,	// VFMSUBADD213PSZmb
-    40U,	// VFMSUBADD213PSZr
-    298U,	// VFMSUBADD213PSZrk
-    298U,	// VFMSUBADD213PSZrkz
-    2384U,	// VFMSUBADDPD4mr
-    2368U,	// VFMSUBADDPD4mrY
-    12552U,	// VFMSUBADDPD4rm
-    14600U,	// VFMSUBADDPD4rmY
-    8456U,	// VFMSUBADDPD4rr
-    8456U,	// VFMSUBADDPD4rrY
-    8456U,	// VFMSUBADDPD4rrY_REV
-    8456U,	// VFMSUBADDPD4rr_REV
-    144U,	// VFMSUBADDPDr132m
-    152U,	// VFMSUBADDPDr132mY
-    40U,	// VFMSUBADDPDr132r
-    40U,	// VFMSUBADDPDr132rY
-    144U,	// VFMSUBADDPDr213m
-    152U,	// VFMSUBADDPDr213mY
-    40U,	// VFMSUBADDPDr213r
-    40U,	// VFMSUBADDPDr213rY
-    144U,	// VFMSUBADDPDr231m
-    152U,	// VFMSUBADDPDr231mY
-    40U,	// VFMSUBADDPDr231r
-    40U,	// VFMSUBADDPDr231rY
-    2384U,	// VFMSUBADDPS4mr
-    2368U,	// VFMSUBADDPS4mrY
-    12552U,	// VFMSUBADDPS4rm
-    14600U,	// VFMSUBADDPS4rmY
-    8456U,	// VFMSUBADDPS4rr
-    8456U,	// VFMSUBADDPS4rrY
-    8456U,	// VFMSUBADDPS4rrY_REV
-    8456U,	// VFMSUBADDPS4rr_REV
-    144U,	// VFMSUBADDPSr132m
-    152U,	// VFMSUBADDPSr132mY
-    40U,	// VFMSUBADDPSr132r
-    40U,	// VFMSUBADDPSr132rY
-    144U,	// VFMSUBADDPSr213m
-    152U,	// VFMSUBADDPSr213mY
-    40U,	// VFMSUBADDPSr213r
-    40U,	// VFMSUBADDPSr213rY
-    144U,	// VFMSUBADDPSr231m
-    152U,	// VFMSUBADDPSr231mY
-    40U,	// VFMSUBADDPSr231r
-    40U,	// VFMSUBADDPSr231rY
-    2384U,	// VFMSUBPD4mr
-    2368U,	// VFMSUBPD4mrY
-    12552U,	// VFMSUBPD4rm
-    14600U,	// VFMSUBPD4rmY
-    8456U,	// VFMSUBPD4rr
-    8456U,	// VFMSUBPD4rrY
-    8456U,	// VFMSUBPD4rrY_REV
-    8456U,	// VFMSUBPD4rr_REV
-    144U,	// VFMSUBPDr132m
-    152U,	// VFMSUBPDr132mY
-    40U,	// VFMSUBPDr132r
-    40U,	// VFMSUBPDr132rY
-    144U,	// VFMSUBPDr213m
-    152U,	// VFMSUBPDr213mY
-    40U,	// VFMSUBPDr213r
-    40U,	// VFMSUBPDr213rY
-    144U,	// VFMSUBPDr231m
-    152U,	// VFMSUBPDr231mY
-    40U,	// VFMSUBPDr231r
-    40U,	// VFMSUBPDr231rY
-    2384U,	// VFMSUBPS4mr
-    2368U,	// VFMSUBPS4mrY
-    12552U,	// VFMSUBPS4rm
-    14600U,	// VFMSUBPS4rmY
-    8456U,	// VFMSUBPS4rr
-    8456U,	// VFMSUBPS4rrY
-    8456U,	// VFMSUBPS4rrY_REV
-    8456U,	// VFMSUBPS4rr_REV
-    144U,	// VFMSUBPSr132m
-    152U,	// VFMSUBPSr132mY
-    40U,	// VFMSUBPSr132r
-    40U,	// VFMSUBPSr132rY
-    144U,	// VFMSUBPSr213m
-    152U,	// VFMSUBPSr213mY
-    40U,	// VFMSUBPSr213r
-    40U,	// VFMSUBPSr213rY
-    144U,	// VFMSUBPSr231m
-    152U,	// VFMSUBPSr231mY
-    40U,	// VFMSUBPSr231r
-    40U,	// VFMSUBPSr231rY
-    2352U,	// VFMSUBSD4mr
-    2352U,	// VFMSUBSD4mr_Int
-    4360U,	// VFMSUBSD4rm
-    4360U,	// VFMSUBSD4rm_Int
-    8456U,	// VFMSUBSD4rr
-    8456U,	// VFMSUBSD4rr_Int
-    8456U,	// VFMSUBSD4rr_REV
-    144U,	// VFMSUBSDZm
-    40U,	// VFMSUBSDZr
-    128U,	// VFMSUBSDr132m
-    40U,	// VFMSUBSDr132r
-    128U,	// VFMSUBSDr213m
-    40U,	// VFMSUBSDr213r
-    128U,	// VFMSUBSDr231m
-    40U,	// VFMSUBSDr231r
-    2360U,	// VFMSUBSS4mr
-    2360U,	// VFMSUBSS4mr_Int
-    10504U,	// VFMSUBSS4rm
-    10504U,	// VFMSUBSS4rm_Int
-    8456U,	// VFMSUBSS4rr
-    8456U,	// VFMSUBSS4rr_Int
-    8456U,	// VFMSUBSS4rr_REV
-    144U,	// VFMSUBSSZm
-    40U,	// VFMSUBSSZr
-    136U,	// VFMSUBSSr132m
-    40U,	// VFMSUBSSr132r
-    136U,	// VFMSUBSSr213m
-    40U,	// VFMSUBSSr213r
-    136U,	// VFMSUBSSr231m
-    40U,	// VFMSUBSSr231r
-    120U,	// VFNMADD132PDZm
-    640U,	// VFNMADD132PDZmb
-    120U,	// VFNMADD132PSZm
-    904U,	// VFNMADD132PSZmb
-    120U,	// VFNMADD213PDZm
-    640U,	// VFNMADD213PDZmb
-    40U,	// VFNMADD213PDZr
-    298U,	// VFNMADD213PDZrk
-    298U,	// VFNMADD213PDZrkz
-    120U,	// VFNMADD213PSZm
-    904U,	// VFNMADD213PSZmb
-    40U,	// VFNMADD213PSZr
-    298U,	// VFNMADD213PSZrk
-    298U,	// VFNMADD213PSZrkz
-    2384U,	// VFNMADDPD4mr
-    2368U,	// VFNMADDPD4mrY
-    12552U,	// VFNMADDPD4rm
-    14600U,	// VFNMADDPD4rmY
-    8456U,	// VFNMADDPD4rr
-    8456U,	// VFNMADDPD4rrY
-    8456U,	// VFNMADDPD4rrY_REV
-    8456U,	// VFNMADDPD4rr_REV
-    144U,	// VFNMADDPDr132m
-    152U,	// VFNMADDPDr132mY
-    40U,	// VFNMADDPDr132r
-    40U,	// VFNMADDPDr132rY
-    144U,	// VFNMADDPDr213m
-    152U,	// VFNMADDPDr213mY
-    40U,	// VFNMADDPDr213r
-    40U,	// VFNMADDPDr213rY
-    144U,	// VFNMADDPDr231m
-    152U,	// VFNMADDPDr231mY
-    40U,	// VFNMADDPDr231r
-    40U,	// VFNMADDPDr231rY
-    2384U,	// VFNMADDPS4mr
-    2368U,	// VFNMADDPS4mrY
-    12552U,	// VFNMADDPS4rm
-    14600U,	// VFNMADDPS4rmY
-    8456U,	// VFNMADDPS4rr
-    8456U,	// VFNMADDPS4rrY
-    8456U,	// VFNMADDPS4rrY_REV
-    8456U,	// VFNMADDPS4rr_REV
-    144U,	// VFNMADDPSr132m
-    152U,	// VFNMADDPSr132mY
-    40U,	// VFNMADDPSr132r
-    40U,	// VFNMADDPSr132rY
-    144U,	// VFNMADDPSr213m
-    152U,	// VFNMADDPSr213mY
-    40U,	// VFNMADDPSr213r
-    40U,	// VFNMADDPSr213rY
-    144U,	// VFNMADDPSr231m
-    152U,	// VFNMADDPSr231mY
-    40U,	// VFNMADDPSr231r
-    40U,	// VFNMADDPSr231rY
-    2352U,	// VFNMADDSD4mr
-    2352U,	// VFNMADDSD4mr_Int
-    4360U,	// VFNMADDSD4rm
-    4360U,	// VFNMADDSD4rm_Int
-    8456U,	// VFNMADDSD4rr
-    8456U,	// VFNMADDSD4rr_Int
-    8456U,	// VFNMADDSD4rr_REV
-    144U,	// VFNMADDSDZm
-    40U,	// VFNMADDSDZr
-    128U,	// VFNMADDSDr132m
-    40U,	// VFNMADDSDr132r
-    128U,	// VFNMADDSDr213m
-    40U,	// VFNMADDSDr213r
-    128U,	// VFNMADDSDr231m
-    40U,	// VFNMADDSDr231r
-    2360U,	// VFNMADDSS4mr
-    2360U,	// VFNMADDSS4mr_Int
-    10504U,	// VFNMADDSS4rm
-    10504U,	// VFNMADDSS4rm_Int
-    8456U,	// VFNMADDSS4rr
-    8456U,	// VFNMADDSS4rr_Int
-    8456U,	// VFNMADDSS4rr_REV
-    144U,	// VFNMADDSSZm
-    40U,	// VFNMADDSSZr
-    136U,	// VFNMADDSSr132m
-    40U,	// VFNMADDSSr132r
-    136U,	// VFNMADDSSr213m
-    40U,	// VFNMADDSSr213r
-    136U,	// VFNMADDSSr231m
-    40U,	// VFNMADDSSr231r
-    120U,	// VFNMSUB132PDZm
-    640U,	// VFNMSUB132PDZmb
-    120U,	// VFNMSUB132PSZm
-    904U,	// VFNMSUB132PSZmb
-    120U,	// VFNMSUB213PDZm
-    640U,	// VFNMSUB213PDZmb
-    40U,	// VFNMSUB213PDZr
-    298U,	// VFNMSUB213PDZrk
-    298U,	// VFNMSUB213PDZrkz
-    120U,	// VFNMSUB213PSZm
-    904U,	// VFNMSUB213PSZmb
-    40U,	// VFNMSUB213PSZr
-    298U,	// VFNMSUB213PSZrk
-    298U,	// VFNMSUB213PSZrkz
-    2384U,	// VFNMSUBPD4mr
-    2368U,	// VFNMSUBPD4mrY
-    12552U,	// VFNMSUBPD4rm
-    14600U,	// VFNMSUBPD4rmY
-    8456U,	// VFNMSUBPD4rr
-    8456U,	// VFNMSUBPD4rrY
-    8456U,	// VFNMSUBPD4rrY_REV
-    8456U,	// VFNMSUBPD4rr_REV
-    144U,	// VFNMSUBPDr132m
-    152U,	// VFNMSUBPDr132mY
-    40U,	// VFNMSUBPDr132r
-    40U,	// VFNMSUBPDr132rY
-    144U,	// VFNMSUBPDr213m
-    152U,	// VFNMSUBPDr213mY
-    40U,	// VFNMSUBPDr213r
-    40U,	// VFNMSUBPDr213rY
-    144U,	// VFNMSUBPDr231m
-    152U,	// VFNMSUBPDr231mY
-    40U,	// VFNMSUBPDr231r
-    40U,	// VFNMSUBPDr231rY
-    2384U,	// VFNMSUBPS4mr
-    2368U,	// VFNMSUBPS4mrY
-    12552U,	// VFNMSUBPS4rm
-    14600U,	// VFNMSUBPS4rmY
-    8456U,	// VFNMSUBPS4rr
-    8456U,	// VFNMSUBPS4rrY
-    8456U,	// VFNMSUBPS4rrY_REV
-    8456U,	// VFNMSUBPS4rr_REV
-    144U,	// VFNMSUBPSr132m
-    152U,	// VFNMSUBPSr132mY
-    40U,	// VFNMSUBPSr132r
-    40U,	// VFNMSUBPSr132rY
-    144U,	// VFNMSUBPSr213m
-    152U,	// VFNMSUBPSr213mY
-    40U,	// VFNMSUBPSr213r
-    40U,	// VFNMSUBPSr213rY
-    144U,	// VFNMSUBPSr231m
-    152U,	// VFNMSUBPSr231mY
-    40U,	// VFNMSUBPSr231r
-    40U,	// VFNMSUBPSr231rY
-    2352U,	// VFNMSUBSD4mr
-    2352U,	// VFNMSUBSD4mr_Int
-    4360U,	// VFNMSUBSD4rm
-    4360U,	// VFNMSUBSD4rm_Int
-    8456U,	// VFNMSUBSD4rr
-    8456U,	// VFNMSUBSD4rr_Int
-    8456U,	// VFNMSUBSD4rr_REV
-    144U,	// VFNMSUBSDZm
-    40U,	// VFNMSUBSDZr
-    128U,	// VFNMSUBSDr132m
-    40U,	// VFNMSUBSDr132r
-    128U,	// VFNMSUBSDr213m
-    40U,	// VFNMSUBSDr213r
-    128U,	// VFNMSUBSDr231m
-    40U,	// VFNMSUBSDr231r
-    2360U,	// VFNMSUBSS4mr
-    2360U,	// VFNMSUBSS4mr_Int
-    10504U,	// VFNMSUBSS4rm
-    10504U,	// VFNMSUBSS4rm_Int
-    8456U,	// VFNMSUBSS4rr
-    8456U,	// VFNMSUBSS4rr_Int
-    8456U,	// VFNMSUBSS4rr_REV
-    144U,	// VFNMSUBSSZm
-    40U,	// VFNMSUBSSZr
-    136U,	// VFNMSUBSSr132m
-    40U,	// VFNMSUBSSr132r
-    136U,	// VFNMSUBSSr213m
-    40U,	// VFNMSUBSSr213r
-    136U,	// VFNMSUBSSr231m
-    40U,	// VFNMSUBSSr231r
+    16U,	// VEXTRACTPSzrr
+    352U,	// VFMADD132PDZ128m
+    2320U,	// VFMADD132PDZ128mb
+    368U,	// VFMADD132PDZ256m
+    3344U,	// VFMADD132PDZ256mb
+    320U,	// VFMADD132PDZm
+    4368U,	// VFMADD132PDZmb
+    352U,	// VFMADD132PSZ128m
+    3360U,	// VFMADD132PSZ128mb
+    368U,	// VFMADD132PSZ256m
+    4384U,	// VFMADD132PSZ256mb
+    320U,	// VFMADD132PSZm
+    5408U,	// VFMADD132PSZmb
+    1066176U,	// VFMADDPD4mr
+    1066160U,	// VFMADDPD4mrY
+    1131568U,	// VFMADDPD4rm
+    1197104U,	// VFMADDPD4rmY
+    1164336U,	// VFMADDPD4rr
+    1164336U,	// VFMADDPD4rrY
+    1164336U,	// VFMADDPD4rrY_REV
+    1164336U,	// VFMADDPD4rr_REV
+    352U,	// VFMADDPDZ128v213rm
+    2320U,	// VFMADDPDZ128v213rmb
+    558241U,	// VFMADDPDZ128v213rmbk
+    558242U,	// VFMADDPDZ128v213rmbkz
+    1115297U,	// VFMADDPDZ128v213rmk
+    1115298U,	// VFMADDPDZ128v213rmkz
+    160U,	// VFMADDPDZ128v213rr
+    1148065U,	// VFMADDPDZ128v213rrk
+    1148066U,	// VFMADDPDZ128v213rrkz
+    352U,	// VFMADDPDZ128v231rm
+    2320U,	// VFMADDPDZ128v231rmb
+    558241U,	// VFMADDPDZ128v231rmbk
+    558242U,	// VFMADDPDZ128v231rmbkz
+    1115297U,	// VFMADDPDZ128v231rmk
+    1115298U,	// VFMADDPDZ128v231rmkz
+    160U,	// VFMADDPDZ128v231rr
+    1148065U,	// VFMADDPDZ128v231rrk
+    1148066U,	// VFMADDPDZ128v231rrkz
+    368U,	// VFMADDPDZ256v213rm
+    3344U,	// VFMADDPDZ256v213rmb
+    1606817U,	// VFMADDPDZ256v213rmbk
+    1606818U,	// VFMADDPDZ256v213rmbkz
+    132257U,	// VFMADDPDZ256v213rmk
+    132258U,	// VFMADDPDZ256v213rmkz
+    160U,	// VFMADDPDZ256v213rr
+    1148065U,	// VFMADDPDZ256v213rrk
+    1148066U,	// VFMADDPDZ256v213rrkz
+    368U,	// VFMADDPDZ256v231rm
+    3344U,	// VFMADDPDZ256v231rmb
+    1606817U,	// VFMADDPDZ256v231rmbk
+    1606818U,	// VFMADDPDZ256v231rmbkz
+    132257U,	// VFMADDPDZ256v231rmk
+    132258U,	// VFMADDPDZ256v231rmkz
+    160U,	// VFMADDPDZ256v231rr
+    1148065U,	// VFMADDPDZ256v231rrk
+    1148066U,	// VFMADDPDZ256v231rrkz
+    320U,	// VFMADDPDZv213rm
+    4368U,	// VFMADDPDZv213rmb
+    2131105U,	// VFMADDPDZv213rmbk
+    2131106U,	// VFMADDPDZv213rmbkz
+    181409U,	// VFMADDPDZv213rmk
+    181410U,	// VFMADDPDZv213rmkz
+    160U,	// VFMADDPDZv213rr
+    296096U,	// VFMADDPDZv213rrb
+    8488097U,	// VFMADDPDZv213rrbk
+    8488098U,	// VFMADDPDZv213rrbkz
+    1148065U,	// VFMADDPDZv213rrk
+    1148066U,	// VFMADDPDZv213rrkz
+    320U,	// VFMADDPDZv231rm
+    4368U,	// VFMADDPDZv231rmb
+    2131105U,	// VFMADDPDZv231rmbk
+    2131106U,	// VFMADDPDZv231rmbkz
+    181409U,	// VFMADDPDZv231rmk
+    181410U,	// VFMADDPDZv231rmkz
+    160U,	// VFMADDPDZv231rr
+    1148065U,	// VFMADDPDZv231rrk
+    1148066U,	// VFMADDPDZv231rrkz
+    352U,	// VFMADDPDr132m
+    368U,	// VFMADDPDr132mY
+    160U,	// VFMADDPDr132r
+    160U,	// VFMADDPDr132rY
+    352U,	// VFMADDPDr213m
+    368U,	// VFMADDPDr213mY
+    160U,	// VFMADDPDr213r
+    160U,	// VFMADDPDr213rY
+    352U,	// VFMADDPDr231m
+    368U,	// VFMADDPDr231mY
+    160U,	// VFMADDPDr231r
+    160U,	// VFMADDPDr231rY
+    1066176U,	// VFMADDPS4mr
+    1066160U,	// VFMADDPS4mrY
+    1131568U,	// VFMADDPS4rm
+    1197104U,	// VFMADDPS4rmY
+    1164336U,	// VFMADDPS4rr
+    1164336U,	// VFMADDPS4rrY
+    1164336U,	// VFMADDPS4rrY_REV
+    1164336U,	// VFMADDPS4rr_REV
+    352U,	// VFMADDPSZ128v213rm
+    3360U,	// VFMADDPSZ128v213rmb
+    1787041U,	// VFMADDPSZ128v213rmbk
+    1787042U,	// VFMADDPSZ128v213rmbkz
+    1115297U,	// VFMADDPSZ128v213rmk
+    1115298U,	// VFMADDPSZ128v213rmkz
+    160U,	// VFMADDPSZ128v213rr
+    1148065U,	// VFMADDPSZ128v213rrk
+    1148066U,	// VFMADDPSZ128v213rrkz
+    352U,	// VFMADDPSZ128v231rm
+    3360U,	// VFMADDPSZ128v231rmb
+    1787041U,	// VFMADDPSZ128v231rmbk
+    1787042U,	// VFMADDPSZ128v231rmbkz
+    1115297U,	// VFMADDPSZ128v231rmk
+    1115298U,	// VFMADDPSZ128v231rmkz
+    160U,	// VFMADDPSZ128v231rr
+    1148065U,	// VFMADDPSZ128v231rrk
+    1148066U,	// VFMADDPSZ128v231rrkz
+    368U,	// VFMADDPSZ256v213rm
+    4384U,	// VFMADDPSZ256v213rmb
+    2311329U,	// VFMADDPSZ256v213rmbk
+    2311330U,	// VFMADDPSZ256v213rmbkz
+    132257U,	// VFMADDPSZ256v213rmk
+    132258U,	// VFMADDPSZ256v213rmkz
+    160U,	// VFMADDPSZ256v213rr
+    1148065U,	// VFMADDPSZ256v213rrk
+    1148066U,	// VFMADDPSZ256v213rrkz
+    368U,	// VFMADDPSZ256v231rm
+    4384U,	// VFMADDPSZ256v231rmb
+    2311329U,	// VFMADDPSZ256v231rmbk
+    2311330U,	// VFMADDPSZ256v231rmbkz
+    132257U,	// VFMADDPSZ256v231rmk
+    132258U,	// VFMADDPSZ256v231rmkz
+    160U,	// VFMADDPSZ256v231rr
+    1148065U,	// VFMADDPSZ256v231rrk
+    1148066U,	// VFMADDPSZ256v231rrkz
+    320U,	// VFMADDPSZv213rm
+    5408U,	// VFMADDPSZv213rmb
+    2835617U,	// VFMADDPSZv213rmbk
+    2835618U,	// VFMADDPSZv213rmbkz
+    181409U,	// VFMADDPSZv213rmk
+    181410U,	// VFMADDPSZv213rmkz
+    160U,	// VFMADDPSZv213rr
+    296096U,	// VFMADDPSZv213rrb
+    8488097U,	// VFMADDPSZv213rrbk
+    8488098U,	// VFMADDPSZv213rrbkz
+    1148065U,	// VFMADDPSZv213rrk
+    1148066U,	// VFMADDPSZv213rrkz
+    320U,	// VFMADDPSZv231rm
+    5408U,	// VFMADDPSZv231rmb
+    2835617U,	// VFMADDPSZv231rmbk
+    2835618U,	// VFMADDPSZv231rmbkz
+    181409U,	// VFMADDPSZv231rmk
+    181410U,	// VFMADDPSZv231rmkz
+    160U,	// VFMADDPSZv231rr
+    1148065U,	// VFMADDPSZv231rrk
+    1148066U,	// VFMADDPSZv231rrkz
+    352U,	// VFMADDPSr132m
+    368U,	// VFMADDPSr132mY
+    160U,	// VFMADDPSr132r
+    160U,	// VFMADDPSr132rY
+    352U,	// VFMADDPSr213m
+    368U,	// VFMADDPSr213mY
+    160U,	// VFMADDPSr213r
+    160U,	// VFMADDPSr213rY
+    352U,	// VFMADDPSr231m
+    368U,	// VFMADDPSr231mY
+    160U,	// VFMADDPSr231r
+    160U,	// VFMADDPSr231rY
+    1066112U,	// VFMADDSD4mr
+    1066112U,	// VFMADDSD4mr_Int
+    1098800U,	// VFMADDSD4rm
+    1098800U,	// VFMADDSD4rm_Int
+    1164336U,	// VFMADDSD4rr
+    1164336U,	// VFMADDSD4rr_Int
+    1164336U,	// VFMADDSD4rr_REV
+    352U,	// VFMADDSDZm
+    160U,	// VFMADDSDZr
+    272U,	// VFMADDSDr132m
+    160U,	// VFMADDSDr132r
+    272U,	// VFMADDSDr213m
+    160U,	// VFMADDSDr213r
+    272U,	// VFMADDSDr231m
+    160U,	// VFMADDSDr231r
+    1066128U,	// VFMADDSS4mr
+    1066128U,	// VFMADDSS4mr_Int
+    1279024U,	// VFMADDSS4rm
+    1279024U,	// VFMADDSS4rm_Int
+    1164336U,	// VFMADDSS4rr
+    1164336U,	// VFMADDSS4rr_Int
+    1164336U,	// VFMADDSS4rr_REV
+    352U,	// VFMADDSSZm
+    160U,	// VFMADDSSZr
+    288U,	// VFMADDSSr132m
+    160U,	// VFMADDSSr132r
+    288U,	// VFMADDSSr213m
+    160U,	// VFMADDSSr213r
+    288U,	// VFMADDSSr231m
+    160U,	// VFMADDSSr231r
+    352U,	// VFMADDSUB132PDZ128m
+    2320U,	// VFMADDSUB132PDZ128mb
+    368U,	// VFMADDSUB132PDZ256m
+    3344U,	// VFMADDSUB132PDZ256mb
+    320U,	// VFMADDSUB132PDZm
+    4368U,	// VFMADDSUB132PDZmb
+    352U,	// VFMADDSUB132PSZ128m
+    3360U,	// VFMADDSUB132PSZ128mb
+    368U,	// VFMADDSUB132PSZ256m
+    4384U,	// VFMADDSUB132PSZ256mb
+    320U,	// VFMADDSUB132PSZm
+    5408U,	// VFMADDSUB132PSZmb
+    1066176U,	// VFMADDSUBPD4mr
+    1066160U,	// VFMADDSUBPD4mrY
+    1131568U,	// VFMADDSUBPD4rm
+    1197104U,	// VFMADDSUBPD4rmY
+    1164336U,	// VFMADDSUBPD4rr
+    1164336U,	// VFMADDSUBPD4rrY
+    1164336U,	// VFMADDSUBPD4rrY_REV
+    1164336U,	// VFMADDSUBPD4rr_REV
+    352U,	// VFMADDSUBPDZ128v213rm
+    2320U,	// VFMADDSUBPDZ128v213rmb
+    558241U,	// VFMADDSUBPDZ128v213rmbk
+    558242U,	// VFMADDSUBPDZ128v213rmbkz
+    1115297U,	// VFMADDSUBPDZ128v213rmk
+    1115298U,	// VFMADDSUBPDZ128v213rmkz
+    160U,	// VFMADDSUBPDZ128v213rr
+    1148065U,	// VFMADDSUBPDZ128v213rrk
+    1148066U,	// VFMADDSUBPDZ128v213rrkz
+    352U,	// VFMADDSUBPDZ128v231rm
+    2320U,	// VFMADDSUBPDZ128v231rmb
+    558241U,	// VFMADDSUBPDZ128v231rmbk
+    558242U,	// VFMADDSUBPDZ128v231rmbkz
+    1115297U,	// VFMADDSUBPDZ128v231rmk
+    1115298U,	// VFMADDSUBPDZ128v231rmkz
+    160U,	// VFMADDSUBPDZ128v231rr
+    1148065U,	// VFMADDSUBPDZ128v231rrk
+    1148066U,	// VFMADDSUBPDZ128v231rrkz
+    368U,	// VFMADDSUBPDZ256v213rm
+    3344U,	// VFMADDSUBPDZ256v213rmb
+    1606817U,	// VFMADDSUBPDZ256v213rmbk
+    1606818U,	// VFMADDSUBPDZ256v213rmbkz
+    132257U,	// VFMADDSUBPDZ256v213rmk
+    132258U,	// VFMADDSUBPDZ256v213rmkz
+    160U,	// VFMADDSUBPDZ256v213rr
+    1148065U,	// VFMADDSUBPDZ256v213rrk
+    1148066U,	// VFMADDSUBPDZ256v213rrkz
+    368U,	// VFMADDSUBPDZ256v231rm
+    3344U,	// VFMADDSUBPDZ256v231rmb
+    1606817U,	// VFMADDSUBPDZ256v231rmbk
+    1606818U,	// VFMADDSUBPDZ256v231rmbkz
+    132257U,	// VFMADDSUBPDZ256v231rmk
+    132258U,	// VFMADDSUBPDZ256v231rmkz
+    160U,	// VFMADDSUBPDZ256v231rr
+    1148065U,	// VFMADDSUBPDZ256v231rrk
+    1148066U,	// VFMADDSUBPDZ256v231rrkz
+    320U,	// VFMADDSUBPDZv213rm
+    4368U,	// VFMADDSUBPDZv213rmb
+    2131105U,	// VFMADDSUBPDZv213rmbk
+    2131106U,	// VFMADDSUBPDZv213rmbkz
+    181409U,	// VFMADDSUBPDZv213rmk
+    181410U,	// VFMADDSUBPDZv213rmkz
+    160U,	// VFMADDSUBPDZv213rr
+    296096U,	// VFMADDSUBPDZv213rrb
+    8488097U,	// VFMADDSUBPDZv213rrbk
+    8488098U,	// VFMADDSUBPDZv213rrbkz
+    1148065U,	// VFMADDSUBPDZv213rrk
+    1148066U,	// VFMADDSUBPDZv213rrkz
+    320U,	// VFMADDSUBPDZv231rm
+    4368U,	// VFMADDSUBPDZv231rmb
+    2131105U,	// VFMADDSUBPDZv231rmbk
+    2131106U,	// VFMADDSUBPDZv231rmbkz
+    181409U,	// VFMADDSUBPDZv231rmk
+    181410U,	// VFMADDSUBPDZv231rmkz
+    160U,	// VFMADDSUBPDZv231rr
+    1148065U,	// VFMADDSUBPDZv231rrk
+    1148066U,	// VFMADDSUBPDZv231rrkz
+    352U,	// VFMADDSUBPDr132m
+    368U,	// VFMADDSUBPDr132mY
+    160U,	// VFMADDSUBPDr132r
+    160U,	// VFMADDSUBPDr132rY
+    352U,	// VFMADDSUBPDr213m
+    368U,	// VFMADDSUBPDr213mY
+    160U,	// VFMADDSUBPDr213r
+    160U,	// VFMADDSUBPDr213rY
+    352U,	// VFMADDSUBPDr231m
+    368U,	// VFMADDSUBPDr231mY
+    160U,	// VFMADDSUBPDr231r
+    160U,	// VFMADDSUBPDr231rY
+    1066176U,	// VFMADDSUBPS4mr
+    1066160U,	// VFMADDSUBPS4mrY
+    1131568U,	// VFMADDSUBPS4rm
+    1197104U,	// VFMADDSUBPS4rmY
+    1164336U,	// VFMADDSUBPS4rr
+    1164336U,	// VFMADDSUBPS4rrY
+    1164336U,	// VFMADDSUBPS4rrY_REV
+    1164336U,	// VFMADDSUBPS4rr_REV
+    352U,	// VFMADDSUBPSZ128v213rm
+    3360U,	// VFMADDSUBPSZ128v213rmb
+    1787041U,	// VFMADDSUBPSZ128v213rmbk
+    1787042U,	// VFMADDSUBPSZ128v213rmbkz
+    1115297U,	// VFMADDSUBPSZ128v213rmk
+    1115298U,	// VFMADDSUBPSZ128v213rmkz
+    160U,	// VFMADDSUBPSZ128v213rr
+    1148065U,	// VFMADDSUBPSZ128v213rrk
+    1148066U,	// VFMADDSUBPSZ128v213rrkz
+    352U,	// VFMADDSUBPSZ128v231rm
+    3360U,	// VFMADDSUBPSZ128v231rmb
+    1787041U,	// VFMADDSUBPSZ128v231rmbk
+    1787042U,	// VFMADDSUBPSZ128v231rmbkz
+    1115297U,	// VFMADDSUBPSZ128v231rmk
+    1115298U,	// VFMADDSUBPSZ128v231rmkz
+    160U,	// VFMADDSUBPSZ128v231rr
+    1148065U,	// VFMADDSUBPSZ128v231rrk
+    1148066U,	// VFMADDSUBPSZ128v231rrkz
+    368U,	// VFMADDSUBPSZ256v213rm
+    4384U,	// VFMADDSUBPSZ256v213rmb
+    2311329U,	// VFMADDSUBPSZ256v213rmbk
+    2311330U,	// VFMADDSUBPSZ256v213rmbkz
+    132257U,	// VFMADDSUBPSZ256v213rmk
+    132258U,	// VFMADDSUBPSZ256v213rmkz
+    160U,	// VFMADDSUBPSZ256v213rr
+    1148065U,	// VFMADDSUBPSZ256v213rrk
+    1148066U,	// VFMADDSUBPSZ256v213rrkz
+    368U,	// VFMADDSUBPSZ256v231rm
+    4384U,	// VFMADDSUBPSZ256v231rmb
+    2311329U,	// VFMADDSUBPSZ256v231rmbk
+    2311330U,	// VFMADDSUBPSZ256v231rmbkz
+    132257U,	// VFMADDSUBPSZ256v231rmk
+    132258U,	// VFMADDSUBPSZ256v231rmkz
+    160U,	// VFMADDSUBPSZ256v231rr
+    1148065U,	// VFMADDSUBPSZ256v231rrk
+    1148066U,	// VFMADDSUBPSZ256v231rrkz
+    320U,	// VFMADDSUBPSZv213rm
+    5408U,	// VFMADDSUBPSZv213rmb
+    2835617U,	// VFMADDSUBPSZv213rmbk
+    2835618U,	// VFMADDSUBPSZv213rmbkz
+    181409U,	// VFMADDSUBPSZv213rmk
+    181410U,	// VFMADDSUBPSZv213rmkz
+    160U,	// VFMADDSUBPSZv213rr
+    296096U,	// VFMADDSUBPSZv213rrb
+    8488097U,	// VFMADDSUBPSZv213rrbk
+    8488098U,	// VFMADDSUBPSZv213rrbkz
+    1148065U,	// VFMADDSUBPSZv213rrk
+    1148066U,	// VFMADDSUBPSZv213rrkz
+    320U,	// VFMADDSUBPSZv231rm
+    5408U,	// VFMADDSUBPSZv231rmb
+    2835617U,	// VFMADDSUBPSZv231rmbk
+    2835618U,	// VFMADDSUBPSZv231rmbkz
+    181409U,	// VFMADDSUBPSZv231rmk
+    181410U,	// VFMADDSUBPSZv231rmkz
+    160U,	// VFMADDSUBPSZv231rr
+    1148065U,	// VFMADDSUBPSZv231rrk
+    1148066U,	// VFMADDSUBPSZv231rrkz
+    352U,	// VFMADDSUBPSr132m
+    368U,	// VFMADDSUBPSr132mY
+    160U,	// VFMADDSUBPSr132r
+    160U,	// VFMADDSUBPSr132rY
+    352U,	// VFMADDSUBPSr213m
+    368U,	// VFMADDSUBPSr213mY
+    160U,	// VFMADDSUBPSr213r
+    160U,	// VFMADDSUBPSr213rY
+    352U,	// VFMADDSUBPSr231m
+    368U,	// VFMADDSUBPSr231mY
+    160U,	// VFMADDSUBPSr231r
+    160U,	// VFMADDSUBPSr231rY
+    352U,	// VFMSUB132PDZ128m
+    2320U,	// VFMSUB132PDZ128mb
+    368U,	// VFMSUB132PDZ256m
+    3344U,	// VFMSUB132PDZ256mb
+    320U,	// VFMSUB132PDZm
+    4368U,	// VFMSUB132PDZmb
+    352U,	// VFMSUB132PSZ128m
+    3360U,	// VFMSUB132PSZ128mb
+    368U,	// VFMSUB132PSZ256m
+    4384U,	// VFMSUB132PSZ256mb
+    320U,	// VFMSUB132PSZm
+    5408U,	// VFMSUB132PSZmb
+    352U,	// VFMSUBADD132PDZ128m
+    2320U,	// VFMSUBADD132PDZ128mb
+    368U,	// VFMSUBADD132PDZ256m
+    3344U,	// VFMSUBADD132PDZ256mb
+    320U,	// VFMSUBADD132PDZm
+    4368U,	// VFMSUBADD132PDZmb
+    352U,	// VFMSUBADD132PSZ128m
+    3360U,	// VFMSUBADD132PSZ128mb
+    368U,	// VFMSUBADD132PSZ256m
+    4384U,	// VFMSUBADD132PSZ256mb
+    320U,	// VFMSUBADD132PSZm
+    5408U,	// VFMSUBADD132PSZmb
+    1066176U,	// VFMSUBADDPD4mr
+    1066160U,	// VFMSUBADDPD4mrY
+    1131568U,	// VFMSUBADDPD4rm
+    1197104U,	// VFMSUBADDPD4rmY
+    1164336U,	// VFMSUBADDPD4rr
+    1164336U,	// VFMSUBADDPD4rrY
+    1164336U,	// VFMSUBADDPD4rrY_REV
+    1164336U,	// VFMSUBADDPD4rr_REV
+    352U,	// VFMSUBADDPDZ128v213rm
+    2320U,	// VFMSUBADDPDZ128v213rmb
+    558241U,	// VFMSUBADDPDZ128v213rmbk
+    558242U,	// VFMSUBADDPDZ128v213rmbkz
+    1115297U,	// VFMSUBADDPDZ128v213rmk
+    1115298U,	// VFMSUBADDPDZ128v213rmkz
+    160U,	// VFMSUBADDPDZ128v213rr
+    1148065U,	// VFMSUBADDPDZ128v213rrk
+    1148066U,	// VFMSUBADDPDZ128v213rrkz
+    352U,	// VFMSUBADDPDZ128v231rm
+    2320U,	// VFMSUBADDPDZ128v231rmb
+    558241U,	// VFMSUBADDPDZ128v231rmbk
+    558242U,	// VFMSUBADDPDZ128v231rmbkz
+    1115297U,	// VFMSUBADDPDZ128v231rmk
+    1115298U,	// VFMSUBADDPDZ128v231rmkz
+    160U,	// VFMSUBADDPDZ128v231rr
+    1148065U,	// VFMSUBADDPDZ128v231rrk
+    1148066U,	// VFMSUBADDPDZ128v231rrkz
+    368U,	// VFMSUBADDPDZ256v213rm
+    3344U,	// VFMSUBADDPDZ256v213rmb
+    1606817U,	// VFMSUBADDPDZ256v213rmbk
+    1606818U,	// VFMSUBADDPDZ256v213rmbkz
+    132257U,	// VFMSUBADDPDZ256v213rmk
+    132258U,	// VFMSUBADDPDZ256v213rmkz
+    160U,	// VFMSUBADDPDZ256v213rr
+    1148065U,	// VFMSUBADDPDZ256v213rrk
+    1148066U,	// VFMSUBADDPDZ256v213rrkz
+    368U,	// VFMSUBADDPDZ256v231rm
+    3344U,	// VFMSUBADDPDZ256v231rmb
+    1606817U,	// VFMSUBADDPDZ256v231rmbk
+    1606818U,	// VFMSUBADDPDZ256v231rmbkz
+    132257U,	// VFMSUBADDPDZ256v231rmk
+    132258U,	// VFMSUBADDPDZ256v231rmkz
+    160U,	// VFMSUBADDPDZ256v231rr
+    1148065U,	// VFMSUBADDPDZ256v231rrk
+    1148066U,	// VFMSUBADDPDZ256v231rrkz
+    320U,	// VFMSUBADDPDZv213rm
+    4368U,	// VFMSUBADDPDZv213rmb
+    2131105U,	// VFMSUBADDPDZv213rmbk
+    2131106U,	// VFMSUBADDPDZv213rmbkz
+    181409U,	// VFMSUBADDPDZv213rmk
+    181410U,	// VFMSUBADDPDZv213rmkz
+    160U,	// VFMSUBADDPDZv213rr
+    296096U,	// VFMSUBADDPDZv213rrb
+    8488097U,	// VFMSUBADDPDZv213rrbk
+    8488098U,	// VFMSUBADDPDZv213rrbkz
+    1148065U,	// VFMSUBADDPDZv213rrk
+    1148066U,	// VFMSUBADDPDZv213rrkz
+    320U,	// VFMSUBADDPDZv231rm
+    4368U,	// VFMSUBADDPDZv231rmb
+    2131105U,	// VFMSUBADDPDZv231rmbk
+    2131106U,	// VFMSUBADDPDZv231rmbkz
+    181409U,	// VFMSUBADDPDZv231rmk
+    181410U,	// VFMSUBADDPDZv231rmkz
+    160U,	// VFMSUBADDPDZv231rr
+    1148065U,	// VFMSUBADDPDZv231rrk
+    1148066U,	// VFMSUBADDPDZv231rrkz
+    352U,	// VFMSUBADDPDr132m
+    368U,	// VFMSUBADDPDr132mY
+    160U,	// VFMSUBADDPDr132r
+    160U,	// VFMSUBADDPDr132rY
+    352U,	// VFMSUBADDPDr213m
+    368U,	// VFMSUBADDPDr213mY
+    160U,	// VFMSUBADDPDr213r
+    160U,	// VFMSUBADDPDr213rY
+    352U,	// VFMSUBADDPDr231m
+    368U,	// VFMSUBADDPDr231mY
+    160U,	// VFMSUBADDPDr231r
+    160U,	// VFMSUBADDPDr231rY
+    1066176U,	// VFMSUBADDPS4mr
+    1066160U,	// VFMSUBADDPS4mrY
+    1131568U,	// VFMSUBADDPS4rm
+    1197104U,	// VFMSUBADDPS4rmY
+    1164336U,	// VFMSUBADDPS4rr
+    1164336U,	// VFMSUBADDPS4rrY
+    1164336U,	// VFMSUBADDPS4rrY_REV
+    1164336U,	// VFMSUBADDPS4rr_REV
+    352U,	// VFMSUBADDPSZ128v213rm
+    3360U,	// VFMSUBADDPSZ128v213rmb
+    1787041U,	// VFMSUBADDPSZ128v213rmbk
+    1787042U,	// VFMSUBADDPSZ128v213rmbkz
+    1115297U,	// VFMSUBADDPSZ128v213rmk
+    1115298U,	// VFMSUBADDPSZ128v213rmkz
+    160U,	// VFMSUBADDPSZ128v213rr
+    1148065U,	// VFMSUBADDPSZ128v213rrk
+    1148066U,	// VFMSUBADDPSZ128v213rrkz
+    352U,	// VFMSUBADDPSZ128v231rm
+    3360U,	// VFMSUBADDPSZ128v231rmb
+    1787041U,	// VFMSUBADDPSZ128v231rmbk
+    1787042U,	// VFMSUBADDPSZ128v231rmbkz
+    1115297U,	// VFMSUBADDPSZ128v231rmk
+    1115298U,	// VFMSUBADDPSZ128v231rmkz
+    160U,	// VFMSUBADDPSZ128v231rr
+    1148065U,	// VFMSUBADDPSZ128v231rrk
+    1148066U,	// VFMSUBADDPSZ128v231rrkz
+    368U,	// VFMSUBADDPSZ256v213rm
+    4384U,	// VFMSUBADDPSZ256v213rmb
+    2311329U,	// VFMSUBADDPSZ256v213rmbk
+    2311330U,	// VFMSUBADDPSZ256v213rmbkz
+    132257U,	// VFMSUBADDPSZ256v213rmk
+    132258U,	// VFMSUBADDPSZ256v213rmkz
+    160U,	// VFMSUBADDPSZ256v213rr
+    1148065U,	// VFMSUBADDPSZ256v213rrk
+    1148066U,	// VFMSUBADDPSZ256v213rrkz
+    368U,	// VFMSUBADDPSZ256v231rm
+    4384U,	// VFMSUBADDPSZ256v231rmb
+    2311329U,	// VFMSUBADDPSZ256v231rmbk
+    2311330U,	// VFMSUBADDPSZ256v231rmbkz
+    132257U,	// VFMSUBADDPSZ256v231rmk
+    132258U,	// VFMSUBADDPSZ256v231rmkz
+    160U,	// VFMSUBADDPSZ256v231rr
+    1148065U,	// VFMSUBADDPSZ256v231rrk
+    1148066U,	// VFMSUBADDPSZ256v231rrkz
+    320U,	// VFMSUBADDPSZv213rm
+    5408U,	// VFMSUBADDPSZv213rmb
+    2835617U,	// VFMSUBADDPSZv213rmbk
+    2835618U,	// VFMSUBADDPSZv213rmbkz
+    181409U,	// VFMSUBADDPSZv213rmk
+    181410U,	// VFMSUBADDPSZv213rmkz
+    160U,	// VFMSUBADDPSZv213rr
+    296096U,	// VFMSUBADDPSZv213rrb
+    8488097U,	// VFMSUBADDPSZv213rrbk
+    8488098U,	// VFMSUBADDPSZv213rrbkz
+    1148065U,	// VFMSUBADDPSZv213rrk
+    1148066U,	// VFMSUBADDPSZv213rrkz
+    320U,	// VFMSUBADDPSZv231rm
+    5408U,	// VFMSUBADDPSZv231rmb
+    2835617U,	// VFMSUBADDPSZv231rmbk
+    2835618U,	// VFMSUBADDPSZv231rmbkz
+    181409U,	// VFMSUBADDPSZv231rmk
+    181410U,	// VFMSUBADDPSZv231rmkz
+    160U,	// VFMSUBADDPSZv231rr
+    1148065U,	// VFMSUBADDPSZv231rrk
+    1148066U,	// VFMSUBADDPSZv231rrkz
+    352U,	// VFMSUBADDPSr132m
+    368U,	// VFMSUBADDPSr132mY
+    160U,	// VFMSUBADDPSr132r
+    160U,	// VFMSUBADDPSr132rY
+    352U,	// VFMSUBADDPSr213m
+    368U,	// VFMSUBADDPSr213mY
+    160U,	// VFMSUBADDPSr213r
+    160U,	// VFMSUBADDPSr213rY
+    352U,	// VFMSUBADDPSr231m
+    368U,	// VFMSUBADDPSr231mY
+    160U,	// VFMSUBADDPSr231r
+    160U,	// VFMSUBADDPSr231rY
+    1066176U,	// VFMSUBPD4mr
+    1066160U,	// VFMSUBPD4mrY
+    1131568U,	// VFMSUBPD4rm
+    1197104U,	// VFMSUBPD4rmY
+    1164336U,	// VFMSUBPD4rr
+    1164336U,	// VFMSUBPD4rrY
+    1164336U,	// VFMSUBPD4rrY_REV
+    1164336U,	// VFMSUBPD4rr_REV
+    352U,	// VFMSUBPDZ128v213rm
+    2320U,	// VFMSUBPDZ128v213rmb
+    558241U,	// VFMSUBPDZ128v213rmbk
+    558242U,	// VFMSUBPDZ128v213rmbkz
+    1115297U,	// VFMSUBPDZ128v213rmk
+    1115298U,	// VFMSUBPDZ128v213rmkz
+    160U,	// VFMSUBPDZ128v213rr
+    1148065U,	// VFMSUBPDZ128v213rrk
+    1148066U,	// VFMSUBPDZ128v213rrkz
+    352U,	// VFMSUBPDZ128v231rm
+    2320U,	// VFMSUBPDZ128v231rmb
+    558241U,	// VFMSUBPDZ128v231rmbk
+    558242U,	// VFMSUBPDZ128v231rmbkz
+    1115297U,	// VFMSUBPDZ128v231rmk
+    1115298U,	// VFMSUBPDZ128v231rmkz
+    160U,	// VFMSUBPDZ128v231rr
+    1148065U,	// VFMSUBPDZ128v231rrk
+    1148066U,	// VFMSUBPDZ128v231rrkz
+    368U,	// VFMSUBPDZ256v213rm
+    3344U,	// VFMSUBPDZ256v213rmb
+    1606817U,	// VFMSUBPDZ256v213rmbk
+    1606818U,	// VFMSUBPDZ256v213rmbkz
+    132257U,	// VFMSUBPDZ256v213rmk
+    132258U,	// VFMSUBPDZ256v213rmkz
+    160U,	// VFMSUBPDZ256v213rr
+    1148065U,	// VFMSUBPDZ256v213rrk
+    1148066U,	// VFMSUBPDZ256v213rrkz
+    368U,	// VFMSUBPDZ256v231rm
+    3344U,	// VFMSUBPDZ256v231rmb
+    1606817U,	// VFMSUBPDZ256v231rmbk
+    1606818U,	// VFMSUBPDZ256v231rmbkz
+    132257U,	// VFMSUBPDZ256v231rmk
+    132258U,	// VFMSUBPDZ256v231rmkz
+    160U,	// VFMSUBPDZ256v231rr
+    1148065U,	// VFMSUBPDZ256v231rrk
+    1148066U,	// VFMSUBPDZ256v231rrkz
+    320U,	// VFMSUBPDZv213rm
+    4368U,	// VFMSUBPDZv213rmb
+    2131105U,	// VFMSUBPDZv213rmbk
+    2131106U,	// VFMSUBPDZv213rmbkz
+    181409U,	// VFMSUBPDZv213rmk
+    181410U,	// VFMSUBPDZv213rmkz
+    160U,	// VFMSUBPDZv213rr
+    296096U,	// VFMSUBPDZv213rrb
+    8488097U,	// VFMSUBPDZv213rrbk
+    8488098U,	// VFMSUBPDZv213rrbkz
+    1148065U,	// VFMSUBPDZv213rrk
+    1148066U,	// VFMSUBPDZv213rrkz
+    320U,	// VFMSUBPDZv231rm
+    4368U,	// VFMSUBPDZv231rmb
+    2131105U,	// VFMSUBPDZv231rmbk
+    2131106U,	// VFMSUBPDZv231rmbkz
+    181409U,	// VFMSUBPDZv231rmk
+    181410U,	// VFMSUBPDZv231rmkz
+    160U,	// VFMSUBPDZv231rr
+    1148065U,	// VFMSUBPDZv231rrk
+    1148066U,	// VFMSUBPDZv231rrkz
+    352U,	// VFMSUBPDr132m
+    368U,	// VFMSUBPDr132mY
+    160U,	// VFMSUBPDr132r
+    160U,	// VFMSUBPDr132rY
+    352U,	// VFMSUBPDr213m
+    368U,	// VFMSUBPDr213mY
+    160U,	// VFMSUBPDr213r
+    160U,	// VFMSUBPDr213rY
+    352U,	// VFMSUBPDr231m
+    368U,	// VFMSUBPDr231mY
+    160U,	// VFMSUBPDr231r
+    160U,	// VFMSUBPDr231rY
+    1066176U,	// VFMSUBPS4mr
+    1066160U,	// VFMSUBPS4mrY
+    1131568U,	// VFMSUBPS4rm
+    1197104U,	// VFMSUBPS4rmY
+    1164336U,	// VFMSUBPS4rr
+    1164336U,	// VFMSUBPS4rrY
+    1164336U,	// VFMSUBPS4rrY_REV
+    1164336U,	// VFMSUBPS4rr_REV
+    352U,	// VFMSUBPSZ128v213rm
+    3360U,	// VFMSUBPSZ128v213rmb
+    1787041U,	// VFMSUBPSZ128v213rmbk
+    1787042U,	// VFMSUBPSZ128v213rmbkz
+    1115297U,	// VFMSUBPSZ128v213rmk
+    1115298U,	// VFMSUBPSZ128v213rmkz
+    160U,	// VFMSUBPSZ128v213rr
+    1148065U,	// VFMSUBPSZ128v213rrk
+    1148066U,	// VFMSUBPSZ128v213rrkz
+    352U,	// VFMSUBPSZ128v231rm
+    3360U,	// VFMSUBPSZ128v231rmb
+    1787041U,	// VFMSUBPSZ128v231rmbk
+    1787042U,	// VFMSUBPSZ128v231rmbkz
+    1115297U,	// VFMSUBPSZ128v231rmk
+    1115298U,	// VFMSUBPSZ128v231rmkz
+    160U,	// VFMSUBPSZ128v231rr
+    1148065U,	// VFMSUBPSZ128v231rrk
+    1148066U,	// VFMSUBPSZ128v231rrkz
+    368U,	// VFMSUBPSZ256v213rm
+    4384U,	// VFMSUBPSZ256v213rmb
+    2311329U,	// VFMSUBPSZ256v213rmbk
+    2311330U,	// VFMSUBPSZ256v213rmbkz
+    132257U,	// VFMSUBPSZ256v213rmk
+    132258U,	// VFMSUBPSZ256v213rmkz
+    160U,	// VFMSUBPSZ256v213rr
+    1148065U,	// VFMSUBPSZ256v213rrk
+    1148066U,	// VFMSUBPSZ256v213rrkz
+    368U,	// VFMSUBPSZ256v231rm
+    4384U,	// VFMSUBPSZ256v231rmb
+    2311329U,	// VFMSUBPSZ256v231rmbk
+    2311330U,	// VFMSUBPSZ256v231rmbkz
+    132257U,	// VFMSUBPSZ256v231rmk
+    132258U,	// VFMSUBPSZ256v231rmkz
+    160U,	// VFMSUBPSZ256v231rr
+    1148065U,	// VFMSUBPSZ256v231rrk
+    1148066U,	// VFMSUBPSZ256v231rrkz
+    320U,	// VFMSUBPSZv213rm
+    5408U,	// VFMSUBPSZv213rmb
+    2835617U,	// VFMSUBPSZv213rmbk
+    2835618U,	// VFMSUBPSZv213rmbkz
+    181409U,	// VFMSUBPSZv213rmk
+    181410U,	// VFMSUBPSZv213rmkz
+    160U,	// VFMSUBPSZv213rr
+    296096U,	// VFMSUBPSZv213rrb
+    8488097U,	// VFMSUBPSZv213rrbk
+    8488098U,	// VFMSUBPSZv213rrbkz
+    1148065U,	// VFMSUBPSZv213rrk
+    1148066U,	// VFMSUBPSZv213rrkz
+    320U,	// VFMSUBPSZv231rm
+    5408U,	// VFMSUBPSZv231rmb
+    2835617U,	// VFMSUBPSZv231rmbk
+    2835618U,	// VFMSUBPSZv231rmbkz
+    181409U,	// VFMSUBPSZv231rmk
+    181410U,	// VFMSUBPSZv231rmkz
+    160U,	// VFMSUBPSZv231rr
+    1148065U,	// VFMSUBPSZv231rrk
+    1148066U,	// VFMSUBPSZv231rrkz
+    352U,	// VFMSUBPSr132m
+    368U,	// VFMSUBPSr132mY
+    160U,	// VFMSUBPSr132r
+    160U,	// VFMSUBPSr132rY
+    352U,	// VFMSUBPSr213m
+    368U,	// VFMSUBPSr213mY
+    160U,	// VFMSUBPSr213r
+    160U,	// VFMSUBPSr213rY
+    352U,	// VFMSUBPSr231m
+    368U,	// VFMSUBPSr231mY
+    160U,	// VFMSUBPSr231r
+    160U,	// VFMSUBPSr231rY
+    1066112U,	// VFMSUBSD4mr
+    1066112U,	// VFMSUBSD4mr_Int
+    1098800U,	// VFMSUBSD4rm
+    1098800U,	// VFMSUBSD4rm_Int
+    1164336U,	// VFMSUBSD4rr
+    1164336U,	// VFMSUBSD4rr_Int
+    1164336U,	// VFMSUBSD4rr_REV
+    352U,	// VFMSUBSDZm
+    160U,	// VFMSUBSDZr
+    272U,	// VFMSUBSDr132m
+    160U,	// VFMSUBSDr132r
+    272U,	// VFMSUBSDr213m
+    160U,	// VFMSUBSDr213r
+    272U,	// VFMSUBSDr231m
+    160U,	// VFMSUBSDr231r
+    1066128U,	// VFMSUBSS4mr
+    1066128U,	// VFMSUBSS4mr_Int
+    1279024U,	// VFMSUBSS4rm
+    1279024U,	// VFMSUBSS4rm_Int
+    1164336U,	// VFMSUBSS4rr
+    1164336U,	// VFMSUBSS4rr_Int
+    1164336U,	// VFMSUBSS4rr_REV
+    352U,	// VFMSUBSSZm
+    160U,	// VFMSUBSSZr
+    288U,	// VFMSUBSSr132m
+    160U,	// VFMSUBSSr132r
+    288U,	// VFMSUBSSr213m
+    160U,	// VFMSUBSSr213r
+    288U,	// VFMSUBSSr231m
+    160U,	// VFMSUBSSr231r
+    352U,	// VFNMADD132PDZ128m
+    2320U,	// VFNMADD132PDZ128mb
+    368U,	// VFNMADD132PDZ256m
+    3344U,	// VFNMADD132PDZ256mb
+    320U,	// VFNMADD132PDZm
+    4368U,	// VFNMADD132PDZmb
+    352U,	// VFNMADD132PSZ128m
+    3360U,	// VFNMADD132PSZ128mb
+    368U,	// VFNMADD132PSZ256m
+    4384U,	// VFNMADD132PSZ256mb
+    320U,	// VFNMADD132PSZm
+    5408U,	// VFNMADD132PSZmb
+    1066176U,	// VFNMADDPD4mr
+    1066160U,	// VFNMADDPD4mrY
+    1131568U,	// VFNMADDPD4rm
+    1197104U,	// VFNMADDPD4rmY
+    1164336U,	// VFNMADDPD4rr
+    1164336U,	// VFNMADDPD4rrY
+    1164336U,	// VFNMADDPD4rrY_REV
+    1164336U,	// VFNMADDPD4rr_REV
+    352U,	// VFNMADDPDZ128v213rm
+    2320U,	// VFNMADDPDZ128v213rmb
+    558241U,	// VFNMADDPDZ128v213rmbk
+    558242U,	// VFNMADDPDZ128v213rmbkz
+    1115297U,	// VFNMADDPDZ128v213rmk
+    1115298U,	// VFNMADDPDZ128v213rmkz
+    160U,	// VFNMADDPDZ128v213rr
+    1148065U,	// VFNMADDPDZ128v213rrk
+    1148066U,	// VFNMADDPDZ128v213rrkz
+    352U,	// VFNMADDPDZ128v231rm
+    2320U,	// VFNMADDPDZ128v231rmb
+    558241U,	// VFNMADDPDZ128v231rmbk
+    558242U,	// VFNMADDPDZ128v231rmbkz
+    1115297U,	// VFNMADDPDZ128v231rmk
+    1115298U,	// VFNMADDPDZ128v231rmkz
+    160U,	// VFNMADDPDZ128v231rr
+    1148065U,	// VFNMADDPDZ128v231rrk
+    1148066U,	// VFNMADDPDZ128v231rrkz
+    368U,	// VFNMADDPDZ256v213rm
+    3344U,	// VFNMADDPDZ256v213rmb
+    1606817U,	// VFNMADDPDZ256v213rmbk
+    1606818U,	// VFNMADDPDZ256v213rmbkz
+    132257U,	// VFNMADDPDZ256v213rmk
+    132258U,	// VFNMADDPDZ256v213rmkz
+    160U,	// VFNMADDPDZ256v213rr
+    1148065U,	// VFNMADDPDZ256v213rrk
+    1148066U,	// VFNMADDPDZ256v213rrkz
+    368U,	// VFNMADDPDZ256v231rm
+    3344U,	// VFNMADDPDZ256v231rmb
+    1606817U,	// VFNMADDPDZ256v231rmbk
+    1606818U,	// VFNMADDPDZ256v231rmbkz
+    132257U,	// VFNMADDPDZ256v231rmk
+    132258U,	// VFNMADDPDZ256v231rmkz
+    160U,	// VFNMADDPDZ256v231rr
+    1148065U,	// VFNMADDPDZ256v231rrk
+    1148066U,	// VFNMADDPDZ256v231rrkz
+    320U,	// VFNMADDPDZv213rm
+    4368U,	// VFNMADDPDZv213rmb
+    2131105U,	// VFNMADDPDZv213rmbk
+    2131106U,	// VFNMADDPDZv213rmbkz
+    181409U,	// VFNMADDPDZv213rmk
+    181410U,	// VFNMADDPDZv213rmkz
+    160U,	// VFNMADDPDZv213rr
+    296096U,	// VFNMADDPDZv213rrb
+    8488097U,	// VFNMADDPDZv213rrbk
+    8488098U,	// VFNMADDPDZv213rrbkz
+    1148065U,	// VFNMADDPDZv213rrk
+    1148066U,	// VFNMADDPDZv213rrkz
+    320U,	// VFNMADDPDZv231rm
+    4368U,	// VFNMADDPDZv231rmb
+    2131105U,	// VFNMADDPDZv231rmbk
+    2131106U,	// VFNMADDPDZv231rmbkz
+    181409U,	// VFNMADDPDZv231rmk
+    181410U,	// VFNMADDPDZv231rmkz
+    160U,	// VFNMADDPDZv231rr
+    1148065U,	// VFNMADDPDZv231rrk
+    1148066U,	// VFNMADDPDZv231rrkz
+    352U,	// VFNMADDPDr132m
+    368U,	// VFNMADDPDr132mY
+    160U,	// VFNMADDPDr132r
+    160U,	// VFNMADDPDr132rY
+    352U,	// VFNMADDPDr213m
+    368U,	// VFNMADDPDr213mY
+    160U,	// VFNMADDPDr213r
+    160U,	// VFNMADDPDr213rY
+    352U,	// VFNMADDPDr231m
+    368U,	// VFNMADDPDr231mY
+    160U,	// VFNMADDPDr231r
+    160U,	// VFNMADDPDr231rY
+    1066176U,	// VFNMADDPS4mr
+    1066160U,	// VFNMADDPS4mrY
+    1131568U,	// VFNMADDPS4rm
+    1197104U,	// VFNMADDPS4rmY
+    1164336U,	// VFNMADDPS4rr
+    1164336U,	// VFNMADDPS4rrY
+    1164336U,	// VFNMADDPS4rrY_REV
+    1164336U,	// VFNMADDPS4rr_REV
+    352U,	// VFNMADDPSZ128v213rm
+    3360U,	// VFNMADDPSZ128v213rmb
+    1787041U,	// VFNMADDPSZ128v213rmbk
+    1787042U,	// VFNMADDPSZ128v213rmbkz
+    1115297U,	// VFNMADDPSZ128v213rmk
+    1115298U,	// VFNMADDPSZ128v213rmkz
+    160U,	// VFNMADDPSZ128v213rr
+    1148065U,	// VFNMADDPSZ128v213rrk
+    1148066U,	// VFNMADDPSZ128v213rrkz
+    352U,	// VFNMADDPSZ128v231rm
+    3360U,	// VFNMADDPSZ128v231rmb
+    1787041U,	// VFNMADDPSZ128v231rmbk
+    1787042U,	// VFNMADDPSZ128v231rmbkz
+    1115297U,	// VFNMADDPSZ128v231rmk
+    1115298U,	// VFNMADDPSZ128v231rmkz
+    160U,	// VFNMADDPSZ128v231rr
+    1148065U,	// VFNMADDPSZ128v231rrk
+    1148066U,	// VFNMADDPSZ128v231rrkz
+    368U,	// VFNMADDPSZ256v213rm
+    4384U,	// VFNMADDPSZ256v213rmb
+    2311329U,	// VFNMADDPSZ256v213rmbk
+    2311330U,	// VFNMADDPSZ256v213rmbkz
+    132257U,	// VFNMADDPSZ256v213rmk
+    132258U,	// VFNMADDPSZ256v213rmkz
+    160U,	// VFNMADDPSZ256v213rr
+    1148065U,	// VFNMADDPSZ256v213rrk
+    1148066U,	// VFNMADDPSZ256v213rrkz
+    368U,	// VFNMADDPSZ256v231rm
+    4384U,	// VFNMADDPSZ256v231rmb
+    2311329U,	// VFNMADDPSZ256v231rmbk
+    2311330U,	// VFNMADDPSZ256v231rmbkz
+    132257U,	// VFNMADDPSZ256v231rmk
+    132258U,	// VFNMADDPSZ256v231rmkz
+    160U,	// VFNMADDPSZ256v231rr
+    1148065U,	// VFNMADDPSZ256v231rrk
+    1148066U,	// VFNMADDPSZ256v231rrkz
+    320U,	// VFNMADDPSZv213rm
+    5408U,	// VFNMADDPSZv213rmb
+    2835617U,	// VFNMADDPSZv213rmbk
+    2835618U,	// VFNMADDPSZv213rmbkz
+    181409U,	// VFNMADDPSZv213rmk
+    181410U,	// VFNMADDPSZv213rmkz
+    160U,	// VFNMADDPSZv213rr
+    296096U,	// VFNMADDPSZv213rrb
+    8488097U,	// VFNMADDPSZv213rrbk
+    8488098U,	// VFNMADDPSZv213rrbkz
+    1148065U,	// VFNMADDPSZv213rrk
+    1148066U,	// VFNMADDPSZv213rrkz
+    320U,	// VFNMADDPSZv231rm
+    5408U,	// VFNMADDPSZv231rmb
+    2835617U,	// VFNMADDPSZv231rmbk
+    2835618U,	// VFNMADDPSZv231rmbkz
+    181409U,	// VFNMADDPSZv231rmk
+    181410U,	// VFNMADDPSZv231rmkz
+    160U,	// VFNMADDPSZv231rr
+    1148065U,	// VFNMADDPSZv231rrk
+    1148066U,	// VFNMADDPSZv231rrkz
+    352U,	// VFNMADDPSr132m
+    368U,	// VFNMADDPSr132mY
+    160U,	// VFNMADDPSr132r
+    160U,	// VFNMADDPSr132rY
+    352U,	// VFNMADDPSr213m
+    368U,	// VFNMADDPSr213mY
+    160U,	// VFNMADDPSr213r
+    160U,	// VFNMADDPSr213rY
+    352U,	// VFNMADDPSr231m
+    368U,	// VFNMADDPSr231mY
+    160U,	// VFNMADDPSr231r
+    160U,	// VFNMADDPSr231rY
+    1066112U,	// VFNMADDSD4mr
+    1066112U,	// VFNMADDSD4mr_Int
+    1098800U,	// VFNMADDSD4rm
+    1098800U,	// VFNMADDSD4rm_Int
+    1164336U,	// VFNMADDSD4rr
+    1164336U,	// VFNMADDSD4rr_Int
+    1164336U,	// VFNMADDSD4rr_REV
+    352U,	// VFNMADDSDZm
+    160U,	// VFNMADDSDZr
+    272U,	// VFNMADDSDr132m
+    160U,	// VFNMADDSDr132r
+    272U,	// VFNMADDSDr213m
+    160U,	// VFNMADDSDr213r
+    272U,	// VFNMADDSDr231m
+    160U,	// VFNMADDSDr231r
+    1066128U,	// VFNMADDSS4mr
+    1066128U,	// VFNMADDSS4mr_Int
+    1279024U,	// VFNMADDSS4rm
+    1279024U,	// VFNMADDSS4rm_Int
+    1164336U,	// VFNMADDSS4rr
+    1164336U,	// VFNMADDSS4rr_Int
+    1164336U,	// VFNMADDSS4rr_REV
+    352U,	// VFNMADDSSZm
+    160U,	// VFNMADDSSZr
+    288U,	// VFNMADDSSr132m
+    160U,	// VFNMADDSSr132r
+    288U,	// VFNMADDSSr213m
+    160U,	// VFNMADDSSr213r
+    288U,	// VFNMADDSSr231m
+    160U,	// VFNMADDSSr231r
+    352U,	// VFNMSUB132PDZ128m
+    2320U,	// VFNMSUB132PDZ128mb
+    368U,	// VFNMSUB132PDZ256m
+    3344U,	// VFNMSUB132PDZ256mb
+    320U,	// VFNMSUB132PDZm
+    4368U,	// VFNMSUB132PDZmb
+    352U,	// VFNMSUB132PSZ128m
+    3360U,	// VFNMSUB132PSZ128mb
+    368U,	// VFNMSUB132PSZ256m
+    4384U,	// VFNMSUB132PSZ256mb
+    320U,	// VFNMSUB132PSZm
+    5408U,	// VFNMSUB132PSZmb
+    1066176U,	// VFNMSUBPD4mr
+    1066160U,	// VFNMSUBPD4mrY
+    1131568U,	// VFNMSUBPD4rm
+    1197104U,	// VFNMSUBPD4rmY
+    1164336U,	// VFNMSUBPD4rr
+    1164336U,	// VFNMSUBPD4rrY
+    1164336U,	// VFNMSUBPD4rrY_REV
+    1164336U,	// VFNMSUBPD4rr_REV
+    352U,	// VFNMSUBPDZ128v213rm
+    2320U,	// VFNMSUBPDZ128v213rmb
+    558241U,	// VFNMSUBPDZ128v213rmbk
+    558242U,	// VFNMSUBPDZ128v213rmbkz
+    1115297U,	// VFNMSUBPDZ128v213rmk
+    1115298U,	// VFNMSUBPDZ128v213rmkz
+    160U,	// VFNMSUBPDZ128v213rr
+    1148065U,	// VFNMSUBPDZ128v213rrk
+    1148066U,	// VFNMSUBPDZ128v213rrkz
+    352U,	// VFNMSUBPDZ128v231rm
+    2320U,	// VFNMSUBPDZ128v231rmb
+    558241U,	// VFNMSUBPDZ128v231rmbk
+    558242U,	// VFNMSUBPDZ128v231rmbkz
+    1115297U,	// VFNMSUBPDZ128v231rmk
+    1115298U,	// VFNMSUBPDZ128v231rmkz
+    160U,	// VFNMSUBPDZ128v231rr
+    1148065U,	// VFNMSUBPDZ128v231rrk
+    1148066U,	// VFNMSUBPDZ128v231rrkz
+    368U,	// VFNMSUBPDZ256v213rm
+    3344U,	// VFNMSUBPDZ256v213rmb
+    1606817U,	// VFNMSUBPDZ256v213rmbk
+    1606818U,	// VFNMSUBPDZ256v213rmbkz
+    132257U,	// VFNMSUBPDZ256v213rmk
+    132258U,	// VFNMSUBPDZ256v213rmkz
+    160U,	// VFNMSUBPDZ256v213rr
+    1148065U,	// VFNMSUBPDZ256v213rrk
+    1148066U,	// VFNMSUBPDZ256v213rrkz
+    368U,	// VFNMSUBPDZ256v231rm
+    3344U,	// VFNMSUBPDZ256v231rmb
+    1606817U,	// VFNMSUBPDZ256v231rmbk
+    1606818U,	// VFNMSUBPDZ256v231rmbkz
+    132257U,	// VFNMSUBPDZ256v231rmk
+    132258U,	// VFNMSUBPDZ256v231rmkz
+    160U,	// VFNMSUBPDZ256v231rr
+    1148065U,	// VFNMSUBPDZ256v231rrk
+    1148066U,	// VFNMSUBPDZ256v231rrkz
+    320U,	// VFNMSUBPDZv213rm
+    4368U,	// VFNMSUBPDZv213rmb
+    2131105U,	// VFNMSUBPDZv213rmbk
+    2131106U,	// VFNMSUBPDZv213rmbkz
+    181409U,	// VFNMSUBPDZv213rmk
+    181410U,	// VFNMSUBPDZv213rmkz
+    160U,	// VFNMSUBPDZv213rr
+    296096U,	// VFNMSUBPDZv213rrb
+    8488097U,	// VFNMSUBPDZv213rrbk
+    8488098U,	// VFNMSUBPDZv213rrbkz
+    1148065U,	// VFNMSUBPDZv213rrk
+    1148066U,	// VFNMSUBPDZv213rrkz
+    320U,	// VFNMSUBPDZv231rm
+    4368U,	// VFNMSUBPDZv231rmb
+    2131105U,	// VFNMSUBPDZv231rmbk
+    2131106U,	// VFNMSUBPDZv231rmbkz
+    181409U,	// VFNMSUBPDZv231rmk
+    181410U,	// VFNMSUBPDZv231rmkz
+    160U,	// VFNMSUBPDZv231rr
+    1148065U,	// VFNMSUBPDZv231rrk
+    1148066U,	// VFNMSUBPDZv231rrkz
+    352U,	// VFNMSUBPDr132m
+    368U,	// VFNMSUBPDr132mY
+    160U,	// VFNMSUBPDr132r
+    160U,	// VFNMSUBPDr132rY
+    352U,	// VFNMSUBPDr213m
+    368U,	// VFNMSUBPDr213mY
+    160U,	// VFNMSUBPDr213r
+    160U,	// VFNMSUBPDr213rY
+    352U,	// VFNMSUBPDr231m
+    368U,	// VFNMSUBPDr231mY
+    160U,	// VFNMSUBPDr231r
+    160U,	// VFNMSUBPDr231rY
+    1066176U,	// VFNMSUBPS4mr
+    1066160U,	// VFNMSUBPS4mrY
+    1131568U,	// VFNMSUBPS4rm
+    1197104U,	// VFNMSUBPS4rmY
+    1164336U,	// VFNMSUBPS4rr
+    1164336U,	// VFNMSUBPS4rrY
+    1164336U,	// VFNMSUBPS4rrY_REV
+    1164336U,	// VFNMSUBPS4rr_REV
+    352U,	// VFNMSUBPSZ128v213rm
+    3360U,	// VFNMSUBPSZ128v213rmb
+    1787041U,	// VFNMSUBPSZ128v213rmbk
+    1787042U,	// VFNMSUBPSZ128v213rmbkz
+    1115297U,	// VFNMSUBPSZ128v213rmk
+    1115298U,	// VFNMSUBPSZ128v213rmkz
+    160U,	// VFNMSUBPSZ128v213rr
+    1148065U,	// VFNMSUBPSZ128v213rrk
+    1148066U,	// VFNMSUBPSZ128v213rrkz
+    352U,	// VFNMSUBPSZ128v231rm
+    3360U,	// VFNMSUBPSZ128v231rmb
+    1787041U,	// VFNMSUBPSZ128v231rmbk
+    1787042U,	// VFNMSUBPSZ128v231rmbkz
+    1115297U,	// VFNMSUBPSZ128v231rmk
+    1115298U,	// VFNMSUBPSZ128v231rmkz
+    160U,	// VFNMSUBPSZ128v231rr
+    1148065U,	// VFNMSUBPSZ128v231rrk
+    1148066U,	// VFNMSUBPSZ128v231rrkz
+    368U,	// VFNMSUBPSZ256v213rm
+    4384U,	// VFNMSUBPSZ256v213rmb
+    2311329U,	// VFNMSUBPSZ256v213rmbk
+    2311330U,	// VFNMSUBPSZ256v213rmbkz
+    132257U,	// VFNMSUBPSZ256v213rmk
+    132258U,	// VFNMSUBPSZ256v213rmkz
+    160U,	// VFNMSUBPSZ256v213rr
+    1148065U,	// VFNMSUBPSZ256v213rrk
+    1148066U,	// VFNMSUBPSZ256v213rrkz
+    368U,	// VFNMSUBPSZ256v231rm
+    4384U,	// VFNMSUBPSZ256v231rmb
+    2311329U,	// VFNMSUBPSZ256v231rmbk
+    2311330U,	// VFNMSUBPSZ256v231rmbkz
+    132257U,	// VFNMSUBPSZ256v231rmk
+    132258U,	// VFNMSUBPSZ256v231rmkz
+    160U,	// VFNMSUBPSZ256v231rr
+    1148065U,	// VFNMSUBPSZ256v231rrk
+    1148066U,	// VFNMSUBPSZ256v231rrkz
+    320U,	// VFNMSUBPSZv213rm
+    5408U,	// VFNMSUBPSZv213rmb
+    2835617U,	// VFNMSUBPSZv213rmbk
+    2835618U,	// VFNMSUBPSZv213rmbkz
+    181409U,	// VFNMSUBPSZv213rmk
+    181410U,	// VFNMSUBPSZv213rmkz
+    160U,	// VFNMSUBPSZv213rr
+    296096U,	// VFNMSUBPSZv213rrb
+    8488097U,	// VFNMSUBPSZv213rrbk
+    8488098U,	// VFNMSUBPSZv213rrbkz
+    1148065U,	// VFNMSUBPSZv213rrk
+    1148066U,	// VFNMSUBPSZv213rrkz
+    320U,	// VFNMSUBPSZv231rm
+    5408U,	// VFNMSUBPSZv231rmb
+    2835617U,	// VFNMSUBPSZv231rmbk
+    2835618U,	// VFNMSUBPSZv231rmbkz
+    181409U,	// VFNMSUBPSZv231rmk
+    181410U,	// VFNMSUBPSZv231rmkz
+    160U,	// VFNMSUBPSZv231rr
+    1148065U,	// VFNMSUBPSZv231rrk
+    1148066U,	// VFNMSUBPSZv231rrkz
+    352U,	// VFNMSUBPSr132m
+    368U,	// VFNMSUBPSr132mY
+    160U,	// VFNMSUBPSr132r
+    160U,	// VFNMSUBPSr132rY
+    352U,	// VFNMSUBPSr213m
+    368U,	// VFNMSUBPSr213mY
+    160U,	// VFNMSUBPSr213r
+    160U,	// VFNMSUBPSr213rY
+    352U,	// VFNMSUBPSr231m
+    368U,	// VFNMSUBPSr231mY
+    160U,	// VFNMSUBPSr231r
+    160U,	// VFNMSUBPSr231rY
+    1066112U,	// VFNMSUBSD4mr
+    1066112U,	// VFNMSUBSD4mr_Int
+    1098800U,	// VFNMSUBSD4rm
+    1098800U,	// VFNMSUBSD4rm_Int
+    1164336U,	// VFNMSUBSD4rr
+    1164336U,	// VFNMSUBSD4rr_Int
+    1164336U,	// VFNMSUBSD4rr_REV
+    352U,	// VFNMSUBSDZm
+    160U,	// VFNMSUBSDZr
+    272U,	// VFNMSUBSDr132m
+    160U,	// VFNMSUBSDr132r
+    272U,	// VFNMSUBSDr213m
+    160U,	// VFNMSUBSDr213r
+    272U,	// VFNMSUBSDr231m
+    160U,	// VFNMSUBSDr231r
+    1066128U,	// VFNMSUBSS4mr
+    1066128U,	// VFNMSUBSS4mr_Int
+    1279024U,	// VFNMSUBSS4rm
+    1279024U,	// VFNMSUBSS4rm_Int
+    1164336U,	// VFNMSUBSS4rr
+    1164336U,	// VFNMSUBSS4rr_Int
+    1164336U,	// VFNMSUBSS4rr_REV
+    352U,	// VFNMSUBSSZm
+    160U,	// VFNMSUBSSZr
+    288U,	// VFNMSUBSSr132m
+    160U,	// VFNMSUBSSr132r
+    288U,	// VFNMSUBSSr213m
+    160U,	// VFNMSUBSSr213r
+    288U,	// VFNMSUBSSr231m
+    160U,	// VFNMSUBSSr231r
     0U,	// VFRCZPDrm
     0U,	// VFRCZPDrmY
     0U,	// VFRCZPDrr
@@ -10087,22 +13677,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VFRCZSDrr
     0U,	// VFRCZSSrm
     0U,	// VFRCZSSrr
-    80U,	// VFsANDNPDrm
-    8U,	// VFsANDNPDrr
-    80U,	// VFsANDNPSrm
-    8U,	// VFsANDNPSrr
-    80U,	// VFsANDPDrm
-    8U,	// VFsANDPDrr
-    80U,	// VFsANDPSrm
-    8U,	// VFsANDPSrr
-    80U,	// VFsORPDrm
-    8U,	// VFsORPDrr
-    80U,	// VFsORPSrm
-    8U,	// VFsORPSrr
-    80U,	// VFsXORPDrm
-    8U,	// VFsXORPDrr
-    80U,	// VFsXORPSrm
-    8U,	// VFsXORPSrr
+    192U,	// VFsANDNPDrm
+    48U,	// VFsANDNPDrr
+    192U,	// VFsANDNPSrm
+    48U,	// VFsANDNPSrr
+    192U,	// VFsANDPDrm
+    48U,	// VFsANDPDrr
+    192U,	// VFsANDPSrm
+    48U,	// VFsANDPSrr
+    192U,	// VFsORPDrm
+    48U,	// VFsORPDrr
+    192U,	// VFsORPSrm
+    48U,	// VFsORPSrr
+    192U,	// VFsXORPDrm
+    48U,	// VFsXORPDrr
+    192U,	// VFsXORPSrm
+    48U,	// VFsXORPSrr
+    192U,	// VFvANDNPDrm
+    48U,	// VFvANDNPDrr
+    192U,	// VFvANDNPSrm
+    48U,	// VFvANDNPSrr
+    192U,	// VFvANDPDrm
+    48U,	// VFvANDPDrr
+    192U,	// VFvANDPSrm
+    48U,	// VFvANDPSrr
+    192U,	// VFvORPDrm
+    48U,	// VFvORPDrr
+    192U,	// VFvORPSrm
+    48U,	// VFvORPSrr
+    192U,	// VFvXORPDrm
+    48U,	// VFvXORPDrr
+    192U,	// VFvXORPSrm
+    48U,	// VFvXORPSrr
     0U,	// VGATHERDPDYrm
     3U,	// VGATHERDPDZrm
     0U,	// VGATHERDPDrm
@@ -10123,159 +13729,276 @@ static void printInstruction(MCInst *MI,
     0U,	// VGATHERQPSYrm
     3U,	// VGATHERQPSZrm
     0U,	// VGATHERQPSrm
-    64U,	// VHADDPDYrm
-    8U,	// VHADDPDYrr
-    80U,	// VHADDPDrm
-    8U,	// VHADDPDrr
-    64U,	// VHADDPSYrm
-    8U,	// VHADDPSYrr
-    80U,	// VHADDPSrm
-    8U,	// VHADDPSrr
-    64U,	// VHSUBPDYrm
-    8U,	// VHSUBPDYrr
-    80U,	// VHSUBPDrm
-    8U,	// VHSUBPDrr
-    64U,	// VHSUBPSYrm
-    8U,	// VHSUBPSYrr
-    80U,	// VHSUBPSrm
-    8U,	// VHSUBPSrr
-    2384U,	// VINSERTF128rm
-    8456U,	// VINSERTF128rr
-    2384U,	// VINSERTF32x4rm
-    8456U,	// VINSERTF32x4rr
-    2408U,	// VINSERTF64x4rm
-    8456U,	// VINSERTF64x4rr
-    2392U,	// VINSERTI128rm
-    8456U,	// VINSERTI128rr
-    2392U,	// VINSERTI32x4rm
-    8456U,	// VINSERTI32x4rr
-    2408U,	// VINSERTI64x4rm
-    8456U,	// VINSERTI64x4rr
-    2360U,	// VINSERTPSrm
-    8456U,	// VINSERTPSrr
-    2360U,	// VINSERTPSzrm
-    8456U,	// VINSERTPSzrr
+    176U,	// VHADDPDYrm
+    48U,	// VHADDPDYrr
+    192U,	// VHADDPDrm
+    48U,	// VHADDPDrr
+    176U,	// VHADDPSYrm
+    48U,	// VHADDPSYrr
+    192U,	// VHADDPSrm
+    48U,	// VHADDPSrr
+    176U,	// VHSUBPDYrm
+    48U,	// VHSUBPDYrr
+    192U,	// VHSUBPDrm
+    48U,	// VHSUBPDrr
+    176U,	// VHSUBPSYrm
+    48U,	// VHSUBPSYrr
+    192U,	// VHSUBPSrm
+    48U,	// VHSUBPSrr
+    246976U,	// VINSERTF128rm
+    1311792U,	// VINSERTF128rr
+    246976U,	// VINSERTF32x4rm
+    1311792U,	// VINSERTF32x4rr
+    246960U,	// VINSERTF32x8rm
+    1311792U,	// VINSERTF32x8rr
+    246976U,	// VINSERTF64x2rm
+    1311792U,	// VINSERTF64x2rr
+    246960U,	// VINSERTF64x4rm
+    1311792U,	// VINSERTF64x4rr
+    247008U,	// VINSERTI128rm
+    1311792U,	// VINSERTI128rr
+    247008U,	// VINSERTI32x4rm
+    1311792U,	// VINSERTI32x4rr
+    247040U,	// VINSERTI32x8rm
+    1311792U,	// VINSERTI32x8rr
+    247008U,	// VINSERTI64x2rm
+    1311792U,	// VINSERTI64x2rr
+    247040U,	// VINSERTI64x4rm
+    1311792U,	// VINSERTI64x4rr
+    246928U,	// VINSERTPSrm
+    1311792U,	// VINSERTPSrr
+    246928U,	// VINSERTPSzrm
+    1311792U,	// VINSERTPSzrr
     0U,	// VLDDQUYrm
     0U,	// VLDDQUrm
     0U,	// VLDMXCSR
     0U,	// VMASKMOVDQU
     0U,	// VMASKMOVDQU64
-    0U,	// VMASKMOVPDYmr
-    64U,	// VMASKMOVPDYrm
-    0U,	// VMASKMOVPDmr
-    80U,	// VMASKMOVPDrm
-    0U,	// VMASKMOVPSYmr
-    64U,	// VMASKMOVPSYrm
-    0U,	// VMASKMOVPSmr
-    80U,	// VMASKMOVPSrm
-    64U,	// VMAXCPDYrm
-    8U,	// VMAXCPDYrr
-    80U,	// VMAXCPDrm
-    8U,	// VMAXCPDrr
-    64U,	// VMAXCPSYrm
-    8U,	// VMAXCPSYrr
-    80U,	// VMAXCPSrm
-    8U,	// VMAXCPSrr
-    48U,	// VMAXCSDrm
-    8U,	// VMAXCSDrr
-    56U,	// VMAXCSSrm
-    8U,	// VMAXCSSrr
-    64U,	// VMAXPDYrm
-    8U,	// VMAXPDYrr
-    72U,	// VMAXPDZrm
-    560U,	// VMAXPDZrmb
-    69898U,	// VMAXPDZrmbk
-    69898U,	// VMAXPDZrmbkz
-    6410U,	// VMAXPDZrmk
-    6410U,	// VMAXPDZrmkz
-    8U,	// VMAXPDZrr
-    8458U,	// VMAXPDZrrk
-    8458U,	// VMAXPDZrrkz
-    80U,	// VMAXPDrm
-    8U,	// VMAXPDrr
-    64U,	// VMAXPSYrm
-    8U,	// VMAXPSYrr
-    72U,	// VMAXPSZrm
-    824U,	// VMAXPSZrmb
-    108810U,	// VMAXPSZrmbk
-    108810U,	// VMAXPSZrmbkz
-    6410U,	// VMAXPSZrmk
-    6410U,	// VMAXPSZrmkz
-    8U,	// VMAXPSZrr
-    8458U,	// VMAXPSZrrk
-    8458U,	// VMAXPSZrrkz
-    80U,	// VMAXPSrm
-    8U,	// VMAXPSrr
-    48U,	// VMAXSDZrm
-    8U,	// VMAXSDZrr
-    48U,	// VMAXSDrm
-    48U,	// VMAXSDrm_Int
-    8U,	// VMAXSDrr
-    8U,	// VMAXSDrr_Int
-    56U,	// VMAXSSZrm
-    8U,	// VMAXSSZrr
-    56U,	// VMAXSSrm
-    56U,	// VMAXSSrm_Int
-    8U,	// VMAXSSrr
-    8U,	// VMAXSSrr_Int
+    80U,	// VMASKMOVPDYmr
+    176U,	// VMASKMOVPDYrm
+    80U,	// VMASKMOVPDmr
+    192U,	// VMASKMOVPDrm
+    80U,	// VMASKMOVPSYmr
+    176U,	// VMASKMOVPSYrm
+    80U,	// VMASKMOVPSmr
+    192U,	// VMASKMOVPSrm
+    176U,	// VMAXCPDYrm
+    48U,	// VMAXCPDYrr
+    192U,	// VMAXCPDrm
+    48U,	// VMAXCPDrr
+    176U,	// VMAXCPSYrm
+    48U,	// VMAXCPSYrr
+    192U,	// VMAXCPSrm
+    48U,	// VMAXCPSrr
+    128U,	// VMAXCSDrm
+    48U,	// VMAXCSDrr
+    144U,	// VMAXCSSrm
+    48U,	// VMAXCSSrr
+    176U,	// VMAXPDYrm
+    48U,	// VMAXPDYrr
+    192U,	// VMAXPDZ128rm
+    2176U,	// VMAXPDZ128rmb
+    558241U,	// VMAXPDZ128rmbk
+    574514U,	// VMAXPDZ128rmbkz
+    1115297U,	// VMAXPDZ128rmk
+    1131570U,	// VMAXPDZ128rmkz
+    48U,	// VMAXPDZ128rr
+    1148065U,	// VMAXPDZ128rrk
+    1164338U,	// VMAXPDZ128rrkz
+    176U,	// VMAXPDZ256rm
+    3200U,	// VMAXPDZ256rmb
+    1606817U,	// VMAXPDZ256rmbk
+    1623090U,	// VMAXPDZ256rmbkz
+    132257U,	// VMAXPDZ256rmk
+    1197106U,	// VMAXPDZ256rmkz
+    48U,	// VMAXPDZ256rr
+    1148065U,	// VMAXPDZ256rrk
+    1164338U,	// VMAXPDZ256rrkz
+    208U,	// VMAXPDZrm
+    4224U,	// VMAXPDZrmb
+    2131105U,	// VMAXPDZrmbk
+    2147378U,	// VMAXPDZrmbkz
+    181409U,	// VMAXPDZrmk
+    197682U,	// VMAXPDZrmkz
+    48U,	// VMAXPDZrr
+    1148065U,	// VMAXPDZrrk
+    1164338U,	// VMAXPDZrrkz
+    192U,	// VMAXPDrm
+    48U,	// VMAXPDrr
+    176U,	// VMAXPSYrm
+    48U,	// VMAXPSYrr
+    192U,	// VMAXPSZ128rm
+    3216U,	// VMAXPSZ128rmb
+    1787041U,	// VMAXPSZ128rmbk
+    1803314U,	// VMAXPSZ128rmbkz
+    1115297U,	// VMAXPSZ128rmk
+    1131570U,	// VMAXPSZ128rmkz
+    48U,	// VMAXPSZ128rr
+    1148065U,	// VMAXPSZ128rrk
+    1164338U,	// VMAXPSZ128rrkz
+    176U,	// VMAXPSZ256rm
+    4240U,	// VMAXPSZ256rmb
+    2311329U,	// VMAXPSZ256rmbk
+    2327602U,	// VMAXPSZ256rmbkz
+    132257U,	// VMAXPSZ256rmk
+    1197106U,	// VMAXPSZ256rmkz
+    48U,	// VMAXPSZ256rr
+    1148065U,	// VMAXPSZ256rrk
+    1164338U,	// VMAXPSZ256rrkz
+    208U,	// VMAXPSZrm
+    5264U,	// VMAXPSZrmb
+    2835617U,	// VMAXPSZrmbk
+    2851890U,	// VMAXPSZrmbkz
+    181409U,	// VMAXPSZrmk
+    197682U,	// VMAXPSZrmkz
+    48U,	// VMAXPSZrr
+    1148065U,	// VMAXPSZrrk
+    1164338U,	// VMAXPSZrrkz
+    192U,	// VMAXPSrm
+    48U,	// VMAXPSrr
+    128U,	// VMAXSDZrm
+    192U,	// VMAXSDZrm_Int
+    1115297U,	// VMAXSDZrm_Intk
+    1131570U,	// VMAXSDZrm_Intkz
+    48U,	// VMAXSDZrr
+    48U,	// VMAXSDZrr_Int
+    1148065U,	// VMAXSDZrr_Intk
+    1164338U,	// VMAXSDZrr_Intkz
+    340U,	// VMAXSDZrrb
+    318850U,	// VMAXSDZrrbk
+    319875U,	// VMAXSDZrrbkz
+    128U,	// VMAXSDrm
+    128U,	// VMAXSDrm_Int
+    48U,	// VMAXSDrr
+    48U,	// VMAXSDrr_Int
+    144U,	// VMAXSSZrm
+    192U,	// VMAXSSZrm_Int
+    1115297U,	// VMAXSSZrm_Intk
+    1131570U,	// VMAXSSZrm_Intkz
+    48U,	// VMAXSSZrr
+    48U,	// VMAXSSZrr_Int
+    1148065U,	// VMAXSSZrr_Intk
+    1164338U,	// VMAXSSZrr_Intkz
+    340U,	// VMAXSSZrrb
+    318850U,	// VMAXSSZrrbk
+    319875U,	// VMAXSSZrrbkz
+    144U,	// VMAXSSrm
+    144U,	// VMAXSSrm_Int
+    48U,	// VMAXSSrr
+    48U,	// VMAXSSrr_Int
     0U,	// VMCALL
     0U,	// VMCLEARm
     0U,	// VMFUNC
-    64U,	// VMINCPDYrm
-    8U,	// VMINCPDYrr
-    80U,	// VMINCPDrm
-    8U,	// VMINCPDrr
-    64U,	// VMINCPSYrm
-    8U,	// VMINCPSYrr
-    80U,	// VMINCPSrm
-    8U,	// VMINCPSrr
-    48U,	// VMINCSDrm
-    8U,	// VMINCSDrr
-    56U,	// VMINCSSrm
-    8U,	// VMINCSSrr
-    64U,	// VMINPDYrm
-    8U,	// VMINPDYrr
-    72U,	// VMINPDZrm
-    560U,	// VMINPDZrmb
-    69898U,	// VMINPDZrmbk
-    69898U,	// VMINPDZrmbkz
-    6410U,	// VMINPDZrmk
-    6410U,	// VMINPDZrmkz
-    8U,	// VMINPDZrr
-    8458U,	// VMINPDZrrk
-    8458U,	// VMINPDZrrkz
-    80U,	// VMINPDrm
-    8U,	// VMINPDrr
-    64U,	// VMINPSYrm
-    8U,	// VMINPSYrr
-    72U,	// VMINPSZrm
-    824U,	// VMINPSZrmb
-    108810U,	// VMINPSZrmbk
-    108810U,	// VMINPSZrmbkz
-    6410U,	// VMINPSZrmk
-    6410U,	// VMINPSZrmkz
-    8U,	// VMINPSZrr
-    8458U,	// VMINPSZrrk
-    8458U,	// VMINPSZrrkz
-    80U,	// VMINPSrm
-    8U,	// VMINPSrr
-    48U,	// VMINSDZrm
-    8U,	// VMINSDZrr
-    48U,	// VMINSDrm
-    48U,	// VMINSDrm_Int
-    8U,	// VMINSDrr
-    8U,	// VMINSDrr_Int
-    56U,	// VMINSSZrm
-    8U,	// VMINSSZrr
-    56U,	// VMINSSrm
-    56U,	// VMINSSrm_Int
-    8U,	// VMINSSrr
-    8U,	// VMINSSrr_Int
+    176U,	// VMINCPDYrm
+    48U,	// VMINCPDYrr
+    192U,	// VMINCPDrm
+    48U,	// VMINCPDrr
+    176U,	// VMINCPSYrm
+    48U,	// VMINCPSYrr
+    192U,	// VMINCPSrm
+    48U,	// VMINCPSrr
+    128U,	// VMINCSDrm
+    48U,	// VMINCSDrr
+    144U,	// VMINCSSrm
+    48U,	// VMINCSSrr
+    176U,	// VMINPDYrm
+    48U,	// VMINPDYrr
+    192U,	// VMINPDZ128rm
+    2176U,	// VMINPDZ128rmb
+    558241U,	// VMINPDZ128rmbk
+    574514U,	// VMINPDZ128rmbkz
+    1115297U,	// VMINPDZ128rmk
+    1131570U,	// VMINPDZ128rmkz
+    48U,	// VMINPDZ128rr
+    1148065U,	// VMINPDZ128rrk
+    1164338U,	// VMINPDZ128rrkz
+    176U,	// VMINPDZ256rm
+    3200U,	// VMINPDZ256rmb
+    1606817U,	// VMINPDZ256rmbk
+    1623090U,	// VMINPDZ256rmbkz
+    132257U,	// VMINPDZ256rmk
+    1197106U,	// VMINPDZ256rmkz
+    48U,	// VMINPDZ256rr
+    1148065U,	// VMINPDZ256rrk
+    1164338U,	// VMINPDZ256rrkz
+    208U,	// VMINPDZrm
+    4224U,	// VMINPDZrmb
+    2131105U,	// VMINPDZrmbk
+    2147378U,	// VMINPDZrmbkz
+    181409U,	// VMINPDZrmk
+    197682U,	// VMINPDZrmkz
+    48U,	// VMINPDZrr
+    1148065U,	// VMINPDZrrk
+    1164338U,	// VMINPDZrrkz
+    192U,	// VMINPDrm
+    48U,	// VMINPDrr
+    176U,	// VMINPSYrm
+    48U,	// VMINPSYrr
+    192U,	// VMINPSZ128rm
+    3216U,	// VMINPSZ128rmb
+    1787041U,	// VMINPSZ128rmbk
+    1803314U,	// VMINPSZ128rmbkz
+    1115297U,	// VMINPSZ128rmk
+    1131570U,	// VMINPSZ128rmkz
+    48U,	// VMINPSZ128rr
+    1148065U,	// VMINPSZ128rrk
+    1164338U,	// VMINPSZ128rrkz
+    176U,	// VMINPSZ256rm
+    4240U,	// VMINPSZ256rmb
+    2311329U,	// VMINPSZ256rmbk
+    2327602U,	// VMINPSZ256rmbkz
+    132257U,	// VMINPSZ256rmk
+    1197106U,	// VMINPSZ256rmkz
+    48U,	// VMINPSZ256rr
+    1148065U,	// VMINPSZ256rrk
+    1164338U,	// VMINPSZ256rrkz
+    208U,	// VMINPSZrm
+    5264U,	// VMINPSZrmb
+    2835617U,	// VMINPSZrmbk
+    2851890U,	// VMINPSZrmbkz
+    181409U,	// VMINPSZrmk
+    197682U,	// VMINPSZrmkz
+    48U,	// VMINPSZrr
+    1148065U,	// VMINPSZrrk
+    1164338U,	// VMINPSZrrkz
+    192U,	// VMINPSrm
+    48U,	// VMINPSrr
+    128U,	// VMINSDZrm
+    192U,	// VMINSDZrm_Int
+    1115297U,	// VMINSDZrm_Intk
+    1131570U,	// VMINSDZrm_Intkz
+    48U,	// VMINSDZrr
+    48U,	// VMINSDZrr_Int
+    1148065U,	// VMINSDZrr_Intk
+    1164338U,	// VMINSDZrr_Intkz
+    340U,	// VMINSDZrrb
+    318850U,	// VMINSDZrrbk
+    319875U,	// VMINSDZrrbkz
+    128U,	// VMINSDrm
+    128U,	// VMINSDrm_Int
+    48U,	// VMINSDrr
+    48U,	// VMINSDrr_Int
+    144U,	// VMINSSZrm
+    192U,	// VMINSSZrm_Int
+    1115297U,	// VMINSSZrm_Intk
+    1131570U,	// VMINSSZrm_Intkz
+    48U,	// VMINSSZrr
+    48U,	// VMINSSZrr_Int
+    1148065U,	// VMINSSZrr_Intk
+    1164338U,	// VMINSSZrr_Intkz
+    340U,	// VMINSSZrrb
+    318850U,	// VMINSSZrrbk
+    319875U,	// VMINSSZrrbkz
+    144U,	// VMINSSrm
+    144U,	// VMINSSrm_Int
+    48U,	// VMINSSrr
+    48U,	// VMINSSrr_Int
     0U,	// VMLAUNCH
     0U,	// VMLOAD32
     0U,	// VMLOAD64
     0U,	// VMMCALL
     0U,	// VMOV64toPQIZrr
+    0U,	// VMOV64toPQIrm
     0U,	// VMOV64toPQIrr
     0U,	// VMOV64toSDZrr
     0U,	// VMOV64toSDrm
@@ -10285,38 +14008,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVAPDYrr
     0U,	// VMOVAPDYrr_REV
     0U,	// VMOVAPDZ128mr
-    2U,	// VMOVAPDZ128mrk
+    81U,	// VMOVAPDZ128mrk
     0U,	// VMOVAPDZ128rm
-    146U,	// VMOVAPDZ128rmk
-    82U,	// VMOVAPDZ128rmkz
+    353U,	// VMOVAPDZ128rmk
+    194U,	// VMOVAPDZ128rmkz
     0U,	// VMOVAPDZ128rr
     0U,	// VMOVAPDZ128rr_alt
-    42U,	// VMOVAPDZ128rrk
-    42U,	// VMOVAPDZ128rrk_alt
-    10U,	// VMOVAPDZ128rrkz
-    10U,	// VMOVAPDZ128rrkz_alt
+    161U,	// VMOVAPDZ128rrk
+    161U,	// VMOVAPDZ128rrk_alt
+    50U,	// VMOVAPDZ128rrkz
+    50U,	// VMOVAPDZ128rrkz_alt
     0U,	// VMOVAPDZ256mr
-    2U,	// VMOVAPDZ256mrk
+    81U,	// VMOVAPDZ256mrk
     0U,	// VMOVAPDZ256rm
-    154U,	// VMOVAPDZ256rmk
-    66U,	// VMOVAPDZ256rmkz
+    369U,	// VMOVAPDZ256rmk
+    178U,	// VMOVAPDZ256rmkz
     0U,	// VMOVAPDZ256rr
     0U,	// VMOVAPDZ256rr_alt
-    42U,	// VMOVAPDZ256rrk
-    42U,	// VMOVAPDZ256rrk_alt
-    10U,	// VMOVAPDZ256rrkz
-    10U,	// VMOVAPDZ256rrkz_alt
+    161U,	// VMOVAPDZ256rrk
+    161U,	// VMOVAPDZ256rrk_alt
+    50U,	// VMOVAPDZ256rrkz
+    50U,	// VMOVAPDZ256rrkz_alt
     0U,	// VMOVAPDZmr
-    2U,	// VMOVAPDZmrk
+    81U,	// VMOVAPDZmrk
     0U,	// VMOVAPDZrm
-    122U,	// VMOVAPDZrmk
-    74U,	// VMOVAPDZrmkz
+    321U,	// VMOVAPDZrmk
+    210U,	// VMOVAPDZrmkz
     0U,	// VMOVAPDZrr
     0U,	// VMOVAPDZrr_alt
-    42U,	// VMOVAPDZrrk
-    42U,	// VMOVAPDZrrk_alt
-    10U,	// VMOVAPDZrrkz
-    10U,	// VMOVAPDZrrkz_alt
+    161U,	// VMOVAPDZrrk
+    161U,	// VMOVAPDZrrk_alt
+    50U,	// VMOVAPDZrrkz
+    50U,	// VMOVAPDZrrkz_alt
     0U,	// VMOVAPDmr
     0U,	// VMOVAPDrm
     0U,	// VMOVAPDrr
@@ -10326,38 +14049,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVAPSYrr
     0U,	// VMOVAPSYrr_REV
     0U,	// VMOVAPSZ128mr
-    2U,	// VMOVAPSZ128mrk
+    81U,	// VMOVAPSZ128mrk
     0U,	// VMOVAPSZ128rm
-    146U,	// VMOVAPSZ128rmk
-    82U,	// VMOVAPSZ128rmkz
+    353U,	// VMOVAPSZ128rmk
+    194U,	// VMOVAPSZ128rmkz
     0U,	// VMOVAPSZ128rr
     0U,	// VMOVAPSZ128rr_alt
-    42U,	// VMOVAPSZ128rrk
-    42U,	// VMOVAPSZ128rrk_alt
-    10U,	// VMOVAPSZ128rrkz
-    10U,	// VMOVAPSZ128rrkz_alt
+    161U,	// VMOVAPSZ128rrk
+    161U,	// VMOVAPSZ128rrk_alt
+    50U,	// VMOVAPSZ128rrkz
+    50U,	// VMOVAPSZ128rrkz_alt
     0U,	// VMOVAPSZ256mr
-    2U,	// VMOVAPSZ256mrk
+    81U,	// VMOVAPSZ256mrk
     0U,	// VMOVAPSZ256rm
-    154U,	// VMOVAPSZ256rmk
-    66U,	// VMOVAPSZ256rmkz
+    369U,	// VMOVAPSZ256rmk
+    178U,	// VMOVAPSZ256rmkz
     0U,	// VMOVAPSZ256rr
     0U,	// VMOVAPSZ256rr_alt
-    42U,	// VMOVAPSZ256rrk
-    42U,	// VMOVAPSZ256rrk_alt
-    10U,	// VMOVAPSZ256rrkz
-    10U,	// VMOVAPSZ256rrkz_alt
+    161U,	// VMOVAPSZ256rrk
+    161U,	// VMOVAPSZ256rrk_alt
+    50U,	// VMOVAPSZ256rrkz
+    50U,	// VMOVAPSZ256rrkz_alt
     0U,	// VMOVAPSZmr
-    2U,	// VMOVAPSZmrk
+    81U,	// VMOVAPSZmrk
     0U,	// VMOVAPSZrm
-    122U,	// VMOVAPSZrmk
-    74U,	// VMOVAPSZrmkz
+    321U,	// VMOVAPSZrmk
+    210U,	// VMOVAPSZrmkz
     0U,	// VMOVAPSZrr
     0U,	// VMOVAPSZrr_alt
-    42U,	// VMOVAPSZrrk
-    42U,	// VMOVAPSZrrk_alt
-    10U,	// VMOVAPSZrrkz
-    10U,	// VMOVAPSZrrkz_alt
+    161U,	// VMOVAPSZrrk
+    161U,	// VMOVAPSZrrk_alt
+    50U,	// VMOVAPSZrrkz
+    50U,	// VMOVAPSZrrkz_alt
     0U,	// VMOVAPSmr
     0U,	// VMOVAPSrm
     0U,	// VMOVAPSrr
@@ -10377,71 +14100,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDI2SSrm
     0U,	// VMOVDI2SSrr
     0U,	// VMOVDQA32Z128mr
-    2U,	// VMOVDQA32Z128mrk
+    81U,	// VMOVDQA32Z128mrk
     0U,	// VMOVDQA32Z128rm
-    162U,	// VMOVDQA32Z128rmk
-    90U,	// VMOVDQA32Z128rmkz
+    401U,	// VMOVDQA32Z128rmk
+    226U,	// VMOVDQA32Z128rmkz
     0U,	// VMOVDQA32Z128rr
     0U,	// VMOVDQA32Z128rr_alt
-    42U,	// VMOVDQA32Z128rrk
-    42U,	// VMOVDQA32Z128rrk_alt
-    10U,	// VMOVDQA32Z128rrkz
-    10U,	// VMOVDQA32Z128rrkz_alt
+    161U,	// VMOVDQA32Z128rrk
+    161U,	// VMOVDQA32Z128rrk_alt
+    50U,	// VMOVDQA32Z128rrkz
+    50U,	// VMOVDQA32Z128rrkz_alt
     0U,	// VMOVDQA32Z256mr
-    2U,	// VMOVDQA32Z256mrk
+    81U,	// VMOVDQA32Z256mrk
     0U,	// VMOVDQA32Z256rm
-    170U,	// VMOVDQA32Z256rmk
-    106U,	// VMOVDQA32Z256rmkz
+    417U,	// VMOVDQA32Z256rmk
+    258U,	// VMOVDQA32Z256rmkz
     0U,	// VMOVDQA32Z256rr
     0U,	// VMOVDQA32Z256rr_alt
-    42U,	// VMOVDQA32Z256rrk
-    42U,	// VMOVDQA32Z256rrk_alt
-    10U,	// VMOVDQA32Z256rrkz
-    10U,	// VMOVDQA32Z256rrkz_alt
+    161U,	// VMOVDQA32Z256rrk
+    161U,	// VMOVDQA32Z256rrk_alt
+    50U,	// VMOVDQA32Z256rrkz
+    50U,	// VMOVDQA32Z256rrkz_alt
     0U,	// VMOVDQA32Zmr
-    2U,	// VMOVDQA32Zmrk
+    81U,	// VMOVDQA32Zmrk
     0U,	// VMOVDQA32Zrm
-    178U,	// VMOVDQA32Zrmk
-    98U,	// VMOVDQA32Zrmkz
+    433U,	// VMOVDQA32Zrmk
+    242U,	// VMOVDQA32Zrmkz
     0U,	// VMOVDQA32Zrr
     0U,	// VMOVDQA32Zrr_alt
-    42U,	// VMOVDQA32Zrrk
-    42U,	// VMOVDQA32Zrrk_alt
-    10U,	// VMOVDQA32Zrrkz
-    10U,	// VMOVDQA32Zrrkz_alt
+    161U,	// VMOVDQA32Zrrk
+    161U,	// VMOVDQA32Zrrk_alt
+    50U,	// VMOVDQA32Zrrkz
+    50U,	// VMOVDQA32Zrrkz_alt
     0U,	// VMOVDQA64Z128mr
-    2U,	// VMOVDQA64Z128mrk
+    81U,	// VMOVDQA64Z128mrk
     0U,	// VMOVDQA64Z128rm
-    162U,	// VMOVDQA64Z128rmk
-    90U,	// VMOVDQA64Z128rmkz
+    401U,	// VMOVDQA64Z128rmk
+    226U,	// VMOVDQA64Z128rmkz
     0U,	// VMOVDQA64Z128rr
     0U,	// VMOVDQA64Z128rr_alt
-    42U,	// VMOVDQA64Z128rrk
-    42U,	// VMOVDQA64Z128rrk_alt
-    10U,	// VMOVDQA64Z128rrkz
-    10U,	// VMOVDQA64Z128rrkz_alt
+    161U,	// VMOVDQA64Z128rrk
+    161U,	// VMOVDQA64Z128rrk_alt
+    50U,	// VMOVDQA64Z128rrkz
+    50U,	// VMOVDQA64Z128rrkz_alt
     0U,	// VMOVDQA64Z256mr
-    2U,	// VMOVDQA64Z256mrk
+    81U,	// VMOVDQA64Z256mrk
     0U,	// VMOVDQA64Z256rm
-    170U,	// VMOVDQA64Z256rmk
-    106U,	// VMOVDQA64Z256rmkz
+    417U,	// VMOVDQA64Z256rmk
+    258U,	// VMOVDQA64Z256rmkz
     0U,	// VMOVDQA64Z256rr
     0U,	// VMOVDQA64Z256rr_alt
-    42U,	// VMOVDQA64Z256rrk
-    42U,	// VMOVDQA64Z256rrk_alt
-    10U,	// VMOVDQA64Z256rrkz
-    10U,	// VMOVDQA64Z256rrkz_alt
+    161U,	// VMOVDQA64Z256rrk
+    161U,	// VMOVDQA64Z256rrk_alt
+    50U,	// VMOVDQA64Z256rrkz
+    50U,	// VMOVDQA64Z256rrkz_alt
     0U,	// VMOVDQA64Zmr
-    2U,	// VMOVDQA64Zmrk
+    81U,	// VMOVDQA64Zmrk
     0U,	// VMOVDQA64Zrm
-    178U,	// VMOVDQA64Zrmk
-    98U,	// VMOVDQA64Zrmkz
+    433U,	// VMOVDQA64Zrmk
+    242U,	// VMOVDQA64Zrmkz
     0U,	// VMOVDQA64Zrr
     0U,	// VMOVDQA64Zrr_alt
-    42U,	// VMOVDQA64Zrrk
-    42U,	// VMOVDQA64Zrrk_alt
-    10U,	// VMOVDQA64Zrrkz
-    10U,	// VMOVDQA64Zrrkz_alt
+    161U,	// VMOVDQA64Zrrk
+    161U,	// VMOVDQA64Zrrk_alt
+    50U,	// VMOVDQA64Zrrkz
+    50U,	// VMOVDQA64Zrrkz_alt
     0U,	// VMOVDQAYmr
     0U,	// VMOVDQAYrm
     0U,	// VMOVDQAYrr
@@ -10451,137 +14174,137 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDQArr
     0U,	// VMOVDQArr_REV
     0U,	// VMOVDQU16Z128mr
-    2U,	// VMOVDQU16Z128mrk
+    81U,	// VMOVDQU16Z128mrk
     0U,	// VMOVDQU16Z128rm
-    162U,	// VMOVDQU16Z128rmk
-    90U,	// VMOVDQU16Z128rmkz
+    401U,	// VMOVDQU16Z128rmk
+    226U,	// VMOVDQU16Z128rmkz
     0U,	// VMOVDQU16Z128rr
     0U,	// VMOVDQU16Z128rr_alt
-    42U,	// VMOVDQU16Z128rrk
-    42U,	// VMOVDQU16Z128rrk_alt
-    10U,	// VMOVDQU16Z128rrkz
-    10U,	// VMOVDQU16Z128rrkz_alt
+    161U,	// VMOVDQU16Z128rrk
+    161U,	// VMOVDQU16Z128rrk_alt
+    50U,	// VMOVDQU16Z128rrkz
+    50U,	// VMOVDQU16Z128rrkz_alt
     0U,	// VMOVDQU16Z256mr
-    2U,	// VMOVDQU16Z256mrk
+    81U,	// VMOVDQU16Z256mrk
     0U,	// VMOVDQU16Z256rm
-    170U,	// VMOVDQU16Z256rmk
-    106U,	// VMOVDQU16Z256rmkz
+    417U,	// VMOVDQU16Z256rmk
+    258U,	// VMOVDQU16Z256rmkz
     0U,	// VMOVDQU16Z256rr
     0U,	// VMOVDQU16Z256rr_alt
-    42U,	// VMOVDQU16Z256rrk
-    42U,	// VMOVDQU16Z256rrk_alt
-    10U,	// VMOVDQU16Z256rrkz
-    10U,	// VMOVDQU16Z256rrkz_alt
+    161U,	// VMOVDQU16Z256rrk
+    161U,	// VMOVDQU16Z256rrk_alt
+    50U,	// VMOVDQU16Z256rrkz
+    50U,	// VMOVDQU16Z256rrkz_alt
     0U,	// VMOVDQU16Zmr
-    2U,	// VMOVDQU16Zmrk
+    81U,	// VMOVDQU16Zmrk
     0U,	// VMOVDQU16Zrm
-    178U,	// VMOVDQU16Zrmk
-    98U,	// VMOVDQU16Zrmkz
+    433U,	// VMOVDQU16Zrmk
+    242U,	// VMOVDQU16Zrmkz
     0U,	// VMOVDQU16Zrr
     0U,	// VMOVDQU16Zrr_alt
-    42U,	// VMOVDQU16Zrrk
-    42U,	// VMOVDQU16Zrrk_alt
-    10U,	// VMOVDQU16Zrrkz
-    10U,	// VMOVDQU16Zrrkz_alt
+    161U,	// VMOVDQU16Zrrk
+    161U,	// VMOVDQU16Zrrk_alt
+    50U,	// VMOVDQU16Zrrkz
+    50U,	// VMOVDQU16Zrrkz_alt
     0U,	// VMOVDQU32Z128mr
-    2U,	// VMOVDQU32Z128mrk
+    81U,	// VMOVDQU32Z128mrk
     0U,	// VMOVDQU32Z128rm
-    162U,	// VMOVDQU32Z128rmk
-    90U,	// VMOVDQU32Z128rmkz
+    401U,	// VMOVDQU32Z128rmk
+    226U,	// VMOVDQU32Z128rmkz
     0U,	// VMOVDQU32Z128rr
     0U,	// VMOVDQU32Z128rr_alt
-    42U,	// VMOVDQU32Z128rrk
-    42U,	// VMOVDQU32Z128rrk_alt
-    10U,	// VMOVDQU32Z128rrkz
-    10U,	// VMOVDQU32Z128rrkz_alt
+    161U,	// VMOVDQU32Z128rrk
+    161U,	// VMOVDQU32Z128rrk_alt
+    50U,	// VMOVDQU32Z128rrkz
+    50U,	// VMOVDQU32Z128rrkz_alt
     0U,	// VMOVDQU32Z256mr
-    2U,	// VMOVDQU32Z256mrk
+    81U,	// VMOVDQU32Z256mrk
     0U,	// VMOVDQU32Z256rm
-    170U,	// VMOVDQU32Z256rmk
-    106U,	// VMOVDQU32Z256rmkz
+    417U,	// VMOVDQU32Z256rmk
+    258U,	// VMOVDQU32Z256rmkz
     0U,	// VMOVDQU32Z256rr
     0U,	// VMOVDQU32Z256rr_alt
-    42U,	// VMOVDQU32Z256rrk
-    42U,	// VMOVDQU32Z256rrk_alt
-    10U,	// VMOVDQU32Z256rrkz
-    10U,	// VMOVDQU32Z256rrkz_alt
+    161U,	// VMOVDQU32Z256rrk
+    161U,	// VMOVDQU32Z256rrk_alt
+    50U,	// VMOVDQU32Z256rrkz
+    50U,	// VMOVDQU32Z256rrkz_alt
     0U,	// VMOVDQU32Zmr
-    2U,	// VMOVDQU32Zmrk
+    81U,	// VMOVDQU32Zmrk
     0U,	// VMOVDQU32Zrm
-    178U,	// VMOVDQU32Zrmk
-    98U,	// VMOVDQU32Zrmkz
+    433U,	// VMOVDQU32Zrmk
+    242U,	// VMOVDQU32Zrmkz
     0U,	// VMOVDQU32Zrr
     0U,	// VMOVDQU32Zrr_alt
-    42U,	// VMOVDQU32Zrrk
-    42U,	// VMOVDQU32Zrrk_alt
-    10U,	// VMOVDQU32Zrrkz
-    10U,	// VMOVDQU32Zrrkz_alt
+    161U,	// VMOVDQU32Zrrk
+    161U,	// VMOVDQU32Zrrk_alt
+    50U,	// VMOVDQU32Zrrkz
+    50U,	// VMOVDQU32Zrrkz_alt
     0U,	// VMOVDQU64Z128mr
-    2U,	// VMOVDQU64Z128mrk
+    81U,	// VMOVDQU64Z128mrk
     0U,	// VMOVDQU64Z128rm
-    162U,	// VMOVDQU64Z128rmk
-    90U,	// VMOVDQU64Z128rmkz
+    401U,	// VMOVDQU64Z128rmk
+    226U,	// VMOVDQU64Z128rmkz
     0U,	// VMOVDQU64Z128rr
     0U,	// VMOVDQU64Z128rr_alt
-    42U,	// VMOVDQU64Z128rrk
-    42U,	// VMOVDQU64Z128rrk_alt
-    10U,	// VMOVDQU64Z128rrkz
-    10U,	// VMOVDQU64Z128rrkz_alt
+    161U,	// VMOVDQU64Z128rrk
+    161U,	// VMOVDQU64Z128rrk_alt
+    50U,	// VMOVDQU64Z128rrkz
+    50U,	// VMOVDQU64Z128rrkz_alt
     0U,	// VMOVDQU64Z256mr
-    2U,	// VMOVDQU64Z256mrk
+    81U,	// VMOVDQU64Z256mrk
     0U,	// VMOVDQU64Z256rm
-    170U,	// VMOVDQU64Z256rmk
-    106U,	// VMOVDQU64Z256rmkz
+    417U,	// VMOVDQU64Z256rmk
+    258U,	// VMOVDQU64Z256rmkz
     0U,	// VMOVDQU64Z256rr
     0U,	// VMOVDQU64Z256rr_alt
-    42U,	// VMOVDQU64Z256rrk
-    42U,	// VMOVDQU64Z256rrk_alt
-    10U,	// VMOVDQU64Z256rrkz
-    10U,	// VMOVDQU64Z256rrkz_alt
+    161U,	// VMOVDQU64Z256rrk
+    161U,	// VMOVDQU64Z256rrk_alt
+    50U,	// VMOVDQU64Z256rrkz
+    50U,	// VMOVDQU64Z256rrkz_alt
     0U,	// VMOVDQU64Zmr
-    2U,	// VMOVDQU64Zmrk
+    81U,	// VMOVDQU64Zmrk
     0U,	// VMOVDQU64Zrm
-    178U,	// VMOVDQU64Zrmk
-    98U,	// VMOVDQU64Zrmkz
+    433U,	// VMOVDQU64Zrmk
+    242U,	// VMOVDQU64Zrmkz
     0U,	// VMOVDQU64Zrr
     0U,	// VMOVDQU64Zrr_alt
-    42U,	// VMOVDQU64Zrrk
-    42U,	// VMOVDQU64Zrrk_alt
-    10U,	// VMOVDQU64Zrrkz
-    10U,	// VMOVDQU64Zrrkz_alt
+    161U,	// VMOVDQU64Zrrk
+    161U,	// VMOVDQU64Zrrk_alt
+    50U,	// VMOVDQU64Zrrkz
+    50U,	// VMOVDQU64Zrrkz_alt
     0U,	// VMOVDQU8Z128mr
-    2U,	// VMOVDQU8Z128mrk
+    81U,	// VMOVDQU8Z128mrk
     0U,	// VMOVDQU8Z128rm
-    162U,	// VMOVDQU8Z128rmk
-    90U,	// VMOVDQU8Z128rmkz
+    401U,	// VMOVDQU8Z128rmk
+    226U,	// VMOVDQU8Z128rmkz
     0U,	// VMOVDQU8Z128rr
     0U,	// VMOVDQU8Z128rr_alt
-    42U,	// VMOVDQU8Z128rrk
-    42U,	// VMOVDQU8Z128rrk_alt
-    10U,	// VMOVDQU8Z128rrkz
-    10U,	// VMOVDQU8Z128rrkz_alt
+    161U,	// VMOVDQU8Z128rrk
+    161U,	// VMOVDQU8Z128rrk_alt
+    50U,	// VMOVDQU8Z128rrkz
+    50U,	// VMOVDQU8Z128rrkz_alt
     0U,	// VMOVDQU8Z256mr
-    2U,	// VMOVDQU8Z256mrk
+    81U,	// VMOVDQU8Z256mrk
     0U,	// VMOVDQU8Z256rm
-    170U,	// VMOVDQU8Z256rmk
-    106U,	// VMOVDQU8Z256rmkz
+    417U,	// VMOVDQU8Z256rmk
+    258U,	// VMOVDQU8Z256rmkz
     0U,	// VMOVDQU8Z256rr
     0U,	// VMOVDQU8Z256rr_alt
-    42U,	// VMOVDQU8Z256rrk
-    42U,	// VMOVDQU8Z256rrk_alt
-    10U,	// VMOVDQU8Z256rrkz
-    10U,	// VMOVDQU8Z256rrkz_alt
+    161U,	// VMOVDQU8Z256rrk
+    161U,	// VMOVDQU8Z256rrk_alt
+    50U,	// VMOVDQU8Z256rrkz
+    50U,	// VMOVDQU8Z256rrkz_alt
     0U,	// VMOVDQU8Zmr
-    2U,	// VMOVDQU8Zmrk
+    81U,	// VMOVDQU8Zmrk
     0U,	// VMOVDQU8Zrm
-    178U,	// VMOVDQU8Zrmk
-    98U,	// VMOVDQU8Zrmkz
+    433U,	// VMOVDQU8Zrmk
+    242U,	// VMOVDQU8Zrmkz
     0U,	// VMOVDQU8Zrr
     0U,	// VMOVDQU8Zrr_alt
-    42U,	// VMOVDQU8Zrrk
-    42U,	// VMOVDQU8Zrrk_alt
-    10U,	// VMOVDQU8Zrrkz
-    10U,	// VMOVDQU8Zrrkz_alt
+    161U,	// VMOVDQU8Zrrk
+    161U,	// VMOVDQU8Zrrk_alt
+    50U,	// VMOVDQU8Zrrkz
+    50U,	// VMOVDQU8Zrrkz_alt
     0U,	// VMOVDQUYmr
     0U,	// VMOVDQUYrm
     0U,	// VMOVDQUYrr
@@ -10590,18 +14313,18 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDQUrm
     0U,	// VMOVDQUrr
     0U,	// VMOVDQUrr_REV
-    8U,	// VMOVHLPSZrr
-    8U,	// VMOVHLPSrr
+    48U,	// VMOVHLPSZrr
+    48U,	// VMOVHLPSrr
     0U,	// VMOVHPDmr
-    48U,	// VMOVHPDrm
+    128U,	// VMOVHPDrm
     0U,	// VMOVHPSmr
-    48U,	// VMOVHPSrm
-    8U,	// VMOVLHPSZrr
-    8U,	// VMOVLHPSrr
+    128U,	// VMOVHPSrm
+    48U,	// VMOVLHPSZrr
+    48U,	// VMOVLHPSrr
     0U,	// VMOVLPDmr
-    48U,	// VMOVLPDrm
+    128U,	// VMOVLPDrm
     0U,	// VMOVLPSmr
-    48U,	// VMOVLPSrm
+    128U,	// VMOVLPSrm
     0U,	// VMOVMSKPDYrr
     0U,	// VMOVMSKPDrr
     0U,	// VMOVMSKPSYrr
@@ -10634,18 +14357,20 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVPQI2QIrr
     0U,	// VMOVPQIto64Zmr
     0U,	// VMOVPQIto64Zrr
+    0U,	// VMOVPQIto64rm
     0U,	// VMOVPQIto64rr
     0U,	// VMOVQI2PQIZrm
     0U,	// VMOVQI2PQIrm
     0U,	// VMOVSDZmr
+    81U,	// VMOVSDZmrk
     0U,	// VMOVSDZrm
-    8U,	// VMOVSDZrr
-    8U,	// VMOVSDZrr_REV
-    298U,	// VMOVSDZrrk
+    48U,	// VMOVSDZrr
+    48U,	// VMOVSDZrr_REV
+    1148065U,	// VMOVSDZrrk
     0U,	// VMOVSDmr
     0U,	// VMOVSDrm
-    8U,	// VMOVSDrr
-    8U,	// VMOVSDrr_REV
+    48U,	// VMOVSDrr
+    48U,	// VMOVSDrr_REV
     0U,	// VMOVSDto64Zmr
     0U,	// VMOVSDto64Zrr
     0U,	// VMOVSDto64mr
@@ -10667,51 +14392,52 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVSS2DImr
     0U,	// VMOVSS2DIrr
     0U,	// VMOVSSZmr
+    81U,	// VMOVSSZmrk
     0U,	// VMOVSSZrm
-    8U,	// VMOVSSZrr
-    8U,	// VMOVSSZrr_REV
-    298U,	// VMOVSSZrrk
+    48U,	// VMOVSSZrr
+    48U,	// VMOVSSZrr_REV
+    1148065U,	// VMOVSSZrrk
     0U,	// VMOVSSmr
     0U,	// VMOVSSrm
-    8U,	// VMOVSSrr
-    8U,	// VMOVSSrr_REV
+    48U,	// VMOVSSrr
+    48U,	// VMOVSSrr_REV
     0U,	// VMOVUPDYmr
     0U,	// VMOVUPDYrm
     0U,	// VMOVUPDYrr
     0U,	// VMOVUPDYrr_REV
     0U,	// VMOVUPDZ128mr
-    2U,	// VMOVUPDZ128mrk
+    81U,	// VMOVUPDZ128mrk
     0U,	// VMOVUPDZ128rm
-    146U,	// VMOVUPDZ128rmk
-    82U,	// VMOVUPDZ128rmkz
+    353U,	// VMOVUPDZ128rmk
+    194U,	// VMOVUPDZ128rmkz
     0U,	// VMOVUPDZ128rr
     0U,	// VMOVUPDZ128rr_alt
-    42U,	// VMOVUPDZ128rrk
-    42U,	// VMOVUPDZ128rrk_alt
-    10U,	// VMOVUPDZ128rrkz
-    10U,	// VMOVUPDZ128rrkz_alt
+    161U,	// VMOVUPDZ128rrk
+    161U,	// VMOVUPDZ128rrk_alt
+    50U,	// VMOVUPDZ128rrkz
+    50U,	// VMOVUPDZ128rrkz_alt
     0U,	// VMOVUPDZ256mr
-    2U,	// VMOVUPDZ256mrk
+    81U,	// VMOVUPDZ256mrk
     0U,	// VMOVUPDZ256rm
-    154U,	// VMOVUPDZ256rmk
-    66U,	// VMOVUPDZ256rmkz
+    369U,	// VMOVUPDZ256rmk
+    178U,	// VMOVUPDZ256rmkz
     0U,	// VMOVUPDZ256rr
     0U,	// VMOVUPDZ256rr_alt
-    42U,	// VMOVUPDZ256rrk
-    42U,	// VMOVUPDZ256rrk_alt
-    10U,	// VMOVUPDZ256rrkz
-    10U,	// VMOVUPDZ256rrkz_alt
+    161U,	// VMOVUPDZ256rrk
+    161U,	// VMOVUPDZ256rrk_alt
+    50U,	// VMOVUPDZ256rrkz
+    50U,	// VMOVUPDZ256rrkz_alt
     0U,	// VMOVUPDZmr
-    2U,	// VMOVUPDZmrk
+    81U,	// VMOVUPDZmrk
     0U,	// VMOVUPDZrm
-    122U,	// VMOVUPDZrmk
-    74U,	// VMOVUPDZrmkz
+    321U,	// VMOVUPDZrmk
+    210U,	// VMOVUPDZrmkz
     0U,	// VMOVUPDZrr
     0U,	// VMOVUPDZrr_alt
-    42U,	// VMOVUPDZrrk
-    42U,	// VMOVUPDZrrk_alt
-    10U,	// VMOVUPDZrrkz
-    10U,	// VMOVUPDZrrkz_alt
+    161U,	// VMOVUPDZrrk
+    161U,	// VMOVUPDZrrk_alt
+    50U,	// VMOVUPDZrrkz
+    50U,	// VMOVUPDZrrkz_alt
     0U,	// VMOVUPDmr
     0U,	// VMOVUPDrm
     0U,	// VMOVUPDrr
@@ -10721,38 +14447,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVUPSYrr
     0U,	// VMOVUPSYrr_REV
     0U,	// VMOVUPSZ128mr
-    2U,	// VMOVUPSZ128mrk
+    81U,	// VMOVUPSZ128mrk
     0U,	// VMOVUPSZ128rm
-    146U,	// VMOVUPSZ128rmk
-    82U,	// VMOVUPSZ128rmkz
+    353U,	// VMOVUPSZ128rmk
+    194U,	// VMOVUPSZ128rmkz
     0U,	// VMOVUPSZ128rr
     0U,	// VMOVUPSZ128rr_alt
-    42U,	// VMOVUPSZ128rrk
-    42U,	// VMOVUPSZ128rrk_alt
-    10U,	// VMOVUPSZ128rrkz
-    10U,	// VMOVUPSZ128rrkz_alt
+    161U,	// VMOVUPSZ128rrk
+    161U,	// VMOVUPSZ128rrk_alt
+    50U,	// VMOVUPSZ128rrkz
+    50U,	// VMOVUPSZ128rrkz_alt
     0U,	// VMOVUPSZ256mr
-    2U,	// VMOVUPSZ256mrk
+    81U,	// VMOVUPSZ256mrk
     0U,	// VMOVUPSZ256rm
-    154U,	// VMOVUPSZ256rmk
-    66U,	// VMOVUPSZ256rmkz
+    369U,	// VMOVUPSZ256rmk
+    178U,	// VMOVUPSZ256rmkz
     0U,	// VMOVUPSZ256rr
     0U,	// VMOVUPSZ256rr_alt
-    42U,	// VMOVUPSZ256rrk
-    42U,	// VMOVUPSZ256rrk_alt
-    10U,	// VMOVUPSZ256rrkz
-    10U,	// VMOVUPSZ256rrkz_alt
+    161U,	// VMOVUPSZ256rrk
+    161U,	// VMOVUPSZ256rrk_alt
+    50U,	// VMOVUPSZ256rrkz
+    50U,	// VMOVUPSZ256rrkz_alt
     0U,	// VMOVUPSZmr
-    2U,	// VMOVUPSZmrk
+    81U,	// VMOVUPSZmrk
     0U,	// VMOVUPSZrm
-    122U,	// VMOVUPSZrmk
-    74U,	// VMOVUPSZrmkz
+    321U,	// VMOVUPSZrmk
+    210U,	// VMOVUPSZrmkz
     0U,	// VMOVUPSZrr
     0U,	// VMOVUPSZrr_alt
-    42U,	// VMOVUPSZrrk
-    42U,	// VMOVUPSZrrk_alt
-    10U,	// VMOVUPSZrrkz
-    10U,	// VMOVUPSZrrkz_alt
+    161U,	// VMOVUPSZrrk
+    161U,	// VMOVUPSZrrk_alt
+    50U,	// VMOVUPSZrrkz
+    50U,	// VMOVUPSZrrkz_alt
     0U,	// VMOVUPSmr
     0U,	// VMOVUPSrm
     0U,	// VMOVUPSrr
@@ -10763,10 +14489,10 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVZPQILo2PQIrr
     0U,	// VMOVZQI2PQIrm
     0U,	// VMOVZQI2PQIrr
-    2408U,	// VMPSADBWYrmi
-    8456U,	// VMPSADBWYrri
-    2392U,	// VMPSADBWrmi
-    8456U,	// VMPSADBWrri
+    247040U,	// VMPSADBWYrmi
+    1311792U,	// VMPSADBWYrri
+    247008U,	// VMPSADBWrmi
+    1311792U,	// VMPSADBWrri
     0U,	// VMPTRLDm
     0U,	// VMPTRSTm
     0U,	// VMREAD32rm
@@ -10778,603 +14504,1201 @@ static void printInstruction(MCInst *MI,
     0U,	// VMRUN64
     0U,	// VMSAVE32
     0U,	// VMSAVE64
-    64U,	// VMULPDYrm
-    8U,	// VMULPDYrr
-    72U,	// VMULPDZrm
-    560U,	// VMULPDZrmb
-    69898U,	// VMULPDZrmbk
-    69898U,	// VMULPDZrmbkz
-    6410U,	// VMULPDZrmk
-    6410U,	// VMULPDZrmkz
-    8U,	// VMULPDZrr
-    8458U,	// VMULPDZrrk
-    8458U,	// VMULPDZrrkz
-    80U,	// VMULPDrm
-    8U,	// VMULPDrr
-    64U,	// VMULPSYrm
-    8U,	// VMULPSYrr
-    72U,	// VMULPSZrm
-    824U,	// VMULPSZrmb
-    108810U,	// VMULPSZrmbk
-    108810U,	// VMULPSZrmbkz
-    6410U,	// VMULPSZrmk
-    6410U,	// VMULPSZrmkz
-    8U,	// VMULPSZrr
-    8458U,	// VMULPSZrrk
-    8458U,	// VMULPSZrrkz
-    80U,	// VMULPSrm
-    8U,	// VMULPSrr
-    48U,	// VMULSDZrm
-    8U,	// VMULSDZrr
-    48U,	// VMULSDrm
-    48U,	// VMULSDrm_Int
-    8U,	// VMULSDrr
-    8U,	// VMULSDrr_Int
-    56U,	// VMULSSZrm
-    8U,	// VMULSSZrr
-    56U,	// VMULSSrm
-    56U,	// VMULSSrm_Int
-    8U,	// VMULSSrr
-    8U,	// VMULSSrr_Int
+    176U,	// VMULPDYrm
+    48U,	// VMULPDYrr
+    192U,	// VMULPDZ128rm
+    2176U,	// VMULPDZ128rmb
+    558241U,	// VMULPDZ128rmbk
+    574514U,	// VMULPDZ128rmbkz
+    1115297U,	// VMULPDZ128rmk
+    1131570U,	// VMULPDZ128rmkz
+    48U,	// VMULPDZ128rr
+    1148065U,	// VMULPDZ128rrk
+    1164338U,	// VMULPDZ128rrkz
+    176U,	// VMULPDZ256rm
+    3200U,	// VMULPDZ256rmb
+    1606817U,	// VMULPDZ256rmbk
+    1623090U,	// VMULPDZ256rmbkz
+    132257U,	// VMULPDZ256rmk
+    1197106U,	// VMULPDZ256rmkz
+    48U,	// VMULPDZ256rr
+    1148065U,	// VMULPDZ256rrk
+    1164338U,	// VMULPDZ256rrkz
+    164912U,	// VMULPDZrb
+    8488097U,	// VMULPDZrbk
+    16892978U,	// VMULPDZrbkz
+    208U,	// VMULPDZrm
+    4224U,	// VMULPDZrmb
+    2131105U,	// VMULPDZrmbk
+    2147378U,	// VMULPDZrmbkz
+    181409U,	// VMULPDZrmk
+    197682U,	// VMULPDZrmkz
+    48U,	// VMULPDZrr
+    1148065U,	// VMULPDZrrk
+    1164338U,	// VMULPDZrrkz
+    192U,	// VMULPDrm
+    48U,	// VMULPDrr
+    176U,	// VMULPSYrm
+    48U,	// VMULPSYrr
+    192U,	// VMULPSZ128rm
+    3216U,	// VMULPSZ128rmb
+    1787041U,	// VMULPSZ128rmbk
+    1803314U,	// VMULPSZ128rmbkz
+    1115297U,	// VMULPSZ128rmk
+    1131570U,	// VMULPSZ128rmkz
+    48U,	// VMULPSZ128rr
+    1148065U,	// VMULPSZ128rrk
+    1164338U,	// VMULPSZ128rrkz
+    176U,	// VMULPSZ256rm
+    4240U,	// VMULPSZ256rmb
+    2311329U,	// VMULPSZ256rmbk
+    2327602U,	// VMULPSZ256rmbkz
+    132257U,	// VMULPSZ256rmk
+    1197106U,	// VMULPSZ256rmkz
+    48U,	// VMULPSZ256rr
+    1148065U,	// VMULPSZ256rrk
+    1164338U,	// VMULPSZ256rrkz
+    164912U,	// VMULPSZrb
+    8488097U,	// VMULPSZrbk
+    16892978U,	// VMULPSZrbkz
+    208U,	// VMULPSZrm
+    5264U,	// VMULPSZrmb
+    2835617U,	// VMULPSZrmbk
+    2851890U,	// VMULPSZrmbkz
+    181409U,	// VMULPSZrmk
+    197682U,	// VMULPSZrmkz
+    48U,	// VMULPSZrr
+    1148065U,	// VMULPSZrrk
+    1164338U,	// VMULPSZrrkz
+    192U,	// VMULPSrm
+    48U,	// VMULPSrr
+    128U,	// VMULSDZrm
+    192U,	// VMULSDZrm_Int
+    1115297U,	// VMULSDZrm_Intk
+    1131570U,	// VMULSDZrm_Intkz
+    48U,	// VMULSDZrr
+    48U,	// VMULSDZrr_Int
+    1148065U,	// VMULSDZrr_Intk
+    1164338U,	// VMULSDZrr_Intkz
+    164912U,	// VMULSDZrrb
+    8488097U,	// VMULSDZrrbk
+    16892978U,	// VMULSDZrrbkz
+    128U,	// VMULSDrm
+    128U,	// VMULSDrm_Int
+    48U,	// VMULSDrr
+    48U,	// VMULSDrr_Int
+    144U,	// VMULSSZrm
+    192U,	// VMULSSZrm_Int
+    1115297U,	// VMULSSZrm_Intk
+    1131570U,	// VMULSSZrm_Intkz
+    48U,	// VMULSSZrr
+    48U,	// VMULSSZrr_Int
+    1148065U,	// VMULSSZrr_Intk
+    1164338U,	// VMULSSZrr_Intkz
+    164912U,	// VMULSSZrrb
+    8488097U,	// VMULSSZrrbk
+    16892978U,	// VMULSSZrrbkz
+    144U,	// VMULSSrm
+    144U,	// VMULSSrm_Int
+    48U,	// VMULSSrr
+    48U,	// VMULSSrr_Int
     0U,	// VMWRITE32rm
     0U,	// VMWRITE32rr
     0U,	// VMWRITE64rm
     0U,	// VMWRITE64rr
     0U,	// VMXOFF
     0U,	// VMXON
-    64U,	// VORPDYrm
-    8U,	// VORPDYrr
-    80U,	// VORPDrm
-    8U,	// VORPDrr
-    64U,	// VORPSYrm
-    8U,	// VORPSYrr
-    80U,	// VORPSrm
-    8U,	// VORPSrr
+    176U,	// VORPDYrm
+    48U,	// VORPDYrr
+    192U,	// VORPDrm
+    48U,	// VORPDrr
+    176U,	// VORPSYrm
+    48U,	// VORPSYrr
+    192U,	// VORPSrm
+    48U,	// VORPSrr
     0U,	// VPABSBrm128
     0U,	// VPABSBrm256
     0U,	// VPABSBrr128
     0U,	// VPABSBrr256
     0U,	// VPABSDZrm
-    4U,	// VPABSDZrmb
-    786U,	// VPABSDZrmbk
-    786U,	// VPABSDZrmbkz
-    98U,	// VPABSDZrmk
-    98U,	// VPABSDZrmkz
+    5U,	// VPABSDZrmb
+    5153U,	// VPABSDZrmbk
+    5154U,	// VPABSDZrmbkz
+    241U,	// VPABSDZrmk
+    242U,	// VPABSDZrmkz
     0U,	// VPABSDZrr
-    10U,	// VPABSDZrrk
-    10U,	// VPABSDZrrkz
+    49U,	// VPABSDZrrk
+    50U,	// VPABSDZrrkz
     0U,	// VPABSDrm128
     0U,	// VPABSDrm256
     0U,	// VPABSDrr128
     0U,	// VPABSDrr256
     0U,	// VPABSQZrm
     5U,	// VPABSQZrmb
-    538U,	// VPABSQZrmbk
-    538U,	// VPABSQZrmbkz
-    98U,	// VPABSQZrmk
-    98U,	// VPABSQZrmkz
+    4161U,	// VPABSQZrmbk
+    4162U,	// VPABSQZrmbkz
+    241U,	// VPABSQZrmk
+    242U,	// VPABSQZrmkz
     0U,	// VPABSQZrr
-    10U,	// VPABSQZrrk
-    10U,	// VPABSQZrrkz
+    49U,	// VPABSQZrrk
+    50U,	// VPABSQZrrkz
     0U,	// VPABSWrm128
     0U,	// VPABSWrm256
     0U,	// VPABSWrr128
     0U,	// VPABSWrr256
-    104U,	// VPACKSSDWYrm
-    8U,	// VPACKSSDWYrr
-    88U,	// VPACKSSDWrm
-    8U,	// VPACKSSDWrr
-    104U,	// VPACKSSWBYrm
-    8U,	// VPACKSSWBYrr
-    88U,	// VPACKSSWBrm
-    8U,	// VPACKSSWBrr
-    104U,	// VPACKUSDWYrm
-    8U,	// VPACKUSDWYrr
-    88U,	// VPACKUSDWrm
-    8U,	// VPACKUSDWrr
-    104U,	// VPACKUSWBYrm
-    8U,	// VPACKUSWBYrr
-    88U,	// VPACKUSWBrm
-    8U,	// VPACKUSWBrr
-    104U,	// VPADDBYrm
-    8U,	// VPADDBYrr
-    88U,	// VPADDBrm
-    8U,	// VPADDBrr
-    104U,	// VPADDDYrm
-    8U,	// VPADDDYrr
-    96U,	// VPADDDZrm
-    784U,	// VPADDDZrmb
-    16682U,	// VPADDDZrmbk
-    117002U,	// VPADDDZrmbkz
-    20778U,	// VPADDDZrmk
-    22794U,	// VPADDDZrmkz
-    8U,	// VPADDDZrr
-    298U,	// VPADDDZrrk
-    8458U,	// VPADDDZrrkz
-    88U,	// VPADDDrm
-    8U,	// VPADDDrr
-    104U,	// VPADDQYrm
-    8U,	// VPADDQYrr
-    96U,	// VPADDQZrm
-    536U,	// VPADDQZrmb
-    24874U,	// VPADDQZrmbk
-    92426U,	// VPADDQZrmbkz
-    20778U,	// VPADDQZrmk
-    22794U,	// VPADDQZrmkz
-    8U,	// VPADDQZrr
-    298U,	// VPADDQZrrk
-    8458U,	// VPADDQZrrkz
-    88U,	// VPADDQrm
-    8U,	// VPADDQrr
-    104U,	// VPADDSBYrm
-    8U,	// VPADDSBYrr
-    88U,	// VPADDSBrm
-    8U,	// VPADDSBrr
-    104U,	// VPADDSWYrm
-    8U,	// VPADDSWYrr
-    88U,	// VPADDSWrm
-    8U,	// VPADDSWrr
-    104U,	// VPADDUSBYrm
-    8U,	// VPADDUSBYrr
-    88U,	// VPADDUSBrm
-    8U,	// VPADDUSBrr
-    104U,	// VPADDUSWYrm
-    8U,	// VPADDUSWYrr
-    88U,	// VPADDUSWrm
-    8U,	// VPADDUSWrr
-    104U,	// VPADDWYrm
-    8U,	// VPADDWYrr
-    88U,	// VPADDWrm
-    8U,	// VPADDWrr
-    2392U,	// VPALIGNR128rm
-    8456U,	// VPALIGNR128rr
-    2408U,	// VPALIGNR256rm
-    8456U,	// VPALIGNR256rr
-    96U,	// VPANDDZrm
-    784U,	// VPANDDZrmb
-    16682U,	// VPANDDZrmbk
-    117002U,	// VPANDDZrmbkz
-    20778U,	// VPANDDZrmk
-    22794U,	// VPANDDZrmkz
-    8U,	// VPANDDZrr
-    298U,	// VPANDDZrrk
-    8458U,	// VPANDDZrrkz
-    96U,	// VPANDNDZrm
-    784U,	// VPANDNDZrmb
-    16682U,	// VPANDNDZrmbk
-    117002U,	// VPANDNDZrmbkz
-    20778U,	// VPANDNDZrmk
-    22794U,	// VPANDNDZrmkz
-    8U,	// VPANDNDZrr
-    298U,	// VPANDNDZrrk
-    8458U,	// VPANDNDZrrkz
-    96U,	// VPANDNQZrm
-    536U,	// VPANDNQZrmb
-    24874U,	// VPANDNQZrmbk
-    92426U,	// VPANDNQZrmbkz
-    20778U,	// VPANDNQZrmk
-    22794U,	// VPANDNQZrmkz
-    8U,	// VPANDNQZrr
-    298U,	// VPANDNQZrrk
-    8458U,	// VPANDNQZrrkz
-    104U,	// VPANDNYrm
-    8U,	// VPANDNYrr
-    88U,	// VPANDNrm
-    8U,	// VPANDNrr
-    96U,	// VPANDQZrm
-    536U,	// VPANDQZrmb
-    24874U,	// VPANDQZrmbk
-    92426U,	// VPANDQZrmbkz
-    20778U,	// VPANDQZrmk
-    22794U,	// VPANDQZrmkz
-    8U,	// VPANDQZrr
-    298U,	// VPANDQZrrk
-    8458U,	// VPANDQZrrkz
-    104U,	// VPANDYrm
-    8U,	// VPANDYrr
-    88U,	// VPANDrm
-    8U,	// VPANDrr
-    104U,	// VPAVGBYrm
-    8U,	// VPAVGBYrr
-    88U,	// VPAVGBrm
-    8U,	// VPAVGBrr
-    104U,	// VPAVGWYrm
-    8U,	// VPAVGWYrr
-    88U,	// VPAVGWrm
-    8U,	// VPAVGWrr
-    2408U,	// VPBLENDDYrmi
-    8456U,	// VPBLENDDYrri
-    2392U,	// VPBLENDDrmi
-    8456U,	// VPBLENDDrri
-    6410U,	// VPBLENDMDZrm
-    8458U,	// VPBLENDMDZrr
-    6410U,	// VPBLENDMQZrm
-    8458U,	// VPBLENDMQZrr
-    2408U,	// VPBLENDVBYrm
-    8456U,	// VPBLENDVBYrr
-    2392U,	// VPBLENDVBrm
-    8456U,	// VPBLENDVBrr
-    2408U,	// VPBLENDWYrmi
-    8456U,	// VPBLENDWYrri
-    2392U,	// VPBLENDWrmi
-    8456U,	// VPBLENDWrri
+    256U,	// VPACKSSDWYrm
+    48U,	// VPACKSSDWYrr
+    224U,	// VPACKSSDWrm
+    48U,	// VPACKSSDWrr
+    256U,	// VPACKSSWBYrm
+    48U,	// VPACKSSWBYrr
+    224U,	// VPACKSSWBrm
+    48U,	// VPACKSSWBrr
+    256U,	// VPACKUSDWYrm
+    48U,	// VPACKUSDWYrr
+    224U,	// VPACKUSDWrm
+    48U,	// VPACKUSDWrr
+    256U,	// VPACKUSWBYrm
+    48U,	// VPACKUSWBYrr
+    224U,	// VPACKUSWBrm
+    48U,	// VPACKUSWBrr
+    256U,	// VPADDBYrm
+    48U,	// VPADDBYrr
+    224U,	// VPADDBZ128rm
+    328865U,	// VPADDBZ128rmk
+    1393714U,	// VPADDBZ128rmkz
+    48U,	// VPADDBZ128rr
+    1148065U,	// VPADDBZ128rrk
+    1164338U,	// VPADDBZ128rrkz
+    256U,	// VPADDBZ256rm
+    361633U,	// VPADDBZ256rmk
+    1426482U,	// VPADDBZ256rmkz
+    48U,	// VPADDBZ256rr
+    1148065U,	// VPADDBZ256rrk
+    1164338U,	// VPADDBZ256rrkz
+    240U,	// VPADDBZrm
+    394401U,	// VPADDBZrmk
+    1459250U,	// VPADDBZrmkz
+    48U,	// VPADDBZrr
+    1148065U,	// VPADDBZrrk
+    1164338U,	// VPADDBZrrkz
+    224U,	// VPADDBrm
+    48U,	// VPADDBrr
+    256U,	// VPADDDYrm
+    48U,	// VPADDDYrr
+    224U,	// VPADDDZ128rm
+    3104U,	// VPADDDZ128rmb
+    2000033U,	// VPADDDZ128rmbk
+    2016306U,	// VPADDDZ128rmbkz
+    328865U,	// VPADDDZ128rmk
+    1393714U,	// VPADDDZ128rmkz
+    48U,	// VPADDDZ128rr
+    1148065U,	// VPADDDZ128rrk
+    1164338U,	// VPADDDZ128rrkz
+    256U,	// VPADDDZ256rm
+    4128U,	// VPADDDZ256rmb
+    2524321U,	// VPADDDZ256rmbk
+    2540594U,	// VPADDDZ256rmbkz
+    361633U,	// VPADDDZ256rmk
+    1426482U,	// VPADDDZ256rmkz
+    48U,	// VPADDDZ256rr
+    1148065U,	// VPADDDZ256rrk
+    1164338U,	// VPADDDZ256rrkz
+    240U,	// VPADDDZrm
+    5152U,	// VPADDDZrmb
+    3048609U,	// VPADDDZrmbk
+    3064882U,	// VPADDDZrmbkz
+    394401U,	// VPADDDZrmk
+    1459250U,	// VPADDDZrmkz
+    48U,	// VPADDDZrr
+    1148065U,	// VPADDDZrrk
+    1164338U,	// VPADDDZrrkz
+    224U,	// VPADDDrm
+    48U,	// VPADDDrr
+    256U,	// VPADDQYrm
+    48U,	// VPADDQYrr
+    224U,	// VPADDQZ128rm
+    2112U,	// VPADDQZ128rmb
+    984225U,	// VPADDQZ128rmbk
+    1000498U,	// VPADDQZ128rmbkz
+    328865U,	// VPADDQZ128rmk
+    1393714U,	// VPADDQZ128rmkz
+    48U,	// VPADDQZ128rr
+    1148065U,	// VPADDQZ128rrk
+    1164338U,	// VPADDQZ128rrkz
+    256U,	// VPADDQZ256rm
+    3136U,	// VPADDQZ256rmb
+    2032801U,	// VPADDQZ256rmbk
+    2049074U,	// VPADDQZ256rmbkz
+    361633U,	// VPADDQZ256rmk
+    1426482U,	// VPADDQZ256rmkz
+    48U,	// VPADDQZ256rr
+    1148065U,	// VPADDQZ256rrk
+    1164338U,	// VPADDQZ256rrkz
+    240U,	// VPADDQZrm
+    4160U,	// VPADDQZrmb
+    2557089U,	// VPADDQZrmbk
+    2573362U,	// VPADDQZrmbkz
+    394401U,	// VPADDQZrmk
+    1459250U,	// VPADDQZrmkz
+    48U,	// VPADDQZrr
+    1148065U,	// VPADDQZrrk
+    1164338U,	// VPADDQZrrkz
+    224U,	// VPADDQrm
+    48U,	// VPADDQrr
+    256U,	// VPADDSBYrm
+    48U,	// VPADDSBYrr
+    224U,	// VPADDSBrm
+    48U,	// VPADDSBrr
+    256U,	// VPADDSWYrm
+    48U,	// VPADDSWYrr
+    224U,	// VPADDSWrm
+    48U,	// VPADDSWrr
+    256U,	// VPADDUSBYrm
+    48U,	// VPADDUSBYrr
+    224U,	// VPADDUSBrm
+    48U,	// VPADDUSBrr
+    256U,	// VPADDUSWYrm
+    48U,	// VPADDUSWYrr
+    224U,	// VPADDUSWrm
+    48U,	// VPADDUSWrr
+    256U,	// VPADDWYrm
+    48U,	// VPADDWYrr
+    224U,	// VPADDWZ128rm
+    328865U,	// VPADDWZ128rmk
+    1393714U,	// VPADDWZ128rmkz
+    48U,	// VPADDWZ128rr
+    1148065U,	// VPADDWZ128rrk
+    1164338U,	// VPADDWZ128rrkz
+    256U,	// VPADDWZ256rm
+    361633U,	// VPADDWZ256rmk
+    1426482U,	// VPADDWZ256rmkz
+    48U,	// VPADDWZ256rr
+    1148065U,	// VPADDWZ256rrk
+    1164338U,	// VPADDWZ256rrkz
+    240U,	// VPADDWZrm
+    394401U,	// VPADDWZrmk
+    1459250U,	// VPADDWZrmkz
+    48U,	// VPADDWZrr
+    1148065U,	// VPADDWZrrk
+    1164338U,	// VPADDWZrrkz
+    224U,	// VPADDWrm
+    48U,	// VPADDWrr
+    247008U,	// VPALIGNR128rm
+    1311792U,	// VPALIGNR128rr
+    247040U,	// VPALIGNR256rm
+    1311792U,	// VPALIGNR256rr
+    224U,	// VPANDDZ128rm
+    3104U,	// VPANDDZ128rmb
+    2000033U,	// VPANDDZ128rmbk
+    2016306U,	// VPANDDZ128rmbkz
+    328865U,	// VPANDDZ128rmk
+    1393714U,	// VPANDDZ128rmkz
+    48U,	// VPANDDZ128rr
+    1148065U,	// VPANDDZ128rrk
+    1164338U,	// VPANDDZ128rrkz
+    256U,	// VPANDDZ256rm
+    4128U,	// VPANDDZ256rmb
+    2524321U,	// VPANDDZ256rmbk
+    2540594U,	// VPANDDZ256rmbkz
+    361633U,	// VPANDDZ256rmk
+    1426482U,	// VPANDDZ256rmkz
+    48U,	// VPANDDZ256rr
+    1148065U,	// VPANDDZ256rrk
+    1164338U,	// VPANDDZ256rrkz
+    240U,	// VPANDDZrm
+    5152U,	// VPANDDZrmb
+    3048609U,	// VPANDDZrmbk
+    3064882U,	// VPANDDZrmbkz
+    394401U,	// VPANDDZrmk
+    1459250U,	// VPANDDZrmkz
+    48U,	// VPANDDZrr
+    1148065U,	// VPANDDZrrk
+    1164338U,	// VPANDDZrrkz
+    224U,	// VPANDNDZ128rm
+    3104U,	// VPANDNDZ128rmb
+    2000033U,	// VPANDNDZ128rmbk
+    2016306U,	// VPANDNDZ128rmbkz
+    328865U,	// VPANDNDZ128rmk
+    1393714U,	// VPANDNDZ128rmkz
+    48U,	// VPANDNDZ128rr
+    1148065U,	// VPANDNDZ128rrk
+    1164338U,	// VPANDNDZ128rrkz
+    256U,	// VPANDNDZ256rm
+    4128U,	// VPANDNDZ256rmb
+    2524321U,	// VPANDNDZ256rmbk
+    2540594U,	// VPANDNDZ256rmbkz
+    361633U,	// VPANDNDZ256rmk
+    1426482U,	// VPANDNDZ256rmkz
+    48U,	// VPANDNDZ256rr
+    1148065U,	// VPANDNDZ256rrk
+    1164338U,	// VPANDNDZ256rrkz
+    240U,	// VPANDNDZrm
+    5152U,	// VPANDNDZrmb
+    3048609U,	// VPANDNDZrmbk
+    3064882U,	// VPANDNDZrmbkz
+    394401U,	// VPANDNDZrmk
+    1459250U,	// VPANDNDZrmkz
+    48U,	// VPANDNDZrr
+    1148065U,	// VPANDNDZrrk
+    1164338U,	// VPANDNDZrrkz
+    224U,	// VPANDNQZ128rm
+    2112U,	// VPANDNQZ128rmb
+    984225U,	// VPANDNQZ128rmbk
+    1000498U,	// VPANDNQZ128rmbkz
+    328865U,	// VPANDNQZ128rmk
+    1393714U,	// VPANDNQZ128rmkz
+    48U,	// VPANDNQZ128rr
+    1148065U,	// VPANDNQZ128rrk
+    1164338U,	// VPANDNQZ128rrkz
+    256U,	// VPANDNQZ256rm
+    3136U,	// VPANDNQZ256rmb
+    2032801U,	// VPANDNQZ256rmbk
+    2049074U,	// VPANDNQZ256rmbkz
+    361633U,	// VPANDNQZ256rmk
+    1426482U,	// VPANDNQZ256rmkz
+    48U,	// VPANDNQZ256rr
+    1148065U,	// VPANDNQZ256rrk
+    1164338U,	// VPANDNQZ256rrkz
+    240U,	// VPANDNQZrm
+    4160U,	// VPANDNQZrmb
+    2557089U,	// VPANDNQZrmbk
+    2573362U,	// VPANDNQZrmbkz
+    394401U,	// VPANDNQZrmk
+    1459250U,	// VPANDNQZrmkz
+    48U,	// VPANDNQZrr
+    1148065U,	// VPANDNQZrrk
+    1164338U,	// VPANDNQZrrkz
+    256U,	// VPANDNYrm
+    48U,	// VPANDNYrr
+    224U,	// VPANDNrm
+    48U,	// VPANDNrr
+    224U,	// VPANDQZ128rm
+    2112U,	// VPANDQZ128rmb
+    984225U,	// VPANDQZ128rmbk
+    1000498U,	// VPANDQZ128rmbkz
+    328865U,	// VPANDQZ128rmk
+    1393714U,	// VPANDQZ128rmkz
+    48U,	// VPANDQZ128rr
+    1148065U,	// VPANDQZ128rrk
+    1164338U,	// VPANDQZ128rrkz
+    256U,	// VPANDQZ256rm
+    3136U,	// VPANDQZ256rmb
+    2032801U,	// VPANDQZ256rmbk
+    2049074U,	// VPANDQZ256rmbkz
+    361633U,	// VPANDQZ256rmk
+    1426482U,	// VPANDQZ256rmkz
+    48U,	// VPANDQZ256rr
+    1148065U,	// VPANDQZ256rrk
+    1164338U,	// VPANDQZ256rrkz
+    240U,	// VPANDQZrm
+    4160U,	// VPANDQZrmb
+    2557089U,	// VPANDQZrmbk
+    2573362U,	// VPANDQZrmbkz
+    394401U,	// VPANDQZrmk
+    1459250U,	// VPANDQZrmkz
+    48U,	// VPANDQZrr
+    1148065U,	// VPANDQZrrk
+    1164338U,	// VPANDQZrrkz
+    256U,	// VPANDYrm
+    48U,	// VPANDYrr
+    224U,	// VPANDrm
+    48U,	// VPANDrr
+    256U,	// VPAVGBYrm
+    48U,	// VPAVGBYrr
+    224U,	// VPAVGBrm
+    48U,	// VPAVGBrr
+    256U,	// VPAVGWYrm
+    48U,	// VPAVGWYrr
+    224U,	// VPAVGWrm
+    48U,	// VPAVGWrr
+    247040U,	// VPBLENDDYrmi
+    1311792U,	// VPBLENDDYrri
+    247008U,	// VPBLENDDrmi
+    1311792U,	// VPBLENDDrri
+    0U,	// VPBLENDMBZ128rm
+    1393713U,	// VPBLENDMBZ128rmk
+    1393714U,	// VPBLENDMBZ128rmkz
+    48U,	// VPBLENDMBZ128rr
+    1164337U,	// VPBLENDMBZ128rrk
+    1164338U,	// VPBLENDMBZ128rrkz
+    0U,	// VPBLENDMBZ256rm
+    1426481U,	// VPBLENDMBZ256rmk
+    1426482U,	// VPBLENDMBZ256rmkz
+    48U,	// VPBLENDMBZ256rr
+    1164337U,	// VPBLENDMBZ256rrk
+    1164338U,	// VPBLENDMBZ256rrkz
+    0U,	// VPBLENDMBZrm
+    1459249U,	// VPBLENDMBZrmk
+    1459250U,	// VPBLENDMBZrmkz
+    48U,	// VPBLENDMBZrr
+    1164337U,	// VPBLENDMBZrrk
+    1164338U,	// VPBLENDMBZrrkz
+    0U,	// VPBLENDMDZ128rm
+    3104U,	// VPBLENDMDZ128rmb
+    2016305U,	// VPBLENDMDZ128rmbk
+    1393713U,	// VPBLENDMDZ128rmk
+    1393714U,	// VPBLENDMDZ128rmkz
+    48U,	// VPBLENDMDZ128rr
+    1164337U,	// VPBLENDMDZ128rrk
+    1164338U,	// VPBLENDMDZ128rrkz
+    0U,	// VPBLENDMDZ256rm
+    4128U,	// VPBLENDMDZ256rmb
+    2540593U,	// VPBLENDMDZ256rmbk
+    1426481U,	// VPBLENDMDZ256rmk
+    1426482U,	// VPBLENDMDZ256rmkz
+    48U,	// VPBLENDMDZ256rr
+    1164337U,	// VPBLENDMDZ256rrk
+    1164338U,	// VPBLENDMDZ256rrkz
+    0U,	// VPBLENDMDZrm
+    5152U,	// VPBLENDMDZrmb
+    3064881U,	// VPBLENDMDZrmbk
+    1459249U,	// VPBLENDMDZrmk
+    1459250U,	// VPBLENDMDZrmkz
+    48U,	// VPBLENDMDZrr
+    1164337U,	// VPBLENDMDZrrk
+    1164338U,	// VPBLENDMDZrrkz
+    0U,	// VPBLENDMQZ128rm
+    2112U,	// VPBLENDMQZ128rmb
+    1000497U,	// VPBLENDMQZ128rmbk
+    1393713U,	// VPBLENDMQZ128rmk
+    1393714U,	// VPBLENDMQZ128rmkz
+    48U,	// VPBLENDMQZ128rr
+    1164337U,	// VPBLENDMQZ128rrk
+    1164338U,	// VPBLENDMQZ128rrkz
+    0U,	// VPBLENDMQZ256rm
+    3136U,	// VPBLENDMQZ256rmb
+    2049073U,	// VPBLENDMQZ256rmbk
+    1426481U,	// VPBLENDMQZ256rmk
+    1426482U,	// VPBLENDMQZ256rmkz
+    48U,	// VPBLENDMQZ256rr
+    1164337U,	// VPBLENDMQZ256rrk
+    1164338U,	// VPBLENDMQZ256rrkz
+    0U,	// VPBLENDMQZrm
+    4160U,	// VPBLENDMQZrmb
+    2573361U,	// VPBLENDMQZrmbk
+    1459249U,	// VPBLENDMQZrmk
+    1459250U,	// VPBLENDMQZrmkz
+    48U,	// VPBLENDMQZrr
+    1164337U,	// VPBLENDMQZrrk
+    1164338U,	// VPBLENDMQZrrkz
+    0U,	// VPBLENDMWZ128rm
+    1393713U,	// VPBLENDMWZ128rmk
+    1393714U,	// VPBLENDMWZ128rmkz
+    48U,	// VPBLENDMWZ128rr
+    1164337U,	// VPBLENDMWZ128rrk
+    1164338U,	// VPBLENDMWZ128rrkz
+    0U,	// VPBLENDMWZ256rm
+    1426481U,	// VPBLENDMWZ256rmk
+    1426482U,	// VPBLENDMWZ256rmkz
+    48U,	// VPBLENDMWZ256rr
+    1164337U,	// VPBLENDMWZ256rrk
+    1164338U,	// VPBLENDMWZ256rrkz
+    0U,	// VPBLENDMWZrm
+    1459249U,	// VPBLENDMWZrmk
+    1459250U,	// VPBLENDMWZrmkz
+    48U,	// VPBLENDMWZrr
+    1164337U,	// VPBLENDMWZrrk
+    1164338U,	// VPBLENDMWZrrkz
+    1066240U,	// VPBLENDVBYrm
+    1164336U,	// VPBLENDVBYrr
+    1066208U,	// VPBLENDVBrm
+    1164336U,	// VPBLENDVBrr
+    247040U,	// VPBLENDWYrmi
+    1311792U,	// VPBLENDWYrri
+    247008U,	// VPBLENDWrmi
+    1311792U,	// VPBLENDWrri
     0U,	// VPBROADCASTBYrm
     0U,	// VPBROADCASTBYrr
+    0U,	// VPBROADCASTBrZ128r
+    161U,	// VPBROADCASTBrZ128rk
+    50U,	// VPBROADCASTBrZ128rkz
+    0U,	// VPBROADCASTBrZ256r
+    161U,	// VPBROADCASTBrZ256rk
+    50U,	// VPBROADCASTBrZ256rkz
+    0U,	// VPBROADCASTBrZr
+    161U,	// VPBROADCASTBrZrk
+    50U,	// VPBROADCASTBrZrkz
     0U,	// VPBROADCASTBrm
     0U,	// VPBROADCASTBrr
     0U,	// VPBROADCASTDYrm
     0U,	// VPBROADCASTDYrr
-    18U,	// VPBROADCASTDZkrm
-    10U,	// VPBROADCASTDZkrr
+    34U,	// VPBROADCASTDZkrm
+    50U,	// VPBROADCASTDZkrr
     0U,	// VPBROADCASTDZrm
     0U,	// VPBROADCASTDZrr
-    10U,	// VPBROADCASTDrZkrr
-    0U,	// VPBROADCASTDrZrr
+    0U,	// VPBROADCASTDrZ128r
+    161U,	// VPBROADCASTDrZ128rk
+    50U,	// VPBROADCASTDrZ128rkz
+    0U,	// VPBROADCASTDrZ256r
+    161U,	// VPBROADCASTDrZ256rk
+    50U,	// VPBROADCASTDrZ256rkz
+    0U,	// VPBROADCASTDrZr
+    161U,	// VPBROADCASTDrZrk
+    50U,	// VPBROADCASTDrZrkz
     0U,	// VPBROADCASTDrm
     0U,	// VPBROADCASTDrr
-    0U,	// VPBROADCASTMB2Qrr
-    0U,	// VPBROADCASTMW2Drr
+    0U,	// VPBROADCASTMB2QZ128rr
+    0U,	// VPBROADCASTMB2QZ256rr
+    0U,	// VPBROADCASTMB2QZrr
+    0U,	// VPBROADCASTMW2DZ128rr
+    0U,	// VPBROADCASTMW2DZ256rr
+    0U,	// VPBROADCASTMW2DZrr
     0U,	// VPBROADCASTQYrm
     0U,	// VPBROADCASTQYrr
-    26U,	// VPBROADCASTQZkrm
-    10U,	// VPBROADCASTQZkrr
+    66U,	// VPBROADCASTQZkrm
+    50U,	// VPBROADCASTQZkrr
     0U,	// VPBROADCASTQZrm
     0U,	// VPBROADCASTQZrr
-    10U,	// VPBROADCASTQrZkrr
-    0U,	// VPBROADCASTQrZrr
+    0U,	// VPBROADCASTQrZ128r
+    161U,	// VPBROADCASTQrZ128rk
+    50U,	// VPBROADCASTQrZ128rkz
+    0U,	// VPBROADCASTQrZ256r
+    161U,	// VPBROADCASTQrZ256rk
+    50U,	// VPBROADCASTQrZ256rkz
+    0U,	// VPBROADCASTQrZr
+    161U,	// VPBROADCASTQrZrk
+    50U,	// VPBROADCASTQrZrkz
     0U,	// VPBROADCASTQrm
     0U,	// VPBROADCASTQrr
     0U,	// VPBROADCASTWYrm
     0U,	// VPBROADCASTWYrr
+    0U,	// VPBROADCASTWrZ128r
+    161U,	// VPBROADCASTWrZ128rk
+    50U,	// VPBROADCASTWrZ128rkz
+    0U,	// VPBROADCASTWrZ256r
+    161U,	// VPBROADCASTWrZ256rk
+    50U,	// VPBROADCASTWrZ256rkz
+    0U,	// VPBROADCASTWrZr
+    161U,	// VPBROADCASTWrZrk
+    50U,	// VPBROADCASTWrZrkz
     0U,	// VPBROADCASTWrm
     0U,	// VPBROADCASTWrr
-    2392U,	// VPCLMULQDQrm
-    8456U,	// VPCLMULQDQrr
-    2392U,	// VPCMOVmr
-    2368U,	// VPCMOVmrY
-    28936U,	// VPCMOVrm
-    30984U,	// VPCMOVrmY
-    8456U,	// VPCMOVrr
-    8456U,	// VPCMOVrrY
-    0U,	// VPCMPDZrmi
-    2400U,	// VPCMPDZrmi_alt
-    55562U,	// VPCMPDZrmik_alt
-    0U,	// VPCMPDZrri
-    8456U,	// VPCMPDZrri_alt
-    565514U,	// VPCMPDZrrik_alt
-    104U,	// VPCMPEQBYrm
-    8U,	// VPCMPEQBYrr
-    88U,	// VPCMPEQBZ128rm
-    28938U,	// VPCMPEQBZ128rmk
-    8U,	// VPCMPEQBZ128rr
-    8458U,	// VPCMPEQBZ128rrk
-    104U,	// VPCMPEQBZ256rm
-    30986U,	// VPCMPEQBZ256rmk
-    8U,	// VPCMPEQBZ256rr
-    8458U,	// VPCMPEQBZ256rrk
-    96U,	// VPCMPEQBZrm
-    22794U,	// VPCMPEQBZrmk
-    8U,	// VPCMPEQBZrr
-    8458U,	// VPCMPEQBZrrk
-    88U,	// VPCMPEQBrm
-    8U,	// VPCMPEQBrr
-    104U,	// VPCMPEQDYrm
-    8U,	// VPCMPEQDYrr
-    88U,	// VPCMPEQDZ128rm
-    1040U,	// VPCMPEQDZ128rmb
-    149770U,	// VPCMPEQDZ128rmbk
-    28938U,	// VPCMPEQDZ128rmk
-    8U,	// VPCMPEQDZ128rr
-    8458U,	// VPCMPEQDZ128rrk
-    104U,	// VPCMPEQDZ256rm
-    528U,	// VPCMPEQDZ256rmb
-    84234U,	// VPCMPEQDZ256rmbk
-    30986U,	// VPCMPEQDZ256rmk
-    8U,	// VPCMPEQDZ256rr
-    8458U,	// VPCMPEQDZ256rrk
-    96U,	// VPCMPEQDZrm
-    784U,	// VPCMPEQDZrmb
-    117002U,	// VPCMPEQDZrmbk
-    22794U,	// VPCMPEQDZrmk
-    8U,	// VPCMPEQDZrr
-    8458U,	// VPCMPEQDZrrk
-    88U,	// VPCMPEQDrm
-    8U,	// VPCMPEQDrr
-    104U,	// VPCMPEQQYrm
-    8U,	// VPCMPEQQYrr
-    88U,	// VPCMPEQQZ128rm
-    1304U,	// VPCMPEQQZ128rmb
-    190730U,	// VPCMPEQQZ128rmbk
-    28938U,	// VPCMPEQQZ128rmk
-    8U,	// VPCMPEQQZ128rr
-    8458U,	// VPCMPEQQZ128rrk
-    104U,	// VPCMPEQQZ256rm
-    1048U,	// VPCMPEQQZ256rmb
-    157962U,	// VPCMPEQQZ256rmbk
-    30986U,	// VPCMPEQQZ256rmk
-    8U,	// VPCMPEQQZ256rr
-    8458U,	// VPCMPEQQZ256rrk
-    96U,	// VPCMPEQQZrm
-    536U,	// VPCMPEQQZrmb
-    92426U,	// VPCMPEQQZrmbk
-    22794U,	// VPCMPEQQZrmk
-    8U,	// VPCMPEQQZrr
-    8458U,	// VPCMPEQQZrrk
-    88U,	// VPCMPEQQrm
-    8U,	// VPCMPEQQrr
-    104U,	// VPCMPEQWYrm
-    8U,	// VPCMPEQWYrr
-    88U,	// VPCMPEQWZ128rm
-    28938U,	// VPCMPEQWZ128rmk
-    8U,	// VPCMPEQWZ128rr
-    8458U,	// VPCMPEQWZ128rrk
-    104U,	// VPCMPEQWZ256rm
-    30986U,	// VPCMPEQWZ256rmk
-    8U,	// VPCMPEQWZ256rr
-    8458U,	// VPCMPEQWZ256rrk
-    96U,	// VPCMPEQWZrm
-    22794U,	// VPCMPEQWZrmk
-    8U,	// VPCMPEQWZrr
-    8458U,	// VPCMPEQWZrrk
-    88U,	// VPCMPEQWrm
-    8U,	// VPCMPEQWrr
+    247008U,	// VPCLMULQDQrm
+    1311792U,	// VPCLMULQDQrr
+    1066208U,	// VPCMOVmr
+    1066160U,	// VPCMOVmrY
+    1393712U,	// VPCMOVrm
+    1426480U,	// VPCMOVrmY
+    1164336U,	// VPCMOVrr
+    1164336U,	// VPCMOVrrY
+    230U,	// VPCMPBZ128rmi
+    247008U,	// VPCMPBZ128rmi_alt
+    6U,	// VPCMPBZ128rmik
+    42288177U,	// VPCMPBZ128rmik_alt
+    54U,	// VPCMPBZ128rri
+    1311792U,	// VPCMPBZ128rri_alt
+    7U,	// VPCMPBZ128rrik
+    33670193U,	// VPCMPBZ128rrik_alt
+    262U,	// VPCMPBZ256rmi
+    247040U,	// VPCMPBZ256rmi_alt
+    7U,	// VPCMPBZ256rmik
+    42320945U,	// VPCMPBZ256rmik_alt
+    54U,	// VPCMPBZ256rri
+    1311792U,	// VPCMPBZ256rri_alt
+    7U,	// VPCMPBZ256rrik
+    33670193U,	// VPCMPBZ256rrik_alt
+    246U,	// VPCMPBZrmi
+    247024U,	// VPCMPBZrmi_alt
+    8U,	// VPCMPBZrmik
+    42353713U,	// VPCMPBZrmik_alt
+    54U,	// VPCMPBZrri
+    1311792U,	// VPCMPBZrri_alt
+    7U,	// VPCMPBZrrik
+    33670193U,	// VPCMPBZrrik_alt
+    230U,	// VPCMPDZ128rmi
+    247008U,	// VPCMPDZ128rmi_alt
+    3110U,	// VPCMPDZ128rmib
+    9248U,	// VPCMPDZ128rmib_alt
+    456U,	// VPCMPDZ128rmibk
+    4113457U,	// VPCMPDZ128rmibk_alt
+    6U,	// VPCMPDZ128rmik
+    42288177U,	// VPCMPDZ128rmik_alt
+    54U,	// VPCMPDZ128rri
+    1311792U,	// VPCMPDZ128rri_alt
+    7U,	// VPCMPDZ128rrik
+    33670193U,	// VPCMPDZ128rrik_alt
+    262U,	// VPCMPDZ256rmi
+    247040U,	// VPCMPDZ256rmi_alt
+    4134U,	// VPCMPDZ256rmib
+    10272U,	// VPCMPDZ256rmib_alt
+    472U,	// VPCMPDZ256rmibk
+    4637745U,	// VPCMPDZ256rmibk_alt
+    7U,	// VPCMPDZ256rmik
+    42320945U,	// VPCMPDZ256rmik_alt
+    54U,	// VPCMPDZ256rri
+    1311792U,	// VPCMPDZ256rri_alt
+    7U,	// VPCMPDZ256rrik
+    33670193U,	// VPCMPDZ256rrik_alt
+    246U,	// VPCMPDZrmi
+    247024U,	// VPCMPDZrmi_alt
+    5158U,	// VPCMPDZrmib
+    11296U,	// VPCMPDZrmib_alt
+    488U,	// VPCMPDZrmibk
+    5162033U,	// VPCMPDZrmibk_alt
+    8U,	// VPCMPDZrmik
+    42353713U,	// VPCMPDZrmik_alt
+    54U,	// VPCMPDZrri
+    1311792U,	// VPCMPDZrri_alt
+    7U,	// VPCMPDZrrik
+    33670193U,	// VPCMPDZrrik_alt
+    256U,	// VPCMPEQBYrm
+    48U,	// VPCMPEQBYrr
+    224U,	// VPCMPEQBZ128rm
+    1393713U,	// VPCMPEQBZ128rmk
+    48U,	// VPCMPEQBZ128rr
+    1164337U,	// VPCMPEQBZ128rrk
+    256U,	// VPCMPEQBZ256rm
+    1426481U,	// VPCMPEQBZ256rmk
+    48U,	// VPCMPEQBZ256rr
+    1164337U,	// VPCMPEQBZ256rrk
+    240U,	// VPCMPEQBZrm
+    1459249U,	// VPCMPEQBZrmk
+    48U,	// VPCMPEQBZrr
+    1164337U,	// VPCMPEQBZrrk
+    224U,	// VPCMPEQBrm
+    48U,	// VPCMPEQBrr
+    256U,	// VPCMPEQDYrm
+    48U,	// VPCMPEQDYrr
+    224U,	// VPCMPEQDZ128rm
+    3104U,	// VPCMPEQDZ128rmb
+    2016305U,	// VPCMPEQDZ128rmbk
+    1393713U,	// VPCMPEQDZ128rmk
+    48U,	// VPCMPEQDZ128rr
+    1164337U,	// VPCMPEQDZ128rrk
+    256U,	// VPCMPEQDZ256rm
+    4128U,	// VPCMPEQDZ256rmb
+    2540593U,	// VPCMPEQDZ256rmbk
+    1426481U,	// VPCMPEQDZ256rmk
+    48U,	// VPCMPEQDZ256rr
+    1164337U,	// VPCMPEQDZ256rrk
+    240U,	// VPCMPEQDZrm
+    5152U,	// VPCMPEQDZrmb
+    3064881U,	// VPCMPEQDZrmbk
+    1459249U,	// VPCMPEQDZrmk
+    48U,	// VPCMPEQDZrr
+    1164337U,	// VPCMPEQDZrrk
+    224U,	// VPCMPEQDrm
+    48U,	// VPCMPEQDrr
+    256U,	// VPCMPEQQYrm
+    48U,	// VPCMPEQQYrr
+    224U,	// VPCMPEQQZ128rm
+    2112U,	// VPCMPEQQZ128rmb
+    1000497U,	// VPCMPEQQZ128rmbk
+    1393713U,	// VPCMPEQQZ128rmk
+    48U,	// VPCMPEQQZ128rr
+    1164337U,	// VPCMPEQQZ128rrk
+    256U,	// VPCMPEQQZ256rm
+    3136U,	// VPCMPEQQZ256rmb
+    2049073U,	// VPCMPEQQZ256rmbk
+    1426481U,	// VPCMPEQQZ256rmk
+    48U,	// VPCMPEQQZ256rr
+    1164337U,	// VPCMPEQQZ256rrk
+    240U,	// VPCMPEQQZrm
+    4160U,	// VPCMPEQQZrmb
+    2573361U,	// VPCMPEQQZrmbk
+    1459249U,	// VPCMPEQQZrmk
+    48U,	// VPCMPEQQZrr
+    1164337U,	// VPCMPEQQZrrk
+    224U,	// VPCMPEQQrm
+    48U,	// VPCMPEQQrr
+    256U,	// VPCMPEQWYrm
+    48U,	// VPCMPEQWYrr
+    224U,	// VPCMPEQWZ128rm
+    1393713U,	// VPCMPEQWZ128rmk
+    48U,	// VPCMPEQWZ128rr
+    1164337U,	// VPCMPEQWZ128rrk
+    256U,	// VPCMPEQWZ256rm
+    1426481U,	// VPCMPEQWZ256rmk
+    48U,	// VPCMPEQWZ256rr
+    1164337U,	// VPCMPEQWZ256rrk
+    240U,	// VPCMPEQWZrm
+    1459249U,	// VPCMPEQWZrmk
+    48U,	// VPCMPEQWZrr
+    1164337U,	// VPCMPEQWZrrk
+    224U,	// VPCMPEQWrm
+    48U,	// VPCMPEQWrr
     0U,	// VPCMPESTRIMEM
     0U,	// VPCMPESTRIREG
     0U,	// VPCMPESTRIrm
-    8U,	// VPCMPESTRIrr
+    16U,	// VPCMPESTRIrr
     0U,	// VPCMPESTRM128MEM
     0U,	// VPCMPESTRM128REG
     0U,	// VPCMPESTRM128rm
-    8U,	// VPCMPESTRM128rr
-    104U,	// VPCMPGTBYrm
-    8U,	// VPCMPGTBYrr
-    88U,	// VPCMPGTBZ128rm
-    28938U,	// VPCMPGTBZ128rmk
-    8U,	// VPCMPGTBZ128rr
-    8458U,	// VPCMPGTBZ128rrk
-    104U,	// VPCMPGTBZ256rm
-    30986U,	// VPCMPGTBZ256rmk
-    8U,	// VPCMPGTBZ256rr
-    8458U,	// VPCMPGTBZ256rrk
-    96U,	// VPCMPGTBZrm
-    22794U,	// VPCMPGTBZrmk
-    8U,	// VPCMPGTBZrr
-    8458U,	// VPCMPGTBZrrk
-    88U,	// VPCMPGTBrm
-    8U,	// VPCMPGTBrr
-    104U,	// VPCMPGTDYrm
-    8U,	// VPCMPGTDYrr
-    88U,	// VPCMPGTDZ128rm
-    1040U,	// VPCMPGTDZ128rmb
-    149770U,	// VPCMPGTDZ128rmbk
-    28938U,	// VPCMPGTDZ128rmk
-    8U,	// VPCMPGTDZ128rr
-    8458U,	// VPCMPGTDZ128rrk
-    104U,	// VPCMPGTDZ256rm
-    528U,	// VPCMPGTDZ256rmb
-    84234U,	// VPCMPGTDZ256rmbk
-    30986U,	// VPCMPGTDZ256rmk
-    8U,	// VPCMPGTDZ256rr
-    8458U,	// VPCMPGTDZ256rrk
-    96U,	// VPCMPGTDZrm
-    784U,	// VPCMPGTDZrmb
-    117002U,	// VPCMPGTDZrmbk
-    22794U,	// VPCMPGTDZrmk
-    8U,	// VPCMPGTDZrr
-    8458U,	// VPCMPGTDZrrk
-    88U,	// VPCMPGTDrm
-    8U,	// VPCMPGTDrr
-    104U,	// VPCMPGTQYrm
-    8U,	// VPCMPGTQYrr
-    88U,	// VPCMPGTQZ128rm
-    1304U,	// VPCMPGTQZ128rmb
-    190730U,	// VPCMPGTQZ128rmbk
-    28938U,	// VPCMPGTQZ128rmk
-    8U,	// VPCMPGTQZ128rr
-    8458U,	// VPCMPGTQZ128rrk
-    104U,	// VPCMPGTQZ256rm
-    1048U,	// VPCMPGTQZ256rmb
-    157962U,	// VPCMPGTQZ256rmbk
-    30986U,	// VPCMPGTQZ256rmk
-    8U,	// VPCMPGTQZ256rr
-    8458U,	// VPCMPGTQZ256rrk
-    96U,	// VPCMPGTQZrm
-    536U,	// VPCMPGTQZrmb
-    92426U,	// VPCMPGTQZrmbk
-    22794U,	// VPCMPGTQZrmk
-    8U,	// VPCMPGTQZrr
-    8458U,	// VPCMPGTQZrrk
-    88U,	// VPCMPGTQrm
-    8U,	// VPCMPGTQrr
-    104U,	// VPCMPGTWYrm
-    8U,	// VPCMPGTWYrr
-    88U,	// VPCMPGTWZ128rm
-    28938U,	// VPCMPGTWZ128rmk
-    8U,	// VPCMPGTWZ128rr
-    8458U,	// VPCMPGTWZ128rrk
-    104U,	// VPCMPGTWZ256rm
-    30986U,	// VPCMPGTWZ256rmk
-    8U,	// VPCMPGTWZ256rr
-    8458U,	// VPCMPGTWZ256rrk
-    96U,	// VPCMPGTWZrm
-    22794U,	// VPCMPGTWZrmk
-    8U,	// VPCMPGTWZrr
-    8458U,	// VPCMPGTWZrrk
-    88U,	// VPCMPGTWrm
-    8U,	// VPCMPGTWrr
+    16U,	// VPCMPESTRM128rr
+    256U,	// VPCMPGTBYrm
+    48U,	// VPCMPGTBYrr
+    224U,	// VPCMPGTBZ128rm
+    1393713U,	// VPCMPGTBZ128rmk
+    48U,	// VPCMPGTBZ128rr
+    1164337U,	// VPCMPGTBZ128rrk
+    256U,	// VPCMPGTBZ256rm
+    1426481U,	// VPCMPGTBZ256rmk
+    48U,	// VPCMPGTBZ256rr
+    1164337U,	// VPCMPGTBZ256rrk
+    240U,	// VPCMPGTBZrm
+    1459249U,	// VPCMPGTBZrmk
+    48U,	// VPCMPGTBZrr
+    1164337U,	// VPCMPGTBZrrk
+    224U,	// VPCMPGTBrm
+    48U,	// VPCMPGTBrr
+    256U,	// VPCMPGTDYrm
+    48U,	// VPCMPGTDYrr
+    224U,	// VPCMPGTDZ128rm
+    3104U,	// VPCMPGTDZ128rmb
+    2016305U,	// VPCMPGTDZ128rmbk
+    1393713U,	// VPCMPGTDZ128rmk
+    48U,	// VPCMPGTDZ128rr
+    1164337U,	// VPCMPGTDZ128rrk
+    256U,	// VPCMPGTDZ256rm
+    4128U,	// VPCMPGTDZ256rmb
+    2540593U,	// VPCMPGTDZ256rmbk
+    1426481U,	// VPCMPGTDZ256rmk
+    48U,	// VPCMPGTDZ256rr
+    1164337U,	// VPCMPGTDZ256rrk
+    240U,	// VPCMPGTDZrm
+    5152U,	// VPCMPGTDZrmb
+    3064881U,	// VPCMPGTDZrmbk
+    1459249U,	// VPCMPGTDZrmk
+    48U,	// VPCMPGTDZrr
+    1164337U,	// VPCMPGTDZrrk
+    224U,	// VPCMPGTDrm
+    48U,	// VPCMPGTDrr
+    256U,	// VPCMPGTQYrm
+    48U,	// VPCMPGTQYrr
+    224U,	// VPCMPGTQZ128rm
+    2112U,	// VPCMPGTQZ128rmb
+    1000497U,	// VPCMPGTQZ128rmbk
+    1393713U,	// VPCMPGTQZ128rmk
+    48U,	// VPCMPGTQZ128rr
+    1164337U,	// VPCMPGTQZ128rrk
+    256U,	// VPCMPGTQZ256rm
+    3136U,	// VPCMPGTQZ256rmb
+    2049073U,	// VPCMPGTQZ256rmbk
+    1426481U,	// VPCMPGTQZ256rmk
+    48U,	// VPCMPGTQZ256rr
+    1164337U,	// VPCMPGTQZ256rrk
+    240U,	// VPCMPGTQZrm
+    4160U,	// VPCMPGTQZrmb
+    2573361U,	// VPCMPGTQZrmbk
+    1459249U,	// VPCMPGTQZrmk
+    48U,	// VPCMPGTQZrr
+    1164337U,	// VPCMPGTQZrrk
+    224U,	// VPCMPGTQrm
+    48U,	// VPCMPGTQrr
+    256U,	// VPCMPGTWYrm
+    48U,	// VPCMPGTWYrr
+    224U,	// VPCMPGTWZ128rm
+    1393713U,	// VPCMPGTWZ128rmk
+    48U,	// VPCMPGTWZ128rr
+    1164337U,	// VPCMPGTWZ128rrk
+    256U,	// VPCMPGTWZ256rm
+    1426481U,	// VPCMPGTWZ256rmk
+    48U,	// VPCMPGTWZ256rr
+    1164337U,	// VPCMPGTWZ256rrk
+    240U,	// VPCMPGTWZrm
+    1459249U,	// VPCMPGTWZrmk
+    48U,	// VPCMPGTWZrr
+    1164337U,	// VPCMPGTWZrrk
+    224U,	// VPCMPGTWrm
+    48U,	// VPCMPGTWrr
     0U,	// VPCMPISTRIMEM
     0U,	// VPCMPISTRIREG
     0U,	// VPCMPISTRIrm
-    8U,	// VPCMPISTRIrr
+    16U,	// VPCMPISTRIrr
     0U,	// VPCMPISTRM128MEM
     0U,	// VPCMPISTRM128REG
     0U,	// VPCMPISTRM128rm
-    8U,	// VPCMPISTRM128rr
-    0U,	// VPCMPQZrmi
-    2400U,	// VPCMPQZrmi_alt
-    55562U,	// VPCMPQZrmik_alt
-    0U,	// VPCMPQZrri
-    8456U,	// VPCMPQZrri_alt
-    565514U,	// VPCMPQZrrik_alt
-    0U,	// VPCMPUDZrmi
-    2400U,	// VPCMPUDZrmi_alt
-    55562U,	// VPCMPUDZrmik_alt
-    0U,	// VPCMPUDZrri
-    8456U,	// VPCMPUDZrri_alt
-    565514U,	// VPCMPUDZrrik_alt
-    0U,	// VPCMPUQZrmi
-    2400U,	// VPCMPUQZrmi_alt
-    55562U,	// VPCMPUQZrmik_alt
-    0U,	// VPCMPUQZrri
-    8456U,	// VPCMPUQZrri_alt
-    565514U,	// VPCMPUQZrrik_alt
-    2392U,	// VPCOMBmi
-    8456U,	// VPCOMBri
-    2392U,	// VPCOMDmi
-    8456U,	// VPCOMDri
-    2392U,	// VPCOMQmi
-    8456U,	// VPCOMQri
-    2392U,	// VPCOMUBmi
-    8456U,	// VPCOMUBri
-    2392U,	// VPCOMUDmi
-    8456U,	// VPCOMUDri
-    2392U,	// VPCOMUQmi
-    8456U,	// VPCOMUQri
-    2392U,	// VPCOMUWmi
-    8456U,	// VPCOMUWri
-    2392U,	// VPCOMWmi
-    8456U,	// VPCOMWri
+    16U,	// VPCMPISTRM128rr
+    230U,	// VPCMPQZ128rmi
+    247008U,	// VPCMPQZ128rmi_alt
+    2118U,	// VPCMPQZ128rmib
+    12352U,	// VPCMPQZ128rmib_alt
+    505U,	// VPCMPQZ128rmibk
+    5719089U,	// VPCMPQZ128rmibk_alt
+    6U,	// VPCMPQZ128rmik
+    42288177U,	// VPCMPQZ128rmik_alt
+    54U,	// VPCMPQZ128rri
+    1311792U,	// VPCMPQZ128rri_alt
+    7U,	// VPCMPQZ128rrik
+    33670193U,	// VPCMPQZ128rrik_alt
+    262U,	// VPCMPQZ256rmi
+    247040U,	// VPCMPQZ256rmi_alt
+    3142U,	// VPCMPQZ256rmib
+    9280U,	// VPCMPQZ256rmib_alt
+    457U,	// VPCMPQZ256rmibk
+    4146225U,	// VPCMPQZ256rmibk_alt
+    7U,	// VPCMPQZ256rmik
+    42320945U,	// VPCMPQZ256rmik_alt
+    54U,	// VPCMPQZ256rri
+    1311792U,	// VPCMPQZ256rri_alt
+    7U,	// VPCMPQZ256rrik
+    33670193U,	// VPCMPQZ256rrik_alt
+    246U,	// VPCMPQZrmi
+    247024U,	// VPCMPQZrmi_alt
+    4166U,	// VPCMPQZrmib
+    10304U,	// VPCMPQZrmib_alt
+    473U,	// VPCMPQZrmibk
+    4670513U,	// VPCMPQZrmibk_alt
+    8U,	// VPCMPQZrmik
+    42353713U,	// VPCMPQZrmik_alt
+    54U,	// VPCMPQZrri
+    1311792U,	// VPCMPQZrri_alt
+    7U,	// VPCMPQZrrik
+    33670193U,	// VPCMPQZrrik_alt
+    230U,	// VPCMPUBZ128rmi
+    247008U,	// VPCMPUBZ128rmi_alt
+    6U,	// VPCMPUBZ128rmik
+    42288177U,	// VPCMPUBZ128rmik_alt
+    54U,	// VPCMPUBZ128rri
+    1311792U,	// VPCMPUBZ128rri_alt
+    7U,	// VPCMPUBZ128rrik
+    33670193U,	// VPCMPUBZ128rrik_alt
+    262U,	// VPCMPUBZ256rmi
+    247040U,	// VPCMPUBZ256rmi_alt
+    7U,	// VPCMPUBZ256rmik
+    42320945U,	// VPCMPUBZ256rmik_alt
+    54U,	// VPCMPUBZ256rri
+    1311792U,	// VPCMPUBZ256rri_alt
+    7U,	// VPCMPUBZ256rrik
+    33670193U,	// VPCMPUBZ256rrik_alt
+    246U,	// VPCMPUBZrmi
+    247024U,	// VPCMPUBZrmi_alt
+    8U,	// VPCMPUBZrmik
+    42353713U,	// VPCMPUBZrmik_alt
+    54U,	// VPCMPUBZrri
+    1311792U,	// VPCMPUBZrri_alt
+    7U,	// VPCMPUBZrrik
+    33670193U,	// VPCMPUBZrrik_alt
+    230U,	// VPCMPUDZ128rmi
+    247008U,	// VPCMPUDZ128rmi_alt
+    3110U,	// VPCMPUDZ128rmib
+    9248U,	// VPCMPUDZ128rmib_alt
+    456U,	// VPCMPUDZ128rmibk
+    4113457U,	// VPCMPUDZ128rmibk_alt
+    6U,	// VPCMPUDZ128rmik
+    42288177U,	// VPCMPUDZ128rmik_alt
+    54U,	// VPCMPUDZ128rri
+    1311792U,	// VPCMPUDZ128rri_alt
+    7U,	// VPCMPUDZ128rrik
+    33670193U,	// VPCMPUDZ128rrik_alt
+    262U,	// VPCMPUDZ256rmi
+    247040U,	// VPCMPUDZ256rmi_alt
+    4134U,	// VPCMPUDZ256rmib
+    10272U,	// VPCMPUDZ256rmib_alt
+    472U,	// VPCMPUDZ256rmibk
+    4637745U,	// VPCMPUDZ256rmibk_alt
+    7U,	// VPCMPUDZ256rmik
+    42320945U,	// VPCMPUDZ256rmik_alt
+    54U,	// VPCMPUDZ256rri
+    1311792U,	// VPCMPUDZ256rri_alt
+    7U,	// VPCMPUDZ256rrik
+    33670193U,	// VPCMPUDZ256rrik_alt
+    246U,	// VPCMPUDZrmi
+    247024U,	// VPCMPUDZrmi_alt
+    5158U,	// VPCMPUDZrmib
+    11296U,	// VPCMPUDZrmib_alt
+    488U,	// VPCMPUDZrmibk
+    5162033U,	// VPCMPUDZrmibk_alt
+    8U,	// VPCMPUDZrmik
+    42353713U,	// VPCMPUDZrmik_alt
+    54U,	// VPCMPUDZrri
+    1311792U,	// VPCMPUDZrri_alt
+    7U,	// VPCMPUDZrrik
+    33670193U,	// VPCMPUDZrrik_alt
+    230U,	// VPCMPUQZ128rmi
+    247008U,	// VPCMPUQZ128rmi_alt
+    2118U,	// VPCMPUQZ128rmib
+    12352U,	// VPCMPUQZ128rmib_alt
+    505U,	// VPCMPUQZ128rmibk
+    5719089U,	// VPCMPUQZ128rmibk_alt
+    6U,	// VPCMPUQZ128rmik
+    42288177U,	// VPCMPUQZ128rmik_alt
+    54U,	// VPCMPUQZ128rri
+    1311792U,	// VPCMPUQZ128rri_alt
+    7U,	// VPCMPUQZ128rrik
+    33670193U,	// VPCMPUQZ128rrik_alt
+    262U,	// VPCMPUQZ256rmi
+    247040U,	// VPCMPUQZ256rmi_alt
+    3142U,	// VPCMPUQZ256rmib
+    9280U,	// VPCMPUQZ256rmib_alt
+    457U,	// VPCMPUQZ256rmibk
+    4146225U,	// VPCMPUQZ256rmibk_alt
+    7U,	// VPCMPUQZ256rmik
+    42320945U,	// VPCMPUQZ256rmik_alt
+    54U,	// VPCMPUQZ256rri
+    1311792U,	// VPCMPUQZ256rri_alt
+    7U,	// VPCMPUQZ256rrik
+    33670193U,	// VPCMPUQZ256rrik_alt
+    246U,	// VPCMPUQZrmi
+    247024U,	// VPCMPUQZrmi_alt
+    4166U,	// VPCMPUQZrmib
+    10304U,	// VPCMPUQZrmib_alt
+    473U,	// VPCMPUQZrmibk
+    4670513U,	// VPCMPUQZrmibk_alt
+    8U,	// VPCMPUQZrmik
+    42353713U,	// VPCMPUQZrmik_alt
+    54U,	// VPCMPUQZrri
+    1311792U,	// VPCMPUQZrri_alt
+    7U,	// VPCMPUQZrrik
+    33670193U,	// VPCMPUQZrrik_alt
+    230U,	// VPCMPUWZ128rmi
+    247008U,	// VPCMPUWZ128rmi_alt
+    6U,	// VPCMPUWZ128rmik
+    42288177U,	// VPCMPUWZ128rmik_alt
+    54U,	// VPCMPUWZ128rri
+    1311792U,	// VPCMPUWZ128rri_alt
+    7U,	// VPCMPUWZ128rrik
+    33670193U,	// VPCMPUWZ128rrik_alt
+    262U,	// VPCMPUWZ256rmi
+    247040U,	// VPCMPUWZ256rmi_alt
+    7U,	// VPCMPUWZ256rmik
+    42320945U,	// VPCMPUWZ256rmik_alt
+    54U,	// VPCMPUWZ256rri
+    1311792U,	// VPCMPUWZ256rri_alt
+    7U,	// VPCMPUWZ256rrik
+    33670193U,	// VPCMPUWZ256rrik_alt
+    246U,	// VPCMPUWZrmi
+    247024U,	// VPCMPUWZrmi_alt
+    8U,	// VPCMPUWZrmik
+    42353713U,	// VPCMPUWZrmik_alt
+    54U,	// VPCMPUWZrri
+    1311792U,	// VPCMPUWZrri_alt
+    7U,	// VPCMPUWZrrik
+    33670193U,	// VPCMPUWZrrik_alt
+    230U,	// VPCMPWZ128rmi
+    247008U,	// VPCMPWZ128rmi_alt
+    6U,	// VPCMPWZ128rmik
+    42288177U,	// VPCMPWZ128rmik_alt
+    54U,	// VPCMPWZ128rri
+    1311792U,	// VPCMPWZ128rri_alt
+    7U,	// VPCMPWZ128rrik
+    33670193U,	// VPCMPWZ128rrik_alt
+    262U,	// VPCMPWZ256rmi
+    247040U,	// VPCMPWZ256rmi_alt
+    7U,	// VPCMPWZ256rmik
+    42320945U,	// VPCMPWZ256rmik_alt
+    54U,	// VPCMPWZ256rri
+    1311792U,	// VPCMPWZ256rri_alt
+    7U,	// VPCMPWZ256rrik
+    33670193U,	// VPCMPWZ256rrik_alt
+    246U,	// VPCMPWZrmi
+    247024U,	// VPCMPWZrmi_alt
+    8U,	// VPCMPWZrmik
+    42353713U,	// VPCMPWZrmik_alt
+    54U,	// VPCMPWZrri
+    1311792U,	// VPCMPWZrri_alt
+    7U,	// VPCMPWZrrik
+    33670193U,	// VPCMPWZrrik_alt
+    230U,	// VPCOMBmi
+    1066208U,	// VPCOMBmi_alt
+    54U,	// VPCOMBri
+    1164336U,	// VPCOMBri_alt
+    230U,	// VPCOMDmi
+    1066208U,	// VPCOMDmi_alt
+    54U,	// VPCOMDri
+    1164336U,	// VPCOMDri_alt
+    81U,	// VPCOMPRESSDZ128mrk
+    161U,	// VPCOMPRESSDZ128rrk
+    50U,	// VPCOMPRESSDZ128rrkz
+    81U,	// VPCOMPRESSDZ256mrk
+    161U,	// VPCOMPRESSDZ256rrk
+    50U,	// VPCOMPRESSDZ256rrkz
+    81U,	// VPCOMPRESSDZmrk
+    161U,	// VPCOMPRESSDZrrk
+    50U,	// VPCOMPRESSDZrrkz
+    81U,	// VPCOMPRESSQZ128mrk
+    161U,	// VPCOMPRESSQZ128rrk
+    50U,	// VPCOMPRESSQZ128rrkz
+    81U,	// VPCOMPRESSQZ256mrk
+    161U,	// VPCOMPRESSQZ256rrk
+    50U,	// VPCOMPRESSQZ256rrkz
+    81U,	// VPCOMPRESSQZmrk
+    161U,	// VPCOMPRESSQZrrk
+    50U,	// VPCOMPRESSQZrrkz
+    230U,	// VPCOMQmi
+    1066208U,	// VPCOMQmi_alt
+    54U,	// VPCOMQri
+    1164336U,	// VPCOMQri_alt
+    230U,	// VPCOMUBmi
+    1066208U,	// VPCOMUBmi_alt
+    54U,	// VPCOMUBri
+    1164336U,	// VPCOMUBri_alt
+    230U,	// VPCOMUDmi
+    1066208U,	// VPCOMUDmi_alt
+    54U,	// VPCOMUDri
+    1164336U,	// VPCOMUDri_alt
+    230U,	// VPCOMUQmi
+    1066208U,	// VPCOMUQmi_alt
+    54U,	// VPCOMUQri
+    1164336U,	// VPCOMUQri_alt
+    230U,	// VPCOMUWmi
+    1066208U,	// VPCOMUWmi_alt
+    54U,	// VPCOMUWri
+    1164336U,	// VPCOMUWri_alt
+    230U,	// VPCOMWmi
+    1066208U,	// VPCOMWmi_alt
+    54U,	// VPCOMWri
+    1164336U,	// VPCOMWri_alt
     0U,	// VPCONFLICTDrm
-    4U,	// VPCONFLICTDrmb
-    186U,	// VPCONFLICTDrmbk
-    786U,	// VPCONFLICTDrmbkz
-    178U,	// VPCONFLICTDrmk
-    98U,	// VPCONFLICTDrmkz
+    5U,	// VPCONFLICTDrmb
+    513U,	// VPCONFLICTDrmbk
+    5154U,	// VPCONFLICTDrmbkz
+    433U,	// VPCONFLICTDrmk
+    242U,	// VPCONFLICTDrmkz
     0U,	// VPCONFLICTDrr
-    42U,	// VPCONFLICTDrrk
-    10U,	// VPCONFLICTDrrkz
+    161U,	// VPCONFLICTDrrk
+    50U,	// VPCONFLICTDrrkz
     0U,	// VPCONFLICTQrm
     5U,	// VPCONFLICTQrmb
-    194U,	// VPCONFLICTQrmbk
-    538U,	// VPCONFLICTQrmbkz
-    178U,	// VPCONFLICTQrmk
-    98U,	// VPCONFLICTQrmkz
+    529U,	// VPCONFLICTQrmbk
+    4162U,	// VPCONFLICTQrmbkz
+    433U,	// VPCONFLICTQrmk
+    242U,	// VPCONFLICTQrmkz
     0U,	// VPCONFLICTQrr
-    42U,	// VPCONFLICTQrrk
-    10U,	// VPCONFLICTQrrkz
-    2368U,	// VPERM2F128rm
-    8456U,	// VPERM2F128rr
-    2368U,	// VPERM2I128rm
-    8456U,	// VPERM2I128rr
-    104U,	// VPERMDYrm
-    8U,	// VPERMDYrr
-    96U,	// VPERMDZrm
-    8U,	// VPERMDZrr
-    176U,	// VPERMI2Drm
-    20778U,	// VPERMI2Drmk
-    20778U,	// VPERMI2Drmkz
-    40U,	// VPERMI2Drr
-    298U,	// VPERMI2Drrk
-    298U,	// VPERMI2Drrkz
-    176U,	// VPERMI2PDrm
-    20778U,	// VPERMI2PDrmk
-    20778U,	// VPERMI2PDrmkz
-    40U,	// VPERMI2PDrr
-    298U,	// VPERMI2PDrrk
-    298U,	// VPERMI2PDrrkz
-    176U,	// VPERMI2PSrm
-    20778U,	// VPERMI2PSrmk
-    20778U,	// VPERMI2PSrmkz
-    40U,	// VPERMI2PSrr
-    298U,	// VPERMI2PSrrk
-    298U,	// VPERMI2PSrrkz
-    176U,	// VPERMI2Qrm
-    20778U,	// VPERMI2Qrmk
-    20778U,	// VPERMI2Qrmkz
-    40U,	// VPERMI2Qrr
-    298U,	// VPERMI2Qrrk
-    298U,	// VPERMI2Qrrkz
-    35152U,	// VPERMIL2PDmr
-    35136U,	// VPERMIL2PDmrY
-    45320U,	// VPERMIL2PDrm
-    47368U,	// VPERMIL2PDrmY
-    565512U,	// VPERMIL2PDrr
-    565512U,	// VPERMIL2PDrrY
-    35152U,	// VPERMIL2PSmr
-    35136U,	// VPERMIL2PSmrY
-    45320U,	// VPERMIL2PSrm
-    47368U,	// VPERMIL2PSrmY
-    565512U,	// VPERMIL2PSrr
-    565512U,	// VPERMIL2PSrrY
+    161U,	// VPCONFLICTQrrk
+    50U,	// VPCONFLICTQrrkz
+    246960U,	// VPERM2F128rm
+    1311792U,	// VPERM2F128rr
+    246960U,	// VPERM2I128rm
+    1311792U,	// VPERM2I128rr
+    256U,	// VPERMDYrm
+    48U,	// VPERMDYrr
+    240U,	// VPERMDZrm
+    48U,	// VPERMDZrr
+    432U,	// VPERMI2Drm
+    394401U,	// VPERMI2Drmk
+    394402U,	// VPERMI2Drmkz
+    160U,	// VPERMI2Drr
+    1148065U,	// VPERMI2Drrk
+    1148066U,	// VPERMI2Drrkz
+    432U,	// VPERMI2PDrm
+    394401U,	// VPERMI2PDrmk
+    394402U,	// VPERMI2PDrmkz
+    160U,	// VPERMI2PDrr
+    1148065U,	// VPERMI2PDrrk
+    1148066U,	// VPERMI2PDrrkz
+    432U,	// VPERMI2PSrm
+    394401U,	// VPERMI2PSrmk
+    394402U,	// VPERMI2PSrmkz
+    160U,	// VPERMI2PSrr
+    1148065U,	// VPERMI2PSrrk
+    1148066U,	// VPERMI2PSrrkz
+    432U,	// VPERMI2Qrm
+    394401U,	// VPERMI2Qrmk
+    394402U,	// VPERMI2Qrmkz
+    160U,	// VPERMI2Qrr
+    1148065U,	// VPERMI2Qrrk
+    1148066U,	// VPERMI2Qrrkz
+    17600U,	// VPERMIL2PDmr
+    17584U,	// VPERMIL2PDmrY
+    82992U,	// VPERMIL2PDrm
+    148528U,	// VPERMIL2PDrmY
+    50447408U,	// VPERMIL2PDrr
+    50447408U,	// VPERMIL2PDrrY
+    17600U,	// VPERMIL2PSmr
+    17584U,	// VPERMIL2PSmrY
+    82992U,	// VPERMIL2PSrm
+    148528U,	// VPERMIL2PSrmY
+    50447408U,	// VPERMIL2PSrr
+    50447408U,	// VPERMIL2PSrrY
     0U,	// VPERMILPDYmi
-    8U,	// VPERMILPDYri
-    104U,	// VPERMILPDYrm
-    8U,	// VPERMILPDYrr
+    16U,	// VPERMILPDYri
+    256U,	// VPERMILPDYrm
+    48U,	// VPERMILPDYrr
     0U,	// VPERMILPDZmi
-    8U,	// VPERMILPDZri
+    16U,	// VPERMILPDZri
+    240U,	// VPERMILPDZrm
+    48U,	// VPERMILPDZrr
     0U,	// VPERMILPDmi
-    8U,	// VPERMILPDri
-    88U,	// VPERMILPDrm
-    8U,	// VPERMILPDrr
+    16U,	// VPERMILPDri
+    224U,	// VPERMILPDrm
+    48U,	// VPERMILPDrr
     0U,	// VPERMILPSYmi
-    8U,	// VPERMILPSYri
-    104U,	// VPERMILPSYrm
-    8U,	// VPERMILPSYrr
+    16U,	// VPERMILPSYri
+    256U,	// VPERMILPSYrm
+    48U,	// VPERMILPSYrr
     0U,	// VPERMILPSZmi
-    8U,	// VPERMILPSZri
+    16U,	// VPERMILPSZri
+    240U,	// VPERMILPSZrm
+    48U,	// VPERMILPSZrr
     0U,	// VPERMILPSmi
-    8U,	// VPERMILPSri
-    88U,	// VPERMILPSrm
-    8U,	// VPERMILPSrr
+    16U,	// VPERMILPSri
+    224U,	// VPERMILPSrm
+    48U,	// VPERMILPSrr
     0U,	// VPERMPDYmi
-    8U,	// VPERMPDYri
+    16U,	// VPERMPDYri
     0U,	// VPERMPDZmi
-    8U,	// VPERMPDZri
-    72U,	// VPERMPDZrm
-    8U,	// VPERMPDZrr
-    104U,	// VPERMPSYrm
-    8U,	// VPERMPSYrr
-    72U,	// VPERMPSZrm
-    8U,	// VPERMPSZrr
+    16U,	// VPERMPDZri
+    208U,	// VPERMPDZrm
+    48U,	// VPERMPDZrr
+    256U,	// VPERMPSYrm
+    48U,	// VPERMPSYrr
+    208U,	// VPERMPSZrm
+    48U,	// VPERMPSZrr
     0U,	// VPERMQYmi
-    8U,	// VPERMQYri
+    16U,	// VPERMQYri
     0U,	// VPERMQZmi
-    8U,	// VPERMQZri
-    96U,	// VPERMQZrm
-    8U,	// VPERMQZrr
-    176U,	// VPERMT2Drm
-    20778U,	// VPERMT2Drmk
-    20778U,	// VPERMT2Drmkz
-    40U,	// VPERMT2Drr
-    298U,	// VPERMT2Drrk
-    298U,	// VPERMT2Drrkz
-    176U,	// VPERMT2PDrm
-    20778U,	// VPERMT2PDrmk
-    20778U,	// VPERMT2PDrmkz
-    40U,	// VPERMT2PDrr
-    298U,	// VPERMT2PDrrk
-    298U,	// VPERMT2PDrrkz
-    176U,	// VPERMT2PSrm
-    20778U,	// VPERMT2PSrmk
-    20778U,	// VPERMT2PSrmkz
-    40U,	// VPERMT2PSrr
-    298U,	// VPERMT2PSrrk
-    298U,	// VPERMT2PSrrkz
-    176U,	// VPERMT2Qrm
-    20778U,	// VPERMT2Qrmk
-    20778U,	// VPERMT2Qrmkz
-    40U,	// VPERMT2Qrr
-    298U,	// VPERMT2Qrrk
-    298U,	// VPERMT2Qrrkz
+    16U,	// VPERMQZri
+    240U,	// VPERMQZrm
+    48U,	// VPERMQZrr
+    432U,	// VPERMT2Drm
+    394401U,	// VPERMT2Drmk
+    394402U,	// VPERMT2Drmkz
+    160U,	// VPERMT2Drr
+    1148065U,	// VPERMT2Drrk
+    1148066U,	// VPERMT2Drrkz
+    432U,	// VPERMT2PDrm
+    394401U,	// VPERMT2PDrmk
+    394402U,	// VPERMT2PDrmkz
+    160U,	// VPERMT2PDrr
+    1148065U,	// VPERMT2PDrrk
+    1148066U,	// VPERMT2PDrrkz
+    432U,	// VPERMT2PSrm
+    394401U,	// VPERMT2PSrmk
+    394402U,	// VPERMT2PSrmkz
+    160U,	// VPERMT2PSrr
+    1148065U,	// VPERMT2PSrrk
+    1148066U,	// VPERMT2PSrrkz
+    432U,	// VPERMT2Qrm
+    394401U,	// VPERMT2Qrmk
+    394402U,	// VPERMT2Qrmkz
+    160U,	// VPERMT2Qrr
+    1148065U,	// VPERMT2Qrrk
+    1148066U,	// VPERMT2Qrrkz
+    401U,	// VPEXPANDDZ128rmk
+    226U,	// VPEXPANDDZ128rmkz
+    161U,	// VPEXPANDDZ128rrk
+    50U,	// VPEXPANDDZ128rrkz
+    417U,	// VPEXPANDDZ256rmk
+    258U,	// VPEXPANDDZ256rmkz
+    161U,	// VPEXPANDDZ256rrk
+    50U,	// VPEXPANDDZ256rrkz
+    433U,	// VPEXPANDDZrmk
+    242U,	// VPEXPANDDZrmkz
+    161U,	// VPEXPANDDZrrk
+    50U,	// VPEXPANDDZrrkz
+    401U,	// VPEXPANDQZ128rmk
+    226U,	// VPEXPANDQZ128rmkz
+    161U,	// VPEXPANDQZ128rrk
+    50U,	// VPEXPANDQZ128rrkz
+    417U,	// VPEXPANDQZ256rmk
+    258U,	// VPEXPANDQZ256rmkz
+    161U,	// VPEXPANDQZ256rrk
+    50U,	// VPEXPANDQZ256rrkz
+    433U,	// VPEXPANDQZrmk
+    242U,	// VPEXPANDQZrmkz
+    161U,	// VPEXPANDQZrrk
+    50U,	// VPEXPANDQZrrkz
     0U,	// VPEXTRBmr
-    8U,	// VPEXTRBrr
+    16U,	// VPEXTRBrr
     0U,	// VPEXTRDmr
-    8U,	// VPEXTRDrr
+    16U,	// VPEXTRDrr
     0U,	// VPEXTRQmr
-    8U,	// VPEXTRQrr
+    16U,	// VPEXTRQrr
     0U,	// VPEXTRWmr
-    8U,	// VPEXTRWri
-    8U,	// VPEXTRWrr_REV
+    16U,	// VPEXTRWri
+    16U,	// VPEXTRWrr_REV
     0U,	// VPGATHERDDYrm
     4U,	// VPGATHERDDZrm
     0U,	// VPGATHERDDrm
@@ -11395,14 +15719,14 @@ static void printInstruction(MCInst *MI,
     0U,	// VPHADDBWrr
     0U,	// VPHADDDQrm
     0U,	// VPHADDDQrr
-    104U,	// VPHADDDYrm
-    8U,	// VPHADDDYrr
-    88U,	// VPHADDDrm
-    8U,	// VPHADDDrr
-    88U,	// VPHADDSWrm128
-    104U,	// VPHADDSWrm256
-    8U,	// VPHADDSWrr128
-    8U,	// VPHADDSWrr256
+    256U,	// VPHADDDYrm
+    48U,	// VPHADDDYrr
+    224U,	// VPHADDDrm
+    48U,	// VPHADDDrr
+    224U,	// VPHADDSWrm128
+    256U,	// VPHADDSWrm256
+    48U,	// VPHADDSWrr128
+    48U,	// VPHADDSWrr256
     0U,	// VPHADDUBDrm
     0U,	// VPHADDUBDrr
     0U,	// VPHADDUBQrm
@@ -11419,286 +15743,586 @@ static void printInstruction(MCInst *MI,
     0U,	// VPHADDWDrr
     0U,	// VPHADDWQrm
     0U,	// VPHADDWQrr
-    104U,	// VPHADDWYrm
-    8U,	// VPHADDWYrr
-    88U,	// VPHADDWrm
-    8U,	// VPHADDWrr
+    256U,	// VPHADDWYrm
+    48U,	// VPHADDWYrr
+    224U,	// VPHADDWrm
+    48U,	// VPHADDWrr
     0U,	// VPHMINPOSUWrm128
     0U,	// VPHMINPOSUWrr128
     0U,	// VPHSUBBWrm
     0U,	// VPHSUBBWrr
     0U,	// VPHSUBDQrm
     0U,	// VPHSUBDQrr
-    104U,	// VPHSUBDYrm
-    8U,	// VPHSUBDYrr
-    88U,	// VPHSUBDrm
-    8U,	// VPHSUBDrr
-    88U,	// VPHSUBSWrm128
-    104U,	// VPHSUBSWrm256
-    8U,	// VPHSUBSWrr128
-    8U,	// VPHSUBSWrr256
+    256U,	// VPHSUBDYrm
+    48U,	// VPHSUBDYrr
+    224U,	// VPHSUBDrm
+    48U,	// VPHSUBDrr
+    224U,	// VPHSUBSWrm128
+    256U,	// VPHSUBSWrm256
+    48U,	// VPHSUBSWrr128
+    48U,	// VPHSUBSWrr256
     0U,	// VPHSUBWDrm
     0U,	// VPHSUBWDrr
-    104U,	// VPHSUBWYrm
-    8U,	// VPHSUBWYrr
-    88U,	// VPHSUBWrm
-    8U,	// VPHSUBWrr
-    200U,	// VPINSRBrm
-    8456U,	// VPINSRBrr
-    2320U,	// VPINSRDrm
-    8456U,	// VPINSRDrr
-    2328U,	// VPINSRQrm
-    8456U,	// VPINSRQrr
-    208U,	// VPINSRWrmi
-    8456U,	// VPINSRWrri
+    256U,	// VPHSUBWYrm
+    48U,	// VPHSUBWYrr
+    224U,	// VPHSUBWrm
+    48U,	// VPHSUBWrr
+    544U,	// VPINSRBrm
+    1311792U,	// VPINSRBrr
+    246816U,	// VPINSRDrm
+    1311792U,	// VPINSRDrr
+    246848U,	// VPINSRQrm
+    1311792U,	// VPINSRQrr
+    560U,	// VPINSRWrmi
+    1311792U,	// VPINSRWrri
     0U,	// VPLZCNTDrm
-    4U,	// VPLZCNTDrmb
-    186U,	// VPLZCNTDrmbk
-    786U,	// VPLZCNTDrmbkz
-    178U,	// VPLZCNTDrmk
-    98U,	// VPLZCNTDrmkz
+    5U,	// VPLZCNTDrmb
+    513U,	// VPLZCNTDrmbk
+    5154U,	// VPLZCNTDrmbkz
+    433U,	// VPLZCNTDrmk
+    242U,	// VPLZCNTDrmkz
     0U,	// VPLZCNTDrr
-    42U,	// VPLZCNTDrrk
-    10U,	// VPLZCNTDrrkz
+    161U,	// VPLZCNTDrrk
+    50U,	// VPLZCNTDrrkz
     0U,	// VPLZCNTQrm
     5U,	// VPLZCNTQrmb
-    194U,	// VPLZCNTQrmbk
-    538U,	// VPLZCNTQrmbkz
-    178U,	// VPLZCNTQrmk
-    98U,	// VPLZCNTQrmkz
+    529U,	// VPLZCNTQrmbk
+    4162U,	// VPLZCNTQrmbkz
+    433U,	// VPLZCNTQrmk
+    242U,	// VPLZCNTQrmkz
     0U,	// VPLZCNTQrr
-    42U,	// VPLZCNTQrrk
-    10U,	// VPLZCNTQrrkz
-    2392U,	// VPMACSDDrm
-    8456U,	// VPMACSDDrr
-    2392U,	// VPMACSDQHrm
-    8456U,	// VPMACSDQHrr
-    2392U,	// VPMACSDQLrm
-    8456U,	// VPMACSDQLrr
-    2392U,	// VPMACSSDDrm
-    8456U,	// VPMACSSDDrr
-    2392U,	// VPMACSSDQHrm
-    8456U,	// VPMACSSDQHrr
-    2392U,	// VPMACSSDQLrm
-    8456U,	// VPMACSSDQLrr
-    2392U,	// VPMACSSWDrm
-    8456U,	// VPMACSSWDrr
-    2392U,	// VPMACSSWWrm
-    8456U,	// VPMACSSWWrr
-    2392U,	// VPMACSWDrm
-    8456U,	// VPMACSWDrr
-    2392U,	// VPMACSWWrm
-    8456U,	// VPMACSWWrr
-    2392U,	// VPMADCSSWDrm
-    8456U,	// VPMADCSSWDrr
-    2392U,	// VPMADCSWDrm
-    8456U,	// VPMADCSWDrr
-    88U,	// VPMADDUBSWrm128
-    104U,	// VPMADDUBSWrm256
-    8U,	// VPMADDUBSWrr128
-    8U,	// VPMADDUBSWrr256
-    104U,	// VPMADDWDYrm
-    8U,	// VPMADDWDYrr
-    88U,	// VPMADDWDrm
-    8U,	// VPMADDWDrr
-    0U,	// VPMASKMOVDYmr
-    104U,	// VPMASKMOVDYrm
-    0U,	// VPMASKMOVDmr
-    88U,	// VPMASKMOVDrm
-    0U,	// VPMASKMOVQYmr
-    104U,	// VPMASKMOVQYrm
-    0U,	// VPMASKMOVQmr
-    88U,	// VPMASKMOVQrm
-    104U,	// VPMAXSBYrm
-    8U,	// VPMAXSBYrr
-    88U,	// VPMAXSBrm
-    8U,	// VPMAXSBrr
-    104U,	// VPMAXSDYrm
-    8U,	// VPMAXSDYrr
-    96U,	// VPMAXSDZrm
-    784U,	// VPMAXSDZrmb
-    16682U,	// VPMAXSDZrmbk
-    117002U,	// VPMAXSDZrmbkz
-    20778U,	// VPMAXSDZrmk
-    22794U,	// VPMAXSDZrmkz
-    8U,	// VPMAXSDZrr
-    298U,	// VPMAXSDZrrk
-    8458U,	// VPMAXSDZrrkz
-    88U,	// VPMAXSDrm
-    8U,	// VPMAXSDrr
-    96U,	// VPMAXSQZrm
-    536U,	// VPMAXSQZrmb
-    24874U,	// VPMAXSQZrmbk
-    92426U,	// VPMAXSQZrmbkz
-    20778U,	// VPMAXSQZrmk
-    22794U,	// VPMAXSQZrmkz
-    8U,	// VPMAXSQZrr
-    298U,	// VPMAXSQZrrk
-    8458U,	// VPMAXSQZrrkz
-    104U,	// VPMAXSWYrm
-    8U,	// VPMAXSWYrr
-    88U,	// VPMAXSWrm
-    8U,	// VPMAXSWrr
-    104U,	// VPMAXUBYrm
-    8U,	// VPMAXUBYrr
-    88U,	// VPMAXUBrm
-    8U,	// VPMAXUBrr
-    104U,	// VPMAXUDYrm
-    8U,	// VPMAXUDYrr
-    96U,	// VPMAXUDZrm
-    784U,	// VPMAXUDZrmb
-    16682U,	// VPMAXUDZrmbk
-    117002U,	// VPMAXUDZrmbkz
-    20778U,	// VPMAXUDZrmk
-    22794U,	// VPMAXUDZrmkz
-    8U,	// VPMAXUDZrr
-    298U,	// VPMAXUDZrrk
-    8458U,	// VPMAXUDZrrkz
-    88U,	// VPMAXUDrm
-    8U,	// VPMAXUDrr
-    96U,	// VPMAXUQZrm
-    536U,	// VPMAXUQZrmb
-    24874U,	// VPMAXUQZrmbk
-    92426U,	// VPMAXUQZrmbkz
-    20778U,	// VPMAXUQZrmk
-    22794U,	// VPMAXUQZrmkz
-    8U,	// VPMAXUQZrr
-    298U,	// VPMAXUQZrrk
-    8458U,	// VPMAXUQZrrkz
-    104U,	// VPMAXUWYrm
-    8U,	// VPMAXUWYrr
-    88U,	// VPMAXUWrm
-    8U,	// VPMAXUWrr
-    104U,	// VPMINSBYrm
-    8U,	// VPMINSBYrr
-    88U,	// VPMINSBrm
-    8U,	// VPMINSBrr
-    104U,	// VPMINSDYrm
-    8U,	// VPMINSDYrr
-    96U,	// VPMINSDZrm
-    784U,	// VPMINSDZrmb
-    16682U,	// VPMINSDZrmbk
-    117002U,	// VPMINSDZrmbkz
-    20778U,	// VPMINSDZrmk
-    22794U,	// VPMINSDZrmkz
-    8U,	// VPMINSDZrr
-    298U,	// VPMINSDZrrk
-    8458U,	// VPMINSDZrrkz
-    88U,	// VPMINSDrm
-    8U,	// VPMINSDrr
-    96U,	// VPMINSQZrm
-    536U,	// VPMINSQZrmb
-    24874U,	// VPMINSQZrmbk
-    92426U,	// VPMINSQZrmbkz
-    20778U,	// VPMINSQZrmk
-    22794U,	// VPMINSQZrmkz
-    8U,	// VPMINSQZrr
-    298U,	// VPMINSQZrrk
-    8458U,	// VPMINSQZrrkz
-    104U,	// VPMINSWYrm
-    8U,	// VPMINSWYrr
-    88U,	// VPMINSWrm
-    8U,	// VPMINSWrr
-    104U,	// VPMINUBYrm
-    8U,	// VPMINUBYrr
-    88U,	// VPMINUBrm
-    8U,	// VPMINUBrr
-    104U,	// VPMINUDYrm
-    8U,	// VPMINUDYrr
-    96U,	// VPMINUDZrm
-    784U,	// VPMINUDZrmb
-    16682U,	// VPMINUDZrmbk
-    117002U,	// VPMINUDZrmbkz
-    20778U,	// VPMINUDZrmk
-    22794U,	// VPMINUDZrmkz
-    8U,	// VPMINUDZrr
-    298U,	// VPMINUDZrrk
-    8458U,	// VPMINUDZrrkz
-    88U,	// VPMINUDrm
-    8U,	// VPMINUDrr
-    96U,	// VPMINUQZrm
-    536U,	// VPMINUQZrmb
-    24874U,	// VPMINUQZrmbk
-    92426U,	// VPMINUQZrmbkz
-    20778U,	// VPMINUQZrmk
-    22794U,	// VPMINUQZrmkz
-    8U,	// VPMINUQZrr
-    298U,	// VPMINUQZrrk
-    8458U,	// VPMINUQZrrkz
-    104U,	// VPMINUWYrm
-    8U,	// VPMINUWYrr
-    88U,	// VPMINUWrm
-    8U,	// VPMINUWrr
+    161U,	// VPLZCNTQrrk
+    50U,	// VPLZCNTQrrkz
+    1066208U,	// VPMACSDDrm
+    1164336U,	// VPMACSDDrr
+    1066208U,	// VPMACSDQHrm
+    1164336U,	// VPMACSDQHrr
+    1066208U,	// VPMACSDQLrm
+    1164336U,	// VPMACSDQLrr
+    1066208U,	// VPMACSSDDrm
+    1164336U,	// VPMACSSDDrr
+    1066208U,	// VPMACSSDQHrm
+    1164336U,	// VPMACSSDQHrr
+    1066208U,	// VPMACSSDQLrm
+    1164336U,	// VPMACSSDQLrr
+    1066208U,	// VPMACSSWDrm
+    1164336U,	// VPMACSSWDrr
+    1066208U,	// VPMACSSWWrm
+    1164336U,	// VPMACSSWWrr
+    1066208U,	// VPMACSWDrm
+    1164336U,	// VPMACSWDrr
+    1066208U,	// VPMACSWWrm
+    1164336U,	// VPMACSWWrr
+    1066208U,	// VPMADCSSWDrm
+    1164336U,	// VPMADCSSWDrr
+    1066208U,	// VPMADCSWDrm
+    1164336U,	// VPMADCSWDrr
+    224U,	// VPMADDUBSWrm128
+    256U,	// VPMADDUBSWrm256
+    48U,	// VPMADDUBSWrr128
+    48U,	// VPMADDUBSWrr256
+    256U,	// VPMADDWDYrm
+    48U,	// VPMADDWDYrr
+    224U,	// VPMADDWDrm
+    48U,	// VPMADDWDrr
+    80U,	// VPMASKMOVDYmr
+    256U,	// VPMASKMOVDYrm
+    80U,	// VPMASKMOVDmr
+    224U,	// VPMASKMOVDrm
+    80U,	// VPMASKMOVQYmr
+    256U,	// VPMASKMOVQYrm
+    80U,	// VPMASKMOVQmr
+    224U,	// VPMASKMOVQrm
+    256U,	// VPMAXSBYrm
+    48U,	// VPMAXSBYrr
+    224U,	// VPMAXSBZ128rm
+    328865U,	// VPMAXSBZ128rmk
+    1393714U,	// VPMAXSBZ128rmkz
+    48U,	// VPMAXSBZ128rr
+    1148065U,	// VPMAXSBZ128rrk
+    1164338U,	// VPMAXSBZ128rrkz
+    256U,	// VPMAXSBZ256rm
+    361633U,	// VPMAXSBZ256rmk
+    1426482U,	// VPMAXSBZ256rmkz
+    48U,	// VPMAXSBZ256rr
+    1148065U,	// VPMAXSBZ256rrk
+    1164338U,	// VPMAXSBZ256rrkz
+    240U,	// VPMAXSBZrm
+    394401U,	// VPMAXSBZrmk
+    1459250U,	// VPMAXSBZrmkz
+    48U,	// VPMAXSBZrr
+    1148065U,	// VPMAXSBZrrk
+    1164338U,	// VPMAXSBZrrkz
+    224U,	// VPMAXSBrm
+    48U,	// VPMAXSBrr
+    256U,	// VPMAXSDYrm
+    48U,	// VPMAXSDYrr
+    224U,	// VPMAXSDZ128rm
+    3104U,	// VPMAXSDZ128rmb
+    2000033U,	// VPMAXSDZ128rmbk
+    2016306U,	// VPMAXSDZ128rmbkz
+    328865U,	// VPMAXSDZ128rmk
+    1393714U,	// VPMAXSDZ128rmkz
+    48U,	// VPMAXSDZ128rr
+    1148065U,	// VPMAXSDZ128rrk
+    1164338U,	// VPMAXSDZ128rrkz
+    256U,	// VPMAXSDZ256rm
+    4128U,	// VPMAXSDZ256rmb
+    2524321U,	// VPMAXSDZ256rmbk
+    2540594U,	// VPMAXSDZ256rmbkz
+    361633U,	// VPMAXSDZ256rmk
+    1426482U,	// VPMAXSDZ256rmkz
+    48U,	// VPMAXSDZ256rr
+    1148065U,	// VPMAXSDZ256rrk
+    1164338U,	// VPMAXSDZ256rrkz
+    240U,	// VPMAXSDZrm
+    5152U,	// VPMAXSDZrmb
+    3048609U,	// VPMAXSDZrmbk
+    3064882U,	// VPMAXSDZrmbkz
+    394401U,	// VPMAXSDZrmk
+    1459250U,	// VPMAXSDZrmkz
+    48U,	// VPMAXSDZrr
+    1148065U,	// VPMAXSDZrrk
+    1164338U,	// VPMAXSDZrrkz
+    224U,	// VPMAXSDrm
+    48U,	// VPMAXSDrr
+    224U,	// VPMAXSQZ128rm
+    2112U,	// VPMAXSQZ128rmb
+    984225U,	// VPMAXSQZ128rmbk
+    1000498U,	// VPMAXSQZ128rmbkz
+    328865U,	// VPMAXSQZ128rmk
+    1393714U,	// VPMAXSQZ128rmkz
+    48U,	// VPMAXSQZ128rr
+    1148065U,	// VPMAXSQZ128rrk
+    1164338U,	// VPMAXSQZ128rrkz
+    256U,	// VPMAXSQZ256rm
+    3136U,	// VPMAXSQZ256rmb
+    2032801U,	// VPMAXSQZ256rmbk
+    2049074U,	// VPMAXSQZ256rmbkz
+    361633U,	// VPMAXSQZ256rmk
+    1426482U,	// VPMAXSQZ256rmkz
+    48U,	// VPMAXSQZ256rr
+    1148065U,	// VPMAXSQZ256rrk
+    1164338U,	// VPMAXSQZ256rrkz
+    240U,	// VPMAXSQZrm
+    4160U,	// VPMAXSQZrmb
+    2557089U,	// VPMAXSQZrmbk
+    2573362U,	// VPMAXSQZrmbkz
+    394401U,	// VPMAXSQZrmk
+    1459250U,	// VPMAXSQZrmkz
+    48U,	// VPMAXSQZrr
+    1148065U,	// VPMAXSQZrrk
+    1164338U,	// VPMAXSQZrrkz
+    256U,	// VPMAXSWYrm
+    48U,	// VPMAXSWYrr
+    224U,	// VPMAXSWZ128rm
+    328865U,	// VPMAXSWZ128rmk
+    1393714U,	// VPMAXSWZ128rmkz
+    48U,	// VPMAXSWZ128rr
+    1148065U,	// VPMAXSWZ128rrk
+    1164338U,	// VPMAXSWZ128rrkz
+    256U,	// VPMAXSWZ256rm
+    361633U,	// VPMAXSWZ256rmk
+    1426482U,	// VPMAXSWZ256rmkz
+    48U,	// VPMAXSWZ256rr
+    1148065U,	// VPMAXSWZ256rrk
+    1164338U,	// VPMAXSWZ256rrkz
+    240U,	// VPMAXSWZrm
+    394401U,	// VPMAXSWZrmk
+    1459250U,	// VPMAXSWZrmkz
+    48U,	// VPMAXSWZrr
+    1148065U,	// VPMAXSWZrrk
+    1164338U,	// VPMAXSWZrrkz
+    224U,	// VPMAXSWrm
+    48U,	// VPMAXSWrr
+    256U,	// VPMAXUBYrm
+    48U,	// VPMAXUBYrr
+    224U,	// VPMAXUBZ128rm
+    328865U,	// VPMAXUBZ128rmk
+    1393714U,	// VPMAXUBZ128rmkz
+    48U,	// VPMAXUBZ128rr
+    1148065U,	// VPMAXUBZ128rrk
+    1164338U,	// VPMAXUBZ128rrkz
+    256U,	// VPMAXUBZ256rm
+    361633U,	// VPMAXUBZ256rmk
+    1426482U,	// VPMAXUBZ256rmkz
+    48U,	// VPMAXUBZ256rr
+    1148065U,	// VPMAXUBZ256rrk
+    1164338U,	// VPMAXUBZ256rrkz
+    240U,	// VPMAXUBZrm
+    394401U,	// VPMAXUBZrmk
+    1459250U,	// VPMAXUBZrmkz
+    48U,	// VPMAXUBZrr
+    1148065U,	// VPMAXUBZrrk
+    1164338U,	// VPMAXUBZrrkz
+    224U,	// VPMAXUBrm
+    48U,	// VPMAXUBrr
+    256U,	// VPMAXUDYrm
+    48U,	// VPMAXUDYrr
+    224U,	// VPMAXUDZ128rm
+    3104U,	// VPMAXUDZ128rmb
+    2000033U,	// VPMAXUDZ128rmbk
+    2016306U,	// VPMAXUDZ128rmbkz
+    328865U,	// VPMAXUDZ128rmk
+    1393714U,	// VPMAXUDZ128rmkz
+    48U,	// VPMAXUDZ128rr
+    1148065U,	// VPMAXUDZ128rrk
+    1164338U,	// VPMAXUDZ128rrkz
+    256U,	// VPMAXUDZ256rm
+    4128U,	// VPMAXUDZ256rmb
+    2524321U,	// VPMAXUDZ256rmbk
+    2540594U,	// VPMAXUDZ256rmbkz
+    361633U,	// VPMAXUDZ256rmk
+    1426482U,	// VPMAXUDZ256rmkz
+    48U,	// VPMAXUDZ256rr
+    1148065U,	// VPMAXUDZ256rrk
+    1164338U,	// VPMAXUDZ256rrkz
+    240U,	// VPMAXUDZrm
+    5152U,	// VPMAXUDZrmb
+    3048609U,	// VPMAXUDZrmbk
+    3064882U,	// VPMAXUDZrmbkz
+    394401U,	// VPMAXUDZrmk
+    1459250U,	// VPMAXUDZrmkz
+    48U,	// VPMAXUDZrr
+    1148065U,	// VPMAXUDZrrk
+    1164338U,	// VPMAXUDZrrkz
+    224U,	// VPMAXUDrm
+    48U,	// VPMAXUDrr
+    224U,	// VPMAXUQZ128rm
+    2112U,	// VPMAXUQZ128rmb
+    984225U,	// VPMAXUQZ128rmbk
+    1000498U,	// VPMAXUQZ128rmbkz
+    328865U,	// VPMAXUQZ128rmk
+    1393714U,	// VPMAXUQZ128rmkz
+    48U,	// VPMAXUQZ128rr
+    1148065U,	// VPMAXUQZ128rrk
+    1164338U,	// VPMAXUQZ128rrkz
+    256U,	// VPMAXUQZ256rm
+    3136U,	// VPMAXUQZ256rmb
+    2032801U,	// VPMAXUQZ256rmbk
+    2049074U,	// VPMAXUQZ256rmbkz
+    361633U,	// VPMAXUQZ256rmk
+    1426482U,	// VPMAXUQZ256rmkz
+    48U,	// VPMAXUQZ256rr
+    1148065U,	// VPMAXUQZ256rrk
+    1164338U,	// VPMAXUQZ256rrkz
+    240U,	// VPMAXUQZrm
+    4160U,	// VPMAXUQZrmb
+    2557089U,	// VPMAXUQZrmbk
+    2573362U,	// VPMAXUQZrmbkz
+    394401U,	// VPMAXUQZrmk
+    1459250U,	// VPMAXUQZrmkz
+    48U,	// VPMAXUQZrr
+    1148065U,	// VPMAXUQZrrk
+    1164338U,	// VPMAXUQZrrkz
+    256U,	// VPMAXUWYrm
+    48U,	// VPMAXUWYrr
+    224U,	// VPMAXUWZ128rm
+    328865U,	// VPMAXUWZ128rmk
+    1393714U,	// VPMAXUWZ128rmkz
+    48U,	// VPMAXUWZ128rr
+    1148065U,	// VPMAXUWZ128rrk
+    1164338U,	// VPMAXUWZ128rrkz
+    256U,	// VPMAXUWZ256rm
+    361633U,	// VPMAXUWZ256rmk
+    1426482U,	// VPMAXUWZ256rmkz
+    48U,	// VPMAXUWZ256rr
+    1148065U,	// VPMAXUWZ256rrk
+    1164338U,	// VPMAXUWZ256rrkz
+    240U,	// VPMAXUWZrm
+    394401U,	// VPMAXUWZrmk
+    1459250U,	// VPMAXUWZrmkz
+    48U,	// VPMAXUWZrr
+    1148065U,	// VPMAXUWZrrk
+    1164338U,	// VPMAXUWZrrkz
+    224U,	// VPMAXUWrm
+    48U,	// VPMAXUWrr
+    256U,	// VPMINSBYrm
+    48U,	// VPMINSBYrr
+    224U,	// VPMINSBZ128rm
+    328865U,	// VPMINSBZ128rmk
+    1393714U,	// VPMINSBZ128rmkz
+    48U,	// VPMINSBZ128rr
+    1148065U,	// VPMINSBZ128rrk
+    1164338U,	// VPMINSBZ128rrkz
+    256U,	// VPMINSBZ256rm
+    361633U,	// VPMINSBZ256rmk
+    1426482U,	// VPMINSBZ256rmkz
+    48U,	// VPMINSBZ256rr
+    1148065U,	// VPMINSBZ256rrk
+    1164338U,	// VPMINSBZ256rrkz
+    240U,	// VPMINSBZrm
+    394401U,	// VPMINSBZrmk
+    1459250U,	// VPMINSBZrmkz
+    48U,	// VPMINSBZrr
+    1148065U,	// VPMINSBZrrk
+    1164338U,	// VPMINSBZrrkz
+    224U,	// VPMINSBrm
+    48U,	// VPMINSBrr
+    256U,	// VPMINSDYrm
+    48U,	// VPMINSDYrr
+    224U,	// VPMINSDZ128rm
+    3104U,	// VPMINSDZ128rmb
+    2000033U,	// VPMINSDZ128rmbk
+    2016306U,	// VPMINSDZ128rmbkz
+    328865U,	// VPMINSDZ128rmk
+    1393714U,	// VPMINSDZ128rmkz
+    48U,	// VPMINSDZ128rr
+    1148065U,	// VPMINSDZ128rrk
+    1164338U,	// VPMINSDZ128rrkz
+    256U,	// VPMINSDZ256rm
+    4128U,	// VPMINSDZ256rmb
+    2524321U,	// VPMINSDZ256rmbk
+    2540594U,	// VPMINSDZ256rmbkz
+    361633U,	// VPMINSDZ256rmk
+    1426482U,	// VPMINSDZ256rmkz
+    48U,	// VPMINSDZ256rr
+    1148065U,	// VPMINSDZ256rrk
+    1164338U,	// VPMINSDZ256rrkz
+    240U,	// VPMINSDZrm
+    5152U,	// VPMINSDZrmb
+    3048609U,	// VPMINSDZrmbk
+    3064882U,	// VPMINSDZrmbkz
+    394401U,	// VPMINSDZrmk
+    1459250U,	// VPMINSDZrmkz
+    48U,	// VPMINSDZrr
+    1148065U,	// VPMINSDZrrk
+    1164338U,	// VPMINSDZrrkz
+    224U,	// VPMINSDrm
+    48U,	// VPMINSDrr
+    224U,	// VPMINSQZ128rm
+    2112U,	// VPMINSQZ128rmb
+    984225U,	// VPMINSQZ128rmbk
+    1000498U,	// VPMINSQZ128rmbkz
+    328865U,	// VPMINSQZ128rmk
+    1393714U,	// VPMINSQZ128rmkz
+    48U,	// VPMINSQZ128rr
+    1148065U,	// VPMINSQZ128rrk
+    1164338U,	// VPMINSQZ128rrkz
+    256U,	// VPMINSQZ256rm
+    3136U,	// VPMINSQZ256rmb
+    2032801U,	// VPMINSQZ256rmbk
+    2049074U,	// VPMINSQZ256rmbkz
+    361633U,	// VPMINSQZ256rmk
+    1426482U,	// VPMINSQZ256rmkz
+    48U,	// VPMINSQZ256rr
+    1148065U,	// VPMINSQZ256rrk
+    1164338U,	// VPMINSQZ256rrkz
+    240U,	// VPMINSQZrm
+    4160U,	// VPMINSQZrmb
+    2557089U,	// VPMINSQZrmbk
+    2573362U,	// VPMINSQZrmbkz
+    394401U,	// VPMINSQZrmk
+    1459250U,	// VPMINSQZrmkz
+    48U,	// VPMINSQZrr
+    1148065U,	// VPMINSQZrrk
+    1164338U,	// VPMINSQZrrkz
+    256U,	// VPMINSWYrm
+    48U,	// VPMINSWYrr
+    224U,	// VPMINSWZ128rm
+    328865U,	// VPMINSWZ128rmk
+    1393714U,	// VPMINSWZ128rmkz
+    48U,	// VPMINSWZ128rr
+    1148065U,	// VPMINSWZ128rrk
+    1164338U,	// VPMINSWZ128rrkz
+    256U,	// VPMINSWZ256rm
+    361633U,	// VPMINSWZ256rmk
+    1426482U,	// VPMINSWZ256rmkz
+    48U,	// VPMINSWZ256rr
+    1148065U,	// VPMINSWZ256rrk
+    1164338U,	// VPMINSWZ256rrkz
+    240U,	// VPMINSWZrm
+    394401U,	// VPMINSWZrmk
+    1459250U,	// VPMINSWZrmkz
+    48U,	// VPMINSWZrr
+    1148065U,	// VPMINSWZrrk
+    1164338U,	// VPMINSWZrrkz
+    224U,	// VPMINSWrm
+    48U,	// VPMINSWrr
+    256U,	// VPMINUBYrm
+    48U,	// VPMINUBYrr
+    224U,	// VPMINUBZ128rm
+    328865U,	// VPMINUBZ128rmk
+    1393714U,	// VPMINUBZ128rmkz
+    48U,	// VPMINUBZ128rr
+    1148065U,	// VPMINUBZ128rrk
+    1164338U,	// VPMINUBZ128rrkz
+    256U,	// VPMINUBZ256rm
+    361633U,	// VPMINUBZ256rmk
+    1426482U,	// VPMINUBZ256rmkz
+    48U,	// VPMINUBZ256rr
+    1148065U,	// VPMINUBZ256rrk
+    1164338U,	// VPMINUBZ256rrkz
+    240U,	// VPMINUBZrm
+    394401U,	// VPMINUBZrmk
+    1459250U,	// VPMINUBZrmkz
+    48U,	// VPMINUBZrr
+    1148065U,	// VPMINUBZrrk
+    1164338U,	// VPMINUBZrrkz
+    224U,	// VPMINUBrm
+    48U,	// VPMINUBrr
+    256U,	// VPMINUDYrm
+    48U,	// VPMINUDYrr
+    224U,	// VPMINUDZ128rm
+    3104U,	// VPMINUDZ128rmb
+    2000033U,	// VPMINUDZ128rmbk
+    2016306U,	// VPMINUDZ128rmbkz
+    328865U,	// VPMINUDZ128rmk
+    1393714U,	// VPMINUDZ128rmkz
+    48U,	// VPMINUDZ128rr
+    1148065U,	// VPMINUDZ128rrk
+    1164338U,	// VPMINUDZ128rrkz
+    256U,	// VPMINUDZ256rm
+    4128U,	// VPMINUDZ256rmb
+    2524321U,	// VPMINUDZ256rmbk
+    2540594U,	// VPMINUDZ256rmbkz
+    361633U,	// VPMINUDZ256rmk
+    1426482U,	// VPMINUDZ256rmkz
+    48U,	// VPMINUDZ256rr
+    1148065U,	// VPMINUDZ256rrk
+    1164338U,	// VPMINUDZ256rrkz
+    240U,	// VPMINUDZrm
+    5152U,	// VPMINUDZrmb
+    3048609U,	// VPMINUDZrmbk
+    3064882U,	// VPMINUDZrmbkz
+    394401U,	// VPMINUDZrmk
+    1459250U,	// VPMINUDZrmkz
+    48U,	// VPMINUDZrr
+    1148065U,	// VPMINUDZrrk
+    1164338U,	// VPMINUDZrrkz
+    224U,	// VPMINUDrm
+    48U,	// VPMINUDrr
+    224U,	// VPMINUQZ128rm
+    2112U,	// VPMINUQZ128rmb
+    984225U,	// VPMINUQZ128rmbk
+    1000498U,	// VPMINUQZ128rmbkz
+    328865U,	// VPMINUQZ128rmk
+    1393714U,	// VPMINUQZ128rmkz
+    48U,	// VPMINUQZ128rr
+    1148065U,	// VPMINUQZ128rrk
+    1164338U,	// VPMINUQZ128rrkz
+    256U,	// VPMINUQZ256rm
+    3136U,	// VPMINUQZ256rmb
+    2032801U,	// VPMINUQZ256rmbk
+    2049074U,	// VPMINUQZ256rmbkz
+    361633U,	// VPMINUQZ256rmk
+    1426482U,	// VPMINUQZ256rmkz
+    48U,	// VPMINUQZ256rr
+    1148065U,	// VPMINUQZ256rrk
+    1164338U,	// VPMINUQZ256rrkz
+    240U,	// VPMINUQZrm
+    4160U,	// VPMINUQZrmb
+    2557089U,	// VPMINUQZrmbk
+    2573362U,	// VPMINUQZrmbkz
+    394401U,	// VPMINUQZrmk
+    1459250U,	// VPMINUQZrmkz
+    48U,	// VPMINUQZrr
+    1148065U,	// VPMINUQZrrk
+    1164338U,	// VPMINUQZrrkz
+    256U,	// VPMINUWYrm
+    48U,	// VPMINUWYrr
+    224U,	// VPMINUWZ128rm
+    328865U,	// VPMINUWZ128rmk
+    1393714U,	// VPMINUWZ128rmkz
+    48U,	// VPMINUWZ128rr
+    1148065U,	// VPMINUWZ128rrk
+    1164338U,	// VPMINUWZ128rrkz
+    256U,	// VPMINUWZ256rm
+    361633U,	// VPMINUWZ256rmk
+    1426482U,	// VPMINUWZ256rmkz
+    48U,	// VPMINUWZ256rr
+    1148065U,	// VPMINUWZ256rrk
+    1164338U,	// VPMINUWZ256rrkz
+    240U,	// VPMINUWZrm
+    394401U,	// VPMINUWZrmk
+    1459250U,	// VPMINUWZrmkz
+    48U,	// VPMINUWZrr
+    1148065U,	// VPMINUWZrrk
+    1164338U,	// VPMINUWZrrkz
+    224U,	// VPMINUWrm
+    48U,	// VPMINUWrr
     0U,	// VPMOVDBmr
-    2U,	// VPMOVDBmrk
+    81U,	// VPMOVDBmrk
     0U,	// VPMOVDBrr
-    10U,	// VPMOVDBrrk
-    10U,	// VPMOVDBrrkz
+    49U,	// VPMOVDBrrk
+    50U,	// VPMOVDBrrkz
     0U,	// VPMOVDWmr
-    2U,	// VPMOVDWmrk
+    81U,	// VPMOVDWmrk
     0U,	// VPMOVDWrr
-    10U,	// VPMOVDWrrk
-    10U,	// VPMOVDWrrkz
+    49U,	// VPMOVDWrrk
+    50U,	// VPMOVDWrrkz
+    0U,	// VPMOVM2BZ128rr
+    0U,	// VPMOVM2BZ256rr
+    0U,	// VPMOVM2BZrr
+    0U,	// VPMOVM2DZ128rr
+    0U,	// VPMOVM2DZ256rr
+    0U,	// VPMOVM2DZrr
+    0U,	// VPMOVM2QZ128rr
+    0U,	// VPMOVM2QZ256rr
+    0U,	// VPMOVM2QZrr
+    0U,	// VPMOVM2WZ128rr
+    0U,	// VPMOVM2WZ256rr
+    0U,	// VPMOVM2WZrr
     0U,	// VPMOVMSKBYrr
     0U,	// VPMOVMSKBrr
     0U,	// VPMOVQBmr
-    2U,	// VPMOVQBmrk
+    81U,	// VPMOVQBmrk
     0U,	// VPMOVQBrr
-    10U,	// VPMOVQBrrk
-    10U,	// VPMOVQBrrkz
+    49U,	// VPMOVQBrrk
+    50U,	// VPMOVQBrrkz
     0U,	// VPMOVQDmr
-    2U,	// VPMOVQDmrk
+    81U,	// VPMOVQDmrk
     0U,	// VPMOVQDrr
-    10U,	// VPMOVQDrrk
-    10U,	// VPMOVQDrrkz
+    49U,	// VPMOVQDrrk
+    50U,	// VPMOVQDrrkz
     0U,	// VPMOVQWmr
-    2U,	// VPMOVQWmrk
+    81U,	// VPMOVQWmrk
     0U,	// VPMOVQWrr
-    10U,	// VPMOVQWrrk
-    10U,	// VPMOVQWrrkz
+    49U,	// VPMOVQWrrk
+    50U,	// VPMOVQWrrkz
     0U,	// VPMOVSDBmr
-    2U,	// VPMOVSDBmrk
+    81U,	// VPMOVSDBmrk
     0U,	// VPMOVSDBrr
-    10U,	// VPMOVSDBrrk
-    10U,	// VPMOVSDBrrkz
+    49U,	// VPMOVSDBrrk
+    50U,	// VPMOVSDBrrkz
     0U,	// VPMOVSDWmr
-    2U,	// VPMOVSDWmrk
+    81U,	// VPMOVSDWmrk
     0U,	// VPMOVSDWrr
-    10U,	// VPMOVSDWrrk
-    10U,	// VPMOVSDWrrkz
+    49U,	// VPMOVSDWrrk
+    50U,	// VPMOVSDWrrkz
     0U,	// VPMOVSQBmr
-    2U,	// VPMOVSQBmrk
+    81U,	// VPMOVSQBmrk
     0U,	// VPMOVSQBrr
-    10U,	// VPMOVSQBrrk
-    10U,	// VPMOVSQBrrkz
+    49U,	// VPMOVSQBrrk
+    50U,	// VPMOVSQBrrkz
     0U,	// VPMOVSQDmr
-    2U,	// VPMOVSQDmrk
+    81U,	// VPMOVSQDmrk
     0U,	// VPMOVSQDrr
-    10U,	// VPMOVSQDrrk
-    10U,	// VPMOVSQDrrkz
+    49U,	// VPMOVSQDrrk
+    50U,	// VPMOVSQDrrkz
     0U,	// VPMOVSQWmr
-    2U,	// VPMOVSQWmrk
+    81U,	// VPMOVSQWmrk
     0U,	// VPMOVSQWrr
-    10U,	// VPMOVSQWrrk
-    10U,	// VPMOVSQWrrkz
+    49U,	// VPMOVSQWrrk
+    50U,	// VPMOVSQWrrkz
     0U,	// VPMOVSXBDYrm
     0U,	// VPMOVSXBDYrr
     0U,	// VPMOVSXBDZrm
-    90U,	// VPMOVSXBDZrmk
-    90U,	// VPMOVSXBDZrmkz
+    225U,	// VPMOVSXBDZrmk
+    226U,	// VPMOVSXBDZrmkz
     0U,	// VPMOVSXBDZrr
-    10U,	// VPMOVSXBDZrrk
-    10U,	// VPMOVSXBDZrrkz
+    49U,	// VPMOVSXBDZrrk
+    50U,	// VPMOVSXBDZrrkz
     0U,	// VPMOVSXBDrm
     0U,	// VPMOVSXBDrr
     0U,	// VPMOVSXBQYrm
     0U,	// VPMOVSXBQYrr
     0U,	// VPMOVSXBQZrm
-    90U,	// VPMOVSXBQZrmk
-    90U,	// VPMOVSXBQZrmkz
+    225U,	// VPMOVSXBQZrmk
+    226U,	// VPMOVSXBQZrmkz
     0U,	// VPMOVSXBQZrr
-    10U,	// VPMOVSXBQZrrk
-    10U,	// VPMOVSXBQZrrkz
+    49U,	// VPMOVSXBQZrrk
+    50U,	// VPMOVSXBQZrrkz
     0U,	// VPMOVSXBQrm
     0U,	// VPMOVSXBQrr
     0U,	// VPMOVSXBWYrm
@@ -11708,76 +16332,76 @@ static void printInstruction(MCInst *MI,
     0U,	// VPMOVSXDQYrm
     0U,	// VPMOVSXDQYrr
     0U,	// VPMOVSXDQZrm
-    106U,	// VPMOVSXDQZrmk
-    106U,	// VPMOVSXDQZrmkz
+    257U,	// VPMOVSXDQZrmk
+    258U,	// VPMOVSXDQZrmkz
     0U,	// VPMOVSXDQZrr
-    10U,	// VPMOVSXDQZrrk
-    10U,	// VPMOVSXDQZrrkz
+    49U,	// VPMOVSXDQZrrk
+    50U,	// VPMOVSXDQZrrkz
     0U,	// VPMOVSXDQrm
     0U,	// VPMOVSXDQrr
     0U,	// VPMOVSXWDYrm
     0U,	// VPMOVSXWDYrr
     0U,	// VPMOVSXWDZrm
-    106U,	// VPMOVSXWDZrmk
-    106U,	// VPMOVSXWDZrmkz
+    257U,	// VPMOVSXWDZrmk
+    258U,	// VPMOVSXWDZrmkz
     0U,	// VPMOVSXWDZrr
-    10U,	// VPMOVSXWDZrrk
-    10U,	// VPMOVSXWDZrrkz
+    49U,	// VPMOVSXWDZrrk
+    50U,	// VPMOVSXWDZrrkz
     0U,	// VPMOVSXWDrm
     0U,	// VPMOVSXWDrr
     0U,	// VPMOVSXWQYrm
     0U,	// VPMOVSXWQYrr
     0U,	// VPMOVSXWQZrm
-    90U,	// VPMOVSXWQZrmk
-    90U,	// VPMOVSXWQZrmkz
+    225U,	// VPMOVSXWQZrmk
+    226U,	// VPMOVSXWQZrmkz
     0U,	// VPMOVSXWQZrr
-    10U,	// VPMOVSXWQZrrk
-    10U,	// VPMOVSXWQZrrkz
+    49U,	// VPMOVSXWQZrrk
+    50U,	// VPMOVSXWQZrrkz
     0U,	// VPMOVSXWQrm
     0U,	// VPMOVSXWQrr
     0U,	// VPMOVUSDBmr
-    2U,	// VPMOVUSDBmrk
+    81U,	// VPMOVUSDBmrk
     0U,	// VPMOVUSDBrr
-    10U,	// VPMOVUSDBrrk
-    10U,	// VPMOVUSDBrrkz
+    49U,	// VPMOVUSDBrrk
+    50U,	// VPMOVUSDBrrkz
     0U,	// VPMOVUSDWmr
-    2U,	// VPMOVUSDWmrk
+    81U,	// VPMOVUSDWmrk
     0U,	// VPMOVUSDWrr
-    10U,	// VPMOVUSDWrrk
-    10U,	// VPMOVUSDWrrkz
+    49U,	// VPMOVUSDWrrk
+    50U,	// VPMOVUSDWrrkz
     0U,	// VPMOVUSQBmr
-    2U,	// VPMOVUSQBmrk
+    81U,	// VPMOVUSQBmrk
     0U,	// VPMOVUSQBrr
-    10U,	// VPMOVUSQBrrk
-    10U,	// VPMOVUSQBrrkz
+    49U,	// VPMOVUSQBrrk
+    50U,	// VPMOVUSQBrrkz
     0U,	// VPMOVUSQDmr
-    2U,	// VPMOVUSQDmrk
+    81U,	// VPMOVUSQDmrk
     0U,	// VPMOVUSQDrr
-    10U,	// VPMOVUSQDrrk
-    10U,	// VPMOVUSQDrrkz
+    49U,	// VPMOVUSQDrrk
+    50U,	// VPMOVUSQDrrkz
     0U,	// VPMOVUSQWmr
-    2U,	// VPMOVUSQWmrk
+    81U,	// VPMOVUSQWmrk
     0U,	// VPMOVUSQWrr
-    10U,	// VPMOVUSQWrrk
-    10U,	// VPMOVUSQWrrkz
+    49U,	// VPMOVUSQWrrk
+    50U,	// VPMOVUSQWrrkz
     0U,	// VPMOVZXBDYrm
     0U,	// VPMOVZXBDYrr
     0U,	// VPMOVZXBDZrm
-    90U,	// VPMOVZXBDZrmk
-    90U,	// VPMOVZXBDZrmkz
+    225U,	// VPMOVZXBDZrmk
+    226U,	// VPMOVZXBDZrmkz
     0U,	// VPMOVZXBDZrr
-    10U,	// VPMOVZXBDZrrk
-    10U,	// VPMOVZXBDZrrkz
+    49U,	// VPMOVZXBDZrrk
+    50U,	// VPMOVZXBDZrrkz
     0U,	// VPMOVZXBDrm
     0U,	// VPMOVZXBDrr
     0U,	// VPMOVZXBQYrm
     0U,	// VPMOVZXBQYrr
     0U,	// VPMOVZXBQZrm
-    90U,	// VPMOVZXBQZrmk
-    90U,	// VPMOVZXBQZrmkz
+    225U,	// VPMOVZXBQZrmk
+    226U,	// VPMOVZXBQZrmkz
     0U,	// VPMOVZXBQZrr
-    10U,	// VPMOVZXBQZrrk
-    10U,	// VPMOVZXBQZrrkz
+    49U,	// VPMOVZXBQZrrk
+    50U,	// VPMOVZXBQZrrkz
     0U,	// VPMOVZXBQrm
     0U,	// VPMOVZXBQrr
     0U,	// VPMOVZXBWYrm
@@ -11787,471 +16411,806 @@ static void printInstruction(MCInst *MI,
     0U,	// VPMOVZXDQYrm
     0U,	// VPMOVZXDQYrr
     0U,	// VPMOVZXDQZrm
-    106U,	// VPMOVZXDQZrmk
-    106U,	// VPMOVZXDQZrmkz
+    257U,	// VPMOVZXDQZrmk
+    258U,	// VPMOVZXDQZrmkz
     0U,	// VPMOVZXDQZrr
-    10U,	// VPMOVZXDQZrrk
-    10U,	// VPMOVZXDQZrrkz
+    49U,	// VPMOVZXDQZrrk
+    50U,	// VPMOVZXDQZrrkz
     0U,	// VPMOVZXDQrm
     0U,	// VPMOVZXDQrr
     0U,	// VPMOVZXWDYrm
     0U,	// VPMOVZXWDYrr
     0U,	// VPMOVZXWDZrm
-    106U,	// VPMOVZXWDZrmk
-    106U,	// VPMOVZXWDZrmkz
+    257U,	// VPMOVZXWDZrmk
+    258U,	// VPMOVZXWDZrmkz
     0U,	// VPMOVZXWDZrr
-    10U,	// VPMOVZXWDZrrk
-    10U,	// VPMOVZXWDZrrkz
+    49U,	// VPMOVZXWDZrrk
+    50U,	// VPMOVZXWDZrrkz
     0U,	// VPMOVZXWDrm
     0U,	// VPMOVZXWDrr
     0U,	// VPMOVZXWQYrm
     0U,	// VPMOVZXWQYrr
     0U,	// VPMOVZXWQZrm
-    90U,	// VPMOVZXWQZrmk
-    90U,	// VPMOVZXWQZrmkz
+    225U,	// VPMOVZXWQZrmk
+    226U,	// VPMOVZXWQZrmkz
     0U,	// VPMOVZXWQZrr
-    10U,	// VPMOVZXWQZrrk
-    10U,	// VPMOVZXWQZrrkz
+    49U,	// VPMOVZXWQZrrk
+    50U,	// VPMOVZXWQZrrkz
     0U,	// VPMOVZXWQrm
     0U,	// VPMOVZXWQrr
-    104U,	// VPMULDQYrm
-    8U,	// VPMULDQYrr
-    96U,	// VPMULDQZrm
-    536U,	// VPMULDQZrmb
-    92426U,	// VPMULDQZrmbk
-    92426U,	// VPMULDQZrmbkz
-    22794U,	// VPMULDQZrmk
-    22794U,	// VPMULDQZrmkz
-    8U,	// VPMULDQZrr
-    8458U,	// VPMULDQZrrk
-    8458U,	// VPMULDQZrrkz
-    88U,	// VPMULDQrm
-    8U,	// VPMULDQrr
-    88U,	// VPMULHRSWrm128
-    104U,	// VPMULHRSWrm256
-    8U,	// VPMULHRSWrr128
-    8U,	// VPMULHRSWrr256
-    104U,	// VPMULHUWYrm
-    8U,	// VPMULHUWYrr
-    88U,	// VPMULHUWrm
-    8U,	// VPMULHUWrr
-    104U,	// VPMULHWYrm
-    8U,	// VPMULHWYrr
-    88U,	// VPMULHWrm
-    8U,	// VPMULHWrr
-    104U,	// VPMULLDYrm
-    8U,	// VPMULLDYrr
-    96U,	// VPMULLDZrm
-    784U,	// VPMULLDZrmb
-    16682U,	// VPMULLDZrmbk
-    117002U,	// VPMULLDZrmbkz
-    20778U,	// VPMULLDZrmk
-    22794U,	// VPMULLDZrmkz
-    8U,	// VPMULLDZrr
-    298U,	// VPMULLDZrrk
-    8458U,	// VPMULLDZrrkz
-    88U,	// VPMULLDrm
-    8U,	// VPMULLDrr
-    104U,	// VPMULLWYrm
-    8U,	// VPMULLWYrr
-    88U,	// VPMULLWrm
-    8U,	// VPMULLWrr
-    104U,	// VPMULUDQYrm
-    8U,	// VPMULUDQYrr
-    96U,	// VPMULUDQZrm
-    536U,	// VPMULUDQZrmb
-    92426U,	// VPMULUDQZrmbk
-    92426U,	// VPMULUDQZrmbkz
-    22794U,	// VPMULUDQZrmk
-    22794U,	// VPMULUDQZrmkz
-    8U,	// VPMULUDQZrr
-    8458U,	// VPMULUDQZrrk
-    8458U,	// VPMULUDQZrrkz
-    88U,	// VPMULUDQrm
-    8U,	// VPMULUDQrr
-    96U,	// VPORDZrm
-    784U,	// VPORDZrmb
-    16682U,	// VPORDZrmbk
-    117002U,	// VPORDZrmbkz
-    20778U,	// VPORDZrmk
-    22794U,	// VPORDZrmkz
-    8U,	// VPORDZrr
-    298U,	// VPORDZrrk
-    8458U,	// VPORDZrrkz
-    96U,	// VPORQZrm
-    536U,	// VPORQZrmb
-    24874U,	// VPORQZrmbk
-    92426U,	// VPORQZrmbkz
-    20778U,	// VPORQZrmk
-    22794U,	// VPORQZrmkz
-    8U,	// VPORQZrr
-    298U,	// VPORQZrrk
-    8458U,	// VPORQZrrkz
-    104U,	// VPORYrm
-    8U,	// VPORYrr
-    88U,	// VPORrm
-    8U,	// VPORrr
-    2392U,	// VPPERMmr
-    28936U,	// VPPERMrm
-    8456U,	// VPPERMrr
-    0U,	// VPROTBmi
-    0U,	// VPROTBmr
-    8U,	// VPROTBri
-    88U,	// VPROTBrm
-    8U,	// VPROTBrr
-    0U,	// VPROTDmi
-    0U,	// VPROTDmr
-    8U,	// VPROTDri
-    88U,	// VPROTDrm
-    8U,	// VPROTDrr
-    0U,	// VPROTQmi
-    0U,	// VPROTQmr
-    8U,	// VPROTQri
-    88U,	// VPROTQrm
-    8U,	// VPROTQrr
-    0U,	// VPROTWmi
-    0U,	// VPROTWmr
-    8U,	// VPROTWri
-    88U,	// VPROTWrm
-    8U,	// VPROTWrr
-    104U,	// VPSADBWYrm
-    8U,	// VPSADBWYrr
-    88U,	// VPSADBWrm
-    8U,	// VPSADBWrr
+    256U,	// VPMULDQYrm
+    48U,	// VPMULDQYrr
+    240U,	// VPMULDQZrm
+    4160U,	// VPMULDQZrmb
+    2573361U,	// VPMULDQZrmbk
+    2573362U,	// VPMULDQZrmbkz
+    1459249U,	// VPMULDQZrmk
+    1459250U,	// VPMULDQZrmkz
+    48U,	// VPMULDQZrr
+    1164337U,	// VPMULDQZrrk
+    1164338U,	// VPMULDQZrrkz
+    224U,	// VPMULDQrm
+    48U,	// VPMULDQrr
+    224U,	// VPMULHRSWrm128
+    256U,	// VPMULHRSWrm256
+    48U,	// VPMULHRSWrr128
+    48U,	// VPMULHRSWrr256
+    256U,	// VPMULHUWYrm
+    48U,	// VPMULHUWYrr
+    224U,	// VPMULHUWrm
+    48U,	// VPMULHUWrr
+    256U,	// VPMULHWYrm
+    48U,	// VPMULHWYrr
+    224U,	// VPMULHWrm
+    48U,	// VPMULHWrr
+    256U,	// VPMULLDYrm
+    48U,	// VPMULLDYrr
+    224U,	// VPMULLDZ128rm
+    3104U,	// VPMULLDZ128rmb
+    2000033U,	// VPMULLDZ128rmbk
+    2016306U,	// VPMULLDZ128rmbkz
+    328865U,	// VPMULLDZ128rmk
+    1393714U,	// VPMULLDZ128rmkz
+    48U,	// VPMULLDZ128rr
+    1148065U,	// VPMULLDZ128rrk
+    1164338U,	// VPMULLDZ128rrkz
+    256U,	// VPMULLDZ256rm
+    4128U,	// VPMULLDZ256rmb
+    2524321U,	// VPMULLDZ256rmbk
+    2540594U,	// VPMULLDZ256rmbkz
+    361633U,	// VPMULLDZ256rmk
+    1426482U,	// VPMULLDZ256rmkz
+    48U,	// VPMULLDZ256rr
+    1148065U,	// VPMULLDZ256rrk
+    1164338U,	// VPMULLDZ256rrkz
+    240U,	// VPMULLDZrm
+    5152U,	// VPMULLDZrmb
+    3048609U,	// VPMULLDZrmbk
+    3064882U,	// VPMULLDZrmbkz
+    394401U,	// VPMULLDZrmk
+    1459250U,	// VPMULLDZrmkz
+    48U,	// VPMULLDZrr
+    1148065U,	// VPMULLDZrrk
+    1164338U,	// VPMULLDZrrkz
+    224U,	// VPMULLDrm
+    48U,	// VPMULLDrr
+    224U,	// VPMULLQZ128rm
+    2112U,	// VPMULLQZ128rmb
+    984225U,	// VPMULLQZ128rmbk
+    1000498U,	// VPMULLQZ128rmbkz
+    328865U,	// VPMULLQZ128rmk
+    1393714U,	// VPMULLQZ128rmkz
+    48U,	// VPMULLQZ128rr
+    1148065U,	// VPMULLQZ128rrk
+    1164338U,	// VPMULLQZ128rrkz
+    256U,	// VPMULLQZ256rm
+    3136U,	// VPMULLQZ256rmb
+    2032801U,	// VPMULLQZ256rmbk
+    2049074U,	// VPMULLQZ256rmbkz
+    361633U,	// VPMULLQZ256rmk
+    1426482U,	// VPMULLQZ256rmkz
+    48U,	// VPMULLQZ256rr
+    1148065U,	// VPMULLQZ256rrk
+    1164338U,	// VPMULLQZ256rrkz
+    240U,	// VPMULLQZrm
+    4160U,	// VPMULLQZrmb
+    2557089U,	// VPMULLQZrmbk
+    2573362U,	// VPMULLQZrmbkz
+    394401U,	// VPMULLQZrmk
+    1459250U,	// VPMULLQZrmkz
+    48U,	// VPMULLQZrr
+    1148065U,	// VPMULLQZrrk
+    1164338U,	// VPMULLQZrrkz
+    256U,	// VPMULLWYrm
+    48U,	// VPMULLWYrr
+    224U,	// VPMULLWZ128rm
+    328865U,	// VPMULLWZ128rmk
+    1393714U,	// VPMULLWZ128rmkz
+    48U,	// VPMULLWZ128rr
+    1148065U,	// VPMULLWZ128rrk
+    1164338U,	// VPMULLWZ128rrkz
+    256U,	// VPMULLWZ256rm
+    361633U,	// VPMULLWZ256rmk
+    1426482U,	// VPMULLWZ256rmkz
+    48U,	// VPMULLWZ256rr
+    1148065U,	// VPMULLWZ256rrk
+    1164338U,	// VPMULLWZ256rrkz
+    240U,	// VPMULLWZrm
+    394401U,	// VPMULLWZrmk
+    1459250U,	// VPMULLWZrmkz
+    48U,	// VPMULLWZrr
+    1148065U,	// VPMULLWZrrk
+    1164338U,	// VPMULLWZrrkz
+    224U,	// VPMULLWrm
+    48U,	// VPMULLWrr
+    256U,	// VPMULUDQYrm
+    48U,	// VPMULUDQYrr
+    240U,	// VPMULUDQZrm
+    4160U,	// VPMULUDQZrmb
+    2573361U,	// VPMULUDQZrmbk
+    2573362U,	// VPMULUDQZrmbkz
+    1459249U,	// VPMULUDQZrmk
+    1459250U,	// VPMULUDQZrmkz
+    48U,	// VPMULUDQZrr
+    1164337U,	// VPMULUDQZrrk
+    1164338U,	// VPMULUDQZrrkz
+    224U,	// VPMULUDQrm
+    48U,	// VPMULUDQrr
+    224U,	// VPORDZ128rm
+    3104U,	// VPORDZ128rmb
+    2000033U,	// VPORDZ128rmbk
+    2016306U,	// VPORDZ128rmbkz
+    328865U,	// VPORDZ128rmk
+    1393714U,	// VPORDZ128rmkz
+    48U,	// VPORDZ128rr
+    1148065U,	// VPORDZ128rrk
+    1164338U,	// VPORDZ128rrkz
+    256U,	// VPORDZ256rm
+    4128U,	// VPORDZ256rmb
+    2524321U,	// VPORDZ256rmbk
+    2540594U,	// VPORDZ256rmbkz
+    361633U,	// VPORDZ256rmk
+    1426482U,	// VPORDZ256rmkz
+    48U,	// VPORDZ256rr
+    1148065U,	// VPORDZ256rrk
+    1164338U,	// VPORDZ256rrkz
+    240U,	// VPORDZrm
+    5152U,	// VPORDZrmb
+    3048609U,	// VPORDZrmbk
+    3064882U,	// VPORDZrmbkz
+    394401U,	// VPORDZrmk
+    1459250U,	// VPORDZrmkz
+    48U,	// VPORDZrr
+    1148065U,	// VPORDZrrk
+    1164338U,	// VPORDZrrkz
+    224U,	// VPORQZ128rm
+    2112U,	// VPORQZ128rmb
+    984225U,	// VPORQZ128rmbk
+    1000498U,	// VPORQZ128rmbkz
+    328865U,	// VPORQZ128rmk
+    1393714U,	// VPORQZ128rmkz
+    48U,	// VPORQZ128rr
+    1148065U,	// VPORQZ128rrk
+    1164338U,	// VPORQZ128rrkz
+    256U,	// VPORQZ256rm
+    3136U,	// VPORQZ256rmb
+    2032801U,	// VPORQZ256rmbk
+    2049074U,	// VPORQZ256rmbkz
+    361633U,	// VPORQZ256rmk
+    1426482U,	// VPORQZ256rmkz
+    48U,	// VPORQZ256rr
+    1148065U,	// VPORQZ256rrk
+    1164338U,	// VPORQZ256rrkz
+    240U,	// VPORQZrm
+    4160U,	// VPORQZrmb
+    2557089U,	// VPORQZrmbk
+    2573362U,	// VPORQZrmbkz
+    394401U,	// VPORQZrmk
+    1459250U,	// VPORQZrmkz
+    48U,	// VPORQZrr
+    1148065U,	// VPORQZrrk
+    1164338U,	// VPORQZrrkz
+    256U,	// VPORYrm
+    48U,	// VPORYrr
+    224U,	// VPORrm
+    48U,	// VPORrr
+    1066208U,	// VPPERMmr
+    1393712U,	// VPPERMrm
+    1164336U,	// VPPERMrr
+    80U,	// VPROTBmi
+    80U,	// VPROTBmr
+    48U,	// VPROTBri
+    224U,	// VPROTBrm
+    48U,	// VPROTBrr
+    80U,	// VPROTDmi
+    80U,	// VPROTDmr
+    48U,	// VPROTDri
+    224U,	// VPROTDrm
+    48U,	// VPROTDrr
+    80U,	// VPROTQmi
+    80U,	// VPROTQmr
+    48U,	// VPROTQri
+    224U,	// VPROTQrm
+    48U,	// VPROTQrr
+    80U,	// VPROTWmi
+    80U,	// VPROTWmr
+    48U,	// VPROTWri
+    224U,	// VPROTWrm
+    48U,	// VPROTWrr
+    256U,	// VPSADBWYrm
+    48U,	// VPSADBWYrr
+    224U,	// VPSADBWrm
+    48U,	// VPSADBWrr
     0U,	// VPSCATTERDDZmr
     0U,	// VPSCATTERDQZmr
     0U,	// VPSCATTERQDZmr
     0U,	// VPSCATTERQQZmr
-    0U,	// VPSHABmr
-    88U,	// VPSHABrm
-    8U,	// VPSHABrr
-    0U,	// VPSHADmr
-    88U,	// VPSHADrm
-    8U,	// VPSHADrr
-    0U,	// VPSHAQmr
-    88U,	// VPSHAQrm
-    8U,	// VPSHAQrr
-    0U,	// VPSHAWmr
-    88U,	// VPSHAWrm
-    8U,	// VPSHAWrr
-    0U,	// VPSHLBmr
-    88U,	// VPSHLBrm
-    8U,	// VPSHLBrr
-    0U,	// VPSHLDmr
-    88U,	// VPSHLDrm
-    8U,	// VPSHLDrr
-    0U,	// VPSHLQmr
-    88U,	// VPSHLQrm
-    8U,	// VPSHLQrr
-    0U,	// VPSHLWmr
-    88U,	// VPSHLWrm
-    8U,	// VPSHLWrr
-    104U,	// VPSHUFBYrm
-    8U,	// VPSHUFBYrr
-    88U,	// VPSHUFBrm
-    8U,	// VPSHUFBrr
+    80U,	// VPSHABmr
+    224U,	// VPSHABrm
+    48U,	// VPSHABrr
+    80U,	// VPSHADmr
+    224U,	// VPSHADrm
+    48U,	// VPSHADrr
+    80U,	// VPSHAQmr
+    224U,	// VPSHAQrm
+    48U,	// VPSHAQrr
+    80U,	// VPSHAWmr
+    224U,	// VPSHAWrm
+    48U,	// VPSHAWrr
+    80U,	// VPSHLBmr
+    224U,	// VPSHLBrm
+    48U,	// VPSHLBrr
+    80U,	// VPSHLDmr
+    224U,	// VPSHLDrm
+    48U,	// VPSHLDrr
+    80U,	// VPSHLQmr
+    224U,	// VPSHLQrm
+    48U,	// VPSHLQrr
+    80U,	// VPSHLWmr
+    224U,	// VPSHLWrm
+    48U,	// VPSHLWrr
+    256U,	// VPSHUFBYrm
+    48U,	// VPSHUFBYrr
+    224U,	// VPSHUFBrm
+    48U,	// VPSHUFBrr
     0U,	// VPSHUFDYmi
-    8U,	// VPSHUFDYri
+    16U,	// VPSHUFDYri
     0U,	// VPSHUFDZmi
-    8U,	// VPSHUFDZri
+    16U,	// VPSHUFDZri
     0U,	// VPSHUFDmi
-    8U,	// VPSHUFDri
+    16U,	// VPSHUFDri
     0U,	// VPSHUFHWYmi
-    8U,	// VPSHUFHWYri
+    16U,	// VPSHUFHWYri
     0U,	// VPSHUFHWmi
-    8U,	// VPSHUFHWri
+    16U,	// VPSHUFHWri
     0U,	// VPSHUFLWYmi
-    8U,	// VPSHUFLWYri
+    16U,	// VPSHUFLWYri
     0U,	// VPSHUFLWmi
-    8U,	// VPSHUFLWri
-    104U,	// VPSIGNBYrm
-    8U,	// VPSIGNBYrr
-    88U,	// VPSIGNBrm
-    8U,	// VPSIGNBrr
-    104U,	// VPSIGNDYrm
-    8U,	// VPSIGNDYrr
-    88U,	// VPSIGNDrm
-    8U,	// VPSIGNDrr
-    104U,	// VPSIGNWYrm
-    8U,	// VPSIGNWYrr
-    88U,	// VPSIGNWrm
-    8U,	// VPSIGNWrr
-    8U,	// VPSLLDQYri
-    8U,	// VPSLLDQri
-    8U,	// VPSLLDYri
-    88U,	// VPSLLDYrm
-    8U,	// VPSLLDYrr
+    16U,	// VPSHUFLWri
+    256U,	// VPSIGNBYrm
+    48U,	// VPSIGNBYrr
+    224U,	// VPSIGNBrm
+    48U,	// VPSIGNBrr
+    256U,	// VPSIGNDYrm
+    48U,	// VPSIGNDYrr
+    224U,	// VPSIGNDrm
+    48U,	// VPSIGNDrr
+    256U,	// VPSIGNWYrm
+    48U,	// VPSIGNWYrr
+    224U,	// VPSIGNWrm
+    48U,	// VPSIGNWrr
+    16U,	// VPSLLDQYri
+    16U,	// VPSLLDQri
+    16U,	// VPSLLDYri
+    224U,	// VPSLLDYrm
+    48U,	// VPSLLDYrr
     0U,	// VPSLLDZmi
-    2402U,	// VPSLLDZmik
-    8U,	// VPSLLDZri
-    8458U,	// VPSLLDZrik
-    88U,	// VPSLLDZrm
-    28938U,	// VPSLLDZrmk
-    8U,	// VPSLLDZrr
-    8458U,	// VPSLLDZrrk
-    8U,	// VPSLLDri
-    88U,	// VPSLLDrm
-    8U,	// VPSLLDrr
-    8U,	// VPSLLQYri
-    88U,	// VPSLLQYrm
-    8U,	// VPSLLQYrr
+    492985U,	// VPSLLDZmik
+    247034U,	// VPSLLDZmikz
+    16U,	// VPSLLDZri
+    1193U,	// VPSLLDZrik
+    1311802U,	// VPSLLDZrikz
+    224U,	// VPSLLDZrm
+    328873U,	// VPSLLDZrmk
+    1393722U,	// VPSLLDZrmkz
+    48U,	// VPSLLDZrr
+    1148073U,	// VPSLLDZrrk
+    1164346U,	// VPSLLDZrrkz
+    16U,	// VPSLLDri
+    224U,	// VPSLLDrm
+    48U,	// VPSLLDrr
+    16U,	// VPSLLQYri
+    224U,	// VPSLLQYrm
+    48U,	// VPSLLQYrr
     0U,	// VPSLLQZmi
-    2402U,	// VPSLLQZmik
-    8U,	// VPSLLQZri
-    8458U,	// VPSLLQZrik
-    88U,	// VPSLLQZrm
-    28938U,	// VPSLLQZrmk
-    8U,	// VPSLLQZrr
-    8458U,	// VPSLLQZrrk
-    8U,	// VPSLLQri
-    88U,	// VPSLLQrm
-    8U,	// VPSLLQrr
-    104U,	// VPSLLVDYrm
-    8U,	// VPSLLVDYrr
-    96U,	// VPSLLVDZrm
-    8U,	// VPSLLVDZrr
-    88U,	// VPSLLVDrm
-    8U,	// VPSLLVDrr
-    104U,	// VPSLLVQYrm
-    8U,	// VPSLLVQYrr
-    96U,	// VPSLLVQZrm
-    8U,	// VPSLLVQZrr
-    88U,	// VPSLLVQrm
-    8U,	// VPSLLVQrr
-    8U,	// VPSLLWYri
-    88U,	// VPSLLWYrm
-    8U,	// VPSLLWYrr
-    8U,	// VPSLLWri
-    88U,	// VPSLLWrm
-    8U,	// VPSLLWrr
-    8U,	// VPSRADYri
-    88U,	// VPSRADYrm
-    8U,	// VPSRADYrr
+    492985U,	// VPSLLQZmik
+    247034U,	// VPSLLQZmikz
+    16U,	// VPSLLQZri
+    1193U,	// VPSLLQZrik
+    1311802U,	// VPSLLQZrikz
+    224U,	// VPSLLQZrm
+    328873U,	// VPSLLQZrmk
+    1393722U,	// VPSLLQZrmkz
+    48U,	// VPSLLQZrr
+    1148073U,	// VPSLLQZrrk
+    1164346U,	// VPSLLQZrrkz
+    16U,	// VPSLLQri
+    224U,	// VPSLLQrm
+    48U,	// VPSLLQrr
+    256U,	// VPSLLVDYrm
+    48U,	// VPSLLVDYrr
+    240U,	// VPSLLVDZrm
+    394409U,	// VPSLLVDZrmk
+    1459258U,	// VPSLLVDZrmkz
+    48U,	// VPSLLVDZrr
+    1148073U,	// VPSLLVDZrrk
+    1164346U,	// VPSLLVDZrrkz
+    224U,	// VPSLLVDrm
+    48U,	// VPSLLVDrr
+    256U,	// VPSLLVQYrm
+    48U,	// VPSLLVQYrr
+    240U,	// VPSLLVQZrm
+    394409U,	// VPSLLVQZrmk
+    1459258U,	// VPSLLVQZrmkz
+    48U,	// VPSLLVQZrr
+    1148073U,	// VPSLLVQZrrk
+    1164346U,	// VPSLLVQZrrkz
+    224U,	// VPSLLVQrm
+    48U,	// VPSLLVQrr
+    16U,	// VPSLLWYri
+    224U,	// VPSLLWYrm
+    48U,	// VPSLLWYrr
+    16U,	// VPSLLWri
+    224U,	// VPSLLWrm
+    48U,	// VPSLLWrr
+    16U,	// VPSRADYri
+    224U,	// VPSRADYrm
+    48U,	// VPSRADYrr
     0U,	// VPSRADZmi
-    2402U,	// VPSRADZmik
-    8U,	// VPSRADZri
-    8458U,	// VPSRADZrik
-    88U,	// VPSRADZrm
-    28938U,	// VPSRADZrmk
-    8U,	// VPSRADZrr
-    8458U,	// VPSRADZrrk
-    8U,	// VPSRADri
-    88U,	// VPSRADrm
-    8U,	// VPSRADrr
+    492985U,	// VPSRADZmik
+    247034U,	// VPSRADZmikz
+    16U,	// VPSRADZri
+    1193U,	// VPSRADZrik
+    1311802U,	// VPSRADZrikz
+    224U,	// VPSRADZrm
+    328873U,	// VPSRADZrmk
+    1393722U,	// VPSRADZrmkz
+    48U,	// VPSRADZrr
+    1148073U,	// VPSRADZrrk
+    1164346U,	// VPSRADZrrkz
+    16U,	// VPSRADri
+    224U,	// VPSRADrm
+    48U,	// VPSRADrr
     0U,	// VPSRAQZmi
-    2402U,	// VPSRAQZmik
-    8U,	// VPSRAQZri
-    8458U,	// VPSRAQZrik
-    88U,	// VPSRAQZrm
-    28938U,	// VPSRAQZrmk
-    8U,	// VPSRAQZrr
-    8458U,	// VPSRAQZrrk
-    104U,	// VPSRAVDYrm
-    8U,	// VPSRAVDYrr
-    96U,	// VPSRAVDZrm
-    8U,	// VPSRAVDZrr
-    88U,	// VPSRAVDrm
-    8U,	// VPSRAVDrr
-    96U,	// VPSRAVQZrm
-    8U,	// VPSRAVQZrr
-    8U,	// VPSRAWYri
-    88U,	// VPSRAWYrm
-    8U,	// VPSRAWYrr
-    8U,	// VPSRAWri
-    88U,	// VPSRAWrm
-    8U,	// VPSRAWrr
-    8U,	// VPSRLDQYri
-    8U,	// VPSRLDQri
-    8U,	// VPSRLDYri
-    88U,	// VPSRLDYrm
-    8U,	// VPSRLDYrr
+    492985U,	// VPSRAQZmik
+    247034U,	// VPSRAQZmikz
+    16U,	// VPSRAQZri
+    1193U,	// VPSRAQZrik
+    1311802U,	// VPSRAQZrikz
+    224U,	// VPSRAQZrm
+    328873U,	// VPSRAQZrmk
+    1393722U,	// VPSRAQZrmkz
+    48U,	// VPSRAQZrr
+    1148073U,	// VPSRAQZrrk
+    1164346U,	// VPSRAQZrrkz
+    256U,	// VPSRAVDYrm
+    48U,	// VPSRAVDYrr
+    240U,	// VPSRAVDZrm
+    394409U,	// VPSRAVDZrmk
+    1459258U,	// VPSRAVDZrmkz
+    48U,	// VPSRAVDZrr
+    1148073U,	// VPSRAVDZrrk
+    1164346U,	// VPSRAVDZrrkz
+    224U,	// VPSRAVDrm
+    48U,	// VPSRAVDrr
+    240U,	// VPSRAVQZrm
+    394409U,	// VPSRAVQZrmk
+    1459258U,	// VPSRAVQZrmkz
+    48U,	// VPSRAVQZrr
+    1148073U,	// VPSRAVQZrrk
+    1164346U,	// VPSRAVQZrrkz
+    16U,	// VPSRAWYri
+    224U,	// VPSRAWYrm
+    48U,	// VPSRAWYrr
+    16U,	// VPSRAWri
+    224U,	// VPSRAWrm
+    48U,	// VPSRAWrr
+    16U,	// VPSRLDQYri
+    16U,	// VPSRLDQri
+    16U,	// VPSRLDYri
+    224U,	// VPSRLDYrm
+    48U,	// VPSRLDYrr
     0U,	// VPSRLDZmi
-    2402U,	// VPSRLDZmik
-    8U,	// VPSRLDZri
-    8458U,	// VPSRLDZrik
-    88U,	// VPSRLDZrm
-    28938U,	// VPSRLDZrmk
-    8U,	// VPSRLDZrr
-    8458U,	// VPSRLDZrrk
-    8U,	// VPSRLDri
-    88U,	// VPSRLDrm
-    8U,	// VPSRLDrr
-    8U,	// VPSRLQYri
-    88U,	// VPSRLQYrm
-    8U,	// VPSRLQYrr
+    492985U,	// VPSRLDZmik
+    247034U,	// VPSRLDZmikz
+    16U,	// VPSRLDZri
+    1193U,	// VPSRLDZrik
+    1311802U,	// VPSRLDZrikz
+    224U,	// VPSRLDZrm
+    328873U,	// VPSRLDZrmk
+    1393722U,	// VPSRLDZrmkz
+    48U,	// VPSRLDZrr
+    1148073U,	// VPSRLDZrrk
+    1164346U,	// VPSRLDZrrkz
+    16U,	// VPSRLDri
+    224U,	// VPSRLDrm
+    48U,	// VPSRLDrr
+    16U,	// VPSRLQYri
+    224U,	// VPSRLQYrm
+    48U,	// VPSRLQYrr
     0U,	// VPSRLQZmi
-    2402U,	// VPSRLQZmik
-    8U,	// VPSRLQZri
-    8458U,	// VPSRLQZrik
-    88U,	// VPSRLQZrm
-    28938U,	// VPSRLQZrmk
-    8U,	// VPSRLQZrr
-    8458U,	// VPSRLQZrrk
-    8U,	// VPSRLQri
-    88U,	// VPSRLQrm
-    8U,	// VPSRLQrr
-    104U,	// VPSRLVDYrm
-    8U,	// VPSRLVDYrr
-    96U,	// VPSRLVDZrm
-    8U,	// VPSRLVDZrr
-    88U,	// VPSRLVDrm
-    8U,	// VPSRLVDrr
-    104U,	// VPSRLVQYrm
-    8U,	// VPSRLVQYrr
-    96U,	// VPSRLVQZrm
-    8U,	// VPSRLVQZrr
-    88U,	// VPSRLVQrm
-    8U,	// VPSRLVQrr
-    8U,	// VPSRLWYri
-    88U,	// VPSRLWYrm
-    8U,	// VPSRLWYrr
-    8U,	// VPSRLWri
-    88U,	// VPSRLWrm
-    8U,	// VPSRLWrr
-    104U,	// VPSUBBYrm
-    8U,	// VPSUBBYrr
-    88U,	// VPSUBBrm
-    8U,	// VPSUBBrr
-    104U,	// VPSUBDYrm
-    8U,	// VPSUBDYrr
-    96U,	// VPSUBDZrm
-    784U,	// VPSUBDZrmb
-    16682U,	// VPSUBDZrmbk
-    117002U,	// VPSUBDZrmbkz
-    20778U,	// VPSUBDZrmk
-    22794U,	// VPSUBDZrmkz
-    8U,	// VPSUBDZrr
-    298U,	// VPSUBDZrrk
-    8458U,	// VPSUBDZrrkz
-    88U,	// VPSUBDrm
-    8U,	// VPSUBDrr
-    104U,	// VPSUBQYrm
-    8U,	// VPSUBQYrr
-    96U,	// VPSUBQZrm
-    536U,	// VPSUBQZrmb
-    24874U,	// VPSUBQZrmbk
-    92426U,	// VPSUBQZrmbkz
-    20778U,	// VPSUBQZrmk
-    22794U,	// VPSUBQZrmkz
-    8U,	// VPSUBQZrr
-    298U,	// VPSUBQZrrk
-    8458U,	// VPSUBQZrrkz
-    88U,	// VPSUBQrm
-    8U,	// VPSUBQrr
-    104U,	// VPSUBSBYrm
-    8U,	// VPSUBSBYrr
-    88U,	// VPSUBSBrm
-    8U,	// VPSUBSBrr
-    104U,	// VPSUBSWYrm
-    8U,	// VPSUBSWYrr
-    88U,	// VPSUBSWrm
-    8U,	// VPSUBSWrr
-    104U,	// VPSUBUSBYrm
-    8U,	// VPSUBUSBYrr
-    88U,	// VPSUBUSBrm
-    8U,	// VPSUBUSBrr
-    104U,	// VPSUBUSWYrm
-    8U,	// VPSUBUSWYrr
-    88U,	// VPSUBUSWrm
-    8U,	// VPSUBUSWrr
-    104U,	// VPSUBWYrm
-    8U,	// VPSUBWYrr
-    88U,	// VPSUBWrm
-    8U,	// VPSUBWrr
-    72U,	// VPTESTMDZrm
-    8U,	// VPTESTMDZrr
-    72U,	// VPTESTMQZrm
-    8U,	// VPTESTMQZrr
-    72U,	// VPTESTNMDZrm
-    8U,	// VPTESTNMDZrr
-    72U,	// VPTESTNMQZrm
-    8U,	// VPTESTNMQZrr
+    492985U,	// VPSRLQZmik
+    247034U,	// VPSRLQZmikz
+    16U,	// VPSRLQZri
+    1193U,	// VPSRLQZrik
+    1311802U,	// VPSRLQZrikz
+    224U,	// VPSRLQZrm
+    328873U,	// VPSRLQZrmk
+    1393722U,	// VPSRLQZrmkz
+    48U,	// VPSRLQZrr
+    1148073U,	// VPSRLQZrrk
+    1164346U,	// VPSRLQZrrkz
+    16U,	// VPSRLQri
+    224U,	// VPSRLQrm
+    48U,	// VPSRLQrr
+    256U,	// VPSRLVDYrm
+    48U,	// VPSRLVDYrr
+    240U,	// VPSRLVDZrm
+    394409U,	// VPSRLVDZrmk
+    1459258U,	// VPSRLVDZrmkz
+    48U,	// VPSRLVDZrr
+    1148073U,	// VPSRLVDZrrk
+    1164346U,	// VPSRLVDZrrkz
+    224U,	// VPSRLVDrm
+    48U,	// VPSRLVDrr
+    256U,	// VPSRLVQYrm
+    48U,	// VPSRLVQYrr
+    240U,	// VPSRLVQZrm
+    394409U,	// VPSRLVQZrmk
+    1459258U,	// VPSRLVQZrmkz
+    48U,	// VPSRLVQZrr
+    1148073U,	// VPSRLVQZrrk
+    1164346U,	// VPSRLVQZrrkz
+    224U,	// VPSRLVQrm
+    48U,	// VPSRLVQrr
+    16U,	// VPSRLWYri
+    224U,	// VPSRLWYrm
+    48U,	// VPSRLWYrr
+    16U,	// VPSRLWri
+    224U,	// VPSRLWrm
+    48U,	// VPSRLWrr
+    256U,	// VPSUBBYrm
+    48U,	// VPSUBBYrr
+    224U,	// VPSUBBZ128rm
+    328865U,	// VPSUBBZ128rmk
+    1393714U,	// VPSUBBZ128rmkz
+    48U,	// VPSUBBZ128rr
+    1148065U,	// VPSUBBZ128rrk
+    1164338U,	// VPSUBBZ128rrkz
+    256U,	// VPSUBBZ256rm
+    361633U,	// VPSUBBZ256rmk
+    1426482U,	// VPSUBBZ256rmkz
+    48U,	// VPSUBBZ256rr
+    1148065U,	// VPSUBBZ256rrk
+    1164338U,	// VPSUBBZ256rrkz
+    240U,	// VPSUBBZrm
+    394401U,	// VPSUBBZrmk
+    1459250U,	// VPSUBBZrmkz
+    48U,	// VPSUBBZrr
+    1148065U,	// VPSUBBZrrk
+    1164338U,	// VPSUBBZrrkz
+    224U,	// VPSUBBrm
+    48U,	// VPSUBBrr
+    256U,	// VPSUBDYrm
+    48U,	// VPSUBDYrr
+    224U,	// VPSUBDZ128rm
+    3104U,	// VPSUBDZ128rmb
+    2000033U,	// VPSUBDZ128rmbk
+    2016306U,	// VPSUBDZ128rmbkz
+    328865U,	// VPSUBDZ128rmk
+    1393714U,	// VPSUBDZ128rmkz
+    48U,	// VPSUBDZ128rr
+    1148065U,	// VPSUBDZ128rrk
+    1164338U,	// VPSUBDZ128rrkz
+    256U,	// VPSUBDZ256rm
+    4128U,	// VPSUBDZ256rmb
+    2524321U,	// VPSUBDZ256rmbk
+    2540594U,	// VPSUBDZ256rmbkz
+    361633U,	// VPSUBDZ256rmk
+    1426482U,	// VPSUBDZ256rmkz
+    48U,	// VPSUBDZ256rr
+    1148065U,	// VPSUBDZ256rrk
+    1164338U,	// VPSUBDZ256rrkz
+    240U,	// VPSUBDZrm
+    5152U,	// VPSUBDZrmb
+    3048609U,	// VPSUBDZrmbk
+    3064882U,	// VPSUBDZrmbkz
+    394401U,	// VPSUBDZrmk
+    1459250U,	// VPSUBDZrmkz
+    48U,	// VPSUBDZrr
+    1148065U,	// VPSUBDZrrk
+    1164338U,	// VPSUBDZrrkz
+    224U,	// VPSUBDrm
+    48U,	// VPSUBDrr
+    256U,	// VPSUBQYrm
+    48U,	// VPSUBQYrr
+    224U,	// VPSUBQZ128rm
+    2112U,	// VPSUBQZ128rmb
+    984225U,	// VPSUBQZ128rmbk
+    1000498U,	// VPSUBQZ128rmbkz
+    328865U,	// VPSUBQZ128rmk
+    1393714U,	// VPSUBQZ128rmkz
+    48U,	// VPSUBQZ128rr
+    1148065U,	// VPSUBQZ128rrk
+    1164338U,	// VPSUBQZ128rrkz
+    256U,	// VPSUBQZ256rm
+    3136U,	// VPSUBQZ256rmb
+    2032801U,	// VPSUBQZ256rmbk
+    2049074U,	// VPSUBQZ256rmbkz
+    361633U,	// VPSUBQZ256rmk
+    1426482U,	// VPSUBQZ256rmkz
+    48U,	// VPSUBQZ256rr
+    1148065U,	// VPSUBQZ256rrk
+    1164338U,	// VPSUBQZ256rrkz
+    240U,	// VPSUBQZrm
+    4160U,	// VPSUBQZrmb
+    2557089U,	// VPSUBQZrmbk
+    2573362U,	// VPSUBQZrmbkz
+    394401U,	// VPSUBQZrmk
+    1459250U,	// VPSUBQZrmkz
+    48U,	// VPSUBQZrr
+    1148065U,	// VPSUBQZrrk
+    1164338U,	// VPSUBQZrrkz
+    224U,	// VPSUBQrm
+    48U,	// VPSUBQrr
+    256U,	// VPSUBSBYrm
+    48U,	// VPSUBSBYrr
+    224U,	// VPSUBSBrm
+    48U,	// VPSUBSBrr
+    256U,	// VPSUBSWYrm
+    48U,	// VPSUBSWYrr
+    224U,	// VPSUBSWrm
+    48U,	// VPSUBSWrr
+    256U,	// VPSUBUSBYrm
+    48U,	// VPSUBUSBYrr
+    224U,	// VPSUBUSBrm
+    48U,	// VPSUBUSBrr
+    256U,	// VPSUBUSWYrm
+    48U,	// VPSUBUSWYrr
+    224U,	// VPSUBUSWrm
+    48U,	// VPSUBUSWrr
+    256U,	// VPSUBWYrm
+    48U,	// VPSUBWYrr
+    224U,	// VPSUBWZ128rm
+    328865U,	// VPSUBWZ128rmk
+    1393714U,	// VPSUBWZ128rmkz
+    48U,	// VPSUBWZ128rr
+    1148065U,	// VPSUBWZ128rrk
+    1164338U,	// VPSUBWZ128rrkz
+    256U,	// VPSUBWZ256rm
+    361633U,	// VPSUBWZ256rmk
+    1426482U,	// VPSUBWZ256rmkz
+    48U,	// VPSUBWZ256rr
+    1148065U,	// VPSUBWZ256rrk
+    1164338U,	// VPSUBWZ256rrkz
+    240U,	// VPSUBWZrm
+    394401U,	// VPSUBWZrmk
+    1459250U,	// VPSUBWZrmkz
+    48U,	// VPSUBWZrr
+    1148065U,	// VPSUBWZrrk
+    1164338U,	// VPSUBWZrrkz
+    224U,	// VPSUBWrm
+    48U,	// VPSUBWrr
+    208U,	// VPTESTMDZrm
+    48U,	// VPTESTMDZrr
+    208U,	// VPTESTMQZrm
+    48U,	// VPTESTMQZrr
+    208U,	// VPTESTNMDZrm
+    48U,	// VPTESTNMDZrr
+    208U,	// VPTESTNMQZrm
+    48U,	// VPTESTNMQZrr
     0U,	// VPTESTYrm
     0U,	// VPTESTYrr
     0U,	// VPTESTrm
     0U,	// VPTESTrr
-    104U,	// VPUNPCKHBWYrm
-    8U,	// VPUNPCKHBWYrr
-    88U,	// VPUNPCKHBWrm
-    8U,	// VPUNPCKHBWrr
-    104U,	// VPUNPCKHDQYrm
-    8U,	// VPUNPCKHDQYrr
-    96U,	// VPUNPCKHDQZrm
-    8U,	// VPUNPCKHDQZrr
-    88U,	// VPUNPCKHDQrm
-    8U,	// VPUNPCKHDQrr
-    104U,	// VPUNPCKHQDQYrm
-    8U,	// VPUNPCKHQDQYrr
-    96U,	// VPUNPCKHQDQZrm
-    8U,	// VPUNPCKHQDQZrr
-    88U,	// VPUNPCKHQDQrm
-    8U,	// VPUNPCKHQDQrr
-    104U,	// VPUNPCKHWDYrm
-    8U,	// VPUNPCKHWDYrr
-    88U,	// VPUNPCKHWDrm
-    8U,	// VPUNPCKHWDrr
-    104U,	// VPUNPCKLBWYrm
-    8U,	// VPUNPCKLBWYrr
-    88U,	// VPUNPCKLBWrm
-    8U,	// VPUNPCKLBWrr
-    104U,	// VPUNPCKLDQYrm
-    8U,	// VPUNPCKLDQYrr
-    96U,	// VPUNPCKLDQZrm
-    8U,	// VPUNPCKLDQZrr
-    88U,	// VPUNPCKLDQrm
-    8U,	// VPUNPCKLDQrr
-    104U,	// VPUNPCKLQDQYrm
-    8U,	// VPUNPCKLQDQYrr
-    96U,	// VPUNPCKLQDQZrm
-    8U,	// VPUNPCKLQDQZrr
-    88U,	// VPUNPCKLQDQrm
-    8U,	// VPUNPCKLQDQrr
-    104U,	// VPUNPCKLWDYrm
-    8U,	// VPUNPCKLWDYrr
-    88U,	// VPUNPCKLWDrm
-    8U,	// VPUNPCKLWDrr
-    96U,	// VPXORDZrm
-    784U,	// VPXORDZrmb
-    16682U,	// VPXORDZrmbk
-    117002U,	// VPXORDZrmbkz
-    20778U,	// VPXORDZrmk
-    22794U,	// VPXORDZrmkz
-    8U,	// VPXORDZrr
-    298U,	// VPXORDZrrk
-    8458U,	// VPXORDZrrkz
-    96U,	// VPXORQZrm
-    536U,	// VPXORQZrmb
-    24874U,	// VPXORQZrmbk
-    92426U,	// VPXORQZrmbkz
-    20778U,	// VPXORQZrmk
-    22794U,	// VPXORQZrmkz
-    8U,	// VPXORQZrr
-    298U,	// VPXORQZrrk
-    8458U,	// VPXORQZrrkz
-    104U,	// VPXORYrm
-    8U,	// VPXORYrr
-    88U,	// VPXORrm
-    8U,	// VPXORrr
+    256U,	// VPUNPCKHBWYrm
+    48U,	// VPUNPCKHBWYrr
+    224U,	// VPUNPCKHBWrm
+    48U,	// VPUNPCKHBWrr
+    256U,	// VPUNPCKHDQYrm
+    48U,	// VPUNPCKHDQYrr
+    240U,	// VPUNPCKHDQZrm
+    48U,	// VPUNPCKHDQZrr
+    224U,	// VPUNPCKHDQrm
+    48U,	// VPUNPCKHDQrr
+    256U,	// VPUNPCKHQDQYrm
+    48U,	// VPUNPCKHQDQYrr
+    240U,	// VPUNPCKHQDQZrm
+    48U,	// VPUNPCKHQDQZrr
+    224U,	// VPUNPCKHQDQrm
+    48U,	// VPUNPCKHQDQrr
+    256U,	// VPUNPCKHWDYrm
+    48U,	// VPUNPCKHWDYrr
+    224U,	// VPUNPCKHWDrm
+    48U,	// VPUNPCKHWDrr
+    256U,	// VPUNPCKLBWYrm
+    48U,	// VPUNPCKLBWYrr
+    224U,	// VPUNPCKLBWrm
+    48U,	// VPUNPCKLBWrr
+    256U,	// VPUNPCKLDQYrm
+    48U,	// VPUNPCKLDQYrr
+    240U,	// VPUNPCKLDQZrm
+    48U,	// VPUNPCKLDQZrr
+    224U,	// VPUNPCKLDQrm
+    48U,	// VPUNPCKLDQrr
+    256U,	// VPUNPCKLQDQYrm
+    48U,	// VPUNPCKLQDQYrr
+    240U,	// VPUNPCKLQDQZrm
+    48U,	// VPUNPCKLQDQZrr
+    224U,	// VPUNPCKLQDQrm
+    48U,	// VPUNPCKLQDQrr
+    256U,	// VPUNPCKLWDYrm
+    48U,	// VPUNPCKLWDYrr
+    224U,	// VPUNPCKLWDrm
+    48U,	// VPUNPCKLWDrr
+    224U,	// VPXORDZ128rm
+    3104U,	// VPXORDZ128rmb
+    2000033U,	// VPXORDZ128rmbk
+    2016306U,	// VPXORDZ128rmbkz
+    328865U,	// VPXORDZ128rmk
+    1393714U,	// VPXORDZ128rmkz
+    48U,	// VPXORDZ128rr
+    1148065U,	// VPXORDZ128rrk
+    1164338U,	// VPXORDZ128rrkz
+    256U,	// VPXORDZ256rm
+    4128U,	// VPXORDZ256rmb
+    2524321U,	// VPXORDZ256rmbk
+    2540594U,	// VPXORDZ256rmbkz
+    361633U,	// VPXORDZ256rmk
+    1426482U,	// VPXORDZ256rmkz
+    48U,	// VPXORDZ256rr
+    1148065U,	// VPXORDZ256rrk
+    1164338U,	// VPXORDZ256rrkz
+    240U,	// VPXORDZrm
+    5152U,	// VPXORDZrmb
+    3048609U,	// VPXORDZrmbk
+    3064882U,	// VPXORDZrmbkz
+    394401U,	// VPXORDZrmk
+    1459250U,	// VPXORDZrmkz
+    48U,	// VPXORDZrr
+    1148065U,	// VPXORDZrrk
+    1164338U,	// VPXORDZrrkz
+    224U,	// VPXORQZ128rm
+    2112U,	// VPXORQZ128rmb
+    984225U,	// VPXORQZ128rmbk
+    1000498U,	// VPXORQZ128rmbkz
+    328865U,	// VPXORQZ128rmk
+    1393714U,	// VPXORQZ128rmkz
+    48U,	// VPXORQZ128rr
+    1148065U,	// VPXORQZ128rrk
+    1164338U,	// VPXORQZ128rrkz
+    256U,	// VPXORQZ256rm
+    3136U,	// VPXORQZ256rmb
+    2032801U,	// VPXORQZ256rmbk
+    2049074U,	// VPXORQZ256rmbkz
+    361633U,	// VPXORQZ256rmk
+    1426482U,	// VPXORQZ256rmkz
+    48U,	// VPXORQZ256rr
+    1148065U,	// VPXORQZ256rrk
+    1164338U,	// VPXORQZ256rrkz
+    240U,	// VPXORQZrm
+    4160U,	// VPXORQZrmb
+    2557089U,	// VPXORQZrmbk
+    2573362U,	// VPXORQZrmbkz
+    394401U,	// VPXORQZrmk
+    1459250U,	// VPXORQZrmkz
+    48U,	// VPXORQZrr
+    1148065U,	// VPXORQZrrk
+    1164338U,	// VPXORQZrrkz
+    256U,	// VPXORYrm
+    48U,	// VPXORYrr
+    224U,	// VPXORrm
+    48U,	// VPXORrr
+    0U,	// VRCP14PDZ128m
+    10U,	// VRCP14PDZ128mb
+    2321U,	// VRCP14PDZ128mbk
+    2178U,	// VRCP14PDZ128mbkz
+    353U,	// VRCP14PDZ128mk
+    194U,	// VRCP14PDZ128mkz
+    0U,	// VRCP14PDZ128r
+    161U,	// VRCP14PDZ128rk
+    50U,	// VRCP14PDZ128rkz
+    0U,	// VRCP14PDZ256m
+    11U,	// VRCP14PDZ256mb
+    3345U,	// VRCP14PDZ256mbk
+    3202U,	// VRCP14PDZ256mbkz
+    369U,	// VRCP14PDZ256mk
+    178U,	// VRCP14PDZ256mkz
+    0U,	// VRCP14PDZ256r
+    161U,	// VRCP14PDZ256rk
+    50U,	// VRCP14PDZ256rkz
     0U,	// VRCP14PDZm
+    5U,	// VRCP14PDZmb
+    4369U,	// VRCP14PDZmbk
+    4226U,	// VRCP14PDZmbkz
+    321U,	// VRCP14PDZmk
+    210U,	// VRCP14PDZmkz
     0U,	// VRCP14PDZr
+    161U,	// VRCP14PDZrk
+    50U,	// VRCP14PDZrkz
+    0U,	// VRCP14PSZ128m
+    11U,	// VRCP14PSZ128mb
+    3361U,	// VRCP14PSZ128mbk
+    3218U,	// VRCP14PSZ128mbkz
+    353U,	// VRCP14PSZ128mk
+    194U,	// VRCP14PSZ128mkz
+    0U,	// VRCP14PSZ128r
+    161U,	// VRCP14PSZ128rk
+    50U,	// VRCP14PSZ128rkz
+    0U,	// VRCP14PSZ256m
+    5U,	// VRCP14PSZ256mb
+    4385U,	// VRCP14PSZ256mbk
+    4242U,	// VRCP14PSZ256mbkz
+    369U,	// VRCP14PSZ256mk
+    178U,	// VRCP14PSZ256mkz
+    0U,	// VRCP14PSZ256r
+    161U,	// VRCP14PSZ256rk
+    50U,	// VRCP14PSZ256rkz
     0U,	// VRCP14PSZm
+    5U,	// VRCP14PSZmb
+    5409U,	// VRCP14PSZmbk
+    5266U,	// VRCP14PSZmbkz
+    321U,	// VRCP14PSZmk
+    210U,	// VRCP14PSZmkz
     0U,	// VRCP14PSZr
-    48U,	// VRCP14SDrm
-    8U,	// VRCP14SDrr
-    56U,	// VRCP14SSrm
-    8U,	// VRCP14SSrr
-    0U,	// VRCP28PDZm
-    0U,	// VRCP28PDZr
-    3U,	// VRCP28PDZrb
-    0U,	// VRCP28PSZm
-    0U,	// VRCP28PSZr
-    3U,	// VRCP28PSZrb
-    48U,	// VRCP28SDrm
-    8U,	// VRCP28SDrr
-    1544U,	// VRCP28SDrrb
-    56U,	// VRCP28SSrm
-    8U,	// VRCP28SSrr
-    1544U,	// VRCP28SSrrb
+    161U,	// VRCP14PSZrk
+    50U,	// VRCP14PSZrkz
+    128U,	// VRCP14SDrm
+    48U,	// VRCP14SDrr
+    144U,	// VRCP14SSrm
+    48U,	// VRCP14SSrr
+    0U,	// VRCP28PDm
+    0U,	// VRCP28PDmb
+    321U,	// VRCP28PDmbk
+    210U,	// VRCP28PDmbkz
+    321U,	// VRCP28PDmk
+    210U,	// VRCP28PDmkz
+    0U,	// VRCP28PDr
+    0U,	// VRCP28PDrb
+    338U,	// VRCP28PDrbk
+    339U,	// VRCP28PDrbkz
+    161U,	// VRCP28PDrk
+    50U,	// VRCP28PDrkz
+    0U,	// VRCP28PSm
+    0U,	// VRCP28PSmb
+    321U,	// VRCP28PSmbk
+    210U,	// VRCP28PSmbkz
+    321U,	// VRCP28PSmk
+    210U,	// VRCP28PSmkz
+    0U,	// VRCP28PSr
+    0U,	// VRCP28PSrb
+    338U,	// VRCP28PSrbk
+    339U,	// VRCP28PSrbkz
+    161U,	// VRCP28PSrk
+    50U,	// VRCP28PSrkz
+    192U,	// VRCP28SDm
+    1115297U,	// VRCP28SDmk
+    1131570U,	// VRCP28SDmkz
+    48U,	// VRCP28SDr
+    340U,	// VRCP28SDrb
+    318850U,	// VRCP28SDrbk
+    319875U,	// VRCP28SDrbkz
+    1148065U,	// VRCP28SDrk
+    1164338U,	// VRCP28SDrkz
+    192U,	// VRCP28SSm
+    1115297U,	// VRCP28SSmk
+    1131570U,	// VRCP28SSmkz
+    48U,	// VRCP28SSr
+    340U,	// VRCP28SSrb
+    318850U,	// VRCP28SSrbk
+    319875U,	// VRCP28SSrbkz
+    1148065U,	// VRCP28SSrk
+    1164338U,	// VRCP28SSrkz
     0U,	// VRCPPSYm
     0U,	// VRCPPSYm_Int
     0U,	// VRCPPSYr
@@ -12260,51 +17219,145 @@ static void printInstruction(MCInst *MI,
     0U,	// VRCPPSm_Int
     0U,	// VRCPPSr
     0U,	// VRCPPSr_Int
-    56U,	// VRCPSSm
-    56U,	// VRCPSSm_Int
-    8U,	// VRCPSSr
+    144U,	// VRCPSSm
+    144U,	// VRCPSSm_Int
+    48U,	// VRCPSSr
     0U,	// VRNDSCALEPDZm
-    8U,	// VRNDSCALEPDZr
+    16U,	// VRNDSCALEPDZr
     0U,	// VRNDSCALEPSZm
-    8U,	// VRNDSCALEPSZr
-    48U,	// VRNDSCALESDm
-    8U,	// VRNDSCALESDr
-    56U,	// VRNDSCALESSm
-    8U,	// VRNDSCALESSr
+    16U,	// VRNDSCALEPSZr
+    246976U,	// VRNDSCALESDm
+    58786977U,	// VRNDSCALESDmk
+    42026034U,	// VRNDSCALESDmkz
+    1311792U,	// VRNDSCALESDr
+    13700U,	// VRNDSCALESDrb
+    6282626U,	// VRNDSCALESDrbk
+    6807939U,	// VRNDSCALESDrbkz
+    25265313U,	// VRNDSCALESDrk
+    33670194U,	// VRNDSCALESDrkz
+    246976U,	// VRNDSCALESSm
+    58786977U,	// VRNDSCALESSmk
+    42026034U,	// VRNDSCALESSmkz
+    1311792U,	// VRNDSCALESSr
+    13700U,	// VRNDSCALESSrb
+    6282626U,	// VRNDSCALESSrbk
+    6807939U,	// VRNDSCALESSrbkz
+    25265313U,	// VRNDSCALESSrk
+    33670194U,	// VRNDSCALESSrkz
     0U,	// VROUNDPDm
-    8U,	// VROUNDPDr
+    16U,	// VROUNDPDr
     0U,	// VROUNDPSm
-    8U,	// VROUNDPSr
-    2352U,	// VROUNDSDm
-    8456U,	// VROUNDSDr
-    8456U,	// VROUNDSDr_Int
-    2360U,	// VROUNDSSm
-    8456U,	// VROUNDSSr
-    8456U,	// VROUNDSSr_Int
+    16U,	// VROUNDPSr
+    246912U,	// VROUNDSDm
+    1311792U,	// VROUNDSDr
+    1311792U,	// VROUNDSDr_Int
+    246928U,	// VROUNDSSm
+    1311792U,	// VROUNDSSr
+    1311792U,	// VROUNDSSr_Int
     0U,	// VROUNDYPDm
-    8U,	// VROUNDYPDr
+    16U,	// VROUNDYPDr
     0U,	// VROUNDYPSm
-    8U,	// VROUNDYPSr
+    16U,	// VROUNDYPSr
+    0U,	// VRSQRT14PDZ128m
+    10U,	// VRSQRT14PDZ128mb
+    2321U,	// VRSQRT14PDZ128mbk
+    2178U,	// VRSQRT14PDZ128mbkz
+    353U,	// VRSQRT14PDZ128mk
+    194U,	// VRSQRT14PDZ128mkz
+    0U,	// VRSQRT14PDZ128r
+    161U,	// VRSQRT14PDZ128rk
+    50U,	// VRSQRT14PDZ128rkz
+    0U,	// VRSQRT14PDZ256m
+    11U,	// VRSQRT14PDZ256mb
+    3345U,	// VRSQRT14PDZ256mbk
+    3202U,	// VRSQRT14PDZ256mbkz
+    369U,	// VRSQRT14PDZ256mk
+    178U,	// VRSQRT14PDZ256mkz
+    0U,	// VRSQRT14PDZ256r
+    161U,	// VRSQRT14PDZ256rk
+    50U,	// VRSQRT14PDZ256rkz
     0U,	// VRSQRT14PDZm
+    5U,	// VRSQRT14PDZmb
+    4369U,	// VRSQRT14PDZmbk
+    4226U,	// VRSQRT14PDZmbkz
+    321U,	// VRSQRT14PDZmk
+    210U,	// VRSQRT14PDZmkz
     0U,	// VRSQRT14PDZr
+    161U,	// VRSQRT14PDZrk
+    50U,	// VRSQRT14PDZrkz
+    0U,	// VRSQRT14PSZ128m
+    11U,	// VRSQRT14PSZ128mb
+    3361U,	// VRSQRT14PSZ128mbk
+    3218U,	// VRSQRT14PSZ128mbkz
+    353U,	// VRSQRT14PSZ128mk
+    194U,	// VRSQRT14PSZ128mkz
+    0U,	// VRSQRT14PSZ128r
+    161U,	// VRSQRT14PSZ128rk
+    50U,	// VRSQRT14PSZ128rkz
+    0U,	// VRSQRT14PSZ256m
+    5U,	// VRSQRT14PSZ256mb
+    4385U,	// VRSQRT14PSZ256mbk
+    4242U,	// VRSQRT14PSZ256mbkz
+    369U,	// VRSQRT14PSZ256mk
+    178U,	// VRSQRT14PSZ256mkz
+    0U,	// VRSQRT14PSZ256r
+    161U,	// VRSQRT14PSZ256rk
+    50U,	// VRSQRT14PSZ256rkz
     0U,	// VRSQRT14PSZm
+    5U,	// VRSQRT14PSZmb
+    5409U,	// VRSQRT14PSZmbk
+    5266U,	// VRSQRT14PSZmbkz
+    321U,	// VRSQRT14PSZmk
+    210U,	// VRSQRT14PSZmkz
     0U,	// VRSQRT14PSZr
-    48U,	// VRSQRT14SDrm
-    8U,	// VRSQRT14SDrr
-    56U,	// VRSQRT14SSrm
-    8U,	// VRSQRT14SSrr
-    0U,	// VRSQRT28PDZm
-    0U,	// VRSQRT28PDZr
-    3U,	// VRSQRT28PDZrb
-    0U,	// VRSQRT28PSZm
-    0U,	// VRSQRT28PSZr
-    3U,	// VRSQRT28PSZrb
-    48U,	// VRSQRT28SDrm
-    8U,	// VRSQRT28SDrr
-    1544U,	// VRSQRT28SDrrb
-    56U,	// VRSQRT28SSrm
-    8U,	// VRSQRT28SSrr
-    1544U,	// VRSQRT28SSrrb
+    161U,	// VRSQRT14PSZrk
+    50U,	// VRSQRT14PSZrkz
+    128U,	// VRSQRT14SDrm
+    48U,	// VRSQRT14SDrr
+    144U,	// VRSQRT14SSrm
+    48U,	// VRSQRT14SSrr
+    0U,	// VRSQRT28PDm
+    0U,	// VRSQRT28PDmb
+    321U,	// VRSQRT28PDmbk
+    210U,	// VRSQRT28PDmbkz
+    321U,	// VRSQRT28PDmk
+    210U,	// VRSQRT28PDmkz
+    0U,	// VRSQRT28PDr
+    0U,	// VRSQRT28PDrb
+    338U,	// VRSQRT28PDrbk
+    339U,	// VRSQRT28PDrbkz
+    161U,	// VRSQRT28PDrk
+    50U,	// VRSQRT28PDrkz
+    0U,	// VRSQRT28PSm
+    0U,	// VRSQRT28PSmb
+    321U,	// VRSQRT28PSmbk
+    210U,	// VRSQRT28PSmbkz
+    321U,	// VRSQRT28PSmk
+    210U,	// VRSQRT28PSmkz
+    0U,	// VRSQRT28PSr
+    0U,	// VRSQRT28PSrb
+    338U,	// VRSQRT28PSrbk
+    339U,	// VRSQRT28PSrbkz
+    161U,	// VRSQRT28PSrk
+    50U,	// VRSQRT28PSrkz
+    192U,	// VRSQRT28SDm
+    1115297U,	// VRSQRT28SDmk
+    1131570U,	// VRSQRT28SDmkz
+    48U,	// VRSQRT28SDr
+    340U,	// VRSQRT28SDrb
+    318850U,	// VRSQRT28SDrbk
+    319875U,	// VRSQRT28SDrbkz
+    1148065U,	// VRSQRT28SDrk
+    1164338U,	// VRSQRT28SDrkz
+    192U,	// VRSQRT28SSm
+    1115297U,	// VRSQRT28SSmk
+    1131570U,	// VRSQRT28SSmkz
+    48U,	// VRSQRT28SSr
+    340U,	// VRSQRT28SSrb
+    318850U,	// VRSQRT28SSrbk
+    319875U,	// VRSQRT28SSrbkz
+    1148065U,	// VRSQRT28SSrk
+    1164338U,	// VRSQRT28SSrkz
     0U,	// VRSQRTPSYm
     0U,	// VRSQRTPSYm_Int
     0U,	// VRSQRTPSYr
@@ -12313,9 +17366,9 @@ static void printInstruction(MCInst *MI,
     0U,	// VRSQRTPSm_Int
     0U,	// VRSQRTPSr
     0U,	// VRSQRTPSr_Int
-    56U,	// VRSQRTSSm
-    56U,	// VRSQRTSSm_Int
-    8U,	// VRSQRTSSr
+    144U,	// VRSQRTSSm
+    144U,	// VRSQRTSSm_Int
+    48U,	// VRSQRTSSr
     0U,	// VSCATTERDPDZmr
     0U,	// VSCATTERDPSZmr
     0U,	// VSCATTERPF0DPDm
@@ -12328,83 +17381,193 @@ static void printInstruction(MCInst *MI,
     0U,	// VSCATTERPF1QPSm
     0U,	// VSCATTERQPDZmr
     0U,	// VSCATTERQPSZmr
-    2368U,	// VSHUFPDYrmi
-    8456U,	// VSHUFPDYrri
-    2376U,	// VSHUFPDZrmi
-    8456U,	// VSHUFPDZrri
-    2384U,	// VSHUFPDrmi
-    8456U,	// VSHUFPDrri
-    2368U,	// VSHUFPSYrmi
-    8456U,	// VSHUFPSYrri
-    2376U,	// VSHUFPSZrmi
-    8456U,	// VSHUFPSZrri
-    2384U,	// VSHUFPSrmi
-    8456U,	// VSHUFPSrri
+    246960U,	// VSHUFPDYrmi
+    1311792U,	// VSHUFPDYrri
+    246992U,	// VSHUFPDZrmi
+    1311792U,	// VSHUFPDZrri
+    246976U,	// VSHUFPDrmi
+    1311792U,	// VSHUFPDrri
+    246960U,	// VSHUFPSYrmi
+    1311792U,	// VSHUFPSYrri
+    246992U,	// VSHUFPSZrmi
+    1311792U,	// VSHUFPSZrri
+    246976U,	// VSHUFPSrmi
+    1311792U,	// VSHUFPSrri
     0U,	// VSQRTPDYm
     0U,	// VSQRTPDYr
-    0U,	// VSQRTPDZrm
-    0U,	// VSQRTPDZrr
+    0U,	// VSQRTPDZ128m
+    10U,	// VSQRTPDZ128mb
+    2321U,	// VSQRTPDZ128mbk
+    2178U,	// VSQRTPDZ128mbkz
+    353U,	// VSQRTPDZ128mk
+    194U,	// VSQRTPDZ128mkz
+    0U,	// VSQRTPDZ128r
+    161U,	// VSQRTPDZ128rk
+    50U,	// VSQRTPDZ128rkz
+    0U,	// VSQRTPDZ256m
+    11U,	// VSQRTPDZ256mb
+    3345U,	// VSQRTPDZ256mbk
+    3202U,	// VSQRTPDZ256mbkz
+    369U,	// VSQRTPDZ256mk
+    178U,	// VSQRTPDZ256mkz
+    0U,	// VSQRTPDZ256r
+    161U,	// VSQRTPDZ256rk
+    50U,	// VSQRTPDZ256rkz
+    0U,	// VSQRTPDZm
+    5U,	// VSQRTPDZmb
+    4369U,	// VSQRTPDZmbk
+    4226U,	// VSQRTPDZmbkz
+    321U,	// VSQRTPDZmk
+    210U,	// VSQRTPDZmkz
+    0U,	// VSQRTPDZr
+    161U,	// VSQRTPDZrk
+    50U,	// VSQRTPDZrkz
     0U,	// VSQRTPDm
     0U,	// VSQRTPDr
     0U,	// VSQRTPSYm
     0U,	// VSQRTPSYr
-    0U,	// VSQRTPSZrm
-    0U,	// VSQRTPSZrr
+    0U,	// VSQRTPSZ128m
+    11U,	// VSQRTPSZ128mb
+    3361U,	// VSQRTPSZ128mbk
+    3218U,	// VSQRTPSZ128mbkz
+    353U,	// VSQRTPSZ128mk
+    194U,	// VSQRTPSZ128mkz
+    0U,	// VSQRTPSZ128r
+    161U,	// VSQRTPSZ128rk
+    50U,	// VSQRTPSZ128rkz
+    0U,	// VSQRTPSZ256m
+    5U,	// VSQRTPSZ256mb
+    4385U,	// VSQRTPSZ256mbk
+    4242U,	// VSQRTPSZ256mbkz
+    369U,	// VSQRTPSZ256mk
+    178U,	// VSQRTPSZ256mkz
+    0U,	// VSQRTPSZ256r
+    161U,	// VSQRTPSZ256rk
+    50U,	// VSQRTPSZ256rkz
+    0U,	// VSQRTPSZm
+    5U,	// VSQRTPSZmb
+    5409U,	// VSQRTPSZmbk
+    5266U,	// VSQRTPSZmbkz
+    321U,	// VSQRTPSZmk
+    210U,	// VSQRTPSZmkz
+    0U,	// VSQRTPSZr
+    161U,	// VSQRTPSZrk
+    50U,	// VSQRTPSZrkz
     0U,	// VSQRTPSm
     0U,	// VSQRTPSr
-    48U,	// VSQRTSDZm
-    48U,	// VSQRTSDZm_Int
-    8U,	// VSQRTSDZr
-    8U,	// VSQRTSDZr_Int
-    48U,	// VSQRTSDm
-    48U,	// VSQRTSDm_Int
-    8U,	// VSQRTSDr
-    56U,	// VSQRTSSZm
-    56U,	// VSQRTSSZm_Int
-    8U,	// VSQRTSSZr
-    8U,	// VSQRTSSZr_Int
-    56U,	// VSQRTSSm
-    56U,	// VSQRTSSm_Int
-    8U,	// VSQRTSSr
+    128U,	// VSQRTSDZm
+    128U,	// VSQRTSDZm_Int
+    48U,	// VSQRTSDZr
+    48U,	// VSQRTSDZr_Int
+    128U,	// VSQRTSDm
+    128U,	// VSQRTSDm_Int
+    48U,	// VSQRTSDr
+    144U,	// VSQRTSSZm
+    144U,	// VSQRTSSZm_Int
+    48U,	// VSQRTSSZr
+    48U,	// VSQRTSSZr_Int
+    144U,	// VSQRTSSm
+    144U,	// VSQRTSSm_Int
+    48U,	// VSQRTSSr
     0U,	// VSTMXCSR
-    64U,	// VSUBPDYrm
-    8U,	// VSUBPDYrr
-    72U,	// VSUBPDZrm
-    560U,	// VSUBPDZrmb
-    69898U,	// VSUBPDZrmbk
-    69898U,	// VSUBPDZrmbkz
-    6410U,	// VSUBPDZrmk
-    6410U,	// VSUBPDZrmkz
-    8U,	// VSUBPDZrr
-    8458U,	// VSUBPDZrrk
-    8458U,	// VSUBPDZrrkz
-    80U,	// VSUBPDrm
-    8U,	// VSUBPDrr
-    64U,	// VSUBPSYrm
-    8U,	// VSUBPSYrr
-    72U,	// VSUBPSZrm
-    824U,	// VSUBPSZrmb
-    108810U,	// VSUBPSZrmbk
-    108810U,	// VSUBPSZrmbkz
-    6410U,	// VSUBPSZrmk
-    6410U,	// VSUBPSZrmkz
-    8U,	// VSUBPSZrr
-    8458U,	// VSUBPSZrrk
-    8458U,	// VSUBPSZrrkz
-    80U,	// VSUBPSrm
-    8U,	// VSUBPSrr
-    48U,	// VSUBSDZrm
-    8U,	// VSUBSDZrr
-    48U,	// VSUBSDrm
-    48U,	// VSUBSDrm_Int
-    8U,	// VSUBSDrr
-    8U,	// VSUBSDrr_Int
-    56U,	// VSUBSSZrm
-    8U,	// VSUBSSZrr
-    56U,	// VSUBSSrm
-    56U,	// VSUBSSrm_Int
-    8U,	// VSUBSSrr
-    8U,	// VSUBSSrr_Int
+    176U,	// VSUBPDYrm
+    48U,	// VSUBPDYrr
+    192U,	// VSUBPDZ128rm
+    2176U,	// VSUBPDZ128rmb
+    558241U,	// VSUBPDZ128rmbk
+    574514U,	// VSUBPDZ128rmbkz
+    1115297U,	// VSUBPDZ128rmk
+    1131570U,	// VSUBPDZ128rmkz
+    48U,	// VSUBPDZ128rr
+    1148065U,	// VSUBPDZ128rrk
+    1164338U,	// VSUBPDZ128rrkz
+    176U,	// VSUBPDZ256rm
+    3200U,	// VSUBPDZ256rmb
+    1606817U,	// VSUBPDZ256rmbk
+    1623090U,	// VSUBPDZ256rmbkz
+    132257U,	// VSUBPDZ256rmk
+    1197106U,	// VSUBPDZ256rmkz
+    48U,	// VSUBPDZ256rr
+    1148065U,	// VSUBPDZ256rrk
+    1164338U,	// VSUBPDZ256rrkz
+    164912U,	// VSUBPDZrb
+    8488097U,	// VSUBPDZrbk
+    16892978U,	// VSUBPDZrbkz
+    208U,	// VSUBPDZrm
+    4224U,	// VSUBPDZrmb
+    2131105U,	// VSUBPDZrmbk
+    2147378U,	// VSUBPDZrmbkz
+    181409U,	// VSUBPDZrmk
+    197682U,	// VSUBPDZrmkz
+    48U,	// VSUBPDZrr
+    1148065U,	// VSUBPDZrrk
+    1164338U,	// VSUBPDZrrkz
+    192U,	// VSUBPDrm
+    48U,	// VSUBPDrr
+    176U,	// VSUBPSYrm
+    48U,	// VSUBPSYrr
+    192U,	// VSUBPSZ128rm
+    3216U,	// VSUBPSZ128rmb
+    1787041U,	// VSUBPSZ128rmbk
+    1803314U,	// VSUBPSZ128rmbkz
+    1115297U,	// VSUBPSZ128rmk
+    1131570U,	// VSUBPSZ128rmkz
+    48U,	// VSUBPSZ128rr
+    1148065U,	// VSUBPSZ128rrk
+    1164338U,	// VSUBPSZ128rrkz
+    176U,	// VSUBPSZ256rm
+    4240U,	// VSUBPSZ256rmb
+    2311329U,	// VSUBPSZ256rmbk
+    2327602U,	// VSUBPSZ256rmbkz
+    132257U,	// VSUBPSZ256rmk
+    1197106U,	// VSUBPSZ256rmkz
+    48U,	// VSUBPSZ256rr
+    1148065U,	// VSUBPSZ256rrk
+    1164338U,	// VSUBPSZ256rrkz
+    164912U,	// VSUBPSZrb
+    8488097U,	// VSUBPSZrbk
+    16892978U,	// VSUBPSZrbkz
+    208U,	// VSUBPSZrm
+    5264U,	// VSUBPSZrmb
+    2835617U,	// VSUBPSZrmbk
+    2851890U,	// VSUBPSZrmbkz
+    181409U,	// VSUBPSZrmk
+    197682U,	// VSUBPSZrmkz
+    48U,	// VSUBPSZrr
+    1148065U,	// VSUBPSZrrk
+    1164338U,	// VSUBPSZrrkz
+    192U,	// VSUBPSrm
+    48U,	// VSUBPSrr
+    128U,	// VSUBSDZrm
+    192U,	// VSUBSDZrm_Int
+    1115297U,	// VSUBSDZrm_Intk
+    1131570U,	// VSUBSDZrm_Intkz
+    48U,	// VSUBSDZrr
+    48U,	// VSUBSDZrr_Int
+    1148065U,	// VSUBSDZrr_Intk
+    1164338U,	// VSUBSDZrr_Intkz
+    164912U,	// VSUBSDZrrb
+    8488097U,	// VSUBSDZrrbk
+    16892978U,	// VSUBSDZrrbkz
+    128U,	// VSUBSDrm
+    128U,	// VSUBSDrm_Int
+    48U,	// VSUBSDrr
+    48U,	// VSUBSDrr_Int
+    144U,	// VSUBSSZrm
+    192U,	// VSUBSSZrm_Int
+    1115297U,	// VSUBSSZrm_Intk
+    1131570U,	// VSUBSSZrm_Intkz
+    48U,	// VSUBSSZrr
+    48U,	// VSUBSSZrr_Int
+    1148065U,	// VSUBSSZrr_Intk
+    1164338U,	// VSUBSSZrr_Intkz
+    164912U,	// VSUBSSZrrb
+    8488097U,	// VSUBSSZrrbk
+    16892978U,	// VSUBSSZrrbkz
+    144U,	// VSUBSSrm
+    144U,	// VSUBSSrm_Int
+    48U,	// VSUBSSrr
+    48U,	// VSUBSSrr_Int
     0U,	// VTESTPDYrm
     0U,	// VTESTPDYrr
     0U,	// VTESTPDrm
@@ -12421,43 +17584,42 @@ static void printInstruction(MCInst *MI,
     0U,	// VUCOMISSZrr
     0U,	// VUCOMISSrm
     0U,	// VUCOMISSrr
-    64U,	// VUNPCKHPDYrm
-    8U,	// VUNPCKHPDYrr
-    72U,	// VUNPCKHPDZrm
-    8U,	// VUNPCKHPDZrr
-    80U,	// VUNPCKHPDrm
-    8U,	// VUNPCKHPDrr
-    64U,	// VUNPCKHPSYrm
-    8U,	// VUNPCKHPSYrr
-    72U,	// VUNPCKHPSZrm
-    8U,	// VUNPCKHPSZrr
-    80U,	// VUNPCKHPSrm
-    8U,	// VUNPCKHPSrr
-    64U,	// VUNPCKLPDYrm
-    8U,	// VUNPCKLPDYrr
-    72U,	// VUNPCKLPDZrm
-    8U,	// VUNPCKLPDZrr
-    80U,	// VUNPCKLPDrm
-    8U,	// VUNPCKLPDrr
-    64U,	// VUNPCKLPSYrm
-    8U,	// VUNPCKLPSYrr
-    72U,	// VUNPCKLPSZrm
-    8U,	// VUNPCKLPSZrr
-    80U,	// VUNPCKLPSrm
-    8U,	// VUNPCKLPSrr
-    64U,	// VXORPDYrm
-    8U,	// VXORPDYrr
-    80U,	// VXORPDrm
-    8U,	// VXORPDrr
-    64U,	// VXORPSYrm
-    8U,	// VXORPSYrr
-    80U,	// VXORPSrm
-    8U,	// VXORPSrr
+    176U,	// VUNPCKHPDYrm
+    48U,	// VUNPCKHPDYrr
+    208U,	// VUNPCKHPDZrm
+    48U,	// VUNPCKHPDZrr
+    192U,	// VUNPCKHPDrm
+    48U,	// VUNPCKHPDrr
+    176U,	// VUNPCKHPSYrm
+    48U,	// VUNPCKHPSYrr
+    208U,	// VUNPCKHPSZrm
+    48U,	// VUNPCKHPSZrr
+    192U,	// VUNPCKHPSrm
+    48U,	// VUNPCKHPSrr
+    176U,	// VUNPCKLPDYrm
+    48U,	// VUNPCKLPDYrr
+    208U,	// VUNPCKLPDZrm
+    48U,	// VUNPCKLPDZrr
+    192U,	// VUNPCKLPDrm
+    48U,	// VUNPCKLPDrr
+    176U,	// VUNPCKLPSYrm
+    48U,	// VUNPCKLPSYrr
+    208U,	// VUNPCKLPSZrm
+    48U,	// VUNPCKLPSZrr
+    192U,	// VUNPCKLPSrm
+    48U,	// VUNPCKLPSrr
+    176U,	// VXORPDYrm
+    48U,	// VXORPDYrr
+    192U,	// VXORPDrm
+    48U,	// VXORPDrr
+    176U,	// VXORPSYrm
+    48U,	// VXORPSYrr
+    192U,	// VXORPSrm
+    48U,	// VXORPSrr
     0U,	// VZEROALL
     0U,	// VZEROUPPER
     0U,	// V_SET0
     0U,	// V_SETALLONES
-    0U,	// W64ALLOCA
     0U,	// WAIT
     0U,	// WBINVD
     0U,	// WIN_ALLOCA
@@ -12479,6 +17641,7 @@ static void printInstruction(MCInst *MI,
     0U,	// XADD8rm
     0U,	// XADD8rr
     0U,	// XBEGIN
+    0U,	// XBEGIN_2
     0U,	// XBEGIN_4
     0U,	// XCHG16ar
     0U,	// XCHG16rm
@@ -12530,6 +17693,7 @@ static void printInstruction(MCInst *MI,
     0U,	// XOR64rr_REV
     0U,	// XOR8i8
     0U,	// XOR8mi
+    0U,	// XOR8mi8
     0U,	// XOR8mr
     0U,	// XOR8ri
     0U,	// XOR8ri8
@@ -12543,1294 +17707,1226 @@ static void printInstruction(MCInst *MI,
     0U,	// XRELEASE_PREFIX
     0U,	// XRSTOR
     0U,	// XRSTOR64
+    0U,	// XRSTORS
+    0U,	// XRSTORS64
     0U,	// XSAVE
     0U,	// XSAVE64
+    0U,	// XSAVEC
+    0U,	// XSAVEC64
     0U,	// XSAVEOPT
     0U,	// XSAVEOPT64
+    0U,	// XSAVES
+    0U,	// XSAVES64
     0U,	// XSETBV
     0U,	// XSHA1
     0U,	// XSHA256
     0U,	// XSTORE
     0U,	// XTEST
+    0U,	// fdisi8087_nop
+    0U,	// feni8087_nop
     0U
   };
 
 #ifndef CAPSTONE_DIET
-  static const char AsmStrs[] = {
-  /* 0 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '3', '2', 'x', '4', 32, 9, 0,
-  /* 18 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '6', '4', 'x', '4', 32, 9, 0,
-  /* 36 */ 'k', 'a', 'n', 'd', 'b', 32, 9, 0,
-  /* 44 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'b', 32, 9, 0,
-  /* 56 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'b', 32, 9, 0,
-  /* 67 */ 'v', 'p', 'm', 'o', 'v', 'd', 'b', 32, 9, 0,
-  /* 77 */ 'k', 'a', 'n', 'd', 'n', 'b', 32, 9, 0,
-  /* 86 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'b', 32, 9, 0,
-  /* 98 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'b', 32, 9, 0,
-  /* 109 */ 'v', 'p', 'm', 'o', 'v', 'q', 'b', 32, 9, 0,
-  /* 119 */ 'k', 'o', 'r', 'b', 32, 9, 0,
-  /* 126 */ 'k', 'x', 'n', 'o', 'r', 'b', 32, 9, 0,
-  /* 135 */ 'k', 'x', 'o', 'r', 'b', 32, 9, 0,
-  /* 143 */ 'k', 'n', 'o', 't', 'b', 32, 9, 0,
-  /* 151 */ 'k', 'm', 'o', 'v', 'b', 32, 9, 0,
-  /* 159 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'd', 32, 9, 0,
-  /* 170 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'd', 32, 9, 0,
-  /* 181 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'w', '2', 'd', 32, 9, 0,
-  /* 199 */ 'v', 'p', 's', 'r', 'a', 'd', 32, 9, 0,
-  /* 208 */ 'v', 'p', 's', 'u', 'b', 'd', 32, 9, 0,
-  /* 217 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 32, 9, 0,
-  /* 229 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 32, 9, 0,
-  /* 241 */ 'v', 'p', 'a', 'd', 'd', 'd', 32, 9, 0,
-  /* 250 */ 'k', 'a', 'n', 'd', 'd', 32, 9, 0,
-  /* 258 */ 'v', 'p', 'a', 'n', 'd', 'd', 32, 9, 0,
-  /* 267 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 32, 9, 0,
-  /* 280 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'd', 32, 9, 0,
-  /* 294 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 32, 9, 0,
-  /* 304 */ 'v', 'p', 's', 'l', 'l', 'd', 32, 9, 0,
-  /* 313 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 32, 9, 0,
-  /* 323 */ 'v', 'p', 's', 'r', 'l', 'd', 32, 9, 0,
-  /* 332 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'd', 32, 9, 0,
-  /* 344 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'd', 32, 9, 0,
-  /* 356 */ 'v', 'p', 'e', 'r', 'm', 'd', 32, 9, 0,
-  /* 365 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'd', 32, 9, 0,
-  /* 376 */ 'k', 'a', 'n', 'd', 'n', 'd', 32, 9, 0,
-  /* 385 */ 'v', 'p', 'a', 'n', 'd', 'n', 'd', 32, 9, 0,
-  /* 395 */ 'v', 'a', 'l', 'i', 'g', 'n', 'd', 32, 9, 0,
-  /* 405 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 422 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 436 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 451 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 468 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 482 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 497 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 'd', 32, 9, 0,
-  /* 509 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 32, 9, 0,
-  /* 521 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 'd', 32, 9, 0,
-  /* 534 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 32, 9, 0,
-  /* 546 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 'd', 32, 9, 0,
-  /* 558 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 575 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 589 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 604 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 621 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 635 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 650 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 'd', 32, 9, 0,
-  /* 661 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 'd', 32, 9, 0,
-  /* 674 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 'd', 32, 9, 0,
-  /* 685 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 'd', 32, 9, 0,
-  /* 698 */ 'v', 's', 'u', 'b', 'p', 'd', 32, 9, 0,
-  /* 707 */ 'v', 'a', 'd', 'd', 'p', 'd', 32, 9, 0,
-  /* 716 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 32, 9, 0,
-  /* 729 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 'd', 32, 9, 0,
-  /* 743 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 'd', 32, 9, 0,
-  /* 757 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 32, 9, 0,
-  /* 767 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 32, 9, 0,
-  /* 779 */ 'v', 'm', 'u', 'l', 'p', 'd', 32, 9, 0,
-  /* 788 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 'd', 32, 9, 0,
-  /* 800 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 32, 9, 0,
-  /* 810 */ 'v', 'm', 'i', 'n', 'p', 'd', 32, 9, 0,
-  /* 819 */ 'v', 'c', 'm', 'p', 'p', 'd', 32, 9, 0,
-  /* 828 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 32, 9, 0,
-  /* 841 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 'd', 32, 9, 0,
-  /* 855 */ 'v', 'd', 'i', 'v', 'p', 'd', 32, 9, 0,
-  /* 864 */ 'v', 'm', 'a', 'x', 'p', 'd', 32, 9, 0,
-  /* 873 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 32, 9, 0,
-  /* 886 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'd', 32, 9, 0,
-  /* 900 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'd', 32, 9, 0,
-  /* 912 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'd', 32, 9, 0,
-  /* 923 */ 'v', 'p', 'm', 'o', 'v', 'q', 'd', 32, 9, 0,
-  /* 933 */ 'k', 'o', 'r', 'd', 32, 9, 0,
-  /* 940 */ 'k', 'x', 'n', 'o', 'r', 'd', 32, 9, 0,
-  /* 949 */ 'v', 'p', 'o', 'r', 'd', 32, 9, 0,
-  /* 957 */ 'k', 'x', 'o', 'r', 'd', 32, 9, 0,
-  /* 965 */ 'v', 'p', 'x', 'o', 'r', 'd', 32, 9, 0,
-  /* 974 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 32, 9, 0,
-  /* 986 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 32, 9, 0,
-  /* 999 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1013 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1028 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1042 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1057 */ 'v', 'r', 'c', 'p', '1', '4', 's', 'd', 32, 9, 0,
-  /* 1068 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 'd', 32, 9, 0,
-  /* 1081 */ 'v', 'r', 'c', 'p', '2', '8', 's', 'd', 32, 9, 0,
-  /* 1092 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 'd', 32, 9, 0,
-  /* 1105 */ 'v', 'p', 'a', 'b', 's', 'd', 32, 9, 0,
-  /* 1114 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 'd', 32, 9, 0,
-  /* 1128 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 32, 9, 0,
-  /* 1138 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 32, 9, 0,
-  /* 1153 */ 'v', 'm', 'o', 'v', 's', 'd', 32, 9, 0,
-  /* 1162 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 32, 9, 0,
-  /* 1172 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'd', 32, 9, 0,
-  /* 1186 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'd', 32, 9, 0,
-  /* 1197 */ 'k', 'n', 'o', 't', 'd', 32, 9, 0,
-  /* 1205 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 32, 9, 0,
-  /* 1220 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 32, 9, 0,
-  /* 1230 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 32, 9, 0,
-  /* 1240 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 32, 9, 0,
-  /* 1250 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 32, 9, 0,
-  /* 1260 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 32, 9, 0,
-  /* 1270 */ 'k', 'm', 'o', 'v', 'd', 32, 9, 0,
-  /* 1278 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 32, 9, 0,
-  /* 1290 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 32, 9, 0,
-  /* 1302 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 32, 9, 0,
-  /* 1314 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 32, 9, 0,
-  /* 1327 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 32, 9, 0,
-  /* 1339 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 32, 9, 0,
-  /* 1352 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 32, 9, 0,
-  /* 1364 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1378 */ 'v', 'c', 'v', 't', 's', 'd', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1391 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1405 */ 'v', 'c', 'v', 't', 's', 's', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1418 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 32, 9, 0,
-  /* 1429 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 32, 9, 0,
-  /* 1441 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 32, 9, 0,
-  /* 1453 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'b', '2', 'q', 32, 9, 0,
-  /* 1471 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'q', 32, 9, 0,
-  /* 1482 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'q', 32, 9, 0,
-  /* 1493 */ 'v', 'p', 's', 'r', 'a', 'q', 32, 9, 0,
-  /* 1502 */ 'v', 'p', 's', 'u', 'b', 'q', 32, 9, 0,
-  /* 1511 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 32, 9, 0,
-  /* 1523 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 32, 9, 0,
-  /* 1535 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 32, 9, 0,
-  /* 1548 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 32, 9, 0,
-  /* 1560 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 32, 9, 0,
-  /* 1573 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 32, 9, 0,
-  /* 1585 */ 'v', 'p', 'a', 'd', 'd', 'q', 32, 9, 0,
-  /* 1594 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 32, 9, 0,
-  /* 1607 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 32, 9, 0,
-  /* 1620 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 32, 9, 0,
-  /* 1630 */ 'k', 'a', 'n', 'd', 'q', 32, 9, 0,
-  /* 1638 */ 'v', 'p', 'a', 'n', 'd', 'q', 32, 9, 0,
-  /* 1647 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 32, 9, 0,
-  /* 1661 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 32, 9, 0,
-  /* 1675 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 32, 9, 0,
-  /* 1688 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'q', 32, 9, 0,
-  /* 1702 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1716 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1729 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1743 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1756 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 32, 9, 0,
-  /* 1767 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 32, 9, 0,
-  /* 1779 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 32, 9, 0,
-  /* 1791 */ 'v', 'p', 's', 'l', 'l', 'q', 32, 9, 0,
-  /* 1800 */ 'v', 'p', 's', 'r', 'l', 'q', 32, 9, 0,
-  /* 1809 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'q', 32, 9, 0,
-  /* 1821 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'q', 32, 9, 0,
-  /* 1833 */ 'v', 'p', 'e', 'r', 'm', 'q', 32, 9, 0,
-  /* 1842 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'q', 32, 9, 0,
-  /* 1853 */ 'k', 'a', 'n', 'd', 'n', 'q', 32, 9, 0,
-  /* 1862 */ 'v', 'p', 'a', 'n', 'd', 'n', 'q', 32, 9, 0,
-  /* 1872 */ 'v', 'a', 'l', 'i', 'g', 'n', 'q', 32, 9, 0,
-  /* 1882 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 32, 9, 0,
-  /* 1895 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'q', 32, 9, 0,
-  /* 1909 */ 'k', 'o', 'r', 'q', 32, 9, 0,
-  /* 1916 */ 'k', 'x', 'n', 'o', 'r', 'q', 32, 9, 0,
-  /* 1925 */ 'v', 'p', 'o', 'r', 'q', 32, 9, 0,
-  /* 1933 */ 'k', 'x', 'o', 'r', 'q', 32, 9, 0,
-  /* 1941 */ 'v', 'p', 'x', 'o', 'r', 'q', 32, 9, 0,
-  /* 1950 */ 'v', 'p', 'a', 'b', 's', 'q', 32, 9, 0,
-  /* 1959 */ 'v', 'p', 'm', 'i', 'n', 's', 'q', 32, 9, 0,
-  /* 1969 */ 'v', 'p', 'm', 'a', 'x', 's', 'q', 32, 9, 0,
-  /* 1979 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'q', 32, 9, 0,
-  /* 1993 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'q', 32, 9, 0,
-  /* 2004 */ 'k', 'n', 'o', 't', 'q', 32, 9, 0,
-  /* 2012 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 32, 9, 0,
-  /* 2027 */ 'v', 'p', 'm', 'i', 'n', 'u', 'q', 32, 9, 0,
-  /* 2037 */ 'v', 'p', 'm', 'a', 'x', 'u', 'q', 32, 9, 0,
-  /* 2047 */ 'v', 'p', 's', 'r', 'a', 'v', 'q', 32, 9, 0,
-  /* 2057 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 32, 9, 0,
-  /* 2067 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 32, 9, 0,
-  /* 2077 */ 'k', 'm', 'o', 'v', 'q', 32, 9, 0,
-  /* 2085 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 32, 9, 0,
-  /* 2097 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 32, 9, 0,
-  /* 2109 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2126 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2140 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2155 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2172 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2186 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2201 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 32, 9, 0,
-  /* 2213 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 's', 32, 9, 0,
-  /* 2225 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 32, 9, 0,
-  /* 2237 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 's', 32, 9, 0,
-  /* 2250 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 's', 32, 9, 0,
-  /* 2262 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2279 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2293 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2308 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2325 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2339 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2354 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 's', 32, 9, 0,
-  /* 2365 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 's', 32, 9, 0,
-  /* 2378 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 's', 32, 9, 0,
-  /* 2389 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 's', 32, 9, 0,
-  /* 2402 */ 'v', 's', 'u', 'b', 'p', 's', 32, 9, 0,
-  /* 2411 */ 'v', 'a', 'd', 'd', 'p', 's', 32, 9, 0,
-  /* 2420 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 32, 9, 0,
-  /* 2433 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 's', 32, 9, 0,
-  /* 2447 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 's', 32, 9, 0,
-  /* 2461 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 32, 9, 0,
-  /* 2471 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 32, 9, 0,
-  /* 2483 */ 'v', 'm', 'u', 'l', 'p', 's', 32, 9, 0,
-  /* 2492 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 's', 32, 9, 0,
-  /* 2504 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 32, 9, 0,
-  /* 2514 */ 'v', 'm', 'i', 'n', 'p', 's', 32, 9, 0,
-  /* 2523 */ 'v', 'c', 'm', 'p', 'p', 's', 32, 9, 0,
-  /* 2532 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 32, 9, 0,
-  /* 2545 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 's', 32, 9, 0,
-  /* 2559 */ 'v', 'd', 'i', 'v', 'p', 's', 32, 9, 0,
-  /* 2568 */ 'v', 'm', 'a', 'x', 'p', 's', 32, 9, 0,
-  /* 2577 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 32, 9, 0,
-  /* 2589 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 32, 9, 0,
-  /* 2602 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2616 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2631 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2645 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2660 */ 'v', 'r', 'c', 'p', '1', '4', 's', 's', 32, 9, 0,
-  /* 2671 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 's', 32, 9, 0,
-  /* 2684 */ 'v', 'r', 'c', 'p', '2', '8', 's', 's', 32, 9, 0,
-  /* 2695 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 's', 32, 9, 0,
-  /* 2708 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 's', 32, 9, 0,
-  /* 2722 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 32, 9, 0,
-  /* 2737 */ 'v', 'm', 'o', 'v', 's', 's', 32, 9, 0,
-  /* 2746 */ 'k', 'u', 'n', 'p', 'c', 'k', 'b', 'w', 32, 9, 0,
-  /* 2757 */ 'k', 'a', 'n', 'd', 'w', 32, 9, 0,
-  /* 2765 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'w', 32, 9, 0,
-  /* 2777 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'w', 32, 9, 0,
-  /* 2788 */ 'v', 'p', 'm', 'o', 'v', 'd', 'w', 32, 9, 0,
-  /* 2798 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'w', 32, 9, 0,
-  /* 2809 */ 'k', 'a', 'n', 'd', 'n', 'w', 32, 9, 0,
-  /* 2818 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'w', 32, 9, 0,
-  /* 2830 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'w', 32, 9, 0,
-  /* 2841 */ 'v', 'p', 'm', 'o', 'v', 'q', 'w', 32, 9, 0,
-  /* 2851 */ 'k', 'o', 'r', 'w', 32, 9, 0,
-  /* 2858 */ 'k', 'x', 'n', 'o', 'r', 'w', 32, 9, 0,
-  /* 2867 */ 'k', 'x', 'o', 'r', 'w', 32, 9, 0,
-  /* 2875 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'w', 32, 9, 0,
-  /* 2886 */ 'k', 'n', 'o', 't', 'w', 32, 9, 0,
-  /* 2894 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'w', 32, 9, 0,
-  /* 2905 */ 'k', 'm', 'o', 'v', 'w', 32, 9, 0,
-  /* 2913 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '0', 9, 0,
-  /* 2925 */ 's', 'h', 'a', '1', 'm', 's', 'g', '1', 9, 0,
-  /* 2935 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '1', 9, 0,
-  /* 2947 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '1', 9, 0,
-  /* 2959 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '1', 9, 0,
-  /* 2969 */ 'p', 'f', 'r', 's', 'q', 'i', 't', '1', 9, 0,
-  /* 2979 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '3', '2', 9, 0,
-  /* 2990 */ 'c', 'r', 'c', '3', '2', 9, 0,
-  /* 2997 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '3', '2', 9, 0,
-  /* 3008 */ 's', 'h', 'a', '1', 'm', 's', 'g', '2', 9, 0,
-  /* 3018 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '2', 9, 0,
-  /* 3030 */ 's', 'h', 'a', '2', '5', '6', 'r', 'n', 'd', 's', '2', 9, 0,
-  /* 3043 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '2', 9, 0,
-  /* 3055 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '2', 9, 0,
-  /* 3065 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '6', '4', 9, 0,
-  /* 3076 */ 'f', 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
-  /* 3086 */ 'f', 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
-  /* 3097 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
-  /* 3109 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '6', '4', 9, 0,
-  /* 3120 */ 's', 'h', 'a', '1', 'r', 'n', 'd', 's', '4', 9, 0,
-  /* 3131 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '3', '2', 'x', '4', 9, 0,
-  /* 3146 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '4', 9, 0,
-  /* 3160 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '3', '2', 'x', '4', 9, 0,
-  /* 3175 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '4', 9, 0,
-  /* 3189 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '6', '4', 'x', '4', 9, 0,
-  /* 3204 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '4', 9, 0,
-  /* 3218 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '6', '4', 'x', '4', 9, 0,
-  /* 3233 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '4', 9, 0,
-  /* 3247 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '1', '6', 9, 0,
-  /* 3258 */ 'v', 'p', 'e', 'r', 'm', '2', 'f', '1', '2', '8', 9, 0,
-  /* 3270 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3284 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3297 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3313 */ 'v', 'p', 'e', 'r', 'm', '2', 'i', '1', '2', '8', 9, 0,
-  /* 3325 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3339 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3352 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3368 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '8', 9, 0,
-  /* 3378 */ 'l', 'e', 'a', 9, 0,
-  /* 3383 */ 'j', 'a', 9, 0,
-  /* 3387 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 'a', 9, 0,
-  /* 3398 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', 9, 0,
-  /* 3407 */ 's', 'e', 't', 'a', 9, 0,
-  /* 3413 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'n', 't', 'a', 9, 0,
-  /* 3426 */ 'c', 'm', 'o', 'v', 'a', 9, 0,
-  /* 3433 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
-  /* 3445 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
-  /* 3456 */ 'v', 'p', 's', 'h', 'a', 'b', 9, 0,
-  /* 3464 */ 's', 'b', 'b', 9, 0,
-  /* 3469 */ 'v', 'p', 's', 'u', 'b', 'b', 9, 0,
-  /* 3477 */ 'v', 'p', 'a', 'd', 'd', 'b', 9, 0,
-  /* 3485 */ 'v', 'p', 's', 'h', 'u', 'f', 'b', 9, 0,
-  /* 3494 */ 'v', 'p', 'a', 'v', 'g', 'b', 9, 0,
-  /* 3502 */ 'j', 'b', 9, 0,
-  /* 3506 */ 'v', 'p', 'm', 'o', 'v', 'm', 's', 'k', 'b', 9, 0,
-  /* 3517 */ 'v', 'p', 's', 'h', 'l', 'b', 9, 0,
-  /* 3525 */ 'v', 'p', 'c', 'o', 'm', 'b', 9, 0,
-  /* 3533 */ 'v', 'p', 's', 'i', 'g', 'n', 'b', 9, 0,
-  /* 3542 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'b', 9, 0,
-  /* 3552 */ 'v', 'p', 'i', 'n', 's', 'r', 'b', 9, 0,
-  /* 3561 */ 'v', 'p', 'e', 'x', 't', 'r', 'b', 9, 0,
-  /* 3570 */ 'v', 'p', 'a', 'b', 's', 'b', 9, 0,
-  /* 3578 */ 'v', 'p', 's', 'u', 'b', 's', 'b', 9, 0,
-  /* 3587 */ 'v', 'p', 'a', 'd', 'd', 's', 'b', 9, 0,
-  /* 3596 */ 'v', 'p', 'm', 'i', 'n', 's', 'b', 9, 0,
-  /* 3605 */ 's', 't', 'o', 's', 'b', 9, 0,
-  /* 3612 */ 'c', 'm', 'p', 's', 'b', 9, 0,
-  /* 3619 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'b', 9, 0,
-  /* 3629 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'b', 9, 0,
-  /* 3639 */ 'p', 'a', 'v', 'g', 'u', 's', 'b', 9, 0,
-  /* 3648 */ 'm', 'o', 'v', 's', 'b', 9, 0,
-  /* 3655 */ 'v', 'p', 'm', 'a', 'x', 's', 'b', 9, 0,
-  /* 3664 */ 's', 'e', 't', 'b', 9, 0,
-  /* 3670 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'b', 9, 0,
-  /* 3680 */ 'v', 'p', 'r', 'o', 't', 'b', 9, 0,
-  /* 3688 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'b', 9, 0,
-  /* 3702 */ 'v', 'p', 'c', 'o', 'm', 'u', 'b', 9, 0,
-  /* 3711 */ 'v', 'p', 'm', 'i', 'n', 'u', 'b', 9, 0,
-  /* 3720 */ 'p', 'f', 's', 'u', 'b', 9, 0,
-  /* 3727 */ 'f', 'i', 's', 'u', 'b', 9, 0,
-  /* 3734 */ 'v', 'p', 'm', 'a', 'x', 'u', 'b', 9, 0,
-  /* 3743 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'v', 'b', 9, 0,
-  /* 3754 */ 'c', 'm', 'o', 'v', 'b', 9, 0,
-  /* 3761 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'w', 'b', 9, 0,
-  /* 3772 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'w', 'b', 9, 0,
-  /* 3783 */ 'p', 'f', 'a', 'c', 'c', 9, 0,
-  /* 3790 */ 'p', 'f', 'n', 'a', 'c', 'c', 9, 0,
-  /* 3798 */ 'p', 'f', 'p', 'n', 'a', 'c', 'c', 9, 0,
-  /* 3807 */ 'a', 'd', 'c', 9, 0,
-  /* 3812 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 9, 0,
-  /* 3821 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
-  /* 3828 */ 'b', 'l', 's', 'i', 'c', 9, 0,
-  /* 3835 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
-  /* 3843 */ 'v', 'a', 'e', 's', 'i', 'm', 'c', 9, 0,
-  /* 3852 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 9, 0,
-  /* 3861 */ 'i', 'n', 'c', 9, 0,
-  /* 3866 */ 'b', 't', 'c', 9, 0,
-  /* 3871 */ 'a', 'a', 'd', 9, 0,
-  /* 3876 */ 'v', 'm', 'r', 'e', 'a', 'd', 9, 0,
-  /* 3884 */ 'v', 'p', 's', 'h', 'a', 'd', 9, 0,
-  /* 3892 */ 'v', 'p', 's', 'r', 'a', 'd', 9, 0,
-  /* 3900 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'd', 9, 0,
-  /* 3910 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'd', 9, 0,
-  /* 3921 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 9, 0,
-  /* 3930 */ 'v', 'p', 's', 'u', 'b', 'd', 9, 0,
-  /* 3938 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 9, 0,
-  /* 3949 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 9, 0,
-  /* 3960 */ 'p', 'f', 'a', 'd', 'd', 9, 0,
-  /* 3967 */ 'f', 'i', 'a', 'd', 'd', 9, 0,
-  /* 3974 */ 'x', 'a', 'd', 'd', 9, 0,
-  /* 3980 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 9, 0,
-  /* 3989 */ 'v', 'p', 'a', 'd', 'd', 'd', 9, 0,
-  /* 3997 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'd', 9, 0,
-  /* 4007 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 9, 0,
-  /* 4019 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'd', 9, 0,
-  /* 4029 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'd', 9, 0,
-  /* 4040 */ 'r', 'd', 's', 'e', 'e', 'd', 9, 0,
-  /* 4048 */ 'p', 'i', '2', 'f', 'd', 9, 0,
-  /* 4055 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 9, 0,
-  /* 4064 */ 'p', 'f', '2', 'i', 'd', 9, 0,
-  /* 4071 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
-  /* 4080 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
-  /* 4089 */ 'f', 'b', 'l', 'd', 9, 0,
-  /* 4095 */ 'f', 'l', 'd', 9, 0,
-  /* 4100 */ 'v', 'p', 's', 'h', 'l', 'd', 9, 0,
-  /* 4108 */ 'f', 'i', 'l', 'd', 9, 0,
-  /* 4114 */ 'v', 'p', 's', 'l', 'l', 'd', 9, 0,
-  /* 4122 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 9, 0,
-  /* 4131 */ 'v', 'p', 's', 'r', 'l', 'd', 9, 0,
-  /* 4139 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
-  /* 4148 */ 'v', 'p', 'c', 'o', 'm', 'd', 9, 0,
-  /* 4156 */ 'v', 'p', 'e', 'r', 'm', 'd', 9, 0,
-  /* 4164 */ 'v', 'p', 'a', 'n', 'd', 9, 0,
-  /* 4171 */ 'r', 'd', 'r', 'a', 'n', 'd', 9, 0,
-  /* 4179 */ 'v', 'p', 's', 'i', 'g', 'n', 'd', 9, 0,
-  /* 4188 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
-  /* 4195 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4211 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4224 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4238 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4254 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4267 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4281 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4297 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4310 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4324 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4340 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4353 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4367 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 'd', 9, 0,
-  /* 4377 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 'd', 9, 0,
-  /* 4389 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 9, 0,
-  /* 4400 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 9, 0,
-  /* 4411 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4427 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4440 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4454 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4470 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4483 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4497 */ 'v', 'm', 'o', 'v', 'a', 'p', 'd', 9, 0,
-  /* 4506 */ 'p', 's', 'w', 'a', 'p', 'd', 9, 0,
-  /* 4514 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4527 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4538 */ 'v', 'h', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4547 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4557 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4568 */ 'v', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4576 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4589 */ 'v', 'h', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4598 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4608 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4619 */ 'v', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4627 */ 'v', 'a', 'n', 'd', 'p', 'd', 9, 0,
-  /* 4635 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 'd', 9, 0,
-  /* 4645 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 'd', 9, 0,
-  /* 4655 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 9, 0,
-  /* 4667 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 9, 0,
-  /* 4676 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 'd', 9, 0,
-  /* 4687 */ 'v', 'm', 'o', 'v', 'h', 'p', 'd', 9, 0,
-  /* 4696 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 'd', 9, 0,
-  /* 4707 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 9, 0,
-  /* 4718 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 'd', 9, 0,
-  /* 4729 */ 'v', 'm', 'u', 'l', 'p', 'd', 9, 0,
-  /* 4737 */ 'v', 'm', 'o', 'v', 'l', 'p', 'd', 9, 0,
-  /* 4746 */ 'v', 'p', 'c', 'm', 'p', 'd', 9, 0,
-  /* 4754 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 9, 0,
-  /* 4763 */ 'v', 'a', 'n', 'd', 'n', 'p', 'd', 9, 0,
-  /* 4772 */ 'v', 'm', 'i', 'n', 'p', 'd', 9, 0,
-  /* 4780 */ 'v', 'd', 'p', 'p', 'd', 9, 0,
-  /* 4787 */ 'v', 'c', 'm', 'p', 'p', 'd', 9, 0,
-  /* 4795 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 9, 0,
-  /* 4807 */ 'v', 'o', 'r', 'p', 'd', 9, 0,
-  /* 4814 */ 'v', 'x', 'o', 'r', 'p', 'd', 9, 0,
-  /* 4822 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 'd', 9, 0,
-  /* 4832 */ 'v', 's', 'q', 'r', 't', 'p', 'd', 9, 0,
-  /* 4841 */ 'v', 't', 'e', 's', 't', 'p', 'd', 9, 0,
-  /* 4850 */ 'v', 'm', 'o', 'v', 'u', 'p', 'd', 9, 0,
-  /* 4859 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 'd', 9, 0,
-  /* 4870 */ 'v', 'd', 'i', 'v', 'p', 'd', 9, 0,
-  /* 4878 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 'd', 9, 0,
-  /* 4890 */ 'v', 'm', 'a', 'x', 'p', 'd', 9, 0,
-  /* 4898 */ 'v', 'f', 'r', 'c', 'z', 'p', 'd', 9, 0,
-  /* 4907 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'd', 9, 0,
-  /* 4917 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 9, 0,
-  /* 4929 */ 's', 'h', 'r', 'd', 9, 0,
-  /* 4935 */ 'v', 'p', 'i', 'n', 's', 'r', 'd', 9, 0,
-  /* 4944 */ 'v', 'p', 'e', 'x', 't', 'r', 'd', 9, 0,
-  /* 4953 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
-  /* 4966 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
-  /* 4980 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
-  /* 4993 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
-  /* 5007 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5020 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5034 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5047 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5061 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 9, 0,
-  /* 5072 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 9, 0,
-  /* 5084 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'd', 9, 0,
-  /* 5095 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5108 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5122 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5135 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5149 */ 'v', 'p', 'a', 'b', 's', 'd', 9, 0,
-  /* 5157 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5167 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5178 */ 'v', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5186 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5196 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5207 */ 'v', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5215 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 'd', 9, 0,
-  /* 5225 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
-  /* 5235 */ 'v', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
-  /* 5244 */ 'v', 'm', 'u', 'l', 's', 'd', 9, 0,
-  /* 5252 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 9, 0,
-  /* 5261 */ 'v', 'm', 'i', 'n', 's', 'd', 9, 0,
-  /* 5269 */ 's', 't', 'o', 's', 'd', 9, 0,
-  /* 5276 */ 'v', 'c', 'm', 'p', 's', 'd', 9, 0,
-  /* 5284 */ 'm', 'o', 'v', 'n', 't', 's', 'd', 9, 0,
-  /* 5293 */ 'v', 's', 'q', 'r', 't', 's', 'd', 9, 0,
-  /* 5302 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 9, 0,
-  /* 5316 */ 'v', 'd', 'i', 'v', 's', 'd', 9, 0,
-  /* 5324 */ 'v', 'm', 'o', 'v', 's', 'd', 9, 0,
-  /* 5332 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 9, 0,
-  /* 5341 */ 'v', 'm', 'a', 'x', 's', 'd', 9, 0,
-  /* 5349 */ 'v', 'f', 'r', 'c', 'z', 's', 'd', 9, 0,
-  /* 5358 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'd', 9, 0,
-  /* 5368 */ 'v', 'p', 'r', 'o', 't', 'd', 9, 0,
-  /* 5376 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 9, 0,
-  /* 5390 */ 'v', 'p', 'c', 'o', 'm', 'u', 'd', 9, 0,
-  /* 5399 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 9, 0,
-  /* 5408 */ 'v', 'p', 'c', 'm', 'p', 'u', 'd', 9, 0,
-  /* 5417 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 9, 0,
-  /* 5426 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 9, 0,
-  /* 5435 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 9, 0,
-  /* 5444 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 9, 0,
-  /* 5453 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 9, 0,
-  /* 5465 */ 'v', 'm', 'o', 'v', 'd', 9, 0,
-  /* 5472 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 'd', 9, 0,
-  /* 5482 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'd', 9, 0,
-  /* 5492 */ 'v', 'p', 'm', 'a', 'd', 'd', 'w', 'd', 9, 0,
-  /* 5502 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'w', 'd', 9, 0,
-  /* 5514 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'w', 'd', 9, 0,
-  /* 5526 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'd', 9, 0,
-  /* 5536 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 'w', 'd', 9, 0,
-  /* 5547 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'd', 9, 0,
-  /* 5558 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 's', 'w', 'd', 9, 0,
-  /* 5570 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'd', 9, 0,
-  /* 5581 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 9, 0,
-  /* 5592 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 9, 0,
-  /* 5603 */ 'm', 'o', 'v', 's', 'x', 'd', 9, 0,
-  /* 5611 */ 'j', 'a', 'e', 9, 0,
-  /* 5616 */ 's', 'e', 't', 'a', 'e', 9, 0,
-  /* 5623 */ 'c', 'm', 'o', 'v', 'a', 'e', 9, 0,
-  /* 5631 */ 'j', 'b', 'e', 9, 0,
-  /* 5636 */ 's', 'e', 't', 'b', 'e', 9, 0,
-  /* 5643 */ 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
-  /* 5651 */ 'f', 's', 't', 'p', 'n', 'c', 'e', 9, 0,
-  /* 5660 */ 'f', 'f', 'r', 'e', 'e', 9, 0,
-  /* 5667 */ 'j', 'g', 'e', 9, 0,
-  /* 5672 */ 'p', 'f', 'c', 'm', 'p', 'g', 'e', 9, 0,
-  /* 5681 */ 's', 'e', 't', 'g', 'e', 9, 0,
-  /* 5688 */ 'c', 'm', 'o', 'v', 'g', 'e', 9, 0,
-  /* 5696 */ 'j', 'e', 9, 0,
-  /* 5700 */ 'j', 'l', 'e', 9, 0,
-  /* 5705 */ 's', 'e', 't', 'l', 'e', 9, 0,
-  /* 5712 */ 'c', 'm', 'o', 'v', 'l', 'e', 9, 0,
-  /* 5720 */ 'j', 'n', 'e', 9, 0,
-  /* 5725 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
-  /* 5733 */ 's', 'e', 't', 'n', 'e', 9, 0,
-  /* 5740 */ 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
-  /* 5748 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
-  /* 5755 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 5765 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 5775 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 5785 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 5795 */ 's', 'e', 't', 'e', 9, 0,
-  /* 5801 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 9, 0,
-  /* 5810 */ 's', 'h', 'a', '1', 'n', 'e', 'x', 't', 'e', 9, 0,
-  /* 5821 */ 'f', 'n', 's', 'a', 'v', 'e', 9, 0,
-  /* 5829 */ 'f', 'x', 's', 'a', 'v', 'e', 9, 0,
-  /* 5837 */ 'c', 'm', 'o', 'v', 'e', 9, 0,
-  /* 5844 */ 'b', 's', 'f', 9, 0,
-  /* 5849 */ 'r', 'e', 't', 'f', 9, 0,
-  /* 5855 */ 'n', 'e', 'g', 9, 0,
-  /* 5860 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 9, 0,
-  /* 5869 */ 'j', 'g', 9, 0,
-  /* 5873 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
-  /* 5881 */ 's', 'e', 't', 'g', 9, 0,
-  /* 5887 */ 'c', 'm', 'o', 'v', 'g', 9, 0,
-  /* 5894 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 9, 0,
-  /* 5904 */ 'f', 'x', 'c', 'h', 9, 0,
-  /* 5910 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 9, 0,
-  /* 5921 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'h', 9, 0,
-  /* 5932 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'h', 9, 0,
-  /* 5944 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 9, 0,
-  /* 5953 */ 'p', 'u', 's', 'h', 9, 0,
-  /* 5959 */ 'b', 'l', 'c', 'i', 9, 0,
-  /* 5965 */ 'b', 'z', 'h', 'i', 9, 0,
-  /* 5971 */ 'f', 'c', 'o', 'm', 'i', 9, 0,
-  /* 5978 */ 'f', 'u', 'c', 'o', 'm', 'i', 9, 0,
-  /* 5986 */ 'c', 'v', 't', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
-  /* 5997 */ 'c', 'v', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
-  /* 6007 */ 'c', 'v', 't', 't', 'p', 's', '2', 'p', 'i', 9, 0,
-  /* 6018 */ 'c', 'v', 't', 'p', 's', '2', 'p', 'i', 9, 0,
-  /* 6028 */ 'f', 'c', 'o', 'm', 'p', 'i', 9, 0,
-  /* 6036 */ 'f', 'u', 'c', 'o', 'm', 'p', 'i', 9, 0,
-  /* 6045 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'i', 9, 0,
-  /* 6057 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'i', 9, 0,
-  /* 6069 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 9, 0,
-  /* 6081 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 9, 0,
-  /* 6092 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 9, 0,
-  /* 6104 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 9, 0,
-  /* 6115 */ 'b', 'l', 's', 'i', 9, 0,
-  /* 6121 */ 'm', 'o', 'v', 'n', 't', 'i', 9, 0,
-  /* 6129 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
-  /* 6137 */ 'b', 'l', 's', 'm', 's', 'k', 9, 0,
-  /* 6145 */ 't', 'z', 'm', 's', 'k', 9, 0,
-  /* 6152 */ 's', 'a', 'l', 9, 0,
-  /* 6157 */ 'r', 'c', 'l', 9, 0,
-  /* 6162 */ 's', 'h', 'l', 9, 0,
-  /* 6167 */ 'j', 'l', 9, 0,
-  /* 6171 */ 'l', 'c', 'a', 'l', 'l', 9, 0,
-  /* 6178 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
-  /* 6187 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
-  /* 6196 */ 'r', 'o', 'l', 9, 0,
-  /* 6201 */ 'a', 'r', 'p', 'l', 9, 0,
-  /* 6207 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'l', 9, 0,
-  /* 6218 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'l', 9, 0,
-  /* 6230 */ 'l', 's', 'l', 9, 0,
-  /* 6235 */ 's', 'e', 't', 'l', 9, 0,
-  /* 6241 */ 'p', 'f', 'm', 'u', 'l', 9, 0,
-  /* 6248 */ 'f', 'i', 'm', 'u', 'l', 9, 0,
-  /* 6255 */ 'c', 'm', 'o', 'v', 'l', 9, 0,
-  /* 6262 */ 'a', 'a', 'm', 9, 0,
-  /* 6267 */ 'f', 'c', 'o', 'm', 9, 0,
-  /* 6273 */ 'f', 'i', 'c', 'o', 'm', 9, 0,
-  /* 6280 */ 'f', 'u', 'c', 'o', 'm', 9, 0,
-  /* 6287 */ 'v', 'p', 'p', 'e', 'r', 'm', 9, 0,
-  /* 6295 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'm', 9, 0,
-  /* 6307 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'm', 9, 0,
-  /* 6319 */ 'v', 'p', 'a', 'n', 'd', 'n', 9, 0,
-  /* 6327 */ 'x', 'b', 'e', 'g', 'i', 'n', 9, 0,
-  /* 6335 */ 'p', 'f', 'm', 'i', 'n', 9, 0,
-  /* 6342 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
-  /* 6349 */ 'j', 'o', 9, 0,
-  /* 6353 */ 'j', 'n', 'o', 9, 0,
-  /* 6358 */ 's', 'e', 't', 'n', 'o', 9, 0,
-  /* 6365 */ 'c', 'm', 'o', 'v', 'n', 'o', 9, 0,
-  /* 6373 */ 's', 'e', 't', 'o', 9, 0,
-  /* 6379 */ 'c', 'm', 'o', 'v', 'o', 9, 0,
-  /* 6386 */ 'b', 's', 'w', 'a', 'p', 9, 0,
-  /* 6393 */ 'f', 's', 'u', 'b', 'p', 9, 0,
-  /* 6400 */ 'p', 'f', 'r', 'c', 'p', 9, 0,
-  /* 6407 */ 'f', 'a', 'd', 'd', 'p', 9, 0,
-  /* 6414 */ 'p', 'd', 'e', 'p', 9, 0,
-  /* 6420 */ 'j', 'p', 9, 0,
-  /* 6424 */ 'f', 'm', 'u', 'l', 'p', 9, 0,
-  /* 6431 */ 'c', 'm', 'p', 9, 0,
-  /* 6436 */ 'l', 'j', 'm', 'p', 9, 0,
-  /* 6442 */ 'f', 'c', 'o', 'm', 'p', 9, 0,
-  /* 6449 */ 'f', 'i', 'c', 'o', 'm', 'p', 9, 0,
-  /* 6457 */ 'f', 'u', 'c', 'o', 'm', 'p', 9, 0,
-  /* 6465 */ 'j', 'n', 'p', 9, 0,
-  /* 6470 */ 's', 'e', 't', 'n', 'p', 9, 0,
-  /* 6477 */ 'c', 'm', 'o', 'v', 'n', 'p', 9, 0,
-  /* 6485 */ 'n', 'o', 'p', 9, 0,
-  /* 6490 */ 'l', 'o', 'o', 'p', 9, 0,
-  /* 6496 */ 'p', 'o', 'p', 9, 0,
-  /* 6501 */ 'f', 's', 'u', 'b', 'r', 'p', 9, 0,
-  /* 6509 */ 'f', 'd', 'i', 'v', 'r', 'p', 9, 0,
-  /* 6517 */ 's', 'e', 't', 'p', 9, 0,
-  /* 6523 */ 'f', 'b', 's', 't', 'p', 9, 0,
-  /* 6530 */ 'f', 's', 't', 'p', 9, 0,
-  /* 6536 */ 'f', 'i', 's', 't', 'p', 9, 0,
-  /* 6543 */ 'f', 'i', 's', 't', 't', 'p', 9, 0,
-  /* 6551 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 9, 0,
-  /* 6561 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 9, 0,
-  /* 6572 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 9, 0,
-  /* 6583 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
-  /* 6599 */ 'f', 'd', 'i', 'v', 'p', 9, 0,
-  /* 6606 */ 'c', 'm', 'o', 'v', 'p', 9, 0,
-  /* 6613 */ 'm', 'o', 'v', 'd', 'q', '2', 'q', 9, 0,
-  /* 6622 */ 'v', 'p', 's', 'h', 'a', 'q', 9, 0,
-  /* 6630 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'q', 9, 0,
-  /* 6640 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'q', 9, 0,
-  /* 6651 */ 'v', 'p', 's', 'u', 'b', 'q', 9, 0,
-  /* 6659 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 9, 0,
-  /* 6670 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 9, 0,
-  /* 6681 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
-  /* 6693 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
-  /* 6704 */ 'm', 'o', 'v', 'q', '2', 'd', 'q', 9, 0,
-  /* 6713 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 9, 0,
-  /* 6725 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 9, 0,
-  /* 6736 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 'q', 9, 0,
-  /* 6746 */ 'v', 'p', 'a', 'd', 'd', 'q', 9, 0,
-  /* 6754 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 'q', 9, 0,
-  /* 6764 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 9, 0,
-  /* 6776 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 9, 0,
-  /* 6788 */ 'v', 'p', 's', 'l', 'l', 'd', 'q', 9, 0,
-  /* 6797 */ 'v', 'p', 's', 'r', 'l', 'd', 'q', 9, 0,
-  /* 6806 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 9, 0,
-  /* 6815 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 9, 0,
-  /* 6828 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 9, 0,
-  /* 6841 */ 'v', 'p', 'c', 'l', 'm', 'u', 'l', 'q', 'd', 'q', 9, 0,
-  /* 6853 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 9, 0,
-  /* 6865 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 9, 0,
-  /* 6875 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'd', 'q', 9, 0,
-  /* 6886 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 9, 0,
-  /* 6896 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 9, 0,
-  /* 6907 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 9, 0,
-  /* 6918 */ 'p', 'f', 'c', 'm', 'p', 'e', 'q', 9, 0,
-  /* 6927 */ 'r', 'e', 't', 'f', 'q', 9, 0,
-  /* 6934 */ 'v', 'p', 's', 'h', 'l', 'q', 9, 0,
-  /* 6942 */ 'v', 'p', 's', 'l', 'l', 'q', 9, 0,
-  /* 6950 */ 'v', 'p', 's', 'r', 'l', 'q', 9, 0,
-  /* 6958 */ 'v', 'p', 'c', 'o', 'm', 'q', 9, 0,
-  /* 6966 */ 'v', 'p', 'e', 'r', 'm', 'q', 9, 0,
-  /* 6974 */ 'v', 'p', 'c', 'm', 'p', 'q', 9, 0,
-  /* 6982 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'q', 9, 0,
-  /* 6992 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 9, 0,
-  /* 7004 */ 'v', 'p', 'i', 'n', 's', 'r', 'q', 9, 0,
-  /* 7013 */ 'v', 'p', 'e', 'x', 't', 'r', 'q', 9, 0,
-  /* 7022 */ 's', 't', 'o', 's', 'q', 9, 0,
-  /* 7029 */ 'c', 'm', 'p', 's', 'q', 9, 0,
-  /* 7036 */ 'm', 'o', 'v', 's', 'q', 9, 0,
-  /* 7043 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'q', 9, 0,
-  /* 7053 */ 'm', 'o', 'v', 'n', 't', 'q', 9, 0,
-  /* 7061 */ 'v', 'p', 'r', 'o', 't', 'q', 9, 0,
-  /* 7069 */ 'i', 'n', 's', 'e', 'r', 't', 'q', 9, 0,
-  /* 7078 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 9, 0,
-  /* 7092 */ 'v', 'p', 'c', 'o', 'm', 'u', 'q', 9, 0,
-  /* 7101 */ 'v', 'p', 'c', 'm', 'p', 'u', 'q', 9, 0,
-  /* 7110 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 9, 0,
-  /* 7119 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 9, 0,
-  /* 7128 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'q', 9, 0,
-  /* 7140 */ 'v', 'm', 'o', 'v', 'q', 9, 0,
-  /* 7147 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'q', 9, 0,
-  /* 7157 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'q', 9, 0,
-  /* 7168 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 9, 0,
-  /* 7179 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 9, 0,
-  /* 7190 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
-  /* 7199 */ 'l', 'a', 'r', 9, 0,
-  /* 7204 */ 's', 'a', 'r', 9, 0,
-  /* 7209 */ 'p', 'f', 's', 'u', 'b', 'r', 9, 0,
-  /* 7217 */ 'f', 'i', 's', 'u', 'b', 'r', 9, 0,
-  /* 7225 */ 'r', 'c', 'r', 9, 0,
-  /* 7230 */ 'e', 'n', 't', 'e', 'r', 9, 0,
-  /* 7237 */ 's', 'h', 'r', 9, 0,
-  /* 7242 */ 'v', 'p', 'a', 'l', 'i', 'g', 'n', 'r', 9, 0,
-  /* 7252 */ 'v', 'p', 'o', 'r', 9, 0,
-  /* 7258 */ 'r', 'o', 'r', 9, 0,
-  /* 7263 */ 'f', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 7271 */ 'f', 'x', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 7280 */ 'v', 'p', 'x', 'o', 'r', 9, 0,
-  /* 7287 */ 'v', 'e', 'r', 'r', 9, 0,
-  /* 7293 */ 'b', 's', 'r', 9, 0,
-  /* 7298 */ 'v', 'l', 'd', 'm', 'x', 'c', 's', 'r', 9, 0,
-  /* 7308 */ 'v', 's', 't', 'm', 'x', 'c', 's', 'r', 9, 0,
-  /* 7318 */ 'b', 'l', 's', 'r', 9, 0,
-  /* 7324 */ 'b', 't', 'r', 9, 0,
-  /* 7329 */ 'l', 't', 'r', 9, 0,
-  /* 7334 */ 's', 't', 'r', 9, 0,
-  /* 7339 */ 'b', 'e', 'x', 't', 'r', 9, 0,
-  /* 7346 */ 'f', 'd', 'i', 'v', 'r', 9, 0,
-  /* 7353 */ 'f', 'i', 'd', 'i', 'v', 'r', 9, 0,
-  /* 7361 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 0,
-  /* 7369 */ 'b', 'l', 'c', 's', 9, 0,
-  /* 7375 */ 'l', 'd', 's', 9, 0,
-  /* 7380 */ 'l', 'e', 's', 9, 0,
-  /* 7385 */ 'l', 'f', 's', 9, 0,
-  /* 7390 */ 'l', 'g', 's', 9, 0,
-  /* 7395 */ 'j', 's', 9, 0,
-  /* 7399 */ 'j', 'n', 's', 9, 0,
-  /* 7404 */ 's', 'e', 't', 'n', 's', 9, 0,
-  /* 7411 */ 'c', 'm', 'o', 'v', 'n', 's', 9, 0,
-  /* 7419 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7435 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7448 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7462 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7478 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7491 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 7505 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7521 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7534 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7548 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7564 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7577 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 7591 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 9, 0,
-  /* 7602 */ 'v', 'c', 'v', 't', 'p', 'h', '2', 'p', 's', 9, 0,
-  /* 7613 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 's', 9, 0,
-  /* 7623 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 's', 9, 0,
-  /* 7635 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 9, 0,
-  /* 7646 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7662 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7675 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7689 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7705 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7718 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 7732 */ 'v', 'm', 'o', 'v', 'a', 'p', 's', 9, 0,
-  /* 7741 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7754 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7765 */ 'v', 'h', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7774 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7784 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7795 */ 'v', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 7803 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 7816 */ 'v', 'h', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 7825 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 7835 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 7846 */ 'v', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 7854 */ 'v', 'a', 'n', 'd', 'p', 's', 9, 0,
-  /* 7862 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 's', 9, 0,
-  /* 7872 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 's', 9, 0,
-  /* 7882 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 9, 0,
-  /* 7894 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 9, 0,
-  /* 7903 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 's', 9, 0,
-  /* 7914 */ 'v', 'm', 'o', 'v', 'l', 'h', 'p', 's', 9, 0,
-  /* 7924 */ 'v', 'm', 'o', 'v', 'h', 'p', 's', 9, 0,
-  /* 7933 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 's', 9, 0,
-  /* 7944 */ 'v', 'm', 'o', 'v', 'h', 'l', 'p', 's', 9, 0,
-  /* 7954 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 9, 0,
-  /* 7965 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 's', 9, 0,
-  /* 7976 */ 'v', 'm', 'u', 'l', 'p', 's', 9, 0,
-  /* 7984 */ 'v', 'm', 'o', 'v', 'l', 'p', 's', 9, 0,
-  /* 7993 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 9, 0,
-  /* 8002 */ 'v', 'a', 'n', 'd', 'n', 'p', 's', 9, 0,
-  /* 8011 */ 'v', 'm', 'i', 'n', 'p', 's', 9, 0,
-  /* 8019 */ 'v', 'r', 'c', 'p', 'p', 's', 9, 0,
-  /* 8027 */ 'v', 'd', 'p', 'p', 's', 9, 0,
-  /* 8034 */ 'v', 'c', 'm', 'p', 'p', 's', 9, 0,
-  /* 8042 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 9, 0,
-  /* 8054 */ 'v', 'o', 'r', 'p', 's', 9, 0,
-  /* 8061 */ 'v', 'x', 'o', 'r', 'p', 's', 9, 0,
-  /* 8069 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'p', 's', 9, 0,
-  /* 8081 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 's', 9, 0,
-  /* 8091 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'p', 's', 9, 0,
-  /* 8102 */ 'v', 'r', 's', 'q', 'r', 't', 'p', 's', 9, 0,
-  /* 8112 */ 'v', 's', 'q', 'r', 't', 'p', 's', 9, 0,
-  /* 8121 */ 'v', 't', 'e', 's', 't', 'p', 's', 9, 0,
-  /* 8130 */ 'v', 'm', 'o', 'v', 'u', 'p', 's', 9, 0,
-  /* 8139 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 's', 9, 0,
-  /* 8150 */ 'v', 'd', 'i', 'v', 'p', 's', 9, 0,
-  /* 8158 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 's', 9, 0,
-  /* 8170 */ 'v', 'm', 'a', 'x', 'p', 's', 9, 0,
-  /* 8178 */ 'v', 'f', 'r', 'c', 'z', 'p', 's', 9, 0,
-  /* 8187 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
-  /* 8200 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
-  /* 8214 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
-  /* 8227 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
-  /* 8241 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
-  /* 8254 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
-  /* 8268 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
-  /* 8281 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
-  /* 8295 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 's', 9, 0,
-  /* 8306 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 9, 0,
-  /* 8317 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 9, 0,
-  /* 8329 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
-  /* 8342 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
-  /* 8356 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
-  /* 8369 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
-  /* 8383 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 8393 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 8404 */ 'v', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 8412 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 8422 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 8433 */ 'v', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 8441 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 's', 9, 0,
-  /* 8451 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
-  /* 8461 */ 'v', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
-  /* 8470 */ 'v', 'm', 'u', 'l', 's', 's', 9, 0,
-  /* 8478 */ 'v', 'm', 'i', 'n', 's', 's', 9, 0,
-  /* 8486 */ 'v', 'r', 'c', 'p', 's', 's', 9, 0,
-  /* 8494 */ 'v', 'c', 'm', 'p', 's', 's', 9, 0,
-  /* 8502 */ 'm', 'o', 'v', 'n', 't', 's', 's', 9, 0,
-  /* 8511 */ 'v', 'r', 's', 'q', 'r', 't', 's', 's', 9, 0,
-  /* 8521 */ 'v', 's', 'q', 'r', 't', 's', 's', 9, 0,
-  /* 8530 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 9, 0,
-  /* 8544 */ 'v', 'd', 'i', 'v', 's', 's', 9, 0,
-  /* 8552 */ 'v', 'm', 'o', 'v', 's', 's', 9, 0,
-  /* 8560 */ 'v', 'm', 'a', 'x', 's', 's', 9, 0,
-  /* 8568 */ 'v', 'f', 'r', 'c', 'z', 's', 's', 9, 0,
-  /* 8577 */ 'b', 't', 's', 9, 0,
-  /* 8582 */ 's', 'e', 't', 's', 9, 0,
-  /* 8588 */ 'c', 'm', 'o', 'v', 's', 9, 0,
-  /* 8595 */ 'b', 't', 9, 0,
-  /* 8599 */ 'l', 'g', 'd', 't', 9, 0,
-  /* 8605 */ 's', 'g', 'd', 't', 9, 0,
-  /* 8611 */ 'l', 'i', 'd', 't', 9, 0,
-  /* 8617 */ 's', 'i', 'd', 't', 9, 0,
-  /* 8623 */ 'l', 'l', 'd', 't', 9, 0,
-  /* 8629 */ 's', 'l', 'd', 't', 9, 0,
-  /* 8635 */ 'r', 'e', 't', 9, 0,
-  /* 8640 */ 'p', 'f', 'c', 'm', 'p', 'g', 't', 9, 0,
-  /* 8649 */ 'p', 'o', 'p', 'c', 'n', 't', 9, 0,
-  /* 8657 */ 'l', 'z', 'c', 'n', 't', 9, 0,
-  /* 8664 */ 't', 'z', 'c', 'n', 't', 9, 0,
-  /* 8671 */ 'i', 'n', 't', 9, 0,
-  /* 8676 */ 'n', 'o', 't', 9, 0,
-  /* 8681 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
-  /* 8689 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
-  /* 8699 */ 'x', 'a', 'b', 'o', 'r', 't', 9, 0,
-  /* 8707 */ 'p', 'f', 'r', 's', 'q', 'r', 't', 9, 0,
-  /* 8716 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 'l', 'a', 's', 't', 9, 0,
-  /* 8729 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 'l', 'a', 's', 't', 9, 0,
-  /* 8742 */ 'v', 'p', 't', 'e', 's', 't', 9, 0,
-  /* 8750 */ 'f', 's', 't', 9, 0,
-  /* 8755 */ 'f', 'i', 's', 't', 9, 0,
-  /* 8761 */ 'v', 'a', 'e', 's', 'k', 'e', 'y', 'g', 'e', 'n', 'a', 's', 's', 'i', 's', 't', 9, 0,
-  /* 8779 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
-  /* 8788 */ 'o', 'u', 't', 9, 0,
-  /* 8793 */ 'p', 'e', 'x', 't', 9, 0,
-  /* 8799 */ 'v', 'l', 'd', 'd', 'q', 'u', 9, 0,
-  /* 8807 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
-  /* 8820 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
-  /* 8829 */ 'f', 'd', 'i', 'v', 9, 0,
-  /* 8835 */ 'f', 'i', 'd', 'i', 'v', 9, 0,
-  /* 8842 */ 'f', 'l', 'd', 'e', 'n', 'v', 9, 0,
-  /* 8850 */ 'f', 'n', 's', 't', 'e', 'n', 'v', 9, 0,
-  /* 8859 */ 'v', 'p', 'c', 'm', 'o', 'v', 9, 0,
-  /* 8867 */ 'v', 'p', 's', 'h', 'a', 'w', 9, 0,
-  /* 8875 */ 'v', 'p', 's', 'r', 'a', 'w', 9, 0,
-  /* 8883 */ 'v', 'p', 'h', 's', 'u', 'b', 'b', 'w', 9, 0,
-  /* 8893 */ 'v', 'm', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
-  /* 8903 */ 'v', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
-  /* 8912 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'w', 9, 0,
-  /* 8922 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'b', 'w', 9, 0,
-  /* 8934 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'b', 'w', 9, 0,
-  /* 8946 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'w', 9, 0,
-  /* 8957 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 9, 0,
-  /* 8966 */ 'v', 'p', 's', 'u', 'b', 'w', 9, 0,
-  /* 8974 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'w', 9, 0,
-  /* 8985 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'w', 9, 0,
-  /* 8996 */ 'f', 'l', 'd', 'c', 'w', 9, 0,
-  /* 9003 */ 'f', 'n', 's', 't', 'c', 'w', 9, 0,
-  /* 9011 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 9, 0,
-  /* 9020 */ 'v', 'p', 'a', 'd', 'd', 'w', 9, 0,
-  /* 9028 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'w', 9, 0,
-  /* 9038 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'd', 'w', 9, 0,
-  /* 9049 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'd', 'w', 9, 0,
-  /* 9060 */ 'p', 'i', '2', 'f', 'w', 9, 0,
-  /* 9067 */ 'p', 's', 'h', 'u', 'f', 'w', 9, 0,
-  /* 9075 */ 'v', 'p', 'a', 'v', 'g', 'w', 9, 0,
-  /* 9083 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'w', 9, 0,
-  /* 9094 */ 'v', 'p', 's', 'h', 'u', 'f', 'h', 'w', 9, 0,
-  /* 9104 */ 'v', 'p', 'm', 'u', 'l', 'h', 'w', 9, 0,
-  /* 9113 */ 'p', 'f', '2', 'i', 'w', 9, 0,
-  /* 9120 */ 'v', 'p', 's', 'h', 'u', 'f', 'l', 'w', 9, 0,
-  /* 9130 */ 'v', 'p', 's', 'h', 'l', 'w', 9, 0,
-  /* 9138 */ 'v', 'p', 's', 'l', 'l', 'w', 9, 0,
-  /* 9146 */ 'v', 'p', 'm', 'u', 'l', 'l', 'w', 9, 0,
-  /* 9155 */ 'v', 'p', 's', 'r', 'l', 'w', 9, 0,
-  /* 9163 */ 'v', 'p', 'c', 'o', 'm', 'w', 9, 0,
-  /* 9171 */ 'v', 'p', 's', 'i', 'g', 'n', 'w', 9, 0,
-  /* 9180 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'w', 9, 0,
-  /* 9190 */ 'v', 'e', 'r', 'w', 9, 0,
-  /* 9196 */ 'p', 'm', 'u', 'l', 'h', 'r', 'w', 9, 0,
-  /* 9205 */ 'v', 'p', 'i', 'n', 's', 'r', 'w', 9, 0,
-  /* 9214 */ 'v', 'p', 'e', 'x', 't', 'r', 'w', 9, 0,
-  /* 9223 */ 'v', 'p', 'a', 'b', 's', 'w', 9, 0,
-  /* 9231 */ 'v', 'p', 'm', 'a', 'd', 'd', 'u', 'b', 's', 'w', 9, 0,
-  /* 9243 */ 'v', 'p', 'h', 's', 'u', 'b', 's', 'w', 9, 0,
-  /* 9253 */ 'v', 'p', 's', 'u', 'b', 's', 'w', 9, 0,
-  /* 9262 */ 'v', 'p', 'h', 'a', 'd', 'd', 's', 'w', 9, 0,
-  /* 9272 */ 'v', 'p', 'a', 'd', 'd', 's', 'w', 9, 0,
-  /* 9281 */ 'l', 'm', 's', 'w', 9, 0,
-  /* 9287 */ 's', 'm', 's', 'w', 9, 0,
-  /* 9293 */ 'v', 'p', 'm', 'i', 'n', 's', 'w', 9, 0,
-  /* 9302 */ 's', 't', 'o', 's', 'w', 9, 0,
-  /* 9309 */ 'c', 'm', 'p', 's', 'w', 9, 0,
-  /* 9316 */ 'v', 'p', 'm', 'u', 'l', 'h', 'r', 's', 'w', 9, 0,
-  /* 9327 */ 'f', 'n', 's', 't', 's', 'w', 9, 0,
-  /* 9335 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'w', 9, 0,
-  /* 9345 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'w', 9, 0,
-  /* 9355 */ 'm', 'o', 'v', 's', 'w', 9, 0,
-  /* 9362 */ 'v', 'p', 'm', 'a', 'x', 's', 'w', 9, 0,
-  /* 9371 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'w', 9, 0,
-  /* 9381 */ 'v', 'p', 'r', 'o', 't', 'w', 9, 0,
-  /* 9389 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'w', 9, 0,
-  /* 9403 */ 'v', 'p', 'm', 'u', 'l', 'h', 'u', 'w', 9, 0,
-  /* 9413 */ 'v', 'p', 'c', 'o', 'm', 'u', 'w', 9, 0,
-  /* 9422 */ 'v', 'p', 'm', 'i', 'n', 'u', 'w', 9, 0,
-  /* 9431 */ 'v', 'p', 'h', 'm', 'i', 'n', 'p', 'o', 's', 'u', 'w', 9, 0,
-  /* 9444 */ 'v', 'p', 'm', 'a', 'x', 'u', 'w', 9, 0,
-  /* 9453 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'w', 9, 0,
-  /* 9463 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'w', 9, 0,
-  /* 9474 */ 'p', 'f', 'm', 'a', 'x', 9, 0,
-  /* 9481 */ 'a', 'd', 'c', 'x', 9, 0,
-  /* 9487 */ 's', 'h', 'l', 'x', 9, 0,
-  /* 9493 */ 'm', 'u', 'l', 'x', 9, 0,
-  /* 9499 */ 'a', 'd', 'o', 'x', 9, 0,
-  /* 9505 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
-  /* 9518 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
-  /* 9530 */ 's', 'a', 'r', 'x', 9, 0,
-  /* 9536 */ 's', 'h', 'r', 'x', 9, 0,
-  /* 9542 */ 'r', 'o', 'r', 'x', 9, 0,
-  /* 9548 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'x', 9, 0,
-  /* 9560 */ 'm', 'o', 'v', 's', 'x', 9, 0,
-  /* 9567 */ 'm', 'o', 'v', 'z', 'x', 9, 0,
-  /* 9574 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
-  /* 9581 */ 'j', 'c', 'x', 'z', 9, 0,
-  /* 9587 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
-  /* 9594 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9610 */ 'f', 'c', 'm', 'o', 'v', 'b', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9625 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9642 */ 'f', 'c', 'm', 'o', 'v', 'b', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9658 */ 'f', 'c', 'm', 'o', 'v', 'n', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9674 */ 'f', 'c', 'm', 'o', 'v', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9689 */ 'f', 'x', 'c', 'h', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9702 */ 'f', 'c', 'o', 'm', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9715 */ 'f', 'c', 'o', 'm', 'p', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9729 */ 'f', 'c', 'm', 'o', 'v', 'n', 'u', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9745 */ 'f', 'c', 'm', 'o', 'v', 'u', 9, 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 9760 */ 's', 'b', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 9769 */ 's', 'c', 'a', 's', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 9780 */ 'l', 'o', 'd', 's', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 9791 */ 's', 'u', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 9800 */ 'a', 'd', 'c', 9, 'a', 'l', ',', 32, 0,
-  /* 9809 */ 'a', 'd', 'd', 9, 'a', 'l', ',', 32, 0,
-  /* 9818 */ 'a', 'n', 'd', 9, 'a', 'l', ',', 32, 0,
-  /* 9827 */ 'i', 'n', 9, 'a', 'l', ',', 32, 0,
-  /* 9835 */ 'c', 'm', 'p', 9, 'a', 'l', ',', 32, 0,
-  /* 9844 */ 'x', 'o', 'r', 9, 'a', 'l', ',', 32, 0,
-  /* 9853 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'l', ',', 32, 0,
-  /* 9865 */ 't', 'e', 's', 't', 9, 'a', 'l', ',', 32, 0,
-  /* 9875 */ 'm', 'o', 'v', 9, 'a', 'l', ',', 32, 0,
-  /* 9884 */ 's', 'b', 'b', 9, 'a', 'x', ',', 32, 0,
-  /* 9893 */ 's', 'u', 'b', 9, 'a', 'x', ',', 32, 0,
-  /* 9902 */ 'a', 'd', 'c', 9, 'a', 'x', ',', 32, 0,
-  /* 9911 */ 'a', 'd', 'd', 9, 'a', 'x', ',', 32, 0,
-  /* 9920 */ 'a', 'n', 'd', 9, 'a', 'x', ',', 32, 0,
-  /* 9929 */ 'x', 'c', 'h', 'g', 9, 'a', 'x', ',', 32, 0,
-  /* 9939 */ 'i', 'n', 9, 'a', 'x', ',', 32, 0,
-  /* 9947 */ 'c', 'm', 'p', 9, 'a', 'x', ',', 32, 0,
-  /* 9956 */ 'x', 'o', 'r', 9, 'a', 'x', ',', 32, 0,
-  /* 9965 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'x', ',', 32, 0,
-  /* 9977 */ 't', 'e', 's', 't', 9, 'a', 'x', ',', 32, 0,
-  /* 9987 */ 'm', 'o', 'v', 9, 'a', 'x', ',', 32, 0,
-  /* 9996 */ 's', 'c', 'a', 's', 'w', 9, 'a', 'x', ',', 32, 0,
-  /* 10007 */ 'l', 'o', 'd', 's', 'w', 9, 'a', 'x', ',', 32, 0,
-  /* 10018 */ 's', 'b', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10028 */ 's', 'u', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10038 */ 'a', 'd', 'c', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10048 */ 'a', 'd', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10058 */ 'a', 'n', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10068 */ 's', 'c', 'a', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10080 */ 'l', 'o', 'd', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10092 */ 'x', 'c', 'h', 'g', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10103 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10112 */ 'c', 'm', 'p', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10122 */ 'x', 'o', 'r', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10132 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10145 */ 't', 'e', 's', 't', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10156 */ 'm', 'o', 'v', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 10166 */ 's', 'b', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10176 */ 's', 'u', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10186 */ 'a', 'd', 'c', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10196 */ 'a', 'd', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10206 */ 'a', 'n', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10216 */ 'x', 'c', 'h', 'g', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10227 */ 'c', 'm', 'p', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10237 */ 's', 'c', 'a', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10249 */ 'l', 'o', 'd', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10261 */ 'x', 'o', 'r', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10271 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10284 */ 't', 'e', 's', 't', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 10295 */ 'o', 'u', 't', 's', 'b', 9, 'd', 'x', ',', 32, 0,
-  /* 10306 */ 'o', 'u', 't', 's', 'd', 9, 'd', 'x', ',', 32, 0,
-  /* 10317 */ 'o', 'u', 't', 's', 'w', 9, 'd', 'x', ',', 32, 0,
-  /* 10328 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
-  /* 10339 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
-  /* 10362 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
-  /* 10376 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
-  /* 10400 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
-  /* 10417 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 10433 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 10448 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
-  /* 10462 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
-  /* 10476 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '3', '2', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10496 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '1', '6', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10516 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10536 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10556 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10577 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10597 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10617 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10636 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10656 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10676 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10696 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10716 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10736 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10756 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10776 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10795 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10813 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10834 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 10855 */ 'x', 's', 'h', 'a', '1', 0,
-  /* 10861 */ 'f', 'l', 'd', '1', 0,
-  /* 10866 */ 'f', 'p', 'r', 'e', 'm', '1', 0,
-  /* 10873 */ 'f', '2', 'x', 'm', '1', 0,
-  /* 10879 */ 'f', 'y', 'l', '2', 'x', 'p', '1', 0,
-  /* 10887 */ 'i', 'n', 't', '1', 0,
-  /* 10892 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
-  /* 10911 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
-  /* 10929 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
-  /* 10942 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 10955 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 10973 */ 'u', 'd', '2', 0,
-  /* 10977 */ 'f', 'l', 'd', 'l', 'g', '2', 0,
-  /* 10984 */ 'f', 'l', 'd', 'l', 'n', '2', 0,
-  /* 10991 */ 'i', 'n', 't', '3', 0,
-  /* 10996 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
-  /* 11015 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
-  /* 11033 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
-  /* 11046 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 11059 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 11077 */ 'r', 'e', 'x', '6', '4', 0,
-  /* 11083 */ 'd', 'a', 't', 'a', '1', '6', 0,
-  /* 11090 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
-  /* 11098 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 11111 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 11118 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 11128 */ '#', 32, 'X', 'B', 'E', 'G', 'I', 'N', 0,
-  /* 11137 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
-  /* 11155 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
-  /* 11171 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
-  /* 11183 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 11198 */ 'a', 'a', 'a', 0,
-  /* 11202 */ 'd', 'a', 'a', 0,
-  /* 11206 */ 'u', 'd', '2', 'b', 0,
-  /* 11211 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
-  /* 11221 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
-  /* 11231 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
-  /* 11241 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'b', 0,
-  /* 11251 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'b', 0,
-  /* 11261 */ 'x', 'l', 'a', 't', 'b', 0,
-  /* 11267 */ 'c', 'l', 'a', 'c', 0,
-  /* 11272 */ 's', 't', 'a', 'c', 0,
-  /* 11277 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
-  /* 11287 */ 'g', 'e', 't', 's', 'e', 'c', 0,
-  /* 11294 */ 's', 'a', 'l', 'c', 0,
-  /* 11299 */ 'c', 'l', 'c', 0,
-  /* 11303 */ 'c', 'm', 'c', 0,
-  /* 11307 */ 'r', 'd', 'p', 'm', 'c', 0,
-  /* 11313 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
-  /* 11320 */ 'r', 'd', 't', 's', 'c', 0,
-  /* 11326 */ 's', 't', 'c', 0,
-  /* 11330 */ 'p', 'u', 's', 'h', 'f', 'd', 0,
-  /* 11337 */ 'p', 'o', 'p', 'f', 'd', 0,
-  /* 11343 */ 'c', 'p', 'u', 'i', 'd', 0,
-  /* 11349 */ 'c', 'l', 'd', 0,
-  /* 11353 */ 'x', 'e', 'n', 'd', 0,
-  /* 11358 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'd', 0,
-  /* 11368 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'd', 0,
-  /* 11378 */ 'i', 'r', 'e', 't', 'd', 0,
-  /* 11384 */ 's', 't', 'd', 0,
-  /* 11388 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
-  /* 11395 */ 'c', 'w', 'd', 0,
-  /* 11399 */ 'f', 'l', 'd', 'l', '2', 'e', 0,
-  /* 11406 */ 'l', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 11413 */ 'm', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 11420 */ 's', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 11427 */ 'c', 'w', 'd', 'e', 0,
-  /* 11432 */ 'f', 's', 'c', 'a', 'l', 'e', 0,
-  /* 11439 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
-  /* 11448 */ 'r', 'e', 'p', 'n', 'e', 0,
-  /* 11454 */ 'c', 'd', 'q', 'e', 0,
-  /* 11459 */ 'x', 'a', 'c', 'q', 'u', 'i', 'r', 'e', 0,
-  /* 11468 */ 'x', 's', 't', 'o', 'r', 'e', 0,
-  /* 11475 */ 'x', 'r', 'e', 'l', 'e', 'a', 's', 'e', 0,
-  /* 11484 */ 'p', 'a', 'u', 's', 'e', 0,
-  /* 11490 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 11504 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 11521 */ 'l', 'e', 'a', 'v', 'e', 0,
-  /* 11527 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
-  /* 11534 */ 'l', 'a', 'h', 'f', 0,
-  /* 11539 */ 's', 'a', 'h', 'f', 0,
-  /* 11544 */ 'p', 'u', 's', 'h', 'f', 0,
-  /* 11550 */ 'p', 'o', 'p', 'f', 0,
-  /* 11555 */ 'r', 'e', 't', 'f', 0,
-  /* 11560 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
-  /* 11569 */ 'c', 'l', 'g', 'i', 0,
-  /* 11574 */ 's', 't', 'g', 'i', 0,
-  /* 11579 */ 'c', 'l', 'i', 0,
-  /* 11583 */ 'f', 'l', 'd', 'p', 'i', 0,
-  /* 11589 */ 's', 't', 'i', 0,
-  /* 11593 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
-  /* 11608 */ 'l', 'o', 'c', 'k', 0,
-  /* 11613 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'l', 0,
-  /* 11624 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
-  /* 11631 */ 'p', 'o', 'p', 'a', 'l', 0,
-  /* 11637 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 11645 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 11652 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
-  /* 11660 */ 'v', 'z', 'e', 'r', 'o', 'a', 'l', 'l', 0,
-  /* 11669 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
-  /* 11677 */ 'f', 'x', 'a', 'm', 0,
-  /* 11682 */ 'f', 'p', 'r', 'e', 'm', 0,
-  /* 11688 */ 'f', 's', 'e', 't', 'p', 'm', 0,
-  /* 11695 */ 'r', 's', 'm', 0,
-  /* 11699 */ 'f', 'p', 'a', 't', 'a', 'n', 0,
-  /* 11706 */ 'f', 'p', 't', 'a', 'n', 0,
-  /* 11712 */ 'f', 's', 'i', 'n', 0,
-  /* 11717 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
-  /* 11744 */ 'c', 'q', 'o', 0,
-  /* 11748 */ 'i', 'n', 't', 'o', 0,
-  /* 11753 */ 'r', 'd', 't', 's', 'c', 'p', 0,
-  /* 11760 */ 'r', 'e', 'p', 0,
-  /* 11764 */ 'v', 'p', 'c', 'm', 'p', 0,
-  /* 11770 */ 'v', 'c', 'm', 'p', 0,
-  /* 11775 */ 'f', 'n', 'o', 'p', 0,
-  /* 11780 */ 'f', 'c', 'o', 'm', 'p', 'p', 0,
-  /* 11787 */ 'f', 'u', 'c', 'o', 'm', 'p', 'p', 0,
-  /* 11795 */ 'f', 'd', 'e', 'c', 's', 't', 'p', 0,
-  /* 11803 */ 'f', 'i', 'n', 'c', 's', 't', 'p', 0,
-  /* 11811 */ 'c', 'd', 'q', 0,
-  /* 11815 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
-  /* 11822 */ 'p', 'o', 'p', 'f', 'q', 0,
-  /* 11828 */ 'r', 'e', 't', 'f', 'q', 0,
-  /* 11834 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'q', 0,
-  /* 11844 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'q', 0,
-  /* 11854 */ 'i', 'r', 'e', 't', 'q', 0,
-  /* 11860 */ 'v', 'z', 'e', 'r', 'o', 'u', 'p', 'p', 'e', 'r', 0,
-  /* 11871 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
-  /* 11880 */ 'm', 'o', 'n', 'i', 't', 'o', 'r', 0,
-  /* 11888 */ 'r', 'd', 'm', 's', 'r', 0,
-  /* 11894 */ 'w', 'r', 'm', 's', 'r', 0,
-  /* 11900 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
-  /* 11910 */ 'a', 'a', 's', 0,
-  /* 11914 */ 'd', 'a', 's', 0,
-  /* 11918 */ 'f', 'a', 'b', 's', 0,
-  /* 11923 */ 'p', 'u', 's', 'h', 9, 'c', 's', 0,
-  /* 11931 */ 'p', 'u', 's', 'h', 9, 'd', 's', 0,
-  /* 11939 */ 'p', 'o', 'p', 9, 'd', 's', 0,
-  /* 11946 */ 'p', 'u', 's', 'h', 9, 'e', 's', 0,
-  /* 11954 */ 'p', 'o', 'p', 9, 'e', 's', 0,
-  /* 11961 */ 'p', 'u', 's', 'h', 9, 'f', 's', 0,
-  /* 11969 */ 'p', 'o', 'p', 9, 'f', 's', 0,
-  /* 11976 */ 'p', 'u', 's', 'h', 9, 'g', 's', 0,
-  /* 11984 */ 'p', 'o', 'p', 9, 'g', 's', 0,
-  /* 11991 */ 's', 'w', 'a', 'p', 'g', 's', 0,
-  /* 11998 */ 'f', 'c', 'h', 's', 0,
-  /* 12003 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
-  /* 12048 */ 'e', 'n', 'c', 'l', 's', 0,
-  /* 12054 */ 'f', 'e', 'm', 'm', 's', 0,
-  /* 12060 */ 'f', 'c', 'o', 's', 0,
-  /* 12065 */ 'f', 's', 'i', 'n', 'c', 'o', 's', 0,
-  /* 12073 */ 'p', 'u', 's', 'h', 9, 's', 's', 0,
-  /* 12081 */ 'p', 'o', 'p', 9, 's', 's', 0,
-  /* 12088 */ 'c', 'l', 't', 's', 0,
-  /* 12093 */ 'f', 'l', 'd', 'l', '2', 't', 0,
-  /* 12100 */ 'f', 'x', 't', 'r', 'a', 'c', 't', 0,
-  /* 12108 */ 'i', 'r', 'e', 't', 0,
-  /* 12113 */ 's', 'y', 's', 'r', 'e', 't', 0,
-  /* 12120 */ 'm', 'w', 'a', 'i', 't', 0,
-  /* 12126 */ 'f', 'n', 'i', 'n', 'i', 't', 0,
-  /* 12133 */ 's', 'y', 's', 'e', 'x', 'i', 't', 0,
-  /* 12141 */ 'h', 'l', 't', 0,
-  /* 12145 */ 'f', 'r', 'n', 'd', 'i', 'n', 't', 0,
-  /* 12153 */ 'f', 's', 'q', 'r', 't', 0,
-  /* 12159 */ 'x', 't', 'e', 's', 't', 0,
-  /* 12165 */ 'f', 't', 's', 't', 0,
-  /* 12170 */ 'e', 'n', 'c', 'l', 'u', 0,
-  /* 12176 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
-  /* 12183 */ 'x', 's', 'e', 't', 'b', 'v', 0,
-  /* 12190 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
-  /* 12197 */ 'p', 'o', 'p', 'a', 'w', 0,
-  /* 12203 */ 'c', 'b', 'w', 0,
-  /* 12207 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'w', 0,
-  /* 12217 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'w', 0,
-  /* 12227 */ 'f', 'y', 'l', '2', 'x', 0,
-  /* 12233 */ 'f', 'n', 's', 't', 's', 'w', 9, 'a', 'x', 0,
-  /* 12243 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'x', 0,
-  /* 12254 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'e', 'a', 'x', 0,
-  /* 12265 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'e', 'a', 'x', 0,
-  /* 12276 */ 'v', 'm', 'r', 'u', 'n', 9, 'e', 'a', 'x', 0,
-  /* 12286 */ 's', 'k', 'i', 'n', 'i', 't', 9, 'e', 'a', 'x', 0,
-  /* 12297 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'e', 'a', 'x', 0,
-  /* 12309 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'r', 'a', 'x', 0,
-  /* 12320 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'r', 'a', 'x', 0,
-  /* 12331 */ 'v', 'm', 'r', 'u', 'n', 9, 'r', 'a', 'x', 0,
-  /* 12341 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'e', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
-  /* 12358 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'r', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
-  /* 12375 */ 'i', 'n', 9, 'a', 'l', ',', 32, 'd', 'x', 0,
-  /* 12385 */ 'i', 'n', 9, 'a', 'x', ',', 32, 'd', 'x', 0,
-  /* 12395 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 'd', 'x', 0,
-  /* 12406 */ 'f', 'n', 'c', 'l', 'e', 'x', 0,
-  /* 12413 */ 'f', 'l', 'd', 'z', 0,
-  /* 12418 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 32, 9, '{', 0,
-  /* 12435 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 32, 9, '{', 0,
-  /* 12453 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 32, 9, '{', 0,
-  /* 12470 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 32, 9, '{', 0,
-  /* 12488 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 32, 9, '{', 0,
-  /* 12505 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 32, 9, '{', 0,
-  /* 12523 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 32, 9, '{', 0,
-  /* 12540 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 32, 9, '{', 0,
-  /* 12558 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 32, 9, '{', 0,
-  /* 12575 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 32, 9, '{', 0,
-  /* 12593 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 32, 9, '{', 0,
-  /* 12610 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 32, 9, '{', 0,
-  /* 12628 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 32, 9, '{', 0,
-  /* 12645 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 32, 9, '{', 0,
-  /* 12663 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 32, 9, '{', 0,
-  /* 12680 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 32, 9, '{', 0,
+  static char AsmStrs[] = {
+  /* 0 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '0', 9, 0,
+  /* 12 */ 's', 'h', 'a', '1', 'm', 's', 'g', '1', 9, 0,
+  /* 22 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '1', 9, 0,
+  /* 34 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '1', 9, 0,
+  /* 46 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '1', 9, 0,
+  /* 56 */ 'p', 'f', 'r', 's', 'q', 'i', 't', '1', 9, 0,
+  /* 66 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '3', '2', 9, 0,
+  /* 77 */ 'c', 'r', 'c', '3', '2', 9, 0,
+  /* 84 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '3', '2', 9, 0,
+  /* 95 */ 's', 'h', 'a', '1', 'm', 's', 'g', '2', 9, 0,
+  /* 105 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '2', 9, 0,
+  /* 117 */ 's', 'h', 'a', '2', '5', '6', 'r', 'n', 'd', 's', '2', 9, 0,
+  /* 130 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '2', 9, 0,
+  /* 142 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '2', 9, 0,
+  /* 152 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '2', 9, 0,
+  /* 166 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '2', 9, 0,
+  /* 180 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '6', '4', 9, 0,
+  /* 191 */ 'x', 's', 'a', 'v', 'e', 'c', '6', '4', 9, 0,
+  /* 201 */ 'f', 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
+  /* 211 */ 'f', 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
+  /* 222 */ 'x', 's', 'a', 'v', 'e', 's', '6', '4', 9, 0,
+  /* 232 */ 'x', 'r', 's', 't', 'o', 'r', 's', '6', '4', 9, 0,
+  /* 243 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
+  /* 255 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '6', '4', 9, 0,
+  /* 266 */ 's', 'h', 'a', '1', 'r', 'n', 'd', 's', '4', 9, 0,
+  /* 277 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '3', '2', 'x', '4', 9, 0,
+  /* 292 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '4', 9, 0,
+  /* 306 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 321 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 335 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 352 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '6', '4', 'x', '4', 9, 0,
+  /* 367 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '4', 9, 0,
+  /* 381 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 396 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 410 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 427 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '1', '6', 9, 0,
+  /* 438 */ 'v', 'p', 'e', 'r', 'm', '2', 'f', '1', '2', '8', 9, 0,
+  /* 450 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '1', '2', '8', 9, 0,
+  /* 464 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '1', '2', '8', 9, 0,
+  /* 477 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'f', '1', '2', '8', 9, 0,
+  /* 493 */ 'v', 'p', 'e', 'r', 'm', '2', 'i', '1', '2', '8', 9, 0,
+  /* 505 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '1', '2', '8', 9, 0,
+  /* 519 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '1', '2', '8', 9, 0,
+  /* 532 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '8', 9, 0,
+  /* 542 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '8', 9, 0,
+  /* 556 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '8', 9, 0,
+  /* 570 */ 'l', 'e', 'a', 9, 0,
+  /* 575 */ 'j', 'a', 9, 0,
+  /* 579 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 'a', 9, 0,
+  /* 590 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', 9, 0,
+  /* 599 */ 's', 'e', 't', 'a', 9, 0,
+  /* 605 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'n', 't', 'a', 9, 0,
+  /* 618 */ 'c', 'm', 'o', 'v', 'a', 9, 0,
+  /* 625 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'b', 9, 0,
+  /* 635 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
+  /* 647 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
+  /* 658 */ 'v', 'p', 's', 'h', 'a', 'b', 9, 0,
+  /* 666 */ 's', 'b', 'b', 9, 0,
+  /* 671 */ 'v', 'p', 's', 'u', 'b', 'b', 9, 0,
+  /* 679 */ 'v', 'p', 'a', 'd', 'd', 'b', 9, 0,
+  /* 687 */ 'k', 'a', 'n', 'd', 'b', 9, 0,
+  /* 694 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'b', 9, 0,
+  /* 705 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'b', 9, 0,
+  /* 715 */ 'v', 'p', 'm', 'o', 'v', 'd', 'b', 9, 0,
+  /* 724 */ 'v', 'p', 's', 'h', 'u', 'f', 'b', 9, 0,
+  /* 733 */ 'v', 'p', 'a', 'v', 'g', 'b', 9, 0,
+  /* 741 */ 'j', 'b', 9, 0,
+  /* 745 */ 'v', 'p', 'm', 'o', 'v', 'm', 's', 'k', 'b', 9, 0,
+  /* 756 */ 'v', 'p', 's', 'h', 'l', 'b', 9, 0,
+  /* 764 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'b', 9, 0,
+  /* 774 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'b', 9, 0,
+  /* 785 */ 'v', 'p', 'c', 'o', 'm', 'b', 9, 0,
+  /* 793 */ 'k', 'a', 'n', 'd', 'n', 'b', 9, 0,
+  /* 801 */ 'v', 'p', 's', 'i', 'g', 'n', 'b', 9, 0,
+  /* 810 */ 'v', 'p', 'c', 'm', 'p', 'b', 9, 0,
+  /* 818 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'b', 9, 0,
+  /* 828 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'b', 9, 0,
+  /* 839 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'b', 9, 0,
+  /* 849 */ 'v', 'p', 'm', 'o', 'v', 'q', 'b', 9, 0,
+  /* 858 */ 'k', 'o', 'r', 'b', 9, 0,
+  /* 864 */ 'k', 'x', 'n', 'o', 'r', 'b', 9, 0,
+  /* 872 */ 'k', 'x', 'o', 'r', 'b', 9, 0,
+  /* 879 */ 'v', 'p', 'i', 'n', 's', 'r', 'b', 9, 0,
+  /* 888 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'b', 9, 0,
+  /* 898 */ 'v', 'p', 'e', 'x', 't', 'r', 'b', 9, 0,
+  /* 907 */ 'v', 'p', 'a', 'b', 's', 'b', 9, 0,
+  /* 915 */ 'v', 'p', 's', 'u', 'b', 's', 'b', 9, 0,
+  /* 924 */ 'v', 'p', 'a', 'd', 'd', 's', 'b', 9, 0,
+  /* 933 */ 'v', 'p', 'm', 'i', 'n', 's', 'b', 9, 0,
+  /* 942 */ 's', 't', 'o', 's', 'b', 9, 0,
+  /* 949 */ 'c', 'm', 'p', 's', 'b', 9, 0,
+  /* 956 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'b', 9, 0,
+  /* 966 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'b', 9, 0,
+  /* 976 */ 'p', 'a', 'v', 'g', 'u', 's', 'b', 9, 0,
+  /* 985 */ 'm', 'o', 'v', 's', 'b', 9, 0,
+  /* 992 */ 'v', 'p', 'm', 'a', 'x', 's', 'b', 9, 0,
+  /* 1001 */ 's', 'e', 't', 'b', 9, 0,
+  /* 1007 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'b', 9, 0,
+  /* 1017 */ 'k', 'n', 'o', 't', 'b', 9, 0,
+  /* 1024 */ 'v', 'p', 'r', 'o', 't', 'b', 9, 0,
+  /* 1032 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'b', 9, 0,
+  /* 1046 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'b', 9, 0,
+  /* 1056 */ 'v', 'p', 'c', 'o', 'm', 'u', 'b', 9, 0,
+  /* 1065 */ 'v', 'p', 'm', 'i', 'n', 'u', 'b', 9, 0,
+  /* 1074 */ 'v', 'p', 'c', 'm', 'p', 'u', 'b', 9, 0,
+  /* 1083 */ 'p', 'f', 's', 'u', 'b', 9, 0,
+  /* 1090 */ 'f', 'i', 's', 'u', 'b', 9, 0,
+  /* 1097 */ 'v', 'p', 'm', 'a', 'x', 'u', 'b', 9, 0,
+  /* 1106 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'v', 'b', 9, 0,
+  /* 1117 */ 'c', 'm', 'o', 'v', 'b', 9, 0,
+  /* 1124 */ 'k', 'm', 'o', 'v', 'b', 9, 0,
+  /* 1131 */ 'c', 'l', 'w', 'b', 9, 0,
+  /* 1137 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'w', 'b', 9, 0,
+  /* 1148 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'w', 'b', 9, 0,
+  /* 1159 */ 'p', 'f', 'a', 'c', 'c', 9, 0,
+  /* 1166 */ 'p', 'f', 'n', 'a', 'c', 'c', 9, 0,
+  /* 1174 */ 'p', 'f', 'p', 'n', 'a', 'c', 'c', 9, 0,
+  /* 1183 */ 'a', 'd', 'c', 9, 0,
+  /* 1188 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 9, 0,
+  /* 1197 */ 'x', 's', 'a', 'v', 'e', 'c', 9, 0,
+  /* 1205 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
+  /* 1212 */ 'b', 'l', 's', 'i', 'c', 9, 0,
+  /* 1219 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
+  /* 1227 */ 'v', 'a', 'e', 's', 'i', 'm', 'c', 9, 0,
+  /* 1236 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 9, 0,
+  /* 1245 */ 'i', 'n', 'c', 9, 0,
+  /* 1250 */ 'b', 't', 'c', 9, 0,
+  /* 1255 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'd', 9, 0,
+  /* 1265 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'd', 9, 0,
+  /* 1275 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'd', 9, 0,
+  /* 1285 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'w', '2', 'd', 9, 0,
+  /* 1302 */ 'a', 'a', 'd', 9, 0,
+  /* 1307 */ 'v', 'm', 'r', 'e', 'a', 'd', 9, 0,
+  /* 1315 */ 'v', 'p', 's', 'h', 'a', 'd', 9, 0,
+  /* 1323 */ 'v', 'p', 's', 'r', 'a', 'd', 9, 0,
+  /* 1331 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'd', 9, 0,
+  /* 1341 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'd', 9, 0,
+  /* 1352 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 9, 0,
+  /* 1361 */ 'v', 'p', 's', 'u', 'b', 'd', 9, 0,
+  /* 1369 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 9, 0,
+  /* 1380 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 9, 0,
+  /* 1391 */ 'p', 'f', 'a', 'd', 'd', 9, 0,
+  /* 1398 */ 'f', 'i', 'a', 'd', 'd', 9, 0,
+  /* 1405 */ 'x', 'a', 'd', 'd', 9, 0,
+  /* 1411 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 9, 0,
+  /* 1420 */ 'v', 'p', 'a', 'd', 'd', 'd', 9, 0,
+  /* 1428 */ 'k', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1435 */ 'v', 'p', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1443 */ 'v', 'p', 'e', 'x', 'p', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1454 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'd', 9, 0,
+  /* 1464 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 9, 0,
+  /* 1476 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'd', 9, 0,
+  /* 1489 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'd', 9, 0,
+  /* 1499 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'd', 9, 0,
+  /* 1510 */ 'r', 'd', 's', 'e', 'e', 'd', 9, 0,
+  /* 1518 */ 'p', 'i', '2', 'f', 'd', 9, 0,
+  /* 1525 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 9, 0,
+  /* 1534 */ 'p', 'f', '2', 'i', 'd', 9, 0,
+  /* 1541 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
+  /* 1550 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
+  /* 1559 */ 'f', 'b', 'l', 'd', 9, 0,
+  /* 1565 */ 'f', 'l', 'd', 9, 0,
+  /* 1570 */ 'v', 'p', 's', 'h', 'l', 'd', 9, 0,
+  /* 1578 */ 'f', 'i', 'l', 'd', 9, 0,
+  /* 1584 */ 'v', 'p', 's', 'l', 'l', 'd', 9, 0,
+  /* 1592 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 9, 0,
+  /* 1601 */ 'v', 'p', 's', 'r', 'l', 'd', 9, 0,
+  /* 1609 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
+  /* 1618 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'd', 9, 0,
+  /* 1628 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'd', 9, 0,
+  /* 1639 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'd', 9, 0,
+  /* 1650 */ 'v', 'p', 'c', 'o', 'm', 'd', 9, 0,
+  /* 1658 */ 'v', 'p', 'e', 'r', 'm', 'd', 9, 0,
+  /* 1666 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'd', 9, 0,
+  /* 1676 */ 'v', 'p', 'a', 'n', 'd', 9, 0,
+  /* 1683 */ 'r', 'd', 'r', 'a', 'n', 'd', 9, 0,
+  /* 1691 */ 'k', 'a', 'n', 'd', 'n', 'd', 9, 0,
+  /* 1699 */ 'v', 'p', 'a', 'n', 'd', 'n', 'd', 9, 0,
+  /* 1708 */ 'v', 'a', 'l', 'i', 'g', 'n', 'd', 9, 0,
+  /* 1717 */ 'v', 'p', 's', 'i', 'g', 'n', 'd', 9, 0,
+  /* 1726 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
+  /* 1733 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1749 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1762 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1776 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1792 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1805 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1819 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1835 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1848 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1862 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1878 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1891 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1905 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 'd', 9, 0,
+  /* 1916 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 'd', 9, 0,
+  /* 1926 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 'd', 9, 0,
+  /* 1938 */ 'v', 'e', 'x', 'p', '2', 'p', 'd', 9, 0,
+  /* 1947 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 9, 0,
+  /* 1958 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 'd', 9, 0,
+  /* 1970 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 9, 0,
+  /* 1981 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 'd', 9, 0,
+  /* 1992 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2008 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2021 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2035 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2051 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2064 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2078 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 'd', 9, 0,
+  /* 2088 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 'd', 9, 0,
+  /* 2100 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 'd', 9, 0,
+  /* 2110 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 'd', 9, 0,
+  /* 2122 */ 'v', 'm', 'o', 'v', 'a', 'p', 'd', 9, 0,
+  /* 2131 */ 'p', 's', 'w', 'a', 'p', 'd', 9, 0,
+  /* 2139 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2152 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2163 */ 'v', 'h', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2172 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2182 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2193 */ 'v', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2201 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2214 */ 'v', 'h', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2223 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2233 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2244 */ 'v', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2252 */ 'v', 'e', 'x', 'p', 'a', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2263 */ 'v', 'a', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2271 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2281 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2291 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 9, 0,
+  /* 2303 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 'd', 9, 0,
+  /* 2316 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 'd', 9, 0,
+  /* 2329 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 9, 0,
+  /* 2338 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 'd', 9, 0,
+  /* 2349 */ 'v', 'm', 'o', 'v', 'h', 'p', 'd', 9, 0,
+  /* 2358 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 'd', 9, 0,
+  /* 2369 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 9, 0,
+  /* 2380 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 'd', 9, 0,
+  /* 2391 */ 'v', 'm', 'u', 'l', 'p', 'd', 9, 0,
+  /* 2399 */ 'v', 'm', 'o', 'v', 'l', 'p', 'd', 9, 0,
+  /* 2408 */ 'v', 'p', 'c', 'm', 'p', 'd', 9, 0,
+  /* 2416 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 'd', 9, 0,
+  /* 2427 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 9, 0,
+  /* 2436 */ 'v', 'a', 'n', 'd', 'n', 'p', 'd', 9, 0,
+  /* 2445 */ 'v', 'm', 'i', 'n', 'p', 'd', 9, 0,
+  /* 2453 */ 'v', 'd', 'p', 'p', 'd', 9, 0,
+  /* 2460 */ 'v', 'c', 'm', 'p', 'p', 'd', 9, 0,
+  /* 2468 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 9, 0,
+  /* 2480 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 'd', 9, 0,
+  /* 2493 */ 'v', 'o', 'r', 'p', 'd', 9, 0,
+  /* 2500 */ 'v', 'x', 'o', 'r', 'p', 'd', 9, 0,
+  /* 2508 */ 'v', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'p', 'd', 9, 0,
+  /* 2521 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 'd', 9, 0,
+  /* 2531 */ 'v', 's', 'q', 'r', 't', 'p', 'd', 9, 0,
+  /* 2540 */ 'v', 't', 'e', 's', 't', 'p', 'd', 9, 0,
+  /* 2549 */ 'v', 'm', 'o', 'v', 'u', 'p', 'd', 9, 0,
+  /* 2558 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 'd', 9, 0,
+  /* 2569 */ 'v', 'd', 'i', 'v', 'p', 'd', 9, 0,
+  /* 2577 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 'd', 9, 0,
+  /* 2589 */ 'v', 'm', 'a', 'x', 'p', 'd', 9, 0,
+  /* 2597 */ 'v', 'f', 'r', 'c', 'z', 'p', 'd', 9, 0,
+  /* 2606 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'd', 9, 0,
+  /* 2616 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 9, 0,
+  /* 2628 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'd', 9, 0,
+  /* 2641 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'd', 9, 0,
+  /* 2652 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'd', 9, 0,
+  /* 2662 */ 'v', 'p', 'm', 'o', 'v', 'q', 'd', 9, 0,
+  /* 2671 */ 's', 'h', 'r', 'd', 9, 0,
+  /* 2677 */ 'k', 'o', 'r', 'd', 9, 0,
+  /* 2683 */ 'k', 'x', 'n', 'o', 'r', 'd', 9, 0,
+  /* 2691 */ 'v', 'p', 'o', 'r', 'd', 9, 0,
+  /* 2698 */ 'k', 'x', 'o', 'r', 'd', 9, 0,
+  /* 2705 */ 'v', 'p', 'x', 'o', 'r', 'd', 9, 0,
+  /* 2713 */ 'v', 'p', 'i', 'n', 's', 'r', 'd', 9, 0,
+  /* 2722 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'd', 9, 0,
+  /* 2732 */ 'v', 'p', 'e', 'x', 't', 'r', 'd', 9, 0,
+  /* 2741 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2754 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2768 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2781 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2795 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
+  /* 2808 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
+  /* 2822 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
+  /* 2835 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
+  /* 2849 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 9, 0,
+  /* 2860 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 9, 0,
+  /* 2872 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'd', 9, 0,
+  /* 2883 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
+  /* 2896 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
+  /* 2910 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
+  /* 2923 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
+  /* 2937 */ 'v', 'r', 'c', 'p', '1', '4', 's', 'd', 9, 0,
+  /* 2947 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 'd', 9, 0,
+  /* 2959 */ 'v', 'r', 'c', 'p', '2', '8', 's', 'd', 9, 0,
+  /* 2969 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 'd', 9, 0,
+  /* 2981 */ 'v', 'p', 'a', 'b', 's', 'd', 9, 0,
+  /* 2989 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 2999 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 3010 */ 'v', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 3018 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3028 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3039 */ 'v', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3047 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 'd', 9, 0,
+  /* 3057 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 'd', 9, 0,
+  /* 3070 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
+  /* 3080 */ 'v', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
+  /* 3089 */ 'v', 'm', 'u', 'l', 's', 'd', 9, 0,
+  /* 3097 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 9, 0,
+  /* 3106 */ 'v', 'm', 'i', 'n', 's', 'd', 9, 0,
+  /* 3114 */ 's', 't', 'o', 's', 'd', 9, 0,
+  /* 3121 */ 'v', 'c', 'm', 'p', 's', 'd', 9, 0,
+  /* 3129 */ 'v', 'p', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'd', 9, 0,
+  /* 3142 */ 'm', 'o', 'v', 'n', 't', 's', 'd', 9, 0,
+  /* 3151 */ 'v', 's', 'q', 'r', 't', 's', 'd', 9, 0,
+  /* 3160 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 9, 0,
+  /* 3174 */ 'v', 'd', 'i', 'v', 's', 'd', 9, 0,
+  /* 3182 */ 'v', 'm', 'o', 'v', 's', 'd', 9, 0,
+  /* 3190 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 9, 0,
+  /* 3199 */ 'v', 'm', 'a', 'x', 's', 'd', 9, 0,
+  /* 3207 */ 'v', 'f', 'r', 'c', 'z', 's', 'd', 9, 0,
+  /* 3216 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'd', 9, 0,
+  /* 3229 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'd', 9, 0,
+  /* 3239 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'd', 9, 0,
+  /* 3249 */ 'k', 'n', 'o', 't', 'd', 9, 0,
+  /* 3256 */ 'v', 'p', 'r', 'o', 't', 'd', 9, 0,
+  /* 3264 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 9, 0,
+  /* 3278 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'd', 9, 0,
+  /* 3288 */ 'v', 'p', 'c', 'o', 'm', 'u', 'd', 9, 0,
+  /* 3297 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 9, 0,
+  /* 3306 */ 'v', 'p', 'c', 'm', 'p', 'u', 'd', 9, 0,
+  /* 3315 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 9, 0,
+  /* 3324 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 9, 0,
+  /* 3333 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 9, 0,
+  /* 3342 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 9, 0,
+  /* 3351 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 9, 0,
+  /* 3363 */ 'v', 'm', 'o', 'v', 'd', 9, 0,
+  /* 3370 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 'd', 9, 0,
+  /* 3380 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'd', 9, 0,
+  /* 3390 */ 'v', 'p', 'm', 'a', 'd', 'd', 'w', 'd', 9, 0,
+  /* 3400 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'w', 'd', 9, 0,
+  /* 3412 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'w', 'd', 9, 0,
+  /* 3424 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'd', 9, 0,
+  /* 3434 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 'w', 'd', 9, 0,
+  /* 3445 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'd', 9, 0,
+  /* 3456 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 's', 'w', 'd', 9, 0,
+  /* 3468 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'd', 9, 0,
+  /* 3479 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 9, 0,
+  /* 3490 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 9, 0,
+  /* 3501 */ 'm', 'o', 'v', 's', 'x', 'd', 9, 0,
+  /* 3509 */ 'j', 'a', 'e', 9, 0,
+  /* 3514 */ 's', 'e', 't', 'a', 'e', 9, 0,
+  /* 3521 */ 'c', 'm', 'o', 'v', 'a', 'e', 9, 0,
+  /* 3529 */ 'j', 'b', 'e', 9, 0,
+  /* 3534 */ 's', 'e', 't', 'b', 'e', 9, 0,
+  /* 3541 */ 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
+  /* 3549 */ 'f', 's', 't', 'p', 'n', 'c', 'e', 9, 0,
+  /* 3558 */ 'f', 'f', 'r', 'e', 'e', 9, 0,
+  /* 3565 */ 'j', 'g', 'e', 9, 0,
+  /* 3570 */ 'p', 'f', 'c', 'm', 'p', 'g', 'e', 9, 0,
+  /* 3579 */ 's', 'e', 't', 'g', 'e', 9, 0,
+  /* 3586 */ 'c', 'm', 'o', 'v', 'g', 'e', 9, 0,
+  /* 3594 */ 'j', 'e', 9, 0,
+  /* 3598 */ 'j', 'l', 'e', 9, 0,
+  /* 3603 */ 's', 'e', 't', 'l', 'e', 9, 0,
+  /* 3610 */ 'c', 'm', 'o', 'v', 'l', 'e', 9, 0,
+  /* 3618 */ 'j', 'n', 'e', 9, 0,
+  /* 3623 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
+  /* 3631 */ 's', 'e', 't', 'n', 'e', 9, 0,
+  /* 3638 */ 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
+  /* 3646 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
+  /* 3653 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 3663 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 3673 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 3683 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 3693 */ 's', 'e', 't', 'e', 9, 0,
+  /* 3699 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 9, 0,
+  /* 3708 */ 's', 'h', 'a', '1', 'n', 'e', 'x', 't', 'e', 9, 0,
+  /* 3719 */ 'f', 'n', 's', 'a', 'v', 'e', 9, 0,
+  /* 3727 */ 'f', 'x', 's', 'a', 'v', 'e', 9, 0,
+  /* 3735 */ 'c', 'm', 'o', 'v', 'e', 9, 0,
+  /* 3742 */ 'b', 's', 'f', 9, 0,
+  /* 3747 */ 'r', 'e', 't', 'f', 9, 0,
+  /* 3753 */ 'n', 'e', 'g', 9, 0,
+  /* 3758 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 9, 0,
+  /* 3767 */ 'j', 'g', 9, 0,
+  /* 3771 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
+  /* 3779 */ 's', 'e', 't', 'g', 9, 0,
+  /* 3785 */ 'c', 'm', 'o', 'v', 'g', 9, 0,
+  /* 3792 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 9, 0,
+  /* 3802 */ 'f', 'x', 'c', 'h', 9, 0,
+  /* 3808 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 9, 0,
+  /* 3819 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'h', 9, 0,
+  /* 3830 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'h', 9, 0,
+  /* 3842 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 9, 0,
+  /* 3851 */ 'p', 'u', 's', 'h', 9, 0,
+  /* 3857 */ 'b', 'l', 'c', 'i', 9, 0,
+  /* 3863 */ 'b', 'z', 'h', 'i', 9, 0,
+  /* 3869 */ 'f', 'c', 'o', 'm', 'i', 9, 0,
+  /* 3876 */ 'f', 'u', 'c', 'o', 'm', 'i', 9, 0,
+  /* 3884 */ 'c', 'v', 't', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
+  /* 3895 */ 'c', 'v', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
+  /* 3905 */ 'c', 'v', 't', 't', 'p', 's', '2', 'p', 'i', 9, 0,
+  /* 3916 */ 'c', 'v', 't', 'p', 's', '2', 'p', 'i', 9, 0,
+  /* 3926 */ 'f', 'c', 'o', 'm', 'i', 'p', 9, 0,
+  /* 3934 */ 'f', 'u', 'c', 'o', 'm', 'i', 'p', 9, 0,
+  /* 3943 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'i', 9, 0,
+  /* 3955 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'i', 9, 0,
+  /* 3967 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 9, 0,
+  /* 3979 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 9, 0,
+  /* 3990 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 9, 0,
+  /* 4002 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 9, 0,
+  /* 4013 */ 'b', 'l', 's', 'i', 9, 0,
+  /* 4019 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 'u', 's', 'i', 9, 0,
+  /* 4032 */ 'v', 'c', 'v', 't', 's', 'd', '2', 'u', 's', 'i', 9, 0,
+  /* 4044 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 'u', 's', 'i', 9, 0,
+  /* 4057 */ 'v', 'c', 'v', 't', 's', 's', '2', 'u', 's', 'i', 9, 0,
+  /* 4069 */ 'm', 'o', 'v', 'n', 't', 'i', 9, 0,
+  /* 4077 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
+  /* 4085 */ 'b', 'l', 's', 'm', 's', 'k', 9, 0,
+  /* 4093 */ 't', 'z', 'm', 's', 'k', 9, 0,
+  /* 4100 */ 's', 'a', 'l', 9, 0,
+  /* 4105 */ 'r', 'c', 'l', 9, 0,
+  /* 4110 */ 's', 'h', 'l', 9, 0,
+  /* 4115 */ 'j', 'l', 9, 0,
+  /* 4119 */ 'l', 'c', 'a', 'l', 'l', 9, 0,
+  /* 4126 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
+  /* 4135 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
+  /* 4144 */ 'r', 'o', 'l', 9, 0,
+  /* 4149 */ 'a', 'r', 'p', 'l', 9, 0,
+  /* 4155 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'l', 9, 0,
+  /* 4166 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'l', 9, 0,
+  /* 4178 */ 'l', 's', 'l', 9, 0,
+  /* 4183 */ 's', 'e', 't', 'l', 9, 0,
+  /* 4189 */ 'p', 'f', 'm', 'u', 'l', 9, 0,
+  /* 4196 */ 'f', 'i', 'm', 'u', 'l', 9, 0,
+  /* 4203 */ 'c', 'm', 'o', 'v', 'l', 9, 0,
+  /* 4210 */ 'a', 'a', 'm', 9, 0,
+  /* 4215 */ 'f', 'c', 'o', 'm', 9, 0,
+  /* 4221 */ 'f', 'i', 'c', 'o', 'm', 9, 0,
+  /* 4228 */ 'f', 'u', 'c', 'o', 'm', 9, 0,
+  /* 4235 */ 'v', 'p', 'p', 'e', 'r', 'm', 9, 0,
+  /* 4243 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'm', 9, 0,
+  /* 4255 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'm', 9, 0,
+  /* 4267 */ 'v', 'p', 'a', 'n', 'd', 'n', 9, 0,
+  /* 4275 */ 'x', 'b', 'e', 'g', 'i', 'n', 9, 0,
+  /* 4283 */ 'p', 'f', 'm', 'i', 'n', 9, 0,
+  /* 4290 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
+  /* 4297 */ 'j', 'o', 9, 0,
+  /* 4301 */ 'j', 'n', 'o', 9, 0,
+  /* 4306 */ 's', 'e', 't', 'n', 'o', 9, 0,
+  /* 4313 */ 'c', 'm', 'o', 'v', 'n', 'o', 9, 0,
+  /* 4321 */ 's', 'e', 't', 'o', 9, 0,
+  /* 4327 */ 'c', 'm', 'o', 'v', 'o', 9, 0,
+  /* 4334 */ 'b', 's', 'w', 'a', 'p', 9, 0,
+  /* 4341 */ 'f', 's', 'u', 'b', 'p', 9, 0,
+  /* 4348 */ 'p', 'f', 'r', 'c', 'p', 9, 0,
+  /* 4355 */ 'f', 'a', 'd', 'd', 'p', 9, 0,
+  /* 4362 */ 'p', 'd', 'e', 'p', 9, 0,
+  /* 4368 */ 'f', 'f', 'r', 'e', 'e', 'p', 9, 0,
+  /* 4376 */ 'j', 'p', 9, 0,
+  /* 4380 */ 'f', 'm', 'u', 'l', 'p', 9, 0,
+  /* 4387 */ 'c', 'm', 'p', 9, 0,
+  /* 4392 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 9, 0,
+  /* 4403 */ 'l', 'j', 'm', 'p', 9, 0,
+  /* 4409 */ 'f', 'c', 'o', 'm', 'p', 9, 0,
+  /* 4416 */ 'f', 'i', 'c', 'o', 'm', 'p', 9, 0,
+  /* 4424 */ 'f', 'u', 'c', 'o', 'm', 'p', 9, 0,
+  /* 4432 */ 'j', 'n', 'p', 9, 0,
+  /* 4437 */ 's', 'e', 't', 'n', 'p', 9, 0,
+  /* 4444 */ 'c', 'm', 'o', 'v', 'n', 'p', 9, 0,
+  /* 4452 */ 'n', 'o', 'p', 9, 0,
+  /* 4457 */ 'l', 'o', 'o', 'p', 9, 0,
+  /* 4463 */ 'p', 'o', 'p', 9, 0,
+  /* 4468 */ 'f', 's', 'u', 'b', 'r', 'p', 9, 0,
+  /* 4476 */ 'f', 'd', 'i', 'v', 'r', 'p', 9, 0,
+  /* 4484 */ 's', 'e', 't', 'p', 9, 0,
+  /* 4490 */ 'f', 'b', 's', 't', 'p', 9, 0,
+  /* 4497 */ 'f', 's', 't', 'p', 9, 0,
+  /* 4503 */ 'f', 'i', 's', 't', 'p', 9, 0,
+  /* 4510 */ 'f', 'i', 's', 't', 't', 'p', 9, 0,
+  /* 4518 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 9, 0,
+  /* 4528 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 9, 0,
+  /* 4539 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 9, 0,
+  /* 4550 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
+  /* 4566 */ 'f', 'd', 'i', 'v', 'p', 9, 0,
+  /* 4573 */ 'c', 'm', 'o', 'v', 'p', 9, 0,
+  /* 4580 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'b', '2', 'q', 9, 0,
+  /* 4597 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'q', 9, 0,
+  /* 4607 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'q', 9, 0,
+  /* 4617 */ 'm', 'o', 'v', 'd', 'q', '2', 'q', 9, 0,
+  /* 4626 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'q', 9, 0,
+  /* 4636 */ 'v', 'p', 's', 'h', 'a', 'q', 9, 0,
+  /* 4644 */ 'v', 'p', 's', 'r', 'a', 'q', 9, 0,
+  /* 4652 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'q', 9, 0,
+  /* 4662 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'q', 9, 0,
+  /* 4673 */ 'v', 'p', 's', 'u', 'b', 'q', 9, 0,
+  /* 4681 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 9, 0,
+  /* 4692 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 9, 0,
+  /* 4703 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
+  /* 4715 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
+  /* 4726 */ 'm', 'o', 'v', 'q', '2', 'd', 'q', 9, 0,
+  /* 4735 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 9, 0,
+  /* 4747 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 9, 0,
+  /* 4758 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 'q', 9, 0,
+  /* 4768 */ 'v', 'p', 'a', 'd', 'd', 'q', 9, 0,
+  /* 4776 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 'q', 9, 0,
+  /* 4786 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 9, 0,
+  /* 4798 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 9, 0,
+  /* 4810 */ 'v', 'p', 's', 'l', 'l', 'd', 'q', 9, 0,
+  /* 4819 */ 'v', 'p', 's', 'r', 'l', 'd', 'q', 9, 0,
+  /* 4828 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 9, 0,
+  /* 4837 */ 'k', 'a', 'n', 'd', 'q', 9, 0,
+  /* 4844 */ 'v', 'p', 'a', 'n', 'd', 'q', 9, 0,
+  /* 4852 */ 'v', 'p', 'e', 'x', 'p', 'a', 'n', 'd', 'q', 9, 0,
+  /* 4863 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 9, 0,
+  /* 4876 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 9, 0,
+  /* 4889 */ 'v', 'p', 'c', 'l', 'm', 'u', 'l', 'q', 'd', 'q', 9, 0,
+  /* 4901 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 9, 0,
+  /* 4913 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'q', 9, 0,
+  /* 4926 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 9, 0,
+  /* 4936 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'u', 'd', 'q', 9, 0,
+  /* 4949 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'u', 'd', 'q', 9, 0,
+  /* 4961 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'u', 'd', 'q', 9, 0,
+  /* 4974 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'u', 'd', 'q', 9, 0,
+  /* 4986 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'd', 'q', 9, 0,
+  /* 4997 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 9, 0,
+  /* 5007 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 9, 0,
+  /* 5018 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 9, 0,
+  /* 5029 */ 'p', 'f', 'c', 'm', 'p', 'e', 'q', 9, 0,
+  /* 5038 */ 'r', 'e', 't', 'f', 'q', 9, 0,
+  /* 5045 */ 'v', 'p', 's', 'h', 'l', 'q', 9, 0,
+  /* 5053 */ 'v', 'p', 's', 'l', 'l', 'q', 9, 0,
+  /* 5061 */ 'v', 'p', 'm', 'u', 'l', 'l', 'q', 9, 0,
+  /* 5070 */ 'v', 'p', 's', 'r', 'l', 'q', 9, 0,
+  /* 5078 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'q', 9, 0,
+  /* 5088 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'q', 9, 0,
+  /* 5099 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'q', 9, 0,
+  /* 5110 */ 'v', 'p', 'c', 'o', 'm', 'q', 9, 0,
+  /* 5118 */ 'v', 'p', 'e', 'r', 'm', 'q', 9, 0,
+  /* 5126 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'q', 9, 0,
+  /* 5136 */ 'k', 'a', 'n', 'd', 'n', 'q', 9, 0,
+  /* 5144 */ 'v', 'p', 'a', 'n', 'd', 'n', 'q', 9, 0,
+  /* 5153 */ 'v', 'a', 'l', 'i', 'g', 'n', 'q', 9, 0,
+  /* 5162 */ 'v', 'p', 'c', 'm', 'p', 'q', 9, 0,
+  /* 5170 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'q', 9, 0,
+  /* 5180 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 9, 0,
+  /* 5192 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'q', 9, 0,
+  /* 5205 */ 'k', 'o', 'r', 'q', 9, 0,
+  /* 5211 */ 'k', 'x', 'n', 'o', 'r', 'q', 9, 0,
+  /* 5219 */ 'v', 'p', 'o', 'r', 'q', 9, 0,
+  /* 5226 */ 'k', 'x', 'o', 'r', 'q', 9, 0,
+  /* 5233 */ 'v', 'p', 'x', 'o', 'r', 'q', 9, 0,
+  /* 5241 */ 'v', 'p', 'i', 'n', 's', 'r', 'q', 9, 0,
+  /* 5250 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'q', 9, 0,
+  /* 5260 */ 'v', 'p', 'e', 'x', 't', 'r', 'q', 9, 0,
+  /* 5269 */ 'v', 'p', 'a', 'b', 's', 'q', 9, 0,
+  /* 5277 */ 'v', 'p', 'm', 'i', 'n', 's', 'q', 9, 0,
+  /* 5286 */ 's', 't', 'o', 's', 'q', 9, 0,
+  /* 5293 */ 'c', 'm', 'p', 's', 'q', 9, 0,
+  /* 5300 */ 'v', 'p', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'q', 9, 0,
+  /* 5313 */ 'm', 'o', 'v', 's', 'q', 9, 0,
+  /* 5320 */ 'v', 'p', 'm', 'a', 'x', 's', 'q', 9, 0,
+  /* 5329 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'q', 9, 0,
+  /* 5342 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'q', 9, 0,
+  /* 5352 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'q', 9, 0,
+  /* 5362 */ 'm', 'o', 'v', 'n', 't', 'q', 9, 0,
+  /* 5370 */ 'k', 'n', 'o', 't', 'q', 9, 0,
+  /* 5377 */ 'v', 'p', 'r', 'o', 't', 'q', 9, 0,
+  /* 5385 */ 'i', 'n', 's', 'e', 'r', 't', 'q', 9, 0,
+  /* 5394 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 9, 0,
+  /* 5408 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'q', 9, 0,
+  /* 5418 */ 'v', 'p', 'c', 'o', 'm', 'u', 'q', 9, 0,
+  /* 5427 */ 'v', 'p', 'm', 'i', 'n', 'u', 'q', 9, 0,
+  /* 5436 */ 'v', 'p', 'c', 'm', 'p', 'u', 'q', 9, 0,
+  /* 5445 */ 'v', 'p', 'm', 'a', 'x', 'u', 'q', 9, 0,
+  /* 5454 */ 'v', 'p', 's', 'r', 'a', 'v', 'q', 9, 0,
+  /* 5463 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 9, 0,
+  /* 5472 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 9, 0,
+  /* 5481 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'q', 9, 0,
+  /* 5493 */ 'v', 'm', 'o', 'v', 'q', 9, 0,
+  /* 5500 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'q', 9, 0,
+  /* 5510 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'q', 9, 0,
+  /* 5521 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 9, 0,
+  /* 5532 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 9, 0,
+  /* 5543 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
+  /* 5552 */ 'l', 'a', 'r', 9, 0,
+  /* 5557 */ 's', 'a', 'r', 9, 0,
+  /* 5562 */ 'p', 'f', 's', 'u', 'b', 'r', 9, 0,
+  /* 5570 */ 'f', 'i', 's', 'u', 'b', 'r', 9, 0,
+  /* 5578 */ 'r', 'c', 'r', 9, 0,
+  /* 5583 */ 'e', 'n', 't', 'e', 'r', 9, 0,
+  /* 5590 */ 's', 'h', 'r', 9, 0,
+  /* 5595 */ 'v', 'p', 'a', 'l', 'i', 'g', 'n', 'r', 9, 0,
+  /* 5605 */ 'v', 'p', 'o', 'r', 9, 0,
+  /* 5611 */ 'r', 'o', 'r', 9, 0,
+  /* 5616 */ 'f', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 5624 */ 'f', 'x', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 5633 */ 'v', 'p', 'x', 'o', 'r', 9, 0,
+  /* 5640 */ 'v', 'e', 'r', 'r', 9, 0,
+  /* 5646 */ 'b', 's', 'r', 9, 0,
+  /* 5651 */ 'v', 'l', 'd', 'm', 'x', 'c', 's', 'r', 9, 0,
+  /* 5661 */ 'v', 's', 't', 'm', 'x', 'c', 's', 'r', 9, 0,
+  /* 5671 */ 'b', 'l', 's', 'r', 9, 0,
+  /* 5677 */ 'b', 't', 'r', 9, 0,
+  /* 5682 */ 'l', 't', 'r', 9, 0,
+  /* 5687 */ 's', 't', 'r', 9, 0,
+  /* 5692 */ 'b', 'e', 'x', 't', 'r', 9, 0,
+  /* 5699 */ 'f', 'd', 'i', 'v', 'r', 9, 0,
+  /* 5706 */ 'f', 'i', 'd', 'i', 'v', 'r', 9, 0,
+  /* 5714 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 0,
+  /* 5722 */ 'b', 'l', 'c', 's', 9, 0,
+  /* 5728 */ 'l', 'd', 's', 9, 0,
+  /* 5733 */ 'l', 'e', 's', 9, 0,
+  /* 5738 */ 'x', 's', 'a', 'v', 'e', 's', 9, 0,
+  /* 5746 */ 'l', 'f', 's', 9, 0,
+  /* 5751 */ 'l', 'g', 's', 9, 0,
+  /* 5756 */ 'j', 's', 9, 0,
+  /* 5760 */ 'j', 'n', 's', 9, 0,
+  /* 5765 */ 's', 'e', 't', 'n', 's', 9, 0,
+  /* 5772 */ 'c', 'm', 'o', 'v', 'n', 's', 9, 0,
+  /* 5780 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5796 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5809 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5823 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5839 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5852 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 5866 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5882 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5895 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5909 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5925 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5938 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 5952 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 9, 0,
+  /* 5963 */ 'v', 'c', 'v', 't', 'p', 'h', '2', 'p', 's', 9, 0,
+  /* 5974 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 's', 9, 0,
+  /* 5985 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 's', 9, 0,
+  /* 5995 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 's', 9, 0,
+  /* 6007 */ 'v', 'e', 'x', 'p', '2', 'p', 's', 9, 0,
+  /* 6016 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 9, 0,
+  /* 6027 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 's', 9, 0,
+  /* 6039 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 's', 9, 0,
+  /* 6050 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6066 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6079 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6093 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6109 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6122 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 6136 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 's', 9, 0,
+  /* 6146 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 's', 9, 0,
+  /* 6158 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 's', 9, 0,
+  /* 6168 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 's', 9, 0,
+  /* 6180 */ 'v', 'm', 'o', 'v', 'a', 'p', 's', 9, 0,
+  /* 6189 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6202 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6213 */ 'v', 'h', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6222 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6232 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6243 */ 'v', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 6251 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 6264 */ 'v', 'h', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 6273 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 6283 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 6294 */ 'v', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 6302 */ 'v', 'e', 'x', 'p', 'a', 'n', 'd', 'p', 's', 9, 0,
+  /* 6313 */ 'v', 'a', 'n', 'd', 'p', 's', 9, 0,
+  /* 6321 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 's', 9, 0,
+  /* 6331 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 's', 9, 0,
+  /* 6341 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 9, 0,
+  /* 6353 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 's', 9, 0,
+  /* 6366 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 's', 9, 0,
+  /* 6379 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 9, 0,
+  /* 6388 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 's', 9, 0,
+  /* 6399 */ 'v', 'm', 'o', 'v', 'l', 'h', 'p', 's', 9, 0,
+  /* 6409 */ 'v', 'm', 'o', 'v', 'h', 'p', 's', 9, 0,
+  /* 6418 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 's', 9, 0,
+  /* 6429 */ 'v', 'm', 'o', 'v', 'h', 'l', 'p', 's', 9, 0,
+  /* 6439 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 9, 0,
+  /* 6450 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 's', 9, 0,
+  /* 6461 */ 'v', 'm', 'u', 'l', 'p', 's', 9, 0,
+  /* 6469 */ 'v', 'm', 'o', 'v', 'l', 'p', 's', 9, 0,
+  /* 6478 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 's', 9, 0,
+  /* 6489 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 9, 0,
+  /* 6498 */ 'v', 'a', 'n', 'd', 'n', 'p', 's', 9, 0,
+  /* 6507 */ 'v', 'm', 'i', 'n', 'p', 's', 9, 0,
+  /* 6515 */ 'v', 'r', 'c', 'p', 'p', 's', 9, 0,
+  /* 6523 */ 'v', 'd', 'p', 'p', 's', 9, 0,
+  /* 6530 */ 'v', 'c', 'm', 'p', 'p', 's', 9, 0,
+  /* 6538 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 9, 0,
+  /* 6550 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 's', 9, 0,
+  /* 6563 */ 'v', 'o', 'r', 'p', 's', 9, 0,
+  /* 6570 */ 'v', 'x', 'o', 'r', 'p', 's', 9, 0,
+  /* 6578 */ 'v', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'p', 's', 9, 0,
+  /* 6591 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'p', 's', 9, 0,
+  /* 6603 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 's', 9, 0,
+  /* 6613 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'p', 's', 9, 0,
+  /* 6624 */ 'v', 'r', 's', 'q', 'r', 't', 'p', 's', 9, 0,
+  /* 6634 */ 'v', 's', 'q', 'r', 't', 'p', 's', 9, 0,
+  /* 6643 */ 'v', 't', 'e', 's', 't', 'p', 's', 9, 0,
+  /* 6652 */ 'v', 'm', 'o', 'v', 'u', 'p', 's', 9, 0,
+  /* 6661 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 's', 9, 0,
+  /* 6672 */ 'v', 'd', 'i', 'v', 'p', 's', 9, 0,
+  /* 6680 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 's', 9, 0,
+  /* 6692 */ 'v', 'm', 'a', 'x', 'p', 's', 9, 0,
+  /* 6700 */ 'v', 'f', 'r', 'c', 'z', 'p', 's', 9, 0,
+  /* 6709 */ 'x', 'r', 's', 't', 'o', 'r', 's', 9, 0,
+  /* 6718 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
+  /* 6731 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
+  /* 6745 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
+  /* 6758 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
+  /* 6772 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
+  /* 6785 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
+  /* 6799 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
+  /* 6812 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
+  /* 6826 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 's', 9, 0,
+  /* 6837 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 9, 0,
+  /* 6848 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 9, 0,
+  /* 6860 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
+  /* 6873 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
+  /* 6887 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
+  /* 6900 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
+  /* 6914 */ 'v', 'r', 'c', 'p', '1', '4', 's', 's', 9, 0,
+  /* 6924 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 's', 9, 0,
+  /* 6936 */ 'v', 'r', 'c', 'p', '2', '8', 's', 's', 9, 0,
+  /* 6946 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 's', 9, 0,
+  /* 6958 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 6968 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 6979 */ 'v', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 6987 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 6997 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 7008 */ 'v', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 7016 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 's', 9, 0,
+  /* 7026 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 's', 9, 0,
+  /* 7039 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
+  /* 7049 */ 'v', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
+  /* 7058 */ 'v', 'm', 'u', 'l', 's', 's', 9, 0,
+  /* 7066 */ 'v', 'm', 'i', 'n', 's', 's', 9, 0,
+  /* 7074 */ 'v', 'r', 'c', 'p', 's', 's', 9, 0,
+  /* 7082 */ 'v', 'c', 'm', 'p', 's', 's', 9, 0,
+  /* 7090 */ 'm', 'o', 'v', 'n', 't', 's', 's', 9, 0,
+  /* 7099 */ 'v', 'r', 's', 'q', 'r', 't', 's', 's', 9, 0,
+  /* 7109 */ 'v', 's', 'q', 'r', 't', 's', 's', 9, 0,
+  /* 7118 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 9, 0,
+  /* 7132 */ 'v', 'd', 'i', 'v', 's', 's', 9, 0,
+  /* 7140 */ 'v', 'm', 'o', 'v', 's', 's', 9, 0,
+  /* 7148 */ 'v', 'm', 'a', 'x', 's', 's', 9, 0,
+  /* 7156 */ 'v', 'f', 'r', 'c', 'z', 's', 's', 9, 0,
+  /* 7165 */ 'b', 't', 's', 9, 0,
+  /* 7170 */ 's', 'e', 't', 's', 9, 0,
+  /* 7176 */ 'c', 'm', 'o', 'v', 's', 9, 0,
+  /* 7183 */ 'b', 't', 9, 0,
+  /* 7187 */ 'l', 'g', 'd', 't', 9, 0,
+  /* 7193 */ 's', 'g', 'd', 't', 9, 0,
+  /* 7199 */ 'l', 'i', 'd', 't', 9, 0,
+  /* 7205 */ 's', 'i', 'd', 't', 9, 0,
+  /* 7211 */ 'l', 'l', 'd', 't', 9, 0,
+  /* 7217 */ 's', 'l', 'd', 't', 9, 0,
+  /* 7223 */ 'r', 'e', 't', 9, 0,
+  /* 7228 */ 'p', 'f', 'c', 'm', 'p', 'g', 't', 9, 0,
+  /* 7237 */ 'p', 'o', 'p', 'c', 'n', 't', 9, 0,
+  /* 7245 */ 'l', 'z', 'c', 'n', 't', 9, 0,
+  /* 7252 */ 't', 'z', 'c', 'n', 't', 9, 0,
+  /* 7259 */ 'i', 'n', 't', 9, 0,
+  /* 7264 */ 'n', 'o', 't', 9, 0,
+  /* 7269 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
+  /* 7277 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
+  /* 7287 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 'o', 'p', 't', 9, 0,
+  /* 7299 */ 'x', 'a', 'b', 'o', 'r', 't', 9, 0,
+  /* 7307 */ 'p', 'f', 'r', 's', 'q', 'r', 't', 9, 0,
+  /* 7316 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 'l', 'a', 's', 't', 9, 0,
+  /* 7329 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 'l', 'a', 's', 't', 9, 0,
+  /* 7342 */ 'v', 'p', 't', 'e', 's', 't', 9, 0,
+  /* 7350 */ 'f', 's', 't', 9, 0,
+  /* 7355 */ 'f', 'i', 's', 't', 9, 0,
+  /* 7361 */ 'v', 'a', 'e', 's', 'k', 'e', 'y', 'g', 'e', 'n', 'a', 's', 's', 'i', 's', 't', 9, 0,
+  /* 7379 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
+  /* 7388 */ 'o', 'u', 't', 9, 0,
+  /* 7393 */ 'p', 'e', 'x', 't', 9, 0,
+  /* 7399 */ 'v', 'l', 'd', 'd', 'q', 'u', 9, 0,
+  /* 7407 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
+  /* 7420 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
+  /* 7429 */ 'f', 'd', 'i', 'v', 9, 0,
+  /* 7435 */ 'f', 'i', 'd', 'i', 'v', 9, 0,
+  /* 7442 */ 'f', 'l', 'd', 'e', 'n', 'v', 9, 0,
+  /* 7450 */ 'f', 'n', 's', 't', 'e', 'n', 'v', 9, 0,
+  /* 7459 */ 'v', 'p', 'c', 'm', 'o', 'v', 9, 0,
+  /* 7467 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'w', 9, 0,
+  /* 7477 */ 'v', 'p', 's', 'h', 'a', 'w', 9, 0,
+  /* 7485 */ 'v', 'p', 's', 'r', 'a', 'w', 9, 0,
+  /* 7493 */ 'v', 'p', 'h', 's', 'u', 'b', 'b', 'w', 9, 0,
+  /* 7503 */ 'v', 'm', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
+  /* 7513 */ 'v', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
+  /* 7522 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'w', 9, 0,
+  /* 7532 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'b', 'w', 9, 0,
+  /* 7544 */ 'k', 'u', 'n', 'p', 'c', 'k', 'b', 'w', 9, 0,
+  /* 7554 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'b', 'w', 9, 0,
+  /* 7566 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'w', 9, 0,
+  /* 7577 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 9, 0,
+  /* 7586 */ 'v', 'p', 's', 'u', 'b', 'w', 9, 0,
+  /* 7594 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'w', 9, 0,
+  /* 7605 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'w', 9, 0,
+  /* 7616 */ 'f', 'l', 'd', 'c', 'w', 9, 0,
+  /* 7623 */ 'f', 'n', 's', 't', 'c', 'w', 9, 0,
+  /* 7631 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 9, 0,
+  /* 7640 */ 'v', 'p', 'a', 'd', 'd', 'w', 9, 0,
+  /* 7648 */ 'k', 'a', 'n', 'd', 'w', 9, 0,
+  /* 7655 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'w', 9, 0,
+  /* 7665 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'd', 'w', 9, 0,
+  /* 7676 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'd', 'w', 9, 0,
+  /* 7687 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'w', 9, 0,
+  /* 7698 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'w', 9, 0,
+  /* 7708 */ 'v', 'p', 'm', 'o', 'v', 'd', 'w', 9, 0,
+  /* 7717 */ 'p', 'i', '2', 'f', 'w', 9, 0,
+  /* 7724 */ 'p', 's', 'h', 'u', 'f', 'w', 9, 0,
+  /* 7732 */ 'v', 'p', 'a', 'v', 'g', 'w', 9, 0,
+  /* 7740 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'w', 9, 0,
+  /* 7751 */ 'v', 'p', 's', 'h', 'u', 'f', 'h', 'w', 9, 0,
+  /* 7761 */ 'v', 'p', 'm', 'u', 'l', 'h', 'w', 9, 0,
+  /* 7770 */ 'p', 'f', '2', 'i', 'w', 9, 0,
+  /* 7777 */ 'v', 'p', 's', 'h', 'u', 'f', 'l', 'w', 9, 0,
+  /* 7787 */ 'v', 'p', 's', 'h', 'l', 'w', 9, 0,
+  /* 7795 */ 'v', 'p', 's', 'l', 'l', 'w', 9, 0,
+  /* 7803 */ 'v', 'p', 'm', 'u', 'l', 'l', 'w', 9, 0,
+  /* 7812 */ 'v', 'p', 's', 'r', 'l', 'w', 9, 0,
+  /* 7820 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'w', 9, 0,
+  /* 7830 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'w', 9, 0,
+  /* 7841 */ 'v', 'p', 'c', 'o', 'm', 'w', 9, 0,
+  /* 7849 */ 'k', 'a', 'n', 'd', 'n', 'w', 9, 0,
+  /* 7857 */ 'v', 'p', 's', 'i', 'g', 'n', 'w', 9, 0,
+  /* 7866 */ 'v', 'p', 'c', 'm', 'p', 'w', 9, 0,
+  /* 7874 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'w', 9, 0,
+  /* 7884 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'w', 9, 0,
+  /* 7895 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'w', 9, 0,
+  /* 7905 */ 'v', 'p', 'm', 'o', 'v', 'q', 'w', 9, 0,
+  /* 7914 */ 'v', 'e', 'r', 'w', 9, 0,
+  /* 7920 */ 'p', 'm', 'u', 'l', 'h', 'r', 'w', 9, 0,
+  /* 7929 */ 'k', 'o', 'r', 'w', 9, 0,
+  /* 7935 */ 'k', 'x', 'n', 'o', 'r', 'w', 9, 0,
+  /* 7943 */ 'k', 'x', 'o', 'r', 'w', 9, 0,
+  /* 7950 */ 'v', 'p', 'i', 'n', 's', 'r', 'w', 9, 0,
+  /* 7959 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'w', 9, 0,
+  /* 7969 */ 'v', 'p', 'e', 'x', 't', 'r', 'w', 9, 0,
+  /* 7978 */ 'v', 'p', 'a', 'b', 's', 'w', 9, 0,
+  /* 7986 */ 'v', 'p', 'm', 'a', 'd', 'd', 'u', 'b', 's', 'w', 9, 0,
+  /* 7998 */ 'v', 'p', 'h', 's', 'u', 'b', 's', 'w', 9, 0,
+  /* 8008 */ 'v', 'p', 's', 'u', 'b', 's', 'w', 9, 0,
+  /* 8017 */ 'v', 'p', 'h', 'a', 'd', 'd', 's', 'w', 9, 0,
+  /* 8027 */ 'v', 'p', 'a', 'd', 'd', 's', 'w', 9, 0,
+  /* 8036 */ 'l', 'm', 's', 'w', 9, 0,
+  /* 8042 */ 's', 'm', 's', 'w', 9, 0,
+  /* 8048 */ 'v', 'p', 'm', 'i', 'n', 's', 'w', 9, 0,
+  /* 8057 */ 's', 't', 'o', 's', 'w', 9, 0,
+  /* 8064 */ 'c', 'm', 'p', 's', 'w', 9, 0,
+  /* 8071 */ 'v', 'p', 'm', 'u', 'l', 'h', 'r', 's', 'w', 9, 0,
+  /* 8082 */ 'f', 'n', 's', 't', 's', 'w', 9, 0,
+  /* 8090 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'w', 9, 0,
+  /* 8100 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'w', 9, 0,
+  /* 8110 */ 'm', 'o', 'v', 's', 'w', 9, 0,
+  /* 8117 */ 'v', 'p', 'm', 'a', 'x', 's', 'w', 9, 0,
+  /* 8126 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'w', 9, 0,
+  /* 8136 */ 'k', 'n', 'o', 't', 'w', 9, 0,
+  /* 8143 */ 'v', 'p', 'r', 'o', 't', 'w', 9, 0,
+  /* 8151 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'w', 9, 0,
+  /* 8165 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'w', 9, 0,
+  /* 8175 */ 'v', 'p', 'm', 'u', 'l', 'h', 'u', 'w', 9, 0,
+  /* 8185 */ 'v', 'p', 'c', 'o', 'm', 'u', 'w', 9, 0,
+  /* 8194 */ 'v', 'p', 'm', 'i', 'n', 'u', 'w', 9, 0,
+  /* 8203 */ 'v', 'p', 'c', 'm', 'p', 'u', 'w', 9, 0,
+  /* 8212 */ 'v', 'p', 'h', 'm', 'i', 'n', 'p', 'o', 's', 'u', 'w', 9, 0,
+  /* 8225 */ 'v', 'p', 'm', 'a', 'x', 'u', 'w', 9, 0,
+  /* 8234 */ 'k', 'm', 'o', 'v', 'w', 9, 0,
+  /* 8241 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'w', 9, 0,
+  /* 8251 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'w', 9, 0,
+  /* 8262 */ 'p', 'f', 'm', 'a', 'x', 9, 0,
+  /* 8269 */ 'a', 'd', 'c', 'x', 9, 0,
+  /* 8275 */ 's', 'h', 'l', 'x', 9, 0,
+  /* 8281 */ 'm', 'u', 'l', 'x', 9, 0,
+  /* 8287 */ 'a', 'd', 'o', 'x', 9, 0,
+  /* 8293 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
+  /* 8306 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
+  /* 8318 */ 's', 'a', 'r', 'x', 9, 0,
+  /* 8324 */ 's', 'h', 'r', 'x', 9, 0,
+  /* 8330 */ 'r', 'o', 'r', 'x', 9, 0,
+  /* 8336 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'x', 9, 0,
+  /* 8348 */ 'm', 'o', 'v', 's', 'x', 9, 0,
+  /* 8355 */ 'm', 'o', 'v', 'z', 'x', 9, 0,
+  /* 8362 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
+  /* 8369 */ 'j', 'c', 'x', 'z', 9, 0,
+  /* 8375 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
+  /* 8382 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8398 */ 'f', 'c', 'm', 'o', 'v', 'b', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8413 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8430 */ 'f', 'c', 'm', 'o', 'v', 'b', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8446 */ 'f', 'c', 'm', 'o', 'v', 'n', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8462 */ 'f', 'c', 'm', 'o', 'v', 'e', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8477 */ 'f', 'x', 'c', 'h', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8490 */ 'f', 'c', 'o', 'm', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8503 */ 'f', 'c', 'o', 'm', 'p', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8517 */ 'f', 'c', 'm', 'o', 'v', 'n', 'u', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8533 */ 'f', 'c', 'm', 'o', 'v', 'u', 9, 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 8548 */ 's', 'b', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 8557 */ 's', 'c', 'a', 's', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 8568 */ 'l', 'o', 'd', 's', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 8579 */ 's', 'u', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 8588 */ 'a', 'd', 'c', 9, 'a', 'l', ',', 32, 0,
+  /* 8597 */ 'a', 'd', 'd', 9, 'a', 'l', ',', 32, 0,
+  /* 8606 */ 'a', 'n', 'd', 9, 'a', 'l', ',', 32, 0,
+  /* 8615 */ 'i', 'n', 9, 'a', 'l', ',', 32, 0,
+  /* 8623 */ 'c', 'm', 'p', 9, 'a', 'l', ',', 32, 0,
+  /* 8632 */ 'x', 'o', 'r', 9, 'a', 'l', ',', 32, 0,
+  /* 8641 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'l', ',', 32, 0,
+  /* 8653 */ 't', 'e', 's', 't', 9, 'a', 'l', ',', 32, 0,
+  /* 8663 */ 'm', 'o', 'v', 9, 'a', 'l', ',', 32, 0,
+  /* 8672 */ 's', 'b', 'b', 9, 'a', 'x', ',', 32, 0,
+  /* 8681 */ 's', 'u', 'b', 9, 'a', 'x', ',', 32, 0,
+  /* 8690 */ 'a', 'd', 'c', 9, 'a', 'x', ',', 32, 0,
+  /* 8699 */ 'a', 'd', 'd', 9, 'a', 'x', ',', 32, 0,
+  /* 8708 */ 'a', 'n', 'd', 9, 'a', 'x', ',', 32, 0,
+  /* 8717 */ 'x', 'c', 'h', 'g', 9, 'a', 'x', ',', 32, 0,
+  /* 8727 */ 'i', 'n', 9, 'a', 'x', ',', 32, 0,
+  /* 8735 */ 'c', 'm', 'p', 9, 'a', 'x', ',', 32, 0,
+  /* 8744 */ 'x', 'o', 'r', 9, 'a', 'x', ',', 32, 0,
+  /* 8753 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'x', ',', 32, 0,
+  /* 8765 */ 't', 'e', 's', 't', 9, 'a', 'x', ',', 32, 0,
+  /* 8775 */ 'm', 'o', 'v', 9, 'a', 'x', ',', 32, 0,
+  /* 8784 */ 's', 'c', 'a', 's', 'w', 9, 'a', 'x', ',', 32, 0,
+  /* 8795 */ 'l', 'o', 'd', 's', 'w', 9, 'a', 'x', ',', 32, 0,
+  /* 8806 */ 's', 'b', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8816 */ 's', 'u', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8826 */ 'a', 'd', 'c', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8836 */ 'a', 'd', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8846 */ 'a', 'n', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8856 */ 's', 'c', 'a', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8868 */ 'l', 'o', 'd', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8880 */ 'x', 'c', 'h', 'g', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8891 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8900 */ 'c', 'm', 'p', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8910 */ 'x', 'o', 'r', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8920 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8933 */ 't', 'e', 's', 't', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8944 */ 'm', 'o', 'v', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 8954 */ 's', 'b', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 8964 */ 's', 'u', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 8974 */ 'a', 'd', 'c', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 8984 */ 'a', 'd', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 8994 */ 'a', 'n', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9004 */ 'x', 'c', 'h', 'g', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9015 */ 'c', 'm', 'p', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9025 */ 's', 'c', 'a', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9037 */ 'l', 'o', 'd', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9049 */ 'x', 'o', 'r', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9059 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9072 */ 't', 'e', 's', 't', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9083 */ 'm', 'o', 'v', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 9093 */ 'o', 'u', 't', 's', 'b', 9, 'd', 'x', ',', 32, 0,
+  /* 9104 */ 'o', 'u', 't', 's', 'd', 9, 'd', 'x', ',', 32, 0,
+  /* 9115 */ 'o', 'u', 't', 's', 'w', 9, 'd', 'x', ',', 32, 0,
+  /* 9126 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
+  /* 9137 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
+  /* 9160 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
+  /* 9174 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
+  /* 9198 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
+  /* 9215 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 9231 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 9246 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
+  /* 9260 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
+  /* 9274 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', 32, '!', 0,
+  /* 9296 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9317 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9338 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9360 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9381 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9402 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9422 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9442 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9463 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9484 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9505 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9526 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9547 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9568 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9589 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9609 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '1', '6', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9629 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9648 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'B', 'I', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9671 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'U', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9693 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9714 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 9735 */ 'x', 's', 'h', 'a', '1', 0,
+  /* 9741 */ 'f', 'l', 'd', '1', 0,
+  /* 9746 */ 'f', 'p', 'r', 'e', 'm', '1', 0,
+  /* 9753 */ 'f', '2', 'x', 'm', '1', 0,
+  /* 9759 */ 'f', 'y', 'l', '2', 'x', 'p', '1', 0,
+  /* 9767 */ 'i', 'n', 't', '1', 0,
+  /* 9772 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
+  /* 9791 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
+  /* 9809 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
+  /* 9822 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 9835 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 9853 */ 'u', 'd', '2', 0,
+  /* 9857 */ 'f', 'l', 'd', 'l', 'g', '2', 0,
+  /* 9864 */ 'f', 'l', 'd', 'l', 'n', '2', 0,
+  /* 9871 */ 'i', 'n', 't', '3', 0,
+  /* 9876 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
+  /* 9895 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
+  /* 9913 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
+  /* 9926 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 9939 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 9957 */ 'r', 'e', 'x', '6', '4', 0,
+  /* 9963 */ 'd', 'a', 't', 'a', '1', '6', 0,
+  /* 9970 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
+  /* 9978 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 9991 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 9998 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 10008 */ '#', 32, 'X', 'B', 'E', 'G', 'I', 'N', 0,
+  /* 10017 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
+  /* 10035 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
+  /* 10051 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
+  /* 10063 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 10078 */ 'a', 'a', 'a', 0,
+  /* 10082 */ 'd', 'a', 'a', 0,
+  /* 10086 */ 'u', 'd', '2', 'b', 0,
+  /* 10091 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
+  /* 10101 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
+  /* 10111 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
+  /* 10121 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'b', 0,
+  /* 10131 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'b', 0,
+  /* 10141 */ 'x', 'l', 'a', 't', 'b', 0,
+  /* 10147 */ 'c', 'l', 'a', 'c', 0,
+  /* 10152 */ 's', 't', 'a', 'c', 0,
+  /* 10157 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
+  /* 10167 */ 'g', 'e', 't', 's', 'e', 'c', 0,
+  /* 10174 */ 's', 'a', 'l', 'c', 0,
+  /* 10179 */ 'c', 'l', 'c', 0,
+  /* 10183 */ 'c', 'm', 'c', 0,
+  /* 10187 */ 'r', 'd', 'p', 'm', 'c', 0,
+  /* 10193 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
+  /* 10200 */ 'r', 'd', 't', 's', 'c', 0,
+  /* 10206 */ 's', 't', 'c', 0,
+  /* 10210 */ 'p', 'u', 's', 'h', 'f', 'd', 0,
+  /* 10217 */ 'p', 'o', 'p', 'f', 'd', 0,
+  /* 10223 */ 'c', 'p', 'u', 'i', 'd', 0,
+  /* 10229 */ 'c', 'l', 'd', 0,
+  /* 10233 */ 'x', 'e', 'n', 'd', 0,
+  /* 10238 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'd', 0,
+  /* 10248 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'd', 0,
+  /* 10258 */ 'i', 'r', 'e', 't', 'd', 0,
+  /* 10264 */ 's', 't', 'd', 0,
+  /* 10268 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
+  /* 10275 */ 'c', 'w', 'd', 0,
+  /* 10279 */ 'f', 'l', 'd', 'l', '2', 'e', 0,
+  /* 10286 */ 'l', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 10293 */ 'm', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 10300 */ 's', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 10307 */ 'c', 'w', 'd', 'e', 0,
+  /* 10312 */ 'f', 's', 'c', 'a', 'l', 'e', 0,
+  /* 10319 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
+  /* 10328 */ 'r', 'e', 'p', 'n', 'e', 0,
+  /* 10334 */ 'c', 'd', 'q', 'e', 0,
+  /* 10339 */ 'x', 'a', 'c', 'q', 'u', 'i', 'r', 'e', 0,
+  /* 10348 */ 'x', 's', 't', 'o', 'r', 'e', 0,
+  /* 10355 */ 'x', 'r', 'e', 'l', 'e', 'a', 's', 'e', 0,
+  /* 10364 */ 'p', 'a', 'u', 's', 'e', 0,
+  /* 10370 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 10384 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 10401 */ 'l', 'e', 'a', 'v', 'e', 0,
+  /* 10407 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
+  /* 10414 */ 'l', 'a', 'h', 'f', 0,
+  /* 10419 */ 's', 'a', 'h', 'f', 0,
+  /* 10424 */ 'p', 'u', 's', 'h', 'f', 0,
+  /* 10430 */ 'p', 'o', 'p', 'f', 0,
+  /* 10435 */ 'r', 'e', 't', 'f', 0,
+  /* 10440 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
+  /* 10449 */ 'c', 'l', 'g', 'i', 0,
+  /* 10454 */ 's', 't', 'g', 'i', 0,
+  /* 10459 */ 'c', 'l', 'i', 0,
+  /* 10463 */ 'f', 'l', 'd', 'p', 'i', 0,
+  /* 10469 */ 's', 't', 'i', 0,
+  /* 10473 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
+  /* 10488 */ 'l', 'o', 'c', 'k', 0,
+  /* 10493 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'l', 0,
+  /* 10504 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
+  /* 10511 */ 'p', 'o', 'p', 'a', 'l', 0,
+  /* 10517 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 10525 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 10532 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
+  /* 10540 */ 'v', 'z', 'e', 'r', 'o', 'a', 'l', 'l', 0,
+  /* 10549 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
+  /* 10557 */ 'f', 'x', 'a', 'm', 0,
+  /* 10562 */ 'f', 'p', 'r', 'e', 'm', 0,
+  /* 10568 */ 'v', 'p', 'c', 'o', 'm', 0,
+  /* 10574 */ 'f', 's', 'e', 't', 'p', 'm', 0,
+  /* 10581 */ 'r', 's', 'm', 0,
+  /* 10585 */ 'f', 'p', 'a', 't', 'a', 'n', 0,
+  /* 10592 */ 'f', 'p', 't', 'a', 'n', 0,
+  /* 10598 */ 'f', 's', 'i', 'n', 0,
+  /* 10603 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
+  /* 10630 */ 'c', 'q', 'o', 0,
+  /* 10634 */ 'i', 'n', 't', 'o', 0,
+  /* 10639 */ 'r', 'd', 't', 's', 'c', 'p', 0,
+  /* 10646 */ 'r', 'e', 'p', 0,
+  /* 10650 */ 'v', 'p', 'c', 'm', 'p', 0,
+  /* 10656 */ 'v', 'c', 'm', 'p', 0,
+  /* 10661 */ 'f', 'e', 'n', 'i', '8', '0', '8', '7', '_', 'n', 'o', 'p', 0,
+  /* 10674 */ 'f', 'd', 'i', 's', 'i', '8', '0', '8', '7', '_', 'n', 'o', 'p', 0,
+  /* 10688 */ 'f', 'n', 'o', 'p', 0,
+  /* 10693 */ 'f', 'c', 'o', 'm', 'p', 'p', 0,
+  /* 10700 */ 'f', 'u', 'c', 'o', 'm', 'p', 'p', 0,
+  /* 10708 */ 'f', 'd', 'e', 'c', 's', 't', 'p', 0,
+  /* 10716 */ 'f', 'i', 'n', 'c', 's', 't', 'p', 0,
+  /* 10724 */ 'c', 'd', 'q', 0,
+  /* 10728 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
+  /* 10735 */ 'p', 'o', 'p', 'f', 'q', 0,
+  /* 10741 */ 'r', 'e', 't', 'f', 'q', 0,
+  /* 10747 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'q', 0,
+  /* 10757 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'q', 0,
+  /* 10767 */ 'i', 'r', 'e', 't', 'q', 0,
+  /* 10773 */ 'v', 'z', 'e', 'r', 'o', 'u', 'p', 'p', 'e', 'r', 0,
+  /* 10784 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
+  /* 10793 */ 'm', 'o', 'n', 'i', 't', 'o', 'r', 0,
+  /* 10801 */ 'r', 'd', 'm', 's', 'r', 0,
+  /* 10807 */ 'w', 'r', 'm', 's', 'r', 0,
+  /* 10813 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
+  /* 10823 */ 'a', 'a', 's', 0,
+  /* 10827 */ 'd', 'a', 's', 0,
+  /* 10831 */ 'f', 'a', 'b', 's', 0,
+  /* 10836 */ 'p', 'u', 's', 'h', 9, 'c', 's', 0,
+  /* 10844 */ 'p', 'u', 's', 'h', 9, 'd', 's', 0,
+  /* 10852 */ 'p', 'o', 'p', 9, 'd', 's', 0,
+  /* 10859 */ 'p', 'u', 's', 'h', 9, 'e', 's', 0,
+  /* 10867 */ 'p', 'o', 'p', 9, 'e', 's', 0,
+  /* 10874 */ 'p', 'u', 's', 'h', 9, 'f', 's', 0,
+  /* 10882 */ 'p', 'o', 'p', 9, 'f', 's', 0,
+  /* 10889 */ 'p', 'u', 's', 'h', 9, 'g', 's', 0,
+  /* 10897 */ 'p', 'o', 'p', 9, 'g', 's', 0,
+  /* 10904 */ 's', 'w', 'a', 'p', 'g', 's', 0,
+  /* 10911 */ 'f', 'c', 'h', 's', 0,
+  /* 10916 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
+  /* 10961 */ 'e', 'n', 'c', 'l', 's', 0,
+  /* 10967 */ 'f', 'e', 'm', 'm', 's', 0,
+  /* 10973 */ 'f', 'c', 'o', 's', 0,
+  /* 10978 */ 'f', 's', 'i', 'n', 'c', 'o', 's', 0,
+  /* 10986 */ 'p', 'u', 's', 'h', 9, 's', 's', 0,
+  /* 10994 */ 'p', 'o', 'p', 9, 's', 's', 0,
+  /* 11001 */ 'c', 'l', 't', 's', 0,
+  /* 11006 */ 'f', 'l', 'd', 'l', '2', 't', 0,
+  /* 11013 */ 'f', 'x', 't', 'r', 'a', 'c', 't', 0,
+  /* 11021 */ 'i', 'r', 'e', 't', 0,
+  /* 11026 */ 's', 'y', 's', 'r', 'e', 't', 0,
+  /* 11033 */ 'm', 'w', 'a', 'i', 't', 0,
+  /* 11039 */ 'p', 'c', 'o', 'm', 'm', 'i', 't', 0,
+  /* 11047 */ 'f', 'n', 'i', 'n', 'i', 't', 0,
+  /* 11054 */ 's', 'y', 's', 'e', 'x', 'i', 't', 0,
+  /* 11062 */ 'h', 'l', 't', 0,
+  /* 11066 */ 'f', 'r', 'n', 'd', 'i', 'n', 't', 0,
+  /* 11074 */ 'f', 's', 'q', 'r', 't', 0,
+  /* 11080 */ 'x', 't', 'e', 's', 't', 0,
+  /* 11086 */ 'f', 't', 's', 't', 0,
+  /* 11091 */ 'e', 'n', 'c', 'l', 'u', 0,
+  /* 11097 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
+  /* 11104 */ 'x', 's', 'e', 't', 'b', 'v', 0,
+  /* 11111 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
+  /* 11118 */ 'p', 'o', 'p', 'a', 'w', 0,
+  /* 11124 */ 'c', 'b', 'w', 0,
+  /* 11128 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'w', 0,
+  /* 11138 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'w', 0,
+  /* 11148 */ 'f', 'y', 'l', '2', 'x', 0,
+  /* 11154 */ 'f', 'n', 's', 't', 's', 'w', 9, 'a', 'x', 0,
+  /* 11164 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'x', 0,
+  /* 11175 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'e', 'a', 'x', 0,
+  /* 11186 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'e', 'a', 'x', 0,
+  /* 11197 */ 'v', 'm', 'r', 'u', 'n', 9, 'e', 'a', 'x', 0,
+  /* 11207 */ 's', 'k', 'i', 'n', 'i', 't', 9, 'e', 'a', 'x', 0,
+  /* 11218 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'e', 'a', 'x', 0,
+  /* 11230 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'r', 'a', 'x', 0,
+  /* 11241 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'r', 'a', 'x', 0,
+  /* 11252 */ 'v', 'm', 'r', 'u', 'n', 9, 'r', 'a', 'x', 0,
+  /* 11262 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'e', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
+  /* 11279 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'r', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
+  /* 11296 */ 'i', 'n', 9, 'a', 'l', ',', 32, 'd', 'x', 0,
+  /* 11306 */ 'i', 'n', 9, 'a', 'x', ',', 32, 'd', 'x', 0,
+  /* 11316 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 'd', 'x', 0,
+  /* 11327 */ 'f', 'n', 'c', 'l', 'e', 'x', 0,
+  /* 11334 */ 'f', 'l', 'd', 'z', 0,
+  /* 11339 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 9, '{', 0,
+  /* 11355 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 9, '{', 0,
+  /* 11372 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 9, '{', 0,
+  /* 11388 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 9, '{', 0,
+  /* 11405 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 9, '{', 0,
+  /* 11421 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 9, '{', 0,
+  /* 11438 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 9, '{', 0,
+  /* 11454 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 9, '{', 0,
+  /* 11471 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 9, '{', 0,
+  /* 11487 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 9, '{', 0,
+  /* 11504 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 9, '{', 0,
+  /* 11520 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 9, '{', 0,
+  /* 11537 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 9, '{', 0,
+  /* 11553 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 9, '{', 0,
+  /* 11570 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 9, '{', 0,
+  /* 11586 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 9, '{', 0,
   };
 #endif
 
@@ -13840,6 +18936,7 @@ static void printInstruction(MCInst *MI,
   uint64_t Bits1 = OpInfo[opcode];
   uint64_t Bits2 = OpInfo2[opcode];
   uint64_t Bits = (Bits2 << 32) | Bits1;
+  // printf("Opcode ID = %u\n", opcode);
   // assert(Bits != 0 && "Cannot print this instruction.");
   if (!X86_lockrep(MI, O))
 #ifndef CAPSTONE_DIET
@@ -13849,10 +18946,10 @@ static void printInstruction(MCInst *MI,
 #endif
 
 
-  // Fragment 0 encoded into 6 bits for 45 unique commands.
+  // Fragment 0 encoded into 6 bits for 51 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 14) & 63);
   switch ((Bits >> 14) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, AAA, AAS, ABS_F, ACQU...
     return;
@@ -13878,7 +18975,7 @@ static void printInstruction(MCInst *MI,
     printi64mem(MI, 0, O); 
     break;
   case 6:
-    // ADC8mi, ADC8mr, ADD8mi, ADD8mr, AND8mi, AND8mr, CLFLUSH, CMP8mi, CMP8m...
+    // ADC8mi, ADC8mi8, ADC8mr, ADD8mi, ADD8mi8, ADD8mr, AND8mi, AND8mi8, AND...
     printi8mem(MI, 0, O); 
     break;
   case 7:
@@ -13892,6 +18989,7 @@ static void printInstruction(MCInst *MI,
   case 9:
     // CALL64pcrel32, CALLpcrel16, CALLpcrel32, EH_SjLj_Setup, JAE_1, JAE_2, ...
     printPCRelImm(MI, 0, O); 
+    return;
     break;
   case 10:
     // CMPPDrmi, CMPPSrmi, CMPSDrm, CMPSSrm, Int_CMPSDrm, Int_CMPSSrm
@@ -14012,19 +19110,19 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 32:
-    // MOV16ao16, MOV16ao16_16, MOV16o16a, MOV16o16a_16, MOV64ao16, MOV64o16a
+    // MOV16ao16, MOV16ao32, MOV16ao64, MOV16o16a, MOV16o32a, MOV16o64a
     printMemOffs16(MI, 0, O); 
     break;
   case 33:
-    // MOV32ao32, MOV32ao32_16, MOV32o32a, MOV32o32a_16, MOV64ao32, MOV64o32a
+    // MOV32ao16, MOV32ao32, MOV32ao64, MOV32o16a, MOV32o32a, MOV32o64a
     printMemOffs32(MI, 0, O); 
     break;
   case 34:
-    // MOV64ao64, MOV64o64a
+    // MOV64ao32, MOV64ao64, MOV64o32a, MOV64o64a
     printMemOffs64(MI, 0, O); 
     break;
   case 35:
-    // MOV64ao8, MOV64o8a, MOV8ao8, MOV8ao8_16, MOV8o8a, MOV8o8a_16
+    // MOV8ao16, MOV8ao32, MOV8ao64, MOV8o16a, MOV8o32a, MOV8o64a
     printMemOffs8(MI, 0, O); 
     break;
   case 36:
@@ -14036,40 +19134,60 @@ static void printInstruction(MCInst *MI,
     printDstIdx64(MI, 0, O); 
     break;
   case 38:
-    // VCVTPS2PHZmr, VEXTRACTF64x4mr, VMASKMOVPDYmr, VMASKMOVPSYmr, VMOVAPDYm...
-    printf256mem(MI, 0, O); 
+    // TEST16rm
+    printi16mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
     break;
   case 39:
-    // VEXTRACTI64x4mr, VMOVDQA32Z256mr, VMOVDQA32Z256mrk, VMOVDQA64Z256mr, V...
-    printi256mem(MI, 0, O); 
+    // TEST32rm, VPSCATTERDDZmr, VSCATTERDPSZmr
+    printi32mem(MI, 1, O); 
     break;
   case 40:
-    // VMOVAPDZmr, VMOVAPDZmrk, VMOVAPSZmr, VMOVAPSZmrk, VMOVNTPDZmr, VMOVNTP...
-    printf512mem(MI, 0, O); 
+    // TEST64rm, VPSCATTERDQZmr, VPSCATTERQDZmr, VPSCATTERQQZmr, VSCATTERDPDZ...
+    printi64mem(MI, 1, O); 
     break;
   case 41:
-    // VMOVDQA32Zmr, VMOVDQA32Zmrk, VMOVDQA64Zmr, VMOVDQA64Zmrk, VMOVDQU16Zmr...
-    printi512mem(MI, 0, O); 
+    // TEST8rm
+    printi8mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
     break;
   case 42:
-    // VPSCATTERDDZmr, VSCATTERDPSZmr
-    printi32mem(MI, 1, O); 
-    SStream_concat0(O, " {"); 
-    printOperand(MI, 6, O); 
-    SStream_concat0(O, "}, "); 
-    printOperand(MI, 7, O); 
-    return;
+    // VCOMPRESSPDZ256mrk, VCOMPRESSPSZ256mrk, VCVTPS2PHZmr, VEXTRACTF64x4rm,...
+    printf256mem(MI, 0, O); 
     break;
   case 43:
-    // VPSCATTERDQZmr, VPSCATTERQDZmr, VPSCATTERQQZmr, VSCATTERDPDZmr, VSCATT...
-    printi64mem(MI, 1, O); 
-    SStream_concat0(O, " {"); 
-    printOperand(MI, 6, O); 
-    SStream_concat0(O, "}, "); 
-    printOperand(MI, 7, O); 
-    return;
+    // VCOMPRESSPDZmrk, VCOMPRESSPSZmrk, VMOVAPDZmr, VMOVAPDZmrk, VMOVAPSZmr,...
+    printf512mem(MI, 0, O); 
     break;
   case 44:
+    // VEXTRACTI64x4rm, VMOVDQA32Z256mr, VMOVDQA32Z256mrk, VMOVDQA64Z256mr, V...
+    printi256mem(MI, 0, O); 
+    break;
+  case 45:
+    // VMOVDQA32Zmr, VMOVDQA32Zmrk, VMOVDQA64Zmr, VMOVDQA64Zmrk, VMOVDQU16Zmr...
+    printi512mem(MI, 0, O); 
+    break;
+  case 46:
+    // VPCMPBZ128rmik, VPCMPBZ256rmik, VPCMPBZrmik, VPCMPDZ128rmibk, VPCMPDZ1...
+    printAVXCC(MI, 8, O); 
+    break;
+  case 47:
+    // VPCMPBZ128rrik, VPCMPBZ256rrik, VPCMPBZrrik, VPCMPDZ128rrik, VPCMPDZ25...
+    printAVXCC(MI, 4, O); 
+    break;
+  case 48:
+    // VPCOMBmi, VPCOMDmi, VPCOMQmi, VPCOMUBmi, VPCOMUDmi, VPCOMUQmi, VPCOMUW...
+    printXOPCC(MI, 7, O); 
+    break;
+  case 49:
+    // VPCOMBri, VPCOMDri, VPCOMQri, VPCOMUBri, VPCOMUDri, VPCOMUQri, VPCOMUW...
+    printXOPCC(MI, 3, O); 
+    break;
+  case 50:
     // XCHG16rr, XCHG32rr, XCHG64rr, XCHG8rr
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14079,10 +19197,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 1 encoded into 5 bits for 24 unique commands.
+  // Fragment 1 encoded into 5 bits for 29 unique commands.
   //printf("Frag-1: %"PRIu64"\n", (Bits >> 20) & 31);
   switch ((Bits >> 20) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // AAD8i8, AAM8i8, ADC16i16, ADC32i32, ADC64i32, ADC8i8, ADD16i16, ADD32i...
     return;
@@ -14098,13 +19216,13 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 3:
-    // CMPPDrmi, CMPPDrri, VCMPPDYrmi, VCMPPDYrri, VCMPPDrmi, VCMPPDrri
+    // CMPPDrmi, CMPPDrri, VCMPPDYrmi, VCMPPDYrri, VCMPPDZrmi, VCMPPDZrri, VC...
     SStream_concat0(O, "pd\t"); 
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
     break;
   case 4:
-    // CMPPSrmi, CMPPSrri, VCMPPSYrmi, VCMPPSYrri, VCMPPSrmi, VCMPPSrri
+    // CMPPSrmi, CMPPSrri, VCMPPSYrmi, VCMPPSYrri, VCMPPSZrmi, VCMPPSZrri, VC...
     SStream_concat0(O, "ps\t"); 
     printOperand(MI, 0, O); 
     SStream_concat0(O, ", "); 
@@ -14134,25 +19252,25 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 9:
-    // MOV16ao16, MOV16ao16_16, MOV64ao16, OUT16ir, STOSW
+    // MOV16o16a, MOV16o32a, MOV16o64a, OUT16ir, STOSW
     SStream_concat0(O, ", ax"); 
     op_addReg(MI, X86_REG_AX);
     return;
     break;
   case 10:
-    // MOV32ao32, MOV32ao32_16, MOV64ao32, OUT32ir, STOSL
+    // MOV32o16a, MOV32o32a, MOV32o64a, OUT32ir, STOSL
     SStream_concat0(O, ", eax"); 
     op_addReg(MI, X86_REG_EAX);
     return;
     break;
   case 11:
-    // MOV64ao64, STOSQ
+    // MOV64o32a, MOV64o64a, STOSQ
     SStream_concat0(O, ", rax"); 
     op_addReg(MI, X86_REG_RAX);
     return;
     break;
   case 12:
-    // MOV64ao8, MOV8ao8, MOV8ao8_16, OUT8ir, STOSB
+    // MOV8o16a, MOV8o32a, MOV8o64a, OUT8ir, STOSB
     SStream_concat0(O, ", al"); 
     op_addReg(MI, X86_REG_AL);
     return;
@@ -14170,72 +19288,80 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 15:
-    // TAILJMPd, TAILJMPd64, TAILJMPm, TAILJMPm64, TAILJMPr64
-    return;
+    // VADDPDZ128rm, VADDPDZ128rmb, VADDPDZ128rr, VADDPDZ256rm, VADDPDZ256rmb...
+    SStream_concat0(O, " , "); 
     break;
   case 16:
-    // VADDPDZrmbk, VADDPDZrmbkz, VADDPDZrmk, VADDPDZrmkz, VADDPDZrrk, VADDPD...
+    // VADDPDZ128rmbk, VADDPDZ128rmbkz, VADDPDZ128rmk, VADDPDZ128rmkz, VADDPD...
     SStream_concat0(O, " {"); 
     break;
   case 17:
-    // VCMPPDZrmi, VCMPPDZrri, VCMPPDZrrib
-    SStream_concat0(O, "pd \t"); 
-    printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
+    // VBLENDMPDZ128rm, VBLENDMPDZ256rm, VBLENDMPDZrm, VBLENDMPSZ128rm, VBLEN...
+    SStream_concat0(O, ",  "); 
     printOperand(MI, 1, O); 
     SStream_concat0(O, ", "); 
     break;
   case 18:
-    // VCMPPSZrmi, VCMPPSZrri, VCMPPSZrrib
-    SStream_concat0(O, "ps \t"); 
-    printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
+    // VEXP2PDrb, VEXP2PSrb, VMAXSDZrrb, VMAXSSZrrb, VMINSDZrrb, VMINSSZrrb, ...
+    SStream_concat0(O, " {sae}, "); 
+    op_addAvxSae(MI);
     printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
     break;
   case 19:
     // VGATHERPF0DPDm, VGATHERPF0DPSm, VGATHERPF0QPDm, VGATHERPF0QPSm, VGATHE...
     SStream_concat0(O, "}, "); 
     break;
   case 20:
-    // VPCMPDZrmi, VPCMPDZrri
-    SStream_concat0(O, "d\t"); 
+    // VPCMPBZ128rmi, VPCMPBZ128rmik, VPCMPBZ128rri, VPCMPBZ128rrik, VPCMPBZ2...
+    SStream_concat0(O, "b\t"); 
     printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
     break;
   case 21:
-    // VPCMPQZrmi, VPCMPQZrri
-    SStream_concat0(O, "q\t"); 
+    // VPCMPDZ128rmi, VPCMPDZ128rmib, VPCMPDZ128rmibk, VPCMPDZ128rmik, VPCMPD...
+    SStream_concat0(O, "d\t"); 
     printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
     break;
   case 22:
-    // VPCMPUDZrmi, VPCMPUDZrri
-    SStream_concat0(O, "ud\t"); 
+    // VPCMPQZ128rmi, VPCMPQZ128rmib, VPCMPQZ128rmibk, VPCMPQZ128rmik, VPCMPQ...
+    SStream_concat0(O, "q\t"); 
     printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
     break;
   case 23:
-    // VPCMPUQZrmi, VPCMPUQZrri
+    // VPCMPUBZ128rmi, VPCMPUBZ128rmik, VPCMPUBZ128rri, VPCMPUBZ128rrik, VPCM...
+    SStream_concat0(O, "ub\t"); 
+    printOperand(MI, 0, O); 
+    break;
+  case 24:
+    // VPCMPUDZ128rmi, VPCMPUDZ128rmib, VPCMPUDZ128rmibk, VPCMPUDZ128rmik, VP...
+    SStream_concat0(O, "ud\t"); 
+    printOperand(MI, 0, O); 
+    break;
+  case 25:
+    // VPCMPUQZ128rmi, VPCMPUQZ128rmib, VPCMPUQZ128rmibk, VPCMPUQZ128rmik, VP...
     SStream_concat0(O, "uq\t"); 
     printOperand(MI, 0, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
+    break;
+  case 26:
+    // VPCMPUWZ128rmi, VPCMPUWZ128rmik, VPCMPUWZ128rri, VPCMPUWZ128rrik, VPCM...
+    SStream_concat0(O, "uw\t"); 
+    printOperand(MI, 0, O); 
+    break;
+  case 27:
+    // VPCMPWZ128rmi, VPCMPWZ128rmik, VPCMPWZ128rri, VPCMPWZ128rrik, VPCMPWZ2...
+    SStream_concat0(O, "w\t"); 
+    printOperand(MI, 0, O); 
+    break;
+  case 28:
+    // VPSLLDZmi, VPSLLDZri, VPSLLDZrm, VPSLLDZrr, VPSLLQZmi, VPSLLQZri, VPSL...
+    SStream_concat0(O, "  , "); 
     break;
   }
 
 
-  // Fragment 2 encoded into 6 bits for 34 unique commands.
+  // Fragment 2 encoded into 6 bits for 42 unique commands.
   //printf("Frag-2: %"PRIu64"\n", (Bits >> 25) & 63);
   switch ((Bits >> 25) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16mi, ADC16mi8, ADC16mr, ADC32mi, ADC32mi8, ADC32mr, ADC64mi32, ADC...
     printOperand(MI, 5, O); 
@@ -14297,7 +19423,7 @@ static void printInstruction(MCInst *MI,
     printi16mem(MI, 1, O); 
     break;
   case 15:
-    // CMP8rm, KMOVBkm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32rm8, MOVSX64...
+    // CMP8rm, KMOVBkm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32_NOREXrm8, M...
     printi8mem(MI, 1, O); 
     break;
   case 16:
@@ -14307,97 +19433,135 @@ static void printInstruction(MCInst *MI,
   case 17:
     // CVTPS2PDrm, CVTSD2SI64rm, CVTSD2SIrm, CVTSD2SSrm, CVTTSD2SI64rm, CVTTS...
     printf64mem(MI, 1, O); 
-    return;
     break;
   case 18:
     // CVTSS2SDrm, CVTSS2SI64rm, CVTSS2SIrm, CVTTSS2SI64rm, CVTTSS2SIrm, Int_...
     printf32mem(MI, 1, O); 
-    return;
     break;
   case 19:
+    // EXTRQI, MMX_PSLLDri, MMX_PSLLQri, MMX_PSLLWri, MMX_PSRADri, MMX_PSRAWr...
+    printU8Imm(MI, 2, O); 
+    break;
+  case 20:
     // LDS16rm, LDS32rm, LES16rm, LES32rm, LFS16rm, LFS32rm, LFS64rm, LGS16rm...
     printopaquemem(MI, 1, O); 
     return;
     break;
-  case 20:
+  case 21:
+    // LEA16r, LEA32r, LEA64_32r, LEA64r
+    printanymem(MI, 1, O); 
+    return;
+    break;
+  case 22:
     // MOVSB
     printSrcIdx8(MI, 1, O); 
     return;
     break;
-  case 21:
+  case 23:
     // MOVSL
     printSrcIdx32(MI, 1, O); 
     return;
     break;
-  case 22:
+  case 24:
     // MOVSQ
     printSrcIdx64(MI, 1, O); 
     return;
     break;
-  case 23:
+  case 25:
     // MOVSW
     printSrcIdx16(MI, 1, O); 
     return;
     break;
-  case 24:
-    // NOOP19rr
+  case 26:
+    // NOOP19rr, TEST32rm, TEST64rm
     printOperand(MI, 0, O); 
     return;
     break;
-  case 25:
-    // VBROADCASTI64X4rm, VCVTDQ2PDZrm, VCVTDQ2PSYrm, VLDDQUYrm, VMOVDQA32Z25...
-    printi256mem(MI, 1, O); 
+  case 27:
+    // VBLENDMPDZ256rm, VBLENDMPSZ256rm
+    printf256mem(MI, 2, O); 
+    return;
     break;
-  case 26:
-    // VCMPPDZrmi, VCMPPSZrmi
+  case 28:
+    // VBLENDMPDZrm, VBLENDMPSZrm
     printf512mem(MI, 2, O); 
-    SStream_concat0(O, ", "); 
-    printAVXCC(MI, 7, O); 
     return;
     break;
-  case 27:
+  case 29:
+    // VBROADCASTI64X4rm, VCVTDQ2PDZrm, VCVTDQ2PSYrm, VLDDQUYrm, VMOVDQA32Z25...
+    printi256mem(MI, 1, O); 
+    break;
+  case 30:
     // VCVTDQ2PSZrm, VMOVDQA32Zrm, VMOVDQA64Zrm, VMOVDQU16Zrm, VMOVDQU32Zrm, ...
     printi512mem(MI, 1, O); 
     break;
-  case 28:
+  case 31:
     // VCVTPD2DQYrm, VCVTPD2PSYrm, VCVTPH2PSZrm, VCVTPS2DQYrm, VCVTPS2PDZrm, ...
     printf256mem(MI, 1, O); 
     break;
-  case 29:
+  case 32:
     // VCVTPD2DQZrm, VCVTPD2PSZrm, VCVTPD2UDQZrm, VCVTPS2DQZrm, VCVTPS2UDQZrm...
     printf512mem(MI, 1, O); 
     break;
-  case 30:
+  case 33:
+    // VEXP2PDrb, VEXP2PSrb, VRCP28PDrb, VRCP28PSrb, VRSQRT28PDrb, VRSQRT28PS...
+    return;
+    break;
+  case 34:
     // VGATHERDPDYrm, VGATHERDPDrm, VGATHERQPDYrm, VGATHERQPDrm, VPGATHERDQYr...
     printi64mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 8, O); 
     return;
     break;
-  case 31:
+  case 35:
     // VGATHERDPDZrm, VGATHERDPSZrm, VGATHERQPDZrm, VGATHERQPSZrm, VPGATHERDD...
     printOperand(MI, 3, O); 
     SStream_concat0(O, "}, "); 
     break;
-  case 32:
+  case 36:
     // VGATHERDPSYrm, VGATHERDPSrm, VGATHERQPSYrm, VGATHERQPSrm, VPGATHERDDYr...
     printi32mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 8, O); 
     return;
     break;
-  case 33:
-    // VPCMPDZrmi, VPCMPQZrmi, VPCMPUDZrmi, VPCMPUQZrmi
+  case 37:
+    // VMAXSDZrrb, VMAXSSZrrb, VMINSDZrrb, VMINSSZrrb, VPCMPBZ128rmi, VPCMPBZ...
+    SStream_concat0(O, ", "); 
+    break;
+  case 38:
+    // VPBLENDMBZ256rm, VPBLENDMDZ256rm, VPBLENDMQZ256rm, VPBLENDMWZ256rm
+    printi256mem(MI, 2, O); 
+    return;
+    break;
+  case 39:
+    // VPBLENDMBZrm, VPBLENDMDZrm, VPBLENDMQZrm, VPBLENDMWZrm
     printi512mem(MI, 2, O); 
     return;
     break;
+  case 40:
+    // VPCMPBZ128rmik, VPCMPBZ128rrik, VPCMPBZ256rmik, VPCMPBZ256rrik, VPCMPB...
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, "}, "); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 41:
+    // VPSCATTERDDZmr, VPSCATTERDQZmr, VPSCATTERQDZmr, VPSCATTERQQZmr, VSCATT...
+    printOperand(MI, 6, O); 
+    SStream_concat0(O, "}, "); 
+    printOperand(MI, 7, O); 
+    return;
+    break;
   }
 
 
-  // Fragment 3 encoded into 4 bits for 11 unique commands.
-  //printf("Frag-3: %"PRIu64"\n", (Bits >> 31) & 15);
-  switch ((Bits >> 31) & 15) {
-  default:   // unreachable.
+  // Fragment 3 encoded into 5 bits for 23 unique commands.
+  //printf("Frag-3: %"PRIu64"\n", (Bits >> 31) & 31);
+  switch ((Bits >> 31) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16mi, ADC16mi8, ADC16mr, ADC16ri, ADC16ri8, ADC16rm, ADC16rr, ADC16...
     return;
@@ -14407,29 +19571,32 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 2:
-    // MOV8mr_NOREX, MOV8rm_NOREX, MOV8rr_NOREX
-    return;
-    break;
-  case 3:
     // SHLD16mrCL, SHLD16rrCL, SHLD32mrCL, SHLD32rrCL, SHLD64mrCL, SHLD64rrCL...
     SStream_concat0(O, ", cl"); 
     op_addReg(MI, X86_REG_CL);
     return;
     break;
-  case 4:
-    // VADDPDZrmbk, VADDPDZrmk, VADDPDZrrk, VADDPSZrmbk, VADDPSZrmk, VADDPSZr...
+  case 3:
+    // VADDPDZ128rmbk, VADDPDZ128rmk, VADDPDZ128rrk, VADDPDZ256rmbk, VADDPDZ2...
     SStream_concat0(O, "}, "); 
     break;
-  case 5:
-    // VADDPDZrmbkz, VADDPDZrmkz, VADDPDZrrkz, VADDPSZrmbkz, VADDPSZrmkz, VAD...
+  case 4:
+    // VADDPDZ128rmbkz, VADDPDZ128rmkz, VADDPDZ128rrkz, VADDPDZ256rmbkz, VADD...
     SStream_concat0(O, "} {z}, "); 
     op_addAvxZeroOpmask(MI);
     break;
+  case 5:
+    // VEXP2PDrbk, VEXP2PSrbk, VMAXSDZrrbk, VMAXSSZrrbk, VMINSDZrrbk, VMINSSZ...
+    SStream_concat0(O, "}{sae}, "); 
+    op_addAvxSae(MI);
+    printOperand(MI, 3, O); 
+    break;
   case 6:
-    // VCMPPDZrrib, VCMPPSZrrib, VRCP28PDZrb, VRCP28PSZrb, VRSQRT28PDZrb, VRS...
-    SStream_concat0(O, ", {sae}"); 
+    // VEXP2PDrbkz, VEXP2PSrbkz, VMAXSDZrrbkz, VMAXSSZrrbkz, VMINSDZrrbkz, VM...
+    SStream_concat0(O, "} {z}{sae}, "); 
     op_addAvxSae(MI);
-    return;
+    op_addAvxZeroOpmask(MI);
+    printOperand(MI, 2, O); 
     break;
   case 7:
     // VGATHERDPDZrm, VGATHERQPDZrm, VGATHERQPSZrm, VPGATHERDQZrm, VPGATHERQD...
@@ -14442,339 +19609,618 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 9:
-    // VPABSDZrmb, VPCONFLICTDrmb, VPLZCNTDrmb
+    // VMAXSDZrrb, VMAXSSZrrb, VMINSDZrrb, VMINSSZrrb, VRCP28SDrb, VRCP28SSrb...
+    printOperand(MI, 2, O); 
+    break;
+  case 10:
+    // VPABSDZrmb, VPCONFLICTDrmb, VPLZCNTDrmb, VRCP14PSZmb, VRSQRT14PSZmb, V...
     SStream_concat0(O, "{1to16}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
     return;
     break;
-  case 10:
-    // VPABSQZrmb, VPCONFLICTQrmb, VPLZCNTQrmb
+  case 11:
+    // VPABSQZrmb, VPCONFLICTQrmb, VPLZCNTQrmb, VRCP14PDZmb, VRCP14PSZ256mb, ...
     SStream_concat0(O, "{1to8}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
     return;
     break;
+  case 12:
+    // VPCMPBZ128rmi, VPCMPBZ128rri, VPCMPBZ256rmi, VPCMPBZ256rri, VPCMPBZrmi...
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 13:
+    // VPCMPBZ128rmik, VPCMPDZ128rmik, VPCMPQZ128rmik, VPCMPUBZ128rmik, VPCMP...
+    printi128mem(MI, 3, O); 
+    return;
+    break;
+  case 14:
+    // VPCMPBZ128rrik, VPCMPBZ256rrik, VPCMPBZrrik, VPCMPDZ128rrik, VPCMPDZ25...
+    printOperand(MI, 3, O); 
+    return;
+    break;
+  case 15:
+    // VPCMPBZ256rmik, VPCMPDZ256rmik, VPCMPQZ256rmik, VPCMPUBZ256rmik, VPCMP...
+    printi256mem(MI, 3, O); 
+    return;
+    break;
+  case 16:
+    // VPCMPBZrmik, VPCMPDZrmik, VPCMPQZrmik, VPCMPUBZrmik, VPCMPUDZrmik, VPC...
+    printi512mem(MI, 3, O); 
+    return;
+    break;
+  case 17:
+    // VPCMPDZ128rmibk, VPCMPDZ256rmibk, VPCMPDZrmibk, VPCMPUDZ128rmibk, VPCM...
+    printi32mem(MI, 3, O); 
+    break;
+  case 18:
+    // VPCMPQZ128rmibk, VPCMPQZ256rmibk, VPCMPQZrmibk, VPCMPUQZ128rmibk, VPCM...
+    printi64mem(MI, 3, O); 
+    break;
+  case 19:
+    // VPSLLDZmik, VPSLLDZrik, VPSLLDZrmk, VPSLLDZrrk, VPSLLQZmik, VPSLLQZrik...
+    SStream_concat0(O, "} , "); 
+    break;
+  case 20:
+    // VPSLLDZmikz, VPSLLDZrikz, VPSLLDZrmkz, VPSLLDZrrkz, VPSLLQZmikz, VPSLL...
+    SStream_concat0(O, "} {z} , "); 
+    op_addAvxZeroOpmask(MI);
+    break;
+  case 21:
+    // VRCP14PDZ128mb, VRSQRT14PDZ128mb, VSQRTPDZ128mb
+    SStream_concat0(O, "{1to2}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    return;
+    break;
+  case 22:
+    // VRCP14PDZ256mb, VRCP14PSZ128mb, VRSQRT14PDZ256mb, VRSQRT14PSZ128mb, VS...
+    SStream_concat0(O, "{1to4}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    return;
+    break;
   }
 
 
-  // Fragment 4 encoded into 5 bits for 27 unique commands.
-  //printf("Frag-4: %"PRIu64"\n", (Bits >> 35) & 31);
-  switch ((Bits >> 35) & 31) {
-  default:   // unreachable.
+  // Fragment 4 encoded into 6 bits for 36 unique commands.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 36) & 63);
+  switch ((Bits >> 36) & 63) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // AESKEYGENASSIST128rm, BEXTR32rm, BEXTR64rm, BEXTRI32mi, BEXTRI64mi, BZ...
-    printOperand(MI, 6, O); 
+    // AESKEYGENASSIST128rm, EXTRACTPSmr, MMX_PSHUFWmi, PCMPESTRIrm, PCMPESTR...
+    printU8Imm(MI, 6, O); 
+    return;
     break;
   case 1:
-    // AESKEYGENASSIST128rr, ANDN32rr, ANDN64rr, BEXTR32rr, BEXTR64rr, BEXTRI...
-    printOperand(MI, 2, O); 
+    // AESKEYGENASSIST128rr, EXTRACTPSrr, KSHIFTLBri, KSHIFTLDri, KSHIFTLQri,...
+    printU8Imm(MI, 2, O); 
+    return;
     break;
   case 2:
     // ANDN32rm, Int_VCVTSI2SDZrm, Int_VCVTSI2SDrm, Int_VCVTSI2SSZrm, Int_VCV...
     printi32mem(MI, 2, O); 
     break;
   case 3:
-    // ANDN64rm, Int_VCVTSI2SD64Zrm, Int_VCVTSI2SD64rm, Int_VCVTSI2SS64Zrm, I...
-    printi64mem(MI, 2, O); 
+    // ANDN32rr, ANDN64rr, BEXTR32rr, BEXTR64rr, BEXTRI32ri, BEXTRI64ri, BZHI...
+    printOperand(MI, 2, O); 
     break;
   case 4:
-    // BLENDPDrmi, BLENDPSrmi, CMPPDrmi_alt, CMPPSrmi_alt, CMPSDrm_alt, CMPSS...
-    printOperand(MI, 7, O); 
-    return;
+    // ANDN64rm, Int_VCVTSI2SD64Zrm, Int_VCVTSI2SD64rm, Int_VCVTSI2SS64Zrm, I...
+    printi64mem(MI, 2, O); 
     break;
   case 5:
-    // BLENDPDrri, BLENDPSrri, CMPPDrri_alt, CMPPSrri_alt, CMPSDrr_alt, CMPSS...
-    printOperand(MI, 3, O); 
+    // BEXTR32rm, BEXTR64rm, BEXTRI32mi, BEXTRI64mi, BZHI32rm, BZHI64rm, IMUL...
+    printOperand(MI, 6, O); 
     break;
   case 6:
-    // Int_VCMPSDrm, Int_VCVTSD2SSrm, VADDPDZrmb, VADDSDZrm, VADDSDrm, VADDSD...
-    printf64mem(MI, 2, O); 
+    // BLENDPDrmi, BLENDPSrmi, CMPPDrmi_alt, CMPPSrmi_alt, CMPSDrm_alt, CMPSS...
+    printU8Imm(MI, 7, O); 
+    return;
     break;
   case 7:
-    // Int_VCMPSSrm, Int_VCVTSS2SDrm, VADDPSZrmb, VADDSSZrm, VADDSSrm, VADDSS...
-    printf32mem(MI, 2, O); 
+    // BLENDPDrri, BLENDPSrri, CMPPDrri_alt, CMPPSrri_alt, CMPSDrr_alt, CMPSS...
+    printU8Imm(MI, 3, O); 
     break;
   case 8:
-    // VADDPDYrm, VADDPSYrm, VADDSUBPDYrm, VADDSUBPSYrm, VANDNPDYrm, VANDNPSY...
-    printf256mem(MI, 2, O); 
+    // Int_VCMPSDrm, Int_VCVTSD2SSrm, VADDPDZ128rmb, VADDPDZ256rmb, VADDPDZrm...
+    printf64mem(MI, 2, O); 
     break;
   case 9:
-    // VADDPDZrm, VADDPSZrm, VCMPPDZrmi_alt, VCMPPSZrmi_alt, VDIVPDZrm, VDIVP...
-    printf512mem(MI, 2, O); 
+    // Int_VCMPSSrm, Int_VCVTSS2SDrm, VADDPSZ128rmb, VADDPSZ256rmb, VADDPSZrm...
+    printf32mem(MI, 2, O); 
     break;
   case 10:
-    // VADDPDrm, VADDPSrm, VADDSUBPDrm, VADDSUBPSrm, VANDNPDrm, VANDNPSrm, VA...
-    printf128mem(MI, 2, O); 
+    // SHLD16rri8, SHLD32rri8, SHLD64rri8, SHRD16rri8, SHRD32rri8, SHRD64rri8...
+    printOperand(MI, 3, O); 
     break;
   case 11:
+    // VADDPDYrm, VADDPDZ256rm, VADDPSYrm, VADDPSZ256rm, VADDSUBPDYrm, VADDSU...
+    printf256mem(MI, 2, O); 
+    break;
+  case 12:
+    // VADDPDZ128rm, VADDPDrm, VADDPSZ128rm, VADDPSrm, VADDSDZrm_Int, VADDSSZ...
+    printf128mem(MI, 2, O); 
+    break;
+  case 13:
+    // VADDPDZrm, VADDPSZrm, VCMPPDZrmi, VCMPPDZrmi_alt, VCMPPSZrmi, VCMPPSZr...
+    printf512mem(MI, 2, O); 
+    break;
+  case 14:
     // VAESDECLASTrm, VAESDECrm, VAESENCLASTrm, VAESENCrm, VBROADCASTI32X4krm...
     printi128mem(MI, 2, O); 
     break;
-  case 12:
+  case 15:
     // VALIGNDrmi, VALIGNQrmi, VMOVDQA32Zrmkz, VMOVDQA64Zrmkz, VMOVDQU16Zrmkz...
     printi512mem(MI, 2, O); 
     break;
-  case 13:
-    // VBROADCASTI64X4krm, VDPPSYrmi, VINSERTF64x4rm, VINSERTI64x4rm, VMOVDQA...
+  case 16:
+    // VBROADCASTI64X4krm, VDPPSYrmi, VINSERTI32x8rm, VINSERTI64x4rm, VMOVDQA...
     printi256mem(MI, 2, O); 
     break;
-  case 14:
+  case 17:
+    // VBROADCASTSDZ256mk, VBROADCASTSDZmk, VFMADD132PDZ128mb, VFMADD132PDZ25...
+    printf64mem(MI, 3, O); 
+    break;
+  case 18:
+    // VBROADCASTSSZ128mk, VBROADCASTSSZ256mk, VBROADCASTSSZmk, VFMADD132PSZ1...
+    printf32mem(MI, 3, O); 
+    break;
+  case 19:
     // VCVTDQ2PSZrrb, VCVTPD2DQZrrb, VCVTPD2PSZrrb, VCVTPD2UDQZrrb, VCVTPS2DQ...
     printRoundingControl(MI, 2, O); 
     return;
     break;
-  case 15:
-    // VFMADD132PDZm, VFMADD132PSZm, VFMADD213PDZm, VFMADD213PSZm, VFMADDSUB1...
+  case 20:
+    // VEXP2PDmbk, VEXP2PDmk, VEXP2PSmbk, VEXP2PSmk, VEXPANDPDZrmk, VEXPANDPS...
     printf512mem(MI, 3, O); 
     return;
     break;
-  case 16:
-    // VFMADD132PDZmb, VFMADD213PDZmb, VFMADDSDr132m, VFMADDSDr213m, VFMADDSD...
-    printf64mem(MI, 3, O); 
-    break;
-  case 17:
-    // VFMADD132PSZmb, VFMADD213PSZmb, VFMADDSSr132m, VFMADDSSr213m, VFMADDSS...
-    printf32mem(MI, 3, O); 
+  case 21:
+    // VEXP2PDrbk, VEXP2PDrbkz, VEXP2PSrbk, VEXP2PSrbkz, VMAXSDZrrb, VMAXSSZr...
+    return;
     break;
-  case 18:
-    // VFMADDPDr132m, VFMADDPDr213m, VFMADDPDr231m, VFMADDPSr132m, VFMADDPSr2...
+  case 22:
+    // VEXPANDPDZ128rmk, VEXPANDPSZ128rmk, VFMADD132PDZ128m, VFMADD132PSZ128m...
     printf128mem(MI, 3, O); 
     return;
     break;
-  case 19:
-    // VFMADDPDr132mY, VFMADDPDr213mY, VFMADDPDr231mY, VFMADDPSr132mY, VFMADD...
+  case 23:
+    // VEXPANDPDZ256rmk, VEXPANDPSZ256rmk, VFMADD132PDZ256m, VFMADD132PSZ256m...
     printf256mem(MI, 3, O); 
     return;
     break;
-  case 20:
+  case 24:
+    // VMAXSDZrrbk, VMAXSDZrrbkz, VMAXSSZrrbk, VMAXSSZrrbkz, VMINSDZrrbk, VMI...
+    SStream_concat0(O, ", "); 
+    break;
+  case 25:
     // VMOVDQA32Z128rmk, VMOVDQA64Z128rmk, VMOVDQU16Z128rmk, VMOVDQU32Z128rmk...
     printi128mem(MI, 3, O); 
     return;
     break;
-  case 21:
+  case 26:
     // VMOVDQA32Z256rmk, VMOVDQA64Z256rmk, VMOVDQU16Z256rmk, VMOVDQU32Z256rmk...
     printi256mem(MI, 3, O); 
     return;
     break;
-  case 22:
+  case 27:
     // VMOVDQA32Zrmk, VMOVDQA64Zrmk, VMOVDQU16Zrmk, VMOVDQU32Zrmk, VMOVDQU64Z...
     printi512mem(MI, 3, O); 
+    break;
+  case 28:
+    // VPCMPDZ128rmibk, VPCMPQZ256rmibk, VPCMPUDZ128rmibk, VPCMPUQZ256rmibk
+    SStream_concat0(O, "{1to4}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
     return;
     break;
-  case 23:
+  case 29:
+    // VPCMPDZ256rmibk, VPCMPQZrmibk, VPCMPUDZ256rmibk, VPCMPUQZrmibk
+    SStream_concat0(O, "{1to8}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    return;
+    break;
+  case 30:
+    // VPCMPDZrmibk, VPCMPUDZrmibk
+    SStream_concat0(O, "{1to16}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    return;
+    break;
+  case 31:
+    // VPCMPQZ128rmibk, VPCMPUQZ128rmibk
+    SStream_concat0(O, "{1to2}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    return;
+    break;
+  case 32:
     // VPCONFLICTDrmbk, VPLZCNTDrmbk
     printi32mem(MI, 3, O); 
     SStream_concat0(O, "{1to16}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
     return;
     break;
-  case 24:
+  case 33:
     // VPCONFLICTQrmbk, VPLZCNTQrmbk
     printi64mem(MI, 3, O); 
     SStream_concat0(O, "{1to8}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
     return;
     break;
-  case 25:
+  case 34:
     // VPINSRBrm
     printi8mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
-    printOperand(MI, 7, O); 
+    printU8Imm(MI, 7, O); 
     return;
     break;
-  case 26:
+  case 35:
     // VPINSRWrmi
     printi16mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
-    printOperand(MI, 7, O); 
+    printU8Imm(MI, 7, O); 
     return;
     break;
   }
 
 
-  // Fragment 5 encoded into 3 bits for 7 unique commands.
-  //printf("Frag-5: %"PRIu64"\n", (Bits >> 40) & 7);
-  switch ((Bits >> 40) & 7) {
-  default:   // unreachable.
+  // Fragment 5 encoded into 4 bits for 14 unique commands.
+  //printf("Frag-5: %"PRIu64"\n", (Bits >> 42) & 15);
+  switch ((Bits >> 42) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // AESKEYGENASSIST128rm, AESKEYGENASSIST128rr, ANDN32rm, ANDN32rr, ANDN64...
+    // ANDN32rm, ANDN32rr, ANDN64rm, ANDN64rr, BEXTR32rm, BEXTR32rr, BEXTR64r...
     return;
     break;
   case 1:
-    // INSERTQI, VAARG_64, VADDPDZrmbk, VADDPDZrmbkz, VADDPDZrmk, VADDPDZrmkz...
+    // INSERTQI, VAARG_64, VADDPDZ128rmbk, VADDPDZ128rmbkz, VADDPDZ128rmk, VA...
     SStream_concat0(O, ", "); 
     break;
   case 2:
-    // VADDPDZrmb, VDIVPDZrmb, VFMADD132PDZmb, VFMADD213PDZmb, VFMADDSUB132PD...
-    SStream_concat0(O, "{1to8}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    // VADDPDZ128rmb, VBLENDMPDZ128rmb, VDIVPDZ128rmb, VFMADD132PDZ128mb, VFM...
+    SStream_concat0(O, "{1to2}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
     return;
     break;
   case 3:
-    // VADDPSZrmb, VDIVPSZrmb, VFMADD132PSZmb, VFMADD213PSZmb, VFMADDSUB132PS...
-    SStream_concat0(O, "{1to16}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    // VADDPDZ256rmb, VADDPSZ128rmb, VBLENDMPDZ256rmb, VBLENDMPSZ128rmb, VDIV...
+    SStream_concat0(O, "{1to4}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
     return;
     break;
   case 4:
-    // VPCMPEQDZ128rmb, VPCMPEQQZ256rmb, VPCMPGTDZ128rmb, VPCMPGTQZ256rmb
-    SStream_concat0(O, "{1to4}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    // VADDPDZrmb, VADDPSZ256rmb, VBLENDMPDZrmb, VBLENDMPSZ256rmb, VDIVPDZrmb...
+    SStream_concat0(O, "{1to8}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
     return;
     break;
   case 5:
-    // VPCMPEQQZ128rmb, VPCMPGTQZ128rmb
-    SStream_concat0(O, "{1to2}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    // VADDPSZrmb, VBLENDMPSZrmb, VDIVPSZrmb, VFMADD132PSZmb, VFMADDPSZv213rm...
+    SStream_concat0(O, "{1to16}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
     return;
     break;
   case 6:
-    // VRCP28SDrrb, VRCP28SSrrb, VRSQRT28SDrrb, VRSQRT28SSrrb
+    // VCMPPDZrrib, VCMPPSZrrib
     SStream_concat0(O, ", {sae}"); 
     op_addAvxSae(MI);
     return;
     break;
+  case 7:
+    // VMAXSDZrrbk, VMAXSSZrrbk, VMINSDZrrbk, VMINSSZrrbk, VRCP28SDrbk, VRCP2...
+    printOperand(MI, 4, O); 
+    break;
+  case 8:
+    // VMAXSDZrrbkz, VMAXSSZrrbkz, VMINSDZrrbkz, VMINSSZrrbkz, VRCP28SDrbkz, ...
+    printOperand(MI, 3, O); 
+    break;
+  case 9:
+    // VPCMPDZ128rmib_alt, VPCMPQZ256rmib_alt, VPCMPUDZ128rmib_alt, VPCMPUQZ2...
+    SStream_concat0(O, "{1to4}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    printU8Imm(MI, 7, O); 
+    return;
+    break;
+  case 10:
+    // VPCMPDZ256rmib_alt, VPCMPQZrmib_alt, VPCMPUDZ256rmib_alt, VPCMPUQZrmib...
+    SStream_concat0(O, "{1to8}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    printU8Imm(MI, 7, O); 
+    return;
+    break;
+  case 11:
+    // VPCMPDZrmib_alt, VPCMPUDZrmib_alt
+    SStream_concat0(O, "{1to16}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    printU8Imm(MI, 7, O); 
+    return;
+    break;
+  case 12:
+    // VPCMPQZ128rmib_alt, VPCMPUQZ128rmib_alt
+    SStream_concat0(O, "{1to2}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    printU8Imm(MI, 7, O); 
+    return;
+    break;
+  case 13:
+    // VRNDSCALESDrb, VRNDSCALESSrb
+    printU8Imm(MI, 3, O); 
+    return;
+    break;
   }
 
 
-  // Fragment 6 encoded into 4 bits for 16 unique commands.
-  //printf("Frag-6: %"PRIu64"\n", (Bits >> 43) & 15);
-  switch ((Bits >> 43) & 15) {
-  default:   // unreachable.
+  // Fragment 6 encoded into 5 bits for 32 unique commands.
+  //printf("Frag-6: %"PRIu64"\n", (Bits >> 46) & 31);
+  switch ((Bits >> 46) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // INSERTQI, VALIGNDrrik, VALIGNQrrik, VFMADD213PDZrk, VFMADD213PDZrkz, V...
-    printOperand(MI, 4, O); 
+    // INSERTQI, VEXTRACTF32x4rrk, VEXTRACTF64x4rrk, VEXTRACTI32x4rrk, VEXTRA...
+    printU8Imm(MI, 4, O); 
+    return;
     break;
   case 1:
-    // VAARG_64, VALIGNDrmi, VALIGNQrmi, VBLENDPDYrmi, VBLENDPDrmi, VBLENDPSY...
+    // VAARG_64, VBLENDVPDYrm, VBLENDVPDrm, VBLENDVPSYrm, VBLENDVPSrm, VFMADD...
     printOperand(MI, 7, O); 
     break;
   case 2:
-    // VADDPDZrmbk, VADDPDZrmbkz, VDIVPDZrmbk, VDIVPDZrmbkz, VFMADDSD4rm, VFM...
-    printf64mem(MI, 3, O); 
+    // VADDPDZ128rmbk, VADDPDZ256rmbk, VADDPDZrmbk, VDIVPDZ128rmbk, VDIVPDZ25...
+    printf64mem(MI, 4, O); 
     break;
   case 3:
-    // VADDPDZrmk, VADDPDZrmkz, VADDPSZrmk, VADDPSZrmkz, VBLENDMPDZrm, VBLEND...
-    printf512mem(MI, 3, O); 
-    return;
+    // VADDPDZ128rmbkz, VADDPDZ256rmbkz, VADDPDZrmbkz, VBLENDMPDZ128rmbk, VBL...
+    printf64mem(MI, 3, O); 
     break;
   case 4:
-    // VADDPDZrrk, VADDPDZrrkz, VADDPSZrrk, VADDPSZrrkz, VALIGNDrri, VALIGNDr...
-    printOperand(MI, 3, O); 
+    // VADDPDZ128rmk, VADDPSZ128rmk, VADDSDZrm_Intk, VADDSSZrm_Intk, VDIVPDZ1...
+    printf128mem(MI, 4, O); 
     break;
   case 5:
-    // VADDPSZrmbk, VADDPSZrmbkz, VDIVPSZrmbk, VDIVPSZrmbkz, VFMADDSS4rm, VFM...
-    printf32mem(MI, 3, O); 
+    // VADDPDZ128rmkz, VADDPSZ128rmkz, VADDSDZrm_Intkz, VADDSSZrm_Intkz, VBLE...
+    printf128mem(MI, 3, O); 
     break;
   case 6:
-    // VFMADDPD4rm, VFMADDPS4rm, VFMADDSUBPD4rm, VFMADDSUBPS4rm, VFMSUBADDPD4...
-    printf128mem(MI, 3, O); 
+    // VADDPDZ128rrk, VADDPDZ256rrk, VADDPDZrbk, VADDPDZrrk, VADDPSZ128rrk, V...
+    printOperand(MI, 4, O); 
     break;
   case 7:
-    // VFMADDPD4rmY, VFMADDPS4rmY, VFMADDSUBPD4rmY, VFMADDSUBPS4rmY, VFMSUBAD...
-    printf256mem(MI, 3, O); 
+    // VADDPDZ128rrkz, VADDPDZ256rrkz, VADDPDZrbkz, VADDPDZrrkz, VADDPSZ128rr...
+    printOperand(MI, 3, O); 
     break;
   case 8:
-    // VPADDDZrmbk, VPANDDZrmbk, VPANDNDZrmbk, VPMAXSDZrmbk, VPMAXUDZrmbk, VP...
-    printi32mem(MI, 4, O); 
-    SStream_concat0(O, "{1to16}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    // VADDPDZ256rmk, VADDPSZ256rmk, VDIVPDZ256rmk, VDIVPSZ256rmk, VFMADDPDZ2...
+    printf256mem(MI, 4, O); 
     return;
     break;
   case 9:
-    // VPADDDZrmbkz, VPANDDZrmbkz, VPANDNDZrmbkz, VPCMPEQDZ128rmbk, VPCMPEQDZ...
-    printi32mem(MI, 3, O); 
+    // VADDPDZ256rmkz, VADDPSZ256rmkz, VBLENDMPDZ256rmk, VBLENDMPDZ256rmkz, V...
+    printf256mem(MI, 3, O); 
     break;
   case 10:
-    // VPADDDZrmk, VPADDQZrmk, VPANDDZrmk, VPANDNDZrmk, VPANDNQZrmk, VPANDQZr...
-    printi512mem(MI, 4, O); 
+    // VADDPDZrb, VADDPSZrb, VADDSDZrrb, VADDSSZrrb, VDIVPDZrb, VDIVPSZrb, VD...
+    printRoundingControl(MI, 3, O); 
     return;
     break;
   case 11:
-    // VPADDDZrmkz, VPADDQZrmkz, VPANDDZrmkz, VPANDNDZrmkz, VPANDNQZrmkz, VPA...
-    printi512mem(MI, 3, O); 
+    // VADDPDZrmk, VADDPSZrmk, VDIVPDZrmk, VDIVPSZrmk, VFMADDPDZv213rmk, VFMA...
+    printf512mem(MI, 4, O); 
+    return;
     break;
   case 12:
-    // VPADDQZrmbk, VPANDNQZrmbk, VPANDQZrmbk, VPMAXSQZrmbk, VPMAXUQZrmbk, VP...
-    printi64mem(MI, 4, O); 
-    SStream_concat0(O, "{1to8}"); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    // VADDPDZrmkz, VADDPSZrmkz, VBLENDMPDZrmk, VBLENDMPDZrmkz, VBLENDMPSZrmk...
+    printf512mem(MI, 3, O); 
     return;
     break;
   case 13:
-    // VPADDQZrmbkz, VPANDNQZrmbkz, VPANDQZrmbkz, VPCMPEQQZ128rmbk, VPCMPEQQZ...
-    printi64mem(MI, 3, O); 
+    // VADDPSZ128rmbk, VADDPSZ256rmbk, VADDPSZrmbk, VDIVPSZ128rmbk, VDIVPSZ25...
+    printf32mem(MI, 4, O); 
     break;
   case 14:
-    // VPCMOVrm, VPCMPEQBZ128rmk, VPCMPEQDZ128rmk, VPCMPEQQZ128rmk, VPCMPEQWZ...
+    // VADDPSZ128rmbkz, VADDPSZ256rmbkz, VADDPSZrmbkz, VBLENDMPSZ128rmbk, VBL...
+    printf32mem(MI, 3, O); 
+    break;
+  case 15:
+    // VALIGNDrmi, VALIGNQrmi, VBLENDPDYrmi, VBLENDPDrmi, VBLENDPSYrmi, VBLEN...
+    printU8Imm(MI, 7, O); 
+    return;
+    break;
+  case 16:
+    // VALIGNDrri, VALIGNQrri, VBLENDPDYrri, VBLENDPDrri, VBLENDPSYrri, VBLEN...
+    printU8Imm(MI, 3, O); 
+    break;
+  case 17:
+    // VCMPPDZrmi, VCMPPSZrmi
+    printAVXCC(MI, 7, O); 
+    return;
+    break;
+  case 18:
+    // VFMADDPDZv213rrb, VFMADDPSZv213rrb, VFMADDSUBPDZv213rrb, VFMADDSUBPSZv...
+    printRoundingControl(MI, 4, O); 
+    return;
+    break;
+  case 19:
+    // VMAXSDZrrbk, VMAXSDZrrbkz, VMAXSSZrrbk, VMAXSSZrrbkz, VMINSDZrrbk, VMI...
+    return;
+    break;
+  case 20:
+    // VPADDBZ128rmk, VPADDDZ128rmk, VPADDQZ128rmk, VPADDWZ128rmk, VPANDDZ128...
+    printi128mem(MI, 4, O); 
+    return;
+    break;
+  case 21:
+    // VPADDBZ128rmkz, VPADDDZ128rmkz, VPADDQZ128rmkz, VPADDWZ128rmkz, VPANDD...
     printi128mem(MI, 3, O); 
+    break;
+  case 22:
+    // VPADDBZ256rmk, VPADDDZ256rmk, VPADDQZ256rmk, VPADDWZ256rmk, VPANDDZ256...
+    printi256mem(MI, 4, O); 
     return;
     break;
-  case 15:
-    // VPCMOVrmY, VPCMPEQBZ256rmk, VPCMPEQDZ256rmk, VPCMPEQQZ256rmk, VPCMPEQW...
+  case 23:
+    // VPADDBZ256rmkz, VPADDDZ256rmkz, VPADDQZ256rmkz, VPADDWZ256rmkz, VPANDD...
     printi256mem(MI, 3, O); 
+    break;
+  case 24:
+    // VPADDBZrmk, VPADDDZrmk, VPADDQZrmk, VPADDWZrmk, VPANDDZrmk, VPANDNDZrm...
+    printi512mem(MI, 4, O); 
+    return;
+    break;
+  case 25:
+    // VPADDBZrmkz, VPADDDZrmkz, VPADDQZrmkz, VPADDWZrmkz, VPANDDZrmkz, VPAND...
+    printi512mem(MI, 3, O); 
+    break;
+  case 26:
+    // VPADDDZ128rmbk, VPADDDZ256rmbk, VPADDDZrmbk, VPANDDZ128rmbk, VPANDDZ25...
+    printi32mem(MI, 4, O); 
+    break;
+  case 27:
+    // VPADDDZ128rmbkz, VPADDDZ256rmbkz, VPADDDZrmbkz, VPANDDZ128rmbkz, VPAND...
+    printi32mem(MI, 3, O); 
+    break;
+  case 28:
+    // VPADDQZ128rmbk, VPADDQZ256rmbk, VPADDQZrmbk, VPANDNQZ128rmbk, VPANDNQZ...
+    printi64mem(MI, 4, O); 
+    break;
+  case 29:
+    // VPADDQZ128rmbkz, VPADDQZ256rmbkz, VPADDQZrmbkz, VPANDNQZ128rmbkz, VPAN...
+    printi64mem(MI, 3, O); 
+    break;
+  case 30:
+    // VPSLLDZmik, VPSLLQZmik, VPSRADZmik, VPSRAQZmik, VPSRLDZmik, VPSRLQZmik
+    printU8Imm(MI, 8, O); 
     return;
     break;
+  case 31:
+    // VRNDSCALESDrbk, VRNDSCALESDrbkz, VRNDSCALESSrbk, VRNDSCALESSrbkz
+    SStream_concat0(O, ", "); 
+    break;
   }
 
 
-  // Fragment 7 encoded into 3 bits for 6 unique commands.
-  //printf("Frag-7: %"PRIu64"\n", (Bits >> 47) & 7);
-  switch ((Bits >> 47) & 7) {
-  default:   // unreachable.
+  // Fragment 7 encoded into 4 bits for 13 unique commands.
+  //printf("Frag-7: %"PRIu64"\n", (Bits >> 51) & 15);
+  switch ((Bits >> 51) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // INSERTQI, VADDPDZrrk, VADDPDZrrkz, VADDPSZrrk, VADDPSZrrkz, VALIGNDrmi...
-    return;
+    // VAARG_64, VADDPDZrbk, VADDPDZrbkz, VADDPSZrbk, VADDPSZrbkz, VADDSDZrrb...
+    SStream_concat0(O, ", "); 
     break;
   case 1:
-    // VAARG_64, VALIGNDrrik, VALIGNDrrikz, VALIGNQrrik, VALIGNQrrikz, VPCMPD...
-    SStream_concat0(O, ", "); 
+    // VADDPDZ128rmbk, VADDPDZ128rmbkz, VBLENDMPDZ128rmbk, VDIVPDZ128rmbk, VD...
+    SStream_concat0(O, "{1to2}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    return;
     break;
   case 2:
-    // VADDPDZrmbk, VADDPDZrmbkz, VDIVPDZrmbk, VDIVPDZrmbkz, VMAXPDZrmbk, VMA...
+    // VADDPDZ128rmk, VADDPDZ128rmkz, VADDPDZ128rrk, VADDPDZ128rrkz, VADDPDZ2...
+    return;
+    break;
+  case 3:
+    // VADDPDZ256rmbk, VADDPDZ256rmbkz, VADDPSZ128rmbk, VADDPSZ128rmbkz, VBLE...
+    SStream_concat0(O, "{1to4}"); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    return;
+    break;
+  case 4:
+    // VADDPDZrmbk, VADDPDZrmbkz, VADDPSZ256rmbk, VADDPSZ256rmbkz, VBLENDMPDZ...
     SStream_concat0(O, "{1to8}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
     return;
     break;
-  case 3:
-    // VADDPSZrmbk, VADDPSZrmbkz, VDIVPSZrmbk, VDIVPSZrmbkz, VMAXPSZrmbk, VMA...
+  case 5:
+    // VADDPSZrmbk, VADDPSZrmbkz, VBLENDMPSZrmbk, VDIVPSZrmbk, VDIVPSZrmbkz, ...
     SStream_concat0(O, "{1to16}"); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
     return;
     break;
-  case 4:
-    // VPCMPEQDZ128rmbk, VPCMPEQQZ256rmbk, VPCMPGTDZ128rmbk, VPCMPGTQZ256rmbk
-    SStream_concat0(O, "{1to4}"); 
+  case 6:
+    // VCMPPDZrrib_alt, VCMPPSZrrib_alt
+    SStream_concat0(O, ", {sae}"); 
+    op_addAvxSae(MI);
+    return;
+    break;
+  case 7:
+    // VPCMPDZ128rmibk_alt, VPCMPQZ256rmibk_alt, VPCMPUDZ128rmibk_alt, VPCMPU...
+    SStream_concat0(O, "{1to4}, "); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    printU8Imm(MI, 8, O); 
     return;
     break;
-  case 5:
-    // VPCMPEQQZ128rmbk, VPCMPGTQZ128rmbk
-    SStream_concat0(O, "{1to2}"); 
+  case 8:
+    // VPCMPDZ256rmibk_alt, VPCMPQZrmibk_alt, VPCMPUDZ256rmibk_alt, VPCMPUQZr...
+    SStream_concat0(O, "{1to8}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    printU8Imm(MI, 8, O); 
+    return;
+    break;
+  case 9:
+    // VPCMPDZrmibk_alt, VPCMPUDZrmibk_alt
+    SStream_concat0(O, "{1to16}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    printU8Imm(MI, 8, O); 
+    return;
+    break;
+  case 10:
+    // VPCMPQZ128rmibk_alt, VPCMPUQZ128rmibk_alt
+    SStream_concat0(O, "{1to2}, "); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    printU8Imm(MI, 8, O); 
+    return;
+    break;
+  case 11:
+    // VRNDSCALESDrbk, VRNDSCALESSrbk
+    printU8Imm(MI, 5, O); 
+    return;
+    break;
+  case 12:
+    // VRNDSCALESDrbkz, VRNDSCALESSrbkz
+    printU8Imm(MI, 4, O); 
     return;
     break;
   }
 
 
-  // Fragment 8 encoded into 2 bits for 3 unique commands.
-  //printf("Frag-8: %"PRIu64"\n", (Bits >> 50) & 3);
-  switch ((Bits >> 50) & 3) {
-  default:   // unreachable.
+  // Fragment 8 encoded into 3 bits for 8 unique commands.
+  //printf("Frag-8: %"PRIu64"\n", (Bits >> 55) & 7);
+  switch ((Bits >> 55) & 7) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // VAARG_64, VPCMPDZrmik_alt, VPCMPQZrmik_alt, VPCMPUDZrmik_alt, VPCMPUQZ...
+    // VAARG_64, VPERMIL2PDmr, VPERMIL2PDmrY, VPERMIL2PDrm, VPERMIL2PDrmY, VP...
     printOperand(MI, 8, O); 
     return;
     break;
   case 1:
-    // VALIGNDrrik, VALIGNQrrik
-    printOperand(MI, 5, O); 
+    // VADDPDZrbk, VADDPSZrbk, VADDSDZrrbk, VADDSSZrrbk, VDIVPDZrbk, VDIVPSZr...
+    printRoundingControl(MI, 5, O); 
     return;
     break;
   case 2:
-    // VALIGNDrrikz, VALIGNQrrikz, VPCMPDZrrik_alt, VPCMPQZrrik_alt, VPCMPUDZ...
+    // VADDPDZrbkz, VADDPSZrbkz, VADDSDZrrbkz, VADDSSZrrbkz, VDIVPDZrbkz, VDI...
+    printRoundingControl(MI, 4, O); 
+    return;
+    break;
+  case 3:
+    // VALIGNDrrik, VALIGNQrrik, VRNDSCALESDrk, VRNDSCALESSrk
+    printU8Imm(MI, 5, O); 
+    return;
+    break;
+  case 4:
+    // VALIGNDrrikz, VALIGNQrrikz, VPCMPBZ128rrik_alt, VPCMPBZ256rrik_alt, VP...
+    printU8Imm(MI, 4, O); 
+    return;
+    break;
+  case 5:
+    // VPCMPBZ128rmik_alt, VPCMPBZ256rmik_alt, VPCMPBZrmik_alt, VPCMPDZ128rmi...
+    printU8Imm(MI, 8, O); 
+    return;
+    break;
+  case 6:
+    // VPERMIL2PDrr, VPERMIL2PDrrY, VPERMIL2PSrr, VPERMIL2PSrrY
     printOperand(MI, 4, O); 
     return;
     break;
+  case 7:
+    // VRNDSCALESDmk, VRNDSCALESSmk
+    printU8Imm(MI, 9, O); 
+    return;
+    break;
   }
 }
 
@@ -14784,7 +20230,7 @@ static void printInstruction(MCInst *MI,
 /// for the specified register.
 static const char *getRegisterName(unsigned RegNo)
 {
-  // assert(RegNo && RegNo < 234 && "Invalid register number!");
+  // assert(RegNo && RegNo < 242 && "Invalid register number!");
 
 #ifndef CAPSTONE_DIET
   static const char AsmStrs[] = {
@@ -14800,225 +20246,234 @@ static const char *getRegisterName(unsig
   /* 54 */ 'y', 'm', 'm', '1', '0', 0,
   /* 60 */ 'z', 'm', 'm', '1', '0', 0,
   /* 66 */ 'c', 'r', '1', '0', 0,
-  /* 71 */ 'x', 'm', 'm', '2', '0', 0,
-  /* 77 */ 'y', 'm', 'm', '2', '0', 0,
-  /* 83 */ 'z', 'm', 'm', '2', '0', 0,
-  /* 89 */ 'x', 'm', 'm', '3', '0', 0,
-  /* 95 */ 'y', 'm', 'm', '3', '0', 0,
-  /* 101 */ 'z', 'm', 'm', '3', '0', 0,
-  /* 107 */ 'k', '0', 0,
-  /* 110 */ 'x', 'm', 'm', '0', 0,
-  /* 115 */ 'y', 'm', 'm', '0', 0,
-  /* 120 */ 'z', 'm', 'm', '0', 0,
-  /* 125 */ 'f', 'p', '0', 0,
-  /* 129 */ 'c', 'r', '0', 0,
-  /* 133 */ 'd', 'r', '0', 0,
-  /* 137 */ 'x', 'm', 'm', '1', '1', 0,
-  /* 143 */ 'y', 'm', 'm', '1', '1', 0,
-  /* 149 */ 'z', 'm', 'm', '1', '1', 0,
-  /* 155 */ 'c', 'r', '1', '1', 0,
-  /* 160 */ 'x', 'm', 'm', '2', '1', 0,
-  /* 166 */ 'y', 'm', 'm', '2', '1', 0,
-  /* 172 */ 'z', 'm', 'm', '2', '1', 0,
-  /* 178 */ 'x', 'm', 'm', '3', '1', 0,
-  /* 184 */ 'y', 'm', 'm', '3', '1', 0,
-  /* 190 */ 'z', 'm', 'm', '3', '1', 0,
-  /* 196 */ 'k', '1', 0,
-  /* 199 */ 'x', 'm', 'm', '1', 0,
-  /* 204 */ 'y', 'm', 'm', '1', 0,
-  /* 209 */ 'z', 'm', 'm', '1', 0,
-  /* 214 */ 'f', 'p', '1', 0,
-  /* 218 */ 'c', 'r', '1', 0,
-  /* 222 */ 'd', 'r', '1', 0,
-  /* 226 */ 'x', 'm', 'm', '1', '2', 0,
-  /* 232 */ 'y', 'm', 'm', '1', '2', 0,
-  /* 238 */ 'z', 'm', 'm', '1', '2', 0,
-  /* 244 */ 'c', 'r', '1', '2', 0,
-  /* 249 */ 'x', 'm', 'm', '2', '2', 0,
-  /* 255 */ 'y', 'm', 'm', '2', '2', 0,
-  /* 261 */ 'z', 'm', 'm', '2', '2', 0,
-  /* 267 */ 'k', '2', 0,
-  /* 270 */ 'x', 'm', 'm', '2', 0,
-  /* 275 */ 'y', 'm', 'm', '2', 0,
-  /* 280 */ 'z', 'm', 'm', '2', 0,
-  /* 285 */ 'f', 'p', '2', 0,
-  /* 289 */ 'c', 'r', '2', 0,
-  /* 293 */ 'd', 'r', '2', 0,
-  /* 297 */ 'x', 'm', 'm', '1', '3', 0,
-  /* 303 */ 'y', 'm', 'm', '1', '3', 0,
-  /* 309 */ 'z', 'm', 'm', '1', '3', 0,
-  /* 315 */ 'c', 'r', '1', '3', 0,
-  /* 320 */ 'x', 'm', 'm', '2', '3', 0,
-  /* 326 */ 'y', 'm', 'm', '2', '3', 0,
-  /* 332 */ 'z', 'm', 'm', '2', '3', 0,
-  /* 338 */ 'k', '3', 0,
-  /* 341 */ 'x', 'm', 'm', '3', 0,
-  /* 346 */ 'y', 'm', 'm', '3', 0,
-  /* 351 */ 'z', 'm', 'm', '3', 0,
-  /* 356 */ 'f', 'p', '3', 0,
-  /* 360 */ 'c', 'r', '3', 0,
-  /* 364 */ 'd', 'r', '3', 0,
-  /* 368 */ 'x', 'm', 'm', '1', '4', 0,
-  /* 374 */ 'y', 'm', 'm', '1', '4', 0,
-  /* 380 */ 'z', 'm', 'm', '1', '4', 0,
-  /* 386 */ 'c', 'r', '1', '4', 0,
-  /* 391 */ 'x', 'm', 'm', '2', '4', 0,
-  /* 397 */ 'y', 'm', 'm', '2', '4', 0,
-  /* 403 */ 'z', 'm', 'm', '2', '4', 0,
-  /* 409 */ 'k', '4', 0,
-  /* 412 */ 'x', 'm', 'm', '4', 0,
-  /* 417 */ 'y', 'm', 'm', '4', 0,
-  /* 422 */ 'z', 'm', 'm', '4', 0,
-  /* 427 */ 'f', 'p', '4', 0,
-  /* 431 */ 'c', 'r', '4', 0,
-  /* 435 */ 'd', 'r', '4', 0,
-  /* 439 */ 'x', 'm', 'm', '1', '5', 0,
-  /* 445 */ 'y', 'm', 'm', '1', '5', 0,
-  /* 451 */ 'z', 'm', 'm', '1', '5', 0,
-  /* 457 */ 'c', 'r', '1', '5', 0,
-  /* 462 */ 'x', 'm', 'm', '2', '5', 0,
-  /* 468 */ 'y', 'm', 'm', '2', '5', 0,
-  /* 474 */ 'z', 'm', 'm', '2', '5', 0,
-  /* 480 */ 'k', '5', 0,
-  /* 483 */ 'x', 'm', 'm', '5', 0,
-  /* 488 */ 'y', 'm', 'm', '5', 0,
-  /* 493 */ 'z', 'm', 'm', '5', 0,
-  /* 498 */ 'f', 'p', '5', 0,
-  /* 502 */ 'c', 'r', '5', 0,
-  /* 506 */ 'd', 'r', '5', 0,
-  /* 510 */ 'x', 'm', 'm', '1', '6', 0,
-  /* 516 */ 'y', 'm', 'm', '1', '6', 0,
-  /* 522 */ 'z', 'm', 'm', '1', '6', 0,
-  /* 528 */ 'x', 'm', 'm', '2', '6', 0,
-  /* 534 */ 'y', 'm', 'm', '2', '6', 0,
-  /* 540 */ 'z', 'm', 'm', '2', '6', 0,
-  /* 546 */ 'k', '6', 0,
-  /* 549 */ 'x', 'm', 'm', '6', 0,
-  /* 554 */ 'y', 'm', 'm', '6', 0,
-  /* 559 */ 'z', 'm', 'm', '6', 0,
-  /* 564 */ 'f', 'p', '6', 0,
-  /* 568 */ 'c', 'r', '6', 0,
-  /* 572 */ 'd', 'r', '6', 0,
-  /* 576 */ 'x', 'm', 'm', '1', '7', 0,
-  /* 582 */ 'y', 'm', 'm', '1', '7', 0,
-  /* 588 */ 'z', 'm', 'm', '1', '7', 0,
-  /* 594 */ 'x', 'm', 'm', '2', '7', 0,
-  /* 600 */ 'y', 'm', 'm', '2', '7', 0,
-  /* 606 */ 'z', 'm', 'm', '2', '7', 0,
-  /* 612 */ 'k', '7', 0,
-  /* 615 */ 'x', 'm', 'm', '7', 0,
-  /* 620 */ 'y', 'm', 'm', '7', 0,
-  /* 625 */ 'z', 'm', 'm', '7', 0,
-  /* 630 */ 'f', 'p', '7', 0,
-  /* 634 */ 'c', 'r', '7', 0,
-  /* 638 */ 'd', 'r', '7', 0,
-  /* 642 */ 'x', 'm', 'm', '1', '8', 0,
-  /* 648 */ 'y', 'm', 'm', '1', '8', 0,
-  /* 654 */ 'z', 'm', 'm', '1', '8', 0,
-  /* 660 */ 'x', 'm', 'm', '2', '8', 0,
-  /* 666 */ 'y', 'm', 'm', '2', '8', 0,
-  /* 672 */ 'z', 'm', 'm', '2', '8', 0,
-  /* 678 */ 'x', 'm', 'm', '8', 0,
-  /* 683 */ 'y', 'm', 'm', '8', 0,
-  /* 688 */ 'z', 'm', 'm', '8', 0,
-  /* 693 */ 'c', 'r', '8', 0,
-  /* 697 */ 'x', 'm', 'm', '1', '9', 0,
-  /* 703 */ 'y', 'm', 'm', '1', '9', 0,
-  /* 709 */ 'z', 'm', 'm', '1', '9', 0,
-  /* 715 */ 'x', 'm', 'm', '2', '9', 0,
-  /* 721 */ 'y', 'm', 'm', '2', '9', 0,
-  /* 727 */ 'z', 'm', 'm', '2', '9', 0,
-  /* 733 */ 'x', 'm', 'm', '9', 0,
-  /* 738 */ 'y', 'm', 'm', '9', 0,
-  /* 743 */ 'z', 'm', 'm', '9', 0,
-  /* 748 */ 'c', 'r', '9', 0,
-  /* 752 */ 'r', '1', '0', 'b', 0,
-  /* 757 */ 'r', '1', '1', 'b', 0,
-  /* 762 */ 'r', '1', '2', 'b', 0,
-  /* 767 */ 'r', '1', '3', 'b', 0,
-  /* 772 */ 'r', '1', '4', 'b', 0,
-  /* 777 */ 'r', '1', '5', 'b', 0,
-  /* 782 */ 'r', '8', 'b', 0,
-  /* 786 */ 'r', '9', 'b', 0,
-  /* 790 */ 'r', '1', '0', 'd', 0,
-  /* 795 */ 'r', '1', '1', 'd', 0,
-  /* 800 */ 'r', '1', '2', 'd', 0,
-  /* 805 */ 'r', '1', '3', 'd', 0,
-  /* 810 */ 'r', '1', '4', 'd', 0,
-  /* 815 */ 'r', '1', '5', 'd', 0,
-  /* 820 */ 'r', '8', 'd', 0,
-  /* 824 */ 'r', '9', 'd', 0,
-  /* 828 */ 'a', 'h', 0,
-  /* 831 */ 'b', 'h', 0,
-  /* 834 */ 'c', 'h', 0,
-  /* 837 */ 'd', 'h', 0,
-  /* 840 */ 'e', 'd', 'i', 0,
-  /* 844 */ 'r', 'd', 'i', 0,
-  /* 848 */ 'e', 's', 'i', 0,
-  /* 852 */ 'r', 's', 'i', 0,
-  /* 856 */ 'a', 'l', 0,
-  /* 859 */ 'b', 'l', 0,
-  /* 862 */ 'c', 'l', 0,
-  /* 865 */ 'd', 'l', 0,
-  /* 868 */ 'd', 'i', 'l', 0,
-  /* 872 */ 's', 'i', 'l', 0,
-  /* 876 */ 'b', 'p', 'l', 0,
-  /* 880 */ 's', 'p', 'l', 0,
-  /* 884 */ 'e', 'b', 'p', 0,
-  /* 888 */ 'r', 'b', 'p', 0,
-  /* 892 */ 'e', 'i', 'p', 0,
-  /* 896 */ 'r', 'i', 'p', 0,
-  /* 900 */ 'e', 's', 'p', 0,
-  /* 904 */ 'r', 's', 'p', 0,
-  /* 908 */ 'c', 's', 0,
-  /* 911 */ 'd', 's', 0,
-  /* 914 */ 'e', 's', 0,
-  /* 917 */ 'f', 's', 0,
-  /* 920 */ 'f', 'l', 'a', 'g', 's', 0,
-  /* 926 */ 's', 's', 0,
-  /* 929 */ 'r', '1', '0', 'w', 0,
-  /* 934 */ 'r', '1', '1', 'w', 0,
-  /* 939 */ 'r', '1', '2', 'w', 0,
-  /* 944 */ 'r', '1', '3', 'w', 0,
-  /* 949 */ 'r', '1', '4', 'w', 0,
-  /* 954 */ 'r', '1', '5', 'w', 0,
-  /* 959 */ 'r', '8', 'w', 0,
-  /* 963 */ 'r', '9', 'w', 0,
-  /* 967 */ 'f', 'p', 's', 'w', 0,
-  /* 972 */ 'e', 'a', 'x', 0,
-  /* 976 */ 'r', 'a', 'x', 0,
-  /* 980 */ 'e', 'b', 'x', 0,
-  /* 984 */ 'r', 'b', 'x', 0,
-  /* 988 */ 'e', 'c', 'x', 0,
-  /* 992 */ 'r', 'c', 'x', 0,
-  /* 996 */ 'e', 'd', 'x', 0,
-  /* 1000 */ 'r', 'd', 'x', 0,
-  /* 1004 */ 'e', 'i', 'z', 0,
-  /* 1008 */ 'r', 'i', 'z', 0,
+  /* 71 */ 'd', 'r', '1', '0', 0,
+  /* 76 */ 'x', 'm', 'm', '2', '0', 0,
+  /* 82 */ 'y', 'm', 'm', '2', '0', 0,
+  /* 88 */ 'z', 'm', 'm', '2', '0', 0,
+  /* 94 */ 'x', 'm', 'm', '3', '0', 0,
+  /* 100 */ 'y', 'm', 'm', '3', '0', 0,
+  /* 106 */ 'z', 'm', 'm', '3', '0', 0,
+  /* 112 */ 'k', '0', 0,
+  /* 115 */ 'x', 'm', 'm', '0', 0,
+  /* 120 */ 'y', 'm', 'm', '0', 0,
+  /* 125 */ 'z', 'm', 'm', '0', 0,
+  /* 130 */ 'f', 'p', '0', 0,
+  /* 134 */ 'c', 'r', '0', 0,
+  /* 138 */ 'd', 'r', '0', 0,
+  /* 142 */ 'x', 'm', 'm', '1', '1', 0,
+  /* 148 */ 'y', 'm', 'm', '1', '1', 0,
+  /* 154 */ 'z', 'm', 'm', '1', '1', 0,
+  /* 160 */ 'c', 'r', '1', '1', 0,
+  /* 165 */ 'd', 'r', '1', '1', 0,
+  /* 170 */ 'x', 'm', 'm', '2', '1', 0,
+  /* 176 */ 'y', 'm', 'm', '2', '1', 0,
+  /* 182 */ 'z', 'm', 'm', '2', '1', 0,
+  /* 188 */ 'x', 'm', 'm', '3', '1', 0,
+  /* 194 */ 'y', 'm', 'm', '3', '1', 0,
+  /* 200 */ 'z', 'm', 'm', '3', '1', 0,
+  /* 206 */ 'k', '1', 0,
+  /* 209 */ 'x', 'm', 'm', '1', 0,
+  /* 214 */ 'y', 'm', 'm', '1', 0,
+  /* 219 */ 'z', 'm', 'm', '1', 0,
+  /* 224 */ 'f', 'p', '1', 0,
+  /* 228 */ 'c', 'r', '1', 0,
+  /* 232 */ 'd', 'r', '1', 0,
+  /* 236 */ 'x', 'm', 'm', '1', '2', 0,
+  /* 242 */ 'y', 'm', 'm', '1', '2', 0,
+  /* 248 */ 'z', 'm', 'm', '1', '2', 0,
+  /* 254 */ 'c', 'r', '1', '2', 0,
+  /* 259 */ 'd', 'r', '1', '2', 0,
+  /* 264 */ 'x', 'm', 'm', '2', '2', 0,
+  /* 270 */ 'y', 'm', 'm', '2', '2', 0,
+  /* 276 */ 'z', 'm', 'm', '2', '2', 0,
+  /* 282 */ 'k', '2', 0,
+  /* 285 */ 'x', 'm', 'm', '2', 0,
+  /* 290 */ 'y', 'm', 'm', '2', 0,
+  /* 295 */ 'z', 'm', 'm', '2', 0,
+  /* 300 */ 'f', 'p', '2', 0,
+  /* 304 */ 'c', 'r', '2', 0,
+  /* 308 */ 'd', 'r', '2', 0,
+  /* 312 */ 'x', 'm', 'm', '1', '3', 0,
+  /* 318 */ 'y', 'm', 'm', '1', '3', 0,
+  /* 324 */ 'z', 'm', 'm', '1', '3', 0,
+  /* 330 */ 'c', 'r', '1', '3', 0,
+  /* 335 */ 'd', 'r', '1', '3', 0,
+  /* 340 */ 'x', 'm', 'm', '2', '3', 0,
+  /* 346 */ 'y', 'm', 'm', '2', '3', 0,
+  /* 352 */ 'z', 'm', 'm', '2', '3', 0,
+  /* 358 */ 'k', '3', 0,
+  /* 361 */ 'x', 'm', 'm', '3', 0,
+  /* 366 */ 'y', 'm', 'm', '3', 0,
+  /* 371 */ 'z', 'm', 'm', '3', 0,
+  /* 376 */ 'f', 'p', '3', 0,
+  /* 380 */ 'c', 'r', '3', 0,
+  /* 384 */ 'd', 'r', '3', 0,
+  /* 388 */ 'x', 'm', 'm', '1', '4', 0,
+  /* 394 */ 'y', 'm', 'm', '1', '4', 0,
+  /* 400 */ 'z', 'm', 'm', '1', '4', 0,
+  /* 406 */ 'c', 'r', '1', '4', 0,
+  /* 411 */ 'd', 'r', '1', '4', 0,
+  /* 416 */ 'x', 'm', 'm', '2', '4', 0,
+  /* 422 */ 'y', 'm', 'm', '2', '4', 0,
+  /* 428 */ 'z', 'm', 'm', '2', '4', 0,
+  /* 434 */ 'k', '4', 0,
+  /* 437 */ 'x', 'm', 'm', '4', 0,
+  /* 442 */ 'y', 'm', 'm', '4', 0,
+  /* 447 */ 'z', 'm', 'm', '4', 0,
+  /* 452 */ 'f', 'p', '4', 0,
+  /* 456 */ 'c', 'r', '4', 0,
+  /* 460 */ 'd', 'r', '4', 0,
+  /* 464 */ 'x', 'm', 'm', '1', '5', 0,
+  /* 470 */ 'y', 'm', 'm', '1', '5', 0,
+  /* 476 */ 'z', 'm', 'm', '1', '5', 0,
+  /* 482 */ 'c', 'r', '1', '5', 0,
+  /* 487 */ 'd', 'r', '1', '5', 0,
+  /* 492 */ 'x', 'm', 'm', '2', '5', 0,
+  /* 498 */ 'y', 'm', 'm', '2', '5', 0,
+  /* 504 */ 'z', 'm', 'm', '2', '5', 0,
+  /* 510 */ 'k', '5', 0,
+  /* 513 */ 'x', 'm', 'm', '5', 0,
+  /* 518 */ 'y', 'm', 'm', '5', 0,
+  /* 523 */ 'z', 'm', 'm', '5', 0,
+  /* 528 */ 'f', 'p', '5', 0,
+  /* 532 */ 'c', 'r', '5', 0,
+  /* 536 */ 'd', 'r', '5', 0,
+  /* 540 */ 'x', 'm', 'm', '1', '6', 0,
+  /* 546 */ 'y', 'm', 'm', '1', '6', 0,
+  /* 552 */ 'z', 'm', 'm', '1', '6', 0,
+  /* 558 */ 'x', 'm', 'm', '2', '6', 0,
+  /* 564 */ 'y', 'm', 'm', '2', '6', 0,
+  /* 570 */ 'z', 'm', 'm', '2', '6', 0,
+  /* 576 */ 'k', '6', 0,
+  /* 579 */ 'x', 'm', 'm', '6', 0,
+  /* 584 */ 'y', 'm', 'm', '6', 0,
+  /* 589 */ 'z', 'm', 'm', '6', 0,
+  /* 594 */ 'f', 'p', '6', 0,
+  /* 598 */ 'c', 'r', '6', 0,
+  /* 602 */ 'd', 'r', '6', 0,
+  /* 606 */ 'x', 'm', 'm', '1', '7', 0,
+  /* 612 */ 'y', 'm', 'm', '1', '7', 0,
+  /* 618 */ 'z', 'm', 'm', '1', '7', 0,
+  /* 624 */ 'x', 'm', 'm', '2', '7', 0,
+  /* 630 */ 'y', 'm', 'm', '2', '7', 0,
+  /* 636 */ 'z', 'm', 'm', '2', '7', 0,
+  /* 642 */ 'k', '7', 0,
+  /* 645 */ 'x', 'm', 'm', '7', 0,
+  /* 650 */ 'y', 'm', 'm', '7', 0,
+  /* 655 */ 'z', 'm', 'm', '7', 0,
+  /* 660 */ 'f', 'p', '7', 0,
+  /* 664 */ 'c', 'r', '7', 0,
+  /* 668 */ 'd', 'r', '7', 0,
+  /* 672 */ 'x', 'm', 'm', '1', '8', 0,
+  /* 678 */ 'y', 'm', 'm', '1', '8', 0,
+  /* 684 */ 'z', 'm', 'm', '1', '8', 0,
+  /* 690 */ 'x', 'm', 'm', '2', '8', 0,
+  /* 696 */ 'y', 'm', 'm', '2', '8', 0,
+  /* 702 */ 'z', 'm', 'm', '2', '8', 0,
+  /* 708 */ 'x', 'm', 'm', '8', 0,
+  /* 713 */ 'y', 'm', 'm', '8', 0,
+  /* 718 */ 'z', 'm', 'm', '8', 0,
+  /* 723 */ 'c', 'r', '8', 0,
+  /* 727 */ 'd', 'r', '8', 0,
+  /* 731 */ 'x', 'm', 'm', '1', '9', 0,
+  /* 737 */ 'y', 'm', 'm', '1', '9', 0,
+  /* 743 */ 'z', 'm', 'm', '1', '9', 0,
+  /* 749 */ 'x', 'm', 'm', '2', '9', 0,
+  /* 755 */ 'y', 'm', 'm', '2', '9', 0,
+  /* 761 */ 'z', 'm', 'm', '2', '9', 0,
+  /* 767 */ 'x', 'm', 'm', '9', 0,
+  /* 772 */ 'y', 'm', 'm', '9', 0,
+  /* 777 */ 'z', 'm', 'm', '9', 0,
+  /* 782 */ 'c', 'r', '9', 0,
+  /* 786 */ 'd', 'r', '9', 0,
+  /* 790 */ 'r', '1', '0', 'b', 0,
+  /* 795 */ 'r', '1', '1', 'b', 0,
+  /* 800 */ 'r', '1', '2', 'b', 0,
+  /* 805 */ 'r', '1', '3', 'b', 0,
+  /* 810 */ 'r', '1', '4', 'b', 0,
+  /* 815 */ 'r', '1', '5', 'b', 0,
+  /* 820 */ 'r', '8', 'b', 0,
+  /* 824 */ 'r', '9', 'b', 0,
+  /* 828 */ 'r', '1', '0', 'd', 0,
+  /* 833 */ 'r', '1', '1', 'd', 0,
+  /* 838 */ 'r', '1', '2', 'd', 0,
+  /* 843 */ 'r', '1', '3', 'd', 0,
+  /* 848 */ 'r', '1', '4', 'd', 0,
+  /* 853 */ 'r', '1', '5', 'd', 0,
+  /* 858 */ 'r', '8', 'd', 0,
+  /* 862 */ 'r', '9', 'd', 0,
+  /* 866 */ 'a', 'h', 0,
+  /* 869 */ 'b', 'h', 0,
+  /* 872 */ 'c', 'h', 0,
+  /* 875 */ 'd', 'h', 0,
+  /* 878 */ 'e', 'd', 'i', 0,
+  /* 882 */ 'r', 'd', 'i', 0,
+  /* 886 */ 'e', 's', 'i', 0,
+  /* 890 */ 'r', 's', 'i', 0,
+  /* 894 */ 'a', 'l', 0,
+  /* 897 */ 'b', 'l', 0,
+  /* 900 */ 'c', 'l', 0,
+  /* 903 */ 'd', 'l', 0,
+  /* 906 */ 'd', 'i', 'l', 0,
+  /* 910 */ 's', 'i', 'l', 0,
+  /* 914 */ 'b', 'p', 'l', 0,
+  /* 918 */ 's', 'p', 'l', 0,
+  /* 922 */ 'e', 'b', 'p', 0,
+  /* 926 */ 'r', 'b', 'p', 0,
+  /* 930 */ 'e', 'i', 'p', 0,
+  /* 934 */ 'r', 'i', 'p', 0,
+  /* 938 */ 'e', 's', 'p', 0,
+  /* 942 */ 'r', 's', 'p', 0,
+  /* 946 */ 'c', 's', 0,
+  /* 949 */ 'd', 's', 0,
+  /* 952 */ 'e', 's', 0,
+  /* 955 */ 'f', 's', 0,
+  /* 958 */ 'f', 'l', 'a', 'g', 's', 0,
+  /* 964 */ 's', 's', 0,
+  /* 967 */ 'r', '1', '0', 'w', 0,
+  /* 972 */ 'r', '1', '1', 'w', 0,
+  /* 977 */ 'r', '1', '2', 'w', 0,
+  /* 982 */ 'r', '1', '3', 'w', 0,
+  /* 987 */ 'r', '1', '4', 'w', 0,
+  /* 992 */ 'r', '1', '5', 'w', 0,
+  /* 997 */ 'r', '8', 'w', 0,
+  /* 1001 */ 'r', '9', 'w', 0,
+  /* 1005 */ 'f', 'p', 's', 'w', 0,
+  /* 1010 */ 'e', 'a', 'x', 0,
+  /* 1014 */ 'r', 'a', 'x', 0,
+  /* 1018 */ 'e', 'b', 'x', 0,
+  /* 1022 */ 'r', 'b', 'x', 0,
+  /* 1026 */ 'e', 'c', 'x', 0,
+  /* 1030 */ 'r', 'c', 'x', 0,
+  /* 1034 */ 'e', 'd', 'x', 0,
+  /* 1038 */ 'r', 'd', 'x', 0,
+  /* 1042 */ 'e', 'i', 'z', 0,
+  /* 1046 */ 'r', 'i', 'z', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    828, 856, 973, 831, 859, 885, 876, 981, 834, 862, 908, 989, 837, 841, 
-    868, 865, 911, 997, 972, 884, 980, 988, 840, 996, 920, 892, 1004, 914, 
-    848, 900, 967, 917, 923, 893, 976, 888, 984, 992, 844, 1000, 896, 1008, 
-    852, 904, 849, 872, 901, 880, 926, 129, 218, 289, 360, 431, 502, 568, 
-    634, 693, 748, 66, 155, 244, 315, 386, 457, 133, 222, 293, 364, 435, 
-    506, 572, 638, 125, 214, 285, 356, 427, 498, 564, 630, 107, 196, 267, 
-    338, 409, 480, 546, 612, 111, 200, 271, 342, 413, 484, 550, 616, 694, 
-    749, 67, 156, 245, 316, 387, 458, 0, 6, 12, 18, 24, 30, 36, 
-    42, 110, 199, 270, 341, 412, 483, 549, 615, 678, 733, 48, 137, 226, 
-    297, 368, 439, 510, 576, 642, 697, 71, 160, 249, 320, 391, 462, 528, 
-    594, 660, 715, 89, 178, 115, 204, 275, 346, 417, 488, 554, 620, 683, 
-    738, 54, 143, 232, 303, 374, 445, 516, 582, 648, 703, 77, 166, 255, 
-    326, 397, 468, 534, 600, 666, 721, 95, 184, 120, 209, 280, 351, 422, 
-    493, 559, 625, 688, 743, 60, 149, 238, 309, 380, 451, 522, 588, 654, 
-    709, 83, 172, 261, 332, 403, 474, 540, 606, 672, 727, 101, 190, 782, 
-    786, 752, 757, 762, 767, 772, 777, 820, 824, 790, 795, 800, 805, 810, 
-    815, 959, 963, 929, 934, 939, 944, 949, 954, 
+  static const uint16_t RegAsmOffset[] = {
+    866, 894, 1011, 869, 897, 923, 914, 1019, 872, 900, 946, 1027, 875, 879, 
+    906, 903, 949, 1035, 1010, 922, 1018, 1026, 878, 1034, 958, 930, 1042, 952, 
+    886, 938, 1005, 955, 961, 931, 1014, 926, 1022, 1030, 882, 1038, 934, 1046, 
+    890, 942, 887, 910, 939, 918, 964, 134, 228, 304, 380, 456, 532, 598, 
+    664, 723, 782, 66, 160, 254, 330, 406, 482, 138, 232, 308, 384, 460, 
+    536, 602, 668, 727, 786, 71, 165, 259, 335, 411, 487, 130, 224, 300, 
+    376, 452, 528, 594, 660, 112, 206, 282, 358, 434, 510, 576, 642, 116, 
+    210, 286, 362, 438, 514, 580, 646, 724, 783, 67, 161, 255, 331, 407, 
+    483, 0, 6, 12, 18, 24, 30, 36, 42, 115, 209, 285, 361, 437, 
+    513, 579, 645, 708, 767, 48, 142, 236, 312, 388, 464, 540, 606, 672, 
+    731, 76, 170, 264, 340, 416, 492, 558, 624, 690, 749, 94, 188, 120, 
+    214, 290, 366, 442, 518, 584, 650, 713, 772, 54, 148, 242, 318, 394, 
+    470, 546, 612, 678, 737, 82, 176, 270, 346, 422, 498, 564, 630, 696, 
+    755, 100, 194, 125, 219, 295, 371, 447, 523, 589, 655, 718, 777, 60, 
+    154, 248, 324, 400, 476, 552, 618, 684, 743, 88, 182, 276, 352, 428, 
+    504, 570, 636, 702, 761, 106, 200, 820, 824, 790, 795, 800, 805, 810, 
+    815, 858, 862, 828, 833, 838, 843, 848, 853, 997, 1001, 967, 972, 977, 
+    982, 987, 992, 
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter1_reduce.inc 4.0.2-3/arch/X86/X86GenAsmWriter1_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter1_reduce.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenAsmWriter1_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -25,2102 +25,3881 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    2566U,	// DBG_VALUE
+    2743U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    2559U,	// BUNDLE
-    2622U,	// LIFETIME_START
-    2546U,	// LIFETIME_END
+    2736U,	// BUNDLE
+    2799U,	// LIFETIME_START
+    2723U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    2637U,	// AAA
-    4269U,	// AAD8i8
-    4749U,	// AAM8i8
-    3179U,	// AAS
-    2301U,	// ACQUIRE_MOV16rm
-    2301U,	// ACQUIRE_MOV32rm
-    2301U,	// ACQUIRE_MOV64rm
-    2301U,	// ACQUIRE_MOV8rm
-    5486U,	// ADC16i16
-    139395U,	// ADC16mi
-    139395U,	// ADC16mi8
-    139395U,	// ADC16mr
-    2240643U,	// ADC16ri
-    2240643U,	// ADC16ri8
-    4337795U,	// ADC16rm
-    2240643U,	// ADC16rr
-    2232451U,	// ADC16rr_REV
-    5622U,	// ADC32i32
-    147587U,	// ADC32mi
-    147587U,	// ADC32mi8
-    147587U,	// ADC32mr
-    2240643U,	// ADC32ri
-    2240643U,	// ADC32ri8
-    6434947U,	// ADC32rm
-    2240643U,	// ADC32rr
-    2232451U,	// ADC32rr_REV
-    5770U,	// ADC64i32
-    151683U,	// ADC64mi32
-    151683U,	// ADC64mi8
-    151683U,	// ADC64mr
-    2240643U,	// ADC64ri32
-    2240643U,	// ADC64ri8
-    8532099U,	// ADC64rm
-    2240643U,	// ADC64rr
-    2232451U,	// ADC64rr_REV
-    5384U,	// ADC8i8
-    155779U,	// ADC8mi
-    155779U,	// ADC8mr
-    2240643U,	// ADC8ri
-    10629251U,	// ADC8rm
-    2240643U,	// ADC8rr
-    2232451U,	// ADC8rr_REV
-    6427796U,	// ADCX32rm
-    2233492U,	// ADCX32rr
-    8524948U,	// ADCX64rm
-    2233492U,	// ADCX64rr
-    5495U,	// ADD16i16
-    139451U,	// ADD16mi
-    139451U,	// ADD16mi8
-    139451U,	// ADD16mr
-    2240699U,	// ADD16ri
-    2240699U,	// ADD16ri8
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    2814U,	// AAA
+    4314U,	// AAD8i8
+    4794U,	// AAM8i8
+    3356U,	// AAS
+    2478U,	// ACQUIRE_MOV16rm
+    2478U,	// ACQUIRE_MOV32rm
+    2478U,	// ACQUIRE_MOV64rm
+    2478U,	// ACQUIRE_MOV8rm
+    5571U,	// ADC16i16
+    270504U,	// ADC16mi
+    270504U,	// ADC16mi8
+    270504U,	// ADC16mr
+    4468904U,	// ADC16ri
+    4468904U,	// ADC16ri8
+    8663208U,	// ADC16rm
+    4468904U,	// ADC16rr
+    4460712U,	// ADC16rr_REV
+    5707U,	// ADC32i32
+    278696U,	// ADC32mi
+    278696U,	// ADC32mi8
+    278696U,	// ADC32mr
+    4468904U,	// ADC32ri
+    4468904U,	// ADC32ri8
+    12857512U,	// ADC32rm
+    4468904U,	// ADC32rr
+    4460712U,	// ADC32rr_REV
+    5855U,	// ADC64i32
+    282792U,	// ADC64mi32
+    282792U,	// ADC64mi8
+    282792U,	// ADC64mr
+    4468904U,	// ADC64ri32
+    4468904U,	// ADC64ri8
+    17051816U,	// ADC64rm
+    4468904U,	// ADC64rr
+    4460712U,	// ADC64rr_REV
+    5469U,	// ADC8i8
+    286888U,	// ADC8mi
+    286888U,	// ADC8mi8
+    286888U,	// ADC8mr
+    4468904U,	// ADC8ri
+    4468904U,	// ADC8ri8
+    21246120U,	// ADC8rm
+    4468904U,	// ADC8rr
+    4460712U,	// ADC8rr_REV
+    12850409U,	// ADCX32rm
+    4461801U,	// ADCX32rr
+    17044713U,	// ADCX64rm
+    4461801U,	// ADCX64rr
+    5580U,	// ADD16i16
+    270568U,	// ADD16mi
+    270568U,	// ADD16mi8
+    270568U,	// ADD16mr
+    4468968U,	// ADD16ri
+    4468968U,	// ADD16ri8
     0U,	// ADD16ri8_DB
     0U,	// ADD16ri_DB
-    4337851U,	// ADD16rm
-    2240699U,	// ADD16rr
+    8663272U,	// ADD16rm
+    4468968U,	// ADD16rr
     0U,	// ADD16rr_DB
-    2232507U,	// ADD16rr_REV
-    5632U,	// ADD32i32
-    147643U,	// ADD32mi
-    147643U,	// ADD32mi8
-    147643U,	// ADD32mr
-    2240699U,	// ADD32ri
-    2240699U,	// ADD32ri8
+    4460776U,	// ADD16rr_REV
+    5717U,	// ADD32i32
+    278760U,	// ADD32mi
+    278760U,	// ADD32mi8
+    278760U,	// ADD32mr
+    4468968U,	// ADD32ri
+    4468968U,	// ADD32ri8
     0U,	// ADD32ri8_DB
     0U,	// ADD32ri_DB
-    6435003U,	// ADD32rm
-    2240699U,	// ADD32rr
+    12857576U,	// ADD32rm
+    4468968U,	// ADD32rr
     0U,	// ADD32rr_DB
-    2232507U,	// ADD32rr_REV
-    5780U,	// ADD64i32
-    151739U,	// ADD64mi32
-    151739U,	// ADD64mi8
-    151739U,	// ADD64mr
-    2240699U,	// ADD64ri32
+    4460776U,	// ADD32rr_REV
+    5865U,	// ADD64i32
+    282856U,	// ADD64mi32
+    282856U,	// ADD64mi8
+    282856U,	// ADD64mr
+    4468968U,	// ADD64ri32
     0U,	// ADD64ri32_DB
-    2240699U,	// ADD64ri8
+    4468968U,	// ADD64ri8
     0U,	// ADD64ri8_DB
-    8532155U,	// ADD64rm
-    2240699U,	// ADD64rr
+    17051880U,	// ADD64rm
+    4468968U,	// ADD64rr
     0U,	// ADD64rr_DB
-    2232507U,	// ADD64rr_REV
-    5393U,	// ADD8i8
-    155835U,	// ADD8mi
-    155835U,	// ADD8mr
-    2240699U,	// ADD8ri
-    2240699U,	// ADD8ri8
-    10629307U,	// ADD8rm
-    2240699U,	// ADD8rr
-    2232507U,	// ADD8rr_REV
-    2576U,	// ADJCALLSTACKDOWN32
-    2576U,	// ADJCALLSTACKDOWN64
-    2594U,	// ADJCALLSTACKUP32
-    2594U,	// ADJCALLSTACKUP64
-    12719270U,	// ADOX32rm
-    14816422U,	// ADOX32rr
-    16913574U,	// ADOX64rm
-    14816422U,	// ADOX64rr
-    5504U,	// AND16i16
-    139500U,	// AND16mi
-    139500U,	// AND16mi8
-    139500U,	// AND16mr
-    2240748U,	// AND16ri
-    2240748U,	// AND16ri8
-    4337900U,	// AND16rm
-    2240748U,	// AND16rr
-    2232556U,	// AND16rr_REV
-    5642U,	// AND32i32
-    147692U,	// AND32mi
-    147692U,	// AND32mi8
-    147692U,	// AND32mr
-    2240748U,	// AND32ri
-    2240748U,	// AND32ri8
-    6435052U,	// AND32rm
-    2240748U,	// AND32rr
-    2232556U,	// AND32rr_REV
-    5790U,	// AND64i32
-    151788U,	// AND64mi32
-    151788U,	// AND64mi8
-    151788U,	// AND64mr
-    2240748U,	// AND64ri32
-    2240748U,	// AND64ri8
-    8532204U,	// AND64rm
-    2240748U,	// AND64rr
-    2232556U,	// AND64rr_REV
-    5402U,	// AND8i8
-    155884U,	// AND8mi
-    155884U,	// AND8mr
-    2240748U,	// AND8ri
-    2240748U,	// AND8ri8
-    10629356U,	// AND8rm
-    2240748U,	// AND8rr
-    2232556U,	// AND8rr_REV
-    81924754U,	// ANDN32rm
-    350360210U,	// ANDN32rr
-    618795666U,	// ANDN64rm
-    350360210U,	// ANDN64rr
-    139887U,	// ARPL16mr
-    14815855U,	// ARPL16rr
-    885134227U,	// BEXTR32rm
-    350360467U,	// BEXTR32rr
-    889328531U,	// BEXTR64rm
-    350360467U,	// BEXTR64rr
-    885134227U,	// BEXTRI32mi
-    350360467U,	// BEXTRI32ri
-    889328531U,	// BEXTRI64mi
-    350360467U,	// BEXTRI64ri
-    12718680U,	// BLCFILL32rm
-    14815832U,	// BLCFILL32rr
-    16912984U,	// BLCFILL64rm
-    14815832U,	// BLCFILL64rr
-    12718613U,	// BLCI32rm
-    14815765U,	// BLCI32rr
-    16912917U,	// BLCI64rm
-    14815765U,	// BLCI64rr
-    12718221U,	// BLCIC32rm
-    14815373U,	// BLCIC32rr
-    16912525U,	// BLCIC64rm
-    14815373U,	// BLCIC64rr
-    12718631U,	// BLCMSK32rm
-    14815783U,	// BLCMSK32rr
-    16912935U,	// BLCMSK64rm
-    14815783U,	// BLCMSK64rr
-    12719010U,	// BLCS32rm
-    14816162U,	// BLCS32rr
-    16913314U,	// BLCS64rm
-    14816162U,	// BLCS64rr
-    12718689U,	// BLSFILL32rm
-    14815841U,	// BLSFILL32rr
-    16912993U,	// BLSFILL64rm
-    14815841U,	// BLSFILL64rr
-    12718625U,	// BLSI32rm
-    14815777U,	// BLSI32rr
-    16912929U,	// BLSI64rm
-    14815777U,	// BLSI64rr
-    12718228U,	// BLSIC32rm
-    14815380U,	// BLSIC32rr
-    16912532U,	// BLSIC64rm
-    14815380U,	// BLSIC64rr
-    12718639U,	// BLSMSK32rm
-    14815791U,	// BLSMSK32rr
-    16912943U,	// BLSMSK64rm
-    14815791U,	// BLSMSK64rr
-    12718974U,	// BLSR32rm
-    14816126U,	// BLSR32rr
-    16913278U,	// BLSR64rm
-    14816126U,	// BLSR64rr
-    12718321U,	// BOUNDS16rm
-    16912625U,	// BOUNDS32rm
-    19010013U,	// BSF16rm
-    14815709U,	// BSF16rr
-    12718557U,	// BSF32rm
-    14815709U,	// BSF32rr
-    16912861U,	// BSF64rm
-    14815709U,	// BSF64rr
-    19010425U,	// BSR16rm
-    14816121U,	// BSR16rr
-    12718969U,	// BSR32rm
-    14816121U,	// BSR32rr
-    16913273U,	// BSR64rm
-    14816121U,	// BSR64rr
-    4804U,	// BSWAP32r
-    4804U,	// BSWAP64r
-    140267U,	// BT16mi8
-    140267U,	// BT16mr
-    14816235U,	// BT16ri8
-    14816235U,	// BT16rr
-    148459U,	// BT32mi8
-    148459U,	// BT32mr
-    14816235U,	// BT32ri8
-    14816235U,	// BT32rr
-    152555U,	// BT64mi8
-    152555U,	// BT64mr
-    14816235U,	// BT64ri8
-    14816235U,	// BT64rr
-    139432U,	// BTC16mi8
-    139432U,	// BTC16mr
-    14815400U,	// BTC16ri8
-    14815400U,	// BTC16rr
-    147624U,	// BTC32mi8
-    147624U,	// BTC32mr
-    14815400U,	// BTC32ri8
-    14815400U,	// BTC32rr
-    151720U,	// BTC64mi8
-    151720U,	// BTC64mr
-    14815400U,	// BTC64ri8
-    14815400U,	// BTC64rr
-    140164U,	// BTR16mi8
-    140164U,	// BTR16mr
-    14816132U,	// BTR16ri8
-    14816132U,	// BTR16rr
-    148356U,	// BTR32mi8
-    148356U,	// BTR32mr
-    14816132U,	// BTR32ri8
-    14816132U,	// BTR32rr
-    152452U,	// BTR64mi8
-    152452U,	// BTR64mr
-    14816132U,	// BTR64ri8
-    14816132U,	// BTR64rr
-    140249U,	// BTS16mi8
-    140249U,	// BTS16mr
-    14816217U,	// BTS16ri8
-    14816217U,	// BTS16rr
-    148441U,	// BTS32mi8
-    148441U,	// BTS32mr
-    14816217U,	// BTS32ri8
-    14816217U,	// BTS32rr
-    152537U,	// BTS64mi8
-    152537U,	// BTS64mr
-    14816217U,	// BTS64ri8
-    14816217U,	// BTS64rr
-    885133851U,	// BZHI32rm
-    350360091U,	// BZHI32rr
-    889328155U,	// BZHI64rm
-    350360091U,	// BZHI64rr
-    8786U,	// CALL16m
-    4690U,	// CALL16r
-    16978U,	// CALL32m
-    4690U,	// CALL32r
-    21074U,	// CALL64m
-    29266U,	// CALL64pcrel32
-    4690U,	// CALL64r
-    29266U,	// CALLpcrel16
-    29266U,	// CALLpcrel32
-    3378U,	// CBW
-    3099U,	// CDQ
-    2853U,	// CDQE
-    2706U,	// CLAC
-    2738U,	// CLC
-    2788U,	// CLD
-    2944U,	// CLGI
-    2954U,	// CLI
-    3322U,	// CLTS
-    2742U,	// CMC
-    4329519U,	// CMOVA16rm
-    2232367U,	// CMOVA16rr
-    6426671U,	// CMOVA32rm
-    2232367U,	// CMOVA32rr
-    8523823U,	// CMOVA64rm
-    2232367U,	// CMOVA64rr
-    4329773U,	// CMOVAE16rm
-    2232621U,	// CMOVAE16rr
-    6426925U,	// CMOVAE32rm
-    2232621U,	// CMOVAE32rr
-    8524077U,	// CMOVAE64rm
-    2232621U,	// CMOVAE64rr
-    4329596U,	// CMOVB16rm
-    2232444U,	// CMOVB16rr
-    6426748U,	// CMOVB32rm
-    2232444U,	// CMOVB32rr
-    8523900U,	// CMOVB64rm
-    2232444U,	// CMOVB64rr
-    4329793U,	// CMOVBE16rm
-    2232641U,	// CMOVBE16rr
-    6426945U,	// CMOVBE32rm
-    2232641U,	// CMOVBE32rr
-    8524097U,	// CMOVBE64rm
-    2232641U,	// CMOVBE64rr
-    4329942U,	// CMOVE16rm
-    2232790U,	// CMOVE16rr
-    6427094U,	// CMOVE32rm
-    2232790U,	// CMOVE32rr
-    8524246U,	// CMOVE64rm
-    2232790U,	// CMOVE64rr
-    4329992U,	// CMOVG16rm
-    2232840U,	// CMOVG16rr
-    6427144U,	// CMOVG32rm
-    2232840U,	// CMOVG32rr
-    8524296U,	// CMOVG64rm
-    2232840U,	// CMOVG64rr
-    4329813U,	// CMOVGE16rm
-    2232661U,	// CMOVGE16rr
-    6426965U,	// CMOVGE32rm
-    2232661U,	// CMOVGE32rr
-    8524117U,	// CMOVGE64rm
-    2232661U,	// CMOVGE64rr
-    4330118U,	// CMOVL16rm
-    2232966U,	// CMOVL16rr
-    6427270U,	// CMOVL32rm
-    2232966U,	// CMOVL32rr
-    8524422U,	// CMOVL64rm
-    2232966U,	// CMOVL64rr
-    4329837U,	// CMOVLE16rm
-    2232685U,	// CMOVLE16rr
-    6426989U,	// CMOVLE32rm
-    2232685U,	// CMOVLE32rr
-    8524141U,	// CMOVLE64rm
-    2232685U,	// CMOVLE64rr
-    4329865U,	// CMOVNE16rm
-    2232713U,	// CMOVNE16rr
-    6427017U,	// CMOVNE32rm
-    2232713U,	// CMOVNE32rr
-    8524169U,	// CMOVNE64rm
-    2232713U,	// CMOVNE64rr
-    4330159U,	// CMOVNO16rm
-    2233007U,	// CMOVNO16rr
-    6427311U,	// CMOVNO32rm
-    2233007U,	// CMOVNO32rr
-    8524463U,	// CMOVNO64rm
-    2233007U,	// CMOVNO64rr
-    4330220U,	// CMOVNP16rm
-    2233068U,	// CMOVNP16rr
-    6427372U,	// CMOVNP32rm
-    2233068U,	// CMOVNP32rr
-    8524524U,	// CMOVNP64rm
-    2233068U,	// CMOVNP64rr
-    4330444U,	// CMOVNS16rm
-    2233292U,	// CMOVNS16rr
-    6427596U,	// CMOVNS32rm
-    2233292U,	// CMOVNS32rr
-    8524748U,	// CMOVNS64rm
-    2233292U,	// CMOVNS64rr
-    4330173U,	// CMOVO16rm
-    2233021U,	// CMOVO16rr
-    6427325U,	// CMOVO32rm
-    2233021U,	// CMOVO32rr
-    8524477U,	// CMOVO64rm
-    2233021U,	// CMOVO64rr
-    4330266U,	// CMOVP16rm
-    2233114U,	// CMOVP16rr
-    6427418U,	// CMOVP32rm
-    2233114U,	// CMOVP32rr
-    8524570U,	// CMOVP64rm
-    2233114U,	// CMOVP64rr
-    4330468U,	// CMOVS16rm
-    2233316U,	// CMOVS16rr
-    6427620U,	// CMOVS32rm
-    2233316U,	// CMOVS32rr
-    8524772U,	// CMOVS64rm
-    2233316U,	// CMOVS64rr
-    2105U,	// CMOV_FR32
-    2264U,	// CMOV_FR64
-    1984U,	// CMOV_GR16
-    1964U,	// CMOV_GR32
-    2283U,	// CMOV_GR8
-    2085U,	// CMOV_RFP32
-    2244U,	// CMOV_RFP64
-    2004U,	// CMOV_RFP80
-    2044U,	// CMOV_V16F32
-    2124U,	// CMOV_V2F64
-    2184U,	// CMOV_V2I64
-    2024U,	// CMOV_V4F32
-    2144U,	// CMOV_V4F64
-    2204U,	// CMOV_V4I64
-    2065U,	// CMOV_V8F32
-    2164U,	// CMOV_V8F64
-    2224U,	// CMOV_V8I64
-    5531U,	// CMP16i16
-    139989U,	// CMP16mi
-    139989U,	// CMP16mi8
-    139989U,	// CMP16mr
-    14815957U,	// CMP16ri
-    14815957U,	// CMP16ri8
-    19010261U,	// CMP16rm
-    14815957U,	// CMP16rr
-    14815957U,	// CMP16rr_REV
-    5696U,	// CMP32i32
-    148181U,	// CMP32mi
-    148181U,	// CMP32mi8
-    148181U,	// CMP32mr
-    14815957U,	// CMP32ri
-    14815957U,	// CMP32ri8
-    12718805U,	// CMP32rm
-    14815957U,	// CMP32rr
-    14815957U,	// CMP32rr_REV
-    5811U,	// CMP64i32
-    152277U,	// CMP64mi32
-    152277U,	// CMP64mi8
-    152277U,	// CMP64mr
-    14815957U,	// CMP64ri32
-    14815957U,	// CMP64ri8
-    16913109U,	// CMP64rm
-    14815957U,	// CMP64rr
-    14815957U,	// CMP64rr_REV
-    5419U,	// CMP8i8
-    156373U,	// CMP8mi
-    156373U,	// CMP8mr
-    14815957U,	// CMP8ri
-    21107413U,	// CMP8rm
-    14815957U,	// CMP8rr
-    14815957U,	// CMP8rr_REV
-    32867U,	// CMPSB
-    37131U,	// CMPSL
-    41775U,	// CMPSQ
-    46214U,	// CMPSW
-    49206U,	// CMPXCHG16B
-    139757U,	// CMPXCHG16rm
-    14815725U,	// CMPXCHG16rr
-    147949U,	// CMPXCHG32rm
-    14815725U,	// CMPXCHG32rr
-    152045U,	// CMPXCHG64rm
-    14815725U,	// CMPXCHG64rr
-    20546U,	// CMPXCHG8B
-    156141U,	// CMPXCHG8rm
-    14815725U,	// CMPXCHG8rr
-    2782U,	// CPUID32
-    2782U,	// CPUID64
-    3075U,	// CQO
-    2829U,	// CWD
-    2833U,	// CWDE
-    2641U,	// DAA
-    3183U,	// DAS
-    2531U,	// DATA16_PREFIX
-    8328U,	// DEC16m
-    4232U,	// DEC16r
-    4232U,	// DEC32_16r
-    4232U,	// DEC32_32r
-    16520U,	// DEC32m
-    4232U,	// DEC32r
-    8328U,	// DEC64_16m
-    4232U,	// DEC64_16r
-    16520U,	// DEC64_32m
-    4232U,	// DEC64_32r
-    20616U,	// DEC64m
-    4232U,	// DEC64r
-    24712U,	// DEC8m
-    4232U,	// DEC8r
-    9309U,	// DIV16m
-    5213U,	// DIV16r
-    17501U,	// DIV32m
-    5213U,	// DIV32r
-    21597U,	// DIV64m
-    5213U,	// DIV64r
-    25693U,	// DIV8m
-    5213U,	// DIV8r
-    5923U,	// EH_RETURN
-    5923U,	// EH_RETURN64
-    2354U,	// EH_SjLj_LongJmp32
-    2444U,	// EH_SjLj_LongJmp64
-    2373U,	// EH_SjLj_SetJmp32
-    2463U,	// EH_SjLj_SetJmp64
-    29450U,	// EH_SjLj_Setup
-    14816085U,	// ENTER
-    275025U,	// FARCALL16i
-    53841U,	// FARCALL16m
-    275025U,	// FARCALL32i
-    53841U,	// FARCALL32m
-    53841U,	// FARCALL64
-    275162U,	// FARJMP16i
-    53978U,	// FARJMP16m
-    275162U,	// FARJMP32i
-    53978U,	// FARJMP32m
-    53978U,	// FARJMP64
-    3037U,	// FSETPM
-    2726U,	// GETSEC
-    3347U,	// HLT
-    9308U,	// IDIV16m
-    5212U,	// IDIV16r
-    17500U,	// IDIV32m
-    5212U,	// IDIV32r
-    21596U,	// IDIV64m
-    5212U,	// IDIV64r
-    25692U,	// IDIV8m
-    5212U,	// IDIV8r
-    8832U,	// IMUL16m
-    4736U,	// IMUL16r
-    4330112U,	// IMUL16rm
-    891425408U,	// IMUL16rmi
-    891425408U,	// IMUL16rmi8
-    2232960U,	// IMUL16rr
-    350360192U,	// IMUL16rri
-    350360192U,	// IMUL16rri8
-    17024U,	// IMUL32m
-    4736U,	// IMUL32r
-    6427264U,	// IMUL32rm
-    885133952U,	// IMUL32rmi
-    885133952U,	// IMUL32rmi8
-    2232960U,	// IMUL32rr
-    350360192U,	// IMUL32rri
-    350360192U,	// IMUL32rri8
-    21120U,	// IMUL64m
-    4736U,	// IMUL64r
-    8524416U,	// IMUL64rm
-    889328256U,	// IMUL64rmi32
-    889328256U,	// IMUL64rmi8
-    2232960U,	// IMUL64rr
-    350360192U,	// IMUL64rri32
-    350360192U,	// IMUL64rri8
-    25216U,	// IMUL8m
-    4736U,	// IMUL8r
-    5523U,	// IN16ri
-    3544U,	// IN16rr
-    5687U,	// IN32ri
-    3554U,	// IN32rr
-    5411U,	// IN8ri
-    3534U,	// IN8rr
-    8355U,	// INC16m
-    4259U,	// INC16r
-    4259U,	// INC32_16r
-    4259U,	// INC32_32r
-    16547U,	// INC32m
-    4259U,	// INC32r
-    8355U,	// INC64_16m
-    4259U,	// INC64_16r
-    16547U,	// INC64_32m
-    4259U,	// INC64_32r
-    20643U,	// INC64m
-    4259U,	// INC64r
-    24739U,	// INC8m
-    4259U,	// INC8r
-    450646U,	// INSB
-    454910U,	// INSL
-    459897U,	// INSW
-    5158U,	// INT
-    2349U,	// INT1
-    2439U,	// INT3
-    3079U,	// INTO
-    2824U,	// INVD
-    23204912U,	// INVEPT32
-    23204912U,	// INVEPT64
-    25082U,	// INVLPG
-    3500U,	// INVLPGA32
-    3517U,	// INVLPGA64
-    23204040U,	// INVPCID32
-    23204040U,	// INVPCID64
-    23204049U,	// INVVPID32
-    23204049U,	// INVVPID64
-    3327U,	// IRET16
-    2812U,	// IRET32
-    3142U,	// IRET64
-    2610U,	// Int_MemBarrier
-    28961U,	// JAE_1
-    28961U,	// JAE_2
-    28961U,	// JAE_4
-    28709U,	// JA_1
-    28709U,	// JA_2
-    28709U,	// JA_4
-    28981U,	// JBE_1
-    28981U,	// JBE_2
-    28981U,	// JBE_4
-    28754U,	// JB_1
-    28754U,	// JB_2
-    28754U,	// JB_4
-    29907U,	// JCXZ
-    29900U,	// JECXZ_32
-    29900U,	// JECXZ_64
-    29021U,	// JE_1
-    29021U,	// JE_2
-    29021U,	// JE_4
-    29001U,	// JGE_1
-    29001U,	// JGE_2
-    29001U,	// JGE_4
-    29174U,	// JG_1
-    29174U,	// JG_2
-    29174U,	// JG_4
-    29025U,	// JLE_1
-    29025U,	// JLE_2
-    29025U,	// JLE_4
-    29261U,	// JL_1
-    29261U,	// JL_2
-    29261U,	// JL_4
-    8923U,	// JMP16m
-    4827U,	// JMP16r
-    17115U,	// JMP32m
-    4827U,	// JMP32r
-    21211U,	// JMP64m
-    4827U,	// JMP64r
-    29403U,	// JMP_1
-    29403U,	// JMP_2
-    29403U,	// JMP_4
-    29045U,	// JNE_1
-    29045U,	// JNE_2
-    29045U,	// JNE_4
-    29347U,	// JNO_1
-    29347U,	// JNO_2
-    29347U,	// JNO_4
-    29408U,	// JNP_1
-    29408U,	// JNP_2
-    29408U,	// JNP_4
-    29632U,	// JNS_1
-    29632U,	// JNS_2
-    29632U,	// JNS_4
-    29343U,	// JO_1
-    29343U,	// JO_2
-    29343U,	// JO_4
-    29393U,	// JP_1
-    29393U,	// JP_2
-    29393U,	// JP_4
-    29913U,	// JRCXZ
-    29628U,	// JS_1
-    29628U,	// JS_2
-    29628U,	// JS_4
-    2909U,	// LAHF
-    19010374U,	// LAR16rm
-    14816070U,	// LAR16rr
-    19010374U,	// LAR32rm
-    14816070U,	// LAR32rr
-    19010374U,	// LAR64rm
-    14816070U,	// LAR64rr
-    139757U,	// LCMPXCHG16
-    49206U,	// LCMPXCHG16B
-    147949U,	// LCMPXCHG32
-    152045U,	// LCMPXCHG64
-    156141U,	// LCMPXCHG8
-    20546U,	// LCMPXCHG8B
-    25301928U,	// LDS16rm
-    25301928U,	// LDS32rm
-    19009568U,	// LEA16r
-    12718112U,	// LEA32r
-    12718112U,	// LEA64_32r
-    16912416U,	// LEA64r
-    2896U,	// LEAVE
-    2896U,	// LEAVE64
-    25301933U,	// LES16rm
-    25301933U,	// LES32rm
-    25301938U,	// LFS16rm
-    25301938U,	// LFS32rm
-    25301938U,	// LFS64rm
-    54255U,	// LGDT16m
-    54255U,	// LGDT32m
-    54255U,	// LGDT64m
-    25301943U,	// LGS16rm
-    25301943U,	// LGS32rm
-    25301943U,	// LGS64rm
-    54267U,	// LIDT16m
-    54267U,	// LIDT32m
-    54267U,	// LIDT64m
-    9223U,	// LLDT16m
-    5127U,	// LLDT16r
-    9325U,	// LMSW16m
-    5229U,	// LMSW16r
-    139451U,	// LOCK_ADD16mi
-    139451U,	// LOCK_ADD16mi8
-    139451U,	// LOCK_ADD16mr
-    147643U,	// LOCK_ADD32mi
-    147643U,	// LOCK_ADD32mi8
-    147643U,	// LOCK_ADD32mr
-    151739U,	// LOCK_ADD64mi32
-    151739U,	// LOCK_ADD64mi8
-    151739U,	// LOCK_ADD64mr
-    155835U,	// LOCK_ADD8mi
-    155835U,	// LOCK_ADD8mr
-    139500U,	// LOCK_AND16mi
-    139500U,	// LOCK_AND16mi8
-    139500U,	// LOCK_AND16mr
-    147692U,	// LOCK_AND32mi
-    147692U,	// LOCK_AND32mi8
-    147692U,	// LOCK_AND32mr
-    151788U,	// LOCK_AND64mi32
-    151788U,	// LOCK_AND64mi8
-    151788U,	// LOCK_AND64mr
-    155884U,	// LOCK_AND8mi
-    155884U,	// LOCK_AND8mr
-    8328U,	// LOCK_DEC16m
-    16520U,	// LOCK_DEC32m
-    20616U,	// LOCK_DEC64m
-    24712U,	// LOCK_DEC8m
-    8355U,	// LOCK_INC16m
-    16547U,	// LOCK_INC32m
-    20643U,	// LOCK_INC64m
-    24739U,	// LOCK_INC8m
-    140130U,	// LOCK_OR16mi
-    140130U,	// LOCK_OR16mi8
-    140130U,	// LOCK_OR16mr
-    148322U,	// LOCK_OR32mi
-    148322U,	// LOCK_OR32mi8
-    148322U,	// LOCK_OR32mr
-    152418U,	// LOCK_OR64mi32
-    152418U,	// LOCK_OR64mi8
-    152418U,	// LOCK_OR64mr
-    156514U,	// LOCK_OR8mi
-    156514U,	// LOCK_OR8mr
-    2977U,	// LOCK_PREFIX
-    139383U,	// LOCK_SUB16mi
-    139383U,	// LOCK_SUB16mi8
-    139383U,	// LOCK_SUB16mr
-    147575U,	// LOCK_SUB32mi
-    147575U,	// LOCK_SUB32mi8
-    147575U,	// LOCK_SUB32mr
-    151671U,	// LOCK_SUB64mi32
-    151671U,	// LOCK_SUB64mi8
-    151671U,	// LOCK_SUB64mr
-    155767U,	// LOCK_SUB8mi
-    155767U,	// LOCK_SUB8mr
-    140142U,	// LOCK_XOR16mi
-    140142U,	// LOCK_XOR16mi8
-    140142U,	// LOCK_XOR16mr
-    148334U,	// LOCK_XOR32mi
-    148334U,	// LOCK_XOR32mi8
-    148334U,	// LOCK_XOR32mr
-    152430U,	// LOCK_XOR64mi32
-    152430U,	// LOCK_XOR64mi8
-    152430U,	// LOCK_XOR64mr
-    156526U,	// LOCK_XOR8mi
-    156526U,	// LOCK_XOR8mr
-    70900U,	// LODSB
-    75296U,	// LODSL
-    79561U,	// LODSQ
-    83415U,	// LODSW
-    29433U,	// LOOP
-    29073U,	// LOOPE
-    29050U,	// LOOPNE
-    4578U,	// LRETIL
-    4897U,	// LRETIQ
-    4578U,	// LRETIW
-    2930U,	// LRETL
-    3116U,	// LRETQ
-    2930U,	// LRETW
-    19010165U,	// LSL16rm
-    14815861U,	// LSL16rr
-    12718709U,	// LSL32rm
-    14815861U,	// LSL32rr
-    16913013U,	// LSL64rm
-    14815861U,	// LSL64rr
-    25301972U,	// LSS16rm
-    25301972U,	// LSS32rm
-    25301972U,	// LSS64rm
-    9097U,	// LTRm
-    5001U,	// LTRr
-    86202U,	// LXADD16
-    90298U,	// LXADD32
-    94394U,	// LXADD64
-    98490U,	// LXADD8
-    19010584U,	// LZCNT16rm
-    14816280U,	// LZCNT16rr
-    12719128U,	// LZCNT32rm
-    14816280U,	// LZCNT32rr
-    16913432U,	// LZCNT64rm
-    14816280U,	// LZCNT64rr
-    3029U,	// MONTMUL
+    4460776U,	// ADD64rr_REV
+    5478U,	// ADD8i8
+    286952U,	// ADD8mi
+    286952U,	// ADD8mi8
+    286952U,	// ADD8mr
+    4468968U,	// ADD8ri
+    4468968U,	// ADD8ri8
+    21246184U,	// ADD8rm
+    4468968U,	// ADD8rr
+    4460776U,	// ADD8rr_REV
+    2753U,	// ADJCALLSTACKDOWN32
+    2753U,	// ADJCALLSTACKDOWN64
+    2771U,	// ADJCALLSTACKUP32
+    2771U,	// ADJCALLSTACKUP64
+    25433339U,	// ADOX32rm
+    29627643U,	// ADOX32rr
+    33821947U,	// ADOX64rm
+    29627643U,	// ADOX64rr
+    5589U,	// AND16i16
+    270617U,	// AND16mi
+    270617U,	// AND16mi8
+    270617U,	// AND16mr
+    4469017U,	// AND16ri
+    4469017U,	// AND16ri8
+    8663321U,	// AND16rm
+    4469017U,	// AND16rr
+    4460825U,	// AND16rr_REV
+    5727U,	// AND32i32
+    278809U,	// AND32mi
+    278809U,	// AND32mi8
+    278809U,	// AND32mr
+    4469017U,	// AND32ri
+    4469017U,	// AND32ri8
+    12857625U,	// AND32rm
+    4469017U,	// AND32rr
+    4460825U,	// AND32rr_REV
+    5875U,	// AND64i32
+    282905U,	// AND64mi32
+    282905U,	// AND64mi8
+    282905U,	// AND64mr
+    4469017U,	// AND64ri32
+    4469017U,	// AND64ri8
+    17051929U,	// AND64rm
+    4469017U,	// AND64rr
+    4460825U,	// AND64rr_REV
+    5487U,	// AND8i8
+    287001U,	// AND8mi
+    287001U,	// AND8mi8
+    287001U,	// AND8mr
+    4469017U,	// AND8ri
+    4469017U,	// AND8ri8
+    21246233U,	// AND8rm
+    4469017U,	// AND8rr
+    4460825U,	// AND8rr_REV
+    163844799U,	// ANDN32rm
+    700715711U,	// ANDN32rr
+    1237586623U,	// ANDN64rm
+    700715711U,	// ANDN64rr
+    271004U,	// ARPL16mr
+    29627036U,	// ARPL16rr
+    1770263499U,	// BEXTR32rm
+    700715979U,	// BEXTR32rr
+    1778652107U,	// BEXTR64rm
+    700715979U,	// BEXTR64rr
+    1770263499U,	// BEXTRI32mi
+    700715979U,	// BEXTRI32ri
+    1778652107U,	// BEXTRI64mi
+    700715979U,	// BEXTRI64ri
+    25432709U,	// BLCFILL32rm
+    29627013U,	// BLCFILL32rr
+    33821317U,	// BLCFILL64rm
+    29627013U,	// BLCFILL64rr
+    25432642U,	// BLCI32rm
+    29626946U,	// BLCI32rr
+    33821250U,	// BLCI64rm
+    29626946U,	// BLCI64rr
+    25432250U,	// BLCIC32rm
+    29626554U,	// BLCIC32rr
+    33820858U,	// BLCIC64rm
+    29626554U,	// BLCIC64rr
+    25432660U,	// BLCMSK32rm
+    29626964U,	// BLCMSK32rr
+    33821268U,	// BLCMSK64rm
+    29626964U,	// BLCMSK64rr
+    25433050U,	// BLCS32rm
+    29627354U,	// BLCS32rr
+    33821658U,	// BLCS64rm
+    29627354U,	// BLCS64rr
+    25432718U,	// BLSFILL32rm
+    29627022U,	// BLSFILL32rr
+    33821326U,	// BLSFILL64rm
+    29627022U,	// BLSFILL64rr
+    25432654U,	// BLSI32rm
+    29626958U,	// BLSI32rr
+    33821262U,	// BLSI64rm
+    29626958U,	// BLSI64rr
+    25432257U,	// BLSIC32rm
+    29626561U,	// BLSIC32rr
+    33820865U,	// BLSIC64rm
+    29626561U,	// BLSIC64rr
+    25432668U,	// BLSMSK32rm
+    29626972U,	// BLSMSK32rr
+    33821276U,	// BLSMSK64rm
+    29626972U,	// BLSMSK64rr
+    25433014U,	// BLSR32rm
+    29627318U,	// BLSR32rr
+    33821622U,	// BLSR64rm
+    29627318U,	// BLSR64rr
+    25432350U,	// BOUNDS16rm
+    33820958U,	// BOUNDS32rm
+    38015498U,	// BSF16rm
+    29626890U,	// BSF16rr
+    25432586U,	// BSF32rm
+    29626890U,	// BSF32rr
+    33821194U,	// BSF64rm
+    29626890U,	// BSF64rr
+    38015921U,	// BSR16rm
+    29627313U,	// BSR16rr
+    25433009U,	// BSR32rm
+    29627313U,	// BSR32rr
+    33821617U,	// BSR64rm
+    29627313U,	// BSR64rr
+    4849U,	// BSWAP32r
+    4849U,	// BSWAP64r
+    271412U,	// BT16mi8
+    271412U,	// BT16mr
+    29627444U,	// BT16ri8
+    29627444U,	// BT16rr
+    279604U,	// BT32mi8
+    279604U,	// BT32mr
+    29627444U,	// BT32ri8
+    29627444U,	// BT32rr
+    283700U,	// BT64mi8
+    283700U,	// BT64mr
+    29627444U,	// BT64ri8
+    29627444U,	// BT64rr
+    270549U,	// BTC16mi8
+    270549U,	// BTC16mr
+    29626581U,	// BTC16ri8
+    29626581U,	// BTC16rr
+    278741U,	// BTC32mi8
+    278741U,	// BTC32mr
+    29626581U,	// BTC32ri8
+    29626581U,	// BTC32rr
+    282837U,	// BTC64mi8
+    282837U,	// BTC64mr
+    29626581U,	// BTC64ri8
+    29626581U,	// BTC64rr
+    271292U,	// BTR16mi8
+    271292U,	// BTR16mr
+    29627324U,	// BTR16ri8
+    29627324U,	// BTR16rr
+    279484U,	// BTR32mi8
+    279484U,	// BTR32mr
+    29627324U,	// BTR32ri8
+    29627324U,	// BTR32rr
+    283580U,	// BTR64mi8
+    283580U,	// BTR64mr
+    29627324U,	// BTR64ri8
+    29627324U,	// BTR64rr
+    271394U,	// BTS16mi8
+    271394U,	// BTS16mr
+    29627426U,	// BTS16ri8
+    29627426U,	// BTS16rr
+    279586U,	// BTS32mi8
+    279586U,	// BTS32mr
+    29627426U,	// BTS32ri8
+    29627426U,	// BTS32rr
+    283682U,	// BTS64mi8
+    283682U,	// BTS64mr
+    29627426U,	// BTS64ri8
+    29627426U,	// BTS64rr
+    1770263112U,	// BZHI32rm
+    700715592U,	// BZHI32rr
+    1778651720U,	// BZHI64rm
+    700715592U,	// BZHI64rr
+    8831U,	// CALL16m
+    4735U,	// CALL16r
+    17023U,	// CALL32m
+    4735U,	// CALL32r
+    21119U,	// CALL64m
+    29311U,	// CALL64pcrel32
+    4735U,	// CALL64r
+    29311U,	// CALLpcrel16
+    29311U,	// CALLpcrel32
+    3563U,	// CBW
+    3276U,	// CDQ
+    3030U,	// CDQE
+    2883U,	// CLAC
+    2915U,	// CLC
+    2965U,	// CLD
+    25739U,	// CLFLUSHOPT
+    3121U,	// CLGI
+    3131U,	// CLI
+    3499U,	// CLTS
+    24738U,	// CLWB
+    2919U,	// CMC
+    8654926U,	// CMOVA16rm
+    4460622U,	// CMOVA16rr
+    12849230U,	// CMOVA32rm
+    4460622U,	// CMOVA32rr
+    17043534U,	// CMOVA64rm
+    4460622U,	// CMOVA64rr
+    8655194U,	// CMOVAE16rm
+    4460890U,	// CMOVAE16rr
+    12849498U,	// CMOVAE32rm
+    4460890U,	// CMOVAE32rr
+    17043802U,	// CMOVAE64rm
+    4460890U,	// CMOVAE64rr
+    8655003U,	// CMOVB16rm
+    4460699U,	// CMOVB16rr
+    12849307U,	// CMOVB32rm
+    4460699U,	// CMOVB32rr
+    17043611U,	// CMOVB64rm
+    4460699U,	// CMOVB64rr
+    8655214U,	// CMOVBE16rm
+    4460910U,	// CMOVBE16rr
+    12849518U,	// CMOVBE32rm
+    4460910U,	// CMOVBE32rr
+    17043822U,	// CMOVBE64rm
+    4460910U,	// CMOVBE64rr
+    8655363U,	// CMOVE16rm
+    4461059U,	// CMOVE16rr
+    12849667U,	// CMOVE32rm
+    4461059U,	// CMOVE32rr
+    17043971U,	// CMOVE64rm
+    4461059U,	// CMOVE64rr
+    8655413U,	// CMOVG16rm
+    4461109U,	// CMOVG16rr
+    12849717U,	// CMOVG32rm
+    4461109U,	// CMOVG32rr
+    17044021U,	// CMOVG64rm
+    4461109U,	// CMOVG64rr
+    8655234U,	// CMOVGE16rm
+    4460930U,	// CMOVGE16rr
+    12849538U,	// CMOVGE32rm
+    4460930U,	// CMOVGE32rr
+    17043842U,	// CMOVGE64rm
+    4460930U,	// CMOVGE64rr
+    8655539U,	// CMOVL16rm
+    4461235U,	// CMOVL16rr
+    12849843U,	// CMOVL32rm
+    4461235U,	// CMOVL32rr
+    17044147U,	// CMOVL64rm
+    4461235U,	// CMOVL64rr
+    8655258U,	// CMOVLE16rm
+    4460954U,	// CMOVLE16rr
+    12849562U,	// CMOVLE32rm
+    4460954U,	// CMOVLE32rr
+    17043866U,	// CMOVLE64rm
+    4460954U,	// CMOVLE64rr
+    8655286U,	// CMOVNE16rm
+    4460982U,	// CMOVNE16rr
+    12849590U,	// CMOVNE32rm
+    4460982U,	// CMOVNE32rr
+    17043894U,	// CMOVNE64rm
+    4460982U,	// CMOVNE64rr
+    8655580U,	// CMOVNO16rm
+    4461276U,	// CMOVNO16rr
+    12849884U,	// CMOVNO32rm
+    4461276U,	// CMOVNO32rr
+    17044188U,	// CMOVNO64rm
+    4461276U,	// CMOVNO64rr
+    8655652U,	// CMOVNP16rm
+    4461348U,	// CMOVNP16rr
+    12849956U,	// CMOVNP32rm
+    4461348U,	// CMOVNP32rr
+    17044260U,	// CMOVNP64rm
+    4461348U,	// CMOVNP64rr
+    8655884U,	// CMOVNS16rm
+    4461580U,	// CMOVNS16rr
+    12850188U,	// CMOVNS32rm
+    4461580U,	// CMOVNS32rr
+    17044492U,	// CMOVNS64rm
+    4461580U,	// CMOVNS64rr
+    8655594U,	// CMOVO16rm
+    4461290U,	// CMOVO16rr
+    12849898U,	// CMOVO32rm
+    4461290U,	// CMOVO32rr
+    17044202U,	// CMOVO64rm
+    4461290U,	// CMOVO64rr
+    8655698U,	// CMOVP16rm
+    4461394U,	// CMOVP16rr
+    12850002U,	// CMOVP32rm
+    4461394U,	// CMOVP32rr
+    17044306U,	// CMOVP64rm
+    4461394U,	// CMOVP64rr
+    8655917U,	// CMOVS16rm
+    4461613U,	// CMOVS16rr
+    12850221U,	// CMOVS32rm
+    4461613U,	// CMOVS32rr
+    17044525U,	// CMOVS64rm
+    4461613U,	// CMOVS64rr
+    2187U,	// CMOV_FR32
+    2374U,	// CMOV_FR64
+    2394U,	// CMOV_GR16
+    2207U,	// CMOV_GR32
+    2414U,	// CMOV_GR8
+    2166U,	// CMOV_RFP32
+    2353U,	// CMOV_RFP64
+    2081U,	// CMOV_RFP80
+    2123U,	// CMOV_V16F32
+    2227U,	// CMOV_V2F64
+    2290U,	// CMOV_V2I64
+    2102U,	// CMOV_V4F32
+    2248U,	// CMOV_V4F64
+    2311U,	// CMOV_V4I64
+    2145U,	// CMOV_V8F32
+    2269U,	// CMOV_V8F64
+    2332U,	// CMOV_V8I64
+    5616U,	// CMP16i16
+    271106U,	// CMP16mi
+    271106U,	// CMP16mi8
+    271106U,	// CMP16mr
+    29627138U,	// CMP16ri
+    29627138U,	// CMP16ri8
+    38015746U,	// CMP16rm
+    29627138U,	// CMP16rr
+    29627138U,	// CMP16rr_REV
+    5781U,	// CMP32i32
+    279298U,	// CMP32mi
+    279298U,	// CMP32mi8
+    279298U,	// CMP32mr
+    29627138U,	// CMP32ri
+    29627138U,	// CMP32ri8
+    25432834U,	// CMP32rm
+    29627138U,	// CMP32rr
+    29627138U,	// CMP32rr_REV
+    5896U,	// CMP64i32
+    283394U,	// CMP64mi32
+    283394U,	// CMP64mi8
+    283394U,	// CMP64mr
+    29627138U,	// CMP64ri32
+    29627138U,	// CMP64ri8
+    33821442U,	// CMP64rm
+    29627138U,	// CMP64rr
+    29627138U,	// CMP64rr_REV
+    5504U,	// CMP8i8
+    287490U,	// CMP8mi
+    287490U,	// CMP8mi8
+    287490U,	// CMP8mr
+    29627138U,	// CMP8ri
+    29627138U,	// CMP8ri8
+    42210050U,	// CMP8rm
+    29627138U,	// CMP8rr
+    29627138U,	// CMP8rr_REV
+    32898U,	// CMPSB
+    37176U,	// CMPSL
+    41831U,	// CMPSQ
+    46299U,	// CMPSW
+    49237U,	// CMPXCHG16B
+    270874U,	// CMPXCHG16rm
+    29626906U,	// CMPXCHG16rr
+    279066U,	// CMPXCHG32rm
+    29626906U,	// CMPXCHG32rr
+    283162U,	// CMPXCHG64rm
+    29626906U,	// CMPXCHG64rr
+    20577U,	// CMPXCHG8B
+    287258U,	// CMPXCHG8rm
+    29626906U,	// CMPXCHG8rr
+    2959U,	// CPUID
+    3252U,	// CQO
+    3006U,	// CWD
+    3010U,	// CWDE
+    2818U,	// DAA
+    3360U,	// DAS
+    2708U,	// DATA16_PREFIX
+    8365U,	// DEC16m
+    4269U,	// DEC16r
+    4269U,	// DEC16r_alt
+    16557U,	// DEC32m
+    4269U,	// DEC32r
+    4269U,	// DEC32r_alt
+    20653U,	// DEC64m
+    4269U,	// DEC64r
+    24749U,	// DEC8m
+    4269U,	// DEC8r
+    9394U,	// DIV16m
+    5298U,	// DIV16r
+    17586U,	// DIV32m
+    5298U,	// DIV32r
+    21682U,	// DIV64m
+    5298U,	// DIV64r
+    25778U,	// DIV8m
+    5298U,	// DIV8r
+    6018U,	// EH_RETURN
+    6018U,	// EH_RETURN64
+    2531U,	// EH_SjLj_LongJmp32
+    2621U,	// EH_SjLj_LongJmp64
+    2550U,	// EH_SjLj_SetJmp32
+    2640U,	// EH_SjLj_SetJmp64
+    29506U,	// EH_SjLj_Setup
+    29627277U,	// ENTER
+    537214U,	// FARCALL16i
+    53886U,	// FARCALL16m
+    537214U,	// FARCALL32i
+    53886U,	// FARCALL32m
+    53886U,	// FARCALL64
+    537362U,	// FARJMP16i
+    54034U,	// FARJMP16m
+    537362U,	// FARJMP32i
+    54034U,	// FARJMP32m
+    54034U,	// FARJMP64
+    3214U,	// FSETPM
+    2903U,	// GETSEC
+    3532U,	// HLT
+    9393U,	// IDIV16m
+    5297U,	// IDIV16r
+    17585U,	// IDIV32m
+    5297U,	// IDIV32r
+    21681U,	// IDIV64m
+    5297U,	// IDIV64r
+    25777U,	// IDIV8m
+    5297U,	// IDIV8r
+    8877U,	// IMUL16m
+    4781U,	// IMUL16r
+    8655533U,	// IMUL16rm
+    1782846125U,	// IMUL16rmi
+    1782846125U,	// IMUL16rmi8
+    4461229U,	// IMUL16rr
+    700715693U,	// IMUL16rri
+    700715693U,	// IMUL16rri8
+    17069U,	// IMUL32m
+    4781U,	// IMUL32r
+    12849837U,	// IMUL32rm
+    1770263213U,	// IMUL32rmi
+    1770263213U,	// IMUL32rmi8
+    4461229U,	// IMUL32rr
+    700715693U,	// IMUL32rri
+    700715693U,	// IMUL32rri8
+    21165U,	// IMUL64m
+    4781U,	// IMUL64r
+    17044141U,	// IMUL64rm
+    1778651821U,	// IMUL64rmi32
+    1778651821U,	// IMUL64rmi8
+    4461229U,	// IMUL64rr
+    700715693U,	// IMUL64rri32
+    700715693U,	// IMUL64rri8
+    25261U,	// IMUL8m
+    4781U,	// IMUL8r
+    5608U,	// IN16ri
+    3729U,	// IN16rr
+    5772U,	// IN32ri
+    3739U,	// IN32rr
+    5496U,	// IN8ri
+    3719U,	// IN8rr
+    8400U,	// INC16m
+    4304U,	// INC16r
+    4304U,	// INC16r_alt
+    16592U,	// INC32m
+    4304U,	// INC32r
+    4304U,	// INC32r_alt
+    20688U,	// INC64m
+    4304U,	// INC64r
+    24784U,	// INC8m
+    4304U,	// INC8r
+    843893U,	// INSB
+    848171U,	// INSL
+    853198U,	// INSW
+    5231U,	// INT
+    2526U,	// INT1
+    2616U,	// INT3
+    3256U,	// INTO
+    3001U,	// INVD
+    46404729U,	// INVEPT32
+    46404729U,	// INVEPT64
+    25127U,	// INVLPG
+    3685U,	// INVLPGA32
+    3702U,	// INVLPGA64
+    46403829U,	// INVPCID32
+    46403829U,	// INVPCID64
+    46403838U,	// INVVPID32
+    46403838U,	// INVVPID64
+    3504U,	// IRET16
+    2989U,	// IRET32
+    3319U,	// IRET64
+    2787U,	// Int_MemBarrier
+    29006U,	// JAE_1
+    29006U,	// JAE_2
+    29006U,	// JAE_4
+    28740U,	// JA_1
+    28740U,	// JA_2
+    28740U,	// JA_4
+    29026U,	// JBE_1
+    29026U,	// JBE_2
+    29026U,	// JBE_4
+    28785U,	// JB_1
+    28785U,	// JB_2
+    28785U,	// JB_4
+    29992U,	// JCXZ
+    29985U,	// JECXZ
+    29066U,	// JE_1
+    29066U,	// JE_2
+    29066U,	// JE_4
+    29046U,	// JGE_1
+    29046U,	// JGE_2
+    29046U,	// JGE_4
+    29219U,	// JG_1
+    29219U,	// JG_2
+    29219U,	// JG_4
+    29070U,	// JLE_1
+    29070U,	// JLE_2
+    29070U,	// JLE_4
+    29306U,	// JL_1
+    29306U,	// JL_2
+    29306U,	// JL_4
+    8973U,	// JMP16m
+    4877U,	// JMP16r
+    17165U,	// JMP32m
+    4877U,	// JMP32r
+    21261U,	// JMP64m
+    4877U,	// JMP64r
+    29453U,	// JMP_1
+    29453U,	// JMP_2
+    29453U,	// JMP_4
+    29090U,	// JNE_1
+    29090U,	// JNE_2
+    29090U,	// JNE_4
+    29392U,	// JNO_1
+    29392U,	// JNO_2
+    29392U,	// JNO_4
+    29464U,	// JNP_1
+    29464U,	// JNP_2
+    29464U,	// JNP_4
+    29696U,	// JNS_1
+    29696U,	// JNS_2
+    29696U,	// JNS_4
+    29388U,	// JO_1
+    29388U,	// JO_2
+    29388U,	// JO_4
+    29438U,	// JP_1
+    29438U,	// JP_2
+    29438U,	// JP_4
+    29998U,	// JRCXZ
+    29692U,	// JS_1
+    29692U,	// JS_2
+    29692U,	// JS_4
+    3086U,	// LAHF
+    38015870U,	// LAR16rm
+    29627262U,	// LAR16rr
+    38015870U,	// LAR32rm
+    29627262U,	// LAR32rr
+    38015870U,	// LAR64rm
+    29627262U,	// LAR64rr
+    270874U,	// LCMPXCHG16
+    49237U,	// LCMPXCHG16B
+    279066U,	// LCMPXCHG32
+    283162U,	// LCMPXCHG64
+    287258U,	// LCMPXCHG8
+    20577U,	// LCMPXCHG8B
+    50598880U,	// LDS16rm
+    50598880U,	// LDS32rm
+    54792255U,	// LEA16r
+    54792255U,	// LEA32r
+    54792255U,	// LEA64_32r
+    54792255U,	// LEA64r
+    3073U,	// LEAVE
+    3073U,	// LEAVE64
+    50598885U,	// LES16rm
+    50598885U,	// LES32rm
+    50598898U,	// LFS16rm
+    50598898U,	// LFS32rm
+    50598898U,	// LFS64rm
+    54328U,	// LGDT16m
+    54328U,	// LGDT32m
+    54328U,	// LGDT64m
+    50598903U,	// LGS16rm
+    50598903U,	// LGS32rm
+    50598903U,	// LGS64rm
+    54340U,	// LIDT16m
+    54340U,	// LIDT32m
+    54340U,	// LIDT64m
+    9296U,	// LLDT16m
+    5200U,	// LLDT16r
+    9410U,	// LMSW16m
+    5314U,	// LMSW16r
+    270568U,	// LOCK_ADD16mi
+    270568U,	// LOCK_ADD16mi8
+    270568U,	// LOCK_ADD16mr
+    278760U,	// LOCK_ADD32mi
+    278760U,	// LOCK_ADD32mi8
+    278760U,	// LOCK_ADD32mr
+    282856U,	// LOCK_ADD64mi32
+    282856U,	// LOCK_ADD64mi8
+    282856U,	// LOCK_ADD64mr
+    286952U,	// LOCK_ADD8mi
+    286952U,	// LOCK_ADD8mr
+    270617U,	// LOCK_AND16mi
+    270617U,	// LOCK_AND16mi8
+    270617U,	// LOCK_AND16mr
+    278809U,	// LOCK_AND32mi
+    278809U,	// LOCK_AND32mi8
+    278809U,	// LOCK_AND32mr
+    282905U,	// LOCK_AND64mi32
+    282905U,	// LOCK_AND64mi8
+    282905U,	// LOCK_AND64mr
+    287001U,	// LOCK_AND8mi
+    287001U,	// LOCK_AND8mr
+    8365U,	// LOCK_DEC16m
+    16557U,	// LOCK_DEC32m
+    20653U,	// LOCK_DEC64m
+    24749U,	// LOCK_DEC8m
+    8400U,	// LOCK_INC16m
+    16592U,	// LOCK_INC32m
+    20688U,	// LOCK_INC64m
+    24784U,	// LOCK_INC8m
+    271258U,	// LOCK_OR16mi
+    271258U,	// LOCK_OR16mi8
+    271258U,	// LOCK_OR16mr
+    279450U,	// LOCK_OR32mi
+    279450U,	// LOCK_OR32mi8
+    279450U,	// LOCK_OR32mr
+    283546U,	// LOCK_OR64mi32
+    283546U,	// LOCK_OR64mi8
+    283546U,	// LOCK_OR64mr
+    287642U,	// LOCK_OR8mi
+    287642U,	// LOCK_OR8mr
+    3154U,	// LOCK_PREFIX
+    270486U,	// LOCK_SUB16mi
+    270486U,	// LOCK_SUB16mi8
+    270486U,	// LOCK_SUB16mr
+    278678U,	// LOCK_SUB32mi
+    278678U,	// LOCK_SUB32mi8
+    278678U,	// LOCK_SUB32mr
+    282774U,	// LOCK_SUB64mi32
+    282774U,	// LOCK_SUB64mi8
+    282774U,	// LOCK_SUB64mr
+    286870U,	// LOCK_SUB8mi
+    286870U,	// LOCK_SUB8mr
+    271270U,	// LOCK_XOR16mi
+    271270U,	// LOCK_XOR16mi8
+    271270U,	// LOCK_XOR16mr
+    279462U,	// LOCK_XOR32mi
+    279462U,	// LOCK_XOR32mi8
+    279462U,	// LOCK_XOR32mr
+    283558U,	// LOCK_XOR64mi32
+    283558U,	// LOCK_XOR64mi8
+    283558U,	// LOCK_XOR64mr
+    287654U,	// LOCK_XOR8mi
+    287654U,	// LOCK_XOR8mr
+    70985U,	// LODSB
+    75381U,	// LODSL
+    79646U,	// LODSQ
+    83500U,	// LODSW
+    29489U,	// LOOP
+    29118U,	// LOOPE
+    29095U,	// LOOPNE
+    4623U,	// LRETIL
+    4953U,	// LRETIQ
+    4623U,	// LRETIW
+    3107U,	// LRETL
+    3293U,	// LRETQ
+    3107U,	// LRETW
+    38015650U,	// LSL16rm
+    29627042U,	// LSL16rr
+    25432738U,	// LSL32rm
+    29627042U,	// LSL32rr
+    33821346U,	// LSL64rm
+    29627042U,	// LSL64rr
+    50598941U,	// LSS16rm
+    50598941U,	// LSS32rm
+    50598941U,	// LSS64rm
+    9153U,	// LTRm
+    5057U,	// LTRr
+    86247U,	// LXADD16
+    90343U,	// LXADD32
+    94439U,	// LXADD64
+    98535U,	// LXADD8
+    38016097U,	// LZCNT16rm
+    29627489U,	// LZCNT16rr
+    25433185U,	// LZCNT32rm
+    29627489U,	// LZCNT32rr
+    33821793U,	// LZCNT64rm
+    29627489U,	// LZCNT64rr
+    3206U,	// MONTMUL
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
-    627810U,	// MOV16ao16
-    627810U,	// MOV16ao16_16
-    140386U,	// MOV16mi
-    140386U,	// MOV16mr
-    140386U,	// MOV16ms
-    103875U,	// MOV16o16a
-    103875U,	// MOV16o16a_16
-    14816354U,	// MOV16ri
-    14816354U,	// MOV16ri_alt
-    19010658U,	// MOV16rm
-    14816354U,	// MOV16rr
-    14816354U,	// MOV16rr_REV
-    14816354U,	// MOV16rs
-    19010658U,	// MOV16sm
-    14816354U,	// MOV16sr
-    762978U,	// MOV32ao32
-    762978U,	// MOV32ao32_16
-    14816354U,	// MOV32cr
-    14816354U,	// MOV32dr
-    148578U,	// MOV32mi
-    148578U,	// MOV32mr
-    140386U,	// MOV32ms
-    108140U,	// MOV32o32a
-    108140U,	// MOV32o32a_16
+    103960U,	// MOV16ao16
+    103960U,	// MOV16ao32
+    103938U,	// MOV16ao64
+    271543U,	// MOV16mi
+    271543U,	// MOV16mr
+    271543U,	// MOV16ms
+    1152183U,	// MOV16o16a
+    1152183U,	// MOV16o32a
+    1151954U,	// MOV16o64a
+    29627575U,	// MOV16ri
+    29627575U,	// MOV16ri_alt
+    38016183U,	// MOV16rm
+    29627575U,	// MOV16rr
+    29627575U,	// MOV16rr_REV
+    29627575U,	// MOV16rs
+    38016183U,	// MOV16sm
+    29627575U,	// MOV16sr
+    108225U,	// MOV32ao16
+    108225U,	// MOV32ao32
+    108201U,	// MOV32ao64
+    29627575U,	// MOV32cr
+    29627575U,	// MOV32dr
+    279735U,	// MOV32mi
+    279735U,	// MOV32mr
+    271543U,	// MOV32ms
+    1418423U,	// MOV32o16a
+    1418423U,	// MOV32o32a
+    1418194U,	// MOV32o64a
     0U,	// MOV32r0
-    14816354U,	// MOV32rc
-    14816354U,	// MOV32rd
-    14816354U,	// MOV32ri
+    29627575U,	// MOV32rc
+    29627575U,	// MOV32rd
+    29627575U,	// MOV32ri
     0U,	// MOV32ri64
-    14816354U,	// MOV32ri_alt
-    12719202U,	// MOV32rm
-    14816354U,	// MOV32rr
-    14816354U,	// MOV32rr_REV
-    14816354U,	// MOV32rs
-    19010658U,	// MOV32sm
-    14816354U,	// MOV32sr
-    627610U,	// MOV64ao16
-    762778U,	// MOV64ao32
-    897946U,	// MOV64ao64
-    1033114U,	// MOV64ao8
-    14816354U,	// MOV64cr
-    14816354U,	// MOV64dr
-    152674U,	// MOV64mi32
-    152674U,	// MOV64mr
-    140386U,	// MOV64ms
-    103853U,	// MOV64o16a
-    108116U,	// MOV64o32a
-    112351U,	// MOV64o64a
-    116029U,	// MOV64o8a
-    14816354U,	// MOV64rc
-    14816354U,	// MOV64rd
-    14816154U,	// MOV64ri
-    14816354U,	// MOV64ri32
-    16913506U,	// MOV64rm
-    14816354U,	// MOV64rr
-    14816354U,	// MOV64rr_REV
-    14816354U,	// MOV64rs
-    19010658U,	// MOV64sm
-    14816354U,	// MOV64sr
-    1033314U,	// MOV8ao8
-    1033314U,	// MOV8ao8_16
-    156770U,	// MOV8mi
-    156770U,	// MOV8mr
-    134374498U,	// MOV8mr_NOREX
-    116051U,	// MOV8o8a
-    116051U,	// MOV8o8a_16
-    14816354U,	// MOV8ri
-    14816354U,	// MOV8ri_alt
-    21107810U,	// MOV8rm
-    155325538U,	// MOV8rm_NOREX
-    14816354U,	// MOV8rr
-    149034082U,	// MOV8rr_NOREX
-    14816354U,	// MOV8rr_REV
-    139586U,	// MOVBE16mr
-    19009858U,	// MOVBE16rm
-    147778U,	// MOVBE32mr
-    12718402U,	// MOVBE32rm
-    151874U,	// MOVBE64mr
-    16912706U,	// MOVBE64rm
+    29627575U,	// MOV32ri_alt
+    25433271U,	// MOV32rm
+    29627575U,	// MOV32rr
+    29627575U,	// MOV32rr_REV
+    29627575U,	// MOV32rs
+    38016183U,	// MOV32sm
+    29627575U,	// MOV32sr
+    112460U,	// MOV64ao32
+    112436U,	// MOV64ao64
+    29627575U,	// MOV64cr
+    29627575U,	// MOV64dr
+    283831U,	// MOV64mi32
+    283831U,	// MOV64mr
+    271543U,	// MOV64ms
+    1684663U,	// MOV64o32a
+    1684434U,	// MOV64o64a
+    29627575U,	// MOV64rc
+    29627575U,	// MOV64rd
+    29627346U,	// MOV64ri
+    29627575U,	// MOV64ri32
+    33821879U,	// MOV64rm
+    29627575U,	// MOV64rr
+    29627575U,	// MOV64rr_REV
+    29627575U,	// MOV64rs
+    38016183U,	// MOV64sm
+    29627575U,	// MOV64sr
+    116136U,	// MOV8ao16
+    116136U,	// MOV8ao32
+    116114U,	// MOV8ao64
+    287927U,	// MOV8mi
+    287927U,	// MOV8mr
+    287927U,	// MOV8mr_NOREX
+    1950903U,	// MOV8o16a
+    1950903U,	// MOV8o32a
+    1950674U,	// MOV8o64a
+    29627575U,	// MOV8ri
+    29627575U,	// MOV8ri_alt
+    42210487U,	// MOV8rm
+    42210487U,	// MOV8rm_NOREX
+    29627575U,	// MOV8rr
+    29627575U,	// MOV8rr_NOREX
+    29627575U,	// MOV8rr_REV
+    270703U,	// MOVBE16mr
+    38015343U,	// MOVBE16rm
+    278895U,	// MOVBE32mr
+    25432431U,	// MOVBE32rm
+    282991U,	// MOVBE64mr
+    33821039U,	// MOVBE64rm
     0U,	// MOVPC32r
-    27451498U,	// MOVSB
-    29552914U,	// MOVSL
-    31707958U,	// MOVSQ
-    33752205U,	// MOVSW
-    21107902U,	// MOVSX16rm8
-    14816446U,	// MOVSX16rr8
-    19010750U,	// MOVSX32rm16
-    21107902U,	// MOVSX32rm8
-    14816446U,	// MOVSX32rr16
-    14816446U,	// MOVSX32rr8
-    14815513U,	// MOVSX64_NOREXrr32
-    19010750U,	// MOVSX64rm16
-    12718361U,	// MOVSX64rm32
-    21107902U,	// MOVSX64rm8
-    14816446U,	// MOVSX64rr16
-    14815513U,	// MOVSX64rr32
-    14816446U,	// MOVSX64rr8
-    21107909U,	// MOVZX16rm8
-    14816453U,	// MOVZX16rr8
-    21107909U,	// MOVZX32_NOREXrm8
-    14816453U,	// MOVZX32_NOREXrr8
-    19010757U,	// MOVZX32rm16
-    21107909U,	// MOVZX32rm8
-    14816453U,	// MOVZX32rr16
-    14816453U,	// MOVZX32rr8
-    19010757U,	// MOVZX64rm16_Q
-    21107909U,	// MOVZX64rm8_Q
-    14816453U,	// MOVZX64rr16_Q
-    14816453U,	// MOVZX64rr8_Q
-    8833U,	// MUL16m
-    4737U,	// MUL16r
-    17025U,	// MUL32m
-    4737U,	// MUL32r
-    21121U,	// MUL64m
-    4737U,	// MUL64r
-    25217U,	// MUL8m
-    4737U,	// MUL8r
-    81925280U,	// MULX32rm
-    350360736U,	// MULX32rr
-    618796192U,	// MULX64rm
-    350360736U,	// MULX64rr
-    8680U,	// NEG16m
-    4584U,	// NEG16r
-    16872U,	// NEG32m
-    4584U,	// NEG32r
-    20968U,	// NEG64m
-    4584U,	// NEG64r
-    25064U,	// NEG8m
-    4584U,	// NEG8r
-    3095U,	// NOOP
-    8948U,	// NOOP18_16m4
-    8948U,	// NOOP18_16m5
-    8948U,	// NOOP18_16m6
-    8948U,	// NOOP18_16m7
-    4852U,	// NOOP18_16r4
-    4852U,	// NOOP18_16r5
-    4852U,	// NOOP18_16r6
-    4852U,	// NOOP18_16r7
-    17140U,	// NOOP18_m4
-    17140U,	// NOOP18_m5
-    17140U,	// NOOP18_m6
-    17140U,	// NOOP18_m7
-    4852U,	// NOOP18_r4
-    4852U,	// NOOP18_r5
-    4852U,	// NOOP18_r6
-    4852U,	// NOOP18_r7
-    35795700U,	// NOOP19rr
-    17140U,	// NOOPL
-    17140U,	// NOOPL_19
-    17140U,	// NOOPL_1a
-    17140U,	// NOOPL_1b
-    17140U,	// NOOPL_1c
-    17140U,	// NOOPL_1d
-    17140U,	// NOOPL_1e
-    8948U,	// NOOPW
-    8948U,	// NOOPW_19
-    8948U,	// NOOPW_1a
-    8948U,	// NOOPW_1b
-    8948U,	// NOOPW_1c
-    8948U,	// NOOPW_1d
-    8948U,	// NOOPW_1e
-    9259U,	// NOT16m
-    5163U,	// NOT16r
-    17451U,	// NOT32m
-    5163U,	// NOT32r
-    21547U,	// NOT64m
-    5163U,	// NOT64r
-    25643U,	// NOT8m
-    5163U,	// NOT8r
-    5541U,	// OR16i16
-    140130U,	// OR16mi
-    140130U,	// OR16mi8
-    140130U,	// OR16mr
-    2241378U,	// OR16ri
-    2241378U,	// OR16ri8
-    4338530U,	// OR16rm
-    2241378U,	// OR16rr
-    2233186U,	// OR16rr_REV
-    5707U,	// OR32i32
-    148322U,	// OR32mi
-    148322U,	// OR32mi8
-    148322U,	// OR32mr
-    148322U,	// OR32mrLocked
-    2241378U,	// OR32ri
-    2241378U,	// OR32ri8
-    6435682U,	// OR32rm
-    2241378U,	// OR32rr
-    2233186U,	// OR32rr_REV
-    5846U,	// OR64i32
-    152418U,	// OR64mi32
-    152418U,	// OR64mi8
-    152418U,	// OR64mr
-    2241378U,	// OR64ri32
-    2241378U,	// OR64ri8
-    8532834U,	// OR64rm
-    2241378U,	// OR64rr
-    2233186U,	// OR64rr_REV
-    5429U,	// OR8i8
-    156514U,	// OR8mi
-    156514U,	// OR8mr
-    2241378U,	// OR8ri
-    2241378U,	// OR8ri8
-    10629986U,	// OR8rm
-    2241378U,	// OR8rr
-    2233186U,	// OR8rr_REV
-    529489U,	// OUT16ir
-    3402U,	// OUT16rr
-    660561U,	// OUT32ir
-    3456U,	// OUT32rr
-    922705U,	// OUT8ir
-    2982U,	// OUT8rr
-    71415U,	// OUTSB
-    75522U,	// OUTSL
-    83725U,	// OUTSW
-    81924811U,	// PDEP32rm
-    350360267U,	// PDEP32rr
-    618795723U,	// PDEP64rm
-    350360267U,	// PDEP64rr
-    81925206U,	// PEXT32rm
-    350360662U,	// PEXT32rr
-    618796118U,	// PEXT64rm
-    350360662U,	// PEXT64rr
-    4863U,	// POP16r
-    8959U,	// POP16rmm
-    4863U,	// POP16rmr
-    4863U,	// POP32r
-    17151U,	// POP32rmm
-    4863U,	// POP32rmr
-    4863U,	// POP64r
-    21247U,	// POP64rmm
-    4863U,	// POP64rmr
-    3372U,	// POPA16
-    3000U,	// POPA32
-    3203U,	// POPDS16
-    3203U,	// POPDS32
-    3218U,	// POPES16
-    3218U,	// POPES32
-    2925U,	// POPF16
-    2776U,	// POPF32
-    3110U,	// POPF64
-    3233U,	// POPFS16
-    3233U,	// POPFS32
-    3233U,	// POPFS64
-    3248U,	// POPGS16
-    3248U,	// POPGS32
-    3248U,	// POPGS64
-    3315U,	// POPSS16
-    3315U,	// POPSS32
-    4623U,	// PUSH16i8
-    4623U,	// PUSH16r
-    8719U,	// PUSH16rmm
-    4623U,	// PUSH16rmr
-    4623U,	// PUSH32i8
-    4623U,	// PUSH32r
-    16911U,	// PUSH32rmm
-    4623U,	// PUSH32rmr
-    4623U,	// PUSH64i16
-    4623U,	// PUSH64i32
-    4623U,	// PUSH64i8
-    4623U,	// PUSH64r
-    21007U,	// PUSH64rmm
-    4623U,	// PUSH64rmr
-    3365U,	// PUSHA16
-    2993U,	// PUSHA32
-    3187U,	// PUSHCS16
-    3187U,	// PUSHCS32
-    3195U,	// PUSHDS16
-    3195U,	// PUSHDS32
-    3210U,	// PUSHES16
-    3210U,	// PUSHES32
-    2919U,	// PUSHF16
-    2769U,	// PUSHF32
-    3103U,	// PUSHF64
-    3225U,	// PUSHFS16
-    3225U,	// PUSHFS32
-    3225U,	// PUSHFS64
-    3240U,	// PUSHGS16
-    3240U,	// PUSHGS32
-    3240U,	// PUSHGS64
-    3307U,	// PUSHSS16
-    3307U,	// PUSHSS32
-    4623U,	// PUSHi16
-    4623U,	// PUSHi32
-    1057347U,	// RCL16m1
-    1188419U,	// RCL16mCL
-    139843U,	// RCL16mi
-    1053251U,	// RCL16r1
-    1184323U,	// RCL16rCL
-    2232899U,	// RCL16ri
-    1065539U,	// RCL32m1
-    1196611U,	// RCL32mCL
-    148035U,	// RCL32mi
-    1053251U,	// RCL32r1
-    1184323U,	// RCL32rCL
-    2232899U,	// RCL32ri
-    1069635U,	// RCL64m1
-    1200707U,	// RCL64mCL
-    152131U,	// RCL64mi
-    1053251U,	// RCL64r1
-    1184323U,	// RCL64rCL
-    2232899U,	// RCL64ri
-    1073731U,	// RCL8m1
-    1204803U,	// RCL8mCL
-    156227U,	// RCL8mi
-    1053251U,	// RCL8r1
-    1184323U,	// RCL8rCL
-    2232899U,	// RCL8ri
-    1057616U,	// RCR16m1
-    1188688U,	// RCR16mCL
-    140112U,	// RCR16mi
-    1053520U,	// RCR16r1
-    1184592U,	// RCR16rCL
-    2233168U,	// RCR16ri
-    1065808U,	// RCR32m1
-    1196880U,	// RCR32mCL
-    148304U,	// RCR32mi
-    1053520U,	// RCR32r1
-    1184592U,	// RCR32rCL
-    2233168U,	// RCR32ri
-    1069904U,	// RCR64m1
-    1200976U,	// RCR64mCL
-    152400U,	// RCR64mi
-    1053520U,	// RCR64r1
-    1184592U,	// RCR64rCL
-    2233168U,	// RCR64ri
-    1074000U,	// RCR8m1
-    1205072U,	// RCR8mCL
-    156496U,	// RCR8mi
-    1053520U,	// RCR8r1
-    1184592U,	// RCR8rCL
-    2233168U,	// RCR8ri
-    4504U,	// RDFSBASE
-    4504U,	// RDFSBASE64
-    4524U,	// RDGSBASE
-    4524U,	// RDGSBASE64
-    3157U,	// RDMSR
-    2746U,	// RDPMC
-    4329U,	// RDRAND16r
-    4329U,	// RDRAND32r
-    4329U,	// RDRAND64r
-    4288U,	// RDSEED16r
-    4288U,	// RDSEED32r
-    4288U,	// RDSEED64r
-    2759U,	// RDTSC
-    3084U,	// RDTSCP
-    2322U,	// RELEASE_MOV16mr
-    2322U,	// RELEASE_MOV32mr
-    2322U,	// RELEASE_MOV64mr
-    2322U,	// RELEASE_MOV8mr
-    2847U,	// REPNE_PREFIX
-    2690U,	// REP_MOVSB_32
-    2690U,	// REP_MOVSB_64
-    2802U,	// REP_MOVSD_32
-    2802U,	// REP_MOVSD_64
-    3132U,	// REP_MOVSQ_64
-    3392U,	// REP_MOVSW_32
-    3392U,	// REP_MOVSW_64
-    3091U,	// REP_PREFIX
-    2680U,	// REP_STOSB_32
-    2680U,	// REP_STOSB_64
-    2792U,	// REP_STOSD_32
-    2792U,	// REP_STOSD_64
-    3122U,	// REP_STOSQ_64
-    3382U,	// REP_STOSW_32
-    3382U,	// REP_STOSW_64
-    5139U,	// RETIL
-    5139U,	// RETIQ
-    5139U,	// RETIW
-    3328U,	// RETL
-    3328U,	// RETQ
-    3328U,	// RETW
-    2525U,	// REX64_PREFIX
-    1057386U,	// ROL16m1
-    1188458U,	// ROL16mCL
-    139882U,	// ROL16mi
-    1053290U,	// ROL16r1
-    1184362U,	// ROL16rCL
-    2232938U,	// ROL16ri
-    1065578U,	// ROL32m1
-    1196650U,	// ROL32mCL
-    148074U,	// ROL32mi
-    1053290U,	// ROL32r1
-    1184362U,	// ROL32rCL
-    2232938U,	// ROL32ri
-    1069674U,	// ROL64m1
-    1200746U,	// ROL64mCL
-    152170U,	// ROL64mi
-    1053290U,	// ROL64r1
-    1184362U,	// ROL64rCL
-    2232938U,	// ROL64ri
-    1073770U,	// ROL8m1
-    1204842U,	// ROL8mCL
-    156266U,	// ROL8mi
-    1053290U,	// ROL8r1
-    1184362U,	// ROL8rCL
-    2232938U,	// ROL8ri
-    1057633U,	// ROR16m1
-    1188705U,	// ROR16mCL
-    140129U,	// ROR16mi
-    1053537U,	// ROR16r1
-    1184609U,	// ROR16rCL
-    2233185U,	// ROR16ri
-    1065825U,	// ROR32m1
-    1196897U,	// ROR32mCL
-    148321U,	// ROR32mi
-    1053537U,	// ROR32r1
-    1184609U,	// ROR32rCL
-    2233185U,	// ROR32ri
-    1069921U,	// ROR64m1
-    1200993U,	// ROR64mCL
-    152417U,	// ROR64mi
-    1053537U,	// ROR64r1
-    1184609U,	// ROR64rCL
-    2233185U,	// ROR64ri
-    1074017U,	// ROR8m1
-    1205089U,	// ROR8mCL
-    156513U,	// ROR8mi
-    1053537U,	// ROR8r1
-    1184609U,	// ROR8rCL
-    2233185U,	// ROR8ri
-    885134520U,	// RORX32mi
-    350360760U,	// RORX32ri
-    889328824U,	// RORX64mi
-    350360760U,	// RORX64ri
-    3044U,	// RSM
-    2914U,	// SAHF
-    1057342U,	// SAL16m1
-    1188414U,	// SAL16mCL
-    139838U,	// SAL16mi
-    1053246U,	// SAL16r1
-    1184318U,	// SAL16rCL
-    2232894U,	// SAL16ri
-    1065534U,	// SAL32m1
-    1196606U,	// SAL32mCL
-    148030U,	// SAL32mi
-    1053246U,	// SAL32r1
-    1184318U,	// SAL32rCL
-    2232894U,	// SAL32ri
-    1069630U,	// SAL64m1
-    1200702U,	// SAL64mCL
-    152126U,	// SAL64mi
-    1053246U,	// SAL64r1
-    1184318U,	// SAL64rCL
-    2232894U,	// SAL64ri
-    1073726U,	// SAL8m1
-    1204798U,	// SAL8mCL
-    156222U,	// SAL8mi
-    1053246U,	// SAL8r1
-    1184318U,	// SAL8rCL
-    2232894U,	// SAL8ri
-    2733U,	// SALC
-    1057611U,	// SAR16m1
-    1188683U,	// SAR16mCL
-    140107U,	// SAR16mi
-    1053515U,	// SAR16r1
-    1184587U,	// SAR16rCL
-    2233163U,	// SAR16ri
-    1065803U,	// SAR32m1
-    1196875U,	// SAR32mCL
-    148299U,	// SAR32mi
-    1053515U,	// SAR32r1
-    1184587U,	// SAR32rCL
-    2233163U,	// SAR32ri
-    1069899U,	// SAR64m1
-    1200971U,	// SAR64mCL
-    152395U,	// SAR64mi
-    1053515U,	// SAR64r1
-    1184587U,	// SAR64rCL
-    2233163U,	// SAR64ri
-    1073995U,	// SAR8m1
-    1205067U,	// SAR8mCL
-    156491U,	// SAR8mi
-    1053515U,	// SAR8r1
-    1184587U,	// SAR8rCL
-    2233163U,	// SAR8ri
-    885134508U,	// SARX32rm
-    350360748U,	// SARX32rr
-    889328812U,	// SARX64rm
-    350360748U,	// SARX64rr
-    5468U,	// SBB16i16
-    139341U,	// SBB16mi
-    139341U,	// SBB16mi8
-    139341U,	// SBB16mr
-    2240589U,	// SBB16ri
-    2240589U,	// SBB16ri8
-    4337741U,	// SBB16rm
-    2240589U,	// SBB16rr
-    2232397U,	// SBB16rr_REV
-    5602U,	// SBB32i32
-    147533U,	// SBB32mi
-    147533U,	// SBB32mi8
-    147533U,	// SBB32mr
-    2240589U,	// SBB32ri
-    2240589U,	// SBB32ri8
-    6434893U,	// SBB32rm
-    2240589U,	// SBB32rr
-    2232397U,	// SBB32rr_REV
-    5750U,	// SBB64i32
-    151629U,	// SBB64mi32
-    151629U,	// SBB64mi8
-    151629U,	// SBB64mr
-    2240589U,	// SBB64ri32
-    2240589U,	// SBB64ri8
-    8532045U,	// SBB64rm
-    2240589U,	// SBB64rr
-    2232397U,	// SBB64rr_REV
-    5344U,	// SBB8i8
-    155725U,	// SBB8mi
-    155725U,	// SBB8mr
-    2240589U,	// SBB8ri
-    10629197U,	// SBB8rm
-    2240589U,	// SBB8rr
-    2232397U,	// SBB8rr_REV
-    58601U,	// SCASB
-    62996U,	// SCASL
-    120509U,	// SCASQ
-    67020U,	// SCASW
-    3262U,	// SEG_ALLOCA_32
-    3262U,	// SEG_ALLOCA_64
-    2879U,	// SEH_EndPrologue
-    2865U,	// SEH_Epilogue
-    6001U,	// SEH_PushFrame
-    6046U,	// SEH_PushReg
-    14817168U,	// SEH_SaveReg
-    14817082U,	// SEH_SaveXMM
-    14817153U,	// SEH_SetFrame
-    5984U,	// SEH_StackAlloc
-    24870U,	// SETAEm
-    4390U,	// SETAEr
-    24617U,	// SETAm
-    4137U,	// SETAr
-    24890U,	// SETBEm
-    4410U,	// SETBEr
+    59039881U,	// MOVSB
+    63238463U,	// MOVSL
+    67490670U,	// MOVSQ
+    71632098U,	// MOVSW
+    42210579U,	// MOVSX16rm8
+    29627667U,	// MOVSX16rr8
+    42210579U,	// MOVSX32_NOREXrm8
+    29627667U,	// MOVSX32_NOREXrr8
+    38016275U,	// MOVSX32rm16
+    42210579U,	// MOVSX32rm8
+    29627667U,	// MOVSX32rr16
+    29627667U,	// MOVSX32rr8
+    29626694U,	// MOVSX64_NOREXrr32
+    38016275U,	// MOVSX64rm16
+    25432390U,	// MOVSX64rm32
+    25432390U,	// MOVSX64rm32_alt
+    42210579U,	// MOVSX64rm8
+    29627667U,	// MOVSX64rr16
+    29626694U,	// MOVSX64rr32
+    29627667U,	// MOVSX64rr8
+    42210586U,	// MOVZX16rm8
+    29627674U,	// MOVZX16rr8
+    42210586U,	// MOVZX32_NOREXrm8
+    29627674U,	// MOVZX32_NOREXrr8
+    38016282U,	// MOVZX32rm16
+    42210586U,	// MOVZX32rm8
+    29627674U,	// MOVZX32rr16
+    29627674U,	// MOVZX32rr8
+    38016282U,	// MOVZX64rm16_Q
+    42210586U,	// MOVZX64rm8_Q
+    29627674U,	// MOVZX64rr16_Q
+    29627674U,	// MOVZX64rr8_Q
+    8878U,	// MUL16m
+    4782U,	// MUL16r
+    17070U,	// MUL32m
+    4782U,	// MUL32r
+    21166U,	// MUL64m
+    4782U,	// MUL64r
+    25262U,	// MUL8m
+    4782U,	// MUL8r
+    163845365U,	// MULX32rm
+    700716277U,	// MULX32rr
+    1237587189U,	// MULX64rm
+    700716277U,	// MULX64rr
+    8725U,	// NEG16m
+    4629U,	// NEG16r
+    16917U,	// NEG32m
+    4629U,	// NEG32r
+    21013U,	// NEG64m
+    4629U,	// NEG64r
+    25109U,	// NEG8m
+    4629U,	// NEG8r
+    3272U,	// NOOP
+    9004U,	// NOOP18_16m4
+    9004U,	// NOOP18_16m5
+    9004U,	// NOOP18_16m6
+    9004U,	// NOOP18_16m7
+    4908U,	// NOOP18_16r4
+    4908U,	// NOOP18_16r5
+    4908U,	// NOOP18_16r6
+    4908U,	// NOOP18_16r7
+    17196U,	// NOOP18_m4
+    17196U,	// NOOP18_m5
+    17196U,	// NOOP18_m6
+    17196U,	// NOOP18_m7
+    4908U,	// NOOP18_r4
+    4908U,	// NOOP18_r5
+    4908U,	// NOOP18_r6
+    4908U,	// NOOP18_r7
+    75772716U,	// NOOP19rr
+    17196U,	// NOOPL
+    17196U,	// NOOPL_19
+    17196U,	// NOOPL_1a
+    17196U,	// NOOPL_1b
+    17196U,	// NOOPL_1c
+    17196U,	// NOOPL_1d
+    17196U,	// NOOPL_1e
+    9004U,	// NOOPW
+    9004U,	// NOOPW_19
+    9004U,	// NOOPW_1a
+    9004U,	// NOOPW_1b
+    9004U,	// NOOPW_1c
+    9004U,	// NOOPW_1d
+    9004U,	// NOOPW_1e
+    9332U,	// NOT16m
+    5236U,	// NOT16r
+    17524U,	// NOT32m
+    5236U,	// NOT32r
+    21620U,	// NOT64m
+    5236U,	// NOT64r
+    25716U,	// NOT8m
+    5236U,	// NOT8r
+    5626U,	// OR16i16
+    271258U,	// OR16mi
+    271258U,	// OR16mi8
+    271258U,	// OR16mr
+    4469658U,	// OR16ri
+    4469658U,	// OR16ri8
+    8663962U,	// OR16rm
+    4469658U,	// OR16rr
+    4461466U,	// OR16rr_REV
+    5792U,	// OR32i32
+    279450U,	// OR32mi
+    279450U,	// OR32mi8
+    279450U,	// OR32mr
+    279450U,	// OR32mrLocked
+    4469658U,	// OR32ri
+    4469658U,	// OR32ri8
+    12858266U,	// OR32rm
+    4469658U,	// OR32rr
+    4461466U,	// OR32rr_REV
+    5931U,	// OR64i32
+    283546U,	// OR64mi32
+    283546U,	// OR64mi8
+    283546U,	// OR64mr
+    4469658U,	// OR64ri32
+    4469658U,	// OR64ri8
+    17052570U,	// OR64rm
+    4469658U,	// OR64rr
+    4461466U,	// OR64rr_REV
+    5514U,	// OR8i8
+    287642U,	// OR8mi
+    287642U,	// OR8mi8
+    287642U,	// OR8mr
+    4469658U,	// OR8ri
+    4469658U,	// OR8ri8
+    21246874U,	// OR8rm
+    4469658U,	// OR8rr
+    4461466U,	// OR8rr_REV
+    1053862U,	// OUT16ir
+    3587U,	// OUT16rr
+    1316006U,	// OUT32ir
+    3641U,	// OUT32rr
+    1840294U,	// OUT8ir
+    3159U,	// OUT8rr
+    71510U,	// OUTSB
+    75617U,	// OUTSL
+    83820U,	// OUTSW
+    3516U,	// PCOMMIT
+    163844856U,	// PDEP32rm
+    700715768U,	// PDEP32rr
+    1237586680U,	// PDEP64rm
+    700715768U,	// PDEP64rr
+    163845291U,	// PEXT32rm
+    700716203U,	// PEXT32rr
+    1237587115U,	// PEXT64rm
+    700716203U,	// PEXT64rr
+    4919U,	// POP16r
+    9015U,	// POP16rmm
+    4919U,	// POP16rmr
+    4919U,	// POP32r
+    17207U,	// POP32rmm
+    4919U,	// POP32rmr
+    4919U,	// POP64r
+    21303U,	// POP64rmm
+    4919U,	// POP64rmr
+    3557U,	// POPA16
+    3177U,	// POPA32
+    3380U,	// POPDS16
+    3380U,	// POPDS32
+    3395U,	// POPES16
+    3395U,	// POPES32
+    3102U,	// POPF16
+    2953U,	// POPF32
+    3287U,	// POPF64
+    3410U,	// POPFS16
+    3410U,	// POPFS32
+    3410U,	// POPFS64
+    3425U,	// POPGS16
+    3425U,	// POPGS32
+    3425U,	// POPGS64
+    3492U,	// POPSS16
+    3492U,	// POPSS32
+    4668U,	// PUSH16i8
+    4668U,	// PUSH16r
+    8764U,	// PUSH16rmm
+    4668U,	// PUSH16rmr
+    4668U,	// PUSH32i8
+    4668U,	// PUSH32r
+    16956U,	// PUSH32rmm
+    4668U,	// PUSH32rmr
+    4668U,	// PUSH64i16
+    4668U,	// PUSH64i32
+    4668U,	// PUSH64i8
+    4668U,	// PUSH64r
+    21052U,	// PUSH64rmm
+    4668U,	// PUSH64rmr
+    3550U,	// PUSHA16
+    3170U,	// PUSHA32
+    3364U,	// PUSHCS16
+    3364U,	// PUSHCS32
+    3372U,	// PUSHDS16
+    3372U,	// PUSHDS32
+    3387U,	// PUSHES16
+    3387U,	// PUSHES32
+    3096U,	// PUSHF16
+    2946U,	// PUSHF32
+    3280U,	// PUSHF64
+    3402U,	// PUSHFS16
+    3402U,	// PUSHFS32
+    3402U,	// PUSHFS64
+    3417U,	// PUSHGS16
+    3417U,	// PUSHGS32
+    3417U,	// PUSHGS64
+    3484U,	// PUSHSS16
+    3484U,	// PUSHSS32
+    4668U,	// PUSHi16
+    4668U,	// PUSHi32
+    2105968U,	// RCL16m1
+    2368112U,	// RCL16mCL
+    270960U,	// RCL16mi
+    2101872U,	// RCL16r1
+    2364016U,	// RCL16rCL
+    4461168U,	// RCL16ri
+    2114160U,	// RCL32m1
+    2376304U,	// RCL32mCL
+    279152U,	// RCL32mi
+    2101872U,	// RCL32r1
+    2364016U,	// RCL32rCL
+    4461168U,	// RCL32ri
+    2118256U,	// RCL64m1
+    2380400U,	// RCL64mCL
+    283248U,	// RCL64mi
+    2101872U,	// RCL64r1
+    2364016U,	// RCL64rCL
+    4461168U,	// RCL64ri
+    2122352U,	// RCL8m1
+    2384496U,	// RCL8mCL
+    287344U,	// RCL8mi
+    2101872U,	// RCL8r1
+    2364016U,	// RCL8rCL
+    4461168U,	// RCL8ri
+    2106248U,	// RCR16m1
+    2368392U,	// RCR16mCL
+    271240U,	// RCR16mi
+    2102152U,	// RCR16r1
+    2364296U,	// RCR16rCL
+    4461448U,	// RCR16ri
+    2114440U,	// RCR32m1
+    2376584U,	// RCR32mCL
+    279432U,	// RCR32mi
+    2102152U,	// RCR32r1
+    2364296U,	// RCR32rCL
+    4461448U,	// RCR32ri
+    2118536U,	// RCR64m1
+    2380680U,	// RCR64mCL
+    283528U,	// RCR64mi
+    2102152U,	// RCR64r1
+    2364296U,	// RCR64rCL
+    4461448U,	// RCR64ri
+    2122632U,	// RCR8m1
+    2384776U,	// RCR8mCL
+    287624U,	// RCR8mi
+    2102152U,	// RCR8r1
+    2364296U,	// RCR8rCL
+    4461448U,	// RCR8ri
+    4549U,	// RDFSBASE
+    4549U,	// RDFSBASE64
+    4569U,	// RDGSBASE
+    4569U,	// RDGSBASE64
+    3334U,	// RDMSR
+    2923U,	// RDPMC
+    4374U,	// RDRAND16r
+    4374U,	// RDRAND32r
+    4374U,	// RDRAND64r
+    4333U,	// RDSEED16r
+    4333U,	// RDSEED32r
+    4333U,	// RDSEED64r
+    2936U,	// RDTSC
+    3261U,	// RDTSCP
+    2433U,	// RELEASE_ADD32mi
+    2433U,	// RELEASE_ADD64mi32
+    2433U,	// RELEASE_ADD8mi
+    2433U,	// RELEASE_AND32mi
+    2433U,	// RELEASE_AND64mi32
+    2433U,	// RELEASE_AND8mi
+    2456U,	// RELEASE_DEC16m
+    2456U,	// RELEASE_DEC32m
+    2456U,	// RELEASE_DEC64m
+    2456U,	// RELEASE_DEC8m
+    2456U,	// RELEASE_INC16m
+    2456U,	// RELEASE_INC32m
+    2456U,	// RELEASE_INC64m
+    2456U,	// RELEASE_INC8m
+    2059U,	// RELEASE_MOV16mi
+    2499U,	// RELEASE_MOV16mr
+    2059U,	// RELEASE_MOV32mi
+    2499U,	// RELEASE_MOV32mr
+    2059U,	// RELEASE_MOV64mi32
+    2499U,	// RELEASE_MOV64mr
+    2059U,	// RELEASE_MOV8mi
+    2499U,	// RELEASE_MOV8mr
+    2433U,	// RELEASE_OR32mi
+    2433U,	// RELEASE_OR64mi32
+    2433U,	// RELEASE_OR8mi
+    2433U,	// RELEASE_XOR32mi
+    2433U,	// RELEASE_XOR64mi32
+    2433U,	// RELEASE_XOR8mi
+    3024U,	// REPNE_PREFIX
+    2867U,	// REP_MOVSB_32
+    2867U,	// REP_MOVSB_64
+    2979U,	// REP_MOVSD_32
+    2979U,	// REP_MOVSD_64
+    3309U,	// REP_MOVSQ_64
+    3577U,	// REP_MOVSW_32
+    3577U,	// REP_MOVSW_64
+    3268U,	// REP_PREFIX
+    2857U,	// REP_STOSB_32
+    2857U,	// REP_STOSB_64
+    2969U,	// REP_STOSD_32
+    2969U,	// REP_STOSD_64
+    3299U,	// REP_STOSQ_64
+    3567U,	// REP_STOSW_32
+    3567U,	// REP_STOSW_64
+    5212U,	// RETIL
+    5212U,	// RETIQ
+    5212U,	// RETIW
+    3505U,	// RETL
+    3505U,	// RETQ
+    3505U,	// RETW
+    2702U,	// REX64_PREFIX
+    2106007U,	// ROL16m1
+    2368151U,	// ROL16mCL
+    270999U,	// ROL16mi
+    2101911U,	// ROL16r1
+    2364055U,	// ROL16rCL
+    4461207U,	// ROL16ri
+    2114199U,	// ROL32m1
+    2376343U,	// ROL32mCL
+    279191U,	// ROL32mi
+    2101911U,	// ROL32r1
+    2364055U,	// ROL32rCL
+    4461207U,	// ROL32ri
+    2118295U,	// ROL64m1
+    2380439U,	// ROL64mCL
+    283287U,	// ROL64mi
+    2101911U,	// ROL64r1
+    2364055U,	// ROL64rCL
+    4461207U,	// ROL64ri
+    2122391U,	// ROL8m1
+    2384535U,	// ROL8mCL
+    287383U,	// ROL8mi
+    2101911U,	// ROL8r1
+    2364055U,	// ROL8rCL
+    4461207U,	// ROL8ri
+    2106265U,	// ROR16m1
+    2368409U,	// ROR16mCL
+    271257U,	// ROR16mi
+    2102169U,	// ROR16r1
+    2364313U,	// ROR16rCL
+    4461465U,	// ROR16ri
+    2114457U,	// ROR32m1
+    2376601U,	// ROR32mCL
+    279449U,	// ROR32mi
+    2102169U,	// ROR32r1
+    2364313U,	// ROR32rCL
+    4461465U,	// ROR32ri
+    2118553U,	// ROR64m1
+    2380697U,	// ROR64mCL
+    283545U,	// ROR64mi
+    2102169U,	// ROR64r1
+    2364313U,	// ROR64rCL
+    4461465U,	// ROR64ri
+    2122649U,	// ROR8m1
+    2384793U,	// ROR8mCL
+    287641U,	// ROR8mi
+    2102169U,	// ROR8r1
+    2364313U,	// ROR8rCL
+    4461465U,	// ROR8ri
+    1770263821U,	// RORX32mi
+    700716301U,	// RORX32ri
+    1778652429U,	// RORX64mi
+    700716301U,	// RORX64ri
+    3221U,	// RSM
+    3091U,	// SAHF
+    2105963U,	// SAL16m1
+    2368107U,	// SAL16mCL
+    270955U,	// SAL16mi
+    2101867U,	// SAL16r1
+    2364011U,	// SAL16rCL
+    4461163U,	// SAL16ri
+    2114155U,	// SAL32m1
+    2376299U,	// SAL32mCL
+    279147U,	// SAL32mi
+    2101867U,	// SAL32r1
+    2364011U,	// SAL32rCL
+    4461163U,	// SAL32ri
+    2118251U,	// SAL64m1
+    2380395U,	// SAL64mCL
+    283243U,	// SAL64mi
+    2101867U,	// SAL64r1
+    2364011U,	// SAL64rCL
+    4461163U,	// SAL64ri
+    2122347U,	// SAL8m1
+    2384491U,	// SAL8mCL
+    287339U,	// SAL8mi
+    2101867U,	// SAL8r1
+    2364011U,	// SAL8rCL
+    4461163U,	// SAL8ri
+    2910U,	// SALC
+    2106243U,	// SAR16m1
+    2368387U,	// SAR16mCL
+    271235U,	// SAR16mi
+    2102147U,	// SAR16r1
+    2364291U,	// SAR16rCL
+    4461443U,	// SAR16ri
+    2114435U,	// SAR32m1
+    2376579U,	// SAR32mCL
+    279427U,	// SAR32mi
+    2102147U,	// SAR32r1
+    2364291U,	// SAR32rCL
+    4461443U,	// SAR32ri
+    2118531U,	// SAR64m1
+    2380675U,	// SAR64mCL
+    283523U,	// SAR64mi
+    2102147U,	// SAR64r1
+    2364291U,	// SAR64rCL
+    4461443U,	// SAR64ri
+    2122627U,	// SAR8m1
+    2384771U,	// SAR8mCL
+    287619U,	// SAR8mi
+    2102147U,	// SAR8r1
+    2364291U,	// SAR8rCL
+    4461443U,	// SAR8ri
+    1770263809U,	// SARX32rm
+    700716289U,	// SARX32rr
+    1778652417U,	// SARX64rm
+    700716289U,	// SARX64rr
+    5553U,	// SBB16i16
+    270444U,	// SBB16mi
+    270444U,	// SBB16mi8
+    270444U,	// SBB16mr
+    4468844U,	// SBB16ri
+    4468844U,	// SBB16ri8
+    8663148U,	// SBB16rm
+    4468844U,	// SBB16rr
+    4460652U,	// SBB16rr_REV
+    5687U,	// SBB32i32
+    278636U,	// SBB32mi
+    278636U,	// SBB32mi8
+    278636U,	// SBB32mr
+    4468844U,	// SBB32ri
+    4468844U,	// SBB32ri8
+    12857452U,	// SBB32rm
+    4468844U,	// SBB32rr
+    4460652U,	// SBB32rr_REV
+    5835U,	// SBB64i32
+    282732U,	// SBB64mi32
+    282732U,	// SBB64mi8
+    282732U,	// SBB64mr
+    4468844U,	// SBB64ri32
+    4468844U,	// SBB64ri8
+    17051756U,	// SBB64rm
+    4468844U,	// SBB64rr
+    4460652U,	// SBB64rr_REV
+    5429U,	// SBB8i8
+    286828U,	// SBB8mi
+    286828U,	// SBB8mi8
+    286828U,	// SBB8mr
+    4468844U,	// SBB8ri
+    4468844U,	// SBB8ri8
+    21246060U,	// SBB8rm
+    4468844U,	// SBB8rr
+    4460652U,	// SBB8rr_REV
+    58686U,	// SCASB
+    63081U,	// SCASL
+    120594U,	// SCASQ
+    67105U,	// SCASW
+    3439U,	// SEG_ALLOCA_32
+    3439U,	// SEG_ALLOCA_64
+    3056U,	// SEH_EndPrologue
+    3042U,	// SEH_Epilogue
+    6096U,	// SEH_PushFrame
+    6141U,	// SEH_PushReg
+    29628399U,	// SEH_SaveReg
+    29628313U,	// SEH_SaveXMM
+    29628384U,	// SEH_SetFrame
+    6079U,	// SEH_StackAlloc
+    24915U,	// SETAEm
+    4435U,	// SETAEr
+    24648U,	// SETAm
+    4168U,	// SETAr
+    24935U,	// SETBEm
+    4455U,	// SETBEr
     0U,	// SETB_C16r
     0U,	// SETB_C32r
     0U,	// SETB_C64r
     0U,	// SETB_C8r
-    24689U,	// SETBm
-    4209U,	// SETBr
-    25024U,	// SETEm
-    4544U,	// SETEr
-    24910U,	// SETGEm
-    4430U,	// SETGEr
-    25090U,	// SETGm
-    4610U,	// SETGr
-    24934U,	// SETLEm
-    4454U,	// SETLEr
-    25210U,	// SETLm
-    4730U,	// SETLr
-    24962U,	// SETNEm
-    4482U,	// SETNEr
-    25256U,	// SETNOm
-    4776U,	// SETNOr
-    25317U,	// SETNPm
-    4837U,	// SETNPr
-    25541U,	// SETNSm
-    5061U,	// SETNSr
-    25271U,	// SETOm
-    4791U,	// SETOr
-    25348U,	// SETPm
-    4868U,	// SETPr
-    25566U,	// SETSm
-    5086U,	// SETSr
-    54261U,	// SGDT16m
-    54261U,	// SGDT32m
-    54261U,	// SGDT64m
-    1057352U,	// SHL16m1
-    1188424U,	// SHL16mCL
-    139848U,	// SHL16mi
-    1053256U,	// SHL16r1
-    1184328U,	// SHL16rCL
-    2232904U,	// SHL16ri
-    1065544U,	// SHL32m1
-    1196616U,	// SHL32mCL
-    148040U,	// SHL32mi
-    1053256U,	// SHL32r1
-    1184328U,	// SHL32rCL
-    2232904U,	// SHL32ri
-    1069640U,	// SHL64m1
-    1200712U,	// SHL64mCL
-    152136U,	// SHL64mi
-    1053256U,	// SHL64r1
-    1184328U,	// SHL64rCL
-    2232904U,	// SHL64ri
-    1073736U,	// SHL8m1
-    1204808U,	// SHL8mCL
-    156232U,	// SHL8mi
-    1053256U,	// SHL8r1
-    1184328U,	// SHL8rCL
-    2232904U,	// SHL8ri
-    201466074U,	// SHLD16mrCL
-    872554714U,	// SHLD16mri8
-    203559130U,	// SHLD16rrCL
-    1143083226U,	// SHLD16rri8
-    201474266U,	// SHLD32mrCL
-    872562906U,	// SHLD32mri8
-    203559130U,	// SHLD32rrCL
-    1143083226U,	// SHLD32rri8
-    201478362U,	// SHLD64mrCL
-    872567002U,	// SHLD64mri8
-    203559130U,	// SHLD64rrCL
-    1143083226U,	// SHLD64rri8
-    885134490U,	// SHLX32rm
-    350360730U,	// SHLX32rr
-    889328794U,	// SHLX64rm
-    350360730U,	// SHLX64rr
-    1057628U,	// SHR16m1
-    1188700U,	// SHR16mCL
-    140124U,	// SHR16mi
-    1053532U,	// SHR16r1
-    1184604U,	// SHR16rCL
-    2233180U,	// SHR16ri
-    1065820U,	// SHR32m1
-    1196892U,	// SHR32mCL
-    148316U,	// SHR32mi
-    1053532U,	// SHR32r1
-    1184604U,	// SHR32rCL
-    2233180U,	// SHR32ri
-    1069916U,	// SHR64m1
-    1200988U,	// SHR64mCL
-    152412U,	// SHR64mi
-    1053532U,	// SHR64r1
-    1184604U,	// SHR64rCL
-    2233180U,	// SHR64ri
-    1074012U,	// SHR8m1
-    1205084U,	// SHR8mCL
-    156508U,	// SHR8mi
-    1053532U,	// SHR8r1
-    1184604U,	// SHR8rCL
-    2233180U,	// SHR8ri
-    201466104U,	// SHRD16mrCL
-    872554744U,	// SHRD16mri8
-    203559160U,	// SHRD16rrCL
-    1143083256U,	// SHRD16rri8
-    201474296U,	// SHRD32mrCL
-    872562936U,	// SHRD32mri8
-    203559160U,	// SHRD32rrCL
-    1143083256U,	// SHRD32rri8
-    201478392U,	// SHRD64mrCL
-    872567032U,	// SHRD64mri8
-    203559160U,	// SHRD64rrCL
-    1143083256U,	// SHRD64rri8
-    885134514U,	// SHRX32rm
-    350360754U,	// SHRX32rr
-    889328818U,	// SHRX64rm
-    350360754U,	// SHRX64rr
-    54273U,	// SIDT16m
-    54273U,	// SIDT32m
-    54273U,	// SIDT64m
-    3445U,	// SKINIT
-    9229U,	// SLDT16m
-    5133U,	// SLDT16r
-    5133U,	// SLDT32r
-    9229U,	// SLDT64m
-    5133U,	// SLDT64r
-    9331U,	// SMSW16m
-    5235U,	// SMSW16r
-    5235U,	// SMSW32r
-    5235U,	// SMSW64r
-    2711U,	// STAC
-    2765U,	// STC
-    2818U,	// STD
-    2949U,	// STGI
-    2958U,	// STI
-    974940U,	// STOSB
-    717060U,	// STOSL
-    906024U,	// STOSQ
-    590975U,	// STOSW
-    5006U,	// STR16r
-    5006U,	// STR32r
-    5006U,	// STR64r
-    9102U,	// STRm
-    5477U,	// SUB16i16
-    139383U,	// SUB16mi
-    139383U,	// SUB16mi8
-    139383U,	// SUB16mr
-    2240631U,	// SUB16ri
-    2240631U,	// SUB16ri8
-    4337783U,	// SUB16rm
-    2240631U,	// SUB16rr
-    2232439U,	// SUB16rr_REV
-    5612U,	// SUB32i32
-    147575U,	// SUB32mi
-    147575U,	// SUB32mi8
-    147575U,	// SUB32mr
-    2240631U,	// SUB32ri
-    2240631U,	// SUB32ri8
-    6434935U,	// SUB32rm
-    2240631U,	// SUB32rr
-    2232439U,	// SUB32rr_REV
-    5760U,	// SUB64i32
-    151671U,	// SUB64mi32
-    151671U,	// SUB64mi8
-    151671U,	// SUB64mr
-    2240631U,	// SUB64ri32
-    2240631U,	// SUB64ri8
-    8532087U,	// SUB64rm
-    2240631U,	// SUB64rr
-    2232439U,	// SUB64rr_REV
-    5375U,	// SUB8i8
-    155767U,	// SUB8mi
-    155767U,	// SUB8mr
-    2240631U,	// SUB8ri
-    2240631U,	// SUB8ri8
-    10629239U,	// SUB8rm
-    2240631U,	// SUB8rr
-    2232439U,	// SUB8rr_REV
-    3255U,	// SWAPGS
-    3021U,	// SYSCALL
-    3148U,	// SYSENTER
-    3339U,	// SYSEXIT
-    3339U,	// SYSEXIT64
-    3332U,	// SYSRET
-    3332U,	// SYSRET64
-    12718235U,	// T1MSKC32rm
-    14815387U,	// T1MSKC32rr
-    16912539U,	// T1MSKC64rm
-    14815387U,	// T1MSKC64rr
-    1340123U,	// TAILJMPd
-    1340123U,	// TAILJMPd64
-    1327835U,	// TAILJMPm
-    1331931U,	// TAILJMPm64
+    24720U,	// SETBm
+    4240U,	// SETBr
+    25069U,	// SETEm
+    4589U,	// SETEr
+    24955U,	// SETGEm
+    4475U,	// SETGEr
+    25135U,	// SETGm
+    4655U,	// SETGr
+    24979U,	// SETLEm
+    4499U,	// SETLEr
+    25255U,	// SETLm
+    4775U,	// SETLr
+    25007U,	// SETNEm
+    4527U,	// SETNEr
+    25301U,	// SETNOm
+    4821U,	// SETNOr
+    25373U,	// SETNPm
+    4893U,	// SETNPr
+    25605U,	// SETNSm
+    5125U,	// SETNSr
+    25316U,	// SETOm
+    4836U,	// SETOr
+    25404U,	// SETPm
+    4924U,	// SETPr
+    25639U,	// SETSm
+    5159U,	// SETSr
+    54334U,	// SGDT16m
+    54334U,	// SGDT32m
+    54334U,	// SGDT64m
+    2105973U,	// SHL16m1
+    2368117U,	// SHL16mCL
+    270965U,	// SHL16mi
+    2101877U,	// SHL16r1
+    2364021U,	// SHL16rCL
+    4461173U,	// SHL16ri
+    2114165U,	// SHL32m1
+    2376309U,	// SHL32mCL
+    279157U,	// SHL32mi
+    2101877U,	// SHL32r1
+    2364021U,	// SHL32rCL
+    4461173U,	// SHL32ri
+    2118261U,	// SHL64m1
+    2380405U,	// SHL64mCL
+    283253U,	// SHL64mi
+    2101877U,	// SHL64r1
+    2364021U,	// SHL64rCL
+    4461173U,	// SHL64ri
+    2122357U,	// SHL8m1
+    2384501U,	// SHL8mCL
+    287349U,	// SHL8mi
+    2101877U,	// SHL8r1
+    2364021U,	// SHL8rCL
+    4461173U,	// SHL8ri
+    268706055U,	// SHLD16mrCL
+    1745101063U,	// SHLD16mri8
+    272896263U,	// SHLD16rrCL
+    2286162183U,	// SHLD16rri8
+    268714247U,	// SHLD32mrCL
+    1745109255U,	// SHLD32mri8
+    272896263U,	// SHLD32rrCL
+    2286162183U,	// SHLD32rri8
+    268718343U,	// SHLD64mrCL
+    1745113351U,	// SHLD64mri8
+    272896263U,	// SHLD64rrCL
+    2286162183U,	// SHLD64rri8
+    1770263791U,	// SHLX32rm
+    700716271U,	// SHLX32rr
+    1778652399U,	// SHLX64rm
+    700716271U,	// SHLX64rr
+    2106260U,	// SHR16m1
+    2368404U,	// SHR16mCL
+    271252U,	// SHR16mi
+    2102164U,	// SHR16r1
+    2364308U,	// SHR16rCL
+    4461460U,	// SHR16ri
+    2114452U,	// SHR32m1
+    2376596U,	// SHR32mCL
+    279444U,	// SHR32mi
+    2102164U,	// SHR32r1
+    2364308U,	// SHR32rCL
+    4461460U,	// SHR32ri
+    2118548U,	// SHR64m1
+    2380692U,	// SHR64mCL
+    283540U,	// SHR64mi
+    2102164U,	// SHR64r1
+    2364308U,	// SHR64rCL
+    4461460U,	// SHR64ri
+    2122644U,	// SHR8m1
+    2384788U,	// SHR8mCL
+    287636U,	// SHR8mi
+    2102164U,	// SHR8r1
+    2364308U,	// SHR8rCL
+    4461460U,	// SHR8ri
+    268706085U,	// SHRD16mrCL
+    1745101093U,	// SHRD16mri8
+    272896293U,	// SHRD16rrCL
+    2286162213U,	// SHRD16rri8
+    268714277U,	// SHRD32mrCL
+    1745109285U,	// SHRD32mri8
+    272896293U,	// SHRD32rrCL
+    2286162213U,	// SHRD32rri8
+    268718373U,	// SHRD64mrCL
+    1745113381U,	// SHRD64mri8
+    272896293U,	// SHRD64rrCL
+    2286162213U,	// SHRD64rri8
+    1770263815U,	// SHRX32rm
+    700716295U,	// SHRX32rr
+    1778652423U,	// SHRX64rm
+    700716295U,	// SHRX64rr
+    54346U,	// SIDT16m
+    54346U,	// SIDT32m
+    54346U,	// SIDT64m
+    3630U,	// SKINIT
+    9302U,	// SLDT16m
+    5206U,	// SLDT16r
+    5206U,	// SLDT32r
+    9302U,	// SLDT64m
+    5206U,	// SLDT64r
+    9416U,	// SMSW16m
+    5320U,	// SMSW16r
+    5320U,	// SMSW32r
+    5320U,	// SMSW64r
+    2888U,	// STAC
+    2942U,	// STC
+    2995U,	// STD
+    3126U,	// STGI
+    3135U,	// STI
+    1892475U,	// STOSB
+    1372465U,	// STOSL
+    1692512U,	// STOSQ
+    1115348U,	// STOSW
+    5062U,	// STR16r
+    5062U,	// STR32r
+    5062U,	// STR64r
+    9158U,	// STRm
+    5562U,	// SUB16i16
+    270486U,	// SUB16mi
+    270486U,	// SUB16mi8
+    270486U,	// SUB16mr
+    4468886U,	// SUB16ri
+    4468886U,	// SUB16ri8
+    8663190U,	// SUB16rm
+    4468886U,	// SUB16rr
+    4460694U,	// SUB16rr_REV
+    5697U,	// SUB32i32
+    278678U,	// SUB32mi
+    278678U,	// SUB32mi8
+    278678U,	// SUB32mr
+    4468886U,	// SUB32ri
+    4468886U,	// SUB32ri8
+    12857494U,	// SUB32rm
+    4468886U,	// SUB32rr
+    4460694U,	// SUB32rr_REV
+    5845U,	// SUB64i32
+    282774U,	// SUB64mi32
+    282774U,	// SUB64mi8
+    282774U,	// SUB64mr
+    4468886U,	// SUB64ri32
+    4468886U,	// SUB64ri8
+    17051798U,	// SUB64rm
+    4468886U,	// SUB64rr
+    4460694U,	// SUB64rr_REV
+    5460U,	// SUB8i8
+    286870U,	// SUB8mi
+    286870U,	// SUB8mi8
+    286870U,	// SUB8mr
+    4468886U,	// SUB8ri
+    4468886U,	// SUB8ri8
+    21246102U,	// SUB8rm
+    4468886U,	// SUB8rr
+    4460694U,	// SUB8rr_REV
+    3432U,	// SWAPGS
+    3198U,	// SYSCALL
+    3325U,	// SYSENTER
+    3524U,	// SYSEXIT
+    3524U,	// SYSEXIT64
+    3509U,	// SYSRET
+    3509U,	// SYSRET64
+    25432264U,	// T1MSKC32rm
+    29626568U,	// T1MSKC32rr
+    33820872U,	// T1MSKC64rm
+    29626568U,	// T1MSKC64rr
+    29453U,	// TAILJMPd
+    29453U,	// TAILJMPd64
+    29447U,	// TAILJMPd64_REX
+    17165U,	// TAILJMPm
+    21261U,	// TAILJMPm64
+    21255U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
-    1315547U,	// TAILJMPr64
+    4877U,	// TAILJMPr64
+    4871U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
     0U,	// TCRETURNmi64
     0U,	// TCRETURNri
     0U,	// TCRETURNri64
-    5561U,	// TEST16i16
-    140354U,	// TEST16mi
-    140354U,	// TEST16mi_alt
-    14816322U,	// TEST16ri
-    14816322U,	// TEST16ri_alt
-    140354U,	// TEST16rm
-    14816322U,	// TEST16rr
-    5729U,	// TEST32i32
-    148546U,	// TEST32mi
-    148546U,	// TEST32mi_alt
-    14816322U,	// TEST32ri
-    14816322U,	// TEST32ri_alt
-    148546U,	// TEST32rm
-    14816322U,	// TEST32rr
-    5868U,	// TEST64i32
-    152642U,	// TEST64mi32
-    152642U,	// TEST64mi32_alt
-    14816322U,	// TEST64ri32
-    14816322U,	// TEST64ri32_alt
-    152642U,	// TEST64rm
-    14816322U,	// TEST64rr
-    5449U,	// TEST8i8
-    156738U,	// TEST8mi
-    156738U,	// TEST8mi_alt
-    14816322U,	// TEST8ri
+    5646U,	// TEST16i16
+    271511U,	// TEST16mi
+    271511U,	// TEST16mi_alt
+    29627543U,	// TEST16ri
+    29627543U,	// TEST16ri_alt
+    124055U,	// TEST16rm
+    29627543U,	// TEST16rr
+    5814U,	// TEST32i32
+    279703U,	// TEST32mi
+    279703U,	// TEST32mi_alt
+    29627543U,	// TEST32ri
+    29627543U,	// TEST32ri_alt
+    128151U,	// TEST32rm
+    29627543U,	// TEST32rr
+    5953U,	// TEST64i32
+    283799U,	// TEST64mi32
+    283799U,	// TEST64mi32_alt
+    29627543U,	// TEST64ri32
+    29627543U,	// TEST64ri32_alt
+    132247U,	// TEST64rm
+    29627543U,	// TEST64rr
+    5534U,	// TEST8i8
+    287895U,	// TEST8mi
+    287895U,	// TEST8mi_alt
+    29627543U,	// TEST8ri
     0U,	// TEST8ri_NOREX
-    14816322U,	// TEST8ri_alt
-    156738U,	// TEST8rm
-    14816322U,	// TEST8rr
-    2391U,	// TLSCall_32
-    2481U,	// TLSCall_64
-    2404U,	// TLS_addr32
-    2494U,	// TLS_addr64
-    2417U,	// TLS_base_addr32
-    2507U,	// TLS_base_addr64
-    2435U,	// TRAP
-    19010591U,	// TZCNT16rm
-    14816287U,	// TZCNT16rr
-    12719135U,	// TZCNT32rm
-    14816287U,	// TZCNT32rr
-    16913439U,	// TZCNT64rm
-    14816287U,	// TZCNT64rr
-    12718647U,	// TZMSK32rm
-    14815799U,	// TZMSK32rr
-    16912951U,	// TZMSK64rm
-    14815799U,	// TZMSK64rr
-    2645U,	// UD2B
-    3041007384U,	// VAARG_64
-    350361416U,	// VASTART_SAVE_XMM_REGS
-    9075U,	// VERRm
-    4979U,	// VERRr
-    9319U,	// VERWm
-    5223U,	// VERWr
-    3014U,	// VMCALL
-    21309U,	// VMCLEARm
-    2752U,	// VMFUNC
-    2935U,	// VMLAUNCH
-    3413U,	// VMLOAD32
-    3468U,	// VMLOAD64
-    3006U,	// VMMCALL
-    20704U,	// VMPTRLDm
-    21576U,	// VMPTRSTm
-    147634U,	// VMREAD32rm
-    14815410U,	// VMREAD32rr
-    151730U,	// VMREAD64rm
-    14815410U,	// VMREAD64rr
-    2838U,	// VMRESUME
-    3435U,	// VMRUN32
-    3490U,	// VMRUN64
-    3424U,	// VMSAVE32
-    3479U,	// VMSAVE64
-    12718534U,	// VMWRITE32rm
-    14815686U,	// VMWRITE32rr
-    16912838U,	// VMWRITE64rm
-    14815686U,	// VMWRITE64rr
-    2902U,	// VMXOFF
-    21144U,	// VMXON
-    29266U,	// W64ALLOCA
-    2822U,	// WBINVD
-    3048U,	// WIN_ALLOCA
-    2962U,	// WIN_FTOL_32
-    2962U,	// WIN_FTOL_64
-    4514U,	// WRFSBASE
-    4514U,	// WRFSBASE64
-    4534U,	// WRGSBASE
-    4534U,	// WRGSBASE64
-    3163U,	// WRMSR
-    139450U,	// XADD16rm
-    14815418U,	// XADD16rr
-    147642U,	// XADD32rm
-    14815418U,	// XADD32rr
-    151738U,	// XADD64rm
-    14815418U,	// XADD64rr
-    155834U,	// XADD8rm
-    14815418U,	// XADD8rr
-    5513U,	// XCHG16ar
-    86512U,	// XCHG16rm
-    123376U,	// XCHG16rr
-    5676U,	// XCHG32ar
-    5676U,	// XCHG32ar64
-    90608U,	// XCHG32rm
-    123376U,	// XCHG32rr
-    5800U,	// XCHG64ar
-    94704U,	// XCHG64rm
-    123376U,	// XCHG64rr
-    98800U,	// XCHG8rm
-    123376U,	// XCHG8rr
-    2716U,	// XCRYPTCBC
-    2660U,	// XCRYPTCFB
-    3169U,	// XCRYPTCTR
-    2650U,	// XCRYPTECB
-    2670U,	// XCRYPTOFB
-    3351U,	// XGETBV
-    2700U,	// XLAT
-    5540U,	// XOR16i16
-    140142U,	// XOR16mi
-    140142U,	// XOR16mi8
-    140142U,	// XOR16mr
-    2241390U,	// XOR16ri
-    2241390U,	// XOR16ri8
-    4338542U,	// XOR16rm
-    2241390U,	// XOR16rr
-    2233198U,	// XOR16rr_REV
-    5706U,	// XOR32i32
-    148334U,	// XOR32mi
-    148334U,	// XOR32mi8
-    148334U,	// XOR32mr
-    2241390U,	// XOR32ri
-    2241390U,	// XOR32ri8
-    6435694U,	// XOR32rm
-    2241390U,	// XOR32rr
-    2233198U,	// XOR32rr_REV
-    5845U,	// XOR64i32
-    152430U,	// XOR64mi32
-    152430U,	// XOR64mi8
-    152430U,	// XOR64mr
-    2241390U,	// XOR64ri32
-    2241390U,	// XOR64ri8
-    8532846U,	// XOR64rm
-    2241390U,	// XOR64rr
-    2233198U,	// XOR64rr_REV
-    5428U,	// XOR8i8
-    156526U,	// XOR8mi
-    156526U,	// XOR8mr
-    2241390U,	// XOR8ri
-    2241390U,	// XOR8ri8
-    10629998U,	// XOR8rm
-    2241390U,	// XOR8rr
-    2233198U,	// XOR8rr_REV
-    54118U,	// XRSTOR
-    53258U,	// XRSTOR64
-    53711U,	// XSAVE
-    53249U,	// XSAVE64
-    54328U,	// XSAVEOPT
-    53268U,	// XSAVEOPT64
-    3358U,	// XSETBV
-    2343U,	// XSHA1
-    2538U,	// XSHA256
-    2858U,	// XSTORE
+    29627543U,	// TEST8ri_alt
+    136343U,	// TEST8rm
+    29627543U,	// TEST8rr
+    2568U,	// TLSCall_32
+    2658U,	// TLSCall_64
+    2581U,	// TLS_addr32
+    2671U,	// TLS_addr64
+    2594U,	// TLS_base_addr32
+    2684U,	// TLS_base_addr64
+    2612U,	// TRAP
+    38016104U,	// TZCNT16rm
+    29627496U,	// TZCNT16rr
+    25433192U,	// TZCNT32rm
+    29627496U,	// TZCNT32rr
+    33821800U,	// TZCNT64rm
+    29627496U,	// TZCNT64rr
+    25432676U,	// TZMSK32rm
+    29626980U,	// TZMSK32rr
+    33821284U,	// TZMSK64rm
+    29626980U,	// TZMSK64rr
+    2822U,	// UD2B
+    1787041655U,	// VAARG_64
+    700716967U,	// VASTART_SAVE_XMM_REGS
+    9131U,	// VERRm
+    5035U,	// VERRr
+    9404U,	// VERWm
+    5308U,	// VERWr
+    3191U,	// VMCALL
+    21365U,	// VMCLEARm
+    2929U,	// VMFUNC
+    3112U,	// VMLAUNCH
+    3598U,	// VMLOAD32
+    3653U,	// VMLOAD64
+    3183U,	// VMMCALL
+    20749U,	// VMPTRLDm
+    21661U,	// VMPTRSTm
+    278751U,	// VMREAD32rm
+    29626591U,	// VMREAD32rr
+    282847U,	// VMREAD64rm
+    29626591U,	// VMREAD64rr
+    3015U,	// VMRESUME
+    3620U,	// VMRUN32
+    3675U,	// VMRUN64
+    3609U,	// VMSAVE32
+    3664U,	// VMSAVE64
+    25432563U,	// VMWRITE32rm
+    29626867U,	// VMWRITE32rr
+    33821171U,	// VMWRITE64rm
+    29626867U,	// VMWRITE64rr
+    3079U,	// VMXOFF
+    21189U,	// VMXON
+    2999U,	// WBINVD
+    3225U,	// WIN_ALLOCA
+    3139U,	// WIN_FTOL_32
+    3139U,	// WIN_FTOL_64
+    4559U,	// WRFSBASE
+    4559U,	// WRFSBASE64
+    4579U,	// WRGSBASE
+    4579U,	// WRGSBASE64
+    3340U,	// WRMSR
+    270567U,	// XADD16rm
+    29626599U,	// XADD16rr
+    278759U,	// XADD32rm
+    29626599U,	// XADD32rr
+    282855U,	// XADD64rm
+    29626599U,	// XADD64rr
+    286951U,	// XADD8rm
+    29626599U,	// XADD8rr
+    5598U,	// XCHG16ar
+    86557U,	// XCHG16rm
+    139805U,	// XCHG16rr
+    5761U,	// XCHG32ar
+    5761U,	// XCHG32ar64
+    90653U,	// XCHG32rm
+    139805U,	// XCHG32rr
+    5885U,	// XCHG64ar
+    94749U,	// XCHG64rm
+    139805U,	// XCHG64rr
+    98845U,	// XCHG8rm
+    139805U,	// XCHG8rr
+    2893U,	// XCRYPTCBC
+    2837U,	// XCRYPTCFB
+    3346U,	// XCRYPTCTR
+    2827U,	// XCRYPTECB
+    2847U,	// XCRYPTOFB
+    3536U,	// XGETBV
+    2877U,	// XLAT
+    5625U,	// XOR16i16
+    271270U,	// XOR16mi
+    271270U,	// XOR16mi8
+    271270U,	// XOR16mr
+    4469670U,	// XOR16ri
+    4469670U,	// XOR16ri8
+    8663974U,	// XOR16rm
+    4469670U,	// XOR16rr
+    4461478U,	// XOR16rr_REV
+    5791U,	// XOR32i32
+    279462U,	// XOR32mi
+    279462U,	// XOR32mi8
+    279462U,	// XOR32mr
+    4469670U,	// XOR32ri
+    4469670U,	// XOR32ri8
+    12858278U,	// XOR32rm
+    4469670U,	// XOR32rr
+    4461478U,	// XOR32rr_REV
+    5930U,	// XOR64i32
+    283558U,	// XOR64mi32
+    283558U,	// XOR64mi8
+    283558U,	// XOR64mr
+    4469670U,	// XOR64ri32
+    4469670U,	// XOR64ri8
+    17052582U,	// XOR64rm
+    4469670U,	// XOR64rr
+    4461478U,	// XOR64rr_REV
+    5513U,	// XOR8i8
+    287654U,	// XOR8mi
+    287654U,	// XOR8mi8
+    287654U,	// XOR8mr
+    4469670U,	// XOR8ri
+    4469670U,	// XOR8ri8
+    21246886U,	// XOR8rm
+    4469670U,	// XOR8rr
+    4461478U,	// XOR8rr_REV
+    54174U,	// XRSTOR
+    53268U,	// XRSTOR64
+    54292U,	// XRSTORS
+    53288U,	// XRSTORS64
+    53756U,	// XSAVE
+    53259U,	// XSAVE64
+    53426U,	// XSAVEC
+    53249U,	// XSAVEC64
+    54401U,	// XSAVEOPT
+    53299U,	// XSAVEOPT64
+    54250U,	// XSAVES
+    53278U,	// XSAVES64
+    3543U,	// XSETBV
+    2520U,	// XSHA1
+    2715U,	// XSHA256
+    3035U,	// XSTORE
+    0U
+  };
+
+  static const uint8_t OpInfo2[] = {
+    0U,	// PHI
+    0U,	// INLINEASM
+    0U,	// CFI_INSTRUCTION
+    0U,	// EH_LABEL
+    0U,	// GC_LABEL
+    0U,	// KILL
+    0U,	// EXTRACT_SUBREG
+    0U,	// INSERT_SUBREG
+    0U,	// IMPLICIT_DEF
+    0U,	// SUBREG_TO_REG
+    0U,	// COPY_TO_REGCLASS
+    0U,	// DBG_VALUE
+    0U,	// REG_SEQUENCE
+    0U,	// COPY
+    0U,	// BUNDLE
+    0U,	// LIFETIME_START
+    0U,	// LIFETIME_END
+    0U,	// STACKMAP
+    0U,	// PATCHPOINT
+    0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    0U,	// AAA
+    0U,	// AAD8i8
+    0U,	// AAM8i8
+    0U,	// AAS
+    0U,	// ACQUIRE_MOV16rm
+    0U,	// ACQUIRE_MOV32rm
+    0U,	// ACQUIRE_MOV64rm
+    0U,	// ACQUIRE_MOV8rm
+    0U,	// ADC16i16
+    0U,	// ADC16mi
+    0U,	// ADC16mi8
+    0U,	// ADC16mr
+    0U,	// ADC16ri
+    0U,	// ADC16ri8
+    0U,	// ADC16rm
+    0U,	// ADC16rr
+    0U,	// ADC16rr_REV
+    0U,	// ADC32i32
+    0U,	// ADC32mi
+    0U,	// ADC32mi8
+    0U,	// ADC32mr
+    0U,	// ADC32ri
+    0U,	// ADC32ri8
+    0U,	// ADC32rm
+    0U,	// ADC32rr
+    0U,	// ADC32rr_REV
+    0U,	// ADC64i32
+    0U,	// ADC64mi32
+    0U,	// ADC64mi8
+    0U,	// ADC64mr
+    0U,	// ADC64ri32
+    0U,	// ADC64ri8
+    0U,	// ADC64rm
+    0U,	// ADC64rr
+    0U,	// ADC64rr_REV
+    0U,	// ADC8i8
+    0U,	// ADC8mi
+    0U,	// ADC8mi8
+    0U,	// ADC8mr
+    0U,	// ADC8ri
+    0U,	// ADC8ri8
+    0U,	// ADC8rm
+    0U,	// ADC8rr
+    0U,	// ADC8rr_REV
+    0U,	// ADCX32rm
+    0U,	// ADCX32rr
+    0U,	// ADCX64rm
+    0U,	// ADCX64rr
+    0U,	// ADD16i16
+    0U,	// ADD16mi
+    0U,	// ADD16mi8
+    0U,	// ADD16mr
+    0U,	// ADD16ri
+    0U,	// ADD16ri8
+    0U,	// ADD16ri8_DB
+    0U,	// ADD16ri_DB
+    0U,	// ADD16rm
+    0U,	// ADD16rr
+    0U,	// ADD16rr_DB
+    0U,	// ADD16rr_REV
+    0U,	// ADD32i32
+    0U,	// ADD32mi
+    0U,	// ADD32mi8
+    0U,	// ADD32mr
+    0U,	// ADD32ri
+    0U,	// ADD32ri8
+    0U,	// ADD32ri8_DB
+    0U,	// ADD32ri_DB
+    0U,	// ADD32rm
+    0U,	// ADD32rr
+    0U,	// ADD32rr_DB
+    0U,	// ADD32rr_REV
+    0U,	// ADD64i32
+    0U,	// ADD64mi32
+    0U,	// ADD64mi8
+    0U,	// ADD64mr
+    0U,	// ADD64ri32
+    0U,	// ADD64ri32_DB
+    0U,	// ADD64ri8
+    0U,	// ADD64ri8_DB
+    0U,	// ADD64rm
+    0U,	// ADD64rr
+    0U,	// ADD64rr_DB
+    0U,	// ADD64rr_REV
+    0U,	// ADD8i8
+    0U,	// ADD8mi
+    0U,	// ADD8mi8
+    0U,	// ADD8mr
+    0U,	// ADD8ri
+    0U,	// ADD8ri8
+    0U,	// ADD8rm
+    0U,	// ADD8rr
+    0U,	// ADD8rr_REV
+    0U,	// ADJCALLSTACKDOWN32
+    0U,	// ADJCALLSTACKDOWN64
+    0U,	// ADJCALLSTACKUP32
+    0U,	// ADJCALLSTACKUP64
+    0U,	// ADOX32rm
+    0U,	// ADOX32rr
+    0U,	// ADOX64rm
+    0U,	// ADOX64rr
+    0U,	// AND16i16
+    0U,	// AND16mi
+    0U,	// AND16mi8
+    0U,	// AND16mr
+    0U,	// AND16ri
+    0U,	// AND16ri8
+    0U,	// AND16rm
+    0U,	// AND16rr
+    0U,	// AND16rr_REV
+    0U,	// AND32i32
+    0U,	// AND32mi
+    0U,	// AND32mi8
+    0U,	// AND32mr
+    0U,	// AND32ri
+    0U,	// AND32ri8
+    0U,	// AND32rm
+    0U,	// AND32rr
+    0U,	// AND32rr_REV
+    0U,	// AND64i32
+    0U,	// AND64mi32
+    0U,	// AND64mi8
+    0U,	// AND64mr
+    0U,	// AND64ri32
+    0U,	// AND64ri8
+    0U,	// AND64rm
+    0U,	// AND64rr
+    0U,	// AND64rr_REV
+    0U,	// AND8i8
+    0U,	// AND8mi
+    0U,	// AND8mi8
+    0U,	// AND8mr
+    0U,	// AND8ri
+    0U,	// AND8ri8
+    0U,	// AND8rm
+    0U,	// AND8rr
+    0U,	// AND8rr_REV
+    0U,	// ANDN32rm
+    0U,	// ANDN32rr
+    0U,	// ANDN64rm
+    0U,	// ANDN64rr
+    0U,	// ARPL16mr
+    0U,	// ARPL16rr
+    0U,	// BEXTR32rm
+    0U,	// BEXTR32rr
+    0U,	// BEXTR64rm
+    0U,	// BEXTR64rr
+    0U,	// BEXTRI32mi
+    0U,	// BEXTRI32ri
+    0U,	// BEXTRI64mi
+    0U,	// BEXTRI64ri
+    0U,	// BLCFILL32rm
+    0U,	// BLCFILL32rr
+    0U,	// BLCFILL64rm
+    0U,	// BLCFILL64rr
+    0U,	// BLCI32rm
+    0U,	// BLCI32rr
+    0U,	// BLCI64rm
+    0U,	// BLCI64rr
+    0U,	// BLCIC32rm
+    0U,	// BLCIC32rr
+    0U,	// BLCIC64rm
+    0U,	// BLCIC64rr
+    0U,	// BLCMSK32rm
+    0U,	// BLCMSK32rr
+    0U,	// BLCMSK64rm
+    0U,	// BLCMSK64rr
+    0U,	// BLCS32rm
+    0U,	// BLCS32rr
+    0U,	// BLCS64rm
+    0U,	// BLCS64rr
+    0U,	// BLSFILL32rm
+    0U,	// BLSFILL32rr
+    0U,	// BLSFILL64rm
+    0U,	// BLSFILL64rr
+    0U,	// BLSI32rm
+    0U,	// BLSI32rr
+    0U,	// BLSI64rm
+    0U,	// BLSI64rr
+    0U,	// BLSIC32rm
+    0U,	// BLSIC32rr
+    0U,	// BLSIC64rm
+    0U,	// BLSIC64rr
+    0U,	// BLSMSK32rm
+    0U,	// BLSMSK32rr
+    0U,	// BLSMSK64rm
+    0U,	// BLSMSK64rr
+    0U,	// BLSR32rm
+    0U,	// BLSR32rr
+    0U,	// BLSR64rm
+    0U,	// BLSR64rr
+    0U,	// BOUNDS16rm
+    0U,	// BOUNDS32rm
+    0U,	// BSF16rm
+    0U,	// BSF16rr
+    0U,	// BSF32rm
+    0U,	// BSF32rr
+    0U,	// BSF64rm
+    0U,	// BSF64rr
+    0U,	// BSR16rm
+    0U,	// BSR16rr
+    0U,	// BSR32rm
+    0U,	// BSR32rr
+    0U,	// BSR64rm
+    0U,	// BSR64rr
+    0U,	// BSWAP32r
+    0U,	// BSWAP64r
+    0U,	// BT16mi8
+    0U,	// BT16mr
+    0U,	// BT16ri8
+    0U,	// BT16rr
+    0U,	// BT32mi8
+    0U,	// BT32mr
+    0U,	// BT32ri8
+    0U,	// BT32rr
+    0U,	// BT64mi8
+    0U,	// BT64mr
+    0U,	// BT64ri8
+    0U,	// BT64rr
+    0U,	// BTC16mi8
+    0U,	// BTC16mr
+    0U,	// BTC16ri8
+    0U,	// BTC16rr
+    0U,	// BTC32mi8
+    0U,	// BTC32mr
+    0U,	// BTC32ri8
+    0U,	// BTC32rr
+    0U,	// BTC64mi8
+    0U,	// BTC64mr
+    0U,	// BTC64ri8
+    0U,	// BTC64rr
+    0U,	// BTR16mi8
+    0U,	// BTR16mr
+    0U,	// BTR16ri8
+    0U,	// BTR16rr
+    0U,	// BTR32mi8
+    0U,	// BTR32mr
+    0U,	// BTR32ri8
+    0U,	// BTR32rr
+    0U,	// BTR64mi8
+    0U,	// BTR64mr
+    0U,	// BTR64ri8
+    0U,	// BTR64rr
+    0U,	// BTS16mi8
+    0U,	// BTS16mr
+    0U,	// BTS16ri8
+    0U,	// BTS16rr
+    0U,	// BTS32mi8
+    0U,	// BTS32mr
+    0U,	// BTS32ri8
+    0U,	// BTS32rr
+    0U,	// BTS64mi8
+    0U,	// BTS64mr
+    0U,	// BTS64ri8
+    0U,	// BTS64rr
+    0U,	// BZHI32rm
+    0U,	// BZHI32rr
+    0U,	// BZHI64rm
+    0U,	// BZHI64rr
+    0U,	// CALL16m
+    0U,	// CALL16r
+    0U,	// CALL32m
+    0U,	// CALL32r
+    0U,	// CALL64m
+    0U,	// CALL64pcrel32
+    0U,	// CALL64r
+    0U,	// CALLpcrel16
+    0U,	// CALLpcrel32
+    0U,	// CBW
+    0U,	// CDQ
+    0U,	// CDQE
+    0U,	// CLAC
+    0U,	// CLC
+    0U,	// CLD
+    0U,	// CLFLUSHOPT
+    0U,	// CLGI
+    0U,	// CLI
+    0U,	// CLTS
+    0U,	// CLWB
+    0U,	// CMC
+    0U,	// CMOVA16rm
+    0U,	// CMOVA16rr
+    0U,	// CMOVA32rm
+    0U,	// CMOVA32rr
+    0U,	// CMOVA64rm
+    0U,	// CMOVA64rr
+    0U,	// CMOVAE16rm
+    0U,	// CMOVAE16rr
+    0U,	// CMOVAE32rm
+    0U,	// CMOVAE32rr
+    0U,	// CMOVAE64rm
+    0U,	// CMOVAE64rr
+    0U,	// CMOVB16rm
+    0U,	// CMOVB16rr
+    0U,	// CMOVB32rm
+    0U,	// CMOVB32rr
+    0U,	// CMOVB64rm
+    0U,	// CMOVB64rr
+    0U,	// CMOVBE16rm
+    0U,	// CMOVBE16rr
+    0U,	// CMOVBE32rm
+    0U,	// CMOVBE32rr
+    0U,	// CMOVBE64rm
+    0U,	// CMOVBE64rr
+    0U,	// CMOVE16rm
+    0U,	// CMOVE16rr
+    0U,	// CMOVE32rm
+    0U,	// CMOVE32rr
+    0U,	// CMOVE64rm
+    0U,	// CMOVE64rr
+    0U,	// CMOVG16rm
+    0U,	// CMOVG16rr
+    0U,	// CMOVG32rm
+    0U,	// CMOVG32rr
+    0U,	// CMOVG64rm
+    0U,	// CMOVG64rr
+    0U,	// CMOVGE16rm
+    0U,	// CMOVGE16rr
+    0U,	// CMOVGE32rm
+    0U,	// CMOVGE32rr
+    0U,	// CMOVGE64rm
+    0U,	// CMOVGE64rr
+    0U,	// CMOVL16rm
+    0U,	// CMOVL16rr
+    0U,	// CMOVL32rm
+    0U,	// CMOVL32rr
+    0U,	// CMOVL64rm
+    0U,	// CMOVL64rr
+    0U,	// CMOVLE16rm
+    0U,	// CMOVLE16rr
+    0U,	// CMOVLE32rm
+    0U,	// CMOVLE32rr
+    0U,	// CMOVLE64rm
+    0U,	// CMOVLE64rr
+    0U,	// CMOVNE16rm
+    0U,	// CMOVNE16rr
+    0U,	// CMOVNE32rm
+    0U,	// CMOVNE32rr
+    0U,	// CMOVNE64rm
+    0U,	// CMOVNE64rr
+    0U,	// CMOVNO16rm
+    0U,	// CMOVNO16rr
+    0U,	// CMOVNO32rm
+    0U,	// CMOVNO32rr
+    0U,	// CMOVNO64rm
+    0U,	// CMOVNO64rr
+    0U,	// CMOVNP16rm
+    0U,	// CMOVNP16rr
+    0U,	// CMOVNP32rm
+    0U,	// CMOVNP32rr
+    0U,	// CMOVNP64rm
+    0U,	// CMOVNP64rr
+    0U,	// CMOVNS16rm
+    0U,	// CMOVNS16rr
+    0U,	// CMOVNS32rm
+    0U,	// CMOVNS32rr
+    0U,	// CMOVNS64rm
+    0U,	// CMOVNS64rr
+    0U,	// CMOVO16rm
+    0U,	// CMOVO16rr
+    0U,	// CMOVO32rm
+    0U,	// CMOVO32rr
+    0U,	// CMOVO64rm
+    0U,	// CMOVO64rr
+    0U,	// CMOVP16rm
+    0U,	// CMOVP16rr
+    0U,	// CMOVP32rm
+    0U,	// CMOVP32rr
+    0U,	// CMOVP64rm
+    0U,	// CMOVP64rr
+    0U,	// CMOVS16rm
+    0U,	// CMOVS16rr
+    0U,	// CMOVS32rm
+    0U,	// CMOVS32rr
+    0U,	// CMOVS64rm
+    0U,	// CMOVS64rr
+    0U,	// CMOV_FR32
+    0U,	// CMOV_FR64
+    0U,	// CMOV_GR16
+    0U,	// CMOV_GR32
+    0U,	// CMOV_GR8
+    0U,	// CMOV_RFP32
+    0U,	// CMOV_RFP64
+    0U,	// CMOV_RFP80
+    0U,	// CMOV_V16F32
+    0U,	// CMOV_V2F64
+    0U,	// CMOV_V2I64
+    0U,	// CMOV_V4F32
+    0U,	// CMOV_V4F64
+    0U,	// CMOV_V4I64
+    0U,	// CMOV_V8F32
+    0U,	// CMOV_V8F64
+    0U,	// CMOV_V8I64
+    0U,	// CMP16i16
+    0U,	// CMP16mi
+    0U,	// CMP16mi8
+    0U,	// CMP16mr
+    0U,	// CMP16ri
+    0U,	// CMP16ri8
+    0U,	// CMP16rm
+    0U,	// CMP16rr
+    0U,	// CMP16rr_REV
+    0U,	// CMP32i32
+    0U,	// CMP32mi
+    0U,	// CMP32mi8
+    0U,	// CMP32mr
+    0U,	// CMP32ri
+    0U,	// CMP32ri8
+    0U,	// CMP32rm
+    0U,	// CMP32rr
+    0U,	// CMP32rr_REV
+    0U,	// CMP64i32
+    0U,	// CMP64mi32
+    0U,	// CMP64mi8
+    0U,	// CMP64mr
+    0U,	// CMP64ri32
+    0U,	// CMP64ri8
+    0U,	// CMP64rm
+    0U,	// CMP64rr
+    0U,	// CMP64rr_REV
+    0U,	// CMP8i8
+    0U,	// CMP8mi
+    0U,	// CMP8mi8
+    0U,	// CMP8mr
+    0U,	// CMP8ri
+    0U,	// CMP8ri8
+    0U,	// CMP8rm
+    0U,	// CMP8rr
+    0U,	// CMP8rr_REV
+    0U,	// CMPSB
+    0U,	// CMPSL
+    0U,	// CMPSQ
+    0U,	// CMPSW
+    0U,	// CMPXCHG16B
+    0U,	// CMPXCHG16rm
+    0U,	// CMPXCHG16rr
+    0U,	// CMPXCHG32rm
+    0U,	// CMPXCHG32rr
+    0U,	// CMPXCHG64rm
+    0U,	// CMPXCHG64rr
+    0U,	// CMPXCHG8B
+    0U,	// CMPXCHG8rm
+    0U,	// CMPXCHG8rr
+    0U,	// CPUID
+    0U,	// CQO
+    0U,	// CWD
+    0U,	// CWDE
+    0U,	// DAA
+    0U,	// DAS
+    0U,	// DATA16_PREFIX
+    0U,	// DEC16m
+    0U,	// DEC16r
+    0U,	// DEC16r_alt
+    0U,	// DEC32m
+    0U,	// DEC32r
+    0U,	// DEC32r_alt
+    0U,	// DEC64m
+    0U,	// DEC64r
+    0U,	// DEC8m
+    0U,	// DEC8r
+    0U,	// DIV16m
+    0U,	// DIV16r
+    0U,	// DIV32m
+    0U,	// DIV32r
+    0U,	// DIV64m
+    0U,	// DIV64r
+    0U,	// DIV8m
+    0U,	// DIV8r
+    0U,	// EH_RETURN
+    0U,	// EH_RETURN64
+    0U,	// EH_SjLj_LongJmp32
+    0U,	// EH_SjLj_LongJmp64
+    0U,	// EH_SjLj_SetJmp32
+    0U,	// EH_SjLj_SetJmp64
+    0U,	// EH_SjLj_Setup
+    0U,	// ENTER
+    0U,	// FARCALL16i
+    0U,	// FARCALL16m
+    0U,	// FARCALL32i
+    0U,	// FARCALL32m
+    0U,	// FARCALL64
+    0U,	// FARJMP16i
+    0U,	// FARJMP16m
+    0U,	// FARJMP32i
+    0U,	// FARJMP32m
+    0U,	// FARJMP64
+    0U,	// FSETPM
+    0U,	// GETSEC
+    0U,	// HLT
+    0U,	// IDIV16m
+    0U,	// IDIV16r
+    0U,	// IDIV32m
+    0U,	// IDIV32r
+    0U,	// IDIV64m
+    0U,	// IDIV64r
+    0U,	// IDIV8m
+    0U,	// IDIV8r
+    0U,	// IMUL16m
+    0U,	// IMUL16r
+    0U,	// IMUL16rm
+    0U,	// IMUL16rmi
+    0U,	// IMUL16rmi8
+    0U,	// IMUL16rr
+    0U,	// IMUL16rri
+    0U,	// IMUL16rri8
+    0U,	// IMUL32m
+    0U,	// IMUL32r
+    0U,	// IMUL32rm
+    0U,	// IMUL32rmi
+    0U,	// IMUL32rmi8
+    0U,	// IMUL32rr
+    0U,	// IMUL32rri
+    0U,	// IMUL32rri8
+    0U,	// IMUL64m
+    0U,	// IMUL64r
+    0U,	// IMUL64rm
+    0U,	// IMUL64rmi32
+    0U,	// IMUL64rmi8
+    0U,	// IMUL64rr
+    0U,	// IMUL64rri32
+    0U,	// IMUL64rri8
+    0U,	// IMUL8m
+    0U,	// IMUL8r
+    0U,	// IN16ri
+    0U,	// IN16rr
+    0U,	// IN32ri
+    0U,	// IN32rr
+    0U,	// IN8ri
+    0U,	// IN8rr
+    0U,	// INC16m
+    0U,	// INC16r
+    0U,	// INC16r_alt
+    0U,	// INC32m
+    0U,	// INC32r
+    0U,	// INC32r_alt
+    0U,	// INC64m
+    0U,	// INC64r
+    0U,	// INC8m
+    0U,	// INC8r
+    0U,	// INSB
+    0U,	// INSL
+    0U,	// INSW
+    0U,	// INT
+    0U,	// INT1
+    0U,	// INT3
+    0U,	// INTO
+    0U,	// INVD
+    0U,	// INVEPT32
+    0U,	// INVEPT64
+    0U,	// INVLPG
+    0U,	// INVLPGA32
+    0U,	// INVLPGA64
+    0U,	// INVPCID32
+    0U,	// INVPCID64
+    0U,	// INVVPID32
+    0U,	// INVVPID64
+    0U,	// IRET16
+    0U,	// IRET32
+    0U,	// IRET64
+    0U,	// Int_MemBarrier
+    0U,	// JAE_1
+    0U,	// JAE_2
+    0U,	// JAE_4
+    0U,	// JA_1
+    0U,	// JA_2
+    0U,	// JA_4
+    0U,	// JBE_1
+    0U,	// JBE_2
+    0U,	// JBE_4
+    0U,	// JB_1
+    0U,	// JB_2
+    0U,	// JB_4
+    0U,	// JCXZ
+    0U,	// JECXZ
+    0U,	// JE_1
+    0U,	// JE_2
+    0U,	// JE_4
+    0U,	// JGE_1
+    0U,	// JGE_2
+    0U,	// JGE_4
+    0U,	// JG_1
+    0U,	// JG_2
+    0U,	// JG_4
+    0U,	// JLE_1
+    0U,	// JLE_2
+    0U,	// JLE_4
+    0U,	// JL_1
+    0U,	// JL_2
+    0U,	// JL_4
+    0U,	// JMP16m
+    0U,	// JMP16r
+    0U,	// JMP32m
+    0U,	// JMP32r
+    0U,	// JMP64m
+    0U,	// JMP64r
+    0U,	// JMP_1
+    0U,	// JMP_2
+    0U,	// JMP_4
+    0U,	// JNE_1
+    0U,	// JNE_2
+    0U,	// JNE_4
+    0U,	// JNO_1
+    0U,	// JNO_2
+    0U,	// JNO_4
+    0U,	// JNP_1
+    0U,	// JNP_2
+    0U,	// JNP_4
+    0U,	// JNS_1
+    0U,	// JNS_2
+    0U,	// JNS_4
+    0U,	// JO_1
+    0U,	// JO_2
+    0U,	// JO_4
+    0U,	// JP_1
+    0U,	// JP_2
+    0U,	// JP_4
+    0U,	// JRCXZ
+    0U,	// JS_1
+    0U,	// JS_2
+    0U,	// JS_4
+    0U,	// LAHF
+    0U,	// LAR16rm
+    0U,	// LAR16rr
+    0U,	// LAR32rm
+    0U,	// LAR32rr
+    0U,	// LAR64rm
+    0U,	// LAR64rr
+    0U,	// LCMPXCHG16
+    0U,	// LCMPXCHG16B
+    0U,	// LCMPXCHG32
+    0U,	// LCMPXCHG64
+    0U,	// LCMPXCHG8
+    0U,	// LCMPXCHG8B
+    0U,	// LDS16rm
+    0U,	// LDS32rm
+    0U,	// LEA16r
+    0U,	// LEA32r
+    0U,	// LEA64_32r
+    0U,	// LEA64r
+    0U,	// LEAVE
+    0U,	// LEAVE64
+    0U,	// LES16rm
+    0U,	// LES32rm
+    0U,	// LFS16rm
+    0U,	// LFS32rm
+    0U,	// LFS64rm
+    0U,	// LGDT16m
+    0U,	// LGDT32m
+    0U,	// LGDT64m
+    0U,	// LGS16rm
+    0U,	// LGS32rm
+    0U,	// LGS64rm
+    0U,	// LIDT16m
+    0U,	// LIDT32m
+    0U,	// LIDT64m
+    0U,	// LLDT16m
+    0U,	// LLDT16r
+    0U,	// LMSW16m
+    0U,	// LMSW16r
+    0U,	// LOCK_ADD16mi
+    0U,	// LOCK_ADD16mi8
+    0U,	// LOCK_ADD16mr
+    0U,	// LOCK_ADD32mi
+    0U,	// LOCK_ADD32mi8
+    0U,	// LOCK_ADD32mr
+    0U,	// LOCK_ADD64mi32
+    0U,	// LOCK_ADD64mi8
+    0U,	// LOCK_ADD64mr
+    0U,	// LOCK_ADD8mi
+    0U,	// LOCK_ADD8mr
+    0U,	// LOCK_AND16mi
+    0U,	// LOCK_AND16mi8
+    0U,	// LOCK_AND16mr
+    0U,	// LOCK_AND32mi
+    0U,	// LOCK_AND32mi8
+    0U,	// LOCK_AND32mr
+    0U,	// LOCK_AND64mi32
+    0U,	// LOCK_AND64mi8
+    0U,	// LOCK_AND64mr
+    0U,	// LOCK_AND8mi
+    0U,	// LOCK_AND8mr
+    0U,	// LOCK_DEC16m
+    0U,	// LOCK_DEC32m
+    0U,	// LOCK_DEC64m
+    0U,	// LOCK_DEC8m
+    0U,	// LOCK_INC16m
+    0U,	// LOCK_INC32m
+    0U,	// LOCK_INC64m
+    0U,	// LOCK_INC8m
+    0U,	// LOCK_OR16mi
+    0U,	// LOCK_OR16mi8
+    0U,	// LOCK_OR16mr
+    0U,	// LOCK_OR32mi
+    0U,	// LOCK_OR32mi8
+    0U,	// LOCK_OR32mr
+    0U,	// LOCK_OR64mi32
+    0U,	// LOCK_OR64mi8
+    0U,	// LOCK_OR64mr
+    0U,	// LOCK_OR8mi
+    0U,	// LOCK_OR8mr
+    0U,	// LOCK_PREFIX
+    0U,	// LOCK_SUB16mi
+    0U,	// LOCK_SUB16mi8
+    0U,	// LOCK_SUB16mr
+    0U,	// LOCK_SUB32mi
+    0U,	// LOCK_SUB32mi8
+    0U,	// LOCK_SUB32mr
+    0U,	// LOCK_SUB64mi32
+    0U,	// LOCK_SUB64mi8
+    0U,	// LOCK_SUB64mr
+    0U,	// LOCK_SUB8mi
+    0U,	// LOCK_SUB8mr
+    0U,	// LOCK_XOR16mi
+    0U,	// LOCK_XOR16mi8
+    0U,	// LOCK_XOR16mr
+    0U,	// LOCK_XOR32mi
+    0U,	// LOCK_XOR32mi8
+    0U,	// LOCK_XOR32mr
+    0U,	// LOCK_XOR64mi32
+    0U,	// LOCK_XOR64mi8
+    0U,	// LOCK_XOR64mr
+    0U,	// LOCK_XOR8mi
+    0U,	// LOCK_XOR8mr
+    0U,	// LODSB
+    0U,	// LODSL
+    0U,	// LODSQ
+    0U,	// LODSW
+    0U,	// LOOP
+    0U,	// LOOPE
+    0U,	// LOOPNE
+    0U,	// LRETIL
+    0U,	// LRETIQ
+    0U,	// LRETIW
+    0U,	// LRETL
+    0U,	// LRETQ
+    0U,	// LRETW
+    0U,	// LSL16rm
+    0U,	// LSL16rr
+    0U,	// LSL32rm
+    0U,	// LSL32rr
+    0U,	// LSL64rm
+    0U,	// LSL64rr
+    0U,	// LSS16rm
+    0U,	// LSS32rm
+    0U,	// LSS64rm
+    0U,	// LTRm
+    0U,	// LTRr
+    0U,	// LXADD16
+    0U,	// LXADD32
+    0U,	// LXADD64
+    0U,	// LXADD8
+    0U,	// LZCNT16rm
+    0U,	// LZCNT16rr
+    0U,	// LZCNT32rm
+    0U,	// LZCNT32rr
+    0U,	// LZCNT64rm
+    0U,	// LZCNT64rr
+    0U,	// MONTMUL
+    0U,	// MORESTACK_RET
+    0U,	// MORESTACK_RET_RESTORE_R10
+    0U,	// MOV16ao16
+    0U,	// MOV16ao32
+    0U,	// MOV16ao64
+    0U,	// MOV16mi
+    0U,	// MOV16mr
+    0U,	// MOV16ms
+    0U,	// MOV16o16a
+    0U,	// MOV16o32a
+    0U,	// MOV16o64a
+    0U,	// MOV16ri
+    0U,	// MOV16ri_alt
+    0U,	// MOV16rm
+    0U,	// MOV16rr
+    0U,	// MOV16rr_REV
+    0U,	// MOV16rs
+    0U,	// MOV16sm
+    0U,	// MOV16sr
+    0U,	// MOV32ao16
+    0U,	// MOV32ao32
+    0U,	// MOV32ao64
+    0U,	// MOV32cr
+    0U,	// MOV32dr
+    0U,	// MOV32mi
+    0U,	// MOV32mr
+    0U,	// MOV32ms
+    0U,	// MOV32o16a
+    0U,	// MOV32o32a
+    0U,	// MOV32o64a
+    0U,	// MOV32r0
+    0U,	// MOV32rc
+    0U,	// MOV32rd
+    0U,	// MOV32ri
+    0U,	// MOV32ri64
+    0U,	// MOV32ri_alt
+    0U,	// MOV32rm
+    0U,	// MOV32rr
+    0U,	// MOV32rr_REV
+    0U,	// MOV32rs
+    0U,	// MOV32sm
+    0U,	// MOV32sr
+    0U,	// MOV64ao32
+    0U,	// MOV64ao64
+    0U,	// MOV64cr
+    0U,	// MOV64dr
+    0U,	// MOV64mi32
+    0U,	// MOV64mr
+    0U,	// MOV64ms
+    0U,	// MOV64o32a
+    0U,	// MOV64o64a
+    0U,	// MOV64rc
+    0U,	// MOV64rd
+    0U,	// MOV64ri
+    0U,	// MOV64ri32
+    0U,	// MOV64rm
+    0U,	// MOV64rr
+    0U,	// MOV64rr_REV
+    0U,	// MOV64rs
+    0U,	// MOV64sm
+    0U,	// MOV64sr
+    0U,	// MOV8ao16
+    0U,	// MOV8ao32
+    0U,	// MOV8ao64
+    0U,	// MOV8mi
+    0U,	// MOV8mr
+    0U,	// MOV8mr_NOREX
+    0U,	// MOV8o16a
+    0U,	// MOV8o32a
+    0U,	// MOV8o64a
+    0U,	// MOV8ri
+    0U,	// MOV8ri_alt
+    0U,	// MOV8rm
+    0U,	// MOV8rm_NOREX
+    0U,	// MOV8rr
+    0U,	// MOV8rr_NOREX
+    0U,	// MOV8rr_REV
+    0U,	// MOVBE16mr
+    0U,	// MOVBE16rm
+    0U,	// MOVBE32mr
+    0U,	// MOVBE32rm
+    0U,	// MOVBE64mr
+    0U,	// MOVBE64rm
+    0U,	// MOVPC32r
+    0U,	// MOVSB
+    0U,	// MOVSL
+    0U,	// MOVSQ
+    0U,	// MOVSW
+    0U,	// MOVSX16rm8
+    0U,	// MOVSX16rr8
+    0U,	// MOVSX32_NOREXrm8
+    0U,	// MOVSX32_NOREXrr8
+    0U,	// MOVSX32rm16
+    0U,	// MOVSX32rm8
+    0U,	// MOVSX32rr16
+    0U,	// MOVSX32rr8
+    0U,	// MOVSX64_NOREXrr32
+    0U,	// MOVSX64rm16
+    0U,	// MOVSX64rm32
+    0U,	// MOVSX64rm32_alt
+    0U,	// MOVSX64rm8
+    0U,	// MOVSX64rr16
+    0U,	// MOVSX64rr32
+    0U,	// MOVSX64rr8
+    0U,	// MOVZX16rm8
+    0U,	// MOVZX16rr8
+    0U,	// MOVZX32_NOREXrm8
+    0U,	// MOVZX32_NOREXrr8
+    0U,	// MOVZX32rm16
+    0U,	// MOVZX32rm8
+    0U,	// MOVZX32rr16
+    0U,	// MOVZX32rr8
+    0U,	// MOVZX64rm16_Q
+    0U,	// MOVZX64rm8_Q
+    0U,	// MOVZX64rr16_Q
+    0U,	// MOVZX64rr8_Q
+    0U,	// MUL16m
+    0U,	// MUL16r
+    0U,	// MUL32m
+    0U,	// MUL32r
+    0U,	// MUL64m
+    0U,	// MUL64r
+    0U,	// MUL8m
+    0U,	// MUL8r
+    0U,	// MULX32rm
+    0U,	// MULX32rr
+    0U,	// MULX64rm
+    0U,	// MULX64rr
+    0U,	// NEG16m
+    0U,	// NEG16r
+    0U,	// NEG32m
+    0U,	// NEG32r
+    0U,	// NEG64m
+    0U,	// NEG64r
+    0U,	// NEG8m
+    0U,	// NEG8r
+    0U,	// NOOP
+    0U,	// NOOP18_16m4
+    0U,	// NOOP18_16m5
+    0U,	// NOOP18_16m6
+    0U,	// NOOP18_16m7
+    0U,	// NOOP18_16r4
+    0U,	// NOOP18_16r5
+    0U,	// NOOP18_16r6
+    0U,	// NOOP18_16r7
+    0U,	// NOOP18_m4
+    0U,	// NOOP18_m5
+    0U,	// NOOP18_m6
+    0U,	// NOOP18_m7
+    0U,	// NOOP18_r4
+    0U,	// NOOP18_r5
+    0U,	// NOOP18_r6
+    0U,	// NOOP18_r7
+    0U,	// NOOP19rr
+    0U,	// NOOPL
+    0U,	// NOOPL_19
+    0U,	// NOOPL_1a
+    0U,	// NOOPL_1b
+    0U,	// NOOPL_1c
+    0U,	// NOOPL_1d
+    0U,	// NOOPL_1e
+    0U,	// NOOPW
+    0U,	// NOOPW_19
+    0U,	// NOOPW_1a
+    0U,	// NOOPW_1b
+    0U,	// NOOPW_1c
+    0U,	// NOOPW_1d
+    0U,	// NOOPW_1e
+    0U,	// NOT16m
+    0U,	// NOT16r
+    0U,	// NOT32m
+    0U,	// NOT32r
+    0U,	// NOT64m
+    0U,	// NOT64r
+    0U,	// NOT8m
+    0U,	// NOT8r
+    0U,	// OR16i16
+    0U,	// OR16mi
+    0U,	// OR16mi8
+    0U,	// OR16mr
+    0U,	// OR16ri
+    0U,	// OR16ri8
+    0U,	// OR16rm
+    0U,	// OR16rr
+    0U,	// OR16rr_REV
+    0U,	// OR32i32
+    0U,	// OR32mi
+    0U,	// OR32mi8
+    0U,	// OR32mr
+    0U,	// OR32mrLocked
+    0U,	// OR32ri
+    0U,	// OR32ri8
+    0U,	// OR32rm
+    0U,	// OR32rr
+    0U,	// OR32rr_REV
+    0U,	// OR64i32
+    0U,	// OR64mi32
+    0U,	// OR64mi8
+    0U,	// OR64mr
+    0U,	// OR64ri32
+    0U,	// OR64ri8
+    0U,	// OR64rm
+    0U,	// OR64rr
+    0U,	// OR64rr_REV
+    0U,	// OR8i8
+    0U,	// OR8mi
+    0U,	// OR8mi8
+    0U,	// OR8mr
+    0U,	// OR8ri
+    0U,	// OR8ri8
+    0U,	// OR8rm
+    0U,	// OR8rr
+    0U,	// OR8rr_REV
+    0U,	// OUT16ir
+    0U,	// OUT16rr
+    0U,	// OUT32ir
+    0U,	// OUT32rr
+    0U,	// OUT8ir
+    0U,	// OUT8rr
+    0U,	// OUTSB
+    0U,	// OUTSL
+    0U,	// OUTSW
+    0U,	// PCOMMIT
+    0U,	// PDEP32rm
+    0U,	// PDEP32rr
+    0U,	// PDEP64rm
+    0U,	// PDEP64rr
+    0U,	// PEXT32rm
+    0U,	// PEXT32rr
+    0U,	// PEXT64rm
+    0U,	// PEXT64rr
+    0U,	// POP16r
+    0U,	// POP16rmm
+    0U,	// POP16rmr
+    0U,	// POP32r
+    0U,	// POP32rmm
+    0U,	// POP32rmr
+    0U,	// POP64r
+    0U,	// POP64rmm
+    0U,	// POP64rmr
+    0U,	// POPA16
+    0U,	// POPA32
+    0U,	// POPDS16
+    0U,	// POPDS32
+    0U,	// POPES16
+    0U,	// POPES32
+    0U,	// POPF16
+    0U,	// POPF32
+    0U,	// POPF64
+    0U,	// POPFS16
+    0U,	// POPFS32
+    0U,	// POPFS64
+    0U,	// POPGS16
+    0U,	// POPGS32
+    0U,	// POPGS64
+    0U,	// POPSS16
+    0U,	// POPSS32
+    0U,	// PUSH16i8
+    0U,	// PUSH16r
+    0U,	// PUSH16rmm
+    0U,	// PUSH16rmr
+    0U,	// PUSH32i8
+    0U,	// PUSH32r
+    0U,	// PUSH32rmm
+    0U,	// PUSH32rmr
+    0U,	// PUSH64i16
+    0U,	// PUSH64i32
+    0U,	// PUSH64i8
+    0U,	// PUSH64r
+    0U,	// PUSH64rmm
+    0U,	// PUSH64rmr
+    0U,	// PUSHA16
+    0U,	// PUSHA32
+    0U,	// PUSHCS16
+    0U,	// PUSHCS32
+    0U,	// PUSHDS16
+    0U,	// PUSHDS32
+    0U,	// PUSHES16
+    0U,	// PUSHES32
+    0U,	// PUSHF16
+    0U,	// PUSHF32
+    0U,	// PUSHF64
+    0U,	// PUSHFS16
+    0U,	// PUSHFS32
+    0U,	// PUSHFS64
+    0U,	// PUSHGS16
+    0U,	// PUSHGS32
+    0U,	// PUSHGS64
+    0U,	// PUSHSS16
+    0U,	// PUSHSS32
+    0U,	// PUSHi16
+    0U,	// PUSHi32
+    0U,	// RCL16m1
+    0U,	// RCL16mCL
+    0U,	// RCL16mi
+    0U,	// RCL16r1
+    0U,	// RCL16rCL
+    0U,	// RCL16ri
+    0U,	// RCL32m1
+    0U,	// RCL32mCL
+    0U,	// RCL32mi
+    0U,	// RCL32r1
+    0U,	// RCL32rCL
+    0U,	// RCL32ri
+    0U,	// RCL64m1
+    0U,	// RCL64mCL
+    0U,	// RCL64mi
+    0U,	// RCL64r1
+    0U,	// RCL64rCL
+    0U,	// RCL64ri
+    0U,	// RCL8m1
+    0U,	// RCL8mCL
+    0U,	// RCL8mi
+    0U,	// RCL8r1
+    0U,	// RCL8rCL
+    0U,	// RCL8ri
+    0U,	// RCR16m1
+    0U,	// RCR16mCL
+    0U,	// RCR16mi
+    0U,	// RCR16r1
+    0U,	// RCR16rCL
+    0U,	// RCR16ri
+    0U,	// RCR32m1
+    0U,	// RCR32mCL
+    0U,	// RCR32mi
+    0U,	// RCR32r1
+    0U,	// RCR32rCL
+    0U,	// RCR32ri
+    0U,	// RCR64m1
+    0U,	// RCR64mCL
+    0U,	// RCR64mi
+    0U,	// RCR64r1
+    0U,	// RCR64rCL
+    0U,	// RCR64ri
+    0U,	// RCR8m1
+    0U,	// RCR8mCL
+    0U,	// RCR8mi
+    0U,	// RCR8r1
+    0U,	// RCR8rCL
+    0U,	// RCR8ri
+    0U,	// RDFSBASE
+    0U,	// RDFSBASE64
+    0U,	// RDGSBASE
+    0U,	// RDGSBASE64
+    0U,	// RDMSR
+    0U,	// RDPMC
+    0U,	// RDRAND16r
+    0U,	// RDRAND32r
+    0U,	// RDRAND64r
+    0U,	// RDSEED16r
+    0U,	// RDSEED32r
+    0U,	// RDSEED64r
+    0U,	// RDTSC
+    0U,	// RDTSCP
+    0U,	// RELEASE_ADD32mi
+    0U,	// RELEASE_ADD64mi32
+    0U,	// RELEASE_ADD8mi
+    0U,	// RELEASE_AND32mi
+    0U,	// RELEASE_AND64mi32
+    0U,	// RELEASE_AND8mi
+    0U,	// RELEASE_DEC16m
+    0U,	// RELEASE_DEC32m
+    0U,	// RELEASE_DEC64m
+    0U,	// RELEASE_DEC8m
+    0U,	// RELEASE_INC16m
+    0U,	// RELEASE_INC32m
+    0U,	// RELEASE_INC64m
+    0U,	// RELEASE_INC8m
+    0U,	// RELEASE_MOV16mi
+    0U,	// RELEASE_MOV16mr
+    0U,	// RELEASE_MOV32mi
+    0U,	// RELEASE_MOV32mr
+    0U,	// RELEASE_MOV64mi32
+    0U,	// RELEASE_MOV64mr
+    0U,	// RELEASE_MOV8mi
+    0U,	// RELEASE_MOV8mr
+    0U,	// RELEASE_OR32mi
+    0U,	// RELEASE_OR64mi32
+    0U,	// RELEASE_OR8mi
+    0U,	// RELEASE_XOR32mi
+    0U,	// RELEASE_XOR64mi32
+    0U,	// RELEASE_XOR8mi
+    0U,	// REPNE_PREFIX
+    0U,	// REP_MOVSB_32
+    0U,	// REP_MOVSB_64
+    0U,	// REP_MOVSD_32
+    0U,	// REP_MOVSD_64
+    0U,	// REP_MOVSQ_64
+    0U,	// REP_MOVSW_32
+    0U,	// REP_MOVSW_64
+    0U,	// REP_PREFIX
+    0U,	// REP_STOSB_32
+    0U,	// REP_STOSB_64
+    0U,	// REP_STOSD_32
+    0U,	// REP_STOSD_64
+    0U,	// REP_STOSQ_64
+    0U,	// REP_STOSW_32
+    0U,	// REP_STOSW_64
+    0U,	// RETIL
+    0U,	// RETIQ
+    0U,	// RETIW
+    0U,	// RETL
+    0U,	// RETQ
+    0U,	// RETW
+    0U,	// REX64_PREFIX
+    0U,	// ROL16m1
+    0U,	// ROL16mCL
+    0U,	// ROL16mi
+    0U,	// ROL16r1
+    0U,	// ROL16rCL
+    0U,	// ROL16ri
+    0U,	// ROL32m1
+    0U,	// ROL32mCL
+    0U,	// ROL32mi
+    0U,	// ROL32r1
+    0U,	// ROL32rCL
+    0U,	// ROL32ri
+    0U,	// ROL64m1
+    0U,	// ROL64mCL
+    0U,	// ROL64mi
+    0U,	// ROL64r1
+    0U,	// ROL64rCL
+    0U,	// ROL64ri
+    0U,	// ROL8m1
+    0U,	// ROL8mCL
+    0U,	// ROL8mi
+    0U,	// ROL8r1
+    0U,	// ROL8rCL
+    0U,	// ROL8ri
+    0U,	// ROR16m1
+    0U,	// ROR16mCL
+    0U,	// ROR16mi
+    0U,	// ROR16r1
+    0U,	// ROR16rCL
+    0U,	// ROR16ri
+    0U,	// ROR32m1
+    0U,	// ROR32mCL
+    0U,	// ROR32mi
+    0U,	// ROR32r1
+    0U,	// ROR32rCL
+    0U,	// ROR32ri
+    0U,	// ROR64m1
+    0U,	// ROR64mCL
+    0U,	// ROR64mi
+    0U,	// ROR64r1
+    0U,	// ROR64rCL
+    0U,	// ROR64ri
+    0U,	// ROR8m1
+    0U,	// ROR8mCL
+    0U,	// ROR8mi
+    0U,	// ROR8r1
+    0U,	// ROR8rCL
+    0U,	// ROR8ri
+    0U,	// RORX32mi
+    0U,	// RORX32ri
+    0U,	// RORX64mi
+    0U,	// RORX64ri
+    0U,	// RSM
+    0U,	// SAHF
+    0U,	// SAL16m1
+    0U,	// SAL16mCL
+    0U,	// SAL16mi
+    0U,	// SAL16r1
+    0U,	// SAL16rCL
+    0U,	// SAL16ri
+    0U,	// SAL32m1
+    0U,	// SAL32mCL
+    0U,	// SAL32mi
+    0U,	// SAL32r1
+    0U,	// SAL32rCL
+    0U,	// SAL32ri
+    0U,	// SAL64m1
+    0U,	// SAL64mCL
+    0U,	// SAL64mi
+    0U,	// SAL64r1
+    0U,	// SAL64rCL
+    0U,	// SAL64ri
+    0U,	// SAL8m1
+    0U,	// SAL8mCL
+    0U,	// SAL8mi
+    0U,	// SAL8r1
+    0U,	// SAL8rCL
+    0U,	// SAL8ri
+    0U,	// SALC
+    0U,	// SAR16m1
+    0U,	// SAR16mCL
+    0U,	// SAR16mi
+    0U,	// SAR16r1
+    0U,	// SAR16rCL
+    0U,	// SAR16ri
+    0U,	// SAR32m1
+    0U,	// SAR32mCL
+    0U,	// SAR32mi
+    0U,	// SAR32r1
+    0U,	// SAR32rCL
+    0U,	// SAR32ri
+    0U,	// SAR64m1
+    0U,	// SAR64mCL
+    0U,	// SAR64mi
+    0U,	// SAR64r1
+    0U,	// SAR64rCL
+    0U,	// SAR64ri
+    0U,	// SAR8m1
+    0U,	// SAR8mCL
+    0U,	// SAR8mi
+    0U,	// SAR8r1
+    0U,	// SAR8rCL
+    0U,	// SAR8ri
+    0U,	// SARX32rm
+    0U,	// SARX32rr
+    0U,	// SARX64rm
+    0U,	// SARX64rr
+    0U,	// SBB16i16
+    0U,	// SBB16mi
+    0U,	// SBB16mi8
+    0U,	// SBB16mr
+    0U,	// SBB16ri
+    0U,	// SBB16ri8
+    0U,	// SBB16rm
+    0U,	// SBB16rr
+    0U,	// SBB16rr_REV
+    0U,	// SBB32i32
+    0U,	// SBB32mi
+    0U,	// SBB32mi8
+    0U,	// SBB32mr
+    0U,	// SBB32ri
+    0U,	// SBB32ri8
+    0U,	// SBB32rm
+    0U,	// SBB32rr
+    0U,	// SBB32rr_REV
+    0U,	// SBB64i32
+    0U,	// SBB64mi32
+    0U,	// SBB64mi8
+    0U,	// SBB64mr
+    0U,	// SBB64ri32
+    0U,	// SBB64ri8
+    0U,	// SBB64rm
+    0U,	// SBB64rr
+    0U,	// SBB64rr_REV
+    0U,	// SBB8i8
+    0U,	// SBB8mi
+    0U,	// SBB8mi8
+    0U,	// SBB8mr
+    0U,	// SBB8ri
+    0U,	// SBB8ri8
+    0U,	// SBB8rm
+    0U,	// SBB8rr
+    0U,	// SBB8rr_REV
+    0U,	// SCASB
+    0U,	// SCASL
+    0U,	// SCASQ
+    0U,	// SCASW
+    0U,	// SEG_ALLOCA_32
+    0U,	// SEG_ALLOCA_64
+    0U,	// SEH_EndPrologue
+    0U,	// SEH_Epilogue
+    0U,	// SEH_PushFrame
+    0U,	// SEH_PushReg
+    0U,	// SEH_SaveReg
+    0U,	// SEH_SaveXMM
+    0U,	// SEH_SetFrame
+    0U,	// SEH_StackAlloc
+    0U,	// SETAEm
+    0U,	// SETAEr
+    0U,	// SETAm
+    0U,	// SETAr
+    0U,	// SETBEm
+    0U,	// SETBEr
+    0U,	// SETB_C16r
+    0U,	// SETB_C32r
+    0U,	// SETB_C64r
+    0U,	// SETB_C8r
+    0U,	// SETBm
+    0U,	// SETBr
+    0U,	// SETEm
+    0U,	// SETEr
+    0U,	// SETGEm
+    0U,	// SETGEr
+    0U,	// SETGm
+    0U,	// SETGr
+    0U,	// SETLEm
+    0U,	// SETLEr
+    0U,	// SETLm
+    0U,	// SETLr
+    0U,	// SETNEm
+    0U,	// SETNEr
+    0U,	// SETNOm
+    0U,	// SETNOr
+    0U,	// SETNPm
+    0U,	// SETNPr
+    0U,	// SETNSm
+    0U,	// SETNSr
+    0U,	// SETOm
+    0U,	// SETOr
+    0U,	// SETPm
+    0U,	// SETPr
+    0U,	// SETSm
+    0U,	// SETSr
+    0U,	// SGDT16m
+    0U,	// SGDT32m
+    0U,	// SGDT64m
+    0U,	// SHL16m1
+    0U,	// SHL16mCL
+    0U,	// SHL16mi
+    0U,	// SHL16r1
+    0U,	// SHL16rCL
+    0U,	// SHL16ri
+    0U,	// SHL32m1
+    0U,	// SHL32mCL
+    0U,	// SHL32mi
+    0U,	// SHL32r1
+    0U,	// SHL32rCL
+    0U,	// SHL32ri
+    0U,	// SHL64m1
+    0U,	// SHL64mCL
+    0U,	// SHL64mi
+    0U,	// SHL64r1
+    0U,	// SHL64rCL
+    0U,	// SHL64ri
+    0U,	// SHL8m1
+    0U,	// SHL8mCL
+    0U,	// SHL8mi
+    0U,	// SHL8r1
+    0U,	// SHL8rCL
+    0U,	// SHL8ri
+    0U,	// SHLD16mrCL
+    0U,	// SHLD16mri8
+    0U,	// SHLD16rrCL
+    0U,	// SHLD16rri8
+    0U,	// SHLD32mrCL
+    0U,	// SHLD32mri8
+    0U,	// SHLD32rrCL
+    0U,	// SHLD32rri8
+    0U,	// SHLD64mrCL
+    0U,	// SHLD64mri8
+    0U,	// SHLD64rrCL
+    0U,	// SHLD64rri8
+    0U,	// SHLX32rm
+    0U,	// SHLX32rr
+    0U,	// SHLX64rm
+    0U,	// SHLX64rr
+    0U,	// SHR16m1
+    0U,	// SHR16mCL
+    0U,	// SHR16mi
+    0U,	// SHR16r1
+    0U,	// SHR16rCL
+    0U,	// SHR16ri
+    0U,	// SHR32m1
+    0U,	// SHR32mCL
+    0U,	// SHR32mi
+    0U,	// SHR32r1
+    0U,	// SHR32rCL
+    0U,	// SHR32ri
+    0U,	// SHR64m1
+    0U,	// SHR64mCL
+    0U,	// SHR64mi
+    0U,	// SHR64r1
+    0U,	// SHR64rCL
+    0U,	// SHR64ri
+    0U,	// SHR8m1
+    0U,	// SHR8mCL
+    0U,	// SHR8mi
+    0U,	// SHR8r1
+    0U,	// SHR8rCL
+    0U,	// SHR8ri
+    0U,	// SHRD16mrCL
+    0U,	// SHRD16mri8
+    0U,	// SHRD16rrCL
+    0U,	// SHRD16rri8
+    0U,	// SHRD32mrCL
+    0U,	// SHRD32mri8
+    0U,	// SHRD32rrCL
+    0U,	// SHRD32rri8
+    0U,	// SHRD64mrCL
+    0U,	// SHRD64mri8
+    0U,	// SHRD64rrCL
+    0U,	// SHRD64rri8
+    0U,	// SHRX32rm
+    0U,	// SHRX32rr
+    0U,	// SHRX64rm
+    0U,	// SHRX64rr
+    0U,	// SIDT16m
+    0U,	// SIDT32m
+    0U,	// SIDT64m
+    0U,	// SKINIT
+    0U,	// SLDT16m
+    0U,	// SLDT16r
+    0U,	// SLDT32r
+    0U,	// SLDT64m
+    0U,	// SLDT64r
+    0U,	// SMSW16m
+    0U,	// SMSW16r
+    0U,	// SMSW32r
+    0U,	// SMSW64r
+    0U,	// STAC
+    0U,	// STC
+    0U,	// STD
+    0U,	// STGI
+    0U,	// STI
+    0U,	// STOSB
+    0U,	// STOSL
+    0U,	// STOSQ
+    0U,	// STOSW
+    0U,	// STR16r
+    0U,	// STR32r
+    0U,	// STR64r
+    0U,	// STRm
+    0U,	// SUB16i16
+    0U,	// SUB16mi
+    0U,	// SUB16mi8
+    0U,	// SUB16mr
+    0U,	// SUB16ri
+    0U,	// SUB16ri8
+    0U,	// SUB16rm
+    0U,	// SUB16rr
+    0U,	// SUB16rr_REV
+    0U,	// SUB32i32
+    0U,	// SUB32mi
+    0U,	// SUB32mi8
+    0U,	// SUB32mr
+    0U,	// SUB32ri
+    0U,	// SUB32ri8
+    0U,	// SUB32rm
+    0U,	// SUB32rr
+    0U,	// SUB32rr_REV
+    0U,	// SUB64i32
+    0U,	// SUB64mi32
+    0U,	// SUB64mi8
+    0U,	// SUB64mr
+    0U,	// SUB64ri32
+    0U,	// SUB64ri8
+    0U,	// SUB64rm
+    0U,	// SUB64rr
+    0U,	// SUB64rr_REV
+    0U,	// SUB8i8
+    0U,	// SUB8mi
+    0U,	// SUB8mi8
+    0U,	// SUB8mr
+    0U,	// SUB8ri
+    0U,	// SUB8ri8
+    0U,	// SUB8rm
+    0U,	// SUB8rr
+    0U,	// SUB8rr_REV
+    0U,	// SWAPGS
+    0U,	// SYSCALL
+    0U,	// SYSENTER
+    0U,	// SYSEXIT
+    0U,	// SYSEXIT64
+    0U,	// SYSRET
+    0U,	// SYSRET64
+    0U,	// T1MSKC32rm
+    0U,	// T1MSKC32rr
+    0U,	// T1MSKC64rm
+    0U,	// T1MSKC64rr
+    0U,	// TAILJMPd
+    0U,	// TAILJMPd64
+    0U,	// TAILJMPd64_REX
+    0U,	// TAILJMPm
+    0U,	// TAILJMPm64
+    0U,	// TAILJMPm64_REX
+    0U,	// TAILJMPr
+    0U,	// TAILJMPr64
+    0U,	// TAILJMPr64_REX
+    0U,	// TCRETURNdi
+    0U,	// TCRETURNdi64
+    0U,	// TCRETURNmi
+    0U,	// TCRETURNmi64
+    0U,	// TCRETURNri
+    0U,	// TCRETURNri64
+    0U,	// TEST16i16
+    0U,	// TEST16mi
+    0U,	// TEST16mi_alt
+    0U,	// TEST16ri
+    0U,	// TEST16ri_alt
+    0U,	// TEST16rm
+    0U,	// TEST16rr
+    0U,	// TEST32i32
+    0U,	// TEST32mi
+    0U,	// TEST32mi_alt
+    0U,	// TEST32ri
+    0U,	// TEST32ri_alt
+    0U,	// TEST32rm
+    0U,	// TEST32rr
+    0U,	// TEST64i32
+    0U,	// TEST64mi32
+    0U,	// TEST64mi32_alt
+    0U,	// TEST64ri32
+    0U,	// TEST64ri32_alt
+    0U,	// TEST64rm
+    0U,	// TEST64rr
+    0U,	// TEST8i8
+    0U,	// TEST8mi
+    0U,	// TEST8mi_alt
+    0U,	// TEST8ri
+    0U,	// TEST8ri_NOREX
+    0U,	// TEST8ri_alt
+    0U,	// TEST8rm
+    0U,	// TEST8rr
+    0U,	// TLSCall_32
+    0U,	// TLSCall_64
+    0U,	// TLS_addr32
+    0U,	// TLS_addr64
+    0U,	// TLS_base_addr32
+    0U,	// TLS_base_addr64
+    0U,	// TRAP
+    0U,	// TZCNT16rm
+    0U,	// TZCNT16rr
+    0U,	// TZCNT32rm
+    0U,	// TZCNT32rr
+    0U,	// TZCNT64rm
+    0U,	// TZCNT64rr
+    0U,	// TZMSK32rm
+    0U,	// TZMSK32rr
+    0U,	// TZMSK64rm
+    0U,	// TZMSK64rr
+    0U,	// UD2B
+    1U,	// VAARG_64
+    0U,	// VASTART_SAVE_XMM_REGS
+    0U,	// VERRm
+    0U,	// VERRr
+    0U,	// VERWm
+    0U,	// VERWr
+    0U,	// VMCALL
+    0U,	// VMCLEARm
+    0U,	// VMFUNC
+    0U,	// VMLAUNCH
+    0U,	// VMLOAD32
+    0U,	// VMLOAD64
+    0U,	// VMMCALL
+    0U,	// VMPTRLDm
+    0U,	// VMPTRSTm
+    0U,	// VMREAD32rm
+    0U,	// VMREAD32rr
+    0U,	// VMREAD64rm
+    0U,	// VMREAD64rr
+    0U,	// VMRESUME
+    0U,	// VMRUN32
+    0U,	// VMRUN64
+    0U,	// VMSAVE32
+    0U,	// VMSAVE64
+    0U,	// VMWRITE32rm
+    0U,	// VMWRITE32rr
+    0U,	// VMWRITE64rm
+    0U,	// VMWRITE64rr
+    0U,	// VMXOFF
+    0U,	// VMXON
+    0U,	// WBINVD
+    0U,	// WIN_ALLOCA
+    0U,	// WIN_FTOL_32
+    0U,	// WIN_FTOL_64
+    0U,	// WRFSBASE
+    0U,	// WRFSBASE64
+    0U,	// WRGSBASE
+    0U,	// WRGSBASE64
+    0U,	// WRMSR
+    0U,	// XADD16rm
+    0U,	// XADD16rr
+    0U,	// XADD32rm
+    0U,	// XADD32rr
+    0U,	// XADD64rm
+    0U,	// XADD64rr
+    0U,	// XADD8rm
+    0U,	// XADD8rr
+    0U,	// XCHG16ar
+    0U,	// XCHG16rm
+    0U,	// XCHG16rr
+    0U,	// XCHG32ar
+    0U,	// XCHG32ar64
+    0U,	// XCHG32rm
+    0U,	// XCHG32rr
+    0U,	// XCHG64ar
+    0U,	// XCHG64rm
+    0U,	// XCHG64rr
+    0U,	// XCHG8rm
+    0U,	// XCHG8rr
+    0U,	// XCRYPTCBC
+    0U,	// XCRYPTCFB
+    0U,	// XCRYPTCTR
+    0U,	// XCRYPTECB
+    0U,	// XCRYPTOFB
+    0U,	// XGETBV
+    0U,	// XLAT
+    0U,	// XOR16i16
+    0U,	// XOR16mi
+    0U,	// XOR16mi8
+    0U,	// XOR16mr
+    0U,	// XOR16ri
+    0U,	// XOR16ri8
+    0U,	// XOR16rm
+    0U,	// XOR16rr
+    0U,	// XOR16rr_REV
+    0U,	// XOR32i32
+    0U,	// XOR32mi
+    0U,	// XOR32mi8
+    0U,	// XOR32mr
+    0U,	// XOR32ri
+    0U,	// XOR32ri8
+    0U,	// XOR32rm
+    0U,	// XOR32rr
+    0U,	// XOR32rr_REV
+    0U,	// XOR64i32
+    0U,	// XOR64mi32
+    0U,	// XOR64mi8
+    0U,	// XOR64mr
+    0U,	// XOR64ri32
+    0U,	// XOR64ri8
+    0U,	// XOR64rm
+    0U,	// XOR64rr
+    0U,	// XOR64rr_REV
+    0U,	// XOR8i8
+    0U,	// XOR8mi
+    0U,	// XOR8mi8
+    0U,	// XOR8mr
+    0U,	// XOR8ri
+    0U,	// XOR8ri8
+    0U,	// XOR8rm
+    0U,	// XOR8rr
+    0U,	// XOR8rr_REV
+    0U,	// XRSTOR
+    0U,	// XRSTOR64
+    0U,	// XRSTORS
+    0U,	// XRSTORS64
+    0U,	// XSAVE
+    0U,	// XSAVE64
+    0U,	// XSAVEC
+    0U,	// XSAVEC64
+    0U,	// XSAVEOPT
+    0U,	// XSAVEOPT64
+    0U,	// XSAVES
+    0U,	// XSAVES64
+    0U,	// XSETBV
+    0U,	// XSHA1
+    0U,	// XSHA256
+    0U,	// XSTORE
     0U
   };
 
 #ifndef CAPSTONE_DIET
-  static const char AsmStrs[] = {
-  /* 0 */ 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
-  /* 9 */ 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
-  /* 19 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
-  /* 31 */ 'l', 'e', 'a', 9, 0,
-  /* 36 */ 'j', 'a', 9, 0,
-  /* 40 */ 's', 'e', 't', 'a', 9, 0,
-  /* 46 */ 'c', 'm', 'o', 'v', 'a', 9, 0,
-  /* 53 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
-  /* 65 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
-  /* 76 */ 's', 'b', 'b', 9, 0,
-  /* 81 */ 'j', 'b', 9, 0,
-  /* 85 */ 'i', 'n', 's', 'b', 9, 0,
-  /* 91 */ 's', 't', 'o', 's', 'b', 9, 0,
-  /* 98 */ 'c', 'm', 'p', 's', 'b', 9, 0,
-  /* 105 */ 'm', 'o', 'v', 's', 'b', 9, 0,
-  /* 112 */ 's', 'e', 't', 'b', 9, 0,
-  /* 118 */ 's', 'u', 'b', 9, 0,
-  /* 123 */ 'c', 'm', 'o', 'v', 'b', 9, 0,
-  /* 130 */ 'a', 'd', 'c', 9, 0,
-  /* 135 */ 'd', 'e', 'c', 9, 0,
-  /* 140 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
-  /* 147 */ 'b', 'l', 's', 'i', 'c', 9, 0,
-  /* 154 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
-  /* 162 */ 'i', 'n', 'c', 9, 0,
-  /* 167 */ 'b', 't', 'c', 9, 0,
-  /* 172 */ 'a', 'a', 'd', 9, 0,
-  /* 177 */ 'v', 'm', 'r', 'e', 'a', 'd', 9, 0,
-  /* 185 */ 'x', 'a', 'd', 'd', 9, 0,
-  /* 191 */ 'r', 'd', 's', 'e', 'e', 'd', 9, 0,
-  /* 199 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
-  /* 208 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
-  /* 217 */ 's', 'h', 'l', 'd', 9, 0,
-  /* 223 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
-  /* 232 */ 'r', 'd', 'r', 'a', 'n', 'd', 9, 0,
-  /* 240 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
-  /* 247 */ 's', 'h', 'r', 'd', 9, 0,
-  /* 253 */ 'i', 'n', 's', 'd', 9, 0,
-  /* 259 */ 's', 't', 'o', 's', 'd', 9, 0,
-  /* 266 */ 'c', 'm', 'p', 's', 'd', 9, 0,
-  /* 273 */ 'm', 'o', 'v', 's', 'd', 9, 0,
-  /* 280 */ 'm', 'o', 'v', 's', 'x', 'd', 9, 0,
-  /* 288 */ 'j', 'a', 'e', 9, 0,
-  /* 293 */ 's', 'e', 't', 'a', 'e', 9, 0,
-  /* 300 */ 'c', 'm', 'o', 'v', 'a', 'e', 9, 0,
-  /* 308 */ 'j', 'b', 'e', 9, 0,
-  /* 313 */ 's', 'e', 't', 'b', 'e', 9, 0,
-  /* 320 */ 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
-  /* 328 */ 'j', 'g', 'e', 9, 0,
-  /* 333 */ 's', 'e', 't', 'g', 'e', 9, 0,
-  /* 340 */ 'c', 'm', 'o', 'v', 'g', 'e', 9, 0,
-  /* 348 */ 'j', 'e', 9, 0,
-  /* 352 */ 'j', 'l', 'e', 9, 0,
-  /* 357 */ 's', 'e', 't', 'l', 'e', 9, 0,
-  /* 364 */ 'c', 'm', 'o', 'v', 'l', 'e', 9, 0,
-  /* 372 */ 'j', 'n', 'e', 9, 0,
-  /* 377 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
-  /* 385 */ 's', 'e', 't', 'n', 'e', 9, 0,
-  /* 392 */ 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
-  /* 400 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
-  /* 407 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 417 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 427 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 437 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
-  /* 447 */ 's', 'e', 't', 'e', 9, 0,
-  /* 453 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 9, 0,
-  /* 462 */ 'x', 's', 'a', 'v', 'e', 9, 0,
-  /* 469 */ 'c', 'm', 'o', 'v', 'e', 9, 0,
-  /* 476 */ 'b', 's', 'f', 9, 0,
-  /* 481 */ 'r', 'e', 't', 'f', 9, 0,
-  /* 487 */ 'n', 'e', 'g', 9, 0,
-  /* 492 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 9, 0,
-  /* 501 */ 'j', 'g', 9, 0,
-  /* 505 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
-  /* 513 */ 's', 'e', 't', 'g', 9, 0,
-  /* 519 */ 'c', 'm', 'o', 'v', 'g', 9, 0,
-  /* 526 */ 'p', 'u', 's', 'h', 9, 0,
-  /* 532 */ 'b', 'l', 'c', 'i', 9, 0,
-  /* 538 */ 'b', 'z', 'h', 'i', 9, 0,
-  /* 544 */ 'b', 'l', 's', 'i', 9, 0,
-  /* 550 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
-  /* 558 */ 'b', 'l', 's', 'm', 's', 'k', 9, 0,
-  /* 566 */ 't', 'z', 'm', 's', 'k', 9, 0,
-  /* 573 */ 's', 'a', 'l', 9, 0,
-  /* 578 */ 'r', 'c', 'l', 9, 0,
-  /* 583 */ 's', 'h', 'l', 9, 0,
-  /* 588 */ 'j', 'l', 9, 0,
-  /* 592 */ 'l', 'c', 'a', 'l', 'l', 9, 0,
-  /* 599 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
-  /* 608 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
-  /* 617 */ 'r', 'o', 'l', 9, 0,
-  /* 622 */ 'a', 'r', 'p', 'l', 9, 0,
-  /* 628 */ 'l', 's', 'l', 9, 0,
-  /* 633 */ 's', 'e', 't', 'l', 9, 0,
-  /* 639 */ 'i', 'm', 'u', 'l', 9, 0,
-  /* 645 */ 'c', 'm', 'o', 'v', 'l', 9, 0,
-  /* 652 */ 'a', 'a', 'm', 9, 0,
-  /* 657 */ 'a', 'n', 'd', 'n', 9, 0,
-  /* 663 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
-  /* 670 */ 'j', 'o', 9, 0,
-  /* 674 */ 'j', 'n', 'o', 9, 0,
-  /* 679 */ 's', 'e', 't', 'n', 'o', 9, 0,
-  /* 686 */ 'c', 'm', 'o', 'v', 'n', 'o', 9, 0,
-  /* 694 */ 's', 'e', 't', 'o', 9, 0,
-  /* 700 */ 'c', 'm', 'o', 'v', 'o', 9, 0,
-  /* 707 */ 'b', 's', 'w', 'a', 'p', 9, 0,
-  /* 714 */ 'p', 'd', 'e', 'p', 9, 0,
-  /* 720 */ 'j', 'p', 9, 0,
-  /* 724 */ 'c', 'm', 'p', 9, 0,
-  /* 729 */ 'l', 'j', 'm', 'p', 9, 0,
-  /* 735 */ 'j', 'n', 'p', 9, 0,
-  /* 740 */ 's', 'e', 't', 'n', 'p', 9, 0,
-  /* 747 */ 'c', 'm', 'o', 'v', 'n', 'p', 9, 0,
-  /* 755 */ 'n', 'o', 'p', 9, 0,
-  /* 760 */ 'l', 'o', 'o', 'p', 9, 0,
-  /* 766 */ 'p', 'o', 'p', 9, 0,
-  /* 771 */ 's', 'e', 't', 'p', 9, 0,
-  /* 777 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
-  /* 793 */ 'c', 'm', 'o', 'v', 'p', 9, 0,
-  /* 800 */ 'r', 'e', 't', 'f', 'q', 9, 0,
-  /* 807 */ 's', 't', 'o', 's', 'q', 9, 0,
-  /* 814 */ 'c', 'm', 'p', 's', 'q', 9, 0,
-  /* 821 */ 'm', 'o', 'v', 's', 'q', 9, 0,
-  /* 828 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
-  /* 837 */ 'l', 'a', 'r', 9, 0,
-  /* 842 */ 's', 'a', 'r', 9, 0,
-  /* 847 */ 'r', 'c', 'r', 9, 0,
-  /* 852 */ 'e', 'n', 't', 'e', 'r', 9, 0,
-  /* 859 */ 's', 'h', 'r', 9, 0,
-  /* 864 */ 'r', 'o', 'r', 9, 0,
-  /* 869 */ 'x', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 877 */ 'x', 'o', 'r', 9, 0,
-  /* 882 */ 'v', 'e', 'r', 'r', 9, 0,
-  /* 888 */ 'b', 's', 'r', 9, 0,
-  /* 893 */ 'b', 'l', 's', 'r', 9, 0,
-  /* 899 */ 'b', 't', 'r', 9, 0,
-  /* 904 */ 'l', 't', 'r', 9, 0,
-  /* 909 */ 's', 't', 'r', 9, 0,
-  /* 914 */ 'b', 'e', 'x', 't', 'r', 9, 0,
-  /* 921 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 0,
-  /* 929 */ 'b', 'l', 'c', 's', 9, 0,
-  /* 935 */ 'l', 'd', 's', 9, 0,
-  /* 940 */ 'l', 'e', 's', 9, 0,
-  /* 945 */ 'l', 'f', 's', 9, 0,
-  /* 950 */ 'l', 'g', 's', 9, 0,
-  /* 955 */ 'j', 's', 9, 0,
-  /* 959 */ 'j', 'n', 's', 9, 0,
-  /* 964 */ 's', 'e', 't', 'n', 's', 9, 0,
-  /* 971 */ 'c', 'm', 'o', 'v', 'n', 's', 9, 0,
-  /* 979 */ 'l', 's', 's', 9, 0,
-  /* 984 */ 'b', 't', 's', 9, 0,
-  /* 989 */ 's', 'e', 't', 's', 9, 0,
-  /* 995 */ 'c', 'm', 'o', 'v', 's', 9, 0,
-  /* 1002 */ 'b', 't', 9, 0,
-  /* 1006 */ 'l', 'g', 'd', 't', 9, 0,
-  /* 1012 */ 's', 'g', 'd', 't', 9, 0,
-  /* 1018 */ 'l', 'i', 'd', 't', 9, 0,
-  /* 1024 */ 's', 'i', 'd', 't', 9, 0,
-  /* 1030 */ 'l', 'l', 'd', 't', 9, 0,
-  /* 1036 */ 's', 'l', 'd', 't', 9, 0,
-  /* 1042 */ 'r', 'e', 't', 9, 0,
-  /* 1047 */ 'l', 'z', 'c', 'n', 't', 9, 0,
-  /* 1054 */ 't', 'z', 'c', 'n', 't', 9, 0,
-  /* 1061 */ 'i', 'n', 't', 9, 0,
-  /* 1066 */ 'n', 'o', 't', 9, 0,
-  /* 1071 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
-  /* 1079 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
-  /* 1089 */ 't', 'e', 's', 't', 9, 0,
-  /* 1095 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
-  /* 1104 */ 'o', 'u', 't', 9, 0,
-  /* 1109 */ 'p', 'e', 'x', 't', 9, 0,
-  /* 1115 */ 'i', 'd', 'i', 'v', 9, 0,
-  /* 1121 */ 'm', 'o', 'v', 9, 0,
-  /* 1126 */ 'v', 'e', 'r', 'w', 9, 0,
-  /* 1132 */ 'l', 'm', 's', 'w', 9, 0,
-  /* 1138 */ 's', 'm', 's', 'w', 9, 0,
-  /* 1144 */ 'i', 'n', 's', 'w', 9, 0,
-  /* 1150 */ 's', 't', 'o', 's', 'w', 9, 0,
-  /* 1157 */ 'c', 'm', 'p', 's', 'w', 9, 0,
-  /* 1164 */ 'm', 'o', 'v', 's', 'w', 9, 0,
-  /* 1171 */ 'a', 'd', 'c', 'x', 9, 0,
-  /* 1177 */ 's', 'h', 'l', 'x', 9, 0,
-  /* 1183 */ 'm', 'u', 'l', 'x', 9, 0,
-  /* 1189 */ 'a', 'd', 'o', 'x', 9, 0,
-  /* 1195 */ 's', 'a', 'r', 'x', 9, 0,
-  /* 1201 */ 's', 'h', 'r', 'x', 9, 0,
-  /* 1207 */ 'r', 'o', 'r', 'x', 9, 0,
-  /* 1213 */ 'm', 'o', 'v', 's', 'x', 9, 0,
-  /* 1220 */ 'm', 'o', 'v', 'z', 'x', 9, 0,
-  /* 1227 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
-  /* 1234 */ 'j', 'c', 'x', 'z', 9, 0,
-  /* 1240 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
-  /* 1247 */ 's', 'b', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 1256 */ 's', 'c', 'a', 's', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 1267 */ 'l', 'o', 'd', 's', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 1278 */ 's', 'u', 'b', 9, 'a', 'l', ',', 32, 0,
-  /* 1287 */ 'a', 'd', 'c', 9, 'a', 'l', ',', 32, 0,
-  /* 1296 */ 'a', 'd', 'd', 9, 'a', 'l', ',', 32, 0,
-  /* 1305 */ 'a', 'n', 'd', 9, 'a', 'l', ',', 32, 0,
-  /* 1314 */ 'i', 'n', 9, 'a', 'l', ',', 32, 0,
-  /* 1322 */ 'c', 'm', 'p', 9, 'a', 'l', ',', 32, 0,
-  /* 1331 */ 'x', 'o', 'r', 9, 'a', 'l', ',', 32, 0,
-  /* 1340 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'l', ',', 32, 0,
-  /* 1352 */ 't', 'e', 's', 't', 9, 'a', 'l', ',', 32, 0,
-  /* 1362 */ 'm', 'o', 'v', 9, 'a', 'l', ',', 32, 0,
-  /* 1371 */ 's', 'b', 'b', 9, 'a', 'x', ',', 32, 0,
-  /* 1380 */ 's', 'u', 'b', 9, 'a', 'x', ',', 32, 0,
-  /* 1389 */ 'a', 'd', 'c', 9, 'a', 'x', ',', 32, 0,
-  /* 1398 */ 'a', 'd', 'd', 9, 'a', 'x', ',', 32, 0,
-  /* 1407 */ 'a', 'n', 'd', 9, 'a', 'x', ',', 32, 0,
-  /* 1416 */ 'x', 'c', 'h', 'g', 9, 'a', 'x', ',', 32, 0,
-  /* 1426 */ 'i', 'n', 9, 'a', 'x', ',', 32, 0,
-  /* 1434 */ 'c', 'm', 'p', 9, 'a', 'x', ',', 32, 0,
-  /* 1443 */ 'x', 'o', 'r', 9, 'a', 'x', ',', 32, 0,
-  /* 1452 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'x', ',', 32, 0,
-  /* 1464 */ 't', 'e', 's', 't', 9, 'a', 'x', ',', 32, 0,
-  /* 1474 */ 'm', 'o', 'v', 9, 'a', 'x', ',', 32, 0,
-  /* 1483 */ 's', 'c', 'a', 's', 'w', 9, 'a', 'x', ',', 32, 0,
-  /* 1494 */ 'l', 'o', 'd', 's', 'w', 9, 'a', 'x', ',', 32, 0,
-  /* 1505 */ 's', 'b', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1515 */ 's', 'u', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1525 */ 'a', 'd', 'c', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1535 */ 'a', 'd', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1545 */ 'a', 'n', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1555 */ 's', 'c', 'a', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1567 */ 'l', 'o', 'd', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1579 */ 'x', 'c', 'h', 'g', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1590 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1599 */ 'c', 'm', 'p', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1609 */ 'x', 'o', 'r', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1619 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1632 */ 't', 'e', 's', 't', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1643 */ 'm', 'o', 'v', 9, 'e', 'a', 'x', ',', 32, 0,
-  /* 1653 */ 's', 'b', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1663 */ 's', 'u', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1673 */ 'a', 'd', 'c', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1683 */ 'a', 'd', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1693 */ 'a', 'n', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1703 */ 'x', 'c', 'h', 'g', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1714 */ 'c', 'm', 'p', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1724 */ 's', 'c', 'a', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1736 */ 'l', 'o', 'd', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1748 */ 'x', 'o', 'r', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1758 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1771 */ 't', 'e', 's', 't', 9, 'r', 'a', 'x', ',', 32, 0,
-  /* 1782 */ 'o', 'u', 't', 's', 'b', 9, 'd', 'x', ',', 32, 0,
-  /* 1793 */ 'o', 'u', 't', 's', 'd', 9, 'd', 'x', ',', 32, 0,
-  /* 1804 */ 'o', 'u', 't', 's', 'w', 9, 'd', 'x', ',', 32, 0,
-  /* 1815 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
-  /* 1826 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
-  /* 1849 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
-  /* 1863 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
-  /* 1887 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
-  /* 1904 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 1920 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 1935 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
-  /* 1949 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
-  /* 1963 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '3', '2', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 1983 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '1', '6', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2003 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2023 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2043 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2064 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2084 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2104 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2123 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2143 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2163 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2183 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2203 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2223 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2243 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2263 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2282 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2300 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2321 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 2342 */ 'x', 's', 'h', 'a', '1', 0,
-  /* 2348 */ 'i', 'n', 't', '1', 0,
-  /* 2353 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
-  /* 2372 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
-  /* 2390 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
-  /* 2403 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 2416 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 2434 */ 'u', 'd', '2', 0,
-  /* 2438 */ 'i', 'n', 't', '3', 0,
-  /* 2443 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
-  /* 2462 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
-  /* 2480 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
-  /* 2493 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 2506 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 2524 */ 'r', 'e', 'x', '6', '4', 0,
-  /* 2530 */ 'd', 'a', 't', 'a', '1', '6', 0,
-  /* 2537 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
-  /* 2545 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 2558 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 2565 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 2575 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
-  /* 2593 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
-  /* 2609 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
-  /* 2621 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 2636 */ 'a', 'a', 'a', 0,
-  /* 2640 */ 'd', 'a', 'a', 0,
-  /* 2644 */ 'u', 'd', '2', 'b', 0,
-  /* 2649 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
-  /* 2659 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
-  /* 2669 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
-  /* 2679 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'b', 0,
-  /* 2689 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'b', 0,
-  /* 2699 */ 'x', 'l', 'a', 't', 'b', 0,
-  /* 2705 */ 'c', 'l', 'a', 'c', 0,
-  /* 2710 */ 's', 't', 'a', 'c', 0,
-  /* 2715 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
-  /* 2725 */ 'g', 'e', 't', 's', 'e', 'c', 0,
-  /* 2732 */ 's', 'a', 'l', 'c', 0,
-  /* 2737 */ 'c', 'l', 'c', 0,
-  /* 2741 */ 'c', 'm', 'c', 0,
-  /* 2745 */ 'r', 'd', 'p', 'm', 'c', 0,
-  /* 2751 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
-  /* 2758 */ 'r', 'd', 't', 's', 'c', 0,
-  /* 2764 */ 's', 't', 'c', 0,
-  /* 2768 */ 'p', 'u', 's', 'h', 'f', 'd', 0,
-  /* 2775 */ 'p', 'o', 'p', 'f', 'd', 0,
-  /* 2781 */ 'c', 'p', 'u', 'i', 'd', 0,
-  /* 2787 */ 'c', 'l', 'd', 0,
-  /* 2791 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'd', 0,
-  /* 2801 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'd', 0,
-  /* 2811 */ 'i', 'r', 'e', 't', 'd', 0,
-  /* 2817 */ 's', 't', 'd', 0,
-  /* 2821 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
-  /* 2828 */ 'c', 'w', 'd', 0,
-  /* 2832 */ 'c', 'w', 'd', 'e', 0,
-  /* 2837 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
-  /* 2846 */ 'r', 'e', 'p', 'n', 'e', 0,
-  /* 2852 */ 'c', 'd', 'q', 'e', 0,
-  /* 2857 */ 'x', 's', 't', 'o', 'r', 'e', 0,
-  /* 2864 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 2878 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 2895 */ 'l', 'e', 'a', 'v', 'e', 0,
-  /* 2901 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
-  /* 2908 */ 'l', 'a', 'h', 'f', 0,
-  /* 2913 */ 's', 'a', 'h', 'f', 0,
-  /* 2918 */ 'p', 'u', 's', 'h', 'f', 0,
-  /* 2924 */ 'p', 'o', 'p', 'f', 0,
-  /* 2929 */ 'r', 'e', 't', 'f', 0,
-  /* 2934 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
-  /* 2943 */ 'c', 'l', 'g', 'i', 0,
-  /* 2948 */ 's', 't', 'g', 'i', 0,
-  /* 2953 */ 'c', 'l', 'i', 0,
-  /* 2957 */ 's', 't', 'i', 0,
-  /* 2961 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
-  /* 2976 */ 'l', 'o', 'c', 'k', 0,
-  /* 2981 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'l', 0,
-  /* 2992 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
-  /* 2999 */ 'p', 'o', 'p', 'a', 'l', 0,
-  /* 3005 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 3013 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 3020 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
-  /* 3028 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
-  /* 3036 */ 'f', 's', 'e', 't', 'p', 'm', 0,
-  /* 3043 */ 'r', 's', 'm', 0,
-  /* 3047 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
-  /* 3074 */ 'c', 'q', 'o', 0,
-  /* 3078 */ 'i', 'n', 't', 'o', 0,
-  /* 3083 */ 'r', 'd', 't', 's', 'c', 'p', 0,
-  /* 3090 */ 'r', 'e', 'p', 0,
-  /* 3094 */ 'n', 'o', 'p', 0,
-  /* 3098 */ 'c', 'd', 'q', 0,
-  /* 3102 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
-  /* 3109 */ 'p', 'o', 'p', 'f', 'q', 0,
-  /* 3115 */ 'r', 'e', 't', 'f', 'q', 0,
-  /* 3121 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'q', 0,
-  /* 3131 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'q', 0,
-  /* 3141 */ 'i', 'r', 'e', 't', 'q', 0,
-  /* 3147 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
-  /* 3156 */ 'r', 'd', 'm', 's', 'r', 0,
-  /* 3162 */ 'w', 'r', 'm', 's', 'r', 0,
-  /* 3168 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
-  /* 3178 */ 'a', 'a', 's', 0,
-  /* 3182 */ 'd', 'a', 's', 0,
-  /* 3186 */ 'p', 'u', 's', 'h', 9, 'c', 's', 0,
-  /* 3194 */ 'p', 'u', 's', 'h', 9, 'd', 's', 0,
-  /* 3202 */ 'p', 'o', 'p', 9, 'd', 's', 0,
-  /* 3209 */ 'p', 'u', 's', 'h', 9, 'e', 's', 0,
-  /* 3217 */ 'p', 'o', 'p', 9, 'e', 's', 0,
-  /* 3224 */ 'p', 'u', 's', 'h', 9, 'f', 's', 0,
-  /* 3232 */ 'p', 'o', 'p', 9, 'f', 's', 0,
-  /* 3239 */ 'p', 'u', 's', 'h', 9, 'g', 's', 0,
-  /* 3247 */ 'p', 'o', 'p', 9, 'g', 's', 0,
-  /* 3254 */ 's', 'w', 'a', 'p', 'g', 's', 0,
-  /* 3261 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
-  /* 3306 */ 'p', 'u', 's', 'h', 9, 's', 's', 0,
-  /* 3314 */ 'p', 'o', 'p', 9, 's', 's', 0,
-  /* 3321 */ 'c', 'l', 't', 's', 0,
-  /* 3326 */ 'i', 'r', 'e', 't', 0,
-  /* 3331 */ 's', 'y', 's', 'r', 'e', 't', 0,
-  /* 3338 */ 's', 'y', 's', 'e', 'x', 'i', 't', 0,
-  /* 3346 */ 'h', 'l', 't', 0,
-  /* 3350 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
-  /* 3357 */ 'x', 's', 'e', 't', 'b', 'v', 0,
-  /* 3364 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
-  /* 3371 */ 'p', 'o', 'p', 'a', 'w', 0,
-  /* 3377 */ 'c', 'b', 'w', 0,
-  /* 3381 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'w', 0,
-  /* 3391 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'w', 0,
-  /* 3401 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'x', 0,
-  /* 3412 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'e', 'a', 'x', 0,
-  /* 3423 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'e', 'a', 'x', 0,
-  /* 3434 */ 'v', 'm', 'r', 'u', 'n', 9, 'e', 'a', 'x', 0,
-  /* 3444 */ 's', 'k', 'i', 'n', 'i', 't', 9, 'e', 'a', 'x', 0,
-  /* 3455 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'e', 'a', 'x', 0,
-  /* 3467 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'r', 'a', 'x', 0,
-  /* 3478 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'r', 'a', 'x', 0,
-  /* 3489 */ 'v', 'm', 'r', 'u', 'n', 9, 'r', 'a', 'x', 0,
-  /* 3499 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'e', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
-  /* 3516 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'r', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
-  /* 3533 */ 'i', 'n', 9, 'a', 'l', ',', 32, 'd', 'x', 0,
-  /* 3543 */ 'i', 'n', 9, 'a', 'x', ',', 32, 'd', 'x', 0,
-  /* 3553 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 'd', 'x', 0,
+  static char AsmStrs[] = {
+  /* 0 */ 'x', 's', 'a', 'v', 'e', 'c', '6', '4', 9, 0,
+  /* 10 */ 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
+  /* 19 */ 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
+  /* 29 */ 'x', 's', 'a', 'v', 'e', 's', '6', '4', 9, 0,
+  /* 39 */ 'x', 'r', 's', 't', 'o', 'r', 's', '6', '4', 9, 0,
+  /* 50 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
+  /* 62 */ 'l', 'e', 'a', 9, 0,
+  /* 67 */ 'j', 'a', 9, 0,
+  /* 71 */ 's', 'e', 't', 'a', 9, 0,
+  /* 77 */ 'c', 'm', 'o', 'v', 'a', 9, 0,
+  /* 84 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
+  /* 96 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
+  /* 107 */ 's', 'b', 'b', 9, 0,
+  /* 112 */ 'j', 'b', 9, 0,
+  /* 116 */ 'i', 'n', 's', 'b', 9, 0,
+  /* 122 */ 's', 't', 'o', 's', 'b', 9, 0,
+  /* 129 */ 'c', 'm', 'p', 's', 'b', 9, 0,
+  /* 136 */ 'm', 'o', 'v', 's', 'b', 9, 0,
+  /* 143 */ 's', 'e', 't', 'b', 9, 0,
+  /* 149 */ 's', 'u', 'b', 9, 0,
+  /* 154 */ 'c', 'm', 'o', 'v', 'b', 9, 0,
+  /* 161 */ 'c', 'l', 'w', 'b', 9, 0,
+  /* 167 */ 'a', 'd', 'c', 9, 0,
+  /* 172 */ 'd', 'e', 'c', 9, 0,
+  /* 177 */ 'x', 's', 'a', 'v', 'e', 'c', 9, 0,
+  /* 185 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
+  /* 192 */ 'b', 'l', 's', 'i', 'c', 9, 0,
+  /* 199 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
+  /* 207 */ 'i', 'n', 'c', 9, 0,
+  /* 212 */ 'b', 't', 'c', 9, 0,
+  /* 217 */ 'a', 'a', 'd', 9, 0,
+  /* 222 */ 'v', 'm', 'r', 'e', 'a', 'd', 9, 0,
+  /* 230 */ 'x', 'a', 'd', 'd', 9, 0,
+  /* 236 */ 'r', 'd', 's', 'e', 'e', 'd', 9, 0,
+  /* 244 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
+  /* 253 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
+  /* 262 */ 's', 'h', 'l', 'd', 9, 0,
+  /* 268 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
+  /* 277 */ 'r', 'd', 'r', 'a', 'n', 'd', 9, 0,
+  /* 285 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
+  /* 292 */ 's', 'h', 'r', 'd', 9, 0,
+  /* 298 */ 'i', 'n', 's', 'd', 9, 0,
+  /* 304 */ 's', 't', 'o', 's', 'd', 9, 0,
+  /* 311 */ 'c', 'm', 'p', 's', 'd', 9, 0,
+  /* 318 */ 'm', 'o', 'v', 's', 'd', 9, 0,
+  /* 325 */ 'm', 'o', 'v', 's', 'x', 'd', 9, 0,
+  /* 333 */ 'j', 'a', 'e', 9, 0,
+  /* 338 */ 's', 'e', 't', 'a', 'e', 9, 0,
+  /* 345 */ 'c', 'm', 'o', 'v', 'a', 'e', 9, 0,
+  /* 353 */ 'j', 'b', 'e', 9, 0,
+  /* 358 */ 's', 'e', 't', 'b', 'e', 9, 0,
+  /* 365 */ 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
+  /* 373 */ 'j', 'g', 'e', 9, 0,
+  /* 378 */ 's', 'e', 't', 'g', 'e', 9, 0,
+  /* 385 */ 'c', 'm', 'o', 'v', 'g', 'e', 9, 0,
+  /* 393 */ 'j', 'e', 9, 0,
+  /* 397 */ 'j', 'l', 'e', 9, 0,
+  /* 402 */ 's', 'e', 't', 'l', 'e', 9, 0,
+  /* 409 */ 'c', 'm', 'o', 'v', 'l', 'e', 9, 0,
+  /* 417 */ 'j', 'n', 'e', 9, 0,
+  /* 422 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
+  /* 430 */ 's', 'e', 't', 'n', 'e', 9, 0,
+  /* 437 */ 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
+  /* 445 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
+  /* 452 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 462 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 472 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 482 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 9, 0,
+  /* 492 */ 's', 'e', 't', 'e', 9, 0,
+  /* 498 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 9, 0,
+  /* 507 */ 'x', 's', 'a', 'v', 'e', 9, 0,
+  /* 514 */ 'c', 'm', 'o', 'v', 'e', 9, 0,
+  /* 521 */ 'b', 's', 'f', 9, 0,
+  /* 526 */ 'r', 'e', 't', 'f', 9, 0,
+  /* 532 */ 'n', 'e', 'g', 9, 0,
+  /* 537 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 9, 0,
+  /* 546 */ 'j', 'g', 9, 0,
+  /* 550 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
+  /* 558 */ 's', 'e', 't', 'g', 9, 0,
+  /* 564 */ 'c', 'm', 'o', 'v', 'g', 9, 0,
+  /* 571 */ 'p', 'u', 's', 'h', 9, 0,
+  /* 577 */ 'b', 'l', 'c', 'i', 9, 0,
+  /* 583 */ 'b', 'z', 'h', 'i', 9, 0,
+  /* 589 */ 'b', 'l', 's', 'i', 9, 0,
+  /* 595 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
+  /* 603 */ 'b', 'l', 's', 'm', 's', 'k', 9, 0,
+  /* 611 */ 't', 'z', 'm', 's', 'k', 9, 0,
+  /* 618 */ 's', 'a', 'l', 9, 0,
+  /* 623 */ 'r', 'c', 'l', 9, 0,
+  /* 628 */ 's', 'h', 'l', 9, 0,
+  /* 633 */ 'j', 'l', 9, 0,
+  /* 637 */ 'l', 'c', 'a', 'l', 'l', 9, 0,
+  /* 644 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
+  /* 653 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
+  /* 662 */ 'r', 'o', 'l', 9, 0,
+  /* 667 */ 'a', 'r', 'p', 'l', 9, 0,
+  /* 673 */ 'l', 's', 'l', 9, 0,
+  /* 678 */ 's', 'e', 't', 'l', 9, 0,
+  /* 684 */ 'i', 'm', 'u', 'l', 9, 0,
+  /* 690 */ 'c', 'm', 'o', 'v', 'l', 9, 0,
+  /* 697 */ 'a', 'a', 'm', 9, 0,
+  /* 702 */ 'a', 'n', 'd', 'n', 9, 0,
+  /* 708 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
+  /* 715 */ 'j', 'o', 9, 0,
+  /* 719 */ 'j', 'n', 'o', 9, 0,
+  /* 724 */ 's', 'e', 't', 'n', 'o', 9, 0,
+  /* 731 */ 'c', 'm', 'o', 'v', 'n', 'o', 9, 0,
+  /* 739 */ 's', 'e', 't', 'o', 9, 0,
+  /* 745 */ 'c', 'm', 'o', 'v', 'o', 9, 0,
+  /* 752 */ 'b', 's', 'w', 'a', 'p', 9, 0,
+  /* 759 */ 'p', 'd', 'e', 'p', 9, 0,
+  /* 765 */ 'j', 'p', 9, 0,
+  /* 769 */ 'c', 'm', 'p', 9, 0,
+  /* 774 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 9, 0,
+  /* 785 */ 'l', 'j', 'm', 'p', 9, 0,
+  /* 791 */ 'j', 'n', 'p', 9, 0,
+  /* 796 */ 's', 'e', 't', 'n', 'p', 9, 0,
+  /* 803 */ 'c', 'm', 'o', 'v', 'n', 'p', 9, 0,
+  /* 811 */ 'n', 'o', 'p', 9, 0,
+  /* 816 */ 'l', 'o', 'o', 'p', 9, 0,
+  /* 822 */ 'p', 'o', 'p', 9, 0,
+  /* 827 */ 's', 'e', 't', 'p', 9, 0,
+  /* 833 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
+  /* 849 */ 'c', 'm', 'o', 'v', 'p', 9, 0,
+  /* 856 */ 'r', 'e', 't', 'f', 'q', 9, 0,
+  /* 863 */ 's', 't', 'o', 's', 'q', 9, 0,
+  /* 870 */ 'c', 'm', 'p', 's', 'q', 9, 0,
+  /* 877 */ 'm', 'o', 'v', 's', 'q', 9, 0,
+  /* 884 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
+  /* 893 */ 'l', 'a', 'r', 9, 0,
+  /* 898 */ 's', 'a', 'r', 9, 0,
+  /* 903 */ 'r', 'c', 'r', 9, 0,
+  /* 908 */ 'e', 'n', 't', 'e', 'r', 9, 0,
+  /* 915 */ 's', 'h', 'r', 9, 0,
+  /* 920 */ 'r', 'o', 'r', 9, 0,
+  /* 925 */ 'x', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 933 */ 'x', 'o', 'r', 9, 0,
+  /* 938 */ 'v', 'e', 'r', 'r', 9, 0,
+  /* 944 */ 'b', 's', 'r', 9, 0,
+  /* 949 */ 'b', 'l', 's', 'r', 9, 0,
+  /* 955 */ 'b', 't', 'r', 9, 0,
+  /* 960 */ 'l', 't', 'r', 9, 0,
+  /* 965 */ 's', 't', 'r', 9, 0,
+  /* 970 */ 'b', 'e', 'x', 't', 'r', 9, 0,
+  /* 977 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 0,
+  /* 985 */ 'b', 'l', 'c', 's', 9, 0,
+  /* 991 */ 'l', 'd', 's', 9, 0,
+  /* 996 */ 'l', 'e', 's', 9, 0,
+  /* 1001 */ 'x', 's', 'a', 'v', 'e', 's', 9, 0,
+  /* 1009 */ 'l', 'f', 's', 9, 0,
+  /* 1014 */ 'l', 'g', 's', 9, 0,
+  /* 1019 */ 'j', 's', 9, 0,
+  /* 1023 */ 'j', 'n', 's', 9, 0,
+  /* 1028 */ 's', 'e', 't', 'n', 's', 9, 0,
+  /* 1035 */ 'c', 'm', 'o', 'v', 'n', 's', 9, 0,
+  /* 1043 */ 'x', 'r', 's', 't', 'o', 'r', 's', 9, 0,
+  /* 1052 */ 'l', 's', 's', 9, 0,
+  /* 1057 */ 'b', 't', 's', 9, 0,
+  /* 1062 */ 's', 'e', 't', 's', 9, 0,
+  /* 1068 */ 'c', 'm', 'o', 'v', 's', 9, 0,
+  /* 1075 */ 'b', 't', 9, 0,
+  /* 1079 */ 'l', 'g', 'd', 't', 9, 0,
+  /* 1085 */ 's', 'g', 'd', 't', 9, 0,
+  /* 1091 */ 'l', 'i', 'd', 't', 9, 0,
+  /* 1097 */ 's', 'i', 'd', 't', 9, 0,
+  /* 1103 */ 'l', 'l', 'd', 't', 9, 0,
+  /* 1109 */ 's', 'l', 'd', 't', 9, 0,
+  /* 1115 */ 'r', 'e', 't', 9, 0,
+  /* 1120 */ 'l', 'z', 'c', 'n', 't', 9, 0,
+  /* 1127 */ 't', 'z', 'c', 'n', 't', 9, 0,
+  /* 1134 */ 'i', 'n', 't', 9, 0,
+  /* 1139 */ 'n', 'o', 't', 9, 0,
+  /* 1144 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
+  /* 1152 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
+  /* 1162 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 'o', 'p', 't', 9, 0,
+  /* 1174 */ 't', 'e', 's', 't', 9, 0,
+  /* 1180 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
+  /* 1189 */ 'o', 'u', 't', 9, 0,
+  /* 1194 */ 'p', 'e', 'x', 't', 9, 0,
+  /* 1200 */ 'i', 'd', 'i', 'v', 9, 0,
+  /* 1206 */ 'm', 'o', 'v', 9, 0,
+  /* 1211 */ 'v', 'e', 'r', 'w', 9, 0,
+  /* 1217 */ 'l', 'm', 's', 'w', 9, 0,
+  /* 1223 */ 's', 'm', 's', 'w', 9, 0,
+  /* 1229 */ 'i', 'n', 's', 'w', 9, 0,
+  /* 1235 */ 's', 't', 'o', 's', 'w', 9, 0,
+  /* 1242 */ 'c', 'm', 'p', 's', 'w', 9, 0,
+  /* 1249 */ 'm', 'o', 'v', 's', 'w', 9, 0,
+  /* 1256 */ 'a', 'd', 'c', 'x', 9, 0,
+  /* 1262 */ 's', 'h', 'l', 'x', 9, 0,
+  /* 1268 */ 'm', 'u', 'l', 'x', 9, 0,
+  /* 1274 */ 'a', 'd', 'o', 'x', 9, 0,
+  /* 1280 */ 's', 'a', 'r', 'x', 9, 0,
+  /* 1286 */ 's', 'h', 'r', 'x', 9, 0,
+  /* 1292 */ 'r', 'o', 'r', 'x', 9, 0,
+  /* 1298 */ 'm', 'o', 'v', 's', 'x', 9, 0,
+  /* 1305 */ 'm', 'o', 'v', 'z', 'x', 9, 0,
+  /* 1312 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
+  /* 1319 */ 'j', 'c', 'x', 'z', 9, 0,
+  /* 1325 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
+  /* 1332 */ 's', 'b', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 1341 */ 's', 'c', 'a', 's', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 1352 */ 'l', 'o', 'd', 's', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 1363 */ 's', 'u', 'b', 9, 'a', 'l', ',', 32, 0,
+  /* 1372 */ 'a', 'd', 'c', 9, 'a', 'l', ',', 32, 0,
+  /* 1381 */ 'a', 'd', 'd', 9, 'a', 'l', ',', 32, 0,
+  /* 1390 */ 'a', 'n', 'd', 9, 'a', 'l', ',', 32, 0,
+  /* 1399 */ 'i', 'n', 9, 'a', 'l', ',', 32, 0,
+  /* 1407 */ 'c', 'm', 'p', 9, 'a', 'l', ',', 32, 0,
+  /* 1416 */ 'x', 'o', 'r', 9, 'a', 'l', ',', 32, 0,
+  /* 1425 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'l', ',', 32, 0,
+  /* 1437 */ 't', 'e', 's', 't', 9, 'a', 'l', ',', 32, 0,
+  /* 1447 */ 'm', 'o', 'v', 9, 'a', 'l', ',', 32, 0,
+  /* 1456 */ 's', 'b', 'b', 9, 'a', 'x', ',', 32, 0,
+  /* 1465 */ 's', 'u', 'b', 9, 'a', 'x', ',', 32, 0,
+  /* 1474 */ 'a', 'd', 'c', 9, 'a', 'x', ',', 32, 0,
+  /* 1483 */ 'a', 'd', 'd', 9, 'a', 'x', ',', 32, 0,
+  /* 1492 */ 'a', 'n', 'd', 9, 'a', 'x', ',', 32, 0,
+  /* 1501 */ 'x', 'c', 'h', 'g', 9, 'a', 'x', ',', 32, 0,
+  /* 1511 */ 'i', 'n', 9, 'a', 'x', ',', 32, 0,
+  /* 1519 */ 'c', 'm', 'p', 9, 'a', 'x', ',', 32, 0,
+  /* 1528 */ 'x', 'o', 'r', 9, 'a', 'x', ',', 32, 0,
+  /* 1537 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'a', 'x', ',', 32, 0,
+  /* 1549 */ 't', 'e', 's', 't', 9, 'a', 'x', ',', 32, 0,
+  /* 1559 */ 'm', 'o', 'v', 9, 'a', 'x', ',', 32, 0,
+  /* 1568 */ 's', 'c', 'a', 's', 'w', 9, 'a', 'x', ',', 32, 0,
+  /* 1579 */ 'l', 'o', 'd', 's', 'w', 9, 'a', 'x', ',', 32, 0,
+  /* 1590 */ 's', 'b', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1600 */ 's', 'u', 'b', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1610 */ 'a', 'd', 'c', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1620 */ 'a', 'd', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1630 */ 'a', 'n', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1640 */ 's', 'c', 'a', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1652 */ 'l', 'o', 'd', 's', 'd', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1664 */ 'x', 'c', 'h', 'g', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1675 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1684 */ 'c', 'm', 'p', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1694 */ 'x', 'o', 'r', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1704 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1717 */ 't', 'e', 's', 't', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1728 */ 'm', 'o', 'v', 9, 'e', 'a', 'x', ',', 32, 0,
+  /* 1738 */ 's', 'b', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1748 */ 's', 'u', 'b', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1758 */ 'a', 'd', 'c', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1768 */ 'a', 'd', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1778 */ 'a', 'n', 'd', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1788 */ 'x', 'c', 'h', 'g', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1799 */ 'c', 'm', 'p', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1809 */ 's', 'c', 'a', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1821 */ 'l', 'o', 'd', 's', 'q', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1833 */ 'x', 'o', 'r', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1843 */ 'm', 'o', 'v', 'a', 'b', 's', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1856 */ 't', 'e', 's', 't', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1867 */ 'm', 'o', 'v', 9, 'r', 'a', 'x', ',', 32, 0,
+  /* 1877 */ 'o', 'u', 't', 's', 'b', 9, 'd', 'x', ',', 32, 0,
+  /* 1888 */ 'o', 'u', 't', 's', 'd', 9, 'd', 'x', ',', 32, 0,
+  /* 1899 */ 'o', 'u', 't', 's', 'w', 9, 'd', 'x', ',', 32, 0,
+  /* 1910 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
+  /* 1921 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
+  /* 1944 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
+  /* 1958 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
+  /* 1982 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
+  /* 1999 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 2015 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 2030 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
+  /* 2044 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
+  /* 2058 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', 32, '!', 0,
+  /* 2080 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2101 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2122 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2144 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2165 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2186 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2206 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2226 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2247 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2268 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2289 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2310 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2331 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2352 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2373 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2393 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '1', '6', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2413 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2432 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'B', 'I', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2455 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'U', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2477 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2498 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 2519 */ 'x', 's', 'h', 'a', '1', 0,
+  /* 2525 */ 'i', 'n', 't', '1', 0,
+  /* 2530 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
+  /* 2549 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
+  /* 2567 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
+  /* 2580 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 2593 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 2611 */ 'u', 'd', '2', 0,
+  /* 2615 */ 'i', 'n', 't', '3', 0,
+  /* 2620 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
+  /* 2639 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
+  /* 2657 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
+  /* 2670 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 2683 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 2701 */ 'r', 'e', 'x', '6', '4', 0,
+  /* 2707 */ 'd', 'a', 't', 'a', '1', '6', 0,
+  /* 2714 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
+  /* 2722 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 2735 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 2742 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 2752 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
+  /* 2770 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
+  /* 2786 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
+  /* 2798 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 2813 */ 'a', 'a', 'a', 0,
+  /* 2817 */ 'd', 'a', 'a', 0,
+  /* 2821 */ 'u', 'd', '2', 'b', 0,
+  /* 2826 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
+  /* 2836 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
+  /* 2846 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
+  /* 2856 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'b', 0,
+  /* 2866 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'b', 0,
+  /* 2876 */ 'x', 'l', 'a', 't', 'b', 0,
+  /* 2882 */ 'c', 'l', 'a', 'c', 0,
+  /* 2887 */ 's', 't', 'a', 'c', 0,
+  /* 2892 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
+  /* 2902 */ 'g', 'e', 't', 's', 'e', 'c', 0,
+  /* 2909 */ 's', 'a', 'l', 'c', 0,
+  /* 2914 */ 'c', 'l', 'c', 0,
+  /* 2918 */ 'c', 'm', 'c', 0,
+  /* 2922 */ 'r', 'd', 'p', 'm', 'c', 0,
+  /* 2928 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
+  /* 2935 */ 'r', 'd', 't', 's', 'c', 0,
+  /* 2941 */ 's', 't', 'c', 0,
+  /* 2945 */ 'p', 'u', 's', 'h', 'f', 'd', 0,
+  /* 2952 */ 'p', 'o', 'p', 'f', 'd', 0,
+  /* 2958 */ 'c', 'p', 'u', 'i', 'd', 0,
+  /* 2964 */ 'c', 'l', 'd', 0,
+  /* 2968 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'd', 0,
+  /* 2978 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'd', 0,
+  /* 2988 */ 'i', 'r', 'e', 't', 'd', 0,
+  /* 2994 */ 's', 't', 'd', 0,
+  /* 2998 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
+  /* 3005 */ 'c', 'w', 'd', 0,
+  /* 3009 */ 'c', 'w', 'd', 'e', 0,
+  /* 3014 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
+  /* 3023 */ 'r', 'e', 'p', 'n', 'e', 0,
+  /* 3029 */ 'c', 'd', 'q', 'e', 0,
+  /* 3034 */ 'x', 's', 't', 'o', 'r', 'e', 0,
+  /* 3041 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 3055 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 3072 */ 'l', 'e', 'a', 'v', 'e', 0,
+  /* 3078 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
+  /* 3085 */ 'l', 'a', 'h', 'f', 0,
+  /* 3090 */ 's', 'a', 'h', 'f', 0,
+  /* 3095 */ 'p', 'u', 's', 'h', 'f', 0,
+  /* 3101 */ 'p', 'o', 'p', 'f', 0,
+  /* 3106 */ 'r', 'e', 't', 'f', 0,
+  /* 3111 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
+  /* 3120 */ 'c', 'l', 'g', 'i', 0,
+  /* 3125 */ 's', 't', 'g', 'i', 0,
+  /* 3130 */ 'c', 'l', 'i', 0,
+  /* 3134 */ 's', 't', 'i', 0,
+  /* 3138 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
+  /* 3153 */ 'l', 'o', 'c', 'k', 0,
+  /* 3158 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'l', 0,
+  /* 3169 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
+  /* 3176 */ 'p', 'o', 'p', 'a', 'l', 0,
+  /* 3182 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 3190 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 3197 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
+  /* 3205 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
+  /* 3213 */ 'f', 's', 'e', 't', 'p', 'm', 0,
+  /* 3220 */ 'r', 's', 'm', 0,
+  /* 3224 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
+  /* 3251 */ 'c', 'q', 'o', 0,
+  /* 3255 */ 'i', 'n', 't', 'o', 0,
+  /* 3260 */ 'r', 'd', 't', 's', 'c', 'p', 0,
+  /* 3267 */ 'r', 'e', 'p', 0,
+  /* 3271 */ 'n', 'o', 'p', 0,
+  /* 3275 */ 'c', 'd', 'q', 0,
+  /* 3279 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
+  /* 3286 */ 'p', 'o', 'p', 'f', 'q', 0,
+  /* 3292 */ 'r', 'e', 't', 'f', 'q', 0,
+  /* 3298 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'q', 0,
+  /* 3308 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'q', 0,
+  /* 3318 */ 'i', 'r', 'e', 't', 'q', 0,
+  /* 3324 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
+  /* 3333 */ 'r', 'd', 'm', 's', 'r', 0,
+  /* 3339 */ 'w', 'r', 'm', 's', 'r', 0,
+  /* 3345 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
+  /* 3355 */ 'a', 'a', 's', 0,
+  /* 3359 */ 'd', 'a', 's', 0,
+  /* 3363 */ 'p', 'u', 's', 'h', 9, 'c', 's', 0,
+  /* 3371 */ 'p', 'u', 's', 'h', 9, 'd', 's', 0,
+  /* 3379 */ 'p', 'o', 'p', 9, 'd', 's', 0,
+  /* 3386 */ 'p', 'u', 's', 'h', 9, 'e', 's', 0,
+  /* 3394 */ 'p', 'o', 'p', 9, 'e', 's', 0,
+  /* 3401 */ 'p', 'u', 's', 'h', 9, 'f', 's', 0,
+  /* 3409 */ 'p', 'o', 'p', 9, 'f', 's', 0,
+  /* 3416 */ 'p', 'u', 's', 'h', 9, 'g', 's', 0,
+  /* 3424 */ 'p', 'o', 'p', 9, 'g', 's', 0,
+  /* 3431 */ 's', 'w', 'a', 'p', 'g', 's', 0,
+  /* 3438 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
+  /* 3483 */ 'p', 'u', 's', 'h', 9, 's', 's', 0,
+  /* 3491 */ 'p', 'o', 'p', 9, 's', 's', 0,
+  /* 3498 */ 'c', 'l', 't', 's', 0,
+  /* 3503 */ 'i', 'r', 'e', 't', 0,
+  /* 3508 */ 's', 'y', 's', 'r', 'e', 't', 0,
+  /* 3515 */ 'p', 'c', 'o', 'm', 'm', 'i', 't', 0,
+  /* 3523 */ 's', 'y', 's', 'e', 'x', 'i', 't', 0,
+  /* 3531 */ 'h', 'l', 't', 0,
+  /* 3535 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
+  /* 3542 */ 'x', 's', 'e', 't', 'b', 'v', 0,
+  /* 3549 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
+  /* 3556 */ 'p', 'o', 'p', 'a', 'w', 0,
+  /* 3562 */ 'c', 'b', 'w', 0,
+  /* 3566 */ 'r', 'e', 'p', 32, 's', 't', 'o', 's', 'w', 0,
+  /* 3576 */ 'r', 'e', 'p', 32, 'm', 'o', 'v', 's', 'w', 0,
+  /* 3586 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'a', 'x', 0,
+  /* 3597 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'e', 'a', 'x', 0,
+  /* 3608 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'e', 'a', 'x', 0,
+  /* 3619 */ 'v', 'm', 'r', 'u', 'n', 9, 'e', 'a', 'x', 0,
+  /* 3629 */ 's', 'k', 'i', 'n', 'i', 't', 9, 'e', 'a', 'x', 0,
+  /* 3640 */ 'o', 'u', 't', 9, 'd', 'x', ',', 32, 'e', 'a', 'x', 0,
+  /* 3652 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, 'r', 'a', 'x', 0,
+  /* 3663 */ 'v', 'm', 's', 'a', 'v', 'e', 9, 'r', 'a', 'x', 0,
+  /* 3674 */ 'v', 'm', 'r', 'u', 'n', 9, 'r', 'a', 'x', 0,
+  /* 3684 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'e', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
+  /* 3701 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, 'r', 'a', 'x', ',', 32, 'e', 'c', 'x', 0,
+  /* 3718 */ 'i', 'n', 9, 'a', 'l', ',', 32, 'd', 'x', 0,
+  /* 3728 */ 'i', 'n', 9, 'a', 'x', ',', 32, 'd', 'x', 0,
+  /* 3738 */ 'i', 'n', 9, 'e', 'a', 'x', ',', 32, 'd', 'x', 0,
   };
 #endif
 
   // Emit the opcode for the instruction.
-  uint32_t Bits = OpInfo[MCInst_getOpcode(MI)];
+  unsigned int opcode = MCInst_getOpcode(MI);
+  uint64_t Bits1 = OpInfo[opcode];
+  uint64_t Bits2 = OpInfo2[opcode];
+  uint64_t Bits = (Bits2 << 32) | Bits1;
   // assert(Bits != 0 && "Cannot print this instruction.");
 #ifndef CAPSTONE_DIET
   SStream_concat0(O, AsmStrs+(Bits & 4095)-1);
 #endif
 
-  // Fragment 0 encoded into 5 bits for 31 unique commands.
-  //printf("Frag-0: %"PRIu64"\n", (Bits >> 12) & 31);
-  switch ((Bits >> 12) & 31) {
-  default:   // unreachable.
+
+  // Fragment 0 encoded into 6 bits for 35 unique commands.
+  //printf("Frag-0: %"PRIu64"\n", (Bits >> 12) & 63);
+  switch ((Bits >> 12) & 63) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, AAA, AAS, ACQUIRE_MOV...
     return;
@@ -2146,12 +3925,13 @@ static void printInstruction(MCInst *MI,
     printi64mem(MI, 0, O); 
     break;
   case 6:
-    // ADC8mi, ADC8mr, ADD8mi, ADD8mr, AND8mi, AND8mr, CMP8mi, CMP8mr, CMPXCH...
+    // ADC8mi, ADC8mi8, ADC8mr, ADD8mi, ADD8mi8, ADD8mr, AND8mi, AND8mi8, AND...
     printi8mem(MI, 0, O); 
     break;
   case 7:
     // CALL64pcrel32, CALLpcrel16, CALLpcrel32, EH_SjLj_Setup, JAE_1, JAE_2, ...
     printPCRelImm(MI, 0, O); 
+    return;
     break;
   case 8:
     // CMPSB
@@ -2252,19 +4032,19 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 25:
-    // MOV16ao16, MOV16ao16_16, MOV16o16a, MOV16o16a_16, MOV64ao16, MOV64o16a
+    // MOV16ao16, MOV16ao32, MOV16ao64, MOV16o16a, MOV16o32a, MOV16o64a
     printMemOffs16(MI, 0, O); 
     break;
   case 26:
-    // MOV32ao32, MOV32ao32_16, MOV32o32a, MOV32o32a_16, MOV64ao32, MOV64o32a
+    // MOV32ao16, MOV32ao32, MOV32ao64, MOV32o16a, MOV32o32a, MOV32o64a
     printMemOffs32(MI, 0, O); 
     break;
   case 27:
-    // MOV64ao64, MOV64o64a
+    // MOV64ao32, MOV64ao64, MOV64o32a, MOV64o64a
     printMemOffs64(MI, 0, O); 
     break;
   case 28:
-    // MOV64ao8, MOV64o8a, MOV8ao8, MOV8ao8_16, MOV8o8a, MOV8o8a_16
+    // MOV8ao16, MOV8ao32, MOV8ao64, MOV8o16a, MOV8o32a, MOV8o64a
     printMemOffs8(MI, 0, O); 
     break;
   case 29:
@@ -2272,6 +4052,34 @@ static void printInstruction(MCInst *MI,
     printDstIdx64(MI, 0, O); 
     break;
   case 30:
+    // TEST16rm
+    printi16mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 31:
+    // TEST32rm
+    printi32mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 32:
+    // TEST64rm
+    printi64mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 33:
+    // TEST8rm
+    printi8mem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 34:
     // XCHG16rr, XCHG32rr, XCHG64rr, XCHG8rr
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -2281,10 +4089,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 1 encoded into 4 bits for 11 unique commands.
-  //printf("Frag-1: %"PRIu64"\n", (Bits >> 17) & 15);
-  switch ((Bits >> 17) & 15) {
-  default:   // unreachable.
+  // Fragment 1 encoded into 4 bits for 10 unique commands.
+  //printf("Frag-1: %"PRIu64"\n", (Bits >> 18) & 15);
+  switch ((Bits >> 18) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // AAD8i8, AAM8i8, ADC16i16, ADC32i32, ADC64i32, ADC8i8, ADD16i16, ADD32i...
     return;
@@ -2306,25 +4114,25 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 4:
-    // MOV16ao16, MOV16ao16_16, MOV64ao16, OUT16ir, STOSW
+    // MOV16o16a, MOV16o32a, MOV16o64a, OUT16ir, STOSW
     SStream_concat0(O, ", ax"); 
     op_addReg(MI, X86_REG_AX);
     return;
     break;
   case 5:
-    // MOV32ao32, MOV32ao32_16, MOV64ao32, OUT32ir, STOSL
+    // MOV32o16a, MOV32o32a, MOV32o64a, OUT32ir, STOSL
     SStream_concat0(O, ", eax"); 
     op_addReg(MI, X86_REG_EAX);
     return;
     break;
   case 6:
-    // MOV64ao64, STOSQ
+    // MOV64o32a, MOV64o64a, STOSQ
     SStream_concat0(O, ", rax"); 
     op_addReg(MI, X86_REG_RAX);
     return;
     break;
   case 7:
-    // MOV64ao8, MOV8ao8, MOV8ao8_16, OUT8ir, STOSB
+    // MOV8o16a, MOV8o32a, MOV8o64a, OUT8ir, STOSB
     SStream_concat0(O, ", al"); 
     op_addReg(MI, X86_REG_AL);
     return;
@@ -2341,17 +4149,13 @@ static void printInstruction(MCInst *MI,
     op_addReg(MI, X86_REG_CL);
     return;
     break;
-  case 10:
-    // TAILJMPd, TAILJMPd64, TAILJMPm, TAILJMPm64, TAILJMPr64
-    return;
-    break;
   }
 
 
-  // Fragment 2 encoded into 5 bits for 18 unique commands.
-  //printf("Frag-2: %"PRIu64"\n", (Bits >> 21) & 31);
-  switch ((Bits >> 21) & 31) {
-  default:   // unreachable.
+  // Fragment 2 encoded into 5 bits for 19 unique commands.
+  //printf("Frag-2: %"PRIu64"\n", (Bits >> 22) & 31);
+  switch ((Bits >> 22) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16mi, ADC16mi8, ADC16mr, ADC32mi, ADC32mi8, ADC32mr, ADC64mi32, ADC...
     printOperand(MI, 5, O); 
@@ -2397,7 +4201,7 @@ static void printInstruction(MCInst *MI,
     printi16mem(MI, 1, O); 
     break;
   case 10:
-    // CMP8rm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32rm8, MOVSX64rm8, MOVZ...
+    // CMP8rm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32_NOREXrm8, MOVSX32rm8...
     printi8mem(MI, 1, O); 
     break;
   case 11:
@@ -2411,26 +4215,31 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 13:
+    // LEA16r, LEA32r, LEA64_32r, LEA64r
+    printanymem(MI, 1, O); 
+    return;
+    break;
+  case 14:
     // MOVSB
     printSrcIdx8(MI, 1, O); 
     return;
     break;
-  case 14:
+  case 15:
     // MOVSL
     printSrcIdx32(MI, 1, O); 
     return;
     break;
-  case 15:
+  case 16:
     // MOVSQ
     printSrcIdx64(MI, 1, O); 
     return;
     break;
-  case 16:
+  case 17:
     // MOVSW
     printSrcIdx16(MI, 1, O); 
     return;
     break;
-  case 17:
+  case 18:
     // NOOP19rr
     printOperand(MI, 0, O); 
     return;
@@ -2438,10 +4247,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 3 encoded into 2 bits for 4 unique commands.
-  //printf("Frag-3: %"PRIu64"\n", (Bits >> 26) & 3);
-  switch ((Bits >> 26) & 3) {
-  default:   // unreachable.
+  // Fragment 3 encoded into 2 bits for 3 unique commands.
+  //printf("Frag-3: %"PRIu64"\n", (Bits >> 27) & 3);
+  switch ((Bits >> 27) & 3) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16mi, ADC16mi8, ADC16mr, ADC16ri, ADC16ri8, ADC16rr, ADC16rr_REV, A...
     return;
@@ -2451,10 +4260,6 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 2:
-    // MOV8mr_NOREX, MOV8rm_NOREX, MOV8rr_NOREX
-    return;
-    break;
-  case 3:
     // SHLD16mrCL, SHLD16rrCL, SHLD32mrCL, SHLD32rrCL, SHLD64mrCL, SHLD64rrCL...
     SStream_concat0(O, ", cl"); 
     op_addReg(MI, X86_REG_CL);
@@ -2464,9 +4269,9 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 4 encoded into 3 bits for 5 unique commands.
-  //printf("Frag-4: %"PRIu64"\n", (Bits >> 28) & 7);
-  switch ((Bits >> 28) & 7) {
-  default:   // unreachable.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 29) & 7);
+  switch ((Bits >> 29) & 7) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ANDN32rm, MULX32rm, PDEP32rm, PEXT32rm
     printi32mem(MI, 2, O); 
@@ -2495,8 +4300,8 @@ static void printInstruction(MCInst *MI,
 
 
   // Fragment 5 encoded into 1 bits for 2 unique commands.
-  //printf("Frag-5: %"PRIu64"\n", (Bits >> 31) & 1);
-  if ((Bits >> 31) & 1) {
+  //printf("Frag-5: %"PRIu64"\n", (Bits >> 32) & 1);
+  if ((Bits >> 32) & 1) {
     // VAARG_64
     SStream_concat0(O, ", "); 
     printOperand(MI, 7, O); 
@@ -2515,7 +4320,7 @@ static void printInstruction(MCInst *MI,
 /// for the specified register.
 static const char *getRegisterName(unsigned RegNo)
 {
-  // assert(RegNo && RegNo < 234 && "Invalid register number!");
+  // assert(RegNo && RegNo < 242 && "Invalid register number!");
 
 #ifndef CAPSTONE_DIET
   static const char AsmStrs[] = {
@@ -2531,225 +4336,234 @@ static const char *getRegisterName(unsig
   /* 54 */ 'y', 'm', 'm', '1', '0', 0,
   /* 60 */ 'z', 'm', 'm', '1', '0', 0,
   /* 66 */ 'c', 'r', '1', '0', 0,
-  /* 71 */ 'x', 'm', 'm', '2', '0', 0,
-  /* 77 */ 'y', 'm', 'm', '2', '0', 0,
-  /* 83 */ 'z', 'm', 'm', '2', '0', 0,
-  /* 89 */ 'x', 'm', 'm', '3', '0', 0,
-  /* 95 */ 'y', 'm', 'm', '3', '0', 0,
-  /* 101 */ 'z', 'm', 'm', '3', '0', 0,
-  /* 107 */ 'k', '0', 0,
-  /* 110 */ 'x', 'm', 'm', '0', 0,
-  /* 115 */ 'y', 'm', 'm', '0', 0,
-  /* 120 */ 'z', 'm', 'm', '0', 0,
-  /* 125 */ 'f', 'p', '0', 0,
-  /* 129 */ 'c', 'r', '0', 0,
-  /* 133 */ 'd', 'r', '0', 0,
-  /* 137 */ 'x', 'm', 'm', '1', '1', 0,
-  /* 143 */ 'y', 'm', 'm', '1', '1', 0,
-  /* 149 */ 'z', 'm', 'm', '1', '1', 0,
-  /* 155 */ 'c', 'r', '1', '1', 0,
-  /* 160 */ 'x', 'm', 'm', '2', '1', 0,
-  /* 166 */ 'y', 'm', 'm', '2', '1', 0,
-  /* 172 */ 'z', 'm', 'm', '2', '1', 0,
-  /* 178 */ 'x', 'm', 'm', '3', '1', 0,
-  /* 184 */ 'y', 'm', 'm', '3', '1', 0,
-  /* 190 */ 'z', 'm', 'm', '3', '1', 0,
-  /* 196 */ 'k', '1', 0,
-  /* 199 */ 'x', 'm', 'm', '1', 0,
-  /* 204 */ 'y', 'm', 'm', '1', 0,
-  /* 209 */ 'z', 'm', 'm', '1', 0,
-  /* 214 */ 'f', 'p', '1', 0,
-  /* 218 */ 'c', 'r', '1', 0,
-  /* 222 */ 'd', 'r', '1', 0,
-  /* 226 */ 'x', 'm', 'm', '1', '2', 0,
-  /* 232 */ 'y', 'm', 'm', '1', '2', 0,
-  /* 238 */ 'z', 'm', 'm', '1', '2', 0,
-  /* 244 */ 'c', 'r', '1', '2', 0,
-  /* 249 */ 'x', 'm', 'm', '2', '2', 0,
-  /* 255 */ 'y', 'm', 'm', '2', '2', 0,
-  /* 261 */ 'z', 'm', 'm', '2', '2', 0,
-  /* 267 */ 'k', '2', 0,
-  /* 270 */ 'x', 'm', 'm', '2', 0,
-  /* 275 */ 'y', 'm', 'm', '2', 0,
-  /* 280 */ 'z', 'm', 'm', '2', 0,
-  /* 285 */ 'f', 'p', '2', 0,
-  /* 289 */ 'c', 'r', '2', 0,
-  /* 293 */ 'd', 'r', '2', 0,
-  /* 297 */ 'x', 'm', 'm', '1', '3', 0,
-  /* 303 */ 'y', 'm', 'm', '1', '3', 0,
-  /* 309 */ 'z', 'm', 'm', '1', '3', 0,
-  /* 315 */ 'c', 'r', '1', '3', 0,
-  /* 320 */ 'x', 'm', 'm', '2', '3', 0,
-  /* 326 */ 'y', 'm', 'm', '2', '3', 0,
-  /* 332 */ 'z', 'm', 'm', '2', '3', 0,
-  /* 338 */ 'k', '3', 0,
-  /* 341 */ 'x', 'm', 'm', '3', 0,
-  /* 346 */ 'y', 'm', 'm', '3', 0,
-  /* 351 */ 'z', 'm', 'm', '3', 0,
-  /* 356 */ 'f', 'p', '3', 0,
-  /* 360 */ 'c', 'r', '3', 0,
-  /* 364 */ 'd', 'r', '3', 0,
-  /* 368 */ 'x', 'm', 'm', '1', '4', 0,
-  /* 374 */ 'y', 'm', 'm', '1', '4', 0,
-  /* 380 */ 'z', 'm', 'm', '1', '4', 0,
-  /* 386 */ 'c', 'r', '1', '4', 0,
-  /* 391 */ 'x', 'm', 'm', '2', '4', 0,
-  /* 397 */ 'y', 'm', 'm', '2', '4', 0,
-  /* 403 */ 'z', 'm', 'm', '2', '4', 0,
-  /* 409 */ 'k', '4', 0,
-  /* 412 */ 'x', 'm', 'm', '4', 0,
-  /* 417 */ 'y', 'm', 'm', '4', 0,
-  /* 422 */ 'z', 'm', 'm', '4', 0,
-  /* 427 */ 'f', 'p', '4', 0,
-  /* 431 */ 'c', 'r', '4', 0,
-  /* 435 */ 'd', 'r', '4', 0,
-  /* 439 */ 'x', 'm', 'm', '1', '5', 0,
-  /* 445 */ 'y', 'm', 'm', '1', '5', 0,
-  /* 451 */ 'z', 'm', 'm', '1', '5', 0,
-  /* 457 */ 'c', 'r', '1', '5', 0,
-  /* 462 */ 'x', 'm', 'm', '2', '5', 0,
-  /* 468 */ 'y', 'm', 'm', '2', '5', 0,
-  /* 474 */ 'z', 'm', 'm', '2', '5', 0,
-  /* 480 */ 'k', '5', 0,
-  /* 483 */ 'x', 'm', 'm', '5', 0,
-  /* 488 */ 'y', 'm', 'm', '5', 0,
-  /* 493 */ 'z', 'm', 'm', '5', 0,
-  /* 498 */ 'f', 'p', '5', 0,
-  /* 502 */ 'c', 'r', '5', 0,
-  /* 506 */ 'd', 'r', '5', 0,
-  /* 510 */ 'x', 'm', 'm', '1', '6', 0,
-  /* 516 */ 'y', 'm', 'm', '1', '6', 0,
-  /* 522 */ 'z', 'm', 'm', '1', '6', 0,
-  /* 528 */ 'x', 'm', 'm', '2', '6', 0,
-  /* 534 */ 'y', 'm', 'm', '2', '6', 0,
-  /* 540 */ 'z', 'm', 'm', '2', '6', 0,
-  /* 546 */ 'k', '6', 0,
-  /* 549 */ 'x', 'm', 'm', '6', 0,
-  /* 554 */ 'y', 'm', 'm', '6', 0,
-  /* 559 */ 'z', 'm', 'm', '6', 0,
-  /* 564 */ 'f', 'p', '6', 0,
-  /* 568 */ 'c', 'r', '6', 0,
-  /* 572 */ 'd', 'r', '6', 0,
-  /* 576 */ 'x', 'm', 'm', '1', '7', 0,
-  /* 582 */ 'y', 'm', 'm', '1', '7', 0,
-  /* 588 */ 'z', 'm', 'm', '1', '7', 0,
-  /* 594 */ 'x', 'm', 'm', '2', '7', 0,
-  /* 600 */ 'y', 'm', 'm', '2', '7', 0,
-  /* 606 */ 'z', 'm', 'm', '2', '7', 0,
-  /* 612 */ 'k', '7', 0,
-  /* 615 */ 'x', 'm', 'm', '7', 0,
-  /* 620 */ 'y', 'm', 'm', '7', 0,
-  /* 625 */ 'z', 'm', 'm', '7', 0,
-  /* 630 */ 'f', 'p', '7', 0,
-  /* 634 */ 'c', 'r', '7', 0,
-  /* 638 */ 'd', 'r', '7', 0,
-  /* 642 */ 'x', 'm', 'm', '1', '8', 0,
-  /* 648 */ 'y', 'm', 'm', '1', '8', 0,
-  /* 654 */ 'z', 'm', 'm', '1', '8', 0,
-  /* 660 */ 'x', 'm', 'm', '2', '8', 0,
-  /* 666 */ 'y', 'm', 'm', '2', '8', 0,
-  /* 672 */ 'z', 'm', 'm', '2', '8', 0,
-  /* 678 */ 'x', 'm', 'm', '8', 0,
-  /* 683 */ 'y', 'm', 'm', '8', 0,
-  /* 688 */ 'z', 'm', 'm', '8', 0,
-  /* 693 */ 'c', 'r', '8', 0,
-  /* 697 */ 'x', 'm', 'm', '1', '9', 0,
-  /* 703 */ 'y', 'm', 'm', '1', '9', 0,
-  /* 709 */ 'z', 'm', 'm', '1', '9', 0,
-  /* 715 */ 'x', 'm', 'm', '2', '9', 0,
-  /* 721 */ 'y', 'm', 'm', '2', '9', 0,
-  /* 727 */ 'z', 'm', 'm', '2', '9', 0,
-  /* 733 */ 'x', 'm', 'm', '9', 0,
-  /* 738 */ 'y', 'm', 'm', '9', 0,
-  /* 743 */ 'z', 'm', 'm', '9', 0,
-  /* 748 */ 'c', 'r', '9', 0,
-  /* 752 */ 'r', '1', '0', 'b', 0,
-  /* 757 */ 'r', '1', '1', 'b', 0,
-  /* 762 */ 'r', '1', '2', 'b', 0,
-  /* 767 */ 'r', '1', '3', 'b', 0,
-  /* 772 */ 'r', '1', '4', 'b', 0,
-  /* 777 */ 'r', '1', '5', 'b', 0,
-  /* 782 */ 'r', '8', 'b', 0,
-  /* 786 */ 'r', '9', 'b', 0,
-  /* 790 */ 'r', '1', '0', 'd', 0,
-  /* 795 */ 'r', '1', '1', 'd', 0,
-  /* 800 */ 'r', '1', '2', 'd', 0,
-  /* 805 */ 'r', '1', '3', 'd', 0,
-  /* 810 */ 'r', '1', '4', 'd', 0,
-  /* 815 */ 'r', '1', '5', 'd', 0,
-  /* 820 */ 'r', '8', 'd', 0,
-  /* 824 */ 'r', '9', 'd', 0,
-  /* 828 */ 'a', 'h', 0,
-  /* 831 */ 'b', 'h', 0,
-  /* 834 */ 'c', 'h', 0,
-  /* 837 */ 'd', 'h', 0,
-  /* 840 */ 'e', 'd', 'i', 0,
-  /* 844 */ 'r', 'd', 'i', 0,
-  /* 848 */ 'e', 's', 'i', 0,
-  /* 852 */ 'r', 's', 'i', 0,
-  /* 856 */ 'a', 'l', 0,
-  /* 859 */ 'b', 'l', 0,
-  /* 862 */ 'c', 'l', 0,
-  /* 865 */ 'd', 'l', 0,
-  /* 868 */ 'd', 'i', 'l', 0,
-  /* 872 */ 's', 'i', 'l', 0,
-  /* 876 */ 'b', 'p', 'l', 0,
-  /* 880 */ 's', 'p', 'l', 0,
-  /* 884 */ 'e', 'b', 'p', 0,
-  /* 888 */ 'r', 'b', 'p', 0,
-  /* 892 */ 'e', 'i', 'p', 0,
-  /* 896 */ 'r', 'i', 'p', 0,
-  /* 900 */ 'e', 's', 'p', 0,
-  /* 904 */ 'r', 's', 'p', 0,
-  /* 908 */ 'c', 's', 0,
-  /* 911 */ 'd', 's', 0,
-  /* 914 */ 'e', 's', 0,
-  /* 917 */ 'f', 's', 0,
-  /* 920 */ 'f', 'l', 'a', 'g', 's', 0,
-  /* 926 */ 's', 's', 0,
-  /* 929 */ 'r', '1', '0', 'w', 0,
-  /* 934 */ 'r', '1', '1', 'w', 0,
-  /* 939 */ 'r', '1', '2', 'w', 0,
-  /* 944 */ 'r', '1', '3', 'w', 0,
-  /* 949 */ 'r', '1', '4', 'w', 0,
-  /* 954 */ 'r', '1', '5', 'w', 0,
-  /* 959 */ 'r', '8', 'w', 0,
-  /* 963 */ 'r', '9', 'w', 0,
-  /* 967 */ 'f', 'p', 's', 'w', 0,
-  /* 972 */ 'e', 'a', 'x', 0,
-  /* 976 */ 'r', 'a', 'x', 0,
-  /* 980 */ 'e', 'b', 'x', 0,
-  /* 984 */ 'r', 'b', 'x', 0,
-  /* 988 */ 'e', 'c', 'x', 0,
-  /* 992 */ 'r', 'c', 'x', 0,
-  /* 996 */ 'e', 'd', 'x', 0,
-  /* 1000 */ 'r', 'd', 'x', 0,
-  /* 1004 */ 'e', 'i', 'z', 0,
-  /* 1008 */ 'r', 'i', 'z', 0,
+  /* 71 */ 'd', 'r', '1', '0', 0,
+  /* 76 */ 'x', 'm', 'm', '2', '0', 0,
+  /* 82 */ 'y', 'm', 'm', '2', '0', 0,
+  /* 88 */ 'z', 'm', 'm', '2', '0', 0,
+  /* 94 */ 'x', 'm', 'm', '3', '0', 0,
+  /* 100 */ 'y', 'm', 'm', '3', '0', 0,
+  /* 106 */ 'z', 'm', 'm', '3', '0', 0,
+  /* 112 */ 'k', '0', 0,
+  /* 115 */ 'x', 'm', 'm', '0', 0,
+  /* 120 */ 'y', 'm', 'm', '0', 0,
+  /* 125 */ 'z', 'm', 'm', '0', 0,
+  /* 130 */ 'f', 'p', '0', 0,
+  /* 134 */ 'c', 'r', '0', 0,
+  /* 138 */ 'd', 'r', '0', 0,
+  /* 142 */ 'x', 'm', 'm', '1', '1', 0,
+  /* 148 */ 'y', 'm', 'm', '1', '1', 0,
+  /* 154 */ 'z', 'm', 'm', '1', '1', 0,
+  /* 160 */ 'c', 'r', '1', '1', 0,
+  /* 165 */ 'd', 'r', '1', '1', 0,
+  /* 170 */ 'x', 'm', 'm', '2', '1', 0,
+  /* 176 */ 'y', 'm', 'm', '2', '1', 0,
+  /* 182 */ 'z', 'm', 'm', '2', '1', 0,
+  /* 188 */ 'x', 'm', 'm', '3', '1', 0,
+  /* 194 */ 'y', 'm', 'm', '3', '1', 0,
+  /* 200 */ 'z', 'm', 'm', '3', '1', 0,
+  /* 206 */ 'k', '1', 0,
+  /* 209 */ 'x', 'm', 'm', '1', 0,
+  /* 214 */ 'y', 'm', 'm', '1', 0,
+  /* 219 */ 'z', 'm', 'm', '1', 0,
+  /* 224 */ 'f', 'p', '1', 0,
+  /* 228 */ 'c', 'r', '1', 0,
+  /* 232 */ 'd', 'r', '1', 0,
+  /* 236 */ 'x', 'm', 'm', '1', '2', 0,
+  /* 242 */ 'y', 'm', 'm', '1', '2', 0,
+  /* 248 */ 'z', 'm', 'm', '1', '2', 0,
+  /* 254 */ 'c', 'r', '1', '2', 0,
+  /* 259 */ 'd', 'r', '1', '2', 0,
+  /* 264 */ 'x', 'm', 'm', '2', '2', 0,
+  /* 270 */ 'y', 'm', 'm', '2', '2', 0,
+  /* 276 */ 'z', 'm', 'm', '2', '2', 0,
+  /* 282 */ 'k', '2', 0,
+  /* 285 */ 'x', 'm', 'm', '2', 0,
+  /* 290 */ 'y', 'm', 'm', '2', 0,
+  /* 295 */ 'z', 'm', 'm', '2', 0,
+  /* 300 */ 'f', 'p', '2', 0,
+  /* 304 */ 'c', 'r', '2', 0,
+  /* 308 */ 'd', 'r', '2', 0,
+  /* 312 */ 'x', 'm', 'm', '1', '3', 0,
+  /* 318 */ 'y', 'm', 'm', '1', '3', 0,
+  /* 324 */ 'z', 'm', 'm', '1', '3', 0,
+  /* 330 */ 'c', 'r', '1', '3', 0,
+  /* 335 */ 'd', 'r', '1', '3', 0,
+  /* 340 */ 'x', 'm', 'm', '2', '3', 0,
+  /* 346 */ 'y', 'm', 'm', '2', '3', 0,
+  /* 352 */ 'z', 'm', 'm', '2', '3', 0,
+  /* 358 */ 'k', '3', 0,
+  /* 361 */ 'x', 'm', 'm', '3', 0,
+  /* 366 */ 'y', 'm', 'm', '3', 0,
+  /* 371 */ 'z', 'm', 'm', '3', 0,
+  /* 376 */ 'f', 'p', '3', 0,
+  /* 380 */ 'c', 'r', '3', 0,
+  /* 384 */ 'd', 'r', '3', 0,
+  /* 388 */ 'x', 'm', 'm', '1', '4', 0,
+  /* 394 */ 'y', 'm', 'm', '1', '4', 0,
+  /* 400 */ 'z', 'm', 'm', '1', '4', 0,
+  /* 406 */ 'c', 'r', '1', '4', 0,
+  /* 411 */ 'd', 'r', '1', '4', 0,
+  /* 416 */ 'x', 'm', 'm', '2', '4', 0,
+  /* 422 */ 'y', 'm', 'm', '2', '4', 0,
+  /* 428 */ 'z', 'm', 'm', '2', '4', 0,
+  /* 434 */ 'k', '4', 0,
+  /* 437 */ 'x', 'm', 'm', '4', 0,
+  /* 442 */ 'y', 'm', 'm', '4', 0,
+  /* 447 */ 'z', 'm', 'm', '4', 0,
+  /* 452 */ 'f', 'p', '4', 0,
+  /* 456 */ 'c', 'r', '4', 0,
+  /* 460 */ 'd', 'r', '4', 0,
+  /* 464 */ 'x', 'm', 'm', '1', '5', 0,
+  /* 470 */ 'y', 'm', 'm', '1', '5', 0,
+  /* 476 */ 'z', 'm', 'm', '1', '5', 0,
+  /* 482 */ 'c', 'r', '1', '5', 0,
+  /* 487 */ 'd', 'r', '1', '5', 0,
+  /* 492 */ 'x', 'm', 'm', '2', '5', 0,
+  /* 498 */ 'y', 'm', 'm', '2', '5', 0,
+  /* 504 */ 'z', 'm', 'm', '2', '5', 0,
+  /* 510 */ 'k', '5', 0,
+  /* 513 */ 'x', 'm', 'm', '5', 0,
+  /* 518 */ 'y', 'm', 'm', '5', 0,
+  /* 523 */ 'z', 'm', 'm', '5', 0,
+  /* 528 */ 'f', 'p', '5', 0,
+  /* 532 */ 'c', 'r', '5', 0,
+  /* 536 */ 'd', 'r', '5', 0,
+  /* 540 */ 'x', 'm', 'm', '1', '6', 0,
+  /* 546 */ 'y', 'm', 'm', '1', '6', 0,
+  /* 552 */ 'z', 'm', 'm', '1', '6', 0,
+  /* 558 */ 'x', 'm', 'm', '2', '6', 0,
+  /* 564 */ 'y', 'm', 'm', '2', '6', 0,
+  /* 570 */ 'z', 'm', 'm', '2', '6', 0,
+  /* 576 */ 'k', '6', 0,
+  /* 579 */ 'x', 'm', 'm', '6', 0,
+  /* 584 */ 'y', 'm', 'm', '6', 0,
+  /* 589 */ 'z', 'm', 'm', '6', 0,
+  /* 594 */ 'f', 'p', '6', 0,
+  /* 598 */ 'c', 'r', '6', 0,
+  /* 602 */ 'd', 'r', '6', 0,
+  /* 606 */ 'x', 'm', 'm', '1', '7', 0,
+  /* 612 */ 'y', 'm', 'm', '1', '7', 0,
+  /* 618 */ 'z', 'm', 'm', '1', '7', 0,
+  /* 624 */ 'x', 'm', 'm', '2', '7', 0,
+  /* 630 */ 'y', 'm', 'm', '2', '7', 0,
+  /* 636 */ 'z', 'm', 'm', '2', '7', 0,
+  /* 642 */ 'k', '7', 0,
+  /* 645 */ 'x', 'm', 'm', '7', 0,
+  /* 650 */ 'y', 'm', 'm', '7', 0,
+  /* 655 */ 'z', 'm', 'm', '7', 0,
+  /* 660 */ 'f', 'p', '7', 0,
+  /* 664 */ 'c', 'r', '7', 0,
+  /* 668 */ 'd', 'r', '7', 0,
+  /* 672 */ 'x', 'm', 'm', '1', '8', 0,
+  /* 678 */ 'y', 'm', 'm', '1', '8', 0,
+  /* 684 */ 'z', 'm', 'm', '1', '8', 0,
+  /* 690 */ 'x', 'm', 'm', '2', '8', 0,
+  /* 696 */ 'y', 'm', 'm', '2', '8', 0,
+  /* 702 */ 'z', 'm', 'm', '2', '8', 0,
+  /* 708 */ 'x', 'm', 'm', '8', 0,
+  /* 713 */ 'y', 'm', 'm', '8', 0,
+  /* 718 */ 'z', 'm', 'm', '8', 0,
+  /* 723 */ 'c', 'r', '8', 0,
+  /* 727 */ 'd', 'r', '8', 0,
+  /* 731 */ 'x', 'm', 'm', '1', '9', 0,
+  /* 737 */ 'y', 'm', 'm', '1', '9', 0,
+  /* 743 */ 'z', 'm', 'm', '1', '9', 0,
+  /* 749 */ 'x', 'm', 'm', '2', '9', 0,
+  /* 755 */ 'y', 'm', 'm', '2', '9', 0,
+  /* 761 */ 'z', 'm', 'm', '2', '9', 0,
+  /* 767 */ 'x', 'm', 'm', '9', 0,
+  /* 772 */ 'y', 'm', 'm', '9', 0,
+  /* 777 */ 'z', 'm', 'm', '9', 0,
+  /* 782 */ 'c', 'r', '9', 0,
+  /* 786 */ 'd', 'r', '9', 0,
+  /* 790 */ 'r', '1', '0', 'b', 0,
+  /* 795 */ 'r', '1', '1', 'b', 0,
+  /* 800 */ 'r', '1', '2', 'b', 0,
+  /* 805 */ 'r', '1', '3', 'b', 0,
+  /* 810 */ 'r', '1', '4', 'b', 0,
+  /* 815 */ 'r', '1', '5', 'b', 0,
+  /* 820 */ 'r', '8', 'b', 0,
+  /* 824 */ 'r', '9', 'b', 0,
+  /* 828 */ 'r', '1', '0', 'd', 0,
+  /* 833 */ 'r', '1', '1', 'd', 0,
+  /* 838 */ 'r', '1', '2', 'd', 0,
+  /* 843 */ 'r', '1', '3', 'd', 0,
+  /* 848 */ 'r', '1', '4', 'd', 0,
+  /* 853 */ 'r', '1', '5', 'd', 0,
+  /* 858 */ 'r', '8', 'd', 0,
+  /* 862 */ 'r', '9', 'd', 0,
+  /* 866 */ 'a', 'h', 0,
+  /* 869 */ 'b', 'h', 0,
+  /* 872 */ 'c', 'h', 0,
+  /* 875 */ 'd', 'h', 0,
+  /* 878 */ 'e', 'd', 'i', 0,
+  /* 882 */ 'r', 'd', 'i', 0,
+  /* 886 */ 'e', 's', 'i', 0,
+  /* 890 */ 'r', 's', 'i', 0,
+  /* 894 */ 'a', 'l', 0,
+  /* 897 */ 'b', 'l', 0,
+  /* 900 */ 'c', 'l', 0,
+  /* 903 */ 'd', 'l', 0,
+  /* 906 */ 'd', 'i', 'l', 0,
+  /* 910 */ 's', 'i', 'l', 0,
+  /* 914 */ 'b', 'p', 'l', 0,
+  /* 918 */ 's', 'p', 'l', 0,
+  /* 922 */ 'e', 'b', 'p', 0,
+  /* 926 */ 'r', 'b', 'p', 0,
+  /* 930 */ 'e', 'i', 'p', 0,
+  /* 934 */ 'r', 'i', 'p', 0,
+  /* 938 */ 'e', 's', 'p', 0,
+  /* 942 */ 'r', 's', 'p', 0,
+  /* 946 */ 'c', 's', 0,
+  /* 949 */ 'd', 's', 0,
+  /* 952 */ 'e', 's', 0,
+  /* 955 */ 'f', 's', 0,
+  /* 958 */ 'f', 'l', 'a', 'g', 's', 0,
+  /* 964 */ 's', 's', 0,
+  /* 967 */ 'r', '1', '0', 'w', 0,
+  /* 972 */ 'r', '1', '1', 'w', 0,
+  /* 977 */ 'r', '1', '2', 'w', 0,
+  /* 982 */ 'r', '1', '3', 'w', 0,
+  /* 987 */ 'r', '1', '4', 'w', 0,
+  /* 992 */ 'r', '1', '5', 'w', 0,
+  /* 997 */ 'r', '8', 'w', 0,
+  /* 1001 */ 'r', '9', 'w', 0,
+  /* 1005 */ 'f', 'p', 's', 'w', 0,
+  /* 1010 */ 'e', 'a', 'x', 0,
+  /* 1014 */ 'r', 'a', 'x', 0,
+  /* 1018 */ 'e', 'b', 'x', 0,
+  /* 1022 */ 'r', 'b', 'x', 0,
+  /* 1026 */ 'e', 'c', 'x', 0,
+  /* 1030 */ 'r', 'c', 'x', 0,
+  /* 1034 */ 'e', 'd', 'x', 0,
+  /* 1038 */ 'r', 'd', 'x', 0,
+  /* 1042 */ 'e', 'i', 'z', 0,
+  /* 1046 */ 'r', 'i', 'z', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    828, 856, 973, 831, 859, 885, 876, 981, 834, 862, 908, 989, 837, 841, 
-    868, 865, 911, 997, 972, 884, 980, 988, 840, 996, 920, 892, 1004, 914, 
-    848, 900, 967, 917, 923, 893, 976, 888, 984, 992, 844, 1000, 896, 1008, 
-    852, 904, 849, 872, 901, 880, 926, 129, 218, 289, 360, 431, 502, 568, 
-    634, 693, 748, 66, 155, 244, 315, 386, 457, 133, 222, 293, 364, 435, 
-    506, 572, 638, 125, 214, 285, 356, 427, 498, 564, 630, 107, 196, 267, 
-    338, 409, 480, 546, 612, 111, 200, 271, 342, 413, 484, 550, 616, 694, 
-    749, 67, 156, 245, 316, 387, 458, 0, 6, 12, 18, 24, 30, 36, 
-    42, 110, 199, 270, 341, 412, 483, 549, 615, 678, 733, 48, 137, 226, 
-    297, 368, 439, 510, 576, 642, 697, 71, 160, 249, 320, 391, 462, 528, 
-    594, 660, 715, 89, 178, 115, 204, 275, 346, 417, 488, 554, 620, 683, 
-    738, 54, 143, 232, 303, 374, 445, 516, 582, 648, 703, 77, 166, 255, 
-    326, 397, 468, 534, 600, 666, 721, 95, 184, 120, 209, 280, 351, 422, 
-    493, 559, 625, 688, 743, 60, 149, 238, 309, 380, 451, 522, 588, 654, 
-    709, 83, 172, 261, 332, 403, 474, 540, 606, 672, 727, 101, 190, 782, 
-    786, 752, 757, 762, 767, 772, 777, 820, 824, 790, 795, 800, 805, 810, 
-    815, 959, 963, 929, 934, 939, 944, 949, 954, 
+  static const uint16_t RegAsmOffset[] = {
+    866, 894, 1011, 869, 897, 923, 914, 1019, 872, 900, 946, 1027, 875, 879, 
+    906, 903, 949, 1035, 1010, 922, 1018, 1026, 878, 1034, 958, 930, 1042, 952, 
+    886, 938, 1005, 955, 961, 931, 1014, 926, 1022, 1030, 882, 1038, 934, 1046, 
+    890, 942, 887, 910, 939, 918, 964, 134, 228, 304, 380, 456, 532, 598, 
+    664, 723, 782, 66, 160, 254, 330, 406, 482, 138, 232, 308, 384, 460, 
+    536, 602, 668, 727, 786, 71, 165, 259, 335, 411, 487, 130, 224, 300, 
+    376, 452, 528, 594, 660, 112, 206, 282, 358, 434, 510, 576, 642, 116, 
+    210, 286, 362, 438, 514, 580, 646, 724, 783, 67, 161, 255, 331, 407, 
+    483, 0, 6, 12, 18, 24, 30, 36, 42, 115, 209, 285, 361, 437, 
+    513, 579, 645, 708, 767, 48, 142, 236, 312, 388, 464, 540, 606, 672, 
+    731, 76, 170, 264, 340, 416, 492, 558, 624, 690, 749, 94, 188, 120, 
+    214, 290, 366, 442, 518, 584, 650, 713, 772, 54, 148, 242, 318, 394, 
+    470, 546, 612, 678, 737, 82, 176, 270, 346, 422, 498, 564, 630, 696, 
+    755, 100, 194, 125, 219, 295, 371, 447, 523, 589, 655, 718, 777, 60, 
+    154, 248, 324, 400, 476, 552, 618, 684, 743, 88, 182, 276, 352, 428, 
+    504, 570, 636, 702, 761, 106, 200, 820, 824, 790, 795, 800, 805, 810, 
+    815, 858, 862, 828, 833, 838, 843, 848, 853, 997, 1001, 967, 972, 977, 
+    982, 987, 992, 
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter.inc 4.0.2-3/arch/X86/X86GenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -25,131 +25,136 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    14036U,	// DBG_VALUE
+    12628U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    14029U,	// BUNDLE
-    14101U,	// LIFETIME_START
-    14016U,	// LIFETIME_END
+    12621U,	// BUNDLE
+    12693U,	// LIFETIME_START
+    12608U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    14116U,	// AAA
-    20679U,	// AAD8i8
-    23816U,	// AAM8i8
-    14857U,	// AAS
-    14865U,	// ABS_F
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    12708U,	// AAA
+    17790U,	// AAD8i8
+    21568U,	// AAM8i8
+    13482U,	// AAS
+    13490U,	// ABS_F
     0U,	// ABS_Fp32
     0U,	// ABS_Fp64
     0U,	// ABS_Fp80
-    13680U,	// ACQUIRE_MOV16rm
-    13680U,	// ACQUIRE_MOV32rm
-    13680U,	// ACQUIRE_MOV64rm
-    13680U,	// ACQUIRE_MOV8rm
-    2124421U,	// ADC16i16
-    4237957U,	// ADC16mi
-    4237957U,	// ADC16mi8
-    4237957U,	// ADC16mr
-    6351493U,	// ADC16ri
-    6351493U,	// ADC16ri8
-    6367877U,	// ADC16rm
-    6351493U,	// ADC16rr
-    8448645U,	// ADC16rr_REV
-    10508565U,	// ADC32i32
-    12622101U,	// ADC32mi
-    12622101U,	// ADC32mi8
-    12622101U,	// ADC32mr
-    6347029U,	// ADC32ri
-    6347029U,	// ADC32ri8
-    283203861U,	// ADC32rm
-    6347029U,	// ADC32rr
-    8444181U,	// ADC32rr_REV
-    16801419U,	// ADC64i32
-    18914955U,	// ADC64mi32
-    18914955U,	// ADC64mi8
-    18914955U,	// ADC64mr
-    6348427U,	// ADC64ri32
-    6348427U,	// ADC64ri8
-    283221643U,	// ADC64rm
-    6348427U,	// ADC64rr
-    8445579U,	// ADC64rr_REV
-    20991661U,	// ADC8i8
-    23105197U,	// ADC8mi
-    23105197U,	// ADC8mr
-    6344365U,	// ADC8ri
-    118445U,	// ADC8rm
-    6344365U,	// ADC8rr
-    8441517U,	// ADC8rr_REV
-    551640279U,	// ADCX32rm
-    8445143U,	// ADCX32rr
-    551658286U,	// ADCX64rm
-    8446766U,	// ADCX64rr
-    2124463U,	// ADD16i16
-    4237999U,	// ADD16mi
-    4237999U,	// ADD16mi8
-    4237999U,	// ADD16mr
-    6351535U,	// ADD16ri
-    6351535U,	// ADD16ri8
+    12259U,	// ACQUIRE_MOV16rm
+    12259U,	// ACQUIRE_MOV32rm
+    12259U,	// ACQUIRE_MOV64rm
+    12259U,	// ACQUIRE_MOV8rm
+    2122900U,	// ADC16i16
+    4236436U,	// ADC16mi
+    4236436U,	// ADC16mi8
+    4236436U,	// ADC16mr
+    6349972U,	// ADC16ri
+    6349972U,	// ADC16ri8
+    6366356U,	// ADC16rm
+    6349972U,	// ADC16rr
+    8447124U,	// ADC16rr_REV
+    10506317U,	// ADC32i32
+    12619853U,	// ADC32mi
+    12619853U,	// ADC32mi8
+    12619853U,	// ADC32mr
+    6344781U,	// ADC32ri
+    6344781U,	// ADC32ri8
+    283201613U,	// ADC32rm
+    6344781U,	// ADC32rr
+    8441933U,	// ADC32rr_REV
+    16799240U,	// ADC64i32
+    18912776U,	// ADC64mi32
+    18912776U,	// ADC64mi8
+    18912776U,	// ADC64mr
+    6346248U,	// ADC64ri32
+    6346248U,	// ADC64ri8
+    283219464U,	// ADC64rm
+    6346248U,	// ADC64rr
+    8443400U,	// ADC64rr_REV
+    20988574U,	// ADC8i8
+    23102110U,	// ADC8mi
+    23102110U,	// ADC8mi8
+    23102110U,	// ADC8mr
+    6341278U,	// ADC8ri
+    6341278U,	// ADC8ri8
+    115358U,	// ADC8rm
+    6341278U,	// ADC8rr
+    8438430U,	// ADC8rr_REV
+    551638031U,	// ADCX32rm
+    8442895U,	// ADCX32rr
+    551656374U,	// ADCX64rm
+    8444854U,	// ADCX64rr
+    2122942U,	// ADD16i16
+    4236478U,	// ADD16mi
+    4236478U,	// ADD16mi8
+    4236478U,	// ADD16mr
+    6350014U,	// ADD16ri
+    6350014U,	// ADD16ri8
     0U,	// ADD16ri8_DB
     0U,	// ADD16ri_DB
-    6367919U,	// ADD16rm
-    6351535U,	// ADD16rr
+    6366398U,	// ADD16rm
+    6350014U,	// ADD16rr
     0U,	// ADD16rr_DB
-    8448687U,	// ADD16rr_REV
-    10508599U,	// ADD32i32
-    12622135U,	// ADD32mi
-    12622135U,	// ADD32mi8
-    12622135U,	// ADD32mr
-    6347063U,	// ADD32ri
-    6347063U,	// ADD32ri8
+    8447166U,	// ADD16rr_REV
+    10506351U,	// ADD32i32
+    12619887U,	// ADD32mi
+    12619887U,	// ADD32mi8
+    12619887U,	// ADD32mr
+    6344815U,	// ADD32ri
+    6344815U,	// ADD32ri8
     0U,	// ADD32ri8_DB
     0U,	// ADD32ri_DB
-    283203895U,	// ADD32rm
-    6347063U,	// ADD32rr
+    283201647U,	// ADD32rm
+    6344815U,	// ADD32rr
     0U,	// ADD32rr_DB
-    8444215U,	// ADD32rr_REV
-    16801519U,	// ADD64i32
-    18915055U,	// ADD64mi32
-    18915055U,	// ADD64mi8
-    18915055U,	// ADD64mr
-    6348527U,	// ADD64ri32
+    8441967U,	// ADD32rr_REV
+    16799340U,	// ADD64i32
+    18912876U,	// ADD64mi32
+    18912876U,	// ADD64mi8
+    18912876U,	// ADD64mr
+    6346348U,	// ADD64ri32
     0U,	// ADD64ri32_DB
-    6348527U,	// ADD64ri8
+    6346348U,	// ADD64ri8
     0U,	// ADD64ri8_DB
-    283221743U,	// ADD64rm
-    6348527U,	// ADD64rr
+    283219564U,	// ADD64rm
+    6346348U,	// ADD64rr
     0U,	// ADD64rr_DB
-    8445679U,	// ADD64rr_REV
-    20991681U,	// ADD8i8
-    23105217U,	// ADD8mi
-    23105217U,	// ADD8mr
-    6344385U,	// ADD8ri
-    6344385U,	// ADD8ri8
-    118465U,	// ADD8rm
-    6344385U,	// ADD8rr
-    8441537U,	// ADD8rr_REV
-    8524643U,	// ADDPDrm
-    8442723U,	// ADDPDrr
-    8529324U,	// ADDPSrm
-    8447404U,	// ADDPSrr
-    551703973U,	// ADDSDrm
-    551703973U,	// ADDSDrm_Int
-    8443301U,	// ADDSDrr
-    8443301U,	// ADDSDrr_Int
-    551725118U,	// ADDSSrm
-    551725118U,	// ADDSSrm_Int
-    8448062U,	// ADDSSrr
-    8448062U,	// ADDSSrr_Int
-    8524578U,	// ADDSUBPDrm
-    8442658U,	// ADDSUBPDrr
-    8529259U,	// ADDSUBPSrm
-    8447339U,	// ADDSUBPSrr
-    189404U,	// ADD_F32m
-    203062U,	// ADD_F64m
-    222179U,	// ADD_FI16m
-    235837U,	// ADD_FI32m
-    23932U,	// ADD_FPrST0
-    20761U,	// ADD_FST0r
+    8443500U,	// ADD64rr_REV
+    20988594U,	// ADD8i8
+    23102130U,	// ADD8mi
+    23102130U,	// ADD8mi8
+    23102130U,	// ADD8mr
+    6341298U,	// ADD8ri
+    6341298U,	// ADD8ri8
+    115378U,	// ADD8rm
+    6341298U,	// ADD8rr
+    8438450U,	// ADD8rr_REV
+    8522010U,	// ADDPDrm
+    8440090U,	// ADDPDrr
+    8527569U,	// ADDPSrm
+    8445649U,	// ADDPSrr
+    551701609U,	// ADDSDrm
+    551701609U,	// ADDSDrm_Int
+    8440937U,	// ADDSDrr
+    8440937U,	// ADDSDrr_Int
+    551723552U,	// ADDSSrm
+    551723552U,	// ADDSSrm_Int
+    8446496U,	// ADDSSrr
+    8446496U,	// ADDSSrr_Int
+    8521883U,	// ADDSUBPDrm
+    8439963U,	// ADDSUBPDrr
+    8527442U,	// ADDSUBPSrm
+    8445522U,	// ADDSUBPSrr
+    187492U,	// ADD_F32m
+    200814U,	// ADD_F64m
+    220267U,	// ADD_FI16m
+    233589U,	// ADD_FI32m
+    21684U,	// ADD_FPrST0
+    17872U,	// ADD_FST0r
     0U,	// ADD_Fp32
     0U,	// ADD_Fp32m
     0U,	// ADD_Fp64
@@ -164,542 +169,542 @@ static void printInstruction(MCInst *MI,
     0U,	// ADD_FpI32m32
     0U,	// ADD_FpI32m64
     0U,	// ADD_FpI32m80
-    28362U,	// ADD_FrST0
-    14055U,	// ADJCALLSTACKDOWN32
-    14055U,	// ADJCALLSTACKDOWN64
-    14073U,	// ADJCALLSTACKUP32
-    14073U,	// ADJCALLSTACKUP64
-    551804140U,	// ADOX32rm
-    551820524U,	// ADOX32rr
-    551838531U,	// ADOX64rm
-    551822147U,	// ADOX64rr
-    8694081U,	// AESDECLASTrm
-    8448321U,	// AESDECLASTrr
-    8687767U,	// AESDECrm
-    8442007U,	// AESDECrr
-    8694094U,	// AESENCLASTrm
-    8448334U,	// AESENCLASTrr
-    8687807U,	// AESENCrm
-    8442047U,	// AESENCrr
-    315574U,	// AESIMCrm
-    551817398U,	// AESIMCrr
-    25504104U,	// AESKEYGENASSIST128rm
-    811657576U,	// AESKEYGENASSIST128rr
-    2124503U,	// AND16i16
-    4238039U,	// AND16mi
-    4238039U,	// AND16mi8
-    4238039U,	// AND16mr
-    6351575U,	// AND16ri
-    6351575U,	// AND16ri8
-    6367959U,	// AND16rm
-    6351575U,	// AND16rr
-    8448727U,	// AND16rr_REV
-    10508652U,	// AND32i32
-    12622188U,	// AND32mi
-    12622188U,	// AND32mi8
-    12622188U,	// AND32mr
-    6347116U,	// AND32ri
-    6347116U,	// AND32ri8
-    283203948U,	// AND32rm
-    6347116U,	// AND32rr
-    8444268U,	// AND32rr_REV
-    16801612U,	// AND64i32
-    18915148U,	// AND64mi32
-    18915148U,	// AND64mi8
-    18915148U,	// AND64mr
-    6348620U,	// AND64ri32
-    6348620U,	// AND64ri8
-    283221836U,	// AND64rm
-    6348620U,	// AND64rr
-    8445772U,	// AND64rr_REV
-    20991694U,	// AND8i8
-    23105230U,	// AND8mi
-    23105230U,	// AND8mr
-    6344398U,	// AND8ri
-    6344398U,	// AND8ri8
-    118478U,	// AND8rm
-    6344398U,	// AND8rr
-    8441550U,	// AND8rr_REV
-    283204287U,	// ANDN32rm
-    811653823U,	// ANDN32rr
-    283222265U,	// ANDN64rm
-    811655417U,	// ANDN64rr
-    8524825U,	// ANDNPDrm
-    8442905U,	// ANDNPDrr
-    8529535U,	// ANDNPSrm
-    8447615U,	// ANDNPSrr
-    8524689U,	// ANDPDrm
-    8442769U,	// ANDPDrr
-    8529370U,	// ANDPSrm
-    8447450U,	// ANDPSrr
-    4234014U,	// ARPL16mr
-    551820062U,	// ARPL16rr
+    26978U,	// ADD_FrST0
+    12647U,	// ADJCALLSTACKDOWN32
+    12647U,	// ADJCALLSTACKDOWN64
+    12665U,	// ADJCALLSTACKUP32
+    12665U,	// ADJCALLSTACKUP64
+    551801892U,	// ADOX32rm
+    551818276U,	// ADOX32rr
+    551836619U,	// ADOX64rm
+    551820235U,	// ADOX64rr
+    8692540U,	// AESDECLASTrm
+    8446780U,	// AESDECLASTrr
+    8684823U,	// AESDECrm
+    8439063U,	// AESDECrr
+    8692553U,	// AESENCLASTrm
+    8446793U,	// AESENCLASTrr
+    8684871U,	// AESENCrm
+    8439111U,	// AESENCrr
+    312638U,	// AESIMCrm
+    551814462U,	// AESIMCrr
+    25502563U,	// AESKEYGENASSIST128rm
+    811950947U,	// AESKEYGENASSIST128rr
+    2122980U,	// AND16i16
+    4236516U,	// AND16mi
+    4236516U,	// AND16mi8
+    4236516U,	// AND16mr
+    6350052U,	// AND16ri
+    6350052U,	// AND16ri8
+    6366436U,	// AND16rm
+    6350052U,	// AND16rr
+    8447204U,	// AND16rr_REV
+    10506404U,	// AND32i32
+    12619940U,	// AND32mi
+    12619940U,	// AND32mi8
+    12619940U,	// AND32mr
+    6344868U,	// AND32ri
+    6344868U,	// AND32ri8
+    283201700U,	// AND32rm
+    6344868U,	// AND32rr
+    8442020U,	// AND32rr_REV
+    16799431U,	// AND64i32
+    18912967U,	// AND64mi32
+    18912967U,	// AND64mi8
+    18912967U,	// AND64mr
+    6346439U,	// AND64ri32
+    6346439U,	// AND64ri8
+    283219655U,	// AND64rm
+    6346439U,	// AND64rr
+    8443591U,	// AND64rr_REV
+    20988608U,	// AND8i8
+    23102144U,	// AND8mi
+    23102144U,	// AND8mi8
+    23102144U,	// AND8mr
+    6341312U,	// AND8ri
+    6341312U,	// AND8ri8
+    115392U,	// AND8rm
+    6341312U,	// AND8rr
+    8438464U,	// AND8rr_REV
+    283202039U,	// ANDN32rm
+    811651575U,	// ANDN32rr
+    283220218U,	// ANDN64rm
+    811653370U,	// ANDN64rr
+    8522240U,	// ANDNPDrm
+    8440320U,	// ANDNPDrr
+    8527828U,	// ANDNPSrm
+    8445908U,	// ANDNPSrr
+    8522059U,	// ANDPDrm
+    8440139U,	// ANDPDrr
+    8527618U,	// ANDPSrm
+    8445698U,	// ANDPSrr
+    4231766U,	// ARPL16mr
+    551817814U,	// ARPL16rr
     0U,	// AVX2_SETALLONES
     0U,	// AVX512_512_SET0
     0U,	// AVX_SET0
-    832904105U,	// BEXTR32rm
-    811654057U,	// BEXTR32rr
-    835002789U,	// BEXTR64rm
-    811655589U,	// BEXTR64rr
-    832906169U,	// BEXTRI32mi
-    811656121U,	// BEXTRI32ri
-    835003321U,	// BEXTRI64mi
-    811656121U,	// BEXTRI64ri
-    551803488U,	// BLCFILL32rm
-    551819872U,	// BLCFILL32rr
-    551836256U,	// BLCFILL64rm
-    551819872U,	// BLCFILL64rr
-    551802925U,	// BLCI32rm
-    551819309U,	// BLCI32rr
-    551835693U,	// BLCI64rm
-    551819309U,	// BLCI64rr
-    551800991U,	// BLCIC32rm
-    551817375U,	// BLCIC32rr
-    551833759U,	// BLCIC64rm
-    551817375U,	// BLCIC64rr
-    551803075U,	// BLCMSK32rm
-    551819459U,	// BLCMSK32rr
-    551835843U,	// BLCMSK64rm
-    551819459U,	// BLCMSK64rr
-    551805910U,	// BLCS32rm
-    551822294U,	// BLCS32rr
-    551838678U,	// BLCS64rm
-    551822294U,	// BLCS64rr
-    568677273U,	// BLENDPDrmi
-    570790809U,	// BLENDPDrri
-    568681954U,	// BLENDPSrmi
-    570795490U,	// BLENDPSrri
-    8524921U,	// BLENDVPDrm0
-    8443001U,	// BLENDVPDrr0
-    8529696U,	// BLENDVPSrm0
-    8447776U,	// BLENDVPSrr0
-    551803497U,	// BLSFILL32rm
-    551819881U,	// BLSFILL32rr
-    551836265U,	// BLSFILL64rm
-    551819881U,	// BLSFILL64rr
-    551803433U,	// BLSI32rm
-    551819817U,	// BLSI32rr
-    551837826U,	// BLSI64rm
-    551821442U,	// BLSI64rr
-    551800998U,	// BLSIC32rm
-    551817382U,	// BLSIC32rr
-    551833766U,	// BLSIC64rm
-    551817382U,	// BLSIC64rr
-    551803453U,	// BLSMSK32rm
-    551819837U,	// BLSMSK32rr
-    551837842U,	// BLSMSK64rm
-    551821458U,	// BLSMSK64rr
-    551803798U,	// BLSR32rm
-    551820182U,	// BLSR32rr
-    551838089U,	// BLSR64rm
-    551821705U,	// BLSR64rr
-    551801305U,	// BOUNDS16rm
-    551834073U,	// BOUNDS32rm
-    387904U,	// BSF16rm
-    551824192U,	// BSF16rr
-    551803389U,	// BSF32rm
-    551819773U,	// BSF32rr
-    551837782U,	// BSF64rm
-    551821398U,	// BSF64rr
-    388226U,	// BSR16rm
-    551824514U,	// BSR16rr
-    551803792U,	// BSR32rm
-    551820176U,	// BSR32rr
-    551838083U,	// BSR64rm
-    551821699U,	// BSR64rr
-    23260U,	// BSWAP32r
-    24849U,	// BSWAP64r
-    4238713U,	// BT16mi8
-    4238713U,	// BT16mr
-    551824761U,	// BT16ri8
-    551824761U,	// BT16rr
-    12622901U,	// BT32mi8
-    12622901U,	// BT32mr
-    551820341U,	// BT32ri8
-    551820341U,	// BT32rr
-    18915862U,	// BT64mi8
-    18915862U,	// BT64mr
-    551821846U,	// BT64ri8
-    551821846U,	// BT64rr
-    4237982U,	// BTC16mi8
-    4237982U,	// BTC16mr
-    551824030U,	// BTC16ri8
-    551824030U,	// BTC16rr
-    12622119U,	// BTC32mi8
-    12622119U,	// BTC32mr
-    551819559U,	// BTC32ri8
-    551819559U,	// BTC32rr
-    18914973U,	// BTC64mi8
-    18914973U,	// BTC64mr
-    551820957U,	// BTC64ri8
-    551820957U,	// BTC64rr
-    4238481U,	// BTR16mi8
-    4238481U,	// BTR16mr
-    551824529U,	// BTR16ri8
-    551824529U,	// BTR16rr
-    12622749U,	// BTR32mi8
-    12622749U,	// BTR32mr
-    551820189U,	// BTR32ri8
-    551820189U,	// BTR32rr
-    18915737U,	// BTR64mi8
-    18915737U,	// BTR64mr
-    551821721U,	// BTR64ri8
-    551821721U,	// BTR64rr
-    4238655U,	// BTS16mi8
-    4238655U,	// BTS16mr
-    551824703U,	// BTS16ri8
-    551824703U,	// BTS16rr
-    12622880U,	// BTS32mi8
-    12622880U,	// BTS32mr
-    551820320U,	// BTS32ri8
-    551820320U,	// BTS32rr
-    18915848U,	// BTS64mi8
-    18915848U,	// BTS64mr
-    551821832U,	// BTS64ri8
-    551821832U,	// BTS64rr
-    832903714U,	// BZHI32rm
-    811653666U,	// BZHI32rr
-    835002491U,	// BZHI64rm
-    811655291U,	// BZHI64rr
-    226749U,	// CALL16m
-    30141U,	// CALL16r
-    243099U,	// CALL32m
-    30107U,	// CALL32r
-    406956U,	// CALL64m
-    417967U,	// CALL64pcrel32
-    30124U,	// CALL64r
-    420793U,	// CALLpcrel16
-    416371U,	// CALLpcrel32
-    15328U,	// CBW
-    14263U,	// CDQ
-    14802U,	// CDQE
-    15087U,	// CHS_F
+    832934625U,	// BEXTR32rm
+    811651809U,	// BEXTR32rr
+    835033571U,	// BEXTR64rm
+    811653603U,	// BEXTR64rr
+    832937025U,	// BEXTRI32mi
+    811654209U,	// BEXTRI32ri
+    835034177U,	// BEXTRI64mi
+    811654209U,	// BEXTRI64ri
+    551801240U,	// BLCFILL32rm
+    551817624U,	// BLCFILL32rr
+    551834008U,	// BLCFILL64rm
+    551817624U,	// BLCFILL64rr
+    551800627U,	// BLCI32rm
+    551817011U,	// BLCI32rr
+    551833395U,	// BLCI64rm
+    551817011U,	// BLCI64rr
+    551798055U,	// BLCIC32rm
+    551814439U,	// BLCIC32rr
+    551830823U,	// BLCIC64rm
+    551814439U,	// BLCIC64rr
+    551800827U,	// BLCMSK32rm
+    551817211U,	// BLCMSK32rr
+    551833595U,	// BLCMSK64rm
+    551817211U,	// BLCMSK64rr
+    551803998U,	// BLCS32rm
+    551820382U,	// BLCS32rr
+    551836766U,	// BLCS64rm
+    551820382U,	// BLCS64rr
+    568707419U,	// BLENDPDrmi
+    570820955U,	// BLENDPDrri
+    568712978U,	// BLENDPSrmi
+    570826514U,	// BLENDPSrri
+    8522424U,	// BLENDVPDrm0
+    8440504U,	// BLENDVPDrr0
+    8528077U,	// BLENDVPSrm0
+    8446157U,	// BLENDVPSrr0
+    551801249U,	// BLSFILL32rm
+    551817633U,	// BLSFILL32rr
+    551834017U,	// BLSFILL64rm
+    551817633U,	// BLSFILL64rr
+    551801185U,	// BLSI32rm
+    551817569U,	// BLSI32rr
+    551835727U,	// BLSI64rm
+    551819343U,	// BLSI64rr
+    551798062U,	// BLSIC32rm
+    551814446U,	// BLSIC32rr
+    551830830U,	// BLSIC64rm
+    551814446U,	// BLSIC64rr
+    551801205U,	// BLSMSK32rm
+    551817589U,	// BLSMSK32rr
+    551835743U,	// BLSMSK64rm
+    551819359U,	// BLSMSK64rr
+    551801550U,	// BLSR32rm
+    551817934U,	// BLSR32rr
+    551836093U,	// BLSR64rm
+    551819709U,	// BLSR64rr
+    551798523U,	// BOUNDS16rm
+    551831291U,	// BOUNDS32rm
+    419188U,	// BSF16rm
+    551822708U,	// BSF16rr
+    551801141U,	// BSF32rm
+    551817525U,	// BSF32rr
+    551835683U,	// BSF64rm
+    551819299U,	// BSF64rr
+    419586U,	// BSR16rm
+    551823106U,	// BSR16rr
+    551801544U,	// BSR32rm
+    551817928U,	// BSR32rr
+    551836087U,	// BSR64rm
+    551819703U,	// BSR64rr
+    21012U,	// BSWAP32r
+    22820U,	// BSWAP64r
+    4237315U,	// BT16mi8
+    4237315U,	// BT16mr
+    551823363U,	// BT16ri8
+    551823363U,	// BT16rr
+    12620653U,	// BT32mi8
+    12620653U,	// BT32mr
+    551818093U,	// BT32ri8
+    551818093U,	// BT32rr
+    18913915U,	// BT64mi8
+    18913915U,	// BT64mr
+    551819899U,	// BT64ri8
+    551819899U,	// BT64rr
+    4236461U,	// BTC16mi8
+    4236461U,	// BTC16mr
+    551822509U,	// BTC16ri8
+    551822509U,	// BTC16rr
+    12619871U,	// BTC32mi8
+    12619871U,	// BTC32mr
+    551817311U,	// BTC32ri8
+    551817311U,	// BTC32rr
+    18912794U,	// BTC64mi8
+    18912794U,	// BTC64mr
+    551818778U,	// BTC64ri8
+    551818778U,	// BTC64rr
+    4237073U,	// BTR16mi8
+    4237073U,	// BTR16mr
+    551823121U,	// BTR16ri8
+    551823121U,	// BTR16rr
+    12620501U,	// BTR32mi8
+    12620501U,	// BTR32mr
+    551817941U,	// BTR32ri8
+    551817941U,	// BTR32rr
+    18913741U,	// BTR64mi8
+    18913741U,	// BTR64mr
+    551819725U,	// BTR64ri8
+    551819725U,	// BTR64rr
+    4237257U,	// BTS16mi8
+    4237257U,	// BTS16mr
+    551823305U,	// BTS16ri8
+    551823305U,	// BTS16rr
+    12620632U,	// BTS32mi8
+    12620632U,	// BTS32mr
+    551818072U,	// BTS32ri8
+    551818072U,	// BTS32rr
+    18913892U,	// BTS64mi8
+    18913892U,	// BTS64mr
+    551819876U,	// BTS64ri8
+    551819876U,	// BTS64rr
+    832934234U,	// BZHI32rm
+    811651418U,	// BZHI32rr
+    835033160U,	// BZHI64rm
+    811653192U,	// BZHI64rr
+    225341U,	// CALL16m
+    28733U,	// CALL16r
+    241678U,	// CALL32m
+    28686U,	// CALL32r
+    438303U,	// CALL64m
+    448636U,	// CALL64pcrel32
+    28703U,	// CALL64r
+    452077U,	// CALLpcrel16
+    446891U,	// CALLpcrel32
+    13961U,	// CBW
+    12855U,	// CDQ
+    13427U,	// CDQE
+    13712U,	// CHS_F
     0U,	// CHS_Fp32
     0U,	// CHS_Fp64
     0U,	// CHS_Fp80
-    14185U,	// CLAC
-    14217U,	// CLC
-    14254U,	// CLD
-    432164U,	// CLFLUSH
-    14428U,	// CLGI
-    14438U,	// CLI
-    15200U,	// CLTS
-    14221U,	// CMC
-    8464878U,	// CMOVA16rm
-    8448494U,	// CMOVA16rr
-    551639264U,	// CMOVA32rm
-    8444128U,	// CMOVA32rr
-    551657010U,	// CMOVA64rm
-    8445490U,	// CMOVA64rr
-    8465156U,	// CMOVAE16rm
-    8448772U,	// CMOVAE16rr
-    551639442U,	// CMOVAE32rm
-    8444306U,	// CMOVAE32rr
-    551657433U,	// CMOVAE64rm
-    8445913U,	// CMOVAE64rr
-    8464991U,	// CMOVB16rm
-    8448607U,	// CMOVB16rr
-    551639301U,	// CMOVB32rm
-    8444165U,	// CMOVB32rr
-    551657061U,	// CMOVB64rm
-    8445541U,	// CMOVB64rr
-    8465165U,	// CMOVBE16rm
-    8448781U,	// CMOVBE16rr
-    551639451U,	// CMOVBE32rm
-    8444315U,	// CMOVBE32rr
-    551657442U,	// CMOVBE64rm
-    8445922U,	// CMOVBE64rr
-    35673950U,	// CMOVBE_F
+    12777U,	// CLAC
+    12809U,	// CLC
+    12846U,	// CLD
+    462634U,	// CLFLUSH
+    467735U,	// CLFLUSHOPT
+    13020U,	// CLGI
+    13030U,	// CLI
+    13825U,	// CLTS
+    460002U,	// CLWB
+    12813U,	// CMC
+    8463347U,	// CMOVA16rm
+    8446963U,	// CMOVA16rr
+    551637016U,	// CMOVA32rm
+    8441880U,	// CMOVA32rr
+    551654831U,	// CMOVA64rm
+    8443311U,	// CMOVA64rr
+    8463672U,	// CMOVAE16rm
+    8447288U,	// CMOVAE16rr
+    551637194U,	// CMOVAE32rm
+    8442058U,	// CMOVAE32rr
+    551655343U,	// CMOVAE64rm
+    8443823U,	// CMOVAE64rr
+    8463470U,	// CMOVB16rm
+    8447086U,	// CMOVB16rr
+    551637053U,	// CMOVB32rm
+    8441917U,	// CMOVB32rr
+    551654882U,	// CMOVB64rm
+    8443362U,	// CMOVB64rr
+    8463681U,	// CMOVBE16rm
+    8447297U,	// CMOVBE16rr
+    551637203U,	// CMOVBE32rm
+    8442067U,	// CMOVBE32rr
+    551655352U,	// CMOVBE64rm
+    8443832U,	// CMOVBE64rr
+    35671652U,	// CMOVBE_F
     0U,	// CMOVBE_Fp32
     0U,	// CMOVBE_Fp64
     0U,	// CMOVBE_Fp80
-    35672160U,	// CMOVB_F
+    35669203U,	// CMOVB_F
     0U,	// CMOVB_Fp32
     0U,	// CMOVB_Fp64
     0U,	// CMOVB_Fp80
-    8465201U,	// CMOVE16rm
-    8448817U,	// CMOVE16rr
-    551639541U,	// CMOVE32rm
-    8444405U,	// CMOVE32rr
-    551657550U,	// CMOVE64rm
-    8446030U,	// CMOVE64rr
-    35674072U,	// CMOVE_F
+    8463717U,	// CMOVE16rm
+    8447333U,	// CMOVE16rr
+    551637293U,	// CMOVE32rm
+    8442157U,	// CMOVE32rr
+    551655451U,	// CMOVE64rm
+    8443931U,	// CMOVE64rr
+    35671774U,	// CMOVE_F
     0U,	// CMOVE_Fp32
     0U,	// CMOVE_Fp64
     0U,	// CMOVE_Fp80
-    8465254U,	// CMOVG16rm
-    8448870U,	// CMOVG16rr
-    551639571U,	// CMOVG32rm
-    8444435U,	// CMOVG32rr
-    551657580U,	// CMOVG64rm
-    8446060U,	// CMOVG64rr
-    8465174U,	// CMOVGE16rm
-    8448790U,	// CMOVGE16rr
-    551639460U,	// CMOVGE32rm
-    8444324U,	// CMOVGE32rr
-    551657451U,	// CMOVGE64rm
-    8445931U,	// CMOVGE64rr
-    8465388U,	// CMOVL16rm
-    8449004U,	// CMOVL16rr
-    551639720U,	// CMOVL32rm
-    8444584U,	// CMOVL32rr
-    551657697U,	// CMOVL64rm
-    8446177U,	// CMOVL64rr
-    8465183U,	// CMOVLE16rm
-    8448799U,	// CMOVLE16rr
-    551639469U,	// CMOVLE32rm
-    8444333U,	// CMOVLE32rr
-    551657460U,	// CMOVLE64rm
-    8445940U,	// CMOVLE64rr
-    35673933U,	// CMOVNBE_F
+    8463770U,	// CMOVG16rm
+    8447386U,	// CMOVG16rr
+    551637323U,	// CMOVG32rm
+    8442187U,	// CMOVG32rr
+    551655481U,	// CMOVG64rm
+    8443961U,	// CMOVG64rr
+    8463690U,	// CMOVGE16rm
+    8447306U,	// CMOVGE16rr
+    551637212U,	// CMOVGE32rm
+    8442076U,	// CMOVGE32rr
+    551655361U,	// CMOVGE64rm
+    8443841U,	// CMOVGE64rr
+    8463914U,	// CMOVL16rm
+    8447530U,	// CMOVL16rr
+    551637472U,	// CMOVL32rm
+    8442336U,	// CMOVL32rr
+    551655617U,	// CMOVL64rm
+    8444097U,	// CMOVL64rr
+    8463699U,	// CMOVLE16rm
+    8447315U,	// CMOVLE16rr
+    551637221U,	// CMOVLE32rm
+    8442085U,	// CMOVLE32rr
+    551655370U,	// CMOVLE64rm
+    8443850U,	// CMOVLE64rr
+    35671635U,	// CMOVNBE_F
     0U,	// CMOVNBE_Fp32
     0U,	// CMOVNBE_Fp64
     0U,	// CMOVNBE_Fp80
-    35671867U,	// CMOVNB_F
+    35668840U,	// CMOVNB_F
     0U,	// CMOVNB_Fp32
     0U,	// CMOVNB_Fp64
     0U,	// CMOVNB_Fp80
-    8465192U,	// CMOVNE16rm
-    8448808U,	// CMOVNE16rr
-    551639478U,	// CMOVNE32rm
-    8444342U,	// CMOVNE32rr
-    551657469U,	// CMOVNE64rm
-    8445949U,	// CMOVNE64rr
-    35674023U,	// CMOVNE_F
+    8463708U,	// CMOVNE16rm
+    8447324U,	// CMOVNE16rr
+    551637230U,	// CMOVNE32rm
+    8442094U,	// CMOVNE32rr
+    551655379U,	// CMOVNE64rm
+    8443859U,	// CMOVNE64rr
+    35671725U,	// CMOVNE_F
     0U,	// CMOVNE_Fp32
     0U,	// CMOVNE_Fp64
     0U,	// CMOVNE_Fp80
-    8465418U,	// CMOVNO16rm
-    8449034U,	// CMOVNO16rr
-    551639755U,	// CMOVNO32rm
-    8444619U,	// CMOVNO32rr
-    551657728U,	// CMOVNO64rm
-    8446208U,	// CMOVNO64rr
-    8465448U,	// CMOVNP16rm
-    8449064U,	// CMOVNP16rr
-    551639817U,	// CMOVNP32rm
-    8444681U,	// CMOVNP32rr
-    551657768U,	// CMOVNP64rm
-    8446248U,	// CMOVNP64rr
-    35678594U,	// CMOVNP_F
+    8463963U,	// CMOVNO16rm
+    8447579U,	// CMOVNO16rr
+    551637507U,	// CMOVNO32rm
+    8442371U,	// CMOVNO32rr
+    551655699U,	// CMOVNO64rm
+    8444179U,	// CMOVNO64rr
+    8463995U,	// CMOVNP16rm
+    8447611U,	// CMOVNP16rr
+    551637569U,	// CMOVNP32rm
+    8442433U,	// CMOVNP32rr
+    551655739U,	// CMOVNP64rm
+    8444219U,	// CMOVNP64rr
+    35677053U,	// CMOVNP_F
     0U,	// CMOVNP_Fp32
     0U,	// CMOVNP_Fp64
     0U,	// CMOVNP_Fp80
-    8465694U,	// CMOVNS16rm
-    8449310U,	// CMOVNS16rr
-    551640049U,	// CMOVNS32rm
-    8444913U,	// CMOVNS32rr
-    551657945U,	// CMOVNS64rm
-    8446425U,	// CMOVNS64rr
-    8465427U,	// CMOVO16rm
-    8449043U,	// CMOVO16rr
-    551639764U,	// CMOVO32rm
-    8444628U,	// CMOVO32rr
-    551657737U,	// CMOVO64rm
-    8446217U,	// CMOVO64rr
-    8465469U,	// CMOVP16rm
-    8449085U,	// CMOVP16rr
-    551639868U,	// CMOVP32rm
-    8444732U,	// CMOVP32rr
-    551657783U,	// CMOVP64rm
-    8446263U,	// CMOVP64rr
-    35678633U,	// CMOVP_F
+    8464296U,	// CMOVNS16rm
+    8447912U,	// CMOVNS16rr
+    551637801U,	// CMOVNS32rm
+    8442665U,	// CMOVNS32rr
+    551655976U,	// CMOVNS64rm
+    8444456U,	// CMOVNS64rr
+    8463972U,	// CMOVO16rm
+    8447588U,	// CMOVO16rr
+    551637516U,	// CMOVO32rm
+    8442380U,	// CMOVO32rr
+    551655708U,	// CMOVO64rm
+    8444188U,	// CMOVO64rr
+    8464016U,	// CMOVP16rm
+    8447632U,	// CMOVP16rr
+    551637620U,	// CMOVP32rm
+    8442484U,	// CMOVP32rr
+    551655754U,	// CMOVP64rm
+    8444234U,	// CMOVP64rr
+    35677092U,	// CMOVP_F
     0U,	// CMOVP_Fp32
     0U,	// CMOVP_Fp64
     0U,	// CMOVP_Fp80
-    8465768U,	// CMOVS16rm
-    8449384U,	// CMOVS16rr
-    551640109U,	// CMOVS32rm
-    8444973U,	// CMOVS32rr
-    551657998U,	// CMOVS64rm
-    8446478U,	// CMOVS64rr
-    13484U,	// CMOV_FR32
-    13643U,	// CMOV_FR64
-    13363U,	// CMOV_GR16
-    13343U,	// CMOV_GR32
-    13662U,	// CMOV_GR8
-    13464U,	// CMOV_RFP32
-    13623U,	// CMOV_RFP64
-    13383U,	// CMOV_RFP80
-    13423U,	// CMOV_V16F32
-    13503U,	// CMOV_V2F64
-    13563U,	// CMOV_V2I64
-    13403U,	// CMOV_V4F32
-    13523U,	// CMOV_V4F64
-    13583U,	// CMOV_V4I64
-    13444U,	// CMOV_V8F32
-    13543U,	// CMOV_V8F64
-    13603U,	// CMOV_V8I64
-    2124827U,	// CMP16i16
-    4238363U,	// CMP16mi
-    4238363U,	// CMP16mi8
-    4238363U,	// CMP16mr
-    551824411U,	// CMP16ri
-    551824411U,	// CMP16ri8
-    388123U,	// CMP16rm
-    551824411U,	// CMP16rr
-    551824411U,	// CMP16rr_REV
-    10509035U,	// CMP32i32
-    12622571U,	// CMP32mi
-    12622571U,	// CMP32mi8
-    12622571U,	// CMP32mr
-    551820011U,	// CMP32ri
-    551820011U,	// CMP32ri8
-    551803627U,	// CMP32rm
-    551820011U,	// CMP32rr
-    551820011U,	// CMP32rr_REV
-    16802082U,	// CMP64i32
-    18915618U,	// CMP64mi32
-    18915618U,	// CMP64mi8
-    18915618U,	// CMP64mr
-    551821602U,	// CMP64ri32
-    551821602U,	// CMP64ri8
-    551837986U,	// CMP64rm
-    551821602U,	// CMP64rr
-    551821602U,	// CMP64rr_REV
-    20991812U,	// CMP8i8
-    23105348U,	// CMP8mi
-    23105348U,	// CMP8mr
-    551817028U,	// CMP8ri
-    446276U,	// CMP8rm
-    551817028U,	// CMP8rr
-    551817028U,	// CMP8rr_REV
-    1111964007U,	// CMPPDrmi
-    568677425U,	// CMPPDrmi_alt
-    1380415847U,	// CMPPDrri
-    570790961U,	// CMPPDrri_alt
-    1114061159U,	// CMPPSrmi
-    568682143U,	// CMPPSrmi_alt
-    1382512999U,	// CMPPSrri
-    570795679U,	// CMPPSrri_alt
-    1625788350U,	// CMPSB
-    1921464679U,	// CMPSDrm
-    581260790U,	// CMPSDrm_alt
-    1384610151U,	// CMPSDrr
-    570791414U,	// CMPSDrr_alt
-    2162678778U,	// CMPSL
-    2431132130U,	// CMPSQ
-    2730965351U,	// CMPSSrm
-    585459854U,	// CMPSSrm_alt
-    1388804455U,	// CMPSSrr
-    570796174U,	// CMPSSrr_alt
-    2968022311U,	// CMPSW
-    560768U,	// CMPXCHG16B
-    4238164U,	// CMPXCHG16rm
-    551824212U,	// CMPXCHG16rr
-    12622345U,	// CMPXCHG32rm
-    551819785U,	// CMPXCHG32rr
-    18915426U,	// CMPXCHG64rm
-    551821410U,	// CMPXCHG64rr
-    396940U,	// CMPXCHG8B
-    23105251U,	// CMPXCHG8rm
-    551816931U,	// CMPXCHG8rr
-    579019U,	// COMISDrm
-    551818699U,	// COMISDrr
-    583780U,	// COMISSrm
-    551823460U,	// COMISSrr
-    23955U,	// COMP_FST0r
-    22636U,	// COM_FIPr
-    22579U,	// COM_FIr
-    23821U,	// COM_FST0r
-    15149U,	// COS_F
+    8464370U,	// CMOVS16rm
+    8447986U,	// CMOVS16rr
+    551637861U,	// CMOVS32rm
+    8442725U,	// CMOVS32rr
+    551656042U,	// CMOVS64rm
+    8444522U,	// CMOVS64rr
+    11968U,	// CMOV_FR32
+    12155U,	// CMOV_FR64
+    12175U,	// CMOV_GR16
+    11988U,	// CMOV_GR32
+    12195U,	// CMOV_GR8
+    11947U,	// CMOV_RFP32
+    12134U,	// CMOV_RFP64
+    11862U,	// CMOV_RFP80
+    11904U,	// CMOV_V16F32
+    12008U,	// CMOV_V2F64
+    12071U,	// CMOV_V2I64
+    11883U,	// CMOV_V4F32
+    12029U,	// CMOV_V4F64
+    12092U,	// CMOV_V4I64
+    11926U,	// CMOV_V8F32
+    12050U,	// CMOV_V8F64
+    12113U,	// CMOV_V8I64
+    2123374U,	// CMP16i16
+    4236910U,	// CMP16mi
+    4236910U,	// CMP16mi8
+    4236910U,	// CMP16mr
+    551822958U,	// CMP16ri
+    551822958U,	// CMP16ri8
+    419438U,	// CMP16rm
+    551822958U,	// CMP16rr
+    551822958U,	// CMP16rr_REV
+    10506787U,	// CMP32i32
+    12620323U,	// CMP32mi
+    12620323U,	// CMP32mi8
+    12620323U,	// CMP32mr
+    551817763U,	// CMP32ri
+    551817763U,	// CMP32ri8
+    551801379U,	// CMP32rm
+    551817763U,	// CMP32rr
+    551817763U,	// CMP32rr_REV
+    16800053U,	// CMP64i32
+    18913589U,	// CMP64mi32
+    18913589U,	// CMP64mi8
+    18913589U,	// CMP64mr
+    551819573U,	// CMP64ri32
+    551819573U,	// CMP64ri8
+    551835957U,	// CMP64rm
+    551819573U,	// CMP64rr
+    551819573U,	// CMP64rr_REV
+    20988787U,	// CMP8i8
+    23102323U,	// CMP8mi
+    23102323U,	// CMP8mi8
+    23102323U,	// CMP8mr
+    551814003U,	// CMP8ri
+    551814003U,	// CMP8ri8
+    476019U,	// CMP8rm
+    551814003U,	// CMP8rr
+    551814003U,	// CMP8rr_REV
+    1111995373U,	// CMPPDrmi
+    568707608U,	// CMPPDrmi_alt
+    1380447213U,	// CMPPDrri
+    570821144U,	// CMPPDrri_alt
+    1114092525U,	// CMPPSrmi
+    568713204U,	// CMPPSrmi_alt
+    1382544365U,	// CMPPSrri
+    570826740U,	// CMPPSrri_alt
+    1625818148U,	// CMPSB
+    1921496045U,	// CMPSDrm
+    581291207U,	// CMPSDrm_alt
+    1384641517U,	// CMPSDrr
+    570821831U,	// CMPSDrr_alt
+    2162709298U,	// CMPSL
+    2431162929U,	// CMPSQ
+    2730996717U,	// CMPSSrm
+    585491069U,	// CMPSSrm_alt
+    1388835821U,	// CMPSSrr
+    570827389U,	// CMPSSrr_alt
+    2968053681U,	// CMPSW
+    590449U,	// CMPXCHG16B
+    4236680U,	// CMPXCHG16rm
+    551822728U,	// CMPXCHG16rr
+    12620097U,	// CMPXCHG32rm
+    551817537U,	// CMPXCHG32rr
+    18913327U,	// CMPXCHG64rm
+    551819311U,	// CMPXCHG64rr
+    426621U,	// CMPXCHG8B
+    23102195U,	// CMPXCHG8rm
+    551813875U,	// CMPXCHG8rr
+    609436U,	// COMISDrm
+    551816348U,	// COMISDrr
+    614995U,	// COMISSrm
+    551821907U,	// COMISSrr
+    21721U,	// COMP_FST0r
+    20338U,	// COM_FIPr
+    20281U,	// COM_FIr
+    21573U,	// COM_FST0r
+    13774U,	// COS_F
     0U,	// COS_Fp32
     0U,	// COS_Fp64
     0U,	// COS_Fp80
-    14248U,	// CPUID32
-    14248U,	// CPUID64
-    14677U,	// CQO
-    6367696U,	// CRC32r32m16
-    283203794U,	// CRC32r32m32
-    118392U,	// CRC32r32m8
-    6351312U,	// CRC32r32r16
-    6346962U,	// CRC32r32r32
-    6344312U,	// CRC32r32r8
-    283221523U,	// CRC32r64m64
-    118392U,	// CRC32r64m8
-    6348307U,	// CRC32r64r64
-    6344312U,	// CRC32r64r8
-    551834275U,	// CVTDQ2PDrm
-    551817891U,	// CVTDQ2PDrr
-    320767U,	// CVTDQ2PSrm
-    551822591U,	// CVTDQ2PSrr
-    581296U,	// CVTPD2DQrm
-    551820976U,	// CVTPD2DQrr
-    582867U,	// CVTPD2PSrm
-    551822547U,	// CVTPD2PSrr
-    581328U,	// CVTPS2DQrm
-    551821008U,	// CVTPS2DQrr
-    594606U,	// CVTPS2PDrm
-    551817902U,	// CVTPS2PDrr
-    596130U,	// CVTSD2SI64rm
-    551819426U,	// CVTSD2SI64rr
-    596130U,	// CVTSD2SIrm
-    551819426U,	// CVTSD2SIrr
-    600030U,	// CVTSD2SSrm
-    551823326U,	// CVTSD2SSrr
-    551837580U,	// CVTSI2SD64rm
-    551821196U,	// CVTSI2SD64rr
-    551803258U,	// CVTSI2SDrm
-    551819642U,	// CVTSI2SDrr
-    551838186U,	// CVTSI2SS64rm
-    551821802U,	// CVTSI2SS64rr
-    551803906U,	// CVTSI2SSrm
-    551820290U,	// CVTSI2SSrr
-    611645U,	// CVTSS2SDrm
-    551818557U,	// CVTSS2SDrr
-    612537U,	// CVTSS2SI64rm
-    551819449U,	// CVTSS2SI64rr
-    612537U,	// CVTSS2SIrm
-    551819449U,	// CVTSS2SIrr
-    581284U,	// CVTTPD2DQrm
-    551820964U,	// CVTTPD2DQrr
-    581316U,	// CVTTPS2DQrm
-    551820996U,	// CVTTPS2DQrr
-    596118U,	// CVTTSD2SI64rm
-    551819414U,	// CVTTSD2SI64rr
-    596118U,	// CVTTSD2SIrm
-    551819414U,	// CVTTSD2SIrr
-    612525U,	// CVTTSS2SI64rm
-    551819437U,	// CVTTSS2SI64rr
-    612525U,	// CVTTSS2SIrm
-    551819437U,	// CVTTSS2SIrr
-    14272U,	// CWD
-    14592U,	// CWDE
-    14120U,	// DAA
-    14861U,	// DAS
-    14001U,	// DATA16_PREFIX
-    223890U,	// DEC16m
-    27282U,	// DEC16r
-    27282U,	// DEC32_16r
-    22811U,	// DEC32_32r
-    235803U,	// DEC32m
-    22811U,	// DEC32r
-    223890U,	// DEC64_16m
-    27282U,	// DEC64_16r
-    235803U,	// DEC64_32m
-    22811U,	// DEC64_32r
-    401041U,	// DEC64m
-    24209U,	// DEC64r
-    429747U,	// DEC8m
-    20147U,	// DEC8r
-    224808U,	// DIV16m
-    28200U,	// DIV16r
-    236716U,	// DIV32m
-    23724U,	// DIV32r
-    402113U,	// DIV64m
-    25281U,	// DIV64r
-    430170U,	// DIV8m
-    20570U,	// DIV8r
-    8524932U,	// DIVPDrm
-    8443012U,	// DIVPDrr
-    8529707U,	// DIVPSrm
-    8447787U,	// DIVPSrr
-    190304U,	// DIVR_F32m
-    203697U,	// DIVR_F64m
-    223080U,	// DIVR_FI16m
-    236473U,	// DIVR_FI32m
-    24076U,	// DIVR_FPrST0
-    25536U,	// DIVR_FST0r
+    12840U,	// CPUID
+    13275U,	// CQO
+    6366155U,	// CRC32r32m16
+    283201546U,	// CRC32r32m32
+    115295U,	// CRC32r32m8
+    6349771U,	// CRC32r32r16
+    6344714U,	// CRC32r32r32
+    6341215U,	// CRC32r32r8
+    283219289U,	// CRC32r64m64
+    115295U,	// CRC32r64m8
+    6346073U,	// CRC32r64r64
+    6341215U,	// CRC32r64r8
+    551831513U,	// CVTDQ2PDrm
+    551815129U,	// CVTDQ2PDrr
+    318883U,	// CVTDQ2PSrm
+    551820707U,	// CVTDQ2PSrr
+    611885U,	// CVTPD2DQrm
+    551818797U,	// CVTPD2DQrr
+    613731U,	// CVTPD2PSrm
+    551820643U,	// CVTPD2PSrr
+    611917U,	// CVTPS2DQrm
+    551818829U,	// CVTPS2DQrr
+    552175600U,	// CVTPS2PDrm
+    551815152U,	// CVTPS2PDrr
+    552177576U,	// CVTSD2SI64rm
+    551817128U,	// CVTSD2SI64rr
+    552177576U,	// CVTSD2SIrm
+    551817128U,	// CVTSD2SIrr
+    552182164U,	// CVTSD2SSrm
+    551821716U,	// CVTSD2SSrr
+    551835440U,	// CVTSI2SD64rm
+    551819056U,	// CVTSI2SD64rr
+    551801010U,	// CVTSI2SDrm
+    551817394U,	// CVTSI2SDrr
+    551836217U,	// CVTSI2SS64rm
+    551819833U,	// CVTSI2SS64rr
+    551801658U,	// CVTSI2SSrm
+    551818042U,	// CVTSI2SSrr
+    552192981U,	// CVTSS2SDrm
+    551816149U,	// CVTSS2SDrr
+    552193983U,	// CVTSS2SI64rm
+    551817151U,	// CVTSS2SI64rr
+    552193983U,	// CVTSS2SIrm
+    551817151U,	// CVTSS2SIrr
+    611873U,	// CVTTPD2DQrm
+    551818785U,	// CVTTPD2DQrr
+    611905U,	// CVTTPS2DQrm
+    551818817U,	// CVTTPS2DQrr
+    552177564U,	// CVTTSD2SI64rm
+    551817116U,	// CVTTSD2SI64rr
+    552177564U,	// CVTTSD2SIrm
+    551817116U,	// CVTTSD2SIrr
+    552193971U,	// CVTTSS2SI64rm
+    551817139U,	// CVTTSS2SI64rr
+    552193971U,	// CVTTSS2SIrm
+    551817139U,	// CVTTSS2SIrr
+    12864U,	// CWD
+    13184U,	// CWDE
+    12712U,	// DAA
+    13486U,	// DAS
+    12593U,	// DATA16_PREFIX
+    222369U,	// DEC16m
+    25761U,	// DEC16r
+    25761U,	// DEC16r_alt
+    233555U,	// DEC32m
+    20563U,	// DEC32r
+    20563U,	// DEC32r_alt
+    431630U,	// DEC64m
+    22030U,	// DEC64r
+    459428U,	// DEC8m
+    17060U,	// DEC8r
+    223423U,	// DIV16m
+    26815U,	// DIV16r
+    234468U,	// DIV32m
+    21476U,	// DIV32r
+    432969U,	// DIV64m
+    23369U,	// DIV64r
+    459981U,	// DIV8m
+    17613U,	// DIV8r
+    8522435U,	// DIVPDrm
+    8440515U,	// DIVPDrr
+    8528088U,	// DIVPSrm
+    8446168U,	// DIVPSrr
+    188694U,	// DIVR_F32m
+    201449U,	// DIVR_F64m
+    221470U,	// DIVR_FI16m
+    234225U,	// DIVR_FI32m
+    21842U,	// DIVR_FPrST0
+    23624U,	// DIVR_FST0r
     0U,	// DIVR_Fp32m
     0U,	// DIVR_Fp64m
     0U,	// DIVR_Fp64m32
@@ -711,21 +716,21 @@ static void printInstruction(MCInst *MI,
     0U,	// DIVR_FpI32m32
     0U,	// DIVR_FpI32m64
     0U,	// DIVR_FpI32m80
-    28451U,	// DIVR_FrST0
-    551704094U,	// DIVSDrm
-    551704094U,	// DIVSDrm_Int
-    8443422U,	// DIVSDrr
-    8443422U,	// DIVSDrr_Int
-    551725248U,	// DIVSSrm
-    551725248U,	// DIVSSrm_Int
-    8448192U,	// DIVSSrr
-    8448192U,	// DIVSSrr_Int
-    190707U,	// DIV_F32m
-    203947U,	// DIV_F64m
-    223482U,	// DIV_FI16m
-    236722U,	// DIV_FI32m
-    24001U,	// DIV_FPrST0
-    27057U,	// DIV_FST0r
+    27067U,	// DIVR_FrST0
+    551701756U,	// DIVSDrm
+    551701756U,	// DIVSDrm_Int
+    8441084U,	// DIVSDrr
+    8441084U,	// DIVSDrr_Int
+    551723695U,	// DIVSSrm
+    551723695U,	// DIVSSrm_Int
+    8446639U,	// DIVSSrr
+    8446639U,	// DIVSSrr_Int
+    189154U,	// DIV_F32m
+    201699U,	// DIV_F64m
+    221929U,	// DIV_FI16m
+    234474U,	// DIV_FI32m
+    21767U,	// DIV_FPrST0
+    25516U,	// DIV_FST0r
     0U,	// DIV_Fp32
     0U,	// DIV_Fp32m
     0U,	// DIV_Fp64
@@ -740,64 +745,64 @@ static void printInstruction(MCInst *MI,
     0U,	// DIV_FpI32m32
     0U,	// DIV_FpI32m64
     0U,	// DIV_FpI32m80
-    28436U,	// DIV_FrST0
-    568677418U,	// DPPDrmi
-    570790954U,	// DPPDrri
-    568682136U,	// DPPSrmi
-    570795672U,	// DPPSrri
-    29590U,	// EH_RETURN
-    29590U,	// EH_RETURN64
-    13810U,	// EH_SjLj_LongJmp32
-    13914U,	// EH_SjLj_LongJmp64
-    13829U,	// EH_SjLj_SetJmp32
-    13933U,	// EH_SjLj_SetJmp64
-    417276U,	// EH_SjLj_Setup
-    15137U,	// ENCLS
-    15262U,	// ENCLU
-    283140976U,	// ENTER
-    3271894722U,	// EXTRACTPSmr
-    811656898U,	// EXTRACTPSrr
-    6349222U,	// EXTRQ
-    302358950U,	// EXTRQI
-    13791U,	// F2XM1
-    52702136U,	// FARCALL16i
-    636348U,	// FARCALL16m
-    52697714U,	// FARCALL32i
-    636314U,	// FARCALL32m
-    636331U,	// FARCALL64
-    52702241U,	// FARJMP16i
-    636357U,	// FARJMP16m
-    52697841U,	// FARJMP32i
-    636323U,	// FARJMP32m
-    636340U,	// FARJMP64
-    184708U,	// FBLDm
-    187855U,	// FBSTPm
-    189451U,	// FCOM32m
-    203440U,	// FCOM64m
-    190052U,	// FCOMP32m
-    203512U,	// FCOMP64m
-    14709U,	// FCOMPP
-    14724U,	// FDECSTP
-    15143U,	// FEMMS
-    22375U,	// FFREE
-    222226U,	// FICOM16m
-    236215U,	// FICOM32m
-    222828U,	// FICOMP16m
-    236288U,	// FICOMP32m
-    14732U,	// FINCSTP
-    223883U,	// FLDCW16m
-    190903U,	// FLDENVm
-    14284U,	// FLDL2E
-    15205U,	// FLDL2T
-    13895U,	// FLDLG2
-    13902U,	// FLDLN2
-    14442U,	// FLDPI
-    15552U,	// FNCLEX
-    15226U,	// FNINIT
-    14704U,	// FNOP
-    223908U,	// FNSTCW16m
-    15351U,	// FNSTSW16r
-    191813U,	// FNSTSWm
+    27052U,	// DIV_FrST0
+    568707601U,	// DPPDrmi
+    570821137U,	// DPPDrri
+    568713197U,	// DPPSrmi
+    570826733U,	// DPPSrri
+    28087U,	// EH_RETURN
+    28087U,	// EH_RETURN64
+    12402U,	// EH_SjLj_LongJmp32
+    12506U,	// EH_SjLj_LongJmp64
+    12421U,	// EH_SjLj_SetJmp32
+    12525U,	// EH_SjLj_SetJmp64
+    447810U,	// EH_SjLj_Setup
+    13762U,	// ENCLS
+    13895U,	// ENCLU
+    283139064U,	// ENTER
+    3271893103U,	// EXTRACTPSmr
+    811950191U,	// EXTRACTPSrr
+    6347236U,	// EXTRQ
+    52828644U,	// EXTRQI
+    12383U,	// F2XM1
+    54797804U,	// FARCALL16i
+    667708U,	// FARCALL16m
+    54792618U,	// FARCALL32i
+    667661U,	// FARCALL32m
+    667678U,	// FARCALL64
+    54797940U,	// FARJMP16i
+    667717U,	// FARJMP16m
+    54792745U,	// FARJMP32i
+    667670U,	// FARJMP32m
+    667700U,	// FARJMP64
+    181858U,	// FBLDm
+    185621U,	// FBSTPm
+    187547U,	// FCOM32m
+    201192U,	// FCOM64m
+    188345U,	// FCOMP32m
+    201264U,	// FCOMP64m
+    13334U,	// FCOMPP
+    13349U,	// FDECSTP
+    13768U,	// FEMMS
+    20077U,	// FFREE
+    220322U,	// FICOM16m
+    233967U,	// FICOM32m
+    221121U,	// FICOMP16m
+    234040U,	// FICOMP32m
+    13357U,	// FINCSTP
+    222362U,	// FLDCW16m
+    189362U,	// FLDENVm
+    12876U,	// FLDL2E
+    13830U,	// FLDL2T
+    12487U,	// FLDLG2
+    12494U,	// FLDLN2
+    13034U,	// FLDPI
+    14185U,	// FNCLEX
+    13859U,	// FNINIT
+    13329U,	// FNOP
+    222387U,	// FNSTCW16m
+    13984U,	// FNSTSW16r
+    190415U,	// FNSTSWm
     0U,	// FP32_TO_INT16_IN_MEM
     0U,	// FP32_TO_INT32_IN_MEM
     0U,	// FP32_TO_INT64_IN_MEM
@@ -807,68 +812,85 @@ static void printInstruction(MCInst *MI,
     0U,	// FP80_TO_INT16_IN_MEM
     0U,	// FP80_TO_INT32_IN_MEM
     0U,	// FP80_TO_INT64_IN_MEM
-    14627U,	// FPATAN
-    14610U,	// FPREM
-    13784U,	// FPREM1
-    14634U,	// FPTAN
-    15237U,	// FRNDINT
-    189319U,	// FRSTORm
-    186312U,	// FSAVEm
-    14312U,	// FSCALE
-    14616U,	// FSETPM
-    15154U,	// FSINCOS
-    190911U,	// FSTENVm
-    14605U,	// FXAM
-    631695U,	// FXRSTOR
-    631155U,	// FXRSTOR64
-    628688U,	// FXSAVE
-    630853U,	// FXSAVE64
-    15212U,	// FXTRACT
-    15345U,	// FYL2X
-    13797U,	// FYL2XP1
-    8524825U,	// FsANDNPDrm
-    8442905U,	// FsANDNPDrr
-    8529535U,	// FsANDNPSrm
-    8447615U,	// FsANDNPSrr
-    8524689U,	// FsANDPDrm
-    8442769U,	// FsANDPDrr
-    8529370U,	// FsANDPSrm
-    8447450U,	// FsANDPSrr
+    13225U,	// FPATAN
+    13202U,	// FPREM
+    12376U,	// FPREM1
+    13232U,	// FPTAN
+    21691U,	// FP_FFREEP
+    13870U,	// FRNDINT
+    187407U,	// FRSTORm
+    184014U,	// FSAVEm
+    12904U,	// FSCALE
+    13214U,	// FSETPM
+    13779U,	// FSINCOS
+    189370U,	// FSTENVm
+    13197U,	// FXAM
+    662551U,	// FXRSTOR
+    655565U,	// FXRSTOR64
+    659158U,	// FXSAVE
+    655555U,	// FXSAVE64
+    13837U,	// FXTRACT
+    13978U,	// FYL2X
+    12389U,	// FYL2XP1
+    8522240U,	// FsANDNPDrm
+    8440320U,	// FsANDNPDrr
+    8527828U,	// FsANDNPSrm
+    8445908U,	// FsANDNPSrr
+    8522059U,	// FsANDPDrm
+    8440139U,	// FsANDPDrr
+    8527618U,	// FsANDPSrm
+    8445698U,	// FsANDPSrr
     0U,	// FsFLD0SD
     0U,	// FsFLD0SS
-    578319U,	// FsMOVAPDrm
-    583008U,	// FsMOVAPSrm
-    8524869U,	// FsORPDrm
-    8442949U,	// FsORPDrr
-    8529587U,	// FsORPSrm
-    8447667U,	// FsORPSrr
-    578318U,	// FsVMOVAPDrm
-    583007U,	// FsVMOVAPSrm
-    8524876U,	// FsXORPDrm
-    8442956U,	// FsXORPDrr
-    8529594U,	// FsXORPSrm
-    8447674U,	// FsXORPSrr
-    14205U,	// GETSEC
-    8524651U,	// HADDPDrm
-    8442731U,	// HADDPDrr
-    8529332U,	// HADDPSrm
-    8447412U,	// HADDPSrr
-    15233U,	// HLT
-    8524600U,	// HSUBPDrm
-    8442680U,	// HSUBPDrr
-    8529281U,	// HSUBPSrm
-    8447361U,	// HSUBPSrr
-    224807U,	// IDIV16m
-    28199U,	// IDIV16r
-    236723U,	// IDIV32m
-    23731U,	// IDIV32r
-    402112U,	// IDIV64m
-    25280U,	// IDIV64r
-    430169U,	// IDIV8m
-    20569U,	// IDIV8r
-    222193U,	// ILD_F16m
-    235874U,	// ILD_F32m
-    399954U,	// ILD_F64m
+    608392U,	// FsMOVAPDrm
+    613959U,	// FsMOVAPSrm
+    8522359U,	// FsORPDrm
+    8440439U,	// FsORPDrr
+    8527955U,	// FsORPSrm
+    8446035U,	// FsORPSrr
+    608391U,	// FsVMOVAPDrm
+    613958U,	// FsVMOVAPSrm
+    8522366U,	// FsXORPDrm
+    8440446U,	// FsXORPDrr
+    8527962U,	// FsXORPSrm
+    8446042U,	// FsXORPSrr
+    8522240U,	// FvANDNPDrm
+    8440320U,	// FvANDNPDrr
+    8527828U,	// FvANDNPSrm
+    8445908U,	// FvANDNPSrr
+    8522059U,	// FvANDPDrm
+    8440139U,	// FvANDPDrr
+    8527618U,	// FvANDPSrm
+    8445698U,	// FvANDPSrr
+    8522359U,	// FvORPDrm
+    8440439U,	// FvORPDrr
+    8527955U,	// FvORPSrm
+    8446035U,	// FvORPSrr
+    8522366U,	// FvXORPDrm
+    8440446U,	// FvXORPDrr
+    8527962U,	// FvXORPSrm
+    8446042U,	// FvXORPSrr
+    12797U,	// GETSEC
+    8522018U,	// HADDPDrm
+    8440098U,	// HADDPDrr
+    8527577U,	// HADDPSrm
+    8445657U,	// HADDPSrr
+    13866U,	// HLT
+    8521905U,	// HSUBPDrm
+    8439985U,	// HSUBPDrr
+    8527464U,	// HSUBPSrm
+    8445544U,	// HSUBPSrr
+    223422U,	// IDIV16m
+    26814U,	// IDIV16r
+    234475U,	// IDIV32m
+    21483U,	// IDIV32r
+    432968U,	// IDIV64m
+    23368U,	// IDIV64r
+    459980U,	// IDIV8m
+    17612U,	// IDIV8r
+    220281U,	// ILD_F16m
+    233626U,	// ILD_F32m
+    430474U,	// ILD_F64m
     0U,	// ILD_Fp16m32
     0U,	// ILD_Fp16m64
     0U,	// ILD_Fp16m80
@@ -878,79 +900,75 @@ static void printInstruction(MCInst *MI,
     0U,	// ILD_Fp64m32
     0U,	// ILD_Fp64m64
     0U,	// ILD_Fp64m80
-    224229U,	// IMUL16m
-    27621U,	// IMUL16r
-    8465381U,	// IMUL16rm
-    54864869U,	// IMUL16rmi
-    54864869U,	// IMUL16rmi8
-    8448997U,	// IMUL16rr
-    811658213U,	// IMUL16rri
-    811658213U,	// IMUL16rri8
-    236193U,	// IMUL32m
-    23201U,	// IMUL32r
-    551639713U,	// IMUL32rm
-    832903841U,	// IMUL32rmi
-    832903841U,	// IMUL32rmi8
-    8444577U,	// IMUL32rr
-    811653793U,	// IMUL32rri
-    811653793U,	// IMUL32rri8
-    401626U,	// IMUL64m
-    24794U,	// IMUL64r
-    551657690U,	// IMUL64rm
-    835002586U,	// IMUL64rmi32
-    835002586U,	// IMUL64rmi8
-    8446170U,	// IMUL64rr
-    811655386U,	// IMUL64rri32
-    811655386U,	// IMUL64rri8
-    429854U,	// IMUL8m
-    20254U,	// IMUL8r
-    2124805U,	// IN16ri
-    15362U,	// IN16rr
-    10508998U,	// IN32ri
-    15441U,	// IN32rr
-    20991798U,	// IN8ri
-    14472U,	// IN8rr
-    223896U,	// INC16m
-    27288U,	// INC16r
-    27288U,	// INC32_16r
-    22817U,	// INC32_32r
-    235809U,	// INC32m
-    22817U,	// INC32r
-    223896U,	// INC64_16m
-    27288U,	// INC64_16r
-    235809U,	// INC64_32m
-    22817U,	// INC64_32r
-    401047U,	// INC64m
-    24215U,	// INC64r
-    429753U,	// INC8m
-    20153U,	// INC8r
-    504521U,	// INSB
-    585459416U,	// INSERTPSrm
-    570795736U,	// INSERTPSrr
-    6349449U,	// INSERTQ
-    302637705U,	// INSERTQI
-    520916U,	// INSL
-    553695U,	// INSW
-    26897U,	// INT
-    13805U,	// INT1
-    13909U,	// INT3
-    14672U,	// INTO
-    14279U,	// INVD
-    321814U,	// INVEPT32
-    321814U,	// INVEPT64
-    432100U,	// INVLPG
-    15422U,	// INVLPGA32
-    15490U,	// INVLPGA64
-    315762U,	// INVPCID32
-    315762U,	// INVPCID64
-    315771U,	// INVVPID32
-    315771U,	// INVVPID64
-    15333U,	// IRET16
-    14563U,	// IRET32
-    14773U,	// IRET64
-    222989U,	// ISTT_FP16m
-    236339U,	// ISTT_FP32m
-    400009U,	// ISTT_FP64m
+    222755U,	// IMUL16m
+    26147U,	// IMUL16r
+    8463907U,	// IMUL16rm
+    56993315U,	// IMUL16rmi
+    56993315U,	// IMUL16rmi8
+    8447523U,	// IMUL16rr
+    811656739U,	// IMUL16rri
+    811656739U,	// IMUL16rri8
+    233945U,	// IMUL32m
+    20953U,	// IMUL32r
+    551637465U,	// IMUL32rm
+    832934361U,	// IMUL32rmi
+    832934361U,	// IMUL32rmi8
+    8442329U,	// IMUL32rr
+    811651545U,	// IMUL32rri
+    811651545U,	// IMUL32rri8
+    432314U,	// IMUL64m
+    22714U,	// IMUL64r
+    551655610U,	// IMUL64rm
+    835033274U,	// IMUL64rmi32
+    835033274U,	// IMUL64rmi8
+    8444090U,	// IMUL64rr
+    811653306U,	// IMUL64rri32
+    811653306U,	// IMUL64rri8
+    459576U,	// IMUL8m
+    17208U,	// IMUL8r
+    2123350U,	// IN16ri
+    13995U,	// IN16rr
+    10506750U,	// IN32ri
+    14074U,	// IN32rr
+    20988771U,	// IN8ri
+    13064U,	// IN8rr
+    222375U,	// INC16m
+    25767U,	// INC16r
+    25767U,	// INC16r_alt
+    233561U,	// INC32m
+    20569U,	// INC32r
+    20569U,	// INC32r_alt
+    431636U,	// INC64m
+    22036U,	// INC64r
+    459434U,	// INC8m
+    17066U,	// INC8r
+    535917U,	// INSB
+    585490565U,	// INSERTPSrm
+    570826885U,	// INSERTPSrr
+    6347507U,	// INSERTQ
+    59398899U,	// INSERTQI
+    552312U,	// INSL
+    585091U,	// INSW
+    25344U,	// INT
+    12397U,	// INT1
+    12501U,	// INT3
+    13270U,	// INTO
+    12871U,	// INVD
+    320261U,	// INVEPT32
+    320261U,	// INVEPT64
+    462570U,	// INVLPG
+    14055U,	// INVLPGA32
+    14123U,	// INVLPGA64
+    312912U,	// INVPCID32
+    312912U,	// INVPCID64
+    312921U,	// INVVPID32
+    312921U,	// INVVPID64
+    13966U,	// IRET16
+    13155U,	// IRET32
+    13398U,	// IRET64
+    221370U,	// ISTT_FP16m
+    234091U,	// ISTT_FP32m
+    430529U,	// ISTT_FP64m
     0U,	// ISTT_Fp16m32
     0U,	// ISTT_Fp16m64
     0U,	// ISTT_Fp16m80
@@ -960,11 +978,11 @@ static void printInstruction(MCInst *MI,
     0U,	// ISTT_Fp64m32
     0U,	// ISTT_Fp64m64
     0U,	// ISTT_Fp64m80
-    223468U,	// IST_F16m
-    236694U,	// IST_F32m
-    222981U,	// IST_FP16m
-    236331U,	// IST_FP32m
-    400000U,	// IST_FP64m
+    221915U,	// IST_F16m
+    234446U,	// IST_F32m
+    221362U,	// IST_FP16m
+    234083U,	// IST_FP32m
+    430520U,	// IST_FP64m
     0U,	// IST_Fp16m32
     0U,	// IST_Fp16m64
     0U,	// IST_Fp16m80
@@ -974,246 +992,254 @@ static void printInstruction(MCInst *MI,
     0U,	// IST_Fp64m32
     0U,	// IST_Fp64m64
     0U,	// IST_Fp64m80
-    1921464679U,	// Int_CMPSDrm
-    1384610151U,	// Int_CMPSDrr
-    2730965351U,	// Int_CMPSSrm
-    1388804455U,	// Int_CMPSSrr
-    579019U,	// Int_COMISDrm
-    551818699U,	// Int_COMISDrr
-    583780U,	// Int_COMISSrm
-    551823460U,	// Int_COMISSrr
-    551708638U,	// Int_CVTSD2SSrm
-    8447966U,	// Int_CVTSD2SSrr
-    551657356U,	// Int_CVTSI2SD64rm
-    8445836U,	// Int_CVTSI2SD64rr
-    551639418U,	// Int_CVTSI2SDrm
-    8444282U,	// Int_CVTSI2SDrr
-    551657962U,	// Int_CVTSI2SS64rm
-    8446442U,	// Int_CVTSI2SS64rr
-    551640066U,	// Int_CVTSI2SSrm
-    8444930U,	// Int_CVTSI2SSrr
-    551720253U,	// Int_CVTSS2SDrm
-    8443197U,	// Int_CVTSS2SDrr
-    596118U,	// Int_CVTTSD2SI64rm
-    551819414U,	// Int_CVTTSD2SI64rr
-    596118U,	// Int_CVTTSD2SIrm
-    551819414U,	// Int_CVTTSD2SIrr
-    612525U,	// Int_CVTTSS2SI64rm
-    551819437U,	// Int_CVTTSS2SI64rr
-    612525U,	// Int_CVTTSS2SIrm
-    551819437U,	// Int_CVTTSS2SIrr
-    14089U,	// Int_MemBarrier
-    579018U,	// Int_UCOMISDrm
-    551818698U,	// Int_UCOMISDrr
-    583779U,	// Int_UCOMISSrm
-    551823459U,	// Int_UCOMISSrr
-    1921661291U,	// Int_VCMPSDrm
-    1384806763U,	// Int_VCMPSDrr
-    2731161963U,	// Int_VCMPSSrm
-    1389001067U,	// Int_VCMPSSrr
-    579027U,	// Int_VCOMISDZrm
-    551818707U,	// Int_VCOMISDZrr
-    579027U,	// Int_VCOMISDrm
-    551818707U,	// Int_VCOMISDrr
-    583788U,	// Int_VCOMISSZrm
-    551823468U,	// Int_VCOMISSZrr
-    583788U,	// Int_VCOMISSrm
-    551823468U,	// Int_VCOMISSrr
-    283273181U,	// Int_VCVTSD2SSrm
-    811657181U,	// Int_VCVTSD2SSrr
-    283221899U,	// Int_VCVTSI2SD64Zrm
-    811655051U,	// Int_VCVTSI2SD64Zrr
-    283221899U,	// Int_VCVTSI2SD64rm
-    811655051U,	// Int_VCVTSI2SD64rr
-    283203961U,	// Int_VCVTSI2SDZrm
-    811653497U,	// Int_VCVTSI2SDZrr
-    283203961U,	// Int_VCVTSI2SDrm
-    811653497U,	// Int_VCVTSI2SDrr
-    283222505U,	// Int_VCVTSI2SS64Zrm
-    811655657U,	// Int_VCVTSI2SS64Zrr
-    283222505U,	// Int_VCVTSI2SS64rm
-    811655657U,	// Int_VCVTSI2SS64rr
-    283204609U,	// Int_VCVTSI2SSZrm
-    811654145U,	// Int_VCVTSI2SSZrr
-    283204609U,	// Int_VCVTSI2SSrm
-    811654145U,	// Int_VCVTSI2SSrr
-    283284796U,	// Int_VCVTSS2SDrm
-    811652412U,	// Int_VCVTSS2SDrr
-    591246U,	// Int_VCVTTSD2SI64Zrm
-    551814542U,	// Int_VCVTTSD2SI64Zrr
-    596117U,	// Int_VCVTTSD2SI64rm
-    551819413U,	// Int_VCVTTSD2SI64rr
-    591246U,	// Int_VCVTTSD2SIZrm
-    551814542U,	// Int_VCVTTSD2SIZrr
-    596117U,	// Int_VCVTTSD2SIrm
-    551819413U,	// Int_VCVTTSD2SIrr
-    591296U,	// Int_VCVTTSD2USI64Zrm
-    551814592U,	// Int_VCVTTSD2USI64Zrr
-    591296U,	// Int_VCVTTSD2USIZrm
-    551814592U,	// Int_VCVTTSD2USIZrr
-    607655U,	// Int_VCVTTSS2SI64Zrm
-    551814567U,	// Int_VCVTTSS2SI64Zrr
-    612524U,	// Int_VCVTTSS2SI64rm
-    551819436U,	// Int_VCVTTSS2SI64rr
-    607655U,	// Int_VCVTTSS2SIZrm
-    551814567U,	// Int_VCVTTSS2SIZrr
-    612524U,	// Int_VCVTTSS2SIrm
-    551819436U,	// Int_VCVTTSS2SIrr
-    607707U,	// Int_VCVTTSS2USI64Zrm
-    551814619U,	// Int_VCVTTSS2USI64Zrr
-    607707U,	// Int_VCVTTSS2USIZrm
-    551814619U,	// Int_VCVTTSS2USIZrr
-    283221911U,	// Int_VCVTUSI2SD64Zrm
-    811655063U,	// Int_VCVTUSI2SD64Zrr
-    283203973U,	// Int_VCVTUSI2SDZrm
-    811653509U,	// Int_VCVTUSI2SDZrr
-    283222517U,	// Int_VCVTUSI2SS64Zrm
-    811655669U,	// Int_VCVTUSI2SS64Zrr
-    283204621U,	// Int_VCVTUSI2SSZrm
-    811654157U,	// Int_VCVTUSI2SSZrr
-    579017U,	// Int_VUCOMISDZrm
-    551818697U,	// Int_VUCOMISDZrr
-    579017U,	// Int_VUCOMISDrm
-    551818697U,	// Int_VUCOMISDrr
-    583778U,	// Int_VUCOMISSZrm
-    551823458U,	// Int_VUCOMISSZrr
-    583778U,	// Int_VUCOMISSrm
-    551823458U,	// Int_VUCOMISSrr
-    415548U,	// JAE_1
-    415548U,	// JAE_2
-    415548U,	// JAE_4
-    413261U,	// JA_1
-    413261U,	// JA_2
-    413261U,	// JA_4
-    415560U,	// JBE_1
-    415560U,	// JBE_2
-    415560U,	// JBE_4
-    413429U,	// JB_1
-    413429U,	// JB_2
-    413429U,	// JB_4
-    421551U,	// JCXZ
-    421544U,	// JECXZ_32
-    421544U,	// JECXZ_64
-    415619U,	// JE_1
-    415619U,	// JE_2
-    415619U,	// JE_4
-    415598U,	// JGE_1
-    415598U,	// JGE_2
-    415598U,	// JGE_4
-    415712U,	// JG_1
-    415712U,	// JG_2
-    415712U,	// JG_4
-    415623U,	// JLE_1
-    415623U,	// JLE_2
-    415623U,	// JLE_4
-    416313U,	// JL_1
-    416313U,	// JL_2
-    416313U,	// JL_4
-    226758U,	// JMP16m
-    30150U,	// JMP16r
-    243108U,	// JMP32m
-    30116U,	// JMP32r
-    406965U,	// JMP64m
-    30133U,	// JMP64r
-    417166U,	// JMP_1
-    417166U,	// JMP_2
-    417166U,	// JMP_4
-    415635U,	// JNE_1
-    415635U,	// JNE_2
-    415635U,	// JNE_4
-    417116U,	// JNO_1
-    417116U,	// JNO_2
-    417116U,	// JNO_4
-    417186U,	// JNP_1
-    417186U,	// JNP_2
-    417186U,	// JNP_4
-    418842U,	// JNS_1
-    418842U,	// JNS_2
-    418842U,	// JNS_4
-    417112U,	// JO_1
-    417112U,	// JO_2
-    417112U,	// JO_4
-    417155U,	// JP_1
-    417155U,	// JP_2
-    417155U,	// JP_4
-    421557U,	// JRCXZ
-    418808U,	// JS_1
-    418808U,	// JS_2
-    418808U,	// JS_4
-    811647013U,	// KANDBrr
-    811647227U,	// KANDDrr
-    811647054U,	// KANDNBrr
-    811647353U,	// KANDNDrr
-    811649018U,	// KANDNQrr
-    811650108U,	// KANDNWrr
-    811648768U,	// KANDQrr
-    811650056U,	// KANDWrr
-    551813272U,	// KMOVBkk
-    442520U,	// KMOVBkm
-    551813272U,	// KMOVBkr
-    23101592U,	// KMOVBmk
-    551813272U,	// KMOVBrk
-    551814498U,	// KMOVDkk
-    551798114U,	// KMOVDkm
-    551814498U,	// KMOVDkr
-    12617058U,	// KMOVDmk
-    551814498U,	// KMOVDrk
-    551815413U,	// KMOVQkk
-    551831797U,	// KMOVQkm
-    551815413U,	// KMOVQkr
-    18909429U,	// KMOVQmk
-    551815413U,	// KMOVQrk
-    551816348U,	// KMOVWkk
-    380060U,	// KMOVWkm
-    551816348U,	// KMOVWkr
-    4230300U,	// KMOVWmk
-    551816348U,	// KMOVWrk
-    551813264U,	// KNOTBrr
-    551814425U,	// KNOTDrr
-    551815340U,	// KNOTQrr
-    551816329U,	// KNOTWrr
-    811647096U,	// KORBrr
-    811648042U,	// KORDrr
-    811649074U,	// KORQrr
-    551816337U,	// KORTESTWrr
-    811650150U,	// KORWrr
+    1921496045U,	// Int_CMPSDrm
+    1384641517U,	// Int_CMPSDrr
+    2730996717U,	// Int_CMPSSrm
+    1388835821U,	// Int_CMPSSrr
+    609436U,	// Int_COMISDrm
+    551816348U,	// Int_COMISDrr
+    614995U,	// Int_COMISSrm
+    551821907U,	// Int_COMISSrr
+    551707028U,	// Int_CVTSD2SSrm
+    8446356U,	// Int_CVTSD2SSrr
+    551655216U,	// Int_CVTSI2SD64rm
+    8443696U,	// Int_CVTSI2SD64rr
+    551637170U,	// Int_CVTSI2SDrm
+    8442034U,	// Int_CVTSI2SDrr
+    551655993U,	// Int_CVTSI2SS64rm
+    8444473U,	// Int_CVTSI2SS64rr
+    551637818U,	// Int_CVTSI2SSrm
+    8442682U,	// Int_CVTSI2SSrr
+    551717845U,	// Int_CVTSS2SDrm
+    8440789U,	// Int_CVTSS2SDrr
+    552177564U,	// Int_CVTTSD2SI64rm
+    551817116U,	// Int_CVTTSD2SI64rr
+    552177564U,	// Int_CVTTSD2SIrm
+    551817116U,	// Int_CVTTSD2SIrr
+    552193971U,	// Int_CVTTSS2SI64rm
+    551817139U,	// Int_CVTTSS2SI64rr
+    552193971U,	// Int_CVTTSS2SIrm
+    551817139U,	// Int_CVTTSS2SIrr
+    12681U,	// Int_MemBarrier
+    609435U,	// Int_UCOMISDrm
+    551816347U,	// Int_UCOMISDrr
+    614994U,	// Int_UCOMISSrm
+    551821906U,	// Int_UCOMISSrr
+    1921692657U,	// Int_VCMPSDrm
+    1384838129U,	// Int_VCMPSDrr
+    2731193329U,	// Int_VCMPSSrm
+    1389032433U,	// Int_VCMPSSrr
+    609444U,	// Int_VCOMISDZrm
+    551816356U,	// Int_VCOMISDZrr
+    609444U,	// Int_VCOMISDrm
+    551816356U,	// Int_VCOMISDrr
+    615003U,	// Int_VCOMISSZrm
+    551821915U,	// Int_VCOMISSZrr
+    615003U,	// Int_VCOMISSrm
+    551821915U,	// Int_VCOMISSrr
+    283271571U,	// Int_VCVTSD2SSrm
+    811655571U,	// Int_VCVTSD2SSrr
+    283219759U,	// Int_VCVTSI2SD64Zrm
+    811652911U,	// Int_VCVTSI2SD64Zrr
+    283219759U,	// Int_VCVTSI2SD64rm
+    811652911U,	// Int_VCVTSI2SD64rr
+    283201713U,	// Int_VCVTSI2SDZrm
+    811651249U,	// Int_VCVTSI2SDZrr
+    283201713U,	// Int_VCVTSI2SDrm
+    811651249U,	// Int_VCVTSI2SDrr
+    283220536U,	// Int_VCVTSI2SS64Zrm
+    811653688U,	// Int_VCVTSI2SS64Zrr
+    283220536U,	// Int_VCVTSI2SS64rm
+    811653688U,	// Int_VCVTSI2SS64rr
+    283202361U,	// Int_VCVTSI2SSZrm
+    811651897U,	// Int_VCVTSI2SSZrr
+    283202361U,	// Int_VCVTSI2SSrm
+    811651897U,	// Int_VCVTSI2SSrr
+    283282388U,	// Int_VCVTSS2SDrm
+    811650004U,	// Int_VCVTSS2SDrr
+    552177563U,	// Int_VCVTTSD2SI64Zrm
+    551817115U,	// Int_VCVTTSD2SI64Zrr
+    552177563U,	// Int_VCVTTSD2SI64rm
+    551817115U,	// Int_VCVTTSD2SI64rr
+    552177563U,	// Int_VCVTTSD2SIZrm
+    551817115U,	// Int_VCVTTSD2SIZrr
+    552177563U,	// Int_VCVTTSD2SIrm
+    551817115U,	// Int_VCVTTSD2SIrr
+    552177609U,	// Int_VCVTTSD2USI64Zrm
+    551817161U,	// Int_VCVTTSD2USI64Zrr
+    552177609U,	// Int_VCVTTSD2USIZrm
+    551817161U,	// Int_VCVTTSD2USIZrr
+    552193970U,	// Int_VCVTTSS2SI64Zrm
+    551817138U,	// Int_VCVTTSS2SI64Zrr
+    552193970U,	// Int_VCVTTSS2SI64rm
+    551817138U,	// Int_VCVTTSS2SI64rr
+    552193970U,	// Int_VCVTTSS2SIZrm
+    551817138U,	// Int_VCVTTSS2SIZrr
+    552193970U,	// Int_VCVTTSS2SIrm
+    551817138U,	// Int_VCVTTSS2SIrr
+    552194018U,	// Int_VCVTTSS2USI64Zrm
+    551817186U,	// Int_VCVTTSS2USI64Zrr
+    552194018U,	// Int_VCVTTSS2USIZrm
+    551817186U,	// Int_VCVTTSS2USIZrr
+    283219771U,	// Int_VCVTUSI2SD64Zrm
+    811652923U,	// Int_VCVTUSI2SD64Zrr
+    283201725U,	// Int_VCVTUSI2SDZrm
+    811651261U,	// Int_VCVTUSI2SDZrr
+    283220548U,	// Int_VCVTUSI2SS64Zrm
+    811653700U,	// Int_VCVTUSI2SS64Zrr
+    283202373U,	// Int_VCVTUSI2SSZrm
+    811651909U,	// Int_VCVTUSI2SSZrr
+    609434U,	// Int_VUCOMISDZrm
+    551816346U,	// Int_VUCOMISDZrr
+    609434U,	// Int_VUCOMISDrm
+    551816346U,	// Int_VUCOMISDrr
+    614993U,	// Int_VUCOMISSZrm
+    551821905U,	// Int_VUCOMISSZrr
+    614993U,	// Int_VUCOMISSrm
+    551821905U,	// Int_VUCOMISSrr
+    446018U,	// JAE_1
+    446018U,	// JAE_2
+    446018U,	// JAE_4
+    442932U,	// JA_1
+    442932U,	// JA_2
+    442932U,	// JA_4
+    446030U,	// JBE_1
+    446030U,	// JBE_2
+    446030U,	// JBE_4
+    443141U,	// JB_1
+    443141U,	// JB_2
+    443141U,	// JB_4
+    452935U,	// JCXZ
+    452928U,	// JECXZ
+    446089U,	// JE_1
+    446089U,	// JE_2
+    446089U,	// JE_4
+    446068U,	// JGE_1
+    446068U,	// JGE_2
+    446068U,	// JGE_4
+    446182U,	// JG_1
+    446182U,	// JG_2
+    446182U,	// JG_4
+    446093U,	// JLE_1
+    446093U,	// JLE_2
+    446093U,	// JLE_4
+    446833U,	// JL_1
+    446833U,	// JL_2
+    446833U,	// JL_4
+    225350U,	// JMP16m
+    28742U,	// JMP16r
+    241687U,	// JMP32m
+    28695U,	// JMP32r
+    438317U,	// JMP64m
+    28717U,	// JMP64r
+    447700U,	// JMP_1
+    447700U,	// JMP_2
+    447700U,	// JMP_4
+    446105U,	// JNE_1
+    446105U,	// JNE_2
+    446105U,	// JNE_4
+    447636U,	// JNO_1
+    447636U,	// JNO_2
+    447636U,	// JNO_4
+    447720U,	// JNP_1
+    447720U,	// JNP_2
+    447720U,	// JNP_4
+    449706U,	// JNS_1
+    449706U,	// JNS_2
+    449706U,	// JNS_4
+    447632U,	// JO_1
+    447632U,	// JO_2
+    447632U,	// JO_4
+    447683U,	// JP_1
+    447683U,	// JP_2
+    447683U,	// JP_4
+    452941U,	// JRCXZ
+    449672U,	// JS_1
+    449672U,	// JS_2
+    449672U,	// JS_4
+    811647679U,	// KANDBrr
+    811648487U,	// KANDDrr
+    811647826U,	// KANDNBrr
+    811648728U,	// KANDNDrr
+    811653369U,	// KANDNQrr
+    811656773U,	// KANDNWrr
+    811652806U,	// KANDQrr
+    811656419U,	// KANDWrr
+    551814363U,	// KMOVBkk
+    476379U,	// KMOVBkm
+    551814363U,	// KMOVBkr
+    23102683U,	// KMOVBmk
+    551814363U,	// KMOVBrk
+    551816625U,	// KMOVDkk
+    551800241U,	// KMOVDkm
+    551816625U,	// KMOVDkr
+    12619185U,	// KMOVDmk
+    551816625U,	// KMOVDrk
+    551820134U,	// KMOVQkk
+    551836518U,	// KMOVQkm
+    551820134U,	// KMOVQkr
+    18914150U,	// KMOVQmk
+    551820134U,	// KMOVQrk
+    551823557U,	// KMOVWkk
+    420037U,	// KMOVWkm
+    551823557U,	// KMOVWkr
+    4237509U,	// KMOVWmk
+    551823557U,	// KMOVWrk
+    551814255U,	// KNOTBrr
+    551816518U,	// KNOTDrr
+    551820004U,	// KNOTQrr
+    551823452U,	// KNOTWrr
+    811647923U,	// KORBrr
+    811649832U,	// KORDrr
+    811653517U,	// KORQrr
+    551814284U,	// KORTESTBrr
+    551816547U,	// KORTESTDrr
+    551820042U,	// KORTESTQrr
+    551823481U,	// KORTESTWrr
+    811656935U,	// KORWrr
     0U,	// KSET0B
     0U,	// KSET0W
     0U,	// KSET1B
     0U,	// KSET1W
-    811650097U,	// KSHIFTLWri
-    811650174U,	// KSHIFTRWri
-    811650045U,	// KUNPCKBWrr
-    811647103U,	// KXNORBrr
-    811648049U,	// KXNORDrr
-    811649081U,	// KXNORQrr
-    811650157U,	// KXNORWrr
-    811647112U,	// KXORBrr
-    811648066U,	// KXORDrr
-    811649098U,	// KXORQrr
-    811650166U,	// KXORWrr
-    14409U,	// LAHF
-    388175U,	// LAR16rm
-    551824463U,	// LAR16rr
-    383835U,	// LAR32rm
-    551820123U,	// LAR32rr
-    385365U,	// LAR64rm
-    551821653U,	// LAR64rr
-    4238164U,	// LCMPXCHG16
-    560768U,	// LCMPXCHG16B
-    12622345U,	// LCMPXCHG32
-    18915426U,	// LCMPXCHG64
-    23105251U,	// LCMPXCHG8
-    396940U,	// LCMPXCHG8B
-    321932U,	// LDDQUrm
-    238502U,	// LDMXCSR
-    699638U,	// LDS16rm
-    695250U,	// LDS32rm
-    15559U,	// LD_F0
-    13779U,	// LD_F1
-    189419U,	// LD_F32m
-    203093U,	// LD_F64m
-    715010U,	// LD_F80m
+    811942702U,	// KSHIFTLBri
+    811943575U,	// KSHIFTLDri
+    811948208U,	// KSHIFTLQri
+    811951641U,	// KSHIFTLWri
+    811942871U,	// KSHIFTRBri
+    811944789U,	// KSHIFTRDri
+    811948499U,	// KSHIFTRQri
+    811951895U,	// KSHIFTRWri
+    811656244U,	// KUNPCKBWrr
+    811647929U,	// KXNORBrr
+    811649838U,	// KXNORDrr
+    811653523U,	// KXNORQrr
+    811656941U,	// KXNORWrr
+    811647943U,	// KXORBrr
+    811649853U,	// KXORDrr
+    811653544U,	// KXORQrr
+    811656955U,	// KXORWrr
+    13001U,	// LAHF
+    419520U,	// LAR16rm
+    551823040U,	// LAR16rr
+    414355U,	// LAR32rm
+    551817875U,	// LAR32rr
+    416117U,	// LAR64rm
+    551819637U,	// LAR64rr
+    4236680U,	// LCMPXCHG16
+    590449U,	// LCMPXCHG16B
+    12620097U,	// LCMPXCHG32
+    18913327U,	// LCMPXCHG64
+    23102195U,	// LCMPXCHG8
+    426621U,	// LCMPXCHG8B
+    320391U,	// LDDQUrm
+    236590U,	// LDMXCSR
+    731008U,	// LDS16rm
+    725770U,	// LDS32rm
+    14192U,	// LD_F0
+    12371U,	// LD_F1
+    187507U,	// LD_F32m
+    200845U,	// LD_F64m
+    746225U,	// LD_F80m
     0U,	// LD_Fp032
     0U,	// LD_Fp064
     0U,	// LD_Fp080
@@ -1226,584 +1252,593 @@ static void printInstruction(MCInst *MI,
     0U,	// LD_Fp64m
     0U,	// LD_Fp64m80
     0U,	// LD_Fp80m
-    20874U,	// LD_Frr
-    387544U,	// LEA16r
-    551803098U,	// LEA32r
-    551803098U,	// LEA64_32r
-    551837220U,	// LEA64r
-    14396U,	// LEAVE
-    14396U,	// LEAVE64
-    699651U,	// LES16rm
-    695263U,	// LES32rm
-    14291U,	// LFENCE
-    699657U,	// LFS16rm
-    695269U,	// LFS32rm
-    696781U,	// LFS64rm
-    634238U,	// LGDT16m
-    629818U,	// LGDT32m
-    631323U,	// LGDT64m
-    699663U,	// LGS16rm
-    695275U,	// LGS32rm
-    696787U,	// LGS64rm
-    634252U,	// LIDT16m
-    629832U,	// LIDT32m
-    631337U,	// LIDT64m
-    224666U,	// LLDT16m
-    28058U,	// LLDT16r
-    224830U,	// LMSW16m
-    28222U,	// LMSW16r
-    4237999U,	// LOCK_ADD16mi
-    4237999U,	// LOCK_ADD16mi8
-    4237999U,	// LOCK_ADD16mr
-    12622135U,	// LOCK_ADD32mi
-    12622135U,	// LOCK_ADD32mi8
-    12622135U,	// LOCK_ADD32mr
-    18915055U,	// LOCK_ADD64mi32
-    18915055U,	// LOCK_ADD64mi8
-    18915055U,	// LOCK_ADD64mr
-    23105217U,	// LOCK_ADD8mi
-    23105217U,	// LOCK_ADD8mr
-    4238039U,	// LOCK_AND16mi
-    4238039U,	// LOCK_AND16mi8
-    4238039U,	// LOCK_AND16mr
-    12622188U,	// LOCK_AND32mi
-    12622188U,	// LOCK_AND32mi8
-    12622188U,	// LOCK_AND32mr
-    18915148U,	// LOCK_AND64mi32
-    18915148U,	// LOCK_AND64mi8
-    18915148U,	// LOCK_AND64mr
-    23105230U,	// LOCK_AND8mi
-    23105230U,	// LOCK_AND8mr
-    223890U,	// LOCK_DEC16m
-    235803U,	// LOCK_DEC32m
-    401041U,	// LOCK_DEC64m
-    429747U,	// LOCK_DEC8m
-    223896U,	// LOCK_INC16m
-    235809U,	// LOCK_INC32m
-    401047U,	// LOCK_INC64m
-    429753U,	// LOCK_INC8m
-    4238455U,	// LOCK_OR16mi
-    4238455U,	// LOCK_OR16mi8
-    4238455U,	// LOCK_OR16mr
-    12622725U,	// LOCK_OR32mi
-    12622725U,	// LOCK_OR32mi8
-    12622725U,	// LOCK_OR32mr
-    18915694U,	// LOCK_OR64mi32
-    18915694U,	// LOCK_OR64mi8
-    18915694U,	// LOCK_OR64mr
-    23105383U,	// LOCK_OR8mi
-    23105383U,	// LOCK_OR8mr
-    14467U,	// LOCK_PREFIX
-    4237905U,	// LOCK_SUB16mi
-    4237905U,	// LOCK_SUB16mi8
-    4237905U,	// LOCK_SUB16mr
-    12622071U,	// LOCK_SUB32mi
-    12622071U,	// LOCK_SUB32mi8
-    12622071U,	// LOCK_SUB32mr
-    18914911U,	// LOCK_SUB64mi32
-    18914911U,	// LOCK_SUB64mi8
-    18914911U,	// LOCK_SUB64mr
-    23105191U,	// LOCK_SUB8mi
-    23105191U,	// LOCK_SUB8mr
-    4238460U,	// LOCK_XOR16mi
-    4238460U,	// LOCK_XOR16mi8
-    4238460U,	// LOCK_XOR16mr
-    12622730U,	// LOCK_XOR32mi
-    12622730U,	// LOCK_XOR32mi8
-    12622730U,	// LOCK_XOR32mr
-    18915709U,	// LOCK_XOR64mi32
-    18915709U,	// LOCK_XOR64mi8
-    18915709U,	// LOCK_XOR64mr
-    23105388U,	// LOCK_XOR8mi
-    23105388U,	// LOCK_XOR8mr
-    21696430U,	// LODSB
-    11230168U,	// LODSL
-    762310U,	// LODSQ
-    2878716U,	// LODSW
-    417203U,	// LOOP
-    415664U,	// LOOPE
-    415640U,	// LOOPNE
-    23645U,	// LRETIL
-    25150U,	// LRETIQ
-    28072U,	// LRETIW
-    14569U,	// LRETL
-    14779U,	// LRETQ
-    15339U,	// LRETW
-    388063U,	// LSL16rm
-    551824351U,	// LSL16rr
-    551803539U,	// LSL32rm
-    551819923U,	// LSL32rr
-    551837900U,	// LSL64rm
-    551821516U,	// LSL64rr
-    699705U,	// LSS16rm
-    695322U,	// LSS32rm
-    696834U,	// LSS64rm
-    224407U,	// LTRm
-    27799U,	// LTRr
-    3504614077U,	// LXADD16
-    3773045061U,	// LXADD32
-    4041481973U,	// LXADD64
-    14945991U,	// LXADD8
-    388546U,	// LZCNT16rm
-    551824834U,	// LZCNT16rr
-    551804019U,	// LZCNT32rm
-    551820403U,	// LZCNT32rr
-    551838296U,	// LZCNT64rm
-    551821912U,	// LZCNT64rr
-    551823764U,	// MASKMOVDQU
-    551823764U,	// MASKMOVDQU64
-    8524952U,	// MAXCPDrm
-    8443032U,	// MAXCPDrr
-    8529727U,	// MAXCPSrm
-    8447807U,	// MAXCPSrr
-    551704111U,	// MAXCSDrm
-    8443439U,	// MAXCSDrr
-    551725264U,	// MAXCSSrm
-    8448208U,	// MAXCSSrr
-    8524952U,	// MAXPDrm
-    8443032U,	// MAXPDrr
-    8529727U,	// MAXPSrm
-    8447807U,	// MAXPSrr
-    551704111U,	// MAXSDrm
-    551704111U,	// MAXSDrm_Int
-    8443439U,	// MAXSDrr
-    8443439U,	// MAXSDrr_Int
-    551725264U,	// MAXSSrm
-    551725264U,	// MAXSSrm_Int
-    8448208U,	// MAXSSrr
-    8448208U,	// MAXSSrr_Int
-    14298U,	// MFENCE
-    8524834U,	// MINCPDrm
-    8442914U,	// MINCPDrr
-    8529544U,	// MINCPSrm
-    8447624U,	// MINCPSrr
-    551704038U,	// MINCSDrm
-    8443366U,	// MINCSDrr
-    551725182U,	// MINCSSrm
-    8448126U,	// MINCSSrr
-    8524834U,	// MINPDrm
-    8442914U,	// MINPDrr
-    8529544U,	// MINPSrm
-    8447624U,	// MINPSrr
-    551704038U,	// MINSDrm
-    551704038U,	// MINSDrm_Int
-    8443366U,	// MINSDrr
-    8443366U,	// MINSDrr_Int
-    551725182U,	// MINSSrm
-    551725182U,	// MINSSrm_Int
-    8448126U,	// MINSSrr
-    8448126U,	// MINSSrr_Int
-    579661U,	// MMX_CVTPD2PIirm
-    551819341U,	// MMX_CVTPD2PIirr
-    551834252U,	// MMX_CVTPI2PDirm
-    551817868U,	// MMX_CVTPI2PDirr
-    551658728U,	// MMX_CVTPI2PSirm
-    8447208U,	// MMX_CVTPI2PSirr
-    596066U,	// MMX_CVTPS2PIirm
-    551819362U,	// MMX_CVTPS2PIirr
-    579650U,	// MMX_CVTTPD2PIirm
-    551819330U,	// MMX_CVTTPD2PIirr
-    596055U,	// MMX_CVTTPS2PIirm
-    551819351U,	// MMX_CVTTPS2PIirr
-    15144U,	// MMX_EMMS
-    551822043U,	// MMX_MASKMOVQ
-    551822043U,	// MMX_MASKMOVQ64
-    551818924U,	// MMX_MOVD64from64rr
-    551818924U,	// MMX_MOVD64grr
-    12621484U,	// MMX_MOVD64mr
-    551802540U,	// MMX_MOVD64rm
-    551818924U,	// MMX_MOVD64rr
-    551818924U,	// MMX_MOVD64to64rr
-    551820827U,	// MMX_MOVDQ2Qrr
-    551820827U,	// MMX_MOVFR642Qrr
-    18915944U,	// MMX_MOVNTQmr
-    551820986U,	// MMX_MOVQ2DQrr
-    551820986U,	// MMX_MOVQ2FR64rr
-    18916063U,	// MMX_MOVQ64mr
-    551838431U,	// MMX_MOVQ64rm
-    551822047U,	// MMX_MOVQ64rr
-    551822047U,	// MMX_MOVQ64rr_REV
-    551833484U,	// MMX_PABSBrm64
-    551817100U,	// MMX_PABSBrr64
-    551835006U,	// MMX_PABSDrm64
-    551818622U,	// MMX_PABSDrr64
-    551840948U,	// MMX_PABSWrm64
-    551824564U,	// MMX_PABSWrr64
-    551660271U,	// MMX_PACKSSDWirm
-    8448751U,	// MMX_PACKSSDWirr
-    551653481U,	// MMX_PACKSSWBirm
-    8441961U,	// MMX_PACKSSWBirr
-    551653492U,	// MMX_PACKUSWBirm
-    8441972U,	// MMX_PACKUSWBirr
-    551653056U,	// MMX_PADDBirm
-    8441536U,	// MMX_PADDBirr
-    551653673U,	// MMX_PADDDirm
-    8442153U,	// MMX_PADDDirr
-    551657198U,	// MMX_PADDQirm
-    8445678U,	// MMX_PADDQirr
-    551653286U,	// MMX_PADDSBirm
-    8441766U,	// MMX_PADDSBirr
-    551660782U,	// MMX_PADDSWirm
-    8449262U,	// MMX_PADDSWirr
-    551653335U,	// MMX_PADDUSBirm
-    8441815U,	// MMX_PADDUSBirr
-    551660895U,	// MMX_PADDUSWirm
-    8449375U,	// MMX_PADDUSWirr
-    551660214U,	// MMX_PADDWirm
-    8448694U,	// MMX_PADDWirr
-    593847160U,	// MMX_PALIGNR64irm
-    570794872U,	// MMX_PALIGNR64irr
-    551656763U,	// MMX_PANDNirm
-    8445243U,	// MMX_PANDNirr
-    551653834U,	// MMX_PANDirm
-    8442314U,	// MMX_PANDirr
-    551653102U,	// MMX_PAVGBirm
-    8441582U,	// MMX_PAVGBirr
-    551660383U,	// MMX_PAVGWirm
-    8448863U,	// MMX_PAVGWirr
-    551653195U,	// MMX_PCMPEQBirm
-    8441675U,	// MMX_PCMPEQBirr
-    551654569U,	// MMX_PCMPEQDirm
-    8443049U,	// MMX_PCMPEQDirr
-    551660614U,	// MMX_PCMPEQWirm
-    8449094U,	// MMX_PCMPEQWirr
-    551653376U,	// MMX_PCMPGTBirm
-    8441856U,	// MMX_PCMPGTBirr
-    551654984U,	// MMX_PCMPGTDirm
-    8443464U,	// MMX_PCMPGTDirr
-    551660976U,	// MMX_PCMPGTWirm
-    8449456U,	// MMX_PCMPGTWirr
-    811658404U,	// MMX_PEXTRWirri
-    551660772U,	// MMX_PHADDSWrm64
-    8449252U,	// MMX_PHADDSWrr64
-    551660205U,	// MMX_PHADDWrm64
-    8448685U,	// MMX_PHADDWrr64
-    551653664U,	// MMX_PHADDrm64
-    8442144U,	// MMX_PHADDrr64
-    551653618U,	// MMX_PHSUBDrm64
-    8442098U,	// MMX_PHSUBDrr64
-    551660753U,	// MMX_PHSUBSWrm64
-    8449233U,	// MMX_PHSUBSWrr64
-    551660111U,	// MMX_PHSUBWrm64
-    8448591U,	// MMX_PHSUBWrr64
-    595946633U,	// MMX_PINSRWirmi
-    570797193U,	// MMX_PINSRWirri
-    551660741U,	// MMX_PMADDUBSWrm64
-    8449221U,	// MMX_PMADDUBSWrr64
-    551655118U,	// MMX_PMADDWDirm
-    8443598U,	// MMX_PMADDWDirr
-    551660913U,	// MMX_PMAXSWirm
-    8449393U,	// MMX_PMAXSWirr
-    551653446U,	// MMX_PMAXUBirm
-    8441926U,	// MMX_PMAXUBirr
-    551660822U,	// MMX_PMINSWirm
-    8449302U,	// MMX_PMINSWirr
-    551653430U,	// MMX_PMINUBirm
-    8441910U,	// MMX_PMINUBirr
-    551816954U,	// MMX_PMOVMSKBrr
-    551660847U,	// MMX_PMULHRSWrm64
-    8449327U,	// MMX_PMULHRSWrr64
-    551661046U,	// MMX_PMULHUWirm
-    8449526U,	// MMX_PMULHUWirr
-    551660420U,	// MMX_PMULHWirm
-    8448900U,	// MMX_PMULHWirr
-    551660489U,	// MMX_PMULLWirm
-    8448969U,	// MMX_PMULLWirr
-    551657402U,	// MMX_PMULUDQirm
-    8445882U,	// MMX_PMULUDQirr
-    551658370U,	// MMX_PORirm
-    8446850U,	// MMX_PORirr
-    551660040U,	// MMX_PSADBWirm
-    8448520U,	// MMX_PSADBWirr
-    551653077U,	// MMX_PSHUFBrm64
-    8441557U,	// MMX_PSHUFBrr64
-    835005254U,	// MMX_PSHUFWmi
-    811658054U,	// MMX_PSHUFWri
-    551653166U,	// MMX_PSIGNBrm64
-    8441646U,	// MMX_PSIGNBrr64
-    551653841U,	// MMX_PSIGNDrm64
-    8442321U,	// MMX_PSIGNDrr64
-    551660541U,	// MMX_PSIGNWrm64
-    8449021U,	// MMX_PSIGNWrr64
-    8442264U,	// MMX_PSLLDri
-    551653784U,	// MMX_PSLLDrm
-    8442264U,	// MMX_PSLLDrr
-    8446135U,	// MMX_PSLLQri
-    551657655U,	// MMX_PSLLQrm
-    8446135U,	// MMX_PSLLQrr
-    8448961U,	// MMX_PSLLWri
-    551660481U,	// MMX_PSLLWrm
-    8448961U,	// MMX_PSLLWrr
-    8442069U,	// MMX_PSRADri
-    551653589U,	// MMX_PSRADrm
-    8442069U,	// MMX_PSRADrr
-    8448487U,	// MMX_PSRAWri
-    551660007U,	// MMX_PSRAWrm
-    8448487U,	// MMX_PSRAWrr
-    8442281U,	// MMX_PSRLDri
-    551653801U,	// MMX_PSRLDrm
-    8442281U,	// MMX_PSRLDrr
-    8446149U,	// MMX_PSRLQri
-    551657669U,	// MMX_PSRLQrm
-    8446149U,	// MMX_PSRLQrr
-    8448984U,	// MMX_PSRLWri
-    551660504U,	// MMX_PSRLWrm
-    8448984U,	// MMX_PSRLWrr
-    551653030U,	// MMX_PSUBBirm
-    8441510U,	// MMX_PSUBBirr
-    551653627U,	// MMX_PSUBDirm
-    8442107U,	// MMX_PSUBDirr
-    551657054U,	// MMX_PSUBQirm
-    8445534U,	// MMX_PSUBQirr
-    551653277U,	// MMX_PSUBSBirm
-    8441757U,	// MMX_PSUBSBirr
-    551660763U,	// MMX_PSUBSWirm
-    8449243U,	// MMX_PSUBSWirr
-    551653325U,	// MMX_PSUBUSBirm
-    8441805U,	// MMX_PSUBUSBirr
-    551660885U,	// MMX_PSUBUSWirm
-    8449365U,	// MMX_PSUBUSWirr
-    551660120U,	// MMX_PSUBWirm
-    8448600U,	// MMX_PSUBWirr
-    551660068U,	// MMX_PUNPCKHBWirm
-    8448548U,	// MMX_PUNPCKHBWirr
-    551657232U,	// MMX_PUNPCKHDQirm
-    8445712U,	// MMX_PUNPCKHDQirr
-    551655128U,	// MMX_PUNPCKHWDirm
-    8443608U,	// MMX_PUNPCKHWDirr
-    551660080U,	// MMX_PUNPCKLBWirm
-    8448560U,	// MMX_PUNPCKLBWirr
-    551657251U,	// MMX_PUNPCKLDQirm
-    8445731U,	// MMX_PUNPCKLDQirr
-    551655140U,	// MMX_PUNPCKLWDirm
-    8443620U,	// MMX_PUNPCKLWDirr
-    551658393U,	// MMX_PXORirm
-    8446873U,	// MMX_PXORirr
+    18024U,	// LD_Frr
+    762845U,	// LEA16r
+    757778U,	// LEA32r
+    757778U,	// LEA64_32r
+    759193U,	// LEA64r
+    12988U,	// LEAVE
+    12988U,	// LEAVE64
+    731021U,	// LES16rm
+    725783U,	// LES32rm
+    12883U,	// LFENCE
+    731027U,	// LFS16rm
+    725789U,	// LFS32rm
+    727571U,	// LFS64rm
+    665608U,	// LGDT16m
+    660338U,	// LGDT32m
+    662157U,	// LGDT64m
+    731033U,	// LGS16rm
+    725795U,	// LGS32rm
+    727577U,	// LGS64rm
+    665622U,	// LIDT16m
+    660352U,	// LIDT32m
+    662171U,	// LIDT64m
+    223268U,	// LLDT16m
+    26660U,	// LLDT16r
+    223446U,	// LMSW16m
+    26838U,	// LMSW16r
+    4236478U,	// LOCK_ADD16mi
+    4236478U,	// LOCK_ADD16mi8
+    4236478U,	// LOCK_ADD16mr
+    12619887U,	// LOCK_ADD32mi
+    12619887U,	// LOCK_ADD32mi8
+    12619887U,	// LOCK_ADD32mr
+    18912876U,	// LOCK_ADD64mi32
+    18912876U,	// LOCK_ADD64mi8
+    18912876U,	// LOCK_ADD64mr
+    23102130U,	// LOCK_ADD8mi
+    23102130U,	// LOCK_ADD8mr
+    4236516U,	// LOCK_AND16mi
+    4236516U,	// LOCK_AND16mi8
+    4236516U,	// LOCK_AND16mr
+    12619940U,	// LOCK_AND32mi
+    12619940U,	// LOCK_AND32mi8
+    12619940U,	// LOCK_AND32mr
+    18912967U,	// LOCK_AND64mi32
+    18912967U,	// LOCK_AND64mi8
+    18912967U,	// LOCK_AND64mr
+    23102144U,	// LOCK_AND8mi
+    23102144U,	// LOCK_AND8mr
+    222369U,	// LOCK_DEC16m
+    233555U,	// LOCK_DEC32m
+    431630U,	// LOCK_DEC64m
+    459428U,	// LOCK_DEC8m
+    222375U,	// LOCK_INC16m
+    233561U,	// LOCK_INC32m
+    431636U,	// LOCK_INC64m
+    459434U,	// LOCK_INC8m
+    4237032U,	// LOCK_OR16mi
+    4237032U,	// LOCK_OR16mi8
+    4237032U,	// LOCK_OR16mr
+    12620477U,	// LOCK_OR32mi
+    12620477U,	// LOCK_OR32mi8
+    12620477U,	// LOCK_OR32mr
+    18913678U,	// LOCK_OR64mi32
+    18913678U,	// LOCK_OR64mi8
+    18913678U,	// LOCK_OR64mr
+    23102388U,	// LOCK_OR8mi
+    23102388U,	// LOCK_OR8mr
+    13059U,	// LOCK_PREFIX
+    4236384U,	// LOCK_SUB16mi
+    4236384U,	// LOCK_SUB16mi8
+    4236384U,	// LOCK_SUB16mr
+    12619823U,	// LOCK_SUB32mi
+    12619823U,	// LOCK_SUB32mi8
+    12619823U,	// LOCK_SUB32mr
+    18912732U,	// LOCK_SUB64mi32
+    18912732U,	// LOCK_SUB64mi8
+    18912732U,	// LOCK_SUB64mr
+    23102104U,	// LOCK_SUB8mi
+    23102104U,	// LOCK_SUB8mr
+    4237052U,	// LOCK_XOR16mi
+    4237052U,	// LOCK_XOR16mi8
+    4237052U,	// LOCK_XOR16mr
+    12620482U,	// LOCK_XOR32mi
+    12620482U,	// LOCK_XOR32mi8
+    12620482U,	// LOCK_XOR32mr
+    18913705U,	// LOCK_XOR64mi32
+    18913705U,	// LOCK_XOR64mi8
+    18913705U,	// LOCK_XOR64mr
+    23102408U,	// LOCK_XOR8mi
+    23102408U,	// LOCK_XOR8mr
+    21742612U,	// LODSB
+    11277072U,	// LODSL
+    809484U,	// LODSQ
+    2926470U,	// LODSW
+    447737U,	// LOOP
+    446134U,	// LOOPE
+    446110U,	// LOOPNE
+    21397U,	// LRETIL
+    23216U,	// LRETIQ
+    26674U,	// LRETIW
+    13161U,	// LRETL
+    13404U,	// LRETQ
+    13972U,	// LRETW
+    419347U,	// LSL16rm
+    551822867U,	// LSL16rr
+    551801291U,	// LSL32rm
+    551817675U,	// LSL32rr
+    551835810U,	// LSL64rm
+    551819426U,	// LSL64rr
+    731075U,	// LSS16rm
+    725842U,	// LSS32rm
+    727646U,	// LSS64rm
+    223009U,	// LTRm
+    26401U,	// LTRr
+    3504612556U,	// LXADD16
+    3773042813U,	// LXADD32
+    4041479794U,	// LXADD64
+    14942904U,	// LXADD8
+    419916U,	// LZCNT16rm
+    551823436U,	// LZCNT16rr
+    551801771U,	// LZCNT32rm
+    551818155U,	// LZCNT32rr
+    551836364U,	// LZCNT64rm
+    551819980U,	// LZCNT64rr
+    551822223U,	// MASKMOVDQU
+    551822223U,	// MASKMOVDQU64
+    8522455U,	// MAXCPDrm
+    8440535U,	// MAXCPDrr
+    8528108U,	// MAXCPSrm
+    8446188U,	// MAXCPSrr
+    551701773U,	// MAXCSDrm
+    8441101U,	// MAXCSDrr
+    551723711U,	// MAXCSSrm
+    8446655U,	// MAXCSSrr
+    8522455U,	// MAXPDrm
+    8440535U,	// MAXPDrr
+    8528108U,	// MAXPSrm
+    8446188U,	// MAXPSrr
+    551701773U,	// MAXSDrm
+    551701773U,	// MAXSDrm_Int
+    8441101U,	// MAXSDrr
+    8441101U,	// MAXSDrr_Int
+    551723711U,	// MAXSSrm
+    551723711U,	// MAXSSrm_Int
+    8446655U,	// MAXSSrr
+    8446655U,	// MAXSSrr_Int
+    12890U,	// MFENCE
+    8522249U,	// MINCPDrm
+    8440329U,	// MINCPDrr
+    8527837U,	// MINCPSrm
+    8445917U,	// MINCPSrr
+    551701687U,	// MINCSDrm
+    8441015U,	// MINCSDrr
+    551723629U,	// MINCSSrm
+    8446573U,	// MINCSSrr
+    8522249U,	// MINPDrm
+    8440329U,	// MINPDrr
+    8527837U,	// MINPSrm
+    8445917U,	// MINPSrr
+    551701687U,	// MINSDrm
+    551701687U,	// MINSDrm_Int
+    8441015U,	// MINSDrr
+    8441015U,	// MINSDrr_Int
+    551723629U,	// MINSSrm
+    551723629U,	// MINSSrm_Int
+    8446573U,	// MINSSrr
+    8446573U,	// MINSSrr_Int
+    610131U,	// MMX_CVTPD2PIirm
+    551817043U,	// MMX_CVTPD2PIirr
+    551831481U,	// MMX_CVTPI2PDirm
+    551815097U,	// MMX_CVTPI2PDirr
+    551656835U,	// MMX_CVTPI2PSirm
+    8445315U,	// MMX_CVTPI2PSirr
+    552177512U,	// MMX_CVTPS2PIirm
+    551817064U,	// MMX_CVTPS2PIirr
+    610120U,	// MMX_CVTTPD2PIirm
+    551817032U,	// MMX_CVTTPD2PIirr
+    552177501U,	// MMX_CVTTPS2PIirm
+    551817053U,	// MMX_CVTTPS2PIirr
+    13769U,	// MMX_EMMS
+    551820131U,	// MMX_MASKMOVQ
+    551820131U,	// MMX_MASKMOVQ64
+    18910642U,	// MMX_MOVD64from64rm
+    551816626U,	// MMX_MOVD64from64rr
+    551816626U,	// MMX_MOVD64grr
+    12619186U,	// MMX_MOVD64mr
+    551800242U,	// MMX_MOVD64rm
+    551816626U,	// MMX_MOVD64rr
+    551833010U,	// MMX_MOVD64to64rm
+    551816626U,	// MMX_MOVD64to64rr
+    551818630U,	// MMX_MOVDQ2Qrr
+    551818630U,	// MMX_MOVFR642Qrr
+    18914012U,	// MMX_MOVNTQmr
+    551818807U,	// MMX_MOVQ2DQrr
+    551818807U,	// MMX_MOVQ2FR64rr
+    18914151U,	// MMX_MOVQ64mr
+    551836519U,	// MMX_MOVQ64rm
+    551820135U,	// MMX_MOVQ64rr
+    551820135U,	// MMX_MOVQ64rr_REV
+    551830514U,	// MMX_PABSBrm64
+    551814130U,	// MMX_PABSBrr64
+    551832642U,	// MMX_PABSDrm64
+    551816258U,	// MMX_PABSDrr64
+    551839550U,	// MMX_PABSWrm64
+    551823166U,	// MMX_PABSWrr64
+    551658757U,	// MMX_PACKSSDWirm
+    8447237U,	// MMX_PACKSSDWirr
+    551650537U,	// MMX_PACKSSWBirm
+    8439017U,	// MMX_PACKSSWBirr
+    551650548U,	// MMX_PACKUSWBirm
+    8439028U,	// MMX_PACKUSWBirr
+    551649969U,	// MMX_PADDBirm
+    8438449U,	// MMX_PADDBirr
+    551650784U,	// MMX_PADDDirm
+    8439264U,	// MMX_PADDDirr
+    551655019U,	// MMX_PADDQirm
+    8443499U,	// MMX_PADDQirr
+    551650316U,	// MMX_PADDSBirm
+    8438796U,	// MMX_PADDSBirr
+    551659384U,	// MMX_PADDSWirm
+    8447864U,	// MMX_PADDSWirr
+    551650365U,	// MMX_PADDUSBirm
+    8438845U,	// MMX_PADDUSBirr
+    551659497U,	// MMX_PADDUSWirm
+    8447977U,	// MMX_PADDUSWirr
+    551658693U,	// MMX_PADDWirm
+    8447173U,	// MMX_PADDWirr
+    866507776U,	// MMX_PALIGNR64irm
+    570825728U,	// MMX_PALIGNR64irr
+    551654515U,	// MMX_PANDNirm
+    8442995U,	// MMX_PANDNirr
+    551651026U,	// MMX_PANDirm
+    8439506U,	// MMX_PANDirr
+    551650046U,	// MMX_PAVGBirm
+    8438526U,	// MMX_PAVGBirr
+    551658899U,	// MMX_PAVGWirm
+    8447379U,	// MMX_PAVGWirr
+    551650170U,	// MMX_PCMPEQBirm
+    8438650U,	// MMX_PCMPEQBirr
+    551652072U,	// MMX_PCMPEQDirm
+    8440552U,	// MMX_PCMPEQDirr
+    551659161U,	// MMX_PCMPEQWirm
+    8447641U,	// MMX_PCMPEQWirr
+    551650406U,	// MMX_PCMPGTBirm
+    8438886U,	// MMX_PCMPGTBirr
+    551652659U,	// MMX_PCMPGTDirm
+    8441139U,	// MMX_PCMPGTDirr
+    551659578U,	// MMX_PCMPGTWirm
+    8448058U,	// MMX_PCMPGTWirr
+    811951918U,	// MMX_PEXTRWirri
+    551659374U,	// MMX_PHADDSWrm64
+    8447854U,	// MMX_PHADDSWrr64
+    551658684U,	// MMX_PHADDWrm64
+    8447164U,	// MMX_PHADDWrr64
+    551650775U,	// MMX_PHADDrm64
+    8439255U,	// MMX_PHADDrr64
+    551650729U,	// MMX_PHSUBDrm64
+    8439209U,	// MMX_PHSUBDrr64
+    551659355U,	// MMX_PHSUBSWrm64
+    8447835U,	// MMX_PHSUBSWrr64
+    551658590U,	// MMX_PHSUBWrm64
+    8447070U,	// MMX_PHSUBWrr64
+    600172297U,	// MMX_PINSRWirmi
+    570828553U,	// MMX_PINSRWirri
+    551659343U,	// MMX_PMADDUBSWrm64
+    8447823U,	// MMX_PMADDUBSWrr64
+    551652820U,	// MMX_PMADDWDirm
+    8441300U,	// MMX_PMADDWDirr
+    551659515U,	// MMX_PMAXSWirm
+    8447995U,	// MMX_PMAXSWirr
+    551650489U,	// MMX_PMAXUBirm
+    8438969U,	// MMX_PMAXUBirr
+    551659424U,	// MMX_PMINSWirm
+    8447904U,	// MMX_PMINSWirr
+    551650464U,	// MMX_PMINUBirm
+    8438944U,	// MMX_PMINUBirr
+    551813898U,	// MMX_PMOVMSKBrr
+    551659449U,	// MMX_PMULHRSWrm64
+    8447929U,	// MMX_PMULHRSWrr64
+    551659652U,	// MMX_PMULHUWirm
+    8448132U,	// MMX_PMULHUWirr
+    551658936U,	// MMX_PMULHWirm
+    8447416U,	// MMX_PMULHWirr
+    551659005U,	// MMX_PMULLWirm
+    8447485U,	// MMX_PMULLWirr
+    551655312U,	// MMX_PMULUDQirm
+    8443792U,	// MMX_PMULUDQirr
+    551656458U,	// MMX_PORirm
+    8444938U,	// MMX_PORirr
+    551658509U,	// MMX_PSADBWirm
+    8446989U,	// MMX_PSADBWirr
+    551650021U,	// MMX_PSHUFBrm64
+    8438501U,	// MMX_PSHUFBrr64
+    835003770U,	// MMX_PSHUFWmi
+    811951482U,	// MMX_PSHUFWri
+    551650139U,	// MMX_PSIGNBrm64
+    8438619U,	// MMX_PSIGNBrr64
+    551651059U,	// MMX_PSIGNDrm64
+    8439539U,	// MMX_PSIGNDrr64
+    551659086U,	// MMX_PSIGNWrm64
+    8447566U,	// MMX_PSIGNWrr64
+    8734326U,	// MMX_PSLLDri
+    551650934U,	// MMX_PSLLDrm
+    8439414U,	// MMX_PSLLDrr
+    8738948U,	// MMX_PSLLQri
+    551655556U,	// MMX_PSLLQrm
+    8444036U,	// MMX_PSLLQrr
+    8742389U,	// MMX_PSLLWri
+    551658997U,	// MMX_PSLLWrm
+    8447477U,	// MMX_PSLLWrr
+    8734092U,	// MMX_PSRADri
+    551650700U,	// MMX_PSRADrm
+    8439180U,	// MMX_PSRADrr
+    8741868U,	// MMX_PSRAWri
+    551658476U,	// MMX_PSRAWrm
+    8446956U,	// MMX_PSRAWrr
+    8734343U,	// MMX_PSRLDri
+    551650951U,	// MMX_PSRLDrm
+    8439431U,	// MMX_PSRLDrr
+    8738971U,	// MMX_PSRLQri
+    551655579U,	// MMX_PSRLQrm
+    8444059U,	// MMX_PSRLQrr
+    8742412U,	// MMX_PSRLWri
+    551659020U,	// MMX_PSRLWrm
+    8447500U,	// MMX_PSRLWrr
+    551649943U,	// MMX_PSUBBirm
+    8438423U,	// MMX_PSUBBirr
+    551650738U,	// MMX_PSUBDirm
+    8439218U,	// MMX_PSUBDirr
+    551654875U,	// MMX_PSUBQirm
+    8443355U,	// MMX_PSUBQirr
+    551650307U,	// MMX_PSUBSBirm
+    8438787U,	// MMX_PSUBSBirr
+    551659365U,	// MMX_PSUBSWirm
+    8447845U,	// MMX_PSUBSWirr
+    551650355U,	// MMX_PSUBUSBirm
+    8438835U,	// MMX_PSUBUSBirr
+    551659487U,	// MMX_PSUBUSWirm
+    8447967U,	// MMX_PSUBUSWirr
+    551658599U,	// MMX_PSUBWirm
+    8447079U,	// MMX_PSUBWirr
+    551658537U,	// MMX_PUNPCKHBWirm
+    8447017U,	// MMX_PUNPCKHBWirr
+    551655053U,	// MMX_PUNPCKHDQirm
+    8443533U,	// MMX_PUNPCKHDQirr
+    551652830U,	// MMX_PUNPCKHWDirm
+    8441310U,	// MMX_PUNPCKHWDirr
+    551658559U,	// MMX_PUNPCKLBWirm
+    8447039U,	// MMX_PUNPCKLBWirr
+    551655072U,	// MMX_PUNPCKLDQirm
+    8443552U,	// MMX_PUNPCKLDQirr
+    551652842U,	// MMX_PUNPCKLWDirm
+    8441322U,	// MMX_PUNPCKLWDirr
+    551656481U,	// MMX_PXORirm
+    8444961U,	// MMX_PXORirr
     0U,	// MONITOR
-    14827U,	// MONITORrrr
-    14597U,	// MONTMUL
+    13452U,	// MONITORrrr
+    13189U,	// MONTMUL
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
-    799342U,	// MOV16ao16
-    799342U,	// MOV16ao16_16
-    4238894U,	// MOV16mi
-    4238894U,	// MOV16mr
-    4238894U,	// MOV16ms
-    2895406U,	// MOV16o16a
-    2895406U,	// MOV16o16a_16
-    551824942U,	// MOV16ri
-    551824942U,	// MOV16ri_alt
-    388654U,	// MOV16rm
-    551824942U,	// MOV16rr
-    551824942U,	// MOV16rr_REV
-    551824942U,	// MOV16rs
-    388654U,	// MOV16sm
-    551824942U,	// MOV16sr
-    815777U,	// MOV32ao32
-    815777U,	// MOV32ao32_16
-    551820474U,	// MOV32cr
-    551820474U,	// MOV32dr
-    12623034U,	// MOV32mi
-    12623034U,	// MOV32mr
-    4234426U,	// MOV32ms
-    11295930U,	// MOV32o32a
-    11295930U,	// MOV32o32a_16
+    2943174U,	// MOV16ao16
+    2943174U,	// MOV16ao32
+    2942789U,	// MOV16ao64
+    4237510U,	// MOV16mi
+    4237510U,	// MOV16mr
+    4237510U,	// MOV16ms
+    847110U,	// MOV16o16a
+    847110U,	// MOV16o32a
+    847073U,	// MOV16o64a
+    551823558U,	// MOV16ri
+    551823558U,	// MOV16ri_alt
+    420038U,	// MOV16rm
+    551823558U,	// MOV16rr
+    551823558U,	// MOV16rr_REV
+    551823558U,	// MOV16rs
+    420038U,	// MOV16sm
+    551823558U,	// MOV16sr
+    11342834U,	// MOV32ao16
+    11342834U,	// MOV32ao32
+    11342593U,	// MOV32ao64
+    551818226U,	// MOV32cr
+    551818226U,	// MOV32dr
+    12620786U,	// MOV32mi
+    12620786U,	// MOV32mr
+    4232178U,	// MOV32ms
+    863545U,	// MOV32o16a
+    863545U,	// MOV32o32a
+    863505U,	// MOV32o64a
     0U,	// MOV32r0
-    551820474U,	// MOV32rc
-    551820474U,	// MOV32rd
-    551820474U,	// MOV32ri
+    551818226U,	// MOV32rc
+    551818226U,	// MOV32rd
+    551818226U,	// MOV32ri
     0U,	// MOV32ri64
-    551820474U,	// MOV32ri_alt
-    551804090U,	// MOV32rm
-    551820474U,	// MOV32rr
-    551820474U,	// MOV32rr_REV
-    551820474U,	// MOV32rs
-    384186U,	// MOV32sm
-    551820474U,	// MOV32sr
-    799305U,	// MOV64ao16
-    815737U,	// MOV64ao32
-    832173U,	// MOV64ao64
-    847985U,	// MOV64ao8
-    551822047U,	// MOV64cr
-    551822047U,	// MOV64dr
-    18916063U,	// MOV64mi32
-    18916063U,	// MOV64mr
-    4235999U,	// MOV64ms
-    2895035U,	// MOV64o16a
-    11295689U,	// MOV64o32a
-    17605053U,	// MOV64o64a
-    21811091U,	// MOV64o8a
-    551822047U,	// MOV64rc
-    551822047U,	// MOV64rd
-    551821757U,	// MOV64ri
-    551822047U,	// MOV64ri32
-    551838431U,	// MOV64rm
-    551822047U,	// MOV64rr
-    551822047U,	// MOV64rr_REV
-    551822047U,	// MOV64rs
-    385759U,	// MOV64sm
-    551822047U,	// MOV64sr
-    551818924U,	// MOV64toPQIrr
-    551838431U,	// MOV64toSDrm
-    551818924U,	// MOV64toSDrr
-    848022U,	// MOV8ao8
-    848022U,	// MOV8ao8_16
-    23105634U,	// MOV8mi
-    23105634U,	// MOV8mr
-    291541090U,	// MOV8mr_NOREX
-    21811298U,	// MOV8o8a
-    21811298U,	// MOV8o8a_16
-    551817314U,	// MOV8ri
-    551817314U,	// MOV8ri_alt
-    446562U,	// MOV8rm
-    61263970U,	// MOV8rm_NOREX
-    551817314U,	// MOV8rr
-    551817314U,	// MOV8rr_NOREX
-    551817314U,	// MOV8rr_REV
-    62952207U,	// MOVAPDmr
-    578319U,	// MOVAPDrm
-    551817999U,	// MOVAPDrr
-    551817999U,	// MOVAPDrr_REV
-    62956896U,	// MOVAPSmr
-    583008U,	// MOVAPSrm
-    551822688U,	// MOVAPSrr
-    551822688U,	// MOVAPSrr_REV
-    4238094U,	// MOVBE16mr
-    387854U,	// MOVBE16rm
-    12622236U,	// MOVBE32mr
-    551803292U,	// MOVBE32rm
-    18915299U,	// MOVBE64mr
-    551837667U,	// MOVBE64rm
-    597469U,	// MOVDDUPrm
-    551820765U,	// MOVDDUPrr
-    551802540U,	// MOVDI2PDIrm
-    551818924U,	// MOVDI2PDIrr
-    551802540U,	// MOVDI2SSrm
-    551818924U,	// MOVDI2SSrr
-    65048157U,	// MOVDQAmr
-    314973U,	// MOVDQArm
-    551816797U,	// MOVDQArr
-    551816797U,	// MOVDQArr_REV
-    65055128U,	// MOVDQUmr
-    321944U,	// MOVDQUrm
-    551823768U,	// MOVDQUrr
-    551823768U,	// MOVDQUrr_REV
-    8447540U,	// MOVHLPSrr
-    67146701U,	// MOVHPDmr
-    551703501U,	// MOVHPDrm
-    67151392U,	// MOVHPSmr
-    551708192U,	// MOVHPSrm
-    8447510U,	// MOVLHPSrr
-    67146751U,	// MOVLPDmr
-    551703551U,	// MOVLPDrm
-    67151452U,	// MOVLPSmr
-    551708252U,	// MOVLPSrm
-    551818198U,	// MOVMSKPDrr
-    551822889U,	// MOVMSKPSrr
-    314962U,	// MOVNTDQArm
-    62955429U,	// MOVNTDQmr
-    18915465U,	// MOVNTI_64mr
-    12622384U,	// MOVNTImr
-    62952532U,	// MOVNTPDmr
-    62957262U,	// MOVNTPSmr
-    67147261U,	// MOVNTSD
-    69249173U,	// MOVNTSS
+    551818226U,	// MOV32ri_alt
+    551801842U,	// MOV32rm
+    551818226U,	// MOV32rr
+    551818226U,	// MOV32rr_REV
+    551818226U,	// MOV32rs
+    414706U,	// MOV32sm
+    551818226U,	// MOV32sr
+    17652583U,	// MOV64ao32
+    17652227U,	// MOV64ao64
+    551820135U,	// MOV64cr
+    551820135U,	// MOV64dr
+    18914151U,	// MOV64mi32
+    18914151U,	// MOV64mr
+    4234087U,	// MOV64ms
+    879969U,	// MOV64o32a
+    879941U,	// MOV64o64a
+    551820135U,	// MOV64rc
+    551820135U,	// MOV64rd
+    551819779U,	// MOV64ri
+    551820135U,	// MOV64ri32
+    551836519U,	// MOV64rm
+    551820135U,	// MOV64rr
+    551820135U,	// MOV64rr_REV
+    551820135U,	// MOV64rs
+    416615U,	// MOV64sm
+    551820135U,	// MOV64sr
+    551833010U,	// MOV64toPQIrm
+    551816626U,	// MOV64toPQIrr
+    551836519U,	// MOV64toSDrm
+    551816626U,	// MOV64toSDrr
+    21857493U,	// MOV8ao16
+    21857493U,	// MOV8ao32
+    21857273U,	// MOV8ao64
+    23102677U,	// MOV8mi
+    23102677U,	// MOV8mr
+    23102677U,	// MOV8mr_NOREX
+    895790U,	// MOV8o16a
+    895790U,	// MOV8o32a
+    895753U,	// MOV8o64a
+    551814357U,	// MOV8ri
+    551814357U,	// MOV8ri_alt
+    476373U,	// MOV8rm
+    476373U,	// MOV8rm_NOREX
+    551814357U,	// MOV8rr
+    551814357U,	// MOV8rr_NOREX
+    551814357U,	// MOV8rr_REV
+    65046664U,	// MOVAPDmr
+    608392U,	// MOVAPDrm
+    551815304U,	// MOVAPDrr
+    551815304U,	// MOVAPDrr_REV
+    65052231U,	// MOVAPSmr
+    613959U,	// MOVAPSrm
+    551820871U,	// MOVAPSrr
+    551820871U,	// MOVAPSrr_REV
+    4236610U,	// MOVBE16mr
+    419138U,	// MOVBE16rm
+    12619988U,	// MOVBE32mr
+    551801044U,	// MOVBE32rm
+    18913209U,	// MOVBE64mr
+    551835577U,	// MOVBE64rm
+    552178979U,	// MOVDDUPrm
+    551818531U,	// MOVDDUPrr
+    551800242U,	// MOVDI2PDIrm
+    551816626U,	// MOVDI2PDIrr
+    551800242U,	// MOVDI2SSrm
+    551816626U,	// MOVDI2SSrr
+    67142212U,	// MOVDQAmr
+    311876U,	// MOVDQArm
+    551813700U,	// MOVDQArr
+    551813700U,	// MOVDQArr_REV
+    67150739U,	// MOVDQUmr
+    320403U,	// MOVDQUrm
+    551822227U,	// MOVDQUrr
+    551822227U,	// MOVDQUrr_REV
+    8445822U,	// MOVHLPSrr
+    69241257U,	// MOVHPDmr
+    551700905U,	// MOVHPDrm
+    69246826U,	// MOVHPSmr
+    551706474U,	// MOVHPSrm
+    8445792U,	// MOVLHPSrr
+    69241307U,	// MOVLPDmr
+    551700955U,	// MOVLPDrm
+    69246886U,	// MOVLPSmr
+    551706534U,	// MOVLPSrm
+    551815602U,	// MOVMSKPDrr
+    551821171U,	// MOVMSKPSrr
+    311865U,	// MOVNTDQArm
+    65050441U,	// MOVNTDQmr
+    18913366U,	// MOVNTI_64mr
+    12620136U,	// MOVNTImr
+    65047187U,	// MOVNTPDmr
+    65052795U,	// MOVNTPSmr
+    69242075U,	// MOVNTSD
+    71344772U,	// MOVNTSS
     0U,	// MOVPC32r
-    12621484U,	// MOVPDI2DImr
-    551818924U,	// MOVPDI2DIrr
-    18916063U,	// MOVPQI2QImr
-    551822047U,	// MOVPQI2QIrr
-    551818924U,	// MOVPQIto64rr
-    551838431U,	// MOVQI2PQIrm
-    856041U,	// MOVSB
-    67147302U,	// MOVSDmr
-    595494U,	// MOVSDrm
-    8443430U,	// MOVSDrr
-    8443430U,	// MOVSDrr_REV
-    18916063U,	// MOVSDto64mr
-    551818924U,	// MOVSDto64rr
-    581095U,	// MOVSHDUPrm
-    551820775U,	// MOVSHDUPrr
-    875566U,	// MOVSL
-    581106U,	// MOVSLDUPrm
-    551820786U,	// MOVSLDUPrr
-    893455U,	// MOVSQ
-    12621484U,	// MOVSS2DImr
-    551818924U,	// MOVSS2DIrr
-    69249224U,	// MOVSSmr
-    616648U,	// MOVSSrm
-    8448200U,	// MOVSSrr
-    8448200U,	// MOVSSrr_REV
-    912745U,	// MOVSW
-    453179U,	// MOVSX16rm8
-    551823931U,	// MOVSX16rr8
-    384199U,	// MOVSX32rm16
-    448750U,	// MOVSX32rm8
-    551820487U,	// MOVSX32rr16
-    551819502U,	// MOVSX32rr8
-    551821522U,	// MOVSX64_NOREXrr32
-    385789U,	// MOVSX64rm16
-    551805138U,	// MOVSX64rm32
-    450122U,	// MOVSX64rm8
-    551822077U,	// MOVSX64rr16
-    551821522U,	// MOVSX64rr32
-    551820874U,	// MOVSX64rr8
-    62952560U,	// MOVUPDmr
-    578672U,	// MOVUPDrm
-    551818352U,	// MOVUPDrr
-    551818352U,	// MOVUPDrr_REV
-    62957335U,	// MOVUPSmr
-    583447U,	// MOVUPSrm
-    551823127U,	// MOVUPSrr
-    551823127U,	// MOVUPSrr_REV
-    320223U,	// MOVZPQILo2PQIrm
-    551822047U,	// MOVZPQILo2PQIrr
-    551838431U,	// MOVZQI2PQIrm
-    551818924U,	// MOVZQI2PQIrr
-    453245U,	// MOVZX16rm8
-    551823997U,	// MOVZX16rr8
-    448781U,	// MOVZX32_NOREXrm8
-    551819533U,	// MOVZX32_NOREXrr8
-    384207U,	// MOVZX32rm16
-    448781U,	// MOVZX32rm8
-    551820495U,	// MOVZX32rr16
-    551819533U,	// MOVZX32rr8
-    385830U,	// MOVZX64rm16_Q
-    450179U,	// MOVZX64rm8_Q
-    551822118U,	// MOVZX64rr16_Q
-    551820931U,	// MOVZX64rr8_Q
-    608528903U,	// MPSADBWrmi
-    570796551U,	// MPSADBWrri
-    224230U,	// MUL16m
-    27622U,	// MUL16r
-    236186U,	// MUL32m
-    23194U,	// MUL32r
-    401627U,	// MUL64m
-    24795U,	// MUL64r
-    429855U,	// MUL8m
-    20255U,	// MUL8r
-    8524791U,	// MULPDrm
-    8442871U,	// MULPDrr
-    8529492U,	// MULPSrm
-    8447572U,	// MULPSrr
-    551704029U,	// MULSDrm
-    551704029U,	// MULSDrm_Int
-    8443357U,	// MULSDrr
-    8443357U,	// MULSDrr_Int
-    551725174U,	// MULSSrm
-    551725174U,	// MULSSrm_Int
-    8448118U,	// MULSSrr
-    8448118U,	// MULSSrr_Int
-    283204837U,	// MULX32rm
-    811654373U,	// MULX32rr
-    283222844U,	// MULX64rm
-    811655996U,	// MULX64rr
-    189436U,	// MUL_F32m
-    203417U,	// MUL_F64m
-    222211U,	// MUL_FI16m
-    236192U,	// MUL_FI32m
-    23943U,	// MUL_FPrST0
-    23717U,	// MUL_FST0r
+    12619186U,	// MOVPDI2DImr
+    551816626U,	// MOVPDI2DIrr
+    18914151U,	// MOVPQI2QImr
+    551820135U,	// MOVPQI2QIrr
+    18910642U,	// MOVPQIto64rm
+    551816626U,	// MOVPQIto64rr
+    551836519U,	// MOVQI2PQIrm
+    902223U,	// MOVSB
+    69242116U,	// MOVSDmr
+    552176900U,	// MOVSDrm
+    8441092U,	// MOVSDrr
+    8441092U,	// MOVSDrr_REV
+    18914151U,	// MOVSDto64mr
+    551816626U,	// MOVSDto64rr
+    611629U,	// MOVSHDUPrm
+    551818541U,	// MOVSHDUPrr
+    922470U,	// MOVSL
+    611640U,	// MOVSLDUPrm
+    551818552U,	// MOVSLDUPrr
+    940651U,	// MOVSQ
+    12619186U,	// MOVSS2DImr
+    551816626U,	// MOVSS2DIrr
+    71344823U,	// MOVSSmr
+    552198839U,	// MOVSSrm
+    8446647U,	// MOVSSrr
+    8446647U,	// MOVSSrr_REV
+    960499U,	// MOVSW
+    484426U,	// MOVSX16rm8
+    551822410U,	// MOVSX16rr8
+    479270U,	// MOVSX32_NOREXrm8
+    551817254U,	// MOVSX32_NOREXrr8
+    414719U,	// MOVSX32rm16
+    479270U,	// MOVSX32rm8
+    551818239U,	// MOVSX32rr16
+    551817254U,	// MOVSX32rr8
+    551819432U,	// MOVSX64_NOREXrr32
+    416645U,	// MOVSX64rm16
+    551803048U,	// MOVSX64rm32
+    551803048U,	// MOVSX64rm32_alt
+    480711U,	// MOVSX64rm8
+    551820165U,	// MOVSX64rr16
+    551819432U,	// MOVSX64rr32
+    551818695U,	// MOVSX64rr8
+    65047215U,	// MOVUPDmr
+    608943U,	// MOVUPDrm
+    551815855U,	// MOVUPDrr
+    551815855U,	// MOVUPDrr_REV
+    65052868U,	// MOVUPSmr
+    614596U,	// MOVUPSrm
+    551821508U,	// MOVUPSrr
+    551821508U,	// MOVUPSrr_REV
+    318311U,	// MOVZPQILo2PQIrm
+    551820135U,	// MOVZPQILo2PQIrr
+    551836519U,	// MOVZQI2PQIrm
+    551816626U,	// MOVZQI2PQIrr
+    484492U,	// MOVZX16rm8
+    551822476U,	// MOVZX16rr8
+    479301U,	// MOVZX32_NOREXrm8
+    551817285U,	// MOVZX32_NOREXrr8
+    414727U,	// MOVZX32rm16
+    479301U,	// MOVZX32rm8
+    551818247U,	// MOVZX32rr16
+    551817285U,	// MOVZX32rr8
+    416686U,	// MOVZX64rm16_Q
+    480768U,	// MOVZX64rm8_Q
+    551820206U,	// MOVZX64rr16_Q
+    551818752U,	// MOVZX64rr8_Q
+    610657292U,	// MPSADBWrmi
+    570827788U,	// MPSADBWrri
+    222756U,	// MUL16m
+    26148U,	// MUL16r
+    233938U,	// MUL32m
+    20946U,	// MUL32r
+    432315U,	// MUL64m
+    22715U,	// MUL64r
+    459577U,	// MUL8m
+    17209U,	// MUL8r
+    8522195U,	// MULPDrm
+    8440275U,	// MULPDrr
+    8527774U,	// MULPSrm
+    8445854U,	// MULPSrr
+    551701678U,	// MULSDrm
+    551701678U,	// MULSDrm_Int
+    8441006U,	// MULSDrr
+    8441006U,	// MULSDrr_Int
+    551723621U,	// MULSSrm
+    551723621U,	// MULSSrm_Int
+    8446565U,	// MULSSrr
+    8446565U,	// MULSSrr_Int
+    283202589U,	// MULX32rm
+    811652125U,	// MULX32rr
+    283220932U,	// MULX64rm
+    811654084U,	// MULX64rr
+    187532U,	// MUL_F32m
+    201169U,	// MUL_F64m
+    220307U,	// MUL_FI16m
+    233944U,	// MUL_FI32m
+    21703U,	// MUL_FPrST0
+    21469U,	// MUL_FST0r
     0U,	// MUL_Fp32
     0U,	// MUL_Fp32m
     0U,	// MUL_Fp64
@@ -1818,960 +1853,988 @@ static void printInstruction(MCInst *MI,
     0U,	// MUL_FpI32m32
     0U,	// MUL_FpI32m64
     0U,	// MUL_FpI32m80
-    28393U,	// MUL_FrST0
-    15220U,	// MWAITrr
-    224078U,	// NEG16m
-    27470U,	// NEG16r
-    236035U,	// NEG32m
-    23043U,	// NEG32r
-    401500U,	// NEG64m
-    24668U,	// NEG64r
-    429789U,	// NEG8m
-    20189U,	// NEG8r
-    14705U,	// NOOP
-    224305U,	// NOOP18_16m4
-    224305U,	// NOOP18_16m5
-    224305U,	// NOOP18_16m6
-    224305U,	// NOOP18_16m7
-    27697U,	// NOOP18_16r4
-    27697U,	// NOOP18_16r5
-    27697U,	// NOOP18_16r6
-    27697U,	// NOOP18_16r7
-    236306U,	// NOOP18_m4
-    236306U,	// NOOP18_m5
-    236306U,	// NOOP18_m6
-    236306U,	// NOOP18_m7
-    23314U,	// NOOP18_r4
-    23314U,	// NOOP18_r5
-    23314U,	// NOOP18_r6
-    23314U,	// NOOP18_r7
-    283139502U,	// NOOP19rr
-    236306U,	// NOOPL
-    236306U,	// NOOPL_19
-    236306U,	// NOOPL_1a
-    236306U,	// NOOPL_1b
-    236306U,	// NOOPL_1c
-    236306U,	// NOOPL_1d
-    236306U,	// NOOPL_1e
-    224305U,	// NOOPW
-    224305U,	// NOOPW_19
-    224305U,	// NOOPW_1a
-    224305U,	// NOOPW_1b
-    224305U,	// NOOPW_1c
-    224305U,	// NOOPW_1d
-    224305U,	// NOOPW_1e
-    224722U,	// NOT16m
-    28114U,	// NOT16r
-    236675U,	// NOT32m
-    23683U,	// NOT32r
-    402032U,	// NOT64m
-    25200U,	// NOT64r
-    430089U,	// NOT8m
-    20489U,	// NOT8r
-    2124919U,	// OR16i16
-    4238455U,	// OR16mi
-    4238455U,	// OR16mi8
-    4238455U,	// OR16mr
-    6351991U,	// OR16ri
-    6351991U,	// OR16ri8
-    6368375U,	// OR16rm
-    6351991U,	// OR16rr
-    8449143U,	// OR16rr_REV
-    10509189U,	// OR32i32
-    12622725U,	// OR32mi
-    12622725U,	// OR32mi8
-    12622725U,	// OR32mr
-    12622725U,	// OR32mrLocked
-    6347653U,	// OR32ri
-    6347653U,	// OR32ri8
-    283204485U,	// OR32rm
-    6347653U,	// OR32rr
-    8444805U,	// OR32rr_REV
-    16802158U,	// OR64i32
-    18915694U,	// OR64mi32
-    18915694U,	// OR64mi8
-    18915694U,	// OR64mr
-    6349166U,	// OR64ri32
-    6349166U,	// OR64ri8
-    283222382U,	// OR64rm
-    6349166U,	// OR64rr
-    8446318U,	// OR64rr_REV
-    20991847U,	// OR8i8
-    23105383U,	// OR8mi
-    23105383U,	// OR8mr
-    6344551U,	// OR8ri
-    6344551U,	// OR8ri8
-    118631U,	// OR8rm
-    6344551U,	// OR8rr
-    8441703U,	// OR8rr_REV
-    8524869U,	// ORPDrm
-    8442949U,	// ORPDrr
-    8529587U,	// ORPSrm
-    8447667U,	// ORPSrr
-    29283U,	// OUT16ir
-    15523U,	// OUT16rr
-    29333U,	// OUT32ir
-    15537U,	// OUT32rr
-    28811U,	// OUT8ir
-    15509U,	// OUT8rr
-    74125253U,	// OUTSB
-    74144806U,	// OUTSL
-    74181965U,	// OUTSW
-    315276U,	// PABSBrm128
-    551817100U,	// PABSBrr128
-    316798U,	// PABSDrm128
-    551818622U,	// PABSDrr128
-    322740U,	// PABSWrm128
-    551824564U,	// PABSWrr128
-    8694511U,	// PACKSSDWrm
-    8448751U,	// PACKSSDWrr
-    8687721U,	// PACKSSWBrm
-    8441961U,	// PACKSSWBrr
-    8694522U,	// PACKUSDWrm
-    8448762U,	// PACKUSDWrr
-    8687732U,	// PACKUSWBrm
-    8441972U,	// PACKUSWBrr
-    8687296U,	// PADDBrm
-    8441536U,	// PADDBrr
-    8687913U,	// PADDDrm
-    8442153U,	// PADDDrr
-    8691438U,	// PADDQrm
-    8445678U,	// PADDQrr
-    8687526U,	// PADDSBrm
-    8441766U,	// PADDSBrr
-    8695022U,	// PADDSWrm
-    8449262U,	// PADDSWrr
-    8687575U,	// PADDUSBrm
-    8441815U,	// PADDUSBrr
-    8695135U,	// PADDUSWrm
-    8449375U,	// PADDUSWrr
-    8694454U,	// PADDWrm
-    8448694U,	// PADDWrr
-    608527224U,	// PALIGNR128rm
-    570794872U,	// PALIGNR128rr
-    8691003U,	// PANDNrm
-    8445243U,	// PANDNrr
-    8688074U,	// PANDrm
-    8442314U,	// PANDrr
-    14359U,	// PAUSE
-    8687342U,	// PAVGBrm
-    8441582U,	// PAVGBrr
-    551653344U,	// PAVGUSBrm
-    8441824U,	// PAVGUSBrr
-    8694623U,	// PAVGWrm
-    8448863U,	// PAVGWrr
-    8687695U,	// PBLENDVBrm0
-    8441935U,	// PBLENDVBrr0
-    608529118U,	// PBLENDWrmi
-    570796766U,	// PBLENDWrri
-    608526189U,	// PCLMULQDQrm
-    570793837U,	// PCLMULQDQrr
-    8687435U,	// PCMPEQBrm
-    8441675U,	// PCMPEQBrr
-    8688809U,	// PCMPEQDrm
-    8443049U,	// PCMPEQDrr
-    8692032U,	// PCMPEQQrm
-    8446272U,	// PCMPEQQrr
-    8694854U,	// PCMPEQWrm
-    8449094U,	// PCMPEQWrr
+    27009U,	// MUL_FrST0
+    13845U,	// MWAITrr
+    222594U,	// NEG16m
+    25986U,	// NEG16r
+    233787U,	// NEG32m
+    20795U,	// NEG32r
+    432169U,	// NEG64m
+    22569U,	// NEG64r
+    459501U,	// NEG8m
+    17133U,	// NEG8r
+    13311U,	// NOOP
+    222852U,	// NOOP18_16m4
+    222852U,	// NOOP18_16m5
+    222852U,	// NOOP18_16m6
+    222852U,	// NOOP18_16m7
+    26244U,	// NOOP18_16r4
+    26244U,	// NOOP18_16r5
+    26244U,	// NOOP18_16r6
+    26244U,	// NOOP18_16r7
+    234058U,	// NOOP18_m4
+    234058U,	// NOOP18_m5
+    234058U,	// NOOP18_m6
+    234058U,	// NOOP18_m7
+    21066U,	// NOOP18_r4
+    21066U,	// NOOP18_r5
+    21066U,	// NOOP18_r6
+    21066U,	// NOOP18_r7
+    283137268U,	// NOOP19rr
+    234058U,	// NOOPL
+    234058U,	// NOOPL_19
+    234058U,	// NOOPL_1a
+    234058U,	// NOOPL_1b
+    234058U,	// NOOPL_1c
+    234058U,	// NOOPL_1d
+    234058U,	// NOOPL_1e
+    222852U,	// NOOPW
+    222852U,	// NOOPW_19
+    222852U,	// NOOPW_1a
+    222852U,	// NOOPW_1b
+    222852U,	// NOOPW_1c
+    222852U,	// NOOPW_1d
+    222852U,	// NOOPW_1e
+    223325U,	// NOT16m
+    26717U,	// NOT16r
+    234427U,	// NOT32m
+    21435U,	// NOT32r
+    432869U,	// NOT64m
+    23269U,	// NOT64r
+    459888U,	// NOT8m
+    17520U,	// NOT8r
+    2123496U,	// OR16i16
+    4237032U,	// OR16mi
+    4237032U,	// OR16mi8
+    4237032U,	// OR16mr
+    6350568U,	// OR16ri
+    6350568U,	// OR16ri8
+    6366952U,	// OR16rm
+    6350568U,	// OR16rr
+    8447720U,	// OR16rr_REV
+    10506941U,	// OR32i32
+    12620477U,	// OR32mi
+    12620477U,	// OR32mi8
+    12620477U,	// OR32mr
+    12620477U,	// OR32mrLocked
+    6345405U,	// OR32ri
+    6345405U,	// OR32ri8
+    283202237U,	// OR32rm
+    6345405U,	// OR32rr
+    8442557U,	// OR32rr_REV
+    16800142U,	// OR64i32
+    18913678U,	// OR64mi32
+    18913678U,	// OR64mi8
+    18913678U,	// OR64mr
+    6347150U,	// OR64ri32
+    6347150U,	// OR64ri8
+    283220366U,	// OR64rm
+    6347150U,	// OR64rr
+    8444302U,	// OR64rr_REV
+    20988852U,	// OR8i8
+    23102388U,	// OR8mi
+    23102388U,	// OR8mi8
+    23102388U,	// OR8mr
+    6341556U,	// OR8ri
+    6341556U,	// OR8ri8
+    115636U,	// OR8rm
+    6341556U,	// OR8rr
+    8438708U,	// OR8rr_REV
+    8522359U,	// ORPDrm
+    8440439U,	// ORPDrr
+    8527955U,	// ORPSrm
+    8446035U,	// ORPSrr
+    27899U,	// OUT16ir
+    14156U,	// OUT16rr
+    27949U,	// OUT32ir
+    14170U,	// OUT32rr
+    27427U,	// OUT8ir
+    14142U,	// OUT8rr
+    76268587U,	// OUTSB
+    76288862U,	// OUTSL
+    76326871U,	// OUTSW
+    312306U,	// PABSBrm128
+    551814130U,	// PABSBrr128
+    314434U,	// PABSDrm128
+    551816258U,	// PABSDrr128
+    321342U,	// PABSWrm128
+    551823166U,	// PABSWrr128
+    8692997U,	// PACKSSDWrm
+    8447237U,	// PACKSSDWrr
+    8684777U,	// PACKSSWBrm
+    8439017U,	// PACKSSWBrr
+    8693008U,	// PACKUSDWrm
+    8447248U,	// PACKUSDWrr
+    8684788U,	// PACKUSWBrm
+    8439028U,	// PACKUSWBrr
+    8684209U,	// PADDBrm
+    8438449U,	// PADDBrr
+    8685024U,	// PADDDrm
+    8439264U,	// PADDDrr
+    8689259U,	// PADDQrm
+    8443499U,	// PADDQrr
+    8684556U,	// PADDSBrm
+    8438796U,	// PADDSBrr
+    8693624U,	// PADDSWrm
+    8447864U,	// PADDSWrr
+    8684605U,	// PADDUSBrm
+    8438845U,	// PADDUSBrr
+    8693737U,	// PADDUSWrm
+    8447977U,	// PADDUSWrr
+    8692933U,	// PADDWrm
+    8447173U,	// PADDWrr
+    610655232U,	// PALIGNR128rm
+    570825728U,	// PALIGNR128rr
+    8688755U,	// PANDNrm
+    8442995U,	// PANDNrr
+    8685266U,	// PANDrm
+    8439506U,	// PANDrr
+    12951U,	// PAUSE
+    8684286U,	// PAVGBrm
+    8438526U,	// PAVGBrr
+    551650374U,	// PAVGUSBrm
+    8438854U,	// PAVGUSBrr
+    8693139U,	// PAVGWrm
+    8447379U,	// PAVGWrr
+    8684738U,	// PBLENDVBrm0
+    8438978U,	// PBLENDVBrr0
+    610657524U,	// PBLENDWrmi
+    570828020U,	// PBLENDWrri
+    610653956U,	// PCLMULQDQrm
+    570824452U,	// PCLMULQDQrr
+    8684410U,	// PCMPEQBrm
+    8438650U,	// PCMPEQBrr
+    8686312U,	// PCMPEQDrm
+    8440552U,	// PCMPEQDrr
+    8690003U,	// PCMPEQQrm
+    8444243U,	// PCMPEQQrr
+    8693401U,	// PCMPEQWrm
+    8447641U,	// PCMPEQWrr
     0U,	// PCMPESTRIMEM
     0U,	// PCMPESTRIREG
-    25499774U,	// PCMPESTRIrm
-    811653246U,	// PCMPESTRIrr
+    25497476U,	// PCMPESTRIrm
+    811945860U,	// PCMPESTRIrr
     0U,	// PCMPESTRM128MEM
     0U,	// PCMPESTRM128REG
-    25500963U,	// PCMPESTRM128rm
-    811654435U,	// PCMPESTRM128rr
-    8687616U,	// PCMPGTBrm
-    8441856U,	// PCMPGTBrr
-    8689224U,	// PCMPGTDrm
-    8443464U,	// PCMPGTDrr
-    8692294U,	// PCMPGTQrm
-    8446534U,	// PCMPGTQrr
-    8695216U,	// PCMPGTWrm
-    8449456U,	// PCMPGTWrr
+    25498715U,	// PCMPESTRM128rm
+    811947099U,	// PCMPESTRM128rr
+    8684646U,	// PCMPGTBrm
+    8438886U,	// PCMPGTBrr
+    8686899U,	// PCMPGTDrm
+    8441139U,	// PCMPGTDrr
+    8690360U,	// PCMPGTQrm
+    8444600U,	// PCMPGTQrr
+    8693818U,	// PCMPGTWrm
+    8448058U,	// PCMPGTWrr
     0U,	// PCMPISTRIMEM
     0U,	// PCMPISTRIREG
-    25499786U,	// PCMPISTRIrm
-    811653258U,	// PCMPISTRIrr
+    25497488U,	// PCMPISTRIrm
+    811945872U,	// PCMPISTRIrr
     0U,	// PCMPISTRM128MEM
     0U,	// PCMPISTRM128REG
-    25500975U,	// PCMPISTRM128rm
-    811654447U,	// PCMPISTRM128rr
-    283204324U,	// PDEP32rm
-    811653860U,	// PDEP32rr
-    283222297U,	// PDEP64rm
-    811655449U,	// PDEP64rr
-    283204765U,	// PEXT32rm
-    811654301U,	// PEXT32rr
-    283222695U,	// PEXT64rm
-    811655847U,	// PEXT64rr
-    587534204U,	// PEXTRBmr
-    811650940U,	// PEXTRBrr
-    855971016U,	// PEXTRDmr
-    811652296U,	// PEXTRDrr
-    1124409774U,	// PEXTRQmr
-    811655598U,	// PEXTRQrr
-    1392848036U,	// PEXTRWmr
-    811658404U,	// PEXTRWri
-    811658404U,	// PEXTRWrr_REV
-    551833963U,	// PF2IDrm
-    551817579U,	// PF2IDrr
-    551840659U,	// PF2IWrm
-    551824275U,	// PF2IWrr
-    551653502U,	// PFACCrm
-    8441982U,	// PFACCrr
-    551653656U,	// PFADDrm
-    8442136U,	// PFADDrr
-    551657478U,	// PFCMPEQrm
-    8445958U,	// PFCMPEQrr
-    551655283U,	// PFCMPGErm
-    8443763U,	// PFCMPGErr
-    551659784U,	// PFCMPGTrm
-    8448264U,	// PFCMPGTrr
-    551661143U,	// PFMAXrm
-    8449623U,	// PFMAXrr
-    551656778U,	// PFMINrm
-    8445258U,	// PFMINrr
-    551656612U,	// PFMULrm
-    8445092U,	// PFMULrr
-    551653509U,	// PFNACCrm
-    8441989U,	// PFNACCrr
-    551653517U,	// PFPNACCrm
-    8441997U,	// PFPNACCrr
-    551652562U,	// PFRCPIT1rm
-    8441042U,	// PFRCPIT1rr
-    551652651U,	// PFRCPIT2rm
-    8441131U,	// PFRCPIT2rr
-    551837045U,	// PFRCPrm
-    551820661U,	// PFRCPrr
-    551652572U,	// PFRSQIT1rm
-    8441052U,	// PFRSQIT1rr
-    551840055U,	// PFRSQRTrm
-    551823671U,	// PFRSQRTrr
-    551658344U,	// PFSUBRrm
-    8446824U,	// PFSUBRrr
-    551653438U,	// PFSUBrm
-    8441918U,	// PFSUBrr
-    8687904U,	// PHADDDrm
-    8442144U,	// PHADDDrr
-    8695012U,	// PHADDSWrm128
-    8449252U,	// PHADDSWrr128
-    8694445U,	// PHADDWrm
-    8448685U,	// PHADDWrr
-    323090U,	// PHMINPOSUWrm128
-    551824914U,	// PHMINPOSUWrr128
-    8687858U,	// PHSUBDrm
-    8442098U,	// PHSUBDrr
-    8694993U,	// PHSUBSWrm128
-    8449233U,	// PHSUBSWrr128
-    8694351U,	// PHSUBWrm
-    8448591U,	// PHSUBWrr
-    551833947U,	// PI2FDrm
-    551817563U,	// PI2FDrr
-    551840569U,	// PI2FWrm
-    551824185U,	// PI2FWrr
-    612716403U,	// PINSRBrm
-    570789747U,	// PINSRBrr
-    614814911U,	// PINSRDrm
-    570791103U,	// PINSRDrr
-    593846673U,	// PINSRQrm
-    570794385U,	// PINSRQrr
-    595946633U,	// PINSRWrmi
-    570797193U,	// PINSRWrri
-    8694981U,	// PMADDUBSWrm128
-    8449221U,	// PMADDUBSWrr128
-    8689358U,	// PMADDWDrm
-    8443598U,	// PMADDWDrr
-    8687601U,	// PMAXSBrm
-    8441841U,	// PMAXSBrr
-    8689198U,	// PMAXSDrm
-    8443438U,	// PMAXSDrr
-    8695153U,	// PMAXSWrm
-    8449393U,	// PMAXSWrr
-    8687686U,	// PMAXUBrm
-    8441926U,	// PMAXUBrr
-    8689283U,	// PMAXUDrm
-    8443523U,	// PMAXUDrr
-    8695327U,	// PMAXUWrm
-    8449567U,	// PMAXUWrr
-    8687542U,	// PMINSBrm
-    8441782U,	// PMINSBrr
-    8689125U,	// PMINSDrm
-    8443365U,	// PMINSDrr
-    8695062U,	// PMINSWrm
-    8449302U,	// PMINSWrr
-    8687670U,	// PMINUBrm
-    8441910U,	// PMINUBrr
-    8689265U,	// PMINUDrm
-    8443505U,	// PMINUDrr
-    8695305U,	// PMINUWrm
-    8449545U,	// PMINUWrr
-    551816954U,	// PMOVMSKBrr
-    551801091U,	// PMOVSXBDrm
-    551817475U,	// PMOVSXBDrr
-    384622U,	// PMOVSXBQrm
-    551820910U,	// PMOVSXBQrr
-    551840360U,	// PMOVSXBWrm
-    551823976U,	// PMOVSXBWrr
-    551837636U,	// PMOVSXDQrm
-    551821252U,	// PMOVSXDQrr
-    551835431U,	// PMOVSXWDrm
-    551819047U,	// PMOVSXWDrr
-    551805713U,	// PMOVSXWQrm
-    551822097U,	// PMOVSXWQrr
-    551801102U,	// PMOVZXBDrm
-    551817486U,	// PMOVZXBDrr
-    384633U,	// PMOVZXBQrm
-    551820921U,	// PMOVZXBQrr
-    551840371U,	// PMOVZXBWrm
-    551823987U,	// PMOVZXBWrr
-    551837647U,	// PMOVZXDQrm
-    551821263U,	// PMOVZXDQrr
-    551835442U,	// PMOVZXWDrm
-    551819058U,	// PMOVZXWDrr
-    551805724U,	// PMOVZXWQrm
-    551822108U,	// PMOVZXWQrr
-    8691521U,	// PMULDQrm
-    8445761U,	// PMULDQrr
-    8695087U,	// PMULHRSWrm128
-    8449327U,	// PMULHRSWrr128
-    551660647U,	// PMULHRWrm
-    8449127U,	// PMULHRWrr
-    8695286U,	// PMULHUWrm
-    8449526U,	// PMULHUWrr
-    8694660U,	// PMULHWrm
-    8448900U,	// PMULHWrr
-    8688032U,	// PMULLDrm
-    8442272U,	// PMULLDrr
-    8694729U,	// PMULLWrm
-    8448969U,	// PMULLWrr
-    8691642U,	// PMULUDQrm
-    8445882U,	// PMULUDQrr
-    27703U,	// POP16r
-    224311U,	// POP16rmm
-    27703U,	// POP16rmr
-    23320U,	// POP32r
-    236312U,	// POP32rmm
-    23320U,	// POP32rmr
-    24881U,	// POP64r
-    401713U,	// POP64rmm
-    24881U,	// POP64rmr
-    15289U,	// POPA16
-    14492U,	// POPA32
-    388537U,	// POPCNT16rm
-    551824825U,	// POPCNT16rr
-    551804010U,	// POPCNT32rm
-    551820394U,	// POPCNT32rr
-    551838287U,	// POPCNT64rm
-    551821903U,	// POPCNT64rr
-    14919U,	// POPDS16
-    14900U,	// POPDS32
-    14957U,	// POPES16
-    14938U,	// POPES32
-    15302U,	// POPF16
-    14505U,	// POPF32
-    14747U,	// POPF64
-    15014U,	// POPFS16
-    14976U,	// POPFS32
-    14995U,	// POPFS64
-    15071U,	// POPGS16
-    15033U,	// POPGS32
-    15052U,	// POPGS64
-    15191U,	// POPSS16
-    15172U,	// POPSS32
-    8692610U,	// PORrm
-    8446850U,	// PORrr
-    432114U,	// PREFETCH
-    429675U,	// PREFETCHNTA
-    429220U,	// PREFETCHT0
-    429254U,	// PREFETCHT1
-    429343U,	// PREFETCHT2
-    437102U,	// PREFETCHW
-    8694280U,	// PSADBWrm
-    8448520U,	// PSADBWrr
-    8687317U,	// PSHUFBrm
-    8441557U,	// PSHUFBrr
-    25497955U,	// PSHUFDmi
-    811651427U,	// PSHUFDri
-    25504634U,	// PSHUFHWmi
-    811658106U,	// PSHUFHWri
-    25504679U,	// PSHUFLWmi
-    811658151U,	// PSHUFLWri
-    8687406U,	// PSIGNBrm
-    8441646U,	// PSIGNBrr
-    8688081U,	// PSIGNDrm
-    8442321U,	// PSIGNDrr
-    8694781U,	// PSIGNWrm
-    8449021U,	// PSIGNWrr
-    8445743U,	// PSLLDQri
-    8442264U,	// PSLLDri
-    8688024U,	// PSLLDrm
-    8442264U,	// PSLLDrr
-    8446135U,	// PSLLQri
-    8691895U,	// PSLLQrm
-    8446135U,	// PSLLQrr
-    8448961U,	// PSLLWri
-    8694721U,	// PSLLWrm
-    8448961U,	// PSLLWrr
-    8442069U,	// PSRADri
-    8687829U,	// PSRADrm
-    8442069U,	// PSRADrr
-    8448487U,	// PSRAWri
-    8694247U,	// PSRAWrm
-    8448487U,	// PSRAWrr
-    8445752U,	// PSRLDQri
-    8442281U,	// PSRLDri
-    8688041U,	// PSRLDrm
-    8442281U,	// PSRLDrr
-    8446149U,	// PSRLQri
-    8691909U,	// PSRLQrm
-    8446149U,	// PSRLQrr
-    8448984U,	// PSRLWri
-    8694744U,	// PSRLWrm
-    8448984U,	// PSRLWrr
-    8687270U,	// PSUBBrm
-    8441510U,	// PSUBBrr
-    8687867U,	// PSUBDrm
-    8442107U,	// PSUBDrr
-    8691294U,	// PSUBQrm
-    8445534U,	// PSUBQrr
-    8687517U,	// PSUBSBrm
-    8441757U,	// PSUBSBrr
-    8695003U,	// PSUBSWrm
-    8449243U,	// PSUBSWrr
-    8687565U,	// PSUBUSBrm
-    8441805U,	// PSUBUSBrr
-    8695125U,	// PSUBUSWrm
-    8449365U,	// PSUBUSWrr
-    8694360U,	// PSUBWrm
-    8448600U,	// PSUBWrr
-    551834391U,	// PSWAPDrm
-    551818007U,	// PSWAPDrr
-    584027U,	// PTESTrm
-    551823707U,	// PTESTrr
-    8694308U,	// PUNPCKHBWrm
-    8448548U,	// PUNPCKHBWrr
-    8691472U,	// PUNPCKHDQrm
-    8445712U,	// PUNPCKHDQrr
-    8691539U,	// PUNPCKHQDQrm
-    8445779U,	// PUNPCKHQDQrr
-    8689368U,	// PUNPCKHWDrm
-    8443608U,	// PUNPCKHWDrr
-    8694320U,	// PUNPCKLBWrm
-    8448560U,	// PUNPCKLBWrr
-    8691491U,	// PUNPCKLDQrm
-    8445731U,	// PUNPCKLDQrr
-    8691552U,	// PUNPCKLQDQrm
-    8445792U,	// PUNPCKLQDQrr
-    8689380U,	// PUNPCKLWDrm
-    8443620U,	// PUNPCKLWDrr
-    27532U,	// PUSH16i8
-    27532U,	// PUSH16r
-    224140U,	// PUSH16rmm
-    27532U,	// PUSH16rmr
-    23067U,	// PUSH32i8
-    23067U,	// PUSH32r
-    236059U,	// PUSH32rmm
-    23067U,	// PUSH32rmr
-    27532U,	// PUSH64i16
-    24692U,	// PUSH64i32
-    24692U,	// PUSH64i8
-    24692U,	// PUSH64r
-    401524U,	// PUSH64rmm
-    24692U,	// PUSH64rmr
-    15282U,	// PUSHA16
-    14485U,	// PUSHA32
-    14880U,	// PUSHCS16
-    14870U,	// PUSHCS32
-    14909U,	// PUSHDS16
-    14890U,	// PUSHDS32
-    14947U,	// PUSHES16
-    14928U,	// PUSHES32
-    15295U,	// PUSHF16
-    14498U,	// PUSHF32
-    14740U,	// PUSHF64
-    15004U,	// PUSHFS16
-    14966U,	// PUSHFS32
-    14985U,	// PUSHFS64
-    15061U,	// PUSHGS16
-    15023U,	// PUSHGS32
-    15042U,	// PUSHGS64
-    15181U,	// PUSHSS16
-    15162U,	// PUSHSS32
-    27532U,	// PUSHi16
-    23067U,	// PUSHi32
-    8692633U,	// PXORrm
-    8446873U,	// PXORrr
-    225323U,	// RCL16m1
-    225788U,	// RCL16mCL
-    4238240U,	// RCL16mi
-    28715U,	// RCL16r1
-    29180U,	// RCL16rCL
-    8448928U,	// RCL16ri
-    242562U,	// RCL32m1
-    241948U,	// RCL32mCL
-    12622412U,	// RCL32mi
-    28555U,	// RCL32r1
-    28956U,	// RCL32rCL
-    8444492U,	// RCL32ri
-    405467U,	// RCL64m1
-    405900U,	// RCL64mCL
-    18915489U,	// RCL64mi
-    28635U,	// RCL64r1
-    29068U,	// RCL64rCL
-    8446113U,	// RCL64ri
-    438075U,	// RCL8m1
-    438444U,	// RCL8mCL
-    23105290U,	// RCL8mi
-    28475U,	// RCL8r1
-    28844U,	// RCL8rCL
-    8441610U,	// RCL8ri
-    583312U,	// RCPPSm
-    583312U,	// RCPPSm_Int
-    551822992U,	// RCPPSr
-    551822992U,	// RCPPSr_Int
-    616582U,	// RCPSSm
-    551725190U,	// RCPSSm_Int
-    551823494U,	// RCPSSr
-    8448134U,	// RCPSSr_Int
-    225363U,	// RCR16m1
-    225832U,	// RCR16mCL
-    4238427U,	// RCR16mi
-    28755U,	// RCR16r1
-    29224U,	// RCR16rCL
-    8449115U,	// RCR16ri
-    241587U,	// RCR32m1
-    241992U,	// RCR32mCL
-    12622712U,	// RCR32mi
-    28595U,	// RCR32r1
-    29000U,	// RCR32rCL
-    8444792U,	// RCR32ri
-    405507U,	// RCR64m1
-    405944U,	// RCR64mCL
-    18915681U,	// RCR64mi
-    28675U,	// RCR64r1
-    29112U,	// RCR64rCL
-    8446305U,	// RCR64ri
-    438115U,	// RCR8m1
-    438488U,	// RCR8mCL
-    23105370U,	// RCR8mi
-    28515U,	// RCR8r1
-    28888U,	// RCR8rCL
-    8441690U,	// RCR8ri
-    22975U,	// RDFSBASE
-    24591U,	// RDFSBASE64
-    22997U,	// RDGSBASE
-    24613U,	// RDGSBASE64
-    14835U,	// RDMSR
-    14225U,	// RDPMC
-    27348U,	// RDRAND16r
-    22889U,	// RDRAND32r
-    24393U,	// RDRAND64r
-    27332U,	// RDSEED16r
-    22860U,	// RDSEED32r
-    24326U,	// RDSEED64r
-    14238U,	// RDTSC
-    14682U,	// RDTSCP
-    13701U,	// RELEASE_MOV16mr
-    13701U,	// RELEASE_MOV32mr
-    13701U,	// RELEASE_MOV64mr
-    13701U,	// RELEASE_MOV8mr
-    14328U,	// REPNE_PREFIX
-    14169U,	// REP_MOVSB_32
-    14169U,	// REP_MOVSB_64
-    14553U,	// REP_MOVSD_32
-    14553U,	// REP_MOVSD_64
-    14763U,	// REP_MOVSQ_64
-    15318U,	// REP_MOVSW_32
-    15318U,	// REP_MOVSW_64
-    14689U,	// REP_PREFIX
-    14159U,	// REP_STOSB_32
-    14159U,	// REP_STOSB_64
-    14543U,	// REP_STOSD_32
-    14543U,	// REP_STOSD_64
-    14753U,	// REP_STOSQ_64
-    15308U,	// REP_STOSW_32
-    15308U,	// REP_STOSW_64
-    23646U,	// RETIL
-    25151U,	// RETIQ
-    28073U,	// RETIW
-    14564U,	// RETL
-    14774U,	// RETQ
-    15334U,	// RETW
-    13995U,	// REX64_PREFIX
-    225343U,	// ROL16m1
-    225810U,	// ROL16mCL
-    4238289U,	// ROL16mi
-    28735U,	// ROL16r1
-    29202U,	// ROL16rCL
-    8448977U,	// ROL16ri
-    241567U,	// ROL32m1
-    241970U,	// ROL32mCL
-    12622458U,	// ROL32mi
-    28575U,	// ROL32r1
-    28978U,	// ROL32rCL
-    8444538U,	// ROL32ri
-    405487U,	// ROL64m1
-    405922U,	// ROL64mCL
-    18915518U,	// ROL64mi
-    28655U,	// ROL64r1
-    29090U,	// ROL64rCL
-    8446142U,	// ROL64ri
-    438095U,	// ROL8m1
-    438466U,	// ROL8mCL
-    23105304U,	// ROL8mi
-    28495U,	// ROL8r1
-    28866U,	// ROL8rCL
-    8441624U,	// ROL8ri
-    225383U,	// ROR16m1
-    225854U,	// ROR16mCL
-    4238454U,	// ROR16mi
-    28775U,	// ROR16r1
-    29246U,	// ROR16rCL
-    8449142U,	// ROR16ri
-    241607U,	// ROR32m1
-    242014U,	// ROR32mCL
-    12622724U,	// ROR32mi
-    28615U,	// ROR32r1
-    29022U,	// ROR32rCL
-    8444804U,	// ROR32ri
-    405527U,	// ROR64m1
-    405966U,	// ROR64mCL
-    18915693U,	// ROR64mi
-    28695U,	// ROR64r1
-    29134U,	// ROR64rCL
-    8446317U,	// ROR64ri
-    438135U,	// ROR8m1
-    438510U,	// ROR8mCL
-    23105382U,	// ROR8mi
-    28535U,	// ROR8r1
-    28910U,	// ROR8rCL
-    8441702U,	// ROR8ri
-    832904449U,	// RORX32mi
-    811654401U,	// RORX32ri
-    835003224U,	// RORX64mi
-    811656024U,	// RORX64ri
-    80024483U,	// ROUNDPDm
-    811652003U,	// ROUNDPDr
-    80029164U,	// ROUNDPSm
-    811656684U,	// ROUNDPSr
-    581260736U,	// ROUNDSDm
-    570791360U,	// ROUNDSDr
-    570791360U,	// ROUNDSDr_Int
-    585459801U,	// ROUNDSSm
-    570796121U,	// ROUNDSSr
-    570796121U,	// ROUNDSSr_Int
-    14623U,	// RSM
-    583395U,	// RSQRTPSm
-    583395U,	// RSQRTPSm_Int
-    551823075U,	// RSQRTPSr
-    551823075U,	// RSQRTPSr_Int
-    616607U,	// RSQRTSSm
-    551725215U,	// RSQRTSSm_Int
-    551823519U,	// RSQRTSSr
-    8448159U,	// RSQRTSSr_Int
-    14414U,	// SAHF
-    225313U,	// SAL16m1
-    225777U,	// SAL16mCL
-    4238234U,	// SAL16mi
-    28705U,	// SAL16r1
-    29169U,	// SAL16rCL
-    8448922U,	// SAL16ri
-    241537U,	// SAL32m1
-    241937U,	// SAL32mCL
-    12622406U,	// SAL32mi
-    28545U,	// SAL32r1
-    28945U,	// SAL32rCL
-    8444486U,	// SAL32ri
-    405457U,	// SAL64m1
-    405889U,	// SAL64mCL
-    18915483U,	// SAL64mi
-    28625U,	// SAL64r1
-    29057U,	// SAL64rCL
-    8446107U,	// SAL64ri
-    438065U,	// SAL8m1
-    438433U,	// SAL8mCL
-    23105284U,	// SAL8mi
-    28465U,	// SAL8r1
-    28833U,	// SAL8rCL
-    8441604U,	// SAL8ri
-    14212U,	// SALC
-    225353U,	// SAR16m1
-    225821U,	// SAR16mCL
-    4238421U,	// SAR16mi
-    28745U,	// SAR16r1
-    29213U,	// SAR16rCL
-    8449109U,	// SAR16ri
-    241577U,	// SAR32m1
-    241981U,	// SAR32mCL
-    12622689U,	// SAR32mi
-    28585U,	// SAR32r1
-    28989U,	// SAR32rCL
-    8444769U,	// SAR32ri
-    405497U,	// SAR64m1
-    405933U,	// SAR64mCL
-    18915675U,	// SAR64mi
-    28665U,	// SAR64r1
-    29101U,	// SAR64rCL
-    8446299U,	// SAR64ri
-    438105U,	// SAR8m1
-    438477U,	// SAR8mCL
-    23105364U,	// SAR8mi
-    28505U,	// SAR8r1
-    28877U,	// SAR8rCL
-    8441684U,	// SAR8ri
-    832904435U,	// SARX32rm
-    811654387U,	// SARX32rr
-    835003210U,	// SARX64rm
-    811656010U,	// SARX64rr
-    2124278U,	// SBB16i16
-    4237814U,	// SBB16mi
-    4237814U,	// SBB16mi8
-    4237814U,	// SBB16mr
-    6351350U,	// SBB16ri
-    6351350U,	// SBB16ri8
-    6367734U,	// SBB16rm
-    6351350U,	// SBB16rr
-    8448502U,	// SBB16rr_REV
-    10508520U,	// SBB32i32
-    12622056U,	// SBB32mi
-    12622056U,	// SBB32mi8
-    12622056U,	// SBB32mr
-    6346984U,	// SBB32ri
-    6346984U,	// SBB32ri8
-    283203816U,	// SBB32rm
-    6346984U,	// SBB32rr
-    8444136U,	// SBB32rr_REV
-    16801338U,	// SBB64i32
-    18914874U,	// SBB64mi32
-    18914874U,	// SBB64mi8
-    18914874U,	// SBB64mr
-    6348346U,	// SBB64ri32
-    6348346U,	// SBB64ri8
-    283221562U,	// SBB64rm
-    6348346U,	// SBB64rr
-    8445498U,	// SBB64rr_REV
-    20991647U,	// SBB8i8
-    23105183U,	// SBB8mi
-    23105183U,	// SBB8mr
-    6344351U,	// SBB8ri
-    118431U,	// SBB8rm
-    6344351U,	// SBB8rr
-    8441503U,	// SBB8rr_REV
-    21467012U,	// SCASB
-    11000770U,	// SCASL
-    17310134U,	// SCASQ
-    2649260U,	// SCASW
-    15092U,	// SEG_ALLOCA_32
-    15092U,	// SEG_ALLOCA_64
-    14379U,	// SEH_EndPrologue
-    14365U,	// SEH_Epilogue
-    29668U,	// SEH_PushFrame
-    29713U,	// SEH_PushReg
-    283145219U,	// SEH_SaveReg
-    283145133U,	// SEH_SaveXMM
-    283145204U,	// SEH_SetFrame
-    29651U,	// SEH_StackAlloc
-    431937U,	// SETAEm
-    22337U,	// SETAEr
-    429669U,	// SETAm
-    20069U,	// SETAr
-    431959U,	// SETBEm
-    22359U,	// SETBEr
+    25498727U,	// PCMPISTRM128rm
+    811947111U,	// PCMPISTRM128rr
+    13851U,	// PCOMMIT
+    283202076U,	// PDEP32rm
+    811651612U,	// PDEP32rr
+    283220268U,	// PDEP64rm
+    811653420U,	// PDEP64rr
+    283202517U,	// PEXT32rm
+    811652053U,	// PEXT32rr
+    283220756U,	// PEXT64rm
+    811653908U,	// PEXT64rr
+    319095778U,	// PEXTRBmr
+    811942882U,	// PEXTRBrr
+    587533152U,	// PEXTRDmr
+    811944800U,	// PEXTRDrr
+    855972332U,	// PEXTRQmr
+    811948524U,	// PEXTRQrr
+    1124411182U,	// PEXTRWmr
+    811951918U,	// PEXTRWri
+    811951918U,	// PEXTRWrr_REV
+    551831113U,	// PF2IDrm
+    551814729U,	// PF2IDrr
+    551839175U,	// PF2IWrm
+    551822791U,	// PF2IWrr
+    551650558U,	// PFACCrm
+    8439038U,	// PFACCrr
+    551650767U,	// PFADDrm
+    8439247U,	// PFADDrr
+    551655388U,	// PFCMPEQrm
+    8443868U,	// PFCMPEQrr
+    551652985U,	// PFCMPGErm
+    8441465U,	// PFCMPGErr
+    551658231U,	// PFCMPGTrm
+    8446711U,	// PFCMPGTrr
+    551659759U,	// PFMAXrm
+    8448239U,	// PFMAXrr
+    551654530U,	// PFMINrm
+    8443010U,	// PFMINrr
+    551654364U,	// PFMULrm
+    8442844U,	// PFMULrr
+    551650565U,	// PFNACCrm
+    8439045U,	// PFNACCrr
+    551650573U,	// PFPNACCrm
+    8439053U,	// PFPNACCrr
+    551649327U,	// PFRCPIT1rm
+    8437807U,	// PFRCPIT1rr
+    551649416U,	// PFRCPIT2rm
+    8437896U,	// PFRCPIT2rr
+    551834797U,	// PFRCPrm
+    551818413U,	// PFRCPrr
+    551649337U,	// PFRSQIT1rm
+    8437817U,	// PFRSQIT1rr
+    551838514U,	// PFRSQRTrm
+    551822130U,	// PFRSQRTrr
+    551656432U,	// PFSUBRrm
+    8444912U,	// PFSUBRrr
+    551650481U,	// PFSUBrm
+    8438961U,	// PFSUBrr
+    8685015U,	// PHADDDrm
+    8439255U,	// PHADDDrr
+    8693614U,	// PHADDSWrm128
+    8447854U,	// PHADDSWrr128
+    8692924U,	// PHADDWrm
+    8447164U,	// PHADDWrr
+    321705U,	// PHMINPOSUWrm128
+    551823529U,	// PHMINPOSUWrr128
+    8684969U,	// PHSUBDrm
+    8439209U,	// PHSUBDrr
+    8693595U,	// PHSUBSWrm128
+    8447835U,	// PHSUBSWrr128
+    8692830U,	// PHSUBWrm
+    8447070U,	// PHSUBWrr
+    551831097U,	// PI2FDrm
+    551814713U,	// PI2FDrr
+    551839085U,	// PI2FWrm
+    551822701U,	// PI2FWrr
+    614843343U,	// PINSRBrm
+    570819535U,	// PINSRBrr
+    885377869U,	// PINSRDrm
+    570821453U,	// PINSRDrr
+    866507205U,	// PINSRQrm
+    570825157U,	// PINSRQrr
+    600172297U,	// PINSRWrmi
+    570828553U,	// PINSRWrri
+    8693583U,	// PMADDUBSWrm128
+    8447823U,	// PMADDUBSWrr128
+    8687060U,	// PMADDWDrm
+    8441300U,	// PMADDWDrr
+    8684631U,	// PMAXSBrm
+    8438871U,	// PMAXSBrr
+    8686860U,	// PMAXSDrm
+    8441100U,	// PMAXSDrr
+    8693755U,	// PMAXSWrm
+    8447995U,	// PMAXSWrr
+    8684729U,	// PMAXUBrm
+    8438969U,	// PMAXUBrr
+    8686985U,	// PMAXUDrm
+    8441225U,	// PMAXUDrr
+    8693942U,	// PMAXUWrm
+    8448182U,	// PMAXUWrr
+    8684572U,	// PMINSBrm
+    8438812U,	// PMINSBrr
+    8686774U,	// PMINSDrm
+    8441014U,	// PMINSDrr
+    8693664U,	// PMINSWrm
+    8447904U,	// PMINSWrr
+    8684704U,	// PMINUBrm
+    8438944U,	// PMINUBrr
+    8686967U,	// PMINUDrm
+    8441207U,	// PMINUDrr
+    8693911U,	// PMINUWrm
+    8448151U,	// PMINUWrr
+    551813898U,	// PMOVMSKBrr
+    551798202U,	// PMOVSXBDrm
+    551814586U,	// PMOVSXBDrr
+    415211U,	// PMOVSXBQrm
+    551818731U,	// PMOVSXBQrr
+    551838839U,	// PMOVSXBWrm
+    551822455U,	// PMOVSXBWrr
+    551835546U,	// PMOVSXDQrm
+    551819162U,	// PMOVSXDQrr
+    551833133U,	// PMOVSXWDrm
+    551816749U,	// PMOVSXWDrr
+    551803801U,	// PMOVSXWQrm
+    551820185U,	// PMOVSXWQrr
+    551798213U,	// PMOVZXBDrm
+    551814597U,	// PMOVZXBDrr
+    415222U,	// PMOVZXBQrm
+    551818742U,	// PMOVZXBQrr
+    551838850U,	// PMOVZXBWrm
+    551822466U,	// PMOVZXBWrr
+    551835557U,	// PMOVZXDQrm
+    551819173U,	// PMOVZXDQrr
+    551833144U,	// PMOVZXWDrm
+    551816760U,	// PMOVZXWDrr
+    551803812U,	// PMOVZXWQrm
+    551820196U,	// PMOVZXWQrr
+    8689342U,	// PMULDQrm
+    8443582U,	// PMULDQrr
+    8693689U,	// PMULHRSWrm128
+    8447929U,	// PMULHRSWrr128
+    551659224U,	// PMULHRWrm
+    8447704U,	// PMULHRWrr
+    8693892U,	// PMULHUWrm
+    8448132U,	// PMULHUWrr
+    8693176U,	// PMULHWrm
+    8447416U,	// PMULHWrr
+    8685182U,	// PMULLDrm
+    8439422U,	// PMULLDrr
+    8693245U,	// PMULLWrm
+    8447485U,	// PMULLWrr
+    8689552U,	// PMULUDQrm
+    8443792U,	// PMULUDQrr
+    26250U,	// POP16r
+    222858U,	// POP16rmm
+    26250U,	// POP16rmr
+    21072U,	// POP32r
+    234064U,	// POP32rmm
+    21072U,	// POP32rmr
+    22852U,	// POP64r
+    432452U,	// POP64rmm
+    22852U,	// POP64rmr
+    13922U,	// POPA16
+    13084U,	// POPA32
+    419907U,	// POPCNT16rm
+    551823427U,	// POPCNT16rr
+    551801762U,	// POPCNT32rm
+    551818146U,	// POPCNT32rr
+    551836353U,	// POPCNT64rm
+    551819969U,	// POPCNT64rr
+    13544U,	// POPDS16
+    13525U,	// POPDS32
+    13582U,	// POPES16
+    13563U,	// POPES32
+    13935U,	// POPF16
+    13097U,	// POPF32
+    13372U,	// POPF64
+    13639U,	// POPFS16
+    13601U,	// POPFS32
+    13620U,	// POPFS64
+    13696U,	// POPGS16
+    13658U,	// POPGS32
+    13677U,	// POPGS64
+    13816U,	// POPSS16
+    13797U,	// POPSS32
+    8690698U,	// PORrm
+    8444938U,	// PORrr
+    462584U,	// PREFETCH
+    459346U,	// PREFETCHNTA
+    458753U,	// PREFETCHT0
+    458787U,	// PREFETCHT1
+    458876U,	// PREFETCHT2
+    468386U,	// PREFETCHW
+    8692749U,	// PSADBWrm
+    8446989U,	// PSADBWrr
+    8684261U,	// PSHUFBrm
+    8438501U,	// PSHUFBrr
+    25495105U,	// PSHUFDmi
+    811943489U,	// PSHUFDri
+    25503150U,	// PSHUFHWmi
+    811951534U,	// PSHUFHWri
+    25503195U,	// PSHUFLWmi
+    811951579U,	// PSHUFLWri
+    8684379U,	// PSIGNBrm
+    8438619U,	// PSIGNBrr
+    8685299U,	// PSIGNDrm
+    8439539U,	// PSIGNDrr
+    8693326U,	// PSIGNWrm
+    8447566U,	// PSIGNWrr
+    8738476U,	// PSLLDQri
+    8734326U,	// PSLLDri
+    8685174U,	// PSLLDrm
+    8439414U,	// PSLLDrr
+    8738948U,	// PSLLQri
+    8689796U,	// PSLLQrm
+    8444036U,	// PSLLQrr
+    8742389U,	// PSLLWri
+    8693237U,	// PSLLWrm
+    8447477U,	// PSLLWrr
+    8734092U,	// PSRADri
+    8684940U,	// PSRADrm
+    8439180U,	// PSRADrr
+    8741868U,	// PSRAWri
+    8692716U,	// PSRAWrm
+    8446956U,	// PSRAWrr
+    8738485U,	// PSRLDQri
+    8734343U,	// PSRLDri
+    8685191U,	// PSRLDrm
+    8439431U,	// PSRLDrr
+    8738971U,	// PSRLQri
+    8689819U,	// PSRLQrm
+    8444059U,	// PSRLQrr
+    8742412U,	// PSRLWri
+    8693260U,	// PSRLWrm
+    8447500U,	// PSRLWrr
+    8684183U,	// PSUBBrm
+    8438423U,	// PSUBBrr
+    8684978U,	// PSUBDrm
+    8439218U,	// PSUBDrr
+    8689115U,	// PSUBQrm
+    8443355U,	// PSUBQrr
+    8684547U,	// PSUBSBrm
+    8438787U,	// PSUBSBrr
+    8693605U,	// PSUBSWrm
+    8447845U,	// PSUBSWrr
+    8684595U,	// PSUBUSBrm
+    8438835U,	// PSUBUSBrr
+    8693727U,	// PSUBUSWrm
+    8447967U,	// PSUBUSWrr
+    8692839U,	// PSUBWrm
+    8447079U,	// PSUBWrr
+    551831696U,	// PSWAPDrm
+    551815312U,	// PSWAPDrr
+    615254U,	// PTESTrm
+    551822166U,	// PTESTrr
+    8692777U,	// PUNPCKHBWrm
+    8447017U,	// PUNPCKHBWrr
+    8689293U,	// PUNPCKHDQrm
+    8443533U,	// PUNPCKHDQrr
+    8689386U,	// PUNPCKHQDQrm
+    8443626U,	// PUNPCKHQDQrr
+    8687070U,	// PUNPCKHWDrm
+    8441310U,	// PUNPCKHWDrr
+    8692799U,	// PUNPCKLBWrm
+    8447039U,	// PUNPCKLBWrr
+    8689312U,	// PUNPCKLDQrm
+    8443552U,	// PUNPCKLDQrr
+    8689399U,	// PUNPCKLQDQrm
+    8443639U,	// PUNPCKLQDQrr
+    8687082U,	// PUNPCKLWDrm
+    8441322U,	// PUNPCKLWDrr
+    26048U,	// PUSH16i8
+    26048U,	// PUSH16r
+    222656U,	// PUSH16rmm
+    26048U,	// PUSH16rmr
+    20819U,	// PUSH32i8
+    20819U,	// PUSH32r
+    233811U,	// PUSH32rmm
+    20819U,	// PUSH32rmr
+    26048U,	// PUSH64i16
+    22593U,	// PUSH64i32
+    22593U,	// PUSH64i8
+    22593U,	// PUSH64r
+    432193U,	// PUSH64rmm
+    22593U,	// PUSH64rmr
+    13915U,	// PUSHA16
+    13077U,	// PUSHA32
+    13505U,	// PUSHCS16
+    13495U,	// PUSHCS32
+    13534U,	// PUSHDS16
+    13515U,	// PUSHDS32
+    13572U,	// PUSHES16
+    13553U,	// PUSHES32
+    13928U,	// PUSHF16
+    13090U,	// PUSHF32
+    13365U,	// PUSHF64
+    13629U,	// PUSHFS16
+    13591U,	// PUSHFS32
+    13610U,	// PUSHFS64
+    13686U,	// PUSHGS16
+    13648U,	// PUSHGS32
+    13667U,	// PUSHGS64
+    13806U,	// PUSHSS16
+    13787U,	// PUSHSS32
+    26048U,	// PUSHi16
+    20819U,	// PUSHi32
+    8690721U,	// PXORrm
+    8444961U,	// PXORrr
+    223939U,	// RCL16m1
+    224404U,	// RCL16mCL
+    4236756U,	// RCL16mi
+    27331U,	// RCL16r1
+    27796U,	// RCL16rCL
+    8447444U,	// RCL16ri
+    240163U,	// RCL32m1
+    240564U,	// RCL32mCL
+    12620164U,	// RCL32mi
+    27171U,	// RCL32r1
+    27572U,	// RCL32rCL
+    8442244U,	// RCL32ri
+    436851U,	// RCL64m1
+    437284U,	// RCL64mCL
+    18913390U,	// RCL64mi
+    27251U,	// RCL64r1
+    27684U,	// RCL64rCL
+    8444014U,	// RCL64ri
+    469459U,	// RCL8m1
+    469828U,	// RCL8mCL
+    23102234U,	// RCL8mi
+    27091U,	// RCL8r1
+    27460U,	// RCL8rCL
+    8438554U,	// RCL8ri
+    614373U,	// RCPPSm
+    614373U,	// RCPPSm_Int
+    551821285U,	// RCPPSr
+    551821285U,	// RCPPSr_Int
+    552198773U,	// RCPSSm
+    551723637U,	// RCPSSm_Int
+    551821941U,	// RCPSSr
+    8446581U,	// RCPSSr_Int
+    223979U,	// RCR16m1
+    224448U,	// RCR16mCL
+    4237004U,	// RCR16mi
+    27371U,	// RCR16r1
+    27840U,	// RCR16rCL
+    8447692U,	// RCR16ri
+    240203U,	// RCR32m1
+    240608U,	// RCR32mCL
+    12620464U,	// RCR32mi
+    27211U,	// RCR32r1
+    27616U,	// RCR32rCL
+    8442544U,	// RCR32ri
+    436891U,	// RCR64m1
+    437328U,	// RCR64mCL
+    18913665U,	// RCR64mi
+    27291U,	// RCR64r1
+    27728U,	// RCR64rCL
+    8444289U,	// RCR64ri
+    469499U,	// RCR8m1
+    469872U,	// RCR8mCL
+    23102375U,	// RCR8mi
+    27131U,	// RCR8r1
+    27504U,	// RCR8rCL
+    8438695U,	// RCR8ri
+    20727U,	// RDFSBASE
+    22501U,	// RDFSBASE64
+    20749U,	// RDGSBASE
+    22523U,	// RDGSBASE64
+    13460U,	// RDMSR
+    12817U,	// RDPMC
+    25834U,	// RDRAND16r
+    20641U,	// RDRAND32r
+    22240U,	// RDRAND64r
+    25811U,	// RDSEED16r
+    20612U,	// RDSEED32r
+    22147U,	// RDSEED64r
+    12830U,	// RDTSC
+    13280U,	// RDTSCP
+    12214U,	// RELEASE_ADD32mi
+    12214U,	// RELEASE_ADD64mi32
+    12214U,	// RELEASE_ADD8mi
+    12214U,	// RELEASE_AND32mi
+    12214U,	// RELEASE_AND64mi32
+    12214U,	// RELEASE_AND8mi
+    12237U,	// RELEASE_DEC16m
+    12237U,	// RELEASE_DEC32m
+    12237U,	// RELEASE_DEC64m
+    12237U,	// RELEASE_DEC8m
+    12237U,	// RELEASE_INC16m
+    12237U,	// RELEASE_INC32m
+    12237U,	// RELEASE_INC64m
+    12237U,	// RELEASE_INC8m
+    11840U,	// RELEASE_MOV16mi
+    12280U,	// RELEASE_MOV16mr
+    11840U,	// RELEASE_MOV32mi
+    12280U,	// RELEASE_MOV32mr
+    11840U,	// RELEASE_MOV64mi32
+    12280U,	// RELEASE_MOV64mr
+    11840U,	// RELEASE_MOV8mi
+    12280U,	// RELEASE_MOV8mr
+    12214U,	// RELEASE_OR32mi
+    12214U,	// RELEASE_OR64mi32
+    12214U,	// RELEASE_OR8mi
+    12214U,	// RELEASE_XOR32mi
+    12214U,	// RELEASE_XOR64mi32
+    12214U,	// RELEASE_XOR8mi
+    12920U,	// REPNE_PREFIX
+    12761U,	// REP_MOVSB_32
+    12761U,	// REP_MOVSB_64
+    13145U,	// REP_MOVSD_32
+    13145U,	// REP_MOVSD_64
+    13388U,	// REP_MOVSQ_64
+    13951U,	// REP_MOVSW_32
+    13951U,	// REP_MOVSW_64
+    13287U,	// REP_PREFIX
+    12751U,	// REP_STOSB_32
+    12751U,	// REP_STOSB_64
+    13135U,	// REP_STOSD_32
+    13135U,	// REP_STOSD_64
+    13378U,	// REP_STOSQ_64
+    13941U,	// REP_STOSW_32
+    13941U,	// REP_STOSW_64
+    21398U,	// RETIL
+    23217U,	// RETIQ
+    26675U,	// RETIW
+    13156U,	// RETL
+    13399U,	// RETQ
+    13967U,	// RETW
+    12587U,	// REX64_PREFIX
+    223959U,	// ROL16m1
+    224426U,	// ROL16mCL
+    4236805U,	// ROL16mi
+    27351U,	// ROL16r1
+    27818U,	// ROL16rCL
+    8447493U,	// ROL16ri
+    240183U,	// ROL32m1
+    240586U,	// ROL32mCL
+    12620210U,	// ROL32mi
+    27191U,	// ROL32r1
+    27594U,	// ROL32rCL
+    8442290U,	// ROL32ri
+    436871U,	// ROL64m1
+    437306U,	// ROL64mCL
+    18913428U,	// ROL64mi
+    27271U,	// ROL64r1
+    27706U,	// ROL64rCL
+    8444052U,	// ROL64ri
+    469479U,	// ROL8m1
+    469850U,	// ROL8mCL
+    23102248U,	// ROL8mi
+    27111U,	// ROL8r1
+    27482U,	// ROL8rCL
+    8438568U,	// ROL8ri
+    223999U,	// ROR16m1
+    224470U,	// ROR16mCL
+    4237045U,	// ROR16mi
+    27391U,	// ROR16r1
+    27862U,	// ROR16rCL
+    8447733U,	// ROR16ri
+    240223U,	// ROR32m1
+    240630U,	// ROR32mCL
+    12620476U,	// ROR32mi
+    27231U,	// ROR32r1
+    27638U,	// ROR32rCL
+    8442556U,	// ROR32ri
+    436911U,	// ROR64m1
+    437350U,	// ROR64mCL
+    18913698U,	// ROR64mi
+    27311U,	// ROR64r1
+    27750U,	// ROR64rCL
+    8444322U,	// ROR64ri
+    469519U,	// ROR8m1
+    469894U,	// ROR8mCL
+    23102401U,	// ROR8mi
+    27151U,	// ROR8r1
+    27526U,	// ROR8rCL
+    8438721U,	// ROR8ri
+    832934969U,	// RORX32mi
+    811652153U,	// RORX32ri
+    835034080U,	// RORX64mi
+    811654112U,	// RORX64ri
+    82119013U,	// ROUNDPDm
+    811944293U,	// ROUNDPDr
+    82124572U,	// ROUNDPSm
+    811949852U,	// ROUNDPSr
+    581291140U,	// ROUNDSDm
+    570821764U,	// ROUNDSDr
+    570821764U,	// ROUNDSDr_Int
+    585491003U,	// ROUNDSSm
+    570827323U,	// ROUNDSSr
+    570827323U,	// ROUNDSSr_Int
+    13221U,	// RSM
+    614544U,	// RSQRTPSm
+    614544U,	// RSQRTPSm_Int
+    551821456U,	// RSQRTPSr
+    551821456U,	// RSQRTPSr_Int
+    552198798U,	// RSQRTSSm
+    551723662U,	// RSQRTSSm_Int
+    551821966U,	// RSQRTSSr
+    8446606U,	// RSQRTSSr_Int
+    13006U,	// SAHF
+    223929U,	// SAL16m1
+    224393U,	// SAL16mCL
+    4236750U,	// SAL16mi
+    27321U,	// SAL16r1
+    27785U,	// SAL16rCL
+    8447438U,	// SAL16ri
+    240153U,	// SAL32m1
+    240553U,	// SAL32mCL
+    12620158U,	// SAL32mi
+    27161U,	// SAL32r1
+    27561U,	// SAL32rCL
+    8442238U,	// SAL32ri
+    436841U,	// SAL64m1
+    437273U,	// SAL64mCL
+    18913384U,	// SAL64mi
+    27241U,	// SAL64r1
+    27673U,	// SAL64rCL
+    8444008U,	// SAL64ri
+    469449U,	// SAL8m1
+    469817U,	// SAL8mCL
+    23102228U,	// SAL8mi
+    27081U,	// SAL8r1
+    27449U,	// SAL8rCL
+    8438548U,	// SAL8ri
+    12804U,	// SALC
+    223969U,	// SAR16m1
+    224437U,	// SAR16mCL
+    4236998U,	// SAR16mi
+    27361U,	// SAR16r1
+    27829U,	// SAR16rCL
+    8447686U,	// SAR16ri
+    240193U,	// SAR32m1
+    240597U,	// SAR32mCL
+    12620441U,	// SAR32mi
+    27201U,	// SAR32r1
+    27605U,	// SAR32rCL
+    8442521U,	// SAR32ri
+    436881U,	// SAR64m1
+    437317U,	// SAR64mCL
+    18913659U,	// SAR64mi
+    27281U,	// SAR64r1
+    27717U,	// SAR64rCL
+    8444283U,	// SAR64ri
+    469489U,	// SAR8m1
+    469861U,	// SAR8mCL
+    23102369U,	// SAR8mi
+    27121U,	// SAR8r1
+    27493U,	// SAR8rCL
+    8438689U,	// SAR8ri
+    832934955U,	// SARX32rm
+    811652139U,	// SARX32rr
+    835034066U,	// SARX64rm
+    811654098U,	// SARX64rr
+    2122747U,	// SBB16i16
+    4236283U,	// SBB16mi
+    4236283U,	// SBB16mi8
+    4236283U,	// SBB16mr
+    6349819U,	// SBB16ri
+    6349819U,	// SBB16ri8
+    6366203U,	// SBB16rm
+    6349819U,	// SBB16rr
+    8446971U,	// SBB16rr_REV
+    10506272U,	// SBB32i32
+    12619808U,	// SBB32mi
+    12619808U,	// SBB32mi8
+    12619808U,	// SBB32mr
+    6344736U,	// SBB32ri
+    6344736U,	// SBB32ri8
+    283201568U,	// SBB32rm
+    6344736U,	// SBB32rr
+    8441888U,	// SBB32rr_REV
+    16799159U,	// SBB64i32
+    18912695U,	// SBB64mi32
+    18912695U,	// SBB64mi8
+    18912695U,	// SBB64mr
+    6346167U,	// SBB64ri32
+    6346167U,	// SBB64ri8
+    283219383U,	// SBB64rm
+    6346167U,	// SBB64rr
+    8443319U,	// SBB64rr_REV
+    20988560U,	// SBB8i8
+    23102096U,	// SBB8mi
+    23102096U,	// SBB8mi8
+    23102096U,	// SBB8mr
+    6341264U,	// SBB8ri
+    6341264U,	// SBB8ri8
+    115344U,	// SBB8rm
+    6341264U,	// SBB8rr
+    8438416U,	// SBB8rr_REV
+    21496810U,	// SCASB
+    11031290U,	// SCASL
+    17340916U,	// SCASQ
+    2680630U,	// SCASW
+    13717U,	// SEG_ALLOCA_32
+    13717U,	// SEG_ALLOCA_64
+    12971U,	// SEH_EndPrologue
+    12957U,	// SEH_Epilogue
+    28165U,	// SEH_PushFrame
+    28210U,	// SEH_PushReg
+    283143716U,	// SEH_SaveReg
+    283143630U,	// SEH_SaveXMM
+    283143701U,	// SEH_SetFrame
+    28148U,	// SEH_StackAlloc
+    462407U,	// SETAEm
+    20039U,	// SETAEr
+    459340U,	// SETAm
+    16972U,	// SETAr
+    462429U,	// SETBEm
+    20061U,	// SETBEr
     0U,	// SETB_C16r
     0U,	// SETB_C32r
     0U,	// SETB_C64r
     0U,	// SETB_C8r
-    430073U,	// SETBm
-    20473U,	// SETBr
-    432055U,	// SETEm
-    22455U,	// SETEr
-    431996U,	// SETGEm
-    22396U,	// SETGEr
-    432108U,	// SETGm
-    22508U,	// SETGr
-    432012U,	// SETLEm
-    22412U,	// SETLEr
-    433252U,	// SETLm
-    23652U,	// SETLr
-    432032U,	// SETNEm
-    22432U,	// SETNEr
-    433505U,	// SETNOm
-    23905U,	// SETNOr
-    433575U,	// SETNPm
-    23975U,	// SETNPr
-    435231U,	// SETNSm
-    25631U,	// SETNSr
-    433512U,	// SETOm
-    23912U,	// SETOr
-    433609U,	// SETPm
-    24009U,	// SETPr
-    436448U,	// SETSm
-    26848U,	// SETSr
-    14305U,	// SFENCE
-    634245U,	// SGDT16m
-    629825U,	// SGDT32m
-    631330U,	// SGDT64m
-    8686768U,	// SHA1MSG1rm
-    8441008U,	// SHA1MSG1rr
-    8686844U,	// SHA1MSG2rm
-    8441084U,	// SHA1MSG2rr
-    8689597U,	// SHA1NEXTErm
-    8443837U,	// SHA1NEXTErr
-    608521547U,	// SHA1RNDS4rmi
-    570789195U,	// SHA1RNDS4rri
-    8686778U,	// SHA256MSG1rm
-    8441018U,	// SHA256MSG1rr
-    8686854U,	// SHA256MSG2rm
-    8441094U,	// SHA256MSG2rr
-    8686866U,	// SHA256RNDS2rm
-    8441106U,	// SHA256RNDS2rr
-    225333U,	// SHL16m1
-    225799U,	// SHL16mCL
-    4238258U,	// SHL16mi
-    28725U,	// SHL16r1
-    29191U,	// SHL16rCL
-    8448946U,	// SHL16ri
-    241557U,	// SHL32m1
-    241959U,	// SHL32mCL
-    12622426U,	// SHL32mi
-    28565U,	// SHL32r1
-    28967U,	// SHL32rCL
-    8444506U,	// SHL32ri
-    405477U,	// SHL64m1
-    405911U,	// SHL64mCL
-    18915497U,	// SHL64mi
-    28645U,	// SHL64r1
-    29079U,	// SHL64rCL
-    8446121U,	// SHL64ri
-    438085U,	// SHL8m1
-    438455U,	// SHL8mCL
-    23105298U,	// SHL8mi
-    28485U,	// SHL8r1
-    28855U,	// SHL8rCL
-    8441618U,	// SHL8ri
-    4239833U,	// SHLD16mrCL
-    1392847565U,	// SHLD16mri8
-    8450521U,	// SHLD16rrCL
-    570796749U,	// SHLD16rri8
-    12628217U,	// SHLD32mrCL
-    855972187U,	// SHLD32mri8
-    8450297U,	// SHLD32rrCL
-    570792283U,	// SHLD32rri8
-    18919785U,	// SHLD64mrCL
-    1124409115U,	// SHLD64mri8
-    8450409U,	// SHLD64rrCL
-    570793755U,	// SHLD64rri8
-    832904414U,	// SHLX32rm
-    811654366U,	// SHLX32rr
-    835003189U,	// SHLX64rm
-    811655989U,	// SHLX64rr
-    225373U,	// SHR16m1
-    225843U,	// SHR16mCL
-    4238448U,	// SHR16mi
-    28765U,	// SHR16r1
-    29235U,	// SHR16rCL
-    8449136U,	// SHR16ri
-    241597U,	// SHR32m1
-    242003U,	// SHR32mCL
-    12622718U,	// SHR32mi
-    28605U,	// SHR32r1
-    29011U,	// SHR32rCL
-    8444798U,	// SHR32ri
-    405517U,	// SHR64m1
-    405955U,	// SHR64mCL
-    18915687U,	// SHR64mi
-    28685U,	// SHR64r1
-    29123U,	// SHR64rCL
-    8446311U,	// SHR64ri
-    438125U,	// SHR8m1
-    438499U,	// SHR8mCL
-    23105376U,	// SHR8mi
-    28525U,	// SHR8r1
-    28899U,	// SHR8rCL
-    8441696U,	// SHR8ri
-    4239845U,	// SHRD16mrCL
-    1392847591U,	// SHRD16mri8
-    8450533U,	// SHRD16rrCL
-    570796775U,	// SHRD16rri8
-    12628229U,	// SHRD32mrCL
-    855972210U,	// SHRD32mri8
-    8450309U,	// SHRD32rrCL
-    570792306U,	// SHRD32rri8
-    18919797U,	// SHRD64mrCL
-    1124409220U,	// SHRD64mri8
-    8450421U,	// SHRD64rrCL
-    570793860U,	// SHRD64rri8
-    832904442U,	// SHRX32rm
-    811654394U,	// SHRX32rr
-    835003217U,	// SHRX64rm
-    811656017U,	// SHRX64rr
-    568677305U,	// SHUFPDrmi
-    570790841U,	// SHUFPDrri
-    568681986U,	// SHUFPSrmi
-    570795522U,	// SHUFPSrri
-    634259U,	// SIDT16m
-    629839U,	// SIDT32m
-    631344U,	// SIDT64m
-    14640U,	// SIN_F
+    459871U,	// SETBm
+    17503U,	// SETBr
+    462525U,	// SETEm
+    20157U,	// SETEr
+    462466U,	// SETGEm
+    20098U,	// SETGEr
+    462578U,	// SETGm
+    20210U,	// SETGr
+    462482U,	// SETLEm
+    20114U,	// SETLEr
+    463772U,	// SETLm
+    21404U,	// SETLr
+    462502U,	// SETNEm
+    20134U,	// SETNEr
+    464025U,	// SETNOm
+    21657U,	// SETNOr
+    464109U,	// SETNPm
+    21741U,	// SETNPr
+    466095U,	// SETNSm
+    23727U,	// SETNSr
+    464032U,	// SETOm
+    21664U,	// SETOr
+    464143U,	// SETPm
+    21775U,	// SETPr
+    467663U,	// SETSm
+    25295U,	// SETSr
+    12897U,	// SFENCE
+    665615U,	// SGDT16m
+    660345U,	// SGDT32m
+    662164U,	// SGDT64m
+    8683533U,	// SHA1MSG1rm
+    8437773U,	// SHA1MSG1rr
+    8683609U,	// SHA1MSG2rm
+    8437849U,	// SHA1MSG2rr
+    8687299U,	// SHA1NEXTErm
+    8441539U,	// SHA1NEXTErr
+    610648324U,	// SHA1RNDS4rmi
+    570818820U,	// SHA1RNDS4rri
+    8683543U,	// SHA256MSG1rm
+    8437783U,	// SHA256MSG1rr
+    8683619U,	// SHA256MSG2rm
+    8437859U,	// SHA256MSG2rr
+    8683631U,	// SHA256RNDS2rm
+    8437871U,	// SHA256RNDS2rr
+    223949U,	// SHL16m1
+    224415U,	// SHL16mCL
+    4236774U,	// SHL16mi
+    27341U,	// SHL16r1
+    27807U,	// SHL16rCL
+    8447462U,	// SHL16ri
+    240173U,	// SHL32m1
+    240575U,	// SHL32mCL
+    12620178U,	// SHL32mi
+    27181U,	// SHL32r1
+    27583U,	// SHL32rCL
+    8442258U,	// SHL32ri
+    436861U,	// SHL64m1
+    437295U,	// SHL64mCL
+    18913398U,	// SHL64mi
+    27261U,	// SHL64r1
+    27695U,	// SHL64rCL
+    8444022U,	// SHL64ri
+    469469U,	// SHL8m1
+    469839U,	// SHL8mCL
+    23102242U,	// SHL8mi
+    27101U,	// SHL8r1
+    27471U,	// SHL8rCL
+    8438562U,	// SHL8ri
+    4238449U,	// SHLD16mrCL
+    1124443356U,	// SHLD16mri8
+    8449137U,	// SHLD16rrCL
+    571401436U,	// SHLD16rri8
+    12626833U,	// SHLD32mrCL
+    587567251U,	// SHLD32mri8
+    8448913U,	// SHLD32rrCL
+    571396243U,	// SHLD32rri8
+    18918401U,	// SHLD64mrCL
+    856004248U,	// SHLD64mri8
+    8449025U,	// SHLD64rrCL
+    571397784U,	// SHLD64rri8
+    832934934U,	// SHLX32rm
+    811652118U,	// SHLX32rr
+    835034045U,	// SHLX64rm
+    811654077U,	// SHLX64rr
+    223989U,	// SHR16m1
+    224459U,	// SHR16mCL
+    4237025U,	// SHR16mi
+    27381U,	// SHR16r1
+    27851U,	// SHR16rCL
+    8447713U,	// SHR16ri
+    240213U,	// SHR32m1
+    240619U,	// SHR32mCL
+    12620470U,	// SHR32mi
+    27221U,	// SHR32r1
+    27627U,	// SHR32rCL
+    8442550U,	// SHR32ri
+    436901U,	// SHR64m1
+    437339U,	// SHR64mCL
+    18913671U,	// SHR64mi
+    27301U,	// SHR64r1
+    27739U,	// SHR64rCL
+    8444295U,	// SHR64ri
+    469509U,	// SHR8m1
+    469883U,	// SHR8mCL
+    23102381U,	// SHR8mi
+    27141U,	// SHR8r1
+    27515U,	// SHR8rCL
+    8438701U,	// SHR8ri
+    4238461U,	// SHRD16mrCL
+    1124443389U,	// SHRD16mri8
+    8449149U,	// SHRD16rrCL
+    571401469U,	// SHRD16rri8
+    12626845U,	// SHRD32mrCL
+    587567274U,	// SHRD32mri8
+    8448925U,	// SHRD32rrCL
+    571396266U,	// SHRD32rri8
+    18918413U,	// SHRD64mrCL
+    856004392U,	// SHRD64mri8
+    8449037U,	// SHRD64rrCL
+    571397928U,	// SHRD64rri8
+    832934962U,	// SHRX32rm
+    811652146U,	// SHRX32rr
+    835034073U,	// SHRX64rm
+    811654105U,	// SHRX64rr
+    568707477U,	// SHUFPDrmi
+    570821013U,	// SHUFPDrri
+    568713036U,	// SHUFPSrmi
+    570826572U,	// SHUFPSrri
+    665629U,	// SIDT16m
+    660359U,	// SIDT32m
+    662178U,	// SIDT64m
+    13238U,	// SIN_F
     0U,	// SIN_Fp32
     0U,	// SIN_Fp64
     0U,	// SIN_Fp80
-    15410U,	// SKINIT
-    224673U,	// SLDT16m
-    28065U,	// SLDT16r
-    23638U,	// SLDT32r
-    221751U,	// SLDT64m
-    25143U,	// SLDT64r
-    224837U,	// SMSW16m
-    28229U,	// SMSW16r
-    23744U,	// SMSW32r
-    25334U,	// SMSW64r
-    578654U,	// SQRTPDm
-    551818334U,	// SQRTPDr
-    583396U,	// SQRTPSm
-    551823076U,	// SQRTPSr
-    595463U,	// SQRTSDm
-    595463U,	// SQRTSDm_Int
-    551818759U,	// SQRTSDr
-    551818759U,	// SQRTSDr_Int
-    616608U,	// SQRTSSm
-    616608U,	// SQRTSSm_Int
-    551823520U,	// SQRTSSr
-    551823520U,	// SQRTSSr_Int
-    15245U,	// SQRT_F
+    14043U,	// SKINIT
+    223275U,	// SLDT16m
+    26667U,	// SLDT16r
+    21390U,	// SLDT32r
+    219817U,	// SLDT64m
+    23209U,	// SLDT64r
+    223453U,	// SMSW16m
+    26845U,	// SMSW16r
+    21496U,	// SMSW32r
+    23422U,	// SMSW64r
+    608925U,	// SQRTPDm
+    551815837U,	// SQRTPDr
+    614545U,	// SQRTPSm
+    551821457U,	// SQRTPSr
+    552176869U,	// SQRTSDm
+    551701733U,	// SQRTSDm_Int
+    551816421U,	// SQRTSDr
+    8441061U,	// SQRTSDr_Int
+    552198799U,	// SQRTSSm
+    551723663U,	// SQRTSSm_Int
+    551821967U,	// SQRTSSr
+    8446607U,	// SQRTSSr_Int
+    13878U,	// SQRT_F
     0U,	// SQRT_Fp32
     0U,	// SQRT_Fp64
     0U,	// SQRT_Fp80
-    14190U,	// STAC
-    14244U,	// STC
-    14268U,	// STD
-    14433U,	// STGI
-    14448U,	// STI
-    238512U,	// STMXCSR
-    503935U,	// STOSB
-    520840U,	// STOSL
-    537276U,	// STOSQ
-    553559U,	// STOSW
-    27805U,	// STR16r
-    23459U,	// STR32r
-    24991U,	// STR64r
-    224413U,	// STRm
-    190694U,	// ST_F32m
-    203920U,	// ST_F64m
-    35675539U,	// ST_FCOMPST0r
-    35675539U,	// ST_FCOMPST0r_alt
-    35675405U,	// ST_FCOMST0r
-    190206U,	// ST_FP32m
-    203556U,	// ST_FP64m
-    715048U,	// ST_FP80m
-    28376U,	// ST_FPNCEST0r
-    28407U,	// ST_FPST0r
-    28407U,	// ST_FPST0r_alt
-    24022U,	// ST_FPrr
-    35674108U,	// ST_FXCHST0r
-    35674108U,	// ST_FXCHST0r_alt
+    12782U,	// STAC
+    12836U,	// STC
+    12860U,	// STD
+    13025U,	// STGI
+    13040U,	// STI
+    236600U,	// STMXCSR
+    535319U,	// STOSB
+    552224U,	// STOSL
+    568660U,	// STOSQ
+    584943U,	// STOSW
+    26407U,	// STR16r
+    21211U,	// STR32r
+    23005U,	// STR64r
+    223015U,	// STRm
+    189141U,	// ST_F32m
+    201672U,	// ST_F64m
+    35673305U,	// ST_FCOMPST0r
+    35673305U,	// ST_FCOMPST0r_alt
+    35673157U,	// ST_FCOMST0r
+    188587U,	// ST_FP32m
+    201308U,	// ST_FP64m
+    746275U,	// ST_FP80m
+    26992U,	// ST_FPNCEST0r
+    27023U,	// ST_FPST0r
+    27023U,	// ST_FPST0r_alt
+    21788U,	// ST_FPrr
+    35671810U,	// ST_FXCHST0r
+    35671810U,	// ST_FXCHST0r_alt
     0U,	// ST_Fp32m
     0U,	// ST_Fp64m
     0U,	// ST_Fp64m32
@@ -2783,52 +2846,53 @@ static void printInstruction(MCInst *MI,
     0U,	// ST_FpP80m
     0U,	// ST_FpP80m32
     0U,	// ST_FpP80m64
-    26978U,	// ST_Frr
-    2124369U,	// SUB16i16
-    4237905U,	// SUB16mi
-    4237905U,	// SUB16mi8
-    4237905U,	// SUB16mr
-    6351441U,	// SUB16ri
-    6351441U,	// SUB16ri8
-    6367825U,	// SUB16rm
-    6351441U,	// SUB16rr
-    8448593U,	// SUB16rr_REV
-    10508535U,	// SUB32i32
-    12622071U,	// SUB32mi
-    12622071U,	// SUB32mi8
-    12622071U,	// SUB32mr
-    6346999U,	// SUB32ri
-    6346999U,	// SUB32ri8
-    283203831U,	// SUB32rm
-    6346999U,	// SUB32rr
-    8444151U,	// SUB32rr_REV
-    16801375U,	// SUB64i32
-    18914911U,	// SUB64mi32
-    18914911U,	// SUB64mi8
-    18914911U,	// SUB64mr
-    6348383U,	// SUB64ri32
-    6348383U,	// SUB64ri8
-    283221599U,	// SUB64rm
-    6348383U,	// SUB64rr
-    8445535U,	// SUB64rr_REV
-    20991655U,	// SUB8i8
-    23105191U,	// SUB8mi
-    23105191U,	// SUB8mr
-    6344359U,	// SUB8ri
-    6344359U,	// SUB8ri8
-    118439U,	// SUB8rm
-    6344359U,	// SUB8rr
-    8441511U,	// SUB8rr_REV
-    8524581U,	// SUBPDrm
-    8442661U,	// SUBPDrr
-    8529262U,	// SUBPSrm
-    8447342U,	// SUBPSrr
-    190287U,	// SUBR_F32m
-    203623U,	// SUBR_F64m
-    223063U,	// SUBR_FI16m
-    236399U,	// SUBR_FI32m
-    23918U,	// SUBR_FPrST0
-    25449U,	// SUBR_FST0r
+    25437U,	// ST_Frr
+    2122848U,	// SUB16i16
+    4236384U,	// SUB16mi
+    4236384U,	// SUB16mi8
+    4236384U,	// SUB16mr
+    6349920U,	// SUB16ri
+    6349920U,	// SUB16ri8
+    6366304U,	// SUB16rm
+    6349920U,	// SUB16rr
+    8447072U,	// SUB16rr_REV
+    10506287U,	// SUB32i32
+    12619823U,	// SUB32mi
+    12619823U,	// SUB32mi8
+    12619823U,	// SUB32mr
+    6344751U,	// SUB32ri
+    6344751U,	// SUB32ri8
+    283201583U,	// SUB32rm
+    6344751U,	// SUB32rr
+    8441903U,	// SUB32rr_REV
+    16799196U,	// SUB64i32
+    18912732U,	// SUB64mi32
+    18912732U,	// SUB64mi8
+    18912732U,	// SUB64mr
+    6346204U,	// SUB64ri32
+    6346204U,	// SUB64ri8
+    283219420U,	// SUB64rm
+    6346204U,	// SUB64rr
+    8443356U,	// SUB64rr_REV
+    20988568U,	// SUB8i8
+    23102104U,	// SUB8mi
+    23102104U,	// SUB8mi8
+    23102104U,	// SUB8mr
+    6341272U,	// SUB8ri
+    6341272U,	// SUB8ri8
+    115352U,	// SUB8rm
+    6341272U,	// SUB8rr
+    8438424U,	// SUB8rr_REV
+    8521886U,	// SUBPDrm
+    8439966U,	// SUBPDrr
+    8527445U,	// SUBPSrm
+    8445525U,	// SUBPSrr
+    188668U,	// SUBR_F32m
+    201375U,	// SUBR_F64m
+    221444U,	// SUBR_FI16m
+    234151U,	// SUBR_FI32m
+    21670U,	// SUBR_FPrST0
+    23537U,	// SUBR_FST0r
     0U,	// SUBR_Fp32m
     0U,	// SUBR_Fp64m
     0U,	// SUBR_Fp64m32
@@ -2840,21 +2904,21 @@ static void printInstruction(MCInst *MI,
     0U,	// SUBR_FpI32m32
     0U,	// SUBR_FpI32m64
     0U,	// SUBR_FpI32m80
-    28348U,	// SUBR_FrST0
-    551703944U,	// SUBSDrm
-    551703944U,	// SUBSDrm_Int
-    8443272U,	// SUBSDrr
-    8443272U,	// SUBSDrr_Int
-    551725089U,	// SUBSSrm
-    551725089U,	// SUBSSrm_Int
-    8448033U,	// SUBSSrr
-    8448033U,	// SUBSSrr_Int
-    189383U,	// SUB_F32m
-    202998U,	// SUB_F64m
-    222158U,	// SUB_FI16m
-    235773U,	// SUB_FI32m
-    23993U,	// SUB_FPrST0
-    20543U,	// SUB_FST0r
+    26964U,	// SUBR_FrST0
+    551701580U,	// SUBSDrm
+    551701580U,	// SUBSDrm_Int
+    8440908U,	// SUBSDrr
+    8440908U,	// SUBSDrr_Int
+    551723523U,	// SUBSSrm
+    551723523U,	// SUBSSrm_Int
+    8446467U,	// SUBSSrr
+    8446467U,	// SUBSSrr_Int
+    187471U,	// SUB_F32m
+    200750U,	// SUB_F64m
+    220246U,	// SUB_FI16m
+    233525U,	// SUB_FI32m
+    21759U,	// SUB_FPrST0
+    17586U,	// SUB_FST0r
     0U,	// SUB_Fp32
     0U,	// SUB_Fp32m
     0U,	// SUB_Fp64
@@ -2869,3422 +2933,5944 @@ static void printInstruction(MCInst *MI,
     0U,	// SUB_FpI32m32
     0U,	// SUB_FpI32m64
     0U,	// SUB_FpI32m80
-    28421U,	// SUB_FrST0
-    15080U,	// SWAPGS
-    14526U,	// SYSCALL
-    14818U,	// SYSENTER
-    14583U,	// SYSEXIT
-    14793U,	// SYSEXIT64
-    14575U,	// SYSRET
-    14785U,	// SYSRET64
-    551801005U,	// T1MSKC32rm
-    551817389U,	// T1MSKC32rr
-    551833773U,	// T1MSKC64rm
-    551817389U,	// T1MSKC64rr
-    82206094U,	// TAILJMPd
-    82206094U,	// TAILJMPd64
-    82032036U,	// TAILJMPm
-    82195893U,	// TAILJMPm64
+    27037U,	// SUB_FrST0
+    13705U,	// SWAPGS
+    13118U,	// SYSCALL
+    13443U,	// SYSENTER
+    13175U,	// SYSEXIT
+    13418U,	// SYSEXIT64
+    13167U,	// SYSRET
+    13410U,	// SYSRET64
+    551798069U,	// T1MSKC32rm
+    551814453U,	// T1MSKC32rr
+    551830837U,	// T1MSKC64rm
+    551814453U,	// T1MSKC64rr
+    447700U,	// TAILJMPd
+    447700U,	// TAILJMPd64
+    447694U,	// TAILJMPd64_REX
+    241687U,	// TAILJMPm
+    438317U,	// TAILJMPm64
+    438311U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
-    81819061U,	// TAILJMPr64
+    28717U,	// TAILJMPr64
+    28711U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
     0U,	// TCRETURNmi64
     0U,	// TCRETURNri
     0U,	// TCRETURNri64
-    2125294U,	// TEST16i16
-    4238830U,	// TEST16mi
-    4238830U,	// TEST16mi_alt
-    551824878U,	// TEST16ri
-    551824878U,	// TEST16ri_alt
-    4238830U,	// TEST16rm
-    551824878U,	// TEST16rr
-    10509449U,	// TEST32i32
-    12622985U,	// TEST32mi
-    12622985U,	// TEST32mi_alt
-    551820425U,	// TEST32ri
-    551820425U,	// TEST32ri_alt
-    12622985U,	// TEST32rm
-    551820425U,	// TEST32rr
-    16802464U,	// TEST64i32
-    18916000U,	// TEST64mi32
-    18916000U,	// TEST64mi32_alt
-    551821984U,	// TEST64ri32
-    551821984U,	// TEST64ri32_alt
-    18916000U,	// TEST64rm
-    551821984U,	// TEST64rr
-    20992037U,	// TEST8i8
-    23105573U,	// TEST8mi
-    23105573U,	// TEST8mi_alt
-    551817253U,	// TEST8ri
+    2123900U,	// TEST16i16
+    4237436U,	// TEST16mi
+    4237436U,	// TEST16mi_alt
+    551823484U,	// TEST16ri
+    551823484U,	// TEST16ri_alt
+    1356884092U,	// TEST16rm
+    551823484U,	// TEST16rr
+    10507201U,	// TEST32i32
+    12620737U,	// TEST32mi
+    12620737U,	// TEST32mi_alt
+    551818177U,	// TEST32ri
+    551818177U,	// TEST32ri_alt
+    1625314241U,	// TEST32rm
+    551818177U,	// TEST32rr
+    16800525U,	// TEST64i32
+    18914061U,	// TEST64mi32
+    18914061U,	// TEST64mi32_alt
+    551820045U,	// TEST64ri32
+    551820045U,	// TEST64ri32_alt
+    1893751565U,	// TEST64rm
+    551820045U,	// TEST64rr
+    20989071U,	// TEST8i8
+    23102607U,	// TEST8mi
+    23102607U,	// TEST8mi_alt
+    551814287U,	// TEST8ri
     0U,	// TEST8ri_NOREX
-    551817253U,	// TEST8ri_alt
-    23105573U,	// TEST8rm
-    551817253U,	// TEST8rr
-    13847U,	// TLSCall_32
-    13951U,	// TLSCall_64
-    13860U,	// TLS_addr32
-    13964U,	// TLS_addr64
-    13873U,	// TLS_base_addr32
-    13977U,	// TLS_base_addr64
-    13891U,	// TRAP
-    15257U,	// TST_F
+    551814287U,	// TEST8ri_alt
+    2162181263U,	// TEST8rm
+    551814287U,	// TEST8rr
+    12439U,	// TLSCall_32
+    12543U,	// TLSCall_64
+    12452U,	// TLS_addr32
+    12556U,	// TLS_addr64
+    12465U,	// TLS_base_addr32
+    12569U,	// TLS_base_addr64
+    12483U,	// TRAP
+    13890U,	// TST_F
     0U,	// TST_Fp32
     0U,	// TST_Fp64
     0U,	// TST_Fp80
-    388554U,	// TZCNT16rm
-    551824842U,	// TZCNT16rr
-    551804027U,	// TZCNT32rm
-    551820411U,	// TZCNT32rr
-    551838304U,	// TZCNT64rm
-    551821920U,	// TZCNT64rr
-    551803083U,	// TZMSK32rm
-    551819467U,	// TZMSK32rr
-    551835851U,	// TZMSK64rm
-    551819467U,	// TZMSK64rr
-    595402U,	// UCOMISDrm
-    551818698U,	// UCOMISDrr
-    616547U,	// UCOMISSrm
-    551823459U,	// UCOMISSrr
-    22644U,	// UCOM_FIPr
-    22586U,	// UCOM_FIr
-    14716U,	// UCOM_FPPr
-    23962U,	// UCOM_FPr
+    419924U,	// TZCNT16rm
+    551823444U,	// TZCNT16rr
+    551801779U,	// TZCNT32rm
+    551818163U,	// TZCNT32rr
+    551836372U,	// TZCNT64rm
+    551819988U,	// TZCNT64rr
+    551800835U,	// TZMSK32rm
+    551817219U,	// TZMSK32rr
+    551833603U,	// TZMSK64rm
+    551817219U,	// TZMSK64rr
+    552176795U,	// UCOMISDrm
+    551816347U,	// UCOMISDrr
+    552198738U,	// UCOMISSrm
+    551821906U,	// UCOMISSrr
+    20346U,	// UCOM_FIPr
+    20288U,	// UCOM_FIr
+    13341U,	// UCOM_FPPr
+    21728U,	// UCOM_FPr
     0U,	// UCOM_FpIr32
     0U,	// UCOM_FpIr64
     0U,	// UCOM_FpIr80
     0U,	// UCOM_Fpr32
     0U,	// UCOM_Fpr64
     0U,	// UCOM_Fpr80
-    23827U,	// UCOM_Fr
-    14124U,	// UD2B
-    8524738U,	// UNPCKHPDrm
-    8442818U,	// UNPCKHPDrr
-    8529419U,	// UNPCKHPSrm
-    8447499U,	// UNPCKHPSrr
-    8524780U,	// UNPCKLPDrm
-    8442860U,	// UNPCKLPDrr
-    8529481U,	// UNPCKLPSrm
-    8447561U,	// UNPCKLPSrr
-    1625322379U,	// VAARG_64
-    812520328U,	// VADDPDYrm
-    811651976U,	// VADDPDYrr
-    812532486U,	// VADDPDZrm
-    352469766U,	// VADDPDZrmb
-    1427014406U,	// VADDPDZrmbk
-    1427014406U,	// VADDPDZrmbkz
-    571397000U,	// VADDPDZrmk
-    571397000U,	// VADDPDZrmkz
-    811647750U,	// VADDPDZrr
-    570786566U,	// VADDPDZrrk
-    570786566U,	// VADDPDZrrkz
-    811733896U,	// VADDPDrm
-    811651976U,	// VADDPDrr
-    812525009U,	// VADDPSYrm
-    811656657U,	// VADDPSYrr
-    812534405U,	// VADDPSZrm
-    354585221U,	// VADDPSZrmb
-    1429146245U,	// VADDPSZrmbk
-    1429146245U,	// VADDPSZrmbkz
-    571401681U,	// VADDPSZrmk
-    571401681U,	// VADDPSZrmkz
-    811649669U,	// VADDPSZrr
-    570788485U,	// VADDPSZrrk
-    570788485U,	// VADDPSZrrkz
-    811738577U,	// VADDPSrm
-    811656657U,	// VADDPSrr
-    283268535U,	// VADDSDZrm
-    811652535U,	// VADDSDZrr
-    283268535U,	// VADDSDrm
-    283268535U,	// VADDSDrm_Int
-    811652535U,	// VADDSDrr
-    811652535U,	// VADDSDrr_Int
-    283289680U,	// VADDSSZrm
-    811657296U,	// VADDSSZrr
-    283289680U,	// VADDSSrm
-    283289680U,	// VADDSSrm_Int
-    811657296U,	// VADDSSrr
-    811657296U,	// VADDSSrr_Int
-    812520236U,	// VADDSUBPDYrm
-    811651884U,	// VADDSUBPDYrr
-    811733804U,	// VADDSUBPDrm
-    811651884U,	// VADDSUBPDrr
-    812524917U,	// VADDSUBPSYrm
-    811656565U,	// VADDSUBPSYrr
-    811738485U,	// VADDSUBPSrm
-    811656565U,	// VADDSUBPSrr
-    811903296U,	// VAESDECLASTrm
-    811657536U,	// VAESDECLASTrr
-    811896982U,	// VAESDECrm
-    811651222U,	// VAESDECrr
-    811903309U,	// VAESENCLASTrm
-    811657549U,	// VAESENCLASTrr
-    811897022U,	// VAESENCrm
-    811651262U,	// VAESENCrr
-    315573U,	// VAESIMCrm
-    551817397U,	// VAESIMCrr
-    25504103U,	// VAESKEYGENASSIST128rm
-    811657575U,	// VAESKEYGENASSIST128rr
-    356860300U,	// VALIGNDrmi
-    302350732U,	// VALIGNDrri
-    90210700U,	// VALIGNDrrik
-    571064716U,	// VALIGNDrrikz
-    356861965U,	// VALIGNQrmi
-    302352397U,	// VALIGNQrri
-    90212365U,	// VALIGNQrrik
-    571066381U,	// VALIGNQrrikz
-    812520472U,	// VANDNPDYrm
-    811652120U,	// VANDNPDYrr
-    811734040U,	// VANDNPDrm
-    811652120U,	// VANDNPDrr
-    812525182U,	// VANDNPSYrm
-    811656830U,	// VANDNPSYrr
-    811738750U,	// VANDNPSrm
-    811656830U,	// VANDNPSrr
-    812520336U,	// VANDPDYrm
-    811651984U,	// VANDPDYrr
-    811733904U,	// VANDPDrm
-    811651984U,	// VANDPDrr
-    812525017U,	// VANDPSYrm
-    811656665U,	// VANDPSYrr
-    811738585U,	// VANDPSrm
-    811656665U,	// VANDPSrr
-    283145147U,	// VASTART_SAVE_XMM_REGS
-    571392855U,	// VBLENDMPDZrm
-    570786647U,	// VBLENDMPDZrr
-    571394774U,	// VBLENDMPSZrm
-    570788566U,	// VBLENDMPSZrr
-    92623768U,	// VBLENDPDYrmi
-    302355352U,	// VBLENDPDYrri
-    300241816U,	// VBLENDPDrmi
-    302355352U,	// VBLENDPDrri
-    92628449U,	// VBLENDPSYrmi
-    302360033U,	// VBLENDPSYrri
-    300246497U,	// VBLENDPSrmi
-    302360033U,	// VBLENDPSrri
-    92623992U,	// VBLENDVPDYrm
-    302355576U,	// VBLENDVPDYrr
-    300242040U,	// VBLENDVPDrm
-    302355576U,	// VBLENDVPDrr
-    92628767U,	// VBLENDVPSYrm
-    302360351U,	// VBLENDVPSYrr
-    300246815U,	// VBLENDVPSrm
-    302360351U,	// VBLENDVPSrr
-    577020U,	// VBROADCASTF128
-    314931U,	// VBROADCASTI128
-    1887731713U,	// VBROADCASTI32X4krm
-    311297U,	// VBROADCASTI32X4rm
-    1888436243U,	// VBROADCASTI64X4krm
-    1015827U,	// VBROADCASTI64X4rm
-    595471U,	// VBROADCASTSDYrm
-    551818767U,	// VBROADCASTSDYrr
-    591070U,	// VBROADCASTSDZrm
-    551814366U,	// VBROADCASTSDZrr
-    616625U,	// VBROADCASTSSYrm
-    551823537U,	// VBROADCASTSSYrr
-    609253U,	// VBROADCASTSSZrm
-    551816165U,	// VBROADCASTSSZrr
-    616625U,	// VBROADCASTSSrm
-    551823537U,	// VBROADCASTSSrr
-    2185902443U,	// VCMPPDYrmi
-    92623920U,	// VCMPPDYrmi_alt
-    1380612459U,	// VCMPPDYrri
-    302355504U,	// VCMPPDYrri_alt
-    2510961003U,	// VCMPPDZrmi
-    96813942U,	// VCMPPDZrmi_alt
-    1437235563U,	// VCMPPDZrri
-    302351222U,	// VCMPPDZrri_alt
-    99252587U,	// VCMPPDZrrib
-    1112160619U,	// VCMPPDrmi
-    300241968U,	// VCMPPDrmi_alt
-    1380612459U,	// VCMPPDrri
-    302355504U,	// VCMPPDrri_alt
-    2187999595U,	// VCMPPSYrmi
-    92628638U,	// VCMPPSYrmi_alt
-    1382709611U,	// VCMPPSYrri
-    302360222U,	// VCMPPSYrri_alt
-    2517252459U,	// VCMPPSZrmi
-    96815861U,	// VCMPPSZrmi_alt
-    1443527019U,	// VCMPPSZrri
-    302353141U,	// VCMPPSZrri_alt
-    103446891U,	// VCMPPSZrrib
-    1114257771U,	// VCMPPSrmi
-    300246686U,	// VCMPPSrmi_alt
-    1382709611U,	// VCMPPSrri
-    302360222U,	// VCMPPSrri_alt
-    1921661291U,	// VCMPSDZrm
-    312825333U,	// VCMPSDZrmi_alt
-    1384806763U,	// VCMPSDZrr
-    302355957U,	// VCMPSDZrri_alt
-    1921661291U,	// VCMPSDrm
-    312825333U,	// VCMPSDrm_alt
-    1384806763U,	// VCMPSDrr
-    302355957U,	// VCMPSDrr_alt
-    2731161963U,	// VCMPSSZrm
-    317024397U,	// VCMPSSZrmi_alt
-    1389001067U,	// VCMPSSZrr
-    302360717U,	// VCMPSSZrri_alt
-    2731161963U,	// VCMPSSrm
-    317024397U,	// VCMPSSrm_alt
-    1389001067U,	// VCMPSSrr
-    302360717U,	// VCMPSSrr_alt
-    579027U,	// VCOMISDZrm
-    551818707U,	// VCOMISDZrr
-    579027U,	// VCOMISDrm
-    551818707U,	// VCOMISDrr
-    583788U,	// VCOMISSZrm
-    551823468U,	// VCOMISSZrr
-    583788U,	// VCOMISSrm
-    551823468U,	// VCOMISSrr
-    316066U,	// VCVTDQ2PDYrm
-    551817890U,	// VCVTDQ2PDYrr
-    1016318U,	// VCVTDQ2PDZrm
-    551813630U,	// VCVTDQ2PDZrr
-    551834274U,	// VCVTDQ2PDrm
-    551817890U,	// VCVTDQ2PDrr
-    1025278U,	// VCVTDQ2PSYrm
-    551822590U,	// VCVTDQ2PSYrr
-    1034633U,	// VCVTDQ2PSZrm
-    551815561U,	// VCVTDQ2PSZrr
-    1051017U,	// VCVTDQ2PSZrrb
-    320766U,	// VCVTDQ2PSrm
-    551822590U,	// VCVTDQ2PSrr
-    585323U,	// VCVTPD2DQXrm
-    1076880U,	// VCVTPD2DQYrm
-    551825040U,	// VCVTPD2DQYrr
-    1083054U,	// VCVTPD2DQZrm
-    551814830U,	// VCVTPD2DQZrr
-    1050286U,	// VCVTPD2DQZrrb
-    551820975U,	// VCVTPD2DQrr
-    585335U,	// VCVTPD2PSXrm
-    1076892U,	// VCVTPD2PSYrm
-    551825052U,	// VCVTPD2PSYrr
-    1083761U,	// VCVTPD2PSZrm
-    551815537U,	// VCVTPD2PSZrr
-    1050993U,	// VCVTPD2PSZrrb
-    551822546U,	// VCVTPD2PSrr
-    1083249U,	// VCVTPD2UDQZrm
-    551815025U,	// VCVTPD2UDQZrr
-    1050481U,	// VCVTPD2UDQZrrb
-    582877U,	// VCVTPH2PSYrm
-    551822557U,	// VCVTPH2PSYrr
-    1074397U,	// VCVTPH2PSZrm
-    551822557U,	// VCVTPH2PSZrr
-    599261U,	// VCVTPH2PSrm
-    551822557U,	// VCVTPH2PSrr
-    1072847U,	// VCVTPS2DQYrm
-    551821007U,	// VCVTPS2DQYrr
-    1083079U,	// VCVTPS2DQZrm
-    551814855U,	// VCVTPS2DQZrr
-    1050311U,	// VCVTPS2DQZrrb
-    581327U,	// VCVTPS2DQrm
-    551821007U,	// VCVTPS2DQrr
-    578221U,	// VCVTPS2PDYrm
-    551817901U,	// VCVTPS2PDYrr
-    1065495U,	// VCVTPS2PDZrm
-    551813655U,	// VCVTPS2PDZrr
-    594605U,	// VCVTPS2PDrm
-    551817901U,	// VCVTPS2PDrr
-    2735020034U,	// VCVTPS2PHYmr
-    811653122U,	// VCVTPS2PHYrr
-    3003450754U,	// VCVTPS2PHZmr
-    811648386U,	// VCVTPS2PHZrr
-    3271890946U,	// VCVTPS2PHmr
-    811653122U,	// VCVTPS2PHrr
-    1083276U,	// VCVTPS2UDQZrm
-    551815052U,	// VCVTPS2UDQZrr
-    1050508U,	// VCVTPS2UDQZrrb
-    591259U,	// VCVTSD2SI64Zrm
-    551814555U,	// VCVTSD2SI64Zrr
-    596129U,	// VCVTSD2SI64rm
-    551819425U,	// VCVTSD2SI64rr
-    591259U,	// VCVTSD2SIZrm
-    551814555U,	// VCVTSD2SIZrr
-    596129U,	// VCVTSD2SIrm
-    551819425U,	// VCVTSD2SIrr
-    283273181U,	// VCVTSD2SSZrm
-    811657181U,	// VCVTSD2SSZrr
-    283273181U,	// VCVTSD2SSrm
-    811657181U,	// VCVTSD2SSrr
-    591310U,	// VCVTSD2USI64Zrm
-    551814606U,	// VCVTSD2USI64Zrr
-    591310U,	// VCVTSD2USIZrm
-    551814606U,	// VCVTSD2USIZrr
-    283221899U,	// VCVTSI2SD64rm
-    811655051U,	// VCVTSI2SD64rr
-    283198966U,	// VCVTSI2SDZrm
-    811648502U,	// VCVTSI2SDZrr
-    283203961U,	// VCVTSI2SDrm
-    811653497U,	// VCVTSI2SDrr
-    283222505U,	// VCVTSI2SS64rm
-    811655657U,	// VCVTSI2SS64rr
-    283198993U,	// VCVTSI2SSZrm
-    811648529U,	// VCVTSI2SSZrr
-    283204609U,	// VCVTSI2SSrm
-    811654145U,	// VCVTSI2SSrr
-    283215688U,	// VCVTSI642SDZrm
-    811648840U,	// VCVTSI642SDZrr
-    283215982U,	// VCVTSI642SSZrm
-    811649134U,	// VCVTSI642SSZrr
-    283284796U,	// VCVTSS2SDZrm
-    811652412U,	// VCVTSS2SDZrr
-    283284796U,	// VCVTSS2SDrm
-    811652412U,	// VCVTSS2SDrr
-    607668U,	// VCVTSS2SI64Zrm
-    551814580U,	// VCVTSS2SI64Zrr
-    612536U,	// VCVTSS2SI64rm
-    551819448U,	// VCVTSS2SI64rr
-    607668U,	// VCVTSS2SIZrm
-    551814580U,	// VCVTSS2SIZrr
-    612536U,	// VCVTSS2SIrm
-    551819448U,	// VCVTSS2SIrr
-    607721U,	// VCVTSS2USI64Zrm
-    551814633U,	// VCVTSS2USI64Zrr
-    607721U,	// VCVTSS2USIZrm
-    551814633U,	// VCVTSS2USIZrr
-    585310U,	// VCVTTPD2DQXrm
-    1076867U,	// VCVTTPD2DQYrm
-    551825027U,	// VCVTTPD2DQYrr
-    1083041U,	// VCVTTPD2DQZrm
-    551814817U,	// VCVTTPD2DQZrr
-    551820963U,	// VCVTTPD2DQrr
-    1083235U,	// VCVTTPD2UDQZrm
-    551815011U,	// VCVTTPD2UDQZrr
-    1072835U,	// VCVTTPS2DQYrm
-    551820995U,	// VCVTTPS2DQYrr
-    1083066U,	// VCVTTPS2DQZrm
-    551814842U,	// VCVTTPS2DQZrr
-    581315U,	// VCVTTPS2DQrm
-    551820995U,	// VCVTTPS2DQrr
-    1083262U,	// VCVTTPS2UDQZrm
-    551815038U,	// VCVTTPS2UDQZrr
-    591246U,	// VCVTTSD2SI64Zrm
-    551814542U,	// VCVTTSD2SI64Zrr
-    596117U,	// VCVTTSD2SI64rm
-    551819413U,	// VCVTTSD2SI64rr
-    591246U,	// VCVTTSD2SIZrm
-    551814542U,	// VCVTTSD2SIZrr
-    596117U,	// VCVTTSD2SIrm
-    551819413U,	// VCVTTSD2SIrr
-    591296U,	// VCVTTSD2USI64Zrm
-    551814592U,	// VCVTTSD2USI64Zrr
-    591296U,	// VCVTTSD2USIZrm
-    551814592U,	// VCVTTSD2USIZrr
-    607655U,	// VCVTTSS2SI64Zrm
-    551814567U,	// VCVTTSS2SI64Zrr
-    612524U,	// VCVTTSS2SI64rm
-    551819436U,	// VCVTTSS2SI64rr
-    607655U,	// VCVTTSS2SIZrm
-    551814567U,	// VCVTTSS2SIZrr
-    612524U,	// VCVTTSS2SIrm
-    551819436U,	// VCVTTSS2SIrr
-    607707U,	// VCVTTSS2USI64Zrm
-    551814619U,	// VCVTTSS2USI64Zrr
-    607707U,	// VCVTTSS2USIZrm
-    551814619U,	// VCVTTSS2USIZrr
-    1065482U,	// VCVTUDQ2PDZrm
-    551813642U,	// VCVTUDQ2PDZrr
-    1083797U,	// VCVTUDQ2PSZrm
-    551815573U,	// VCVTUDQ2PSZrr
-    1051029U,	// VCVTUDQ2PSZrrb
-    283198979U,	// VCVTUSI2SDZrm
-    811648515U,	// VCVTUSI2SDZrr
-    283199006U,	// VCVTUSI2SSZrm
-    811648542U,	// VCVTUSI2SSZrr
-    283215701U,	// VCVTUSI642SDZrm
-    811648853U,	// VCVTUSI642SDZrr
-    283215995U,	// VCVTUSI642SSZrm
-    811649147U,	// VCVTUSI642SSZrr
-    812520579U,	// VDIVPDYrm
-    811652227U,	// VDIVPDYrr
-    812532700U,	// VDIVPDZrm
-    352469980U,	// VDIVPDZrmb
-    1427014620U,	// VDIVPDZrmbk
-    1427014620U,	// VDIVPDZrmbkz
-    571397251U,	// VDIVPDZrmk
-    571397251U,	// VDIVPDZrmkz
-    811647964U,	// VDIVPDZrr
-    570786780U,	// VDIVPDZrrk
-    570786780U,	// VDIVPDZrrkz
-    811734147U,	// VDIVPDrm
-    811652227U,	// VDIVPDrr
-    812525354U,	// VDIVPSYrm
-    811657002U,	// VDIVPSYrr
-    812534619U,	// VDIVPSZrm
-    354585435U,	// VDIVPSZrmb
-    1429146459U,	// VDIVPSZrmbk
-    1429146459U,	// VDIVPSZrmbkz
-    571402026U,	// VDIVPSZrmk
-    571402026U,	// VDIVPSZrmkz
-    811649883U,	// VDIVPSZrr
-    570788699U,	// VDIVPSZrrk
-    570788699U,	// VDIVPSZrrkz
-    811738922U,	// VDIVPSrm
-    811657002U,	// VDIVPSrr
-    283268637U,	// VDIVSDZrm
-    811652637U,	// VDIVSDZrr
-    283268637U,	// VDIVSDrm
-    283268637U,	// VDIVSDrm_Int
-    811652637U,	// VDIVSDrr
-    811652637U,	// VDIVSDrr_Int
-    283289791U,	// VDIVSSZrm
-    811657407U,	// VDIVSSZrr
-    283289791U,	// VDIVSSrm
-    283289791U,	// VDIVSSrm_Int
-    811657407U,	// VDIVSSrr
-    811657407U,	// VDIVSSrr_Int
-    300241961U,	// VDPPDrmi
-    302355497U,	// VDPPDrri
-    105211543U,	// VDPPSYrmi
-    302360215U,	// VDPPSYrri
-    300246679U,	// VDPPSrmi
-    302360215U,	// VDPPSrri
-    222111U,	// VERRm
-    25503U,	// VERRr
-    224353U,	// VERWm
-    27745U,	// VERWr
-    2735017441U,	// VEXTRACTF128mr
-    811650529U,	// VEXTRACTF128rr
-    2735017302U,	// VEXTRACTF32x4mr
-    811650390U,	// VEXTRACTF32x4rr
-    3003452816U,	// VEXTRACTF64x4mr
-    811650448U,	// VEXTRACTF64x4rr
-    3540323864U,	// VEXTRACTI128mr
-    811650584U,	// VEXTRACTI128rr
-    3540323699U,	// VEXTRACTI32x4mr
-    811650419U,	// VEXTRACTI32x4rr
-    3808759213U,	// VEXTRACTI64x4mr
-    811650477U,	// VEXTRACTI64x4rr
-    3271894721U,	// VEXTRACTPSmr
-    811656897U,	// VEXTRACTPSrr
-    3271894721U,	// VEXTRACTPSzmr
-    811656897U,	// VEXTRACTPSzrr
-    571392469U,	// VFMADD132PDZm
-    1427014101U,	// VFMADD132PDZmb
-    571394388U,	// VFMADD132PSZm
-    1429145940U,	// VFMADD132PSZmb
-    571392622U,	// VFMADD213PDZm
-    1427014254U,	// VFMADD213PDZmb
-    570786414U,	// VFMADD213PDZr
-    1888076398U,	// VFMADD213PDZrk
-    1888076398U,	// VFMADD213PDZrkz
-    571394541U,	// VFMADD213PSZm
-    1429146093U,	// VFMADD213PSZmb
-    570788333U,	// VFMADD213PSZr
-    1888078317U,	// VFMADD213PSZrk
-    1888078317U,	// VFMADD213PSZrkz
-    300241779U,	// VFMADDPD4mr
-    92623731U,	// VFMADDPD4mrY
-    303092595U,	// VFMADDPD4rm
-    303108979U,	// VFMADDPD4rmY
-    302355315U,	// VFMADDPD4rr
-    302355315U,	// VFMADDPD4rrY
-    302355315U,	// VFMADDPD4rrY_REV
-    302355315U,	// VFMADDPD4rr_REV
-    571527793U,	// VFMADDPDr132m
-    571544177U,	// VFMADDPDr132mY
-    570790513U,	// VFMADDPDr132r
-    570790513U,	// VFMADDPDr132rY
-    571527923U,	// VFMADDPDr213m
-    571544307U,	// VFMADDPDr213mY
-    570790643U,	// VFMADDPDr213r
-    570790643U,	// VFMADDPDr213rY
-    571527707U,	// VFMADDPDr231m
-    571544091U,	// VFMADDPDr231mY
-    570790427U,	// VFMADDPDr231r
-    570790427U,	// VFMADDPDr231rY
-    300246460U,	// VFMADDPS4mr
-    92628412U,	// VFMADDPS4mrY
-    303097276U,	// VFMADDPS4rm
-    303113660U,	// VFMADDPS4rmY
-    302359996U,	// VFMADDPS4rr
-    302359996U,	// VFMADDPS4rrY
-    302359996U,	// VFMADDPS4rrY_REV
-    302359996U,	// VFMADDPS4rr_REV
-    571532471U,	// VFMADDPSr132m
-    571548855U,	// VFMADDPSr132mY
-    570795191U,	// VFMADDPSr132r
-    570795191U,	// VFMADDPSr132rY
-    571532612U,	// VFMADDPSr213m
-    571548996U,	// VFMADDPSr213mY
-    570795332U,	// VFMADDPSr213r
-    570795332U,	// VFMADDPSr213rY
-    571532385U,	// VFMADDPSr231m
-    571548769U,	// VFMADDPSr231mY
-    570795105U,	// VFMADDPSr231r
-    570795105U,	// VFMADDPSr231rY
-    312825250U,	// VFMADDSD4mr
-    312825250U,	// VFMADDSD4mr_Int
-    1357813154U,	// VFMADDSD4rm
-    1357813154U,	// VFMADDSD4rm_Int
-    302355874U,	// VFMADDSD4rr
-    302355874U,	// VFMADDSD4rr_Int
-    302355874U,	// VFMADDSD4rr_REV
-    571524208U,	// VFMADDSDZm
-    570786928U,	// VFMADDSDZr
-    1357813025U,	// VFMADDSDr132m
-    570791201U,	// VFMADDSDr132r
-    1357813090U,	// VFMADDSDr213m
-    570791266U,	// VFMADDSDr213r
-    1357812971U,	// VFMADDSDr231m
-    570791147U,	// VFMADDSDr231r
-    317024315U,	// VFMADDSS4mr
-    317024315U,	// VFMADDSS4mr_Int
-    1357850683U,	// VFMADDSS4rm
-    1357850683U,	// VFMADDSS4rm_Int
-    302360635U,	// VFMADDSS4rr
-    302360635U,	// VFMADDSS4rr_Int
-    302360635U,	// VFMADDSS4rr_REV
-    571526026U,	// VFMADDSSZm
-    570788746U,	// VFMADDSSZr
-    1357850562U,	// VFMADDSSr132m
-    570795970U,	// VFMADDSSr132r
-    1357850627U,	// VFMADDSSr213m
-    570796035U,	// VFMADDSSr213r
-    1357850508U,	// VFMADDSSr231m
-    570795916U,	// VFMADDSSr231r
-    571392406U,	// VFMADDSUB132PDZm
-    1427014038U,	// VFMADDSUB132PDZmb
-    571394325U,	// VFMADDSUB132PSZm
-    1429145877U,	// VFMADDSUB132PSZmb
-    571392559U,	// VFMADDSUB213PDZm
-    1427014191U,	// VFMADDSUB213PDZmb
-    570786351U,	// VFMADDSUB213PDZr
-    1888076335U,	// VFMADDSUB213PDZrk
-    1888076335U,	// VFMADDSUB213PDZrkz
-    571394478U,	// VFMADDSUB213PSZm
-    1429146030U,	// VFMADDSUB213PSZmb
-    570788270U,	// VFMADDSUB213PSZr
-    1888078254U,	// VFMADDSUB213PSZrk
-    1888078254U,	// VFMADDSUB213PSZrkz
-    300241695U,	// VFMADDSUBPD4mr
-    92623647U,	// VFMADDSUBPD4mrY
-    303092511U,	// VFMADDSUBPD4rm
-    303108895U,	// VFMADDSUBPD4rmY
-    302355231U,	// VFMADDSUBPD4rr
-    302355231U,	// VFMADDSUBPD4rrY
-    302355231U,	// VFMADDSUBPD4rrY_REV
-    302355231U,	// VFMADDSUBPD4rr_REV
-    571527734U,	// VFMADDSUBPDr132m
-    571544118U,	// VFMADDSUBPDr132mY
-    570790454U,	// VFMADDSUBPDr132r
-    570790454U,	// VFMADDSUBPDr132rY
-    571527864U,	// VFMADDSUBPDr213m
-    571544248U,	// VFMADDSUBPDr213mY
-    570790584U,	// VFMADDSUBPDr213r
-    570790584U,	// VFMADDSUBPDr213rY
-    571527648U,	// VFMADDSUBPDr231m
-    571544032U,	// VFMADDSUBPDr231mY
-    570790368U,	// VFMADDSUBPDr231r
-    570790368U,	// VFMADDSUBPDr231rY
-    300246376U,	// VFMADDSUBPS4mr
-    92628328U,	// VFMADDSUBPS4mrY
-    303097192U,	// VFMADDSUBPS4rm
-    303113576U,	// VFMADDSUBPS4rmY
-    302359912U,	// VFMADDSUBPS4rr
-    302359912U,	// VFMADDSUBPS4rrY
-    302359912U,	// VFMADDSUBPS4rrY_REV
-    302359912U,	// VFMADDSUBPS4rr_REV
-    571532412U,	// VFMADDSUBPSr132m
-    571548796U,	// VFMADDSUBPSr132mY
-    570795132U,	// VFMADDSUBPSr132r
-    570795132U,	// VFMADDSUBPSr132rY
-    571532553U,	// VFMADDSUBPSr213m
-    571548937U,	// VFMADDSUBPSr213mY
-    570795273U,	// VFMADDSUBPSr213r
-    570795273U,	// VFMADDSUBPSr213rY
-    571532326U,	// VFMADDSUBPSr231m
-    571548710U,	// VFMADDSUBPSr231mY
-    570795046U,	// VFMADDSUBPSr231r
-    570795046U,	// VFMADDSUBPSr231rY
-    571392423U,	// VFMSUB132PDZm
-    1427014055U,	// VFMSUB132PDZmb
-    571394342U,	// VFMSUB132PSZm
-    1429145894U,	// VFMSUB132PSZmb
-    571392576U,	// VFMSUB213PDZm
-    1427014208U,	// VFMSUB213PDZmb
-    570786368U,	// VFMSUB213PDZr
-    1888076352U,	// VFMSUB213PDZrk
-    1888076352U,	// VFMSUB213PDZrkz
-    571394495U,	// VFMSUB213PSZm
-    1429146047U,	// VFMSUB213PSZmb
-    570788287U,	// VFMSUB213PSZr
-    1888078271U,	// VFMSUB213PSZrk
-    1888078271U,	// VFMSUB213PSZrkz
-    571392452U,	// VFMSUBADD132PDZm
-    1427014084U,	// VFMSUBADD132PDZmb
-    571394371U,	// VFMSUBADD132PSZm
-    1429145923U,	// VFMSUBADD132PSZmb
-    571392605U,	// VFMSUBADD213PDZm
-    1427014237U,	// VFMSUBADD213PDZmb
-    570786397U,	// VFMSUBADD213PDZr
-    1888076381U,	// VFMSUBADD213PDZrk
-    1888076381U,	// VFMSUBADD213PDZrkz
-    571394524U,	// VFMSUBADD213PSZm
-    1429146076U,	// VFMSUBADD213PSZmb
-    570788316U,	// VFMSUBADD213PSZr
-    1888078300U,	// VFMSUBADD213PSZrk
-    1888078300U,	// VFMSUBADD213PSZrkz
-    300241757U,	// VFMSUBADDPD4mr
-    92623709U,	// VFMSUBADDPD4mrY
-    303092573U,	// VFMSUBADDPD4rm
-    303108957U,	// VFMSUBADDPD4rmY
-    302355293U,	// VFMSUBADDPD4rr
-    302355293U,	// VFMSUBADDPD4rrY
-    302355293U,	// VFMSUBADDPD4rrY_REV
-    302355293U,	// VFMSUBADDPD4rr_REV
-    571527777U,	// VFMSUBADDPDr132m
-    571544161U,	// VFMSUBADDPDr132mY
-    570790497U,	// VFMSUBADDPDr132r
-    570790497U,	// VFMSUBADDPDr132rY
-    571527907U,	// VFMSUBADDPDr213m
-    571544291U,	// VFMSUBADDPDr213mY
-    570790627U,	// VFMSUBADDPDr213r
-    570790627U,	// VFMSUBADDPDr213rY
-    571527691U,	// VFMSUBADDPDr231m
-    571544075U,	// VFMSUBADDPDr231mY
-    570790411U,	// VFMSUBADDPDr231r
-    570790411U,	// VFMSUBADDPDr231rY
-    300246438U,	// VFMSUBADDPS4mr
-    92628390U,	// VFMSUBADDPS4mrY
-    303097254U,	// VFMSUBADDPS4rm
-    303113638U,	// VFMSUBADDPS4rmY
-    302359974U,	// VFMSUBADDPS4rr
-    302359974U,	// VFMSUBADDPS4rrY
-    302359974U,	// VFMSUBADDPS4rrY_REV
-    302359974U,	// VFMSUBADDPS4rr_REV
-    571532455U,	// VFMSUBADDPSr132m
-    571548839U,	// VFMSUBADDPSr132mY
-    570795175U,	// VFMSUBADDPSr132r
-    570795175U,	// VFMSUBADDPSr132rY
-    571532596U,	// VFMSUBADDPSr213m
-    571548980U,	// VFMSUBADDPSr213mY
-    570795316U,	// VFMSUBADDPSr213r
-    570795316U,	// VFMSUBADDPSr213rY
-    571532369U,	// VFMSUBADDPSr231m
-    571548753U,	// VFMSUBADDPSr231mY
-    570795089U,	// VFMSUBADDPSr231r
-    570795089U,	// VFMSUBADDPSr231rY
-    300241728U,	// VFMSUBPD4mr
-    92623680U,	// VFMSUBPD4mrY
-    303092544U,	// VFMSUBPD4rm
-    303108928U,	// VFMSUBPD4rmY
-    302355264U,	// VFMSUBPD4rr
-    302355264U,	// VFMSUBPD4rrY
-    302355264U,	// VFMSUBPD4rrY_REV
-    302355264U,	// VFMSUBPD4rr_REV
-    571527750U,	// VFMSUBPDr132m
-    571544134U,	// VFMSUBPDr132mY
-    570790470U,	// VFMSUBPDr132r
-    570790470U,	// VFMSUBPDr132rY
-    571527880U,	// VFMSUBPDr213m
-    571544264U,	// VFMSUBPDr213mY
-    570790600U,	// VFMSUBPDr213r
-    570790600U,	// VFMSUBPDr213rY
-    571527664U,	// VFMSUBPDr231m
-    571544048U,	// VFMSUBPDr231mY
-    570790384U,	// VFMSUBPDr231r
-    570790384U,	// VFMSUBPDr231rY
-    300246409U,	// VFMSUBPS4mr
-    92628361U,	// VFMSUBPS4mrY
-    303097225U,	// VFMSUBPS4rm
-    303113609U,	// VFMSUBPS4rmY
-    302359945U,	// VFMSUBPS4rr
-    302359945U,	// VFMSUBPS4rrY
-    302359945U,	// VFMSUBPS4rrY_REV
-    302359945U,	// VFMSUBPS4rr_REV
-    571532428U,	// VFMSUBPSr132m
-    571548812U,	// VFMSUBPSr132mY
-    570795148U,	// VFMSUBPSr132r
-    570795148U,	// VFMSUBPSr132rY
-    571532569U,	// VFMSUBPSr213m
-    571548953U,	// VFMSUBPSr213mY
-    570795289U,	// VFMSUBPSr213r
-    570795289U,	// VFMSUBPSr213rY
-    571532342U,	// VFMSUBPSr231m
-    571548726U,	// VFMSUBPSr231mY
-    570795062U,	// VFMSUBPSr231r
-    570795062U,	// VFMSUBPSr231rY
-    312825221U,	// VFMSUBSD4mr
-    312825221U,	// VFMSUBSD4mr_Int
-    1357813125U,	// VFMSUBSD4rm
-    1357813125U,	// VFMSUBSD4rm_Int
-    302355845U,	// VFMSUBSD4rr
-    302355845U,	// VFMSUBSD4rr_Int
-    302355845U,	// VFMSUBSD4rr_REV
-    571524179U,	// VFMSUBSDZm
-    570786899U,	// VFMSUBSDZr
-    1357812998U,	// VFMSUBSDr132m
-    570791174U,	// VFMSUBSDr132r
-    1357813063U,	// VFMSUBSDr213m
-    570791239U,	// VFMSUBSDr213r
-    1357812944U,	// VFMSUBSDr231m
-    570791120U,	// VFMSUBSDr231r
-    317024286U,	// VFMSUBSS4mr
-    317024286U,	// VFMSUBSS4mr_Int
-    1357850654U,	// VFMSUBSS4rm
-    1357850654U,	// VFMSUBSS4rm_Int
-    302360606U,	// VFMSUBSS4rr
-    302360606U,	// VFMSUBSS4rr_Int
-    302360606U,	// VFMSUBSS4rr_REV
-    571525997U,	// VFMSUBSSZm
-    570788717U,	// VFMSUBSSZr
-    1357850535U,	// VFMSUBSSr132m
-    570795943U,	// VFMSUBSSr132r
-    1357850600U,	// VFMSUBSSr213m
-    570796008U,	// VFMSUBSSr213r
-    1357850481U,	// VFMSUBSSr231m
-    570795889U,	// VFMSUBSSr231r
-    571392483U,	// VFNMADD132PDZm
-    1427014115U,	// VFNMADD132PDZmb
-    571394402U,	// VFNMADD132PSZm
-    1429145954U,	// VFNMADD132PSZmb
-    571392636U,	// VFNMADD213PDZm
-    1427014268U,	// VFNMADD213PDZmb
-    570786428U,	// VFNMADD213PDZr
-    1888076412U,	// VFNMADD213PDZrk
-    1888076412U,	// VFNMADD213PDZrkz
-    571394555U,	// VFNMADD213PSZm
-    1429146107U,	// VFNMADD213PSZmb
-    570788347U,	// VFNMADD213PSZr
-    1888078331U,	// VFNMADD213PSZrk
-    1888078331U,	// VFNMADD213PSZrkz
-    300241789U,	// VFNMADDPD4mr
-    92623741U,	// VFNMADDPD4mrY
-    303092605U,	// VFNMADDPD4rm
-    303108989U,	// VFNMADDPD4rmY
-    302355325U,	// VFNMADDPD4rr
-    302355325U,	// VFNMADDPD4rrY
-    302355325U,	// VFNMADDPD4rrY_REV
-    302355325U,	// VFNMADDPD4rr_REV
-    571527806U,	// VFNMADDPDr132m
-    571544190U,	// VFNMADDPDr132mY
-    570790526U,	// VFNMADDPDr132r
-    570790526U,	// VFNMADDPDr132rY
-    571527936U,	// VFNMADDPDr213m
-    571544320U,	// VFNMADDPDr213mY
-    570790656U,	// VFNMADDPDr213r
-    570790656U,	// VFNMADDPDr213rY
-    571527720U,	// VFNMADDPDr231m
-    571544104U,	// VFNMADDPDr231mY
-    570790440U,	// VFNMADDPDr231r
-    570790440U,	// VFNMADDPDr231rY
-    300246470U,	// VFNMADDPS4mr
-    92628422U,	// VFNMADDPS4mrY
-    303097286U,	// VFNMADDPS4rm
-    303113670U,	// VFNMADDPS4rmY
-    302360006U,	// VFNMADDPS4rr
-    302360006U,	// VFNMADDPS4rrY
-    302360006U,	// VFNMADDPS4rrY_REV
-    302360006U,	// VFNMADDPS4rr_REV
-    571532484U,	// VFNMADDPSr132m
-    571548868U,	// VFNMADDPSr132mY
-    570795204U,	// VFNMADDPSr132r
-    570795204U,	// VFNMADDPSr132rY
-    571532625U,	// VFNMADDPSr213m
-    571549009U,	// VFNMADDPSr213mY
-    570795345U,	// VFNMADDPSr213r
-    570795345U,	// VFNMADDPSr213rY
-    571532398U,	// VFNMADDPSr231m
-    571548782U,	// VFNMADDPSr231mY
-    570795118U,	// VFNMADDPSr231r
-    570795118U,	// VFNMADDPSr231rY
-    312825260U,	// VFNMADDSD4mr
-    312825260U,	// VFNMADDSD4mr_Int
-    1357813164U,	// VFNMADDSD4rm
-    1357813164U,	// VFNMADDSD4rm_Int
-    302355884U,	// VFNMADDSD4rr
-    302355884U,	// VFNMADDSD4rr_Int
-    302355884U,	// VFNMADDSD4rr_REV
-    571524222U,	// VFNMADDSDZm
-    570786942U,	// VFNMADDSDZr
-    1357813038U,	// VFNMADDSDr132m
-    570791214U,	// VFNMADDSDr132r
-    1357813103U,	// VFNMADDSDr213m
-    570791279U,	// VFNMADDSDr213r
-    1357812984U,	// VFNMADDSDr231m
-    570791160U,	// VFNMADDSDr231r
-    317024325U,	// VFNMADDSS4mr
-    317024325U,	// VFNMADDSS4mr_Int
-    1357850693U,	// VFNMADDSS4rm
-    1357850693U,	// VFNMADDSS4rm_Int
-    302360645U,	// VFNMADDSS4rr
-    302360645U,	// VFNMADDSS4rr_Int
-    302360645U,	// VFNMADDSS4rr_REV
-    571526040U,	// VFNMADDSSZm
-    570788760U,	// VFNMADDSSZr
-    1357850575U,	// VFNMADDSSr132m
-    570795983U,	// VFNMADDSSr132r
-    1357850640U,	// VFNMADDSSr213m
-    570796048U,	// VFNMADDSSr213r
-    1357850521U,	// VFNMADDSSr231m
-    570795929U,	// VFNMADDSSr231r
-    571392437U,	// VFNMSUB132PDZm
-    1427014069U,	// VFNMSUB132PDZmb
-    571394356U,	// VFNMSUB132PSZm
-    1429145908U,	// VFNMSUB132PSZmb
-    571392590U,	// VFNMSUB213PDZm
-    1427014222U,	// VFNMSUB213PDZmb
-    570786382U,	// VFNMSUB213PDZr
-    1888076366U,	// VFNMSUB213PDZrk
-    1888076366U,	// VFNMSUB213PDZrkz
-    571394509U,	// VFNMSUB213PSZm
-    1429146061U,	// VFNMSUB213PSZmb
-    570788301U,	// VFNMSUB213PSZr
-    1888078285U,	// VFNMSUB213PSZrk
-    1888078285U,	// VFNMSUB213PSZrkz
-    300241738U,	// VFNMSUBPD4mr
-    92623690U,	// VFNMSUBPD4mrY
-    303092554U,	// VFNMSUBPD4rm
-    303108938U,	// VFNMSUBPD4rmY
-    302355274U,	// VFNMSUBPD4rr
-    302355274U,	// VFNMSUBPD4rrY
-    302355274U,	// VFNMSUBPD4rrY_REV
-    302355274U,	// VFNMSUBPD4rr_REV
-    571527763U,	// VFNMSUBPDr132m
-    571544147U,	// VFNMSUBPDr132mY
-    570790483U,	// VFNMSUBPDr132r
-    570790483U,	// VFNMSUBPDr132rY
-    571527893U,	// VFNMSUBPDr213m
-    571544277U,	// VFNMSUBPDr213mY
-    570790613U,	// VFNMSUBPDr213r
-    570790613U,	// VFNMSUBPDr213rY
-    571527677U,	// VFNMSUBPDr231m
-    571544061U,	// VFNMSUBPDr231mY
-    570790397U,	// VFNMSUBPDr231r
-    570790397U,	// VFNMSUBPDr231rY
-    300246419U,	// VFNMSUBPS4mr
-    92628371U,	// VFNMSUBPS4mrY
-    303097235U,	// VFNMSUBPS4rm
-    303113619U,	// VFNMSUBPS4rmY
-    302359955U,	// VFNMSUBPS4rr
-    302359955U,	// VFNMSUBPS4rrY
-    302359955U,	// VFNMSUBPS4rrY_REV
-    302359955U,	// VFNMSUBPS4rr_REV
-    571532441U,	// VFNMSUBPSr132m
-    571548825U,	// VFNMSUBPSr132mY
-    570795161U,	// VFNMSUBPSr132r
-    570795161U,	// VFNMSUBPSr132rY
-    571532582U,	// VFNMSUBPSr213m
-    571548966U,	// VFNMSUBPSr213mY
-    570795302U,	// VFNMSUBPSr213r
-    570795302U,	// VFNMSUBPSr213rY
-    571532355U,	// VFNMSUBPSr231m
-    571548739U,	// VFNMSUBPSr231mY
-    570795075U,	// VFNMSUBPSr231r
-    570795075U,	// VFNMSUBPSr231rY
-    312825231U,	// VFNMSUBSD4mr
-    312825231U,	// VFNMSUBSD4mr_Int
-    1357813135U,	// VFNMSUBSD4rm
-    1357813135U,	// VFNMSUBSD4rm_Int
-    302355855U,	// VFNMSUBSD4rr
-    302355855U,	// VFNMSUBSD4rr_Int
-    302355855U,	// VFNMSUBSD4rr_REV
-    571524193U,	// VFNMSUBSDZm
-    570786913U,	// VFNMSUBSDZr
-    1357813011U,	// VFNMSUBSDr132m
-    570791187U,	// VFNMSUBSDr132r
-    1357813076U,	// VFNMSUBSDr213m
-    570791252U,	// VFNMSUBSDr213r
-    1357812957U,	// VFNMSUBSDr231m
-    570791133U,	// VFNMSUBSDr231r
-    317024296U,	// VFNMSUBSS4mr
-    317024296U,	// VFNMSUBSS4mr_Int
-    1357850664U,	// VFNMSUBSS4rm
-    1357850664U,	// VFNMSUBSS4rm_Int
-    302360616U,	// VFNMSUBSS4rr
-    302360616U,	// VFNMSUBSS4rr_Int
-    302360616U,	// VFNMSUBSS4rr_REV
-    571526011U,	// VFNMSUBSSZm
-    570788731U,	// VFNMSUBSSZr
-    1357850548U,	// VFNMSUBSSr132m
-    570795956U,	// VFNMSUBSSr132r
-    1357850613U,	// VFNMSUBSSr213m
-    570796021U,	// VFNMSUBSSr213r
-    1357850494U,	// VFNMSUBSSr231m
-    570795902U,	// VFNMSUBSSr231r
-    578719U,	// VFRCZPDrm
-    1070239U,	// VFRCZPDrmY
-    551818399U,	// VFRCZPDrr
-    551818399U,	// VFRCZPDrrY
-    583494U,	// VFRCZPSrm
-    1075014U,	// VFRCZPSrmY
-    551823174U,	// VFRCZPSrr
-    551823174U,	// VFRCZPSrrY
-    595518U,	// VFRCZSDrm
-    551818814U,	// VFRCZSDrr
-    616663U,	// VFRCZSSrm
-    551823575U,	// VFRCZSSrr
-    811734040U,	// VFsANDNPDrm
-    811652120U,	// VFsANDNPDrr
-    811738750U,	// VFsANDNPSrm
-    811656830U,	// VFsANDNPSrr
-    811733904U,	// VFsANDPDrm
-    811651984U,	// VFsANDPDrr
-    811738585U,	// VFsANDPSrm
-    811656665U,	// VFsANDPSrr
-    811734084U,	// VFsORPDrm
-    811652164U,	// VFsORPDrr
-    811738802U,	// VFsORPSrm
-    811656882U,	// VFsORPSrr
-    811734091U,	// VFsXORPDrm
-    811652171U,	// VFsXORPDrr
-    811738809U,	// VFsXORPSrm
-    811656889U,	// VFsXORPSrr
-    108090284U,	// VGATHERDPDYrm
-    552698639U,	// VGATHERDPDZrm
-    108090284U,	// VGATHERDPDrm
-    110192117U,	// VGATHERDPSYrm
-    552716942U,	// VGATHERDPSZrm
-    110192117U,	// VGATHERDPSrm
-    111395524U,	// VGATHERPF0DPDm
-    111397443U,	// VGATHERPF0DPSm
-    111428479U,	// VGATHERPF0QPDm
-    111430398U,	// VGATHERPF0QPSm
-    111395557U,	// VGATHERPF1DPDm
-    111397476U,	// VGATHERPF1DPSm
-    111428512U,	// VGATHERPF1QPDm
-    111430431U,	// VGATHERPF1QPSm
-    108090424U,	// VGATHERQPDYrm
-    552698817U,	// VGATHERQPDZrm
-    108090424U,	// VGATHERQPDrm
-    110192294U,	// VGATHERQPSYrm
-    552700736U,	// VGATHERQPSZrm
-    110192294U,	// VGATHERQPSrm
-    812520298U,	// VHADDPDYrm
-    811651946U,	// VHADDPDYrr
-    811733866U,	// VHADDPDrm
-    811651946U,	// VHADDPDrr
-    812524979U,	// VHADDPSYrm
-    811656627U,	// VHADDPSYrr
-    811738547U,	// VHADDPSrm
-    811656627U,	// VHADDPSrr
-    812520247U,	// VHSUBPDYrm
-    811651895U,	// VHSUBPDYrr
-    811733815U,	// VHSUBPDrm
-    811651895U,	// VHSUBPDrr
-    812524928U,	// VHSUBPSYrm
-    811656576U,	// VHSUBPSYrr
-    811738496U,	// VHSUBPSrm
-    811656576U,	// VHSUBPSrr
-    300240367U,	// VINSERTF128rm
-    302353903U,	// VINSERTF128rr
-    300240229U,	// VINSERTF32x4rm
-    302353765U,	// VINSERTF32x4rr
-    105205151U,	// VINSERTF64x4rm
-    302353823U,	// VINSERTF64x4rr
-    340086310U,	// VINSERTI128rm
-    302353958U,	// VINSERTI128rr
-    340086146U,	// VINSERTI32x4rm
-    302353794U,	// VINSERTI32x4rr
-    105205180U,	// VINSERTI64x4rm
-    302353852U,	// VINSERTI64x4rr
-    317023959U,	// VINSERTPSrm
-    302360279U,	// VINSERTPSrr
-    317023959U,	// VINSERTPSzrm
-    302360279U,	// VINSERTPSzrr
-    1026443U,	// VLDDQUYrm
-    321931U,	// VLDDQUrm
-    238501U,	// VLDMXCSR
-    551823763U,	// VMASKMOVDQU
-    551823763U,	// VMASKMOVDQU64
-    3003454603U,	// VMASKMOVPDYmr
-    812520587U,	// VMASKMOVPDYrm
-    2735019147U,	// VMASKMOVPDmr
-    811734155U,	// VMASKMOVPDrm
-    3003459378U,	// VMASKMOVPSYmr
-    812525362U,	// VMASKMOVPSYrm
-    2735023922U,	// VMASKMOVPSmr
-    811738930U,	// VMASKMOVPSrm
-    812520599U,	// VMAXCPDYrm
-    811652247U,	// VMAXCPDYrr
-    811734167U,	// VMAXCPDrm
-    811652247U,	// VMAXCPDrr
-    812525374U,	// VMAXCPSYrm
-    811657022U,	// VMAXCPSYrr
-    811738942U,	// VMAXCPSrm
-    811657022U,	// VMAXCPSrr
-    283268662U,	// VMAXCSDrm
-    811652662U,	// VMAXCSDrr
-    283289807U,	// VMAXCSSrm
-    811657423U,	// VMAXCSSrr
-    812520599U,	// VMAXPDYrm
-    811652247U,	// VMAXPDYrr
-    812532709U,	// VMAXPDZrm
-    352469989U,	// VMAXPDZrmb
-    1427014629U,	// VMAXPDZrmbk
-    1427014629U,	// VMAXPDZrmbkz
-    571397271U,	// VMAXPDZrmk
-    571397271U,	// VMAXPDZrmkz
-    811647973U,	// VMAXPDZrr
-    570786789U,	// VMAXPDZrrk
-    570786789U,	// VMAXPDZrrkz
-    811734167U,	// VMAXPDrm
-    811652247U,	// VMAXPDrr
-    812525374U,	// VMAXPSYrm
-    811657022U,	// VMAXPSYrr
-    812534628U,	// VMAXPSZrm
-    354585444U,	// VMAXPSZrmb
-    1429146468U,	// VMAXPSZrmbk
-    1429146468U,	// VMAXPSZrmbkz
-    571402046U,	// VMAXPSZrmk
-    571402046U,	// VMAXPSZrmkz
-    811649892U,	// VMAXPSZrr
-    570788708U,	// VMAXPSZrrk
-    570788708U,	// VMAXPSZrrkz
-    811738942U,	// VMAXPSrm
-    811657022U,	// VMAXPSrr
-    283268662U,	// VMAXSDZrm
-    811652662U,	// VMAXSDZrr
-    283268662U,	// VMAXSDrm
-    283268662U,	// VMAXSDrm_Int
-    811652662U,	// VMAXSDrr
-    811652662U,	// VMAXSDrr_Int
-    283289807U,	// VMAXSSZrm
-    811657423U,	// VMAXSSZrr
-    283289807U,	// VMAXSSrm
-    283289807U,	// VMAXSSrm_Int
-    811657423U,	// VMAXSSrr
-    811657423U,	// VMAXSSrr_Int
-    14519U,	// VMCALL
-    402271U,	// VMCLEARm
-    14231U,	// VMFUNC
-    812520481U,	// VMINCPDYrm
-    811652129U,	// VMINCPDYrr
-    811734049U,	// VMINCPDrm
-    811652129U,	// VMINCPDrr
-    812525191U,	// VMINCPSYrm
-    811656839U,	// VMINCPSYrr
-    811738759U,	// VMINCPSrm
-    811656839U,	// VMINCPSrr
-    283268589U,	// VMINCSDrm
-    811652589U,	// VMINCSDrr
-    283289725U,	// VMINCSSrm
-    811657341U,	// VMINCSSrr
-    812520481U,	// VMINPDYrm
-    811652129U,	// VMINPDYrr
-    812532589U,	// VMINPDZrm
-    352469869U,	// VMINPDZrmb
-    1427014509U,	// VMINPDZrmbk
-    1427014509U,	// VMINPDZrmbkz
-    571397153U,	// VMINPDZrmk
-    571397153U,	// VMINPDZrmkz
-    811647853U,	// VMINPDZrr
-    570786669U,	// VMINPDZrrk
-    570786669U,	// VMINPDZrrkz
-    811734049U,	// VMINPDrm
-    811652129U,	// VMINPDrr
-    812525191U,	// VMINPSYrm
-    811656839U,	// VMINPSYrr
-    812534508U,	// VMINPSZrm
-    354585324U,	// VMINPSZrmb
-    1429146348U,	// VMINPSZrmbk
-    1429146348U,	// VMINPSZrmbkz
-    571401863U,	// VMINPSZrmk
-    571401863U,	// VMINPSZrmkz
-    811649772U,	// VMINPSZrr
-    570788588U,	// VMINPSZrrk
-    570788588U,	// VMINPSZrrkz
-    811738759U,	// VMINPSrm
-    811656839U,	// VMINPSrr
-    283268589U,	// VMINSDZrm
-    811652589U,	// VMINSDZrr
-    283268589U,	// VMINSDrm
-    283268589U,	// VMINSDrm_Int
-    811652589U,	// VMINSDrr
-    811652589U,	// VMINSDrr_Int
-    283289725U,	// VMINSSZrm
-    811657341U,	// VMINSSZrr
-    283289725U,	// VMINSSrm
-    283289725U,	// VMINSSrm_Int
-    811657341U,	// VMINSSrr
-    811657341U,	// VMINSSrr_Int
-    14419U,	// VMLAUNCH
-    15375U,	// VMLOAD32
-    15455U,	// VMLOAD64
-    14511U,	// VMMCALL
-    551822053U,	// VMOV64toPQIZrr
-    551822053U,	// VMOV64toPQIrr
-    551822053U,	// VMOV64toSDZrr
-    551838437U,	// VMOV64toSDrm
-    551822053U,	// VMOV64toSDrr
-    113283854U,	// VMOVAPDYmr
-    1069838U,	// VMOVAPDYrm
-    551817998U,	// VMOVAPDYrr
-    551817998U,	// VMOVAPDYrr_REV
-    62952206U,	// VMOVAPDZ128mr
-    1942295310U,	// VMOVAPDZ128mrk
-    578318U,	// VMOVAPDZ128rm
-    1888539406U,	// VMOVAPDZ128rmk
-    1887572750U,	// VMOVAPDZ128rmkz
-    551817998U,	// VMOVAPDZ128rr
-    551817998U,	// VMOVAPDZ128rr_alt
-    1887802126U,	// VMOVAPDZ128rrk
-    1887802126U,	// VMOVAPDZ128rrk_alt
-    1887490830U,	// VMOVAPDZ128rrkz
-    1887490830U,	// VMOVAPDZ128rrkz_alt
-    113283854U,	// VMOVAPDZ256mr
-    1992626958U,	// VMOVAPDZ256mrk
-    1069838U,	// VMOVAPDZ256rm
-    1888555790U,	// VMOVAPDZ256rmk
-    1888359182U,	// VMOVAPDZ256rmkz
-    551817998U,	// VMOVAPDZ256rr
-    551817998U,	// VMOVAPDZ256rr_alt
-    1887802126U,	// VMOVAPDZ256rrk
-    1887802126U,	// VMOVAPDZ256rrk_alt
-    1887490830U,	// VMOVAPDZ256rrkz
-    1887490830U,	// VMOVAPDZ256rrkz_alt
-    115381006U,	// VMOVAPDZmr
-    1994724110U,	// VMOVAPDZmrk
-    1086222U,	// VMOVAPDZrm
-    1888408334U,	// VMOVAPDZrmk
-    1888375566U,	// VMOVAPDZrmkz
-    551817998U,	// VMOVAPDZrr
-    551817998U,	// VMOVAPDZrr_alt
-    1887802126U,	// VMOVAPDZrrk
-    1887802126U,	// VMOVAPDZrrk_alt
-    1887490830U,	// VMOVAPDZrrkz
-    1887490830U,	// VMOVAPDZrrkz_alt
-    62952206U,	// VMOVAPDmr
-    578318U,	// VMOVAPDrm
-    551817998U,	// VMOVAPDrr
-    551817998U,	// VMOVAPDrr_REV
-    113288543U,	// VMOVAPSYmr
-    1074527U,	// VMOVAPSYrm
-    551822687U,	// VMOVAPSYrr
-    551822687U,	// VMOVAPSYrr_REV
-    62956895U,	// VMOVAPSZ128mr
-    1942299999U,	// VMOVAPSZ128mrk
-    583007U,	// VMOVAPSZ128rm
-    1888544095U,	// VMOVAPSZ128rmk
-    1887577439U,	// VMOVAPSZ128rmkz
-    551822687U,	// VMOVAPSZ128rr
-    551822687U,	// VMOVAPSZ128rr_alt
-    1887806815U,	// VMOVAPSZ128rrk
-    1887806815U,	// VMOVAPSZ128rrk_alt
-    1887495519U,	// VMOVAPSZ128rrkz
-    1887495519U,	// VMOVAPSZ128rrkz_alt
-    113288543U,	// VMOVAPSZ256mr
-    1992631647U,	// VMOVAPSZ256mrk
-    1074527U,	// VMOVAPSZ256rm
-    1888560479U,	// VMOVAPSZ256rmk
-    1888363871U,	// VMOVAPSZ256rmkz
-    551822687U,	// VMOVAPSZ256rr
-    551822687U,	// VMOVAPSZ256rr_alt
-    1887806815U,	// VMOVAPSZ256rrk
-    1887806815U,	// VMOVAPSZ256rrk_alt
-    1887495519U,	// VMOVAPSZ256rrkz
-    1887495519U,	// VMOVAPSZ256rrkz_alt
-    115385695U,	// VMOVAPSZmr
-    1994728799U,	// VMOVAPSZmrk
-    1090911U,	// VMOVAPSZrm
-    1888413023U,	// VMOVAPSZrmk
-    1888380255U,	// VMOVAPSZrmkz
-    551822687U,	// VMOVAPSZrr
-    551822687U,	// VMOVAPSZrr_alt
-    1887806815U,	// VMOVAPSZrrk
-    1887806815U,	// VMOVAPSZrrk_alt
-    1887495519U,	// VMOVAPSZrrkz
-    1887495519U,	// VMOVAPSZrrkz_alt
-    62956895U,	// VMOVAPSmr
-    583007U,	// VMOVAPSrm
-    551822687U,	// VMOVAPSrr
-    551822687U,	// VMOVAPSrr_REV
-    1072604U,	// VMOVDDUPYrm
-    551820764U,	// VMOVDDUPYrr
-    1082924U,	// VMOVDDUPZrm
-    551814700U,	// VMOVDDUPZrr
-    597468U,	// VMOVDDUPrm
-    551820764U,	// VMOVDDUPrr
-    551802546U,	// VMOVDI2PDIZrm
-    551818930U,	// VMOVDI2PDIZrr
-    551802546U,	// VMOVDI2PDIrm
-    551818930U,	// VMOVDI2PDIrr
-    551802546U,	// VMOVDI2SSZrm
-    551818930U,	// VMOVDI2SSZrr
-    551802546U,	// VMOVDI2SSrm
-    551818930U,	// VMOVDI2SSrr
-    65047782U,	// VMOVDQA32Z128mr
-    1944390886U,	// VMOVDQA32Z128mrk
-    314598U,	// VMOVDQA32Z128rm
-    1888619750U,	// VMOVDQA32Z128rmk
-    1887735014U,	// VMOVDQA32Z128rmkz
-    551816422U,	// VMOVDQA32Z128rr
-    551816422U,	// VMOVDQA32Z128rr_alt
-    1887800550U,	// VMOVDQA32Z128rrk
-    1887800550U,	// VMOVDQA32Z128rrk_alt
-    1887489254U,	// VMOVDQA32Z128rrkz
-    1887489254U,	// VMOVDQA32Z128rrkz_alt
-    117476582U,	// VMOVDQA32Z256mr
-    1996819686U,	// VMOVDQA32Z256mrk
-    1019110U,	// VMOVDQA32Z256rm
-    1888636134U,	// VMOVDQA32Z256rmk
-    1888439526U,	// VMOVDQA32Z256rmkz
-    551816422U,	// VMOVDQA32Z256rr
-    551816422U,	// VMOVDQA32Z256rr_alt
-    1887800550U,	// VMOVDQA32Z256rrk
-    1887800550U,	// VMOVDQA32Z256rrk_alt
-    1887489254U,	// VMOVDQA32Z256rrkz
-    1887489254U,	// VMOVDQA32Z256rrkz_alt
-    119573734U,	// VMOVDQA32Zmr
-    1998916838U,	// VMOVDQA32Zmrk
-    1035494U,	// VMOVDQA32Zrm
-    1888652518U,	// VMOVDQA32Zrmk
-    1888668902U,	// VMOVDQA32Zrmkz
-    551816422U,	// VMOVDQA32Zrr
-    551816422U,	// VMOVDQA32Zrr_alt
-    1887800550U,	// VMOVDQA32Zrrk
-    1887800550U,	// VMOVDQA32Zrrk_alt
-    1887489254U,	// VMOVDQA32Zrrkz
-    1887489254U,	// VMOVDQA32Zrrkz_alt
-    65047861U,	// VMOVDQA64Z128mr
-    1944390965U,	// VMOVDQA64Z128mrk
-    314677U,	// VMOVDQA64Z128rm
-    1888619829U,	// VMOVDQA64Z128rmk
-    1887735093U,	// VMOVDQA64Z128rmkz
-    551816501U,	// VMOVDQA64Z128rr
-    551816501U,	// VMOVDQA64Z128rr_alt
-    1887800629U,	// VMOVDQA64Z128rrk
-    1887800629U,	// VMOVDQA64Z128rrk_alt
-    1887489333U,	// VMOVDQA64Z128rrkz
-    1887489333U,	// VMOVDQA64Z128rrkz_alt
-    117476661U,	// VMOVDQA64Z256mr
-    1996819765U,	// VMOVDQA64Z256mrk
-    1019189U,	// VMOVDQA64Z256rm
-    1888636213U,	// VMOVDQA64Z256rmk
-    1888439605U,	// VMOVDQA64Z256rmkz
-    551816501U,	// VMOVDQA64Z256rr
-    551816501U,	// VMOVDQA64Z256rr_alt
-    1887800629U,	// VMOVDQA64Z256rrk
-    1887800629U,	// VMOVDQA64Z256rrk_alt
-    1887489333U,	// VMOVDQA64Z256rrkz
-    1887489333U,	// VMOVDQA64Z256rrkz_alt
-    119573813U,	// VMOVDQA64Zmr
-    1998916917U,	// VMOVDQA64Zmrk
-    1035573U,	// VMOVDQA64Zrm
-    1888652597U,	// VMOVDQA64Zrmk
-    1888668981U,	// VMOVDQA64Zrmkz
-    551816501U,	// VMOVDQA64Zrr
-    551816501U,	// VMOVDQA64Zrr_alt
-    1887800629U,	// VMOVDQA64Zrrk
-    1887800629U,	// VMOVDQA64Zrrk_alt
-    1887489333U,	// VMOVDQA64Zrrkz
-    1887489333U,	// VMOVDQA64Zrrkz_alt
-    117476956U,	// VMOVDQAYmr
-    1019484U,	// VMOVDQAYrm
-    551816796U,	// VMOVDQAYrr
-    551816796U,	// VMOVDQAYrr_REV
-    65048156U,	// VMOVDQAmr
-    314972U,	// VMOVDQArm
-    551816796U,	// VMOVDQArr
-    551816796U,	// VMOVDQArr_REV
-    65048010U,	// VMOVDQU16Z128mr
-    1944391114U,	// VMOVDQU16Z128mrk
-    314826U,	// VMOVDQU16Z128rm
-    1888619978U,	// VMOVDQU16Z128rmk
-    1887735242U,	// VMOVDQU16Z128rmkz
-    551816650U,	// VMOVDQU16Z128rr
-    551816650U,	// VMOVDQU16Z128rr_alt
-    1887800778U,	// VMOVDQU16Z128rrk
-    1887800778U,	// VMOVDQU16Z128rrk_alt
-    1887489482U,	// VMOVDQU16Z128rrkz
-    1887489482U,	// VMOVDQU16Z128rrkz_alt
-    117476810U,	// VMOVDQU16Z256mr
-    1996819914U,	// VMOVDQU16Z256mrk
-    1019338U,	// VMOVDQU16Z256rm
-    1888636362U,	// VMOVDQU16Z256rmk
-    1888439754U,	// VMOVDQU16Z256rmkz
-    551816650U,	// VMOVDQU16Z256rr
-    551816650U,	// VMOVDQU16Z256rr_alt
-    1887800778U,	// VMOVDQU16Z256rrk
-    1887800778U,	// VMOVDQU16Z256rrk_alt
-    1887489482U,	// VMOVDQU16Z256rrkz
-    1887489482U,	// VMOVDQU16Z256rrkz_alt
-    119573962U,	// VMOVDQU16Zmr
-    1998917066U,	// VMOVDQU16Zmrk
-    1035722U,	// VMOVDQU16Zrm
-    1888652746U,	// VMOVDQU16Zrmk
-    1888669130U,	// VMOVDQU16Zrmkz
-    551816650U,	// VMOVDQU16Zrr
-    551816650U,	// VMOVDQU16Zrr_alt
-    1887800778U,	// VMOVDQU16Zrrk
-    1887800778U,	// VMOVDQU16Zrrk_alt
-    1887489482U,	// VMOVDQU16Zrrkz
-    1887489482U,	// VMOVDQU16Zrrkz_alt
-    65047793U,	// VMOVDQU32Z128mr
-    1944390897U,	// VMOVDQU32Z128mrk
-    314609U,	// VMOVDQU32Z128rm
-    1888619761U,	// VMOVDQU32Z128rmk
-    1887735025U,	// VMOVDQU32Z128rmkz
-    551816433U,	// VMOVDQU32Z128rr
-    551816433U,	// VMOVDQU32Z128rr_alt
-    1887800561U,	// VMOVDQU32Z128rrk
-    1887800561U,	// VMOVDQU32Z128rrk_alt
-    1887489265U,	// VMOVDQU32Z128rrkz
-    1887489265U,	// VMOVDQU32Z128rrkz_alt
-    117476593U,	// VMOVDQU32Z256mr
-    1996819697U,	// VMOVDQU32Z256mrk
-    1019121U,	// VMOVDQU32Z256rm
-    1888636145U,	// VMOVDQU32Z256rmk
-    1888439537U,	// VMOVDQU32Z256rmkz
-    551816433U,	// VMOVDQU32Z256rr
-    551816433U,	// VMOVDQU32Z256rr_alt
-    1887800561U,	// VMOVDQU32Z256rrk
-    1887800561U,	// VMOVDQU32Z256rrk_alt
-    1887489265U,	// VMOVDQU32Z256rrkz
-    1887489265U,	// VMOVDQU32Z256rrkz_alt
-    119573745U,	// VMOVDQU32Zmr
-    1998916849U,	// VMOVDQU32Zmrk
-    1035505U,	// VMOVDQU32Zrm
-    1888652529U,	// VMOVDQU32Zrmk
-    1888668913U,	// VMOVDQU32Zrmkz
-    551816433U,	// VMOVDQU32Zrr
-    551816433U,	// VMOVDQU32Zrr_alt
-    1887800561U,	// VMOVDQU32Zrrk
-    1887800561U,	// VMOVDQU32Zrrk_alt
-    1887489265U,	// VMOVDQU32Zrrkz
-    1887489265U,	// VMOVDQU32Zrrkz_alt
-    65047872U,	// VMOVDQU64Z128mr
-    1944390976U,	// VMOVDQU64Z128mrk
-    314688U,	// VMOVDQU64Z128rm
-    1888619840U,	// VMOVDQU64Z128rmk
-    1887735104U,	// VMOVDQU64Z128rmkz
-    551816512U,	// VMOVDQU64Z128rr
-    551816512U,	// VMOVDQU64Z128rr_alt
-    1887800640U,	// VMOVDQU64Z128rrk
-    1887800640U,	// VMOVDQU64Z128rrk_alt
-    1887489344U,	// VMOVDQU64Z128rrkz
-    1887489344U,	// VMOVDQU64Z128rrkz_alt
-    117476672U,	// VMOVDQU64Z256mr
-    1996819776U,	// VMOVDQU64Z256mrk
-    1019200U,	// VMOVDQU64Z256rm
-    1888636224U,	// VMOVDQU64Z256rmk
-    1888439616U,	// VMOVDQU64Z256rmkz
-    551816512U,	// VMOVDQU64Z256rr
-    551816512U,	// VMOVDQU64Z256rr_alt
-    1887800640U,	// VMOVDQU64Z256rrk
-    1887800640U,	// VMOVDQU64Z256rrk_alt
-    1887489344U,	// VMOVDQU64Z256rrkz
-    1887489344U,	// VMOVDQU64Z256rrkz_alt
-    119573824U,	// VMOVDQU64Zmr
-    1998916928U,	// VMOVDQU64Zmrk
-    1035584U,	// VMOVDQU64Zrm
-    1888652608U,	// VMOVDQU64Zrmk
-    1888668992U,	// VMOVDQU64Zrmkz
-    551816512U,	// VMOVDQU64Zrr
-    551816512U,	// VMOVDQU64Zrr_alt
-    1887800640U,	// VMOVDQU64Zrrk
-    1887800640U,	// VMOVDQU64Zrrk_alt
-    1887489344U,	// VMOVDQU64Zrrkz
-    1887489344U,	// VMOVDQU64Zrrkz_alt
-    65048131U,	// VMOVDQU8Z128mr
-    1944391235U,	// VMOVDQU8Z128mrk
-    314947U,	// VMOVDQU8Z128rm
-    1888620099U,	// VMOVDQU8Z128rmk
-    1887735363U,	// VMOVDQU8Z128rmkz
-    551816771U,	// VMOVDQU8Z128rr
-    551816771U,	// VMOVDQU8Z128rr_alt
-    1887800899U,	// VMOVDQU8Z128rrk
-    1887800899U,	// VMOVDQU8Z128rrk_alt
-    1887489603U,	// VMOVDQU8Z128rrkz
-    1887489603U,	// VMOVDQU8Z128rrkz_alt
-    117476931U,	// VMOVDQU8Z256mr
-    1996820035U,	// VMOVDQU8Z256mrk
-    1019459U,	// VMOVDQU8Z256rm
-    1888636483U,	// VMOVDQU8Z256rmk
-    1888439875U,	// VMOVDQU8Z256rmkz
-    551816771U,	// VMOVDQU8Z256rr
-    551816771U,	// VMOVDQU8Z256rr_alt
-    1887800899U,	// VMOVDQU8Z256rrk
-    1887800899U,	// VMOVDQU8Z256rrk_alt
-    1887489603U,	// VMOVDQU8Z256rrkz
-    1887489603U,	// VMOVDQU8Z256rrkz_alt
-    119574083U,	// VMOVDQU8Zmr
-    1998917187U,	// VMOVDQU8Zmrk
-    1035843U,	// VMOVDQU8Zrm
-    1888652867U,	// VMOVDQU8Zrmk
-    1888669251U,	// VMOVDQU8Zrmkz
-    551816771U,	// VMOVDQU8Zrr
-    551816771U,	// VMOVDQU8Zrr_alt
-    1887800899U,	// VMOVDQU8Zrrk
-    1887800899U,	// VMOVDQU8Zrrk_alt
-    1887489603U,	// VMOVDQU8Zrrkz
-    1887489603U,	// VMOVDQU8Zrrkz_alt
-    117483936U,	// VMOVDQUYmr
-    1026464U,	// VMOVDQUYrm
-    551823776U,	// VMOVDQUYrr
-    551823776U,	// VMOVDQUYrr_REV
-    65055136U,	// VMOVDQUmr
-    321952U,	// VMOVDQUrm
-    551823776U,	// VMOVDQUrr
-    551823776U,	// VMOVDQUrr_REV
-    811656755U,	// VMOVHLPSZrr
-    811656755U,	// VMOVHLPSrr
-    67146700U,	// VMOVHPDmr
-    283268044U,	// VMOVHPDrm
-    67151391U,	// VMOVHPSmr
-    283272735U,	// VMOVHPSrm
-    811656725U,	// VMOVLHPSZrr
-    811656725U,	// VMOVLHPSrr
-    67146750U,	// VMOVLPDmr
-    283268094U,	// VMOVLPDrm
-    67151451U,	// VMOVLPSmr
-    283272795U,	// VMOVLPSrm
-    551818197U,	// VMOVMSKPDYrr
-    551818197U,	// VMOVMSKPDrr
-    551822888U,	// VMOVMSKPSYrr
-    551822888U,	// VMOVMSKPSrr
-    1019473U,	// VMOVNTDQAYrm
-    314961U,	// VMOVNTDQAZ128rm
-    1019473U,	// VMOVNTDQAZ256rm
-    1035857U,	// VMOVNTDQAZrm
-    314961U,	// VMOVNTDQArm
-    113287076U,	// VMOVNTDQYmr
-    65052580U,	// VMOVNTDQZ128mr
-    117481380U,	// VMOVNTDQZ256mr
-    119578532U,	// VMOVNTDQZmr
-    62955428U,	// VMOVNTDQmr
-    113284179U,	// VMOVNTPDYmr
-    62952531U,	// VMOVNTPDZ128mr
-    113284179U,	// VMOVNTPDZ256mr
-    115381331U,	// VMOVNTPDZmr
-    62952531U,	// VMOVNTPDmr
-    113288909U,	// VMOVNTPSYmr
-    62957261U,	// VMOVNTPSZ128mr
-    113288909U,	// VMOVNTPSZ256mr
-    115386061U,	// VMOVNTPSZmr
-    62957261U,	// VMOVNTPSmr
-    12621490U,	// VMOVPDI2DIZmr
-    551818930U,	// VMOVPDI2DIZrr
-    12621490U,	// VMOVPDI2DImr
-    551818930U,	// VMOVPDI2DIrr
-    18916069U,	// VMOVPQI2QImr
-    551822053U,	// VMOVPQI2QIrr
-    18916069U,	// VMOVPQIto64Zmr
-    551822053U,	// VMOVPQIto64Zrr
-    551822053U,	// VMOVPQIto64rr
-    551838437U,	// VMOVQI2PQIZrm
-    551838437U,	// VMOVQI2PQIrm
-    67142893U,	// VMOVSDZmr
-    591085U,	// VMOVSDZrm
-    811648237U,	// VMOVSDZrr
-    811652645U,	// VMOVSDZrr_REV
-    1888077037U,	// VMOVSDZrrk
-    67147301U,	// VMOVSDmr
-    595493U,	// VMOVSDrm
-    811652645U,	// VMOVSDrr
-    811652645U,	// VMOVSDrr_REV
-    18916069U,	// VMOVSDto64Zmr
-    551822053U,	// VMOVSDto64Zrr
-    18916069U,	// VMOVSDto64mr
-    551822053U,	// VMOVSDto64rr
-    1072614U,	// VMOVSHDUPYrm
-    551820774U,	// VMOVSHDUPYrr
-    1082935U,	// VMOVSHDUPZrm
-    551814711U,	// VMOVSHDUPZrr
-    581094U,	// VMOVSHDUPrm
-    551820774U,	// VMOVSHDUPrr
-    1072625U,	// VMOVSLDUPYrm
-    551820785U,	// VMOVSLDUPYrr
-    1082947U,	// VMOVSLDUPZrm
-    551814723U,	// VMOVSLDUPZrr
-    581105U,	// VMOVSLDUPrm
-    551820785U,	// VMOVSLDUPrr
-    12621490U,	// VMOVSS2DIZmr
-    551818930U,	// VMOVSS2DIZrr
-    12621490U,	// VMOVSS2DImr
-    551818930U,	// VMOVSS2DIrr
-    69241844U,	// VMOVSSZmr
-    609268U,	// VMOVSSZrm
-    811650036U,	// VMOVSSZrr
-    811657415U,	// VMOVSSZrr_REV
-    1888078836U,	// VMOVSSZrrk
-    69249223U,	// VMOVSSmr
-    616647U,	// VMOVSSrm
-    811657415U,	// VMOVSSrr
-    811657415U,	// VMOVSSrr_REV
-    113284207U,	// VMOVUPDYmr
-    1070191U,	// VMOVUPDYrm
-    551818351U,	// VMOVUPDYrr
-    551818351U,	// VMOVUPDYrr_REV
-    62952559U,	// VMOVUPDZ128mr
-    1942295663U,	// VMOVUPDZ128mrk
-    578671U,	// VMOVUPDZ128rm
-    1888539759U,	// VMOVUPDZ128rmk
-    1887573103U,	// VMOVUPDZ128rmkz
-    551818351U,	// VMOVUPDZ128rr
-    551818351U,	// VMOVUPDZ128rr_alt
-    1887802479U,	// VMOVUPDZ128rrk
-    1887802479U,	// VMOVUPDZ128rrk_alt
-    1887491183U,	// VMOVUPDZ128rrkz
-    1887491183U,	// VMOVUPDZ128rrkz_alt
-    113284207U,	// VMOVUPDZ256mr
-    1992627311U,	// VMOVUPDZ256mrk
-    1070191U,	// VMOVUPDZ256rm
-    1888556143U,	// VMOVUPDZ256rmk
-    1888359535U,	// VMOVUPDZ256rmkz
-    551818351U,	// VMOVUPDZ256rr
-    551818351U,	// VMOVUPDZ256rr_alt
-    1887802479U,	// VMOVUPDZ256rrk
-    1887802479U,	// VMOVUPDZ256rrk_alt
-    1887491183U,	// VMOVUPDZ256rrkz
-    1887491183U,	// VMOVUPDZ256rrkz_alt
-    115381359U,	// VMOVUPDZmr
-    1994724463U,	// VMOVUPDZmrk
-    1086575U,	// VMOVUPDZrm
-    1888408687U,	// VMOVUPDZrmk
-    1888375919U,	// VMOVUPDZrmkz
-    551818351U,	// VMOVUPDZrr
-    551818351U,	// VMOVUPDZrr_alt
-    1887802479U,	// VMOVUPDZrrk
-    1887802479U,	// VMOVUPDZrrk_alt
-    1887491183U,	// VMOVUPDZrrkz
-    1887491183U,	// VMOVUPDZrrkz_alt
-    62952559U,	// VMOVUPDmr
-    578671U,	// VMOVUPDrm
-    551818351U,	// VMOVUPDrr
-    551818351U,	// VMOVUPDrr_REV
-    113288982U,	// VMOVUPSYmr
-    1074966U,	// VMOVUPSYrm
-    551823126U,	// VMOVUPSYrr
-    551823126U,	// VMOVUPSYrr_REV
-    62957334U,	// VMOVUPSZ128mr
-    1942300438U,	// VMOVUPSZ128mrk
-    583446U,	// VMOVUPSZ128rm
-    1888544534U,	// VMOVUPSZ128rmk
-    1887577878U,	// VMOVUPSZ128rmkz
-    551823126U,	// VMOVUPSZ128rr
-    551823126U,	// VMOVUPSZ128rr_alt
-    1887807254U,	// VMOVUPSZ128rrk
-    1887807254U,	// VMOVUPSZ128rrk_alt
-    1887495958U,	// VMOVUPSZ128rrkz
-    1887495958U,	// VMOVUPSZ128rrkz_alt
-    113288982U,	// VMOVUPSZ256mr
-    1992632086U,	// VMOVUPSZ256mrk
-    1074966U,	// VMOVUPSZ256rm
-    1888560918U,	// VMOVUPSZ256rmk
-    1888364310U,	// VMOVUPSZ256rmkz
-    551823126U,	// VMOVUPSZ256rr
-    551823126U,	// VMOVUPSZ256rr_alt
-    1887807254U,	// VMOVUPSZ256rrk
-    1887807254U,	// VMOVUPSZ256rrk_alt
-    1887495958U,	// VMOVUPSZ256rrkz
-    1887495958U,	// VMOVUPSZ256rrkz_alt
-    115386134U,	// VMOVUPSZmr
-    1994729238U,	// VMOVUPSZmrk
-    1091350U,	// VMOVUPSZrm
-    1888413462U,	// VMOVUPSZrmk
-    1888380694U,	// VMOVUPSZrmkz
-    551823126U,	// VMOVUPSZrr
-    551823126U,	// VMOVUPSZrr_alt
-    1887807254U,	// VMOVUPSZrrk
-    1887807254U,	// VMOVUPSZrrk_alt
-    1887495958U,	// VMOVUPSZrrkz
-    1887495958U,	// VMOVUPSZrrkz_alt
-    62957334U,	// VMOVUPSmr
-    583446U,	// VMOVUPSrm
-    551823126U,	// VMOVUPSrr
-    551823126U,	// VMOVUPSrr_REV
-    320229U,	// VMOVZPQILo2PQIZrm
-    551822053U,	// VMOVZPQILo2PQIZrr
-    320229U,	// VMOVZPQILo2PQIrm
-    551822053U,	// VMOVZPQILo2PQIrr
-    551838437U,	// VMOVZQI2PQIrm
-    551822053U,	// VMOVZQI2PQIrr
-    105212422U,	// VMPSADBWYrmi
-    302361094U,	// VMPSADBWYrri
-    340093446U,	// VMPSADBWrmi
-    302361094U,	// VMPSADBWrri
-    397744U,	// VMPTRLDm
-    403833U,	// VMPTRSTm
-    12622125U,	// VMREAD32rm
-    551819565U,	// VMREAD32rr
-    18915034U,	// VMREAD64rm
-    551821018U,	// VMREAD64rr
-    14319U,	// VMRESUME
-    15399U,	// VMRUN32
-    15479U,	// VMRUN64
-    15387U,	// VMSAVE32
-    15467U,	// VMSAVE64
-    812520438U,	// VMULPDYrm
-    811652086U,	// VMULPDYrr
-    812532558U,	// VMULPDZrm
-    352469838U,	// VMULPDZrmb
-    1427014478U,	// VMULPDZrmbk
-    1427014478U,	// VMULPDZrmbkz
-    571397110U,	// VMULPDZrmk
-    571397110U,	// VMULPDZrmkz
-    811647822U,	// VMULPDZrr
-    570786638U,	// VMULPDZrrk
-    570786638U,	// VMULPDZrrkz
-    811734006U,	// VMULPDrm
-    811652086U,	// VMULPDrr
-    812525139U,	// VMULPSYrm
-    811656787U,	// VMULPSYrr
-    812534477U,	// VMULPSZrm
-    354585293U,	// VMULPSZrmb
-    1429146317U,	// VMULPSZrmbk
-    1429146317U,	// VMULPSZrmbkz
-    571401811U,	// VMULPSZrmk
-    571401811U,	// VMULPSZrmkz
-    811649741U,	// VMULPSZrr
-    570788557U,	// VMULPSZrrk
-    570788557U,	// VMULPSZrrkz
-    811738707U,	// VMULPSrm
-    811656787U,	// VMULPSrr
-    283268572U,	// VMULSDZrm
-    811652572U,	// VMULSDZrr
-    283268572U,	// VMULSDrm
-    283268572U,	// VMULSDrm_Int
-    811652572U,	// VMULSDrr
-    811652572U,	// VMULSDrr_Int
-    283289717U,	// VMULSSZrm
-    811657333U,	// VMULSSZrr
-    283289717U,	// VMULSSrm
-    283289717U,	// VMULSSrm_Int
-    811657333U,	// VMULSSrr
-    811657333U,	// VMULSSrr_Int
-    551803371U,	// VMWRITE32rm
-    551819755U,	// VMWRITE32rr
-    551837755U,	// VMWRITE64rm
-    551821371U,	// VMWRITE64rr
-    14402U,	// VMXOFF
-    400721U,	// VMXON
-    812520516U,	// VORPDYrm
-    811652164U,	// VORPDYrr
-    811734084U,	// VORPDrm
-    811652164U,	// VORPDrr
-    812525234U,	// VORPSYrm
-    811656882U,	// VORPSYrr
-    811738802U,	// VORPSrm
-    811656882U,	// VORPSrr
-    315275U,	// VPABSBrm128
-    1019787U,	// VPABSBrm256
-    551817099U,	// VPABSBrr128
-    551817099U,	// VPABSBrr256
-    1033405U,	// VPABSDZrm
-    623101117U,	// VPABSDZrmb
-    622937277U,	// VPABSDZrmbk
-    622937277U,	// VPABSDZrmbkz
-    1888666813U,	// VPABSDZrmk
-    1888666813U,	// VPABSDZrmkz
-    551814333U,	// VPABSDZrr
-    1887487165U,	// VPABSDZrrk
-    1887487165U,	// VPABSDZrrkz
-    316797U,	// VPABSDrm128
-    1021309U,	// VPABSDrm256
-    551818621U,	// VPABSDrr128
-    551818621U,	// VPABSDrr256
-    1034331U,	// VPABSQZrm
-    621037659U,	// VPABSQZrmb
-    620857435U,	// VPABSQZrmbk
-    620857435U,	// VPABSQZrmbkz
-    1888667739U,	// VPABSQZrmk
-    1888667739U,	// VPABSQZrmkz
-    551815259U,	// VPABSQZrr
-    1887488091U,	// VPABSQZrrk
-    1887488091U,	// VPABSQZrrkz
-    322739U,	// VPABSWrm128
-    1027251U,	// VPABSWrm256
-    551824563U,	// VPABSWrr128
-    551824563U,	// VPABSWrr256
-    812608238U,	// VPACKSSDWYrm
-    811657966U,	// VPACKSSDWYrr
-    811903726U,	// VPACKSSDWrm
-    811657966U,	// VPACKSSDWrr
-    812601448U,	// VPACKSSWBYrm
-    811651176U,	// VPACKSSWBYrr
-    811896936U,	// VPACKSSWBrm
-    811651176U,	// VPACKSSWBrr
-    812608249U,	// VPACKUSDWYrm
-    811657977U,	// VPACKUSDWYrr
-    811903737U,	// VPACKUSDWrm
-    811657977U,	// VPACKUSDWrr
-    812601459U,	// VPACKUSWBYrm
-    811651187U,	// VPACKUSWBYrr
-    811896947U,	// VPACKUSWBrm
-    811651187U,	// VPACKUSWBrr
-    812601023U,	// VPADDBYrm
-    811650751U,	// VPADDBYrr
-    811896511U,	// VPADDBrm
-    811650751U,	// VPADDBrr
-    812601640U,	// VPADDDYrm
-    811651368U,	// VPADDDYrr
-    812826866U,	// VPADDDZrm
-    354500850U,	// VPADDDZrmb
-    4113678578U,	// VPADDDZrmbk
-    1429405938U,	// VPADDDZrmbkz
-    122896626U,	// VPADDDZrmk
-    571638002U,	// VPADDDZrmkz
-    811647218U,	// VPADDDZrr
-    1888076018U,	// VPADDDZrrk
-    570786034U,	// VPADDDZrrkz
-    811897128U,	// VPADDDrm
-    811651368U,	// VPADDDrr
-    812605165U,	// VPADDQYrm
-    811654893U,	// VPADDQYrr
-    812828371U,	// VPADDQZrm
-    352421587U,	// VPADDQZrmb
-    4111566547U,	// VPADDQZrmbk
-    1427343059U,	// VPADDQZrmbkz
-    122898131U,	// VPADDQZrmk
-    571639507U,	// VPADDQZrmkz
-    811648723U,	// VPADDQZrr
-    1888077523U,	// VPADDQZrrk
-    570787539U,	// VPADDQZrrkz
-    811900653U,	// VPADDQrm
-    811654893U,	// VPADDQrr
-    812601253U,	// VPADDSBYrm
-    811650981U,	// VPADDSBYrr
-    811896741U,	// VPADDSBrm
-    811650981U,	// VPADDSBrr
-    812608749U,	// VPADDSWYrm
-    811658477U,	// VPADDSWYrr
-    811904237U,	// VPADDSWrm
-    811658477U,	// VPADDSWrr
-    812601302U,	// VPADDUSBYrm
-    811651030U,	// VPADDUSBYrr
-    811896790U,	// VPADDUSBrm
-    811651030U,	// VPADDUSBrr
-    812608862U,	// VPADDUSWYrm
-    811658590U,	// VPADDUSWYrr
-    811904350U,	// VPADDUSWrm
-    811658590U,	// VPADDUSWrr
-    812608181U,	// VPADDWYrm
-    811657909U,	// VPADDWYrr
-    811903669U,	// VPADDWrm
-    811657909U,	// VPADDWrr
-    340091767U,	// VPALIGNR128rm
-    302359415U,	// VPALIGNR128rr
-    105210743U,	// VPALIGNR256rm
-    302359415U,	// VPALIGNR256rr
-    812826883U,	// VPANDDZrm
-    354500867U,	// VPANDDZrmb
-    4113678595U,	// VPANDDZrmbk
-    1429405955U,	// VPANDDZrmbkz
-    122896643U,	// VPANDDZrmk
-    571638019U,	// VPANDDZrmkz
-    811647235U,	// VPANDDZrr
-    1888076035U,	// VPANDDZrrk
-    570786051U,	// VPANDDZrrkz
-    812827010U,	// VPANDNDZrm
-    354500994U,	// VPANDNDZrmb
-    4113678722U,	// VPANDNDZrmbk
-    1429406082U,	// VPANDNDZrmbkz
-    122896770U,	// VPANDNDZrmk
-    571638146U,	// VPANDNDZrmkz
-    811647362U,	// VPANDNDZrr
-    1888076162U,	// VPANDNDZrrk
-    570786178U,	// VPANDNDZrrkz
-    812828675U,	// VPANDNQZrm
-    352421891U,	// VPANDNQZrmb
-    4111566851U,	// VPANDNQZrmbk
-    1427343363U,	// VPANDNQZrmbkz
-    122898435U,	// VPANDNQZrmk
-    571639811U,	// VPANDNQZrmkz
-    811649027U,	// VPANDNQZrr
-    1888077827U,	// VPANDNQZrrk
-    570787843U,	// VPANDNQZrrkz
-    812604730U,	// VPANDNYrm
-    811654458U,	// VPANDNYrr
-    811900218U,	// VPANDNrm
-    811654458U,	// VPANDNrr
-    812828424U,	// VPANDQZrm
-    352421640U,	// VPANDQZrmb
-    4111566600U,	// VPANDQZrmbk
-    1427343112U,	// VPANDQZrmbkz
-    122898184U,	// VPANDQZrmk
-    571639560U,	// VPANDQZrmkz
-    811648776U,	// VPANDQZrr
-    1888077576U,	// VPANDQZrrk
-    570787592U,	// VPANDQZrrkz
-    812601801U,	// VPANDYrm
-    811651529U,	// VPANDYrr
-    811897289U,	// VPANDrm
-    811651529U,	// VPANDrr
-    812601069U,	// VPAVGBYrm
-    811650797U,	// VPAVGBYrr
-    811896557U,	// VPAVGBrm
-    811650797U,	// VPAVGBrr
-    812608350U,	// VPAVGWYrm
-    811658078U,	// VPAVGWYrr
-    811903838U,	// VPAVGWrm
-    811658078U,	// VPAVGWrr
-    105206064U,	// VPBLENDDYrmi
-    302354736U,	// VPBLENDDYrri
-    340087088U,	// VPBLENDDrmi
-    302354736U,	// VPBLENDDrri
-    571392333U,	// VPBLENDMDZrm
-    570786125U,	// VPBLENDMDZrr
-    571393998U,	// VPBLENDMQZrm
-    570787790U,	// VPBLENDMQZrr
-    105205838U,	// VPBLENDVBYrm
-    302354510U,	// VPBLENDVBYrr
-    340086862U,	// VPBLENDVBrm
-    302354510U,	// VPBLENDVBrr
-    105212637U,	// VPBLENDWYrmi
-    302361309U,	// VPBLENDWYrri
-    340093661U,	// VPBLENDWrmi
-    302361309U,	// VPBLENDWrri
-    446487U,	// VPBROADCASTBYrm
-    551817239U,	// VPBROADCASTBYrr
-    446487U,	// VPBROADCASTBrm
-    551817239U,	// VPBROADCASTBrr
-    551802457U,	// VPBROADCASTDYrm
-    551818841U,	// VPBROADCASTDYrr
-    551634209U,	// VPBROADCASTDZkrm
-    1887487265U,	// VPBROADCASTDZkrr
-    551798049U,	// VPBROADCASTDZrm
-    551814433U,	// VPBROADCASTDZrr
-    1887487265U,	// VPBROADCASTDrZkrr
-    551814433U,	// VPBROADCASTDrZrr
-    551802457U,	// VPBROADCASTDrm
-    551818841U,	// VPBROADCASTDrr
-    551814735U,	// VPBROADCASTMB2Qrr
-    551813302U,	// VPBROADCASTMW2Drr
-    551838354U,	// VPBROADCASTQYrm
-    551821970U,	// VPBROADCASTQYrr
-    551651508U,	// VPBROADCASTQZkrm
-    1887488180U,	// VPBROADCASTQZkrr
-    551831732U,	// VPBROADCASTQZrm
-    551815348U,	// VPBROADCASTQZrr
-    1887488180U,	// VPBROADCASTQrZkrr
-    551815348U,	// VPBROADCASTQrZrr
-    551838354U,	// VPBROADCASTQrm
-    551821970U,	// VPBROADCASTQrr
-    388576U,	// VPBROADCASTWYrm
-    551824864U,	// VPBROADCASTWYrr
-    388576U,	// VPBROADCASTWrm
-    551824864U,	// VPBROADCASTWrr
-    340090732U,	// VPCLMULQDQrm
-    302358380U,	// VPCLMULQDQrr
-    340093384U,	// VPCMOVmr
-    92629448U,	// VPCMOVmrY
-    303180232U,	// VPCMOVrm
-    303196616U,	// VPCMOVrmY
-    302361032U,	// VPCMOVrr
-    302361032U,	// VPCMOVrrY
-    124402021U,	// VPCMPDZrmi
-    356865031U,	// VPCMPDZrmi_alt
-    126964743U,	// VPCMPDZrmik_alt
-    1466595685U,	// VPCMPDZrri
-    302355463U,	// VPCMPDZrri_alt
-    571069447U,	// VPCMPDZrrik_alt
-    812601162U,	// VPCMPEQBYrm
-    811650890U,	// VPCMPEQBYrr
-    811896650U,	// VPCMPEQBZ128rm
-    571608906U,	// VPCMPEQBZ128rmk
-    811650890U,	// VPCMPEQBZ128rr
-    570789706U,	// VPCMPEQBZ128rrk
-    812601162U,	// VPCMPEQBZ256rm
-    571625290U,	// VPCMPEQBZ256rmk
-    811650890U,	// VPCMPEQBZ256rr
-    570789706U,	// VPCMPEQBZ256rrk
-    812830538U,	// VPCMPEQBZrm
-    571641674U,	// VPCMPEQBZrmk
-    811650890U,	// VPCMPEQBZrr
-    570789706U,	// VPCMPEQBZrrk
-    811896650U,	// VPCMPEQBrm
-    811650890U,	// VPCMPEQBrr
-    812602536U,	// VPCMPEQDYrm
-    811652264U,	// VPCMPEQDYrr
-    811898024U,	// VPCMPEQDZ128rm
-    396448936U,	// VPCMPEQDZ128rmb
-    1471354024U,	// VPCMPEQDZ128rmbk
-    571610280U,	// VPCMPEQDZ128rmk
-    811652264U,	// VPCMPEQDZ128rr
-    570791080U,	// VPCMPEQDZ128rrk
-    812602536U,	// VPCMPEQDZ256rm
-    352408744U,	// VPCMPEQDZ256rmb
-    1427313832U,	// VPCMPEQDZ256rmbk
-    571626664U,	// VPCMPEQDZ256rmk
-    811652264U,	// VPCMPEQDZ256rr
-    570791080U,	// VPCMPEQDZ256rrk
-    812831912U,	// VPCMPEQDZrm
-    354505896U,	// VPCMPEQDZrmb
-    1429410984U,	// VPCMPEQDZrmbk
-    571643048U,	// VPCMPEQDZrmk
-    811652264U,	// VPCMPEQDZrr
-    570791080U,	// VPCMPEQDZrrk
-    811898024U,	// VPCMPEQDrm
-    811652264U,	// VPCMPEQDrr
-    812605759U,	// VPCMPEQQYrm
-    811655487U,	// VPCMPEQQYrr
-    811901247U,	// VPCMPEQQZ128rm
-    398565695U,	// VPCMPEQQZ128rmb
-    1473487167U,	// VPCMPEQQZ128rmbk
-    571613503U,	// VPCMPEQQZ128rmk
-    811655487U,	// VPCMPEQQZ128rr
-    570794303U,	// VPCMPEQQZ128rrk
-    812605759U,	// VPCMPEQQZ256rm
-    396468543U,	// VPCMPEQQZ256rmb
-    1471390015U,	// VPCMPEQQZ256rmbk
-    571629887U,	// VPCMPEQQZ256rmk
-    811655487U,	// VPCMPEQQZ256rr
-    570794303U,	// VPCMPEQQZ256rrk
-    812835135U,	// VPCMPEQQZrm
-    352428351U,	// VPCMPEQQZrmb
-    1427349823U,	// VPCMPEQQZrmbk
-    571646271U,	// VPCMPEQQZrmk
-    811655487U,	// VPCMPEQQZrr
-    570794303U,	// VPCMPEQQZrrk
-    811901247U,	// VPCMPEQQrm
-    811655487U,	// VPCMPEQQrr
-    812608581U,	// VPCMPEQWYrm
-    811658309U,	// VPCMPEQWYrr
-    811904069U,	// VPCMPEQWZ128rm
-    571616325U,	// VPCMPEQWZ128rmk
-    811658309U,	// VPCMPEQWZ128rr
-    570797125U,	// VPCMPEQWZ128rrk
-    812608581U,	// VPCMPEQWZ256rm
-    571632709U,	// VPCMPEQWZ256rmk
-    811658309U,	// VPCMPEQWZ256rr
-    570797125U,	// VPCMPEQWZ256rrk
-    812837957U,	// VPCMPEQWZrm
-    571649093U,	// VPCMPEQWZrmk
-    811658309U,	// VPCMPEQWZrr
-    570797125U,	// VPCMPEQWZrrk
-    811904069U,	// VPCMPEQWrm
-    811658309U,	// VPCMPEQWrr
+    21579U,	// UCOM_Fr
+    12716U,	// UD2B
+    8522142U,	// UNPCKHPDrm
+    8440222U,	// UNPCKHPDrr
+    8527701U,	// UNPCKHPSrm
+    8445781U,	// UNPCKHPSrr
+    8522184U,	// UNPCKLPDrm
+    8440264U,	// UNPCKLPDrr
+    8527763U,	// UNPCKLPSrm
+    8445843U,	// UNPCKLPSrr
+    2162191788U,	// VAARG_64
+    812583231U,	// VADDPDYrm
+    811649343U,	// VADDPDYrr
+    811731263U,	// VADDPDZ128rm
+    352471359U,	// VADDPDZ128rmb
+    2500806975U,	// VADDPDZ128rmbk
+    1427081535U,	// VADDPDZ128rmbkz
+    87017791U,	// VADDPDZ128rmk
+    571476287U,	// VADDPDZ128rmkz
+    811649343U,	// VADDPDZ128rr
+    2693810495U,	// VADDPDZ128rrk
+    571394367U,	// VADDPDZ128rrkz
+    812583231U,	// VADDPDZ256rm
+    356665663U,	// VADDPDZ256rmb
+    2505001279U,	// VADDPDZ256rmbk
+    1431275839U,	// VADDPDZ256rmbkz
+    87066943U,	// VADDPDZ256rmk
+    571525439U,	// VADDPDZ256rmkz
+    811649343U,	// VADDPDZ256rr
+    2693810495U,	// VADDPDZ256rrk
+    571394367U,	// VADDPDZ256rrkz
+    1116479U,	// VADDPDZrb
+    87116095U,	// VADDPDZrbk
+    359762239U,	// VADDPDZrbkz
+    812763455U,	// VADDPDZrm
+    360859967U,	// VADDPDZrmb
+    2509195583U,	// VADDPDZrmbk
+    1435470143U,	// VADDPDZrmbkz
+    87165247U,	// VADDPDZrmk
+    571623743U,	// VADDPDZrmkz
+    811649343U,	// VADDPDZrr
+    2693810495U,	// VADDPDZrrk
+    571394367U,	// VADDPDZrrkz
+    811731263U,	// VADDPDrm
+    811649343U,	// VADDPDrr
+    812588790U,	// VADDPSYrm
+    811654902U,	// VADDPSYrr
+    811736822U,	// VADDPSZ128rm
+    356687606U,	// VADDPSZ128rmb
+    2505219830U,	// VADDPSZ128rmbk
+    1431494390U,	// VADDPSZ128rmbkz
+    87023350U,	// VADDPSZ128rmk
+    571481846U,	// VADDPSZ128rmkz
+    811654902U,	// VADDPSZ128rr
+    2693816054U,	// VADDPSZ128rrk
+    571399926U,	// VADDPSZ128rrkz
+    812588790U,	// VADDPSZ256rm
+    360881910U,	// VADDPSZ256rmb
+    2509414134U,	// VADDPSZ256rmbk
+    1435688694U,	// VADDPSZ256rmbkz
+    87072502U,	// VADDPSZ256rmk
+    571530998U,	// VADDPSZ256rmkz
+    811654902U,	// VADDPSZ256rr
+    2693816054U,	// VADDPSZ256rrk
+    571399926U,	// VADDPSZ256rrkz
+    1122038U,	// VADDPSZrb
+    87121654U,	// VADDPSZrbk
+    359767798U,	// VADDPSZrbkz
+    812769014U,	// VADDPSZrm
+    362979062U,	// VADDPSZrmb
+    2511511286U,	// VADDPSZrmbk
+    1437785846U,	// VADDPSZrmbkz
+    87170806U,	// VADDPSZrmk
+    571629302U,	// VADDPSZrmkz
+    811654902U,	// VADDPSZrr
+    2693816054U,	// VADDPSZrrk
+    571399926U,	// VADDPSZrrkz
+    811736822U,	// VADDPSrm
+    811654902U,	// VADDPSrr
+    283266171U,	// VADDSDZrm
+    811732091U,	// VADDSDZrm_Int
+    87018619U,	// VADDSDZrm_Intk
+    571477115U,	// VADDSDZrm_Intkz
+    811650171U,	// VADDSDZrr
+    811650171U,	// VADDSDZrr_Int
+    2693811323U,	// VADDSDZrr_Intk
+    571395195U,	// VADDSDZrr_Intkz
+    1117307U,	// VADDSDZrrb
+    87116923U,	// VADDSDZrrbk
+    359763067U,	// VADDSDZrrbkz
+    283266171U,	// VADDSDrm
+    283266171U,	// VADDSDrm_Int
+    811650171U,	// VADDSDrr
+    811650171U,	// VADDSDrr_Int
+    283288114U,	// VADDSSZrm
+    811737650U,	// VADDSSZrm_Int
+    87024178U,	// VADDSSZrm_Intk
+    571482674U,	// VADDSSZrm_Intkz
+    811655730U,	// VADDSSZrr
+    811655730U,	// VADDSSZrr_Int
+    2693816882U,	// VADDSSZrr_Intk
+    571400754U,	// VADDSSZrr_Intkz
+    1122866U,	// VADDSSZrrb
+    87122482U,	// VADDSSZrrbk
+    359768626U,	// VADDSSZrrbkz
+    283288114U,	// VADDSSrm
+    283288114U,	// VADDSSrm_Int
+    811655730U,	// VADDSSrr
+    811655730U,	// VADDSSrr_Int
+    812583077U,	// VADDSUBPDYrm
+    811649189U,	// VADDSUBPDYrr
+    811731109U,	// VADDSUBPDrm
+    811649189U,	// VADDSUBPDrr
+    812588636U,	// VADDSUBPSYrm
+    811654748U,	// VADDSUBPSYrr
+    811736668U,	// VADDSUBPSrm
+    811654748U,	// VADDSUBPSrr
+    811901755U,	// VAESDECLASTrm
+    811655995U,	// VAESDECLASTrr
+    811894038U,	// VAESDECrm
+    811648278U,	// VAESDECrr
+    811901768U,	// VAESENCLASTrm
+    811656008U,	// VAESENCLASTrr
+    811894086U,	// VAESENCrm
+    811648326U,	// VAESENCrr
+    312637U,	// VAESIMCrm
+    551814461U,	// VAESIMCrr
+    25502562U,	// VAESKEYGENASSIST128rm
+    811950946U,	// VAESKEYGENASSIST128rr
+    365283049U,	// VALIGNDrmi
+    302384873U,	// VALIGNDrri
+    87230185U,	// VALIGNDrrik
+    1441416937U,	// VALIGNDrrikz
+    365287690U,	// VALIGNQrmi
+    302389514U,	// VALIGNQrri
+    87234826U,	// VALIGNQrrik
+    1441421578U,	// VALIGNQrrikz
+    812583423U,	// VANDNPDYrm
+    811649535U,	// VANDNPDYrr
+    811731455U,	// VANDNPDrm
+    811649535U,	// VANDNPDrr
+    812589011U,	// VANDNPSYrm
+    811655123U,	// VANDNPSYrr
+    811737043U,	// VANDNPSrm
+    811655123U,	// VANDNPSrr
+    812583250U,	// VANDPDYrm
+    811649362U,	// VANDPDYrr
+    811731282U,	// VANDPDrm
+    811649362U,	// VANDPDrr
+    812588809U,	// VANDPSYrm
+    811654921U,	// VANDPSYrr
+    811736841U,	// VANDPSrm
+    811654921U,	// VANDPSrr
+    283143644U,	// VASTART_SAVE_XMM_REGS
+    811731435U,	// VBLENDMPDZ128rm
+    352471531U,	// VBLENDMPDZ128rmb
+    1427081707U,	// VBLENDMPDZ128rmbk
+    571476459U,	// VBLENDMPDZ128rmk
+    571476459U,	// VBLENDMPDZ128rmkz
+    811649515U,	// VBLENDMPDZ128rr
+    571394539U,	// VBLENDMPDZ128rrk
+    571394539U,	// VBLENDMPDZ128rrkz
+    812583403U,	// VBLENDMPDZ256rm
+    356665835U,	// VBLENDMPDZ256rmb
+    1431276011U,	// VBLENDMPDZ256rmbk
+    571525611U,	// VBLENDMPDZ256rmk
+    571525611U,	// VBLENDMPDZ256rmkz
+    811649515U,	// VBLENDMPDZ256rr
+    571394539U,	// VBLENDMPDZ256rrk
+    571394539U,	// VBLENDMPDZ256rrkz
+    812763627U,	// VBLENDMPDZrm
+    360860139U,	// VBLENDMPDZrmb
+    1435470315U,	// VBLENDMPDZrmbk
+    571623915U,	// VBLENDMPDZrmk
+    571623915U,	// VBLENDMPDZrmkz
+    811649515U,	// VBLENDMPDZrr
+    571394539U,	// VBLENDMPDZrrk
+    571394539U,	// VBLENDMPDZrrkz
+    811737006U,	// VBLENDMPSZ128rm
+    356687790U,	// VBLENDMPSZ128rmb
+    1431494574U,	// VBLENDMPSZ128rmbk
+    571482030U,	// VBLENDMPSZ128rmk
+    571482030U,	// VBLENDMPSZ128rmkz
+    811655086U,	// VBLENDMPSZ128rr
+    571400110U,	// VBLENDMPSZ128rrk
+    571400110U,	// VBLENDMPSZ128rrkz
+    812588974U,	// VBLENDMPSZ256rm
+    360882094U,	// VBLENDMPSZ256rmb
+    1435688878U,	// VBLENDMPSZ256rmbk
+    571531182U,	// VBLENDMPSZ256rmk
+    571531182U,	// VBLENDMPSZ256rmkz
+    811655086U,	// VBLENDMPSZ256rr
+    571400110U,	// VBLENDMPSZ256rrk
+    571400110U,	// VBLENDMPSZ256rrkz
+    812769198U,	// VBLENDMPSZrm
+    362979246U,	// VBLENDMPSZrmb
+    1437786030U,	// VBLENDMPSZrmbk
+    571629486U,	// VBLENDMPSZrmk
+    571629486U,	// VBLENDMPSZrmkz
+    811655086U,	// VBLENDMPSZrr
+    571400110U,	// VBLENDMPSZrrk
+    571400110U,	// VBLENDMPSZrrkz
+    101042522U,	// VBLENDPDYrmi
+    302385498U,	// VBLENDPDYrri
+    300271962U,	// VBLENDPDrmi
+    302385498U,	// VBLENDPDrri
+    101048081U,	// VBLENDPSYrmi
+    302391057U,	// VBLENDPSYrri
+    300277521U,	// VBLENDPSrmi
+    302391057U,	// VBLENDPSrri
+    101927607U,	// VBLENDVPDYrm
+    302959287U,	// VBLENDVPDYrr
+    301157047U,	// VBLENDVPDrm
+    302959287U,	// VBLENDVPDrr
+    101933260U,	// VBLENDVPSYrm
+    302964940U,	// VBLENDVPSYrr
+    301162700U,	// VBLENDVPSrm
+    302964940U,	// VBLENDVPSrr
+    606679U,	// VBROADCASTF128
+    2693038409U,	// VBROADCASTI32X4krm
+    311625U,	// VBROADCASTI32X4rm
+    2694021524U,	// VBROADCASTI64X4krm
+    1294740U,	// VBROADCASTI64X4rm
+    552176877U,	// VBROADCASTSDYrm
+    551816429U,	// VBROADCASTSDYrr
+    552176877U,	// VBROADCASTSDZ256m
+    552570093U,	// VBROADCASTSDZ256mk
+    551701741U,	// VBROADCASTSDZ256mkz
+    551816429U,	// VBROADCASTSDZ256r
+    2693713133U,	// VBROADCASTSDZ256rk
+    2692795629U,	// VBROADCASTSDZ256rkz
+    552176877U,	// VBROADCASTSDZm
+    552570093U,	// VBROADCASTSDZmk
+    551701741U,	// VBROADCASTSDZmkz
+    551816429U,	// VBROADCASTSDZr
+    2693713133U,	// VBROADCASTSDZrk
+    2692795629U,	// VBROADCASTSDZrkz
+    552198816U,	// VBROADCASTSSYrm
+    551821984U,	// VBROADCASTSSYrr
+    552198816U,	// VBROADCASTSSZ128m
+    552788640U,	// VBROADCASTSSZ128mk
+    551723680U,	// VBROADCASTSSZ128mkz
+    551821984U,	// VBROADCASTSSZ128r
+    2693718688U,	// VBROADCASTSSZ128rk
+    2692801184U,	// VBROADCASTSSZ128rkz
+    552198816U,	// VBROADCASTSSZ256m
+    552788640U,	// VBROADCASTSSZ256mk
+    551723680U,	// VBROADCASTSSZ256mkz
+    551821984U,	// VBROADCASTSSZ256r
+    2693718688U,	// VBROADCASTSSZ256rk
+    2692801184U,	// VBROADCASTSSZ256rkz
+    552198816U,	// VBROADCASTSSZm
+    552788640U,	// VBROADCASTSSZmk
+    551723680U,	// VBROADCASTSSZmkz
+    551821984U,	// VBROADCASTSSZr
+    2693718688U,	// VBROADCASTSSZrk
+    2692801184U,	// VBROADCASTSSZrkz
+    552198816U,	// VBROADCASTSSrm
+    551821984U,	// VBROADCASTSSrr
+    2991240177U,	// VCMPPDYrmi
+    101042711U,	// VCMPPDYrmi_alt
+    1380643825U,	// VCMPPDYrri
+    302385687U,	// VCMPPDYrri_alt
+    3259675633U,	// VCMPPDZrmi
+    103139863U,	// VCMPPDZrmi_alt
+    1380643825U,	// VCMPPDZrri
+    302385687U,	// VCMPPDZrri_alt
+    105575409U,	// VCMPPDZrrib
+    302394766U,	// VCMPPDZrrib_alt
+    1112191985U,	// VCMPPDrmi
+    300272151U,	// VCMPPDrmi_alt
+    1380643825U,	// VCMPPDrri
+    302385687U,	// VCMPPDrri_alt
+    2993337329U,	// VCMPPSYrmi
+    101048307U,	// VCMPPSYrmi_alt
+    1382740977U,	// VCMPPSYrri
+    302391283U,	// VCMPPSYrri_alt
+    3261772785U,	// VCMPPSZrmi
+    103145459U,	// VCMPPSZrmi_alt
+    1382740977U,	// VCMPPSZrri
+    302391283U,	// VCMPPSZrri_alt
+    107672561U,	// VCMPPSZrrib
+    302394781U,	// VCMPPSZrrib_alt
+    1114289137U,	// VCMPPSrmi
+    300277747U,	// VCMPPSrmi_alt
+    1382740977U,	// VCMPPSrri
+    302391283U,	// VCMPPSrri_alt
+    1921692657U,	// VCMPSDZrm
+    312855750U,	// VCMPSDZrmi_alt
+    1384838129U,	// VCMPSDZrr
+    302386374U,	// VCMPSDZrri_alt
+    1921692657U,	// VCMPSDrm
+    312855750U,	// VCMPSDrm_alt
+    1384838129U,	// VCMPSDrr
+    302386374U,	// VCMPSDrr_alt
+    2731193329U,	// VCMPSSZrm
+    317055612U,	// VCMPSSZrmi_alt
+    1389032433U,	// VCMPSSZrr
+    302391932U,	// VCMPSSZrri_alt
+    2731193329U,	// VCMPSSrm
+    317055612U,	// VCMPSSrm_alt
+    1389032433U,	// VCMPSSrr
+    302391932U,	// VCMPSSrr_alt
+    609444U,	// VCOMISDZrm
+    551816356U,	// VCOMISDZrr
+    609444U,	// VCOMISDrm
+    551816356U,	// VCOMISDrr
+    615003U,	// VCOMISSZrm
+    551821915U,	// VCOMISSZrr
+    615003U,	// VCOMISSrm
+    551821915U,	// VCOMISSrr
+    2749729413U,	// VCOMPRESSPDZ128mrk
+    2693712517U,	// VCOMPRESSPDZ128rrk
+    2692795013U,	// VCOMPRESSPDZ128rrkz
+    2793769605U,	// VCOMPRESSPDZ256mrk
+    2693712517U,	// VCOMPRESSPDZ256rrk
+    2692795013U,	// VCOMPRESSPDZ256rrkz
+    2795866757U,	// VCOMPRESSPDZmrk
+    2693712517U,	// VCOMPRESSPDZrrk
+    2692795013U,	// VCOMPRESSPDZrrkz
+    2749735009U,	// VCOMPRESSPSZ128mrk
+    2693718113U,	// VCOMPRESSPSZ128rrk
+    2692800609U,	// VCOMPRESSPSZ128rrkz
+    2793775201U,	// VCOMPRESSPSZ256mrk
+    2693718113U,	// VCOMPRESSPSZ256rrk
+    2692800609U,	// VCOMPRESSPSZ256rrkz
+    2795872353U,	// VCOMPRESSPSZmrk
+    2693718113U,	// VCOMPRESSPSZrrk
+    2692800609U,	// VCOMPRESSPSZrrkz
+    313304U,	// VCVTDQ2PDYrm
+    551815128U,	// VCVTDQ2PDYrr
+    1296344U,	// VCVTDQ2PDZrm
+    551815128U,	// VCVTDQ2PDZrr
+    551831512U,	// VCVTDQ2PDrm
+    551815128U,	// VCVTDQ2PDrr
+    1301922U,	// VCVTDQ2PSYrm
+    551820706U,	// VCVTDQ2PSYrr
+    1318306U,	// VCVTDQ2PSZrm
+    551820706U,	// VCVTDQ2PSZrr
+    1334690U,	// VCVTDQ2PSZrrb
+    318882U,	// VCVTDQ2PSrm
+    551820706U,	// VCVTDQ2PSrr
+    616707U,	// VCVTPD2DQXrm
+    1354024U,	// VCVTPD2DQYrm
+    551823656U,	// VCVTPD2DQYrr
+    1365548U,	// VCVTPD2DQZrm
+    551818796U,	// VCVTPD2DQZrr
+    1332780U,	// VCVTPD2DQZrrb
+    551818796U,	// VCVTPD2DQrr
+    616719U,	// VCVTPD2PSXrm
+    1354036U,	// VCVTPD2PSYrm
+    551823668U,	// VCVTPD2PSYrr
+    1367394U,	// VCVTPD2PSZrm
+    551820642U,	// VCVTPD2PSZrr
+    1334626U,	// VCVTPD2PSZrrb
+    551820642U,	// VCVTPD2PSrr
+    1365855U,	// VCVTPD2UDQZrm
+    551819103U,	// VCVTPD2UDQZrr
+    1333087U,	// VCVTPD2UDQZrrb
+    613741U,	// VCVTPH2PSYrm
+    551820653U,	// VCVTPH2PSYrr
+    1351021U,	// VCVTPH2PSZrm
+    551820653U,	// VCVTPH2PSZrr
+    552181101U,	// VCVTPH2PSrm
+    551820653U,	// VCVTPH2PSrr
+    1349196U,	// VCVTPS2DQYrm
+    551818828U,	// VCVTPS2DQYrr
+    1365580U,	// VCVTPS2DQZrm
+    551818828U,	// VCVTPS2DQZrr
+    1332812U,	// VCVTPS2DQZrrb
+    611916U,	// VCVTPS2DQrm
+    551818828U,	// VCVTPS2DQrr
+    608239U,	// VCVTPS2PDYrm
+    551815151U,	// VCVTPS2PDYrr
+    1345519U,	// VCVTPS2PDZrm
+    551815151U,	// VCVTPS2PDZrr
+    552175599U,	// VCVTPS2PDrm
+    551815151U,	// VCVTPS2PDrr
+    3540324104U,	// VCVTPS2PHYmr
+    811945736U,	// VCVTPS2PHYrr
+    3808759560U,	// VCVTPS2PHZmr
+    811945736U,	// VCVTPS2PHZrr
+    4077195016U,	// VCVTPS2PHmr
+    811945736U,	// VCVTPS2PHrr
+    1365880U,	// VCVTPS2UDQZrm
+    551819128U,	// VCVTPS2UDQZrr
+    1333112U,	// VCVTPS2UDQZrrb
+    552177575U,	// VCVTSD2SI64Zrm
+    551817127U,	// VCVTSD2SI64Zrr
+    552177575U,	// VCVTSD2SI64rm
+    551817127U,	// VCVTSD2SI64rr
+    552177575U,	// VCVTSD2SIZrm
+    551817127U,	// VCVTSD2SIZrr
+    552177575U,	// VCVTSD2SIrm
+    551817127U,	// VCVTSD2SIrr
+    283271571U,	// VCVTSD2SSZrm
+    811655571U,	// VCVTSD2SSZrr
+    283271571U,	// VCVTSD2SSrm
+    811655571U,	// VCVTSD2SSrr
+    552177622U,	// VCVTSD2USI64Zrm
+    551817174U,	// VCVTSD2USI64Zrr
+    552177622U,	// VCVTSD2USIZrm
+    551817174U,	// VCVTSD2USIZrr
+    283219759U,	// VCVTSI2SD64rm
+    811652911U,	// VCVTSI2SD64rr
+    283201713U,	// VCVTSI2SDZrm
+    811651249U,	// VCVTSI2SDZrr
+    283201713U,	// VCVTSI2SDrm
+    811651249U,	// VCVTSI2SDrr
+    283220536U,	// VCVTSI2SS64rm
+    811653688U,	// VCVTSI2SS64rr
+    283202361U,	// VCVTSI2SSZrm
+    811651897U,	// VCVTSI2SSZrr
+    283202361U,	// VCVTSI2SSrm
+    811651897U,	// VCVTSI2SSrr
+    283219759U,	// VCVTSI642SDZrm
+    811652911U,	// VCVTSI642SDZrr
+    283220536U,	// VCVTSI642SSZrm
+    811653688U,	// VCVTSI642SSZrr
+    283282388U,	// VCVTSS2SDZrm
+    811650004U,	// VCVTSS2SDZrr
+    283282388U,	// VCVTSS2SDrm
+    811650004U,	// VCVTSS2SDrr
+    552193982U,	// VCVTSS2SI64Zrm
+    551817150U,	// VCVTSS2SI64Zrr
+    552193982U,	// VCVTSS2SI64rm
+    551817150U,	// VCVTSS2SI64rr
+    552193982U,	// VCVTSS2SIZrm
+    551817150U,	// VCVTSS2SIZrr
+    552193982U,	// VCVTSS2SIrm
+    551817150U,	// VCVTSS2SIrr
+    552194031U,	// VCVTSS2USI64Zrm
+    551817199U,	// VCVTSS2USI64Zrr
+    552194031U,	// VCVTSS2USIZrm
+    551817199U,	// VCVTSS2USIZrr
+    616694U,	// VCVTTPD2DQXrm
+    1354011U,	// VCVTTPD2DQYrm
+    551823643U,	// VCVTTPD2DQYrr
+    1365536U,	// VCVTTPD2DQZrm
+    551818784U,	// VCVTTPD2DQZrr
+    551818784U,	// VCVTTPD2DQrr
+    1365842U,	// VCVTTPD2UDQZrm
+    551819090U,	// VCVTTPD2UDQZrr
+    1349184U,	// VCVTTPS2DQYrm
+    551818816U,	// VCVTTPS2DQYrr
+    1365568U,	// VCVTTPS2DQZrm
+    551818816U,	// VCVTTPS2DQZrr
+    611904U,	// VCVTTPS2DQrm
+    551818816U,	// VCVTTPS2DQrr
+    1365867U,	// VCVTTPS2UDQZrm
+    551819115U,	// VCVTTPS2UDQZrr
+    552177563U,	// VCVTTSD2SI64Zrm
+    551817115U,	// VCVTTSD2SI64Zrr
+    552177563U,	// VCVTTSD2SI64rm
+    551817115U,	// VCVTTSD2SI64rr
+    552177563U,	// VCVTTSD2SIZrm
+    551817115U,	// VCVTTSD2SIZrr
+    552177563U,	// VCVTTSD2SIrm
+    551817115U,	// VCVTTSD2SIrr
+    552177609U,	// VCVTTSD2USI64Zrm
+    551817161U,	// VCVTTSD2USI64Zrr
+    552177609U,	// VCVTTSD2USIZrm
+    551817161U,	// VCVTTSD2USIZrr
+    552193970U,	// VCVTTSS2SI64Zrm
+    551817138U,	// VCVTTSS2SI64Zrr
+    552193970U,	// VCVTTSS2SI64rm
+    551817138U,	// VCVTTSS2SI64rr
+    552193970U,	// VCVTTSS2SIZrm
+    551817138U,	// VCVTTSS2SIZrr
+    552193970U,	// VCVTTSS2SIrm
+    551817138U,	// VCVTTSS2SIrr
+    552194018U,	// VCVTTSS2USI64Zrm
+    551817186U,	// VCVTTSS2USI64Zrr
+    552194018U,	// VCVTTSS2USIZrm
+    551817186U,	// VCVTTSS2USIZrr
+    1345507U,	// VCVTUDQ2PDZrm
+    551815139U,	// VCVTUDQ2PDZrr
+    1367469U,	// VCVTUDQ2PSZrm
+    551820717U,	// VCVTUDQ2PSZrr
+    1334701U,	// VCVTUDQ2PSZrrb
+    283201725U,	// VCVTUSI2SDZrm
+    811651261U,	// VCVTUSI2SDZrr
+    283202373U,	// VCVTUSI2SSZrm
+    811651909U,	// VCVTUSI2SSZrr
+    283219771U,	// VCVTUSI642SDZrm
+    811652923U,	// VCVTUSI642SDZrr
+    283220548U,	// VCVTUSI642SSZrm
+    811653700U,	// VCVTUSI642SSZrr
+    812583618U,	// VDIVPDYrm
+    811649730U,	// VDIVPDYrr
+    811731650U,	// VDIVPDZ128rm
+    352471746U,	// VDIVPDZ128rmb
+    2500807362U,	// VDIVPDZ128rmbk
+    1427081922U,	// VDIVPDZ128rmbkz
+    87018178U,	// VDIVPDZ128rmk
+    571476674U,	// VDIVPDZ128rmkz
+    811649730U,	// VDIVPDZ128rr
+    2693810882U,	// VDIVPDZ128rrk
+    571394754U,	// VDIVPDZ128rrkz
+    812583618U,	// VDIVPDZ256rm
+    356666050U,	// VDIVPDZ256rmb
+    2505001666U,	// VDIVPDZ256rmbk
+    1431276226U,	// VDIVPDZ256rmbkz
+    87067330U,	// VDIVPDZ256rmk
+    571525826U,	// VDIVPDZ256rmkz
+    811649730U,	// VDIVPDZ256rr
+    2693810882U,	// VDIVPDZ256rrk
+    571394754U,	// VDIVPDZ256rrkz
+    1116866U,	// VDIVPDZrb
+    87116482U,	// VDIVPDZrbk
+    359762626U,	// VDIVPDZrbkz
+    812763842U,	// VDIVPDZrm
+    360860354U,	// VDIVPDZrmb
+    2509195970U,	// VDIVPDZrmbk
+    1435470530U,	// VDIVPDZrmbkz
+    87165634U,	// VDIVPDZrmk
+    571624130U,	// VDIVPDZrmkz
+    811649730U,	// VDIVPDZrr
+    2693810882U,	// VDIVPDZrrk
+    571394754U,	// VDIVPDZrrkz
+    811731650U,	// VDIVPDrm
+    811649730U,	// VDIVPDrr
+    812589271U,	// VDIVPSYrm
+    811655383U,	// VDIVPSYrr
+    811737303U,	// VDIVPSZ128rm
+    356688087U,	// VDIVPSZ128rmb
+    2505220311U,	// VDIVPSZ128rmbk
+    1431494871U,	// VDIVPSZ128rmbkz
+    87023831U,	// VDIVPSZ128rmk
+    571482327U,	// VDIVPSZ128rmkz
+    811655383U,	// VDIVPSZ128rr
+    2693816535U,	// VDIVPSZ128rrk
+    571400407U,	// VDIVPSZ128rrkz
+    812589271U,	// VDIVPSZ256rm
+    360882391U,	// VDIVPSZ256rmb
+    2509414615U,	// VDIVPSZ256rmbk
+    1435689175U,	// VDIVPSZ256rmbkz
+    87072983U,	// VDIVPSZ256rmk
+    571531479U,	// VDIVPSZ256rmkz
+    811655383U,	// VDIVPSZ256rr
+    2693816535U,	// VDIVPSZ256rrk
+    571400407U,	// VDIVPSZ256rrkz
+    1122519U,	// VDIVPSZrb
+    87122135U,	// VDIVPSZrbk
+    359768279U,	// VDIVPSZrbkz
+    812769495U,	// VDIVPSZrm
+    362979543U,	// VDIVPSZrmb
+    2511511767U,	// VDIVPSZrmbk
+    1437786327U,	// VDIVPSZrmbkz
+    87171287U,	// VDIVPSZrmk
+    571629783U,	// VDIVPSZrmkz
+    811655383U,	// VDIVPSZrr
+    2693816535U,	// VDIVPSZrrk
+    571400407U,	// VDIVPSZrrkz
+    811737303U,	// VDIVPSrm
+    811655383U,	// VDIVPSrr
+    283266299U,	// VDIVSDZrm
+    811732219U,	// VDIVSDZrm_Int
+    87018747U,	// VDIVSDZrm_Intk
+    571477243U,	// VDIVSDZrm_Intkz
+    811650299U,	// VDIVSDZrr
+    811650299U,	// VDIVSDZrr_Int
+    2693811451U,	// VDIVSDZrr_Intk
+    571395323U,	// VDIVSDZrr_Intkz
+    1117435U,	// VDIVSDZrrb
+    87117051U,	// VDIVSDZrrbk
+    359763195U,	// VDIVSDZrrbkz
+    283266299U,	// VDIVSDrm
+    283266299U,	// VDIVSDrm_Int
+    811650299U,	// VDIVSDrr
+    811650299U,	// VDIVSDrr_Int
+    283288238U,	// VDIVSSZrm
+    811737774U,	// VDIVSSZrm_Int
+    87024302U,	// VDIVSSZrm_Intk
+    571482798U,	// VDIVSSZrm_Intkz
+    811655854U,	// VDIVSSZrr
+    811655854U,	// VDIVSSZrr_Int
+    2693817006U,	// VDIVSSZrr_Intk
+    571400878U,	// VDIVSSZrr_Intkz
+    1122990U,	// VDIVSSZrrb
+    87122606U,	// VDIVSSZrrbk
+    359768750U,	// VDIVSSZrrbkz
+    283288238U,	// VDIVSSrm
+    283288238U,	// VDIVSSrm_Int
+    811655854U,	// VDIVSSrr
+    811655854U,	// VDIVSSrr_Int
+    300272144U,	// VDPPDrmi
+    302385680U,	// VDPPDrri
+    113631212U,	// VDPPSYrmi
+    302391276U,	// VDPPSYrri
+    300277740U,	// VDPPSrmi
+    302391276U,	// VDPPSrri
+    220199U,	// VERRm
+    23591U,	// VERRr
+    222930U,	// VERWm
+    26322U,	// VERWr
+    116705231U,	// VEXP2PDm
+    116705231U,	// VEXP2PDmb
+    2693941199U,	// VEXP2PDmbk
+    2693908431U,	// VEXP2PDmbkz
+    2693941199U,	// VEXP2PDmk
+    2693908431U,	// VEXP2PDmkz
+    551815119U,	// VEXP2PDr
+    551815119U,	// VEXP2PDrb
+    2693711823U,	// VEXP2PDrbk
+    2692794319U,	// VEXP2PDrbkz
+    2693711823U,	// VEXP2PDrk
+    2692794319U,	// VEXP2PDrkz
+    116710809U,	// VEXP2PSm
+    116710809U,	// VEXP2PSmb
+    2693946777U,	// VEXP2PSmbk
+    2693914009U,	// VEXP2PSmbkz
+    2693946777U,	// VEXP2PSmk
+    2693914009U,	// VEXP2PSmkz
+    551820697U,	// VEXP2PSr
+    551820697U,	// VEXP2PSrb
+    2693717401U,	// VEXP2PSrbk
+    2692799897U,	// VEXP2PSrbkz
+    2693717401U,	// VEXP2PSrk
+    2692799897U,	// VEXP2PSrkz
+    2693794119U,	// VEXPANDPDZ128rmk
+    2692876615U,	// VEXPANDPDZ128rmkz
+    2693712199U,	// VEXPANDPDZ128rrk
+    2692794695U,	// VEXPANDPDZ128rrkz
+    2693843271U,	// VEXPANDPDZ256rmk
+    2693728583U,	// VEXPANDPDZ256rmkz
+    2693712199U,	// VEXPANDPDZ256rrk
+    2692794695U,	// VEXPANDPDZ256rrkz
+    2693941575U,	// VEXPANDPDZrmk
+    2693908807U,	// VEXPANDPDZrmkz
+    2693712199U,	// VEXPANDPDZrrk
+    2692794695U,	// VEXPANDPDZrrkz
+    2693799678U,	// VEXPANDPSZ128rmk
+    2692882174U,	// VEXPANDPSZ128rmkz
+    2693717758U,	// VEXPANDPSZ128rrk
+    2692800254U,	// VEXPANDPSZ128rrkz
+    2693848830U,	// VEXPANDPSZ256rmk
+    2693734142U,	// VEXPANDPSZ256rmkz
+    2693717758U,	// VEXPANDPSZ256rrk
+    2692800254U,	// VEXPANDPSZ256rrkz
+    2693947134U,	// VEXPANDPSZrmk
+    2693914366U,	// VEXPANDPSZrmkz
+    2693717758U,	// VEXPANDPSZrrk
+    2692800254U,	// VEXPANDPSZrrkz
+    3540320700U,	// VEXTRACTF128mr
+    811942332U,	// VEXTRACTF128rr
+    3540320527U,	// VEXTRACTF32x4rm
+    811942159U,	// VEXTRACTF32x4rr
+    636109071U,	// VEXTRACTF32x4rrk
+    570818831U,	// VEXTRACTF32x4rrkz
+    3808756058U,	// VEXTRACTF64x4rm
+    811942234U,	// VEXTRACTF64x4rr
+    636109146U,	// VEXTRACTF64x4rrk
+    570818906U,	// VEXTRACTF64x4rrkz
+    50659827U,	// VEXTRACTI128mr
+    811942387U,	// VEXTRACTI128rr
+    50659628U,	// VEXTRACTI32x4rm
+    811942188U,	// VEXTRACTI32x4rr
+    636109100U,	// VEXTRACTI32x4rrk
+    570818860U,	// VEXTRACTI32x4rrkz
+    319095159U,	// VEXTRACTI64x4rm
+    811942263U,	// VEXTRACTI64x4rr
+    636109175U,	// VEXTRACTI64x4rrk
+    570818935U,	// VEXTRACTI64x4rrkz
+    3271893102U,	// VEXTRACTPSmr
+    811950190U,	// VEXTRACTPSrr
+    3271893102U,	// VEXTRACTPSzmr
+    811950190U,	// VEXTRACTPSzrr
+    571475859U,	// VFMADD132PDZ128m
+    1427081107U,	// VFMADD132PDZ128mb
+    571525011U,	// VFMADD132PDZ256m
+    1431275411U,	// VFMADD132PDZ256mb
+    571623315U,	// VFMADD132PDZm
+    1435469715U,	// VFMADD132PDZmb
+    571481415U,	// VFMADD132PSZ128m
+    1431493959U,	// VFMADD132PSZ128mb
+    571530567U,	// VFMADD132PSZ256m
+    1435688263U,	// VFMADD132PSZ256mb
+    571628871U,	// VFMADD132PSZm
+    1437785415U,	// VFMADD132PSZmb
+    301156650U,	// VFMADDPD4mr
+    101927210U,	// VFMADDPD4mrY
+    303040810U,	// VFMADDPD4rm
+    303089962U,	// VFMADDPD4rmY
+    302958890U,	// VFMADDPD4rr
+    302958890U,	// VFMADDPD4rrY
+    302958890U,	// VFMADDPD4rrY_REV
+    302958890U,	// VFMADDPD4rr_REV
+    571476032U,	// VFMADDPDZ128v213rm
+    1427081280U,	// VFMADDPDZ128v213rmb
+    2500806720U,	// VFMADDPDZ128v213rmbk
+    2500806720U,	// VFMADDPDZ128v213rmbkz
+    87017536U,	// VFMADDPDZ128v213rmk
+    118474816U,	// VFMADDPDZ128v213rmkz
+    571394112U,	// VFMADDPDZ128v213rr
+    2693810240U,	// VFMADDPDZ128v213rrk
+    2693810240U,	// VFMADDPDZ128v213rrkz
+    571475773U,	// VFMADDPDZ128v231rm
+    1427081021U,	// VFMADDPDZ128v231rmb
+    2500806461U,	// VFMADDPDZ128v231rmbk
+    2500806461U,	// VFMADDPDZ128v231rmbkz
+    87017277U,	// VFMADDPDZ128v231rmk
+    118474557U,	// VFMADDPDZ128v231rmkz
+    571393853U,	// VFMADDPDZ128v231rr
+    2693809981U,	// VFMADDPDZ128v231rrk
+    2693809981U,	// VFMADDPDZ128v231rrkz
+    571525184U,	// VFMADDPDZ256v213rm
+    1431275584U,	// VFMADDPDZ256v213rmb
+    2505001024U,	// VFMADDPDZ256v213rmbk
+    2505001024U,	// VFMADDPDZ256v213rmbkz
+    87066688U,	// VFMADDPDZ256v213rmk
+    118523968U,	// VFMADDPDZ256v213rmkz
+    571394112U,	// VFMADDPDZ256v213rr
+    2693810240U,	// VFMADDPDZ256v213rrk
+    2693810240U,	// VFMADDPDZ256v213rrkz
+    571524925U,	// VFMADDPDZ256v231rm
+    1431275325U,	// VFMADDPDZ256v231rmb
+    2505000765U,	// VFMADDPDZ256v231rmbk
+    2505000765U,	// VFMADDPDZ256v231rmbkz
+    87066429U,	// VFMADDPDZ256v231rmk
+    118523709U,	// VFMADDPDZ256v231rmkz
+    571393853U,	// VFMADDPDZ256v231rr
+    2693809981U,	// VFMADDPDZ256v231rrk
+    2693809981U,	// VFMADDPDZ256v231rrkz
+    571623488U,	// VFMADDPDZv213rm
+    1435469888U,	// VFMADDPDZv213rmb
+    2509195328U,	// VFMADDPDZv213rmbk
+    2509195328U,	// VFMADDPDZv213rmbkz
+    87164992U,	// VFMADDPDZv213rmk
+    118622272U,	// VFMADDPDZv213rmkz
+    571394112U,	// VFMADDPDZv213rr
+    116492352U,	// VFMADDPDZv213rrb
+    87115840U,	// VFMADDPDZv213rrbk
+    118573120U,	// VFMADDPDZv213rrbkz
+    2693810240U,	// VFMADDPDZv213rrk
+    2693810240U,	// VFMADDPDZv213rrkz
+    571623229U,	// VFMADDPDZv231rm
+    1435469629U,	// VFMADDPDZv231rmb
+    2509195069U,	// VFMADDPDZv231rmbk
+    2509195069U,	// VFMADDPDZv231rmbkz
+    87164733U,	// VFMADDPDZv231rmk
+    118622013U,	// VFMADDPDZv231rmkz
+    571393853U,	// VFMADDPDZv231rr
+    2693809981U,	// VFMADDPDZv231rrk
+    2693809981U,	// VFMADDPDZv231rrkz
+    571475859U,	// VFMADDPDr132m
+    571525011U,	// VFMADDPDr132mY
+    571393939U,	// VFMADDPDr132r
+    571393939U,	// VFMADDPDr132rY
+    571476032U,	// VFMADDPDr213m
+    571525184U,	// VFMADDPDr213mY
+    571394112U,	// VFMADDPDr213r
+    571394112U,	// VFMADDPDr213rY
+    571475773U,	// VFMADDPDr231m
+    571524925U,	// VFMADDPDr231mY
+    571393853U,	// VFMADDPDr231r
+    571393853U,	// VFMADDPDr231rY
+    301162209U,	// VFMADDPS4mr
+    101932769U,	// VFMADDPS4mrY
+    303046369U,	// VFMADDPS4rm
+    303095521U,	// VFMADDPS4rmY
+    302964449U,	// VFMADDPS4rr
+    302964449U,	// VFMADDPS4rrY
+    302964449U,	// VFMADDPS4rrY_REV
+    302964449U,	// VFMADDPS4rr_REV
+    571481599U,	// VFMADDPSZ128v213rm
+    1431494143U,	// VFMADDPSZ128v213rmb
+    2505219583U,	// VFMADDPSZ128v213rmbk
+    2505219583U,	// VFMADDPSZ128v213rmbkz
+    87023103U,	// VFMADDPSZ128v213rmk
+    118480383U,	// VFMADDPSZ128v213rmkz
+    571399679U,	// VFMADDPSZ128v213rr
+    2693815807U,	// VFMADDPSZ128v213rrk
+    2693815807U,	// VFMADDPSZ128v213rrkz
+    571481329U,	// VFMADDPSZ128v231rm
+    1431493873U,	// VFMADDPSZ128v231rmb
+    2505219313U,	// VFMADDPSZ128v231rmbk
+    2505219313U,	// VFMADDPSZ128v231rmbkz
+    87022833U,	// VFMADDPSZ128v231rmk
+    118480113U,	// VFMADDPSZ128v231rmkz
+    571399409U,	// VFMADDPSZ128v231rr
+    2693815537U,	// VFMADDPSZ128v231rrk
+    2693815537U,	// VFMADDPSZ128v231rrkz
+    571530751U,	// VFMADDPSZ256v213rm
+    1435688447U,	// VFMADDPSZ256v213rmb
+    2509413887U,	// VFMADDPSZ256v213rmbk
+    2509413887U,	// VFMADDPSZ256v213rmbkz
+    87072255U,	// VFMADDPSZ256v213rmk
+    118529535U,	// VFMADDPSZ256v213rmkz
+    571399679U,	// VFMADDPSZ256v213rr
+    2693815807U,	// VFMADDPSZ256v213rrk
+    2693815807U,	// VFMADDPSZ256v213rrkz
+    571530481U,	// VFMADDPSZ256v231rm
+    1435688177U,	// VFMADDPSZ256v231rmb
+    2509413617U,	// VFMADDPSZ256v231rmbk
+    2509413617U,	// VFMADDPSZ256v231rmbkz
+    87071985U,	// VFMADDPSZ256v231rmk
+    118529265U,	// VFMADDPSZ256v231rmkz
+    571399409U,	// VFMADDPSZ256v231rr
+    2693815537U,	// VFMADDPSZ256v231rrk
+    2693815537U,	// VFMADDPSZ256v231rrkz
+    571629055U,	// VFMADDPSZv213rm
+    1437785599U,	// VFMADDPSZv213rmb
+    2511511039U,	// VFMADDPSZv213rmbk
+    2511511039U,	// VFMADDPSZv213rmbkz
+    87170559U,	// VFMADDPSZv213rmk
+    118627839U,	// VFMADDPSZv213rmkz
+    571399679U,	// VFMADDPSZv213rr
+    116497919U,	// VFMADDPSZv213rrb
+    87121407U,	// VFMADDPSZv213rrbk
+    118578687U,	// VFMADDPSZv213rrbkz
+    2693815807U,	// VFMADDPSZv213rrk
+    2693815807U,	// VFMADDPSZv213rrkz
+    571628785U,	// VFMADDPSZv231rm
+    1437785329U,	// VFMADDPSZv231rmb
+    2511510769U,	// VFMADDPSZv231rmbk
+    2511510769U,	// VFMADDPSZv231rmbkz
+    87170289U,	// VFMADDPSZv231rmk
+    118627569U,	// VFMADDPSZv231rmkz
+    571399409U,	// VFMADDPSZv231rr
+    2693815537U,	// VFMADDPSZv231rrk
+    2693815537U,	// VFMADDPSZv231rrkz
+    571481415U,	// VFMADDPSr132m
+    571530567U,	// VFMADDPSr132mY
+    571399495U,	// VFMADDPSr132r
+    571399495U,	// VFMADDPSr132rY
+    571481599U,	// VFMADDPSr213m
+    571530751U,	// VFMADDPSr213mY
+    571399679U,	// VFMADDPSr213r
+    571399679U,	// VFMADDPSr213rY
+    571481329U,	// VFMADDPSr231m
+    571530481U,	// VFMADDPSr231mY
+    571399409U,	// VFMADDPSr231r
+    571399409U,	// VFMADDPSr231rY
+    313740390U,	// VFMADDSD4mr
+    313740390U,	// VFMADDSD4mr_Int
+    1357876326U,	// VFMADDSD4rm
+    1357876326U,	// VFMADDSD4rm_Int
+    302959718U,	// VFMADDSD4rr
+    302959718U,	// VFMADDSD4rr_Int
+    302959718U,	// VFMADDSD4rr_REV
+    571476986U,	// VFMADDSDZm
+    571395066U,	// VFMADDSDZr
+    1357876153U,	// VFMADDSDr132m
+    571395001U,	// VFMADDSDr132r
+    1357876218U,	// VFMADDSDr213m
+    571395066U,	// VFMADDSDr213r
+    1357876099U,	// VFMADDSDr231m
+    571394947U,	// VFMADDSDr231r
+    317940253U,	// VFMADDSS4mr
+    317940253U,	// VFMADDSS4mr_Int
+    1358094877U,	// VFMADDSS4rm
+    1358094877U,	// VFMADDSS4rm_Int
+    302965277U,	// VFMADDSS4rr
+    302965277U,	// VFMADDSS4rr_Int
+    302965277U,	// VFMADDSS4rr_REV
+    571482553U,	// VFMADDSSZm
+    571400633U,	// VFMADDSSZr
+    1358094712U,	// VFMADDSSr132m
+    571400568U,	// VFMADDSSr132r
+    1358094777U,	// VFMADDSSr213m
+    571400633U,	// VFMADDSSr213r
+    1358094658U,	// VFMADDSSr231m
+    571400514U,	// VFMADDSSr231r
+    571475800U,	// VFMADDSUB132PDZ128m
+    1427081048U,	// VFMADDSUB132PDZ128mb
+    571524952U,	// VFMADDSUB132PDZ256m
+    1431275352U,	// VFMADDSUB132PDZ256mb
+    571623256U,	// VFMADDSUB132PDZm
+    1435469656U,	// VFMADDSUB132PDZmb
+    571481356U,	// VFMADDSUB132PSZ128m
+    1431493900U,	// VFMADDSUB132PSZ128mb
+    571530508U,	// VFMADDSUB132PSZ256m
+    1435688204U,	// VFMADDSUB132PSZ256mb
+    571628812U,	// VFMADDSUB132PSZm
+    1437785356U,	// VFMADDSUB132PSZmb
+    301156504U,	// VFMADDSUBPD4mr
+    101927064U,	// VFMADDSUBPD4mrY
+    303040664U,	// VFMADDSUBPD4rm
+    303089816U,	// VFMADDSUBPD4rmY
+    302958744U,	// VFMADDSUBPD4rr
+    302958744U,	// VFMADDSUBPD4rrY
+    302958744U,	// VFMADDSUBPD4rrY_REV
+    302958744U,	// VFMADDSUBPD4rr_REV
+    571475973U,	// VFMADDSUBPDZ128v213rm
+    1427081221U,	// VFMADDSUBPDZ128v213rmb
+    2500806661U,	// VFMADDSUBPDZ128v213rmbk
+    2500806661U,	// VFMADDSUBPDZ128v213rmbkz
+    87017477U,	// VFMADDSUBPDZ128v213rmk
+    118474757U,	// VFMADDSUBPDZ128v213rmkz
+    571394053U,	// VFMADDSUBPDZ128v213rr
+    2693810181U,	// VFMADDSUBPDZ128v213rrk
+    2693810181U,	// VFMADDSUBPDZ128v213rrkz
+    571475714U,	// VFMADDSUBPDZ128v231rm
+    1427080962U,	// VFMADDSUBPDZ128v231rmb
+    2500806402U,	// VFMADDSUBPDZ128v231rmbk
+    2500806402U,	// VFMADDSUBPDZ128v231rmbkz
+    87017218U,	// VFMADDSUBPDZ128v231rmk
+    118474498U,	// VFMADDSUBPDZ128v231rmkz
+    571393794U,	// VFMADDSUBPDZ128v231rr
+    2693809922U,	// VFMADDSUBPDZ128v231rrk
+    2693809922U,	// VFMADDSUBPDZ128v231rrkz
+    571525125U,	// VFMADDSUBPDZ256v213rm
+    1431275525U,	// VFMADDSUBPDZ256v213rmb
+    2505000965U,	// VFMADDSUBPDZ256v213rmbk
+    2505000965U,	// VFMADDSUBPDZ256v213rmbkz
+    87066629U,	// VFMADDSUBPDZ256v213rmk
+    118523909U,	// VFMADDSUBPDZ256v213rmkz
+    571394053U,	// VFMADDSUBPDZ256v213rr
+    2693810181U,	// VFMADDSUBPDZ256v213rrk
+    2693810181U,	// VFMADDSUBPDZ256v213rrkz
+    571524866U,	// VFMADDSUBPDZ256v231rm
+    1431275266U,	// VFMADDSUBPDZ256v231rmb
+    2505000706U,	// VFMADDSUBPDZ256v231rmbk
+    2505000706U,	// VFMADDSUBPDZ256v231rmbkz
+    87066370U,	// VFMADDSUBPDZ256v231rmk
+    118523650U,	// VFMADDSUBPDZ256v231rmkz
+    571393794U,	// VFMADDSUBPDZ256v231rr
+    2693809922U,	// VFMADDSUBPDZ256v231rrk
+    2693809922U,	// VFMADDSUBPDZ256v231rrkz
+    571623429U,	// VFMADDSUBPDZv213rm
+    1435469829U,	// VFMADDSUBPDZv213rmb
+    2509195269U,	// VFMADDSUBPDZv213rmbk
+    2509195269U,	// VFMADDSUBPDZv213rmbkz
+    87164933U,	// VFMADDSUBPDZv213rmk
+    118622213U,	// VFMADDSUBPDZv213rmkz
+    571394053U,	// VFMADDSUBPDZv213rr
+    116492293U,	// VFMADDSUBPDZv213rrb
+    87115781U,	// VFMADDSUBPDZv213rrbk
+    118573061U,	// VFMADDSUBPDZv213rrbkz
+    2693810181U,	// VFMADDSUBPDZv213rrk
+    2693810181U,	// VFMADDSUBPDZv213rrkz
+    571623170U,	// VFMADDSUBPDZv231rm
+    1435469570U,	// VFMADDSUBPDZv231rmb
+    2509195010U,	// VFMADDSUBPDZv231rmbk
+    2509195010U,	// VFMADDSUBPDZv231rmbkz
+    87164674U,	// VFMADDSUBPDZv231rmk
+    118621954U,	// VFMADDSUBPDZv231rmkz
+    571393794U,	// VFMADDSUBPDZv231rr
+    2693809922U,	// VFMADDSUBPDZv231rrk
+    2693809922U,	// VFMADDSUBPDZv231rrkz
+    571475800U,	// VFMADDSUBPDr132m
+    571524952U,	// VFMADDSUBPDr132mY
+    571393880U,	// VFMADDSUBPDr132r
+    571393880U,	// VFMADDSUBPDr132rY
+    571475973U,	// VFMADDSUBPDr213m
+    571525125U,	// VFMADDSUBPDr213mY
+    571394053U,	// VFMADDSUBPDr213r
+    571394053U,	// VFMADDSUBPDr213rY
+    571475714U,	// VFMADDSUBPDr231m
+    571524866U,	// VFMADDSUBPDr231mY
+    571393794U,	// VFMADDSUBPDr231r
+    571393794U,	// VFMADDSUBPDr231rY
+    301162063U,	// VFMADDSUBPS4mr
+    101932623U,	// VFMADDSUBPS4mrY
+    303046223U,	// VFMADDSUBPS4rm
+    303095375U,	// VFMADDSUBPS4rmY
+    302964303U,	// VFMADDSUBPS4rr
+    302964303U,	// VFMADDSUBPS4rrY
+    302964303U,	// VFMADDSUBPS4rrY_REV
+    302964303U,	// VFMADDSUBPS4rr_REV
+    571481540U,	// VFMADDSUBPSZ128v213rm
+    1431494084U,	// VFMADDSUBPSZ128v213rmb
+    2505219524U,	// VFMADDSUBPSZ128v213rmbk
+    2505219524U,	// VFMADDSUBPSZ128v213rmbkz
+    87023044U,	// VFMADDSUBPSZ128v213rmk
+    118480324U,	// VFMADDSUBPSZ128v213rmkz
+    571399620U,	// VFMADDSUBPSZ128v213rr
+    2693815748U,	// VFMADDSUBPSZ128v213rrk
+    2693815748U,	// VFMADDSUBPSZ128v213rrkz
+    571481270U,	// VFMADDSUBPSZ128v231rm
+    1431493814U,	// VFMADDSUBPSZ128v231rmb
+    2505219254U,	// VFMADDSUBPSZ128v231rmbk
+    2505219254U,	// VFMADDSUBPSZ128v231rmbkz
+    87022774U,	// VFMADDSUBPSZ128v231rmk
+    118480054U,	// VFMADDSUBPSZ128v231rmkz
+    571399350U,	// VFMADDSUBPSZ128v231rr
+    2693815478U,	// VFMADDSUBPSZ128v231rrk
+    2693815478U,	// VFMADDSUBPSZ128v231rrkz
+    571530692U,	// VFMADDSUBPSZ256v213rm
+    1435688388U,	// VFMADDSUBPSZ256v213rmb
+    2509413828U,	// VFMADDSUBPSZ256v213rmbk
+    2509413828U,	// VFMADDSUBPSZ256v213rmbkz
+    87072196U,	// VFMADDSUBPSZ256v213rmk
+    118529476U,	// VFMADDSUBPSZ256v213rmkz
+    571399620U,	// VFMADDSUBPSZ256v213rr
+    2693815748U,	// VFMADDSUBPSZ256v213rrk
+    2693815748U,	// VFMADDSUBPSZ256v213rrkz
+    571530422U,	// VFMADDSUBPSZ256v231rm
+    1435688118U,	// VFMADDSUBPSZ256v231rmb
+    2509413558U,	// VFMADDSUBPSZ256v231rmbk
+    2509413558U,	// VFMADDSUBPSZ256v231rmbkz
+    87071926U,	// VFMADDSUBPSZ256v231rmk
+    118529206U,	// VFMADDSUBPSZ256v231rmkz
+    571399350U,	// VFMADDSUBPSZ256v231rr
+    2693815478U,	// VFMADDSUBPSZ256v231rrk
+    2693815478U,	// VFMADDSUBPSZ256v231rrkz
+    571628996U,	// VFMADDSUBPSZv213rm
+    1437785540U,	// VFMADDSUBPSZv213rmb
+    2511510980U,	// VFMADDSUBPSZv213rmbk
+    2511510980U,	// VFMADDSUBPSZv213rmbkz
+    87170500U,	// VFMADDSUBPSZv213rmk
+    118627780U,	// VFMADDSUBPSZv213rmkz
+    571399620U,	// VFMADDSUBPSZv213rr
+    116497860U,	// VFMADDSUBPSZv213rrb
+    87121348U,	// VFMADDSUBPSZv213rrbk
+    118578628U,	// VFMADDSUBPSZv213rrbkz
+    2693815748U,	// VFMADDSUBPSZv213rrk
+    2693815748U,	// VFMADDSUBPSZv213rrkz
+    571628726U,	// VFMADDSUBPSZv231rm
+    1437785270U,	// VFMADDSUBPSZv231rmb
+    2511510710U,	// VFMADDSUBPSZv231rmbk
+    2511510710U,	// VFMADDSUBPSZv231rmbkz
+    87170230U,	// VFMADDSUBPSZv231rmk
+    118627510U,	// VFMADDSUBPSZv231rmkz
+    571399350U,	// VFMADDSUBPSZv231rr
+    2693815478U,	// VFMADDSUBPSZv231rrk
+    2693815478U,	// VFMADDSUBPSZv231rrkz
+    571481356U,	// VFMADDSUBPSr132m
+    571530508U,	// VFMADDSUBPSr132mY
+    571399436U,	// VFMADDSUBPSr132r
+    571399436U,	// VFMADDSUBPSr132rY
+    571481540U,	// VFMADDSUBPSr213m
+    571530692U,	// VFMADDSUBPSr213mY
+    571399620U,	// VFMADDSUBPSr213r
+    571399620U,	// VFMADDSUBPSr213rY
+    571481270U,	// VFMADDSUBPSr231m
+    571530422U,	// VFMADDSUBPSr231mY
+    571399350U,	// VFMADDSUBPSr231r
+    571399350U,	// VFMADDSUBPSr231rY
+    571475816U,	// VFMSUB132PDZ128m
+    1427081064U,	// VFMSUB132PDZ128mb
+    571524968U,	// VFMSUB132PDZ256m
+    1431275368U,	// VFMSUB132PDZ256mb
+    571623272U,	// VFMSUB132PDZm
+    1435469672U,	// VFMSUB132PDZmb
+    571481372U,	// VFMSUB132PSZ128m
+    1431493916U,	// VFMSUB132PSZ128mb
+    571530524U,	// VFMSUB132PSZ256m
+    1435688220U,	// VFMSUB132PSZ256mb
+    571628828U,	// VFMSUB132PSZm
+    1437785372U,	// VFMSUB132PSZmb
+    571475843U,	// VFMSUBADD132PDZ128m
+    1427081091U,	// VFMSUBADD132PDZ128mb
+    571524995U,	// VFMSUBADD132PDZ256m
+    1431275395U,	// VFMSUBADD132PDZ256mb
+    571623299U,	// VFMSUBADD132PDZm
+    1435469699U,	// VFMSUBADD132PDZmb
+    571481399U,	// VFMSUBADD132PSZ128m
+    1431493943U,	// VFMSUBADD132PSZ128mb
+    571530551U,	// VFMSUBADD132PSZ256m
+    1435688247U,	// VFMSUBADD132PSZ256mb
+    571628855U,	// VFMSUBADD132PSZm
+    1437785399U,	// VFMSUBADD132PSZmb
+    301156628U,	// VFMSUBADDPD4mr
+    101927188U,	// VFMSUBADDPD4mrY
+    303040788U,	// VFMSUBADDPD4rm
+    303089940U,	// VFMSUBADDPD4rmY
+    302958868U,	// VFMSUBADDPD4rr
+    302958868U,	// VFMSUBADDPD4rrY
+    302958868U,	// VFMSUBADDPD4rrY_REV
+    302958868U,	// VFMSUBADDPD4rr_REV
+    571476016U,	// VFMSUBADDPDZ128v213rm
+    1427081264U,	// VFMSUBADDPDZ128v213rmb
+    2500806704U,	// VFMSUBADDPDZ128v213rmbk
+    2500806704U,	// VFMSUBADDPDZ128v213rmbkz
+    87017520U,	// VFMSUBADDPDZ128v213rmk
+    118474800U,	// VFMSUBADDPDZ128v213rmkz
+    571394096U,	// VFMSUBADDPDZ128v213rr
+    2693810224U,	// VFMSUBADDPDZ128v213rrk
+    2693810224U,	// VFMSUBADDPDZ128v213rrkz
+    571475757U,	// VFMSUBADDPDZ128v231rm
+    1427081005U,	// VFMSUBADDPDZ128v231rmb
+    2500806445U,	// VFMSUBADDPDZ128v231rmbk
+    2500806445U,	// VFMSUBADDPDZ128v231rmbkz
+    87017261U,	// VFMSUBADDPDZ128v231rmk
+    118474541U,	// VFMSUBADDPDZ128v231rmkz
+    571393837U,	// VFMSUBADDPDZ128v231rr
+    2693809965U,	// VFMSUBADDPDZ128v231rrk
+    2693809965U,	// VFMSUBADDPDZ128v231rrkz
+    571525168U,	// VFMSUBADDPDZ256v213rm
+    1431275568U,	// VFMSUBADDPDZ256v213rmb
+    2505001008U,	// VFMSUBADDPDZ256v213rmbk
+    2505001008U,	// VFMSUBADDPDZ256v213rmbkz
+    87066672U,	// VFMSUBADDPDZ256v213rmk
+    118523952U,	// VFMSUBADDPDZ256v213rmkz
+    571394096U,	// VFMSUBADDPDZ256v213rr
+    2693810224U,	// VFMSUBADDPDZ256v213rrk
+    2693810224U,	// VFMSUBADDPDZ256v213rrkz
+    571524909U,	// VFMSUBADDPDZ256v231rm
+    1431275309U,	// VFMSUBADDPDZ256v231rmb
+    2505000749U,	// VFMSUBADDPDZ256v231rmbk
+    2505000749U,	// VFMSUBADDPDZ256v231rmbkz
+    87066413U,	// VFMSUBADDPDZ256v231rmk
+    118523693U,	// VFMSUBADDPDZ256v231rmkz
+    571393837U,	// VFMSUBADDPDZ256v231rr
+    2693809965U,	// VFMSUBADDPDZ256v231rrk
+    2693809965U,	// VFMSUBADDPDZ256v231rrkz
+    571623472U,	// VFMSUBADDPDZv213rm
+    1435469872U,	// VFMSUBADDPDZv213rmb
+    2509195312U,	// VFMSUBADDPDZv213rmbk
+    2509195312U,	// VFMSUBADDPDZv213rmbkz
+    87164976U,	// VFMSUBADDPDZv213rmk
+    118622256U,	// VFMSUBADDPDZv213rmkz
+    571394096U,	// VFMSUBADDPDZv213rr
+    116492336U,	// VFMSUBADDPDZv213rrb
+    87115824U,	// VFMSUBADDPDZv213rrbk
+    118573104U,	// VFMSUBADDPDZv213rrbkz
+    2693810224U,	// VFMSUBADDPDZv213rrk
+    2693810224U,	// VFMSUBADDPDZv213rrkz
+    571623213U,	// VFMSUBADDPDZv231rm
+    1435469613U,	// VFMSUBADDPDZv231rmb
+    2509195053U,	// VFMSUBADDPDZv231rmbk
+    2509195053U,	// VFMSUBADDPDZv231rmbkz
+    87164717U,	// VFMSUBADDPDZv231rmk
+    118621997U,	// VFMSUBADDPDZv231rmkz
+    571393837U,	// VFMSUBADDPDZv231rr
+    2693809965U,	// VFMSUBADDPDZv231rrk
+    2693809965U,	// VFMSUBADDPDZv231rrkz
+    571475843U,	// VFMSUBADDPDr132m
+    571524995U,	// VFMSUBADDPDr132mY
+    571393923U,	// VFMSUBADDPDr132r
+    571393923U,	// VFMSUBADDPDr132rY
+    571476016U,	// VFMSUBADDPDr213m
+    571525168U,	// VFMSUBADDPDr213mY
+    571394096U,	// VFMSUBADDPDr213r
+    571394096U,	// VFMSUBADDPDr213rY
+    571475757U,	// VFMSUBADDPDr231m
+    571524909U,	// VFMSUBADDPDr231mY
+    571393837U,	// VFMSUBADDPDr231r
+    571393837U,	// VFMSUBADDPDr231rY
+    301162187U,	// VFMSUBADDPS4mr
+    101932747U,	// VFMSUBADDPS4mrY
+    303046347U,	// VFMSUBADDPS4rm
+    303095499U,	// VFMSUBADDPS4rmY
+    302964427U,	// VFMSUBADDPS4rr
+    302964427U,	// VFMSUBADDPS4rrY
+    302964427U,	// VFMSUBADDPS4rrY_REV
+    302964427U,	// VFMSUBADDPS4rr_REV
+    571481583U,	// VFMSUBADDPSZ128v213rm
+    1431494127U,	// VFMSUBADDPSZ128v213rmb
+    2505219567U,	// VFMSUBADDPSZ128v213rmbk
+    2505219567U,	// VFMSUBADDPSZ128v213rmbkz
+    87023087U,	// VFMSUBADDPSZ128v213rmk
+    118480367U,	// VFMSUBADDPSZ128v213rmkz
+    571399663U,	// VFMSUBADDPSZ128v213rr
+    2693815791U,	// VFMSUBADDPSZ128v213rrk
+    2693815791U,	// VFMSUBADDPSZ128v213rrkz
+    571481313U,	// VFMSUBADDPSZ128v231rm
+    1431493857U,	// VFMSUBADDPSZ128v231rmb
+    2505219297U,	// VFMSUBADDPSZ128v231rmbk
+    2505219297U,	// VFMSUBADDPSZ128v231rmbkz
+    87022817U,	// VFMSUBADDPSZ128v231rmk
+    118480097U,	// VFMSUBADDPSZ128v231rmkz
+    571399393U,	// VFMSUBADDPSZ128v231rr
+    2693815521U,	// VFMSUBADDPSZ128v231rrk
+    2693815521U,	// VFMSUBADDPSZ128v231rrkz
+    571530735U,	// VFMSUBADDPSZ256v213rm
+    1435688431U,	// VFMSUBADDPSZ256v213rmb
+    2509413871U,	// VFMSUBADDPSZ256v213rmbk
+    2509413871U,	// VFMSUBADDPSZ256v213rmbkz
+    87072239U,	// VFMSUBADDPSZ256v213rmk
+    118529519U,	// VFMSUBADDPSZ256v213rmkz
+    571399663U,	// VFMSUBADDPSZ256v213rr
+    2693815791U,	// VFMSUBADDPSZ256v213rrk
+    2693815791U,	// VFMSUBADDPSZ256v213rrkz
+    571530465U,	// VFMSUBADDPSZ256v231rm
+    1435688161U,	// VFMSUBADDPSZ256v231rmb
+    2509413601U,	// VFMSUBADDPSZ256v231rmbk
+    2509413601U,	// VFMSUBADDPSZ256v231rmbkz
+    87071969U,	// VFMSUBADDPSZ256v231rmk
+    118529249U,	// VFMSUBADDPSZ256v231rmkz
+    571399393U,	// VFMSUBADDPSZ256v231rr
+    2693815521U,	// VFMSUBADDPSZ256v231rrk
+    2693815521U,	// VFMSUBADDPSZ256v231rrkz
+    571629039U,	// VFMSUBADDPSZv213rm
+    1437785583U,	// VFMSUBADDPSZv213rmb
+    2511511023U,	// VFMSUBADDPSZv213rmbk
+    2511511023U,	// VFMSUBADDPSZv213rmbkz
+    87170543U,	// VFMSUBADDPSZv213rmk
+    118627823U,	// VFMSUBADDPSZv213rmkz
+    571399663U,	// VFMSUBADDPSZv213rr
+    116497903U,	// VFMSUBADDPSZv213rrb
+    87121391U,	// VFMSUBADDPSZv213rrbk
+    118578671U,	// VFMSUBADDPSZv213rrbkz
+    2693815791U,	// VFMSUBADDPSZv213rrk
+    2693815791U,	// VFMSUBADDPSZv213rrkz
+    571628769U,	// VFMSUBADDPSZv231rm
+    1437785313U,	// VFMSUBADDPSZv231rmb
+    2511510753U,	// VFMSUBADDPSZv231rmbk
+    2511510753U,	// VFMSUBADDPSZv231rmbkz
+    87170273U,	// VFMSUBADDPSZv231rmk
+    118627553U,	// VFMSUBADDPSZv231rmkz
+    571399393U,	// VFMSUBADDPSZv231rr
+    2693815521U,	// VFMSUBADDPSZv231rrk
+    2693815521U,	// VFMSUBADDPSZv231rrkz
+    571481399U,	// VFMSUBADDPSr132m
+    571530551U,	// VFMSUBADDPSr132mY
+    571399479U,	// VFMSUBADDPSr132r
+    571399479U,	// VFMSUBADDPSr132rY
+    571481583U,	// VFMSUBADDPSr213m
+    571530735U,	// VFMSUBADDPSr213mY
+    571399663U,	// VFMSUBADDPSr213r
+    571399663U,	// VFMSUBADDPSr213rY
+    571481313U,	// VFMSUBADDPSr231m
+    571530465U,	// VFMSUBADDPSr231mY
+    571399393U,	// VFMSUBADDPSr231r
+    571399393U,	// VFMSUBADDPSr231rY
+    301156537U,	// VFMSUBPD4mr
+    101927097U,	// VFMSUBPD4mrY
+    303040697U,	// VFMSUBPD4rm
+    303089849U,	// VFMSUBPD4rmY
+    302958777U,	// VFMSUBPD4rr
+    302958777U,	// VFMSUBPD4rrY
+    302958777U,	// VFMSUBPD4rrY_REV
+    302958777U,	// VFMSUBPD4rr_REV
+    571475989U,	// VFMSUBPDZ128v213rm
+    1427081237U,	// VFMSUBPDZ128v213rmb
+    2500806677U,	// VFMSUBPDZ128v213rmbk
+    2500806677U,	// VFMSUBPDZ128v213rmbkz
+    87017493U,	// VFMSUBPDZ128v213rmk
+    118474773U,	// VFMSUBPDZ128v213rmkz
+    571394069U,	// VFMSUBPDZ128v213rr
+    2693810197U,	// VFMSUBPDZ128v213rrk
+    2693810197U,	// VFMSUBPDZ128v213rrkz
+    571475730U,	// VFMSUBPDZ128v231rm
+    1427080978U,	// VFMSUBPDZ128v231rmb
+    2500806418U,	// VFMSUBPDZ128v231rmbk
+    2500806418U,	// VFMSUBPDZ128v231rmbkz
+    87017234U,	// VFMSUBPDZ128v231rmk
+    118474514U,	// VFMSUBPDZ128v231rmkz
+    571393810U,	// VFMSUBPDZ128v231rr
+    2693809938U,	// VFMSUBPDZ128v231rrk
+    2693809938U,	// VFMSUBPDZ128v231rrkz
+    571525141U,	// VFMSUBPDZ256v213rm
+    1431275541U,	// VFMSUBPDZ256v213rmb
+    2505000981U,	// VFMSUBPDZ256v213rmbk
+    2505000981U,	// VFMSUBPDZ256v213rmbkz
+    87066645U,	// VFMSUBPDZ256v213rmk
+    118523925U,	// VFMSUBPDZ256v213rmkz
+    571394069U,	// VFMSUBPDZ256v213rr
+    2693810197U,	// VFMSUBPDZ256v213rrk
+    2693810197U,	// VFMSUBPDZ256v213rrkz
+    571524882U,	// VFMSUBPDZ256v231rm
+    1431275282U,	// VFMSUBPDZ256v231rmb
+    2505000722U,	// VFMSUBPDZ256v231rmbk
+    2505000722U,	// VFMSUBPDZ256v231rmbkz
+    87066386U,	// VFMSUBPDZ256v231rmk
+    118523666U,	// VFMSUBPDZ256v231rmkz
+    571393810U,	// VFMSUBPDZ256v231rr
+    2693809938U,	// VFMSUBPDZ256v231rrk
+    2693809938U,	// VFMSUBPDZ256v231rrkz
+    571623445U,	// VFMSUBPDZv213rm
+    1435469845U,	// VFMSUBPDZv213rmb
+    2509195285U,	// VFMSUBPDZv213rmbk
+    2509195285U,	// VFMSUBPDZv213rmbkz
+    87164949U,	// VFMSUBPDZv213rmk
+    118622229U,	// VFMSUBPDZv213rmkz
+    571394069U,	// VFMSUBPDZv213rr
+    116492309U,	// VFMSUBPDZv213rrb
+    87115797U,	// VFMSUBPDZv213rrbk
+    118573077U,	// VFMSUBPDZv213rrbkz
+    2693810197U,	// VFMSUBPDZv213rrk
+    2693810197U,	// VFMSUBPDZv213rrkz
+    571623186U,	// VFMSUBPDZv231rm
+    1435469586U,	// VFMSUBPDZv231rmb
+    2509195026U,	// VFMSUBPDZv231rmbk
+    2509195026U,	// VFMSUBPDZv231rmbkz
+    87164690U,	// VFMSUBPDZv231rmk
+    118621970U,	// VFMSUBPDZv231rmkz
+    571393810U,	// VFMSUBPDZv231rr
+    2693809938U,	// VFMSUBPDZv231rrk
+    2693809938U,	// VFMSUBPDZv231rrkz
+    571475816U,	// VFMSUBPDr132m
+    571524968U,	// VFMSUBPDr132mY
+    571393896U,	// VFMSUBPDr132r
+    571393896U,	// VFMSUBPDr132rY
+    571475989U,	// VFMSUBPDr213m
+    571525141U,	// VFMSUBPDr213mY
+    571394069U,	// VFMSUBPDr213r
+    571394069U,	// VFMSUBPDr213rY
+    571475730U,	// VFMSUBPDr231m
+    571524882U,	// VFMSUBPDr231mY
+    571393810U,	// VFMSUBPDr231r
+    571393810U,	// VFMSUBPDr231rY
+    301162096U,	// VFMSUBPS4mr
+    101932656U,	// VFMSUBPS4mrY
+    303046256U,	// VFMSUBPS4rm
+    303095408U,	// VFMSUBPS4rmY
+    302964336U,	// VFMSUBPS4rr
+    302964336U,	// VFMSUBPS4rrY
+    302964336U,	// VFMSUBPS4rrY_REV
+    302964336U,	// VFMSUBPS4rr_REV
+    571481556U,	// VFMSUBPSZ128v213rm
+    1431494100U,	// VFMSUBPSZ128v213rmb
+    2505219540U,	// VFMSUBPSZ128v213rmbk
+    2505219540U,	// VFMSUBPSZ128v213rmbkz
+    87023060U,	// VFMSUBPSZ128v213rmk
+    118480340U,	// VFMSUBPSZ128v213rmkz
+    571399636U,	// VFMSUBPSZ128v213rr
+    2693815764U,	// VFMSUBPSZ128v213rrk
+    2693815764U,	// VFMSUBPSZ128v213rrkz
+    571481286U,	// VFMSUBPSZ128v231rm
+    1431493830U,	// VFMSUBPSZ128v231rmb
+    2505219270U,	// VFMSUBPSZ128v231rmbk
+    2505219270U,	// VFMSUBPSZ128v231rmbkz
+    87022790U,	// VFMSUBPSZ128v231rmk
+    118480070U,	// VFMSUBPSZ128v231rmkz
+    571399366U,	// VFMSUBPSZ128v231rr
+    2693815494U,	// VFMSUBPSZ128v231rrk
+    2693815494U,	// VFMSUBPSZ128v231rrkz
+    571530708U,	// VFMSUBPSZ256v213rm
+    1435688404U,	// VFMSUBPSZ256v213rmb
+    2509413844U,	// VFMSUBPSZ256v213rmbk
+    2509413844U,	// VFMSUBPSZ256v213rmbkz
+    87072212U,	// VFMSUBPSZ256v213rmk
+    118529492U,	// VFMSUBPSZ256v213rmkz
+    571399636U,	// VFMSUBPSZ256v213rr
+    2693815764U,	// VFMSUBPSZ256v213rrk
+    2693815764U,	// VFMSUBPSZ256v213rrkz
+    571530438U,	// VFMSUBPSZ256v231rm
+    1435688134U,	// VFMSUBPSZ256v231rmb
+    2509413574U,	// VFMSUBPSZ256v231rmbk
+    2509413574U,	// VFMSUBPSZ256v231rmbkz
+    87071942U,	// VFMSUBPSZ256v231rmk
+    118529222U,	// VFMSUBPSZ256v231rmkz
+    571399366U,	// VFMSUBPSZ256v231rr
+    2693815494U,	// VFMSUBPSZ256v231rrk
+    2693815494U,	// VFMSUBPSZ256v231rrkz
+    571629012U,	// VFMSUBPSZv213rm
+    1437785556U,	// VFMSUBPSZv213rmb
+    2511510996U,	// VFMSUBPSZv213rmbk
+    2511510996U,	// VFMSUBPSZv213rmbkz
+    87170516U,	// VFMSUBPSZv213rmk
+    118627796U,	// VFMSUBPSZv213rmkz
+    571399636U,	// VFMSUBPSZv213rr
+    116497876U,	// VFMSUBPSZv213rrb
+    87121364U,	// VFMSUBPSZv213rrbk
+    118578644U,	// VFMSUBPSZv213rrbkz
+    2693815764U,	// VFMSUBPSZv213rrk
+    2693815764U,	// VFMSUBPSZv213rrkz
+    571628742U,	// VFMSUBPSZv231rm
+    1437785286U,	// VFMSUBPSZv231rmb
+    2511510726U,	// VFMSUBPSZv231rmbk
+    2511510726U,	// VFMSUBPSZv231rmbkz
+    87170246U,	// VFMSUBPSZv231rmk
+    118627526U,	// VFMSUBPSZv231rmkz
+    571399366U,	// VFMSUBPSZv231rr
+    2693815494U,	// VFMSUBPSZv231rrk
+    2693815494U,	// VFMSUBPSZv231rrkz
+    571481372U,	// VFMSUBPSr132m
+    571530524U,	// VFMSUBPSr132mY
+    571399452U,	// VFMSUBPSr132r
+    571399452U,	// VFMSUBPSr132rY
+    571481556U,	// VFMSUBPSr213m
+    571530708U,	// VFMSUBPSr213mY
+    571399636U,	// VFMSUBPSr213r
+    571399636U,	// VFMSUBPSr213rY
+    571481286U,	// VFMSUBPSr231m
+    571530438U,	// VFMSUBPSr231mY
+    571399366U,	// VFMSUBPSr231r
+    571399366U,	// VFMSUBPSr231rY
+    313740361U,	// VFMSUBSD4mr
+    313740361U,	// VFMSUBSD4mr_Int
+    1357876297U,	// VFMSUBSD4rm
+    1357876297U,	// VFMSUBSD4rm_Int
+    302959689U,	// VFMSUBSD4rr
+    302959689U,	// VFMSUBSD4rr_Int
+    302959689U,	// VFMSUBSD4rr_REV
+    571476959U,	// VFMSUBSDZm
+    571395039U,	// VFMSUBSDZr
+    1357876126U,	// VFMSUBSDr132m
+    571394974U,	// VFMSUBSDr132r
+    1357876191U,	// VFMSUBSDr213m
+    571395039U,	// VFMSUBSDr213r
+    1357876072U,	// VFMSUBSDr231m
+    571394920U,	// VFMSUBSDr231r
+    317940224U,	// VFMSUBSS4mr
+    317940224U,	// VFMSUBSS4mr_Int
+    1358094848U,	// VFMSUBSS4rm
+    1358094848U,	// VFMSUBSS4rm_Int
+    302965248U,	// VFMSUBSS4rr
+    302965248U,	// VFMSUBSS4rr_Int
+    302965248U,	// VFMSUBSS4rr_REV
+    571482526U,	// VFMSUBSSZm
+    571400606U,	// VFMSUBSSZr
+    1358094685U,	// VFMSUBSSr132m
+    571400541U,	// VFMSUBSSr132r
+    1358094750U,	// VFMSUBSSr213m
+    571400606U,	// VFMSUBSSr213r
+    1358094631U,	// VFMSUBSSr231m
+    571400487U,	// VFMSUBSSr231r
+    571475872U,	// VFNMADD132PDZ128m
+    1427081120U,	// VFNMADD132PDZ128mb
+    571525024U,	// VFNMADD132PDZ256m
+    1431275424U,	// VFNMADD132PDZ256mb
+    571623328U,	// VFNMADD132PDZm
+    1435469728U,	// VFNMADD132PDZmb
+    571481428U,	// VFNMADD132PSZ128m
+    1431493972U,	// VFNMADD132PSZ128mb
+    571530580U,	// VFNMADD132PSZ256m
+    1435688276U,	// VFNMADD132PSZ256mb
+    571628884U,	// VFNMADD132PSZm
+    1437785428U,	// VFNMADD132PSZmb
+    301156660U,	// VFNMADDPD4mr
+    101927220U,	// VFNMADDPD4mrY
+    303040820U,	// VFNMADDPD4rm
+    303089972U,	// VFNMADDPD4rmY
+    302958900U,	// VFNMADDPD4rr
+    302958900U,	// VFNMADDPD4rrY
+    302958900U,	// VFNMADDPD4rrY_REV
+    302958900U,	// VFNMADDPD4rr_REV
+    571476045U,	// VFNMADDPDZ128v213rm
+    1427081293U,	// VFNMADDPDZ128v213rmb
+    2500806733U,	// VFNMADDPDZ128v213rmbk
+    2500806733U,	// VFNMADDPDZ128v213rmbkz
+    87017549U,	// VFNMADDPDZ128v213rmk
+    118474829U,	// VFNMADDPDZ128v213rmkz
+    571394125U,	// VFNMADDPDZ128v213rr
+    2693810253U,	// VFNMADDPDZ128v213rrk
+    2693810253U,	// VFNMADDPDZ128v213rrkz
+    571475786U,	// VFNMADDPDZ128v231rm
+    1427081034U,	// VFNMADDPDZ128v231rmb
+    2500806474U,	// VFNMADDPDZ128v231rmbk
+    2500806474U,	// VFNMADDPDZ128v231rmbkz
+    87017290U,	// VFNMADDPDZ128v231rmk
+    118474570U,	// VFNMADDPDZ128v231rmkz
+    571393866U,	// VFNMADDPDZ128v231rr
+    2693809994U,	// VFNMADDPDZ128v231rrk
+    2693809994U,	// VFNMADDPDZ128v231rrkz
+    571525197U,	// VFNMADDPDZ256v213rm
+    1431275597U,	// VFNMADDPDZ256v213rmb
+    2505001037U,	// VFNMADDPDZ256v213rmbk
+    2505001037U,	// VFNMADDPDZ256v213rmbkz
+    87066701U,	// VFNMADDPDZ256v213rmk
+    118523981U,	// VFNMADDPDZ256v213rmkz
+    571394125U,	// VFNMADDPDZ256v213rr
+    2693810253U,	// VFNMADDPDZ256v213rrk
+    2693810253U,	// VFNMADDPDZ256v213rrkz
+    571524938U,	// VFNMADDPDZ256v231rm
+    1431275338U,	// VFNMADDPDZ256v231rmb
+    2505000778U,	// VFNMADDPDZ256v231rmbk
+    2505000778U,	// VFNMADDPDZ256v231rmbkz
+    87066442U,	// VFNMADDPDZ256v231rmk
+    118523722U,	// VFNMADDPDZ256v231rmkz
+    571393866U,	// VFNMADDPDZ256v231rr
+    2693809994U,	// VFNMADDPDZ256v231rrk
+    2693809994U,	// VFNMADDPDZ256v231rrkz
+    571623501U,	// VFNMADDPDZv213rm
+    1435469901U,	// VFNMADDPDZv213rmb
+    2509195341U,	// VFNMADDPDZv213rmbk
+    2509195341U,	// VFNMADDPDZv213rmbkz
+    87165005U,	// VFNMADDPDZv213rmk
+    118622285U,	// VFNMADDPDZv213rmkz
+    571394125U,	// VFNMADDPDZv213rr
+    116492365U,	// VFNMADDPDZv213rrb
+    87115853U,	// VFNMADDPDZv213rrbk
+    118573133U,	// VFNMADDPDZv213rrbkz
+    2693810253U,	// VFNMADDPDZv213rrk
+    2693810253U,	// VFNMADDPDZv213rrkz
+    571623242U,	// VFNMADDPDZv231rm
+    1435469642U,	// VFNMADDPDZv231rmb
+    2509195082U,	// VFNMADDPDZv231rmbk
+    2509195082U,	// VFNMADDPDZv231rmbkz
+    87164746U,	// VFNMADDPDZv231rmk
+    118622026U,	// VFNMADDPDZv231rmkz
+    571393866U,	// VFNMADDPDZv231rr
+    2693809994U,	// VFNMADDPDZv231rrk
+    2693809994U,	// VFNMADDPDZv231rrkz
+    571475872U,	// VFNMADDPDr132m
+    571525024U,	// VFNMADDPDr132mY
+    571393952U,	// VFNMADDPDr132r
+    571393952U,	// VFNMADDPDr132rY
+    571476045U,	// VFNMADDPDr213m
+    571525197U,	// VFNMADDPDr213mY
+    571394125U,	// VFNMADDPDr213r
+    571394125U,	// VFNMADDPDr213rY
+    571475786U,	// VFNMADDPDr231m
+    571524938U,	// VFNMADDPDr231mY
+    571393866U,	// VFNMADDPDr231r
+    571393866U,	// VFNMADDPDr231rY
+    301162219U,	// VFNMADDPS4mr
+    101932779U,	// VFNMADDPS4mrY
+    303046379U,	// VFNMADDPS4rm
+    303095531U,	// VFNMADDPS4rmY
+    302964459U,	// VFNMADDPS4rr
+    302964459U,	// VFNMADDPS4rrY
+    302964459U,	// VFNMADDPS4rrY_REV
+    302964459U,	// VFNMADDPS4rr_REV
+    571481612U,	// VFNMADDPSZ128v213rm
+    1431494156U,	// VFNMADDPSZ128v213rmb
+    2505219596U,	// VFNMADDPSZ128v213rmbk
+    2505219596U,	// VFNMADDPSZ128v213rmbkz
+    87023116U,	// VFNMADDPSZ128v213rmk
+    118480396U,	// VFNMADDPSZ128v213rmkz
+    571399692U,	// VFNMADDPSZ128v213rr
+    2693815820U,	// VFNMADDPSZ128v213rrk
+    2693815820U,	// VFNMADDPSZ128v213rrkz
+    571481342U,	// VFNMADDPSZ128v231rm
+    1431493886U,	// VFNMADDPSZ128v231rmb
+    2505219326U,	// VFNMADDPSZ128v231rmbk
+    2505219326U,	// VFNMADDPSZ128v231rmbkz
+    87022846U,	// VFNMADDPSZ128v231rmk
+    118480126U,	// VFNMADDPSZ128v231rmkz
+    571399422U,	// VFNMADDPSZ128v231rr
+    2693815550U,	// VFNMADDPSZ128v231rrk
+    2693815550U,	// VFNMADDPSZ128v231rrkz
+    571530764U,	// VFNMADDPSZ256v213rm
+    1435688460U,	// VFNMADDPSZ256v213rmb
+    2509413900U,	// VFNMADDPSZ256v213rmbk
+    2509413900U,	// VFNMADDPSZ256v213rmbkz
+    87072268U,	// VFNMADDPSZ256v213rmk
+    118529548U,	// VFNMADDPSZ256v213rmkz
+    571399692U,	// VFNMADDPSZ256v213rr
+    2693815820U,	// VFNMADDPSZ256v213rrk
+    2693815820U,	// VFNMADDPSZ256v213rrkz
+    571530494U,	// VFNMADDPSZ256v231rm
+    1435688190U,	// VFNMADDPSZ256v231rmb
+    2509413630U,	// VFNMADDPSZ256v231rmbk
+    2509413630U,	// VFNMADDPSZ256v231rmbkz
+    87071998U,	// VFNMADDPSZ256v231rmk
+    118529278U,	// VFNMADDPSZ256v231rmkz
+    571399422U,	// VFNMADDPSZ256v231rr
+    2693815550U,	// VFNMADDPSZ256v231rrk
+    2693815550U,	// VFNMADDPSZ256v231rrkz
+    571629068U,	// VFNMADDPSZv213rm
+    1437785612U,	// VFNMADDPSZv213rmb
+    2511511052U,	// VFNMADDPSZv213rmbk
+    2511511052U,	// VFNMADDPSZv213rmbkz
+    87170572U,	// VFNMADDPSZv213rmk
+    118627852U,	// VFNMADDPSZv213rmkz
+    571399692U,	// VFNMADDPSZv213rr
+    116497932U,	// VFNMADDPSZv213rrb
+    87121420U,	// VFNMADDPSZv213rrbk
+    118578700U,	// VFNMADDPSZv213rrbkz
+    2693815820U,	// VFNMADDPSZv213rrk
+    2693815820U,	// VFNMADDPSZv213rrkz
+    571628798U,	// VFNMADDPSZv231rm
+    1437785342U,	// VFNMADDPSZv231rmb
+    2511510782U,	// VFNMADDPSZv231rmbk
+    2511510782U,	// VFNMADDPSZv231rmbkz
+    87170302U,	// VFNMADDPSZv231rmk
+    118627582U,	// VFNMADDPSZv231rmkz
+    571399422U,	// VFNMADDPSZv231rr
+    2693815550U,	// VFNMADDPSZv231rrk
+    2693815550U,	// VFNMADDPSZv231rrkz
+    571481428U,	// VFNMADDPSr132m
+    571530580U,	// VFNMADDPSr132mY
+    571399508U,	// VFNMADDPSr132r
+    571399508U,	// VFNMADDPSr132rY
+    571481612U,	// VFNMADDPSr213m
+    571530764U,	// VFNMADDPSr213mY
+    571399692U,	// VFNMADDPSr213r
+    571399692U,	// VFNMADDPSr213rY
+    571481342U,	// VFNMADDPSr231m
+    571530494U,	// VFNMADDPSr231mY
+    571399422U,	// VFNMADDPSr231r
+    571399422U,	// VFNMADDPSr231rY
+    313740400U,	// VFNMADDSD4mr
+    313740400U,	// VFNMADDSD4mr_Int
+    1357876336U,	// VFNMADDSD4rm
+    1357876336U,	// VFNMADDSD4rm_Int
+    302959728U,	// VFNMADDSD4rr
+    302959728U,	// VFNMADDSD4rr_Int
+    302959728U,	// VFNMADDSD4rr_REV
+    571476999U,	// VFNMADDSDZm
+    571395079U,	// VFNMADDSDZr
+    1357876166U,	// VFNMADDSDr132m
+    571395014U,	// VFNMADDSDr132r
+    1357876231U,	// VFNMADDSDr213m
+    571395079U,	// VFNMADDSDr213r
+    1357876112U,	// VFNMADDSDr231m
+    571394960U,	// VFNMADDSDr231r
+    317940263U,	// VFNMADDSS4mr
+    317940263U,	// VFNMADDSS4mr_Int
+    1358094887U,	// VFNMADDSS4rm
+    1358094887U,	// VFNMADDSS4rm_Int
+    302965287U,	// VFNMADDSS4rr
+    302965287U,	// VFNMADDSS4rr_Int
+    302965287U,	// VFNMADDSS4rr_REV
+    571482566U,	// VFNMADDSSZm
+    571400646U,	// VFNMADDSSZr
+    1358094725U,	// VFNMADDSSr132m
+    571400581U,	// VFNMADDSSr132r
+    1358094790U,	// VFNMADDSSr213m
+    571400646U,	// VFNMADDSSr213r
+    1358094671U,	// VFNMADDSSr231m
+    571400527U,	// VFNMADDSSr231r
+    571475829U,	// VFNMSUB132PDZ128m
+    1427081077U,	// VFNMSUB132PDZ128mb
+    571524981U,	// VFNMSUB132PDZ256m
+    1431275381U,	// VFNMSUB132PDZ256mb
+    571623285U,	// VFNMSUB132PDZm
+    1435469685U,	// VFNMSUB132PDZmb
+    571481385U,	// VFNMSUB132PSZ128m
+    1431493929U,	// VFNMSUB132PSZ128mb
+    571530537U,	// VFNMSUB132PSZ256m
+    1435688233U,	// VFNMSUB132PSZ256mb
+    571628841U,	// VFNMSUB132PSZm
+    1437785385U,	// VFNMSUB132PSZmb
+    301156547U,	// VFNMSUBPD4mr
+    101927107U,	// VFNMSUBPD4mrY
+    303040707U,	// VFNMSUBPD4rm
+    303089859U,	// VFNMSUBPD4rmY
+    302958787U,	// VFNMSUBPD4rr
+    302958787U,	// VFNMSUBPD4rrY
+    302958787U,	// VFNMSUBPD4rrY_REV
+    302958787U,	// VFNMSUBPD4rr_REV
+    571476002U,	// VFNMSUBPDZ128v213rm
+    1427081250U,	// VFNMSUBPDZ128v213rmb
+    2500806690U,	// VFNMSUBPDZ128v213rmbk
+    2500806690U,	// VFNMSUBPDZ128v213rmbkz
+    87017506U,	// VFNMSUBPDZ128v213rmk
+    118474786U,	// VFNMSUBPDZ128v213rmkz
+    571394082U,	// VFNMSUBPDZ128v213rr
+    2693810210U,	// VFNMSUBPDZ128v213rrk
+    2693810210U,	// VFNMSUBPDZ128v213rrkz
+    571475743U,	// VFNMSUBPDZ128v231rm
+    1427080991U,	// VFNMSUBPDZ128v231rmb
+    2500806431U,	// VFNMSUBPDZ128v231rmbk
+    2500806431U,	// VFNMSUBPDZ128v231rmbkz
+    87017247U,	// VFNMSUBPDZ128v231rmk
+    118474527U,	// VFNMSUBPDZ128v231rmkz
+    571393823U,	// VFNMSUBPDZ128v231rr
+    2693809951U,	// VFNMSUBPDZ128v231rrk
+    2693809951U,	// VFNMSUBPDZ128v231rrkz
+    571525154U,	// VFNMSUBPDZ256v213rm
+    1431275554U,	// VFNMSUBPDZ256v213rmb
+    2505000994U,	// VFNMSUBPDZ256v213rmbk
+    2505000994U,	// VFNMSUBPDZ256v213rmbkz
+    87066658U,	// VFNMSUBPDZ256v213rmk
+    118523938U,	// VFNMSUBPDZ256v213rmkz
+    571394082U,	// VFNMSUBPDZ256v213rr
+    2693810210U,	// VFNMSUBPDZ256v213rrk
+    2693810210U,	// VFNMSUBPDZ256v213rrkz
+    571524895U,	// VFNMSUBPDZ256v231rm
+    1431275295U,	// VFNMSUBPDZ256v231rmb
+    2505000735U,	// VFNMSUBPDZ256v231rmbk
+    2505000735U,	// VFNMSUBPDZ256v231rmbkz
+    87066399U,	// VFNMSUBPDZ256v231rmk
+    118523679U,	// VFNMSUBPDZ256v231rmkz
+    571393823U,	// VFNMSUBPDZ256v231rr
+    2693809951U,	// VFNMSUBPDZ256v231rrk
+    2693809951U,	// VFNMSUBPDZ256v231rrkz
+    571623458U,	// VFNMSUBPDZv213rm
+    1435469858U,	// VFNMSUBPDZv213rmb
+    2509195298U,	// VFNMSUBPDZv213rmbk
+    2509195298U,	// VFNMSUBPDZv213rmbkz
+    87164962U,	// VFNMSUBPDZv213rmk
+    118622242U,	// VFNMSUBPDZv213rmkz
+    571394082U,	// VFNMSUBPDZv213rr
+    116492322U,	// VFNMSUBPDZv213rrb
+    87115810U,	// VFNMSUBPDZv213rrbk
+    118573090U,	// VFNMSUBPDZv213rrbkz
+    2693810210U,	// VFNMSUBPDZv213rrk
+    2693810210U,	// VFNMSUBPDZv213rrkz
+    571623199U,	// VFNMSUBPDZv231rm
+    1435469599U,	// VFNMSUBPDZv231rmb
+    2509195039U,	// VFNMSUBPDZv231rmbk
+    2509195039U,	// VFNMSUBPDZv231rmbkz
+    87164703U,	// VFNMSUBPDZv231rmk
+    118621983U,	// VFNMSUBPDZv231rmkz
+    571393823U,	// VFNMSUBPDZv231rr
+    2693809951U,	// VFNMSUBPDZv231rrk
+    2693809951U,	// VFNMSUBPDZv231rrkz
+    571475829U,	// VFNMSUBPDr132m
+    571524981U,	// VFNMSUBPDr132mY
+    571393909U,	// VFNMSUBPDr132r
+    571393909U,	// VFNMSUBPDr132rY
+    571476002U,	// VFNMSUBPDr213m
+    571525154U,	// VFNMSUBPDr213mY
+    571394082U,	// VFNMSUBPDr213r
+    571394082U,	// VFNMSUBPDr213rY
+    571475743U,	// VFNMSUBPDr231m
+    571524895U,	// VFNMSUBPDr231mY
+    571393823U,	// VFNMSUBPDr231r
+    571393823U,	// VFNMSUBPDr231rY
+    301162106U,	// VFNMSUBPS4mr
+    101932666U,	// VFNMSUBPS4mrY
+    303046266U,	// VFNMSUBPS4rm
+    303095418U,	// VFNMSUBPS4rmY
+    302964346U,	// VFNMSUBPS4rr
+    302964346U,	// VFNMSUBPS4rrY
+    302964346U,	// VFNMSUBPS4rrY_REV
+    302964346U,	// VFNMSUBPS4rr_REV
+    571481569U,	// VFNMSUBPSZ128v213rm
+    1431494113U,	// VFNMSUBPSZ128v213rmb
+    2505219553U,	// VFNMSUBPSZ128v213rmbk
+    2505219553U,	// VFNMSUBPSZ128v213rmbkz
+    87023073U,	// VFNMSUBPSZ128v213rmk
+    118480353U,	// VFNMSUBPSZ128v213rmkz
+    571399649U,	// VFNMSUBPSZ128v213rr
+    2693815777U,	// VFNMSUBPSZ128v213rrk
+    2693815777U,	// VFNMSUBPSZ128v213rrkz
+    571481299U,	// VFNMSUBPSZ128v231rm
+    1431493843U,	// VFNMSUBPSZ128v231rmb
+    2505219283U,	// VFNMSUBPSZ128v231rmbk
+    2505219283U,	// VFNMSUBPSZ128v231rmbkz
+    87022803U,	// VFNMSUBPSZ128v231rmk
+    118480083U,	// VFNMSUBPSZ128v231rmkz
+    571399379U,	// VFNMSUBPSZ128v231rr
+    2693815507U,	// VFNMSUBPSZ128v231rrk
+    2693815507U,	// VFNMSUBPSZ128v231rrkz
+    571530721U,	// VFNMSUBPSZ256v213rm
+    1435688417U,	// VFNMSUBPSZ256v213rmb
+    2509413857U,	// VFNMSUBPSZ256v213rmbk
+    2509413857U,	// VFNMSUBPSZ256v213rmbkz
+    87072225U,	// VFNMSUBPSZ256v213rmk
+    118529505U,	// VFNMSUBPSZ256v213rmkz
+    571399649U,	// VFNMSUBPSZ256v213rr
+    2693815777U,	// VFNMSUBPSZ256v213rrk
+    2693815777U,	// VFNMSUBPSZ256v213rrkz
+    571530451U,	// VFNMSUBPSZ256v231rm
+    1435688147U,	// VFNMSUBPSZ256v231rmb
+    2509413587U,	// VFNMSUBPSZ256v231rmbk
+    2509413587U,	// VFNMSUBPSZ256v231rmbkz
+    87071955U,	// VFNMSUBPSZ256v231rmk
+    118529235U,	// VFNMSUBPSZ256v231rmkz
+    571399379U,	// VFNMSUBPSZ256v231rr
+    2693815507U,	// VFNMSUBPSZ256v231rrk
+    2693815507U,	// VFNMSUBPSZ256v231rrkz
+    571629025U,	// VFNMSUBPSZv213rm
+    1437785569U,	// VFNMSUBPSZv213rmb
+    2511511009U,	// VFNMSUBPSZv213rmbk
+    2511511009U,	// VFNMSUBPSZv213rmbkz
+    87170529U,	// VFNMSUBPSZv213rmk
+    118627809U,	// VFNMSUBPSZv213rmkz
+    571399649U,	// VFNMSUBPSZv213rr
+    116497889U,	// VFNMSUBPSZv213rrb
+    87121377U,	// VFNMSUBPSZv213rrbk
+    118578657U,	// VFNMSUBPSZv213rrbkz
+    2693815777U,	// VFNMSUBPSZv213rrk
+    2693815777U,	// VFNMSUBPSZv213rrkz
+    571628755U,	// VFNMSUBPSZv231rm
+    1437785299U,	// VFNMSUBPSZv231rmb
+    2511510739U,	// VFNMSUBPSZv231rmbk
+    2511510739U,	// VFNMSUBPSZv231rmbkz
+    87170259U,	// VFNMSUBPSZv231rmk
+    118627539U,	// VFNMSUBPSZv231rmkz
+    571399379U,	// VFNMSUBPSZv231rr
+    2693815507U,	// VFNMSUBPSZv231rrk
+    2693815507U,	// VFNMSUBPSZv231rrkz
+    571481385U,	// VFNMSUBPSr132m
+    571530537U,	// VFNMSUBPSr132mY
+    571399465U,	// VFNMSUBPSr132r
+    571399465U,	// VFNMSUBPSr132rY
+    571481569U,	// VFNMSUBPSr213m
+    571530721U,	// VFNMSUBPSr213mY
+    571399649U,	// VFNMSUBPSr213r
+    571399649U,	// VFNMSUBPSr213rY
+    571481299U,	// VFNMSUBPSr231m
+    571530451U,	// VFNMSUBPSr231mY
+    571399379U,	// VFNMSUBPSr231r
+    571399379U,	// VFNMSUBPSr231rY
+    313740371U,	// VFNMSUBSD4mr
+    313740371U,	// VFNMSUBSD4mr_Int
+    1357876307U,	// VFNMSUBSD4rm
+    1357876307U,	// VFNMSUBSD4rm_Int
+    302959699U,	// VFNMSUBSD4rr
+    302959699U,	// VFNMSUBSD4rr_Int
+    302959699U,	// VFNMSUBSD4rr_REV
+    571476972U,	// VFNMSUBSDZm
+    571395052U,	// VFNMSUBSDZr
+    1357876139U,	// VFNMSUBSDr132m
+    571394987U,	// VFNMSUBSDr132r
+    1357876204U,	// VFNMSUBSDr213m
+    571395052U,	// VFNMSUBSDr213r
+    1357876085U,	// VFNMSUBSDr231m
+    571394933U,	// VFNMSUBSDr231r
+    317940234U,	// VFNMSUBSS4mr
+    317940234U,	// VFNMSUBSS4mr_Int
+    1358094858U,	// VFNMSUBSS4rm
+    1358094858U,	// VFNMSUBSS4rm_Int
+    302965258U,	// VFNMSUBSS4rr
+    302965258U,	// VFNMSUBSS4rr_Int
+    302965258U,	// VFNMSUBSS4rr_REV
+    571482539U,	// VFNMSUBSSZm
+    571400619U,	// VFNMSUBSSZr
+    1358094698U,	// VFNMSUBSSr132m
+    571400554U,	// VFNMSUBSSr132r
+    1358094763U,	// VFNMSUBSSr213m
+    571400619U,	// VFNMSUBSSr213r
+    1358094644U,	// VFNMSUBSSr231m
+    571400500U,	// VFNMSUBSSr231r
+    608990U,	// VFRCZPDrm
+    1346270U,	// VFRCZPDrmY
+    551815902U,	// VFRCZPDrr
+    551815902U,	// VFRCZPDrrY
+    614643U,	// VFRCZPSrm
+    1351923U,	// VFRCZPSrmY
+    551821555U,	// VFRCZPSrr
+    551821555U,	// VFRCZPSrrY
+    552176924U,	// VFRCZSDrm
+    551816476U,	// VFRCZSDrr
+    552198854U,	// VFRCZSSrm
+    551822022U,	// VFRCZSSrr
+    811731455U,	// VFsANDNPDrm
+    811649535U,	// VFsANDNPDrr
+    811737043U,	// VFsANDNPSrm
+    811655123U,	// VFsANDNPSrr
+    811731282U,	// VFsANDPDrm
+    811649362U,	// VFsANDPDrr
+    811736841U,	// VFsANDPSrm
+    811654921U,	// VFsANDPSrr
+    811731574U,	// VFsORPDrm
+    811649654U,	// VFsORPDrr
+    811737170U,	// VFsORPSrm
+    811655250U,	// VFsORPSrr
+    811731581U,	// VFsXORPDrm
+    811649661U,	// VFsXORPDrr
+    811737177U,	// VFsXORPSrm
+    811655257U,	// VFsXORPSrr
+    811731455U,	// VFvANDNPDrm
+    811649535U,	// VFvANDNPDrr
+    811737043U,	// VFvANDNPSrm
+    811655123U,	// VFvANDNPSrr
+    811731282U,	// VFvANDPDrm
+    811649362U,	// VFvANDPDrr
+    811736841U,	// VFvANDPSrm
+    811654921U,	// VFvANDPSrr
+    811731574U,	// VFvORPDrm
+    811649654U,	// VFvORPDrr
+    811737170U,	// VFvORPSrm
+    811655250U,	// VFvORPSrr
+    811731581U,	// VFvXORPDrm
+    811649661U,	// VFvXORPDrr
+    811737177U,	// VFvXORPSrm
+    811655257U,	// VFvXORPSrr
+    926222702U,	// VGATHERDPDYrm
+    552946030U,	// VGATHERDPDZrm
+    926222702U,	// VGATHERDPDrm
+    928325413U,	// VGATHERDPSYrm
+    552967973U,	// VGATHERDPSZrm
+    928325413U,	// VGATHERDPSrm
+    627296470U,	// VGATHERPF0DPDm
+    627302029U,	// VGATHERPF0DPSm
+    627329567U,	// VGATHERPF0QPDm
+    627335163U,	// VGATHERPF0QPSm
+    627296501U,	// VGATHERPF1DPDm
+    627302060U,	// VGATHERPF1DPSm
+    627329598U,	// VGATHERPF1QPDm
+    627335194U,	// VGATHERPF1QPSm
+    926222941U,	// VGATHERQPDYrm
+    552946269U,	// VGATHERQPDZrm
+    926222941U,	// VGATHERQPDrm
+    928325689U,	// VGATHERQPSYrm
+    552951865U,	// VGATHERQPSZrm
+    928325689U,	// VGATHERQPSrm
+    812583201U,	// VHADDPDYrm
+    811649313U,	// VHADDPDYrr
+    811731233U,	// VHADDPDrm
+    811649313U,	// VHADDPDrr
+    812588760U,	// VHADDPSYrm
+    811654872U,	// VHADDPSYrr
+    811736792U,	// VHADDPSrm
+    811654872U,	// VHADDPSrr
+    812583088U,	// VHSUBPDYrm
+    811649200U,	// VHSUBPDYrr
+    811731120U,	// VHSUBPDrm
+    811649200U,	// VHSUBPDrr
+    812588647U,	// VHSUBPSYrm
+    811654759U,	// VHSUBPSYrr
+    811736679U,	// VHSUBPSrm
+    811654759U,	// VHSUBPSrr
+    300270026U,	// VINSERTF128rm
+    302383562U,	// VINSERTF128rr
+    300269854U,	// VINSERTF32x4rm
+    302383390U,	// VINSERTF32x4rr
+    101040664U,	// VINSERTF32x8rm
+    302383640U,	// VINSERTF32x8rr
+    300269714U,	// VINSERTF64x2rm
+    302383250U,	// VINSERTF64x2rr
+    101040489U,	// VINSERTF64x4rm
+    302383465U,	// VINSERTF64x4rr
+    342213121U,	// VINSERTI128rm
+    302383617U,	// VINSERTI128rr
+    342212923U,	// VINSERTI32x4rm
+    302383419U,	// VINSERTI32x4rr
+    113623590U,	// VINSERTI32x8rm
+    302383654U,	// VINSERTI32x8rr
+    342212768U,	// VINSERTI64x2rm
+    302383264U,	// VINSERTI64x2rr
+    113623430U,	// VINSERTI64x4rm
+    302383494U,	// VINSERTI64x4rr
+    317055108U,	// VINSERTPSrm
+    302391428U,	// VINSERTPSrr
+    317055108U,	// VINSERTPSzrm
+    302391428U,	// VINSERTPSzrr
+    1303430U,	// VLDDQUYrm
+    320390U,	// VLDDQUrm
+    236589U,	// VLDMXCSR
+    551822222U,	// VMASKMOVDQU
+    551822222U,	// VMASKMOVDQU64
+    3808791242U,	// VMASKMOVPDYmr
+    812583626U,	// VMASKMOVPDYrm
+    3540355786U,	// VMASKMOVPDmr
+    811731658U,	// VMASKMOVPDrm
+    3808796895U,	// VMASKMOVPSYmr
+    812589279U,	// VMASKMOVPSYrm
+    3540361439U,	// VMASKMOVPSmr
+    811737311U,	// VMASKMOVPSrm
+    812583638U,	// VMAXCPDYrm
+    811649750U,	// VMAXCPDYrr
+    811731670U,	// VMAXCPDrm
+    811649750U,	// VMAXCPDrr
+    812589291U,	// VMAXCPSYrm
+    811655403U,	// VMAXCPSYrr
+    811737323U,	// VMAXCPSrm
+    811655403U,	// VMAXCPSrr
+    283266324U,	// VMAXCSDrm
+    811650324U,	// VMAXCSDrr
+    283288254U,	// VMAXCSSrm
+    811655870U,	// VMAXCSSrr
+    812583638U,	// VMAXPDYrm
+    811649750U,	// VMAXPDYrr
+    811731670U,	// VMAXPDZ128rm
+    352471766U,	// VMAXPDZ128rmb
+    2500807382U,	// VMAXPDZ128rmbk
+    1427081942U,	// VMAXPDZ128rmbkz
+    87018198U,	// VMAXPDZ128rmk
+    571476694U,	// VMAXPDZ128rmkz
+    811649750U,	// VMAXPDZ128rr
+    2693810902U,	// VMAXPDZ128rrk
+    571394774U,	// VMAXPDZ128rrkz
+    812583638U,	// VMAXPDZ256rm
+    356666070U,	// VMAXPDZ256rmb
+    2505001686U,	// VMAXPDZ256rmbk
+    1431276246U,	// VMAXPDZ256rmbkz
+    87067350U,	// VMAXPDZ256rmk
+    571525846U,	// VMAXPDZ256rmkz
+    811649750U,	// VMAXPDZ256rr
+    2693810902U,	// VMAXPDZ256rrk
+    571394774U,	// VMAXPDZ256rrkz
+    812763862U,	// VMAXPDZrm
+    360860374U,	// VMAXPDZrmb
+    2509195990U,	// VMAXPDZrmbk
+    1435470550U,	// VMAXPDZrmbkz
+    87165654U,	// VMAXPDZrmk
+    571624150U,	// VMAXPDZrmkz
+    811649750U,	// VMAXPDZrr
+    2693810902U,	// VMAXPDZrrk
+    571394774U,	// VMAXPDZrrkz
+    811731670U,	// VMAXPDrm
+    811649750U,	// VMAXPDrr
+    812589291U,	// VMAXPSYrm
+    811655403U,	// VMAXPSYrr
+    811737323U,	// VMAXPSZ128rm
+    356688107U,	// VMAXPSZ128rmb
+    2505220331U,	// VMAXPSZ128rmbk
+    1431494891U,	// VMAXPSZ128rmbkz
+    87023851U,	// VMAXPSZ128rmk
+    571482347U,	// VMAXPSZ128rmkz
+    811655403U,	// VMAXPSZ128rr
+    2693816555U,	// VMAXPSZ128rrk
+    571400427U,	// VMAXPSZ128rrkz
+    812589291U,	// VMAXPSZ256rm
+    360882411U,	// VMAXPSZ256rmb
+    2509414635U,	// VMAXPSZ256rmbk
+    1435689195U,	// VMAXPSZ256rmbkz
+    87073003U,	// VMAXPSZ256rmk
+    571531499U,	// VMAXPSZ256rmkz
+    811655403U,	// VMAXPSZ256rr
+    2693816555U,	// VMAXPSZ256rrk
+    571400427U,	// VMAXPSZ256rrkz
+    812769515U,	// VMAXPSZrm
+    362979563U,	// VMAXPSZrmb
+    2511511787U,	// VMAXPSZrmbk
+    1437786347U,	// VMAXPSZrmbkz
+    87171307U,	// VMAXPSZrmk
+    571629803U,	// VMAXPSZrmkz
+    811655403U,	// VMAXPSZrr
+    2693816555U,	// VMAXPSZrrk
+    571400427U,	// VMAXPSZrrkz
+    811737323U,	// VMAXPSrm
+    811655403U,	// VMAXPSrr
+    283266324U,	// VMAXSDZrm
+    811732244U,	// VMAXSDZrm_Int
+    87018772U,	// VMAXSDZrm_Intk
+    571477268U,	// VMAXSDZrm_Intkz
+    811650324U,	// VMAXSDZrr
+    811650324U,	// VMAXSDZrr_Int
+    2693811476U,	// VMAXSDZrr_Intk
+    571395348U,	// VMAXSDZrr_Intkz
+    811650324U,	// VMAXSDZrrb
+    2693811476U,	// VMAXSDZrrbk
+    571395348U,	// VMAXSDZrrbkz
+    283266324U,	// VMAXSDrm
+    283266324U,	// VMAXSDrm_Int
+    811650324U,	// VMAXSDrr
+    811650324U,	// VMAXSDrr_Int
+    283288254U,	// VMAXSSZrm
+    811737790U,	// VMAXSSZrm_Int
+    87024318U,	// VMAXSSZrm_Intk
+    571482814U,	// VMAXSSZrm_Intkz
+    811655870U,	// VMAXSSZrr
+    811655870U,	// VMAXSSZrr_Int
+    2693817022U,	// VMAXSSZrr_Intk
+    571400894U,	// VMAXSSZrr_Intkz
+    811655870U,	// VMAXSSZrrb
+    2693817022U,	// VMAXSSZrrbk
+    571400894U,	// VMAXSSZrrbkz
+    283288254U,	// VMAXSSrm
+    283288254U,	// VMAXSSrm_Int
+    811655870U,	// VMAXSSrr
+    811655870U,	// VMAXSSrr_Int
+    13111U,	// VMCALL
+    433127U,	// VMCLEARm
+    12823U,	// VMFUNC
+    812583432U,	// VMINCPDYrm
+    811649544U,	// VMINCPDYrr
+    811731464U,	// VMINCPDrm
+    811649544U,	// VMINCPDrr
+    812589020U,	// VMINCPSYrm
+    811655132U,	// VMINCPSYrr
+    811737052U,	// VMINCPSrm
+    811655132U,	// VMINCPSrr
+    283266238U,	// VMINCSDrm
+    811650238U,	// VMINCSDrr
+    283288172U,	// VMINCSSrm
+    811655788U,	// VMINCSSrr
+    812583432U,	// VMINPDYrm
+    811649544U,	// VMINPDYrr
+    811731464U,	// VMINPDZ128rm
+    352471560U,	// VMINPDZ128rmb
+    2500807176U,	// VMINPDZ128rmbk
+    1427081736U,	// VMINPDZ128rmbkz
+    87017992U,	// VMINPDZ128rmk
+    571476488U,	// VMINPDZ128rmkz
+    811649544U,	// VMINPDZ128rr
+    2693810696U,	// VMINPDZ128rrk
+    571394568U,	// VMINPDZ128rrkz
+    812583432U,	// VMINPDZ256rm
+    356665864U,	// VMINPDZ256rmb
+    2505001480U,	// VMINPDZ256rmbk
+    1431276040U,	// VMINPDZ256rmbkz
+    87067144U,	// VMINPDZ256rmk
+    571525640U,	// VMINPDZ256rmkz
+    811649544U,	// VMINPDZ256rr
+    2693810696U,	// VMINPDZ256rrk
+    571394568U,	// VMINPDZ256rrkz
+    812763656U,	// VMINPDZrm
+    360860168U,	// VMINPDZrmb
+    2509195784U,	// VMINPDZrmbk
+    1435470344U,	// VMINPDZrmbkz
+    87165448U,	// VMINPDZrmk
+    571623944U,	// VMINPDZrmkz
+    811649544U,	// VMINPDZrr
+    2693810696U,	// VMINPDZrrk
+    571394568U,	// VMINPDZrrkz
+    811731464U,	// VMINPDrm
+    811649544U,	// VMINPDrr
+    812589020U,	// VMINPSYrm
+    811655132U,	// VMINPSYrr
+    811737052U,	// VMINPSZ128rm
+    356687836U,	// VMINPSZ128rmb
+    2505220060U,	// VMINPSZ128rmbk
+    1431494620U,	// VMINPSZ128rmbkz
+    87023580U,	// VMINPSZ128rmk
+    571482076U,	// VMINPSZ128rmkz
+    811655132U,	// VMINPSZ128rr
+    2693816284U,	// VMINPSZ128rrk
+    571400156U,	// VMINPSZ128rrkz
+    812589020U,	// VMINPSZ256rm
+    360882140U,	// VMINPSZ256rmb
+    2509414364U,	// VMINPSZ256rmbk
+    1435688924U,	// VMINPSZ256rmbkz
+    87072732U,	// VMINPSZ256rmk
+    571531228U,	// VMINPSZ256rmkz
+    811655132U,	// VMINPSZ256rr
+    2693816284U,	// VMINPSZ256rrk
+    571400156U,	// VMINPSZ256rrkz
+    812769244U,	// VMINPSZrm
+    362979292U,	// VMINPSZrmb
+    2511511516U,	// VMINPSZrmbk
+    1437786076U,	// VMINPSZrmbkz
+    87171036U,	// VMINPSZrmk
+    571629532U,	// VMINPSZrmkz
+    811655132U,	// VMINPSZrr
+    2693816284U,	// VMINPSZrrk
+    571400156U,	// VMINPSZrrkz
+    811737052U,	// VMINPSrm
+    811655132U,	// VMINPSrr
+    283266238U,	// VMINSDZrm
+    811732158U,	// VMINSDZrm_Int
+    87018686U,	// VMINSDZrm_Intk
+    571477182U,	// VMINSDZrm_Intkz
+    811650238U,	// VMINSDZrr
+    811650238U,	// VMINSDZrr_Int
+    2693811390U,	// VMINSDZrr_Intk
+    571395262U,	// VMINSDZrr_Intkz
+    811650238U,	// VMINSDZrrb
+    2693811390U,	// VMINSDZrrbk
+    571395262U,	// VMINSDZrrbkz
+    283266238U,	// VMINSDrm
+    283266238U,	// VMINSDrm_Int
+    811650238U,	// VMINSDrr
+    811650238U,	// VMINSDrr_Int
+    283288172U,	// VMINSSZrm
+    811737708U,	// VMINSSZrm_Int
+    87024236U,	// VMINSSZrm_Intk
+    571482732U,	// VMINSSZrm_Intkz
+    811655788U,	// VMINSSZrr
+    811655788U,	// VMINSSZrr_Int
+    2693816940U,	// VMINSSZrr_Intk
+    571400812U,	// VMINSSZrr_Intkz
+    811655788U,	// VMINSSZrrb
+    2693816940U,	// VMINSSZrrbk
+    571400812U,	// VMINSSZrrbkz
+    283288172U,	// VMINSSrm
+    283288172U,	// VMINSSrm_Int
+    811655788U,	// VMINSSrr
+    811655788U,	// VMINSSrr_Int
+    13011U,	// VMLAUNCH
+    14008U,	// VMLOAD32
+    14088U,	// VMLOAD64
+    13103U,	// VMMCALL
+    551820141U,	// VMOV64toPQIZrr
+    551836525U,	// VMOV64toPQIrm
+    551820141U,	// VMOV64toPQIrr
+    551820141U,	// VMOV64toSDZrr
+    551836525U,	// VMOV64toSDrm
+    551820141U,	// VMOV64toSDrr
+    109086855U,	// VMOVAPDYmr
+    1345671U,	// VMOVAPDYrm
+    551815303U,	// VMOVAPDYrr
+    551815303U,	// VMOVAPDYrr_REV
+    65046663U,	// VMOVAPDZ128mr
+    2749728903U,	// VMOVAPDZ128mrk
+    608391U,	// VMOVAPDZ128rm
+    2693793927U,	// VMOVAPDZ128rmk
+    2692876423U,	// VMOVAPDZ128rmkz
+    551815303U,	// VMOVAPDZ128rr
+    551815303U,	// VMOVAPDZ128rr_alt
+    2693712007U,	// VMOVAPDZ128rrk
+    2693712007U,	// VMOVAPDZ128rrk_alt
+    2692794503U,	// VMOVAPDZ128rrkz
+    2692794503U,	// VMOVAPDZ128rrkz_alt
+    109086855U,	// VMOVAPDZ256mr
+    2793769095U,	// VMOVAPDZ256mrk
+    1345671U,	// VMOVAPDZ256rm
+    2693843079U,	// VMOVAPDZ256rmk
+    2693728391U,	// VMOVAPDZ256rmkz
+    551815303U,	// VMOVAPDZ256rr
+    551815303U,	// VMOVAPDZ256rr_alt
+    2693712007U,	// VMOVAPDZ256rrk
+    2693712007U,	// VMOVAPDZ256rrk_alt
+    2692794503U,	// VMOVAPDZ256rrkz
+    2692794503U,	// VMOVAPDZ256rrkz_alt
+    111184007U,	// VMOVAPDZmr
+    2795866247U,	// VMOVAPDZmrk
+    1362055U,	// VMOVAPDZrm
+    2693941383U,	// VMOVAPDZrmk
+    2693908615U,	// VMOVAPDZrmkz
+    551815303U,	// VMOVAPDZrr
+    551815303U,	// VMOVAPDZrr_alt
+    2693712007U,	// VMOVAPDZrrk
+    2693712007U,	// VMOVAPDZrrk_alt
+    2692794503U,	// VMOVAPDZrrkz
+    2692794503U,	// VMOVAPDZrrkz_alt
+    65046663U,	// VMOVAPDmr
+    608391U,	// VMOVAPDrm
+    551815303U,	// VMOVAPDrr
+    551815303U,	// VMOVAPDrr_REV
+    109092422U,	// VMOVAPSYmr
+    1351238U,	// VMOVAPSYrm
+    551820870U,	// VMOVAPSYrr
+    551820870U,	// VMOVAPSYrr_REV
+    65052230U,	// VMOVAPSZ128mr
+    2749734470U,	// VMOVAPSZ128mrk
+    613958U,	// VMOVAPSZ128rm
+    2693799494U,	// VMOVAPSZ128rmk
+    2692881990U,	// VMOVAPSZ128rmkz
+    551820870U,	// VMOVAPSZ128rr
+    551820870U,	// VMOVAPSZ128rr_alt
+    2693717574U,	// VMOVAPSZ128rrk
+    2693717574U,	// VMOVAPSZ128rrk_alt
+    2692800070U,	// VMOVAPSZ128rrkz
+    2692800070U,	// VMOVAPSZ128rrkz_alt
+    109092422U,	// VMOVAPSZ256mr
+    2793774662U,	// VMOVAPSZ256mrk
+    1351238U,	// VMOVAPSZ256rm
+    2693848646U,	// VMOVAPSZ256rmk
+    2693733958U,	// VMOVAPSZ256rmkz
+    551820870U,	// VMOVAPSZ256rr
+    551820870U,	// VMOVAPSZ256rr_alt
+    2693717574U,	// VMOVAPSZ256rrk
+    2693717574U,	// VMOVAPSZ256rrk_alt
+    2692800070U,	// VMOVAPSZ256rrkz
+    2692800070U,	// VMOVAPSZ256rrkz_alt
+    111189574U,	// VMOVAPSZmr
+    2795871814U,	// VMOVAPSZmrk
+    1367622U,	// VMOVAPSZrm
+    2693946950U,	// VMOVAPSZrmk
+    2693914182U,	// VMOVAPSZrmkz
+    551820870U,	// VMOVAPSZrr
+    551820870U,	// VMOVAPSZrr_alt
+    2693717574U,	// VMOVAPSZrrk
+    2693717574U,	// VMOVAPSZrrk_alt
+    2692800070U,	// VMOVAPSZrrkz
+    2692800070U,	// VMOVAPSZrrkz_alt
+    65052230U,	// VMOVAPSmr
+    613958U,	// VMOVAPSrm
+    551820870U,	// VMOVAPSrr
+    551820870U,	// VMOVAPSrr_REV
+    1348898U,	// VMOVDDUPYrm
+    551818530U,	// VMOVDDUPYrr
+    1365282U,	// VMOVDDUPZrm
+    551818530U,	// VMOVDDUPZrr
+    552178978U,	// VMOVDDUPrm
+    551818530U,	// VMOVDDUPrr
+    551800248U,	// VMOVDI2PDIZrm
+    551816632U,	// VMOVDI2PDIZrr
+    551800248U,	// VMOVDI2PDIrm
+    551816632U,	// VMOVDI2PDIrr
+    551800248U,	// VMOVDI2SSZrm
+    551816632U,	// VMOVDI2SSZrr
+    551800248U,	// VMOVDI2SSrm
+    551816632U,	// VMOVDI2SSrr
+    67141699U,	// VMOVDQA32Z128mr
+    2751823939U,	// VMOVDQA32Z128mrk
+    311363U,	// VMOVDQA32Z128rm
+    2694168643U,	// VMOVDQA32Z128rmk
+    2693038147U,	// VMOVDQA32Z128rmkz
+    551813187U,	// VMOVDQA32Z128rr
+    551813187U,	// VMOVDQA32Z128rr_alt
+    2693709891U,	// VMOVDQA32Z128rrk
+    2693709891U,	// VMOVDQA32Z128rrk_alt
+    2692792387U,	// VMOVDQA32Z128rrkz
+    2692792387U,	// VMOVDQA32Z128rrkz_alt
+    123764803U,	// VMOVDQA32Z256mr
+    2808447043U,	// VMOVDQA32Z256mrk
+    1294403U,	// VMOVDQA32Z256rm
+    2694185027U,	// VMOVDQA32Z256rmk
+    2694021187U,	// VMOVDQA32Z256rmkz
+    551813187U,	// VMOVDQA32Z256rr
+    551813187U,	// VMOVDQA32Z256rr_alt
+    2693709891U,	// VMOVDQA32Z256rrk
+    2693709891U,	// VMOVDQA32Z256rrk_alt
+    2692792387U,	// VMOVDQA32Z256rrkz
+    2692792387U,	// VMOVDQA32Z256rrkz_alt
+    125861955U,	// VMOVDQA32Zmr
+    2810544195U,	// VMOVDQA32Zmrk
+    1310787U,	// VMOVDQA32Zrm
+    2694201411U,	// VMOVDQA32Zrmk
+    2694217795U,	// VMOVDQA32Zrmkz
+    551813187U,	// VMOVDQA32Zrr
+    551813187U,	// VMOVDQA32Zrr_alt
+    2693709891U,	// VMOVDQA32Zrrk
+    2693709891U,	// VMOVDQA32Zrrk_alt
+    2692792387U,	// VMOVDQA32Zrrkz
+    2692792387U,	// VMOVDQA32Zrrkz_alt
+    67141806U,	// VMOVDQA64Z128mr
+    2751824046U,	// VMOVDQA64Z128mrk
+    311470U,	// VMOVDQA64Z128rm
+    2694168750U,	// VMOVDQA64Z128rmk
+    2693038254U,	// VMOVDQA64Z128rmkz
+    551813294U,	// VMOVDQA64Z128rr
+    551813294U,	// VMOVDQA64Z128rr_alt
+    2693709998U,	// VMOVDQA64Z128rrk
+    2693709998U,	// VMOVDQA64Z128rrk_alt
+    2692792494U,	// VMOVDQA64Z128rrkz
+    2692792494U,	// VMOVDQA64Z128rrkz_alt
+    123764910U,	// VMOVDQA64Z256mr
+    2808447150U,	// VMOVDQA64Z256mrk
+    1294510U,	// VMOVDQA64Z256rm
+    2694185134U,	// VMOVDQA64Z256rmk
+    2694021294U,	// VMOVDQA64Z256rmkz
+    551813294U,	// VMOVDQA64Z256rr
+    551813294U,	// VMOVDQA64Z256rr_alt
+    2693709998U,	// VMOVDQA64Z256rrk
+    2693709998U,	// VMOVDQA64Z256rrk_alt
+    2692792494U,	// VMOVDQA64Z256rrkz
+    2692792494U,	// VMOVDQA64Z256rrkz_alt
+    125862062U,	// VMOVDQA64Zmr
+    2810544302U,	// VMOVDQA64Zmrk
+    1310894U,	// VMOVDQA64Zrm
+    2694201518U,	// VMOVDQA64Zrmk
+    2694217902U,	// VMOVDQA64Zrmkz
+    551813294U,	// VMOVDQA64Zrr
+    551813294U,	// VMOVDQA64Zrr_alt
+    2693709998U,	// VMOVDQA64Zrrk
+    2693709998U,	// VMOVDQA64Zrrk_alt
+    2692792494U,	// VMOVDQA64Zrrkz
+    2692792494U,	// VMOVDQA64Zrrkz_alt
+    123765315U,	// VMOVDQAYmr
+    1294915U,	// VMOVDQAYrm
+    551813699U,	// VMOVDQAYrr
+    551813699U,	// VMOVDQAYrr_REV
+    67142211U,	// VMOVDQAmr
+    311875U,	// VMOVDQArm
+    551813699U,	// VMOVDQArr
+    551813699U,	// VMOVDQArr_REV
+    67142053U,	// VMOVDQU16Z128mr
+    2751824293U,	// VMOVDQU16Z128mrk
+    311717U,	// VMOVDQU16Z128rm
+    2694168997U,	// VMOVDQU16Z128rmk
+    2693038501U,	// VMOVDQU16Z128rmkz
+    551813541U,	// VMOVDQU16Z128rr
+    551813541U,	// VMOVDQU16Z128rr_alt
+    2693710245U,	// VMOVDQU16Z128rrk
+    2693710245U,	// VMOVDQU16Z128rrk_alt
+    2692792741U,	// VMOVDQU16Z128rrkz
+    2692792741U,	// VMOVDQU16Z128rrkz_alt
+    123765157U,	// VMOVDQU16Z256mr
+    2808447397U,	// VMOVDQU16Z256mrk
+    1294757U,	// VMOVDQU16Z256rm
+    2694185381U,	// VMOVDQU16Z256rmk
+    2694021541U,	// VMOVDQU16Z256rmkz
+    551813541U,	// VMOVDQU16Z256rr
+    551813541U,	// VMOVDQU16Z256rr_alt
+    2693710245U,	// VMOVDQU16Z256rrk
+    2693710245U,	// VMOVDQU16Z256rrk_alt
+    2692792741U,	// VMOVDQU16Z256rrkz
+    2692792741U,	// VMOVDQU16Z256rrkz_alt
+    125862309U,	// VMOVDQU16Zmr
+    2810544549U,	// VMOVDQU16Zmrk
+    1311141U,	// VMOVDQU16Zrm
+    2694201765U,	// VMOVDQU16Zrmk
+    2694218149U,	// VMOVDQU16Zrmkz
+    551813541U,	// VMOVDQU16Zrr
+    551813541U,	// VMOVDQU16Zrr_alt
+    2693710245U,	// VMOVDQU16Zrrk
+    2693710245U,	// VMOVDQU16Zrrk_alt
+    2692792741U,	// VMOVDQU16Zrrkz
+    2692792741U,	// VMOVDQU16Zrrkz_alt
+    67141710U,	// VMOVDQU32Z128mr
+    2751823950U,	// VMOVDQU32Z128mrk
+    311374U,	// VMOVDQU32Z128rm
+    2694168654U,	// VMOVDQU32Z128rmk
+    2693038158U,	// VMOVDQU32Z128rmkz
+    551813198U,	// VMOVDQU32Z128rr
+    551813198U,	// VMOVDQU32Z128rr_alt
+    2693709902U,	// VMOVDQU32Z128rrk
+    2693709902U,	// VMOVDQU32Z128rrk_alt
+    2692792398U,	// VMOVDQU32Z128rrkz
+    2692792398U,	// VMOVDQU32Z128rrkz_alt
+    123764814U,	// VMOVDQU32Z256mr
+    2808447054U,	// VMOVDQU32Z256mrk
+    1294414U,	// VMOVDQU32Z256rm
+    2694185038U,	// VMOVDQU32Z256rmk
+    2694021198U,	// VMOVDQU32Z256rmkz
+    551813198U,	// VMOVDQU32Z256rr
+    551813198U,	// VMOVDQU32Z256rr_alt
+    2693709902U,	// VMOVDQU32Z256rrk
+    2693709902U,	// VMOVDQU32Z256rrk_alt
+    2692792398U,	// VMOVDQU32Z256rrkz
+    2692792398U,	// VMOVDQU32Z256rrkz_alt
+    125861966U,	// VMOVDQU32Zmr
+    2810544206U,	// VMOVDQU32Zmrk
+    1310798U,	// VMOVDQU32Zrm
+    2694201422U,	// VMOVDQU32Zrmk
+    2694217806U,	// VMOVDQU32Zrmkz
+    551813198U,	// VMOVDQU32Zrr
+    551813198U,	// VMOVDQU32Zrr_alt
+    2693709902U,	// VMOVDQU32Zrrk
+    2693709902U,	// VMOVDQU32Zrrk_alt
+    2692792398U,	// VMOVDQU32Zrrkz
+    2692792398U,	// VMOVDQU32Zrrkz_alt
+    67141881U,	// VMOVDQU64Z128mr
+    2751824121U,	// VMOVDQU64Z128mrk
+    311545U,	// VMOVDQU64Z128rm
+    2694168825U,	// VMOVDQU64Z128rmk
+    2693038329U,	// VMOVDQU64Z128rmkz
+    551813369U,	// VMOVDQU64Z128rr
+    551813369U,	// VMOVDQU64Z128rr_alt
+    2693710073U,	// VMOVDQU64Z128rrk
+    2693710073U,	// VMOVDQU64Z128rrk_alt
+    2692792569U,	// VMOVDQU64Z128rrkz
+    2692792569U,	// VMOVDQU64Z128rrkz_alt
+    123764985U,	// VMOVDQU64Z256mr
+    2808447225U,	// VMOVDQU64Z256mrk
+    1294585U,	// VMOVDQU64Z256rm
+    2694185209U,	// VMOVDQU64Z256rmk
+    2694021369U,	// VMOVDQU64Z256rmkz
+    551813369U,	// VMOVDQU64Z256rr
+    551813369U,	// VMOVDQU64Z256rr_alt
+    2693710073U,	// VMOVDQU64Z256rrk
+    2693710073U,	// VMOVDQU64Z256rrk_alt
+    2692792569U,	// VMOVDQU64Z256rrkz
+    2692792569U,	// VMOVDQU64Z256rrkz_alt
+    125862137U,	// VMOVDQU64Zmr
+    2810544377U,	// VMOVDQU64Zmrk
+    1310969U,	// VMOVDQU64Zrm
+    2694201593U,	// VMOVDQU64Zrmk
+    2694217977U,	// VMOVDQU64Zrmkz
+    551813369U,	// VMOVDQU64Zrr
+    551813369U,	// VMOVDQU64Zrr_alt
+    2693710073U,	// VMOVDQU64Zrrk
+    2693710073U,	// VMOVDQU64Zrrk_alt
+    2692792569U,	// VMOVDQU64Zrrkz
+    2692792569U,	// VMOVDQU64Zrrkz_alt
+    67142158U,	// VMOVDQU8Z128mr
+    2751824398U,	// VMOVDQU8Z128mrk
+    311822U,	// VMOVDQU8Z128rm
+    2694169102U,	// VMOVDQU8Z128rmk
+    2693038606U,	// VMOVDQU8Z128rmkz
+    551813646U,	// VMOVDQU8Z128rr
+    551813646U,	// VMOVDQU8Z128rr_alt
+    2693710350U,	// VMOVDQU8Z128rrk
+    2693710350U,	// VMOVDQU8Z128rrk_alt
+    2692792846U,	// VMOVDQU8Z128rrkz
+    2692792846U,	// VMOVDQU8Z128rrkz_alt
+    123765262U,	// VMOVDQU8Z256mr
+    2808447502U,	// VMOVDQU8Z256mrk
+    1294862U,	// VMOVDQU8Z256rm
+    2694185486U,	// VMOVDQU8Z256rmk
+    2694021646U,	// VMOVDQU8Z256rmkz
+    551813646U,	// VMOVDQU8Z256rr
+    551813646U,	// VMOVDQU8Z256rr_alt
+    2693710350U,	// VMOVDQU8Z256rrk
+    2693710350U,	// VMOVDQU8Z256rrk_alt
+    2692792846U,	// VMOVDQU8Z256rrkz
+    2692792846U,	// VMOVDQU8Z256rrkz_alt
+    125862414U,	// VMOVDQU8Zmr
+    2810544654U,	// VMOVDQU8Zmrk
+    1311246U,	// VMOVDQU8Zrm
+    2694201870U,	// VMOVDQU8Zrmk
+    2694218254U,	// VMOVDQU8Zrmkz
+    551813646U,	// VMOVDQU8Zrr
+    551813646U,	// VMOVDQU8Zrr_alt
+    2693710350U,	// VMOVDQU8Zrrk
+    2693710350U,	// VMOVDQU8Zrrk_alt
+    2692792846U,	// VMOVDQU8Zrrkz
+    2692792846U,	// VMOVDQU8Zrrkz_alt
+    123773851U,	// VMOVDQUYmr
+    1303451U,	// VMOVDQUYrm
+    551822235U,	// VMOVDQUYrr
+    551822235U,	// VMOVDQUYrr_REV
+    67150747U,	// VMOVDQUmr
+    320411U,	// VMOVDQUrm
+    551822235U,	// VMOVDQUrr
+    551822235U,	// VMOVDQUrr_REV
+    811655037U,	// VMOVHLPSZrr
+    811655037U,	// VMOVHLPSrr
+    69241256U,	// VMOVHPDmr
+    283265448U,	// VMOVHPDrm
+    69246825U,	// VMOVHPSmr
+    283271017U,	// VMOVHPSrm
+    811655007U,	// VMOVLHPSZrr
+    811655007U,	// VMOVLHPSrr
+    69241306U,	// VMOVLPDmr
+    283265498U,	// VMOVLPDrm
+    69246885U,	// VMOVLPSmr
+    283271077U,	// VMOVLPSrm
+    551815601U,	// VMOVMSKPDYrr
+    551815601U,	// VMOVMSKPDrr
+    551821170U,	// VMOVMSKPSYrr
+    551821170U,	// VMOVMSKPSrr
+    1294904U,	// VMOVNTDQAYrm
+    311864U,	// VMOVNTDQAZ128rm
+    1294904U,	// VMOVNTDQAZ256rm
+    1311288U,	// VMOVNTDQAZrm
+    311864U,	// VMOVNTDQArm
+    109090632U,	// VMOVNTDQYmr
+    67147592U,	// VMOVNTDQZ128mr
+    123770696U,	// VMOVNTDQZ256mr
+    125867848U,	// VMOVNTDQZmr
+    65050440U,	// VMOVNTDQmr
+    109087378U,	// VMOVNTPDYmr
+    65047186U,	// VMOVNTPDZ128mr
+    109087378U,	// VMOVNTPDZ256mr
+    111184530U,	// VMOVNTPDZmr
+    65047186U,	// VMOVNTPDmr
+    109092986U,	// VMOVNTPSYmr
+    65052794U,	// VMOVNTPSZ128mr
+    109092986U,	// VMOVNTPSZ256mr
+    111190138U,	// VMOVNTPSZmr
+    65052794U,	// VMOVNTPSmr
+    12619192U,	// VMOVPDI2DIZmr
+    551816632U,	// VMOVPDI2DIZrr
+    12619192U,	// VMOVPDI2DImr
+    551816632U,	// VMOVPDI2DIrr
+    18914157U,	// VMOVPQI2QImr
+    551820141U,	// VMOVPQI2QIrr
+    18914157U,	// VMOVPQIto64Zmr
+    551820141U,	// VMOVPQIto64Zrr
+    18914157U,	// VMOVPQIto64rm
+    551820141U,	// VMOVPQIto64rr
+    551836525U,	// VMOVQI2PQIZrm
+    551836525U,	// VMOVQI2PQIrm
+    69242115U,	// VMOVSDZmr
+    2753924355U,	// VMOVSDZmrk
+    552176899U,	// VMOVSDZrm
+    811650307U,	// VMOVSDZrr
+    811650307U,	// VMOVSDZrr_REV
+    2693811459U,	// VMOVSDZrrk
+    69242115U,	// VMOVSDmr
+    552176899U,	// VMOVSDrm
+    811650307U,	// VMOVSDrr
+    811650307U,	// VMOVSDrr_REV
+    18914157U,	// VMOVSDto64Zmr
+    551820141U,	// VMOVSDto64Zrr
+    18914157U,	// VMOVSDto64mr
+    551820141U,	// VMOVSDto64rr
+    1348908U,	// VMOVSHDUPYrm
+    551818540U,	// VMOVSHDUPYrr
+    1365292U,	// VMOVSHDUPZrm
+    551818540U,	// VMOVSHDUPZrr
+    611628U,	// VMOVSHDUPrm
+    551818540U,	// VMOVSHDUPrr
+    1348919U,	// VMOVSLDUPYrm
+    551818551U,	// VMOVSLDUPYrr
+    1365303U,	// VMOVSLDUPZrm
+    551818551U,	// VMOVSLDUPZrr
+    611639U,	// VMOVSLDUPrm
+    551818551U,	// VMOVSLDUPrr
+    12619192U,	// VMOVSS2DIZmr
+    551816632U,	// VMOVSS2DIZrr
+    12619192U,	// VMOVSS2DImr
+    551816632U,	// VMOVSS2DIrr
+    71344822U,	// VMOVSSZmr
+    2756027062U,	// VMOVSSZmrk
+    552198838U,	// VMOVSSZrm
+    811655862U,	// VMOVSSZrr
+    811655862U,	// VMOVSSZrr_REV
+    2693817014U,	// VMOVSSZrrk
+    71344822U,	// VMOVSSmr
+    552198838U,	// VMOVSSrm
+    811655862U,	// VMOVSSrr
+    811655862U,	// VMOVSSrr_REV
+    109087406U,	// VMOVUPDYmr
+    1346222U,	// VMOVUPDYrm
+    551815854U,	// VMOVUPDYrr
+    551815854U,	// VMOVUPDYrr_REV
+    65047214U,	// VMOVUPDZ128mr
+    2749729454U,	// VMOVUPDZ128mrk
+    608942U,	// VMOVUPDZ128rm
+    2693794478U,	// VMOVUPDZ128rmk
+    2692876974U,	// VMOVUPDZ128rmkz
+    551815854U,	// VMOVUPDZ128rr
+    551815854U,	// VMOVUPDZ128rr_alt
+    2693712558U,	// VMOVUPDZ128rrk
+    2693712558U,	// VMOVUPDZ128rrk_alt
+    2692795054U,	// VMOVUPDZ128rrkz
+    2692795054U,	// VMOVUPDZ128rrkz_alt
+    109087406U,	// VMOVUPDZ256mr
+    2793769646U,	// VMOVUPDZ256mrk
+    1346222U,	// VMOVUPDZ256rm
+    2693843630U,	// VMOVUPDZ256rmk
+    2693728942U,	// VMOVUPDZ256rmkz
+    551815854U,	// VMOVUPDZ256rr
+    551815854U,	// VMOVUPDZ256rr_alt
+    2693712558U,	// VMOVUPDZ256rrk
+    2693712558U,	// VMOVUPDZ256rrk_alt
+    2692795054U,	// VMOVUPDZ256rrkz
+    2692795054U,	// VMOVUPDZ256rrkz_alt
+    111184558U,	// VMOVUPDZmr
+    2795866798U,	// VMOVUPDZmrk
+    1362606U,	// VMOVUPDZrm
+    2693941934U,	// VMOVUPDZrmk
+    2693909166U,	// VMOVUPDZrmkz
+    551815854U,	// VMOVUPDZrr
+    551815854U,	// VMOVUPDZrr_alt
+    2693712558U,	// VMOVUPDZrrk
+    2693712558U,	// VMOVUPDZrrk_alt
+    2692795054U,	// VMOVUPDZrrkz
+    2692795054U,	// VMOVUPDZrrkz_alt
+    65047214U,	// VMOVUPDmr
+    608942U,	// VMOVUPDrm
+    551815854U,	// VMOVUPDrr
+    551815854U,	// VMOVUPDrr_REV
+    109093059U,	// VMOVUPSYmr
+    1351875U,	// VMOVUPSYrm
+    551821507U,	// VMOVUPSYrr
+    551821507U,	// VMOVUPSYrr_REV
+    65052867U,	// VMOVUPSZ128mr
+    2749735107U,	// VMOVUPSZ128mrk
+    614595U,	// VMOVUPSZ128rm
+    2693800131U,	// VMOVUPSZ128rmk
+    2692882627U,	// VMOVUPSZ128rmkz
+    551821507U,	// VMOVUPSZ128rr
+    551821507U,	// VMOVUPSZ128rr_alt
+    2693718211U,	// VMOVUPSZ128rrk
+    2693718211U,	// VMOVUPSZ128rrk_alt
+    2692800707U,	// VMOVUPSZ128rrkz
+    2692800707U,	// VMOVUPSZ128rrkz_alt
+    109093059U,	// VMOVUPSZ256mr
+    2793775299U,	// VMOVUPSZ256mrk
+    1351875U,	// VMOVUPSZ256rm
+    2693849283U,	// VMOVUPSZ256rmk
+    2693734595U,	// VMOVUPSZ256rmkz
+    551821507U,	// VMOVUPSZ256rr
+    551821507U,	// VMOVUPSZ256rr_alt
+    2693718211U,	// VMOVUPSZ256rrk
+    2693718211U,	// VMOVUPSZ256rrk_alt
+    2692800707U,	// VMOVUPSZ256rrkz
+    2692800707U,	// VMOVUPSZ256rrkz_alt
+    111190211U,	// VMOVUPSZmr
+    2795872451U,	// VMOVUPSZmrk
+    1368259U,	// VMOVUPSZrm
+    2693947587U,	// VMOVUPSZrmk
+    2693914819U,	// VMOVUPSZrmkz
+    551821507U,	// VMOVUPSZrr
+    551821507U,	// VMOVUPSZrr_alt
+    2693718211U,	// VMOVUPSZrrk
+    2693718211U,	// VMOVUPSZrrk_alt
+    2692800707U,	// VMOVUPSZrrkz
+    2692800707U,	// VMOVUPSZrrkz_alt
+    65052867U,	// VMOVUPSmr
+    614595U,	// VMOVUPSrm
+    551821507U,	// VMOVUPSrr
+    551821507U,	// VMOVUPSrr_REV
+    318317U,	// VMOVZPQILo2PQIZrm
+    551820141U,	// VMOVZPQILo2PQIZrr
+    318317U,	// VMOVZPQILo2PQIrm
+    551820141U,	// VMOVZPQILo2PQIrr
+    551836525U,	// VMOVZQI2PQIrm
+    551820141U,	// VMOVZQI2PQIrr
+    113632267U,	// VMPSADBWYrmi
+    302392331U,	// VMPSADBWYrri
+    342221835U,	// VMPSADBWrmi
+    302392331U,	// VMPSADBWrri
+    427662U,	// VMPTRLDm
+    435060U,	// VMPTRSTm
+    12619877U,	// VMREAD32rm
+    551817317U,	// VMREAD32rr
+    18912855U,	// VMREAD64rm
+    551818839U,	// VMREAD64rr
+    12911U,	// VMRESUME
+    14032U,	// VMRUN32
+    14112U,	// VMRUN64
+    14020U,	// VMSAVE32
+    14100U,	// VMSAVE64
+    812583378U,	// VMULPDYrm
+    811649490U,	// VMULPDYrr
+    811731410U,	// VMULPDZ128rm
+    352471506U,	// VMULPDZ128rmb
+    2500807122U,	// VMULPDZ128rmbk
+    1427081682U,	// VMULPDZ128rmbkz
+    87017938U,	// VMULPDZ128rmk
+    571476434U,	// VMULPDZ128rmkz
+    811649490U,	// VMULPDZ128rr
+    2693810642U,	// VMULPDZ128rrk
+    571394514U,	// VMULPDZ128rrkz
+    812583378U,	// VMULPDZ256rm
+    356665810U,	// VMULPDZ256rmb
+    2505001426U,	// VMULPDZ256rmbk
+    1431275986U,	// VMULPDZ256rmbkz
+    87067090U,	// VMULPDZ256rmk
+    571525586U,	// VMULPDZ256rmkz
+    811649490U,	// VMULPDZ256rr
+    2693810642U,	// VMULPDZ256rrk
+    571394514U,	// VMULPDZ256rrkz
+    1116626U,	// VMULPDZrb
+    87116242U,	// VMULPDZrbk
+    359762386U,	// VMULPDZrbkz
+    812763602U,	// VMULPDZrm
+    360860114U,	// VMULPDZrmb
+    2509195730U,	// VMULPDZrmbk
+    1435470290U,	// VMULPDZrmbkz
+    87165394U,	// VMULPDZrmk
+    571623890U,	// VMULPDZrmkz
+    811649490U,	// VMULPDZrr
+    2693810642U,	// VMULPDZrrk
+    571394514U,	// VMULPDZrrkz
+    811731410U,	// VMULPDrm
+    811649490U,	// VMULPDrr
+    812588957U,	// VMULPSYrm
+    811655069U,	// VMULPSYrr
+    811736989U,	// VMULPSZ128rm
+    356687773U,	// VMULPSZ128rmb
+    2505219997U,	// VMULPSZ128rmbk
+    1431494557U,	// VMULPSZ128rmbkz
+    87023517U,	// VMULPSZ128rmk
+    571482013U,	// VMULPSZ128rmkz
+    811655069U,	// VMULPSZ128rr
+    2693816221U,	// VMULPSZ128rrk
+    571400093U,	// VMULPSZ128rrkz
+    812588957U,	// VMULPSZ256rm
+    360882077U,	// VMULPSZ256rmb
+    2509414301U,	// VMULPSZ256rmbk
+    1435688861U,	// VMULPSZ256rmbkz
+    87072669U,	// VMULPSZ256rmk
+    571531165U,	// VMULPSZ256rmkz
+    811655069U,	// VMULPSZ256rr
+    2693816221U,	// VMULPSZ256rrk
+    571400093U,	// VMULPSZ256rrkz
+    1122205U,	// VMULPSZrb
+    87121821U,	// VMULPSZrbk
+    359767965U,	// VMULPSZrbkz
+    812769181U,	// VMULPSZrm
+    362979229U,	// VMULPSZrmb
+    2511511453U,	// VMULPSZrmbk
+    1437786013U,	// VMULPSZrmbkz
+    87170973U,	// VMULPSZrmk
+    571629469U,	// VMULPSZrmkz
+    811655069U,	// VMULPSZrr
+    2693816221U,	// VMULPSZrrk
+    571400093U,	// VMULPSZrrkz
+    811736989U,	// VMULPSrm
+    811655069U,	// VMULPSrr
+    283266221U,	// VMULSDZrm
+    811732141U,	// VMULSDZrm_Int
+    87018669U,	// VMULSDZrm_Intk
+    571477165U,	// VMULSDZrm_Intkz
+    811650221U,	// VMULSDZrr
+    811650221U,	// VMULSDZrr_Int
+    2693811373U,	// VMULSDZrr_Intk
+    571395245U,	// VMULSDZrr_Intkz
+    1117357U,	// VMULSDZrrb
+    87116973U,	// VMULSDZrrbk
+    359763117U,	// VMULSDZrrbkz
+    283266221U,	// VMULSDrm
+    283266221U,	// VMULSDrm_Int
+    811650221U,	// VMULSDrr
+    811650221U,	// VMULSDrr_Int
+    283288164U,	// VMULSSZrm
+    811737700U,	// VMULSSZrm_Int
+    87024228U,	// VMULSSZrm_Intk
+    571482724U,	// VMULSSZrm_Intkz
+    811655780U,	// VMULSSZrr
+    811655780U,	// VMULSSZrr_Int
+    2693816932U,	// VMULSSZrr_Intk
+    571400804U,	// VMULSSZrr_Intkz
+    1122916U,	// VMULSSZrrb
+    87122532U,	// VMULSSZrrbk
+    359768676U,	// VMULSSZrrbkz
+    283288164U,	// VMULSSrm
+    283288164U,	// VMULSSrm_Int
+    811655780U,	// VMULSSrr
+    811655780U,	// VMULSSrr_Int
+    551801123U,	// VMWRITE32rm
+    551817507U,	// VMWRITE32rr
+    551835665U,	// VMWRITE64rm
+    551819281U,	// VMWRITE64rr
+    12994U,	// VMXOFF
+    431241U,	// VMXON
+    812583542U,	// VORPDYrm
+    811649654U,	// VORPDYrr
+    811731574U,	// VORPDrm
+    811649654U,	// VORPDrr
+    812589138U,	// VORPSYrm
+    811655250U,	// VORPSYrr
+    811737170U,	// VORPSrm
+    811655250U,	// VORPSrr
+    312305U,	// VPABSBrm128
+    1295345U,	// VPABSBrm256
+    551814129U,	// VPABSBrr128
+    551814129U,	// VPABSBrr256
+    1313857U,	// VPABSDZrm
+    631491649U,	// VPABSDZrmb
+    631327809U,	// VPABSDZrmbk
+    631327809U,	// VPABSDZrmbkz
+    2694220865U,	// VPABSDZrmk
+    2694220865U,	// VPABSDZrmkz
+    551816257U,	// VPABSDZrr
+    2692795457U,	// VPABSDZrrk
+    2692795457U,	// VPABSDZrrkz
+    314433U,	// VPABSDrm128
+    1297473U,	// VPABSDrm256
+    551816257U,	// VPABSDrr128
+    551816257U,	// VPABSDrr256
+    1317371U,	// VPABSQZrm
+    629430779U,	// VPABSQZrmb
+    629250555U,	// VPABSQZrmbk
+    629250555U,	// VPABSQZrmbkz
+    2694224379U,	// VPABSQZrmk
+    2694224379U,	// VPABSQZrmkz
+    551819771U,	// VPABSQZrr
+    2692798971U,	// VPABSQZrrk
+    2692798971U,	// VPABSQZrrkz
+    321341U,	// VPABSWrm128
+    1304381U,	// VPABSWrm256
+    551823165U,	// VPABSWrr128
+    551823165U,	// VPABSWrr256
+    812885252U,	// VPACKSSDWYrm
+    811656452U,	// VPACKSSDWYrr
+    811902212U,	// VPACKSSDWrm
+    811656452U,	// VPACKSSDWrr
+    812877032U,	// VPACKSSWBYrm
+    811648232U,	// VPACKSSWBYrr
+    811893992U,	// VPACKSSWBrm
+    811648232U,	// VPACKSSWBrr
+    812885263U,	// VPACKUSDWYrm
+    811656463U,	// VPACKUSDWYrr
+    811902223U,	// VPACKUSDWrm
+    811656463U,	// VPACKUSDWrr
+    812877043U,	// VPACKUSWBYrm
+    811648243U,	// VPACKUSWBYrr
+    811894003U,	// VPACKUSWBrm
+    811648243U,	// VPACKUSWBrr
+    812876464U,	// VPADDBYrm
+    811647664U,	// VPADDBYrr
+    811893424U,	// VPADDBZ128rm
+    87474864U,	// VPADDBZ128rmk
+    571851440U,	// VPADDBZ128rmkz
+    811647664U,	// VPADDBZ128rr
+    2693808816U,	// VPADDBZ128rrk
+    571392688U,	// VPADDBZ128rrkz
+    812876464U,	// VPADDBZ256rm
+    1508016U,	// VPADDBZ256rmk
+    571867824U,	// VPADDBZ256rmkz
+    811647664U,	// VPADDBZ256rr
+    2693808816U,	// VPADDBZ256rrk
+    571392688U,	// VPADDBZ256rrkz
+    813073072U,	// VPADDBZrm
+    87507632U,	// VPADDBZrmk
+    571884208U,	// VPADDBZrmkz
+    811647664U,	// VPADDBZrr
+    2693808816U,	// VPADDBZrrk
+    571392688U,	// VPADDBZrrkz
+    811893424U,	// VPADDBrm
+    811647664U,	// VPADDBrr
+    812877279U,	// VPADDDYrm
+    811648479U,	// VPADDDYrr
+    811894239U,	// VPADDDZ128rm
+    356599263U,	// VPADDDZ128rmb
+    2505410015U,	// VPADDDZ128rmbk
+    1431799263U,	// VPADDDZ128rmbkz
+    87475679U,	// VPADDDZ128rmk
+    571852255U,	// VPADDDZ128rmkz
+    811648479U,	// VPADDDZ128rr
+    2693809631U,	// VPADDDZ128rrk
+    571393503U,	// VPADDDZ128rrkz
+    812877279U,	// VPADDDZ256rm
+    360793567U,	// VPADDDZ256rmb
+    2509604319U,	// VPADDDZ256rmbk
+    1435993567U,	// VPADDDZ256rmbkz
+    1508831U,	// VPADDDZ256rmk
+    571868639U,	// VPADDDZ256rmkz
+    811648479U,	// VPADDDZ256rr
+    2693809631U,	// VPADDDZ256rrk
+    571393503U,	// VPADDDZ256rrkz
+    813073887U,	// VPADDDZrm
+    362890719U,	// VPADDDZrmb
+    2511701471U,	// VPADDDZrmbk
+    1438090719U,	// VPADDDZrmbkz
+    87508447U,	// VPADDDZrmk
+    571885023U,	// VPADDDZrmkz
+    811648479U,	// VPADDDZrr
+    2693809631U,	// VPADDDZrrk
+    571393503U,	// VPADDDZrrkz
+    811894239U,	// VPADDDrm
+    811648479U,	// VPADDDrr
+    812881514U,	// VPADDQYrm
+    811652714U,	// VPADDQYrr
+    811898474U,	// VPADDQZ128rm
+    352425578U,	// VPADDQZ128rmb
+    2501203562U,	// VPADDQZ128rmbk
+    1427625578U,	// VPADDQZ128rmbkz
+    87479914U,	// VPADDQZ128rmk
+    571856490U,	// VPADDQZ128rmkz
+    811652714U,	// VPADDQZ128rr
+    2693813866U,	// VPADDQZ128rrk
+    571397738U,	// VPADDQZ128rrkz
+    812881514U,	// VPADDQZ256rm
+    356619882U,	// VPADDQZ256rmb
+    2505397866U,	// VPADDQZ256rmbk
+    1431819882U,	// VPADDQZ256rmbkz
+    1513066U,	// VPADDQZ256rmk
+    571872874U,	// VPADDQZ256rmkz
+    811652714U,	// VPADDQZ256rr
+    2693813866U,	// VPADDQZ256rrk
+    571397738U,	// VPADDQZ256rrkz
+    813078122U,	// VPADDQZrm
+    360814186U,	// VPADDQZrmb
+    2509592170U,	// VPADDQZrmbk
+    1436014186U,	// VPADDQZrmbkz
+    87512682U,	// VPADDQZrmk
+    571889258U,	// VPADDQZrmkz
+    811652714U,	// VPADDQZrr
+    2693813866U,	// VPADDQZrrk
+    571397738U,	// VPADDQZrrkz
+    811898474U,	// VPADDQrm
+    811652714U,	// VPADDQrr
+    812876811U,	// VPADDSBYrm
+    811648011U,	// VPADDSBYrr
+    811893771U,	// VPADDSBrm
+    811648011U,	// VPADDSBrr
+    812885879U,	// VPADDSWYrm
+    811657079U,	// VPADDSWYrr
+    811902839U,	// VPADDSWrm
+    811657079U,	// VPADDSWrr
+    812876860U,	// VPADDUSBYrm
+    811648060U,	// VPADDUSBYrr
+    811893820U,	// VPADDUSBrm
+    811648060U,	// VPADDUSBrr
+    812885992U,	// VPADDUSWYrm
+    811657192U,	// VPADDUSWYrr
+    811902952U,	// VPADDUSWrm
+    811657192U,	// VPADDUSWrr
+    812885188U,	// VPADDWYrm
+    811656388U,	// VPADDWYrr
+    811902148U,	// VPADDWZ128rm
+    87483588U,	// VPADDWZ128rmk
+    571860164U,	// VPADDWZ128rmkz
+    811656388U,	// VPADDWZ128rr
+    2693817540U,	// VPADDWZ128rrk
+    571401412U,	// VPADDWZ128rrkz
+    812885188U,	// VPADDWZ256rm
+    1516740U,	// VPADDWZ256rmk
+    571876548U,	// VPADDWZ256rmkz
+    811656388U,	// VPADDWZ256rr
+    2693817540U,	// VPADDWZ256rrk
+    571401412U,	// VPADDWZ256rrkz
+    813081796U,	// VPADDWZrm
+    87516356U,	// VPADDWZrmk
+    571892932U,	// VPADDWZrmkz
+    811656388U,	// VPADDWZrr
+    2693817540U,	// VPADDWZrrk
+    571401412U,	// VPADDWZrrkz
+    811902148U,	// VPADDWrm
+    811656388U,	// VPADDWrr
+    342219775U,	// VPALIGNR128rm
+    302390271U,	// VPALIGNR128rr
+    113630207U,	// VPALIGNR256rm
+    302390271U,	// VPALIGNR256rr
+    811894254U,	// VPANDDZ128rm
+    356599278U,	// VPANDDZ128rmb
+    2505410030U,	// VPANDDZ128rmbk
+    1431799278U,	// VPANDDZ128rmbkz
+    87475694U,	// VPANDDZ128rmk
+    571852270U,	// VPANDDZ128rmkz
+    811648494U,	// VPANDDZ128rr
+    2693809646U,	// VPANDDZ128rrk
+    571393518U,	// VPANDDZ128rrkz
+    812877294U,	// VPANDDZ256rm
+    360793582U,	// VPANDDZ256rmb
+    2509604334U,	// VPANDDZ256rmbk
+    1435993582U,	// VPANDDZ256rmbkz
+    1508846U,	// VPANDDZ256rmk
+    571868654U,	// VPANDDZ256rmkz
+    811648494U,	// VPANDDZ256rr
+    2693809646U,	// VPANDDZ256rrk
+    571393518U,	// VPANDDZ256rrkz
+    813073902U,	// VPANDDZrm
+    362890734U,	// VPANDDZrmb
+    2511701486U,	// VPANDDZrmbk
+    1438090734U,	// VPANDDZrmbkz
+    87508462U,	// VPANDDZrmk
+    571885038U,	// VPANDDZrmkz
+    811648494U,	// VPANDDZrr
+    2693809646U,	// VPANDDZrrk
+    571393518U,	// VPANDDZrrkz
+    811894496U,	// VPANDNDZ128rm
+    356599520U,	// VPANDNDZ128rmb
+    2505410272U,	// VPANDNDZ128rmbk
+    1431799520U,	// VPANDNDZ128rmbkz
+    87475936U,	// VPANDNDZ128rmk
+    571852512U,	// VPANDNDZ128rmkz
+    811648736U,	// VPANDNDZ128rr
+    2693809888U,	// VPANDNDZ128rrk
+    571393760U,	// VPANDNDZ128rrkz
+    812877536U,	// VPANDNDZ256rm
+    360793824U,	// VPANDNDZ256rmb
+    2509604576U,	// VPANDNDZ256rmbk
+    1435993824U,	// VPANDNDZ256rmbkz
+    1509088U,	// VPANDNDZ256rmk
+    571868896U,	// VPANDNDZ256rmkz
+    811648736U,	// VPANDNDZ256rr
+    2693809888U,	// VPANDNDZ256rrk
+    571393760U,	// VPANDNDZ256rrkz
+    813074144U,	// VPANDNDZrm
+    362890976U,	// VPANDNDZrmb
+    2511701728U,	// VPANDNDZrmbk
+    1438090976U,	// VPANDNDZrmbkz
+    87508704U,	// VPANDNDZrmk
+    571885280U,	// VPANDNDZrmkz
+    811648736U,	// VPANDNDZrr
+    2693809888U,	// VPANDNDZrrk
+    571393760U,	// VPANDNDZrrkz
+    811899137U,	// VPANDNQZ128rm
+    352426241U,	// VPANDNQZ128rmb
+    2501204225U,	// VPANDNQZ128rmbk
+    1427626241U,	// VPANDNQZ128rmbkz
+    87480577U,	// VPANDNQZ128rmk
+    571857153U,	// VPANDNQZ128rmkz
+    811653377U,	// VPANDNQZ128rr
+    2693814529U,	// VPANDNQZ128rrk
+    571398401U,	// VPANDNQZ128rrkz
+    812882177U,	// VPANDNQZ256rm
+    356620545U,	// VPANDNQZ256rmb
+    2505398529U,	// VPANDNQZ256rmbk
+    1431820545U,	// VPANDNQZ256rmbkz
+    1513729U,	// VPANDNQZ256rmk
+    571873537U,	// VPANDNQZ256rmkz
+    811653377U,	// VPANDNQZ256rr
+    2693814529U,	// VPANDNQZ256rrk
+    571398401U,	// VPANDNQZ256rrkz
+    813078785U,	// VPANDNQZrm
+    360814849U,	// VPANDNQZrmb
+    2509592833U,	// VPANDNQZrmbk
+    1436014849U,	// VPANDNQZrmbkz
+    87513345U,	// VPANDNQZrmk
+    571889921U,	// VPANDNQZrmkz
+    811653377U,	// VPANDNQZrr
+    2693814529U,	// VPANDNQZrrk
+    571398401U,	// VPANDNQZrrkz
+    812881010U,	// VPANDNYrm
+    811652210U,	// VPANDNYrr
+    811897970U,	// VPANDNrm
+    811652210U,	// VPANDNrr
+    811898573U,	// VPANDQZ128rm
+    352425677U,	// VPANDQZ128rmb
+    2501203661U,	// VPANDQZ128rmbk
+    1427625677U,	// VPANDQZ128rmbkz
+    87480013U,	// VPANDQZ128rmk
+    571856589U,	// VPANDQZ128rmkz
+    811652813U,	// VPANDQZ128rr
+    2693813965U,	// VPANDQZ128rrk
+    571397837U,	// VPANDQZ128rrkz
+    812881613U,	// VPANDQZ256rm
+    356619981U,	// VPANDQZ256rmb
+    2505397965U,	// VPANDQZ256rmbk
+    1431819981U,	// VPANDQZ256rmbkz
+    1513165U,	// VPANDQZ256rmk
+    571872973U,	// VPANDQZ256rmkz
+    811652813U,	// VPANDQZ256rr
+    2693813965U,	// VPANDQZ256rrk
+    571397837U,	// VPANDQZ256rrkz
+    813078221U,	// VPANDQZrm
+    360814285U,	// VPANDQZrmb
+    2509592269U,	// VPANDQZrmbk
+    1436014285U,	// VPANDQZrmbkz
+    87512781U,	// VPANDQZrmk
+    571889357U,	// VPANDQZrmkz
+    811652813U,	// VPANDQZrr
+    2693813965U,	// VPANDQZrrk
+    571397837U,	// VPANDQZrrkz
+    812877521U,	// VPANDYrm
+    811648721U,	// VPANDYrr
+    811894481U,	// VPANDrm
+    811648721U,	// VPANDrr
+    812876541U,	// VPAVGBYrm
+    811647741U,	// VPAVGBYrr
+    811893501U,	// VPAVGBrm
+    811647741U,	// VPAVGBrr
+    812885394U,	// VPAVGWYrm
+    811656594U,	// VPAVGWYrr
+    811902354U,	// VPAVGWrm
+    811656594U,	// VPAVGWrr
+    113624577U,	// VPBLENDDYrmi
+    302384641U,	// VPBLENDDYrri
+    342214145U,	// VPBLENDDrmi
+    302384641U,	// VPBLENDDrri
+    811893567U,	// VPBLENDMBZ128rm
+    571851583U,	// VPBLENDMBZ128rmk
+    571851583U,	// VPBLENDMBZ128rmkz
+    811647807U,	// VPBLENDMBZ128rr
+    571392831U,	// VPBLENDMBZ128rrk
+    571392831U,	// VPBLENDMBZ128rrkz
+    812876607U,	// VPBLENDMBZ256rm
+    571867967U,	// VPBLENDMBZ256rmk
+    571867967U,	// VPBLENDMBZ256rmkz
+    811647807U,	// VPBLENDMBZ256rr
+    571392831U,	// VPBLENDMBZ256rrk
+    571392831U,	// VPBLENDMBZ256rrkz
+    813073215U,	// VPBLENDMBZrm
+    571884351U,	// VPBLENDMBZrmk
+    571884351U,	// VPBLENDMBZrmkz
+    811647807U,	// VPBLENDMBZrr
+    571392831U,	// VPBLENDMBZrrk
+    571392831U,	// VPBLENDMBZrrkz
+    811894433U,	// VPBLENDMDZ128rm
+    356599457U,	// VPBLENDMDZ128rmb
+    1431799457U,	// VPBLENDMDZ128rmbk
+    571852449U,	// VPBLENDMDZ128rmk
+    571852449U,	// VPBLENDMDZ128rmkz
+    811648673U,	// VPBLENDMDZ128rr
+    571393697U,	// VPBLENDMDZ128rrk
+    571393697U,	// VPBLENDMDZ128rrkz
+    812877473U,	// VPBLENDMDZ256rm
+    360793761U,	// VPBLENDMDZ256rmb
+    1435993761U,	// VPBLENDMDZ256rmbk
+    571868833U,	// VPBLENDMDZ256rmk
+    571868833U,	// VPBLENDMDZ256rmkz
+    811648673U,	// VPBLENDMDZ256rr
+    571393697U,	// VPBLENDMDZ256rrk
+    571393697U,	// VPBLENDMDZ256rrkz
+    813074081U,	// VPBLENDMDZrm
+    362890913U,	// VPBLENDMDZrmb
+    1438090913U,	// VPBLENDMDZrmbk
+    571885217U,	// VPBLENDMDZrmk
+    571885217U,	// VPBLENDMDZrmkz
+    811648673U,	// VPBLENDMDZrr
+    571393697U,	// VPBLENDMDZrrk
+    571393697U,	// VPBLENDMDZrrkz
+    811899081U,	// VPBLENDMQZ128rm
+    352426185U,	// VPBLENDMQZ128rmb
+    1427626185U,	// VPBLENDMQZ128rmbk
+    571857097U,	// VPBLENDMQZ128rmk
+    571857097U,	// VPBLENDMQZ128rmkz
+    811653321U,	// VPBLENDMQZ128rr
+    571398345U,	// VPBLENDMQZ128rrk
+    571398345U,	// VPBLENDMQZ128rrkz
+    812882121U,	// VPBLENDMQZ256rm
+    356620489U,	// VPBLENDMQZ256rmb
+    1431820489U,	// VPBLENDMQZ256rmbk
+    571873481U,	// VPBLENDMQZ256rmk
+    571873481U,	// VPBLENDMQZ256rmkz
+    811653321U,	// VPBLENDMQZ256rr
+    571398345U,	// VPBLENDMQZ256rrk
+    571398345U,	// VPBLENDMQZ256rrkz
+    813078729U,	// VPBLENDMQZrm
+    360814793U,	// VPBLENDMQZrmb
+    1436014793U,	// VPBLENDMQZrmbk
+    571889865U,	// VPBLENDMQZrmk
+    571889865U,	// VPBLENDMQZrmkz
+    811653321U,	// VPBLENDMQZrr
+    571398345U,	// VPBLENDMQZrrk
+    571398345U,	// VPBLENDMQZrrkz
+    811902514U,	// VPBLENDMWZ128rm
+    571860530U,	// VPBLENDMWZ128rmk
+    571860530U,	// VPBLENDMWZ128rmkz
+    811656754U,	// VPBLENDMWZ128rr
+    571401778U,	// VPBLENDMWZ128rrk
+    571401778U,	// VPBLENDMWZ128rrkz
+    812885554U,	// VPBLENDMWZ256rm
+    571876914U,	// VPBLENDMWZ256rmk
+    571876914U,	// VPBLENDMWZ256rmkz
+    811656754U,	// VPBLENDMWZ256rr
+    571401778U,	// VPBLENDMWZ256rrk
+    571401778U,	// VPBLENDMWZ256rrkz
+    813082162U,	// VPBLENDMWZrm
+    571893298U,	// VPBLENDMWZrmk
+    571893298U,	// VPBLENDMWZrmkz
+    811656754U,	// VPBLENDMWZrr
+    571401778U,	// VPBLENDMWZrrk
+    571401778U,	// VPBLENDMWZrrkz
+    114508993U,	// VPBLENDVBYrm
+    302957761U,	// VPBLENDVBYrr
+    343098561U,	// VPBLENDVBrm
+    302957761U,	// VPBLENDVBrr
+    113632499U,	// VPBLENDWYrmi
+    302392563U,	// VPBLENDWYrri
+    342222067U,	// VPBLENDWrmi
+    302392563U,	// VPBLENDWrri
+    476286U,	// VPBROADCASTBYrm
+    551814270U,	// VPBROADCASTBYrr
+    551814270U,	// VPBROADCASTBrZ128r
+    2693710974U,	// VPBROADCASTBrZ128rk
+    2692793470U,	// VPBROADCASTBrZ128rkz
+    551814270U,	// VPBROADCASTBrZ256r
+    2693710974U,	// VPBROADCASTBrZ256rk
+    2692793470U,	// VPBROADCASTBrZ256rkz
+    551814270U,	// VPBROADCASTBrZr
+    2693710974U,	// VPBROADCASTBrZrk
+    2692793470U,	// VPBROADCASTBrZrkz
+    476286U,	// VPBROADCASTBrm
+    551814270U,	// VPBROADCASTBrr
+    551800149U,	// VPBROADCASTDYrm
+    551816533U,	// VPBROADCASTDYrr
+    551636309U,	// VPBROADCASTDZkrm
+    2692795733U,	// VPBROADCASTDZkrr
+    551800149U,	// VPBROADCASTDZrm
+    551816533U,	// VPBROADCASTDZrr
+    551816533U,	// VPBROADCASTDrZ128r
+    2693713237U,	// VPBROADCASTDrZ128rk
+    2692795733U,	// VPBROADCASTDrZ128rkz
+    551816533U,	// VPBROADCASTDrZ256r
+    2693713237U,	// VPBROADCASTDrZ256rk
+    2692795733U,	// VPBROADCASTDrZ256rkz
+    551816533U,	// VPBROADCASTDrZr
+    2693713237U,	// VPBROADCASTDrZrk
+    2692795733U,	// VPBROADCASTDrZrkz
+    551800149U,	// VPBROADCASTDrm
+    551816533U,	// VPBROADCASTDrr
+    551818593U,	// VPBROADCASTMB2QZ128rr
+    551818593U,	// VPBROADCASTMB2QZ256rr
+    551818593U,	// VPBROADCASTMB2QZrr
+    551814509U,	// VPBROADCASTMW2DZ128rr
+    551814509U,	// VPBROADCASTMW2DZ256rr
+    551814509U,	// VPBROADCASTMW2DZrr
+    551836412U,	// VPBROADCASTQYrm
+    551820028U,	// VPBROADCASTQYrr
+    551656188U,	// VPBROADCASTQZkrm
+    2692799228U,	// VPBROADCASTQZkrr
+    551836412U,	// VPBROADCASTQZrm
+    551820028U,	// VPBROADCASTQZrr
+    551820028U,	// VPBROADCASTQrZ128r
+    2693716732U,	// VPBROADCASTQrZ128rk
+    2692799228U,	// VPBROADCASTQrZ128rkz
+    551820028U,	// VPBROADCASTQrZ256r
+    2693716732U,	// VPBROADCASTQrZ256rk
+    2692799228U,	// VPBROADCASTQrZ256rkz
+    551820028U,	// VPBROADCASTQrZr
+    2693716732U,	// VPBROADCASTQrZrk
+    2692799228U,	// VPBROADCASTQrZrkz
+    551836412U,	// VPBROADCASTQrm
+    551820028U,	// VPBROADCASTQrr
+    419947U,	// VPBROADCASTWYrm
+    551823467U,	// VPBROADCASTWYrr
+    551823467U,	// VPBROADCASTWrZ128r
+    2693720171U,	// VPBROADCASTWrZ128rk
+    2692802667U,	// VPBROADCASTWrZ128rkz
+    551823467U,	// VPBROADCASTWrZ256r
+    2693720171U,	// VPBROADCASTWrZ256rk
+    2692802667U,	// VPBROADCASTWrZ256rkz
+    551823467U,	// VPBROADCASTWrZr
+    2693720171U,	// VPBROADCASTWrZrk
+    2692802667U,	// VPBROADCASTWrZrkz
+    419947U,	// VPBROADCASTWrm
+    551823467U,	// VPBROADCASTWrr
+    342218499U,	// VPCLMULQDQrm
+    302388995U,	// VPCLMULQDQrr
+    343106499U,	// VPCMOVmr
+    101934019U,	// VPCMOVmrY
+    303424451U,	// VPCMOVrm
+    303440835U,	// VPCMOVrmY
+    302965699U,	// VPCMOVrr
+    302965699U,	// VPCMOVrrY
+    665498603U,	// VPCMPBZ128rmi
+    342213489U,	// VPCMPBZ128rmi_alt
+    934818795U,	// VPCMPBZ128rmik
+    131613553U,	// VPCMPBZ128rmik_alt
+    1470821355U,	// VPCMPBZ128rri
+    302383985U,	// VPCMPBZ128rri_alt
+    2545464299U,	// VPCMPBZ128rrik
+    1441416049U,	// VPCMPBZ128rrik_alt
+    1202369515U,	// VPCMPBZ256rmi
+    113623921U,	// VPCMPBZ256rmi_alt
+    1471689707U,	// VPCMPBZ256rmik
+    133710705U,	// VPCMPBZ256rmik_alt
+    1470821355U,	// VPCMPBZ256rri
+    302383985U,	// VPCMPBZ256rri_alt
+    2545464299U,	// VPCMPBZ256rrik
+    1441416049U,	// VPCMPBZ256rrik_alt
+    1739240427U,	// VPCMPBZrmi
+    365282161U,	// VPCMPBZrmi_alt
+    2008560619U,	// VPCMPBZrmik
+    1477985137U,	// VPCMPBZrmik_alt
+    1470821355U,	// VPCMPBZrri
+    302383985U,	// VPCMPBZrri_alt
+    2545464299U,	// VPCMPBZrrik
+    1441416049U,	// VPCMPBZrrik_alt
+    673887211U,	// VPCMPDZ128rmi
+    342215139U,	// VPCMPDZ128rmi_alt
+    3895112683U,	// VPCMPDZ128rmib
+    2227554787U,	// VPCMPDZ128rmib_alt
+    2553820139U,	// VPCMPDZ128rmibk
+    2270710243U,	// VPCMPDZ128rmibk_alt
+    943207403U,	// VPCMPDZ128rmik
+    131615203U,	// VPCMPDZ128rmik_alt
+    1479209963U,	// VPCMPDZ128rri
+    302385635U,	// VPCMPDZ128rri_alt
+    2553852907U,	// VPCMPDZ128rrik
+    1441417699U,	// VPCMPDZ128rrik_alt
+    1210758123U,	// VPCMPDZ256rmi
+    113625571U,	// VPCMPDZ256rmi_alt
+    3895112683U,	// VPCMPDZ256rmib
+    2764425699U,	// VPCMPDZ256rmib_alt
+    2553820139U,	// VPCMPDZ256rmibk
+    2807581155U,	// VPCMPDZ256rmibk_alt
+    1480078315U,	// VPCMPDZ256rmik
+    133712355U,	// VPCMPDZ256rmik_alt
+    1479209963U,	// VPCMPDZ256rri
+    302385635U,	// VPCMPDZ256rri_alt
+    2553852907U,	// VPCMPDZ256rrik
+    1441417699U,	// VPCMPDZ256rrik_alt
+    1747629035U,	// VPCMPDZrmi
+    365283811U,	// VPCMPDZrmi_alt
+    3895112683U,	// VPCMPDZrmib
+    3032861155U,	// VPCMPDZrmib_alt
+    2553820139U,	// VPCMPDZrmibk
+    3076016611U,	// VPCMPDZrmibk_alt
+    2016949227U,	// VPCMPDZrmik
+    1477986787U,	// VPCMPDZrmik_alt
+    1479209963U,	// VPCMPDZrri
+    302385635U,	// VPCMPDZrri_alt
+    2553852907U,	// VPCMPDZrrik
+    1441417699U,	// VPCMPDZrrik_alt
+    812876665U,	// VPCMPEQBYrm
+    811647865U,	// VPCMPEQBYrr
+    811893625U,	// VPCMPEQBZ128rm
+    571851641U,	// VPCMPEQBZ128rmk
+    811647865U,	// VPCMPEQBZ128rr
+    571392889U,	// VPCMPEQBZ128rrk
+    812876665U,	// VPCMPEQBZ256rm
+    571868025U,	// VPCMPEQBZ256rmk
+    811647865U,	// VPCMPEQBZ256rr
+    571392889U,	// VPCMPEQBZ256rrk
+    813073273U,	// VPCMPEQBZrm
+    571884409U,	// VPCMPEQBZrmk
+    811647865U,	// VPCMPEQBZrr
+    571392889U,	// VPCMPEQBZrrk
+    811893625U,	// VPCMPEQBrm
+    811647865U,	// VPCMPEQBrr
+    812878567U,	// VPCMPEQDYrm
+    811649767U,	// VPCMPEQDYrr
+    811895527U,	// VPCMPEQDZ128rm
+    356600551U,	// VPCMPEQDZ128rmb
+    1431800551U,	// VPCMPEQDZ128rmbk
+    571853543U,	// VPCMPEQDZ128rmk
+    811649767U,	// VPCMPEQDZ128rr
+    571394791U,	// VPCMPEQDZ128rrk
+    812878567U,	// VPCMPEQDZ256rm
+    360794855U,	// VPCMPEQDZ256rmb
+    1435994855U,	// VPCMPEQDZ256rmbk
+    571869927U,	// VPCMPEQDZ256rmk
+    811649767U,	// VPCMPEQDZ256rr
+    571394791U,	// VPCMPEQDZ256rrk
+    813075175U,	// VPCMPEQDZrm
+    362892007U,	// VPCMPEQDZrmb
+    1438092007U,	// VPCMPEQDZrmbk
+    571886311U,	// VPCMPEQDZrmk
+    811649767U,	// VPCMPEQDZrr
+    571394791U,	// VPCMPEQDZrrk
+    811895527U,	// VPCMPEQDrm
+    811649767U,	// VPCMPEQDrr
+    812882258U,	// VPCMPEQQYrm
+    811653458U,	// VPCMPEQQYrr
+    811899218U,	// VPCMPEQQZ128rm
+    352426322U,	// VPCMPEQQZ128rmb
+    1427626322U,	// VPCMPEQQZ128rmbk
+    571857234U,	// VPCMPEQQZ128rmk
+    811653458U,	// VPCMPEQQZ128rr
+    571398482U,	// VPCMPEQQZ128rrk
+    812882258U,	// VPCMPEQQZ256rm
+    356620626U,	// VPCMPEQQZ256rmb
+    1431820626U,	// VPCMPEQQZ256rmbk
+    571873618U,	// VPCMPEQQZ256rmk
+    811653458U,	// VPCMPEQQZ256rr
+    571398482U,	// VPCMPEQQZ256rrk
+    813078866U,	// VPCMPEQQZrm
+    360814930U,	// VPCMPEQQZrmb
+    1436014930U,	// VPCMPEQQZrmbk
+    571890002U,	// VPCMPEQQZrmk
+    811653458U,	// VPCMPEQQZrr
+    571398482U,	// VPCMPEQQZrrk
+    811899218U,	// VPCMPEQQrm
+    811653458U,	// VPCMPEQQrr
+    812885656U,	// VPCMPEQWYrm
+    811656856U,	// VPCMPEQWYrr
+    811902616U,	// VPCMPEQWZ128rm
+    571860632U,	// VPCMPEQWZ128rmk
+    811656856U,	// VPCMPEQWZ128rr
+    571401880U,	// VPCMPEQWZ128rrk
+    812885656U,	// VPCMPEQWZ256rm
+    571877016U,	// VPCMPEQWZ256rmk
+    811656856U,	// VPCMPEQWZ256rr
+    571401880U,	// VPCMPEQWZ256rrk
+    813082264U,	// VPCMPEQWZrm
+    571893400U,	// VPCMPEQWZrmk
+    811656856U,	// VPCMPEQWZrr
+    571401880U,	// VPCMPEQWZrrk
+    811902616U,	// VPCMPEQWrm
+    811656856U,	// VPCMPEQWrr
     0U,	// VPCMPESTRIMEM
     0U,	// VPCMPESTRIREG
-    25499773U,	// VPCMPESTRIrm
-    811653245U,	// VPCMPESTRIrr
+    25497475U,	// VPCMPESTRIrm
+    811945859U,	// VPCMPESTRIrr
     0U,	// VPCMPESTRM128MEM
     0U,	// VPCMPESTRM128REG
-    25500962U,	// VPCMPESTRM128rm
-    811654434U,	// VPCMPESTRM128rr
-    812601343U,	// VPCMPGTBYrm
-    811651071U,	// VPCMPGTBYrr
-    811896831U,	// VPCMPGTBZ128rm
-    571609087U,	// VPCMPGTBZ128rmk
-    811651071U,	// VPCMPGTBZ128rr
-    570789887U,	// VPCMPGTBZ128rrk
-    812601343U,	// VPCMPGTBZ256rm
-    571625471U,	// VPCMPGTBZ256rmk
-    811651071U,	// VPCMPGTBZ256rr
-    570789887U,	// VPCMPGTBZ256rrk
-    812830719U,	// VPCMPGTBZrm
-    571641855U,	// VPCMPGTBZrmk
-    811651071U,	// VPCMPGTBZrr
-    570789887U,	// VPCMPGTBZrrk
-    811896831U,	// VPCMPGTBrm
-    811651071U,	// VPCMPGTBrr
-    812602951U,	// VPCMPGTDYrm
-    811652679U,	// VPCMPGTDYrr
-    811898439U,	// VPCMPGTDZ128rm
-    396449351U,	// VPCMPGTDZ128rmb
-    1471354439U,	// VPCMPGTDZ128rmbk
-    571610695U,	// VPCMPGTDZ128rmk
-    811652679U,	// VPCMPGTDZ128rr
-    570791495U,	// VPCMPGTDZ128rrk
-    812602951U,	// VPCMPGTDZ256rm
-    352409159U,	// VPCMPGTDZ256rmb
-    1427314247U,	// VPCMPGTDZ256rmbk
-    571627079U,	// VPCMPGTDZ256rmk
-    811652679U,	// VPCMPGTDZ256rr
-    570791495U,	// VPCMPGTDZ256rrk
-    812832327U,	// VPCMPGTDZrm
-    354506311U,	// VPCMPGTDZrmb
-    1429411399U,	// VPCMPGTDZrmbk
-    571643463U,	// VPCMPGTDZrmk
-    811652679U,	// VPCMPGTDZrr
-    570791495U,	// VPCMPGTDZrrk
-    811898439U,	// VPCMPGTDrm
-    811652679U,	// VPCMPGTDrr
-    812606021U,	// VPCMPGTQYrm
-    811655749U,	// VPCMPGTQYrr
-    811901509U,	// VPCMPGTQZ128rm
-    398565957U,	// VPCMPGTQZ128rmb
-    1473487429U,	// VPCMPGTQZ128rmbk
-    571613765U,	// VPCMPGTQZ128rmk
-    811655749U,	// VPCMPGTQZ128rr
-    570794565U,	// VPCMPGTQZ128rrk
-    812606021U,	// VPCMPGTQZ256rm
-    396468805U,	// VPCMPGTQZ256rmb
-    1471390277U,	// VPCMPGTQZ256rmbk
-    571630149U,	// VPCMPGTQZ256rmk
-    811655749U,	// VPCMPGTQZ256rr
-    570794565U,	// VPCMPGTQZ256rrk
-    812835397U,	// VPCMPGTQZrm
-    352428613U,	// VPCMPGTQZrmb
-    1427350085U,	// VPCMPGTQZrmbk
-    571646533U,	// VPCMPGTQZrmk
-    811655749U,	// VPCMPGTQZrr
-    570794565U,	// VPCMPGTQZrrk
-    811901509U,	// VPCMPGTQrm
-    811655749U,	// VPCMPGTQrr
-    812608943U,	// VPCMPGTWYrm
-    811658671U,	// VPCMPGTWYrr
-    811904431U,	// VPCMPGTWZ128rm
-    571616687U,	// VPCMPGTWZ128rmk
-    811658671U,	// VPCMPGTWZ128rr
-    570797487U,	// VPCMPGTWZ128rrk
-    812608943U,	// VPCMPGTWZ256rm
-    571633071U,	// VPCMPGTWZ256rmk
-    811658671U,	// VPCMPGTWZ256rr
-    570797487U,	// VPCMPGTWZ256rrk
-    812838319U,	// VPCMPGTWZrm
-    571649455U,	// VPCMPGTWZrmk
-    811658671U,	// VPCMPGTWZrr
-    570797487U,	// VPCMPGTWZrrk
-    811904431U,	// VPCMPGTWrm
-    811658671U,	// VPCMPGTWrr
+    25498714U,	// VPCMPESTRM128rm
+    811947098U,	// VPCMPESTRM128rr
+    812876901U,	// VPCMPGTBYrm
+    811648101U,	// VPCMPGTBYrr
+    811893861U,	// VPCMPGTBZ128rm
+    571851877U,	// VPCMPGTBZ128rmk
+    811648101U,	// VPCMPGTBZ128rr
+    571393125U,	// VPCMPGTBZ128rrk
+    812876901U,	// VPCMPGTBZ256rm
+    571868261U,	// VPCMPGTBZ256rmk
+    811648101U,	// VPCMPGTBZ256rr
+    571393125U,	// VPCMPGTBZ256rrk
+    813073509U,	// VPCMPGTBZrm
+    571884645U,	// VPCMPGTBZrmk
+    811648101U,	// VPCMPGTBZrr
+    571393125U,	// VPCMPGTBZrrk
+    811893861U,	// VPCMPGTBrm
+    811648101U,	// VPCMPGTBrr
+    812879154U,	// VPCMPGTDYrm
+    811650354U,	// VPCMPGTDYrr
+    811896114U,	// VPCMPGTDZ128rm
+    356601138U,	// VPCMPGTDZ128rmb
+    1431801138U,	// VPCMPGTDZ128rmbk
+    571854130U,	// VPCMPGTDZ128rmk
+    811650354U,	// VPCMPGTDZ128rr
+    571395378U,	// VPCMPGTDZ128rrk
+    812879154U,	// VPCMPGTDZ256rm
+    360795442U,	// VPCMPGTDZ256rmb
+    1435995442U,	// VPCMPGTDZ256rmbk
+    571870514U,	// VPCMPGTDZ256rmk
+    811650354U,	// VPCMPGTDZ256rr
+    571395378U,	// VPCMPGTDZ256rrk
+    813075762U,	// VPCMPGTDZrm
+    362892594U,	// VPCMPGTDZrmb
+    1438092594U,	// VPCMPGTDZrmbk
+    571886898U,	// VPCMPGTDZrmk
+    811650354U,	// VPCMPGTDZrr
+    571395378U,	// VPCMPGTDZrrk
+    811896114U,	// VPCMPGTDrm
+    811650354U,	// VPCMPGTDrr
+    812882615U,	// VPCMPGTQYrm
+    811653815U,	// VPCMPGTQYrr
+    811899575U,	// VPCMPGTQZ128rm
+    352426679U,	// VPCMPGTQZ128rmb
+    1427626679U,	// VPCMPGTQZ128rmbk
+    571857591U,	// VPCMPGTQZ128rmk
+    811653815U,	// VPCMPGTQZ128rr
+    571398839U,	// VPCMPGTQZ128rrk
+    812882615U,	// VPCMPGTQZ256rm
+    356620983U,	// VPCMPGTQZ256rmb
+    1431820983U,	// VPCMPGTQZ256rmbk
+    571873975U,	// VPCMPGTQZ256rmk
+    811653815U,	// VPCMPGTQZ256rr
+    571398839U,	// VPCMPGTQZ256rrk
+    813079223U,	// VPCMPGTQZrm
+    360815287U,	// VPCMPGTQZrmb
+    1436015287U,	// VPCMPGTQZrmbk
+    571890359U,	// VPCMPGTQZrmk
+    811653815U,	// VPCMPGTQZrr
+    571398839U,	// VPCMPGTQZrrk
+    811899575U,	// VPCMPGTQrm
+    811653815U,	// VPCMPGTQrr
+    812886073U,	// VPCMPGTWYrm
+    811657273U,	// VPCMPGTWYrr
+    811903033U,	// VPCMPGTWZ128rm
+    571861049U,	// VPCMPGTWZ128rmk
+    811657273U,	// VPCMPGTWZ128rr
+    571402297U,	// VPCMPGTWZ128rrk
+    812886073U,	// VPCMPGTWZ256rm
+    571877433U,	// VPCMPGTWZ256rmk
+    811657273U,	// VPCMPGTWZ256rr
+    571402297U,	// VPCMPGTWZ256rrk
+    813082681U,	// VPCMPGTWZrm
+    571893817U,	// VPCMPGTWZrmk
+    811657273U,	// VPCMPGTWZrr
+    571402297U,	// VPCMPGTWZrrk
+    811903033U,	// VPCMPGTWrm
+    811657273U,	// VPCMPGTWrr
     0U,	// VPCMPISTRIMEM
     0U,	// VPCMPISTRIREG
-    25499785U,	// VPCMPISTRIrm
-    811653257U,	// VPCMPISTRIrr
+    25497487U,	// VPCMPISTRIrm
+    811945871U,	// VPCMPISTRIrr
     0U,	// VPCMPISTRM128MEM
     0U,	// VPCMPISTRM128REG
-    25500974U,	// VPCMPISTRM128rm
-    811654446U,	// VPCMPISTRM128rr
-    132790629U,	// VPCMPQZrmi
-    356868384U,	// VPCMPQZrmi_alt
-    126968096U,	// VPCMPQZrmik_alt
-    1474984293U,	// VPCMPQZrri
-    302358816U,	// VPCMPQZrri_alt
-    571072800U,	// VPCMPQZrrik_alt
-    134887781U,	// VPCMPUDZrmi
-    356865657U,	// VPCMPUDZrmi_alt
-    126965369U,	// VPCMPUDZrmik_alt
-    1477081445U,	// VPCMPUDZrri
-    302356089U,	// VPCMPUDZrri_alt
-    571070073U,	// VPCMPUDZrrik_alt
-    136984933U,	// VPCMPUQZrmi
-    356868791U,	// VPCMPUQZrmi_alt
-    126968503U,	// VPCMPUQZrmik_alt
-    1479178597U,	// VPCMPUQZrri
-    302359223U,	// VPCMPUQZrri_alt
-    571073207U,	// VPCMPUQZrrik_alt
-    340086565U,	// VPCOMBmi
-    302354213U,	// VPCOMBri
-    340087225U,	// VPCOMDmi
-    302354873U,	// VPCOMDri
-    340091113U,	// VPCOMQmi
-    302358761U,	// VPCOMQri
-    340086828U,	// VPCOMUBmi
-    302354476U,	// VPCOMUBri
-    340088423U,	// VPCOMUDmi
-    302356071U,	// VPCOMUDri
-    340091566U,	// VPCOMUQmi
-    302359214U,	// VPCOMUQri
-    340094463U,	// VPCOMUWmi
-    302362111U,	// VPCOMUWri
-    340093940U,	// VPCOMWmi
-    302361588U,	// VPCOMWri
-    1033472U,	// VPCONFLICTDrm
-    623101184U,	// VPCONFLICTDrmb
-    624100608U,	// VPCONFLICTDrmbk
-    622937344U,	// VPCONFLICTDrmbkz
-    1888650496U,	// VPCONFLICTDrmk
-    1888666880U,	// VPCONFLICTDrmkz
-    551814400U,	// VPCONFLICTDrr
-    1887798528U,	// VPCONFLICTDrrk
-    1887487232U,	// VPCONFLICTDrrkz
-    1034387U,	// VPCONFLICTQrm
-    621037715U,	// VPCONFLICTQrmb
-    622037139U,	// VPCONFLICTQrmbk
-    620857491U,	// VPCONFLICTQrmbkz
-    1888651411U,	// VPCONFLICTQrmk
-    1888667795U,	// VPCONFLICTQrmkz
-    551815315U,	// VPCONFLICTQrr
-    1887799443U,	// VPCONFLICTQrrk
-    1887488147U,	// VPCONFLICTQrrkz
-    92622293U,	// VPERM2F128rm
-    302353877U,	// VPERM2F128rr
-    92622348U,	// VPERM2I128rm
-    302353932U,	// VPERM2I128rr
-    812601793U,	// VPERMDYrm
-    811651521U,	// VPERMDYrr
-    812826981U,	// VPERMDZrm
-    811647333U,	// VPERMDZrr
-    571637920U,	// VPERMI2Drm
-    122896544U,	// VPERMI2Drmk
-    139673760U,	// VPERMI2Drmkz
-    570785952U,	// VPERMI2Drr
-    1888075936U,	// VPERMI2Drrk
-    1888075936U,	// VPERMI2Drrkz
-    571638258U,	// VPERMI2PDrm
-    122896882U,	// VPERMI2PDrmk
-    139674098U,	// VPERMI2PDrmkz
-    570786290U,	// VPERMI2PDrr
-    1888076274U,	// VPERMI2PDrrk
-    1888076274U,	// VPERMI2PDrrkz
-    571640189U,	// VPERMI2PSrm
-    122898813U,	// VPERMI2PSrmk
-    139676029U,	// VPERMI2PSrmkz
-    570788221U,	// VPERMI2PSrr
-    1888078205U,	// VPERMI2PSrrk
-    1888078205U,	// VPERMI2PSrrkz
-    571639393U,	// VPERMI2Qrm
-    122898017U,	// VPERMI2Qrmk
-    139675233U,	// VPERMI2Qrmkz
-    570787425U,	// VPERMI2Qrr
-    1888077409U,	// VPERMI2Qrrk
-    1888077409U,	// VPERMI2Qrrkz
-    1215386262U,	// VPERMIL2PDmr
-    2289128086U,	// VPERMIL2PDmrY
-    143741590U,	// VPERMIL2PDrm
-    145838742U,	// VPERMIL2PDrmY
-    302633622U,	// VPERMIL2PDrr
-    302633622U,	// VPERMIL2PDrrY
-    1215390962U,	// VPERMIL2PSmr
-    2289132786U,	// VPERMIL2PSmrY
-    143746290U,	// VPERMIL2PSrm
-    145843442U,	// VPERMIL2PSrmY
-    302638322U,	// VPERMIL2PSrr
-    302638322U,	// VPERMIL2PSrrY
-    147133408U,	// VPERMILPDYmi
-    811652064U,	// VPERMILPDYri
-    812602336U,	// VPERMILPDYrm
-    811652064U,	// VPERMILPDYrr
-    149226306U,	// VPERMILPDZmi
-    811647810U,	// VPERMILPDZri
-    80024544U,	// VPERMILPDmi
-    811652064U,	// VPERMILPDri
-    811897824U,	// VPERMILPDrm
-    811652064U,	// VPERMILPDrr
-    147138109U,	// VPERMILPSYmi
-    811656765U,	// VPERMILPSYri
-    812607037U,	// VPERMILPSYrm
-    811656765U,	// VPERMILPSYrr
-    149228225U,	// VPERMILPSZmi
-    811649729U,	// VPERMILPSZri
-    80029245U,	// VPERMILPSmi
-    811656765U,	// VPERMILPSri
-    811902525U,	// VPERMILPSrm
-    811656765U,	// VPERMILPSrr
-    151327759U,	// VPERMPDYmi
-    811652111U,	// VPERMPDYri
-    153420643U,	// VPERMPDZmi
-    811647843U,	// VPERMPDZri
-    812532579U,	// VPERMPDZrm
-    811647843U,	// VPERMPDZrr
-    812607093U,	// VPERMPSYrm
-    811656821U,	// VPERMPSYrr
-    812534498U,	// VPERMPSZrm
-    811649762U,	// VPERMPSZrr
-    151331057U,	// VPERMQYmi
-    811655409U,	// VPERMQYri
-    149227494U,	// VPERMQZmi
-    811648998U,	// VPERMQZri
-    812828646U,	// VPERMQZrm
-    811648998U,	// VPERMQZrr
-    571637931U,	// VPERMT2Drm
-    122896555U,	// VPERMT2Drmk
-    139673771U,	// VPERMT2Drmkz
-    570785963U,	// VPERMT2Drr
-    1888075947U,	// VPERMT2Drrk
-    1888075947U,	// VPERMT2Drrkz
-    571638307U,	// VPERMT2PDrm
-    122896931U,	// VPERMT2PDrmk
-    139674147U,	// VPERMT2PDrmkz
-    570786339U,	// VPERMT2PDrr
-    1888076323U,	// VPERMT2PDrrk
-    1888076323U,	// VPERMT2PDrrkz
-    571640226U,	// VPERMT2PSrm
-    122898850U,	// VPERMT2PSrmk
-    139676066U,	// VPERMT2PSrmkz
-    570788258U,	// VPERMT2PSrr
-    1888078242U,	// VPERMT2PSrrk
-    1888078242U,	// VPERMT2PSrrkz
-    571639404U,	// VPERMT2Qrm
-    122898028U,	// VPERMT2Qrmk
-    139675244U,	// VPERMT2Qrmkz
-    570787436U,	// VPERMT2Qrr
-    1888077420U,	// VPERMT2Qrrk
-    1888077420U,	// VPERMT2Qrrkz
-    587534203U,	// VPEXTRBmr
-    811650939U,	// VPEXTRBrr
-    855971015U,	// VPEXTRDmr
-    811652295U,	// VPEXTRDrr
-    1124409773U,	// VPEXTRQmr
-    811655597U,	// VPEXTRQrr
-    1392848035U,	// VPEXTRWmr
-    811658403U,	// VPEXTRWri
-    811658403U,	// VPEXTRWrr_REV
-    110186810U,	// VPGATHERDDYrm
-    552714508U,	// VPGATHERDDZrm
-    110186810U,	// VPGATHERDDrm
-    108093304U,	// VPGATHERDQYrm
-    552699693U,	// VPGATHERDQZrm
-    108093304U,	// VPGATHERDQrm
-    110187698U,	// VPGATHERQDYrm
-    552698862U,	// VPGATHERQDZrm
-    110187698U,	// VPGATHERQDrm
-    108093769U,	// VPGATHERQQYrm
-    552699927U,	// VPGATHERQQZrm
-    108093769U,	// VPGATHERQQrm
-    315612U,	// VPHADDBDrm
-    551817436U,	// VPHADDBDrr
-    319040U,	// VPHADDBQrm
-    551820864U,	// VPHADDBQrr
-    322073U,	// VPHADDBWrm
-    551823897U,	// VPHADDBWrr
-    319228U,	// VPHADDDQrm
-    551821052U,	// VPHADDDQrr
-    812601631U,	// VPHADDDYrm
-    811651359U,	// VPHADDDYrr
-    811897119U,	// VPHADDDrm
-    811651359U,	// VPHADDDrr
-    811904227U,	// VPHADDSWrm128
-    812608739U,	// VPHADDSWrm256
-    811658467U,	// VPHADDSWrr128
-    811658467U,	// VPHADDSWrr256
-    315622U,	// VPHADDUBDrm
-    551817446U,	// VPHADDUBDrr
-    319058U,	// VPHADDUBQrm
-    551820882U,	// VPHADDUBQrr
-    322115U,	// VPHADDUBWrm
-    551823939U,	// VPHADDUBWrr
-    319406U,	// VPHADDUDQrm
-    551821230U,	// VPHADDUDQrr
-    317211U,	// VPHADDUWDrm
-    551819035U,	// VPHADDUWDrr
-    320261U,	// VPHADDUWQrm
-    551822085U,	// VPHADDUWQrr
-    317123U,	// VPHADDWDrm
-    551818947U,	// VPHADDWDrr
-    320236U,	// VPHADDWQrm
-    551822060U,	// VPHADDWQrr
-    812608172U,	// VPHADDWYrm
-    811657900U,	// VPHADDWYrr
-    811903660U,	// VPHADDWrm
-    811657900U,	// VPHADDWrr
-    323089U,	// VPHMINPOSUWrm128
-    551824913U,	// VPHMINPOSUWrr128
-    322044U,	// VPHSUBBWrm
-    551823868U,	// VPHSUBBWrr
-    319203U,	// VPHSUBDQrm
-    551821027U,	// VPHSUBDQrr
-    812601585U,	// VPHSUBDYrm
-    811651313U,	// VPHSUBDYrr
-    811897073U,	// VPHSUBDrm
-    811651313U,	// VPHSUBDrr
-    811904208U,	// VPHSUBSWrm128
-    812608720U,	// VPHSUBSWrm256
-    811658448U,	// VPHSUBSWrr128
-    811658448U,	// VPHSUBSWrr256
-    317113U,	// VPHSUBWDrm
-    551818937U,	// VPHSUBWDrr
-    812608078U,	// VPHSUBWYrm
-    811657806U,	// VPHSUBWYrr
-    811903566U,	// VPHSUBWrm
-    811657806U,	// VPHSUBWrr
-    344280946U,	// VPINSRBrm
-    302354290U,	// VPINSRBrr
-    346379454U,	// VPINSRDrm
-    302355646U,	// VPINSRDrr
-    325411216U,	// VPINSRQrm
-    302358928U,	// VPINSRQrr
-    327511176U,	// VPINSRWrmi
-    302361736U,	// VPINSRWrri
-    1033486U,	// VPLZCNTDrm
-    623101198U,	// VPLZCNTDrmb
-    624100622U,	// VPLZCNTDrmbk
-    622937358U,	// VPLZCNTDrmbkz
-    1888650510U,	// VPLZCNTDrmk
-    1888666894U,	// VPLZCNTDrmkz
-    551814414U,	// VPLZCNTDrr
-    1887798542U,	// VPLZCNTDrrk
-    1887487246U,	// VPLZCNTDrrkz
-    1034401U,	// VPLZCNTQrm
-    621037729U,	// VPLZCNTQrmb
-    622037153U,	// VPLZCNTQrmbk
-    620857505U,	// VPLZCNTQrmbkz
-    1888651425U,	// VPLZCNTQrmk
-    1888667809U,	// VPLZCNTQrmkz
-    551815329U,	// VPLZCNTQrr
-    1887799457U,	// VPLZCNTQrrk
-    1887488161U,	// VPLZCNTQrrkz
-    340087110U,	// VPMACSDDrm
-    302354758U,	// VPMACSDDrr
-    340088845U,	// VPMACSDQHrm
-    302356493U,	// VPMACSDQHrr
-    340089668U,	// VPMACSDQLrm
-    302357316U,	// VPMACSDQLrr
-    340087120U,	// VPMACSSDDrm
-    302354768U,	// VPMACSSDDrr
-    340088856U,	// VPMACSSDQHrm
-    302356504U,	// VPMACSSDQHrr
-    340089679U,	// VPMACSSDQLrm
-    302357327U,	// VPMACSSDQLrr
-    340088580U,	// VPMACSSWDrm
-    302356228U,	// VPMACSSWDrr
-    340094540U,	// VPMACSSWWrm
-    302362188U,	// VPMACSSWWrr
-    340088559U,	// VPMACSWDrm
-    302356207U,	// VPMACSWDrr
-    340094516U,	// VPMACSWWrm
-    302362164U,	// VPMACSWWrr
-    340088591U,	// VPMADCSSWDrm
-    302356239U,	// VPMADCSSWDrr
-    340088569U,	// VPMADCSWDrm
-    302356217U,	// VPMADCSWDrr
-    811904196U,	// VPMADDUBSWrm128
-    812608708U,	// VPMADDUBSWrm256
-    811658436U,	// VPMADDUBSWrr128
-    811658436U,	// VPMADDUBSWrr256
-    812603085U,	// VPMADDWDYrm
-    811652813U,	// VPMADDWDYrr
-    811898573U,	// VPMADDWDrm
-    811652813U,	// VPMADDWDrr
-    3808761510U,	// VPMASKMOVDYmr
-    812603046U,	// VPMASKMOVDYrm
-    3540326054U,	// VPMASKMOVDmr
-    811898534U,	// VPMASKMOVDrm
-    3808764633U,	// VPMASKMOVQYmr
-    812606169U,	// VPMASKMOVQYrm
-    3540329177U,	// VPMASKMOVQmr
-    811901657U,	// VPMASKMOVQrm
-    812601328U,	// VPMAXSBYrm
-    811651056U,	// VPMAXSBYrr
-    811896816U,	// VPMAXSBrm
-    811651056U,	// VPMAXSBrr
-    812602925U,	// VPMAXSDYrm
-    811652653U,	// VPMAXSDYrr
-    812827894U,	// VPMAXSDZrm
-    354501878U,	// VPMAXSDZrmb
-    4113679606U,	// VPMAXSDZrmbk
-    1429406966U,	// VPMAXSDZrmbkz
-    122897654U,	// VPMAXSDZrmk
-    571639030U,	// VPMAXSDZrmkz
-    811648246U,	// VPMAXSDZrr
-    1888077046U,	// VPMAXSDZrrk
-    570787062U,	// VPMAXSDZrrkz
-    811898413U,	// VPMAXSDrm
-    811652653U,	// VPMAXSDrr
-    812828809U,	// VPMAXSQZrm
-    352422025U,	// VPMAXSQZrmb
-    4111566985U,	// VPMAXSQZrmbk
-    1427343497U,	// VPMAXSQZrmbkz
-    122898569U,	// VPMAXSQZrmk
-    571639945U,	// VPMAXSQZrmkz
-    811649161U,	// VPMAXSQZrr
-    1888077961U,	// VPMAXSQZrrk
-    570787977U,	// VPMAXSQZrrkz
-    812608880U,	// VPMAXSWYrm
-    811658608U,	// VPMAXSWYrr
-    811904368U,	// VPMAXSWrm
-    811658608U,	// VPMAXSWrr
-    812601413U,	// VPMAXUBYrm
-    811651141U,	// VPMAXUBYrr
-    811896901U,	// VPMAXUBrm
-    811651141U,	// VPMAXUBrr
-    812603010U,	// VPMAXUDYrm
-    811652738U,	// VPMAXUDYrr
-    812827962U,	// VPMAXUDZrm
-    354501946U,	// VPMAXUDZrmb
-    4113679674U,	// VPMAXUDZrmbk
-    1429407034U,	// VPMAXUDZrmbkz
-    122897722U,	// VPMAXUDZrmk
-    571639098U,	// VPMAXUDZrmkz
-    811648314U,	// VPMAXUDZrr
-    1888077114U,	// VPMAXUDZrrk
-    570787130U,	// VPMAXUDZrrkz
-    811898498U,	// VPMAXUDrm
-    811652738U,	// VPMAXUDrr
-    812828877U,	// VPMAXUQZrm
-    352422093U,	// VPMAXUQZrmb
-    4111567053U,	// VPMAXUQZrmbk
-    1427343565U,	// VPMAXUQZrmbkz
-    122898637U,	// VPMAXUQZrmk
-    571640013U,	// VPMAXUQZrmkz
-    811649229U,	// VPMAXUQZrr
-    1888078029U,	// VPMAXUQZrrk
-    570788045U,	// VPMAXUQZrrkz
-    812609054U,	// VPMAXUWYrm
-    811658782U,	// VPMAXUWYrr
-    811904542U,	// VPMAXUWrm
-    811658782U,	// VPMAXUWrr
-    812601269U,	// VPMINSBYrm
-    811650997U,	// VPMINSBYrr
-    811896757U,	// VPMINSBrm
-    811650997U,	// VPMINSBrr
-    812602852U,	// VPMINSDYrm
-    811652580U,	// VPMINSDYrr
-    812827860U,	// VPMINSDZrm
-    354501844U,	// VPMINSDZrmb
-    4113679572U,	// VPMINSDZrmbk
-    1429406932U,	// VPMINSDZrmbkz
-    122897620U,	// VPMINSDZrmk
-    571638996U,	// VPMINSDZrmkz
-    811648212U,	// VPMINSDZrr
-    1888077012U,	// VPMINSDZrrk
-    570787028U,	// VPMINSDZrrkz
-    811898340U,	// VPMINSDrm
-    811652580U,	// VPMINSDrr
-    812828772U,	// VPMINSQZrm
-    352421988U,	// VPMINSQZrmb
-    4111566948U,	// VPMINSQZrmbk
-    1427343460U,	// VPMINSQZrmbkz
-    122898532U,	// VPMINSQZrmk
-    571639908U,	// VPMINSQZrmkz
-    811649124U,	// VPMINSQZrr
-    1888077924U,	// VPMINSQZrrk
-    570787940U,	// VPMINSQZrrkz
-    812608789U,	// VPMINSWYrm
-    811658517U,	// VPMINSWYrr
-    811904277U,	// VPMINSWrm
-    811658517U,	// VPMINSWrr
-    812601397U,	// VPMINUBYrm
-    811651125U,	// VPMINUBYrr
-    811896885U,	// VPMINUBrm
-    811651125U,	// VPMINUBrr
-    812602992U,	// VPMINUDYrm
-    811652720U,	// VPMINUDYrr
-    812827952U,	// VPMINUDZrm
-    354501936U,	// VPMINUDZrmb
-    4113679664U,	// VPMINUDZrmbk
-    1429407024U,	// VPMINUDZrmbkz
-    122897712U,	// VPMINUDZrmk
-    571639088U,	// VPMINUDZrmkz
-    811648304U,	// VPMINUDZrr
-    1888077104U,	// VPMINUDZrrk
-    570787120U,	// VPMINUDZrrkz
-    811898480U,	// VPMINUDrm
-    811652720U,	// VPMINUDrr
-    812828867U,	// VPMINUQZrm
-    352422083U,	// VPMINUQZrmb
-    4111567043U,	// VPMINUQZrmbk
-    1427343555U,	// VPMINUQZrmbkz
-    122898627U,	// VPMINUQZrmk
-    571640003U,	// VPMINUQZrmkz
-    811649219U,	// VPMINUQZrr
-    1888078019U,	// VPMINUQZrrk
-    570788035U,	// VPMINUQZrrkz
-    812609032U,	// VPMINUWYrm
-    811658760U,	// VPMINUWYrr
-    811904520U,	// VPMINUWrm
-    811658760U,	// VPMINUWrr
-    65044548U,	// VPMOVDBmr
-    1944387652U,	// VPMOVDBmrk
-    551813188U,	// VPMOVDBrr
-    1887486020U,	// VPMOVDBrrk
-    1887486020U,	// VPMOVDBrrkz
-    117476391U,	// VPMOVDWmr
-    1996819495U,	// VPMOVDWmrk
-    551816231U,	// VPMOVDWrr
-    1887489063U,	// VPMOVDWrrk
-    1887489063U,	// VPMOVDWrrkz
-    551816953U,	// VPMOVMSKBYrr
-    551816953U,	// VPMOVMSKBrr
-    65044590U,	// VPMOVQBmr
-    1944387694U,	// VPMOVQBmrk
-    551813230U,	// VPMOVQBrr
-    1887486062U,	// VPMOVQBrrk
-    1887486062U,	// VPMOVQBrrkz
-    117474336U,	// VPMOVQDmr
-    1996817440U,	// VPMOVQDmrk
-    551814176U,	// VPMOVQDrr
-    1887487008U,	// VPMOVQDrrk
-    1887487008U,	// VPMOVQDrrkz
-    65047644U,	// VPMOVQWmr
-    1944390748U,	// VPMOVQWmrk
-    551816284U,	// VPMOVQWrr
-    1887489116U,	// VPMOVQWrrk
-    1887489116U,	// VPMOVQWrrkz
-    65044537U,	// VPMOVSDBmr
-    1944387641U,	// VPMOVSDBmrk
-    551813177U,	// VPMOVSDBrr
-    1887486009U,	// VPMOVSDBrrk
-    1887486009U,	// VPMOVSDBrrkz
-    117476380U,	// VPMOVSDWmr
-    1996819484U,	// VPMOVSDWmrk
-    551816220U,	// VPMOVSDWrr
-    1887489052U,	// VPMOVSDWrrk
-    1887489052U,	// VPMOVSDWrrkz
-    65044579U,	// VPMOVSQBmr
-    1944387683U,	// VPMOVSQBmrk
-    551813219U,	// VPMOVSQBrr
-    1887486051U,	// VPMOVSQBrrk
-    1887486051U,	// VPMOVSQBrrkz
-    117474325U,	// VPMOVSQDmr
-    1996817429U,	// VPMOVSQDmrk
-    551814165U,	// VPMOVSQDrr
-    1887486997U,	// VPMOVSQDrrk
-    1887486997U,	// VPMOVSQDrrkz
-    65047633U,	// VPMOVSQWmr
-    1944390737U,	// VPMOVSQWmrk
-    551816273U,	// VPMOVSQWrr
-    1887489105U,	// VPMOVSQWrrk
-    1887489105U,	// VPMOVSQWrrkz
-    551801090U,	// VPMOVSXBDYrm
-    551817474U,	// VPMOVSXBDYrr
-    311514U,	// VPMOVSXBDZrm
-    1887731930U,	// VPMOVSXBDZrmk
-    1887731930U,	// VPMOVSXBDZrmkz
-    551813338U,	// VPMOVSXBDZrr
-    1887486170U,	// VPMOVSXBDZrrk
-    1887486170U,	// VPMOVSXBDZrrkz
-    551801090U,	// VPMOVSXBDrm
-    551817474U,	// VPMOVSXBDrr
-    384621U,	// VPMOVSXBQYrm
-    551820909U,	// VPMOVSXBQYrr
-    312969U,	// VPMOVSXBQZrm
-    1887733385U,	// VPMOVSXBQZrmk
-    1887733385U,	// VPMOVSXBQZrmkz
-    551814793U,	// VPMOVSXBQZrr
-    1887487625U,	// VPMOVSXBQZrrk
-    1887487625U,	// VPMOVSXBQZrrkz
-    384621U,	// VPMOVSXBQrm
-    551820909U,	// VPMOVSXBQrr
-    322151U,	// VPMOVSXBWYrm
-    551823975U,	// VPMOVSXBWYrr
-    551840359U,	// VPMOVSXBWrm
-    551823975U,	// VPMOVSXBWrr
-    319427U,	// VPMOVSXDQYrm
-    551821251U,	// VPMOVSXDQYrr
-    1017764U,	// VPMOVSXDQZrm
-    1888438180U,	// VPMOVSXDQZrmk
-    1888438180U,	// VPMOVSXDQZrmkz
-    551815076U,	// VPMOVSXDQZrr
-    1887487908U,	// VPMOVSXDQZrrk
-    1887487908U,	// VPMOVSXDQZrrkz
-    551837635U,	// VPMOVSXDQrm
-    551821251U,	// VPMOVSXDQrr
-    317222U,	// VPMOVSXWDYrm
-    551819046U,	// VPMOVSXWDYrr
-    1017194U,	// VPMOVSXWDZrm
-    1888437610U,	// VPMOVSXWDZrmk
-    1888437610U,	// VPMOVSXWDZrmkz
-    551814506U,	// VPMOVSXWDZrr
-    1887487338U,	// VPMOVSXWDZrrk
-    1887487338U,	// VPMOVSXWDZrrkz
-    551835430U,	// VPMOVSXWDrm
-    551819046U,	// VPMOVSXWDrr
-    551805712U,	// VPMOVSXWQYrm
-    551822096U,	// VPMOVSXWQYrr
-    313597U,	// VPMOVSXWQZrm
-    1887734013U,	// VPMOVSXWQZrmk
-    1887734013U,	// VPMOVSXWQZrmkz
-    551815421U,	// VPMOVSXWQZrr
-    1887488253U,	// VPMOVSXWQZrrk
-    1887488253U,	// VPMOVSXWQZrrkz
-    551805712U,	// VPMOVSXWQrm
-    551822096U,	// VPMOVSXWQrr
-    65044525U,	// VPMOVUSDBmr
-    1944387629U,	// VPMOVUSDBmrk
-    551813165U,	// VPMOVUSDBrr
-    1887485997U,	// VPMOVUSDBrrk
-    1887485997U,	// VPMOVUSDBrrkz
-    117476368U,	// VPMOVUSDWmr
-    1996819472U,	// VPMOVUSDWmrk
-    551816208U,	// VPMOVUSDWrr
-    1887489040U,	// VPMOVUSDWrrk
-    1887489040U,	// VPMOVUSDWrrkz
-    65044567U,	// VPMOVUSQBmr
-    1944387671U,	// VPMOVUSQBmrk
-    551813207U,	// VPMOVUSQBrr
-    1887486039U,	// VPMOVUSQBrrk
-    1887486039U,	// VPMOVUSQBrrkz
-    117474313U,	// VPMOVUSQDmr
-    1996817417U,	// VPMOVUSQDmrk
-    551814153U,	// VPMOVUSQDrr
-    1887486985U,	// VPMOVUSQDrrk
-    1887486985U,	// VPMOVUSQDrrkz
-    65047621U,	// VPMOVUSQWmr
-    1944390725U,	// VPMOVUSQWmrk
-    551816261U,	// VPMOVUSQWrr
-    1887489093U,	// VPMOVUSQWrrk
-    1887489093U,	// VPMOVUSQWrrkz
-    551801101U,	// VPMOVZXBDYrm
-    551817485U,	// VPMOVZXBDYrr
-    311526U,	// VPMOVZXBDZrm
-    1887731942U,	// VPMOVZXBDZrmk
-    1887731942U,	// VPMOVZXBDZrmkz
-    551813350U,	// VPMOVZXBDZrr
-    1887486182U,	// VPMOVZXBDZrrk
-    1887486182U,	// VPMOVZXBDZrrkz
-    551801101U,	// VPMOVZXBDrm
-    551817485U,	// VPMOVZXBDrr
-    384632U,	// VPMOVZXBQYrm
-    551820920U,	// VPMOVZXBQYrr
-    312981U,	// VPMOVZXBQZrm
-    1887733397U,	// VPMOVZXBQZrmk
-    1887733397U,	// VPMOVZXBQZrmkz
-    551814805U,	// VPMOVZXBQZrr
-    1887487637U,	// VPMOVZXBQZrrk
-    1887487637U,	// VPMOVZXBQZrrkz
-    384632U,	// VPMOVZXBQrm
-    551820920U,	// VPMOVZXBQrr
-    322162U,	// VPMOVZXBWYrm
-    551823986U,	// VPMOVZXBWYrr
-    551840370U,	// VPMOVZXBWrm
-    551823986U,	// VPMOVZXBWrr
-    319438U,	// VPMOVZXDQYrm
-    551821262U,	// VPMOVZXDQYrr
-    1017776U,	// VPMOVZXDQZrm
-    1888438192U,	// VPMOVZXDQZrmk
-    1888438192U,	// VPMOVZXDQZrmkz
-    551815088U,	// VPMOVZXDQZrr
-    1887487920U,	// VPMOVZXDQZrrk
-    1887487920U,	// VPMOVZXDQZrrkz
-    551837646U,	// VPMOVZXDQrm
-    551821262U,	// VPMOVZXDQrr
-    317233U,	// VPMOVZXWDYrm
-    551819057U,	// VPMOVZXWDYrr
-    1017206U,	// VPMOVZXWDZrm
-    1888437622U,	// VPMOVZXWDZrmk
-    1888437622U,	// VPMOVZXWDZrmkz
-    551814518U,	// VPMOVZXWDZrr
-    1887487350U,	// VPMOVZXWDZrrk
-    1887487350U,	// VPMOVZXWDZrrkz
-    551835441U,	// VPMOVZXWDrm
-    551819057U,	// VPMOVZXWDrr
-    551805723U,	// VPMOVZXWQYrm
-    551822107U,	// VPMOVZXWQYrr
-    313609U,	// VPMOVZXWQZrm
-    1887734025U,	// VPMOVZXWQZrmk
-    1887734025U,	// VPMOVZXWQZrmkz
-    551815433U,	// VPMOVZXWQZrr
-    1887488265U,	// VPMOVZXWQZrrk
-    1887488265U,	// VPMOVZXWQZrrkz
-    551805723U,	// VPMOVZXWQrm
-    551822107U,	// VPMOVZXWQrr
-    812605248U,	// VPMULDQYrm
-    811654976U,	// VPMULDQYrr
-    812828406U,	// VPMULDQZrm
-    352421622U,	// VPMULDQZrmb
-    1427343094U,	// VPMULDQZrmbk
-    1427343094U,	// VPMULDQZrmbkz
-    571639542U,	// VPMULDQZrmk
-    571639542U,	// VPMULDQZrmkz
-    811648758U,	// VPMULDQZrr
-    570787574U,	// VPMULDQZrrk
-    570787574U,	// VPMULDQZrrkz
-    811900736U,	// VPMULDQrm
-    811654976U,	// VPMULDQrr
-    811904302U,	// VPMULHRSWrm128
-    812608814U,	// VPMULHRSWrm256
-    811658542U,	// VPMULHRSWrr128
-    811658542U,	// VPMULHRSWrr256
-    812609013U,	// VPMULHUWYrm
-    811658741U,	// VPMULHUWYrr
-    811904501U,	// VPMULHUWrm
-    811658741U,	// VPMULHUWrr
-    812608387U,	// VPMULHWYrm
-    811658115U,	// VPMULHWYrr
-    811903875U,	// VPMULHWrm
-    811658115U,	// VPMULHWrr
-    812601759U,	// VPMULLDYrm
-    811651487U,	// VPMULLDYrr
-    812826938U,	// VPMULLDZrm
-    354500922U,	// VPMULLDZrmb
-    4113678650U,	// VPMULLDZrmbk
-    1429406010U,	// VPMULLDZrmbkz
-    122896698U,	// VPMULLDZrmk
-    571638074U,	// VPMULLDZrmkz
-    811647290U,	// VPMULLDZrr
-    1888076090U,	// VPMULLDZrrk
-    570786106U,	// VPMULLDZrrkz
-    811897247U,	// VPMULLDrm
-    811651487U,	// VPMULLDrr
-    812608456U,	// VPMULLWYrm
-    811658184U,	// VPMULLWYrr
-    811903944U,	// VPMULLWrm
-    811658184U,	// VPMULLWrr
-    812605369U,	// VPMULUDQYrm
-    811655097U,	// VPMULUDQYrr
-    812828569U,	// VPMULUDQZrm
-    352421785U,	// VPMULUDQZrmb
-    1427343257U,	// VPMULUDQZrmbk
-    1427343257U,	// VPMULUDQZrmbkz
-    571639705U,	// VPMULUDQZrmk
-    571639705U,	// VPMULUDQZrmkz
-    811648921U,	// VPMULUDQZrr
-    570787737U,	// VPMULUDQZrrk
-    570787737U,	// VPMULUDQZrrkz
-    811900857U,	// VPMULUDQrm
-    811655097U,	// VPMULUDQrr
-    812827706U,	// VPORDZrm
-    354501690U,	// VPORDZrmb
-    4113679418U,	// VPORDZrmbk
-    1429406778U,	// VPORDZrmbkz
-    122897466U,	// VPORDZrmk
-    571638842U,	// VPORDZrmkz
-    811648058U,	// VPORDZrr
-    1888076858U,	// VPORDZrrk
-    570786874U,	// VPORDZrrkz
-    812828738U,	// VPORQZrm
-    352421954U,	// VPORQZrmb
-    4111566914U,	// VPORQZrmbk
-    1427343426U,	// VPORQZrmbkz
-    122898498U,	// VPORQZrmk
-    571639874U,	// VPORQZrmkz
-    811649090U,	// VPORQZrr
-    1888077890U,	// VPORQZrrk
-    570787906U,	// VPORQZrrkz
-    812606337U,	// VPORYrm
-    811656065U,	// VPORYrr
-    811901825U,	// VPORrm
-    811656065U,	// VPORrr
-    340090138U,	// VPPERMmr
-    303176986U,	// VPPERMrm
-    302357786U,	// VPPERMrr
-    25497615U,	// VPROTBmi
-    25497615U,	// VPROTBmr
-    811651087U,	// VPROTBri
-    811896847U,	// VPROTBrm
-    811651087U,	// VPROTBrr
-    25499217U,	// VPROTDmi
-    25499217U,	// VPROTDmr
-    811652689U,	// VPROTDri
-    811898449U,	// VPROTDrm
-    811652689U,	// VPROTDrr
-    25502326U,	// VPROTQmi
-    25502326U,	// VPROTQmr
-    811655798U,	// VPROTQri
-    811901558U,	// VPROTQrm
-    811655798U,	// VPROTQrr
-    25505240U,	// VPROTWmi
-    25505240U,	// VPROTWmr
-    811658712U,	// VPROTWri
-    811904472U,	// VPROTWrm
-    811658712U,	// VPROTWrr
-    812608016U,	// VPSADBWYrm
-    811657744U,	// VPSADBWYrr
-    811903504U,	// VPSADBWrm
-    811657744U,	// VPSADBWrr
-    1906655513U,	// VPSCATTERDDZmr
-    1908754234U,	// VPSCATTERDQZmr
-    1908753403U,	// VPSCATTERQDZmr
-    1908754468U,	// VPSCATTERQQZmr
-    25497239U,	// VPSHABmr
-    811896471U,	// VPSHABrm
-    811650711U,	// VPSHABrr
-    25497804U,	// VPSHADmr
-    811897036U,	// VPSHADrm
-    811651276U,	// VPSHADrr
-    25501226U,	// VPSHAQmr
-    811900458U,	// VPSHAQrm
-    811654698U,	// VPSHAQrr
-    25504222U,	// VPSHAWmr
-    811903454U,	// VPSHAWrm
-    811657694U,	// VPSHAWrr
-    25497360U,	// VPSHLBmr
-    811896592U,	// VPSHLBrm
-    811650832U,	// VPSHLBrr
-    25497999U,	// VPSHLDmr
-    811897231U,	// VPSHLDrm
-    811651471U,	// VPSHLDrr
-    25501863U,	// VPSHLQmr
-    811901095U,	// VPSHLQrm
-    811655335U,	// VPSHLQrr
-    25504688U,	// VPSHLWmr
-    811903920U,	// VPSHLWrm
-    811658160U,	// VPSHLWrr
-    812601044U,	// VPSHUFBYrm
-    811650772U,	// VPSHUFBYrr
-    811896532U,	// VPSHUFBrm
-    811650772U,	// VPSHUFBrr
-    151327074U,	// VPSHUFDYmi
-    811651426U,	// VPSHUFDYri
-    149225767U,	// VPSHUFDZmi
-    811647271U,	// VPSHUFDZri
-    25497954U,	// VPSHUFDmi
-    811651426U,	// VPSHUFDri
-    151333753U,	// VPSHUFHWYmi
-    811658105U,	// VPSHUFHWYri
-    25504633U,	// VPSHUFHWmi
-    811658105U,	// VPSHUFHWri
-    151333798U,	// VPSHUFLWYmi
-    811658150U,	// VPSHUFLWYri
-    25504678U,	// VPSHUFLWmi
-    811658150U,	// VPSHUFLWri
-    812601133U,	// VPSIGNBYrm
-    811650861U,	// VPSIGNBYrr
-    811896621U,	// VPSIGNBrm
-    811650861U,	// VPSIGNBrr
-    812601808U,	// VPSIGNDYrm
-    811651536U,	// VPSIGNDYrr
-    811897296U,	// VPSIGNDrm
-    811651536U,	// VPSIGNDrr
-    812608508U,	// VPSIGNWYrm
-    811658236U,	// VPSIGNWYrr
-    811903996U,	// VPSIGNWrm
-    811658236U,	// VPSIGNWrr
-    811654958U,	// VPSLLDQYri
-    811654958U,	// VPSLLDQri
-    811651479U,	// VPSLLDYri
-    811897239U,	// VPSLLDYrm
-    811651479U,	// VPSLLDYrr
-    149225777U,	// VPSLLDZmi
-    625295665U,	// VPSLLDZmik
-    811647281U,	// VPSLLDZri
-    570786097U,	// VPSLLDZrik
-    811893041U,	// VPSLLDZrm
-    571605297U,	// VPSLLDZrmk
-    811647281U,	// VPSLLDZrr
-    570786097U,	// VPSLLDZrrk
-    811651479U,	// VPSLLDri
-    811897239U,	// VPSLLDrm
-    811651479U,	// VPSLLDrr
-    811655350U,	// VPSLLQYri
-    811901110U,	// VPSLLQYrm
-    811655350U,	// VPSLLQYrr
-    149227452U,	// VPSLLQZmi
-    625297340U,	// VPSLLQZmik
-    811648956U,	// VPSLLQZri
-    570787772U,	// VPSLLQZrik
-    811894716U,	// VPSLLQZrm
-    571606972U,	// VPSLLQZrmk
-    811648956U,	// VPSLLQZrr
-    570787772U,	// VPSLLQZrrk
-    811655350U,	// VPSLLQri
-    811901110U,	// VPSLLQrm
-    811655350U,	// VPSLLQrr
-    812603028U,	// VPSLLVDYrm
-    811652756U,	// VPSLLVDYrr
-    812827982U,	// VPSLLVDZrm
-    811648334U,	// VPSLLVDZrr
-    811898516U,	// VPSLLVDrm
-    811652756U,	// VPSLLVDrr
-    812606151U,	// VPSLLVQYrm
-    811655879U,	// VPSLLVQYrr
-    812828897U,	// VPSLLVQZrm
-    811649249U,	// VPSLLVQZrr
-    811901639U,	// VPSLLVQrm
-    811655879U,	// VPSLLVQrr
-    811658176U,	// VPSLLWYri
-    811903936U,	// VPSLLWYrm
-    811658176U,	// VPSLLWYrr
-    811658176U,	// VPSLLWri
-    811903936U,	// VPSLLWrm
-    811658176U,	// VPSLLWrr
-    811651284U,	// VPSRADYri
-    811897044U,	// VPSRADYrm
-    811651284U,	// VPSRADYrr
-    149225672U,	// VPSRADZmi
-    625295560U,	// VPSRADZmik
-    811647176U,	// VPSRADZri
-    570785992U,	// VPSRADZrik
-    811892936U,	// VPSRADZrm
-    571605192U,	// VPSRADZrmk
-    811647176U,	// VPSRADZrr
-    570785992U,	// VPSRADZrrk
-    811651284U,	// VPSRADri
-    811897044U,	// VPSRADrm
-    811651284U,	// VPSRADrr
-    149227127U,	// VPSRAQZmi
-    625297015U,	// VPSRAQZmik
-    811648631U,	// VPSRAQZri
-    570787447U,	// VPSRAQZrik
-    811894391U,	// VPSRAQZrm
-    571606647U,	// VPSRAQZrmk
-    811648631U,	// VPSRAQZrr
-    570787447U,	// VPSRAQZrrk
-    812603019U,	// VPSRAVDYrm
-    811652747U,	// VPSRAVDYrr
-    812827972U,	// VPSRAVDZrm
-    811648324U,	// VPSRAVDZrr
-    811898507U,	// VPSRAVDrm
-    811652747U,	// VPSRAVDrr
-    812828887U,	// VPSRAVQZrm
-    811649239U,	// VPSRAVQZrr
-    811657702U,	// VPSRAWYri
-    811903462U,	// VPSRAWYrm
-    811657702U,	// VPSRAWYrr
-    811657702U,	// VPSRAWri
-    811903462U,	// VPSRAWrm
-    811657702U,	// VPSRAWrr
-    811654967U,	// VPSRLDQYri
-    811654967U,	// VPSRLDQri
-    811651496U,	// VPSRLDYri
-    811897256U,	// VPSRLDYrm
-    811651496U,	// VPSRLDYrr
-    149225796U,	// VPSRLDZmi
-    625295684U,	// VPSRLDZmik
-    811647300U,	// VPSRLDZri
-    570786116U,	// VPSRLDZrik
-    811893060U,	// VPSRLDZrm
-    571605316U,	// VPSRLDZrmk
-    811647300U,	// VPSRLDZrr
-    570786116U,	// VPSRLDZrrk
-    811651496U,	// VPSRLDri
-    811897256U,	// VPSRLDrm
-    811651496U,	// VPSRLDrr
-    811655364U,	// VPSRLQYri
-    811901124U,	// VPSRLQYrm
-    811655364U,	// VPSRLQYrr
-    149227461U,	// VPSRLQZmi
-    625297349U,	// VPSRLQZmik
-    811648965U,	// VPSRLQZri
-    570787781U,	// VPSRLQZrik
-    811894725U,	// VPSRLQZrm
-    571606981U,	// VPSRLQZrmk
-    811648965U,	// VPSRLQZrr
-    570787781U,	// VPSRLQZrrk
-    811655364U,	// VPSRLQri
-    811901124U,	// VPSRLQrm
-    811655364U,	// VPSRLQrr
-    812603037U,	// VPSRLVDYrm
-    811652765U,	// VPSRLVDYrr
-    812827992U,	// VPSRLVDZrm
-    811648344U,	// VPSRLVDZrr
-    811898525U,	// VPSRLVDrm
-    811652765U,	// VPSRLVDrr
-    812606160U,	// VPSRLVQYrm
-    811655888U,	// VPSRLVQYrr
-    812828907U,	// VPSRLVQZrm
-    811649259U,	// VPSRLVQZrr
-    811901648U,	// VPSRLVQrm
-    811655888U,	// VPSRLVQrr
-    811658199U,	// VPSRLWYri
-    811903959U,	// VPSRLWYrm
-    811658199U,	// VPSRLWYrr
-    811658199U,	// VPSRLWri
-    811903959U,	// VPSRLWrm
-    811658199U,	// VPSRLWrr
-    812600997U,	// VPSUBBYrm
-    811650725U,	// VPSUBBYrr
-    811896485U,	// VPSUBBrm
-    811650725U,	// VPSUBBrr
-    812601594U,	// VPSUBDYrm
-    811651322U,	// VPSUBDYrr
-    812826833U,	// VPSUBDZrm
-    354500817U,	// VPSUBDZrmb
-    4113678545U,	// VPSUBDZrmbk
-    1429405905U,	// VPSUBDZrmbkz
-    122896593U,	// VPSUBDZrmk
-    571637969U,	// VPSUBDZrmkz
-    811647185U,	// VPSUBDZrr
-    1888075985U,	// VPSUBDZrrk
-    570786001U,	// VPSUBDZrrkz
-    811897082U,	// VPSUBDrm
-    811651322U,	// VPSUBDrr
-    812605021U,	// VPSUBQYrm
-    811654749U,	// VPSUBQYrr
-    812828288U,	// VPSUBQZrm
-    352421504U,	// VPSUBQZrmb
-    4111566464U,	// VPSUBQZrmbk
-    1427342976U,	// VPSUBQZrmbkz
-    122898048U,	// VPSUBQZrmk
-    571639424U,	// VPSUBQZrmkz
-    811648640U,	// VPSUBQZrr
-    1888077440U,	// VPSUBQZrrk
-    570787456U,	// VPSUBQZrrkz
-    811900509U,	// VPSUBQrm
-    811654749U,	// VPSUBQrr
-    812601244U,	// VPSUBSBYrm
-    811650972U,	// VPSUBSBYrr
-    811896732U,	// VPSUBSBrm
-    811650972U,	// VPSUBSBrr
-    812608730U,	// VPSUBSWYrm
-    811658458U,	// VPSUBSWYrr
-    811904218U,	// VPSUBSWrm
-    811658458U,	// VPSUBSWrr
-    812601292U,	// VPSUBUSBYrm
-    811651020U,	// VPSUBUSBYrr
-    811896780U,	// VPSUBUSBrm
-    811651020U,	// VPSUBUSBrr
-    812608852U,	// VPSUBUSWYrm
-    811658580U,	// VPSUBUSWYrr
-    811904340U,	// VPSUBUSWrm
-    811658580U,	// VPSUBUSWrr
-    812608087U,	// VPSUBWYrm
-    811657815U,	// VPSUBWYrr
-    811903575U,	// VPSUBWrm
-    811657815U,	// VPSUBWrr
-    812532078U,	// VPTESTMDZrm
-    811647342U,	// VPTESTMDZrr
-    812533743U,	// VPTESTMQZrm
-    811649007U,	// VPTESTMQZrr
-    812532057U,	// VPTESTNMDZrm
-    811647321U,	// VPTESTNMDZrr
-    812533722U,	// VPTESTNMQZrm
-    811648986U,	// VPTESTNMQZrr
-    1026394U,	// VPTESTYrm
-    551823706U,	// VPTESTYrr
-    584026U,	// VPTESTrm
-    551823706U,	// VPTESTrr
-    812608035U,	// VPUNPCKHBWYrm
-    811657763U,	// VPUNPCKHBWYrr
-    811903523U,	// VPUNPCKHBWrm
-    811657763U,	// VPUNPCKHBWrr
-    812605199U,	// VPUNPCKHDQYrm
-    811654927U,	// VPUNPCKHDQYrr
-    812828380U,	// VPUNPCKHDQZrm
-    811648732U,	// VPUNPCKHDQZrr
-    811900687U,	// VPUNPCKHDQrm
-    811654927U,	// VPUNPCKHDQrr
-    812605266U,	// VPUNPCKHQDQYrm
-    811654994U,	// VPUNPCKHQDQYrr
-    812828433U,	// VPUNPCKHQDQZrm
-    811648785U,	// VPUNPCKHQDQZrr
-    811900754U,	// VPUNPCKHQDQrm
-    811654994U,	// VPUNPCKHQDQrr
-    812603095U,	// VPUNPCKHWDYrm
-    811652823U,	// VPUNPCKHWDYrr
-    811898583U,	// VPUNPCKHWDrm
-    811652823U,	// VPUNPCKHWDrr
-    812608047U,	// VPUNPCKLBWYrm
-    811657775U,	// VPUNPCKLBWYrr
-    811903535U,	// VPUNPCKLBWrm
-    811657775U,	// VPUNPCKLBWrr
-    812605218U,	// VPUNPCKLDQYrm
-    811654946U,	// VPUNPCKLDQYrr
-    812828393U,	// VPUNPCKLDQZrm
-    811648745U,	// VPUNPCKLDQZrr
-    811900706U,	// VPUNPCKLDQrm
-    811654946U,	// VPUNPCKLDQrr
-    812605279U,	// VPUNPCKLQDQYrm
-    811655007U,	// VPUNPCKLQDQYrr
-    812828447U,	// VPUNPCKLQDQZrm
-    811648799U,	// VPUNPCKLQDQZrr
-    811900767U,	// VPUNPCKLQDQrm
-    811655007U,	// VPUNPCKLQDQrr
-    812603107U,	// VPUNPCKLWDYrm
-    811652835U,	// VPUNPCKLWDYrr
-    811898595U,	// VPUNPCKLWDrm
-    811652835U,	// VPUNPCKLWDrr
-    812827722U,	// VPXORDZrm
-    354501706U,	// VPXORDZrmb
-    4113679434U,	// VPXORDZrmbk
-    1429406794U,	// VPXORDZrmbkz
-    122897482U,	// VPXORDZrmk
-    571638858U,	// VPXORDZrmkz
-    811648074U,	// VPXORDZrr
-    1888076874U,	// VPXORDZrrk
-    570786890U,	// VPXORDZrrkz
-    812828754U,	// VPXORQZrm
-    352421970U,	// VPXORQZrmb
-    4111566930U,	// VPXORQZrmbk
-    1427343442U,	// VPXORQZrmbkz
-    122898514U,	// VPXORQZrmk
-    571639890U,	// VPXORQZrmkz
-    811649106U,	// VPXORQZrr
-    1888077906U,	// VPXORQZrrk
-    570787922U,	// VPXORQZrrkz
-    812606360U,	// VPXORYrm
-    811656088U,	// VPXORYrr
-    811901848U,	// VPXORrm
-    811656088U,	// VPXORrr
-    1081995U,	// VRCP14PDZm
-    551813771U,	// VRCP14PDZr
-    1083914U,	// VRCP14PSZm
-    551815690U,	// VRCP14PSZr
-    283264141U,	// VRCP14SDrm
-    811648141U,	// VRCP14SDrr
-    283282343U,	// VRCP14SSrm
-    811649959U,	// VRCP14SSrr
-    1082019U,	// VRCP28PDZm
-    551813795U,	// VRCP28PDZr
-    551826154U,	// VRCP28PDZrb
-    1083938U,	// VRCP28PSZm
-    551815714U,	// VRCP28PSZr
-    551826230U,	// VRCP28PSZrb
-    283264165U,	// VRCP28SDrm
-    811648165U,	// VRCP28SDrr
-    811660048U,	// VRCP28SDrrb
-    283282367U,	// VRCP28SSrm
-    811649983U,	// VRCP28SSrr
-    811660124U,	// VRCP28SSrrb
-    1074831U,	// VRCPPSYm
-    1074831U,	// VRCPPSYm_Int
-    551822991U,	// VRCPPSYr
-    551822991U,	// VRCPPSYr_Int
-    583311U,	// VRCPPSm
-    583311U,	// VRCPPSm_Int
-    551822991U,	// VRCPPSr
-    551822991U,	// VRCPPSr_Int
-    283289733U,	// VRCPSSm
-    283289733U,	// VRCPSSm_Int
-    811657349U,	// VRCPSSr
-    153420586U,	// VRNDSCALEPDZm
-    811647786U,	// VRNDSCALEPDZr
-    153422505U,	// VRNDSCALEPSZm
-    811649705U,	// VRNDSCALEPSZr
-    283264198U,	// VRNDSCALESDm
-    811648198U,	// VRNDSCALESDr
-    283282391U,	// VRNDSCALESSm
-    811650007U,	// VRNDSCALESSr
-    80024482U,	// VROUNDPDm
-    811652002U,	// VROUNDPDr
-    80029163U,	// VROUNDPSm
-    811656683U,	// VROUNDPSr
-    312825279U,	// VROUNDSDm
-    302355903U,	// VROUNDSDr
-    302355903U,	// VROUNDSDr_Int
-    317024344U,	// VROUNDSSm
-    302360664U,	// VROUNDSSr
-    302360664U,	// VROUNDSSr_Int
-    147133346U,	// VROUNDYPDm
-    811652002U,	// VROUNDYPDr
-    147138027U,	// VROUNDYPSm
-    811656683U,	// VROUNDYPSr
-    1082006U,	// VRSQRT14PDZm
-    551813782U,	// VRSQRT14PDZr
-    1083925U,	// VRSQRT14PSZm
-    551815701U,	// VRSQRT14PSZr
-    283264152U,	// VRSQRT14SDrm
-    811648152U,	// VRSQRT14SDrr
-    283282354U,	// VRSQRT14SSrm
-    811649970U,	// VRSQRT14SSrr
-    1082030U,	// VRSQRT28PDZm
-    551813806U,	// VRSQRT28PDZr
-    551826172U,	// VRSQRT28PDZrb
-    1083949U,	// VRSQRT28PSZm
-    551815725U,	// VRSQRT28PSZr
-    551826248U,	// VRSQRT28PSZrb
-    283264176U,	// VRSQRT28SDrm
-    811648176U,	// VRSQRT28SDrr
-    811660066U,	// VRSQRT28SDrrb
-    283282378U,	// VRSQRT28SSrm
-    811649994U,	// VRSQRT28SSrr
-    811660142U,	// VRSQRT28SSrrb
-    1074914U,	// VRSQRTPSYm
-    1074914U,	// VRSQRTPSYm_Int
-    551823074U,	// VRSQRTPSYr
-    551823074U,	// VRSQRTPSYr_Int
-    583394U,	// VRSQRTPSm
-    583394U,	// VRSQRTPSm_Int
-    551823074U,	// VRSQRTPSr
-    551823074U,	// VRSQRTPSr_Int
-    283289758U,	// VRSQRTSSm
-    283289758U,	// VRSQRTSSm_Int
-    811657374U,	// VRSQRTSSr
-    1908753180U,	// VSCATTERDPDZmr
-    1906657947U,	// VSCATTERDPSZmr
-    111395540U,	// VSCATTERPF0DPDm
-    111397459U,	// VSCATTERPF0DPSm
-    111428495U,	// VSCATTERPF0QPDm
-    111430414U,	// VSCATTERPF0QPSm
-    111395573U,	// VSCATTERPF1DPDm
-    111397492U,	// VSCATTERPF1DPSm
-    111428528U,	// VSCATTERPF1QPDm
-    111430447U,	// VSCATTERPF1QPSm
-    1908753358U,	// VSCATTERQPDZmr
-    1908755277U,	// VSCATTERQPSZmr
-    92623800U,	// VSHUFPDYrmi
-    302355384U,	// VSHUFPDYrri
-    96813880U,	// VSHUFPDZrmi
-    302351160U,	// VSHUFPDZrri
-    300241848U,	// VSHUFPDrmi
-    302355384U,	// VSHUFPDrri
-    92628481U,	// VSHUFPSYrmi
-    302360065U,	// VSHUFPSYrri
-    96815799U,	// VSHUFPSZrmi
-    302353079U,	// VSHUFPSZrri
-    300246529U,	// VSHUFPSrmi
-    302360065U,	// VSHUFPSrri
-    1070173U,	// VSQRTPDYm
-    551818333U,	// VSQRTPDYr
-    1086557U,	// VSQRTPDZrm
-    551818333U,	// VSQRTPDZrr
-    578653U,	// VSQRTPDm
-    551818333U,	// VSQRTPDr
-    1074924U,	// VSQRTPSYm
-    551823084U,	// VSQRTPSYr
-    1091308U,	// VSQRTPSZrm
-    551823084U,	// VSQRTPSZrr
-    583404U,	// VSQRTPSm
-    551823084U,	// VSQRTPSr
-    283268614U,	// VSQRTSDZm
-    283268614U,	// VSQRTSDZm_Int
-    811652614U,	// VSQRTSDZr
-    811652614U,	// VSQRTSDZr_Int
-    283268614U,	// VSQRTSDm
-    283268614U,	// VSQRTSDm_Int
-    811652614U,	// VSQRTSDr
-    283289768U,	// VSQRTSSZm
-    283289768U,	// VSQRTSSZm_Int
-    811657384U,	// VSQRTSSZr
-    811657384U,	// VSQRTSSZr_Int
-    283289768U,	// VSQRTSSm
-    283289768U,	// VSQRTSSm_Int
-    811657384U,	// VSQRTSSr
-    238511U,	// VSTMXCSR
-    812520277U,	// VSUBPDYrm
-    811651925U,	// VSUBPDYrr
-    812532411U,	// VSUBPDZrm
-    352469691U,	// VSUBPDZrmb
-    1427014331U,	// VSUBPDZrmbk
-    1427014331U,	// VSUBPDZrmbkz
-    571396949U,	// VSUBPDZrmk
-    571396949U,	// VSUBPDZrmkz
-    811647675U,	// VSUBPDZrr
-    570786491U,	// VSUBPDZrrk
-    570786491U,	// VSUBPDZrrkz
-    811733845U,	// VSUBPDrm
-    811651925U,	// VSUBPDrr
-    812524958U,	// VSUBPSYrm
-    811656606U,	// VSUBPSYrr
-    812534330U,	// VSUBPSZrm
-    354585146U,	// VSUBPSZrmb
-    1429146170U,	// VSUBPSZrmbk
-    1429146170U,	// VSUBPSZrmbkz
-    571401630U,	// VSUBPSZrmk
-    571401630U,	// VSUBPSZrmkz
-    811649594U,	// VSUBPSZrr
-    570788410U,	// VSUBPSZrrk
-    570788410U,	// VSUBPSZrrkz
-    811738526U,	// VSUBPSrm
-    811656606U,	// VSUBPSrr
-    283268506U,	// VSUBSDZrm
-    811652506U,	// VSUBSDZrr
-    283268506U,	// VSUBSDrm
-    283268506U,	// VSUBSDrm_Int
-    811652506U,	// VSUBSDrr
-    811652506U,	// VSUBSDrr_Int
-    283289651U,	// VSUBSSZrm
-    811657267U,	// VSUBSSZrr
-    283289651U,	// VSUBSSrm
-    283289651U,	// VSUBSSrm_Int
-    811657267U,	// VSUBSSrr
-    811657267U,	// VSUBSSrr_Int
-    1070182U,	// VTESTPDYrm
-    551818342U,	// VTESTPDYrr
-    578662U,	// VTESTPDrm
-    551818342U,	// VTESTPDrr
-    1074933U,	// VTESTPSYrm
-    551823093U,	// VTESTPSYrr
-    583413U,	// VTESTPSrm
-    551823093U,	// VTESTPSrr
-    595401U,	// VUCOMISDZrm
-    551818697U,	// VUCOMISDZrr
-    595401U,	// VUCOMISDrm
-    551818697U,	// VUCOMISDrr
-    616546U,	// VUCOMISSZrm
-    551823458U,	// VUCOMISSZrr
-    616546U,	// VUCOMISSrm
-    551823458U,	// VUCOMISSrr
-    812520385U,	// VUNPCKHPDYrm
-    811652033U,	// VUNPCKHPDYrr
-    812536769U,	// VUNPCKHPDZrm
-    811652033U,	// VUNPCKHPDZrr
-    811733953U,	// VUNPCKHPDrm
-    811652033U,	// VUNPCKHPDrr
-    812525066U,	// VUNPCKHPSYrm
-    811656714U,	// VUNPCKHPSYrr
-    812541450U,	// VUNPCKHPSZrm
-    811656714U,	// VUNPCKHPSZrr
-    811738634U,	// VUNPCKHPSrm
-    811656714U,	// VUNPCKHPSrr
-    812520427U,	// VUNPCKLPDYrm
-    811652075U,	// VUNPCKLPDYrr
-    812536811U,	// VUNPCKLPDZrm
-    811652075U,	// VUNPCKLPDZrr
-    811733995U,	// VUNPCKLPDrm
-    811652075U,	// VUNPCKLPDrr
-    812525128U,	// VUNPCKLPSYrm
-    811656776U,	// VUNPCKLPSYrr
-    812541512U,	// VUNPCKLPSZrm
-    811656776U,	// VUNPCKLPSZrr
-    811738696U,	// VUNPCKLPSrm
-    811656776U,	// VUNPCKLPSrr
-    812520523U,	// VXORPDYrm
-    811652171U,	// VXORPDYrr
-    811734091U,	// VXORPDrm
-    811652171U,	// VXORPDrr
-    812525241U,	// VXORPSYrm
-    811656889U,	// VXORPSYrr
-    811738809U,	// VXORPSrm
-    811656889U,	// VXORPSrr
-    14534U,	// VZEROALL
-    14807U,	// VZEROUPPER
+    25498726U,	// VPCMPISTRM128rm
+    811947110U,	// VPCMPISTRM128rr
+    675984363U,	// VPCMPQZ128rmi
+    342219059U,	// VPCMPQZ128rmi_alt
+    4165645291U,	// VPCMPQZ128rmib
+    3282426163U,	// VPCMPQZ128rmib_alt
+    3629659115U,	// VPCMPQZ128rmibk
+    3342358835U,	// VPCMPQZ128rmibk_alt
+    945304555U,	// VPCMPQZ128rmik
+    131619123U,	// VPCMPQZ128rmik_alt
+    1481307115U,	// VPCMPQZ128rri
+    302389555U,	// VPCMPQZ128rri_alt
+    2555950059U,	// VPCMPQZ128rrik
+    1441421619U,	// VPCMPQZ128rrik_alt
+    1212855275U,	// VPCMPQZ256rmi
+    113629491U,	// VPCMPQZ256rmi_alt
+    4165645291U,	// VPCMPQZ256rmib
+    2208684339U,	// VPCMPQZ256rmib_alt
+    3629659115U,	// VPCMPQZ256rmibk
+    2268617011U,	// VPCMPQZ256rmibk_alt
+    1482175467U,	// VPCMPQZ256rmik
+    133716275U,	// VPCMPQZ256rmik_alt
+    1481307115U,	// VPCMPQZ256rri
+    302389555U,	// VPCMPQZ256rri_alt
+    2555950059U,	// VPCMPQZ256rrik
+    1441421619U,	// VPCMPQZ256rrik_alt
+    1749726187U,	// VPCMPQZrmi
+    365287731U,	// VPCMPQZrmi_alt
+    4165645291U,	// VPCMPQZrmib
+    2745555251U,	// VPCMPQZrmib_alt
+    3629659115U,	// VPCMPQZrmibk
+    2805487923U,	// VPCMPQZrmibk_alt
+    2019046379U,	// VPCMPQZrmik
+    1477990707U,	// VPCMPQZrmik_alt
+    1481307115U,	// VPCMPQZrri
+    302389555U,	// VPCMPQZrri_alt
+    2555950059U,	// VPCMPQZrrik
+    1441421619U,	// VPCMPQZrrik_alt
+    678081515U,	// VPCMPUBZ128rmi
+    342213800U,	// VPCMPUBZ128rmi_alt
+    947401707U,	// VPCMPUBZ128rmik
+    131613864U,	// VPCMPUBZ128rmik_alt
+    1483404267U,	// VPCMPUBZ128rri
+    302384296U,	// VPCMPUBZ128rri_alt
+    2558047211U,	// VPCMPUBZ128rrik
+    1441416360U,	// VPCMPUBZ128rrik_alt
+    1214952427U,	// VPCMPUBZ256rmi
+    113624232U,	// VPCMPUBZ256rmi_alt
+    1484272619U,	// VPCMPUBZ256rmik
+    133711016U,	// VPCMPUBZ256rmik_alt
+    1483404267U,	// VPCMPUBZ256rri
+    302384296U,	// VPCMPUBZ256rri_alt
+    2558047211U,	// VPCMPUBZ256rrik
+    1441416360U,	// VPCMPUBZ256rrik_alt
+    1751823339U,	// VPCMPUBZrmi
+    365282472U,	// VPCMPUBZrmi_alt
+    2021143531U,	// VPCMPUBZrmik
+    1477985448U,	// VPCMPUBZrmik_alt
+    1483404267U,	// VPCMPUBZrri
+    302384296U,	// VPCMPUBZrri_alt
+    2558047211U,	// VPCMPUBZrrik
+    1441416360U,	// VPCMPUBZrrik_alt
+    680178667U,	// VPCMPUDZ128rmi
+    342216063U,	// VPCMPUDZ128rmi_alt
+    3901404139U,	// VPCMPUDZ128rmib
+    2227555711U,	// VPCMPUDZ128rmib_alt
+    2560111595U,	// VPCMPUDZ128rmibk
+    2270711167U,	// VPCMPUDZ128rmibk_alt
+    949498859U,	// VPCMPUDZ128rmik
+    131616127U,	// VPCMPUDZ128rmik_alt
+    1485501419U,	// VPCMPUDZ128rri
+    302386559U,	// VPCMPUDZ128rri_alt
+    2560144363U,	// VPCMPUDZ128rrik
+    1441418623U,	// VPCMPUDZ128rrik_alt
+    1217049579U,	// VPCMPUDZ256rmi
+    113626495U,	// VPCMPUDZ256rmi_alt
+    3901404139U,	// VPCMPUDZ256rmib
+    2764426623U,	// VPCMPUDZ256rmib_alt
+    2560111595U,	// VPCMPUDZ256rmibk
+    2807582079U,	// VPCMPUDZ256rmibk_alt
+    1486369771U,	// VPCMPUDZ256rmik
+    133713279U,	// VPCMPUDZ256rmik_alt
+    1485501419U,	// VPCMPUDZ256rri
+    302386559U,	// VPCMPUDZ256rri_alt
+    2560144363U,	// VPCMPUDZ256rrik
+    1441418623U,	// VPCMPUDZ256rrik_alt
+    1753920491U,	// VPCMPUDZrmi
+    365284735U,	// VPCMPUDZrmi_alt
+    3901404139U,	// VPCMPUDZrmib
+    3032862079U,	// VPCMPUDZrmib_alt
+    2560111595U,	// VPCMPUDZrmibk
+    3076017535U,	// VPCMPUDZrmibk_alt
+    2023240683U,	// VPCMPUDZrmik
+    1477987711U,	// VPCMPUDZrmik_alt
+    1485501419U,	// VPCMPUDZrri
+    302386559U,	// VPCMPUDZrri_alt
+    2560144363U,	// VPCMPUDZrrik
+    1441418623U,	// VPCMPUDZrrik_alt
+    682275819U,	// VPCMPUQZ128rmi
+    342219565U,	// VPCMPUQZ128rmi_alt
+    4171936747U,	// VPCMPUQZ128rmib
+    3282426669U,	// VPCMPUQZ128rmib_alt
+    3635950571U,	// VPCMPUQZ128rmibk
+    3342359341U,	// VPCMPUQZ128rmibk_alt
+    951596011U,	// VPCMPUQZ128rmik
+    131619629U,	// VPCMPUQZ128rmik_alt
+    1487598571U,	// VPCMPUQZ128rri
+    302390061U,	// VPCMPUQZ128rri_alt
+    2562241515U,	// VPCMPUQZ128rrik
+    1441422125U,	// VPCMPUQZ128rrik_alt
+    1219146731U,	// VPCMPUQZ256rmi
+    113629997U,	// VPCMPUQZ256rmi_alt
+    4171936747U,	// VPCMPUQZ256rmib
+    2208684845U,	// VPCMPUQZ256rmib_alt
+    3635950571U,	// VPCMPUQZ256rmibk
+    2268617517U,	// VPCMPUQZ256rmibk_alt
+    1488466923U,	// VPCMPUQZ256rmik
+    133716781U,	// VPCMPUQZ256rmik_alt
+    1487598571U,	// VPCMPUQZ256rri
+    302390061U,	// VPCMPUQZ256rri_alt
+    2562241515U,	// VPCMPUQZ256rrik
+    1441422125U,	// VPCMPUQZ256rrik_alt
+    1756017643U,	// VPCMPUQZrmi
+    365288237U,	// VPCMPUQZrmi_alt
+    4171936747U,	// VPCMPUQZrmib
+    2745555757U,	// VPCMPUQZrmib_alt
+    3635950571U,	// VPCMPUQZrmibk
+    2805488429U,	// VPCMPUQZrmibk_alt
+    2025337835U,	// VPCMPUQZrmik
+    1477991213U,	// VPCMPUQZrmik_alt
+    1487598571U,	// VPCMPUQZrri
+    302390061U,	// VPCMPUQZrri_alt
+    2562241515U,	// VPCMPUQZrrik
+    1441422125U,	// VPCMPUQZrrik_alt
+    684372971U,	// VPCMPUWZ128rmi
+    342223007U,	// VPCMPUWZ128rmi_alt
+    953693163U,	// VPCMPUWZ128rmik
+    131623071U,	// VPCMPUWZ128rmik_alt
+    1489695723U,	// VPCMPUWZ128rri
+    302393503U,	// VPCMPUWZ128rri_alt
+    2564338667U,	// VPCMPUWZ128rrik
+    1441425567U,	// VPCMPUWZ128rrik_alt
+    1221243883U,	// VPCMPUWZ256rmi
+    113633439U,	// VPCMPUWZ256rmi_alt
+    1490564075U,	// VPCMPUWZ256rmik
+    133720223U,	// VPCMPUWZ256rmik_alt
+    1489695723U,	// VPCMPUWZ256rri
+    302393503U,	// VPCMPUWZ256rri_alt
+    2564338667U,	// VPCMPUWZ256rrik
+    1441425567U,	// VPCMPUWZ256rrik_alt
+    1758114795U,	// VPCMPUWZrmi
+    365291679U,	// VPCMPUWZrmi_alt
+    2027434987U,	// VPCMPUWZrmik
+    1477994655U,	// VPCMPUWZrmik_alt
+    1489695723U,	// VPCMPUWZrri
+    302393503U,	// VPCMPUWZrri_alt
+    2564338667U,	// VPCMPUWZrrik
+    1441425567U,	// VPCMPUWZrrik_alt
+    686470123U,	// VPCMPWZ128rmi
+    342222444U,	// VPCMPWZ128rmi_alt
+    955790315U,	// VPCMPWZ128rmik
+    131622508U,	// VPCMPWZ128rmik_alt
+    1491792875U,	// VPCMPWZ128rri
+    302392940U,	// VPCMPWZ128rri_alt
+    2566435819U,	// VPCMPWZ128rrik
+    1441425004U,	// VPCMPWZ128rrik_alt
+    1223341035U,	// VPCMPWZ256rmi
+    113632876U,	// VPCMPWZ256rmi_alt
+    1492661227U,	// VPCMPWZ256rmik
+    133719660U,	// VPCMPWZ256rmik_alt
+    1491792875U,	// VPCMPWZ256rri
+    302392940U,	// VPCMPWZ256rri_alt
+    2566435819U,	// VPCMPWZ256rrik
+    1441425004U,	// VPCMPWZ256rrik_alt
+    1760211947U,	// VPCMPWZrmi
+    365291116U,	// VPCMPWZrmi_alt
+    2029532139U,	// VPCMPWZrmik
+    1477994092U,	// VPCMPWZrmik_alt
+    1491792875U,	// VPCMPWZrri
+    302392940U,	// VPCMPWZrri_alt
+    2566435819U,	// VPCMPWZrrik
+    1441425004U,	// VPCMPWZrrik_alt
+    666432408U,	// VPCOMBmi
+    343098186U,	// VPCOMBmi_alt
+    1471755160U,	// VPCOMBri
+    302957386U,	// VPCOMBri_alt
+    674821016U,	// VPCOMDmi
+    343099063U,	// VPCOMDmi_alt
+    1480143768U,	// VPCOMDri
+    302958263U,	// VPCOMDri_alt
+    2751827150U,	// VPCOMPRESSDZ128mrk
+    2693713102U,	// VPCOMPRESSDZ128rrk
+    2692795598U,	// VPCOMPRESSDZ128rrkz
+    2808450254U,	// VPCOMPRESSDZ256mrk
+    2693713102U,	// VPCOMPRESSDZ256rrk
+    2692795598U,	// VPCOMPRESSDZ256rrkz
+    2810547406U,	// VPCOMPRESSDZmrk
+    2693713102U,	// VPCOMPRESSDZrrk
+    2692795598U,	// VPCOMPRESSDZrrkz
+    2751830609U,	// VPCOMPRESSQZ128mrk
+    2693716561U,	// VPCOMPRESSQZ128rrk
+    2692799057U,	// VPCOMPRESSQZ128rrkz
+    2808453713U,	// VPCOMPRESSQZ256mrk
+    2693716561U,	// VPCOMPRESSQZ256rrk
+    2692799057U,	// VPCOMPRESSQZ256rrkz
+    2810550865U,	// VPCOMPRESSQZmrk
+    2693716561U,	// VPCOMPRESSQZrrk
+    2692799057U,	// VPCOMPRESSQZrrkz
+    676918168U,	// VPCOMQmi
+    343103711U,	// VPCOMQmi_alt
+    1482240920U,	// VPCOMQri
+    302962911U,	// VPCOMQri_alt
+    679015320U,	// VPCOMUBmi
+    343098518U,	// VPCOMUBmi_alt
+    1484338072U,	// VPCOMUBri
+    302957718U,	// VPCOMUBri_alt
+    681112472U,	// VPCOMUDmi
+    343100781U,	// VPCOMUDmi_alt
+    1486435224U,	// VPCOMUDri
+    302959981U,	// VPCOMUDri_alt
+    683209624U,	// VPCOMUQmi
+    343104283U,	// VPCOMUQmi_alt
+    1488532376U,	// VPCOMUQri
+    302963483U,	// VPCOMUQri_alt
+    685306776U,	// VPCOMUWmi
+    343107725U,	// VPCOMUWmi_alt
+    1490629528U,	// VPCOMUWri
+    302966925U,	// VPCOMUWri_alt
+    687403928U,	// VPCOMWmi
+    343107133U,	// VPCOMWmi_alt
+    1492726680U,	// VPCOMWri
+    302966333U,	// VPCOMWri_alt
+    1314085U,	// VPCONFLICTDrm
+    631491877U,	// VPCONFLICTDrmb
+    632786213U,	// VPCONFLICTDrmbk
+    631328037U,	// VPCONFLICTDrmbkz
+    2694204709U,	// VPCONFLICTDrmk
+    2694221093U,	// VPCONFLICTDrmkz
+    551816485U,	// VPCONFLICTDrr
+    2693713189U,	// VPCONFLICTDrrk
+    2692795685U,	// VPCONFLICTDrrkz
+    1317504U,	// VPCONFLICTQrm
+    629430912U,	// VPCONFLICTQrmb
+    630708864U,	// VPCONFLICTQrmbk
+    629250688U,	// VPCONFLICTQrmbkz
+    2694208128U,	// VPCONFLICTQrmk
+    2694224512U,	// VPCONFLICTQrmkz
+    551819904U,	// VPCONFLICTQrr
+    2693716608U,	// VPCONFLICTQrrk
+    2692799104U,	// VPCONFLICTQrrkz
+    101040560U,	// VPERM2F128rm
+    302383536U,	// VPERM2F128rr
+    101040615U,	// VPERM2I128rm
+    302383591U,	// VPERM2I128rr
+    812877503U,	// VPERMDYrm
+    811648703U,	// VPERMDYrr
+    813074111U,	// VPERMDZrm
+    811648703U,	// VPERMDZrr
+    571884879U,	// VPERMI2Drm
+    87508303U,	// VPERMI2Drmk
+    118965583U,	// VPERMI2Drmkz
+    571393359U,	// VPERMI2Drr
+    2693809487U,	// VPERMI2Drrk
+    2693809487U,	// VPERMI2Drrkz
+    571885486U,	// VPERMI2PDrm
+    87508910U,	// VPERMI2PDrmk
+    118966190U,	// VPERMI2PDrmkz
+    571393966U,	// VPERMI2PDrr
+    2693810094U,	// VPERMI2PDrrk
+    2693810094U,	// VPERMI2PDrrkz
+    571891064U,	// VPERMI2PSrm
+    87514488U,	// VPERMI2PSrmk
+    118971768U,	// VPERMI2PSrmkz
+    571399544U,	// VPERMI2PSrr
+    2693815672U,	// VPERMI2PSrrk
+    2693815672U,	// VPERMI2PSrrkz
+    571889010U,	// VPERMI2Qrm
+    87512434U,	// VPERMI2Qrmk
+    118969714U,	// VPERMI2Qrmkz
+    571397490U,	// VPERMI2Qrr
+    2693813618U,	// VPERMI2Qrrk
+    2693813618U,	// VPERMI2Qrrkz
+    1226115011U,	// VPERMIL2PDmr
+    3105163203U,	// VPERMIL2PDmrY
+    422905795U,	// VPERMIL2PDrm
+    156567491U,	// VPERMIL2PDrmY
+    303056835U,	// VPERMIL2PDrr
+    303056835U,	// VPERMIL2PDrrY
+    1226120589U,	// VPERMIL2PSmr
+    3105168781U,	// VPERMIL2PSmrY
+    422911373U,	// VPERMIL2PSrm
+    156573069U,	// VPERMIL2PSrmY
+    303062413U,	// VPERMIL2PSrr
+    303062413U,	// VPERMIL2PSrrY
+    157616572U,	// VPERMILPDYmi
+    811944380U,	// VPERMILPDYri
+    812878268U,	// VPERMILPDYrm
+    811649468U,	// VPERMILPDYrr
+    159713724U,	// VPERMILPDZmi
+    811944380U,	// VPERMILPDZri
+    813074876U,	// VPERMILPDZrm
+    811649468U,	// VPERMILPDZrr
+    82119100U,	// VPERMILPDmi
+    811944380U,	// VPERMILPDri
+    811895228U,	// VPERMILPDrm
+    811649468U,	// VPERMILPDrr
+    157622151U,	// VPERMILPSYmi
+    811949959U,	// VPERMILPSYri
+    812883847U,	// VPERMILPSYrm
+    811655047U,	// VPERMILPSYrr
+    159719303U,	// VPERMILPSZmi
+    811949959U,	// VPERMILPSZri
+    813080455U,	// VPERMILPSZrm
+    811655047U,	// VPERMILPSZrr
+    82124679U,	// VPERMILPSmi
+    811949959U,	// VPERMILPSri
+    811900807U,	// VPERMILPSrm
+    811655047U,	// VPERMILPSrr
+    161810934U,	// VPERMPDYmi
+    811944438U,	// VPERMPDYri
+    159713782U,	// VPERMPDZmi
+    811944438U,	// VPERMPDZri
+    812763638U,	// VPERMPDZrm
+    811649526U,	// VPERMPDZrr
+    812883914U,	// VPERMPSYrm
+    811655114U,	// VPERMPSYrr
+    812769226U,	// VPERMPSZrm
+    811655114U,	// VPERMPSZrr
+    161814759U,	// VPERMQYmi
+    811948263U,	// VPERMQYri
+    163911911U,	// VPERMQZmi
+    811948263U,	// VPERMQZri
+    813078759U,	// VPERMQZrm
+    811653351U,	// VPERMQZrr
+    571884899U,	// VPERMT2Drm
+    87508323U,	// VPERMT2Drmk
+    118965603U,	// VPERMT2Drmkz
+    571393379U,	// VPERMT2Drr
+    2693809507U,	// VPERMT2Drrk
+    2693809507U,	// VPERMT2Drrkz
+    571885562U,	// VPERMT2PDrm
+    87508986U,	// VPERMT2PDrmk
+    118966266U,	// VPERMT2PDrmkz
+    571394042U,	// VPERMT2PDrr
+    2693810170U,	// VPERMT2PDrrk
+    2693810170U,	// VPERMT2PDrrkz
+    571891129U,	// VPERMT2PSrm
+    87514553U,	// VPERMT2PSrmk
+    118971833U,	// VPERMT2PSrmkz
+    571399609U,	// VPERMT2PSrr
+    2693815737U,	// VPERMT2PSrrk
+    2693815737U,	// VPERMT2PSrrkz
+    571889039U,	// VPERMT2Qrm
+    87512463U,	// VPERMT2Qrmk
+    118969743U,	// VPERMT2Qrmkz
+    571397519U,	// VPERMT2Qrr
+    2693813647U,	// VPERMT2Qrrk
+    2693813647U,	// VPERMT2Qrrkz
+    2694170102U,	// VPEXPANDDZ128rmk
+    2693039606U,	// VPEXPANDDZ128rmkz
+    2693711350U,	// VPEXPANDDZ128rrk
+    2692793846U,	// VPEXPANDDZ128rrkz
+    2694186486U,	// VPEXPANDDZ256rmk
+    2694022646U,	// VPEXPANDDZ256rmkz
+    2693711350U,	// VPEXPANDDZ256rrk
+    2692793846U,	// VPEXPANDDZ256rrkz
+    2694202870U,	// VPEXPANDDZrmk
+    2694219254U,	// VPEXPANDDZrmkz
+    2693711350U,	// VPEXPANDDZrrk
+    2692793846U,	// VPEXPANDDZrrkz
+    2694174421U,	// VPEXPANDQZ128rmk
+    2693043925U,	// VPEXPANDQZ128rmkz
+    2693715669U,	// VPEXPANDQZ128rrk
+    2692798165U,	// VPEXPANDQZ128rrkz
+    2694190805U,	// VPEXPANDQZ256rmk
+    2694026965U,	// VPEXPANDQZ256rmkz
+    2693715669U,	// VPEXPANDQZ256rrk
+    2692798165U,	// VPEXPANDQZ256rrkz
+    2694207189U,	// VPEXPANDQZrmk
+    2694223573U,	// VPEXPANDQZrmkz
+    2693715669U,	// VPEXPANDQZrrk
+    2692798165U,	// VPEXPANDQZrrkz
+    319095777U,	// VPEXTRBmr
+    811942881U,	// VPEXTRBrr
+    587533151U,	// VPEXTRDmr
+    811944799U,	// VPEXTRDrr
+    855972331U,	// VPEXTRQmr
+    811948523U,	// VPEXTRQrr
+    1124411181U,	// VPEXTRWmr
+    811951917U,	// VPEXTRWri
+    811951917U,	// VPEXTRWrr_REV
+    928318987U,	// VPGATHERDDYrm
+    552961547U,	// VPGATHERDDZrm
+    928318987U,	// VPGATHERDDrm
+    926226191U,	// VPGATHERDQYrm
+    552949519U,	// VPGATHERDQZrm
+    926226191U,	// VPGATHERDQrm
+    928320241U,	// VPGATHERQDYrm
+    552946417U,	// VPGATHERQDZrm
+    928320241U,	// VPGATHERQDrm
+    926226780U,	// VPGATHERQQYrm
+    552950108U,	// VPGATHERQQZrm
+    926226780U,	// VPGATHERQQrm
+    312723U,	// VPHADDBDrm
+    551814547U,	// VPHADDBDrr
+    316861U,	// VPHADDBQrm
+    551818685U,	// VPHADDBQrr
+    320542U,	// VPHADDBWrm
+    551822366U,	// VPHADDBWrr
+    317049U,	// VPHADDDQrm
+    551818873U,	// VPHADDDQrr
+    812877270U,	// VPHADDDYrm
+    811648470U,	// VPHADDDYrr
+    811894230U,	// VPHADDDrm
+    811648470U,	// VPHADDDrr
+    811902829U,	// VPHADDSWrm128
+    812885869U,	// VPHADDSWrm256
+    811657069U,	// VPHADDSWrr128
+    811657069U,	// VPHADDSWrr256
+    312733U,	// VPHADDUBDrm
+    551814557U,	// VPHADDUBDrr
+    316879U,	// VPHADDUBQrm
+    551818703U,	// VPHADDUBQrr
+    320594U,	// VPHADDUBWrm
+    551822418U,	// VPHADDUBWrr
+    317316U,	// VPHADDUDQrm
+    551819140U,	// VPHADDUDQrr
+    314913U,	// VPHADDUWDrm
+    551816737U,	// VPHADDUWDrr
+    318349U,	// VPHADDUWQrm
+    551820173U,	// VPHADDUWQrr
+    314825U,	// VPHADDWDrm
+    551816649U,	// VPHADDWDrr
+    318324U,	// VPHADDWQrm
+    551820148U,	// VPHADDWQrr
+    812885179U,	// VPHADDWYrm
+    811656379U,	// VPHADDWYrr
+    811902139U,	// VPHADDWrm
+    811656379U,	// VPHADDWrr
+    321704U,	// VPHMINPOSUWrm128
+    551823528U,	// VPHMINPOSUWrr128
+    320513U,	// VPHSUBBWrm
+    551822337U,	// VPHSUBBWrr
+    317024U,	// VPHSUBDQrm
+    551818848U,	// VPHSUBDQrr
+    812877224U,	// VPHSUBDYrm
+    811648424U,	// VPHSUBDYrr
+    811894184U,	// VPHSUBDrm
+    811648424U,	// VPHSUBDrr
+    811902810U,	// VPHSUBSWrm128
+    812885850U,	// VPHSUBSWrm256
+    811657050U,	// VPHSUBSWrr128
+    811657050U,	// VPHSUBSWrr256
+    314815U,	// VPHSUBWDrm
+    551816639U,	// VPHSUBWDrr
+    812885085U,	// VPHSUBWYrm
+    811656285U,	// VPHSUBWYrr
+    811902045U,	// VPHSUBWrm
+    811656285U,	// VPHSUBWrr
+    346407886U,	// VPINSRBrm
+    302384078U,	// VPINSRBrr
+    885377868U,	// VPINSRDrm
+    302385996U,	// VPINSRDrr
+    866507204U,	// VPINSRQrm
+    302389700U,	// VPINSRQrr
+    331736840U,	// VPINSRWrmi
+    302393096U,	// VPINSRWrri
+    1314108U,	// VPLZCNTDrm
+    631491900U,	// VPLZCNTDrmb
+    632786236U,	// VPLZCNTDrmbk
+    631328060U,	// VPLZCNTDrmbkz
+    2694204732U,	// VPLZCNTDrmk
+    2694221116U,	// VPLZCNTDrmkz
+    551816508U,	// VPLZCNTDrr
+    2693713212U,	// VPLZCNTDrrk
+    2692795708U,	// VPLZCNTDrrkz
+    1317578U,	// VPLZCNTQrm
+    629430986U,	// VPLZCNTQrmb
+    630708938U,	// VPLZCNTQrmbk
+    629250762U,	// VPLZCNTQrmbkz
+    2694208202U,	// VPLZCNTQrmk
+    2694224586U,	// VPLZCNTQrmkz
+    551819978U,	// VPLZCNTQrr
+    2693716682U,	// VPLZCNTQrrk
+    2692799178U,	// VPLZCNTQrrkz
+    343098916U,	// VPMACSDDrm
+    302958116U,	// VPMACSDDrr
+    343101203U,	// VPMACSDQHrm
+    302960403U,	// VPMACSDQHrr
+    343102076U,	// VPMACSDQLrm
+    302961276U,	// VPMACSDQLrr
+    343098926U,	// VPMACSSDDrm
+    302958126U,	// VPMACSSDDrr
+    343101214U,	// VPMACSSDQHrm
+    302960414U,	// VPMACSSDQHrr
+    343102087U,	// VPMACSSDQLrm
+    302961287U,	// VPMACSSDQLrr
+    343100938U,	// VPMACSSWDrm
+    302960138U,	// VPMACSSWDrr
+    343107812U,	// VPMACSSWWrm
+    302967012U,	// VPMACSSWWrr
+    343100917U,	// VPMACSWDrm
+    302960117U,	// VPMACSWDrr
+    343107788U,	// VPMACSWWrm
+    302966988U,	// VPMACSWWrr
+    343100949U,	// VPMADCSSWDrm
+    302960149U,	// VPMADCSSWDrr
+    343100927U,	// VPMADCSWDrm
+    302960127U,	// VPMADCSWDrr
+    811902798U,	// VPMADDUBSWrm128
+    812885838U,	// VPMADDUBSWrm256
+    811657038U,	// VPMADDUBSWrr128
+    811657038U,	// VPMADDUBSWrr256
+    812879315U,	// VPMADDWDYrm
+    811650515U,	// VPMADDWDYrr
+    811896275U,	// VPMADDWDrm
+    811650515U,	// VPMADDWDrr
+    319131052U,	// VPMASKMOVDYmr
+    812879276U,	// VPMASKMOVDYrm
+    50695596U,	// VPMASKMOVDmr
+    811896236U,	// VPMASKMOVDrm
+    319134561U,	// VPMASKMOVQYmr
+    812882785U,	// VPMASKMOVQYrm
+    50699105U,	// VPMASKMOVQmr
+    811899745U,	// VPMASKMOVQrm
+    812876886U,	// VPMAXSBYrm
+    811648086U,	// VPMAXSBYrr
+    811893846U,	// VPMAXSBZ128rm
+    87475286U,	// VPMAXSBZ128rmk
+    571851862U,	// VPMAXSBZ128rmkz
+    811648086U,	// VPMAXSBZ128rr
+    2693809238U,	// VPMAXSBZ128rrk
+    571393110U,	// VPMAXSBZ128rrkz
+    812876886U,	// VPMAXSBZ256rm
+    1508438U,	// VPMAXSBZ256rmk
+    571868246U,	// VPMAXSBZ256rmkz
+    811648086U,	// VPMAXSBZ256rr
+    2693809238U,	// VPMAXSBZ256rrk
+    571393110U,	// VPMAXSBZ256rrkz
+    813073494U,	// VPMAXSBZrm
+    87508054U,	// VPMAXSBZrmk
+    571884630U,	// VPMAXSBZrmkz
+    811648086U,	// VPMAXSBZrr
+    2693809238U,	// VPMAXSBZrrk
+    571393110U,	// VPMAXSBZrrkz
+    811893846U,	// VPMAXSBrm
+    811648086U,	// VPMAXSBrr
+    812879115U,	// VPMAXSDYrm
+    811650315U,	// VPMAXSDYrr
+    811896075U,	// VPMAXSDZ128rm
+    356601099U,	// VPMAXSDZ128rmb
+    2505411851U,	// VPMAXSDZ128rmbk
+    1431801099U,	// VPMAXSDZ128rmbkz
+    87477515U,	// VPMAXSDZ128rmk
+    571854091U,	// VPMAXSDZ128rmkz
+    811650315U,	// VPMAXSDZ128rr
+    2693811467U,	// VPMAXSDZ128rrk
+    571395339U,	// VPMAXSDZ128rrkz
+    812879115U,	// VPMAXSDZ256rm
+    360795403U,	// VPMAXSDZ256rmb
+    2509606155U,	// VPMAXSDZ256rmbk
+    1435995403U,	// VPMAXSDZ256rmbkz
+    1510667U,	// VPMAXSDZ256rmk
+    571870475U,	// VPMAXSDZ256rmkz
+    811650315U,	// VPMAXSDZ256rr
+    2693811467U,	// VPMAXSDZ256rrk
+    571395339U,	// VPMAXSDZ256rrkz
+    813075723U,	// VPMAXSDZrm
+    362892555U,	// VPMAXSDZrmb
+    2511703307U,	// VPMAXSDZrmbk
+    1438092555U,	// VPMAXSDZrmbkz
+    87510283U,	// VPMAXSDZrmk
+    571886859U,	// VPMAXSDZrmkz
+    811650315U,	// VPMAXSDZrr
+    2693811467U,	// VPMAXSDZrrk
+    571395339U,	// VPMAXSDZrrkz
+    811896075U,	// VPMAXSDrm
+    811650315U,	// VPMAXSDrr
+    811899506U,	// VPMAXSQZ128rm
+    352426610U,	// VPMAXSQZ128rmb
+    2501204594U,	// VPMAXSQZ128rmbk
+    1427626610U,	// VPMAXSQZ128rmbkz
+    87480946U,	// VPMAXSQZ128rmk
+    571857522U,	// VPMAXSQZ128rmkz
+    811653746U,	// VPMAXSQZ128rr
+    2693814898U,	// VPMAXSQZ128rrk
+    571398770U,	// VPMAXSQZ128rrkz
+    812882546U,	// VPMAXSQZ256rm
+    356620914U,	// VPMAXSQZ256rmb
+    2505398898U,	// VPMAXSQZ256rmbk
+    1431820914U,	// VPMAXSQZ256rmbkz
+    1514098U,	// VPMAXSQZ256rmk
+    571873906U,	// VPMAXSQZ256rmkz
+    811653746U,	// VPMAXSQZ256rr
+    2693814898U,	// VPMAXSQZ256rrk
+    571398770U,	// VPMAXSQZ256rrkz
+    813079154U,	// VPMAXSQZrm
+    360815218U,	// VPMAXSQZrmb
+    2509593202U,	// VPMAXSQZrmbk
+    1436015218U,	// VPMAXSQZrmbkz
+    87513714U,	// VPMAXSQZrmk
+    571890290U,	// VPMAXSQZrmkz
+    811653746U,	// VPMAXSQZrr
+    2693814898U,	// VPMAXSQZrrk
+    571398770U,	// VPMAXSQZrrkz
+    812886010U,	// VPMAXSWYrm
+    811657210U,	// VPMAXSWYrr
+    811902970U,	// VPMAXSWZ128rm
+    87484410U,	// VPMAXSWZ128rmk
+    571860986U,	// VPMAXSWZ128rmkz
+    811657210U,	// VPMAXSWZ128rr
+    2693818362U,	// VPMAXSWZ128rrk
+    571402234U,	// VPMAXSWZ128rrkz
+    812886010U,	// VPMAXSWZ256rm
+    1517562U,	// VPMAXSWZ256rmk
+    571877370U,	// VPMAXSWZ256rmkz
+    811657210U,	// VPMAXSWZ256rr
+    2693818362U,	// VPMAXSWZ256rrk
+    571402234U,	// VPMAXSWZ256rrkz
+    813082618U,	// VPMAXSWZrm
+    87517178U,	// VPMAXSWZrmk
+    571893754U,	// VPMAXSWZrmkz
+    811657210U,	// VPMAXSWZrr
+    2693818362U,	// VPMAXSWZrrk
+    571402234U,	// VPMAXSWZrrkz
+    811902970U,	// VPMAXSWrm
+    811657210U,	// VPMAXSWrr
+    812876984U,	// VPMAXUBYrm
+    811648184U,	// VPMAXUBYrr
+    811893944U,	// VPMAXUBZ128rm
+    87475384U,	// VPMAXUBZ128rmk
+    571851960U,	// VPMAXUBZ128rmkz
+    811648184U,	// VPMAXUBZ128rr
+    2693809336U,	// VPMAXUBZ128rrk
+    571393208U,	// VPMAXUBZ128rrkz
+    812876984U,	// VPMAXUBZ256rm
+    1508536U,	// VPMAXUBZ256rmk
+    571868344U,	// VPMAXUBZ256rmkz
+    811648184U,	// VPMAXUBZ256rr
+    2693809336U,	// VPMAXUBZ256rrk
+    571393208U,	// VPMAXUBZ256rrkz
+    813073592U,	// VPMAXUBZrm
+    87508152U,	// VPMAXUBZrmk
+    571884728U,	// VPMAXUBZrmkz
+    811648184U,	// VPMAXUBZrr
+    2693809336U,	// VPMAXUBZrrk
+    571393208U,	// VPMAXUBZrrkz
+    811893944U,	// VPMAXUBrm
+    811648184U,	// VPMAXUBrr
+    812879240U,	// VPMAXUDYrm
+    811650440U,	// VPMAXUDYrr
+    811896200U,	// VPMAXUDZ128rm
+    356601224U,	// VPMAXUDZ128rmb
+    2505411976U,	// VPMAXUDZ128rmbk
+    1431801224U,	// VPMAXUDZ128rmbkz
+    87477640U,	// VPMAXUDZ128rmk
+    571854216U,	// VPMAXUDZ128rmkz
+    811650440U,	// VPMAXUDZ128rr
+    2693811592U,	// VPMAXUDZ128rrk
+    571395464U,	// VPMAXUDZ128rrkz
+    812879240U,	// VPMAXUDZ256rm
+    360795528U,	// VPMAXUDZ256rmb
+    2509606280U,	// VPMAXUDZ256rmbk
+    1435995528U,	// VPMAXUDZ256rmbkz
+    1510792U,	// VPMAXUDZ256rmk
+    571870600U,	// VPMAXUDZ256rmkz
+    811650440U,	// VPMAXUDZ256rr
+    2693811592U,	// VPMAXUDZ256rrk
+    571395464U,	// VPMAXUDZ256rrkz
+    813075848U,	// VPMAXUDZrm
+    362892680U,	// VPMAXUDZrmb
+    2511703432U,	// VPMAXUDZrmbk
+    1438092680U,	// VPMAXUDZrmbkz
+    87510408U,	// VPMAXUDZrmk
+    571886984U,	// VPMAXUDZrmkz
+    811650440U,	// VPMAXUDZrr
+    2693811592U,	// VPMAXUDZrrk
+    571395464U,	// VPMAXUDZrrkz
+    811896200U,	// VPMAXUDrm
+    811650440U,	// VPMAXUDrr
+    811899702U,	// VPMAXUQZ128rm
+    352426806U,	// VPMAXUQZ128rmb
+    2501204790U,	// VPMAXUQZ128rmbk
+    1427626806U,	// VPMAXUQZ128rmbkz
+    87481142U,	// VPMAXUQZ128rmk
+    571857718U,	// VPMAXUQZ128rmkz
+    811653942U,	// VPMAXUQZ128rr
+    2693815094U,	// VPMAXUQZ128rrk
+    571398966U,	// VPMAXUQZ128rrkz
+    812882742U,	// VPMAXUQZ256rm
+    356621110U,	// VPMAXUQZ256rmb
+    2505399094U,	// VPMAXUQZ256rmbk
+    1431821110U,	// VPMAXUQZ256rmbkz
+    1514294U,	// VPMAXUQZ256rmk
+    571874102U,	// VPMAXUQZ256rmkz
+    811653942U,	// VPMAXUQZ256rr
+    2693815094U,	// VPMAXUQZ256rrk
+    571398966U,	// VPMAXUQZ256rrkz
+    813079350U,	// VPMAXUQZrm
+    360815414U,	// VPMAXUQZrmb
+    2509593398U,	// VPMAXUQZrmbk
+    1436015414U,	// VPMAXUQZrmbkz
+    87513910U,	// VPMAXUQZrmk
+    571890486U,	// VPMAXUQZrmkz
+    811653942U,	// VPMAXUQZrr
+    2693815094U,	// VPMAXUQZrrk
+    571398966U,	// VPMAXUQZrrkz
+    812886197U,	// VPMAXUWYrm
+    811657397U,	// VPMAXUWYrr
+    811903157U,	// VPMAXUWZ128rm
+    87484597U,	// VPMAXUWZ128rmk
+    571861173U,	// VPMAXUWZ128rmkz
+    811657397U,	// VPMAXUWZ128rr
+    2693818549U,	// VPMAXUWZ128rrk
+    571402421U,	// VPMAXUWZ128rrkz
+    812886197U,	// VPMAXUWZ256rm
+    1517749U,	// VPMAXUWZ256rmk
+    571877557U,	// VPMAXUWZ256rmkz
+    811657397U,	// VPMAXUWZ256rr
+    2693818549U,	// VPMAXUWZ256rrk
+    571402421U,	// VPMAXUWZ256rrkz
+    813082805U,	// VPMAXUWZrm
+    87517365U,	// VPMAXUWZrmk
+    571893941U,	// VPMAXUWZrmkz
+    811657397U,	// VPMAXUWZrr
+    2693818549U,	// VPMAXUWZrrk
+    571402421U,	// VPMAXUWZrrkz
+    811903157U,	// VPMAXUWrm
+    811657397U,	// VPMAXUWrr
+    812876827U,	// VPMINSBYrm
+    811648027U,	// VPMINSBYrr
+    811893787U,	// VPMINSBZ128rm
+    87475227U,	// VPMINSBZ128rmk
+    571851803U,	// VPMINSBZ128rmkz
+    811648027U,	// VPMINSBZ128rr
+    2693809179U,	// VPMINSBZ128rrk
+    571393051U,	// VPMINSBZ128rrkz
+    812876827U,	// VPMINSBZ256rm
+    1508379U,	// VPMINSBZ256rmk
+    571868187U,	// VPMINSBZ256rmkz
+    811648027U,	// VPMINSBZ256rr
+    2693809179U,	// VPMINSBZ256rrk
+    571393051U,	// VPMINSBZ256rrkz
+    813073435U,	// VPMINSBZrm
+    87507995U,	// VPMINSBZrmk
+    571884571U,	// VPMINSBZrmkz
+    811648027U,	// VPMINSBZrr
+    2693809179U,	// VPMINSBZrrk
+    571393051U,	// VPMINSBZrrkz
+    811893787U,	// VPMINSBrm
+    811648027U,	// VPMINSBrr
+    812879029U,	// VPMINSDYrm
+    811650229U,	// VPMINSDYrr
+    811895989U,	// VPMINSDZ128rm
+    356601013U,	// VPMINSDZ128rmb
+    2505411765U,	// VPMINSDZ128rmbk
+    1431801013U,	// VPMINSDZ128rmbkz
+    87477429U,	// VPMINSDZ128rmk
+    571854005U,	// VPMINSDZ128rmkz
+    811650229U,	// VPMINSDZ128rr
+    2693811381U,	// VPMINSDZ128rrk
+    571395253U,	// VPMINSDZ128rrkz
+    812879029U,	// VPMINSDZ256rm
+    360795317U,	// VPMINSDZ256rmb
+    2509606069U,	// VPMINSDZ256rmbk
+    1435995317U,	// VPMINSDZ256rmbkz
+    1510581U,	// VPMINSDZ256rmk
+    571870389U,	// VPMINSDZ256rmkz
+    811650229U,	// VPMINSDZ256rr
+    2693811381U,	// VPMINSDZ256rrk
+    571395253U,	// VPMINSDZ256rrkz
+    813075637U,	// VPMINSDZrm
+    362892469U,	// VPMINSDZrmb
+    2511703221U,	// VPMINSDZrmbk
+    1438092469U,	// VPMINSDZrmbkz
+    87510197U,	// VPMINSDZrmk
+    571886773U,	// VPMINSDZrmkz
+    811650229U,	// VPMINSDZrr
+    2693811381U,	// VPMINSDZrrk
+    571395253U,	// VPMINSDZrrkz
+    811895989U,	// VPMINSDrm
+    811650229U,	// VPMINSDrr
+    811899423U,	// VPMINSQZ128rm
+    352426527U,	// VPMINSQZ128rmb
+    2501204511U,	// VPMINSQZ128rmbk
+    1427626527U,	// VPMINSQZ128rmbkz
+    87480863U,	// VPMINSQZ128rmk
+    571857439U,	// VPMINSQZ128rmkz
+    811653663U,	// VPMINSQZ128rr
+    2693814815U,	// VPMINSQZ128rrk
+    571398687U,	// VPMINSQZ128rrkz
+    812882463U,	// VPMINSQZ256rm
+    356620831U,	// VPMINSQZ256rmb
+    2505398815U,	// VPMINSQZ256rmbk
+    1431820831U,	// VPMINSQZ256rmbkz
+    1514015U,	// VPMINSQZ256rmk
+    571873823U,	// VPMINSQZ256rmkz
+    811653663U,	// VPMINSQZ256rr
+    2693814815U,	// VPMINSQZ256rrk
+    571398687U,	// VPMINSQZ256rrkz
+    813079071U,	// VPMINSQZrm
+    360815135U,	// VPMINSQZrmb
+    2509593119U,	// VPMINSQZrmbk
+    1436015135U,	// VPMINSQZrmbkz
+    87513631U,	// VPMINSQZrmk
+    571890207U,	// VPMINSQZrmkz
+    811653663U,	// VPMINSQZrr
+    2693814815U,	// VPMINSQZrrk
+    571398687U,	// VPMINSQZrrkz
+    812885919U,	// VPMINSWYrm
+    811657119U,	// VPMINSWYrr
+    811902879U,	// VPMINSWZ128rm
+    87484319U,	// VPMINSWZ128rmk
+    571860895U,	// VPMINSWZ128rmkz
+    811657119U,	// VPMINSWZ128rr
+    2693818271U,	// VPMINSWZ128rrk
+    571402143U,	// VPMINSWZ128rrkz
+    812885919U,	// VPMINSWZ256rm
+    1517471U,	// VPMINSWZ256rmk
+    571877279U,	// VPMINSWZ256rmkz
+    811657119U,	// VPMINSWZ256rr
+    2693818271U,	// VPMINSWZ256rrk
+    571402143U,	// VPMINSWZ256rrkz
+    813082527U,	// VPMINSWZrm
+    87517087U,	// VPMINSWZrmk
+    571893663U,	// VPMINSWZrmkz
+    811657119U,	// VPMINSWZrr
+    2693818271U,	// VPMINSWZrrk
+    571402143U,	// VPMINSWZrrkz
+    811902879U,	// VPMINSWrm
+    811657119U,	// VPMINSWrr
+    812876959U,	// VPMINUBYrm
+    811648159U,	// VPMINUBYrr
+    811893919U,	// VPMINUBZ128rm
+    87475359U,	// VPMINUBZ128rmk
+    571851935U,	// VPMINUBZ128rmkz
+    811648159U,	// VPMINUBZ128rr
+    2693809311U,	// VPMINUBZ128rrk
+    571393183U,	// VPMINUBZ128rrkz
+    812876959U,	// VPMINUBZ256rm
+    1508511U,	// VPMINUBZ256rmk
+    571868319U,	// VPMINUBZ256rmkz
+    811648159U,	// VPMINUBZ256rr
+    2693809311U,	// VPMINUBZ256rrk
+    571393183U,	// VPMINUBZ256rrkz
+    813073567U,	// VPMINUBZrm
+    87508127U,	// VPMINUBZrmk
+    571884703U,	// VPMINUBZrmkz
+    811648159U,	// VPMINUBZrr
+    2693809311U,	// VPMINUBZrrk
+    571393183U,	// VPMINUBZrrkz
+    811893919U,	// VPMINUBrm
+    811648159U,	// VPMINUBrr
+    812879222U,	// VPMINUDYrm
+    811650422U,	// VPMINUDYrr
+    811896182U,	// VPMINUDZ128rm
+    356601206U,	// VPMINUDZ128rmb
+    2505411958U,	// VPMINUDZ128rmbk
+    1431801206U,	// VPMINUDZ128rmbkz
+    87477622U,	// VPMINUDZ128rmk
+    571854198U,	// VPMINUDZ128rmkz
+    811650422U,	// VPMINUDZ128rr
+    2693811574U,	// VPMINUDZ128rrk
+    571395446U,	// VPMINUDZ128rrkz
+    812879222U,	// VPMINUDZ256rm
+    360795510U,	// VPMINUDZ256rmb
+    2509606262U,	// VPMINUDZ256rmbk
+    1435995510U,	// VPMINUDZ256rmbkz
+    1510774U,	// VPMINUDZ256rmk
+    571870582U,	// VPMINUDZ256rmkz
+    811650422U,	// VPMINUDZ256rr
+    2693811574U,	// VPMINUDZ256rrk
+    571395446U,	// VPMINUDZ256rrkz
+    813075830U,	// VPMINUDZrm
+    362892662U,	// VPMINUDZrmb
+    2511703414U,	// VPMINUDZrmbk
+    1438092662U,	// VPMINUDZrmbkz
+    87510390U,	// VPMINUDZrmk
+    571886966U,	// VPMINUDZrmkz
+    811650422U,	// VPMINUDZrr
+    2693811574U,	// VPMINUDZrrk
+    571395446U,	// VPMINUDZrrkz
+    811896182U,	// VPMINUDrm
+    811650422U,	// VPMINUDrr
+    811899684U,	// VPMINUQZ128rm
+    352426788U,	// VPMINUQZ128rmb
+    2501204772U,	// VPMINUQZ128rmbk
+    1427626788U,	// VPMINUQZ128rmbkz
+    87481124U,	// VPMINUQZ128rmk
+    571857700U,	// VPMINUQZ128rmkz
+    811653924U,	// VPMINUQZ128rr
+    2693815076U,	// VPMINUQZ128rrk
+    571398948U,	// VPMINUQZ128rrkz
+    812882724U,	// VPMINUQZ256rm
+    356621092U,	// VPMINUQZ256rmb
+    2505399076U,	// VPMINUQZ256rmbk
+    1431821092U,	// VPMINUQZ256rmbkz
+    1514276U,	// VPMINUQZ256rmk
+    571874084U,	// VPMINUQZ256rmkz
+    811653924U,	// VPMINUQZ256rr
+    2693815076U,	// VPMINUQZ256rrk
+    571398948U,	// VPMINUQZ256rrkz
+    813079332U,	// VPMINUQZrm
+    360815396U,	// VPMINUQZrmb
+    2509593380U,	// VPMINUQZrmbk
+    1436015396U,	// VPMINUQZrmbkz
+    87513892U,	// VPMINUQZrmk
+    571890468U,	// VPMINUQZrmkz
+    811653924U,	// VPMINUQZrr
+    2693815076U,	// VPMINUQZrrk
+    571398948U,	// VPMINUQZrrkz
+    812886166U,	// VPMINUWYrm
+    811657366U,	// VPMINUWYrr
+    811903126U,	// VPMINUWZ128rm
+    87484566U,	// VPMINUWZ128rmk
+    571861142U,	// VPMINUWZ128rmkz
+    811657366U,	// VPMINUWZ128rr
+    2693818518U,	// VPMINUWZ128rrk
+    571402390U,	// VPMINUWZ128rrkz
+    812886166U,	// VPMINUWZ256rm
+    1517718U,	// VPMINUWZ256rmk
+    571877526U,	// VPMINUWZ256rmkz
+    811657366U,	// VPMINUWZ256rr
+    2693818518U,	// VPMINUWZ256rrk
+    571402390U,	// VPMINUWZ256rrkz
+    813082774U,	// VPMINUWZrm
+    87517334U,	// VPMINUWZrmk
+    571893910U,	// VPMINUWZrmkz
+    811657366U,	// VPMINUWZrr
+    2693818518U,	// VPMINUWZrrk
+    571402390U,	// VPMINUWZrrkz
+    811903126U,	// VPMINUWrm
+    811657366U,	// VPMINUWrr
+    67142363U,	// VPMOVDBmr
+    2751824603U,	// VPMOVDBmrk
+    551813851U,	// VPMOVDBrr
+    2692793051U,	// VPMOVDBrrk
+    2692793051U,	// VPMOVDBrrkz
+    123774255U,	// VPMOVDWmr
+    2808456495U,	// VPMOVDWmrk
+    551822639U,	// VPMOVDWrr
+    2692801839U,	// VPMOVDWrrk
+    2692801839U,	// VPMOVDWrrkz
+    551813735U,	// VPMOVM2BZ128rr
+    551813735U,	// VPMOVM2BZ256rr
+    551813735U,	// VPMOVM2BZrr
+    551814489U,	// VPMOVM2DZ128rr
+    551814489U,	// VPMOVM2DZ256rr
+    551814489U,	// VPMOVM2DZrr
+    551818620U,	// VPMOVM2QZ128rr
+    551818620U,	// VPMOVM2QZ256rr
+    551818620U,	// VPMOVM2QZrr
+    551822291U,	// VPMOVM2WZ128rr
+    551822291U,	// VPMOVM2WZ256rr
+    551822291U,	// VPMOVM2WZrr
+    551813897U,	// VPMOVMSKBYrr
+    551813897U,	// VPMOVMSKBrr
+    67142552U,	// VPMOVQBmr
+    2751824792U,	// VPMOVQBmrk
+    551814040U,	// VPMOVQBrr
+    2692793240U,	// VPMOVQBrrk
+    2692793240U,	// VPMOVQBrrkz
+    123767583U,	// VPMOVQDmr
+    2808449823U,	// VPMOVQDmrk
+    551815967U,	// VPMOVQDrr
+    2692795167U,	// VPMOVQDrrk
+    2692795167U,	// VPMOVQDrrkz
+    67151543U,	// VPMOVQWmr
+    2751833783U,	// VPMOVQWmrk
+    551823031U,	// VPMOVQWrr
+    2692802231U,	// VPMOVQWrrk
+    2692802231U,	// VPMOVQWrrkz
+    67142353U,	// VPMOVSDBmr
+    2751824593U,	// VPMOVSDBmrk
+    551813841U,	// VPMOVSDBrr
+    2692793041U,	// VPMOVSDBrrk
+    2692793041U,	// VPMOVSDBrrkz
+    123774245U,	// VPMOVSDWmr
+    2808456485U,	// VPMOVSDWmrk
+    551822629U,	// VPMOVSDWrr
+    2692801829U,	// VPMOVSDWrrk
+    2692801829U,	// VPMOVSDWrrkz
+    67142542U,	// VPMOVSQBmr
+    2751824782U,	// VPMOVSQBmrk
+    551814030U,	// VPMOVSQBrr
+    2692793230U,	// VPMOVSQBrrk
+    2692793230U,	// VPMOVSQBrrkz
+    123767573U,	// VPMOVSQDmr
+    2808449813U,	// VPMOVSQDmrk
+    551815957U,	// VPMOVSQDrr
+    2692795157U,	// VPMOVSQDrrk
+    2692795157U,	// VPMOVSQDrrkz
+    67151533U,	// VPMOVSQWmr
+    2751833773U,	// VPMOVSQWmrk
+    551823021U,	// VPMOVSQWrr
+    2692802221U,	// VPMOVSQWrrk
+    2692802221U,	// VPMOVSQWrrkz
+    551830969U,	// VPMOVSXBDYrm
+    551814585U,	// VPMOVSXBDYrr
+    312761U,	// VPMOVSXBDZrm
+    2693039545U,	// VPMOVSXBDZrmk
+    2693039545U,	// VPMOVSXBDZrmkz
+    551814585U,	// VPMOVSXBDZrr
+    2692793785U,	// VPMOVSXBDZrrk
+    2692793785U,	// VPMOVSXBDZrrkz
+    551798201U,	// VPMOVSXBDrm
+    551814585U,	// VPMOVSXBDrr
+    551802346U,	// VPMOVSXBQYrm
+    551818730U,	// VPMOVSXBQYrr
+    316906U,	// VPMOVSXBQZrm
+    2693043690U,	// VPMOVSXBQZrmk
+    2693043690U,	// VPMOVSXBQZrmkz
+    551818730U,	// VPMOVSXBQZrr
+    2692797930U,	// VPMOVSXBQZrrk
+    2692797930U,	// VPMOVSXBQZrrkz
+    415210U,	// VPMOVSXBQrm
+    551818730U,	// VPMOVSXBQrr
+    320630U,	// VPMOVSXBWYrm
+    551822454U,	// VPMOVSXBWYrr
+    551838838U,	// VPMOVSXBWrm
+    551822454U,	// VPMOVSXBWrr
+    317337U,	// VPMOVSXDQYrm
+    551819161U,	// VPMOVSXDQYrr
+    1300377U,	// VPMOVSXDQZrm
+    2694027161U,	// VPMOVSXDQZrmk
+    2694027161U,	// VPMOVSXDQZrmkz
+    551819161U,	// VPMOVSXDQZrr
+    2692798361U,	// VPMOVSXDQZrrk
+    2692798361U,	// VPMOVSXDQZrrkz
+    551835545U,	// VPMOVSXDQrm
+    551819161U,	// VPMOVSXDQrr
+    314924U,	// VPMOVSXWDYrm
+    551816748U,	// VPMOVSXWDYrr
+    1297964U,	// VPMOVSXWDZrm
+    2694024748U,	// VPMOVSXWDZrmk
+    2694024748U,	// VPMOVSXWDZrmkz
+    551816748U,	// VPMOVSXWDZrr
+    2692795948U,	// VPMOVSXWDZrrk
+    2692795948U,	// VPMOVSXWDZrrkz
+    551833132U,	// VPMOVSXWDrm
+    551816748U,	// VPMOVSXWDrr
+    551836568U,	// VPMOVSXWQYrm
+    551820184U,	// VPMOVSXWQYrr
+    318360U,	// VPMOVSXWQZrm
+    2693045144U,	// VPMOVSXWQZrmk
+    2693045144U,	// VPMOVSXWQZrmkz
+    551820184U,	// VPMOVSXWQZrr
+    2692799384U,	// VPMOVSXWQZrrk
+    2692799384U,	// VPMOVSXWQZrrkz
+    551803800U,	// VPMOVSXWQrm
+    551820184U,	// VPMOVSXWQrr
+    67142342U,	// VPMOVUSDBmr
+    2751824582U,	// VPMOVUSDBmrk
+    551813830U,	// VPMOVUSDBrr
+    2692793030U,	// VPMOVUSDBrrk
+    2692793030U,	// VPMOVUSDBrrkz
+    123774234U,	// VPMOVUSDWmr
+    2808456474U,	// VPMOVUSDWmrk
+    551822618U,	// VPMOVUSDWrr
+    2692801818U,	// VPMOVUSDWrrk
+    2692801818U,	// VPMOVUSDWrrkz
+    67142531U,	// VPMOVUSQBmr
+    2751824771U,	// VPMOVUSQBmrk
+    551814019U,	// VPMOVUSQBrr
+    2692793219U,	// VPMOVUSQBrrk
+    2692793219U,	// VPMOVUSQBrrkz
+    123767562U,	// VPMOVUSQDmr
+    2808449802U,	// VPMOVUSQDmrk
+    551815946U,	// VPMOVUSQDrr
+    2692795146U,	// VPMOVUSQDrrk
+    2692795146U,	// VPMOVUSQDrrkz
+    67151522U,	// VPMOVUSQWmr
+    2751833762U,	// VPMOVUSQWmrk
+    551823010U,	// VPMOVUSQWrr
+    2692802210U,	// VPMOVUSQWrrk
+    2692802210U,	// VPMOVUSQWrrkz
+    551830980U,	// VPMOVZXBDYrm
+    551814596U,	// VPMOVZXBDYrr
+    312772U,	// VPMOVZXBDZrm
+    2693039556U,	// VPMOVZXBDZrmk
+    2693039556U,	// VPMOVZXBDZrmkz
+    551814596U,	// VPMOVZXBDZrr
+    2692793796U,	// VPMOVZXBDZrrk
+    2692793796U,	// VPMOVZXBDZrrkz
+    551798212U,	// VPMOVZXBDrm
+    551814596U,	// VPMOVZXBDrr
+    551802357U,	// VPMOVZXBQYrm
+    551818741U,	// VPMOVZXBQYrr
+    316917U,	// VPMOVZXBQZrm
+    2693043701U,	// VPMOVZXBQZrmk
+    2693043701U,	// VPMOVZXBQZrmkz
+    551818741U,	// VPMOVZXBQZrr
+    2692797941U,	// VPMOVZXBQZrrk
+    2692797941U,	// VPMOVZXBQZrrkz
+    415221U,	// VPMOVZXBQrm
+    551818741U,	// VPMOVZXBQrr
+    320641U,	// VPMOVZXBWYrm
+    551822465U,	// VPMOVZXBWYrr
+    551838849U,	// VPMOVZXBWrm
+    551822465U,	// VPMOVZXBWrr
+    317348U,	// VPMOVZXDQYrm
+    551819172U,	// VPMOVZXDQYrr
+    1300388U,	// VPMOVZXDQZrm
+    2694027172U,	// VPMOVZXDQZrmk
+    2694027172U,	// VPMOVZXDQZrmkz
+    551819172U,	// VPMOVZXDQZrr
+    2692798372U,	// VPMOVZXDQZrrk
+    2692798372U,	// VPMOVZXDQZrrkz
+    551835556U,	// VPMOVZXDQrm
+    551819172U,	// VPMOVZXDQrr
+    314935U,	// VPMOVZXWDYrm
+    551816759U,	// VPMOVZXWDYrr
+    1297975U,	// VPMOVZXWDZrm
+    2694024759U,	// VPMOVZXWDZrmk
+    2694024759U,	// VPMOVZXWDZrmkz
+    551816759U,	// VPMOVZXWDZrr
+    2692795959U,	// VPMOVZXWDZrrk
+    2692795959U,	// VPMOVZXWDZrrkz
+    551833143U,	// VPMOVZXWDrm
+    551816759U,	// VPMOVZXWDrr
+    551836579U,	// VPMOVZXWQYrm
+    551820195U,	// VPMOVZXWQYrr
+    318371U,	// VPMOVZXWQZrm
+    2693045155U,	// VPMOVZXWQZrmk
+    2693045155U,	// VPMOVZXWQZrmkz
+    551820195U,	// VPMOVZXWQZrr
+    2692799395U,	// VPMOVZXWQZrrk
+    2692799395U,	// VPMOVZXWQZrrkz
+    551803811U,	// VPMOVZXWQrm
+    551820195U,	// VPMOVZXWQrr
+    812881597U,	// VPMULDQYrm
+    811652797U,	// VPMULDQYrr
+    813078205U,	// VPMULDQZrm
+    360814269U,	// VPMULDQZrmb
+    1436014269U,	// VPMULDQZrmbk
+    1436014269U,	// VPMULDQZrmbkz
+    571889341U,	// VPMULDQZrmk
+    571889341U,	// VPMULDQZrmkz
+    811652797U,	// VPMULDQZrr
+    571397821U,	// VPMULDQZrrk
+    571397821U,	// VPMULDQZrrkz
+    811898557U,	// VPMULDQrm
+    811652797U,	// VPMULDQrr
+    811902904U,	// VPMULHRSWrm128
+    812885944U,	// VPMULHRSWrm256
+    811657144U,	// VPMULHRSWrr128
+    811657144U,	// VPMULHRSWrr256
+    812886147U,	// VPMULHUWYrm
+    811657347U,	// VPMULHUWYrr
+    811903107U,	// VPMULHUWrm
+    811657347U,	// VPMULHUWrr
+    812885431U,	// VPMULHWYrm
+    811656631U,	// VPMULHWYrr
+    811902391U,	// VPMULHWrm
+    811656631U,	// VPMULHWrr
+    812877437U,	// VPMULLDYrm
+    811648637U,	// VPMULLDYrr
+    811894397U,	// VPMULLDZ128rm
+    356599421U,	// VPMULLDZ128rmb
+    2505410173U,	// VPMULLDZ128rmbk
+    1431799421U,	// VPMULLDZ128rmbkz
+    87475837U,	// VPMULLDZ128rmk
+    571852413U,	// VPMULLDZ128rmkz
+    811648637U,	// VPMULLDZ128rr
+    2693809789U,	// VPMULLDZ128rrk
+    571393661U,	// VPMULLDZ128rrkz
+    812877437U,	// VPMULLDZ256rm
+    360793725U,	// VPMULLDZ256rmb
+    2509604477U,	// VPMULLDZ256rmbk
+    1435993725U,	// VPMULLDZ256rmbkz
+    1508989U,	// VPMULLDZ256rmk
+    571868797U,	// VPMULLDZ256rmkz
+    811648637U,	// VPMULLDZ256rr
+    2693809789U,	// VPMULLDZ256rrk
+    571393661U,	// VPMULLDZ256rrkz
+    813074045U,	// VPMULLDZrm
+    362890877U,	// VPMULLDZrmb
+    2511701629U,	// VPMULLDZrmbk
+    1438090877U,	// VPMULLDZrmbkz
+    87508605U,	// VPMULLDZrmk
+    571885181U,	// VPMULLDZrmkz
+    811648637U,	// VPMULLDZrr
+    2693809789U,	// VPMULLDZrrk
+    571393661U,	// VPMULLDZrrkz
+    811894397U,	// VPMULLDrm
+    811648637U,	// VPMULLDrr
+    811899019U,	// VPMULLQZ128rm
+    352426123U,	// VPMULLQZ128rmb
+    2501204107U,	// VPMULLQZ128rmbk
+    1427626123U,	// VPMULLQZ128rmbkz
+    87480459U,	// VPMULLQZ128rmk
+    571857035U,	// VPMULLQZ128rmkz
+    811653259U,	// VPMULLQZ128rr
+    2693814411U,	// VPMULLQZ128rrk
+    571398283U,	// VPMULLQZ128rrkz
+    812882059U,	// VPMULLQZ256rm
+    356620427U,	// VPMULLQZ256rmb
+    2505398411U,	// VPMULLQZ256rmbk
+    1431820427U,	// VPMULLQZ256rmbkz
+    1513611U,	// VPMULLQZ256rmk
+    571873419U,	// VPMULLQZ256rmkz
+    811653259U,	// VPMULLQZ256rr
+    2693814411U,	// VPMULLQZ256rrk
+    571398283U,	// VPMULLQZ256rrkz
+    813078667U,	// VPMULLQZrm
+    360814731U,	// VPMULLQZrmb
+    2509592715U,	// VPMULLQZrmbk
+    1436014731U,	// VPMULLQZrmbkz
+    87513227U,	// VPMULLQZrmk
+    571889803U,	// VPMULLQZrmkz
+    811653259U,	// VPMULLQZrr
+    2693814411U,	// VPMULLQZrrk
+    571398283U,	// VPMULLQZrrkz
+    812885500U,	// VPMULLWYrm
+    811656700U,	// VPMULLWYrr
+    811902460U,	// VPMULLWZ128rm
+    87483900U,	// VPMULLWZ128rmk
+    571860476U,	// VPMULLWZ128rmkz
+    811656700U,	// VPMULLWZ128rr
+    2693817852U,	// VPMULLWZ128rrk
+    571401724U,	// VPMULLWZ128rrkz
+    812885500U,	// VPMULLWZ256rm
+    1517052U,	// VPMULLWZ256rmk
+    571876860U,	// VPMULLWZ256rmkz
+    811656700U,	// VPMULLWZ256rr
+    2693817852U,	// VPMULLWZ256rrk
+    571401724U,	// VPMULLWZ256rrkz
+    813082108U,	// VPMULLWZrm
+    87516668U,	// VPMULLWZrmk
+    571893244U,	// VPMULLWZrmkz
+    811656700U,	// VPMULLWZrr
+    2693817852U,	// VPMULLWZrrk
+    571401724U,	// VPMULLWZrrkz
+    811902460U,	// VPMULLWrm
+    811656700U,	// VPMULLWrr
+    812881807U,	// VPMULUDQYrm
+    811653007U,	// VPMULUDQYrr
+    813078415U,	// VPMULUDQZrm
+    360814479U,	// VPMULUDQZrmb
+    1436014479U,	// VPMULUDQZrmbk
+    1436014479U,	// VPMULUDQZrmbkz
+    571889551U,	// VPMULUDQZrmk
+    571889551U,	// VPMULUDQZrmkz
+    811653007U,	// VPMULUDQZrr
+    571398031U,	// VPMULUDQZrrk
+    571398031U,	// VPMULUDQZrrkz
+    811898767U,	// VPMULUDQrm
+    811653007U,	// VPMULUDQrr
+    811895606U,	// VPORDZ128rm
+    356600630U,	// VPORDZ128rmb
+    2505411382U,	// VPORDZ128rmbk
+    1431800630U,	// VPORDZ128rmbkz
+    87477046U,	// VPORDZ128rmk
+    571853622U,	// VPORDZ128rmkz
+    811649846U,	// VPORDZ128rr
+    2693810998U,	// VPORDZ128rrk
+    571394870U,	// VPORDZ128rrkz
+    812878646U,	// VPORDZ256rm
+    360794934U,	// VPORDZ256rmb
+    2509605686U,	// VPORDZ256rmbk
+    1435994934U,	// VPORDZ256rmbkz
+    1510198U,	// VPORDZ256rmk
+    571870006U,	// VPORDZ256rmkz
+    811649846U,	// VPORDZ256rr
+    2693810998U,	// VPORDZ256rrk
+    571394870U,	// VPORDZ256rrkz
+    813075254U,	// VPORDZrm
+    362892086U,	// VPORDZrmb
+    2511702838U,	// VPORDZrmbk
+    1438092086U,	// VPORDZrmbkz
+    87509814U,	// VPORDZrmk
+    571886390U,	// VPORDZrmkz
+    811649846U,	// VPORDZrr
+    2693810998U,	// VPORDZrrk
+    571394870U,	// VPORDZrrkz
+    811899291U,	// VPORQZ128rm
+    352426395U,	// VPORQZ128rmb
+    2501204379U,	// VPORQZ128rmbk
+    1427626395U,	// VPORQZ128rmbkz
+    87480731U,	// VPORQZ128rmk
+    571857307U,	// VPORQZ128rmkz
+    811653531U,	// VPORQZ128rr
+    2693814683U,	// VPORQZ128rrk
+    571398555U,	// VPORQZ128rrkz
+    812882331U,	// VPORQZ256rm
+    356620699U,	// VPORQZ256rmb
+    2505398683U,	// VPORQZ256rmbk
+    1431820699U,	// VPORQZ256rmbkz
+    1513883U,	// VPORQZ256rmk
+    571873691U,	// VPORQZ256rmkz
+    811653531U,	// VPORQZ256rr
+    2693814683U,	// VPORQZ256rrk
+    571398555U,	// VPORQZ256rrkz
+    813078939U,	// VPORQZrm
+    360815003U,	// VPORQZrmb
+    2509592987U,	// VPORQZrmbk
+    1436015003U,	// VPORQZrmbkz
+    87513499U,	// VPORQZrmk
+    571890075U,	// VPORQZrmkz
+    811653531U,	// VPORQZrr
+    2693814683U,	// VPORQZrrk
+    571398555U,	// VPORQZrrkz
+    812882953U,	// VPORYrm
+    811654153U,	// VPORYrr
+    811899913U,	// VPORrm
+    811654153U,	// VPORrr
+    343102546U,	// VPPERMmr
+    303420498U,	// VPPERMrm
+    302961746U,	// VPPERMrr
+    25527414U,	// VPROTBmi
+    25527414U,	// VPROTBmr
+    811648118U,	// VPROTBri
+    811893878U,	// VPROTBrm
+    811648118U,	// VPROTBrr
+    25529677U,	// VPROTDmi
+    25529677U,	// VPROTDmr
+    811650381U,	// VPROTDri
+    811896141U,	// VPROTDrm
+    811650381U,	// VPROTDrr
+    25533163U,	// VPROTQmi
+    25533163U,	// VPROTQmr
+    811653867U,	// VPROTQri
+    811899627U,	// VPROTQrm
+    811653867U,	// VPROTQrr
+    25536611U,	// VPROTWmi
+    25536611U,	// VPROTWmr
+    811657315U,	// VPROTWri
+    811903075U,	// VPROTWrm
+    811657315U,	// VPROTWrr
+    812885013U,	// VPSADBWYrm
+    811656213U,	// VPSADBWYrr
+    811901973U,	// VPSADBWrm
+    811656213U,	// VPSADBWrr
+    2712880663U,	// VPSCATTERDDZmr
+    2714982171U,	// VPSCATTERDQZmr
+    2714979069U,	// VPSCATTERQDZmr
+    2714982760U,	// VPSCATTERQQZmr
+    25526920U,	// VPSHABmr
+    811893384U,	// VPSHABrm
+    811647624U,	// VPSHABrr
+    25527683U,	// VPSHADmr
+    811894147U,	// VPSHADrm
+    811648387U,	// VPSHADrr
+    25531807U,	// VPSHAQmr
+    811898271U,	// VPSHAQrm
+    811652511U,	// VPSHAQrr
+    25535459U,	// VPSHAWmr
+    811901923U,	// VPSHAWrm
+    811656163U,	// VPSHAWrr
+    25527072U,	// VPSHLBmr
+    811893536U,	// VPSHLBrm
+    811647776U,	// VPSHLBrr
+    25527917U,	// VPSHLDmr
+    811894381U,	// VPSHLDrm
+    811648621U,	// VPSHLDrr
+    25532532U,	// VPSHLQmr
+    811898996U,	// VPSHLQrm
+    811653236U,	// VPSHLQrr
+    25535972U,	// VPSHLWmr
+    811902436U,	// VPSHLWrm
+    811656676U,	// VPSHLWrr
+    812876516U,	// VPSHUFBYrm
+    811647716U,	// VPSHUFBYrr
+    811893476U,	// VPSHUFBrm
+    811647716U,	// VPSHUFBrr
+    161809984U,	// VPSHUFDYmi
+    811943488U,	// VPSHUFDYri
+    163907136U,	// VPSHUFDZmi
+    811943488U,	// VPSHUFDZri
+    25495104U,	// VPSHUFDmi
+    811943488U,	// VPSHUFDri
+    161818029U,	// VPSHUFHWYmi
+    811951533U,	// VPSHUFHWYri
+    25503149U,	// VPSHUFHWmi
+    811951533U,	// VPSHUFHWri
+    161818074U,	// VPSHUFLWYmi
+    811951578U,	// VPSHUFLWYri
+    25503194U,	// VPSHUFLWmi
+    811951578U,	// VPSHUFLWri
+    812876634U,	// VPSIGNBYrm
+    811647834U,	// VPSIGNBYrr
+    811893594U,	// VPSIGNBrm
+    811647834U,	// VPSIGNBrr
+    812877554U,	// VPSIGNDYrm
+    811648754U,	// VPSIGNDYrr
+    811894514U,	// VPSIGNDrm
+    811648754U,	// VPSIGNDrr
+    812885581U,	// VPSIGNWYrm
+    811656781U,	// VPSIGNWYrr
+    811902541U,	// VPSIGNWrm
+    811656781U,	// VPSIGNWrr
+    811947691U,	// VPSLLDQYri
+    811947691U,	// VPSLLDQri
+    811943541U,	// VPSLLDYri
+    811894389U,	// VPSLLDYrm
+    811648629U,	// VPSLLDYrr
+    3922003573U,	// VPSLLDZmi
+    672679541U,	// VPSLLDZmik
+    633718389U,	// VPSLLDZmikz
+    811943541U,	// VPSLLDZri
+    636110453U,	// VPSLLDZrik
+    570820213U,	// VPSLLDZrikz
+    811894389U,	// VPSLLDZrm
+    167167605U,	// VPSLLDZrmk
+    571852405U,	// VPSLLDZrmkz
+    811648629U,	// VPSLLDZrr
+    2693809781U,	// VPSLLDZrrk
+    571393653U,	// VPSLLDZrrkz
+    811943541U,	// VPSLLDri
+    811894389U,	// VPSLLDrm
+    811648629U,	// VPSLLDrr
+    811948163U,	// VPSLLQYri
+    811899011U,	// VPSLLQYrm
+    811653251U,	// VPSLLQYrr
+    3922008195U,	// VPSLLQZmi
+    672684163U,	// VPSLLQZmik
+    633723011U,	// VPSLLQZmikz
+    811948163U,	// VPSLLQZri
+    636115075U,	// VPSLLQZrik
+    570824835U,	// VPSLLQZrikz
+    811899011U,	// VPSLLQZrm
+    167172227U,	// VPSLLQZrmk
+    571857027U,	// VPSLLQZrmkz
+    811653251U,	// VPSLLQZrr
+    2693814403U,	// VPSLLQZrrk
+    571398275U,	// VPSLLQZrrkz
+    811948163U,	// VPSLLQri
+    811899011U,	// VPSLLQrm
+    811653251U,	// VPSLLQrr
+    812879258U,	// VPSLLVDYrm
+    811650458U,	// VPSLLVDYrr
+    813075866U,	// VPSLLVDZrm
+    167202202U,	// VPSLLVDZrmk
+    571887002U,	// VPSLLVDZrmkz
+    811650458U,	// VPSLLVDZrr
+    2693811610U,	// VPSLLVDZrrk
+    571395482U,	// VPSLLVDZrrkz
+    811896218U,	// VPSLLVDrm
+    811650458U,	// VPSLLVDrr
+    812882767U,	// VPSLLVQYrm
+    811653967U,	// VPSLLVQYrr
+    813079375U,	// VPSLLVQZrm
+    167205711U,	// VPSLLVQZrmk
+    571890511U,	// VPSLLVQZrmkz
+    811653967U,	// VPSLLVQZrr
+    2693815119U,	// VPSLLVQZrrk
+    571398991U,	// VPSLLVQZrrkz
+    811899727U,	// VPSLLVQrm
+    811653967U,	// VPSLLVQrr
+    811951604U,	// VPSLLWYri
+    811902452U,	// VPSLLWYrm
+    811656692U,	// VPSLLWYrr
+    811951604U,	// VPSLLWri
+    811902452U,	// VPSLLWrm
+    811656692U,	// VPSLLWrr
+    811943307U,	// VPSRADYri
+    811894155U,	// VPSRADYrm
+    811648395U,	// VPSRADYrr
+    3922003339U,	// VPSRADZmi
+    672679307U,	// VPSRADZmik
+    633718155U,	// VPSRADZmikz
+    811943307U,	// VPSRADZri
+    636110219U,	// VPSRADZrik
+    570819979U,	// VPSRADZrikz
+    811894155U,	// VPSRADZrm
+    167167371U,	// VPSRADZrmk
+    571852171U,	// VPSRADZrmkz
+    811648395U,	// VPSRADZrr
+    2693809547U,	// VPSRADZrrk
+    571393419U,	// VPSRADZrrkz
+    811943307U,	// VPSRADri
+    811894155U,	// VPSRADrm
+    811648395U,	// VPSRADrr
+    3922007463U,	// VPSRAQZmi
+    672683431U,	// VPSRAQZmik
+    633722279U,	// VPSRAQZmikz
+    811947431U,	// VPSRAQZri
+    636114343U,	// VPSRAQZrik
+    570824103U,	// VPSRAQZrikz
+    811898279U,	// VPSRAQZrm
+    167171495U,	// VPSRAQZrmk
+    571856295U,	// VPSRAQZrmkz
+    811652519U,	// VPSRAQZrr
+    2693813671U,	// VPSRAQZrrk
+    571397543U,	// VPSRAQZrrkz
+    812879249U,	// VPSRAVDYrm
+    811650449U,	// VPSRAVDYrr
+    813075857U,	// VPSRAVDZrm
+    167202193U,	// VPSRAVDZrmk
+    571886993U,	// VPSRAVDZrmkz
+    811650449U,	// VPSRAVDZrr
+    2693811601U,	// VPSRAVDZrrk
+    571395473U,	// VPSRAVDZrrkz
+    811896209U,	// VPSRAVDrm
+    811650449U,	// VPSRAVDrr
+    813079359U,	// VPSRAVQZrm
+    167205695U,	// VPSRAVQZrmk
+    571890495U,	// VPSRAVQZrmkz
+    811653951U,	// VPSRAVQZrr
+    2693815103U,	// VPSRAVQZrrk
+    571398975U,	// VPSRAVQZrrkz
+    811951083U,	// VPSRAWYri
+    811901931U,	// VPSRAWYrm
+    811656171U,	// VPSRAWYrr
+    811951083U,	// VPSRAWri
+    811901931U,	// VPSRAWrm
+    811656171U,	// VPSRAWrr
+    811947700U,	// VPSRLDQYri
+    811947700U,	// VPSRLDQri
+    811943558U,	// VPSRLDYri
+    811894406U,	// VPSRLDYrm
+    811648646U,	// VPSRLDYrr
+    3922003590U,	// VPSRLDZmi
+    672679558U,	// VPSRLDZmik
+    633718406U,	// VPSRLDZmikz
+    811943558U,	// VPSRLDZri
+    636110470U,	// VPSRLDZrik
+    570820230U,	// VPSRLDZrikz
+    811894406U,	// VPSRLDZrm
+    167167622U,	// VPSRLDZrmk
+    571852422U,	// VPSRLDZrmkz
+    811648646U,	// VPSRLDZrr
+    2693809798U,	// VPSRLDZrrk
+    571393670U,	// VPSRLDZrrkz
+    811943558U,	// VPSRLDri
+    811894406U,	// VPSRLDrm
+    811648646U,	// VPSRLDrr
+    811948186U,	// VPSRLQYri
+    811899034U,	// VPSRLQYrm
+    811653274U,	// VPSRLQYrr
+    3922008218U,	// VPSRLQZmi
+    672684186U,	// VPSRLQZmik
+    633723034U,	// VPSRLQZmikz
+    811948186U,	// VPSRLQZri
+    636115098U,	// VPSRLQZrik
+    570824858U,	// VPSRLQZrikz
+    811899034U,	// VPSRLQZrm
+    167172250U,	// VPSRLQZrmk
+    571857050U,	// VPSRLQZrmkz
+    811653274U,	// VPSRLQZrr
+    2693814426U,	// VPSRLQZrrk
+    571398298U,	// VPSRLQZrrkz
+    811948186U,	// VPSRLQri
+    811899034U,	// VPSRLQrm
+    811653274U,	// VPSRLQrr
+    812879267U,	// VPSRLVDYrm
+    811650467U,	// VPSRLVDYrr
+    813075875U,	// VPSRLVDZrm
+    167202211U,	// VPSRLVDZrmk
+    571887011U,	// VPSRLVDZrmkz
+    811650467U,	// VPSRLVDZrr
+    2693811619U,	// VPSRLVDZrrk
+    571395491U,	// VPSRLVDZrrkz
+    811896227U,	// VPSRLVDrm
+    811650467U,	// VPSRLVDrr
+    812882776U,	// VPSRLVQYrm
+    811653976U,	// VPSRLVQYrr
+    813079384U,	// VPSRLVQZrm
+    167205720U,	// VPSRLVQZrmk
+    571890520U,	// VPSRLVQZrmkz
+    811653976U,	// VPSRLVQZrr
+    2693815128U,	// VPSRLVQZrrk
+    571399000U,	// VPSRLVQZrrkz
+    811899736U,	// VPSRLVQrm
+    811653976U,	// VPSRLVQrr
+    811951627U,	// VPSRLWYri
+    811902475U,	// VPSRLWYrm
+    811656715U,	// VPSRLWYrr
+    811951627U,	// VPSRLWri
+    811902475U,	// VPSRLWrm
+    811656715U,	// VPSRLWrr
+    812876438U,	// VPSUBBYrm
+    811647638U,	// VPSUBBYrr
+    811893398U,	// VPSUBBZ128rm
+    87474838U,	// VPSUBBZ128rmk
+    571851414U,	// VPSUBBZ128rmkz
+    811647638U,	// VPSUBBZ128rr
+    2693808790U,	// VPSUBBZ128rrk
+    571392662U,	// VPSUBBZ128rrkz
+    812876438U,	// VPSUBBZ256rm
+    1507990U,	// VPSUBBZ256rmk
+    571867798U,	// VPSUBBZ256rmkz
+    811647638U,	// VPSUBBZ256rr
+    2693808790U,	// VPSUBBZ256rrk
+    571392662U,	// VPSUBBZ256rrkz
+    813073046U,	// VPSUBBZrm
+    87507606U,	// VPSUBBZrmk
+    571884182U,	// VPSUBBZrmkz
+    811647638U,	// VPSUBBZrr
+    2693808790U,	// VPSUBBZrrk
+    571392662U,	// VPSUBBZrrkz
+    811893398U,	// VPSUBBrm
+    811647638U,	// VPSUBBrr
+    812877233U,	// VPSUBDYrm
+    811648433U,	// VPSUBDYrr
+    811894193U,	// VPSUBDZ128rm
+    356599217U,	// VPSUBDZ128rmb
+    2505409969U,	// VPSUBDZ128rmbk
+    1431799217U,	// VPSUBDZ128rmbkz
+    87475633U,	// VPSUBDZ128rmk
+    571852209U,	// VPSUBDZ128rmkz
+    811648433U,	// VPSUBDZ128rr
+    2693809585U,	// VPSUBDZ128rrk
+    571393457U,	// VPSUBDZ128rrkz
+    812877233U,	// VPSUBDZ256rm
+    360793521U,	// VPSUBDZ256rmb
+    2509604273U,	// VPSUBDZ256rmbk
+    1435993521U,	// VPSUBDZ256rmbkz
+    1508785U,	// VPSUBDZ256rmk
+    571868593U,	// VPSUBDZ256rmkz
+    811648433U,	// VPSUBDZ256rr
+    2693809585U,	// VPSUBDZ256rrk
+    571393457U,	// VPSUBDZ256rrkz
+    813073841U,	// VPSUBDZrm
+    362890673U,	// VPSUBDZrmb
+    2511701425U,	// VPSUBDZrmbk
+    1438090673U,	// VPSUBDZrmbkz
+    87508401U,	// VPSUBDZrmk
+    571884977U,	// VPSUBDZrmkz
+    811648433U,	// VPSUBDZrr
+    2693809585U,	// VPSUBDZrrk
+    571393457U,	// VPSUBDZrrkz
+    811894193U,	// VPSUBDrm
+    811648433U,	// VPSUBDrr
+    812881370U,	// VPSUBQYrm
+    811652570U,	// VPSUBQYrr
+    811898330U,	// VPSUBQZ128rm
+    352425434U,	// VPSUBQZ128rmb
+    2501203418U,	// VPSUBQZ128rmbk
+    1427625434U,	// VPSUBQZ128rmbkz
+    87479770U,	// VPSUBQZ128rmk
+    571856346U,	// VPSUBQZ128rmkz
+    811652570U,	// VPSUBQZ128rr
+    2693813722U,	// VPSUBQZ128rrk
+    571397594U,	// VPSUBQZ128rrkz
+    812881370U,	// VPSUBQZ256rm
+    356619738U,	// VPSUBQZ256rmb
+    2505397722U,	// VPSUBQZ256rmbk
+    1431819738U,	// VPSUBQZ256rmbkz
+    1512922U,	// VPSUBQZ256rmk
+    571872730U,	// VPSUBQZ256rmkz
+    811652570U,	// VPSUBQZ256rr
+    2693813722U,	// VPSUBQZ256rrk
+    571397594U,	// VPSUBQZ256rrkz
+    813077978U,	// VPSUBQZrm
+    360814042U,	// VPSUBQZrmb
+    2509592026U,	// VPSUBQZrmbk
+    1436014042U,	// VPSUBQZrmbkz
+    87512538U,	// VPSUBQZrmk
+    571889114U,	// VPSUBQZrmkz
+    811652570U,	// VPSUBQZrr
+    2693813722U,	// VPSUBQZrrk
+    571397594U,	// VPSUBQZrrkz
+    811898330U,	// VPSUBQrm
+    811652570U,	// VPSUBQrr
+    812876802U,	// VPSUBSBYrm
+    811648002U,	// VPSUBSBYrr
+    811893762U,	// VPSUBSBrm
+    811648002U,	// VPSUBSBrr
+    812885860U,	// VPSUBSWYrm
+    811657060U,	// VPSUBSWYrr
+    811902820U,	// VPSUBSWrm
+    811657060U,	// VPSUBSWrr
+    812876850U,	// VPSUBUSBYrm
+    811648050U,	// VPSUBUSBYrr
+    811893810U,	// VPSUBUSBrm
+    811648050U,	// VPSUBUSBrr
+    812885982U,	// VPSUBUSWYrm
+    811657182U,	// VPSUBUSWYrr
+    811902942U,	// VPSUBUSWrm
+    811657182U,	// VPSUBUSWrr
+    812885094U,	// VPSUBWYrm
+    811656294U,	// VPSUBWYrr
+    811902054U,	// VPSUBWZ128rm
+    87483494U,	// VPSUBWZ128rmk
+    571860070U,	// VPSUBWZ128rmkz
+    811656294U,	// VPSUBWZ128rr
+    2693817446U,	// VPSUBWZ128rrk
+    571401318U,	// VPSUBWZ128rrkz
+    812885094U,	// VPSUBWZ256rm
+    1516646U,	// VPSUBWZ256rmk
+    571876454U,	// VPSUBWZ256rmkz
+    811656294U,	// VPSUBWZ256rr
+    2693817446U,	// VPSUBWZ256rrk
+    571401318U,	// VPSUBWZ256rrkz
+    813081702U,	// VPSUBWZrm
+    87516262U,	// VPSUBWZrmk
+    571892838U,	// VPSUBWZrmkz
+    811656294U,	// VPSUBWZrr
+    2693817446U,	// VPSUBWZrrk
+    571401318U,	// VPSUBWZrrkz
+    811902054U,	// VPSUBWrm
+    811656294U,	// VPSUBWrr
+    812762823U,	// VPTESTMDZrm
+    811648711U,	// VPTESTMDZrr
+    812767471U,	// VPTESTMQZrm
+    811653359U,	// VPTESTMQZrr
+    812762796U,	// VPTESTNMDZrm
+    811648684U,	// VPTESTNMDZrr
+    812767444U,	// VPTESTNMQZrm
+    811653332U,	// VPTESTNMQZrr
+    1303381U,	// VPTESTYrm
+    551822165U,	// VPTESTYrr
+    615253U,	// VPTESTrm
+    551822165U,	// VPTESTrr
+    812885032U,	// VPUNPCKHBWYrm
+    811656232U,	// VPUNPCKHBWYrr
+    811901992U,	// VPUNPCKHBWrm
+    811656232U,	// VPUNPCKHBWrr
+    812881548U,	// VPUNPCKHDQYrm
+    811652748U,	// VPUNPCKHDQYrr
+    813078156U,	// VPUNPCKHDQZrm
+    811652748U,	// VPUNPCKHDQZrr
+    811898508U,	// VPUNPCKHDQrm
+    811652748U,	// VPUNPCKHDQrr
+    812881641U,	// VPUNPCKHQDQYrm
+    811652841U,	// VPUNPCKHQDQYrr
+    813078249U,	// VPUNPCKHQDQZrm
+    811652841U,	// VPUNPCKHQDQZrr
+    811898601U,	// VPUNPCKHQDQrm
+    811652841U,	// VPUNPCKHQDQrr
+    812879325U,	// VPUNPCKHWDYrm
+    811650525U,	// VPUNPCKHWDYrr
+    811896285U,	// VPUNPCKHWDrm
+    811650525U,	// VPUNPCKHWDrr
+    812885054U,	// VPUNPCKLBWYrm
+    811656254U,	// VPUNPCKLBWYrr
+    811902014U,	// VPUNPCKLBWrm
+    811656254U,	// VPUNPCKLBWrr
+    812881567U,	// VPUNPCKLDQYrm
+    811652767U,	// VPUNPCKLDQYrr
+    813078175U,	// VPUNPCKLDQZrm
+    811652767U,	// VPUNPCKLDQZrr
+    811898527U,	// VPUNPCKLDQrm
+    811652767U,	// VPUNPCKLDQrr
+    812881654U,	// VPUNPCKLQDQYrm
+    811652854U,	// VPUNPCKLQDQYrr
+    813078262U,	// VPUNPCKLQDQZrm
+    811652854U,	// VPUNPCKLQDQZrr
+    811898614U,	// VPUNPCKLQDQrm
+    811652854U,	// VPUNPCKLQDQrr
+    812879337U,	// VPUNPCKLWDYrm
+    811650537U,	// VPUNPCKLWDYrr
+    811896297U,	// VPUNPCKLWDrm
+    811650537U,	// VPUNPCKLWDrr
+    811895620U,	// VPXORDZ128rm
+    356600644U,	// VPXORDZ128rmb
+    2505411396U,	// VPXORDZ128rmbk
+    1431800644U,	// VPXORDZ128rmbkz
+    87477060U,	// VPXORDZ128rmk
+    571853636U,	// VPXORDZ128rmkz
+    811649860U,	// VPXORDZ128rr
+    2693811012U,	// VPXORDZ128rrk
+    571394884U,	// VPXORDZ128rrkz
+    812878660U,	// VPXORDZ256rm
+    360794948U,	// VPXORDZ256rmb
+    2509605700U,	// VPXORDZ256rmbk
+    1435994948U,	// VPXORDZ256rmbkz
+    1510212U,	// VPXORDZ256rmk
+    571870020U,	// VPXORDZ256rmkz
+    811649860U,	// VPXORDZ256rr
+    2693811012U,	// VPXORDZ256rrk
+    571394884U,	// VPXORDZ256rrkz
+    813075268U,	// VPXORDZrm
+    362892100U,	// VPXORDZrmb
+    2511702852U,	// VPXORDZrmbk
+    1438092100U,	// VPXORDZrmbkz
+    87509828U,	// VPXORDZrmk
+    571886404U,	// VPXORDZrmkz
+    811649860U,	// VPXORDZrr
+    2693811012U,	// VPXORDZrrk
+    571394884U,	// VPXORDZrrkz
+    811899311U,	// VPXORQZ128rm
+    352426415U,	// VPXORQZ128rmb
+    2501204399U,	// VPXORQZ128rmbk
+    1427626415U,	// VPXORQZ128rmbkz
+    87480751U,	// VPXORQZ128rmk
+    571857327U,	// VPXORQZ128rmkz
+    811653551U,	// VPXORQZ128rr
+    2693814703U,	// VPXORQZ128rrk
+    571398575U,	// VPXORQZ128rrkz
+    812882351U,	// VPXORQZ256rm
+    356620719U,	// VPXORQZ256rmb
+    2505398703U,	// VPXORQZ256rmbk
+    1431820719U,	// VPXORQZ256rmbkz
+    1513903U,	// VPXORQZ256rmk
+    571873711U,	// VPXORQZ256rmkz
+    811653551U,	// VPXORQZ256rr
+    2693814703U,	// VPXORQZ256rrk
+    571398575U,	// VPXORQZ256rrkz
+    813078959U,	// VPXORQZrm
+    360815023U,	// VPXORQZrmb
+    2509593007U,	// VPXORQZrmbk
+    1436015023U,	// VPXORQZrmbkz
+    87513519U,	// VPXORQZrmk
+    571890095U,	// VPXORQZrmkz
+    811653551U,	// VPXORQZrr
+    2693814703U,	// VPXORQZrrk
+    571398575U,	// VPXORQZrrkz
+    812882976U,	// VPXORYrm
+    811654176U,	// VPXORYrr
+    811899936U,	// VPXORrm
+    811654176U,	// VPXORrr
+    115951707U,	// VRCP14PDZ128m
+    621381723U,	// VRCP14PDZ128mb
+    621774939U,	// VRCP14PDZ128mbk
+    620906587U,	// VRCP14PDZ128mbkz
+    2693793883U,	// VRCP14PDZ128mk
+    2692876379U,	// VRCP14PDZ128mkz
+    551815259U,	// VRCP14PDZ128r
+    2693711963U,	// VRCP14PDZ128rk
+    2692794459U,	// VRCP14PDZ128rkz
+    116688987U,	// VRCP14PDZ256m
+    625576027U,	// VRCP14PDZ256mb
+    625969243U,	// VRCP14PDZ256mbk
+    625100891U,	// VRCP14PDZ256mbkz
+    2693843035U,	// VRCP14PDZ256mk
+    2693728347U,	// VRCP14PDZ256mkz
+    551815259U,	// VRCP14PDZ256r
+    2693711963U,	// VRCP14PDZ256rk
+    2692794459U,	// VRCP14PDZ256rkz
+    116705371U,	// VRCP14PDZm
+    629770331U,	// VRCP14PDZmb
+    630163547U,	// VRCP14PDZmbk
+    629295195U,	// VRCP14PDZmbkz
+    2693941339U,	// VRCP14PDZmk
+    2693908571U,	// VRCP14PDZmkz
+    551815259U,	// VRCP14PDZr
+    2693711963U,	// VRCP14PDZrk
+    2692794459U,	// VRCP14PDZrkz
+    115957274U,	// VRCP14PSZ128m
+    625597978U,	// VRCP14PSZ128mb
+    626187802U,	// VRCP14PSZ128mbk
+    625122842U,	// VRCP14PSZ128mbkz
+    2693799450U,	// VRCP14PSZ128mk
+    2692881946U,	// VRCP14PSZ128mkz
+    551820826U,	// VRCP14PSZ128r
+    2693717530U,	// VRCP14PSZ128rk
+    2692800026U,	// VRCP14PSZ128rkz
+    116694554U,	// VRCP14PSZ256m
+    629792282U,	// VRCP14PSZ256mb
+    630382106U,	// VRCP14PSZ256mbk
+    629317146U,	// VRCP14PSZ256mbkz
+    2693848602U,	// VRCP14PSZ256mk
+    2693733914U,	// VRCP14PSZ256mkz
+    551820826U,	// VRCP14PSZ256r
+    2693717530U,	// VRCP14PSZ256rk
+    2692800026U,	// VRCP14PSZ256rkz
+    116710938U,	// VRCP14PSZm
+    631889434U,	// VRCP14PSZmb
+    632479258U,	// VRCP14PSZmbk
+    631414298U,	// VRCP14PSZmbkz
+    2693946906U,	// VRCP14PSZmk
+    2693914138U,	// VRCP14PSZmkz
+    551820826U,	// VRCP14PSZr
+    2693717530U,	// VRCP14PSZrk
+    2692800026U,	// VRCP14PSZrkz
+    283266069U,	// VRCP14SDrm
+    811650069U,	// VRCP14SDrr
+    283288020U,	// VRCP14SSrm
+    811655636U,	// VRCP14SSrr
+    116705393U,	// VRCP28PDm
+    116705393U,	// VRCP28PDmb
+    2693941361U,	// VRCP28PDmbk
+    2693908593U,	// VRCP28PDmbkz
+    2693941361U,	// VRCP28PDmk
+    2693908593U,	// VRCP28PDmkz
+    551815281U,	// VRCP28PDr
+    551815281U,	// VRCP28PDrb
+    2693711985U,	// VRCP28PDrbk
+    2692794481U,	// VRCP28PDrbkz
+    2693711985U,	// VRCP28PDrk
+    2692794481U,	// VRCP28PDrkz
+    116710960U,	// VRCP28PSm
+    116710960U,	// VRCP28PSmb
+    2693946928U,	// VRCP28PSmbk
+    2693914160U,	// VRCP28PSmbkz
+    2693946928U,	// VRCP28PSmk
+    2693914160U,	// VRCP28PSmkz
+    551820848U,	// VRCP28PSr
+    551820848U,	// VRCP28PSrb
+    2693717552U,	// VRCP28PSrbk
+    2692800048U,	// VRCP28PSrbkz
+    2693717552U,	// VRCP28PSrk
+    2692800048U,	// VRCP28PSrkz
+    811732011U,	// VRCP28SDm
+    87018539U,	// VRCP28SDmk
+    571477035U,	// VRCP28SDmkz
+    811650091U,	// VRCP28SDr
+    811650091U,	// VRCP28SDrb
+    2693811243U,	// VRCP28SDrbk
+    571395115U,	// VRCP28SDrbkz
+    2693811243U,	// VRCP28SDrk
+    571395115U,	// VRCP28SDrkz
+    811737578U,	// VRCP28SSm
+    87024106U,	// VRCP28SSmk
+    571482602U,	// VRCP28SSmkz
+    811655658U,	// VRCP28SSr
+    811655658U,	// VRCP28SSrb
+    2693816810U,	// VRCP28SSrbk
+    571400682U,	// VRCP28SSrbkz
+    2693816810U,	// VRCP28SSrk
+    571400682U,	// VRCP28SSrkz
+    1351652U,	// VRCPPSYm
+    1351652U,	// VRCPPSYm_Int
+    551821284U,	// VRCPPSYr
+    551821284U,	// VRCPPSYr_Int
+    614372U,	// VRCPPSm
+    614372U,	// VRCPPSm_Int
+    551821284U,	// VRCPPSr
+    551821284U,	// VRCPPSr_Int
+    283288180U,	// VRCPSSm
+    283288180U,	// VRCPSSm_Int
+    811655796U,	// VRCPSSr
+    159713671U,	// VRNDSCALEPDZm
+    811944327U,	// VRNDSCALEPDZr
+    159719230U,	// VRNDSCALEPSZm
+    811949886U,	// VRNDSCALEPSZr
+    300272781U,	// VRNDSCALESDm
+    1657997U,	// VRNDSCALESDmk
+    691555469U,	// VRNDSCALESDmkz
+    302386317U,	// VRNDSCALESDr
+    302386317U,	// VRNDSCALESDrb
+    169020557U,	// VRNDSCALESDrbk
+    1441418381U,	// VRNDSCALESDrbkz
+    87231629U,	// VRNDSCALESDrk
+    1441418381U,	// VRNDSCALESDrkz
+    300278340U,	// VRNDSCALESSm
+    1663556U,	// VRNDSCALESSmk
+    691561028U,	// VRNDSCALESSmkz
+    302391876U,	// VRNDSCALESSr
+    302391876U,	// VRNDSCALESSrb
+    169026116U,	// VRNDSCALESSrbk
+    1441423940U,	// VRNDSCALESSrbkz
+    87237188U,	// VRNDSCALESSrk
+    1441423940U,	// VRNDSCALESSrkz
+    82119012U,	// VROUNDPDm
+    811944292U,	// VROUNDPDr
+    82124571U,	// VROUNDPSm
+    811949851U,	// VROUNDPSr
+    312855683U,	// VROUNDSDm
+    302386307U,	// VROUNDSDr
+    302386307U,	// VROUNDSDr_Int
+    317055546U,	// VROUNDSSm
+    302391866U,	// VROUNDSSr
+    302391866U,	// VROUNDSSr_Int
+    157616484U,	// VROUNDYPDm
+    811944292U,	// VROUNDYPDr
+    157622043U,	// VROUNDYPSm
+    811949851U,	// VROUNDYPSr
+    115951717U,	// VRSQRT14PDZ128m
+    621381733U,	// VRSQRT14PDZ128mb
+    621774949U,	// VRSQRT14PDZ128mbk
+    620906597U,	// VRSQRT14PDZ128mbkz
+    2693793893U,	// VRSQRT14PDZ128mk
+    2692876389U,	// VRSQRT14PDZ128mkz
+    551815269U,	// VRSQRT14PDZ128r
+    2693711973U,	// VRSQRT14PDZ128rk
+    2692794469U,	// VRSQRT14PDZ128rkz
+    116688997U,	// VRSQRT14PDZ256m
+    625576037U,	// VRSQRT14PDZ256mb
+    625969253U,	// VRSQRT14PDZ256mbk
+    625100901U,	// VRSQRT14PDZ256mbkz
+    2693843045U,	// VRSQRT14PDZ256mk
+    2693728357U,	// VRSQRT14PDZ256mkz
+    551815269U,	// VRSQRT14PDZ256r
+    2693711973U,	// VRSQRT14PDZ256rk
+    2692794469U,	// VRSQRT14PDZ256rkz
+    116705381U,	// VRSQRT14PDZm
+    629770341U,	// VRSQRT14PDZmb
+    630163557U,	// VRSQRT14PDZmbk
+    629295205U,	// VRSQRT14PDZmbkz
+    2693941349U,	// VRSQRT14PDZmk
+    2693908581U,	// VRSQRT14PDZmkz
+    551815269U,	// VRSQRT14PDZr
+    2693711973U,	// VRSQRT14PDZrk
+    2692794469U,	// VRSQRT14PDZrkz
+    115957284U,	// VRSQRT14PSZ128m
+    625597988U,	// VRSQRT14PSZ128mb
+    626187812U,	// VRSQRT14PSZ128mbk
+    625122852U,	// VRSQRT14PSZ128mbkz
+    2693799460U,	// VRSQRT14PSZ128mk
+    2692881956U,	// VRSQRT14PSZ128mkz
+    551820836U,	// VRSQRT14PSZ128r
+    2693717540U,	// VRSQRT14PSZ128rk
+    2692800036U,	// VRSQRT14PSZ128rkz
+    116694564U,	// VRSQRT14PSZ256m
+    629792292U,	// VRSQRT14PSZ256mb
+    630382116U,	// VRSQRT14PSZ256mbk
+    629317156U,	// VRSQRT14PSZ256mbkz
+    2693848612U,	// VRSQRT14PSZ256mk
+    2693733924U,	// VRSQRT14PSZ256mkz
+    551820836U,	// VRSQRT14PSZ256r
+    2693717540U,	// VRSQRT14PSZ256rk
+    2692800036U,	// VRSQRT14PSZ256rkz
+    116710948U,	// VRSQRT14PSZm
+    631889444U,	// VRSQRT14PSZmb
+    632479268U,	// VRSQRT14PSZmbk
+    631414308U,	// VRSQRT14PSZmbkz
+    2693946916U,	// VRSQRT14PSZmk
+    2693914148U,	// VRSQRT14PSZmkz
+    551820836U,	// VRSQRT14PSZr
+    2693717540U,	// VRSQRT14PSZrk
+    2692800036U,	// VRSQRT14PSZrkz
+    283266079U,	// VRSQRT14SDrm
+    811650079U,	// VRSQRT14SDrr
+    283288030U,	// VRSQRT14SSrm
+    811655646U,	// VRSQRT14SSrr
+    116705403U,	// VRSQRT28PDm
+    116705403U,	// VRSQRT28PDmb
+    2693941371U,	// VRSQRT28PDmbk
+    2693908603U,	// VRSQRT28PDmbkz
+    2693941371U,	// VRSQRT28PDmk
+    2693908603U,	// VRSQRT28PDmkz
+    551815291U,	// VRSQRT28PDr
+    551815291U,	// VRSQRT28PDrb
+    2693711995U,	// VRSQRT28PDrbk
+    2692794491U,	// VRSQRT28PDrbkz
+    2693711995U,	// VRSQRT28PDrk
+    2692794491U,	// VRSQRT28PDrkz
+    116710970U,	// VRSQRT28PSm
+    116710970U,	// VRSQRT28PSmb
+    2693946938U,	// VRSQRT28PSmbk
+    2693914170U,	// VRSQRT28PSmbkz
+    2693946938U,	// VRSQRT28PSmk
+    2693914170U,	// VRSQRT28PSmkz
+    551820858U,	// VRSQRT28PSr
+    551820858U,	// VRSQRT28PSrb
+    2693717562U,	// VRSQRT28PSrbk
+    2692800058U,	// VRSQRT28PSrbkz
+    2693717562U,	// VRSQRT28PSrk
+    2692800058U,	// VRSQRT28PSrkz
+    811732021U,	// VRSQRT28SDm
+    87018549U,	// VRSQRT28SDmk
+    571477045U,	// VRSQRT28SDmkz
+    811650101U,	// VRSQRT28SDr
+    811650101U,	// VRSQRT28SDrb
+    2693811253U,	// VRSQRT28SDrbk
+    571395125U,	// VRSQRT28SDrbkz
+    2693811253U,	// VRSQRT28SDrk
+    571395125U,	// VRSQRT28SDrkz
+    811737588U,	// VRSQRT28SSm
+    87024116U,	// VRSQRT28SSmk
+    571482612U,	// VRSQRT28SSmkz
+    811655668U,	// VRSQRT28SSr
+    811655668U,	// VRSQRT28SSrb
+    2693816820U,	// VRSQRT28SSrbk
+    571400692U,	// VRSQRT28SSrbkz
+    2693816820U,	// VRSQRT28SSrk
+    571400692U,	// VRSQRT28SSrkz
+    1351823U,	// VRSQRTPSYm
+    1351823U,	// VRSQRTPSYm_Int
+    551821455U,	// VRSQRTPSYr
+    551821455U,	// VRSQRTPSYr_Int
+    614543U,	// VRSQRTPSm
+    614543U,	// VRSQRTPSm_Int
+    551821455U,	// VRSQRTPSr
+    551821455U,	// VRSQRTPSr_Int
+    283288205U,	// VRSQRTSSm
+    283288205U,	// VRSQRTSSm_Int
+    811655821U,	// VRSQRTSSr
+    2714978682U,	// VSCATTERDPDZmr
+    2712887089U,	// VSCATTERDPSZmr
+    627296485U,	// VSCATTERPF0DPDm
+    627302044U,	// VSCATTERPF0DPSm
+    627329582U,	// VSCATTERPF0QPDm
+    627335178U,	// VSCATTERPF0QPSm
+    627296516U,	// VSCATTERPF1DPDm
+    627302075U,	// VSCATTERPF1DPSm
+    627329613U,	// VSCATTERPF1QPDm
+    627335209U,	// VSCATTERPF1QPSm
+    2714978921U,	// VSCATTERQPDZmr
+    2714984517U,	// VSCATTERQPSZmr
+    101042580U,	// VSHUFPDYrmi
+    302385556U,	// VSHUFPDYrri
+    103139732U,	// VSHUFPDZrmi
+    302385556U,	// VSHUFPDZrri
+    300272020U,	// VSHUFPDrmi
+    302385556U,	// VSHUFPDrri
+    101048139U,	// VSHUFPSYrmi
+    302391115U,	// VSHUFPSYrri
+    103145291U,	// VSHUFPSZrmi
+    302391115U,	// VSHUFPSZrri
+    300277579U,	// VSHUFPSrmi
+    302391115U,	// VSHUFPSrri
+    1346204U,	// VSQRTPDYm
+    551815836U,	// VSQRTPDYr
+    115952284U,	// VSQRTPDZ128m
+    621382300U,	// VSQRTPDZ128mb
+    621775516U,	// VSQRTPDZ128mbk
+    620907164U,	// VSQRTPDZ128mbkz
+    2693794460U,	// VSQRTPDZ128mk
+    2692876956U,	// VSQRTPDZ128mkz
+    551815836U,	// VSQRTPDZ128r
+    2693712540U,	// VSQRTPDZ128rk
+    2692795036U,	// VSQRTPDZ128rkz
+    116689564U,	// VSQRTPDZ256m
+    625576604U,	// VSQRTPDZ256mb
+    625969820U,	// VSQRTPDZ256mbk
+    625101468U,	// VSQRTPDZ256mbkz
+    2693843612U,	// VSQRTPDZ256mk
+    2693728924U,	// VSQRTPDZ256mkz
+    551815836U,	// VSQRTPDZ256r
+    2693712540U,	// VSQRTPDZ256rk
+    2692795036U,	// VSQRTPDZ256rkz
+    116705948U,	// VSQRTPDZm
+    629770908U,	// VSQRTPDZmb
+    630164124U,	// VSQRTPDZmbk
+    629295772U,	// VSQRTPDZmbkz
+    2693941916U,	// VSQRTPDZmk
+    2693909148U,	// VSQRTPDZmkz
+    551815836U,	// VSQRTPDZr
+    2693712540U,	// VSQRTPDZrk
+    2692795036U,	// VSQRTPDZrkz
+    608924U,	// VSQRTPDm
+    551815836U,	// VSQRTPDr
+    1351833U,	// VSQRTPSYm
+    551821465U,	// VSQRTPSYr
+    115957913U,	// VSQRTPSZ128m
+    625598617U,	// VSQRTPSZ128mb
+    626188441U,	// VSQRTPSZ128mbk
+    625123481U,	// VSQRTPSZ128mbkz
+    2693800089U,	// VSQRTPSZ128mk
+    2692882585U,	// VSQRTPSZ128mkz
+    551821465U,	// VSQRTPSZ128r
+    2693718169U,	// VSQRTPSZ128rk
+    2692800665U,	// VSQRTPSZ128rkz
+    116695193U,	// VSQRTPSZ256m
+    629792921U,	// VSQRTPSZ256mb
+    630382745U,	// VSQRTPSZ256mbk
+    629317785U,	// VSQRTPSZ256mbkz
+    2693849241U,	// VSQRTPSZ256mk
+    2693734553U,	// VSQRTPSZ256mkz
+    551821465U,	// VSQRTPSZ256r
+    2693718169U,	// VSQRTPSZ256rk
+    2692800665U,	// VSQRTPSZ256rkz
+    116711577U,	// VSQRTPSZm
+    631890073U,	// VSQRTPSZmb
+    632479897U,	// VSQRTPSZmbk
+    631414937U,	// VSQRTPSZmbkz
+    2693947545U,	// VSQRTPSZmk
+    2693914777U,	// VSQRTPSZmkz
+    551821465U,	// VSQRTPSZr
+    2693718169U,	// VSQRTPSZrk
+    2692800665U,	// VSQRTPSZrkz
+    614553U,	// VSQRTPSm
+    551821465U,	// VSQRTPSr
+    283266276U,	// VSQRTSDZm
+    283266276U,	// VSQRTSDZm_Int
+    811650276U,	// VSQRTSDZr
+    811650276U,	// VSQRTSDZr_Int
+    283266276U,	// VSQRTSDm
+    283266276U,	// VSQRTSDm_Int
+    811650276U,	// VSQRTSDr
+    283288215U,	// VSQRTSSZm
+    283288215U,	// VSQRTSSZm_Int
+    811655831U,	// VSQRTSSZr
+    811655831U,	// VSQRTSSZr_Int
+    283288215U,	// VSQRTSSm
+    283288215U,	// VSQRTSSm_Int
+    811655831U,	// VSQRTSSr
+    236599U,	// VSTMXCSR
+    812583118U,	// VSUBPDYrm
+    811649230U,	// VSUBPDYrr
+    811731150U,	// VSUBPDZ128rm
+    352471246U,	// VSUBPDZ128rmb
+    2500806862U,	// VSUBPDZ128rmbk
+    1427081422U,	// VSUBPDZ128rmbkz
+    87017678U,	// VSUBPDZ128rmk
+    571476174U,	// VSUBPDZ128rmkz
+    811649230U,	// VSUBPDZ128rr
+    2693810382U,	// VSUBPDZ128rrk
+    571394254U,	// VSUBPDZ128rrkz
+    812583118U,	// VSUBPDZ256rm
+    356665550U,	// VSUBPDZ256rmb
+    2505001166U,	// VSUBPDZ256rmbk
+    1431275726U,	// VSUBPDZ256rmbkz
+    87066830U,	// VSUBPDZ256rmk
+    571525326U,	// VSUBPDZ256rmkz
+    811649230U,	// VSUBPDZ256rr
+    2693810382U,	// VSUBPDZ256rrk
+    571394254U,	// VSUBPDZ256rrkz
+    1116366U,	// VSUBPDZrb
+    87115982U,	// VSUBPDZrbk
+    359762126U,	// VSUBPDZrbkz
+    812763342U,	// VSUBPDZrm
+    360859854U,	// VSUBPDZrmb
+    2509195470U,	// VSUBPDZrmbk
+    1435470030U,	// VSUBPDZrmbkz
+    87165134U,	// VSUBPDZrmk
+    571623630U,	// VSUBPDZrmkz
+    811649230U,	// VSUBPDZrr
+    2693810382U,	// VSUBPDZrrk
+    571394254U,	// VSUBPDZrrkz
+    811731150U,	// VSUBPDrm
+    811649230U,	// VSUBPDrr
+    812588677U,	// VSUBPSYrm
+    811654789U,	// VSUBPSYrr
+    811736709U,	// VSUBPSZ128rm
+    356687493U,	// VSUBPSZ128rmb
+    2505219717U,	// VSUBPSZ128rmbk
+    1431494277U,	// VSUBPSZ128rmbkz
+    87023237U,	// VSUBPSZ128rmk
+    571481733U,	// VSUBPSZ128rmkz
+    811654789U,	// VSUBPSZ128rr
+    2693815941U,	// VSUBPSZ128rrk
+    571399813U,	// VSUBPSZ128rrkz
+    812588677U,	// VSUBPSZ256rm
+    360881797U,	// VSUBPSZ256rmb
+    2509414021U,	// VSUBPSZ256rmbk
+    1435688581U,	// VSUBPSZ256rmbkz
+    87072389U,	// VSUBPSZ256rmk
+    571530885U,	// VSUBPSZ256rmkz
+    811654789U,	// VSUBPSZ256rr
+    2693815941U,	// VSUBPSZ256rrk
+    571399813U,	// VSUBPSZ256rrkz
+    1121925U,	// VSUBPSZrb
+    87121541U,	// VSUBPSZrbk
+    359767685U,	// VSUBPSZrbkz
+    812768901U,	// VSUBPSZrm
+    362978949U,	// VSUBPSZrmb
+    2511511173U,	// VSUBPSZrmbk
+    1437785733U,	// VSUBPSZrmbkz
+    87170693U,	// VSUBPSZrmk
+    571629189U,	// VSUBPSZrmkz
+    811654789U,	// VSUBPSZrr
+    2693815941U,	// VSUBPSZrrk
+    571399813U,	// VSUBPSZrrkz
+    811736709U,	// VSUBPSrm
+    811654789U,	// VSUBPSrr
+    283266142U,	// VSUBSDZrm
+    811732062U,	// VSUBSDZrm_Int
+    87018590U,	// VSUBSDZrm_Intk
+    571477086U,	// VSUBSDZrm_Intkz
+    811650142U,	// VSUBSDZrr
+    811650142U,	// VSUBSDZrr_Int
+    2693811294U,	// VSUBSDZrr_Intk
+    571395166U,	// VSUBSDZrr_Intkz
+    1117278U,	// VSUBSDZrrb
+    87116894U,	// VSUBSDZrrbk
+    359763038U,	// VSUBSDZrrbkz
+    283266142U,	// VSUBSDrm
+    283266142U,	// VSUBSDrm_Int
+    811650142U,	// VSUBSDrr
+    811650142U,	// VSUBSDrr_Int
+    283288085U,	// VSUBSSZrm
+    811737621U,	// VSUBSSZrm_Int
+    87024149U,	// VSUBSSZrm_Intk
+    571482645U,	// VSUBSSZrm_Intkz
+    811655701U,	// VSUBSSZrr
+    811655701U,	// VSUBSSZrr_Int
+    2693816853U,	// VSUBSSZrr_Intk
+    571400725U,	// VSUBSSZrr_Intkz
+    1122837U,	// VSUBSSZrrb
+    87122453U,	// VSUBSSZrrbk
+    359768597U,	// VSUBSSZrrbkz
+    283288085U,	// VSUBSSrm
+    283288085U,	// VSUBSSrm_Int
+    811655701U,	// VSUBSSrr
+    811655701U,	// VSUBSSrr_Int
+    1346213U,	// VTESTPDYrm
+    551815845U,	// VTESTPDYrr
+    608933U,	// VTESTPDrm
+    551815845U,	// VTESTPDrr
+    1351842U,	// VTESTPSYrm
+    551821474U,	// VTESTPSYrr
+    614562U,	// VTESTPSrm
+    551821474U,	// VTESTPSrr
+    552176794U,	// VUCOMISDZrm
+    551816346U,	// VUCOMISDZrr
+    552176794U,	// VUCOMISDrm
+    551816346U,	// VUCOMISDrr
+    552198737U,	// VUCOMISSZrm
+    551821905U,	// VUCOMISSZrr
+    552198737U,	// VUCOMISSrm
+    551821905U,	// VUCOMISSrr
+    812583325U,	// VUNPCKHPDYrm
+    811649437U,	// VUNPCKHPDYrr
+    812763549U,	// VUNPCKHPDZrm
+    811649437U,	// VUNPCKHPDZrr
+    811731357U,	// VUNPCKHPDrm
+    811649437U,	// VUNPCKHPDrr
+    812588884U,	// VUNPCKHPSYrm
+    811654996U,	// VUNPCKHPSYrr
+    812769108U,	// VUNPCKHPSZrm
+    811654996U,	// VUNPCKHPSZrr
+    811736916U,	// VUNPCKHPSrm
+    811654996U,	// VUNPCKHPSrr
+    812583367U,	// VUNPCKLPDYrm
+    811649479U,	// VUNPCKLPDYrr
+    812763591U,	// VUNPCKLPDZrm
+    811649479U,	// VUNPCKLPDZrr
+    811731399U,	// VUNPCKLPDrm
+    811649479U,	// VUNPCKLPDrr
+    812588946U,	// VUNPCKLPSYrm
+    811655058U,	// VUNPCKLPSYrr
+    812769170U,	// VUNPCKLPSZrm
+    811655058U,	// VUNPCKLPSZrr
+    811736978U,	// VUNPCKLPSrm
+    811655058U,	// VUNPCKLPSrr
+    812583549U,	// VXORPDYrm
+    811649661U,	// VXORPDYrr
+    811731581U,	// VXORPDrm
+    811649661U,	// VXORPDrr
+    812589145U,	// VXORPSYrm
+    811655257U,	// VXORPSYrr
+    811737177U,	// VXORPSrm
+    811655257U,	// VXORPSrr
+    13126U,	// VZEROALL
+    13432U,	// VZEROUPPER
     0U,	// V_SET0
     0U,	// V_SETALLONES
-    417967U,	// W64ALLOCA
-    15221U,	// WAIT
-    14277U,	// WBINVD
-    14645U,	// WIN_ALLOCA
-    14452U,	// WIN_FTOL_32
-    14452U,	// WIN_FTOL_64
-    22986U,	// WRFSBASE
-    24602U,	// WRFSBASE64
-    23008U,	// WRGSBASE
-    24624U,	// WRGSBASE64
-    14841U,	// WRMSR
-    26927U,	// XABORT
-    14334U,	// XACQUIRE_PREFIX
-    4238013U,	// XADD16rm
-    551824061U,	// XADD16rr
-    12622149U,	// XADD32rm
-    551819589U,	// XADD32rr
-    18915061U,	// XADD64rm
-    551821045U,	// XADD64rr
-    23105223U,	// XADD8rm
-    551816903U,	// XADD8rr
-    14046U,	// XBEGIN
-    417090U,	// XBEGIN_4
-    2124631U,	// XCHG16ar
-    3504614231U,	// XCHG16rm
-    1357130583U,	// XCHG16rr
-    10508812U,	// XCHG32ar
-    10508812U,	// XCHG32ar64
-    3773045260U,	// XCHG32rm
-    1357126156U,	// XCHG32rr
-    16801893U,	// XCHG64ar
-    4041482341U,	// XCHG64rm
-    1357127781U,	// XCHG64rr
-    14946022U,	// XCHG8rm
-    1357123302U,	// XCHG8rr
-    22524U,	// XCH_F
-    14195U,	// XCRYPTCBC
-    14139U,	// XCRYPTCFB
-    14847U,	// XCRYPTCTR
-    14129U,	// XCRYPTECB
-    14149U,	// XCRYPTOFB
-    14258U,	// XEND
-    15268U,	// XGETBV
-    14179U,	// XLAT
-    2124924U,	// XOR16i16
-    4238460U,	// XOR16mi
-    4238460U,	// XOR16mi8
-    4238460U,	// XOR16mr
-    6351996U,	// XOR16ri
-    6351996U,	// XOR16ri8
-    6368380U,	// XOR16rm
-    6351996U,	// XOR16rr
-    8449148U,	// XOR16rr_REV
-    10509194U,	// XOR32i32
-    12622730U,	// XOR32mi
-    12622730U,	// XOR32mi8
-    12622730U,	// XOR32mr
-    6347658U,	// XOR32ri
-    6347658U,	// XOR32ri8
-    283204490U,	// XOR32rm
-    6347658U,	// XOR32rr
-    8444810U,	// XOR32rr_REV
-    16802173U,	// XOR64i32
-    18915709U,	// XOR64mi32
-    18915709U,	// XOR64mi8
-    18915709U,	// XOR64mr
-    6349181U,	// XOR64ri32
-    6349181U,	// XOR64ri8
-    283222397U,	// XOR64rm
-    6349181U,	// XOR64rr
-    8446333U,	// XOR64rr_REV
-    20991852U,	// XOR8i8
-    23105388U,	// XOR8mi
-    23105388U,	// XOR8mr
-    6344556U,	// XOR8ri
-    6344556U,	// XOR8ri8
-    118636U,	// XOR8rm
-    6344556U,	// XOR8rr
-    8441708U,	// XOR8rr_REV
-    8524876U,	// XORPDrm
-    8442956U,	// XORPDrr
-    8529594U,	// XORPSrm
-    8447674U,	// XORPSrr
-    14350U,	// XRELEASE_PREFIX
-    631696U,	// XRSTOR
-    631156U,	// XRSTOR64
-    628689U,	// XSAVE
-    630854U,	// XSAVE64
-    633118U,	// XSAVEOPT
-    631422U,	// XSAVEOPT64
-    15275U,	// XSETBV
-    13773U,	// XSHA1
-    14008U,	// XSHA256
-    14343U,	// XSTORE
-    15251U,	// XTEST
+    13846U,	// WAIT
+    12869U,	// WBINVD
+    13243U,	// WIN_ALLOCA
+    13044U,	// WIN_FTOL_32
+    13044U,	// WIN_FTOL_64
+    20738U,	// WRFSBASE
+    22512U,	// WRFSBASE64
+    20760U,	// WRGSBASE
+    22534U,	// WRGSBASE64
+    13466U,	// WRMSR
+    25386U,	// XABORT
+    12926U,	// XACQUIRE_PREFIX
+    4236492U,	// XADD16rm
+    551822540U,	// XADD16rr
+    12619901U,	// XADD32rm
+    551817341U,	// XADD32rr
+    18912882U,	// XADD64rm
+    551818866U,	// XADD64rr
+    23102136U,	// XADD8rm
+    551813816U,	// XADD8rr
+    12638U,	// XBEGIN
+    447610U,	// XBEGIN_2
+    447610U,	// XBEGIN_4
+    2123147U,	// XCHG16ar
+    3504612747U,	// XCHG16rm
+    1357129099U,	// XCHG16rr
+    10506564U,	// XCHG32ar
+    10506564U,	// XCHG32ar64
+    3773043012U,	// XCHG32rm
+    1357123908U,	// XCHG32rr
+    16799794U,	// XCHG64ar
+    4041480242U,	// XCHG64rm
+    1357125682U,	// XCHG64rr
+    14942966U,	// XCHG8rm
+    1357120246U,	// XCHG8rr
+    20226U,	// XCH_F
+    12787U,	// XCRYPTCBC
+    12731U,	// XCRYPTCFB
+    13472U,	// XCRYPTCTR
+    12721U,	// XCRYPTECB
+    12741U,	// XCRYPTOFB
+    12850U,	// XEND
+    13901U,	// XGETBV
+    12771U,	// XLAT
+    2123516U,	// XOR16i16
+    4237052U,	// XOR16mi
+    4237052U,	// XOR16mi8
+    4237052U,	// XOR16mr
+    6350588U,	// XOR16ri
+    6350588U,	// XOR16ri8
+    6366972U,	// XOR16rm
+    6350588U,	// XOR16rr
+    8447740U,	// XOR16rr_REV
+    10506946U,	// XOR32i32
+    12620482U,	// XOR32mi
+    12620482U,	// XOR32mi8
+    12620482U,	// XOR32mr
+    6345410U,	// XOR32ri
+    6345410U,	// XOR32ri8
+    283202242U,	// XOR32rm
+    6345410U,	// XOR32rr
+    8442562U,	// XOR32rr_REV
+    16800169U,	// XOR64i32
+    18913705U,	// XOR64mi32
+    18913705U,	// XOR64mi8
+    18913705U,	// XOR64mr
+    6347177U,	// XOR64ri32
+    6347177U,	// XOR64ri8
+    283220393U,	// XOR64rm
+    6347177U,	// XOR64rr
+    8444329U,	// XOR64rr_REV
+    20988872U,	// XOR8i8
+    23102408U,	// XOR8mi
+    23102408U,	// XOR8mi8
+    23102408U,	// XOR8mr
+    6341576U,	// XOR8ri
+    6341576U,	// XOR8ri8
+    115656U,	// XOR8rm
+    6341576U,	// XOR8rr
+    8438728U,	// XOR8rr_REV
+    8522366U,	// XORPDrm
+    8440446U,	// XORPDrr
+    8527962U,	// XORPSrm
+    8446042U,	// XORPSrr
+    12942U,	// XRELEASE_PREFIX
+    662552U,	// XRSTOR
+    655566U,	// XRSTOR64
+    663821U,	// XRSTORS
+    655586U,	// XRSTORS64
+    659159U,	// XSAVE
+    655556U,	// XSAVE64
+    656671U,	// XSAVEC
+    655545U,	// XSAVEC64
+    664333U,	// XSAVEOPT
+    655597U,	// XSAVEOPT64
+    662656U,	// XSAVES
+    655576U,	// XSAVES64
+    13908U,	// XSETBV
+    12365U,	// XSHA1
+    12600U,	// XSHA256
+    12935U,	// XSTORE
+    13884U,	// XTEST
+    13315U,	// fdisi8087_nop
+    13302U,	// feni8087_nop
     0U
   };
 
-  static const uint16_t OpInfo2[] = {
+  static const uint32_t OpInfo2[] = {
     0U,	// PHI
     0U,	// INLINEASM
     0U,	// CFI_INSTRUCTION
@@ -6305,6 +8891,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     0U,	// AAA
     0U,	// AAD8i8
     0U,	// AAM8i8
@@ -6346,8 +8934,10 @@ static void printInstruction(MCInst *MI,
     0U,	// ADC64rr_REV
     0U,	// ADC8i8
     0U,	// ADC8mi
+    0U,	// ADC8mi8
     0U,	// ADC8mr
     0U,	// ADC8ri
+    0U,	// ADC8ri8
     0U,	// ADC8rm
     0U,	// ADC8rr
     0U,	// ADC8rr_REV
@@ -6393,6 +8983,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ADD64rr_REV
     0U,	// ADD8i8
     0U,	// ADD8mi
+    0U,	// ADD8mi8
     0U,	// ADD8mr
     0U,	// ADD8ri
     0U,	// ADD8ri8
@@ -6455,7 +9046,7 @@ static void printInstruction(MCInst *MI,
     0U,	// AESIMCrm
     0U,	// AESIMCrr
     0U,	// AESKEYGENASSIST128rm
-    0U,	// AESKEYGENASSIST128rr
+    4U,	// AESKEYGENASSIST128rr
     0U,	// AND16i16
     0U,	// AND16mi
     0U,	// AND16mi8
@@ -6485,16 +9076,17 @@ static void printInstruction(MCInst *MI,
     0U,	// AND64rr_REV
     0U,	// AND8i8
     0U,	// AND8mi
+    0U,	// AND8mi8
     0U,	// AND8mr
     0U,	// AND8ri
     0U,	// AND8ri8
     0U,	// AND8rm
     0U,	// AND8rr
     0U,	// AND8rr_REV
-    4U,	// ANDN32rm
-    0U,	// ANDN32rr
-    4U,	// ANDN64rm
-    0U,	// ANDN64rr
+    72U,	// ANDN32rm
+    4U,	// ANDN32rr
+    72U,	// ANDN64rm
+    4U,	// ANDN64rr
     0U,	// ANDNPDrm
     0U,	// ANDNPDrr
     0U,	// ANDNPSrm
@@ -6508,14 +9100,14 @@ static void printInstruction(MCInst *MI,
     0U,	// AVX2_SETALLONES
     0U,	// AVX512_512_SET0
     0U,	// AVX_SET0
-    0U,	// BEXTR32rm
-    0U,	// BEXTR32rr
-    0U,	// BEXTR64rm
-    0U,	// BEXTR64rr
-    0U,	// BEXTRI32mi
-    0U,	// BEXTRI32ri
-    0U,	// BEXTRI64mi
-    0U,	// BEXTRI64ri
+    4U,	// BEXTR32rm
+    4U,	// BEXTR32rr
+    4U,	// BEXTR64rm
+    4U,	// BEXTR64rr
+    4U,	// BEXTRI32mi
+    4U,	// BEXTRI32ri
+    4U,	// BEXTRI64mi
+    4U,	// BEXTRI64ri
     0U,	// BLCFILL32rm
     0U,	// BLCFILL32rr
     0U,	// BLCFILL64rm
@@ -6628,10 +9220,10 @@ static void printInstruction(MCInst *MI,
     0U,	// BTS64mr
     0U,	// BTS64ri8
     0U,	// BTS64rr
-    0U,	// BZHI32rm
-    0U,	// BZHI32rr
-    0U,	// BZHI64rm
-    0U,	// BZHI64rr
+    4U,	// BZHI32rm
+    4U,	// BZHI32rr
+    4U,	// BZHI64rm
+    4U,	// BZHI64rr
     0U,	// CALL16m
     0U,	// CALL16r
     0U,	// CALL32m
@@ -6652,9 +9244,11 @@ static void printInstruction(MCInst *MI,
     0U,	// CLC
     0U,	// CLD
     0U,	// CLFLUSH
+    0U,	// CLFLUSHOPT
     0U,	// CLGI
     0U,	// CLI
     0U,	// CLTS
+    0U,	// CLWB
     0U,	// CMC
     0U,	// CMOVA16rm
     0U,	// CMOVA16rr
@@ -6830,29 +9424,31 @@ static void printInstruction(MCInst *MI,
     0U,	// CMP64rr_REV
     0U,	// CMP8i8
     0U,	// CMP8mi
+    0U,	// CMP8mi8
     0U,	// CMP8mr
     0U,	// CMP8ri
+    0U,	// CMP8ri8
     0U,	// CMP8rm
     0U,	// CMP8rr
     0U,	// CMP8rr_REV
-    8U,	// CMPPDrmi
+    4U,	// CMPPDrmi
     0U,	// CMPPDrmi_alt
-    4U,	// CMPPDrri
+    72U,	// CMPPDrri
     0U,	// CMPPDrri_alt
-    8U,	// CMPPSrmi
+    4U,	// CMPPSrmi
     0U,	// CMPPSrmi_alt
-    4U,	// CMPPSrri
+    72U,	// CMPPSrri
     0U,	// CMPPSrri_alt
     0U,	// CMPSB
-    8U,	// CMPSDrm
+    4U,	// CMPSDrm
     0U,	// CMPSDrm_alt
-    4U,	// CMPSDrr
+    72U,	// CMPSDrr
     0U,	// CMPSDrr_alt
     0U,	// CMPSL
     0U,	// CMPSQ
-    8U,	// CMPSSrm
+    4U,	// CMPSSrm
     0U,	// CMPSSrm_alt
-    4U,	// CMPSSrr
+    72U,	// CMPSSrr
     0U,	// CMPSSrr_alt
     0U,	// CMPSW
     0U,	// CMPXCHG16B
@@ -6877,8 +9473,7 @@ static void printInstruction(MCInst *MI,
     0U,	// COS_Fp32
     0U,	// COS_Fp64
     0U,	// COS_Fp80
-    0U,	// CPUID32
-    0U,	// CPUID64
+    0U,	// CPUID
     0U,	// CQO
     0U,	// CRC32r32m16
     0U,	// CRC32r32m32
@@ -6941,14 +9536,10 @@ static void printInstruction(MCInst *MI,
     0U,	// DATA16_PREFIX
     0U,	// DEC16m
     0U,	// DEC16r
-    0U,	// DEC32_16r
-    0U,	// DEC32_32r
+    0U,	// DEC16r_alt
     0U,	// DEC32m
     0U,	// DEC32r
-    0U,	// DEC64_16m
-    0U,	// DEC64_16r
-    0U,	// DEC64_32m
-    0U,	// DEC64_32r
+    0U,	// DEC32r_alt
     0U,	// DEC64m
     0U,	// DEC64r
     0U,	// DEC8m
@@ -7027,7 +9618,7 @@ static void printInstruction(MCInst *MI,
     0U,	// ENCLU
     0U,	// ENTER
     0U,	// EXTRACTPSmr
-    0U,	// EXTRACTPSrr
+    4U,	// EXTRACTPSrr
     0U,	// EXTRQ
     0U,	// EXTRQI
     0U,	// F2XM1
@@ -7082,6 +9673,7 @@ static void printInstruction(MCInst *MI,
     0U,	// FPREM
     0U,	// FPREM1
     0U,	// FPTAN
+    0U,	// FP_FFREEP
     0U,	// FRNDINT
     0U,	// FRSTORm
     0U,	// FSAVEm
@@ -7119,6 +9711,22 @@ static void printInstruction(MCInst *MI,
     0U,	// FsXORPDrr
     0U,	// FsXORPSrm
     0U,	// FsXORPSrr
+    0U,	// FvANDNPDrm
+    0U,	// FvANDNPDrr
+    0U,	// FvANDNPSrm
+    0U,	// FvANDNPSrr
+    0U,	// FvANDPDrm
+    0U,	// FvANDPDrr
+    0U,	// FvANDPSrm
+    0U,	// FvANDPSrr
+    0U,	// FvORPDrm
+    0U,	// FvORPDrr
+    0U,	// FvORPSrm
+    0U,	// FvORPSrr
+    0U,	// FvXORPDrm
+    0U,	// FvXORPDrr
+    0U,	// FvXORPSrm
+    0U,	// FvXORPSrr
     0U,	// GETSEC
     0U,	// HADDPDrm
     0U,	// HADDPDrr
@@ -7155,24 +9763,24 @@ static void printInstruction(MCInst *MI,
     0U,	// IMUL16rmi
     0U,	// IMUL16rmi8
     0U,	// IMUL16rr
-    0U,	// IMUL16rri
-    0U,	// IMUL16rri8
+    4U,	// IMUL16rri
+    4U,	// IMUL16rri8
     0U,	// IMUL32m
     0U,	// IMUL32r
     0U,	// IMUL32rm
-    0U,	// IMUL32rmi
-    0U,	// IMUL32rmi8
+    4U,	// IMUL32rmi
+    4U,	// IMUL32rmi8
     0U,	// IMUL32rr
-    0U,	// IMUL32rri
-    0U,	// IMUL32rri8
+    4U,	// IMUL32rri
+    4U,	// IMUL32rri8
     0U,	// IMUL64m
     0U,	// IMUL64r
     0U,	// IMUL64rm
-    0U,	// IMUL64rmi32
-    0U,	// IMUL64rmi8
+    4U,	// IMUL64rmi32
+    4U,	// IMUL64rmi8
     0U,	// IMUL64rr
-    0U,	// IMUL64rri32
-    0U,	// IMUL64rri8
+    4U,	// IMUL64rri32
+    4U,	// IMUL64rri8
     0U,	// IMUL8m
     0U,	// IMUL8r
     0U,	// IN16ri
@@ -7183,14 +9791,10 @@ static void printInstruction(MCInst *MI,
     0U,	// IN8rr
     0U,	// INC16m
     0U,	// INC16r
-    0U,	// INC32_16r
-    0U,	// INC32_32r
+    0U,	// INC16r_alt
     0U,	// INC32m
     0U,	// INC32r
-    0U,	// INC64_16m
-    0U,	// INC64_16r
-    0U,	// INC64_32m
-    0U,	// INC64_32r
+    0U,	// INC32r_alt
     0U,	// INC64m
     0U,	// INC64r
     0U,	// INC8m
@@ -7245,10 +9849,10 @@ static void printInstruction(MCInst *MI,
     0U,	// IST_Fp64m32
     0U,	// IST_Fp64m64
     0U,	// IST_Fp64m80
-    8U,	// Int_CMPSDrm
-    4U,	// Int_CMPSDrr
-    8U,	// Int_CMPSSrm
-    4U,	// Int_CMPSSrr
+    4U,	// Int_CMPSDrm
+    72U,	// Int_CMPSDrr
+    4U,	// Int_CMPSSrm
+    72U,	// Int_CMPSSrr
     0U,	// Int_COMISDrm
     0U,	// Int_COMISDrr
     0U,	// Int_COMISSrm
@@ -7278,10 +9882,10 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_UCOMISDrr
     0U,	// Int_UCOMISSrm
     0U,	// Int_UCOMISSrr
-    76U,	// Int_VCMPSDrm
-    1156U,	// Int_VCMPSDrr
-    76U,	// Int_VCMPSSrm
-    1156U,	// Int_VCMPSSrr
+    140U,	// Int_VCMPSDrm
+    2248U,	// Int_VCMPSDrr
+    140U,	// Int_VCMPSSrm
+    2248U,	// Int_VCMPSSrr
     0U,	// Int_VCOMISDZrm
     0U,	// Int_VCOMISDZrr
     0U,	// Int_VCOMISDrm
@@ -7290,26 +9894,26 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_VCOMISSZrr
     0U,	// Int_VCOMISSrm
     0U,	// Int_VCOMISSrr
-    4U,	// Int_VCVTSD2SSrm
-    0U,	// Int_VCVTSD2SSrr
-    4U,	// Int_VCVTSI2SD64Zrm
-    0U,	// Int_VCVTSI2SD64Zrr
-    4U,	// Int_VCVTSI2SD64rm
-    0U,	// Int_VCVTSI2SD64rr
-    4U,	// Int_VCVTSI2SDZrm
-    0U,	// Int_VCVTSI2SDZrr
-    4U,	// Int_VCVTSI2SDrm
-    0U,	// Int_VCVTSI2SDrr
-    4U,	// Int_VCVTSI2SS64Zrm
-    0U,	// Int_VCVTSI2SS64Zrr
-    4U,	// Int_VCVTSI2SS64rm
-    0U,	// Int_VCVTSI2SS64rr
-    4U,	// Int_VCVTSI2SSZrm
-    0U,	// Int_VCVTSI2SSZrr
-    4U,	// Int_VCVTSI2SSrm
-    0U,	// Int_VCVTSI2SSrr
-    4U,	// Int_VCVTSS2SDrm
-    0U,	// Int_VCVTSS2SDrr
+    72U,	// Int_VCVTSD2SSrm
+    4U,	// Int_VCVTSD2SSrr
+    72U,	// Int_VCVTSI2SD64Zrm
+    4U,	// Int_VCVTSI2SD64Zrr
+    72U,	// Int_VCVTSI2SD64rm
+    4U,	// Int_VCVTSI2SD64rr
+    72U,	// Int_VCVTSI2SDZrm
+    4U,	// Int_VCVTSI2SDZrr
+    72U,	// Int_VCVTSI2SDrm
+    4U,	// Int_VCVTSI2SDrr
+    72U,	// Int_VCVTSI2SS64Zrm
+    4U,	// Int_VCVTSI2SS64Zrr
+    72U,	// Int_VCVTSI2SS64rm
+    4U,	// Int_VCVTSI2SS64rr
+    72U,	// Int_VCVTSI2SSZrm
+    4U,	// Int_VCVTSI2SSZrr
+    72U,	// Int_VCVTSI2SSrm
+    4U,	// Int_VCVTSI2SSrr
+    72U,	// Int_VCVTSS2SDrm
+    4U,	// Int_VCVTSS2SDrr
     0U,	// Int_VCVTTSD2SI64Zrm
     0U,	// Int_VCVTTSD2SI64Zrr
     0U,	// Int_VCVTTSD2SI64rm
@@ -7334,14 +9938,14 @@ static void printInstruction(MCInst *MI,
     0U,	// Int_VCVTTSS2USI64Zrr
     0U,	// Int_VCVTTSS2USIZrm
     0U,	// Int_VCVTTSS2USIZrr
-    4U,	// Int_VCVTUSI2SD64Zrm
-    0U,	// Int_VCVTUSI2SD64Zrr
-    4U,	// Int_VCVTUSI2SDZrm
-    0U,	// Int_VCVTUSI2SDZrr
-    4U,	// Int_VCVTUSI2SS64Zrm
-    0U,	// Int_VCVTUSI2SS64Zrr
-    4U,	// Int_VCVTUSI2SSZrm
-    0U,	// Int_VCVTUSI2SSZrr
+    72U,	// Int_VCVTUSI2SD64Zrm
+    4U,	// Int_VCVTUSI2SD64Zrr
+    72U,	// Int_VCVTUSI2SDZrm
+    4U,	// Int_VCVTUSI2SDZrr
+    72U,	// Int_VCVTUSI2SS64Zrm
+    4U,	// Int_VCVTUSI2SS64Zrr
+    72U,	// Int_VCVTUSI2SSZrm
+    4U,	// Int_VCVTUSI2SSZrr
     0U,	// Int_VUCOMISDZrm
     0U,	// Int_VUCOMISDZrr
     0U,	// Int_VUCOMISDrm
@@ -7363,8 +9967,7 @@ static void printInstruction(MCInst *MI,
     0U,	// JB_2
     0U,	// JB_4
     0U,	// JCXZ
-    0U,	// JECXZ_32
-    0U,	// JECXZ_64
+    0U,	// JECXZ
     0U,	// JE_1
     0U,	// JE_2
     0U,	// JE_4
@@ -7411,14 +10014,14 @@ static void printInstruction(MCInst *MI,
     0U,	// JS_1
     0U,	// JS_2
     0U,	// JS_4
-    0U,	// KANDBrr
-    0U,	// KANDDrr
-    0U,	// KANDNBrr
-    0U,	// KANDNDrr
-    0U,	// KANDNQrr
-    0U,	// KANDNWrr
-    0U,	// KANDQrr
-    0U,	// KANDWrr
+    4U,	// KANDBrr
+    4U,	// KANDDrr
+    4U,	// KANDNBrr
+    4U,	// KANDNDrr
+    4U,	// KANDNQrr
+    4U,	// KANDNWrr
+    4U,	// KANDQrr
+    4U,	// KANDWrr
     0U,	// KMOVBkk
     0U,	// KMOVBkm
     0U,	// KMOVBkr
@@ -7443,26 +10046,35 @@ static void printInstruction(MCInst *MI,
     0U,	// KNOTDrr
     0U,	// KNOTQrr
     0U,	// KNOTWrr
-    0U,	// KORBrr
-    0U,	// KORDrr
-    0U,	// KORQrr
+    4U,	// KORBrr
+    4U,	// KORDrr
+    4U,	// KORQrr
+    0U,	// KORTESTBrr
+    0U,	// KORTESTDrr
+    0U,	// KORTESTQrr
     0U,	// KORTESTWrr
-    0U,	// KORWrr
+    4U,	// KORWrr
     0U,	// KSET0B
     0U,	// KSET0W
     0U,	// KSET1B
     0U,	// KSET1W
-    0U,	// KSHIFTLWri
-    0U,	// KSHIFTRWri
-    0U,	// KUNPCKBWrr
-    0U,	// KXNORBrr
-    0U,	// KXNORDrr
-    0U,	// KXNORQrr
-    0U,	// KXNORWrr
-    0U,	// KXORBrr
-    0U,	// KXORDrr
-    0U,	// KXORQrr
-    0U,	// KXORWrr
+    4U,	// KSHIFTLBri
+    4U,	// KSHIFTLDri
+    4U,	// KSHIFTLQri
+    4U,	// KSHIFTLWri
+    4U,	// KSHIFTRBri
+    4U,	// KSHIFTRDri
+    4U,	// KSHIFTRQri
+    4U,	// KSHIFTRWri
+    4U,	// KUNPCKBWrr
+    4U,	// KXNORBrr
+    4U,	// KXNORDrr
+    4U,	// KXNORQrr
+    4U,	// KXNORWrr
+    4U,	// KXORBrr
+    4U,	// KXORDrr
+    4U,	// KXORQrr
+    4U,	// KXORWrr
     0U,	// LAHF
     0U,	// LAR16rm
     0U,	// LAR16rr
@@ -7679,11 +10291,13 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_EMMS
     0U,	// MMX_MASKMOVQ
     0U,	// MMX_MASKMOVQ64
+    0U,	// MMX_MOVD64from64rm
     0U,	// MMX_MOVD64from64rr
     0U,	// MMX_MOVD64grr
     0U,	// MMX_MOVD64mr
     0U,	// MMX_MOVD64rm
     0U,	// MMX_MOVD64rr
+    0U,	// MMX_MOVD64to64rm
     0U,	// MMX_MOVD64to64rr
     0U,	// MMX_MOVDQ2Qrr
     0U,	// MMX_MOVFR642Qrr
@@ -7722,7 +10336,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PADDUSWirr
     0U,	// MMX_PADDWirm
     0U,	// MMX_PADDWirr
-    0U,	// MMX_PALIGNR64irm
+    4U,	// MMX_PALIGNR64irm
     0U,	// MMX_PALIGNR64irr
     0U,	// MMX_PANDNirm
     0U,	// MMX_PANDNirr
@@ -7744,7 +10358,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PCMPGTDirr
     0U,	// MMX_PCMPGTWirm
     0U,	// MMX_PCMPGTWirr
-    0U,	// MMX_PEXTRWirri
+    4U,	// MMX_PEXTRWirri
     0U,	// MMX_PHADDSWrm64
     0U,	// MMX_PHADDSWrr64
     0U,	// MMX_PHADDWrm64
@@ -7788,8 +10402,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MMX_PSADBWirr
     0U,	// MMX_PSHUFBrm64
     0U,	// MMX_PSHUFBrr64
-    0U,	// MMX_PSHUFWmi
-    0U,	// MMX_PSHUFWri
+    4U,	// MMX_PSHUFWmi
+    4U,	// MMX_PSHUFWri
     0U,	// MMX_PSIGNBrm64
     0U,	// MMX_PSIGNBrr64
     0U,	// MMX_PSIGNDrm64
@@ -7856,12 +10470,14 @@ static void printInstruction(MCInst *MI,
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
     0U,	// MOV16ao16
-    0U,	// MOV16ao16_16
+    0U,	// MOV16ao32
+    0U,	// MOV16ao64
     0U,	// MOV16mi
     0U,	// MOV16mr
     0U,	// MOV16ms
     0U,	// MOV16o16a
-    0U,	// MOV16o16a_16
+    0U,	// MOV16o32a
+    0U,	// MOV16o64a
     0U,	// MOV16ri
     0U,	// MOV16ri_alt
     0U,	// MOV16rm
@@ -7870,15 +10486,17 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV16rs
     0U,	// MOV16sm
     0U,	// MOV16sr
+    0U,	// MOV32ao16
     0U,	// MOV32ao32
-    0U,	// MOV32ao32_16
+    0U,	// MOV32ao64
     0U,	// MOV32cr
     0U,	// MOV32dr
     0U,	// MOV32mi
     0U,	// MOV32mr
     0U,	// MOV32ms
+    0U,	// MOV32o16a
     0U,	// MOV32o32a
-    0U,	// MOV32o32a_16
+    0U,	// MOV32o64a
     0U,	// MOV32r0
     0U,	// MOV32rc
     0U,	// MOV32rd
@@ -7891,19 +10509,15 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV32rs
     0U,	// MOV32sm
     0U,	// MOV32sr
-    0U,	// MOV64ao16
     0U,	// MOV64ao32
     0U,	// MOV64ao64
-    0U,	// MOV64ao8
     0U,	// MOV64cr
     0U,	// MOV64dr
     0U,	// MOV64mi32
     0U,	// MOV64mr
     0U,	// MOV64ms
-    0U,	// MOV64o16a
     0U,	// MOV64o32a
     0U,	// MOV64o64a
-    0U,	// MOV64o8a
     0U,	// MOV64rc
     0U,	// MOV64rd
     0U,	// MOV64ri
@@ -7914,22 +10528,25 @@ static void printInstruction(MCInst *MI,
     0U,	// MOV64rs
     0U,	// MOV64sm
     0U,	// MOV64sr
+    0U,	// MOV64toPQIrm
     0U,	// MOV64toPQIrr
     0U,	// MOV64toSDrm
     0U,	// MOV64toSDrr
-    0U,	// MOV8ao8
-    0U,	// MOV8ao8_16
+    0U,	// MOV8ao16
+    0U,	// MOV8ao32
+    0U,	// MOV8ao64
     0U,	// MOV8mi
     0U,	// MOV8mr
-    1U,	// MOV8mr_NOREX
-    0U,	// MOV8o8a
-    0U,	// MOV8o8a_16
+    0U,	// MOV8mr_NOREX
+    0U,	// MOV8o16a
+    0U,	// MOV8o32a
+    0U,	// MOV8o64a
     0U,	// MOV8ri
     0U,	// MOV8ri_alt
     0U,	// MOV8rm
     0U,	// MOV8rm_NOREX
     0U,	// MOV8rr
-    16U,	// MOV8rr_NOREX
+    0U,	// MOV8rr_NOREX
     0U,	// MOV8rr_REV
     0U,	// MOVAPDmr
     0U,	// MOVAPDrm
@@ -7984,6 +10601,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVPDI2DIrr
     0U,	// MOVPQI2QImr
     0U,	// MOVPQI2QIrr
+    0U,	// MOVPQIto64rm
     0U,	// MOVPQIto64rr
     0U,	// MOVQI2PQIrm
     0U,	// MOVSB
@@ -8008,6 +10626,8 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVSW
     0U,	// MOVSX16rm8
     0U,	// MOVSX16rr8
+    0U,	// MOVSX32_NOREXrm8
+    0U,	// MOVSX32_NOREXrr8
     0U,	// MOVSX32rm16
     0U,	// MOVSX32rm8
     0U,	// MOVSX32rr16
@@ -8015,6 +10635,7 @@ static void printInstruction(MCInst *MI,
     0U,	// MOVSX64_NOREXrr32
     0U,	// MOVSX64rm16
     0U,	// MOVSX64rm32
+    0U,	// MOVSX64rm32_alt
     0U,	// MOVSX64rm8
     0U,	// MOVSX64rr16
     0U,	// MOVSX64rr32
@@ -8065,10 +10686,10 @@ static void printInstruction(MCInst *MI,
     0U,	// MULSSrm_Int
     0U,	// MULSSrr
     0U,	// MULSSrr_Int
-    4U,	// MULX32rm
-    0U,	// MULX32rr
-    4U,	// MULX64rm
-    0U,	// MULX64rr
+    72U,	// MULX32rm
+    4U,	// MULX32rr
+    72U,	// MULX64rm
+    4U,	// MULX64rr
     0U,	// MUL_F32m
     0U,	// MUL_F64m
     0U,	// MUL_FI16m
@@ -8169,6 +10790,7 @@ static void printInstruction(MCInst *MI,
     0U,	// OR64rr_REV
     0U,	// OR8i8
     0U,	// OR8mi
+    0U,	// OR8mi8
     0U,	// OR8mr
     0U,	// OR8ri
     0U,	// OR8ri8
@@ -8248,11 +10870,11 @@ static void printInstruction(MCInst *MI,
     0U,	// PCMPESTRIMEM
     0U,	// PCMPESTRIREG
     0U,	// PCMPESTRIrm
-    0U,	// PCMPESTRIrr
+    4U,	// PCMPESTRIrr
     0U,	// PCMPESTRM128MEM
     0U,	// PCMPESTRM128REG
     0U,	// PCMPESTRM128rm
-    0U,	// PCMPESTRM128rr
+    4U,	// PCMPESTRM128rr
     0U,	// PCMPGTBrm
     0U,	// PCMPGTBrr
     0U,	// PCMPGTDrm
@@ -8264,28 +10886,29 @@ static void printInstruction(MCInst *MI,
     0U,	// PCMPISTRIMEM
     0U,	// PCMPISTRIREG
     0U,	// PCMPISTRIrm
-    0U,	// PCMPISTRIrr
+    4U,	// PCMPISTRIrr
     0U,	// PCMPISTRM128MEM
     0U,	// PCMPISTRM128REG
     0U,	// PCMPISTRM128rm
-    0U,	// PCMPISTRM128rr
-    4U,	// PDEP32rm
-    0U,	// PDEP32rr
-    4U,	// PDEP64rm
-    0U,	// PDEP64rr
-    4U,	// PEXT32rm
-    0U,	// PEXT32rr
-    4U,	// PEXT64rm
-    0U,	// PEXT64rr
+    4U,	// PCMPISTRM128rr
+    0U,	// PCOMMIT
+    72U,	// PDEP32rm
+    4U,	// PDEP32rr
+    72U,	// PDEP64rm
+    4U,	// PDEP64rr
+    72U,	// PEXT32rm
+    4U,	// PEXT32rr
+    72U,	// PEXT64rm
+    4U,	// PEXT64rr
     1U,	// PEXTRBmr
-    0U,	// PEXTRBrr
+    4U,	// PEXTRBrr
     1U,	// PEXTRDmr
-    0U,	// PEXTRDrr
+    4U,	// PEXTRDrr
     1U,	// PEXTRQmr
-    0U,	// PEXTRQrr
+    4U,	// PEXTRQrr
     1U,	// PEXTRWmr
-    0U,	// PEXTRWri
-    0U,	// PEXTRWrr_REV
+    4U,	// PEXTRWri
+    4U,	// PEXTRWrr_REV
     0U,	// PF2IDrm
     0U,	// PF2IDrr
     0U,	// PF2IWrm
@@ -8344,9 +10967,9 @@ static void printInstruction(MCInst *MI,
     0U,	// PI2FWrr
     0U,	// PINSRBrm
     0U,	// PINSRBrr
-    0U,	// PINSRDrm
+    4U,	// PINSRDrm
     0U,	// PINSRDrr
-    0U,	// PINSRQrm
+    4U,	// PINSRQrm
     0U,	// PINSRQrr
     0U,	// PINSRWrmi
     0U,	// PINSRWrri
@@ -8464,11 +11087,11 @@ static void printInstruction(MCInst *MI,
     0U,	// PSHUFBrm
     0U,	// PSHUFBrr
     0U,	// PSHUFDmi
-    0U,	// PSHUFDri
+    4U,	// PSHUFDri
     0U,	// PSHUFHWmi
-    0U,	// PSHUFHWri
+    4U,	// PSHUFHWri
     0U,	// PSHUFLWmi
-    0U,	// PSHUFLWri
+    4U,	// PSHUFLWri
     0U,	// PSIGNBrm
     0U,	// PSIGNBrr
     0U,	// PSIGNDrm
@@ -8644,10 +11267,34 @@ static void printInstruction(MCInst *MI,
     0U,	// RDSEED64r
     0U,	// RDTSC
     0U,	// RDTSCP
+    0U,	// RELEASE_ADD32mi
+    0U,	// RELEASE_ADD64mi32
+    0U,	// RELEASE_ADD8mi
+    0U,	// RELEASE_AND32mi
+    0U,	// RELEASE_AND64mi32
+    0U,	// RELEASE_AND8mi
+    0U,	// RELEASE_DEC16m
+    0U,	// RELEASE_DEC32m
+    0U,	// RELEASE_DEC64m
+    0U,	// RELEASE_DEC8m
+    0U,	// RELEASE_INC16m
+    0U,	// RELEASE_INC32m
+    0U,	// RELEASE_INC64m
+    0U,	// RELEASE_INC8m
+    0U,	// RELEASE_MOV16mi
     0U,	// RELEASE_MOV16mr
+    0U,	// RELEASE_MOV32mi
     0U,	// RELEASE_MOV32mr
+    0U,	// RELEASE_MOV64mi32
     0U,	// RELEASE_MOV64mr
+    0U,	// RELEASE_MOV8mi
     0U,	// RELEASE_MOV8mr
+    0U,	// RELEASE_OR32mi
+    0U,	// RELEASE_OR64mi32
+    0U,	// RELEASE_OR8mi
+    0U,	// RELEASE_XOR32mi
+    0U,	// RELEASE_XOR64mi32
+    0U,	// RELEASE_XOR8mi
     0U,	// REPNE_PREFIX
     0U,	// REP_MOVSB_32
     0U,	// REP_MOVSB_64
@@ -8719,14 +11366,14 @@ static void printInstruction(MCInst *MI,
     0U,	// ROR8r1
     0U,	// ROR8rCL
     0U,	// ROR8ri
-    0U,	// RORX32mi
-    0U,	// RORX32ri
-    0U,	// RORX64mi
-    0U,	// RORX64ri
+    4U,	// RORX32mi
+    4U,	// RORX32ri
+    4U,	// RORX64mi
+    4U,	// RORX64ri
     0U,	// ROUNDPDm
-    0U,	// ROUNDPDr
+    4U,	// ROUNDPDr
     0U,	// ROUNDPSm
-    0U,	// ROUNDPSr
+    4U,	// ROUNDPSr
     0U,	// ROUNDSDm
     0U,	// ROUNDSDr
     0U,	// ROUNDSDr_Int
@@ -8792,10 +11439,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SAR8r1
     0U,	// SAR8rCL
     0U,	// SAR8ri
-    0U,	// SARX32rm
-    0U,	// SARX32rr
-    0U,	// SARX64rm
-    0U,	// SARX64rr
+    4U,	// SARX32rm
+    4U,	// SARX32rr
+    4U,	// SARX64rm
+    4U,	// SARX64rr
     0U,	// SBB16i16
     0U,	// SBB16mi
     0U,	// SBB16mi8
@@ -8825,8 +11472,10 @@ static void printInstruction(MCInst *MI,
     0U,	// SBB64rr_REV
     0U,	// SBB8i8
     0U,	// SBB8mi
+    0U,	// SBB8mi8
     0U,	// SBB8mr
     0U,	// SBB8ri
+    0U,	// SBB8ri8
     0U,	// SBB8rm
     0U,	// SBB8rr
     0U,	// SBB8rr_REV
@@ -8934,10 +11583,10 @@ static void printInstruction(MCInst *MI,
     1U,	// SHLD64mri8
     0U,	// SHLD64rrCL
     0U,	// SHLD64rri8
-    0U,	// SHLX32rm
-    0U,	// SHLX32rr
-    0U,	// SHLX64rm
-    0U,	// SHLX64rr
+    4U,	// SHLX32rm
+    4U,	// SHLX32rr
+    4U,	// SHLX64rm
+    4U,	// SHLX64rr
     0U,	// SHR16m1
     0U,	// SHR16mCL
     0U,	// SHR16mi
@@ -8974,10 +11623,10 @@ static void printInstruction(MCInst *MI,
     1U,	// SHRD64mri8
     0U,	// SHRD64rrCL
     0U,	// SHRD64rri8
-    0U,	// SHRX32rm
-    0U,	// SHRX32rr
-    0U,	// SHRX64rm
-    0U,	// SHRX64rr
+    4U,	// SHRX32rm
+    4U,	// SHRX32rr
+    4U,	// SHRX64rm
+    4U,	// SHRX64rr
     0U,	// SHUFPDrmi
     0U,	// SHUFPDrri
     0U,	// SHUFPSrmi
@@ -9084,6 +11733,7 @@ static void printInstruction(MCInst *MI,
     0U,	// SUB64rr_REV
     0U,	// SUB8i8
     0U,	// SUB8mi
+    0U,	// SUB8mi8
     0U,	// SUB8mr
     0U,	// SUB8ri
     0U,	// SUB8ri8
@@ -9154,10 +11804,13 @@ static void printInstruction(MCInst *MI,
     0U,	// T1MSKC64rr
     0U,	// TAILJMPd
     0U,	// TAILJMPd64
+    0U,	// TAILJMPd64_REX
     0U,	// TAILJMPm
     0U,	// TAILJMPm64
+    0U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
     0U,	// TAILJMPr64
+    0U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
@@ -9169,21 +11822,21 @@ static void printInstruction(MCInst *MI,
     0U,	// TEST16mi_alt
     0U,	// TEST16ri
     0U,	// TEST16ri_alt
-    0U,	// TEST16rm
+    1U,	// TEST16rm
     0U,	// TEST16rr
     0U,	// TEST32i32
     0U,	// TEST32mi
     0U,	// TEST32mi_alt
     0U,	// TEST32ri
     0U,	// TEST32ri_alt
-    0U,	// TEST32rm
+    1U,	// TEST32rm
     0U,	// TEST32rr
     0U,	// TEST64i32
     0U,	// TEST64mi32
     0U,	// TEST64mi32_alt
     0U,	// TEST64ri32
     0U,	// TEST64ri32_alt
-    0U,	// TEST64rm
+    1U,	// TEST64rm
     0U,	// TEST64rr
     0U,	// TEST8i8
     0U,	// TEST8mi
@@ -9191,7 +11844,7 @@ static void printInstruction(MCInst *MI,
     0U,	// TEST8ri
     0U,	// TEST8ri_NOREX
     0U,	// TEST8ri_alt
-    0U,	// TEST8rm
+    1U,	// TEST8rm
     0U,	// TEST8rr
     0U,	// TLSCall_32
     0U,	// TLSCall_64
@@ -9238,168 +11891,299 @@ static void printInstruction(MCInst *MI,
     0U,	// UNPCKLPDrr
     0U,	// UNPCKLPSrm
     0U,	// UNPCKLPSrr
-    1U,	// VAARG_64
-    0U,	// VADDPDYrm
-    0U,	// VADDPDYrr
-    0U,	// VADDPDZrm
-    4U,	// VADDPDZrmb
-    2052U,	// VADDPDZrmbk
-    10244U,	// VADDPDZrmbkz
-    3220U,	// VADDPDZrmk
-    4244U,	// VADDPDZrmkz
-    0U,	// VADDPDZrr
-    5268U,	// VADDPDZrrk
-    4244U,	// VADDPDZrrkz
-    0U,	// VADDPDrm
-    0U,	// VADDPDrr
-    0U,	// VADDPSYrm
-    0U,	// VADDPSYrr
-    0U,	// VADDPSZrm
-    4U,	// VADDPSZrmb
-    2052U,	// VADDPSZrmbk
-    10244U,	// VADDPSZrmbkz
-    3220U,	// VADDPSZrmk
-    4244U,	// VADDPSZrmkz
-    0U,	// VADDPSZrr
-    5268U,	// VADDPSZrrk
-    4244U,	// VADDPSZrrkz
-    0U,	// VADDPSrm
-    0U,	// VADDPSrr
-    4U,	// VADDSDZrm
-    0U,	// VADDSDZrr
-    4U,	// VADDSDrm
-    4U,	// VADDSDrm_Int
-    0U,	// VADDSDrr
-    0U,	// VADDSDrr_Int
-    4U,	// VADDSSZrm
-    0U,	// VADDSSZrr
-    4U,	// VADDSSrm
-    4U,	// VADDSSrm_Int
-    0U,	// VADDSSrr
-    0U,	// VADDSSrr_Int
-    0U,	// VADDSUBPDYrm
-    0U,	// VADDSUBPDYrr
-    0U,	// VADDSUBPDrm
-    0U,	// VADDSUBPDrr
-    0U,	// VADDSUBPSYrm
-    0U,	// VADDSUBPSYrr
-    0U,	// VADDSUBPSrm
-    0U,	// VADDSUBPSrr
-    0U,	// VAESDECLASTrm
-    0U,	// VAESDECLASTrr
-    0U,	// VAESDECrm
-    0U,	// VAESDECrr
-    0U,	// VAESENCLASTrm
-    0U,	// VAESENCLASTrr
-    0U,	// VAESENCrm
-    0U,	// VAESENCrr
+    265U,	// VAARG_64
+    4U,	// VADDPDYrm
+    4U,	// VADDPDYrr
+    324U,	// VADDPDZ128rm
+    4168U,	// VADDPDZ128rmb
+    6533U,	// VADDPDZ128rmbk
+    41032U,	// VADDPDZ128rmbkz
+    0U,	// VADDPDZ128rmk
+    10448U,	// VADDPDZ128rmkz
+    324U,	// VADDPDZ128rr
+    469U,	// VADDPDZ128rrk
+    10448U,	// VADDPDZ128rrkz
+    324U,	// VADDPDZ256rm
+    4168U,	// VADDPDZ256rmb
+    6533U,	// VADDPDZ256rmbk
+    41032U,	// VADDPDZ256rmbkz
+    0U,	// VADDPDZ256rmk
+    10448U,	// VADDPDZ256rmkz
+    324U,	// VADDPDZ256rr
+    469U,	// VADDPDZ256rrk
+    10448U,	// VADDPDZ256rrkz
+    0U,	// VADDPDZrb
+    0U,	// VADDPDZrbk
+    24U,	// VADDPDZrbkz
+    324U,	// VADDPDZrm
+    4168U,	// VADDPDZrmb
+    6533U,	// VADDPDZrmbk
+    41032U,	// VADDPDZrmbkz
+    0U,	// VADDPDZrmk
+    10448U,	// VADDPDZrmkz
+    324U,	// VADDPDZrr
+    469U,	// VADDPDZrrk
+    10448U,	// VADDPDZrrkz
+    4U,	// VADDPDrm
+    4U,	// VADDPDrr
+    4U,	// VADDPSYrm
+    4U,	// VADDPSYrr
+    324U,	// VADDPSZ128rm
+    4168U,	// VADDPSZ128rmb
+    6533U,	// VADDPSZ128rmbk
+    41032U,	// VADDPSZ128rmbkz
+    0U,	// VADDPSZ128rmk
+    10448U,	// VADDPSZ128rmkz
+    324U,	// VADDPSZ128rr
+    469U,	// VADDPSZ128rrk
+    10448U,	// VADDPSZ128rrkz
+    324U,	// VADDPSZ256rm
+    4168U,	// VADDPSZ256rmb
+    6533U,	// VADDPSZ256rmbk
+    41032U,	// VADDPSZ256rmbkz
+    0U,	// VADDPSZ256rmk
+    10448U,	// VADDPSZ256rmkz
+    324U,	// VADDPSZ256rr
+    469U,	// VADDPSZ256rrk
+    10448U,	// VADDPSZ256rrkz
+    0U,	// VADDPSZrb
+    0U,	// VADDPSZrbk
+    24U,	// VADDPSZrbkz
+    324U,	// VADDPSZrm
+    4168U,	// VADDPSZrmb
+    6533U,	// VADDPSZrmbk
+    41032U,	// VADDPSZrmbkz
+    0U,	// VADDPSZrmk
+    10448U,	// VADDPSZrmkz
+    324U,	// VADDPSZrr
+    469U,	// VADDPSZrrk
+    10448U,	// VADDPSZrrkz
+    4U,	// VADDPSrm
+    4U,	// VADDPSrr
+    72U,	// VADDSDZrm
+    324U,	// VADDSDZrm_Int
+    0U,	// VADDSDZrm_Intk
+    10448U,	// VADDSDZrm_Intkz
+    4U,	// VADDSDZrr
+    324U,	// VADDSDZrr_Int
+    469U,	// VADDSDZrr_Intk
+    10448U,	// VADDSDZrr_Intkz
+    0U,	// VADDSDZrrb
+    0U,	// VADDSDZrrbk
+    24U,	// VADDSDZrrbkz
+    72U,	// VADDSDrm
+    72U,	// VADDSDrm_Int
+    4U,	// VADDSDrr
+    4U,	// VADDSDrr_Int
+    72U,	// VADDSSZrm
+    324U,	// VADDSSZrm_Int
+    0U,	// VADDSSZrm_Intk
+    10448U,	// VADDSSZrm_Intkz
+    4U,	// VADDSSZrr
+    324U,	// VADDSSZrr_Int
+    469U,	// VADDSSZrr_Intk
+    10448U,	// VADDSSZrr_Intkz
+    0U,	// VADDSSZrrb
+    0U,	// VADDSSZrrbk
+    24U,	// VADDSSZrrbkz
+    72U,	// VADDSSrm
+    72U,	// VADDSSrm_Int
+    4U,	// VADDSSrr
+    4U,	// VADDSSrr_Int
+    4U,	// VADDSUBPDYrm
+    4U,	// VADDSUBPDYrr
+    4U,	// VADDSUBPDrm
+    4U,	// VADDSUBPDrr
+    4U,	// VADDSUBPSYrm
+    4U,	// VADDSUBPSYrr
+    4U,	// VADDSUBPSrm
+    4U,	// VADDSUBPSrr
+    4U,	// VAESDECLASTrm
+    4U,	// VAESDECLASTrr
+    4U,	// VAESDECrm
+    4U,	// VAESDECrr
+    4U,	// VAESENCLASTrm
+    4U,	// VAESENCLASTrr
+    4U,	// VAESENCrm
+    4U,	// VAESENCrr
     0U,	// VAESIMCrm
     0U,	// VAESIMCrr
     0U,	// VAESKEYGENASSIST128rm
-    0U,	// VAESKEYGENASSIST128rr
-    4U,	// VALIGNDrmi
-    4U,	// VALIGNDrri
+    4U,	// VAESKEYGENASSIST128rr
+    72U,	// VALIGNDrmi
+    4168U,	// VALIGNDrri
     0U,	// VALIGNDrrik
-    4244U,	// VALIGNDrrikz
-    4U,	// VALIGNQrmi
-    4U,	// VALIGNQrri
+    41032U,	// VALIGNDrrikz
+    72U,	// VALIGNQrmi
+    4168U,	// VALIGNQrri
     0U,	// VALIGNQrrik
-    4244U,	// VALIGNQrrikz
-    0U,	// VANDNPDYrm
-    0U,	// VANDNPDYrr
-    0U,	// VANDNPDrm
-    0U,	// VANDNPDrr
-    0U,	// VANDNPSYrm
-    0U,	// VANDNPSYrr
-    0U,	// VANDNPSrm
-    0U,	// VANDNPSrr
-    0U,	// VANDPDYrm
-    0U,	// VANDPDYrr
-    0U,	// VANDPDrm
-    0U,	// VANDPDrr
-    0U,	// VANDPSYrm
-    0U,	// VANDPSYrr
-    0U,	// VANDPSrm
-    0U,	// VANDPSrr
-    196U,	// VASTART_SAVE_XMM_REGS
-    3220U,	// VBLENDMPDZrm
-    3220U,	// VBLENDMPDZrr
-    3220U,	// VBLENDMPSZrm
-    3220U,	// VBLENDMPSZrr
+    41032U,	// VALIGNQrrikz
+    4U,	// VANDNPDYrm
+    4U,	// VANDNPDYrr
+    4U,	// VANDNPDrm
+    4U,	// VANDNPDrr
+    4U,	// VANDNPSYrm
+    4U,	// VANDNPSYrr
+    4U,	// VANDNPSrm
+    4U,	// VANDNPSrr
+    4U,	// VANDPDYrm
+    4U,	// VANDPDYrr
+    4U,	// VANDPDrm
+    4U,	// VANDPDrr
+    4U,	// VANDPSYrm
+    4U,	// VANDPSYrr
+    4U,	// VANDPSrm
+    4U,	// VANDPSrr
+    520U,	// VASTART_SAVE_XMM_REGS
+    324U,	// VBLENDMPDZ128rm
+    72U,	// VBLENDMPDZ128rmb
+    73800U,	// VBLENDMPDZ128rmbk
+    6352U,	// VBLENDMPDZ128rmk
+    10448U,	// VBLENDMPDZ128rmkz
+    324U,	// VBLENDMPDZ128rr
+    6352U,	// VBLENDMPDZ128rrk
+    10448U,	// VBLENDMPDZ128rrkz
+    324U,	// VBLENDMPDZ256rm
+    72U,	// VBLENDMPDZ256rmb
+    73800U,	// VBLENDMPDZ256rmbk
+    6352U,	// VBLENDMPDZ256rmk
+    10448U,	// VBLENDMPDZ256rmkz
+    324U,	// VBLENDMPDZ256rr
+    6352U,	// VBLENDMPDZ256rrk
+    10448U,	// VBLENDMPDZ256rrkz
+    324U,	// VBLENDMPDZrm
+    72U,	// VBLENDMPDZrmb
+    73800U,	// VBLENDMPDZrmbk
+    6352U,	// VBLENDMPDZrmk
+    10448U,	// VBLENDMPDZrmkz
+    324U,	// VBLENDMPDZrr
+    6352U,	// VBLENDMPDZrrk
+    10448U,	// VBLENDMPDZrrkz
+    324U,	// VBLENDMPSZ128rm
+    72U,	// VBLENDMPSZ128rmb
+    73800U,	// VBLENDMPSZ128rmbk
+    6352U,	// VBLENDMPSZ128rmk
+    10448U,	// VBLENDMPSZ128rmkz
+    324U,	// VBLENDMPSZ128rr
+    6352U,	// VBLENDMPSZ128rrk
+    10448U,	// VBLENDMPSZ128rrkz
+    324U,	// VBLENDMPSZ256rm
+    72U,	// VBLENDMPSZ256rmb
+    73800U,	// VBLENDMPSZ256rmbk
+    6352U,	// VBLENDMPSZ256rmk
+    10448U,	// VBLENDMPSZ256rmkz
+    324U,	// VBLENDMPSZ256rr
+    6352U,	// VBLENDMPSZ256rrk
+    10448U,	// VBLENDMPSZ256rrkz
+    324U,	// VBLENDMPSZrm
+    72U,	// VBLENDMPSZrmb
+    73800U,	// VBLENDMPSZrmbk
+    6352U,	// VBLENDMPSZrmk
+    10448U,	// VBLENDMPSZrmkz
+    324U,	// VBLENDMPSZrr
+    6352U,	// VBLENDMPSZrrk
+    10448U,	// VBLENDMPSZrrkz
     0U,	// VBLENDPDYrmi
-    4U,	// VBLENDPDYrri
-    4U,	// VBLENDPDrmi
-    4U,	// VBLENDPDrri
+    72U,	// VBLENDPDYrri
+    72U,	// VBLENDPDrmi
+    72U,	// VBLENDPDrri
     0U,	// VBLENDPSYrmi
-    4U,	// VBLENDPSYrri
-    4U,	// VBLENDPSrmi
-    4U,	// VBLENDPSrri
+    72U,	// VBLENDPSYrri
+    72U,	// VBLENDPSrmi
+    72U,	// VBLENDPSrri
     0U,	// VBLENDVPDYrm
-    4U,	// VBLENDVPDYrr
-    4U,	// VBLENDVPDrm
-    4U,	// VBLENDVPDrr
+    72U,	// VBLENDVPDYrr
+    72U,	// VBLENDVPDrm
+    72U,	// VBLENDVPDrr
     0U,	// VBLENDVPSYrm
-    4U,	// VBLENDVPSYrr
-    4U,	// VBLENDVPSrm
-    4U,	// VBLENDVPSrr
+    72U,	// VBLENDVPSYrr
+    72U,	// VBLENDVPSrm
+    72U,	// VBLENDVPSrr
     0U,	// VBROADCASTF128
-    0U,	// VBROADCASTI128
-    269U,	// VBROADCASTI32X4krm
+    589U,	// VBROADCASTI32X4krm
     0U,	// VBROADCASTI32X4rm
-    269U,	// VBROADCASTI64X4krm
+    589U,	// VBROADCASTI64X4krm
     0U,	// VBROADCASTI64X4rm
     0U,	// VBROADCASTSDYrm
     0U,	// VBROADCASTSDYrr
-    0U,	// VBROADCASTSDZrm
-    0U,	// VBROADCASTSDZrr
+    28U,	// VBROADCASTSDZ256m
+    6672U,	// VBROADCASTSDZ256mk
+    10448U,	// VBROADCASTSDZ256mkz
+    28U,	// VBROADCASTSDZ256r
+    469U,	// VBROADCASTSDZ256rk
+    589U,	// VBROADCASTSDZ256rkz
+    28U,	// VBROADCASTSDZm
+    6672U,	// VBROADCASTSDZmk
+    10448U,	// VBROADCASTSDZmkz
+    28U,	// VBROADCASTSDZr
+    469U,	// VBROADCASTSDZrk
+    589U,	// VBROADCASTSDZrkz
     0U,	// VBROADCASTSSYrm
     0U,	// VBROADCASTSSYrr
-    0U,	// VBROADCASTSSZrm
-    0U,	// VBROADCASTSSZrr
+    28U,	// VBROADCASTSSZ128m
+    6672U,	// VBROADCASTSSZ128mk
+    10448U,	// VBROADCASTSSZ128mkz
+    28U,	// VBROADCASTSSZ128r
+    469U,	// VBROADCASTSSZ128rk
+    589U,	// VBROADCASTSSZ128rkz
+    28U,	// VBROADCASTSSZ256m
+    6672U,	// VBROADCASTSSZ256mk
+    10448U,	// VBROADCASTSSZ256mkz
+    28U,	// VBROADCASTSSZ256r
+    469U,	// VBROADCASTSSZ256rk
+    589U,	// VBROADCASTSSZ256rkz
+    28U,	// VBROADCASTSSZm
+    6672U,	// VBROADCASTSSZmk
+    10448U,	// VBROADCASTSSZmkz
+    28U,	// VBROADCASTSSZr
+    469U,	// VBROADCASTSSZrk
+    589U,	// VBROADCASTSSZrkz
     0U,	// VBROADCASTSSrm
     0U,	// VBROADCASTSSrr
     1U,	// VCMPPDYrmi
     0U,	// VCMPPDYrmi_alt
-    1156U,	// VCMPPDYrri
-    4U,	// VCMPPDYrri_alt
+    2248U,	// VCMPPDYrri
+    72U,	// VCMPPDYrri_alt
     1U,	// VCMPPDZrmi
     0U,	// VCMPPDZrmi_alt
-    1156U,	// VCMPPDZrri
-    4U,	// VCMPPDZrri_alt
+    2248U,	// VCMPPDZrri
+    72U,	// VCMPPDZrri_alt
     0U,	// VCMPPDZrrib
-    76U,	// VCMPPDrmi
-    4U,	// VCMPPDrmi_alt
-    1156U,	// VCMPPDrri
-    4U,	// VCMPPDrri_alt
+    72U,	// VCMPPDZrrib_alt
+    140U,	// VCMPPDrmi
+    72U,	// VCMPPDrmi_alt
+    2248U,	// VCMPPDrri
+    72U,	// VCMPPDrri_alt
     1U,	// VCMPPSYrmi
     0U,	// VCMPPSYrmi_alt
-    1156U,	// VCMPPSYrri
-    4U,	// VCMPPSYrri_alt
+    2248U,	// VCMPPSYrri
+    72U,	// VCMPPSYrri_alt
     1U,	// VCMPPSZrmi
     0U,	// VCMPPSZrmi_alt
-    1156U,	// VCMPPSZrri
-    4U,	// VCMPPSZrri_alt
+    2248U,	// VCMPPSZrri
+    72U,	// VCMPPSZrri_alt
     0U,	// VCMPPSZrrib
-    76U,	// VCMPPSrmi
-    4U,	// VCMPPSrmi_alt
-    1156U,	// VCMPPSrri
-    4U,	// VCMPPSrri_alt
-    76U,	// VCMPSDZrm
-    4U,	// VCMPSDZrmi_alt
-    1156U,	// VCMPSDZrr
-    4U,	// VCMPSDZrri_alt
-    76U,	// VCMPSDrm
-    4U,	// VCMPSDrm_alt
-    1156U,	// VCMPSDrr
-    4U,	// VCMPSDrr_alt
-    76U,	// VCMPSSZrm
-    4U,	// VCMPSSZrmi_alt
-    1156U,	// VCMPSSZrr
-    4U,	// VCMPSSZrri_alt
-    76U,	// VCMPSSrm
-    4U,	// VCMPSSrm_alt
-    1156U,	// VCMPSSrr
-    4U,	// VCMPSSrr_alt
+    72U,	// VCMPPSZrrib_alt
+    140U,	// VCMPPSrmi
+    72U,	// VCMPPSrmi_alt
+    2248U,	// VCMPPSrri
+    72U,	// VCMPPSrri_alt
+    140U,	// VCMPSDZrm
+    72U,	// VCMPSDZrmi_alt
+    2248U,	// VCMPSDZrr
+    72U,	// VCMPSDZrri_alt
+    140U,	// VCMPSDrm
+    72U,	// VCMPSDrm_alt
+    2248U,	// VCMPSDrr
+    72U,	// VCMPSDrr_alt
+    140U,	// VCMPSSZrm
+    72U,	// VCMPSSZrmi_alt
+    2248U,	// VCMPSSZrr
+    72U,	// VCMPSSZrri_alt
+    140U,	// VCMPSSrm
+    72U,	// VCMPSSrm_alt
+    2248U,	// VCMPSSrr
+    72U,	// VCMPSSrr_alt
     0U,	// VCOMISDZrm
     0U,	// VCOMISDZrr
     0U,	// VCOMISDrm
@@ -9408,6 +12192,24 @@ static void printInstruction(MCInst *MI,
     0U,	// VCOMISSZrr
     0U,	// VCOMISSrm
     0U,	// VCOMISSrr
+    673U,	// VCOMPRESSPDZ128mrk
+    661U,	// VCOMPRESSPDZ128rrk
+    589U,	// VCOMPRESSPDZ128rrkz
+    673U,	// VCOMPRESSPDZ256mrk
+    661U,	// VCOMPRESSPDZ256rrk
+    589U,	// VCOMPRESSPDZ256rrkz
+    673U,	// VCOMPRESSPDZmrk
+    661U,	// VCOMPRESSPDZrrk
+    589U,	// VCOMPRESSPDZrrkz
+    673U,	// VCOMPRESSPSZ128mrk
+    661U,	// VCOMPRESSPSZ128rrk
+    589U,	// VCOMPRESSPSZ128rrkz
+    673U,	// VCOMPRESSPSZ256mrk
+    661U,	// VCOMPRESSPSZ256rrk
+    589U,	// VCOMPRESSPSZ256rrkz
+    673U,	// VCOMPRESSPSZmrk
+    661U,	// VCOMPRESSPSZrrk
+    589U,	// VCOMPRESSPSZrrkz
     0U,	// VCVTDQ2PDYrm
     0U,	// VCVTDQ2PDYrr
     0U,	// VCVTDQ2PDZrm
@@ -9458,11 +12260,11 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTPS2PDrm
     0U,	// VCVTPS2PDrr
     1U,	// VCVTPS2PHYmr
-    0U,	// VCVTPS2PHYrr
+    4U,	// VCVTPS2PHYrr
     1U,	// VCVTPS2PHZmr
-    0U,	// VCVTPS2PHZrr
+    4U,	// VCVTPS2PHZrr
     1U,	// VCVTPS2PHmr
-    0U,	// VCVTPS2PHrr
+    4U,	// VCVTPS2PHrr
     0U,	// VCVTPS2UDQZrm
     0U,	// VCVTPS2UDQZrr
     0U,	// VCVTPS2UDQZrrb
@@ -9474,34 +12276,34 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTSD2SIZrr
     0U,	// VCVTSD2SIrm
     0U,	// VCVTSD2SIrr
-    4U,	// VCVTSD2SSZrm
-    0U,	// VCVTSD2SSZrr
-    4U,	// VCVTSD2SSrm
-    0U,	// VCVTSD2SSrr
+    72U,	// VCVTSD2SSZrm
+    4U,	// VCVTSD2SSZrr
+    72U,	// VCVTSD2SSrm
+    4U,	// VCVTSD2SSrr
     0U,	// VCVTSD2USI64Zrm
     0U,	// VCVTSD2USI64Zrr
     0U,	// VCVTSD2USIZrm
     0U,	// VCVTSD2USIZrr
-    4U,	// VCVTSI2SD64rm
-    0U,	// VCVTSI2SD64rr
-    4U,	// VCVTSI2SDZrm
-    0U,	// VCVTSI2SDZrr
-    4U,	// VCVTSI2SDrm
-    0U,	// VCVTSI2SDrr
-    4U,	// VCVTSI2SS64rm
-    0U,	// VCVTSI2SS64rr
-    4U,	// VCVTSI2SSZrm
-    0U,	// VCVTSI2SSZrr
-    4U,	// VCVTSI2SSrm
-    0U,	// VCVTSI2SSrr
-    4U,	// VCVTSI642SDZrm
-    0U,	// VCVTSI642SDZrr
-    4U,	// VCVTSI642SSZrm
-    0U,	// VCVTSI642SSZrr
-    4U,	// VCVTSS2SDZrm
-    0U,	// VCVTSS2SDZrr
-    4U,	// VCVTSS2SDrm
-    0U,	// VCVTSS2SDrr
+    72U,	// VCVTSI2SD64rm
+    4U,	// VCVTSI2SD64rr
+    72U,	// VCVTSI2SDZrm
+    4U,	// VCVTSI2SDZrr
+    72U,	// VCVTSI2SDrm
+    4U,	// VCVTSI2SDrr
+    72U,	// VCVTSI2SS64rm
+    4U,	// VCVTSI2SS64rr
+    72U,	// VCVTSI2SSZrm
+    4U,	// VCVTSI2SSZrr
+    72U,	// VCVTSI2SSrm
+    4U,	// VCVTSI2SSrr
+    72U,	// VCVTSI642SDZrm
+    4U,	// VCVTSI642SDZrr
+    72U,	// VCVTSI642SSZrm
+    4U,	// VCVTSI642SSZrr
+    72U,	// VCVTSS2SDZrm
+    4U,	// VCVTSS2SDZrr
+    72U,	// VCVTSS2SDrm
+    4U,	// VCVTSS2SDrr
     0U,	// VCVTSS2SI64Zrm
     0U,	// VCVTSS2SI64Zrr
     0U,	// VCVTSS2SI64rm
@@ -9559,100 +12361,271 @@ static void printInstruction(MCInst *MI,
     0U,	// VCVTUDQ2PSZrm
     0U,	// VCVTUDQ2PSZrr
     0U,	// VCVTUDQ2PSZrrb
-    4U,	// VCVTUSI2SDZrm
-    0U,	// VCVTUSI2SDZrr
-    4U,	// VCVTUSI2SSZrm
-    0U,	// VCVTUSI2SSZrr
-    4U,	// VCVTUSI642SDZrm
-    0U,	// VCVTUSI642SDZrr
-    4U,	// VCVTUSI642SSZrm
-    0U,	// VCVTUSI642SSZrr
-    0U,	// VDIVPDYrm
-    0U,	// VDIVPDYrr
-    0U,	// VDIVPDZrm
-    4U,	// VDIVPDZrmb
-    2052U,	// VDIVPDZrmbk
-    10244U,	// VDIVPDZrmbkz
-    3220U,	// VDIVPDZrmk
-    4244U,	// VDIVPDZrmkz
-    0U,	// VDIVPDZrr
-    5268U,	// VDIVPDZrrk
-    4244U,	// VDIVPDZrrkz
-    0U,	// VDIVPDrm
-    0U,	// VDIVPDrr
-    0U,	// VDIVPSYrm
-    0U,	// VDIVPSYrr
-    0U,	// VDIVPSZrm
-    4U,	// VDIVPSZrmb
-    2052U,	// VDIVPSZrmbk
-    10244U,	// VDIVPSZrmbkz
-    3220U,	// VDIVPSZrmk
-    4244U,	// VDIVPSZrmkz
-    0U,	// VDIVPSZrr
-    5268U,	// VDIVPSZrrk
-    4244U,	// VDIVPSZrrkz
-    0U,	// VDIVPSrm
-    0U,	// VDIVPSrr
-    4U,	// VDIVSDZrm
-    0U,	// VDIVSDZrr
-    4U,	// VDIVSDrm
-    4U,	// VDIVSDrm_Int
-    0U,	// VDIVSDrr
-    0U,	// VDIVSDrr_Int
-    4U,	// VDIVSSZrm
-    0U,	// VDIVSSZrr
-    4U,	// VDIVSSrm
-    4U,	// VDIVSSrm_Int
-    0U,	// VDIVSSrr
-    0U,	// VDIVSSrr_Int
-    4U,	// VDPPDrmi
-    4U,	// VDPPDrri
+    72U,	// VCVTUSI2SDZrm
+    4U,	// VCVTUSI2SDZrr
+    72U,	// VCVTUSI2SSZrm
+    4U,	// VCVTUSI2SSZrr
+    72U,	// VCVTUSI642SDZrm
+    4U,	// VCVTUSI642SDZrr
+    72U,	// VCVTUSI642SSZrm
+    4U,	// VCVTUSI642SSZrr
+    4U,	// VDIVPDYrm
+    4U,	// VDIVPDYrr
+    324U,	// VDIVPDZ128rm
+    4168U,	// VDIVPDZ128rmb
+    6533U,	// VDIVPDZ128rmbk
+    41032U,	// VDIVPDZ128rmbkz
+    0U,	// VDIVPDZ128rmk
+    10448U,	// VDIVPDZ128rmkz
+    324U,	// VDIVPDZ128rr
+    469U,	// VDIVPDZ128rrk
+    10448U,	// VDIVPDZ128rrkz
+    324U,	// VDIVPDZ256rm
+    4168U,	// VDIVPDZ256rmb
+    6533U,	// VDIVPDZ256rmbk
+    41032U,	// VDIVPDZ256rmbkz
+    0U,	// VDIVPDZ256rmk
+    10448U,	// VDIVPDZ256rmkz
+    324U,	// VDIVPDZ256rr
+    469U,	// VDIVPDZ256rrk
+    10448U,	// VDIVPDZ256rrkz
+    0U,	// VDIVPDZrb
+    0U,	// VDIVPDZrbk
+    24U,	// VDIVPDZrbkz
+    324U,	// VDIVPDZrm
+    4168U,	// VDIVPDZrmb
+    6533U,	// VDIVPDZrmbk
+    41032U,	// VDIVPDZrmbkz
+    0U,	// VDIVPDZrmk
+    10448U,	// VDIVPDZrmkz
+    324U,	// VDIVPDZrr
+    469U,	// VDIVPDZrrk
+    10448U,	// VDIVPDZrrkz
+    4U,	// VDIVPDrm
+    4U,	// VDIVPDrr
+    4U,	// VDIVPSYrm
+    4U,	// VDIVPSYrr
+    324U,	// VDIVPSZ128rm
+    4168U,	// VDIVPSZ128rmb
+    6533U,	// VDIVPSZ128rmbk
+    41032U,	// VDIVPSZ128rmbkz
+    0U,	// VDIVPSZ128rmk
+    10448U,	// VDIVPSZ128rmkz
+    324U,	// VDIVPSZ128rr
+    469U,	// VDIVPSZ128rrk
+    10448U,	// VDIVPSZ128rrkz
+    324U,	// VDIVPSZ256rm
+    4168U,	// VDIVPSZ256rmb
+    6533U,	// VDIVPSZ256rmbk
+    41032U,	// VDIVPSZ256rmbkz
+    0U,	// VDIVPSZ256rmk
+    10448U,	// VDIVPSZ256rmkz
+    324U,	// VDIVPSZ256rr
+    469U,	// VDIVPSZ256rrk
+    10448U,	// VDIVPSZ256rrkz
+    0U,	// VDIVPSZrb
+    0U,	// VDIVPSZrbk
+    24U,	// VDIVPSZrbkz
+    324U,	// VDIVPSZrm
+    4168U,	// VDIVPSZrmb
+    6533U,	// VDIVPSZrmbk
+    41032U,	// VDIVPSZrmbkz
+    0U,	// VDIVPSZrmk
+    10448U,	// VDIVPSZrmkz
+    324U,	// VDIVPSZrr
+    469U,	// VDIVPSZrrk
+    10448U,	// VDIVPSZrrkz
+    4U,	// VDIVPSrm
+    4U,	// VDIVPSrr
+    72U,	// VDIVSDZrm
+    324U,	// VDIVSDZrm_Int
+    0U,	// VDIVSDZrm_Intk
+    10448U,	// VDIVSDZrm_Intkz
+    4U,	// VDIVSDZrr
+    324U,	// VDIVSDZrr_Int
+    469U,	// VDIVSDZrr_Intk
+    10448U,	// VDIVSDZrr_Intkz
+    0U,	// VDIVSDZrrb
+    0U,	// VDIVSDZrrbk
+    24U,	// VDIVSDZrrbkz
+    72U,	// VDIVSDrm
+    72U,	// VDIVSDrm_Int
+    4U,	// VDIVSDrr
+    4U,	// VDIVSDrr_Int
+    72U,	// VDIVSSZrm
+    324U,	// VDIVSSZrm_Int
+    0U,	// VDIVSSZrm_Intk
+    10448U,	// VDIVSSZrm_Intkz
+    4U,	// VDIVSSZrr
+    324U,	// VDIVSSZrr_Int
+    469U,	// VDIVSSZrr_Intk
+    10448U,	// VDIVSSZrr_Intkz
+    0U,	// VDIVSSZrrb
+    0U,	// VDIVSSZrrbk
+    24U,	// VDIVSSZrrbkz
+    72U,	// VDIVSSrm
+    72U,	// VDIVSSrm_Int
+    4U,	// VDIVSSrr
+    4U,	// VDIVSSrr_Int
+    72U,	// VDPPDrmi
+    72U,	// VDPPDrri
     0U,	// VDPPSYrmi
-    4U,	// VDPPSYrri
-    4U,	// VDPPSrmi
-    4U,	// VDPPSrri
+    72U,	// VDPPSYrri
+    72U,	// VDPPSrmi
+    72U,	// VDPPSrri
     0U,	// VERRm
     0U,	// VERRr
     0U,	// VERWm
     0U,	// VERWr
+    0U,	// VEXP2PDm
+    0U,	// VEXP2PDmb
+    469U,	// VEXP2PDmbk
+    589U,	// VEXP2PDmbkz
+    469U,	// VEXP2PDmk
+    589U,	// VEXP2PDmkz
+    28U,	// VEXP2PDr
+    36U,	// VEXP2PDrb
+    725U,	// VEXP2PDrbk
+    781U,	// VEXP2PDrbkz
+    469U,	// VEXP2PDrk
+    589U,	// VEXP2PDrkz
+    0U,	// VEXP2PSm
+    0U,	// VEXP2PSmb
+    469U,	// VEXP2PSmbk
+    589U,	// VEXP2PSmbkz
+    469U,	// VEXP2PSmk
+    589U,	// VEXP2PSmkz
+    28U,	// VEXP2PSr
+    36U,	// VEXP2PSrb
+    725U,	// VEXP2PSrbk
+    781U,	// VEXP2PSrbkz
+    469U,	// VEXP2PSrk
+    589U,	// VEXP2PSrkz
+    661U,	// VEXPANDPDZ128rmk
+    589U,	// VEXPANDPDZ128rmkz
+    661U,	// VEXPANDPDZ128rrk
+    589U,	// VEXPANDPDZ128rrkz
+    661U,	// VEXPANDPDZ256rmk
+    589U,	// VEXPANDPDZ256rmkz
+    661U,	// VEXPANDPDZ256rrk
+    589U,	// VEXPANDPDZ256rrkz
+    661U,	// VEXPANDPDZrmk
+    589U,	// VEXPANDPDZrmkz
+    661U,	// VEXPANDPDZrrk
+    589U,	// VEXPANDPDZrrkz
+    661U,	// VEXPANDPSZ128rmk
+    589U,	// VEXPANDPSZ128rmkz
+    661U,	// VEXPANDPSZ128rrk
+    589U,	// VEXPANDPSZ128rrkz
+    661U,	// VEXPANDPSZ256rmk
+    589U,	// VEXPANDPSZ256rmkz
+    661U,	// VEXPANDPSZ256rrk
+    589U,	// VEXPANDPSZ256rrkz
+    661U,	// VEXPANDPSZrmk
+    589U,	// VEXPANDPSZrmkz
+    661U,	// VEXPANDPSZrrk
+    589U,	// VEXPANDPSZrrkz
     1U,	// VEXTRACTF128mr
-    0U,	// VEXTRACTF128rr
-    1U,	// VEXTRACTF32x4mr
-    0U,	// VEXTRACTF32x4rr
-    1U,	// VEXTRACTF64x4mr
-    0U,	// VEXTRACTF64x4rr
-    1U,	// VEXTRACTI128mr
-    0U,	// VEXTRACTI128rr
-    1U,	// VEXTRACTI32x4mr
-    0U,	// VEXTRACTI32x4rr
-    1U,	// VEXTRACTI64x4mr
-    0U,	// VEXTRACTI64x4rr
+    4U,	// VEXTRACTF128rr
+    1U,	// VEXTRACTF32x4rm
+    324U,	// VEXTRACTF32x4rr
+    6672U,	// VEXTRACTF32x4rrk
+    10448U,	// VEXTRACTF32x4rrkz
+    1U,	// VEXTRACTF64x4rm
+    324U,	// VEXTRACTF64x4rr
+    6672U,	// VEXTRACTF64x4rrk
+    10448U,	// VEXTRACTF64x4rrkz
+    2U,	// VEXTRACTI128mr
+    4U,	// VEXTRACTI128rr
+    2U,	// VEXTRACTI32x4rm
+    324U,	// VEXTRACTI32x4rr
+    6672U,	// VEXTRACTI32x4rrk
+    10448U,	// VEXTRACTI32x4rrkz
+    2U,	// VEXTRACTI64x4rm
+    324U,	// VEXTRACTI64x4rr
+    6672U,	// VEXTRACTI64x4rrk
+    10448U,	// VEXTRACTI64x4rrkz
     0U,	// VEXTRACTPSmr
-    0U,	// VEXTRACTPSrr
+    4U,	// VEXTRACTPSrr
     0U,	// VEXTRACTPSzmr
-    0U,	// VEXTRACTPSzrr
+    4U,	// VEXTRACTPSzrr
+    0U,	// VFMADD132PDZ128m
+    72U,	// VFMADD132PDZ128mb
+    0U,	// VFMADD132PDZ256m
+    72U,	// VFMADD132PDZ256mb
     0U,	// VFMADD132PDZm
-    4U,	// VFMADD132PDZmb
+    72U,	// VFMADD132PDZmb
+    0U,	// VFMADD132PSZ128m
+    72U,	// VFMADD132PSZ128mb
+    0U,	// VFMADD132PSZ256m
+    72U,	// VFMADD132PSZ256mb
     0U,	// VFMADD132PSZm
-    4U,	// VFMADD132PSZmb
-    0U,	// VFMADD213PDZm
-    4U,	// VFMADD213PDZmb
-    0U,	// VFMADD213PDZr
-    345U,	// VFMADD213PDZrk
-    281U,	// VFMADD213PDZrkz
-    0U,	// VFMADD213PSZm
-    4U,	// VFMADD213PSZmb
-    0U,	// VFMADD213PSZr
-    345U,	// VFMADD213PSZrk
-    281U,	// VFMADD213PSZrkz
-    4U,	// VFMADDPD4mr
+    72U,	// VFMADD132PSZmb
+    72U,	// VFMADDPD4mr
     0U,	// VFMADDPD4mrY
-    4U,	// VFMADDPD4rm
-    4U,	// VFMADDPD4rmY
-    4U,	// VFMADDPD4rr
-    4U,	// VFMADDPD4rrY
-    4U,	// VFMADDPD4rrY_REV
-    4U,	// VFMADDPD4rr_REV
+    72U,	// VFMADDPD4rm
+    72U,	// VFMADDPD4rmY
+    72U,	// VFMADDPD4rr
+    72U,	// VFMADDPD4rrY
+    72U,	// VFMADDPD4rrY_REV
+    72U,	// VFMADDPD4rr_REV
+    28U,	// VFMADDPDZ128v213rm
+    4168U,	// VFMADDPDZ128v213rmb
+    6533U,	// VFMADDPDZ128v213rmbk
+    10629U,	// VFMADDPDZ128v213rmbkz
+    0U,	// VFMADDPDZ128v213rmk
+    0U,	// VFMADDPDZ128v213rmkz
+    28U,	// VFMADDPDZ128v213rr
+    469U,	// VFMADDPDZ128v213rrk
+    597U,	// VFMADDPDZ128v213rrkz
+    28U,	// VFMADDPDZ128v231rm
+    4168U,	// VFMADDPDZ128v231rmb
+    6533U,	// VFMADDPDZ128v231rmbk
+    10629U,	// VFMADDPDZ128v231rmbkz
+    0U,	// VFMADDPDZ128v231rmk
+    0U,	// VFMADDPDZ128v231rmkz
+    28U,	// VFMADDPDZ128v231rr
+    469U,	// VFMADDPDZ128v231rrk
+    597U,	// VFMADDPDZ128v231rrkz
+    28U,	// VFMADDPDZ256v213rm
+    4168U,	// VFMADDPDZ256v213rmb
+    6533U,	// VFMADDPDZ256v213rmbk
+    10629U,	// VFMADDPDZ256v213rmbkz
+    0U,	// VFMADDPDZ256v213rmk
+    0U,	// VFMADDPDZ256v213rmkz
+    28U,	// VFMADDPDZ256v213rr
+    469U,	// VFMADDPDZ256v213rrk
+    597U,	// VFMADDPDZ256v213rrkz
+    28U,	// VFMADDPDZ256v231rm
+    4168U,	// VFMADDPDZ256v231rmb
+    6533U,	// VFMADDPDZ256v231rmbk
+    10629U,	// VFMADDPDZ256v231rmbkz
+    0U,	// VFMADDPDZ256v231rmk
+    0U,	// VFMADDPDZ256v231rmkz
+    28U,	// VFMADDPDZ256v231rr
+    469U,	// VFMADDPDZ256v231rrk
+    597U,	// VFMADDPDZ256v231rrkz
+    28U,	// VFMADDPDZv213rm
+    4168U,	// VFMADDPDZv213rmb
+    6533U,	// VFMADDPDZv213rmbk
+    10629U,	// VFMADDPDZv213rmbkz
+    0U,	// VFMADDPDZv213rmk
+    0U,	// VFMADDPDZv213rmkz
+    28U,	// VFMADDPDZv213rr
+    0U,	// VFMADDPDZv213rrb
+    0U,	// VFMADDPDZv213rrbk
+    0U,	// VFMADDPDZv213rrbkz
+    469U,	// VFMADDPDZv213rrk
+    597U,	// VFMADDPDZv213rrkz
+    28U,	// VFMADDPDZv231rm
+    4168U,	// VFMADDPDZv231rmb
+    6533U,	// VFMADDPDZv231rmbk
+    10629U,	// VFMADDPDZv231rmbkz
+    0U,	// VFMADDPDZv231rmk
+    0U,	// VFMADDPDZv231rmkz
+    28U,	// VFMADDPDZv231rr
+    469U,	// VFMADDPDZv231rrk
+    597U,	// VFMADDPDZv231rrkz
     0U,	// VFMADDPDr132m
     0U,	// VFMADDPDr132mY
     0U,	// VFMADDPDr132r
@@ -9665,14 +12638,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMADDPDr231mY
     0U,	// VFMADDPDr231r
     0U,	// VFMADDPDr231rY
-    4U,	// VFMADDPS4mr
+    72U,	// VFMADDPS4mr
     0U,	// VFMADDPS4mrY
-    4U,	// VFMADDPS4rm
-    4U,	// VFMADDPS4rmY
-    4U,	// VFMADDPS4rr
-    4U,	// VFMADDPS4rrY
-    4U,	// VFMADDPS4rrY_REV
-    4U,	// VFMADDPS4rr_REV
+    72U,	// VFMADDPS4rm
+    72U,	// VFMADDPS4rmY
+    72U,	// VFMADDPS4rr
+    72U,	// VFMADDPS4rrY
+    72U,	// VFMADDPS4rrY_REV
+    72U,	// VFMADDPS4rr_REV
+    28U,	// VFMADDPSZ128v213rm
+    4168U,	// VFMADDPSZ128v213rmb
+    6533U,	// VFMADDPSZ128v213rmbk
+    10629U,	// VFMADDPSZ128v213rmbkz
+    0U,	// VFMADDPSZ128v213rmk
+    0U,	// VFMADDPSZ128v213rmkz
+    28U,	// VFMADDPSZ128v213rr
+    469U,	// VFMADDPSZ128v213rrk
+    597U,	// VFMADDPSZ128v213rrkz
+    28U,	// VFMADDPSZ128v231rm
+    4168U,	// VFMADDPSZ128v231rmb
+    6533U,	// VFMADDPSZ128v231rmbk
+    10629U,	// VFMADDPSZ128v231rmbkz
+    0U,	// VFMADDPSZ128v231rmk
+    0U,	// VFMADDPSZ128v231rmkz
+    28U,	// VFMADDPSZ128v231rr
+    469U,	// VFMADDPSZ128v231rrk
+    597U,	// VFMADDPSZ128v231rrkz
+    28U,	// VFMADDPSZ256v213rm
+    4168U,	// VFMADDPSZ256v213rmb
+    6533U,	// VFMADDPSZ256v213rmbk
+    10629U,	// VFMADDPSZ256v213rmbkz
+    0U,	// VFMADDPSZ256v213rmk
+    0U,	// VFMADDPSZ256v213rmkz
+    28U,	// VFMADDPSZ256v213rr
+    469U,	// VFMADDPSZ256v213rrk
+    597U,	// VFMADDPSZ256v213rrkz
+    28U,	// VFMADDPSZ256v231rm
+    4168U,	// VFMADDPSZ256v231rmb
+    6533U,	// VFMADDPSZ256v231rmbk
+    10629U,	// VFMADDPSZ256v231rmbkz
+    0U,	// VFMADDPSZ256v231rmk
+    0U,	// VFMADDPSZ256v231rmkz
+    28U,	// VFMADDPSZ256v231rr
+    469U,	// VFMADDPSZ256v231rrk
+    597U,	// VFMADDPSZ256v231rrkz
+    28U,	// VFMADDPSZv213rm
+    4168U,	// VFMADDPSZv213rmb
+    6533U,	// VFMADDPSZv213rmbk
+    10629U,	// VFMADDPSZv213rmbkz
+    0U,	// VFMADDPSZv213rmk
+    0U,	// VFMADDPSZv213rmkz
+    28U,	// VFMADDPSZv213rr
+    0U,	// VFMADDPSZv213rrb
+    0U,	// VFMADDPSZv213rrbk
+    0U,	// VFMADDPSZv213rrbkz
+    469U,	// VFMADDPSZv213rrk
+    597U,	// VFMADDPSZv213rrkz
+    28U,	// VFMADDPSZv231rm
+    4168U,	// VFMADDPSZv231rmb
+    6533U,	// VFMADDPSZv231rmbk
+    10629U,	// VFMADDPSZv231rmbkz
+    0U,	// VFMADDPSZv231rmk
+    0U,	// VFMADDPSZv231rmkz
+    28U,	// VFMADDPSZv231rr
+    469U,	// VFMADDPSZv231rrk
+    597U,	// VFMADDPSZv231rrkz
     0U,	// VFMADDPSr132m
     0U,	// VFMADDPSr132mY
     0U,	// VFMADDPSr132r
@@ -9685,58 +12715,113 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMADDPSr231mY
     0U,	// VFMADDPSr231r
     0U,	// VFMADDPSr231rY
-    4U,	// VFMADDSD4mr
-    4U,	// VFMADDSD4mr_Int
-    1156U,	// VFMADDSD4rm
-    1156U,	// VFMADDSD4rm_Int
-    4U,	// VFMADDSD4rr
-    4U,	// VFMADDSD4rr_Int
-    4U,	// VFMADDSD4rr_REV
+    72U,	// VFMADDSD4mr
+    72U,	// VFMADDSD4mr_Int
+    2248U,	// VFMADDSD4rm
+    2248U,	// VFMADDSD4rm_Int
+    72U,	// VFMADDSD4rr
+    72U,	// VFMADDSD4rr_Int
+    72U,	// VFMADDSD4rr_REV
     0U,	// VFMADDSDZm
     0U,	// VFMADDSDZr
-    4U,	// VFMADDSDr132m
+    72U,	// VFMADDSDr132m
     0U,	// VFMADDSDr132r
-    4U,	// VFMADDSDr213m
+    72U,	// VFMADDSDr213m
     0U,	// VFMADDSDr213r
-    4U,	// VFMADDSDr231m
+    72U,	// VFMADDSDr231m
     0U,	// VFMADDSDr231r
-    4U,	// VFMADDSS4mr
-    4U,	// VFMADDSS4mr_Int
-    1156U,	// VFMADDSS4rm
-    1156U,	// VFMADDSS4rm_Int
-    4U,	// VFMADDSS4rr
-    4U,	// VFMADDSS4rr_Int
-    4U,	// VFMADDSS4rr_REV
+    72U,	// VFMADDSS4mr
+    72U,	// VFMADDSS4mr_Int
+    2248U,	// VFMADDSS4rm
+    2248U,	// VFMADDSS4rm_Int
+    72U,	// VFMADDSS4rr
+    72U,	// VFMADDSS4rr_Int
+    72U,	// VFMADDSS4rr_REV
     0U,	// VFMADDSSZm
     0U,	// VFMADDSSZr
-    4U,	// VFMADDSSr132m
+    72U,	// VFMADDSSr132m
     0U,	// VFMADDSSr132r
-    4U,	// VFMADDSSr213m
+    72U,	// VFMADDSSr213m
     0U,	// VFMADDSSr213r
-    4U,	// VFMADDSSr231m
+    72U,	// VFMADDSSr231m
     0U,	// VFMADDSSr231r
+    0U,	// VFMADDSUB132PDZ128m
+    72U,	// VFMADDSUB132PDZ128mb
+    0U,	// VFMADDSUB132PDZ256m
+    72U,	// VFMADDSUB132PDZ256mb
     0U,	// VFMADDSUB132PDZm
-    4U,	// VFMADDSUB132PDZmb
+    72U,	// VFMADDSUB132PDZmb
+    0U,	// VFMADDSUB132PSZ128m
+    72U,	// VFMADDSUB132PSZ128mb
+    0U,	// VFMADDSUB132PSZ256m
+    72U,	// VFMADDSUB132PSZ256mb
     0U,	// VFMADDSUB132PSZm
-    4U,	// VFMADDSUB132PSZmb
-    0U,	// VFMADDSUB213PDZm
-    4U,	// VFMADDSUB213PDZmb
-    0U,	// VFMADDSUB213PDZr
-    345U,	// VFMADDSUB213PDZrk
-    281U,	// VFMADDSUB213PDZrkz
-    0U,	// VFMADDSUB213PSZm
-    4U,	// VFMADDSUB213PSZmb
-    0U,	// VFMADDSUB213PSZr
-    345U,	// VFMADDSUB213PSZrk
-    281U,	// VFMADDSUB213PSZrkz
-    4U,	// VFMADDSUBPD4mr
+    72U,	// VFMADDSUB132PSZmb
+    72U,	// VFMADDSUBPD4mr
     0U,	// VFMADDSUBPD4mrY
-    4U,	// VFMADDSUBPD4rm
-    4U,	// VFMADDSUBPD4rmY
-    4U,	// VFMADDSUBPD4rr
-    4U,	// VFMADDSUBPD4rrY
-    4U,	// VFMADDSUBPD4rrY_REV
-    4U,	// VFMADDSUBPD4rr_REV
+    72U,	// VFMADDSUBPD4rm
+    72U,	// VFMADDSUBPD4rmY
+    72U,	// VFMADDSUBPD4rr
+    72U,	// VFMADDSUBPD4rrY
+    72U,	// VFMADDSUBPD4rrY_REV
+    72U,	// VFMADDSUBPD4rr_REV
+    28U,	// VFMADDSUBPDZ128v213rm
+    4168U,	// VFMADDSUBPDZ128v213rmb
+    6533U,	// VFMADDSUBPDZ128v213rmbk
+    10629U,	// VFMADDSUBPDZ128v213rmbkz
+    0U,	// VFMADDSUBPDZ128v213rmk
+    0U,	// VFMADDSUBPDZ128v213rmkz
+    28U,	// VFMADDSUBPDZ128v213rr
+    469U,	// VFMADDSUBPDZ128v213rrk
+    597U,	// VFMADDSUBPDZ128v213rrkz
+    28U,	// VFMADDSUBPDZ128v231rm
+    4168U,	// VFMADDSUBPDZ128v231rmb
+    6533U,	// VFMADDSUBPDZ128v231rmbk
+    10629U,	// VFMADDSUBPDZ128v231rmbkz
+    0U,	// VFMADDSUBPDZ128v231rmk
+    0U,	// VFMADDSUBPDZ128v231rmkz
+    28U,	// VFMADDSUBPDZ128v231rr
+    469U,	// VFMADDSUBPDZ128v231rrk
+    597U,	// VFMADDSUBPDZ128v231rrkz
+    28U,	// VFMADDSUBPDZ256v213rm
+    4168U,	// VFMADDSUBPDZ256v213rmb
+    6533U,	// VFMADDSUBPDZ256v213rmbk
+    10629U,	// VFMADDSUBPDZ256v213rmbkz
+    0U,	// VFMADDSUBPDZ256v213rmk
+    0U,	// VFMADDSUBPDZ256v213rmkz
+    28U,	// VFMADDSUBPDZ256v213rr
+    469U,	// VFMADDSUBPDZ256v213rrk
+    597U,	// VFMADDSUBPDZ256v213rrkz
+    28U,	// VFMADDSUBPDZ256v231rm
+    4168U,	// VFMADDSUBPDZ256v231rmb
+    6533U,	// VFMADDSUBPDZ256v231rmbk
+    10629U,	// VFMADDSUBPDZ256v231rmbkz
+    0U,	// VFMADDSUBPDZ256v231rmk
+    0U,	// VFMADDSUBPDZ256v231rmkz
+    28U,	// VFMADDSUBPDZ256v231rr
+    469U,	// VFMADDSUBPDZ256v231rrk
+    597U,	// VFMADDSUBPDZ256v231rrkz
+    28U,	// VFMADDSUBPDZv213rm
+    4168U,	// VFMADDSUBPDZv213rmb
+    6533U,	// VFMADDSUBPDZv213rmbk
+    10629U,	// VFMADDSUBPDZv213rmbkz
+    0U,	// VFMADDSUBPDZv213rmk
+    0U,	// VFMADDSUBPDZv213rmkz
+    28U,	// VFMADDSUBPDZv213rr
+    0U,	// VFMADDSUBPDZv213rrb
+    0U,	// VFMADDSUBPDZv213rrbk
+    0U,	// VFMADDSUBPDZv213rrbkz
+    469U,	// VFMADDSUBPDZv213rrk
+    597U,	// VFMADDSUBPDZv213rrkz
+    28U,	// VFMADDSUBPDZv231rm
+    4168U,	// VFMADDSUBPDZv231rmb
+    6533U,	// VFMADDSUBPDZv231rmbk
+    10629U,	// VFMADDSUBPDZv231rmbkz
+    0U,	// VFMADDSUBPDZv231rmk
+    0U,	// VFMADDSUBPDZv231rmkz
+    28U,	// VFMADDSUBPDZv231rr
+    469U,	// VFMADDSUBPDZv231rrk
+    597U,	// VFMADDSUBPDZv231rrkz
     0U,	// VFMADDSUBPDr132m
     0U,	// VFMADDSUBPDr132mY
     0U,	// VFMADDSUBPDr132r
@@ -9749,14 +12834,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMADDSUBPDr231mY
     0U,	// VFMADDSUBPDr231r
     0U,	// VFMADDSUBPDr231rY
-    4U,	// VFMADDSUBPS4mr
+    72U,	// VFMADDSUBPS4mr
     0U,	// VFMADDSUBPS4mrY
-    4U,	// VFMADDSUBPS4rm
-    4U,	// VFMADDSUBPS4rmY
-    4U,	// VFMADDSUBPS4rr
-    4U,	// VFMADDSUBPS4rrY
-    4U,	// VFMADDSUBPS4rrY_REV
-    4U,	// VFMADDSUBPS4rr_REV
+    72U,	// VFMADDSUBPS4rm
+    72U,	// VFMADDSUBPS4rmY
+    72U,	// VFMADDSUBPS4rr
+    72U,	// VFMADDSUBPS4rrY
+    72U,	// VFMADDSUBPS4rrY_REV
+    72U,	// VFMADDSUBPS4rr_REV
+    28U,	// VFMADDSUBPSZ128v213rm
+    4168U,	// VFMADDSUBPSZ128v213rmb
+    6533U,	// VFMADDSUBPSZ128v213rmbk
+    10629U,	// VFMADDSUBPSZ128v213rmbkz
+    0U,	// VFMADDSUBPSZ128v213rmk
+    0U,	// VFMADDSUBPSZ128v213rmkz
+    28U,	// VFMADDSUBPSZ128v213rr
+    469U,	// VFMADDSUBPSZ128v213rrk
+    597U,	// VFMADDSUBPSZ128v213rrkz
+    28U,	// VFMADDSUBPSZ128v231rm
+    4168U,	// VFMADDSUBPSZ128v231rmb
+    6533U,	// VFMADDSUBPSZ128v231rmbk
+    10629U,	// VFMADDSUBPSZ128v231rmbkz
+    0U,	// VFMADDSUBPSZ128v231rmk
+    0U,	// VFMADDSUBPSZ128v231rmkz
+    28U,	// VFMADDSUBPSZ128v231rr
+    469U,	// VFMADDSUBPSZ128v231rrk
+    597U,	// VFMADDSUBPSZ128v231rrkz
+    28U,	// VFMADDSUBPSZ256v213rm
+    4168U,	// VFMADDSUBPSZ256v213rmb
+    6533U,	// VFMADDSUBPSZ256v213rmbk
+    10629U,	// VFMADDSUBPSZ256v213rmbkz
+    0U,	// VFMADDSUBPSZ256v213rmk
+    0U,	// VFMADDSUBPSZ256v213rmkz
+    28U,	// VFMADDSUBPSZ256v213rr
+    469U,	// VFMADDSUBPSZ256v213rrk
+    597U,	// VFMADDSUBPSZ256v213rrkz
+    28U,	// VFMADDSUBPSZ256v231rm
+    4168U,	// VFMADDSUBPSZ256v231rmb
+    6533U,	// VFMADDSUBPSZ256v231rmbk
+    10629U,	// VFMADDSUBPSZ256v231rmbkz
+    0U,	// VFMADDSUBPSZ256v231rmk
+    0U,	// VFMADDSUBPSZ256v231rmkz
+    28U,	// VFMADDSUBPSZ256v231rr
+    469U,	// VFMADDSUBPSZ256v231rrk
+    597U,	// VFMADDSUBPSZ256v231rrkz
+    28U,	// VFMADDSUBPSZv213rm
+    4168U,	// VFMADDSUBPSZv213rmb
+    6533U,	// VFMADDSUBPSZv213rmbk
+    10629U,	// VFMADDSUBPSZv213rmbkz
+    0U,	// VFMADDSUBPSZv213rmk
+    0U,	// VFMADDSUBPSZv213rmkz
+    28U,	// VFMADDSUBPSZv213rr
+    0U,	// VFMADDSUBPSZv213rrb
+    0U,	// VFMADDSUBPSZv213rrbk
+    0U,	// VFMADDSUBPSZv213rrbkz
+    469U,	// VFMADDSUBPSZv213rrk
+    597U,	// VFMADDSUBPSZv213rrkz
+    28U,	// VFMADDSUBPSZv231rm
+    4168U,	// VFMADDSUBPSZv231rmb
+    6533U,	// VFMADDSUBPSZv231rmbk
+    10629U,	// VFMADDSUBPSZv231rmbkz
+    0U,	// VFMADDSUBPSZv231rmk
+    0U,	// VFMADDSUBPSZv231rmkz
+    28U,	// VFMADDSUBPSZv231rr
+    469U,	// VFMADDSUBPSZv231rrk
+    597U,	// VFMADDSUBPSZv231rrkz
     0U,	// VFMADDSUBPSr132m
     0U,	// VFMADDSUBPSr132mY
     0U,	// VFMADDSUBPSr132r
@@ -9769,42 +12911,95 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMADDSUBPSr231mY
     0U,	// VFMADDSUBPSr231r
     0U,	// VFMADDSUBPSr231rY
+    0U,	// VFMSUB132PDZ128m
+    72U,	// VFMSUB132PDZ128mb
+    0U,	// VFMSUB132PDZ256m
+    72U,	// VFMSUB132PDZ256mb
     0U,	// VFMSUB132PDZm
-    4U,	// VFMSUB132PDZmb
+    72U,	// VFMSUB132PDZmb
+    0U,	// VFMSUB132PSZ128m
+    72U,	// VFMSUB132PSZ128mb
+    0U,	// VFMSUB132PSZ256m
+    72U,	// VFMSUB132PSZ256mb
     0U,	// VFMSUB132PSZm
-    4U,	// VFMSUB132PSZmb
-    0U,	// VFMSUB213PDZm
-    4U,	// VFMSUB213PDZmb
-    0U,	// VFMSUB213PDZr
-    345U,	// VFMSUB213PDZrk
-    281U,	// VFMSUB213PDZrkz
-    0U,	// VFMSUB213PSZm
-    4U,	// VFMSUB213PSZmb
-    0U,	// VFMSUB213PSZr
-    345U,	// VFMSUB213PSZrk
-    281U,	// VFMSUB213PSZrkz
+    72U,	// VFMSUB132PSZmb
+    0U,	// VFMSUBADD132PDZ128m
+    72U,	// VFMSUBADD132PDZ128mb
+    0U,	// VFMSUBADD132PDZ256m
+    72U,	// VFMSUBADD132PDZ256mb
     0U,	// VFMSUBADD132PDZm
-    4U,	// VFMSUBADD132PDZmb
+    72U,	// VFMSUBADD132PDZmb
+    0U,	// VFMSUBADD132PSZ128m
+    72U,	// VFMSUBADD132PSZ128mb
+    0U,	// VFMSUBADD132PSZ256m
+    72U,	// VFMSUBADD132PSZ256mb
     0U,	// VFMSUBADD132PSZm
-    4U,	// VFMSUBADD132PSZmb
-    0U,	// VFMSUBADD213PDZm
-    4U,	// VFMSUBADD213PDZmb
-    0U,	// VFMSUBADD213PDZr
-    345U,	// VFMSUBADD213PDZrk
-    281U,	// VFMSUBADD213PDZrkz
-    0U,	// VFMSUBADD213PSZm
-    4U,	// VFMSUBADD213PSZmb
-    0U,	// VFMSUBADD213PSZr
-    345U,	// VFMSUBADD213PSZrk
-    281U,	// VFMSUBADD213PSZrkz
-    4U,	// VFMSUBADDPD4mr
+    72U,	// VFMSUBADD132PSZmb
+    72U,	// VFMSUBADDPD4mr
     0U,	// VFMSUBADDPD4mrY
-    4U,	// VFMSUBADDPD4rm
-    4U,	// VFMSUBADDPD4rmY
-    4U,	// VFMSUBADDPD4rr
-    4U,	// VFMSUBADDPD4rrY
-    4U,	// VFMSUBADDPD4rrY_REV
-    4U,	// VFMSUBADDPD4rr_REV
+    72U,	// VFMSUBADDPD4rm
+    72U,	// VFMSUBADDPD4rmY
+    72U,	// VFMSUBADDPD4rr
+    72U,	// VFMSUBADDPD4rrY
+    72U,	// VFMSUBADDPD4rrY_REV
+    72U,	// VFMSUBADDPD4rr_REV
+    28U,	// VFMSUBADDPDZ128v213rm
+    4168U,	// VFMSUBADDPDZ128v213rmb
+    6533U,	// VFMSUBADDPDZ128v213rmbk
+    10629U,	// VFMSUBADDPDZ128v213rmbkz
+    0U,	// VFMSUBADDPDZ128v213rmk
+    0U,	// VFMSUBADDPDZ128v213rmkz
+    28U,	// VFMSUBADDPDZ128v213rr
+    469U,	// VFMSUBADDPDZ128v213rrk
+    597U,	// VFMSUBADDPDZ128v213rrkz
+    28U,	// VFMSUBADDPDZ128v231rm
+    4168U,	// VFMSUBADDPDZ128v231rmb
+    6533U,	// VFMSUBADDPDZ128v231rmbk
+    10629U,	// VFMSUBADDPDZ128v231rmbkz
+    0U,	// VFMSUBADDPDZ128v231rmk
+    0U,	// VFMSUBADDPDZ128v231rmkz
+    28U,	// VFMSUBADDPDZ128v231rr
+    469U,	// VFMSUBADDPDZ128v231rrk
+    597U,	// VFMSUBADDPDZ128v231rrkz
+    28U,	// VFMSUBADDPDZ256v213rm
+    4168U,	// VFMSUBADDPDZ256v213rmb
+    6533U,	// VFMSUBADDPDZ256v213rmbk
+    10629U,	// VFMSUBADDPDZ256v213rmbkz
+    0U,	// VFMSUBADDPDZ256v213rmk
+    0U,	// VFMSUBADDPDZ256v213rmkz
+    28U,	// VFMSUBADDPDZ256v213rr
+    469U,	// VFMSUBADDPDZ256v213rrk
+    597U,	// VFMSUBADDPDZ256v213rrkz
+    28U,	// VFMSUBADDPDZ256v231rm
+    4168U,	// VFMSUBADDPDZ256v231rmb
+    6533U,	// VFMSUBADDPDZ256v231rmbk
+    10629U,	// VFMSUBADDPDZ256v231rmbkz
+    0U,	// VFMSUBADDPDZ256v231rmk
+    0U,	// VFMSUBADDPDZ256v231rmkz
+    28U,	// VFMSUBADDPDZ256v231rr
+    469U,	// VFMSUBADDPDZ256v231rrk
+    597U,	// VFMSUBADDPDZ256v231rrkz
+    28U,	// VFMSUBADDPDZv213rm
+    4168U,	// VFMSUBADDPDZv213rmb
+    6533U,	// VFMSUBADDPDZv213rmbk
+    10629U,	// VFMSUBADDPDZv213rmbkz
+    0U,	// VFMSUBADDPDZv213rmk
+    0U,	// VFMSUBADDPDZv213rmkz
+    28U,	// VFMSUBADDPDZv213rr
+    0U,	// VFMSUBADDPDZv213rrb
+    0U,	// VFMSUBADDPDZv213rrbk
+    0U,	// VFMSUBADDPDZv213rrbkz
+    469U,	// VFMSUBADDPDZv213rrk
+    597U,	// VFMSUBADDPDZv213rrkz
+    28U,	// VFMSUBADDPDZv231rm
+    4168U,	// VFMSUBADDPDZv231rmb
+    6533U,	// VFMSUBADDPDZv231rmbk
+    10629U,	// VFMSUBADDPDZv231rmbkz
+    0U,	// VFMSUBADDPDZv231rmk
+    0U,	// VFMSUBADDPDZv231rmkz
+    28U,	// VFMSUBADDPDZv231rr
+    469U,	// VFMSUBADDPDZv231rrk
+    597U,	// VFMSUBADDPDZv231rrkz
     0U,	// VFMSUBADDPDr132m
     0U,	// VFMSUBADDPDr132mY
     0U,	// VFMSUBADDPDr132r
@@ -9817,14 +13012,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMSUBADDPDr231mY
     0U,	// VFMSUBADDPDr231r
     0U,	// VFMSUBADDPDr231rY
-    4U,	// VFMSUBADDPS4mr
+    72U,	// VFMSUBADDPS4mr
     0U,	// VFMSUBADDPS4mrY
-    4U,	// VFMSUBADDPS4rm
-    4U,	// VFMSUBADDPS4rmY
-    4U,	// VFMSUBADDPS4rr
-    4U,	// VFMSUBADDPS4rrY
-    4U,	// VFMSUBADDPS4rrY_REV
-    4U,	// VFMSUBADDPS4rr_REV
+    72U,	// VFMSUBADDPS4rm
+    72U,	// VFMSUBADDPS4rmY
+    72U,	// VFMSUBADDPS4rr
+    72U,	// VFMSUBADDPS4rrY
+    72U,	// VFMSUBADDPS4rrY_REV
+    72U,	// VFMSUBADDPS4rr_REV
+    28U,	// VFMSUBADDPSZ128v213rm
+    4168U,	// VFMSUBADDPSZ128v213rmb
+    6533U,	// VFMSUBADDPSZ128v213rmbk
+    10629U,	// VFMSUBADDPSZ128v213rmbkz
+    0U,	// VFMSUBADDPSZ128v213rmk
+    0U,	// VFMSUBADDPSZ128v213rmkz
+    28U,	// VFMSUBADDPSZ128v213rr
+    469U,	// VFMSUBADDPSZ128v213rrk
+    597U,	// VFMSUBADDPSZ128v213rrkz
+    28U,	// VFMSUBADDPSZ128v231rm
+    4168U,	// VFMSUBADDPSZ128v231rmb
+    6533U,	// VFMSUBADDPSZ128v231rmbk
+    10629U,	// VFMSUBADDPSZ128v231rmbkz
+    0U,	// VFMSUBADDPSZ128v231rmk
+    0U,	// VFMSUBADDPSZ128v231rmkz
+    28U,	// VFMSUBADDPSZ128v231rr
+    469U,	// VFMSUBADDPSZ128v231rrk
+    597U,	// VFMSUBADDPSZ128v231rrkz
+    28U,	// VFMSUBADDPSZ256v213rm
+    4168U,	// VFMSUBADDPSZ256v213rmb
+    6533U,	// VFMSUBADDPSZ256v213rmbk
+    10629U,	// VFMSUBADDPSZ256v213rmbkz
+    0U,	// VFMSUBADDPSZ256v213rmk
+    0U,	// VFMSUBADDPSZ256v213rmkz
+    28U,	// VFMSUBADDPSZ256v213rr
+    469U,	// VFMSUBADDPSZ256v213rrk
+    597U,	// VFMSUBADDPSZ256v213rrkz
+    28U,	// VFMSUBADDPSZ256v231rm
+    4168U,	// VFMSUBADDPSZ256v231rmb
+    6533U,	// VFMSUBADDPSZ256v231rmbk
+    10629U,	// VFMSUBADDPSZ256v231rmbkz
+    0U,	// VFMSUBADDPSZ256v231rmk
+    0U,	// VFMSUBADDPSZ256v231rmkz
+    28U,	// VFMSUBADDPSZ256v231rr
+    469U,	// VFMSUBADDPSZ256v231rrk
+    597U,	// VFMSUBADDPSZ256v231rrkz
+    28U,	// VFMSUBADDPSZv213rm
+    4168U,	// VFMSUBADDPSZv213rmb
+    6533U,	// VFMSUBADDPSZv213rmbk
+    10629U,	// VFMSUBADDPSZv213rmbkz
+    0U,	// VFMSUBADDPSZv213rmk
+    0U,	// VFMSUBADDPSZv213rmkz
+    28U,	// VFMSUBADDPSZv213rr
+    0U,	// VFMSUBADDPSZv213rrb
+    0U,	// VFMSUBADDPSZv213rrbk
+    0U,	// VFMSUBADDPSZv213rrbkz
+    469U,	// VFMSUBADDPSZv213rrk
+    597U,	// VFMSUBADDPSZv213rrkz
+    28U,	// VFMSUBADDPSZv231rm
+    4168U,	// VFMSUBADDPSZv231rmb
+    6533U,	// VFMSUBADDPSZv231rmbk
+    10629U,	// VFMSUBADDPSZv231rmbkz
+    0U,	// VFMSUBADDPSZv231rmk
+    0U,	// VFMSUBADDPSZv231rmkz
+    28U,	// VFMSUBADDPSZv231rr
+    469U,	// VFMSUBADDPSZv231rrk
+    597U,	// VFMSUBADDPSZv231rrkz
     0U,	// VFMSUBADDPSr132m
     0U,	// VFMSUBADDPSr132mY
     0U,	// VFMSUBADDPSr132r
@@ -9837,14 +13089,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMSUBADDPSr231mY
     0U,	// VFMSUBADDPSr231r
     0U,	// VFMSUBADDPSr231rY
-    4U,	// VFMSUBPD4mr
+    72U,	// VFMSUBPD4mr
     0U,	// VFMSUBPD4mrY
-    4U,	// VFMSUBPD4rm
-    4U,	// VFMSUBPD4rmY
-    4U,	// VFMSUBPD4rr
-    4U,	// VFMSUBPD4rrY
-    4U,	// VFMSUBPD4rrY_REV
-    4U,	// VFMSUBPD4rr_REV
+    72U,	// VFMSUBPD4rm
+    72U,	// VFMSUBPD4rmY
+    72U,	// VFMSUBPD4rr
+    72U,	// VFMSUBPD4rrY
+    72U,	// VFMSUBPD4rrY_REV
+    72U,	// VFMSUBPD4rr_REV
+    28U,	// VFMSUBPDZ128v213rm
+    4168U,	// VFMSUBPDZ128v213rmb
+    6533U,	// VFMSUBPDZ128v213rmbk
+    10629U,	// VFMSUBPDZ128v213rmbkz
+    0U,	// VFMSUBPDZ128v213rmk
+    0U,	// VFMSUBPDZ128v213rmkz
+    28U,	// VFMSUBPDZ128v213rr
+    469U,	// VFMSUBPDZ128v213rrk
+    597U,	// VFMSUBPDZ128v213rrkz
+    28U,	// VFMSUBPDZ128v231rm
+    4168U,	// VFMSUBPDZ128v231rmb
+    6533U,	// VFMSUBPDZ128v231rmbk
+    10629U,	// VFMSUBPDZ128v231rmbkz
+    0U,	// VFMSUBPDZ128v231rmk
+    0U,	// VFMSUBPDZ128v231rmkz
+    28U,	// VFMSUBPDZ128v231rr
+    469U,	// VFMSUBPDZ128v231rrk
+    597U,	// VFMSUBPDZ128v231rrkz
+    28U,	// VFMSUBPDZ256v213rm
+    4168U,	// VFMSUBPDZ256v213rmb
+    6533U,	// VFMSUBPDZ256v213rmbk
+    10629U,	// VFMSUBPDZ256v213rmbkz
+    0U,	// VFMSUBPDZ256v213rmk
+    0U,	// VFMSUBPDZ256v213rmkz
+    28U,	// VFMSUBPDZ256v213rr
+    469U,	// VFMSUBPDZ256v213rrk
+    597U,	// VFMSUBPDZ256v213rrkz
+    28U,	// VFMSUBPDZ256v231rm
+    4168U,	// VFMSUBPDZ256v231rmb
+    6533U,	// VFMSUBPDZ256v231rmbk
+    10629U,	// VFMSUBPDZ256v231rmbkz
+    0U,	// VFMSUBPDZ256v231rmk
+    0U,	// VFMSUBPDZ256v231rmkz
+    28U,	// VFMSUBPDZ256v231rr
+    469U,	// VFMSUBPDZ256v231rrk
+    597U,	// VFMSUBPDZ256v231rrkz
+    28U,	// VFMSUBPDZv213rm
+    4168U,	// VFMSUBPDZv213rmb
+    6533U,	// VFMSUBPDZv213rmbk
+    10629U,	// VFMSUBPDZv213rmbkz
+    0U,	// VFMSUBPDZv213rmk
+    0U,	// VFMSUBPDZv213rmkz
+    28U,	// VFMSUBPDZv213rr
+    0U,	// VFMSUBPDZv213rrb
+    0U,	// VFMSUBPDZv213rrbk
+    0U,	// VFMSUBPDZv213rrbkz
+    469U,	// VFMSUBPDZv213rrk
+    597U,	// VFMSUBPDZv213rrkz
+    28U,	// VFMSUBPDZv231rm
+    4168U,	// VFMSUBPDZv231rmb
+    6533U,	// VFMSUBPDZv231rmbk
+    10629U,	// VFMSUBPDZv231rmbkz
+    0U,	// VFMSUBPDZv231rmk
+    0U,	// VFMSUBPDZv231rmkz
+    28U,	// VFMSUBPDZv231rr
+    469U,	// VFMSUBPDZv231rrk
+    597U,	// VFMSUBPDZv231rrkz
     0U,	// VFMSUBPDr132m
     0U,	// VFMSUBPDr132mY
     0U,	// VFMSUBPDr132r
@@ -9857,14 +13166,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMSUBPDr231mY
     0U,	// VFMSUBPDr231r
     0U,	// VFMSUBPDr231rY
-    4U,	// VFMSUBPS4mr
+    72U,	// VFMSUBPS4mr
     0U,	// VFMSUBPS4mrY
-    4U,	// VFMSUBPS4rm
-    4U,	// VFMSUBPS4rmY
-    4U,	// VFMSUBPS4rr
-    4U,	// VFMSUBPS4rrY
-    4U,	// VFMSUBPS4rrY_REV
-    4U,	// VFMSUBPS4rr_REV
+    72U,	// VFMSUBPS4rm
+    72U,	// VFMSUBPS4rmY
+    72U,	// VFMSUBPS4rr
+    72U,	// VFMSUBPS4rrY
+    72U,	// VFMSUBPS4rrY_REV
+    72U,	// VFMSUBPS4rr_REV
+    28U,	// VFMSUBPSZ128v213rm
+    4168U,	// VFMSUBPSZ128v213rmb
+    6533U,	// VFMSUBPSZ128v213rmbk
+    10629U,	// VFMSUBPSZ128v213rmbkz
+    0U,	// VFMSUBPSZ128v213rmk
+    0U,	// VFMSUBPSZ128v213rmkz
+    28U,	// VFMSUBPSZ128v213rr
+    469U,	// VFMSUBPSZ128v213rrk
+    597U,	// VFMSUBPSZ128v213rrkz
+    28U,	// VFMSUBPSZ128v231rm
+    4168U,	// VFMSUBPSZ128v231rmb
+    6533U,	// VFMSUBPSZ128v231rmbk
+    10629U,	// VFMSUBPSZ128v231rmbkz
+    0U,	// VFMSUBPSZ128v231rmk
+    0U,	// VFMSUBPSZ128v231rmkz
+    28U,	// VFMSUBPSZ128v231rr
+    469U,	// VFMSUBPSZ128v231rrk
+    597U,	// VFMSUBPSZ128v231rrkz
+    28U,	// VFMSUBPSZ256v213rm
+    4168U,	// VFMSUBPSZ256v213rmb
+    6533U,	// VFMSUBPSZ256v213rmbk
+    10629U,	// VFMSUBPSZ256v213rmbkz
+    0U,	// VFMSUBPSZ256v213rmk
+    0U,	// VFMSUBPSZ256v213rmkz
+    28U,	// VFMSUBPSZ256v213rr
+    469U,	// VFMSUBPSZ256v213rrk
+    597U,	// VFMSUBPSZ256v213rrkz
+    28U,	// VFMSUBPSZ256v231rm
+    4168U,	// VFMSUBPSZ256v231rmb
+    6533U,	// VFMSUBPSZ256v231rmbk
+    10629U,	// VFMSUBPSZ256v231rmbkz
+    0U,	// VFMSUBPSZ256v231rmk
+    0U,	// VFMSUBPSZ256v231rmkz
+    28U,	// VFMSUBPSZ256v231rr
+    469U,	// VFMSUBPSZ256v231rrk
+    597U,	// VFMSUBPSZ256v231rrkz
+    28U,	// VFMSUBPSZv213rm
+    4168U,	// VFMSUBPSZv213rmb
+    6533U,	// VFMSUBPSZv213rmbk
+    10629U,	// VFMSUBPSZv213rmbkz
+    0U,	// VFMSUBPSZv213rmk
+    0U,	// VFMSUBPSZv213rmkz
+    28U,	// VFMSUBPSZv213rr
+    0U,	// VFMSUBPSZv213rrb
+    0U,	// VFMSUBPSZv213rrbk
+    0U,	// VFMSUBPSZv213rrbkz
+    469U,	// VFMSUBPSZv213rrk
+    597U,	// VFMSUBPSZv213rrkz
+    28U,	// VFMSUBPSZv231rm
+    4168U,	// VFMSUBPSZv231rmb
+    6533U,	// VFMSUBPSZv231rmbk
+    10629U,	// VFMSUBPSZv231rmbkz
+    0U,	// VFMSUBPSZv231rmk
+    0U,	// VFMSUBPSZv231rmkz
+    28U,	// VFMSUBPSZv231rr
+    469U,	// VFMSUBPSZv231rrk
+    597U,	// VFMSUBPSZv231rrkz
     0U,	// VFMSUBPSr132m
     0U,	// VFMSUBPSr132mY
     0U,	// VFMSUBPSr132r
@@ -9877,58 +13243,113 @@ static void printInstruction(MCInst *MI,
     0U,	// VFMSUBPSr231mY
     0U,	// VFMSUBPSr231r
     0U,	// VFMSUBPSr231rY
-    4U,	// VFMSUBSD4mr
-    4U,	// VFMSUBSD4mr_Int
-    1156U,	// VFMSUBSD4rm
-    1156U,	// VFMSUBSD4rm_Int
-    4U,	// VFMSUBSD4rr
-    4U,	// VFMSUBSD4rr_Int
-    4U,	// VFMSUBSD4rr_REV
+    72U,	// VFMSUBSD4mr
+    72U,	// VFMSUBSD4mr_Int
+    2248U,	// VFMSUBSD4rm
+    2248U,	// VFMSUBSD4rm_Int
+    72U,	// VFMSUBSD4rr
+    72U,	// VFMSUBSD4rr_Int
+    72U,	// VFMSUBSD4rr_REV
     0U,	// VFMSUBSDZm
     0U,	// VFMSUBSDZr
-    4U,	// VFMSUBSDr132m
+    72U,	// VFMSUBSDr132m
     0U,	// VFMSUBSDr132r
-    4U,	// VFMSUBSDr213m
+    72U,	// VFMSUBSDr213m
     0U,	// VFMSUBSDr213r
-    4U,	// VFMSUBSDr231m
+    72U,	// VFMSUBSDr231m
     0U,	// VFMSUBSDr231r
-    4U,	// VFMSUBSS4mr
-    4U,	// VFMSUBSS4mr_Int
-    1156U,	// VFMSUBSS4rm
-    1156U,	// VFMSUBSS4rm_Int
-    4U,	// VFMSUBSS4rr
-    4U,	// VFMSUBSS4rr_Int
-    4U,	// VFMSUBSS4rr_REV
+    72U,	// VFMSUBSS4mr
+    72U,	// VFMSUBSS4mr_Int
+    2248U,	// VFMSUBSS4rm
+    2248U,	// VFMSUBSS4rm_Int
+    72U,	// VFMSUBSS4rr
+    72U,	// VFMSUBSS4rr_Int
+    72U,	// VFMSUBSS4rr_REV
     0U,	// VFMSUBSSZm
     0U,	// VFMSUBSSZr
-    4U,	// VFMSUBSSr132m
+    72U,	// VFMSUBSSr132m
     0U,	// VFMSUBSSr132r
-    4U,	// VFMSUBSSr213m
+    72U,	// VFMSUBSSr213m
     0U,	// VFMSUBSSr213r
-    4U,	// VFMSUBSSr231m
+    72U,	// VFMSUBSSr231m
     0U,	// VFMSUBSSr231r
+    0U,	// VFNMADD132PDZ128m
+    72U,	// VFNMADD132PDZ128mb
+    0U,	// VFNMADD132PDZ256m
+    72U,	// VFNMADD132PDZ256mb
     0U,	// VFNMADD132PDZm
-    4U,	// VFNMADD132PDZmb
+    72U,	// VFNMADD132PDZmb
+    0U,	// VFNMADD132PSZ128m
+    72U,	// VFNMADD132PSZ128mb
+    0U,	// VFNMADD132PSZ256m
+    72U,	// VFNMADD132PSZ256mb
     0U,	// VFNMADD132PSZm
-    4U,	// VFNMADD132PSZmb
-    0U,	// VFNMADD213PDZm
-    4U,	// VFNMADD213PDZmb
-    0U,	// VFNMADD213PDZr
-    345U,	// VFNMADD213PDZrk
-    281U,	// VFNMADD213PDZrkz
-    0U,	// VFNMADD213PSZm
-    4U,	// VFNMADD213PSZmb
-    0U,	// VFNMADD213PSZr
-    345U,	// VFNMADD213PSZrk
-    281U,	// VFNMADD213PSZrkz
-    4U,	// VFNMADDPD4mr
+    72U,	// VFNMADD132PSZmb
+    72U,	// VFNMADDPD4mr
     0U,	// VFNMADDPD4mrY
-    4U,	// VFNMADDPD4rm
-    4U,	// VFNMADDPD4rmY
-    4U,	// VFNMADDPD4rr
-    4U,	// VFNMADDPD4rrY
-    4U,	// VFNMADDPD4rrY_REV
-    4U,	// VFNMADDPD4rr_REV
+    72U,	// VFNMADDPD4rm
+    72U,	// VFNMADDPD4rmY
+    72U,	// VFNMADDPD4rr
+    72U,	// VFNMADDPD4rrY
+    72U,	// VFNMADDPD4rrY_REV
+    72U,	// VFNMADDPD4rr_REV
+    28U,	// VFNMADDPDZ128v213rm
+    4168U,	// VFNMADDPDZ128v213rmb
+    6533U,	// VFNMADDPDZ128v213rmbk
+    10629U,	// VFNMADDPDZ128v213rmbkz
+    0U,	// VFNMADDPDZ128v213rmk
+    0U,	// VFNMADDPDZ128v213rmkz
+    28U,	// VFNMADDPDZ128v213rr
+    469U,	// VFNMADDPDZ128v213rrk
+    597U,	// VFNMADDPDZ128v213rrkz
+    28U,	// VFNMADDPDZ128v231rm
+    4168U,	// VFNMADDPDZ128v231rmb
+    6533U,	// VFNMADDPDZ128v231rmbk
+    10629U,	// VFNMADDPDZ128v231rmbkz
+    0U,	// VFNMADDPDZ128v231rmk
+    0U,	// VFNMADDPDZ128v231rmkz
+    28U,	// VFNMADDPDZ128v231rr
+    469U,	// VFNMADDPDZ128v231rrk
+    597U,	// VFNMADDPDZ128v231rrkz
+    28U,	// VFNMADDPDZ256v213rm
+    4168U,	// VFNMADDPDZ256v213rmb
+    6533U,	// VFNMADDPDZ256v213rmbk
+    10629U,	// VFNMADDPDZ256v213rmbkz
+    0U,	// VFNMADDPDZ256v213rmk
+    0U,	// VFNMADDPDZ256v213rmkz
+    28U,	// VFNMADDPDZ256v213rr
+    469U,	// VFNMADDPDZ256v213rrk
+    597U,	// VFNMADDPDZ256v213rrkz
+    28U,	// VFNMADDPDZ256v231rm
+    4168U,	// VFNMADDPDZ256v231rmb
+    6533U,	// VFNMADDPDZ256v231rmbk
+    10629U,	// VFNMADDPDZ256v231rmbkz
+    0U,	// VFNMADDPDZ256v231rmk
+    0U,	// VFNMADDPDZ256v231rmkz
+    28U,	// VFNMADDPDZ256v231rr
+    469U,	// VFNMADDPDZ256v231rrk
+    597U,	// VFNMADDPDZ256v231rrkz
+    28U,	// VFNMADDPDZv213rm
+    4168U,	// VFNMADDPDZv213rmb
+    6533U,	// VFNMADDPDZv213rmbk
+    10629U,	// VFNMADDPDZv213rmbkz
+    0U,	// VFNMADDPDZv213rmk
+    0U,	// VFNMADDPDZv213rmkz
+    28U,	// VFNMADDPDZv213rr
+    0U,	// VFNMADDPDZv213rrb
+    0U,	// VFNMADDPDZv213rrbk
+    0U,	// VFNMADDPDZv213rrbkz
+    469U,	// VFNMADDPDZv213rrk
+    597U,	// VFNMADDPDZv213rrkz
+    28U,	// VFNMADDPDZv231rm
+    4168U,	// VFNMADDPDZv231rmb
+    6533U,	// VFNMADDPDZv231rmbk
+    10629U,	// VFNMADDPDZv231rmbkz
+    0U,	// VFNMADDPDZv231rmk
+    0U,	// VFNMADDPDZv231rmkz
+    28U,	// VFNMADDPDZv231rr
+    469U,	// VFNMADDPDZv231rrk
+    597U,	// VFNMADDPDZv231rrkz
     0U,	// VFNMADDPDr132m
     0U,	// VFNMADDPDr132mY
     0U,	// VFNMADDPDr132r
@@ -9941,14 +13362,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFNMADDPDr231mY
     0U,	// VFNMADDPDr231r
     0U,	// VFNMADDPDr231rY
-    4U,	// VFNMADDPS4mr
+    72U,	// VFNMADDPS4mr
     0U,	// VFNMADDPS4mrY
-    4U,	// VFNMADDPS4rm
-    4U,	// VFNMADDPS4rmY
-    4U,	// VFNMADDPS4rr
-    4U,	// VFNMADDPS4rrY
-    4U,	// VFNMADDPS4rrY_REV
-    4U,	// VFNMADDPS4rr_REV
+    72U,	// VFNMADDPS4rm
+    72U,	// VFNMADDPS4rmY
+    72U,	// VFNMADDPS4rr
+    72U,	// VFNMADDPS4rrY
+    72U,	// VFNMADDPS4rrY_REV
+    72U,	// VFNMADDPS4rr_REV
+    28U,	// VFNMADDPSZ128v213rm
+    4168U,	// VFNMADDPSZ128v213rmb
+    6533U,	// VFNMADDPSZ128v213rmbk
+    10629U,	// VFNMADDPSZ128v213rmbkz
+    0U,	// VFNMADDPSZ128v213rmk
+    0U,	// VFNMADDPSZ128v213rmkz
+    28U,	// VFNMADDPSZ128v213rr
+    469U,	// VFNMADDPSZ128v213rrk
+    597U,	// VFNMADDPSZ128v213rrkz
+    28U,	// VFNMADDPSZ128v231rm
+    4168U,	// VFNMADDPSZ128v231rmb
+    6533U,	// VFNMADDPSZ128v231rmbk
+    10629U,	// VFNMADDPSZ128v231rmbkz
+    0U,	// VFNMADDPSZ128v231rmk
+    0U,	// VFNMADDPSZ128v231rmkz
+    28U,	// VFNMADDPSZ128v231rr
+    469U,	// VFNMADDPSZ128v231rrk
+    597U,	// VFNMADDPSZ128v231rrkz
+    28U,	// VFNMADDPSZ256v213rm
+    4168U,	// VFNMADDPSZ256v213rmb
+    6533U,	// VFNMADDPSZ256v213rmbk
+    10629U,	// VFNMADDPSZ256v213rmbkz
+    0U,	// VFNMADDPSZ256v213rmk
+    0U,	// VFNMADDPSZ256v213rmkz
+    28U,	// VFNMADDPSZ256v213rr
+    469U,	// VFNMADDPSZ256v213rrk
+    597U,	// VFNMADDPSZ256v213rrkz
+    28U,	// VFNMADDPSZ256v231rm
+    4168U,	// VFNMADDPSZ256v231rmb
+    6533U,	// VFNMADDPSZ256v231rmbk
+    10629U,	// VFNMADDPSZ256v231rmbkz
+    0U,	// VFNMADDPSZ256v231rmk
+    0U,	// VFNMADDPSZ256v231rmkz
+    28U,	// VFNMADDPSZ256v231rr
+    469U,	// VFNMADDPSZ256v231rrk
+    597U,	// VFNMADDPSZ256v231rrkz
+    28U,	// VFNMADDPSZv213rm
+    4168U,	// VFNMADDPSZv213rmb
+    6533U,	// VFNMADDPSZv213rmbk
+    10629U,	// VFNMADDPSZv213rmbkz
+    0U,	// VFNMADDPSZv213rmk
+    0U,	// VFNMADDPSZv213rmkz
+    28U,	// VFNMADDPSZv213rr
+    0U,	// VFNMADDPSZv213rrb
+    0U,	// VFNMADDPSZv213rrbk
+    0U,	// VFNMADDPSZv213rrbkz
+    469U,	// VFNMADDPSZv213rrk
+    597U,	// VFNMADDPSZv213rrkz
+    28U,	// VFNMADDPSZv231rm
+    4168U,	// VFNMADDPSZv231rmb
+    6533U,	// VFNMADDPSZv231rmbk
+    10629U,	// VFNMADDPSZv231rmbkz
+    0U,	// VFNMADDPSZv231rmk
+    0U,	// VFNMADDPSZv231rmkz
+    28U,	// VFNMADDPSZv231rr
+    469U,	// VFNMADDPSZv231rrk
+    597U,	// VFNMADDPSZv231rrkz
     0U,	// VFNMADDPSr132m
     0U,	// VFNMADDPSr132mY
     0U,	// VFNMADDPSr132r
@@ -9961,58 +13439,113 @@ static void printInstruction(MCInst *MI,
     0U,	// VFNMADDPSr231mY
     0U,	// VFNMADDPSr231r
     0U,	// VFNMADDPSr231rY
-    4U,	// VFNMADDSD4mr
-    4U,	// VFNMADDSD4mr_Int
-    1156U,	// VFNMADDSD4rm
-    1156U,	// VFNMADDSD4rm_Int
-    4U,	// VFNMADDSD4rr
-    4U,	// VFNMADDSD4rr_Int
-    4U,	// VFNMADDSD4rr_REV
+    72U,	// VFNMADDSD4mr
+    72U,	// VFNMADDSD4mr_Int
+    2248U,	// VFNMADDSD4rm
+    2248U,	// VFNMADDSD4rm_Int
+    72U,	// VFNMADDSD4rr
+    72U,	// VFNMADDSD4rr_Int
+    72U,	// VFNMADDSD4rr_REV
     0U,	// VFNMADDSDZm
     0U,	// VFNMADDSDZr
-    4U,	// VFNMADDSDr132m
+    72U,	// VFNMADDSDr132m
     0U,	// VFNMADDSDr132r
-    4U,	// VFNMADDSDr213m
+    72U,	// VFNMADDSDr213m
     0U,	// VFNMADDSDr213r
-    4U,	// VFNMADDSDr231m
+    72U,	// VFNMADDSDr231m
     0U,	// VFNMADDSDr231r
-    4U,	// VFNMADDSS4mr
-    4U,	// VFNMADDSS4mr_Int
-    1156U,	// VFNMADDSS4rm
-    1156U,	// VFNMADDSS4rm_Int
-    4U,	// VFNMADDSS4rr
-    4U,	// VFNMADDSS4rr_Int
-    4U,	// VFNMADDSS4rr_REV
+    72U,	// VFNMADDSS4mr
+    72U,	// VFNMADDSS4mr_Int
+    2248U,	// VFNMADDSS4rm
+    2248U,	// VFNMADDSS4rm_Int
+    72U,	// VFNMADDSS4rr
+    72U,	// VFNMADDSS4rr_Int
+    72U,	// VFNMADDSS4rr_REV
     0U,	// VFNMADDSSZm
     0U,	// VFNMADDSSZr
-    4U,	// VFNMADDSSr132m
+    72U,	// VFNMADDSSr132m
     0U,	// VFNMADDSSr132r
-    4U,	// VFNMADDSSr213m
+    72U,	// VFNMADDSSr213m
     0U,	// VFNMADDSSr213r
-    4U,	// VFNMADDSSr231m
+    72U,	// VFNMADDSSr231m
     0U,	// VFNMADDSSr231r
+    0U,	// VFNMSUB132PDZ128m
+    72U,	// VFNMSUB132PDZ128mb
+    0U,	// VFNMSUB132PDZ256m
+    72U,	// VFNMSUB132PDZ256mb
     0U,	// VFNMSUB132PDZm
-    4U,	// VFNMSUB132PDZmb
+    72U,	// VFNMSUB132PDZmb
+    0U,	// VFNMSUB132PSZ128m
+    72U,	// VFNMSUB132PSZ128mb
+    0U,	// VFNMSUB132PSZ256m
+    72U,	// VFNMSUB132PSZ256mb
     0U,	// VFNMSUB132PSZm
-    4U,	// VFNMSUB132PSZmb
-    0U,	// VFNMSUB213PDZm
-    4U,	// VFNMSUB213PDZmb
-    0U,	// VFNMSUB213PDZr
-    345U,	// VFNMSUB213PDZrk
-    281U,	// VFNMSUB213PDZrkz
-    0U,	// VFNMSUB213PSZm
-    4U,	// VFNMSUB213PSZmb
-    0U,	// VFNMSUB213PSZr
-    345U,	// VFNMSUB213PSZrk
-    281U,	// VFNMSUB213PSZrkz
-    4U,	// VFNMSUBPD4mr
+    72U,	// VFNMSUB132PSZmb
+    72U,	// VFNMSUBPD4mr
     0U,	// VFNMSUBPD4mrY
-    4U,	// VFNMSUBPD4rm
-    4U,	// VFNMSUBPD4rmY
-    4U,	// VFNMSUBPD4rr
-    4U,	// VFNMSUBPD4rrY
-    4U,	// VFNMSUBPD4rrY_REV
-    4U,	// VFNMSUBPD4rr_REV
+    72U,	// VFNMSUBPD4rm
+    72U,	// VFNMSUBPD4rmY
+    72U,	// VFNMSUBPD4rr
+    72U,	// VFNMSUBPD4rrY
+    72U,	// VFNMSUBPD4rrY_REV
+    72U,	// VFNMSUBPD4rr_REV
+    28U,	// VFNMSUBPDZ128v213rm
+    4168U,	// VFNMSUBPDZ128v213rmb
+    6533U,	// VFNMSUBPDZ128v213rmbk
+    10629U,	// VFNMSUBPDZ128v213rmbkz
+    0U,	// VFNMSUBPDZ128v213rmk
+    0U,	// VFNMSUBPDZ128v213rmkz
+    28U,	// VFNMSUBPDZ128v213rr
+    469U,	// VFNMSUBPDZ128v213rrk
+    597U,	// VFNMSUBPDZ128v213rrkz
+    28U,	// VFNMSUBPDZ128v231rm
+    4168U,	// VFNMSUBPDZ128v231rmb
+    6533U,	// VFNMSUBPDZ128v231rmbk
+    10629U,	// VFNMSUBPDZ128v231rmbkz
+    0U,	// VFNMSUBPDZ128v231rmk
+    0U,	// VFNMSUBPDZ128v231rmkz
+    28U,	// VFNMSUBPDZ128v231rr
+    469U,	// VFNMSUBPDZ128v231rrk
+    597U,	// VFNMSUBPDZ128v231rrkz
+    28U,	// VFNMSUBPDZ256v213rm
+    4168U,	// VFNMSUBPDZ256v213rmb
+    6533U,	// VFNMSUBPDZ256v213rmbk
+    10629U,	// VFNMSUBPDZ256v213rmbkz
+    0U,	// VFNMSUBPDZ256v213rmk
+    0U,	// VFNMSUBPDZ256v213rmkz
+    28U,	// VFNMSUBPDZ256v213rr
+    469U,	// VFNMSUBPDZ256v213rrk
+    597U,	// VFNMSUBPDZ256v213rrkz
+    28U,	// VFNMSUBPDZ256v231rm
+    4168U,	// VFNMSUBPDZ256v231rmb
+    6533U,	// VFNMSUBPDZ256v231rmbk
+    10629U,	// VFNMSUBPDZ256v231rmbkz
+    0U,	// VFNMSUBPDZ256v231rmk
+    0U,	// VFNMSUBPDZ256v231rmkz
+    28U,	// VFNMSUBPDZ256v231rr
+    469U,	// VFNMSUBPDZ256v231rrk
+    597U,	// VFNMSUBPDZ256v231rrkz
+    28U,	// VFNMSUBPDZv213rm
+    4168U,	// VFNMSUBPDZv213rmb
+    6533U,	// VFNMSUBPDZv213rmbk
+    10629U,	// VFNMSUBPDZv213rmbkz
+    0U,	// VFNMSUBPDZv213rmk
+    0U,	// VFNMSUBPDZv213rmkz
+    28U,	// VFNMSUBPDZv213rr
+    0U,	// VFNMSUBPDZv213rrb
+    0U,	// VFNMSUBPDZv213rrbk
+    0U,	// VFNMSUBPDZv213rrbkz
+    469U,	// VFNMSUBPDZv213rrk
+    597U,	// VFNMSUBPDZv213rrkz
+    28U,	// VFNMSUBPDZv231rm
+    4168U,	// VFNMSUBPDZv231rmb
+    6533U,	// VFNMSUBPDZv231rmbk
+    10629U,	// VFNMSUBPDZv231rmbkz
+    0U,	// VFNMSUBPDZv231rmk
+    0U,	// VFNMSUBPDZv231rmkz
+    28U,	// VFNMSUBPDZv231rr
+    469U,	// VFNMSUBPDZv231rrk
+    597U,	// VFNMSUBPDZv231rrkz
     0U,	// VFNMSUBPDr132m
     0U,	// VFNMSUBPDr132mY
     0U,	// VFNMSUBPDr132r
@@ -10025,14 +13558,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VFNMSUBPDr231mY
     0U,	// VFNMSUBPDr231r
     0U,	// VFNMSUBPDr231rY
-    4U,	// VFNMSUBPS4mr
+    72U,	// VFNMSUBPS4mr
     0U,	// VFNMSUBPS4mrY
-    4U,	// VFNMSUBPS4rm
-    4U,	// VFNMSUBPS4rmY
-    4U,	// VFNMSUBPS4rr
-    4U,	// VFNMSUBPS4rrY
-    4U,	// VFNMSUBPS4rrY_REV
-    4U,	// VFNMSUBPS4rr_REV
+    72U,	// VFNMSUBPS4rm
+    72U,	// VFNMSUBPS4rmY
+    72U,	// VFNMSUBPS4rr
+    72U,	// VFNMSUBPS4rrY
+    72U,	// VFNMSUBPS4rrY_REV
+    72U,	// VFNMSUBPS4rr_REV
+    28U,	// VFNMSUBPSZ128v213rm
+    4168U,	// VFNMSUBPSZ128v213rmb
+    6533U,	// VFNMSUBPSZ128v213rmbk
+    10629U,	// VFNMSUBPSZ128v213rmbkz
+    0U,	// VFNMSUBPSZ128v213rmk
+    0U,	// VFNMSUBPSZ128v213rmkz
+    28U,	// VFNMSUBPSZ128v213rr
+    469U,	// VFNMSUBPSZ128v213rrk
+    597U,	// VFNMSUBPSZ128v213rrkz
+    28U,	// VFNMSUBPSZ128v231rm
+    4168U,	// VFNMSUBPSZ128v231rmb
+    6533U,	// VFNMSUBPSZ128v231rmbk
+    10629U,	// VFNMSUBPSZ128v231rmbkz
+    0U,	// VFNMSUBPSZ128v231rmk
+    0U,	// VFNMSUBPSZ128v231rmkz
+    28U,	// VFNMSUBPSZ128v231rr
+    469U,	// VFNMSUBPSZ128v231rrk
+    597U,	// VFNMSUBPSZ128v231rrkz
+    28U,	// VFNMSUBPSZ256v213rm
+    4168U,	// VFNMSUBPSZ256v213rmb
+    6533U,	// VFNMSUBPSZ256v213rmbk
+    10629U,	// VFNMSUBPSZ256v213rmbkz
+    0U,	// VFNMSUBPSZ256v213rmk
+    0U,	// VFNMSUBPSZ256v213rmkz
+    28U,	// VFNMSUBPSZ256v213rr
+    469U,	// VFNMSUBPSZ256v213rrk
+    597U,	// VFNMSUBPSZ256v213rrkz
+    28U,	// VFNMSUBPSZ256v231rm
+    4168U,	// VFNMSUBPSZ256v231rmb
+    6533U,	// VFNMSUBPSZ256v231rmbk
+    10629U,	// VFNMSUBPSZ256v231rmbkz
+    0U,	// VFNMSUBPSZ256v231rmk
+    0U,	// VFNMSUBPSZ256v231rmkz
+    28U,	// VFNMSUBPSZ256v231rr
+    469U,	// VFNMSUBPSZ256v231rrk
+    597U,	// VFNMSUBPSZ256v231rrkz
+    28U,	// VFNMSUBPSZv213rm
+    4168U,	// VFNMSUBPSZv213rmb
+    6533U,	// VFNMSUBPSZv213rmbk
+    10629U,	// VFNMSUBPSZv213rmbkz
+    0U,	// VFNMSUBPSZv213rmk
+    0U,	// VFNMSUBPSZv213rmkz
+    28U,	// VFNMSUBPSZv213rr
+    0U,	// VFNMSUBPSZv213rrb
+    0U,	// VFNMSUBPSZv213rrbk
+    0U,	// VFNMSUBPSZv213rrbkz
+    469U,	// VFNMSUBPSZv213rrk
+    597U,	// VFNMSUBPSZv213rrkz
+    28U,	// VFNMSUBPSZv231rm
+    4168U,	// VFNMSUBPSZv231rmb
+    6533U,	// VFNMSUBPSZv231rmbk
+    10629U,	// VFNMSUBPSZv231rmbkz
+    0U,	// VFNMSUBPSZv231rmk
+    0U,	// VFNMSUBPSZv231rmkz
+    28U,	// VFNMSUBPSZv231rr
+    469U,	// VFNMSUBPSZv231rrk
+    597U,	// VFNMSUBPSZv231rrkz
     0U,	// VFNMSUBPSr132m
     0U,	// VFNMSUBPSr132mY
     0U,	// VFNMSUBPSr132r
@@ -10045,35 +13635,35 @@ static void printInstruction(MCInst *MI,
     0U,	// VFNMSUBPSr231mY
     0U,	// VFNMSUBPSr231r
     0U,	// VFNMSUBPSr231rY
-    4U,	// VFNMSUBSD4mr
-    4U,	// VFNMSUBSD4mr_Int
-    1156U,	// VFNMSUBSD4rm
-    1156U,	// VFNMSUBSD4rm_Int
-    4U,	// VFNMSUBSD4rr
-    4U,	// VFNMSUBSD4rr_Int
-    4U,	// VFNMSUBSD4rr_REV
+    72U,	// VFNMSUBSD4mr
+    72U,	// VFNMSUBSD4mr_Int
+    2248U,	// VFNMSUBSD4rm
+    2248U,	// VFNMSUBSD4rm_Int
+    72U,	// VFNMSUBSD4rr
+    72U,	// VFNMSUBSD4rr_Int
+    72U,	// VFNMSUBSD4rr_REV
     0U,	// VFNMSUBSDZm
     0U,	// VFNMSUBSDZr
-    4U,	// VFNMSUBSDr132m
+    72U,	// VFNMSUBSDr132m
     0U,	// VFNMSUBSDr132r
-    4U,	// VFNMSUBSDr213m
+    72U,	// VFNMSUBSDr213m
     0U,	// VFNMSUBSDr213r
-    4U,	// VFNMSUBSDr231m
+    72U,	// VFNMSUBSDr231m
     0U,	// VFNMSUBSDr231r
-    4U,	// VFNMSUBSS4mr
-    4U,	// VFNMSUBSS4mr_Int
-    1156U,	// VFNMSUBSS4rm
-    1156U,	// VFNMSUBSS4rm_Int
-    4U,	// VFNMSUBSS4rr
-    4U,	// VFNMSUBSS4rr_Int
-    4U,	// VFNMSUBSS4rr_REV
+    72U,	// VFNMSUBSS4mr
+    72U,	// VFNMSUBSS4mr_Int
+    2248U,	// VFNMSUBSS4rm
+    2248U,	// VFNMSUBSS4rm_Int
+    72U,	// VFNMSUBSS4rr
+    72U,	// VFNMSUBSS4rr_Int
+    72U,	// VFNMSUBSS4rr_REV
     0U,	// VFNMSUBSSZm
     0U,	// VFNMSUBSSZr
-    4U,	// VFNMSUBSSr132m
+    72U,	// VFNMSUBSSr132m
     0U,	// VFNMSUBSSr132r
-    4U,	// VFNMSUBSSr213m
+    72U,	// VFNMSUBSSr213m
     0U,	// VFNMSUBSSr213r
-    4U,	// VFNMSUBSSr231m
+    72U,	// VFNMSUBSSr231m
     0U,	// VFNMSUBSSr231r
     0U,	// VFRCZPDrm
     0U,	// VFRCZPDrmY
@@ -10087,195 +13677,328 @@ static void printInstruction(MCInst *MI,
     0U,	// VFRCZSDrr
     0U,	// VFRCZSSrm
     0U,	// VFRCZSSrr
-    0U,	// VFsANDNPDrm
-    0U,	// VFsANDNPDrr
-    0U,	// VFsANDNPSrm
-    0U,	// VFsANDNPSrr
-    0U,	// VFsANDPDrm
-    0U,	// VFsANDPDrr
-    0U,	// VFsANDPSrm
-    0U,	// VFsANDPSrr
-    0U,	// VFsORPDrm
-    0U,	// VFsORPDrr
-    0U,	// VFsORPSrm
-    0U,	// VFsORPSrr
-    0U,	// VFsXORPDrm
-    0U,	// VFsXORPDrr
-    0U,	// VFsXORPSrm
-    0U,	// VFsXORPSrr
-    0U,	// VGATHERDPDYrm
-    404U,	// VGATHERDPDZrm
-    0U,	// VGATHERDPDrm
-    0U,	// VGATHERDPSYrm
-    404U,	// VGATHERDPSZrm
-    0U,	// VGATHERDPSrm
-    0U,	// VGATHERPF0DPDm
-    0U,	// VGATHERPF0DPSm
-    0U,	// VGATHERPF0QPDm
-    0U,	// VGATHERPF0QPSm
-    0U,	// VGATHERPF1DPDm
-    0U,	// VGATHERPF1DPSm
-    0U,	// VGATHERPF1QPDm
-    0U,	// VGATHERPF1QPSm
-    0U,	// VGATHERQPDYrm
-    404U,	// VGATHERQPDZrm
-    0U,	// VGATHERQPDrm
-    0U,	// VGATHERQPSYrm
-    404U,	// VGATHERQPSZrm
-    0U,	// VGATHERQPSrm
-    0U,	// VHADDPDYrm
-    0U,	// VHADDPDYrr
-    0U,	// VHADDPDrm
-    0U,	// VHADDPDrr
-    0U,	// VHADDPSYrm
-    0U,	// VHADDPSYrr
-    0U,	// VHADDPSrm
-    0U,	// VHADDPSrr
-    0U,	// VHSUBPDYrm
-    0U,	// VHSUBPDYrr
-    0U,	// VHSUBPDrm
-    0U,	// VHSUBPDrr
-    0U,	// VHSUBPSYrm
-    0U,	// VHSUBPSYrr
-    0U,	// VHSUBPSrm
-    0U,	// VHSUBPSrr
-    4U,	// VINSERTF128rm
-    4U,	// VINSERTF128rr
-    4U,	// VINSERTF32x4rm
-    4U,	// VINSERTF32x4rr
+    4U,	// VFsANDNPDrm
+    4U,	// VFsANDNPDrr
+    4U,	// VFsANDNPSrm
+    4U,	// VFsANDNPSrr
+    4U,	// VFsANDPDrm
+    4U,	// VFsANDPDrr
+    4U,	// VFsANDPSrm
+    4U,	// VFsANDPSrr
+    4U,	// VFsORPDrm
+    4U,	// VFsORPDrr
+    4U,	// VFsORPSrm
+    4U,	// VFsORPSrr
+    4U,	// VFsXORPDrm
+    4U,	// VFsXORPDrr
+    4U,	// VFsXORPSrm
+    4U,	// VFsXORPSrr
+    4U,	// VFvANDNPDrm
+    4U,	// VFvANDNPDrr
+    4U,	// VFvANDNPSrm
+    4U,	// VFvANDNPSrr
+    4U,	// VFvANDPDrm
+    4U,	// VFvANDPDrr
+    4U,	// VFvANDPSrm
+    4U,	// VFvANDPSrr
+    4U,	// VFvORPDrm
+    4U,	// VFvORPDrr
+    4U,	// VFvORPSrm
+    4U,	// VFvORPSrr
+    4U,	// VFvXORPDrm
+    4U,	// VFvXORPDrr
+    4U,	// VFvXORPSrm
+    4U,	// VFvXORPSrr
+    4U,	// VGATHERDPDYrm
+    848U,	// VGATHERDPDZrm
+    4U,	// VGATHERDPDrm
+    4U,	// VGATHERDPSYrm
+    848U,	// VGATHERDPSZrm
+    4U,	// VGATHERDPSrm
+    40U,	// VGATHERPF0DPDm
+    40U,	// VGATHERPF0DPSm
+    40U,	// VGATHERPF0QPDm
+    40U,	// VGATHERPF0QPSm
+    40U,	// VGATHERPF1DPDm
+    40U,	// VGATHERPF1DPSm
+    40U,	// VGATHERPF1QPDm
+    40U,	// VGATHERPF1QPSm
+    4U,	// VGATHERQPDYrm
+    848U,	// VGATHERQPDZrm
+    4U,	// VGATHERQPDrm
+    4U,	// VGATHERQPSYrm
+    848U,	// VGATHERQPSZrm
+    4U,	// VGATHERQPSrm
+    4U,	// VHADDPDYrm
+    4U,	// VHADDPDYrr
+    4U,	// VHADDPDrm
+    4U,	// VHADDPDrr
+    4U,	// VHADDPSYrm
+    4U,	// VHADDPSYrr
+    4U,	// VHADDPSrm
+    4U,	// VHADDPSrr
+    4U,	// VHSUBPDYrm
+    4U,	// VHSUBPDYrr
+    4U,	// VHSUBPDrm
+    4U,	// VHSUBPDrr
+    4U,	// VHSUBPSYrm
+    4U,	// VHSUBPSYrr
+    4U,	// VHSUBPSrm
+    4U,	// VHSUBPSrr
+    72U,	// VINSERTF128rm
+    72U,	// VINSERTF128rr
+    72U,	// VINSERTF32x4rm
+    72U,	// VINSERTF32x4rr
+    0U,	// VINSERTF32x8rm
+    72U,	// VINSERTF32x8rr
+    72U,	// VINSERTF64x2rm
+    72U,	// VINSERTF64x2rr
     0U,	// VINSERTF64x4rm
-    4U,	// VINSERTF64x4rr
-    4U,	// VINSERTI128rm
-    4U,	// VINSERTI128rr
-    4U,	// VINSERTI32x4rm
-    4U,	// VINSERTI32x4rr
+    72U,	// VINSERTF64x4rr
+    72U,	// VINSERTI128rm
+    72U,	// VINSERTI128rr
+    72U,	// VINSERTI32x4rm
+    72U,	// VINSERTI32x4rr
+    0U,	// VINSERTI32x8rm
+    72U,	// VINSERTI32x8rr
+    72U,	// VINSERTI64x2rm
+    72U,	// VINSERTI64x2rr
     0U,	// VINSERTI64x4rm
-    4U,	// VINSERTI64x4rr
-    4U,	// VINSERTPSrm
-    4U,	// VINSERTPSrr
-    4U,	// VINSERTPSzrm
-    4U,	// VINSERTPSzrr
+    72U,	// VINSERTI64x4rr
+    72U,	// VINSERTPSrm
+    72U,	// VINSERTPSrr
+    72U,	// VINSERTPSzrm
+    72U,	// VINSERTPSzrr
     0U,	// VLDDQUYrm
     0U,	// VLDDQUrm
     0U,	// VLDMXCSR
     0U,	// VMASKMOVDQU
     0U,	// VMASKMOVDQU64
     1U,	// VMASKMOVPDYmr
-    0U,	// VMASKMOVPDYrm
+    4U,	// VMASKMOVPDYrm
     1U,	// VMASKMOVPDmr
-    0U,	// VMASKMOVPDrm
+    4U,	// VMASKMOVPDrm
     1U,	// VMASKMOVPSYmr
-    0U,	// VMASKMOVPSYrm
+    4U,	// VMASKMOVPSYrm
     1U,	// VMASKMOVPSmr
-    0U,	// VMASKMOVPSrm
-    0U,	// VMAXCPDYrm
-    0U,	// VMAXCPDYrr
-    0U,	// VMAXCPDrm
-    0U,	// VMAXCPDrr
-    0U,	// VMAXCPSYrm
-    0U,	// VMAXCPSYrr
-    0U,	// VMAXCPSrm
-    0U,	// VMAXCPSrr
-    4U,	// VMAXCSDrm
-    0U,	// VMAXCSDrr
-    4U,	// VMAXCSSrm
-    0U,	// VMAXCSSrr
-    0U,	// VMAXPDYrm
-    0U,	// VMAXPDYrr
-    0U,	// VMAXPDZrm
-    4U,	// VMAXPDZrmb
-    2052U,	// VMAXPDZrmbk
-    10244U,	// VMAXPDZrmbkz
-    3220U,	// VMAXPDZrmk
-    4244U,	// VMAXPDZrmkz
-    0U,	// VMAXPDZrr
-    5268U,	// VMAXPDZrrk
-    4244U,	// VMAXPDZrrkz
-    0U,	// VMAXPDrm
-    0U,	// VMAXPDrr
-    0U,	// VMAXPSYrm
-    0U,	// VMAXPSYrr
-    0U,	// VMAXPSZrm
-    4U,	// VMAXPSZrmb
-    2052U,	// VMAXPSZrmbk
-    10244U,	// VMAXPSZrmbkz
-    3220U,	// VMAXPSZrmk
-    4244U,	// VMAXPSZrmkz
-    0U,	// VMAXPSZrr
-    5268U,	// VMAXPSZrrk
-    4244U,	// VMAXPSZrrkz
-    0U,	// VMAXPSrm
-    0U,	// VMAXPSrr
-    4U,	// VMAXSDZrm
-    0U,	// VMAXSDZrr
-    4U,	// VMAXSDrm
-    4U,	// VMAXSDrm_Int
-    0U,	// VMAXSDrr
-    0U,	// VMAXSDrr_Int
-    4U,	// VMAXSSZrm
-    0U,	// VMAXSSZrr
-    4U,	// VMAXSSrm
-    4U,	// VMAXSSrm_Int
-    0U,	// VMAXSSrr
-    0U,	// VMAXSSrr_Int
+    4U,	// VMASKMOVPSrm
+    4U,	// VMAXCPDYrm
+    4U,	// VMAXCPDYrr
+    4U,	// VMAXCPDrm
+    4U,	// VMAXCPDrr
+    4U,	// VMAXCPSYrm
+    4U,	// VMAXCPSYrr
+    4U,	// VMAXCPSrm
+    4U,	// VMAXCPSrr
+    72U,	// VMAXCSDrm
+    4U,	// VMAXCSDrr
+    72U,	// VMAXCSSrm
+    4U,	// VMAXCSSrr
+    4U,	// VMAXPDYrm
+    4U,	// VMAXPDYrr
+    324U,	// VMAXPDZ128rm
+    4168U,	// VMAXPDZ128rmb
+    6533U,	// VMAXPDZ128rmbk
+    41032U,	// VMAXPDZ128rmbkz
+    0U,	// VMAXPDZ128rmk
+    10448U,	// VMAXPDZ128rmkz
+    324U,	// VMAXPDZ128rr
+    469U,	// VMAXPDZ128rrk
+    10448U,	// VMAXPDZ128rrkz
+    324U,	// VMAXPDZ256rm
+    4168U,	// VMAXPDZ256rmb
+    6533U,	// VMAXPDZ256rmbk
+    41032U,	// VMAXPDZ256rmbkz
+    0U,	// VMAXPDZ256rmk
+    10448U,	// VMAXPDZ256rmkz
+    324U,	// VMAXPDZ256rr
+    469U,	// VMAXPDZ256rrk
+    10448U,	// VMAXPDZ256rrkz
+    324U,	// VMAXPDZrm
+    4168U,	// VMAXPDZrmb
+    6533U,	// VMAXPDZrmbk
+    41032U,	// VMAXPDZrmbkz
+    0U,	// VMAXPDZrmk
+    10448U,	// VMAXPDZrmkz
+    324U,	// VMAXPDZrr
+    469U,	// VMAXPDZrrk
+    10448U,	// VMAXPDZrrkz
+    4U,	// VMAXPDrm
+    4U,	// VMAXPDrr
+    4U,	// VMAXPSYrm
+    4U,	// VMAXPSYrr
+    324U,	// VMAXPSZ128rm
+    4168U,	// VMAXPSZ128rmb
+    6533U,	// VMAXPSZ128rmbk
+    41032U,	// VMAXPSZ128rmbkz
+    0U,	// VMAXPSZ128rmk
+    10448U,	// VMAXPSZ128rmkz
+    324U,	// VMAXPSZ128rr
+    469U,	// VMAXPSZ128rrk
+    10448U,	// VMAXPSZ128rrkz
+    324U,	// VMAXPSZ256rm
+    4168U,	// VMAXPSZ256rmb
+    6533U,	// VMAXPSZ256rmbk
+    41032U,	// VMAXPSZ256rmbkz
+    0U,	// VMAXPSZ256rmk
+    10448U,	// VMAXPSZ256rmkz
+    324U,	// VMAXPSZ256rr
+    469U,	// VMAXPSZ256rrk
+    10448U,	// VMAXPSZ256rrkz
+    324U,	// VMAXPSZrm
+    4168U,	// VMAXPSZrmb
+    6533U,	// VMAXPSZrmbk
+    41032U,	// VMAXPSZrmbkz
+    0U,	// VMAXPSZrmk
+    10448U,	// VMAXPSZrmkz
+    324U,	// VMAXPSZrr
+    469U,	// VMAXPSZrrk
+    10448U,	// VMAXPSZrrkz
+    4U,	// VMAXPSrm
+    4U,	// VMAXPSrr
+    72U,	// VMAXSDZrm
+    324U,	// VMAXSDZrm_Int
+    0U,	// VMAXSDZrm_Intk
+    10448U,	// VMAXSDZrm_Intkz
+    4U,	// VMAXSDZrr
+    324U,	// VMAXSDZrr_Int
+    469U,	// VMAXSDZrr_Intk
+    10448U,	// VMAXSDZrr_Intkz
+    900U,	// VMAXSDZrrb
+    725U,	// VMAXSDZrrbk
+    12496U,	// VMAXSDZrrbkz
+    72U,	// VMAXSDrm
+    72U,	// VMAXSDrm_Int
+    4U,	// VMAXSDrr
+    4U,	// VMAXSDrr_Int
+    72U,	// VMAXSSZrm
+    324U,	// VMAXSSZrm_Int
+    0U,	// VMAXSSZrm_Intk
+    10448U,	// VMAXSSZrm_Intkz
+    4U,	// VMAXSSZrr
+    324U,	// VMAXSSZrr_Int
+    469U,	// VMAXSSZrr_Intk
+    10448U,	// VMAXSSZrr_Intkz
+    900U,	// VMAXSSZrrb
+    725U,	// VMAXSSZrrbk
+    12496U,	// VMAXSSZrrbkz
+    72U,	// VMAXSSrm
+    72U,	// VMAXSSrm_Int
+    4U,	// VMAXSSrr
+    4U,	// VMAXSSrr_Int
     0U,	// VMCALL
     0U,	// VMCLEARm
     0U,	// VMFUNC
-    0U,	// VMINCPDYrm
-    0U,	// VMINCPDYrr
-    0U,	// VMINCPDrm
-    0U,	// VMINCPDrr
-    0U,	// VMINCPSYrm
-    0U,	// VMINCPSYrr
-    0U,	// VMINCPSrm
-    0U,	// VMINCPSrr
-    4U,	// VMINCSDrm
-    0U,	// VMINCSDrr
-    4U,	// VMINCSSrm
-    0U,	// VMINCSSrr
-    0U,	// VMINPDYrm
-    0U,	// VMINPDYrr
-    0U,	// VMINPDZrm
-    4U,	// VMINPDZrmb
-    2052U,	// VMINPDZrmbk
-    10244U,	// VMINPDZrmbkz
-    3220U,	// VMINPDZrmk
-    4244U,	// VMINPDZrmkz
-    0U,	// VMINPDZrr
-    5268U,	// VMINPDZrrk
-    4244U,	// VMINPDZrrkz
-    0U,	// VMINPDrm
-    0U,	// VMINPDrr
-    0U,	// VMINPSYrm
-    0U,	// VMINPSYrr
-    0U,	// VMINPSZrm
-    4U,	// VMINPSZrmb
-    2052U,	// VMINPSZrmbk
-    10244U,	// VMINPSZrmbkz
-    3220U,	// VMINPSZrmk
-    4244U,	// VMINPSZrmkz
-    0U,	// VMINPSZrr
-    5268U,	// VMINPSZrrk
-    4244U,	// VMINPSZrrkz
-    0U,	// VMINPSrm
-    0U,	// VMINPSrr
-    4U,	// VMINSDZrm
-    0U,	// VMINSDZrr
-    4U,	// VMINSDrm
-    4U,	// VMINSDrm_Int
-    0U,	// VMINSDrr
-    0U,	// VMINSDrr_Int
-    4U,	// VMINSSZrm
-    0U,	// VMINSSZrr
-    4U,	// VMINSSrm
-    4U,	// VMINSSrm_Int
-    0U,	// VMINSSrr
-    0U,	// VMINSSrr_Int
+    4U,	// VMINCPDYrm
+    4U,	// VMINCPDYrr
+    4U,	// VMINCPDrm
+    4U,	// VMINCPDrr
+    4U,	// VMINCPSYrm
+    4U,	// VMINCPSYrr
+    4U,	// VMINCPSrm
+    4U,	// VMINCPSrr
+    72U,	// VMINCSDrm
+    4U,	// VMINCSDrr
+    72U,	// VMINCSSrm
+    4U,	// VMINCSSrr
+    4U,	// VMINPDYrm
+    4U,	// VMINPDYrr
+    324U,	// VMINPDZ128rm
+    4168U,	// VMINPDZ128rmb
+    6533U,	// VMINPDZ128rmbk
+    41032U,	// VMINPDZ128rmbkz
+    0U,	// VMINPDZ128rmk
+    10448U,	// VMINPDZ128rmkz
+    324U,	// VMINPDZ128rr
+    469U,	// VMINPDZ128rrk
+    10448U,	// VMINPDZ128rrkz
+    324U,	// VMINPDZ256rm
+    4168U,	// VMINPDZ256rmb
+    6533U,	// VMINPDZ256rmbk
+    41032U,	// VMINPDZ256rmbkz
+    0U,	// VMINPDZ256rmk
+    10448U,	// VMINPDZ256rmkz
+    324U,	// VMINPDZ256rr
+    469U,	// VMINPDZ256rrk
+    10448U,	// VMINPDZ256rrkz
+    324U,	// VMINPDZrm
+    4168U,	// VMINPDZrmb
+    6533U,	// VMINPDZrmbk
+    41032U,	// VMINPDZrmbkz
+    0U,	// VMINPDZrmk
+    10448U,	// VMINPDZrmkz
+    324U,	// VMINPDZrr
+    469U,	// VMINPDZrrk
+    10448U,	// VMINPDZrrkz
+    4U,	// VMINPDrm
+    4U,	// VMINPDrr
+    4U,	// VMINPSYrm
+    4U,	// VMINPSYrr
+    324U,	// VMINPSZ128rm
+    4168U,	// VMINPSZ128rmb
+    6533U,	// VMINPSZ128rmbk
+    41032U,	// VMINPSZ128rmbkz
+    0U,	// VMINPSZ128rmk
+    10448U,	// VMINPSZ128rmkz
+    324U,	// VMINPSZ128rr
+    469U,	// VMINPSZ128rrk
+    10448U,	// VMINPSZ128rrkz
+    324U,	// VMINPSZ256rm
+    4168U,	// VMINPSZ256rmb
+    6533U,	// VMINPSZ256rmbk
+    41032U,	// VMINPSZ256rmbkz
+    0U,	// VMINPSZ256rmk
+    10448U,	// VMINPSZ256rmkz
+    324U,	// VMINPSZ256rr
+    469U,	// VMINPSZ256rrk
+    10448U,	// VMINPSZ256rrkz
+    324U,	// VMINPSZrm
+    4168U,	// VMINPSZrmb
+    6533U,	// VMINPSZrmbk
+    41032U,	// VMINPSZrmbkz
+    0U,	// VMINPSZrmk
+    10448U,	// VMINPSZrmkz
+    324U,	// VMINPSZrr
+    469U,	// VMINPSZrrk
+    10448U,	// VMINPSZrrkz
+    4U,	// VMINPSrm
+    4U,	// VMINPSrr
+    72U,	// VMINSDZrm
+    324U,	// VMINSDZrm_Int
+    0U,	// VMINSDZrm_Intk
+    10448U,	// VMINSDZrm_Intkz
+    4U,	// VMINSDZrr
+    324U,	// VMINSDZrr_Int
+    469U,	// VMINSDZrr_Intk
+    10448U,	// VMINSDZrr_Intkz
+    900U,	// VMINSDZrrb
+    725U,	// VMINSDZrrbk
+    12496U,	// VMINSDZrrbkz
+    72U,	// VMINSDrm
+    72U,	// VMINSDrm_Int
+    4U,	// VMINSDrr
+    4U,	// VMINSDrr_Int
+    72U,	// VMINSSZrm
+    324U,	// VMINSSZrm_Int
+    0U,	// VMINSSZrm_Intk
+    10448U,	// VMINSSZrm_Intkz
+    4U,	// VMINSSZrr
+    324U,	// VMINSSZrr_Int
+    469U,	// VMINSSZrr_Intk
+    10448U,	// VMINSSZrr_Intkz
+    900U,	// VMINSSZrrb
+    725U,	// VMINSSZrrbk
+    12496U,	// VMINSSZrrbkz
+    72U,	// VMINSSrm
+    72U,	// VMINSSrm_Int
+    4U,	// VMINSSrr
+    4U,	// VMINSSrr_Int
     0U,	// VMLAUNCH
     0U,	// VMLOAD32
     0U,	// VMLOAD64
     0U,	// VMMCALL
     0U,	// VMOV64toPQIZrr
+    0U,	// VMOV64toPQIrm
     0U,	// VMOV64toPQIrr
     0U,	// VMOV64toSDZrr
     0U,	// VMOV64toSDrm
@@ -10285,38 +14008,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVAPDYrr
     0U,	// VMOVAPDYrr_REV
     0U,	// VMOVAPDZ128mr
-    29U,	// VMOVAPDZ128mrk
+    481U,	// VMOVAPDZ128mrk
     0U,	// VMOVAPDZ128rm
-    345U,	// VMOVAPDZ128rmk
-    269U,	// VMOVAPDZ128rmkz
+    469U,	// VMOVAPDZ128rmk
+    589U,	// VMOVAPDZ128rmkz
     0U,	// VMOVAPDZ128rr
     0U,	// VMOVAPDZ128rr_alt
-    345U,	// VMOVAPDZ128rrk
-    345U,	// VMOVAPDZ128rrk_alt
-    269U,	// VMOVAPDZ128rrkz
-    269U,	// VMOVAPDZ128rrkz_alt
+    469U,	// VMOVAPDZ128rrk
+    469U,	// VMOVAPDZ128rrk_alt
+    589U,	// VMOVAPDZ128rrkz
+    589U,	// VMOVAPDZ128rrkz_alt
     0U,	// VMOVAPDZ256mr
-    29U,	// VMOVAPDZ256mrk
+    481U,	// VMOVAPDZ256mrk
     0U,	// VMOVAPDZ256rm
-    345U,	// VMOVAPDZ256rmk
-    269U,	// VMOVAPDZ256rmkz
+    469U,	// VMOVAPDZ256rmk
+    589U,	// VMOVAPDZ256rmkz
     0U,	// VMOVAPDZ256rr
     0U,	// VMOVAPDZ256rr_alt
-    345U,	// VMOVAPDZ256rrk
-    345U,	// VMOVAPDZ256rrk_alt
-    269U,	// VMOVAPDZ256rrkz
-    269U,	// VMOVAPDZ256rrkz_alt
+    469U,	// VMOVAPDZ256rrk
+    469U,	// VMOVAPDZ256rrk_alt
+    589U,	// VMOVAPDZ256rrkz
+    589U,	// VMOVAPDZ256rrkz_alt
     0U,	// VMOVAPDZmr
-    29U,	// VMOVAPDZmrk
+    481U,	// VMOVAPDZmrk
     0U,	// VMOVAPDZrm
-    345U,	// VMOVAPDZrmk
-    269U,	// VMOVAPDZrmkz
+    469U,	// VMOVAPDZrmk
+    589U,	// VMOVAPDZrmkz
     0U,	// VMOVAPDZrr
     0U,	// VMOVAPDZrr_alt
-    345U,	// VMOVAPDZrrk
-    345U,	// VMOVAPDZrrk_alt
-    269U,	// VMOVAPDZrrkz
-    269U,	// VMOVAPDZrrkz_alt
+    469U,	// VMOVAPDZrrk
+    469U,	// VMOVAPDZrrk_alt
+    589U,	// VMOVAPDZrrkz
+    589U,	// VMOVAPDZrrkz_alt
     0U,	// VMOVAPDmr
     0U,	// VMOVAPDrm
     0U,	// VMOVAPDrr
@@ -10326,38 +14049,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVAPSYrr
     0U,	// VMOVAPSYrr_REV
     0U,	// VMOVAPSZ128mr
-    29U,	// VMOVAPSZ128mrk
+    481U,	// VMOVAPSZ128mrk
     0U,	// VMOVAPSZ128rm
-    345U,	// VMOVAPSZ128rmk
-    269U,	// VMOVAPSZ128rmkz
+    469U,	// VMOVAPSZ128rmk
+    589U,	// VMOVAPSZ128rmkz
     0U,	// VMOVAPSZ128rr
     0U,	// VMOVAPSZ128rr_alt
-    345U,	// VMOVAPSZ128rrk
-    345U,	// VMOVAPSZ128rrk_alt
-    269U,	// VMOVAPSZ128rrkz
-    269U,	// VMOVAPSZ128rrkz_alt
+    469U,	// VMOVAPSZ128rrk
+    469U,	// VMOVAPSZ128rrk_alt
+    589U,	// VMOVAPSZ128rrkz
+    589U,	// VMOVAPSZ128rrkz_alt
     0U,	// VMOVAPSZ256mr
-    29U,	// VMOVAPSZ256mrk
+    481U,	// VMOVAPSZ256mrk
     0U,	// VMOVAPSZ256rm
-    345U,	// VMOVAPSZ256rmk
-    269U,	// VMOVAPSZ256rmkz
+    469U,	// VMOVAPSZ256rmk
+    589U,	// VMOVAPSZ256rmkz
     0U,	// VMOVAPSZ256rr
     0U,	// VMOVAPSZ256rr_alt
-    345U,	// VMOVAPSZ256rrk
-    345U,	// VMOVAPSZ256rrk_alt
-    269U,	// VMOVAPSZ256rrkz
-    269U,	// VMOVAPSZ256rrkz_alt
+    469U,	// VMOVAPSZ256rrk
+    469U,	// VMOVAPSZ256rrk_alt
+    589U,	// VMOVAPSZ256rrkz
+    589U,	// VMOVAPSZ256rrkz_alt
     0U,	// VMOVAPSZmr
-    29U,	// VMOVAPSZmrk
+    481U,	// VMOVAPSZmrk
     0U,	// VMOVAPSZrm
-    345U,	// VMOVAPSZrmk
-    269U,	// VMOVAPSZrmkz
+    469U,	// VMOVAPSZrmk
+    589U,	// VMOVAPSZrmkz
     0U,	// VMOVAPSZrr
     0U,	// VMOVAPSZrr_alt
-    345U,	// VMOVAPSZrrk
-    345U,	// VMOVAPSZrrk_alt
-    269U,	// VMOVAPSZrrkz
-    269U,	// VMOVAPSZrrkz_alt
+    469U,	// VMOVAPSZrrk
+    469U,	// VMOVAPSZrrk_alt
+    589U,	// VMOVAPSZrrkz
+    589U,	// VMOVAPSZrrkz_alt
     0U,	// VMOVAPSmr
     0U,	// VMOVAPSrm
     0U,	// VMOVAPSrr
@@ -10377,71 +14100,71 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDI2SSrm
     0U,	// VMOVDI2SSrr
     0U,	// VMOVDQA32Z128mr
-    29U,	// VMOVDQA32Z128mrk
+    481U,	// VMOVDQA32Z128mrk
     0U,	// VMOVDQA32Z128rm
-    345U,	// VMOVDQA32Z128rmk
-    269U,	// VMOVDQA32Z128rmkz
+    469U,	// VMOVDQA32Z128rmk
+    589U,	// VMOVDQA32Z128rmkz
     0U,	// VMOVDQA32Z128rr
     0U,	// VMOVDQA32Z128rr_alt
-    345U,	// VMOVDQA32Z128rrk
-    345U,	// VMOVDQA32Z128rrk_alt
-    269U,	// VMOVDQA32Z128rrkz
-    269U,	// VMOVDQA32Z128rrkz_alt
+    469U,	// VMOVDQA32Z128rrk
+    469U,	// VMOVDQA32Z128rrk_alt
+    589U,	// VMOVDQA32Z128rrkz
+    589U,	// VMOVDQA32Z128rrkz_alt
     0U,	// VMOVDQA32Z256mr
-    29U,	// VMOVDQA32Z256mrk
+    481U,	// VMOVDQA32Z256mrk
     0U,	// VMOVDQA32Z256rm
-    345U,	// VMOVDQA32Z256rmk
-    269U,	// VMOVDQA32Z256rmkz
+    469U,	// VMOVDQA32Z256rmk
+    589U,	// VMOVDQA32Z256rmkz
     0U,	// VMOVDQA32Z256rr
     0U,	// VMOVDQA32Z256rr_alt
-    345U,	// VMOVDQA32Z256rrk
-    345U,	// VMOVDQA32Z256rrk_alt
-    269U,	// VMOVDQA32Z256rrkz
-    269U,	// VMOVDQA32Z256rrkz_alt
+    469U,	// VMOVDQA32Z256rrk
+    469U,	// VMOVDQA32Z256rrk_alt
+    589U,	// VMOVDQA32Z256rrkz
+    589U,	// VMOVDQA32Z256rrkz_alt
     0U,	// VMOVDQA32Zmr
-    29U,	// VMOVDQA32Zmrk
+    481U,	// VMOVDQA32Zmrk
     0U,	// VMOVDQA32Zrm
-    345U,	// VMOVDQA32Zrmk
-    269U,	// VMOVDQA32Zrmkz
+    469U,	// VMOVDQA32Zrmk
+    589U,	// VMOVDQA32Zrmkz
     0U,	// VMOVDQA32Zrr
     0U,	// VMOVDQA32Zrr_alt
-    345U,	// VMOVDQA32Zrrk
-    345U,	// VMOVDQA32Zrrk_alt
-    269U,	// VMOVDQA32Zrrkz
-    269U,	// VMOVDQA32Zrrkz_alt
+    469U,	// VMOVDQA32Zrrk
+    469U,	// VMOVDQA32Zrrk_alt
+    589U,	// VMOVDQA32Zrrkz
+    589U,	// VMOVDQA32Zrrkz_alt
     0U,	// VMOVDQA64Z128mr
-    29U,	// VMOVDQA64Z128mrk
+    481U,	// VMOVDQA64Z128mrk
     0U,	// VMOVDQA64Z128rm
-    345U,	// VMOVDQA64Z128rmk
-    269U,	// VMOVDQA64Z128rmkz
+    469U,	// VMOVDQA64Z128rmk
+    589U,	// VMOVDQA64Z128rmkz
     0U,	// VMOVDQA64Z128rr
     0U,	// VMOVDQA64Z128rr_alt
-    345U,	// VMOVDQA64Z128rrk
-    345U,	// VMOVDQA64Z128rrk_alt
-    269U,	// VMOVDQA64Z128rrkz
-    269U,	// VMOVDQA64Z128rrkz_alt
+    469U,	// VMOVDQA64Z128rrk
+    469U,	// VMOVDQA64Z128rrk_alt
+    589U,	// VMOVDQA64Z128rrkz
+    589U,	// VMOVDQA64Z128rrkz_alt
     0U,	// VMOVDQA64Z256mr
-    29U,	// VMOVDQA64Z256mrk
+    481U,	// VMOVDQA64Z256mrk
     0U,	// VMOVDQA64Z256rm
-    345U,	// VMOVDQA64Z256rmk
-    269U,	// VMOVDQA64Z256rmkz
+    469U,	// VMOVDQA64Z256rmk
+    589U,	// VMOVDQA64Z256rmkz
     0U,	// VMOVDQA64Z256rr
     0U,	// VMOVDQA64Z256rr_alt
-    345U,	// VMOVDQA64Z256rrk
-    345U,	// VMOVDQA64Z256rrk_alt
-    269U,	// VMOVDQA64Z256rrkz
-    269U,	// VMOVDQA64Z256rrkz_alt
+    469U,	// VMOVDQA64Z256rrk
+    469U,	// VMOVDQA64Z256rrk_alt
+    589U,	// VMOVDQA64Z256rrkz
+    589U,	// VMOVDQA64Z256rrkz_alt
     0U,	// VMOVDQA64Zmr
-    29U,	// VMOVDQA64Zmrk
+    481U,	// VMOVDQA64Zmrk
     0U,	// VMOVDQA64Zrm
-    345U,	// VMOVDQA64Zrmk
-    269U,	// VMOVDQA64Zrmkz
+    469U,	// VMOVDQA64Zrmk
+    589U,	// VMOVDQA64Zrmkz
     0U,	// VMOVDQA64Zrr
     0U,	// VMOVDQA64Zrr_alt
-    345U,	// VMOVDQA64Zrrk
-    345U,	// VMOVDQA64Zrrk_alt
-    269U,	// VMOVDQA64Zrrkz
-    269U,	// VMOVDQA64Zrrkz_alt
+    469U,	// VMOVDQA64Zrrk
+    469U,	// VMOVDQA64Zrrk_alt
+    589U,	// VMOVDQA64Zrrkz
+    589U,	// VMOVDQA64Zrrkz_alt
     0U,	// VMOVDQAYmr
     0U,	// VMOVDQAYrm
     0U,	// VMOVDQAYrr
@@ -10451,137 +14174,137 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDQArr
     0U,	// VMOVDQArr_REV
     0U,	// VMOVDQU16Z128mr
-    29U,	// VMOVDQU16Z128mrk
+    481U,	// VMOVDQU16Z128mrk
     0U,	// VMOVDQU16Z128rm
-    345U,	// VMOVDQU16Z128rmk
-    269U,	// VMOVDQU16Z128rmkz
+    469U,	// VMOVDQU16Z128rmk
+    589U,	// VMOVDQU16Z128rmkz
     0U,	// VMOVDQU16Z128rr
     0U,	// VMOVDQU16Z128rr_alt
-    345U,	// VMOVDQU16Z128rrk
-    345U,	// VMOVDQU16Z128rrk_alt
-    269U,	// VMOVDQU16Z128rrkz
-    269U,	// VMOVDQU16Z128rrkz_alt
+    469U,	// VMOVDQU16Z128rrk
+    469U,	// VMOVDQU16Z128rrk_alt
+    589U,	// VMOVDQU16Z128rrkz
+    589U,	// VMOVDQU16Z128rrkz_alt
     0U,	// VMOVDQU16Z256mr
-    29U,	// VMOVDQU16Z256mrk
+    481U,	// VMOVDQU16Z256mrk
     0U,	// VMOVDQU16Z256rm
-    345U,	// VMOVDQU16Z256rmk
-    269U,	// VMOVDQU16Z256rmkz
+    469U,	// VMOVDQU16Z256rmk
+    589U,	// VMOVDQU16Z256rmkz
     0U,	// VMOVDQU16Z256rr
     0U,	// VMOVDQU16Z256rr_alt
-    345U,	// VMOVDQU16Z256rrk
-    345U,	// VMOVDQU16Z256rrk_alt
-    269U,	// VMOVDQU16Z256rrkz
-    269U,	// VMOVDQU16Z256rrkz_alt
+    469U,	// VMOVDQU16Z256rrk
+    469U,	// VMOVDQU16Z256rrk_alt
+    589U,	// VMOVDQU16Z256rrkz
+    589U,	// VMOVDQU16Z256rrkz_alt
     0U,	// VMOVDQU16Zmr
-    29U,	// VMOVDQU16Zmrk
+    481U,	// VMOVDQU16Zmrk
     0U,	// VMOVDQU16Zrm
-    345U,	// VMOVDQU16Zrmk
-    269U,	// VMOVDQU16Zrmkz
+    469U,	// VMOVDQU16Zrmk
+    589U,	// VMOVDQU16Zrmkz
     0U,	// VMOVDQU16Zrr
     0U,	// VMOVDQU16Zrr_alt
-    345U,	// VMOVDQU16Zrrk
-    345U,	// VMOVDQU16Zrrk_alt
-    269U,	// VMOVDQU16Zrrkz
-    269U,	// VMOVDQU16Zrrkz_alt
+    469U,	// VMOVDQU16Zrrk
+    469U,	// VMOVDQU16Zrrk_alt
+    589U,	// VMOVDQU16Zrrkz
+    589U,	// VMOVDQU16Zrrkz_alt
     0U,	// VMOVDQU32Z128mr
-    29U,	// VMOVDQU32Z128mrk
+    481U,	// VMOVDQU32Z128mrk
     0U,	// VMOVDQU32Z128rm
-    345U,	// VMOVDQU32Z128rmk
-    269U,	// VMOVDQU32Z128rmkz
+    469U,	// VMOVDQU32Z128rmk
+    589U,	// VMOVDQU32Z128rmkz
     0U,	// VMOVDQU32Z128rr
     0U,	// VMOVDQU32Z128rr_alt
-    345U,	// VMOVDQU32Z128rrk
-    345U,	// VMOVDQU32Z128rrk_alt
-    269U,	// VMOVDQU32Z128rrkz
-    269U,	// VMOVDQU32Z128rrkz_alt
+    469U,	// VMOVDQU32Z128rrk
+    469U,	// VMOVDQU32Z128rrk_alt
+    589U,	// VMOVDQU32Z128rrkz
+    589U,	// VMOVDQU32Z128rrkz_alt
     0U,	// VMOVDQU32Z256mr
-    29U,	// VMOVDQU32Z256mrk
+    481U,	// VMOVDQU32Z256mrk
     0U,	// VMOVDQU32Z256rm
-    345U,	// VMOVDQU32Z256rmk
-    269U,	// VMOVDQU32Z256rmkz
+    469U,	// VMOVDQU32Z256rmk
+    589U,	// VMOVDQU32Z256rmkz
     0U,	// VMOVDQU32Z256rr
     0U,	// VMOVDQU32Z256rr_alt
-    345U,	// VMOVDQU32Z256rrk
-    345U,	// VMOVDQU32Z256rrk_alt
-    269U,	// VMOVDQU32Z256rrkz
-    269U,	// VMOVDQU32Z256rrkz_alt
+    469U,	// VMOVDQU32Z256rrk
+    469U,	// VMOVDQU32Z256rrk_alt
+    589U,	// VMOVDQU32Z256rrkz
+    589U,	// VMOVDQU32Z256rrkz_alt
     0U,	// VMOVDQU32Zmr
-    29U,	// VMOVDQU32Zmrk
+    481U,	// VMOVDQU32Zmrk
     0U,	// VMOVDQU32Zrm
-    345U,	// VMOVDQU32Zrmk
-    269U,	// VMOVDQU32Zrmkz
+    469U,	// VMOVDQU32Zrmk
+    589U,	// VMOVDQU32Zrmkz
     0U,	// VMOVDQU32Zrr
     0U,	// VMOVDQU32Zrr_alt
-    345U,	// VMOVDQU32Zrrk
-    345U,	// VMOVDQU32Zrrk_alt
-    269U,	// VMOVDQU32Zrrkz
-    269U,	// VMOVDQU32Zrrkz_alt
+    469U,	// VMOVDQU32Zrrk
+    469U,	// VMOVDQU32Zrrk_alt
+    589U,	// VMOVDQU32Zrrkz
+    589U,	// VMOVDQU32Zrrkz_alt
     0U,	// VMOVDQU64Z128mr
-    29U,	// VMOVDQU64Z128mrk
+    481U,	// VMOVDQU64Z128mrk
     0U,	// VMOVDQU64Z128rm
-    345U,	// VMOVDQU64Z128rmk
-    269U,	// VMOVDQU64Z128rmkz
+    469U,	// VMOVDQU64Z128rmk
+    589U,	// VMOVDQU64Z128rmkz
     0U,	// VMOVDQU64Z128rr
     0U,	// VMOVDQU64Z128rr_alt
-    345U,	// VMOVDQU64Z128rrk
-    345U,	// VMOVDQU64Z128rrk_alt
-    269U,	// VMOVDQU64Z128rrkz
-    269U,	// VMOVDQU64Z128rrkz_alt
+    469U,	// VMOVDQU64Z128rrk
+    469U,	// VMOVDQU64Z128rrk_alt
+    589U,	// VMOVDQU64Z128rrkz
+    589U,	// VMOVDQU64Z128rrkz_alt
     0U,	// VMOVDQU64Z256mr
-    29U,	// VMOVDQU64Z256mrk
+    481U,	// VMOVDQU64Z256mrk
     0U,	// VMOVDQU64Z256rm
-    345U,	// VMOVDQU64Z256rmk
-    269U,	// VMOVDQU64Z256rmkz
+    469U,	// VMOVDQU64Z256rmk
+    589U,	// VMOVDQU64Z256rmkz
     0U,	// VMOVDQU64Z256rr
     0U,	// VMOVDQU64Z256rr_alt
-    345U,	// VMOVDQU64Z256rrk
-    345U,	// VMOVDQU64Z256rrk_alt
-    269U,	// VMOVDQU64Z256rrkz
-    269U,	// VMOVDQU64Z256rrkz_alt
+    469U,	// VMOVDQU64Z256rrk
+    469U,	// VMOVDQU64Z256rrk_alt
+    589U,	// VMOVDQU64Z256rrkz
+    589U,	// VMOVDQU64Z256rrkz_alt
     0U,	// VMOVDQU64Zmr
-    29U,	// VMOVDQU64Zmrk
+    481U,	// VMOVDQU64Zmrk
     0U,	// VMOVDQU64Zrm
-    345U,	// VMOVDQU64Zrmk
-    269U,	// VMOVDQU64Zrmkz
+    469U,	// VMOVDQU64Zrmk
+    589U,	// VMOVDQU64Zrmkz
     0U,	// VMOVDQU64Zrr
     0U,	// VMOVDQU64Zrr_alt
-    345U,	// VMOVDQU64Zrrk
-    345U,	// VMOVDQU64Zrrk_alt
-    269U,	// VMOVDQU64Zrrkz
-    269U,	// VMOVDQU64Zrrkz_alt
+    469U,	// VMOVDQU64Zrrk
+    469U,	// VMOVDQU64Zrrk_alt
+    589U,	// VMOVDQU64Zrrkz
+    589U,	// VMOVDQU64Zrrkz_alt
     0U,	// VMOVDQU8Z128mr
-    29U,	// VMOVDQU8Z128mrk
+    481U,	// VMOVDQU8Z128mrk
     0U,	// VMOVDQU8Z128rm
-    345U,	// VMOVDQU8Z128rmk
-    269U,	// VMOVDQU8Z128rmkz
+    469U,	// VMOVDQU8Z128rmk
+    589U,	// VMOVDQU8Z128rmkz
     0U,	// VMOVDQU8Z128rr
     0U,	// VMOVDQU8Z128rr_alt
-    345U,	// VMOVDQU8Z128rrk
-    345U,	// VMOVDQU8Z128rrk_alt
-    269U,	// VMOVDQU8Z128rrkz
-    269U,	// VMOVDQU8Z128rrkz_alt
+    469U,	// VMOVDQU8Z128rrk
+    469U,	// VMOVDQU8Z128rrk_alt
+    589U,	// VMOVDQU8Z128rrkz
+    589U,	// VMOVDQU8Z128rrkz_alt
     0U,	// VMOVDQU8Z256mr
-    29U,	// VMOVDQU8Z256mrk
+    481U,	// VMOVDQU8Z256mrk
     0U,	// VMOVDQU8Z256rm
-    345U,	// VMOVDQU8Z256rmk
-    269U,	// VMOVDQU8Z256rmkz
+    469U,	// VMOVDQU8Z256rmk
+    589U,	// VMOVDQU8Z256rmkz
     0U,	// VMOVDQU8Z256rr
     0U,	// VMOVDQU8Z256rr_alt
-    345U,	// VMOVDQU8Z256rrk
-    345U,	// VMOVDQU8Z256rrk_alt
-    269U,	// VMOVDQU8Z256rrkz
-    269U,	// VMOVDQU8Z256rrkz_alt
+    469U,	// VMOVDQU8Z256rrk
+    469U,	// VMOVDQU8Z256rrk_alt
+    589U,	// VMOVDQU8Z256rrkz
+    589U,	// VMOVDQU8Z256rrkz_alt
     0U,	// VMOVDQU8Zmr
-    29U,	// VMOVDQU8Zmrk
+    481U,	// VMOVDQU8Zmrk
     0U,	// VMOVDQU8Zrm
-    345U,	// VMOVDQU8Zrmk
-    269U,	// VMOVDQU8Zrmkz
+    469U,	// VMOVDQU8Zrmk
+    589U,	// VMOVDQU8Zrmkz
     0U,	// VMOVDQU8Zrr
     0U,	// VMOVDQU8Zrr_alt
-    345U,	// VMOVDQU8Zrrk
-    345U,	// VMOVDQU8Zrrk_alt
-    269U,	// VMOVDQU8Zrrkz
-    269U,	// VMOVDQU8Zrrkz_alt
+    469U,	// VMOVDQU8Zrrk
+    469U,	// VMOVDQU8Zrrk_alt
+    589U,	// VMOVDQU8Zrrkz
+    589U,	// VMOVDQU8Zrrkz_alt
     0U,	// VMOVDQUYmr
     0U,	// VMOVDQUYrm
     0U,	// VMOVDQUYrr
@@ -10590,18 +14313,18 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVDQUrm
     0U,	// VMOVDQUrr
     0U,	// VMOVDQUrr_REV
-    0U,	// VMOVHLPSZrr
-    0U,	// VMOVHLPSrr
+    4U,	// VMOVHLPSZrr
+    4U,	// VMOVHLPSrr
     0U,	// VMOVHPDmr
-    4U,	// VMOVHPDrm
+    72U,	// VMOVHPDrm
     0U,	// VMOVHPSmr
-    4U,	// VMOVHPSrm
-    0U,	// VMOVLHPSZrr
-    0U,	// VMOVLHPSrr
+    72U,	// VMOVHPSrm
+    4U,	// VMOVLHPSZrr
+    4U,	// VMOVLHPSrr
     0U,	// VMOVLPDmr
-    4U,	// VMOVLPDrm
+    72U,	// VMOVLPDrm
     0U,	// VMOVLPSmr
-    4U,	// VMOVLPSrm
+    72U,	// VMOVLPSrm
     0U,	// VMOVMSKPDYrr
     0U,	// VMOVMSKPDrr
     0U,	// VMOVMSKPSYrr
@@ -10634,18 +14357,20 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVPQI2QIrr
     0U,	// VMOVPQIto64Zmr
     0U,	// VMOVPQIto64Zrr
+    0U,	// VMOVPQIto64rm
     0U,	// VMOVPQIto64rr
     0U,	// VMOVQI2PQIZrm
     0U,	// VMOVQI2PQIrm
     0U,	// VMOVSDZmr
+    481U,	// VMOVSDZmrk
     0U,	// VMOVSDZrm
-    0U,	// VMOVSDZrr
-    0U,	// VMOVSDZrr_REV
-    345U,	// VMOVSDZrrk
+    4U,	// VMOVSDZrr
+    4U,	// VMOVSDZrr_REV
+    469U,	// VMOVSDZrrk
     0U,	// VMOVSDmr
     0U,	// VMOVSDrm
-    0U,	// VMOVSDrr
-    0U,	// VMOVSDrr_REV
+    4U,	// VMOVSDrr
+    4U,	// VMOVSDrr_REV
     0U,	// VMOVSDto64Zmr
     0U,	// VMOVSDto64Zrr
     0U,	// VMOVSDto64mr
@@ -10667,51 +14392,52 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVSS2DImr
     0U,	// VMOVSS2DIrr
     0U,	// VMOVSSZmr
+    481U,	// VMOVSSZmrk
     0U,	// VMOVSSZrm
-    0U,	// VMOVSSZrr
-    0U,	// VMOVSSZrr_REV
-    345U,	// VMOVSSZrrk
+    4U,	// VMOVSSZrr
+    4U,	// VMOVSSZrr_REV
+    469U,	// VMOVSSZrrk
     0U,	// VMOVSSmr
     0U,	// VMOVSSrm
-    0U,	// VMOVSSrr
-    0U,	// VMOVSSrr_REV
+    4U,	// VMOVSSrr
+    4U,	// VMOVSSrr_REV
     0U,	// VMOVUPDYmr
     0U,	// VMOVUPDYrm
     0U,	// VMOVUPDYrr
     0U,	// VMOVUPDYrr_REV
     0U,	// VMOVUPDZ128mr
-    29U,	// VMOVUPDZ128mrk
+    481U,	// VMOVUPDZ128mrk
     0U,	// VMOVUPDZ128rm
-    345U,	// VMOVUPDZ128rmk
-    269U,	// VMOVUPDZ128rmkz
+    469U,	// VMOVUPDZ128rmk
+    589U,	// VMOVUPDZ128rmkz
     0U,	// VMOVUPDZ128rr
     0U,	// VMOVUPDZ128rr_alt
-    345U,	// VMOVUPDZ128rrk
-    345U,	// VMOVUPDZ128rrk_alt
-    269U,	// VMOVUPDZ128rrkz
-    269U,	// VMOVUPDZ128rrkz_alt
+    469U,	// VMOVUPDZ128rrk
+    469U,	// VMOVUPDZ128rrk_alt
+    589U,	// VMOVUPDZ128rrkz
+    589U,	// VMOVUPDZ128rrkz_alt
     0U,	// VMOVUPDZ256mr
-    29U,	// VMOVUPDZ256mrk
+    481U,	// VMOVUPDZ256mrk
     0U,	// VMOVUPDZ256rm
-    345U,	// VMOVUPDZ256rmk
-    269U,	// VMOVUPDZ256rmkz
+    469U,	// VMOVUPDZ256rmk
+    589U,	// VMOVUPDZ256rmkz
     0U,	// VMOVUPDZ256rr
     0U,	// VMOVUPDZ256rr_alt
-    345U,	// VMOVUPDZ256rrk
-    345U,	// VMOVUPDZ256rrk_alt
-    269U,	// VMOVUPDZ256rrkz
-    269U,	// VMOVUPDZ256rrkz_alt
+    469U,	// VMOVUPDZ256rrk
+    469U,	// VMOVUPDZ256rrk_alt
+    589U,	// VMOVUPDZ256rrkz
+    589U,	// VMOVUPDZ256rrkz_alt
     0U,	// VMOVUPDZmr
-    29U,	// VMOVUPDZmrk
+    481U,	// VMOVUPDZmrk
     0U,	// VMOVUPDZrm
-    345U,	// VMOVUPDZrmk
-    269U,	// VMOVUPDZrmkz
+    469U,	// VMOVUPDZrmk
+    589U,	// VMOVUPDZrmkz
     0U,	// VMOVUPDZrr
     0U,	// VMOVUPDZrr_alt
-    345U,	// VMOVUPDZrrk
-    345U,	// VMOVUPDZrrk_alt
-    269U,	// VMOVUPDZrrkz
-    269U,	// VMOVUPDZrrkz_alt
+    469U,	// VMOVUPDZrrk
+    469U,	// VMOVUPDZrrk_alt
+    589U,	// VMOVUPDZrrkz
+    589U,	// VMOVUPDZrrkz_alt
     0U,	// VMOVUPDmr
     0U,	// VMOVUPDrm
     0U,	// VMOVUPDrr
@@ -10721,38 +14447,38 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVUPSYrr
     0U,	// VMOVUPSYrr_REV
     0U,	// VMOVUPSZ128mr
-    29U,	// VMOVUPSZ128mrk
+    481U,	// VMOVUPSZ128mrk
     0U,	// VMOVUPSZ128rm
-    345U,	// VMOVUPSZ128rmk
-    269U,	// VMOVUPSZ128rmkz
+    469U,	// VMOVUPSZ128rmk
+    589U,	// VMOVUPSZ128rmkz
     0U,	// VMOVUPSZ128rr
     0U,	// VMOVUPSZ128rr_alt
-    345U,	// VMOVUPSZ128rrk
-    345U,	// VMOVUPSZ128rrk_alt
-    269U,	// VMOVUPSZ128rrkz
-    269U,	// VMOVUPSZ128rrkz_alt
+    469U,	// VMOVUPSZ128rrk
+    469U,	// VMOVUPSZ128rrk_alt
+    589U,	// VMOVUPSZ128rrkz
+    589U,	// VMOVUPSZ128rrkz_alt
     0U,	// VMOVUPSZ256mr
-    29U,	// VMOVUPSZ256mrk
+    481U,	// VMOVUPSZ256mrk
     0U,	// VMOVUPSZ256rm
-    345U,	// VMOVUPSZ256rmk
-    269U,	// VMOVUPSZ256rmkz
+    469U,	// VMOVUPSZ256rmk
+    589U,	// VMOVUPSZ256rmkz
     0U,	// VMOVUPSZ256rr
     0U,	// VMOVUPSZ256rr_alt
-    345U,	// VMOVUPSZ256rrk
-    345U,	// VMOVUPSZ256rrk_alt
-    269U,	// VMOVUPSZ256rrkz
-    269U,	// VMOVUPSZ256rrkz_alt
+    469U,	// VMOVUPSZ256rrk
+    469U,	// VMOVUPSZ256rrk_alt
+    589U,	// VMOVUPSZ256rrkz
+    589U,	// VMOVUPSZ256rrkz_alt
     0U,	// VMOVUPSZmr
-    29U,	// VMOVUPSZmrk
+    481U,	// VMOVUPSZmrk
     0U,	// VMOVUPSZrm
-    345U,	// VMOVUPSZrmk
-    269U,	// VMOVUPSZrmkz
+    469U,	// VMOVUPSZrmk
+    589U,	// VMOVUPSZrmkz
     0U,	// VMOVUPSZrr
     0U,	// VMOVUPSZrr_alt
-    345U,	// VMOVUPSZrrk
-    345U,	// VMOVUPSZrrk_alt
-    269U,	// VMOVUPSZrrkz
-    269U,	// VMOVUPSZrrkz_alt
+    469U,	// VMOVUPSZrrk
+    469U,	// VMOVUPSZrrk_alt
+    589U,	// VMOVUPSZrrkz
+    589U,	// VMOVUPSZrrkz_alt
     0U,	// VMOVUPSmr
     0U,	// VMOVUPSrm
     0U,	// VMOVUPSrr
@@ -10764,9 +14490,9 @@ static void printInstruction(MCInst *MI,
     0U,	// VMOVZQI2PQIrm
     0U,	// VMOVZQI2PQIrr
     0U,	// VMPSADBWYrmi
-    4U,	// VMPSADBWYrri
-    4U,	// VMPSADBWrmi
-    4U,	// VMPSADBWrri
+    72U,	// VMPSADBWYrri
+    72U,	// VMPSADBWrmi
+    72U,	// VMPSADBWrri
     0U,	// VMPTRLDm
     0U,	// VMPTRSTm
     0U,	// VMREAD32rm
@@ -10778,615 +14504,1213 @@ static void printInstruction(MCInst *MI,
     0U,	// VMRUN64
     0U,	// VMSAVE32
     0U,	// VMSAVE64
-    0U,	// VMULPDYrm
-    0U,	// VMULPDYrr
-    0U,	// VMULPDZrm
-    4U,	// VMULPDZrmb
-    2052U,	// VMULPDZrmbk
-    10244U,	// VMULPDZrmbkz
-    3220U,	// VMULPDZrmk
-    4244U,	// VMULPDZrmkz
-    0U,	// VMULPDZrr
-    5268U,	// VMULPDZrrk
-    4244U,	// VMULPDZrrkz
-    0U,	// VMULPDrm
-    0U,	// VMULPDrr
-    0U,	// VMULPSYrm
-    0U,	// VMULPSYrr
-    0U,	// VMULPSZrm
-    4U,	// VMULPSZrmb
-    2052U,	// VMULPSZrmbk
-    10244U,	// VMULPSZrmbkz
-    3220U,	// VMULPSZrmk
-    4244U,	// VMULPSZrmkz
-    0U,	// VMULPSZrr
-    5268U,	// VMULPSZrrk
-    4244U,	// VMULPSZrrkz
-    0U,	// VMULPSrm
-    0U,	// VMULPSrr
-    4U,	// VMULSDZrm
-    0U,	// VMULSDZrr
-    4U,	// VMULSDrm
-    4U,	// VMULSDrm_Int
-    0U,	// VMULSDrr
-    0U,	// VMULSDrr_Int
-    4U,	// VMULSSZrm
-    0U,	// VMULSSZrr
-    4U,	// VMULSSrm
-    4U,	// VMULSSrm_Int
-    0U,	// VMULSSrr
-    0U,	// VMULSSrr_Int
+    4U,	// VMULPDYrm
+    4U,	// VMULPDYrr
+    324U,	// VMULPDZ128rm
+    4168U,	// VMULPDZ128rmb
+    6533U,	// VMULPDZ128rmbk
+    41032U,	// VMULPDZ128rmbkz
+    0U,	// VMULPDZ128rmk
+    10448U,	// VMULPDZ128rmkz
+    324U,	// VMULPDZ128rr
+    469U,	// VMULPDZ128rrk
+    10448U,	// VMULPDZ128rrkz
+    324U,	// VMULPDZ256rm
+    4168U,	// VMULPDZ256rmb
+    6533U,	// VMULPDZ256rmbk
+    41032U,	// VMULPDZ256rmbkz
+    0U,	// VMULPDZ256rmk
+    10448U,	// VMULPDZ256rmkz
+    324U,	// VMULPDZ256rr
+    469U,	// VMULPDZ256rrk
+    10448U,	// VMULPDZ256rrkz
+    0U,	// VMULPDZrb
+    0U,	// VMULPDZrbk
+    24U,	// VMULPDZrbkz
+    324U,	// VMULPDZrm
+    4168U,	// VMULPDZrmb
+    6533U,	// VMULPDZrmbk
+    41032U,	// VMULPDZrmbkz
+    0U,	// VMULPDZrmk
+    10448U,	// VMULPDZrmkz
+    324U,	// VMULPDZrr
+    469U,	// VMULPDZrrk
+    10448U,	// VMULPDZrrkz
+    4U,	// VMULPDrm
+    4U,	// VMULPDrr
+    4U,	// VMULPSYrm
+    4U,	// VMULPSYrr
+    324U,	// VMULPSZ128rm
+    4168U,	// VMULPSZ128rmb
+    6533U,	// VMULPSZ128rmbk
+    41032U,	// VMULPSZ128rmbkz
+    0U,	// VMULPSZ128rmk
+    10448U,	// VMULPSZ128rmkz
+    324U,	// VMULPSZ128rr
+    469U,	// VMULPSZ128rrk
+    10448U,	// VMULPSZ128rrkz
+    324U,	// VMULPSZ256rm
+    4168U,	// VMULPSZ256rmb
+    6533U,	// VMULPSZ256rmbk
+    41032U,	// VMULPSZ256rmbkz
+    0U,	// VMULPSZ256rmk
+    10448U,	// VMULPSZ256rmkz
+    324U,	// VMULPSZ256rr
+    469U,	// VMULPSZ256rrk
+    10448U,	// VMULPSZ256rrkz
+    0U,	// VMULPSZrb
+    0U,	// VMULPSZrbk
+    24U,	// VMULPSZrbkz
+    324U,	// VMULPSZrm
+    4168U,	// VMULPSZrmb
+    6533U,	// VMULPSZrmbk
+    41032U,	// VMULPSZrmbkz
+    0U,	// VMULPSZrmk
+    10448U,	// VMULPSZrmkz
+    324U,	// VMULPSZrr
+    469U,	// VMULPSZrrk
+    10448U,	// VMULPSZrrkz
+    4U,	// VMULPSrm
+    4U,	// VMULPSrr
+    72U,	// VMULSDZrm
+    324U,	// VMULSDZrm_Int
+    0U,	// VMULSDZrm_Intk
+    10448U,	// VMULSDZrm_Intkz
+    4U,	// VMULSDZrr
+    324U,	// VMULSDZrr_Int
+    469U,	// VMULSDZrr_Intk
+    10448U,	// VMULSDZrr_Intkz
+    0U,	// VMULSDZrrb
+    0U,	// VMULSDZrrbk
+    24U,	// VMULSDZrrbkz
+    72U,	// VMULSDrm
+    72U,	// VMULSDrm_Int
+    4U,	// VMULSDrr
+    4U,	// VMULSDrr_Int
+    72U,	// VMULSSZrm
+    324U,	// VMULSSZrm_Int
+    0U,	// VMULSSZrm_Intk
+    10448U,	// VMULSSZrm_Intkz
+    4U,	// VMULSSZrr
+    324U,	// VMULSSZrr_Int
+    469U,	// VMULSSZrr_Intk
+    10448U,	// VMULSSZrr_Intkz
+    0U,	// VMULSSZrrb
+    0U,	// VMULSSZrrbk
+    24U,	// VMULSSZrrbkz
+    72U,	// VMULSSrm
+    72U,	// VMULSSrm_Int
+    4U,	// VMULSSrr
+    4U,	// VMULSSrr_Int
     0U,	// VMWRITE32rm
     0U,	// VMWRITE32rr
     0U,	// VMWRITE64rm
     0U,	// VMWRITE64rr
     0U,	// VMXOFF
     0U,	// VMXON
-    0U,	// VORPDYrm
-    0U,	// VORPDYrr
-    0U,	// VORPDrm
-    0U,	// VORPDrr
-    0U,	// VORPSYrm
-    0U,	// VORPSYrr
-    0U,	// VORPSrm
-    0U,	// VORPSrr
+    4U,	// VORPDYrm
+    4U,	// VORPDYrr
+    4U,	// VORPDrm
+    4U,	// VORPDrr
+    4U,	// VORPSYrm
+    4U,	// VORPSYrr
+    4U,	// VORPSrm
+    4U,	// VORPSrr
     0U,	// VPABSBrm128
     0U,	// VPABSBrm256
     0U,	// VPABSBrr128
     0U,	// VPABSBrr256
     0U,	// VPABSDZrm
     0U,	// VPABSDZrmb
-    3220U,	// VPABSDZrmbk
-    4244U,	// VPABSDZrmbkz
-    333U,	// VPABSDZrmk
-    269U,	// VPABSDZrmkz
+    6352U,	// VPABSDZrmbk
+    10448U,	// VPABSDZrmbkz
+    461U,	// VPABSDZrmk
+    589U,	// VPABSDZrmkz
     0U,	// VPABSDZrr
-    333U,	// VPABSDZrrk
-    269U,	// VPABSDZrrkz
+    461U,	// VPABSDZrrk
+    589U,	// VPABSDZrrkz
     0U,	// VPABSDrm128
     0U,	// VPABSDrm256
     0U,	// VPABSDrr128
     0U,	// VPABSDrr256
     0U,	// VPABSQZrm
     0U,	// VPABSQZrmb
-    3220U,	// VPABSQZrmbk
-    4244U,	// VPABSQZrmbkz
-    333U,	// VPABSQZrmk
-    269U,	// VPABSQZrmkz
+    6352U,	// VPABSQZrmbk
+    10448U,	// VPABSQZrmbkz
+    461U,	// VPABSQZrmk
+    589U,	// VPABSQZrmkz
     0U,	// VPABSQZrr
-    333U,	// VPABSQZrrk
-    269U,	// VPABSQZrrkz
+    461U,	// VPABSQZrrk
+    589U,	// VPABSQZrrkz
     0U,	// VPABSWrm128
     0U,	// VPABSWrm256
     0U,	// VPABSWrr128
     0U,	// VPABSWrr256
-    0U,	// VPACKSSDWYrm
-    0U,	// VPACKSSDWYrr
-    0U,	// VPACKSSDWrm
-    0U,	// VPACKSSDWrr
-    0U,	// VPACKSSWBYrm
-    0U,	// VPACKSSWBYrr
-    0U,	// VPACKSSWBrm
-    0U,	// VPACKSSWBrr
-    0U,	// VPACKUSDWYrm
-    0U,	// VPACKUSDWYrr
-    0U,	// VPACKUSDWrm
-    0U,	// VPACKUSDWrr
-    0U,	// VPACKUSWBYrm
-    0U,	// VPACKUSWBYrr
-    0U,	// VPACKUSWBrm
-    0U,	// VPACKUSWBrr
-    0U,	// VPADDBYrm
-    0U,	// VPADDBYrr
-    0U,	// VPADDBrm
-    0U,	// VPADDBrr
-    0U,	// VPADDDYrm
-    0U,	// VPADDDYrr
-    0U,	// VPADDDZrm
-    4U,	// VPADDDZrmb
-    1U,	// VPADDDZrmbk
-    10244U,	// VPADDDZrmbkz
+    4U,	// VPACKSSDWYrm
+    4U,	// VPACKSSDWYrr
+    4U,	// VPACKSSDWrm
+    4U,	// VPACKSSDWrr
+    4U,	// VPACKSSWBYrm
+    4U,	// VPACKSSWBYrr
+    4U,	// VPACKSSWBrm
+    4U,	// VPACKSSWBrr
+    4U,	// VPACKUSDWYrm
+    4U,	// VPACKUSDWYrr
+    4U,	// VPACKUSDWrm
+    4U,	// VPACKUSDWrr
+    4U,	// VPACKUSWBYrm
+    4U,	// VPACKUSWBYrr
+    4U,	// VPACKUSWBrm
+    4U,	// VPACKUSWBrr
+    4U,	// VPADDBYrm
+    4U,	// VPADDBYrr
+    324U,	// VPADDBZ128rm
+    0U,	// VPADDBZ128rmk
+    10448U,	// VPADDBZ128rmkz
+    324U,	// VPADDBZ128rr
+    469U,	// VPADDBZ128rrk
+    10448U,	// VPADDBZ128rrkz
+    324U,	// VPADDBZ256rm
+    0U,	// VPADDBZ256rmk
+    10448U,	// VPADDBZ256rmkz
+    324U,	// VPADDBZ256rr
+    469U,	// VPADDBZ256rrk
+    10448U,	// VPADDBZ256rrkz
+    324U,	// VPADDBZrm
+    0U,	// VPADDBZrmk
+    10448U,	// VPADDBZrmkz
+    324U,	// VPADDBZrr
+    469U,	// VPADDBZrrk
+    10448U,	// VPADDBZrrkz
+    4U,	// VPADDBrm
+    4U,	// VPADDBrr
+    4U,	// VPADDDYrm
+    4U,	// VPADDDYrr
+    324U,	// VPADDDZ128rm
+    4168U,	// VPADDDZ128rmb
+    6533U,	// VPADDDZ128rmbk
+    41032U,	// VPADDDZ128rmbkz
+    0U,	// VPADDDZ128rmk
+    10448U,	// VPADDDZ128rmkz
+    324U,	// VPADDDZ128rr
+    469U,	// VPADDDZ128rrk
+    10448U,	// VPADDDZ128rrkz
+    324U,	// VPADDDZ256rm
+    4168U,	// VPADDDZ256rmb
+    6533U,	// VPADDDZ256rmbk
+    41032U,	// VPADDDZ256rmbkz
+    0U,	// VPADDDZ256rmk
+    10448U,	// VPADDDZ256rmkz
+    324U,	// VPADDDZ256rr
+    469U,	// VPADDDZ256rrk
+    10448U,	// VPADDDZ256rrkz
+    324U,	// VPADDDZrm
+    4168U,	// VPADDDZrmb
+    6533U,	// VPADDDZrmbk
+    41032U,	// VPADDDZrmbkz
     0U,	// VPADDDZrmk
-    4244U,	// VPADDDZrmkz
-    0U,	// VPADDDZrr
-    345U,	// VPADDDZrrk
-    4244U,	// VPADDDZrrkz
-    0U,	// VPADDDrm
-    0U,	// VPADDDrr
-    0U,	// VPADDQYrm
-    0U,	// VPADDQYrr
-    0U,	// VPADDQZrm
-    4U,	// VPADDQZrmb
-    1U,	// VPADDQZrmbk
-    10244U,	// VPADDQZrmbkz
+    10448U,	// VPADDDZrmkz
+    324U,	// VPADDDZrr
+    469U,	// VPADDDZrrk
+    10448U,	// VPADDDZrrkz
+    4U,	// VPADDDrm
+    4U,	// VPADDDrr
+    4U,	// VPADDQYrm
+    4U,	// VPADDQYrr
+    324U,	// VPADDQZ128rm
+    4168U,	// VPADDQZ128rmb
+    6533U,	// VPADDQZ128rmbk
+    41032U,	// VPADDQZ128rmbkz
+    0U,	// VPADDQZ128rmk
+    10448U,	// VPADDQZ128rmkz
+    324U,	// VPADDQZ128rr
+    469U,	// VPADDQZ128rrk
+    10448U,	// VPADDQZ128rrkz
+    324U,	// VPADDQZ256rm
+    4168U,	// VPADDQZ256rmb
+    6533U,	// VPADDQZ256rmbk
+    41032U,	// VPADDQZ256rmbkz
+    0U,	// VPADDQZ256rmk
+    10448U,	// VPADDQZ256rmkz
+    324U,	// VPADDQZ256rr
+    469U,	// VPADDQZ256rrk
+    10448U,	// VPADDQZ256rrkz
+    324U,	// VPADDQZrm
+    4168U,	// VPADDQZrmb
+    6533U,	// VPADDQZrmbk
+    41032U,	// VPADDQZrmbkz
     0U,	// VPADDQZrmk
-    4244U,	// VPADDQZrmkz
-    0U,	// VPADDQZrr
-    345U,	// VPADDQZrrk
-    4244U,	// VPADDQZrrkz
-    0U,	// VPADDQrm
-    0U,	// VPADDQrr
-    0U,	// VPADDSBYrm
-    0U,	// VPADDSBYrr
-    0U,	// VPADDSBrm
-    0U,	// VPADDSBrr
-    0U,	// VPADDSWYrm
-    0U,	// VPADDSWYrr
-    0U,	// VPADDSWrm
-    0U,	// VPADDSWrr
-    0U,	// VPADDUSBYrm
-    0U,	// VPADDUSBYrr
-    0U,	// VPADDUSBrm
-    0U,	// VPADDUSBrr
-    0U,	// VPADDUSWYrm
-    0U,	// VPADDUSWYrr
-    0U,	// VPADDUSWrm
-    0U,	// VPADDUSWrr
-    0U,	// VPADDWYrm
-    0U,	// VPADDWYrr
-    0U,	// VPADDWrm
-    0U,	// VPADDWrr
-    4U,	// VPALIGNR128rm
-    4U,	// VPALIGNR128rr
+    10448U,	// VPADDQZrmkz
+    324U,	// VPADDQZrr
+    469U,	// VPADDQZrrk
+    10448U,	// VPADDQZrrkz
+    4U,	// VPADDQrm
+    4U,	// VPADDQrr
+    4U,	// VPADDSBYrm
+    4U,	// VPADDSBYrr
+    4U,	// VPADDSBrm
+    4U,	// VPADDSBrr
+    4U,	// VPADDSWYrm
+    4U,	// VPADDSWYrr
+    4U,	// VPADDSWrm
+    4U,	// VPADDSWrr
+    4U,	// VPADDUSBYrm
+    4U,	// VPADDUSBYrr
+    4U,	// VPADDUSBrm
+    4U,	// VPADDUSBrr
+    4U,	// VPADDUSWYrm
+    4U,	// VPADDUSWYrr
+    4U,	// VPADDUSWrm
+    4U,	// VPADDUSWrr
+    4U,	// VPADDWYrm
+    4U,	// VPADDWYrr
+    324U,	// VPADDWZ128rm
+    0U,	// VPADDWZ128rmk
+    10448U,	// VPADDWZ128rmkz
+    324U,	// VPADDWZ128rr
+    469U,	// VPADDWZ128rrk
+    10448U,	// VPADDWZ128rrkz
+    324U,	// VPADDWZ256rm
+    0U,	// VPADDWZ256rmk
+    10448U,	// VPADDWZ256rmkz
+    324U,	// VPADDWZ256rr
+    469U,	// VPADDWZ256rrk
+    10448U,	// VPADDWZ256rrkz
+    324U,	// VPADDWZrm
+    0U,	// VPADDWZrmk
+    10448U,	// VPADDWZrmkz
+    324U,	// VPADDWZrr
+    469U,	// VPADDWZrrk
+    10448U,	// VPADDWZrrkz
+    4U,	// VPADDWrm
+    4U,	// VPADDWrr
+    72U,	// VPALIGNR128rm
+    72U,	// VPALIGNR128rr
     0U,	// VPALIGNR256rm
-    4U,	// VPALIGNR256rr
-    0U,	// VPANDDZrm
-    4U,	// VPANDDZrmb
-    1U,	// VPANDDZrmbk
-    10244U,	// VPANDDZrmbkz
+    72U,	// VPALIGNR256rr
+    324U,	// VPANDDZ128rm
+    4168U,	// VPANDDZ128rmb
+    6533U,	// VPANDDZ128rmbk
+    41032U,	// VPANDDZ128rmbkz
+    0U,	// VPANDDZ128rmk
+    10448U,	// VPANDDZ128rmkz
+    324U,	// VPANDDZ128rr
+    469U,	// VPANDDZ128rrk
+    10448U,	// VPANDDZ128rrkz
+    324U,	// VPANDDZ256rm
+    4168U,	// VPANDDZ256rmb
+    6533U,	// VPANDDZ256rmbk
+    41032U,	// VPANDDZ256rmbkz
+    0U,	// VPANDDZ256rmk
+    10448U,	// VPANDDZ256rmkz
+    324U,	// VPANDDZ256rr
+    469U,	// VPANDDZ256rrk
+    10448U,	// VPANDDZ256rrkz
+    324U,	// VPANDDZrm
+    4168U,	// VPANDDZrmb
+    6533U,	// VPANDDZrmbk
+    41032U,	// VPANDDZrmbkz
     0U,	// VPANDDZrmk
-    4244U,	// VPANDDZrmkz
-    0U,	// VPANDDZrr
-    345U,	// VPANDDZrrk
-    4244U,	// VPANDDZrrkz
-    0U,	// VPANDNDZrm
-    4U,	// VPANDNDZrmb
-    1U,	// VPANDNDZrmbk
-    10244U,	// VPANDNDZrmbkz
+    10448U,	// VPANDDZrmkz
+    324U,	// VPANDDZrr
+    469U,	// VPANDDZrrk
+    10448U,	// VPANDDZrrkz
+    324U,	// VPANDNDZ128rm
+    4168U,	// VPANDNDZ128rmb
+    6533U,	// VPANDNDZ128rmbk
+    41032U,	// VPANDNDZ128rmbkz
+    0U,	// VPANDNDZ128rmk
+    10448U,	// VPANDNDZ128rmkz
+    324U,	// VPANDNDZ128rr
+    469U,	// VPANDNDZ128rrk
+    10448U,	// VPANDNDZ128rrkz
+    324U,	// VPANDNDZ256rm
+    4168U,	// VPANDNDZ256rmb
+    6533U,	// VPANDNDZ256rmbk
+    41032U,	// VPANDNDZ256rmbkz
+    0U,	// VPANDNDZ256rmk
+    10448U,	// VPANDNDZ256rmkz
+    324U,	// VPANDNDZ256rr
+    469U,	// VPANDNDZ256rrk
+    10448U,	// VPANDNDZ256rrkz
+    324U,	// VPANDNDZrm
+    4168U,	// VPANDNDZrmb
+    6533U,	// VPANDNDZrmbk
+    41032U,	// VPANDNDZrmbkz
     0U,	// VPANDNDZrmk
-    4244U,	// VPANDNDZrmkz
-    0U,	// VPANDNDZrr
-    345U,	// VPANDNDZrrk
-    4244U,	// VPANDNDZrrkz
-    0U,	// VPANDNQZrm
-    4U,	// VPANDNQZrmb
-    1U,	// VPANDNQZrmbk
-    10244U,	// VPANDNQZrmbkz
+    10448U,	// VPANDNDZrmkz
+    324U,	// VPANDNDZrr
+    469U,	// VPANDNDZrrk
+    10448U,	// VPANDNDZrrkz
+    324U,	// VPANDNQZ128rm
+    4168U,	// VPANDNQZ128rmb
+    6533U,	// VPANDNQZ128rmbk
+    41032U,	// VPANDNQZ128rmbkz
+    0U,	// VPANDNQZ128rmk
+    10448U,	// VPANDNQZ128rmkz
+    324U,	// VPANDNQZ128rr
+    469U,	// VPANDNQZ128rrk
+    10448U,	// VPANDNQZ128rrkz
+    324U,	// VPANDNQZ256rm
+    4168U,	// VPANDNQZ256rmb
+    6533U,	// VPANDNQZ256rmbk
+    41032U,	// VPANDNQZ256rmbkz
+    0U,	// VPANDNQZ256rmk
+    10448U,	// VPANDNQZ256rmkz
+    324U,	// VPANDNQZ256rr
+    469U,	// VPANDNQZ256rrk
+    10448U,	// VPANDNQZ256rrkz
+    324U,	// VPANDNQZrm
+    4168U,	// VPANDNQZrmb
+    6533U,	// VPANDNQZrmbk
+    41032U,	// VPANDNQZrmbkz
     0U,	// VPANDNQZrmk
-    4244U,	// VPANDNQZrmkz
-    0U,	// VPANDNQZrr
-    345U,	// VPANDNQZrrk
-    4244U,	// VPANDNQZrrkz
-    0U,	// VPANDNYrm
-    0U,	// VPANDNYrr
-    0U,	// VPANDNrm
-    0U,	// VPANDNrr
-    0U,	// VPANDQZrm
-    4U,	// VPANDQZrmb
-    1U,	// VPANDQZrmbk
-    10244U,	// VPANDQZrmbkz
+    10448U,	// VPANDNQZrmkz
+    324U,	// VPANDNQZrr
+    469U,	// VPANDNQZrrk
+    10448U,	// VPANDNQZrrkz
+    4U,	// VPANDNYrm
+    4U,	// VPANDNYrr
+    4U,	// VPANDNrm
+    4U,	// VPANDNrr
+    324U,	// VPANDQZ128rm
+    4168U,	// VPANDQZ128rmb
+    6533U,	// VPANDQZ128rmbk
+    41032U,	// VPANDQZ128rmbkz
+    0U,	// VPANDQZ128rmk
+    10448U,	// VPANDQZ128rmkz
+    324U,	// VPANDQZ128rr
+    469U,	// VPANDQZ128rrk
+    10448U,	// VPANDQZ128rrkz
+    324U,	// VPANDQZ256rm
+    4168U,	// VPANDQZ256rmb
+    6533U,	// VPANDQZ256rmbk
+    41032U,	// VPANDQZ256rmbkz
+    0U,	// VPANDQZ256rmk
+    10448U,	// VPANDQZ256rmkz
+    324U,	// VPANDQZ256rr
+    469U,	// VPANDQZ256rrk
+    10448U,	// VPANDQZ256rrkz
+    324U,	// VPANDQZrm
+    4168U,	// VPANDQZrmb
+    6533U,	// VPANDQZrmbk
+    41032U,	// VPANDQZrmbkz
     0U,	// VPANDQZrmk
-    4244U,	// VPANDQZrmkz
-    0U,	// VPANDQZrr
-    345U,	// VPANDQZrrk
-    4244U,	// VPANDQZrrkz
-    0U,	// VPANDYrm
-    0U,	// VPANDYrr
-    0U,	// VPANDrm
-    0U,	// VPANDrr
-    0U,	// VPAVGBYrm
-    0U,	// VPAVGBYrr
-    0U,	// VPAVGBrm
-    0U,	// VPAVGBrr
-    0U,	// VPAVGWYrm
-    0U,	// VPAVGWYrr
-    0U,	// VPAVGWrm
-    0U,	// VPAVGWrr
+    10448U,	// VPANDQZrmkz
+    324U,	// VPANDQZrr
+    469U,	// VPANDQZrrk
+    10448U,	// VPANDQZrrkz
+    4U,	// VPANDYrm
+    4U,	// VPANDYrr
+    4U,	// VPANDrm
+    4U,	// VPANDrr
+    4U,	// VPAVGBYrm
+    4U,	// VPAVGBYrr
+    4U,	// VPAVGBrm
+    4U,	// VPAVGBrr
+    4U,	// VPAVGWYrm
+    4U,	// VPAVGWYrr
+    4U,	// VPAVGWrm
+    4U,	// VPAVGWrr
     0U,	// VPBLENDDYrmi
-    4U,	// VPBLENDDYrri
-    4U,	// VPBLENDDrmi
-    4U,	// VPBLENDDrri
-    3220U,	// VPBLENDMDZrm
-    3220U,	// VPBLENDMDZrr
-    3220U,	// VPBLENDMQZrm
-    3220U,	// VPBLENDMQZrr
+    72U,	// VPBLENDDYrri
+    72U,	// VPBLENDDrmi
+    72U,	// VPBLENDDrri
+    324U,	// VPBLENDMBZ128rm
+    6352U,	// VPBLENDMBZ128rmk
+    10448U,	// VPBLENDMBZ128rmkz
+    324U,	// VPBLENDMBZ128rr
+    6352U,	// VPBLENDMBZ128rrk
+    10448U,	// VPBLENDMBZ128rrkz
+    324U,	// VPBLENDMBZ256rm
+    6352U,	// VPBLENDMBZ256rmk
+    10448U,	// VPBLENDMBZ256rmkz
+    324U,	// VPBLENDMBZ256rr
+    6352U,	// VPBLENDMBZ256rrk
+    10448U,	// VPBLENDMBZ256rrkz
+    324U,	// VPBLENDMBZrm
+    6352U,	// VPBLENDMBZrmk
+    10448U,	// VPBLENDMBZrmkz
+    324U,	// VPBLENDMBZrr
+    6352U,	// VPBLENDMBZrrk
+    10448U,	// VPBLENDMBZrrkz
+    324U,	// VPBLENDMDZ128rm
+    72U,	// VPBLENDMDZ128rmb
+    73800U,	// VPBLENDMDZ128rmbk
+    6352U,	// VPBLENDMDZ128rmk
+    10448U,	// VPBLENDMDZ128rmkz
+    324U,	// VPBLENDMDZ128rr
+    6352U,	// VPBLENDMDZ128rrk
+    10448U,	// VPBLENDMDZ128rrkz
+    324U,	// VPBLENDMDZ256rm
+    72U,	// VPBLENDMDZ256rmb
+    73800U,	// VPBLENDMDZ256rmbk
+    6352U,	// VPBLENDMDZ256rmk
+    10448U,	// VPBLENDMDZ256rmkz
+    324U,	// VPBLENDMDZ256rr
+    6352U,	// VPBLENDMDZ256rrk
+    10448U,	// VPBLENDMDZ256rrkz
+    324U,	// VPBLENDMDZrm
+    72U,	// VPBLENDMDZrmb
+    73800U,	// VPBLENDMDZrmbk
+    6352U,	// VPBLENDMDZrmk
+    10448U,	// VPBLENDMDZrmkz
+    324U,	// VPBLENDMDZrr
+    6352U,	// VPBLENDMDZrrk
+    10448U,	// VPBLENDMDZrrkz
+    324U,	// VPBLENDMQZ128rm
+    72U,	// VPBLENDMQZ128rmb
+    73800U,	// VPBLENDMQZ128rmbk
+    6352U,	// VPBLENDMQZ128rmk
+    10448U,	// VPBLENDMQZ128rmkz
+    324U,	// VPBLENDMQZ128rr
+    6352U,	// VPBLENDMQZ128rrk
+    10448U,	// VPBLENDMQZ128rrkz
+    324U,	// VPBLENDMQZ256rm
+    72U,	// VPBLENDMQZ256rmb
+    73800U,	// VPBLENDMQZ256rmbk
+    6352U,	// VPBLENDMQZ256rmk
+    10448U,	// VPBLENDMQZ256rmkz
+    324U,	// VPBLENDMQZ256rr
+    6352U,	// VPBLENDMQZ256rrk
+    10448U,	// VPBLENDMQZ256rrkz
+    324U,	// VPBLENDMQZrm
+    72U,	// VPBLENDMQZrmb
+    73800U,	// VPBLENDMQZrmbk
+    6352U,	// VPBLENDMQZrmk
+    10448U,	// VPBLENDMQZrmkz
+    324U,	// VPBLENDMQZrr
+    6352U,	// VPBLENDMQZrrk
+    10448U,	// VPBLENDMQZrrkz
+    324U,	// VPBLENDMWZ128rm
+    6352U,	// VPBLENDMWZ128rmk
+    10448U,	// VPBLENDMWZ128rmkz
+    324U,	// VPBLENDMWZ128rr
+    6352U,	// VPBLENDMWZ128rrk
+    10448U,	// VPBLENDMWZ128rrkz
+    324U,	// VPBLENDMWZ256rm
+    6352U,	// VPBLENDMWZ256rmk
+    10448U,	// VPBLENDMWZ256rmkz
+    324U,	// VPBLENDMWZ256rr
+    6352U,	// VPBLENDMWZ256rrk
+    10448U,	// VPBLENDMWZ256rrkz
+    324U,	// VPBLENDMWZrm
+    6352U,	// VPBLENDMWZrmk
+    10448U,	// VPBLENDMWZrmkz
+    324U,	// VPBLENDMWZrr
+    6352U,	// VPBLENDMWZrrk
+    10448U,	// VPBLENDMWZrrkz
     0U,	// VPBLENDVBYrm
-    4U,	// VPBLENDVBYrr
-    4U,	// VPBLENDVBrm
-    4U,	// VPBLENDVBrr
+    72U,	// VPBLENDVBYrr
+    72U,	// VPBLENDVBrm
+    72U,	// VPBLENDVBrr
     0U,	// VPBLENDWYrmi
-    4U,	// VPBLENDWYrri
-    4U,	// VPBLENDWrmi
-    4U,	// VPBLENDWrri
+    72U,	// VPBLENDWYrri
+    72U,	// VPBLENDWrmi
+    72U,	// VPBLENDWrri
     0U,	// VPBROADCASTBYrm
     0U,	// VPBROADCASTBYrr
+    28U,	// VPBROADCASTBrZ128r
+    469U,	// VPBROADCASTBrZ128rk
+    589U,	// VPBROADCASTBrZ128rkz
+    28U,	// VPBROADCASTBrZ256r
+    469U,	// VPBROADCASTBrZ256rk
+    589U,	// VPBROADCASTBrZ256rkz
+    28U,	// VPBROADCASTBrZr
+    469U,	// VPBROADCASTBrZrk
+    589U,	// VPBROADCASTBrZrkz
     0U,	// VPBROADCASTBrm
     0U,	// VPBROADCASTBrr
     0U,	// VPBROADCASTDYrm
     0U,	// VPBROADCASTDYrr
-    4244U,	// VPBROADCASTDZkrm
-    269U,	// VPBROADCASTDZkrr
+    10448U,	// VPBROADCASTDZkrm
+    589U,	// VPBROADCASTDZkrr
     0U,	// VPBROADCASTDZrm
     0U,	// VPBROADCASTDZrr
-    269U,	// VPBROADCASTDrZkrr
-    0U,	// VPBROADCASTDrZrr
+    28U,	// VPBROADCASTDrZ128r
+    469U,	// VPBROADCASTDrZ128rk
+    589U,	// VPBROADCASTDrZ128rkz
+    28U,	// VPBROADCASTDrZ256r
+    469U,	// VPBROADCASTDrZ256rk
+    589U,	// VPBROADCASTDrZ256rkz
+    28U,	// VPBROADCASTDrZr
+    469U,	// VPBROADCASTDrZrk
+    589U,	// VPBROADCASTDrZrkz
     0U,	// VPBROADCASTDrm
     0U,	// VPBROADCASTDrr
-    0U,	// VPBROADCASTMB2Qrr
-    0U,	// VPBROADCASTMW2Drr
+    0U,	// VPBROADCASTMB2QZ128rr
+    0U,	// VPBROADCASTMB2QZ256rr
+    0U,	// VPBROADCASTMB2QZrr
+    0U,	// VPBROADCASTMW2DZ128rr
+    0U,	// VPBROADCASTMW2DZ256rr
+    0U,	// VPBROADCASTMW2DZrr
     0U,	// VPBROADCASTQYrm
     0U,	// VPBROADCASTQYrr
-    4244U,	// VPBROADCASTQZkrm
-    269U,	// VPBROADCASTQZkrr
+    10448U,	// VPBROADCASTQZkrm
+    589U,	// VPBROADCASTQZkrr
     0U,	// VPBROADCASTQZrm
     0U,	// VPBROADCASTQZrr
-    269U,	// VPBROADCASTQrZkrr
-    0U,	// VPBROADCASTQrZrr
+    28U,	// VPBROADCASTQrZ128r
+    469U,	// VPBROADCASTQrZ128rk
+    589U,	// VPBROADCASTQrZ128rkz
+    28U,	// VPBROADCASTQrZ256r
+    469U,	// VPBROADCASTQrZ256rk
+    589U,	// VPBROADCASTQrZ256rkz
+    28U,	// VPBROADCASTQrZr
+    469U,	// VPBROADCASTQrZrk
+    589U,	// VPBROADCASTQrZrkz
     0U,	// VPBROADCASTQrm
     0U,	// VPBROADCASTQrr
     0U,	// VPBROADCASTWYrm
     0U,	// VPBROADCASTWYrr
+    28U,	// VPBROADCASTWrZ128r
+    469U,	// VPBROADCASTWrZ128rk
+    589U,	// VPBROADCASTWrZ128rkz
+    28U,	// VPBROADCASTWrZ256r
+    469U,	// VPBROADCASTWrZ256rk
+    589U,	// VPBROADCASTWrZ256rkz
+    28U,	// VPBROADCASTWrZr
+    469U,	// VPBROADCASTWrZrk
+    589U,	// VPBROADCASTWrZrkz
     0U,	// VPBROADCASTWrm
     0U,	// VPBROADCASTWrr
-    4U,	// VPCLMULQDQrm
-    4U,	// VPCLMULQDQrr
-    4U,	// VPCMOVmr
+    72U,	// VPCLMULQDQrm
+    72U,	// VPCLMULQDQrr
+    72U,	// VPCMOVmr
     0U,	// VPCMOVmrY
-    4U,	// VPCMOVrm
-    4U,	// VPCMOVrmY
-    4U,	// VPCMOVrr
-    4U,	// VPCMOVrrY
+    72U,	// VPCMOVrm
+    72U,	// VPCMOVrmY
+    72U,	// VPCMOVrr
+    72U,	// VPCMOVrrY
+    2U,	// VPCMPBZ128rmi
+    72U,	// VPCMPBZ128rmi_alt
+    2U,	// VPCMPBZ128rmik
+    0U,	// VPCMPBZ128rmik_alt
+    2248U,	// VPCMPBZ128rri
+    72U,	// VPCMPBZ128rri_alt
+    73877U,	// VPCMPBZ128rrik
+    73800U,	// VPCMPBZ128rrik_alt
+    2U,	// VPCMPBZ256rmi
+    0U,	// VPCMPBZ256rmi_alt
+    2U,	// VPCMPBZ256rmik
+    0U,	// VPCMPBZ256rmik_alt
+    2248U,	// VPCMPBZ256rri
+    72U,	// VPCMPBZ256rri_alt
+    73877U,	// VPCMPBZ256rrik
+    73800U,	// VPCMPBZ256rrik_alt
+    2U,	// VPCMPBZrmi
+    72U,	// VPCMPBZrmi_alt
+    2U,	// VPCMPBZrmik
+    73800U,	// VPCMPBZrmik_alt
+    2248U,	// VPCMPBZrri
+    72U,	// VPCMPBZrri_alt
+    73877U,	// VPCMPBZrrik
+    73800U,	// VPCMPBZrrik_alt
+    2U,	// VPCMPDZ128rmi
+    72U,	// VPCMPDZ128rmi_alt
+    2284U,	// VPCMPDZ128rmib
+    142U,	// VPCMPDZ128rmib_alt
+    100910U,	// VPCMPDZ128rmibk
+    73878U,	// VPCMPDZ128rmibk_alt
+    2U,	// VPCMPDZ128rmik
+    0U,	// VPCMPDZ128rmik_alt
+    2248U,	// VPCMPDZ128rri
+    72U,	// VPCMPDZ128rri_alt
+    73877U,	// VPCMPDZ128rrik
+    73800U,	// VPCMPDZ128rrik_alt
+    2U,	// VPCMPDZ256rmi
+    0U,	// VPCMPDZ256rmi_alt
+    2288U,	// VPCMPDZ256rmib
+    142U,	// VPCMPDZ256rmib_alt
+    100914U,	// VPCMPDZ256rmibk
+    73878U,	// VPCMPDZ256rmibk_alt
+    2U,	// VPCMPDZ256rmik
+    0U,	// VPCMPDZ256rmik_alt
+    2248U,	// VPCMPDZ256rri
+    72U,	// VPCMPDZ256rri_alt
+    73877U,	// VPCMPDZ256rrik
+    73800U,	// VPCMPDZ256rrik_alt
     2U,	// VPCMPDZrmi
-    4U,	// VPCMPDZrmi_alt
-    0U,	// VPCMPDZrmik_alt
-    1156U,	// VPCMPDZrri
-    4U,	// VPCMPDZrri_alt
-    3220U,	// VPCMPDZrrik_alt
-    0U,	// VPCMPEQBYrm
-    0U,	// VPCMPEQBYrr
-    0U,	// VPCMPEQBZ128rm
-    3220U,	// VPCMPEQBZ128rmk
-    0U,	// VPCMPEQBZ128rr
-    3220U,	// VPCMPEQBZ128rrk
-    0U,	// VPCMPEQBZ256rm
-    3220U,	// VPCMPEQBZ256rmk
-    0U,	// VPCMPEQBZ256rr
-    3220U,	// VPCMPEQBZ256rrk
-    0U,	// VPCMPEQBZrm
-    3220U,	// VPCMPEQBZrmk
-    0U,	// VPCMPEQBZrr
-    3220U,	// VPCMPEQBZrrk
-    0U,	// VPCMPEQBrm
-    0U,	// VPCMPEQBrr
-    0U,	// VPCMPEQDYrm
-    0U,	// VPCMPEQDYrr
-    0U,	// VPCMPEQDZ128rm
-    4U,	// VPCMPEQDZ128rmb
-    2052U,	// VPCMPEQDZ128rmbk
-    3220U,	// VPCMPEQDZ128rmk
-    0U,	// VPCMPEQDZ128rr
-    3220U,	// VPCMPEQDZ128rrk
-    0U,	// VPCMPEQDZ256rm
-    4U,	// VPCMPEQDZ256rmb
-    2052U,	// VPCMPEQDZ256rmbk
-    3220U,	// VPCMPEQDZ256rmk
-    0U,	// VPCMPEQDZ256rr
-    3220U,	// VPCMPEQDZ256rrk
-    0U,	// VPCMPEQDZrm
-    4U,	// VPCMPEQDZrmb
-    2052U,	// VPCMPEQDZrmbk
-    3220U,	// VPCMPEQDZrmk
-    0U,	// VPCMPEQDZrr
-    3220U,	// VPCMPEQDZrrk
-    0U,	// VPCMPEQDrm
-    0U,	// VPCMPEQDrr
-    0U,	// VPCMPEQQYrm
-    0U,	// VPCMPEQQYrr
-    0U,	// VPCMPEQQZ128rm
-    4U,	// VPCMPEQQZ128rmb
-    2052U,	// VPCMPEQQZ128rmbk
-    3220U,	// VPCMPEQQZ128rmk
-    0U,	// VPCMPEQQZ128rr
-    3220U,	// VPCMPEQQZ128rrk
-    0U,	// VPCMPEQQZ256rm
-    4U,	// VPCMPEQQZ256rmb
-    2052U,	// VPCMPEQQZ256rmbk
-    3220U,	// VPCMPEQQZ256rmk
-    0U,	// VPCMPEQQZ256rr
-    3220U,	// VPCMPEQQZ256rrk
-    0U,	// VPCMPEQQZrm
-    4U,	// VPCMPEQQZrmb
-    2052U,	// VPCMPEQQZrmbk
-    3220U,	// VPCMPEQQZrmk
-    0U,	// VPCMPEQQZrr
-    3220U,	// VPCMPEQQZrrk
-    0U,	// VPCMPEQQrm
-    0U,	// VPCMPEQQrr
-    0U,	// VPCMPEQWYrm
-    0U,	// VPCMPEQWYrr
-    0U,	// VPCMPEQWZ128rm
-    3220U,	// VPCMPEQWZ128rmk
-    0U,	// VPCMPEQWZ128rr
-    3220U,	// VPCMPEQWZ128rrk
-    0U,	// VPCMPEQWZ256rm
-    3220U,	// VPCMPEQWZ256rmk
-    0U,	// VPCMPEQWZ256rr
-    3220U,	// VPCMPEQWZ256rrk
-    0U,	// VPCMPEQWZrm
-    3220U,	// VPCMPEQWZrmk
-    0U,	// VPCMPEQWZrr
-    3220U,	// VPCMPEQWZrrk
-    0U,	// VPCMPEQWrm
-    0U,	// VPCMPEQWrr
+    72U,	// VPCMPDZrmi_alt
+    2292U,	// VPCMPDZrmib
+    142U,	// VPCMPDZrmib_alt
+    100918U,	// VPCMPDZrmibk
+    73878U,	// VPCMPDZrmibk_alt
+    2U,	// VPCMPDZrmik
+    73800U,	// VPCMPDZrmik_alt
+    2248U,	// VPCMPDZrri
+    72U,	// VPCMPDZrri_alt
+    73877U,	// VPCMPDZrrik
+    73800U,	// VPCMPDZrrik_alt
+    4U,	// VPCMPEQBYrm
+    4U,	// VPCMPEQBYrr
+    4U,	// VPCMPEQBZ128rm
+    6352U,	// VPCMPEQBZ128rmk
+    4U,	// VPCMPEQBZ128rr
+    6352U,	// VPCMPEQBZ128rrk
+    4U,	// VPCMPEQBZ256rm
+    6352U,	// VPCMPEQBZ256rmk
+    4U,	// VPCMPEQBZ256rr
+    6352U,	// VPCMPEQBZ256rrk
+    4U,	// VPCMPEQBZrm
+    6352U,	// VPCMPEQBZrmk
+    4U,	// VPCMPEQBZrr
+    6352U,	// VPCMPEQBZrrk
+    4U,	// VPCMPEQBrm
+    4U,	// VPCMPEQBrr
+    4U,	// VPCMPEQDYrm
+    4U,	// VPCMPEQDYrr
+    4U,	// VPCMPEQDZ128rm
+    72U,	// VPCMPEQDZ128rmb
+    73800U,	// VPCMPEQDZ128rmbk
+    6352U,	// VPCMPEQDZ128rmk
+    4U,	// VPCMPEQDZ128rr
+    6352U,	// VPCMPEQDZ128rrk
+    4U,	// VPCMPEQDZ256rm
+    72U,	// VPCMPEQDZ256rmb
+    73800U,	// VPCMPEQDZ256rmbk
+    6352U,	// VPCMPEQDZ256rmk
+    4U,	// VPCMPEQDZ256rr
+    6352U,	// VPCMPEQDZ256rrk
+    4U,	// VPCMPEQDZrm
+    72U,	// VPCMPEQDZrmb
+    73800U,	// VPCMPEQDZrmbk
+    6352U,	// VPCMPEQDZrmk
+    4U,	// VPCMPEQDZrr
+    6352U,	// VPCMPEQDZrrk
+    4U,	// VPCMPEQDrm
+    4U,	// VPCMPEQDrr
+    4U,	// VPCMPEQQYrm
+    4U,	// VPCMPEQQYrr
+    4U,	// VPCMPEQQZ128rm
+    72U,	// VPCMPEQQZ128rmb
+    73800U,	// VPCMPEQQZ128rmbk
+    6352U,	// VPCMPEQQZ128rmk
+    4U,	// VPCMPEQQZ128rr
+    6352U,	// VPCMPEQQZ128rrk
+    4U,	// VPCMPEQQZ256rm
+    72U,	// VPCMPEQQZ256rmb
+    73800U,	// VPCMPEQQZ256rmbk
+    6352U,	// VPCMPEQQZ256rmk
+    4U,	// VPCMPEQQZ256rr
+    6352U,	// VPCMPEQQZ256rrk
+    4U,	// VPCMPEQQZrm
+    72U,	// VPCMPEQQZrmb
+    73800U,	// VPCMPEQQZrmbk
+    6352U,	// VPCMPEQQZrmk
+    4U,	// VPCMPEQQZrr
+    6352U,	// VPCMPEQQZrrk
+    4U,	// VPCMPEQQrm
+    4U,	// VPCMPEQQrr
+    4U,	// VPCMPEQWYrm
+    4U,	// VPCMPEQWYrr
+    4U,	// VPCMPEQWZ128rm
+    6352U,	// VPCMPEQWZ128rmk
+    4U,	// VPCMPEQWZ128rr
+    6352U,	// VPCMPEQWZ128rrk
+    4U,	// VPCMPEQWZ256rm
+    6352U,	// VPCMPEQWZ256rmk
+    4U,	// VPCMPEQWZ256rr
+    6352U,	// VPCMPEQWZ256rrk
+    4U,	// VPCMPEQWZrm
+    6352U,	// VPCMPEQWZrmk
+    4U,	// VPCMPEQWZrr
+    6352U,	// VPCMPEQWZrrk
+    4U,	// VPCMPEQWrm
+    4U,	// VPCMPEQWrr
     0U,	// VPCMPESTRIMEM
     0U,	// VPCMPESTRIREG
     0U,	// VPCMPESTRIrm
-    0U,	// VPCMPESTRIrr
+    4U,	// VPCMPESTRIrr
     0U,	// VPCMPESTRM128MEM
     0U,	// VPCMPESTRM128REG
     0U,	// VPCMPESTRM128rm
-    0U,	// VPCMPESTRM128rr
-    0U,	// VPCMPGTBYrm
-    0U,	// VPCMPGTBYrr
-    0U,	// VPCMPGTBZ128rm
-    3220U,	// VPCMPGTBZ128rmk
-    0U,	// VPCMPGTBZ128rr
-    3220U,	// VPCMPGTBZ128rrk
-    0U,	// VPCMPGTBZ256rm
-    3220U,	// VPCMPGTBZ256rmk
-    0U,	// VPCMPGTBZ256rr
-    3220U,	// VPCMPGTBZ256rrk
-    0U,	// VPCMPGTBZrm
-    3220U,	// VPCMPGTBZrmk
-    0U,	// VPCMPGTBZrr
-    3220U,	// VPCMPGTBZrrk
-    0U,	// VPCMPGTBrm
-    0U,	// VPCMPGTBrr
-    0U,	// VPCMPGTDYrm
-    0U,	// VPCMPGTDYrr
-    0U,	// VPCMPGTDZ128rm
-    4U,	// VPCMPGTDZ128rmb
-    2052U,	// VPCMPGTDZ128rmbk
-    3220U,	// VPCMPGTDZ128rmk
-    0U,	// VPCMPGTDZ128rr
-    3220U,	// VPCMPGTDZ128rrk
-    0U,	// VPCMPGTDZ256rm
-    4U,	// VPCMPGTDZ256rmb
-    2052U,	// VPCMPGTDZ256rmbk
-    3220U,	// VPCMPGTDZ256rmk
-    0U,	// VPCMPGTDZ256rr
-    3220U,	// VPCMPGTDZ256rrk
-    0U,	// VPCMPGTDZrm
-    4U,	// VPCMPGTDZrmb
-    2052U,	// VPCMPGTDZrmbk
-    3220U,	// VPCMPGTDZrmk
-    0U,	// VPCMPGTDZrr
-    3220U,	// VPCMPGTDZrrk
-    0U,	// VPCMPGTDrm
-    0U,	// VPCMPGTDrr
-    0U,	// VPCMPGTQYrm
-    0U,	// VPCMPGTQYrr
-    0U,	// VPCMPGTQZ128rm
-    4U,	// VPCMPGTQZ128rmb
-    2052U,	// VPCMPGTQZ128rmbk
-    3220U,	// VPCMPGTQZ128rmk
-    0U,	// VPCMPGTQZ128rr
-    3220U,	// VPCMPGTQZ128rrk
-    0U,	// VPCMPGTQZ256rm
-    4U,	// VPCMPGTQZ256rmb
-    2052U,	// VPCMPGTQZ256rmbk
-    3220U,	// VPCMPGTQZ256rmk
-    0U,	// VPCMPGTQZ256rr
-    3220U,	// VPCMPGTQZ256rrk
-    0U,	// VPCMPGTQZrm
-    4U,	// VPCMPGTQZrmb
-    2052U,	// VPCMPGTQZrmbk
-    3220U,	// VPCMPGTQZrmk
-    0U,	// VPCMPGTQZrr
-    3220U,	// VPCMPGTQZrrk
-    0U,	// VPCMPGTQrm
-    0U,	// VPCMPGTQrr
-    0U,	// VPCMPGTWYrm
-    0U,	// VPCMPGTWYrr
-    0U,	// VPCMPGTWZ128rm
-    3220U,	// VPCMPGTWZ128rmk
-    0U,	// VPCMPGTWZ128rr
-    3220U,	// VPCMPGTWZ128rrk
-    0U,	// VPCMPGTWZ256rm
-    3220U,	// VPCMPGTWZ256rmk
-    0U,	// VPCMPGTWZ256rr
-    3220U,	// VPCMPGTWZ256rrk
-    0U,	// VPCMPGTWZrm
-    3220U,	// VPCMPGTWZrmk
-    0U,	// VPCMPGTWZrr
-    3220U,	// VPCMPGTWZrrk
-    0U,	// VPCMPGTWrm
-    0U,	// VPCMPGTWrr
+    4U,	// VPCMPESTRM128rr
+    4U,	// VPCMPGTBYrm
+    4U,	// VPCMPGTBYrr
+    4U,	// VPCMPGTBZ128rm
+    6352U,	// VPCMPGTBZ128rmk
+    4U,	// VPCMPGTBZ128rr
+    6352U,	// VPCMPGTBZ128rrk
+    4U,	// VPCMPGTBZ256rm
+    6352U,	// VPCMPGTBZ256rmk
+    4U,	// VPCMPGTBZ256rr
+    6352U,	// VPCMPGTBZ256rrk
+    4U,	// VPCMPGTBZrm
+    6352U,	// VPCMPGTBZrmk
+    4U,	// VPCMPGTBZrr
+    6352U,	// VPCMPGTBZrrk
+    4U,	// VPCMPGTBrm
+    4U,	// VPCMPGTBrr
+    4U,	// VPCMPGTDYrm
+    4U,	// VPCMPGTDYrr
+    4U,	// VPCMPGTDZ128rm
+    72U,	// VPCMPGTDZ128rmb
+    73800U,	// VPCMPGTDZ128rmbk
+    6352U,	// VPCMPGTDZ128rmk
+    4U,	// VPCMPGTDZ128rr
+    6352U,	// VPCMPGTDZ128rrk
+    4U,	// VPCMPGTDZ256rm
+    72U,	// VPCMPGTDZ256rmb
+    73800U,	// VPCMPGTDZ256rmbk
+    6352U,	// VPCMPGTDZ256rmk
+    4U,	// VPCMPGTDZ256rr
+    6352U,	// VPCMPGTDZ256rrk
+    4U,	// VPCMPGTDZrm
+    72U,	// VPCMPGTDZrmb
+    73800U,	// VPCMPGTDZrmbk
+    6352U,	// VPCMPGTDZrmk
+    4U,	// VPCMPGTDZrr
+    6352U,	// VPCMPGTDZrrk
+    4U,	// VPCMPGTDrm
+    4U,	// VPCMPGTDrr
+    4U,	// VPCMPGTQYrm
+    4U,	// VPCMPGTQYrr
+    4U,	// VPCMPGTQZ128rm
+    72U,	// VPCMPGTQZ128rmb
+    73800U,	// VPCMPGTQZ128rmbk
+    6352U,	// VPCMPGTQZ128rmk
+    4U,	// VPCMPGTQZ128rr
+    6352U,	// VPCMPGTQZ128rrk
+    4U,	// VPCMPGTQZ256rm
+    72U,	// VPCMPGTQZ256rmb
+    73800U,	// VPCMPGTQZ256rmbk
+    6352U,	// VPCMPGTQZ256rmk
+    4U,	// VPCMPGTQZ256rr
+    6352U,	// VPCMPGTQZ256rrk
+    4U,	// VPCMPGTQZrm
+    72U,	// VPCMPGTQZrmb
+    73800U,	// VPCMPGTQZrmbk
+    6352U,	// VPCMPGTQZrmk
+    4U,	// VPCMPGTQZrr
+    6352U,	// VPCMPGTQZrrk
+    4U,	// VPCMPGTQrm
+    4U,	// VPCMPGTQrr
+    4U,	// VPCMPGTWYrm
+    4U,	// VPCMPGTWYrr
+    4U,	// VPCMPGTWZ128rm
+    6352U,	// VPCMPGTWZ128rmk
+    4U,	// VPCMPGTWZ128rr
+    6352U,	// VPCMPGTWZ128rrk
+    4U,	// VPCMPGTWZ256rm
+    6352U,	// VPCMPGTWZ256rmk
+    4U,	// VPCMPGTWZ256rr
+    6352U,	// VPCMPGTWZ256rrk
+    4U,	// VPCMPGTWZrm
+    6352U,	// VPCMPGTWZrmk
+    4U,	// VPCMPGTWZrr
+    6352U,	// VPCMPGTWZrrk
+    4U,	// VPCMPGTWrm
+    4U,	// VPCMPGTWrr
     0U,	// VPCMPISTRIMEM
     0U,	// VPCMPISTRIREG
     0U,	// VPCMPISTRIrm
-    0U,	// VPCMPISTRIrr
+    4U,	// VPCMPISTRIrr
     0U,	// VPCMPISTRM128MEM
     0U,	// VPCMPISTRM128REG
     0U,	// VPCMPISTRM128rm
-    0U,	// VPCMPISTRM128rr
+    4U,	// VPCMPISTRM128rr
+    2U,	// VPCMPQZ128rmi
+    72U,	// VPCMPQZ128rmi_alt
+    2296U,	// VPCMPQZ128rmib
+    142U,	// VPCMPQZ128rmib_alt
+    100922U,	// VPCMPQZ128rmibk
+    73878U,	// VPCMPQZ128rmibk_alt
+    2U,	// VPCMPQZ128rmik
+    0U,	// VPCMPQZ128rmik_alt
+    2248U,	// VPCMPQZ128rri
+    72U,	// VPCMPQZ128rri_alt
+    73877U,	// VPCMPQZ128rrik
+    73800U,	// VPCMPQZ128rrik_alt
+    2U,	// VPCMPQZ256rmi
+    0U,	// VPCMPQZ256rmi_alt
+    2284U,	// VPCMPQZ256rmib
+    142U,	// VPCMPQZ256rmib_alt
+    100910U,	// VPCMPQZ256rmibk
+    73878U,	// VPCMPQZ256rmibk_alt
+    2U,	// VPCMPQZ256rmik
+    0U,	// VPCMPQZ256rmik_alt
+    2248U,	// VPCMPQZ256rri
+    72U,	// VPCMPQZ256rri_alt
+    73877U,	// VPCMPQZ256rrik
+    73800U,	// VPCMPQZ256rrik_alt
     2U,	// VPCMPQZrmi
-    4U,	// VPCMPQZrmi_alt
-    0U,	// VPCMPQZrmik_alt
-    1156U,	// VPCMPQZrri
-    4U,	// VPCMPQZrri_alt
-    3220U,	// VPCMPQZrrik_alt
+    72U,	// VPCMPQZrmi_alt
+    2288U,	// VPCMPQZrmib
+    142U,	// VPCMPQZrmib_alt
+    100914U,	// VPCMPQZrmibk
+    73878U,	// VPCMPQZrmibk_alt
+    2U,	// VPCMPQZrmik
+    73800U,	// VPCMPQZrmik_alt
+    2248U,	// VPCMPQZrri
+    72U,	// VPCMPQZrri_alt
+    73877U,	// VPCMPQZrrik
+    73800U,	// VPCMPQZrrik_alt
+    2U,	// VPCMPUBZ128rmi
+    72U,	// VPCMPUBZ128rmi_alt
+    2U,	// VPCMPUBZ128rmik
+    0U,	// VPCMPUBZ128rmik_alt
+    2248U,	// VPCMPUBZ128rri
+    72U,	// VPCMPUBZ128rri_alt
+    73877U,	// VPCMPUBZ128rrik
+    73800U,	// VPCMPUBZ128rrik_alt
+    2U,	// VPCMPUBZ256rmi
+    0U,	// VPCMPUBZ256rmi_alt
+    2U,	// VPCMPUBZ256rmik
+    0U,	// VPCMPUBZ256rmik_alt
+    2248U,	// VPCMPUBZ256rri
+    72U,	// VPCMPUBZ256rri_alt
+    73877U,	// VPCMPUBZ256rrik
+    73800U,	// VPCMPUBZ256rrik_alt
+    2U,	// VPCMPUBZrmi
+    72U,	// VPCMPUBZrmi_alt
+    2U,	// VPCMPUBZrmik
+    73800U,	// VPCMPUBZrmik_alt
+    2248U,	// VPCMPUBZrri
+    72U,	// VPCMPUBZrri_alt
+    73877U,	// VPCMPUBZrrik
+    73800U,	// VPCMPUBZrrik_alt
+    2U,	// VPCMPUDZ128rmi
+    72U,	// VPCMPUDZ128rmi_alt
+    2284U,	// VPCMPUDZ128rmib
+    142U,	// VPCMPUDZ128rmib_alt
+    100910U,	// VPCMPUDZ128rmibk
+    73878U,	// VPCMPUDZ128rmibk_alt
+    2U,	// VPCMPUDZ128rmik
+    0U,	// VPCMPUDZ128rmik_alt
+    2248U,	// VPCMPUDZ128rri
+    72U,	// VPCMPUDZ128rri_alt
+    73877U,	// VPCMPUDZ128rrik
+    73800U,	// VPCMPUDZ128rrik_alt
+    2U,	// VPCMPUDZ256rmi
+    0U,	// VPCMPUDZ256rmi_alt
+    2288U,	// VPCMPUDZ256rmib
+    142U,	// VPCMPUDZ256rmib_alt
+    100914U,	// VPCMPUDZ256rmibk
+    73878U,	// VPCMPUDZ256rmibk_alt
+    2U,	// VPCMPUDZ256rmik
+    0U,	// VPCMPUDZ256rmik_alt
+    2248U,	// VPCMPUDZ256rri
+    72U,	// VPCMPUDZ256rri_alt
+    73877U,	// VPCMPUDZ256rrik
+    73800U,	// VPCMPUDZ256rrik_alt
     2U,	// VPCMPUDZrmi
-    4U,	// VPCMPUDZrmi_alt
-    0U,	// VPCMPUDZrmik_alt
-    1156U,	// VPCMPUDZrri
-    4U,	// VPCMPUDZrri_alt
-    3220U,	// VPCMPUDZrrik_alt
+    72U,	// VPCMPUDZrmi_alt
+    2292U,	// VPCMPUDZrmib
+    142U,	// VPCMPUDZrmib_alt
+    100918U,	// VPCMPUDZrmibk
+    73878U,	// VPCMPUDZrmibk_alt
+    2U,	// VPCMPUDZrmik
+    73800U,	// VPCMPUDZrmik_alt
+    2248U,	// VPCMPUDZrri
+    72U,	// VPCMPUDZrri_alt
+    73877U,	// VPCMPUDZrrik
+    73800U,	// VPCMPUDZrrik_alt
+    2U,	// VPCMPUQZ128rmi
+    72U,	// VPCMPUQZ128rmi_alt
+    2296U,	// VPCMPUQZ128rmib
+    142U,	// VPCMPUQZ128rmib_alt
+    100922U,	// VPCMPUQZ128rmibk
+    73878U,	// VPCMPUQZ128rmibk_alt
+    2U,	// VPCMPUQZ128rmik
+    0U,	// VPCMPUQZ128rmik_alt
+    2248U,	// VPCMPUQZ128rri
+    72U,	// VPCMPUQZ128rri_alt
+    73877U,	// VPCMPUQZ128rrik
+    73800U,	// VPCMPUQZ128rrik_alt
+    2U,	// VPCMPUQZ256rmi
+    0U,	// VPCMPUQZ256rmi_alt
+    2284U,	// VPCMPUQZ256rmib
+    142U,	// VPCMPUQZ256rmib_alt
+    100910U,	// VPCMPUQZ256rmibk
+    73878U,	// VPCMPUQZ256rmibk_alt
+    2U,	// VPCMPUQZ256rmik
+    0U,	// VPCMPUQZ256rmik_alt
+    2248U,	// VPCMPUQZ256rri
+    72U,	// VPCMPUQZ256rri_alt
+    73877U,	// VPCMPUQZ256rrik
+    73800U,	// VPCMPUQZ256rrik_alt
     2U,	// VPCMPUQZrmi
-    4U,	// VPCMPUQZrmi_alt
-    0U,	// VPCMPUQZrmik_alt
-    1156U,	// VPCMPUQZrri
-    4U,	// VPCMPUQZrri_alt
-    3220U,	// VPCMPUQZrrik_alt
-    4U,	// VPCOMBmi
-    4U,	// VPCOMBri
-    4U,	// VPCOMDmi
-    4U,	// VPCOMDri
-    4U,	// VPCOMQmi
-    4U,	// VPCOMQri
-    4U,	// VPCOMUBmi
-    4U,	// VPCOMUBri
-    4U,	// VPCOMUDmi
-    4U,	// VPCOMUDri
-    4U,	// VPCOMUQmi
-    4U,	// VPCOMUQri
-    4U,	// VPCOMUWmi
-    4U,	// VPCOMUWri
-    4U,	// VPCOMWmi
-    4U,	// VPCOMWri
+    72U,	// VPCMPUQZrmi_alt
+    2288U,	// VPCMPUQZrmib
+    142U,	// VPCMPUQZrmib_alt
+    100914U,	// VPCMPUQZrmibk
+    73878U,	// VPCMPUQZrmibk_alt
+    2U,	// VPCMPUQZrmik
+    73800U,	// VPCMPUQZrmik_alt
+    2248U,	// VPCMPUQZrri
+    72U,	// VPCMPUQZrri_alt
+    73877U,	// VPCMPUQZrrik
+    73800U,	// VPCMPUQZrrik_alt
+    2U,	// VPCMPUWZ128rmi
+    72U,	// VPCMPUWZ128rmi_alt
+    2U,	// VPCMPUWZ128rmik
+    0U,	// VPCMPUWZ128rmik_alt
+    2248U,	// VPCMPUWZ128rri
+    72U,	// VPCMPUWZ128rri_alt
+    73877U,	// VPCMPUWZ128rrik
+    73800U,	// VPCMPUWZ128rrik_alt
+    2U,	// VPCMPUWZ256rmi
+    0U,	// VPCMPUWZ256rmi_alt
+    2U,	// VPCMPUWZ256rmik
+    0U,	// VPCMPUWZ256rmik_alt
+    2248U,	// VPCMPUWZ256rri
+    72U,	// VPCMPUWZ256rri_alt
+    73877U,	// VPCMPUWZ256rrik
+    73800U,	// VPCMPUWZ256rrik_alt
+    2U,	// VPCMPUWZrmi
+    72U,	// VPCMPUWZrmi_alt
+    2U,	// VPCMPUWZrmik
+    73800U,	// VPCMPUWZrmik_alt
+    2248U,	// VPCMPUWZrri
+    72U,	// VPCMPUWZrri_alt
+    73877U,	// VPCMPUWZrrik
+    73800U,	// VPCMPUWZrrik_alt
+    2U,	// VPCMPWZ128rmi
+    72U,	// VPCMPWZ128rmi_alt
+    2U,	// VPCMPWZ128rmik
+    0U,	// VPCMPWZ128rmik_alt
+    2248U,	// VPCMPWZ128rri
+    72U,	// VPCMPWZ128rri_alt
+    73877U,	// VPCMPWZ128rrik
+    73800U,	// VPCMPWZ128rrik_alt
+    2U,	// VPCMPWZ256rmi
+    0U,	// VPCMPWZ256rmi_alt
+    2U,	// VPCMPWZ256rmik
+    0U,	// VPCMPWZ256rmik_alt
+    2248U,	// VPCMPWZ256rri
+    72U,	// VPCMPWZ256rri_alt
+    73877U,	// VPCMPWZ256rrik
+    73800U,	// VPCMPWZ256rrik_alt
+    2U,	// VPCMPWZrmi
+    72U,	// VPCMPWZrmi_alt
+    2U,	// VPCMPWZrmik
+    73800U,	// VPCMPWZrmik_alt
+    2248U,	// VPCMPWZrri
+    72U,	// VPCMPWZrri_alt
+    73877U,	// VPCMPWZrrik
+    73800U,	// VPCMPWZrrik_alt
+    2U,	// VPCOMBmi
+    72U,	// VPCOMBmi_alt
+    2248U,	// VPCOMBri
+    72U,	// VPCOMBri_alt
+    2U,	// VPCOMDmi
+    72U,	// VPCOMDmi_alt
+    2248U,	// VPCOMDri
+    72U,	// VPCOMDri_alt
+    673U,	// VPCOMPRESSDZ128mrk
+    661U,	// VPCOMPRESSDZ128rrk
+    589U,	// VPCOMPRESSDZ128rrkz
+    673U,	// VPCOMPRESSDZ256mrk
+    661U,	// VPCOMPRESSDZ256rrk
+    589U,	// VPCOMPRESSDZ256rrkz
+    673U,	// VPCOMPRESSDZmrk
+    661U,	// VPCOMPRESSDZrrk
+    589U,	// VPCOMPRESSDZrrkz
+    673U,	// VPCOMPRESSQZ128mrk
+    661U,	// VPCOMPRESSQZ128rrk
+    589U,	// VPCOMPRESSQZ128rrkz
+    673U,	// VPCOMPRESSQZ256mrk
+    661U,	// VPCOMPRESSQZ256rrk
+    589U,	// VPCOMPRESSQZ256rrkz
+    673U,	// VPCOMPRESSQZmrk
+    661U,	// VPCOMPRESSQZrrk
+    589U,	// VPCOMPRESSQZrrkz
+    2U,	// VPCOMQmi
+    72U,	// VPCOMQmi_alt
+    2248U,	// VPCOMQri
+    72U,	// VPCOMQri_alt
+    2U,	// VPCOMUBmi
+    72U,	// VPCOMUBmi_alt
+    2248U,	// VPCOMUBri
+    72U,	// VPCOMUBri_alt
+    2U,	// VPCOMUDmi
+    72U,	// VPCOMUDmi_alt
+    2248U,	// VPCOMUDri
+    72U,	// VPCOMUDri_alt
+    2U,	// VPCOMUQmi
+    72U,	// VPCOMUQmi_alt
+    2248U,	// VPCOMUQri
+    72U,	// VPCOMUQri_alt
+    2U,	// VPCOMUWmi
+    72U,	// VPCOMUWmi_alt
+    2248U,	// VPCOMUWri
+    72U,	// VPCOMUWri_alt
+    2U,	// VPCOMWmi
+    72U,	// VPCOMWmi_alt
+    2248U,	// VPCOMWri
+    72U,	// VPCOMWri_alt
     0U,	// VPCONFLICTDrm
     0U,	// VPCONFLICTDrmb
-    3284U,	// VPCONFLICTDrmbk
-    4244U,	// VPCONFLICTDrmbkz
-    345U,	// VPCONFLICTDrmk
-    269U,	// VPCONFLICTDrmkz
-    32U,	// VPCONFLICTDrr
-    345U,	// VPCONFLICTDrrk
-    269U,	// VPCONFLICTDrrkz
+    6672U,	// VPCONFLICTDrmbk
+    10448U,	// VPCONFLICTDrmbkz
+    469U,	// VPCONFLICTDrmk
+    589U,	// VPCONFLICTDrmkz
+    28U,	// VPCONFLICTDrr
+    469U,	// VPCONFLICTDrrk
+    589U,	// VPCONFLICTDrrkz
     0U,	// VPCONFLICTQrm
     0U,	// VPCONFLICTQrmb
-    3284U,	// VPCONFLICTQrmbk
-    4244U,	// VPCONFLICTQrmbkz
-    345U,	// VPCONFLICTQrmk
-    269U,	// VPCONFLICTQrmkz
-    32U,	// VPCONFLICTQrr
-    345U,	// VPCONFLICTQrrk
-    269U,	// VPCONFLICTQrrkz
+    6672U,	// VPCONFLICTQrmbk
+    10448U,	// VPCONFLICTQrmbkz
+    469U,	// VPCONFLICTQrmk
+    589U,	// VPCONFLICTQrmkz
+    28U,	// VPCONFLICTQrr
+    469U,	// VPCONFLICTQrrk
+    589U,	// VPCONFLICTQrrkz
     0U,	// VPERM2F128rm
-    4U,	// VPERM2F128rr
+    72U,	// VPERM2F128rr
     0U,	// VPERM2I128rm
-    4U,	// VPERM2I128rr
-    0U,	// VPERMDYrm
-    0U,	// VPERMDYrr
-    0U,	// VPERMDZrm
-    0U,	// VPERMDZrr
+    72U,	// VPERM2I128rr
+    4U,	// VPERMDYrm
+    4U,	// VPERMDYrr
+    4U,	// VPERMDZrm
+    4U,	// VPERMDZrr
     0U,	// VPERMI2Drm
     0U,	// VPERMI2Drmk
     0U,	// VPERMI2Drmkz
     0U,	// VPERMI2Drr
-    345U,	// VPERMI2Drrk
-    473U,	// VPERMI2Drrkz
+    469U,	// VPERMI2Drrk
+    981U,	// VPERMI2Drrkz
     0U,	// VPERMI2PDrm
     0U,	// VPERMI2PDrmk
     0U,	// VPERMI2PDrmkz
     0U,	// VPERMI2PDrr
-    345U,	// VPERMI2PDrrk
-    473U,	// VPERMI2PDrrkz
+    469U,	// VPERMI2PDrrk
+    981U,	// VPERMI2PDrrkz
     0U,	// VPERMI2PSrm
     0U,	// VPERMI2PSrmk
     0U,	// VPERMI2PSrmkz
     0U,	// VPERMI2PSrr
-    345U,	// VPERMI2PSrrk
-    473U,	// VPERMI2PSrrkz
+    469U,	// VPERMI2PSrrk
+    981U,	// VPERMI2PSrrkz
     0U,	// VPERMI2Qrm
     0U,	// VPERMI2Qrmk
     0U,	// VPERMI2Qrmkz
     0U,	// VPERMI2Qrr
-    345U,	// VPERMI2Qrrk
-    473U,	// VPERMI2Qrrkz
-    76U,	// VPERMIL2PDmr
+    469U,	// VPERMI2Qrrk
+    981U,	// VPERMI2Qrrkz
+    140U,	// VPERMIL2PDmr
     1U,	// VPERMIL2PDmrY
-    0U,	// VPERMIL2PDrm
+    72U,	// VPERMIL2PDrm
     0U,	// VPERMIL2PDrmY
-    4U,	// VPERMIL2PDrr
-    4U,	// VPERMIL2PDrrY
-    76U,	// VPERMIL2PSmr
+    72U,	// VPERMIL2PDrr
+    72U,	// VPERMIL2PDrrY
+    140U,	// VPERMIL2PSmr
     1U,	// VPERMIL2PSmrY
-    0U,	// VPERMIL2PSrm
+    72U,	// VPERMIL2PSrm
     0U,	// VPERMIL2PSrmY
-    4U,	// VPERMIL2PSrr
-    4U,	// VPERMIL2PSrrY
+    72U,	// VPERMIL2PSrr
+    72U,	// VPERMIL2PSrrY
     0U,	// VPERMILPDYmi
-    0U,	// VPERMILPDYri
-    0U,	// VPERMILPDYrm
-    0U,	// VPERMILPDYrr
+    4U,	// VPERMILPDYri
+    4U,	// VPERMILPDYrm
+    4U,	// VPERMILPDYrr
     0U,	// VPERMILPDZmi
-    0U,	// VPERMILPDZri
+    4U,	// VPERMILPDZri
+    4U,	// VPERMILPDZrm
+    4U,	// VPERMILPDZrr
     0U,	// VPERMILPDmi
-    0U,	// VPERMILPDri
-    0U,	// VPERMILPDrm
-    0U,	// VPERMILPDrr
+    4U,	// VPERMILPDri
+    4U,	// VPERMILPDrm
+    4U,	// VPERMILPDrr
     0U,	// VPERMILPSYmi
-    0U,	// VPERMILPSYri
-    0U,	// VPERMILPSYrm
-    0U,	// VPERMILPSYrr
+    4U,	// VPERMILPSYri
+    4U,	// VPERMILPSYrm
+    4U,	// VPERMILPSYrr
     0U,	// VPERMILPSZmi
-    0U,	// VPERMILPSZri
+    4U,	// VPERMILPSZri
+    4U,	// VPERMILPSZrm
+    4U,	// VPERMILPSZrr
     0U,	// VPERMILPSmi
-    0U,	// VPERMILPSri
-    0U,	// VPERMILPSrm
-    0U,	// VPERMILPSrr
+    4U,	// VPERMILPSri
+    4U,	// VPERMILPSrm
+    4U,	// VPERMILPSrr
     0U,	// VPERMPDYmi
-    0U,	// VPERMPDYri
+    4U,	// VPERMPDYri
     0U,	// VPERMPDZmi
-    0U,	// VPERMPDZri
-    0U,	// VPERMPDZrm
-    0U,	// VPERMPDZrr
-    0U,	// VPERMPSYrm
-    0U,	// VPERMPSYrr
-    0U,	// VPERMPSZrm
-    0U,	// VPERMPSZrr
+    4U,	// VPERMPDZri
+    4U,	// VPERMPDZrm
+    4U,	// VPERMPDZrr
+    4U,	// VPERMPSYrm
+    4U,	// VPERMPSYrr
+    4U,	// VPERMPSZrm
+    4U,	// VPERMPSZrr
     0U,	// VPERMQYmi
-    0U,	// VPERMQYri
+    4U,	// VPERMQYri
     0U,	// VPERMQZmi
-    0U,	// VPERMQZri
-    0U,	// VPERMQZrm
-    0U,	// VPERMQZrr
+    4U,	// VPERMQZri
+    4U,	// VPERMQZrm
+    4U,	// VPERMQZrr
     0U,	// VPERMT2Drm
     0U,	// VPERMT2Drmk
     0U,	// VPERMT2Drmkz
     0U,	// VPERMT2Drr
-    345U,	// VPERMT2Drrk
-    473U,	// VPERMT2Drrkz
+    469U,	// VPERMT2Drrk
+    981U,	// VPERMT2Drrkz
     0U,	// VPERMT2PDrm
     0U,	// VPERMT2PDrmk
     0U,	// VPERMT2PDrmkz
     0U,	// VPERMT2PDrr
-    345U,	// VPERMT2PDrrk
-    473U,	// VPERMT2PDrrkz
+    469U,	// VPERMT2PDrrk
+    981U,	// VPERMT2PDrrkz
     0U,	// VPERMT2PSrm
     0U,	// VPERMT2PSrmk
     0U,	// VPERMT2PSrmkz
     0U,	// VPERMT2PSrr
-    345U,	// VPERMT2PSrrk
-    473U,	// VPERMT2PSrrkz
+    469U,	// VPERMT2PSrrk
+    981U,	// VPERMT2PSrrkz
     0U,	// VPERMT2Qrm
     0U,	// VPERMT2Qrmk
     0U,	// VPERMT2Qrmkz
     0U,	// VPERMT2Qrr
-    345U,	// VPERMT2Qrrk
-    473U,	// VPERMT2Qrrkz
+    469U,	// VPERMT2Qrrk
+    981U,	// VPERMT2Qrrkz
+    661U,	// VPEXPANDDZ128rmk
+    589U,	// VPEXPANDDZ128rmkz
+    661U,	// VPEXPANDDZ128rrk
+    589U,	// VPEXPANDDZ128rrkz
+    661U,	// VPEXPANDDZ256rmk
+    589U,	// VPEXPANDDZ256rmkz
+    661U,	// VPEXPANDDZ256rrk
+    589U,	// VPEXPANDDZ256rrkz
+    661U,	// VPEXPANDDZrmk
+    589U,	// VPEXPANDDZrmkz
+    661U,	// VPEXPANDDZrrk
+    589U,	// VPEXPANDDZrrkz
+    661U,	// VPEXPANDQZ128rmk
+    589U,	// VPEXPANDQZ128rmkz
+    661U,	// VPEXPANDQZ128rrk
+    589U,	// VPEXPANDQZ128rrkz
+    661U,	// VPEXPANDQZ256rmk
+    589U,	// VPEXPANDQZ256rmkz
+    661U,	// VPEXPANDQZ256rrk
+    589U,	// VPEXPANDQZ256rrkz
+    661U,	// VPEXPANDQZrmk
+    589U,	// VPEXPANDQZrmkz
+    661U,	// VPEXPANDQZrrk
+    589U,	// VPEXPANDQZrrkz
     1U,	// VPEXTRBmr
-    0U,	// VPEXTRBrr
+    4U,	// VPEXTRBrr
     1U,	// VPEXTRDmr
-    0U,	// VPEXTRDrr
+    4U,	// VPEXTRDrr
     1U,	// VPEXTRQmr
-    0U,	// VPEXTRQrr
+    4U,	// VPEXTRQrr
     1U,	// VPEXTRWmr
-    0U,	// VPEXTRWri
-    0U,	// VPEXTRWrr_REV
-    0U,	// VPGATHERDDYrm
-    404U,	// VPGATHERDDZrm
-    0U,	// VPGATHERDDrm
-    0U,	// VPGATHERDQYrm
-    404U,	// VPGATHERDQZrm
-    0U,	// VPGATHERDQrm
-    0U,	// VPGATHERQDYrm
-    404U,	// VPGATHERQDZrm
-    0U,	// VPGATHERQDrm
-    0U,	// VPGATHERQQYrm
-    404U,	// VPGATHERQQZrm
-    0U,	// VPGATHERQQrm
+    4U,	// VPEXTRWri
+    4U,	// VPEXTRWrr_REV
+    4U,	// VPGATHERDDYrm
+    848U,	// VPGATHERDDZrm
+    4U,	// VPGATHERDDrm
+    4U,	// VPGATHERDQYrm
+    848U,	// VPGATHERDQZrm
+    4U,	// VPGATHERDQrm
+    4U,	// VPGATHERQDYrm
+    848U,	// VPGATHERQDZrm
+    4U,	// VPGATHERQDrm
+    4U,	// VPGATHERQQYrm
+    848U,	// VPGATHERQQZrm
+    4U,	// VPGATHERQQrm
     0U,	// VPHADDBDrm
     0U,	// VPHADDBDrr
     0U,	// VPHADDBQrm
@@ -11395,14 +15719,14 @@ static void printInstruction(MCInst *MI,
     0U,	// VPHADDBWrr
     0U,	// VPHADDDQrm
     0U,	// VPHADDDQrr
-    0U,	// VPHADDDYrm
-    0U,	// VPHADDDYrr
-    0U,	// VPHADDDrm
-    0U,	// VPHADDDrr
-    0U,	// VPHADDSWrm128
-    0U,	// VPHADDSWrm256
-    0U,	// VPHADDSWrr128
-    0U,	// VPHADDSWrr256
+    4U,	// VPHADDDYrm
+    4U,	// VPHADDDYrr
+    4U,	// VPHADDDrm
+    4U,	// VPHADDDrr
+    4U,	// VPHADDSWrm128
+    4U,	// VPHADDSWrm256
+    4U,	// VPHADDSWrr128
+    4U,	// VPHADDSWrr256
     0U,	// VPHADDUBDrm
     0U,	// VPHADDUBDrr
     0U,	// VPHADDUBQrm
@@ -11419,286 +15743,586 @@ static void printInstruction(MCInst *MI,
     0U,	// VPHADDWDrr
     0U,	// VPHADDWQrm
     0U,	// VPHADDWQrr
-    0U,	// VPHADDWYrm
-    0U,	// VPHADDWYrr
-    0U,	// VPHADDWrm
-    0U,	// VPHADDWrr
+    4U,	// VPHADDWYrm
+    4U,	// VPHADDWYrr
+    4U,	// VPHADDWrm
+    4U,	// VPHADDWrr
     0U,	// VPHMINPOSUWrm128
     0U,	// VPHMINPOSUWrr128
     0U,	// VPHSUBBWrm
     0U,	// VPHSUBBWrr
     0U,	// VPHSUBDQrm
     0U,	// VPHSUBDQrr
-    0U,	// VPHSUBDYrm
-    0U,	// VPHSUBDYrr
-    0U,	// VPHSUBDrm
-    0U,	// VPHSUBDrr
-    0U,	// VPHSUBSWrm128
-    0U,	// VPHSUBSWrm256
-    0U,	// VPHSUBSWrr128
-    0U,	// VPHSUBSWrr256
+    4U,	// VPHSUBDYrm
+    4U,	// VPHSUBDYrr
+    4U,	// VPHSUBDrm
+    4U,	// VPHSUBDrr
+    4U,	// VPHSUBSWrm128
+    4U,	// VPHSUBSWrm256
+    4U,	// VPHSUBSWrr128
+    4U,	// VPHSUBSWrr256
     0U,	// VPHSUBWDrm
     0U,	// VPHSUBWDrr
-    0U,	// VPHSUBWYrm
-    0U,	// VPHSUBWYrr
-    0U,	// VPHSUBWrm
-    0U,	// VPHSUBWrr
-    4U,	// VPINSRBrm
-    4U,	// VPINSRBrr
-    4U,	// VPINSRDrm
-    4U,	// VPINSRDrr
-    4U,	// VPINSRQrm
-    4U,	// VPINSRQrr
-    4U,	// VPINSRWrmi
-    4U,	// VPINSRWrri
+    4U,	// VPHSUBWYrm
+    4U,	// VPHSUBWYrr
+    4U,	// VPHSUBWrm
+    4U,	// VPHSUBWrr
+    72U,	// VPINSRBrm
+    72U,	// VPINSRBrr
+    140U,	// VPINSRDrm
+    72U,	// VPINSRDrr
+    140U,	// VPINSRQrm
+    72U,	// VPINSRQrr
+    72U,	// VPINSRWrmi
+    72U,	// VPINSRWrri
     0U,	// VPLZCNTDrm
     0U,	// VPLZCNTDrmb
-    3284U,	// VPLZCNTDrmbk
-    4244U,	// VPLZCNTDrmbkz
-    345U,	// VPLZCNTDrmk
-    269U,	// VPLZCNTDrmkz
-    32U,	// VPLZCNTDrr
-    345U,	// VPLZCNTDrrk
-    269U,	// VPLZCNTDrrkz
+    6672U,	// VPLZCNTDrmbk
+    10448U,	// VPLZCNTDrmbkz
+    469U,	// VPLZCNTDrmk
+    589U,	// VPLZCNTDrmkz
+    28U,	// VPLZCNTDrr
+    469U,	// VPLZCNTDrrk
+    589U,	// VPLZCNTDrrkz
     0U,	// VPLZCNTQrm
     0U,	// VPLZCNTQrmb
-    3284U,	// VPLZCNTQrmbk
-    4244U,	// VPLZCNTQrmbkz
-    345U,	// VPLZCNTQrmk
-    269U,	// VPLZCNTQrmkz
-    32U,	// VPLZCNTQrr
-    345U,	// VPLZCNTQrrk
-    269U,	// VPLZCNTQrrkz
-    4U,	// VPMACSDDrm
-    4U,	// VPMACSDDrr
-    4U,	// VPMACSDQHrm
-    4U,	// VPMACSDQHrr
-    4U,	// VPMACSDQLrm
-    4U,	// VPMACSDQLrr
-    4U,	// VPMACSSDDrm
-    4U,	// VPMACSSDDrr
-    4U,	// VPMACSSDQHrm
-    4U,	// VPMACSSDQHrr
-    4U,	// VPMACSSDQLrm
-    4U,	// VPMACSSDQLrr
-    4U,	// VPMACSSWDrm
-    4U,	// VPMACSSWDrr
-    4U,	// VPMACSSWWrm
-    4U,	// VPMACSSWWrr
-    4U,	// VPMACSWDrm
-    4U,	// VPMACSWDrr
-    4U,	// VPMACSWWrm
-    4U,	// VPMACSWWrr
-    4U,	// VPMADCSSWDrm
-    4U,	// VPMADCSSWDrr
-    4U,	// VPMADCSWDrm
-    4U,	// VPMADCSWDrr
-    0U,	// VPMADDUBSWrm128
-    0U,	// VPMADDUBSWrm256
-    0U,	// VPMADDUBSWrr128
-    0U,	// VPMADDUBSWrr256
-    0U,	// VPMADDWDYrm
-    0U,	// VPMADDWDYrr
-    0U,	// VPMADDWDrm
-    0U,	// VPMADDWDrr
-    1U,	// VPMASKMOVDYmr
-    0U,	// VPMASKMOVDYrm
-    1U,	// VPMASKMOVDmr
-    0U,	// VPMASKMOVDrm
-    1U,	// VPMASKMOVQYmr
-    0U,	// VPMASKMOVQYrm
-    1U,	// VPMASKMOVQmr
-    0U,	// VPMASKMOVQrm
-    0U,	// VPMAXSBYrm
-    0U,	// VPMAXSBYrr
-    0U,	// VPMAXSBrm
-    0U,	// VPMAXSBrr
-    0U,	// VPMAXSDYrm
-    0U,	// VPMAXSDYrr
-    0U,	// VPMAXSDZrm
-    4U,	// VPMAXSDZrmb
-    1U,	// VPMAXSDZrmbk
-    10244U,	// VPMAXSDZrmbkz
+    6672U,	// VPLZCNTQrmbk
+    10448U,	// VPLZCNTQrmbkz
+    469U,	// VPLZCNTQrmk
+    589U,	// VPLZCNTQrmkz
+    28U,	// VPLZCNTQrr
+    469U,	// VPLZCNTQrrk
+    589U,	// VPLZCNTQrrkz
+    72U,	// VPMACSDDrm
+    72U,	// VPMACSDDrr
+    72U,	// VPMACSDQHrm
+    72U,	// VPMACSDQHrr
+    72U,	// VPMACSDQLrm
+    72U,	// VPMACSDQLrr
+    72U,	// VPMACSSDDrm
+    72U,	// VPMACSSDDrr
+    72U,	// VPMACSSDQHrm
+    72U,	// VPMACSSDQHrr
+    72U,	// VPMACSSDQLrm
+    72U,	// VPMACSSDQLrr
+    72U,	// VPMACSSWDrm
+    72U,	// VPMACSSWDrr
+    72U,	// VPMACSSWWrm
+    72U,	// VPMACSSWWrr
+    72U,	// VPMACSWDrm
+    72U,	// VPMACSWDrr
+    72U,	// VPMACSWWrm
+    72U,	// VPMACSWWrr
+    72U,	// VPMADCSSWDrm
+    72U,	// VPMADCSSWDrr
+    72U,	// VPMADCSWDrm
+    72U,	// VPMADCSWDrr
+    4U,	// VPMADDUBSWrm128
+    4U,	// VPMADDUBSWrm256
+    4U,	// VPMADDUBSWrr128
+    4U,	// VPMADDUBSWrr256
+    4U,	// VPMADDWDYrm
+    4U,	// VPMADDWDYrr
+    4U,	// VPMADDWDrm
+    4U,	// VPMADDWDrr
+    2U,	// VPMASKMOVDYmr
+    4U,	// VPMASKMOVDYrm
+    2U,	// VPMASKMOVDmr
+    4U,	// VPMASKMOVDrm
+    2U,	// VPMASKMOVQYmr
+    4U,	// VPMASKMOVQYrm
+    2U,	// VPMASKMOVQmr
+    4U,	// VPMASKMOVQrm
+    4U,	// VPMAXSBYrm
+    4U,	// VPMAXSBYrr
+    324U,	// VPMAXSBZ128rm
+    0U,	// VPMAXSBZ128rmk
+    10448U,	// VPMAXSBZ128rmkz
+    324U,	// VPMAXSBZ128rr
+    469U,	// VPMAXSBZ128rrk
+    10448U,	// VPMAXSBZ128rrkz
+    324U,	// VPMAXSBZ256rm
+    0U,	// VPMAXSBZ256rmk
+    10448U,	// VPMAXSBZ256rmkz
+    324U,	// VPMAXSBZ256rr
+    469U,	// VPMAXSBZ256rrk
+    10448U,	// VPMAXSBZ256rrkz
+    324U,	// VPMAXSBZrm
+    0U,	// VPMAXSBZrmk
+    10448U,	// VPMAXSBZrmkz
+    324U,	// VPMAXSBZrr
+    469U,	// VPMAXSBZrrk
+    10448U,	// VPMAXSBZrrkz
+    4U,	// VPMAXSBrm
+    4U,	// VPMAXSBrr
+    4U,	// VPMAXSDYrm
+    4U,	// VPMAXSDYrr
+    324U,	// VPMAXSDZ128rm
+    4168U,	// VPMAXSDZ128rmb
+    6533U,	// VPMAXSDZ128rmbk
+    41032U,	// VPMAXSDZ128rmbkz
+    0U,	// VPMAXSDZ128rmk
+    10448U,	// VPMAXSDZ128rmkz
+    324U,	// VPMAXSDZ128rr
+    469U,	// VPMAXSDZ128rrk
+    10448U,	// VPMAXSDZ128rrkz
+    324U,	// VPMAXSDZ256rm
+    4168U,	// VPMAXSDZ256rmb
+    6533U,	// VPMAXSDZ256rmbk
+    41032U,	// VPMAXSDZ256rmbkz
+    0U,	// VPMAXSDZ256rmk
+    10448U,	// VPMAXSDZ256rmkz
+    324U,	// VPMAXSDZ256rr
+    469U,	// VPMAXSDZ256rrk
+    10448U,	// VPMAXSDZ256rrkz
+    324U,	// VPMAXSDZrm
+    4168U,	// VPMAXSDZrmb
+    6533U,	// VPMAXSDZrmbk
+    41032U,	// VPMAXSDZrmbkz
     0U,	// VPMAXSDZrmk
-    4244U,	// VPMAXSDZrmkz
-    0U,	// VPMAXSDZrr
-    345U,	// VPMAXSDZrrk
-    4244U,	// VPMAXSDZrrkz
-    0U,	// VPMAXSDrm
-    0U,	// VPMAXSDrr
-    0U,	// VPMAXSQZrm
-    4U,	// VPMAXSQZrmb
-    1U,	// VPMAXSQZrmbk
-    10244U,	// VPMAXSQZrmbkz
+    10448U,	// VPMAXSDZrmkz
+    324U,	// VPMAXSDZrr
+    469U,	// VPMAXSDZrrk
+    10448U,	// VPMAXSDZrrkz
+    4U,	// VPMAXSDrm
+    4U,	// VPMAXSDrr
+    324U,	// VPMAXSQZ128rm
+    4168U,	// VPMAXSQZ128rmb
+    6533U,	// VPMAXSQZ128rmbk
+    41032U,	// VPMAXSQZ128rmbkz
+    0U,	// VPMAXSQZ128rmk
+    10448U,	// VPMAXSQZ128rmkz
+    324U,	// VPMAXSQZ128rr
+    469U,	// VPMAXSQZ128rrk
+    10448U,	// VPMAXSQZ128rrkz
+    324U,	// VPMAXSQZ256rm
+    4168U,	// VPMAXSQZ256rmb
+    6533U,	// VPMAXSQZ256rmbk
+    41032U,	// VPMAXSQZ256rmbkz
+    0U,	// VPMAXSQZ256rmk
+    10448U,	// VPMAXSQZ256rmkz
+    324U,	// VPMAXSQZ256rr
+    469U,	// VPMAXSQZ256rrk
+    10448U,	// VPMAXSQZ256rrkz
+    324U,	// VPMAXSQZrm
+    4168U,	// VPMAXSQZrmb
+    6533U,	// VPMAXSQZrmbk
+    41032U,	// VPMAXSQZrmbkz
     0U,	// VPMAXSQZrmk
-    4244U,	// VPMAXSQZrmkz
-    0U,	// VPMAXSQZrr
-    345U,	// VPMAXSQZrrk
-    4244U,	// VPMAXSQZrrkz
-    0U,	// VPMAXSWYrm
-    0U,	// VPMAXSWYrr
-    0U,	// VPMAXSWrm
-    0U,	// VPMAXSWrr
-    0U,	// VPMAXUBYrm
-    0U,	// VPMAXUBYrr
-    0U,	// VPMAXUBrm
-    0U,	// VPMAXUBrr
-    0U,	// VPMAXUDYrm
-    0U,	// VPMAXUDYrr
-    0U,	// VPMAXUDZrm
-    4U,	// VPMAXUDZrmb
-    1U,	// VPMAXUDZrmbk
-    10244U,	// VPMAXUDZrmbkz
+    10448U,	// VPMAXSQZrmkz
+    324U,	// VPMAXSQZrr
+    469U,	// VPMAXSQZrrk
+    10448U,	// VPMAXSQZrrkz
+    4U,	// VPMAXSWYrm
+    4U,	// VPMAXSWYrr
+    324U,	// VPMAXSWZ128rm
+    0U,	// VPMAXSWZ128rmk
+    10448U,	// VPMAXSWZ128rmkz
+    324U,	// VPMAXSWZ128rr
+    469U,	// VPMAXSWZ128rrk
+    10448U,	// VPMAXSWZ128rrkz
+    324U,	// VPMAXSWZ256rm
+    0U,	// VPMAXSWZ256rmk
+    10448U,	// VPMAXSWZ256rmkz
+    324U,	// VPMAXSWZ256rr
+    469U,	// VPMAXSWZ256rrk
+    10448U,	// VPMAXSWZ256rrkz
+    324U,	// VPMAXSWZrm
+    0U,	// VPMAXSWZrmk
+    10448U,	// VPMAXSWZrmkz
+    324U,	// VPMAXSWZrr
+    469U,	// VPMAXSWZrrk
+    10448U,	// VPMAXSWZrrkz
+    4U,	// VPMAXSWrm
+    4U,	// VPMAXSWrr
+    4U,	// VPMAXUBYrm
+    4U,	// VPMAXUBYrr
+    324U,	// VPMAXUBZ128rm
+    0U,	// VPMAXUBZ128rmk
+    10448U,	// VPMAXUBZ128rmkz
+    324U,	// VPMAXUBZ128rr
+    469U,	// VPMAXUBZ128rrk
+    10448U,	// VPMAXUBZ128rrkz
+    324U,	// VPMAXUBZ256rm
+    0U,	// VPMAXUBZ256rmk
+    10448U,	// VPMAXUBZ256rmkz
+    324U,	// VPMAXUBZ256rr
+    469U,	// VPMAXUBZ256rrk
+    10448U,	// VPMAXUBZ256rrkz
+    324U,	// VPMAXUBZrm
+    0U,	// VPMAXUBZrmk
+    10448U,	// VPMAXUBZrmkz
+    324U,	// VPMAXUBZrr
+    469U,	// VPMAXUBZrrk
+    10448U,	// VPMAXUBZrrkz
+    4U,	// VPMAXUBrm
+    4U,	// VPMAXUBrr
+    4U,	// VPMAXUDYrm
+    4U,	// VPMAXUDYrr
+    324U,	// VPMAXUDZ128rm
+    4168U,	// VPMAXUDZ128rmb
+    6533U,	// VPMAXUDZ128rmbk
+    41032U,	// VPMAXUDZ128rmbkz
+    0U,	// VPMAXUDZ128rmk
+    10448U,	// VPMAXUDZ128rmkz
+    324U,	// VPMAXUDZ128rr
+    469U,	// VPMAXUDZ128rrk
+    10448U,	// VPMAXUDZ128rrkz
+    324U,	// VPMAXUDZ256rm
+    4168U,	// VPMAXUDZ256rmb
+    6533U,	// VPMAXUDZ256rmbk
+    41032U,	// VPMAXUDZ256rmbkz
+    0U,	// VPMAXUDZ256rmk
+    10448U,	// VPMAXUDZ256rmkz
+    324U,	// VPMAXUDZ256rr
+    469U,	// VPMAXUDZ256rrk
+    10448U,	// VPMAXUDZ256rrkz
+    324U,	// VPMAXUDZrm
+    4168U,	// VPMAXUDZrmb
+    6533U,	// VPMAXUDZrmbk
+    41032U,	// VPMAXUDZrmbkz
     0U,	// VPMAXUDZrmk
-    4244U,	// VPMAXUDZrmkz
-    0U,	// VPMAXUDZrr
-    345U,	// VPMAXUDZrrk
-    4244U,	// VPMAXUDZrrkz
-    0U,	// VPMAXUDrm
-    0U,	// VPMAXUDrr
-    0U,	// VPMAXUQZrm
-    4U,	// VPMAXUQZrmb
-    1U,	// VPMAXUQZrmbk
-    10244U,	// VPMAXUQZrmbkz
+    10448U,	// VPMAXUDZrmkz
+    324U,	// VPMAXUDZrr
+    469U,	// VPMAXUDZrrk
+    10448U,	// VPMAXUDZrrkz
+    4U,	// VPMAXUDrm
+    4U,	// VPMAXUDrr
+    324U,	// VPMAXUQZ128rm
+    4168U,	// VPMAXUQZ128rmb
+    6533U,	// VPMAXUQZ128rmbk
+    41032U,	// VPMAXUQZ128rmbkz
+    0U,	// VPMAXUQZ128rmk
+    10448U,	// VPMAXUQZ128rmkz
+    324U,	// VPMAXUQZ128rr
+    469U,	// VPMAXUQZ128rrk
+    10448U,	// VPMAXUQZ128rrkz
+    324U,	// VPMAXUQZ256rm
+    4168U,	// VPMAXUQZ256rmb
+    6533U,	// VPMAXUQZ256rmbk
+    41032U,	// VPMAXUQZ256rmbkz
+    0U,	// VPMAXUQZ256rmk
+    10448U,	// VPMAXUQZ256rmkz
+    324U,	// VPMAXUQZ256rr
+    469U,	// VPMAXUQZ256rrk
+    10448U,	// VPMAXUQZ256rrkz
+    324U,	// VPMAXUQZrm
+    4168U,	// VPMAXUQZrmb
+    6533U,	// VPMAXUQZrmbk
+    41032U,	// VPMAXUQZrmbkz
     0U,	// VPMAXUQZrmk
-    4244U,	// VPMAXUQZrmkz
-    0U,	// VPMAXUQZrr
-    345U,	// VPMAXUQZrrk
-    4244U,	// VPMAXUQZrrkz
-    0U,	// VPMAXUWYrm
-    0U,	// VPMAXUWYrr
-    0U,	// VPMAXUWrm
-    0U,	// VPMAXUWrr
-    0U,	// VPMINSBYrm
-    0U,	// VPMINSBYrr
-    0U,	// VPMINSBrm
-    0U,	// VPMINSBrr
-    0U,	// VPMINSDYrm
-    0U,	// VPMINSDYrr
-    0U,	// VPMINSDZrm
-    4U,	// VPMINSDZrmb
-    1U,	// VPMINSDZrmbk
-    10244U,	// VPMINSDZrmbkz
+    10448U,	// VPMAXUQZrmkz
+    324U,	// VPMAXUQZrr
+    469U,	// VPMAXUQZrrk
+    10448U,	// VPMAXUQZrrkz
+    4U,	// VPMAXUWYrm
+    4U,	// VPMAXUWYrr
+    324U,	// VPMAXUWZ128rm
+    0U,	// VPMAXUWZ128rmk
+    10448U,	// VPMAXUWZ128rmkz
+    324U,	// VPMAXUWZ128rr
+    469U,	// VPMAXUWZ128rrk
+    10448U,	// VPMAXUWZ128rrkz
+    324U,	// VPMAXUWZ256rm
+    0U,	// VPMAXUWZ256rmk
+    10448U,	// VPMAXUWZ256rmkz
+    324U,	// VPMAXUWZ256rr
+    469U,	// VPMAXUWZ256rrk
+    10448U,	// VPMAXUWZ256rrkz
+    324U,	// VPMAXUWZrm
+    0U,	// VPMAXUWZrmk
+    10448U,	// VPMAXUWZrmkz
+    324U,	// VPMAXUWZrr
+    469U,	// VPMAXUWZrrk
+    10448U,	// VPMAXUWZrrkz
+    4U,	// VPMAXUWrm
+    4U,	// VPMAXUWrr
+    4U,	// VPMINSBYrm
+    4U,	// VPMINSBYrr
+    324U,	// VPMINSBZ128rm
+    0U,	// VPMINSBZ128rmk
+    10448U,	// VPMINSBZ128rmkz
+    324U,	// VPMINSBZ128rr
+    469U,	// VPMINSBZ128rrk
+    10448U,	// VPMINSBZ128rrkz
+    324U,	// VPMINSBZ256rm
+    0U,	// VPMINSBZ256rmk
+    10448U,	// VPMINSBZ256rmkz
+    324U,	// VPMINSBZ256rr
+    469U,	// VPMINSBZ256rrk
+    10448U,	// VPMINSBZ256rrkz
+    324U,	// VPMINSBZrm
+    0U,	// VPMINSBZrmk
+    10448U,	// VPMINSBZrmkz
+    324U,	// VPMINSBZrr
+    469U,	// VPMINSBZrrk
+    10448U,	// VPMINSBZrrkz
+    4U,	// VPMINSBrm
+    4U,	// VPMINSBrr
+    4U,	// VPMINSDYrm
+    4U,	// VPMINSDYrr
+    324U,	// VPMINSDZ128rm
+    4168U,	// VPMINSDZ128rmb
+    6533U,	// VPMINSDZ128rmbk
+    41032U,	// VPMINSDZ128rmbkz
+    0U,	// VPMINSDZ128rmk
+    10448U,	// VPMINSDZ128rmkz
+    324U,	// VPMINSDZ128rr
+    469U,	// VPMINSDZ128rrk
+    10448U,	// VPMINSDZ128rrkz
+    324U,	// VPMINSDZ256rm
+    4168U,	// VPMINSDZ256rmb
+    6533U,	// VPMINSDZ256rmbk
+    41032U,	// VPMINSDZ256rmbkz
+    0U,	// VPMINSDZ256rmk
+    10448U,	// VPMINSDZ256rmkz
+    324U,	// VPMINSDZ256rr
+    469U,	// VPMINSDZ256rrk
+    10448U,	// VPMINSDZ256rrkz
+    324U,	// VPMINSDZrm
+    4168U,	// VPMINSDZrmb
+    6533U,	// VPMINSDZrmbk
+    41032U,	// VPMINSDZrmbkz
     0U,	// VPMINSDZrmk
-    4244U,	// VPMINSDZrmkz
-    0U,	// VPMINSDZrr
-    345U,	// VPMINSDZrrk
-    4244U,	// VPMINSDZrrkz
-    0U,	// VPMINSDrm
-    0U,	// VPMINSDrr
-    0U,	// VPMINSQZrm
-    4U,	// VPMINSQZrmb
-    1U,	// VPMINSQZrmbk
-    10244U,	// VPMINSQZrmbkz
+    10448U,	// VPMINSDZrmkz
+    324U,	// VPMINSDZrr
+    469U,	// VPMINSDZrrk
+    10448U,	// VPMINSDZrrkz
+    4U,	// VPMINSDrm
+    4U,	// VPMINSDrr
+    324U,	// VPMINSQZ128rm
+    4168U,	// VPMINSQZ128rmb
+    6533U,	// VPMINSQZ128rmbk
+    41032U,	// VPMINSQZ128rmbkz
+    0U,	// VPMINSQZ128rmk
+    10448U,	// VPMINSQZ128rmkz
+    324U,	// VPMINSQZ128rr
+    469U,	// VPMINSQZ128rrk
+    10448U,	// VPMINSQZ128rrkz
+    324U,	// VPMINSQZ256rm
+    4168U,	// VPMINSQZ256rmb
+    6533U,	// VPMINSQZ256rmbk
+    41032U,	// VPMINSQZ256rmbkz
+    0U,	// VPMINSQZ256rmk
+    10448U,	// VPMINSQZ256rmkz
+    324U,	// VPMINSQZ256rr
+    469U,	// VPMINSQZ256rrk
+    10448U,	// VPMINSQZ256rrkz
+    324U,	// VPMINSQZrm
+    4168U,	// VPMINSQZrmb
+    6533U,	// VPMINSQZrmbk
+    41032U,	// VPMINSQZrmbkz
     0U,	// VPMINSQZrmk
-    4244U,	// VPMINSQZrmkz
-    0U,	// VPMINSQZrr
-    345U,	// VPMINSQZrrk
-    4244U,	// VPMINSQZrrkz
-    0U,	// VPMINSWYrm
-    0U,	// VPMINSWYrr
-    0U,	// VPMINSWrm
-    0U,	// VPMINSWrr
-    0U,	// VPMINUBYrm
-    0U,	// VPMINUBYrr
-    0U,	// VPMINUBrm
-    0U,	// VPMINUBrr
-    0U,	// VPMINUDYrm
-    0U,	// VPMINUDYrr
-    0U,	// VPMINUDZrm
-    4U,	// VPMINUDZrmb
-    1U,	// VPMINUDZrmbk
-    10244U,	// VPMINUDZrmbkz
+    10448U,	// VPMINSQZrmkz
+    324U,	// VPMINSQZrr
+    469U,	// VPMINSQZrrk
+    10448U,	// VPMINSQZrrkz
+    4U,	// VPMINSWYrm
+    4U,	// VPMINSWYrr
+    324U,	// VPMINSWZ128rm
+    0U,	// VPMINSWZ128rmk
+    10448U,	// VPMINSWZ128rmkz
+    324U,	// VPMINSWZ128rr
+    469U,	// VPMINSWZ128rrk
+    10448U,	// VPMINSWZ128rrkz
+    324U,	// VPMINSWZ256rm
+    0U,	// VPMINSWZ256rmk
+    10448U,	// VPMINSWZ256rmkz
+    324U,	// VPMINSWZ256rr
+    469U,	// VPMINSWZ256rrk
+    10448U,	// VPMINSWZ256rrkz
+    324U,	// VPMINSWZrm
+    0U,	// VPMINSWZrmk
+    10448U,	// VPMINSWZrmkz
+    324U,	// VPMINSWZrr
+    469U,	// VPMINSWZrrk
+    10448U,	// VPMINSWZrrkz
+    4U,	// VPMINSWrm
+    4U,	// VPMINSWrr
+    4U,	// VPMINUBYrm
+    4U,	// VPMINUBYrr
+    324U,	// VPMINUBZ128rm
+    0U,	// VPMINUBZ128rmk
+    10448U,	// VPMINUBZ128rmkz
+    324U,	// VPMINUBZ128rr
+    469U,	// VPMINUBZ128rrk
+    10448U,	// VPMINUBZ128rrkz
+    324U,	// VPMINUBZ256rm
+    0U,	// VPMINUBZ256rmk
+    10448U,	// VPMINUBZ256rmkz
+    324U,	// VPMINUBZ256rr
+    469U,	// VPMINUBZ256rrk
+    10448U,	// VPMINUBZ256rrkz
+    324U,	// VPMINUBZrm
+    0U,	// VPMINUBZrmk
+    10448U,	// VPMINUBZrmkz
+    324U,	// VPMINUBZrr
+    469U,	// VPMINUBZrrk
+    10448U,	// VPMINUBZrrkz
+    4U,	// VPMINUBrm
+    4U,	// VPMINUBrr
+    4U,	// VPMINUDYrm
+    4U,	// VPMINUDYrr
+    324U,	// VPMINUDZ128rm
+    4168U,	// VPMINUDZ128rmb
+    6533U,	// VPMINUDZ128rmbk
+    41032U,	// VPMINUDZ128rmbkz
+    0U,	// VPMINUDZ128rmk
+    10448U,	// VPMINUDZ128rmkz
+    324U,	// VPMINUDZ128rr
+    469U,	// VPMINUDZ128rrk
+    10448U,	// VPMINUDZ128rrkz
+    324U,	// VPMINUDZ256rm
+    4168U,	// VPMINUDZ256rmb
+    6533U,	// VPMINUDZ256rmbk
+    41032U,	// VPMINUDZ256rmbkz
+    0U,	// VPMINUDZ256rmk
+    10448U,	// VPMINUDZ256rmkz
+    324U,	// VPMINUDZ256rr
+    469U,	// VPMINUDZ256rrk
+    10448U,	// VPMINUDZ256rrkz
+    324U,	// VPMINUDZrm
+    4168U,	// VPMINUDZrmb
+    6533U,	// VPMINUDZrmbk
+    41032U,	// VPMINUDZrmbkz
     0U,	// VPMINUDZrmk
-    4244U,	// VPMINUDZrmkz
-    0U,	// VPMINUDZrr
-    345U,	// VPMINUDZrrk
-    4244U,	// VPMINUDZrrkz
-    0U,	// VPMINUDrm
-    0U,	// VPMINUDrr
-    0U,	// VPMINUQZrm
-    4U,	// VPMINUQZrmb
-    1U,	// VPMINUQZrmbk
-    10244U,	// VPMINUQZrmbkz
+    10448U,	// VPMINUDZrmkz
+    324U,	// VPMINUDZrr
+    469U,	// VPMINUDZrrk
+    10448U,	// VPMINUDZrrkz
+    4U,	// VPMINUDrm
+    4U,	// VPMINUDrr
+    324U,	// VPMINUQZ128rm
+    4168U,	// VPMINUQZ128rmb
+    6533U,	// VPMINUQZ128rmbk
+    41032U,	// VPMINUQZ128rmbkz
+    0U,	// VPMINUQZ128rmk
+    10448U,	// VPMINUQZ128rmkz
+    324U,	// VPMINUQZ128rr
+    469U,	// VPMINUQZ128rrk
+    10448U,	// VPMINUQZ128rrkz
+    324U,	// VPMINUQZ256rm
+    4168U,	// VPMINUQZ256rmb
+    6533U,	// VPMINUQZ256rmbk
+    41032U,	// VPMINUQZ256rmbkz
+    0U,	// VPMINUQZ256rmk
+    10448U,	// VPMINUQZ256rmkz
+    324U,	// VPMINUQZ256rr
+    469U,	// VPMINUQZ256rrk
+    10448U,	// VPMINUQZ256rrkz
+    324U,	// VPMINUQZrm
+    4168U,	// VPMINUQZrmb
+    6533U,	// VPMINUQZrmbk
+    41032U,	// VPMINUQZrmbkz
     0U,	// VPMINUQZrmk
-    4244U,	// VPMINUQZrmkz
-    0U,	// VPMINUQZrr
-    345U,	// VPMINUQZrrk
-    4244U,	// VPMINUQZrrkz
-    0U,	// VPMINUWYrm
-    0U,	// VPMINUWYrr
-    0U,	// VPMINUWrm
-    0U,	// VPMINUWrr
+    10448U,	// VPMINUQZrmkz
+    324U,	// VPMINUQZrr
+    469U,	// VPMINUQZrrk
+    10448U,	// VPMINUQZrrkz
+    4U,	// VPMINUWYrm
+    4U,	// VPMINUWYrr
+    324U,	// VPMINUWZ128rm
+    0U,	// VPMINUWZ128rmk
+    10448U,	// VPMINUWZ128rmkz
+    324U,	// VPMINUWZ128rr
+    469U,	// VPMINUWZ128rrk
+    10448U,	// VPMINUWZ128rrkz
+    324U,	// VPMINUWZ256rm
+    0U,	// VPMINUWZ256rmk
+    10448U,	// VPMINUWZ256rmkz
+    324U,	// VPMINUWZ256rr
+    469U,	// VPMINUWZ256rrk
+    10448U,	// VPMINUWZ256rrkz
+    324U,	// VPMINUWZrm
+    0U,	// VPMINUWZrmk
+    10448U,	// VPMINUWZrmkz
+    324U,	// VPMINUWZrr
+    469U,	// VPMINUWZrrk
+    10448U,	// VPMINUWZrrkz
+    4U,	// VPMINUWrm
+    4U,	// VPMINUWrr
     0U,	// VPMOVDBmr
-    29U,	// VPMOVDBmrk
+    481U,	// VPMOVDBmrk
     0U,	// VPMOVDBrr
-    333U,	// VPMOVDBrrk
-    269U,	// VPMOVDBrrkz
+    461U,	// VPMOVDBrrk
+    589U,	// VPMOVDBrrkz
     0U,	// VPMOVDWmr
-    29U,	// VPMOVDWmrk
+    481U,	// VPMOVDWmrk
     0U,	// VPMOVDWrr
-    333U,	// VPMOVDWrrk
-    269U,	// VPMOVDWrrkz
+    461U,	// VPMOVDWrrk
+    589U,	// VPMOVDWrrkz
+    0U,	// VPMOVM2BZ128rr
+    0U,	// VPMOVM2BZ256rr
+    0U,	// VPMOVM2BZrr
+    0U,	// VPMOVM2DZ128rr
+    0U,	// VPMOVM2DZ256rr
+    0U,	// VPMOVM2DZrr
+    0U,	// VPMOVM2QZ128rr
+    0U,	// VPMOVM2QZ256rr
+    0U,	// VPMOVM2QZrr
+    0U,	// VPMOVM2WZ128rr
+    0U,	// VPMOVM2WZ256rr
+    0U,	// VPMOVM2WZrr
     0U,	// VPMOVMSKBYrr
     0U,	// VPMOVMSKBrr
     0U,	// VPMOVQBmr
-    29U,	// VPMOVQBmrk
+    481U,	// VPMOVQBmrk
     0U,	// VPMOVQBrr
-    333U,	// VPMOVQBrrk
-    269U,	// VPMOVQBrrkz
+    461U,	// VPMOVQBrrk
+    589U,	// VPMOVQBrrkz
     0U,	// VPMOVQDmr
-    29U,	// VPMOVQDmrk
+    481U,	// VPMOVQDmrk
     0U,	// VPMOVQDrr
-    333U,	// VPMOVQDrrk
-    269U,	// VPMOVQDrrkz
+    461U,	// VPMOVQDrrk
+    589U,	// VPMOVQDrrkz
     0U,	// VPMOVQWmr
-    29U,	// VPMOVQWmrk
+    481U,	// VPMOVQWmrk
     0U,	// VPMOVQWrr
-    333U,	// VPMOVQWrrk
-    269U,	// VPMOVQWrrkz
+    461U,	// VPMOVQWrrk
+    589U,	// VPMOVQWrrkz
     0U,	// VPMOVSDBmr
-    29U,	// VPMOVSDBmrk
+    481U,	// VPMOVSDBmrk
     0U,	// VPMOVSDBrr
-    333U,	// VPMOVSDBrrk
-    269U,	// VPMOVSDBrrkz
+    461U,	// VPMOVSDBrrk
+    589U,	// VPMOVSDBrrkz
     0U,	// VPMOVSDWmr
-    29U,	// VPMOVSDWmrk
+    481U,	// VPMOVSDWmrk
     0U,	// VPMOVSDWrr
-    333U,	// VPMOVSDWrrk
-    269U,	// VPMOVSDWrrkz
+    461U,	// VPMOVSDWrrk
+    589U,	// VPMOVSDWrrkz
     0U,	// VPMOVSQBmr
-    29U,	// VPMOVSQBmrk
+    481U,	// VPMOVSQBmrk
     0U,	// VPMOVSQBrr
-    333U,	// VPMOVSQBrrk
-    269U,	// VPMOVSQBrrkz
+    461U,	// VPMOVSQBrrk
+    589U,	// VPMOVSQBrrkz
     0U,	// VPMOVSQDmr
-    29U,	// VPMOVSQDmrk
+    481U,	// VPMOVSQDmrk
     0U,	// VPMOVSQDrr
-    333U,	// VPMOVSQDrrk
-    269U,	// VPMOVSQDrrkz
+    461U,	// VPMOVSQDrrk
+    589U,	// VPMOVSQDrrkz
     0U,	// VPMOVSQWmr
-    29U,	// VPMOVSQWmrk
+    481U,	// VPMOVSQWmrk
     0U,	// VPMOVSQWrr
-    333U,	// VPMOVSQWrrk
-    269U,	// VPMOVSQWrrkz
+    461U,	// VPMOVSQWrrk
+    589U,	// VPMOVSQWrrkz
     0U,	// VPMOVSXBDYrm
     0U,	// VPMOVSXBDYrr
     0U,	// VPMOVSXBDZrm
-    525U,	// VPMOVSXBDZrmk
-    269U,	// VPMOVSXBDZrmkz
+    653U,	// VPMOVSXBDZrmk
+    589U,	// VPMOVSXBDZrmkz
     0U,	// VPMOVSXBDZrr
-    525U,	// VPMOVSXBDZrrk
-    269U,	// VPMOVSXBDZrrkz
+    653U,	// VPMOVSXBDZrrk
+    589U,	// VPMOVSXBDZrrkz
     0U,	// VPMOVSXBDrm
     0U,	// VPMOVSXBDrr
     0U,	// VPMOVSXBQYrm
     0U,	// VPMOVSXBQYrr
     0U,	// VPMOVSXBQZrm
-    525U,	// VPMOVSXBQZrmk
-    269U,	// VPMOVSXBQZrmkz
+    653U,	// VPMOVSXBQZrmk
+    589U,	// VPMOVSXBQZrmkz
     0U,	// VPMOVSXBQZrr
-    525U,	// VPMOVSXBQZrrk
-    269U,	// VPMOVSXBQZrrkz
+    653U,	// VPMOVSXBQZrrk
+    589U,	// VPMOVSXBQZrrkz
     0U,	// VPMOVSXBQrm
     0U,	// VPMOVSXBQrr
     0U,	// VPMOVSXBWYrm
@@ -11708,76 +16332,76 @@ static void printInstruction(MCInst *MI,
     0U,	// VPMOVSXDQYrm
     0U,	// VPMOVSXDQYrr
     0U,	// VPMOVSXDQZrm
-    525U,	// VPMOVSXDQZrmk
-    269U,	// VPMOVSXDQZrmkz
+    653U,	// VPMOVSXDQZrmk
+    589U,	// VPMOVSXDQZrmkz
     0U,	// VPMOVSXDQZrr
-    525U,	// VPMOVSXDQZrrk
-    269U,	// VPMOVSXDQZrrkz
+    653U,	// VPMOVSXDQZrrk
+    589U,	// VPMOVSXDQZrrkz
     0U,	// VPMOVSXDQrm
     0U,	// VPMOVSXDQrr
     0U,	// VPMOVSXWDYrm
     0U,	// VPMOVSXWDYrr
     0U,	// VPMOVSXWDZrm
-    525U,	// VPMOVSXWDZrmk
-    269U,	// VPMOVSXWDZrmkz
+    653U,	// VPMOVSXWDZrmk
+    589U,	// VPMOVSXWDZrmkz
     0U,	// VPMOVSXWDZrr
-    525U,	// VPMOVSXWDZrrk
-    269U,	// VPMOVSXWDZrrkz
+    653U,	// VPMOVSXWDZrrk
+    589U,	// VPMOVSXWDZrrkz
     0U,	// VPMOVSXWDrm
     0U,	// VPMOVSXWDrr
     0U,	// VPMOVSXWQYrm
     0U,	// VPMOVSXWQYrr
     0U,	// VPMOVSXWQZrm
-    525U,	// VPMOVSXWQZrmk
-    269U,	// VPMOVSXWQZrmkz
+    653U,	// VPMOVSXWQZrmk
+    589U,	// VPMOVSXWQZrmkz
     0U,	// VPMOVSXWQZrr
-    525U,	// VPMOVSXWQZrrk
-    269U,	// VPMOVSXWQZrrkz
+    653U,	// VPMOVSXWQZrrk
+    589U,	// VPMOVSXWQZrrkz
     0U,	// VPMOVSXWQrm
     0U,	// VPMOVSXWQrr
     0U,	// VPMOVUSDBmr
-    29U,	// VPMOVUSDBmrk
+    481U,	// VPMOVUSDBmrk
     0U,	// VPMOVUSDBrr
-    333U,	// VPMOVUSDBrrk
-    269U,	// VPMOVUSDBrrkz
+    461U,	// VPMOVUSDBrrk
+    589U,	// VPMOVUSDBrrkz
     0U,	// VPMOVUSDWmr
-    29U,	// VPMOVUSDWmrk
+    481U,	// VPMOVUSDWmrk
     0U,	// VPMOVUSDWrr
-    333U,	// VPMOVUSDWrrk
-    269U,	// VPMOVUSDWrrkz
+    461U,	// VPMOVUSDWrrk
+    589U,	// VPMOVUSDWrrkz
     0U,	// VPMOVUSQBmr
-    29U,	// VPMOVUSQBmrk
+    481U,	// VPMOVUSQBmrk
     0U,	// VPMOVUSQBrr
-    333U,	// VPMOVUSQBrrk
-    269U,	// VPMOVUSQBrrkz
+    461U,	// VPMOVUSQBrrk
+    589U,	// VPMOVUSQBrrkz
     0U,	// VPMOVUSQDmr
-    29U,	// VPMOVUSQDmrk
+    481U,	// VPMOVUSQDmrk
     0U,	// VPMOVUSQDrr
-    333U,	// VPMOVUSQDrrk
-    269U,	// VPMOVUSQDrrkz
+    461U,	// VPMOVUSQDrrk
+    589U,	// VPMOVUSQDrrkz
     0U,	// VPMOVUSQWmr
-    29U,	// VPMOVUSQWmrk
+    481U,	// VPMOVUSQWmrk
     0U,	// VPMOVUSQWrr
-    333U,	// VPMOVUSQWrrk
-    269U,	// VPMOVUSQWrrkz
+    461U,	// VPMOVUSQWrrk
+    589U,	// VPMOVUSQWrrkz
     0U,	// VPMOVZXBDYrm
     0U,	// VPMOVZXBDYrr
     0U,	// VPMOVZXBDZrm
-    525U,	// VPMOVZXBDZrmk
-    269U,	// VPMOVZXBDZrmkz
+    653U,	// VPMOVZXBDZrmk
+    589U,	// VPMOVZXBDZrmkz
     0U,	// VPMOVZXBDZrr
-    525U,	// VPMOVZXBDZrrk
-    269U,	// VPMOVZXBDZrrkz
+    653U,	// VPMOVZXBDZrrk
+    589U,	// VPMOVZXBDZrrkz
     0U,	// VPMOVZXBDrm
     0U,	// VPMOVZXBDrr
     0U,	// VPMOVZXBQYrm
     0U,	// VPMOVZXBQYrr
     0U,	// VPMOVZXBQZrm
-    525U,	// VPMOVZXBQZrmk
-    269U,	// VPMOVZXBQZrmkz
+    653U,	// VPMOVZXBQZrmk
+    589U,	// VPMOVZXBQZrmkz
     0U,	// VPMOVZXBQZrr
-    525U,	// VPMOVZXBQZrrk
-    269U,	// VPMOVZXBQZrrkz
+    653U,	// VPMOVZXBQZrrk
+    589U,	// VPMOVZXBQZrrkz
     0U,	// VPMOVZXBQrm
     0U,	// VPMOVZXBQrr
     0U,	// VPMOVZXBWYrm
@@ -11787,471 +16411,806 @@ static void printInstruction(MCInst *MI,
     0U,	// VPMOVZXDQYrm
     0U,	// VPMOVZXDQYrr
     0U,	// VPMOVZXDQZrm
-    525U,	// VPMOVZXDQZrmk
-    269U,	// VPMOVZXDQZrmkz
+    653U,	// VPMOVZXDQZrmk
+    589U,	// VPMOVZXDQZrmkz
     0U,	// VPMOVZXDQZrr
-    525U,	// VPMOVZXDQZrrk
-    269U,	// VPMOVZXDQZrrkz
+    653U,	// VPMOVZXDQZrrk
+    589U,	// VPMOVZXDQZrrkz
     0U,	// VPMOVZXDQrm
     0U,	// VPMOVZXDQrr
     0U,	// VPMOVZXWDYrm
     0U,	// VPMOVZXWDYrr
     0U,	// VPMOVZXWDZrm
-    525U,	// VPMOVZXWDZrmk
-    269U,	// VPMOVZXWDZrmkz
+    653U,	// VPMOVZXWDZrmk
+    589U,	// VPMOVZXWDZrmkz
     0U,	// VPMOVZXWDZrr
-    525U,	// VPMOVZXWDZrrk
-    269U,	// VPMOVZXWDZrrkz
+    653U,	// VPMOVZXWDZrrk
+    589U,	// VPMOVZXWDZrrkz
     0U,	// VPMOVZXWDrm
     0U,	// VPMOVZXWDrr
     0U,	// VPMOVZXWQYrm
     0U,	// VPMOVZXWQYrr
     0U,	// VPMOVZXWQZrm
-    525U,	// VPMOVZXWQZrmk
-    269U,	// VPMOVZXWQZrmkz
+    653U,	// VPMOVZXWQZrmk
+    589U,	// VPMOVZXWQZrmkz
     0U,	// VPMOVZXWQZrr
-    525U,	// VPMOVZXWQZrrk
-    269U,	// VPMOVZXWQZrrkz
+    653U,	// VPMOVZXWQZrrk
+    589U,	// VPMOVZXWQZrrkz
     0U,	// VPMOVZXWQrm
     0U,	// VPMOVZXWQrr
-    0U,	// VPMULDQYrm
-    0U,	// VPMULDQYrr
-    0U,	// VPMULDQZrm
-    4U,	// VPMULDQZrmb
-    2052U,	// VPMULDQZrmbk
-    10244U,	// VPMULDQZrmbkz
-    3220U,	// VPMULDQZrmk
-    4244U,	// VPMULDQZrmkz
-    0U,	// VPMULDQZrr
-    3220U,	// VPMULDQZrrk
-    4244U,	// VPMULDQZrrkz
-    0U,	// VPMULDQrm
-    0U,	// VPMULDQrr
-    0U,	// VPMULHRSWrm128
-    0U,	// VPMULHRSWrm256
-    0U,	// VPMULHRSWrr128
-    0U,	// VPMULHRSWrr256
-    0U,	// VPMULHUWYrm
-    0U,	// VPMULHUWYrr
-    0U,	// VPMULHUWrm
-    0U,	// VPMULHUWrr
-    0U,	// VPMULHWYrm
-    0U,	// VPMULHWYrr
-    0U,	// VPMULHWrm
-    0U,	// VPMULHWrr
-    0U,	// VPMULLDYrm
-    0U,	// VPMULLDYrr
-    0U,	// VPMULLDZrm
-    4U,	// VPMULLDZrmb
-    1U,	// VPMULLDZrmbk
-    10244U,	// VPMULLDZrmbkz
+    4U,	// VPMULDQYrm
+    4U,	// VPMULDQYrr
+    4U,	// VPMULDQZrm
+    72U,	// VPMULDQZrmb
+    73800U,	// VPMULDQZrmbk
+    41032U,	// VPMULDQZrmbkz
+    6352U,	// VPMULDQZrmk
+    10448U,	// VPMULDQZrmkz
+    4U,	// VPMULDQZrr
+    6352U,	// VPMULDQZrrk
+    10448U,	// VPMULDQZrrkz
+    4U,	// VPMULDQrm
+    4U,	// VPMULDQrr
+    4U,	// VPMULHRSWrm128
+    4U,	// VPMULHRSWrm256
+    4U,	// VPMULHRSWrr128
+    4U,	// VPMULHRSWrr256
+    4U,	// VPMULHUWYrm
+    4U,	// VPMULHUWYrr
+    4U,	// VPMULHUWrm
+    4U,	// VPMULHUWrr
+    4U,	// VPMULHWYrm
+    4U,	// VPMULHWYrr
+    4U,	// VPMULHWrm
+    4U,	// VPMULHWrr
+    4U,	// VPMULLDYrm
+    4U,	// VPMULLDYrr
+    324U,	// VPMULLDZ128rm
+    4168U,	// VPMULLDZ128rmb
+    6533U,	// VPMULLDZ128rmbk
+    41032U,	// VPMULLDZ128rmbkz
+    0U,	// VPMULLDZ128rmk
+    10448U,	// VPMULLDZ128rmkz
+    324U,	// VPMULLDZ128rr
+    469U,	// VPMULLDZ128rrk
+    10448U,	// VPMULLDZ128rrkz
+    324U,	// VPMULLDZ256rm
+    4168U,	// VPMULLDZ256rmb
+    6533U,	// VPMULLDZ256rmbk
+    41032U,	// VPMULLDZ256rmbkz
+    0U,	// VPMULLDZ256rmk
+    10448U,	// VPMULLDZ256rmkz
+    324U,	// VPMULLDZ256rr
+    469U,	// VPMULLDZ256rrk
+    10448U,	// VPMULLDZ256rrkz
+    324U,	// VPMULLDZrm
+    4168U,	// VPMULLDZrmb
+    6533U,	// VPMULLDZrmbk
+    41032U,	// VPMULLDZrmbkz
     0U,	// VPMULLDZrmk
-    4244U,	// VPMULLDZrmkz
-    0U,	// VPMULLDZrr
-    345U,	// VPMULLDZrrk
-    4244U,	// VPMULLDZrrkz
-    0U,	// VPMULLDrm
-    0U,	// VPMULLDrr
-    0U,	// VPMULLWYrm
-    0U,	// VPMULLWYrr
-    0U,	// VPMULLWrm
-    0U,	// VPMULLWrr
-    0U,	// VPMULUDQYrm
-    0U,	// VPMULUDQYrr
-    0U,	// VPMULUDQZrm
-    4U,	// VPMULUDQZrmb
-    2052U,	// VPMULUDQZrmbk
-    10244U,	// VPMULUDQZrmbkz
-    3220U,	// VPMULUDQZrmk
-    4244U,	// VPMULUDQZrmkz
-    0U,	// VPMULUDQZrr
-    3220U,	// VPMULUDQZrrk
-    4244U,	// VPMULUDQZrrkz
-    0U,	// VPMULUDQrm
-    0U,	// VPMULUDQrr
-    0U,	// VPORDZrm
-    4U,	// VPORDZrmb
-    1U,	// VPORDZrmbk
-    10244U,	// VPORDZrmbkz
+    10448U,	// VPMULLDZrmkz
+    324U,	// VPMULLDZrr
+    469U,	// VPMULLDZrrk
+    10448U,	// VPMULLDZrrkz
+    4U,	// VPMULLDrm
+    4U,	// VPMULLDrr
+    324U,	// VPMULLQZ128rm
+    4168U,	// VPMULLQZ128rmb
+    6533U,	// VPMULLQZ128rmbk
+    41032U,	// VPMULLQZ128rmbkz
+    0U,	// VPMULLQZ128rmk
+    10448U,	// VPMULLQZ128rmkz
+    324U,	// VPMULLQZ128rr
+    469U,	// VPMULLQZ128rrk
+    10448U,	// VPMULLQZ128rrkz
+    324U,	// VPMULLQZ256rm
+    4168U,	// VPMULLQZ256rmb
+    6533U,	// VPMULLQZ256rmbk
+    41032U,	// VPMULLQZ256rmbkz
+    0U,	// VPMULLQZ256rmk
+    10448U,	// VPMULLQZ256rmkz
+    324U,	// VPMULLQZ256rr
+    469U,	// VPMULLQZ256rrk
+    10448U,	// VPMULLQZ256rrkz
+    324U,	// VPMULLQZrm
+    4168U,	// VPMULLQZrmb
+    6533U,	// VPMULLQZrmbk
+    41032U,	// VPMULLQZrmbkz
+    0U,	// VPMULLQZrmk
+    10448U,	// VPMULLQZrmkz
+    324U,	// VPMULLQZrr
+    469U,	// VPMULLQZrrk
+    10448U,	// VPMULLQZrrkz
+    4U,	// VPMULLWYrm
+    4U,	// VPMULLWYrr
+    324U,	// VPMULLWZ128rm
+    0U,	// VPMULLWZ128rmk
+    10448U,	// VPMULLWZ128rmkz
+    324U,	// VPMULLWZ128rr
+    469U,	// VPMULLWZ128rrk
+    10448U,	// VPMULLWZ128rrkz
+    324U,	// VPMULLWZ256rm
+    0U,	// VPMULLWZ256rmk
+    10448U,	// VPMULLWZ256rmkz
+    324U,	// VPMULLWZ256rr
+    469U,	// VPMULLWZ256rrk
+    10448U,	// VPMULLWZ256rrkz
+    324U,	// VPMULLWZrm
+    0U,	// VPMULLWZrmk
+    10448U,	// VPMULLWZrmkz
+    324U,	// VPMULLWZrr
+    469U,	// VPMULLWZrrk
+    10448U,	// VPMULLWZrrkz
+    4U,	// VPMULLWrm
+    4U,	// VPMULLWrr
+    4U,	// VPMULUDQYrm
+    4U,	// VPMULUDQYrr
+    4U,	// VPMULUDQZrm
+    72U,	// VPMULUDQZrmb
+    73800U,	// VPMULUDQZrmbk
+    41032U,	// VPMULUDQZrmbkz
+    6352U,	// VPMULUDQZrmk
+    10448U,	// VPMULUDQZrmkz
+    4U,	// VPMULUDQZrr
+    6352U,	// VPMULUDQZrrk
+    10448U,	// VPMULUDQZrrkz
+    4U,	// VPMULUDQrm
+    4U,	// VPMULUDQrr
+    324U,	// VPORDZ128rm
+    4168U,	// VPORDZ128rmb
+    6533U,	// VPORDZ128rmbk
+    41032U,	// VPORDZ128rmbkz
+    0U,	// VPORDZ128rmk
+    10448U,	// VPORDZ128rmkz
+    324U,	// VPORDZ128rr
+    469U,	// VPORDZ128rrk
+    10448U,	// VPORDZ128rrkz
+    324U,	// VPORDZ256rm
+    4168U,	// VPORDZ256rmb
+    6533U,	// VPORDZ256rmbk
+    41032U,	// VPORDZ256rmbkz
+    0U,	// VPORDZ256rmk
+    10448U,	// VPORDZ256rmkz
+    324U,	// VPORDZ256rr
+    469U,	// VPORDZ256rrk
+    10448U,	// VPORDZ256rrkz
+    324U,	// VPORDZrm
+    4168U,	// VPORDZrmb
+    6533U,	// VPORDZrmbk
+    41032U,	// VPORDZrmbkz
     0U,	// VPORDZrmk
-    4244U,	// VPORDZrmkz
-    0U,	// VPORDZrr
-    345U,	// VPORDZrrk
-    4244U,	// VPORDZrrkz
-    0U,	// VPORQZrm
-    4U,	// VPORQZrmb
-    1U,	// VPORQZrmbk
-    10244U,	// VPORQZrmbkz
+    10448U,	// VPORDZrmkz
+    324U,	// VPORDZrr
+    469U,	// VPORDZrrk
+    10448U,	// VPORDZrrkz
+    324U,	// VPORQZ128rm
+    4168U,	// VPORQZ128rmb
+    6533U,	// VPORQZ128rmbk
+    41032U,	// VPORQZ128rmbkz
+    0U,	// VPORQZ128rmk
+    10448U,	// VPORQZ128rmkz
+    324U,	// VPORQZ128rr
+    469U,	// VPORQZ128rrk
+    10448U,	// VPORQZ128rrkz
+    324U,	// VPORQZ256rm
+    4168U,	// VPORQZ256rmb
+    6533U,	// VPORQZ256rmbk
+    41032U,	// VPORQZ256rmbkz
+    0U,	// VPORQZ256rmk
+    10448U,	// VPORQZ256rmkz
+    324U,	// VPORQZ256rr
+    469U,	// VPORQZ256rrk
+    10448U,	// VPORQZ256rrkz
+    324U,	// VPORQZrm
+    4168U,	// VPORQZrmb
+    6533U,	// VPORQZrmbk
+    41032U,	// VPORQZrmbkz
     0U,	// VPORQZrmk
-    4244U,	// VPORQZrmkz
-    0U,	// VPORQZrr
-    345U,	// VPORQZrrk
-    4244U,	// VPORQZrrkz
-    0U,	// VPORYrm
-    0U,	// VPORYrr
-    0U,	// VPORrm
-    0U,	// VPORrr
-    4U,	// VPPERMmr
-    4U,	// VPPERMrm
-    4U,	// VPPERMrr
+    10448U,	// VPORQZrmkz
+    324U,	// VPORQZrr
+    469U,	// VPORQZrrk
+    10448U,	// VPORQZrrkz
+    4U,	// VPORYrm
+    4U,	// VPORYrr
+    4U,	// VPORrm
+    4U,	// VPORrr
+    72U,	// VPPERMmr
+    72U,	// VPPERMrm
+    72U,	// VPPERMrr
     0U,	// VPROTBmi
     0U,	// VPROTBmr
-    0U,	// VPROTBri
-    0U,	// VPROTBrm
-    0U,	// VPROTBrr
+    4U,	// VPROTBri
+    4U,	// VPROTBrm
+    4U,	// VPROTBrr
     0U,	// VPROTDmi
     0U,	// VPROTDmr
-    0U,	// VPROTDri
-    0U,	// VPROTDrm
-    0U,	// VPROTDrr
+    4U,	// VPROTDri
+    4U,	// VPROTDrm
+    4U,	// VPROTDrr
     0U,	// VPROTQmi
     0U,	// VPROTQmr
-    0U,	// VPROTQri
-    0U,	// VPROTQrm
-    0U,	// VPROTQrr
+    4U,	// VPROTQri
+    4U,	// VPROTQrm
+    4U,	// VPROTQrr
     0U,	// VPROTWmi
     0U,	// VPROTWmr
-    0U,	// VPROTWri
-    0U,	// VPROTWrm
-    0U,	// VPROTWrr
-    0U,	// VPSADBWYrm
-    0U,	// VPSADBWYrr
-    0U,	// VPSADBWrm
-    0U,	// VPSADBWrr
-    37U,	// VPSCATTERDDZmr
-    37U,	// VPSCATTERDQZmr
-    37U,	// VPSCATTERQDZmr
-    37U,	// VPSCATTERQQZmr
+    4U,	// VPROTWri
+    4U,	// VPROTWrm
+    4U,	// VPROTWrr
+    4U,	// VPSADBWYrm
+    4U,	// VPSADBWYrr
+    4U,	// VPSADBWrm
+    4U,	// VPSADBWrr
+    61U,	// VPSCATTERDDZmr
+    61U,	// VPSCATTERDQZmr
+    61U,	// VPSCATTERQDZmr
+    61U,	// VPSCATTERQQZmr
     0U,	// VPSHABmr
-    0U,	// VPSHABrm
-    0U,	// VPSHABrr
+    4U,	// VPSHABrm
+    4U,	// VPSHABrr
     0U,	// VPSHADmr
-    0U,	// VPSHADrm
-    0U,	// VPSHADrr
+    4U,	// VPSHADrm
+    4U,	// VPSHADrr
     0U,	// VPSHAQmr
-    0U,	// VPSHAQrm
-    0U,	// VPSHAQrr
+    4U,	// VPSHAQrm
+    4U,	// VPSHAQrr
     0U,	// VPSHAWmr
-    0U,	// VPSHAWrm
-    0U,	// VPSHAWrr
+    4U,	// VPSHAWrm
+    4U,	// VPSHAWrr
     0U,	// VPSHLBmr
-    0U,	// VPSHLBrm
-    0U,	// VPSHLBrr
+    4U,	// VPSHLBrm
+    4U,	// VPSHLBrr
     0U,	// VPSHLDmr
-    0U,	// VPSHLDrm
-    0U,	// VPSHLDrr
+    4U,	// VPSHLDrm
+    4U,	// VPSHLDrr
     0U,	// VPSHLQmr
-    0U,	// VPSHLQrm
-    0U,	// VPSHLQrr
+    4U,	// VPSHLQrm
+    4U,	// VPSHLQrr
     0U,	// VPSHLWmr
-    0U,	// VPSHLWrm
-    0U,	// VPSHLWrr
-    0U,	// VPSHUFBYrm
-    0U,	// VPSHUFBYrr
-    0U,	// VPSHUFBrm
-    0U,	// VPSHUFBrr
+    4U,	// VPSHLWrm
+    4U,	// VPSHLWrr
+    4U,	// VPSHUFBYrm
+    4U,	// VPSHUFBYrr
+    4U,	// VPSHUFBrm
+    4U,	// VPSHUFBrr
     0U,	// VPSHUFDYmi
-    0U,	// VPSHUFDYri
+    4U,	// VPSHUFDYri
     0U,	// VPSHUFDZmi
-    0U,	// VPSHUFDZri
+    4U,	// VPSHUFDZri
     0U,	// VPSHUFDmi
-    0U,	// VPSHUFDri
+    4U,	// VPSHUFDri
     0U,	// VPSHUFHWYmi
-    0U,	// VPSHUFHWYri
+    4U,	// VPSHUFHWYri
     0U,	// VPSHUFHWmi
-    0U,	// VPSHUFHWri
+    4U,	// VPSHUFHWri
     0U,	// VPSHUFLWYmi
-    0U,	// VPSHUFLWYri
+    4U,	// VPSHUFLWYri
     0U,	// VPSHUFLWmi
-    0U,	// VPSHUFLWri
-    0U,	// VPSIGNBYrm
-    0U,	// VPSIGNBYrr
-    0U,	// VPSIGNBrm
-    0U,	// VPSIGNBrr
-    0U,	// VPSIGNDYrm
-    0U,	// VPSIGNDYrr
-    0U,	// VPSIGNDrm
-    0U,	// VPSIGNDrr
-    0U,	// VPSIGNWYrm
-    0U,	// VPSIGNWYrr
-    0U,	// VPSIGNWrm
-    0U,	// VPSIGNWrr
-    0U,	// VPSLLDQYri
-    0U,	// VPSLLDQri
-    0U,	// VPSLLDYri
-    0U,	// VPSLLDYrm
-    0U,	// VPSLLDYrr
-    0U,	// VPSLLDZmi
-    3220U,	// VPSLLDZmik
-    0U,	// VPSLLDZri
-    3220U,	// VPSLLDZrik
-    0U,	// VPSLLDZrm
-    3220U,	// VPSLLDZrmk
-    0U,	// VPSLLDZrr
-    3220U,	// VPSLLDZrrk
-    0U,	// VPSLLDri
-    0U,	// VPSLLDrm
-    0U,	// VPSLLDrr
-    0U,	// VPSLLQYri
-    0U,	// VPSLLQYrm
-    0U,	// VPSLLQYrr
-    0U,	// VPSLLQZmi
-    3220U,	// VPSLLQZmik
-    0U,	// VPSLLQZri
-    3220U,	// VPSLLQZrik
-    0U,	// VPSLLQZrm
-    3220U,	// VPSLLQZrmk
-    0U,	// VPSLLQZrr
-    3220U,	// VPSLLQZrrk
-    0U,	// VPSLLQri
-    0U,	// VPSLLQrm
-    0U,	// VPSLLQrr
-    0U,	// VPSLLVDYrm
-    0U,	// VPSLLVDYrr
-    0U,	// VPSLLVDZrm
-    0U,	// VPSLLVDZrr
-    0U,	// VPSLLVDrm
-    0U,	// VPSLLVDrr
-    0U,	// VPSLLVQYrm
-    0U,	// VPSLLVQYrr
-    0U,	// VPSLLVQZrm
-    0U,	// VPSLLVQZrr
-    0U,	// VPSLLVQrm
-    0U,	// VPSLLVQrr
-    0U,	// VPSLLWYri
-    0U,	// VPSLLWYrm
-    0U,	// VPSLLWYrr
-    0U,	// VPSLLWri
-    0U,	// VPSLLWrm
-    0U,	// VPSLLWrr
-    0U,	// VPSRADYri
-    0U,	// VPSRADYrm
-    0U,	// VPSRADYrr
-    0U,	// VPSRADZmi
-    3220U,	// VPSRADZmik
-    0U,	// VPSRADZri
-    3220U,	// VPSRADZrik
-    0U,	// VPSRADZrm
-    3220U,	// VPSRADZrmk
-    0U,	// VPSRADZrr
-    3220U,	// VPSRADZrrk
-    0U,	// VPSRADri
-    0U,	// VPSRADrm
-    0U,	// VPSRADrr
-    0U,	// VPSRAQZmi
-    3220U,	// VPSRAQZmik
-    0U,	// VPSRAQZri
-    3220U,	// VPSRAQZrik
-    0U,	// VPSRAQZrm
-    3220U,	// VPSRAQZrmk
-    0U,	// VPSRAQZrr
-    3220U,	// VPSRAQZrrk
-    0U,	// VPSRAVDYrm
-    0U,	// VPSRAVDYrr
-    0U,	// VPSRAVDZrm
-    0U,	// VPSRAVDZrr
-    0U,	// VPSRAVDrm
-    0U,	// VPSRAVDrr
-    0U,	// VPSRAVQZrm
-    0U,	// VPSRAVQZrr
-    0U,	// VPSRAWYri
-    0U,	// VPSRAWYrm
-    0U,	// VPSRAWYrr
-    0U,	// VPSRAWri
-    0U,	// VPSRAWrm
-    0U,	// VPSRAWrr
-    0U,	// VPSRLDQYri
-    0U,	// VPSRLDQri
-    0U,	// VPSRLDYri
-    0U,	// VPSRLDYrm
-    0U,	// VPSRLDYrr
-    0U,	// VPSRLDZmi
-    3220U,	// VPSRLDZmik
-    0U,	// VPSRLDZri
-    3220U,	// VPSRLDZrik
-    0U,	// VPSRLDZrm
-    3220U,	// VPSRLDZrmk
-    0U,	// VPSRLDZrr
-    3220U,	// VPSRLDZrrk
-    0U,	// VPSRLDri
-    0U,	// VPSRLDrm
-    0U,	// VPSRLDrr
-    0U,	// VPSRLQYri
-    0U,	// VPSRLQYrm
-    0U,	// VPSRLQYrr
-    0U,	// VPSRLQZmi
-    3220U,	// VPSRLQZmik
-    0U,	// VPSRLQZri
-    3220U,	// VPSRLQZrik
-    0U,	// VPSRLQZrm
-    3220U,	// VPSRLQZrmk
-    0U,	// VPSRLQZrr
-    3220U,	// VPSRLQZrrk
-    0U,	// VPSRLQri
-    0U,	// VPSRLQrm
-    0U,	// VPSRLQrr
-    0U,	// VPSRLVDYrm
-    0U,	// VPSRLVDYrr
-    0U,	// VPSRLVDZrm
-    0U,	// VPSRLVDZrr
-    0U,	// VPSRLVDrm
-    0U,	// VPSRLVDrr
-    0U,	// VPSRLVQYrm
-    0U,	// VPSRLVQYrr
-    0U,	// VPSRLVQZrm
-    0U,	// VPSRLVQZrr
-    0U,	// VPSRLVQrm
-    0U,	// VPSRLVQrr
-    0U,	// VPSRLWYri
-    0U,	// VPSRLWYrm
-    0U,	// VPSRLWYrr
-    0U,	// VPSRLWri
-    0U,	// VPSRLWrm
-    0U,	// VPSRLWrr
-    0U,	// VPSUBBYrm
-    0U,	// VPSUBBYrr
-    0U,	// VPSUBBrm
-    0U,	// VPSUBBrr
-    0U,	// VPSUBDYrm
-    0U,	// VPSUBDYrr
-    0U,	// VPSUBDZrm
-    4U,	// VPSUBDZrmb
-    1U,	// VPSUBDZrmbk
-    10244U,	// VPSUBDZrmbkz
+    4U,	// VPSHUFLWri
+    4U,	// VPSIGNBYrm
+    4U,	// VPSIGNBYrr
+    4U,	// VPSIGNBrm
+    4U,	// VPSIGNBrr
+    4U,	// VPSIGNDYrm
+    4U,	// VPSIGNDYrr
+    4U,	// VPSIGNDrm
+    4U,	// VPSIGNDrr
+    4U,	// VPSIGNWYrm
+    4U,	// VPSIGNWYrr
+    4U,	// VPSIGNWrm
+    4U,	// VPSIGNWrr
+    4U,	// VPSLLDQYri
+    4U,	// VPSLLDQri
+    4U,	// VPSLLDYri
+    4U,	// VPSLLDYrm
+    4U,	// VPSLLDYrr
+    2U,	// VPSLLDZmi
+    14864U,	// VPSLLDZmik
+    16592U,	// VPSLLDZmikz
+    1028U,	// VPSLLDZri
+    14864U,	// VPSLLDZrik
+    16592U,	// VPSLLDZrikz
+    1028U,	// VPSLLDZrm
+    0U,	// VPSLLDZrmk
+    16592U,	// VPSLLDZrmkz
+    1028U,	// VPSLLDZrr
+    661U,	// VPSLLDZrrk
+    16592U,	// VPSLLDZrrkz
+    4U,	// VPSLLDri
+    4U,	// VPSLLDrm
+    4U,	// VPSLLDrr
+    4U,	// VPSLLQYri
+    4U,	// VPSLLQYrm
+    4U,	// VPSLLQYrr
+    2U,	// VPSLLQZmi
+    14864U,	// VPSLLQZmik
+    16592U,	// VPSLLQZmikz
+    1028U,	// VPSLLQZri
+    14864U,	// VPSLLQZrik
+    16592U,	// VPSLLQZrikz
+    1028U,	// VPSLLQZrm
+    0U,	// VPSLLQZrmk
+    16592U,	// VPSLLQZrmkz
+    1028U,	// VPSLLQZrr
+    661U,	// VPSLLQZrrk
+    16592U,	// VPSLLQZrrkz
+    4U,	// VPSLLQri
+    4U,	// VPSLLQrm
+    4U,	// VPSLLQrr
+    4U,	// VPSLLVDYrm
+    4U,	// VPSLLVDYrr
+    1028U,	// VPSLLVDZrm
+    0U,	// VPSLLVDZrmk
+    16592U,	// VPSLLVDZrmkz
+    1028U,	// VPSLLVDZrr
+    661U,	// VPSLLVDZrrk
+    16592U,	// VPSLLVDZrrkz
+    4U,	// VPSLLVDrm
+    4U,	// VPSLLVDrr
+    4U,	// VPSLLVQYrm
+    4U,	// VPSLLVQYrr
+    1028U,	// VPSLLVQZrm
+    0U,	// VPSLLVQZrmk
+    16592U,	// VPSLLVQZrmkz
+    1028U,	// VPSLLVQZrr
+    661U,	// VPSLLVQZrrk
+    16592U,	// VPSLLVQZrrkz
+    4U,	// VPSLLVQrm
+    4U,	// VPSLLVQrr
+    4U,	// VPSLLWYri
+    4U,	// VPSLLWYrm
+    4U,	// VPSLLWYrr
+    4U,	// VPSLLWri
+    4U,	// VPSLLWrm
+    4U,	// VPSLLWrr
+    4U,	// VPSRADYri
+    4U,	// VPSRADYrm
+    4U,	// VPSRADYrr
+    2U,	// VPSRADZmi
+    14864U,	// VPSRADZmik
+    16592U,	// VPSRADZmikz
+    1028U,	// VPSRADZri
+    14864U,	// VPSRADZrik
+    16592U,	// VPSRADZrikz
+    1028U,	// VPSRADZrm
+    0U,	// VPSRADZrmk
+    16592U,	// VPSRADZrmkz
+    1028U,	// VPSRADZrr
+    661U,	// VPSRADZrrk
+    16592U,	// VPSRADZrrkz
+    4U,	// VPSRADri
+    4U,	// VPSRADrm
+    4U,	// VPSRADrr
+    2U,	// VPSRAQZmi
+    14864U,	// VPSRAQZmik
+    16592U,	// VPSRAQZmikz
+    1028U,	// VPSRAQZri
+    14864U,	// VPSRAQZrik
+    16592U,	// VPSRAQZrikz
+    1028U,	// VPSRAQZrm
+    0U,	// VPSRAQZrmk
+    16592U,	// VPSRAQZrmkz
+    1028U,	// VPSRAQZrr
+    661U,	// VPSRAQZrrk
+    16592U,	// VPSRAQZrrkz
+    4U,	// VPSRAVDYrm
+    4U,	// VPSRAVDYrr
+    1028U,	// VPSRAVDZrm
+    0U,	// VPSRAVDZrmk
+    16592U,	// VPSRAVDZrmkz
+    1028U,	// VPSRAVDZrr
+    661U,	// VPSRAVDZrrk
+    16592U,	// VPSRAVDZrrkz
+    4U,	// VPSRAVDrm
+    4U,	// VPSRAVDrr
+    1028U,	// VPSRAVQZrm
+    0U,	// VPSRAVQZrmk
+    16592U,	// VPSRAVQZrmkz
+    1028U,	// VPSRAVQZrr
+    661U,	// VPSRAVQZrrk
+    16592U,	// VPSRAVQZrrkz
+    4U,	// VPSRAWYri
+    4U,	// VPSRAWYrm
+    4U,	// VPSRAWYrr
+    4U,	// VPSRAWri
+    4U,	// VPSRAWrm
+    4U,	// VPSRAWrr
+    4U,	// VPSRLDQYri
+    4U,	// VPSRLDQri
+    4U,	// VPSRLDYri
+    4U,	// VPSRLDYrm
+    4U,	// VPSRLDYrr
+    2U,	// VPSRLDZmi
+    14864U,	// VPSRLDZmik
+    16592U,	// VPSRLDZmikz
+    1028U,	// VPSRLDZri
+    14864U,	// VPSRLDZrik
+    16592U,	// VPSRLDZrikz
+    1028U,	// VPSRLDZrm
+    0U,	// VPSRLDZrmk
+    16592U,	// VPSRLDZrmkz
+    1028U,	// VPSRLDZrr
+    661U,	// VPSRLDZrrk
+    16592U,	// VPSRLDZrrkz
+    4U,	// VPSRLDri
+    4U,	// VPSRLDrm
+    4U,	// VPSRLDrr
+    4U,	// VPSRLQYri
+    4U,	// VPSRLQYrm
+    4U,	// VPSRLQYrr
+    2U,	// VPSRLQZmi
+    14864U,	// VPSRLQZmik
+    16592U,	// VPSRLQZmikz
+    1028U,	// VPSRLQZri
+    14864U,	// VPSRLQZrik
+    16592U,	// VPSRLQZrikz
+    1028U,	// VPSRLQZrm
+    0U,	// VPSRLQZrmk
+    16592U,	// VPSRLQZrmkz
+    1028U,	// VPSRLQZrr
+    661U,	// VPSRLQZrrk
+    16592U,	// VPSRLQZrrkz
+    4U,	// VPSRLQri
+    4U,	// VPSRLQrm
+    4U,	// VPSRLQrr
+    4U,	// VPSRLVDYrm
+    4U,	// VPSRLVDYrr
+    1028U,	// VPSRLVDZrm
+    0U,	// VPSRLVDZrmk
+    16592U,	// VPSRLVDZrmkz
+    1028U,	// VPSRLVDZrr
+    661U,	// VPSRLVDZrrk
+    16592U,	// VPSRLVDZrrkz
+    4U,	// VPSRLVDrm
+    4U,	// VPSRLVDrr
+    4U,	// VPSRLVQYrm
+    4U,	// VPSRLVQYrr
+    1028U,	// VPSRLVQZrm
+    0U,	// VPSRLVQZrmk
+    16592U,	// VPSRLVQZrmkz
+    1028U,	// VPSRLVQZrr
+    661U,	// VPSRLVQZrrk
+    16592U,	// VPSRLVQZrrkz
+    4U,	// VPSRLVQrm
+    4U,	// VPSRLVQrr
+    4U,	// VPSRLWYri
+    4U,	// VPSRLWYrm
+    4U,	// VPSRLWYrr
+    4U,	// VPSRLWri
+    4U,	// VPSRLWrm
+    4U,	// VPSRLWrr
+    4U,	// VPSUBBYrm
+    4U,	// VPSUBBYrr
+    324U,	// VPSUBBZ128rm
+    0U,	// VPSUBBZ128rmk
+    10448U,	// VPSUBBZ128rmkz
+    324U,	// VPSUBBZ128rr
+    469U,	// VPSUBBZ128rrk
+    10448U,	// VPSUBBZ128rrkz
+    324U,	// VPSUBBZ256rm
+    0U,	// VPSUBBZ256rmk
+    10448U,	// VPSUBBZ256rmkz
+    324U,	// VPSUBBZ256rr
+    469U,	// VPSUBBZ256rrk
+    10448U,	// VPSUBBZ256rrkz
+    324U,	// VPSUBBZrm
+    0U,	// VPSUBBZrmk
+    10448U,	// VPSUBBZrmkz
+    324U,	// VPSUBBZrr
+    469U,	// VPSUBBZrrk
+    10448U,	// VPSUBBZrrkz
+    4U,	// VPSUBBrm
+    4U,	// VPSUBBrr
+    4U,	// VPSUBDYrm
+    4U,	// VPSUBDYrr
+    324U,	// VPSUBDZ128rm
+    4168U,	// VPSUBDZ128rmb
+    6533U,	// VPSUBDZ128rmbk
+    41032U,	// VPSUBDZ128rmbkz
+    0U,	// VPSUBDZ128rmk
+    10448U,	// VPSUBDZ128rmkz
+    324U,	// VPSUBDZ128rr
+    469U,	// VPSUBDZ128rrk
+    10448U,	// VPSUBDZ128rrkz
+    324U,	// VPSUBDZ256rm
+    4168U,	// VPSUBDZ256rmb
+    6533U,	// VPSUBDZ256rmbk
+    41032U,	// VPSUBDZ256rmbkz
+    0U,	// VPSUBDZ256rmk
+    10448U,	// VPSUBDZ256rmkz
+    324U,	// VPSUBDZ256rr
+    469U,	// VPSUBDZ256rrk
+    10448U,	// VPSUBDZ256rrkz
+    324U,	// VPSUBDZrm
+    4168U,	// VPSUBDZrmb
+    6533U,	// VPSUBDZrmbk
+    41032U,	// VPSUBDZrmbkz
     0U,	// VPSUBDZrmk
-    4244U,	// VPSUBDZrmkz
-    0U,	// VPSUBDZrr
-    345U,	// VPSUBDZrrk
-    4244U,	// VPSUBDZrrkz
-    0U,	// VPSUBDrm
-    0U,	// VPSUBDrr
-    0U,	// VPSUBQYrm
-    0U,	// VPSUBQYrr
-    0U,	// VPSUBQZrm
-    4U,	// VPSUBQZrmb
-    1U,	// VPSUBQZrmbk
-    10244U,	// VPSUBQZrmbkz
+    10448U,	// VPSUBDZrmkz
+    324U,	// VPSUBDZrr
+    469U,	// VPSUBDZrrk
+    10448U,	// VPSUBDZrrkz
+    4U,	// VPSUBDrm
+    4U,	// VPSUBDrr
+    4U,	// VPSUBQYrm
+    4U,	// VPSUBQYrr
+    324U,	// VPSUBQZ128rm
+    4168U,	// VPSUBQZ128rmb
+    6533U,	// VPSUBQZ128rmbk
+    41032U,	// VPSUBQZ128rmbkz
+    0U,	// VPSUBQZ128rmk
+    10448U,	// VPSUBQZ128rmkz
+    324U,	// VPSUBQZ128rr
+    469U,	// VPSUBQZ128rrk
+    10448U,	// VPSUBQZ128rrkz
+    324U,	// VPSUBQZ256rm
+    4168U,	// VPSUBQZ256rmb
+    6533U,	// VPSUBQZ256rmbk
+    41032U,	// VPSUBQZ256rmbkz
+    0U,	// VPSUBQZ256rmk
+    10448U,	// VPSUBQZ256rmkz
+    324U,	// VPSUBQZ256rr
+    469U,	// VPSUBQZ256rrk
+    10448U,	// VPSUBQZ256rrkz
+    324U,	// VPSUBQZrm
+    4168U,	// VPSUBQZrmb
+    6533U,	// VPSUBQZrmbk
+    41032U,	// VPSUBQZrmbkz
     0U,	// VPSUBQZrmk
-    4244U,	// VPSUBQZrmkz
-    0U,	// VPSUBQZrr
-    345U,	// VPSUBQZrrk
-    4244U,	// VPSUBQZrrkz
-    0U,	// VPSUBQrm
-    0U,	// VPSUBQrr
-    0U,	// VPSUBSBYrm
-    0U,	// VPSUBSBYrr
-    0U,	// VPSUBSBrm
-    0U,	// VPSUBSBrr
-    0U,	// VPSUBSWYrm
-    0U,	// VPSUBSWYrr
-    0U,	// VPSUBSWrm
-    0U,	// VPSUBSWrr
-    0U,	// VPSUBUSBYrm
-    0U,	// VPSUBUSBYrr
-    0U,	// VPSUBUSBrm
-    0U,	// VPSUBUSBrr
-    0U,	// VPSUBUSWYrm
-    0U,	// VPSUBUSWYrr
-    0U,	// VPSUBUSWrm
-    0U,	// VPSUBUSWrr
-    0U,	// VPSUBWYrm
-    0U,	// VPSUBWYrr
-    0U,	// VPSUBWrm
-    0U,	// VPSUBWrr
-    0U,	// VPTESTMDZrm
-    0U,	// VPTESTMDZrr
-    0U,	// VPTESTMQZrm
-    0U,	// VPTESTMQZrr
-    0U,	// VPTESTNMDZrm
-    0U,	// VPTESTNMDZrr
-    0U,	// VPTESTNMQZrm
-    0U,	// VPTESTNMQZrr
+    10448U,	// VPSUBQZrmkz
+    324U,	// VPSUBQZrr
+    469U,	// VPSUBQZrrk
+    10448U,	// VPSUBQZrrkz
+    4U,	// VPSUBQrm
+    4U,	// VPSUBQrr
+    4U,	// VPSUBSBYrm
+    4U,	// VPSUBSBYrr
+    4U,	// VPSUBSBrm
+    4U,	// VPSUBSBrr
+    4U,	// VPSUBSWYrm
+    4U,	// VPSUBSWYrr
+    4U,	// VPSUBSWrm
+    4U,	// VPSUBSWrr
+    4U,	// VPSUBUSBYrm
+    4U,	// VPSUBUSBYrr
+    4U,	// VPSUBUSBrm
+    4U,	// VPSUBUSBrr
+    4U,	// VPSUBUSWYrm
+    4U,	// VPSUBUSWYrr
+    4U,	// VPSUBUSWrm
+    4U,	// VPSUBUSWrr
+    4U,	// VPSUBWYrm
+    4U,	// VPSUBWYrr
+    324U,	// VPSUBWZ128rm
+    0U,	// VPSUBWZ128rmk
+    10448U,	// VPSUBWZ128rmkz
+    324U,	// VPSUBWZ128rr
+    469U,	// VPSUBWZ128rrk
+    10448U,	// VPSUBWZ128rrkz
+    324U,	// VPSUBWZ256rm
+    0U,	// VPSUBWZ256rmk
+    10448U,	// VPSUBWZ256rmkz
+    324U,	// VPSUBWZ256rr
+    469U,	// VPSUBWZ256rrk
+    10448U,	// VPSUBWZ256rrkz
+    324U,	// VPSUBWZrm
+    0U,	// VPSUBWZrmk
+    10448U,	// VPSUBWZrmkz
+    324U,	// VPSUBWZrr
+    469U,	// VPSUBWZrrk
+    10448U,	// VPSUBWZrrkz
+    4U,	// VPSUBWrm
+    4U,	// VPSUBWrr
+    4U,	// VPTESTMDZrm
+    4U,	// VPTESTMDZrr
+    4U,	// VPTESTMQZrm
+    4U,	// VPTESTMQZrr
+    4U,	// VPTESTNMDZrm
+    4U,	// VPTESTNMDZrr
+    4U,	// VPTESTNMQZrm
+    4U,	// VPTESTNMQZrr
     0U,	// VPTESTYrm
     0U,	// VPTESTYrr
     0U,	// VPTESTrm
     0U,	// VPTESTrr
-    0U,	// VPUNPCKHBWYrm
-    0U,	// VPUNPCKHBWYrr
-    0U,	// VPUNPCKHBWrm
-    0U,	// VPUNPCKHBWrr
-    0U,	// VPUNPCKHDQYrm
-    0U,	// VPUNPCKHDQYrr
-    0U,	// VPUNPCKHDQZrm
-    0U,	// VPUNPCKHDQZrr
-    0U,	// VPUNPCKHDQrm
-    0U,	// VPUNPCKHDQrr
-    0U,	// VPUNPCKHQDQYrm
-    0U,	// VPUNPCKHQDQYrr
-    0U,	// VPUNPCKHQDQZrm
-    0U,	// VPUNPCKHQDQZrr
-    0U,	// VPUNPCKHQDQrm
-    0U,	// VPUNPCKHQDQrr
-    0U,	// VPUNPCKHWDYrm
-    0U,	// VPUNPCKHWDYrr
-    0U,	// VPUNPCKHWDrm
-    0U,	// VPUNPCKHWDrr
-    0U,	// VPUNPCKLBWYrm
-    0U,	// VPUNPCKLBWYrr
-    0U,	// VPUNPCKLBWrm
-    0U,	// VPUNPCKLBWrr
-    0U,	// VPUNPCKLDQYrm
-    0U,	// VPUNPCKLDQYrr
-    0U,	// VPUNPCKLDQZrm
-    0U,	// VPUNPCKLDQZrr
-    0U,	// VPUNPCKLDQrm
-    0U,	// VPUNPCKLDQrr
-    0U,	// VPUNPCKLQDQYrm
-    0U,	// VPUNPCKLQDQYrr
-    0U,	// VPUNPCKLQDQZrm
-    0U,	// VPUNPCKLQDQZrr
-    0U,	// VPUNPCKLQDQrm
-    0U,	// VPUNPCKLQDQrr
-    0U,	// VPUNPCKLWDYrm
-    0U,	// VPUNPCKLWDYrr
-    0U,	// VPUNPCKLWDrm
-    0U,	// VPUNPCKLWDrr
-    0U,	// VPXORDZrm
-    4U,	// VPXORDZrmb
-    1U,	// VPXORDZrmbk
-    10244U,	// VPXORDZrmbkz
+    4U,	// VPUNPCKHBWYrm
+    4U,	// VPUNPCKHBWYrr
+    4U,	// VPUNPCKHBWrm
+    4U,	// VPUNPCKHBWrr
+    4U,	// VPUNPCKHDQYrm
+    4U,	// VPUNPCKHDQYrr
+    4U,	// VPUNPCKHDQZrm
+    4U,	// VPUNPCKHDQZrr
+    4U,	// VPUNPCKHDQrm
+    4U,	// VPUNPCKHDQrr
+    4U,	// VPUNPCKHQDQYrm
+    4U,	// VPUNPCKHQDQYrr
+    4U,	// VPUNPCKHQDQZrm
+    4U,	// VPUNPCKHQDQZrr
+    4U,	// VPUNPCKHQDQrm
+    4U,	// VPUNPCKHQDQrr
+    4U,	// VPUNPCKHWDYrm
+    4U,	// VPUNPCKHWDYrr
+    4U,	// VPUNPCKHWDrm
+    4U,	// VPUNPCKHWDrr
+    4U,	// VPUNPCKLBWYrm
+    4U,	// VPUNPCKLBWYrr
+    4U,	// VPUNPCKLBWrm
+    4U,	// VPUNPCKLBWrr
+    4U,	// VPUNPCKLDQYrm
+    4U,	// VPUNPCKLDQYrr
+    4U,	// VPUNPCKLDQZrm
+    4U,	// VPUNPCKLDQZrr
+    4U,	// VPUNPCKLDQrm
+    4U,	// VPUNPCKLDQrr
+    4U,	// VPUNPCKLQDQYrm
+    4U,	// VPUNPCKLQDQYrr
+    4U,	// VPUNPCKLQDQZrm
+    4U,	// VPUNPCKLQDQZrr
+    4U,	// VPUNPCKLQDQrm
+    4U,	// VPUNPCKLQDQrr
+    4U,	// VPUNPCKLWDYrm
+    4U,	// VPUNPCKLWDYrr
+    4U,	// VPUNPCKLWDrm
+    4U,	// VPUNPCKLWDrr
+    324U,	// VPXORDZ128rm
+    4168U,	// VPXORDZ128rmb
+    6533U,	// VPXORDZ128rmbk
+    41032U,	// VPXORDZ128rmbkz
+    0U,	// VPXORDZ128rmk
+    10448U,	// VPXORDZ128rmkz
+    324U,	// VPXORDZ128rr
+    469U,	// VPXORDZ128rrk
+    10448U,	// VPXORDZ128rrkz
+    324U,	// VPXORDZ256rm
+    4168U,	// VPXORDZ256rmb
+    6533U,	// VPXORDZ256rmbk
+    41032U,	// VPXORDZ256rmbkz
+    0U,	// VPXORDZ256rmk
+    10448U,	// VPXORDZ256rmkz
+    324U,	// VPXORDZ256rr
+    469U,	// VPXORDZ256rrk
+    10448U,	// VPXORDZ256rrkz
+    324U,	// VPXORDZrm
+    4168U,	// VPXORDZrmb
+    6533U,	// VPXORDZrmbk
+    41032U,	// VPXORDZrmbkz
     0U,	// VPXORDZrmk
-    4244U,	// VPXORDZrmkz
-    0U,	// VPXORDZrr
-    345U,	// VPXORDZrrk
-    4244U,	// VPXORDZrrkz
-    0U,	// VPXORQZrm
-    4U,	// VPXORQZrmb
-    1U,	// VPXORQZrmbk
-    10244U,	// VPXORQZrmbkz
+    10448U,	// VPXORDZrmkz
+    324U,	// VPXORDZrr
+    469U,	// VPXORDZrrk
+    10448U,	// VPXORDZrrkz
+    324U,	// VPXORQZ128rm
+    4168U,	// VPXORQZ128rmb
+    6533U,	// VPXORQZ128rmbk
+    41032U,	// VPXORQZ128rmbkz
+    0U,	// VPXORQZ128rmk
+    10448U,	// VPXORQZ128rmkz
+    324U,	// VPXORQZ128rr
+    469U,	// VPXORQZ128rrk
+    10448U,	// VPXORQZ128rrkz
+    324U,	// VPXORQZ256rm
+    4168U,	// VPXORQZ256rmb
+    6533U,	// VPXORQZ256rmbk
+    41032U,	// VPXORQZ256rmbkz
+    0U,	// VPXORQZ256rmk
+    10448U,	// VPXORQZ256rmkz
+    324U,	// VPXORQZ256rr
+    469U,	// VPXORQZ256rrk
+    10448U,	// VPXORQZ256rrkz
+    324U,	// VPXORQZrm
+    4168U,	// VPXORQZrmb
+    6533U,	// VPXORQZrmbk
+    41032U,	// VPXORQZrmbkz
     0U,	// VPXORQZrmk
-    4244U,	// VPXORQZrmkz
-    0U,	// VPXORQZrr
-    345U,	// VPXORQZrrk
-    4244U,	// VPXORQZrrkz
-    0U,	// VPXORYrm
-    0U,	// VPXORYrr
-    0U,	// VPXORrm
-    0U,	// VPXORrr
+    10448U,	// VPXORQZrmkz
+    324U,	// VPXORQZrr
+    469U,	// VPXORQZrrk
+    10448U,	// VPXORQZrrkz
+    4U,	// VPXORYrm
+    4U,	// VPXORYrr
+    4U,	// VPXORrm
+    4U,	// VPXORrr
+    0U,	// VRCP14PDZ128m
+    28U,	// VRCP14PDZ128mb
+    6672U,	// VRCP14PDZ128mbk
+    10448U,	// VRCP14PDZ128mbkz
+    469U,	// VRCP14PDZ128mk
+    589U,	// VRCP14PDZ128mkz
+    28U,	// VRCP14PDZ128r
+    469U,	// VRCP14PDZ128rk
+    589U,	// VRCP14PDZ128rkz
+    0U,	// VRCP14PDZ256m
+    28U,	// VRCP14PDZ256mb
+    6672U,	// VRCP14PDZ256mbk
+    10448U,	// VRCP14PDZ256mbkz
+    469U,	// VRCP14PDZ256mk
+    589U,	// VRCP14PDZ256mkz
+    28U,	// VRCP14PDZ256r
+    469U,	// VRCP14PDZ256rk
+    589U,	// VRCP14PDZ256rkz
     0U,	// VRCP14PDZm
-    0U,	// VRCP14PDZr
+    28U,	// VRCP14PDZmb
+    6672U,	// VRCP14PDZmbk
+    10448U,	// VRCP14PDZmbkz
+    469U,	// VRCP14PDZmk
+    589U,	// VRCP14PDZmkz
+    28U,	// VRCP14PDZr
+    469U,	// VRCP14PDZrk
+    589U,	// VRCP14PDZrkz
+    0U,	// VRCP14PSZ128m
+    28U,	// VRCP14PSZ128mb
+    6672U,	// VRCP14PSZ128mbk
+    10448U,	// VRCP14PSZ128mbkz
+    469U,	// VRCP14PSZ128mk
+    589U,	// VRCP14PSZ128mkz
+    28U,	// VRCP14PSZ128r
+    469U,	// VRCP14PSZ128rk
+    589U,	// VRCP14PSZ128rkz
+    0U,	// VRCP14PSZ256m
+    28U,	// VRCP14PSZ256mb
+    6672U,	// VRCP14PSZ256mbk
+    10448U,	// VRCP14PSZ256mbkz
+    469U,	// VRCP14PSZ256mk
+    589U,	// VRCP14PSZ256mkz
+    28U,	// VRCP14PSZ256r
+    469U,	// VRCP14PSZ256rk
+    589U,	// VRCP14PSZ256rkz
     0U,	// VRCP14PSZm
-    0U,	// VRCP14PSZr
-    4U,	// VRCP14SDrm
-    0U,	// VRCP14SDrr
-    4U,	// VRCP14SSrm
-    0U,	// VRCP14SSrr
-    0U,	// VRCP28PDZm
-    0U,	// VRCP28PDZr
-    0U,	// VRCP28PDZrb
-    0U,	// VRCP28PSZm
-    0U,	// VRCP28PSZr
-    0U,	// VRCP28PSZrb
-    4U,	// VRCP28SDrm
-    0U,	// VRCP28SDrr
-    0U,	// VRCP28SDrrb
-    4U,	// VRCP28SSrm
-    0U,	// VRCP28SSrr
-    0U,	// VRCP28SSrrb
+    28U,	// VRCP14PSZmb
+    6672U,	// VRCP14PSZmbk
+    10448U,	// VRCP14PSZmbkz
+    469U,	// VRCP14PSZmk
+    589U,	// VRCP14PSZmkz
+    28U,	// VRCP14PSZr
+    469U,	// VRCP14PSZrk
+    589U,	// VRCP14PSZrkz
+    72U,	// VRCP14SDrm
+    4U,	// VRCP14SDrr
+    72U,	// VRCP14SSrm
+    4U,	// VRCP14SSrr
+    0U,	// VRCP28PDm
+    0U,	// VRCP28PDmb
+    469U,	// VRCP28PDmbk
+    589U,	// VRCP28PDmbkz
+    469U,	// VRCP28PDmk
+    589U,	// VRCP28PDmkz
+    28U,	// VRCP28PDr
+    36U,	// VRCP28PDrb
+    725U,	// VRCP28PDrbk
+    781U,	// VRCP28PDrbkz
+    469U,	// VRCP28PDrk
+    589U,	// VRCP28PDrkz
+    0U,	// VRCP28PSm
+    0U,	// VRCP28PSmb
+    469U,	// VRCP28PSmbk
+    589U,	// VRCP28PSmbkz
+    469U,	// VRCP28PSmk
+    589U,	// VRCP28PSmkz
+    28U,	// VRCP28PSr
+    36U,	// VRCP28PSrb
+    725U,	// VRCP28PSrbk
+    781U,	// VRCP28PSrbkz
+    469U,	// VRCP28PSrk
+    589U,	// VRCP28PSrkz
+    324U,	// VRCP28SDm
+    0U,	// VRCP28SDmk
+    10448U,	// VRCP28SDmkz
+    324U,	// VRCP28SDr
+    900U,	// VRCP28SDrb
+    725U,	// VRCP28SDrbk
+    12496U,	// VRCP28SDrbkz
+    469U,	// VRCP28SDrk
+    10448U,	// VRCP28SDrkz
+    324U,	// VRCP28SSm
+    0U,	// VRCP28SSmk
+    10448U,	// VRCP28SSmkz
+    324U,	// VRCP28SSr
+    900U,	// VRCP28SSrb
+    725U,	// VRCP28SSrbk
+    12496U,	// VRCP28SSrbkz
+    469U,	// VRCP28SSrk
+    10448U,	// VRCP28SSrkz
     0U,	// VRCPPSYm
     0U,	// VRCPPSYm_Int
     0U,	// VRCPPSYr
@@ -12260,51 +17219,145 @@ static void printInstruction(MCInst *MI,
     0U,	// VRCPPSm_Int
     0U,	// VRCPPSr
     0U,	// VRCPPSr_Int
-    4U,	// VRCPSSm
-    4U,	// VRCPSSm_Int
-    0U,	// VRCPSSr
+    72U,	// VRCPSSm
+    72U,	// VRCPSSm_Int
+    4U,	// VRCPSSr
     0U,	// VRNDSCALEPDZm
-    0U,	// VRNDSCALEPDZr
+    4U,	// VRNDSCALEPDZr
     0U,	// VRNDSCALEPSZm
-    0U,	// VRNDSCALEPSZr
-    4U,	// VRNDSCALESDm
-    0U,	// VRNDSCALESDr
-    4U,	// VRNDSCALESSm
-    0U,	// VRNDSCALESSr
+    4U,	// VRNDSCALEPSZr
+    4168U,	// VRNDSCALESDm
+    0U,	// VRNDSCALESDmk
+    10448U,	// VRNDSCALESDmkz
+    4168U,	// VRNDSCALESDr
+    18504U,	// VRNDSCALESDrb
+    0U,	// VRNDSCALESDrbk
+    139336U,	// VRNDSCALESDrbkz
+    0U,	// VRNDSCALESDrk
+    41032U,	// VRNDSCALESDrkz
+    4168U,	// VRNDSCALESSm
+    0U,	// VRNDSCALESSmk
+    10448U,	// VRNDSCALESSmkz
+    4168U,	// VRNDSCALESSr
+    18504U,	// VRNDSCALESSrb
+    0U,	// VRNDSCALESSrbk
+    139336U,	// VRNDSCALESSrbkz
+    0U,	// VRNDSCALESSrk
+    41032U,	// VRNDSCALESSrkz
     0U,	// VROUNDPDm
-    0U,	// VROUNDPDr
+    4U,	// VROUNDPDr
     0U,	// VROUNDPSm
-    0U,	// VROUNDPSr
-    4U,	// VROUNDSDm
-    4U,	// VROUNDSDr
-    4U,	// VROUNDSDr_Int
-    4U,	// VROUNDSSm
-    4U,	// VROUNDSSr
-    4U,	// VROUNDSSr_Int
+    4U,	// VROUNDPSr
+    72U,	// VROUNDSDm
+    72U,	// VROUNDSDr
+    72U,	// VROUNDSDr_Int
+    72U,	// VROUNDSSm
+    72U,	// VROUNDSSr
+    72U,	// VROUNDSSr_Int
     0U,	// VROUNDYPDm
-    0U,	// VROUNDYPDr
+    4U,	// VROUNDYPDr
     0U,	// VROUNDYPSm
-    0U,	// VROUNDYPSr
+    4U,	// VROUNDYPSr
+    0U,	// VRSQRT14PDZ128m
+    28U,	// VRSQRT14PDZ128mb
+    6672U,	// VRSQRT14PDZ128mbk
+    10448U,	// VRSQRT14PDZ128mbkz
+    469U,	// VRSQRT14PDZ128mk
+    589U,	// VRSQRT14PDZ128mkz
+    28U,	// VRSQRT14PDZ128r
+    469U,	// VRSQRT14PDZ128rk
+    589U,	// VRSQRT14PDZ128rkz
+    0U,	// VRSQRT14PDZ256m
+    28U,	// VRSQRT14PDZ256mb
+    6672U,	// VRSQRT14PDZ256mbk
+    10448U,	// VRSQRT14PDZ256mbkz
+    469U,	// VRSQRT14PDZ256mk
+    589U,	// VRSQRT14PDZ256mkz
+    28U,	// VRSQRT14PDZ256r
+    469U,	// VRSQRT14PDZ256rk
+    589U,	// VRSQRT14PDZ256rkz
     0U,	// VRSQRT14PDZm
-    0U,	// VRSQRT14PDZr
+    28U,	// VRSQRT14PDZmb
+    6672U,	// VRSQRT14PDZmbk
+    10448U,	// VRSQRT14PDZmbkz
+    469U,	// VRSQRT14PDZmk
+    589U,	// VRSQRT14PDZmkz
+    28U,	// VRSQRT14PDZr
+    469U,	// VRSQRT14PDZrk
+    589U,	// VRSQRT14PDZrkz
+    0U,	// VRSQRT14PSZ128m
+    28U,	// VRSQRT14PSZ128mb
+    6672U,	// VRSQRT14PSZ128mbk
+    10448U,	// VRSQRT14PSZ128mbkz
+    469U,	// VRSQRT14PSZ128mk
+    589U,	// VRSQRT14PSZ128mkz
+    28U,	// VRSQRT14PSZ128r
+    469U,	// VRSQRT14PSZ128rk
+    589U,	// VRSQRT14PSZ128rkz
+    0U,	// VRSQRT14PSZ256m
+    28U,	// VRSQRT14PSZ256mb
+    6672U,	// VRSQRT14PSZ256mbk
+    10448U,	// VRSQRT14PSZ256mbkz
+    469U,	// VRSQRT14PSZ256mk
+    589U,	// VRSQRT14PSZ256mkz
+    28U,	// VRSQRT14PSZ256r
+    469U,	// VRSQRT14PSZ256rk
+    589U,	// VRSQRT14PSZ256rkz
     0U,	// VRSQRT14PSZm
-    0U,	// VRSQRT14PSZr
-    4U,	// VRSQRT14SDrm
-    0U,	// VRSQRT14SDrr
-    4U,	// VRSQRT14SSrm
-    0U,	// VRSQRT14SSrr
-    0U,	// VRSQRT28PDZm
-    0U,	// VRSQRT28PDZr
-    0U,	// VRSQRT28PDZrb
-    0U,	// VRSQRT28PSZm
-    0U,	// VRSQRT28PSZr
-    0U,	// VRSQRT28PSZrb
-    4U,	// VRSQRT28SDrm
-    0U,	// VRSQRT28SDrr
-    0U,	// VRSQRT28SDrrb
-    4U,	// VRSQRT28SSrm
-    0U,	// VRSQRT28SSrr
-    0U,	// VRSQRT28SSrrb
+    28U,	// VRSQRT14PSZmb
+    6672U,	// VRSQRT14PSZmbk
+    10448U,	// VRSQRT14PSZmbkz
+    469U,	// VRSQRT14PSZmk
+    589U,	// VRSQRT14PSZmkz
+    28U,	// VRSQRT14PSZr
+    469U,	// VRSQRT14PSZrk
+    589U,	// VRSQRT14PSZrkz
+    72U,	// VRSQRT14SDrm
+    4U,	// VRSQRT14SDrr
+    72U,	// VRSQRT14SSrm
+    4U,	// VRSQRT14SSrr
+    0U,	// VRSQRT28PDm
+    0U,	// VRSQRT28PDmb
+    469U,	// VRSQRT28PDmbk
+    589U,	// VRSQRT28PDmbkz
+    469U,	// VRSQRT28PDmk
+    589U,	// VRSQRT28PDmkz
+    28U,	// VRSQRT28PDr
+    36U,	// VRSQRT28PDrb
+    725U,	// VRSQRT28PDrbk
+    781U,	// VRSQRT28PDrbkz
+    469U,	// VRSQRT28PDrk
+    589U,	// VRSQRT28PDrkz
+    0U,	// VRSQRT28PSm
+    0U,	// VRSQRT28PSmb
+    469U,	// VRSQRT28PSmbk
+    589U,	// VRSQRT28PSmbkz
+    469U,	// VRSQRT28PSmk
+    589U,	// VRSQRT28PSmkz
+    28U,	// VRSQRT28PSr
+    36U,	// VRSQRT28PSrb
+    725U,	// VRSQRT28PSrbk
+    781U,	// VRSQRT28PSrbkz
+    469U,	// VRSQRT28PSrk
+    589U,	// VRSQRT28PSrkz
+    324U,	// VRSQRT28SDm
+    0U,	// VRSQRT28SDmk
+    10448U,	// VRSQRT28SDmkz
+    324U,	// VRSQRT28SDr
+    900U,	// VRSQRT28SDrb
+    725U,	// VRSQRT28SDrbk
+    12496U,	// VRSQRT28SDrbkz
+    469U,	// VRSQRT28SDrk
+    10448U,	// VRSQRT28SDrkz
+    324U,	// VRSQRT28SSm
+    0U,	// VRSQRT28SSmk
+    10448U,	// VRSQRT28SSmkz
+    324U,	// VRSQRT28SSr
+    900U,	// VRSQRT28SSrb
+    725U,	// VRSQRT28SSrbk
+    12496U,	// VRSQRT28SSrbkz
+    469U,	// VRSQRT28SSrk
+    10448U,	// VRSQRT28SSrkz
     0U,	// VRSQRTPSYm
     0U,	// VRSQRTPSYm_Int
     0U,	// VRSQRTPSYr
@@ -12313,98 +17366,208 @@ static void printInstruction(MCInst *MI,
     0U,	// VRSQRTPSm_Int
     0U,	// VRSQRTPSr
     0U,	// VRSQRTPSr_Int
-    4U,	// VRSQRTSSm
-    4U,	// VRSQRTSSm_Int
-    0U,	// VRSQRTSSr
-    37U,	// VSCATTERDPDZmr
-    37U,	// VSCATTERDPSZmr
-    0U,	// VSCATTERPF0DPDm
-    0U,	// VSCATTERPF0DPSm
-    0U,	// VSCATTERPF0QPDm
-    0U,	// VSCATTERPF0QPSm
-    0U,	// VSCATTERPF1DPDm
-    0U,	// VSCATTERPF1DPSm
-    0U,	// VSCATTERPF1QPDm
-    0U,	// VSCATTERPF1QPSm
-    37U,	// VSCATTERQPDZmr
-    37U,	// VSCATTERQPSZmr
+    72U,	// VRSQRTSSm
+    72U,	// VRSQRTSSm_Int
+    4U,	// VRSQRTSSr
+    61U,	// VSCATTERDPDZmr
+    61U,	// VSCATTERDPSZmr
+    40U,	// VSCATTERPF0DPDm
+    40U,	// VSCATTERPF0DPSm
+    40U,	// VSCATTERPF0QPDm
+    40U,	// VSCATTERPF0QPSm
+    40U,	// VSCATTERPF1DPDm
+    40U,	// VSCATTERPF1DPSm
+    40U,	// VSCATTERPF1QPDm
+    40U,	// VSCATTERPF1QPSm
+    61U,	// VSCATTERQPDZmr
+    61U,	// VSCATTERQPSZmr
     0U,	// VSHUFPDYrmi
-    4U,	// VSHUFPDYrri
+    72U,	// VSHUFPDYrri
     0U,	// VSHUFPDZrmi
-    4U,	// VSHUFPDZrri
-    4U,	// VSHUFPDrmi
-    4U,	// VSHUFPDrri
+    72U,	// VSHUFPDZrri
+    72U,	// VSHUFPDrmi
+    72U,	// VSHUFPDrri
     0U,	// VSHUFPSYrmi
-    4U,	// VSHUFPSYrri
+    72U,	// VSHUFPSYrri
     0U,	// VSHUFPSZrmi
-    4U,	// VSHUFPSZrri
-    4U,	// VSHUFPSrmi
-    4U,	// VSHUFPSrri
+    72U,	// VSHUFPSZrri
+    72U,	// VSHUFPSrmi
+    72U,	// VSHUFPSrri
     0U,	// VSQRTPDYm
     0U,	// VSQRTPDYr
-    0U,	// VSQRTPDZrm
-    0U,	// VSQRTPDZrr
+    0U,	// VSQRTPDZ128m
+    28U,	// VSQRTPDZ128mb
+    6672U,	// VSQRTPDZ128mbk
+    10448U,	// VSQRTPDZ128mbkz
+    469U,	// VSQRTPDZ128mk
+    589U,	// VSQRTPDZ128mkz
+    28U,	// VSQRTPDZ128r
+    469U,	// VSQRTPDZ128rk
+    589U,	// VSQRTPDZ128rkz
+    0U,	// VSQRTPDZ256m
+    28U,	// VSQRTPDZ256mb
+    6672U,	// VSQRTPDZ256mbk
+    10448U,	// VSQRTPDZ256mbkz
+    469U,	// VSQRTPDZ256mk
+    589U,	// VSQRTPDZ256mkz
+    28U,	// VSQRTPDZ256r
+    469U,	// VSQRTPDZ256rk
+    589U,	// VSQRTPDZ256rkz
+    0U,	// VSQRTPDZm
+    28U,	// VSQRTPDZmb
+    6672U,	// VSQRTPDZmbk
+    10448U,	// VSQRTPDZmbkz
+    469U,	// VSQRTPDZmk
+    589U,	// VSQRTPDZmkz
+    28U,	// VSQRTPDZr
+    469U,	// VSQRTPDZrk
+    589U,	// VSQRTPDZrkz
     0U,	// VSQRTPDm
     0U,	// VSQRTPDr
     0U,	// VSQRTPSYm
     0U,	// VSQRTPSYr
-    0U,	// VSQRTPSZrm
-    0U,	// VSQRTPSZrr
+    0U,	// VSQRTPSZ128m
+    28U,	// VSQRTPSZ128mb
+    6672U,	// VSQRTPSZ128mbk
+    10448U,	// VSQRTPSZ128mbkz
+    469U,	// VSQRTPSZ128mk
+    589U,	// VSQRTPSZ128mkz
+    28U,	// VSQRTPSZ128r
+    469U,	// VSQRTPSZ128rk
+    589U,	// VSQRTPSZ128rkz
+    0U,	// VSQRTPSZ256m
+    28U,	// VSQRTPSZ256mb
+    6672U,	// VSQRTPSZ256mbk
+    10448U,	// VSQRTPSZ256mbkz
+    469U,	// VSQRTPSZ256mk
+    589U,	// VSQRTPSZ256mkz
+    28U,	// VSQRTPSZ256r
+    469U,	// VSQRTPSZ256rk
+    589U,	// VSQRTPSZ256rkz
+    0U,	// VSQRTPSZm
+    28U,	// VSQRTPSZmb
+    6672U,	// VSQRTPSZmbk
+    10448U,	// VSQRTPSZmbkz
+    469U,	// VSQRTPSZmk
+    589U,	// VSQRTPSZmkz
+    28U,	// VSQRTPSZr
+    469U,	// VSQRTPSZrk
+    589U,	// VSQRTPSZrkz
     0U,	// VSQRTPSm
     0U,	// VSQRTPSr
-    4U,	// VSQRTSDZm
-    4U,	// VSQRTSDZm_Int
-    0U,	// VSQRTSDZr
-    0U,	// VSQRTSDZr_Int
-    4U,	// VSQRTSDm
-    4U,	// VSQRTSDm_Int
-    0U,	// VSQRTSDr
-    4U,	// VSQRTSSZm
-    4U,	// VSQRTSSZm_Int
-    0U,	// VSQRTSSZr
-    0U,	// VSQRTSSZr_Int
-    4U,	// VSQRTSSm
-    4U,	// VSQRTSSm_Int
-    0U,	// VSQRTSSr
+    72U,	// VSQRTSDZm
+    72U,	// VSQRTSDZm_Int
+    4U,	// VSQRTSDZr
+    4U,	// VSQRTSDZr_Int
+    72U,	// VSQRTSDm
+    72U,	// VSQRTSDm_Int
+    4U,	// VSQRTSDr
+    72U,	// VSQRTSSZm
+    72U,	// VSQRTSSZm_Int
+    4U,	// VSQRTSSZr
+    4U,	// VSQRTSSZr_Int
+    72U,	// VSQRTSSm
+    72U,	// VSQRTSSm_Int
+    4U,	// VSQRTSSr
     0U,	// VSTMXCSR
-    0U,	// VSUBPDYrm
-    0U,	// VSUBPDYrr
-    0U,	// VSUBPDZrm
-    4U,	// VSUBPDZrmb
-    2052U,	// VSUBPDZrmbk
-    10244U,	// VSUBPDZrmbkz
-    3220U,	// VSUBPDZrmk
-    4244U,	// VSUBPDZrmkz
-    0U,	// VSUBPDZrr
-    5268U,	// VSUBPDZrrk
-    4244U,	// VSUBPDZrrkz
-    0U,	// VSUBPDrm
-    0U,	// VSUBPDrr
-    0U,	// VSUBPSYrm
-    0U,	// VSUBPSYrr
-    0U,	// VSUBPSZrm
-    4U,	// VSUBPSZrmb
-    2052U,	// VSUBPSZrmbk
-    10244U,	// VSUBPSZrmbkz
-    3220U,	// VSUBPSZrmk
-    4244U,	// VSUBPSZrmkz
-    0U,	// VSUBPSZrr
-    5268U,	// VSUBPSZrrk
-    4244U,	// VSUBPSZrrkz
-    0U,	// VSUBPSrm
-    0U,	// VSUBPSrr
-    4U,	// VSUBSDZrm
-    0U,	// VSUBSDZrr
-    4U,	// VSUBSDrm
-    4U,	// VSUBSDrm_Int
-    0U,	// VSUBSDrr
-    0U,	// VSUBSDrr_Int
-    4U,	// VSUBSSZrm
-    0U,	// VSUBSSZrr
-    4U,	// VSUBSSrm
-    4U,	// VSUBSSrm_Int
-    0U,	// VSUBSSrr
-    0U,	// VSUBSSrr_Int
+    4U,	// VSUBPDYrm
+    4U,	// VSUBPDYrr
+    324U,	// VSUBPDZ128rm
+    4168U,	// VSUBPDZ128rmb
+    6533U,	// VSUBPDZ128rmbk
+    41032U,	// VSUBPDZ128rmbkz
+    0U,	// VSUBPDZ128rmk
+    10448U,	// VSUBPDZ128rmkz
+    324U,	// VSUBPDZ128rr
+    469U,	// VSUBPDZ128rrk
+    10448U,	// VSUBPDZ128rrkz
+    324U,	// VSUBPDZ256rm
+    4168U,	// VSUBPDZ256rmb
+    6533U,	// VSUBPDZ256rmbk
+    41032U,	// VSUBPDZ256rmbkz
+    0U,	// VSUBPDZ256rmk
+    10448U,	// VSUBPDZ256rmkz
+    324U,	// VSUBPDZ256rr
+    469U,	// VSUBPDZ256rrk
+    10448U,	// VSUBPDZ256rrkz
+    0U,	// VSUBPDZrb
+    0U,	// VSUBPDZrbk
+    24U,	// VSUBPDZrbkz
+    324U,	// VSUBPDZrm
+    4168U,	// VSUBPDZrmb
+    6533U,	// VSUBPDZrmbk
+    41032U,	// VSUBPDZrmbkz
+    0U,	// VSUBPDZrmk
+    10448U,	// VSUBPDZrmkz
+    324U,	// VSUBPDZrr
+    469U,	// VSUBPDZrrk
+    10448U,	// VSUBPDZrrkz
+    4U,	// VSUBPDrm
+    4U,	// VSUBPDrr
+    4U,	// VSUBPSYrm
+    4U,	// VSUBPSYrr
+    324U,	// VSUBPSZ128rm
+    4168U,	// VSUBPSZ128rmb
+    6533U,	// VSUBPSZ128rmbk
+    41032U,	// VSUBPSZ128rmbkz
+    0U,	// VSUBPSZ128rmk
+    10448U,	// VSUBPSZ128rmkz
+    324U,	// VSUBPSZ128rr
+    469U,	// VSUBPSZ128rrk
+    10448U,	// VSUBPSZ128rrkz
+    324U,	// VSUBPSZ256rm
+    4168U,	// VSUBPSZ256rmb
+    6533U,	// VSUBPSZ256rmbk
+    41032U,	// VSUBPSZ256rmbkz
+    0U,	// VSUBPSZ256rmk
+    10448U,	// VSUBPSZ256rmkz
+    324U,	// VSUBPSZ256rr
+    469U,	// VSUBPSZ256rrk
+    10448U,	// VSUBPSZ256rrkz
+    0U,	// VSUBPSZrb
+    0U,	// VSUBPSZrbk
+    24U,	// VSUBPSZrbkz
+    324U,	// VSUBPSZrm
+    4168U,	// VSUBPSZrmb
+    6533U,	// VSUBPSZrmbk
+    41032U,	// VSUBPSZrmbkz
+    0U,	// VSUBPSZrmk
+    10448U,	// VSUBPSZrmkz
+    324U,	// VSUBPSZrr
+    469U,	// VSUBPSZrrk
+    10448U,	// VSUBPSZrrkz
+    4U,	// VSUBPSrm
+    4U,	// VSUBPSrr
+    72U,	// VSUBSDZrm
+    324U,	// VSUBSDZrm_Int
+    0U,	// VSUBSDZrm_Intk
+    10448U,	// VSUBSDZrm_Intkz
+    4U,	// VSUBSDZrr
+    324U,	// VSUBSDZrr_Int
+    469U,	// VSUBSDZrr_Intk
+    10448U,	// VSUBSDZrr_Intkz
+    0U,	// VSUBSDZrrb
+    0U,	// VSUBSDZrrbk
+    24U,	// VSUBSDZrrbkz
+    72U,	// VSUBSDrm
+    72U,	// VSUBSDrm_Int
+    4U,	// VSUBSDrr
+    4U,	// VSUBSDrr_Int
+    72U,	// VSUBSSZrm
+    324U,	// VSUBSSZrm_Int
+    0U,	// VSUBSSZrm_Intk
+    10448U,	// VSUBSSZrm_Intkz
+    4U,	// VSUBSSZrr
+    324U,	// VSUBSSZrr_Int
+    469U,	// VSUBSSZrr_Intk
+    10448U,	// VSUBSSZrr_Intkz
+    0U,	// VSUBSSZrrb
+    0U,	// VSUBSSZrrbk
+    24U,	// VSUBSSZrrbkz
+    72U,	// VSUBSSrm
+    72U,	// VSUBSSrm_Int
+    4U,	// VSUBSSrr
+    4U,	// VSUBSSrr_Int
     0U,	// VTESTPDYrm
     0U,	// VTESTPDYrr
     0U,	// VTESTPDrm
@@ -12421,43 +17584,42 @@ static void printInstruction(MCInst *MI,
     0U,	// VUCOMISSZrr
     0U,	// VUCOMISSrm
     0U,	// VUCOMISSrr
-    0U,	// VUNPCKHPDYrm
-    0U,	// VUNPCKHPDYrr
-    0U,	// VUNPCKHPDZrm
-    0U,	// VUNPCKHPDZrr
-    0U,	// VUNPCKHPDrm
-    0U,	// VUNPCKHPDrr
-    0U,	// VUNPCKHPSYrm
-    0U,	// VUNPCKHPSYrr
-    0U,	// VUNPCKHPSZrm
-    0U,	// VUNPCKHPSZrr
-    0U,	// VUNPCKHPSrm
-    0U,	// VUNPCKHPSrr
-    0U,	// VUNPCKLPDYrm
-    0U,	// VUNPCKLPDYrr
-    0U,	// VUNPCKLPDZrm
-    0U,	// VUNPCKLPDZrr
-    0U,	// VUNPCKLPDrm
-    0U,	// VUNPCKLPDrr
-    0U,	// VUNPCKLPSYrm
-    0U,	// VUNPCKLPSYrr
-    0U,	// VUNPCKLPSZrm
-    0U,	// VUNPCKLPSZrr
-    0U,	// VUNPCKLPSrm
-    0U,	// VUNPCKLPSrr
-    0U,	// VXORPDYrm
-    0U,	// VXORPDYrr
-    0U,	// VXORPDrm
-    0U,	// VXORPDrr
-    0U,	// VXORPSYrm
-    0U,	// VXORPSYrr
-    0U,	// VXORPSrm
-    0U,	// VXORPSrr
+    4U,	// VUNPCKHPDYrm
+    4U,	// VUNPCKHPDYrr
+    4U,	// VUNPCKHPDZrm
+    4U,	// VUNPCKHPDZrr
+    4U,	// VUNPCKHPDrm
+    4U,	// VUNPCKHPDrr
+    4U,	// VUNPCKHPSYrm
+    4U,	// VUNPCKHPSYrr
+    4U,	// VUNPCKHPSZrm
+    4U,	// VUNPCKHPSZrr
+    4U,	// VUNPCKHPSrm
+    4U,	// VUNPCKHPSrr
+    4U,	// VUNPCKLPDYrm
+    4U,	// VUNPCKLPDYrr
+    4U,	// VUNPCKLPDZrm
+    4U,	// VUNPCKLPDZrr
+    4U,	// VUNPCKLPDrm
+    4U,	// VUNPCKLPDrr
+    4U,	// VUNPCKLPSYrm
+    4U,	// VUNPCKLPSYrr
+    4U,	// VUNPCKLPSZrm
+    4U,	// VUNPCKLPSZrr
+    4U,	// VUNPCKLPSrm
+    4U,	// VUNPCKLPSrr
+    4U,	// VXORPDYrm
+    4U,	// VXORPDYrr
+    4U,	// VXORPDrm
+    4U,	// VXORPDrr
+    4U,	// VXORPSYrm
+    4U,	// VXORPSYrr
+    4U,	// VXORPSrm
+    4U,	// VXORPSrr
     0U,	// VZEROALL
     0U,	// VZEROUPPER
     0U,	// V_SET0
     0U,	// V_SETALLONES
-    0U,	// W64ALLOCA
     0U,	// WAIT
     0U,	// WBINVD
     0U,	// WIN_ALLOCA
@@ -12479,6 +17641,7 @@ static void printInstruction(MCInst *MI,
     0U,	// XADD8rm
     0U,	// XADD8rr
     0U,	// XBEGIN
+    0U,	// XBEGIN_2
     0U,	// XBEGIN_4
     0U,	// XCHG16ar
     0U,	// XCHG16rm
@@ -12530,6 +17693,7 @@ static void printInstruction(MCInst *MI,
     0U,	// XOR64rr_REV
     0U,	// XOR8i8
     0U,	// XOR8mi
+    0U,	// XOR8mi8
     0U,	// XOR8mr
     0U,	// XOR8ri
     0U,	// XOR8ri8
@@ -12543,1622 +17707,1528 @@ static void printInstruction(MCInst *MI,
     0U,	// XRELEASE_PREFIX
     0U,	// XRSTOR
     0U,	// XRSTOR64
+    0U,	// XRSTORS
+    0U,	// XRSTORS64
     0U,	// XSAVE
     0U,	// XSAVE64
+    0U,	// XSAVEC
+    0U,	// XSAVEC64
     0U,	// XSAVEOPT
     0U,	// XSAVEOPT64
+    0U,	// XSAVES
+    0U,	// XSAVES64
     0U,	// XSETBV
     0U,	// XSHA1
     0U,	// XSHA256
     0U,	// XSTORE
     0U,	// XTEST
+    0U,	// fdisi8087_nop
+    0U,	// feni8087_nop
     0U
   };
 
 #ifndef CAPSTONE_DIET
-  static const char AsmStrs[] = {
-  /* 0 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '3', '2', 'x', '4', 32, 9, 0,
-  /* 18 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '6', '4', 'x', '4', 32, 9, 0,
-  /* 36 */ 'k', 'a', 'n', 'd', 'b', 32, 9, 0,
-  /* 44 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'b', 32, 9, 0,
-  /* 56 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'b', 32, 9, 0,
-  /* 67 */ 'v', 'p', 'm', 'o', 'v', 'd', 'b', 32, 9, 0,
-  /* 77 */ 'k', 'a', 'n', 'd', 'n', 'b', 32, 9, 0,
-  /* 86 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'b', 32, 9, 0,
-  /* 98 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'b', 32, 9, 0,
-  /* 109 */ 'v', 'p', 'm', 'o', 'v', 'q', 'b', 32, 9, 0,
-  /* 119 */ 'k', 'o', 'r', 'b', 32, 9, 0,
-  /* 126 */ 'k', 'x', 'n', 'o', 'r', 'b', 32, 9, 0,
-  /* 135 */ 'k', 'x', 'o', 'r', 'b', 32, 9, 0,
-  /* 143 */ 'k', 'n', 'o', 't', 'b', 32, 9, 0,
-  /* 151 */ 'k', 'm', 'o', 'v', 'b', 32, 9, 0,
-  /* 159 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'd', 32, 9, 0,
-  /* 170 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'd', 32, 9, 0,
-  /* 181 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'w', '2', 'd', 32, 9, 0,
-  /* 199 */ 'v', 'p', 's', 'r', 'a', 'd', 32, 9, 0,
-  /* 208 */ 'v', 'p', 's', 'u', 'b', 'd', 32, 9, 0,
-  /* 217 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 32, 9, 0,
-  /* 229 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 32, 9, 0,
-  /* 241 */ 'v', 'p', 'a', 'd', 'd', 'd', 32, 9, 0,
-  /* 250 */ 'k', 'a', 'n', 'd', 'd', 32, 9, 0,
-  /* 258 */ 'v', 'p', 'a', 'n', 'd', 'd', 32, 9, 0,
-  /* 267 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 32, 9, 0,
-  /* 280 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'd', 32, 9, 0,
-  /* 294 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 32, 9, 0,
-  /* 304 */ 'v', 'p', 's', 'l', 'l', 'd', 32, 9, 0,
-  /* 313 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 32, 9, 0,
-  /* 323 */ 'v', 'p', 's', 'r', 'l', 'd', 32, 9, 0,
-  /* 332 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'd', 32, 9, 0,
-  /* 344 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'd', 32, 9, 0,
-  /* 356 */ 'v', 'p', 'e', 'r', 'm', 'd', 32, 9, 0,
-  /* 365 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'd', 32, 9, 0,
-  /* 376 */ 'k', 'a', 'n', 'd', 'n', 'd', 32, 9, 0,
-  /* 385 */ 'v', 'p', 'a', 'n', 'd', 'n', 'd', 32, 9, 0,
-  /* 395 */ 'v', 'a', 'l', 'i', 'g', 'n', 'd', 32, 9, 0,
-  /* 405 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 422 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 436 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 451 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 468 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 482 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 32, 9, 0,
-  /* 497 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 'd', 32, 9, 0,
-  /* 509 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 32, 9, 0,
-  /* 521 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 'd', 32, 9, 0,
-  /* 534 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 32, 9, 0,
-  /* 546 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 'd', 32, 9, 0,
-  /* 558 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 575 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 589 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 604 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 621 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 635 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 32, 9, 0,
-  /* 650 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 'd', 32, 9, 0,
-  /* 661 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 'd', 32, 9, 0,
-  /* 674 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 'd', 32, 9, 0,
-  /* 685 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 'd', 32, 9, 0,
-  /* 698 */ 'v', 's', 'u', 'b', 'p', 'd', 32, 9, 0,
-  /* 707 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 32, 9, 0,
-  /* 723 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 32, 9, 0,
-  /* 740 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 32, 9, 0,
-  /* 756 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 32, 9, 0,
-  /* 773 */ 'v', 'a', 'd', 'd', 'p', 'd', 32, 9, 0,
-  /* 782 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 32, 9, 0,
-  /* 795 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 'd', 32, 9, 0,
-  /* 809 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 'd', 32, 9, 0,
-  /* 823 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 32, 9, 0,
-  /* 833 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 32, 9, 0,
-  /* 845 */ 'v', 'm', 'u', 'l', 'p', 'd', 32, 9, 0,
-  /* 854 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 'd', 32, 9, 0,
-  /* 866 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 32, 9, 0,
-  /* 876 */ 'v', 'm', 'i', 'n', 'p', 'd', 32, 9, 0,
-  /* 885 */ 'v', 'c', 'm', 'p', 'p', 'd', 32, 9, 0,
-  /* 894 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 32, 9, 0,
-  /* 910 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 32, 9, 0,
-  /* 927 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 32, 9, 0,
-  /* 943 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 32, 9, 0,
-  /* 960 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 32, 9, 0,
-  /* 973 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 'd', 32, 9, 0,
-  /* 987 */ 'v', 'd', 'i', 'v', 'p', 'd', 32, 9, 0,
-  /* 996 */ 'v', 'm', 'a', 'x', 'p', 'd', 32, 9, 0,
-  /* 1005 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 32, 9, 0,
-  /* 1018 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'd', 32, 9, 0,
-  /* 1032 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'd', 32, 9, 0,
-  /* 1044 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'd', 32, 9, 0,
-  /* 1055 */ 'v', 'p', 'm', 'o', 'v', 'q', 'd', 32, 9, 0,
-  /* 1065 */ 'k', 'o', 'r', 'd', 32, 9, 0,
-  /* 1072 */ 'k', 'x', 'n', 'o', 'r', 'd', 32, 9, 0,
-  /* 1081 */ 'v', 'p', 'o', 'r', 'd', 32, 9, 0,
-  /* 1089 */ 'k', 'x', 'o', 'r', 'd', 32, 9, 0,
-  /* 1097 */ 'v', 'p', 'x', 'o', 'r', 'd', 32, 9, 0,
-  /* 1106 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1120 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1135 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1149 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 32, 9, 0,
-  /* 1164 */ 'v', 'r', 'c', 'p', '1', '4', 's', 'd', 32, 9, 0,
-  /* 1175 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 'd', 32, 9, 0,
-  /* 1188 */ 'v', 'r', 'c', 'p', '2', '8', 's', 'd', 32, 9, 0,
-  /* 1199 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 'd', 32, 9, 0,
-  /* 1212 */ 'v', 'p', 'a', 'b', 's', 'd', 32, 9, 0,
-  /* 1221 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 'd', 32, 9, 0,
-  /* 1235 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 32, 9, 0,
-  /* 1245 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 32, 9, 0,
-  /* 1260 */ 'v', 'm', 'o', 'v', 's', 'd', 32, 9, 0,
-  /* 1269 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 32, 9, 0,
-  /* 1279 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'd', 32, 9, 0,
-  /* 1293 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'd', 32, 9, 0,
-  /* 1304 */ 'k', 'n', 'o', 't', 'd', 32, 9, 0,
-  /* 1312 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 32, 9, 0,
-  /* 1327 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 32, 9, 0,
-  /* 1337 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 32, 9, 0,
-  /* 1347 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 32, 9, 0,
-  /* 1357 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 32, 9, 0,
-  /* 1367 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 32, 9, 0,
-  /* 1377 */ 'k', 'm', 'o', 'v', 'd', 32, 9, 0,
-  /* 1385 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 32, 9, 0,
-  /* 1397 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 32, 9, 0,
-  /* 1409 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 32, 9, 0,
-  /* 1421 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 32, 9, 0,
-  /* 1434 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 32, 9, 0,
-  /* 1446 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 32, 9, 0,
-  /* 1459 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 32, 9, 0,
-  /* 1471 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1485 */ 'v', 'c', 'v', 't', 's', 'd', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1498 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1512 */ 'v', 'c', 'v', 't', 's', 's', '2', 'u', 's', 'i', 32, 9, 0,
-  /* 1525 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'l', 32, 9, 0,
-  /* 1538 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'l', 32, 9, 0,
-  /* 1552 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'l', 32, 9, 0,
-  /* 1565 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'l', 32, 9, 0,
-  /* 1579 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 32, 9, 0,
-  /* 1590 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 32, 9, 0,
-  /* 1602 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 32, 9, 0,
-  /* 1614 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'b', '2', 'q', 32, 9, 0,
-  /* 1632 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'q', 32, 9, 0,
-  /* 1643 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'q', 32, 9, 0,
-  /* 1654 */ 'v', 'p', 's', 'r', 'a', 'q', 32, 9, 0,
-  /* 1663 */ 'v', 'p', 's', 'u', 'b', 'q', 32, 9, 0,
-  /* 1672 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 32, 9, 0,
-  /* 1684 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 32, 9, 0,
-  /* 1696 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 32, 9, 0,
-  /* 1709 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 32, 9, 0,
-  /* 1721 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 32, 9, 0,
-  /* 1734 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 32, 9, 0,
-  /* 1746 */ 'v', 'p', 'a', 'd', 'd', 'q', 32, 9, 0,
-  /* 1755 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 32, 9, 0,
-  /* 1768 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 32, 9, 0,
-  /* 1781 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 32, 9, 0,
-  /* 1791 */ 'k', 'a', 'n', 'd', 'q', 32, 9, 0,
-  /* 1799 */ 'v', 'p', 'a', 'n', 'd', 'q', 32, 9, 0,
-  /* 1808 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 32, 9, 0,
-  /* 1822 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 32, 9, 0,
-  /* 1836 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 32, 9, 0,
-  /* 1849 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'q', 32, 9, 0,
-  /* 1863 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'q', 32, 9, 0,
-  /* 1876 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'q', 32, 9, 0,
-  /* 1890 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1904 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1917 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1931 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'u', 'd', 'q', 32, 9, 0,
-  /* 1944 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 32, 9, 0,
-  /* 1955 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 32, 9, 0,
-  /* 1967 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 32, 9, 0,
-  /* 1979 */ 'v', 'p', 's', 'l', 'l', 'q', 32, 9, 0,
-  /* 1988 */ 'v', 'p', 's', 'r', 'l', 'q', 32, 9, 0,
-  /* 1997 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'q', 32, 9, 0,
-  /* 2009 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'q', 32, 9, 0,
-  /* 2021 */ 'v', 'p', 'e', 'r', 'm', 'q', 32, 9, 0,
-  /* 2030 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'q', 32, 9, 0,
-  /* 2041 */ 'k', 'a', 'n', 'd', 'n', 'q', 32, 9, 0,
-  /* 2050 */ 'v', 'p', 'a', 'n', 'd', 'n', 'q', 32, 9, 0,
-  /* 2060 */ 'v', 'a', 'l', 'i', 'g', 'n', 'q', 32, 9, 0,
-  /* 2070 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 32, 9, 0,
-  /* 2083 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'q', 32, 9, 0,
-  /* 2097 */ 'k', 'o', 'r', 'q', 32, 9, 0,
-  /* 2104 */ 'k', 'x', 'n', 'o', 'r', 'q', 32, 9, 0,
-  /* 2113 */ 'v', 'p', 'o', 'r', 'q', 32, 9, 0,
-  /* 2121 */ 'k', 'x', 'o', 'r', 'q', 32, 9, 0,
-  /* 2129 */ 'v', 'p', 'x', 'o', 'r', 'q', 32, 9, 0,
-  /* 2138 */ 'v', 'p', 'a', 'b', 's', 'q', 32, 9, 0,
-  /* 2147 */ 'v', 'p', 'm', 'i', 'n', 's', 'q', 32, 9, 0,
-  /* 2157 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'q', 32, 9, 0,
-  /* 2170 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'q', 32, 9, 0,
-  /* 2184 */ 'v', 'p', 'm', 'a', 'x', 's', 'q', 32, 9, 0,
-  /* 2194 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'q', 32, 9, 0,
-  /* 2208 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'q', 32, 9, 0,
-  /* 2219 */ 'k', 'n', 'o', 't', 'q', 32, 9, 0,
-  /* 2227 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 32, 9, 0,
-  /* 2242 */ 'v', 'p', 'm', 'i', 'n', 'u', 'q', 32, 9, 0,
-  /* 2252 */ 'v', 'p', 'm', 'a', 'x', 'u', 'q', 32, 9, 0,
-  /* 2262 */ 'v', 'p', 's', 'r', 'a', 'v', 'q', 32, 9, 0,
-  /* 2272 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 32, 9, 0,
-  /* 2282 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 32, 9, 0,
-  /* 2292 */ 'k', 'm', 'o', 'v', 'q', 32, 9, 0,
-  /* 2300 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 32, 9, 0,
-  /* 2312 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 32, 9, 0,
-  /* 2324 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2341 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2355 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2370 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2387 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2401 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 32, 9, 0,
-  /* 2416 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 32, 9, 0,
-  /* 2428 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 's', 32, 9, 0,
-  /* 2440 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 32, 9, 0,
-  /* 2452 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 's', 32, 9, 0,
-  /* 2465 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 's', 32, 9, 0,
-  /* 2477 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2494 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2508 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2523 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2540 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2554 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 32, 9, 0,
-  /* 2569 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 's', 32, 9, 0,
-  /* 2580 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 's', 32, 9, 0,
-  /* 2593 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 's', 32, 9, 0,
-  /* 2604 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 's', 32, 9, 0,
-  /* 2617 */ 'v', 's', 'u', 'b', 'p', 's', 32, 9, 0,
-  /* 2626 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 32, 9, 0,
-  /* 2642 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 32, 9, 0,
-  /* 2659 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 32, 9, 0,
-  /* 2675 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 32, 9, 0,
-  /* 2692 */ 'v', 'a', 'd', 'd', 'p', 's', 32, 9, 0,
-  /* 2701 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 32, 9, 0,
-  /* 2714 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 's', 32, 9, 0,
-  /* 2728 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 's', 32, 9, 0,
-  /* 2742 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 32, 9, 0,
-  /* 2752 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 32, 9, 0,
-  /* 2764 */ 'v', 'm', 'u', 'l', 'p', 's', 32, 9, 0,
-  /* 2773 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 's', 32, 9, 0,
-  /* 2785 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 32, 9, 0,
-  /* 2795 */ 'v', 'm', 'i', 'n', 'p', 's', 32, 9, 0,
-  /* 2804 */ 'v', 'c', 'm', 'p', 'p', 's', 32, 9, 0,
-  /* 2813 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 32, 9, 0,
-  /* 2829 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 32, 9, 0,
-  /* 2846 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 32, 9, 0,
-  /* 2862 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 32, 9, 0,
-  /* 2879 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 32, 9, 0,
-  /* 2892 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 's', 32, 9, 0,
-  /* 2906 */ 'v', 'd', 'i', 'v', 'p', 's', 32, 9, 0,
-  /* 2915 */ 'v', 'm', 'a', 'x', 'p', 's', 32, 9, 0,
-  /* 2924 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2938 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2953 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2967 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 32, 9, 0,
-  /* 2982 */ 'v', 'r', 'c', 'p', '1', '4', 's', 's', 32, 9, 0,
-  /* 2993 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 's', 32, 9, 0,
-  /* 3006 */ 'v', 'r', 'c', 'p', '2', '8', 's', 's', 32, 9, 0,
-  /* 3017 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 's', 32, 9, 0,
-  /* 3030 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 's', 32, 9, 0,
-  /* 3044 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 32, 9, 0,
-  /* 3059 */ 'v', 'm', 'o', 'v', 's', 's', 32, 9, 0,
-  /* 3068 */ 'k', 'u', 'n', 'p', 'c', 'k', 'b', 'w', 32, 9, 0,
-  /* 3079 */ 'k', 'a', 'n', 'd', 'w', 32, 9, 0,
-  /* 3087 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'w', 32, 9, 0,
-  /* 3099 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'w', 32, 9, 0,
-  /* 3110 */ 'v', 'p', 'm', 'o', 'v', 'd', 'w', 32, 9, 0,
-  /* 3120 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'w', 32, 9, 0,
-  /* 3131 */ 'k', 'a', 'n', 'd', 'n', 'w', 32, 9, 0,
-  /* 3140 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'w', 32, 9, 0,
-  /* 3152 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'w', 32, 9, 0,
-  /* 3163 */ 'v', 'p', 'm', 'o', 'v', 'q', 'w', 32, 9, 0,
-  /* 3173 */ 'k', 'o', 'r', 'w', 32, 9, 0,
-  /* 3180 */ 'k', 'x', 'n', 'o', 'r', 'w', 32, 9, 0,
-  /* 3189 */ 'k', 'x', 'o', 'r', 'w', 32, 9, 0,
-  /* 3197 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'w', 32, 9, 0,
-  /* 3208 */ 'k', 'n', 'o', 't', 'w', 32, 9, 0,
-  /* 3216 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'w', 32, 9, 0,
-  /* 3227 */ 'k', 'm', 'o', 'v', 'w', 32, 9, 0,
-  /* 3235 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '0', 9, 0,
-  /* 3247 */ 's', 'h', 'a', '1', 'm', 's', 'g', '1', 9, 0,
-  /* 3257 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '1', 9, 0,
-  /* 3269 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '1', 9, 0,
-  /* 3281 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '1', 9, 0,
-  /* 3291 */ 'p', 'f', 'r', 's', 'q', 'i', 't', '1', 9, 0,
-  /* 3301 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '3', '2', 9, 0,
-  /* 3312 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '3', '2', 9, 0,
-  /* 3323 */ 's', 'h', 'a', '1', 'm', 's', 'g', '2', 9, 0,
-  /* 3333 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '2', 9, 0,
-  /* 3345 */ 's', 'h', 'a', '2', '5', '6', 'r', 'n', 'd', 's', '2', 9, 0,
-  /* 3358 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '2', 9, 0,
-  /* 3370 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '2', 9, 0,
-  /* 3380 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '6', '4', 9, 0,
-  /* 3391 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '6', '4', 9, 0,
-  /* 3402 */ 's', 'h', 'a', '1', 'r', 'n', 'd', 's', '4', 9, 0,
-  /* 3413 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '3', '2', 'x', '4', 9, 0,
-  /* 3428 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '4', 9, 0,
-  /* 3442 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '3', '2', 'x', '4', 9, 0,
-  /* 3457 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '4', 9, 0,
-  /* 3471 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '6', '4', 'x', '4', 9, 0,
-  /* 3486 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '4', 9, 0,
-  /* 3500 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '6', '4', 'x', '4', 9, 0,
-  /* 3515 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '4', 9, 0,
-  /* 3529 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '1', '6', 9, 0,
-  /* 3540 */ 'v', 'p', 'e', 'r', 'm', '2', 'f', '1', '2', '8', 9, 0,
-  /* 3552 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3566 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3579 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'f', '1', '2', '8', 9, 0,
-  /* 3595 */ 'v', 'p', 'e', 'r', 'm', '2', 'i', '1', '2', '8', 9, 0,
-  /* 3607 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3621 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3634 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '1', '2', '8', 9, 0,
-  /* 3650 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '8', 9, 0,
-  /* 3660 */ 'j', 'a', 9, 0,
-  /* 3664 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 'a', 9, 0,
-  /* 3675 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', 9, 0,
-  /* 3684 */ 's', 'e', 't', 'a', 9, 0,
-  /* 3690 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'n', 't', 'a', 9, 0,
-  /* 3703 */ 'c', 'r', 'c', '3', '2', 'b', 9, 0,
-  /* 3711 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
-  /* 3723 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
-  /* 3734 */ 'v', 'p', 's', 'h', 'a', 'b', 9, 0,
-  /* 3742 */ 's', 'b', 'b', 'b', 9, 0,
-  /* 3748 */ 'v', 'p', 's', 'u', 'b', 'b', 9, 0,
-  /* 3756 */ 'a', 'd', 'c', 'b', 9, 0,
-  /* 3762 */ 'd', 'e', 'c', 'b', 9, 0,
-  /* 3768 */ 'i', 'n', 'c', 'b', 9, 0,
-  /* 3774 */ 'v', 'p', 'a', 'd', 'd', 'b', 9, 0,
-  /* 3782 */ 'x', 'a', 'd', 'd', 'b', 9, 0,
-  /* 3789 */ 'a', 'n', 'd', 'b', 9, 0,
-  /* 3795 */ 'v', 'p', 's', 'h', 'u', 'f', 'b', 9, 0,
-  /* 3804 */ 'n', 'e', 'g', 'b', 9, 0,
-  /* 3810 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'b', 9, 0,
-  /* 3820 */ 'v', 'p', 'a', 'v', 'g', 'b', 9, 0,
-  /* 3828 */ 'j', 'b', 9, 0,
-  /* 3832 */ 'v', 'p', 'm', 'o', 'v', 'm', 's', 'k', 'b', 9, 0,
-  /* 3843 */ 's', 'a', 'l', 'b', 9, 0,
-  /* 3849 */ 'r', 'c', 'l', 'b', 9, 0,
-  /* 3855 */ 'v', 'p', 's', 'h', 'l', 'b', 9, 0,
-  /* 3863 */ 'r', 'o', 'l', 'b', 9, 0,
-  /* 3869 */ 'i', 'm', 'u', 'l', 'b', 9, 0,
-  /* 3876 */ 'v', 'p', 'c', 'o', 'm', 'b', 9, 0,
-  /* 3884 */ 'v', 'p', 's', 'i', 'g', 'n', 'b', 9, 0,
-  /* 3893 */ 'i', 'n', 'b', 9, 0,
-  /* 3898 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 9, 0,
-  /* 3907 */ 'c', 'm', 'p', 'b', 9, 0,
-  /* 3913 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'b', 9, 0,
-  /* 3923 */ 's', 'a', 'r', 'b', 9, 0,
-  /* 3929 */ 'r', 'c', 'r', 'b', 9, 0,
-  /* 3935 */ 's', 'h', 'r', 'b', 9, 0,
-  /* 3941 */ 'r', 'o', 'r', 'b', 9, 0,
-  /* 3947 */ 'x', 'o', 'r', 'b', 9, 0,
-  /* 3953 */ 'v', 'p', 'i', 'n', 's', 'r', 'b', 9, 0,
-  /* 3962 */ 'v', 'p', 'e', 'x', 't', 'r', 'b', 9, 0,
-  /* 3971 */ 's', 'c', 'a', 's', 'b', 9, 0,
-  /* 3978 */ 'v', 'p', 'a', 'b', 's', 'b', 9, 0,
-  /* 3986 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, 0,
-  /* 3995 */ 'v', 'p', 's', 'u', 'b', 's', 'b', 9, 0,
-  /* 4004 */ 'v', 'p', 'a', 'd', 'd', 's', 'b', 9, 0,
-  /* 4013 */ 'l', 'o', 'd', 's', 'b', 9, 0,
-  /* 4020 */ 'v', 'p', 'm', 'i', 'n', 's', 'b', 9, 0,
-  /* 4029 */ 'c', 'm', 'p', 's', 'b', 9, 0,
-  /* 4036 */ 'o', 'u', 't', 's', 'b', 9, 0,
-  /* 4043 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'b', 9, 0,
-  /* 4053 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'b', 9, 0,
-  /* 4063 */ 'p', 'a', 'v', 'g', 'u', 's', 'b', 9, 0,
-  /* 4072 */ 'm', 'o', 'v', 's', 'b', 9, 0,
-  /* 4079 */ 'v', 'p', 'm', 'a', 'x', 's', 'b', 9, 0,
-  /* 4088 */ 's', 'e', 't', 'b', 9, 0,
-  /* 4094 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'b', 9, 0,
-  /* 4104 */ 'n', 'o', 't', 'b', 9, 0,
-  /* 4110 */ 'v', 'p', 'r', 'o', 't', 'b', 9, 0,
-  /* 4118 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'b', 9, 0,
-  /* 4132 */ 't', 'e', 's', 't', 'b', 9, 0,
-  /* 4139 */ 'v', 'p', 'c', 'o', 'm', 'u', 'b', 9, 0,
-  /* 4148 */ 'v', 'p', 'm', 'i', 'n', 'u', 'b', 9, 0,
-  /* 4157 */ 'p', 'f', 's', 'u', 'b', 9, 0,
-  /* 4164 */ 'v', 'p', 'm', 'a', 'x', 'u', 'b', 9, 0,
-  /* 4173 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'v', 'b', 9, 0,
-  /* 4184 */ 'i', 'd', 'i', 'v', 'b', 9, 0,
-  /* 4191 */ 'f', 'c', 'm', 'o', 'v', 'b', 9, 0,
-  /* 4199 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'w', 'b', 9, 0,
-  /* 4210 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'w', 'b', 9, 0,
-  /* 4221 */ 'p', 'f', 'a', 'c', 'c', 9, 0,
-  /* 4228 */ 'p', 'f', 'n', 'a', 'c', 'c', 9, 0,
-  /* 4236 */ 'p', 'f', 'p', 'n', 'a', 'c', 'c', 9, 0,
-  /* 4245 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 9, 0,
-  /* 4254 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
-  /* 4261 */ 'b', 'l', 's', 'i', 'c', 9, 0,
-  /* 4268 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
-  /* 4276 */ 'v', 'a', 'e', 's', 'i', 'm', 'c', 9, 0,
-  /* 4285 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 9, 0,
-  /* 4294 */ 'a', 'a', 'd', 9, 0,
-  /* 4299 */ 'v', 'p', 's', 'h', 'a', 'd', 9, 0,
-  /* 4307 */ 'v', 'p', 's', 'r', 'a', 'd', 9, 0,
-  /* 4315 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'd', 9, 0,
-  /* 4325 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'd', 9, 0,
-  /* 4336 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 9, 0,
-  /* 4345 */ 'v', 'p', 's', 'u', 'b', 'd', 9, 0,
-  /* 4353 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 9, 0,
-  /* 4364 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 9, 0,
-  /* 4375 */ 'p', 'f', 'a', 'd', 'd', 9, 0,
-  /* 4382 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 9, 0,
-  /* 4391 */ 'v', 'p', 'a', 'd', 'd', 'd', 9, 0,
-  /* 4399 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'd', 9, 0,
-  /* 4409 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 9, 0,
-  /* 4421 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'd', 9, 0,
-  /* 4431 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'd', 9, 0,
-  /* 4442 */ 'p', 'i', '2', 'f', 'd', 9, 0,
-  /* 4449 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 9, 0,
-  /* 4458 */ 'p', 'f', '2', 'i', 'd', 9, 0,
-  /* 4465 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
-  /* 4474 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
-  /* 4483 */ 'f', 'b', 'l', 'd', 9, 0,
-  /* 4489 */ 'f', 'l', 'd', 9, 0,
-  /* 4494 */ 'v', 'p', 's', 'h', 'l', 'd', 9, 0,
-  /* 4502 */ 'v', 'p', 's', 'l', 'l', 'd', 9, 0,
-  /* 4510 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 9, 0,
-  /* 4519 */ 'v', 'p', 's', 'r', 'l', 'd', 9, 0,
-  /* 4527 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
-  /* 4536 */ 'v', 'p', 'c', 'o', 'm', 'd', 9, 0,
-  /* 4544 */ 'v', 'p', 'e', 'r', 'm', 'd', 9, 0,
-  /* 4552 */ 'v', 'p', 'a', 'n', 'd', 9, 0,
-  /* 4559 */ 'v', 'p', 's', 'i', 'g', 'n', 'd', 9, 0,
-  /* 4568 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
-  /* 4575 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4591 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4604 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4618 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4634 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4647 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
-  /* 4661 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4677 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4690 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4704 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4720 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4733 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
-  /* 4747 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 'd', 9, 0,
-  /* 4757 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 'd', 9, 0,
-  /* 4769 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 9, 0,
-  /* 4780 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 9, 0,
-  /* 4791 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4807 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4820 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4834 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4850 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4863 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
-  /* 4877 */ 'v', 'm', 'o', 'v', 'a', 'p', 'd', 9, 0,
-  /* 4886 */ 'p', 's', 'w', 'a', 'p', 'd', 9, 0,
-  /* 4894 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4907 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4918 */ 'v', 'h', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4927 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4937 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4948 */ 'v', 's', 'u', 'b', 'p', 'd', 9, 0,
-  /* 4956 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4969 */ 'v', 'h', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4978 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4988 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 4999 */ 'v', 'a', 'd', 'd', 'p', 'd', 9, 0,
-  /* 5007 */ 'v', 'a', 'n', 'd', 'p', 'd', 9, 0,
-  /* 5015 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 'd', 9, 0,
-  /* 5025 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 'd', 9, 0,
-  /* 5035 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 9, 0,
-  /* 5047 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 9, 0,
-  /* 5056 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 'd', 9, 0,
-  /* 5067 */ 'v', 'm', 'o', 'v', 'h', 'p', 'd', 9, 0,
-  /* 5076 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 'd', 9, 0,
-  /* 5087 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 9, 0,
-  /* 5098 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 'd', 9, 0,
-  /* 5109 */ 'v', 'm', 'u', 'l', 'p', 'd', 9, 0,
-  /* 5117 */ 'v', 'm', 'o', 'v', 'l', 'p', 'd', 9, 0,
-  /* 5126 */ 'v', 'p', 'c', 'm', 'p', 'd', 9, 0,
-  /* 5134 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 9, 0,
-  /* 5143 */ 'v', 'a', 'n', 'd', 'n', 'p', 'd', 9, 0,
-  /* 5152 */ 'v', 'm', 'i', 'n', 'p', 'd', 9, 0,
-  /* 5160 */ 'v', 'd', 'p', 'p', 'd', 9, 0,
-  /* 5167 */ 'v', 'c', 'm', 'p', 'p', 'd', 9, 0,
-  /* 5175 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 9, 0,
-  /* 5187 */ 'v', 'o', 'r', 'p', 'd', 9, 0,
-  /* 5194 */ 'v', 'x', 'o', 'r', 'p', 'd', 9, 0,
-  /* 5202 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 'd', 9, 0,
-  /* 5212 */ 'v', 's', 'q', 'r', 't', 'p', 'd', 9, 0,
-  /* 5221 */ 'v', 't', 'e', 's', 't', 'p', 'd', 9, 0,
-  /* 5230 */ 'v', 'm', 'o', 'v', 'u', 'p', 'd', 9, 0,
-  /* 5239 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 'd', 9, 0,
-  /* 5250 */ 'v', 'd', 'i', 'v', 'p', 'd', 9, 0,
-  /* 5258 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 'd', 9, 0,
-  /* 5270 */ 'v', 'm', 'a', 'x', 'p', 'd', 9, 0,
-  /* 5278 */ 'v', 'f', 'r', 'c', 'z', 'p', 'd', 9, 0,
-  /* 5287 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'd', 9, 0,
-  /* 5297 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 9, 0,
-  /* 5309 */ 'v', 'p', 'i', 'n', 's', 'r', 'd', 9, 0,
-  /* 5318 */ 'v', 'p', 'e', 'x', 't', 'r', 'd', 9, 0,
-  /* 5327 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
-  /* 5340 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
-  /* 5354 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
-  /* 5367 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
-  /* 5381 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5394 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5408 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5421 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
-  /* 5435 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'd', 9, 0,
-  /* 5446 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5459 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5473 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5486 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
-  /* 5500 */ 'v', 'p', 'a', 'b', 's', 'd', 9, 0,
-  /* 5508 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5518 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5529 */ 'v', 's', 'u', 'b', 's', 'd', 9, 0,
-  /* 5537 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5547 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5558 */ 'v', 'a', 'd', 'd', 's', 'd', 9, 0,
-  /* 5566 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 'd', 9, 0,
-  /* 5576 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
-  /* 5586 */ 'v', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
-  /* 5595 */ 'v', 'm', 'u', 'l', 's', 'd', 9, 0,
-  /* 5603 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 9, 0,
-  /* 5612 */ 'v', 'm', 'i', 'n', 's', 'd', 9, 0,
-  /* 5620 */ 'v', 'c', 'm', 'p', 's', 'd', 9, 0,
-  /* 5628 */ 'm', 'o', 'v', 'n', 't', 's', 'd', 9, 0,
-  /* 5637 */ 'v', 's', 'q', 'r', 't', 's', 'd', 9, 0,
-  /* 5646 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 9, 0,
-  /* 5660 */ 'v', 'd', 'i', 'v', 's', 'd', 9, 0,
-  /* 5668 */ 'v', 'm', 'o', 'v', 's', 'd', 9, 0,
-  /* 5676 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 9, 0,
-  /* 5685 */ 'v', 'm', 'a', 'x', 's', 'd', 9, 0,
-  /* 5693 */ 'v', 'f', 'r', 'c', 'z', 's', 'd', 9, 0,
-  /* 5702 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'd', 9, 0,
-  /* 5712 */ 'v', 'p', 'r', 'o', 't', 'd', 9, 0,
-  /* 5720 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 9, 0,
-  /* 5734 */ 'v', 'p', 'c', 'o', 'm', 'u', 'd', 9, 0,
-  /* 5743 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 9, 0,
-  /* 5752 */ 'v', 'p', 'c', 'm', 'p', 'u', 'd', 9, 0,
-  /* 5761 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 9, 0,
-  /* 5770 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 9, 0,
-  /* 5779 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 9, 0,
-  /* 5788 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 9, 0,
-  /* 5797 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 9, 0,
-  /* 5809 */ 'v', 'm', 'o', 'v', 'd', 9, 0,
-  /* 5816 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 'd', 9, 0,
-  /* 5826 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'd', 9, 0,
-  /* 5836 */ 'v', 'p', 'm', 'a', 'd', 'd', 'w', 'd', 9, 0,
-  /* 5846 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'w', 'd', 9, 0,
-  /* 5858 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'w', 'd', 9, 0,
-  /* 5870 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'd', 9, 0,
-  /* 5880 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 'w', 'd', 9, 0,
-  /* 5891 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'd', 9, 0,
-  /* 5902 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 's', 'w', 'd', 9, 0,
-  /* 5914 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'd', 9, 0,
-  /* 5925 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 9, 0,
-  /* 5936 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 9, 0,
-  /* 5947 */ 'j', 'a', 'e', 9, 0,
-  /* 5952 */ 's', 'e', 't', 'a', 'e', 9, 0,
-  /* 5959 */ 'j', 'b', 'e', 9, 0,
-  /* 5964 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 'e', 9, 0,
-  /* 5974 */ 's', 'e', 't', 'b', 'e', 9, 0,
-  /* 5981 */ 'f', 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
-  /* 5990 */ 'f', 'f', 'r', 'e', 'e', 9, 0,
-  /* 5997 */ 'j', 'g', 'e', 9, 0,
-  /* 6002 */ 'p', 'f', 'c', 'm', 'p', 'g', 'e', 9, 0,
-  /* 6011 */ 's', 'e', 't', 'g', 'e', 9, 0,
-  /* 6018 */ 'j', 'e', 9, 0,
-  /* 6022 */ 'j', 'l', 'e', 9, 0,
-  /* 6027 */ 's', 'e', 't', 'l', 'e', 9, 0,
-  /* 6034 */ 'j', 'n', 'e', 9, 0,
-  /* 6039 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
-  /* 6047 */ 's', 'e', 't', 'n', 'e', 9, 0,
-  /* 6054 */ 'f', 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
-  /* 6063 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
-  /* 6070 */ 's', 'e', 't', 'e', 9, 0,
-  /* 6076 */ 's', 'h', 'a', '1', 'n', 'e', 'x', 't', 'e', 9, 0,
-  /* 6087 */ 'f', 'n', 's', 'a', 'v', 'e', 9, 0,
-  /* 6095 */ 'f', 'x', 's', 'a', 'v', 'e', 9, 0,
-  /* 6103 */ 'f', 'c', 'm', 'o', 'v', 'e', 9, 0,
-  /* 6111 */ 'j', 'g', 9, 0,
-  /* 6115 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
-  /* 6123 */ 's', 'e', 't', 'g', 9, 0,
-  /* 6129 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 9, 0,
-  /* 6139 */ 'f', 'x', 'c', 'h', 9, 0,
-  /* 6145 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 9, 0,
-  /* 6156 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'h', 9, 0,
-  /* 6167 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'h', 9, 0,
-  /* 6179 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 9, 0,
-  /* 6188 */ 'b', 'l', 'c', 'i', 9, 0,
-  /* 6194 */ 'f', 'c', 'o', 'm', 'i', 9, 0,
-  /* 6201 */ 'f', 'u', 'c', 'o', 'm', 'i', 9, 0,
-  /* 6209 */ 'c', 'v', 't', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
-  /* 6220 */ 'c', 'v', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
-  /* 6230 */ 'c', 'v', 't', 't', 'p', 's', '2', 'p', 'i', 9, 0,
-  /* 6241 */ 'c', 'v', 't', 'p', 's', '2', 'p', 'i', 9, 0,
-  /* 6251 */ 'f', 'c', 'o', 'm', 'p', 'i', 9, 0,
-  /* 6259 */ 'f', 'u', 'c', 'o', 'm', 'p', 'i', 9, 0,
-  /* 6268 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'i', 9, 0,
-  /* 6280 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'i', 9, 0,
-  /* 6292 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 9, 0,
-  /* 6304 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 9, 0,
-  /* 6315 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 9, 0,
-  /* 6327 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 9, 0,
-  /* 6338 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
-  /* 6346 */ 't', 'z', 'm', 's', 'k', 9, 0,
-  /* 6353 */ 'c', 'r', 'c', '3', '2', 'l', 9, 0,
-  /* 6361 */ 'l', 'e', 'a', 'l', 9, 0,
-  /* 6367 */ 'c', 'm', 'o', 'v', 'a', 'l', 9, 0,
-  /* 6375 */ 's', 'b', 'b', 'l', 9, 0,
-  /* 6381 */ 'm', 'o', 'v', 's', 'b', 'l', 9, 0,
-  /* 6389 */ 'f', 's', 'u', 'b', 'l', 9, 0,
-  /* 6396 */ 'f', 'i', 's', 'u', 'b', 'l', 9, 0,
-  /* 6404 */ 'c', 'm', 'o', 'v', 'b', 'l', 9, 0,
-  /* 6412 */ 'm', 'o', 'v', 'z', 'b', 'l', 9, 0,
-  /* 6420 */ 'a', 'd', 'c', 'l', 9, 0,
-  /* 6426 */ 'd', 'e', 'c', 'l', 9, 0,
-  /* 6432 */ 'i', 'n', 'c', 'l', 9, 0,
-  /* 6438 */ 'b', 't', 'c', 'l', 9, 0,
-  /* 6444 */ 'v', 'm', 'r', 'e', 'a', 'd', 'l', 9, 0,
-  /* 6453 */ 'f', 'a', 'd', 'd', 'l', 9, 0,
-  /* 6460 */ 'f', 'i', 'a', 'd', 'd', 'l', 9, 0,
-  /* 6468 */ 'x', 'a', 'd', 'd', 'l', 9, 0,
-  /* 6475 */ 'r', 'd', 's', 'e', 'e', 'd', 'l', 9, 0,
-  /* 6484 */ 'f', 'l', 'd', 'l', 9, 0,
-  /* 6490 */ 's', 'h', 'l', 'd', 'l', 9, 0,
-  /* 6497 */ 'f', 'i', 'l', 'd', 'l', 9, 0,
-  /* 6504 */ 'r', 'd', 'r', 'a', 'n', 'd', 'l', 9, 0,
-  /* 6513 */ 's', 'h', 'r', 'd', 'l', 9, 0,
-  /* 6520 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'l', 9, 0,
-  /* 6532 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'l', 9, 0,
-  /* 6545 */ 'c', 'm', 'o', 'v', 'a', 'e', 'l', 9, 0,
-  /* 6554 */ 'c', 'm', 'o', 'v', 'b', 'e', 'l', 9, 0,
-  /* 6563 */ 'c', 'm', 'o', 'v', 'g', 'e', 'l', 9, 0,
-  /* 6572 */ 'c', 'm', 'o', 'v', 'l', 'e', 'l', 9, 0,
-  /* 6581 */ 'c', 'm', 'o', 'v', 'n', 'e', 'l', 9, 0,
-  /* 6590 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 6601 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 6612 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 6623 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 6634 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'l', 9, 0,
-  /* 6644 */ 'c', 'm', 'o', 'v', 'e', 'l', 9, 0,
-  /* 6652 */ 'b', 's', 'f', 'l', 9, 0,
-  /* 6658 */ 'n', 'e', 'g', 'l', 9, 0,
-  /* 6664 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'l', 9, 0,
-  /* 6674 */ 'c', 'm', 'o', 'v', 'g', 'l', 9, 0,
-  /* 6682 */ 'p', 'u', 's', 'h', 'l', 9, 0,
-  /* 6689 */ 'b', 'z', 'h', 'i', 'l', 9, 0,
-  /* 6696 */ 'b', 'l', 's', 'i', 'l', 9, 0,
-  /* 6703 */ 'm', 'o', 'v', 'n', 't', 'i', 'l', 9, 0,
-  /* 6712 */ 'j', 'l', 9, 0,
-  /* 6716 */ 'b', 'l', 's', 'm', 's', 'k', 'l', 9, 0,
-  /* 6725 */ 's', 'a', 'l', 'l', 9, 0,
-  /* 6731 */ 'r', 'c', 'l', 'l', 9, 0,
-  /* 6737 */ 'f', 'i', 'l', 'd', 'l', 'l', 9, 0,
-  /* 6745 */ 's', 'h', 'l', 'l', 9, 0,
-  /* 6751 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
-  /* 6760 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
-  /* 6769 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, 0,
-  /* 6777 */ 'r', 'o', 'l', 'l', 9, 0,
-  /* 6783 */ 'f', 'i', 's', 't', 'p', 'l', 'l', 9, 0,
-  /* 6792 */ 'f', 'i', 's', 't', 't', 'p', 'l', 'l', 9, 0,
-  /* 6802 */ 'l', 's', 'l', 'l', 9, 0,
-  /* 6808 */ 'f', 'm', 'u', 'l', 'l', 9, 0,
-  /* 6815 */ 'f', 'i', 'm', 'u', 'l', 'l', 9, 0,
-  /* 6823 */ 'c', 'm', 'o', 'v', 'l', 'l', 9, 0,
-  /* 6831 */ 'f', 'c', 'o', 'm', 'l', 9, 0,
-  /* 6838 */ 'f', 'i', 'c', 'o', 'm', 'l', 9, 0,
-  /* 6846 */ 'a', 'n', 'd', 'n', 'l', 9, 0,
-  /* 6853 */ 'i', 'n', 'l', 9, 0,
-  /* 6858 */ 'c', 'm', 'o', 'v', 'n', 'o', 'l', 9, 0,
-  /* 6867 */ 'c', 'm', 'o', 'v', 'o', 'l', 9, 0,
-  /* 6875 */ 'b', 's', 'w', 'a', 'p', 'l', 9, 0,
-  /* 6883 */ 'p', 'd', 'e', 'p', 'l', 9, 0,
-  /* 6890 */ 'c', 'm', 'p', 'l', 9, 0,
-  /* 6896 */ 'l', 'j', 'm', 'p', 'l', 9, 0,
-  /* 6903 */ 'f', 'c', 'o', 'm', 'p', 'l', 9, 0,
-  /* 6911 */ 'f', 'i', 'c', 'o', 'm', 'p', 'l', 9, 0,
-  /* 6920 */ 'c', 'm', 'o', 'v', 'n', 'p', 'l', 9, 0,
-  /* 6929 */ 'n', 'o', 'p', 'l', 9, 0,
-  /* 6935 */ 'p', 'o', 'p', 'l', 9, 0,
-  /* 6941 */ 'a', 'r', 'p', 'l', 9, 0,
-  /* 6947 */ 'f', 's', 't', 'p', 'l', 9, 0,
-  /* 6954 */ 'f', 'i', 's', 't', 'p', 'l', 9, 0,
-  /* 6962 */ 'f', 'i', 's', 't', 't', 'p', 'l', 9, 0,
-  /* 6971 */ 'c', 'm', 'o', 'v', 'p', 'l', 9, 0,
-  /* 6979 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'l', 9, 0,
-  /* 6990 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'l', 9, 0,
-  /* 7002 */ 'l', 'a', 'r', 'l', 9, 0,
-  /* 7008 */ 's', 'a', 'r', 'l', 9, 0,
-  /* 7014 */ 'f', 's', 'u', 'b', 'r', 'l', 9, 0,
-  /* 7022 */ 'f', 'i', 's', 'u', 'b', 'r', 'l', 9, 0,
-  /* 7031 */ 'r', 'c', 'r', 'l', 9, 0,
-  /* 7037 */ 's', 'h', 'r', 'l', 9, 0,
-  /* 7043 */ 'r', 'o', 'r', 'l', 9, 0,
-  /* 7049 */ 'x', 'o', 'r', 'l', 9, 0,
-  /* 7055 */ 'b', 's', 'r', 'l', 9, 0,
-  /* 7061 */ 'b', 'l', 's', 'r', 'l', 9, 0,
-  /* 7068 */ 'b', 't', 'r', 'l', 9, 0,
-  /* 7074 */ 's', 't', 'r', 'l', 9, 0,
-  /* 7080 */ 'b', 'e', 'x', 't', 'r', 'l', 9, 0,
-  /* 7088 */ 'f', 'd', 'i', 'v', 'r', 'l', 9, 0,
-  /* 7096 */ 'f', 'i', 'd', 'i', 'v', 'r', 'l', 9, 0,
-  /* 7105 */ 's', 'c', 'a', 's', 'l', 9, 0,
-  /* 7112 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, 0,
-  /* 7121 */ 'l', 'd', 's', 'l', 9, 0,
-  /* 7127 */ 'l', 'o', 'd', 's', 'l', 9, 0,
-  /* 7134 */ 'l', 'e', 's', 'l', 9, 0,
-  /* 7140 */ 'l', 'f', 's', 'l', 9, 0,
-  /* 7146 */ 'l', 'g', 's', 'l', 9, 0,
-  /* 7152 */ 'c', 'm', 'o', 'v', 'n', 's', 'l', 9, 0,
-  /* 7161 */ 'c', 'm', 'p', 's', 'l', 9, 0,
-  /* 7168 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'l', 9, 0,
-  /* 7180 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'l', 9, 0,
-  /* 7193 */ 'l', 's', 's', 'l', 9, 0,
-  /* 7199 */ 'b', 't', 's', 'l', 9, 0,
-  /* 7205 */ 'o', 'u', 't', 's', 'l', 9, 0,
-  /* 7212 */ 'c', 'm', 'o', 'v', 's', 'l', 9, 0,
-  /* 7220 */ 'b', 't', 'l', 9, 0,
-  /* 7225 */ 'l', 'g', 'd', 't', 'l', 9, 0,
-  /* 7232 */ 's', 'g', 'd', 't', 'l', 9, 0,
-  /* 7239 */ 'l', 'i', 'd', 't', 'l', 9, 0,
-  /* 7246 */ 's', 'i', 'd', 't', 'l', 9, 0,
-  /* 7253 */ 's', 'l', 'd', 't', 'l', 9, 0,
-  /* 7260 */ 'l', 'r', 'e', 't', 'l', 9, 0,
-  /* 7267 */ 's', 'e', 't', 'l', 9, 0,
-  /* 7273 */ 'p', 'o', 'p', 'c', 'n', 't', 'l', 9, 0,
-  /* 7282 */ 'l', 'z', 'c', 'n', 't', 'l', 9, 0,
-  /* 7290 */ 't', 'z', 'c', 'n', 't', 'l', 9, 0,
-  /* 7298 */ 'n', 'o', 't', 'l', 9, 0,
-  /* 7304 */ 't', 'e', 's', 't', 'l', 9, 0,
-  /* 7311 */ 'f', 's', 't', 'l', 9, 0,
-  /* 7317 */ 'f', 'i', 's', 't', 'l', 9, 0,
-  /* 7324 */ 'p', 'e', 'x', 't', 'l', 9, 0,
-  /* 7331 */ 'p', 'f', 'm', 'u', 'l', 9, 0,
-  /* 7338 */ 'f', 'd', 'i', 'v', 'l', 9, 0,
-  /* 7345 */ 'f', 'i', 'd', 'i', 'v', 'l', 9, 0,
-  /* 7353 */ 'm', 'o', 'v', 'l', 9, 0,
-  /* 7359 */ 's', 'm', 's', 'w', 'l', 9, 0,
-  /* 7366 */ 'm', 'o', 'v', 's', 'w', 'l', 9, 0,
-  /* 7374 */ 'm', 'o', 'v', 'z', 'w', 'l', 9, 0,
-  /* 7382 */ 'a', 'd', 'c', 'x', 'l', 9, 0,
-  /* 7389 */ 's', 'h', 'l', 'x', 'l', 9, 0,
-  /* 7396 */ 'm', 'u', 'l', 'x', 'l', 9, 0,
-  /* 7403 */ 'a', 'd', 'o', 'x', 'l', 9, 0,
-  /* 7410 */ 's', 'a', 'r', 'x', 'l', 9, 0,
-  /* 7417 */ 's', 'h', 'r', 'x', 'l', 9, 0,
-  /* 7424 */ 'r', 'o', 'r', 'x', 'l', 9, 0,
-  /* 7431 */ 'a', 'a', 'm', 9, 0,
-  /* 7436 */ 'f', 'c', 'o', 'm', 9, 0,
-  /* 7442 */ 'f', 'u', 'c', 'o', 'm', 9, 0,
-  /* 7449 */ 'v', 'p', 'p', 'e', 'r', 'm', 9, 0,
-  /* 7457 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'm', 9, 0,
-  /* 7469 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'm', 9, 0,
-  /* 7481 */ 'v', 'p', 'a', 'n', 'd', 'n', 9, 0,
-  /* 7489 */ 'x', 'b', 'e', 'g', 'i', 'n', 9, 0,
-  /* 7497 */ 'p', 'f', 'm', 'i', 'n', 9, 0,
-  /* 7504 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
-  /* 7511 */ 'j', 'o', 9, 0,
-  /* 7515 */ 'j', 'n', 'o', 9, 0,
-  /* 7520 */ 's', 'e', 't', 'n', 'o', 9, 0,
-  /* 7527 */ 's', 'e', 't', 'o', 9, 0,
-  /* 7533 */ 'f', 's', 'u', 'b', 'p', 9, 0,
-  /* 7540 */ 'p', 'f', 'r', 'c', 'p', 9, 0,
-  /* 7547 */ 'f', 'a', 'd', 'd', 'p', 9, 0,
-  /* 7554 */ 'j', 'p', 9, 0,
-  /* 7558 */ 'f', 'm', 'u', 'l', 'p', 9, 0,
-  /* 7565 */ 'j', 'm', 'p', 9, 0,
-  /* 7570 */ 'f', 'c', 'o', 'm', 'p', 9, 0,
-  /* 7577 */ 'f', 'u', 'c', 'o', 'm', 'p', 9, 0,
-  /* 7585 */ 'j', 'n', 'p', 9, 0,
-  /* 7590 */ 's', 'e', 't', 'n', 'p', 9, 0,
-  /* 7597 */ 'n', 'o', 'p', 9, 0,
-  /* 7602 */ 'l', 'o', 'o', 'p', 9, 0,
-  /* 7608 */ 'f', 's', 'u', 'b', 'r', 'p', 9, 0,
-  /* 7616 */ 'f', 'd', 'i', 'v', 'r', 'p', 9, 0,
-  /* 7624 */ 's', 'e', 't', 'p', 9, 0,
-  /* 7630 */ 'f', 'b', 's', 't', 'p', 9, 0,
-  /* 7637 */ 'f', 's', 't', 'p', 9, 0,
-  /* 7643 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 9, 0,
-  /* 7653 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 9, 0,
-  /* 7664 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 9, 0,
-  /* 7675 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
-  /* 7691 */ 'f', 'd', 'i', 'v', 'p', 9, 0,
-  /* 7698 */ 'c', 'r', 'c', '3', '2', 'q', 9, 0,
-  /* 7706 */ 'm', 'o', 'v', 'd', 'q', '2', 'q', 9, 0,
-  /* 7715 */ 'l', 'e', 'a', 'q', 9, 0,
-  /* 7721 */ 'v', 'p', 's', 'h', 'a', 'q', 9, 0,
-  /* 7729 */ 'c', 'm', 'o', 'v', 'a', 'q', 9, 0,
-  /* 7737 */ 's', 'b', 'b', 'q', 9, 0,
-  /* 7743 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'q', 9, 0,
-  /* 7753 */ 'm', 'o', 'v', 's', 'b', 'q', 9, 0,
-  /* 7761 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'q', 9, 0,
-  /* 7772 */ 'v', 'p', 's', 'u', 'b', 'q', 9, 0,
-  /* 7780 */ 'c', 'm', 'o', 'v', 'b', 'q', 9, 0,
-  /* 7788 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 9, 0,
-  /* 7799 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 9, 0,
-  /* 7810 */ 'm', 'o', 'v', 'z', 'b', 'q', 9, 0,
-  /* 7818 */ 'a', 'd', 'c', 'q', 9, 0,
-  /* 7824 */ 'd', 'e', 'c', 'q', 9, 0,
-  /* 7830 */ 'i', 'n', 'c', 'q', 9, 0,
-  /* 7836 */ 'b', 't', 'c', 'q', 9, 0,
-  /* 7842 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
-  /* 7854 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
-  /* 7865 */ 'm', 'o', 'v', 'q', '2', 'd', 'q', 9, 0,
-  /* 7874 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 9, 0,
-  /* 7886 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 9, 0,
-  /* 7897 */ 'v', 'm', 'r', 'e', 'a', 'd', 'q', 9, 0,
-  /* 7906 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 'q', 9, 0,
-  /* 7916 */ 'v', 'p', 'a', 'd', 'd', 'q', 9, 0,
-  /* 7924 */ 'x', 'a', 'd', 'd', 'q', 9, 0,
-  /* 7931 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 'q', 9, 0,
-  /* 7941 */ 'r', 'd', 's', 'e', 'e', 'd', 'q', 9, 0,
-  /* 7950 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 9, 0,
-  /* 7962 */ 's', 'h', 'l', 'd', 'q', 9, 0,
-  /* 7969 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 9, 0,
-  /* 7981 */ 'v', 'p', 's', 'l', 'l', 'd', 'q', 9, 0,
-  /* 7990 */ 'v', 'p', 's', 'r', 'l', 'd', 'q', 9, 0,
-  /* 7999 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 9, 0,
-  /* 8008 */ 'r', 'd', 'r', 'a', 'n', 'd', 'q', 9, 0,
-  /* 8017 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 9, 0,
-  /* 8030 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 9, 0,
-  /* 8043 */ 'v', 'p', 'c', 'l', 'm', 'u', 'l', 'q', 'd', 'q', 9, 0,
-  /* 8055 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 9, 0,
-  /* 8067 */ 's', 'h', 'r', 'd', 'q', 9, 0,
-  /* 8074 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'q', 9, 0,
-  /* 8086 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'q', 9, 0,
-  /* 8099 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 9, 0,
-  /* 8109 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'd', 'q', 9, 0,
-  /* 8120 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 9, 0,
-  /* 8130 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 9, 0,
-  /* 8141 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 9, 0,
-  /* 8152 */ 'c', 'm', 'o', 'v', 'a', 'e', 'q', 9, 0,
-  /* 8161 */ 'c', 'm', 'o', 'v', 'b', 'e', 'q', 9, 0,
-  /* 8170 */ 'c', 'm', 'o', 'v', 'g', 'e', 'q', 9, 0,
-  /* 8179 */ 'c', 'm', 'o', 'v', 'l', 'e', 'q', 9, 0,
-  /* 8188 */ 'c', 'm', 'o', 'v', 'n', 'e', 'q', 9, 0,
-  /* 8197 */ 'p', 'f', 'c', 'm', 'p', 'e', 'q', 9, 0,
-  /* 8206 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 8217 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 8228 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 8239 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 8250 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'q', 9, 0,
-  /* 8260 */ 'f', 'x', 's', 'a', 'v', 'e', 'q', 9, 0,
-  /* 8269 */ 'c', 'm', 'o', 'v', 'e', 'q', 9, 0,
-  /* 8277 */ 'b', 's', 'f', 'q', 9, 0,
-  /* 8283 */ 'n', 'e', 'g', 'q', 9, 0,
-  /* 8289 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'q', 9, 0,
-  /* 8299 */ 'c', 'm', 'o', 'v', 'g', 'q', 9, 0,
-  /* 8307 */ 'p', 'u', 's', 'h', 'q', 9, 0,
-  /* 8314 */ 'b', 'z', 'h', 'i', 'q', 9, 0,
-  /* 8321 */ 'b', 'l', 's', 'i', 'q', 9, 0,
-  /* 8328 */ 'm', 'o', 'v', 'n', 't', 'i', 'q', 9, 0,
-  /* 8337 */ 'b', 'l', 's', 'm', 's', 'k', 'q', 9, 0,
-  /* 8346 */ 's', 'a', 'l', 'q', 9, 0,
-  /* 8352 */ 'r', 'c', 'l', 'q', 9, 0,
-  /* 8358 */ 'v', 'p', 's', 'h', 'l', 'q', 9, 0,
-  /* 8366 */ 'c', 'a', 'l', 'l', 'q', 9, 0,
-  /* 8373 */ 'v', 'p', 's', 'l', 'l', 'q', 9, 0,
-  /* 8381 */ 'r', 'o', 'l', 'q', 9, 0,
-  /* 8387 */ 'v', 'p', 's', 'r', 'l', 'q', 9, 0,
-  /* 8395 */ 'l', 's', 'l', 'q', 9, 0,
-  /* 8401 */ 'm', 'o', 'v', 's', 'l', 'q', 9, 0,
-  /* 8409 */ 'i', 'm', 'u', 'l', 'q', 9, 0,
-  /* 8416 */ 'c', 'm', 'o', 'v', 'l', 'q', 9, 0,
-  /* 8424 */ 'v', 'p', 'c', 'o', 'm', 'q', 9, 0,
-  /* 8432 */ 'v', 'p', 'e', 'r', 'm', 'q', 9, 0,
-  /* 8440 */ 'a', 'n', 'd', 'n', 'q', 9, 0,
-  /* 8447 */ 'c', 'm', 'o', 'v', 'n', 'o', 'q', 9, 0,
-  /* 8456 */ 'c', 'm', 'o', 'v', 'o', 'q', 9, 0,
-  /* 8464 */ 'b', 's', 'w', 'a', 'p', 'q', 9, 0,
-  /* 8472 */ 'p', 'd', 'e', 'p', 'q', 9, 0,
-  /* 8479 */ 'v', 'p', 'c', 'm', 'p', 'q', 9, 0,
-  /* 8487 */ 'c', 'm', 'o', 'v', 'n', 'p', 'q', 9, 0,
-  /* 8496 */ 'p', 'o', 'p', 'q', 9, 0,
-  /* 8502 */ 'c', 'm', 'o', 'v', 'p', 'q', 9, 0,
-  /* 8510 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'q', 9, 0,
-  /* 8520 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 9, 0,
-  /* 8532 */ 'l', 'a', 'r', 'q', 9, 0,
-  /* 8538 */ 's', 'a', 'r', 'q', 9, 0,
-  /* 8544 */ 'r', 'c', 'r', 'q', 9, 0,
-  /* 8550 */ 's', 'h', 'r', 'q', 9, 0,
-  /* 8556 */ 'r', 'o', 'r', 'q', 9, 0,
-  /* 8562 */ 'f', 'x', 'r', 's', 't', 'o', 'r', 'q', 9, 0,
-  /* 8572 */ 'x', 'o', 'r', 'q', 9, 0,
-  /* 8578 */ 'b', 's', 'r', 'q', 9, 0,
-  /* 8584 */ 'b', 'l', 's', 'r', 'q', 9, 0,
-  /* 8591 */ 'v', 'p', 'i', 'n', 's', 'r', 'q', 9, 0,
-  /* 8600 */ 'b', 't', 'r', 'q', 9, 0,
-  /* 8606 */ 's', 't', 'r', 'q', 9, 0,
-  /* 8612 */ 'b', 'e', 'x', 't', 'r', 'q', 9, 0,
-  /* 8620 */ 'v', 'p', 'e', 'x', 't', 'r', 'q', 9, 0,
-  /* 8629 */ 's', 'c', 'a', 's', 'q', 9, 0,
-  /* 8636 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, 0,
-  /* 8645 */ 'l', 'o', 'd', 's', 'q', 9, 0,
-  /* 8652 */ 'l', 'f', 's', 'q', 9, 0,
-  /* 8658 */ 'l', 'g', 's', 'q', 9, 0,
-  /* 8664 */ 'c', 'm', 'o', 'v', 'n', 's', 'q', 9, 0,
-  /* 8673 */ 'c', 'm', 'p', 's', 'q', 9, 0,
-  /* 8680 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'q', 9, 0,
-  /* 8692 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'q', 9, 0,
-  /* 8705 */ 'l', 's', 's', 'q', 9, 0,
-  /* 8711 */ 'b', 't', 's', 'q', 9, 0,
-  /* 8717 */ 'c', 'm', 'o', 'v', 's', 'q', 9, 0,
-  /* 8725 */ 'b', 't', 'q', 9, 0,
-  /* 8730 */ 'l', 'g', 'd', 't', 'q', 9, 0,
-  /* 8737 */ 's', 'g', 'd', 't', 'q', 9, 0,
-  /* 8744 */ 'l', 'i', 'd', 't', 'q', 9, 0,
-  /* 8751 */ 's', 'i', 'd', 't', 'q', 9, 0,
-  /* 8758 */ 's', 'l', 'd', 't', 'q', 9, 0,
-  /* 8765 */ 'l', 'r', 'e', 't', 'q', 9, 0,
-  /* 8772 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'q', 9, 0,
-  /* 8782 */ 'p', 'o', 'p', 'c', 'n', 't', 'q', 9, 0,
-  /* 8791 */ 'l', 'z', 'c', 'n', 't', 'q', 9, 0,
-  /* 8799 */ 't', 'z', 'c', 'n', 't', 'q', 9, 0,
-  /* 8807 */ 'm', 'o', 'v', 'n', 't', 'q', 9, 0,
-  /* 8815 */ 'n', 'o', 't', 'q', 9, 0,
-  /* 8821 */ 'v', 'p', 'r', 'o', 't', 'q', 9, 0,
-  /* 8829 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 'q', 9, 0,
-  /* 8840 */ 'i', 'n', 's', 'e', 'r', 't', 'q', 9, 0,
-  /* 8849 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 9, 0,
-  /* 8863 */ 't', 'e', 's', 't', 'q', 9, 0,
-  /* 8870 */ 'p', 'e', 'x', 't', 'q', 9, 0,
-  /* 8877 */ 'v', 'p', 'c', 'o', 'm', 'u', 'q', 9, 0,
-  /* 8886 */ 'v', 'p', 'c', 'm', 'p', 'u', 'q', 9, 0,
-  /* 8895 */ 'i', 'd', 'i', 'v', 'q', 9, 0,
-  /* 8902 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 9, 0,
-  /* 8911 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 9, 0,
-  /* 8920 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'q', 9, 0,
-  /* 8932 */ 'v', 'm', 'o', 'v', 'q', 9, 0,
-  /* 8939 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'q', 9, 0,
-  /* 8949 */ 's', 'm', 's', 'w', 'q', 9, 0,
-  /* 8956 */ 'm', 'o', 'v', 's', 'w', 'q', 9, 0,
-  /* 8964 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'q', 9, 0,
-  /* 8975 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 9, 0,
-  /* 8986 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 9, 0,
-  /* 8997 */ 'm', 'o', 'v', 'z', 'w', 'q', 9, 0,
-  /* 9005 */ 'a', 'd', 'c', 'x', 'q', 9, 0,
-  /* 9012 */ 's', 'h', 'l', 'x', 'q', 9, 0,
-  /* 9019 */ 'm', 'u', 'l', 'x', 'q', 9, 0,
-  /* 9026 */ 'a', 'd', 'o', 'x', 'q', 9, 0,
-  /* 9033 */ 's', 'a', 'r', 'x', 'q', 9, 0,
-  /* 9040 */ 's', 'h', 'r', 'x', 'q', 9, 0,
-  /* 9047 */ 'r', 'o', 'r', 'x', 'q', 9, 0,
-  /* 9054 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
-  /* 9063 */ 'p', 'f', 's', 'u', 'b', 'r', 9, 0,
-  /* 9071 */ 'e', 'n', 't', 'e', 'r', 9, 0,
-  /* 9078 */ 'v', 'p', 'a', 'l', 'i', 'g', 'n', 'r', 9, 0,
-  /* 9088 */ 'v', 'p', 'o', 'r', 9, 0,
-  /* 9094 */ 'f', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 9102 */ 'f', 'x', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 9111 */ 'v', 'p', 'x', 'o', 'r', 9, 0,
-  /* 9118 */ 'v', 'e', 'r', 'r', 9, 0,
-  /* 9124 */ 'v', 'l', 'd', 'm', 'x', 'c', 's', 'r', 9, 0,
-  /* 9134 */ 'v', 's', 't', 'm', 'x', 'c', 's', 'r', 9, 0,
-  /* 9144 */ 'b', 'e', 'x', 't', 'r', 9, 0,
-  /* 9151 */ 'f', 'd', 'i', 'v', 'r', 9, 0,
-  /* 9158 */ 'f', 's', 'u', 'b', 's', 9, 0,
-  /* 9165 */ 'f', 'i', 's', 'u', 'b', 's', 9, 0,
-  /* 9173 */ 'b', 'l', 'c', 's', 9, 0,
-  /* 9179 */ 'f', 'a', 'd', 'd', 's', 9, 0,
-  /* 9186 */ 'f', 'i', 'a', 'd', 'd', 's', 9, 0,
-  /* 9194 */ 'f', 'l', 'd', 's', 9, 0,
-  /* 9200 */ 'f', 'i', 'l', 'd', 's', 9, 0,
-  /* 9207 */ 'j', 's', 9, 0,
-  /* 9211 */ 'f', 'm', 'u', 'l', 's', 9, 0,
-  /* 9218 */ 'f', 'i', 'm', 'u', 'l', 's', 9, 0,
-  /* 9226 */ 'f', 'c', 'o', 'm', 's', 9, 0,
-  /* 9233 */ 'f', 'i', 'c', 'o', 'm', 's', 9, 0,
-  /* 9241 */ 'j', 'n', 's', 9, 0,
-  /* 9246 */ 's', 'e', 't', 'n', 's', 9, 0,
-  /* 9253 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9269 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9282 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9296 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9312 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9325 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
-  /* 9339 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9355 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9368 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9382 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9398 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9411 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
-  /* 9425 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 9, 0,
-  /* 9436 */ 'v', 'c', 'v', 't', 'p', 'h', '2', 'p', 's', 9, 0,
-  /* 9447 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 's', 9, 0,
-  /* 9457 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 's', 9, 0,
-  /* 9469 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 9, 0,
-  /* 9480 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9496 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9509 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9523 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9539 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9552 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
-  /* 9566 */ 'v', 'm', 'o', 'v', 'a', 'p', 's', 9, 0,
-  /* 9575 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9588 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9599 */ 'v', 'h', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9608 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9618 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9629 */ 'v', 's', 'u', 'b', 'p', 's', 9, 0,
-  /* 9637 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 9650 */ 'v', 'h', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 9659 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 9669 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 9680 */ 'v', 'a', 'd', 'd', 'p', 's', 9, 0,
-  /* 9688 */ 'v', 'a', 'n', 'd', 'p', 's', 9, 0,
-  /* 9696 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 's', 9, 0,
-  /* 9706 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 's', 9, 0,
-  /* 9716 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 9, 0,
-  /* 9728 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 9, 0,
-  /* 9737 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 's', 9, 0,
-  /* 9748 */ 'v', 'm', 'o', 'v', 'l', 'h', 'p', 's', 9, 0,
-  /* 9758 */ 'v', 'm', 'o', 'v', 'h', 'p', 's', 9, 0,
-  /* 9767 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 's', 9, 0,
-  /* 9778 */ 'v', 'm', 'o', 'v', 'h', 'l', 'p', 's', 9, 0,
-  /* 9788 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 9, 0,
-  /* 9799 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 's', 9, 0,
-  /* 9810 */ 'v', 'm', 'u', 'l', 'p', 's', 9, 0,
-  /* 9818 */ 'v', 'm', 'o', 'v', 'l', 'p', 's', 9, 0,
-  /* 9827 */ 'f', 'c', 'o', 'm', 'p', 's', 9, 0,
-  /* 9835 */ 'f', 'i', 'c', 'o', 'm', 'p', 's', 9, 0,
-  /* 9844 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 9, 0,
-  /* 9853 */ 'v', 'a', 'n', 'd', 'n', 'p', 's', 9, 0,
-  /* 9862 */ 'v', 'm', 'i', 'n', 'p', 's', 9, 0,
-  /* 9870 */ 'v', 'r', 'c', 'p', 'p', 's', 9, 0,
-  /* 9878 */ 'v', 'd', 'p', 'p', 's', 9, 0,
-  /* 9885 */ 'v', 'c', 'm', 'p', 'p', 's', 9, 0,
-  /* 9893 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 9, 0,
-  /* 9905 */ 'v', 'o', 'r', 'p', 's', 9, 0,
-  /* 9912 */ 'v', 'x', 'o', 'r', 'p', 's', 9, 0,
-  /* 9920 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'p', 's', 9, 0,
-  /* 9932 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 's', 9, 0,
-  /* 9942 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'p', 's', 9, 0,
-  /* 9953 */ 'v', 'r', 's', 'q', 'r', 't', 'p', 's', 9, 0,
-  /* 9963 */ 'v', 's', 'q', 'r', 't', 'p', 's', 9, 0,
-  /* 9972 */ 'v', 't', 'e', 's', 't', 'p', 's', 9, 0,
-  /* 9981 */ 'f', 's', 't', 'p', 's', 9, 0,
-  /* 9988 */ 'f', 'i', 's', 't', 'p', 's', 9, 0,
-  /* 9996 */ 'f', 'i', 's', 't', 't', 'p', 's', 9, 0,
-  /* 10005 */ 'v', 'm', 'o', 'v', 'u', 'p', 's', 9, 0,
-  /* 10014 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 's', 9, 0,
-  /* 10025 */ 'v', 'd', 'i', 'v', 'p', 's', 9, 0,
-  /* 10033 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 's', 9, 0,
-  /* 10045 */ 'v', 'm', 'a', 'x', 'p', 's', 9, 0,
-  /* 10053 */ 'v', 'f', 'r', 'c', 'z', 'p', 's', 9, 0,
-  /* 10062 */ 'f', 's', 'u', 'b', 'r', 's', 9, 0,
-  /* 10070 */ 'f', 'i', 's', 'u', 'b', 'r', 's', 9, 0,
-  /* 10079 */ 'f', 'd', 'i', 'v', 'r', 's', 9, 0,
-  /* 10087 */ 'f', 'i', 'd', 'i', 'v', 'r', 's', 9, 0,
-  /* 10096 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
-  /* 10109 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
-  /* 10123 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
-  /* 10136 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
-  /* 10150 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
-  /* 10163 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
-  /* 10177 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
-  /* 10190 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
-  /* 10204 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 's', 9, 0,
-  /* 10215 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
-  /* 10228 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
-  /* 10242 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
-  /* 10255 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
-  /* 10269 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 10279 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 10290 */ 'v', 's', 'u', 'b', 's', 's', 9, 0,
-  /* 10298 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 10308 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 10319 */ 'v', 'a', 'd', 'd', 's', 's', 9, 0,
-  /* 10327 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 's', 9, 0,
-  /* 10337 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
-  /* 10347 */ 'v', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
-  /* 10356 */ 'v', 'm', 'u', 'l', 's', 's', 9, 0,
-  /* 10364 */ 'v', 'm', 'i', 'n', 's', 's', 9, 0,
-  /* 10372 */ 'v', 'r', 'c', 'p', 's', 's', 9, 0,
-  /* 10380 */ 'v', 'c', 'm', 'p', 's', 's', 9, 0,
-  /* 10388 */ 'm', 'o', 'v', 'n', 't', 's', 's', 9, 0,
-  /* 10397 */ 'v', 'r', 's', 'q', 'r', 't', 's', 's', 9, 0,
-  /* 10407 */ 'v', 's', 'q', 'r', 't', 's', 's', 9, 0,
-  /* 10416 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 9, 0,
-  /* 10430 */ 'v', 'd', 'i', 'v', 's', 's', 9, 0,
-  /* 10438 */ 'v', 'm', 'o', 'v', 's', 's', 9, 0,
-  /* 10446 */ 'v', 'm', 'a', 'x', 's', 's', 9, 0,
-  /* 10454 */ 'v', 'f', 'r', 'c', 'z', 's', 's', 9, 0,
-  /* 10463 */ 's', 'e', 't', 's', 9, 0,
-  /* 10469 */ 'f', 's', 't', 's', 9, 0,
-  /* 10475 */ 'f', 'i', 's', 't', 's', 9, 0,
-  /* 10482 */ 'f', 'd', 'i', 'v', 's', 9, 0,
-  /* 10489 */ 'f', 'i', 'd', 'i', 'v', 's', 9, 0,
-  /* 10497 */ 'f', 'l', 'd', 't', 9, 0,
-  /* 10503 */ 'p', 'f', 'c', 'm', 'p', 'g', 't', 9, 0,
-  /* 10512 */ 'i', 'n', 't', 9, 0,
-  /* 10517 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
-  /* 10525 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
-  /* 10535 */ 'f', 's', 't', 'p', 't', 9, 0,
-  /* 10542 */ 'x', 'a', 'b', 'o', 'r', 't', 9, 0,
-  /* 10550 */ 'p', 'f', 'r', 's', 'q', 'r', 't', 9, 0,
-  /* 10559 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 'l', 'a', 's', 't', 9, 0,
-  /* 10572 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 'l', 'a', 's', 't', 9, 0,
-  /* 10585 */ 'v', 'p', 't', 'e', 's', 't', 9, 0,
-  /* 10593 */ 'f', 's', 't', 9, 0,
-  /* 10598 */ 'v', 'a', 'e', 's', 'k', 'e', 'y', 'g', 'e', 'n', 'a', 's', 's', 'i', 's', 't', 9, 0,
-  /* 10616 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
-  /* 10625 */ 'f', 'c', 'm', 'o', 'v', 'n', 'u', 9, 0,
-  /* 10634 */ 'v', 'l', 'd', 'd', 'q', 'u', 9, 0,
-  /* 10642 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
-  /* 10655 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
-  /* 10664 */ 'f', 'c', 'm', 'o', 'v', 'u', 9, 0,
-  /* 10672 */ 'f', 'd', 'i', 'v', 9, 0,
-  /* 10678 */ 'f', 'l', 'd', 'e', 'n', 'v', 9, 0,
-  /* 10686 */ 'f', 'n', 's', 't', 'e', 'n', 'v', 9, 0,
-  /* 10695 */ 'v', 'p', 'c', 'm', 'o', 'v', 9, 0,
-  /* 10703 */ 'c', 'r', 'c', '3', '2', 'w', 9, 0,
-  /* 10711 */ 'l', 'e', 'a', 'w', 9, 0,
-  /* 10717 */ 'v', 'p', 's', 'h', 'a', 'w', 9, 0,
-  /* 10725 */ 'v', 'p', 's', 'r', 'a', 'w', 9, 0,
-  /* 10733 */ 'c', 'm', 'o', 'v', 'a', 'w', 9, 0,
-  /* 10741 */ 's', 'b', 'b', 'w', 9, 0,
-  /* 10747 */ 'v', 'p', 'h', 's', 'u', 'b', 'b', 'w', 9, 0,
-  /* 10757 */ 'v', 'm', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
-  /* 10767 */ 'v', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
-  /* 10776 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'w', 9, 0,
-  /* 10786 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'b', 'w', 9, 0,
-  /* 10798 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'b', 'w', 9, 0,
-  /* 10810 */ 'm', 'o', 'v', 's', 'b', 'w', 9, 0,
-  /* 10818 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'w', 9, 0,
-  /* 10829 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 9, 0,
-  /* 10838 */ 'v', 'p', 's', 'u', 'b', 'w', 9, 0,
-  /* 10846 */ 'c', 'm', 'o', 'v', 'b', 'w', 9, 0,
-  /* 10854 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'w', 9, 0,
-  /* 10865 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'w', 9, 0,
-  /* 10876 */ 'm', 'o', 'v', 'z', 'b', 'w', 9, 0,
-  /* 10884 */ 'a', 'd', 'c', 'w', 9, 0,
-  /* 10890 */ 'f', 'l', 'd', 'c', 'w', 9, 0,
-  /* 10897 */ 'd', 'e', 'c', 'w', 9, 0,
-  /* 10903 */ 'i', 'n', 'c', 'w', 9, 0,
-  /* 10909 */ 'b', 't', 'c', 'w', 9, 0,
-  /* 10915 */ 'f', 'n', 's', 't', 'c', 'w', 9, 0,
-  /* 10923 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 9, 0,
-  /* 10932 */ 'v', 'p', 'a', 'd', 'd', 'w', 9, 0,
-  /* 10940 */ 'x', 'a', 'd', 'd', 'w', 9, 0,
-  /* 10947 */ 'r', 'd', 's', 'e', 'e', 'd', 'w', 9, 0,
-  /* 10956 */ 's', 'h', 'l', 'd', 'w', 9, 0,
-  /* 10963 */ 'r', 'd', 'r', 'a', 'n', 'd', 'w', 9, 0,
-  /* 10972 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'w', 9, 0,
-  /* 10982 */ 's', 'h', 'r', 'd', 'w', 9, 0,
-  /* 10989 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'd', 'w', 9, 0,
-  /* 11000 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'd', 'w', 9, 0,
-  /* 11011 */ 'c', 'm', 'o', 'v', 'a', 'e', 'w', 9, 0,
-  /* 11020 */ 'c', 'm', 'o', 'v', 'b', 'e', 'w', 9, 0,
-  /* 11029 */ 'c', 'm', 'o', 'v', 'g', 'e', 'w', 9, 0,
-  /* 11038 */ 'c', 'm', 'o', 'v', 'l', 'e', 'w', 9, 0,
-  /* 11047 */ 'c', 'm', 'o', 'v', 'n', 'e', 'w', 9, 0,
-  /* 11056 */ 'c', 'm', 'o', 'v', 'e', 'w', 9, 0,
-  /* 11064 */ 'p', 'i', '2', 'f', 'w', 9, 0,
-  /* 11071 */ 'b', 's', 'f', 'w', 9, 0,
-  /* 11077 */ 'p', 's', 'h', 'u', 'f', 'w', 9, 0,
-  /* 11085 */ 'n', 'e', 'g', 'w', 9, 0,
-  /* 11091 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'w', 9, 0,
-  /* 11101 */ 'v', 'p', 'a', 'v', 'g', 'w', 9, 0,
-  /* 11109 */ 'c', 'm', 'o', 'v', 'g', 'w', 9, 0,
-  /* 11117 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'w', 9, 0,
-  /* 11128 */ 'v', 'p', 's', 'h', 'u', 'f', 'h', 'w', 9, 0,
-  /* 11138 */ 'v', 'p', 'm', 'u', 'l', 'h', 'w', 9, 0,
-  /* 11147 */ 'p', 'u', 's', 'h', 'w', 9, 0,
-  /* 11154 */ 'p', 'f', '2', 'i', 'w', 9, 0,
-  /* 11161 */ 's', 'a', 'l', 'w', 9, 0,
-  /* 11167 */ 'r', 'c', 'l', 'w', 9, 0,
-  /* 11173 */ 'v', 'p', 's', 'h', 'u', 'f', 'l', 'w', 9, 0,
-  /* 11183 */ 'v', 'p', 's', 'h', 'l', 'w', 9, 0,
-  /* 11191 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, 0,
-  /* 11199 */ 'v', 'p', 's', 'l', 'l', 'w', 9, 0,
-  /* 11207 */ 'v', 'p', 'm', 'u', 'l', 'l', 'w', 9, 0,
-  /* 11216 */ 'r', 'o', 'l', 'w', 9, 0,
-  /* 11222 */ 'v', 'p', 's', 'r', 'l', 'w', 9, 0,
-  /* 11230 */ 'l', 's', 'l', 'w', 9, 0,
-  /* 11236 */ 'i', 'm', 'u', 'l', 'w', 9, 0,
-  /* 11243 */ 'c', 'm', 'o', 'v', 'l', 'w', 9, 0,
-  /* 11251 */ 'v', 'p', 'c', 'o', 'm', 'w', 9, 0,
-  /* 11259 */ 'v', 'p', 's', 'i', 'g', 'n', 'w', 9, 0,
-  /* 11268 */ 'i', 'n', 'w', 9, 0,
-  /* 11273 */ 'c', 'm', 'o', 'v', 'n', 'o', 'w', 9, 0,
-  /* 11282 */ 'c', 'm', 'o', 'v', 'o', 'w', 9, 0,
-  /* 11290 */ 'c', 'm', 'p', 'w', 9, 0,
-  /* 11296 */ 'l', 'j', 'm', 'p', 'w', 9, 0,
-  /* 11303 */ 'c', 'm', 'o', 'v', 'n', 'p', 'w', 9, 0,
-  /* 11312 */ 'n', 'o', 'p', 'w', 9, 0,
-  /* 11318 */ 'p', 'o', 'p', 'w', 9, 0,
-  /* 11324 */ 'c', 'm', 'o', 'v', 'p', 'w', 9, 0,
-  /* 11332 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'w', 9, 0,
-  /* 11342 */ 'l', 'a', 'r', 'w', 9, 0,
-  /* 11348 */ 's', 'a', 'r', 'w', 9, 0,
-  /* 11354 */ 'r', 'c', 'r', 'w', 9, 0,
-  /* 11360 */ 'v', 'e', 'r', 'w', 9, 0,
-  /* 11366 */ 'p', 'm', 'u', 'l', 'h', 'r', 'w', 9, 0,
-  /* 11375 */ 's', 'h', 'r', 'w', 9, 0,
-  /* 11381 */ 'r', 'o', 'r', 'w', 9, 0,
-  /* 11387 */ 'x', 'o', 'r', 'w', 9, 0,
-  /* 11393 */ 'b', 's', 'r', 'w', 9, 0,
-  /* 11399 */ 'v', 'p', 'i', 'n', 's', 'r', 'w', 9, 0,
-  /* 11408 */ 'b', 't', 'r', 'w', 9, 0,
-  /* 11414 */ 'l', 't', 'r', 'w', 9, 0,
-  /* 11420 */ 's', 't', 'r', 'w', 9, 0,
-  /* 11426 */ 'v', 'p', 'e', 'x', 't', 'r', 'w', 9, 0,
-  /* 11435 */ 's', 'c', 'a', 's', 'w', 9, 0,
-  /* 11442 */ 'v', 'p', 'a', 'b', 's', 'w', 9, 0,
-  /* 11450 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, 0,
-  /* 11459 */ 'v', 'p', 'm', 'a', 'd', 'd', 'u', 'b', 's', 'w', 9, 0,
-  /* 11471 */ 'v', 'p', 'h', 's', 'u', 'b', 's', 'w', 9, 0,
-  /* 11481 */ 'v', 'p', 's', 'u', 'b', 's', 'w', 9, 0,
-  /* 11490 */ 'v', 'p', 'h', 'a', 'd', 'd', 's', 'w', 9, 0,
-  /* 11500 */ 'v', 'p', 'a', 'd', 'd', 's', 'w', 9, 0,
-  /* 11509 */ 'l', 'd', 's', 'w', 9, 0,
-  /* 11515 */ 'l', 'o', 'd', 's', 'w', 9, 0,
-  /* 11522 */ 'l', 'e', 's', 'w', 9, 0,
-  /* 11528 */ 'l', 'f', 's', 'w', 9, 0,
-  /* 11534 */ 'l', 'g', 's', 'w', 9, 0,
-  /* 11540 */ 'v', 'p', 'm', 'i', 'n', 's', 'w', 9, 0,
-  /* 11549 */ 'c', 'm', 'o', 'v', 'n', 's', 'w', 9, 0,
-  /* 11558 */ 'c', 'm', 'p', 's', 'w', 9, 0,
-  /* 11565 */ 'v', 'p', 'm', 'u', 'l', 'h', 'r', 's', 'w', 9, 0,
-  /* 11576 */ 'l', 's', 's', 'w', 9, 0,
-  /* 11582 */ 'b', 't', 's', 'w', 9, 0,
-  /* 11588 */ 'f', 'n', 's', 't', 's', 'w', 9, 0,
-  /* 11596 */ 'o', 'u', 't', 's', 'w', 9, 0,
-  /* 11603 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'w', 9, 0,
-  /* 11613 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'w', 9, 0,
-  /* 11623 */ 'c', 'm', 'o', 'v', 's', 'w', 9, 0,
-  /* 11631 */ 'v', 'p', 'm', 'a', 'x', 's', 'w', 9, 0,
-  /* 11640 */ 'b', 't', 'w', 9, 0,
-  /* 11645 */ 'l', 'g', 'd', 't', 'w', 9, 0,
-  /* 11652 */ 's', 'g', 'd', 't', 'w', 9, 0,
-  /* 11659 */ 'l', 'i', 'd', 't', 'w', 9, 0,
-  /* 11666 */ 's', 'i', 'd', 't', 'w', 9, 0,
-  /* 11673 */ 'l', 'l', 'd', 't', 'w', 9, 0,
-  /* 11680 */ 's', 'l', 'd', 't', 'w', 9, 0,
-  /* 11687 */ 'l', 'r', 'e', 't', 'w', 9, 0,
-  /* 11694 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'w', 9, 0,
-  /* 11704 */ 'p', 'o', 'p', 'c', 'n', 't', 'w', 9, 0,
-  /* 11713 */ 'l', 'z', 'c', 'n', 't', 'w', 9, 0,
-  /* 11721 */ 't', 'z', 'c', 'n', 't', 'w', 9, 0,
-  /* 11729 */ 'n', 'o', 't', 'w', 9, 0,
-  /* 11735 */ 'v', 'p', 'r', 'o', 't', 'w', 9, 0,
-  /* 11743 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'w', 9, 0,
-  /* 11757 */ 't', 'e', 's', 't', 'w', 9, 0,
-  /* 11764 */ 'v', 'p', 'm', 'u', 'l', 'h', 'u', 'w', 9, 0,
-  /* 11774 */ 'v', 'p', 'c', 'o', 'm', 'u', 'w', 9, 0,
-  /* 11783 */ 'v', 'p', 'm', 'i', 'n', 'u', 'w', 9, 0,
-  /* 11792 */ 'v', 'p', 'h', 'm', 'i', 'n', 'p', 'o', 's', 'u', 'w', 9, 0,
-  /* 11805 */ 'v', 'p', 'm', 'a', 'x', 'u', 'w', 9, 0,
-  /* 11814 */ 'i', 'd', 'i', 'v', 'w', 9, 0,
-  /* 11821 */ 'm', 'o', 'v', 'w', 9, 0,
-  /* 11827 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'w', 9, 0,
-  /* 11837 */ 'l', 'm', 's', 'w', 'w', 9, 0,
-  /* 11844 */ 's', 'm', 's', 'w', 'w', 9, 0,
-  /* 11851 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'w', 9, 0,
-  /* 11862 */ 'p', 'f', 'm', 'a', 'x', 9, 0,
-  /* 11869 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
-  /* 11882 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
-  /* 11894 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'x', 9, 0,
-  /* 11906 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'y', 9, 0,
-  /* 11919 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'y', 9, 0,
-  /* 11931 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'y', 9, 0,
-  /* 11943 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
-  /* 11950 */ 'j', 'c', 'x', 'z', 9, 0,
-  /* 11956 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
-  /* 11963 */ 'f', 's', 'u', 'b', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 11977 */ 'f', 'a', 'd', 'd', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 11991 */ 'f', 's', 't', 'p', 'n', 'c', 'e', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12008 */ 'f', 'm', 'u', 'l', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12022 */ 'f', 's', 't', 'p', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12036 */ 'f', 's', 'u', 'b', 'r', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12051 */ 'f', 'd', 'i', 'v', 'r', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12066 */ 'f', 'd', 'i', 'v', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
-  /* 12080 */ 's', 'a', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12090 */ 'r', 'c', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12100 */ 's', 'h', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12110 */ 'r', 'o', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12120 */ 's', 'a', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12130 */ 'r', 'c', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12140 */ 's', 'h', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12150 */ 'r', 'o', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 12160 */ 's', 'a', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12170 */ 'r', 'c', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12180 */ 's', 'h', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12190 */ 'r', 'o', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12200 */ 's', 'a', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12210 */ 'r', 'c', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12220 */ 's', 'h', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12230 */ 'r', 'o', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 12240 */ 's', 'a', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12250 */ 'r', 'c', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12260 */ 's', 'h', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12270 */ 'r', 'o', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12280 */ 's', 'a', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12290 */ 'r', 'c', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12300 */ 's', 'h', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12310 */ 'r', 'o', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 12320 */ 's', 'a', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12330 */ 'r', 'c', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12340 */ 's', 'h', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12350 */ 'r', 'o', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12360 */ 's', 'a', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12370 */ 'r', 'c', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12380 */ 's', 'h', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12390 */ 'r', 'o', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 12400 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 12414 */ 's', 't', 'o', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 12426 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 12437 */ 'm', 'o', 'v', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 12448 */ 's', 'a', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12459 */ 'r', 'c', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12470 */ 's', 'h', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12481 */ 'r', 'o', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12492 */ 's', 'a', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12503 */ 'r', 'c', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12514 */ 's', 'h', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12525 */ 'r', 'o', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12536 */ 's', 'h', 'l', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12548 */ 's', 'h', 'r', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12560 */ 's', 'a', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12571 */ 'r', 'c', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12582 */ 's', 'h', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12593 */ 'r', 'o', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12604 */ 's', 'a', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12615 */ 'r', 'c', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12626 */ 's', 'h', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12637 */ 'r', 'o', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12648 */ 's', 'h', 'l', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12660 */ 's', 'h', 'r', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12672 */ 's', 'a', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12683 */ 'r', 'c', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12694 */ 's', 'h', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12705 */ 'r', 'o', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12716 */ 's', 'a', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12727 */ 'r', 'c', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12738 */ 's', 'h', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12749 */ 'r', 'o', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12760 */ 's', 'h', 'l', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12772 */ 's', 'h', 'r', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12784 */ 's', 'a', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12795 */ 'r', 'c', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12806 */ 's', 'h', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12817 */ 'r', 'o', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12828 */ 's', 'a', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12839 */ 'r', 'c', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12850 */ 's', 'h', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12861 */ 'r', 'o', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 12872 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 12886 */ 's', 't', 'o', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 12898 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 12909 */ 'm', 'o', 'v', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 12920 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 12935 */ 's', 't', 'o', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 12948 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 12960 */ 'm', 'o', 'v', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 12972 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
-  /* 12987 */ 's', 't', 'o', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
-  /* 13000 */ 'i', 'n', 's', 'b', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 13011 */ 'i', 'n', 's', 'l', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 13022 */ 'i', 'n', 's', 'w', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 13033 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 'd', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13051 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 'd', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13071 */ 'v', 'r', 'c', 'p', '2', '8', 's', 'd', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13089 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 'd', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13109 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 's', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13127 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 's', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13147 */ 'v', 'r', 'c', 'p', '2', '8', 's', 's', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13165 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 's', 32, 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
-  /* 13185 */ 'r', 'c', 'l', 'l', 9, '$', '1', 32, 0,
-  /* 13194 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
-  /* 13205 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
-  /* 13228 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
-  /* 13242 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
-  /* 13266 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
-  /* 13283 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 13299 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 13314 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
-  /* 13328 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
-  /* 13342 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '3', '2', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13362 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '1', '6', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13382 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13402 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13422 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13443 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13463 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13483 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13502 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13522 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13542 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13562 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13582 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13602 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13622 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13642 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13661 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13679 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13700 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 13721 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, '*', 0,
-  /* 13730 */ 'l', 'j', 'm', 'p', 'l', 9, '*', 0,
-  /* 13738 */ 'l', 'c', 'a', 'l', 'l', 'q', 9, '*', 0,
-  /* 13747 */ 'l', 'j', 'm', 'p', 'q', 9, '*', 0,
-  /* 13755 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, '*', 0,
-  /* 13764 */ 'l', 'j', 'm', 'p', 'w', 9, '*', 0,
-  /* 13772 */ 'x', 's', 'h', 'a', '1', 0,
-  /* 13778 */ 'f', 'l', 'd', '1', 0,
-  /* 13783 */ 'f', 'p', 'r', 'e', 'm', '1', 0,
-  /* 13790 */ 'f', '2', 'x', 'm', '1', 0,
-  /* 13796 */ 'f', 'y', 'l', '2', 'x', 'p', '1', 0,
-  /* 13804 */ 'i', 'n', 't', '1', 0,
-  /* 13809 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
-  /* 13828 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
-  /* 13846 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
-  /* 13859 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 13872 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 13890 */ 'u', 'd', '2', 0,
-  /* 13894 */ 'f', 'l', 'd', 'l', 'g', '2', 0,
-  /* 13901 */ 'f', 'l', 'd', 'l', 'n', '2', 0,
-  /* 13908 */ 'i', 'n', 't', '3', 0,
-  /* 13913 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
-  /* 13932 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
-  /* 13950 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
-  /* 13963 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 13976 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 13994 */ 'r', 'e', 'x', '6', '4', 0,
-  /* 14000 */ 'd', 'a', 't', 'a', '1', '6', 0,
-  /* 14007 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
-  /* 14015 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 14028 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 14035 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 14045 */ '#', 32, 'X', 'B', 'E', 'G', 'I', 'N', 0,
-  /* 14054 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
-  /* 14072 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
-  /* 14088 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
-  /* 14100 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 14115 */ 'a', 'a', 'a', 0,
-  /* 14119 */ 'd', 'a', 'a', 0,
-  /* 14123 */ 'u', 'd', '2', 'b', 0,
-  /* 14128 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
-  /* 14138 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
-  /* 14148 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
-  /* 14158 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'b', 0,
-  /* 14168 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'b', 0,
-  /* 14178 */ 'x', 'l', 'a', 't', 'b', 0,
-  /* 14184 */ 'c', 'l', 'a', 'c', 0,
-  /* 14189 */ 's', 't', 'a', 'c', 0,
-  /* 14194 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
-  /* 14204 */ 'g', 'e', 't', 's', 'e', 'c', 0,
-  /* 14211 */ 's', 'a', 'l', 'c', 0,
-  /* 14216 */ 'c', 'l', 'c', 0,
-  /* 14220 */ 'c', 'm', 'c', 0,
-  /* 14224 */ 'r', 'd', 'p', 'm', 'c', 0,
-  /* 14230 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
-  /* 14237 */ 'r', 'd', 't', 's', 'c', 0,
-  /* 14243 */ 's', 't', 'c', 0,
-  /* 14247 */ 'c', 'p', 'u', 'i', 'd', 0,
-  /* 14253 */ 'c', 'l', 'd', 0,
-  /* 14257 */ 'x', 'e', 'n', 'd', 0,
-  /* 14262 */ 'c', 'l', 't', 'd', 0,
-  /* 14267 */ 's', 't', 'd', 0,
-  /* 14271 */ 'c', 'w', 't', 'd', 0,
-  /* 14276 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
-  /* 14283 */ 'f', 'l', 'd', 'l', '2', 'e', 0,
-  /* 14290 */ 'l', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 14297 */ 'm', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 14304 */ 's', 'f', 'e', 'n', 'c', 'e', 0,
-  /* 14311 */ 'f', 's', 'c', 'a', 'l', 'e', 0,
-  /* 14318 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
-  /* 14327 */ 'r', 'e', 'p', 'n', 'e', 0,
-  /* 14333 */ 'x', 'a', 'c', 'q', 'u', 'i', 'r', 'e', 0,
-  /* 14342 */ 'x', 's', 't', 'o', 'r', 'e', 0,
-  /* 14349 */ 'x', 'r', 'e', 'l', 'e', 'a', 's', 'e', 0,
-  /* 14358 */ 'p', 'a', 'u', 's', 'e', 0,
-  /* 14364 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 14378 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 14395 */ 'l', 'e', 'a', 'v', 'e', 0,
-  /* 14401 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
-  /* 14408 */ 'l', 'a', 'h', 'f', 0,
-  /* 14413 */ 's', 'a', 'h', 'f', 0,
-  /* 14418 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
-  /* 14427 */ 'c', 'l', 'g', 'i', 0,
-  /* 14432 */ 's', 't', 'g', 'i', 0,
-  /* 14437 */ 'c', 'l', 'i', 0,
-  /* 14441 */ 'f', 'l', 'd', 'p', 'i', 0,
-  /* 14447 */ 's', 't', 'i', 0,
-  /* 14451 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
-  /* 14466 */ 'l', 'o', 'c', 'k', 0,
-  /* 14471 */ 'i', 'n', 'b', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'l', 0,
-  /* 14484 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
-  /* 14491 */ 'p', 'o', 'p', 'a', 'l', 0,
-  /* 14497 */ 'p', 'u', 's', 'h', 'f', 'l', 0,
-  /* 14504 */ 'p', 'o', 'p', 'f', 'l', 0,
-  /* 14510 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 14518 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 14525 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
-  /* 14533 */ 'v', 'z', 'e', 'r', 'o', 'a', 'l', 'l', 0,
-  /* 14542 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'l', 0,
-  /* 14552 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'l', 0,
-  /* 14562 */ 'i', 'r', 'e', 't', 'l', 0,
-  /* 14568 */ 'l', 'r', 'e', 't', 'l', 0,
-  /* 14574 */ 's', 'y', 's', 'r', 'e', 't', 'l', 0,
-  /* 14582 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'l', 0,
-  /* 14591 */ 'c', 'w', 't', 'l', 0,
-  /* 14596 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
-  /* 14604 */ 'f', 'x', 'a', 'm', 0,
-  /* 14609 */ 'f', 'p', 'r', 'e', 'm', 0,
-  /* 14615 */ 'f', 's', 'e', 't', 'p', 'm', 0,
-  /* 14622 */ 'r', 's', 'm', 0,
-  /* 14626 */ 'f', 'p', 'a', 't', 'a', 'n', 0,
-  /* 14633 */ 'f', 'p', 't', 'a', 'n', 0,
-  /* 14639 */ 'f', 's', 'i', 'n', 0,
-  /* 14644 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
-  /* 14671 */ 'i', 'n', 't', 'o', 0,
-  /* 14676 */ 'c', 'q', 't', 'o', 0,
-  /* 14681 */ 'r', 'd', 't', 's', 'c', 'p', 0,
-  /* 14688 */ 'r', 'e', 'p', 0,
-  /* 14692 */ 'v', 'p', 'c', 'm', 'p', 0,
-  /* 14698 */ 'v', 'c', 'm', 'p', 0,
-  /* 14703 */ 'f', 'n', 'o', 'p', 0,
-  /* 14708 */ 'f', 'c', 'o', 'm', 'p', 'p', 0,
-  /* 14715 */ 'f', 'u', 'c', 'o', 'm', 'p', 'p', 0,
-  /* 14723 */ 'f', 'd', 'e', 'c', 's', 't', 'p', 0,
-  /* 14731 */ 'f', 'i', 'n', 'c', 's', 't', 'p', 0,
-  /* 14739 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
-  /* 14746 */ 'p', 'o', 'p', 'f', 'q', 0,
-  /* 14752 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'q', 0,
-  /* 14762 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'q', 0,
-  /* 14772 */ 'i', 'r', 'e', 't', 'q', 0,
-  /* 14778 */ 'l', 'r', 'e', 't', 'q', 0,
-  /* 14784 */ 's', 'y', 's', 'r', 'e', 't', 'q', 0,
-  /* 14792 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'q', 0,
-  /* 14801 */ 'c', 'l', 't', 'q', 0,
-  /* 14806 */ 'v', 'z', 'e', 'r', 'o', 'u', 'p', 'p', 'e', 'r', 0,
-  /* 14817 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
-  /* 14826 */ 'm', 'o', 'n', 'i', 't', 'o', 'r', 0,
-  /* 14834 */ 'r', 'd', 'm', 's', 'r', 0,
-  /* 14840 */ 'w', 'r', 'm', 's', 'r', 0,
-  /* 14846 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
-  /* 14856 */ 'a', 'a', 's', 0,
-  /* 14860 */ 'd', 'a', 's', 0,
-  /* 14864 */ 'f', 'a', 'b', 's', 0,
-  /* 14869 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'c', 's', 0,
-  /* 14879 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'c', 's', 0,
-  /* 14889 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'd', 's', 0,
-  /* 14899 */ 'p', 'o', 'p', 'l', 9, '%', 'd', 's', 0,
-  /* 14908 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'd', 's', 0,
-  /* 14918 */ 'p', 'o', 'p', 'w', 9, '%', 'd', 's', 0,
-  /* 14927 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'e', 's', 0,
-  /* 14937 */ 'p', 'o', 'p', 'l', 9, '%', 'e', 's', 0,
-  /* 14946 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'e', 's', 0,
-  /* 14956 */ 'p', 'o', 'p', 'w', 9, '%', 'e', 's', 0,
-  /* 14965 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'f', 's', 0,
-  /* 14975 */ 'p', 'o', 'p', 'l', 9, '%', 'f', 's', 0,
-  /* 14984 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'f', 's', 0,
-  /* 14994 */ 'p', 'o', 'p', 'q', 9, '%', 'f', 's', 0,
-  /* 15003 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'f', 's', 0,
-  /* 15013 */ 'p', 'o', 'p', 'w', 9, '%', 'f', 's', 0,
-  /* 15022 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'g', 's', 0,
-  /* 15032 */ 'p', 'o', 'p', 'l', 9, '%', 'g', 's', 0,
-  /* 15041 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'g', 's', 0,
-  /* 15051 */ 'p', 'o', 'p', 'q', 9, '%', 'g', 's', 0,
-  /* 15060 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'g', 's', 0,
-  /* 15070 */ 'p', 'o', 'p', 'w', 9, '%', 'g', 's', 0,
-  /* 15079 */ 's', 'w', 'a', 'p', 'g', 's', 0,
-  /* 15086 */ 'f', 'c', 'h', 's', 0,
-  /* 15091 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
-  /* 15136 */ 'e', 'n', 'c', 'l', 's', 0,
-  /* 15142 */ 'f', 'e', 'm', 'm', 's', 0,
-  /* 15148 */ 'f', 'c', 'o', 's', 0,
-  /* 15153 */ 'f', 's', 'i', 'n', 'c', 'o', 's', 0,
-  /* 15161 */ 'p', 'u', 's', 'h', 'l', 9, '%', 's', 's', 0,
-  /* 15171 */ 'p', 'o', 'p', 'l', 9, '%', 's', 's', 0,
-  /* 15180 */ 'p', 'u', 's', 'h', 'w', 9, '%', 's', 's', 0,
-  /* 15190 */ 'p', 'o', 'p', 'w', 9, '%', 's', 's', 0,
-  /* 15199 */ 'c', 'l', 't', 's', 0,
-  /* 15204 */ 'f', 'l', 'd', 'l', '2', 't', 0,
-  /* 15211 */ 'f', 'x', 't', 'r', 'a', 'c', 't', 0,
-  /* 15219 */ 'm', 'w', 'a', 'i', 't', 0,
-  /* 15225 */ 'f', 'n', 'i', 'n', 'i', 't', 0,
-  /* 15232 */ 'h', 'l', 't', 0,
-  /* 15236 */ 'f', 'r', 'n', 'd', 'i', 'n', 't', 0,
-  /* 15244 */ 'f', 's', 'q', 'r', 't', 0,
-  /* 15250 */ 'x', 't', 'e', 's', 't', 0,
-  /* 15256 */ 'f', 't', 's', 't', 0,
-  /* 15261 */ 'e', 'n', 'c', 'l', 'u', 0,
-  /* 15267 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
-  /* 15274 */ 'x', 's', 'e', 't', 'b', 'v', 0,
-  /* 15281 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
-  /* 15288 */ 'p', 'o', 'p', 'a', 'w', 0,
-  /* 15294 */ 'p', 'u', 's', 'h', 'f', 'w', 0,
-  /* 15301 */ 'p', 'o', 'p', 'f', 'w', 0,
-  /* 15307 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'w', 0,
-  /* 15317 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'w', 0,
-  /* 15327 */ 'c', 'b', 't', 'w', 0,
-  /* 15332 */ 'i', 'r', 'e', 't', 'w', 0,
-  /* 15338 */ 'l', 'r', 'e', 't', 'w', 0,
-  /* 15344 */ 'f', 'y', 'l', '2', 'x', 0,
-  /* 15350 */ 'f', 'n', 's', 't', 's', 'w', 9, '%', 'a', 'x', 0,
-  /* 15361 */ 'i', 'n', 'w', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'x', 0,
-  /* 15374 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'e', 'a', 'x', 0,
-  /* 15386 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'e', 'a', 'x', 0,
-  /* 15398 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'e', 'a', 'x', 0,
-  /* 15409 */ 's', 'k', 'i', 'n', 'i', 't', 9, '%', 'e', 'a', 'x', 0,
-  /* 15421 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
-  /* 15440 */ 'i', 'n', 'l', 9, '%', 'd', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
-  /* 15454 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'r', 'a', 'x', 0,
-  /* 15466 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'r', 'a', 'x', 0,
-  /* 15478 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'r', 'a', 'x', 0,
-  /* 15489 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'r', 'a', 'x', 0,
-  /* 15508 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, '%', 'd', 'x', 0,
-  /* 15522 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
-  /* 15536 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
-  /* 15551 */ 'f', 'n', 'c', 'l', 'e', 'x', 0,
-  /* 15558 */ 'f', 'l', 'd', 'z', 0,
+  static char AsmStrs[] = {
+  /* 0 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '0', 9, 0,
+  /* 12 */ 's', 'h', 'a', '1', 'm', 's', 'g', '1', 9, 0,
+  /* 22 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '1', 9, 0,
+  /* 34 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '1', 9, 0,
+  /* 46 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '1', 9, 0,
+  /* 56 */ 'p', 'f', 'r', 's', 'q', 'i', 't', '1', 9, 0,
+  /* 66 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '3', '2', 9, 0,
+  /* 77 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '3', '2', 9, 0,
+  /* 88 */ 's', 'h', 'a', '1', 'm', 's', 'g', '2', 9, 0,
+  /* 98 */ 's', 'h', 'a', '2', '5', '6', 'm', 's', 'g', '2', 9, 0,
+  /* 110 */ 's', 'h', 'a', '2', '5', '6', 'r', 'n', 'd', 's', '2', 9, 0,
+  /* 123 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 't', '2', 9, 0,
+  /* 135 */ 'p', 'f', 'r', 'c', 'p', 'i', 't', '2', 9, 0,
+  /* 145 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '2', 9, 0,
+  /* 159 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '2', 9, 0,
+  /* 173 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', '6', '4', 9, 0,
+  /* 184 */ 'x', 's', 'a', 'v', 'e', 'c', '6', '4', 9, 0,
+  /* 194 */ 'f', 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
+  /* 204 */ 'f', 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
+  /* 215 */ 'x', 's', 'a', 'v', 'e', 's', '6', '4', 9, 0,
+  /* 225 */ 'x', 'r', 's', 't', 'o', 'r', 's', '6', '4', 9, 0,
+  /* 236 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
+  /* 248 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '6', '4', 9, 0,
+  /* 259 */ 's', 'h', 'a', '1', 'r', 'n', 'd', 's', '4', 9, 0,
+  /* 270 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '3', '2', 'x', '4', 9, 0,
+  /* 285 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '4', 9, 0,
+  /* 299 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 314 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 328 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '3', '2', 'x', '4', 9, 0,
+  /* 345 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '6', '4', 'x', '4', 9, 0,
+  /* 360 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '6', '4', 'x', '4', 9, 0,
+  /* 374 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 389 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 403 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'i', '6', '4', 'x', '4', 9, 0,
+  /* 420 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '1', '6', 9, 0,
+  /* 431 */ 'v', 'p', 'e', 'r', 'm', '2', 'f', '1', '2', '8', 9, 0,
+  /* 443 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'f', '1', '2', '8', 9, 0,
+  /* 457 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '1', '2', '8', 9, 0,
+  /* 470 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'f', '1', '2', '8', 9, 0,
+  /* 486 */ 'v', 'p', 'e', 'r', 'm', '2', 'i', '1', '2', '8', 9, 0,
+  /* 498 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'i', '1', '2', '8', 9, 0,
+  /* 512 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '1', '2', '8', 9, 0,
+  /* 525 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', '8', 9, 0,
+  /* 535 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'f', '3', '2', 'x', '8', 9, 0,
+  /* 549 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'i', '3', '2', 'x', '8', 9, 0,
+  /* 563 */ 'j', 'a', 9, 0,
+  /* 567 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 'a', 9, 0,
+  /* 578 */ 'v', 'm', 'o', 'v', 'd', 'q', 'a', 9, 0,
+  /* 587 */ 's', 'e', 't', 'a', 9, 0,
+  /* 593 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'n', 't', 'a', 9, 0,
+  /* 606 */ 'c', 'r', 'c', '3', '2', 'b', 9, 0,
+  /* 614 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'b', 9, 0,
+  /* 624 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
+  /* 636 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
+  /* 647 */ 'v', 'p', 's', 'h', 'a', 'b', 9, 0,
+  /* 655 */ 's', 'b', 'b', 'b', 9, 0,
+  /* 661 */ 'v', 'p', 's', 'u', 'b', 'b', 9, 0,
+  /* 669 */ 'a', 'd', 'c', 'b', 9, 0,
+  /* 675 */ 'd', 'e', 'c', 'b', 9, 0,
+  /* 681 */ 'i', 'n', 'c', 'b', 9, 0,
+  /* 687 */ 'v', 'p', 'a', 'd', 'd', 'b', 9, 0,
+  /* 695 */ 'x', 'a', 'd', 'd', 'b', 9, 0,
+  /* 702 */ 'k', 'a', 'n', 'd', 'b', 9, 0,
+  /* 709 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'b', 9, 0,
+  /* 720 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'b', 9, 0,
+  /* 730 */ 'v', 'p', 'm', 'o', 'v', 'd', 'b', 9, 0,
+  /* 739 */ 'v', 'p', 's', 'h', 'u', 'f', 'b', 9, 0,
+  /* 748 */ 'n', 'e', 'g', 'b', 9, 0,
+  /* 754 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'b', 9, 0,
+  /* 764 */ 'v', 'p', 'a', 'v', 'g', 'b', 9, 0,
+  /* 772 */ 'j', 'b', 9, 0,
+  /* 776 */ 'v', 'p', 'm', 'o', 'v', 'm', 's', 'k', 'b', 9, 0,
+  /* 787 */ 's', 'a', 'l', 'b', 9, 0,
+  /* 793 */ 'r', 'c', 'l', 'b', 9, 0,
+  /* 799 */ 'v', 'p', 's', 'h', 'l', 'b', 9, 0,
+  /* 807 */ 'r', 'o', 'l', 'b', 9, 0,
+  /* 813 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'b', 9, 0,
+  /* 823 */ 'i', 'm', 'u', 'l', 'b', 9, 0,
+  /* 830 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'b', 9, 0,
+  /* 841 */ 'v', 'p', 'c', 'o', 'm', 'b', 9, 0,
+  /* 849 */ 'k', 'a', 'n', 'd', 'n', 'b', 9, 0,
+  /* 857 */ 'v', 'p', 's', 'i', 'g', 'n', 'b', 9, 0,
+  /* 866 */ 'i', 'n', 'b', 9, 0,
+  /* 871 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 9, 0,
+  /* 880 */ 'v', 'p', 'c', 'm', 'p', 'b', 9, 0,
+  /* 888 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'b', 9, 0,
+  /* 898 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'b', 9, 0,
+  /* 909 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'b', 9, 0,
+  /* 919 */ 'v', 'p', 'm', 'o', 'v', 'q', 'b', 9, 0,
+  /* 928 */ 's', 'a', 'r', 'b', 9, 0,
+  /* 934 */ 'r', 'c', 'r', 'b', 9, 0,
+  /* 940 */ 's', 'h', 'r', 'b', 9, 0,
+  /* 946 */ 'k', 'o', 'r', 'b', 9, 0,
+  /* 952 */ 'k', 'x', 'n', 'o', 'r', 'b', 9, 0,
+  /* 960 */ 'r', 'o', 'r', 'b', 9, 0,
+  /* 966 */ 'k', 'x', 'o', 'r', 'b', 9, 0,
+  /* 973 */ 'v', 'p', 'i', 'n', 's', 'r', 'b', 9, 0,
+  /* 982 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'b', 9, 0,
+  /* 992 */ 'v', 'p', 'e', 'x', 't', 'r', 'b', 9, 0,
+  /* 1001 */ 's', 'c', 'a', 's', 'b', 9, 0,
+  /* 1008 */ 'v', 'p', 'a', 'b', 's', 'b', 9, 0,
+  /* 1016 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, 0,
+  /* 1025 */ 'v', 'p', 's', 'u', 'b', 's', 'b', 9, 0,
+  /* 1034 */ 'v', 'p', 'a', 'd', 'd', 's', 'b', 9, 0,
+  /* 1043 */ 'l', 'o', 'd', 's', 'b', 9, 0,
+  /* 1050 */ 'v', 'p', 'm', 'i', 'n', 's', 'b', 9, 0,
+  /* 1059 */ 'c', 'm', 'p', 's', 'b', 9, 0,
+  /* 1066 */ 'o', 'u', 't', 's', 'b', 9, 0,
+  /* 1073 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'b', 9, 0,
+  /* 1083 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'b', 9, 0,
+  /* 1093 */ 'p', 'a', 'v', 'g', 'u', 's', 'b', 9, 0,
+  /* 1102 */ 'm', 'o', 'v', 's', 'b', 9, 0,
+  /* 1109 */ 'v', 'p', 'm', 'a', 'x', 's', 'b', 9, 0,
+  /* 1118 */ 's', 'e', 't', 'b', 9, 0,
+  /* 1124 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'b', 9, 0,
+  /* 1134 */ 'k', 'n', 'o', 't', 'b', 9, 0,
+  /* 1141 */ 'v', 'p', 'r', 'o', 't', 'b', 9, 0,
+  /* 1149 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'b', 9, 0,
+  /* 1163 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'b', 9, 0,
+  /* 1173 */ 'v', 'p', 'c', 'o', 'm', 'u', 'b', 9, 0,
+  /* 1182 */ 'v', 'p', 'm', 'i', 'n', 'u', 'b', 9, 0,
+  /* 1191 */ 'v', 'p', 'c', 'm', 'p', 'u', 'b', 9, 0,
+  /* 1200 */ 'p', 'f', 's', 'u', 'b', 9, 0,
+  /* 1207 */ 'v', 'p', 'm', 'a', 'x', 'u', 'b', 9, 0,
+  /* 1216 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'v', 'b', 9, 0,
+  /* 1227 */ 'i', 'd', 'i', 'v', 'b', 9, 0,
+  /* 1234 */ 'f', 'c', 'm', 'o', 'v', 'b', 9, 0,
+  /* 1242 */ 'k', 'm', 'o', 'v', 'b', 9, 0,
+  /* 1249 */ 'c', 'l', 'w', 'b', 9, 0,
+  /* 1255 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'w', 'b', 9, 0,
+  /* 1266 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'w', 'b', 9, 0,
+  /* 1277 */ 'p', 'f', 'a', 'c', 'c', 9, 0,
+  /* 1284 */ 'p', 'f', 'n', 'a', 'c', 'c', 9, 0,
+  /* 1292 */ 'p', 'f', 'p', 'n', 'a', 'c', 'c', 9, 0,
+  /* 1301 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 9, 0,
+  /* 1310 */ 'x', 's', 'a', 'v', 'e', 'c', 9, 0,
+  /* 1318 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
+  /* 1325 */ 'b', 'l', 's', 'i', 'c', 9, 0,
+  /* 1332 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
+  /* 1340 */ 'v', 'a', 'e', 's', 'i', 'm', 'c', 9, 0,
+  /* 1349 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 9, 0,
+  /* 1358 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'd', 9, 0,
+  /* 1368 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'd', 9, 0,
+  /* 1378 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'd', 9, 0,
+  /* 1388 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'w', '2', 'd', 9, 0,
+  /* 1405 */ 'a', 'a', 'd', 9, 0,
+  /* 1410 */ 'v', 'p', 's', 'h', 'a', 'd', 9, 0,
+  /* 1418 */ 'v', 'p', 's', 'r', 'a', 'd', 9, 0,
+  /* 1426 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'd', 9, 0,
+  /* 1436 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'd', 9, 0,
+  /* 1447 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 9, 0,
+  /* 1456 */ 'v', 'p', 's', 'u', 'b', 'd', 9, 0,
+  /* 1464 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'd', 9, 0,
+  /* 1475 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'd', 9, 0,
+  /* 1486 */ 'p', 'f', 'a', 'd', 'd', 9, 0,
+  /* 1493 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 9, 0,
+  /* 1502 */ 'v', 'p', 'a', 'd', 'd', 'd', 9, 0,
+  /* 1510 */ 'k', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1517 */ 'v', 'p', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1525 */ 'v', 'p', 'e', 'x', 'p', 'a', 'n', 'd', 'd', 9, 0,
+  /* 1536 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'd', 9, 0,
+  /* 1546 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'd', 9, 0,
+  /* 1558 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'd', 9, 0,
+  /* 1571 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'd', 9, 0,
+  /* 1581 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'd', 9, 0,
+  /* 1592 */ 'p', 'i', '2', 'f', 'd', 9, 0,
+  /* 1599 */ 'v', 'p', 's', 'h', 'u', 'f', 'd', 9, 0,
+  /* 1608 */ 'p', 'f', '2', 'i', 'd', 9, 0,
+  /* 1615 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
+  /* 1624 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
+  /* 1633 */ 'f', 'b', 'l', 'd', 9, 0,
+  /* 1639 */ 'f', 'l', 'd', 9, 0,
+  /* 1644 */ 'v', 'p', 's', 'h', 'l', 'd', 9, 0,
+  /* 1652 */ 'v', 'p', 's', 'l', 'l', 'd', 9, 0,
+  /* 1660 */ 'v', 'p', 'm', 'u', 'l', 'l', 'd', 9, 0,
+  /* 1669 */ 'v', 'p', 's', 'r', 'l', 'd', 9, 0,
+  /* 1677 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
+  /* 1686 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'd', 9, 0,
+  /* 1696 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'd', 9, 0,
+  /* 1707 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'd', 9, 0,
+  /* 1718 */ 'v', 'p', 'c', 'o', 'm', 'd', 9, 0,
+  /* 1726 */ 'v', 'p', 'e', 'r', 'm', 'd', 9, 0,
+  /* 1734 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'd', 9, 0,
+  /* 1744 */ 'v', 'p', 'a', 'n', 'd', 9, 0,
+  /* 1751 */ 'k', 'a', 'n', 'd', 'n', 'd', 9, 0,
+  /* 1759 */ 'v', 'p', 'a', 'n', 'd', 'n', 'd', 9, 0,
+  /* 1768 */ 'v', 'a', 'l', 'i', 'g', 'n', 'd', 9, 0,
+  /* 1777 */ 'v', 'p', 's', 'i', 'g', 'n', 'd', 9, 0,
+  /* 1786 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
+  /* 1793 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1809 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1822 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1836 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1852 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1865 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 'd', 9, 0,
+  /* 1879 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1895 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1908 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1922 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1938 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1951 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 'd', 9, 0,
+  /* 1965 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 'd', 9, 0,
+  /* 1976 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 'd', 9, 0,
+  /* 1986 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 'd', 9, 0,
+  /* 1998 */ 'v', 'e', 'x', 'p', '2', 'p', 'd', 9, 0,
+  /* 2007 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 'd', 9, 0,
+  /* 2018 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 'd', 9, 0,
+  /* 2030 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'd', 9, 0,
+  /* 2041 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 'd', 9, 0,
+  /* 2052 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2068 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2081 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2095 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2111 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2124 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 'd', 9, 0,
+  /* 2138 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 'd', 9, 0,
+  /* 2148 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 'd', 9, 0,
+  /* 2160 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 'd', 9, 0,
+  /* 2170 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 'd', 9, 0,
+  /* 2182 */ 'v', 'm', 'o', 'v', 'a', 'p', 'd', 9, 0,
+  /* 2191 */ 'p', 's', 'w', 'a', 'p', 'd', 9, 0,
+  /* 2199 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2212 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2223 */ 'v', 'h', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2232 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2242 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2253 */ 'v', 's', 'u', 'b', 'p', 'd', 9, 0,
+  /* 2261 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 9, 0,
+  /* 2276 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 'd', 9, 0,
+  /* 2292 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 9, 0,
+  /* 2307 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 'd', 9, 0,
+  /* 2323 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2336 */ 'v', 'h', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2345 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2355 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2366 */ 'v', 'a', 'd', 'd', 'p', 'd', 9, 0,
+  /* 2374 */ 'v', 'e', 'x', 'p', 'a', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2385 */ 'v', 'a', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2393 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2403 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 'd', 9, 0,
+  /* 2413 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 'd', 9, 0,
+  /* 2425 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 'd', 9, 0,
+  /* 2438 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 'd', 9, 0,
+  /* 2451 */ 'v', 's', 'h', 'u', 'f', 'p', 'd', 9, 0,
+  /* 2460 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 'd', 9, 0,
+  /* 2471 */ 'v', 'm', 'o', 'v', 'h', 'p', 'd', 9, 0,
+  /* 2480 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 'd', 9, 0,
+  /* 2491 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 'd', 9, 0,
+  /* 2502 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 'd', 9, 0,
+  /* 2513 */ 'v', 'm', 'u', 'l', 'p', 'd', 9, 0,
+  /* 2521 */ 'v', 'm', 'o', 'v', 'l', 'p', 'd', 9, 0,
+  /* 2530 */ 'v', 'p', 'c', 'm', 'p', 'd', 9, 0,
+  /* 2538 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 'd', 9, 0,
+  /* 2549 */ 'v', 'p', 'e', 'r', 'm', 'p', 'd', 9, 0,
+  /* 2558 */ 'v', 'a', 'n', 'd', 'n', 'p', 'd', 9, 0,
+  /* 2567 */ 'v', 'm', 'i', 'n', 'p', 'd', 9, 0,
+  /* 2575 */ 'v', 'd', 'p', 'p', 'd', 9, 0,
+  /* 2582 */ 'v', 'c', 'm', 'p', 'p', 'd', 9, 0,
+  /* 2590 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 9, 0,
+  /* 2605 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 'd', 9, 0,
+  /* 2621 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 9, 0,
+  /* 2636 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 'd', 9, 0,
+  /* 2652 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 'd', 9, 0,
+  /* 2664 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 'd', 9, 0,
+  /* 2677 */ 'v', 'o', 'r', 'p', 'd', 9, 0,
+  /* 2684 */ 'v', 'x', 'o', 'r', 'p', 'd', 9, 0,
+  /* 2692 */ 'v', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'p', 'd', 9, 0,
+  /* 2705 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 'd', 9, 0,
+  /* 2715 */ 'v', 's', 'q', 'r', 't', 'p', 'd', 9, 0,
+  /* 2724 */ 'v', 't', 'e', 's', 't', 'p', 'd', 9, 0,
+  /* 2733 */ 'v', 'm', 'o', 'v', 'u', 'p', 'd', 9, 0,
+  /* 2742 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 'd', 9, 0,
+  /* 2753 */ 'v', 'd', 'i', 'v', 'p', 'd', 9, 0,
+  /* 2761 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 'd', 9, 0,
+  /* 2773 */ 'v', 'm', 'a', 'x', 'p', 'd', 9, 0,
+  /* 2781 */ 'v', 'f', 'r', 'c', 'z', 'p', 'd', 9, 0,
+  /* 2790 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'd', 9, 0,
+  /* 2800 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'd', 9, 0,
+  /* 2812 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'd', 9, 0,
+  /* 2825 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'd', 9, 0,
+  /* 2836 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'd', 9, 0,
+  /* 2846 */ 'v', 'p', 'm', 'o', 'v', 'q', 'd', 9, 0,
+  /* 2855 */ 'k', 'o', 'r', 'd', 9, 0,
+  /* 2861 */ 'k', 'x', 'n', 'o', 'r', 'd', 9, 0,
+  /* 2869 */ 'v', 'p', 'o', 'r', 'd', 9, 0,
+  /* 2876 */ 'k', 'x', 'o', 'r', 'd', 9, 0,
+  /* 2883 */ 'v', 'p', 'x', 'o', 'r', 'd', 9, 0,
+  /* 2891 */ 'v', 'p', 'i', 'n', 's', 'r', 'd', 9, 0,
+  /* 2900 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'd', 9, 0,
+  /* 2910 */ 'v', 'p', 'e', 'x', 't', 'r', 'd', 9, 0,
+  /* 2919 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2932 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2946 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2959 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 'd', 9, 0,
+  /* 2973 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
+  /* 2986 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 'd', 9, 0,
+  /* 3000 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
+  /* 3013 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 'd', 9, 0,
+  /* 3027 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'd', 9, 0,
+  /* 3038 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
+  /* 3051 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 'd', 9, 0,
+  /* 3065 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
+  /* 3078 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 'd', 9, 0,
+  /* 3092 */ 'v', 'r', 'c', 'p', '1', '4', 's', 'd', 9, 0,
+  /* 3102 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 'd', 9, 0,
+  /* 3114 */ 'v', 'r', 'c', 'p', '2', '8', 's', 'd', 9, 0,
+  /* 3124 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 'd', 9, 0,
+  /* 3136 */ 'v', 'p', 'a', 'b', 's', 'd', 9, 0,
+  /* 3144 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 3154 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 3165 */ 'v', 's', 'u', 'b', 's', 'd', 9, 0,
+  /* 3173 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3183 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3194 */ 'v', 'a', 'd', 'd', 's', 'd', 9, 0,
+  /* 3202 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 'd', 9, 0,
+  /* 3212 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 'd', 9, 0,
+  /* 3225 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
+  /* 3235 */ 'v', 'c', 'o', 'm', 'i', 's', 'd', 9, 0,
+  /* 3244 */ 'v', 'm', 'u', 'l', 's', 'd', 9, 0,
+  /* 3252 */ 'v', 'p', 'm', 'i', 'n', 's', 'd', 9, 0,
+  /* 3261 */ 'v', 'm', 'i', 'n', 's', 'd', 9, 0,
+  /* 3269 */ 'v', 'c', 'm', 'p', 's', 'd', 9, 0,
+  /* 3277 */ 'v', 'p', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'd', 9, 0,
+  /* 3290 */ 'm', 'o', 'v', 'n', 't', 's', 'd', 9, 0,
+  /* 3299 */ 'v', 's', 'q', 'r', 't', 's', 'd', 9, 0,
+  /* 3308 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 'd', 9, 0,
+  /* 3322 */ 'v', 'd', 'i', 'v', 's', 'd', 9, 0,
+  /* 3330 */ 'v', 'm', 'o', 'v', 's', 'd', 9, 0,
+  /* 3338 */ 'v', 'p', 'm', 'a', 'x', 's', 'd', 9, 0,
+  /* 3347 */ 'v', 'm', 'a', 'x', 's', 'd', 9, 0,
+  /* 3355 */ 'v', 'f', 'r', 'c', 'z', 's', 'd', 9, 0,
+  /* 3364 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'd', 9, 0,
+  /* 3377 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'd', 9, 0,
+  /* 3387 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'd', 9, 0,
+  /* 3397 */ 'k', 'n', 'o', 't', 'd', 9, 0,
+  /* 3404 */ 'v', 'p', 'r', 'o', 't', 'd', 9, 0,
+  /* 3412 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'd', 9, 0,
+  /* 3426 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'd', 9, 0,
+  /* 3436 */ 'v', 'p', 'c', 'o', 'm', 'u', 'd', 9, 0,
+  /* 3445 */ 'v', 'p', 'm', 'i', 'n', 'u', 'd', 9, 0,
+  /* 3454 */ 'v', 'p', 'c', 'm', 'p', 'u', 'd', 9, 0,
+  /* 3463 */ 'v', 'p', 'm', 'a', 'x', 'u', 'd', 9, 0,
+  /* 3472 */ 'v', 'p', 's', 'r', 'a', 'v', 'd', 9, 0,
+  /* 3481 */ 'v', 'p', 's', 'l', 'l', 'v', 'd', 9, 0,
+  /* 3490 */ 'v', 'p', 's', 'r', 'l', 'v', 'd', 9, 0,
+  /* 3499 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 9, 0,
+  /* 3511 */ 'v', 'm', 'o', 'v', 'd', 9, 0,
+  /* 3518 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 'd', 9, 0,
+  /* 3528 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'd', 9, 0,
+  /* 3538 */ 'v', 'p', 'm', 'a', 'd', 'd', 'w', 'd', 9, 0,
+  /* 3548 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'w', 'd', 9, 0,
+  /* 3560 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'w', 'd', 9, 0,
+  /* 3572 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'd', 9, 0,
+  /* 3582 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 'w', 'd', 9, 0,
+  /* 3593 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'd', 9, 0,
+  /* 3604 */ 'v', 'p', 'm', 'a', 'd', 'c', 's', 's', 'w', 'd', 9, 0,
+  /* 3616 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'd', 9, 0,
+  /* 3627 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'd', 9, 0,
+  /* 3638 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'd', 9, 0,
+  /* 3649 */ 'j', 'a', 'e', 9, 0,
+  /* 3654 */ 's', 'e', 't', 'a', 'e', 9, 0,
+  /* 3661 */ 'j', 'b', 'e', 9, 0,
+  /* 3666 */ 'f', 'c', 'm', 'o', 'v', 'n', 'b', 'e', 9, 0,
+  /* 3676 */ 's', 'e', 't', 'b', 'e', 9, 0,
+  /* 3683 */ 'f', 'c', 'm', 'o', 'v', 'b', 'e', 9, 0,
+  /* 3692 */ 'f', 'f', 'r', 'e', 'e', 9, 0,
+  /* 3699 */ 'j', 'g', 'e', 9, 0,
+  /* 3704 */ 'p', 'f', 'c', 'm', 'p', 'g', 'e', 9, 0,
+  /* 3713 */ 's', 'e', 't', 'g', 'e', 9, 0,
+  /* 3720 */ 'j', 'e', 9, 0,
+  /* 3724 */ 'j', 'l', 'e', 9, 0,
+  /* 3729 */ 's', 'e', 't', 'l', 'e', 9, 0,
+  /* 3736 */ 'j', 'n', 'e', 9, 0,
+  /* 3741 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
+  /* 3749 */ 's', 'e', 't', 'n', 'e', 9, 0,
+  /* 3756 */ 'f', 'c', 'm', 'o', 'v', 'n', 'e', 9, 0,
+  /* 3765 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
+  /* 3772 */ 's', 'e', 't', 'e', 9, 0,
+  /* 3778 */ 's', 'h', 'a', '1', 'n', 'e', 'x', 't', 'e', 9, 0,
+  /* 3789 */ 'f', 'n', 's', 'a', 'v', 'e', 9, 0,
+  /* 3797 */ 'f', 'x', 's', 'a', 'v', 'e', 9, 0,
+  /* 3805 */ 'f', 'c', 'm', 'o', 'v', 'e', 9, 0,
+  /* 3813 */ 'j', 'g', 9, 0,
+  /* 3817 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
+  /* 3825 */ 's', 'e', 't', 'g', 9, 0,
+  /* 3831 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 9, 0,
+  /* 3841 */ 'f', 'x', 'c', 'h', 9, 0,
+  /* 3847 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'p', 'h', 9, 0,
+  /* 3858 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'h', 9, 0,
+  /* 3869 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'h', 9, 0,
+  /* 3881 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 9, 0,
+  /* 3890 */ 'b', 'l', 'c', 'i', 9, 0,
+  /* 3896 */ 'f', 'c', 'o', 'm', 'i', 9, 0,
+  /* 3903 */ 'f', 'u', 'c', 'o', 'm', 'i', 9, 0,
+  /* 3911 */ 'c', 'v', 't', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
+  /* 3922 */ 'c', 'v', 't', 'p', 'd', '2', 'p', 'i', 9, 0,
+  /* 3932 */ 'c', 'v', 't', 't', 'p', 's', '2', 'p', 'i', 9, 0,
+  /* 3943 */ 'c', 'v', 't', 'p', 's', '2', 'p', 'i', 9, 0,
+  /* 3953 */ 'f', 'c', 'o', 'm', 'i', 'p', 9, 0,
+  /* 3961 */ 'f', 'u', 'c', 'o', 'm', 'i', 'p', 9, 0,
+  /* 3970 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'i', 9, 0,
+  /* 3982 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'i', 9, 0,
+  /* 3994 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 's', 'i', 9, 0,
+  /* 4006 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 'i', 9, 0,
+  /* 4017 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 's', 'i', 9, 0,
+  /* 4029 */ 'v', 'c', 'v', 't', 's', 's', '2', 's', 'i', 9, 0,
+  /* 4040 */ 'v', 'c', 'v', 't', 't', 's', 'd', '2', 'u', 's', 'i', 9, 0,
+  /* 4053 */ 'v', 'c', 'v', 't', 's', 'd', '2', 'u', 's', 'i', 9, 0,
+  /* 4065 */ 'v', 'c', 'v', 't', 't', 's', 's', '2', 'u', 's', 'i', 9, 0,
+  /* 4078 */ 'v', 'c', 'v', 't', 's', 's', '2', 'u', 's', 'i', 9, 0,
+  /* 4090 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
+  /* 4098 */ 't', 'z', 'm', 's', 'k', 9, 0,
+  /* 4105 */ 'c', 'r', 'c', '3', '2', 'l', 9, 0,
+  /* 4113 */ 'l', 'e', 'a', 'l', 9, 0,
+  /* 4119 */ 'c', 'm', 'o', 'v', 'a', 'l', 9, 0,
+  /* 4127 */ 's', 'b', 'b', 'l', 9, 0,
+  /* 4133 */ 'm', 'o', 'v', 's', 'b', 'l', 9, 0,
+  /* 4141 */ 'f', 's', 'u', 'b', 'l', 9, 0,
+  /* 4148 */ 'f', 'i', 's', 'u', 'b', 'l', 9, 0,
+  /* 4156 */ 'c', 'm', 'o', 'v', 'b', 'l', 9, 0,
+  /* 4164 */ 'm', 'o', 'v', 'z', 'b', 'l', 9, 0,
+  /* 4172 */ 'a', 'd', 'c', 'l', 9, 0,
+  /* 4178 */ 'd', 'e', 'c', 'l', 9, 0,
+  /* 4184 */ 'i', 'n', 'c', 'l', 9, 0,
+  /* 4190 */ 'b', 't', 'c', 'l', 9, 0,
+  /* 4196 */ 'v', 'm', 'r', 'e', 'a', 'd', 'l', 9, 0,
+  /* 4205 */ 'f', 'a', 'd', 'd', 'l', 9, 0,
+  /* 4212 */ 'f', 'i', 'a', 'd', 'd', 'l', 9, 0,
+  /* 4220 */ 'x', 'a', 'd', 'd', 'l', 9, 0,
+  /* 4227 */ 'r', 'd', 's', 'e', 'e', 'd', 'l', 9, 0,
+  /* 4236 */ 'f', 'l', 'd', 'l', 9, 0,
+  /* 4242 */ 's', 'h', 'l', 'd', 'l', 9, 0,
+  /* 4249 */ 'f', 'i', 'l', 'd', 'l', 9, 0,
+  /* 4256 */ 'r', 'd', 'r', 'a', 'n', 'd', 'l', 9, 0,
+  /* 4265 */ 's', 'h', 'r', 'd', 'l', 9, 0,
+  /* 4272 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'l', 9, 0,
+  /* 4284 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'l', 9, 0,
+  /* 4297 */ 'c', 'm', 'o', 'v', 'a', 'e', 'l', 9, 0,
+  /* 4306 */ 'c', 'm', 'o', 'v', 'b', 'e', 'l', 9, 0,
+  /* 4315 */ 'c', 'm', 'o', 'v', 'g', 'e', 'l', 9, 0,
+  /* 4324 */ 'c', 'm', 'o', 'v', 'l', 'e', 'l', 9, 0,
+  /* 4333 */ 'c', 'm', 'o', 'v', 'n', 'e', 'l', 9, 0,
+  /* 4342 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 4353 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 4364 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 4375 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 4386 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'l', 9, 0,
+  /* 4396 */ 'c', 'm', 'o', 'v', 'e', 'l', 9, 0,
+  /* 4404 */ 'b', 's', 'f', 'l', 9, 0,
+  /* 4410 */ 'n', 'e', 'g', 'l', 9, 0,
+  /* 4416 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'l', 9, 0,
+  /* 4426 */ 'c', 'm', 'o', 'v', 'g', 'l', 9, 0,
+  /* 4434 */ 'p', 'u', 's', 'h', 'l', 9, 0,
+  /* 4441 */ 'b', 'z', 'h', 'i', 'l', 9, 0,
+  /* 4448 */ 'b', 'l', 's', 'i', 'l', 9, 0,
+  /* 4455 */ 'm', 'o', 'v', 'n', 't', 'i', 'l', 9, 0,
+  /* 4464 */ 'j', 'l', 9, 0,
+  /* 4468 */ 'b', 'l', 's', 'm', 's', 'k', 'l', 9, 0,
+  /* 4477 */ 's', 'a', 'l', 'l', 9, 0,
+  /* 4483 */ 'r', 'c', 'l', 'l', 9, 0,
+  /* 4489 */ 'f', 'i', 'l', 'd', 'l', 'l', 9, 0,
+  /* 4497 */ 's', 'h', 'l', 'l', 9, 0,
+  /* 4503 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
+  /* 4512 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
+  /* 4521 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, 0,
+  /* 4529 */ 'r', 'o', 'l', 'l', 9, 0,
+  /* 4535 */ 'f', 'i', 's', 't', 'p', 'l', 'l', 9, 0,
+  /* 4544 */ 'f', 'i', 's', 't', 't', 'p', 'l', 'l', 9, 0,
+  /* 4554 */ 'l', 's', 'l', 'l', 9, 0,
+  /* 4560 */ 'f', 'm', 'u', 'l', 'l', 9, 0,
+  /* 4567 */ 'f', 'i', 'm', 'u', 'l', 'l', 9, 0,
+  /* 4575 */ 'c', 'm', 'o', 'v', 'l', 'l', 9, 0,
+  /* 4583 */ 'f', 'c', 'o', 'm', 'l', 9, 0,
+  /* 4590 */ 'f', 'i', 'c', 'o', 'm', 'l', 9, 0,
+  /* 4598 */ 'a', 'n', 'd', 'n', 'l', 9, 0,
+  /* 4605 */ 'i', 'n', 'l', 9, 0,
+  /* 4610 */ 'c', 'm', 'o', 'v', 'n', 'o', 'l', 9, 0,
+  /* 4619 */ 'c', 'm', 'o', 'v', 'o', 'l', 9, 0,
+  /* 4627 */ 'b', 's', 'w', 'a', 'p', 'l', 9, 0,
+  /* 4635 */ 'p', 'd', 'e', 'p', 'l', 9, 0,
+  /* 4642 */ 'c', 'm', 'p', 'l', 9, 0,
+  /* 4648 */ 'l', 'j', 'm', 'p', 'l', 9, 0,
+  /* 4655 */ 'f', 'c', 'o', 'm', 'p', 'l', 9, 0,
+  /* 4663 */ 'f', 'i', 'c', 'o', 'm', 'p', 'l', 9, 0,
+  /* 4672 */ 'c', 'm', 'o', 'v', 'n', 'p', 'l', 9, 0,
+  /* 4681 */ 'n', 'o', 'p', 'l', 9, 0,
+  /* 4687 */ 'p', 'o', 'p', 'l', 9, 0,
+  /* 4693 */ 'a', 'r', 'p', 'l', 9, 0,
+  /* 4699 */ 'f', 's', 't', 'p', 'l', 9, 0,
+  /* 4706 */ 'f', 'i', 's', 't', 'p', 'l', 9, 0,
+  /* 4714 */ 'f', 'i', 's', 't', 't', 'p', 'l', 9, 0,
+  /* 4723 */ 'c', 'm', 'o', 'v', 'p', 'l', 9, 0,
+  /* 4731 */ 'v', 'p', 'm', 'a', 'c', 's', 'd', 'q', 'l', 9, 0,
+  /* 4742 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'd', 'q', 'l', 9, 0,
+  /* 4754 */ 'l', 'a', 'r', 'l', 9, 0,
+  /* 4760 */ 's', 'a', 'r', 'l', 9, 0,
+  /* 4766 */ 'f', 's', 'u', 'b', 'r', 'l', 9, 0,
+  /* 4774 */ 'f', 'i', 's', 'u', 'b', 'r', 'l', 9, 0,
+  /* 4783 */ 'r', 'c', 'r', 'l', 9, 0,
+  /* 4789 */ 's', 'h', 'r', 'l', 9, 0,
+  /* 4795 */ 'r', 'o', 'r', 'l', 9, 0,
+  /* 4801 */ 'x', 'o', 'r', 'l', 9, 0,
+  /* 4807 */ 'b', 's', 'r', 'l', 9, 0,
+  /* 4813 */ 'b', 'l', 's', 'r', 'l', 9, 0,
+  /* 4820 */ 'b', 't', 'r', 'l', 9, 0,
+  /* 4826 */ 's', 't', 'r', 'l', 9, 0,
+  /* 4832 */ 'b', 'e', 'x', 't', 'r', 'l', 9, 0,
+  /* 4840 */ 'f', 'd', 'i', 'v', 'r', 'l', 9, 0,
+  /* 4848 */ 'f', 'i', 'd', 'i', 'v', 'r', 'l', 9, 0,
+  /* 4857 */ 's', 'c', 'a', 's', 'l', 9, 0,
+  /* 4864 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, 0,
+  /* 4873 */ 'l', 'd', 's', 'l', 9, 0,
+  /* 4879 */ 'l', 'o', 'd', 's', 'l', 9, 0,
+  /* 4886 */ 'l', 'e', 's', 'l', 9, 0,
+  /* 4892 */ 'l', 'f', 's', 'l', 9, 0,
+  /* 4898 */ 'l', 'g', 's', 'l', 9, 0,
+  /* 4904 */ 'c', 'm', 'o', 'v', 'n', 's', 'l', 9, 0,
+  /* 4913 */ 'c', 'm', 'p', 's', 'l', 9, 0,
+  /* 4920 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'l', 9, 0,
+  /* 4932 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'l', 9, 0,
+  /* 4945 */ 'l', 's', 's', 'l', 9, 0,
+  /* 4951 */ 'b', 't', 's', 'l', 9, 0,
+  /* 4957 */ 'o', 'u', 't', 's', 'l', 9, 0,
+  /* 4964 */ 'c', 'm', 'o', 'v', 's', 'l', 9, 0,
+  /* 4972 */ 'b', 't', 'l', 9, 0,
+  /* 4977 */ 'l', 'g', 'd', 't', 'l', 9, 0,
+  /* 4984 */ 's', 'g', 'd', 't', 'l', 9, 0,
+  /* 4991 */ 'l', 'i', 'd', 't', 'l', 9, 0,
+  /* 4998 */ 's', 'i', 'd', 't', 'l', 9, 0,
+  /* 5005 */ 's', 'l', 'd', 't', 'l', 9, 0,
+  /* 5012 */ 'l', 'r', 'e', 't', 'l', 9, 0,
+  /* 5019 */ 's', 'e', 't', 'l', 9, 0,
+  /* 5025 */ 'p', 'o', 'p', 'c', 'n', 't', 'l', 9, 0,
+  /* 5034 */ 'l', 'z', 'c', 'n', 't', 'l', 9, 0,
+  /* 5042 */ 't', 'z', 'c', 'n', 't', 'l', 9, 0,
+  /* 5050 */ 'n', 'o', 't', 'l', 9, 0,
+  /* 5056 */ 't', 'e', 's', 't', 'l', 9, 0,
+  /* 5063 */ 'f', 's', 't', 'l', 9, 0,
+  /* 5069 */ 'f', 'i', 's', 't', 'l', 9, 0,
+  /* 5076 */ 'p', 'e', 'x', 't', 'l', 9, 0,
+  /* 5083 */ 'p', 'f', 'm', 'u', 'l', 9, 0,
+  /* 5090 */ 'f', 'd', 'i', 'v', 'l', 9, 0,
+  /* 5097 */ 'f', 'i', 'd', 'i', 'v', 'l', 9, 0,
+  /* 5105 */ 'm', 'o', 'v', 'l', 9, 0,
+  /* 5111 */ 's', 'm', 's', 'w', 'l', 9, 0,
+  /* 5118 */ 'm', 'o', 'v', 's', 'w', 'l', 9, 0,
+  /* 5126 */ 'm', 'o', 'v', 'z', 'w', 'l', 9, 0,
+  /* 5134 */ 'a', 'd', 'c', 'x', 'l', 9, 0,
+  /* 5141 */ 's', 'h', 'l', 'x', 'l', 9, 0,
+  /* 5148 */ 'm', 'u', 'l', 'x', 'l', 9, 0,
+  /* 5155 */ 'a', 'd', 'o', 'x', 'l', 9, 0,
+  /* 5162 */ 's', 'a', 'r', 'x', 'l', 9, 0,
+  /* 5169 */ 's', 'h', 'r', 'x', 'l', 9, 0,
+  /* 5176 */ 'r', 'o', 'r', 'x', 'l', 9, 0,
+  /* 5183 */ 'a', 'a', 'm', 9, 0,
+  /* 5188 */ 'f', 'c', 'o', 'm', 9, 0,
+  /* 5194 */ 'f', 'u', 'c', 'o', 'm', 9, 0,
+  /* 5201 */ 'v', 'p', 'p', 'e', 'r', 'm', 9, 0,
+  /* 5209 */ 'v', 'p', 'c', 'm', 'p', 'e', 's', 't', 'r', 'm', 9, 0,
+  /* 5221 */ 'v', 'p', 'c', 'm', 'p', 'i', 's', 't', 'r', 'm', 9, 0,
+  /* 5233 */ 'v', 'p', 'a', 'n', 'd', 'n', 9, 0,
+  /* 5241 */ 'x', 'b', 'e', 'g', 'i', 'n', 9, 0,
+  /* 5249 */ 'p', 'f', 'm', 'i', 'n', 9, 0,
+  /* 5256 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
+  /* 5263 */ 'j', 'o', 9, 0,
+  /* 5267 */ 'j', 'n', 'o', 9, 0,
+  /* 5272 */ 's', 'e', 't', 'n', 'o', 9, 0,
+  /* 5279 */ 's', 'e', 't', 'o', 9, 0,
+  /* 5285 */ 'f', 's', 'u', 'b', 'p', 9, 0,
+  /* 5292 */ 'p', 'f', 'r', 'c', 'p', 9, 0,
+  /* 5299 */ 'f', 'a', 'd', 'd', 'p', 9, 0,
+  /* 5306 */ 'f', 'f', 'r', 'e', 'e', 'p', 9, 0,
+  /* 5314 */ 'j', 'p', 9, 0,
+  /* 5318 */ 'f', 'm', 'u', 'l', 'p', 9, 0,
+  /* 5325 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 9, 0,
+  /* 5336 */ 'f', 'c', 'o', 'm', 'p', 9, 0,
+  /* 5343 */ 'f', 'u', 'c', 'o', 'm', 'p', 9, 0,
+  /* 5351 */ 'j', 'n', 'p', 9, 0,
+  /* 5356 */ 's', 'e', 't', 'n', 'p', 9, 0,
+  /* 5363 */ 'n', 'o', 'p', 9, 0,
+  /* 5368 */ 'l', 'o', 'o', 'p', 9, 0,
+  /* 5374 */ 'f', 's', 'u', 'b', 'r', 'p', 9, 0,
+  /* 5382 */ 'f', 'd', 'i', 'v', 'r', 'p', 9, 0,
+  /* 5390 */ 's', 'e', 't', 'p', 9, 0,
+  /* 5396 */ 'f', 'b', 's', 't', 'p', 9, 0,
+  /* 5403 */ 'f', 's', 't', 'p', 9, 0,
+  /* 5409 */ 'v', 'm', 'o', 'v', 'd', 'd', 'u', 'p', 9, 0,
+  /* 5419 */ 'v', 'm', 'o', 'v', 's', 'h', 'd', 'u', 'p', 9, 0,
+  /* 5430 */ 'v', 'm', 'o', 'v', 's', 'l', 'd', 'u', 'p', 9, 0,
+  /* 5441 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
+  /* 5457 */ 'f', 'd', 'i', 'v', 'p', 9, 0,
+  /* 5464 */ 'c', 'r', 'c', '3', '2', 'q', 9, 0,
+  /* 5472 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'm', 'b', '2', 'q', 9, 0,
+  /* 5489 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'q', 9, 0,
+  /* 5499 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'q', 9, 0,
+  /* 5509 */ 'm', 'o', 'v', 'd', 'q', '2', 'q', 9, 0,
+  /* 5518 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'q', 9, 0,
+  /* 5528 */ 'l', 'e', 'a', 'q', 9, 0,
+  /* 5534 */ 'v', 'p', 's', 'h', 'a', 'q', 9, 0,
+  /* 5542 */ 'v', 'p', 's', 'r', 'a', 'q', 9, 0,
+  /* 5550 */ 'c', 'm', 'o', 'v', 'a', 'q', 9, 0,
+  /* 5558 */ 's', 'b', 'b', 'q', 9, 0,
+  /* 5564 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'q', 9, 0,
+  /* 5574 */ 'm', 'o', 'v', 's', 'b', 'q', 9, 0,
+  /* 5582 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'q', 9, 0,
+  /* 5593 */ 'v', 'p', 's', 'u', 'b', 'q', 9, 0,
+  /* 5601 */ 'c', 'm', 'o', 'v', 'b', 'q', 9, 0,
+  /* 5609 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'q', 9, 0,
+  /* 5620 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'q', 9, 0,
+  /* 5631 */ 'm', 'o', 'v', 'z', 'b', 'q', 9, 0,
+  /* 5639 */ 'a', 'd', 'c', 'q', 9, 0,
+  /* 5645 */ 'd', 'e', 'c', 'q', 9, 0,
+  /* 5651 */ 'i', 'n', 'c', 'q', 9, 0,
+  /* 5657 */ 'b', 't', 'c', 'q', 9, 0,
+  /* 5663 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
+  /* 5675 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 9, 0,
+  /* 5686 */ 'm', 'o', 'v', 'q', '2', 'd', 'q', 9, 0,
+  /* 5695 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'd', 'q', 9, 0,
+  /* 5707 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'd', 'q', 9, 0,
+  /* 5718 */ 'v', 'm', 'r', 'e', 'a', 'd', 'q', 9, 0,
+  /* 5727 */ 'v', 'p', 'h', 's', 'u', 'b', 'd', 'q', 9, 0,
+  /* 5737 */ 'v', 'p', 'a', 'd', 'd', 'q', 9, 0,
+  /* 5745 */ 'x', 'a', 'd', 'd', 'q', 9, 0,
+  /* 5752 */ 'v', 'p', 'h', 'a', 'd', 'd', 'd', 'q', 9, 0,
+  /* 5762 */ 'r', 'd', 's', 'e', 'e', 'd', 'q', 9, 0,
+  /* 5771 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'd', 'q', 9, 0,
+  /* 5783 */ 's', 'h', 'l', 'd', 'q', 9, 0,
+  /* 5790 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'd', 'q', 9, 0,
+  /* 5802 */ 'v', 'p', 's', 'l', 'l', 'd', 'q', 9, 0,
+  /* 5811 */ 'v', 'p', 's', 'r', 'l', 'd', 'q', 9, 0,
+  /* 5820 */ 'v', 'p', 'm', 'u', 'l', 'd', 'q', 9, 0,
+  /* 5829 */ 'k', 'a', 'n', 'd', 'q', 9, 0,
+  /* 5836 */ 'v', 'p', 'a', 'n', 'd', 'q', 9, 0,
+  /* 5844 */ 'v', 'p', 'e', 'x', 'p', 'a', 'n', 'd', 'q', 9, 0,
+  /* 5855 */ 'r', 'd', 'r', 'a', 'n', 'd', 'q', 9, 0,
+  /* 5864 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'q', 'd', 'q', 9, 0,
+  /* 5877 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'q', 'd', 'q', 9, 0,
+  /* 5890 */ 'v', 'p', 'c', 'l', 'm', 'u', 'l', 'q', 'd', 'q', 9, 0,
+  /* 5902 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'q', 9, 0,
+  /* 5914 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'q', 9, 0,
+  /* 5927 */ 's', 'h', 'r', 'd', 'q', 9, 0,
+  /* 5934 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 'd', 'q', 9, 0,
+  /* 5946 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 'd', 'q', 9, 0,
+  /* 5959 */ 'v', 'm', 'o', 'v', 'n', 't', 'd', 'q', 9, 0,
+  /* 5969 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'u', 'd', 'q', 9, 0,
+  /* 5982 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'u', 'd', 'q', 9, 0,
+  /* 5994 */ 'v', 'c', 'v', 't', 't', 'p', 's', '2', 'u', 'd', 'q', 9, 0,
+  /* 6007 */ 'v', 'c', 'v', 't', 'p', 's', '2', 'u', 'd', 'q', 9, 0,
+  /* 6019 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'd', 'q', 9, 0,
+  /* 6030 */ 'v', 'p', 'm', 'u', 'l', 'u', 'd', 'q', 9, 0,
+  /* 6040 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'd', 'q', 9, 0,
+  /* 6051 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'd', 'q', 9, 0,
+  /* 6062 */ 'c', 'm', 'o', 'v', 'a', 'e', 'q', 9, 0,
+  /* 6071 */ 'c', 'm', 'o', 'v', 'b', 'e', 'q', 9, 0,
+  /* 6080 */ 'c', 'm', 'o', 'v', 'g', 'e', 'q', 9, 0,
+  /* 6089 */ 'c', 'm', 'o', 'v', 'l', 'e', 'q', 9, 0,
+  /* 6098 */ 'c', 'm', 'o', 'v', 'n', 'e', 'q', 9, 0,
+  /* 6107 */ 'p', 'f', 'c', 'm', 'p', 'e', 'q', 9, 0,
+  /* 6116 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 6127 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 6138 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 6149 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 6160 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'q', 9, 0,
+  /* 6170 */ 'c', 'm', 'o', 'v', 'e', 'q', 9, 0,
+  /* 6178 */ 'b', 's', 'f', 'q', 9, 0,
+  /* 6184 */ 'n', 'e', 'g', 'q', 9, 0,
+  /* 6190 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'q', 9, 0,
+  /* 6200 */ 'c', 'm', 'o', 'v', 'g', 'q', 9, 0,
+  /* 6208 */ 'p', 'u', 's', 'h', 'q', 9, 0,
+  /* 6215 */ 'b', 'z', 'h', 'i', 'q', 9, 0,
+  /* 6222 */ 'b', 'l', 's', 'i', 'q', 9, 0,
+  /* 6229 */ 'm', 'o', 'v', 'n', 't', 'i', 'q', 9, 0,
+  /* 6238 */ 'b', 'l', 's', 'm', 's', 'k', 'q', 9, 0,
+  /* 6247 */ 's', 'a', 'l', 'q', 9, 0,
+  /* 6253 */ 'r', 'c', 'l', 'q', 9, 0,
+  /* 6259 */ 'v', 'p', 's', 'h', 'l', 'q', 9, 0,
+  /* 6267 */ 'c', 'a', 'l', 'l', 'q', 9, 0,
+  /* 6274 */ 'v', 'p', 's', 'l', 'l', 'q', 9, 0,
+  /* 6282 */ 'v', 'p', 'm', 'u', 'l', 'l', 'q', 9, 0,
+  /* 6291 */ 'r', 'o', 'l', 'q', 9, 0,
+  /* 6297 */ 'v', 'p', 's', 'r', 'l', 'q', 9, 0,
+  /* 6305 */ 'l', 's', 'l', 'q', 9, 0,
+  /* 6311 */ 'm', 'o', 'v', 's', 'l', 'q', 9, 0,
+  /* 6319 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'q', 9, 0,
+  /* 6329 */ 'i', 'm', 'u', 'l', 'q', 9, 0,
+  /* 6336 */ 'c', 'm', 'o', 'v', 'l', 'q', 9, 0,
+  /* 6344 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'q', 9, 0,
+  /* 6355 */ 'v', 'p', 't', 'e', 's', 't', 'n', 'm', 'q', 9, 0,
+  /* 6366 */ 'v', 'p', 'c', 'o', 'm', 'q', 9, 0,
+  /* 6374 */ 'v', 'p', 'e', 'r', 'm', 'q', 9, 0,
+  /* 6382 */ 'v', 'p', 't', 'e', 's', 't', 'm', 'q', 9, 0,
+  /* 6392 */ 'k', 'a', 'n', 'd', 'n', 'q', 9, 0,
+  /* 6400 */ 'v', 'p', 'a', 'n', 'd', 'n', 'q', 9, 0,
+  /* 6409 */ 'v', 'a', 'l', 'i', 'g', 'n', 'q', 9, 0,
+  /* 6418 */ 'c', 'm', 'o', 'v', 'n', 'o', 'q', 9, 0,
+  /* 6427 */ 'c', 'm', 'o', 'v', 'o', 'q', 9, 0,
+  /* 6435 */ 'b', 's', 'w', 'a', 'p', 'q', 9, 0,
+  /* 6443 */ 'p', 'd', 'e', 'p', 'q', 9, 0,
+  /* 6450 */ 'v', 'p', 'c', 'm', 'p', 'q', 9, 0,
+  /* 6458 */ 'c', 'm', 'o', 'v', 'n', 'p', 'q', 9, 0,
+  /* 6467 */ 'p', 'o', 'p', 'q', 9, 0,
+  /* 6473 */ 'c', 'm', 'o', 'v', 'p', 'q', 9, 0,
+  /* 6481 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'q', 9, 0,
+  /* 6491 */ 'v', 'p', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'q', 9, 0,
+  /* 6503 */ 'v', 'p', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'q', 9, 0,
+  /* 6516 */ 'l', 'a', 'r', 'q', 9, 0,
+  /* 6522 */ 's', 'a', 'r', 'q', 9, 0,
+  /* 6528 */ 'r', 'c', 'r', 'q', 9, 0,
+  /* 6534 */ 's', 'h', 'r', 'q', 9, 0,
+  /* 6540 */ 'k', 'o', 'r', 'q', 9, 0,
+  /* 6546 */ 'k', 'x', 'n', 'o', 'r', 'q', 9, 0,
+  /* 6554 */ 'v', 'p', 'o', 'r', 'q', 9, 0,
+  /* 6561 */ 'r', 'o', 'r', 'q', 9, 0,
+  /* 6567 */ 'k', 'x', 'o', 'r', 'q', 9, 0,
+  /* 6574 */ 'v', 'p', 'x', 'o', 'r', 'q', 9, 0,
+  /* 6582 */ 'b', 's', 'r', 'q', 9, 0,
+  /* 6588 */ 'b', 'l', 's', 'r', 'q', 9, 0,
+  /* 6595 */ 'v', 'p', 'i', 'n', 's', 'r', 'q', 9, 0,
+  /* 6604 */ 'b', 't', 'r', 'q', 9, 0,
+  /* 6610 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'q', 9, 0,
+  /* 6620 */ 's', 't', 'r', 'q', 9, 0,
+  /* 6626 */ 'b', 'e', 'x', 't', 'r', 'q', 9, 0,
+  /* 6634 */ 'v', 'p', 'e', 'x', 't', 'r', 'q', 9, 0,
+  /* 6643 */ 's', 'c', 'a', 's', 'q', 9, 0,
+  /* 6650 */ 'v', 'p', 'a', 'b', 's', 'q', 9, 0,
+  /* 6658 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, 0,
+  /* 6667 */ 'l', 'o', 'd', 's', 'q', 9, 0,
+  /* 6674 */ 'l', 'f', 's', 'q', 9, 0,
+  /* 6680 */ 'l', 'g', 's', 'q', 9, 0,
+  /* 6686 */ 'v', 'p', 'm', 'i', 'n', 's', 'q', 9, 0,
+  /* 6695 */ 'c', 'm', 'o', 'v', 'n', 's', 'q', 9, 0,
+  /* 6704 */ 'c', 'm', 'p', 's', 'q', 9, 0,
+  /* 6711 */ 'v', 'c', 'v', 't', 's', 'i', '2', 's', 's', 'q', 9, 0,
+  /* 6723 */ 'v', 'c', 'v', 't', 'u', 's', 'i', '2', 's', 's', 'q', 9, 0,
+  /* 6736 */ 'v', 'p', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'q', 9, 0,
+  /* 6749 */ 'l', 's', 's', 'q', 9, 0,
+  /* 6755 */ 'b', 't', 's', 'q', 9, 0,
+  /* 6761 */ 'c', 'm', 'o', 'v', 's', 'q', 9, 0,
+  /* 6769 */ 'v', 'p', 'm', 'a', 'x', 's', 'q', 9, 0,
+  /* 6778 */ 'b', 't', 'q', 9, 0,
+  /* 6783 */ 'v', 'p', 'c', 'o', 'n', 'f', 'l', 'i', 'c', 't', 'q', 9, 0,
+  /* 6796 */ 'l', 'g', 'd', 't', 'q', 9, 0,
+  /* 6803 */ 's', 'g', 'd', 't', 'q', 9, 0,
+  /* 6810 */ 'l', 'i', 'd', 't', 'q', 9, 0,
+  /* 6817 */ 's', 'i', 'd', 't', 'q', 9, 0,
+  /* 6824 */ 's', 'l', 'd', 't', 'q', 9, 0,
+  /* 6831 */ 'l', 'r', 'e', 't', 'q', 9, 0,
+  /* 6838 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'q', 9, 0,
+  /* 6848 */ 'p', 'o', 'p', 'c', 'n', 't', 'q', 9, 0,
+  /* 6857 */ 'v', 'p', 'l', 'z', 'c', 'n', 't', 'q', 9, 0,
+  /* 6867 */ 't', 'z', 'c', 'n', 't', 'q', 9, 0,
+  /* 6875 */ 'm', 'o', 'v', 'n', 't', 'q', 9, 0,
+  /* 6883 */ 'k', 'n', 'o', 't', 'q', 9, 0,
+  /* 6890 */ 'v', 'p', 'r', 'o', 't', 'q', 9, 0,
+  /* 6898 */ 'i', 'n', 's', 'e', 'r', 't', 'q', 9, 0,
+  /* 6907 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'q', 9, 0,
+  /* 6921 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'q', 9, 0,
+  /* 6931 */ 'p', 'e', 'x', 't', 'q', 9, 0,
+  /* 6938 */ 'v', 'p', 'c', 'o', 'm', 'u', 'q', 9, 0,
+  /* 6947 */ 'v', 'p', 'm', 'i', 'n', 'u', 'q', 9, 0,
+  /* 6956 */ 'v', 'p', 'c', 'm', 'p', 'u', 'q', 9, 0,
+  /* 6965 */ 'v', 'p', 'm', 'a', 'x', 'u', 'q', 9, 0,
+  /* 6974 */ 'v', 'p', 's', 'r', 'a', 'v', 'q', 9, 0,
+  /* 6983 */ 'i', 'd', 'i', 'v', 'q', 9, 0,
+  /* 6990 */ 'v', 'p', 's', 'l', 'l', 'v', 'q', 9, 0,
+  /* 6999 */ 'v', 'p', 's', 'r', 'l', 'v', 'q', 9, 0,
+  /* 7008 */ 'v', 'p', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'q', 9, 0,
+  /* 7020 */ 'v', 'm', 'o', 'v', 'q', 9, 0,
+  /* 7027 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 'q', 9, 0,
+  /* 7037 */ 's', 'm', 's', 'w', 'q', 9, 0,
+  /* 7044 */ 'm', 'o', 'v', 's', 'w', 'q', 9, 0,
+  /* 7052 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'w', 'q', 9, 0,
+  /* 7063 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'w', 'q', 9, 0,
+  /* 7074 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'w', 'q', 9, 0,
+  /* 7085 */ 'm', 'o', 'v', 'z', 'w', 'q', 9, 0,
+  /* 7093 */ 'a', 'd', 'c', 'x', 'q', 9, 0,
+  /* 7100 */ 's', 'h', 'l', 'x', 'q', 9, 0,
+  /* 7107 */ 'm', 'u', 'l', 'x', 'q', 9, 0,
+  /* 7114 */ 'a', 'd', 'o', 'x', 'q', 9, 0,
+  /* 7121 */ 's', 'a', 'r', 'x', 'q', 9, 0,
+  /* 7128 */ 's', 'h', 'r', 'x', 'q', 9, 0,
+  /* 7135 */ 'r', 'o', 'r', 'x', 'q', 9, 0,
+  /* 7142 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
+  /* 7151 */ 'p', 'f', 's', 'u', 'b', 'r', 9, 0,
+  /* 7159 */ 'e', 'n', 't', 'e', 'r', 9, 0,
+  /* 7166 */ 'v', 'p', 'a', 'l', 'i', 'g', 'n', 'r', 9, 0,
+  /* 7176 */ 'v', 'p', 'o', 'r', 9, 0,
+  /* 7182 */ 'f', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 7190 */ 'f', 'x', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 7199 */ 'v', 'p', 'x', 'o', 'r', 9, 0,
+  /* 7206 */ 'v', 'e', 'r', 'r', 9, 0,
+  /* 7212 */ 'v', 'l', 'd', 'm', 'x', 'c', 's', 'r', 9, 0,
+  /* 7222 */ 'v', 's', 't', 'm', 'x', 'c', 's', 'r', 9, 0,
+  /* 7232 */ 'b', 'e', 'x', 't', 'r', 9, 0,
+  /* 7239 */ 'f', 'd', 'i', 'v', 'r', 9, 0,
+  /* 7246 */ 'f', 's', 'u', 'b', 's', 9, 0,
+  /* 7253 */ 'f', 'i', 's', 'u', 'b', 's', 9, 0,
+  /* 7261 */ 'b', 'l', 'c', 's', 9, 0,
+  /* 7267 */ 'f', 'a', 'd', 'd', 's', 9, 0,
+  /* 7274 */ 'f', 'i', 'a', 'd', 'd', 's', 9, 0,
+  /* 7282 */ 'f', 'l', 'd', 's', 9, 0,
+  /* 7288 */ 'f', 'i', 'l', 'd', 's', 9, 0,
+  /* 7295 */ 'x', 's', 'a', 'v', 'e', 's', 9, 0,
+  /* 7303 */ 'j', 's', 9, 0,
+  /* 7307 */ 'f', 'm', 'u', 'l', 's', 9, 0,
+  /* 7314 */ 'f', 'i', 'm', 'u', 'l', 's', 9, 0,
+  /* 7322 */ 'f', 'c', 'o', 'm', 's', 9, 0,
+  /* 7329 */ 'f', 'i', 'c', 'o', 'm', 's', 9, 0,
+  /* 7337 */ 'j', 'n', 's', 9, 0,
+  /* 7342 */ 's', 'e', 't', 'n', 's', 9, 0,
+  /* 7349 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7365 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7378 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7392 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7408 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7421 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 'p', 's', 9, 0,
+  /* 7435 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7451 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7464 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7478 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7494 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7507 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 'p', 's', 9, 0,
+  /* 7521 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 9, 0,
+  /* 7532 */ 'v', 'c', 'v', 't', 'p', 'h', '2', 'p', 's', 9, 0,
+  /* 7543 */ 'v', 'p', 'e', 'r', 'm', 'i', '2', 'p', 's', 9, 0,
+  /* 7554 */ 'c', 'v', 't', 'p', 'i', '2', 'p', 's', 9, 0,
+  /* 7564 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', '2', 'p', 's', 9, 0,
+  /* 7576 */ 'v', 'e', 'x', 'p', '2', 'p', 's', 9, 0,
+  /* 7585 */ 'v', 'c', 'v', 't', 'd', 'q', '2', 'p', 's', 9, 0,
+  /* 7596 */ 'v', 'c', 'v', 't', 'u', 'd', 'q', '2', 'p', 's', 9, 0,
+  /* 7608 */ 'v', 'p', 'e', 'r', 'm', 't', '2', 'p', 's', 9, 0,
+  /* 7619 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7635 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7648 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7662 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7678 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7691 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 'p', 's', 9, 0,
+  /* 7705 */ 'v', 'r', 'c', 'p', '1', '4', 'p', 's', 9, 0,
+  /* 7715 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 'p', 's', 9, 0,
+  /* 7727 */ 'v', 'r', 'c', 'p', '2', '8', 'p', 's', 9, 0,
+  /* 7737 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 'p', 's', 9, 0,
+  /* 7749 */ 'v', 'm', 'o', 'v', 'a', 'p', 's', 9, 0,
+  /* 7758 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7771 */ 'v', 'a', 'd', 'd', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7782 */ 'v', 'h', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7791 */ 'v', 'f', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7801 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7812 */ 'v', 's', 'u', 'b', 'p', 's', 9, 0,
+  /* 7820 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 9, 0,
+  /* 7835 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'd', 'p', 's', 9, 0,
+  /* 7851 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 9, 0,
+  /* 7866 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'd', 'p', 's', 9, 0,
+  /* 7882 */ 'v', 'f', 'm', 's', 'u', 'b', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 7895 */ 'v', 'h', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 7904 */ 'v', 'f', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 7914 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 7925 */ 'v', 'a', 'd', 'd', 'p', 's', 9, 0,
+  /* 7933 */ 'v', 'e', 'x', 'p', 'a', 'n', 'd', 'p', 's', 9, 0,
+  /* 7944 */ 'v', 'a', 'n', 'd', 'p', 's', 9, 0,
+  /* 7952 */ 'v', 'b', 'l', 'e', 'n', 'd', 'p', 's', 9, 0,
+  /* 7962 */ 'v', 'r', 'o', 'u', 'n', 'd', 'p', 's', 9, 0,
+  /* 7972 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'd', 'p', 's', 9, 0,
+  /* 7984 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'd', 'p', 's', 9, 0,
+  /* 7997 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 'p', 's', 9, 0,
+  /* 8010 */ 'v', 's', 'h', 'u', 'f', 'p', 's', 9, 0,
+  /* 8019 */ 'v', 'u', 'n', 'p', 'c', 'k', 'h', 'p', 's', 9, 0,
+  /* 8030 */ 'v', 'm', 'o', 'v', 'l', 'h', 'p', 's', 9, 0,
+  /* 8040 */ 'v', 'm', 'o', 'v', 'h', 'p', 's', 9, 0,
+  /* 8049 */ 'v', 'm', 'o', 'v', 'm', 's', 'k', 'p', 's', 9, 0,
+  /* 8060 */ 'v', 'm', 'o', 'v', 'h', 'l', 'p', 's', 9, 0,
+  /* 8070 */ 'v', 'p', 'e', 'r', 'm', 'i', 'l', 'p', 's', 9, 0,
+  /* 8081 */ 'v', 'u', 'n', 'p', 'c', 'k', 'l', 'p', 's', 9, 0,
+  /* 8092 */ 'v', 'm', 'u', 'l', 'p', 's', 9, 0,
+  /* 8100 */ 'v', 'm', 'o', 'v', 'l', 'p', 's', 9, 0,
+  /* 8109 */ 'v', 'b', 'l', 'e', 'n', 'd', 'm', 'p', 's', 9, 0,
+  /* 8120 */ 'f', 'c', 'o', 'm', 'p', 's', 9, 0,
+  /* 8128 */ 'f', 'i', 'c', 'o', 'm', 'p', 's', 9, 0,
+  /* 8137 */ 'v', 'p', 'e', 'r', 'm', 'p', 's', 9, 0,
+  /* 8146 */ 'v', 'a', 'n', 'd', 'n', 'p', 's', 9, 0,
+  /* 8155 */ 'v', 'm', 'i', 'n', 'p', 's', 9, 0,
+  /* 8163 */ 'v', 'r', 'c', 'p', 'p', 's', 9, 0,
+  /* 8171 */ 'v', 'd', 'p', 'p', 's', 9, 0,
+  /* 8178 */ 'v', 'c', 'm', 'p', 'p', 's', 9, 0,
+  /* 8186 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 9, 0,
+  /* 8201 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '0', 'q', 'p', 's', 9, 0,
+  /* 8217 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 9, 0,
+  /* 8232 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'p', 'f', '1', 'q', 'p', 's', 9, 0,
+  /* 8248 */ 'v', 'g', 'a', 't', 'h', 'e', 'r', 'q', 'p', 's', 9, 0,
+  /* 8260 */ 'v', 's', 'c', 'a', 't', 't', 'e', 'r', 'q', 'p', 's', 9, 0,
+  /* 8273 */ 'v', 'o', 'r', 'p', 's', 9, 0,
+  /* 8280 */ 'v', 'x', 'o', 'r', 'p', 's', 9, 0,
+  /* 8288 */ 'v', 'c', 'o', 'm', 'p', 'r', 'e', 's', 's', 'p', 's', 9, 0,
+  /* 8301 */ 'v', 'e', 'x', 't', 'r', 'a', 'c', 't', 'p', 's', 9, 0,
+  /* 8313 */ 'v', 'm', 'o', 'v', 'n', 't', 'p', 's', 9, 0,
+  /* 8323 */ 'v', 'i', 'n', 's', 'e', 'r', 't', 'p', 's', 9, 0,
+  /* 8334 */ 'v', 'r', 's', 'q', 'r', 't', 'p', 's', 9, 0,
+  /* 8344 */ 'v', 's', 'q', 'r', 't', 'p', 's', 9, 0,
+  /* 8353 */ 'v', 't', 'e', 's', 't', 'p', 's', 9, 0,
+  /* 8362 */ 'f', 's', 't', 'p', 's', 9, 0,
+  /* 8369 */ 'f', 'i', 's', 't', 'p', 's', 9, 0,
+  /* 8377 */ 'f', 'i', 's', 't', 't', 'p', 's', 9, 0,
+  /* 8386 */ 'v', 'm', 'o', 'v', 'u', 'p', 's', 9, 0,
+  /* 8395 */ 'v', 'b', 'l', 'e', 'n', 'd', 'v', 'p', 's', 9, 0,
+  /* 8406 */ 'v', 'd', 'i', 'v', 'p', 's', 9, 0,
+  /* 8414 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'p', 's', 9, 0,
+  /* 8426 */ 'v', 'm', 'a', 'x', 'p', 's', 9, 0,
+  /* 8434 */ 'v', 'f', 'r', 'c', 'z', 'p', 's', 9, 0,
+  /* 8443 */ 'f', 's', 'u', 'b', 'r', 's', 9, 0,
+  /* 8451 */ 'f', 'i', 's', 'u', 'b', 'r', 's', 9, 0,
+  /* 8460 */ 'x', 'r', 's', 't', 'o', 'r', 's', 9, 0,
+  /* 8469 */ 'f', 'd', 'i', 'v', 'r', 's', 9, 0,
+  /* 8477 */ 'f', 'i', 'd', 'i', 'v', 'r', 's', 9, 0,
+  /* 8486 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
+  /* 8499 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '3', '1', 's', 's', 9, 0,
+  /* 8513 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
+  /* 8526 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '3', '1', 's', 's', 9, 0,
+  /* 8540 */ 'v', 'f', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
+  /* 8553 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '1', '3', '2', 's', 's', 9, 0,
+  /* 8567 */ 'v', 'f', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
+  /* 8580 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '1', '3', '2', 's', 's', 9, 0,
+  /* 8594 */ 'v', 'c', 'v', 't', 's', 'd', '2', 's', 's', 9, 0,
+  /* 8605 */ 'v', 'f', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
+  /* 8618 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', '2', '1', '3', 's', 's', 9, 0,
+  /* 8632 */ 'v', 'f', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
+  /* 8645 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', '2', '1', '3', 's', 's', 9, 0,
+  /* 8659 */ 'v', 'r', 'c', 'p', '1', '4', 's', 's', 9, 0,
+  /* 8669 */ 'v', 'r', 's', 'q', 'r', 't', '1', '4', 's', 's', 9, 0,
+  /* 8681 */ 'v', 'r', 'c', 'p', '2', '8', 's', 's', 9, 0,
+  /* 8691 */ 'v', 'r', 's', 'q', 'r', 't', '2', '8', 's', 's', 9, 0,
+  /* 8703 */ 'v', 'f', 'm', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 8713 */ 'v', 'f', 'n', 'm', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 8724 */ 'v', 's', 'u', 'b', 's', 's', 9, 0,
+  /* 8732 */ 'v', 'f', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 8742 */ 'v', 'f', 'n', 'm', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 8753 */ 'v', 'a', 'd', 'd', 's', 's', 9, 0,
+  /* 8761 */ 'v', 'r', 'o', 'u', 'n', 'd', 's', 's', 9, 0,
+  /* 8771 */ 'v', 'r', 'n', 'd', 's', 'c', 'a', 'l', 'e', 's', 's', 9, 0,
+  /* 8784 */ 'v', 'u', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
+  /* 8794 */ 'v', 'c', 'o', 'm', 'i', 's', 's', 9, 0,
+  /* 8803 */ 'v', 'm', 'u', 'l', 's', 's', 9, 0,
+  /* 8811 */ 'v', 'm', 'i', 'n', 's', 's', 9, 0,
+  /* 8819 */ 'v', 'r', 'c', 'p', 's', 's', 9, 0,
+  /* 8827 */ 'v', 'c', 'm', 'p', 's', 's', 9, 0,
+  /* 8835 */ 'm', 'o', 'v', 'n', 't', 's', 's', 9, 0,
+  /* 8844 */ 'v', 'r', 's', 'q', 'r', 't', 's', 's', 9, 0,
+  /* 8854 */ 'v', 's', 'q', 'r', 't', 's', 's', 9, 0,
+  /* 8863 */ 'v', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 's', 's', 9, 0,
+  /* 8877 */ 'v', 'd', 'i', 'v', 's', 's', 9, 0,
+  /* 8885 */ 'v', 'm', 'o', 'v', 's', 's', 9, 0,
+  /* 8893 */ 'v', 'm', 'a', 'x', 's', 's', 9, 0,
+  /* 8901 */ 'v', 'f', 'r', 'c', 'z', 's', 's', 9, 0,
+  /* 8910 */ 's', 'e', 't', 's', 9, 0,
+  /* 8916 */ 'f', 's', 't', 's', 9, 0,
+  /* 8922 */ 'f', 'i', 's', 't', 's', 9, 0,
+  /* 8929 */ 'f', 'd', 'i', 'v', 's', 9, 0,
+  /* 8936 */ 'f', 'i', 'd', 'i', 'v', 's', 9, 0,
+  /* 8944 */ 'f', 'l', 'd', 't', 9, 0,
+  /* 8950 */ 'p', 'f', 'c', 'm', 'p', 'g', 't', 9, 0,
+  /* 8959 */ 'i', 'n', 't', 9, 0,
+  /* 8964 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
+  /* 8972 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
+  /* 8982 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 'o', 'p', 't', 9, 0,
+  /* 8994 */ 'f', 's', 't', 'p', 't', 9, 0,
+  /* 9001 */ 'x', 'a', 'b', 'o', 'r', 't', 9, 0,
+  /* 9009 */ 'p', 'f', 'r', 's', 'q', 'r', 't', 9, 0,
+  /* 9018 */ 'v', 'a', 'e', 's', 'd', 'e', 'c', 'l', 'a', 's', 't', 9, 0,
+  /* 9031 */ 'v', 'a', 'e', 's', 'e', 'n', 'c', 'l', 'a', 's', 't', 9, 0,
+  /* 9044 */ 'v', 'p', 't', 'e', 's', 't', 9, 0,
+  /* 9052 */ 'f', 's', 't', 9, 0,
+  /* 9057 */ 'v', 'a', 'e', 's', 'k', 'e', 'y', 'g', 'e', 'n', 'a', 's', 's', 'i', 's', 't', 9, 0,
+  /* 9075 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
+  /* 9084 */ 'f', 'c', 'm', 'o', 'v', 'n', 'u', 9, 0,
+  /* 9093 */ 'v', 'l', 'd', 'd', 'q', 'u', 9, 0,
+  /* 9101 */ 'v', 'm', 'a', 's', 'k', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
+  /* 9114 */ 'v', 'm', 'o', 'v', 'd', 'q', 'u', 9, 0,
+  /* 9123 */ 'f', 'c', 'm', 'o', 'v', 'u', 9, 0,
+  /* 9131 */ 'f', 'd', 'i', 'v', 9, 0,
+  /* 9137 */ 'f', 'l', 'd', 'e', 'n', 'v', 9, 0,
+  /* 9145 */ 'f', 'n', 's', 't', 'e', 'n', 'v', 9, 0,
+  /* 9154 */ 'v', 'p', 'c', 'm', 'o', 'v', 9, 0,
+  /* 9162 */ 'c', 'r', 'c', '3', '2', 'w', 9, 0,
+  /* 9170 */ 'v', 'p', 'm', 'o', 'v', 'm', '2', 'w', 9, 0,
+  /* 9180 */ 'l', 'e', 'a', 'w', 9, 0,
+  /* 9186 */ 'v', 'p', 's', 'h', 'a', 'w', 9, 0,
+  /* 9194 */ 'v', 'p', 's', 'r', 'a', 'w', 9, 0,
+  /* 9202 */ 'c', 'm', 'o', 'v', 'a', 'w', 9, 0,
+  /* 9210 */ 's', 'b', 'b', 'w', 9, 0,
+  /* 9216 */ 'v', 'p', 'h', 's', 'u', 'b', 'b', 'w', 9, 0,
+  /* 9226 */ 'v', 'm', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
+  /* 9236 */ 'v', 'p', 's', 'a', 'd', 'b', 'w', 9, 0,
+  /* 9245 */ 'v', 'p', 'h', 'a', 'd', 'd', 'b', 'w', 9, 0,
+  /* 9255 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'h', 'b', 'w', 9, 0,
+  /* 9267 */ 'k', 'u', 'n', 'p', 'c', 'k', 'b', 'w', 9, 0,
+  /* 9277 */ 'v', 'p', 'u', 'n', 'p', 'c', 'k', 'l', 'b', 'w', 9, 0,
+  /* 9289 */ 'm', 'o', 'v', 's', 'b', 'w', 9, 0,
+  /* 9297 */ 'v', 'p', 'h', 'a', 'd', 'd', 'u', 'b', 'w', 9, 0,
+  /* 9308 */ 'v', 'p', 'h', 's', 'u', 'b', 'w', 9, 0,
+  /* 9317 */ 'v', 'p', 's', 'u', 'b', 'w', 9, 0,
+  /* 9325 */ 'c', 'm', 'o', 'v', 'b', 'w', 9, 0,
+  /* 9333 */ 'v', 'p', 'm', 'o', 'v', 's', 'x', 'b', 'w', 9, 0,
+  /* 9344 */ 'v', 'p', 'm', 'o', 'v', 'z', 'x', 'b', 'w', 9, 0,
+  /* 9355 */ 'm', 'o', 'v', 'z', 'b', 'w', 9, 0,
+  /* 9363 */ 'a', 'd', 'c', 'w', 9, 0,
+  /* 9369 */ 'f', 'l', 'd', 'c', 'w', 9, 0,
+  /* 9376 */ 'd', 'e', 'c', 'w', 9, 0,
+  /* 9382 */ 'i', 'n', 'c', 'w', 9, 0,
+  /* 9388 */ 'b', 't', 'c', 'w', 9, 0,
+  /* 9394 */ 'f', 'n', 's', 't', 'c', 'w', 9, 0,
+  /* 9402 */ 'v', 'p', 'h', 'a', 'd', 'd', 'w', 9, 0,
+  /* 9411 */ 'v', 'p', 'a', 'd', 'd', 'w', 9, 0,
+  /* 9419 */ 'x', 'a', 'd', 'd', 'w', 9, 0,
+  /* 9426 */ 'r', 'd', 's', 'e', 'e', 'd', 'w', 9, 0,
+  /* 9435 */ 's', 'h', 'l', 'd', 'w', 9, 0,
+  /* 9442 */ 'k', 'a', 'n', 'd', 'w', 9, 0,
+  /* 9449 */ 'r', 'd', 'r', 'a', 'n', 'd', 'w', 9, 0,
+  /* 9458 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'w', 9, 0,
+  /* 9468 */ 's', 'h', 'r', 'd', 'w', 9, 0,
+  /* 9475 */ 'v', 'p', 'a', 'c', 'k', 's', 's', 'd', 'w', 9, 0,
+  /* 9486 */ 'v', 'p', 'a', 'c', 'k', 'u', 's', 'd', 'w', 9, 0,
+  /* 9497 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'd', 'w', 9, 0,
+  /* 9508 */ 'v', 'p', 'm', 'o', 'v', 's', 'd', 'w', 9, 0,
+  /* 9518 */ 'v', 'p', 'm', 'o', 'v', 'd', 'w', 9, 0,
+  /* 9527 */ 'c', 'm', 'o', 'v', 'a', 'e', 'w', 9, 0,
+  /* 9536 */ 'c', 'm', 'o', 'v', 'b', 'e', 'w', 9, 0,
+  /* 9545 */ 'c', 'm', 'o', 'v', 'g', 'e', 'w', 9, 0,
+  /* 9554 */ 'c', 'm', 'o', 'v', 'l', 'e', 'w', 9, 0,
+  /* 9563 */ 'c', 'm', 'o', 'v', 'n', 'e', 'w', 9, 0,
+  /* 9572 */ 'c', 'm', 'o', 'v', 'e', 'w', 9, 0,
+  /* 9580 */ 'p', 'i', '2', 'f', 'w', 9, 0,
+  /* 9587 */ 'b', 's', 'f', 'w', 9, 0,
+  /* 9593 */ 'p', 's', 'h', 'u', 'f', 'w', 9, 0,
+  /* 9601 */ 'n', 'e', 'g', 'w', 9, 0,
+  /* 9607 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'w', 9, 0,
+  /* 9617 */ 'v', 'p', 'a', 'v', 'g', 'w', 9, 0,
+  /* 9625 */ 'c', 'm', 'o', 'v', 'g', 'w', 9, 0,
+  /* 9633 */ 'p', 'r', 'e', 'f', 'e', 't', 'c', 'h', 'w', 9, 0,
+  /* 9644 */ 'v', 'p', 's', 'h', 'u', 'f', 'h', 'w', 9, 0,
+  /* 9654 */ 'v', 'p', 'm', 'u', 'l', 'h', 'w', 9, 0,
+  /* 9663 */ 'p', 'u', 's', 'h', 'w', 9, 0,
+  /* 9670 */ 'p', 'f', '2', 'i', 'w', 9, 0,
+  /* 9677 */ 's', 'a', 'l', 'w', 9, 0,
+  /* 9683 */ 'r', 'c', 'l', 'w', 9, 0,
+  /* 9689 */ 'v', 'p', 's', 'h', 'u', 'f', 'l', 'w', 9, 0,
+  /* 9699 */ 'v', 'p', 's', 'h', 'l', 'w', 9, 0,
+  /* 9707 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, 0,
+  /* 9715 */ 'v', 'p', 's', 'l', 'l', 'w', 9, 0,
+  /* 9723 */ 'v', 'p', 'm', 'u', 'l', 'l', 'w', 9, 0,
+  /* 9732 */ 'r', 'o', 'l', 'w', 9, 0,
+  /* 9738 */ 'v', 'p', 's', 'r', 'l', 'w', 9, 0,
+  /* 9746 */ 'l', 's', 'l', 'w', 9, 0,
+  /* 9752 */ 'k', 's', 'h', 'i', 'f', 't', 'l', 'w', 9, 0,
+  /* 9762 */ 'i', 'm', 'u', 'l', 'w', 9, 0,
+  /* 9769 */ 'c', 'm', 'o', 'v', 'l', 'w', 9, 0,
+  /* 9777 */ 'v', 'p', 'b', 'l', 'e', 'n', 'd', 'm', 'w', 9, 0,
+  /* 9788 */ 'v', 'p', 'c', 'o', 'm', 'w', 9, 0,
+  /* 9796 */ 'k', 'a', 'n', 'd', 'n', 'w', 9, 0,
+  /* 9804 */ 'v', 'p', 's', 'i', 'g', 'n', 'w', 9, 0,
+  /* 9813 */ 'i', 'n', 'w', 9, 0,
+  /* 9818 */ 'c', 'm', 'o', 'v', 'n', 'o', 'w', 9, 0,
+  /* 9827 */ 'c', 'm', 'o', 'v', 'o', 'w', 9, 0,
+  /* 9835 */ 'v', 'p', 'c', 'm', 'p', 'w', 9, 0,
+  /* 9843 */ 'l', 'j', 'm', 'p', 'w', 9, 0,
+  /* 9850 */ 'c', 'm', 'o', 'v', 'n', 'p', 'w', 9, 0,
+  /* 9859 */ 'n', 'o', 'p', 'w', 9, 0,
+  /* 9865 */ 'p', 'o', 'p', 'w', 9, 0,
+  /* 9871 */ 'c', 'm', 'o', 'v', 'p', 'w', 9, 0,
+  /* 9879 */ 'v', 'p', 'c', 'm', 'p', 'e', 'q', 'w', 9, 0,
+  /* 9889 */ 'v', 'p', 'm', 'o', 'v', 'u', 's', 'q', 'w', 9, 0,
+  /* 9900 */ 'v', 'p', 'm', 'o', 'v', 's', 'q', 'w', 9, 0,
+  /* 9910 */ 'v', 'p', 'm', 'o', 'v', 'q', 'w', 9, 0,
+  /* 9919 */ 'l', 'a', 'r', 'w', 9, 0,
+  /* 9925 */ 's', 'a', 'r', 'w', 9, 0,
+  /* 9931 */ 'r', 'c', 'r', 'w', 9, 0,
+  /* 9937 */ 'v', 'e', 'r', 'w', 9, 0,
+  /* 9943 */ 'p', 'm', 'u', 'l', 'h', 'r', 'w', 9, 0,
+  /* 9952 */ 's', 'h', 'r', 'w', 9, 0,
+  /* 9958 */ 'k', 'o', 'r', 'w', 9, 0,
+  /* 9964 */ 'k', 'x', 'n', 'o', 'r', 'w', 9, 0,
+  /* 9972 */ 'r', 'o', 'r', 'w', 9, 0,
+  /* 9978 */ 'k', 'x', 'o', 'r', 'w', 9, 0,
+  /* 9985 */ 'b', 's', 'r', 'w', 9, 0,
+  /* 9991 */ 'v', 'p', 'i', 'n', 's', 'r', 'w', 9, 0,
+  /* 10000 */ 'b', 't', 'r', 'w', 9, 0,
+  /* 10006 */ 'k', 's', 'h', 'i', 'f', 't', 'r', 'w', 9, 0,
+  /* 10016 */ 'l', 't', 'r', 'w', 9, 0,
+  /* 10022 */ 's', 't', 'r', 'w', 9, 0,
+  /* 10028 */ 'v', 'p', 'e', 'x', 't', 'r', 'w', 9, 0,
+  /* 10037 */ 's', 'c', 'a', 's', 'w', 9, 0,
+  /* 10044 */ 'v', 'p', 'a', 'b', 's', 'w', 9, 0,
+  /* 10052 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, 0,
+  /* 10061 */ 'v', 'p', 'm', 'a', 'd', 'd', 'u', 'b', 's', 'w', 9, 0,
+  /* 10073 */ 'v', 'p', 'h', 's', 'u', 'b', 's', 'w', 9, 0,
+  /* 10083 */ 'v', 'p', 's', 'u', 'b', 's', 'w', 9, 0,
+  /* 10092 */ 'v', 'p', 'h', 'a', 'd', 'd', 's', 'w', 9, 0,
+  /* 10102 */ 'v', 'p', 'a', 'd', 'd', 's', 'w', 9, 0,
+  /* 10111 */ 'l', 'd', 's', 'w', 9, 0,
+  /* 10117 */ 'l', 'o', 'd', 's', 'w', 9, 0,
+  /* 10124 */ 'l', 'e', 's', 'w', 9, 0,
+  /* 10130 */ 'l', 'f', 's', 'w', 9, 0,
+  /* 10136 */ 'l', 'g', 's', 'w', 9, 0,
+  /* 10142 */ 'v', 'p', 'm', 'i', 'n', 's', 'w', 9, 0,
+  /* 10151 */ 'c', 'm', 'o', 'v', 'n', 's', 'w', 9, 0,
+  /* 10160 */ 'c', 'm', 'p', 's', 'w', 9, 0,
+  /* 10167 */ 'v', 'p', 'm', 'u', 'l', 'h', 'r', 's', 'w', 9, 0,
+  /* 10178 */ 'l', 's', 's', 'w', 9, 0,
+  /* 10184 */ 'b', 't', 's', 'w', 9, 0,
+  /* 10190 */ 'f', 'n', 's', 't', 's', 'w', 9, 0,
+  /* 10198 */ 'o', 'u', 't', 's', 'w', 9, 0,
+  /* 10205 */ 'v', 'p', 's', 'u', 'b', 'u', 's', 'w', 9, 0,
+  /* 10215 */ 'v', 'p', 'a', 'd', 'd', 'u', 's', 'w', 9, 0,
+  /* 10225 */ 'c', 'm', 'o', 'v', 's', 'w', 9, 0,
+  /* 10233 */ 'v', 'p', 'm', 'a', 'x', 's', 'w', 9, 0,
+  /* 10242 */ 'b', 't', 'w', 9, 0,
+  /* 10247 */ 'l', 'g', 'd', 't', 'w', 9, 0,
+  /* 10254 */ 's', 'g', 'd', 't', 'w', 9, 0,
+  /* 10261 */ 'l', 'i', 'd', 't', 'w', 9, 0,
+  /* 10268 */ 's', 'i', 'd', 't', 'w', 9, 0,
+  /* 10275 */ 'l', 'l', 'd', 't', 'w', 9, 0,
+  /* 10282 */ 's', 'l', 'd', 't', 'w', 9, 0,
+  /* 10289 */ 'l', 'r', 'e', 't', 'w', 9, 0,
+  /* 10296 */ 'v', 'p', 'c', 'm', 'p', 'g', 't', 'w', 9, 0,
+  /* 10306 */ 'p', 'o', 'p', 'c', 'n', 't', 'w', 9, 0,
+  /* 10315 */ 'l', 'z', 'c', 'n', 't', 'w', 9, 0,
+  /* 10323 */ 't', 'z', 'c', 'n', 't', 'w', 9, 0,
+  /* 10331 */ 'k', 'n', 'o', 't', 'w', 9, 0,
+  /* 10338 */ 'v', 'p', 'r', 'o', 't', 'w', 9, 0,
+  /* 10346 */ 'v', 'p', 'b', 'r', 'o', 'a', 'd', 'c', 'a', 's', 't', 'w', 9, 0,
+  /* 10360 */ 'k', 'o', 'r', 't', 'e', 's', 't', 'w', 9, 0,
+  /* 10370 */ 'v', 'p', 'm', 'u', 'l', 'h', 'u', 'w', 9, 0,
+  /* 10380 */ 'v', 'p', 'c', 'o', 'm', 'u', 'w', 9, 0,
+  /* 10389 */ 'v', 'p', 'm', 'i', 'n', 'u', 'w', 9, 0,
+  /* 10398 */ 'v', 'p', 'c', 'm', 'p', 'u', 'w', 9, 0,
+  /* 10407 */ 'v', 'p', 'h', 'm', 'i', 'n', 'p', 'o', 's', 'u', 'w', 9, 0,
+  /* 10420 */ 'v', 'p', 'm', 'a', 'x', 'u', 'w', 9, 0,
+  /* 10429 */ 'i', 'd', 'i', 'v', 'w', 9, 0,
+  /* 10436 */ 'k', 'm', 'o', 'v', 'w', 9, 0,
+  /* 10443 */ 'v', 'p', 'm', 'a', 'c', 's', 'w', 'w', 9, 0,
+  /* 10453 */ 'l', 'm', 's', 'w', 'w', 9, 0,
+  /* 10460 */ 's', 'm', 's', 'w', 'w', 9, 0,
+  /* 10467 */ 'v', 'p', 'm', 'a', 'c', 's', 's', 'w', 'w', 9, 0,
+  /* 10478 */ 'p', 'f', 'm', 'a', 'x', 9, 0,
+  /* 10485 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
+  /* 10498 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'x', 9, 0,
+  /* 10510 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'x', 9, 0,
+  /* 10522 */ 'v', 'c', 'v', 't', 't', 'p', 'd', '2', 'd', 'q', 'y', 9, 0,
+  /* 10535 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'd', 'q', 'y', 9, 0,
+  /* 10547 */ 'v', 'c', 'v', 't', 'p', 'd', '2', 'p', 's', 'y', 9, 0,
+  /* 10559 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
+  /* 10566 */ 'j', 'c', 'x', 'z', 9, 0,
+  /* 10572 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
+  /* 10579 */ 'f', 's', 'u', 'b', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10593 */ 'f', 'a', 'd', 'd', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10607 */ 'f', 's', 't', 'p', 'n', 'c', 'e', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10624 */ 'f', 'm', 'u', 'l', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10638 */ 'f', 's', 't', 'p', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10652 */ 'f', 's', 'u', 'b', 'r', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10667 */ 'f', 'd', 'i', 'v', 'r', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10682 */ 'f', 'd', 'i', 'v', 9, '%', 's', 't', '(', '0', ')', ',', 32, 0,
+  /* 10696 */ 's', 'a', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10706 */ 'r', 'c', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10716 */ 's', 'h', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10726 */ 'r', 'o', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10736 */ 's', 'a', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10746 */ 'r', 'c', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10756 */ 's', 'h', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10766 */ 'r', 'o', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 10776 */ 's', 'a', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10786 */ 'r', 'c', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10796 */ 's', 'h', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10806 */ 'r', 'o', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10816 */ 's', 'a', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10826 */ 'r', 'c', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10836 */ 's', 'h', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10846 */ 'r', 'o', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 10856 */ 's', 'a', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10866 */ 'r', 'c', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10876 */ 's', 'h', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10886 */ 'r', 'o', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10896 */ 's', 'a', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10906 */ 'r', 'c', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10916 */ 's', 'h', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10926 */ 'r', 'o', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 10936 */ 's', 'a', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10946 */ 'r', 'c', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10956 */ 's', 'h', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10966 */ 'r', 'o', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10976 */ 's', 'a', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10986 */ 'r', 'c', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 10996 */ 's', 'h', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 11006 */ 'r', 'o', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 11016 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 11030 */ 's', 't', 'o', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 11042 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 11053 */ 'm', 'o', 'v', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 11064 */ 's', 'a', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11075 */ 'r', 'c', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11086 */ 's', 'h', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11097 */ 'r', 'o', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11108 */ 's', 'a', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11119 */ 'r', 'c', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11130 */ 's', 'h', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11141 */ 'r', 'o', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11152 */ 's', 'h', 'l', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11164 */ 's', 'h', 'r', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11176 */ 's', 'a', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11187 */ 'r', 'c', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11198 */ 's', 'h', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11209 */ 'r', 'o', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11220 */ 's', 'a', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11231 */ 'r', 'c', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11242 */ 's', 'h', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11253 */ 'r', 'o', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11264 */ 's', 'h', 'l', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11276 */ 's', 'h', 'r', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11288 */ 's', 'a', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11299 */ 'r', 'c', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11310 */ 's', 'h', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11321 */ 'r', 'o', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11332 */ 's', 'a', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11343 */ 'r', 'c', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11354 */ 's', 'h', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11365 */ 'r', 'o', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11376 */ 's', 'h', 'l', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11388 */ 's', 'h', 'r', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11400 */ 's', 'a', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11411 */ 'r', 'c', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11422 */ 's', 'h', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11433 */ 'r', 'o', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11444 */ 's', 'a', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11455 */ 'r', 'c', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11466 */ 's', 'h', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11477 */ 'r', 'o', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 11488 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 11502 */ 's', 't', 'o', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 11514 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 11525 */ 'm', 'o', 'v', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 11536 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 11551 */ 's', 't', 'o', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 11564 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 11576 */ 'm', 'o', 'v', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 11588 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 11603 */ 's', 't', 'o', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 11616 */ 'm', 'o', 'v', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 11628 */ 'i', 'n', 's', 'b', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 11639 */ 'i', 'n', 's', 'l', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 11650 */ 'i', 'n', 's', 'w', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 11661 */ 'v', 'c', 'm', 'p', 'p', 'd', 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
+  /* 11676 */ 'v', 'c', 'm', 'p', 'p', 's', 9, '{', 's', 'a', 'e', '}', ',', 32, 0,
+  /* 11691 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
+  /* 11702 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
+  /* 11725 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
+  /* 11739 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
+  /* 11763 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
+  /* 11780 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 11796 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 11811 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
+  /* 11825 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
+  /* 11839 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', 32, '!', 0,
+  /* 11861 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11882 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11903 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11925 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11946 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11967 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 11987 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12007 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12028 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12049 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12070 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12091 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12112 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12133 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12154 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12174 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '1', '6', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12194 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12213 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'B', 'I', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12236 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'U', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12258 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12279 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 12300 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, '*', 0,
+  /* 12309 */ 'l', 'j', 'm', 'p', 'l', 9, '*', 0,
+  /* 12317 */ 'l', 'c', 'a', 'l', 'l', 'q', 9, '*', 0,
+  /* 12326 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 'q', 9, '*', 0,
+  /* 12339 */ 'l', 'j', 'm', 'p', 'q', 9, '*', 0,
+  /* 12347 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, '*', 0,
+  /* 12356 */ 'l', 'j', 'm', 'p', 'w', 9, '*', 0,
+  /* 12364 */ 'x', 's', 'h', 'a', '1', 0,
+  /* 12370 */ 'f', 'l', 'd', '1', 0,
+  /* 12375 */ 'f', 'p', 'r', 'e', 'm', '1', 0,
+  /* 12382 */ 'f', '2', 'x', 'm', '1', 0,
+  /* 12388 */ 'f', 'y', 'l', '2', 'x', 'p', '1', 0,
+  /* 12396 */ 'i', 'n', 't', '1', 0,
+  /* 12401 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
+  /* 12420 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
+  /* 12438 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
+  /* 12451 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 12464 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 12482 */ 'u', 'd', '2', 0,
+  /* 12486 */ 'f', 'l', 'd', 'l', 'g', '2', 0,
+  /* 12493 */ 'f', 'l', 'd', 'l', 'n', '2', 0,
+  /* 12500 */ 'i', 'n', 't', '3', 0,
+  /* 12505 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
+  /* 12524 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
+  /* 12542 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
+  /* 12555 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 12568 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 12586 */ 'r', 'e', 'x', '6', '4', 0,
+  /* 12592 */ 'd', 'a', 't', 'a', '1', '6', 0,
+  /* 12599 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
+  /* 12607 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 12620 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 12627 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 12637 */ '#', 32, 'X', 'B', 'E', 'G', 'I', 'N', 0,
+  /* 12646 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
+  /* 12664 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
+  /* 12680 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
+  /* 12692 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 12707 */ 'a', 'a', 'a', 0,
+  /* 12711 */ 'd', 'a', 'a', 0,
+  /* 12715 */ 'u', 'd', '2', 'b', 0,
+  /* 12720 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
+  /* 12730 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
+  /* 12740 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
+  /* 12750 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'b', 0,
+  /* 12760 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'b', 0,
+  /* 12770 */ 'x', 'l', 'a', 't', 'b', 0,
+  /* 12776 */ 'c', 'l', 'a', 'c', 0,
+  /* 12781 */ 's', 't', 'a', 'c', 0,
+  /* 12786 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
+  /* 12796 */ 'g', 'e', 't', 's', 'e', 'c', 0,
+  /* 12803 */ 's', 'a', 'l', 'c', 0,
+  /* 12808 */ 'c', 'l', 'c', 0,
+  /* 12812 */ 'c', 'm', 'c', 0,
+  /* 12816 */ 'r', 'd', 'p', 'm', 'c', 0,
+  /* 12822 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
+  /* 12829 */ 'r', 'd', 't', 's', 'c', 0,
+  /* 12835 */ 's', 't', 'c', 0,
+  /* 12839 */ 'c', 'p', 'u', 'i', 'd', 0,
+  /* 12845 */ 'c', 'l', 'd', 0,
+  /* 12849 */ 'x', 'e', 'n', 'd', 0,
+  /* 12854 */ 'c', 'l', 't', 'd', 0,
+  /* 12859 */ 's', 't', 'd', 0,
+  /* 12863 */ 'c', 'w', 't', 'd', 0,
+  /* 12868 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
+  /* 12875 */ 'f', 'l', 'd', 'l', '2', 'e', 0,
+  /* 12882 */ 'l', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 12889 */ 'm', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 12896 */ 's', 'f', 'e', 'n', 'c', 'e', 0,
+  /* 12903 */ 'f', 's', 'c', 'a', 'l', 'e', 0,
+  /* 12910 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
+  /* 12919 */ 'r', 'e', 'p', 'n', 'e', 0,
+  /* 12925 */ 'x', 'a', 'c', 'q', 'u', 'i', 'r', 'e', 0,
+  /* 12934 */ 'x', 's', 't', 'o', 'r', 'e', 0,
+  /* 12941 */ 'x', 'r', 'e', 'l', 'e', 'a', 's', 'e', 0,
+  /* 12950 */ 'p', 'a', 'u', 's', 'e', 0,
+  /* 12956 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 12970 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 12987 */ 'l', 'e', 'a', 'v', 'e', 0,
+  /* 12993 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
+  /* 13000 */ 'l', 'a', 'h', 'f', 0,
+  /* 13005 */ 's', 'a', 'h', 'f', 0,
+  /* 13010 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
+  /* 13019 */ 'c', 'l', 'g', 'i', 0,
+  /* 13024 */ 's', 't', 'g', 'i', 0,
+  /* 13029 */ 'c', 'l', 'i', 0,
+  /* 13033 */ 'f', 'l', 'd', 'p', 'i', 0,
+  /* 13039 */ 's', 't', 'i', 0,
+  /* 13043 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
+  /* 13058 */ 'l', 'o', 'c', 'k', 0,
+  /* 13063 */ 'i', 'n', 'b', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'l', 0,
+  /* 13076 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
+  /* 13083 */ 'p', 'o', 'p', 'a', 'l', 0,
+  /* 13089 */ 'p', 'u', 's', 'h', 'f', 'l', 0,
+  /* 13096 */ 'p', 'o', 'p', 'f', 'l', 0,
+  /* 13102 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 13110 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 13117 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
+  /* 13125 */ 'v', 'z', 'e', 'r', 'o', 'a', 'l', 'l', 0,
+  /* 13134 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'l', 0,
+  /* 13144 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'l', 0,
+  /* 13154 */ 'i', 'r', 'e', 't', 'l', 0,
+  /* 13160 */ 'l', 'r', 'e', 't', 'l', 0,
+  /* 13166 */ 's', 'y', 's', 'r', 'e', 't', 'l', 0,
+  /* 13174 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'l', 0,
+  /* 13183 */ 'c', 'w', 't', 'l', 0,
+  /* 13188 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
+  /* 13196 */ 'f', 'x', 'a', 'm', 0,
+  /* 13201 */ 'f', 'p', 'r', 'e', 'm', 0,
+  /* 13207 */ 'v', 'p', 'c', 'o', 'm', 0,
+  /* 13213 */ 'f', 's', 'e', 't', 'p', 'm', 0,
+  /* 13220 */ 'r', 's', 'm', 0,
+  /* 13224 */ 'f', 'p', 'a', 't', 'a', 'n', 0,
+  /* 13231 */ 'f', 'p', 't', 'a', 'n', 0,
+  /* 13237 */ 'f', 's', 'i', 'n', 0,
+  /* 13242 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
+  /* 13269 */ 'i', 'n', 't', 'o', 0,
+  /* 13274 */ 'c', 'q', 't', 'o', 0,
+  /* 13279 */ 'r', 'd', 't', 's', 'c', 'p', 0,
+  /* 13286 */ 'r', 'e', 'p', 0,
+  /* 13290 */ 'v', 'p', 'c', 'm', 'p', 0,
+  /* 13296 */ 'v', 'c', 'm', 'p', 0,
+  /* 13301 */ 'f', 'e', 'n', 'i', '8', '0', '8', '7', '_', 'n', 'o', 'p', 0,
+  /* 13314 */ 'f', 'd', 'i', 's', 'i', '8', '0', '8', '7', '_', 'n', 'o', 'p', 0,
+  /* 13328 */ 'f', 'n', 'o', 'p', 0,
+  /* 13333 */ 'f', 'c', 'o', 'm', 'p', 'p', 0,
+  /* 13340 */ 'f', 'u', 'c', 'o', 'm', 'p', 'p', 0,
+  /* 13348 */ 'f', 'd', 'e', 'c', 's', 't', 'p', 0,
+  /* 13356 */ 'f', 'i', 'n', 'c', 's', 't', 'p', 0,
+  /* 13364 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
+  /* 13371 */ 'p', 'o', 'p', 'f', 'q', 0,
+  /* 13377 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'q', 0,
+  /* 13387 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'q', 0,
+  /* 13397 */ 'i', 'r', 'e', 't', 'q', 0,
+  /* 13403 */ 'l', 'r', 'e', 't', 'q', 0,
+  /* 13409 */ 's', 'y', 's', 'r', 'e', 't', 'q', 0,
+  /* 13417 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'q', 0,
+  /* 13426 */ 'c', 'l', 't', 'q', 0,
+  /* 13431 */ 'v', 'z', 'e', 'r', 'o', 'u', 'p', 'p', 'e', 'r', 0,
+  /* 13442 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
+  /* 13451 */ 'm', 'o', 'n', 'i', 't', 'o', 'r', 0,
+  /* 13459 */ 'r', 'd', 'm', 's', 'r', 0,
+  /* 13465 */ 'w', 'r', 'm', 's', 'r', 0,
+  /* 13471 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
+  /* 13481 */ 'a', 'a', 's', 0,
+  /* 13485 */ 'd', 'a', 's', 0,
+  /* 13489 */ 'f', 'a', 'b', 's', 0,
+  /* 13494 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'c', 's', 0,
+  /* 13504 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'c', 's', 0,
+  /* 13514 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'd', 's', 0,
+  /* 13524 */ 'p', 'o', 'p', 'l', 9, '%', 'd', 's', 0,
+  /* 13533 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'd', 's', 0,
+  /* 13543 */ 'p', 'o', 'p', 'w', 9, '%', 'd', 's', 0,
+  /* 13552 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'e', 's', 0,
+  /* 13562 */ 'p', 'o', 'p', 'l', 9, '%', 'e', 's', 0,
+  /* 13571 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'e', 's', 0,
+  /* 13581 */ 'p', 'o', 'p', 'w', 9, '%', 'e', 's', 0,
+  /* 13590 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'f', 's', 0,
+  /* 13600 */ 'p', 'o', 'p', 'l', 9, '%', 'f', 's', 0,
+  /* 13609 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'f', 's', 0,
+  /* 13619 */ 'p', 'o', 'p', 'q', 9, '%', 'f', 's', 0,
+  /* 13628 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'f', 's', 0,
+  /* 13638 */ 'p', 'o', 'p', 'w', 9, '%', 'f', 's', 0,
+  /* 13647 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'g', 's', 0,
+  /* 13657 */ 'p', 'o', 'p', 'l', 9, '%', 'g', 's', 0,
+  /* 13666 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'g', 's', 0,
+  /* 13676 */ 'p', 'o', 'p', 'q', 9, '%', 'g', 's', 0,
+  /* 13685 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'g', 's', 0,
+  /* 13695 */ 'p', 'o', 'p', 'w', 9, '%', 'g', 's', 0,
+  /* 13704 */ 's', 'w', 'a', 'p', 'g', 's', 0,
+  /* 13711 */ 'f', 'c', 'h', 's', 0,
+  /* 13716 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
+  /* 13761 */ 'e', 'n', 'c', 'l', 's', 0,
+  /* 13767 */ 'f', 'e', 'm', 'm', 's', 0,
+  /* 13773 */ 'f', 'c', 'o', 's', 0,
+  /* 13778 */ 'f', 's', 'i', 'n', 'c', 'o', 's', 0,
+  /* 13786 */ 'p', 'u', 's', 'h', 'l', 9, '%', 's', 's', 0,
+  /* 13796 */ 'p', 'o', 'p', 'l', 9, '%', 's', 's', 0,
+  /* 13805 */ 'p', 'u', 's', 'h', 'w', 9, '%', 's', 's', 0,
+  /* 13815 */ 'p', 'o', 'p', 'w', 9, '%', 's', 's', 0,
+  /* 13824 */ 'c', 'l', 't', 's', 0,
+  /* 13829 */ 'f', 'l', 'd', 'l', '2', 't', 0,
+  /* 13836 */ 'f', 'x', 't', 'r', 'a', 'c', 't', 0,
+  /* 13844 */ 'm', 'w', 'a', 'i', 't', 0,
+  /* 13850 */ 'p', 'c', 'o', 'm', 'm', 'i', 't', 0,
+  /* 13858 */ 'f', 'n', 'i', 'n', 'i', 't', 0,
+  /* 13865 */ 'h', 'l', 't', 0,
+  /* 13869 */ 'f', 'r', 'n', 'd', 'i', 'n', 't', 0,
+  /* 13877 */ 'f', 's', 'q', 'r', 't', 0,
+  /* 13883 */ 'x', 't', 'e', 's', 't', 0,
+  /* 13889 */ 'f', 't', 's', 't', 0,
+  /* 13894 */ 'e', 'n', 'c', 'l', 'u', 0,
+  /* 13900 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
+  /* 13907 */ 'x', 's', 'e', 't', 'b', 'v', 0,
+  /* 13914 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
+  /* 13921 */ 'p', 'o', 'p', 'a', 'w', 0,
+  /* 13927 */ 'p', 'u', 's', 'h', 'f', 'w', 0,
+  /* 13934 */ 'p', 'o', 'p', 'f', 'w', 0,
+  /* 13940 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'w', 0,
+  /* 13950 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'w', 0,
+  /* 13960 */ 'c', 'b', 't', 'w', 0,
+  /* 13965 */ 'i', 'r', 'e', 't', 'w', 0,
+  /* 13971 */ 'l', 'r', 'e', 't', 'w', 0,
+  /* 13977 */ 'f', 'y', 'l', '2', 'x', 0,
+  /* 13983 */ 'f', 'n', 's', 't', 's', 'w', 9, '%', 'a', 'x', 0,
+  /* 13994 */ 'i', 'n', 'w', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'x', 0,
+  /* 14007 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'e', 'a', 'x', 0,
+  /* 14019 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'e', 'a', 'x', 0,
+  /* 14031 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'e', 'a', 'x', 0,
+  /* 14042 */ 's', 'k', 'i', 'n', 'i', 't', 9, '%', 'e', 'a', 'x', 0,
+  /* 14054 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
+  /* 14073 */ 'i', 'n', 'l', 9, '%', 'd', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
+  /* 14087 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'r', 'a', 'x', 0,
+  /* 14099 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'r', 'a', 'x', 0,
+  /* 14111 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'r', 'a', 'x', 0,
+  /* 14122 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'r', 'a', 'x', 0,
+  /* 14141 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, '%', 'd', 'x', 0,
+  /* 14155 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
+  /* 14169 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
+  /* 14184 */ 'f', 'n', 'c', 'l', 'e', 'x', 0,
+  /* 14191 */ 'f', 'l', 'd', 'z', 0,
   };
 #endif
 
@@ -14168,6 +19238,7 @@ static void printInstruction(MCInst *MI,
   uint64_t Bits1 = OpInfo[opcode];
   uint64_t Bits2 = OpInfo2[opcode];
   uint64_t Bits = (Bits2 << 32) | Bits1;
+  // printf("Opcode ID = %u\n", opcode);
   // assert(Bits != 0 && "Cannot print this instruction.");
   if (!X86_lockrep(MI, O)) {
 #ifndef CAPSTONE_DIET
@@ -14176,6 +19247,7 @@ static void printInstruction(MCInst *MI,
       default:
         SStream_concat0(O, AsmStrs+(Bits & 16383)-1);
         break;
+      case X86_MOV32ms:
       case X86_MOV32sm:
         SStream_concat0(O, "movw\t");
         break;
@@ -14193,10 +19265,10 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 0 encoded into 7 bits for 79 unique commands.
+  // Fragment 0 encoded into 7 bits for 102 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 14) & 127);
   switch ((Bits >> 14) & 127) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, AAA, AAS, ABS_F, ACQU...
     return;
@@ -14259,13 +19331,14 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 13:
-    // ADD_FI16m, CALL16m, DEC16m, DEC64_16m, DIV16m, DIVR_FI16m, DIV_FI16m, ...
+    // ADD_FI16m, CALL16m, DEC16m, DIV16m, DIVR_FI16m, DIV_FI16m, FICOM16m, F...
     printi16mem(MI, 0, O); 
     return;
     break;
   case 14:
-    // ADD_FI32m, CALL32m, DEC32m, DEC64_32m, DIV32m, DIVR_FI32m, DIV_FI32m, ...
+    // ADD_FI32m, CALL32m, DEC32m, DIV32m, DIVR_FI32m, DIV_FI32m, FICOM32m, F...
     printi32mem(MI, 0, O); 
+    return;
     break;
   case 15:
     // ADOX32rm, BLCFILL32rm, BLCI32rm, BLCIC32rm, BLCMSK32rm, BLCS32rm, BLSF...
@@ -14292,234 +19365,355 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 20:
-    // AESKEYGENASSIST128rm, BEXTR32rm, BEXTR64rm, BEXTRI32mi, BEXTRI64mi, BZ...
-    printOperand(MI, 6, O); 
+    // AESKEYGENASSIST128rm, EXTRACTPSmr, MMX_PSHUFWmi, PCMPESTRIrm, PCMPESTR...
+    printU8Imm(MI, 6, O); 
     SStream_concat0(O, ", "); 
     break;
   case 21:
-    // BLENDPDrmi, BLENDPSrmi, CMPPDrmi_alt, CMPPSrmi_alt, CMPSDrm_alt, CMPSS...
-    printOperand(MI, 7, O); 
+    // AESKEYGENASSIST128rr, EXTRACTPSrr, KSHIFTLBri, KSHIFTLDri, KSHIFTLQri,...
+    printU8Imm(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
   case 22:
-    // BLENDPDrri, BLENDPSrri, CMPPDrri_alt, CMPPSrri_alt, CMPSDrr_alt, CMPSS...
-    printOperand(MI, 3, O); 
+    // BEXTR32rm, BEXTR64rm, BEXTRI32mi, BEXTRI64mi, BZHI32rm, BZHI64rm, IMUL...
+    printOperand(MI, 6, O); 
     SStream_concat0(O, ", "); 
     break;
   case 23:
-    // BSF16rm, BSR16rm, CMP16rm, KMOVWkm, LAR16rm, LAR32rm, LAR64rm, LEA16r,...
+    // BLENDPDrmi, BLENDPSrmi, CMPPDrmi_alt, CMPPSrmi_alt, CMPSDrm_alt, CMPSS...
+    printU8Imm(MI, 7, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 24:
+    // BLENDPDrri, BLENDPSrri, CMPPDrri_alt, CMPPSrri_alt, CMPSDrr_alt, CMPSS...
+    printU8Imm(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 25:
+    // BSF16rm, BSR16rm, CMP16rm, KMOVWkm, LAR16rm, LAR32rm, LAR64rm, LSL16rm...
     printi16mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 24:
+  case 26:
     // CALL64m, CMPXCHG8B, DEC64m, DIV64m, IDIV64m, ILD_F64m, IMUL64m, INC64m...
     printi64mem(MI, 0, O); 
+    return;
     break;
-  case 25:
+  case 27:
     // CALL64pcrel32, CALLpcrel16, CALLpcrel32, EH_SjLj_Setup, JAE_1, JAE_2, ...
     printPCRelImm(MI, 0, O); 
+    return;
     break;
-  case 26:
-    // CLFLUSH, DEC8m, DIV8m, IDIV8m, IMUL8m, INC8m, INVLPG, LOCK_DEC8m, LOCK...
+  case 28:
+    // CLFLUSH, CLFLUSHOPT, CLWB, DEC8m, DIV8m, IDIV8m, IMUL8m, INC8m, INVLPG...
     printi8mem(MI, 0, O); 
     return;
     break;
-  case 27:
-    // CMP8rm, KMOVBkm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32rm8, MOVSX64...
+  case 29:
+    // CMP8rm, KMOVBkm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32_NOREXrm8, M...
     printi8mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
+    return;
     break;
-  case 28:
+  case 30:
     // CMPPDrmi, CMPPSrmi, CMPSDrm, CMPSSrm, Int_CMPSDrm, Int_CMPSSrm
     printSSECC(MI, 7, O); 
     break;
-  case 29:
+  case 31:
     // CMPPDrri, CMPPSrri, CMPSDrr, CMPSSrr, Int_CMPSDrr, Int_CMPSSrr
     printSSECC(MI, 3, O); 
     break;
-  case 30:
+  case 32:
     // CMPSB, INSB, SCASB, STOSB
     printDstIdx8(MI, 0, O); 
     break;
-  case 31:
+  case 33:
     // CMPSL, INSL, SCASL, STOSL
     printDstIdx32(MI, 0, O); 
     break;
-  case 32:
+  case 34:
     // CMPSQ, SCASQ, STOSQ
     printDstIdx64(MI, 0, O); 
     break;
-  case 33:
+  case 35:
     // CMPSW, INSW, SCASW, STOSW
     printDstIdx16(MI, 0, O); 
     break;
-  case 34:
+  case 36:
     // CMPXCHG16B, LCMPXCHG16B
     printi128mem(MI, 0, O); 
     return;
     break;
-  case 35:
+  case 37:
     // COMISDrm, COMISSrm, CVTPD2DQrm, CVTPD2PSrm, CVTPS2DQrm, CVTTPD2DQrm, C...
     printf128mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
-    return;
     break;
-  case 36:
+  case 38:
     // CVTPS2PDrm, CVTSD2SI64rm, CVTSD2SIrm, CVTSD2SSrm, CVTTSD2SI64rm, CVTTS...
     printf64mem(MI, 1, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    return;
     break;
-  case 37:
+  case 39:
     // CVTSS2SDrm, CVTSS2SI64rm, CVTSS2SIrm, CVTTSS2SI64rm, CVTTSS2SIrm, Int_...
     printf32mem(MI, 1, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    return;
     break;
-  case 38:
+  case 40:
     // FARCALL16m, FARCALL32m, FARCALL64, FARJMP16m, FARJMP32m, FARJMP64, FXR...
     printopaquemem(MI, 0, O); 
     return;
     break;
-  case 39:
-    // INSERTQI, VALIGNDrrikz, VALIGNQrrikz, VFMADD213PDZrk, VFMADD213PDZrkz,...
-    printOperand(MI, 4, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 3, O); 
+  case 41:
+    // INSERTQI, VALIGNDrrikz, VALIGNQrrikz, VEXTRACTF32x4rrk, VEXTRACTF64x4r...
+    printU8Imm(MI, 4, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 40:
+  case 42:
     // Int_VCMPSDrm, Int_VCMPSSrm, VCMPPDYrmi, VCMPPDZrmi, VCMPPDrmi, VCMPPSY...
     printAVXCC(MI, 7, O); 
     break;
-  case 41:
+  case 43:
     // Int_VCMPSDrr, Int_VCMPSSrr, VCMPPDYrri, VCMPPDZrri, VCMPPDZrrib, VCMPP...
     printAVXCC(MI, 3, O); 
     break;
-  case 42:
+  case 44:
     // LDS16rm, LDS32rm, LES16rm, LES32rm, LFS16rm, LFS32rm, LFS64rm, LGS16rm...
     printopaquemem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 43:
+  case 45:
     // LD_F80m, ST_FP80m
     printf80mem(MI, 0, O); 
     return;
     break;
-  case 44:
+  case 46:
+    // LEA16r, LEA32r, LEA64_32r, LEA64r
+    printanymem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 47:
     // LODSB, OUTSB
     printSrcIdx8(MI, 0, O); 
     break;
-  case 45:
+  case 48:
     // LODSL, OUTSL
     printSrcIdx32(MI, 0, O); 
     break;
-  case 46:
+  case 49:
     // LODSQ
     printSrcIdx64(MI, 0, O); 
     SStream_concat0(O, ", %rax"); 
     op_addReg(MI, X86_REG_RAX);
     return;
     break;
-  case 47:
+  case 50:
     // LODSW, OUTSW
     printSrcIdx16(MI, 0, O); 
     break;
-  case 48:
-    // MOV16ao16, MOV16ao16_16, MOV16o16a, MOV16o16a_16, MOV64ao16, MOV64o16a
+  case 51:
+    // MOV16ao16, MOV16ao32, MOV16ao64, MOV16o16a, MOV16o32a, MOV16o64a
     printMemOffs16(MI, 0, O); 
     break;
-  case 49:
-    // MOV32ao32, MOV32ao32_16, MOV32o32a, MOV32o32a_16, MOV64ao32, MOV64o32a
+  case 52:
+    // MOV32ao16, MOV32ao32, MOV32ao64, MOV32o16a, MOV32o32a, MOV32o64a
     printMemOffs32(MI, 0, O); 
     break;
-  case 50:
-    // MOV64ao64, MOV64o64a
+  case 53:
+    // MOV64ao32, MOV64ao64, MOV64o32a, MOV64o64a
     printMemOffs64(MI, 0, O); 
     break;
-  case 51:
-    // MOV64ao8, MOV64o8a, MOV8ao8, MOV8ao8_16, MOV8o8a, MOV8o8a_16
+  case 54:
+    // MOV8ao16, MOV8ao32, MOV8ao64, MOV8o16a, MOV8o32a, MOV8o64a
     printMemOffs8(MI, 0, O); 
     break;
-  case 52:
+  case 55:
     // MOVSB
     printSrcIdx8(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx8(MI, 0, O); 
     return;
     break;
-  case 53:
+  case 56:
     // MOVSL
     printSrcIdx32(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx32(MI, 0, O); 
     return;
     break;
-  case 54:
+  case 57:
     // MOVSQ
     printSrcIdx64(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx64(MI, 0, O); 
     return;
     break;
-  case 55:
+  case 58:
     // MOVSW
     printSrcIdx16(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx16(MI, 0, O); 
     return;
     break;
-  case 56:
-    // VADDPDYrm, VADDPSYrm, VADDSUBPDYrm, VADDSUBPSYrm, VANDNPDYrm, VANDNPSY...
+  case 59:
+    // SHLD16rri8, SHLD32rri8, SHLD64rri8, SHRD16rri8, SHRD32rri8, SHRD64rri8...
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 60:
+    // VADDPDYrm, VADDPDZ256rm, VADDPSYrm, VADDPSZ256rm, VADDSUBPDYrm, VADDSU...
     printf256mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 57:
-    // VADDPDZrm, VADDPSZrm, VDIVPDZrm, VDIVPSZrm, VMAXPDZrm, VMAXPSZrm, VMIN...
+  case 61:
+    // VADDPDZ128rmbk, VADDPDZ256rmbk, VADDPDZrmbk, VDIVPDZ128rmbk, VDIVPDZ25...
+    printf64mem(MI, 4, O); 
+    break;
+  case 62:
+    // VADDPDZ128rmbkz, VADDPDZ256rmbkz, VADDPDZrmbkz, VBLENDMPDZ128rmbk, VBL...
+    printf64mem(MI, 3, O); 
+    break;
+  case 63:
+    // VADDPDZ128rmk, VADDPSZ128rmk, VADDSDZrm_Intk, VADDSSZrm_Intk, VDIVPDZ1...
+    printf128mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    break;
+  case 64:
+    // VADDPDZ128rmkz, VADDPSZ128rmkz, VADDSDZrm_Intkz, VADDSSZrm_Intkz, VBLE...
+    printf128mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 65:
+    // VADDPDZ128rrk, VADDPDZ256rrk, VADDPDZrrk, VADDPSZ128rrk, VADDPSZ256rrk...
+    printOperand(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 66:
+    // VADDPDZ256rmk, VADDPSZ256rmk, VDIVPDZ256rmk, VDIVPSZ256rmk, VFMADDPDZ2...
+    printf256mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    break;
+  case 67:
+    // VADDPDZ256rmkz, VADDPSZ256rmkz, VBLENDMPDZ256rmk, VBLENDMPDZ256rmkz, V...
+    printf256mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 68:
+    // VADDPDZrb, VADDPSZrb, VADDSDZrrb, VADDSSZrrb, VDIVPDZrb, VDIVPSZrb, VD...
+    printRoundingControl(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 69:
+    // VADDPDZrbk, VADDPSZrbk, VADDSDZrrbk, VADDSSZrrbk, VDIVPDZrbk, VDIVPSZr...
+    printRoundingControl(MI, 5, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    break;
+  case 70:
+    // VADDPDZrbkz, VADDPSZrbkz, VADDSDZrrbkz, VADDSSZrrbkz, VDIVPDZrbkz, VDI...
+    printRoundingControl(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    break;
+  case 71:
+    // VADDPDZrm, VADDPSZrm, VBLENDMPDZrm, VBLENDMPSZrm, VDIVPDZrm, VDIVPSZrm...
     printf512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 58:
-    // VADDPDZrmbk, VADDPDZrmbkz, VDIVPDZrmbk, VDIVPDZrmbkz, VFMADD132PDZmb, ...
-    printf64mem(MI, 3, O); 
+  case 72:
+    // VADDPDZrmk, VADDPSZrmk, VDIVPDZrmk, VDIVPSZrmk, VFMADDPDZv213rmk, VFMA...
+    printf512mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
     break;
-  case 59:
-    // VADDPDZrmk, VADDPDZrmkz, VADDPSZrmk, VADDPSZrmkz, VBLENDMPDZrm, VBLEND...
+  case 73:
+    // VADDPDZrmkz, VADDPSZrmkz, VBLENDMPDZrmk, VBLENDMPDZrmkz, VBLENDMPSZrmk...
     printf512mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 60:
-    // VADDPSZrmbk, VADDPSZrmbkz, VDIVPSZrmbk, VDIVPSZrmbkz, VFMADD132PSZmb, ...
+  case 74:
+    // VADDPSZ128rmbk, VADDPSZ256rmbk, VADDPSZrmbk, VDIVPSZ128rmbk, VDIVPSZ25...
+    printf32mem(MI, 4, O); 
+    break;
+  case 75:
+    // VADDPSZ128rmbkz, VADDPSZ256rmbkz, VADDPSZrmbkz, VBLENDMPSZ128rmbk, VBL...
     printf32mem(MI, 3, O); 
     break;
-  case 61:
+  case 76:
+    // VALIGNDrrik, VALIGNQrrik, VRNDSCALESDrbk, VRNDSCALESDrk, VRNDSCALESSrb...
+    printU8Imm(MI, 5, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    break;
+  case 77:
+    // VBLENDVPDYrm, VBLENDVPDrm, VBLENDVPSYrm, VBLENDVPSrm, VFMADDPD4mr, VFM...
+    printOperand(MI, 7, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 78:
     // VBROADCASTI64X4krm, VMOVDQA32Z256rmkz, VMOVDQA64Z256rmkz, VMOVDQU16Z25...
     printi256mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 62:
+  case 79:
     // VBROADCASTI64X4rm, VCVTDQ2PDZrm, VCVTDQ2PSYrm, VLDDQUYrm, VMOVDQA32Z25...
     printi256mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 63:
+  case 80:
     // VCVTDQ2PSZrm, VMOVDQA32Zrm, VMOVDQA64Zrm, VMOVDQU16Zrm, VMOVDQU32Zrm, ...
     printi512mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 64:
+  case 81:
     // VCVTDQ2PSZrrb, VCVTPD2DQZrrb, VCVTPD2PSZrrb, VCVTPD2UDQZrrb, VCVTPS2DQ...
     printRoundingControl(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14528,69 +19722,75 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 65:
+  case 82:
     // VCVTPD2DQYrm, VCVTPD2PSYrm, VCVTPH2PSZrm, VCVTPS2DQYrm, VCVTPS2PDZrm, ...
     printf256mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
-    return;
     break;
-  case 66:
+  case 83:
     // VCVTPD2DQZrm, VCVTPD2PSZrm, VCVTPD2UDQZrm, VCVTPS2DQZrm, VCVTPS2UDQZrm...
     printf512mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
-    return;
-    break;
-  case 67:
-    // VFMADDPD4rm, VFMADDPDr132m, VFMADDPDr213m, VFMADDPDr231m, VFMADDPS4rm,...
-    printf128mem(MI, 3, O); 
-    SStream_concat0(O, ", "); 
-    break;
-  case 68:
-    // VFMADDPD4rmY, VFMADDPDr132mY, VFMADDPDr213mY, VFMADDPDr231mY, VFMADDPS...
-    printf256mem(MI, 3, O); 
-    SStream_concat0(O, ", "); 
     break;
-  case 69:
+  case 84:
     // VGATHERDPDYrm, VGATHERDPDrm, VGATHERDPSYrm, VGATHERDPSrm, VGATHERQPDYr...
     printOperand(MI, 8, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 70:
-    // VGATHERDPDZrm, VGATHERQPDZrm, VGATHERQPSZrm, VPADDQZrmbk, VPANDNQZrmbk...
+  case 85:
+    // VGATHERDPDZrm, VGATHERQPDZrm, VGATHERQPSZrm, VPADDQZ128rmbk, VPADDQZ25...
     printi64mem(MI, 4, O); 
     break;
-  case 71:
-    // VGATHERDPSZrm, VPADDDZrmbk, VPANDDZrmbk, VPANDNDZrmbk, VPGATHERDDZrm, ...
+  case 86:
+    // VGATHERDPSZrm, VPADDDZ128rmbk, VPADDDZ256rmbk, VPADDDZrmbk, VPANDDZ128...
     printi32mem(MI, 4, O); 
     break;
-  case 72:
+  case 87:
     // VMOVDQA32Z128rmk, VMOVDQA64Z128rmk, VMOVDQU16Z128rmk, VMOVDQU32Z128rmk...
     printi128mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 73:
+  case 88:
     // VMOVDQA32Z256rmk, VMOVDQA64Z256rmk, VMOVDQU16Z256rmk, VMOVDQU32Z256rmk...
     printi256mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 74:
+  case 89:
     // VMOVDQA32Zrmk, VMOVDQA64Zrmk, VMOVDQU16Zrmk, VMOVDQU32Zrmk, VMOVDQU64Z...
     printi512mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 75:
+  case 90:
     // VMOVDQA32Zrmkz, VMOVDQA64Zrmkz, VMOVDQU16Zrmkz, VMOVDQU32Zrmkz, VMOVDQ...
     printi512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 76:
-    // VPADDDZrmbkz, VPANDDZrmbkz, VPANDNDZrmbkz, VPCMPEQDZ128rmbk, VPCMPEQDZ...
-    printi32mem(MI, 3, O); 
+  case 91:
+    // VPADDBZ128rmk, VPADDDZ128rmk, VPADDQZ128rmk, VPADDWZ128rmk, VPANDDZ128...
+    printi128mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
     break;
-  case 77:
-    // VPADDDZrmk, VPADDQZrmk, VPANDDZrmk, VPANDNDZrmk, VPANDNQZrmk, VPANDQZr...
+  case 92:
+    // VPADDBZ256rmk, VPADDDZ256rmk, VPADDQZ256rmk, VPADDWZ256rmk, VPANDDZ256...
+    printi256mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 93:
+    // VPADDBZrmk, VPADDDZrmk, VPADDQZrmk, VPADDWZrmk, VPANDDZrmk, VPANDNDZrm...
     printi512mem(MI, 4, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 3, O); 
@@ -14599,29 +19799,68 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, " {"); 
     printOperand(MI, 2, O); 
     break;
-  case 78:
-    // VPADDQZrmbkz, VPANDNQZrmbkz, VPANDQZrmbkz, VPCMPEQQZ128rmbk, VPCMPEQQZ...
+  case 94:
+    // VPADDDZ128rmbkz, VPADDDZ256rmbkz, VPADDDZrmbkz, VPANDDZ128rmbkz, VPAND...
+    printi32mem(MI, 3, O); 
+    break;
+  case 95:
+    // VPADDQZ128rmbkz, VPADDQZ256rmbkz, VPADDQZrmbkz, VPANDNQZ128rmbkz, VPAN...
     printi64mem(MI, 3, O); 
     break;
-  }
-
-
-  // Fragment 1 encoded into 7 bits for 74 unique commands.
-  //printf("Frag-1: %"PRIu64"\n", (Bits >> 21) & 127);
-  switch ((Bits >> 21) & 127) {
-  default:   // unreachable.
-  case 0:
-    // AAD8i8, AAM8i8, ADD_FI32m, ADD_FPrST0, ADD_FST0r, ADD_FrST0, BSWAP32r,...
-    return;
+  case 96:
+    // VPCMPBZ128rmik, VPCMPBZ256rmik, VPCMPBZrmik, VPCMPDZ128rmibk, VPCMPDZ1...
+    printAVXCC(MI, 8, O); 
     break;
-  case 1:
-    // ADC16i16, ADD16i16, AND16i16, CMP16i16, IN16ri, LODSW, MOV16o16a, MOV1...
-    SStream_concat0(O, ", %ax"); 
-    op_addReg(MI, X86_REG_AX);
-    return;
+  case 97:
+    // VPCMPBZ128rmik_alt, VPCMPBZ256rmik_alt, VPCMPBZrmik_alt, VPCMPDZ128rmi...
+    printU8Imm(MI, 8, O); 
+    SStream_concat0(O, ", "); 
     break;
-  case 2:
-    // ADC16mi, ADC16mi8, ADC16mr, ADD16mi, ADD16mi8, ADD16mr, AND16mi, AND16...
+  case 98:
+    // VPCMPBZ128rrik, VPCMPBZ256rrik, VPCMPBZrrik, VPCMPDZ128rrik, VPCMPDZ25...
+    printAVXCC(MI, 4, O); 
+    break;
+  case 99:
+    // VPCOMBmi, VPCOMDmi, VPCOMQmi, VPCOMUBmi, VPCOMUDmi, VPCOMUQmi, VPCOMUW...
+    printXOPCC(MI, 7, O); 
+    break;
+  case 100:
+    // VPCOMBri, VPCOMDri, VPCOMQri, VPCOMUBri, VPCOMUDri, VPCOMUQri, VPCOMUW...
+    printXOPCC(MI, 3, O); 
+    break;
+  case 101:
+    // VRNDSCALESDmk, VRNDSCALESSmk
+    printU8Imm(MI, 9, O); 
+    SStream_concat0(O, ", "); 
+    printf128mem(MI, 4, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  }
+
+
+  // Fragment 1 encoded into 7 bits for 81 unique commands.
+  //printf("Frag-1: %"PRIu64"\n", (Bits >> 21) & 127);
+  switch ((Bits >> 21) & 127) {
+  default: // llvm_unreachable("Invalid command number.");
+  case 0:
+    // AAD8i8, AAM8i8, ADD_FPrST0, ADD_FST0r, ADD_FrST0, BSWAP32r, BSWAP64r, ...
+    return;
+    break;
+  case 1:
+    // ADC16i16, ADD16i16, AND16i16, CMP16i16, IN16ri, LODSW, MOV16ao16, MOV1...
+    SStream_concat0(O, ", %ax"); 
+    op_addReg(MI, X86_REG_AX);
+    return;
+    break;
+  case 2:
+    // ADC16mi, ADC16mi8, ADC16mr, ADD16mi, ADD16mi8, ADD16mr, AND16mi, AND16...
     printi16mem(MI, 0, O); 
     return;
     break;
@@ -14634,7 +19873,7 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     break;
   case 5:
-    // ADC32i32, ADD32i32, AND32i32, CMP32i32, IN32ri, LODSL, MOV32o32a, MOV3...
+    // ADC32i32, ADD32i32, AND32i32, CMP32i32, IN32ri, LODSL, MOV32ao16, MOV3...
     SStream_concat0(O, ", %eax"); 
     op_addReg(MI, X86_REG_EAX);
     return;
@@ -14649,7 +19888,7 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 8:
-    // ADC64i32, ADD64i32, AND64i32, CMP64i32, MOV64o64a, OR64i32, SBB64i32, ...
+    // ADC64i32, ADD64i32, AND64i32, CMP64i32, MOV64ao32, MOV64ao64, OR64i32,...
     SStream_concat0(O, ", %rax"); 
     op_addReg(MI, X86_REG_RAX);
     return;
@@ -14660,14 +19899,15 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 10:
-    // ADC8i8, ADD8i8, AND8i8, CMP8i8, IN8ri, LODSB, MOV64o8a, MOV8o8a, MOV8o...
+    // ADC8i8, ADD8i8, AND8i8, CMP8i8, IN8ri, LODSB, MOV8ao16, MOV8ao32, MOV8...
     SStream_concat0(O, ", %al"); 
     op_addReg(MI, X86_REG_AL);
     return;
     break;
   case 11:
-    // ADC8mi, ADC8mr, ADD8mi, ADD8mr, AND8mi, AND8mr, CMP8mi, CMP8mr, CMPXCH...
+    // ADC8mi, ADC8mi8, ADC8mr, ADD8mi, ADD8mi8, ADD8mr, AND8mi, AND8mi8, AND...
     printi8mem(MI, 0, O); 
+    return;
     break;
   case 12:
     // AESKEYGENASSIST128rm, PCMPESTRIrm, PCMPESTRM128rm, PCMPISTRIrm, PCMPIS...
@@ -14701,11 +19941,11 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 18:
-    // CMPPDrmi, CMPPDrri, VCMPPDYrmi, VCMPPDYrri, VCMPPDrmi, VCMPPDrri
+    // CMPPDrmi, CMPPDrri, VCMPPDYrmi, VCMPPDYrri, VCMPPDZrmi, VCMPPDZrri, VC...
     SStream_concat0(O, "pd\t"); 
     break;
   case 19:
-    // CMPPSrmi, CMPPSrri, VCMPPSYrmi, VCMPPSYrri, VCMPPSrmi, VCMPPSrri
+    // CMPPSrmi, CMPPSrri, VCMPPSYrmi, VCMPPSYrri, VCMPPSZrmi, VCMPPSZrri, VC...
     SStream_concat0(O, "ps\t"); 
     break;
   case 20:
@@ -14732,110 +19972,126 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 25:
+    // EXTRQI
+    printU8Imm(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 1, O); 
+    return;
+    break;
+  case 26:
     // FARCALL16i, FARCALL32i, FARJMP16i, FARJMP32i
     SStream_concat0(O, ":"); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 26:
+  case 27:
     // IMUL16rmi, IMUL16rmi8
     printi16mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 27:
-    // MMX_PALIGNR64irm, PINSRQrm, VPINSRQrm
-    printi64mem(MI, 2, O); 
-    SStream_concat0(O, ", "); 
-    break;
   case 28:
-    // MMX_PINSRWirmi, PINSRWrmi, VPINSRWrmi
-    printi16mem(MI, 2, O); 
+    // INSERTQI
+    printU8Imm(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
+    printOperand(MI, 1, O); 
+    return;
     break;
   case 29:
-    // MOV8rm_NOREX
-    return;
+    // MMX_PALIGNR64irm, PINSRQrm, VPCMPQZ128rmib_alt, VPCMPQZ256rmib_alt, VP...
+    printi64mem(MI, 2, O); 
     break;
   case 30:
+    // MMX_PINSRWirmi, PINSRWrmi, VPINSRWrmi
+    printi16mem(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 31:
     // MOVAPDmr, MOVAPSmr, MOVNTDQmr, MOVNTPDmr, MOVNTPSmr, MOVUPDmr, MOVUPSm...
     printf128mem(MI, 0, O); 
     break;
-  case 31:
+  case 32:
     // MOVDQAmr, MOVDQUmr, VMOVDQA32Z128mr, VMOVDQA32Z128mrk, VMOVDQA64Z128mr...
     printi128mem(MI, 0, O); 
     break;
-  case 32:
+  case 33:
     // MOVHPDmr, MOVHPSmr, MOVLPDmr, MOVLPSmr, MOVNTSD, MOVSDmr, VMOVHPDmr, V...
     printf64mem(MI, 0, O); 
-    return;
     break;
-  case 33:
-    // MOVNTSS, MOVSSmr, VMOVSSZmr, VMOVSSmr
+  case 34:
+    // MOVNTSS, MOVSSmr, VMOVSSZmr, VMOVSSZmrk, VMOVSSmr
     printf32mem(MI, 0, O); 
-    return;
     break;
-  case 34:
+  case 35:
     // MPSADBWrmi, PALIGNR128rm, PBLENDWrmi, PCLMULQDQrm, SHA1RNDS4rmi, VINSE...
     printi128mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 35:
+  case 36:
     // OUTSB, OUTSL, OUTSW
     SStream_concat0(O, ", %dx"); 
     op_addReg(MI, X86_REG_DX);
     return;
     break;
-  case 36:
+  case 37:
     // PINSRBrm, VPINSRBrm
     printi8mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 37:
-    // PINSRDrm, VPINSRDrm
+  case 38:
+    // PINSRDrm, VPCMPDZ128rmib_alt, VPCMPDZ256rmib_alt, VPCMPDZrmib_alt, VPC...
     printi32mem(MI, 2, O); 
-    SStream_concat0(O, ", "); 
     break;
-  case 38:
+  case 39:
     // ROUNDPDm, ROUNDPSm, VPERMILPDmi, VPERMILPSmi, VROUNDPDm, VROUNDPSm
     printf128mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 39:
-    // TAILJMPd, TAILJMPd64, TAILJMPm, TAILJMPm64, TAILJMPr64
+  case 40:
+    // VADDPDZ128rmb, VADDPDZ128rmbk, VADDPDZ128rmbkz, VBLENDMPDZ128rmb, VBLE...
+    SStream_concat0(O, "{1to2}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    break;
+  case 41:
+    // VADDPDZ128rmk, VADDPDZ256rmk, VADDPDZrbk, VADDPDZrmk, VADDPSZ128rmk, V...
+    SStream_concat0(O, "}"); 
     return;
     break;
-  case 40:
-    // VADDPDZrmb, VADDPDZrmbk, VADDPDZrmbkz, VDIVPDZrmb, VDIVPDZrmbk, VDIVPD...
+  case 42:
+    // VADDPDZ256rmb, VADDPDZ256rmbk, VADDPDZ256rmbkz, VADDPSZ128rmb, VADDPSZ...
+    SStream_concat0(O, "{1to4}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    break;
+  case 43:
+    // VADDPDZrbkz, VADDPSZrbkz, VADDSDZrrbkz, VADDSSZrrbkz, VDIVPDZrbkz, VDI...
+    SStream_concat0(O, " {"); 
+    break;
+  case 44:
+    // VADDPDZrmb, VADDPDZrmbk, VADDPDZrmbkz, VADDPSZ256rmb, VADDPSZ256rmbk, ...
     SStream_concat0(O, "{1to8}, "); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
     break;
-  case 41:
-    // VADDPSZrmb, VADDPSZrmbk, VADDPSZrmbkz, VDIVPSZrmb, VDIVPSZrmbk, VDIVPS...
+  case 45:
+    // VADDPSZrmb, VADDPSZrmbk, VADDPSZrmbkz, VBLENDMPSZrmb, VBLENDMPSZrmbk, ...
     SStream_concat0(O, "{1to16}, "); 
     op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
     break;
-  case 42:
-    // VALIGNDrmi, VALIGNQrmi, VPCMPDZrmi_alt, VPCMPQZrmi_alt, VPCMPUDZrmi_al...
+  case 46:
+    // VALIGNDrmi, VALIGNQrmi, VPCMPBZrmi_alt, VPCMPDZrmi_alt, VPCMPQZrmi_alt...
     printi512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 43:
-    // VALIGNDrrik, VALIGNQrrik
-    printOperand(MI, 4, O); 
-    SStream_concat0(O, ", "); 
+  case 47:
+    // VALIGNDrrikz, VALIGNQrrikz, VEXTRACTF32x4rrk, VEXTRACTF64x4rrk, VEXTRA...
     printOperand(MI, 3, O); 
     SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    SStream_concat0(O, " {"); 
-    printOperand(MI, 2, O); 
-    SStream_concat0(O, "}"); 
-    return;
     break;
-  case 44:
+  case 48:
     // VBLENDPDYrmi, VBLENDPSYrmi, VBLENDVPDYrm, VBLENDVPSYrm, VCMPPDYrmi_alt...
     printf256mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14844,11 +20100,7 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 45:
-    // VCMPPDZrmi, VCMPPDZrri
-    SStream_concat0(O, "pd \t"); 
-    break;
-  case 46:
+  case 49:
     // VCMPPDZrmi_alt, VCMPPSZrmi_alt, VSHUFPDZrmi, VSHUFPSZrmi
     printf512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14857,9 +20109,9 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 47:
+  case 50:
     // VCMPPDZrrib
-    SStream_concat0(O, "pd \t{sae}, "); 
+    SStream_concat0(O, "pd\t{sae}, "); 
     op_addAvxSae(MI);
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14868,13 +20120,9 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 48:
-    // VCMPPSZrmi, VCMPPSZrri
-    SStream_concat0(O, "ps \t"); 
-    break;
-  case 49:
+  case 51:
     // VCMPPSZrrib
-    SStream_concat0(O, "ps \t{sae}, "); 
+    SStream_concat0(O, "ps\t{sae}, "); 
     op_addAvxSae(MI);
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14883,8 +20131,16 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 50:
-    // VDPPSYrmi, VINSERTF64x4rm, VINSERTI64x4rm, VMPSADBWYrmi, VPALIGNR256rm...
+  case 52:
+    // VCOMPRESSPDZ256mrk, VCOMPRESSPSZ256mrk, VMOVAPDYmr, VMOVAPDZ256mr, VMO...
+    printf256mem(MI, 0, O); 
+    break;
+  case 53:
+    // VCOMPRESSPDZmrk, VCOMPRESSPSZmrk, VMOVAPDZmr, VMOVAPDZmrk, VMOVAPSZmr,...
+    printf512mem(MI, 0, O); 
+    break;
+  case 54:
+    // VDPPSYrmi, VINSERTI32x8rm, VINSERTI64x4rm, VMPSADBWYrmi, VPALIGNR256rm...
     printi256mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 1, O); 
@@ -14892,55 +20148,51 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 51:
-    // VGATHERDPDYrm, VGATHERDPDrm, VGATHERQPDYrm, VGATHERQPDrm, VPGATHERDQYr...
-    printi64mem(MI, 3, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    return;
-    break;
-  case 52:
-    // VGATHERDPSYrm, VGATHERDPSrm, VGATHERQPSYrm, VGATHERQPSrm, VPGATHERDDYr...
-    printi32mem(MI, 3, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
+  case 55:
+    // VEXP2PDm, VEXP2PDmb, VEXP2PSm, VEXP2PSmb, VFMADDPDZv213rrb, VFMADDPSZv...
     return;
     break;
-  case 53:
-    // VGATHERPF0DPDm, VGATHERPF0DPSm, VGATHERPF0QPDm, VGATHERPF0QPSm, VGATHE...
-    SStream_concat0(O, " {"); 
-    printOperand(MI, 0, O); 
-    SStream_concat0(O, "}"); 
+  case 56:
+    // VFMADDPDZ128v213rmkz, VFMADDPDZ128v231rmkz, VFMADDPDZ256v213rmkz, VFMA...
+    SStream_concat0(O, "} {z}"); 
+    op_addAvxZeroOpmask(MI);
     return;
     break;
-  case 54:
-    // VMOVAPDYmr, VMOVAPDZ256mr, VMOVAPDZ256mrk, VMOVAPSYmr, VMOVAPSZ256mr, ...
-    printf256mem(MI, 0, O); 
+  case 57:
+    // VGATHERDPDYrm, VGATHERDPDrm, VGATHERQPDYrm, VGATHERQPDrm, VPCMPQZ128rm...
+    printi64mem(MI, 3, O); 
     break;
-  case 55:
-    // VMOVAPDZmr, VMOVAPDZmrk, VMOVAPSZmr, VMOVAPSZmrk, VMOVNTPDZmr, VMOVNTP...
-    printf512mem(MI, 0, O); 
+  case 58:
+    // VGATHERDPSYrm, VGATHERDPSrm, VGATHERQPSYrm, VGATHERQPSrm, VPCMPDZ128rm...
+    printi32mem(MI, 3, O); 
     break;
-  case 56:
+  case 59:
     // VMOVDQA32Z256mr, VMOVDQA32Z256mrk, VMOVDQA64Z256mr, VMOVDQA64Z256mrk, ...
     printi256mem(MI, 0, O); 
     break;
-  case 57:
+  case 60:
     // VMOVDQA32Zmr, VMOVDQA32Zmrk, VMOVDQA64Zmr, VMOVDQA64Zmrk, VMOVDQU16Zmr...
     printi512mem(MI, 0, O); 
     break;
-  case 58:
-    // VPADDDZrmk, VPADDQZrmk, VPANDDZrmk, VPANDNDZrmk, VPANDNQZrmk, VPANDQZr...
+  case 61:
+    // VPCMPBZ128rmi, VPCMPBZ128rmik, VPCMPBZ128rri, VPCMPBZ128rrik, VPCMPBZ2...
+    SStream_concat0(O, "b\t"); 
+    break;
+  case 62:
+    // VPCMPBZ128rmik_alt, VPCMPDZ128rmik_alt, VPCMPQZ128rmik_alt, VPCMPUBZ12...
+    printi128mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
     SStream_concat0(O, "}"); 
     return;
     break;
-  case 59:
-    // VPCMPDZrmi, VPCMPDZrri
-    SStream_concat0(O, "d\t"); 
-    break;
-  case 60:
-    // VPCMPDZrmik_alt, VPCMPQZrmik_alt, VPCMPUDZrmik_alt, VPCMPUQZrmik_alt
-    printi512mem(MI, 3, O); 
+  case 63:
+    // VPCMPBZ256rmik_alt, VPCMPDZ256rmik_alt, VPCMPQZ256rmik_alt, VPCMPUBZ25...
+    printi256mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -14950,51 +20202,52 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, "}"); 
     return;
     break;
-  case 61:
-    // VPCMPEQDZ128rmb, VPCMPEQDZ128rmbk, VPCMPEQQZ256rmb, VPCMPEQQZ256rmbk, ...
-    SStream_concat0(O, "{1to4}, "); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+  case 64:
+    // VPCMPBZrmik_alt, VPCMPDZrmik_alt, VPCMPQZrmik_alt, VPCMPUBZrmik_alt, V...
+    printi512mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
     break;
-  case 62:
-    // VPCMPEQQZ128rmb, VPCMPEQQZ128rmbk, VPCMPGTQZ128rmb, VPCMPGTQZ128rmbk
-    SStream_concat0(O, "{1to2}, "); 
-    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+  case 65:
+    // VPCMPDZ128rmi, VPCMPDZ128rmib, VPCMPDZ128rmibk, VPCMPDZ128rmik, VPCMPD...
+    SStream_concat0(O, "d\t"); 
     break;
-  case 63:
-    // VPCMPQZrmi, VPCMPQZrri
+  case 66:
+    // VPCMPQZ128rmi, VPCMPQZ128rmib, VPCMPQZ128rmibk, VPCMPQZ128rmik, VPCMPQ...
     SStream_concat0(O, "q\t"); 
     break;
-  case 64:
-    // VPCMPUDZrmi, VPCMPUDZrri
+  case 67:
+    // VPCMPUBZ128rmi, VPCMPUBZ128rmik, VPCMPUBZ128rri, VPCMPUBZ128rrik, VPCM...
+    SStream_concat0(O, "ub\t"); 
+    break;
+  case 68:
+    // VPCMPUDZ128rmi, VPCMPUDZ128rmib, VPCMPUDZ128rmibk, VPCMPUDZ128rmik, VP...
     SStream_concat0(O, "ud\t"); 
     break;
-  case 65:
-    // VPCMPUQZrmi, VPCMPUQZrri
+  case 69:
+    // VPCMPUQZ128rmi, VPCMPUQZ128rmib, VPCMPUQZ128rmibk, VPCMPUQZ128rmik, VP...
     SStream_concat0(O, "uq\t"); 
     break;
-  case 66:
-    // VPERMI2Drmkz, VPERMI2PDrmkz, VPERMI2PSrmkz, VPERMI2Qrmkz, VPERMT2Drmkz...
-    SStream_concat0(O, "} {z}"); 
-    op_addAvxZeroOpmask(MI);
-    return;
+  case 70:
+    // VPCMPUWZ128rmi, VPCMPUWZ128rmik, VPCMPUWZ128rri, VPCMPUWZ128rrik, VPCM...
+    SStream_concat0(O, "uw\t"); 
     break;
-  case 67:
+  case 71:
+    // VPCMPWZ128rmi, VPCMPWZ128rmik, VPCMPWZ128rri, VPCMPWZ128rrik, VPCMPWZ2...
+    SStream_concat0(O, "w\t"); 
+    break;
+  case 72:
     // VPERMIL2PDmr, VPERMIL2PDmrY, VPERMIL2PSmr, VPERMIL2PSmrY
     printOperand(MI, 7, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 68:
-    // VPERMIL2PDrm, VPERMIL2PSrm
+  case 73:
+    // VPERMIL2PDrm, VPERMIL2PSrm, VRNDSCALESDmkz, VRNDSCALESSmkz
     printf128mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
-    printOperand(MI, 1, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    return;
     break;
-  case 69:
+  case 74:
     // VPERMIL2PDrmY, VPERMIL2PSrmY
     printf256mem(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -15005,41 +20258,51 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 70:
+  case 75:
     // VPERMILPDYmi, VPERMILPSYmi, VROUNDYPDm, VROUNDYPSm
     printf256mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 71:
-    // VPERMILPDZmi, VPERMILPSZmi, VPERMQZmi, VPSHUFDZmi, VPSLLDZmi, VPSLLQZm...
-    printi512mem(MI, 1, O); 
+  case 76:
+    // VPERMILPDZmi, VPERMILPSZmi, VPERMPDZmi, VRNDSCALEPDZm, VRNDSCALEPSZm
+    printf512mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 72:
+  case 77:
     // VPERMPDYmi, VPERMQYmi, VPSHUFDYmi, VPSHUFHWYmi, VPSHUFLWYmi
     printi256mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
-  case 73:
-    // VPERMPDZmi, VRNDSCALEPDZm, VRNDSCALEPSZm
-    printf512mem(MI, 1, O); 
+  case 78:
+    // VPERMQZmi, VPSHUFDZmi, VPSLLDZmi, VPSLLQZmi, VPSRADZmi, VPSRAQZmi, VPS...
+    printi512mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
+    break;
+  case 79:
+    // VPSLLDZrmk, VPSLLQZrmk, VPSLLVDZrmk, VPSLLVQZrmk, VPSRADZrmk, VPSRAQZr...
+    SStream_concat0(O, "} "); 
+    return;
+    break;
+  case 80:
+    // VRNDSCALESDrbk, VRNDSCALESSrbk
+    SStream_concat0(O, "}{sae}"); 
+    op_addAvxSae(MI);
     return;
     break;
   }
 
 
-  // Fragment 2 encoded into 6 bits for 33 unique commands.
+  // Fragment 2 encoded into 6 bits for 47 unique commands.
   //printf("Frag-2: %"PRIu64"\n", (Bits >> 28) & 63);
   switch ((Bits >> 28) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16ri, ADC16ri8, ADC16rm, ADC16rr, ADC16rr_REV, ADC32ri, ADC32ri8, A...
     return;
@@ -15055,8 +20318,6 @@ static void printInstruction(MCInst *MI,
   case 3:
     // AESKEYGENASSIST128rr, ANDN32rr, ANDN64rr, BEXTR32rm, BEXTR32rr, BEXTR6...
     SStream_concat0(O, ", "); 
-    printOperand(MI, 0, O); 
-    return;
     break;
   case 4:
     // CMPPDrmi, CMPPSrmi, VCMPPDrmi, VCMPPSrmi, VPERMIL2PDmr, VPERMIL2PSmr
@@ -15108,14 +20369,12 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 14:
-    // LXADD32, XCHG32rm
+    // LXADD32, VPCMPDZ128rmib, VPCMPDZ256rmib, VPCMPDZrmib, VPCMPUDZ128rmib,...
     printi32mem(MI, 2, O); 
-    return;
     break;
   case 15:
-    // LXADD64, XCHG64rm
+    // LXADD64, VPCMPQZ128rmib, VPCMPQZ256rmib, VPCMPQZrmib, VPCMPUQZ128rmib,...
     printi64mem(MI, 2, O); 
-    return;
     break;
   case 16:
     // LXADD8, XCHG8rm
@@ -15123,45 +20382,54 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 17:
-    // MOV8mr_NOREX
-    return;
-    break;
-  case 18:
     // PEXTRBmr, VPEXTRBmr
     printi8mem(MI, 0, O); 
     return;
     break;
-  case 19:
+  case 18:
     // PEXTRDmr, SHLD32mri8, SHRD32mri8, VPEXTRDmr
     printi32mem(MI, 0, O); 
     return;
     break;
-  case 20:
+  case 19:
     // PEXTRQmr, SHLD64mri8, SHRD64mri8, VPEXTRQmr
     printi64mem(MI, 0, O); 
     return;
     break;
-  case 21:
+  case 20:
     // PEXTRWmr, SHLD16mri8, SHRD16mri8, VPEXTRWmr
     printi16mem(MI, 0, O); 
     return;
     break;
+  case 21:
+    // TEST16rm
+    printi16mem(MI, 1, O); 
+    return;
+    break;
   case 22:
-    // VAARG_64
-    printi8mem(MI, 1, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 6, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 7, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 8, O); 
+    // TEST32rm
+    printi32mem(MI, 1, O); 
     return;
     break;
   case 23:
-    // VBROADCASTI32X4krm, VBROADCASTI64X4krm, VFMADD213PDZrk, VFMADD213PDZrk...
-    SStream_concat0(O, " {"); 
+    // TEST64rm
+    printi64mem(MI, 1, O); 
+    return;
     break;
   case 24:
+    // TEST8rm, VAARG_64
+    printi8mem(MI, 1, O); 
+    break;
+  case 25:
+    // VADDPDZ128rmbk, VADDPDZ256rmbk, VADDPDZrmbk, VADDPSZ128rmbk, VADDPSZ25...
+    printOperand(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    break;
+  case 26:
+    // VADDPDZ128rrk, VADDPDZ256rrk, VADDPDZrrk, VADDPSZ128rrk, VADDPSZ256rrk...
+    SStream_concat0(O, " {"); 
+    break;
+  case 27:
     // VCMPPDYrmi, VCMPPSYrmi, VPERMIL2PDmrY, VPERMIL2PSmrY
     printf256mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -15170,7 +20438,7 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 25:
+  case 28:
     // VCMPPDZrmi, VCMPPSZrmi
     printf512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
@@ -15179,43 +20447,75 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
-  case 26:
-    // VCVTPS2PHYmr, VEXTRACTF128mr, VEXTRACTF32x4mr, VMASKMOVPDmr, VMASKMOVP...
+  case 29:
+    // VCVTPS2PHYmr, VEXTRACTF128mr, VEXTRACTF32x4rm, VMASKMOVPDmr, VMASKMOVP...
     printf128mem(MI, 0, O); 
     return;
     break;
-  case 27:
-    // VCVTPS2PHZmr, VEXTRACTF64x4mr, VMASKMOVPDYmr, VMASKMOVPSYmr
+  case 30:
+    // VCVTPS2PHZmr, VEXTRACTF64x4rm, VMASKMOVPDYmr, VMASKMOVPSYmr
     printf256mem(MI, 0, O); 
     return;
     break;
-  case 28:
+  case 31:
     // VCVTPS2PHmr
     printf64mem(MI, 0, O); 
     return;
     break;
-  case 29:
-    // VEXTRACTI128mr, VEXTRACTI32x4mr, VPMASKMOVDmr, VPMASKMOVQmr
+  case 32:
+    // VEXTRACTI128mr, VEXTRACTI32x4rm, VPMASKMOVDmr, VPMASKMOVQmr
     printi128mem(MI, 0, O); 
     return;
     break;
-  case 30:
-    // VEXTRACTI64x4mr, VPMASKMOVDYmr, VPMASKMOVQYmr
+  case 33:
+    // VEXTRACTI64x4rm, VPMASKMOVDYmr, VPMASKMOVQYmr
     printi256mem(MI, 0, O); 
     return;
     break;
-  case 31:
-    // VPADDDZrmbk, VPADDQZrmbk, VPANDDZrmbk, VPANDNDZrmbk, VPANDNQZrmbk, VPA...
-    printOperand(MI, 3, O); 
+  case 34:
+    // VPCMPBZ128rmi, VPCMPDZ128rmi, VPCMPQZ128rmi, VPCMPUBZ128rmi, VPCMPUDZ1...
+    printi128mem(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 35:
+    // VPCMPBZ128rmik, VPCMPDZ128rmik, VPCMPQZ128rmik, VPCMPUBZ128rmik, VPCMP...
+    printi128mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 36:
+    // VPCMPBZ256rmi, VPCMPDZ256rmi, VPCMPQZ256rmi, VPCMPUBZ256rmi, VPCMPUDZ2...
+    printi256mem(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 37:
+    // VPCMPBZ256rmik, VPCMPDZ256rmik, VPCMPQZ256rmik, VPCMPUBZ256rmik, VPCMP...
+    printi256mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
     SStream_concat0(O, "}"); 
     return;
     break;
-  case 32:
-    // VPCMPDZrmi, VPCMPQZrmi, VPCMPUDZrmi, VPCMPUQZrmi
+  case 38:
+    // VPCMPBZrmi, VPCMPDZrmi, VPCMPQZrmi, VPCMPUBZrmi, VPCMPUDZrmi, VPCMPUQZ...
     printi512mem(MI, 2, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 1, O); 
@@ -15223,53 +20523,127 @@ static void printInstruction(MCInst *MI,
     printOperand(MI, 0, O); 
     return;
     break;
+  case 39:
+    // VPCMPBZrmik, VPCMPDZrmik, VPCMPQZrmik, VPCMPUBZrmik, VPCMPUDZrmik, VPC...
+    printi512mem(MI, 3, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 2, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 40:
+    // VPCMPDZ128rmib_alt, VPCMPDZ128rmibk_alt, VPCMPQZ256rmib_alt, VPCMPQZ25...
+    SStream_concat0(O, "{1to4}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    break;
+  case 41:
+    // VPCMPDZ128rmibk, VPCMPDZ256rmibk, VPCMPDZrmibk, VPCMPUDZ128rmibk, VPCM...
+    printi32mem(MI, 3, O); 
+    break;
+  case 42:
+    // VPCMPDZ256rmib_alt, VPCMPDZ256rmibk_alt, VPCMPQZrmib_alt, VPCMPQZrmibk...
+    SStream_concat0(O, "{1to8}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    break;
+  case 43:
+    // VPCMPDZrmib_alt, VPCMPDZrmibk_alt, VPCMPUDZrmib_alt, VPCMPUDZrmibk_alt
+    SStream_concat0(O, "{1to16}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    break;
+  case 44:
+    // VPCMPQZ128rmib_alt, VPCMPQZ128rmibk_alt, VPCMPUQZ128rmib_alt, VPCMPUQZ...
+    SStream_concat0(O, "{1to2}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    break;
+  case 45:
+    // VPCMPQZ128rmibk, VPCMPQZ256rmibk, VPCMPQZrmibk, VPCMPUQZ128rmibk, VPCM...
+    printi64mem(MI, 3, O); 
+    break;
+  case 46:
+    // VPSLLDZmi, VPSLLQZmi, VPSRADZmi, VPSRAQZmi, VPSRLDZmi, VPSRLQZmi
+    return;
+    break;
   }
 
 
-  // Fragment 3 encoded into 4 bits for 10 unique commands.
+  // Fragment 3 encoded into 4 bits for 16 unique commands.
   //printf("Frag-3: %"PRIu64"\n", (Bits >> 34) & 15);
   switch ((Bits >> 34) & 15) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC32rm, ADC64rm, ADCX32rm, ADCX64rm, ADD32rm, ADD64rm, ADDSDrm, ADDSD...
     return;
     break;
   case 1:
-    // ANDN32rm, ANDN64rm, CMPPDrri, CMPPSrri, CMPSDrr, CMPSSrr, Int_CMPSDrr,...
-    SStream_concat0(O, ", "); 
+    // AESKEYGENASSIST128rr, ANDN32rr, ANDN64rr, BEXTR32rm, BEXTR32rr, BEXTR6...
+    printOperand(MI, 0, O); 
     break;
   case 2:
-    // CMPPDrmi, CMPPSrmi, CMPSDrm, CMPSSrm, Int_CMPSDrm, Int_CMPSSrm
-    printOperand(MI, 0, O); 
-    return;
+    // ANDN32rm, ANDN64rm, CMPPDrri, CMPPSrri, CMPSDrr, CMPSSrr, Int_CMPSDrr,...
+    SStream_concat0(O, ", "); 
     break;
   case 3:
-    // Int_VCMPSDrm, Int_VCMPSSrm, VBROADCASTI32X4krm, VBROADCASTI64X4krm, VC...
+    // Int_VCMPSDrm, Int_VCMPSSrm, VBROADCASTI32X4krm, VBROADCASTI64X4krm, VB...
     printOperand(MI, 1, O); 
     break;
   case 4:
-    // MOV8rr_NOREX
-    return;
+    // VADDPDZ128rmkz, VADDPDZ128rrkz, VADDPDZ256rmkz, VADDPDZ256rrkz, VADDPD...
+    SStream_concat0(O, " {"); 
     break;
   case 5:
-    // VADDPDZrmk, VADDPDZrmkz, VADDPDZrrk, VADDPDZrrkz, VADDPSZrmk, VADDPSZr...
-    SStream_concat0(O, " {"); 
+    // VADDPDZ128rrk, VADDPDZ256rrk, VADDPDZrrk, VADDPSZ128rrk, VADDPSZ256rrk...
+    printOperand(MI, 2, O); 
     break;
   case 6:
-    // VFMADD213PDZrk, VFMADD213PDZrkz, VFMADD213PSZrk, VFMADD213PSZrkz, VFMA...
-    printOperand(MI, 2, O); 
+    // VADDPDZrbkz, VADDPSZrbkz, VADDSDZrrbkz, VADDSSZrrbkz, VDIVPDZrbkz, VDI...
+    SStream_concat0(O, "} {z}"); 
+    op_addAvxZeroOpmask(MI);
+    return;
     break;
   case 7:
-    // VMOVAPDZ128mrk, VMOVAPDZ256mrk, VMOVAPDZmrk, VMOVAPSZ128mrk, VMOVAPSZ2...
-    printOperand(MI, 5, O); 
-    SStream_concat0(O, "}"); 
+    // VBROADCASTSDZ256m, VBROADCASTSDZ256r, VBROADCASTSDZm, VBROADCASTSDZr, ...
     return;
     break;
   case 8:
-    // VPCONFLICTDrr, VPCONFLICTQrr, VPLZCNTDrr, VPLZCNTQrr
-    return;
+    // VCOMPRESSPDZ128mrk, VCOMPRESSPDZ256mrk, VCOMPRESSPDZmrk, VCOMPRESSPSZ1...
+    printOperand(MI, 5, O); 
     break;
   case 9:
+    // VEXP2PDrb, VEXP2PSrb, VRCP28PDrb, VRCP28PSrb, VRSQRT28PDrb, VRSQRT28PS...
+    SStream_concat0(O, " {sae}"); 
+    op_addAvxSae(MI);
+    return;
+    break;
+  case 10:
+    // VGATHERPF0DPDm, VGATHERPF0DPSm, VGATHERPF0QPDm, VGATHERPF0QPSm, VGATHE...
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 11:
+    // VPCMPDZ128rmib, VPCMPDZ128rmibk, VPCMPQZ256rmib, VPCMPQZ256rmibk, VPCM...
+    SStream_concat0(O, "{1to4}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_4);
+    break;
+  case 12:
+    // VPCMPDZ256rmib, VPCMPDZ256rmibk, VPCMPQZrmib, VPCMPQZrmibk, VPCMPUDZ25...
+    SStream_concat0(O, "{1to8}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_8);
+    break;
+  case 13:
+    // VPCMPDZrmib, VPCMPDZrmibk, VPCMPUDZrmib, VPCMPUDZrmibk
+    SStream_concat0(O, "{1to16}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_16);
+    break;
+  case 14:
+    // VPCMPQZ128rmib, VPCMPQZ128rmibk, VPCMPUQZ128rmib, VPCMPUQZ128rmibk
+    SStream_concat0(O, "{1to2}, "); 
+    op_addAvxBroadcast(MI, X86_AVX_BCAST_2);
+    break;
+  case 15:
     // VPSCATTERDDZmr, VPSCATTERDQZmr, VPSCATTERQDZmr, VPSCATTERQQZmr, VSCATT...
     printOperand(MI, 6, O); 
     SStream_concat0(O, "}"); 
@@ -15278,63 +20652,107 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 4 encoded into 4 bits for 9 unique commands.
-  //printf("Frag-4: %"PRIu64"\n", (Bits >> 38) & 15);
-  switch ((Bits >> 38) & 15) {
-  default:   // unreachable.
+  // Fragment 4 encoded into 5 bits for 17 unique commands.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 38) & 31);
+  switch ((Bits >> 38) & 31) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
+    // AESKEYGENASSIST128rr, ANDN32rr, ANDN64rr, BEXTR32rm, BEXTR32rr, BEXTR6...
+    return;
+    break;
+  case 1:
     // ANDN32rm, ANDN64rm, CMPPDrri, CMPPSrri, CMPSDrr, CMPSSrr, Int_CMPSDrr,...
     printOperand(MI, 0, O); 
     break;
-  case 1:
+  case 2:
     // Int_VCMPSDrm, Int_VCMPSSrm, VCMPPDrmi, VCMPPSrmi, VCMPSDZrm, VCMPSDrm,...
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
-    return;
     break;
-  case 2:
-    // Int_VCMPSDrr, Int_VCMPSSrr, VADDPDZrmk, VADDPDZrmkz, VADDPDZrrk, VADDP...
+  case 3:
+    // Int_VCMPSDrr, Int_VCMPSSrr, VADDPDZ128rmkz, VADDPDZ128rrkz, VADDPDZ256...
     printOperand(MI, 1, O); 
     break;
-  case 3:
-    // VASTART_SAVE_XMM_REGS, VPCONFLICTDrmbk, VPCONFLICTQrmbk, VPLZCNTDrmbk,...
+  case 4:
+    // VAARG_64
+    printOperand(MI, 6, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 7, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 8, O); 
+    return;
+    break;
+  case 5:
+    // VADDPDZ128rm, VADDPDZ128rr, VADDPDZ256rm, VADDPDZ256rr, VADDPDZrm, VAD...
+    return;
+    break;
+  case 6:
+    // VADDPDZ128rmbk, VADDPDZ256rmbk, VADDPDZrmbk, VADDPSZ128rmbk, VADDPSZ25...
+    SStream_concat0(O, " {"); 
     printOperand(MI, 2, O); 
     break;
-  case 4:
-    // VBROADCASTI32X4krm, VBROADCASTI64X4krm, VFMADD213PDZrkz, VFMADD213PSZr...
+  case 7:
+    // VADDPDZ128rrk, VADDPDZ256rrk, VADDPDZrrk, VADDPSZ128rrk, VADDPSZ256rrk...
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 8:
+    // VASTART_SAVE_XMM_REGS, VBROADCASTSDZ256mk, VBROADCASTSDZmk, VBROADCAST...
+    printOperand(MI, 2, O); 
+    break;
+  case 9:
+    // VBROADCASTI32X4krm, VBROADCASTI64X4krm, VBROADCASTSDZ256rkz, VBROADCAS...
     SStream_concat0(O, "} {z}"); 
     op_addAvxZeroOpmask(MI);
     return;
     break;
-  case 5:
-    // VFMADD213PDZrk, VFMADD213PSZrk, VFMADDSUB213PDZrk, VFMADDSUB213PSZrk, ...
-    SStream_concat0(O, "}"); 
+  case 10:
+    // VCOMPRESSPDZ128mrk, VCOMPRESSPDZ128rrk, VCOMPRESSPDZ256mrk, VCOMPRESSP...
+    SStream_concat0(O, "} "); 
     return;
     break;
-  case 6:
+  case 11:
+    // VEXP2PDrbk, VEXP2PSrbk, VMAXSDZrrbk, VMAXSSZrrbk, VMINSDZrrbk, VMINSSZ...
+    SStream_concat0(O, "}{sae}"); 
+    op_addAvxSae(MI);
+    return;
+    break;
+  case 12:
+    // VEXP2PDrbkz, VEXP2PSrbkz, VRCP28PDrbkz, VRCP28PSrbkz, VRSQRT28PDrbkz, ...
+    SStream_concat0(O, "} {z}{sae}"); 
+    op_addAvxSae(MI);
+    op_addAvxZeroOpmask(MI);
+    return;
+    break;
+  case 13:
     // VGATHERDPDZrm, VGATHERDPSZrm, VGATHERQPDZrm, VGATHERQPSZrm, VPGATHERDD...
     printOperand(MI, 3, O); 
     SStream_concat0(O, "}"); 
     return;
     break;
-  case 7:
+  case 14:
+    // VMAXSDZrrb, VMAXSSZrrb, VMINSDZrrb, VMINSSZrrb, VRCP28SDrb, VRCP28SSrb...
+    SStream_concat0(O, " {sae}"); 
+    op_addAvxSae(MI);
+    return;
+    break;
+  case 15:
     // VPERMI2Drrkz, VPERMI2PDrrkz, VPERMI2PSrrkz, VPERMI2Qrrkz, VPERMT2Drrkz...
     SStream_concat0(O, "} {z} "); 
     op_addAvxZeroOpmask(MI);
     return;
     break;
-  case 8:
-    // VPMOVSXBDZrmk, VPMOVSXBDZrrk, VPMOVSXBQZrmk, VPMOVSXBQZrrk, VPMOVSXDQZ...
-    SStream_concat0(O, "} "); 
+  case 16:
+    // VPSLLDZri, VPSLLDZrm, VPSLLDZrr, VPSLLQZri, VPSLLQZrm, VPSLLQZrr, VPSL...
     return;
     break;
   }
 
 
-  // Fragment 5 encoded into 3 bits for 6 unique commands.
-  //printf("Frag-5: %"PRIu64"\n", (Bits >> 42) & 7);
-  switch ((Bits >> 42) & 7) {
-  default:   // unreachable.
+  // Fragment 5 encoded into 4 bits for 10 unique commands.
+  //printf("Frag-5: %"PRIu64"\n", (Bits >> 43) & 15);
+  switch ((Bits >> 43) & 15) {
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ANDN32rm, ANDN64rm, CMPPDrri, CMPPSrri, CMPSDrr, CMPSSrr, Int_CMPSDrr,...
     return;
@@ -15343,43 +20761,87 @@ static void printInstruction(MCInst *MI,
     // Int_VCMPSDrr, Int_VCMPSSrr, VCMPPDYrri, VCMPPDZrri, VCMPPDrri, VCMPPSY...
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
-    return;
     break;
   case 2:
-    // VADDPDZrmbk, VADDPDZrmbkz, VADDPSZrmbk, VADDPSZrmbkz, VDIVPDZrmbk, VDI...
-    SStream_concat0(O, " {"); 
-    printOperand(MI, 1, O); 
+    // VADDPDZ128rmb, VADDPDZ256rmb, VADDPDZrmb, VADDPSZ128rmb, VADDPSZ256rmb...
+    return;
     break;
   case 3:
-    // VADDPDZrmk, VADDPSZrmk, VBLENDMPDZrm, VBLENDMPDZrr, VBLENDMPSZrm, VBLE...
+    // VADDPDZ128rmbk, VADDPDZ256rmbk, VADDPDZrmbk, VADDPSZ128rmbk, VADDPSZ25...
     SStream_concat0(O, "}"); 
     return;
     break;
   case 4:
-    // VADDPDZrmkz, VADDPDZrrkz, VADDPSZrmkz, VADDPSZrrkz, VALIGNDrrikz, VALI...
+    // VADDPDZ128rmbkz, VADDPDZ256rmbkz, VADDPDZrmbkz, VADDPSZ128rmbkz, VADDP...
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
+    break;
+  case 5:
+    // VADDPDZ128rmkz, VADDPDZ128rrkz, VADDPDZ256rmkz, VADDPDZ256rrkz, VADDPD...
     SStream_concat0(O, "} {z}"); 
     op_addAvxZeroOpmask(MI);
     return;
     break;
-  case 5:
-    // VADDPDZrrk, VADDPSZrrk, VDIVPDZrrk, VDIVPSZrrk, VMAXPDZrrk, VMAXPSZrrk...
+  case 6:
+    // VMAXSDZrrbkz, VMAXSSZrrbkz, VMINSDZrrbkz, VMINSSZrrbkz, VRCP28SDrbkz, ...
+    SStream_concat0(O, "} {z}{sae}"); 
+    op_addAvxSae(MI);
+    op_addAvxZeroOpmask(MI);
+    return;
+    break;
+  case 7:
+    // VPSLLDZmik, VPSLLDZrik, VPSLLQZmik, VPSLLQZrik, VPSRADZmik, VPSRADZrik...
     SStream_concat0(O, "} "); 
     return;
     break;
+  case 8:
+    // VPSLLDZmikz, VPSLLDZrikz, VPSLLDZrmkz, VPSLLDZrrkz, VPSLLQZmikz, VPSLL...
+    SStream_concat0(O, "} {z} "); 
+    op_addAvxZeroOpmask(MI);
+    return;
+    break;
+  case 9:
+    // VRNDSCALESDrb, VRNDSCALESSrb
+    SStream_concat0(O, " {sae}"); 
+    op_addAvxSae(MI);
+    return;
+    break;
   }
 
 
-  // Fragment 6 encoded into 1 bits for 2 unique commands.
-  //printf("Frag-6: %"PRIu64"\n", (Bits >> 45) & 1);
-  if ((Bits >> 45) & 1) {
-    // VADDPDZrmbkz, VADDPSZrmbkz, VDIVPDZrmbkz, VDIVPSZrmbkz, VMAXPDZrmbkz, ...
+  // Fragment 6 encoded into 3 bits for 5 unique commands.
+  //printf("Frag-6: %"PRIu64"\n", (Bits >> 47) & 7);
+  switch ((Bits >> 47) & 7) {
+  default: // llvm_unreachable("Invalid command number.");
+  case 0:
+    // Int_VCMPSDrr, Int_VCMPSSrr, VCMPPDYrri, VCMPPDZrri, VCMPPDrri, VCMPPSY...
+    return;
+    break;
+  case 1:
+    // VADDPDZ128rmbkz, VADDPDZ256rmbkz, VADDPDZrmbkz, VADDPSZ128rmbkz, VADDP...
     SStream_concat0(O, "} {z}"); 
     op_addAvxZeroOpmask(MI);
     return;
-  } else {
-    // VADDPDZrmbk, VADDPSZrmbk, VDIVPDZrmbk, VDIVPSZrmbk, VMAXPDZrmbk, VMAXP...
+    break;
+  case 2:
+    // VBLENDMPDZ128rmbk, VBLENDMPDZ256rmbk, VBLENDMPDZrmbk, VBLENDMPSZ128rmb...
     SStream_concat0(O, "}"); 
     return;
+    break;
+  case 3:
+    // VPCMPDZ128rmibk, VPCMPDZ256rmibk, VPCMPDZrmibk, VPCMPQZ128rmibk, VPCMP...
+    SStream_concat0(O, " {"); 
+    printOperand(MI, 1, O); 
+    SStream_concat0(O, "}"); 
+    return;
+    break;
+  case 4:
+    // VRNDSCALESDrbkz, VRNDSCALESSrbkz
+    SStream_concat0(O, "} {z}{sae}"); 
+    op_addAvxSae(MI);
+    op_addAvxZeroOpmask(MI);
+    return;
+    break;
   }
 }
 
@@ -15389,7 +20851,7 @@ static void printInstruction(MCInst *MI,
 /// for the specified register.
 static const char *getRegisterName(unsigned RegNo)
 {
-  // assert(RegNo && RegNo < 234 && "Invalid register number!");
+  // assert(RegNo && RegNo < 242 && "Invalid register number!");
 
 #ifndef CAPSTONE_DIET
   static const char AsmStrs[] = {
@@ -15405,225 +20867,234 @@ static const char *getRegisterName(unsig
   /* 54 */ 'y', 'm', 'm', '1', '0', 0,
   /* 60 */ 'z', 'm', 'm', '1', '0', 0,
   /* 66 */ 'c', 'r', '1', '0', 0,
-  /* 71 */ 'x', 'm', 'm', '2', '0', 0,
-  /* 77 */ 'y', 'm', 'm', '2', '0', 0,
-  /* 83 */ 'z', 'm', 'm', '2', '0', 0,
-  /* 89 */ 'x', 'm', 'm', '3', '0', 0,
-  /* 95 */ 'y', 'm', 'm', '3', '0', 0,
-  /* 101 */ 'z', 'm', 'm', '3', '0', 0,
-  /* 107 */ 'k', '0', 0,
-  /* 110 */ 'x', 'm', 'm', '0', 0,
-  /* 115 */ 'y', 'm', 'm', '0', 0,
-  /* 120 */ 'z', 'm', 'm', '0', 0,
-  /* 125 */ 'f', 'p', '0', 0,
-  /* 129 */ 'c', 'r', '0', 0,
-  /* 133 */ 'd', 'r', '0', 0,
-  /* 137 */ 'x', 'm', 'm', '1', '1', 0,
-  /* 143 */ 'y', 'm', 'm', '1', '1', 0,
-  /* 149 */ 'z', 'm', 'm', '1', '1', 0,
-  /* 155 */ 'c', 'r', '1', '1', 0,
-  /* 160 */ 'x', 'm', 'm', '2', '1', 0,
-  /* 166 */ 'y', 'm', 'm', '2', '1', 0,
-  /* 172 */ 'z', 'm', 'm', '2', '1', 0,
-  /* 178 */ 'x', 'm', 'm', '3', '1', 0,
-  /* 184 */ 'y', 'm', 'm', '3', '1', 0,
-  /* 190 */ 'z', 'm', 'm', '3', '1', 0,
-  /* 196 */ 'k', '1', 0,
-  /* 199 */ 'x', 'm', 'm', '1', 0,
-  /* 204 */ 'y', 'm', 'm', '1', 0,
-  /* 209 */ 'z', 'm', 'm', '1', 0,
-  /* 214 */ 'f', 'p', '1', 0,
-  /* 218 */ 'c', 'r', '1', 0,
-  /* 222 */ 'd', 'r', '1', 0,
-  /* 226 */ 'x', 'm', 'm', '1', '2', 0,
-  /* 232 */ 'y', 'm', 'm', '1', '2', 0,
-  /* 238 */ 'z', 'm', 'm', '1', '2', 0,
-  /* 244 */ 'c', 'r', '1', '2', 0,
-  /* 249 */ 'x', 'm', 'm', '2', '2', 0,
-  /* 255 */ 'y', 'm', 'm', '2', '2', 0,
-  /* 261 */ 'z', 'm', 'm', '2', '2', 0,
-  /* 267 */ 'k', '2', 0,
-  /* 270 */ 'x', 'm', 'm', '2', 0,
-  /* 275 */ 'y', 'm', 'm', '2', 0,
-  /* 280 */ 'z', 'm', 'm', '2', 0,
-  /* 285 */ 'f', 'p', '2', 0,
-  /* 289 */ 'c', 'r', '2', 0,
-  /* 293 */ 'd', 'r', '2', 0,
-  /* 297 */ 'x', 'm', 'm', '1', '3', 0,
-  /* 303 */ 'y', 'm', 'm', '1', '3', 0,
-  /* 309 */ 'z', 'm', 'm', '1', '3', 0,
-  /* 315 */ 'c', 'r', '1', '3', 0,
-  /* 320 */ 'x', 'm', 'm', '2', '3', 0,
-  /* 326 */ 'y', 'm', 'm', '2', '3', 0,
-  /* 332 */ 'z', 'm', 'm', '2', '3', 0,
-  /* 338 */ 'k', '3', 0,
-  /* 341 */ 'x', 'm', 'm', '3', 0,
-  /* 346 */ 'y', 'm', 'm', '3', 0,
-  /* 351 */ 'z', 'm', 'm', '3', 0,
-  /* 356 */ 'f', 'p', '3', 0,
-  /* 360 */ 'c', 'r', '3', 0,
-  /* 364 */ 'd', 'r', '3', 0,
-  /* 368 */ 'x', 'm', 'm', '1', '4', 0,
-  /* 374 */ 'y', 'm', 'm', '1', '4', 0,
-  /* 380 */ 'z', 'm', 'm', '1', '4', 0,
-  /* 386 */ 'c', 'r', '1', '4', 0,
-  /* 391 */ 'x', 'm', 'm', '2', '4', 0,
-  /* 397 */ 'y', 'm', 'm', '2', '4', 0,
-  /* 403 */ 'z', 'm', 'm', '2', '4', 0,
-  /* 409 */ 'k', '4', 0,
-  /* 412 */ 'x', 'm', 'm', '4', 0,
-  /* 417 */ 'y', 'm', 'm', '4', 0,
-  /* 422 */ 'z', 'm', 'm', '4', 0,
-  /* 427 */ 'f', 'p', '4', 0,
-  /* 431 */ 'c', 'r', '4', 0,
-  /* 435 */ 'd', 'r', '4', 0,
-  /* 439 */ 'x', 'm', 'm', '1', '5', 0,
-  /* 445 */ 'y', 'm', 'm', '1', '5', 0,
-  /* 451 */ 'z', 'm', 'm', '1', '5', 0,
-  /* 457 */ 'c', 'r', '1', '5', 0,
-  /* 462 */ 'x', 'm', 'm', '2', '5', 0,
-  /* 468 */ 'y', 'm', 'm', '2', '5', 0,
-  /* 474 */ 'z', 'm', 'm', '2', '5', 0,
-  /* 480 */ 'k', '5', 0,
-  /* 483 */ 'x', 'm', 'm', '5', 0,
-  /* 488 */ 'y', 'm', 'm', '5', 0,
-  /* 493 */ 'z', 'm', 'm', '5', 0,
-  /* 498 */ 'f', 'p', '5', 0,
-  /* 502 */ 'c', 'r', '5', 0,
-  /* 506 */ 'd', 'r', '5', 0,
-  /* 510 */ 'x', 'm', 'm', '1', '6', 0,
-  /* 516 */ 'y', 'm', 'm', '1', '6', 0,
-  /* 522 */ 'z', 'm', 'm', '1', '6', 0,
-  /* 528 */ 'x', 'm', 'm', '2', '6', 0,
-  /* 534 */ 'y', 'm', 'm', '2', '6', 0,
-  /* 540 */ 'z', 'm', 'm', '2', '6', 0,
-  /* 546 */ 'k', '6', 0,
-  /* 549 */ 'x', 'm', 'm', '6', 0,
-  /* 554 */ 'y', 'm', 'm', '6', 0,
-  /* 559 */ 'z', 'm', 'm', '6', 0,
-  /* 564 */ 'f', 'p', '6', 0,
-  /* 568 */ 'c', 'r', '6', 0,
-  /* 572 */ 'd', 'r', '6', 0,
-  /* 576 */ 'x', 'm', 'm', '1', '7', 0,
-  /* 582 */ 'y', 'm', 'm', '1', '7', 0,
-  /* 588 */ 'z', 'm', 'm', '1', '7', 0,
-  /* 594 */ 'x', 'm', 'm', '2', '7', 0,
-  /* 600 */ 'y', 'm', 'm', '2', '7', 0,
-  /* 606 */ 'z', 'm', 'm', '2', '7', 0,
-  /* 612 */ 'k', '7', 0,
-  /* 615 */ 'x', 'm', 'm', '7', 0,
-  /* 620 */ 'y', 'm', 'm', '7', 0,
-  /* 625 */ 'z', 'm', 'm', '7', 0,
-  /* 630 */ 'f', 'p', '7', 0,
-  /* 634 */ 'c', 'r', '7', 0,
-  /* 638 */ 'd', 'r', '7', 0,
-  /* 642 */ 'x', 'm', 'm', '1', '8', 0,
-  /* 648 */ 'y', 'm', 'm', '1', '8', 0,
-  /* 654 */ 'z', 'm', 'm', '1', '8', 0,
-  /* 660 */ 'x', 'm', 'm', '2', '8', 0,
-  /* 666 */ 'y', 'm', 'm', '2', '8', 0,
-  /* 672 */ 'z', 'm', 'm', '2', '8', 0,
-  /* 678 */ 'x', 'm', 'm', '8', 0,
-  /* 683 */ 'y', 'm', 'm', '8', 0,
-  /* 688 */ 'z', 'm', 'm', '8', 0,
-  /* 693 */ 'c', 'r', '8', 0,
-  /* 697 */ 'x', 'm', 'm', '1', '9', 0,
-  /* 703 */ 'y', 'm', 'm', '1', '9', 0,
-  /* 709 */ 'z', 'm', 'm', '1', '9', 0,
-  /* 715 */ 'x', 'm', 'm', '2', '9', 0,
-  /* 721 */ 'y', 'm', 'm', '2', '9', 0,
-  /* 727 */ 'z', 'm', 'm', '2', '9', 0,
-  /* 733 */ 'x', 'm', 'm', '9', 0,
-  /* 738 */ 'y', 'm', 'm', '9', 0,
-  /* 743 */ 'z', 'm', 'm', '9', 0,
-  /* 748 */ 'c', 'r', '9', 0,
-  /* 752 */ 'r', '1', '0', 'b', 0,
-  /* 757 */ 'r', '1', '1', 'b', 0,
-  /* 762 */ 'r', '1', '2', 'b', 0,
-  /* 767 */ 'r', '1', '3', 'b', 0,
-  /* 772 */ 'r', '1', '4', 'b', 0,
-  /* 777 */ 'r', '1', '5', 'b', 0,
-  /* 782 */ 'r', '8', 'b', 0,
-  /* 786 */ 'r', '9', 'b', 0,
-  /* 790 */ 'r', '1', '0', 'd', 0,
-  /* 795 */ 'r', '1', '1', 'd', 0,
-  /* 800 */ 'r', '1', '2', 'd', 0,
-  /* 805 */ 'r', '1', '3', 'd', 0,
-  /* 810 */ 'r', '1', '4', 'd', 0,
-  /* 815 */ 'r', '1', '5', 'd', 0,
-  /* 820 */ 'r', '8', 'd', 0,
-  /* 824 */ 'r', '9', 'd', 0,
-  /* 828 */ 'a', 'h', 0,
-  /* 831 */ 'b', 'h', 0,
-  /* 834 */ 'c', 'h', 0,
-  /* 837 */ 'd', 'h', 0,
-  /* 840 */ 'e', 'd', 'i', 0,
-  /* 844 */ 'r', 'd', 'i', 0,
-  /* 848 */ 'e', 's', 'i', 0,
-  /* 852 */ 'r', 's', 'i', 0,
-  /* 856 */ 'a', 'l', 0,
-  /* 859 */ 'b', 'l', 0,
-  /* 862 */ 'c', 'l', 0,
-  /* 865 */ 'd', 'l', 0,
-  /* 868 */ 'd', 'i', 'l', 0,
-  /* 872 */ 's', 'i', 'l', 0,
-  /* 876 */ 'b', 'p', 'l', 0,
-  /* 880 */ 's', 'p', 'l', 0,
-  /* 884 */ 'e', 'b', 'p', 0,
-  /* 888 */ 'r', 'b', 'p', 0,
-  /* 892 */ 'e', 'i', 'p', 0,
-  /* 896 */ 'r', 'i', 'p', 0,
-  /* 900 */ 'e', 's', 'p', 0,
-  /* 904 */ 'r', 's', 'p', 0,
-  /* 908 */ 'c', 's', 0,
-  /* 911 */ 'd', 's', 0,
-  /* 914 */ 'e', 's', 0,
-  /* 917 */ 'f', 's', 0,
-  /* 920 */ 'f', 'l', 'a', 'g', 's', 0,
-  /* 926 */ 's', 's', 0,
-  /* 929 */ 'r', '1', '0', 'w', 0,
-  /* 934 */ 'r', '1', '1', 'w', 0,
-  /* 939 */ 'r', '1', '2', 'w', 0,
-  /* 944 */ 'r', '1', '3', 'w', 0,
-  /* 949 */ 'r', '1', '4', 'w', 0,
-  /* 954 */ 'r', '1', '5', 'w', 0,
-  /* 959 */ 'r', '8', 'w', 0,
-  /* 963 */ 'r', '9', 'w', 0,
-  /* 967 */ 'f', 'p', 's', 'w', 0,
-  /* 972 */ 'e', 'a', 'x', 0,
-  /* 976 */ 'r', 'a', 'x', 0,
-  /* 980 */ 'e', 'b', 'x', 0,
-  /* 984 */ 'r', 'b', 'x', 0,
-  /* 988 */ 'e', 'c', 'x', 0,
-  /* 992 */ 'r', 'c', 'x', 0,
-  /* 996 */ 'e', 'd', 'x', 0,
-  /* 1000 */ 'r', 'd', 'x', 0,
-  /* 1004 */ 'e', 'i', 'z', 0,
-  /* 1008 */ 'r', 'i', 'z', 0,
+  /* 71 */ 'd', 'r', '1', '0', 0,
+  /* 76 */ 'x', 'm', 'm', '2', '0', 0,
+  /* 82 */ 'y', 'm', 'm', '2', '0', 0,
+  /* 88 */ 'z', 'm', 'm', '2', '0', 0,
+  /* 94 */ 'x', 'm', 'm', '3', '0', 0,
+  /* 100 */ 'y', 'm', 'm', '3', '0', 0,
+  /* 106 */ 'z', 'm', 'm', '3', '0', 0,
+  /* 112 */ 'k', '0', 0,
+  /* 115 */ 'x', 'm', 'm', '0', 0,
+  /* 120 */ 'y', 'm', 'm', '0', 0,
+  /* 125 */ 'z', 'm', 'm', '0', 0,
+  /* 130 */ 'f', 'p', '0', 0,
+  /* 134 */ 'c', 'r', '0', 0,
+  /* 138 */ 'd', 'r', '0', 0,
+  /* 142 */ 'x', 'm', 'm', '1', '1', 0,
+  /* 148 */ 'y', 'm', 'm', '1', '1', 0,
+  /* 154 */ 'z', 'm', 'm', '1', '1', 0,
+  /* 160 */ 'c', 'r', '1', '1', 0,
+  /* 165 */ 'd', 'r', '1', '1', 0,
+  /* 170 */ 'x', 'm', 'm', '2', '1', 0,
+  /* 176 */ 'y', 'm', 'm', '2', '1', 0,
+  /* 182 */ 'z', 'm', 'm', '2', '1', 0,
+  /* 188 */ 'x', 'm', 'm', '3', '1', 0,
+  /* 194 */ 'y', 'm', 'm', '3', '1', 0,
+  /* 200 */ 'z', 'm', 'm', '3', '1', 0,
+  /* 206 */ 'k', '1', 0,
+  /* 209 */ 'x', 'm', 'm', '1', 0,
+  /* 214 */ 'y', 'm', 'm', '1', 0,
+  /* 219 */ 'z', 'm', 'm', '1', 0,
+  /* 224 */ 'f', 'p', '1', 0,
+  /* 228 */ 'c', 'r', '1', 0,
+  /* 232 */ 'd', 'r', '1', 0,
+  /* 236 */ 'x', 'm', 'm', '1', '2', 0,
+  /* 242 */ 'y', 'm', 'm', '1', '2', 0,
+  /* 248 */ 'z', 'm', 'm', '1', '2', 0,
+  /* 254 */ 'c', 'r', '1', '2', 0,
+  /* 259 */ 'd', 'r', '1', '2', 0,
+  /* 264 */ 'x', 'm', 'm', '2', '2', 0,
+  /* 270 */ 'y', 'm', 'm', '2', '2', 0,
+  /* 276 */ 'z', 'm', 'm', '2', '2', 0,
+  /* 282 */ 'k', '2', 0,
+  /* 285 */ 'x', 'm', 'm', '2', 0,
+  /* 290 */ 'y', 'm', 'm', '2', 0,
+  /* 295 */ 'z', 'm', 'm', '2', 0,
+  /* 300 */ 'f', 'p', '2', 0,
+  /* 304 */ 'c', 'r', '2', 0,
+  /* 308 */ 'd', 'r', '2', 0,
+  /* 312 */ 'x', 'm', 'm', '1', '3', 0,
+  /* 318 */ 'y', 'm', 'm', '1', '3', 0,
+  /* 324 */ 'z', 'm', 'm', '1', '3', 0,
+  /* 330 */ 'c', 'r', '1', '3', 0,
+  /* 335 */ 'd', 'r', '1', '3', 0,
+  /* 340 */ 'x', 'm', 'm', '2', '3', 0,
+  /* 346 */ 'y', 'm', 'm', '2', '3', 0,
+  /* 352 */ 'z', 'm', 'm', '2', '3', 0,
+  /* 358 */ 'k', '3', 0,
+  /* 361 */ 'x', 'm', 'm', '3', 0,
+  /* 366 */ 'y', 'm', 'm', '3', 0,
+  /* 371 */ 'z', 'm', 'm', '3', 0,
+  /* 376 */ 'f', 'p', '3', 0,
+  /* 380 */ 'c', 'r', '3', 0,
+  /* 384 */ 'd', 'r', '3', 0,
+  /* 388 */ 'x', 'm', 'm', '1', '4', 0,
+  /* 394 */ 'y', 'm', 'm', '1', '4', 0,
+  /* 400 */ 'z', 'm', 'm', '1', '4', 0,
+  /* 406 */ 'c', 'r', '1', '4', 0,
+  /* 411 */ 'd', 'r', '1', '4', 0,
+  /* 416 */ 'x', 'm', 'm', '2', '4', 0,
+  /* 422 */ 'y', 'm', 'm', '2', '4', 0,
+  /* 428 */ 'z', 'm', 'm', '2', '4', 0,
+  /* 434 */ 'k', '4', 0,
+  /* 437 */ 'x', 'm', 'm', '4', 0,
+  /* 442 */ 'y', 'm', 'm', '4', 0,
+  /* 447 */ 'z', 'm', 'm', '4', 0,
+  /* 452 */ 'f', 'p', '4', 0,
+  /* 456 */ 'c', 'r', '4', 0,
+  /* 460 */ 'd', 'r', '4', 0,
+  /* 464 */ 'x', 'm', 'm', '1', '5', 0,
+  /* 470 */ 'y', 'm', 'm', '1', '5', 0,
+  /* 476 */ 'z', 'm', 'm', '1', '5', 0,
+  /* 482 */ 'c', 'r', '1', '5', 0,
+  /* 487 */ 'd', 'r', '1', '5', 0,
+  /* 492 */ 'x', 'm', 'm', '2', '5', 0,
+  /* 498 */ 'y', 'm', 'm', '2', '5', 0,
+  /* 504 */ 'z', 'm', 'm', '2', '5', 0,
+  /* 510 */ 'k', '5', 0,
+  /* 513 */ 'x', 'm', 'm', '5', 0,
+  /* 518 */ 'y', 'm', 'm', '5', 0,
+  /* 523 */ 'z', 'm', 'm', '5', 0,
+  /* 528 */ 'f', 'p', '5', 0,
+  /* 532 */ 'c', 'r', '5', 0,
+  /* 536 */ 'd', 'r', '5', 0,
+  /* 540 */ 'x', 'm', 'm', '1', '6', 0,
+  /* 546 */ 'y', 'm', 'm', '1', '6', 0,
+  /* 552 */ 'z', 'm', 'm', '1', '6', 0,
+  /* 558 */ 'x', 'm', 'm', '2', '6', 0,
+  /* 564 */ 'y', 'm', 'm', '2', '6', 0,
+  /* 570 */ 'z', 'm', 'm', '2', '6', 0,
+  /* 576 */ 'k', '6', 0,
+  /* 579 */ 'x', 'm', 'm', '6', 0,
+  /* 584 */ 'y', 'm', 'm', '6', 0,
+  /* 589 */ 'z', 'm', 'm', '6', 0,
+  /* 594 */ 'f', 'p', '6', 0,
+  /* 598 */ 'c', 'r', '6', 0,
+  /* 602 */ 'd', 'r', '6', 0,
+  /* 606 */ 'x', 'm', 'm', '1', '7', 0,
+  /* 612 */ 'y', 'm', 'm', '1', '7', 0,
+  /* 618 */ 'z', 'm', 'm', '1', '7', 0,
+  /* 624 */ 'x', 'm', 'm', '2', '7', 0,
+  /* 630 */ 'y', 'm', 'm', '2', '7', 0,
+  /* 636 */ 'z', 'm', 'm', '2', '7', 0,
+  /* 642 */ 'k', '7', 0,
+  /* 645 */ 'x', 'm', 'm', '7', 0,
+  /* 650 */ 'y', 'm', 'm', '7', 0,
+  /* 655 */ 'z', 'm', 'm', '7', 0,
+  /* 660 */ 'f', 'p', '7', 0,
+  /* 664 */ 'c', 'r', '7', 0,
+  /* 668 */ 'd', 'r', '7', 0,
+  /* 672 */ 'x', 'm', 'm', '1', '8', 0,
+  /* 678 */ 'y', 'm', 'm', '1', '8', 0,
+  /* 684 */ 'z', 'm', 'm', '1', '8', 0,
+  /* 690 */ 'x', 'm', 'm', '2', '8', 0,
+  /* 696 */ 'y', 'm', 'm', '2', '8', 0,
+  /* 702 */ 'z', 'm', 'm', '2', '8', 0,
+  /* 708 */ 'x', 'm', 'm', '8', 0,
+  /* 713 */ 'y', 'm', 'm', '8', 0,
+  /* 718 */ 'z', 'm', 'm', '8', 0,
+  /* 723 */ 'c', 'r', '8', 0,
+  /* 727 */ 'd', 'r', '8', 0,
+  /* 731 */ 'x', 'm', 'm', '1', '9', 0,
+  /* 737 */ 'y', 'm', 'm', '1', '9', 0,
+  /* 743 */ 'z', 'm', 'm', '1', '9', 0,
+  /* 749 */ 'x', 'm', 'm', '2', '9', 0,
+  /* 755 */ 'y', 'm', 'm', '2', '9', 0,
+  /* 761 */ 'z', 'm', 'm', '2', '9', 0,
+  /* 767 */ 'x', 'm', 'm', '9', 0,
+  /* 772 */ 'y', 'm', 'm', '9', 0,
+  /* 777 */ 'z', 'm', 'm', '9', 0,
+  /* 782 */ 'c', 'r', '9', 0,
+  /* 786 */ 'd', 'r', '9', 0,
+  /* 790 */ 'r', '1', '0', 'b', 0,
+  /* 795 */ 'r', '1', '1', 'b', 0,
+  /* 800 */ 'r', '1', '2', 'b', 0,
+  /* 805 */ 'r', '1', '3', 'b', 0,
+  /* 810 */ 'r', '1', '4', 'b', 0,
+  /* 815 */ 'r', '1', '5', 'b', 0,
+  /* 820 */ 'r', '8', 'b', 0,
+  /* 824 */ 'r', '9', 'b', 0,
+  /* 828 */ 'r', '1', '0', 'd', 0,
+  /* 833 */ 'r', '1', '1', 'd', 0,
+  /* 838 */ 'r', '1', '2', 'd', 0,
+  /* 843 */ 'r', '1', '3', 'd', 0,
+  /* 848 */ 'r', '1', '4', 'd', 0,
+  /* 853 */ 'r', '1', '5', 'd', 0,
+  /* 858 */ 'r', '8', 'd', 0,
+  /* 862 */ 'r', '9', 'd', 0,
+  /* 866 */ 'a', 'h', 0,
+  /* 869 */ 'b', 'h', 0,
+  /* 872 */ 'c', 'h', 0,
+  /* 875 */ 'd', 'h', 0,
+  /* 878 */ 'e', 'd', 'i', 0,
+  /* 882 */ 'r', 'd', 'i', 0,
+  /* 886 */ 'e', 's', 'i', 0,
+  /* 890 */ 'r', 's', 'i', 0,
+  /* 894 */ 'a', 'l', 0,
+  /* 897 */ 'b', 'l', 0,
+  /* 900 */ 'c', 'l', 0,
+  /* 903 */ 'd', 'l', 0,
+  /* 906 */ 'd', 'i', 'l', 0,
+  /* 910 */ 's', 'i', 'l', 0,
+  /* 914 */ 'b', 'p', 'l', 0,
+  /* 918 */ 's', 'p', 'l', 0,
+  /* 922 */ 'e', 'b', 'p', 0,
+  /* 926 */ 'r', 'b', 'p', 0,
+  /* 930 */ 'e', 'i', 'p', 0,
+  /* 934 */ 'r', 'i', 'p', 0,
+  /* 938 */ 'e', 's', 'p', 0,
+  /* 942 */ 'r', 's', 'p', 0,
+  /* 946 */ 'c', 's', 0,
+  /* 949 */ 'd', 's', 0,
+  /* 952 */ 'e', 's', 0,
+  /* 955 */ 'f', 's', 0,
+  /* 958 */ 'f', 'l', 'a', 'g', 's', 0,
+  /* 964 */ 's', 's', 0,
+  /* 967 */ 'r', '1', '0', 'w', 0,
+  /* 972 */ 'r', '1', '1', 'w', 0,
+  /* 977 */ 'r', '1', '2', 'w', 0,
+  /* 982 */ 'r', '1', '3', 'w', 0,
+  /* 987 */ 'r', '1', '4', 'w', 0,
+  /* 992 */ 'r', '1', '5', 'w', 0,
+  /* 997 */ 'r', '8', 'w', 0,
+  /* 1001 */ 'r', '9', 'w', 0,
+  /* 1005 */ 'f', 'p', 's', 'w', 0,
+  /* 1010 */ 'e', 'a', 'x', 0,
+  /* 1014 */ 'r', 'a', 'x', 0,
+  /* 1018 */ 'e', 'b', 'x', 0,
+  /* 1022 */ 'r', 'b', 'x', 0,
+  /* 1026 */ 'e', 'c', 'x', 0,
+  /* 1030 */ 'r', 'c', 'x', 0,
+  /* 1034 */ 'e', 'd', 'x', 0,
+  /* 1038 */ 'r', 'd', 'x', 0,
+  /* 1042 */ 'e', 'i', 'z', 0,
+  /* 1046 */ 'r', 'i', 'z', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    828, 856, 973, 831, 859, 885, 876, 981, 834, 862, 908, 989, 837, 841, 
-    868, 865, 911, 997, 972, 884, 980, 988, 840, 996, 920, 892, 1004, 914, 
-    848, 900, 967, 917, 923, 893, 976, 888, 984, 992, 844, 1000, 896, 1008, 
-    852, 904, 849, 872, 901, 880, 926, 129, 218, 289, 360, 431, 502, 568, 
-    634, 693, 748, 66, 155, 244, 315, 386, 457, 133, 222, 293, 364, 435, 
-    506, 572, 638, 125, 214, 285, 356, 427, 498, 564, 630, 107, 196, 267, 
-    338, 409, 480, 546, 612, 111, 200, 271, 342, 413, 484, 550, 616, 694, 
-    749, 67, 156, 245, 316, 387, 458, 0, 6, 12, 18, 24, 30, 36, 
-    42, 110, 199, 270, 341, 412, 483, 549, 615, 678, 733, 48, 137, 226, 
-    297, 368, 439, 510, 576, 642, 697, 71, 160, 249, 320, 391, 462, 528, 
-    594, 660, 715, 89, 178, 115, 204, 275, 346, 417, 488, 554, 620, 683, 
-    738, 54, 143, 232, 303, 374, 445, 516, 582, 648, 703, 77, 166, 255, 
-    326, 397, 468, 534, 600, 666, 721, 95, 184, 120, 209, 280, 351, 422, 
-    493, 559, 625, 688, 743, 60, 149, 238, 309, 380, 451, 522, 588, 654, 
-    709, 83, 172, 261, 332, 403, 474, 540, 606, 672, 727, 101, 190, 782, 
-    786, 752, 757, 762, 767, 772, 777, 820, 824, 790, 795, 800, 805, 810, 
-    815, 959, 963, 929, 934, 939, 944, 949, 954, 
+  static const uint16_t RegAsmOffset[] = {
+    866, 894, 1011, 869, 897, 923, 914, 1019, 872, 900, 946, 1027, 875, 879, 
+    906, 903, 949, 1035, 1010, 922, 1018, 1026, 878, 1034, 958, 930, 1042, 952, 
+    886, 938, 1005, 955, 961, 931, 1014, 926, 1022, 1030, 882, 1038, 934, 1046, 
+    890, 942, 887, 910, 939, 918, 964, 134, 228, 304, 380, 456, 532, 598, 
+    664, 723, 782, 66, 160, 254, 330, 406, 482, 138, 232, 308, 384, 460, 
+    536, 602, 668, 727, 786, 71, 165, 259, 335, 411, 487, 130, 224, 300, 
+    376, 452, 528, 594, 660, 112, 206, 282, 358, 434, 510, 576, 642, 116, 
+    210, 286, 362, 438, 514, 580, 646, 724, 783, 67, 161, 255, 331, 407, 
+    483, 0, 6, 12, 18, 24, 30, 36, 42, 115, 209, 285, 361, 437, 
+    513, 579, 645, 708, 767, 48, 142, 236, 312, 388, 464, 540, 606, 672, 
+    731, 76, 170, 264, 340, 416, 492, 558, 624, 690, 749, 94, 188, 120, 
+    214, 290, 366, 442, 518, 584, 650, 713, 772, 54, 148, 242, 318, 394, 
+    470, 546, 612, 678, 737, 82, 176, 270, 346, 422, 498, 564, 630, 696, 
+    755, 100, 194, 125, 219, 295, 371, 447, 523, 589, 655, 718, 777, 60, 
+    154, 248, 324, 400, 476, 552, 618, 684, 743, 88, 182, 276, 352, 428, 
+    504, 570, 636, 702, 761, 106, 200, 820, 824, 790, 795, 800, 805, 810, 
+    815, 858, 862, 828, 833, 838, 843, 848, 853, 997, 1001, 967, 972, 977, 
+    982, 987, 992, 
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter_reduce.inc 4.0.2-3/arch/X86/X86GenAsmWriter_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenAsmWriter_reduce.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenAsmWriter_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 /// printInstruction - This method is automatically generated by tablegen
 /// from the instruction set description.
@@ -25,2345 +25,2401 @@ static void printInstruction(MCInst *MI,
     0U,	// IMPLICIT_DEF
     0U,	// SUBREG_TO_REG
     0U,	// COPY_TO_REGCLASS
-    4533U,	// DBG_VALUE
+    4714U,	// DBG_VALUE
     0U,	// REG_SEQUENCE
     0U,	// COPY
-    4526U,	// BUNDLE
-    4589U,	// LIFETIME_START
-    4513U,	// LIFETIME_END
+    4707U,	// BUNDLE
+    4770U,	// LIFETIME_START
+    4694U,	// LIFETIME_END
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
-    4604U,	// AAA
-    8459U,	// AAD8i8
-    9418U,	// AAM8i8
-    5175U,	// AAS
-    4217U,	// ACQUIRE_MOV16rm
-    4217U,	// ACQUIRE_MOV32rm
-    4217U,	// ACQUIRE_MOV64rm
-    4217U,	// ACQUIRE_MOV8rm
-    534694U,	// ADC16i16
-    1067174U,	// ADC16mi
-    1067174U,	// ADC16mi8
-    1067174U,	// ADC16mr
-    1599654U,	// ADC16ri
-    1599654U,	// ADC16ri8
-    1607846U,	// ADC16rm
-    1599654U,	// ADC16rr
-    2123942U,	// ADC16rr_REV
-    2630119U,	// ADC32i32
-    3162599U,	// ADC32mi
-    3162599U,	// ADC32mi8
-    3162599U,	// ADC32mr
-    1597927U,	// ADC32ri
-    1597927U,	// ADC32ri8
-    1614311U,	// ADC32rm
-    1597927U,	// ADC32rr
-    2122215U,	// ADC32rr_REV
-    3679572U,	// ADC64i32
-    4212052U,	// ADC64mi32
-    4212052U,	// ADC64mi8
-    4212052U,	// ADC64mr
-    1598804U,	// ADC64ri32
-    1598804U,	// ADC64ri8
-    1623380U,	// ADC64rm
-    1598804U,	// ADC64rr
-    2123092U,	// ADC64rr_REV
-    4726830U,	// ADC8i8
-    5259310U,	// ADC8mi
-    5259310U,	// ADC8mr
-    1597486U,	// ADC8ri
-    57390U,	// ADC8rm
-    1597486U,	// ADC8rr
-    2121774U,	// ADC8rr_REV
-    2139289U,	// ADCX32rm
-    2122905U,	// ADCX32rr
-    2148322U,	// ADCX64rm
-    2123746U,	// ADCX64rr
-    534719U,	// ADD16i16
-    1067199U,	// ADD16mi
-    1067199U,	// ADD16mi8
-    1067199U,	// ADD16mr
-    1599679U,	// ADD16ri
-    1599679U,	// ADD16ri8
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
+    4785U,	// AAA
+    8535U,	// AAD8i8
+    9494U,	// AAM8i8
+    5356U,	// AAS
+    4385U,	// ACQUIRE_MOV16rm
+    4385U,	// ACQUIRE_MOV32rm
+    4385U,	// ACQUIRE_MOV64rm
+    4385U,	// ACQUIRE_MOV8rm
+    534777U,	// ADC16i16
+    1067257U,	// ADC16mi
+    1067257U,	// ADC16mi8
+    1067257U,	// ADC16mr
+    1599737U,	// ADC16ri
+    1599737U,	// ADC16ri8
+    1607929U,	// ADC16rm
+    1599737U,	// ADC16rr
+    2124025U,	// ADC16rr_REV
+    2630195U,	// ADC32i32
+    3162675U,	// ADC32mi
+    3162675U,	// ADC32mi8
+    3162675U,	// ADC32mr
+    1598003U,	// ADC32ri
+    1598003U,	// ADC32ri8
+    1614387U,	// ADC32rm
+    1598003U,	// ADC32rr
+    2122291U,	// ADC32rr_REV
+    3679654U,	// ADC64i32
+    4212134U,	// ADC64mi32
+    4212134U,	// ADC64mi8
+    4212134U,	// ADC64mr
+    1598886U,	// ADC64ri32
+    1598886U,	// ADC64ri8
+    1623462U,	// ADC64rm
+    1598886U,	// ADC64rr
+    2123174U,	// ADC64rr_REV
+    4726892U,	// ADC8i8
+    5259372U,	// ADC8mi
+    5259372U,	// ADC8mi8
+    5259372U,	// ADC8mr
+    1597548U,	// ADC8ri
+    1597548U,	// ADC8ri8
+    57452U,	// ADC8rm
+    1597548U,	// ADC8rr
+    2121836U,	// ADC8rr_REV
+    2139365U,	// ADCX32rm
+    2122981U,	// ADCX32rr
+    2148376U,	// ADCX64rm
+    2123800U,	// ADCX64rr
+    534802U,	// ADD16i16
+    1067282U,	// ADD16mi
+    1067282U,	// ADD16mi8
+    1067282U,	// ADD16mr
+    1599762U,	// ADD16ri
+    1599762U,	// ADD16ri8
     0U,	// ADD16ri8_DB
     0U,	// ADD16ri_DB
-    1607871U,	// ADD16rm
-    1599679U,	// ADD16rr
+    1607954U,	// ADD16rm
+    1599762U,	// ADD16rr
     0U,	// ADD16rr_DB
-    2123967U,	// ADD16rr_REV
-    2630153U,	// ADD32i32
-    3162633U,	// ADD32mi
-    3162633U,	// ADD32mi8
-    3162633U,	// ADD32mr
-    1597961U,	// ADD32ri
-    1597961U,	// ADD32ri8
+    2124050U,	// ADD16rr_REV
+    2630229U,	// ADD32i32
+    3162709U,	// ADD32mi
+    3162709U,	// ADD32mi8
+    3162709U,	// ADD32mr
+    1598037U,	// ADD32ri
+    1598037U,	// ADD32ri8
     0U,	// ADD32ri8_DB
     0U,	// ADD32ri_DB
-    1614345U,	// ADD32rm
-    1597961U,	// ADD32rr
+    1614421U,	// ADD32rm
+    1598037U,	// ADD32rr
     0U,	// ADD32rr_DB
-    2122249U,	// ADD32rr_REV
-    3679606U,	// ADD64i32
-    4212086U,	// ADD64mi32
-    4212086U,	// ADD64mi8
-    4212086U,	// ADD64mr
-    1598838U,	// ADD64ri32
+    2122325U,	// ADD32rr_REV
+    3679688U,	// ADD64i32
+    4212168U,	// ADD64mi32
+    4212168U,	// ADD64mi8
+    4212168U,	// ADD64mr
+    1598920U,	// ADD64ri32
     0U,	// ADD64ri32_DB
-    1598838U,	// ADD64ri8
+    1598920U,	// ADD64ri8
     0U,	// ADD64ri8_DB
-    1623414U,	// ADD64rm
-    1598838U,	// ADD64rr
+    1623496U,	// ADD64rm
+    1598920U,	// ADD64rr
     0U,	// ADD64rr_DB
-    2123126U,	// ADD64rr_REV
-    4726849U,	// ADD8i8
-    5259329U,	// ADD8mi
-    5259329U,	// ADD8mr
-    1597505U,	// ADD8ri
-    1597505U,	// ADD8ri8
-    57409U,	// ADD8rm
-    1597505U,	// ADD8rr
-    2121793U,	// ADD8rr_REV
-    4543U,	// ADJCALLSTACKDOWN32
-    4543U,	// ADJCALLSTACKDOWN64
-    4561U,	// ADJCALLSTACKUP32
-    4561U,	// ADJCALLSTACKUP64
-    66734U,	// ADOX32rm
-    22619310U,	// ADOX32rr
-    83959U,	// ADOX64rm
-    22620151U,	// ADOX64rr
-    534744U,	// AND16i16
-    1067224U,	// AND16mi
-    1067224U,	// AND16mi8
-    1067224U,	// AND16mr
-    1599704U,	// AND16ri
-    1599704U,	// AND16ri8
-    1607896U,	// AND16rm
-    1599704U,	// AND16rr
-    2123992U,	// AND16rr_REV
-    2630178U,	// AND32i32
-    3162658U,	// AND32mi
-    3162658U,	// AND32mi8
-    3162658U,	// AND32mr
-    1597986U,	// AND32ri
-    1597986U,	// AND32ri8
-    1614370U,	// AND32rm
-    1597986U,	// AND32rr
-    2122274U,	// AND32rr_REV
-    3679631U,	// AND64i32
-    4212111U,	// AND64mi32
-    4212111U,	// AND64mi8
-    4212111U,	// AND64mr
-    1598863U,	// AND64ri32
-    1598863U,	// AND64ri8
-    1623439U,	// AND64rm
-    1598863U,	// AND64rr
-    2123151U,	// AND64rr_REV
-    4726855U,	// AND8i8
-    5259335U,	// AND8mi
-    5259335U,	// AND8mr
-    1597511U,	// AND8ri
-    1597511U,	// AND8ri8
-    57415U,	// AND8rm
-    1597511U,	// AND8rr
-    2121799U,	// AND8rr_REV
-    35169057U,	// ANDN32rm
-    35152673U,	// ANDN32rr
-    35178119U,	// ANDN64rm
-    35153543U,	// ANDN64rr
-    1065839U,	// ARPL16mr
-    22618991U,	// ARPL16rr
-    6382522U,	// BEXTR32rm
-    35152826U,	// BEXTR32rr
-    6907665U,	// BEXTR64rm
-    35153681U,	// BEXTR64rr
-    6383665U,	// BEXTRI32mi
-    35153969U,	// BEXTRI32ri
-    6907953U,	// BEXTRI64mi
-    35153969U,	// BEXTRI64ri
-    66284U,	// BLCFILL32rm
-    22618860U,	// BLCFILL32rr
-    82668U,	// BLCFILL64rm
-    22618860U,	// BLCFILL64rr
-    65952U,	// BLCI32rm
-    22618528U,	// BLCI32rr
-    82336U,	// BLCI64rm
-    22618528U,	// BLCI64rr
-    65781U,	// BLCIC32rm
-    22618357U,	// BLCIC32rr
-    82165U,	// BLCIC64rm
-    22618357U,	// BLCIC64rr
-    65958U,	// BLCMSK32rm
-    22618534U,	// BLCMSK32rr
-    82342U,	// BLCMSK64rm
-    22618534U,	// BLCMSK64rr
-    67640U,	// BLCS32rm
-    22620216U,	// BLCS32rr
-    84024U,	// BLCS64rm
-    22620216U,	// BLCS64rr
-    66293U,	// BLSFILL32rm
-    22618869U,	// BLSFILL32rr
-    82677U,	// BLSFILL64rm
-    22618869U,	// BLSFILL64rr
-    66246U,	// BLSI32rm
-    22618822U,	// BLSI32rr
-    83515U,	// BLSI64rm
-    22619707U,	// BLSI64rr
-    65788U,	// BLSIC32rm
-    22618364U,	// BLSIC32rr
-    82172U,	// BLSIC64rm
-    22618364U,	// BLSIC64rr
-    66257U,	// BLSMSK32rm
-    22618833U,	// BLSMSK32rr
-    83522U,	// BLSMSK64rm
-    22619714U,	// BLSMSK64rr
-    66471U,	// BLSR32rm
-    22619047U,	// BLSR32rr
-    83710U,	// BLSR64rm
-    22619902U,	// BLSR64rr
-    65835U,	// BOUNDS16rm
-    82219U,	// BOUNDS32rm
-    100634U,	// BSF16rm
-    22620442U,	// BSF16rr
-    66202U,	// BSF32rm
-    22618778U,	// BSF32rr
-    83471U,	// BSF64rm
-    22619663U,	// BSF64rr
-    100830U,	// BSR16rm
-    22620638U,	// BSR16rr
-    66465U,	// BSR32rm
-    22619041U,	// BSR32rr
-    83704U,	// BSR64rm
-    22619896U,	// BSR64rr
-    9022U,	// BSWAP32r
-    9887U,	// BSWAP64r
-    1067600U,	// BT16mi8
-    1067600U,	// BT16mr
-    22620752U,	// BT16ri8
-    22620752U,	// BT16rr
-    3163164U,	// BT32mi8
-    3163164U,	// BT32mr
-    22619164U,	// BT32ri8
-    22619164U,	// BT32rr
-    4212576U,	// BT64mi8
-    4212576U,	// BT64mr
-    22620000U,	// BT64ri8
-    22620000U,	// BT64rr
-    1067192U,	// BTC16mi8
-    1067192U,	// BTC16mr
-    22620344U,	// BTC16ri8
-    22620344U,	// BTC16rr
-    3162617U,	// BTC32mi8
-    3162617U,	// BTC32mr
-    22618617U,	// BTC32ri8
-    22618617U,	// BTC32rr
-    4212070U,	// BTC64mi8
-    4212070U,	// BTC64mr
-    22619494U,	// BTC64ri8
-    22619494U,	// BTC64rr
-    1067492U,	// BTR16mi8
-    1067492U,	// BTR16mr
-    22620644U,	// BTR16ri8
-    22620644U,	// BTR16rr
-    3163054U,	// BTR32mi8
-    3163054U,	// BTR32mr
-    22619054U,	// BTR32ri8
-    22619054U,	// BTR32rr
-    4212485U,	// BTR64mi8
-    4212485U,	// BTR64mr
-    22619909U,	// BTR64ri8
-    22619909U,	// BTR64rr
-    1067579U,	// BTS16mi8
-    1067579U,	// BTS16mr
-    22620731U,	// BTS16ri8
-    22620731U,	// BTS16rr
-    3163143U,	// BTS32mi8
-    3163143U,	// BTS32mr
-    22619143U,	// BTS32ri8
-    22619143U,	// BTS32rr
-    4212562U,	// BTS64mi8
-    4212562U,	// BTS64mr
-    22619986U,	// BTS64ri8
-    22619986U,	// BTS64rr
-    6382271U,	// BZHI32rm
-    35152575U,	// BZHI32rr
-    6907444U,	// BZHI64rm
-    35153460U,	// BZHI64rr
-    110790U,	// CALL16m
-    12486U,	// CALL16r
-    118948U,	// CALL32m
-    12452U,	// CALL32r
-    127157U,	// CALL64m
-    132701U,	// CALL64pcrel32
-    12469U,	// CALL64r
-    133458U,	// CALLpcrel16
-    131839U,	// CALLpcrel32
-    5552U,	// CBW
-    4746U,	// CDQ
-    5139U,	// CDQE
-    4673U,	// CLAC
-    4705U,	// CLC
-    4742U,	// CLD
-    4852U,	// CLGI
-    4862U,	// CLI
-    5483U,	// CLTS
-    4709U,	// CMC
-    2132090U,	// CMOVA16rm
-    2123898U,	// CMOVA16rr
-    2138555U,	// CMOVA32rm
-    2122171U,	// CMOVA32rr
-    2147624U,	// CMOVA64rm
-    2123048U,	// CMOVA64rr
-    2132197U,	// CMOVAE16rm
-    2124005U,	// CMOVAE16rr
-    2138671U,	// CMOVAE32rm
-    2122287U,	// CMOVAE32rr
-    2147740U,	// CMOVAE64rm
-    2123164U,	// CMOVAE64rr
-    2132118U,	// CMOVB16rm
-    2123926U,	// CMOVB16rr
-    2138583U,	// CMOVB32rm
-    2122199U,	// CMOVB32rr
-    2147652U,	// CMOVB64rm
-    2123076U,	// CMOVB64rr
-    2132206U,	// CMOVBE16rm
-    2124014U,	// CMOVBE16rr
-    2138680U,	// CMOVBE32rm
-    2122296U,	// CMOVBE32rr
-    2147749U,	// CMOVBE64rm
-    2123173U,	// CMOVBE64rr
-    2132242U,	// CMOVE16rm
-    2124050U,	// CMOVE16rr
-    2138770U,	// CMOVE32rm
-    2122386U,	// CMOVE32rr
-    2147847U,	// CMOVE64rm
-    2123271U,	// CMOVE64rr
-    2132272U,	// CMOVG16rm
-    2124080U,	// CMOVG16rr
-    2138800U,	// CMOVG32rm
-    2122416U,	// CMOVG32rr
-    2147877U,	// CMOVG64rm
-    2123301U,	// CMOVG64rr
-    2132215U,	// CMOVGE16rm
-    2124023U,	// CMOVGE16rr
-    2138689U,	// CMOVGE32rm
-    2122305U,	// CMOVGE32rr
-    2147758U,	// CMOVGE64rm
-    2123182U,	// CMOVGE64rr
-    2132332U,	// CMOVL16rm
-    2124140U,	// CMOVL16rr
-    2138905U,	// CMOVL32rm
-    2122521U,	// CMOVL32rr
-    2147967U,	// CMOVL64rm
-    2123391U,	// CMOVL64rr
-    2132224U,	// CMOVLE16rm
-    2124032U,	// CMOVLE16rr
-    2138698U,	// CMOVLE32rm
-    2122314U,	// CMOVLE32rr
-    2147767U,	// CMOVLE64rm
-    2123191U,	// CMOVLE64rr
-    2132233U,	// CMOVNE16rm
-    2124041U,	// CMOVNE16rr
-    2138707U,	// CMOVNE32rm
-    2122323U,	// CMOVNE32rr
-    2147776U,	// CMOVNE64rm
-    2123200U,	// CMOVNE64rr
-    2132345U,	// CMOVNO16rm
-    2124153U,	// CMOVNO16rr
-    2138925U,	// CMOVNO32rm
-    2122541U,	// CMOVNO32rr
-    2147982U,	// CMOVNO64rm
-    2123406U,	// CMOVNO64rr
-    2132375U,	// CMOVNP16rm
-    2124183U,	// CMOVNP16rr
-    2138970U,	// CMOVNP32rm
-    2122586U,	// CMOVNP32rr
-    2148020U,	// CMOVNP64rm
-    2123444U,	// CMOVNP64rr
-    2132517U,	// CMOVNS16rm
-    2124325U,	// CMOVNS16rr
-    2139121U,	// CMOVNS32rm
-    2122737U,	// CMOVNS32rr
-    2148156U,	// CMOVNS64rm
-    2123580U,	// CMOVNS64rr
-    2132354U,	// CMOVO16rm
-    2124162U,	// CMOVO16rr
-    2138934U,	// CMOVO32rm
-    2122550U,	// CMOVO32rr
-    2147991U,	// CMOVO64rm
-    2123415U,	// CMOVO64rr
-    2132396U,	// CMOVP16rm
-    2124204U,	// CMOVP16rr
-    2138997U,	// CMOVP32rm
-    2122613U,	// CMOVP32rr
-    2148035U,	// CMOVP64rm
-    2123459U,	// CMOVP64rr
-    2132552U,	// CMOVS16rm
-    2124360U,	// CMOVS16rr
-    2139156U,	// CMOVS32rm
-    2122772U,	// CMOVS32rr
-    2148184U,	// CMOVS64rm
-    2123608U,	// CMOVS64rr
-    4021U,	// CMOV_FR32
-    4180U,	// CMOV_FR64
-    3900U,	// CMOV_GR16
-    3880U,	// CMOV_GR32
-    4199U,	// CMOV_GR8
-    4001U,	// CMOV_RFP32
-    4160U,	// CMOV_RFP64
-    3920U,	// CMOV_RFP80
-    3960U,	// CMOV_V16F32
-    4040U,	// CMOV_V2F64
-    4100U,	// CMOV_V2I64
-    3940U,	// CMOV_V4F32
-    4060U,	// CMOV_V4F64
-    4120U,	// CMOV_V4I64
-    3981U,	// CMOV_V8F32
-    4080U,	// CMOV_V8F64
-    4140U,	// CMOV_V8I64
-    534922U,	// CMP16i16
-    1067402U,	// CMP16mi
-    1067402U,	// CMP16mi8
-    1067402U,	// CMP16mr
-    22620554U,	// CMP16ri
-    22620554U,	// CMP16ri8
-    100746U,	// CMP16rm
-    22620554U,	// CMP16rr
-    22620554U,	// CMP16rr_REV
-    2630477U,	// CMP32i32
-    3162957U,	// CMP32mi
-    3162957U,	// CMP32mi8
-    3162957U,	// CMP32mr
-    22618957U,	// CMP32ri
-    22618957U,	// CMP32ri8
-    66381U,	// CMP32rm
-    22618957U,	// CMP32rr
-    22618957U,	// CMP32rr_REV
-    3679918U,	// CMP64i32
-    4212398U,	// CMP64mi32
-    4212398U,	// CMP64mi8
-    4212398U,	// CMP64mr
-    22619822U,	// CMP64ri32
-    22619822U,	// CMP64ri8
-    83630U,	// CMP64rm
-    22619822U,	// CMP64rr
-    22619822U,	// CMP64rr_REV
-    4726917U,	// CMP8i8
-    5259397U,	// CMP8mi
-    5259397U,	// CMP8mr
-    22618245U,	// CMP8ri
-    139397U,	// CMP8rm
-    22618245U,	// CMP8rr
-    22618245U,	// CMP8rr_REV
-    56246464U,	// CMPSB
-    73032698U,	// CMPSL
-    89818949U,	// CMPSQ
-    106605102U,	// CMPSW
-    180235U,	// CMPXCHG16B
-    1067302U,	// CMPXCHG16rm
-    22620454U,	// CMPXCHG16rr
-    3162790U,	// CMPXCHG32rm
-    22618790U,	// CMPXCHG32rr
-    4212251U,	// CMPXCHG64rm
-    22619675U,	// CMPXCHG64rr
-    122903U,	// CMPXCHG8B
-    5259347U,	// CMPXCHG8rm
-    22618195U,	// CMPXCHG8rr
-    4736U,	// CPUID32
-    4736U,	// CPUID64
-    5057U,	// CQO
-    4755U,	// CWD
-    5001U,	// CWDE
-    4608U,	// DAA
-    5179U,	// DAS
-    4498U,	// DATA16_PREFIX
-    108716U,	// DEC16m
-    10412U,	// DEC16r
-    10412U,	// DEC32_16r
-    8685U,	// DEC32_32r
-    115181U,	// DEC32m
-    8685U,	// DEC32r
-    108716U,	// DEC64_16m
-    10412U,	// DEC64_16r
-    115181U,	// DEC64_32m
-    8685U,	// DEC64_32r
-    124250U,	// DEC64m
-    9562U,	// DEC64r
-    188468U,	// DEC8m
-    8244U,	// DEC8r
-    109220U,	// DIV16m
-    10916U,	// DIV16r
-    115830U,	// DIV32m
-    9334U,	// DIV32r
-    124863U,	// DIV64m
-    10175U,	// DIV64r
-    188649U,	// DIV8m
-    8425U,	// DIV8r
-    11935U,	// EH_RETURN
-    11935U,	// EH_RETURN64
-    4321U,	// EH_SjLj_LongJmp32
-    4411U,	// EH_SjLj_LongJmp64
-    4340U,	// EH_SjLj_SetJmp32
-    4430U,	// EH_SjLj_SetJmp64
-    132370U,	// EH_SjLj_Setup
-    123217948U,	// ENTER
-    7416145U,	// FARCALL16i
-    200901U,	// FARCALL16m
-    7414526U,	// FARCALL32i
-    200867U,	// FARCALL32m
-    200884U,	// FARCALL64
-    7416208U,	// FARJMP16i
-    200910U,	// FARJMP16m
-    7414611U,	// FARJMP32i
-    200876U,	// FARJMP32m
-    200893U,	// FARJMP64
-    5014U,	// FSETPM
-    4693U,	// GETSEC
-    5488U,	// HLT
-    109219U,	// IDIV16m
-    10915U,	// IDIV16r
-    115829U,	// IDIV32m
-    9333U,	// IDIV32r
-    124862U,	// IDIV64m
-    10174U,	// IDIV64r
-    188648U,	// IDIV8m
-    8424U,	// IDIV8r
-    108901U,	// IMUL16m
-    10597U,	// IMUL16r
-    2132325U,	// IMUL16rm
-    7956837U,	// IMUL16rmi
-    7956837U,	// IMUL16rmi8
-    2124133U,	// IMUL16rr
-    35154277U,	// IMUL16rri
-    35154277U,	// IMUL16rri8
-    115474U,	// IMUL32m
-    8978U,	// IMUL32r
-    2138898U,	// IMUL32rm
-    6382354U,	// IMUL32rmi
-    6382354U,	// IMUL32rmi8
-    2122514U,	// IMUL32rr
-    35152658U,	// IMUL32rri
-    35152658U,	// IMUL32rri8
-    124536U,	// IMUL64m
-    9848U,	// IMUL64r
-    2147960U,	// IMUL64rm
-    6907512U,	// IMUL64rmi32
-    6907512U,	// IMUL64rmi8
-    2123384U,	// IMUL64rr
-    35153528U,	// IMUL64rri32
-    35153528U,	// IMUL64rri8
-    188537U,	// IMUL8m
-    8313U,	// IMUL8r
-    534900U,	// IN16ri
-    5569U,	// IN16rr
-    2630440U,	// IN32ri
-    5648U,	// IN32rr
-    4726912U,	// IN8ri
-    4890U,	// IN8rr
-    108722U,	// INC16m
-    10418U,	// INC16r
-    10418U,	// INC32_16r
-    8691U,	// INC32_32r
-    115187U,	// INC32m
-    8691U,	// INC32r
-    108722U,	// INC64_16m
-    10418U,	// INC64_16r
-    115187U,	// INC64_32m
-    8691U,	// INC64_32r
-    124256U,	// INC64m
-    9568U,	// INC64r
-    188474U,	// INC8m
-    8250U,	// INC8r
-    151146U,	// INSB
-    159349U,	// INSL
-    175744U,	// INSW
-    10324U,	// INT
-    4316U,	// INT1
-    4406U,	// INT3
-    5052U,	// INTO
-    4762U,	// INVD
-    206937U,	// INVEPT32
-    206937U,	// INVEPT64
-    188818U,	// INVLPG
-    5629U,	// INVLPGA32
-    5697U,	// INVLPGA64
-    205072U,	// INVPCID32
-    205072U,	// INVPCID64
-    205081U,	// INVVPID32
-    205081U,	// INVVPID64
-    5557U,	// IRET16
-    4972U,	// IRET32
-    5110U,	// IRET64
-    4577U,	// Int_MemBarrier
-    131378U,	// JAE_1
-    131378U,	// JAE_2
-    131378U,	// JAE_4
-    131073U,	// JA_1
-    131073U,	// JA_2
-    131073U,	// JA_4
-    131390U,	// JBE_1
-    131390U,	// JBE_2
-    131390U,	// JBE_4
-    131165U,	// JB_1
-    131165U,	// JB_2
-    131165U,	// JB_4
-    133829U,	// JCXZ
-    133822U,	// JECXZ_32
-    133822U,	// JECXZ_64
-    131414U,	// JE_1
-    131414U,	// JE_2
-    131414U,	// JE_4
-    131402U,	// JGE_1
-    131402U,	// JGE_2
-    131402U,	// JGE_4
-    131470U,	// JG_1
-    131470U,	// JG_2
-    131470U,	// JG_4
-    131418U,	// JLE_1
-    131418U,	// JLE_2
-    131418U,	// JLE_4
-    131789U,	// JL_1
-    131789U,	// JL_2
-    131789U,	// JL_4
-    110799U,	// JMP16m
-    12495U,	// JMP16r
-    118957U,	// JMP32m
-    12461U,	// JMP32r
-    127166U,	// JMP64m
-    12478U,	// JMP64r
-    132336U,	// JMP_1
-    132336U,	// JMP_2
-    132336U,	// JMP_4
-    131430U,	// JNE_1
-    131430U,	// JNE_2
-    131430U,	// JNE_4
-    132314U,	// JNO_1
-    132314U,	// JNO_2
-    132314U,	// JNO_4
-    132341U,	// JNP_1
-    132341U,	// JNP_2
-    132341U,	// JNP_4
-    133186U,	// JNS_1
-    133186U,	// JNS_2
-    133186U,	// JNS_4
-    132310U,	// JO_1
-    132310U,	// JO_2
-    132310U,	// JO_4
-    132332U,	// JP_1
-    132332U,	// JP_2
-    132332U,	// JP_4
-    133835U,	// JRCXZ
-    133182U,	// JS_1
-    133182U,	// JS_2
-    133182U,	// JS_4
-    4833U,	// LAHF
-    100788U,	// LAR16rm
-    22620596U,	// LAR16rr
-    99197U,	// LAR32rm
-    22619005U,	// LAR32rr
-    100043U,	// LAR64rm
-    22619851U,	// LAR64rr
-    1067302U,	// LCMPXCHG16
-    180235U,	// LCMPXCHG16B
-    3162790U,	// LCMPXCHG32
-    4212251U,	// LCMPXCHG64
-    5259347U,	// LCMPXCHG8
-    122903U,	// LCMPXCHG8B
-    215558U,	// LDS16rm
-    213970U,	// LDS32rm
-    100468U,	// LEA16r
-    65973U,	// LEA32r
-    65973U,	// LEA64_32r
-    83234U,	// LEA64r
-    4820U,	// LEAVE
-    4820U,	// LEAVE64
-    215571U,	// LES16rm
-    213983U,	// LES32rm
-    215577U,	// LFS16rm
-    213989U,	// LFS32rm
-    214832U,	// LFS64rm
-    199253U,	// LGDT16m
-    197665U,	// LGDT32m
-    198501U,	// LGDT64m
-    215583U,	// LGS16rm
-    213995U,	// LGS32rm
-    214838U,	// LGS64rm
-    199267U,	// LIDT16m
-    197679U,	// LIDT32m
-    198515U,	// LIDT64m
-    109169U,	// LLDT16m
-    10865U,	// LLDT16r
-    109232U,	// LMSW16m
-    10928U,	// LMSW16r
-    1067199U,	// LOCK_ADD16mi
-    1067199U,	// LOCK_ADD16mi8
-    1067199U,	// LOCK_ADD16mr
-    3162633U,	// LOCK_ADD32mi
-    3162633U,	// LOCK_ADD32mi8
-    3162633U,	// LOCK_ADD32mr
-    4212086U,	// LOCK_ADD64mi32
-    4212086U,	// LOCK_ADD64mi8
-    4212086U,	// LOCK_ADD64mr
-    5259329U,	// LOCK_ADD8mi
-    5259329U,	// LOCK_ADD8mr
-    1067224U,	// LOCK_AND16mi
-    1067224U,	// LOCK_AND16mi8
-    1067224U,	// LOCK_AND16mr
-    3162658U,	// LOCK_AND32mi
-    3162658U,	// LOCK_AND32mi8
-    3162658U,	// LOCK_AND32mr
-    4212111U,	// LOCK_AND64mi32
-    4212111U,	// LOCK_AND64mi8
-    4212111U,	// LOCK_AND64mr
-    5259335U,	// LOCK_AND8mi
-    5259335U,	// LOCK_AND8mr
-    108716U,	// LOCK_DEC16m
-    115181U,	// LOCK_DEC32m
-    124250U,	// LOCK_DEC64m
-    188468U,	// LOCK_DEC8m
-    108722U,	// LOCK_INC16m
-    115187U,	// LOCK_INC32m
-    124256U,	// LOCK_INC64m
-    188474U,	// LOCK_INC8m
-    1067475U,	// LOCK_OR16mi
-    1067475U,	// LOCK_OR16mi8
-    1067475U,	// LOCK_OR16mr
-    3163030U,	// LOCK_OR32mi
-    3163030U,	// LOCK_OR32mi8
-    3163030U,	// LOCK_OR32mr
-    4212452U,	// LOCK_OR64mi32
-    4212452U,	// LOCK_OR64mi8
-    4212452U,	// LOCK_OR64mr
-    5259422U,	// LOCK_OR8mi
-    5259422U,	// LOCK_OR8mr
-    4885U,	// LOCK_PREFIX
-    1067152U,	// LOCK_SUB16mi
-    1067152U,	// LOCK_SUB16mi8
-    1067152U,	// LOCK_SUB16mr
-    3162577U,	// LOCK_SUB32mi
-    3162577U,	// LOCK_SUB32mi8
-    3162577U,	// LOCK_SUB32mr
-    4212030U,	// LOCK_SUB64mi32
-    4212030U,	// LOCK_SUB64mi8
-    4212030U,	// LOCK_SUB64mr
-    5259304U,	// LOCK_SUB8mi
-    5259304U,	// LOCK_SUB8mr
-    1067480U,	// LOCK_XOR16mi
-    1067480U,	// LOCK_XOR16mi8
-    1067480U,	// LOCK_XOR16mr
-    3163035U,	// LOCK_XOR32mi
-    3163035U,	// LOCK_XOR32mi8
-    3163035U,	// LOCK_XOR32mr
-    4212466U,	// LOCK_XOR64mi32
-    4212466U,	// LOCK_XOR64mi8
-    4212466U,	// LOCK_XOR64mr
-    5259427U,	// LOCK_XOR8mi
-    5259427U,	// LOCK_XOR8mr
-    4939961U,	// LODSB
-    2851800U,	// LODSL
-    239401U,	// LODSQ
-    772620U,	// LODSW
-    132358U,	// LOOP
-    131450U,	// LOOPE
-    131435U,	// LOOPNE
-    9284U,	// LRETIL
-    10120U,	// LRETIQ
-    10879U,	// LRETIW
-    4978U,	// LRETL
-    5116U,	// LRETQ
-    5563U,	// LRETW
-    100703U,	// LSL16rm
-    22620511U,	// LSL16rr
-    66316U,	// LSL32rm
-    22618892U,	// LSL32rr
-    83562U,	// LSL64rm
-    22619754U,	// LSL64rr
-    215605U,	// LSS16rm
-    214017U,	// LSS32rm
-    214860U,	// LSS64rm
-    109034U,	// LTRm
-    10730U,	// LTRr
-    140060862U,	// LXADD16
-    156836360U,	// LXADD32
-    173614453U,	// LXADD64
-    190390336U,	// LXADD8
-    100998U,	// LZCNT16rm
-    22620806U,	// LZCNT16rr
-    66641U,	// LZCNT32rm
-    22619217U,	// LZCNT32rr
-    83855U,	// LZCNT64rm
-    22620047U,	// LZCNT64rr
-    5006U,	// MONTMUL
+    2123208U,	// ADD64rr_REV
+    4726911U,	// ADD8i8
+    5259391U,	// ADD8mi
+    5259391U,	// ADD8mi8
+    5259391U,	// ADD8mr
+    1597567U,	// ADD8ri
+    1597567U,	// ADD8ri8
+    57471U,	// ADD8rm
+    1597567U,	// ADD8rr
+    2121855U,	// ADD8rr_REV
+    4724U,	// ADJCALLSTACKDOWN32
+    4724U,	// ADJCALLSTACKDOWN64
+    4742U,	// ADJCALLSTACKUP32
+    4742U,	// ADJCALLSTACKUP64
+    66810U,	// ADOX32rm
+    22619386U,	// ADOX32rr
+    84013U,	// ADOX64rm
+    22620205U,	// ADOX64rr
+    534827U,	// AND16i16
+    1067307U,	// AND16mi
+    1067307U,	// AND16mi8
+    1067307U,	// AND16mr
+    1599787U,	// AND16ri
+    1599787U,	// AND16ri8
+    1607979U,	// AND16rm
+    1599787U,	// AND16rr
+    2124075U,	// AND16rr_REV
+    2630254U,	// AND32i32
+    3162734U,	// AND32mi
+    3162734U,	// AND32mi8
+    3162734U,	// AND32mr
+    1598062U,	// AND32ri
+    1598062U,	// AND32ri8
+    1614446U,	// AND32rm
+    1598062U,	// AND32rr
+    2122350U,	// AND32rr_REV
+    3679713U,	// AND64i32
+    4212193U,	// AND64mi32
+    4212193U,	// AND64mi8
+    4212193U,	// AND64mr
+    1598945U,	// AND64ri32
+    1598945U,	// AND64ri8
+    1623521U,	// AND64rm
+    1598945U,	// AND64rr
+    2123233U,	// AND64rr_REV
+    4726917U,	// AND8i8
+    5259397U,	// AND8mi
+    5259397U,	// AND8mi8
+    5259397U,	// AND8mr
+    1597573U,	// AND8ri
+    1597573U,	// AND8ri8
+    57477U,	// AND8rm
+    1597573U,	// AND8rr
+    2121861U,	// AND8rr_REV
+    35169133U,	// ANDN32rm
+    35152749U,	// ANDN32rr
+    35178193U,	// ANDN64rm
+    35153617U,	// ANDN64rr
+    1065915U,	// ARPL16mr
+    22619067U,	// ARPL16rr
+    6382598U,	// BEXTR32rm
+    35152902U,	// BEXTR32rr
+    6907730U,	// BEXTR64rm
+    35153746U,	// BEXTR64rr
+    6383719U,	// BEXTRI32mi
+    35154023U,	// BEXTRI32ri
+    6908007U,	// BEXTRI64mi
+    35154023U,	// BEXTRI64ri
+    66360U,	// BLCFILL32rm
+    22618936U,	// BLCFILL32rr
+    82744U,	// BLCFILL64rm
+    22618936U,	// BLCFILL64rr
+    66028U,	// BLCI32rm
+    22618604U,	// BLCI32rr
+    82412U,	// BLCI64rm
+    22618604U,	// BLCI64rr
+    65857U,	// BLCIC32rm
+    22618433U,	// BLCIC32rr
+    82241U,	// BLCIC64rm
+    22618433U,	// BLCIC64rr
+    66034U,	// BLCMSK32rm
+    22618610U,	// BLCMSK32rr
+    82418U,	// BLCMSK64rm
+    22618610U,	// BLCMSK64rr
+    67694U,	// BLCS32rm
+    22620270U,	// BLCS32rr
+    84078U,	// BLCS64rm
+    22620270U,	// BLCS64rr
+    66369U,	// BLSFILL32rm
+    22618945U,	// BLSFILL32rr
+    82753U,	// BLSFILL64rm
+    22618945U,	// BLSFILL64rr
+    66322U,	// BLSI32rm
+    22618898U,	// BLSI32rr
+    83589U,	// BLSI64rm
+    22619781U,	// BLSI64rr
+    65864U,	// BLSIC32rm
+    22618440U,	// BLSIC32rr
+    82248U,	// BLSIC64rm
+    22618440U,	// BLSIC64rr
+    66333U,	// BLSMSK32rm
+    22618909U,	// BLSMSK32rr
+    83596U,	// BLSMSK64rm
+    22619788U,	// BLSMSK64rr
+    66547U,	// BLSR32rm
+    22619123U,	// BLSR32rr
+    83775U,	// BLSR64rm
+    22619967U,	// BLSR64rr
+    65911U,	// BOUNDS16rm
+    82295U,	// BOUNDS32rm
+    100717U,	// BSF16rm
+    22620525U,	// BSF16rr
+    66278U,	// BSF32rm
+    22618854U,	// BSF32rr
+    83545U,	// BSF64rm
+    22619737U,	// BSF64rr
+    100913U,	// BSR16rm
+    22620721U,	// BSR16rr
+    66541U,	// BSR32rm
+    22619117U,	// BSR32rr
+    83769U,	// BSR64rm
+    22619961U,	// BSR64rr
+    9098U,	// BSWAP32r
+    9961U,	// BSWAP64r
+    1067683U,	// BT16mi8
+    1067683U,	// BT16mr
+    22620835U,	// BT16ri8
+    22620835U,	// BT16rr
+    3163240U,	// BT32mi8
+    3163240U,	// BT32mr
+    22619240U,	// BT32ri8
+    22619240U,	// BT32rr
+    4212641U,	// BT64mi8
+    4212641U,	// BT64mr
+    22620065U,	// BT64ri8
+    22620065U,	// BT64rr
+    1067275U,	// BTC16mi8
+    1067275U,	// BTC16mr
+    22620427U,	// BTC16ri8
+    22620427U,	// BTC16rr
+    3162693U,	// BTC32mi8
+    3162693U,	// BTC32mr
+    22618693U,	// BTC32ri8
+    22618693U,	// BTC32rr
+    4212152U,	// BTC64mi8
+    4212152U,	// BTC64mr
+    22619576U,	// BTC64ri8
+    22619576U,	// BTC64rr
+    1067575U,	// BTR16mi8
+    1067575U,	// BTR16mr
+    22620727U,	// BTR16ri8
+    22620727U,	// BTR16rr
+    3163130U,	// BTR32mi8
+    3163130U,	// BTR32mr
+    22619130U,	// BTR32ri8
+    22619130U,	// BTR32rr
+    4212550U,	// BTR64mi8
+    4212550U,	// BTR64mr
+    22619974U,	// BTR64ri8
+    22619974U,	// BTR64rr
+    1067662U,	// BTS16mi8
+    1067662U,	// BTS16mr
+    22620814U,	// BTS16ri8
+    22620814U,	// BTS16rr
+    3163219U,	// BTS32mi8
+    3163219U,	// BTS32mr
+    22619219U,	// BTS32ri8
+    22619219U,	// BTS32rr
+    4212627U,	// BTS64mi8
+    4212627U,	// BTS64mr
+    22620051U,	// BTS64ri8
+    22620051U,	// BTS64rr
+    6382347U,	// BZHI32rm
+    35152651U,	// BZHI32rr
+    6907518U,	// BZHI64rm
+    35153534U,	// BZHI64rr
+    110971U,	// CALL16m
+    12667U,	// CALL16r
+    119116U,	// CALL32m
+    12620U,	// CALL32r
+    127325U,	// CALL64m
+    132775U,	// CALL64pcrel32
+    12637U,	// CALL64r
+    133541U,	// CALLpcrel16
+    131915U,	// CALLpcrel32
+    5741U,	// CBW
+    4927U,	// CDQ
+    5320U,	// CDQE
+    4854U,	// CLAC
+    4886U,	// CLC
+    4923U,	// CLD
+    141490U,	// CLFLUSHOPT
+    5033U,	// CLGI
+    5043U,	// CLI
+    5664U,	// CLTS
+    139571U,	// CLWB
+    4890U,	// CMC
+    2132173U,	// CMOVA16rm
+    2123981U,	// CMOVA16rr
+    2138631U,	// CMOVA32rm
+    2122247U,	// CMOVA32rr
+    2147706U,	// CMOVA64rm
+    2123130U,	// CMOVA64rr
+    2132280U,	// CMOVAE16rm
+    2124088U,	// CMOVAE16rr
+    2138747U,	// CMOVAE32rm
+    2122363U,	// CMOVAE32rr
+    2147822U,	// CMOVAE64rm
+    2123246U,	// CMOVAE64rr
+    2132201U,	// CMOVB16rm
+    2124009U,	// CMOVB16rr
+    2138659U,	// CMOVB32rm
+    2122275U,	// CMOVB32rr
+    2147734U,	// CMOVB64rm
+    2123158U,	// CMOVB64rr
+    2132289U,	// CMOVBE16rm
+    2124097U,	// CMOVBE16rr
+    2138756U,	// CMOVBE32rm
+    2122372U,	// CMOVBE32rr
+    2147831U,	// CMOVBE64rm
+    2123255U,	// CMOVBE64rr
+    2132325U,	// CMOVE16rm
+    2124133U,	// CMOVE16rr
+    2138846U,	// CMOVE32rm
+    2122462U,	// CMOVE32rr
+    2147921U,	// CMOVE64rm
+    2123345U,	// CMOVE64rr
+    2132355U,	// CMOVG16rm
+    2124163U,	// CMOVG16rr
+    2138876U,	// CMOVG32rm
+    2122492U,	// CMOVG32rr
+    2147951U,	// CMOVG64rm
+    2123375U,	// CMOVG64rr
+    2132298U,	// CMOVGE16rm
+    2124106U,	// CMOVGE16rr
+    2138765U,	// CMOVGE32rm
+    2122381U,	// CMOVGE32rr
+    2147840U,	// CMOVGE64rm
+    2123264U,	// CMOVGE64rr
+    2132415U,	// CMOVL16rm
+    2124223U,	// CMOVL16rr
+    2138981U,	// CMOVL32rm
+    2122597U,	// CMOVL32rr
+    2148041U,	// CMOVL64rm
+    2123465U,	// CMOVL64rr
+    2132307U,	// CMOVLE16rm
+    2124115U,	// CMOVLE16rr
+    2138774U,	// CMOVLE32rm
+    2122390U,	// CMOVLE32rr
+    2147849U,	// CMOVLE64rm
+    2123273U,	// CMOVLE64rr
+    2132316U,	// CMOVNE16rm
+    2124124U,	// CMOVNE16rr
+    2138783U,	// CMOVNE32rm
+    2122399U,	// CMOVNE32rr
+    2147858U,	// CMOVNE64rm
+    2123282U,	// CMOVNE64rr
+    2132428U,	// CMOVNO16rm
+    2124236U,	// CMOVNO16rr
+    2139001U,	// CMOVNO32rm
+    2122617U,	// CMOVNO32rr
+    2148056U,	// CMOVNO64rm
+    2123480U,	// CMOVNO64rr
+    2132458U,	// CMOVNP16rm
+    2124266U,	// CMOVNP16rr
+    2139046U,	// CMOVNP32rm
+    2122662U,	// CMOVNP32rr
+    2148094U,	// CMOVNP64rm
+    2123518U,	// CMOVNP64rr
+    2132600U,	// CMOVNS16rm
+    2124408U,	// CMOVNS16rr
+    2139197U,	// CMOVNS32rm
+    2122813U,	// CMOVNS32rr
+    2148221U,	// CMOVNS64rm
+    2123645U,	// CMOVNS64rr
+    2132437U,	// CMOVO16rm
+    2124245U,	// CMOVO16rr
+    2139010U,	// CMOVO32rm
+    2122626U,	// CMOVO32rr
+    2148065U,	// CMOVO64rm
+    2123489U,	// CMOVO64rr
+    2132479U,	// CMOVP16rm
+    2124287U,	// CMOVP16rr
+    2139073U,	// CMOVP32rm
+    2122689U,	// CMOVP32rr
+    2148109U,	// CMOVP64rm
+    2123533U,	// CMOVP64rr
+    2132635U,	// CMOVS16rm
+    2124443U,	// CMOVS16rr
+    2139232U,	// CMOVS32rm
+    2122848U,	// CMOVS32rr
+    2148249U,	// CMOVS64rm
+    2123673U,	// CMOVS64rr
+    4094U,	// CMOV_FR32
+    4281U,	// CMOV_FR64
+    4301U,	// CMOV_GR16
+    4114U,	// CMOV_GR32
+    4321U,	// CMOV_GR8
+    4073U,	// CMOV_RFP32
+    4260U,	// CMOV_RFP64
+    3988U,	// CMOV_RFP80
+    4030U,	// CMOV_V16F32
+    4134U,	// CMOV_V2F64
+    4197U,	// CMOV_V2I64
+    4009U,	// CMOV_V4F32
+    4155U,	// CMOV_V4F64
+    4218U,	// CMOV_V4I64
+    4052U,	// CMOV_V8F32
+    4176U,	// CMOV_V8F64
+    4239U,	// CMOV_V8I64
+    535005U,	// CMP16i16
+    1067485U,	// CMP16mi
+    1067485U,	// CMP16mi8
+    1067485U,	// CMP16mr
+    22620637U,	// CMP16ri
+    22620637U,	// CMP16ri8
+    100829U,	// CMP16rm
+    22620637U,	// CMP16rr
+    22620637U,	// CMP16rr_REV
+    2630553U,	// CMP32i32
+    3163033U,	// CMP32mi
+    3163033U,	// CMP32mi8
+    3163033U,	// CMP32mr
+    22619033U,	// CMP32ri
+    22619033U,	// CMP32ri8
+    66457U,	// CMP32rm
+    22619033U,	// CMP32rr
+    22619033U,	// CMP32rr_REV
+    3679992U,	// CMP64i32
+    4212472U,	// CMP64mi32
+    4212472U,	// CMP64mi8
+    4212472U,	// CMP64mr
+    22619896U,	// CMP64ri32
+    22619896U,	// CMP64ri8
+    83704U,	// CMP64rm
+    22619896U,	// CMP64rr
+    22619896U,	// CMP64rr_REV
+    4726979U,	// CMP8i8
+    5259459U,	// CMP8mi
+    5259459U,	// CMP8mi8
+    5259459U,	// CMP8mr
+    22618307U,	// CMP8ri
+    22618307U,	// CMP8ri8
+    147651U,	// CMP8rm
+    22618307U,	// CMP8rr
+    22618307U,	// CMP8rr_REV
+    56254718U,	// CMPSB
+    73040966U,	// CMPSL
+    89827206U,	// CMPSQ
+    106613377U,	// CMPSW
+    188489U,	// CMPXCHG16B
+    1067385U,	// CMPXCHG16rm
+    22620537U,	// CMPXCHG16rr
+    3162866U,	// CMPXCHG32rm
+    22618866U,	// CMPXCHG32rr
+    4212325U,	// CMPXCHG64rm
+    22619749U,	// CMPXCHG64rr
+    122965U,	// CMPXCHG8B
+    5259409U,	// CMPXCHG8rm
+    22618257U,	// CMPXCHG8rr
+    4917U,	// CPUID
+    5238U,	// CQO
+    4936U,	// CWD
+    5182U,	// CWDE
+    4789U,	// DAA
+    5360U,	// DAS
+    4679U,	// DATA16_PREFIX
+    108799U,	// DEC16m
+    10495U,	// DEC16r
+    10495U,	// DEC16r_alt
+    115257U,	// DEC32m
+    8761U,	// DEC32r
+    8761U,	// DEC32r_alt
+    124332U,	// DEC64m
+    9644U,	// DEC64r
+    139378U,	// DEC8m
+    8306U,	// DEC8r
+    109303U,	// DIV16m
+    10999U,	// DIV16r
+    115906U,	// DIV32m
+    9410U,	// DIV32r
+    124917U,	// DIV64m
+    10229U,	// DIV64r
+    139559U,	// DIV8m
+    8487U,	// DIV8r
+    12021U,	// EH_RETURN
+    12021U,	// EH_RETURN64
+    4502U,	// EH_SjLj_LongJmp32
+    4592U,	// EH_SjLj_LongJmp64
+    4521U,	// EH_SjLj_SetJmp32
+    4611U,	// EH_SjLj_SetJmp64
+    132452U,	// EH_SjLj_Setup
+    123218002U,	// ENTER
+    7416228U,	// FARCALL16i
+    201082U,	// FARCALL16m
+    7414602U,	// FARCALL32i
+    201035U,	// FARCALL32m
+    201052U,	// FARCALL64
+    7416291U,	// FARJMP16i
+    201091U,	// FARJMP16m
+    7414687U,	// FARJMP32i
+    201044U,	// FARJMP32m
+    201074U,	// FARJMP64
+    5195U,	// FSETPM
+    4874U,	// GETSEC
+    5677U,	// HLT
+    109302U,	// IDIV16m
+    10998U,	// IDIV16r
+    115905U,	// IDIV32m
+    9409U,	// IDIV32r
+    124916U,	// IDIV64m
+    10228U,	// IDIV64r
+    139558U,	// IDIV8m
+    8486U,	// IDIV8r
+    108984U,	// IMUL16m
+    10680U,	// IMUL16r
+    2132408U,	// IMUL16rm
+    7956920U,	// IMUL16rmi
+    7956920U,	// IMUL16rmi8
+    2124216U,	// IMUL16rr
+    35154360U,	// IMUL16rri
+    35154360U,	// IMUL16rri8
+    115550U,	// IMUL32m
+    9054U,	// IMUL32r
+    2138974U,	// IMUL32rm
+    6382430U,	// IMUL32rmi
+    6382430U,	// IMUL32rmi8
+    2122590U,	// IMUL32rr
+    35152734U,	// IMUL32rri
+    35152734U,	// IMUL32rri8
+    124610U,	// IMUL64m
+    9922U,	// IMUL64r
+    2148034U,	// IMUL64rm
+    6907586U,	// IMUL64rmi32
+    6907586U,	// IMUL64rmi8
+    2123458U,	// IMUL64rr
+    35153602U,	// IMUL64rri32
+    35153602U,	// IMUL64rri8
+    139447U,	// IMUL8m
+    8375U,	// IMUL8r
+    534983U,	// IN16ri
+    5758U,	// IN16rr
+    2630516U,	// IN32ri
+    5837U,	// IN32rr
+    4726974U,	// IN8ri
+    5071U,	// IN8rr
+    108805U,	// INC16m
+    10501U,	// INC16r
+    10501U,	// INC16r_alt
+    115263U,	// INC32m
+    8767U,	// INC32r
+    8767U,	// INC32r_alt
+    124338U,	// INC64m
+    9650U,	// INC64r
+    139384U,	// INC8m
+    8312U,	// INC8r
+    159433U,	// INSB
+    167636U,	// INSL
+    184031U,	// INSW
+    10395U,	// INT
+    4497U,	// INT1
+    4587U,	// INT3
+    5233U,	// INTO
+    4943U,	// INVD
+    207008U,	// INVEPT32
+    207008U,	// INVEPT64
+    139742U,	// INVLPG
+    5818U,	// INVLPGA32
+    5886U,	// INVLPGA64
+    205148U,	// INVPCID32
+    205148U,	// INVPCID64
+    205157U,	// INVVPID32
+    205157U,	// INVVPID64
+    5746U,	// IRET16
+    5153U,	// IRET32
+    5291U,	// IRET64
+    4758U,	// Int_MemBarrier
+    131454U,	// JAE_1
+    131454U,	// JAE_2
+    131454U,	// JAE_4
+    131135U,	// JA_1
+    131135U,	// JA_2
+    131135U,	// JA_4
+    131466U,	// JBE_1
+    131466U,	// JBE_2
+    131466U,	// JBE_4
+    131227U,	// JB_1
+    131227U,	// JB_2
+    131227U,	// JB_4
+    133912U,	// JCXZ
+    133905U,	// JECXZ
+    131490U,	// JE_1
+    131490U,	// JE_2
+    131490U,	// JE_4
+    131478U,	// JGE_1
+    131478U,	// JGE_2
+    131478U,	// JGE_4
+    131546U,	// JG_1
+    131546U,	// JG_2
+    131546U,	// JG_4
+    131494U,	// JLE_1
+    131494U,	// JLE_2
+    131494U,	// JLE_4
+    131865U,	// JL_1
+    131865U,	// JL_2
+    131865U,	// JL_4
+    110980U,	// JMP16m
+    12676U,	// JMP16r
+    119125U,	// JMP32m
+    12629U,	// JMP32r
+    127339U,	// JMP64m
+    12651U,	// JMP64r
+    132418U,	// JMP_1
+    132418U,	// JMP_2
+    132418U,	// JMP_4
+    131506U,	// JNE_1
+    131506U,	// JNE_2
+    131506U,	// JNE_4
+    132390U,	// JNO_1
+    132390U,	// JNO_2
+    132390U,	// JNO_4
+    132423U,	// JNP_1
+    132423U,	// JNP_2
+    132423U,	// JNP_4
+    133248U,	// JNS_1
+    133248U,	// JNS_2
+    133248U,	// JNS_4
+    132386U,	// JO_1
+    132386U,	// JO_2
+    132386U,	// JO_4
+    132408U,	// JP_1
+    132408U,	// JP_2
+    132408U,	// JP_4
+    133918U,	// JRCXZ
+    133244U,	// JS_1
+    133244U,	// JS_2
+    133244U,	// JS_4
+    5014U,	// LAHF
+    100871U,	// LAR16rm
+    22620679U,	// LAR16rr
+    99273U,	// LAR32rm
+    22619081U,	// LAR32rr
+    100117U,	// LAR64rm
+    22619925U,	// LAR64rr
+    1067385U,	// LCMPXCHG16
+    188489U,	// LCMPXCHG16B
+    3162866U,	// LCMPXCHG32
+    4212325U,	// LCMPXCHG64
+    5259409U,	// LCMPXCHG8
+    122965U,	// LCMPXCHG8B
+    215641U,	// LDS16rm
+    214046U,	// LDS32rm
+    223431U,	// LEA16r
+    221697U,	// LEA32r
+    221697U,	// LEA64_32r
+    222580U,	// LEA64r
+    5001U,	// LEAVE
+    5001U,	// LEAVE64
+    215654U,	// LES16rm
+    214059U,	// LES32rm
+    215660U,	// LFS16rm
+    214065U,	// LFS32rm
+    214897U,	// LFS64rm
+    199336U,	// LGDT16m
+    197741U,	// LGDT32m
+    198566U,	// LGDT64m
+    215666U,	// LGS16rm
+    214071U,	// LGS32rm
+    214903U,	// LGS64rm
+    199350U,	// LIDT16m
+    197755U,	// LIDT32m
+    198580U,	// LIDT64m
+    109252U,	// LLDT16m
+    10948U,	// LLDT16r
+    109315U,	// LMSW16m
+    11011U,	// LMSW16r
+    1067282U,	// LOCK_ADD16mi
+    1067282U,	// LOCK_ADD16mi8
+    1067282U,	// LOCK_ADD16mr
+    3162709U,	// LOCK_ADD32mi
+    3162709U,	// LOCK_ADD32mi8
+    3162709U,	// LOCK_ADD32mr
+    4212168U,	// LOCK_ADD64mi32
+    4212168U,	// LOCK_ADD64mi8
+    4212168U,	// LOCK_ADD64mr
+    5259391U,	// LOCK_ADD8mi
+    5259391U,	// LOCK_ADD8mr
+    1067307U,	// LOCK_AND16mi
+    1067307U,	// LOCK_AND16mi8
+    1067307U,	// LOCK_AND16mr
+    3162734U,	// LOCK_AND32mi
+    3162734U,	// LOCK_AND32mi8
+    3162734U,	// LOCK_AND32mr
+    4212193U,	// LOCK_AND64mi32
+    4212193U,	// LOCK_AND64mi8
+    4212193U,	// LOCK_AND64mr
+    5259397U,	// LOCK_AND8mi
+    5259397U,	// LOCK_AND8mr
+    108799U,	// LOCK_DEC16m
+    115257U,	// LOCK_DEC32m
+    124332U,	// LOCK_DEC64m
+    139378U,	// LOCK_DEC8m
+    108805U,	// LOCK_INC16m
+    115263U,	// LOCK_INC32m
+    124338U,	// LOCK_INC64m
+    139384U,	// LOCK_INC8m
+    1067558U,	// LOCK_OR16mi
+    1067558U,	// LOCK_OR16mi8
+    1067558U,	// LOCK_OR16mr
+    3163106U,	// LOCK_OR32mi
+    3163106U,	// LOCK_OR32mi8
+    3163106U,	// LOCK_OR32mr
+    4212526U,	// LOCK_OR64mi32
+    4212526U,	// LOCK_OR64mi8
+    4212526U,	// LOCK_OR64mr
+    5259484U,	// LOCK_OR8mi
+    5259484U,	// LOCK_OR8mr
+    5066U,	// LOCK_PREFIX
+    1067235U,	// LOCK_SUB16mi
+    1067235U,	// LOCK_SUB16mi8
+    1067235U,	// LOCK_SUB16mr
+    3162653U,	// LOCK_SUB32mi
+    3162653U,	// LOCK_SUB32mi8
+    3162653U,	// LOCK_SUB32mr
+    4212112U,	// LOCK_SUB64mi32
+    4212112U,	// LOCK_SUB64mi8
+    4212112U,	// LOCK_SUB64mr
+    5259366U,	// LOCK_SUB8mi
+    5259366U,	// LOCK_SUB8mr
+    1067563U,	// LOCK_XOR16mi
+    1067563U,	// LOCK_XOR16mi8
+    1067563U,	// LOCK_XOR16mr
+    3163111U,	// LOCK_XOR32mi
+    3163111U,	// LOCK_XOR32mi8
+    3163111U,	// LOCK_XOR32mr
+    4212531U,	// LOCK_XOR64mi32
+    4212531U,	// LOCK_XOR64mi8
+    4212531U,	// LOCK_XOR64mr
+    5259489U,	// LOCK_XOR8mi
+    5259489U,	// LOCK_XOR8mr
+    4948215U,	// LODSB
+    2860068U,	// LODSL
+    247658U,	// LODSQ
+    780895U,	// LODSW
+    132440U,	// LOOP
+    131526U,	// LOOPE
+    131511U,	// LOOPNE
+    9360U,	// LRETIL
+    10185U,	// LRETIQ
+    10962U,	// LRETIW
+    5159U,	// LRETL
+    5297U,	// LRETQ
+    5752U,	// LRETW
+    100786U,	// LSL16rm
+    22620594U,	// LSL16rr
+    66392U,	// LSL32rm
+    22618968U,	// LSL32rr
+    83636U,	// LSL64rm
+    22619828U,	// LSL64rr
+    215688U,	// LSS16rm
+    214093U,	// LSS32rm
+    214925U,	// LSS64rm
+    109117U,	// LTRm
+    10813U,	// LTRr
+    140060945U,	// LXADD16
+    156836436U,	// LXADD32
+    173614535U,	// LXADD64
+    190390398U,	// LXADD8
+    101081U,	// LZCNT16rm
+    22620889U,	// LZCNT16rr
+    66717U,	// LZCNT32rm
+    22619293U,	// LZCNT32rr
+    83920U,	// LZCNT64rm
+    22620112U,	// LZCNT64rr
+    5187U,	// MONTMUL
     0U,	// MORESTACK_RET
     0U,	// MORESTACK_RET_RESTORE_R10
-    257551U,	// MOV16ao16
-    257551U,	// MOV16ao16_16
-    1067690U,	// MOV16mi
-    1067690U,	// MOV16mr
-    1067690U,	// MOV16ms
-    780970U,	// MOV16o16a
-    780970U,	// MOV16o16a_16
-    22620842U,	// MOV16ri
-    22620842U,	// MOV16ri_alt
-    101034U,	// MOV16rm
-    22620842U,	// MOV16rr
-    22620842U,	// MOV16rr_REV
-    22620842U,	// MOV16rs
-    101034U,	// MOV16sm
-    22620842U,	// MOV16sr
-    265794U,	// MOV32ao32
-    265794U,	// MOV32ao32_16
-    22619260U,	// MOV32cr
-    22619260U,	// MOV32dr
-    3163260U,	// MOV32mi
-    3163260U,	// MOV32mr
-    1066108U,	// MOV32ms
-    2884732U,	// MOV32o32a
-    2884732U,	// MOV32o32a_16
+    789245U,	// MOV16ao16
+    789245U,	// MOV16ao32
+    789072U,	// MOV16ao64
+    1067773U,	// MOV16mi
+    1067773U,	// MOV16mr
+    1067773U,	// MOV16ms
+    265826U,	// MOV16o16a
+    265826U,	// MOV16o32a
+    265789U,	// MOV16o64a
+    22620925U,	// MOV16ri
+    22620925U,	// MOV16ri_alt
+    101117U,	// MOV16rm
+    22620925U,	// MOV16rr
+    22620925U,	// MOV16rr_REV
+    22620925U,	// MOV16rs
+    101117U,	// MOV16sm
+    22620925U,	// MOV16sr
+    2893000U,	// MOV32ao16
+    2893000U,	// MOV32ao32
+    2892821U,	// MOV32ao64
+    22619336U,	// MOV32cr
+    22619336U,	// MOV32dr
+    3163336U,	// MOV32mi
+    3163336U,	// MOV32mr
+    1066184U,	// MOV32ms
+    274069U,	// MOV32o16a
+    274069U,	// MOV32o32a
+    274029U,	// MOV32o64a
     0U,	// MOV32r0
-    22619260U,	// MOV32rc
-    22619260U,	// MOV32rd
-    22619260U,	// MOV32ri
+    22619336U,	// MOV32rc
+    22619336U,	// MOV32rd
+    22619336U,	// MOV32ri
     0U,	// MOV32ri64
-    22619260U,	// MOV32ri_alt
-    66684U,	// MOV32rm
-    22619260U,	// MOV32rr
-    22619260U,	// MOV32rr_REV
-    22619260U,	// MOV32rs
-    99452U,	// MOV32sm
-    22619260U,	// MOV32sr
-    257514U,	// MOV64ao16
-    265754U,	// MOV64ao32
-    273998U,	// MOV64ao64
-    281618U,	// MOV64ao8
-    22620101U,	// MOV64cr
-    22620101U,	// MOV64dr
-    4212677U,	// MOV64mi32
-    4212677U,	// MOV64mr
-    1066949U,	// MOV64ms
-    780797U,	// MOV64o16a
-    2884553U,	// MOV64o32a
-    3942176U,	// MOV64o64a
-    4997296U,	// MOV64o8a
-    22620101U,	// MOV64rc
-    22620101U,	// MOV64rd
-    22619936U,	// MOV64ri
-    22620101U,	// MOV64ri32
-    83909U,	// MOV64rm
-    22620101U,	// MOV64rr
-    22620101U,	// MOV64rr_REV
-    22620101U,	// MOV64rs
-    100293U,	// MOV64sm
-    22620101U,	// MOV64sr
-    281655U,	// MOV8ao8
-    281655U,	// MOV8ao8_16
-    5259503U,	// MOV8mi
-    5259503U,	// MOV8mr
-    206586095U,	// MOV8mr_NOREX
-    4997359U,	// MOV8o8a
-    4997359U,	// MOV8o8a_16
-    22618351U,	// MOV8ri
-    22618351U,	// MOV8ri_alt
-    139503U,	// MOV8rm
-    8528111U,	// MOV8rm_NOREX
-    22618351U,	// MOV8rr
-    559489263U,	// MOV8rr_NOREX
-    22618351U,	// MOV8rr_REV
-    1067247U,	// MOVBE16mr
-    100591U,	// MOVBE16rm
-    3162681U,	// MOVBE32mr
-    66105U,	// MOVBE32rm
-    4212134U,	// MOVBE64mr
-    83366U,	// MOVBE64rm
+    22619336U,	// MOV32ri_alt
+    66760U,	// MOV32rm
+    22619336U,	// MOV32rr
+    22619336U,	// MOV32rr_REV
+    22619336U,	// MOV32rs
+    99528U,	// MOV32sm
+    22619336U,	// MOV32sr
+    3950587U,	// MOV64ao32
+    3950433U,	// MOV64ao64
+    22620155U,	// MOV64cr
+    22620155U,	// MOV64dr
+    4212731U,	// MOV64mi32
+    4212731U,	// MOV64mr
+    1067003U,	// MOV64ms
+    282301U,	// MOV64o32a
+    282273U,	// MOV64o64a
+    22620155U,	// MOV64rc
+    22620155U,	// MOV64rd
+    22620001U,	// MOV64ri
+    22620155U,	// MOV64ri32
+    83963U,	// MOV64rm
+    22620155U,	// MOV64rr
+    22620155U,	// MOV64rr_REV
+    22620155U,	// MOV64rs
+    100347U,	// MOV64sm
+    22620155U,	// MOV64sr
+    5005613U,	// MOV8ao16
+    5005613U,	// MOV8ao32
+    5005550U,	// MOV8ao64
+    5259565U,	// MOV8mi
+    5259565U,	// MOV8mr
+    5259565U,	// MOV8mr_NOREX
+    289930U,	// MOV8o16a
+    289930U,	// MOV8o32a
+    289893U,	// MOV8o64a
+    22618413U,	// MOV8ri
+    22618413U,	// MOV8ri_alt
+    147757U,	// MOV8rm
+    147757U,	// MOV8rm_NOREX
+    22618413U,	// MOV8rr
+    22618413U,	// MOV8rr_NOREX
+    22618413U,	// MOV8rr_REV
+    1067330U,	// MOVBE16mr
+    100674U,	// MOVBE16rm
+    3162757U,	// MOVBE32mr
+    66181U,	// MOVBE32rm
+    4212216U,	// MOVBE64mr
+    83448U,	// MOVBE64rm
     0U,	// MOVPC32r
-    286926U,	// MOVSB
-    295957U,	// MOVSL
-    304985U,	// MOVSQ
-    313929U,	// MOVSW
-    141448U,	// MOVSX16rm8
-    22620296U,	// MOVSX16rr8
-    99465U,	// MOVSX32rm16
-    139721U,	// MOVSX32rm8
-    22619273U,	// MOVSX32rr16
-    22618569U,	// MOVSX32rr8
-    22619760U,	// MOVSX64_NOREXrr32
-    100306U,	// MOVSX64rm16
-    67184U,	// MOVSX64rm32
-    140598U,	// MOVSX64rm8
-    22620114U,	// MOVSX64rr16
-    22619760U,	// MOVSX64rr32
-    22619446U,	// MOVSX64rr8
-    141470U,	// MOVZX16rm8
-    22620318U,	// MOVZX16rr8
-    139743U,	// MOVZX32_NOREXrm8
-    22618591U,	// MOVZX32_NOREXrr8
-    99473U,	// MOVZX32rm16
-    139743U,	// MOVZX32rm8
-    22619281U,	// MOVZX32rr16
-    22618591U,	// MOVZX32rr8
-    100314U,	// MOVZX64rm16_Q
-    140620U,	// MOVZX64rm8_Q
-    22620122U,	// MOVZX64rr16_Q
-    22619468U,	// MOVZX64rr8_Q
-    108902U,	// MUL16m
-    10598U,	// MUL16r
-    115475U,	// MUL32m
-    8979U,	// MUL32r
-    124537U,	// MUL64m
-    9849U,	// MUL64r
-    188538U,	// MUL8m
-    8314U,	// MUL8r
-    35169447U,	// MULX32rm
-    35153063U,	// MULX32rr
-    35178480U,	// MULX64rm
-    35153904U,	// MULX64rr
-    108832U,	// NEG16m
-    10528U,	// NEG16r
-    115360U,	// NEG32m
-    8864U,	// NEG32r
-    124437U,	// NEG64m
-    9749U,	// NEG64r
-    188493U,	// NEG8m
-    8269U,	// NEG8r
-    5073U,	// NOOP
-    108960U,	// NOOP18_16m4
-    108960U,	// NOOP18_16m5
-    108960U,	// NOOP18_16m6
-    108960U,	// NOOP18_16m7
-    10656U,	// NOOP18_16r4
-    10656U,	// NOOP18_16r5
-    10656U,	// NOOP18_16r6
-    10656U,	// NOOP18_16r7
-    115555U,	// NOOP18_m4
-    115555U,	// NOOP18_m5
-    115555U,	// NOOP18_m6
-    115555U,	// NOOP18_m7
-    9059U,	// NOOP18_r4
-    9059U,	// NOOP18_r5
-    9059U,	// NOOP18_r6
-    9059U,	// NOOP18_r7
-    123217153U,	// NOOP19rr
-    115555U,	// NOOPL
-    115555U,	// NOOPL_19
-    115555U,	// NOOPL_1a
-    115555U,	// NOOPL_1b
-    115555U,	// NOOPL_1c
-    115555U,	// NOOPL_1d
-    115555U,	// NOOPL_1e
-    108960U,	// NOOPW
-    108960U,	// NOOPW_19
-    108960U,	// NOOPW_1a
-    108960U,	// NOOPW_1b
-    108960U,	// NOOPW_1c
-    108960U,	// NOOPW_1d
-    108960U,	// NOOPW_1e
-    109206U,	// NOT16m
-    10902U,	// NOT16r
-    115809U,	// NOT32m
-    9313U,	// NOT32r
-    124831U,	// NOT64m
-    10143U,	// NOT64r
-    188635U,	// NOT8m
-    8411U,	// NOT8r
-    534995U,	// OR16i16
-    1067475U,	// OR16mi
-    1067475U,	// OR16mi8
-    1067475U,	// OR16mr
-    1599955U,	// OR16ri
-    1599955U,	// OR16ri8
-    1608147U,	// OR16rm
-    1599955U,	// OR16rr
-    2124243U,	// OR16rr_REV
-    2630550U,	// OR32i32
-    3163030U,	// OR32mi
-    3163030U,	// OR32mi8
-    3163030U,	// OR32mr
-    3163030U,	// OR32mrLocked
-    1598358U,	// OR32ri
-    1598358U,	// OR32ri8
-    1614742U,	// OR32rm
-    1598358U,	// OR32rr
-    2122646U,	// OR32rr_REV
-    3679972U,	// OR64i32
-    4212452U,	// OR64mi32
-    4212452U,	// OR64mi8
-    4212452U,	// OR64mr
-    1599204U,	// OR64ri32
-    1599204U,	// OR64ri8
-    1623780U,	// OR64rm
-    1599204U,	// OR64rr
-    2123492U,	// OR64rr_REV
-    4726942U,	// OR8i8
-    5259422U,	// OR8mi
-    5259422U,	// OR8mr
-    1597598U,	// OR8ri
-    1597598U,	// OR8ri8
-    57502U,	// OR8rm
-    1597598U,	// OR8rr
-    2121886U,	// OR8rr_REV
-    11780U,	// OUT16ir
-    5730U,	// OUT16rr
-    11830U,	// OUT32ir
-    5744U,	// OUT32rr
-    11308U,	// OUT8ir
-    5716U,	// OUT8rr
-    9134279U,	// OUTSB
-    9143309U,	// OUTSL
-    9161281U,	// OUTSW
-    35169094U,	// PDEP32rm
-    35152710U,	// PDEP32rr
-    35178151U,	// PDEP64rm
-    35153575U,	// PDEP64rr
-    35169390U,	// PEXT32rm
-    35153006U,	// PEXT32rr
-    35178423U,	// PEXT64rm
-    35153847U,	// PEXT64rr
-    10662U,	// POP16r
-    108966U,	// POP16rmm
-    10662U,	// POP16rmr
-    9065U,	// POP32r
-    115561U,	// POP32rmm
-    9065U,	// POP32rmr
-    9917U,	// POP64r
-    124605U,	// POP64rmm
-    9917U,	// POP64rmr
-    5513U,	// POPA16
-    4910U,	// POPA32
-    5232U,	// POPDS16
-    5213U,	// POPDS32
-    5270U,	// POPES16
-    5251U,	// POPES32
-    5526U,	// POPF16
-    4923U,	// POPF32
-    5084U,	// POPF64
-    5327U,	// POPFS16
-    5289U,	// POPFS32
-    5308U,	// POPFS64
-    5384U,	// POPGS16
-    5346U,	// POPGS32
-    5365U,	// POPGS64
-    5474U,	// POPSS16
-    5455U,	// POPSS32
-    10552U,	// PUSH16i8
-    10552U,	// PUSH16r
-    108856U,	// PUSH16rmm
-    10552U,	// PUSH16rmr
-    8888U,	// PUSH32i8
-    8888U,	// PUSH32r
-    115384U,	// PUSH32rmm
-    8888U,	// PUSH32rmr
-    10552U,	// PUSH64i16
-    9773U,	// PUSH64i32
-    9773U,	// PUSH64i8
-    9773U,	// PUSH64r
-    124461U,	// PUSH64rmm
-    9773U,	// PUSH64rmr
-    5506U,	// PUSHA16
-    4903U,	// PUSHA32
-    5193U,	// PUSHCS16
-    5183U,	// PUSHCS32
-    5222U,	// PUSHDS16
-    5203U,	// PUSHDS32
-    5260U,	// PUSHES16
-    5241U,	// PUSHES32
-    5519U,	// PUSHF16
-    4916U,	// PUSHF32
-    5077U,	// PUSHF64
-    5317U,	// PUSHFS16
-    5279U,	// PUSHFS32
-    5298U,	// PUSHFS64
-    5374U,	// PUSHGS16
-    5336U,	// PUSHGS32
-    5355U,	// PUSHGS64
-    5464U,	// PUSHSS16
-    5445U,	// PUSHSS32
-    10552U,	// PUSHi16
-    8888U,	// PUSHi32
-    109516U,	// RCL16m1
-    109981U,	// RCL16mCL
-    1067333U,	// RCL16mi
-    11212U,	// RCL16r1
-    11677U,	// RCL16rCL
-    2124101U,	// RCL16ri
-    118411U,	// RCL32m1
-    117949U,	// RCL32mCL
-    3162848U,	// RCL32mi
-    11052U,	// RCL32r1
-    11453U,	// RCL32rCL
-    2122464U,	// RCL32ri
-    125820U,	// RCL64m1
-    126253U,	// RCL64mCL
-    4212305U,	// RCL64mi
-    11132U,	// RCL64r1
-    11565U,	// RCL64rCL
-    2123345U,	// RCL64ri
-    191196U,	// RCL8m1
-    191565U,	// RCL8mCL
-    5259367U,	// RCL8mi
-    10972U,	// RCL8r1
-    11341U,	// RCL8rCL
-    2121831U,	// RCL8ri
-    109556U,	// RCR16m1
-    110025U,	// RCR16mCL
-    1067456U,	// RCR16mi
-    11252U,	// RCR16r1
-    11721U,	// RCR16rCL
-    2124224U,	// RCR16ri
-    117588U,	// RCR32m1
-    117993U,	// RCR32mCL
-    3163017U,	// RCR32mi
-    11092U,	// RCR32r1
-    11497U,	// RCR32rCL
-    2122633U,	// RCR32ri
-    125860U,	// RCR64m1
-    126297U,	// RCR64mCL
-    4212439U,	// RCR64mi
-    11172U,	// RCR64r1
-    11609U,	// RCR64rCL
-    2123479U,	// RCR64ri
-    191236U,	// RCR8m1
-    191609U,	// RCR8mCL
-    5259409U,	// RCR8mi
-    11012U,	// RCR8r1
-    11385U,	// RCR8rCL
-    2121873U,	// RCR8ri
-    8796U,	// RDFSBASE
-    9673U,	// RDFSBASE64
-    8818U,	// RDGSBASE
-    9695U,	// RDGSBASE64
-    5153U,	// RDMSR
-    4713U,	// RDPMC
-    10453U,	// RDRAND16r
-    8735U,	// RDRAND32r
-    9612U,	// RDRAND64r
-    10437U,	// RDSEED16r
-    8719U,	// RDSEED32r
-    9596U,	// RDSEED64r
-    4726U,	// RDTSC
-    5062U,	// RDTSCP
-    4238U,	// RELEASE_MOV16mr
-    4238U,	// RELEASE_MOV32mr
-    4238U,	// RELEASE_MOV64mr
-    4238U,	// RELEASE_MOV8mr
-    4776U,	// REPNE_PREFIX
-    4657U,	// REP_MOVSB_32
-    4657U,	// REP_MOVSB_64
-    4962U,	// REP_MOVSD_32
-    4962U,	// REP_MOVSD_64
-    5100U,	// REP_MOVSQ_64
-    5542U,	// REP_MOVSW_32
-    5542U,	// REP_MOVSW_64
-    5069U,	// REP_PREFIX
-    4647U,	// REP_STOSB_32
-    4647U,	// REP_STOSB_64
-    4952U,	// REP_STOSD_32
-    4952U,	// REP_STOSD_64
-    5090U,	// REP_STOSQ_64
-    5532U,	// REP_STOSW_32
-    5532U,	// REP_STOSW_64
-    9285U,	// RETIL
-    10121U,	// RETIQ
-    10880U,	// RETIW
-    4973U,	// RETL
-    5111U,	// RETQ
-    5558U,	// RETW
-    4492U,	// REX64_PREFIX
-    109536U,	// ROL16m1
-    110003U,	// ROL16mCL
-    1067353U,	// ROL16mi
-    11232U,	// ROL16r1
-    11699U,	// ROL16rCL
-    2124121U,	// ROL16ri
-    117568U,	// ROL32m1
-    117971U,	// ROL32mCL
-    3162886U,	// ROL32mi
-    11072U,	// ROL32r1
-    11475U,	// ROL32rCL
-    2122502U,	// ROL32ri
-    125840U,	// ROL64m1
-    126275U,	// ROL64mCL
-    4212324U,	// ROL64mi
-    11152U,	// ROL64r1
-    11587U,	// ROL64rCL
-    2123364U,	// ROL64ri
-    191216U,	// ROL8m1
-    191587U,	// ROL8mCL
-    5259379U,	// ROL8mi
-    10992U,	// ROL8r1
-    11363U,	// ROL8rCL
-    2121843U,	// ROL8ri
-    109576U,	// ROR16m1
-    110047U,	// ROR16mCL
-    1067474U,	// ROR16mi
-    11272U,	// ROR16r1
-    11743U,	// ROR16rCL
-    2124242U,	// ROR16ri
-    117608U,	// ROR32m1
-    118015U,	// ROR32mCL
-    3163029U,	// ROR32mi
-    11112U,	// ROR32r1
-    11519U,	// ROR32rCL
-    2122645U,	// ROR32ri
-    125880U,	// ROR64m1
-    126319U,	// ROR64mCL
-    4212451U,	// ROR64mi
-    11192U,	// ROR64r1
-    11631U,	// ROR64rCL
-    2123491U,	// ROR64ri
-    191256U,	// ROR8m1
-    191631U,	// ROR8mCL
-    5259421U,	// ROR8mi
-    11032U,	// ROR8r1
-    11407U,	// ROR8rCL
-    2121885U,	// ROR8ri
-    6382787U,	// RORX32mi
-    35153091U,	// RORX32ri
-    6907916U,	// RORX64mi
-    35153932U,	// RORX64ri
-    5021U,	// RSM
-    4838U,	// SAHF
-    109506U,	// SAL16m1
-    109970U,	// SAL16mCL
-    1067327U,	// SAL16mi
-    11202U,	// SAL16r1
-    11666U,	// SAL16rCL
-    2124095U,	// SAL16ri
-    117538U,	// SAL32m1
-    117938U,	// SAL32mCL
-    3162842U,	// SAL32mi
-    11042U,	// SAL32r1
-    11442U,	// SAL32rCL
-    2122458U,	// SAL32ri
-    125810U,	// SAL64m1
-    126242U,	// SAL64mCL
-    4212299U,	// SAL64mi
-    11122U,	// SAL64r1
-    11554U,	// SAL64rCL
-    2123339U,	// SAL64ri
-    191186U,	// SAL8m1
-    191554U,	// SAL8mCL
-    5259361U,	// SAL8mi
-    10962U,	// SAL8r1
-    11330U,	// SAL8rCL
-    2121825U,	// SAL8ri
-    4700U,	// SALC
-    109546U,	// SAR16m1
-    110014U,	// SAR16mCL
-    1067450U,	// SAR16mi
-    11242U,	// SAR16r1
-    11710U,	// SAR16rCL
-    2124218U,	// SAR16ri
-    117578U,	// SAR32m1
-    117982U,	// SAR32mCL
-    3163011U,	// SAR32mi
-    11082U,	// SAR32r1
-    11486U,	// SAR32rCL
-    2122627U,	// SAR32ri
-    125850U,	// SAR64m1
-    126286U,	// SAR64mCL
-    4212433U,	// SAR64mi
-    11162U,	// SAR64r1
-    11598U,	// SAR64rCL
-    2123473U,	// SAR64ri
-    191226U,	// SAR8m1
-    191598U,	// SAR8mCL
-    5259403U,	// SAR8mi
-    11002U,	// SAR8r1
-    11374U,	// SAR8rCL
-    2121867U,	// SAR8ri
-    6382773U,	// SARX32rm
-    35153077U,	// SARX32rr
-    6907902U,	// SARX64rm
-    35153918U,	// SARX64rr
-    534658U,	// SBB16i16
-    1067138U,	// SBB16mi
-    1067138U,	// SBB16mi8
-    1067138U,	// SBB16mr
-    1599618U,	// SBB16ri
-    1599618U,	// SBB16ri8
-    1607810U,	// SBB16rm
-    1599618U,	// SBB16rr
-    2123906U,	// SBB16rr_REV
-    2630083U,	// SBB32i32
-    3162563U,	// SBB32mi
-    3162563U,	// SBB32mi8
-    3162563U,	// SBB32mr
-    1597891U,	// SBB32ri
-    1597891U,	// SBB32ri8
-    1614275U,	// SBB32rm
-    1597891U,	// SBB32rr
-    2122179U,	// SBB32rr_REV
-    3679536U,	// SBB64i32
-    4212016U,	// SBB64mi32
-    4212016U,	// SBB64mi8
-    4212016U,	// SBB64mr
-    1598768U,	// SBB64ri32
-    1598768U,	// SBB64ri8
-    1623344U,	// SBB64rm
-    1598768U,	// SBB64rr
-    2123056U,	// SBB64rr_REV
-    4726818U,	// SBB8i8
-    5259298U,	// SBB8mi
-    5259298U,	// SBB8mr
-    1597474U,	// SBB8ri
-    57378U,	// SBB8rm
-    1597474U,	// SBB8rr
-    2121762U,	// SBB8rr_REV
-    4866217U,	// SCASB
-    2778050U,	// SCASL
-    3835673U,	// SCASQ
-    698870U,	// SCASW
-    5400U,	// SEG_ALLOCA_32
-    5400U,	// SEG_ALLOCA_64
-    4803U,	// SEH_EndPrologue
-    4789U,	// SEH_Epilogue
-    12013U,	// SEH_PushFrame
-    12058U,	// SEH_PushReg
-    123219724U,	// SEH_SaveReg
-    123219638U,	// SEH_SaveXMM
-    123219709U,	// SEH_SetFrame
-    11996U,	// SEH_StackAlloc
-    188727U,	// SETAEm
-    8503U,	// SETAEr
-    188421U,	// SETAm
-    8197U,	// SETAr
-    188739U,	// SETBEm
-    8515U,	// SETBEr
+    295180U,	// MOVSB
+    304225U,	// MOVSL
+    313242U,	// MOVSQ
+    322204U,	// MOVSW
+    149723U,	// MOVSX16rm8
+    22620379U,	// MOVSX16rr8
+    147989U,	// MOVSX32_NOREXrm8
+    22618645U,	// MOVSX32_NOREXrr8
+    99541U,	// MOVSX32rm16
+    147989U,	// MOVSX32rm8
+    22619349U,	// MOVSX32rr16
+    22618645U,	// MOVSX32rr8
+    22619834U,	// MOVSX64_NOREXrr32
+    100360U,	// MOVSX64rm16
+    67258U,	// MOVSX64rm32
+    67258U,	// MOVSX64rm32_alt
+    148872U,	// MOVSX64rm8
+    22620168U,	// MOVSX64rr16
+    22619834U,	// MOVSX64rr32
+    22619528U,	// MOVSX64rr8
+    149745U,	// MOVZX16rm8
+    22620401U,	// MOVZX16rr8
+    148011U,	// MOVZX32_NOREXrm8
+    22618667U,	// MOVZX32_NOREXrr8
+    99549U,	// MOVZX32rm16
+    148011U,	// MOVZX32rm8
+    22619357U,	// MOVZX32rr16
+    22618667U,	// MOVZX32rr8
+    100368U,	// MOVZX64rm16_Q
+    148894U,	// MOVZX64rm8_Q
+    22620176U,	// MOVZX64rr16_Q
+    22619550U,	// MOVZX64rr8_Q
+    108985U,	// MUL16m
+    10681U,	// MUL16r
+    115551U,	// MUL32m
+    9055U,	// MUL32r
+    124611U,	// MUL64m
+    9923U,	// MUL64r
+    139448U,	// MUL8m
+    8376U,	// MUL8r
+    35169523U,	// MULX32rm
+    35153139U,	// MULX32rr
+    35178534U,	// MULX64rm
+    35153958U,	// MULX64rr
+    108915U,	// NEG16m
+    10611U,	// NEG16r
+    115436U,	// NEG32m
+    8940U,	// NEG32r
+    124511U,	// NEG64m
+    9823U,	// NEG64r
+    139403U,	// NEG8m
+    8331U,	// NEG8r
+    5254U,	// NOOP
+    109043U,	// NOOP18_16m4
+    109043U,	// NOOP18_16m5
+    109043U,	// NOOP18_16m6
+    109043U,	// NOOP18_16m7
+    10739U,	// NOOP18_16r4
+    10739U,	// NOOP18_16r5
+    10739U,	// NOOP18_16r6
+    10739U,	// NOOP18_16r7
+    115631U,	// NOOP18_m4
+    115631U,	// NOOP18_m5
+    115631U,	// NOOP18_m6
+    115631U,	// NOOP18_m7
+    9135U,	// NOOP18_r4
+    9135U,	// NOOP18_r5
+    9135U,	// NOOP18_r6
+    9135U,	// NOOP18_r7
+    123217235U,	// NOOP19rr
+    115631U,	// NOOPL
+    115631U,	// NOOPL_19
+    115631U,	// NOOPL_1a
+    115631U,	// NOOPL_1b
+    115631U,	// NOOPL_1c
+    115631U,	// NOOPL_1d
+    115631U,	// NOOPL_1e
+    109043U,	// NOOPW
+    109043U,	// NOOPW_19
+    109043U,	// NOOPW_1a
+    109043U,	// NOOPW_1b
+    109043U,	// NOOPW_1c
+    109043U,	// NOOPW_1d
+    109043U,	// NOOPW_1e
+    109289U,	// NOT16m
+    10985U,	// NOT16r
+    115885U,	// NOT32m
+    9389U,	// NOT32r
+    124896U,	// NOT64m
+    10208U,	// NOT64r
+    139545U,	// NOT8m
+    8473U,	// NOT8r
+    535078U,	// OR16i16
+    1067558U,	// OR16mi
+    1067558U,	// OR16mi8
+    1067558U,	// OR16mr
+    1600038U,	// OR16ri
+    1600038U,	// OR16ri8
+    1608230U,	// OR16rm
+    1600038U,	// OR16rr
+    2124326U,	// OR16rr_REV
+    2630626U,	// OR32i32
+    3163106U,	// OR32mi
+    3163106U,	// OR32mi8
+    3163106U,	// OR32mr
+    3163106U,	// OR32mrLocked
+    1598434U,	// OR32ri
+    1598434U,	// OR32ri8
+    1614818U,	// OR32rm
+    1598434U,	// OR32rr
+    2122722U,	// OR32rr_REV
+    3680046U,	// OR64i32
+    4212526U,	// OR64mi32
+    4212526U,	// OR64mi8
+    4212526U,	// OR64mr
+    1599278U,	// OR64ri32
+    1599278U,	// OR64ri8
+    1623854U,	// OR64rm
+    1599278U,	// OR64rr
+    2123566U,	// OR64rr_REV
+    4727004U,	// OR8i8
+    5259484U,	// OR8mi
+    5259484U,	// OR8mi8
+    5259484U,	// OR8mr
+    1597660U,	// OR8ri
+    1597660U,	// OR8ri8
+    57564U,	// OR8rm
+    1597660U,	// OR8rr
+    2121948U,	// OR8rr_REV
+    11863U,	// OUT16ir
+    5919U,	// OUT16rr
+    11913U,	// OUT32ir
+    5933U,	// OUT32rr
+    11391U,	// OUT8ir
+    5905U,	// OUT8rr
+    8618245U,	// OUTSB
+    8627289U,	// OUTSL
+    8645268U,	// OUTSW
+    5669U,	// PCOMMIT
+    35169170U,	// PDEP32rm
+    35152786U,	// PDEP32rr
+    35178225U,	// PDEP64rm
+    35153649U,	// PDEP64rr
+    35169466U,	// PEXT32rm
+    35153082U,	// PEXT32rr
+    35178477U,	// PEXT64rm
+    35153901U,	// PEXT64rr
+    10745U,	// POP16r
+    109049U,	// POP16rmm
+    10745U,	// POP16rmr
+    9141U,	// POP32r
+    115637U,	// POP32rmm
+    9141U,	// POP32rmr
+    9991U,	// POP64r
+    124679U,	// POP64rmm
+    9991U,	// POP64rmr
+    5702U,	// POPA16
+    5091U,	// POPA32
+    5413U,	// POPDS16
+    5394U,	// POPDS32
+    5451U,	// POPES16
+    5432U,	// POPES32
+    5715U,	// POPF16
+    5104U,	// POPF32
+    5265U,	// POPF64
+    5508U,	// POPFS16
+    5470U,	// POPFS32
+    5489U,	// POPFS64
+    5565U,	// POPGS16
+    5527U,	// POPGS32
+    5546U,	// POPGS64
+    5655U,	// POPSS16
+    5636U,	// POPSS32
+    10635U,	// PUSH16i8
+    10635U,	// PUSH16r
+    108939U,	// PUSH16rmm
+    10635U,	// PUSH16rmr
+    8964U,	// PUSH32i8
+    8964U,	// PUSH32r
+    115460U,	// PUSH32rmm
+    8964U,	// PUSH32rmr
+    10635U,	// PUSH64i16
+    9847U,	// PUSH64i32
+    9847U,	// PUSH64i8
+    9847U,	// PUSH64r
+    124535U,	// PUSH64rmm
+    9847U,	// PUSH64rmr
+    5695U,	// PUSHA16
+    5084U,	// PUSHA32
+    5374U,	// PUSHCS16
+    5364U,	// PUSHCS32
+    5403U,	// PUSHDS16
+    5384U,	// PUSHDS32
+    5441U,	// PUSHES16
+    5422U,	// PUSHES32
+    5708U,	// PUSHF16
+    5097U,	// PUSHF32
+    5258U,	// PUSHF64
+    5498U,	// PUSHFS16
+    5460U,	// PUSHFS32
+    5479U,	// PUSHFS64
+    5555U,	// PUSHGS16
+    5517U,	// PUSHGS32
+    5536U,	// PUSHGS64
+    5645U,	// PUSHSS16
+    5626U,	// PUSHSS32
+    10635U,	// PUSHi16
+    8964U,	// PUSHi32
+    109599U,	// RCL16m1
+    110064U,	// RCL16mCL
+    1067416U,	// RCL16mi
+    11295U,	// RCL16r1
+    11760U,	// RCL16rCL
+    2124184U,	// RCL16ri
+    117631U,	// RCL32m1
+    118032U,	// RCL32mCL
+    3162924U,	// RCL32mi
+    11135U,	// RCL32r1
+    11536U,	// RCL32rCL
+    2122540U,	// RCL32ri
+    125903U,	// RCL64m1
+    126336U,	// RCL64mCL
+    4212379U,	// RCL64mi
+    11215U,	// RCL64r1
+    11648U,	// RCL64rCL
+    2123419U,	// RCL64ri
+    142127U,	// RCL8m1
+    142496U,	// RCL8mCL
+    5259429U,	// RCL8mi
+    11055U,	// RCL8r1
+    11424U,	// RCL8rCL
+    2121893U,	// RCL8ri
+    109639U,	// RCR16m1
+    110108U,	// RCR16mCL
+    1067539U,	// RCR16mi
+    11335U,	// RCR16r1
+    11804U,	// RCR16rCL
+    2124307U,	// RCR16ri
+    117671U,	// RCR32m1
+    118076U,	// RCR32mCL
+    3163093U,	// RCR32mi
+    11175U,	// RCR32r1
+    11580U,	// RCR32rCL
+    2122709U,	// RCR32ri
+    125943U,	// RCR64m1
+    126380U,	// RCR64mCL
+    4212513U,	// RCR64mi
+    11255U,	// RCR64r1
+    11692U,	// RCR64rCL
+    2123553U,	// RCR64ri
+    142167U,	// RCR8m1
+    142540U,	// RCR8mCL
+    5259471U,	// RCR8mi
+    11095U,	// RCR8r1
+    11468U,	// RCR8rCL
+    2121935U,	// RCR8ri
+    8872U,	// RDFSBASE
+    9755U,	// RDFSBASE64
+    8894U,	// RDGSBASE
+    9777U,	// RDGSBASE64
+    5334U,	// RDMSR
+    4894U,	// RDPMC
+    10536U,	// RDRAND16r
+    8811U,	// RDRAND32r
+    9694U,	// RDRAND64r
+    10520U,	// RDSEED16r
+    8795U,	// RDSEED32r
+    9678U,	// RDSEED64r
+    4907U,	// RDTSC
+    5243U,	// RDTSCP
+    4340U,	// RELEASE_ADD32mi
+    4340U,	// RELEASE_ADD64mi32
+    4340U,	// RELEASE_ADD8mi
+    4340U,	// RELEASE_AND32mi
+    4340U,	// RELEASE_AND64mi32
+    4340U,	// RELEASE_AND8mi
+    4363U,	// RELEASE_DEC16m
+    4363U,	// RELEASE_DEC32m
+    4363U,	// RELEASE_DEC64m
+    4363U,	// RELEASE_DEC8m
+    4363U,	// RELEASE_INC16m
+    4363U,	// RELEASE_INC32m
+    4363U,	// RELEASE_INC64m
+    4363U,	// RELEASE_INC8m
+    3966U,	// RELEASE_MOV16mi
+    4406U,	// RELEASE_MOV16mr
+    3966U,	// RELEASE_MOV32mi
+    4406U,	// RELEASE_MOV32mr
+    3966U,	// RELEASE_MOV64mi32
+    4406U,	// RELEASE_MOV64mr
+    3966U,	// RELEASE_MOV8mi
+    4406U,	// RELEASE_MOV8mr
+    4340U,	// RELEASE_OR32mi
+    4340U,	// RELEASE_OR64mi32
+    4340U,	// RELEASE_OR8mi
+    4340U,	// RELEASE_XOR32mi
+    4340U,	// RELEASE_XOR64mi32
+    4340U,	// RELEASE_XOR8mi
+    4957U,	// REPNE_PREFIX
+    4838U,	// REP_MOVSB_32
+    4838U,	// REP_MOVSB_64
+    5143U,	// REP_MOVSD_32
+    5143U,	// REP_MOVSD_64
+    5281U,	// REP_MOVSQ_64
+    5731U,	// REP_MOVSW_32
+    5731U,	// REP_MOVSW_64
+    5250U,	// REP_PREFIX
+    4828U,	// REP_STOSB_32
+    4828U,	// REP_STOSB_64
+    5133U,	// REP_STOSD_32
+    5133U,	// REP_STOSD_64
+    5271U,	// REP_STOSQ_64
+    5721U,	// REP_STOSW_32
+    5721U,	// REP_STOSW_64
+    9361U,	// RETIL
+    10186U,	// RETIQ
+    10963U,	// RETIW
+    5154U,	// RETL
+    5292U,	// RETQ
+    5747U,	// RETW
+    4673U,	// REX64_PREFIX
+    109619U,	// ROL16m1
+    110086U,	// ROL16mCL
+    1067436U,	// ROL16mi
+    11315U,	// ROL16r1
+    11782U,	// ROL16rCL
+    2124204U,	// ROL16ri
+    117651U,	// ROL32m1
+    118054U,	// ROL32mCL
+    3162962U,	// ROL32mi
+    11155U,	// ROL32r1
+    11558U,	// ROL32rCL
+    2122578U,	// ROL32ri
+    125923U,	// ROL64m1
+    126358U,	// ROL64mCL
+    4212398U,	// ROL64mi
+    11235U,	// ROL64r1
+    11670U,	// ROL64rCL
+    2123438U,	// ROL64ri
+    142147U,	// ROL8m1
+    142518U,	// ROL8mCL
+    5259441U,	// ROL8mi
+    11075U,	// ROL8r1
+    11446U,	// ROL8rCL
+    2121905U,	// ROL8ri
+    109659U,	// ROR16m1
+    110130U,	// ROR16mCL
+    1067557U,	// ROR16mi
+    11355U,	// ROR16r1
+    11826U,	// ROR16rCL
+    2124325U,	// ROR16ri
+    117691U,	// ROR32m1
+    118098U,	// ROR32mCL
+    3163105U,	// ROR32mi
+    11195U,	// ROR32r1
+    11602U,	// ROR32rCL
+    2122721U,	// ROR32ri
+    125963U,	// ROR64m1
+    126402U,	// ROR64mCL
+    4212525U,	// ROR64mi
+    11275U,	// ROR64r1
+    11714U,	// ROR64rCL
+    2123565U,	// ROR64ri
+    142187U,	// ROR8m1
+    142562U,	// ROR8mCL
+    5259483U,	// ROR8mi
+    11115U,	// ROR8r1
+    11490U,	// ROR8rCL
+    2121947U,	// ROR8ri
+    6382863U,	// RORX32mi
+    35153167U,	// RORX32ri
+    6907970U,	// RORX64mi
+    35153986U,	// RORX64ri
+    5202U,	// RSM
+    5019U,	// SAHF
+    109589U,	// SAL16m1
+    110053U,	// SAL16mCL
+    1067410U,	// SAL16mi
+    11285U,	// SAL16r1
+    11749U,	// SAL16rCL
+    2124178U,	// SAL16ri
+    117621U,	// SAL32m1
+    118021U,	// SAL32mCL
+    3162918U,	// SAL32mi
+    11125U,	// SAL32r1
+    11525U,	// SAL32rCL
+    2122534U,	// SAL32ri
+    125893U,	// SAL64m1
+    126325U,	// SAL64mCL
+    4212373U,	// SAL64mi
+    11205U,	// SAL64r1
+    11637U,	// SAL64rCL
+    2123413U,	// SAL64ri
+    142117U,	// SAL8m1
+    142485U,	// SAL8mCL
+    5259423U,	// SAL8mi
+    11045U,	// SAL8r1
+    11413U,	// SAL8rCL
+    2121887U,	// SAL8ri
+    4881U,	// SALC
+    109629U,	// SAR16m1
+    110097U,	// SAR16mCL
+    1067533U,	// SAR16mi
+    11325U,	// SAR16r1
+    11793U,	// SAR16rCL
+    2124301U,	// SAR16ri
+    117661U,	// SAR32m1
+    118065U,	// SAR32mCL
+    3163087U,	// SAR32mi
+    11165U,	// SAR32r1
+    11569U,	// SAR32rCL
+    2122703U,	// SAR32ri
+    125933U,	// SAR64m1
+    126369U,	// SAR64mCL
+    4212507U,	// SAR64mi
+    11245U,	// SAR64r1
+    11681U,	// SAR64rCL
+    2123547U,	// SAR64ri
+    142157U,	// SAR8m1
+    142529U,	// SAR8mCL
+    5259465U,	// SAR8mi
+    11085U,	// SAR8r1
+    11457U,	// SAR8rCL
+    2121929U,	// SAR8ri
+    6382849U,	// SARX32rm
+    35153153U,	// SARX32rr
+    6907956U,	// SARX64rm
+    35153972U,	// SARX64rr
+    534741U,	// SBB16i16
+    1067221U,	// SBB16mi
+    1067221U,	// SBB16mi8
+    1067221U,	// SBB16mr
+    1599701U,	// SBB16ri
+    1599701U,	// SBB16ri8
+    1607893U,	// SBB16rm
+    1599701U,	// SBB16rr
+    2123989U,	// SBB16rr_REV
+    2630159U,	// SBB32i32
+    3162639U,	// SBB32mi
+    3162639U,	// SBB32mi8
+    3162639U,	// SBB32mr
+    1597967U,	// SBB32ri
+    1597967U,	// SBB32ri8
+    1614351U,	// SBB32rm
+    1597967U,	// SBB32rr
+    2122255U,	// SBB32rr_REV
+    3679618U,	// SBB64i32
+    4212098U,	// SBB64mi32
+    4212098U,	// SBB64mi8
+    4212098U,	// SBB64mr
+    1598850U,	// SBB64ri32
+    1598850U,	// SBB64ri8
+    1623426U,	// SBB64rm
+    1598850U,	// SBB64rr
+    2123138U,	// SBB64rr_REV
+    4726880U,	// SBB8i8
+    5259360U,	// SBB8mi
+    5259360U,	// SBB8mi8
+    5259360U,	// SBB8mr
+    1597536U,	// SBB8ri
+    1597536U,	// SBB8ri8
+    57440U,	// SBB8rm
+    1597536U,	// SBB8rr
+    2121824U,	// SBB8rr_REV
+    4874471U,	// SCASB
+    2786318U,	// SCASL
+    3843930U,	// SCASQ
+    707145U,	// SCASW
+    5581U,	// SEG_ALLOCA_32
+    5581U,	// SEG_ALLOCA_64
+    4984U,	// SEH_EndPrologue
+    4970U,	// SEH_Epilogue
+    12099U,	// SEH_PushFrame
+    12144U,	// SEH_PushReg
+    123219810U,	// SEH_SaveReg
+    123219724U,	// SEH_SaveXMM
+    123219795U,	// SEH_SetFrame
+    12082U,	// SEH_StackAlloc
+    139651U,	// SETAEm
+    8579U,	// SETAEr
+    139331U,	// SETAm
+    8259U,	// SETAr
+    139663U,	// SETBEm
+    8591U,	// SETBEr
     0U,	// SETB_C16r
     0U,	// SETB_C32r
     0U,	// SETB_C64r
     0U,	// SETB_C8r
-    188629U,	// SETBm
-    8405U,	// SETBr
-    188801U,	// SETEm
-    8577U,	// SETEr
-    188751U,	// SETGEm
-    8527U,	// SETGEr
-    188826U,	// SETGm
-    8602U,	// SETGr
-    188767U,	// SETLEm
-    8543U,	// SETLEr
-    189515U,	// SETLm
-    9291U,	// SETLr
-    188787U,	// SETNEm
-    8563U,	// SETNEr
-    189663U,	// SETNOm
-    9439U,	// SETNOr
-    189690U,	// SETNPm
-    9466U,	// SETNPr
-    190535U,	// SETNSm
-    10311U,	// SETNSr
-    189670U,	// SETOm
-    9446U,	// SETOr
-    189708U,	// SETPm
-    9484U,	// SETPr
-    190542U,	// SETSm
-    10318U,	// SETSr
-    199260U,	// SGDT16m
-    197672U,	// SGDT32m
-    198508U,	// SGDT64m
-    109526U,	// SHL16m1
-    109992U,	// SHL16mCL
-    1067339U,	// SHL16mi
-    11222U,	// SHL16r1
-    11688U,	// SHL16rCL
-    2124107U,	// SHL16ri
-    117558U,	// SHL32m1
-    117960U,	// SHL32mCL
-    3162854U,	// SHL32mi
-    11062U,	// SHL32r1
-    11464U,	// SHL32rCL
-    2122470U,	// SHL32ri
-    125830U,	// SHL64m1
-    126264U,	// SHL64mCL
-    4212311U,	// SHL64mi
-    11142U,	// SHL64r1
-    11576U,	// SHL64rCL
-    2123351U,	// SHL64ri
-    191206U,	// SHL8m1
-    191576U,	// SHL8mCL
-    5259373U,	// SHL8mi
-    10982U,	// SHL8r1
-    11352U,	// SHL8rCL
-    2121837U,	// SHL8ri
-    1068410U,	// SHLD16mrCL
-    227633358U,	// SHLD16mri8
-    2125178U,	// SHLD16rrCL
-    321742U,	// SHLD16rri8
-    3165338U,	// SHLD32mrCL
-    244408856U,	// SHLD32mri8
-    2124954U,	// SHLD32rrCL
-    320024U,	// SHLD32rri8
-    4214026U,	// SHLD64mrCL
-    261186949U,	// SHLD64mri8
-    2125066U,	// SHLD64rrCL
-    320901U,	// SHLD64rri8
-    6382752U,	// SHLX32rm
-    35153056U,	// SHLX32rr
-    6907881U,	// SHLX64rm
-    35153897U,	// SHLX64rr
-    109566U,	// SHR16m1
-    110036U,	// SHR16mCL
-    1067468U,	// SHR16mi
-    11262U,	// SHR16r1
-    11732U,	// SHR16rCL
-    2124236U,	// SHR16ri
-    117598U,	// SHR32m1
-    118004U,	// SHR32mCL
-    3163023U,	// SHR32mi
-    11102U,	// SHR32r1
-    11508U,	// SHR32rCL
-    2122639U,	// SHR32ri
-    125870U,	// SHR64m1
-    126308U,	// SHR64mCL
-    4212445U,	// SHR64mi
-    11182U,	// SHR64r1
-    11620U,	// SHR64rCL
-    2123485U,	// SHR64ri
-    191246U,	// SHR8m1
-    191620U,	// SHR8mCL
-    5259415U,	// SHR8mi
-    11022U,	// SHR8r1
-    11396U,	// SHR8rCL
-    2121879U,	// SHR8ri
-    1068422U,	// SHRD16mrCL
-    227633374U,	// SHRD16mri8
-    2125190U,	// SHRD16rrCL
-    321758U,	// SHRD16rri8
-    3165350U,	// SHRD32mrCL
-    244408872U,	// SHRD32mri8
-    2124966U,	// SHRD32rrCL
-    320040U,	// SHRD32rri8
-    4214038U,	// SHRD64mrCL
-    261186965U,	// SHRD64mri8
-    2125078U,	// SHRD64rrCL
-    320917U,	// SHRD64rri8
-    6382780U,	// SHRX32rm
-    35153084U,	// SHRX32rr
-    6907909U,	// SHRX64rm
-    35153925U,	// SHRX64rr
-    199274U,	// SIDT16m
-    197686U,	// SIDT32m
-    198522U,	// SIDT64m
-    5617U,	// SKINIT
-    109176U,	// SLDT16m
-    10872U,	// SLDT16r
-    9277U,	// SLDT32r
-    108417U,	// SLDT64m
-    10113U,	// SLDT64r
-    109239U,	// SMSW16m
-    10935U,	// SMSW16r
-    9346U,	// SMSW32r
-    10187U,	// SMSW64r
-    4678U,	// STAC
-    4732U,	// STC
-    4751U,	// STD
-    4857U,	// STGI
-    4866U,	// STI
-    150560U,	// STOSB
-    159273U,	// STOSL
-    167517U,	// STOSQ
-    175608U,	// STOSW
-    10736U,	// STR16r
-    9140U,	// STR32r
-    9995U,	// STR64r
-    109040U,	// STRm
-    534672U,	// SUB16i16
-    1067152U,	// SUB16mi
-    1067152U,	// SUB16mi8
-    1067152U,	// SUB16mr
-    1599632U,	// SUB16ri
-    1599632U,	// SUB16ri8
-    1607824U,	// SUB16rm
-    1599632U,	// SUB16rr
-    2123920U,	// SUB16rr_REV
-    2630097U,	// SUB32i32
-    3162577U,	// SUB32mi
-    3162577U,	// SUB32mi8
-    3162577U,	// SUB32mr
-    1597905U,	// SUB32ri
-    1597905U,	// SUB32ri8
-    1614289U,	// SUB32rm
-    1597905U,	// SUB32rr
-    2122193U,	// SUB32rr_REV
-    3679550U,	// SUB64i32
-    4212030U,	// SUB64mi32
-    4212030U,	// SUB64mi8
-    4212030U,	// SUB64mr
-    1598782U,	// SUB64ri32
-    1598782U,	// SUB64ri8
-    1623358U,	// SUB64rm
-    1598782U,	// SUB64rr
-    2123070U,	// SUB64rr_REV
-    4726824U,	// SUB8i8
-    5259304U,	// SUB8mi
-    5259304U,	// SUB8mr
-    1597480U,	// SUB8ri
-    1597480U,	// SUB8ri8
-    57384U,	// SUB8rm
-    1597480U,	// SUB8rr
-    2121768U,	// SUB8rr_REV
-    5393U,	// SWAPGS
-    4944U,	// SYSCALL
-    5144U,	// SYSENTER
-    4992U,	// SYSEXIT
-    5130U,	// SYSEXIT64
-    4984U,	// SYSRET
-    5122U,	// SYSRET64
-    65795U,	// T1MSKC32rm
-    22618371U,	// T1MSKC32rr
-    82179U,	// T1MSKC64rm
-    22618371U,	// T1MSKC64rr
-    10093808U,	// TAILJMPd
-    10093808U,	// TAILJMPd64
-    10080429U,	// TAILJMPm
-    10088638U,	// TAILJMPm64
+    139539U,	// SETBm
+    8467U,	// SETBr
+    139725U,	// SETEm
+    8653U,	// SETEr
+    139675U,	// SETGEm
+    8603U,	// SETGEr
+    139750U,	// SETGm
+    8678U,	// SETGr
+    139691U,	// SETLEm
+    8619U,	// SETLEr
+    140439U,	// SETLm
+    9367U,	// SETLr
+    139711U,	// SETNEm
+    8639U,	// SETNEr
+    140587U,	// SETNOm
+    9515U,	// SETNOr
+    140620U,	// SETNPm
+    9548U,	// SETNPr
+    141445U,	// SETNSm
+    10373U,	// SETNSr
+    140594U,	// SETOm
+    9522U,	// SETOr
+    140638U,	// SETPm
+    9566U,	// SETPr
+    141461U,	// SETSm
+    10389U,	// SETSr
+    199343U,	// SGDT16m
+    197748U,	// SGDT32m
+    198573U,	// SGDT64m
+    109609U,	// SHL16m1
+    110075U,	// SHL16mCL
+    1067422U,	// SHL16mi
+    11305U,	// SHL16r1
+    11771U,	// SHL16rCL
+    2124190U,	// SHL16ri
+    117641U,	// SHL32m1
+    118043U,	// SHL32mCL
+    3162930U,	// SHL32mi
+    11145U,	// SHL32r1
+    11547U,	// SHL32rCL
+    2122546U,	// SHL32ri
+    125913U,	// SHL64m1
+    126347U,	// SHL64mCL
+    4212385U,	// SHL64mi
+    11225U,	// SHL64r1
+    11659U,	// SHL64rCL
+    2123425U,	// SHL64ri
+    142137U,	// SHL8m1
+    142507U,	// SHL8mCL
+    5259435U,	// SHL8mi
+    11065U,	// SHL8r1
+    11435U,	// SHL8rCL
+    2121899U,	// SHL8ri
+    1068493U,	// SHLD16mrCL
+    210331937U,	// SHLD16mri8
+    2125261U,	// SHLD16rrCL
+    330017U,	// SHLD16rri8
+    3165421U,	// SHLD32mrCL
+    227107428U,	// SHLD32mri8
+    2125037U,	// SHLD32rrCL
+    328292U,	// SHLD32rri8
+    4214109U,	// SHLD64mrCL
+    243885527U,	// SHLD64mri8
+    2125149U,	// SHLD64rrCL
+    329175U,	// SHLD64rri8
+    6382828U,	// SHLX32rm
+    35153132U,	// SHLX32rr
+    6907935U,	// SHLX64rm
+    35153951U,	// SHLX64rr
+    109649U,	// SHR16m1
+    110119U,	// SHR16mCL
+    1067551U,	// SHR16mi
+    11345U,	// SHR16r1
+    11815U,	// SHR16rCL
+    2124319U,	// SHR16ri
+    117681U,	// SHR32m1
+    118087U,	// SHR32mCL
+    3163099U,	// SHR32mi
+    11185U,	// SHR32r1
+    11591U,	// SHR32rCL
+    2122715U,	// SHR32ri
+    125953U,	// SHR64m1
+    126391U,	// SHR64mCL
+    4212519U,	// SHR64mi
+    11265U,	// SHR64r1
+    11703U,	// SHR64rCL
+    2123559U,	// SHR64ri
+    142177U,	// SHR8m1
+    142551U,	// SHR8mCL
+    5259477U,	// SHR8mi
+    11105U,	// SHR8r1
+    11479U,	// SHR8rCL
+    2121941U,	// SHR8ri
+    1068505U,	// SHRD16mrCL
+    210331953U,	// SHRD16mri8
+    2125273U,	// SHRD16rrCL
+    330033U,	// SHRD16rri8
+    3165433U,	// SHRD32mrCL
+    227107444U,	// SHRD32mri8
+    2125049U,	// SHRD32rrCL
+    328308U,	// SHRD32rri8
+    4214121U,	// SHRD64mrCL
+    243885543U,	// SHRD64mri8
+    2125161U,	// SHRD64rrCL
+    329191U,	// SHRD64rri8
+    6382856U,	// SHRX32rm
+    35153160U,	// SHRX32rr
+    6907963U,	// SHRX64rm
+    35153979U,	// SHRX64rr
+    199357U,	// SIDT16m
+    197762U,	// SIDT32m
+    198587U,	// SIDT64m
+    5806U,	// SKINIT
+    109259U,	// SLDT16m
+    10955U,	// SLDT16r
+    9353U,	// SLDT32r
+    108482U,	// SLDT64m
+    10178U,	// SLDT64r
+    109322U,	// SMSW16m
+    11018U,	// SMSW16r
+    9422U,	// SMSW32r
+    10241U,	// SMSW64r
+    4859U,	// STAC
+    4913U,	// STC
+    4932U,	// STD
+    5038U,	// STGI
+    5047U,	// STI
+    158835U,	// STOSB
+    167548U,	// STOSL
+    175792U,	// STOSQ
+    183883U,	// STOSW
+    10819U,	// STR16r
+    9216U,	// STR32r
+    10060U,	// STR64r
+    109123U,	// STRm
+    534755U,	// SUB16i16
+    1067235U,	// SUB16mi
+    1067235U,	// SUB16mi8
+    1067235U,	// SUB16mr
+    1599715U,	// SUB16ri
+    1599715U,	// SUB16ri8
+    1607907U,	// SUB16rm
+    1599715U,	// SUB16rr
+    2124003U,	// SUB16rr_REV
+    2630173U,	// SUB32i32
+    3162653U,	// SUB32mi
+    3162653U,	// SUB32mi8
+    3162653U,	// SUB32mr
+    1597981U,	// SUB32ri
+    1597981U,	// SUB32ri8
+    1614365U,	// SUB32rm
+    1597981U,	// SUB32rr
+    2122269U,	// SUB32rr_REV
+    3679632U,	// SUB64i32
+    4212112U,	// SUB64mi32
+    4212112U,	// SUB64mi8
+    4212112U,	// SUB64mr
+    1598864U,	// SUB64ri32
+    1598864U,	// SUB64ri8
+    1623440U,	// SUB64rm
+    1598864U,	// SUB64rr
+    2123152U,	// SUB64rr_REV
+    4726886U,	// SUB8i8
+    5259366U,	// SUB8mi
+    5259366U,	// SUB8mi8
+    5259366U,	// SUB8mr
+    1597542U,	// SUB8ri
+    1597542U,	// SUB8ri8
+    57446U,	// SUB8rm
+    1597542U,	// SUB8rr
+    2121830U,	// SUB8rr_REV
+    5574U,	// SWAPGS
+    5125U,	// SYSCALL
+    5325U,	// SYSENTER
+    5173U,	// SYSEXIT
+    5311U,	// SYSEXIT64
+    5165U,	// SYSRET
+    5303U,	// SYSRET64
+    65871U,	// T1MSKC32rm
+    22618447U,	// T1MSKC32rr
+    82255U,	// T1MSKC64rm
+    22618447U,	// T1MSKC64rr
+    132418U,	// TAILJMPd
+    132418U,	// TAILJMPd64
+    132412U,	// TAILJMPd64_REX
+    119125U,	// TAILJMPm
+    127339U,	// TAILJMPm64
+    127333U,	// TAILJMPm64_REX
     0U,	// TAILJMPr
-    9973950U,	// TAILJMPr64
+    12651U,	// TAILJMPr64
+    12645U,	// TAILJMPr64_REX
     0U,	// TCRETURNdi
     0U,	// TCRETURNdi64
     0U,	// TCRETURNmi
     0U,	// TCRETURNmi64
     0U,	// TCRETURNri
     0U,	// TCRETURNri64
-    535196U,	// TEST16i16
-    1067676U,	// TEST16mi
-    1067676U,	// TEST16mi_alt
-    22620828U,	// TEST16ri
-    22620828U,	// TEST16ri_alt
-    1067676U,	// TEST16rm
-    22620828U,	// TEST16rr
-    2630759U,	// TEST32i32
-    3163239U,	// TEST32mi
-    3163239U,	// TEST32mi_alt
-    22619239U,	// TEST32ri
-    22619239U,	// TEST32ri_alt
-    3163239U,	// TEST32rm
-    22619239U,	// TEST32rr
-    3680176U,	// TEST64i32
-    4212656U,	// TEST64mi32
-    4212656U,	// TEST64mi32_alt
-    22620080U,	// TEST64ri32
-    22620080U,	// TEST64ri32_alt
-    4212656U,	// TEST64rm
-    22620080U,	// TEST64rr
-    4727009U,	// TEST8i8
-    5259489U,	// TEST8mi
-    5259489U,	// TEST8mi_alt
-    22618337U,	// TEST8ri
+    535279U,	// TEST16i16
+    1067759U,	// TEST16mi
+    1067759U,	// TEST16mi_alt
+    22620911U,	// TEST16ri
+    22620911U,	// TEST16ri_alt
+    257436399U,	// TEST16rm
+    22620911U,	// TEST16rr
+    2630835U,	// TEST32i32
+    3163315U,	// TEST32mi
+    3163315U,	// TEST32mi_alt
+    22619315U,	// TEST32ri
+    22619315U,	// TEST32ri_alt
+    274212019U,	// TEST32rm
+    22619315U,	// TEST32rr
+    3680230U,	// TEST64i32
+    4212710U,	// TEST64mi32
+    4212710U,	// TEST64mi32_alt
+    22620134U,	// TEST64ri32
+    22620134U,	// TEST64ri32_alt
+    290990054U,	// TEST64rm
+    22620134U,	// TEST64rr
+    4727071U,	// TEST8i8
+    5259551U,	// TEST8mi
+    5259551U,	// TEST8mi_alt
+    22618399U,	// TEST8ri
     0U,	// TEST8ri_NOREX
-    22618337U,	// TEST8ri_alt
-    5259489U,	// TEST8rm
-    22618337U,	// TEST8rr
-    4358U,	// TLSCall_32
-    4448U,	// TLSCall_64
-    4371U,	// TLS_addr32
-    4461U,	// TLS_addr64
-    4384U,	// TLS_base_addr32
-    4474U,	// TLS_base_addr64
-    4402U,	// TRAP
-    101006U,	// TZCNT16rm
-    22620814U,	// TZCNT16rr
-    66649U,	// TZCNT32rm
-    22619225U,	// TZCNT32rr
-    83863U,	// TZCNT64rm
-    22620055U,	// TZCNT64rr
-    65966U,	// TZMSK32rm
-    22618542U,	// TZMSK32rr
-    82350U,	// TZMSK64rm
-    22618542U,	// TZMSK64rr
-    4612U,	// UD2B
-    274214548U,	// VAARG_64
-    1196961476U,	// VASTART_SAVE_XMM_REGS
-    108587U,	// VERRm
-    10283U,	// VERRr
-    108998U,	// VERWm
-    10694U,	// VERWr
-    4937U,	// VMCALL
-    124947U,	// VMCLEARm
-    4719U,	// VMFUNC
-    4843U,	// VMLAUNCH
-    5582U,	// VMLOAD32
-    5662U,	// VMLOAD64
-    4929U,	// VMMCALL
-    123170U,	// VMPTRLDm
-    125035U,	// VMPTRSTm
-    3162623U,	// VMREAD32rm
-    22618623U,	// VMREAD32rr
-    4212076U,	// VMREAD64rm
-    22619500U,	// VMREAD64rr
-    4767U,	// VMRESUME
-    5606U,	// VMRUN32
-    5686U,	// VMRUN64
-    5594U,	// VMSAVE32
-    5674U,	// VMSAVE64
-    66184U,	// VMWRITE32rm
-    22618760U,	// VMWRITE32rr
-    83445U,	// VMWRITE64rm
-    22619637U,	// VMWRITE64rr
-    4826U,	// VMXOFF
-    124111U,	// VMXON
-    132701U,	// W64ALLOCA
-    4760U,	// WBINVD
-    5025U,	// WIN_ALLOCA
-    4870U,	// WIN_FTOL_32
-    4870U,	// WIN_FTOL_64
-    8807U,	// WRFSBASE
-    9684U,	// WRFSBASE64
-    8829U,	// WRGSBASE
-    9706U,	// WRGSBASE64
-    5159U,	// WRMSR
-    1067198U,	// XADD16rm
-    22620350U,	// XADD16rr
-    3162632U,	// XADD32rm
-    22618632U,	// XADD32rr
-    4212085U,	// XADD64rm
-    22619509U,	// XADD64rr
-    5259328U,	// XADD8rm
-    22618176U,	// XADD8rr
-    534825U,	// XCHG16ar
-    140060969U,	// XCHG16rm
-    291055913U,	// XCHG16rr
-    2630313U,	// XCHG32ar
-    2630313U,	// XCHG32ar64
-    156836521U,	// XCHG32rm
-    291054249U,	// XCHG32rr
-    3679774U,	// XCHG64ar
-    173614622U,	// XCHG64rm
-    291055134U,	// XCHG64rr
-    190390358U,	// XCHG8rm
-    291053654U,	// XCHG8rr
-    4683U,	// XCRYPTCBC
-    4627U,	// XCRYPTCFB
-    5165U,	// XCRYPTCTR
-    4617U,	// XCRYPTECB
-    4637U,	// XCRYPTOFB
-    5492U,	// XGETBV
-    4667U,	// XLAT
-    535000U,	// XOR16i16
-    1067480U,	// XOR16mi
-    1067480U,	// XOR16mi8
-    1067480U,	// XOR16mr
-    1599960U,	// XOR16ri
-    1599960U,	// XOR16ri8
-    1608152U,	// XOR16rm
-    1599960U,	// XOR16rr
-    2124248U,	// XOR16rr_REV
-    2630555U,	// XOR32i32
-    3163035U,	// XOR32mi
-    3163035U,	// XOR32mi8
-    3163035U,	// XOR32mr
-    1598363U,	// XOR32ri
-    1598363U,	// XOR32ri8
-    1614747U,	// XOR32rm
-    1598363U,	// XOR32rr
-    2122651U,	// XOR32rr_REV
-    3679986U,	// XOR64i32
-    4212466U,	// XOR64mi32
-    4212466U,	// XOR64mi8
-    4212466U,	// XOR64mr
-    1599218U,	// XOR64ri32
-    1599218U,	// XOR64ri8
-    1623794U,	// XOR64rm
-    1599218U,	// XOR64rr
-    2123506U,	// XOR64rr_REV
-    4726947U,	// XOR8i8
-    5259427U,	// XOR8mi
-    5259427U,	// XOR8mr
-    1597603U,	// XOR8ri
-    1597603U,	// XOR8ri8
-    57507U,	// XOR8rm
-    1597603U,	// XOR8rr
-    2121891U,	// XOR8rr_REV
-    198691U,	// XRSTOR
-    198377U,	// XRSTOR64
-    196999U,	// XSAVE
-    198143U,	// XSAVE64
-    198753U,	// XSAVEOPT
-    198565U,	// XSAVEOPT64
-    5499U,	// XSETBV
-    4310U,	// XSHA1
-    4505U,	// XSHA256
-    4782U,	// XSTORE
+    22618399U,	// TEST8ri_alt
+    307765535U,	// TEST8rm
+    22618399U,	// TEST8rr
+    4539U,	// TLSCall_32
+    4629U,	// TLSCall_64
+    4552U,	// TLS_addr32
+    4642U,	// TLS_addr64
+    4565U,	// TLS_base_addr32
+    4655U,	// TLS_base_addr64
+    4583U,	// TRAP
+    101089U,	// TZCNT16rm
+    22620897U,	// TZCNT16rr
+    66725U,	// TZCNT32rm
+    22619301U,	// TZCNT32rr
+    83928U,	// TZCNT64rm
+    22620120U,	// TZCNT64rr
+    66042U,	// TZMSK32rm
+    22618618U,	// TZMSK32rr
+    82426U,	// TZMSK64rm
+    22618618U,	// TZMSK64rr
+    4793U,	// UD2B
+    844639978U,	// VAARG_64
+    1733832474U,	// VASTART_SAVE_XMM_REGS
+    108641U,	// VERRm
+    10337U,	// VERRr
+    109081U,	// VERWm
+    10777U,	// VERWr
+    5118U,	// VMCALL
+    125001U,	// VMCLEARm
+    4900U,	// VMFUNC
+    5024U,	// VMLAUNCH
+    5771U,	// VMLOAD32
+    5851U,	// VMLOAD64
+    5110U,	// VMMCALL
+    123246U,	// VMPTRLDm
+    125118U,	// VMPTRSTm
+    3162699U,	// VMREAD32rm
+    22618699U,	// VMREAD32rr
+    4212158U,	// VMREAD64rm
+    22619582U,	// VMREAD64rr
+    4948U,	// VMRESUME
+    5795U,	// VMRUN32
+    5875U,	// VMRUN64
+    5783U,	// VMSAVE32
+    5863U,	// VMSAVE64
+    66260U,	// VMWRITE32rm
+    22618836U,	// VMWRITE32rr
+    83527U,	// VMWRITE64rm
+    22619719U,	// VMWRITE64rr
+    5007U,	// VMXOFF
+    124187U,	// VMXON
+    4941U,	// WBINVD
+    5206U,	// WIN_ALLOCA
+    5051U,	// WIN_FTOL_32
+    5051U,	// WIN_FTOL_64
+    8883U,	// WRFSBASE
+    9766U,	// WRFSBASE64
+    8905U,	// WRGSBASE
+    9788U,	// WRGSBASE64
+    5340U,	// WRMSR
+    1067281U,	// XADD16rm
+    22620433U,	// XADD16rr
+    3162708U,	// XADD32rm
+    22618708U,	// XADD32rr
+    4212167U,	// XADD64rm
+    22619591U,	// XADD64rr
+    5259390U,	// XADD8rm
+    22618238U,	// XADD8rr
+    534908U,	// XCHG16ar
+    140061052U,	// XCHG16rm
+    324610428U,	// XCHG16rr
+    2630389U,	// XCHG32ar
+    2630389U,	// XCHG32ar64
+    156836597U,	// XCHG32rm
+    324608757U,	// XCHG32rr
+    3679848U,	// XCHG64ar
+    173614696U,	// XCHG64rm
+    324609640U,	// XCHG64rr
+    190390420U,	// XCHG8rm
+    324608148U,	// XCHG8rr
+    4864U,	// XCRYPTCBC
+    4808U,	// XCRYPTCFB
+    5346U,	// XCRYPTCTR
+    4798U,	// XCRYPTECB
+    4818U,	// XCRYPTOFB
+    5681U,	// XGETBV
+    4848U,	// XLAT
+    535083U,	// XOR16i16
+    1067563U,	// XOR16mi
+    1067563U,	// XOR16mi8
+    1067563U,	// XOR16mr
+    1600043U,	// XOR16ri
+    1600043U,	// XOR16ri8
+    1608235U,	// XOR16rm
+    1600043U,	// XOR16rr
+    2124331U,	// XOR16rr_REV
+    2630631U,	// XOR32i32
+    3163111U,	// XOR32mi
+    3163111U,	// XOR32mi8
+    3163111U,	// XOR32mr
+    1598439U,	// XOR32ri
+    1598439U,	// XOR32ri8
+    1614823U,	// XOR32rm
+    1598439U,	// XOR32rr
+    2122727U,	// XOR32rr_REV
+    3680051U,	// XOR64i32
+    4212531U,	// XOR64mi32
+    4212531U,	// XOR64mi8
+    4212531U,	// XOR64mr
+    1599283U,	// XOR64ri32
+    1599283U,	// XOR64ri8
+    1623859U,	// XOR64rm
+    1599283U,	// XOR64rr
+    2123571U,	// XOR64rr_REV
+    4727009U,	// XOR8i8
+    5259489U,	// XOR8mi
+    5259489U,	// XOR8mi8
+    5259489U,	// XOR8mr
+    1597665U,	// XOR8ri
+    1597665U,	// XOR8ri8
+    57569U,	// XOR8rm
+    1597665U,	// XOR8rr
+    2121953U,	// XOR8rr_REV
+    198745U,	// XRSTOR
+    196628U,	// XRSTOR64
+    198796U,	// XRSTORS
+    196648U,	// XRSTORS64
+    197075U,	// XSAVE
+    196619U,	// XSAVE64
+    196921U,	// XSAVEC
+    196609U,	// XSAVEC64
+    198824U,	// XSAVEOPT
+    196659U,	// XSAVEOPT64
+    198772U,	// XSAVES
+    196638U,	// XSAVES64
+    5688U,	// XSETBV
+    4491U,	// XSHA1
+    4686U,	// XSHA256
+    4963U,	// XSTORE
     0U
   };
 
 #ifndef CAPSTONE_DIET
-  static const char AsmStrs[] = {
-  /* 0 */ 'j', 'a', 9, 0,
-  /* 4 */ 's', 'e', 't', 'a', 9, 0,
-  /* 10 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
-  /* 22 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
-  /* 33 */ 's', 'b', 'b', 'b', 9, 0,
-  /* 39 */ 's', 'u', 'b', 'b', 9, 0,
-  /* 45 */ 'a', 'd', 'c', 'b', 9, 0,
-  /* 51 */ 'd', 'e', 'c', 'b', 9, 0,
-  /* 57 */ 'i', 'n', 'c', 'b', 9, 0,
-  /* 63 */ 'x', 'a', 'd', 'd', 'b', 9, 0,
-  /* 70 */ 'a', 'n', 'd', 'b', 9, 0,
-  /* 76 */ 'n', 'e', 'g', 'b', 9, 0,
-  /* 82 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'b', 9, 0,
-  /* 92 */ 'j', 'b', 9, 0,
-  /* 96 */ 's', 'a', 'l', 'b', 9, 0,
-  /* 102 */ 'r', 'c', 'l', 'b', 9, 0,
-  /* 108 */ 's', 'h', 'l', 'b', 9, 0,
-  /* 114 */ 'r', 'o', 'l', 'b', 9, 0,
-  /* 120 */ 'i', 'm', 'u', 'l', 'b', 9, 0,
-  /* 127 */ 'i', 'n', 'b', 9, 0,
-  /* 132 */ 'c', 'm', 'p', 'b', 9, 0,
-  /* 138 */ 's', 'a', 'r', 'b', 9, 0,
-  /* 144 */ 'r', 'c', 'r', 'b', 9, 0,
-  /* 150 */ 's', 'h', 'r', 'b', 9, 0,
-  /* 156 */ 'r', 'o', 'r', 'b', 9, 0,
-  /* 162 */ 'x', 'o', 'r', 'b', 9, 0,
-  /* 168 */ 's', 'c', 'a', 's', 'b', 9, 0,
-  /* 175 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, 0,
-  /* 184 */ 'l', 'o', 'd', 's', 'b', 9, 0,
-  /* 191 */ 'c', 'm', 'p', 's', 'b', 9, 0,
-  /* 198 */ 'o', 'u', 't', 's', 'b', 9, 0,
-  /* 205 */ 'm', 'o', 'v', 's', 'b', 9, 0,
-  /* 212 */ 's', 'e', 't', 'b', 9, 0,
-  /* 218 */ 'n', 'o', 't', 'b', 9, 0,
-  /* 224 */ 't', 'e', 's', 't', 'b', 9, 0,
-  /* 231 */ 'i', 'd', 'i', 'v', 'b', 9, 0,
-  /* 238 */ 'm', 'o', 'v', 'b', 9, 0,
-  /* 244 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
-  /* 251 */ 'b', 'l', 's', 'i', 'c', 9, 0,
-  /* 258 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
-  /* 266 */ 'a', 'a', 'd', 9, 0,
-  /* 271 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
-  /* 280 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
-  /* 289 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
-  /* 298 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
-  /* 305 */ 'j', 'a', 'e', 9, 0,
-  /* 310 */ 's', 'e', 't', 'a', 'e', 9, 0,
-  /* 317 */ 'j', 'b', 'e', 9, 0,
-  /* 322 */ 's', 'e', 't', 'b', 'e', 9, 0,
-  /* 329 */ 'j', 'g', 'e', 9, 0,
-  /* 334 */ 's', 'e', 't', 'g', 'e', 9, 0,
-  /* 341 */ 'j', 'e', 9, 0,
-  /* 345 */ 'j', 'l', 'e', 9, 0,
-  /* 350 */ 's', 'e', 't', 'l', 'e', 9, 0,
-  /* 357 */ 'j', 'n', 'e', 9, 0,
-  /* 362 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
-  /* 370 */ 's', 'e', 't', 'n', 'e', 9, 0,
-  /* 377 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
-  /* 384 */ 's', 'e', 't', 'e', 9, 0,
-  /* 390 */ 'x', 's', 'a', 'v', 'e', 9, 0,
-  /* 397 */ 'j', 'g', 9, 0,
-  /* 401 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
-  /* 409 */ 's', 'e', 't', 'g', 9, 0,
-  /* 415 */ 'b', 'l', 'c', 'i', 9, 0,
-  /* 421 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
-  /* 429 */ 't', 'z', 'm', 's', 'k', 9, 0,
-  /* 436 */ 'l', 'e', 'a', 'l', 9, 0,
-  /* 442 */ 'c', 'm', 'o', 'v', 'a', 'l', 9, 0,
-  /* 450 */ 's', 'b', 'b', 'l', 9, 0,
-  /* 456 */ 'm', 'o', 'v', 's', 'b', 'l', 9, 0,
-  /* 464 */ 's', 'u', 'b', 'l', 9, 0,
-  /* 470 */ 'c', 'm', 'o', 'v', 'b', 'l', 9, 0,
-  /* 478 */ 'm', 'o', 'v', 'z', 'b', 'l', 9, 0,
-  /* 486 */ 'a', 'd', 'c', 'l', 9, 0,
-  /* 492 */ 'd', 'e', 'c', 'l', 9, 0,
-  /* 498 */ 'i', 'n', 'c', 'l', 9, 0,
-  /* 504 */ 'b', 't', 'c', 'l', 9, 0,
-  /* 510 */ 'v', 'm', 'r', 'e', 'a', 'd', 'l', 9, 0,
-  /* 519 */ 'x', 'a', 'd', 'd', 'l', 9, 0,
-  /* 526 */ 'r', 'd', 's', 'e', 'e', 'd', 'l', 9, 0,
-  /* 535 */ 's', 'h', 'l', 'd', 'l', 9, 0,
-  /* 542 */ 'r', 'd', 'r', 'a', 'n', 'd', 'l', 9, 0,
-  /* 551 */ 's', 'h', 'r', 'd', 'l', 9, 0,
-  /* 558 */ 'c', 'm', 'o', 'v', 'a', 'e', 'l', 9, 0,
-  /* 567 */ 'c', 'm', 'o', 'v', 'b', 'e', 'l', 9, 0,
-  /* 576 */ 'c', 'm', 'o', 'v', 'g', 'e', 'l', 9, 0,
-  /* 585 */ 'c', 'm', 'o', 'v', 'l', 'e', 'l', 9, 0,
-  /* 594 */ 'c', 'm', 'o', 'v', 'n', 'e', 'l', 9, 0,
-  /* 603 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 614 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 625 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 636 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
-  /* 647 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'l', 9, 0,
-  /* 657 */ 'c', 'm', 'o', 'v', 'e', 'l', 9, 0,
-  /* 665 */ 'b', 's', 'f', 'l', 9, 0,
-  /* 671 */ 'n', 'e', 'g', 'l', 9, 0,
-  /* 677 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'l', 9, 0,
-  /* 687 */ 'c', 'm', 'o', 'v', 'g', 'l', 9, 0,
-  /* 695 */ 'p', 'u', 's', 'h', 'l', 9, 0,
-  /* 702 */ 'b', 'z', 'h', 'i', 'l', 9, 0,
-  /* 709 */ 'b', 'l', 's', 'i', 'l', 9, 0,
-  /* 716 */ 'j', 'l', 9, 0,
-  /* 720 */ 'b', 'l', 's', 'm', 's', 'k', 'l', 9, 0,
-  /* 729 */ 's', 'a', 'l', 'l', 9, 0,
-  /* 735 */ 'r', 'c', 'l', 'l', 9, 0,
-  /* 741 */ 's', 'h', 'l', 'l', 9, 0,
-  /* 747 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
-  /* 756 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
-  /* 765 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, 0,
-  /* 773 */ 'r', 'o', 'l', 'l', 9, 0,
-  /* 779 */ 'l', 's', 'l', 'l', 9, 0,
-  /* 785 */ 'i', 'm', 'u', 'l', 'l', 9, 0,
-  /* 792 */ 'c', 'm', 'o', 'v', 'l', 'l', 9, 0,
-  /* 800 */ 'a', 'n', 'd', 'n', 'l', 9, 0,
-  /* 807 */ 'i', 'n', 'l', 9, 0,
-  /* 812 */ 'c', 'm', 'o', 'v', 'n', 'o', 'l', 9, 0,
-  /* 821 */ 'c', 'm', 'o', 'v', 'o', 'l', 9, 0,
-  /* 829 */ 'b', 's', 'w', 'a', 'p', 'l', 9, 0,
-  /* 837 */ 'p', 'd', 'e', 'p', 'l', 9, 0,
-  /* 844 */ 'c', 'm', 'p', 'l', 9, 0,
-  /* 850 */ 'l', 'j', 'm', 'p', 'l', 9, 0,
-  /* 857 */ 'c', 'm', 'o', 'v', 'n', 'p', 'l', 9, 0,
-  /* 866 */ 'n', 'o', 'p', 'l', 9, 0,
-  /* 872 */ 'p', 'o', 'p', 'l', 9, 0,
-  /* 878 */ 'a', 'r', 'p', 'l', 9, 0,
-  /* 884 */ 'c', 'm', 'o', 'v', 'p', 'l', 9, 0,
-  /* 892 */ 'l', 'a', 'r', 'l', 9, 0,
-  /* 898 */ 's', 'a', 'r', 'l', 9, 0,
-  /* 904 */ 'r', 'c', 'r', 'l', 9, 0,
-  /* 910 */ 's', 'h', 'r', 'l', 9, 0,
-  /* 916 */ 'r', 'o', 'r', 'l', 9, 0,
-  /* 922 */ 'x', 'o', 'r', 'l', 9, 0,
-  /* 928 */ 'b', 's', 'r', 'l', 9, 0,
-  /* 934 */ 'b', 'l', 's', 'r', 'l', 9, 0,
-  /* 941 */ 'b', 't', 'r', 'l', 9, 0,
-  /* 947 */ 's', 't', 'r', 'l', 9, 0,
-  /* 953 */ 'b', 'e', 'x', 't', 'r', 'l', 9, 0,
-  /* 961 */ 's', 'c', 'a', 's', 'l', 9, 0,
-  /* 968 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, 0,
-  /* 977 */ 'l', 'd', 's', 'l', 9, 0,
-  /* 983 */ 'l', 'o', 'd', 's', 'l', 9, 0,
-  /* 990 */ 'l', 'e', 's', 'l', 9, 0,
-  /* 996 */ 'l', 'f', 's', 'l', 9, 0,
-  /* 1002 */ 'l', 'g', 's', 'l', 9, 0,
-  /* 1008 */ 'c', 'm', 'o', 'v', 'n', 's', 'l', 9, 0,
-  /* 1017 */ 'c', 'm', 'p', 's', 'l', 9, 0,
-  /* 1024 */ 'l', 's', 's', 'l', 9, 0,
-  /* 1030 */ 'b', 't', 's', 'l', 9, 0,
-  /* 1036 */ 'o', 'u', 't', 's', 'l', 9, 0,
-  /* 1043 */ 'c', 'm', 'o', 'v', 's', 'l', 9, 0,
-  /* 1051 */ 'b', 't', 'l', 9, 0,
-  /* 1056 */ 'l', 'g', 'd', 't', 'l', 9, 0,
-  /* 1063 */ 's', 'g', 'd', 't', 'l', 9, 0,
-  /* 1070 */ 'l', 'i', 'd', 't', 'l', 9, 0,
-  /* 1077 */ 's', 'i', 'd', 't', 'l', 9, 0,
-  /* 1084 */ 's', 'l', 'd', 't', 'l', 9, 0,
-  /* 1091 */ 'l', 'r', 'e', 't', 'l', 9, 0,
-  /* 1098 */ 's', 'e', 't', 'l', 9, 0,
-  /* 1104 */ 'l', 'z', 'c', 'n', 't', 'l', 9, 0,
-  /* 1112 */ 't', 'z', 'c', 'n', 't', 'l', 9, 0,
-  /* 1120 */ 'n', 'o', 't', 'l', 9, 0,
-  /* 1126 */ 't', 'e', 's', 't', 'l', 9, 0,
-  /* 1133 */ 'p', 'e', 'x', 't', 'l', 9, 0,
-  /* 1140 */ 'i', 'd', 'i', 'v', 'l', 9, 0,
-  /* 1147 */ 'm', 'o', 'v', 'l', 9, 0,
-  /* 1153 */ 's', 'm', 's', 'w', 'l', 9, 0,
-  /* 1160 */ 'm', 'o', 'v', 's', 'w', 'l', 9, 0,
-  /* 1168 */ 'm', 'o', 'v', 'z', 'w', 'l', 9, 0,
-  /* 1176 */ 'a', 'd', 'c', 'x', 'l', 9, 0,
-  /* 1183 */ 's', 'h', 'l', 'x', 'l', 9, 0,
-  /* 1190 */ 'm', 'u', 'l', 'x', 'l', 9, 0,
-  /* 1197 */ 'a', 'd', 'o', 'x', 'l', 9, 0,
-  /* 1204 */ 's', 'a', 'r', 'x', 'l', 9, 0,
-  /* 1211 */ 's', 'h', 'r', 'x', 'l', 9, 0,
-  /* 1218 */ 'r', 'o', 'r', 'x', 'l', 9, 0,
-  /* 1225 */ 'a', 'a', 'm', 9, 0,
-  /* 1230 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
-  /* 1237 */ 'j', 'o', 9, 0,
-  /* 1241 */ 'j', 'n', 'o', 9, 0,
-  /* 1246 */ 's', 'e', 't', 'n', 'o', 9, 0,
-  /* 1253 */ 's', 'e', 't', 'o', 9, 0,
-  /* 1259 */ 'j', 'p', 9, 0,
-  /* 1263 */ 'j', 'm', 'p', 9, 0,
-  /* 1268 */ 'j', 'n', 'p', 9, 0,
-  /* 1273 */ 's', 'e', 't', 'n', 'p', 9, 0,
-  /* 1280 */ 'n', 'o', 'p', 9, 0,
-  /* 1285 */ 'l', 'o', 'o', 'p', 9, 0,
-  /* 1291 */ 's', 'e', 't', 'p', 9, 0,
-  /* 1297 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
-  /* 1313 */ 'l', 'e', 'a', 'q', 9, 0,
-  /* 1319 */ 'c', 'm', 'o', 'v', 'a', 'q', 9, 0,
-  /* 1327 */ 's', 'b', 'b', 'q', 9, 0,
-  /* 1333 */ 'm', 'o', 'v', 's', 'b', 'q', 9, 0,
-  /* 1341 */ 's', 'u', 'b', 'q', 9, 0,
-  /* 1347 */ 'c', 'm', 'o', 'v', 'b', 'q', 9, 0,
-  /* 1355 */ 'm', 'o', 'v', 'z', 'b', 'q', 9, 0,
-  /* 1363 */ 'a', 'd', 'c', 'q', 9, 0,
-  /* 1369 */ 'd', 'e', 'c', 'q', 9, 0,
-  /* 1375 */ 'i', 'n', 'c', 'q', 9, 0,
-  /* 1381 */ 'b', 't', 'c', 'q', 9, 0,
-  /* 1387 */ 'v', 'm', 'r', 'e', 'a', 'd', 'q', 9, 0,
-  /* 1396 */ 'x', 'a', 'd', 'd', 'q', 9, 0,
-  /* 1403 */ 'r', 'd', 's', 'e', 'e', 'd', 'q', 9, 0,
-  /* 1412 */ 's', 'h', 'l', 'd', 'q', 9, 0,
-  /* 1419 */ 'r', 'd', 'r', 'a', 'n', 'd', 'q', 9, 0,
-  /* 1428 */ 's', 'h', 'r', 'd', 'q', 9, 0,
-  /* 1435 */ 'c', 'm', 'o', 'v', 'a', 'e', 'q', 9, 0,
-  /* 1444 */ 'c', 'm', 'o', 'v', 'b', 'e', 'q', 9, 0,
-  /* 1453 */ 'c', 'm', 'o', 'v', 'g', 'e', 'q', 9, 0,
-  /* 1462 */ 'c', 'm', 'o', 'v', 'l', 'e', 'q', 9, 0,
-  /* 1471 */ 'c', 'm', 'o', 'v', 'n', 'e', 'q', 9, 0,
-  /* 1480 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 1491 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 1502 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 1513 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
-  /* 1524 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'q', 9, 0,
-  /* 1534 */ 'x', 's', 'a', 'v', 'e', 'q', 9, 0,
-  /* 1542 */ 'c', 'm', 'o', 'v', 'e', 'q', 9, 0,
-  /* 1550 */ 'b', 's', 'f', 'q', 9, 0,
-  /* 1556 */ 'n', 'e', 'g', 'q', 9, 0,
-  /* 1562 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'q', 9, 0,
-  /* 1572 */ 'c', 'm', 'o', 'v', 'g', 'q', 9, 0,
-  /* 1580 */ 'p', 'u', 's', 'h', 'q', 9, 0,
-  /* 1587 */ 'b', 'z', 'h', 'i', 'q', 9, 0,
-  /* 1594 */ 'b', 'l', 's', 'i', 'q', 9, 0,
-  /* 1601 */ 'b', 'l', 's', 'm', 's', 'k', 'q', 9, 0,
-  /* 1610 */ 's', 'a', 'l', 'q', 9, 0,
-  /* 1616 */ 'r', 'c', 'l', 'q', 9, 0,
-  /* 1622 */ 's', 'h', 'l', 'q', 9, 0,
-  /* 1628 */ 'c', 'a', 'l', 'l', 'q', 9, 0,
-  /* 1635 */ 'r', 'o', 'l', 'q', 9, 0,
-  /* 1641 */ 'l', 's', 'l', 'q', 9, 0,
-  /* 1647 */ 'm', 'o', 'v', 's', 'l', 'q', 9, 0,
-  /* 1655 */ 'i', 'm', 'u', 'l', 'q', 9, 0,
-  /* 1662 */ 'c', 'm', 'o', 'v', 'l', 'q', 9, 0,
-  /* 1670 */ 'a', 'n', 'd', 'n', 'q', 9, 0,
-  /* 1677 */ 'c', 'm', 'o', 'v', 'n', 'o', 'q', 9, 0,
-  /* 1686 */ 'c', 'm', 'o', 'v', 'o', 'q', 9, 0,
-  /* 1694 */ 'b', 's', 'w', 'a', 'p', 'q', 9, 0,
-  /* 1702 */ 'p', 'd', 'e', 'p', 'q', 9, 0,
-  /* 1709 */ 'c', 'm', 'p', 'q', 9, 0,
-  /* 1715 */ 'c', 'm', 'o', 'v', 'n', 'p', 'q', 9, 0,
-  /* 1724 */ 'p', 'o', 'p', 'q', 9, 0,
-  /* 1730 */ 'c', 'm', 'o', 'v', 'p', 'q', 9, 0,
-  /* 1738 */ 'l', 'a', 'r', 'q', 9, 0,
-  /* 1744 */ 's', 'a', 'r', 'q', 9, 0,
-  /* 1750 */ 'r', 'c', 'r', 'q', 9, 0,
-  /* 1756 */ 's', 'h', 'r', 'q', 9, 0,
-  /* 1762 */ 'r', 'o', 'r', 'q', 9, 0,
-  /* 1768 */ 'x', 'r', 's', 't', 'o', 'r', 'q', 9, 0,
-  /* 1777 */ 'x', 'o', 'r', 'q', 9, 0,
-  /* 1783 */ 'b', 's', 'r', 'q', 9, 0,
-  /* 1789 */ 'b', 'l', 's', 'r', 'q', 9, 0,
-  /* 1796 */ 'b', 't', 'r', 'q', 9, 0,
-  /* 1802 */ 's', 't', 'r', 'q', 9, 0,
-  /* 1808 */ 'b', 'e', 'x', 't', 'r', 'q', 9, 0,
-  /* 1816 */ 's', 'c', 'a', 's', 'q', 9, 0,
-  /* 1823 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, 0,
-  /* 1832 */ 'l', 'o', 'd', 's', 'q', 9, 0,
-  /* 1839 */ 'l', 'f', 's', 'q', 9, 0,
-  /* 1845 */ 'l', 'g', 's', 'q', 9, 0,
-  /* 1851 */ 'c', 'm', 'o', 'v', 'n', 's', 'q', 9, 0,
-  /* 1860 */ 'c', 'm', 'p', 's', 'q', 9, 0,
-  /* 1867 */ 'l', 's', 's', 'q', 9, 0,
-  /* 1873 */ 'b', 't', 's', 'q', 9, 0,
-  /* 1879 */ 'c', 'm', 'o', 'v', 's', 'q', 9, 0,
-  /* 1887 */ 'b', 't', 'q', 9, 0,
-  /* 1892 */ 'l', 'g', 'd', 't', 'q', 9, 0,
-  /* 1899 */ 's', 'g', 'd', 't', 'q', 9, 0,
-  /* 1906 */ 'l', 'i', 'd', 't', 'q', 9, 0,
-  /* 1913 */ 's', 'i', 'd', 't', 'q', 9, 0,
-  /* 1920 */ 's', 'l', 'd', 't', 'q', 9, 0,
-  /* 1927 */ 'l', 'r', 'e', 't', 'q', 9, 0,
-  /* 1934 */ 'l', 'z', 'c', 'n', 't', 'q', 9, 0,
-  /* 1942 */ 't', 'z', 'c', 'n', 't', 'q', 9, 0,
-  /* 1950 */ 'n', 'o', 't', 'q', 9, 0,
-  /* 1956 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 'q', 9, 0,
-  /* 1967 */ 't', 'e', 's', 't', 'q', 9, 0,
-  /* 1974 */ 'p', 'e', 'x', 't', 'q', 9, 0,
-  /* 1981 */ 'i', 'd', 'i', 'v', 'q', 9, 0,
-  /* 1988 */ 'm', 'o', 'v', 'q', 9, 0,
-  /* 1994 */ 's', 'm', 's', 'w', 'q', 9, 0,
-  /* 2001 */ 'm', 'o', 'v', 's', 'w', 'q', 9, 0,
-  /* 2009 */ 'm', 'o', 'v', 'z', 'w', 'q', 9, 0,
-  /* 2017 */ 'a', 'd', 'c', 'x', 'q', 9, 0,
-  /* 2024 */ 's', 'h', 'l', 'x', 'q', 9, 0,
-  /* 2031 */ 'm', 'u', 'l', 'x', 'q', 9, 0,
-  /* 2038 */ 'a', 'd', 'o', 'x', 'q', 9, 0,
-  /* 2045 */ 's', 'a', 'r', 'x', 'q', 9, 0,
-  /* 2052 */ 's', 'h', 'r', 'x', 'q', 9, 0,
-  /* 2059 */ 'r', 'o', 'r', 'x', 'q', 9, 0,
-  /* 2066 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
-  /* 2075 */ 'e', 'n', 't', 'e', 'r', 9, 0,
-  /* 2082 */ 'x', 'r', 's', 't', 'o', 'r', 9, 0,
-  /* 2090 */ 'v', 'e', 'r', 'r', 9, 0,
-  /* 2096 */ 'b', 'e', 'x', 't', 'r', 9, 0,
-  /* 2103 */ 'b', 'l', 'c', 's', 9, 0,
-  /* 2109 */ 'j', 's', 9, 0,
-  /* 2113 */ 'j', 'n', 's', 9, 0,
-  /* 2118 */ 's', 'e', 't', 'n', 's', 9, 0,
-  /* 2125 */ 's', 'e', 't', 's', 9, 0,
-  /* 2131 */ 'i', 'n', 't', 9, 0,
-  /* 2136 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
-  /* 2144 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
-  /* 2154 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
-  /* 2163 */ 'l', 'e', 'a', 'w', 9, 0,
-  /* 2169 */ 'c', 'm', 'o', 'v', 'a', 'w', 9, 0,
-  /* 2177 */ 's', 'b', 'b', 'w', 9, 0,
-  /* 2183 */ 'm', 'o', 'v', 's', 'b', 'w', 9, 0,
-  /* 2191 */ 's', 'u', 'b', 'w', 9, 0,
-  /* 2197 */ 'c', 'm', 'o', 'v', 'b', 'w', 9, 0,
-  /* 2205 */ 'm', 'o', 'v', 'z', 'b', 'w', 9, 0,
-  /* 2213 */ 'a', 'd', 'c', 'w', 9, 0,
-  /* 2219 */ 'd', 'e', 'c', 'w', 9, 0,
-  /* 2225 */ 'i', 'n', 'c', 'w', 9, 0,
-  /* 2231 */ 'b', 't', 'c', 'w', 9, 0,
-  /* 2237 */ 'x', 'a', 'd', 'd', 'w', 9, 0,
-  /* 2244 */ 'r', 'd', 's', 'e', 'e', 'd', 'w', 9, 0,
-  /* 2253 */ 's', 'h', 'l', 'd', 'w', 9, 0,
-  /* 2260 */ 'r', 'd', 'r', 'a', 'n', 'd', 'w', 9, 0,
-  /* 2269 */ 's', 'h', 'r', 'd', 'w', 9, 0,
-  /* 2276 */ 'c', 'm', 'o', 'v', 'a', 'e', 'w', 9, 0,
-  /* 2285 */ 'c', 'm', 'o', 'v', 'b', 'e', 'w', 9, 0,
-  /* 2294 */ 'c', 'm', 'o', 'v', 'g', 'e', 'w', 9, 0,
-  /* 2303 */ 'c', 'm', 'o', 'v', 'l', 'e', 'w', 9, 0,
-  /* 2312 */ 'c', 'm', 'o', 'v', 'n', 'e', 'w', 9, 0,
-  /* 2321 */ 'c', 'm', 'o', 'v', 'e', 'w', 9, 0,
-  /* 2329 */ 'b', 's', 'f', 'w', 9, 0,
-  /* 2335 */ 'n', 'e', 'g', 'w', 9, 0,
-  /* 2341 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'w', 9, 0,
-  /* 2351 */ 'c', 'm', 'o', 'v', 'g', 'w', 9, 0,
-  /* 2359 */ 'p', 'u', 's', 'h', 'w', 9, 0,
-  /* 2366 */ 's', 'a', 'l', 'w', 9, 0,
-  /* 2372 */ 'r', 'c', 'l', 'w', 9, 0,
-  /* 2378 */ 's', 'h', 'l', 'w', 9, 0,
-  /* 2384 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, 0,
-  /* 2392 */ 'r', 'o', 'l', 'w', 9, 0,
-  /* 2398 */ 'l', 's', 'l', 'w', 9, 0,
-  /* 2404 */ 'i', 'm', 'u', 'l', 'w', 9, 0,
-  /* 2411 */ 'c', 'm', 'o', 'v', 'l', 'w', 9, 0,
-  /* 2419 */ 'i', 'n', 'w', 9, 0,
-  /* 2424 */ 'c', 'm', 'o', 'v', 'n', 'o', 'w', 9, 0,
-  /* 2433 */ 'c', 'm', 'o', 'v', 'o', 'w', 9, 0,
-  /* 2441 */ 'c', 'm', 'p', 'w', 9, 0,
-  /* 2447 */ 'l', 'j', 'm', 'p', 'w', 9, 0,
-  /* 2454 */ 'c', 'm', 'o', 'v', 'n', 'p', 'w', 9, 0,
-  /* 2463 */ 'n', 'o', 'p', 'w', 9, 0,
-  /* 2469 */ 'p', 'o', 'p', 'w', 9, 0,
-  /* 2475 */ 'c', 'm', 'o', 'v', 'p', 'w', 9, 0,
-  /* 2483 */ 'l', 'a', 'r', 'w', 9, 0,
-  /* 2489 */ 's', 'a', 'r', 'w', 9, 0,
-  /* 2495 */ 'r', 'c', 'r', 'w', 9, 0,
-  /* 2501 */ 'v', 'e', 'r', 'w', 9, 0,
-  /* 2507 */ 's', 'h', 'r', 'w', 9, 0,
-  /* 2513 */ 'r', 'o', 'r', 'w', 9, 0,
-  /* 2519 */ 'x', 'o', 'r', 'w', 9, 0,
-  /* 2525 */ 'b', 's', 'r', 'w', 9, 0,
-  /* 2531 */ 'b', 't', 'r', 'w', 9, 0,
-  /* 2537 */ 'l', 't', 'r', 'w', 9, 0,
-  /* 2543 */ 's', 't', 'r', 'w', 9, 0,
-  /* 2549 */ 's', 'c', 'a', 's', 'w', 9, 0,
-  /* 2556 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, 0,
-  /* 2565 */ 'l', 'd', 's', 'w', 9, 0,
-  /* 2571 */ 'l', 'o', 'd', 's', 'w', 9, 0,
-  /* 2578 */ 'l', 'e', 's', 'w', 9, 0,
-  /* 2584 */ 'l', 'f', 's', 'w', 9, 0,
-  /* 2590 */ 'l', 'g', 's', 'w', 9, 0,
-  /* 2596 */ 'c', 'm', 'o', 'v', 'n', 's', 'w', 9, 0,
-  /* 2605 */ 'c', 'm', 'p', 's', 'w', 9, 0,
-  /* 2612 */ 'l', 's', 's', 'w', 9, 0,
-  /* 2618 */ 'b', 't', 's', 'w', 9, 0,
-  /* 2624 */ 'o', 'u', 't', 's', 'w', 9, 0,
-  /* 2631 */ 'c', 'm', 'o', 'v', 's', 'w', 9, 0,
-  /* 2639 */ 'b', 't', 'w', 9, 0,
-  /* 2644 */ 'l', 'g', 'd', 't', 'w', 9, 0,
-  /* 2651 */ 's', 'g', 'd', 't', 'w', 9, 0,
-  /* 2658 */ 'l', 'i', 'd', 't', 'w', 9, 0,
-  /* 2665 */ 's', 'i', 'd', 't', 'w', 9, 0,
-  /* 2672 */ 'l', 'l', 'd', 't', 'w', 9, 0,
-  /* 2679 */ 's', 'l', 'd', 't', 'w', 9, 0,
-  /* 2686 */ 'l', 'r', 'e', 't', 'w', 9, 0,
-  /* 2693 */ 'l', 'z', 'c', 'n', 't', 'w', 9, 0,
-  /* 2701 */ 't', 'z', 'c', 'n', 't', 'w', 9, 0,
-  /* 2709 */ 'n', 'o', 't', 'w', 9, 0,
-  /* 2715 */ 't', 'e', 's', 't', 'w', 9, 0,
-  /* 2722 */ 'i', 'd', 'i', 'v', 'w', 9, 0,
-  /* 2729 */ 'm', 'o', 'v', 'w', 9, 0,
-  /* 2735 */ 'l', 'm', 's', 'w', 'w', 9, 0,
-  /* 2742 */ 's', 'm', 's', 'w', 'w', 9, 0,
-  /* 2749 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
-  /* 2756 */ 'j', 'c', 'x', 'z', 9, 0,
-  /* 2762 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
-  /* 2769 */ 's', 'a', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2779 */ 'r', 'c', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2789 */ 's', 'h', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2799 */ 'r', 'o', 'l', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2809 */ 's', 'a', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2819 */ 'r', 'c', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2829 */ 's', 'h', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2839 */ 'r', 'o', 'r', 'b', 9, '$', '1', ',', 32, 0,
-  /* 2849 */ 's', 'a', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2859 */ 'r', 'c', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2869 */ 's', 'h', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2879 */ 'r', 'o', 'l', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2889 */ 's', 'a', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2899 */ 'r', 'c', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2909 */ 's', 'h', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2919 */ 'r', 'o', 'r', 'l', 9, '$', '1', ',', 32, 0,
-  /* 2929 */ 's', 'a', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2939 */ 'r', 'c', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2949 */ 's', 'h', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2959 */ 'r', 'o', 'l', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2969 */ 's', 'a', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2979 */ 'r', 'c', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2989 */ 's', 'h', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 2999 */ 'r', 'o', 'r', 'q', 9, '$', '1', ',', 32, 0,
-  /* 3009 */ 's', 'a', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3019 */ 'r', 'c', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3029 */ 's', 'h', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3039 */ 'r', 'o', 'l', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3049 */ 's', 'a', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3059 */ 'r', 'c', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3069 */ 's', 'h', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3079 */ 'r', 'o', 'r', 'w', 9, '$', '1', ',', 32, 0,
-  /* 3089 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 3103 */ 's', 't', 'o', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 3115 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 3126 */ 'm', 'o', 'v', 'b', 9, '%', 'a', 'l', ',', 32, 0,
-  /* 3137 */ 's', 'a', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3148 */ 'r', 'c', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3159 */ 's', 'h', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3170 */ 'r', 'o', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3181 */ 's', 'a', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3192 */ 'r', 'c', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3203 */ 's', 'h', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3214 */ 'r', 'o', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3225 */ 's', 'h', 'l', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3237 */ 's', 'h', 'r', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3249 */ 's', 'a', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3260 */ 'r', 'c', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3271 */ 's', 'h', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3282 */ 'r', 'o', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3293 */ 's', 'a', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3304 */ 'r', 'c', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3315 */ 's', 'h', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3326 */ 'r', 'o', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3337 */ 's', 'h', 'l', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3349 */ 's', 'h', 'r', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3361 */ 's', 'a', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3372 */ 'r', 'c', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3383 */ 's', 'h', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3394 */ 'r', 'o', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3405 */ 's', 'a', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3416 */ 'r', 'c', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3427 */ 's', 'h', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3438 */ 'r', 'o', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3449 */ 's', 'h', 'l', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3461 */ 's', 'h', 'r', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3473 */ 's', 'a', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3484 */ 'r', 'c', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3495 */ 's', 'h', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3506 */ 'r', 'o', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3517 */ 's', 'a', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3528 */ 'r', 'c', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3539 */ 's', 'h', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3550 */ 'r', 'o', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
-  /* 3561 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 3575 */ 's', 't', 'o', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 3587 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 3598 */ 'm', 'o', 'v', 'w', 9, '%', 'a', 'x', ',', 32, 0,
-  /* 3609 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 3624 */ 's', 't', 'o', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 3637 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 3649 */ 'm', 'o', 'v', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
-  /* 3661 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
-  /* 3676 */ 's', 't', 'o', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
-  /* 3689 */ 'i', 'n', 's', 'b', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 3700 */ 'i', 'n', 's', 'l', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 3711 */ 'i', 'n', 's', 'w', 9, '%', 'd', 'x', ',', 32, 0,
-  /* 3722 */ 'r', 'c', 'l', 'l', 9, '$', '1', 32, 0,
-  /* 3731 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
-  /* 3742 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
-  /* 3765 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
-  /* 3779 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
-  /* 3803 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
-  /* 3820 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 3836 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
-  /* 3851 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
-  /* 3865 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
-  /* 3879 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '3', '2', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 3899 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '1', '6', '*', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 3919 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 3939 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 3959 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 3980 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4000 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4020 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4039 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4059 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4079 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4099 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4119 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4139 */ '#', 'C', 'M', 'O', 'V', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4159 */ '#', 'C', 'M', 'O', 'V', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4179 */ '#', 'C', 'M', 'O', 'V', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4198 */ '#', 'C', 'M', 'O', 'V', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4216 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4237 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
-  /* 4258 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, '*', 0,
-  /* 4267 */ 'l', 'j', 'm', 'p', 'l', 9, '*', 0,
-  /* 4275 */ 'l', 'c', 'a', 'l', 'l', 'q', 9, '*', 0,
-  /* 4284 */ 'l', 'j', 'm', 'p', 'q', 9, '*', 0,
-  /* 4292 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, '*', 0,
-  /* 4301 */ 'l', 'j', 'm', 'p', 'w', 9, '*', 0,
-  /* 4309 */ 'x', 's', 'h', 'a', '1', 0,
-  /* 4315 */ 'i', 'n', 't', '1', 0,
-  /* 4320 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
-  /* 4339 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
-  /* 4357 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
-  /* 4370 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 4383 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
-  /* 4401 */ 'u', 'd', '2', 0,
-  /* 4405 */ 'i', 'n', 't', '3', 0,
-  /* 4410 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
-  /* 4429 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
-  /* 4447 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
-  /* 4460 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 4473 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
-  /* 4491 */ 'r', 'e', 'x', '6', '4', 0,
-  /* 4497 */ 'd', 'a', 't', 'a', '1', '6', 0,
-  /* 4504 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
-  /* 4512 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
-  /* 4525 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
-  /* 4532 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
-  /* 4542 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
-  /* 4560 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
-  /* 4576 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
-  /* 4588 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
-  /* 4603 */ 'a', 'a', 'a', 0,
-  /* 4607 */ 'd', 'a', 'a', 0,
-  /* 4611 */ 'u', 'd', '2', 'b', 0,
-  /* 4616 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
-  /* 4626 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
-  /* 4636 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
-  /* 4646 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'b', 0,
-  /* 4656 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'b', 0,
-  /* 4666 */ 'x', 'l', 'a', 't', 'b', 0,
-  /* 4672 */ 'c', 'l', 'a', 'c', 0,
-  /* 4677 */ 's', 't', 'a', 'c', 0,
-  /* 4682 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
-  /* 4692 */ 'g', 'e', 't', 's', 'e', 'c', 0,
-  /* 4699 */ 's', 'a', 'l', 'c', 0,
-  /* 4704 */ 'c', 'l', 'c', 0,
-  /* 4708 */ 'c', 'm', 'c', 0,
-  /* 4712 */ 'r', 'd', 'p', 'm', 'c', 0,
-  /* 4718 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
-  /* 4725 */ 'r', 'd', 't', 's', 'c', 0,
-  /* 4731 */ 's', 't', 'c', 0,
-  /* 4735 */ 'c', 'p', 'u', 'i', 'd', 0,
-  /* 4741 */ 'c', 'l', 'd', 0,
-  /* 4745 */ 'c', 'l', 't', 'd', 0,
-  /* 4750 */ 's', 't', 'd', 0,
-  /* 4754 */ 'c', 'w', 't', 'd', 0,
-  /* 4759 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
-  /* 4766 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
-  /* 4775 */ 'r', 'e', 'p', 'n', 'e', 0,
-  /* 4781 */ 'x', 's', 't', 'o', 'r', 'e', 0,
-  /* 4788 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 4802 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
-  /* 4819 */ 'l', 'e', 'a', 'v', 'e', 0,
-  /* 4825 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
-  /* 4832 */ 'l', 'a', 'h', 'f', 0,
-  /* 4837 */ 's', 'a', 'h', 'f', 0,
-  /* 4842 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
-  /* 4851 */ 'c', 'l', 'g', 'i', 0,
-  /* 4856 */ 's', 't', 'g', 'i', 0,
-  /* 4861 */ 'c', 'l', 'i', 0,
-  /* 4865 */ 's', 't', 'i', 0,
-  /* 4869 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
-  /* 4884 */ 'l', 'o', 'c', 'k', 0,
-  /* 4889 */ 'i', 'n', 'b', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'l', 0,
-  /* 4902 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
-  /* 4909 */ 'p', 'o', 'p', 'a', 'l', 0,
-  /* 4915 */ 'p', 'u', 's', 'h', 'f', 'l', 0,
-  /* 4922 */ 'p', 'o', 'p', 'f', 'l', 0,
-  /* 4928 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 4936 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
-  /* 4943 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
-  /* 4951 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'l', 0,
-  /* 4961 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'l', 0,
-  /* 4971 */ 'i', 'r', 'e', 't', 'l', 0,
-  /* 4977 */ 'l', 'r', 'e', 't', 'l', 0,
-  /* 4983 */ 's', 'y', 's', 'r', 'e', 't', 'l', 0,
-  /* 4991 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'l', 0,
-  /* 5000 */ 'c', 'w', 't', 'l', 0,
-  /* 5005 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
-  /* 5013 */ 'f', 's', 'e', 't', 'p', 'm', 0,
-  /* 5020 */ 'r', 's', 'm', 0,
-  /* 5024 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
-  /* 5051 */ 'i', 'n', 't', 'o', 0,
-  /* 5056 */ 'c', 'q', 't', 'o', 0,
-  /* 5061 */ 'r', 'd', 't', 's', 'c', 'p', 0,
-  /* 5068 */ 'r', 'e', 'p', 0,
-  /* 5072 */ 'n', 'o', 'p', 0,
-  /* 5076 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
-  /* 5083 */ 'p', 'o', 'p', 'f', 'q', 0,
-  /* 5089 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'q', 0,
-  /* 5099 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'q', 0,
-  /* 5109 */ 'i', 'r', 'e', 't', 'q', 0,
-  /* 5115 */ 'l', 'r', 'e', 't', 'q', 0,
-  /* 5121 */ 's', 'y', 's', 'r', 'e', 't', 'q', 0,
-  /* 5129 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'q', 0,
-  /* 5138 */ 'c', 'l', 't', 'q', 0,
-  /* 5143 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
-  /* 5152 */ 'r', 'd', 'm', 's', 'r', 0,
-  /* 5158 */ 'w', 'r', 'm', 's', 'r', 0,
-  /* 5164 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
-  /* 5174 */ 'a', 'a', 's', 0,
-  /* 5178 */ 'd', 'a', 's', 0,
-  /* 5182 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'c', 's', 0,
-  /* 5192 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'c', 's', 0,
-  /* 5202 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'd', 's', 0,
-  /* 5212 */ 'p', 'o', 'p', 'l', 9, '%', 'd', 's', 0,
-  /* 5221 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'd', 's', 0,
-  /* 5231 */ 'p', 'o', 'p', 'w', 9, '%', 'd', 's', 0,
-  /* 5240 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'e', 's', 0,
-  /* 5250 */ 'p', 'o', 'p', 'l', 9, '%', 'e', 's', 0,
-  /* 5259 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'e', 's', 0,
-  /* 5269 */ 'p', 'o', 'p', 'w', 9, '%', 'e', 's', 0,
-  /* 5278 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'f', 's', 0,
-  /* 5288 */ 'p', 'o', 'p', 'l', 9, '%', 'f', 's', 0,
-  /* 5297 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'f', 's', 0,
-  /* 5307 */ 'p', 'o', 'p', 'q', 9, '%', 'f', 's', 0,
-  /* 5316 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'f', 's', 0,
-  /* 5326 */ 'p', 'o', 'p', 'w', 9, '%', 'f', 's', 0,
-  /* 5335 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'g', 's', 0,
-  /* 5345 */ 'p', 'o', 'p', 'l', 9, '%', 'g', 's', 0,
-  /* 5354 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'g', 's', 0,
-  /* 5364 */ 'p', 'o', 'p', 'q', 9, '%', 'g', 's', 0,
-  /* 5373 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'g', 's', 0,
-  /* 5383 */ 'p', 'o', 'p', 'w', 9, '%', 'g', 's', 0,
-  /* 5392 */ 's', 'w', 'a', 'p', 'g', 's', 0,
-  /* 5399 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
-  /* 5444 */ 'p', 'u', 's', 'h', 'l', 9, '%', 's', 's', 0,
-  /* 5454 */ 'p', 'o', 'p', 'l', 9, '%', 's', 's', 0,
-  /* 5463 */ 'p', 'u', 's', 'h', 'w', 9, '%', 's', 's', 0,
-  /* 5473 */ 'p', 'o', 'p', 'w', 9, '%', 's', 's', 0,
-  /* 5482 */ 'c', 'l', 't', 's', 0,
-  /* 5487 */ 'h', 'l', 't', 0,
-  /* 5491 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
-  /* 5498 */ 'x', 's', 'e', 't', 'b', 'v', 0,
-  /* 5505 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
-  /* 5512 */ 'p', 'o', 'p', 'a', 'w', 0,
-  /* 5518 */ 'p', 'u', 's', 'h', 'f', 'w', 0,
-  /* 5525 */ 'p', 'o', 'p', 'f', 'w', 0,
-  /* 5531 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'w', 0,
-  /* 5541 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'w', 0,
-  /* 5551 */ 'c', 'b', 't', 'w', 0,
-  /* 5556 */ 'i', 'r', 'e', 't', 'w', 0,
-  /* 5562 */ 'l', 'r', 'e', 't', 'w', 0,
-  /* 5568 */ 'i', 'n', 'w', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'x', 0,
-  /* 5581 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'e', 'a', 'x', 0,
-  /* 5593 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'e', 'a', 'x', 0,
-  /* 5605 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'e', 'a', 'x', 0,
-  /* 5616 */ 's', 'k', 'i', 'n', 'i', 't', 9, '%', 'e', 'a', 'x', 0,
-  /* 5628 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
-  /* 5647 */ 'i', 'n', 'l', 9, '%', 'd', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
-  /* 5661 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'r', 'a', 'x', 0,
-  /* 5673 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'r', 'a', 'x', 0,
-  /* 5685 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'r', 'a', 'x', 0,
-  /* 5696 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'r', 'a', 'x', 0,
-  /* 5715 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, '%', 'd', 'x', 0,
-  /* 5729 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
-  /* 5743 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
+  static char AsmStrs[] = {
+  /* 0 */ 'x', 's', 'a', 'v', 'e', 'c', '6', '4', 9, 0,
+  /* 10 */ 'x', 's', 'a', 'v', 'e', '6', '4', 9, 0,
+  /* 19 */ 'x', 'r', 's', 't', 'o', 'r', '6', '4', 9, 0,
+  /* 29 */ 'x', 's', 'a', 'v', 'e', 's', '6', '4', 9, 0,
+  /* 39 */ 'x', 'r', 's', 't', 'o', 'r', 's', '6', '4', 9, 0,
+  /* 50 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', '6', '4', 9, 0,
+  /* 62 */ 'j', 'a', 9, 0,
+  /* 66 */ 's', 'e', 't', 'a', 9, 0,
+  /* 72 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '1', '6', 'b', 9, 0,
+  /* 84 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', '8', 'b', 9, 0,
+  /* 95 */ 's', 'b', 'b', 'b', 9, 0,
+  /* 101 */ 's', 'u', 'b', 'b', 9, 0,
+  /* 107 */ 'a', 'd', 'c', 'b', 9, 0,
+  /* 113 */ 'd', 'e', 'c', 'b', 9, 0,
+  /* 119 */ 'i', 'n', 'c', 'b', 9, 0,
+  /* 125 */ 'x', 'a', 'd', 'd', 'b', 9, 0,
+  /* 132 */ 'a', 'n', 'd', 'b', 9, 0,
+  /* 138 */ 'n', 'e', 'g', 'b', 9, 0,
+  /* 144 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'b', 9, 0,
+  /* 154 */ 'j', 'b', 9, 0,
+  /* 158 */ 's', 'a', 'l', 'b', 9, 0,
+  /* 164 */ 'r', 'c', 'l', 'b', 9, 0,
+  /* 170 */ 's', 'h', 'l', 'b', 9, 0,
+  /* 176 */ 'r', 'o', 'l', 'b', 9, 0,
+  /* 182 */ 'i', 'm', 'u', 'l', 'b', 9, 0,
+  /* 189 */ 'i', 'n', 'b', 9, 0,
+  /* 194 */ 'c', 'm', 'p', 'b', 9, 0,
+  /* 200 */ 's', 'a', 'r', 'b', 9, 0,
+  /* 206 */ 'r', 'c', 'r', 'b', 9, 0,
+  /* 212 */ 's', 'h', 'r', 'b', 9, 0,
+  /* 218 */ 'r', 'o', 'r', 'b', 9, 0,
+  /* 224 */ 'x', 'o', 'r', 'b', 9, 0,
+  /* 230 */ 's', 'c', 'a', 's', 'b', 9, 0,
+  /* 237 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, 0,
+  /* 246 */ 'l', 'o', 'd', 's', 'b', 9, 0,
+  /* 253 */ 'c', 'm', 'p', 's', 'b', 9, 0,
+  /* 260 */ 'o', 'u', 't', 's', 'b', 9, 0,
+  /* 267 */ 'm', 'o', 'v', 's', 'b', 9, 0,
+  /* 274 */ 's', 'e', 't', 'b', 9, 0,
+  /* 280 */ 'n', 'o', 't', 'b', 9, 0,
+  /* 286 */ 't', 'e', 's', 't', 'b', 9, 0,
+  /* 293 */ 'i', 'd', 'i', 'v', 'b', 9, 0,
+  /* 300 */ 'm', 'o', 'v', 'b', 9, 0,
+  /* 306 */ 'c', 'l', 'w', 'b', 9, 0,
+  /* 312 */ 'x', 's', 'a', 'v', 'e', 'c', 9, 0,
+  /* 320 */ 'b', 'l', 'c', 'i', 'c', 9, 0,
+  /* 327 */ 'b', 'l', 's', 'i', 'c', 9, 0,
+  /* 334 */ 't', '1', 'm', 's', 'k', 'c', 9, 0,
+  /* 342 */ 'a', 'a', 'd', 9, 0,
+  /* 347 */ 'i', 'n', 'v', 'p', 'c', 'i', 'd', 9, 0,
+  /* 356 */ 'i', 'n', 'v', 'v', 'p', 'i', 'd', 9, 0,
+  /* 365 */ 'v', 'm', 'p', 't', 'r', 'l', 'd', 9, 0,
+  /* 374 */ 'b', 'o', 'u', 'n', 'd', 9, 0,
+  /* 381 */ 'j', 'a', 'e', 9, 0,
+  /* 386 */ 's', 'e', 't', 'a', 'e', 9, 0,
+  /* 393 */ 'j', 'b', 'e', 9, 0,
+  /* 398 */ 's', 'e', 't', 'b', 'e', 9, 0,
+  /* 405 */ 'j', 'g', 'e', 9, 0,
+  /* 410 */ 's', 'e', 't', 'g', 'e', 9, 0,
+  /* 417 */ 'j', 'e', 9, 0,
+  /* 421 */ 'j', 'l', 'e', 9, 0,
+  /* 426 */ 's', 'e', 't', 'l', 'e', 9, 0,
+  /* 433 */ 'j', 'n', 'e', 9, 0,
+  /* 438 */ 'l', 'o', 'o', 'p', 'n', 'e', 9, 0,
+  /* 446 */ 's', 'e', 't', 'n', 'e', 9, 0,
+  /* 453 */ 'l', 'o', 'o', 'p', 'e', 9, 0,
+  /* 460 */ 's', 'e', 't', 'e', 9, 0,
+  /* 466 */ 'x', 's', 'a', 'v', 'e', 9, 0,
+  /* 473 */ 'j', 'g', 9, 0,
+  /* 477 */ 'i', 'n', 'v', 'l', 'p', 'g', 9, 0,
+  /* 485 */ 's', 'e', 't', 'g', 9, 0,
+  /* 491 */ 'b', 'l', 'c', 'i', 9, 0,
+  /* 497 */ 'b', 'l', 'c', 'm', 's', 'k', 9, 0,
+  /* 505 */ 't', 'z', 'm', 's', 'k', 9, 0,
+  /* 512 */ 'l', 'e', 'a', 'l', 9, 0,
+  /* 518 */ 'c', 'm', 'o', 'v', 'a', 'l', 9, 0,
+  /* 526 */ 's', 'b', 'b', 'l', 9, 0,
+  /* 532 */ 'm', 'o', 'v', 's', 'b', 'l', 9, 0,
+  /* 540 */ 's', 'u', 'b', 'l', 9, 0,
+  /* 546 */ 'c', 'm', 'o', 'v', 'b', 'l', 9, 0,
+  /* 554 */ 'm', 'o', 'v', 'z', 'b', 'l', 9, 0,
+  /* 562 */ 'a', 'd', 'c', 'l', 9, 0,
+  /* 568 */ 'd', 'e', 'c', 'l', 9, 0,
+  /* 574 */ 'i', 'n', 'c', 'l', 9, 0,
+  /* 580 */ 'b', 't', 'c', 'l', 9, 0,
+  /* 586 */ 'v', 'm', 'r', 'e', 'a', 'd', 'l', 9, 0,
+  /* 595 */ 'x', 'a', 'd', 'd', 'l', 9, 0,
+  /* 602 */ 'r', 'd', 's', 'e', 'e', 'd', 'l', 9, 0,
+  /* 611 */ 's', 'h', 'l', 'd', 'l', 9, 0,
+  /* 618 */ 'r', 'd', 'r', 'a', 'n', 'd', 'l', 9, 0,
+  /* 627 */ 's', 'h', 'r', 'd', 'l', 9, 0,
+  /* 634 */ 'c', 'm', 'o', 'v', 'a', 'e', 'l', 9, 0,
+  /* 643 */ 'c', 'm', 'o', 'v', 'b', 'e', 'l', 9, 0,
+  /* 652 */ 'c', 'm', 'o', 'v', 'g', 'e', 'l', 9, 0,
+  /* 661 */ 'c', 'm', 'o', 'v', 'l', 'e', 'l', 9, 0,
+  /* 670 */ 'c', 'm', 'o', 'v', 'n', 'e', 'l', 9, 0,
+  /* 679 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 690 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 701 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 712 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'l', 9, 0,
+  /* 723 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'l', 9, 0,
+  /* 733 */ 'c', 'm', 'o', 'v', 'e', 'l', 9, 0,
+  /* 741 */ 'b', 's', 'f', 'l', 9, 0,
+  /* 747 */ 'n', 'e', 'g', 'l', 9, 0,
+  /* 753 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'l', 9, 0,
+  /* 763 */ 'c', 'm', 'o', 'v', 'g', 'l', 9, 0,
+  /* 771 */ 'p', 'u', 's', 'h', 'l', 9, 0,
+  /* 778 */ 'b', 'z', 'h', 'i', 'l', 9, 0,
+  /* 785 */ 'b', 'l', 's', 'i', 'l', 9, 0,
+  /* 792 */ 'j', 'l', 9, 0,
+  /* 796 */ 'b', 'l', 's', 'm', 's', 'k', 'l', 9, 0,
+  /* 805 */ 's', 'a', 'l', 'l', 9, 0,
+  /* 811 */ 'r', 'c', 'l', 'l', 9, 0,
+  /* 817 */ 's', 'h', 'l', 'l', 9, 0,
+  /* 823 */ 'b', 'l', 'c', 'f', 'i', 'l', 'l', 9, 0,
+  /* 832 */ 'b', 'l', 's', 'f', 'i', 'l', 'l', 9, 0,
+  /* 841 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, 0,
+  /* 849 */ 'r', 'o', 'l', 'l', 9, 0,
+  /* 855 */ 'l', 's', 'l', 'l', 9, 0,
+  /* 861 */ 'i', 'm', 'u', 'l', 'l', 9, 0,
+  /* 868 */ 'c', 'm', 'o', 'v', 'l', 'l', 9, 0,
+  /* 876 */ 'a', 'n', 'd', 'n', 'l', 9, 0,
+  /* 883 */ 'i', 'n', 'l', 9, 0,
+  /* 888 */ 'c', 'm', 'o', 'v', 'n', 'o', 'l', 9, 0,
+  /* 897 */ 'c', 'm', 'o', 'v', 'o', 'l', 9, 0,
+  /* 905 */ 'b', 's', 'w', 'a', 'p', 'l', 9, 0,
+  /* 913 */ 'p', 'd', 'e', 'p', 'l', 9, 0,
+  /* 920 */ 'c', 'm', 'p', 'l', 9, 0,
+  /* 926 */ 'l', 'j', 'm', 'p', 'l', 9, 0,
+  /* 933 */ 'c', 'm', 'o', 'v', 'n', 'p', 'l', 9, 0,
+  /* 942 */ 'n', 'o', 'p', 'l', 9, 0,
+  /* 948 */ 'p', 'o', 'p', 'l', 9, 0,
+  /* 954 */ 'a', 'r', 'p', 'l', 9, 0,
+  /* 960 */ 'c', 'm', 'o', 'v', 'p', 'l', 9, 0,
+  /* 968 */ 'l', 'a', 'r', 'l', 9, 0,
+  /* 974 */ 's', 'a', 'r', 'l', 9, 0,
+  /* 980 */ 'r', 'c', 'r', 'l', 9, 0,
+  /* 986 */ 's', 'h', 'r', 'l', 9, 0,
+  /* 992 */ 'r', 'o', 'r', 'l', 9, 0,
+  /* 998 */ 'x', 'o', 'r', 'l', 9, 0,
+  /* 1004 */ 'b', 's', 'r', 'l', 9, 0,
+  /* 1010 */ 'b', 'l', 's', 'r', 'l', 9, 0,
+  /* 1017 */ 'b', 't', 'r', 'l', 9, 0,
+  /* 1023 */ 's', 't', 'r', 'l', 9, 0,
+  /* 1029 */ 'b', 'e', 'x', 't', 'r', 'l', 9, 0,
+  /* 1037 */ 's', 'c', 'a', 's', 'l', 9, 0,
+  /* 1044 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, 0,
+  /* 1053 */ 'l', 'd', 's', 'l', 9, 0,
+  /* 1059 */ 'l', 'o', 'd', 's', 'l', 9, 0,
+  /* 1066 */ 'l', 'e', 's', 'l', 9, 0,
+  /* 1072 */ 'l', 'f', 's', 'l', 9, 0,
+  /* 1078 */ 'l', 'g', 's', 'l', 9, 0,
+  /* 1084 */ 'c', 'm', 'o', 'v', 'n', 's', 'l', 9, 0,
+  /* 1093 */ 'c', 'm', 'p', 's', 'l', 9, 0,
+  /* 1100 */ 'l', 's', 's', 'l', 9, 0,
+  /* 1106 */ 'b', 't', 's', 'l', 9, 0,
+  /* 1112 */ 'o', 'u', 't', 's', 'l', 9, 0,
+  /* 1119 */ 'c', 'm', 'o', 'v', 's', 'l', 9, 0,
+  /* 1127 */ 'b', 't', 'l', 9, 0,
+  /* 1132 */ 'l', 'g', 'd', 't', 'l', 9, 0,
+  /* 1139 */ 's', 'g', 'd', 't', 'l', 9, 0,
+  /* 1146 */ 'l', 'i', 'd', 't', 'l', 9, 0,
+  /* 1153 */ 's', 'i', 'd', 't', 'l', 9, 0,
+  /* 1160 */ 's', 'l', 'd', 't', 'l', 9, 0,
+  /* 1167 */ 'l', 'r', 'e', 't', 'l', 9, 0,
+  /* 1174 */ 's', 'e', 't', 'l', 9, 0,
+  /* 1180 */ 'l', 'z', 'c', 'n', 't', 'l', 9, 0,
+  /* 1188 */ 't', 'z', 'c', 'n', 't', 'l', 9, 0,
+  /* 1196 */ 'n', 'o', 't', 'l', 9, 0,
+  /* 1202 */ 't', 'e', 's', 't', 'l', 9, 0,
+  /* 1209 */ 'p', 'e', 'x', 't', 'l', 9, 0,
+  /* 1216 */ 'i', 'd', 'i', 'v', 'l', 9, 0,
+  /* 1223 */ 'm', 'o', 'v', 'l', 9, 0,
+  /* 1229 */ 's', 'm', 's', 'w', 'l', 9, 0,
+  /* 1236 */ 'm', 'o', 'v', 's', 'w', 'l', 9, 0,
+  /* 1244 */ 'm', 'o', 'v', 'z', 'w', 'l', 9, 0,
+  /* 1252 */ 'a', 'd', 'c', 'x', 'l', 9, 0,
+  /* 1259 */ 's', 'h', 'l', 'x', 'l', 9, 0,
+  /* 1266 */ 'm', 'u', 'l', 'x', 'l', 9, 0,
+  /* 1273 */ 'a', 'd', 'o', 'x', 'l', 9, 0,
+  /* 1280 */ 's', 'a', 'r', 'x', 'l', 9, 0,
+  /* 1287 */ 's', 'h', 'r', 'x', 'l', 9, 0,
+  /* 1294 */ 'r', 'o', 'r', 'x', 'l', 9, 0,
+  /* 1301 */ 'a', 'a', 'm', 9, 0,
+  /* 1306 */ 'v', 'm', 'x', 'o', 'n', 9, 0,
+  /* 1313 */ 'j', 'o', 9, 0,
+  /* 1317 */ 'j', 'n', 'o', 9, 0,
+  /* 1322 */ 's', 'e', 't', 'n', 'o', 9, 0,
+  /* 1329 */ 's', 'e', 't', 'o', 9, 0,
+  /* 1335 */ 'j', 'p', 9, 0,
+  /* 1339 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 9, 0,
+  /* 1350 */ 'j', 'n', 'p', 9, 0,
+  /* 1355 */ 's', 'e', 't', 'n', 'p', 9, 0,
+  /* 1362 */ 'n', 'o', 'p', 9, 0,
+  /* 1367 */ 'l', 'o', 'o', 'p', 9, 0,
+  /* 1373 */ 's', 'e', 't', 'p', 9, 0,
+  /* 1379 */ '#', 'E', 'H', '_', 'S', 'j', 'L', 'j', '_', 'S', 'e', 't', 'u', 'p', 9, 0,
+  /* 1395 */ 'l', 'e', 'a', 'q', 9, 0,
+  /* 1401 */ 'c', 'm', 'o', 'v', 'a', 'q', 9, 0,
+  /* 1409 */ 's', 'b', 'b', 'q', 9, 0,
+  /* 1415 */ 'm', 'o', 'v', 's', 'b', 'q', 9, 0,
+  /* 1423 */ 's', 'u', 'b', 'q', 9, 0,
+  /* 1429 */ 'c', 'm', 'o', 'v', 'b', 'q', 9, 0,
+  /* 1437 */ 'm', 'o', 'v', 'z', 'b', 'q', 9, 0,
+  /* 1445 */ 'a', 'd', 'c', 'q', 9, 0,
+  /* 1451 */ 'd', 'e', 'c', 'q', 9, 0,
+  /* 1457 */ 'i', 'n', 'c', 'q', 9, 0,
+  /* 1463 */ 'b', 't', 'c', 'q', 9, 0,
+  /* 1469 */ 'v', 'm', 'r', 'e', 'a', 'd', 'q', 9, 0,
+  /* 1478 */ 'x', 'a', 'd', 'd', 'q', 9, 0,
+  /* 1485 */ 'r', 'd', 's', 'e', 'e', 'd', 'q', 9, 0,
+  /* 1494 */ 's', 'h', 'l', 'd', 'q', 9, 0,
+  /* 1501 */ 'r', 'd', 'r', 'a', 'n', 'd', 'q', 9, 0,
+  /* 1510 */ 's', 'h', 'r', 'd', 'q', 9, 0,
+  /* 1517 */ 'c', 'm', 'o', 'v', 'a', 'e', 'q', 9, 0,
+  /* 1526 */ 'c', 'm', 'o', 'v', 'b', 'e', 'q', 9, 0,
+  /* 1535 */ 'c', 'm', 'o', 'v', 'g', 'e', 'q', 9, 0,
+  /* 1544 */ 'c', 'm', 'o', 'v', 'l', 'e', 'q', 9, 0,
+  /* 1553 */ 'c', 'm', 'o', 'v', 'n', 'e', 'q', 9, 0,
+  /* 1562 */ 'r', 'd', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 1573 */ 'w', 'r', 'f', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 1584 */ 'r', 'd', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 1595 */ 'w', 'r', 'g', 's', 'b', 'a', 's', 'e', 'q', 9, 0,
+  /* 1606 */ 'v', 'm', 'w', 'r', 'i', 't', 'e', 'q', 9, 0,
+  /* 1616 */ 'c', 'm', 'o', 'v', 'e', 'q', 9, 0,
+  /* 1624 */ 'b', 's', 'f', 'q', 9, 0,
+  /* 1630 */ 'n', 'e', 'g', 'q', 9, 0,
+  /* 1636 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'q', 9, 0,
+  /* 1646 */ 'c', 'm', 'o', 'v', 'g', 'q', 9, 0,
+  /* 1654 */ 'p', 'u', 's', 'h', 'q', 9, 0,
+  /* 1661 */ 'b', 'z', 'h', 'i', 'q', 9, 0,
+  /* 1668 */ 'b', 'l', 's', 'i', 'q', 9, 0,
+  /* 1675 */ 'b', 'l', 's', 'm', 's', 'k', 'q', 9, 0,
+  /* 1684 */ 's', 'a', 'l', 'q', 9, 0,
+  /* 1690 */ 'r', 'c', 'l', 'q', 9, 0,
+  /* 1696 */ 's', 'h', 'l', 'q', 9, 0,
+  /* 1702 */ 'c', 'a', 'l', 'l', 'q', 9, 0,
+  /* 1709 */ 'r', 'o', 'l', 'q', 9, 0,
+  /* 1715 */ 'l', 's', 'l', 'q', 9, 0,
+  /* 1721 */ 'm', 'o', 'v', 's', 'l', 'q', 9, 0,
+  /* 1729 */ 'i', 'm', 'u', 'l', 'q', 9, 0,
+  /* 1736 */ 'c', 'm', 'o', 'v', 'l', 'q', 9, 0,
+  /* 1744 */ 'a', 'n', 'd', 'n', 'q', 9, 0,
+  /* 1751 */ 'c', 'm', 'o', 'v', 'n', 'o', 'q', 9, 0,
+  /* 1760 */ 'c', 'm', 'o', 'v', 'o', 'q', 9, 0,
+  /* 1768 */ 'b', 's', 'w', 'a', 'p', 'q', 9, 0,
+  /* 1776 */ 'p', 'd', 'e', 'p', 'q', 9, 0,
+  /* 1783 */ 'c', 'm', 'p', 'q', 9, 0,
+  /* 1789 */ 'c', 'm', 'o', 'v', 'n', 'p', 'q', 9, 0,
+  /* 1798 */ 'p', 'o', 'p', 'q', 9, 0,
+  /* 1804 */ 'c', 'm', 'o', 'v', 'p', 'q', 9, 0,
+  /* 1812 */ 'l', 'a', 'r', 'q', 9, 0,
+  /* 1818 */ 's', 'a', 'r', 'q', 9, 0,
+  /* 1824 */ 'r', 'c', 'r', 'q', 9, 0,
+  /* 1830 */ 's', 'h', 'r', 'q', 9, 0,
+  /* 1836 */ 'r', 'o', 'r', 'q', 9, 0,
+  /* 1842 */ 'x', 'o', 'r', 'q', 9, 0,
+  /* 1848 */ 'b', 's', 'r', 'q', 9, 0,
+  /* 1854 */ 'b', 'l', 's', 'r', 'q', 9, 0,
+  /* 1861 */ 'b', 't', 'r', 'q', 9, 0,
+  /* 1867 */ 's', 't', 'r', 'q', 9, 0,
+  /* 1873 */ 'b', 'e', 'x', 't', 'r', 'q', 9, 0,
+  /* 1881 */ 's', 'c', 'a', 's', 'q', 9, 0,
+  /* 1888 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, 0,
+  /* 1897 */ 'l', 'o', 'd', 's', 'q', 9, 0,
+  /* 1904 */ 'l', 'f', 's', 'q', 9, 0,
+  /* 1910 */ 'l', 'g', 's', 'q', 9, 0,
+  /* 1916 */ 'c', 'm', 'o', 'v', 'n', 's', 'q', 9, 0,
+  /* 1925 */ 'c', 'm', 'p', 's', 'q', 9, 0,
+  /* 1932 */ 'l', 's', 's', 'q', 9, 0,
+  /* 1938 */ 'b', 't', 's', 'q', 9, 0,
+  /* 1944 */ 'c', 'm', 'o', 'v', 's', 'q', 9, 0,
+  /* 1952 */ 'b', 't', 'q', 9, 0,
+  /* 1957 */ 'l', 'g', 'd', 't', 'q', 9, 0,
+  /* 1964 */ 's', 'g', 'd', 't', 'q', 9, 0,
+  /* 1971 */ 'l', 'i', 'd', 't', 'q', 9, 0,
+  /* 1978 */ 's', 'i', 'd', 't', 'q', 9, 0,
+  /* 1985 */ 's', 'l', 'd', 't', 'q', 9, 0,
+  /* 1992 */ 'l', 'r', 'e', 't', 'q', 9, 0,
+  /* 1999 */ 'l', 'z', 'c', 'n', 't', 'q', 9, 0,
+  /* 2007 */ 't', 'z', 'c', 'n', 't', 'q', 9, 0,
+  /* 2015 */ 'n', 'o', 't', 'q', 9, 0,
+  /* 2021 */ 't', 'e', 's', 't', 'q', 9, 0,
+  /* 2028 */ 'p', 'e', 'x', 't', 'q', 9, 0,
+  /* 2035 */ 'i', 'd', 'i', 'v', 'q', 9, 0,
+  /* 2042 */ 'm', 'o', 'v', 'q', 9, 0,
+  /* 2048 */ 's', 'm', 's', 'w', 'q', 9, 0,
+  /* 2055 */ 'm', 'o', 'v', 's', 'w', 'q', 9, 0,
+  /* 2063 */ 'm', 'o', 'v', 'z', 'w', 'q', 9, 0,
+  /* 2071 */ 'a', 'd', 'c', 'x', 'q', 9, 0,
+  /* 2078 */ 's', 'h', 'l', 'x', 'q', 9, 0,
+  /* 2085 */ 'm', 'u', 'l', 'x', 'q', 9, 0,
+  /* 2092 */ 'a', 'd', 'o', 'x', 'q', 9, 0,
+  /* 2099 */ 's', 'a', 'r', 'x', 'q', 9, 0,
+  /* 2106 */ 's', 'h', 'r', 'x', 'q', 9, 0,
+  /* 2113 */ 'r', 'o', 'r', 'x', 'q', 9, 0,
+  /* 2120 */ 'v', 'm', 'c', 'l', 'e', 'a', 'r', 9, 0,
+  /* 2129 */ 'e', 'n', 't', 'e', 'r', 9, 0,
+  /* 2136 */ 'x', 'r', 's', 't', 'o', 'r', 9, 0,
+  /* 2144 */ 'v', 'e', 'r', 'r', 9, 0,
+  /* 2150 */ 'b', 'e', 'x', 't', 'r', 9, 0,
+  /* 2157 */ 'b', 'l', 'c', 's', 9, 0,
+  /* 2163 */ 'x', 's', 'a', 'v', 'e', 's', 9, 0,
+  /* 2171 */ 'j', 's', 9, 0,
+  /* 2175 */ 'j', 'n', 's', 9, 0,
+  /* 2180 */ 's', 'e', 't', 'n', 's', 9, 0,
+  /* 2187 */ 'x', 'r', 's', 't', 'o', 'r', 's', 9, 0,
+  /* 2196 */ 's', 'e', 't', 's', 9, 0,
+  /* 2202 */ 'i', 'n', 't', 9, 0,
+  /* 2207 */ 'i', 'n', 'v', 'e', 'p', 't', 9, 0,
+  /* 2215 */ 'x', 's', 'a', 'v', 'e', 'o', 'p', 't', 9, 0,
+  /* 2225 */ 'c', 'l', 'f', 'l', 'u', 's', 'h', 'o', 'p', 't', 9, 0,
+  /* 2237 */ 'v', 'm', 'p', 't', 'r', 's', 't', 9, 0,
+  /* 2246 */ 'l', 'e', 'a', 'w', 9, 0,
+  /* 2252 */ 'c', 'm', 'o', 'v', 'a', 'w', 9, 0,
+  /* 2260 */ 's', 'b', 'b', 'w', 9, 0,
+  /* 2266 */ 'm', 'o', 'v', 's', 'b', 'w', 9, 0,
+  /* 2274 */ 's', 'u', 'b', 'w', 9, 0,
+  /* 2280 */ 'c', 'm', 'o', 'v', 'b', 'w', 9, 0,
+  /* 2288 */ 'm', 'o', 'v', 'z', 'b', 'w', 9, 0,
+  /* 2296 */ 'a', 'd', 'c', 'w', 9, 0,
+  /* 2302 */ 'd', 'e', 'c', 'w', 9, 0,
+  /* 2308 */ 'i', 'n', 'c', 'w', 9, 0,
+  /* 2314 */ 'b', 't', 'c', 'w', 9, 0,
+  /* 2320 */ 'x', 'a', 'd', 'd', 'w', 9, 0,
+  /* 2327 */ 'r', 'd', 's', 'e', 'e', 'd', 'w', 9, 0,
+  /* 2336 */ 's', 'h', 'l', 'd', 'w', 9, 0,
+  /* 2343 */ 'r', 'd', 'r', 'a', 'n', 'd', 'w', 9, 0,
+  /* 2352 */ 's', 'h', 'r', 'd', 'w', 9, 0,
+  /* 2359 */ 'c', 'm', 'o', 'v', 'a', 'e', 'w', 9, 0,
+  /* 2368 */ 'c', 'm', 'o', 'v', 'b', 'e', 'w', 9, 0,
+  /* 2377 */ 'c', 'm', 'o', 'v', 'g', 'e', 'w', 9, 0,
+  /* 2386 */ 'c', 'm', 'o', 'v', 'l', 'e', 'w', 9, 0,
+  /* 2395 */ 'c', 'm', 'o', 'v', 'n', 'e', 'w', 9, 0,
+  /* 2404 */ 'c', 'm', 'o', 'v', 'e', 'w', 9, 0,
+  /* 2412 */ 'b', 's', 'f', 'w', 9, 0,
+  /* 2418 */ 'n', 'e', 'g', 'w', 9, 0,
+  /* 2424 */ 'c', 'm', 'p', 'x', 'c', 'h', 'g', 'w', 9, 0,
+  /* 2434 */ 'c', 'm', 'o', 'v', 'g', 'w', 9, 0,
+  /* 2442 */ 'p', 'u', 's', 'h', 'w', 9, 0,
+  /* 2449 */ 's', 'a', 'l', 'w', 9, 0,
+  /* 2455 */ 'r', 'c', 'l', 'w', 9, 0,
+  /* 2461 */ 's', 'h', 'l', 'w', 9, 0,
+  /* 2467 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, 0,
+  /* 2475 */ 'r', 'o', 'l', 'w', 9, 0,
+  /* 2481 */ 'l', 's', 'l', 'w', 9, 0,
+  /* 2487 */ 'i', 'm', 'u', 'l', 'w', 9, 0,
+  /* 2494 */ 'c', 'm', 'o', 'v', 'l', 'w', 9, 0,
+  /* 2502 */ 'i', 'n', 'w', 9, 0,
+  /* 2507 */ 'c', 'm', 'o', 'v', 'n', 'o', 'w', 9, 0,
+  /* 2516 */ 'c', 'm', 'o', 'v', 'o', 'w', 9, 0,
+  /* 2524 */ 'c', 'm', 'p', 'w', 9, 0,
+  /* 2530 */ 'l', 'j', 'm', 'p', 'w', 9, 0,
+  /* 2537 */ 'c', 'm', 'o', 'v', 'n', 'p', 'w', 9, 0,
+  /* 2546 */ 'n', 'o', 'p', 'w', 9, 0,
+  /* 2552 */ 'p', 'o', 'p', 'w', 9, 0,
+  /* 2558 */ 'c', 'm', 'o', 'v', 'p', 'w', 9, 0,
+  /* 2566 */ 'l', 'a', 'r', 'w', 9, 0,
+  /* 2572 */ 's', 'a', 'r', 'w', 9, 0,
+  /* 2578 */ 'r', 'c', 'r', 'w', 9, 0,
+  /* 2584 */ 'v', 'e', 'r', 'w', 9, 0,
+  /* 2590 */ 's', 'h', 'r', 'w', 9, 0,
+  /* 2596 */ 'r', 'o', 'r', 'w', 9, 0,
+  /* 2602 */ 'x', 'o', 'r', 'w', 9, 0,
+  /* 2608 */ 'b', 's', 'r', 'w', 9, 0,
+  /* 2614 */ 'b', 't', 'r', 'w', 9, 0,
+  /* 2620 */ 'l', 't', 'r', 'w', 9, 0,
+  /* 2626 */ 's', 't', 'r', 'w', 9, 0,
+  /* 2632 */ 's', 'c', 'a', 's', 'w', 9, 0,
+  /* 2639 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, 0,
+  /* 2648 */ 'l', 'd', 's', 'w', 9, 0,
+  /* 2654 */ 'l', 'o', 'd', 's', 'w', 9, 0,
+  /* 2661 */ 'l', 'e', 's', 'w', 9, 0,
+  /* 2667 */ 'l', 'f', 's', 'w', 9, 0,
+  /* 2673 */ 'l', 'g', 's', 'w', 9, 0,
+  /* 2679 */ 'c', 'm', 'o', 'v', 'n', 's', 'w', 9, 0,
+  /* 2688 */ 'c', 'm', 'p', 's', 'w', 9, 0,
+  /* 2695 */ 'l', 's', 's', 'w', 9, 0,
+  /* 2701 */ 'b', 't', 's', 'w', 9, 0,
+  /* 2707 */ 'o', 'u', 't', 's', 'w', 9, 0,
+  /* 2714 */ 'c', 'm', 'o', 'v', 's', 'w', 9, 0,
+  /* 2722 */ 'b', 't', 'w', 9, 0,
+  /* 2727 */ 'l', 'g', 'd', 't', 'w', 9, 0,
+  /* 2734 */ 's', 'g', 'd', 't', 'w', 9, 0,
+  /* 2741 */ 'l', 'i', 'd', 't', 'w', 9, 0,
+  /* 2748 */ 's', 'i', 'd', 't', 'w', 9, 0,
+  /* 2755 */ 'l', 'l', 'd', 't', 'w', 9, 0,
+  /* 2762 */ 's', 'l', 'd', 't', 'w', 9, 0,
+  /* 2769 */ 'l', 'r', 'e', 't', 'w', 9, 0,
+  /* 2776 */ 'l', 'z', 'c', 'n', 't', 'w', 9, 0,
+  /* 2784 */ 't', 'z', 'c', 'n', 't', 'w', 9, 0,
+  /* 2792 */ 'n', 'o', 't', 'w', 9, 0,
+  /* 2798 */ 't', 'e', 's', 't', 'w', 9, 0,
+  /* 2805 */ 'i', 'd', 'i', 'v', 'w', 9, 0,
+  /* 2812 */ 'm', 'o', 'v', 'w', 9, 0,
+  /* 2818 */ 'l', 'm', 's', 'w', 'w', 9, 0,
+  /* 2825 */ 's', 'm', 's', 'w', 'w', 9, 0,
+  /* 2832 */ 'j', 'e', 'c', 'x', 'z', 9, 0,
+  /* 2839 */ 'j', 'c', 'x', 'z', 9, 0,
+  /* 2845 */ 'j', 'r', 'c', 'x', 'z', 9, 0,
+  /* 2852 */ 's', 'a', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2862 */ 'r', 'c', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2872 */ 's', 'h', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2882 */ 'r', 'o', 'l', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2892 */ 's', 'a', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2902 */ 'r', 'c', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2912 */ 's', 'h', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2922 */ 'r', 'o', 'r', 'b', 9, '$', '1', ',', 32, 0,
+  /* 2932 */ 's', 'a', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2942 */ 'r', 'c', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2952 */ 's', 'h', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2962 */ 'r', 'o', 'l', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2972 */ 's', 'a', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2982 */ 'r', 'c', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 2992 */ 's', 'h', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 3002 */ 'r', 'o', 'r', 'l', 9, '$', '1', ',', 32, 0,
+  /* 3012 */ 's', 'a', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3022 */ 'r', 'c', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3032 */ 's', 'h', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3042 */ 'r', 'o', 'l', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3052 */ 's', 'a', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3062 */ 'r', 'c', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3072 */ 's', 'h', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3082 */ 'r', 'o', 'r', 'q', 9, '$', '1', ',', 32, 0,
+  /* 3092 */ 's', 'a', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3102 */ 'r', 'c', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3112 */ 's', 'h', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3122 */ 'r', 'o', 'l', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3132 */ 's', 'a', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3142 */ 'r', 'c', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3152 */ 's', 'h', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3162 */ 'r', 'o', 'r', 'w', 9, '$', '1', ',', 32, 0,
+  /* 3172 */ 'm', 'o', 'v', 'a', 'b', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 3186 */ 's', 't', 'o', 's', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 3198 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 3209 */ 'm', 'o', 'v', 'b', 9, '%', 'a', 'l', ',', 32, 0,
+  /* 3220 */ 's', 'a', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3231 */ 'r', 'c', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3242 */ 's', 'h', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3253 */ 'r', 'o', 'l', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3264 */ 's', 'a', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3275 */ 'r', 'c', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3286 */ 's', 'h', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3297 */ 'r', 'o', 'r', 'b', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3308 */ 's', 'h', 'l', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3320 */ 's', 'h', 'r', 'd', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3332 */ 's', 'a', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3343 */ 'r', 'c', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3354 */ 's', 'h', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3365 */ 'r', 'o', 'l', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3376 */ 's', 'a', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3387 */ 'r', 'c', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3398 */ 's', 'h', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3409 */ 'r', 'o', 'r', 'l', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3420 */ 's', 'h', 'l', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3432 */ 's', 'h', 'r', 'd', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3444 */ 's', 'a', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3455 */ 'r', 'c', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3466 */ 's', 'h', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3477 */ 'r', 'o', 'l', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3488 */ 's', 'a', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3499 */ 'r', 'c', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3510 */ 's', 'h', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3521 */ 'r', 'o', 'r', 'q', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3532 */ 's', 'h', 'l', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3544 */ 's', 'h', 'r', 'd', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3556 */ 's', 'a', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3567 */ 'r', 'c', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3578 */ 's', 'h', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3589 */ 'r', 'o', 'l', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3600 */ 's', 'a', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3611 */ 'r', 'c', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3622 */ 's', 'h', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3633 */ 'r', 'o', 'r', 'w', 9, '%', 'c', 'l', ',', 32, 0,
+  /* 3644 */ 'm', 'o', 'v', 'a', 'b', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 3658 */ 's', 't', 'o', 's', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 3670 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 3681 */ 'm', 'o', 'v', 'w', 9, '%', 'a', 'x', ',', 32, 0,
+  /* 3692 */ 'm', 'o', 'v', 'a', 'b', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 3707 */ 's', 't', 'o', 's', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 3720 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 3732 */ 'm', 'o', 'v', 'l', 9, '%', 'e', 'a', 'x', ',', 32, 0,
+  /* 3744 */ 'm', 'o', 'v', 'a', 'b', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 3759 */ 's', 't', 'o', 's', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 3772 */ 'm', 'o', 'v', 'q', 9, '%', 'r', 'a', 'x', ',', 32, 0,
+  /* 3784 */ 'i', 'n', 's', 'b', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 3795 */ 'i', 'n', 's', 'l', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 3806 */ 'i', 'n', 's', 'w', 9, '%', 'd', 'x', ',', 32, 0,
+  /* 3817 */ '#', 'V', 'A', 'A', 'R', 'G', '_', '6', '4', 32, 0,
+  /* 3828 */ 'r', 'e', 't', 9, '#', 'e', 'h', '_', 'r', 'e', 't', 'u', 'r', 'n', ',', 32, 'a', 'd', 'd', 'r', ':', 32, 0,
+  /* 3851 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'X', 'M', 'M', 32, 0,
+  /* 3865 */ '#', 'V', 'A', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'A', 'V', 'E', '_', 'X', 'M', 'M', '_', 'R', 'E', 'G', 'S', 32, 0,
+  /* 3889 */ '#', 'S', 'E', 'H', '_', 'S', 't', 'a', 'c', 'k', 'A', 'l', 'l', 'o', 'c', 32, 0,
+  /* 3906 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 3922 */ '#', 'S', 'E', 'H', '_', 'S', 'e', 't', 'F', 'r', 'a', 'm', 'e', 32, 0,
+  /* 3937 */ '#', 'S', 'E', 'H', '_', 'S', 'a', 'v', 'e', 'R', 'e', 'g', 32, 0,
+  /* 3951 */ '#', 'S', 'E', 'H', '_', 'P', 'u', 's', 'h', 'R', 'e', 'g', 32, 0,
+  /* 3965 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', 32, '!', 0,
+  /* 3987 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '8', '0', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4008 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4029 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '1', '6', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4051 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4072 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4093 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4113 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '3', '2', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4133 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4154 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4175 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'F', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4196 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '2', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4217 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '4', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4238 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'V', '8', 'I', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4259 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'R', 'F', 'P', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4280 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'F', 'R', '6', '4', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4300 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '1', '6', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4320 */ '#', 'C', 'M', 'O', 'V', '_', '_', 'G', 'R', '8', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4339 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'B', 'I', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4362 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'U', 'N', 'O', 'P', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4384 */ '#', 'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4405 */ '#', 'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'O', 'V', 32, 'P', 'S', 'E', 'U', 'D', 'O', '!', 0,
+  /* 4426 */ 'l', 'c', 'a', 'l', 'l', 'l', 9, '*', 0,
+  /* 4435 */ 'l', 'j', 'm', 'p', 'l', 9, '*', 0,
+  /* 4443 */ 'l', 'c', 'a', 'l', 'l', 'q', 9, '*', 0,
+  /* 4452 */ 'r', 'e', 'x', '6', '4', 32, 'j', 'm', 'p', 'q', 9, '*', 0,
+  /* 4465 */ 'l', 'j', 'm', 'p', 'q', 9, '*', 0,
+  /* 4473 */ 'l', 'c', 'a', 'l', 'l', 'w', 9, '*', 0,
+  /* 4482 */ 'l', 'j', 'm', 'p', 'w', 9, '*', 0,
+  /* 4490 */ 'x', 's', 'h', 'a', '1', 0,
+  /* 4496 */ 'i', 'n', 't', '1', 0,
+  /* 4501 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '3', '2', 0,
+  /* 4520 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '3', '2', 0,
+  /* 4538 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '3', '2', 0,
+  /* 4551 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 4564 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '3', '2', 0,
+  /* 4582 */ 'u', 'd', '2', 0,
+  /* 4586 */ 'i', 'n', 't', '3', 0,
+  /* 4591 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'L', 'O', 'N', 'G', 'J', 'M', 'P', '6', '4', 0,
+  /* 4610 */ '#', 'E', 'H', '_', 'S', 'J', 'L', 'J', '_', 'S', 'E', 'T', 'J', 'M', 'P', '6', '4', 0,
+  /* 4628 */ '#', 32, 'T', 'L', 'S', 'C', 'a', 'l', 'l', '_', '6', '4', 0,
+  /* 4641 */ '#', 32, 'T', 'L', 'S', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 4654 */ '#', 32, 'T', 'L', 'S', '_', 'b', 'a', 's', 'e', '_', 'a', 'd', 'd', 'r', '6', '4', 0,
+  /* 4672 */ 'r', 'e', 'x', '6', '4', 0,
+  /* 4678 */ 'd', 'a', 't', 'a', '1', '6', 0,
+  /* 4685 */ 'x', 's', 'h', 'a', '2', '5', '6', 0,
+  /* 4693 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'E', 'N', 'D', 0,
+  /* 4706 */ 'B', 'U', 'N', 'D', 'L', 'E', 0,
+  /* 4713 */ 'D', 'B', 'G', '_', 'V', 'A', 'L', 'U', 'E', 0,
+  /* 4723 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'D', 'O', 'W', 'N', 0,
+  /* 4741 */ '#', 'A', 'D', 'J', 'C', 'A', 'L', 'L', 'S', 'T', 'A', 'C', 'K', 'U', 'P', 0,
+  /* 4757 */ '#', 'M', 'E', 'M', 'B', 'A', 'R', 'R', 'I', 'E', 'R', 0,
+  /* 4769 */ 'L', 'I', 'F', 'E', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'R', 'T', 0,
+  /* 4784 */ 'a', 'a', 'a', 0,
+  /* 4788 */ 'd', 'a', 'a', 0,
+  /* 4792 */ 'u', 'd', '2', 'b', 0,
+  /* 4797 */ 'x', 'c', 'r', 'y', 'p', 't', 'e', 'c', 'b', 0,
+  /* 4807 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'f', 'b', 0,
+  /* 4817 */ 'x', 'c', 'r', 'y', 'p', 't', 'o', 'f', 'b', 0,
+  /* 4827 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'b', 0,
+  /* 4837 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'b', 0,
+  /* 4847 */ 'x', 'l', 'a', 't', 'b', 0,
+  /* 4853 */ 'c', 'l', 'a', 'c', 0,
+  /* 4858 */ 's', 't', 'a', 'c', 0,
+  /* 4863 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 'b', 'c', 0,
+  /* 4873 */ 'g', 'e', 't', 's', 'e', 'c', 0,
+  /* 4880 */ 's', 'a', 'l', 'c', 0,
+  /* 4885 */ 'c', 'l', 'c', 0,
+  /* 4889 */ 'c', 'm', 'c', 0,
+  /* 4893 */ 'r', 'd', 'p', 'm', 'c', 0,
+  /* 4899 */ 'v', 'm', 'f', 'u', 'n', 'c', 0,
+  /* 4906 */ 'r', 'd', 't', 's', 'c', 0,
+  /* 4912 */ 's', 't', 'c', 0,
+  /* 4916 */ 'c', 'p', 'u', 'i', 'd', 0,
+  /* 4922 */ 'c', 'l', 'd', 0,
+  /* 4926 */ 'c', 'l', 't', 'd', 0,
+  /* 4931 */ 's', 't', 'd', 0,
+  /* 4935 */ 'c', 'w', 't', 'd', 0,
+  /* 4940 */ 'w', 'b', 'i', 'n', 'v', 'd', 0,
+  /* 4947 */ 'v', 'm', 'r', 'e', 's', 'u', 'm', 'e', 0,
+  /* 4956 */ 'r', 'e', 'p', 'n', 'e', 0,
+  /* 4962 */ 'x', 's', 't', 'o', 'r', 'e', 0,
+  /* 4969 */ '#', 'S', 'E', 'H', '_', 'E', 'p', 'i', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 4983 */ '#', 'S', 'E', 'H', '_', 'E', 'n', 'd', 'P', 'r', 'o', 'l', 'o', 'g', 'u', 'e', 0,
+  /* 5000 */ 'l', 'e', 'a', 'v', 'e', 0,
+  /* 5006 */ 'v', 'm', 'x', 'o', 'f', 'f', 0,
+  /* 5013 */ 'l', 'a', 'h', 'f', 0,
+  /* 5018 */ 's', 'a', 'h', 'f', 0,
+  /* 5023 */ 'v', 'm', 'l', 'a', 'u', 'n', 'c', 'h', 0,
+  /* 5032 */ 'c', 'l', 'g', 'i', 0,
+  /* 5037 */ 's', 't', 'g', 'i', 0,
+  /* 5042 */ 'c', 'l', 'i', 0,
+  /* 5046 */ 's', 't', 'i', 0,
+  /* 5050 */ '#', 32, 'w', 'i', 'n', '3', '2', 32, 'f', 'p', 't', 'o', 'u', 'i', 0,
+  /* 5065 */ 'l', 'o', 'c', 'k', 0,
+  /* 5070 */ 'i', 'n', 'b', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'l', 0,
+  /* 5083 */ 'p', 'u', 's', 'h', 'a', 'l', 0,
+  /* 5090 */ 'p', 'o', 'p', 'a', 'l', 0,
+  /* 5096 */ 'p', 'u', 's', 'h', 'f', 'l', 0,
+  /* 5103 */ 'p', 'o', 'p', 'f', 'l', 0,
+  /* 5109 */ 'v', 'm', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 5117 */ 'v', 'm', 'c', 'a', 'l', 'l', 0,
+  /* 5124 */ 's', 'y', 's', 'c', 'a', 'l', 'l', 0,
+  /* 5132 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'l', 0,
+  /* 5142 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'l', 0,
+  /* 5152 */ 'i', 'r', 'e', 't', 'l', 0,
+  /* 5158 */ 'l', 'r', 'e', 't', 'l', 0,
+  /* 5164 */ 's', 'y', 's', 'r', 'e', 't', 'l', 0,
+  /* 5172 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'l', 0,
+  /* 5181 */ 'c', 'w', 't', 'l', 0,
+  /* 5186 */ 'm', 'o', 'n', 't', 'm', 'u', 'l', 0,
+  /* 5194 */ 'f', 's', 'e', 't', 'p', 'm', 0,
+  /* 5201 */ 'r', 's', 'm', 0,
+  /* 5205 */ '#', 32, 'd', 'y', 'n', 'a', 'm', 'i', 'c', 32, 's', 't', 'a', 'c', 'k', 32, 'a', 'l', 'l', 'o', 'c', 'a', 't', 'i', 'o', 'n', 0,
+  /* 5232 */ 'i', 'n', 't', 'o', 0,
+  /* 5237 */ 'c', 'q', 't', 'o', 0,
+  /* 5242 */ 'r', 'd', 't', 's', 'c', 'p', 0,
+  /* 5249 */ 'r', 'e', 'p', 0,
+  /* 5253 */ 'n', 'o', 'p', 0,
+  /* 5257 */ 'p', 'u', 's', 'h', 'f', 'q', 0,
+  /* 5264 */ 'p', 'o', 'p', 'f', 'q', 0,
+  /* 5270 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'q', 0,
+  /* 5280 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'q', 0,
+  /* 5290 */ 'i', 'r', 'e', 't', 'q', 0,
+  /* 5296 */ 'l', 'r', 'e', 't', 'q', 0,
+  /* 5302 */ 's', 'y', 's', 'r', 'e', 't', 'q', 0,
+  /* 5310 */ 's', 'y', 's', 'e', 'x', 'i', 't', 'q', 0,
+  /* 5319 */ 'c', 'l', 't', 'q', 0,
+  /* 5324 */ 's', 'y', 's', 'e', 'n', 't', 'e', 'r', 0,
+  /* 5333 */ 'r', 'd', 'm', 's', 'r', 0,
+  /* 5339 */ 'w', 'r', 'm', 's', 'r', 0,
+  /* 5345 */ 'x', 'c', 'r', 'y', 'p', 't', 'c', 't', 'r', 0,
+  /* 5355 */ 'a', 'a', 's', 0,
+  /* 5359 */ 'd', 'a', 's', 0,
+  /* 5363 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'c', 's', 0,
+  /* 5373 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'c', 's', 0,
+  /* 5383 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'd', 's', 0,
+  /* 5393 */ 'p', 'o', 'p', 'l', 9, '%', 'd', 's', 0,
+  /* 5402 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'd', 's', 0,
+  /* 5412 */ 'p', 'o', 'p', 'w', 9, '%', 'd', 's', 0,
+  /* 5421 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'e', 's', 0,
+  /* 5431 */ 'p', 'o', 'p', 'l', 9, '%', 'e', 's', 0,
+  /* 5440 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'e', 's', 0,
+  /* 5450 */ 'p', 'o', 'p', 'w', 9, '%', 'e', 's', 0,
+  /* 5459 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'f', 's', 0,
+  /* 5469 */ 'p', 'o', 'p', 'l', 9, '%', 'f', 's', 0,
+  /* 5478 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'f', 's', 0,
+  /* 5488 */ 'p', 'o', 'p', 'q', 9, '%', 'f', 's', 0,
+  /* 5497 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'f', 's', 0,
+  /* 5507 */ 'p', 'o', 'p', 'w', 9, '%', 'f', 's', 0,
+  /* 5516 */ 'p', 'u', 's', 'h', 'l', 9, '%', 'g', 's', 0,
+  /* 5526 */ 'p', 'o', 'p', 'l', 9, '%', 'g', 's', 0,
+  /* 5535 */ 'p', 'u', 's', 'h', 'q', 9, '%', 'g', 's', 0,
+  /* 5545 */ 'p', 'o', 'p', 'q', 9, '%', 'g', 's', 0,
+  /* 5554 */ 'p', 'u', 's', 'h', 'w', 9, '%', 'g', 's', 0,
+  /* 5564 */ 'p', 'o', 'p', 'w', 9, '%', 'g', 's', 0,
+  /* 5573 */ 's', 'w', 'a', 'p', 'g', 's', 0,
+  /* 5580 */ '#', 32, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e', 32, 's', 'i', 'z', 'e', 'd', 32, 'a', 'l', 'l', 'o', 'c', 'a', 32, 'f', 'o', 'r', 32, 's', 'e', 'g', 'm', 'e', 'n', 't', 'e', 'd', 32, 's', 't', 'a', 'c', 'k', 's', 0,
+  /* 5625 */ 'p', 'u', 's', 'h', 'l', 9, '%', 's', 's', 0,
+  /* 5635 */ 'p', 'o', 'p', 'l', 9, '%', 's', 's', 0,
+  /* 5644 */ 'p', 'u', 's', 'h', 'w', 9, '%', 's', 's', 0,
+  /* 5654 */ 'p', 'o', 'p', 'w', 9, '%', 's', 's', 0,
+  /* 5663 */ 'c', 'l', 't', 's', 0,
+  /* 5668 */ 'p', 'c', 'o', 'm', 'm', 'i', 't', 0,
+  /* 5676 */ 'h', 'l', 't', 0,
+  /* 5680 */ 'x', 'g', 'e', 't', 'b', 'v', 0,
+  /* 5687 */ 'x', 's', 'e', 't', 'b', 'v', 0,
+  /* 5694 */ 'p', 'u', 's', 'h', 'a', 'w', 0,
+  /* 5701 */ 'p', 'o', 'p', 'a', 'w', 0,
+  /* 5707 */ 'p', 'u', 's', 'h', 'f', 'w', 0,
+  /* 5714 */ 'p', 'o', 'p', 'f', 'w', 0,
+  /* 5720 */ 'r', 'e', 'p', ';', 's', 't', 'o', 's', 'w', 0,
+  /* 5730 */ 'r', 'e', 'p', ';', 'm', 'o', 'v', 's', 'w', 0,
+  /* 5740 */ 'c', 'b', 't', 'w', 0,
+  /* 5745 */ 'i', 'r', 'e', 't', 'w', 0,
+  /* 5751 */ 'l', 'r', 'e', 't', 'w', 0,
+  /* 5757 */ 'i', 'n', 'w', 9, '%', 'd', 'x', ',', 32, '%', 'a', 'x', 0,
+  /* 5770 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'e', 'a', 'x', 0,
+  /* 5782 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'e', 'a', 'x', 0,
+  /* 5794 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'e', 'a', 'x', 0,
+  /* 5805 */ 's', 'k', 'i', 'n', 'i', 't', 9, '%', 'e', 'a', 'x', 0,
+  /* 5817 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
+  /* 5836 */ 'i', 'n', 'l', 9, '%', 'd', 'x', ',', 32, '%', 'e', 'a', 'x', 0,
+  /* 5850 */ 'v', 'm', 'l', 'o', 'a', 'd', 9, '%', 'r', 'a', 'x', 0,
+  /* 5862 */ 'v', 'm', 's', 'a', 'v', 'e', 9, '%', 'r', 'a', 'x', 0,
+  /* 5874 */ 'v', 'm', 'r', 'u', 'n', 9, '%', 'r', 'a', 'x', 0,
+  /* 5885 */ 'i', 'n', 'v', 'l', 'p', 'g', 'a', 9, '%', 'e', 'c', 'x', ',', 32, '%', 'r', 'a', 'x', 0,
+  /* 5904 */ 'o', 'u', 't', 'b', 9, '%', 'a', 'l', ',', 32, '%', 'd', 'x', 0,
+  /* 5918 */ 'o', 'u', 't', 'w', 9, '%', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
+  /* 5932 */ 'o', 'u', 't', 'l', 9, '%', 'e', 'a', 'x', ',', 32, '%', 'd', 'x', 0,
   };
 #endif
 
@@ -2374,10 +2430,11 @@ static void printInstruction(MCInst *MI,
   SStream_concat0(O, AsmStrs+(Bits & 8191)-1);
 #endif
 
-  // Fragment 0 encoded into 6 bits for 40 unique commands.
+
+  // Fragment 0 encoded into 6 bits for 41 unique commands.
   //printf("Frag-0: %"PRIu64"\n", (Bits >> 13) & 63);
   switch ((Bits >> 13) & 63) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // DBG_VALUE, BUNDLE, LIFETIME_START, LIFETIME_END, AAA, AAS, ACQUIRE_MOV...
     return;
@@ -2442,61 +2499,65 @@ static void printInstruction(MCInst *MI,
     SStream_concat0(O, ", "); 
     break;
   case 12:
-    // BSF16rm, BSR16rm, CMP16rm, LAR16rm, LAR32rm, LAR64rm, LEA16r, LSL16rm,...
+    // BSF16rm, BSR16rm, CMP16rm, LAR16rm, LAR32rm, LAR64rm, LSL16rm, LZCNT16...
     printi16mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
     return;
     break;
   case 13:
-    // CALL16m, DEC16m, DEC64_16m, DIV16m, IDIV16m, IMUL16m, INC16m, INC64_16...
+    // CALL16m, DEC16m, DIV16m, IDIV16m, IMUL16m, INC16m, JMP16m, LLDT16m, LM...
     printi16mem(MI, 0, O); 
     return;
     break;
   case 14:
-    // CALL32m, DEC32m, DEC64_32m, DIV32m, IDIV32m, IMUL32m, INC32m, INC64_32...
+    // CALL32m, DEC32m, DIV32m, IDIV32m, IMUL32m, INC32m, JMP32m, LOCK_DEC32m...
     printi32mem(MI, 0, O); 
+    return;
     break;
   case 15:
     // CALL64m, CMPXCHG8B, DEC64m, DIV64m, IDIV64m, IMUL64m, INC64m, JMP64m, ...
     printi64mem(MI, 0, O); 
+    return;
     break;
   case 16:
     // CALL64pcrel32, CALLpcrel16, CALLpcrel32, EH_SjLj_Setup, JAE_1, JAE_2, ...
     printPCRelImm(MI, 0, O); 
+    return;
     break;
   case 17:
-    // CMP8rm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32rm8, MOVSX64rm8, MOVZ...
+    // CLFLUSHOPT, CLWB, DEC8m, DIV8m, IDIV8m, IMUL8m, INC8m, INVLPG, LOCK_DE...
+    printi8mem(MI, 0, O); 
+    return;
+    break;
+  case 18:
+    // CMP8rm, MOV8rm, MOV8rm_NOREX, MOVSX16rm8, MOVSX32_NOREXrm8, MOVSX32rm8...
     printi8mem(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printOperand(MI, 0, O); 
+    return;
     break;
-  case 18:
+  case 19:
     // CMPSB, INSB, SCASB, STOSB
     printDstIdx8(MI, 0, O); 
     break;
-  case 19:
+  case 20:
     // CMPSL, INSL, SCASL, STOSL
     printDstIdx32(MI, 0, O); 
     break;
-  case 20:
+  case 21:
     // CMPSQ, SCASQ, STOSQ
     printDstIdx64(MI, 0, O); 
     break;
-  case 21:
+  case 22:
     // CMPSW, INSW, SCASW, STOSW
     printDstIdx16(MI, 0, O); 
     break;
-  case 22:
+  case 23:
     // CMPXCHG16B, LCMPXCHG16B
     printi128mem(MI, 0, O); 
     return;
     break;
-  case 23:
-    // DEC8m, DIV8m, IDIV8m, IMUL8m, INC8m, INVLPG, LOCK_DEC8m, LOCK_INC8m, M...
-    printi8mem(MI, 0, O); 
-    return;
-    break;
   case 24:
     // FARCALL16m, FARCALL32m, FARCALL64, FARJMP16m, FARJMP32m, FARJMP64, LGD...
     printopaquemem(MI, 0, O); 
@@ -2517,69 +2578,76 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 27:
+    // LEA16r, LEA32r, LEA64_32r, LEA64r
+    printanymem(MI, 1, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 0, O); 
+    return;
+    break;
+  case 28:
     // LODSB, OUTSB
     printSrcIdx8(MI, 0, O); 
     break;
-  case 28:
+  case 29:
     // LODSL, OUTSL
     printSrcIdx32(MI, 0, O); 
     break;
-  case 29:
+  case 30:
     // LODSQ
     printSrcIdx64(MI, 0, O); 
     SStream_concat0(O, ", %rax"); 
-	op_addReg(MI, X86_REG_RAX);
+    op_addReg(MI, X86_REG_RAX);
     return;
     break;
-  case 30:
+  case 31:
     // LODSW, OUTSW
     printSrcIdx16(MI, 0, O); 
     break;
-  case 31:
-    // MOV16ao16, MOV16ao16_16, MOV16o16a, MOV16o16a_16, MOV64ao16, MOV64o16a
+  case 32:
+    // MOV16ao16, MOV16ao32, MOV16ao64, MOV16o16a, MOV16o32a, MOV16o64a
     printMemOffs16(MI, 0, O); 
     break;
-  case 32:
-    // MOV32ao32, MOV32ao32_16, MOV32o32a, MOV32o32a_16, MOV64ao32, MOV64o32a
+  case 33:
+    // MOV32ao16, MOV32ao32, MOV32ao64, MOV32o16a, MOV32o32a, MOV32o64a
     printMemOffs32(MI, 0, O); 
     break;
-  case 33:
-    // MOV64ao64, MOV64o64a
+  case 34:
+    // MOV64ao32, MOV64ao64, MOV64o32a, MOV64o64a
     printMemOffs64(MI, 0, O); 
     break;
-  case 34:
-    // MOV64ao8, MOV64o8a, MOV8ao8, MOV8ao8_16, MOV8o8a, MOV8o8a_16
+  case 35:
+    // MOV8ao16, MOV8ao32, MOV8ao64, MOV8o16a, MOV8o32a, MOV8o64a
     printMemOffs8(MI, 0, O); 
     break;
-  case 35:
+  case 36:
     // MOVSB
     printSrcIdx8(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx8(MI, 0, O); 
     return;
     break;
-  case 36:
+  case 37:
     // MOVSL
     printSrcIdx32(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx32(MI, 0, O); 
     return;
     break;
-  case 37:
+  case 38:
     // MOVSQ
     printSrcIdx64(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx64(MI, 0, O); 
     return;
     break;
-  case 38:
+  case 39:
     // MOVSW
     printSrcIdx16(MI, 1, O); 
     SStream_concat0(O, ", "); 
     printDstIdx16(MI, 0, O); 
     return;
     break;
-  case 39:
+  case 40:
     // SHLD16rri8, SHLD32rri8, SHLD64rri8, SHRD16rri8, SHRD32rri8, SHRD64rri8
     printOperand(MI, 3, O); 
     SStream_concat0(O, ", "); 
@@ -2591,18 +2659,18 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 1 encoded into 5 bits for 20 unique commands.
+  // Fragment 1 encoded into 5 bits for 18 unique commands.
   //printf("Frag-1: %"PRIu64"\n", (Bits >> 19) & 31);
   switch ((Bits >> 19) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
-    // AAD8i8, AAM8i8, BSWAP32r, BSWAP64r, CALL16r, CALL32m, CALL32r, CALL64m...
+    // AAD8i8, AAM8i8, BSWAP32r, BSWAP64r, CALL16r, CALL32r, CALL64r, DEC16r,...
     return;
     break;
   case 1:
-    // ADC16i16, ADD16i16, AND16i16, CMP16i16, IN16ri, LODSW, MOV16o16a, MOV1...
+    // ADC16i16, ADD16i16, AND16i16, CMP16i16, IN16ri, LODSW, MOV16ao16, MOV1...
     SStream_concat0(O, ", %ax"); 
-	op_addReg(MI, X86_REG_AX);
+    op_addReg(MI, X86_REG_AX);
     return;
     break;
   case 2:
@@ -2620,9 +2688,9 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 5:
-    // ADC32i32, ADD32i32, AND32i32, CMP32i32, IN32ri, LODSL, MOV32o32a, MOV3...
+    // ADC32i32, ADD32i32, AND32i32, CMP32i32, IN32ri, LODSL, MOV32ao16, MOV3...
     SStream_concat0(O, ", %eax"); 
-	op_addReg(MI, X86_REG_EAX);
+    op_addReg(MI, X86_REG_EAX);
     return;
     break;
   case 6:
@@ -2631,9 +2699,9 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 7:
-    // ADC64i32, ADD64i32, AND64i32, CMP64i32, MOV64o64a, OR64i32, SBB64i32, ...
+    // ADC64i32, ADD64i32, AND64i32, CMP64i32, MOV64ao32, MOV64ao64, OR64i32,...
     SStream_concat0(O, ", %rax"); 
-	op_addReg(MI, X86_REG_RAX);
+    op_addReg(MI, X86_REG_RAX);
     return;
     break;
   case 8:
@@ -2642,14 +2710,15 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 9:
-    // ADC8i8, ADD8i8, AND8i8, CMP8i8, IN8ri, LODSB, MOV64o8a, MOV8o8a, MOV8o...
+    // ADC8i8, ADD8i8, AND8i8, CMP8i8, IN8ri, LODSB, MOV8ao16, MOV8ao32, MOV8...
     SStream_concat0(O, ", %al"); 
-	op_addReg(MI, X86_REG_AL);
+    op_addReg(MI, X86_REG_AL);
     return;
     break;
   case 10:
-    // ADC8mi, ADC8mr, ADD8mi, ADD8mr, AND8mi, AND8mr, CMP8mi, CMP8mr, CMPXCH...
+    // ADC8mi, ADC8mi8, ADC8mr, ADD8mi, ADD8mi8, ADD8mr, AND8mi, AND8mi8, AND...
     printi8mem(MI, 0, O); 
+    return;
     break;
   case 11:
     // ADOX32rr, ADOX64rr, ARPL16rr, BLCFILL32rr, BLCFILL64rr, BLCI32rr, BLCI...
@@ -2683,31 +2752,23 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 16:
-    // MOV8rm_NOREX
-    return;
-    break;
-  case 17:
     // OUTSB, OUTSL, OUTSW
     SStream_concat0(O, ", %dx"); 
-	op_addReg(MI, X86_REG_DX);
+    op_addReg(MI, X86_REG_DX);
     return;
     break;
-  case 18:
+  case 17:
     // SHLD16mri8, SHLD32mri8, SHLD64mri8, SHRD16mri8, SHRD32mri8, SHRD64mri8
     printOperand(MI, 5, O); 
     SStream_concat0(O, ", "); 
     break;
-  case 19:
-    // TAILJMPd, TAILJMPd64, TAILJMPm, TAILJMPm64, TAILJMPr64
-    return;
-    break;
   }
 
 
-  // Fragment 2 encoded into 5 bits for 18 unique commands.
+  // Fragment 2 encoded into 5 bits for 20 unique commands.
   //printf("Frag-2: %"PRIu64"\n", (Bits >> 24) & 31);
   switch ((Bits >> 24) & 31) {
-  default:   // unreachable.
+  default: // llvm_unreachable("Invalid command number.");
   case 0:
     // ADC16ri, ADC16ri8, ADC16rm, ADC16rr, ADC32ri, ADC32ri8, ADC32rm, ADC32...
     return;
@@ -2715,6 +2776,7 @@ static void printInstruction(MCInst *MI,
   case 1:
     // ADOX32rr, ADOX64rr, ARPL16rr, BLCFILL32rr, BLCFILL64rr, BLCI32rr, BLCI...
     printOperand(MI, 0, O); 
+    return;
     break;
   case 2:
     // ANDN32rm, ANDN32rr, ANDN64rm, ANDN64rr, BEXTR32rr, BEXTR64rr, BEXTRI32...
@@ -2767,36 +2829,40 @@ static void printInstruction(MCInst *MI,
     return;
     break;
   case 12:
-    // MOV8mr_NOREX
-    return;
-    break;
-  case 13:
     // SHLD16mri8, SHRD16mri8
     printi16mem(MI, 0, O); 
     return;
     break;
-  case 14:
+  case 13:
     // SHLD32mri8, SHRD32mri8
     printi32mem(MI, 0, O); 
     return;
     break;
-  case 15:
+  case 14:
     // SHLD64mri8, SHRD64mri8
     printi64mem(MI, 0, O); 
     return;
     break;
+  case 15:
+    // TEST16rm
+    printi16mem(MI, 1, O); 
+    return;
+    break;
   case 16:
-    // VAARG_64
-    printi8mem(MI, 1, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 6, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 7, O); 
-    SStream_concat0(O, ", "); 
-    printOperand(MI, 8, O); 
+    // TEST32rm
+    printi32mem(MI, 1, O); 
     return;
     break;
   case 17:
+    // TEST64rm
+    printi64mem(MI, 1, O); 
+    return;
+    break;
+  case 18:
+    // TEST8rm, VAARG_64
+    printi8mem(MI, 1, O); 
+    break;
+  case 19:
     // XCHG16rr, XCHG32rr, XCHG64rr, XCHG8rr
     printOperand(MI, 2, O); 
     return;
@@ -2804,24 +2870,31 @@ static void printInstruction(MCInst *MI,
   }
 
 
-  // Fragment 3 encoded into 2 bits for 3 unique commands.
-  //printf("Frag-3: %"PRIu64"\n", (Bits >> 29) & 3);
-  switch ((Bits >> 29) & 3) {
-  default:   // unreachable.
-  case 0:
-    // ADOX32rr, ADOX64rr, ARPL16rr, BLCFILL32rr, BLCFILL64rr, BLCI32rr, BLCI...
-    return;
-    break;
-  case 1:
-    // MOV8rr_NOREX
+  // Fragment 3 encoded into 1 bits for 2 unique commands.
+  //printf("Frag-3: %"PRIu64"\n", (Bits >> 29) & 1);
+  if ((Bits >> 29) & 1) {
+    // VAARG_64, VASTART_SAVE_XMM_REGS
+    SStream_concat0(O, ", "); 
+  } else {
+    // ENTER, NOOP19rr, SEH_SaveReg, SEH_SaveXMM, SEH_SetFrame, TEST8rm
     return;
-    break;
-  case 2:
+  }
+
+
+  // Fragment 4 encoded into 1 bits for 2 unique commands.
+  //printf("Frag-4: %"PRIu64"\n", (Bits >> 30) & 1);
+  if ((Bits >> 30) & 1) {
     // VASTART_SAVE_XMM_REGS
-    SStream_concat0(O, ", "); 
     printOperand(MI, 2, O); 
     return;
-    break;
+  } else {
+    // VAARG_64
+    printOperand(MI, 6, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 7, O); 
+    SStream_concat0(O, ", "); 
+    printOperand(MI, 8, O); 
+    return;
   }
 }
 
@@ -2831,7 +2904,7 @@ static void printInstruction(MCInst *MI,
 /// for the specified register.
 static const char *getRegisterName(unsigned RegNo)
 {
-  // assert(RegNo && RegNo < 234 && "Invalid register number!");
+  // assert(RegNo && RegNo < 242 && "Invalid register number!");
 
 #ifndef CAPSTONE_DIET
   static const char AsmStrs[] = {
@@ -2847,225 +2920,234 @@ static const char *getRegisterName(unsig
   /* 54 */ 'y', 'm', 'm', '1', '0', 0,
   /* 60 */ 'z', 'm', 'm', '1', '0', 0,
   /* 66 */ 'c', 'r', '1', '0', 0,
-  /* 71 */ 'x', 'm', 'm', '2', '0', 0,
-  /* 77 */ 'y', 'm', 'm', '2', '0', 0,
-  /* 83 */ 'z', 'm', 'm', '2', '0', 0,
-  /* 89 */ 'x', 'm', 'm', '3', '0', 0,
-  /* 95 */ 'y', 'm', 'm', '3', '0', 0,
-  /* 101 */ 'z', 'm', 'm', '3', '0', 0,
-  /* 107 */ 'k', '0', 0,
-  /* 110 */ 'x', 'm', 'm', '0', 0,
-  /* 115 */ 'y', 'm', 'm', '0', 0,
-  /* 120 */ 'z', 'm', 'm', '0', 0,
-  /* 125 */ 'f', 'p', '0', 0,
-  /* 129 */ 'c', 'r', '0', 0,
-  /* 133 */ 'd', 'r', '0', 0,
-  /* 137 */ 'x', 'm', 'm', '1', '1', 0,
-  /* 143 */ 'y', 'm', 'm', '1', '1', 0,
-  /* 149 */ 'z', 'm', 'm', '1', '1', 0,
-  /* 155 */ 'c', 'r', '1', '1', 0,
-  /* 160 */ 'x', 'm', 'm', '2', '1', 0,
-  /* 166 */ 'y', 'm', 'm', '2', '1', 0,
-  /* 172 */ 'z', 'm', 'm', '2', '1', 0,
-  /* 178 */ 'x', 'm', 'm', '3', '1', 0,
-  /* 184 */ 'y', 'm', 'm', '3', '1', 0,
-  /* 190 */ 'z', 'm', 'm', '3', '1', 0,
-  /* 196 */ 'k', '1', 0,
-  /* 199 */ 'x', 'm', 'm', '1', 0,
-  /* 204 */ 'y', 'm', 'm', '1', 0,
-  /* 209 */ 'z', 'm', 'm', '1', 0,
-  /* 214 */ 'f', 'p', '1', 0,
-  /* 218 */ 'c', 'r', '1', 0,
-  /* 222 */ 'd', 'r', '1', 0,
-  /* 226 */ 'x', 'm', 'm', '1', '2', 0,
-  /* 232 */ 'y', 'm', 'm', '1', '2', 0,
-  /* 238 */ 'z', 'm', 'm', '1', '2', 0,
-  /* 244 */ 'c', 'r', '1', '2', 0,
-  /* 249 */ 'x', 'm', 'm', '2', '2', 0,
-  /* 255 */ 'y', 'm', 'm', '2', '2', 0,
-  /* 261 */ 'z', 'm', 'm', '2', '2', 0,
-  /* 267 */ 'k', '2', 0,
-  /* 270 */ 'x', 'm', 'm', '2', 0,
-  /* 275 */ 'y', 'm', 'm', '2', 0,
-  /* 280 */ 'z', 'm', 'm', '2', 0,
-  /* 285 */ 'f', 'p', '2', 0,
-  /* 289 */ 'c', 'r', '2', 0,
-  /* 293 */ 'd', 'r', '2', 0,
-  /* 297 */ 'x', 'm', 'm', '1', '3', 0,
-  /* 303 */ 'y', 'm', 'm', '1', '3', 0,
-  /* 309 */ 'z', 'm', 'm', '1', '3', 0,
-  /* 315 */ 'c', 'r', '1', '3', 0,
-  /* 320 */ 'x', 'm', 'm', '2', '3', 0,
-  /* 326 */ 'y', 'm', 'm', '2', '3', 0,
-  /* 332 */ 'z', 'm', 'm', '2', '3', 0,
-  /* 338 */ 'k', '3', 0,
-  /* 341 */ 'x', 'm', 'm', '3', 0,
-  /* 346 */ 'y', 'm', 'm', '3', 0,
-  /* 351 */ 'z', 'm', 'm', '3', 0,
-  /* 356 */ 'f', 'p', '3', 0,
-  /* 360 */ 'c', 'r', '3', 0,
-  /* 364 */ 'd', 'r', '3', 0,
-  /* 368 */ 'x', 'm', 'm', '1', '4', 0,
-  /* 374 */ 'y', 'm', 'm', '1', '4', 0,
-  /* 380 */ 'z', 'm', 'm', '1', '4', 0,
-  /* 386 */ 'c', 'r', '1', '4', 0,
-  /* 391 */ 'x', 'm', 'm', '2', '4', 0,
-  /* 397 */ 'y', 'm', 'm', '2', '4', 0,
-  /* 403 */ 'z', 'm', 'm', '2', '4', 0,
-  /* 409 */ 'k', '4', 0,
-  /* 412 */ 'x', 'm', 'm', '4', 0,
-  /* 417 */ 'y', 'm', 'm', '4', 0,
-  /* 422 */ 'z', 'm', 'm', '4', 0,
-  /* 427 */ 'f', 'p', '4', 0,
-  /* 431 */ 'c', 'r', '4', 0,
-  /* 435 */ 'd', 'r', '4', 0,
-  /* 439 */ 'x', 'm', 'm', '1', '5', 0,
-  /* 445 */ 'y', 'm', 'm', '1', '5', 0,
-  /* 451 */ 'z', 'm', 'm', '1', '5', 0,
-  /* 457 */ 'c', 'r', '1', '5', 0,
-  /* 462 */ 'x', 'm', 'm', '2', '5', 0,
-  /* 468 */ 'y', 'm', 'm', '2', '5', 0,
-  /* 474 */ 'z', 'm', 'm', '2', '5', 0,
-  /* 480 */ 'k', '5', 0,
-  /* 483 */ 'x', 'm', 'm', '5', 0,
-  /* 488 */ 'y', 'm', 'm', '5', 0,
-  /* 493 */ 'z', 'm', 'm', '5', 0,
-  /* 498 */ 'f', 'p', '5', 0,
-  /* 502 */ 'c', 'r', '5', 0,
-  /* 506 */ 'd', 'r', '5', 0,
-  /* 510 */ 'x', 'm', 'm', '1', '6', 0,
-  /* 516 */ 'y', 'm', 'm', '1', '6', 0,
-  /* 522 */ 'z', 'm', 'm', '1', '6', 0,
-  /* 528 */ 'x', 'm', 'm', '2', '6', 0,
-  /* 534 */ 'y', 'm', 'm', '2', '6', 0,
-  /* 540 */ 'z', 'm', 'm', '2', '6', 0,
-  /* 546 */ 'k', '6', 0,
-  /* 549 */ 'x', 'm', 'm', '6', 0,
-  /* 554 */ 'y', 'm', 'm', '6', 0,
-  /* 559 */ 'z', 'm', 'm', '6', 0,
-  /* 564 */ 'f', 'p', '6', 0,
-  /* 568 */ 'c', 'r', '6', 0,
-  /* 572 */ 'd', 'r', '6', 0,
-  /* 576 */ 'x', 'm', 'm', '1', '7', 0,
-  /* 582 */ 'y', 'm', 'm', '1', '7', 0,
-  /* 588 */ 'z', 'm', 'm', '1', '7', 0,
-  /* 594 */ 'x', 'm', 'm', '2', '7', 0,
-  /* 600 */ 'y', 'm', 'm', '2', '7', 0,
-  /* 606 */ 'z', 'm', 'm', '2', '7', 0,
-  /* 612 */ 'k', '7', 0,
-  /* 615 */ 'x', 'm', 'm', '7', 0,
-  /* 620 */ 'y', 'm', 'm', '7', 0,
-  /* 625 */ 'z', 'm', 'm', '7', 0,
-  /* 630 */ 'f', 'p', '7', 0,
-  /* 634 */ 'c', 'r', '7', 0,
-  /* 638 */ 'd', 'r', '7', 0,
-  /* 642 */ 'x', 'm', 'm', '1', '8', 0,
-  /* 648 */ 'y', 'm', 'm', '1', '8', 0,
-  /* 654 */ 'z', 'm', 'm', '1', '8', 0,
-  /* 660 */ 'x', 'm', 'm', '2', '8', 0,
-  /* 666 */ 'y', 'm', 'm', '2', '8', 0,
-  /* 672 */ 'z', 'm', 'm', '2', '8', 0,
-  /* 678 */ 'x', 'm', 'm', '8', 0,
-  /* 683 */ 'y', 'm', 'm', '8', 0,
-  /* 688 */ 'z', 'm', 'm', '8', 0,
-  /* 693 */ 'c', 'r', '8', 0,
-  /* 697 */ 'x', 'm', 'm', '1', '9', 0,
-  /* 703 */ 'y', 'm', 'm', '1', '9', 0,
-  /* 709 */ 'z', 'm', 'm', '1', '9', 0,
-  /* 715 */ 'x', 'm', 'm', '2', '9', 0,
-  /* 721 */ 'y', 'm', 'm', '2', '9', 0,
-  /* 727 */ 'z', 'm', 'm', '2', '9', 0,
-  /* 733 */ 'x', 'm', 'm', '9', 0,
-  /* 738 */ 'y', 'm', 'm', '9', 0,
-  /* 743 */ 'z', 'm', 'm', '9', 0,
-  /* 748 */ 'c', 'r', '9', 0,
-  /* 752 */ 'r', '1', '0', 'b', 0,
-  /* 757 */ 'r', '1', '1', 'b', 0,
-  /* 762 */ 'r', '1', '2', 'b', 0,
-  /* 767 */ 'r', '1', '3', 'b', 0,
-  /* 772 */ 'r', '1', '4', 'b', 0,
-  /* 777 */ 'r', '1', '5', 'b', 0,
-  /* 782 */ 'r', '8', 'b', 0,
-  /* 786 */ 'r', '9', 'b', 0,
-  /* 790 */ 'r', '1', '0', 'd', 0,
-  /* 795 */ 'r', '1', '1', 'd', 0,
-  /* 800 */ 'r', '1', '2', 'd', 0,
-  /* 805 */ 'r', '1', '3', 'd', 0,
-  /* 810 */ 'r', '1', '4', 'd', 0,
-  /* 815 */ 'r', '1', '5', 'd', 0,
-  /* 820 */ 'r', '8', 'd', 0,
-  /* 824 */ 'r', '9', 'd', 0,
-  /* 828 */ 'a', 'h', 0,
-  /* 831 */ 'b', 'h', 0,
-  /* 834 */ 'c', 'h', 0,
-  /* 837 */ 'd', 'h', 0,
-  /* 840 */ 'e', 'd', 'i', 0,
-  /* 844 */ 'r', 'd', 'i', 0,
-  /* 848 */ 'e', 's', 'i', 0,
-  /* 852 */ 'r', 's', 'i', 0,
-  /* 856 */ 'a', 'l', 0,
-  /* 859 */ 'b', 'l', 0,
-  /* 862 */ 'c', 'l', 0,
-  /* 865 */ 'd', 'l', 0,
-  /* 868 */ 'd', 'i', 'l', 0,
-  /* 872 */ 's', 'i', 'l', 0,
-  /* 876 */ 'b', 'p', 'l', 0,
-  /* 880 */ 's', 'p', 'l', 0,
-  /* 884 */ 'e', 'b', 'p', 0,
-  /* 888 */ 'r', 'b', 'p', 0,
-  /* 892 */ 'e', 'i', 'p', 0,
-  /* 896 */ 'r', 'i', 'p', 0,
-  /* 900 */ 'e', 's', 'p', 0,
-  /* 904 */ 'r', 's', 'p', 0,
-  /* 908 */ 'c', 's', 0,
-  /* 911 */ 'd', 's', 0,
-  /* 914 */ 'e', 's', 0,
-  /* 917 */ 'f', 's', 0,
-  /* 920 */ 'f', 'l', 'a', 'g', 's', 0,
-  /* 926 */ 's', 's', 0,
-  /* 929 */ 'r', '1', '0', 'w', 0,
-  /* 934 */ 'r', '1', '1', 'w', 0,
-  /* 939 */ 'r', '1', '2', 'w', 0,
-  /* 944 */ 'r', '1', '3', 'w', 0,
-  /* 949 */ 'r', '1', '4', 'w', 0,
-  /* 954 */ 'r', '1', '5', 'w', 0,
-  /* 959 */ 'r', '8', 'w', 0,
-  /* 963 */ 'r', '9', 'w', 0,
-  /* 967 */ 'f', 'p', 's', 'w', 0,
-  /* 972 */ 'e', 'a', 'x', 0,
-  /* 976 */ 'r', 'a', 'x', 0,
-  /* 980 */ 'e', 'b', 'x', 0,
-  /* 984 */ 'r', 'b', 'x', 0,
-  /* 988 */ 'e', 'c', 'x', 0,
-  /* 992 */ 'r', 'c', 'x', 0,
-  /* 996 */ 'e', 'd', 'x', 0,
-  /* 1000 */ 'r', 'd', 'x', 0,
-  /* 1004 */ 'e', 'i', 'z', 0,
-  /* 1008 */ 'r', 'i', 'z', 0,
+  /* 71 */ 'd', 'r', '1', '0', 0,
+  /* 76 */ 'x', 'm', 'm', '2', '0', 0,
+  /* 82 */ 'y', 'm', 'm', '2', '0', 0,
+  /* 88 */ 'z', 'm', 'm', '2', '0', 0,
+  /* 94 */ 'x', 'm', 'm', '3', '0', 0,
+  /* 100 */ 'y', 'm', 'm', '3', '0', 0,
+  /* 106 */ 'z', 'm', 'm', '3', '0', 0,
+  /* 112 */ 'k', '0', 0,
+  /* 115 */ 'x', 'm', 'm', '0', 0,
+  /* 120 */ 'y', 'm', 'm', '0', 0,
+  /* 125 */ 'z', 'm', 'm', '0', 0,
+  /* 130 */ 'f', 'p', '0', 0,
+  /* 134 */ 'c', 'r', '0', 0,
+  /* 138 */ 'd', 'r', '0', 0,
+  /* 142 */ 'x', 'm', 'm', '1', '1', 0,
+  /* 148 */ 'y', 'm', 'm', '1', '1', 0,
+  /* 154 */ 'z', 'm', 'm', '1', '1', 0,
+  /* 160 */ 'c', 'r', '1', '1', 0,
+  /* 165 */ 'd', 'r', '1', '1', 0,
+  /* 170 */ 'x', 'm', 'm', '2', '1', 0,
+  /* 176 */ 'y', 'm', 'm', '2', '1', 0,
+  /* 182 */ 'z', 'm', 'm', '2', '1', 0,
+  /* 188 */ 'x', 'm', 'm', '3', '1', 0,
+  /* 194 */ 'y', 'm', 'm', '3', '1', 0,
+  /* 200 */ 'z', 'm', 'm', '3', '1', 0,
+  /* 206 */ 'k', '1', 0,
+  /* 209 */ 'x', 'm', 'm', '1', 0,
+  /* 214 */ 'y', 'm', 'm', '1', 0,
+  /* 219 */ 'z', 'm', 'm', '1', 0,
+  /* 224 */ 'f', 'p', '1', 0,
+  /* 228 */ 'c', 'r', '1', 0,
+  /* 232 */ 'd', 'r', '1', 0,
+  /* 236 */ 'x', 'm', 'm', '1', '2', 0,
+  /* 242 */ 'y', 'm', 'm', '1', '2', 0,
+  /* 248 */ 'z', 'm', 'm', '1', '2', 0,
+  /* 254 */ 'c', 'r', '1', '2', 0,
+  /* 259 */ 'd', 'r', '1', '2', 0,
+  /* 264 */ 'x', 'm', 'm', '2', '2', 0,
+  /* 270 */ 'y', 'm', 'm', '2', '2', 0,
+  /* 276 */ 'z', 'm', 'm', '2', '2', 0,
+  /* 282 */ 'k', '2', 0,
+  /* 285 */ 'x', 'm', 'm', '2', 0,
+  /* 290 */ 'y', 'm', 'm', '2', 0,
+  /* 295 */ 'z', 'm', 'm', '2', 0,
+  /* 300 */ 'f', 'p', '2', 0,
+  /* 304 */ 'c', 'r', '2', 0,
+  /* 308 */ 'd', 'r', '2', 0,
+  /* 312 */ 'x', 'm', 'm', '1', '3', 0,
+  /* 318 */ 'y', 'm', 'm', '1', '3', 0,
+  /* 324 */ 'z', 'm', 'm', '1', '3', 0,
+  /* 330 */ 'c', 'r', '1', '3', 0,
+  /* 335 */ 'd', 'r', '1', '3', 0,
+  /* 340 */ 'x', 'm', 'm', '2', '3', 0,
+  /* 346 */ 'y', 'm', 'm', '2', '3', 0,
+  /* 352 */ 'z', 'm', 'm', '2', '3', 0,
+  /* 358 */ 'k', '3', 0,
+  /* 361 */ 'x', 'm', 'm', '3', 0,
+  /* 366 */ 'y', 'm', 'm', '3', 0,
+  /* 371 */ 'z', 'm', 'm', '3', 0,
+  /* 376 */ 'f', 'p', '3', 0,
+  /* 380 */ 'c', 'r', '3', 0,
+  /* 384 */ 'd', 'r', '3', 0,
+  /* 388 */ 'x', 'm', 'm', '1', '4', 0,
+  /* 394 */ 'y', 'm', 'm', '1', '4', 0,
+  /* 400 */ 'z', 'm', 'm', '1', '4', 0,
+  /* 406 */ 'c', 'r', '1', '4', 0,
+  /* 411 */ 'd', 'r', '1', '4', 0,
+  /* 416 */ 'x', 'm', 'm', '2', '4', 0,
+  /* 422 */ 'y', 'm', 'm', '2', '4', 0,
+  /* 428 */ 'z', 'm', 'm', '2', '4', 0,
+  /* 434 */ 'k', '4', 0,
+  /* 437 */ 'x', 'm', 'm', '4', 0,
+  /* 442 */ 'y', 'm', 'm', '4', 0,
+  /* 447 */ 'z', 'm', 'm', '4', 0,
+  /* 452 */ 'f', 'p', '4', 0,
+  /* 456 */ 'c', 'r', '4', 0,
+  /* 460 */ 'd', 'r', '4', 0,
+  /* 464 */ 'x', 'm', 'm', '1', '5', 0,
+  /* 470 */ 'y', 'm', 'm', '1', '5', 0,
+  /* 476 */ 'z', 'm', 'm', '1', '5', 0,
+  /* 482 */ 'c', 'r', '1', '5', 0,
+  /* 487 */ 'd', 'r', '1', '5', 0,
+  /* 492 */ 'x', 'm', 'm', '2', '5', 0,
+  /* 498 */ 'y', 'm', 'm', '2', '5', 0,
+  /* 504 */ 'z', 'm', 'm', '2', '5', 0,
+  /* 510 */ 'k', '5', 0,
+  /* 513 */ 'x', 'm', 'm', '5', 0,
+  /* 518 */ 'y', 'm', 'm', '5', 0,
+  /* 523 */ 'z', 'm', 'm', '5', 0,
+  /* 528 */ 'f', 'p', '5', 0,
+  /* 532 */ 'c', 'r', '5', 0,
+  /* 536 */ 'd', 'r', '5', 0,
+  /* 540 */ 'x', 'm', 'm', '1', '6', 0,
+  /* 546 */ 'y', 'm', 'm', '1', '6', 0,
+  /* 552 */ 'z', 'm', 'm', '1', '6', 0,
+  /* 558 */ 'x', 'm', 'm', '2', '6', 0,
+  /* 564 */ 'y', 'm', 'm', '2', '6', 0,
+  /* 570 */ 'z', 'm', 'm', '2', '6', 0,
+  /* 576 */ 'k', '6', 0,
+  /* 579 */ 'x', 'm', 'm', '6', 0,
+  /* 584 */ 'y', 'm', 'm', '6', 0,
+  /* 589 */ 'z', 'm', 'm', '6', 0,
+  /* 594 */ 'f', 'p', '6', 0,
+  /* 598 */ 'c', 'r', '6', 0,
+  /* 602 */ 'd', 'r', '6', 0,
+  /* 606 */ 'x', 'm', 'm', '1', '7', 0,
+  /* 612 */ 'y', 'm', 'm', '1', '7', 0,
+  /* 618 */ 'z', 'm', 'm', '1', '7', 0,
+  /* 624 */ 'x', 'm', 'm', '2', '7', 0,
+  /* 630 */ 'y', 'm', 'm', '2', '7', 0,
+  /* 636 */ 'z', 'm', 'm', '2', '7', 0,
+  /* 642 */ 'k', '7', 0,
+  /* 645 */ 'x', 'm', 'm', '7', 0,
+  /* 650 */ 'y', 'm', 'm', '7', 0,
+  /* 655 */ 'z', 'm', 'm', '7', 0,
+  /* 660 */ 'f', 'p', '7', 0,
+  /* 664 */ 'c', 'r', '7', 0,
+  /* 668 */ 'd', 'r', '7', 0,
+  /* 672 */ 'x', 'm', 'm', '1', '8', 0,
+  /* 678 */ 'y', 'm', 'm', '1', '8', 0,
+  /* 684 */ 'z', 'm', 'm', '1', '8', 0,
+  /* 690 */ 'x', 'm', 'm', '2', '8', 0,
+  /* 696 */ 'y', 'm', 'm', '2', '8', 0,
+  /* 702 */ 'z', 'm', 'm', '2', '8', 0,
+  /* 708 */ 'x', 'm', 'm', '8', 0,
+  /* 713 */ 'y', 'm', 'm', '8', 0,
+  /* 718 */ 'z', 'm', 'm', '8', 0,
+  /* 723 */ 'c', 'r', '8', 0,
+  /* 727 */ 'd', 'r', '8', 0,
+  /* 731 */ 'x', 'm', 'm', '1', '9', 0,
+  /* 737 */ 'y', 'm', 'm', '1', '9', 0,
+  /* 743 */ 'z', 'm', 'm', '1', '9', 0,
+  /* 749 */ 'x', 'm', 'm', '2', '9', 0,
+  /* 755 */ 'y', 'm', 'm', '2', '9', 0,
+  /* 761 */ 'z', 'm', 'm', '2', '9', 0,
+  /* 767 */ 'x', 'm', 'm', '9', 0,
+  /* 772 */ 'y', 'm', 'm', '9', 0,
+  /* 777 */ 'z', 'm', 'm', '9', 0,
+  /* 782 */ 'c', 'r', '9', 0,
+  /* 786 */ 'd', 'r', '9', 0,
+  /* 790 */ 'r', '1', '0', 'b', 0,
+  /* 795 */ 'r', '1', '1', 'b', 0,
+  /* 800 */ 'r', '1', '2', 'b', 0,
+  /* 805 */ 'r', '1', '3', 'b', 0,
+  /* 810 */ 'r', '1', '4', 'b', 0,
+  /* 815 */ 'r', '1', '5', 'b', 0,
+  /* 820 */ 'r', '8', 'b', 0,
+  /* 824 */ 'r', '9', 'b', 0,
+  /* 828 */ 'r', '1', '0', 'd', 0,
+  /* 833 */ 'r', '1', '1', 'd', 0,
+  /* 838 */ 'r', '1', '2', 'd', 0,
+  /* 843 */ 'r', '1', '3', 'd', 0,
+  /* 848 */ 'r', '1', '4', 'd', 0,
+  /* 853 */ 'r', '1', '5', 'd', 0,
+  /* 858 */ 'r', '8', 'd', 0,
+  /* 862 */ 'r', '9', 'd', 0,
+  /* 866 */ 'a', 'h', 0,
+  /* 869 */ 'b', 'h', 0,
+  /* 872 */ 'c', 'h', 0,
+  /* 875 */ 'd', 'h', 0,
+  /* 878 */ 'e', 'd', 'i', 0,
+  /* 882 */ 'r', 'd', 'i', 0,
+  /* 886 */ 'e', 's', 'i', 0,
+  /* 890 */ 'r', 's', 'i', 0,
+  /* 894 */ 'a', 'l', 0,
+  /* 897 */ 'b', 'l', 0,
+  /* 900 */ 'c', 'l', 0,
+  /* 903 */ 'd', 'l', 0,
+  /* 906 */ 'd', 'i', 'l', 0,
+  /* 910 */ 's', 'i', 'l', 0,
+  /* 914 */ 'b', 'p', 'l', 0,
+  /* 918 */ 's', 'p', 'l', 0,
+  /* 922 */ 'e', 'b', 'p', 0,
+  /* 926 */ 'r', 'b', 'p', 0,
+  /* 930 */ 'e', 'i', 'p', 0,
+  /* 934 */ 'r', 'i', 'p', 0,
+  /* 938 */ 'e', 's', 'p', 0,
+  /* 942 */ 'r', 's', 'p', 0,
+  /* 946 */ 'c', 's', 0,
+  /* 949 */ 'd', 's', 0,
+  /* 952 */ 'e', 's', 0,
+  /* 955 */ 'f', 's', 0,
+  /* 958 */ 'f', 'l', 'a', 'g', 's', 0,
+  /* 964 */ 's', 's', 0,
+  /* 967 */ 'r', '1', '0', 'w', 0,
+  /* 972 */ 'r', '1', '1', 'w', 0,
+  /* 977 */ 'r', '1', '2', 'w', 0,
+  /* 982 */ 'r', '1', '3', 'w', 0,
+  /* 987 */ 'r', '1', '4', 'w', 0,
+  /* 992 */ 'r', '1', '5', 'w', 0,
+  /* 997 */ 'r', '8', 'w', 0,
+  /* 1001 */ 'r', '9', 'w', 0,
+  /* 1005 */ 'f', 'p', 's', 'w', 0,
+  /* 1010 */ 'e', 'a', 'x', 0,
+  /* 1014 */ 'r', 'a', 'x', 0,
+  /* 1018 */ 'e', 'b', 'x', 0,
+  /* 1022 */ 'r', 'b', 'x', 0,
+  /* 1026 */ 'e', 'c', 'x', 0,
+  /* 1030 */ 'r', 'c', 'x', 0,
+  /* 1034 */ 'e', 'd', 'x', 0,
+  /* 1038 */ 'r', 'd', 'x', 0,
+  /* 1042 */ 'e', 'i', 'z', 0,
+  /* 1046 */ 'r', 'i', 'z', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
-    828, 856, 973, 831, 859, 885, 876, 981, 834, 862, 908, 989, 837, 841, 
-    868, 865, 911, 997, 972, 884, 980, 988, 840, 996, 920, 892, 1004, 914, 
-    848, 900, 967, 917, 923, 893, 976, 888, 984, 992, 844, 1000, 896, 1008, 
-    852, 904, 849, 872, 901, 880, 926, 129, 218, 289, 360, 431, 502, 568, 
-    634, 693, 748, 66, 155, 244, 315, 386, 457, 133, 222, 293, 364, 435, 
-    506, 572, 638, 125, 214, 285, 356, 427, 498, 564, 630, 107, 196, 267, 
-    338, 409, 480, 546, 612, 111, 200, 271, 342, 413, 484, 550, 616, 694, 
-    749, 67, 156, 245, 316, 387, 458, 0, 6, 12, 18, 24, 30, 36, 
-    42, 110, 199, 270, 341, 412, 483, 549, 615, 678, 733, 48, 137, 226, 
-    297, 368, 439, 510, 576, 642, 697, 71, 160, 249, 320, 391, 462, 528, 
-    594, 660, 715, 89, 178, 115, 204, 275, 346, 417, 488, 554, 620, 683, 
-    738, 54, 143, 232, 303, 374, 445, 516, 582, 648, 703, 77, 166, 255, 
-    326, 397, 468, 534, 600, 666, 721, 95, 184, 120, 209, 280, 351, 422, 
-    493, 559, 625, 688, 743, 60, 149, 238, 309, 380, 451, 522, 588, 654, 
-    709, 83, 172, 261, 332, 403, 474, 540, 606, 672, 727, 101, 190, 782, 
-    786, 752, 757, 762, 767, 772, 777, 820, 824, 790, 795, 800, 805, 810, 
-    815, 959, 963, 929, 934, 939, 944, 949, 954, 
+  static const uint16_t RegAsmOffset[] = {
+    866, 894, 1011, 869, 897, 923, 914, 1019, 872, 900, 946, 1027, 875, 879, 
+    906, 903, 949, 1035, 1010, 922, 1018, 1026, 878, 1034, 958, 930, 1042, 952, 
+    886, 938, 1005, 955, 961, 931, 1014, 926, 1022, 1030, 882, 1038, 934, 1046, 
+    890, 942, 887, 910, 939, 918, 964, 134, 228, 304, 380, 456, 532, 598, 
+    664, 723, 782, 66, 160, 254, 330, 406, 482, 138, 232, 308, 384, 460, 
+    536, 602, 668, 727, 786, 71, 165, 259, 335, 411, 487, 130, 224, 300, 
+    376, 452, 528, 594, 660, 112, 206, 282, 358, 434, 510, 576, 642, 116, 
+    210, 286, 362, 438, 514, 580, 646, 724, 783, 67, 161, 255, 331, 407, 
+    483, 0, 6, 12, 18, 24, 30, 36, 42, 115, 209, 285, 361, 437, 
+    513, 579, 645, 708, 767, 48, 142, 236, 312, 388, 464, 540, 606, 672, 
+    731, 76, 170, 264, 340, 416, 492, 558, 624, 690, 749, 94, 188, 120, 
+    214, 290, 366, 442, 518, 584, 650, 713, 772, 54, 148, 242, 318, 394, 
+    470, 546, 612, 678, 737, 82, 176, 270, 346, 422, 498, 564, 630, 696, 
+    755, 100, 194, 125, 219, 295, 371, 447, 523, 589, 655, 718, 777, 60, 
+    154, 248, 324, 400, 476, 552, 618, 684, 743, 88, 182, 276, 352, 428, 
+    504, 570, 636, 702, 761, 106, 200, 820, 824, 790, 795, 800, 805, 810, 
+    815, 858, 862, 828, 833, 838, 843, 848, 853, 997, 1001, 967, 972, 977, 
+    982, 987, 992, 
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset)/2; i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenDisassemblerTables.inc 4.0.2-3/arch/X86/X86GenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,10 +7,9 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 static const struct OpcodeDecision emptyTable = {
- /* IC_OF */
   {
    /* 0x00 */
    { /* ModRMDecision */
@@ -1667,7 +1666,7 @@ static const struct OperandSpecifier x86
   { /* 46 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -1675,7 +1674,7 @@ static const struct OperandSpecifier x86
   { /* 47 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -1828,7 +1827,7 @@ static const struct OperandSpecifier x86
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -1836,7 +1835,7 @@ static const struct OperandSpecifier x86
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -2355,7 +2354,7 @@ static const struct OperandSpecifier x86
   { /* 132 */
     { ENCODING_RM, TYPE_M32FP },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2363,7 +2362,7 @@ static const struct OperandSpecifier x86
   { /* 133 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2371,8 +2370,8 @@ static const struct OperandSpecifier x86
   { /* 134 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -2500,7 +2499,7 @@ static const struct OperandSpecifier x86
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -2508,8 +2507,8 @@ static const struct OperandSpecifier x86
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 152 */
@@ -2753,14 +2752,38 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 182 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_RM, TYPE_VK8 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 183 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_RM, TYPE_VK32 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 184 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_RM, TYPE_VK64 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 185 */
     { ENCODING_REG, TYPE_VK16 },
     { ENCODING_RM, TYPE_VK16 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 183 */
+  { /* 186 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2768,7 +2791,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 184 */
+  { /* 187 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_M1616 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2776,7 +2799,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 185 */
+  { /* 188 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_M1632 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2784,7 +2807,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 186 */
+  { /* 189 */
     { ENCODING_RM, TYPE_M80FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2792,7 +2815,15 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 187 */
+  { /* 190 */
+    { ENCODING_REG, TYPE_Rv },
+    { ENCODING_RM, TYPE_M },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 191 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_LEA },
     { ENCODING_NONE, TYPE_NONE },
@@ -2800,7 +2831,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 188 */
+  { /* 192 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_LEA },
     { ENCODING_NONE, TYPE_NONE },
@@ -2808,7 +2839,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 189 */
+  { /* 193 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_M1664 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2816,7 +2847,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 190 */
+  { /* 194 */
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2824,7 +2855,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 191 */
+  { /* 195 */
     { ENCODING_SI, TYPE_SRCIDX8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2832,7 +2863,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 192 */
+  { /* 196 */
     { ENCODING_SI, TYPE_SRCIDX32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2840,7 +2871,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 193 */
+  { /* 197 */
     { ENCODING_SI, TYPE_SRCIDX64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2848,7 +2879,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 194 */
+  { /* 198 */
     { ENCODING_SI, TYPE_SRCIDX16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2856,7 +2887,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 195 */
+  { /* 199 */
     { ENCODING_IW, TYPE_IMM16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2864,7 +2895,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 196 */
+  { /* 200 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2872,7 +2903,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 197 */
+  { /* 201 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2880,7 +2911,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 198 */
+  { /* 202 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2888,7 +2919,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 199 */
+  { /* 203 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_Mv },
@@ -2896,7 +2927,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 200 */
+  { /* 204 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_MM64 },
@@ -2904,7 +2935,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 201 */
+  { /* 205 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
@@ -2912,7 +2943,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 202 */
+  { /* 206 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2920,31 +2951,31 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 203 */
-    { ENCODING_RM, TYPE_R64 },
+  { /* 207 */
+    { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 204 */
-    { ENCODING_RM, TYPE_R32 },
+  { /* 208 */
+    { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 205 */
-    { ENCODING_RM, TYPE_Mv },
+  { /* 209 */
+    { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 206 */
+  { /* 210 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
@@ -2952,7 +2983,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 207 */
+  { /* 211 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2960,7 +2991,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 208 */
+  { /* 212 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2968,7 +2999,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 209 */
+  { /* 213 */
     { ENCODING_RM, TYPE_MM64 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2976,7 +3007,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 210 */
+  { /* 214 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_Mv },
@@ -2984,7 +3015,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 211 */
+  { /* 215 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_MM64 },
@@ -2992,47 +3023,39 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 212 */
+  { /* 216 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_Mv },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 213 */
+  { /* 217 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_MM64 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 214 */
+  { /* 218 */
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_RM, TYPE_MM64 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 215 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_MM64 },
-    { ENCODING_RM, TYPE_Mv },
-    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 216 */
+  { /* 219 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_R32 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 217 */
+  { /* 220 */
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_RM, TYPE_MM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3040,31 +3063,31 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 218 */
+  { /* 221 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_Mv },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 219 */
+  { /* 222 */
     { ENCODING_REG, TYPE_MM64 },
     { ENCODING_RM, TYPE_MM64 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 220 */
+  { /* 223 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_MM64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 221 */
+  { /* 224 */
     { ENCODING_Ia, TYPE_MOFFS16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3072,7 +3095,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 222 */
+  { /* 225 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3080,7 +3103,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 223 */
+  { /* 226 */
     { ENCODING_Rv, TYPE_Rv },
     { ENCODING_Iv, TYPE_IMMv },
     { ENCODING_NONE, TYPE_NONE },
@@ -3088,7 +3111,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 224 */
+  { /* 227 */
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3096,7 +3119,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 225 */
+  { /* 228 */
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
@@ -3104,7 +3127,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 226 */
+  { /* 229 */
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_NONE, TYPE_NONE },
@@ -3112,7 +3135,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 227 */
+  { /* 230 */
     { ENCODING_Ia, TYPE_MOFFS32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3120,7 +3143,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 228 */
+  { /* 231 */
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3128,7 +3151,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 229 */
+  { /* 232 */
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3136,7 +3159,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 230 */
+  { /* 233 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3144,7 +3167,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 231 */
+  { /* 234 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3152,7 +3175,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 232 */
+  { /* 235 */
     { ENCODING_Ia, TYPE_MOFFS64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3160,15 +3183,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 233 */
-    { ENCODING_Ia, TYPE_MOFFS8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 234 */
+  { /* 236 */
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3176,7 +3191,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 235 */
+  { /* 237 */
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3184,7 +3199,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 236 */
+  { /* 238 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3192,7 +3207,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 237 */
+  { /* 239 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3200,7 +3215,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 238 */
+  { /* 240 */
     { ENCODING_RO, TYPE_R64 },
     { ENCODING_IO, TYPE_IMMv },
     { ENCODING_NONE, TYPE_NONE },
@@ -3208,7 +3223,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 239 */
+  { /* 241 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -3216,7 +3231,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 240 */
+  { /* 242 */
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3224,7 +3239,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 241 */
+  { /* 243 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3232,7 +3247,15 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 242 */
+  { /* 244 */
+    { ENCODING_Ia, TYPE_MOFFS8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 245 */
     { ENCODING_RB, TYPE_R8 },
     { ENCODING_IB, TYPE_IMM8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3240,7 +3263,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 243 */
+  { /* 246 */
     { ENCODING_RM, TYPE_M128 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3248,7 +3271,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 244 */
+  { /* 247 */
     { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3256,7 +3279,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 245 */
+  { /* 248 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3264,7 +3287,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 246 */
+  { /* 249 */
     { ENCODING_RM, TYPE_M64FP },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3272,7 +3295,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 247 */
+  { /* 250 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M64FP },
@@ -3280,7 +3303,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 248 */
+  { /* 251 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3288,7 +3311,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 249 */
+  { /* 252 */
     { ENCODING_RM, TYPE_M32FP },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3296,7 +3319,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 250 */
+  { /* 253 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3304,7 +3327,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 251 */
+  { /* 254 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3312,7 +3335,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 252 */
+  { /* 255 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3320,7 +3343,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 253 */
+  { /* 256 */
     { ENCODING_RM, TYPE_M64FP },
     { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3328,7 +3351,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 254 */
+  { /* 257 */
     { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
@@ -3336,7 +3359,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 255 */
+  { /* 258 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM64 },
@@ -3344,7 +3367,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 256 */
+  { /* 259 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM64 },
@@ -3352,7 +3375,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 257 */
+  { /* 260 */
     { ENCODING_RM, TYPE_M32FP },
     { ENCODING_REG, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3360,7 +3383,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 258 */
+  { /* 261 */
     { ENCODING_REG, TYPE_XMM32 },
     { ENCODING_RM, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
@@ -3368,7 +3391,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 259 */
+  { /* 262 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM32 },
@@ -3376,7 +3399,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 260 */
+  { /* 263 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM32 },
@@ -3384,7 +3407,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 261 */
+  { /* 264 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3392,7 +3415,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 262 */
+  { /* 265 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3400,7 +3423,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 263 */
+  { /* 266 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3408,7 +3431,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 264 */
+  { /* 267 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3416,7 +3439,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 265 */
+  { /* 268 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3424,7 +3447,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 266 */
+  { /* 269 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3432,87 +3455,71 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 267 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 268 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 269 */
+  { /* 270 */
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 270 */
+  { /* 271 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 271 */
+  { /* 272 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 272 */
+  { /* 273 */
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 273 */
+  { /* 274 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M8 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 274 */
+  { /* 275 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_R32 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 275 */
+  { /* 276 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_Mv },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 276 */
+  { /* 277 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_R64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 277 */
+  { /* 278 */
     { ENCODING_Rv, TYPE_Rv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3520,7 +3527,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 278 */
+  { /* 279 */
     { ENCODING_RO, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3528,18 +3535,10 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 279 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
   { /* 280 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3641,46 +3640,30 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 293 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 294 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 295 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 296 */
+  { /* 294 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 297 */
+  { /* 295 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM32 },
     { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 298 */
+  { /* 296 */
     { ENCODING_DI, TYPE_DSTIDX64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3688,7 +3671,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 299 */
+  { /* 297 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_IB, TYPE_IMM8 },
@@ -3696,7 +3679,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 300 */
+  { /* 298 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_REG, TYPE_Rv },
@@ -3704,7 +3687,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 301 */
+  { /* 299 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_IB, TYPE_IMM8 },
@@ -3712,7 +3695,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 302 */
+  { /* 300 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_R64 },
@@ -3720,7 +3703,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 303 */
+  { /* 301 */
     { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_RM, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -3728,7 +3711,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 304 */
+  { /* 302 */
     { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_VVVV, TYPE_XMM256 },
     { ENCODING_RM, TYPE_M256 },
@@ -3736,7 +3719,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 305 */
+  { /* 303 */
     { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_VVVV, TYPE_XMM256 },
     { ENCODING_RM, TYPE_XMM256 },
@@ -3744,162 +3727,178 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 306 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+  { /* 304 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 307 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
+  { /* 305 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 308 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
+  { /* 306 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 307 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
+  { /* 308 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+  },
   { /* 309 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 310 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 311 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 312 */
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 313 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 314 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 315 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 316 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 317 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 318 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 319 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 320 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 321 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 322 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 323 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
   },
   { /* 324 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 325 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -3907,64 +3906,64 @@ static const struct OperandSpecifier x86
   { /* 326 */
     { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 327 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 328 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 329 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 330 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 331 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
     { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 332 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 333 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -3972,7 +3971,7 @@ static const struct OperandSpecifier x86
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
@@ -3980,676 +3979,676 @@ static const struct OperandSpecifier x86
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 336 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 337 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 338 */
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 339 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 340 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 341 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 342 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 343 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 344 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 345 */
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 346 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 347 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 348 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 349 */
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 350 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 351 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
   },
   { /* 352 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 353 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 354 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 355 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 356 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 357 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 358 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 359 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 360 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 361 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 362 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 363 */
-    { ENCODING_REG, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD16, TYPE_M64FP },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 364 */
-    { ENCODING_REG, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD16, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 365 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 366 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 367 */
-    { ENCODING_REG, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD16, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
   },
   { /* 368 */
-    { ENCODING_REG, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD16, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_IMM5 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 369 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 370 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 371 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 372 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 373 */
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 374 */
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 375 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 376 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 377 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 378 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
   },
   { /* 379 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 380 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 381 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 382 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 383 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 384 */
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
     { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
   { /* 385 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM_CD8, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 386 */
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
   { /* 387 */
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 388 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 389 */
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 390 */
-    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 391 */
-    { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 392 */
-    { ENCODING_REG, TYPE_R64 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 393 */
-    { ENCODING_REG, TYPE_R64 },
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 394 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 395 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 396 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 397 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD16, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 398 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 399 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 400 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 401 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 402 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 403 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD4, TYPE_R32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 404 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_R32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 405 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 406 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 407 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 408 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_R32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 409 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_R32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 410 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 411 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 412 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 413 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD8, TYPE_R64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 414 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 415 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD16, TYPE_XMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 416 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 417 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 418 */
-    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 419 */
-    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -4657,985 +4656,985 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 420 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 421 */
-    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 422 */
-    { ENCODING_REG, TYPE_R64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 423 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 424 */
-    { ENCODING_REG, TYPE_R64 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 425 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 426 */
-    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 427 */
-    { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 428 */
-    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 429 */
-    { ENCODING_RM_CD64, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 430 */
-    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 431 */
-    { ENCODING_RM_CD64, TYPE_XMM256 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 432 */
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 433 */
-    { ENCODING_RM_CD16, TYPE_R32 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 434 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 435 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 436 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 437 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 438 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
     { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 439 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_VK8 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM5 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 440 */
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_XMM128 },
     { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 441 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 442 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 443 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 444 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 445 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_REG, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD16, TYPE_M64FP },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 446 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD16, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 447 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 448 */
     { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_IB, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 449 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_REG, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD16, TYPE_M32FP },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 450 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD16, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 451 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 452 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_IMM5 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 453 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 454 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 455 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 456 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_IB, TYPE_XMM32 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 457 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 458 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 459 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_XMM32 },
+    { ENCODING_RM_CD8, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 460 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 461 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 462 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_RM_CD8, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 463 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 464 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP4 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M64 },
-    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 465 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP3 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_M64 },
+    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 466 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP4 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M64 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 467 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP4 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M32 },
-    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 468 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP3 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD4, TYPE_M32 },
+    { ENCODING_RM_CD4, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 469 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP4 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M32 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 470 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD4, TYPE_M32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 471 */
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD4, TYPE_M32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 472 */
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_M64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 473 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_DUP, TYPE_DUP3 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD4, TYPE_M64 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 474 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 475 */
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 476 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 477 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 478 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 479 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 480 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 481 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 482 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 483 */
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
     { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 484 */
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 485 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_R64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 486 */
-    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 487 */
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 488 */
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 489 */
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 490 */
+    { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 491 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 492 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 493 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 494 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 495 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 496 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD16, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 497 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 498 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 499 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 500 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 501 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 502 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD4, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 503 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 504 */
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 505 */
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 506 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 507 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 508 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 509 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 510 */
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 511 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 512 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD8, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 513 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 514 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD16, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 515 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 516 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 517 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 518 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 519 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 520 */
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 521 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 522 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 523 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 524 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 525 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 526 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_R32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 527 */
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 528 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 529 */
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 530 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 531 */
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 532 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 533 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 534 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 535 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 536 */
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 537 */
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 538 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 539 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 540 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 541 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 542 */
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -5643,15 +5642,15 @@ static const struct OperandSpecifier x86
   { /* 543 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD8, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 544 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD8, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -5659,20969 +5658,23401 @@ static const struct OperandSpecifier x86
   { /* 545 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
     { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 546 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
     { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 547 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 548 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD8, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 549 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 550 */
-    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
     { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 551 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 552 */
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
     { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 553 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 554 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 555 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 556 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 557 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 558 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 559 */
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 560 */
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 561 */
-    { ENCODING_RM_CD16, TYPE_R32 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 562 */
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD64, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 563 */
-    { ENCODING_RM_CD16, TYPE_R64 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD64, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 564 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD64, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 565 */
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD64, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 566 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD64, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 567 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD64, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 568 */
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 569 */
-    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD16, TYPE_R32 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 570 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 571 */
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD4, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 572 */
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 573 */
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 574 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 575 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 576 */
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 577 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_WRITEMASK, TYPE_VK1 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 578 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 579 */
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 580 */
-    { ENCODING_RM, TYPE_R32 },
-    { ENCODING_REG, TYPE_R32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 581 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 582 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 583 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 584 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 585 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 586 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 587 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_RM_CD8, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 588 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 589 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD8, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 590 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 591 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 592 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 593 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 594 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 595 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_IB, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 596 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 597 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 598 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 599 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 600 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD4, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 601 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_R32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 602 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_R32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 603 */
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_IB, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 604 */
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 605 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 606 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_R64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 607 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_R64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 608 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 609 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_M32FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 610 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 611 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP4 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M64 },
+    { ENCODING_VVVV, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 612 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP3 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M64 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 613 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP4 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M64 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 614 */
-    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP4 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M32 },
     { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 615 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP3 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_M32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 616 */
-    { ENCODING_REG, TYPE_VK64 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP4 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M32 },
+    { ENCODING_VVVV, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 617 */
-    { ENCODING_REG, TYPE_VK64 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 618 */
-    { ENCODING_REG, TYPE_VK64 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_M32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 619 */
-    { ENCODING_REG, TYPE_VK64 },
-    { ENCODING_WRITEMASK, TYPE_VK64 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-  },
-  { /* 620 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 620 */
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_DUP, TYPE_DUP3 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD4, TYPE_M64 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 621 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 622 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 623 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
     { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 624 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 625 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 626 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 627 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD4, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M32FP },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 628 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 629 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 630 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_RM, TYPE_M256 },
     { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 631 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 632 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 633 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 634 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 635 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 636 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 637 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 638 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
     { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 639 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 640 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 641 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 642 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 643 */
-    { ENCODING_REG, TYPE_VK2 },
-    { ENCODING_WRITEMASK, TYPE_VK2 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 644 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
   { /* 645 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD8, TYPE_Mv },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 646 */
-    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 647 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 648 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
     { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 649 */
-    { ENCODING_REG, TYPE_VK4 },
-    { ENCODING_WRITEMASK, TYPE_VK4 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 650 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
     { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 651 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 652 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 653 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 654 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 655 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 656 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 657 */
-    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 658 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 659 */
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 660 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 661 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 662 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 663 */
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 664 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 665 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 666 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 667 */
-    { ENCODING_REG, TYPE_VK32 },
-    { ENCODING_WRITEMASK, TYPE_VK32 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 668 */
-    { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 669 */
     { ENCODING_DUP, TYPE_DUP1 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 670 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 671 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 672 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 673 */
     { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 674 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 675 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 676 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 677 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 678 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 679 */
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 680 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M8 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 681 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_R32 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 682 */
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_Mv },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 683 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_R64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 684 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 685 */
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 686 */
+    { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 687 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
     { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_IB, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 688 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 689 */
     { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 690 */
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 691 */
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_REG, TYPE_VK16 },
-    { ENCODING_IB, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 692 */
-    { ENCODING_RM_CD8, TYPE_M128 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 693 */
-    { ENCODING_RM_CD8, TYPE_M128 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 694 */
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 695 */
-    { ENCODING_RM_CD8, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_IB, TYPE_XMM512 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_REG, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 696 */
-    { ENCODING_RM_CD32, TYPE_M256 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
     { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 697 */
-    { ENCODING_RM_CD32, TYPE_XMM256 },
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_IB, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 698 */
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
     { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 699 */
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_REG, TYPE_VK8 },
-    { ENCODING_IB, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 700 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 701 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 702 */
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 703 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M64FP },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 704 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 705 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 706 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 707 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 708 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_R64 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 709 */
     { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 710 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 711 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_RM_CD4, TYPE_M32 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 712 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_RM_CD8, TYPE_M64 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 713 */
-    { ENCODING_DUP, TYPE_DUP2 },
-    { ENCODING_RM_CD4, TYPE_M64 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 714 */
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 715 */
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 716 */
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 717 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 718 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_VVVV, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 719 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 720 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 721 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 722 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 723 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 724 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_M128 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 725 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 726 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK16 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 727 */
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_XMM128 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_RM, TYPE_R32 },
+    { ENCODING_REG, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 728 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 729 */
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 730 */
     { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 731 */
     { ENCODING_REG, TYPE_XMM512 },
     { ENCODING_WRITEMASK, TYPE_VK8 },
-    { ENCODING_VVVV, TYPE_XMM512 },
-    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 732 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD8, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 733 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD4, TYPE_XMM512 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 734 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_M512 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 735 */
-    { ENCODING_REG, TYPE_XMM512 },
-    { ENCODING_RM_CD64, TYPE_XMM512 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 736 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_M64FP },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 737 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 738 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_M32FP },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 739 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 740 */
-    { ENCODING_REG, TYPE_XMM128 },
-    { ENCODING_VVVV, TYPE_XMM128 },
-    { ENCODING_RM, TYPE_M64FP },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 741 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM, TYPE_XMM64 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 742 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM, TYPE_XMM32 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 743 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_M256 },
-    { ENCODING_IB, TYPE_IMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 744 */
-    { ENCODING_REG, TYPE_XMM256 },
-    { ENCODING_RM, TYPE_XMM256 },
-    { ENCODING_IB, TYPE_IMM32 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 745 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_VVVV, TYPE_XMM64 },
-    { ENCODING_RM_CD16, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 746 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_VVVV, TYPE_XMM32 },
-    { ENCODING_RM_CD16, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 747 */
-    { ENCODING_REG, TYPE_XMM64 },
-    { ENCODING_RM_CD8, TYPE_XMM64 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 748 */
-    { ENCODING_REG, TYPE_XMM32 },
-    { ENCODING_RM_CD4, TYPE_XMM32 },
-    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 749 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-};
-
-static const struct InstructionSpecifier x86DisassemblerInstrSpecifiers[6267] = {
-  { /* 0 */
-    0,
-    /*  */
-  },
-  { /* 1 */
-    0,
-    /*  */
+  { /* 750 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 2 */
-    0,
-    /*  */
+  { /* 751 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 3 */
-    0,
-    /*  */
+  { /* 752 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 4 */
-    0,
-    /*  */
+  { /* 753 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 5 */
-    0,
-    /*  */
+  { /* 754 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 6 */
-    0,
-    /*  */
+  { /* 755 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 7 */
-    0,
-    /*  */
+  { /* 756 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 8 */
-    0,
-    /*  */
+  { /* 757 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 9 */
-    0,
-    /*  */
+  { /* 758 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 10 */
-    0,
-    /*  */
+  { /* 759 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 11 */
-    0,
-    /*  */
+  { /* 760 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 12 */
-    0,
-    /*  */
+  { /* 761 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 13 */
-    0,
-    /*  */
+  { /* 762 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 14 */
-    0,
-    /*  */
+  { /* 763 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 15 */
-    0,
-    /*  */
+  { /* 764 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 16 */
-    0,
-    /*  */
+  { /* 765 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 17 */
-    0,
-    /*  */
+  { /* 766 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 18 */
-    0,
-    /*  */
+  { /* 767 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 19 */
-    0,
-    /*  */
+  { /* 768 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 20 */
-    0,
-    /* AAA */
+  { /* 769 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 21 */
-    1,
-    /* AAD8i8 */
+  { /* 770 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 22 */
-    1,
-    /* AAM8i8 */
+  { /* 771 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 23 */
-    0,
-    /* AAS */
+  { /* 772 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 24 */
-    0,
-    /* ABS_F */
+  { /* 773 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 25 */
-    0,
-    /*  */
+  { /* 774 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 26 */
-    0,
-    /*  */
+  { /* 775 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 27 */
-    0,
-    /*  */
+  { /* 776 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 28 */
-    0,
-    /*  */
+  { /* 777 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 29 */
-    0,
-    /*  */
+  { /* 778 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 30 */
-    0,
-    /*  */
+  { /* 779 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 31 */
-    0,
-    /*  */
+  { /* 780 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 32 */
-    2,
-    /* ADC16i16 */
+  { /* 781 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 33 */
-    3,
-    /* ADC16mi */
+  { /* 782 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 34 */
-    4,
-    /* ADC16mi8 */
+  { /* 783 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 35 */
-    5,
-    /* ADC16mr */
+  { /* 784 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 36 */
-    6,
-    /* ADC16ri */
+  { /* 785 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 37 */
-    7,
-    /* ADC16ri8 */
+  { /* 786 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 38 */
-    8,
-    /* ADC16rm */
+  { /* 787 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 39 */
-    9,
-    /* ADC16rr */
+  { /* 788 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 40 */
-    10,
-    /* ADC16rr_REV */
+  { /* 789 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 41 */
-    2,
-    /* ADC32i32 */
+  { /* 790 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 42 */
-    3,
-    /* ADC32mi */
+  { /* 791 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 43 */
-    11,
-    /* ADC32mi8 */
+  { /* 792 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 44 */
-    5,
-    /* ADC32mr */
+  { /* 793 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 45 */
-    6,
-    /* ADC32ri */
+  { /* 794 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 46 */
-    12,
-    /* ADC32ri8 */
+  { /* 795 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 47 */
-    8,
-    /* ADC32rm */
+  { /* 796 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 48 */
-    9,
-    /* ADC32rr */
+  { /* 797 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD16, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 49 */
-    10,
-    /* ADC32rr_REV */
+  { /* 798 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD16, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 50 */
-    13,
-    /* ADC64i32 */
+  { /* 799 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 51 */
-    14,
-    /* ADC64mi32 */
+  { /* 800 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD32, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 52 */
-    15,
-    /* ADC64mi8 */
+  { /* 801 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_RM_CD32, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 53 */
-    16,
-    /* ADC64mr */
+  { /* 802 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 54 */
-    17,
-    /* ADC64ri32 */
+  { /* 803 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 55 */
-    18,
-    /* ADC64ri8 */
+  { /* 804 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_R64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 56 */
-    19,
-    /* ADC64rm */
+  { /* 805 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 57 */
-    20,
-    /* ADC64rr */
+  { /* 806 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 58 */
-    21,
-    /* ADC64rr_REV */
+  { /* 807 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 59 */
-    1,
-    /* ADC8i8 */
+  { /* 808 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 60 */
-    22,
-    /* ADC8mi */
+  { /* 809 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 61 */
-    23,
-    /* ADC8mr */
+  { /* 810 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_RM_CD64, TYPE_R32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 62 */
-    24,
-    /* ADC8ri */
+  { /* 811 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 63 */
-    25,
-    /* ADC8rm */
+  { /* 812 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 64 */
-    26,
-    /* ADC8rr */
+  { /* 813 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 65 */
-    27,
-    /* ADC8rr_REV */
+  { /* 814 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 66 */
-    28,
-    /* ADCX32rm */
+  { /* 815 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 67 */
-    29,
-    /* ADCX32rr */
+  { /* 816 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 68 */
-    19,
-    /* ADCX64rm */
+  { /* 817 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 69 */
-    21,
-    /* ADCX64rr */
+  { /* 818 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 70 */
-    2,
-    /* ADD16i16 */
+  { /* 819 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 71 */
-    3,
-    /* ADD16mi */
+  { /* 820 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 72 */
-    4,
-    /* ADD16mi8 */
+  { /* 821 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 73 */
-    5,
-    /* ADD16mr */
+  { /* 822 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 74 */
-    6,
-    /* ADD16ri */
+  { /* 823 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 75 */
-    7,
-    /* ADD16ri8 */
+  { /* 824 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 76 */
-    0,
-    /*  */
+  { /* 825 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 77 */
-    0,
-    /*  */
+  { /* 826 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 78 */
-    8,
-    /* ADD16rm */
+  { /* 827 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 79 */
-    9,
-    /* ADD16rr */
+  { /* 828 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 80 */
-    0,
-    /*  */
+  { /* 829 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 81 */
-    10,
-    /* ADD16rr_REV */
+  { /* 830 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 82 */
-    2,
-    /* ADD32i32 */
+  { /* 831 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 83 */
-    3,
-    /* ADD32mi */
+  { /* 832 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 84 */
-    11,
-    /* ADD32mi8 */
+  { /* 833 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 85 */
-    5,
-    /* ADD32mr */
+  { /* 834 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 86 */
-    6,
-    /* ADD32ri */
+  { /* 835 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 87 */
-    12,
-    /* ADD32ri8 */
+  { /* 836 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 88 */
-    0,
-    /*  */
+  { /* 837 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 89 */
-    0,
-    /*  */
+  { /* 838 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 90 */
-    8,
-    /* ADD32rm */
+  { /* 839 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 91 */
-    9,
-    /* ADD32rr */
+  { /* 840 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 92 */
-    0,
-    /*  */
+  { /* 841 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 93 */
-    10,
-    /* ADD32rr_REV */
+  { /* 842 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 94 */
-    13,
-    /* ADD64i32 */
+  { /* 843 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 95 */
-    14,
-    /* ADD64mi32 */
+  { /* 844 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 96 */
-    15,
-    /* ADD64mi8 */
+  { /* 845 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 97 */
-    16,
-    /* ADD64mr */
+  { /* 846 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 98 */
-    17,
-    /* ADD64ri32 */
+  { /* 847 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 99 */
-    0,
-    /*  */
+  { /* 848 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 100 */
-    18,
-    /* ADD64ri8 */
+  { /* 849 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 101 */
-    0,
-    /*  */
+  { /* 850 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 102 */
-    19,
-    /* ADD64rm */
+  { /* 851 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 103 */
-    20,
-    /* ADD64rr */
+  { /* 852 */
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_WRITEMASK, TYPE_VK64 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 104 */
-    0,
-    /*  */
+  { /* 853 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 105 */
-    21,
-    /* ADD64rr_REV */
+  { /* 854 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 106 */
-    1,
-    /* ADD8i8 */
+  { /* 855 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 107 */
-    22,
-    /* ADD8mi */
+  { /* 856 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 108 */
-    23,
-    /* ADD8mr */
+  { /* 857 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 109 */
-    24,
-    /* ADD8ri */
+  { /* 858 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 110 */
-    24,
-    /* ADD8ri8 */
+  { /* 859 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 111 */
-    25,
-    /* ADD8rm */
+  { /* 860 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 112 */
-    26,
-    /* ADD8rr */
+  { /* 861 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 113 */
-    27,
-    /* ADD8rr_REV */
+  { /* 862 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 114 */
-    30,
-    /* ADDPDrm */
+  { /* 863 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 115 */
-    31,
-    /* ADDPDrr */
+  { /* 864 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 116 */
-    30,
-    /* ADDPSrm */
+  { /* 865 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 117 */
-    31,
-    /* ADDPSrr */
+  { /* 866 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 118 */
-    32,
-    /* ADDSDrm */
+  { /* 867 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 119 */
-    0,
-    /*  */
+  { /* 868 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 120 */
-    33,
-    /* ADDSDrr */
+  { /* 869 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 121 */
-    0,
-    /*  */
+  { /* 870 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 122 */
-    34,
-    /* ADDSSrm */
+  { /* 871 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 123 */
-    0,
-    /*  */
+  { /* 872 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 124 */
-    35,
-    /* ADDSSrr */
+  { /* 873 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 125 */
-    0,
-    /*  */
+  { /* 874 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 126 */
-    30,
-    /* ADDSUBPDrm */
+  { /* 875 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 127 */
-    31,
-    /* ADDSUBPDrr */
+  { /* 876 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 128 */
-    30,
-    /* ADDSUBPSrm */
+  { /* 877 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 129 */
-    31,
-    /* ADDSUBPSrr */
+  { /* 878 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 130 */
-    36,
-    /* ADD_F32m */
+  { /* 879 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 131 */
-    37,
-    /* ADD_F64m */
+  { /* 880 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 132 */
-    38,
-    /* ADD_FI16m */
+  { /* 881 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 133 */
-    38,
-    /* ADD_FI32m */
+  { /* 882 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 134 */
-    39,
-    /* ADD_FPrST0 */
+  { /* 883 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 135 */
-    39,
-    /* ADD_FST0r */
+  { /* 884 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 136 */
-    0,
-    /*  */
+  { /* 885 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 137 */
-    0,
-    /*  */
+  { /* 886 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 138 */
-    0,
-    /*  */
+  { /* 887 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 139 */
-    0,
-    /*  */
+  { /* 888 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 140 */
-    0,
-    /*  */
+  { /* 889 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 141 */
-    0,
-    /*  */
+  { /* 890 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 142 */
-    0,
-    /*  */
+  { /* 891 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 143 */
-    0,
-    /*  */
+  { /* 892 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 144 */
-    0,
-    /*  */
+  { /* 893 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 145 */
-    0,
-    /*  */
+  { /* 894 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 146 */
-    0,
-    /*  */
+  { /* 895 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 147 */
-    0,
-    /*  */
+  { /* 896 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 148 */
-    0,
-    /*  */
+  { /* 897 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 149 */
-    0,
-    /*  */
+  { /* 898 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 150 */
-    39,
-    /* ADD_FrST0 */
+  { /* 899 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 151 */
-    0,
-    /*  */
+  { /* 900 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 152 */
-    0,
-    /*  */
+  { /* 901 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 153 */
-    0,
-    /*  */
+  { /* 902 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 154 */
-    0,
-    /*  */
+  { /* 903 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 155 */
-    40,
-    /* ADOX32rm */
+  { /* 904 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 156 */
-    41,
-    /* ADOX32rr */
+  { /* 905 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 157 */
-    42,
-    /* ADOX64rm */
+  { /* 906 */
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 158 */
-    43,
-    /* ADOX64rr */
+  { /* 907 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 159 */
-    30,
-    /* AESDECLASTrm */
+  { /* 908 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 160 */
-    31,
-    /* AESDECLASTrr */
+  { /* 909 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 161 */
-    30,
-    /* AESDECrm */
+  { /* 910 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 162 */
-    31,
-    /* AESDECrr */
+  { /* 911 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 163 */
-    30,
-    /* AESENCLASTrm */
+  { /* 912 */
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_WRITEMASK, TYPE_VK4 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 164 */
-    31,
-    /* AESENCLASTrr */
+  { /* 913 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 165 */
-    30,
-    /* AESENCrm */
+  { /* 914 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 166 */
-    31,
-    /* AESENCrr */
+  { /* 915 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 167 */
-    44,
-    /* AESIMCrm */
+  { /* 916 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 168 */
-    45,
-    /* AESIMCrr */
+  { /* 917 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 169 */
-    46,
-    /* AESKEYGENASSIST128rm */
+  { /* 918 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 170 */
-    47,
-    /* AESKEYGENASSIST128rr */
+  { /* 919 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 171 */
-    2,
-    /* AND16i16 */
+  { /* 920 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 172 */
-    3,
-    /* AND16mi */
+  { /* 921 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 173 */
-    4,
-    /* AND16mi8 */
+  { /* 922 */
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 174 */
-    5,
-    /* AND16mr */
+  { /* 923 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 175 */
-    6,
-    /* AND16ri */
+  { /* 924 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 176 */
-    7,
-    /* AND16ri8 */
+  { /* 925 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 177 */
-    8,
-    /* AND16rm */
+  { /* 926 */
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 178 */
-    9,
-    /* AND16rr */
-  },
-  { /* 179 */
-    10,
-    /* AND16rr_REV */
-  },
-  { /* 180 */
-    2,
-    /* AND32i32 */
+  { /* 927 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 181 */
-    3,
-    /* AND32mi */
+  { /* 928 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 182 */
-    11,
-    /* AND32mi8 */
+  { /* 929 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 183 */
-    5,
-    /* AND32mr */
+  { /* 930 */
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_WRITEMASK, TYPE_VK32 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_AVX512ICC },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 184 */
-    6,
-    /* AND32ri */
+  { /* 931 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_IMM3 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 185 */
-    12,
-    /* AND32ri8 */
+  { /* 932 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM3 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 186 */
-    8,
-    /* AND32rm */
+  { /* 933 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD4, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 187 */
-    9,
-    /* AND32rr */
+  { /* 934 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_Mv },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 188 */
-    10,
-    /* AND32rr_REV */
+  { /* 935 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 189 */
-    13,
-    /* AND64i32 */
+  { /* 936 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 190 */
-    14,
-    /* AND64mi32 */
+  { /* 937 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 191 */
-    15,
-    /* AND64mi8 */
+  { /* 938 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 192 */
-    16,
-    /* AND64mr */
+  { /* 939 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 193 */
-    17,
-    /* AND64ri32 */
+  { /* 940 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 194 */
-    18,
-    /* AND64ri8 */
+  { /* 941 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M256 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 195 */
-    19,
-    /* AND64rm */
+  { /* 942 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 196 */
-    20,
-    /* AND64rr */
+  { /* 943 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 197 */
-    21,
-    /* AND64rr_REV */
+  { /* 944 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 198 */
-    1,
-    /* AND8i8 */
+  { /* 945 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M8 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 199 */
-    22,
-    /* AND8mi */
+  { /* 946 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_R32 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 200 */
-    23,
-    /* AND8mr */
+  { /* 947 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_Mv },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 201 */
-    24,
-    /* AND8ri */
+  { /* 948 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_R64 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 202 */
-    24,
-    /* AND8ri8 */
+  { /* 949 */
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 203 */
-    25,
-    /* AND8rm */
+  { /* 950 */
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 204 */
-    26,
-    /* AND8rr */
+  { /* 951 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 205 */
-    27,
-    /* AND8rr_REV */
+  { /* 952 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 206 */
-    48,
-    /* ANDN32rm */
+  { /* 953 */
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 207 */
-    49,
-    /* ANDN32rr */
+  { /* 954 */
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 208 */
-    50,
-    /* ANDN64rm */
+  { /* 955 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 209 */
-    51,
-    /* ANDN64rr */
+  { /* 956 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 210 */
-    30,
-    /* ANDNPDrm */
+  { /* 957 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 211 */
-    31,
-    /* ANDNPDrr */
+  { /* 958 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 212 */
-    30,
-    /* ANDNPSrm */
+  { /* 959 */
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_VK64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 213 */
-    31,
-    /* ANDNPSrr */
+  { /* 960 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 214 */
-    30,
-    /* ANDPDrm */
+  { /* 961 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 215 */
-    31,
-    /* ANDPDrr */
+  { /* 962 */
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 216 */
-    30,
-    /* ANDPSrm */
+  { /* 963 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK2 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 217 */
-    31,
-    /* ANDPSrr */
+  { /* 964 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_VK4 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 218 */
-    52,
-    /* ARPL16mr */
+  { /* 965 */
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 219 */
-    53,
-    /* ARPL16rr */
+  { /* 966 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_VK8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 220 */
-    0,
-    /*  */
+  { /* 967 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_REG, TYPE_VK16 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 221 */
-    0,
-    /*  */
+  { /* 968 */
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_REG, TYPE_VK32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 222 */
-    0,
-    /*  */
+  { /* 969 */
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 223 */
-    54,
-    /* BEXTR32rm */
+  { /* 970 */
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 224 */
-    55,
-    /* BEXTR32rr */
+  { /* 971 */
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 225 */
-    56,
-    /* BEXTR64rm */
+  { /* 972 */
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 226 */
-    57,
-    /* BEXTR64rr */
+  { /* 973 */
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 227 */
-    58,
-    /* BEXTRI32mi */
+  { /* 974 */
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 228 */
-    59,
-    /* BEXTRI32ri */
+  { /* 975 */
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 229 */
-    60,
-    /* BEXTRI64mi */
+  { /* 976 */
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 230 */
-    61,
-    /* BEXTRI64ri */
+  { /* 977 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 231 */
-    62,
-    /* BLCFILL32rm */
+  { /* 978 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 232 */
-    63,
-    /* BLCFILL32rr */
+  { /* 979 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 233 */
-    64,
-    /* BLCFILL64rm */
+  { /* 980 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 234 */
-    65,
-    /* BLCFILL64rr */
+  { /* 981 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_M256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 235 */
-    62,
-    /* BLCI32rm */
+  { /* 982 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 236 */
-    63,
-    /* BLCI32rr */
+  { /* 983 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD32, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 237 */
-    64,
-    /* BLCI64rm */
+  { /* 984 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 238 */
-    65,
-    /* BLCI64rr */
+  { /* 985 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 239 */
-    62,
-    /* BLCIC32rm */
+  { /* 986 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 240 */
-    63,
-    /* BLCIC32rr */
+  { /* 987 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 241 */
-    64,
-    /* BLCIC64rm */
+  { /* 988 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_IMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 242 */
-    65,
-    /* BLCIC64rr */
+  { /* 989 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 243 */
-    62,
-    /* BLCMSK32rm */
+  { /* 990 */
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_RM_CD4, TYPE_M32 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 244 */
-    63,
-    /* BLCMSK32rr */
+  { /* 991 */
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_RM_CD8, TYPE_M64 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 245 */
-    64,
-    /* BLCMSK64rm */
+  { /* 992 */
+    { ENCODING_DUP, TYPE_DUP2 },
+    { ENCODING_RM_CD4, TYPE_M64 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 246 */
-    65,
-    /* BLCMSK64rr */
+  { /* 993 */
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM256 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 247 */
-    62,
-    /* BLCS32rm */
+  { /* 994 */
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 248 */
-    63,
-    /* BLCS32rr */
+  { /* 995 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 249 */
-    64,
-    /* BLCS64rm */
+  { /* 996 */
+    { ENCODING_REG, TYPE_XMM256 },
+    { ENCODING_VVVV, TYPE_XMM256 },
+    { ENCODING_RM, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 250 */
-    65,
-    /* BLCS64rr */
+  { /* 997 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 251 */
-    66,
-    /* BLENDPDrmi */
+  { /* 998 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 252 */
-    67,
-    /* BLENDPDrri */
+  { /* 999 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 253 */
-    66,
-    /* BLENDPSrmi */
+  { /* 1000 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 254 */
-    67,
-    /* BLENDPSrri */
+  { /* 1001 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 255 */
-    30,
-    /* BLENDVPDrm0 */
+  { /* 1002 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 256 */
-    31,
-    /* BLENDVPDrr0 */
+  { /* 1003 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 257 */
-    30,
-    /* BLENDVPSrm0 */
+  { /* 1004 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 258 */
-    31,
-    /* BLENDVPSrr0 */
+  { /* 1005 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 259 */
-    62,
-    /* BLSFILL32rm */
+  { /* 1006 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 260 */
-    63,
-    /* BLSFILL32rr */
+  { /* 1007 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 261 */
-    64,
-    /* BLSFILL64rm */
+  { /* 1008 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 262 */
-    65,
-    /* BLSFILL64rr */
+  { /* 1009 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 263 */
-    62,
-    /* BLSI32rm */
+  { /* 1010 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_M512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 264 */
-    63,
-    /* BLSI32rr */
+  { /* 1011 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 265 */
-    64,
-    /* BLSI64rm */
+  { /* 1012 */
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_RM_CD64, TYPE_XMM512 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 266 */
-    65,
-    /* BLSI64rr */
+  { /* 1013 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 267 */
-    62,
-    /* BLSIC32rm */
+  { /* 1014 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 268 */
-    63,
-    /* BLSIC32rr */
+  { /* 1015 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 269 */
-    64,
-    /* BLSIC64rm */
+  { /* 1016 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM128 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 270 */
-    65,
-    /* BLSIC64rr */
+  { /* 1017 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 271 */
-    62,
-    /* BLSMSK32rm */
+  { /* 1018 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 272 */
-    63,
-    /* BLSMSK32rr */
+  { /* 1019 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 273 */
-    64,
-    /* BLSMSK64rm */
+  { /* 1020 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 274 */
-    65,
-    /* BLSMSK64rr */
+  { /* 1021 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 275 */
-    62,
-    /* BLSR32rm */
+  { /* 1022 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK16 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 276 */
-    63,
-    /* BLSR32rr */
+  { /* 1023 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 277 */
-    64,
-    /* BLSR64rm */
+  { /* 1024 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_M512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 278 */
-    65,
-    /* BLSR64rr */
+  { /* 1025 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 279 */
-    68,
-    /* BOUNDS16rm */
+  { /* 1026 */
+    { ENCODING_REG, TYPE_XMM512 },
+    { ENCODING_WRITEMASK, TYPE_VK8 },
+    { ENCODING_VVVV, TYPE_XMM512 },
+    { ENCODING_RM_CD16, TYPE_XMM512 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 280 */
-    68,
-    /* BOUNDS32rm */
+  { /* 1027 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 281 */
-    68,
-    /* BSF16rm */
+  { /* 1028 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 282 */
-    69,
-    /* BSF16rr */
+  { /* 1029 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK2 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 283 */
-    68,
-    /* BSF32rm */
+  { /* 1030 */
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_M64FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 284 */
-    69,
-    /* BSF32rr */
+  { /* 1031 */
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 285 */
-    42,
-    /* BSF64rm */
-  },
-  { /* 286 */
-    43,
-    /* BSF64rr */
-  },
-  { /* 287 */
-    68,
-    /* BSR16rm */
-  },
-  { /* 288 */
-    69,
-    /* BSR16rr */
-  },
-  { /* 289 */
-    68,
-    /* BSR32rm */
-  },
-  { /* 290 */
-    69,
-    /* BSR32rr */
-  },
-  { /* 291 */
-    42,
-    /* BSR64rm */
-  },
-  { /* 292 */
-    43,
-    /* BSR64rr */
-  },
-  { /* 293 */
-    70,
-    /* BSWAP32r */
-  },
-  { /* 294 */
-    71,
-    /* BSWAP64r */
-  },
-  { /* 295 */
-    4,
-    /* BT16mi8 */
-  },
-  { /* 296 */
-    5,
-    /* BT16mr */
-  },
-  { /* 297 */
-    72,
-    /* BT16ri8 */
-  },
-  { /* 298 */
-    73,
-    /* BT16rr */
-  },
-  { /* 299 */
-    11,
-    /* BT32mi8 */
-  },
-  { /* 300 */
-    5,
-    /* BT32mr */
-  },
-  { /* 301 */
-    74,
-    /* BT32ri8 */
-  },
-  { /* 302 */
-    73,
-    /* BT32rr */
-  },
-  { /* 303 */
-    15,
-    /* BT64mi8 */
-  },
-  { /* 304 */
-    16,
-    /* BT64mr */
-  },
-  { /* 305 */
-    75,
-    /* BT64ri8 */
-  },
-  { /* 306 */
-    76,
-    /* BT64rr */
-  },
-  { /* 307 */
-    4,
-    /* BTC16mi8 */
-  },
-  { /* 308 */
-    5,
-    /* BTC16mr */
-  },
-  { /* 309 */
-    72,
-    /* BTC16ri8 */
-  },
-  { /* 310 */
-    73,
-    /* BTC16rr */
+  { /* 1032 */
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_M32FP },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 311 */
-    11,
-    /* BTC32mi8 */
+  { /* 1033 */
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 312 */
-    5,
-    /* BTC32mr */
+  { /* 1034 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 313 */
-    74,
-    /* BTC32ri8 */
+  { /* 1035 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
-  { /* 314 */
-    73,
-    /* BTC32rr */
+  { /* 1036 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 315 */
-    15,
-    /* BTC64mi8 */
+  { /* 1037 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 316 */
-    16,
-    /* BTC64mr */
+  { /* 1038 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
-  { /* 317 */
-    75,
-    /* BTC64ri8 */
+  { /* 1039 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD8, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 318 */
-    76,
-    /* BTC64rr */
+  { /* 1040 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 319 */
-    4,
-    /* BTR16mi8 */
+  { /* 1041 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
-  { /* 320 */
-    5,
-    /* BTR16mr */
+  { /* 1042 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_M128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 321 */
-    72,
-    /* BTR16ri8 */
+  { /* 1043 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 322 */
-    73,
-    /* BTR16rr */
+  { /* 1044 */
+    { ENCODING_DUP, TYPE_DUP1 },
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
   },
-  { /* 323 */
-    11,
-    /* BTR32mi8 */
+  { /* 1045 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_WRITEMASK, TYPE_VK1 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM_CD4, TYPE_XMM128 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 324 */
-    5,
-    /* BTR32mr */
+  { /* 1046 */
+    { ENCODING_REG, TYPE_XMM128 },
+    { ENCODING_VVVV, TYPE_XMM128 },
+    { ENCODING_RM, TYPE_M64FP },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 325 */
-    74,
-    /* BTR32ri8 */
+  { /* 1047 */
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM, TYPE_XMM64 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 326 */
-    73,
-    /* BTR32rr */
+  { /* 1048 */
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM, TYPE_XMM32 },
+    { ENCODING_IB, TYPE_UIMM8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 327 */
-    15,
-    /* BTR64mi8 */
+  { /* 1049 */
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_VVVV, TYPE_XMM64 },
+    { ENCODING_RM_CD16, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 328 */
-    16,
-    /* BTR64mr */
+  { /* 1050 */
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_VVVV, TYPE_XMM32 },
+    { ENCODING_RM_CD16, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 329 */
-    75,
-    /* BTR64ri8 */
+  { /* 1051 */
+    { ENCODING_REG, TYPE_XMM64 },
+    { ENCODING_RM_CD8, TYPE_XMM64 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 330 */
-    76,
-    /* BTR64rr */
+  { /* 1052 */
+    { ENCODING_REG, TYPE_XMM32 },
+    { ENCODING_RM_CD4, TYPE_XMM32 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 331 */
-    4,
-    /* BTS16mi8 */
+};
+
+static const struct InstructionSpecifier x86DisassemblerInstrSpecifiers[8853] = {
+  { /* 0 */
+    0,
+    /*  */
   },
-  { /* 332 */
-    5,
-    /* BTS16mr */
+  { /* 1 */
+    0,
+    /*  */
   },
-  { /* 333 */
-    72,
-    /* BTS16ri8 */
+  { /* 2 */
+    0,
+    /*  */
   },
-  { /* 334 */
-    73,
-    /* BTS16rr */
+  { /* 3 */
+    0,
+    /*  */
   },
-  { /* 335 */
-    11,
-    /* BTS32mi8 */
+  { /* 4 */
+    0,
+    /*  */
   },
-  { /* 336 */
-    5,
-    /* BTS32mr */
+  { /* 5 */
+    0,
+    /*  */
   },
-  { /* 337 */
-    74,
-    /* BTS32ri8 */
+  { /* 6 */
+    0,
+    /*  */
   },
-  { /* 338 */
-    73,
-    /* BTS32rr */
+  { /* 7 */
+    0,
+    /*  */
   },
-  { /* 339 */
-    15,
-    /* BTS64mi8 */
+  { /* 8 */
+    0,
+    /*  */
   },
-  { /* 340 */
-    16,
-    /* BTS64mr */
+  { /* 9 */
+    0,
+    /*  */
   },
-  { /* 341 */
-    75,
-    /* BTS64ri8 */
+  { /* 10 */
+    0,
+    /*  */
   },
-  { /* 342 */
-    76,
-    /* BTS64rr */
+  { /* 11 */
+    0,
+    /*  */
   },
-  { /* 343 */
-    54,
-    /* BZHI32rm */
+  { /* 12 */
+    0,
+    /*  */
   },
-  { /* 344 */
-    55,
-    /* BZHI32rr */
+  { /* 13 */
+    0,
+    /*  */
   },
-  { /* 345 */
-    56,
-    /* BZHI64rm */
+  { /* 14 */
+    0,
+    /*  */
   },
-  { /* 346 */
-    57,
-    /* BZHI64rr */
+  { /* 15 */
+    0,
+    /*  */
   },
-  { /* 347 */
-    38,
-    /* CALL16m */
+  { /* 16 */
+    0,
+    /*  */
   },
-  { /* 348 */
-    77,
-    /* CALL16r */
+  { /* 17 */
+    0,
+    /*  */
   },
-  { /* 349 */
-    38,
-    /* CALL32m */
+  { /* 18 */
+    0,
+    /*  */
   },
-  { /* 350 */
-    77,
-    /* CALL32r */
+  { /* 19 */
+    0,
+    /*  */
   },
-  { /* 351 */
-    38,
-    /* CALL64m */
+  { /* 20 */
+    0,
+    /*  */
   },
-  { /* 352 */
-    78,
-    /* CALL64pcrel32 */
+  { /* 21 */
+    0,
+    /*  */
   },
-  { /* 353 */
-    79,
-    /* CALL64r */
+  { /* 22 */
+    0,
+    /* AAA */
   },
-  { /* 354 */
-    80,
-    /* CALLpcrel16 */
+  { /* 23 */
+    1,
+    /* AAD8i8 */
   },
-  { /* 355 */
-    81,
-    /* CALLpcrel32 */
+  { /* 24 */
+    1,
+    /* AAM8i8 */
   },
-  { /* 356 */
+  { /* 25 */
     0,
-    /* CBW */
+    /* AAS */
   },
-  { /* 357 */
+  { /* 26 */
     0,
-    /* CDQ */
+    /* ABS_F */
   },
-  { /* 358 */
+  { /* 27 */
     0,
-    /* CDQE */
+    /*  */
   },
-  { /* 359 */
+  { /* 28 */
     0,
-    /* CHS_F */
+    /*  */
   },
-  { /* 360 */
+  { /* 29 */
     0,
     /*  */
   },
-  { /* 361 */
+  { /* 30 */
     0,
     /*  */
   },
-  { /* 362 */
+  { /* 31 */
     0,
     /*  */
   },
-  { /* 363 */
+  { /* 32 */
     0,
-    /* CLAC */
+    /*  */
   },
-  { /* 364 */
+  { /* 33 */
     0,
-    /* CLC */
+    /*  */
   },
-  { /* 365 */
-    0,
-    /* CLD */
+  { /* 34 */
+    2,
+    /* ADC16i16 */
   },
-  { /* 366 */
-    82,
-    /* CLFLUSH */
+  { /* 35 */
+    3,
+    /* ADC16mi */
   },
-  { /* 367 */
-    0,
-    /* CLGI */
+  { /* 36 */
+    4,
+    /* ADC16mi8 */
   },
-  { /* 368 */
-    0,
-    /* CLI */
+  { /* 37 */
+    5,
+    /* ADC16mr */
   },
-  { /* 369 */
-    0,
-    /* CLTS */
+  { /* 38 */
+    6,
+    /* ADC16ri */
   },
-  { /* 370 */
-    0,
-    /* CMC */
+  { /* 39 */
+    7,
+    /* ADC16ri8 */
   },
-  { /* 371 */
+  { /* 40 */
     8,
-    /* CMOVA16rm */
+    /* ADC16rm */
   },
-  { /* 372 */
+  { /* 41 */
+    9,
+    /* ADC16rr */
+  },
+  { /* 42 */
     10,
-    /* CMOVA16rr */
+    /* ADC16rr_REV */
   },
-  { /* 373 */
-    8,
-    /* CMOVA32rm */
+  { /* 43 */
+    2,
+    /* ADC32i32 */
   },
-  { /* 374 */
-    10,
-    /* CMOVA32rr */
+  { /* 44 */
+    3,
+    /* ADC32mi */
   },
-  { /* 375 */
-    19,
-    /* CMOVA64rm */
+  { /* 45 */
+    11,
+    /* ADC32mi8 */
   },
-  { /* 376 */
-    21,
-    /* CMOVA64rr */
+  { /* 46 */
+    5,
+    /* ADC32mr */
   },
-  { /* 377 */
-    8,
-    /* CMOVAE16rm */
+  { /* 47 */
+    6,
+    /* ADC32ri */
   },
-  { /* 378 */
-    10,
-    /* CMOVAE16rr */
+  { /* 48 */
+    12,
+    /* ADC32ri8 */
   },
-  { /* 379 */
+  { /* 49 */
     8,
-    /* CMOVAE32rm */
+    /* ADC32rm */
   },
-  { /* 380 */
+  { /* 50 */
+    9,
+    /* ADC32rr */
+  },
+  { /* 51 */
     10,
-    /* CMOVAE32rr */
+    /* ADC32rr_REV */
   },
-  { /* 381 */
-    19,
-    /* CMOVAE64rm */
+  { /* 52 */
+    13,
+    /* ADC64i32 */
   },
-  { /* 382 */
-    21,
-    /* CMOVAE64rr */
+  { /* 53 */
+    14,
+    /* ADC64mi32 */
   },
-  { /* 383 */
-    8,
-    /* CMOVB16rm */
+  { /* 54 */
+    15,
+    /* ADC64mi8 */
   },
-  { /* 384 */
-    10,
-    /* CMOVB16rr */
+  { /* 55 */
+    16,
+    /* ADC64mr */
   },
-  { /* 385 */
-    8,
-    /* CMOVB32rm */
+  { /* 56 */
+    17,
+    /* ADC64ri32 */
   },
-  { /* 386 */
-    10,
-    /* CMOVB32rr */
+  { /* 57 */
+    18,
+    /* ADC64ri8 */
   },
-  { /* 387 */
+  { /* 58 */
     19,
-    /* CMOVB64rm */
+    /* ADC64rm */
   },
-  { /* 388 */
+  { /* 59 */
+    20,
+    /* ADC64rr */
+  },
+  { /* 60 */
     21,
-    /* CMOVB64rr */
+    /* ADC64rr_REV */
   },
-  { /* 389 */
-    8,
-    /* CMOVBE16rm */
+  { /* 61 */
+    1,
+    /* ADC8i8 */
   },
-  { /* 390 */
-    10,
-    /* CMOVBE16rr */
+  { /* 62 */
+    22,
+    /* ADC8mi */
   },
-  { /* 391 */
-    8,
-    /* CMOVBE32rm */
+  { /* 63 */
+    22,
+    /* ADC8mi8 */
   },
-  { /* 392 */
-    10,
-    /* CMOVBE32rr */
+  { /* 64 */
+    23,
+    /* ADC8mr */
   },
-  { /* 393 */
+  { /* 65 */
+    24,
+    /* ADC8ri */
+  },
+  { /* 66 */
+    24,
+    /* ADC8ri8 */
+  },
+  { /* 67 */
+    25,
+    /* ADC8rm */
+  },
+  { /* 68 */
+    26,
+    /* ADC8rr */
+  },
+  { /* 69 */
+    27,
+    /* ADC8rr_REV */
+  },
+  { /* 70 */
+    28,
+    /* ADCX32rm */
+  },
+  { /* 71 */
+    29,
+    /* ADCX32rr */
+  },
+  { /* 72 */
     19,
-    /* CMOVBE64rm */
+    /* ADCX64rm */
   },
-  { /* 394 */
+  { /* 73 */
     21,
-    /* CMOVBE64rr */
+    /* ADCX64rr */
   },
-  { /* 395 */
-    39,
-    /* CMOVBE_F */
+  { /* 74 */
+    2,
+    /* ADD16i16 */
   },
-  { /* 396 */
-    0,
-    /*  */
+  { /* 75 */
+    3,
+    /* ADD16mi */
   },
-  { /* 397 */
-    0,
-    /*  */
+  { /* 76 */
+    4,
+    /* ADD16mi8 */
   },
-  { /* 398 */
-    0,
-    /*  */
+  { /* 77 */
+    5,
+    /* ADD16mr */
   },
-  { /* 399 */
-    39,
-    /* CMOVB_F */
+  { /* 78 */
+    6,
+    /* ADD16ri */
   },
-  { /* 400 */
-    0,
-    /*  */
+  { /* 79 */
+    7,
+    /* ADD16ri8 */
   },
-  { /* 401 */
+  { /* 80 */
     0,
     /*  */
   },
-  { /* 402 */
+  { /* 81 */
     0,
     /*  */
   },
-  { /* 403 */
+  { /* 82 */
     8,
-    /* CMOVE16rm */
+    /* ADD16rm */
   },
-  { /* 404 */
-    10,
-    /* CMOVE16rr */
+  { /* 83 */
+    9,
+    /* ADD16rr */
   },
-  { /* 405 */
-    8,
-    /* CMOVE32rm */
+  { /* 84 */
+    0,
+    /*  */
   },
-  { /* 406 */
+  { /* 85 */
     10,
-    /* CMOVE32rr */
+    /* ADD16rr_REV */
   },
-  { /* 407 */
-    19,
-    /* CMOVE64rm */
+  { /* 86 */
+    2,
+    /* ADD32i32 */
   },
-  { /* 408 */
-    21,
-    /* CMOVE64rr */
+  { /* 87 */
+    3,
+    /* ADD32mi */
   },
-  { /* 409 */
-    39,
-    /* CMOVE_F */
+  { /* 88 */
+    11,
+    /* ADD32mi8 */
   },
-  { /* 410 */
-    0,
-    /*  */
+  { /* 89 */
+    5,
+    /* ADD32mr */
   },
-  { /* 411 */
+  { /* 90 */
+    6,
+    /* ADD32ri */
+  },
+  { /* 91 */
+    12,
+    /* ADD32ri8 */
+  },
+  { /* 92 */
     0,
     /*  */
   },
-  { /* 412 */
+  { /* 93 */
     0,
     /*  */
   },
-  { /* 413 */
+  { /* 94 */
     8,
-    /* CMOVG16rm */
+    /* ADD32rm */
   },
-  { /* 414 */
-    10,
-    /* CMOVG16rr */
+  { /* 95 */
+    9,
+    /* ADD32rr */
   },
-  { /* 415 */
-    8,
-    /* CMOVG32rm */
+  { /* 96 */
+    0,
+    /*  */
   },
-  { /* 416 */
+  { /* 97 */
     10,
-    /* CMOVG32rr */
+    /* ADD32rr_REV */
   },
-  { /* 417 */
-    19,
-    /* CMOVG64rm */
+  { /* 98 */
+    13,
+    /* ADD64i32 */
   },
-  { /* 418 */
-    21,
-    /* CMOVG64rr */
+  { /* 99 */
+    14,
+    /* ADD64mi32 */
   },
-  { /* 419 */
-    8,
-    /* CMOVGE16rm */
+  { /* 100 */
+    15,
+    /* ADD64mi8 */
   },
-  { /* 420 */
-    10,
-    /* CMOVGE16rr */
+  { /* 101 */
+    16,
+    /* ADD64mr */
   },
-  { /* 421 */
-    8,
-    /* CMOVGE32rm */
+  { /* 102 */
+    17,
+    /* ADD64ri32 */
   },
-  { /* 422 */
-    10,
-    /* CMOVGE32rr */
+  { /* 103 */
+    0,
+    /*  */
   },
-  { /* 423 */
+  { /* 104 */
+    18,
+    /* ADD64ri8 */
+  },
+  { /* 105 */
+    0,
+    /*  */
+  },
+  { /* 106 */
     19,
-    /* CMOVGE64rm */
+    /* ADD64rm */
   },
-  { /* 424 */
+  { /* 107 */
+    20,
+    /* ADD64rr */
+  },
+  { /* 108 */
+    0,
+    /*  */
+  },
+  { /* 109 */
     21,
-    /* CMOVGE64rr */
+    /* ADD64rr_REV */
   },
-  { /* 425 */
-    8,
-    /* CMOVL16rm */
+  { /* 110 */
+    1,
+    /* ADD8i8 */
   },
-  { /* 426 */
-    10,
-    /* CMOVL16rr */
+  { /* 111 */
+    22,
+    /* ADD8mi */
   },
-  { /* 427 */
-    8,
-    /* CMOVL32rm */
+  { /* 112 */
+    22,
+    /* ADD8mi8 */
   },
-  { /* 428 */
-    10,
-    /* CMOVL32rr */
+  { /* 113 */
+    23,
+    /* ADD8mr */
   },
-  { /* 429 */
-    19,
-    /* CMOVL64rm */
+  { /* 114 */
+    24,
+    /* ADD8ri */
   },
-  { /* 430 */
-    21,
-    /* CMOVL64rr */
+  { /* 115 */
+    24,
+    /* ADD8ri8 */
   },
-  { /* 431 */
-    8,
-    /* CMOVLE16rm */
+  { /* 116 */
+    25,
+    /* ADD8rm */
   },
-  { /* 432 */
-    10,
-    /* CMOVLE16rr */
+  { /* 117 */
+    26,
+    /* ADD8rr */
   },
-  { /* 433 */
-    8,
-    /* CMOVLE32rm */
+  { /* 118 */
+    27,
+    /* ADD8rr_REV */
   },
-  { /* 434 */
-    10,
-    /* CMOVLE32rr */
+  { /* 119 */
+    30,
+    /* ADDPDrm */
   },
-  { /* 435 */
-    19,
-    /* CMOVLE64rm */
+  { /* 120 */
+    31,
+    /* ADDPDrr */
   },
-  { /* 436 */
-    21,
-    /* CMOVLE64rr */
+  { /* 121 */
+    30,
+    /* ADDPSrm */
   },
-  { /* 437 */
-    39,
-    /* CMOVNBE_F */
+  { /* 122 */
+    31,
+    /* ADDPSrr */
   },
-  { /* 438 */
-    0,
-    /*  */
+  { /* 123 */
+    32,
+    /* ADDSDrm */
   },
-  { /* 439 */
+  { /* 124 */
     0,
     /*  */
   },
-  { /* 440 */
+  { /* 125 */
+    33,
+    /* ADDSDrr */
+  },
+  { /* 126 */
     0,
     /*  */
   },
-  { /* 441 */
-    39,
-    /* CMOVNB_F */
+  { /* 127 */
+    34,
+    /* ADDSSrm */
   },
-  { /* 442 */
+  { /* 128 */
     0,
     /*  */
   },
-  { /* 443 */
-    0,
-    /*  */
+  { /* 129 */
+    35,
+    /* ADDSSrr */
   },
-  { /* 444 */
+  { /* 130 */
     0,
     /*  */
   },
-  { /* 445 */
-    8,
-    /* CMOVNE16rm */
+  { /* 131 */
+    30,
+    /* ADDSUBPDrm */
   },
-  { /* 446 */
-    10,
-    /* CMOVNE16rr */
+  { /* 132 */
+    31,
+    /* ADDSUBPDrr */
   },
-  { /* 447 */
-    8,
-    /* CMOVNE32rm */
+  { /* 133 */
+    30,
+    /* ADDSUBPSrm */
   },
-  { /* 448 */
-    10,
-    /* CMOVNE32rr */
+  { /* 134 */
+    31,
+    /* ADDSUBPSrr */
   },
-  { /* 449 */
-    19,
-    /* CMOVNE64rm */
+  { /* 135 */
+    36,
+    /* ADD_F32m */
   },
-  { /* 450 */
-    21,
-    /* CMOVNE64rr */
+  { /* 136 */
+    37,
+    /* ADD_F64m */
   },
-  { /* 451 */
+  { /* 137 */
+    38,
+    /* ADD_FI16m */
+  },
+  { /* 138 */
+    38,
+    /* ADD_FI32m */
+  },
+  { /* 139 */
     39,
-    /* CMOVNE_F */
+    /* ADD_FPrST0 */
   },
-  { /* 452 */
+  { /* 140 */
+    39,
+    /* ADD_FST0r */
+  },
+  { /* 141 */
     0,
     /*  */
   },
-  { /* 453 */
+  { /* 142 */
     0,
     /*  */
   },
-  { /* 454 */
+  { /* 143 */
     0,
     /*  */
   },
-  { /* 455 */
-    8,
-    /* CMOVNO16rm */
-  },
-  { /* 456 */
-    10,
-    /* CMOVNO16rr */
-  },
-  { /* 457 */
-    8,
-    /* CMOVNO32rm */
-  },
-  { /* 458 */
-    10,
-    /* CMOVNO32rr */
-  },
-  { /* 459 */
-    19,
-    /* CMOVNO64rm */
-  },
-  { /* 460 */
-    21,
-    /* CMOVNO64rr */
-  },
-  { /* 461 */
-    8,
-    /* CMOVNP16rm */
-  },
-  { /* 462 */
-    10,
-    /* CMOVNP16rr */
-  },
-  { /* 463 */
-    8,
-    /* CMOVNP32rm */
-  },
-  { /* 464 */
-    10,
-    /* CMOVNP32rr */
-  },
-  { /* 465 */
-    19,
-    /* CMOVNP64rm */
-  },
-  { /* 466 */
-    21,
-    /* CMOVNP64rr */
-  },
-  { /* 467 */
-    39,
-    /* CMOVNP_F */
-  },
-  { /* 468 */
+  { /* 144 */
     0,
     /*  */
   },
-  { /* 469 */
+  { /* 145 */
     0,
     /*  */
   },
-  { /* 470 */
+  { /* 146 */
     0,
     /*  */
   },
-  { /* 471 */
-    8,
-    /* CMOVNS16rm */
-  },
-  { /* 472 */
-    10,
-    /* CMOVNS16rr */
-  },
-  { /* 473 */
-    8,
-    /* CMOVNS32rm */
-  },
-  { /* 474 */
-    10,
-    /* CMOVNS32rr */
-  },
-  { /* 475 */
-    19,
-    /* CMOVNS64rm */
-  },
-  { /* 476 */
-    21,
-    /* CMOVNS64rr */
-  },
-  { /* 477 */
-    8,
-    /* CMOVO16rm */
-  },
-  { /* 478 */
-    10,
-    /* CMOVO16rr */
-  },
-  { /* 479 */
-    8,
-    /* CMOVO32rm */
-  },
-  { /* 480 */
-    10,
-    /* CMOVO32rr */
-  },
-  { /* 481 */
-    19,
-    /* CMOVO64rm */
-  },
-  { /* 482 */
-    21,
-    /* CMOVO64rr */
-  },
-  { /* 483 */
-    8,
-    /* CMOVP16rm */
-  },
-  { /* 484 */
-    10,
-    /* CMOVP16rr */
-  },
-  { /* 485 */
-    8,
-    /* CMOVP32rm */
-  },
-  { /* 486 */
-    10,
-    /* CMOVP32rr */
-  },
-  { /* 487 */
-    19,
-    /* CMOVP64rm */
-  },
-  { /* 488 */
-    21,
-    /* CMOVP64rr */
-  },
-  { /* 489 */
-    39,
-    /* CMOVP_F */
-  },
-  { /* 490 */
+  { /* 147 */
     0,
     /*  */
   },
-  { /* 491 */
+  { /* 148 */
     0,
     /*  */
   },
-  { /* 492 */
+  { /* 149 */
     0,
     /*  */
   },
-  { /* 493 */
-    8,
-    /* CMOVS16rm */
-  },
-  { /* 494 */
-    10,
-    /* CMOVS16rr */
-  },
-  { /* 495 */
-    8,
-    /* CMOVS32rm */
-  },
-  { /* 496 */
-    10,
-    /* CMOVS32rr */
-  },
-  { /* 497 */
-    19,
-    /* CMOVS64rm */
-  },
-  { /* 498 */
-    21,
-    /* CMOVS64rr */
-  },
-  { /* 499 */
+  { /* 150 */
     0,
     /*  */
   },
-  { /* 500 */
+  { /* 151 */
     0,
     /*  */
   },
-  { /* 501 */
+  { /* 152 */
     0,
     /*  */
   },
-  { /* 502 */
+  { /* 153 */
     0,
     /*  */
   },
-  { /* 503 */
+  { /* 154 */
     0,
     /*  */
   },
-  { /* 504 */
-    0,
-    /*  */
+  { /* 155 */
+    39,
+    /* ADD_FrST0 */
   },
-  { /* 505 */
+  { /* 156 */
     0,
     /*  */
   },
-  { /* 506 */
+  { /* 157 */
     0,
     /*  */
   },
-  { /* 507 */
+  { /* 158 */
     0,
     /*  */
   },
-  { /* 508 */
+  { /* 159 */
     0,
     /*  */
   },
-  { /* 509 */
-    0,
-    /*  */
+  { /* 160 */
+    40,
+    /* ADOX32rm */
   },
-  { /* 510 */
-    0,
-    /*  */
+  { /* 161 */
+    41,
+    /* ADOX32rr */
   },
-  { /* 511 */
-    0,
-    /*  */
+  { /* 162 */
+    42,
+    /* ADOX64rm */
   },
-  { /* 512 */
-    0,
-    /*  */
+  { /* 163 */
+    43,
+    /* ADOX64rr */
   },
-  { /* 513 */
-    0,
-    /*  */
+  { /* 164 */
+    30,
+    /* AESDECLASTrm */
   },
-  { /* 514 */
-    0,
-    /*  */
+  { /* 165 */
+    31,
+    /* AESDECLASTrr */
   },
-  { /* 515 */
-    0,
-    /*  */
+  { /* 166 */
+    30,
+    /* AESDECrm */
   },
-  { /* 516 */
+  { /* 167 */
+    31,
+    /* AESDECrr */
+  },
+  { /* 168 */
+    30,
+    /* AESENCLASTrm */
+  },
+  { /* 169 */
+    31,
+    /* AESENCLASTrr */
+  },
+  { /* 170 */
+    30,
+    /* AESENCrm */
+  },
+  { /* 171 */
+    31,
+    /* AESENCrr */
+  },
+  { /* 172 */
+    44,
+    /* AESIMCrm */
+  },
+  { /* 173 */
+    45,
+    /* AESIMCrr */
+  },
+  { /* 174 */
+    46,
+    /* AESKEYGENASSIST128rm */
+  },
+  { /* 175 */
+    47,
+    /* AESKEYGENASSIST128rr */
+  },
+  { /* 176 */
     2,
-    /* CMP16i16 */
+    /* AND16i16 */
   },
-  { /* 517 */
+  { /* 177 */
     3,
-    /* CMP16mi */
+    /* AND16mi */
   },
-  { /* 518 */
+  { /* 178 */
     4,
-    /* CMP16mi8 */
+    /* AND16mi8 */
   },
-  { /* 519 */
+  { /* 179 */
     5,
-    /* CMP16mr */
+    /* AND16mr */
   },
-  { /* 520 */
-    83,
-    /* CMP16ri */
+  { /* 180 */
+    6,
+    /* AND16ri */
   },
-  { /* 521 */
-    72,
-    /* CMP16ri8 */
+  { /* 181 */
+    7,
+    /* AND16ri8 */
   },
-  { /* 522 */
-    68,
-    /* CMP16rm */
+  { /* 182 */
+    8,
+    /* AND16rm */
   },
-  { /* 523 */
-    73,
-    /* CMP16rr */
+  { /* 183 */
+    9,
+    /* AND16rr */
   },
-  { /* 524 */
-    69,
-    /* CMP16rr_REV */
+  { /* 184 */
+    10,
+    /* AND16rr_REV */
   },
-  { /* 525 */
+  { /* 185 */
     2,
-    /* CMP32i32 */
+    /* AND32i32 */
   },
-  { /* 526 */
+  { /* 186 */
     3,
-    /* CMP32mi */
+    /* AND32mi */
   },
-  { /* 527 */
+  { /* 187 */
     11,
-    /* CMP32mi8 */
+    /* AND32mi8 */
   },
-  { /* 528 */
+  { /* 188 */
     5,
-    /* CMP32mr */
+    /* AND32mr */
   },
-  { /* 529 */
-    83,
-    /* CMP32ri */
+  { /* 189 */
+    6,
+    /* AND32ri */
   },
-  { /* 530 */
-    74,
-    /* CMP32ri8 */
+  { /* 190 */
+    12,
+    /* AND32ri8 */
   },
-  { /* 531 */
-    68,
-    /* CMP32rm */
+  { /* 191 */
+    8,
+    /* AND32rm */
   },
-  { /* 532 */
-    73,
-    /* CMP32rr */
+  { /* 192 */
+    9,
+    /* AND32rr */
   },
-  { /* 533 */
-    69,
-    /* CMP32rr_REV */
+  { /* 193 */
+    10,
+    /* AND32rr_REV */
   },
-  { /* 534 */
+  { /* 194 */
     13,
-    /* CMP64i32 */
+    /* AND64i32 */
   },
-  { /* 535 */
+  { /* 195 */
     14,
-    /* CMP64mi32 */
+    /* AND64mi32 */
   },
-  { /* 536 */
+  { /* 196 */
     15,
-    /* CMP64mi8 */
+    /* AND64mi8 */
   },
-  { /* 537 */
+  { /* 197 */
     16,
-    /* CMP64mr */
+    /* AND64mr */
   },
-  { /* 538 */
-    84,
-    /* CMP64ri32 */
+  { /* 198 */
+    17,
+    /* AND64ri32 */
   },
-  { /* 539 */
-    75,
-    /* CMP64ri8 */
+  { /* 199 */
+    18,
+    /* AND64ri8 */
   },
-  { /* 540 */
-    42,
-    /* CMP64rm */
+  { /* 200 */
+    19,
+    /* AND64rm */
   },
-  { /* 541 */
-    76,
-    /* CMP64rr */
+  { /* 201 */
+    20,
+    /* AND64rr */
   },
-  { /* 542 */
-    43,
-    /* CMP64rr_REV */
+  { /* 202 */
+    21,
+    /* AND64rr_REV */
   },
-  { /* 543 */
+  { /* 203 */
     1,
-    /* CMP8i8 */
+    /* AND8i8 */
   },
-  { /* 544 */
+  { /* 204 */
     22,
-    /* CMP8mi */
+    /* AND8mi */
   },
-  { /* 545 */
-    23,
-    /* CMP8mr */
+  { /* 205 */
+    22,
+    /* AND8mi8 */
   },
-  { /* 546 */
-    85,
-    /* CMP8ri */
+  { /* 206 */
+    23,
+    /* AND8mr */
   },
-  { /* 547 */
-    86,
-    /* CMP8rm */
+  { /* 207 */
+    24,
+    /* AND8ri */
   },
-  { /* 548 */
-    87,
-    /* CMP8rr */
+  { /* 208 */
+    24,
+    /* AND8ri8 */
   },
-  { /* 549 */
-    88,
-    /* CMP8rr_REV */
+  { /* 209 */
+    25,
+    /* AND8rm */
   },
-  { /* 550 */
-    89,
-    /* CMPPDrmi */
+  { /* 210 */
+    26,
+    /* AND8rr */
   },
-  { /* 551 */
-    0,
-    /*  */
+  { /* 211 */
+    27,
+    /* AND8rr_REV */
   },
-  { /* 552 */
-    90,
-    /* CMPPDrri */
+  { /* 212 */
+    48,
+    /* ANDN32rm */
   },
-  { /* 553 */
-    0,
-    /*  */
+  { /* 213 */
+    49,
+    /* ANDN32rr */
   },
-  { /* 554 */
-    89,
-    /* CMPPSrmi */
+  { /* 214 */
+    50,
+    /* ANDN64rm */
   },
-  { /* 555 */
-    0,
-    /*  */
+  { /* 215 */
+    51,
+    /* ANDN64rr */
   },
-  { /* 556 */
-    90,
-    /* CMPPSrri */
+  { /* 216 */
+    30,
+    /* ANDNPDrm */
   },
-  { /* 557 */
-    0,
-    /*  */
+  { /* 217 */
+    31,
+    /* ANDNPDrr */
   },
-  { /* 558 */
-    91,
-    /* CMPSB */
+  { /* 218 */
+    30,
+    /* ANDNPSrm */
   },
-  { /* 559 */
-    92,
-    /* CMPSDrm */
+  { /* 219 */
+    31,
+    /* ANDNPSrr */
   },
-  { /* 560 */
-    0,
-    /*  */
+  { /* 220 */
+    30,
+    /* ANDPDrm */
   },
-  { /* 561 */
-    93,
-    /* CMPSDrr */
+  { /* 221 */
+    31,
+    /* ANDPDrr */
   },
-  { /* 562 */
-    0,
-    /*  */
+  { /* 222 */
+    30,
+    /* ANDPSrm */
   },
-  { /* 563 */
-    94,
-    /* CMPSL */
+  { /* 223 */
+    31,
+    /* ANDPSrr */
   },
-  { /* 564 */
-    95,
-    /* CMPSQ */
+  { /* 224 */
+    52,
+    /* ARPL16mr */
   },
-  { /* 565 */
-    96,
-    /* CMPSSrm */
+  { /* 225 */
+    53,
+    /* ARPL16rr */
   },
-  { /* 566 */
+  { /* 226 */
     0,
     /*  */
   },
-  { /* 567 */
-    97,
-    /* CMPSSrr */
-  },
-  { /* 568 */
+  { /* 227 */
     0,
     /*  */
   },
-  { /* 569 */
-    98,
-    /* CMPSW */
+  { /* 228 */
+    0,
+    /*  */
   },
-  { /* 570 */
-    99,
-    /* CMPXCHG16B */
+  { /* 229 */
+    54,
+    /* BEXTR32rm */
   },
-  { /* 571 */
-    5,
-    /* CMPXCHG16rm */
+  { /* 230 */
+    55,
+    /* BEXTR32rr */
   },
-  { /* 572 */
-    73,
-    /* CMPXCHG16rr */
+  { /* 231 */
+    56,
+    /* BEXTR64rm */
   },
-  { /* 573 */
-    5,
-    /* CMPXCHG32rm */
+  { /* 232 */
+    57,
+    /* BEXTR64rr */
   },
-  { /* 574 */
-    73,
-    /* CMPXCHG32rr */
+  { /* 233 */
+    58,
+    /* BEXTRI32mi */
   },
-  { /* 575 */
-    16,
-    /* CMPXCHG64rm */
+  { /* 234 */
+    59,
+    /* BEXTRI32ri */
   },
-  { /* 576 */
-    76,
-    /* CMPXCHG64rr */
+  { /* 235 */
+    60,
+    /* BEXTRI64mi */
   },
-  { /* 577 */
-    38,
-    /* CMPXCHG8B */
+  { /* 236 */
+    61,
+    /* BEXTRI64ri */
   },
-  { /* 578 */
-    23,
-    /* CMPXCHG8rm */
+  { /* 237 */
+    62,
+    /* BLCFILL32rm */
   },
-  { /* 579 */
-    87,
-    /* CMPXCHG8rr */
+  { /* 238 */
+    63,
+    /* BLCFILL32rr */
   },
-  { /* 580 */
-    44,
-    /* COMISDrm */
+  { /* 239 */
+    64,
+    /* BLCFILL64rm */
   },
-  { /* 581 */
-    45,
-    /* COMISDrr */
+  { /* 240 */
+    65,
+    /* BLCFILL64rr */
   },
-  { /* 582 */
-    44,
-    /* COMISSrm */
+  { /* 241 */
+    62,
+    /* BLCI32rm */
   },
-  { /* 583 */
-    45,
-    /* COMISSrr */
+  { /* 242 */
+    63,
+    /* BLCI32rr */
   },
-  { /* 584 */
-    39,
-    /* COMP_FST0r */
+  { /* 243 */
+    64,
+    /* BLCI64rm */
   },
-  { /* 585 */
-    39,
-    /* COM_FIPr */
+  { /* 244 */
+    65,
+    /* BLCI64rr */
   },
-  { /* 586 */
-    39,
-    /* COM_FIr */
+  { /* 245 */
+    62,
+    /* BLCIC32rm */
   },
-  { /* 587 */
-    39,
-    /* COM_FST0r */
+  { /* 246 */
+    63,
+    /* BLCIC32rr */
   },
-  { /* 588 */
-    0,
-    /* COS_F */
+  { /* 247 */
+    64,
+    /* BLCIC64rm */
   },
-  { /* 589 */
-    0,
-    /*  */
+  { /* 248 */
+    65,
+    /* BLCIC64rr */
   },
-  { /* 590 */
-    0,
-    /*  */
+  { /* 249 */
+    62,
+    /* BLCMSK32rm */
   },
-  { /* 591 */
-    0,
-    /*  */
+  { /* 250 */
+    63,
+    /* BLCMSK32rr */
   },
-  { /* 592 */
-    0,
-    /* CPUID32 */
+  { /* 251 */
+    64,
+    /* BLCMSK64rm */
   },
-  { /* 593 */
-    0,
-    /* CPUID64 */
+  { /* 252 */
+    65,
+    /* BLCMSK64rr */
   },
-  { /* 594 */
-    0,
-    /* CQO */
+  { /* 253 */
+    62,
+    /* BLCS32rm */
   },
-  { /* 595 */
-    28,
-    /* CRC32r32m16 */
+  { /* 254 */
+    63,
+    /* BLCS32rr */
   },
-  { /* 596 */
-    8,
-    /* CRC32r32m32 */
+  { /* 255 */
+    64,
+    /* BLCS64rm */
   },
-  { /* 597 */
-    100,
-    /* CRC32r32m8 */
+  { /* 256 */
+    65,
+    /* BLCS64rr */
   },
-  { /* 598 */
-    101,
-    /* CRC32r32r16 */
+  { /* 257 */
+    66,
+    /* BLENDPDrmi */
   },
-  { /* 599 */
-    10,
-    /* CRC32r32r32 */
+  { /* 258 */
+    67,
+    /* BLENDPDrri */
   },
-  { /* 600 */
-    102,
-    /* CRC32r32r8 */
+  { /* 259 */
+    66,
+    /* BLENDPSrmi */
   },
-  { /* 601 */
-    19,
-    /* CRC32r64m64 */
+  { /* 260 */
+    67,
+    /* BLENDPSrri */
   },
-  { /* 602 */
-    103,
-    /* CRC32r64m8 */
+  { /* 261 */
+    30,
+    /* BLENDVPDrm0 */
   },
-  { /* 603 */
-    21,
-    /* CRC32r64r64 */
+  { /* 262 */
+    31,
+    /* BLENDVPDrr0 */
   },
-  { /* 604 */
-    104,
-    /* CRC32r64r8 */
+  { /* 263 */
+    30,
+    /* BLENDVPSrm0 */
   },
-  { /* 605 */
-    105,
-    /* CVTDQ2PDrm */
+  { /* 264 */
+    31,
+    /* BLENDVPSrr0 */
   },
-  { /* 606 */
-    45,
-    /* CVTDQ2PDrr */
+  { /* 265 */
+    62,
+    /* BLSFILL32rm */
   },
-  { /* 607 */
-    44,
-    /* CVTDQ2PSrm */
+  { /* 266 */
+    63,
+    /* BLSFILL32rr */
   },
-  { /* 608 */
-    45,
-    /* CVTDQ2PSrr */
+  { /* 267 */
+    64,
+    /* BLSFILL64rm */
   },
-  { /* 609 */
-    44,
-    /* CVTPD2DQrm */
+  { /* 268 */
+    65,
+    /* BLSFILL64rr */
   },
-  { /* 610 */
-    45,
-    /* CVTPD2DQrr */
+  { /* 269 */
+    62,
+    /* BLSI32rm */
   },
-  { /* 611 */
-    44,
-    /* CVTPD2PSrm */
+  { /* 270 */
+    63,
+    /* BLSI32rr */
   },
-  { /* 612 */
-    45,
-    /* CVTPD2PSrr */
+  { /* 271 */
+    64,
+    /* BLSI64rm */
   },
-  { /* 613 */
-    44,
-    /* CVTPS2DQrm */
+  { /* 272 */
+    65,
+    /* BLSI64rr */
   },
-  { /* 614 */
-    45,
-    /* CVTPS2DQrr */
+  { /* 273 */
+    62,
+    /* BLSIC32rm */
   },
-  { /* 615 */
-    106,
-    /* CVTPS2PDrm */
+  { /* 274 */
+    63,
+    /* BLSIC32rr */
   },
-  { /* 616 */
-    45,
-    /* CVTPS2PDrr */
+  { /* 275 */
+    64,
+    /* BLSIC64rm */
   },
-  { /* 617 */
-    107,
-    /* CVTSD2SI64rm */
+  { /* 276 */
+    65,
+    /* BLSIC64rr */
   },
-  { /* 618 */
-    108,
-    /* CVTSD2SI64rr */
+  { /* 277 */
+    62,
+    /* BLSMSK32rm */
   },
-  { /* 619 */
-    109,
-    /* CVTSD2SIrm */
+  { /* 278 */
+    63,
+    /* BLSMSK32rr */
   },
-  { /* 620 */
-    110,
-    /* CVTSD2SIrr */
+  { /* 279 */
+    64,
+    /* BLSMSK64rm */
   },
-  { /* 621 */
-    111,
-    /* CVTSD2SSrm */
+  { /* 280 */
+    65,
+    /* BLSMSK64rr */
   },
-  { /* 622 */
-    112,
-    /* CVTSD2SSrr */
+  { /* 281 */
+    62,
+    /* BLSR32rm */
   },
-  { /* 623 */
-    113,
-    /* CVTSI2SD64rm */
+  { /* 282 */
+    63,
+    /* BLSR32rr */
   },
-  { /* 624 */
-    114,
-    /* CVTSI2SD64rr */
+  { /* 283 */
+    64,
+    /* BLSR64rm */
   },
-  { /* 625 */
-    113,
-    /* CVTSI2SDrm */
+  { /* 284 */
+    65,
+    /* BLSR64rr */
   },
-  { /* 626 */
-    115,
-    /* CVTSI2SDrr */
+  { /* 285 */
+    68,
+    /* BOUNDS16rm */
   },
-  { /* 627 */
-    116,
-    /* CVTSI2SS64rm */
+  { /* 286 */
+    68,
+    /* BOUNDS32rm */
   },
-  { /* 628 */
-    117,
-    /* CVTSI2SS64rr */
+  { /* 287 */
+    68,
+    /* BSF16rm */
   },
-  { /* 629 */
-    116,
-    /* CVTSI2SSrm */
+  { /* 288 */
+    69,
+    /* BSF16rr */
   },
-  { /* 630 */
-    118,
-    /* CVTSI2SSrr */
+  { /* 289 */
+    68,
+    /* BSF32rm */
   },
-  { /* 631 */
-    119,
-    /* CVTSS2SDrm */
+  { /* 290 */
+    69,
+    /* BSF32rr */
   },
-  { /* 632 */
-    120,
-    /* CVTSS2SDrr */
+  { /* 291 */
+    42,
+    /* BSF64rm */
   },
-  { /* 633 */
-    121,
-    /* CVTSS2SI64rm */
+  { /* 292 */
+    43,
+    /* BSF64rr */
   },
-  { /* 634 */
-    108,
-    /* CVTSS2SI64rr */
+  { /* 293 */
+    68,
+    /* BSR16rm */
   },
-  { /* 635 */
-    122,
-    /* CVTSS2SIrm */
+  { /* 294 */
+    69,
+    /* BSR16rr */
   },
-  { /* 636 */
-    110,
-    /* CVTSS2SIrr */
+  { /* 295 */
+    68,
+    /* BSR32rm */
   },
-  { /* 637 */
-    44,
-    /* CVTTPD2DQrm */
+  { /* 296 */
+    69,
+    /* BSR32rr */
   },
-  { /* 638 */
-    45,
-    /* CVTTPD2DQrr */
+  { /* 297 */
+    42,
+    /* BSR64rm */
   },
-  { /* 639 */
-    44,
-    /* CVTTPS2DQrm */
+  { /* 298 */
+    43,
+    /* BSR64rr */
   },
-  { /* 640 */
-    45,
-    /* CVTTPS2DQrr */
+  { /* 299 */
+    70,
+    /* BSWAP32r */
   },
-  { /* 641 */
-    107,
-    /* CVTTSD2SI64rm */
+  { /* 300 */
+    71,
+    /* BSWAP64r */
   },
-  { /* 642 */
-    123,
-    /* CVTTSD2SI64rr */
+  { /* 301 */
+    4,
+    /* BT16mi8 */
   },
-  { /* 643 */
-    109,
-    /* CVTTSD2SIrm */
+  { /* 302 */
+    5,
+    /* BT16mr */
   },
-  { /* 644 */
-    124,
-    /* CVTTSD2SIrr */
+  { /* 303 */
+    72,
+    /* BT16ri8 */
   },
-  { /* 645 */
-    121,
-    /* CVTTSS2SI64rm */
+  { /* 304 */
+    73,
+    /* BT16rr */
   },
-  { /* 646 */
-    125,
-    /* CVTTSS2SI64rr */
+  { /* 305 */
+    11,
+    /* BT32mi8 */
   },
-  { /* 647 */
-    122,
-    /* CVTTSS2SIrm */
+  { /* 306 */
+    5,
+    /* BT32mr */
   },
-  { /* 648 */
-    126,
-    /* CVTTSS2SIrr */
+  { /* 307 */
+    74,
+    /* BT32ri8 */
   },
-  { /* 649 */
-    0,
-    /* CWD */
+  { /* 308 */
+    73,
+    /* BT32rr */
   },
-  { /* 650 */
-    0,
-    /* CWDE */
+  { /* 309 */
+    15,
+    /* BT64mi8 */
   },
-  { /* 651 */
-    0,
-    /* DAA */
+  { /* 310 */
+    16,
+    /* BT64mr */
   },
-  { /* 652 */
-    0,
-    /* DAS */
+  { /* 311 */
+    75,
+    /* BT64ri8 */
   },
-  { /* 653 */
-    0,
-    /* DATA16_PREFIX */
+  { /* 312 */
+    76,
+    /* BT64rr */
   },
-  { /* 654 */
-    38,
-    /* DEC16m */
+  { /* 313 */
+    4,
+    /* BTC16mi8 */
   },
-  { /* 655 */
-    70,
-    /* DEC16r */
+  { /* 314 */
+    5,
+    /* BTC16mr */
   },
-  { /* 656 */
-    127,
-    /* DEC32_16r */
+  { /* 315 */
+    72,
+    /* BTC16ri8 */
   },
-  { /* 657 */
-    127,
-    /* DEC32_32r */
+  { /* 316 */
+    73,
+    /* BTC16rr */
   },
-  { /* 658 */
-    38,
-    /* DEC32m */
+  { /* 317 */
+    11,
+    /* BTC32mi8 */
   },
-  { /* 659 */
-    70,
-    /* DEC32r */
+  { /* 318 */
+    5,
+    /* BTC32mr */
   },
-  { /* 660 */
-    38,
-    /* DEC64_16m */
+  { /* 319 */
+    74,
+    /* BTC32ri8 */
   },
-  { /* 661 */
-    127,
-    /* DEC64_16r */
+  { /* 320 */
+    73,
+    /* BTC32rr */
   },
-  { /* 662 */
-    38,
-    /* DEC64_32m */
+  { /* 321 */
+    15,
+    /* BTC64mi8 */
   },
-  { /* 663 */
-    127,
-    /* DEC64_32r */
+  { /* 322 */
+    16,
+    /* BTC64mr */
   },
-  { /* 664 */
-    38,
-    /* DEC64m */
+  { /* 323 */
+    75,
+    /* BTC64ri8 */
   },
-  { /* 665 */
-    128,
-    /* DEC64r */
+  { /* 324 */
+    76,
+    /* BTC64rr */
   },
-  { /* 666 */
-    82,
-    /* DEC8m */
+  { /* 325 */
+    4,
+    /* BTR16mi8 */
   },
-  { /* 667 */
-    129,
-    /* DEC8r */
+  { /* 326 */
+    5,
+    /* BTR16mr */
   },
-  { /* 668 */
-    38,
-    /* DIV16m */
+  { /* 327 */
+    72,
+    /* BTR16ri8 */
   },
-  { /* 669 */
-    77,
-    /* DIV16r */
+  { /* 328 */
+    73,
+    /* BTR16rr */
   },
-  { /* 670 */
-    38,
-    /* DIV32m */
+  { /* 329 */
+    11,
+    /* BTR32mi8 */
   },
-  { /* 671 */
-    77,
-    /* DIV32r */
+  { /* 330 */
+    5,
+    /* BTR32mr */
   },
-  { /* 672 */
-    38,
-    /* DIV64m */
+  { /* 331 */
+    74,
+    /* BTR32ri8 */
   },
-  { /* 673 */
-    79,
-    /* DIV64r */
+  { /* 332 */
+    73,
+    /* BTR32rr */
   },
-  { /* 674 */
-    82,
-    /* DIV8m */
+  { /* 333 */
+    15,
+    /* BTR64mi8 */
   },
-  { /* 675 */
-    130,
-    /* DIV8r */
+  { /* 334 */
+    16,
+    /* BTR64mr */
   },
-  { /* 676 */
-    30,
-    /* DIVPDrm */
+  { /* 335 */
+    75,
+    /* BTR64ri8 */
   },
-  { /* 677 */
-    31,
-    /* DIVPDrr */
+  { /* 336 */
+    76,
+    /* BTR64rr */
   },
-  { /* 678 */
-    30,
-    /* DIVPSrm */
+  { /* 337 */
+    4,
+    /* BTS16mi8 */
   },
-  { /* 679 */
-    31,
-    /* DIVPSrr */
+  { /* 338 */
+    5,
+    /* BTS16mr */
   },
-  { /* 680 */
-    36,
-    /* DIVR_F32m */
+  { /* 339 */
+    72,
+    /* BTS16ri8 */
   },
-  { /* 681 */
-    37,
-    /* DIVR_F64m */
+  { /* 340 */
+    73,
+    /* BTS16rr */
   },
-  { /* 682 */
+  { /* 341 */
+    11,
+    /* BTS32mi8 */
+  },
+  { /* 342 */
+    5,
+    /* BTS32mr */
+  },
+  { /* 343 */
+    74,
+    /* BTS32ri8 */
+  },
+  { /* 344 */
+    73,
+    /* BTS32rr */
+  },
+  { /* 345 */
+    15,
+    /* BTS64mi8 */
+  },
+  { /* 346 */
+    16,
+    /* BTS64mr */
+  },
+  { /* 347 */
+    75,
+    /* BTS64ri8 */
+  },
+  { /* 348 */
+    76,
+    /* BTS64rr */
+  },
+  { /* 349 */
+    54,
+    /* BZHI32rm */
+  },
+  { /* 350 */
+    55,
+    /* BZHI32rr */
+  },
+  { /* 351 */
+    56,
+    /* BZHI64rm */
+  },
+  { /* 352 */
+    57,
+    /* BZHI64rr */
+  },
+  { /* 353 */
     38,
-    /* DIVR_FI16m */
+    /* CALL16m */
   },
-  { /* 683 */
+  { /* 354 */
+    77,
+    /* CALL16r */
+  },
+  { /* 355 */
     38,
-    /* DIVR_FI32m */
+    /* CALL32m */
   },
-  { /* 684 */
-    39,
-    /* DIVR_FPrST0 */
+  { /* 356 */
+    77,
+    /* CALL32r */
   },
-  { /* 685 */
-    39,
-    /* DIVR_FST0r */
+  { /* 357 */
+    38,
+    /* CALL64m */
   },
-  { /* 686 */
-    0,
-    /*  */
+  { /* 358 */
+    78,
+    /* CALL64pcrel32 */
   },
-  { /* 687 */
+  { /* 359 */
+    79,
+    /* CALL64r */
+  },
+  { /* 360 */
+    80,
+    /* CALLpcrel16 */
+  },
+  { /* 361 */
+    81,
+    /* CALLpcrel32 */
+  },
+  { /* 362 */
     0,
-    /*  */
+    /* CBW */
   },
-  { /* 688 */
+  { /* 363 */
     0,
-    /*  */
+    /* CDQ */
   },
-  { /* 689 */
+  { /* 364 */
     0,
-    /*  */
+    /* CDQE */
   },
-  { /* 690 */
+  { /* 365 */
     0,
-    /*  */
+    /* CHS_F */
   },
-  { /* 691 */
+  { /* 366 */
     0,
     /*  */
   },
-  { /* 692 */
+  { /* 367 */
     0,
     /*  */
   },
-  { /* 693 */
+  { /* 368 */
     0,
     /*  */
   },
-  { /* 694 */
+  { /* 369 */
     0,
-    /*  */
+    /* CLAC */
   },
-  { /* 695 */
+  { /* 370 */
     0,
-    /*  */
+    /* CLC */
   },
-  { /* 696 */
+  { /* 371 */
     0,
-    /*  */
+    /* CLD */
   },
-  { /* 697 */
-    39,
-    /* DIVR_FrST0 */
+  { /* 372 */
+    82,
+    /* CLFLUSH */
   },
-  { /* 698 */
-    32,
-    /* DIVSDrm */
+  { /* 373 */
+    82,
+    /* CLFLUSHOPT */
   },
-  { /* 699 */
+  { /* 374 */
     0,
-    /*  */
-  },
-  { /* 700 */
-    33,
-    /* DIVSDrr */
+    /* CLGI */
   },
-  { /* 701 */
+  { /* 375 */
     0,
-    /*  */
-  },
-  { /* 702 */
-    34,
-    /* DIVSSrm */
+    /* CLI */
   },
-  { /* 703 */
+  { /* 376 */
     0,
-    /*  */
+    /* CLTS */
   },
-  { /* 704 */
-    35,
-    /* DIVSSrr */
+  { /* 377 */
+    82,
+    /* CLWB */
   },
-  { /* 705 */
+  { /* 378 */
     0,
-    /*  */
+    /* CMC */
   },
-  { /* 706 */
-    36,
-    /* DIV_F32m */
+  { /* 379 */
+    8,
+    /* CMOVA16rm */
   },
-  { /* 707 */
-    37,
-    /* DIV_F64m */
+  { /* 380 */
+    10,
+    /* CMOVA16rr */
   },
-  { /* 708 */
-    38,
-    /* DIV_FI16m */
+  { /* 381 */
+    8,
+    /* CMOVA32rm */
   },
-  { /* 709 */
-    38,
-    /* DIV_FI32m */
+  { /* 382 */
+    10,
+    /* CMOVA32rr */
   },
-  { /* 710 */
-    39,
-    /* DIV_FPrST0 */
+  { /* 383 */
+    19,
+    /* CMOVA64rm */
   },
-  { /* 711 */
-    39,
-    /* DIV_FST0r */
+  { /* 384 */
+    21,
+    /* CMOVA64rr */
   },
-  { /* 712 */
-    0,
-    /*  */
+  { /* 385 */
+    8,
+    /* CMOVAE16rm */
   },
-  { /* 713 */
-    0,
-    /*  */
+  { /* 386 */
+    10,
+    /* CMOVAE16rr */
   },
-  { /* 714 */
-    0,
-    /*  */
+  { /* 387 */
+    8,
+    /* CMOVAE32rm */
   },
-  { /* 715 */
-    0,
-    /*  */
+  { /* 388 */
+    10,
+    /* CMOVAE32rr */
   },
-  { /* 716 */
-    0,
-    /*  */
+  { /* 389 */
+    19,
+    /* CMOVAE64rm */
   },
-  { /* 717 */
-    0,
-    /*  */
+  { /* 390 */
+    21,
+    /* CMOVAE64rr */
   },
-  { /* 718 */
-    0,
-    /*  */
+  { /* 391 */
+    8,
+    /* CMOVB16rm */
   },
-  { /* 719 */
-    0,
-    /*  */
+  { /* 392 */
+    10,
+    /* CMOVB16rr */
   },
-  { /* 720 */
-    0,
-    /*  */
+  { /* 393 */
+    8,
+    /* CMOVB32rm */
   },
-  { /* 721 */
-    0,
-    /*  */
+  { /* 394 */
+    10,
+    /* CMOVB32rr */
   },
-  { /* 722 */
-    0,
-    /*  */
+  { /* 395 */
+    19,
+    /* CMOVB64rm */
   },
-  { /* 723 */
-    0,
-    /*  */
+  { /* 396 */
+    21,
+    /* CMOVB64rr */
   },
-  { /* 724 */
-    0,
-    /*  */
+  { /* 397 */
+    8,
+    /* CMOVBE16rm */
   },
-  { /* 725 */
-    0,
-    /*  */
+  { /* 398 */
+    10,
+    /* CMOVBE16rr */
   },
-  { /* 726 */
-    39,
-    /* DIV_FrST0 */
+  { /* 399 */
+    8,
+    /* CMOVBE32rm */
   },
-  { /* 727 */
-    66,
-    /* DPPDrmi */
+  { /* 400 */
+    10,
+    /* CMOVBE32rr */
   },
-  { /* 728 */
-    67,
-    /* DPPDrri */
+  { /* 401 */
+    19,
+    /* CMOVBE64rm */
   },
-  { /* 729 */
-    66,
-    /* DPPSrmi */
+  { /* 402 */
+    21,
+    /* CMOVBE64rr */
   },
-  { /* 730 */
-    67,
-    /* DPPSrri */
+  { /* 403 */
+    39,
+    /* CMOVBE_F */
   },
-  { /* 731 */
+  { /* 404 */
     0,
     /*  */
   },
-  { /* 732 */
+  { /* 405 */
     0,
     /*  */
   },
-  { /* 733 */
+  { /* 406 */
     0,
     /*  */
   },
-  { /* 734 */
-    0,
-    /*  */
+  { /* 407 */
+    39,
+    /* CMOVB_F */
   },
-  { /* 735 */
+  { /* 408 */
     0,
     /*  */
   },
-  { /* 736 */
+  { /* 409 */
     0,
     /*  */
   },
-  { /* 737 */
+  { /* 410 */
     0,
     /*  */
   },
-  { /* 738 */
-    0,
-    /* ENCLS */
+  { /* 411 */
+    8,
+    /* CMOVE16rm */
   },
-  { /* 739 */
-    0,
-    /* ENCLU */
+  { /* 412 */
+    10,
+    /* CMOVE16rr */
   },
-  { /* 740 */
-    131,
-    /* ENTER */
+  { /* 413 */
+    8,
+    /* CMOVE32rm */
   },
-  { /* 741 */
-    132,
-    /* EXTRACTPSmr */
+  { /* 414 */
+    10,
+    /* CMOVE32rr */
   },
-  { /* 742 */
-    133,
-    /* EXTRACTPSrr */
+  { /* 415 */
+    19,
+    /* CMOVE64rm */
   },
-  { /* 743 */
-    31,
-    /* EXTRQ */
+  { /* 416 */
+    21,
+    /* CMOVE64rr */
   },
-  { /* 744 */
-    134,
-    /* EXTRQI */
+  { /* 417 */
+    39,
+    /* CMOVE_F */
   },
-  { /* 745 */
+  { /* 418 */
     0,
-    /* F2XM1 */
+    /*  */
   },
-  { /* 746 */
-    135,
-    /* FARCALL16i */
+  { /* 419 */
+    0,
+    /*  */
   },
-  { /* 747 */
-    136,
-    /* FARCALL16m */
+  { /* 420 */
+    0,
+    /*  */
   },
-  { /* 748 */
-    137,
-    /* FARCALL32i */
+  { /* 421 */
+    8,
+    /* CMOVG16rm */
   },
-  { /* 749 */
-    138,
-    /* FARCALL32m */
+  { /* 422 */
+    10,
+    /* CMOVG16rr */
   },
-  { /* 750 */
-    139,
-    /* FARCALL64 */
+  { /* 423 */
+    8,
+    /* CMOVG32rm */
   },
-  { /* 751 */
-    135,
-    /* FARJMP16i */
+  { /* 424 */
+    10,
+    /* CMOVG32rr */
   },
-  { /* 752 */
-    136,
-    /* FARJMP16m */
+  { /* 425 */
+    19,
+    /* CMOVG64rm */
   },
-  { /* 753 */
-    137,
-    /* FARJMP32i */
+  { /* 426 */
+    21,
+    /* CMOVG64rr */
   },
-  { /* 754 */
-    138,
-    /* FARJMP32m */
+  { /* 427 */
+    8,
+    /* CMOVGE16rm */
   },
-  { /* 755 */
-    139,
-    /* FARJMP64 */
+  { /* 428 */
+    10,
+    /* CMOVGE16rr */
   },
-  { /* 756 */
-    36,
-    /* FBLDm */
+  { /* 429 */
+    8,
+    /* CMOVGE32rm */
   },
-  { /* 757 */
-    36,
-    /* FBSTPm */
+  { /* 430 */
+    10,
+    /* CMOVGE32rr */
   },
-  { /* 758 */
-    36,
-    /* FCOM32m */
+  { /* 431 */
+    19,
+    /* CMOVGE64rm */
   },
-  { /* 759 */
-    37,
-    /* FCOM64m */
+  { /* 432 */
+    21,
+    /* CMOVGE64rr */
   },
-  { /* 760 */
-    36,
-    /* FCOMP32m */
+  { /* 433 */
+    8,
+    /* CMOVL16rm */
   },
-  { /* 761 */
-    37,
-    /* FCOMP64m */
+  { /* 434 */
+    10,
+    /* CMOVL16rr */
   },
-  { /* 762 */
-    0,
-    /* FCOMPP */
+  { /* 435 */
+    8,
+    /* CMOVL32rm */
   },
-  { /* 763 */
-    0,
-    /* FDECSTP */
+  { /* 436 */
+    10,
+    /* CMOVL32rr */
   },
-  { /* 764 */
-    0,
-    /* FEMMS */
+  { /* 437 */
+    19,
+    /* CMOVL64rm */
   },
-  { /* 765 */
-    39,
-    /* FFREE */
+  { /* 438 */
+    21,
+    /* CMOVL64rr */
   },
-  { /* 766 */
-    38,
-    /* FICOM16m */
+  { /* 439 */
+    8,
+    /* CMOVLE16rm */
   },
-  { /* 767 */
-    38,
-    /* FICOM32m */
+  { /* 440 */
+    10,
+    /* CMOVLE16rr */
   },
-  { /* 768 */
-    38,
-    /* FICOMP16m */
+  { /* 441 */
+    8,
+    /* CMOVLE32rm */
   },
-  { /* 769 */
-    38,
-    /* FICOMP32m */
+  { /* 442 */
+    10,
+    /* CMOVLE32rr */
   },
-  { /* 770 */
-    0,
-    /* FINCSTP */
+  { /* 443 */
+    19,
+    /* CMOVLE64rm */
   },
-  { /* 771 */
-    38,
-    /* FLDCW16m */
+  { /* 444 */
+    21,
+    /* CMOVLE64rr */
   },
-  { /* 772 */
-    36,
-    /* FLDENVm */
+  { /* 445 */
+    39,
+    /* CMOVNBE_F */
   },
-  { /* 773 */
+  { /* 446 */
     0,
-    /* FLDL2E */
+    /*  */
   },
-  { /* 774 */
+  { /* 447 */
     0,
-    /* FLDL2T */
+    /*  */
   },
-  { /* 775 */
+  { /* 448 */
     0,
-    /* FLDLG2 */
+    /*  */
   },
-  { /* 776 */
-    0,
-    /* FLDLN2 */
+  { /* 449 */
+    39,
+    /* CMOVNB_F */
   },
-  { /* 777 */
+  { /* 450 */
     0,
-    /* FLDPI */
+    /*  */
   },
-  { /* 778 */
+  { /* 451 */
     0,
-    /* FNCLEX */
+    /*  */
   },
-  { /* 779 */
+  { /* 452 */
     0,
-    /* FNINIT */
+    /*  */
   },
-  { /* 780 */
-    0,
-    /* FNOP */
+  { /* 453 */
+    8,
+    /* CMOVNE16rm */
   },
-  { /* 781 */
-    38,
-    /* FNSTCW16m */
+  { /* 454 */
+    10,
+    /* CMOVNE16rr */
   },
-  { /* 782 */
-    0,
-    /* FNSTSW16r */
+  { /* 455 */
+    8,
+    /* CMOVNE32rm */
   },
-  { /* 783 */
-    36,
-    /* FNSTSWm */
+  { /* 456 */
+    10,
+    /* CMOVNE32rr */
   },
-  { /* 784 */
-    0,
-    /*  */
+  { /* 457 */
+    19,
+    /* CMOVNE64rm */
   },
-  { /* 785 */
-    0,
-    /*  */
+  { /* 458 */
+    21,
+    /* CMOVNE64rr */
   },
-  { /* 786 */
-    0,
-    /*  */
+  { /* 459 */
+    39,
+    /* CMOVNE_F */
   },
-  { /* 787 */
+  { /* 460 */
     0,
     /*  */
   },
-  { /* 788 */
+  { /* 461 */
     0,
     /*  */
   },
-  { /* 789 */
+  { /* 462 */
     0,
     /*  */
   },
-  { /* 790 */
+  { /* 463 */
+    8,
+    /* CMOVNO16rm */
+  },
+  { /* 464 */
+    10,
+    /* CMOVNO16rr */
+  },
+  { /* 465 */
+    8,
+    /* CMOVNO32rm */
+  },
+  { /* 466 */
+    10,
+    /* CMOVNO32rr */
+  },
+  { /* 467 */
+    19,
+    /* CMOVNO64rm */
+  },
+  { /* 468 */
+    21,
+    /* CMOVNO64rr */
+  },
+  { /* 469 */
+    8,
+    /* CMOVNP16rm */
+  },
+  { /* 470 */
+    10,
+    /* CMOVNP16rr */
+  },
+  { /* 471 */
+    8,
+    /* CMOVNP32rm */
+  },
+  { /* 472 */
+    10,
+    /* CMOVNP32rr */
+  },
+  { /* 473 */
+    19,
+    /* CMOVNP64rm */
+  },
+  { /* 474 */
+    21,
+    /* CMOVNP64rr */
+  },
+  { /* 475 */
+    39,
+    /* CMOVNP_F */
+  },
+  { /* 476 */
     0,
     /*  */
   },
-  { /* 791 */
+  { /* 477 */
     0,
     /*  */
   },
-  { /* 792 */
+  { /* 478 */
     0,
     /*  */
   },
-  { /* 793 */
-    0,
-    /* FPATAN */
+  { /* 479 */
+    8,
+    /* CMOVNS16rm */
   },
-  { /* 794 */
-    0,
-    /* FPREM */
+  { /* 480 */
+    10,
+    /* CMOVNS16rr */
   },
-  { /* 795 */
-    0,
-    /* FPREM1 */
+  { /* 481 */
+    8,
+    /* CMOVNS32rm */
   },
-  { /* 796 */
-    0,
-    /* FPTAN */
+  { /* 482 */
+    10,
+    /* CMOVNS32rr */
   },
-  { /* 797 */
-    0,
-    /* FRNDINT */
+  { /* 483 */
+    19,
+    /* CMOVNS64rm */
   },
-  { /* 798 */
-    36,
-    /* FRSTORm */
+  { /* 484 */
+    21,
+    /* CMOVNS64rr */
   },
-  { /* 799 */
-    36,
-    /* FSAVEm */
+  { /* 485 */
+    8,
+    /* CMOVO16rm */
   },
-  { /* 800 */
-    0,
-    /* FSCALE */
+  { /* 486 */
+    10,
+    /* CMOVO16rr */
   },
-  { /* 801 */
-    0,
-    /* FSETPM */
+  { /* 487 */
+    8,
+    /* CMOVO32rm */
   },
-  { /* 802 */
-    0,
-    /* FSINCOS */
+  { /* 488 */
+    10,
+    /* CMOVO32rr */
   },
-  { /* 803 */
-    36,
-    /* FSTENVm */
+  { /* 489 */
+    19,
+    /* CMOVO64rm */
   },
-  { /* 804 */
-    0,
-    /* FXAM */
+  { /* 490 */
+    21,
+    /* CMOVO64rr */
   },
-  { /* 805 */
-    140,
-    /* FXRSTOR */
+  { /* 491 */
+    8,
+    /* CMOVP16rm */
   },
-  { /* 806 */
-    140,
-    /* FXRSTOR64 */
+  { /* 492 */
+    10,
+    /* CMOVP16rr */
   },
-  { /* 807 */
-    140,
-    /* FXSAVE */
+  { /* 493 */
+    8,
+    /* CMOVP32rm */
   },
-  { /* 808 */
-    140,
-    /* FXSAVE64 */
+  { /* 494 */
+    10,
+    /* CMOVP32rr */
   },
-  { /* 809 */
-    0,
-    /* FXTRACT */
+  { /* 495 */
+    19,
+    /* CMOVP64rm */
   },
-  { /* 810 */
-    0,
-    /* FYL2X */
+  { /* 496 */
+    21,
+    /* CMOVP64rr */
   },
-  { /* 811 */
-    0,
-    /* FYL2XP1 */
+  { /* 497 */
+    39,
+    /* CMOVP_F */
   },
-  { /* 812 */
+  { /* 498 */
     0,
     /*  */
   },
-  { /* 813 */
+  { /* 499 */
     0,
     /*  */
   },
-  { /* 814 */
+  { /* 500 */
     0,
     /*  */
   },
-  { /* 815 */
+  { /* 501 */
+    8,
+    /* CMOVS16rm */
+  },
+  { /* 502 */
+    10,
+    /* CMOVS16rr */
+  },
+  { /* 503 */
+    8,
+    /* CMOVS32rm */
+  },
+  { /* 504 */
+    10,
+    /* CMOVS32rr */
+  },
+  { /* 505 */
+    19,
+    /* CMOVS64rm */
+  },
+  { /* 506 */
+    21,
+    /* CMOVS64rr */
+  },
+  { /* 507 */
     0,
     /*  */
   },
-  { /* 816 */
+  { /* 508 */
     0,
     /*  */
   },
-  { /* 817 */
+  { /* 509 */
     0,
     /*  */
   },
-  { /* 818 */
+  { /* 510 */
     0,
     /*  */
   },
-  { /* 819 */
+  { /* 511 */
     0,
     /*  */
   },
-  { /* 820 */
+  { /* 512 */
     0,
     /*  */
   },
-  { /* 821 */
+  { /* 513 */
     0,
     /*  */
   },
-  { /* 822 */
+  { /* 514 */
     0,
     /*  */
   },
-  { /* 823 */
+  { /* 515 */
     0,
     /*  */
   },
-  { /* 824 */
+  { /* 516 */
     0,
     /*  */
   },
-  { /* 825 */
+  { /* 517 */
     0,
     /*  */
   },
-  { /* 826 */
+  { /* 518 */
     0,
     /*  */
   },
-  { /* 827 */
+  { /* 519 */
     0,
     /*  */
   },
-  { /* 828 */
+  { /* 520 */
     0,
     /*  */
   },
-  { /* 829 */
+  { /* 521 */
     0,
     /*  */
   },
-  { /* 830 */
+  { /* 522 */
     0,
     /*  */
   },
-  { /* 831 */
+  { /* 523 */
     0,
     /*  */
   },
-  { /* 832 */
-    0,
-    /*  */
+  { /* 524 */
+    2,
+    /* CMP16i16 */
   },
-  { /* 833 */
-    0,
-    /*  */
+  { /* 525 */
+    3,
+    /* CMP16mi */
   },
-  { /* 834 */
-    0,
-    /* GETSEC */
+  { /* 526 */
+    4,
+    /* CMP16mi8 */
   },
-  { /* 835 */
-    30,
-    /* HADDPDrm */
+  { /* 527 */
+    5,
+    /* CMP16mr */
   },
-  { /* 836 */
-    31,
-    /* HADDPDrr */
+  { /* 528 */
+    83,
+    /* CMP16ri */
   },
-  { /* 837 */
-    30,
-    /* HADDPSrm */
+  { /* 529 */
+    72,
+    /* CMP16ri8 */
   },
-  { /* 838 */
-    31,
-    /* HADDPSrr */
+  { /* 530 */
+    68,
+    /* CMP16rm */
   },
-  { /* 839 */
-    0,
-    /* HLT */
+  { /* 531 */
+    73,
+    /* CMP16rr */
   },
-  { /* 840 */
-    30,
-    /* HSUBPDrm */
+  { /* 532 */
+    69,
+    /* CMP16rr_REV */
   },
-  { /* 841 */
-    31,
-    /* HSUBPDrr */
+  { /* 533 */
+    2,
+    /* CMP32i32 */
   },
-  { /* 842 */
-    30,
-    /* HSUBPSrm */
+  { /* 534 */
+    3,
+    /* CMP32mi */
   },
-  { /* 843 */
-    31,
-    /* HSUBPSrr */
+  { /* 535 */
+    11,
+    /* CMP32mi8 */
   },
-  { /* 844 */
-    38,
-    /* IDIV16m */
+  { /* 536 */
+    5,
+    /* CMP32mr */
   },
-  { /* 845 */
-    77,
-    /* IDIV16r */
+  { /* 537 */
+    83,
+    /* CMP32ri */
   },
-  { /* 846 */
-    38,
-    /* IDIV32m */
+  { /* 538 */
+    74,
+    /* CMP32ri8 */
   },
-  { /* 847 */
-    77,
-    /* IDIV32r */
+  { /* 539 */
+    68,
+    /* CMP32rm */
   },
-  { /* 848 */
-    38,
-    /* IDIV64m */
+  { /* 540 */
+    73,
+    /* CMP32rr */
   },
-  { /* 849 */
-    79,
-    /* IDIV64r */
+  { /* 541 */
+    69,
+    /* CMP32rr_REV */
   },
-  { /* 850 */
-    82,
-    /* IDIV8m */
+  { /* 542 */
+    13,
+    /* CMP64i32 */
   },
-  { /* 851 */
-    130,
-    /* IDIV8r */
+  { /* 543 */
+    14,
+    /* CMP64mi32 */
   },
-  { /* 852 */
-    38,
-    /* ILD_F16m */
+  { /* 544 */
+    15,
+    /* CMP64mi8 */
   },
-  { /* 853 */
-    38,
-    /* ILD_F32m */
+  { /* 545 */
+    16,
+    /* CMP64mr */
   },
-  { /* 854 */
-    38,
-    /* ILD_F64m */
+  { /* 546 */
+    84,
+    /* CMP64ri32 */
   },
-  { /* 855 */
-    0,
-    /*  */
+  { /* 547 */
+    75,
+    /* CMP64ri8 */
   },
-  { /* 856 */
+  { /* 548 */
+    42,
+    /* CMP64rm */
+  },
+  { /* 549 */
+    76,
+    /* CMP64rr */
+  },
+  { /* 550 */
+    43,
+    /* CMP64rr_REV */
+  },
+  { /* 551 */
+    1,
+    /* CMP8i8 */
+  },
+  { /* 552 */
+    22,
+    /* CMP8mi */
+  },
+  { /* 553 */
+    22,
+    /* CMP8mi8 */
+  },
+  { /* 554 */
+    23,
+    /* CMP8mr */
+  },
+  { /* 555 */
+    85,
+    /* CMP8ri */
+  },
+  { /* 556 */
+    85,
+    /* CMP8ri8 */
+  },
+  { /* 557 */
+    86,
+    /* CMP8rm */
+  },
+  { /* 558 */
+    87,
+    /* CMP8rr */
+  },
+  { /* 559 */
+    88,
+    /* CMP8rr_REV */
+  },
+  { /* 560 */
+    89,
+    /* CMPPDrmi */
+  },
+  { /* 561 */
     0,
     /*  */
   },
-  { /* 857 */
+  { /* 562 */
+    90,
+    /* CMPPDrri */
+  },
+  { /* 563 */
     0,
     /*  */
   },
-  { /* 858 */
+  { /* 564 */
+    89,
+    /* CMPPSrmi */
+  },
+  { /* 565 */
     0,
     /*  */
   },
-  { /* 859 */
+  { /* 566 */
+    90,
+    /* CMPPSrri */
+  },
+  { /* 567 */
     0,
     /*  */
   },
-  { /* 860 */
+  { /* 568 */
+    91,
+    /* CMPSB */
+  },
+  { /* 569 */
+    92,
+    /* CMPSDrm */
+  },
+  { /* 570 */
     0,
     /*  */
   },
-  { /* 861 */
+  { /* 571 */
+    93,
+    /* CMPSDrr */
+  },
+  { /* 572 */
     0,
     /*  */
   },
-  { /* 862 */
+  { /* 573 */
+    94,
+    /* CMPSL */
+  },
+  { /* 574 */
+    95,
+    /* CMPSQ */
+  },
+  { /* 575 */
+    96,
+    /* CMPSSrm */
+  },
+  { /* 576 */
     0,
     /*  */
   },
-  { /* 863 */
+  { /* 577 */
+    97,
+    /* CMPSSrr */
+  },
+  { /* 578 */
     0,
     /*  */
   },
-  { /* 864 */
-    38,
-    /* IMUL16m */
+  { /* 579 */
+    98,
+    /* CMPSW */
   },
-  { /* 865 */
-    77,
-    /* IMUL16r */
+  { /* 580 */
+    99,
+    /* CMPXCHG16B */
   },
-  { /* 866 */
-    8,
-    /* IMUL16rm */
+  { /* 581 */
+    5,
+    /* CMPXCHG16rm */
   },
-  { /* 867 */
-    141,
-    /* IMUL16rmi */
+  { /* 582 */
+    73,
+    /* CMPXCHG16rr */
   },
-  { /* 868 */
-    142,
-    /* IMUL16rmi8 */
+  { /* 583 */
+    5,
+    /* CMPXCHG32rm */
   },
-  { /* 869 */
-    10,
-    /* IMUL16rr */
+  { /* 584 */
+    73,
+    /* CMPXCHG32rr */
   },
-  { /* 870 */
-    143,
-    /* IMUL16rri */
+  { /* 585 */
+    16,
+    /* CMPXCHG64rm */
   },
-  { /* 871 */
-    144,
-    /* IMUL16rri8 */
+  { /* 586 */
+    76,
+    /* CMPXCHG64rr */
   },
-  { /* 872 */
+  { /* 587 */
     38,
-    /* IMUL32m */
+    /* CMPXCHG8B */
   },
-  { /* 873 */
-    77,
-    /* IMUL32r */
+  { /* 588 */
+    23,
+    /* CMPXCHG8rm */
   },
-  { /* 874 */
-    8,
-    /* IMUL32rm */
+  { /* 589 */
+    87,
+    /* CMPXCHG8rr */
   },
-  { /* 875 */
-    141,
-    /* IMUL32rmi */
+  { /* 590 */
+    44,
+    /* COMISDrm */
   },
-  { /* 876 */
-    145,
-    /* IMUL32rmi8 */
+  { /* 591 */
+    45,
+    /* COMISDrr */
   },
-  { /* 877 */
-    10,
-    /* IMUL32rr */
+  { /* 592 */
+    44,
+    /* COMISSrm */
   },
-  { /* 878 */
-    143,
-    /* IMUL32rri */
+  { /* 593 */
+    45,
+    /* COMISSrr */
   },
-  { /* 879 */
-    146,
-    /* IMUL32rri8 */
+  { /* 594 */
+    39,
+    /* COMP_FST0r */
   },
-  { /* 880 */
-    38,
-    /* IMUL64m */
+  { /* 595 */
+    39,
+    /* COM_FIPr */
   },
-  { /* 881 */
-    79,
-    /* IMUL64r */
+  { /* 596 */
+    39,
+    /* COM_FIr */
   },
-  { /* 882 */
-    19,
-    /* IMUL64rm */
+  { /* 597 */
+    39,
+    /* COM_FST0r */
   },
-  { /* 883 */
-    60,
-    /* IMUL64rmi32 */
+  { /* 598 */
+    0,
+    /* COS_F */
   },
-  { /* 884 */
-    147,
-    /* IMUL64rmi8 */
+  { /* 599 */
+    0,
+    /*  */
   },
-  { /* 885 */
-    21,
-    /* IMUL64rr */
+  { /* 600 */
+    0,
+    /*  */
   },
-  { /* 886 */
-    61,
-    /* IMUL64rri32 */
+  { /* 601 */
+    0,
+    /*  */
   },
-  { /* 887 */
-    148,
-    /* IMUL64rri8 */
+  { /* 602 */
+    0,
+    /* CPUID */
   },
-  { /* 888 */
-    82,
-    /* IMUL8m */
+  { /* 603 */
+    0,
+    /* CQO */
   },
-  { /* 889 */
-    130,
-    /* IMUL8r */
+  { /* 604 */
+    28,
+    /* CRC32r32m16 */
   },
-  { /* 890 */
-    1,
-    /* IN16ri */
+  { /* 605 */
+    8,
+    /* CRC32r32m32 */
   },
-  { /* 891 */
-    0,
-    /* IN16rr */
+  { /* 606 */
+    100,
+    /* CRC32r32m8 */
   },
-  { /* 892 */
-    1,
-    /* IN32ri */
+  { /* 607 */
+    101,
+    /* CRC32r32r16 */
   },
-  { /* 893 */
-    0,
-    /* IN32rr */
+  { /* 608 */
+    10,
+    /* CRC32r32r32 */
   },
-  { /* 894 */
-    1,
-    /* IN8ri */
+  { /* 609 */
+    102,
+    /* CRC32r32r8 */
   },
-  { /* 895 */
-    0,
-    /* IN8rr */
+  { /* 610 */
+    19,
+    /* CRC32r64m64 */
   },
-  { /* 896 */
-    38,
-    /* INC16m */
+  { /* 611 */
+    103,
+    /* CRC32r64m8 */
   },
-  { /* 897 */
-    70,
-    /* INC16r */
+  { /* 612 */
+    21,
+    /* CRC32r64r64 */
   },
-  { /* 898 */
-    127,
-    /* INC32_16r */
+  { /* 613 */
+    104,
+    /* CRC32r64r8 */
   },
-  { /* 899 */
-    127,
-    /* INC32_32r */
+  { /* 614 */
+    105,
+    /* CVTDQ2PDrm */
   },
-  { /* 900 */
-    38,
-    /* INC32m */
+  { /* 615 */
+    45,
+    /* CVTDQ2PDrr */
   },
-  { /* 901 */
-    70,
-    /* INC32r */
+  { /* 616 */
+    44,
+    /* CVTDQ2PSrm */
   },
-  { /* 902 */
-    38,
-    /* INC64_16m */
+  { /* 617 */
+    45,
+    /* CVTDQ2PSrr */
   },
-  { /* 903 */
-    127,
-    /* INC64_16r */
+  { /* 618 */
+    44,
+    /* CVTPD2DQrm */
   },
-  { /* 904 */
-    38,
-    /* INC64_32m */
+  { /* 619 */
+    45,
+    /* CVTPD2DQrr */
   },
-  { /* 905 */
-    127,
-    /* INC64_32r */
+  { /* 620 */
+    44,
+    /* CVTPD2PSrm */
   },
-  { /* 906 */
-    38,
-    /* INC64m */
+  { /* 621 */
+    45,
+    /* CVTPD2PSrr */
   },
-  { /* 907 */
-    128,
-    /* INC64r */
+  { /* 622 */
+    44,
+    /* CVTPS2DQrm */
   },
-  { /* 908 */
-    82,
-    /* INC8m */
+  { /* 623 */
+    45,
+    /* CVTPS2DQrr */
   },
-  { /* 909 */
-    129,
-    /* INC8r */
+  { /* 624 */
+    106,
+    /* CVTPS2PDrm */
   },
-  { /* 910 */
-    149,
-    /* INSB */
+  { /* 625 */
+    45,
+    /* CVTPS2PDrr */
   },
-  { /* 911 */
-    150,
-    /* INSERTPSrm */
+  { /* 626 */
+    107,
+    /* CVTSD2SI64rm */
   },
-  { /* 912 */
-    67,
-    /* INSERTPSrr */
+  { /* 627 */
+    108,
+    /* CVTSD2SI64rr */
   },
-  { /* 913 */
-    31,
-    /* INSERTQ */
+  { /* 628 */
+    109,
+    /* CVTSD2SIrm */
   },
-  { /* 914 */
-    151,
-    /* INSERTQI */
+  { /* 629 */
+    110,
+    /* CVTSD2SIrr */
   },
-  { /* 915 */
-    152,
-    /* INSL */
+  { /* 630 */
+    111,
+    /* CVTSD2SSrm */
   },
-  { /* 916 */
-    153,
-    /* INSW */
+  { /* 631 */
+    112,
+    /* CVTSD2SSrr */
   },
-  { /* 917 */
-    1,
-    /* INT */
+  { /* 632 */
+    113,
+    /* CVTSI2SD64rm */
   },
-  { /* 918 */
-    0,
-    /* INT1 */
+  { /* 633 */
+    114,
+    /* CVTSI2SD64rr */
   },
-  { /* 919 */
-    0,
-    /* INT3 */
+  { /* 634 */
+    113,
+    /* CVTSI2SDrm */
   },
-  { /* 920 */
-    0,
-    /* INTO */
+  { /* 635 */
+    115,
+    /* CVTSI2SDrr */
   },
-  { /* 921 */
-    0,
-    /* INVD */
+  { /* 636 */
+    116,
+    /* CVTSI2SS64rm */
   },
-  { /* 922 */
-    154,
-    /* INVEPT32 */
+  { /* 637 */
+    117,
+    /* CVTSI2SS64rr */
   },
-  { /* 923 */
-    155,
-    /* INVEPT64 */
+  { /* 638 */
+    116,
+    /* CVTSI2SSrm */
   },
-  { /* 924 */
-    82,
-    /* INVLPG */
+  { /* 639 */
+    118,
+    /* CVTSI2SSrr */
   },
-  { /* 925 */
-    0,
-    /* INVLPGA32 */
+  { /* 640 */
+    119,
+    /* CVTSS2SDrm */
   },
-  { /* 926 */
-    0,
-    /* INVLPGA64 */
+  { /* 641 */
+    120,
+    /* CVTSS2SDrr */
   },
-  { /* 927 */
-    154,
-    /* INVPCID32 */
+  { /* 642 */
+    121,
+    /* CVTSS2SI64rm */
   },
-  { /* 928 */
-    155,
-    /* INVPCID64 */
+  { /* 643 */
+    108,
+    /* CVTSS2SI64rr */
   },
-  { /* 929 */
-    154,
-    /* INVVPID32 */
+  { /* 644 */
+    122,
+    /* CVTSS2SIrm */
   },
-  { /* 930 */
-    155,
-    /* INVVPID64 */
+  { /* 645 */
+    110,
+    /* CVTSS2SIrr */
   },
-  { /* 931 */
-    0,
-    /* IRET16 */
+  { /* 646 */
+    44,
+    /* CVTTPD2DQrm */
   },
-  { /* 932 */
-    0,
-    /* IRET32 */
+  { /* 647 */
+    45,
+    /* CVTTPD2DQrr */
   },
-  { /* 933 */
-    0,
-    /* IRET64 */
+  { /* 648 */
+    44,
+    /* CVTTPS2DQrm */
   },
-  { /* 934 */
-    38,
-    /* ISTT_FP16m */
+  { /* 649 */
+    45,
+    /* CVTTPS2DQrr */
   },
-  { /* 935 */
-    38,
-    /* ISTT_FP32m */
+  { /* 650 */
+    107,
+    /* CVTTSD2SI64rm */
   },
-  { /* 936 */
-    38,
-    /* ISTT_FP64m */
+  { /* 651 */
+    123,
+    /* CVTTSD2SI64rr */
   },
-  { /* 937 */
-    0,
-    /*  */
+  { /* 652 */
+    109,
+    /* CVTTSD2SIrm */
   },
-  { /* 938 */
-    0,
-    /*  */
+  { /* 653 */
+    124,
+    /* CVTTSD2SIrr */
   },
-  { /* 939 */
-    0,
-    /*  */
+  { /* 654 */
+    121,
+    /* CVTTSS2SI64rm */
   },
-  { /* 940 */
-    0,
-    /*  */
+  { /* 655 */
+    125,
+    /* CVTTSS2SI64rr */
   },
-  { /* 941 */
+  { /* 656 */
+    122,
+    /* CVTTSS2SIrm */
+  },
+  { /* 657 */
+    126,
+    /* CVTTSS2SIrr */
+  },
+  { /* 658 */
     0,
-    /*  */
+    /* CWD */
   },
-  { /* 942 */
+  { /* 659 */
     0,
-    /*  */
+    /* CWDE */
   },
-  { /* 943 */
+  { /* 660 */
     0,
-    /*  */
+    /* DAA */
   },
-  { /* 944 */
+  { /* 661 */
     0,
-    /*  */
+    /* DAS */
   },
-  { /* 945 */
+  { /* 662 */
     0,
-    /*  */
+    /* DATA16_PREFIX */
   },
-  { /* 946 */
+  { /* 663 */
     38,
-    /* IST_F16m */
+    /* DEC16m */
   },
-  { /* 947 */
+  { /* 664 */
+    127,
+    /* DEC16r */
+  },
+  { /* 665 */
+    70,
+    /* DEC16r_alt */
+  },
+  { /* 666 */
     38,
-    /* IST_F32m */
+    /* DEC32m */
   },
-  { /* 948 */
+  { /* 667 */
+    127,
+    /* DEC32r */
+  },
+  { /* 668 */
+    70,
+    /* DEC32r_alt */
+  },
+  { /* 669 */
     38,
-    /* IST_FP16m */
+    /* DEC64m */
   },
-  { /* 949 */
+  { /* 670 */
+    128,
+    /* DEC64r */
+  },
+  { /* 671 */
+    82,
+    /* DEC8m */
+  },
+  { /* 672 */
+    129,
+    /* DEC8r */
+  },
+  { /* 673 */
     38,
-    /* IST_FP32m */
+    /* DIV16m */
   },
-  { /* 950 */
+  { /* 674 */
+    77,
+    /* DIV16r */
+  },
+  { /* 675 */
     38,
-    /* IST_FP64m */
+    /* DIV32m */
   },
-  { /* 951 */
-    0,
-    /*  */
+  { /* 676 */
+    77,
+    /* DIV32r */
   },
-  { /* 952 */
-    0,
-    /*  */
+  { /* 677 */
+    38,
+    /* DIV64m */
   },
-  { /* 953 */
-    0,
-    /*  */
+  { /* 678 */
+    79,
+    /* DIV64r */
   },
-  { /* 954 */
-    0,
-    /*  */
+  { /* 679 */
+    82,
+    /* DIV8m */
   },
-  { /* 955 */
-    0,
-    /*  */
+  { /* 680 */
+    130,
+    /* DIV8r */
   },
-  { /* 956 */
-    0,
-    /*  */
+  { /* 681 */
+    30,
+    /* DIVPDrm */
   },
-  { /* 957 */
-    0,
-    /*  */
+  { /* 682 */
+    31,
+    /* DIVPDrr */
   },
-  { /* 958 */
-    0,
-    /*  */
+  { /* 683 */
+    30,
+    /* DIVPSrm */
   },
-  { /* 959 */
-    0,
-    /*  */
+  { /* 684 */
+    31,
+    /* DIVPSrr */
   },
-  { /* 960 */
-    0,
-    /*  */
+  { /* 685 */
+    36,
+    /* DIVR_F32m */
   },
-  { /* 961 */
-    0,
-    /*  */
+  { /* 686 */
+    37,
+    /* DIVR_F64m */
   },
-  { /* 962 */
-    0,
-    /*  */
+  { /* 687 */
+    38,
+    /* DIVR_FI16m */
   },
-  { /* 963 */
-    0,
-    /*  */
+  { /* 688 */
+    38,
+    /* DIVR_FI32m */
   },
-  { /* 964 */
-    0,
-    /*  */
+  { /* 689 */
+    39,
+    /* DIVR_FPrST0 */
   },
-  { /* 965 */
-    0,
-    /*  */
+  { /* 690 */
+    39,
+    /* DIVR_FST0r */
   },
-  { /* 966 */
+  { /* 691 */
     0,
     /*  */
   },
-  { /* 967 */
+  { /* 692 */
     0,
     /*  */
   },
-  { /* 968 */
+  { /* 693 */
     0,
     /*  */
   },
-  { /* 969 */
+  { /* 694 */
     0,
     /*  */
   },
-  { /* 970 */
+  { /* 695 */
     0,
     /*  */
   },
-  { /* 971 */
+  { /* 696 */
     0,
     /*  */
   },
-  { /* 972 */
+  { /* 697 */
     0,
     /*  */
   },
-  { /* 973 */
+  { /* 698 */
     0,
     /*  */
   },
-  { /* 974 */
+  { /* 699 */
     0,
     /*  */
   },
-  { /* 975 */
+  { /* 700 */
     0,
     /*  */
   },
-  { /* 976 */
+  { /* 701 */
     0,
     /*  */
   },
-  { /* 977 */
+  { /* 702 */
+    39,
+    /* DIVR_FrST0 */
+  },
+  { /* 703 */
+    32,
+    /* DIVSDrm */
+  },
+  { /* 704 */
     0,
     /*  */
   },
-  { /* 978 */
+  { /* 705 */
+    33,
+    /* DIVSDrr */
+  },
+  { /* 706 */
     0,
     /*  */
   },
-  { /* 979 */
+  { /* 707 */
+    34,
+    /* DIVSSrm */
+  },
+  { /* 708 */
     0,
     /*  */
   },
-  { /* 980 */
+  { /* 709 */
+    35,
+    /* DIVSSrr */
+  },
+  { /* 710 */
     0,
     /*  */
   },
-  { /* 981 */
+  { /* 711 */
+    36,
+    /* DIV_F32m */
+  },
+  { /* 712 */
+    37,
+    /* DIV_F64m */
+  },
+  { /* 713 */
+    38,
+    /* DIV_FI16m */
+  },
+  { /* 714 */
+    38,
+    /* DIV_FI32m */
+  },
+  { /* 715 */
+    39,
+    /* DIV_FPrST0 */
+  },
+  { /* 716 */
+    39,
+    /* DIV_FST0r */
+  },
+  { /* 717 */
     0,
     /*  */
   },
-  { /* 982 */
+  { /* 718 */
     0,
     /*  */
   },
-  { /* 983 */
+  { /* 719 */
     0,
     /*  */
   },
-  { /* 984 */
+  { /* 720 */
     0,
     /*  */
   },
-  { /* 985 */
+  { /* 721 */
     0,
     /*  */
   },
-  { /* 986 */
+  { /* 722 */
     0,
     /*  */
   },
-  { /* 987 */
+  { /* 723 */
     0,
     /*  */
   },
-  { /* 988 */
+  { /* 724 */
     0,
     /*  */
   },
-  { /* 989 */
+  { /* 725 */
     0,
     /*  */
   },
-  { /* 990 */
+  { /* 726 */
     0,
     /*  */
   },
-  { /* 991 */
+  { /* 727 */
     0,
     /*  */
   },
-  { /* 992 */
+  { /* 728 */
     0,
     /*  */
   },
-  { /* 993 */
+  { /* 729 */
     0,
     /*  */
   },
-  { /* 994 */
+  { /* 730 */
     0,
     /*  */
   },
-  { /* 995 */
+  { /* 731 */
+    39,
+    /* DIV_FrST0 */
+  },
+  { /* 732 */
+    66,
+    /* DPPDrmi */
+  },
+  { /* 733 */
+    67,
+    /* DPPDrri */
+  },
+  { /* 734 */
+    66,
+    /* DPPSrmi */
+  },
+  { /* 735 */
+    67,
+    /* DPPSrri */
+  },
+  { /* 736 */
     0,
     /*  */
   },
-  { /* 996 */
+  { /* 737 */
     0,
     /*  */
   },
-  { /* 997 */
+  { /* 738 */
     0,
     /*  */
   },
-  { /* 998 */
+  { /* 739 */
     0,
     /*  */
   },
-  { /* 999 */
+  { /* 740 */
     0,
     /*  */
   },
-  { /* 1000 */
+  { /* 741 */
     0,
     /*  */
   },
-  { /* 1001 */
+  { /* 742 */
     0,
     /*  */
   },
-  { /* 1002 */
+  { /* 743 */
     0,
-    /*  */
+    /* ENCLS */
   },
-  { /* 1003 */
+  { /* 744 */
     0,
-    /*  */
+    /* ENCLU */
   },
-  { /* 1004 */
+  { /* 745 */
+    131,
+    /* ENTER */
+  },
+  { /* 746 */
+    132,
+    /* EXTRACTPSmr */
+  },
+  { /* 747 */
+    133,
+    /* EXTRACTPSrr */
+  },
+  { /* 748 */
+    31,
+    /* EXTRQ */
+  },
+  { /* 749 */
+    134,
+    /* EXTRQI */
+  },
+  { /* 750 */
     0,
-    /*  */
+    /* F2XM1 */
   },
-  { /* 1005 */
+  { /* 751 */
+    135,
+    /* FARCALL16i */
+  },
+  { /* 752 */
+    136,
+    /* FARCALL16m */
+  },
+  { /* 753 */
+    137,
+    /* FARCALL32i */
+  },
+  { /* 754 */
+    138,
+    /* FARCALL32m */
+  },
+  { /* 755 */
+    139,
+    /* FARCALL64 */
+  },
+  { /* 756 */
+    135,
+    /* FARJMP16i */
+  },
+  { /* 757 */
+    136,
+    /* FARJMP16m */
+  },
+  { /* 758 */
+    137,
+    /* FARJMP32i */
+  },
+  { /* 759 */
+    138,
+    /* FARJMP32m */
+  },
+  { /* 760 */
+    139,
+    /* FARJMP64 */
+  },
+  { /* 761 */
+    36,
+    /* FBLDm */
+  },
+  { /* 762 */
+    36,
+    /* FBSTPm */
+  },
+  { /* 763 */
+    36,
+    /* FCOM32m */
+  },
+  { /* 764 */
+    37,
+    /* FCOM64m */
+  },
+  { /* 765 */
+    36,
+    /* FCOMP32m */
+  },
+  { /* 766 */
+    37,
+    /* FCOMP64m */
+  },
+  { /* 767 */
     0,
-    /*  */
+    /* FCOMPP */
   },
-  { /* 1006 */
+  { /* 768 */
     0,
-    /*  */
+    /* FDECSTP */
   },
-  { /* 1007 */
+  { /* 769 */
     0,
-    /*  */
+    /* FEMMS */
   },
-  { /* 1008 */
+  { /* 770 */
+    39,
+    /* FFREE */
+  },
+  { /* 771 */
+    38,
+    /* FICOM16m */
+  },
+  { /* 772 */
+    38,
+    /* FICOM32m */
+  },
+  { /* 773 */
+    38,
+    /* FICOMP16m */
+  },
+  { /* 774 */
+    38,
+    /* FICOMP32m */
+  },
+  { /* 775 */
     0,
-    /*  */
+    /* FINCSTP */
   },
-  { /* 1009 */
+  { /* 776 */
+    38,
+    /* FLDCW16m */
+  },
+  { /* 777 */
+    36,
+    /* FLDENVm */
+  },
+  { /* 778 */
     0,
-    /*  */
+    /* FLDL2E */
   },
-  { /* 1010 */
+  { /* 779 */
     0,
-    /*  */
+    /* FLDL2T */
   },
-  { /* 1011 */
+  { /* 780 */
     0,
-    /*  */
+    /* FLDLG2 */
   },
-  { /* 1012 */
+  { /* 781 */
     0,
-    /*  */
+    /* FLDLN2 */
   },
-  { /* 1013 */
+  { /* 782 */
     0,
-    /*  */
+    /* FLDPI */
   },
-  { /* 1014 */
+  { /* 783 */
     0,
-    /*  */
+    /* FNCLEX */
   },
-  { /* 1015 */
+  { /* 784 */
     0,
-    /*  */
+    /* FNINIT */
   },
-  { /* 1016 */
+  { /* 785 */
     0,
-    /*  */
+    /* FNOP */
   },
-  { /* 1017 */
+  { /* 786 */
+    38,
+    /* FNSTCW16m */
+  },
+  { /* 787 */
     0,
-    /*  */
+    /* FNSTSW16r */
   },
-  { /* 1018 */
+  { /* 788 */
+    36,
+    /* FNSTSWm */
+  },
+  { /* 789 */
     0,
     /*  */
   },
-  { /* 1019 */
+  { /* 790 */
     0,
     /*  */
   },
-  { /* 1020 */
+  { /* 791 */
     0,
     /*  */
   },
-  { /* 1021 */
+  { /* 792 */
     0,
     /*  */
   },
-  { /* 1022 */
+  { /* 793 */
     0,
     /*  */
   },
-  { /* 1023 */
+  { /* 794 */
     0,
     /*  */
   },
-  { /* 1024 */
+  { /* 795 */
     0,
     /*  */
   },
-  { /* 1025 */
+  { /* 796 */
     0,
     /*  */
   },
-  { /* 1026 */
+  { /* 797 */
     0,
     /*  */
   },
-  { /* 1027 */
+  { /* 798 */
     0,
-    /*  */
+    /* FPATAN */
   },
-  { /* 1028 */
+  { /* 799 */
     0,
-    /*  */
+    /* FPREM */
   },
-  { /* 1029 */
+  { /* 800 */
     0,
-    /*  */
+    /* FPREM1 */
   },
-  { /* 1030 */
+  { /* 801 */
     0,
-    /*  */
+    /* FPTAN */
   },
-  { /* 1031 */
+  { /* 802 */
+    39,
+    /* FP_FFREEP */
+  },
+  { /* 803 */
     0,
-    /*  */
+    /* FRNDINT */
   },
-  { /* 1032 */
+  { /* 804 */
+    36,
+    /* FRSTORm */
+  },
+  { /* 805 */
+    36,
+    /* FSAVEm */
+  },
+  { /* 806 */
     0,
-    /*  */
+    /* FSCALE */
   },
-  { /* 1033 */
+  { /* 807 */
     0,
-    /*  */
+    /* FSETPM */
   },
-  { /* 1034 */
+  { /* 808 */
     0,
-    /*  */
+    /* FSINCOS */
   },
-  { /* 1035 */
+  { /* 809 */
+    36,
+    /* FSTENVm */
+  },
+  { /* 810 */
     0,
-    /*  */
+    /* FXAM */
   },
-  { /* 1036 */
+  { /* 811 */
+    140,
+    /* FXRSTOR */
+  },
+  { /* 812 */
+    140,
+    /* FXRSTOR64 */
+  },
+  { /* 813 */
+    140,
+    /* FXSAVE */
+  },
+  { /* 814 */
+    140,
+    /* FXSAVE64 */
+  },
+  { /* 815 */
     0,
-    /*  */
+    /* FXTRACT */
   },
-  { /* 1037 */
+  { /* 816 */
     0,
-    /*  */
+    /* FYL2X */
   },
-  { /* 1038 */
+  { /* 817 */
     0,
-    /*  */
+    /* FYL2XP1 */
   },
-  { /* 1039 */
+  { /* 818 */
     0,
     /*  */
   },
-  { /* 1040 */
+  { /* 819 */
     0,
     /*  */
   },
-  { /* 1041 */
+  { /* 820 */
     0,
     /*  */
   },
-  { /* 1042 */
+  { /* 821 */
     0,
     /*  */
   },
-  { /* 1043 */
+  { /* 822 */
     0,
     /*  */
   },
-  { /* 1044 */
+  { /* 823 */
     0,
     /*  */
   },
-  { /* 1045 */
+  { /* 824 */
     0,
     /*  */
   },
-  { /* 1046 */
+  { /* 825 */
     0,
     /*  */
   },
-  { /* 1047 */
+  { /* 826 */
     0,
     /*  */
   },
-  { /* 1048 */
+  { /* 827 */
     0,
     /*  */
   },
-  { /* 1049 */
+  { /* 828 */
     0,
     /*  */
   },
-  { /* 1050 */
+  { /* 829 */
     0,
     /*  */
   },
-  { /* 1051 */
+  { /* 830 */
     0,
     /*  */
   },
-  { /* 1052 */
+  { /* 831 */
     0,
     /*  */
   },
-  { /* 1053 */
+  { /* 832 */
     0,
     /*  */
   },
-  { /* 1054 */
+  { /* 833 */
     0,
     /*  */
   },
-  { /* 1055 */
+  { /* 834 */
     0,
     /*  */
   },
-  { /* 1056 */
+  { /* 835 */
     0,
     /*  */
   },
-  { /* 1057 */
+  { /* 836 */
     0,
     /*  */
   },
-  { /* 1058 */
+  { /* 837 */
     0,
     /*  */
   },
-  { /* 1059 */
+  { /* 838 */
     0,
     /*  */
   },
-  { /* 1060 */
+  { /* 839 */
     0,
     /*  */
   },
-  { /* 1061 */
+  { /* 840 */
     0,
     /*  */
   },
-  { /* 1062 */
+  { /* 841 */
     0,
     /*  */
   },
-  { /* 1063 */
+  { /* 842 */
     0,
     /*  */
   },
-  { /* 1064 */
+  { /* 843 */
     0,
     /*  */
   },
-  { /* 1065 */
-    156,
-    /* JAE_1 */
-  },
-  { /* 1066 */
-    157,
-    /* JAE_2 */
-  },
-  { /* 1067 */
-    157,
-    /* JAE_4 */
-  },
-  { /* 1068 */
-    156,
-    /* JA_1 */
-  },
-  { /* 1069 */
-    157,
-    /* JA_2 */
-  },
-  { /* 1070 */
-    157,
-    /* JA_4 */
-  },
-  { /* 1071 */
-    156,
-    /* JBE_1 */
-  },
-  { /* 1072 */
-    157,
-    /* JBE_2 */
-  },
-  { /* 1073 */
-    157,
-    /* JBE_4 */
+  { /* 844 */
+    0,
+    /*  */
   },
-  { /* 1074 */
-    156,
-    /* JB_1 */
+  { /* 845 */
+    0,
+    /*  */
   },
-  { /* 1075 */
-    157,
-    /* JB_2 */
+  { /* 846 */
+    0,
+    /*  */
   },
-  { /* 1076 */
-    157,
-    /* JB_4 */
+  { /* 847 */
+    0,
+    /*  */
   },
-  { /* 1077 */
-    156,
-    /* JCXZ */
+  { /* 848 */
+    0,
+    /*  */
   },
-  { /* 1078 */
-    156,
-    /* JECXZ_32 */
+  { /* 849 */
+    0,
+    /*  */
   },
-  { /* 1079 */
-    156,
-    /* JECXZ_64 */
+  { /* 850 */
+    0,
+    /*  */
   },
-  { /* 1080 */
-    156,
-    /* JE_1 */
+  { /* 851 */
+    0,
+    /*  */
   },
-  { /* 1081 */
-    157,
-    /* JE_2 */
+  { /* 852 */
+    0,
+    /*  */
   },
-  { /* 1082 */
-    157,
-    /* JE_4 */
+  { /* 853 */
+    0,
+    /*  */
   },
-  { /* 1083 */
-    156,
-    /* JGE_1 */
+  { /* 854 */
+    0,
+    /*  */
   },
-  { /* 1084 */
-    157,
-    /* JGE_2 */
+  { /* 855 */
+    0,
+    /*  */
   },
-  { /* 1085 */
-    157,
-    /* JGE_4 */
+  { /* 856 */
+    0,
+    /* GETSEC */
   },
-  { /* 1086 */
-    156,
-    /* JG_1 */
+  { /* 857 */
+    30,
+    /* HADDPDrm */
   },
-  { /* 1087 */
-    157,
-    /* JG_2 */
+  { /* 858 */
+    31,
+    /* HADDPDrr */
   },
-  { /* 1088 */
-    157,
-    /* JG_4 */
+  { /* 859 */
+    30,
+    /* HADDPSrm */
   },
-  { /* 1089 */
-    156,
-    /* JLE_1 */
+  { /* 860 */
+    31,
+    /* HADDPSrr */
   },
-  { /* 1090 */
-    157,
-    /* JLE_2 */
+  { /* 861 */
+    0,
+    /* HLT */
   },
-  { /* 1091 */
-    157,
-    /* JLE_4 */
+  { /* 862 */
+    30,
+    /* HSUBPDrm */
   },
-  { /* 1092 */
-    156,
-    /* JL_1 */
+  { /* 863 */
+    31,
+    /* HSUBPDrr */
   },
-  { /* 1093 */
-    157,
-    /* JL_2 */
+  { /* 864 */
+    30,
+    /* HSUBPSrm */
   },
-  { /* 1094 */
-    157,
-    /* JL_4 */
+  { /* 865 */
+    31,
+    /* HSUBPSrr */
   },
-  { /* 1095 */
+  { /* 866 */
     38,
-    /* JMP16m */
+    /* IDIV16m */
   },
-  { /* 1096 */
+  { /* 867 */
     77,
-    /* JMP16r */
+    /* IDIV16r */
   },
-  { /* 1097 */
+  { /* 868 */
     38,
-    /* JMP32m */
+    /* IDIV32m */
   },
-  { /* 1098 */
+  { /* 869 */
     77,
-    /* JMP32r */
+    /* IDIV32r */
   },
-  { /* 1099 */
+  { /* 870 */
     38,
-    /* JMP64m */
+    /* IDIV64m */
   },
-  { /* 1100 */
+  { /* 871 */
     79,
-    /* JMP64r */
+    /* IDIV64r */
   },
-  { /* 1101 */
-    156,
-    /* JMP_1 */
+  { /* 872 */
+    82,
+    /* IDIV8m */
   },
-  { /* 1102 */
-    157,
-    /* JMP_2 */
+  { /* 873 */
+    130,
+    /* IDIV8r */
   },
-  { /* 1103 */
-    157,
-    /* JMP_4 */
+  { /* 874 */
+    38,
+    /* ILD_F16m */
   },
-  { /* 1104 */
-    156,
-    /* JNE_1 */
+  { /* 875 */
+    38,
+    /* ILD_F32m */
   },
-  { /* 1105 */
-    157,
-    /* JNE_2 */
+  { /* 876 */
+    38,
+    /* ILD_F64m */
   },
-  { /* 1106 */
-    157,
-    /* JNE_4 */
+  { /* 877 */
+    0,
+    /*  */
   },
-  { /* 1107 */
-    156,
-    /* JNO_1 */
+  { /* 878 */
+    0,
+    /*  */
   },
-  { /* 1108 */
-    157,
-    /* JNO_2 */
+  { /* 879 */
+    0,
+    /*  */
   },
-  { /* 1109 */
-    157,
-    /* JNO_4 */
+  { /* 880 */
+    0,
+    /*  */
   },
-  { /* 1110 */
-    156,
-    /* JNP_1 */
+  { /* 881 */
+    0,
+    /*  */
   },
-  { /* 1111 */
-    157,
-    /* JNP_2 */
+  { /* 882 */
+    0,
+    /*  */
   },
-  { /* 1112 */
-    157,
-    /* JNP_4 */
+  { /* 883 */
+    0,
+    /*  */
   },
-  { /* 1113 */
-    156,
-    /* JNS_1 */
+  { /* 884 */
+    0,
+    /*  */
   },
-  { /* 1114 */
-    157,
-    /* JNS_2 */
+  { /* 885 */
+    0,
+    /*  */
   },
-  { /* 1115 */
-    157,
-    /* JNS_4 */
+  { /* 886 */
+    38,
+    /* IMUL16m */
   },
-  { /* 1116 */
-    156,
-    /* JO_1 */
+  { /* 887 */
+    77,
+    /* IMUL16r */
   },
-  { /* 1117 */
-    157,
-    /* JO_2 */
+  { /* 888 */
+    8,
+    /* IMUL16rm */
   },
-  { /* 1118 */
-    157,
-    /* JO_4 */
+  { /* 889 */
+    141,
+    /* IMUL16rmi */
   },
-  { /* 1119 */
-    156,
-    /* JP_1 */
+  { /* 890 */
+    142,
+    /* IMUL16rmi8 */
   },
-  { /* 1120 */
-    157,
-    /* JP_2 */
+  { /* 891 */
+    10,
+    /* IMUL16rr */
   },
-  { /* 1121 */
-    157,
-    /* JP_4 */
+  { /* 892 */
+    143,
+    /* IMUL16rri */
   },
-  { /* 1122 */
-    156,
-    /* JRCXZ */
+  { /* 893 */
+    144,
+    /* IMUL16rri8 */
   },
-  { /* 1123 */
-    156,
-    /* JS_1 */
+  { /* 894 */
+    38,
+    /* IMUL32m */
   },
-  { /* 1124 */
-    157,
-    /* JS_2 */
+  { /* 895 */
+    77,
+    /* IMUL32r */
   },
-  { /* 1125 */
-    157,
-    /* JS_4 */
+  { /* 896 */
+    8,
+    /* IMUL32rm */
   },
-  { /* 1126 */
-    158,
-    /* KANDBrr */
+  { /* 897 */
+    141,
+    /* IMUL32rmi */
   },
-  { /* 1127 */
-    159,
-    /* KANDDrr */
+  { /* 898 */
+    145,
+    /* IMUL32rmi8 */
   },
-  { /* 1128 */
-    158,
-    /* KANDNBrr */
+  { /* 899 */
+    10,
+    /* IMUL32rr */
   },
-  { /* 1129 */
-    159,
-    /* KANDNDrr */
+  { /* 900 */
+    143,
+    /* IMUL32rri */
   },
-  { /* 1130 */
-    160,
-    /* KANDNQrr */
+  { /* 901 */
+    146,
+    /* IMUL32rri8 */
   },
-  { /* 1131 */
-    161,
-    /* KANDNWrr */
+  { /* 902 */
+    38,
+    /* IMUL64m */
   },
-  { /* 1132 */
-    160,
-    /* KANDQrr */
+  { /* 903 */
+    79,
+    /* IMUL64r */
   },
-  { /* 1133 */
-    161,
-    /* KANDWrr */
+  { /* 904 */
+    19,
+    /* IMUL64rm */
   },
-  { /* 1134 */
-    162,
-    /* KMOVBkk */
+  { /* 905 */
+    60,
+    /* IMUL64rmi32 */
   },
-  { /* 1135 */
-    163,
-    /* KMOVBkm */
+  { /* 906 */
+    147,
+    /* IMUL64rmi8 */
   },
-  { /* 1136 */
-    164,
-    /* KMOVBkr */
+  { /* 907 */
+    21,
+    /* IMUL64rr */
   },
-  { /* 1137 */
-    165,
-    /* KMOVBmk */
+  { /* 908 */
+    61,
+    /* IMUL64rri32 */
   },
-  { /* 1138 */
-    166,
-    /* KMOVBrk */
+  { /* 909 */
+    148,
+    /* IMUL64rri8 */
   },
-  { /* 1139 */
-    167,
-    /* KMOVDkk */
+  { /* 910 */
+    82,
+    /* IMUL8m */
   },
-  { /* 1140 */
-    168,
-    /* KMOVDkm */
+  { /* 911 */
+    130,
+    /* IMUL8r */
   },
-  { /* 1141 */
-    169,
-    /* KMOVDkr */
+  { /* 912 */
+    1,
+    /* IN16ri */
   },
-  { /* 1142 */
-    170,
-    /* KMOVDmk */
+  { /* 913 */
+    0,
+    /* IN16rr */
   },
-  { /* 1143 */
-    171,
-    /* KMOVDrk */
+  { /* 914 */
+    1,
+    /* IN32ri */
   },
-  { /* 1144 */
-    172,
-    /* KMOVQkk */
+  { /* 915 */
+    0,
+    /* IN32rr */
   },
-  { /* 1145 */
-    173,
-    /* KMOVQkm */
+  { /* 916 */
+    1,
+    /* IN8ri */
   },
-  { /* 1146 */
-    174,
-    /* KMOVQkr */
+  { /* 917 */
+    0,
+    /* IN8rr */
   },
-  { /* 1147 */
-    175,
-    /* KMOVQmk */
+  { /* 918 */
+    38,
+    /* INC16m */
   },
-  { /* 1148 */
-    176,
-    /* KMOVQrk */
+  { /* 919 */
+    127,
+    /* INC16r */
   },
-  { /* 1149 */
-    177,
-    /* KMOVWkk */
+  { /* 920 */
+    70,
+    /* INC16r_alt */
   },
-  { /* 1150 */
-    178,
-    /* KMOVWkm */
+  { /* 921 */
+    38,
+    /* INC32m */
   },
-  { /* 1151 */
-    179,
-    /* KMOVWkr */
+  { /* 922 */
+    127,
+    /* INC32r */
   },
-  { /* 1152 */
-    180,
-    /* KMOVWmk */
+  { /* 923 */
+    70,
+    /* INC32r_alt */
   },
-  { /* 1153 */
-    181,
-    /* KMOVWrk */
+  { /* 924 */
+    38,
+    /* INC64m */
   },
-  { /* 1154 */
-    162,
-    /* KNOTBrr */
+  { /* 925 */
+    128,
+    /* INC64r */
   },
-  { /* 1155 */
-    167,
-    /* KNOTDrr */
+  { /* 926 */
+    82,
+    /* INC8m */
   },
-  { /* 1156 */
-    172,
-    /* KNOTQrr */
+  { /* 927 */
+    129,
+    /* INC8r */
   },
-  { /* 1157 */
-    177,
-    /* KNOTWrr */
+  { /* 928 */
+    149,
+    /* INSB */
   },
-  { /* 1158 */
-    158,
-    /* KORBrr */
+  { /* 929 */
+    150,
+    /* INSERTPSrm */
   },
-  { /* 1159 */
-    159,
-    /* KORDrr */
+  { /* 930 */
+    67,
+    /* INSERTPSrr */
   },
-  { /* 1160 */
-    160,
-    /* KORQrr */
+  { /* 931 */
+    31,
+    /* INSERTQ */
   },
-  { /* 1161 */
-    177,
-    /* KORTESTWrr */
+  { /* 932 */
+    151,
+    /* INSERTQI */
   },
-  { /* 1162 */
-    161,
-    /* KORWrr */
+  { /* 933 */
+    152,
+    /* INSL */
   },
-  { /* 1163 */
-    0,
-    /*  */
+  { /* 934 */
+    153,
+    /* INSW */
   },
-  { /* 1164 */
-    0,
-    /*  */
+  { /* 935 */
+    1,
+    /* INT */
   },
-  { /* 1165 */
+  { /* 936 */
     0,
-    /*  */
+    /* INT1 */
   },
-  { /* 1166 */
+  { /* 937 */
     0,
-    /*  */
+    /* INT3 */
   },
-  { /* 1167 */
-    182,
-    /* KSHIFTLWri */
+  { /* 938 */
+    0,
+    /* INTO */
   },
-  { /* 1168 */
-    182,
-    /* KSHIFTRWri */
+  { /* 939 */
+    0,
+    /* INVD */
   },
-  { /* 1169 */
-    161,
-    /* KUNPCKBWrr */
+  { /* 940 */
+    154,
+    /* INVEPT32 */
   },
-  { /* 1170 */
-    158,
-    /* KXNORBrr */
+  { /* 941 */
+    155,
+    /* INVEPT64 */
   },
-  { /* 1171 */
-    159,
-    /* KXNORDrr */
+  { /* 942 */
+    82,
+    /* INVLPG */
   },
-  { /* 1172 */
-    160,
-    /* KXNORQrr */
+  { /* 943 */
+    0,
+    /* INVLPGA32 */
   },
-  { /* 1173 */
-    161,
-    /* KXNORWrr */
+  { /* 944 */
+    0,
+    /* INVLPGA64 */
   },
-  { /* 1174 */
-    158,
-    /* KXORBrr */
+  { /* 945 */
+    154,
+    /* INVPCID32 */
   },
-  { /* 1175 */
-    159,
-    /* KXORDrr */
+  { /* 946 */
+    155,
+    /* INVPCID64 */
   },
-  { /* 1176 */
-    160,
-    /* KXORQrr */
+  { /* 947 */
+    154,
+    /* INVVPID32 */
   },
-  { /* 1177 */
-    161,
-    /* KXORWrr */
+  { /* 948 */
+    155,
+    /* INVVPID64 */
   },
-  { /* 1178 */
+  { /* 949 */
     0,
-    /* LAHF */
-  },
-  { /* 1179 */
-    68,
-    /* LAR16rm */
+    /* IRET16 */
   },
-  { /* 1180 */
-    69,
-    /* LAR16rr */
+  { /* 950 */
+    0,
+    /* IRET32 */
   },
-  { /* 1181 */
-    68,
-    /* LAR32rm */
+  { /* 951 */
+    0,
+    /* IRET64 */
   },
-  { /* 1182 */
-    69,
-    /* LAR32rr */
+  { /* 952 */
+    38,
+    /* ISTT_FP16m */
   },
-  { /* 1183 */
-    42,
-    /* LAR64rm */
+  { /* 953 */
+    38,
+    /* ISTT_FP32m */
   },
-  { /* 1184 */
-    183,
-    /* LAR64rr */
+  { /* 954 */
+    38,
+    /* ISTT_FP64m */
   },
-  { /* 1185 */
+  { /* 955 */
     0,
     /*  */
   },
-  { /* 1186 */
+  { /* 956 */
     0,
     /*  */
   },
-  { /* 1187 */
+  { /* 957 */
     0,
     /*  */
   },
-  { /* 1188 */
+  { /* 958 */
     0,
     /*  */
   },
-  { /* 1189 */
+  { /* 959 */
     0,
     /*  */
   },
-  { /* 1190 */
+  { /* 960 */
     0,
     /*  */
   },
-  { /* 1191 */
-    44,
-    /* LDDQUrm */
-  },
-  { /* 1192 */
-    38,
-    /* LDMXCSR */
-  },
-  { /* 1193 */
-    184,
-    /* LDS16rm */
-  },
-  { /* 1194 */
-    185,
-    /* LDS32rm */
+  { /* 961 */
+    0,
+    /*  */
   },
-  { /* 1195 */
+  { /* 962 */
     0,
-    /* LD_F0 */
+    /*  */
   },
-  { /* 1196 */
+  { /* 963 */
     0,
-    /* LD_F1 */
+    /*  */
   },
-  { /* 1197 */
-    36,
-    /* LD_F32m */
+  { /* 964 */
+    38,
+    /* IST_F16m */
   },
-  { /* 1198 */
-    37,
-    /* LD_F64m */
+  { /* 965 */
+    38,
+    /* IST_F32m */
   },
-  { /* 1199 */
-    186,
-    /* LD_F80m */
+  { /* 966 */
+    38,
+    /* IST_FP16m */
   },
-  { /* 1200 */
+  { /* 967 */
+    38,
+    /* IST_FP32m */
+  },
+  { /* 968 */
+    38,
+    /* IST_FP64m */
+  },
+  { /* 969 */
     0,
     /*  */
   },
-  { /* 1201 */
+  { /* 970 */
     0,
     /*  */
   },
-  { /* 1202 */
+  { /* 971 */
     0,
     /*  */
   },
-  { /* 1203 */
+  { /* 972 */
     0,
     /*  */
   },
-  { /* 1204 */
+  { /* 973 */
     0,
     /*  */
   },
-  { /* 1205 */
+  { /* 974 */
     0,
     /*  */
   },
-  { /* 1206 */
+  { /* 975 */
     0,
     /*  */
   },
-  { /* 1207 */
+  { /* 976 */
     0,
     /*  */
   },
-  { /* 1208 */
+  { /* 977 */
     0,
     /*  */
   },
-  { /* 1209 */
+  { /* 978 */
     0,
     /*  */
   },
-  { /* 1210 */
+  { /* 979 */
     0,
     /*  */
   },
-  { /* 1211 */
+  { /* 980 */
     0,
     /*  */
   },
-  { /* 1212 */
-    39,
-    /* LD_Frr */
-  },
-  { /* 1213 */
-    68,
-    /* LEA16r */
-  },
-  { /* 1214 */
-    68,
-    /* LEA32r */
-  },
-  { /* 1215 */
-    187,
-    /* LEA64_32r */
-  },
-  { /* 1216 */
-    188,
-    /* LEA64r */
-  },
-  { /* 1217 */
+  { /* 981 */
     0,
-    /* LEAVE */
+    /*  */
   },
-  { /* 1218 */
+  { /* 982 */
     0,
-    /* LEAVE64 */
-  },
-  { /* 1219 */
-    184,
-    /* LES16rm */
-  },
-  { /* 1220 */
-    185,
-    /* LES32rm */
+    /*  */
   },
-  { /* 1221 */
+  { /* 983 */
     0,
-    /* LFENCE */
-  },
-  { /* 1222 */
-    184,
-    /* LFS16rm */
-  },
-  { /* 1223 */
-    185,
-    /* LFS32rm */
-  },
-  { /* 1224 */
-    189,
-    /* LFS64rm */
-  },
-  { /* 1225 */
-    138,
-    /* LGDT16m */
-  },
-  { /* 1226 */
-    138,
-    /* LGDT32m */
-  },
-  { /* 1227 */
-    139,
-    /* LGDT64m */
-  },
-  { /* 1228 */
-    184,
-    /* LGS16rm */
-  },
-  { /* 1229 */
-    185,
-    /* LGS32rm */
-  },
-  { /* 1230 */
-    189,
-    /* LGS64rm */
-  },
-  { /* 1231 */
-    138,
-    /* LIDT16m */
-  },
-  { /* 1232 */
-    138,
-    /* LIDT32m */
-  },
-  { /* 1233 */
-    139,
-    /* LIDT64m */
-  },
-  { /* 1234 */
-    38,
-    /* LLDT16m */
-  },
-  { /* 1235 */
-    190,
-    /* LLDT16r */
-  },
-  { /* 1236 */
-    38,
-    /* LMSW16m */
-  },
-  { /* 1237 */
-    190,
-    /* LMSW16r */
+    /*  */
   },
-  { /* 1238 */
+  { /* 984 */
     0,
     /*  */
   },
-  { /* 1239 */
+  { /* 985 */
     0,
     /*  */
   },
-  { /* 1240 */
+  { /* 986 */
     0,
     /*  */
   },
-  { /* 1241 */
+  { /* 987 */
     0,
     /*  */
   },
-  { /* 1242 */
+  { /* 988 */
     0,
     /*  */
   },
-  { /* 1243 */
+  { /* 989 */
     0,
     /*  */
   },
-  { /* 1244 */
+  { /* 990 */
     0,
     /*  */
   },
-  { /* 1245 */
+  { /* 991 */
     0,
     /*  */
   },
-  { /* 1246 */
+  { /* 992 */
     0,
     /*  */
   },
-  { /* 1247 */
+  { /* 993 */
     0,
     /*  */
   },
-  { /* 1248 */
+  { /* 994 */
     0,
     /*  */
   },
-  { /* 1249 */
+  { /* 995 */
     0,
     /*  */
   },
-  { /* 1250 */
+  { /* 996 */
     0,
     /*  */
   },
-  { /* 1251 */
+  { /* 997 */
     0,
     /*  */
   },
-  { /* 1252 */
+  { /* 998 */
     0,
     /*  */
   },
-  { /* 1253 */
+  { /* 999 */
     0,
     /*  */
   },
-  { /* 1254 */
+  { /* 1000 */
     0,
     /*  */
   },
-  { /* 1255 */
+  { /* 1001 */
     0,
     /*  */
   },
-  { /* 1256 */
+  { /* 1002 */
     0,
     /*  */
   },
-  { /* 1257 */
+  { /* 1003 */
     0,
     /*  */
   },
-  { /* 1258 */
+  { /* 1004 */
     0,
     /*  */
   },
-  { /* 1259 */
+  { /* 1005 */
     0,
     /*  */
   },
-  { /* 1260 */
+  { /* 1006 */
     0,
     /*  */
   },
-  { /* 1261 */
+  { /* 1007 */
     0,
     /*  */
   },
-  { /* 1262 */
+  { /* 1008 */
     0,
     /*  */
   },
-  { /* 1263 */
+  { /* 1009 */
     0,
     /*  */
   },
-  { /* 1264 */
+  { /* 1010 */
     0,
     /*  */
   },
-  { /* 1265 */
+  { /* 1011 */
     0,
     /*  */
   },
-  { /* 1266 */
+  { /* 1012 */
     0,
     /*  */
   },
-  { /* 1267 */
+  { /* 1013 */
     0,
     /*  */
   },
-  { /* 1268 */
+  { /* 1014 */
     0,
     /*  */
   },
-  { /* 1269 */
+  { /* 1015 */
     0,
     /*  */
   },
-  { /* 1270 */
+  { /* 1016 */
     0,
     /*  */
   },
-  { /* 1271 */
+  { /* 1017 */
     0,
     /*  */
   },
-  { /* 1272 */
+  { /* 1018 */
     0,
     /*  */
   },
-  { /* 1273 */
+  { /* 1019 */
     0,
     /*  */
   },
-  { /* 1274 */
+  { /* 1020 */
     0,
     /*  */
   },
-  { /* 1275 */
+  { /* 1021 */
     0,
     /*  */
   },
-  { /* 1276 */
+  { /* 1022 */
     0,
     /*  */
   },
-  { /* 1277 */
+  { /* 1023 */
     0,
     /*  */
   },
-  { /* 1278 */
+  { /* 1024 */
     0,
     /*  */
   },
-  { /* 1279 */
+  { /* 1025 */
     0,
-    /* LOCK_PREFIX */
+    /*  */
   },
-  { /* 1280 */
+  { /* 1026 */
     0,
     /*  */
   },
-  { /* 1281 */
+  { /* 1027 */
     0,
     /*  */
   },
-  { /* 1282 */
+  { /* 1028 */
     0,
     /*  */
   },
-  { /* 1283 */
+  { /* 1029 */
     0,
     /*  */
   },
-  { /* 1284 */
+  { /* 1030 */
     0,
     /*  */
   },
-  { /* 1285 */
+  { /* 1031 */
     0,
     /*  */
   },
-  { /* 1286 */
+  { /* 1032 */
     0,
     /*  */
   },
-  { /* 1287 */
+  { /* 1033 */
     0,
     /*  */
   },
-  { /* 1288 */
+  { /* 1034 */
     0,
     /*  */
   },
-  { /* 1289 */
+  { /* 1035 */
     0,
     /*  */
   },
-  { /* 1290 */
+  { /* 1036 */
     0,
     /*  */
   },
-  { /* 1291 */
+  { /* 1037 */
     0,
     /*  */
   },
-  { /* 1292 */
+  { /* 1038 */
     0,
     /*  */
   },
-  { /* 1293 */
+  { /* 1039 */
     0,
     /*  */
   },
-  { /* 1294 */
+  { /* 1040 */
     0,
     /*  */
   },
-  { /* 1295 */
+  { /* 1041 */
     0,
     /*  */
   },
-  { /* 1296 */
+  { /* 1042 */
     0,
     /*  */
   },
-  { /* 1297 */
+  { /* 1043 */
     0,
     /*  */
   },
-  { /* 1298 */
+  { /* 1044 */
     0,
     /*  */
   },
-  { /* 1299 */
+  { /* 1045 */
     0,
     /*  */
   },
-  { /* 1300 */
+  { /* 1046 */
     0,
     /*  */
   },
-  { /* 1301 */
+  { /* 1047 */
     0,
     /*  */
   },
-  { /* 1302 */
-    191,
-    /* LODSB */
-  },
-  { /* 1303 */
-    192,
-    /* LODSL */
-  },
-  { /* 1304 */
-    193,
-    /* LODSQ */
-  },
-  { /* 1305 */
-    194,
-    /* LODSW */
-  },
-  { /* 1306 */
-    156,
-    /* LOOP */
-  },
-  { /* 1307 */
-    156,
-    /* LOOPE */
-  },
-  { /* 1308 */
-    156,
-    /* LOOPNE */
-  },
-  { /* 1309 */
-    195,
-    /* LRETIL */
-  },
-  { /* 1310 */
-    195,
-    /* LRETIQ */
-  },
-  { /* 1311 */
-    2,
-    /* LRETIW */
-  },
-  { /* 1312 */
+  { /* 1048 */
     0,
-    /* LRETL */
+    /*  */
   },
-  { /* 1313 */
+  { /* 1049 */
     0,
-    /* LRETQ */
+    /*  */
   },
-  { /* 1314 */
+  { /* 1050 */
     0,
-    /* LRETW */
-  },
-  { /* 1315 */
-    68,
-    /* LSL16rm */
-  },
-  { /* 1316 */
-    69,
-    /* LSL16rr */
-  },
-  { /* 1317 */
-    68,
-    /* LSL32rm */
-  },
-  { /* 1318 */
-    69,
-    /* LSL32rr */
-  },
-  { /* 1319 */
-    42,
-    /* LSL64rm */
-  },
-  { /* 1320 */
-    43,
-    /* LSL64rr */
-  },
-  { /* 1321 */
-    184,
-    /* LSS16rm */
-  },
-  { /* 1322 */
-    185,
-    /* LSS32rm */
-  },
-  { /* 1323 */
-    189,
-    /* LSS64rm */
-  },
-  { /* 1324 */
-    38,
-    /* LTRm */
-  },
-  { /* 1325 */
-    190,
-    /* LTRr */
+    /*  */
   },
-  { /* 1326 */
+  { /* 1051 */
     0,
     /*  */
   },
-  { /* 1327 */
+  { /* 1052 */
     0,
     /*  */
   },
-  { /* 1328 */
+  { /* 1053 */
     0,
     /*  */
   },
-  { /* 1329 */
+  { /* 1054 */
     0,
     /*  */
   },
-  { /* 1330 */
-    68,
-    /* LZCNT16rm */
-  },
-  { /* 1331 */
-    69,
-    /* LZCNT16rr */
-  },
-  { /* 1332 */
-    68,
-    /* LZCNT32rm */
-  },
-  { /* 1333 */
-    69,
-    /* LZCNT32rr */
-  },
-  { /* 1334 */
-    42,
-    /* LZCNT64rm */
-  },
-  { /* 1335 */
-    43,
-    /* LZCNT64rr */
-  },
-  { /* 1336 */
-    45,
-    /* MASKMOVDQU */
-  },
-  { /* 1337 */
-    45,
-    /* MASKMOVDQU64 */
-  },
-  { /* 1338 */
+  { /* 1055 */
     0,
     /*  */
   },
-  { /* 1339 */
+  { /* 1056 */
     0,
     /*  */
   },
-  { /* 1340 */
+  { /* 1057 */
     0,
     /*  */
   },
-  { /* 1341 */
+  { /* 1058 */
     0,
     /*  */
   },
-  { /* 1342 */
+  { /* 1059 */
     0,
     /*  */
   },
-  { /* 1343 */
+  { /* 1060 */
     0,
     /*  */
   },
-  { /* 1344 */
+  { /* 1061 */
     0,
     /*  */
   },
-  { /* 1345 */
+  { /* 1062 */
     0,
     /*  */
   },
-  { /* 1346 */
-    30,
-    /* MAXPDrm */
-  },
-  { /* 1347 */
-    31,
-    /* MAXPDrr */
-  },
-  { /* 1348 */
-    30,
-    /* MAXPSrm */
-  },
-  { /* 1349 */
-    31,
-    /* MAXPSrr */
-  },
-  { /* 1350 */
-    32,
-    /* MAXSDrm */
-  },
-  { /* 1351 */
+  { /* 1063 */
     0,
     /*  */
   },
-  { /* 1352 */
-    33,
-    /* MAXSDrr */
-  },
-  { /* 1353 */
+  { /* 1064 */
     0,
     /*  */
   },
-  { /* 1354 */
-    34,
-    /* MAXSSrm */
-  },
-  { /* 1355 */
+  { /* 1065 */
     0,
     /*  */
   },
-  { /* 1356 */
-    35,
-    /* MAXSSrr */
-  },
-  { /* 1357 */
+  { /* 1066 */
     0,
     /*  */
   },
-  { /* 1358 */
+  { /* 1067 */
     0,
-    /* MFENCE */
+    /*  */
   },
-  { /* 1359 */
+  { /* 1068 */
     0,
     /*  */
   },
-  { /* 1360 */
+  { /* 1069 */
     0,
     /*  */
   },
-  { /* 1361 */
+  { /* 1070 */
     0,
     /*  */
   },
-  { /* 1362 */
+  { /* 1071 */
     0,
     /*  */
   },
-  { /* 1363 */
+  { /* 1072 */
     0,
     /*  */
   },
-  { /* 1364 */
+  { /* 1073 */
     0,
     /*  */
   },
-  { /* 1365 */
+  { /* 1074 */
     0,
     /*  */
   },
-  { /* 1366 */
+  { /* 1075 */
     0,
     /*  */
   },
-  { /* 1367 */
-    30,
-    /* MINPDrm */
-  },
-  { /* 1368 */
-    31,
-    /* MINPDrr */
-  },
-  { /* 1369 */
-    30,
-    /* MINPSrm */
-  },
-  { /* 1370 */
-    31,
-    /* MINPSrr */
-  },
-  { /* 1371 */
-    32,
-    /* MINSDrm */
-  },
-  { /* 1372 */
+  { /* 1076 */
     0,
     /*  */
   },
-  { /* 1373 */
-    33,
-    /* MINSDrr */
+  { /* 1077 */
+    0,
+    /*  */
   },
-  { /* 1374 */
+  { /* 1078 */
     0,
     /*  */
   },
-  { /* 1375 */
-    34,
-    /* MINSSrm */
+  { /* 1079 */
+    0,
+    /*  */
   },
-  { /* 1376 */
+  { /* 1080 */
     0,
     /*  */
   },
-  { /* 1377 */
-    35,
-    /* MINSSrr */
+  { /* 1081 */
+    0,
+    /*  */
   },
-  { /* 1378 */
+  { /* 1082 */
     0,
     /*  */
   },
-  { /* 1379 */
-    196,
-    /* MMX_CVTPD2PIirm */
+  { /* 1083 */
+    156,
+    /* JAE_1 */
   },
-  { /* 1380 */
-    197,
-    /* MMX_CVTPD2PIirr */
+  { /* 1084 */
+    157,
+    /* JAE_2 */
   },
-  { /* 1381 */
-    105,
-    /* MMX_CVTPI2PDirm */
+  { /* 1085 */
+    157,
+    /* JAE_4 */
   },
-  { /* 1382 */
-    198,
-    /* MMX_CVTPI2PDirr */
+  { /* 1086 */
+    156,
+    /* JA_1 */
   },
-  { /* 1383 */
-    199,
-    /* MMX_CVTPI2PSirm */
+  { /* 1087 */
+    157,
+    /* JA_2 */
   },
-  { /* 1384 */
-    200,
-    /* MMX_CVTPI2PSirr */
+  { /* 1088 */
+    157,
+    /* JA_4 */
   },
-  { /* 1385 */
-    201,
-    /* MMX_CVTPS2PIirm */
+  { /* 1089 */
+    156,
+    /* JBE_1 */
   },
-  { /* 1386 */
-    197,
-    /* MMX_CVTPS2PIirr */
+  { /* 1090 */
+    157,
+    /* JBE_2 */
   },
-  { /* 1387 */
-    196,
-    /* MMX_CVTTPD2PIirm */
+  { /* 1091 */
+    157,
+    /* JBE_4 */
   },
-  { /* 1388 */
-    197,
-    /* MMX_CVTTPD2PIirr */
+  { /* 1092 */
+    156,
+    /* JB_1 */
   },
-  { /* 1389 */
-    201,
-    /* MMX_CVTTPS2PIirm */
+  { /* 1093 */
+    157,
+    /* JB_2 */
   },
-  { /* 1390 */
-    197,
-    /* MMX_CVTTPS2PIirr */
+  { /* 1094 */
+    157,
+    /* JB_4 */
   },
-  { /* 1391 */
-    0,
-    /* MMX_EMMS */
+  { /* 1095 */
+    156,
+    /* JCXZ */
   },
-  { /* 1392 */
-    202,
-    /* MMX_MASKMOVQ */
+  { /* 1096 */
+    156,
+    /* JECXZ */
   },
-  { /* 1393 */
-    202,
-    /* MMX_MASKMOVQ64 */
+  { /* 1097 */
+    156,
+    /* JE_1 */
   },
-  { /* 1394 */
-    203,
-    /* MMX_MOVD64from64rr */
+  { /* 1098 */
+    157,
+    /* JE_2 */
   },
-  { /* 1395 */
-    204,
-    /* MMX_MOVD64grr */
+  { /* 1099 */
+    157,
+    /* JE_4 */
   },
-  { /* 1396 */
-    205,
-    /* MMX_MOVD64mr */
+  { /* 1100 */
+    156,
+    /* JGE_1 */
   },
-  { /* 1397 */
-    206,
-    /* MMX_MOVD64rm */
+  { /* 1101 */
+    157,
+    /* JGE_2 */
   },
-  { /* 1398 */
-    207,
-    /* MMX_MOVD64rr */
+  { /* 1102 */
+    157,
+    /* JGE_4 */
   },
-  { /* 1399 */
-    208,
-    /* MMX_MOVD64to64rr */
+  { /* 1103 */
+    156,
+    /* JG_1 */
   },
-  { /* 1400 */
-    197,
-    /* MMX_MOVDQ2Qrr */
+  { /* 1104 */
+    157,
+    /* JG_2 */
   },
-  { /* 1401 */
-    0,
-    /*  */
+  { /* 1105 */
+    157,
+    /* JG_4 */
   },
-  { /* 1402 */
-    205,
-    /* MMX_MOVNTQmr */
+  { /* 1106 */
+    156,
+    /* JLE_1 */
   },
-  { /* 1403 */
-    198,
-    /* MMX_MOVQ2DQrr */
+  { /* 1107 */
+    157,
+    /* JLE_2 */
   },
-  { /* 1404 */
-    0,
-    /*  */
+  { /* 1108 */
+    157,
+    /* JLE_4 */
   },
-  { /* 1405 */
-    205,
-    /* MMX_MOVQ64mr */
+  { /* 1109 */
+    156,
+    /* JL_1 */
   },
-  { /* 1406 */
-    206,
-    /* MMX_MOVQ64rm */
+  { /* 1110 */
+    157,
+    /* JL_2 */
   },
-  { /* 1407 */
-    202,
-    /* MMX_MOVQ64rr */
+  { /* 1111 */
+    157,
+    /* JL_4 */
   },
-  { /* 1408 */
-    209,
-    /* MMX_MOVQ64rr_REV */
+  { /* 1112 */
+    38,
+    /* JMP16m */
   },
-  { /* 1409 */
-    206,
-    /* MMX_PABSBrm64 */
+  { /* 1113 */
+    77,
+    /* JMP16r */
   },
-  { /* 1410 */
-    202,
-    /* MMX_PABSBrr64 */
+  { /* 1114 */
+    38,
+    /* JMP32m */
   },
-  { /* 1411 */
-    206,
-    /* MMX_PABSDrm64 */
+  { /* 1115 */
+    77,
+    /* JMP32r */
   },
-  { /* 1412 */
-    202,
-    /* MMX_PABSDrr64 */
+  { /* 1116 */
+    38,
+    /* JMP64m */
   },
-  { /* 1413 */
-    206,
-    /* MMX_PABSWrm64 */
+  { /* 1117 */
+    79,
+    /* JMP64r */
   },
-  { /* 1414 */
-    202,
-    /* MMX_PABSWrr64 */
+  { /* 1118 */
+    156,
+    /* JMP_1 */
   },
-  { /* 1415 */
-    210,
-    /* MMX_PACKSSDWirm */
+  { /* 1119 */
+    157,
+    /* JMP_2 */
   },
-  { /* 1416 */
-    211,
-    /* MMX_PACKSSDWirr */
+  { /* 1120 */
+    157,
+    /* JMP_4 */
   },
-  { /* 1417 */
-    210,
-    /* MMX_PACKSSWBirm */
+  { /* 1121 */
+    156,
+    /* JNE_1 */
   },
-  { /* 1418 */
-    211,
-    /* MMX_PACKSSWBirr */
+  { /* 1122 */
+    157,
+    /* JNE_2 */
   },
-  { /* 1419 */
-    210,
-    /* MMX_PACKUSWBirm */
+  { /* 1123 */
+    157,
+    /* JNE_4 */
   },
-  { /* 1420 */
-    211,
-    /* MMX_PACKUSWBirr */
+  { /* 1124 */
+    156,
+    /* JNO_1 */
   },
-  { /* 1421 */
-    210,
-    /* MMX_PADDBirm */
+  { /* 1125 */
+    157,
+    /* JNO_2 */
   },
-  { /* 1422 */
-    211,
-    /* MMX_PADDBirr */
+  { /* 1126 */
+    157,
+    /* JNO_4 */
   },
-  { /* 1423 */
-    210,
-    /* MMX_PADDDirm */
+  { /* 1127 */
+    156,
+    /* JNP_1 */
   },
-  { /* 1424 */
-    211,
-    /* MMX_PADDDirr */
+  { /* 1128 */
+    157,
+    /* JNP_2 */
   },
-  { /* 1425 */
-    210,
-    /* MMX_PADDQirm */
+  { /* 1129 */
+    157,
+    /* JNP_4 */
   },
-  { /* 1426 */
-    211,
-    /* MMX_PADDQirr */
+  { /* 1130 */
+    156,
+    /* JNS_1 */
   },
-  { /* 1427 */
-    210,
-    /* MMX_PADDSBirm */
+  { /* 1131 */
+    157,
+    /* JNS_2 */
   },
-  { /* 1428 */
-    211,
-    /* MMX_PADDSBirr */
+  { /* 1132 */
+    157,
+    /* JNS_4 */
   },
-  { /* 1429 */
-    210,
-    /* MMX_PADDSWirm */
+  { /* 1133 */
+    156,
+    /* JO_1 */
   },
-  { /* 1430 */
-    211,
-    /* MMX_PADDSWirr */
+  { /* 1134 */
+    157,
+    /* JO_2 */
   },
-  { /* 1431 */
-    210,
-    /* MMX_PADDUSBirm */
+  { /* 1135 */
+    157,
+    /* JO_4 */
   },
-  { /* 1432 */
-    211,
-    /* MMX_PADDUSBirr */
+  { /* 1136 */
+    156,
+    /* JP_1 */
   },
-  { /* 1433 */
-    210,
-    /* MMX_PADDUSWirm */
+  { /* 1137 */
+    157,
+    /* JP_2 */
   },
-  { /* 1434 */
-    211,
-    /* MMX_PADDUSWirr */
+  { /* 1138 */
+    157,
+    /* JP_4 */
   },
-  { /* 1435 */
-    210,
-    /* MMX_PADDWirm */
+  { /* 1139 */
+    156,
+    /* JRCXZ */
   },
-  { /* 1436 */
-    211,
-    /* MMX_PADDWirr */
+  { /* 1140 */
+    156,
+    /* JS_1 */
   },
-  { /* 1437 */
-    212,
-    /* MMX_PALIGNR64irm */
+  { /* 1141 */
+    157,
+    /* JS_2 */
   },
-  { /* 1438 */
-    213,
-    /* MMX_PALIGNR64irr */
+  { /* 1142 */
+    157,
+    /* JS_4 */
   },
-  { /* 1439 */
-    210,
-    /* MMX_PANDNirm */
+  { /* 1143 */
+    158,
+    /* KANDBrr */
   },
-  { /* 1440 */
-    211,
-    /* MMX_PANDNirr */
+  { /* 1144 */
+    159,
+    /* KANDDrr */
   },
-  { /* 1441 */
-    210,
-    /* MMX_PANDirm */
+  { /* 1145 */
+    158,
+    /* KANDNBrr */
   },
-  { /* 1442 */
-    211,
-    /* MMX_PANDirr */
+  { /* 1146 */
+    159,
+    /* KANDNDrr */
   },
-  { /* 1443 */
-    210,
-    /* MMX_PAVGBirm */
+  { /* 1147 */
+    160,
+    /* KANDNQrr */
   },
-  { /* 1444 */
-    211,
-    /* MMX_PAVGBirr */
+  { /* 1148 */
+    161,
+    /* KANDNWrr */
   },
-  { /* 1445 */
-    210,
-    /* MMX_PAVGWirm */
+  { /* 1149 */
+    160,
+    /* KANDQrr */
   },
-  { /* 1446 */
-    211,
-    /* MMX_PAVGWirr */
+  { /* 1150 */
+    161,
+    /* KANDWrr */
   },
-  { /* 1447 */
-    210,
-    /* MMX_PCMPEQBirm */
+  { /* 1151 */
+    162,
+    /* KMOVBkk */
   },
-  { /* 1448 */
-    211,
-    /* MMX_PCMPEQBirr */
+  { /* 1152 */
+    163,
+    /* KMOVBkm */
   },
-  { /* 1449 */
-    210,
-    /* MMX_PCMPEQDirm */
+  { /* 1153 */
+    164,
+    /* KMOVBkr */
   },
-  { /* 1450 */
-    211,
-    /* MMX_PCMPEQDirr */
+  { /* 1154 */
+    165,
+    /* KMOVBmk */
   },
-  { /* 1451 */
-    210,
-    /* MMX_PCMPEQWirm */
+  { /* 1155 */
+    166,
+    /* KMOVBrk */
   },
-  { /* 1452 */
-    211,
-    /* MMX_PCMPEQWirr */
+  { /* 1156 */
+    167,
+    /* KMOVDkk */
   },
-  { /* 1453 */
-    210,
-    /* MMX_PCMPGTBirm */
+  { /* 1157 */
+    168,
+    /* KMOVDkm */
   },
-  { /* 1454 */
-    211,
-    /* MMX_PCMPGTBirr */
+  { /* 1158 */
+    169,
+    /* KMOVDkr */
   },
-  { /* 1455 */
-    210,
-    /* MMX_PCMPGTDirm */
-  },
-  { /* 1456 */
-    211,
-    /* MMX_PCMPGTDirr */
-  },
-  { /* 1457 */
-    210,
-    /* MMX_PCMPGTWirm */
-  },
-  { /* 1458 */
-    211,
-    /* MMX_PCMPGTWirr */
-  },
-  { /* 1459 */
-    214,
-    /* MMX_PEXTRWirri */
-  },
-  { /* 1460 */
-    210,
-    /* MMX_PHADDSWrm64 */
+  { /* 1159 */
+    170,
+    /* KMOVDmk */
   },
-  { /* 1461 */
-    211,
-    /* MMX_PHADDSWrr64 */
+  { /* 1160 */
+    171,
+    /* KMOVDrk */
   },
-  { /* 1462 */
-    210,
-    /* MMX_PHADDWrm64 */
+  { /* 1161 */
+    172,
+    /* KMOVQkk */
   },
-  { /* 1463 */
-    211,
-    /* MMX_PHADDWrr64 */
+  { /* 1162 */
+    173,
+    /* KMOVQkm */
   },
-  { /* 1464 */
-    210,
-    /* MMX_PHADDrm64 */
+  { /* 1163 */
+    174,
+    /* KMOVQkr */
   },
-  { /* 1465 */
-    211,
-    /* MMX_PHADDrr64 */
+  { /* 1164 */
+    175,
+    /* KMOVQmk */
   },
-  { /* 1466 */
-    210,
-    /* MMX_PHSUBDrm64 */
+  { /* 1165 */
+    176,
+    /* KMOVQrk */
   },
-  { /* 1467 */
-    211,
-    /* MMX_PHSUBDrr64 */
+  { /* 1166 */
+    177,
+    /* KMOVWkk */
   },
-  { /* 1468 */
-    210,
-    /* MMX_PHSUBSWrm64 */
+  { /* 1167 */
+    178,
+    /* KMOVWkm */
   },
-  { /* 1469 */
-    211,
-    /* MMX_PHSUBSWrr64 */
+  { /* 1168 */
+    179,
+    /* KMOVWkr */
   },
-  { /* 1470 */
-    210,
-    /* MMX_PHSUBWrm64 */
+  { /* 1169 */
+    180,
+    /* KMOVWmk */
   },
-  { /* 1471 */
-    211,
-    /* MMX_PHSUBWrr64 */
+  { /* 1170 */
+    181,
+    /* KMOVWrk */
   },
-  { /* 1472 */
-    215,
-    /* MMX_PINSRWirmi */
+  { /* 1171 */
+    162,
+    /* KNOTBrr */
   },
-  { /* 1473 */
-    216,
-    /* MMX_PINSRWirri */
+  { /* 1172 */
+    167,
+    /* KNOTDrr */
   },
-  { /* 1474 */
-    210,
-    /* MMX_PMADDUBSWrm64 */
+  { /* 1173 */
+    172,
+    /* KNOTQrr */
   },
-  { /* 1475 */
-    211,
-    /* MMX_PMADDUBSWrr64 */
+  { /* 1174 */
+    177,
+    /* KNOTWrr */
   },
-  { /* 1476 */
-    210,
-    /* MMX_PMADDWDirm */
+  { /* 1175 */
+    158,
+    /* KORBrr */
   },
-  { /* 1477 */
-    211,
-    /* MMX_PMADDWDirr */
+  { /* 1176 */
+    159,
+    /* KORDrr */
   },
-  { /* 1478 */
-    210,
-    /* MMX_PMAXSWirm */
+  { /* 1177 */
+    160,
+    /* KORQrr */
   },
-  { /* 1479 */
-    211,
-    /* MMX_PMAXSWirr */
+  { /* 1178 */
+    162,
+    /* KORTESTBrr */
   },
-  { /* 1480 */
-    210,
-    /* MMX_PMAXUBirm */
+  { /* 1179 */
+    167,
+    /* KORTESTDrr */
   },
-  { /* 1481 */
-    211,
-    /* MMX_PMAXUBirr */
+  { /* 1180 */
+    172,
+    /* KORTESTQrr */
   },
-  { /* 1482 */
-    210,
-    /* MMX_PMINSWirm */
+  { /* 1181 */
+    177,
+    /* KORTESTWrr */
   },
-  { /* 1483 */
-    211,
-    /* MMX_PMINSWirr */
+  { /* 1182 */
+    161,
+    /* KORWrr */
   },
-  { /* 1484 */
-    210,
-    /* MMX_PMINUBirm */
+  { /* 1183 */
+    0,
+    /*  */
   },
-  { /* 1485 */
-    211,
-    /* MMX_PMINUBirr */
+  { /* 1184 */
+    0,
+    /*  */
   },
-  { /* 1486 */
-    217,
-    /* MMX_PMOVMSKBrr */
+  { /* 1185 */
+    0,
+    /*  */
   },
-  { /* 1487 */
-    210,
-    /* MMX_PMULHRSWrm64 */
+  { /* 1186 */
+    0,
+    /*  */
   },
-  { /* 1488 */
-    211,
-    /* MMX_PMULHRSWrr64 */
+  { /* 1187 */
+    182,
+    /* KSHIFTLBri */
   },
-  { /* 1489 */
-    210,
-    /* MMX_PMULHUWirm */
+  { /* 1188 */
+    183,
+    /* KSHIFTLDri */
   },
-  { /* 1490 */
-    211,
-    /* MMX_PMULHUWirr */
+  { /* 1189 */
+    184,
+    /* KSHIFTLQri */
   },
-  { /* 1491 */
-    210,
-    /* MMX_PMULHWirm */
+  { /* 1190 */
+    185,
+    /* KSHIFTLWri */
   },
-  { /* 1492 */
-    211,
-    /* MMX_PMULHWirr */
+  { /* 1191 */
+    182,
+    /* KSHIFTRBri */
   },
-  { /* 1493 */
-    210,
-    /* MMX_PMULLWirm */
+  { /* 1192 */
+    183,
+    /* KSHIFTRDri */
   },
-  { /* 1494 */
-    211,
-    /* MMX_PMULLWirr */
+  { /* 1193 */
+    184,
+    /* KSHIFTRQri */
   },
-  { /* 1495 */
-    210,
-    /* MMX_PMULUDQirm */
+  { /* 1194 */
+    185,
+    /* KSHIFTRWri */
   },
-  { /* 1496 */
-    211,
-    /* MMX_PMULUDQirr */
+  { /* 1195 */
+    161,
+    /* KUNPCKBWrr */
   },
-  { /* 1497 */
-    210,
-    /* MMX_PORirm */
+  { /* 1196 */
+    158,
+    /* KXNORBrr */
   },
-  { /* 1498 */
-    211,
-    /* MMX_PORirr */
+  { /* 1197 */
+    159,
+    /* KXNORDrr */
   },
-  { /* 1499 */
-    210,
-    /* MMX_PSADBWirm */
+  { /* 1198 */
+    160,
+    /* KXNORQrr */
   },
-  { /* 1500 */
-    211,
-    /* MMX_PSADBWirr */
+  { /* 1199 */
+    161,
+    /* KXNORWrr */
   },
-  { /* 1501 */
-    210,
-    /* MMX_PSHUFBrm64 */
+  { /* 1200 */
+    158,
+    /* KXORBrr */
   },
-  { /* 1502 */
-    211,
-    /* MMX_PSHUFBrr64 */
+  { /* 1201 */
+    159,
+    /* KXORDrr */
   },
-  { /* 1503 */
-    218,
-    /* MMX_PSHUFWmi */
+  { /* 1202 */
+    160,
+    /* KXORQrr */
   },
-  { /* 1504 */
-    219,
-    /* MMX_PSHUFWri */
+  { /* 1203 */
+    161,
+    /* KXORWrr */
   },
-  { /* 1505 */
-    210,
-    /* MMX_PSIGNBrm64 */
+  { /* 1204 */
+    0,
+    /* LAHF */
   },
-  { /* 1506 */
-    211,
-    /* MMX_PSIGNBrr64 */
+  { /* 1205 */
+    68,
+    /* LAR16rm */
   },
-  { /* 1507 */
-    210,
-    /* MMX_PSIGNDrm64 */
+  { /* 1206 */
+    69,
+    /* LAR16rr */
   },
-  { /* 1508 */
-    211,
-    /* MMX_PSIGNDrr64 */
+  { /* 1207 */
+    68,
+    /* LAR32rm */
   },
-  { /* 1509 */
-    210,
-    /* MMX_PSIGNWrm64 */
+  { /* 1208 */
+    69,
+    /* LAR32rr */
   },
-  { /* 1510 */
-    211,
-    /* MMX_PSIGNWrr64 */
+  { /* 1209 */
+    42,
+    /* LAR64rm */
   },
-  { /* 1511 */
-    220,
-    /* MMX_PSLLDri */
+  { /* 1210 */
+    186,
+    /* LAR64rr */
   },
-  { /* 1512 */
-    210,
-    /* MMX_PSLLDrm */
+  { /* 1211 */
+    0,
+    /*  */
   },
-  { /* 1513 */
-    211,
-    /* MMX_PSLLDrr */
+  { /* 1212 */
+    0,
+    /*  */
   },
-  { /* 1514 */
-    220,
-    /* MMX_PSLLQri */
+  { /* 1213 */
+    0,
+    /*  */
   },
-  { /* 1515 */
-    210,
-    /* MMX_PSLLQrm */
+  { /* 1214 */
+    0,
+    /*  */
   },
-  { /* 1516 */
-    211,
-    /* MMX_PSLLQrr */
+  { /* 1215 */
+    0,
+    /*  */
   },
-  { /* 1517 */
-    220,
-    /* MMX_PSLLWri */
+  { /* 1216 */
+    0,
+    /*  */
   },
-  { /* 1518 */
-    210,
-    /* MMX_PSLLWrm */
+  { /* 1217 */
+    44,
+    /* LDDQUrm */
   },
-  { /* 1519 */
-    211,
-    /* MMX_PSLLWrr */
+  { /* 1218 */
+    38,
+    /* LDMXCSR */
   },
-  { /* 1520 */
-    220,
-    /* MMX_PSRADri */
+  { /* 1219 */
+    187,
+    /* LDS16rm */
   },
-  { /* 1521 */
-    210,
-    /* MMX_PSRADrm */
+  { /* 1220 */
+    188,
+    /* LDS32rm */
   },
-  { /* 1522 */
-    211,
-    /* MMX_PSRADrr */
+  { /* 1221 */
+    0,
+    /* LD_F0 */
   },
-  { /* 1523 */
-    220,
-    /* MMX_PSRAWri */
+  { /* 1222 */
+    0,
+    /* LD_F1 */
   },
-  { /* 1524 */
-    210,
-    /* MMX_PSRAWrm */
+  { /* 1223 */
+    36,
+    /* LD_F32m */
   },
-  { /* 1525 */
-    211,
-    /* MMX_PSRAWrr */
+  { /* 1224 */
+    37,
+    /* LD_F64m */
   },
-  { /* 1526 */
-    220,
-    /* MMX_PSRLDri */
+  { /* 1225 */
+    189,
+    /* LD_F80m */
   },
-  { /* 1527 */
-    210,
-    /* MMX_PSRLDrm */
+  { /* 1226 */
+    0,
+    /*  */
   },
-  { /* 1528 */
-    211,
-    /* MMX_PSRLDrr */
+  { /* 1227 */
+    0,
+    /*  */
   },
-  { /* 1529 */
-    220,
-    /* MMX_PSRLQri */
+  { /* 1228 */
+    0,
+    /*  */
   },
-  { /* 1530 */
-    210,
-    /* MMX_PSRLQrm */
+  { /* 1229 */
+    0,
+    /*  */
   },
-  { /* 1531 */
-    211,
-    /* MMX_PSRLQrr */
+  { /* 1230 */
+    0,
+    /*  */
   },
-  { /* 1532 */
-    220,
-    /* MMX_PSRLWri */
+  { /* 1231 */
+    0,
+    /*  */
   },
-  { /* 1533 */
-    210,
-    /* MMX_PSRLWrm */
+  { /* 1232 */
+    0,
+    /*  */
   },
-  { /* 1534 */
-    211,
-    /* MMX_PSRLWrr */
+  { /* 1233 */
+    0,
+    /*  */
   },
-  { /* 1535 */
-    210,
-    /* MMX_PSUBBirm */
+  { /* 1234 */
+    0,
+    /*  */
   },
-  { /* 1536 */
-    211,
-    /* MMX_PSUBBirr */
+  { /* 1235 */
+    0,
+    /*  */
   },
-  { /* 1537 */
-    210,
-    /* MMX_PSUBDirm */
+  { /* 1236 */
+    0,
+    /*  */
   },
-  { /* 1538 */
-    211,
-    /* MMX_PSUBDirr */
+  { /* 1237 */
+    0,
+    /*  */
   },
-  { /* 1539 */
-    210,
-    /* MMX_PSUBQirm */
+  { /* 1238 */
+    39,
+    /* LD_Frr */
   },
-  { /* 1540 */
-    211,
-    /* MMX_PSUBQirr */
+  { /* 1239 */
+    190,
+    /* LEA16r */
   },
-  { /* 1541 */
-    210,
-    /* MMX_PSUBSBirm */
+  { /* 1240 */
+    190,
+    /* LEA32r */
   },
-  { /* 1542 */
-    211,
-    /* MMX_PSUBSBirr */
+  { /* 1241 */
+    191,
+    /* LEA64_32r */
   },
-  { /* 1543 */
-    210,
-    /* MMX_PSUBSWirm */
+  { /* 1242 */
+    192,
+    /* LEA64r */
   },
-  { /* 1544 */
-    211,
-    /* MMX_PSUBSWirr */
+  { /* 1243 */
+    0,
+    /* LEAVE */
   },
-  { /* 1545 */
-    210,
-    /* MMX_PSUBUSBirm */
+  { /* 1244 */
+    0,
+    /* LEAVE64 */
   },
-  { /* 1546 */
-    211,
-    /* MMX_PSUBUSBirr */
+  { /* 1245 */
+    187,
+    /* LES16rm */
   },
-  { /* 1547 */
-    210,
-    /* MMX_PSUBUSWirm */
+  { /* 1246 */
+    188,
+    /* LES32rm */
   },
-  { /* 1548 */
-    211,
-    /* MMX_PSUBUSWirr */
+  { /* 1247 */
+    0,
+    /* LFENCE */
   },
-  { /* 1549 */
-    210,
-    /* MMX_PSUBWirm */
+  { /* 1248 */
+    187,
+    /* LFS16rm */
   },
-  { /* 1550 */
-    211,
-    /* MMX_PSUBWirr */
+  { /* 1249 */
+    188,
+    /* LFS32rm */
   },
-  { /* 1551 */
-    210,
-    /* MMX_PUNPCKHBWirm */
+  { /* 1250 */
+    193,
+    /* LFS64rm */
   },
-  { /* 1552 */
-    211,
-    /* MMX_PUNPCKHBWirr */
+  { /* 1251 */
+    138,
+    /* LGDT16m */
   },
-  { /* 1553 */
-    210,
-    /* MMX_PUNPCKHDQirm */
+  { /* 1252 */
+    138,
+    /* LGDT32m */
   },
-  { /* 1554 */
-    211,
-    /* MMX_PUNPCKHDQirr */
+  { /* 1253 */
+    139,
+    /* LGDT64m */
   },
-  { /* 1555 */
-    210,
-    /* MMX_PUNPCKHWDirm */
+  { /* 1254 */
+    187,
+    /* LGS16rm */
   },
-  { /* 1556 */
-    211,
-    /* MMX_PUNPCKHWDirr */
+  { /* 1255 */
+    188,
+    /* LGS32rm */
   },
-  { /* 1557 */
-    210,
-    /* MMX_PUNPCKLBWirm */
+  { /* 1256 */
+    193,
+    /* LGS64rm */
   },
-  { /* 1558 */
-    211,
-    /* MMX_PUNPCKLBWirr */
+  { /* 1257 */
+    138,
+    /* LIDT16m */
   },
-  { /* 1559 */
-    210,
-    /* MMX_PUNPCKLDQirm */
+  { /* 1258 */
+    138,
+    /* LIDT32m */
   },
-  { /* 1560 */
-    211,
-    /* MMX_PUNPCKLDQirr */
+  { /* 1259 */
+    139,
+    /* LIDT64m */
   },
-  { /* 1561 */
-    210,
-    /* MMX_PUNPCKLWDirm */
+  { /* 1260 */
+    38,
+    /* LLDT16m */
   },
-  { /* 1562 */
-    211,
-    /* MMX_PUNPCKLWDirr */
+  { /* 1261 */
+    194,
+    /* LLDT16r */
   },
-  { /* 1563 */
-    210,
-    /* MMX_PXORirm */
+  { /* 1262 */
+    38,
+    /* LMSW16m */
   },
-  { /* 1564 */
-    211,
-    /* MMX_PXORirr */
+  { /* 1263 */
+    194,
+    /* LMSW16r */
   },
-  { /* 1565 */
+  { /* 1264 */
     0,
     /*  */
   },
-  { /* 1566 */
+  { /* 1265 */
     0,
-    /* MONITORrrr */
+    /*  */
   },
-  { /* 1567 */
+  { /* 1266 */
     0,
-    /* MONTMUL */
+    /*  */
   },
-  { /* 1568 */
+  { /* 1267 */
     0,
     /*  */
   },
-  { /* 1569 */
+  { /* 1268 */
     0,
     /*  */
   },
-  { /* 1570 */
-    221,
-    /* MOV16ao16 */
-  },
-  { /* 1571 */
-    221,
-    /* MOV16ao16_16 */
-  },
-  { /* 1572 */
-    3,
-    /* MOV16mi */
-  },
-  { /* 1573 */
-    5,
-    /* MOV16mr */
+  { /* 1269 */
+    0,
+    /*  */
   },
-  { /* 1574 */
-    222,
-    /* MOV16ms */
+  { /* 1270 */
+    0,
+    /*  */
   },
-  { /* 1575 */
-    221,
-    /* MOV16o16a */
+  { /* 1271 */
+    0,
+    /*  */
   },
-  { /* 1576 */
-    221,
-    /* MOV16o16a_16 */
+  { /* 1272 */
+    0,
+    /*  */
   },
-  { /* 1577 */
-    223,
-    /* MOV16ri */
+  { /* 1273 */
+    0,
+    /*  */
   },
-  { /* 1578 */
-    83,
-    /* MOV16ri_alt */
+  { /* 1274 */
+    0,
+    /*  */
   },
-  { /* 1579 */
-    68,
-    /* MOV16rm */
+  { /* 1275 */
+    0,
+    /*  */
   },
-  { /* 1580 */
-    73,
-    /* MOV16rr */
+  { /* 1276 */
+    0,
+    /*  */
   },
-  { /* 1581 */
-    69,
-    /* MOV16rr_REV */
+  { /* 1277 */
+    0,
+    /*  */
   },
-  { /* 1582 */
-    224,
-    /* MOV16rs */
+  { /* 1278 */
+    0,
+    /*  */
   },
-  { /* 1583 */
-    225,
-    /* MOV16sm */
+  { /* 1279 */
+    0,
+    /*  */
   },
-  { /* 1584 */
-    226,
-    /* MOV16sr */
+  { /* 1280 */
+    0,
+    /*  */
   },
-  { /* 1585 */
-    227,
-    /* MOV32ao32 */
+  { /* 1281 */
+    0,
+    /*  */
   },
-  { /* 1586 */
-    227,
-    /* MOV32ao32_16 */
+  { /* 1282 */
+    0,
+    /*  */
   },
-  { /* 1587 */
-    228,
-    /* MOV32cr */
+  { /* 1283 */
+    0,
+    /*  */
   },
-  { /* 1588 */
-    229,
-    /* MOV32dr */
+  { /* 1284 */
+    0,
+    /*  */
   },
-  { /* 1589 */
-    3,
-    /* MOV32mi */
+  { /* 1285 */
+    0,
+    /*  */
   },
-  { /* 1590 */
-    5,
-    /* MOV32mr */
+  { /* 1286 */
+    0,
+    /*  */
   },
-  { /* 1591 */
-    222,
-    /* MOV32ms */
+  { /* 1287 */
+    0,
+    /*  */
   },
-  { /* 1592 */
-    227,
-    /* MOV32o32a */
+  { /* 1288 */
+    0,
+    /*  */
   },
-  { /* 1593 */
-    227,
-    /* MOV32o32a_16 */
+  { /* 1289 */
+    0,
+    /*  */
   },
-  { /* 1594 */
+  { /* 1290 */
     0,
     /*  */
   },
-  { /* 1595 */
-    230,
-    /* MOV32rc */
+  { /* 1291 */
+    0,
+    /*  */
   },
-  { /* 1596 */
-    231,
-    /* MOV32rd */
+  { /* 1292 */
+    0,
+    /*  */
   },
-  { /* 1597 */
-    223,
-    /* MOV32ri */
+  { /* 1293 */
+    0,
+    /*  */
   },
-  { /* 1598 */
+  { /* 1294 */
     0,
     /*  */
   },
-  { /* 1599 */
-    83,
-    /* MOV32ri_alt */
+  { /* 1295 */
+    0,
+    /*  */
   },
-  { /* 1600 */
-    68,
-    /* MOV32rm */
+  { /* 1296 */
+    0,
+    /*  */
   },
-  { /* 1601 */
-    73,
-    /* MOV32rr */
+  { /* 1297 */
+    0,
+    /*  */
   },
-  { /* 1602 */
-    69,
-    /* MOV32rr_REV */
+  { /* 1298 */
+    0,
+    /*  */
   },
-  { /* 1603 */
-    224,
-    /* MOV32rs */
+  { /* 1299 */
+    0,
+    /*  */
   },
-  { /* 1604 */
-    225,
-    /* MOV32sm */
+  { /* 1300 */
+    0,
+    /*  */
   },
-  { /* 1605 */
-    226,
-    /* MOV32sr */
+  { /* 1301 */
+    0,
+    /*  */
   },
-  { /* 1606 */
-    221,
-    /* MOV64ao16 */
+  { /* 1302 */
+    0,
+    /*  */
   },
-  { /* 1607 */
-    227,
-    /* MOV64ao32 */
+  { /* 1303 */
+    0,
+    /*  */
   },
-  { /* 1608 */
-    232,
-    /* MOV64ao64 */
+  { /* 1304 */
+    0,
+    /*  */
   },
-  { /* 1609 */
-    233,
-    /* MOV64ao8 */
+  { /* 1305 */
+    0,
+    /* LOCK_PREFIX */
   },
-  { /* 1610 */
-    234,
-    /* MOV64cr */
+  { /* 1306 */
+    0,
+    /*  */
   },
-  { /* 1611 */
-    235,
-    /* MOV64dr */
+  { /* 1307 */
+    0,
+    /*  */
   },
-  { /* 1612 */
-    14,
-    /* MOV64mi32 */
+  { /* 1308 */
+    0,
+    /*  */
   },
-  { /* 1613 */
-    16,
-    /* MOV64mr */
+  { /* 1309 */
+    0,
+    /*  */
   },
-  { /* 1614 */
-    222,
-    /* MOV64ms */
+  { /* 1310 */
+    0,
+    /*  */
   },
-  { /* 1615 */
-    221,
-    /* MOV64o16a */
+  { /* 1311 */
+    0,
+    /*  */
   },
-  { /* 1616 */
-    227,
-    /* MOV64o32a */
+  { /* 1312 */
+    0,
+    /*  */
   },
-  { /* 1617 */
-    232,
-    /* MOV64o64a */
+  { /* 1313 */
+    0,
+    /*  */
   },
-  { /* 1618 */
-    233,
-    /* MOV64o8a */
+  { /* 1314 */
+    0,
+    /*  */
   },
-  { /* 1619 */
-    236,
-    /* MOV64rc */
+  { /* 1315 */
+    0,
+    /*  */
   },
-  { /* 1620 */
-    237,
-    /* MOV64rd */
+  { /* 1316 */
+    0,
+    /*  */
   },
-  { /* 1621 */
-    238,
-    /* MOV64ri */
+  { /* 1317 */
+    0,
+    /*  */
   },
-  { /* 1622 */
-    84,
-    /* MOV64ri32 */
+  { /* 1318 */
+    0,
+    /*  */
   },
-  { /* 1623 */
-    42,
-    /* MOV64rm */
+  { /* 1319 */
+    0,
+    /*  */
   },
-  { /* 1624 */
-    76,
-    /* MOV64rr */
+  { /* 1320 */
+    0,
+    /*  */
   },
-  { /* 1625 */
-    43,
-    /* MOV64rr_REV */
+  { /* 1321 */
+    0,
+    /*  */
   },
-  { /* 1626 */
-    239,
-    /* MOV64rs */
+  { /* 1322 */
+    0,
+    /*  */
   },
-  { /* 1627 */
-    225,
-    /* MOV64sm */
+  { /* 1323 */
+    0,
+    /*  */
   },
-  { /* 1628 */
-    240,
-    /* MOV64sr */
+  { /* 1324 */
+    0,
+    /*  */
   },
-  { /* 1629 */
-    241,
-    /* MOV64toPQIrr */
+  { /* 1325 */
+    0,
+    /*  */
   },
-  { /* 1630 */
+  { /* 1326 */
     0,
     /*  */
   },
-  { /* 1631 */
+  { /* 1327 */
     0,
     /*  */
   },
-  { /* 1632 */
-    233,
-    /* MOV8ao8 */
+  { /* 1328 */
+    195,
+    /* LODSB */
   },
-  { /* 1633 */
-    233,
-    /* MOV8ao8_16 */
+  { /* 1329 */
+    196,
+    /* LODSL */
   },
-  { /* 1634 */
-    22,
-    /* MOV8mi */
+  { /* 1330 */
+    197,
+    /* LODSQ */
   },
-  { /* 1635 */
-    23,
-    /* MOV8mr */
+  { /* 1331 */
+    198,
+    /* LODSW */
   },
-  { /* 1636 */
-    0,
-    /*  */
+  { /* 1332 */
+    156,
+    /* LOOP */
   },
-  { /* 1637 */
-    233,
-    /* MOV8o8a */
+  { /* 1333 */
+    156,
+    /* LOOPE */
   },
-  { /* 1638 */
-    233,
-    /* MOV8o8a_16 */
+  { /* 1334 */
+    156,
+    /* LOOPNE */
   },
-  { /* 1639 */
-    242,
-    /* MOV8ri */
+  { /* 1335 */
+    199,
+    /* LRETIL */
   },
-  { /* 1640 */
-    85,
-    /* MOV8ri_alt */
+  { /* 1336 */
+    199,
+    /* LRETIQ */
   },
-  { /* 1641 */
-    86,
-    /* MOV8rm */
+  { /* 1337 */
+    2,
+    /* LRETIW */
   },
-  { /* 1642 */
+  { /* 1338 */
     0,
-    /*  */
-  },
-  { /* 1643 */
-    87,
-    /* MOV8rr */
+    /* LRETL */
   },
-  { /* 1644 */
+  { /* 1339 */
     0,
-    /*  */
-  },
-  { /* 1645 */
-    88,
-    /* MOV8rr_REV */
-  },
-  { /* 1646 */
-    243,
-    /* MOVAPDmr */
-  },
-  { /* 1647 */
-    44,
-    /* MOVAPDrm */
-  },
-  { /* 1648 */
-    45,
-    /* MOVAPDrr */
-  },
-  { /* 1649 */
-    244,
-    /* MOVAPDrr_REV */
-  },
-  { /* 1650 */
-    243,
-    /* MOVAPSmr */
-  },
-  { /* 1651 */
-    44,
-    /* MOVAPSrm */
-  },
-  { /* 1652 */
-    45,
-    /* MOVAPSrr */
-  },
-  { /* 1653 */
-    244,
-    /* MOVAPSrr_REV */
+    /* LRETQ */
   },
-  { /* 1654 */
-    5,
-    /* MOVBE16mr */
+  { /* 1340 */
+    0,
+    /* LRETW */
   },
-  { /* 1655 */
+  { /* 1341 */
     68,
-    /* MOVBE16rm */
+    /* LSL16rm */
   },
-  { /* 1656 */
-    5,
-    /* MOVBE32mr */
+  { /* 1342 */
+    69,
+    /* LSL16rr */
   },
-  { /* 1657 */
+  { /* 1343 */
     68,
-    /* MOVBE32rm */
+    /* LSL32rm */
   },
-  { /* 1658 */
-    16,
-    /* MOVBE64mr */
+  { /* 1344 */
+    69,
+    /* LSL32rr */
   },
-  { /* 1659 */
+  { /* 1345 */
     42,
-    /* MOVBE64rm */
+    /* LSL64rm */
   },
-  { /* 1660 */
-    106,
-    /* MOVDDUPrm */
+  { /* 1346 */
+    43,
+    /* LSL64rr */
   },
-  { /* 1661 */
-    45,
-    /* MOVDDUPrr */
+  { /* 1347 */
+    187,
+    /* LSS16rm */
   },
-  { /* 1662 */
-    105,
-    /* MOVDI2PDIrm */
+  { /* 1348 */
+    188,
+    /* LSS32rm */
   },
-  { /* 1663 */
-    245,
-    /* MOVDI2PDIrr */
+  { /* 1349 */
+    193,
+    /* LSS64rm */
   },
-  { /* 1664 */
+  { /* 1350 */
+    38,
+    /* LTRm */
+  },
+  { /* 1351 */
+    194,
+    /* LTRr */
+  },
+  { /* 1352 */
     0,
     /*  */
   },
-  { /* 1665 */
+  { /* 1353 */
     0,
     /*  */
   },
-  { /* 1666 */
-    243,
-    /* MOVDQAmr */
-  },
-  { /* 1667 */
-    44,
-    /* MOVDQArm */
-  },
-  { /* 1668 */
-    45,
-    /* MOVDQArr */
-  },
-  { /* 1669 */
-    244,
-    /* MOVDQArr_REV */
+  { /* 1354 */
+    0,
+    /*  */
   },
-  { /* 1670 */
-    243,
-    /* MOVDQUmr */
+  { /* 1355 */
+    0,
+    /*  */
   },
-  { /* 1671 */
-    44,
-    /* MOVDQUrm */
+  { /* 1356 */
+    68,
+    /* LZCNT16rm */
   },
-  { /* 1672 */
-    45,
-    /* MOVDQUrr */
+  { /* 1357 */
+    69,
+    /* LZCNT16rr */
   },
-  { /* 1673 */
-    244,
-    /* MOVDQUrr_REV */
+  { /* 1358 */
+    68,
+    /* LZCNT32rm */
   },
-  { /* 1674 */
-    31,
-    /* MOVHLPSrr */
+  { /* 1359 */
+    69,
+    /* LZCNT32rr */
   },
-  { /* 1675 */
-    246,
-    /* MOVHPDmr */
+  { /* 1360 */
+    42,
+    /* LZCNT64rm */
   },
-  { /* 1676 */
-    247,
-    /* MOVHPDrm */
+  { /* 1361 */
+    43,
+    /* LZCNT64rr */
   },
-  { /* 1677 */
-    246,
-    /* MOVHPSmr */
+  { /* 1362 */
+    45,
+    /* MASKMOVDQU */
   },
-  { /* 1678 */
-    247,
-    /* MOVHPSrm */
+  { /* 1363 */
+    45,
+    /* MASKMOVDQU64 */
   },
-  { /* 1679 */
-    31,
-    /* MOVLHPSrr */
+  { /* 1364 */
+    0,
+    /*  */
   },
-  { /* 1680 */
-    246,
-    /* MOVLPDmr */
+  { /* 1365 */
+    0,
+    /*  */
   },
-  { /* 1681 */
-    247,
-    /* MOVLPDrm */
+  { /* 1366 */
+    0,
+    /*  */
   },
-  { /* 1682 */
-    246,
-    /* MOVLPSmr */
+  { /* 1367 */
+    0,
+    /*  */
   },
-  { /* 1683 */
-    247,
-    /* MOVLPSrm */
+  { /* 1368 */
+    0,
+    /*  */
   },
-  { /* 1684 */
-    110,
-    /* MOVMSKPDrr */
+  { /* 1369 */
+    0,
+    /*  */
   },
-  { /* 1685 */
-    110,
-    /* MOVMSKPSrr */
+  { /* 1370 */
+    0,
+    /*  */
   },
-  { /* 1686 */
-    44,
-    /* MOVNTDQArm */
+  { /* 1371 */
+    0,
+    /*  */
   },
-  { /* 1687 */
-    243,
-    /* MOVNTDQmr */
+  { /* 1372 */
+    30,
+    /* MAXPDrm */
   },
-  { /* 1688 */
-    16,
-    /* MOVNTI_64mr */
+  { /* 1373 */
+    31,
+    /* MAXPDrr */
   },
-  { /* 1689 */
-    248,
-    /* MOVNTImr */
+  { /* 1374 */
+    30,
+    /* MAXPSrm */
   },
-  { /* 1690 */
-    243,
-    /* MOVNTPDmr */
+  { /* 1375 */
+    31,
+    /* MAXPSrr */
   },
-  { /* 1691 */
-    243,
-    /* MOVNTPSmr */
+  { /* 1376 */
+    32,
+    /* MAXSDrm */
   },
-  { /* 1692 */
-    246,
-    /* MOVNTSD */
+  { /* 1377 */
+    0,
+    /*  */
   },
-  { /* 1693 */
-    249,
-    /* MOVNTSS */
+  { /* 1378 */
+    33,
+    /* MAXSDrr */
   },
-  { /* 1694 */
+  { /* 1379 */
     0,
     /*  */
   },
-  { /* 1695 */
-    250,
-    /* MOVPDI2DImr */
-  },
-  { /* 1696 */
-    251,
-    /* MOVPDI2DIrr */
+  { /* 1380 */
+    34,
+    /* MAXSSrm */
   },
-  { /* 1697 */
-    250,
-    /* MOVPQI2QImr */
+  { /* 1381 */
+    0,
+    /*  */
   },
-  { /* 1698 */
-    244,
-    /* MOVPQI2QIrr */
+  { /* 1382 */
+    35,
+    /* MAXSSrr */
   },
-  { /* 1699 */
-    252,
-    /* MOVPQIto64rr */
+  { /* 1383 */
+    0,
+    /*  */
   },
-  { /* 1700 */
-    105,
-    /* MOVQI2PQIrm */
+  { /* 1384 */
+    0,
+    /* MFENCE */
   },
-  { /* 1701 */
-    91,
-    /* MOVSB */
+  { /* 1385 */
+    0,
+    /*  */
   },
-  { /* 1702 */
-    253,
-    /* MOVSDmr */
+  { /* 1386 */
+    0,
+    /*  */
   },
-  { /* 1703 */
-    254,
-    /* MOVSDrm */
+  { /* 1387 */
+    0,
+    /*  */
   },
-  { /* 1704 */
-    255,
-    /* MOVSDrr */
+  { /* 1388 */
+    0,
+    /*  */
   },
-  { /* 1705 */
-    256,
-    /* MOVSDrr_REV */
+  { /* 1389 */
+    0,
+    /*  */
   },
-  { /* 1706 */
+  { /* 1390 */
     0,
     /*  */
   },
-  { /* 1707 */
+  { /* 1391 */
     0,
     /*  */
   },
-  { /* 1708 */
-    44,
-    /* MOVSHDUPrm */
+  { /* 1392 */
+    0,
+    /*  */
   },
-  { /* 1709 */
-    45,
-    /* MOVSHDUPrr */
+  { /* 1393 */
+    30,
+    /* MINPDrm */
   },
-  { /* 1710 */
-    94,
-    /* MOVSL */
+  { /* 1394 */
+    31,
+    /* MINPDrr */
   },
-  { /* 1711 */
-    44,
-    /* MOVSLDUPrm */
+  { /* 1395 */
+    30,
+    /* MINPSrm */
   },
-  { /* 1712 */
-    45,
-    /* MOVSLDUPrr */
+  { /* 1396 */
+    31,
+    /* MINPSrr */
   },
-  { /* 1713 */
-    95,
-    /* MOVSQ */
+  { /* 1397 */
+    32,
+    /* MINSDrm */
   },
-  { /* 1714 */
+  { /* 1398 */
     0,
     /*  */
   },
-  { /* 1715 */
+  { /* 1399 */
+    33,
+    /* MINSDrr */
+  },
+  { /* 1400 */
     0,
     /*  */
   },
-  { /* 1716 */
-    257,
-    /* MOVSSmr */
-  },
-  { /* 1717 */
-    258,
-    /* MOVSSrm */
+  { /* 1401 */
+    34,
+    /* MINSSrm */
   },
-  { /* 1718 */
-    259,
-    /* MOVSSrr */
+  { /* 1402 */
+    0,
+    /*  */
   },
-  { /* 1719 */
-    260,
-    /* MOVSSrr_REV */
+  { /* 1403 */
+    35,
+    /* MINSSrr */
   },
-  { /* 1720 */
-    98,
-    /* MOVSW */
+  { /* 1404 */
+    0,
+    /*  */
   },
-  { /* 1721 */
-    261,
-    /* MOVSX16rm8 */
+  { /* 1405 */
+    200,
+    /* MMX_CVTPD2PIirm */
   },
-  { /* 1722 */
-    262,
-    /* MOVSX16rr8 */
+  { /* 1406 */
+    201,
+    /* MMX_CVTPD2PIirr */
   },
-  { /* 1723 */
-    68,
-    /* MOVSX32rm16 */
+  { /* 1407 */
+    105,
+    /* MMX_CVTPI2PDirm */
   },
-  { /* 1724 */
-    261,
-    /* MOVSX32rm8 */
+  { /* 1408 */
+    202,
+    /* MMX_CVTPI2PDirr */
   },
-  { /* 1725 */
-    263,
-    /* MOVSX32rr16 */
+  { /* 1409 */
+    203,
+    /* MMX_CVTPI2PSirm */
   },
-  { /* 1726 */
-    262,
-    /* MOVSX32rr8 */
+  { /* 1410 */
+    204,
+    /* MMX_CVTPI2PSirr */
   },
-  { /* 1727 */
-    183,
-    /* MOVSX64_NOREXrr32 */
+  { /* 1411 */
+    205,
+    /* MMX_CVTPS2PIirm */
   },
-  { /* 1728 */
-    42,
-    /* MOVSX64rm16 */
+  { /* 1412 */
+    201,
+    /* MMX_CVTPS2PIirr */
   },
-  { /* 1729 */
-    42,
-    /* MOVSX64rm32 */
+  { /* 1413 */
+    200,
+    /* MMX_CVTTPD2PIirm */
   },
-  { /* 1730 */
-    264,
-    /* MOVSX64rm8 */
+  { /* 1414 */
+    201,
+    /* MMX_CVTTPD2PIirr */
   },
-  { /* 1731 */
-    265,
-    /* MOVSX64rr16 */
+  { /* 1415 */
+    205,
+    /* MMX_CVTTPS2PIirm */
   },
-  { /* 1732 */
-    183,
-    /* MOVSX64rr32 */
+  { /* 1416 */
+    201,
+    /* MMX_CVTTPS2PIirr */
   },
-  { /* 1733 */
-    266,
-    /* MOVSX64rr8 */
+  { /* 1417 */
+    0,
+    /* MMX_EMMS */
   },
-  { /* 1734 */
-    243,
-    /* MOVUPDmr */
+  { /* 1418 */
+    206,
+    /* MMX_MASKMOVQ */
   },
-  { /* 1735 */
-    44,
-    /* MOVUPDrm */
+  { /* 1419 */
+    206,
+    /* MMX_MASKMOVQ64 */
   },
-  { /* 1736 */
-    45,
-    /* MOVUPDrr */
+  { /* 1420 */
+    207,
+    /* MMX_MOVD64from64rm */
   },
-  { /* 1737 */
-    244,
-    /* MOVUPDrr_REV */
+  { /* 1421 */
+    208,
+    /* MMX_MOVD64from64rr */
   },
-  { /* 1738 */
-    243,
-    /* MOVUPSmr */
+  { /* 1422 */
+    209,
+    /* MMX_MOVD64grr */
   },
-  { /* 1739 */
-    44,
-    /* MOVUPSrm */
+  { /* 1423 */
+    207,
+    /* MMX_MOVD64mr */
   },
-  { /* 1740 */
-    45,
-    /* MOVUPSrr */
+  { /* 1424 */
+    210,
+    /* MMX_MOVD64rm */
   },
-  { /* 1741 */
-    244,
-    /* MOVUPSrr_REV */
+  { /* 1425 */
+    211,
+    /* MMX_MOVD64rr */
   },
-  { /* 1742 */
-    0,
-    /*  */
+  { /* 1426 */
+    210,
+    /* MMX_MOVD64to64rm */
   },
-  { /* 1743 */
-    45,
-    /* MOVZPQILo2PQIrr */
+  { /* 1427 */
+    212,
+    /* MMX_MOVD64to64rr */
   },
-  { /* 1744 */
-    0,
-    /*  */
+  { /* 1428 */
+    201,
+    /* MMX_MOVDQ2Qrr */
   },
-  { /* 1745 */
+  { /* 1429 */
     0,
     /*  */
   },
-  { /* 1746 */
-    261,
-    /* MOVZX16rm8 */
+  { /* 1430 */
+    207,
+    /* MMX_MOVNTQmr */
   },
-  { /* 1747 */
-    262,
-    /* MOVZX16rr8 */
+  { /* 1431 */
+    202,
+    /* MMX_MOVQ2DQrr */
   },
-  { /* 1748 */
+  { /* 1432 */
     0,
     /*  */
   },
-  { /* 1749 */
-    0,
-    /*  */
+  { /* 1433 */
+    207,
+    /* MMX_MOVQ64mr */
   },
-  { /* 1750 */
-    68,
-    /* MOVZX32rm16 */
+  { /* 1434 */
+    210,
+    /* MMX_MOVQ64rm */
   },
-  { /* 1751 */
-    261,
-    /* MOVZX32rm8 */
+  { /* 1435 */
+    206,
+    /* MMX_MOVQ64rr */
   },
-  { /* 1752 */
-    263,
-    /* MOVZX32rr16 */
+  { /* 1436 */
+    213,
+    /* MMX_MOVQ64rr_REV */
   },
-  { /* 1753 */
-    262,
-    /* MOVZX32rr8 */
+  { /* 1437 */
+    210,
+    /* MMX_PABSBrm64 */
   },
-  { /* 1754 */
-    42,
-    /* MOVZX64rm16_Q */
+  { /* 1438 */
+    206,
+    /* MMX_PABSBrr64 */
   },
-  { /* 1755 */
-    264,
-    /* MOVZX64rm8_Q */
+  { /* 1439 */
+    210,
+    /* MMX_PABSDrm64 */
   },
-  { /* 1756 */
-    265,
-    /* MOVZX64rr16_Q */
+  { /* 1440 */
+    206,
+    /* MMX_PABSDrr64 */
   },
-  { /* 1757 */
-    266,
-    /* MOVZX64rr8_Q */
+  { /* 1441 */
+    210,
+    /* MMX_PABSWrm64 */
   },
-  { /* 1758 */
-    66,
-    /* MPSADBWrmi */
+  { /* 1442 */
+    206,
+    /* MMX_PABSWrr64 */
   },
-  { /* 1759 */
-    67,
-    /* MPSADBWrri */
+  { /* 1443 */
+    214,
+    /* MMX_PACKSSDWirm */
   },
-  { /* 1760 */
-    38,
-    /* MUL16m */
+  { /* 1444 */
+    215,
+    /* MMX_PACKSSDWirr */
   },
-  { /* 1761 */
-    77,
-    /* MUL16r */
+  { /* 1445 */
+    214,
+    /* MMX_PACKSSWBirm */
   },
-  { /* 1762 */
-    38,
-    /* MUL32m */
+  { /* 1446 */
+    215,
+    /* MMX_PACKSSWBirr */
   },
-  { /* 1763 */
-    77,
-    /* MUL32r */
+  { /* 1447 */
+    214,
+    /* MMX_PACKUSWBirm */
   },
-  { /* 1764 */
-    38,
-    /* MUL64m */
+  { /* 1448 */
+    215,
+    /* MMX_PACKUSWBirr */
   },
-  { /* 1765 */
-    79,
-    /* MUL64r */
+  { /* 1449 */
+    214,
+    /* MMX_PADDBirm */
   },
-  { /* 1766 */
-    82,
-    /* MUL8m */
+  { /* 1450 */
+    215,
+    /* MMX_PADDBirr */
   },
-  { /* 1767 */
-    130,
-    /* MUL8r */
+  { /* 1451 */
+    214,
+    /* MMX_PADDDirm */
   },
-  { /* 1768 */
-    30,
-    /* MULPDrm */
+  { /* 1452 */
+    215,
+    /* MMX_PADDDirr */
   },
-  { /* 1769 */
-    31,
-    /* MULPDrr */
+  { /* 1453 */
+    214,
+    /* MMX_PADDQirm */
   },
-  { /* 1770 */
-    30,
-    /* MULPSrm */
+  { /* 1454 */
+    215,
+    /* MMX_PADDQirr */
   },
-  { /* 1771 */
-    31,
-    /* MULPSrr */
+  { /* 1455 */
+    214,
+    /* MMX_PADDSBirm */
   },
-  { /* 1772 */
-    32,
-    /* MULSDrm */
+  { /* 1456 */
+    215,
+    /* MMX_PADDSBirr */
   },
-  { /* 1773 */
-    0,
-    /*  */
+  { /* 1457 */
+    214,
+    /* MMX_PADDSWirm */
   },
-  { /* 1774 */
-    33,
-    /* MULSDrr */
+  { /* 1458 */
+    215,
+    /* MMX_PADDSWirr */
   },
-  { /* 1775 */
-    0,
-    /*  */
+  { /* 1459 */
+    214,
+    /* MMX_PADDUSBirm */
   },
-  { /* 1776 */
-    34,
-    /* MULSSrm */
+  { /* 1460 */
+    215,
+    /* MMX_PADDUSBirr */
   },
-  { /* 1777 */
-    0,
-    /*  */
+  { /* 1461 */
+    214,
+    /* MMX_PADDUSWirm */
   },
-  { /* 1778 */
-    35,
-    /* MULSSrr */
+  { /* 1462 */
+    215,
+    /* MMX_PADDUSWirr */
   },
-  { /* 1779 */
-    0,
-    /*  */
+  { /* 1463 */
+    214,
+    /* MMX_PADDWirm */
   },
-  { /* 1780 */
-    48,
-    /* MULX32rm */
+  { /* 1464 */
+    215,
+    /* MMX_PADDWirr */
   },
-  { /* 1781 */
-    49,
-    /* MULX32rr */
+  { /* 1465 */
+    216,
+    /* MMX_PALIGNR64irm */
   },
-  { /* 1782 */
-    50,
-    /* MULX64rm */
+  { /* 1466 */
+    217,
+    /* MMX_PALIGNR64irr */
   },
-  { /* 1783 */
-    51,
-    /* MULX64rr */
+  { /* 1467 */
+    214,
+    /* MMX_PANDNirm */
   },
-  { /* 1784 */
-    36,
-    /* MUL_F32m */
+  { /* 1468 */
+    215,
+    /* MMX_PANDNirr */
   },
-  { /* 1785 */
-    37,
-    /* MUL_F64m */
+  { /* 1469 */
+    214,
+    /* MMX_PANDirm */
   },
-  { /* 1786 */
-    38,
-    /* MUL_FI16m */
+  { /* 1470 */
+    215,
+    /* MMX_PANDirr */
   },
-  { /* 1787 */
-    38,
-    /* MUL_FI32m */
+  { /* 1471 */
+    214,
+    /* MMX_PAVGBirm */
   },
-  { /* 1788 */
-    39,
-    /* MUL_FPrST0 */
+  { /* 1472 */
+    215,
+    /* MMX_PAVGBirr */
   },
-  { /* 1789 */
-    39,
-    /* MUL_FST0r */
+  { /* 1473 */
+    214,
+    /* MMX_PAVGWirm */
   },
-  { /* 1790 */
-    0,
-    /*  */
+  { /* 1474 */
+    215,
+    /* MMX_PAVGWirr */
   },
-  { /* 1791 */
-    0,
-    /*  */
+  { /* 1475 */
+    214,
+    /* MMX_PCMPEQBirm */
   },
-  { /* 1792 */
-    0,
-    /*  */
+  { /* 1476 */
+    215,
+    /* MMX_PCMPEQBirr */
   },
-  { /* 1793 */
-    0,
-    /*  */
+  { /* 1477 */
+    214,
+    /* MMX_PCMPEQDirm */
   },
-  { /* 1794 */
-    0,
-    /*  */
+  { /* 1478 */
+    215,
+    /* MMX_PCMPEQDirr */
   },
-  { /* 1795 */
-    0,
-    /*  */
+  { /* 1479 */
+    214,
+    /* MMX_PCMPEQWirm */
   },
-  { /* 1796 */
-    0,
-    /*  */
+  { /* 1480 */
+    215,
+    /* MMX_PCMPEQWirr */
   },
-  { /* 1797 */
-    0,
-    /*  */
+  { /* 1481 */
+    214,
+    /* MMX_PCMPGTBirm */
   },
-  { /* 1798 */
-    0,
-    /*  */
+  { /* 1482 */
+    215,
+    /* MMX_PCMPGTBirr */
   },
-  { /* 1799 */
-    0,
-    /*  */
+  { /* 1483 */
+    214,
+    /* MMX_PCMPGTDirm */
   },
-  { /* 1800 */
-    0,
-    /*  */
+  { /* 1484 */
+    215,
+    /* MMX_PCMPGTDirr */
   },
-  { /* 1801 */
-    0,
-    /*  */
+  { /* 1485 */
+    214,
+    /* MMX_PCMPGTWirm */
   },
-  { /* 1802 */
-    0,
-    /*  */
+  { /* 1486 */
+    215,
+    /* MMX_PCMPGTWirr */
   },
-  { /* 1803 */
-    0,
-    /*  */
+  { /* 1487 */
+    218,
+    /* MMX_PEXTRWirri */
   },
-  { /* 1804 */
-    39,
-    /* MUL_FrST0 */
+  { /* 1488 */
+    214,
+    /* MMX_PHADDSWrm64 */
   },
-  { /* 1805 */
-    0,
-    /* MWAITrr */
+  { /* 1489 */
+    215,
+    /* MMX_PHADDSWrr64 */
   },
-  { /* 1806 */
-    38,
-    /* NEG16m */
+  { /* 1490 */
+    214,
+    /* MMX_PHADDWrm64 */
   },
-  { /* 1807 */
-    127,
-    /* NEG16r */
+  { /* 1491 */
+    215,
+    /* MMX_PHADDWrr64 */
   },
-  { /* 1808 */
-    38,
-    /* NEG32m */
+  { /* 1492 */
+    214,
+    /* MMX_PHADDrm64 */
   },
-  { /* 1809 */
-    127,
-    /* NEG32r */
+  { /* 1493 */
+    215,
+    /* MMX_PHADDrr64 */
   },
-  { /* 1810 */
-    38,
-    /* NEG64m */
+  { /* 1494 */
+    214,
+    /* MMX_PHSUBDrm64 */
   },
-  { /* 1811 */
-    128,
-    /* NEG64r */
+  { /* 1495 */
+    215,
+    /* MMX_PHSUBDrr64 */
   },
-  { /* 1812 */
-    82,
-    /* NEG8m */
+  { /* 1496 */
+    214,
+    /* MMX_PHSUBSWrm64 */
   },
-  { /* 1813 */
-    129,
-    /* NEG8r */
+  { /* 1497 */
+    215,
+    /* MMX_PHSUBSWrr64 */
   },
-  { /* 1814 */
-    0,
-    /* NOOP */
+  { /* 1498 */
+    214,
+    /* MMX_PHSUBWrm64 */
   },
-  { /* 1815 */
-    38,
-    /* NOOP18_16m4 */
+  { /* 1499 */
+    215,
+    /* MMX_PHSUBWrr64 */
   },
-  { /* 1816 */
-    38,
-    /* NOOP18_16m5 */
+  { /* 1500 */
+    216,
+    /* MMX_PINSRWirmi */
   },
-  { /* 1817 */
-    38,
-    /* NOOP18_16m6 */
+  { /* 1501 */
+    219,
+    /* MMX_PINSRWirri */
   },
-  { /* 1818 */
-    38,
-    /* NOOP18_16m7 */
+  { /* 1502 */
+    214,
+    /* MMX_PMADDUBSWrm64 */
   },
-  { /* 1819 */
-    77,
-    /* NOOP18_16r4 */
-  },
-  { /* 1820 */
-    77,
-    /* NOOP18_16r5 */
+  { /* 1503 */
+    215,
+    /* MMX_PMADDUBSWrr64 */
   },
-  { /* 1821 */
-    77,
-    /* NOOP18_16r6 */
+  { /* 1504 */
+    214,
+    /* MMX_PMADDWDirm */
   },
-  { /* 1822 */
-    77,
-    /* NOOP18_16r7 */
+  { /* 1505 */
+    215,
+    /* MMX_PMADDWDirr */
   },
-  { /* 1823 */
-    38,
-    /* NOOP18_m4 */
+  { /* 1506 */
+    214,
+    /* MMX_PMAXSWirm */
   },
-  { /* 1824 */
-    38,
-    /* NOOP18_m5 */
+  { /* 1507 */
+    215,
+    /* MMX_PMAXSWirr */
   },
-  { /* 1825 */
-    38,
-    /* NOOP18_m6 */
+  { /* 1508 */
+    214,
+    /* MMX_PMAXUBirm */
   },
-  { /* 1826 */
-    38,
-    /* NOOP18_m7 */
+  { /* 1509 */
+    215,
+    /* MMX_PMAXUBirr */
   },
-  { /* 1827 */
-    77,
-    /* NOOP18_r4 */
+  { /* 1510 */
+    214,
+    /* MMX_PMINSWirm */
   },
-  { /* 1828 */
-    77,
-    /* NOOP18_r5 */
+  { /* 1511 */
+    215,
+    /* MMX_PMINSWirr */
   },
-  { /* 1829 */
-    77,
-    /* NOOP18_r6 */
+  { /* 1512 */
+    214,
+    /* MMX_PMINUBirm */
   },
-  { /* 1830 */
-    77,
-    /* NOOP18_r7 */
+  { /* 1513 */
+    215,
+    /* MMX_PMINUBirr */
   },
-  { /* 1831 */
-    69,
-    /* NOOP19rr */
+  { /* 1514 */
+    220,
+    /* MMX_PMOVMSKBrr */
   },
-  { /* 1832 */
-    38,
-    /* NOOPL */
+  { /* 1515 */
+    214,
+    /* MMX_PMULHRSWrm64 */
   },
-  { /* 1833 */
-    38,
-    /* NOOPL_19 */
+  { /* 1516 */
+    215,
+    /* MMX_PMULHRSWrr64 */
   },
-  { /* 1834 */
-    38,
-    /* NOOPL_1a */
+  { /* 1517 */
+    214,
+    /* MMX_PMULHUWirm */
   },
-  { /* 1835 */
-    38,
-    /* NOOPL_1b */
+  { /* 1518 */
+    215,
+    /* MMX_PMULHUWirr */
   },
-  { /* 1836 */
-    38,
-    /* NOOPL_1c */
+  { /* 1519 */
+    214,
+    /* MMX_PMULHWirm */
   },
-  { /* 1837 */
-    38,
-    /* NOOPL_1d */
+  { /* 1520 */
+    215,
+    /* MMX_PMULHWirr */
   },
-  { /* 1838 */
-    38,
-    /* NOOPL_1e */
+  { /* 1521 */
+    214,
+    /* MMX_PMULLWirm */
   },
-  { /* 1839 */
-    38,
-    /* NOOPW */
+  { /* 1522 */
+    215,
+    /* MMX_PMULLWirr */
   },
-  { /* 1840 */
-    38,
-    /* NOOPW_19 */
+  { /* 1523 */
+    214,
+    /* MMX_PMULUDQirm */
   },
-  { /* 1841 */
-    38,
-    /* NOOPW_1a */
+  { /* 1524 */
+    215,
+    /* MMX_PMULUDQirr */
   },
-  { /* 1842 */
-    38,
-    /* NOOPW_1b */
+  { /* 1525 */
+    214,
+    /* MMX_PORirm */
   },
-  { /* 1843 */
-    38,
-    /* NOOPW_1c */
+  { /* 1526 */
+    215,
+    /* MMX_PORirr */
   },
-  { /* 1844 */
-    38,
-    /* NOOPW_1d */
+  { /* 1527 */
+    214,
+    /* MMX_PSADBWirm */
   },
-  { /* 1845 */
-    38,
-    /* NOOPW_1e */
+  { /* 1528 */
+    215,
+    /* MMX_PSADBWirr */
   },
-  { /* 1846 */
-    38,
-    /* NOT16m */
+  { /* 1529 */
+    214,
+    /* MMX_PSHUFBrm64 */
   },
-  { /* 1847 */
-    127,
-    /* NOT16r */
+  { /* 1530 */
+    215,
+    /* MMX_PSHUFBrr64 */
   },
-  { /* 1848 */
-    38,
-    /* NOT32m */
+  { /* 1531 */
+    221,
+    /* MMX_PSHUFWmi */
   },
-  { /* 1849 */
-    127,
-    /* NOT32r */
+  { /* 1532 */
+    222,
+    /* MMX_PSHUFWri */
   },
-  { /* 1850 */
-    38,
-    /* NOT64m */
+  { /* 1533 */
+    214,
+    /* MMX_PSIGNBrm64 */
   },
-  { /* 1851 */
-    128,
-    /* NOT64r */
+  { /* 1534 */
+    215,
+    /* MMX_PSIGNBrr64 */
   },
-  { /* 1852 */
-    82,
-    /* NOT8m */
+  { /* 1535 */
+    214,
+    /* MMX_PSIGNDrm64 */
   },
-  { /* 1853 */
-    129,
-    /* NOT8r */
+  { /* 1536 */
+    215,
+    /* MMX_PSIGNDrr64 */
   },
-  { /* 1854 */
-    2,
-    /* OR16i16 */
+  { /* 1537 */
+    214,
+    /* MMX_PSIGNWrm64 */
   },
-  { /* 1855 */
-    3,
-    /* OR16mi */
+  { /* 1538 */
+    215,
+    /* MMX_PSIGNWrr64 */
   },
-  { /* 1856 */
-    4,
-    /* OR16mi8 */
+  { /* 1539 */
+    223,
+    /* MMX_PSLLDri */
   },
-  { /* 1857 */
-    5,
-    /* OR16mr */
+  { /* 1540 */
+    214,
+    /* MMX_PSLLDrm */
   },
-  { /* 1858 */
-    6,
-    /* OR16ri */
+  { /* 1541 */
+    215,
+    /* MMX_PSLLDrr */
   },
-  { /* 1859 */
-    7,
-    /* OR16ri8 */
+  { /* 1542 */
+    223,
+    /* MMX_PSLLQri */
   },
-  { /* 1860 */
-    8,
-    /* OR16rm */
+  { /* 1543 */
+    214,
+    /* MMX_PSLLQrm */
   },
-  { /* 1861 */
-    9,
-    /* OR16rr */
+  { /* 1544 */
+    215,
+    /* MMX_PSLLQrr */
   },
-  { /* 1862 */
-    10,
-    /* OR16rr_REV */
+  { /* 1545 */
+    223,
+    /* MMX_PSLLWri */
   },
-  { /* 1863 */
-    2,
-    /* OR32i32 */
+  { /* 1546 */
+    214,
+    /* MMX_PSLLWrm */
   },
-  { /* 1864 */
-    3,
-    /* OR32mi */
+  { /* 1547 */
+    215,
+    /* MMX_PSLLWrr */
   },
-  { /* 1865 */
-    11,
-    /* OR32mi8 */
+  { /* 1548 */
+    223,
+    /* MMX_PSRADri */
   },
-  { /* 1866 */
-    5,
-    /* OR32mr */
+  { /* 1549 */
+    214,
+    /* MMX_PSRADrm */
   },
-  { /* 1867 */
-    0,
-    /*  */
+  { /* 1550 */
+    215,
+    /* MMX_PSRADrr */
   },
-  { /* 1868 */
-    6,
-    /* OR32ri */
+  { /* 1551 */
+    223,
+    /* MMX_PSRAWri */
   },
-  { /* 1869 */
-    12,
-    /* OR32ri8 */
+  { /* 1552 */
+    214,
+    /* MMX_PSRAWrm */
   },
-  { /* 1870 */
-    8,
-    /* OR32rm */
+  { /* 1553 */
+    215,
+    /* MMX_PSRAWrr */
   },
-  { /* 1871 */
-    9,
-    /* OR32rr */
+  { /* 1554 */
+    223,
+    /* MMX_PSRLDri */
   },
-  { /* 1872 */
-    10,
-    /* OR32rr_REV */
+  { /* 1555 */
+    214,
+    /* MMX_PSRLDrm */
   },
-  { /* 1873 */
-    13,
-    /* OR64i32 */
+  { /* 1556 */
+    215,
+    /* MMX_PSRLDrr */
   },
-  { /* 1874 */
-    14,
-    /* OR64mi32 */
+  { /* 1557 */
+    223,
+    /* MMX_PSRLQri */
   },
-  { /* 1875 */
-    15,
-    /* OR64mi8 */
+  { /* 1558 */
+    214,
+    /* MMX_PSRLQrm */
   },
-  { /* 1876 */
-    16,
-    /* OR64mr */
+  { /* 1559 */
+    215,
+    /* MMX_PSRLQrr */
   },
-  { /* 1877 */
-    17,
-    /* OR64ri32 */
+  { /* 1560 */
+    223,
+    /* MMX_PSRLWri */
   },
-  { /* 1878 */
-    18,
-    /* OR64ri8 */
+  { /* 1561 */
+    214,
+    /* MMX_PSRLWrm */
   },
-  { /* 1879 */
-    19,
-    /* OR64rm */
+  { /* 1562 */
+    215,
+    /* MMX_PSRLWrr */
   },
-  { /* 1880 */
-    20,
-    /* OR64rr */
+  { /* 1563 */
+    214,
+    /* MMX_PSUBBirm */
   },
-  { /* 1881 */
-    21,
-    /* OR64rr_REV */
+  { /* 1564 */
+    215,
+    /* MMX_PSUBBirr */
   },
-  { /* 1882 */
-    1,
-    /* OR8i8 */
+  { /* 1565 */
+    214,
+    /* MMX_PSUBDirm */
   },
-  { /* 1883 */
-    22,
-    /* OR8mi */
+  { /* 1566 */
+    215,
+    /* MMX_PSUBDirr */
   },
-  { /* 1884 */
-    23,
-    /* OR8mr */
+  { /* 1567 */
+    214,
+    /* MMX_PSUBQirm */
   },
-  { /* 1885 */
-    24,
-    /* OR8ri */
+  { /* 1568 */
+    215,
+    /* MMX_PSUBQirr */
   },
-  { /* 1886 */
-    24,
-    /* OR8ri8 */
+  { /* 1569 */
+    214,
+    /* MMX_PSUBSBirm */
   },
-  { /* 1887 */
-    25,
-    /* OR8rm */
+  { /* 1570 */
+    215,
+    /* MMX_PSUBSBirr */
   },
-  { /* 1888 */
-    26,
-    /* OR8rr */
+  { /* 1571 */
+    214,
+    /* MMX_PSUBSWirm */
   },
-  { /* 1889 */
-    27,
-    /* OR8rr_REV */
+  { /* 1572 */
+    215,
+    /* MMX_PSUBSWirr */
   },
-  { /* 1890 */
-    30,
-    /* ORPDrm */
+  { /* 1573 */
+    214,
+    /* MMX_PSUBUSBirm */
   },
-  { /* 1891 */
-    31,
-    /* ORPDrr */
+  { /* 1574 */
+    215,
+    /* MMX_PSUBUSBirr */
   },
-  { /* 1892 */
-    30,
-    /* ORPSrm */
+  { /* 1575 */
+    214,
+    /* MMX_PSUBUSWirm */
   },
-  { /* 1893 */
-    31,
-    /* ORPSrr */
+  { /* 1576 */
+    215,
+    /* MMX_PSUBUSWirr */
   },
-  { /* 1894 */
-    1,
-    /* OUT16ir */
+  { /* 1577 */
+    214,
+    /* MMX_PSUBWirm */
   },
-  { /* 1895 */
-    0,
-    /* OUT16rr */
+  { /* 1578 */
+    215,
+    /* MMX_PSUBWirr */
   },
-  { /* 1896 */
-    1,
-    /* OUT32ir */
+  { /* 1579 */
+    214,
+    /* MMX_PUNPCKHBWirm */
   },
-  { /* 1897 */
-    0,
-    /* OUT32rr */
+  { /* 1580 */
+    215,
+    /* MMX_PUNPCKHBWirr */
   },
-  { /* 1898 */
-    1,
-    /* OUT8ir */
+  { /* 1581 */
+    214,
+    /* MMX_PUNPCKHDQirm */
   },
-  { /* 1899 */
-    0,
-    /* OUT8rr */
+  { /* 1582 */
+    215,
+    /* MMX_PUNPCKHDQirr */
   },
-  { /* 1900 */
-    191,
-    /* OUTSB */
+  { /* 1583 */
+    214,
+    /* MMX_PUNPCKHWDirm */
   },
-  { /* 1901 */
-    192,
-    /* OUTSL */
+  { /* 1584 */
+    215,
+    /* MMX_PUNPCKHWDirr */
   },
-  { /* 1902 */
-    194,
-    /* OUTSW */
+  { /* 1585 */
+    214,
+    /* MMX_PUNPCKLBWirm */
   },
-  { /* 1903 */
-    44,
-    /* PABSBrm128 */
+  { /* 1586 */
+    215,
+    /* MMX_PUNPCKLBWirr */
   },
-  { /* 1904 */
-    45,
-    /* PABSBrr128 */
+  { /* 1587 */
+    214,
+    /* MMX_PUNPCKLDQirm */
   },
-  { /* 1905 */
-    44,
-    /* PABSDrm128 */
+  { /* 1588 */
+    215,
+    /* MMX_PUNPCKLDQirr */
   },
-  { /* 1906 */
-    45,
-    /* PABSDrr128 */
+  { /* 1589 */
+    214,
+    /* MMX_PUNPCKLWDirm */
   },
-  { /* 1907 */
-    44,
-    /* PABSWrm128 */
+  { /* 1590 */
+    215,
+    /* MMX_PUNPCKLWDirr */
   },
-  { /* 1908 */
-    45,
-    /* PABSWrr128 */
+  { /* 1591 */
+    214,
+    /* MMX_PXORirm */
   },
-  { /* 1909 */
-    30,
-    /* PACKSSDWrm */
+  { /* 1592 */
+    215,
+    /* MMX_PXORirr */
   },
-  { /* 1910 */
-    31,
-    /* PACKSSDWrr */
+  { /* 1593 */
+    0,
+    /*  */
   },
-  { /* 1911 */
-    30,
-    /* PACKSSWBrm */
+  { /* 1594 */
+    0,
+    /* MONITORrrr */
   },
-  { /* 1912 */
-    31,
-    /* PACKSSWBrr */
+  { /* 1595 */
+    0,
+    /* MONTMUL */
   },
-  { /* 1913 */
-    30,
-    /* PACKUSDWrm */
+  { /* 1596 */
+    0,
+    /*  */
   },
-  { /* 1914 */
-    31,
-    /* PACKUSDWrr */
+  { /* 1597 */
+    0,
+    /*  */
   },
-  { /* 1915 */
-    30,
-    /* PACKUSWBrm */
+  { /* 1598 */
+    224,
+    /* MOV16ao16 */
   },
-  { /* 1916 */
-    31,
-    /* PACKUSWBrr */
+  { /* 1599 */
+    224,
+    /* MOV16ao32 */
   },
-  { /* 1917 */
-    30,
-    /* PADDBrm */
+  { /* 1600 */
+    224,
+    /* MOV16ao64 */
   },
-  { /* 1918 */
-    31,
-    /* PADDBrr */
+  { /* 1601 */
+    3,
+    /* MOV16mi */
   },
-  { /* 1919 */
-    30,
-    /* PADDDrm */
+  { /* 1602 */
+    5,
+    /* MOV16mr */
   },
-  { /* 1920 */
-    31,
-    /* PADDDrr */
+  { /* 1603 */
+    225,
+    /* MOV16ms */
   },
-  { /* 1921 */
-    30,
-    /* PADDQrm */
+  { /* 1604 */
+    224,
+    /* MOV16o16a */
   },
-  { /* 1922 */
-    31,
-    /* PADDQrr */
+  { /* 1605 */
+    224,
+    /* MOV16o32a */
   },
-  { /* 1923 */
-    30,
-    /* PADDSBrm */
+  { /* 1606 */
+    224,
+    /* MOV16o64a */
   },
-  { /* 1924 */
-    31,
-    /* PADDSBrr */
+  { /* 1607 */
+    226,
+    /* MOV16ri */
   },
-  { /* 1925 */
-    30,
-    /* PADDSWrm */
+  { /* 1608 */
+    83,
+    /* MOV16ri_alt */
   },
-  { /* 1926 */
-    31,
-    /* PADDSWrr */
+  { /* 1609 */
+    68,
+    /* MOV16rm */
   },
-  { /* 1927 */
-    30,
-    /* PADDUSBrm */
+  { /* 1610 */
+    73,
+    /* MOV16rr */
   },
-  { /* 1928 */
-    31,
-    /* PADDUSBrr */
+  { /* 1611 */
+    69,
+    /* MOV16rr_REV */
   },
-  { /* 1929 */
-    30,
-    /* PADDUSWrm */
+  { /* 1612 */
+    227,
+    /* MOV16rs */
   },
-  { /* 1930 */
-    31,
-    /* PADDUSWrr */
+  { /* 1613 */
+    228,
+    /* MOV16sm */
   },
-  { /* 1931 */
-    30,
-    /* PADDWrm */
+  { /* 1614 */
+    229,
+    /* MOV16sr */
   },
-  { /* 1932 */
-    31,
-    /* PADDWrr */
+  { /* 1615 */
+    230,
+    /* MOV32ao16 */
   },
-  { /* 1933 */
-    267,
-    /* PALIGNR128rm */
+  { /* 1616 */
+    230,
+    /* MOV32ao32 */
   },
-  { /* 1934 */
-    268,
-    /* PALIGNR128rr */
+  { /* 1617 */
+    230,
+    /* MOV32ao64 */
   },
-  { /* 1935 */
-    30,
-    /* PANDNrm */
+  { /* 1618 */
+    231,
+    /* MOV32cr */
   },
-  { /* 1936 */
-    31,
-    /* PANDNrr */
+  { /* 1619 */
+    232,
+    /* MOV32dr */
   },
-  { /* 1937 */
-    30,
-    /* PANDrm */
+  { /* 1620 */
+    3,
+    /* MOV32mi */
   },
-  { /* 1938 */
-    31,
-    /* PANDrr */
+  { /* 1621 */
+    5,
+    /* MOV32mr */
   },
-  { /* 1939 */
-    0,
-    /* PAUSE */
+  { /* 1622 */
+    225,
+    /* MOV32ms */
   },
-  { /* 1940 */
-    30,
-    /* PAVGBrm */
+  { /* 1623 */
+    230,
+    /* MOV32o16a */
   },
-  { /* 1941 */
-    31,
-    /* PAVGBrr */
+  { /* 1624 */
+    230,
+    /* MOV32o32a */
   },
-  { /* 1942 */
-    210,
-    /* PAVGUSBrm */
+  { /* 1625 */
+    230,
+    /* MOV32o64a */
   },
-  { /* 1943 */
-    211,
-    /* PAVGUSBrr */
+  { /* 1626 */
+    0,
+    /*  */
   },
-  { /* 1944 */
-    30,
-    /* PAVGWrm */
+  { /* 1627 */
+    233,
+    /* MOV32rc */
   },
-  { /* 1945 */
-    31,
-    /* PAVGWrr */
+  { /* 1628 */
+    234,
+    /* MOV32rd */
   },
-  { /* 1946 */
-    30,
-    /* PBLENDVBrm0 */
+  { /* 1629 */
+    226,
+    /* MOV32ri */
   },
-  { /* 1947 */
-    31,
-    /* PBLENDVBrr0 */
+  { /* 1630 */
+    0,
+    /*  */
   },
-  { /* 1948 */
-    66,
-    /* PBLENDWrmi */
+  { /* 1631 */
+    83,
+    /* MOV32ri_alt */
   },
-  { /* 1949 */
-    67,
-    /* PBLENDWrri */
+  { /* 1632 */
+    68,
+    /* MOV32rm */
   },
-  { /* 1950 */
-    267,
-    /* PCLMULQDQrm */
+  { /* 1633 */
+    73,
+    /* MOV32rr */
   },
-  { /* 1951 */
-    268,
-    /* PCLMULQDQrr */
+  { /* 1634 */
+    69,
+    /* MOV32rr_REV */
   },
-  { /* 1952 */
-    30,
-    /* PCMPEQBrm */
+  { /* 1635 */
+    227,
+    /* MOV32rs */
   },
-  { /* 1953 */
-    31,
-    /* PCMPEQBrr */
+  { /* 1636 */
+    228,
+    /* MOV32sm */
   },
-  { /* 1954 */
-    30,
-    /* PCMPEQDrm */
+  { /* 1637 */
+    229,
+    /* MOV32sr */
   },
-  { /* 1955 */
-    31,
-    /* PCMPEQDrr */
+  { /* 1638 */
+    235,
+    /* MOV64ao32 */
   },
-  { /* 1956 */
-    30,
-    /* PCMPEQQrm */
+  { /* 1639 */
+    235,
+    /* MOV64ao64 */
   },
-  { /* 1957 */
-    31,
-    /* PCMPEQQrr */
+  { /* 1640 */
+    236,
+    /* MOV64cr */
   },
-  { /* 1958 */
-    30,
-    /* PCMPEQWrm */
+  { /* 1641 */
+    237,
+    /* MOV64dr */
   },
-  { /* 1959 */
-    31,
-    /* PCMPEQWrr */
+  { /* 1642 */
+    14,
+    /* MOV64mi32 */
   },
-  { /* 1960 */
-    0,
-    /*  */
+  { /* 1643 */
+    16,
+    /* MOV64mr */
   },
-  { /* 1961 */
-    0,
-    /*  */
+  { /* 1644 */
+    225,
+    /* MOV64ms */
   },
-  { /* 1962 */
-    46,
-    /* PCMPESTRIrm */
+  { /* 1645 */
+    235,
+    /* MOV64o32a */
   },
-  { /* 1963 */
-    47,
-    /* PCMPESTRIrr */
+  { /* 1646 */
+    235,
+    /* MOV64o64a */
   },
-  { /* 1964 */
-    0,
-    /*  */
+  { /* 1647 */
+    238,
+    /* MOV64rc */
   },
-  { /* 1965 */
-    0,
-    /*  */
+  { /* 1648 */
+    239,
+    /* MOV64rd */
   },
-  { /* 1966 */
-    46,
-    /* PCMPESTRM128rm */
+  { /* 1649 */
+    240,
+    /* MOV64ri */
   },
-  { /* 1967 */
-    47,
-    /* PCMPESTRM128rr */
+  { /* 1650 */
+    84,
+    /* MOV64ri32 */
   },
-  { /* 1968 */
-    30,
-    /* PCMPGTBrm */
+  { /* 1651 */
+    42,
+    /* MOV64rm */
   },
-  { /* 1969 */
-    31,
-    /* PCMPGTBrr */
+  { /* 1652 */
+    76,
+    /* MOV64rr */
   },
-  { /* 1970 */
-    30,
-    /* PCMPGTDrm */
+  { /* 1653 */
+    43,
+    /* MOV64rr_REV */
   },
-  { /* 1971 */
-    31,
-    /* PCMPGTDrr */
+  { /* 1654 */
+    241,
+    /* MOV64rs */
   },
-  { /* 1972 */
-    30,
-    /* PCMPGTQrm */
+  { /* 1655 */
+    228,
+    /* MOV64sm */
   },
-  { /* 1973 */
-    31,
-    /* PCMPGTQrr */
+  { /* 1656 */
+    242,
+    /* MOV64sr */
   },
-  { /* 1974 */
-    30,
-    /* PCMPGTWrm */
+  { /* 1657 */
+    105,
+    /* MOV64toPQIrm */
   },
-  { /* 1975 */
-    31,
-    /* PCMPGTWrr */
+  { /* 1658 */
+    243,
+    /* MOV64toPQIrr */
   },
-  { /* 1976 */
+  { /* 1659 */
     0,
     /*  */
   },
-  { /* 1977 */
+  { /* 1660 */
     0,
     /*  */
   },
-  { /* 1978 */
-    46,
-    /* PCMPISTRIrm */
+  { /* 1661 */
+    244,
+    /* MOV8ao16 */
   },
-  { /* 1979 */
-    47,
-    /* PCMPISTRIrr */
+  { /* 1662 */
+    244,
+    /* MOV8ao32 */
   },
-  { /* 1980 */
-    0,
-    /*  */
+  { /* 1663 */
+    244,
+    /* MOV8ao64 */
   },
-  { /* 1981 */
+  { /* 1664 */
+    22,
+    /* MOV8mi */
+  },
+  { /* 1665 */
+    23,
+    /* MOV8mr */
+  },
+  { /* 1666 */
     0,
     /*  */
   },
-  { /* 1982 */
-    46,
-    /* PCMPISTRM128rm */
+  { /* 1667 */
+    244,
+    /* MOV8o16a */
   },
-  { /* 1983 */
-    47,
-    /* PCMPISTRM128rr */
+  { /* 1668 */
+    244,
+    /* MOV8o32a */
   },
-  { /* 1984 */
-    48,
-    /* PDEP32rm */
+  { /* 1669 */
+    244,
+    /* MOV8o64a */
   },
-  { /* 1985 */
-    49,
-    /* PDEP32rr */
+  { /* 1670 */
+    245,
+    /* MOV8ri */
   },
-  { /* 1986 */
-    50,
-    /* PDEP64rm */
+  { /* 1671 */
+    85,
+    /* MOV8ri_alt */
   },
-  { /* 1987 */
-    51,
-    /* PDEP64rr */
+  { /* 1672 */
+    86,
+    /* MOV8rm */
   },
-  { /* 1988 */
-    48,
-    /* PEXT32rm */
+  { /* 1673 */
+    0,
+    /*  */
   },
-  { /* 1989 */
-    49,
-    /* PEXT32rr */
+  { /* 1674 */
+    87,
+    /* MOV8rr */
   },
-  { /* 1990 */
-    50,
-    /* PEXT64rm */
+  { /* 1675 */
+    0,
+    /*  */
   },
-  { /* 1991 */
-    51,
-    /* PEXT64rr */
+  { /* 1676 */
+    88,
+    /* MOV8rr_REV */
   },
-  { /* 1992 */
-    269,
-    /* PEXTRBmr */
+  { /* 1677 */
+    246,
+    /* MOVAPDmr */
   },
-  { /* 1993 */
-    133,
-    /* PEXTRBrr */
-  },
-  { /* 1994 */
-    270,
-    /* PEXTRDmr */
-  },
-  { /* 1995 */
-    133,
-    /* PEXTRDrr */
-  },
-  { /* 1996 */
-    270,
-    /* PEXTRQmr */
-  },
-  { /* 1997 */
-    271,
-    /* PEXTRQrr */
-  },
-  { /* 1998 */
-    270,
-    /* PEXTRWmr */
-  },
-  { /* 1999 */
-    272,
-    /* PEXTRWri */
-  },
-  { /* 2000 */
-    133,
-    /* PEXTRWrr_REV */
-  },
-  { /* 2001 */
-    206,
-    /* PF2IDrm */
-  },
-  { /* 2002 */
-    202,
-    /* PF2IDrr */
+  { /* 1678 */
+    44,
+    /* MOVAPDrm */
   },
-  { /* 2003 */
-    206,
-    /* PF2IWrm */
+  { /* 1679 */
+    45,
+    /* MOVAPDrr */
   },
-  { /* 2004 */
-    202,
-    /* PF2IWrr */
+  { /* 1680 */
+    247,
+    /* MOVAPDrr_REV */
   },
-  { /* 2005 */
-    210,
-    /* PFACCrm */
+  { /* 1681 */
+    246,
+    /* MOVAPSmr */
   },
-  { /* 2006 */
-    211,
-    /* PFACCrr */
+  { /* 1682 */
+    44,
+    /* MOVAPSrm */
   },
-  { /* 2007 */
-    210,
-    /* PFADDrm */
+  { /* 1683 */
+    45,
+    /* MOVAPSrr */
   },
-  { /* 2008 */
-    211,
-    /* PFADDrr */
+  { /* 1684 */
+    247,
+    /* MOVAPSrr_REV */
   },
-  { /* 2009 */
-    210,
-    /* PFCMPEQrm */
+  { /* 1685 */
+    5,
+    /* MOVBE16mr */
   },
-  { /* 2010 */
-    211,
-    /* PFCMPEQrr */
+  { /* 1686 */
+    68,
+    /* MOVBE16rm */
   },
-  { /* 2011 */
-    210,
-    /* PFCMPGErm */
+  { /* 1687 */
+    5,
+    /* MOVBE32mr */
   },
-  { /* 2012 */
-    211,
-    /* PFCMPGErr */
+  { /* 1688 */
+    68,
+    /* MOVBE32rm */
   },
-  { /* 2013 */
-    210,
-    /* PFCMPGTrm */
+  { /* 1689 */
+    16,
+    /* MOVBE64mr */
   },
-  { /* 2014 */
-    211,
-    /* PFCMPGTrr */
+  { /* 1690 */
+    42,
+    /* MOVBE64rm */
   },
-  { /* 2015 */
-    210,
-    /* PFMAXrm */
+  { /* 1691 */
+    106,
+    /* MOVDDUPrm */
   },
-  { /* 2016 */
-    211,
-    /* PFMAXrr */
+  { /* 1692 */
+    45,
+    /* MOVDDUPrr */
   },
-  { /* 2017 */
-    210,
-    /* PFMINrm */
+  { /* 1693 */
+    105,
+    /* MOVDI2PDIrm */
   },
-  { /* 2018 */
-    211,
-    /* PFMINrr */
+  { /* 1694 */
+    248,
+    /* MOVDI2PDIrr */
   },
-  { /* 2019 */
-    210,
-    /* PFMULrm */
+  { /* 1695 */
+    0,
+    /*  */
   },
-  { /* 2020 */
-    211,
-    /* PFMULrr */
+  { /* 1696 */
+    0,
+    /*  */
   },
-  { /* 2021 */
-    210,
-    /* PFNACCrm */
+  { /* 1697 */
+    246,
+    /* MOVDQAmr */
   },
-  { /* 2022 */
-    211,
-    /* PFNACCrr */
+  { /* 1698 */
+    44,
+    /* MOVDQArm */
   },
-  { /* 2023 */
-    210,
-    /* PFPNACCrm */
+  { /* 1699 */
+    45,
+    /* MOVDQArr */
   },
-  { /* 2024 */
-    211,
-    /* PFPNACCrr */
+  { /* 1700 */
+    247,
+    /* MOVDQArr_REV */
   },
-  { /* 2025 */
-    210,
-    /* PFRCPIT1rm */
+  { /* 1701 */
+    246,
+    /* MOVDQUmr */
   },
-  { /* 2026 */
-    211,
-    /* PFRCPIT1rr */
+  { /* 1702 */
+    44,
+    /* MOVDQUrm */
   },
-  { /* 2027 */
-    210,
-    /* PFRCPIT2rm */
+  { /* 1703 */
+    45,
+    /* MOVDQUrr */
   },
-  { /* 2028 */
-    211,
-    /* PFRCPIT2rr */
+  { /* 1704 */
+    247,
+    /* MOVDQUrr_REV */
   },
-  { /* 2029 */
-    206,
-    /* PFRCPrm */
+  { /* 1705 */
+    31,
+    /* MOVHLPSrr */
   },
-  { /* 2030 */
-    202,
-    /* PFRCPrr */
+  { /* 1706 */
+    249,
+    /* MOVHPDmr */
   },
-  { /* 2031 */
-    210,
-    /* PFRSQIT1rm */
+  { /* 1707 */
+    250,
+    /* MOVHPDrm */
   },
-  { /* 2032 */
-    211,
-    /* PFRSQIT1rr */
+  { /* 1708 */
+    249,
+    /* MOVHPSmr */
   },
-  { /* 2033 */
-    206,
-    /* PFRSQRTrm */
+  { /* 1709 */
+    250,
+    /* MOVHPSrm */
   },
-  { /* 2034 */
-    202,
-    /* PFRSQRTrr */
+  { /* 1710 */
+    31,
+    /* MOVLHPSrr */
   },
-  { /* 2035 */
-    210,
-    /* PFSUBRrm */
+  { /* 1711 */
+    249,
+    /* MOVLPDmr */
   },
-  { /* 2036 */
-    211,
-    /* PFSUBRrr */
+  { /* 1712 */
+    250,
+    /* MOVLPDrm */
   },
-  { /* 2037 */
-    210,
-    /* PFSUBrm */
+  { /* 1713 */
+    249,
+    /* MOVLPSmr */
   },
-  { /* 2038 */
-    211,
-    /* PFSUBrr */
+  { /* 1714 */
+    250,
+    /* MOVLPSrm */
   },
-  { /* 2039 */
-    30,
-    /* PHADDDrm */
+  { /* 1715 */
+    110,
+    /* MOVMSKPDrr */
   },
-  { /* 2040 */
-    31,
-    /* PHADDDrr */
+  { /* 1716 */
+    110,
+    /* MOVMSKPSrr */
   },
-  { /* 2041 */
-    30,
-    /* PHADDSWrm128 */
+  { /* 1717 */
+    44,
+    /* MOVNTDQArm */
   },
-  { /* 2042 */
-    31,
-    /* PHADDSWrr128 */
+  { /* 1718 */
+    246,
+    /* MOVNTDQmr */
   },
-  { /* 2043 */
-    30,
-    /* PHADDWrm */
+  { /* 1719 */
+    16,
+    /* MOVNTI_64mr */
   },
-  { /* 2044 */
-    31,
-    /* PHADDWrr */
+  { /* 1720 */
+    251,
+    /* MOVNTImr */
   },
-  { /* 2045 */
-    44,
-    /* PHMINPOSUWrm128 */
+  { /* 1721 */
+    246,
+    /* MOVNTPDmr */
   },
-  { /* 2046 */
-    45,
-    /* PHMINPOSUWrr128 */
+  { /* 1722 */
+    246,
+    /* MOVNTPSmr */
   },
-  { /* 2047 */
-    30,
-    /* PHSUBDrm */
+  { /* 1723 */
+    249,
+    /* MOVNTSD */
   },
-  { /* 2048 */
-    31,
-    /* PHSUBDrr */
+  { /* 1724 */
+    252,
+    /* MOVNTSS */
   },
-  { /* 2049 */
-    30,
-    /* PHSUBSWrm128 */
+  { /* 1725 */
+    0,
+    /*  */
   },
-  { /* 2050 */
-    31,
-    /* PHSUBSWrr128 */
+  { /* 1726 */
+    253,
+    /* MOVPDI2DImr */
   },
-  { /* 2051 */
-    30,
-    /* PHSUBWrm */
+  { /* 1727 */
+    254,
+    /* MOVPDI2DIrr */
   },
-  { /* 2052 */
-    31,
-    /* PHSUBWrr */
+  { /* 1728 */
+    253,
+    /* MOVPQI2QImr */
   },
-  { /* 2053 */
-    206,
-    /* PI2FDrm */
+  { /* 1729 */
+    247,
+    /* MOVPQI2QIrr */
   },
-  { /* 2054 */
-    202,
-    /* PI2FDrr */
+  { /* 1730 */
+    253,
+    /* MOVPQIto64rm */
   },
-  { /* 2055 */
-    206,
-    /* PI2FWrm */
+  { /* 1731 */
+    255,
+    /* MOVPQIto64rr */
   },
-  { /* 2056 */
-    202,
-    /* PI2FWrr */
+  { /* 1732 */
+    105,
+    /* MOVQI2PQIrm */
   },
-  { /* 2057 */
-    273,
-    /* PINSRBrm */
+  { /* 1733 */
+    91,
+    /* MOVSB */
   },
-  { /* 2058 */
-    274,
-    /* PINSRBrr */
+  { /* 1734 */
+    256,
+    /* MOVSDmr */
   },
-  { /* 2059 */
-    275,
-    /* PINSRDrm */
+  { /* 1735 */
+    257,
+    /* MOVSDrm */
   },
-  { /* 2060 */
-    274,
-    /* PINSRDrr */
+  { /* 1736 */
+    258,
+    /* MOVSDrr */
   },
-  { /* 2061 */
-    275,
-    /* PINSRQrm */
+  { /* 1737 */
+    259,
+    /* MOVSDrr_REV */
   },
-  { /* 2062 */
-    276,
-    /* PINSRQrr */
+  { /* 1738 */
+    0,
+    /*  */
   },
-  { /* 2063 */
-    275,
-    /* PINSRWrmi */
+  { /* 1739 */
+    0,
+    /*  */
   },
-  { /* 2064 */
-    274,
-    /* PINSRWrri */
+  { /* 1740 */
+    44,
+    /* MOVSHDUPrm */
   },
-  { /* 2065 */
-    30,
-    /* PMADDUBSWrm128 */
+  { /* 1741 */
+    45,
+    /* MOVSHDUPrr */
   },
-  { /* 2066 */
-    31,
-    /* PMADDUBSWrr128 */
+  { /* 1742 */
+    94,
+    /* MOVSL */
   },
-  { /* 2067 */
-    30,
-    /* PMADDWDrm */
+  { /* 1743 */
+    44,
+    /* MOVSLDUPrm */
   },
-  { /* 2068 */
-    31,
-    /* PMADDWDrr */
+  { /* 1744 */
+    45,
+    /* MOVSLDUPrr */
   },
-  { /* 2069 */
-    30,
-    /* PMAXSBrm */
+  { /* 1745 */
+    95,
+    /* MOVSQ */
   },
-  { /* 2070 */
-    31,
-    /* PMAXSBrr */
+  { /* 1746 */
+    0,
+    /*  */
   },
-  { /* 2071 */
-    30,
-    /* PMAXSDrm */
+  { /* 1747 */
+    0,
+    /*  */
   },
-  { /* 2072 */
-    31,
-    /* PMAXSDrr */
+  { /* 1748 */
+    260,
+    /* MOVSSmr */
   },
-  { /* 2073 */
-    30,
-    /* PMAXSWrm */
+  { /* 1749 */
+    261,
+    /* MOVSSrm */
   },
-  { /* 2074 */
-    31,
-    /* PMAXSWrr */
+  { /* 1750 */
+    262,
+    /* MOVSSrr */
   },
-  { /* 2075 */
-    30,
-    /* PMAXUBrm */
+  { /* 1751 */
+    263,
+    /* MOVSSrr_REV */
   },
-  { /* 2076 */
-    31,
-    /* PMAXUBrr */
+  { /* 1752 */
+    98,
+    /* MOVSW */
   },
-  { /* 2077 */
-    30,
-    /* PMAXUDrm */
+  { /* 1753 */
+    264,
+    /* MOVSX16rm8 */
   },
-  { /* 2078 */
-    31,
-    /* PMAXUDrr */
+  { /* 1754 */
+    265,
+    /* MOVSX16rr8 */
   },
-  { /* 2079 */
-    30,
-    /* PMAXUWrm */
+  { /* 1755 */
+    0,
+    /*  */
   },
-  { /* 2080 */
-    31,
-    /* PMAXUWrr */
+  { /* 1756 */
+    0,
+    /*  */
   },
-  { /* 2081 */
-    30,
-    /* PMINSBrm */
+  { /* 1757 */
+    68,
+    /* MOVSX32rm16 */
   },
-  { /* 2082 */
-    31,
-    /* PMINSBrr */
+  { /* 1758 */
+    264,
+    /* MOVSX32rm8 */
   },
-  { /* 2083 */
-    30,
-    /* PMINSDrm */
+  { /* 1759 */
+    266,
+    /* MOVSX32rr16 */
   },
-  { /* 2084 */
-    31,
-    /* PMINSDrr */
+  { /* 1760 */
+    265,
+    /* MOVSX32rr8 */
   },
-  { /* 2085 */
-    30,
-    /* PMINSWrm */
+  { /* 1761 */
+    186,
+    /* MOVSX64_NOREXrr32 */
   },
-  { /* 2086 */
-    31,
-    /* PMINSWrr */
+  { /* 1762 */
+    42,
+    /* MOVSX64rm16 */
   },
-  { /* 2087 */
-    30,
-    /* PMINUBrm */
+  { /* 1763 */
+    42,
+    /* MOVSX64rm32 */
   },
-  { /* 2088 */
-    31,
-    /* PMINUBrr */
+  { /* 1764 */
+    42,
+    /* MOVSX64rm32_alt */
   },
-  { /* 2089 */
-    30,
-    /* PMINUDrm */
+  { /* 1765 */
+    267,
+    /* MOVSX64rm8 */
   },
-  { /* 2090 */
-    31,
-    /* PMINUDrr */
+  { /* 1766 */
+    268,
+    /* MOVSX64rr16 */
   },
-  { /* 2091 */
-    30,
-    /* PMINUWrm */
+  { /* 1767 */
+    186,
+    /* MOVSX64rr32 */
   },
-  { /* 2092 */
-    31,
-    /* PMINUWrr */
+  { /* 1768 */
+    269,
+    /* MOVSX64rr8 */
   },
-  { /* 2093 */
-    110,
-    /* PMOVMSKBrr */
+  { /* 1769 */
+    246,
+    /* MOVUPDmr */
   },
-  { /* 2094 */
-    105,
-    /* PMOVSXBDrm */
+  { /* 1770 */
+    44,
+    /* MOVUPDrm */
   },
-  { /* 2095 */
+  { /* 1771 */
     45,
-    /* PMOVSXBDrr */
+    /* MOVUPDrr */
   },
-  { /* 2096 */
-    105,
-    /* PMOVSXBQrm */
+  { /* 1772 */
+    247,
+    /* MOVUPDrr_REV */
   },
-  { /* 2097 */
-    45,
-    /* PMOVSXBQrr */
+  { /* 1773 */
+    246,
+    /* MOVUPSmr */
   },
-  { /* 2098 */
-    105,
-    /* PMOVSXBWrm */
+  { /* 1774 */
+    44,
+    /* MOVUPSrm */
   },
-  { /* 2099 */
+  { /* 1775 */
     45,
-    /* PMOVSXBWrr */
-  },
-  { /* 2100 */
-    105,
-    /* PMOVSXDQrm */
+    /* MOVUPSrr */
   },
-  { /* 2101 */
-    45,
-    /* PMOVSXDQrr */
+  { /* 1776 */
+    247,
+    /* MOVUPSrr_REV */
   },
-  { /* 2102 */
-    105,
-    /* PMOVSXWDrm */
+  { /* 1777 */
+    0,
+    /*  */
   },
-  { /* 2103 */
+  { /* 1778 */
     45,
-    /* PMOVSXWDrr */
+    /* MOVZPQILo2PQIrr */
   },
-  { /* 2104 */
-    105,
-    /* PMOVSXWQrm */
+  { /* 1779 */
+    0,
+    /*  */
   },
-  { /* 2105 */
-    45,
-    /* PMOVSXWQrr */
+  { /* 1780 */
+    0,
+    /*  */
   },
-  { /* 2106 */
-    105,
-    /* PMOVZXBDrm */
+  { /* 1781 */
+    264,
+    /* MOVZX16rm8 */
   },
-  { /* 2107 */
-    45,
-    /* PMOVZXBDrr */
+  { /* 1782 */
+    265,
+    /* MOVZX16rr8 */
   },
-  { /* 2108 */
-    105,
-    /* PMOVZXBQrm */
+  { /* 1783 */
+    0,
+    /*  */
   },
-  { /* 2109 */
-    45,
-    /* PMOVZXBQrr */
+  { /* 1784 */
+    0,
+    /*  */
   },
-  { /* 2110 */
-    105,
-    /* PMOVZXBWrm */
+  { /* 1785 */
+    68,
+    /* MOVZX32rm16 */
   },
-  { /* 2111 */
-    45,
-    /* PMOVZXBWrr */
+  { /* 1786 */
+    264,
+    /* MOVZX32rm8 */
   },
-  { /* 2112 */
-    105,
-    /* PMOVZXDQrm */
+  { /* 1787 */
+    266,
+    /* MOVZX32rr16 */
   },
-  { /* 2113 */
-    45,
-    /* PMOVZXDQrr */
+  { /* 1788 */
+    265,
+    /* MOVZX32rr8 */
   },
-  { /* 2114 */
-    105,
-    /* PMOVZXWDrm */
+  { /* 1789 */
+    42,
+    /* MOVZX64rm16_Q */
   },
-  { /* 2115 */
-    45,
-    /* PMOVZXWDrr */
+  { /* 1790 */
+    267,
+    /* MOVZX64rm8_Q */
   },
-  { /* 2116 */
-    105,
-    /* PMOVZXWQrm */
+  { /* 1791 */
+    268,
+    /* MOVZX64rr16_Q */
   },
-  { /* 2117 */
-    45,
-    /* PMOVZXWQrr */
+  { /* 1792 */
+    269,
+    /* MOVZX64rr8_Q */
   },
-  { /* 2118 */
-    30,
-    /* PMULDQrm */
+  { /* 1793 */
+    66,
+    /* MPSADBWrmi */
   },
-  { /* 2119 */
-    31,
-    /* PMULDQrr */
+  { /* 1794 */
+    67,
+    /* MPSADBWrri */
   },
-  { /* 2120 */
-    30,
-    /* PMULHRSWrm128 */
+  { /* 1795 */
+    38,
+    /* MUL16m */
   },
-  { /* 2121 */
-    31,
-    /* PMULHRSWrr128 */
+  { /* 1796 */
+    77,
+    /* MUL16r */
   },
-  { /* 2122 */
-    210,
-    /* PMULHRWrm */
+  { /* 1797 */
+    38,
+    /* MUL32m */
   },
-  { /* 2123 */
-    211,
-    /* PMULHRWrr */
+  { /* 1798 */
+    77,
+    /* MUL32r */
   },
-  { /* 2124 */
-    30,
-    /* PMULHUWrm */
+  { /* 1799 */
+    38,
+    /* MUL64m */
   },
-  { /* 2125 */
-    31,
-    /* PMULHUWrr */
+  { /* 1800 */
+    79,
+    /* MUL64r */
   },
-  { /* 2126 */
-    30,
-    /* PMULHWrm */
+  { /* 1801 */
+    82,
+    /* MUL8m */
   },
-  { /* 2127 */
-    31,
-    /* PMULHWrr */
+  { /* 1802 */
+    130,
+    /* MUL8r */
   },
-  { /* 2128 */
+  { /* 1803 */
     30,
-    /* PMULLDrm */
+    /* MULPDrm */
   },
-  { /* 2129 */
+  { /* 1804 */
     31,
-    /* PMULLDrr */
+    /* MULPDrr */
   },
-  { /* 2130 */
+  { /* 1805 */
     30,
-    /* PMULLWrm */
+    /* MULPSrm */
   },
-  { /* 2131 */
+  { /* 1806 */
     31,
-    /* PMULLWrr */
-  },
-  { /* 2132 */
-    30,
-    /* PMULUDQrm */
+    /* MULPSrr */
   },
-  { /* 2133 */
-    31,
-    /* PMULUDQrr */
+  { /* 1807 */
+    32,
+    /* MULSDrm */
   },
-  { /* 2134 */
-    277,
-    /* POP16r */
+  { /* 1808 */
+    0,
+    /*  */
   },
-  { /* 2135 */
-    38,
-    /* POP16rmm */
+  { /* 1809 */
+    33,
+    /* MULSDrr */
   },
-  { /* 2136 */
-    77,
-    /* POP16rmr */
+  { /* 1810 */
+    0,
+    /*  */
   },
-  { /* 2137 */
-    277,
-    /* POP32r */
+  { /* 1811 */
+    34,
+    /* MULSSrm */
   },
-  { /* 2138 */
-    38,
-    /* POP32rmm */
+  { /* 1812 */
+    0,
+    /*  */
   },
-  { /* 2139 */
-    77,
-    /* POP32rmr */
+  { /* 1813 */
+    35,
+    /* MULSSrr */
   },
-  { /* 2140 */
-    278,
-    /* POP64r */
+  { /* 1814 */
+    0,
+    /*  */
   },
-  { /* 2141 */
-    38,
-    /* POP64rmm */
+  { /* 1815 */
+    48,
+    /* MULX32rm */
   },
-  { /* 2142 */
-    79,
-    /* POP64rmr */
+  { /* 1816 */
+    49,
+    /* MULX32rr */
   },
-  { /* 2143 */
-    0,
-    /* POPA16 */
+  { /* 1817 */
+    50,
+    /* MULX64rm */
   },
-  { /* 2144 */
-    0,
-    /* POPA32 */
+  { /* 1818 */
+    51,
+    /* MULX64rr */
   },
-  { /* 2145 */
-    68,
-    /* POPCNT16rm */
+  { /* 1819 */
+    36,
+    /* MUL_F32m */
   },
-  { /* 2146 */
-    69,
-    /* POPCNT16rr */
+  { /* 1820 */
+    37,
+    /* MUL_F64m */
   },
-  { /* 2147 */
-    68,
-    /* POPCNT32rm */
+  { /* 1821 */
+    38,
+    /* MUL_FI16m */
   },
-  { /* 2148 */
-    69,
-    /* POPCNT32rr */
+  { /* 1822 */
+    38,
+    /* MUL_FI32m */
   },
-  { /* 2149 */
-    42,
-    /* POPCNT64rm */
+  { /* 1823 */
+    39,
+    /* MUL_FPrST0 */
   },
-  { /* 2150 */
-    43,
-    /* POPCNT64rr */
+  { /* 1824 */
+    39,
+    /* MUL_FST0r */
   },
-  { /* 2151 */
+  { /* 1825 */
     0,
-    /* POPDS16 */
+    /*  */
   },
-  { /* 2152 */
+  { /* 1826 */
     0,
-    /* POPDS32 */
+    /*  */
   },
-  { /* 2153 */
+  { /* 1827 */
     0,
-    /* POPES16 */
+    /*  */
   },
-  { /* 2154 */
+  { /* 1828 */
     0,
-    /* POPES32 */
+    /*  */
   },
-  { /* 2155 */
+  { /* 1829 */
     0,
-    /* POPF16 */
+    /*  */
   },
-  { /* 2156 */
+  { /* 1830 */
     0,
-    /* POPF32 */
+    /*  */
   },
-  { /* 2157 */
+  { /* 1831 */
     0,
-    /* POPF64 */
+    /*  */
   },
-  { /* 2158 */
+  { /* 1832 */
     0,
-    /* POPFS16 */
+    /*  */
   },
-  { /* 2159 */
+  { /* 1833 */
     0,
-    /* POPFS32 */
+    /*  */
   },
-  { /* 2160 */
+  { /* 1834 */
     0,
-    /* POPFS64 */
+    /*  */
   },
-  { /* 2161 */
+  { /* 1835 */
     0,
-    /* POPGS16 */
+    /*  */
   },
-  { /* 2162 */
+  { /* 1836 */
     0,
-    /* POPGS32 */
+    /*  */
   },
-  { /* 2163 */
+  { /* 1837 */
     0,
-    /* POPGS64 */
+    /*  */
   },
-  { /* 2164 */
+  { /* 1838 */
     0,
-    /* POPSS16 */
+    /*  */
   },
-  { /* 2165 */
-    0,
-    /* POPSS32 */
+  { /* 1839 */
+    39,
+    /* MUL_FrST0 */
   },
-  { /* 2166 */
-    30,
-    /* PORrm */
+  { /* 1840 */
+    0,
+    /* MWAITrr */
   },
-  { /* 2167 */
-    31,
-    /* PORrr */
+  { /* 1841 */
+    38,
+    /* NEG16m */
   },
-  { /* 2168 */
-    82,
-    /* PREFETCH */
+  { /* 1842 */
+    127,
+    /* NEG16r */
   },
-  { /* 2169 */
-    82,
-    /* PREFETCHNTA */
+  { /* 1843 */
+    38,
+    /* NEG32m */
   },
-  { /* 2170 */
-    82,
-    /* PREFETCHT0 */
+  { /* 1844 */
+    127,
+    /* NEG32r */
   },
-  { /* 2171 */
-    82,
-    /* PREFETCHT1 */
+  { /* 1845 */
+    38,
+    /* NEG64m */
   },
-  { /* 2172 */
-    82,
-    /* PREFETCHT2 */
+  { /* 1846 */
+    128,
+    /* NEG64r */
   },
-  { /* 2173 */
+  { /* 1847 */
     82,
-    /* PREFETCHW */
+    /* NEG8m */
   },
-  { /* 2174 */
-    30,
-    /* PSADBWrm */
+  { /* 1848 */
+    129,
+    /* NEG8r */
   },
-  { /* 2175 */
-    31,
-    /* PSADBWrr */
+  { /* 1849 */
+    0,
+    /* NOOP */
   },
-  { /* 2176 */
-    30,
-    /* PSHUFBrm */
+  { /* 1850 */
+    38,
+    /* NOOP18_16m4 */
   },
-  { /* 2177 */
-    31,
-    /* PSHUFBrr */
+  { /* 1851 */
+    38,
+    /* NOOP18_16m5 */
   },
-  { /* 2178 */
-    46,
-    /* PSHUFDmi */
+  { /* 1852 */
+    38,
+    /* NOOP18_16m6 */
   },
-  { /* 2179 */
-    47,
-    /* PSHUFDri */
+  { /* 1853 */
+    38,
+    /* NOOP18_16m7 */
   },
-  { /* 2180 */
-    46,
-    /* PSHUFHWmi */
+  { /* 1854 */
+    77,
+    /* NOOP18_16r4 */
   },
-  { /* 2181 */
-    47,
-    /* PSHUFHWri */
+  { /* 1855 */
+    77,
+    /* NOOP18_16r5 */
   },
-  { /* 2182 */
-    46,
-    /* PSHUFLWmi */
+  { /* 1856 */
+    77,
+    /* NOOP18_16r6 */
   },
-  { /* 2183 */
-    47,
-    /* PSHUFLWri */
+  { /* 1857 */
+    77,
+    /* NOOP18_16r7 */
   },
-  { /* 2184 */
-    30,
-    /* PSIGNBrm */
+  { /* 1858 */
+    38,
+    /* NOOP18_m4 */
   },
-  { /* 2185 */
-    31,
-    /* PSIGNBrr */
+  { /* 1859 */
+    38,
+    /* NOOP18_m5 */
   },
-  { /* 2186 */
-    30,
-    /* PSIGNDrm */
+  { /* 1860 */
+    38,
+    /* NOOP18_m6 */
   },
-  { /* 2187 */
-    31,
-    /* PSIGNDrr */
+  { /* 1861 */
+    38,
+    /* NOOP18_m7 */
   },
-  { /* 2188 */
-    30,
-    /* PSIGNWrm */
+  { /* 1862 */
+    77,
+    /* NOOP18_r4 */
   },
-  { /* 2189 */
-    31,
-    /* PSIGNWrr */
+  { /* 1863 */
+    77,
+    /* NOOP18_r5 */
   },
-  { /* 2190 */
-    279,
-    /* PSLLDQri */
+  { /* 1864 */
+    77,
+    /* NOOP18_r6 */
   },
-  { /* 2191 */
-    280,
-    /* PSLLDri */
+  { /* 1865 */
+    77,
+    /* NOOP18_r7 */
   },
-  { /* 2192 */
-    30,
-    /* PSLLDrm */
+  { /* 1866 */
+    69,
+    /* NOOP19rr */
   },
-  { /* 2193 */
-    31,
-    /* PSLLDrr */
+  { /* 1867 */
+    38,
+    /* NOOPL */
   },
-  { /* 2194 */
-    280,
-    /* PSLLQri */
+  { /* 1868 */
+    38,
+    /* NOOPL_19 */
   },
-  { /* 2195 */
-    30,
-    /* PSLLQrm */
+  { /* 1869 */
+    38,
+    /* NOOPL_1a */
   },
-  { /* 2196 */
-    31,
-    /* PSLLQrr */
+  { /* 1870 */
+    38,
+    /* NOOPL_1b */
   },
-  { /* 2197 */
-    280,
-    /* PSLLWri */
+  { /* 1871 */
+    38,
+    /* NOOPL_1c */
   },
-  { /* 2198 */
-    30,
-    /* PSLLWrm */
+  { /* 1872 */
+    38,
+    /* NOOPL_1d */
   },
-  { /* 2199 */
-    31,
-    /* PSLLWrr */
+  { /* 1873 */
+    38,
+    /* NOOPL_1e */
   },
-  { /* 2200 */
-    280,
-    /* PSRADri */
+  { /* 1874 */
+    38,
+    /* NOOPW */
   },
-  { /* 2201 */
-    30,
-    /* PSRADrm */
+  { /* 1875 */
+    38,
+    /* NOOPW_19 */
   },
-  { /* 2202 */
-    31,
-    /* PSRADrr */
+  { /* 1876 */
+    38,
+    /* NOOPW_1a */
   },
-  { /* 2203 */
-    280,
-    /* PSRAWri */
+  { /* 1877 */
+    38,
+    /* NOOPW_1b */
   },
-  { /* 2204 */
-    30,
-    /* PSRAWrm */
+  { /* 1878 */
+    38,
+    /* NOOPW_1c */
   },
-  { /* 2205 */
-    31,
-    /* PSRAWrr */
+  { /* 1879 */
+    38,
+    /* NOOPW_1d */
   },
-  { /* 2206 */
-    279,
-    /* PSRLDQri */
+  { /* 1880 */
+    38,
+    /* NOOPW_1e */
   },
-  { /* 2207 */
-    280,
-    /* PSRLDri */
+  { /* 1881 */
+    38,
+    /* NOT16m */
   },
-  { /* 2208 */
-    30,
-    /* PSRLDrm */
+  { /* 1882 */
+    127,
+    /* NOT16r */
   },
-  { /* 2209 */
-    31,
-    /* PSRLDrr */
+  { /* 1883 */
+    38,
+    /* NOT32m */
   },
-  { /* 2210 */
-    280,
-    /* PSRLQri */
+  { /* 1884 */
+    127,
+    /* NOT32r */
   },
-  { /* 2211 */
-    30,
-    /* PSRLQrm */
+  { /* 1885 */
+    38,
+    /* NOT64m */
   },
-  { /* 2212 */
-    31,
-    /* PSRLQrr */
+  { /* 1886 */
+    128,
+    /* NOT64r */
   },
-  { /* 2213 */
-    280,
-    /* PSRLWri */
+  { /* 1887 */
+    82,
+    /* NOT8m */
   },
-  { /* 2214 */
-    30,
-    /* PSRLWrm */
+  { /* 1888 */
+    129,
+    /* NOT8r */
   },
-  { /* 2215 */
-    31,
-    /* PSRLWrr */
+  { /* 1889 */
+    2,
+    /* OR16i16 */
   },
-  { /* 2216 */
+  { /* 1890 */
+    3,
+    /* OR16mi */
+  },
+  { /* 1891 */
+    4,
+    /* OR16mi8 */
+  },
+  { /* 1892 */
+    5,
+    /* OR16mr */
+  },
+  { /* 1893 */
+    6,
+    /* OR16ri */
+  },
+  { /* 1894 */
+    7,
+    /* OR16ri8 */
+  },
+  { /* 1895 */
+    8,
+    /* OR16rm */
+  },
+  { /* 1896 */
+    9,
+    /* OR16rr */
+  },
+  { /* 1897 */
+    10,
+    /* OR16rr_REV */
+  },
+  { /* 1898 */
+    2,
+    /* OR32i32 */
+  },
+  { /* 1899 */
+    3,
+    /* OR32mi */
+  },
+  { /* 1900 */
+    11,
+    /* OR32mi8 */
+  },
+  { /* 1901 */
+    5,
+    /* OR32mr */
+  },
+  { /* 1902 */
+    0,
+    /*  */
+  },
+  { /* 1903 */
+    6,
+    /* OR32ri */
+  },
+  { /* 1904 */
+    12,
+    /* OR32ri8 */
+  },
+  { /* 1905 */
+    8,
+    /* OR32rm */
+  },
+  { /* 1906 */
+    9,
+    /* OR32rr */
+  },
+  { /* 1907 */
+    10,
+    /* OR32rr_REV */
+  },
+  { /* 1908 */
+    13,
+    /* OR64i32 */
+  },
+  { /* 1909 */
+    14,
+    /* OR64mi32 */
+  },
+  { /* 1910 */
+    15,
+    /* OR64mi8 */
+  },
+  { /* 1911 */
+    16,
+    /* OR64mr */
+  },
+  { /* 1912 */
+    17,
+    /* OR64ri32 */
+  },
+  { /* 1913 */
+    18,
+    /* OR64ri8 */
+  },
+  { /* 1914 */
+    19,
+    /* OR64rm */
+  },
+  { /* 1915 */
+    20,
+    /* OR64rr */
+  },
+  { /* 1916 */
+    21,
+    /* OR64rr_REV */
+  },
+  { /* 1917 */
+    1,
+    /* OR8i8 */
+  },
+  { /* 1918 */
+    22,
+    /* OR8mi */
+  },
+  { /* 1919 */
+    22,
+    /* OR8mi8 */
+  },
+  { /* 1920 */
+    23,
+    /* OR8mr */
+  },
+  { /* 1921 */
+    24,
+    /* OR8ri */
+  },
+  { /* 1922 */
+    24,
+    /* OR8ri8 */
+  },
+  { /* 1923 */
+    25,
+    /* OR8rm */
+  },
+  { /* 1924 */
+    26,
+    /* OR8rr */
+  },
+  { /* 1925 */
+    27,
+    /* OR8rr_REV */
+  },
+  { /* 1926 */
     30,
-    /* PSUBBrm */
+    /* ORPDrm */
   },
-  { /* 2217 */
+  { /* 1927 */
     31,
-    /* PSUBBrr */
+    /* ORPDrr */
   },
-  { /* 2218 */
+  { /* 1928 */
     30,
-    /* PSUBDrm */
+    /* ORPSrm */
   },
-  { /* 2219 */
+  { /* 1929 */
     31,
-    /* PSUBDrr */
+    /* ORPSrr */
   },
-  { /* 2220 */
+  { /* 1930 */
+    1,
+    /* OUT16ir */
+  },
+  { /* 1931 */
+    0,
+    /* OUT16rr */
+  },
+  { /* 1932 */
+    1,
+    /* OUT32ir */
+  },
+  { /* 1933 */
+    0,
+    /* OUT32rr */
+  },
+  { /* 1934 */
+    1,
+    /* OUT8ir */
+  },
+  { /* 1935 */
+    0,
+    /* OUT8rr */
+  },
+  { /* 1936 */
+    195,
+    /* OUTSB */
+  },
+  { /* 1937 */
+    196,
+    /* OUTSL */
+  },
+  { /* 1938 */
+    198,
+    /* OUTSW */
+  },
+  { /* 1939 */
+    44,
+    /* PABSBrm128 */
+  },
+  { /* 1940 */
+    45,
+    /* PABSBrr128 */
+  },
+  { /* 1941 */
+    44,
+    /* PABSDrm128 */
+  },
+  { /* 1942 */
+    45,
+    /* PABSDrr128 */
+  },
+  { /* 1943 */
+    44,
+    /* PABSWrm128 */
+  },
+  { /* 1944 */
+    45,
+    /* PABSWrr128 */
+  },
+  { /* 1945 */
     30,
-    /* PSUBQrm */
+    /* PACKSSDWrm */
   },
-  { /* 2221 */
+  { /* 1946 */
     31,
-    /* PSUBQrr */
+    /* PACKSSDWrr */
   },
-  { /* 2222 */
+  { /* 1947 */
     30,
-    /* PSUBSBrm */
+    /* PACKSSWBrm */
   },
-  { /* 2223 */
+  { /* 1948 */
     31,
-    /* PSUBSBrr */
+    /* PACKSSWBrr */
   },
-  { /* 2224 */
+  { /* 1949 */
     30,
-    /* PSUBSWrm */
+    /* PACKUSDWrm */
   },
-  { /* 2225 */
+  { /* 1950 */
     31,
-    /* PSUBSWrr */
+    /* PACKUSDWrr */
   },
-  { /* 2226 */
+  { /* 1951 */
     30,
-    /* PSUBUSBrm */
+    /* PACKUSWBrm */
   },
-  { /* 2227 */
+  { /* 1952 */
     31,
-    /* PSUBUSBrr */
+    /* PACKUSWBrr */
   },
-  { /* 2228 */
+  { /* 1953 */
     30,
-    /* PSUBUSWrm */
+    /* PADDBrm */
   },
-  { /* 2229 */
+  { /* 1954 */
     31,
-    /* PSUBUSWrr */
+    /* PADDBrr */
   },
-  { /* 2230 */
+  { /* 1955 */
     30,
-    /* PSUBWrm */
+    /* PADDDrm */
   },
-  { /* 2231 */
+  { /* 1956 */
     31,
-    /* PSUBWrr */
+    /* PADDDrr */
   },
-  { /* 2232 */
-    206,
-    /* PSWAPDrm */
+  { /* 1957 */
+    30,
+    /* PADDQrm */
   },
-  { /* 2233 */
-    202,
-    /* PSWAPDrr */
+  { /* 1958 */
+    31,
+    /* PADDQrr */
   },
-  { /* 2234 */
-    44,
-    /* PTESTrm */
+  { /* 1959 */
+    30,
+    /* PADDSBrm */
   },
-  { /* 2235 */
-    45,
-    /* PTESTrr */
+  { /* 1960 */
+    31,
+    /* PADDSBrr */
   },
-  { /* 2236 */
+  { /* 1961 */
     30,
-    /* PUNPCKHBWrm */
+    /* PADDSWrm */
   },
-  { /* 2237 */
+  { /* 1962 */
     31,
-    /* PUNPCKHBWrr */
+    /* PADDSWrr */
   },
-  { /* 2238 */
+  { /* 1963 */
     30,
-    /* PUNPCKHDQrm */
+    /* PADDUSBrm */
   },
-  { /* 2239 */
+  { /* 1964 */
     31,
-    /* PUNPCKHDQrr */
+    /* PADDUSBrr */
   },
-  { /* 2240 */
+  { /* 1965 */
     30,
-    /* PUNPCKHQDQrm */
+    /* PADDUSWrm */
   },
-  { /* 2241 */
+  { /* 1966 */
     31,
-    /* PUNPCKHQDQrr */
+    /* PADDUSWrr */
   },
-  { /* 2242 */
+  { /* 1967 */
     30,
-    /* PUNPCKHWDrm */
+    /* PADDWrm */
   },
-  { /* 2243 */
+  { /* 1968 */
     31,
-    /* PUNPCKHWDrr */
+    /* PADDWrr */
   },
-  { /* 2244 */
+  { /* 1969 */
+    66,
+    /* PALIGNR128rm */
+  },
+  { /* 1970 */
+    67,
+    /* PALIGNR128rr */
+  },
+  { /* 1971 */
     30,
-    /* PUNPCKLBWrm */
+    /* PANDNrm */
   },
-  { /* 2245 */
+  { /* 1972 */
     31,
-    /* PUNPCKLBWrr */
+    /* PANDNrr */
   },
-  { /* 2246 */
+  { /* 1973 */
     30,
-    /* PUNPCKLDQrm */
+    /* PANDrm */
   },
-  { /* 2247 */
+  { /* 1974 */
     31,
-    /* PUNPCKLDQrr */
+    /* PANDrr */
   },
-  { /* 2248 */
+  { /* 1975 */
+    0,
+    /* PAUSE */
+  },
+  { /* 1976 */
     30,
-    /* PUNPCKLQDQrm */
+    /* PAVGBrm */
   },
-  { /* 2249 */
+  { /* 1977 */
     31,
-    /* PUNPCKLQDQrr */
+    /* PAVGBrr */
   },
-  { /* 2250 */
+  { /* 1978 */
+    214,
+    /* PAVGUSBrm */
+  },
+  { /* 1979 */
+    215,
+    /* PAVGUSBrr */
+  },
+  { /* 1980 */
     30,
-    /* PUNPCKLWDrm */
+    /* PAVGWrm */
   },
-  { /* 2251 */
+  { /* 1981 */
     31,
-    /* PUNPCKLWDrr */
+    /* PAVGWrr */
   },
-  { /* 2252 */
-    281,
-    /* PUSH16i8 */
+  { /* 1982 */
+    30,
+    /* PBLENDVBrm0 */
   },
-  { /* 2253 */
-    277,
-    /* PUSH16r */
+  { /* 1983 */
+    31,
+    /* PBLENDVBrr0 */
   },
-  { /* 2254 */
-    38,
-    /* PUSH16rmm */
+  { /* 1984 */
+    66,
+    /* PBLENDWrmi */
   },
-  { /* 2255 */
-    77,
-    /* PUSH16rmr */
+  { /* 1985 */
+    67,
+    /* PBLENDWrri */
   },
-  { /* 2256 */
-    282,
-    /* PUSH32i8 */
+  { /* 1986 */
+    66,
+    /* PCLMULQDQrm */
   },
-  { /* 2257 */
-    277,
-    /* PUSH32r */
+  { /* 1987 */
+    67,
+    /* PCLMULQDQrr */
   },
-  { /* 2258 */
-    38,
-    /* PUSH32rmm */
+  { /* 1988 */
+    30,
+    /* PCMPEQBrm */
   },
-  { /* 2259 */
-    77,
-    /* PUSH32rmr */
+  { /* 1989 */
+    31,
+    /* PCMPEQBrr */
   },
-  { /* 2260 */
-    2,
-    /* PUSH64i16 */
+  { /* 1990 */
+    30,
+    /* PCMPEQDrm */
   },
-  { /* 2261 */
-    13,
-    /* PUSH64i32 */
+  { /* 1991 */
+    31,
+    /* PCMPEQDrr */
   },
-  { /* 2262 */
-    283,
-    /* PUSH64i8 */
+  { /* 1992 */
+    30,
+    /* PCMPEQQrm */
   },
-  { /* 2263 */
-    278,
-    /* PUSH64r */
+  { /* 1993 */
+    31,
+    /* PCMPEQQrr */
   },
-  { /* 2264 */
-    38,
-    /* PUSH64rmm */
+  { /* 1994 */
+    30,
+    /* PCMPEQWrm */
   },
-  { /* 2265 */
-    79,
-    /* PUSH64rmr */
+  { /* 1995 */
+    31,
+    /* PCMPEQWrr */
   },
-  { /* 2266 */
+  { /* 1996 */
     0,
-    /* PUSHA16 */
+    /*  */
   },
-  { /* 2267 */
+  { /* 1997 */
     0,
-    /* PUSHA32 */
+    /*  */
   },
-  { /* 2268 */
-    0,
-    /* PUSHCS16 */
+  { /* 1998 */
+    46,
+    /* PCMPESTRIrm */
   },
-  { /* 2269 */
-    0,
-    /* PUSHCS32 */
+  { /* 1999 */
+    47,
+    /* PCMPESTRIrr */
   },
-  { /* 2270 */
+  { /* 2000 */
     0,
-    /* PUSHDS16 */
+    /*  */
   },
-  { /* 2271 */
+  { /* 2001 */
     0,
-    /* PUSHDS32 */
+    /*  */
   },
-  { /* 2272 */
-    0,
-    /* PUSHES16 */
+  { /* 2002 */
+    46,
+    /* PCMPESTRM128rm */
   },
-  { /* 2273 */
-    0,
-    /* PUSHES32 */
+  { /* 2003 */
+    47,
+    /* PCMPESTRM128rr */
   },
-  { /* 2274 */
-    0,
-    /* PUSHF16 */
+  { /* 2004 */
+    30,
+    /* PCMPGTBrm */
   },
-  { /* 2275 */
-    0,
-    /* PUSHF32 */
+  { /* 2005 */
+    31,
+    /* PCMPGTBrr */
   },
-  { /* 2276 */
-    0,
-    /* PUSHF64 */
+  { /* 2006 */
+    30,
+    /* PCMPGTDrm */
   },
-  { /* 2277 */
-    0,
-    /* PUSHFS16 */
+  { /* 2007 */
+    31,
+    /* PCMPGTDrr */
   },
-  { /* 2278 */
-    0,
-    /* PUSHFS32 */
+  { /* 2008 */
+    30,
+    /* PCMPGTQrm */
   },
-  { /* 2279 */
-    0,
-    /* PUSHFS64 */
+  { /* 2009 */
+    31,
+    /* PCMPGTQrr */
   },
-  { /* 2280 */
-    0,
-    /* PUSHGS16 */
+  { /* 2010 */
+    30,
+    /* PCMPGTWrm */
   },
-  { /* 2281 */
+  { /* 2011 */
+    31,
+    /* PCMPGTWrr */
+  },
+  { /* 2012 */
     0,
-    /* PUSHGS32 */
+    /*  */
   },
-  { /* 2282 */
+  { /* 2013 */
     0,
-    /* PUSHGS64 */
+    /*  */
   },
-  { /* 2283 */
+  { /* 2014 */
+    46,
+    /* PCMPISTRIrm */
+  },
+  { /* 2015 */
+    47,
+    /* PCMPISTRIrr */
+  },
+  { /* 2016 */
     0,
-    /* PUSHSS16 */
+    /*  */
   },
-  { /* 2284 */
+  { /* 2017 */
     0,
-    /* PUSHSS32 */
+    /*  */
   },
-  { /* 2285 */
-    2,
-    /* PUSHi16 */
+  { /* 2018 */
+    46,
+    /* PCMPISTRM128rm */
   },
-  { /* 2286 */
-    2,
-    /* PUSHi32 */
+  { /* 2019 */
+    47,
+    /* PCMPISTRM128rr */
   },
-  { /* 2287 */
-    30,
-    /* PXORrm */
+  { /* 2020 */
+    0,
+    /* PCOMMIT */
   },
-  { /* 2288 */
-    31,
-    /* PXORrr */
+  { /* 2021 */
+    48,
+    /* PDEP32rm */
   },
-  { /* 2289 */
-    38,
-    /* RCL16m1 */
+  { /* 2022 */
+    49,
+    /* PDEP32rr */
   },
-  { /* 2290 */
-    38,
-    /* RCL16mCL */
+  { /* 2023 */
+    50,
+    /* PDEP64rm */
   },
-  { /* 2291 */
-    284,
-    /* RCL16mi */
+  { /* 2024 */
+    51,
+    /* PDEP64rr */
   },
-  { /* 2292 */
-    127,
-    /* RCL16r1 */
+  { /* 2025 */
+    48,
+    /* PEXT32rm */
   },
-  { /* 2293 */
-    127,
-    /* RCL16rCL */
+  { /* 2026 */
+    49,
+    /* PEXT32rr */
   },
-  { /* 2294 */
-    285,
-    /* RCL16ri */
+  { /* 2027 */
+    50,
+    /* PEXT64rm */
   },
-  { /* 2295 */
-    38,
-    /* RCL32m1 */
+  { /* 2028 */
+    51,
+    /* PEXT64rr */
   },
-  { /* 2296 */
-    38,
-    /* RCL32mCL */
+  { /* 2029 */
+    270,
+    /* PEXTRBmr */
   },
-  { /* 2297 */
-    284,
-    /* RCL32mi */
+  { /* 2030 */
+    133,
+    /* PEXTRBrr */
   },
-  { /* 2298 */
-    127,
-    /* RCL32r1 */
+  { /* 2031 */
+    271,
+    /* PEXTRDmr */
   },
-  { /* 2299 */
-    127,
-    /* RCL32rCL */
+  { /* 2032 */
+    133,
+    /* PEXTRDrr */
   },
-  { /* 2300 */
-    285,
-    /* RCL32ri */
+  { /* 2033 */
+    271,
+    /* PEXTRQmr */
   },
-  { /* 2301 */
-    38,
-    /* RCL64m1 */
+  { /* 2034 */
+    272,
+    /* PEXTRQrr */
   },
-  { /* 2302 */
-    38,
-    /* RCL64mCL */
+  { /* 2035 */
+    271,
+    /* PEXTRWmr */
   },
-  { /* 2303 */
-    284,
-    /* RCL64mi */
+  { /* 2036 */
+    273,
+    /* PEXTRWri */
   },
-  { /* 2304 */
-    128,
-    /* RCL64r1 */
+  { /* 2037 */
+    133,
+    /* PEXTRWrr_REV */
   },
-  { /* 2305 */
-    128,
-    /* RCL64rCL */
+  { /* 2038 */
+    210,
+    /* PF2IDrm */
   },
-  { /* 2306 */
-    286,
-    /* RCL64ri */
+  { /* 2039 */
+    206,
+    /* PF2IDrr */
   },
-  { /* 2307 */
-    82,
-    /* RCL8m1 */
+  { /* 2040 */
+    210,
+    /* PF2IWrm */
   },
-  { /* 2308 */
-    82,
-    /* RCL8mCL */
+  { /* 2041 */
+    206,
+    /* PF2IWrr */
   },
-  { /* 2309 */
-    22,
-    /* RCL8mi */
+  { /* 2042 */
+    214,
+    /* PFACCrm */
   },
-  { /* 2310 */
-    129,
-    /* RCL8r1 */
+  { /* 2043 */
+    215,
+    /* PFACCrr */
   },
-  { /* 2311 */
-    129,
-    /* RCL8rCL */
+  { /* 2044 */
+    214,
+    /* PFADDrm */
   },
-  { /* 2312 */
-    24,
-    /* RCL8ri */
+  { /* 2045 */
+    215,
+    /* PFADDrr */
   },
-  { /* 2313 */
-    44,
-    /* RCPPSm */
+  { /* 2046 */
+    214,
+    /* PFCMPEQrm */
   },
-  { /* 2314 */
-    0,
-    /*  */
+  { /* 2047 */
+    215,
+    /* PFCMPEQrr */
   },
-  { /* 2315 */
-    45,
-    /* RCPPSr */
+  { /* 2048 */
+    214,
+    /* PFCMPGErm */
   },
-  { /* 2316 */
-    0,
-    /*  */
+  { /* 2049 */
+    215,
+    /* PFCMPGErr */
   },
-  { /* 2317 */
-    258,
-    /* RCPSSm */
+  { /* 2050 */
+    214,
+    /* PFCMPGTrm */
   },
-  { /* 2318 */
-    0,
-    /*  */
+  { /* 2051 */
+    215,
+    /* PFCMPGTrr */
   },
-  { /* 2319 */
-    287,
-    /* RCPSSr */
+  { /* 2052 */
+    214,
+    /* PFMAXrm */
   },
-  { /* 2320 */
-    0,
-    /*  */
+  { /* 2053 */
+    215,
+    /* PFMAXrr */
   },
-  { /* 2321 */
-    38,
-    /* RCR16m1 */
+  { /* 2054 */
+    214,
+    /* PFMINrm */
   },
-  { /* 2322 */
-    38,
-    /* RCR16mCL */
+  { /* 2055 */
+    215,
+    /* PFMINrr */
   },
-  { /* 2323 */
-    284,
-    /* RCR16mi */
+  { /* 2056 */
+    214,
+    /* PFMULrm */
   },
-  { /* 2324 */
-    127,
-    /* RCR16r1 */
+  { /* 2057 */
+    215,
+    /* PFMULrr */
   },
-  { /* 2325 */
-    127,
-    /* RCR16rCL */
+  { /* 2058 */
+    214,
+    /* PFNACCrm */
   },
-  { /* 2326 */
-    285,
-    /* RCR16ri */
+  { /* 2059 */
+    215,
+    /* PFNACCrr */
   },
-  { /* 2327 */
-    38,
-    /* RCR32m1 */
+  { /* 2060 */
+    214,
+    /* PFPNACCrm */
   },
-  { /* 2328 */
-    38,
-    /* RCR32mCL */
+  { /* 2061 */
+    215,
+    /* PFPNACCrr */
   },
-  { /* 2329 */
-    284,
-    /* RCR32mi */
+  { /* 2062 */
+    214,
+    /* PFRCPIT1rm */
   },
-  { /* 2330 */
-    127,
-    /* RCR32r1 */
+  { /* 2063 */
+    215,
+    /* PFRCPIT1rr */
   },
-  { /* 2331 */
-    127,
-    /* RCR32rCL */
+  { /* 2064 */
+    214,
+    /* PFRCPIT2rm */
   },
-  { /* 2332 */
-    285,
-    /* RCR32ri */
+  { /* 2065 */
+    215,
+    /* PFRCPIT2rr */
   },
-  { /* 2333 */
-    38,
-    /* RCR64m1 */
+  { /* 2066 */
+    210,
+    /* PFRCPrm */
   },
-  { /* 2334 */
-    38,
-    /* RCR64mCL */
+  { /* 2067 */
+    206,
+    /* PFRCPrr */
   },
-  { /* 2335 */
-    284,
-    /* RCR64mi */
+  { /* 2068 */
+    214,
+    /* PFRSQIT1rm */
   },
-  { /* 2336 */
-    128,
-    /* RCR64r1 */
+  { /* 2069 */
+    215,
+    /* PFRSQIT1rr */
   },
-  { /* 2337 */
-    128,
-    /* RCR64rCL */
+  { /* 2070 */
+    210,
+    /* PFRSQRTrm */
   },
-  { /* 2338 */
-    286,
-    /* RCR64ri */
+  { /* 2071 */
+    206,
+    /* PFRSQRTrr */
   },
-  { /* 2339 */
-    82,
-    /* RCR8m1 */
+  { /* 2072 */
+    214,
+    /* PFSUBRrm */
   },
-  { /* 2340 */
-    82,
-    /* RCR8mCL */
+  { /* 2073 */
+    215,
+    /* PFSUBRrr */
   },
-  { /* 2341 */
-    22,
-    /* RCR8mi */
+  { /* 2074 */
+    214,
+    /* PFSUBrm */
   },
-  { /* 2342 */
-    129,
-    /* RCR8r1 */
+  { /* 2075 */
+    215,
+    /* PFSUBrr */
   },
-  { /* 2343 */
-    129,
-    /* RCR8rCL */
+  { /* 2076 */
+    30,
+    /* PHADDDrm */
   },
-  { /* 2344 */
-    24,
-    /* RCR8ri */
+  { /* 2077 */
+    31,
+    /* PHADDDrr */
   },
-  { /* 2345 */
-    288,
-    /* RDFSBASE */
+  { /* 2078 */
+    30,
+    /* PHADDSWrm128 */
   },
-  { /* 2346 */
-    79,
-    /* RDFSBASE64 */
+  { /* 2079 */
+    31,
+    /* PHADDSWrr128 */
   },
-  { /* 2347 */
-    288,
-    /* RDGSBASE */
+  { /* 2080 */
+    30,
+    /* PHADDWrm */
   },
-  { /* 2348 */
-    79,
-    /* RDGSBASE64 */
+  { /* 2081 */
+    31,
+    /* PHADDWrr */
   },
-  { /* 2349 */
-    0,
-    /* RDMSR */
+  { /* 2082 */
+    44,
+    /* PHMINPOSUWrm128 */
   },
-  { /* 2350 */
-    0,
-    /* RDPMC */
+  { /* 2083 */
+    45,
+    /* PHMINPOSUWrr128 */
   },
-  { /* 2351 */
-    77,
-    /* RDRAND16r */
+  { /* 2084 */
+    30,
+    /* PHSUBDrm */
   },
-  { /* 2352 */
-    77,
-    /* RDRAND32r */
+  { /* 2085 */
+    31,
+    /* PHSUBDrr */
   },
-  { /* 2353 */
-    79,
-    /* RDRAND64r */
+  { /* 2086 */
+    30,
+    /* PHSUBSWrm128 */
   },
-  { /* 2354 */
-    77,
-    /* RDSEED16r */
+  { /* 2087 */
+    31,
+    /* PHSUBSWrr128 */
   },
-  { /* 2355 */
-    77,
-    /* RDSEED32r */
+  { /* 2088 */
+    30,
+    /* PHSUBWrm */
   },
-  { /* 2356 */
-    79,
-    /* RDSEED64r */
+  { /* 2089 */
+    31,
+    /* PHSUBWrr */
   },
-  { /* 2357 */
-    0,
-    /* RDTSC */
+  { /* 2090 */
+    210,
+    /* PI2FDrm */
   },
-  { /* 2358 */
-    0,
-    /* RDTSCP */
+  { /* 2091 */
+    206,
+    /* PI2FDrr */
   },
-  { /* 2359 */
-    0,
-    /*  */
+  { /* 2092 */
+    210,
+    /* PI2FWrm */
   },
-  { /* 2360 */
-    0,
-    /*  */
+  { /* 2093 */
+    206,
+    /* PI2FWrr */
   },
-  { /* 2361 */
-    0,
-    /*  */
+  { /* 2094 */
+    274,
+    /* PINSRBrm */
   },
-  { /* 2362 */
-    0,
-    /*  */
+  { /* 2095 */
+    275,
+    /* PINSRBrr */
   },
-  { /* 2363 */
-    0,
-    /* REPNE_PREFIX */
+  { /* 2096 */
+    276,
+    /* PINSRDrm */
   },
-  { /* 2364 */
-    0,
-    /*  */
+  { /* 2097 */
+    275,
+    /* PINSRDrr */
   },
-  { /* 2365 */
-    0,
-    /*  */
+  { /* 2098 */
+    276,
+    /* PINSRQrm */
   },
-  { /* 2366 */
-    0,
-    /*  */
+  { /* 2099 */
+    277,
+    /* PINSRQrr */
   },
-  { /* 2367 */
-    0,
-    /*  */
+  { /* 2100 */
+    276,
+    /* PINSRWrmi */
   },
-  { /* 2368 */
-    0,
-    /*  */
+  { /* 2101 */
+    275,
+    /* PINSRWrri */
   },
-  { /* 2369 */
-    0,
-    /*  */
+  { /* 2102 */
+    30,
+    /* PMADDUBSWrm128 */
   },
-  { /* 2370 */
-    0,
-    /*  */
+  { /* 2103 */
+    31,
+    /* PMADDUBSWrr128 */
   },
-  { /* 2371 */
-    0,
-    /* REP_PREFIX */
+  { /* 2104 */
+    30,
+    /* PMADDWDrm */
   },
-  { /* 2372 */
-    0,
-    /*  */
+  { /* 2105 */
+    31,
+    /* PMADDWDrr */
   },
-  { /* 2373 */
-    0,
-    /*  */
+  { /* 2106 */
+    30,
+    /* PMAXSBrm */
   },
-  { /* 2374 */
-    0,
-    /*  */
+  { /* 2107 */
+    31,
+    /* PMAXSBrr */
   },
-  { /* 2375 */
-    0,
-    /*  */
+  { /* 2108 */
+    30,
+    /* PMAXSDrm */
   },
-  { /* 2376 */
-    0,
-    /*  */
+  { /* 2109 */
+    31,
+    /* PMAXSDrr */
   },
-  { /* 2377 */
-    0,
-    /*  */
+  { /* 2110 */
+    30,
+    /* PMAXSWrm */
   },
-  { /* 2378 */
-    0,
-    /*  */
+  { /* 2111 */
+    31,
+    /* PMAXSWrr */
   },
-  { /* 2379 */
-    195,
-    /* RETIL */
+  { /* 2112 */
+    30,
+    /* PMAXUBrm */
   },
-  { /* 2380 */
-    195,
-    /* RETIQ */
+  { /* 2113 */
+    31,
+    /* PMAXUBrr */
   },
-  { /* 2381 */
-    2,
-    /* RETIW */
+  { /* 2114 */
+    30,
+    /* PMAXUDrm */
   },
-  { /* 2382 */
-    0,
-    /* RETL */
+  { /* 2115 */
+    31,
+    /* PMAXUDrr */
   },
-  { /* 2383 */
-    0,
-    /* RETQ */
+  { /* 2116 */
+    30,
+    /* PMAXUWrm */
   },
-  { /* 2384 */
-    0,
-    /* RETW */
+  { /* 2117 */
+    31,
+    /* PMAXUWrr */
   },
-  { /* 2385 */
-    0,
-    /* REX64_PREFIX */
+  { /* 2118 */
+    30,
+    /* PMINSBrm */
   },
-  { /* 2386 */
-    38,
-    /* ROL16m1 */
+  { /* 2119 */
+    31,
+    /* PMINSBrr */
   },
-  { /* 2387 */
-    38,
-    /* ROL16mCL */
+  { /* 2120 */
+    30,
+    /* PMINSDrm */
   },
-  { /* 2388 */
-    284,
-    /* ROL16mi */
+  { /* 2121 */
+    31,
+    /* PMINSDrr */
   },
-  { /* 2389 */
-    127,
-    /* ROL16r1 */
+  { /* 2122 */
+    30,
+    /* PMINSWrm */
   },
-  { /* 2390 */
-    127,
-    /* ROL16rCL */
+  { /* 2123 */
+    31,
+    /* PMINSWrr */
   },
-  { /* 2391 */
-    285,
-    /* ROL16ri */
+  { /* 2124 */
+    30,
+    /* PMINUBrm */
   },
-  { /* 2392 */
-    38,
-    /* ROL32m1 */
+  { /* 2125 */
+    31,
+    /* PMINUBrr */
   },
-  { /* 2393 */
-    38,
-    /* ROL32mCL */
+  { /* 2126 */
+    30,
+    /* PMINUDrm */
   },
-  { /* 2394 */
-    284,
-    /* ROL32mi */
+  { /* 2127 */
+    31,
+    /* PMINUDrr */
   },
-  { /* 2395 */
-    127,
-    /* ROL32r1 */
+  { /* 2128 */
+    30,
+    /* PMINUWrm */
   },
-  { /* 2396 */
-    127,
-    /* ROL32rCL */
+  { /* 2129 */
+    31,
+    /* PMINUWrr */
   },
-  { /* 2397 */
-    285,
-    /* ROL32ri */
+  { /* 2130 */
+    110,
+    /* PMOVMSKBrr */
   },
-  { /* 2398 */
-    38,
-    /* ROL64m1 */
+  { /* 2131 */
+    105,
+    /* PMOVSXBDrm */
   },
-  { /* 2399 */
-    38,
-    /* ROL64mCL */
+  { /* 2132 */
+    45,
+    /* PMOVSXBDrr */
   },
-  { /* 2400 */
-    284,
-    /* ROL64mi */
+  { /* 2133 */
+    105,
+    /* PMOVSXBQrm */
   },
-  { /* 2401 */
-    128,
-    /* ROL64r1 */
+  { /* 2134 */
+    45,
+    /* PMOVSXBQrr */
   },
-  { /* 2402 */
-    128,
-    /* ROL64rCL */
+  { /* 2135 */
+    105,
+    /* PMOVSXBWrm */
   },
-  { /* 2403 */
-    286,
-    /* ROL64ri */
+  { /* 2136 */
+    45,
+    /* PMOVSXBWrr */
   },
-  { /* 2404 */
-    82,
-    /* ROL8m1 */
+  { /* 2137 */
+    105,
+    /* PMOVSXDQrm */
   },
-  { /* 2405 */
-    82,
-    /* ROL8mCL */
+  { /* 2138 */
+    45,
+    /* PMOVSXDQrr */
   },
-  { /* 2406 */
-    22,
-    /* ROL8mi */
+  { /* 2139 */
+    105,
+    /* PMOVSXWDrm */
   },
-  { /* 2407 */
-    129,
-    /* ROL8r1 */
+  { /* 2140 */
+    45,
+    /* PMOVSXWDrr */
   },
-  { /* 2408 */
-    129,
-    /* ROL8rCL */
+  { /* 2141 */
+    105,
+    /* PMOVSXWQrm */
   },
-  { /* 2409 */
-    24,
-    /* ROL8ri */
+  { /* 2142 */
+    45,
+    /* PMOVSXWQrr */
   },
-  { /* 2410 */
-    38,
-    /* ROR16m1 */
+  { /* 2143 */
+    105,
+    /* PMOVZXBDrm */
   },
-  { /* 2411 */
-    38,
-    /* ROR16mCL */
+  { /* 2144 */
+    45,
+    /* PMOVZXBDrr */
   },
-  { /* 2412 */
-    284,
-    /* ROR16mi */
+  { /* 2145 */
+    105,
+    /* PMOVZXBQrm */
   },
-  { /* 2413 */
-    127,
-    /* ROR16r1 */
+  { /* 2146 */
+    45,
+    /* PMOVZXBQrr */
   },
-  { /* 2414 */
-    127,
-    /* ROR16rCL */
+  { /* 2147 */
+    105,
+    /* PMOVZXBWrm */
   },
-  { /* 2415 */
-    285,
-    /* ROR16ri */
+  { /* 2148 */
+    45,
+    /* PMOVZXBWrr */
   },
-  { /* 2416 */
-    38,
-    /* ROR32m1 */
+  { /* 2149 */
+    105,
+    /* PMOVZXDQrm */
   },
-  { /* 2417 */
-    38,
-    /* ROR32mCL */
+  { /* 2150 */
+    45,
+    /* PMOVZXDQrr */
   },
-  { /* 2418 */
-    284,
-    /* ROR32mi */
+  { /* 2151 */
+    105,
+    /* PMOVZXWDrm */
   },
-  { /* 2419 */
-    127,
-    /* ROR32r1 */
+  { /* 2152 */
+    45,
+    /* PMOVZXWDrr */
   },
-  { /* 2420 */
-    127,
-    /* ROR32rCL */
+  { /* 2153 */
+    105,
+    /* PMOVZXWQrm */
   },
-  { /* 2421 */
-    285,
-    /* ROR32ri */
+  { /* 2154 */
+    45,
+    /* PMOVZXWQrr */
   },
-  { /* 2422 */
-    38,
-    /* ROR64m1 */
+  { /* 2155 */
+    30,
+    /* PMULDQrm */
   },
-  { /* 2423 */
-    38,
-    /* ROR64mCL */
+  { /* 2156 */
+    31,
+    /* PMULDQrr */
   },
-  { /* 2424 */
-    284,
-    /* ROR64mi */
+  { /* 2157 */
+    30,
+    /* PMULHRSWrm128 */
   },
-  { /* 2425 */
-    128,
-    /* ROR64r1 */
+  { /* 2158 */
+    31,
+    /* PMULHRSWrr128 */
   },
-  { /* 2426 */
-    128,
-    /* ROR64rCL */
+  { /* 2159 */
+    214,
+    /* PMULHRWrm */
   },
-  { /* 2427 */
-    286,
-    /* ROR64ri */
+  { /* 2160 */
+    215,
+    /* PMULHRWrr */
   },
-  { /* 2428 */
-    82,
-    /* ROR8m1 */
+  { /* 2161 */
+    30,
+    /* PMULHUWrm */
   },
-  { /* 2429 */
-    82,
-    /* ROR8mCL */
+  { /* 2162 */
+    31,
+    /* PMULHUWrr */
   },
-  { /* 2430 */
-    22,
-    /* ROR8mi */
+  { /* 2163 */
+    30,
+    /* PMULHWrm */
   },
-  { /* 2431 */
-    129,
-    /* ROR8r1 */
+  { /* 2164 */
+    31,
+    /* PMULHWrr */
   },
-  { /* 2432 */
-    129,
-    /* ROR8rCL */
+  { /* 2165 */
+    30,
+    /* PMULLDrm */
   },
-  { /* 2433 */
-    24,
-    /* ROR8ri */
+  { /* 2166 */
+    31,
+    /* PMULLDrr */
   },
-  { /* 2434 */
-    289,
-    /* RORX32mi */
+  { /* 2167 */
+    30,
+    /* PMULLWrm */
   },
-  { /* 2435 */
-    290,
-    /* RORX32ri */
+  { /* 2168 */
+    31,
+    /* PMULLWrr */
   },
-  { /* 2436 */
-    291,
-    /* RORX64mi */
+  { /* 2169 */
+    30,
+    /* PMULUDQrm */
   },
-  { /* 2437 */
-    292,
-    /* RORX64ri */
+  { /* 2170 */
+    31,
+    /* PMULUDQrr */
   },
-  { /* 2438 */
-    293,
-    /* ROUNDPDm */
+  { /* 2171 */
+    278,
+    /* POP16r */
   },
-  { /* 2439 */
-    294,
-    /* ROUNDPDr */
+  { /* 2172 */
+    38,
+    /* POP16rmm */
   },
-  { /* 2440 */
-    293,
-    /* ROUNDPSm */
+  { /* 2173 */
+    77,
+    /* POP16rmr */
   },
-  { /* 2441 */
-    294,
-    /* ROUNDPSr */
+  { /* 2174 */
+    278,
+    /* POP32r */
   },
-  { /* 2442 */
-    295,
-    /* ROUNDSDm */
+  { /* 2175 */
+    38,
+    /* POP32rmm */
   },
-  { /* 2443 */
-    296,
-    /* ROUNDSDr */
+  { /* 2176 */
+    77,
+    /* POP32rmr */
   },
-  { /* 2444 */
-    0,
-    /*  */
+  { /* 2177 */
+    279,
+    /* POP64r */
   },
-  { /* 2445 */
-    150,
-    /* ROUNDSSm */
+  { /* 2178 */
+    38,
+    /* POP64rmm */
   },
-  { /* 2446 */
-    297,
-    /* ROUNDSSr */
+  { /* 2179 */
+    79,
+    /* POP64rmr */
   },
-  { /* 2447 */
+  { /* 2180 */
     0,
-    /*  */
+    /* POPA16 */
   },
-  { /* 2448 */
+  { /* 2181 */
     0,
-    /* RSM */
-  },
-  { /* 2449 */
-    44,
-    /* RSQRTPSm */
+    /* POPA32 */
   },
-  { /* 2450 */
-    0,
-    /*  */
+  { /* 2182 */
+    68,
+    /* POPCNT16rm */
   },
-  { /* 2451 */
-    45,
-    /* RSQRTPSr */
+  { /* 2183 */
+    69,
+    /* POPCNT16rr */
   },
-  { /* 2452 */
-    0,
-    /*  */
+  { /* 2184 */
+    68,
+    /* POPCNT32rm */
   },
-  { /* 2453 */
-    258,
-    /* RSQRTSSm */
+  { /* 2185 */
+    69,
+    /* POPCNT32rr */
   },
-  { /* 2454 */
-    0,
-    /*  */
+  { /* 2186 */
+    42,
+    /* POPCNT64rm */
   },
-  { /* 2455 */
-    287,
-    /* RSQRTSSr */
+  { /* 2187 */
+    43,
+    /* POPCNT64rr */
   },
-  { /* 2456 */
+  { /* 2188 */
     0,
-    /*  */
+    /* POPDS16 */
   },
-  { /* 2457 */
+  { /* 2189 */
     0,
-    /* SAHF */
+    /* POPDS32 */
   },
-  { /* 2458 */
-    38,
-    /* SAL16m1 */
+  { /* 2190 */
+    0,
+    /* POPES16 */
   },
-  { /* 2459 */
-    38,
-    /* SAL16mCL */
+  { /* 2191 */
+    0,
+    /* POPES32 */
   },
-  { /* 2460 */
-    284,
-    /* SAL16mi */
+  { /* 2192 */
+    0,
+    /* POPF16 */
   },
-  { /* 2461 */
-    127,
-    /* SAL16r1 */
+  { /* 2193 */
+    0,
+    /* POPF32 */
   },
-  { /* 2462 */
-    127,
-    /* SAL16rCL */
+  { /* 2194 */
+    0,
+    /* POPF64 */
   },
-  { /* 2463 */
-    285,
-    /* SAL16ri */
+  { /* 2195 */
+    0,
+    /* POPFS16 */
   },
-  { /* 2464 */
-    38,
-    /* SAL32m1 */
+  { /* 2196 */
+    0,
+    /* POPFS32 */
   },
-  { /* 2465 */
-    38,
-    /* SAL32mCL */
+  { /* 2197 */
+    0,
+    /* POPFS64 */
   },
-  { /* 2466 */
-    284,
-    /* SAL32mi */
+  { /* 2198 */
+    0,
+    /* POPGS16 */
   },
-  { /* 2467 */
-    127,
-    /* SAL32r1 */
+  { /* 2199 */
+    0,
+    /* POPGS32 */
   },
-  { /* 2468 */
-    127,
-    /* SAL32rCL */
+  { /* 2200 */
+    0,
+    /* POPGS64 */
   },
-  { /* 2469 */
-    285,
-    /* SAL32ri */
+  { /* 2201 */
+    0,
+    /* POPSS16 */
   },
-  { /* 2470 */
-    38,
-    /* SAL64m1 */
+  { /* 2202 */
+    0,
+    /* POPSS32 */
   },
-  { /* 2471 */
-    38,
-    /* SAL64mCL */
+  { /* 2203 */
+    30,
+    /* PORrm */
   },
-  { /* 2472 */
-    284,
-    /* SAL64mi */
+  { /* 2204 */
+    31,
+    /* PORrr */
   },
-  { /* 2473 */
-    128,
-    /* SAL64r1 */
+  { /* 2205 */
+    82,
+    /* PREFETCH */
   },
-  { /* 2474 */
-    128,
-    /* SAL64rCL */
+  { /* 2206 */
+    82,
+    /* PREFETCHNTA */
   },
-  { /* 2475 */
-    286,
-    /* SAL64ri */
+  { /* 2207 */
+    82,
+    /* PREFETCHT0 */
   },
-  { /* 2476 */
+  { /* 2208 */
     82,
-    /* SAL8m1 */
+    /* PREFETCHT1 */
   },
-  { /* 2477 */
+  { /* 2209 */
     82,
-    /* SAL8mCL */
+    /* PREFETCHT2 */
   },
-  { /* 2478 */
-    22,
-    /* SAL8mi */
+  { /* 2210 */
+    82,
+    /* PREFETCHW */
   },
-  { /* 2479 */
-    129,
-    /* SAL8r1 */
+  { /* 2211 */
+    30,
+    /* PSADBWrm */
   },
-  { /* 2480 */
-    129,
-    /* SAL8rCL */
+  { /* 2212 */
+    31,
+    /* PSADBWrr */
   },
-  { /* 2481 */
-    24,
-    /* SAL8ri */
+  { /* 2213 */
+    30,
+    /* PSHUFBrm */
   },
-  { /* 2482 */
-    0,
-    /* SALC */
+  { /* 2214 */
+    31,
+    /* PSHUFBrr */
   },
-  { /* 2483 */
-    38,
-    /* SAR16m1 */
+  { /* 2215 */
+    46,
+    /* PSHUFDmi */
   },
-  { /* 2484 */
-    38,
-    /* SAR16mCL */
+  { /* 2216 */
+    47,
+    /* PSHUFDri */
   },
-  { /* 2485 */
-    284,
-    /* SAR16mi */
+  { /* 2217 */
+    46,
+    /* PSHUFHWmi */
   },
-  { /* 2486 */
-    127,
-    /* SAR16r1 */
+  { /* 2218 */
+    47,
+    /* PSHUFHWri */
   },
-  { /* 2487 */
-    127,
-    /* SAR16rCL */
+  { /* 2219 */
+    46,
+    /* PSHUFLWmi */
   },
-  { /* 2488 */
-    285,
-    /* SAR16ri */
+  { /* 2220 */
+    47,
+    /* PSHUFLWri */
   },
-  { /* 2489 */
-    38,
-    /* SAR32m1 */
+  { /* 2221 */
+    30,
+    /* PSIGNBrm */
   },
-  { /* 2490 */
-    38,
-    /* SAR32mCL */
+  { /* 2222 */
+    31,
+    /* PSIGNBrr */
   },
-  { /* 2491 */
-    284,
-    /* SAR32mi */
+  { /* 2223 */
+    30,
+    /* PSIGNDrm */
   },
-  { /* 2492 */
-    127,
-    /* SAR32r1 */
+  { /* 2224 */
+    31,
+    /* PSIGNDrr */
   },
-  { /* 2493 */
-    127,
-    /* SAR32rCL */
-  },
-  { /* 2494 */
-    285,
-    /* SAR32ri */
-  },
-  { /* 2495 */
-    38,
-    /* SAR64m1 */
-  },
-  { /* 2496 */
-    38,
-    /* SAR64mCL */
-  },
-  { /* 2497 */
-    284,
-    /* SAR64mi */
-  },
-  { /* 2498 */
-    128,
-    /* SAR64r1 */
-  },
-  { /* 2499 */
-    128,
-    /* SAR64rCL */
-  },
-  { /* 2500 */
-    286,
-    /* SAR64ri */
-  },
-  { /* 2501 */
-    82,
-    /* SAR8m1 */
-  },
-  { /* 2502 */
-    82,
-    /* SAR8mCL */
-  },
-  { /* 2503 */
-    22,
-    /* SAR8mi */
-  },
-  { /* 2504 */
-    129,
-    /* SAR8r1 */
-  },
-  { /* 2505 */
-    129,
-    /* SAR8rCL */
-  },
-  { /* 2506 */
-    24,
-    /* SAR8ri */
-  },
-  { /* 2507 */
-    54,
-    /* SARX32rm */
-  },
-  { /* 2508 */
-    55,
-    /* SARX32rr */
-  },
-  { /* 2509 */
-    56,
-    /* SARX64rm */
-  },
-  { /* 2510 */
-    57,
-    /* SARX64rr */
-  },
-  { /* 2511 */
-    2,
-    /* SBB16i16 */
-  },
-  { /* 2512 */
-    3,
-    /* SBB16mi */
+  { /* 2225 */
+    30,
+    /* PSIGNWrm */
   },
-  { /* 2513 */
-    4,
-    /* SBB16mi8 */
+  { /* 2226 */
+    31,
+    /* PSIGNWrr */
   },
-  { /* 2514 */
-    5,
-    /* SBB16mr */
+  { /* 2227 */
+    280,
+    /* PSLLDQri */
   },
-  { /* 2515 */
-    6,
-    /* SBB16ri */
+  { /* 2228 */
+    280,
+    /* PSLLDri */
   },
-  { /* 2516 */
-    7,
-    /* SBB16ri8 */
+  { /* 2229 */
+    30,
+    /* PSLLDrm */
   },
-  { /* 2517 */
-    8,
-    /* SBB16rm */
+  { /* 2230 */
+    31,
+    /* PSLLDrr */
   },
-  { /* 2518 */
-    9,
-    /* SBB16rr */
+  { /* 2231 */
+    280,
+    /* PSLLQri */
   },
-  { /* 2519 */
-    10,
-    /* SBB16rr_REV */
+  { /* 2232 */
+    30,
+    /* PSLLQrm */
   },
-  { /* 2520 */
-    2,
-    /* SBB32i32 */
+  { /* 2233 */
+    31,
+    /* PSLLQrr */
   },
-  { /* 2521 */
-    3,
-    /* SBB32mi */
+  { /* 2234 */
+    280,
+    /* PSLLWri */
   },
-  { /* 2522 */
-    11,
-    /* SBB32mi8 */
+  { /* 2235 */
+    30,
+    /* PSLLWrm */
   },
-  { /* 2523 */
-    5,
-    /* SBB32mr */
+  { /* 2236 */
+    31,
+    /* PSLLWrr */
   },
-  { /* 2524 */
-    6,
-    /* SBB32ri */
+  { /* 2237 */
+    280,
+    /* PSRADri */
   },
-  { /* 2525 */
-    12,
-    /* SBB32ri8 */
+  { /* 2238 */
+    30,
+    /* PSRADrm */
   },
-  { /* 2526 */
-    8,
-    /* SBB32rm */
+  { /* 2239 */
+    31,
+    /* PSRADrr */
   },
-  { /* 2527 */
-    9,
-    /* SBB32rr */
+  { /* 2240 */
+    280,
+    /* PSRAWri */
   },
-  { /* 2528 */
-    10,
-    /* SBB32rr_REV */
+  { /* 2241 */
+    30,
+    /* PSRAWrm */
   },
-  { /* 2529 */
-    13,
-    /* SBB64i32 */
+  { /* 2242 */
+    31,
+    /* PSRAWrr */
   },
-  { /* 2530 */
-    14,
-    /* SBB64mi32 */
+  { /* 2243 */
+    280,
+    /* PSRLDQri */
   },
-  { /* 2531 */
-    15,
-    /* SBB64mi8 */
+  { /* 2244 */
+    280,
+    /* PSRLDri */
   },
-  { /* 2532 */
-    16,
-    /* SBB64mr */
+  { /* 2245 */
+    30,
+    /* PSRLDrm */
   },
-  { /* 2533 */
-    17,
-    /* SBB64ri32 */
+  { /* 2246 */
+    31,
+    /* PSRLDrr */
   },
-  { /* 2534 */
-    18,
-    /* SBB64ri8 */
+  { /* 2247 */
+    280,
+    /* PSRLQri */
   },
-  { /* 2535 */
-    19,
-    /* SBB64rm */
+  { /* 2248 */
+    30,
+    /* PSRLQrm */
   },
-  { /* 2536 */
-    20,
-    /* SBB64rr */
+  { /* 2249 */
+    31,
+    /* PSRLQrr */
   },
-  { /* 2537 */
-    21,
-    /* SBB64rr_REV */
+  { /* 2250 */
+    280,
+    /* PSRLWri */
   },
-  { /* 2538 */
-    1,
-    /* SBB8i8 */
+  { /* 2251 */
+    30,
+    /* PSRLWrm */
   },
-  { /* 2539 */
-    22,
-    /* SBB8mi */
+  { /* 2252 */
+    31,
+    /* PSRLWrr */
   },
-  { /* 2540 */
-    23,
-    /* SBB8mr */
+  { /* 2253 */
+    30,
+    /* PSUBBrm */
   },
-  { /* 2541 */
-    24,
-    /* SBB8ri */
+  { /* 2254 */
+    31,
+    /* PSUBBrr */
   },
-  { /* 2542 */
-    25,
-    /* SBB8rm */
+  { /* 2255 */
+    30,
+    /* PSUBDrm */
   },
-  { /* 2543 */
-    26,
-    /* SBB8rr */
+  { /* 2256 */
+    31,
+    /* PSUBDrr */
   },
-  { /* 2544 */
-    27,
-    /* SBB8rr_REV */
+  { /* 2257 */
+    30,
+    /* PSUBQrm */
   },
-  { /* 2545 */
-    149,
-    /* SCASB */
+  { /* 2258 */
+    31,
+    /* PSUBQrr */
   },
-  { /* 2546 */
-    152,
-    /* SCASL */
+  { /* 2259 */
+    30,
+    /* PSUBSBrm */
   },
-  { /* 2547 */
-    298,
-    /* SCASQ */
+  { /* 2260 */
+    31,
+    /* PSUBSBrr */
   },
-  { /* 2548 */
-    153,
-    /* SCASW */
+  { /* 2261 */
+    30,
+    /* PSUBSWrm */
   },
-  { /* 2549 */
-    0,
-    /*  */
+  { /* 2262 */
+    31,
+    /* PSUBSWrr */
   },
-  { /* 2550 */
-    0,
-    /*  */
+  { /* 2263 */
+    30,
+    /* PSUBUSBrm */
   },
-  { /* 2551 */
-    0,
-    /*  */
+  { /* 2264 */
+    31,
+    /* PSUBUSBrr */
   },
-  { /* 2552 */
-    0,
-    /*  */
+  { /* 2265 */
+    30,
+    /* PSUBUSWrm */
   },
-  { /* 2553 */
-    0,
-    /*  */
+  { /* 2266 */
+    31,
+    /* PSUBUSWrr */
   },
-  { /* 2554 */
-    0,
-    /*  */
+  { /* 2267 */
+    30,
+    /* PSUBWrm */
   },
-  { /* 2555 */
-    0,
-    /*  */
+  { /* 2268 */
+    31,
+    /* PSUBWrr */
   },
-  { /* 2556 */
-    0,
-    /*  */
+  { /* 2269 */
+    210,
+    /* PSWAPDrm */
   },
-  { /* 2557 */
-    0,
-    /*  */
+  { /* 2270 */
+    206,
+    /* PSWAPDrr */
   },
-  { /* 2558 */
-    0,
-    /*  */
+  { /* 2271 */
+    44,
+    /* PTESTrm */
   },
-  { /* 2559 */
-    82,
-    /* SETAEm */
+  { /* 2272 */
+    45,
+    /* PTESTrr */
   },
-  { /* 2560 */
-    130,
-    /* SETAEr */
+  { /* 2273 */
+    30,
+    /* PUNPCKHBWrm */
   },
-  { /* 2561 */
-    82,
-    /* SETAm */
+  { /* 2274 */
+    31,
+    /* PUNPCKHBWrr */
   },
-  { /* 2562 */
-    130,
-    /* SETAr */
+  { /* 2275 */
+    30,
+    /* PUNPCKHDQrm */
   },
-  { /* 2563 */
-    82,
-    /* SETBEm */
+  { /* 2276 */
+    31,
+    /* PUNPCKHDQrr */
   },
-  { /* 2564 */
-    130,
-    /* SETBEr */
+  { /* 2277 */
+    30,
+    /* PUNPCKHQDQrm */
   },
-  { /* 2565 */
-    0,
-    /*  */
+  { /* 2278 */
+    31,
+    /* PUNPCKHQDQrr */
   },
-  { /* 2566 */
-    0,
-    /*  */
+  { /* 2279 */
+    30,
+    /* PUNPCKHWDrm */
   },
-  { /* 2567 */
-    0,
-    /*  */
+  { /* 2280 */
+    31,
+    /* PUNPCKHWDrr */
   },
-  { /* 2568 */
-    0,
-    /*  */
+  { /* 2281 */
+    30,
+    /* PUNPCKLBWrm */
   },
-  { /* 2569 */
-    82,
-    /* SETBm */
+  { /* 2282 */
+    31,
+    /* PUNPCKLBWrr */
   },
-  { /* 2570 */
-    130,
-    /* SETBr */
+  { /* 2283 */
+    30,
+    /* PUNPCKLDQrm */
   },
-  { /* 2571 */
-    82,
-    /* SETEm */
+  { /* 2284 */
+    31,
+    /* PUNPCKLDQrr */
   },
-  { /* 2572 */
-    130,
-    /* SETEr */
+  { /* 2285 */
+    30,
+    /* PUNPCKLQDQrm */
   },
-  { /* 2573 */
-    82,
-    /* SETGEm */
+  { /* 2286 */
+    31,
+    /* PUNPCKLQDQrr */
   },
-  { /* 2574 */
-    130,
-    /* SETGEr */
+  { /* 2287 */
+    30,
+    /* PUNPCKLWDrm */
   },
-  { /* 2575 */
-    82,
-    /* SETGm */
+  { /* 2288 */
+    31,
+    /* PUNPCKLWDrr */
   },
-  { /* 2576 */
-    130,
-    /* SETGr */
+  { /* 2289 */
+    281,
+    /* PUSH16i8 */
   },
-  { /* 2577 */
-    82,
-    /* SETLEm */
+  { /* 2290 */
+    278,
+    /* PUSH16r */
   },
-  { /* 2578 */
-    130,
-    /* SETLEr */
+  { /* 2291 */
+    38,
+    /* PUSH16rmm */
   },
-  { /* 2579 */
-    82,
-    /* SETLm */
+  { /* 2292 */
+    77,
+    /* PUSH16rmr */
   },
-  { /* 2580 */
-    130,
-    /* SETLr */
+  { /* 2293 */
+    282,
+    /* PUSH32i8 */
   },
-  { /* 2581 */
-    82,
-    /* SETNEm */
+  { /* 2294 */
+    278,
+    /* PUSH32r */
   },
-  { /* 2582 */
-    130,
-    /* SETNEr */
+  { /* 2295 */
+    38,
+    /* PUSH32rmm */
   },
-  { /* 2583 */
-    82,
-    /* SETNOm */
+  { /* 2296 */
+    77,
+    /* PUSH32rmr */
   },
-  { /* 2584 */
-    130,
-    /* SETNOr */
+  { /* 2297 */
+    2,
+    /* PUSH64i16 */
   },
-  { /* 2585 */
-    82,
-    /* SETNPm */
+  { /* 2298 */
+    13,
+    /* PUSH64i32 */
   },
-  { /* 2586 */
-    130,
-    /* SETNPr */
+  { /* 2299 */
+    283,
+    /* PUSH64i8 */
   },
-  { /* 2587 */
-    82,
-    /* SETNSm */
+  { /* 2300 */
+    279,
+    /* PUSH64r */
   },
-  { /* 2588 */
-    130,
-    /* SETNSr */
+  { /* 2301 */
+    38,
+    /* PUSH64rmm */
   },
-  { /* 2589 */
-    82,
-    /* SETOm */
+  { /* 2302 */
+    79,
+    /* PUSH64rmr */
   },
-  { /* 2590 */
-    130,
-    /* SETOr */
+  { /* 2303 */
+    0,
+    /* PUSHA16 */
   },
-  { /* 2591 */
-    82,
-    /* SETPm */
+  { /* 2304 */
+    0,
+    /* PUSHA32 */
   },
-  { /* 2592 */
-    130,
-    /* SETPr */
+  { /* 2305 */
+    0,
+    /* PUSHCS16 */
   },
-  { /* 2593 */
-    82,
-    /* SETSm */
+  { /* 2306 */
+    0,
+    /* PUSHCS32 */
   },
-  { /* 2594 */
-    130,
-    /* SETSr */
+  { /* 2307 */
+    0,
+    /* PUSHDS16 */
   },
-  { /* 2595 */
+  { /* 2308 */
     0,
-    /* SFENCE */
+    /* PUSHDS32 */
   },
-  { /* 2596 */
-    138,
-    /* SGDT16m */
+  { /* 2309 */
+    0,
+    /* PUSHES16 */
   },
-  { /* 2597 */
-    138,
-    /* SGDT32m */
+  { /* 2310 */
+    0,
+    /* PUSHES32 */
   },
-  { /* 2598 */
-    139,
-    /* SGDT64m */
+  { /* 2311 */
+    0,
+    /* PUSHF16 */
   },
-  { /* 2599 */
-    30,
-    /* SHA1MSG1rm */
+  { /* 2312 */
+    0,
+    /* PUSHF32 */
   },
-  { /* 2600 */
-    31,
-    /* SHA1MSG1rr */
+  { /* 2313 */
+    0,
+    /* PUSHF64 */
   },
-  { /* 2601 */
-    30,
-    /* SHA1MSG2rm */
+  { /* 2314 */
+    0,
+    /* PUSHFS16 */
   },
-  { /* 2602 */
-    31,
-    /* SHA1MSG2rr */
+  { /* 2315 */
+    0,
+    /* PUSHFS32 */
   },
-  { /* 2603 */
-    30,
-    /* SHA1NEXTErm */
+  { /* 2316 */
+    0,
+    /* PUSHFS64 */
   },
-  { /* 2604 */
-    31,
-    /* SHA1NEXTErr */
+  { /* 2317 */
+    0,
+    /* PUSHGS16 */
   },
-  { /* 2605 */
-    267,
-    /* SHA1RNDS4rmi */
+  { /* 2318 */
+    0,
+    /* PUSHGS32 */
   },
-  { /* 2606 */
-    268,
-    /* SHA1RNDS4rri */
+  { /* 2319 */
+    0,
+    /* PUSHGS64 */
   },
-  { /* 2607 */
-    30,
-    /* SHA256MSG1rm */
+  { /* 2320 */
+    0,
+    /* PUSHSS16 */
   },
-  { /* 2608 */
-    31,
-    /* SHA256MSG1rr */
+  { /* 2321 */
+    0,
+    /* PUSHSS32 */
   },
-  { /* 2609 */
-    30,
-    /* SHA256MSG2rm */
+  { /* 2322 */
+    2,
+    /* PUSHi16 */
   },
-  { /* 2610 */
-    31,
-    /* SHA256MSG2rr */
+  { /* 2323 */
+    2,
+    /* PUSHi32 */
   },
-  { /* 2611 */
+  { /* 2324 */
     30,
-    /* SHA256RNDS2rm */
+    /* PXORrm */
   },
-  { /* 2612 */
+  { /* 2325 */
     31,
-    /* SHA256RNDS2rr */
+    /* PXORrr */
   },
-  { /* 2613 */
+  { /* 2326 */
     38,
-    /* SHL16m1 */
+    /* RCL16m1 */
   },
-  { /* 2614 */
+  { /* 2327 */
     38,
-    /* SHL16mCL */
+    /* RCL16mCL */
   },
-  { /* 2615 */
+  { /* 2328 */
     284,
-    /* SHL16mi */
+    /* RCL16mi */
   },
-  { /* 2616 */
+  { /* 2329 */
     127,
-    /* SHL16r1 */
+    /* RCL16r1 */
   },
-  { /* 2617 */
+  { /* 2330 */
     127,
-    /* SHL16rCL */
+    /* RCL16rCL */
   },
-  { /* 2618 */
+  { /* 2331 */
     285,
-    /* SHL16ri */
+    /* RCL16ri */
   },
-  { /* 2619 */
+  { /* 2332 */
     38,
-    /* SHL32m1 */
+    /* RCL32m1 */
   },
-  { /* 2620 */
+  { /* 2333 */
     38,
-    /* SHL32mCL */
+    /* RCL32mCL */
   },
-  { /* 2621 */
+  { /* 2334 */
     284,
-    /* SHL32mi */
+    /* RCL32mi */
   },
-  { /* 2622 */
+  { /* 2335 */
     127,
-    /* SHL32r1 */
+    /* RCL32r1 */
   },
-  { /* 2623 */
+  { /* 2336 */
     127,
-    /* SHL32rCL */
+    /* RCL32rCL */
   },
-  { /* 2624 */
+  { /* 2337 */
     285,
-    /* SHL32ri */
+    /* RCL32ri */
   },
-  { /* 2625 */
+  { /* 2338 */
     38,
-    /* SHL64m1 */
+    /* RCL64m1 */
   },
-  { /* 2626 */
+  { /* 2339 */
     38,
-    /* SHL64mCL */
+    /* RCL64mCL */
   },
-  { /* 2627 */
+  { /* 2340 */
     284,
-    /* SHL64mi */
+    /* RCL64mi */
   },
-  { /* 2628 */
+  { /* 2341 */
     128,
-    /* SHL64r1 */
+    /* RCL64r1 */
   },
-  { /* 2629 */
+  { /* 2342 */
     128,
-    /* SHL64rCL */
+    /* RCL64rCL */
   },
-  { /* 2630 */
+  { /* 2343 */
     286,
-    /* SHL64ri */
+    /* RCL64ri */
   },
-  { /* 2631 */
+  { /* 2344 */
     82,
-    /* SHL8m1 */
+    /* RCL8m1 */
   },
-  { /* 2632 */
+  { /* 2345 */
     82,
-    /* SHL8mCL */
+    /* RCL8mCL */
   },
-  { /* 2633 */
+  { /* 2346 */
     22,
-    /* SHL8mi */
+    /* RCL8mi */
   },
-  { /* 2634 */
+  { /* 2347 */
     129,
-    /* SHL8r1 */
+    /* RCL8r1 */
   },
-  { /* 2635 */
+  { /* 2348 */
     129,
-    /* SHL8rCL */
+    /* RCL8rCL */
   },
-  { /* 2636 */
+  { /* 2349 */
     24,
-    /* SHL8ri */
-  },
-  { /* 2637 */
-    5,
-    /* SHLD16mrCL */
-  },
-  { /* 2638 */
-    299,
-    /* SHLD16mri8 */
-  },
-  { /* 2639 */
-    9,
-    /* SHLD16rrCL */
-  },
-  { /* 2640 */
-    300,
-    /* SHLD16rri8 */
-  },
-  { /* 2641 */
-    5,
-    /* SHLD32mrCL */
-  },
-  { /* 2642 */
-    299,
-    /* SHLD32mri8 */
-  },
-  { /* 2643 */
-    9,
-    /* SHLD32rrCL */
-  },
-  { /* 2644 */
-    300,
-    /* SHLD32rri8 */
+    /* RCL8ri */
   },
-  { /* 2645 */
-    16,
-    /* SHLD64mrCL */
+  { /* 2350 */
+    44,
+    /* RCPPSm */
   },
-  { /* 2646 */
-    301,
-    /* SHLD64mri8 */
+  { /* 2351 */
+    0,
+    /*  */
   },
-  { /* 2647 */
-    20,
-    /* SHLD64rrCL */
+  { /* 2352 */
+    45,
+    /* RCPPSr */
   },
-  { /* 2648 */
-    302,
-    /* SHLD64rri8 */
+  { /* 2353 */
+    0,
+    /*  */
   },
-  { /* 2649 */
-    54,
-    /* SHLX32rm */
+  { /* 2354 */
+    261,
+    /* RCPSSm */
   },
-  { /* 2650 */
-    55,
-    /* SHLX32rr */
+  { /* 2355 */
+    0,
+    /*  */
   },
-  { /* 2651 */
-    56,
-    /* SHLX64rm */
+  { /* 2356 */
+    287,
+    /* RCPSSr */
   },
-  { /* 2652 */
-    57,
-    /* SHLX64rr */
+  { /* 2357 */
+    0,
+    /*  */
   },
-  { /* 2653 */
+  { /* 2358 */
     38,
-    /* SHR16m1 */
+    /* RCR16m1 */
   },
-  { /* 2654 */
+  { /* 2359 */
     38,
-    /* SHR16mCL */
+    /* RCR16mCL */
   },
-  { /* 2655 */
+  { /* 2360 */
     284,
-    /* SHR16mi */
+    /* RCR16mi */
   },
-  { /* 2656 */
+  { /* 2361 */
     127,
-    /* SHR16r1 */
+    /* RCR16r1 */
   },
-  { /* 2657 */
+  { /* 2362 */
     127,
-    /* SHR16rCL */
+    /* RCR16rCL */
   },
-  { /* 2658 */
+  { /* 2363 */
     285,
-    /* SHR16ri */
+    /* RCR16ri */
   },
-  { /* 2659 */
+  { /* 2364 */
     38,
-    /* SHR32m1 */
+    /* RCR32m1 */
   },
-  { /* 2660 */
+  { /* 2365 */
     38,
-    /* SHR32mCL */
+    /* RCR32mCL */
   },
-  { /* 2661 */
+  { /* 2366 */
     284,
-    /* SHR32mi */
+    /* RCR32mi */
   },
-  { /* 2662 */
+  { /* 2367 */
     127,
-    /* SHR32r1 */
+    /* RCR32r1 */
   },
-  { /* 2663 */
+  { /* 2368 */
     127,
-    /* SHR32rCL */
+    /* RCR32rCL */
   },
-  { /* 2664 */
+  { /* 2369 */
     285,
-    /* SHR32ri */
+    /* RCR32ri */
   },
-  { /* 2665 */
+  { /* 2370 */
     38,
-    /* SHR64m1 */
+    /* RCR64m1 */
   },
-  { /* 2666 */
+  { /* 2371 */
     38,
-    /* SHR64mCL */
+    /* RCR64mCL */
   },
-  { /* 2667 */
+  { /* 2372 */
     284,
-    /* SHR64mi */
+    /* RCR64mi */
   },
-  { /* 2668 */
+  { /* 2373 */
     128,
-    /* SHR64r1 */
+    /* RCR64r1 */
   },
-  { /* 2669 */
+  { /* 2374 */
     128,
-    /* SHR64rCL */
+    /* RCR64rCL */
   },
-  { /* 2670 */
+  { /* 2375 */
     286,
-    /* SHR64ri */
+    /* RCR64ri */
   },
-  { /* 2671 */
+  { /* 2376 */
     82,
-    /* SHR8m1 */
+    /* RCR8m1 */
   },
-  { /* 2672 */
+  { /* 2377 */
     82,
-    /* SHR8mCL */
+    /* RCR8mCL */
   },
-  { /* 2673 */
+  { /* 2378 */
     22,
-    /* SHR8mi */
+    /* RCR8mi */
   },
-  { /* 2674 */
+  { /* 2379 */
     129,
-    /* SHR8r1 */
+    /* RCR8r1 */
   },
-  { /* 2675 */
+  { /* 2380 */
     129,
-    /* SHR8rCL */
+    /* RCR8rCL */
   },
-  { /* 2676 */
+  { /* 2381 */
     24,
-    /* SHR8ri */
-  },
-  { /* 2677 */
-    5,
-    /* SHRD16mrCL */
+    /* RCR8ri */
   },
-  { /* 2678 */
-    299,
-    /* SHRD16mri8 */
+  { /* 2382 */
+    288,
+    /* RDFSBASE */
   },
-  { /* 2679 */
-    9,
-    /* SHRD16rrCL */
+  { /* 2383 */
+    79,
+    /* RDFSBASE64 */
   },
-  { /* 2680 */
-    300,
-    /* SHRD16rri8 */
+  { /* 2384 */
+    288,
+    /* RDGSBASE */
   },
-  { /* 2681 */
-    5,
-    /* SHRD32mrCL */
+  { /* 2385 */
+    79,
+    /* RDGSBASE64 */
   },
-  { /* 2682 */
-    299,
-    /* SHRD32mri8 */
+  { /* 2386 */
+    0,
+    /* RDMSR */
   },
-  { /* 2683 */
-    9,
-    /* SHRD32rrCL */
+  { /* 2387 */
+    0,
+    /* RDPMC */
   },
-  { /* 2684 */
-    300,
-    /* SHRD32rri8 */
+  { /* 2388 */
+    77,
+    /* RDRAND16r */
   },
-  { /* 2685 */
-    16,
-    /* SHRD64mrCL */
+  { /* 2389 */
+    77,
+    /* RDRAND32r */
   },
-  { /* 2686 */
-    301,
-    /* SHRD64mri8 */
+  { /* 2390 */
+    79,
+    /* RDRAND64r */
   },
-  { /* 2687 */
-    20,
-    /* SHRD64rrCL */
+  { /* 2391 */
+    77,
+    /* RDSEED16r */
   },
-  { /* 2688 */
-    302,
-    /* SHRD64rri8 */
+  { /* 2392 */
+    77,
+    /* RDSEED32r */
   },
-  { /* 2689 */
-    54,
-    /* SHRX32rm */
+  { /* 2393 */
+    79,
+    /* RDSEED64r */
   },
-  { /* 2690 */
-    55,
-    /* SHRX32rr */
+  { /* 2394 */
+    0,
+    /* RDTSC */
   },
-  { /* 2691 */
-    56,
-    /* SHRX64rm */
+  { /* 2395 */
+    0,
+    /* RDTSCP */
   },
-  { /* 2692 */
-    57,
-    /* SHRX64rr */
+  { /* 2396 */
+    0,
+    /*  */
   },
-  { /* 2693 */
-    267,
-    /* SHUFPDrmi */
+  { /* 2397 */
+    0,
+    /*  */
   },
-  { /* 2694 */
-    268,
-    /* SHUFPDrri */
+  { /* 2398 */
+    0,
+    /*  */
   },
-  { /* 2695 */
-    267,
-    /* SHUFPSrmi */
+  { /* 2399 */
+    0,
+    /*  */
   },
-  { /* 2696 */
-    268,
-    /* SHUFPSrri */
+  { /* 2400 */
+    0,
+    /*  */
   },
-  { /* 2697 */
-    138,
-    /* SIDT16m */
+  { /* 2401 */
+    0,
+    /*  */
   },
-  { /* 2698 */
-    138,
-    /* SIDT32m */
+  { /* 2402 */
+    0,
+    /*  */
   },
-  { /* 2699 */
-    139,
-    /* SIDT64m */
+  { /* 2403 */
+    0,
+    /*  */
   },
-  { /* 2700 */
+  { /* 2404 */
     0,
-    /* SIN_F */
+    /*  */
   },
-  { /* 2701 */
+  { /* 2405 */
     0,
     /*  */
   },
-  { /* 2702 */
+  { /* 2406 */
     0,
     /*  */
   },
-  { /* 2703 */
+  { /* 2407 */
     0,
     /*  */
   },
-  { /* 2704 */
+  { /* 2408 */
     0,
-    /* SKINIT */
+    /*  */
   },
-  { /* 2705 */
-    38,
-    /* SLDT16m */
+  { /* 2409 */
+    0,
+    /*  */
   },
-  { /* 2706 */
-    77,
-    /* SLDT16r */
+  { /* 2410 */
+    0,
+    /*  */
   },
-  { /* 2707 */
-    77,
-    /* SLDT32r */
+  { /* 2411 */
+    0,
+    /*  */
   },
-  { /* 2708 */
-    38,
-    /* SLDT64m */
+  { /* 2412 */
+    0,
+    /*  */
   },
-  { /* 2709 */
-    79,
-    /* SLDT64r */
+  { /* 2413 */
+    0,
+    /*  */
   },
-  { /* 2710 */
-    38,
-    /* SMSW16m */
+  { /* 2414 */
+    0,
+    /*  */
   },
-  { /* 2711 */
-    77,
-    /* SMSW16r */
+  { /* 2415 */
+    0,
+    /*  */
   },
-  { /* 2712 */
-    77,
-    /* SMSW32r */
+  { /* 2416 */
+    0,
+    /*  */
   },
-  { /* 2713 */
-    79,
-    /* SMSW64r */
+  { /* 2417 */
+    0,
+    /*  */
   },
-  { /* 2714 */
-    44,
-    /* SQRTPDm */
+  { /* 2418 */
+    0,
+    /*  */
   },
-  { /* 2715 */
-    45,
-    /* SQRTPDr */
+  { /* 2419 */
+    0,
+    /*  */
   },
-  { /* 2716 */
-    44,
-    /* SQRTPSm */
+  { /* 2420 */
+    0,
+    /*  */
   },
-  { /* 2717 */
-    45,
-    /* SQRTPSr */
+  { /* 2421 */
+    0,
+    /*  */
   },
-  { /* 2718 */
-    254,
-    /* SQRTSDm */
+  { /* 2422 */
+    0,
+    /*  */
   },
-  { /* 2719 */
+  { /* 2423 */
     0,
     /*  */
   },
-  { /* 2720 */
-    303,
-    /* SQRTSDr */
+  { /* 2424 */
+    0,
+    /* REPNE_PREFIX */
   },
-  { /* 2721 */
+  { /* 2425 */
     0,
     /*  */
   },
-  { /* 2722 */
-    258,
-    /* SQRTSSm */
+  { /* 2426 */
+    0,
+    /*  */
   },
-  { /* 2723 */
+  { /* 2427 */
     0,
     /*  */
   },
-  { /* 2724 */
-    287,
-    /* SQRTSSr */
+  { /* 2428 */
+    0,
+    /*  */
   },
-  { /* 2725 */
+  { /* 2429 */
     0,
     /*  */
   },
-  { /* 2726 */
+  { /* 2430 */
     0,
-    /* SQRT_F */
+    /*  */
   },
-  { /* 2727 */
+  { /* 2431 */
     0,
     /*  */
   },
-  { /* 2728 */
+  { /* 2432 */
+    0,
+    /* REP_PREFIX */
+  },
+  { /* 2433 */
     0,
     /*  */
   },
-  { /* 2729 */
+  { /* 2434 */
     0,
     /*  */
   },
-  { /* 2730 */
+  { /* 2435 */
     0,
-    /* STAC */
+    /*  */
   },
-  { /* 2731 */
+  { /* 2436 */
     0,
-    /* STC */
+    /*  */
   },
-  { /* 2732 */
+  { /* 2437 */
     0,
-    /* STD */
+    /*  */
   },
-  { /* 2733 */
+  { /* 2438 */
     0,
-    /* STGI */
+    /*  */
   },
-  { /* 2734 */
+  { /* 2439 */
     0,
-    /* STI */
+    /*  */
   },
-  { /* 2735 */
+  { /* 2440 */
+    199,
+    /* RETIL */
+  },
+  { /* 2441 */
+    199,
+    /* RETIQ */
+  },
+  { /* 2442 */
+    2,
+    /* RETIW */
+  },
+  { /* 2443 */
+    0,
+    /* RETL */
+  },
+  { /* 2444 */
+    0,
+    /* RETQ */
+  },
+  { /* 2445 */
+    0,
+    /* RETW */
+  },
+  { /* 2446 */
+    0,
+    /* REX64_PREFIX */
+  },
+  { /* 2447 */
     38,
-    /* STMXCSR */
+    /* ROL16m1 */
   },
-  { /* 2736 */
-    149,
-    /* STOSB */
+  { /* 2448 */
+    38,
+    /* ROL16mCL */
   },
-  { /* 2737 */
-    152,
-    /* STOSL */
+  { /* 2449 */
+    284,
+    /* ROL16mi */
   },
-  { /* 2738 */
-    298,
-    /* STOSQ */
+  { /* 2450 */
+    127,
+    /* ROL16r1 */
   },
-  { /* 2739 */
-    153,
-    /* STOSW */
+  { /* 2451 */
+    127,
+    /* ROL16rCL */
   },
-  { /* 2740 */
-    77,
-    /* STR16r */
+  { /* 2452 */
+    285,
+    /* ROL16ri */
   },
-  { /* 2741 */
-    77,
-    /* STR32r */
+  { /* 2453 */
+    38,
+    /* ROL32m1 */
   },
-  { /* 2742 */
-    79,
-    /* STR64r */
+  { /* 2454 */
+    38,
+    /* ROL32mCL */
   },
-  { /* 2743 */
+  { /* 2455 */
+    284,
+    /* ROL32mi */
+  },
+  { /* 2456 */
+    127,
+    /* ROL32r1 */
+  },
+  { /* 2457 */
+    127,
+    /* ROL32rCL */
+  },
+  { /* 2458 */
+    285,
+    /* ROL32ri */
+  },
+  { /* 2459 */
     38,
-    /* STRm */
+    /* ROL64m1 */
   },
-  { /* 2744 */
-    36,
-    /* ST_F32m */
+  { /* 2460 */
+    38,
+    /* ROL64mCL */
   },
-  { /* 2745 */
-    37,
-    /* ST_F64m */
+  { /* 2461 */
+    284,
+    /* ROL64mi */
   },
-  { /* 2746 */
-    39,
-    /* ST_FCOMPST0r */
+  { /* 2462 */
+    128,
+    /* ROL64r1 */
   },
-  { /* 2747 */
-    39,
-    /* ST_FCOMPST0r_alt */
+  { /* 2463 */
+    128,
+    /* ROL64rCL */
   },
-  { /* 2748 */
-    39,
-    /* ST_FCOMST0r */
+  { /* 2464 */
+    286,
+    /* ROL64ri */
   },
-  { /* 2749 */
-    36,
-    /* ST_FP32m */
+  { /* 2465 */
+    82,
+    /* ROL8m1 */
   },
-  { /* 2750 */
-    37,
-    /* ST_FP64m */
+  { /* 2466 */
+    82,
+    /* ROL8mCL */
   },
-  { /* 2751 */
-    186,
-    /* ST_FP80m */
+  { /* 2467 */
+    22,
+    /* ROL8mi */
   },
-  { /* 2752 */
-    39,
-    /* ST_FPNCEST0r */
+  { /* 2468 */
+    129,
+    /* ROL8r1 */
   },
-  { /* 2753 */
-    39,
-    /* ST_FPST0r */
+  { /* 2469 */
+    129,
+    /* ROL8rCL */
   },
-  { /* 2754 */
-    39,
-    /* ST_FPST0r_alt */
+  { /* 2470 */
+    24,
+    /* ROL8ri */
   },
-  { /* 2755 */
-    39,
-    /* ST_FPrr */
+  { /* 2471 */
+    38,
+    /* ROR16m1 */
   },
-  { /* 2756 */
-    39,
-    /* ST_FXCHST0r */
+  { /* 2472 */
+    38,
+    /* ROR16mCL */
   },
-  { /* 2757 */
-    39,
-    /* ST_FXCHST0r_alt */
+  { /* 2473 */
+    284,
+    /* ROR16mi */
   },
-  { /* 2758 */
-    0,
-    /*  */
+  { /* 2474 */
+    127,
+    /* ROR16r1 */
   },
-  { /* 2759 */
-    0,
-    /*  */
+  { /* 2475 */
+    127,
+    /* ROR16rCL */
   },
-  { /* 2760 */
+  { /* 2476 */
+    285,
+    /* ROR16ri */
+  },
+  { /* 2477 */
+    38,
+    /* ROR32m1 */
+  },
+  { /* 2478 */
+    38,
+    /* ROR32mCL */
+  },
+  { /* 2479 */
+    284,
+    /* ROR32mi */
+  },
+  { /* 2480 */
+    127,
+    /* ROR32r1 */
+  },
+  { /* 2481 */
+    127,
+    /* ROR32rCL */
+  },
+  { /* 2482 */
+    285,
+    /* ROR32ri */
+  },
+  { /* 2483 */
+    38,
+    /* ROR64m1 */
+  },
+  { /* 2484 */
+    38,
+    /* ROR64mCL */
+  },
+  { /* 2485 */
+    284,
+    /* ROR64mi */
+  },
+  { /* 2486 */
+    128,
+    /* ROR64r1 */
+  },
+  { /* 2487 */
+    128,
+    /* ROR64rCL */
+  },
+  { /* 2488 */
+    286,
+    /* ROR64ri */
+  },
+  { /* 2489 */
+    82,
+    /* ROR8m1 */
+  },
+  { /* 2490 */
+    82,
+    /* ROR8mCL */
+  },
+  { /* 2491 */
+    22,
+    /* ROR8mi */
+  },
+  { /* 2492 */
+    129,
+    /* ROR8r1 */
+  },
+  { /* 2493 */
+    129,
+    /* ROR8rCL */
+  },
+  { /* 2494 */
+    24,
+    /* ROR8ri */
+  },
+  { /* 2495 */
+    289,
+    /* RORX32mi */
+  },
+  { /* 2496 */
+    290,
+    /* RORX32ri */
+  },
+  { /* 2497 */
+    291,
+    /* RORX64mi */
+  },
+  { /* 2498 */
+    292,
+    /* RORX64ri */
+  },
+  { /* 2499 */
+    46,
+    /* ROUNDPDm */
+  },
+  { /* 2500 */
+    47,
+    /* ROUNDPDr */
+  },
+  { /* 2501 */
+    46,
+    /* ROUNDPSm */
+  },
+  { /* 2502 */
+    47,
+    /* ROUNDPSr */
+  },
+  { /* 2503 */
+    293,
+    /* ROUNDSDm */
+  },
+  { /* 2504 */
+    294,
+    /* ROUNDSDr */
+  },
+  { /* 2505 */
     0,
     /*  */
   },
-  { /* 2761 */
+  { /* 2506 */
+    150,
+    /* ROUNDSSm */
+  },
+  { /* 2507 */
+    295,
+    /* ROUNDSSr */
+  },
+  { /* 2508 */
     0,
     /*  */
   },
-  { /* 2762 */
+  { /* 2509 */
     0,
-    /*  */
+    /* RSM */
   },
-  { /* 2763 */
+  { /* 2510 */
+    44,
+    /* RSQRTPSm */
+  },
+  { /* 2511 */
     0,
     /*  */
   },
-  { /* 2764 */
+  { /* 2512 */
+    45,
+    /* RSQRTPSr */
+  },
+  { /* 2513 */
     0,
     /*  */
   },
-  { /* 2765 */
+  { /* 2514 */
+    261,
+    /* RSQRTSSm */
+  },
+  { /* 2515 */
     0,
     /*  */
   },
-  { /* 2766 */
+  { /* 2516 */
+    287,
+    /* RSQRTSSr */
+  },
+  { /* 2517 */
     0,
     /*  */
   },
-  { /* 2767 */
+  { /* 2518 */
     0,
-    /*  */
+    /* SAHF */
   },
-  { /* 2768 */
+  { /* 2519 */
+    38,
+    /* SAL16m1 */
+  },
+  { /* 2520 */
+    38,
+    /* SAL16mCL */
+  },
+  { /* 2521 */
+    284,
+    /* SAL16mi */
+  },
+  { /* 2522 */
+    127,
+    /* SAL16r1 */
+  },
+  { /* 2523 */
+    127,
+    /* SAL16rCL */
+  },
+  { /* 2524 */
+    285,
+    /* SAL16ri */
+  },
+  { /* 2525 */
+    38,
+    /* SAL32m1 */
+  },
+  { /* 2526 */
+    38,
+    /* SAL32mCL */
+  },
+  { /* 2527 */
+    284,
+    /* SAL32mi */
+  },
+  { /* 2528 */
+    127,
+    /* SAL32r1 */
+  },
+  { /* 2529 */
+    127,
+    /* SAL32rCL */
+  },
+  { /* 2530 */
+    285,
+    /* SAL32ri */
+  },
+  { /* 2531 */
+    38,
+    /* SAL64m1 */
+  },
+  { /* 2532 */
+    38,
+    /* SAL64mCL */
+  },
+  { /* 2533 */
+    284,
+    /* SAL64mi */
+  },
+  { /* 2534 */
+    128,
+    /* SAL64r1 */
+  },
+  { /* 2535 */
+    128,
+    /* SAL64rCL */
+  },
+  { /* 2536 */
+    286,
+    /* SAL64ri */
+  },
+  { /* 2537 */
+    82,
+    /* SAL8m1 */
+  },
+  { /* 2538 */
+    82,
+    /* SAL8mCL */
+  },
+  { /* 2539 */
+    22,
+    /* SAL8mi */
+  },
+  { /* 2540 */
+    129,
+    /* SAL8r1 */
+  },
+  { /* 2541 */
+    129,
+    /* SAL8rCL */
+  },
+  { /* 2542 */
+    24,
+    /* SAL8ri */
+  },
+  { /* 2543 */
     0,
-    /*  */
+    /* SALC */
   },
-  { /* 2769 */
-    39,
-    /* ST_Frr */
+  { /* 2544 */
+    38,
+    /* SAR16m1 */
   },
-  { /* 2770 */
+  { /* 2545 */
+    38,
+    /* SAR16mCL */
+  },
+  { /* 2546 */
+    284,
+    /* SAR16mi */
+  },
+  { /* 2547 */
+    127,
+    /* SAR16r1 */
+  },
+  { /* 2548 */
+    127,
+    /* SAR16rCL */
+  },
+  { /* 2549 */
+    285,
+    /* SAR16ri */
+  },
+  { /* 2550 */
+    38,
+    /* SAR32m1 */
+  },
+  { /* 2551 */
+    38,
+    /* SAR32mCL */
+  },
+  { /* 2552 */
+    284,
+    /* SAR32mi */
+  },
+  { /* 2553 */
+    127,
+    /* SAR32r1 */
+  },
+  { /* 2554 */
+    127,
+    /* SAR32rCL */
+  },
+  { /* 2555 */
+    285,
+    /* SAR32ri */
+  },
+  { /* 2556 */
+    38,
+    /* SAR64m1 */
+  },
+  { /* 2557 */
+    38,
+    /* SAR64mCL */
+  },
+  { /* 2558 */
+    284,
+    /* SAR64mi */
+  },
+  { /* 2559 */
+    128,
+    /* SAR64r1 */
+  },
+  { /* 2560 */
+    128,
+    /* SAR64rCL */
+  },
+  { /* 2561 */
+    286,
+    /* SAR64ri */
+  },
+  { /* 2562 */
+    82,
+    /* SAR8m1 */
+  },
+  { /* 2563 */
+    82,
+    /* SAR8mCL */
+  },
+  { /* 2564 */
+    22,
+    /* SAR8mi */
+  },
+  { /* 2565 */
+    129,
+    /* SAR8r1 */
+  },
+  { /* 2566 */
+    129,
+    /* SAR8rCL */
+  },
+  { /* 2567 */
+    24,
+    /* SAR8ri */
+  },
+  { /* 2568 */
+    54,
+    /* SARX32rm */
+  },
+  { /* 2569 */
+    55,
+    /* SARX32rr */
+  },
+  { /* 2570 */
+    56,
+    /* SARX64rm */
+  },
+  { /* 2571 */
+    57,
+    /* SARX64rr */
+  },
+  { /* 2572 */
     2,
-    /* SUB16i16 */
+    /* SBB16i16 */
   },
-  { /* 2771 */
+  { /* 2573 */
     3,
-    /* SUB16mi */
+    /* SBB16mi */
   },
-  { /* 2772 */
+  { /* 2574 */
     4,
-    /* SUB16mi8 */
+    /* SBB16mi8 */
   },
-  { /* 2773 */
+  { /* 2575 */
     5,
-    /* SUB16mr */
+    /* SBB16mr */
   },
-  { /* 2774 */
+  { /* 2576 */
     6,
-    /* SUB16ri */
+    /* SBB16ri */
   },
-  { /* 2775 */
+  { /* 2577 */
     7,
-    /* SUB16ri8 */
+    /* SBB16ri8 */
   },
-  { /* 2776 */
+  { /* 2578 */
     8,
-    /* SUB16rm */
+    /* SBB16rm */
   },
-  { /* 2777 */
+  { /* 2579 */
     9,
-    /* SUB16rr */
+    /* SBB16rr */
   },
-  { /* 2778 */
+  { /* 2580 */
     10,
-    /* SUB16rr_REV */
+    /* SBB16rr_REV */
   },
-  { /* 2779 */
+  { /* 2581 */
     2,
-    /* SUB32i32 */
+    /* SBB32i32 */
   },
-  { /* 2780 */
+  { /* 2582 */
     3,
-    /* SUB32mi */
+    /* SBB32mi */
   },
-  { /* 2781 */
+  { /* 2583 */
     11,
-    /* SUB32mi8 */
+    /* SBB32mi8 */
   },
-  { /* 2782 */
+  { /* 2584 */
     5,
-    /* SUB32mr */
+    /* SBB32mr */
   },
-  { /* 2783 */
+  { /* 2585 */
     6,
-    /* SUB32ri */
+    /* SBB32ri */
   },
-  { /* 2784 */
+  { /* 2586 */
     12,
-    /* SUB32ri8 */
+    /* SBB32ri8 */
   },
-  { /* 2785 */
+  { /* 2587 */
     8,
-    /* SUB32rm */
+    /* SBB32rm */
   },
-  { /* 2786 */
+  { /* 2588 */
     9,
-    /* SUB32rr */
+    /* SBB32rr */
   },
-  { /* 2787 */
+  { /* 2589 */
     10,
-    /* SUB32rr_REV */
+    /* SBB32rr_REV */
   },
-  { /* 2788 */
+  { /* 2590 */
     13,
-    /* SUB64i32 */
+    /* SBB64i32 */
   },
-  { /* 2789 */
+  { /* 2591 */
     14,
-    /* SUB64mi32 */
+    /* SBB64mi32 */
   },
-  { /* 2790 */
+  { /* 2592 */
     15,
-    /* SUB64mi8 */
+    /* SBB64mi8 */
   },
-  { /* 2791 */
+  { /* 2593 */
     16,
-    /* SUB64mr */
+    /* SBB64mr */
   },
-  { /* 2792 */
+  { /* 2594 */
     17,
-    /* SUB64ri32 */
+    /* SBB64ri32 */
   },
-  { /* 2793 */
+  { /* 2595 */
     18,
-    /* SUB64ri8 */
+    /* SBB64ri8 */
   },
-  { /* 2794 */
+  { /* 2596 */
     19,
-    /* SUB64rm */
+    /* SBB64rm */
   },
-  { /* 2795 */
+  { /* 2597 */
     20,
-    /* SUB64rr */
+    /* SBB64rr */
   },
-  { /* 2796 */
+  { /* 2598 */
     21,
-    /* SUB64rr_REV */
+    /* SBB64rr_REV */
   },
-  { /* 2797 */
+  { /* 2599 */
     1,
-    /* SUB8i8 */
+    /* SBB8i8 */
   },
-  { /* 2798 */
+  { /* 2600 */
     22,
-    /* SUB8mi */
+    /* SBB8mi */
   },
-  { /* 2799 */
+  { /* 2601 */
+    22,
+    /* SBB8mi8 */
+  },
+  { /* 2602 */
     23,
-    /* SUB8mr */
+    /* SBB8mr */
   },
-  { /* 2800 */
+  { /* 2603 */
     24,
-    /* SUB8ri */
+    /* SBB8ri */
   },
-  { /* 2801 */
+  { /* 2604 */
     24,
-    /* SUB8ri8 */
+    /* SBB8ri8 */
   },
-  { /* 2802 */
+  { /* 2605 */
     25,
-    /* SUB8rm */
+    /* SBB8rm */
   },
-  { /* 2803 */
+  { /* 2606 */
     26,
-    /* SUB8rr */
+    /* SBB8rr */
   },
-  { /* 2804 */
+  { /* 2607 */
     27,
-    /* SUB8rr_REV */
-  },
-  { /* 2805 */
-    30,
-    /* SUBPDrm */
-  },
-  { /* 2806 */
-    31,
-    /* SUBPDrr */
-  },
-  { /* 2807 */
-    30,
-    /* SUBPSrm */
-  },
-  { /* 2808 */
-    31,
-    /* SUBPSrr */
-  },
-  { /* 2809 */
-    36,
-    /* SUBR_F32m */
-  },
-  { /* 2810 */
-    37,
-    /* SUBR_F64m */
+    /* SBB8rr_REV */
   },
-  { /* 2811 */
-    38,
-    /* SUBR_FI16m */
+  { /* 2608 */
+    149,
+    /* SCASB */
   },
-  { /* 2812 */
-    38,
-    /* SUBR_FI32m */
+  { /* 2609 */
+    152,
+    /* SCASL */
   },
-  { /* 2813 */
-    39,
-    /* SUBR_FPrST0 */
+  { /* 2610 */
+    296,
+    /* SCASQ */
   },
-  { /* 2814 */
-    39,
-    /* SUBR_FST0r */
+  { /* 2611 */
+    153,
+    /* SCASW */
   },
-  { /* 2815 */
+  { /* 2612 */
     0,
     /*  */
   },
-  { /* 2816 */
+  { /* 2613 */
     0,
     /*  */
   },
-  { /* 2817 */
+  { /* 2614 */
     0,
     /*  */
   },
-  { /* 2818 */
+  { /* 2615 */
     0,
     /*  */
   },
-  { /* 2819 */
+  { /* 2616 */
     0,
     /*  */
   },
-  { /* 2820 */
+  { /* 2617 */
     0,
     /*  */
   },
-  { /* 2821 */
+  { /* 2618 */
     0,
     /*  */
   },
-  { /* 2822 */
+  { /* 2619 */
     0,
     /*  */
   },
-  { /* 2823 */
+  { /* 2620 */
     0,
     /*  */
   },
-  { /* 2824 */
+  { /* 2621 */
     0,
     /*  */
   },
-  { /* 2825 */
-    0,
-    /*  */
+  { /* 2622 */
+    82,
+    /* SETAEm */
   },
-  { /* 2826 */
-    39,
-    /* SUBR_FrST0 */
+  { /* 2623 */
+    130,
+    /* SETAEr */
   },
-  { /* 2827 */
-    32,
-    /* SUBSDrm */
+  { /* 2624 */
+    82,
+    /* SETAm */
   },
-  { /* 2828 */
+  { /* 2625 */
+    130,
+    /* SETAr */
+  },
+  { /* 2626 */
+    82,
+    /* SETBEm */
+  },
+  { /* 2627 */
+    130,
+    /* SETBEr */
+  },
+  { /* 2628 */
     0,
     /*  */
   },
-  { /* 2829 */
-    33,
-    /* SUBSDrr */
-  },
-  { /* 2830 */
+  { /* 2629 */
     0,
     /*  */
   },
-  { /* 2831 */
-    34,
-    /* SUBSSrm */
-  },
-  { /* 2832 */
+  { /* 2630 */
     0,
     /*  */
   },
-  { /* 2833 */
-    35,
-    /* SUBSSrr */
-  },
-  { /* 2834 */
+  { /* 2631 */
     0,
     /*  */
   },
-  { /* 2835 */
-    36,
-    /* SUB_F32m */
+  { /* 2632 */
+    82,
+    /* SETBm */
   },
-  { /* 2836 */
-    37,
-    /* SUB_F64m */
+  { /* 2633 */
+    130,
+    /* SETBr */
   },
-  { /* 2837 */
-    38,
-    /* SUB_FI16m */
+  { /* 2634 */
+    82,
+    /* SETEm */
   },
-  { /* 2838 */
-    38,
-    /* SUB_FI32m */
+  { /* 2635 */
+    130,
+    /* SETEr */
   },
-  { /* 2839 */
-    39,
-    /* SUB_FPrST0 */
+  { /* 2636 */
+    82,
+    /* SETGEm */
   },
-  { /* 2840 */
-    39,
-    /* SUB_FST0r */
+  { /* 2637 */
+    130,
+    /* SETGEr */
   },
-  { /* 2841 */
-    0,
-    /*  */
+  { /* 2638 */
+    82,
+    /* SETGm */
   },
-  { /* 2842 */
-    0,
-    /*  */
+  { /* 2639 */
+    130,
+    /* SETGr */
   },
-  { /* 2843 */
-    0,
-    /*  */
+  { /* 2640 */
+    82,
+    /* SETLEm */
   },
-  { /* 2844 */
-    0,
-    /*  */
+  { /* 2641 */
+    130,
+    /* SETLEr */
   },
-  { /* 2845 */
-    0,
-    /*  */
+  { /* 2642 */
+    82,
+    /* SETLm */
   },
-  { /* 2846 */
-    0,
-    /*  */
+  { /* 2643 */
+    130,
+    /* SETLr */
   },
-  { /* 2847 */
-    0,
-    /*  */
+  { /* 2644 */
+    82,
+    /* SETNEm */
   },
-  { /* 2848 */
-    0,
-    /*  */
+  { /* 2645 */
+    130,
+    /* SETNEr */
   },
-  { /* 2849 */
-    0,
-    /*  */
+  { /* 2646 */
+    82,
+    /* SETNOm */
   },
-  { /* 2850 */
-    0,
-    /*  */
+  { /* 2647 */
+    130,
+    /* SETNOr */
   },
-  { /* 2851 */
-    0,
-    /*  */
+  { /* 2648 */
+    82,
+    /* SETNPm */
   },
-  { /* 2852 */
-    0,
-    /*  */
+  { /* 2649 */
+    130,
+    /* SETNPr */
   },
-  { /* 2853 */
-    0,
-    /*  */
+  { /* 2650 */
+    82,
+    /* SETNSm */
   },
-  { /* 2854 */
-    0,
-    /*  */
+  { /* 2651 */
+    130,
+    /* SETNSr */
   },
-  { /* 2855 */
-    39,
-    /* SUB_FrST0 */
+  { /* 2652 */
+    82,
+    /* SETOm */
   },
-  { /* 2856 */
-    0,
-    /* SWAPGS */
+  { /* 2653 */
+    130,
+    /* SETOr */
   },
-  { /* 2857 */
-    0,
-    /* SYSCALL */
+  { /* 2654 */
+    82,
+    /* SETPm */
   },
-  { /* 2858 */
-    0,
-    /* SYSENTER */
+  { /* 2655 */
+    130,
+    /* SETPr */
   },
-  { /* 2859 */
-    0,
-    /* SYSEXIT */
+  { /* 2656 */
+    82,
+    /* SETSm */
   },
-  { /* 2860 */
-    0,
-    /* SYSEXIT64 */
+  { /* 2657 */
+    130,
+    /* SETSr */
   },
-  { /* 2861 */
+  { /* 2658 */
     0,
-    /* SYSRET */
+    /* SFENCE */
   },
-  { /* 2862 */
-    0,
-    /* SYSRET64 */
+  { /* 2659 */
+    138,
+    /* SGDT16m */
   },
-  { /* 2863 */
-    62,
-    /* T1MSKC32rm */
+  { /* 2660 */
+    138,
+    /* SGDT32m */
   },
-  { /* 2864 */
-    63,
-    /* T1MSKC32rr */
+  { /* 2661 */
+    139,
+    /* SGDT64m */
   },
-  { /* 2865 */
-    64,
-    /* T1MSKC64rm */
+  { /* 2662 */
+    30,
+    /* SHA1MSG1rm */
   },
-  { /* 2866 */
-    65,
-    /* T1MSKC64rr */
+  { /* 2663 */
+    31,
+    /* SHA1MSG1rr */
   },
-  { /* 2867 */
-    0,
-    /*  */
+  { /* 2664 */
+    30,
+    /* SHA1MSG2rm */
   },
-  { /* 2868 */
-    0,
-    /*  */
+  { /* 2665 */
+    31,
+    /* SHA1MSG2rr */
   },
-  { /* 2869 */
-    0,
-    /*  */
+  { /* 2666 */
+    30,
+    /* SHA1NEXTErm */
   },
-  { /* 2870 */
-    0,
-    /*  */
+  { /* 2667 */
+    31,
+    /* SHA1NEXTErr */
   },
-  { /* 2871 */
-    0,
-    /*  */
+  { /* 2668 */
+    66,
+    /* SHA1RNDS4rmi */
   },
-  { /* 2872 */
-    0,
-    /*  */
+  { /* 2669 */
+    67,
+    /* SHA1RNDS4rri */
   },
-  { /* 2873 */
-    0,
-    /*  */
+  { /* 2670 */
+    30,
+    /* SHA256MSG1rm */
   },
-  { /* 2874 */
-    0,
-    /*  */
+  { /* 2671 */
+    31,
+    /* SHA256MSG1rr */
   },
-  { /* 2875 */
-    0,
-    /*  */
+  { /* 2672 */
+    30,
+    /* SHA256MSG2rm */
   },
-  { /* 2876 */
-    0,
-    /*  */
+  { /* 2673 */
+    31,
+    /* SHA256MSG2rr */
   },
-  { /* 2877 */
-    0,
-    /*  */
+  { /* 2674 */
+    30,
+    /* SHA256RNDS2rm */
   },
-  { /* 2878 */
-    0,
-    /*  */
+  { /* 2675 */
+    31,
+    /* SHA256RNDS2rr */
   },
-  { /* 2879 */
-    2,
-    /* TEST16i16 */
+  { /* 2676 */
+    38,
+    /* SHL16m1 */
   },
-  { /* 2880 */
-    3,
-    /* TEST16mi */
+  { /* 2677 */
+    38,
+    /* SHL16mCL */
   },
-  { /* 2881 */
-    3,
-    /* TEST16mi_alt */
+  { /* 2678 */
+    284,
+    /* SHL16mi */
   },
-  { /* 2882 */
-    83,
-    /* TEST16ri */
+  { /* 2679 */
+    127,
+    /* SHL16r1 */
   },
-  { /* 2883 */
-    83,
-    /* TEST16ri_alt */
+  { /* 2680 */
+    127,
+    /* SHL16rCL */
   },
-  { /* 2884 */
-    5,
-    /* TEST16rm */
+  { /* 2681 */
+    285,
+    /* SHL16ri */
   },
-  { /* 2885 */
-    73,
-    /* TEST16rr */
+  { /* 2682 */
+    38,
+    /* SHL32m1 */
   },
-  { /* 2886 */
-    2,
-    /* TEST32i32 */
+  { /* 2683 */
+    38,
+    /* SHL32mCL */
   },
-  { /* 2887 */
-    3,
-    /* TEST32mi */
+  { /* 2684 */
+    284,
+    /* SHL32mi */
   },
-  { /* 2888 */
-    3,
-    /* TEST32mi_alt */
+  { /* 2685 */
+    127,
+    /* SHL32r1 */
   },
-  { /* 2889 */
-    83,
-    /* TEST32ri */
+  { /* 2686 */
+    127,
+    /* SHL32rCL */
   },
-  { /* 2890 */
-    83,
-    /* TEST32ri_alt */
+  { /* 2687 */
+    285,
+    /* SHL32ri */
   },
-  { /* 2891 */
-    5,
-    /* TEST32rm */
+  { /* 2688 */
+    38,
+    /* SHL64m1 */
   },
-  { /* 2892 */
-    73,
-    /* TEST32rr */
+  { /* 2689 */
+    38,
+    /* SHL64mCL */
   },
-  { /* 2893 */
-    13,
-    /* TEST64i32 */
+  { /* 2690 */
+    284,
+    /* SHL64mi */
   },
-  { /* 2894 */
-    14,
-    /* TEST64mi32 */
+  { /* 2691 */
+    128,
+    /* SHL64r1 */
   },
-  { /* 2895 */
-    14,
-    /* TEST64mi32_alt */
+  { /* 2692 */
+    128,
+    /* SHL64rCL */
   },
-  { /* 2896 */
-    84,
-    /* TEST64ri32 */
+  { /* 2693 */
+    286,
+    /* SHL64ri */
   },
-  { /* 2897 */
-    84,
-    /* TEST64ri32_alt */
+  { /* 2694 */
+    82,
+    /* SHL8m1 */
   },
-  { /* 2898 */
-    16,
-    /* TEST64rm */
+  { /* 2695 */
+    82,
+    /* SHL8mCL */
   },
-  { /* 2899 */
-    76,
-    /* TEST64rr */
+  { /* 2696 */
+    22,
+    /* SHL8mi */
   },
-  { /* 2900 */
-    1,
-    /* TEST8i8 */
+  { /* 2697 */
+    129,
+    /* SHL8r1 */
   },
-  { /* 2901 */
-    22,
-    /* TEST8mi */
+  { /* 2698 */
+    129,
+    /* SHL8rCL */
   },
-  { /* 2902 */
-    22,
-    /* TEST8mi_alt */
+  { /* 2699 */
+    24,
+    /* SHL8ri */
   },
-  { /* 2903 */
-    85,
-    /* TEST8ri */
+  { /* 2700 */
+    5,
+    /* SHLD16mrCL */
   },
-  { /* 2904 */
-    0,
-    /*  */
+  { /* 2701 */
+    297,
+    /* SHLD16mri8 */
   },
-  { /* 2905 */
-    85,
-    /* TEST8ri_alt */
+  { /* 2702 */
+    9,
+    /* SHLD16rrCL */
   },
-  { /* 2906 */
-    23,
-    /* TEST8rm */
+  { /* 2703 */
+    298,
+    /* SHLD16rri8 */
   },
-  { /* 2907 */
-    87,
-    /* TEST8rr */
+  { /* 2704 */
+    5,
+    /* SHLD32mrCL */
   },
-  { /* 2908 */
-    0,
-    /*  */
+  { /* 2705 */
+    297,
+    /* SHLD32mri8 */
   },
-  { /* 2909 */
-    0,
-    /*  */
+  { /* 2706 */
+    9,
+    /* SHLD32rrCL */
   },
-  { /* 2910 */
-    0,
-    /*  */
+  { /* 2707 */
+    298,
+    /* SHLD32rri8 */
   },
-  { /* 2911 */
-    0,
-    /*  */
+  { /* 2708 */
+    16,
+    /* SHLD64mrCL */
   },
-  { /* 2912 */
-    0,
-    /*  */
+  { /* 2709 */
+    299,
+    /* SHLD64mri8 */
   },
-  { /* 2913 */
-    0,
-    /*  */
+  { /* 2710 */
+    20,
+    /* SHLD64rrCL */
   },
-  { /* 2914 */
-    0,
-    /* TRAP */
+  { /* 2711 */
+    300,
+    /* SHLD64rri8 */
   },
-  { /* 2915 */
-    0,
-    /* TST_F */
+  { /* 2712 */
+    54,
+    /* SHLX32rm */
   },
-  { /* 2916 */
-    0,
-    /*  */
+  { /* 2713 */
+    55,
+    /* SHLX32rr */
   },
-  { /* 2917 */
-    0,
-    /*  */
+  { /* 2714 */
+    56,
+    /* SHLX64rm */
   },
-  { /* 2918 */
-    0,
-    /*  */
+  { /* 2715 */
+    57,
+    /* SHLX64rr */
   },
-  { /* 2919 */
-    68,
-    /* TZCNT16rm */
+  { /* 2716 */
+    38,
+    /* SHR16m1 */
   },
-  { /* 2920 */
-    69,
-    /* TZCNT16rr */
+  { /* 2717 */
+    38,
+    /* SHR16mCL */
   },
-  { /* 2921 */
-    68,
-    /* TZCNT32rm */
+  { /* 2718 */
+    284,
+    /* SHR16mi */
   },
-  { /* 2922 */
-    69,
-    /* TZCNT32rr */
+  { /* 2719 */
+    127,
+    /* SHR16r1 */
   },
-  { /* 2923 */
-    42,
-    /* TZCNT64rm */
+  { /* 2720 */
+    127,
+    /* SHR16rCL */
   },
-  { /* 2924 */
-    43,
-    /* TZCNT64rr */
+  { /* 2721 */
+    285,
+    /* SHR16ri */
   },
-  { /* 2925 */
-    62,
-    /* TZMSK32rm */
+  { /* 2722 */
+    38,
+    /* SHR32m1 */
   },
-  { /* 2926 */
-    63,
-    /* TZMSK32rr */
+  { /* 2723 */
+    38,
+    /* SHR32mCL */
   },
-  { /* 2927 */
-    64,
-    /* TZMSK64rm */
+  { /* 2724 */
+    284,
+    /* SHR32mi */
   },
-  { /* 2928 */
-    65,
-    /* TZMSK64rr */
+  { /* 2725 */
+    127,
+    /* SHR32r1 */
   },
-  { /* 2929 */
-    254,
-    /* UCOMISDrm */
+  { /* 2726 */
+    127,
+    /* SHR32rCL */
   },
-  { /* 2930 */
-    303,
-    /* UCOMISDrr */
+  { /* 2727 */
+    285,
+    /* SHR32ri */
   },
-  { /* 2931 */
-    258,
-    /* UCOMISSrm */
+  { /* 2728 */
+    38,
+    /* SHR64m1 */
   },
-  { /* 2932 */
-    287,
-    /* UCOMISSrr */
+  { /* 2729 */
+    38,
+    /* SHR64mCL */
   },
-  { /* 2933 */
-    39,
-    /* UCOM_FIPr */
+  { /* 2730 */
+    284,
+    /* SHR64mi */
   },
-  { /* 2934 */
-    39,
-    /* UCOM_FIr */
+  { /* 2731 */
+    128,
+    /* SHR64r1 */
   },
-  { /* 2935 */
-    0,
-    /* UCOM_FPPr */
+  { /* 2732 */
+    128,
+    /* SHR64rCL */
   },
-  { /* 2936 */
-    39,
-    /* UCOM_FPr */
+  { /* 2733 */
+    286,
+    /* SHR64ri */
   },
-  { /* 2937 */
-    0,
-    /*  */
+  { /* 2734 */
+    82,
+    /* SHR8m1 */
   },
-  { /* 2938 */
-    0,
-    /*  */
+  { /* 2735 */
+    82,
+    /* SHR8mCL */
   },
-  { /* 2939 */
-    0,
-    /*  */
+  { /* 2736 */
+    22,
+    /* SHR8mi */
   },
-  { /* 2940 */
-    0,
-    /*  */
+  { /* 2737 */
+    129,
+    /* SHR8r1 */
   },
-  { /* 2941 */
-    0,
-    /*  */
+  { /* 2738 */
+    129,
+    /* SHR8rCL */
   },
-  { /* 2942 */
-    0,
-    /*  */
+  { /* 2739 */
+    24,
+    /* SHR8ri */
   },
-  { /* 2943 */
-    39,
-    /* UCOM_Fr */
+  { /* 2740 */
+    5,
+    /* SHRD16mrCL */
   },
-  { /* 2944 */
-    0,
-    /* UD2B */
+  { /* 2741 */
+    297,
+    /* SHRD16mri8 */
   },
-  { /* 2945 */
-    30,
-    /* UNPCKHPDrm */
+  { /* 2742 */
+    9,
+    /* SHRD16rrCL */
   },
-  { /* 2946 */
-    31,
-    /* UNPCKHPDrr */
+  { /* 2743 */
+    298,
+    /* SHRD16rri8 */
   },
-  { /* 2947 */
-    30,
-    /* UNPCKHPSrm */
+  { /* 2744 */
+    5,
+    /* SHRD32mrCL */
   },
-  { /* 2948 */
-    31,
-    /* UNPCKHPSrr */
+  { /* 2745 */
+    297,
+    /* SHRD32mri8 */
   },
-  { /* 2949 */
-    30,
-    /* UNPCKLPDrm */
+  { /* 2746 */
+    9,
+    /* SHRD32rrCL */
   },
-  { /* 2950 */
-    31,
-    /* UNPCKLPDrr */
+  { /* 2747 */
+    298,
+    /* SHRD32rri8 */
   },
-  { /* 2951 */
-    30,
-    /* UNPCKLPSrm */
+  { /* 2748 */
+    16,
+    /* SHRD64mrCL */
   },
-  { /* 2952 */
-    31,
-    /* UNPCKLPSrr */
+  { /* 2749 */
+    299,
+    /* SHRD64mri8 */
   },
-  { /* 2953 */
-    0,
-    /*  */
+  { /* 2750 */
+    20,
+    /* SHRD64rrCL */
   },
-  { /* 2954 */
-    304,
-    /* VADDPDYrm */
+  { /* 2751 */
+    300,
+    /* SHRD64rri8 */
   },
-  { /* 2955 */
-    305,
-    /* VADDPDYrr */
+  { /* 2752 */
+    54,
+    /* SHRX32rm */
   },
-  { /* 2956 */
-    306,
-    /* VADDPDZrm */
+  { /* 2753 */
+    55,
+    /* SHRX32rr */
   },
-  { /* 2957 */
-    307,
-    /* VADDPDZrmb */
+  { /* 2754 */
+    56,
+    /* SHRX64rm */
   },
-  { /* 2958 */
-    308,
-    /* VADDPDZrmbk */
+  { /* 2755 */
+    57,
+    /* SHRX64rr */
   },
-  { /* 2959 */
-    308,
-    /* VADDPDZrmbkz */
+  { /* 2756 */
+    66,
+    /* SHUFPDrmi */
   },
-  { /* 2960 */
-    309,
-    /* VADDPDZrmk */
+  { /* 2757 */
+    67,
+    /* SHUFPDrri */
   },
-  { /* 2961 */
-    309,
-    /* VADDPDZrmkz */
+  { /* 2758 */
+    66,
+    /* SHUFPSrmi */
   },
-  { /* 2962 */
-    310,
-    /* VADDPDZrr */
+  { /* 2759 */
+    67,
+    /* SHUFPSrri */
   },
-  { /* 2963 */
-    311,
-    /* VADDPDZrrk */
+  { /* 2760 */
+    138,
+    /* SIDT16m */
   },
-  { /* 2964 */
-    311,
-    /* VADDPDZrrkz */
+  { /* 2761 */
+    138,
+    /* SIDT32m */
   },
-  { /* 2965 */
-    312,
-    /* VADDPDrm */
+  { /* 2762 */
+    139,
+    /* SIDT64m */
   },
-  { /* 2966 */
-    313,
-    /* VADDPDrr */
+  { /* 2763 */
+    0,
+    /* SIN_F */
   },
-  { /* 2967 */
-    304,
-    /* VADDPSYrm */
+  { /* 2764 */
+    0,
+    /*  */
   },
-  { /* 2968 */
-    305,
-    /* VADDPSYrr */
+  { /* 2765 */
+    0,
+    /*  */
   },
-  { /* 2969 */
-    306,
-    /* VADDPSZrm */
+  { /* 2766 */
+    0,
+    /*  */
   },
-  { /* 2970 */
-    314,
-    /* VADDPSZrmb */
+  { /* 2767 */
+    0,
+    /* SKINIT */
   },
-  { /* 2971 */
-    315,
-    /* VADDPSZrmbk */
+  { /* 2768 */
+    38,
+    /* SLDT16m */
   },
-  { /* 2972 */
-    315,
-    /* VADDPSZrmbkz */
+  { /* 2769 */
+    77,
+    /* SLDT16r */
   },
-  { /* 2973 */
-    316,
-    /* VADDPSZrmk */
+  { /* 2770 */
+    77,
+    /* SLDT32r */
   },
-  { /* 2974 */
-    316,
-    /* VADDPSZrmkz */
+  { /* 2771 */
+    38,
+    /* SLDT64m */
   },
-  { /* 2975 */
-    310,
-    /* VADDPSZrr */
+  { /* 2772 */
+    79,
+    /* SLDT64r */
   },
-  { /* 2976 */
-    317,
-    /* VADDPSZrrk */
+  { /* 2773 */
+    38,
+    /* SMSW16m */
   },
-  { /* 2977 */
-    317,
-    /* VADDPSZrrkz */
+  { /* 2774 */
+    77,
+    /* SMSW16r */
   },
-  { /* 2978 */
-    312,
-    /* VADDPSrm */
+  { /* 2775 */
+    77,
+    /* SMSW32r */
   },
-  { /* 2979 */
-    313,
-    /* VADDPSrr */
+  { /* 2776 */
+    79,
+    /* SMSW64r */
   },
-  { /* 2980 */
-    318,
-    /* VADDSDZrm */
+  { /* 2777 */
+    44,
+    /* SQRTPDm */
   },
-  { /* 2981 */
-    319,
-    /* VADDSDZrr */
+  { /* 2778 */
+    45,
+    /* SQRTPDr */
   },
-  { /* 2982 */
-    320,
-    /* VADDSDrm */
+  { /* 2779 */
+    44,
+    /* SQRTPSm */
   },
-  { /* 2983 */
+  { /* 2780 */
+    45,
+    /* SQRTPSr */
+  },
+  { /* 2781 */
+    257,
+    /* SQRTSDm */
+  },
+  { /* 2782 */
     0,
     /*  */
   },
-  { /* 2984 */
-    321,
-    /* VADDSDrr */
+  { /* 2783 */
+    301,
+    /* SQRTSDr */
   },
-  { /* 2985 */
+  { /* 2784 */
     0,
     /*  */
   },
-  { /* 2986 */
-    322,
-    /* VADDSSZrm */
+  { /* 2785 */
+    261,
+    /* SQRTSSm */
   },
-  { /* 2987 */
-    323,
-    /* VADDSSZrr */
+  { /* 2786 */
+    0,
+    /*  */
   },
-  { /* 2988 */
-    324,
-    /* VADDSSrm */
+  { /* 2787 */
+    287,
+    /* SQRTSSr */
   },
-  { /* 2989 */
+  { /* 2788 */
     0,
     /*  */
   },
-  { /* 2990 */
-    325,
-    /* VADDSSrr */
+  { /* 2789 */
+    0,
+    /* SQRT_F */
   },
-  { /* 2991 */
+  { /* 2790 */
     0,
     /*  */
   },
-  { /* 2992 */
-    304,
-    /* VADDSUBPDYrm */
+  { /* 2791 */
+    0,
+    /*  */
   },
-  { /* 2993 */
-    305,
-    /* VADDSUBPDYrr */
+  { /* 2792 */
+    0,
+    /*  */
   },
-  { /* 2994 */
-    312,
-    /* VADDSUBPDrm */
+  { /* 2793 */
+    0,
+    /* STAC */
   },
-  { /* 2995 */
-    313,
-    /* VADDSUBPDrr */
+  { /* 2794 */
+    0,
+    /* STC */
   },
-  { /* 2996 */
-    304,
-    /* VADDSUBPSYrm */
+  { /* 2795 */
+    0,
+    /* STD */
   },
-  { /* 2997 */
-    305,
-    /* VADDSUBPSYrr */
+  { /* 2796 */
+    0,
+    /* STGI */
   },
-  { /* 2998 */
-    312,
-    /* VADDSUBPSrm */
+  { /* 2797 */
+    0,
+    /* STI */
   },
-  { /* 2999 */
-    313,
-    /* VADDSUBPSrr */
+  { /* 2798 */
+    38,
+    /* STMXCSR */
   },
-  { /* 3000 */
-    312,
-    /* VAESDECLASTrm */
+  { /* 2799 */
+    149,
+    /* STOSB */
   },
-  { /* 3001 */
-    313,
-    /* VAESDECLASTrr */
+  { /* 2800 */
+    152,
+    /* STOSL */
   },
-  { /* 3002 */
-    312,
-    /* VAESDECrm */
+  { /* 2801 */
+    296,
+    /* STOSQ */
   },
-  { /* 3003 */
-    313,
-    /* VAESDECrr */
+  { /* 2802 */
+    153,
+    /* STOSW */
   },
-  { /* 3004 */
-    312,
-    /* VAESENCLASTrm */
+  { /* 2803 */
+    77,
+    /* STR16r */
   },
-  { /* 3005 */
-    313,
-    /* VAESENCLASTrr */
+  { /* 2804 */
+    77,
+    /* STR32r */
   },
-  { /* 3006 */
-    312,
-    /* VAESENCrm */
+  { /* 2805 */
+    79,
+    /* STR64r */
   },
-  { /* 3007 */
-    313,
-    /* VAESENCrr */
+  { /* 2806 */
+    38,
+    /* STRm */
   },
-  { /* 3008 */
-    44,
-    /* VAESIMCrm */
+  { /* 2807 */
+    36,
+    /* ST_F32m */
   },
-  { /* 3009 */
-    45,
-    /* VAESIMCrr */
+  { /* 2808 */
+    37,
+    /* ST_F64m */
   },
-  { /* 3010 */
-    46,
-    /* VAESKEYGENASSIST128rm */
+  { /* 2809 */
+    39,
+    /* ST_FCOMPST0r */
   },
-  { /* 3011 */
-    47,
-    /* VAESKEYGENASSIST128rr */
+  { /* 2810 */
+    39,
+    /* ST_FCOMPST0r_alt */
   },
-  { /* 3012 */
-    326,
-    /* VALIGNDrmi */
+  { /* 2811 */
+    39,
+    /* ST_FCOMST0r */
   },
-  { /* 3013 */
-    327,
-    /* VALIGNDrri */
+  { /* 2812 */
+    36,
+    /* ST_FP32m */
   },
-  { /* 3014 */
-    328,
-    /* VALIGNDrrik */
+  { /* 2813 */
+    37,
+    /* ST_FP64m */
   },
-  { /* 3015 */
-    329,
-    /* VALIGNDrrikz */
+  { /* 2814 */
+    189,
+    /* ST_FP80m */
   },
-  { /* 3016 */
-    326,
-    /* VALIGNQrmi */
+  { /* 2815 */
+    39,
+    /* ST_FPNCEST0r */
   },
-  { /* 3017 */
-    327,
-    /* VALIGNQrri */
+  { /* 2816 */
+    39,
+    /* ST_FPST0r */
   },
-  { /* 3018 */
-    330,
-    /* VALIGNQrrik */
+  { /* 2817 */
+    39,
+    /* ST_FPST0r_alt */
   },
-  { /* 3019 */
-    331,
-    /* VALIGNQrrikz */
+  { /* 2818 */
+    39,
+    /* ST_FPrr */
   },
-  { /* 3020 */
-    304,
-    /* VANDNPDYrm */
+  { /* 2819 */
+    39,
+    /* ST_FXCHST0r */
   },
-  { /* 3021 */
-    305,
-    /* VANDNPDYrr */
+  { /* 2820 */
+    39,
+    /* ST_FXCHST0r_alt */
   },
-  { /* 3022 */
-    312,
-    /* VANDNPDrm */
+  { /* 2821 */
+    0,
+    /*  */
   },
-  { /* 3023 */
-    313,
-    /* VANDNPDrr */
+  { /* 2822 */
+    0,
+    /*  */
   },
-  { /* 3024 */
-    304,
-    /* VANDNPSYrm */
+  { /* 2823 */
+    0,
+    /*  */
   },
-  { /* 3025 */
-    305,
-    /* VANDNPSYrr */
+  { /* 2824 */
+    0,
+    /*  */
   },
-  { /* 3026 */
-    312,
-    /* VANDNPSrm */
+  { /* 2825 */
+    0,
+    /*  */
   },
-  { /* 3027 */
-    313,
-    /* VANDNPSrr */
+  { /* 2826 */
+    0,
+    /*  */
   },
-  { /* 3028 */
-    304,
-    /* VANDPDYrm */
+  { /* 2827 */
+    0,
+    /*  */
   },
-  { /* 3029 */
-    305,
-    /* VANDPDYrr */
+  { /* 2828 */
+    0,
+    /*  */
   },
-  { /* 3030 */
-    312,
-    /* VANDPDrm */
+  { /* 2829 */
+    0,
+    /*  */
   },
-  { /* 3031 */
-    313,
-    /* VANDPDrr */
+  { /* 2830 */
+    0,
+    /*  */
   },
-  { /* 3032 */
-    304,
-    /* VANDPSYrm */
+  { /* 2831 */
+    0,
+    /*  */
   },
-  { /* 3033 */
-    305,
-    /* VANDPSYrr */
+  { /* 2832 */
+    39,
+    /* ST_Frr */
   },
-  { /* 3034 */
-    312,
-    /* VANDPSrm */
+  { /* 2833 */
+    2,
+    /* SUB16i16 */
   },
-  { /* 3035 */
-    313,
-    /* VANDPSrr */
+  { /* 2834 */
+    3,
+    /* SUB16mi */
   },
-  { /* 3036 */
-    0,
-    /*  */
+  { /* 2835 */
+    4,
+    /* SUB16mi8 */
   },
-  { /* 3037 */
-    309,
-    /* VBLENDMPDZrm */
+  { /* 2836 */
+    5,
+    /* SUB16mr */
   },
-  { /* 3038 */
-    311,
-    /* VBLENDMPDZrr */
+  { /* 2837 */
+    6,
+    /* SUB16ri */
   },
-  { /* 3039 */
-    316,
-    /* VBLENDMPSZrm */
+  { /* 2838 */
+    7,
+    /* SUB16ri8 */
   },
-  { /* 3040 */
-    317,
-    /* VBLENDMPSZrr */
+  { /* 2839 */
+    8,
+    /* SUB16rm */
   },
-  { /* 3041 */
-    332,
-    /* VBLENDPDYrmi */
+  { /* 2840 */
+    9,
+    /* SUB16rr */
   },
-  { /* 3042 */
-    333,
-    /* VBLENDPDYrri */
+  { /* 2841 */
+    10,
+    /* SUB16rr_REV */
   },
-  { /* 3043 */
-    334,
-    /* VBLENDPDrmi */
+  { /* 2842 */
+    2,
+    /* SUB32i32 */
   },
-  { /* 3044 */
-    335,
-    /* VBLENDPDrri */
+  { /* 2843 */
+    3,
+    /* SUB32mi */
   },
-  { /* 3045 */
-    332,
-    /* VBLENDPSYrmi */
+  { /* 2844 */
+    11,
+    /* SUB32mi8 */
   },
-  { /* 3046 */
-    333,
-    /* VBLENDPSYrri */
+  { /* 2845 */
+    5,
+    /* SUB32mr */
   },
-  { /* 3047 */
-    334,
-    /* VBLENDPSrmi */
+  { /* 2846 */
+    6,
+    /* SUB32ri */
   },
-  { /* 3048 */
-    335,
-    /* VBLENDPSrri */
+  { /* 2847 */
+    12,
+    /* SUB32ri8 */
   },
-  { /* 3049 */
-    336,
-    /* VBLENDVPDYrm */
+  { /* 2848 */
+    8,
+    /* SUB32rm */
   },
-  { /* 3050 */
-    337,
-    /* VBLENDVPDYrr */
+  { /* 2849 */
+    9,
+    /* SUB32rr */
   },
-  { /* 3051 */
-    338,
-    /* VBLENDVPDrm */
+  { /* 2850 */
+    10,
+    /* SUB32rr_REV */
   },
-  { /* 3052 */
-    339,
-    /* VBLENDVPDrr */
+  { /* 2851 */
+    13,
+    /* SUB64i32 */
   },
-  { /* 3053 */
-    336,
-    /* VBLENDVPSYrm */
+  { /* 2852 */
+    14,
+    /* SUB64mi32 */
   },
-  { /* 3054 */
-    337,
-    /* VBLENDVPSYrr */
+  { /* 2853 */
+    15,
+    /* SUB64mi8 */
   },
-  { /* 3055 */
-    338,
-    /* VBLENDVPSrm */
+  { /* 2854 */
+    16,
+    /* SUB64mr */
   },
-  { /* 3056 */
-    339,
-    /* VBLENDVPSrr */
+  { /* 2855 */
+    17,
+    /* SUB64ri32 */
   },
-  { /* 3057 */
-    340,
-    /* VBROADCASTF128 */
+  { /* 2856 */
+    18,
+    /* SUB64ri8 */
   },
-  { /* 3058 */
-    340,
-    /* VBROADCASTI128 */
+  { /* 2857 */
+    19,
+    /* SUB64rm */
   },
-  { /* 3059 */
-    341,
-    /* VBROADCASTI32X4krm */
+  { /* 2858 */
+    20,
+    /* SUB64rr */
   },
-  { /* 3060 */
-    342,
-    /* VBROADCASTI32X4rm */
+  { /* 2859 */
+    21,
+    /* SUB64rr_REV */
   },
-  { /* 3061 */
-    343,
-    /* VBROADCASTI64X4krm */
+  { /* 2860 */
+    1,
+    /* SUB8i8 */
   },
-  { /* 3062 */
-    344,
-    /* VBROADCASTI64X4rm */
+  { /* 2861 */
+    22,
+    /* SUB8mi */
   },
-  { /* 3063 */
-    345,
-    /* VBROADCASTSDYrm */
+  { /* 2862 */
+    22,
+    /* SUB8mi8 */
   },
-  { /* 3064 */
-    346,
-    /* VBROADCASTSDYrr */
+  { /* 2863 */
+    23,
+    /* SUB8mr */
   },
-  { /* 3065 */
-    347,
-    /* VBROADCASTSDZrm */
+  { /* 2864 */
+    24,
+    /* SUB8ri */
   },
-  { /* 3066 */
-    348,
-    /* VBROADCASTSDZrr */
+  { /* 2865 */
+    24,
+    /* SUB8ri8 */
   },
-  { /* 3067 */
-    349,
-    /* VBROADCASTSSYrm */
+  { /* 2866 */
+    25,
+    /* SUB8rm */
   },
-  { /* 3068 */
-    346,
-    /* VBROADCASTSSYrr */
+  { /* 2867 */
+    26,
+    /* SUB8rr */
   },
-  { /* 3069 */
-    350,
-    /* VBROADCASTSSZrm */
+  { /* 2868 */
+    27,
+    /* SUB8rr_REV */
   },
-  { /* 3070 */
-    351,
-    /* VBROADCASTSSZrr */
+  { /* 2869 */
+    30,
+    /* SUBPDrm */
   },
-  { /* 3071 */
-    352,
-    /* VBROADCASTSSrm */
+  { /* 2870 */
+    31,
+    /* SUBPDrr */
   },
-  { /* 3072 */
-    45,
-    /* VBROADCASTSSrr */
+  { /* 2871 */
+    30,
+    /* SUBPSrm */
   },
-  { /* 3073 */
-    353,
-    /* VCMPPDYrmi */
+  { /* 2872 */
+    31,
+    /* SUBPSrr */
   },
-  { /* 3074 */
+  { /* 2873 */
+    36,
+    /* SUBR_F32m */
+  },
+  { /* 2874 */
+    37,
+    /* SUBR_F64m */
+  },
+  { /* 2875 */
+    38,
+    /* SUBR_FI16m */
+  },
+  { /* 2876 */
+    38,
+    /* SUBR_FI32m */
+  },
+  { /* 2877 */
+    39,
+    /* SUBR_FPrST0 */
+  },
+  { /* 2878 */
+    39,
+    /* SUBR_FST0r */
+  },
+  { /* 2879 */
     0,
     /*  */
   },
-  { /* 3075 */
-    354,
-    /* VCMPPDYrri */
-  },
-  { /* 3076 */
+  { /* 2880 */
     0,
     /*  */
   },
-  { /* 3077 */
-    355,
-    /* VCMPPDZrmi */
+  { /* 2881 */
+    0,
+    /*  */
   },
-  { /* 3078 */
+  { /* 2882 */
     0,
     /*  */
   },
-  { /* 3079 */
-    356,
-    /* VCMPPDZrri */
+  { /* 2883 */
+    0,
+    /*  */
   },
-  { /* 3080 */
+  { /* 2884 */
     0,
     /*  */
   },
-  { /* 3081 */
-    357,
-    /* VCMPPDZrrib */
+  { /* 2885 */
+    0,
+    /*  */
   },
-  { /* 3082 */
-    358,
-    /* VCMPPDrmi */
+  { /* 2886 */
+    0,
+    /*  */
   },
-  { /* 3083 */
+  { /* 2887 */
     0,
     /*  */
   },
-  { /* 3084 */
-    359,
-    /* VCMPPDrri */
+  { /* 2888 */
+    0,
+    /*  */
   },
-  { /* 3085 */
+  { /* 2889 */
     0,
     /*  */
   },
-  { /* 3086 */
-    353,
-    /* VCMPPSYrmi */
+  { /* 2890 */
+    39,
+    /* SUBR_FrST0 */
   },
-  { /* 3087 */
+  { /* 2891 */
+    32,
+    /* SUBSDrm */
+  },
+  { /* 2892 */
     0,
     /*  */
   },
-  { /* 3088 */
-    354,
-    /* VCMPPSYrri */
+  { /* 2893 */
+    33,
+    /* SUBSDrr */
   },
-  { /* 3089 */
+  { /* 2894 */
     0,
     /*  */
   },
-  { /* 3090 */
-    360,
-    /* VCMPPSZrmi */
+  { /* 2895 */
+    34,
+    /* SUBSSrm */
   },
-  { /* 3091 */
+  { /* 2896 */
     0,
     /*  */
   },
-  { /* 3092 */
-    361,
-    /* VCMPPSZrri */
+  { /* 2897 */
+    35,
+    /* SUBSSrr */
   },
-  { /* 3093 */
+  { /* 2898 */
     0,
     /*  */
   },
-  { /* 3094 */
-    362,
-    /* VCMPPSZrrib */
+  { /* 2899 */
+    36,
+    /* SUB_F32m */
   },
-  { /* 3095 */
-    358,
-    /* VCMPPSrmi */
+  { /* 2900 */
+    37,
+    /* SUB_F64m */
   },
-  { /* 3096 */
-    0,
-    /*  */
+  { /* 2901 */
+    38,
+    /* SUB_FI16m */
   },
-  { /* 3097 */
-    359,
-    /* VCMPPSrri */
+  { /* 2902 */
+    38,
+    /* SUB_FI32m */
   },
-  { /* 3098 */
-    0,
-    /*  */
+  { /* 2903 */
+    39,
+    /* SUB_FPrST0 */
   },
-  { /* 3099 */
-    363,
-    /* VCMPSDZrm */
+  { /* 2904 */
+    39,
+    /* SUB_FST0r */
   },
-  { /* 3100 */
+  { /* 2905 */
     0,
     /*  */
   },
-  { /* 3101 */
-    364,
-    /* VCMPSDZrr */
-  },
-  { /* 3102 */
+  { /* 2906 */
     0,
     /*  */
   },
-  { /* 3103 */
-    365,
-    /* VCMPSDrm */
-  },
-  { /* 3104 */
+  { /* 2907 */
     0,
     /*  */
   },
-  { /* 3105 */
-    366,
-    /* VCMPSDrr */
+  { /* 2908 */
+    0,
+    /*  */
   },
-  { /* 3106 */
+  { /* 2909 */
     0,
     /*  */
   },
-  { /* 3107 */
-    367,
-    /* VCMPSSZrm */
+  { /* 2910 */
+    0,
+    /*  */
   },
-  { /* 3108 */
+  { /* 2911 */
     0,
     /*  */
   },
-  { /* 3109 */
-    368,
-    /* VCMPSSZrr */
+  { /* 2912 */
+    0,
+    /*  */
   },
-  { /* 3110 */
+  { /* 2913 */
     0,
     /*  */
   },
-  { /* 3111 */
-    369,
-    /* VCMPSSrm */
+  { /* 2914 */
+    0,
+    /*  */
   },
-  { /* 3112 */
+  { /* 2915 */
     0,
     /*  */
   },
-  { /* 3113 */
-    370,
-    /* VCMPSSrr */
+  { /* 2916 */
+    0,
+    /*  */
   },
-  { /* 3114 */
+  { /* 2917 */
     0,
     /*  */
   },
-  { /* 3115 */
-    371,
-    /* VCOMISDZrm */
+  { /* 2918 */
+    0,
+    /*  */
   },
-  { /* 3116 */
-    372,
-    /* VCOMISDZrr */
+  { /* 2919 */
+    39,
+    /* SUB_FrST0 */
   },
-  { /* 3117 */
-    44,
-    /* VCOMISDrm */
+  { /* 2920 */
+    0,
+    /* SWAPGS */
   },
-  { /* 3118 */
-    45,
-    /* VCOMISDrr */
+  { /* 2921 */
+    0,
+    /* SYSCALL */
   },
-  { /* 3119 */
-    373,
-    /* VCOMISSZrm */
+  { /* 2922 */
+    0,
+    /* SYSENTER */
   },
-  { /* 3120 */
-    374,
-    /* VCOMISSZrr */
+  { /* 2923 */
+    0,
+    /* SYSEXIT */
   },
-  { /* 3121 */
-    44,
-    /* VCOMISSrm */
+  { /* 2924 */
+    0,
+    /* SYSEXIT64 */
   },
-  { /* 3122 */
-    45,
-    /* VCOMISSrr */
+  { /* 2925 */
+    0,
+    /* SYSRET */
   },
-  { /* 3123 */
-    340,
-    /* VCVTDQ2PDYrm */
+  { /* 2926 */
+    0,
+    /* SYSRET64 */
   },
-  { /* 3124 */
-    346,
-    /* VCVTDQ2PDYrr */
+  { /* 2927 */
+    62,
+    /* T1MSKC32rm */
   },
-  { /* 3125 */
-    344,
-    /* VCVTDQ2PDZrm */
+  { /* 2928 */
+    63,
+    /* T1MSKC32rr */
   },
-  { /* 3126 */
-    375,
-    /* VCVTDQ2PDZrr */
+  { /* 2929 */
+    64,
+    /* T1MSKC64rm */
   },
-  { /* 3127 */
-    105,
-    /* VCVTDQ2PDrm */
+  { /* 2930 */
+    65,
+    /* T1MSKC64rr */
   },
-  { /* 3128 */
-    45,
-    /* VCVTDQ2PDrr */
+  { /* 2931 */
+    0,
+    /*  */
   },
-  { /* 3129 */
-    376,
-    /* VCVTDQ2PSYrm */
+  { /* 2932 */
+    0,
+    /*  */
   },
-  { /* 3130 */
-    377,
-    /* VCVTDQ2PSYrr */
+  { /* 2933 */
+    0,
+    /*  */
   },
-  { /* 3131 */
-    378,
-    /* VCVTDQ2PSZrm */
+  { /* 2934 */
+    0,
+    /*  */
   },
-  { /* 3132 */
-    379,
-    /* VCVTDQ2PSZrr */
+  { /* 2935 */
+    0,
+    /*  */
   },
-  { /* 3133 */
-    380,
-    /* VCVTDQ2PSZrrb */
+  { /* 2936 */
+    0,
+    /*  */
   },
-  { /* 3134 */
-    44,
-    /* VCVTDQ2PSrm */
+  { /* 2937 */
+    0,
+    /*  */
   },
-  { /* 3135 */
-    45,
-    /* VCVTDQ2PSrr */
+  { /* 2938 */
+    0,
+    /*  */
   },
-  { /* 3136 */
-    44,
-    /* VCVTPD2DQXrm */
+  { /* 2939 */
+    0,
+    /*  */
   },
-  { /* 3137 */
-    381,
-    /* VCVTPD2DQYrm */
+  { /* 2940 */
+    0,
+    /*  */
   },
-  { /* 3138 */
-    382,
-    /* VCVTPD2DQYrr */
+  { /* 2941 */
+    0,
+    /*  */
   },
-  { /* 3139 */
-    383,
-    /* VCVTPD2DQZrm */
+  { /* 2942 */
+    0,
+    /*  */
   },
-  { /* 3140 */
-    384,
-    /* VCVTPD2DQZrr */
+  { /* 2943 */
+    0,
+    /*  */
   },
-  { /* 3141 */
-    385,
-    /* VCVTPD2DQZrrb */
+  { /* 2944 */
+    0,
+    /*  */
   },
-  { /* 3142 */
-    45,
-    /* VCVTPD2DQrr */
+  { /* 2945 */
+    0,
+    /*  */
   },
-  { /* 3143 */
-    44,
-    /* VCVTPD2PSXrm */
+  { /* 2946 */
+    2,
+    /* TEST16i16 */
   },
-  { /* 3144 */
-    381,
-    /* VCVTPD2PSYrm */
+  { /* 2947 */
+    3,
+    /* TEST16mi */
   },
-  { /* 3145 */
-    382,
-    /* VCVTPD2PSYrr */
+  { /* 2948 */
+    3,
+    /* TEST16mi_alt */
   },
-  { /* 3146 */
-    383,
-    /* VCVTPD2PSZrm */
+  { /* 2949 */
+    83,
+    /* TEST16ri */
   },
-  { /* 3147 */
-    384,
-    /* VCVTPD2PSZrr */
+  { /* 2950 */
+    83,
+    /* TEST16ri_alt */
   },
-  { /* 3148 */
-    385,
-    /* VCVTPD2PSZrrb */
+  { /* 2951 */
+    68,
+    /* TEST16rm */
   },
-  { /* 3149 */
-    45,
-    /* VCVTPD2PSrr */
+  { /* 2952 */
+    73,
+    /* TEST16rr */
   },
-  { /* 3150 */
-    383,
-    /* VCVTPD2UDQZrm */
+  { /* 2953 */
+    2,
+    /* TEST32i32 */
   },
-  { /* 3151 */
-    384,
-    /* VCVTPD2UDQZrr */
+  { /* 2954 */
+    3,
+    /* TEST32mi */
   },
-  { /* 3152 */
-    385,
-    /* VCVTPD2UDQZrrb */
+  { /* 2955 */
+    3,
+    /* TEST32mi_alt */
   },
-  { /* 3153 */
-    340,
-    /* VCVTPH2PSYrm */
+  { /* 2956 */
+    83,
+    /* TEST32ri */
   },
-  { /* 3154 */
-    346,
-    /* VCVTPH2PSYrr */
+  { /* 2957 */
+    83,
+    /* TEST32ri_alt */
   },
-  { /* 3155 */
-    344,
-    /* VCVTPH2PSZrm */
+  { /* 2958 */
+    68,
+    /* TEST32rm */
   },
-  { /* 3156 */
-    375,
-    /* VCVTPH2PSZrr */
+  { /* 2959 */
+    73,
+    /* TEST32rr */
   },
-  { /* 3157 */
-    106,
-    /* VCVTPH2PSrm */
+  { /* 2960 */
+    13,
+    /* TEST64i32 */
   },
-  { /* 3158 */
-    45,
-    /* VCVTPH2PSrr */
+  { /* 2961 */
+    14,
+    /* TEST64mi32 */
   },
-  { /* 3159 */
-    376,
-    /* VCVTPS2DQYrm */
+  { /* 2962 */
+    14,
+    /* TEST64mi32_alt */
   },
-  { /* 3160 */
-    377,
-    /* VCVTPS2DQYrr */
+  { /* 2963 */
+    84,
+    /* TEST64ri32 */
   },
-  { /* 3161 */
-    378,
-    /* VCVTPS2DQZrm */
+  { /* 2964 */
+    84,
+    /* TEST64ri32_alt */
   },
-  { /* 3162 */
-    379,
-    /* VCVTPS2DQZrr */
+  { /* 2965 */
+    42,
+    /* TEST64rm */
   },
-  { /* 3163 */
-    380,
-    /* VCVTPS2DQZrrb */
+  { /* 2966 */
+    76,
+    /* TEST64rr */
   },
-  { /* 3164 */
-    44,
-    /* VCVTPS2DQrm */
+  { /* 2967 */
+    1,
+    /* TEST8i8 */
   },
-  { /* 3165 */
-    45,
-    /* VCVTPS2DQrr */
+  { /* 2968 */
+    22,
+    /* TEST8mi */
   },
-  { /* 3166 */
-    340,
-    /* VCVTPS2PDYrm */
+  { /* 2969 */
+    22,
+    /* TEST8mi_alt */
   },
-  { /* 3167 */
-    346,
-    /* VCVTPS2PDYrr */
+  { /* 2970 */
+    85,
+    /* TEST8ri */
   },
-  { /* 3168 */
-    344,
-    /* VCVTPS2PDZrm */
+  { /* 2971 */
+    0,
+    /*  */
   },
-  { /* 3169 */
-    375,
-    /* VCVTPS2PDZrr */
+  { /* 2972 */
+    85,
+    /* TEST8ri_alt */
   },
-  { /* 3170 */
-    106,
-    /* VCVTPS2PDrm */
+  { /* 2973 */
+    86,
+    /* TEST8rm */
   },
-  { /* 3171 */
-    45,
-    /* VCVTPS2PDrr */
+  { /* 2974 */
+    87,
+    /* TEST8rr */
   },
-  { /* 3172 */
-    386,
-    /* VCVTPS2PHYmr */
+  { /* 2975 */
+    0,
+    /*  */
   },
-  { /* 3173 */
-    387,
-    /* VCVTPS2PHYrr */
+  { /* 2976 */
+    0,
+    /*  */
   },
-  { /* 3174 */
-    388,
-    /* VCVTPS2PHZmr */
+  { /* 2977 */
+    0,
+    /*  */
   },
-  { /* 3175 */
-    389,
-    /* VCVTPS2PHZrr */
+  { /* 2978 */
+    0,
+    /*  */
   },
-  { /* 3176 */
-    390,
-    /* VCVTPS2PHmr */
+  { /* 2979 */
+    0,
+    /*  */
   },
-  { /* 3177 */
-    391,
-    /* VCVTPS2PHrr */
+  { /* 2980 */
+    0,
+    /*  */
   },
-  { /* 3178 */
-    378,
-    /* VCVTPS2UDQZrm */
+  { /* 2981 */
+    0,
+    /* TRAP */
   },
-  { /* 3179 */
-    379,
-    /* VCVTPS2UDQZrr */
+  { /* 2982 */
+    0,
+    /* TST_F */
   },
-  { /* 3180 */
-    380,
-    /* VCVTPS2UDQZrrb */
+  { /* 2983 */
+    0,
+    /*  */
   },
-  { /* 3181 */
-    392,
-    /* VCVTSD2SI64Zrm */
+  { /* 2984 */
+    0,
+    /*  */
   },
-  { /* 3182 */
-    393,
-    /* VCVTSD2SI64Zrr */
+  { /* 2985 */
+    0,
+    /*  */
   },
-  { /* 3183 */
-    107,
-    /* VCVTSD2SI64rm */
+  { /* 2986 */
+    68,
+    /* TZCNT16rm */
   },
-  { /* 3184 */
-    108,
-    /* VCVTSD2SI64rr */
+  { /* 2987 */
+    69,
+    /* TZCNT16rr */
   },
-  { /* 3185 */
-    394,
-    /* VCVTSD2SIZrm */
+  { /* 2988 */
+    68,
+    /* TZCNT32rm */
   },
-  { /* 3186 */
-    395,
-    /* VCVTSD2SIZrr */
+  { /* 2989 */
+    69,
+    /* TZCNT32rr */
   },
-  { /* 3187 */
-    109,
-    /* VCVTSD2SIrm */
+  { /* 2990 */
+    42,
+    /* TZCNT64rm */
   },
-  { /* 3188 */
-    110,
-    /* VCVTSD2SIrr */
+  { /* 2991 */
+    43,
+    /* TZCNT64rr */
   },
-  { /* 3189 */
-    396,
-    /* VCVTSD2SSZrm */
+  { /* 2992 */
+    62,
+    /* TZMSK32rm */
   },
-  { /* 3190 */
-    397,
-    /* VCVTSD2SSZrr */
+  { /* 2993 */
+    63,
+    /* TZMSK32rr */
   },
-  { /* 3191 */
-    398,
-    /* VCVTSD2SSrm */
+  { /* 2994 */
+    64,
+    /* TZMSK64rm */
   },
-  { /* 3192 */
-    399,
-    /* VCVTSD2SSrr */
+  { /* 2995 */
+    65,
+    /* TZMSK64rr */
   },
-  { /* 3193 */
-    392,
-    /* VCVTSD2USI64Zrm */
+  { /* 2996 */
+    257,
+    /* UCOMISDrm */
   },
-  { /* 3194 */
-    393,
-    /* VCVTSD2USI64Zrr */
+  { /* 2997 */
+    301,
+    /* UCOMISDrr */
   },
-  { /* 3195 */
-    394,
-    /* VCVTSD2USIZrm */
+  { /* 2998 */
+    261,
+    /* UCOMISSrm */
   },
-  { /* 3196 */
-    395,
-    /* VCVTSD2USIZrr */
+  { /* 2999 */
+    287,
+    /* UCOMISSrr */
   },
-  { /* 3197 */
-    400,
-    /* VCVTSI2SD64rm */
+  { /* 3000 */
+    39,
+    /* UCOM_FIPr */
   },
-  { /* 3198 */
-    401,
-    /* VCVTSI2SD64rr */
+  { /* 3001 */
+    39,
+    /* UCOM_FIr */
   },
-  { /* 3199 */
-    402,
-    /* VCVTSI2SDZrm */
+  { /* 3002 */
+    0,
+    /* UCOM_FPPr */
   },
-  { /* 3200 */
-    403,
-    /* VCVTSI2SDZrr */
+  { /* 3003 */
+    39,
+    /* UCOM_FPr */
   },
-  { /* 3201 */
-    400,
-    /* VCVTSI2SDrm */
+  { /* 3004 */
+    0,
+    /*  */
   },
-  { /* 3202 */
-    404,
-    /* VCVTSI2SDrr */
+  { /* 3005 */
+    0,
+    /*  */
   },
-  { /* 3203 */
-    405,
-    /* VCVTSI2SS64rm */
+  { /* 3006 */
+    0,
+    /*  */
   },
-  { /* 3204 */
-    406,
-    /* VCVTSI2SS64rr */
+  { /* 3007 */
+    0,
+    /*  */
   },
-  { /* 3205 */
-    407,
-    /* VCVTSI2SSZrm */
+  { /* 3008 */
+    0,
+    /*  */
   },
-  { /* 3206 */
-    408,
-    /* VCVTSI2SSZrr */
+  { /* 3009 */
+    0,
+    /*  */
   },
-  { /* 3207 */
-    405,
-    /* VCVTSI2SSrm */
+  { /* 3010 */
+    39,
+    /* UCOM_Fr */
   },
-  { /* 3208 */
-    409,
-    /* VCVTSI2SSrr */
+  { /* 3011 */
+    0,
+    /* UD2B */
   },
-  { /* 3209 */
-    410,
-    /* VCVTSI642SDZrm */
+  { /* 3012 */
+    30,
+    /* UNPCKHPDrm */
   },
-  { /* 3210 */
-    411,
-    /* VCVTSI642SDZrr */
+  { /* 3013 */
+    31,
+    /* UNPCKHPDrr */
   },
-  { /* 3211 */
-    412,
-    /* VCVTSI642SSZrm */
+  { /* 3014 */
+    30,
+    /* UNPCKHPSrm */
   },
-  { /* 3212 */
-    413,
-    /* VCVTSI642SSZrr */
+  { /* 3015 */
+    31,
+    /* UNPCKHPSrr */
   },
-  { /* 3213 */
-    414,
-    /* VCVTSS2SDZrm */
+  { /* 3016 */
+    30,
+    /* UNPCKLPDrm */
   },
-  { /* 3214 */
-    415,
-    /* VCVTSS2SDZrr */
+  { /* 3017 */
+    31,
+    /* UNPCKLPDrr */
   },
-  { /* 3215 */
-    416,
-    /* VCVTSS2SDrm */
+  { /* 3018 */
+    30,
+    /* UNPCKLPSrm */
   },
-  { /* 3216 */
-    417,
-    /* VCVTSS2SDrr */
+  { /* 3019 */
+    31,
+    /* UNPCKLPSrr */
   },
-  { /* 3217 */
-    418,
-    /* VCVTSS2SI64Zrm */
+  { /* 3020 */
+    0,
+    /*  */
   },
-  { /* 3218 */
-    419,
-    /* VCVTSS2SI64Zrr */
+  { /* 3021 */
+    302,
+    /* VADDPDYrm */
   },
-  { /* 3219 */
-    121,
-    /* VCVTSS2SI64rm */
+  { /* 3022 */
+    303,
+    /* VADDPDYrr */
   },
-  { /* 3220 */
-    108,
-    /* VCVTSS2SI64rr */
+  { /* 3023 */
+    304,
+    /* VADDPDZ128rm */
   },
-  { /* 3221 */
-    420,
-    /* VCVTSS2SIZrm */
+  { /* 3024 */
+    305,
+    /* VADDPDZ128rmb */
   },
-  { /* 3222 */
-    421,
-    /* VCVTSS2SIZrr */
+  { /* 3025 */
+    306,
+    /* VADDPDZ128rmbk */
   },
-  { /* 3223 */
-    122,
-    /* VCVTSS2SIrm */
+  { /* 3026 */
+    307,
+    /* VADDPDZ128rmbkz */
   },
-  { /* 3224 */
-    110,
-    /* VCVTSS2SIrr */
+  { /* 3027 */
+    308,
+    /* VADDPDZ128rmk */
   },
-  { /* 3225 */
-    418,
-    /* VCVTSS2USI64Zrm */
+  { /* 3028 */
+    309,
+    /* VADDPDZ128rmkz */
   },
-  { /* 3226 */
-    419,
-    /* VCVTSS2USI64Zrr */
+  { /* 3029 */
+    310,
+    /* VADDPDZ128rr */
   },
-  { /* 3227 */
-    420,
-    /* VCVTSS2USIZrm */
+  { /* 3030 */
+    311,
+    /* VADDPDZ128rrk */
   },
-  { /* 3228 */
-    421,
-    /* VCVTSS2USIZrr */
+  { /* 3031 */
+    312,
+    /* VADDPDZ128rrkz */
   },
-  { /* 3229 */
-    44,
-    /* VCVTTPD2DQXrm */
+  { /* 3032 */
+    313,
+    /* VADDPDZ256rm */
   },
-  { /* 3230 */
-    381,
-    /* VCVTTPD2DQYrm */
+  { /* 3033 */
+    314,
+    /* VADDPDZ256rmb */
   },
-  { /* 3231 */
-    382,
-    /* VCVTTPD2DQYrr */
+  { /* 3034 */
+    315,
+    /* VADDPDZ256rmbk */
   },
-  { /* 3232 */
-    383,
-    /* VCVTTPD2DQZrm */
+  { /* 3035 */
+    316,
+    /* VADDPDZ256rmbkz */
   },
-  { /* 3233 */
-    384,
-    /* VCVTTPD2DQZrr */
+  { /* 3036 */
+    317,
+    /* VADDPDZ256rmk */
   },
-  { /* 3234 */
-    45,
-    /* VCVTTPD2DQrr */
+  { /* 3037 */
+    318,
+    /* VADDPDZ256rmkz */
   },
-  { /* 3235 */
-    383,
-    /* VCVTTPD2UDQZrm */
+  { /* 3038 */
+    319,
+    /* VADDPDZ256rr */
   },
-  { /* 3236 */
-    384,
-    /* VCVTTPD2UDQZrr */
+  { /* 3039 */
+    320,
+    /* VADDPDZ256rrk */
   },
-  { /* 3237 */
-    376,
-    /* VCVTTPS2DQYrm */
+  { /* 3040 */
+    321,
+    /* VADDPDZ256rrkz */
   },
-  { /* 3238 */
-    377,
-    /* VCVTTPS2DQYrr */
+  { /* 3041 */
+    322,
+    /* VADDPDZrb */
   },
-  { /* 3239 */
-    378,
-    /* VCVTTPS2DQZrm */
+  { /* 3042 */
+    323,
+    /* VADDPDZrbk */
   },
-  { /* 3240 */
-    379,
-    /* VCVTTPS2DQZrr */
+  { /* 3043 */
+    324,
+    /* VADDPDZrbkz */
   },
-  { /* 3241 */
-    44,
-    /* VCVTTPS2DQrm */
+  { /* 3044 */
+    325,
+    /* VADDPDZrm */
   },
-  { /* 3242 */
-    45,
-    /* VCVTTPS2DQrr */
+  { /* 3045 */
+    326,
+    /* VADDPDZrmb */
   },
-  { /* 3243 */
-    378,
-    /* VCVTTPS2UDQZrm */
+  { /* 3046 */
+    327,
+    /* VADDPDZrmbk */
   },
-  { /* 3244 */
-    379,
-    /* VCVTTPS2UDQZrr */
+  { /* 3047 */
+    328,
+    /* VADDPDZrmbkz */
   },
-  { /* 3245 */
-    392,
-    /* VCVTTSD2SI64Zrm */
+  { /* 3048 */
+    329,
+    /* VADDPDZrmk */
   },
-  { /* 3246 */
-    422,
-    /* VCVTTSD2SI64Zrr */
+  { /* 3049 */
+    330,
+    /* VADDPDZrmkz */
   },
-  { /* 3247 */
-    107,
-    /* VCVTTSD2SI64rm */
+  { /* 3050 */
+    331,
+    /* VADDPDZrr */
   },
-  { /* 3248 */
-    123,
-    /* VCVTTSD2SI64rr */
+  { /* 3051 */
+    332,
+    /* VADDPDZrrk */
   },
-  { /* 3249 */
-    394,
-    /* VCVTTSD2SIZrm */
+  { /* 3052 */
+    333,
+    /* VADDPDZrrkz */
   },
-  { /* 3250 */
-    423,
-    /* VCVTTSD2SIZrr */
+  { /* 3053 */
+    334,
+    /* VADDPDrm */
   },
-  { /* 3251 */
-    109,
-    /* VCVTTSD2SIrm */
+  { /* 3054 */
+    335,
+    /* VADDPDrr */
   },
-  { /* 3252 */
-    124,
-    /* VCVTTSD2SIrr */
+  { /* 3055 */
+    302,
+    /* VADDPSYrm */
   },
-  { /* 3253 */
-    392,
-    /* VCVTTSD2USI64Zrm */
+  { /* 3056 */
+    303,
+    /* VADDPSYrr */
   },
-  { /* 3254 */
-    422,
-    /* VCVTTSD2USI64Zrr */
+  { /* 3057 */
+    304,
+    /* VADDPSZ128rm */
   },
-  { /* 3255 */
-    394,
-    /* VCVTTSD2USIZrm */
+  { /* 3058 */
+    336,
+    /* VADDPSZ128rmb */
   },
-  { /* 3256 */
-    423,
-    /* VCVTTSD2USIZrr */
+  { /* 3059 */
+    337,
+    /* VADDPSZ128rmbk */
   },
-  { /* 3257 */
-    418,
-    /* VCVTTSS2SI64Zrm */
+  { /* 3060 */
+    338,
+    /* VADDPSZ128rmbkz */
   },
-  { /* 3258 */
-    424,
-    /* VCVTTSS2SI64Zrr */
+  { /* 3061 */
+    339,
+    /* VADDPSZ128rmk */
   },
-  { /* 3259 */
-    121,
-    /* VCVTTSS2SI64rm */
+  { /* 3062 */
+    340,
+    /* VADDPSZ128rmkz */
   },
-  { /* 3260 */
-    125,
-    /* VCVTTSS2SI64rr */
+  { /* 3063 */
+    310,
+    /* VADDPSZ128rr */
   },
-  { /* 3261 */
-    420,
-    /* VCVTTSS2SIZrm */
+  { /* 3064 */
+    341,
+    /* VADDPSZ128rrk */
   },
-  { /* 3262 */
-    425,
-    /* VCVTTSS2SIZrr */
+  { /* 3065 */
+    342,
+    /* VADDPSZ128rrkz */
   },
-  { /* 3263 */
-    122,
-    /* VCVTTSS2SIrm */
+  { /* 3066 */
+    313,
+    /* VADDPSZ256rm */
   },
-  { /* 3264 */
-    126,
-    /* VCVTTSS2SIrr */
+  { /* 3067 */
+    343,
+    /* VADDPSZ256rmb */
   },
-  { /* 3265 */
-    418,
-    /* VCVTTSS2USI64Zrm */
+  { /* 3068 */
+    344,
+    /* VADDPSZ256rmbk */
   },
-  { /* 3266 */
-    424,
-    /* VCVTTSS2USI64Zrr */
+  { /* 3069 */
+    345,
+    /* VADDPSZ256rmbkz */
   },
-  { /* 3267 */
-    420,
-    /* VCVTTSS2USIZrm */
+  { /* 3070 */
+    346,
+    /* VADDPSZ256rmk */
   },
-  { /* 3268 */
-    425,
-    /* VCVTTSS2USIZrr */
+  { /* 3071 */
+    347,
+    /* VADDPSZ256rmkz */
   },
-  { /* 3269 */
-    344,
-    /* VCVTUDQ2PDZrm */
+  { /* 3072 */
+    319,
+    /* VADDPSZ256rr */
   },
-  { /* 3270 */
-    375,
-    /* VCVTUDQ2PDZrr */
+  { /* 3073 */
+    348,
+    /* VADDPSZ256rrk */
   },
-  { /* 3271 */
-    378,
-    /* VCVTUDQ2PSZrm */
+  { /* 3074 */
+    349,
+    /* VADDPSZ256rrkz */
   },
-  { /* 3272 */
-    379,
-    /* VCVTUDQ2PSZrr */
+  { /* 3075 */
+    350,
+    /* VADDPSZrb */
   },
-  { /* 3273 */
-    380,
-    /* VCVTUDQ2PSZrrb */
+  { /* 3076 */
+    351,
+    /* VADDPSZrbk */
   },
-  { /* 3274 */
-    402,
-    /* VCVTUSI2SDZrm */
+  { /* 3077 */
+    352,
+    /* VADDPSZrbkz */
   },
-  { /* 3275 */
-    403,
-    /* VCVTUSI2SDZrr */
+  { /* 3078 */
+    325,
+    /* VADDPSZrm */
   },
-  { /* 3276 */
-    407,
-    /* VCVTUSI2SSZrm */
+  { /* 3079 */
+    353,
+    /* VADDPSZrmb */
   },
-  { /* 3277 */
-    408,
-    /* VCVTUSI2SSZrr */
+  { /* 3080 */
+    354,
+    /* VADDPSZrmbk */
   },
-  { /* 3278 */
-    410,
-    /* VCVTUSI642SDZrm */
+  { /* 3081 */
+    355,
+    /* VADDPSZrmbkz */
   },
-  { /* 3279 */
-    411,
-    /* VCVTUSI642SDZrr */
+  { /* 3082 */
+    356,
+    /* VADDPSZrmk */
   },
-  { /* 3280 */
-    412,
-    /* VCVTUSI642SSZrm */
+  { /* 3083 */
+    357,
+    /* VADDPSZrmkz */
   },
-  { /* 3281 */
-    413,
-    /* VCVTUSI642SSZrr */
+  { /* 3084 */
+    331,
+    /* VADDPSZrr */
   },
-  { /* 3282 */
-    304,
-    /* VDIVPDYrm */
+  { /* 3085 */
+    358,
+    /* VADDPSZrrk */
   },
-  { /* 3283 */
-    305,
-    /* VDIVPDYrr */
+  { /* 3086 */
+    359,
+    /* VADDPSZrrkz */
   },
-  { /* 3284 */
-    306,
-    /* VDIVPDZrm */
+  { /* 3087 */
+    334,
+    /* VADDPSrm */
   },
-  { /* 3285 */
-    307,
-    /* VDIVPDZrmb */
+  { /* 3088 */
+    335,
+    /* VADDPSrr */
   },
-  { /* 3286 */
-    308,
-    /* VDIVPDZrmbk */
+  { /* 3089 */
+    0,
+    /*  */
   },
-  { /* 3287 */
-    308,
-    /* VDIVPDZrmbkz */
+  { /* 3090 */
+    360,
+    /* VADDSDZrm_Int */
   },
-  { /* 3288 */
-    309,
-    /* VDIVPDZrmk */
+  { /* 3091 */
+    361,
+    /* VADDSDZrm_Intk */
   },
-  { /* 3289 */
-    309,
-    /* VDIVPDZrmkz */
+  { /* 3092 */
+    362,
+    /* VADDSDZrm_Intkz */
   },
-  { /* 3290 */
-    310,
-    /* VDIVPDZrr */
+  { /* 3093 */
+    0,
+    /*  */
   },
-  { /* 3291 */
-    311,
-    /* VDIVPDZrrk */
+  { /* 3094 */
+    363,
+    /* VADDSDZrr_Int */
   },
-  { /* 3292 */
-    311,
-    /* VDIVPDZrrkz */
+  { /* 3095 */
+    364,
+    /* VADDSDZrr_Intk */
   },
-  { /* 3293 */
-    312,
-    /* VDIVPDrm */
+  { /* 3096 */
+    365,
+    /* VADDSDZrr_Intkz */
   },
-  { /* 3294 */
-    313,
-    /* VDIVPDrr */
+  { /* 3097 */
+    366,
+    /* VADDSDZrrb */
   },
-  { /* 3295 */
-    304,
-    /* VDIVPSYrm */
+  { /* 3098 */
+    367,
+    /* VADDSDZrrbk */
   },
-  { /* 3296 */
-    305,
-    /* VDIVPSYrr */
+  { /* 3099 */
+    368,
+    /* VADDSDZrrbkz */
   },
-  { /* 3297 */
-    306,
-    /* VDIVPSZrm */
+  { /* 3100 */
+    369,
+    /* VADDSDrm */
   },
-  { /* 3298 */
-    314,
-    /* VDIVPSZrmb */
+  { /* 3101 */
+    0,
+    /*  */
   },
-  { /* 3299 */
-    315,
-    /* VDIVPSZrmbk */
+  { /* 3102 */
+    370,
+    /* VADDSDrr */
   },
-  { /* 3300 */
-    315,
-    /* VDIVPSZrmbkz */
+  { /* 3103 */
+    0,
+    /*  */
   },
-  { /* 3301 */
-    316,
-    /* VDIVPSZrmk */
+  { /* 3104 */
+    0,
+    /*  */
   },
-  { /* 3302 */
-    316,
-    /* VDIVPSZrmkz */
+  { /* 3105 */
+    371,
+    /* VADDSSZrm_Int */
   },
-  { /* 3303 */
-    310,
-    /* VDIVPSZrr */
+  { /* 3106 */
+    372,
+    /* VADDSSZrm_Intk */
   },
-  { /* 3304 */
-    317,
-    /* VDIVPSZrrk */
+  { /* 3107 */
+    373,
+    /* VADDSSZrm_Intkz */
   },
-  { /* 3305 */
-    317,
-    /* VDIVPSZrrkz */
+  { /* 3108 */
+    0,
+    /*  */
   },
-  { /* 3306 */
-    312,
-    /* VDIVPSrm */
+  { /* 3109 */
+    374,
+    /* VADDSSZrr_Int */
   },
-  { /* 3307 */
-    313,
-    /* VDIVPSrr */
+  { /* 3110 */
+    375,
+    /* VADDSSZrr_Intk */
   },
-  { /* 3308 */
-    318,
-    /* VDIVSDZrm */
+  { /* 3111 */
+    376,
+    /* VADDSSZrr_Intkz */
   },
-  { /* 3309 */
-    319,
-    /* VDIVSDZrr */
+  { /* 3112 */
+    377,
+    /* VADDSSZrrb */
   },
-  { /* 3310 */
-    320,
-    /* VDIVSDrm */
+  { /* 3113 */
+    378,
+    /* VADDSSZrrbk */
   },
-  { /* 3311 */
-    0,
-    /*  */
+  { /* 3114 */
+    379,
+    /* VADDSSZrrbkz */
   },
-  { /* 3312 */
-    321,
-    /* VDIVSDrr */
+  { /* 3115 */
+    380,
+    /* VADDSSrm */
   },
-  { /* 3313 */
+  { /* 3116 */
     0,
     /*  */
   },
-  { /* 3314 */
-    322,
-    /* VDIVSSZrm */
-  },
-  { /* 3315 */
-    323,
-    /* VDIVSSZrr */
-  },
-  { /* 3316 */
-    324,
-    /* VDIVSSrm */
+  { /* 3117 */
+    381,
+    /* VADDSSrr */
   },
-  { /* 3317 */
+  { /* 3118 */
     0,
     /*  */
   },
-  { /* 3318 */
-    325,
-    /* VDIVSSrr */
+  { /* 3119 */
+    302,
+    /* VADDSUBPDYrm */
   },
-  { /* 3319 */
-    0,
-    /*  */
+  { /* 3120 */
+    303,
+    /* VADDSUBPDYrr */
   },
-  { /* 3320 */
+  { /* 3121 */
     334,
-    /* VDPPDrmi */
+    /* VADDSUBPDrm */
   },
-  { /* 3321 */
+  { /* 3122 */
     335,
-    /* VDPPDrri */
+    /* VADDSUBPDrr */
   },
-  { /* 3322 */
-    332,
-    /* VDPPSYrmi */
+  { /* 3123 */
+    302,
+    /* VADDSUBPSYrm */
   },
-  { /* 3323 */
-    333,
-    /* VDPPSYrri */
+  { /* 3124 */
+    303,
+    /* VADDSUBPSYrr */
   },
-  { /* 3324 */
+  { /* 3125 */
     334,
-    /* VDPPSrmi */
+    /* VADDSUBPSrm */
   },
-  { /* 3325 */
+  { /* 3126 */
     335,
-    /* VDPPSrri */
+    /* VADDSUBPSrr */
   },
-  { /* 3326 */
-    38,
-    /* VERRm */
+  { /* 3127 */
+    334,
+    /* VAESDECLASTrm */
   },
-  { /* 3327 */
-    190,
-    /* VERRr */
+  { /* 3128 */
+    335,
+    /* VAESDECLASTrr */
   },
-  { /* 3328 */
-    38,
-    /* VERWm */
+  { /* 3129 */
+    334,
+    /* VAESDECrm */
   },
-  { /* 3329 */
-    190,
-    /* VERWr */
+  { /* 3130 */
+    335,
+    /* VAESDECrr */
   },
-  { /* 3330 */
-    426,
-    /* VEXTRACTF128mr */
+  { /* 3131 */
+    334,
+    /* VAESENCLASTrm */
   },
-  { /* 3331 */
-    427,
-    /* VEXTRACTF128rr */
+  { /* 3132 */
+    335,
+    /* VAESENCLASTrr */
   },
-  { /* 3332 */
-    428,
-    /* VEXTRACTF32x4mr */
+  { /* 3133 */
+    334,
+    /* VAESENCrm */
   },
-  { /* 3333 */
-    429,
-    /* VEXTRACTF32x4rr */
+  { /* 3134 */
+    335,
+    /* VAESENCrr */
   },
-  { /* 3334 */
-    430,
-    /* VEXTRACTF64x4mr */
+  { /* 3135 */
+    44,
+    /* VAESIMCrm */
   },
-  { /* 3335 */
-    431,
-    /* VEXTRACTF64x4rr */
+  { /* 3136 */
+    45,
+    /* VAESIMCrr */
   },
-  { /* 3336 */
-    426,
-    /* VEXTRACTI128mr */
+  { /* 3137 */
+    46,
+    /* VAESKEYGENASSIST128rm */
   },
-  { /* 3337 */
-    427,
-    /* VEXTRACTI128rr */
+  { /* 3138 */
+    47,
+    /* VAESKEYGENASSIST128rr */
   },
-  { /* 3338 */
-    428,
-    /* VEXTRACTI32x4mr */
+  { /* 3139 */
+    382,
+    /* VALIGNDrmi */
   },
-  { /* 3339 */
-    429,
-    /* VEXTRACTI32x4rr */
+  { /* 3140 */
+    383,
+    /* VALIGNDrri */
   },
-  { /* 3340 */
-    430,
-    /* VEXTRACTI64x4mr */
+  { /* 3141 */
+    384,
+    /* VALIGNDrrik */
   },
-  { /* 3341 */
-    431,
-    /* VEXTRACTI64x4rr */
+  { /* 3142 */
+    385,
+    /* VALIGNDrrikz */
   },
-  { /* 3342 */
-    132,
-    /* VEXTRACTPSmr */
+  { /* 3143 */
+    382,
+    /* VALIGNQrmi */
   },
-  { /* 3343 */
-    133,
-    /* VEXTRACTPSrr */
+  { /* 3144 */
+    383,
+    /* VALIGNQrri */
   },
-  { /* 3344 */
-    432,
-    /* VEXTRACTPSzmr */
+  { /* 3145 */
+    386,
+    /* VALIGNQrrik */
   },
-  { /* 3345 */
-    433,
-    /* VEXTRACTPSzrr */
+  { /* 3146 */
+    387,
+    /* VALIGNQrrikz */
   },
-  { /* 3346 */
-    434,
-    /* VFMADD132PDZm */
+  { /* 3147 */
+    302,
+    /* VANDNPDYrm */
   },
-  { /* 3347 */
-    435,
-    /* VFMADD132PDZmb */
+  { /* 3148 */
+    303,
+    /* VANDNPDYrr */
   },
-  { /* 3348 */
-    434,
-    /* VFMADD132PSZm */
+  { /* 3149 */
+    334,
+    /* VANDNPDrm */
   },
-  { /* 3349 */
-    436,
-    /* VFMADD132PSZmb */
+  { /* 3150 */
+    335,
+    /* VANDNPDrr */
   },
-  { /* 3350 */
-    434,
-    /* VFMADD213PDZm */
+  { /* 3151 */
+    302,
+    /* VANDNPSYrm */
   },
-  { /* 3351 */
-    435,
-    /* VFMADD213PDZmb */
+  { /* 3152 */
+    303,
+    /* VANDNPSYrr */
   },
-  { /* 3352 */
-    437,
-    /* VFMADD213PDZr */
+  { /* 3153 */
+    334,
+    /* VANDNPSrm */
   },
-  { /* 3353 */
-    438,
-    /* VFMADD213PDZrk */
+  { /* 3154 */
+    335,
+    /* VANDNPSrr */
   },
-  { /* 3354 */
-    438,
-    /* VFMADD213PDZrkz */
+  { /* 3155 */
+    302,
+    /* VANDPDYrm */
   },
-  { /* 3355 */
-    434,
-    /* VFMADD213PSZm */
+  { /* 3156 */
+    303,
+    /* VANDPDYrr */
   },
-  { /* 3356 */
-    436,
-    /* VFMADD213PSZmb */
+  { /* 3157 */
+    334,
+    /* VANDPDrm */
   },
-  { /* 3357 */
-    437,
-    /* VFMADD213PSZr */
+  { /* 3158 */
+    335,
+    /* VANDPDrr */
   },
-  { /* 3358 */
-    439,
-    /* VFMADD213PSZrk */
+  { /* 3159 */
+    302,
+    /* VANDPSYrm */
   },
-  { /* 3359 */
-    439,
-    /* VFMADD213PSZrkz */
+  { /* 3160 */
+    303,
+    /* VANDPSYrr */
   },
-  { /* 3360 */
-    338,
-    /* VFMADDPD4mr */
+  { /* 3161 */
+    334,
+    /* VANDPSrm */
   },
-  { /* 3361 */
-    336,
-    /* VFMADDPD4mrY */
+  { /* 3162 */
+    335,
+    /* VANDPSrr */
   },
-  { /* 3362 */
-    440,
-    /* VFMADDPD4rm */
+  { /* 3163 */
+    0,
+    /*  */
   },
-  { /* 3363 */
-    441,
-    /* VFMADDPD4rmY */
+  { /* 3164 */
+    304,
+    /* VBLENDMPDZ128rm */
   },
-  { /* 3364 */
-    442,
-    /* VFMADDPD4rr */
+  { /* 3165 */
+    305,
+    /* VBLENDMPDZ128rmb */
   },
-  { /* 3365 */
-    443,
-    /* VFMADDPD4rrY */
+  { /* 3166 */
+    307,
+    /* VBLENDMPDZ128rmbk */
   },
-  { /* 3366 */
-    337,
-    /* VFMADDPD4rrY_REV */
+  { /* 3167 */
+    309,
+    /* VBLENDMPDZ128rmk */
   },
-  { /* 3367 */
-    339,
-    /* VFMADDPD4rr_REV */
+  { /* 3168 */
+    309,
+    /* VBLENDMPDZ128rmkz */
   },
-  { /* 3368 */
-    444,
-    /* VFMADDPDr132m */
+  { /* 3169 */
+    310,
+    /* VBLENDMPDZ128rr */
   },
-  { /* 3369 */
-    445,
-    /* VFMADDPDr132mY */
+  { /* 3170 */
+    312,
+    /* VBLENDMPDZ128rrk */
   },
-  { /* 3370 */
-    446,
-    /* VFMADDPDr132r */
+  { /* 3171 */
+    312,
+    /* VBLENDMPDZ128rrkz */
   },
-  { /* 3371 */
-    447,
-    /* VFMADDPDr132rY */
+  { /* 3172 */
+    313,
+    /* VBLENDMPDZ256rm */
   },
-  { /* 3372 */
-    444,
-    /* VFMADDPDr213m */
+  { /* 3173 */
+    314,
+    /* VBLENDMPDZ256rmb */
   },
-  { /* 3373 */
-    445,
-    /* VFMADDPDr213mY */
+  { /* 3174 */
+    316,
+    /* VBLENDMPDZ256rmbk */
   },
-  { /* 3374 */
-    446,
-    /* VFMADDPDr213r */
-  },
-  { /* 3375 */
-    447,
-    /* VFMADDPDr213rY */
-  },
-  { /* 3376 */
-    444,
-    /* VFMADDPDr231m */
-  },
-  { /* 3377 */
-    445,
-    /* VFMADDPDr231mY */
+  { /* 3175 */
+    318,
+    /* VBLENDMPDZ256rmk */
   },
-  { /* 3378 */
-    446,
-    /* VFMADDPDr231r */
+  { /* 3176 */
+    318,
+    /* VBLENDMPDZ256rmkz */
   },
-  { /* 3379 */
-    447,
-    /* VFMADDPDr231rY */
+  { /* 3177 */
+    319,
+    /* VBLENDMPDZ256rr */
   },
-  { /* 3380 */
-    338,
-    /* VFMADDPS4mr */
+  { /* 3178 */
+    321,
+    /* VBLENDMPDZ256rrk */
   },
-  { /* 3381 */
-    336,
-    /* VFMADDPS4mrY */
+  { /* 3179 */
+    321,
+    /* VBLENDMPDZ256rrkz */
   },
-  { /* 3382 */
-    440,
-    /* VFMADDPS4rm */
+  { /* 3180 */
+    325,
+    /* VBLENDMPDZrm */
   },
-  { /* 3383 */
-    441,
-    /* VFMADDPS4rmY */
+  { /* 3181 */
+    326,
+    /* VBLENDMPDZrmb */
   },
-  { /* 3384 */
-    442,
-    /* VFMADDPS4rr */
+  { /* 3182 */
+    328,
+    /* VBLENDMPDZrmbk */
   },
-  { /* 3385 */
-    443,
-    /* VFMADDPS4rrY */
+  { /* 3183 */
+    330,
+    /* VBLENDMPDZrmk */
   },
-  { /* 3386 */
-    337,
-    /* VFMADDPS4rrY_REV */
+  { /* 3184 */
+    330,
+    /* VBLENDMPDZrmkz */
   },
-  { /* 3387 */
-    339,
-    /* VFMADDPS4rr_REV */
+  { /* 3185 */
+    331,
+    /* VBLENDMPDZrr */
   },
-  { /* 3388 */
-    444,
-    /* VFMADDPSr132m */
+  { /* 3186 */
+    333,
+    /* VBLENDMPDZrrk */
   },
-  { /* 3389 */
-    445,
-    /* VFMADDPSr132mY */
+  { /* 3187 */
+    333,
+    /* VBLENDMPDZrrkz */
   },
-  { /* 3390 */
-    446,
-    /* VFMADDPSr132r */
+  { /* 3188 */
+    304,
+    /* VBLENDMPSZ128rm */
   },
-  { /* 3391 */
-    447,
-    /* VFMADDPSr132rY */
+  { /* 3189 */
+    336,
+    /* VBLENDMPSZ128rmb */
   },
-  { /* 3392 */
-    444,
-    /* VFMADDPSr213m */
+  { /* 3190 */
+    338,
+    /* VBLENDMPSZ128rmbk */
   },
-  { /* 3393 */
-    445,
-    /* VFMADDPSr213mY */
+  { /* 3191 */
+    340,
+    /* VBLENDMPSZ128rmk */
   },
-  { /* 3394 */
-    446,
-    /* VFMADDPSr213r */
+  { /* 3192 */
+    340,
+    /* VBLENDMPSZ128rmkz */
   },
-  { /* 3395 */
-    447,
-    /* VFMADDPSr213rY */
+  { /* 3193 */
+    310,
+    /* VBLENDMPSZ128rr */
   },
-  { /* 3396 */
-    444,
-    /* VFMADDPSr231m */
+  { /* 3194 */
+    342,
+    /* VBLENDMPSZ128rrk */
   },
-  { /* 3397 */
-    445,
-    /* VFMADDPSr231mY */
+  { /* 3195 */
+    342,
+    /* VBLENDMPSZ128rrkz */
   },
-  { /* 3398 */
-    446,
-    /* VFMADDPSr231r */
+  { /* 3196 */
+    313,
+    /* VBLENDMPSZ256rm */
   },
-  { /* 3399 */
-    447,
-    /* VFMADDPSr231rY */
+  { /* 3197 */
+    343,
+    /* VBLENDMPSZ256rmb */
   },
-  { /* 3400 */
-    448,
-    /* VFMADDSD4mr */
+  { /* 3198 */
+    345,
+    /* VBLENDMPSZ256rmbk */
   },
-  { /* 3401 */
-    0,
-    /*  */
+  { /* 3199 */
+    347,
+    /* VBLENDMPSZ256rmk */
   },
-  { /* 3402 */
-    449,
-    /* VFMADDSD4rm */
+  { /* 3200 */
+    347,
+    /* VBLENDMPSZ256rmkz */
   },
-  { /* 3403 */
-    0,
-    /*  */
+  { /* 3201 */
+    319,
+    /* VBLENDMPSZ256rr */
   },
-  { /* 3404 */
-    450,
-    /* VFMADDSD4rr */
+  { /* 3202 */
+    349,
+    /* VBLENDMPSZ256rrk */
   },
-  { /* 3405 */
-    0,
-    /*  */
+  { /* 3203 */
+    349,
+    /* VBLENDMPSZ256rrkz */
   },
-  { /* 3406 */
-    451,
-    /* VFMADDSD4rr_REV */
+  { /* 3204 */
+    325,
+    /* VBLENDMPSZrm */
   },
-  { /* 3407 */
-    452,
-    /* VFMADDSDZm */
+  { /* 3205 */
+    353,
+    /* VBLENDMPSZrmb */
   },
-  { /* 3408 */
-    453,
-    /* VFMADDSDZr */
+  { /* 3206 */
+    355,
+    /* VBLENDMPSZrmbk */
   },
-  { /* 3409 */
-    454,
-    /* VFMADDSDr132m */
+  { /* 3207 */
+    357,
+    /* VBLENDMPSZrmk */
   },
-  { /* 3410 */
-    455,
-    /* VFMADDSDr132r */
+  { /* 3208 */
+    357,
+    /* VBLENDMPSZrmkz */
   },
-  { /* 3411 */
-    454,
-    /* VFMADDSDr213m */
+  { /* 3209 */
+    331,
+    /* VBLENDMPSZrr */
   },
-  { /* 3412 */
-    455,
-    /* VFMADDSDr213r */
+  { /* 3210 */
+    359,
+    /* VBLENDMPSZrrk */
   },
-  { /* 3413 */
-    454,
-    /* VFMADDSDr231m */
+  { /* 3211 */
+    359,
+    /* VBLENDMPSZrrkz */
   },
-  { /* 3414 */
-    455,
-    /* VFMADDSDr231r */
+  { /* 3212 */
+    388,
+    /* VBLENDPDYrmi */
   },
-  { /* 3415 */
-    456,
-    /* VFMADDSS4mr */
+  { /* 3213 */
+    389,
+    /* VBLENDPDYrri */
   },
-  { /* 3416 */
-    0,
-    /*  */
+  { /* 3214 */
+    390,
+    /* VBLENDPDrmi */
   },
-  { /* 3417 */
-    457,
-    /* VFMADDSS4rm */
+  { /* 3215 */
+    391,
+    /* VBLENDPDrri */
   },
-  { /* 3418 */
-    0,
-    /*  */
+  { /* 3216 */
+    388,
+    /* VBLENDPSYrmi */
   },
-  { /* 3419 */
-    458,
-    /* VFMADDSS4rr */
+  { /* 3217 */
+    389,
+    /* VBLENDPSYrri */
   },
-  { /* 3420 */
-    0,
-    /*  */
+  { /* 3218 */
+    390,
+    /* VBLENDPSrmi */
   },
-  { /* 3421 */
-    459,
-    /* VFMADDSS4rr_REV */
+  { /* 3219 */
+    391,
+    /* VBLENDPSrri */
   },
-  { /* 3422 */
-    460,
-    /* VFMADDSSZm */
+  { /* 3220 */
+    392,
+    /* VBLENDVPDYrm */
   },
-  { /* 3423 */
-    461,
-    /* VFMADDSSZr */
+  { /* 3221 */
+    393,
+    /* VBLENDVPDYrr */
   },
-  { /* 3424 */
-    462,
-    /* VFMADDSSr132m */
+  { /* 3222 */
+    394,
+    /* VBLENDVPDrm */
   },
-  { /* 3425 */
-    463,
-    /* VFMADDSSr132r */
+  { /* 3223 */
+    395,
+    /* VBLENDVPDrr */
   },
-  { /* 3426 */
-    462,
-    /* VFMADDSSr213m */
+  { /* 3224 */
+    392,
+    /* VBLENDVPSYrm */
   },
-  { /* 3427 */
-    463,
-    /* VFMADDSSr213r */
+  { /* 3225 */
+    393,
+    /* VBLENDVPSYrr */
   },
-  { /* 3428 */
-    462,
-    /* VFMADDSSr231m */
+  { /* 3226 */
+    394,
+    /* VBLENDVPSrm */
   },
-  { /* 3429 */
-    463,
-    /* VFMADDSSr231r */
+  { /* 3227 */
+    395,
+    /* VBLENDVPSrr */
   },
-  { /* 3430 */
-    434,
-    /* VFMADDSUB132PDZm */
+  { /* 3228 */
+    396,
+    /* VBROADCASTF128 */
   },
-  { /* 3431 */
-    435,
-    /* VFMADDSUB132PDZmb */
+  { /* 3229 */
+    397,
+    /* VBROADCASTI32X4krm */
   },
-  { /* 3432 */
-    434,
-    /* VFMADDSUB132PSZm */
+  { /* 3230 */
+    398,
+    /* VBROADCASTI32X4rm */
   },
-  { /* 3433 */
-    436,
-    /* VFMADDSUB132PSZmb */
+  { /* 3231 */
+    399,
+    /* VBROADCASTI64X4krm */
   },
-  { /* 3434 */
-    434,
-    /* VFMADDSUB213PDZm */
+  { /* 3232 */
+    400,
+    /* VBROADCASTI64X4rm */
   },
-  { /* 3435 */
-    435,
-    /* VFMADDSUB213PDZmb */
+  { /* 3233 */
+    401,
+    /* VBROADCASTSDYrm */
   },
-  { /* 3436 */
-    437,
-    /* VFMADDSUB213PDZr */
+  { /* 3234 */
+    402,
+    /* VBROADCASTSDYrr */
   },
-  { /* 3437 */
-    438,
-    /* VFMADDSUB213PDZrk */
+  { /* 3235 */
+    403,
+    /* VBROADCASTSDZ256m */
   },
-  { /* 3438 */
-    438,
-    /* VFMADDSUB213PDZrkz */
+  { /* 3236 */
+    404,
+    /* VBROADCASTSDZ256mk */
   },
-  { /* 3439 */
-    434,
-    /* VFMADDSUB213PSZm */
+  { /* 3237 */
+    405,
+    /* VBROADCASTSDZ256mkz */
   },
-  { /* 3440 */
-    436,
-    /* VFMADDSUB213PSZmb */
+  { /* 3238 */
+    406,
+    /* VBROADCASTSDZ256r */
   },
-  { /* 3441 */
-    437,
-    /* VFMADDSUB213PSZr */
+  { /* 3239 */
+    407,
+    /* VBROADCASTSDZ256rk */
   },
-  { /* 3442 */
-    439,
-    /* VFMADDSUB213PSZrk */
+  { /* 3240 */
+    408,
+    /* VBROADCASTSDZ256rkz */
   },
-  { /* 3443 */
-    439,
-    /* VFMADDSUB213PSZrkz */
+  { /* 3241 */
+    409,
+    /* VBROADCASTSDZm */
   },
-  { /* 3444 */
-    338,
-    /* VFMADDSUBPD4mr */
+  { /* 3242 */
+    410,
+    /* VBROADCASTSDZmk */
   },
-  { /* 3445 */
-    336,
-    /* VFMADDSUBPD4mrY */
+  { /* 3243 */
+    411,
+    /* VBROADCASTSDZmkz */
   },
-  { /* 3446 */
-    440,
-    /* VFMADDSUBPD4rm */
+  { /* 3244 */
+    412,
+    /* VBROADCASTSDZr */
   },
-  { /* 3447 */
-    441,
-    /* VFMADDSUBPD4rmY */
+  { /* 3245 */
+    413,
+    /* VBROADCASTSDZrk */
   },
-  { /* 3448 */
-    442,
-    /* VFMADDSUBPD4rr */
+  { /* 3246 */
+    414,
+    /* VBROADCASTSDZrkz */
   },
-  { /* 3449 */
-    443,
-    /* VFMADDSUBPD4rrY */
+  { /* 3247 */
+    415,
+    /* VBROADCASTSSYrm */
   },
-  { /* 3450 */
-    337,
-    /* VFMADDSUBPD4rrY_REV */
+  { /* 3248 */
+    402,
+    /* VBROADCASTSSYrr */
   },
-  { /* 3451 */
-    339,
-    /* VFMADDSUBPD4rr_REV */
+  { /* 3249 */
+    416,
+    /* VBROADCASTSSZ128m */
   },
-  { /* 3452 */
-    444,
-    /* VFMADDSUBPDr132m */
+  { /* 3250 */
+    417,
+    /* VBROADCASTSSZ128mk */
   },
-  { /* 3453 */
-    445,
-    /* VFMADDSUBPDr132mY */
+  { /* 3251 */
+    418,
+    /* VBROADCASTSSZ128mkz */
   },
-  { /* 3454 */
-    446,
-    /* VFMADDSUBPDr132r */
+  { /* 3252 */
+    419,
+    /* VBROADCASTSSZ128r */
   },
-  { /* 3455 */
-    447,
-    /* VFMADDSUBPDr132rY */
+  { /* 3253 */
+    420,
+    /* VBROADCASTSSZ128rk */
   },
-  { /* 3456 */
-    444,
-    /* VFMADDSUBPDr213m */
+  { /* 3254 */
+    421,
+    /* VBROADCASTSSZ128rkz */
   },
-  { /* 3457 */
-    445,
-    /* VFMADDSUBPDr213mY */
+  { /* 3255 */
+    422,
+    /* VBROADCASTSSZ256m */
   },
-  { /* 3458 */
-    446,
-    /* VFMADDSUBPDr213r */
+  { /* 3256 */
+    423,
+    /* VBROADCASTSSZ256mk */
   },
-  { /* 3459 */
-    447,
-    /* VFMADDSUBPDr213rY */
+  { /* 3257 */
+    424,
+    /* VBROADCASTSSZ256mkz */
   },
-  { /* 3460 */
-    444,
-    /* VFMADDSUBPDr231m */
+  { /* 3258 */
+    425,
+    /* VBROADCASTSSZ256r */
   },
-  { /* 3461 */
-    445,
-    /* VFMADDSUBPDr231mY */
+  { /* 3259 */
+    426,
+    /* VBROADCASTSSZ256rk */
   },
-  { /* 3462 */
-    446,
-    /* VFMADDSUBPDr231r */
+  { /* 3260 */
+    427,
+    /* VBROADCASTSSZ256rkz */
   },
-  { /* 3463 */
-    447,
-    /* VFMADDSUBPDr231rY */
+  { /* 3261 */
+    428,
+    /* VBROADCASTSSZm */
   },
-  { /* 3464 */
-    338,
-    /* VFMADDSUBPS4mr */
+  { /* 3262 */
+    429,
+    /* VBROADCASTSSZmk */
   },
-  { /* 3465 */
-    336,
-    /* VFMADDSUBPS4mrY */
+  { /* 3263 */
+    430,
+    /* VBROADCASTSSZmkz */
   },
-  { /* 3466 */
-    440,
-    /* VFMADDSUBPS4rm */
+  { /* 3264 */
+    431,
+    /* VBROADCASTSSZr */
   },
-  { /* 3467 */
-    441,
-    /* VFMADDSUBPS4rmY */
+  { /* 3265 */
+    432,
+    /* VBROADCASTSSZrk */
   },
-  { /* 3468 */
-    442,
-    /* VFMADDSUBPS4rr */
+  { /* 3266 */
+    433,
+    /* VBROADCASTSSZrkz */
   },
-  { /* 3469 */
-    443,
-    /* VFMADDSUBPS4rrY */
+  { /* 3267 */
+    434,
+    /* VBROADCASTSSrm */
   },
-  { /* 3470 */
-    337,
-    /* VFMADDSUBPS4rrY_REV */
+  { /* 3268 */
+    45,
+    /* VBROADCASTSSrr */
   },
-  { /* 3471 */
-    339,
-    /* VFMADDSUBPS4rr_REV */
+  { /* 3269 */
+    435,
+    /* VCMPPDYrmi */
   },
-  { /* 3472 */
-    444,
-    /* VFMADDSUBPSr132m */
+  { /* 3270 */
+    0,
+    /*  */
   },
-  { /* 3473 */
-    445,
-    /* VFMADDSUBPSr132mY */
+  { /* 3271 */
+    436,
+    /* VCMPPDYrri */
   },
-  { /* 3474 */
-    446,
-    /* VFMADDSUBPSr132r */
+  { /* 3272 */
+    0,
+    /*  */
   },
-  { /* 3475 */
-    447,
-    /* VFMADDSUBPSr132rY */
+  { /* 3273 */
+    437,
+    /* VCMPPDZrmi */
   },
-  { /* 3476 */
-    444,
-    /* VFMADDSUBPSr213m */
+  { /* 3274 */
+    0,
+    /*  */
   },
-  { /* 3477 */
-    445,
-    /* VFMADDSUBPSr213mY */
+  { /* 3275 */
+    438,
+    /* VCMPPDZrri */
   },
-  { /* 3478 */
-    446,
-    /* VFMADDSUBPSr213r */
+  { /* 3276 */
+    0,
+    /*  */
   },
-  { /* 3479 */
-    447,
-    /* VFMADDSUBPSr213rY */
+  { /* 3277 */
+    439,
+    /* VCMPPDZrrib */
   },
-  { /* 3480 */
-    444,
-    /* VFMADDSUBPSr231m */
+  { /* 3278 */
+    0,
+    /*  */
   },
-  { /* 3481 */
-    445,
-    /* VFMADDSUBPSr231mY */
+  { /* 3279 */
+    440,
+    /* VCMPPDrmi */
   },
-  { /* 3482 */
-    446,
-    /* VFMADDSUBPSr231r */
+  { /* 3280 */
+    0,
+    /*  */
   },
-  { /* 3483 */
-    447,
-    /* VFMADDSUBPSr231rY */
+  { /* 3281 */
+    441,
+    /* VCMPPDrri */
   },
-  { /* 3484 */
-    434,
-    /* VFMSUB132PDZm */
+  { /* 3282 */
+    0,
+    /*  */
   },
-  { /* 3485 */
+  { /* 3283 */
     435,
-    /* VFMSUB132PDZmb */
+    /* VCMPPSYrmi */
   },
-  { /* 3486 */
-    434,
-    /* VFMSUB132PSZm */
+  { /* 3284 */
+    0,
+    /*  */
   },
-  { /* 3487 */
+  { /* 3285 */
     436,
-    /* VFMSUB132PSZmb */
-  },
-  { /* 3488 */
-    434,
-    /* VFMSUB213PDZm */
+    /* VCMPPSYrri */
   },
-  { /* 3489 */
-    435,
-    /* VFMSUB213PDZmb */
+  { /* 3286 */
+    0,
+    /*  */
   },
-  { /* 3490 */
-    437,
-    /* VFMSUB213PDZr */
+  { /* 3287 */
+    442,
+    /* VCMPPSZrmi */
   },
-  { /* 3491 */
-    438,
-    /* VFMSUB213PDZrk */
+  { /* 3288 */
+    0,
+    /*  */
   },
-  { /* 3492 */
-    438,
-    /* VFMSUB213PDZrkz */
+  { /* 3289 */
+    443,
+    /* VCMPPSZrri */
   },
-  { /* 3493 */
-    434,
-    /* VFMSUB213PSZm */
+  { /* 3290 */
+    0,
+    /*  */
   },
-  { /* 3494 */
-    436,
-    /* VFMSUB213PSZmb */
+  { /* 3291 */
+    444,
+    /* VCMPPSZrrib */
   },
-  { /* 3495 */
-    437,
-    /* VFMSUB213PSZr */
+  { /* 3292 */
+    0,
+    /*  */
   },
-  { /* 3496 */
-    439,
-    /* VFMSUB213PSZrk */
+  { /* 3293 */
+    440,
+    /* VCMPPSrmi */
   },
-  { /* 3497 */
-    439,
-    /* VFMSUB213PSZrkz */
+  { /* 3294 */
+    0,
+    /*  */
   },
-  { /* 3498 */
-    434,
-    /* VFMSUBADD132PDZm */
+  { /* 3295 */
+    441,
+    /* VCMPPSrri */
   },
-  { /* 3499 */
-    435,
-    /* VFMSUBADD132PDZmb */
+  { /* 3296 */
+    0,
+    /*  */
   },
-  { /* 3500 */
-    434,
-    /* VFMSUBADD132PSZm */
+  { /* 3297 */
+    445,
+    /* VCMPSDZrm */
   },
-  { /* 3501 */
-    436,
-    /* VFMSUBADD132PSZmb */
+  { /* 3298 */
+    0,
+    /*  */
   },
-  { /* 3502 */
-    434,
-    /* VFMSUBADD213PDZm */
+  { /* 3299 */
+    446,
+    /* VCMPSDZrr */
   },
-  { /* 3503 */
-    435,
-    /* VFMSUBADD213PDZmb */
+  { /* 3300 */
+    0,
+    /*  */
   },
-  { /* 3504 */
-    437,
-    /* VFMSUBADD213PDZr */
+  { /* 3301 */
+    447,
+    /* VCMPSDrm */
   },
-  { /* 3505 */
-    438,
-    /* VFMSUBADD213PDZrk */
+  { /* 3302 */
+    0,
+    /*  */
   },
-  { /* 3506 */
-    438,
-    /* VFMSUBADD213PDZrkz */
+  { /* 3303 */
+    448,
+    /* VCMPSDrr */
   },
-  { /* 3507 */
-    434,
-    /* VFMSUBADD213PSZm */
+  { /* 3304 */
+    0,
+    /*  */
   },
-  { /* 3508 */
-    436,
-    /* VFMSUBADD213PSZmb */
+  { /* 3305 */
+    449,
+    /* VCMPSSZrm */
   },
-  { /* 3509 */
-    437,
-    /* VFMSUBADD213PSZr */
+  { /* 3306 */
+    0,
+    /*  */
   },
-  { /* 3510 */
-    439,
-    /* VFMSUBADD213PSZrk */
+  { /* 3307 */
+    450,
+    /* VCMPSSZrr */
   },
-  { /* 3511 */
-    439,
-    /* VFMSUBADD213PSZrkz */
+  { /* 3308 */
+    0,
+    /*  */
   },
-  { /* 3512 */
-    338,
-    /* VFMSUBADDPD4mr */
+  { /* 3309 */
+    451,
+    /* VCMPSSrm */
   },
-  { /* 3513 */
-    336,
-    /* VFMSUBADDPD4mrY */
+  { /* 3310 */
+    0,
+    /*  */
   },
-  { /* 3514 */
-    440,
-    /* VFMSUBADDPD4rm */
+  { /* 3311 */
+    452,
+    /* VCMPSSrr */
   },
-  { /* 3515 */
-    441,
-    /* VFMSUBADDPD4rmY */
+  { /* 3312 */
+    0,
+    /*  */
   },
-  { /* 3516 */
-    442,
-    /* VFMSUBADDPD4rr */
+  { /* 3313 */
+    453,
+    /* VCOMISDZrm */
   },
-  { /* 3517 */
-    443,
-    /* VFMSUBADDPD4rrY */
+  { /* 3314 */
+    454,
+    /* VCOMISDZrr */
   },
-  { /* 3518 */
-    337,
-    /* VFMSUBADDPD4rrY_REV */
+  { /* 3315 */
+    44,
+    /* VCOMISDrm */
   },
-  { /* 3519 */
-    339,
-    /* VFMSUBADDPD4rr_REV */
+  { /* 3316 */
+    45,
+    /* VCOMISDrr */
   },
-  { /* 3520 */
-    444,
-    /* VFMSUBADDPDr132m */
+  { /* 3317 */
+    455,
+    /* VCOMISSZrm */
   },
-  { /* 3521 */
-    445,
-    /* VFMSUBADDPDr132mY */
+  { /* 3318 */
+    419,
+    /* VCOMISSZrr */
   },
-  { /* 3522 */
-    446,
-    /* VFMSUBADDPDr132r */
+  { /* 3319 */
+    44,
+    /* VCOMISSrm */
   },
-  { /* 3523 */
-    447,
-    /* VFMSUBADDPDr132rY */
+  { /* 3320 */
+    45,
+    /* VCOMISSrr */
   },
-  { /* 3524 */
-    444,
-    /* VFMSUBADDPDr213m */
+  { /* 3321 */
+    456,
+    /* VCOMPRESSPDZ128mrk */
   },
-  { /* 3525 */
-    445,
-    /* VFMSUBADDPDr213mY */
+  { /* 3322 */
+    457,
+    /* VCOMPRESSPDZ128rrk */
   },
-  { /* 3526 */
-    446,
-    /* VFMSUBADDPDr213r */
+  { /* 3323 */
+    458,
+    /* VCOMPRESSPDZ128rrkz */
   },
-  { /* 3527 */
-    447,
-    /* VFMSUBADDPDr213rY */
+  { /* 3324 */
+    459,
+    /* VCOMPRESSPDZ256mrk */
   },
-  { /* 3528 */
-    444,
-    /* VFMSUBADDPDr231m */
+  { /* 3325 */
+    460,
+    /* VCOMPRESSPDZ256rrk */
   },
-  { /* 3529 */
-    445,
-    /* VFMSUBADDPDr231mY */
+  { /* 3326 */
+    461,
+    /* VCOMPRESSPDZ256rrkz */
   },
-  { /* 3530 */
-    446,
-    /* VFMSUBADDPDr231r */
+  { /* 3327 */
+    462,
+    /* VCOMPRESSPDZmrk */
   },
-  { /* 3531 */
-    447,
-    /* VFMSUBADDPDr231rY */
+  { /* 3328 */
+    463,
+    /* VCOMPRESSPDZrrk */
   },
-  { /* 3532 */
-    338,
-    /* VFMSUBADDPS4mr */
+  { /* 3329 */
+    464,
+    /* VCOMPRESSPDZrrkz */
   },
-  { /* 3533 */
-    336,
-    /* VFMSUBADDPS4mrY */
+  { /* 3330 */
+    465,
+    /* VCOMPRESSPSZ128mrk */
   },
-  { /* 3534 */
-    440,
-    /* VFMSUBADDPS4rm */
+  { /* 3331 */
+    466,
+    /* VCOMPRESSPSZ128rrk */
   },
-  { /* 3535 */
-    441,
-    /* VFMSUBADDPS4rmY */
+  { /* 3332 */
+    467,
+    /* VCOMPRESSPSZ128rrkz */
   },
-  { /* 3536 */
-    442,
-    /* VFMSUBADDPS4rr */
+  { /* 3333 */
+    468,
+    /* VCOMPRESSPSZ256mrk */
   },
-  { /* 3537 */
-    443,
-    /* VFMSUBADDPS4rrY */
+  { /* 3334 */
+    469,
+    /* VCOMPRESSPSZ256rrk */
   },
-  { /* 3538 */
-    337,
-    /* VFMSUBADDPS4rrY_REV */
+  { /* 3335 */
+    470,
+    /* VCOMPRESSPSZ256rrkz */
   },
-  { /* 3539 */
-    339,
-    /* VFMSUBADDPS4rr_REV */
+  { /* 3336 */
+    471,
+    /* VCOMPRESSPSZmrk */
   },
-  { /* 3540 */
-    444,
-    /* VFMSUBADDPSr132m */
+  { /* 3337 */
+    472,
+    /* VCOMPRESSPSZrrk */
   },
-  { /* 3541 */
-    445,
-    /* VFMSUBADDPSr132mY */
+  { /* 3338 */
+    473,
+    /* VCOMPRESSPSZrrkz */
   },
-  { /* 3542 */
-    446,
-    /* VFMSUBADDPSr132r */
+  { /* 3339 */
+    396,
+    /* VCVTDQ2PDYrm */
   },
-  { /* 3543 */
-    447,
-    /* VFMSUBADDPSr132rY */
+  { /* 3340 */
+    402,
+    /* VCVTDQ2PDYrr */
   },
-  { /* 3544 */
-    444,
-    /* VFMSUBADDPSr213m */
+  { /* 3341 */
+    400,
+    /* VCVTDQ2PDZrm */
   },
-  { /* 3545 */
-    445,
-    /* VFMSUBADDPSr213mY */
+  { /* 3342 */
+    474,
+    /* VCVTDQ2PDZrr */
   },
-  { /* 3546 */
-    446,
-    /* VFMSUBADDPSr213r */
+  { /* 3343 */
+    105,
+    /* VCVTDQ2PDrm */
   },
-  { /* 3547 */
-    447,
-    /* VFMSUBADDPSr213rY */
+  { /* 3344 */
+    45,
+    /* VCVTDQ2PDrr */
   },
-  { /* 3548 */
-    444,
-    /* VFMSUBADDPSr231m */
+  { /* 3345 */
+    475,
+    /* VCVTDQ2PSYrm */
   },
-  { /* 3549 */
-    445,
-    /* VFMSUBADDPSr231mY */
+  { /* 3346 */
+    476,
+    /* VCVTDQ2PSYrr */
   },
-  { /* 3550 */
-    446,
-    /* VFMSUBADDPSr231r */
+  { /* 3347 */
+    477,
+    /* VCVTDQ2PSZrm */
   },
-  { /* 3551 */
-    447,
-    /* VFMSUBADDPSr231rY */
+  { /* 3348 */
+    478,
+    /* VCVTDQ2PSZrr */
   },
-  { /* 3552 */
-    338,
-    /* VFMSUBPD4mr */
+  { /* 3349 */
+    479,
+    /* VCVTDQ2PSZrrb */
   },
-  { /* 3553 */
-    336,
-    /* VFMSUBPD4mrY */
+  { /* 3350 */
+    44,
+    /* VCVTDQ2PSrm */
   },
-  { /* 3554 */
-    440,
-    /* VFMSUBPD4rm */
+  { /* 3351 */
+    45,
+    /* VCVTDQ2PSrr */
   },
-  { /* 3555 */
-    441,
-    /* VFMSUBPD4rmY */
+  { /* 3352 */
+    44,
+    /* VCVTPD2DQXrm */
   },
-  { /* 3556 */
-    442,
-    /* VFMSUBPD4rr */
+  { /* 3353 */
+    480,
+    /* VCVTPD2DQYrm */
   },
-  { /* 3557 */
-    443,
-    /* VFMSUBPD4rrY */
+  { /* 3354 */
+    481,
+    /* VCVTPD2DQYrr */
   },
-  { /* 3558 */
-    337,
-    /* VFMSUBPD4rrY_REV */
+  { /* 3355 */
+    482,
+    /* VCVTPD2DQZrm */
   },
-  { /* 3559 */
-    339,
-    /* VFMSUBPD4rr_REV */
+  { /* 3356 */
+    483,
+    /* VCVTPD2DQZrr */
   },
-  { /* 3560 */
-    444,
-    /* VFMSUBPDr132m */
+  { /* 3357 */
+    484,
+    /* VCVTPD2DQZrrb */
   },
-  { /* 3561 */
-    445,
-    /* VFMSUBPDr132mY */
+  { /* 3358 */
+    45,
+    /* VCVTPD2DQrr */
   },
-  { /* 3562 */
-    446,
-    /* VFMSUBPDr132r */
+  { /* 3359 */
+    44,
+    /* VCVTPD2PSXrm */
   },
-  { /* 3563 */
-    447,
-    /* VFMSUBPDr132rY */
+  { /* 3360 */
+    480,
+    /* VCVTPD2PSYrm */
   },
-  { /* 3564 */
-    444,
-    /* VFMSUBPDr213m */
+  { /* 3361 */
+    481,
+    /* VCVTPD2PSYrr */
   },
-  { /* 3565 */
-    445,
-    /* VFMSUBPDr213mY */
+  { /* 3362 */
+    482,
+    /* VCVTPD2PSZrm */
   },
-  { /* 3566 */
-    446,
-    /* VFMSUBPDr213r */
+  { /* 3363 */
+    483,
+    /* VCVTPD2PSZrr */
   },
-  { /* 3567 */
-    447,
-    /* VFMSUBPDr213rY */
+  { /* 3364 */
+    484,
+    /* VCVTPD2PSZrrb */
   },
-  { /* 3568 */
-    444,
-    /* VFMSUBPDr231m */
+  { /* 3365 */
+    45,
+    /* VCVTPD2PSrr */
   },
-  { /* 3569 */
-    445,
-    /* VFMSUBPDr231mY */
+  { /* 3366 */
+    482,
+    /* VCVTPD2UDQZrm */
   },
-  { /* 3570 */
-    446,
-    /* VFMSUBPDr231r */
+  { /* 3367 */
+    483,
+    /* VCVTPD2UDQZrr */
   },
-  { /* 3571 */
-    447,
-    /* VFMSUBPDr231rY */
+  { /* 3368 */
+    484,
+    /* VCVTPD2UDQZrrb */
   },
-  { /* 3572 */
-    338,
-    /* VFMSUBPS4mr */
+  { /* 3369 */
+    396,
+    /* VCVTPH2PSYrm */
   },
-  { /* 3573 */
-    336,
-    /* VFMSUBPS4mrY */
+  { /* 3370 */
+    402,
+    /* VCVTPH2PSYrr */
   },
-  { /* 3574 */
-    440,
-    /* VFMSUBPS4rm */
+  { /* 3371 */
+    400,
+    /* VCVTPH2PSZrm */
   },
-  { /* 3575 */
-    441,
-    /* VFMSUBPS4rmY */
+  { /* 3372 */
+    474,
+    /* VCVTPH2PSZrr */
   },
-  { /* 3576 */
-    442,
-    /* VFMSUBPS4rr */
+  { /* 3373 */
+    106,
+    /* VCVTPH2PSrm */
   },
-  { /* 3577 */
-    443,
-    /* VFMSUBPS4rrY */
+  { /* 3374 */
+    45,
+    /* VCVTPH2PSrr */
   },
-  { /* 3578 */
-    337,
-    /* VFMSUBPS4rrY_REV */
+  { /* 3375 */
+    475,
+    /* VCVTPS2DQYrm */
   },
-  { /* 3579 */
-    339,
-    /* VFMSUBPS4rr_REV */
+  { /* 3376 */
+    476,
+    /* VCVTPS2DQYrr */
   },
-  { /* 3580 */
-    444,
-    /* VFMSUBPSr132m */
+  { /* 3377 */
+    477,
+    /* VCVTPS2DQZrm */
   },
-  { /* 3581 */
-    445,
-    /* VFMSUBPSr132mY */
+  { /* 3378 */
+    478,
+    /* VCVTPS2DQZrr */
   },
-  { /* 3582 */
-    446,
-    /* VFMSUBPSr132r */
+  { /* 3379 */
+    479,
+    /* VCVTPS2DQZrrb */
   },
-  { /* 3583 */
-    447,
-    /* VFMSUBPSr132rY */
+  { /* 3380 */
+    44,
+    /* VCVTPS2DQrm */
   },
-  { /* 3584 */
-    444,
-    /* VFMSUBPSr213m */
+  { /* 3381 */
+    45,
+    /* VCVTPS2DQrr */
   },
-  { /* 3585 */
-    445,
-    /* VFMSUBPSr213mY */
+  { /* 3382 */
+    396,
+    /* VCVTPS2PDYrm */
   },
-  { /* 3586 */
-    446,
-    /* VFMSUBPSr213r */
+  { /* 3383 */
+    402,
+    /* VCVTPS2PDYrr */
   },
-  { /* 3587 */
-    447,
-    /* VFMSUBPSr213rY */
+  { /* 3384 */
+    400,
+    /* VCVTPS2PDZrm */
   },
-  { /* 3588 */
-    444,
-    /* VFMSUBPSr231m */
+  { /* 3385 */
+    474,
+    /* VCVTPS2PDZrr */
   },
-  { /* 3589 */
-    445,
-    /* VFMSUBPSr231mY */
+  { /* 3386 */
+    106,
+    /* VCVTPS2PDrm */
   },
-  { /* 3590 */
-    446,
-    /* VFMSUBPSr231r */
+  { /* 3387 */
+    45,
+    /* VCVTPS2PDrr */
   },
-  { /* 3591 */
-    447,
-    /* VFMSUBPSr231rY */
+  { /* 3388 */
+    485,
+    /* VCVTPS2PHYmr */
   },
-  { /* 3592 */
-    448,
-    /* VFMSUBSD4mr */
+  { /* 3389 */
+    486,
+    /* VCVTPS2PHYrr */
   },
-  { /* 3593 */
-    0,
-    /*  */
+  { /* 3390 */
+    487,
+    /* VCVTPS2PHZmr */
   },
-  { /* 3594 */
-    449,
-    /* VFMSUBSD4rm */
+  { /* 3391 */
+    488,
+    /* VCVTPS2PHZrr */
   },
-  { /* 3595 */
-    0,
-    /*  */
+  { /* 3392 */
+    489,
+    /* VCVTPS2PHmr */
   },
-  { /* 3596 */
-    450,
-    /* VFMSUBSD4rr */
+  { /* 3393 */
+    490,
+    /* VCVTPS2PHrr */
   },
-  { /* 3597 */
-    0,
-    /*  */
+  { /* 3394 */
+    477,
+    /* VCVTPS2UDQZrm */
   },
-  { /* 3598 */
-    451,
-    /* VFMSUBSD4rr_REV */
+  { /* 3395 */
+    478,
+    /* VCVTPS2UDQZrr */
   },
-  { /* 3599 */
-    452,
-    /* VFMSUBSDZm */
+  { /* 3396 */
+    479,
+    /* VCVTPS2UDQZrrb */
   },
-  { /* 3600 */
-    453,
-    /* VFMSUBSDZr */
+  { /* 3397 */
+    491,
+    /* VCVTSD2SI64Zrm */
   },
-  { /* 3601 */
-    454,
-    /* VFMSUBSDr132m */
+  { /* 3398 */
+    492,
+    /* VCVTSD2SI64Zrr */
   },
-  { /* 3602 */
-    455,
-    /* VFMSUBSDr132r */
+  { /* 3399 */
+    107,
+    /* VCVTSD2SI64rm */
   },
-  { /* 3603 */
-    454,
-    /* VFMSUBSDr213m */
+  { /* 3400 */
+    108,
+    /* VCVTSD2SI64rr */
   },
-  { /* 3604 */
-    455,
-    /* VFMSUBSDr213r */
+  { /* 3401 */
+    493,
+    /* VCVTSD2SIZrm */
   },
-  { /* 3605 */
-    454,
-    /* VFMSUBSDr231m */
+  { /* 3402 */
+    494,
+    /* VCVTSD2SIZrr */
   },
-  { /* 3606 */
-    455,
-    /* VFMSUBSDr231r */
+  { /* 3403 */
+    109,
+    /* VCVTSD2SIrm */
   },
-  { /* 3607 */
-    456,
-    /* VFMSUBSS4mr */
+  { /* 3404 */
+    110,
+    /* VCVTSD2SIrr */
   },
-  { /* 3608 */
-    0,
-    /*  */
+  { /* 3405 */
+    495,
+    /* VCVTSD2SSZrm */
   },
-  { /* 3609 */
-    457,
-    /* VFMSUBSS4rm */
+  { /* 3406 */
+    496,
+    /* VCVTSD2SSZrr */
   },
-  { /* 3610 */
-    0,
-    /*  */
+  { /* 3407 */
+    497,
+    /* VCVTSD2SSrm */
   },
-  { /* 3611 */
-    458,
-    /* VFMSUBSS4rr */
+  { /* 3408 */
+    498,
+    /* VCVTSD2SSrr */
   },
-  { /* 3612 */
-    0,
-    /*  */
+  { /* 3409 */
+    491,
+    /* VCVTSD2USI64Zrm */
   },
-  { /* 3613 */
-    459,
-    /* VFMSUBSS4rr_REV */
+  { /* 3410 */
+    492,
+    /* VCVTSD2USI64Zrr */
   },
-  { /* 3614 */
-    460,
-    /* VFMSUBSSZm */
+  { /* 3411 */
+    493,
+    /* VCVTSD2USIZrm */
   },
-  { /* 3615 */
-    461,
-    /* VFMSUBSSZr */
+  { /* 3412 */
+    494,
+    /* VCVTSD2USIZrr */
   },
-  { /* 3616 */
-    462,
-    /* VFMSUBSSr132m */
+  { /* 3413 */
+    499,
+    /* VCVTSI2SD64rm */
   },
-  { /* 3617 */
-    463,
-    /* VFMSUBSSr132r */
+  { /* 3414 */
+    500,
+    /* VCVTSI2SD64rr */
   },
-  { /* 3618 */
-    462,
-    /* VFMSUBSSr213m */
+  { /* 3415 */
+    501,
+    /* VCVTSI2SDZrm */
   },
-  { /* 3619 */
-    463,
-    /* VFMSUBSSr213r */
+  { /* 3416 */
+    502,
+    /* VCVTSI2SDZrr */
   },
-  { /* 3620 */
-    462,
-    /* VFMSUBSSr231m */
+  { /* 3417 */
+    499,
+    /* VCVTSI2SDrm */
   },
-  { /* 3621 */
-    463,
-    /* VFMSUBSSr231r */
+  { /* 3418 */
+    503,
+    /* VCVTSI2SDrr */
   },
-  { /* 3622 */
-    434,
-    /* VFNMADD132PDZm */
+  { /* 3419 */
+    504,
+    /* VCVTSI2SS64rm */
   },
-  { /* 3623 */
-    435,
-    /* VFNMADD132PDZmb */
+  { /* 3420 */
+    505,
+    /* VCVTSI2SS64rr */
   },
-  { /* 3624 */
-    434,
-    /* VFNMADD132PSZm */
+  { /* 3421 */
+    506,
+    /* VCVTSI2SSZrm */
   },
-  { /* 3625 */
-    436,
-    /* VFNMADD132PSZmb */
+  { /* 3422 */
+    507,
+    /* VCVTSI2SSZrr */
   },
-  { /* 3626 */
-    434,
-    /* VFNMADD213PDZm */
+  { /* 3423 */
+    504,
+    /* VCVTSI2SSrm */
   },
-  { /* 3627 */
-    435,
-    /* VFNMADD213PDZmb */
+  { /* 3424 */
+    508,
+    /* VCVTSI2SSrr */
   },
-  { /* 3628 */
-    437,
-    /* VFNMADD213PDZr */
+  { /* 3425 */
+    509,
+    /* VCVTSI642SDZrm */
   },
-  { /* 3629 */
-    438,
-    /* VFNMADD213PDZrk */
+  { /* 3426 */
+    510,
+    /* VCVTSI642SDZrr */
   },
-  { /* 3630 */
-    438,
-    /* VFNMADD213PDZrkz */
+  { /* 3427 */
+    511,
+    /* VCVTSI642SSZrm */
   },
-  { /* 3631 */
-    434,
-    /* VFNMADD213PSZm */
+  { /* 3428 */
+    512,
+    /* VCVTSI642SSZrr */
   },
-  { /* 3632 */
-    436,
-    /* VFNMADD213PSZmb */
+  { /* 3429 */
+    513,
+    /* VCVTSS2SDZrm */
   },
-  { /* 3633 */
-    437,
-    /* VFNMADD213PSZr */
+  { /* 3430 */
+    514,
+    /* VCVTSS2SDZrr */
   },
-  { /* 3634 */
-    439,
-    /* VFNMADD213PSZrk */
+  { /* 3431 */
+    515,
+    /* VCVTSS2SDrm */
   },
-  { /* 3635 */
-    439,
-    /* VFNMADD213PSZrkz */
+  { /* 3432 */
+    516,
+    /* VCVTSS2SDrr */
   },
-  { /* 3636 */
-    338,
-    /* VFNMADDPD4mr */
+  { /* 3433 */
+    517,
+    /* VCVTSS2SI64Zrm */
   },
-  { /* 3637 */
-    336,
-    /* VFNMADDPD4mrY */
+  { /* 3434 */
+    518,
+    /* VCVTSS2SI64Zrr */
   },
-  { /* 3638 */
-    440,
-    /* VFNMADDPD4rm */
+  { /* 3435 */
+    121,
+    /* VCVTSS2SI64rm */
   },
-  { /* 3639 */
-    441,
-    /* VFNMADDPD4rmY */
+  { /* 3436 */
+    108,
+    /* VCVTSS2SI64rr */
   },
-  { /* 3640 */
-    442,
-    /* VFNMADDPD4rr */
+  { /* 3437 */
+    519,
+    /* VCVTSS2SIZrm */
   },
-  { /* 3641 */
-    443,
-    /* VFNMADDPD4rrY */
+  { /* 3438 */
+    520,
+    /* VCVTSS2SIZrr */
   },
-  { /* 3642 */
-    337,
-    /* VFNMADDPD4rrY_REV */
+  { /* 3439 */
+    122,
+    /* VCVTSS2SIrm */
   },
-  { /* 3643 */
-    339,
-    /* VFNMADDPD4rr_REV */
+  { /* 3440 */
+    110,
+    /* VCVTSS2SIrr */
   },
-  { /* 3644 */
-    444,
-    /* VFNMADDPDr132m */
+  { /* 3441 */
+    517,
+    /* VCVTSS2USI64Zrm */
   },
-  { /* 3645 */
-    445,
-    /* VFNMADDPDr132mY */
+  { /* 3442 */
+    518,
+    /* VCVTSS2USI64Zrr */
   },
-  { /* 3646 */
-    446,
-    /* VFNMADDPDr132r */
+  { /* 3443 */
+    519,
+    /* VCVTSS2USIZrm */
   },
-  { /* 3647 */
-    447,
-    /* VFNMADDPDr132rY */
+  { /* 3444 */
+    520,
+    /* VCVTSS2USIZrr */
   },
-  { /* 3648 */
-    444,
-    /* VFNMADDPDr213m */
+  { /* 3445 */
+    44,
+    /* VCVTTPD2DQXrm */
   },
-  { /* 3649 */
-    445,
-    /* VFNMADDPDr213mY */
+  { /* 3446 */
+    480,
+    /* VCVTTPD2DQYrm */
   },
-  { /* 3650 */
-    446,
-    /* VFNMADDPDr213r */
+  { /* 3447 */
+    481,
+    /* VCVTTPD2DQYrr */
   },
-  { /* 3651 */
-    447,
-    /* VFNMADDPDr213rY */
+  { /* 3448 */
+    482,
+    /* VCVTTPD2DQZrm */
   },
-  { /* 3652 */
-    444,
-    /* VFNMADDPDr231m */
+  { /* 3449 */
+    483,
+    /* VCVTTPD2DQZrr */
   },
-  { /* 3653 */
-    445,
-    /* VFNMADDPDr231mY */
+  { /* 3450 */
+    45,
+    /* VCVTTPD2DQrr */
   },
-  { /* 3654 */
-    446,
-    /* VFNMADDPDr231r */
+  { /* 3451 */
+    482,
+    /* VCVTTPD2UDQZrm */
   },
-  { /* 3655 */
-    447,
-    /* VFNMADDPDr231rY */
+  { /* 3452 */
+    483,
+    /* VCVTTPD2UDQZrr */
   },
-  { /* 3656 */
-    338,
-    /* VFNMADDPS4mr */
+  { /* 3453 */
+    475,
+    /* VCVTTPS2DQYrm */
   },
-  { /* 3657 */
-    336,
-    /* VFNMADDPS4mrY */
+  { /* 3454 */
+    476,
+    /* VCVTTPS2DQYrr */
   },
-  { /* 3658 */
-    440,
-    /* VFNMADDPS4rm */
+  { /* 3455 */
+    477,
+    /* VCVTTPS2DQZrm */
   },
-  { /* 3659 */
-    441,
-    /* VFNMADDPS4rmY */
+  { /* 3456 */
+    478,
+    /* VCVTTPS2DQZrr */
   },
-  { /* 3660 */
-    442,
-    /* VFNMADDPS4rr */
+  { /* 3457 */
+    44,
+    /* VCVTTPS2DQrm */
   },
-  { /* 3661 */
-    443,
-    /* VFNMADDPS4rrY */
+  { /* 3458 */
+    45,
+    /* VCVTTPS2DQrr */
   },
-  { /* 3662 */
-    337,
-    /* VFNMADDPS4rrY_REV */
+  { /* 3459 */
+    477,
+    /* VCVTTPS2UDQZrm */
   },
-  { /* 3663 */
-    339,
-    /* VFNMADDPS4rr_REV */
+  { /* 3460 */
+    478,
+    /* VCVTTPS2UDQZrr */
   },
-  { /* 3664 */
-    444,
-    /* VFNMADDPSr132m */
+  { /* 3461 */
+    491,
+    /* VCVTTSD2SI64Zrm */
   },
-  { /* 3665 */
-    445,
-    /* VFNMADDPSr132mY */
+  { /* 3462 */
+    521,
+    /* VCVTTSD2SI64Zrr */
   },
-  { /* 3666 */
-    446,
-    /* VFNMADDPSr132r */
+  { /* 3463 */
+    107,
+    /* VCVTTSD2SI64rm */
   },
-  { /* 3667 */
-    447,
-    /* VFNMADDPSr132rY */
+  { /* 3464 */
+    123,
+    /* VCVTTSD2SI64rr */
   },
-  { /* 3668 */
-    444,
-    /* VFNMADDPSr213m */
+  { /* 3465 */
+    493,
+    /* VCVTTSD2SIZrm */
   },
-  { /* 3669 */
-    445,
-    /* VFNMADDPSr213mY */
+  { /* 3466 */
+    522,
+    /* VCVTTSD2SIZrr */
   },
-  { /* 3670 */
-    446,
-    /* VFNMADDPSr213r */
+  { /* 3467 */
+    109,
+    /* VCVTTSD2SIrm */
   },
-  { /* 3671 */
-    447,
-    /* VFNMADDPSr213rY */
+  { /* 3468 */
+    124,
+    /* VCVTTSD2SIrr */
   },
-  { /* 3672 */
-    444,
-    /* VFNMADDPSr231m */
+  { /* 3469 */
+    491,
+    /* VCVTTSD2USI64Zrm */
   },
-  { /* 3673 */
-    445,
-    /* VFNMADDPSr231mY */
+  { /* 3470 */
+    521,
+    /* VCVTTSD2USI64Zrr */
   },
-  { /* 3674 */
-    446,
-    /* VFNMADDPSr231r */
+  { /* 3471 */
+    493,
+    /* VCVTTSD2USIZrm */
   },
-  { /* 3675 */
-    447,
-    /* VFNMADDPSr231rY */
+  { /* 3472 */
+    522,
+    /* VCVTTSD2USIZrr */
   },
-  { /* 3676 */
-    448,
-    /* VFNMADDSD4mr */
+  { /* 3473 */
+    517,
+    /* VCVTTSS2SI64Zrm */
   },
-  { /* 3677 */
-    0,
-    /*  */
+  { /* 3474 */
+    523,
+    /* VCVTTSS2SI64Zrr */
   },
-  { /* 3678 */
-    449,
-    /* VFNMADDSD4rm */
+  { /* 3475 */
+    121,
+    /* VCVTTSS2SI64rm */
   },
-  { /* 3679 */
-    0,
-    /*  */
+  { /* 3476 */
+    125,
+    /* VCVTTSS2SI64rr */
   },
-  { /* 3680 */
-    450,
-    /* VFNMADDSD4rr */
+  { /* 3477 */
+    519,
+    /* VCVTTSS2SIZrm */
   },
-  { /* 3681 */
-    0,
-    /*  */
+  { /* 3478 */
+    524,
+    /* VCVTTSS2SIZrr */
   },
-  { /* 3682 */
-    451,
-    /* VFNMADDSD4rr_REV */
+  { /* 3479 */
+    122,
+    /* VCVTTSS2SIrm */
   },
-  { /* 3683 */
-    452,
-    /* VFNMADDSDZm */
+  { /* 3480 */
+    126,
+    /* VCVTTSS2SIrr */
   },
-  { /* 3684 */
-    453,
-    /* VFNMADDSDZr */
+  { /* 3481 */
+    517,
+    /* VCVTTSS2USI64Zrm */
   },
-  { /* 3685 */
-    454,
-    /* VFNMADDSDr132m */
+  { /* 3482 */
+    523,
+    /* VCVTTSS2USI64Zrr */
   },
-  { /* 3686 */
-    455,
-    /* VFNMADDSDr132r */
+  { /* 3483 */
+    519,
+    /* VCVTTSS2USIZrm */
   },
-  { /* 3687 */
-    454,
-    /* VFNMADDSDr213m */
+  { /* 3484 */
+    524,
+    /* VCVTTSS2USIZrr */
   },
-  { /* 3688 */
-    455,
-    /* VFNMADDSDr213r */
+  { /* 3485 */
+    400,
+    /* VCVTUDQ2PDZrm */
   },
-  { /* 3689 */
-    454,
-    /* VFNMADDSDr231m */
+  { /* 3486 */
+    474,
+    /* VCVTUDQ2PDZrr */
   },
-  { /* 3690 */
-    455,
-    /* VFNMADDSDr231r */
+  { /* 3487 */
+    477,
+    /* VCVTUDQ2PSZrm */
   },
-  { /* 3691 */
-    456,
-    /* VFNMADDSS4mr */
+  { /* 3488 */
+    478,
+    /* VCVTUDQ2PSZrr */
   },
-  { /* 3692 */
-    0,
-    /*  */
+  { /* 3489 */
+    479,
+    /* VCVTUDQ2PSZrrb */
   },
-  { /* 3693 */
-    457,
-    /* VFNMADDSS4rm */
+  { /* 3490 */
+    501,
+    /* VCVTUSI2SDZrm */
   },
-  { /* 3694 */
-    0,
-    /*  */
+  { /* 3491 */
+    502,
+    /* VCVTUSI2SDZrr */
   },
-  { /* 3695 */
-    458,
-    /* VFNMADDSS4rr */
+  { /* 3492 */
+    506,
+    /* VCVTUSI2SSZrm */
   },
-  { /* 3696 */
-    0,
-    /*  */
+  { /* 3493 */
+    507,
+    /* VCVTUSI2SSZrr */
   },
-  { /* 3697 */
-    459,
-    /* VFNMADDSS4rr_REV */
+  { /* 3494 */
+    509,
+    /* VCVTUSI642SDZrm */
   },
-  { /* 3698 */
-    460,
-    /* VFNMADDSSZm */
+  { /* 3495 */
+    510,
+    /* VCVTUSI642SDZrr */
   },
-  { /* 3699 */
-    461,
-    /* VFNMADDSSZr */
+  { /* 3496 */
+    511,
+    /* VCVTUSI642SSZrm */
   },
-  { /* 3700 */
-    462,
-    /* VFNMADDSSr132m */
+  { /* 3497 */
+    512,
+    /* VCVTUSI642SSZrr */
   },
-  { /* 3701 */
-    463,
-    /* VFNMADDSSr132r */
+  { /* 3498 */
+    302,
+    /* VDIVPDYrm */
   },
-  { /* 3702 */
-    462,
-    /* VFNMADDSSr213m */
+  { /* 3499 */
+    303,
+    /* VDIVPDYrr */
   },
-  { /* 3703 */
-    463,
-    /* VFNMADDSSr213r */
+  { /* 3500 */
+    304,
+    /* VDIVPDZ128rm */
   },
-  { /* 3704 */
-    462,
-    /* VFNMADDSSr231m */
+  { /* 3501 */
+    305,
+    /* VDIVPDZ128rmb */
   },
-  { /* 3705 */
-    463,
-    /* VFNMADDSSr231r */
+  { /* 3502 */
+    306,
+    /* VDIVPDZ128rmbk */
   },
-  { /* 3706 */
-    434,
-    /* VFNMSUB132PDZm */
+  { /* 3503 */
+    307,
+    /* VDIVPDZ128rmbkz */
   },
-  { /* 3707 */
-    435,
-    /* VFNMSUB132PDZmb */
+  { /* 3504 */
+    308,
+    /* VDIVPDZ128rmk */
   },
-  { /* 3708 */
-    434,
-    /* VFNMSUB132PSZm */
+  { /* 3505 */
+    309,
+    /* VDIVPDZ128rmkz */
   },
-  { /* 3709 */
-    436,
-    /* VFNMSUB132PSZmb */
+  { /* 3506 */
+    310,
+    /* VDIVPDZ128rr */
   },
-  { /* 3710 */
-    434,
-    /* VFNMSUB213PDZm */
+  { /* 3507 */
+    311,
+    /* VDIVPDZ128rrk */
   },
-  { /* 3711 */
-    435,
-    /* VFNMSUB213PDZmb */
+  { /* 3508 */
+    312,
+    /* VDIVPDZ128rrkz */
   },
-  { /* 3712 */
-    437,
-    /* VFNMSUB213PDZr */
+  { /* 3509 */
+    313,
+    /* VDIVPDZ256rm */
   },
-  { /* 3713 */
-    438,
-    /* VFNMSUB213PDZrk */
+  { /* 3510 */
+    314,
+    /* VDIVPDZ256rmb */
   },
-  { /* 3714 */
-    438,
-    /* VFNMSUB213PDZrkz */
+  { /* 3511 */
+    315,
+    /* VDIVPDZ256rmbk */
   },
-  { /* 3715 */
-    434,
-    /* VFNMSUB213PSZm */
+  { /* 3512 */
+    316,
+    /* VDIVPDZ256rmbkz */
   },
-  { /* 3716 */
-    436,
-    /* VFNMSUB213PSZmb */
+  { /* 3513 */
+    317,
+    /* VDIVPDZ256rmk */
   },
-  { /* 3717 */
-    437,
-    /* VFNMSUB213PSZr */
+  { /* 3514 */
+    318,
+    /* VDIVPDZ256rmkz */
   },
-  { /* 3718 */
-    439,
-    /* VFNMSUB213PSZrk */
+  { /* 3515 */
+    319,
+    /* VDIVPDZ256rr */
   },
-  { /* 3719 */
-    439,
-    /* VFNMSUB213PSZrkz */
+  { /* 3516 */
+    320,
+    /* VDIVPDZ256rrk */
   },
-  { /* 3720 */
-    338,
-    /* VFNMSUBPD4mr */
+  { /* 3517 */
+    321,
+    /* VDIVPDZ256rrkz */
   },
-  { /* 3721 */
-    336,
-    /* VFNMSUBPD4mrY */
+  { /* 3518 */
+    322,
+    /* VDIVPDZrb */
   },
-  { /* 3722 */
-    440,
-    /* VFNMSUBPD4rm */
+  { /* 3519 */
+    323,
+    /* VDIVPDZrbk */
   },
-  { /* 3723 */
-    441,
-    /* VFNMSUBPD4rmY */
+  { /* 3520 */
+    324,
+    /* VDIVPDZrbkz */
   },
-  { /* 3724 */
-    442,
-    /* VFNMSUBPD4rr */
+  { /* 3521 */
+    325,
+    /* VDIVPDZrm */
   },
-  { /* 3725 */
-    443,
-    /* VFNMSUBPD4rrY */
+  { /* 3522 */
+    326,
+    /* VDIVPDZrmb */
   },
-  { /* 3726 */
-    337,
-    /* VFNMSUBPD4rrY_REV */
+  { /* 3523 */
+    327,
+    /* VDIVPDZrmbk */
   },
-  { /* 3727 */
-    339,
-    /* VFNMSUBPD4rr_REV */
+  { /* 3524 */
+    328,
+    /* VDIVPDZrmbkz */
   },
-  { /* 3728 */
-    444,
-    /* VFNMSUBPDr132m */
+  { /* 3525 */
+    329,
+    /* VDIVPDZrmk */
   },
-  { /* 3729 */
-    445,
-    /* VFNMSUBPDr132mY */
+  { /* 3526 */
+    330,
+    /* VDIVPDZrmkz */
   },
-  { /* 3730 */
-    446,
-    /* VFNMSUBPDr132r */
+  { /* 3527 */
+    331,
+    /* VDIVPDZrr */
   },
-  { /* 3731 */
-    447,
-    /* VFNMSUBPDr132rY */
+  { /* 3528 */
+    332,
+    /* VDIVPDZrrk */
   },
-  { /* 3732 */
-    444,
-    /* VFNMSUBPDr213m */
+  { /* 3529 */
+    333,
+    /* VDIVPDZrrkz */
   },
-  { /* 3733 */
-    445,
-    /* VFNMSUBPDr213mY */
+  { /* 3530 */
+    334,
+    /* VDIVPDrm */
   },
-  { /* 3734 */
-    446,
-    /* VFNMSUBPDr213r */
+  { /* 3531 */
+    335,
+    /* VDIVPDrr */
   },
-  { /* 3735 */
-    447,
-    /* VFNMSUBPDr213rY */
+  { /* 3532 */
+    302,
+    /* VDIVPSYrm */
   },
-  { /* 3736 */
-    444,
-    /* VFNMSUBPDr231m */
+  { /* 3533 */
+    303,
+    /* VDIVPSYrr */
   },
-  { /* 3737 */
-    445,
-    /* VFNMSUBPDr231mY */
+  { /* 3534 */
+    304,
+    /* VDIVPSZ128rm */
   },
-  { /* 3738 */
-    446,
-    /* VFNMSUBPDr231r */
+  { /* 3535 */
+    336,
+    /* VDIVPSZ128rmb */
   },
-  { /* 3739 */
-    447,
-    /* VFNMSUBPDr231rY */
+  { /* 3536 */
+    337,
+    /* VDIVPSZ128rmbk */
   },
-  { /* 3740 */
+  { /* 3537 */
     338,
-    /* VFNMSUBPS4mr */
+    /* VDIVPSZ128rmbkz */
   },
-  { /* 3741 */
-    336,
-    /* VFNMSUBPS4mrY */
+  { /* 3538 */
+    339,
+    /* VDIVPSZ128rmk */
   },
-  { /* 3742 */
-    440,
-    /* VFNMSUBPS4rm */
+  { /* 3539 */
+    340,
+    /* VDIVPSZ128rmkz */
   },
-  { /* 3743 */
-    441,
-    /* VFNMSUBPS4rmY */
+  { /* 3540 */
+    310,
+    /* VDIVPSZ128rr */
   },
-  { /* 3744 */
-    442,
-    /* VFNMSUBPS4rr */
+  { /* 3541 */
+    341,
+    /* VDIVPSZ128rrk */
+  },
+  { /* 3542 */
+    342,
+    /* VDIVPSZ128rrkz */
+  },
+  { /* 3543 */
+    313,
+    /* VDIVPSZ256rm */
+  },
+  { /* 3544 */
+    343,
+    /* VDIVPSZ256rmb */
+  },
+  { /* 3545 */
+    344,
+    /* VDIVPSZ256rmbk */
+  },
+  { /* 3546 */
+    345,
+    /* VDIVPSZ256rmbkz */
+  },
+  { /* 3547 */
+    346,
+    /* VDIVPSZ256rmk */
+  },
+  { /* 3548 */
+    347,
+    /* VDIVPSZ256rmkz */
+  },
+  { /* 3549 */
+    319,
+    /* VDIVPSZ256rr */
+  },
+  { /* 3550 */
+    348,
+    /* VDIVPSZ256rrk */
+  },
+  { /* 3551 */
+    349,
+    /* VDIVPSZ256rrkz */
+  },
+  { /* 3552 */
+    350,
+    /* VDIVPSZrb */
+  },
+  { /* 3553 */
+    351,
+    /* VDIVPSZrbk */
+  },
+  { /* 3554 */
+    352,
+    /* VDIVPSZrbkz */
+  },
+  { /* 3555 */
+    325,
+    /* VDIVPSZrm */
+  },
+  { /* 3556 */
+    353,
+    /* VDIVPSZrmb */
+  },
+  { /* 3557 */
+    354,
+    /* VDIVPSZrmbk */
+  },
+  { /* 3558 */
+    355,
+    /* VDIVPSZrmbkz */
+  },
+  { /* 3559 */
+    356,
+    /* VDIVPSZrmk */
+  },
+  { /* 3560 */
+    357,
+    /* VDIVPSZrmkz */
+  },
+  { /* 3561 */
+    331,
+    /* VDIVPSZrr */
+  },
+  { /* 3562 */
+    358,
+    /* VDIVPSZrrk */
+  },
+  { /* 3563 */
+    359,
+    /* VDIVPSZrrkz */
+  },
+  { /* 3564 */
+    334,
+    /* VDIVPSrm */
+  },
+  { /* 3565 */
+    335,
+    /* VDIVPSrr */
+  },
+  { /* 3566 */
+    0,
+    /*  */
+  },
+  { /* 3567 */
+    360,
+    /* VDIVSDZrm_Int */
+  },
+  { /* 3568 */
+    361,
+    /* VDIVSDZrm_Intk */
+  },
+  { /* 3569 */
+    362,
+    /* VDIVSDZrm_Intkz */
+  },
+  { /* 3570 */
+    0,
+    /*  */
+  },
+  { /* 3571 */
+    363,
+    /* VDIVSDZrr_Int */
+  },
+  { /* 3572 */
+    364,
+    /* VDIVSDZrr_Intk */
+  },
+  { /* 3573 */
+    365,
+    /* VDIVSDZrr_Intkz */
+  },
+  { /* 3574 */
+    366,
+    /* VDIVSDZrrb */
+  },
+  { /* 3575 */
+    367,
+    /* VDIVSDZrrbk */
+  },
+  { /* 3576 */
+    368,
+    /* VDIVSDZrrbkz */
+  },
+  { /* 3577 */
+    369,
+    /* VDIVSDrm */
+  },
+  { /* 3578 */
+    0,
+    /*  */
+  },
+  { /* 3579 */
+    370,
+    /* VDIVSDrr */
+  },
+  { /* 3580 */
+    0,
+    /*  */
+  },
+  { /* 3581 */
+    0,
+    /*  */
+  },
+  { /* 3582 */
+    371,
+    /* VDIVSSZrm_Int */
+  },
+  { /* 3583 */
+    372,
+    /* VDIVSSZrm_Intk */
+  },
+  { /* 3584 */
+    373,
+    /* VDIVSSZrm_Intkz */
+  },
+  { /* 3585 */
+    0,
+    /*  */
+  },
+  { /* 3586 */
+    374,
+    /* VDIVSSZrr_Int */
+  },
+  { /* 3587 */
+    375,
+    /* VDIVSSZrr_Intk */
+  },
+  { /* 3588 */
+    376,
+    /* VDIVSSZrr_Intkz */
+  },
+  { /* 3589 */
+    377,
+    /* VDIVSSZrrb */
+  },
+  { /* 3590 */
+    378,
+    /* VDIVSSZrrbk */
+  },
+  { /* 3591 */
+    379,
+    /* VDIVSSZrrbkz */
+  },
+  { /* 3592 */
+    380,
+    /* VDIVSSrm */
+  },
+  { /* 3593 */
+    0,
+    /*  */
+  },
+  { /* 3594 */
+    381,
+    /* VDIVSSrr */
+  },
+  { /* 3595 */
+    0,
+    /*  */
+  },
+  { /* 3596 */
+    390,
+    /* VDPPDrmi */
+  },
+  { /* 3597 */
+    391,
+    /* VDPPDrri */
+  },
+  { /* 3598 */
+    388,
+    /* VDPPSYrmi */
+  },
+  { /* 3599 */
+    389,
+    /* VDPPSYrri */
+  },
+  { /* 3600 */
+    390,
+    /* VDPPSrmi */
+  },
+  { /* 3601 */
+    391,
+    /* VDPPSrri */
+  },
+  { /* 3602 */
+    38,
+    /* VERRm */
+  },
+  { /* 3603 */
+    194,
+    /* VERRr */
+  },
+  { /* 3604 */
+    38,
+    /* VERWm */
+  },
+  { /* 3605 */
+    194,
+    /* VERWr */
+  },
+  { /* 3606 */
+    477,
+    /* VEXP2PDm */
+  },
+  { /* 3607 */
+    525,
+    /* VEXP2PDmb */
+  },
+  { /* 3608 */
+    526,
+    /* VEXP2PDmbk */
+  },
+  { /* 3609 */
+    527,
+    /* VEXP2PDmbkz */
+  },
+  { /* 3610 */
+    528,
+    /* VEXP2PDmk */
+  },
+  { /* 3611 */
+    529,
+    /* VEXP2PDmkz */
+  },
+  { /* 3612 */
+    478,
+    /* VEXP2PDr */
+  },
+  { /* 3613 */
+    530,
+    /* VEXP2PDrb */
+  },
+  { /* 3614 */
+    531,
+    /* VEXP2PDrbk */
+  },
+  { /* 3615 */
+    532,
+    /* VEXP2PDrbkz */
+  },
+  { /* 3616 */
+    533,
+    /* VEXP2PDrk */
+  },
+  { /* 3617 */
+    534,
+    /* VEXP2PDrkz */
+  },
+  { /* 3618 */
+    477,
+    /* VEXP2PSm */
+  },
+  { /* 3619 */
+    525,
+    /* VEXP2PSmb */
+  },
+  { /* 3620 */
+    535,
+    /* VEXP2PSmbk */
+  },
+  { /* 3621 */
+    536,
+    /* VEXP2PSmbkz */
+  },
+  { /* 3622 */
+    537,
+    /* VEXP2PSmk */
+  },
+  { /* 3623 */
+    538,
+    /* VEXP2PSmkz */
+  },
+  { /* 3624 */
+    478,
+    /* VEXP2PSr */
+  },
+  { /* 3625 */
+    530,
+    /* VEXP2PSrb */
+  },
+  { /* 3626 */
+    539,
+    /* VEXP2PSrbk */
+  },
+  { /* 3627 */
+    540,
+    /* VEXP2PSrbkz */
+  },
+  { /* 3628 */
+    541,
+    /* VEXP2PSrk */
+  },
+  { /* 3629 */
+    542,
+    /* VEXP2PSrkz */
+  },
+  { /* 3630 */
+    543,
+    /* VEXPANDPDZ128rmk */
+  },
+  { /* 3631 */
+    544,
+    /* VEXPANDPDZ128rmkz */
+  },
+  { /* 3632 */
+    545,
+    /* VEXPANDPDZ128rrk */
+  },
+  { /* 3633 */
+    546,
+    /* VEXPANDPDZ128rrkz */
+  },
+  { /* 3634 */
+    547,
+    /* VEXPANDPDZ256rmk */
+  },
+  { /* 3635 */
+    548,
+    /* VEXPANDPDZ256rmkz */
+  },
+  { /* 3636 */
+    549,
+    /* VEXPANDPDZ256rrk */
+  },
+  { /* 3637 */
+    550,
+    /* VEXPANDPDZ256rrkz */
+  },
+  { /* 3638 */
+    551,
+    /* VEXPANDPDZrmk */
+  },
+  { /* 3639 */
+    552,
+    /* VEXPANDPDZrmkz */
+  },
+  { /* 3640 */
+    533,
+    /* VEXPANDPDZrrk */
+  },
+  { /* 3641 */
+    534,
+    /* VEXPANDPDZrrkz */
+  },
+  { /* 3642 */
+    553,
+    /* VEXPANDPSZ128rmk */
+  },
+  { /* 3643 */
+    554,
+    /* VEXPANDPSZ128rmkz */
+  },
+  { /* 3644 */
+    555,
+    /* VEXPANDPSZ128rrk */
+  },
+  { /* 3645 */
+    556,
+    /* VEXPANDPSZ128rrkz */
+  },
+  { /* 3646 */
+    557,
+    /* VEXPANDPSZ256rmk */
+  },
+  { /* 3647 */
+    558,
+    /* VEXPANDPSZ256rmkz */
+  },
+  { /* 3648 */
+    559,
+    /* VEXPANDPSZ256rrk */
+  },
+  { /* 3649 */
+    560,
+    /* VEXPANDPSZ256rrkz */
+  },
+  { /* 3650 */
+    535,
+    /* VEXPANDPSZrmk */
+  },
+  { /* 3651 */
+    536,
+    /* VEXPANDPSZrmkz */
+  },
+  { /* 3652 */
+    541,
+    /* VEXPANDPSZrrk */
+  },
+  { /* 3653 */
+    542,
+    /* VEXPANDPSZrrkz */
+  },
+  { /* 3654 */
+    485,
+    /* VEXTRACTF128mr */
+  },
+  { /* 3655 */
+    486,
+    /* VEXTRACTF128rr */
+  },
+  { /* 3656 */
+    561,
+    /* VEXTRACTF32x4rm */
+  },
+  { /* 3657 */
+    562,
+    /* VEXTRACTF32x4rr */
+  },
+  { /* 3658 */
+    563,
+    /* VEXTRACTF32x4rrk */
+  },
+  { /* 3659 */
+    564,
+    /* VEXTRACTF32x4rrkz */
+  },
+  { /* 3660 */
+    487,
+    /* VEXTRACTF64x4rm */
+  },
+  { /* 3661 */
+    565,
+    /* VEXTRACTF64x4rr */
+  },
+  { /* 3662 */
+    566,
+    /* VEXTRACTF64x4rrk */
+  },
+  { /* 3663 */
+    567,
+    /* VEXTRACTF64x4rrkz */
+  },
+  { /* 3664 */
+    485,
+    /* VEXTRACTI128mr */
+  },
+  { /* 3665 */
+    486,
+    /* VEXTRACTI128rr */
+  },
+  { /* 3666 */
+    561,
+    /* VEXTRACTI32x4rm */
+  },
+  { /* 3667 */
+    562,
+    /* VEXTRACTI32x4rr */
+  },
+  { /* 3668 */
+    563,
+    /* VEXTRACTI32x4rrk */
+  },
+  { /* 3669 */
+    564,
+    /* VEXTRACTI32x4rrkz */
+  },
+  { /* 3670 */
+    487,
+    /* VEXTRACTI64x4rm */
+  },
+  { /* 3671 */
+    565,
+    /* VEXTRACTI64x4rr */
+  },
+  { /* 3672 */
+    566,
+    /* VEXTRACTI64x4rrk */
+  },
+  { /* 3673 */
+    567,
+    /* VEXTRACTI64x4rrkz */
+  },
+  { /* 3674 */
+    132,
+    /* VEXTRACTPSmr */
+  },
+  { /* 3675 */
+    133,
+    /* VEXTRACTPSrr */
+  },
+  { /* 3676 */
+    568,
+    /* VEXTRACTPSzmr */
+  },
+  { /* 3677 */
+    569,
+    /* VEXTRACTPSzrr */
+  },
+  { /* 3678 */
+    570,
+    /* VFMADD132PDZ128m */
+  },
+  { /* 3679 */
+    571,
+    /* VFMADD132PDZ128mb */
+  },
+  { /* 3680 */
+    572,
+    /* VFMADD132PDZ256m */
+  },
+  { /* 3681 */
+    573,
+    /* VFMADD132PDZ256mb */
+  },
+  { /* 3682 */
+    574,
+    /* VFMADD132PDZm */
+  },
+  { /* 3683 */
+    575,
+    /* VFMADD132PDZmb */
+  },
+  { /* 3684 */
+    570,
+    /* VFMADD132PSZ128m */
+  },
+  { /* 3685 */
+    576,
+    /* VFMADD132PSZ128mb */
+  },
+  { /* 3686 */
+    572,
+    /* VFMADD132PSZ256m */
+  },
+  { /* 3687 */
+    577,
+    /* VFMADD132PSZ256mb */
+  },
+  { /* 3688 */
+    574,
+    /* VFMADD132PSZm */
+  },
+  { /* 3689 */
+    578,
+    /* VFMADD132PSZmb */
+  },
+  { /* 3690 */
+    394,
+    /* VFMADDPD4mr */
+  },
+  { /* 3691 */
+    392,
+    /* VFMADDPD4mrY */
+  },
+  { /* 3692 */
+    579,
+    /* VFMADDPD4rm */
+  },
+  { /* 3693 */
+    580,
+    /* VFMADDPD4rmY */
+  },
+  { /* 3694 */
+    581,
+    /* VFMADDPD4rr */
+  },
+  { /* 3695 */
+    582,
+    /* VFMADDPD4rrY */
+  },
+  { /* 3696 */
+    393,
+    /* VFMADDPD4rrY_REV */
+  },
+  { /* 3697 */
+    395,
+    /* VFMADDPD4rr_REV */
+  },
+  { /* 3698 */
+    570,
+    /* VFMADDPDZ128v213rm */
+  },
+  { /* 3699 */
+    583,
+    /* VFMADDPDZ128v213rmb */
+  },
+  { /* 3700 */
+    306,
+    /* VFMADDPDZ128v213rmbk */
+  },
+  { /* 3701 */
+    306,
+    /* VFMADDPDZ128v213rmbkz */
+  },
+  { /* 3702 */
+    308,
+    /* VFMADDPDZ128v213rmk */
+  },
+  { /* 3703 */
+    308,
+    /* VFMADDPDZ128v213rmkz */
+  },
+  { /* 3704 */
+    584,
+    /* VFMADDPDZ128v213rr */
+  },
+  { /* 3705 */
+    311,
+    /* VFMADDPDZ128v213rrk */
+  },
+  { /* 3706 */
+    311,
+    /* VFMADDPDZ128v213rrkz */
+  },
+  { /* 3707 */
+    570,
+    /* VFMADDPDZ128v231rm */
+  },
+  { /* 3708 */
+    583,
+    /* VFMADDPDZ128v231rmb */
+  },
+  { /* 3709 */
+    306,
+    /* VFMADDPDZ128v231rmbk */
+  },
+  { /* 3710 */
+    306,
+    /* VFMADDPDZ128v231rmbkz */
+  },
+  { /* 3711 */
+    308,
+    /* VFMADDPDZ128v231rmk */
+  },
+  { /* 3712 */
+    308,
+    /* VFMADDPDZ128v231rmkz */
+  },
+  { /* 3713 */
+    584,
+    /* VFMADDPDZ128v231rr */
+  },
+  { /* 3714 */
+    311,
+    /* VFMADDPDZ128v231rrk */
+  },
+  { /* 3715 */
+    311,
+    /* VFMADDPDZ128v231rrkz */
+  },
+  { /* 3716 */
+    572,
+    /* VFMADDPDZ256v213rm */
+  },
+  { /* 3717 */
+    585,
+    /* VFMADDPDZ256v213rmb */
+  },
+  { /* 3718 */
+    315,
+    /* VFMADDPDZ256v213rmbk */
+  },
+  { /* 3719 */
+    315,
+    /* VFMADDPDZ256v213rmbkz */
+  },
+  { /* 3720 */
+    317,
+    /* VFMADDPDZ256v213rmk */
+  },
+  { /* 3721 */
+    317,
+    /* VFMADDPDZ256v213rmkz */
+  },
+  { /* 3722 */
+    586,
+    /* VFMADDPDZ256v213rr */
+  },
+  { /* 3723 */
+    320,
+    /* VFMADDPDZ256v213rrk */
+  },
+  { /* 3724 */
+    320,
+    /* VFMADDPDZ256v213rrkz */
+  },
+  { /* 3725 */
+    572,
+    /* VFMADDPDZ256v231rm */
+  },
+  { /* 3726 */
+    585,
+    /* VFMADDPDZ256v231rmb */
+  },
+  { /* 3727 */
+    315,
+    /* VFMADDPDZ256v231rmbk */
+  },
+  { /* 3728 */
+    315,
+    /* VFMADDPDZ256v231rmbkz */
+  },
+  { /* 3729 */
+    317,
+    /* VFMADDPDZ256v231rmk */
+  },
+  { /* 3730 */
+    317,
+    /* VFMADDPDZ256v231rmkz */
+  },
+  { /* 3731 */
+    586,
+    /* VFMADDPDZ256v231rr */
+  },
+  { /* 3732 */
+    320,
+    /* VFMADDPDZ256v231rrk */
+  },
+  { /* 3733 */
+    320,
+    /* VFMADDPDZ256v231rrkz */
+  },
+  { /* 3734 */
+    574,
+    /* VFMADDPDZv213rm */
+  },
+  { /* 3735 */
+    587,
+    /* VFMADDPDZv213rmb */
+  },
+  { /* 3736 */
+    327,
+    /* VFMADDPDZv213rmbk */
+  },
+  { /* 3737 */
+    327,
+    /* VFMADDPDZv213rmbkz */
+  },
+  { /* 3738 */
+    329,
+    /* VFMADDPDZv213rmk */
+  },
+  { /* 3739 */
+    329,
+    /* VFMADDPDZv213rmkz */
+  },
+  { /* 3740 */
+    588,
+    /* VFMADDPDZv213rr */
+  },
+  { /* 3741 */
+    589,
+    /* VFMADDPDZv213rrb */
+  },
+  { /* 3742 */
+    323,
+    /* VFMADDPDZv213rrbk */
+  },
+  { /* 3743 */
+    323,
+    /* VFMADDPDZv213rrbkz */
+  },
+  { /* 3744 */
+    332,
+    /* VFMADDPDZv213rrk */
   },
   { /* 3745 */
-    443,
-    /* VFNMSUBPS4rrY */
+    332,
+    /* VFMADDPDZv213rrkz */
   },
   { /* 3746 */
-    337,
-    /* VFNMSUBPS4rrY_REV */
+    574,
+    /* VFMADDPDZv231rm */
   },
   { /* 3747 */
-    339,
-    /* VFNMSUBPS4rr_REV */
+    587,
+    /* VFMADDPDZv231rmb */
   },
   { /* 3748 */
-    444,
-    /* VFNMSUBPSr132m */
+    327,
+    /* VFMADDPDZv231rmbk */
   },
   { /* 3749 */
-    445,
-    /* VFNMSUBPSr132mY */
+    327,
+    /* VFMADDPDZv231rmbkz */
   },
   { /* 3750 */
-    446,
-    /* VFNMSUBPSr132r */
+    329,
+    /* VFMADDPDZv231rmk */
   },
   { /* 3751 */
-    447,
-    /* VFNMSUBPSr132rY */
+    329,
+    /* VFMADDPDZv231rmkz */
   },
   { /* 3752 */
-    444,
-    /* VFNMSUBPSr213m */
+    588,
+    /* VFMADDPDZv231rr */
   },
   { /* 3753 */
-    445,
-    /* VFNMSUBPSr213mY */
+    332,
+    /* VFMADDPDZv231rrk */
   },
   { /* 3754 */
-    446,
-    /* VFNMSUBPSr213r */
+    332,
+    /* VFMADDPDZv231rrkz */
   },
   { /* 3755 */
-    447,
-    /* VFNMSUBPSr213rY */
+    590,
+    /* VFMADDPDr132m */
   },
   { /* 3756 */
-    444,
-    /* VFNMSUBPSr231m */
+    591,
+    /* VFMADDPDr132mY */
   },
   { /* 3757 */
-    445,
-    /* VFNMSUBPSr231mY */
+    592,
+    /* VFMADDPDr132r */
   },
   { /* 3758 */
-    446,
-    /* VFNMSUBPSr231r */
+    593,
+    /* VFMADDPDr132rY */
   },
   { /* 3759 */
-    447,
-    /* VFNMSUBPSr231rY */
+    590,
+    /* VFMADDPDr213m */
   },
   { /* 3760 */
-    448,
-    /* VFNMSUBSD4mr */
+    591,
+    /* VFMADDPDr213mY */
   },
   { /* 3761 */
-    0,
-    /*  */
+    592,
+    /* VFMADDPDr213r */
   },
   { /* 3762 */
-    449,
-    /* VFNMSUBSD4rm */
+    593,
+    /* VFMADDPDr213rY */
   },
   { /* 3763 */
-    0,
-    /*  */
+    590,
+    /* VFMADDPDr231m */
   },
   { /* 3764 */
-    450,
-    /* VFNMSUBSD4rr */
+    591,
+    /* VFMADDPDr231mY */
   },
   { /* 3765 */
-    0,
-    /*  */
+    592,
+    /* VFMADDPDr231r */
   },
   { /* 3766 */
-    451,
-    /* VFNMSUBSD4rr_REV */
+    593,
+    /* VFMADDPDr231rY */
   },
   { /* 3767 */
-    452,
-    /* VFNMSUBSDZm */
+    394,
+    /* VFMADDPS4mr */
   },
   { /* 3768 */
-    453,
-    /* VFNMSUBSDZr */
+    392,
+    /* VFMADDPS4mrY */
   },
   { /* 3769 */
-    454,
-    /* VFNMSUBSDr132m */
+    579,
+    /* VFMADDPS4rm */
   },
   { /* 3770 */
-    455,
-    /* VFNMSUBSDr132r */
+    580,
+    /* VFMADDPS4rmY */
   },
   { /* 3771 */
-    454,
-    /* VFNMSUBSDr213m */
+    581,
+    /* VFMADDPS4rr */
   },
   { /* 3772 */
-    455,
-    /* VFNMSUBSDr213r */
+    582,
+    /* VFMADDPS4rrY */
   },
   { /* 3773 */
-    454,
-    /* VFNMSUBSDr231m */
+    393,
+    /* VFMADDPS4rrY_REV */
   },
   { /* 3774 */
-    455,
-    /* VFNMSUBSDr231r */
+    395,
+    /* VFMADDPS4rr_REV */
   },
   { /* 3775 */
-    456,
-    /* VFNMSUBSS4mr */
+    570,
+    /* VFMADDPSZ128v213rm */
   },
   { /* 3776 */
-    0,
-    /*  */
+    576,
+    /* VFMADDPSZ128v213rmb */
   },
   { /* 3777 */
-    457,
-    /* VFNMSUBSS4rm */
+    337,
+    /* VFMADDPSZ128v213rmbk */
   },
   { /* 3778 */
-    0,
-    /*  */
+    337,
+    /* VFMADDPSZ128v213rmbkz */
   },
   { /* 3779 */
-    458,
-    /* VFNMSUBSS4rr */
+    339,
+    /* VFMADDPSZ128v213rmk */
   },
   { /* 3780 */
-    0,
-    /*  */
+    339,
+    /* VFMADDPSZ128v213rmkz */
   },
   { /* 3781 */
-    459,
-    /* VFNMSUBSS4rr_REV */
+    584,
+    /* VFMADDPSZ128v213rr */
   },
   { /* 3782 */
-    460,
-    /* VFNMSUBSSZm */
+    341,
+    /* VFMADDPSZ128v213rrk */
   },
   { /* 3783 */
-    461,
-    /* VFNMSUBSSZr */
+    341,
+    /* VFMADDPSZ128v213rrkz */
   },
   { /* 3784 */
-    462,
-    /* VFNMSUBSSr132m */
+    570,
+    /* VFMADDPSZ128v231rm */
   },
   { /* 3785 */
-    463,
-    /* VFNMSUBSSr132r */
+    576,
+    /* VFMADDPSZ128v231rmb */
   },
   { /* 3786 */
-    462,
-    /* VFNMSUBSSr213m */
+    337,
+    /* VFMADDPSZ128v231rmbk */
   },
   { /* 3787 */
-    463,
-    /* VFNMSUBSSr213r */
+    337,
+    /* VFMADDPSZ128v231rmbkz */
   },
   { /* 3788 */
-    462,
-    /* VFNMSUBSSr231m */
+    339,
+    /* VFMADDPSZ128v231rmk */
   },
   { /* 3789 */
-    463,
-    /* VFNMSUBSSr231r */
+    339,
+    /* VFMADDPSZ128v231rmkz */
   },
   { /* 3790 */
-    44,
-    /* VFRCZPDrm */
+    584,
+    /* VFMADDPSZ128v231rr */
   },
   { /* 3791 */
-    376,
-    /* VFRCZPDrmY */
+    341,
+    /* VFMADDPSZ128v231rrk */
   },
   { /* 3792 */
-    45,
-    /* VFRCZPDrr */
+    341,
+    /* VFMADDPSZ128v231rrkz */
   },
   { /* 3793 */
-    377,
-    /* VFRCZPDrrY */
+    572,
+    /* VFMADDPSZ256v213rm */
   },
   { /* 3794 */
-    44,
-    /* VFRCZPSrm */
+    577,
+    /* VFMADDPSZ256v213rmb */
   },
   { /* 3795 */
-    376,
-    /* VFRCZPSrmY */
+    344,
+    /* VFMADDPSZ256v213rmbk */
   },
   { /* 3796 */
-    45,
-    /* VFRCZPSrr */
+    344,
+    /* VFMADDPSZ256v213rmbkz */
   },
   { /* 3797 */
-    377,
-    /* VFRCZPSrrY */
+    346,
+    /* VFMADDPSZ256v213rmk */
   },
   { /* 3798 */
-    106,
-    /* VFRCZSDrm */
+    346,
+    /* VFMADDPSZ256v213rmkz */
   },
   { /* 3799 */
-    45,
-    /* VFRCZSDrr */
+    586,
+    /* VFMADDPSZ256v213rr */
   },
   { /* 3800 */
-    352,
-    /* VFRCZSSrm */
+    348,
+    /* VFMADDPSZ256v213rrk */
   },
   { /* 3801 */
-    45,
-    /* VFRCZSSrr */
+    348,
+    /* VFMADDPSZ256v213rrkz */
   },
   { /* 3802 */
-    0,
-    /*  */
+    572,
+    /* VFMADDPSZ256v231rm */
   },
   { /* 3803 */
-    0,
-    /*  */
+    577,
+    /* VFMADDPSZ256v231rmb */
   },
   { /* 3804 */
-    0,
-    /*  */
+    344,
+    /* VFMADDPSZ256v231rmbk */
   },
   { /* 3805 */
-    0,
-    /*  */
+    344,
+    /* VFMADDPSZ256v231rmbkz */
   },
   { /* 3806 */
-    0,
-    /*  */
+    346,
+    /* VFMADDPSZ256v231rmk */
   },
   { /* 3807 */
-    0,
-    /*  */
+    346,
+    /* VFMADDPSZ256v231rmkz */
   },
   { /* 3808 */
-    0,
-    /*  */
+    586,
+    /* VFMADDPSZ256v231rr */
   },
   { /* 3809 */
-    0,
-    /*  */
+    348,
+    /* VFMADDPSZ256v231rrk */
   },
   { /* 3810 */
-    0,
-    /*  */
+    348,
+    /* VFMADDPSZ256v231rrkz */
   },
   { /* 3811 */
-    0,
-    /*  */
+    574,
+    /* VFMADDPSZv213rm */
   },
   { /* 3812 */
-    0,
-    /*  */
+    578,
+    /* VFMADDPSZv213rmb */
   },
   { /* 3813 */
-    0,
-    /*  */
+    354,
+    /* VFMADDPSZv213rmbk */
   },
   { /* 3814 */
-    0,
-    /*  */
+    354,
+    /* VFMADDPSZv213rmbkz */
   },
   { /* 3815 */
-    0,
-    /*  */
+    356,
+    /* VFMADDPSZv213rmk */
   },
   { /* 3816 */
-    0,
-    /*  */
+    356,
+    /* VFMADDPSZv213rmkz */
   },
   { /* 3817 */
-    0,
-    /*  */
+    588,
+    /* VFMADDPSZv213rr */
   },
   { /* 3818 */
-    464,
-    /* VGATHERDPDYrm */
+    594,
+    /* VFMADDPSZv213rrb */
   },
   { /* 3819 */
-    465,
-    /* VGATHERDPDZrm */
+    351,
+    /* VFMADDPSZv213rrbk */
   },
   { /* 3820 */
-    466,
-    /* VGATHERDPDrm */
+    351,
+    /* VFMADDPSZv213rrbkz */
   },
   { /* 3821 */
-    467,
-    /* VGATHERDPSYrm */
+    358,
+    /* VFMADDPSZv213rrk */
   },
   { /* 3822 */
-    468,
-    /* VGATHERDPSZrm */
+    358,
+    /* VFMADDPSZv213rrkz */
   },
   { /* 3823 */
-    469,
-    /* VGATHERDPSrm */
+    574,
+    /* VFMADDPSZv231rm */
   },
   { /* 3824 */
-    470,
-    /* VGATHERPF0DPDm */
+    578,
+    /* VFMADDPSZv231rmb */
   },
   { /* 3825 */
-    471,
-    /* VGATHERPF0DPSm */
+    354,
+    /* VFMADDPSZv231rmbk */
   },
   { /* 3826 */
-    472,
-    /* VGATHERPF0QPDm */
+    354,
+    /* VFMADDPSZv231rmbkz */
   },
   { /* 3827 */
-    472,
-    /* VGATHERPF0QPSm */
+    356,
+    /* VFMADDPSZv231rmk */
   },
   { /* 3828 */
-    470,
-    /* VGATHERPF1DPDm */
+    356,
+    /* VFMADDPSZv231rmkz */
   },
   { /* 3829 */
-    471,
-    /* VGATHERPF1DPSm */
+    588,
+    /* VFMADDPSZv231rr */
   },
   { /* 3830 */
-    472,
-    /* VGATHERPF1QPDm */
+    358,
+    /* VFMADDPSZv231rrk */
   },
   { /* 3831 */
-    472,
-    /* VGATHERPF1QPSm */
+    358,
+    /* VFMADDPSZv231rrkz */
   },
   { /* 3832 */
-    464,
-    /* VGATHERQPDYrm */
+    590,
+    /* VFMADDPSr132m */
   },
   { /* 3833 */
-    465,
-    /* VGATHERQPDZrm */
+    591,
+    /* VFMADDPSr132mY */
   },
   { /* 3834 */
-    466,
-    /* VGATHERQPDrm */
+    592,
+    /* VFMADDPSr132r */
   },
   { /* 3835 */
-    469,
-    /* VGATHERQPSYrm */
+    593,
+    /* VFMADDPSr132rY */
   },
   { /* 3836 */
-    473,
-    /* VGATHERQPSZrm */
+    590,
+    /* VFMADDPSr213m */
   },
   { /* 3837 */
-    469,
-    /* VGATHERQPSrm */
+    591,
+    /* VFMADDPSr213mY */
   },
   { /* 3838 */
-    304,
-    /* VHADDPDYrm */
+    592,
+    /* VFMADDPSr213r */
   },
   { /* 3839 */
-    305,
-    /* VHADDPDYrr */
+    593,
+    /* VFMADDPSr213rY */
   },
   { /* 3840 */
-    312,
-    /* VHADDPDrm */
+    590,
+    /* VFMADDPSr231m */
   },
   { /* 3841 */
-    313,
-    /* VHADDPDrr */
+    591,
+    /* VFMADDPSr231mY */
   },
   { /* 3842 */
-    304,
-    /* VHADDPSYrm */
+    592,
+    /* VFMADDPSr231r */
   },
   { /* 3843 */
-    305,
-    /* VHADDPSYrr */
+    593,
+    /* VFMADDPSr231rY */
   },
   { /* 3844 */
-    312,
-    /* VHADDPSrm */
+    595,
+    /* VFMADDSD4mr */
   },
   { /* 3845 */
-    313,
-    /* VHADDPSrr */
+    0,
+    /*  */
   },
   { /* 3846 */
-    304,
-    /* VHSUBPDYrm */
+    596,
+    /* VFMADDSD4rm */
   },
   { /* 3847 */
-    305,
-    /* VHSUBPDYrr */
+    0,
+    /*  */
   },
   { /* 3848 */
-    312,
-    /* VHSUBPDrm */
+    597,
+    /* VFMADDSD4rr */
   },
   { /* 3849 */
-    313,
-    /* VHSUBPDrr */
+    0,
+    /*  */
   },
   { /* 3850 */
-    304,
-    /* VHSUBPSYrm */
+    598,
+    /* VFMADDSD4rr_REV */
   },
   { /* 3851 */
-    305,
-    /* VHSUBPSYrr */
+    599,
+    /* VFMADDSDZm */
   },
   { /* 3852 */
-    312,
-    /* VHSUBPSrm */
+    600,
+    /* VFMADDSDZr */
   },
   { /* 3853 */
-    313,
-    /* VHSUBPSrr */
+    601,
+    /* VFMADDSDr132m */
   },
   { /* 3854 */
-    474,
-    /* VINSERTF128rm */
+    602,
+    /* VFMADDSDr132r */
   },
   { /* 3855 */
-    475,
-    /* VINSERTF128rr */
+    601,
+    /* VFMADDSDr213m */
   },
   { /* 3856 */
-    476,
-    /* VINSERTF32x4rm */
+    602,
+    /* VFMADDSDr213r */
   },
   { /* 3857 */
-    477,
-    /* VINSERTF32x4rr */
+    601,
+    /* VFMADDSDr231m */
   },
   { /* 3858 */
-    478,
-    /* VINSERTF64x4rm */
+    602,
+    /* VFMADDSDr231r */
   },
   { /* 3859 */
-    479,
-    /* VINSERTF64x4rr */
+    603,
+    /* VFMADDSS4mr */
   },
   { /* 3860 */
-    474,
-    /* VINSERTI128rm */
+    0,
+    /*  */
   },
   { /* 3861 */
-    475,
-    /* VINSERTI128rr */
+    604,
+    /* VFMADDSS4rm */
   },
   { /* 3862 */
-    476,
-    /* VINSERTI32x4rm */
+    0,
+    /*  */
   },
   { /* 3863 */
-    477,
-    /* VINSERTI32x4rr */
+    605,
+    /* VFMADDSS4rr */
   },
   { /* 3864 */
-    478,
-    /* VINSERTI64x4rm */
+    0,
+    /*  */
   },
   { /* 3865 */
-    479,
-    /* VINSERTI64x4rr */
+    606,
+    /* VFMADDSS4rr_REV */
   },
   { /* 3866 */
-    480,
-    /* VINSERTPSrm */
+    607,
+    /* VFMADDSSZm */
   },
   { /* 3867 */
-    335,
-    /* VINSERTPSrr */
+    608,
+    /* VFMADDSSZr */
   },
   { /* 3868 */
-    481,
-    /* VINSERTPSzrm */
+    609,
+    /* VFMADDSSr132m */
   },
   { /* 3869 */
-    482,
-    /* VINSERTPSzrr */
+    610,
+    /* VFMADDSSr132r */
   },
   { /* 3870 */
-    376,
-    /* VLDDQUYrm */
+    609,
+    /* VFMADDSSr213m */
   },
   { /* 3871 */
-    44,
-    /* VLDDQUrm */
+    610,
+    /* VFMADDSSr213r */
   },
   { /* 3872 */
-    38,
-    /* VLDMXCSR */
+    609,
+    /* VFMADDSSr231m */
   },
   { /* 3873 */
-    45,
-    /* VMASKMOVDQU */
+    610,
+    /* VFMADDSSr231r */
   },
   { /* 3874 */
-    0,
-    /*  */
+    570,
+    /* VFMADDSUB132PDZ128m */
   },
   { /* 3875 */
-    483,
-    /* VMASKMOVPDYmr */
+    571,
+    /* VFMADDSUB132PDZ128mb */
   },
   { /* 3876 */
-    304,
-    /* VMASKMOVPDYrm */
+    572,
+    /* VFMADDSUB132PDZ256m */
   },
   { /* 3877 */
-    484,
-    /* VMASKMOVPDmr */
+    573,
+    /* VFMADDSUB132PDZ256mb */
   },
   { /* 3878 */
-    312,
-    /* VMASKMOVPDrm */
+    574,
+    /* VFMADDSUB132PDZm */
   },
   { /* 3879 */
-    483,
-    /* VMASKMOVPSYmr */
+    575,
+    /* VFMADDSUB132PDZmb */
   },
   { /* 3880 */
-    304,
-    /* VMASKMOVPSYrm */
+    570,
+    /* VFMADDSUB132PSZ128m */
   },
   { /* 3881 */
-    484,
-    /* VMASKMOVPSmr */
+    576,
+    /* VFMADDSUB132PSZ128mb */
   },
   { /* 3882 */
-    312,
-    /* VMASKMOVPSrm */
+    572,
+    /* VFMADDSUB132PSZ256m */
   },
   { /* 3883 */
-    0,
-    /*  */
+    577,
+    /* VFMADDSUB132PSZ256mb */
   },
   { /* 3884 */
-    0,
-    /*  */
+    574,
+    /* VFMADDSUB132PSZm */
   },
   { /* 3885 */
-    0,
-    /*  */
+    578,
+    /* VFMADDSUB132PSZmb */
   },
   { /* 3886 */
-    0,
-    /*  */
+    394,
+    /* VFMADDSUBPD4mr */
   },
   { /* 3887 */
-    0,
-    /*  */
+    392,
+    /* VFMADDSUBPD4mrY */
   },
   { /* 3888 */
-    0,
-    /*  */
+    579,
+    /* VFMADDSUBPD4rm */
   },
   { /* 3889 */
-    0,
-    /*  */
+    580,
+    /* VFMADDSUBPD4rmY */
   },
   { /* 3890 */
-    0,
-    /*  */
+    581,
+    /* VFMADDSUBPD4rr */
   },
   { /* 3891 */
-    0,
-    /*  */
+    582,
+    /* VFMADDSUBPD4rrY */
   },
   { /* 3892 */
-    0,
-    /*  */
+    393,
+    /* VFMADDSUBPD4rrY_REV */
   },
   { /* 3893 */
-    0,
-    /*  */
+    395,
+    /* VFMADDSUBPD4rr_REV */
   },
   { /* 3894 */
-    0,
-    /*  */
+    570,
+    /* VFMADDSUBPDZ128v213rm */
   },
   { /* 3895 */
-    304,
-    /* VMAXPDYrm */
+    583,
+    /* VFMADDSUBPDZ128v213rmb */
   },
   { /* 3896 */
-    305,
-    /* VMAXPDYrr */
+    306,
+    /* VFMADDSUBPDZ128v213rmbk */
   },
   { /* 3897 */
     306,
-    /* VMAXPDZrm */
+    /* VFMADDSUBPDZ128v213rmbkz */
   },
   { /* 3898 */
-    307,
-    /* VMAXPDZrmb */
+    308,
+    /* VFMADDSUBPDZ128v213rmk */
   },
   { /* 3899 */
     308,
-    /* VMAXPDZrmbk */
+    /* VFMADDSUBPDZ128v213rmkz */
   },
   { /* 3900 */
-    308,
-    /* VMAXPDZrmbkz */
+    584,
+    /* VFMADDSUBPDZ128v213rr */
   },
   { /* 3901 */
-    309,
-    /* VMAXPDZrmk */
+    311,
+    /* VFMADDSUBPDZ128v213rrk */
   },
   { /* 3902 */
-    309,
-    /* VMAXPDZrmkz */
+    311,
+    /* VFMADDSUBPDZ128v213rrkz */
   },
   { /* 3903 */
-    310,
-    /* VMAXPDZrr */
+    570,
+    /* VFMADDSUBPDZ128v231rm */
   },
   { /* 3904 */
-    311,
-    /* VMAXPDZrrk */
+    583,
+    /* VFMADDSUBPDZ128v231rmb */
   },
   { /* 3905 */
-    311,
-    /* VMAXPDZrrkz */
+    306,
+    /* VFMADDSUBPDZ128v231rmbk */
   },
   { /* 3906 */
-    312,
-    /* VMAXPDrm */
+    306,
+    /* VFMADDSUBPDZ128v231rmbkz */
   },
   { /* 3907 */
-    313,
-    /* VMAXPDrr */
+    308,
+    /* VFMADDSUBPDZ128v231rmk */
   },
   { /* 3908 */
-    304,
-    /* VMAXPSYrm */
+    308,
+    /* VFMADDSUBPDZ128v231rmkz */
   },
   { /* 3909 */
-    305,
-    /* VMAXPSYrr */
+    584,
+    /* VFMADDSUBPDZ128v231rr */
   },
   { /* 3910 */
-    306,
-    /* VMAXPSZrm */
+    311,
+    /* VFMADDSUBPDZ128v231rrk */
   },
   { /* 3911 */
-    314,
-    /* VMAXPSZrmb */
+    311,
+    /* VFMADDSUBPDZ128v231rrkz */
   },
   { /* 3912 */
-    315,
-    /* VMAXPSZrmbk */
+    572,
+    /* VFMADDSUBPDZ256v213rm */
   },
   { /* 3913 */
-    315,
-    /* VMAXPSZrmbkz */
+    585,
+    /* VFMADDSUBPDZ256v213rmb */
   },
   { /* 3914 */
-    316,
-    /* VMAXPSZrmk */
+    315,
+    /* VFMADDSUBPDZ256v213rmbk */
   },
   { /* 3915 */
-    316,
-    /* VMAXPSZrmkz */
+    315,
+    /* VFMADDSUBPDZ256v213rmbkz */
   },
   { /* 3916 */
-    310,
-    /* VMAXPSZrr */
+    317,
+    /* VFMADDSUBPDZ256v213rmk */
   },
   { /* 3917 */
     317,
-    /* VMAXPSZrrk */
+    /* VFMADDSUBPDZ256v213rmkz */
   },
   { /* 3918 */
-    317,
-    /* VMAXPSZrrkz */
+    586,
+    /* VFMADDSUBPDZ256v213rr */
   },
   { /* 3919 */
-    312,
-    /* VMAXPSrm */
+    320,
+    /* VFMADDSUBPDZ256v213rrk */
   },
   { /* 3920 */
-    313,
-    /* VMAXPSrr */
+    320,
+    /* VFMADDSUBPDZ256v213rrkz */
   },
   { /* 3921 */
-    318,
-    /* VMAXSDZrm */
+    572,
+    /* VFMADDSUBPDZ256v231rm */
   },
   { /* 3922 */
-    319,
-    /* VMAXSDZrr */
+    585,
+    /* VFMADDSUBPDZ256v231rmb */
   },
   { /* 3923 */
-    320,
-    /* VMAXSDrm */
+    315,
+    /* VFMADDSUBPDZ256v231rmbk */
   },
   { /* 3924 */
-    0,
-    /*  */
+    315,
+    /* VFMADDSUBPDZ256v231rmbkz */
   },
   { /* 3925 */
-    321,
-    /* VMAXSDrr */
+    317,
+    /* VFMADDSUBPDZ256v231rmk */
   },
   { /* 3926 */
-    0,
-    /*  */
+    317,
+    /* VFMADDSUBPDZ256v231rmkz */
   },
   { /* 3927 */
-    322,
-    /* VMAXSSZrm */
+    586,
+    /* VFMADDSUBPDZ256v231rr */
   },
   { /* 3928 */
-    323,
-    /* VMAXSSZrr */
+    320,
+    /* VFMADDSUBPDZ256v231rrk */
   },
   { /* 3929 */
-    324,
-    /* VMAXSSrm */
+    320,
+    /* VFMADDSUBPDZ256v231rrkz */
   },
   { /* 3930 */
-    0,
-    /*  */
+    574,
+    /* VFMADDSUBPDZv213rm */
   },
   { /* 3931 */
-    325,
-    /* VMAXSSrr */
+    587,
+    /* VFMADDSUBPDZv213rmb */
   },
   { /* 3932 */
-    0,
-    /*  */
+    327,
+    /* VFMADDSUBPDZv213rmbk */
   },
   { /* 3933 */
-    0,
-    /* VMCALL */
+    327,
+    /* VFMADDSUBPDZv213rmbkz */
   },
   { /* 3934 */
-    38,
-    /* VMCLEARm */
+    329,
+    /* VFMADDSUBPDZv213rmk */
   },
   { /* 3935 */
-    0,
-    /* VMFUNC */
+    329,
+    /* VFMADDSUBPDZv213rmkz */
   },
   { /* 3936 */
-    0,
-    /*  */
+    588,
+    /* VFMADDSUBPDZv213rr */
   },
   { /* 3937 */
-    0,
-    /*  */
+    589,
+    /* VFMADDSUBPDZv213rrb */
   },
   { /* 3938 */
-    0,
-    /*  */
+    323,
+    /* VFMADDSUBPDZv213rrbk */
   },
   { /* 3939 */
-    0,
-    /*  */
+    323,
+    /* VFMADDSUBPDZv213rrbkz */
   },
   { /* 3940 */
-    0,
-    /*  */
+    332,
+    /* VFMADDSUBPDZv213rrk */
   },
   { /* 3941 */
-    0,
-    /*  */
+    332,
+    /* VFMADDSUBPDZv213rrkz */
   },
   { /* 3942 */
-    0,
-    /*  */
+    574,
+    /* VFMADDSUBPDZv231rm */
   },
   { /* 3943 */
-    0,
-    /*  */
+    587,
+    /* VFMADDSUBPDZv231rmb */
   },
   { /* 3944 */
-    0,
-    /*  */
+    327,
+    /* VFMADDSUBPDZv231rmbk */
   },
   { /* 3945 */
-    0,
-    /*  */
+    327,
+    /* VFMADDSUBPDZv231rmbkz */
   },
   { /* 3946 */
-    0,
-    /*  */
+    329,
+    /* VFMADDSUBPDZv231rmk */
   },
   { /* 3947 */
-    0,
-    /*  */
+    329,
+    /* VFMADDSUBPDZv231rmkz */
   },
   { /* 3948 */
-    304,
-    /* VMINPDYrm */
+    588,
+    /* VFMADDSUBPDZv231rr */
   },
   { /* 3949 */
-    305,
-    /* VMINPDYrr */
+    332,
+    /* VFMADDSUBPDZv231rrk */
   },
   { /* 3950 */
-    306,
-    /* VMINPDZrm */
+    332,
+    /* VFMADDSUBPDZv231rrkz */
   },
   { /* 3951 */
-    307,
-    /* VMINPDZrmb */
+    590,
+    /* VFMADDSUBPDr132m */
   },
   { /* 3952 */
-    308,
-    /* VMINPDZrmbk */
+    591,
+    /* VFMADDSUBPDr132mY */
   },
   { /* 3953 */
-    308,
-    /* VMINPDZrmbkz */
+    592,
+    /* VFMADDSUBPDr132r */
   },
   { /* 3954 */
-    309,
-    /* VMINPDZrmk */
+    593,
+    /* VFMADDSUBPDr132rY */
   },
   { /* 3955 */
-    309,
-    /* VMINPDZrmkz */
+    590,
+    /* VFMADDSUBPDr213m */
   },
   { /* 3956 */
-    310,
-    /* VMINPDZrr */
+    591,
+    /* VFMADDSUBPDr213mY */
   },
   { /* 3957 */
-    311,
-    /* VMINPDZrrk */
+    592,
+    /* VFMADDSUBPDr213r */
   },
   { /* 3958 */
-    311,
-    /* VMINPDZrrkz */
+    593,
+    /* VFMADDSUBPDr213rY */
   },
   { /* 3959 */
-    312,
-    /* VMINPDrm */
+    590,
+    /* VFMADDSUBPDr231m */
   },
   { /* 3960 */
-    313,
-    /* VMINPDrr */
+    591,
+    /* VFMADDSUBPDr231mY */
   },
   { /* 3961 */
-    304,
-    /* VMINPSYrm */
+    592,
+    /* VFMADDSUBPDr231r */
   },
   { /* 3962 */
-    305,
-    /* VMINPSYrr */
+    593,
+    /* VFMADDSUBPDr231rY */
   },
   { /* 3963 */
-    306,
-    /* VMINPSZrm */
+    394,
+    /* VFMADDSUBPS4mr */
   },
   { /* 3964 */
-    314,
-    /* VMINPSZrmb */
+    392,
+    /* VFMADDSUBPS4mrY */
   },
   { /* 3965 */
-    315,
-    /* VMINPSZrmbk */
+    579,
+    /* VFMADDSUBPS4rm */
   },
   { /* 3966 */
-    315,
-    /* VMINPSZrmbkz */
+    580,
+    /* VFMADDSUBPS4rmY */
   },
   { /* 3967 */
-    316,
-    /* VMINPSZrmk */
+    581,
+    /* VFMADDSUBPS4rr */
   },
   { /* 3968 */
-    316,
-    /* VMINPSZrmkz */
+    582,
+    /* VFMADDSUBPS4rrY */
   },
   { /* 3969 */
-    310,
-    /* VMINPSZrr */
+    393,
+    /* VFMADDSUBPS4rrY_REV */
   },
   { /* 3970 */
-    317,
-    /* VMINPSZrrk */
+    395,
+    /* VFMADDSUBPS4rr_REV */
   },
   { /* 3971 */
-    317,
-    /* VMINPSZrrkz */
+    570,
+    /* VFMADDSUBPSZ128v213rm */
   },
   { /* 3972 */
-    312,
-    /* VMINPSrm */
+    576,
+    /* VFMADDSUBPSZ128v213rmb */
   },
   { /* 3973 */
-    313,
-    /* VMINPSrr */
+    337,
+    /* VFMADDSUBPSZ128v213rmbk */
   },
   { /* 3974 */
-    318,
-    /* VMINSDZrm */
+    337,
+    /* VFMADDSUBPSZ128v213rmbkz */
   },
   { /* 3975 */
-    319,
-    /* VMINSDZrr */
+    339,
+    /* VFMADDSUBPSZ128v213rmk */
   },
   { /* 3976 */
-    320,
-    /* VMINSDrm */
+    339,
+    /* VFMADDSUBPSZ128v213rmkz */
   },
   { /* 3977 */
-    0,
-    /*  */
+    584,
+    /* VFMADDSUBPSZ128v213rr */
   },
   { /* 3978 */
-    321,
-    /* VMINSDrr */
+    341,
+    /* VFMADDSUBPSZ128v213rrk */
   },
   { /* 3979 */
-    0,
-    /*  */
+    341,
+    /* VFMADDSUBPSZ128v213rrkz */
   },
   { /* 3980 */
-    322,
-    /* VMINSSZrm */
+    570,
+    /* VFMADDSUBPSZ128v231rm */
   },
   { /* 3981 */
-    323,
-    /* VMINSSZrr */
+    576,
+    /* VFMADDSUBPSZ128v231rmb */
   },
   { /* 3982 */
-    324,
-    /* VMINSSrm */
+    337,
+    /* VFMADDSUBPSZ128v231rmbk */
   },
   { /* 3983 */
-    0,
-    /*  */
+    337,
+    /* VFMADDSUBPSZ128v231rmbkz */
   },
   { /* 3984 */
-    325,
-    /* VMINSSrr */
+    339,
+    /* VFMADDSUBPSZ128v231rmk */
   },
   { /* 3985 */
-    0,
-    /*  */
+    339,
+    /* VFMADDSUBPSZ128v231rmkz */
   },
   { /* 3986 */
-    0,
-    /* VMLAUNCH */
+    584,
+    /* VFMADDSUBPSZ128v231rr */
   },
   { /* 3987 */
-    0,
-    /* VMLOAD32 */
+    341,
+    /* VFMADDSUBPSZ128v231rrk */
   },
   { /* 3988 */
-    0,
-    /* VMLOAD64 */
+    341,
+    /* VFMADDSUBPSZ128v231rrkz */
   },
   { /* 3989 */
-    0,
-    /* VMMCALL */
+    572,
+    /* VFMADDSUBPSZ256v213rm */
   },
   { /* 3990 */
-    485,
-    /* VMOV64toPQIZrr */
+    577,
+    /* VFMADDSUBPSZ256v213rmb */
   },
   { /* 3991 */
-    241,
-    /* VMOV64toPQIrr */
+    344,
+    /* VFMADDSUBPSZ256v213rmbk */
   },
   { /* 3992 */
-    0,
-    /*  */
+    344,
+    /* VFMADDSUBPSZ256v213rmbkz */
   },
   { /* 3993 */
-    0,
-    /*  */
+    346,
+    /* VFMADDSUBPSZ256v213rmk */
   },
   { /* 3994 */
-    0,
-    /*  */
+    346,
+    /* VFMADDSUBPSZ256v213rmkz */
   },
   { /* 3995 */
-    486,
-    /* VMOVAPDYmr */
+    586,
+    /* VFMADDSUBPSZ256v213rr */
   },
   { /* 3996 */
-    376,
-    /* VMOVAPDYrm */
+    348,
+    /* VFMADDSUBPSZ256v213rrk */
   },
   { /* 3997 */
-    377,
-    /* VMOVAPDYrr */
+    348,
+    /* VFMADDSUBPSZ256v213rrkz */
   },
   { /* 3998 */
-    487,
-    /* VMOVAPDYrr_REV */
+    572,
+    /* VFMADDSUBPSZ256v231rm */
   },
   { /* 3999 */
-    488,
-    /* VMOVAPDZ128mr */
+    577,
+    /* VFMADDSUBPSZ256v231rmb */
   },
   { /* 4000 */
-    489,
-    /* VMOVAPDZ128mrk */
+    344,
+    /* VFMADDSUBPSZ256v231rmbk */
   },
   { /* 4001 */
-    490,
-    /* VMOVAPDZ128rm */
+    344,
+    /* VFMADDSUBPSZ256v231rmbkz */
   },
   { /* 4002 */
-    491,
-    /* VMOVAPDZ128rmk */
+    346,
+    /* VFMADDSUBPSZ256v231rmk */
   },
   { /* 4003 */
-    492,
-    /* VMOVAPDZ128rmkz */
+    346,
+    /* VFMADDSUBPSZ256v231rmkz */
   },
   { /* 4004 */
-    493,
-    /* VMOVAPDZ128rr */
+    586,
+    /* VFMADDSUBPSZ256v231rr */
   },
   { /* 4005 */
-    0,
-    /*  */
+    348,
+    /* VFMADDSUBPSZ256v231rrk */
   },
   { /* 4006 */
-    494,
-    /* VMOVAPDZ128rrk */
+    348,
+    /* VFMADDSUBPSZ256v231rrkz */
   },
   { /* 4007 */
-    0,
-    /*  */
+    574,
+    /* VFMADDSUBPSZv213rm */
   },
   { /* 4008 */
-    495,
-    /* VMOVAPDZ128rrkz */
+    578,
+    /* VFMADDSUBPSZv213rmb */
   },
   { /* 4009 */
-    0,
-    /*  */
+    354,
+    /* VFMADDSUBPSZv213rmbk */
   },
   { /* 4010 */
-    496,
-    /* VMOVAPDZ256mr */
+    354,
+    /* VFMADDSUBPSZv213rmbkz */
   },
   { /* 4011 */
-    497,
-    /* VMOVAPDZ256mrk */
+    356,
+    /* VFMADDSUBPSZv213rmk */
   },
   { /* 4012 */
-    498,
-    /* VMOVAPDZ256rm */
+    356,
+    /* VFMADDSUBPSZv213rmkz */
   },
   { /* 4013 */
-    499,
-    /* VMOVAPDZ256rmk */
+    588,
+    /* VFMADDSUBPSZv213rr */
   },
   { /* 4014 */
-    500,
-    /* VMOVAPDZ256rmkz */
+    594,
+    /* VFMADDSUBPSZv213rrb */
   },
   { /* 4015 */
-    501,
-    /* VMOVAPDZ256rr */
+    351,
+    /* VFMADDSUBPSZv213rrbk */
   },
   { /* 4016 */
-    0,
-    /*  */
+    351,
+    /* VFMADDSUBPSZv213rrbkz */
   },
   { /* 4017 */
-    502,
-    /* VMOVAPDZ256rrk */
+    358,
+    /* VFMADDSUBPSZv213rrk */
   },
   { /* 4018 */
-    0,
-    /*  */
+    358,
+    /* VFMADDSUBPSZv213rrkz */
   },
   { /* 4019 */
-    503,
-    /* VMOVAPDZ256rrkz */
+    574,
+    /* VFMADDSUBPSZv231rm */
   },
   { /* 4020 */
-    0,
-    /*  */
+    578,
+    /* VFMADDSUBPSZv231rmb */
   },
   { /* 4021 */
-    504,
-    /* VMOVAPDZmr */
+    354,
+    /* VFMADDSUBPSZv231rmbk */
   },
   { /* 4022 */
-    505,
-    /* VMOVAPDZmrk */
+    354,
+    /* VFMADDSUBPSZv231rmbkz */
   },
   { /* 4023 */
-    378,
-    /* VMOVAPDZrm */
+    356,
+    /* VFMADDSUBPSZv231rmk */
   },
   { /* 4024 */
-    506,
-    /* VMOVAPDZrmk */
+    356,
+    /* VFMADDSUBPSZv231rmkz */
   },
   { /* 4025 */
-    507,
-    /* VMOVAPDZrmkz */
+    588,
+    /* VFMADDSUBPSZv231rr */
   },
   { /* 4026 */
-    379,
-    /* VMOVAPDZrr */
+    358,
+    /* VFMADDSUBPSZv231rrk */
   },
   { /* 4027 */
-    0,
-    /*  */
+    358,
+    /* VFMADDSUBPSZv231rrkz */
   },
   { /* 4028 */
-    508,
-    /* VMOVAPDZrrk */
+    590,
+    /* VFMADDSUBPSr132m */
   },
   { /* 4029 */
-    0,
-    /*  */
+    591,
+    /* VFMADDSUBPSr132mY */
   },
   { /* 4030 */
-    509,
-    /* VMOVAPDZrrkz */
+    592,
+    /* VFMADDSUBPSr132r */
   },
   { /* 4031 */
-    0,
-    /*  */
+    593,
+    /* VFMADDSUBPSr132rY */
   },
   { /* 4032 */
-    243,
-    /* VMOVAPDmr */
+    590,
+    /* VFMADDSUBPSr213m */
   },
   { /* 4033 */
-    44,
-    /* VMOVAPDrm */
+    591,
+    /* VFMADDSUBPSr213mY */
   },
   { /* 4034 */
-    45,
-    /* VMOVAPDrr */
+    592,
+    /* VFMADDSUBPSr213r */
   },
   { /* 4035 */
-    244,
-    /* VMOVAPDrr_REV */
+    593,
+    /* VFMADDSUBPSr213rY */
   },
   { /* 4036 */
-    486,
-    /* VMOVAPSYmr */
+    590,
+    /* VFMADDSUBPSr231m */
   },
   { /* 4037 */
-    376,
-    /* VMOVAPSYrm */
+    591,
+    /* VFMADDSUBPSr231mY */
   },
   { /* 4038 */
-    377,
-    /* VMOVAPSYrr */
+    592,
+    /* VFMADDSUBPSr231r */
   },
   { /* 4039 */
-    487,
-    /* VMOVAPSYrr_REV */
+    593,
+    /* VFMADDSUBPSr231rY */
   },
   { /* 4040 */
-    488,
-    /* VMOVAPSZ128mr */
+    570,
+    /* VFMSUB132PDZ128m */
   },
   { /* 4041 */
-    510,
-    /* VMOVAPSZ128mrk */
+    571,
+    /* VFMSUB132PDZ128mb */
   },
   { /* 4042 */
-    490,
-    /* VMOVAPSZ128rm */
+    572,
+    /* VFMSUB132PDZ256m */
   },
   { /* 4043 */
-    511,
-    /* VMOVAPSZ128rmk */
+    573,
+    /* VFMSUB132PDZ256mb */
   },
   { /* 4044 */
-    512,
-    /* VMOVAPSZ128rmkz */
+    574,
+    /* VFMSUB132PDZm */
   },
   { /* 4045 */
-    493,
-    /* VMOVAPSZ128rr */
+    575,
+    /* VFMSUB132PDZmb */
   },
   { /* 4046 */
-    0,
-    /*  */
+    570,
+    /* VFMSUB132PSZ128m */
   },
   { /* 4047 */
-    513,
-    /* VMOVAPSZ128rrk */
+    576,
+    /* VFMSUB132PSZ128mb */
   },
   { /* 4048 */
-    0,
-    /*  */
+    572,
+    /* VFMSUB132PSZ256m */
   },
   { /* 4049 */
-    514,
-    /* VMOVAPSZ128rrkz */
+    577,
+    /* VFMSUB132PSZ256mb */
   },
   { /* 4050 */
-    0,
-    /*  */
+    574,
+    /* VFMSUB132PSZm */
   },
   { /* 4051 */
-    496,
-    /* VMOVAPSZ256mr */
+    578,
+    /* VFMSUB132PSZmb */
   },
   { /* 4052 */
-    515,
-    /* VMOVAPSZ256mrk */
+    570,
+    /* VFMSUBADD132PDZ128m */
   },
   { /* 4053 */
-    498,
-    /* VMOVAPSZ256rm */
+    571,
+    /* VFMSUBADD132PDZ128mb */
   },
   { /* 4054 */
-    516,
-    /* VMOVAPSZ256rmk */
+    572,
+    /* VFMSUBADD132PDZ256m */
   },
   { /* 4055 */
-    517,
-    /* VMOVAPSZ256rmkz */
+    573,
+    /* VFMSUBADD132PDZ256mb */
   },
   { /* 4056 */
-    501,
-    /* VMOVAPSZ256rr */
+    574,
+    /* VFMSUBADD132PDZm */
   },
   { /* 4057 */
-    0,
-    /*  */
+    575,
+    /* VFMSUBADD132PDZmb */
   },
   { /* 4058 */
-    518,
-    /* VMOVAPSZ256rrk */
+    570,
+    /* VFMSUBADD132PSZ128m */
   },
   { /* 4059 */
-    0,
-    /*  */
+    576,
+    /* VFMSUBADD132PSZ128mb */
   },
   { /* 4060 */
-    519,
-    /* VMOVAPSZ256rrkz */
+    572,
+    /* VFMSUBADD132PSZ256m */
   },
   { /* 4061 */
-    0,
-    /*  */
+    577,
+    /* VFMSUBADD132PSZ256mb */
   },
   { /* 4062 */
-    504,
-    /* VMOVAPSZmr */
+    574,
+    /* VFMSUBADD132PSZm */
   },
   { /* 4063 */
-    520,
-    /* VMOVAPSZmrk */
+    578,
+    /* VFMSUBADD132PSZmb */
   },
   { /* 4064 */
-    378,
-    /* VMOVAPSZrm */
+    394,
+    /* VFMSUBADDPD4mr */
   },
   { /* 4065 */
-    521,
-    /* VMOVAPSZrmk */
+    392,
+    /* VFMSUBADDPD4mrY */
   },
   { /* 4066 */
-    522,
-    /* VMOVAPSZrmkz */
+    579,
+    /* VFMSUBADDPD4rm */
   },
   { /* 4067 */
-    379,
-    /* VMOVAPSZrr */
+    580,
+    /* VFMSUBADDPD4rmY */
   },
   { /* 4068 */
-    0,
-    /*  */
+    581,
+    /* VFMSUBADDPD4rr */
   },
   { /* 4069 */
-    523,
-    /* VMOVAPSZrrk */
+    582,
+    /* VFMSUBADDPD4rrY */
   },
   { /* 4070 */
-    0,
-    /*  */
+    393,
+    /* VFMSUBADDPD4rrY_REV */
   },
   { /* 4071 */
-    524,
-    /* VMOVAPSZrrkz */
+    395,
+    /* VFMSUBADDPD4rr_REV */
   },
   { /* 4072 */
-    0,
-    /*  */
+    570,
+    /* VFMSUBADDPDZ128v213rm */
   },
   { /* 4073 */
-    243,
-    /* VMOVAPSmr */
+    583,
+    /* VFMSUBADDPDZ128v213rmb */
   },
   { /* 4074 */
-    44,
-    /* VMOVAPSrm */
+    306,
+    /* VFMSUBADDPDZ128v213rmbk */
   },
   { /* 4075 */
-    45,
-    /* VMOVAPSrr */
+    306,
+    /* VFMSUBADDPDZ128v213rmbkz */
   },
   { /* 4076 */
-    244,
-    /* VMOVAPSrr_REV */
+    308,
+    /* VFMSUBADDPDZ128v213rmk */
   },
   { /* 4077 */
-    376,
-    /* VMOVDDUPYrm */
+    308,
+    /* VFMSUBADDPDZ128v213rmkz */
   },
   { /* 4078 */
-    377,
-    /* VMOVDDUPYrr */
+    584,
+    /* VFMSUBADDPDZ128v213rr */
   },
   { /* 4079 */
-    378,
-    /* VMOVDDUPZrm */
+    311,
+    /* VFMSUBADDPDZ128v213rrk */
   },
   { /* 4080 */
-    379,
-    /* VMOVDDUPZrr */
+    311,
+    /* VFMSUBADDPDZ128v213rrkz */
   },
   { /* 4081 */
-    106,
-    /* VMOVDDUPrm */
+    570,
+    /* VFMSUBADDPDZ128v231rm */
   },
   { /* 4082 */
-    45,
-    /* VMOVDDUPrr */
+    583,
+    /* VFMSUBADDPDZ128v231rmb */
   },
   { /* 4083 */
-    525,
-    /* VMOVDI2PDIZrm */
+    306,
+    /* VFMSUBADDPDZ128v231rmbk */
   },
   { /* 4084 */
-    526,
-    /* VMOVDI2PDIZrr */
+    306,
+    /* VFMSUBADDPDZ128v231rmbkz */
   },
   { /* 4085 */
-    105,
-    /* VMOVDI2PDIrm */
+    308,
+    /* VFMSUBADDPDZ128v231rmk */
   },
   { /* 4086 */
-    245,
-    /* VMOVDI2PDIrr */
+    308,
+    /* VFMSUBADDPDZ128v231rmkz */
   },
   { /* 4087 */
-    0,
-    /*  */
+    584,
+    /* VFMSUBADDPDZ128v231rr */
   },
   { /* 4088 */
-    0,
-    /*  */
+    311,
+    /* VFMSUBADDPDZ128v231rrk */
   },
   { /* 4089 */
-    0,
-    /*  */
+    311,
+    /* VFMSUBADDPDZ128v231rrkz */
   },
   { /* 4090 */
-    0,
-    /*  */
+    572,
+    /* VFMSUBADDPDZ256v213rm */
   },
   { /* 4091 */
-    488,
-    /* VMOVDQA32Z128mr */
+    585,
+    /* VFMSUBADDPDZ256v213rmb */
   },
   { /* 4092 */
-    510,
-    /* VMOVDQA32Z128mrk */
+    315,
+    /* VFMSUBADDPDZ256v213rmbk */
   },
   { /* 4093 */
-    490,
-    /* VMOVDQA32Z128rm */
+    315,
+    /* VFMSUBADDPDZ256v213rmbkz */
   },
   { /* 4094 */
-    511,
-    /* VMOVDQA32Z128rmk */
+    317,
+    /* VFMSUBADDPDZ256v213rmk */
   },
   { /* 4095 */
-    512,
-    /* VMOVDQA32Z128rmkz */
+    317,
+    /* VFMSUBADDPDZ256v213rmkz */
   },
   { /* 4096 */
-    493,
-    /* VMOVDQA32Z128rr */
+    586,
+    /* VFMSUBADDPDZ256v213rr */
   },
   { /* 4097 */
-    0,
-    /*  */
+    320,
+    /* VFMSUBADDPDZ256v213rrk */
   },
   { /* 4098 */
-    513,
-    /* VMOVDQA32Z128rrk */
+    320,
+    /* VFMSUBADDPDZ256v213rrkz */
   },
   { /* 4099 */
-    0,
-    /*  */
+    572,
+    /* VFMSUBADDPDZ256v231rm */
   },
   { /* 4100 */
-    514,
-    /* VMOVDQA32Z128rrkz */
+    585,
+    /* VFMSUBADDPDZ256v231rmb */
   },
   { /* 4101 */
-    0,
-    /*  */
+    315,
+    /* VFMSUBADDPDZ256v231rmbk */
   },
   { /* 4102 */
-    496,
-    /* VMOVDQA32Z256mr */
+    315,
+    /* VFMSUBADDPDZ256v231rmbkz */
   },
   { /* 4103 */
-    515,
-    /* VMOVDQA32Z256mrk */
+    317,
+    /* VFMSUBADDPDZ256v231rmk */
   },
   { /* 4104 */
-    498,
-    /* VMOVDQA32Z256rm */
+    317,
+    /* VFMSUBADDPDZ256v231rmkz */
   },
   { /* 4105 */
-    516,
-    /* VMOVDQA32Z256rmk */
+    586,
+    /* VFMSUBADDPDZ256v231rr */
   },
   { /* 4106 */
-    517,
-    /* VMOVDQA32Z256rmkz */
+    320,
+    /* VFMSUBADDPDZ256v231rrk */
   },
   { /* 4107 */
-    501,
-    /* VMOVDQA32Z256rr */
+    320,
+    /* VFMSUBADDPDZ256v231rrkz */
   },
   { /* 4108 */
-    0,
-    /*  */
+    574,
+    /* VFMSUBADDPDZv213rm */
   },
   { /* 4109 */
-    518,
-    /* VMOVDQA32Z256rrk */
+    587,
+    /* VFMSUBADDPDZv213rmb */
   },
   { /* 4110 */
-    0,
-    /*  */
+    327,
+    /* VFMSUBADDPDZv213rmbk */
   },
   { /* 4111 */
-    519,
-    /* VMOVDQA32Z256rrkz */
+    327,
+    /* VFMSUBADDPDZv213rmbkz */
   },
   { /* 4112 */
-    0,
-    /*  */
+    329,
+    /* VFMSUBADDPDZv213rmk */
   },
   { /* 4113 */
-    504,
-    /* VMOVDQA32Zmr */
+    329,
+    /* VFMSUBADDPDZv213rmkz */
   },
   { /* 4114 */
-    520,
-    /* VMOVDQA32Zmrk */
+    588,
+    /* VFMSUBADDPDZv213rr */
   },
   { /* 4115 */
-    378,
-    /* VMOVDQA32Zrm */
+    589,
+    /* VFMSUBADDPDZv213rrb */
   },
   { /* 4116 */
-    521,
-    /* VMOVDQA32Zrmk */
+    323,
+    /* VFMSUBADDPDZv213rrbk */
   },
   { /* 4117 */
-    522,
-    /* VMOVDQA32Zrmkz */
+    323,
+    /* VFMSUBADDPDZv213rrbkz */
   },
   { /* 4118 */
-    379,
-    /* VMOVDQA32Zrr */
+    332,
+    /* VFMSUBADDPDZv213rrk */
   },
   { /* 4119 */
-    0,
-    /*  */
+    332,
+    /* VFMSUBADDPDZv213rrkz */
   },
   { /* 4120 */
-    523,
-    /* VMOVDQA32Zrrk */
+    574,
+    /* VFMSUBADDPDZv231rm */
   },
   { /* 4121 */
-    0,
-    /*  */
+    587,
+    /* VFMSUBADDPDZv231rmb */
   },
   { /* 4122 */
-    524,
-    /* VMOVDQA32Zrrkz */
+    327,
+    /* VFMSUBADDPDZv231rmbk */
   },
   { /* 4123 */
-    0,
-    /*  */
+    327,
+    /* VFMSUBADDPDZv231rmbkz */
   },
   { /* 4124 */
-    488,
-    /* VMOVDQA64Z128mr */
+    329,
+    /* VFMSUBADDPDZv231rmk */
   },
   { /* 4125 */
-    489,
-    /* VMOVDQA64Z128mrk */
+    329,
+    /* VFMSUBADDPDZv231rmkz */
   },
   { /* 4126 */
-    490,
-    /* VMOVDQA64Z128rm */
+    588,
+    /* VFMSUBADDPDZv231rr */
   },
   { /* 4127 */
-    491,
-    /* VMOVDQA64Z128rmk */
+    332,
+    /* VFMSUBADDPDZv231rrk */
   },
   { /* 4128 */
-    492,
-    /* VMOVDQA64Z128rmkz */
+    332,
+    /* VFMSUBADDPDZv231rrkz */
   },
   { /* 4129 */
-    493,
-    /* VMOVDQA64Z128rr */
+    590,
+    /* VFMSUBADDPDr132m */
   },
   { /* 4130 */
-    0,
-    /*  */
+    591,
+    /* VFMSUBADDPDr132mY */
   },
   { /* 4131 */
-    494,
-    /* VMOVDQA64Z128rrk */
+    592,
+    /* VFMSUBADDPDr132r */
   },
   { /* 4132 */
-    0,
-    /*  */
+    593,
+    /* VFMSUBADDPDr132rY */
   },
   { /* 4133 */
-    495,
-    /* VMOVDQA64Z128rrkz */
+    590,
+    /* VFMSUBADDPDr213m */
   },
   { /* 4134 */
-    0,
-    /*  */
+    591,
+    /* VFMSUBADDPDr213mY */
   },
   { /* 4135 */
-    496,
-    /* VMOVDQA64Z256mr */
+    592,
+    /* VFMSUBADDPDr213r */
   },
   { /* 4136 */
-    497,
-    /* VMOVDQA64Z256mrk */
+    593,
+    /* VFMSUBADDPDr213rY */
   },
   { /* 4137 */
-    498,
-    /* VMOVDQA64Z256rm */
+    590,
+    /* VFMSUBADDPDr231m */
   },
   { /* 4138 */
-    499,
-    /* VMOVDQA64Z256rmk */
+    591,
+    /* VFMSUBADDPDr231mY */
   },
   { /* 4139 */
-    500,
-    /* VMOVDQA64Z256rmkz */
+    592,
+    /* VFMSUBADDPDr231r */
   },
   { /* 4140 */
-    501,
-    /* VMOVDQA64Z256rr */
+    593,
+    /* VFMSUBADDPDr231rY */
   },
   { /* 4141 */
-    0,
-    /*  */
+    394,
+    /* VFMSUBADDPS4mr */
   },
   { /* 4142 */
-    502,
-    /* VMOVDQA64Z256rrk */
+    392,
+    /* VFMSUBADDPS4mrY */
   },
   { /* 4143 */
-    0,
-    /*  */
+    579,
+    /* VFMSUBADDPS4rm */
   },
   { /* 4144 */
-    503,
-    /* VMOVDQA64Z256rrkz */
+    580,
+    /* VFMSUBADDPS4rmY */
   },
   { /* 4145 */
-    0,
-    /*  */
+    581,
+    /* VFMSUBADDPS4rr */
   },
   { /* 4146 */
-    504,
-    /* VMOVDQA64Zmr */
+    582,
+    /* VFMSUBADDPS4rrY */
   },
   { /* 4147 */
-    505,
-    /* VMOVDQA64Zmrk */
+    393,
+    /* VFMSUBADDPS4rrY_REV */
   },
   { /* 4148 */
-    378,
-    /* VMOVDQA64Zrm */
+    395,
+    /* VFMSUBADDPS4rr_REV */
   },
   { /* 4149 */
-    506,
-    /* VMOVDQA64Zrmk */
+    570,
+    /* VFMSUBADDPSZ128v213rm */
   },
   { /* 4150 */
-    507,
-    /* VMOVDQA64Zrmkz */
+    576,
+    /* VFMSUBADDPSZ128v213rmb */
   },
   { /* 4151 */
-    379,
-    /* VMOVDQA64Zrr */
+    337,
+    /* VFMSUBADDPSZ128v213rmbk */
   },
   { /* 4152 */
-    0,
-    /*  */
+    337,
+    /* VFMSUBADDPSZ128v213rmbkz */
   },
   { /* 4153 */
-    508,
-    /* VMOVDQA64Zrrk */
+    339,
+    /* VFMSUBADDPSZ128v213rmk */
   },
   { /* 4154 */
-    0,
-    /*  */
+    339,
+    /* VFMSUBADDPSZ128v213rmkz */
   },
   { /* 4155 */
-    509,
-    /* VMOVDQA64Zrrkz */
+    584,
+    /* VFMSUBADDPSZ128v213rr */
   },
   { /* 4156 */
-    0,
-    /*  */
+    341,
+    /* VFMSUBADDPSZ128v213rrk */
   },
   { /* 4157 */
-    486,
-    /* VMOVDQAYmr */
+    341,
+    /* VFMSUBADDPSZ128v213rrkz */
   },
   { /* 4158 */
-    376,
-    /* VMOVDQAYrm */
+    570,
+    /* VFMSUBADDPSZ128v231rm */
   },
   { /* 4159 */
-    377,
-    /* VMOVDQAYrr */
+    576,
+    /* VFMSUBADDPSZ128v231rmb */
   },
   { /* 4160 */
-    487,
-    /* VMOVDQAYrr_REV */
+    337,
+    /* VFMSUBADDPSZ128v231rmbk */
   },
   { /* 4161 */
-    243,
-    /* VMOVDQAmr */
+    337,
+    /* VFMSUBADDPSZ128v231rmbkz */
   },
   { /* 4162 */
-    44,
-    /* VMOVDQArm */
+    339,
+    /* VFMSUBADDPSZ128v231rmk */
   },
   { /* 4163 */
-    45,
-    /* VMOVDQArr */
+    339,
+    /* VFMSUBADDPSZ128v231rmkz */
   },
   { /* 4164 */
-    244,
-    /* VMOVDQArr_REV */
+    584,
+    /* VFMSUBADDPSZ128v231rr */
   },
   { /* 4165 */
-    488,
-    /* VMOVDQU16Z128mr */
+    341,
+    /* VFMSUBADDPSZ128v231rrk */
   },
   { /* 4166 */
-    527,
-    /* VMOVDQU16Z128mrk */
+    341,
+    /* VFMSUBADDPSZ128v231rrkz */
   },
   { /* 4167 */
-    490,
-    /* VMOVDQU16Z128rm */
+    572,
+    /* VFMSUBADDPSZ256v213rm */
   },
   { /* 4168 */
-    528,
-    /* VMOVDQU16Z128rmk */
+    577,
+    /* VFMSUBADDPSZ256v213rmb */
   },
   { /* 4169 */
-    529,
-    /* VMOVDQU16Z128rmkz */
+    344,
+    /* VFMSUBADDPSZ256v213rmbk */
   },
   { /* 4170 */
-    493,
-    /* VMOVDQU16Z128rr */
+    344,
+    /* VFMSUBADDPSZ256v213rmbkz */
   },
   { /* 4171 */
-    0,
-    /*  */
+    346,
+    /* VFMSUBADDPSZ256v213rmk */
   },
   { /* 4172 */
-    530,
-    /* VMOVDQU16Z128rrk */
+    346,
+    /* VFMSUBADDPSZ256v213rmkz */
   },
   { /* 4173 */
-    0,
-    /*  */
+    586,
+    /* VFMSUBADDPSZ256v213rr */
   },
   { /* 4174 */
-    531,
-    /* VMOVDQU16Z128rrkz */
+    348,
+    /* VFMSUBADDPSZ256v213rrk */
   },
   { /* 4175 */
-    0,
-    /*  */
+    348,
+    /* VFMSUBADDPSZ256v213rrkz */
   },
   { /* 4176 */
-    496,
-    /* VMOVDQU16Z256mr */
+    572,
+    /* VFMSUBADDPSZ256v231rm */
   },
   { /* 4177 */
-    532,
-    /* VMOVDQU16Z256mrk */
+    577,
+    /* VFMSUBADDPSZ256v231rmb */
   },
   { /* 4178 */
-    498,
-    /* VMOVDQU16Z256rm */
+    344,
+    /* VFMSUBADDPSZ256v231rmbk */
   },
   { /* 4179 */
-    533,
-    /* VMOVDQU16Z256rmk */
+    344,
+    /* VFMSUBADDPSZ256v231rmbkz */
   },
   { /* 4180 */
-    534,
-    /* VMOVDQU16Z256rmkz */
+    346,
+    /* VFMSUBADDPSZ256v231rmk */
   },
   { /* 4181 */
-    501,
-    /* VMOVDQU16Z256rr */
+    346,
+    /* VFMSUBADDPSZ256v231rmkz */
   },
   { /* 4182 */
-    0,
-    /*  */
+    586,
+    /* VFMSUBADDPSZ256v231rr */
   },
   { /* 4183 */
-    535,
-    /* VMOVDQU16Z256rrk */
+    348,
+    /* VFMSUBADDPSZ256v231rrk */
   },
   { /* 4184 */
-    0,
-    /*  */
+    348,
+    /* VFMSUBADDPSZ256v231rrkz */
   },
   { /* 4185 */
-    536,
-    /* VMOVDQU16Z256rrkz */
+    574,
+    /* VFMSUBADDPSZv213rm */
   },
   { /* 4186 */
-    0,
-    /*  */
+    578,
+    /* VFMSUBADDPSZv213rmb */
   },
   { /* 4187 */
-    504,
-    /* VMOVDQU16Zmr */
+    354,
+    /* VFMSUBADDPSZv213rmbk */
   },
   { /* 4188 */
-    537,
-    /* VMOVDQU16Zmrk */
+    354,
+    /* VFMSUBADDPSZv213rmbkz */
   },
   { /* 4189 */
-    378,
-    /* VMOVDQU16Zrm */
+    356,
+    /* VFMSUBADDPSZv213rmk */
   },
   { /* 4190 */
-    538,
-    /* VMOVDQU16Zrmk */
+    356,
+    /* VFMSUBADDPSZv213rmkz */
   },
   { /* 4191 */
-    539,
-    /* VMOVDQU16Zrmkz */
+    588,
+    /* VFMSUBADDPSZv213rr */
   },
   { /* 4192 */
-    379,
-    /* VMOVDQU16Zrr */
+    594,
+    /* VFMSUBADDPSZv213rrb */
   },
   { /* 4193 */
-    0,
-    /*  */
+    351,
+    /* VFMSUBADDPSZv213rrbk */
   },
   { /* 4194 */
-    540,
-    /* VMOVDQU16Zrrk */
+    351,
+    /* VFMSUBADDPSZv213rrbkz */
   },
   { /* 4195 */
-    0,
-    /*  */
+    358,
+    /* VFMSUBADDPSZv213rrk */
   },
   { /* 4196 */
-    541,
-    /* VMOVDQU16Zrrkz */
+    358,
+    /* VFMSUBADDPSZv213rrkz */
   },
   { /* 4197 */
-    0,
-    /*  */
+    574,
+    /* VFMSUBADDPSZv231rm */
   },
   { /* 4198 */
-    488,
-    /* VMOVDQU32Z128mr */
+    578,
+    /* VFMSUBADDPSZv231rmb */
   },
   { /* 4199 */
-    510,
-    /* VMOVDQU32Z128mrk */
+    354,
+    /* VFMSUBADDPSZv231rmbk */
   },
   { /* 4200 */
-    490,
-    /* VMOVDQU32Z128rm */
+    354,
+    /* VFMSUBADDPSZv231rmbkz */
   },
   { /* 4201 */
-    511,
-    /* VMOVDQU32Z128rmk */
+    356,
+    /* VFMSUBADDPSZv231rmk */
   },
   { /* 4202 */
-    512,
-    /* VMOVDQU32Z128rmkz */
+    356,
+    /* VFMSUBADDPSZv231rmkz */
   },
   { /* 4203 */
-    493,
-    /* VMOVDQU32Z128rr */
+    588,
+    /* VFMSUBADDPSZv231rr */
   },
   { /* 4204 */
-    0,
-    /*  */
+    358,
+    /* VFMSUBADDPSZv231rrk */
   },
   { /* 4205 */
-    513,
-    /* VMOVDQU32Z128rrk */
+    358,
+    /* VFMSUBADDPSZv231rrkz */
   },
   { /* 4206 */
-    0,
-    /*  */
+    590,
+    /* VFMSUBADDPSr132m */
   },
   { /* 4207 */
-    514,
-    /* VMOVDQU32Z128rrkz */
+    591,
+    /* VFMSUBADDPSr132mY */
   },
   { /* 4208 */
-    0,
-    /*  */
+    592,
+    /* VFMSUBADDPSr132r */
   },
   { /* 4209 */
-    496,
-    /* VMOVDQU32Z256mr */
+    593,
+    /* VFMSUBADDPSr132rY */
   },
   { /* 4210 */
-    515,
-    /* VMOVDQU32Z256mrk */
+    590,
+    /* VFMSUBADDPSr213m */
   },
   { /* 4211 */
-    498,
-    /* VMOVDQU32Z256rm */
+    591,
+    /* VFMSUBADDPSr213mY */
   },
   { /* 4212 */
-    516,
-    /* VMOVDQU32Z256rmk */
+    592,
+    /* VFMSUBADDPSr213r */
   },
   { /* 4213 */
-    517,
-    /* VMOVDQU32Z256rmkz */
+    593,
+    /* VFMSUBADDPSr213rY */
   },
   { /* 4214 */
-    501,
-    /* VMOVDQU32Z256rr */
+    590,
+    /* VFMSUBADDPSr231m */
   },
   { /* 4215 */
-    0,
-    /*  */
+    591,
+    /* VFMSUBADDPSr231mY */
   },
   { /* 4216 */
-    518,
-    /* VMOVDQU32Z256rrk */
+    592,
+    /* VFMSUBADDPSr231r */
   },
   { /* 4217 */
-    0,
-    /*  */
+    593,
+    /* VFMSUBADDPSr231rY */
   },
   { /* 4218 */
-    519,
-    /* VMOVDQU32Z256rrkz */
+    394,
+    /* VFMSUBPD4mr */
   },
   { /* 4219 */
-    0,
-    /*  */
+    392,
+    /* VFMSUBPD4mrY */
   },
   { /* 4220 */
-    504,
-    /* VMOVDQU32Zmr */
+    579,
+    /* VFMSUBPD4rm */
   },
   { /* 4221 */
-    520,
-    /* VMOVDQU32Zmrk */
+    580,
+    /* VFMSUBPD4rmY */
   },
   { /* 4222 */
-    378,
-    /* VMOVDQU32Zrm */
+    581,
+    /* VFMSUBPD4rr */
   },
   { /* 4223 */
-    521,
-    /* VMOVDQU32Zrmk */
+    582,
+    /* VFMSUBPD4rrY */
   },
   { /* 4224 */
-    522,
-    /* VMOVDQU32Zrmkz */
+    393,
+    /* VFMSUBPD4rrY_REV */
   },
   { /* 4225 */
-    379,
-    /* VMOVDQU32Zrr */
+    395,
+    /* VFMSUBPD4rr_REV */
   },
   { /* 4226 */
-    0,
-    /*  */
+    570,
+    /* VFMSUBPDZ128v213rm */
   },
   { /* 4227 */
-    523,
-    /* VMOVDQU32Zrrk */
+    583,
+    /* VFMSUBPDZ128v213rmb */
   },
   { /* 4228 */
-    0,
-    /*  */
+    306,
+    /* VFMSUBPDZ128v213rmbk */
   },
   { /* 4229 */
-    524,
-    /* VMOVDQU32Zrrkz */
+    306,
+    /* VFMSUBPDZ128v213rmbkz */
   },
   { /* 4230 */
-    0,
-    /*  */
+    308,
+    /* VFMSUBPDZ128v213rmk */
   },
   { /* 4231 */
-    488,
-    /* VMOVDQU64Z128mr */
+    308,
+    /* VFMSUBPDZ128v213rmkz */
   },
   { /* 4232 */
-    489,
-    /* VMOVDQU64Z128mrk */
+    584,
+    /* VFMSUBPDZ128v213rr */
   },
   { /* 4233 */
-    490,
-    /* VMOVDQU64Z128rm */
+    311,
+    /* VFMSUBPDZ128v213rrk */
   },
   { /* 4234 */
-    491,
-    /* VMOVDQU64Z128rmk */
+    311,
+    /* VFMSUBPDZ128v213rrkz */
   },
   { /* 4235 */
-    492,
-    /* VMOVDQU64Z128rmkz */
+    570,
+    /* VFMSUBPDZ128v231rm */
   },
   { /* 4236 */
-    493,
-    /* VMOVDQU64Z128rr */
+    583,
+    /* VFMSUBPDZ128v231rmb */
   },
   { /* 4237 */
-    0,
-    /*  */
+    306,
+    /* VFMSUBPDZ128v231rmbk */
   },
   { /* 4238 */
-    494,
-    /* VMOVDQU64Z128rrk */
+    306,
+    /* VFMSUBPDZ128v231rmbkz */
   },
   { /* 4239 */
-    0,
-    /*  */
+    308,
+    /* VFMSUBPDZ128v231rmk */
   },
   { /* 4240 */
-    495,
-    /* VMOVDQU64Z128rrkz */
+    308,
+    /* VFMSUBPDZ128v231rmkz */
   },
   { /* 4241 */
-    0,
-    /*  */
+    584,
+    /* VFMSUBPDZ128v231rr */
   },
   { /* 4242 */
-    496,
-    /* VMOVDQU64Z256mr */
+    311,
+    /* VFMSUBPDZ128v231rrk */
   },
   { /* 4243 */
-    497,
-    /* VMOVDQU64Z256mrk */
+    311,
+    /* VFMSUBPDZ128v231rrkz */
   },
   { /* 4244 */
-    498,
-    /* VMOVDQU64Z256rm */
+    572,
+    /* VFMSUBPDZ256v213rm */
   },
   { /* 4245 */
-    499,
-    /* VMOVDQU64Z256rmk */
+    585,
+    /* VFMSUBPDZ256v213rmb */
   },
   { /* 4246 */
-    500,
-    /* VMOVDQU64Z256rmkz */
+    315,
+    /* VFMSUBPDZ256v213rmbk */
   },
   { /* 4247 */
-    501,
-    /* VMOVDQU64Z256rr */
+    315,
+    /* VFMSUBPDZ256v213rmbkz */
   },
   { /* 4248 */
-    0,
-    /*  */
+    317,
+    /* VFMSUBPDZ256v213rmk */
   },
   { /* 4249 */
-    502,
-    /* VMOVDQU64Z256rrk */
+    317,
+    /* VFMSUBPDZ256v213rmkz */
   },
   { /* 4250 */
-    0,
-    /*  */
+    586,
+    /* VFMSUBPDZ256v213rr */
   },
   { /* 4251 */
-    503,
-    /* VMOVDQU64Z256rrkz */
+    320,
+    /* VFMSUBPDZ256v213rrk */
   },
   { /* 4252 */
-    0,
-    /*  */
+    320,
+    /* VFMSUBPDZ256v213rrkz */
   },
   { /* 4253 */
-    504,
-    /* VMOVDQU64Zmr */
+    572,
+    /* VFMSUBPDZ256v231rm */
   },
   { /* 4254 */
-    505,
-    /* VMOVDQU64Zmrk */
+    585,
+    /* VFMSUBPDZ256v231rmb */
   },
   { /* 4255 */
-    378,
-    /* VMOVDQU64Zrm */
+    315,
+    /* VFMSUBPDZ256v231rmbk */
   },
   { /* 4256 */
-    506,
-    /* VMOVDQU64Zrmk */
+    315,
+    /* VFMSUBPDZ256v231rmbkz */
   },
   { /* 4257 */
-    507,
-    /* VMOVDQU64Zrmkz */
+    317,
+    /* VFMSUBPDZ256v231rmk */
   },
   { /* 4258 */
-    379,
-    /* VMOVDQU64Zrr */
+    317,
+    /* VFMSUBPDZ256v231rmkz */
   },
   { /* 4259 */
-    0,
-    /*  */
+    586,
+    /* VFMSUBPDZ256v231rr */
   },
   { /* 4260 */
-    508,
-    /* VMOVDQU64Zrrk */
+    320,
+    /* VFMSUBPDZ256v231rrk */
   },
   { /* 4261 */
-    0,
-    /*  */
+    320,
+    /* VFMSUBPDZ256v231rrkz */
   },
   { /* 4262 */
-    509,
-    /* VMOVDQU64Zrrkz */
+    574,
+    /* VFMSUBPDZv213rm */
   },
   { /* 4263 */
-    0,
-    /*  */
+    587,
+    /* VFMSUBPDZv213rmb */
   },
   { /* 4264 */
-    488,
-    /* VMOVDQU8Z128mr */
+    327,
+    /* VFMSUBPDZv213rmbk */
   },
   { /* 4265 */
-    542,
-    /* VMOVDQU8Z128mrk */
+    327,
+    /* VFMSUBPDZv213rmbkz */
   },
   { /* 4266 */
-    490,
-    /* VMOVDQU8Z128rm */
+    329,
+    /* VFMSUBPDZv213rmk */
   },
   { /* 4267 */
-    543,
-    /* VMOVDQU8Z128rmk */
+    329,
+    /* VFMSUBPDZv213rmkz */
   },
   { /* 4268 */
-    544,
-    /* VMOVDQU8Z128rmkz */
+    588,
+    /* VFMSUBPDZv213rr */
   },
   { /* 4269 */
-    493,
-    /* VMOVDQU8Z128rr */
+    589,
+    /* VFMSUBPDZv213rrb */
   },
   { /* 4270 */
-    0,
-    /*  */
+    323,
+    /* VFMSUBPDZv213rrbk */
   },
   { /* 4271 */
-    545,
-    /* VMOVDQU8Z128rrk */
+    323,
+    /* VFMSUBPDZv213rrbkz */
   },
   { /* 4272 */
-    0,
-    /*  */
+    332,
+    /* VFMSUBPDZv213rrk */
   },
   { /* 4273 */
-    546,
-    /* VMOVDQU8Z128rrkz */
+    332,
+    /* VFMSUBPDZv213rrkz */
   },
   { /* 4274 */
-    0,
-    /*  */
+    574,
+    /* VFMSUBPDZv231rm */
   },
   { /* 4275 */
-    496,
-    /* VMOVDQU8Z256mr */
+    587,
+    /* VFMSUBPDZv231rmb */
   },
   { /* 4276 */
-    547,
-    /* VMOVDQU8Z256mrk */
+    327,
+    /* VFMSUBPDZv231rmbk */
   },
   { /* 4277 */
-    498,
-    /* VMOVDQU8Z256rm */
+    327,
+    /* VFMSUBPDZv231rmbkz */
   },
   { /* 4278 */
-    548,
-    /* VMOVDQU8Z256rmk */
+    329,
+    /* VFMSUBPDZv231rmk */
   },
   { /* 4279 */
-    549,
-    /* VMOVDQU8Z256rmkz */
+    329,
+    /* VFMSUBPDZv231rmkz */
   },
   { /* 4280 */
-    501,
-    /* VMOVDQU8Z256rr */
+    588,
+    /* VFMSUBPDZv231rr */
   },
   { /* 4281 */
-    0,
-    /*  */
+    332,
+    /* VFMSUBPDZv231rrk */
   },
   { /* 4282 */
-    550,
-    /* VMOVDQU8Z256rrk */
+    332,
+    /* VFMSUBPDZv231rrkz */
   },
   { /* 4283 */
-    0,
-    /*  */
+    590,
+    /* VFMSUBPDr132m */
   },
   { /* 4284 */
-    551,
-    /* VMOVDQU8Z256rrkz */
+    591,
+    /* VFMSUBPDr132mY */
   },
   { /* 4285 */
-    0,
-    /*  */
+    592,
+    /* VFMSUBPDr132r */
   },
   { /* 4286 */
-    504,
-    /* VMOVDQU8Zmr */
+    593,
+    /* VFMSUBPDr132rY */
   },
   { /* 4287 */
-    552,
-    /* VMOVDQU8Zmrk */
+    590,
+    /* VFMSUBPDr213m */
   },
   { /* 4288 */
-    378,
-    /* VMOVDQU8Zrm */
+    591,
+    /* VFMSUBPDr213mY */
   },
   { /* 4289 */
-    553,
-    /* VMOVDQU8Zrmk */
+    592,
+    /* VFMSUBPDr213r */
   },
   { /* 4290 */
-    554,
-    /* VMOVDQU8Zrmkz */
+    593,
+    /* VFMSUBPDr213rY */
   },
   { /* 4291 */
-    379,
-    /* VMOVDQU8Zrr */
+    590,
+    /* VFMSUBPDr231m */
   },
   { /* 4292 */
-    0,
-    /*  */
+    591,
+    /* VFMSUBPDr231mY */
   },
   { /* 4293 */
-    555,
-    /* VMOVDQU8Zrrk */
+    592,
+    /* VFMSUBPDr231r */
   },
   { /* 4294 */
-    0,
-    /*  */
+    593,
+    /* VFMSUBPDr231rY */
   },
   { /* 4295 */
-    556,
-    /* VMOVDQU8Zrrkz */
+    394,
+    /* VFMSUBPS4mr */
   },
   { /* 4296 */
-    0,
-    /*  */
+    392,
+    /* VFMSUBPS4mrY */
   },
   { /* 4297 */
-    486,
-    /* VMOVDQUYmr */
+    579,
+    /* VFMSUBPS4rm */
   },
   { /* 4298 */
-    376,
-    /* VMOVDQUYrm */
+    580,
+    /* VFMSUBPS4rmY */
   },
   { /* 4299 */
-    377,
-    /* VMOVDQUYrr */
+    581,
+    /* VFMSUBPS4rr */
   },
   { /* 4300 */
-    487,
-    /* VMOVDQUYrr_REV */
+    582,
+    /* VFMSUBPS4rrY */
   },
   { /* 4301 */
-    243,
-    /* VMOVDQUmr */
+    393,
+    /* VFMSUBPS4rrY_REV */
   },
   { /* 4302 */
-    44,
-    /* VMOVDQUrm */
+    395,
+    /* VFMSUBPS4rr_REV */
   },
   { /* 4303 */
-    45,
-    /* VMOVDQUrr */
+    570,
+    /* VFMSUBPSZ128v213rm */
   },
   { /* 4304 */
-    244,
-    /* VMOVDQUrr_REV */
+    576,
+    /* VFMSUBPSZ128v213rmb */
   },
   { /* 4305 */
-    557,
-    /* VMOVHLPSZrr */
+    337,
+    /* VFMSUBPSZ128v213rmbk */
   },
   { /* 4306 */
-    313,
-    /* VMOVHLPSrr */
+    337,
+    /* VFMSUBPSZ128v213rmbkz */
   },
   { /* 4307 */
-    246,
-    /* VMOVHPDmr */
+    339,
+    /* VFMSUBPSZ128v213rmk */
   },
   { /* 4308 */
-    558,
-    /* VMOVHPDrm */
+    339,
+    /* VFMSUBPSZ128v213rmkz */
   },
   { /* 4309 */
-    246,
-    /* VMOVHPSmr */
+    584,
+    /* VFMSUBPSZ128v213rr */
   },
   { /* 4310 */
-    558,
-    /* VMOVHPSrm */
+    341,
+    /* VFMSUBPSZ128v213rrk */
   },
   { /* 4311 */
-    557,
-    /* VMOVLHPSZrr */
+    341,
+    /* VFMSUBPSZ128v213rrkz */
   },
   { /* 4312 */
-    313,
-    /* VMOVLHPSrr */
+    570,
+    /* VFMSUBPSZ128v231rm */
   },
   { /* 4313 */
-    246,
-    /* VMOVLPDmr */
+    576,
+    /* VFMSUBPSZ128v231rmb */
   },
   { /* 4314 */
-    558,
-    /* VMOVLPDrm */
+    337,
+    /* VFMSUBPSZ128v231rmbk */
   },
   { /* 4315 */
-    246,
-    /* VMOVLPSmr */
+    337,
+    /* VFMSUBPSZ128v231rmbkz */
   },
   { /* 4316 */
-    558,
-    /* VMOVLPSrm */
+    339,
+    /* VFMSUBPSZ128v231rmk */
   },
   { /* 4317 */
-    559,
-    /* VMOVMSKPDYrr */
+    339,
+    /* VFMSUBPSZ128v231rmkz */
   },
   { /* 4318 */
-    110,
-    /* VMOVMSKPDrr */
+    584,
+    /* VFMSUBPSZ128v231rr */
   },
   { /* 4319 */
-    559,
-    /* VMOVMSKPSYrr */
+    341,
+    /* VFMSUBPSZ128v231rrk */
   },
   { /* 4320 */
-    110,
-    /* VMOVMSKPSrr */
+    341,
+    /* VFMSUBPSZ128v231rrkz */
   },
   { /* 4321 */
-    376,
-    /* VMOVNTDQAYrm */
+    572,
+    /* VFMSUBPSZ256v213rm */
   },
   { /* 4322 */
-    490,
-    /* VMOVNTDQAZ128rm */
+    577,
+    /* VFMSUBPSZ256v213rmb */
   },
   { /* 4323 */
-    498,
-    /* VMOVNTDQAZ256rm */
+    344,
+    /* VFMSUBPSZ256v213rmbk */
   },
   { /* 4324 */
-    378,
-    /* VMOVNTDQAZrm */
+    344,
+    /* VFMSUBPSZ256v213rmbkz */
   },
   { /* 4325 */
-    44,
-    /* VMOVNTDQArm */
+    346,
+    /* VFMSUBPSZ256v213rmk */
   },
   { /* 4326 */
-    486,
-    /* VMOVNTDQYmr */
+    346,
+    /* VFMSUBPSZ256v213rmkz */
   },
   { /* 4327 */
-    488,
-    /* VMOVNTDQZ128mr */
+    586,
+    /* VFMSUBPSZ256v213rr */
   },
   { /* 4328 */
-    496,
-    /* VMOVNTDQZ256mr */
+    348,
+    /* VFMSUBPSZ256v213rrk */
   },
   { /* 4329 */
-    504,
-    /* VMOVNTDQZmr */
+    348,
+    /* VFMSUBPSZ256v213rrkz */
   },
   { /* 4330 */
-    243,
-    /* VMOVNTDQmr */
+    572,
+    /* VFMSUBPSZ256v231rm */
   },
   { /* 4331 */
-    486,
-    /* VMOVNTPDYmr */
+    577,
+    /* VFMSUBPSZ256v231rmb */
   },
   { /* 4332 */
-    488,
-    /* VMOVNTPDZ128mr */
+    344,
+    /* VFMSUBPSZ256v231rmbk */
   },
   { /* 4333 */
-    496,
-    /* VMOVNTPDZ256mr */
+    344,
+    /* VFMSUBPSZ256v231rmbkz */
   },
   { /* 4334 */
-    504,
-    /* VMOVNTPDZmr */
+    346,
+    /* VFMSUBPSZ256v231rmk */
   },
   { /* 4335 */
-    243,
-    /* VMOVNTPDmr */
+    346,
+    /* VFMSUBPSZ256v231rmkz */
   },
   { /* 4336 */
-    486,
-    /* VMOVNTPSYmr */
+    586,
+    /* VFMSUBPSZ256v231rr */
   },
   { /* 4337 */
-    488,
-    /* VMOVNTPSZ128mr */
+    348,
+    /* VFMSUBPSZ256v231rrk */
   },
   { /* 4338 */
-    496,
-    /* VMOVNTPSZ256mr */
+    348,
+    /* VFMSUBPSZ256v231rrkz */
   },
   { /* 4339 */
-    504,
-    /* VMOVNTPSZmr */
+    574,
+    /* VFMSUBPSZv213rm */
   },
   { /* 4340 */
-    243,
-    /* VMOVNTPSmr */
+    578,
+    /* VFMSUBPSZv213rmb */
   },
   { /* 4341 */
-    560,
-    /* VMOVPDI2DIZmr */
+    354,
+    /* VFMSUBPSZv213rmbk */
   },
   { /* 4342 */
-    561,
-    /* VMOVPDI2DIZrr */
+    354,
+    /* VFMSUBPSZv213rmbkz */
   },
   { /* 4343 */
-    250,
-    /* VMOVPDI2DImr */
+    356,
+    /* VFMSUBPSZv213rmk */
   },
   { /* 4344 */
-    251,
-    /* VMOVPDI2DIrr */
+    356,
+    /* VFMSUBPSZv213rmkz */
   },
   { /* 4345 */
-    250,
-    /* VMOVPQI2QImr */
+    588,
+    /* VFMSUBPSZv213rr */
   },
   { /* 4346 */
-    244,
-    /* VMOVPQI2QIrr */
+    594,
+    /* VFMSUBPSZv213rrb */
   },
   { /* 4347 */
-    562,
-    /* VMOVPQIto64Zmr */
+    351,
+    /* VFMSUBPSZv213rrbk */
   },
   { /* 4348 */
-    563,
-    /* VMOVPQIto64Zrr */
+    351,
+    /* VFMSUBPSZv213rrbkz */
   },
   { /* 4349 */
-    252,
-    /* VMOVPQIto64rr */
+    358,
+    /* VFMSUBPSZv213rrk */
   },
   { /* 4350 */
-    564,
-    /* VMOVQI2PQIZrm */
+    358,
+    /* VFMSUBPSZv213rrkz */
   },
   { /* 4351 */
-    105,
-    /* VMOVQI2PQIrm */
+    574,
+    /* VFMSUBPSZv231rm */
   },
   { /* 4352 */
-    565,
-    /* VMOVSDZmr */
+    578,
+    /* VFMSUBPSZv231rmb */
   },
   { /* 4353 */
-    566,
-    /* VMOVSDZrm */
+    354,
+    /* VFMSUBPSZv231rmbk */
   },
   { /* 4354 */
-    567,
-    /* VMOVSDZrr */
+    354,
+    /* VFMSUBPSZv231rmbkz */
   },
   { /* 4355 */
-    568,
-    /* VMOVSDZrr_REV */
+    356,
+    /* VFMSUBPSZv231rmk */
   },
   { /* 4356 */
-    569,
-    /* VMOVSDZrrk */
+    356,
+    /* VFMSUBPSZv231rmkz */
   },
   { /* 4357 */
-    253,
-    /* VMOVSDmr */
+    588,
+    /* VFMSUBPSZv231rr */
   },
   { /* 4358 */
-    254,
-    /* VMOVSDrm */
+    358,
+    /* VFMSUBPSZv231rrk */
   },
   { /* 4359 */
-    570,
-    /* VMOVSDrr */
+    358,
+    /* VFMSUBPSZv231rrkz */
   },
   { /* 4360 */
-    571,
-    /* VMOVSDrr_REV */
+    590,
+    /* VFMSUBPSr132m */
   },
   { /* 4361 */
-    572,
-    /* VMOVSDto64Zmr */
+    591,
+    /* VFMSUBPSr132mY */
   },
   { /* 4362 */
-    0,
-    /*  */
+    592,
+    /* VFMSUBPSr132r */
   },
   { /* 4363 */
-    0,
-    /*  */
+    593,
+    /* VFMSUBPSr132rY */
   },
   { /* 4364 */
-    0,
-    /*  */
+    590,
+    /* VFMSUBPSr213m */
   },
   { /* 4365 */
-    376,
-    /* VMOVSHDUPYrm */
+    591,
+    /* VFMSUBPSr213mY */
   },
   { /* 4366 */
-    377,
-    /* VMOVSHDUPYrr */
+    592,
+    /* VFMSUBPSr213r */
   },
   { /* 4367 */
-    378,
-    /* VMOVSHDUPZrm */
+    593,
+    /* VFMSUBPSr213rY */
   },
   { /* 4368 */
-    379,
-    /* VMOVSHDUPZrr */
+    590,
+    /* VFMSUBPSr231m */
   },
   { /* 4369 */
-    44,
-    /* VMOVSHDUPrm */
+    591,
+    /* VFMSUBPSr231mY */
   },
   { /* 4370 */
-    45,
-    /* VMOVSHDUPrr */
+    592,
+    /* VFMSUBPSr231r */
   },
   { /* 4371 */
-    376,
-    /* VMOVSLDUPYrm */
+    593,
+    /* VFMSUBPSr231rY */
   },
   { /* 4372 */
-    377,
-    /* VMOVSLDUPYrr */
+    595,
+    /* VFMSUBSD4mr */
   },
   { /* 4373 */
-    378,
-    /* VMOVSLDUPZrm */
+    0,
+    /*  */
   },
   { /* 4374 */
-    379,
-    /* VMOVSLDUPZrr */
+    596,
+    /* VFMSUBSD4rm */
   },
   { /* 4375 */
-    44,
-    /* VMOVSLDUPrm */
+    0,
+    /*  */
   },
   { /* 4376 */
-    45,
-    /* VMOVSLDUPrr */
+    597,
+    /* VFMSUBSD4rr */
   },
   { /* 4377 */
     0,
     /*  */
   },
   { /* 4378 */
-    0,
-    /*  */
+    598,
+    /* VFMSUBSD4rr_REV */
   },
   { /* 4379 */
-    0,
-    /*  */
+    599,
+    /* VFMSUBSDZm */
   },
   { /* 4380 */
-    0,
-    /*  */
+    600,
+    /* VFMSUBSDZr */
   },
   { /* 4381 */
-    573,
-    /* VMOVSSZmr */
+    601,
+    /* VFMSUBSDr132m */
   },
   { /* 4382 */
-    574,
-    /* VMOVSSZrm */
+    602,
+    /* VFMSUBSDr132r */
   },
   { /* 4383 */
-    575,
-    /* VMOVSSZrr */
+    601,
+    /* VFMSUBSDr213m */
   },
   { /* 4384 */
-    576,
-    /* VMOVSSZrr_REV */
+    602,
+    /* VFMSUBSDr213r */
   },
   { /* 4385 */
-    577,
-    /* VMOVSSZrrk */
+    601,
+    /* VFMSUBSDr231m */
   },
   { /* 4386 */
-    257,
-    /* VMOVSSmr */
+    602,
+    /* VFMSUBSDr231r */
   },
   { /* 4387 */
-    258,
-    /* VMOVSSrm */
+    603,
+    /* VFMSUBSS4mr */
   },
   { /* 4388 */
-    578,
-    /* VMOVSSrr */
+    0,
+    /*  */
   },
   { /* 4389 */
-    579,
-    /* VMOVSSrr_REV */
+    604,
+    /* VFMSUBSS4rm */
   },
   { /* 4390 */
-    486,
-    /* VMOVUPDYmr */
+    0,
+    /*  */
   },
   { /* 4391 */
-    376,
-    /* VMOVUPDYrm */
+    605,
+    /* VFMSUBSS4rr */
   },
   { /* 4392 */
-    377,
-    /* VMOVUPDYrr */
+    0,
+    /*  */
   },
   { /* 4393 */
-    487,
-    /* VMOVUPDYrr_REV */
+    606,
+    /* VFMSUBSS4rr_REV */
   },
   { /* 4394 */
-    488,
-    /* VMOVUPDZ128mr */
+    607,
+    /* VFMSUBSSZm */
   },
   { /* 4395 */
-    489,
-    /* VMOVUPDZ128mrk */
+    608,
+    /* VFMSUBSSZr */
   },
   { /* 4396 */
-    490,
-    /* VMOVUPDZ128rm */
+    609,
+    /* VFMSUBSSr132m */
   },
   { /* 4397 */
-    491,
-    /* VMOVUPDZ128rmk */
+    610,
+    /* VFMSUBSSr132r */
   },
   { /* 4398 */
-    492,
-    /* VMOVUPDZ128rmkz */
+    609,
+    /* VFMSUBSSr213m */
   },
   { /* 4399 */
-    493,
-    /* VMOVUPDZ128rr */
+    610,
+    /* VFMSUBSSr213r */
   },
   { /* 4400 */
-    0,
-    /*  */
+    609,
+    /* VFMSUBSSr231m */
   },
   { /* 4401 */
-    494,
-    /* VMOVUPDZ128rrk */
+    610,
+    /* VFMSUBSSr231r */
   },
   { /* 4402 */
-    0,
-    /*  */
+    570,
+    /* VFNMADD132PDZ128m */
   },
   { /* 4403 */
-    495,
-    /* VMOVUPDZ128rrkz */
+    571,
+    /* VFNMADD132PDZ128mb */
   },
   { /* 4404 */
-    0,
-    /*  */
+    572,
+    /* VFNMADD132PDZ256m */
   },
   { /* 4405 */
-    496,
-    /* VMOVUPDZ256mr */
+    573,
+    /* VFNMADD132PDZ256mb */
   },
   { /* 4406 */
-    497,
-    /* VMOVUPDZ256mrk */
+    574,
+    /* VFNMADD132PDZm */
   },
   { /* 4407 */
-    498,
-    /* VMOVUPDZ256rm */
+    575,
+    /* VFNMADD132PDZmb */
   },
   { /* 4408 */
-    499,
-    /* VMOVUPDZ256rmk */
+    570,
+    /* VFNMADD132PSZ128m */
   },
   { /* 4409 */
-    500,
-    /* VMOVUPDZ256rmkz */
+    576,
+    /* VFNMADD132PSZ128mb */
   },
   { /* 4410 */
-    501,
-    /* VMOVUPDZ256rr */
+    572,
+    /* VFNMADD132PSZ256m */
   },
   { /* 4411 */
-    0,
-    /*  */
+    577,
+    /* VFNMADD132PSZ256mb */
   },
   { /* 4412 */
-    502,
-    /* VMOVUPDZ256rrk */
+    574,
+    /* VFNMADD132PSZm */
   },
   { /* 4413 */
-    0,
-    /*  */
+    578,
+    /* VFNMADD132PSZmb */
   },
   { /* 4414 */
-    503,
-    /* VMOVUPDZ256rrkz */
+    394,
+    /* VFNMADDPD4mr */
   },
   { /* 4415 */
-    0,
-    /*  */
+    392,
+    /* VFNMADDPD4mrY */
   },
   { /* 4416 */
-    504,
-    /* VMOVUPDZmr */
+    579,
+    /* VFNMADDPD4rm */
   },
   { /* 4417 */
-    505,
-    /* VMOVUPDZmrk */
+    580,
+    /* VFNMADDPD4rmY */
   },
   { /* 4418 */
-    378,
-    /* VMOVUPDZrm */
+    581,
+    /* VFNMADDPD4rr */
   },
   { /* 4419 */
-    506,
-    /* VMOVUPDZrmk */
+    582,
+    /* VFNMADDPD4rrY */
   },
   { /* 4420 */
-    507,
-    /* VMOVUPDZrmkz */
+    393,
+    /* VFNMADDPD4rrY_REV */
   },
   { /* 4421 */
-    379,
-    /* VMOVUPDZrr */
+    395,
+    /* VFNMADDPD4rr_REV */
   },
   { /* 4422 */
-    0,
-    /*  */
+    570,
+    /* VFNMADDPDZ128v213rm */
   },
   { /* 4423 */
-    508,
-    /* VMOVUPDZrrk */
+    583,
+    /* VFNMADDPDZ128v213rmb */
   },
   { /* 4424 */
-    0,
-    /*  */
+    306,
+    /* VFNMADDPDZ128v213rmbk */
   },
   { /* 4425 */
-    509,
-    /* VMOVUPDZrrkz */
+    306,
+    /* VFNMADDPDZ128v213rmbkz */
   },
   { /* 4426 */
-    0,
-    /*  */
+    308,
+    /* VFNMADDPDZ128v213rmk */
   },
   { /* 4427 */
-    243,
-    /* VMOVUPDmr */
+    308,
+    /* VFNMADDPDZ128v213rmkz */
   },
   { /* 4428 */
-    44,
-    /* VMOVUPDrm */
+    584,
+    /* VFNMADDPDZ128v213rr */
   },
   { /* 4429 */
-    45,
-    /* VMOVUPDrr */
+    311,
+    /* VFNMADDPDZ128v213rrk */
   },
   { /* 4430 */
-    244,
-    /* VMOVUPDrr_REV */
+    311,
+    /* VFNMADDPDZ128v213rrkz */
   },
   { /* 4431 */
-    486,
-    /* VMOVUPSYmr */
+    570,
+    /* VFNMADDPDZ128v231rm */
   },
   { /* 4432 */
-    376,
-    /* VMOVUPSYrm */
+    583,
+    /* VFNMADDPDZ128v231rmb */
   },
   { /* 4433 */
-    377,
-    /* VMOVUPSYrr */
+    306,
+    /* VFNMADDPDZ128v231rmbk */
   },
   { /* 4434 */
-    487,
-    /* VMOVUPSYrr_REV */
+    306,
+    /* VFNMADDPDZ128v231rmbkz */
   },
   { /* 4435 */
-    488,
-    /* VMOVUPSZ128mr */
+    308,
+    /* VFNMADDPDZ128v231rmk */
   },
   { /* 4436 */
-    510,
-    /* VMOVUPSZ128mrk */
+    308,
+    /* VFNMADDPDZ128v231rmkz */
   },
   { /* 4437 */
-    490,
-    /* VMOVUPSZ128rm */
+    584,
+    /* VFNMADDPDZ128v231rr */
   },
   { /* 4438 */
-    511,
-    /* VMOVUPSZ128rmk */
+    311,
+    /* VFNMADDPDZ128v231rrk */
   },
   { /* 4439 */
-    512,
-    /* VMOVUPSZ128rmkz */
+    311,
+    /* VFNMADDPDZ128v231rrkz */
   },
   { /* 4440 */
-    493,
-    /* VMOVUPSZ128rr */
+    572,
+    /* VFNMADDPDZ256v213rm */
   },
   { /* 4441 */
-    0,
-    /*  */
+    585,
+    /* VFNMADDPDZ256v213rmb */
   },
   { /* 4442 */
-    513,
-    /* VMOVUPSZ128rrk */
+    315,
+    /* VFNMADDPDZ256v213rmbk */
   },
   { /* 4443 */
-    0,
-    /*  */
+    315,
+    /* VFNMADDPDZ256v213rmbkz */
   },
   { /* 4444 */
-    514,
-    /* VMOVUPSZ128rrkz */
+    317,
+    /* VFNMADDPDZ256v213rmk */
   },
   { /* 4445 */
-    0,
-    /*  */
+    317,
+    /* VFNMADDPDZ256v213rmkz */
   },
   { /* 4446 */
-    496,
-    /* VMOVUPSZ256mr */
+    586,
+    /* VFNMADDPDZ256v213rr */
   },
   { /* 4447 */
-    515,
-    /* VMOVUPSZ256mrk */
+    320,
+    /* VFNMADDPDZ256v213rrk */
   },
   { /* 4448 */
-    498,
-    /* VMOVUPSZ256rm */
+    320,
+    /* VFNMADDPDZ256v213rrkz */
   },
   { /* 4449 */
-    516,
-    /* VMOVUPSZ256rmk */
+    572,
+    /* VFNMADDPDZ256v231rm */
   },
   { /* 4450 */
-    517,
-    /* VMOVUPSZ256rmkz */
+    585,
+    /* VFNMADDPDZ256v231rmb */
   },
   { /* 4451 */
-    501,
-    /* VMOVUPSZ256rr */
+    315,
+    /* VFNMADDPDZ256v231rmbk */
   },
   { /* 4452 */
-    0,
-    /*  */
+    315,
+    /* VFNMADDPDZ256v231rmbkz */
   },
   { /* 4453 */
-    518,
-    /* VMOVUPSZ256rrk */
+    317,
+    /* VFNMADDPDZ256v231rmk */
   },
   { /* 4454 */
-    0,
-    /*  */
+    317,
+    /* VFNMADDPDZ256v231rmkz */
   },
   { /* 4455 */
-    519,
-    /* VMOVUPSZ256rrkz */
+    586,
+    /* VFNMADDPDZ256v231rr */
   },
   { /* 4456 */
-    0,
-    /*  */
+    320,
+    /* VFNMADDPDZ256v231rrk */
   },
   { /* 4457 */
-    504,
-    /* VMOVUPSZmr */
+    320,
+    /* VFNMADDPDZ256v231rrkz */
   },
   { /* 4458 */
-    520,
-    /* VMOVUPSZmrk */
+    574,
+    /* VFNMADDPDZv213rm */
   },
   { /* 4459 */
-    378,
-    /* VMOVUPSZrm */
+    587,
+    /* VFNMADDPDZv213rmb */
   },
   { /* 4460 */
-    521,
-    /* VMOVUPSZrmk */
+    327,
+    /* VFNMADDPDZv213rmbk */
   },
   { /* 4461 */
-    522,
-    /* VMOVUPSZrmkz */
+    327,
+    /* VFNMADDPDZv213rmbkz */
   },
   { /* 4462 */
-    379,
-    /* VMOVUPSZrr */
+    329,
+    /* VFNMADDPDZv213rmk */
   },
   { /* 4463 */
-    0,
-    /*  */
+    329,
+    /* VFNMADDPDZv213rmkz */
   },
   { /* 4464 */
-    523,
-    /* VMOVUPSZrrk */
+    588,
+    /* VFNMADDPDZv213rr */
   },
   { /* 4465 */
-    0,
-    /*  */
+    589,
+    /* VFNMADDPDZv213rrb */
   },
   { /* 4466 */
-    524,
-    /* VMOVUPSZrrkz */
+    323,
+    /* VFNMADDPDZv213rrbk */
   },
   { /* 4467 */
-    0,
-    /*  */
+    323,
+    /* VFNMADDPDZv213rrbkz */
   },
   { /* 4468 */
-    243,
-    /* VMOVUPSmr */
+    332,
+    /* VFNMADDPDZv213rrk */
   },
   { /* 4469 */
-    44,
-    /* VMOVUPSrm */
+    332,
+    /* VFNMADDPDZv213rrkz */
   },
   { /* 4470 */
-    45,
-    /* VMOVUPSrr */
+    574,
+    /* VFNMADDPDZv231rm */
   },
   { /* 4471 */
-    244,
-    /* VMOVUPSrr_REV */
+    587,
+    /* VFNMADDPDZv231rmb */
   },
   { /* 4472 */
-    371,
-    /* VMOVZPQILo2PQIZrm */
+    327,
+    /* VFNMADDPDZv231rmbk */
   },
   { /* 4473 */
-    493,
-    /* VMOVZPQILo2PQIZrr */
+    327,
+    /* VFNMADDPDZv231rmbkz */
   },
   { /* 4474 */
-    0,
-    /*  */
+    329,
+    /* VFNMADDPDZv231rmk */
   },
   { /* 4475 */
-    45,
-    /* VMOVZPQILo2PQIrr */
+    329,
+    /* VFNMADDPDZv231rmkz */
   },
   { /* 4476 */
-    0,
-    /*  */
+    588,
+    /* VFNMADDPDZv231rr */
   },
   { /* 4477 */
-    0,
-    /*  */
+    332,
+    /* VFNMADDPDZv231rrk */
   },
   { /* 4478 */
     332,
-    /* VMPSADBWYrmi */
+    /* VFNMADDPDZv231rrkz */
   },
   { /* 4479 */
-    333,
-    /* VMPSADBWYrri */
+    590,
+    /* VFNMADDPDr132m */
   },
   { /* 4480 */
-    334,
-    /* VMPSADBWrmi */
+    591,
+    /* VFNMADDPDr132mY */
   },
   { /* 4481 */
-    335,
-    /* VMPSADBWrri */
+    592,
+    /* VFNMADDPDr132r */
   },
   { /* 4482 */
-    38,
-    /* VMPTRLDm */
+    593,
+    /* VFNMADDPDr132rY */
   },
   { /* 4483 */
-    38,
-    /* VMPTRSTm */
+    590,
+    /* VFNMADDPDr213m */
   },
   { /* 4484 */
-    248,
-    /* VMREAD32rm */
+    591,
+    /* VFNMADDPDr213mY */
   },
   { /* 4485 */
-    580,
-    /* VMREAD32rr */
+    592,
+    /* VFNMADDPDr213r */
   },
   { /* 4486 */
-    16,
-    /* VMREAD64rm */
+    593,
+    /* VFNMADDPDr213rY */
   },
   { /* 4487 */
-    76,
-    /* VMREAD64rr */
+    590,
+    /* VFNMADDPDr231m */
   },
   { /* 4488 */
-    0,
-    /* VMRESUME */
+    591,
+    /* VFNMADDPDr231mY */
   },
   { /* 4489 */
-    0,
-    /* VMRUN32 */
+    592,
+    /* VFNMADDPDr231r */
   },
   { /* 4490 */
-    0,
-    /* VMRUN64 */
+    593,
+    /* VFNMADDPDr231rY */
   },
   { /* 4491 */
-    0,
-    /* VMSAVE32 */
+    394,
+    /* VFNMADDPS4mr */
   },
   { /* 4492 */
-    0,
-    /* VMSAVE64 */
+    392,
+    /* VFNMADDPS4mrY */
   },
   { /* 4493 */
-    304,
-    /* VMULPDYrm */
+    579,
+    /* VFNMADDPS4rm */
   },
   { /* 4494 */
-    305,
-    /* VMULPDYrr */
+    580,
+    /* VFNMADDPS4rmY */
   },
   { /* 4495 */
-    306,
-    /* VMULPDZrm */
+    581,
+    /* VFNMADDPS4rr */
   },
   { /* 4496 */
-    307,
-    /* VMULPDZrmb */
+    582,
+    /* VFNMADDPS4rrY */
   },
   { /* 4497 */
-    308,
-    /* VMULPDZrmbk */
+    393,
+    /* VFNMADDPS4rrY_REV */
   },
   { /* 4498 */
-    308,
-    /* VMULPDZrmbkz */
+    395,
+    /* VFNMADDPS4rr_REV */
   },
   { /* 4499 */
-    309,
-    /* VMULPDZrmk */
+    570,
+    /* VFNMADDPSZ128v213rm */
   },
   { /* 4500 */
-    309,
-    /* VMULPDZrmkz */
+    576,
+    /* VFNMADDPSZ128v213rmb */
   },
   { /* 4501 */
-    310,
-    /* VMULPDZrr */
+    337,
+    /* VFNMADDPSZ128v213rmbk */
   },
   { /* 4502 */
-    311,
-    /* VMULPDZrrk */
+    337,
+    /* VFNMADDPSZ128v213rmbkz */
   },
   { /* 4503 */
-    311,
-    /* VMULPDZrrkz */
+    339,
+    /* VFNMADDPSZ128v213rmk */
   },
   { /* 4504 */
-    312,
-    /* VMULPDrm */
+    339,
+    /* VFNMADDPSZ128v213rmkz */
   },
   { /* 4505 */
-    313,
-    /* VMULPDrr */
+    584,
+    /* VFNMADDPSZ128v213rr */
   },
   { /* 4506 */
-    304,
-    /* VMULPSYrm */
+    341,
+    /* VFNMADDPSZ128v213rrk */
   },
   { /* 4507 */
-    305,
-    /* VMULPSYrr */
+    341,
+    /* VFNMADDPSZ128v213rrkz */
   },
   { /* 4508 */
-    306,
-    /* VMULPSZrm */
+    570,
+    /* VFNMADDPSZ128v231rm */
   },
   { /* 4509 */
-    314,
-    /* VMULPSZrmb */
+    576,
+    /* VFNMADDPSZ128v231rmb */
   },
   { /* 4510 */
-    315,
-    /* VMULPSZrmbk */
+    337,
+    /* VFNMADDPSZ128v231rmbk */
   },
   { /* 4511 */
-    315,
-    /* VMULPSZrmbkz */
+    337,
+    /* VFNMADDPSZ128v231rmbkz */
   },
   { /* 4512 */
-    316,
-    /* VMULPSZrmk */
+    339,
+    /* VFNMADDPSZ128v231rmk */
   },
   { /* 4513 */
-    316,
-    /* VMULPSZrmkz */
+    339,
+    /* VFNMADDPSZ128v231rmkz */
   },
   { /* 4514 */
-    310,
-    /* VMULPSZrr */
+    584,
+    /* VFNMADDPSZ128v231rr */
   },
   { /* 4515 */
-    317,
-    /* VMULPSZrrk */
+    341,
+    /* VFNMADDPSZ128v231rrk */
   },
   { /* 4516 */
-    317,
-    /* VMULPSZrrkz */
+    341,
+    /* VFNMADDPSZ128v231rrkz */
   },
   { /* 4517 */
-    312,
-    /* VMULPSrm */
+    572,
+    /* VFNMADDPSZ256v213rm */
   },
   { /* 4518 */
-    313,
-    /* VMULPSrr */
+    577,
+    /* VFNMADDPSZ256v213rmb */
   },
   { /* 4519 */
-    318,
-    /* VMULSDZrm */
+    344,
+    /* VFNMADDPSZ256v213rmbk */
   },
   { /* 4520 */
-    319,
-    /* VMULSDZrr */
+    344,
+    /* VFNMADDPSZ256v213rmbkz */
   },
   { /* 4521 */
-    320,
-    /* VMULSDrm */
+    346,
+    /* VFNMADDPSZ256v213rmk */
   },
   { /* 4522 */
-    0,
-    /*  */
+    346,
+    /* VFNMADDPSZ256v213rmkz */
   },
   { /* 4523 */
-    321,
-    /* VMULSDrr */
+    586,
+    /* VFNMADDPSZ256v213rr */
   },
   { /* 4524 */
-    0,
-    /*  */
+    348,
+    /* VFNMADDPSZ256v213rrk */
   },
   { /* 4525 */
-    322,
-    /* VMULSSZrm */
+    348,
+    /* VFNMADDPSZ256v213rrkz */
   },
   { /* 4526 */
-    323,
-    /* VMULSSZrr */
+    572,
+    /* VFNMADDPSZ256v231rm */
   },
   { /* 4527 */
-    324,
-    /* VMULSSrm */
+    577,
+    /* VFNMADDPSZ256v231rmb */
   },
   { /* 4528 */
-    0,
-    /*  */
+    344,
+    /* VFNMADDPSZ256v231rmbk */
   },
   { /* 4529 */
-    325,
-    /* VMULSSrr */
+    344,
+    /* VFNMADDPSZ256v231rmbkz */
   },
   { /* 4530 */
-    0,
-    /*  */
+    346,
+    /* VFNMADDPSZ256v231rmk */
   },
   { /* 4531 */
-    40,
-    /* VMWRITE32rm */
+    346,
+    /* VFNMADDPSZ256v231rmkz */
   },
   { /* 4532 */
-    41,
-    /* VMWRITE32rr */
+    586,
+    /* VFNMADDPSZ256v231rr */
   },
   { /* 4533 */
-    42,
-    /* VMWRITE64rm */
+    348,
+    /* VFNMADDPSZ256v231rrk */
   },
   { /* 4534 */
-    43,
-    /* VMWRITE64rr */
+    348,
+    /* VFNMADDPSZ256v231rrkz */
   },
   { /* 4535 */
-    0,
-    /* VMXOFF */
+    574,
+    /* VFNMADDPSZv213rm */
   },
   { /* 4536 */
-    38,
-    /* VMXON */
+    578,
+    /* VFNMADDPSZv213rmb */
   },
   { /* 4537 */
-    304,
-    /* VORPDYrm */
+    354,
+    /* VFNMADDPSZv213rmbk */
   },
   { /* 4538 */
-    305,
-    /* VORPDYrr */
+    354,
+    /* VFNMADDPSZv213rmbkz */
   },
   { /* 4539 */
-    312,
-    /* VORPDrm */
+    356,
+    /* VFNMADDPSZv213rmk */
   },
   { /* 4540 */
-    313,
-    /* VORPDrr */
+    356,
+    /* VFNMADDPSZv213rmkz */
   },
   { /* 4541 */
-    304,
-    /* VORPSYrm */
+    588,
+    /* VFNMADDPSZv213rr */
   },
   { /* 4542 */
-    305,
-    /* VORPSYrr */
+    594,
+    /* VFNMADDPSZv213rrb */
   },
   { /* 4543 */
-    312,
-    /* VORPSrm */
+    351,
+    /* VFNMADDPSZv213rrbk */
   },
   { /* 4544 */
-    313,
-    /* VORPSrr */
+    351,
+    /* VFNMADDPSZv213rrbkz */
   },
   { /* 4545 */
-    44,
-    /* VPABSBrm128 */
+    358,
+    /* VFNMADDPSZv213rrk */
   },
   { /* 4546 */
-    376,
-    /* VPABSBrm256 */
+    358,
+    /* VFNMADDPSZv213rrkz */
   },
   { /* 4547 */
-    45,
-    /* VPABSBrr128 */
+    574,
+    /* VFNMADDPSZv231rm */
   },
   { /* 4548 */
-    377,
-    /* VPABSBrr256 */
+    578,
+    /* VFNMADDPSZv231rmb */
   },
   { /* 4549 */
-    378,
-    /* VPABSDZrm */
+    354,
+    /* VFNMADDPSZv231rmbk */
   },
   { /* 4550 */
-    581,
-    /* VPABSDZrmb */
+    354,
+    /* VFNMADDPSZv231rmbkz */
   },
   { /* 4551 */
-    582,
-    /* VPABSDZrmbk */
+    356,
+    /* VFNMADDPSZv231rmk */
   },
   { /* 4552 */
-    582,
-    /* VPABSDZrmbkz */
+    356,
+    /* VFNMADDPSZv231rmkz */
   },
   { /* 4553 */
-    522,
-    /* VPABSDZrmk */
+    588,
+    /* VFNMADDPSZv231rr */
   },
   { /* 4554 */
-    522,
-    /* VPABSDZrmkz */
+    358,
+    /* VFNMADDPSZv231rrk */
   },
   { /* 4555 */
-    379,
-    /* VPABSDZrr */
+    358,
+    /* VFNMADDPSZv231rrkz */
   },
   { /* 4556 */
-    524,
-    /* VPABSDZrrk */
+    590,
+    /* VFNMADDPSr132m */
   },
   { /* 4557 */
-    524,
-    /* VPABSDZrrkz */
+    591,
+    /* VFNMADDPSr132mY */
   },
   { /* 4558 */
-    44,
-    /* VPABSDrm128 */
+    592,
+    /* VFNMADDPSr132r */
   },
   { /* 4559 */
-    376,
-    /* VPABSDrm256 */
+    593,
+    /* VFNMADDPSr132rY */
   },
   { /* 4560 */
-    45,
-    /* VPABSDrr128 */
+    590,
+    /* VFNMADDPSr213m */
   },
   { /* 4561 */
-    377,
-    /* VPABSDrr256 */
+    591,
+    /* VFNMADDPSr213mY */
   },
   { /* 4562 */
-    378,
-    /* VPABSQZrm */
+    592,
+    /* VFNMADDPSr213r */
   },
   { /* 4563 */
-    583,
-    /* VPABSQZrmb */
+    593,
+    /* VFNMADDPSr213rY */
   },
   { /* 4564 */
-    584,
-    /* VPABSQZrmbk */
+    590,
+    /* VFNMADDPSr231m */
   },
   { /* 4565 */
-    584,
-    /* VPABSQZrmbkz */
+    591,
+    /* VFNMADDPSr231mY */
   },
   { /* 4566 */
-    507,
-    /* VPABSQZrmk */
+    592,
+    /* VFNMADDPSr231r */
   },
   { /* 4567 */
-    507,
-    /* VPABSQZrmkz */
+    593,
+    /* VFNMADDPSr231rY */
   },
   { /* 4568 */
-    379,
-    /* VPABSQZrr */
+    595,
+    /* VFNMADDSD4mr */
   },
   { /* 4569 */
-    509,
-    /* VPABSQZrrk */
+    0,
+    /*  */
   },
   { /* 4570 */
-    509,
-    /* VPABSQZrrkz */
+    596,
+    /* VFNMADDSD4rm */
   },
   { /* 4571 */
-    44,
-    /* VPABSWrm128 */
+    0,
+    /*  */
   },
   { /* 4572 */
-    376,
-    /* VPABSWrm256 */
+    597,
+    /* VFNMADDSD4rr */
   },
   { /* 4573 */
-    45,
-    /* VPABSWrr128 */
+    0,
+    /*  */
   },
   { /* 4574 */
-    377,
-    /* VPABSWrr256 */
+    598,
+    /* VFNMADDSD4rr_REV */
   },
   { /* 4575 */
-    304,
-    /* VPACKSSDWYrm */
+    599,
+    /* VFNMADDSDZm */
   },
   { /* 4576 */
-    305,
-    /* VPACKSSDWYrr */
+    600,
+    /* VFNMADDSDZr */
   },
   { /* 4577 */
-    312,
-    /* VPACKSSDWrm */
+    601,
+    /* VFNMADDSDr132m */
   },
   { /* 4578 */
-    313,
-    /* VPACKSSDWrr */
+    602,
+    /* VFNMADDSDr132r */
   },
   { /* 4579 */
-    304,
-    /* VPACKSSWBYrm */
+    601,
+    /* VFNMADDSDr213m */
   },
   { /* 4580 */
-    305,
-    /* VPACKSSWBYrr */
+    602,
+    /* VFNMADDSDr213r */
   },
   { /* 4581 */
-    312,
-    /* VPACKSSWBrm */
+    601,
+    /* VFNMADDSDr231m */
   },
   { /* 4582 */
-    313,
-    /* VPACKSSWBrr */
+    602,
+    /* VFNMADDSDr231r */
   },
   { /* 4583 */
-    304,
-    /* VPACKUSDWYrm */
+    603,
+    /* VFNMADDSS4mr */
   },
   { /* 4584 */
-    305,
-    /* VPACKUSDWYrr */
+    0,
+    /*  */
   },
   { /* 4585 */
-    312,
-    /* VPACKUSDWrm */
+    604,
+    /* VFNMADDSS4rm */
   },
   { /* 4586 */
-    313,
-    /* VPACKUSDWrr */
+    0,
+    /*  */
   },
   { /* 4587 */
-    304,
-    /* VPACKUSWBYrm */
+    605,
+    /* VFNMADDSS4rr */
   },
   { /* 4588 */
-    305,
-    /* VPACKUSWBYrr */
+    0,
+    /*  */
   },
   { /* 4589 */
-    312,
-    /* VPACKUSWBrm */
+    606,
+    /* VFNMADDSS4rr_REV */
   },
   { /* 4590 */
-    313,
-    /* VPACKUSWBrr */
+    607,
+    /* VFNMADDSSZm */
   },
   { /* 4591 */
-    304,
-    /* VPADDBYrm */
+    608,
+    /* VFNMADDSSZr */
   },
   { /* 4592 */
-    305,
-    /* VPADDBYrr */
+    609,
+    /* VFNMADDSSr132m */
   },
   { /* 4593 */
-    312,
-    /* VPADDBrm */
+    610,
+    /* VFNMADDSSr132r */
   },
   { /* 4594 */
-    313,
-    /* VPADDBrr */
+    609,
+    /* VFNMADDSSr213m */
   },
   { /* 4595 */
-    304,
-    /* VPADDDYrm */
+    610,
+    /* VFNMADDSSr213r */
   },
   { /* 4596 */
-    305,
-    /* VPADDDYrr */
+    609,
+    /* VFNMADDSSr231m */
   },
   { /* 4597 */
-    306,
-    /* VPADDDZrm */
+    610,
+    /* VFNMADDSSr231r */
   },
   { /* 4598 */
-    585,
-    /* VPADDDZrmb */
+    570,
+    /* VFNMSUB132PDZ128m */
   },
   { /* 4599 */
-    586,
-    /* VPADDDZrmbk */
+    571,
+    /* VFNMSUB132PDZ128mb */
   },
   { /* 4600 */
-    587,
-    /* VPADDDZrmbkz */
+    572,
+    /* VFNMSUB132PDZ256m */
   },
   { /* 4601 */
-    588,
-    /* VPADDDZrmk */
+    573,
+    /* VFNMSUB132PDZ256mb */
   },
   { /* 4602 */
-    316,
-    /* VPADDDZrmkz */
+    574,
+    /* VFNMSUB132PDZm */
   },
   { /* 4603 */
-    310,
-    /* VPADDDZrr */
+    575,
+    /* VFNMSUB132PDZmb */
   },
   { /* 4604 */
-    439,
-    /* VPADDDZrrk */
+    570,
+    /* VFNMSUB132PSZ128m */
   },
   { /* 4605 */
-    317,
-    /* VPADDDZrrkz */
+    576,
+    /* VFNMSUB132PSZ128mb */
   },
   { /* 4606 */
-    312,
-    /* VPADDDrm */
+    572,
+    /* VFNMSUB132PSZ256m */
   },
   { /* 4607 */
-    313,
-    /* VPADDDrr */
+    577,
+    /* VFNMSUB132PSZ256mb */
   },
   { /* 4608 */
-    304,
-    /* VPADDQYrm */
+    574,
+    /* VFNMSUB132PSZm */
   },
   { /* 4609 */
-    305,
-    /* VPADDQYrr */
+    578,
+    /* VFNMSUB132PSZmb */
   },
   { /* 4610 */
-    306,
-    /* VPADDQZrm */
+    394,
+    /* VFNMSUBPD4mr */
   },
   { /* 4611 */
-    589,
-    /* VPADDQZrmb */
+    392,
+    /* VFNMSUBPD4mrY */
   },
   { /* 4612 */
-    590,
-    /* VPADDQZrmbk */
+    579,
+    /* VFNMSUBPD4rm */
   },
   { /* 4613 */
-    591,
-    /* VPADDQZrmbkz */
+    580,
+    /* VFNMSUBPD4rmY */
   },
   { /* 4614 */
-    592,
-    /* VPADDQZrmk */
+    581,
+    /* VFNMSUBPD4rr */
   },
   { /* 4615 */
-    309,
-    /* VPADDQZrmkz */
+    582,
+    /* VFNMSUBPD4rrY */
   },
   { /* 4616 */
-    310,
-    /* VPADDQZrr */
+    393,
+    /* VFNMSUBPD4rrY_REV */
   },
   { /* 4617 */
-    438,
-    /* VPADDQZrrk */
+    395,
+    /* VFNMSUBPD4rr_REV */
   },
   { /* 4618 */
-    311,
-    /* VPADDQZrrkz */
+    570,
+    /* VFNMSUBPDZ128v213rm */
   },
   { /* 4619 */
-    312,
-    /* VPADDQrm */
+    583,
+    /* VFNMSUBPDZ128v213rmb */
   },
   { /* 4620 */
-    313,
-    /* VPADDQrr */
+    306,
+    /* VFNMSUBPDZ128v213rmbk */
   },
   { /* 4621 */
-    304,
-    /* VPADDSBYrm */
+    306,
+    /* VFNMSUBPDZ128v213rmbkz */
   },
   { /* 4622 */
-    305,
-    /* VPADDSBYrr */
+    308,
+    /* VFNMSUBPDZ128v213rmk */
   },
   { /* 4623 */
-    312,
-    /* VPADDSBrm */
+    308,
+    /* VFNMSUBPDZ128v213rmkz */
   },
   { /* 4624 */
-    313,
-    /* VPADDSBrr */
+    584,
+    /* VFNMSUBPDZ128v213rr */
   },
   { /* 4625 */
-    304,
-    /* VPADDSWYrm */
+    311,
+    /* VFNMSUBPDZ128v213rrk */
   },
   { /* 4626 */
-    305,
-    /* VPADDSWYrr */
+    311,
+    /* VFNMSUBPDZ128v213rrkz */
   },
   { /* 4627 */
-    312,
-    /* VPADDSWrm */
+    570,
+    /* VFNMSUBPDZ128v231rm */
   },
   { /* 4628 */
-    313,
-    /* VPADDSWrr */
+    583,
+    /* VFNMSUBPDZ128v231rmb */
   },
   { /* 4629 */
-    304,
-    /* VPADDUSBYrm */
+    306,
+    /* VFNMSUBPDZ128v231rmbk */
   },
   { /* 4630 */
-    305,
-    /* VPADDUSBYrr */
+    306,
+    /* VFNMSUBPDZ128v231rmbkz */
   },
   { /* 4631 */
-    312,
-    /* VPADDUSBrm */
+    308,
+    /* VFNMSUBPDZ128v231rmk */
   },
   { /* 4632 */
-    313,
-    /* VPADDUSBrr */
+    308,
+    /* VFNMSUBPDZ128v231rmkz */
   },
   { /* 4633 */
-    304,
-    /* VPADDUSWYrm */
+    584,
+    /* VFNMSUBPDZ128v231rr */
   },
   { /* 4634 */
-    305,
-    /* VPADDUSWYrr */
+    311,
+    /* VFNMSUBPDZ128v231rrk */
   },
   { /* 4635 */
-    312,
-    /* VPADDUSWrm */
+    311,
+    /* VFNMSUBPDZ128v231rrkz */
   },
   { /* 4636 */
-    313,
-    /* VPADDUSWrr */
+    572,
+    /* VFNMSUBPDZ256v213rm */
   },
   { /* 4637 */
-    304,
-    /* VPADDWYrm */
+    585,
+    /* VFNMSUBPDZ256v213rmb */
   },
   { /* 4638 */
-    305,
-    /* VPADDWYrr */
+    315,
+    /* VFNMSUBPDZ256v213rmbk */
   },
   { /* 4639 */
-    312,
-    /* VPADDWrm */
+    315,
+    /* VFNMSUBPDZ256v213rmbkz */
   },
   { /* 4640 */
-    313,
-    /* VPADDWrr */
+    317,
+    /* VFNMSUBPDZ256v213rmk */
   },
   { /* 4641 */
-    593,
-    /* VPALIGNR128rm */
+    317,
+    /* VFNMSUBPDZ256v213rmkz */
   },
   { /* 4642 */
-    594,
-    /* VPALIGNR128rr */
+    586,
+    /* VFNMSUBPDZ256v213rr */
   },
   { /* 4643 */
-    595,
-    /* VPALIGNR256rm */
+    320,
+    /* VFNMSUBPDZ256v213rrk */
   },
   { /* 4644 */
-    596,
-    /* VPALIGNR256rr */
+    320,
+    /* VFNMSUBPDZ256v213rrkz */
   },
   { /* 4645 */
-    306,
-    /* VPANDDZrm */
+    572,
+    /* VFNMSUBPDZ256v231rm */
   },
   { /* 4646 */
     585,
-    /* VPANDDZrmb */
+    /* VFNMSUBPDZ256v231rmb */
   },
   { /* 4647 */
-    586,
-    /* VPANDDZrmbk */
+    315,
+    /* VFNMSUBPDZ256v231rmbk */
   },
   { /* 4648 */
-    587,
-    /* VPANDDZrmbkz */
+    315,
+    /* VFNMSUBPDZ256v231rmbkz */
   },
   { /* 4649 */
-    588,
-    /* VPANDDZrmk */
+    317,
+    /* VFNMSUBPDZ256v231rmk */
   },
   { /* 4650 */
-    316,
-    /* VPANDDZrmkz */
+    317,
+    /* VFNMSUBPDZ256v231rmkz */
   },
   { /* 4651 */
-    310,
-    /* VPANDDZrr */
+    586,
+    /* VFNMSUBPDZ256v231rr */
   },
   { /* 4652 */
-    439,
-    /* VPANDDZrrk */
+    320,
+    /* VFNMSUBPDZ256v231rrk */
   },
   { /* 4653 */
-    317,
-    /* VPANDDZrrkz */
+    320,
+    /* VFNMSUBPDZ256v231rrkz */
   },
   { /* 4654 */
-    306,
-    /* VPANDNDZrm */
+    574,
+    /* VFNMSUBPDZv213rm */
   },
   { /* 4655 */
-    585,
-    /* VPANDNDZrmb */
+    587,
+    /* VFNMSUBPDZv213rmb */
   },
   { /* 4656 */
-    586,
-    /* VPANDNDZrmbk */
+    327,
+    /* VFNMSUBPDZv213rmbk */
   },
   { /* 4657 */
-    587,
-    /* VPANDNDZrmbkz */
+    327,
+    /* VFNMSUBPDZv213rmbkz */
   },
   { /* 4658 */
-    588,
-    /* VPANDNDZrmk */
+    329,
+    /* VFNMSUBPDZv213rmk */
   },
   { /* 4659 */
-    316,
-    /* VPANDNDZrmkz */
+    329,
+    /* VFNMSUBPDZv213rmkz */
   },
   { /* 4660 */
-    310,
-    /* VPANDNDZrr */
+    588,
+    /* VFNMSUBPDZv213rr */
   },
   { /* 4661 */
-    439,
-    /* VPANDNDZrrk */
+    589,
+    /* VFNMSUBPDZv213rrb */
   },
   { /* 4662 */
-    317,
-    /* VPANDNDZrrkz */
+    323,
+    /* VFNMSUBPDZv213rrbk */
   },
   { /* 4663 */
-    306,
-    /* VPANDNQZrm */
+    323,
+    /* VFNMSUBPDZv213rrbkz */
   },
   { /* 4664 */
-    589,
-    /* VPANDNQZrmb */
+    332,
+    /* VFNMSUBPDZv213rrk */
   },
   { /* 4665 */
-    590,
-    /* VPANDNQZrmbk */
+    332,
+    /* VFNMSUBPDZv213rrkz */
   },
   { /* 4666 */
-    591,
-    /* VPANDNQZrmbkz */
+    574,
+    /* VFNMSUBPDZv231rm */
   },
   { /* 4667 */
-    592,
-    /* VPANDNQZrmk */
+    587,
+    /* VFNMSUBPDZv231rmb */
   },
   { /* 4668 */
-    309,
-    /* VPANDNQZrmkz */
+    327,
+    /* VFNMSUBPDZv231rmbk */
   },
   { /* 4669 */
-    310,
-    /* VPANDNQZrr */
+    327,
+    /* VFNMSUBPDZv231rmbkz */
   },
   { /* 4670 */
-    438,
-    /* VPANDNQZrrk */
+    329,
+    /* VFNMSUBPDZv231rmk */
   },
   { /* 4671 */
-    311,
-    /* VPANDNQZrrkz */
+    329,
+    /* VFNMSUBPDZv231rmkz */
   },
   { /* 4672 */
-    304,
-    /* VPANDNYrm */
+    588,
+    /* VFNMSUBPDZv231rr */
   },
   { /* 4673 */
-    305,
-    /* VPANDNYrr */
+    332,
+    /* VFNMSUBPDZv231rrk */
   },
   { /* 4674 */
-    312,
-    /* VPANDNrm */
+    332,
+    /* VFNMSUBPDZv231rrkz */
   },
   { /* 4675 */
-    313,
-    /* VPANDNrr */
+    590,
+    /* VFNMSUBPDr132m */
   },
   { /* 4676 */
-    306,
-    /* VPANDQZrm */
+    591,
+    /* VFNMSUBPDr132mY */
   },
   { /* 4677 */
-    589,
-    /* VPANDQZrmb */
+    592,
+    /* VFNMSUBPDr132r */
   },
   { /* 4678 */
-    590,
-    /* VPANDQZrmbk */
+    593,
+    /* VFNMSUBPDr132rY */
   },
   { /* 4679 */
-    591,
-    /* VPANDQZrmbkz */
+    590,
+    /* VFNMSUBPDr213m */
   },
   { /* 4680 */
-    592,
-    /* VPANDQZrmk */
+    591,
+    /* VFNMSUBPDr213mY */
   },
   { /* 4681 */
-    309,
-    /* VPANDQZrmkz */
+    592,
+    /* VFNMSUBPDr213r */
   },
   { /* 4682 */
-    310,
-    /* VPANDQZrr */
+    593,
+    /* VFNMSUBPDr213rY */
   },
   { /* 4683 */
-    438,
-    /* VPANDQZrrk */
+    590,
+    /* VFNMSUBPDr231m */
   },
   { /* 4684 */
-    311,
-    /* VPANDQZrrkz */
+    591,
+    /* VFNMSUBPDr231mY */
   },
   { /* 4685 */
-    304,
-    /* VPANDYrm */
+    592,
+    /* VFNMSUBPDr231r */
   },
   { /* 4686 */
-    305,
-    /* VPANDYrr */
+    593,
+    /* VFNMSUBPDr231rY */
   },
   { /* 4687 */
-    312,
-    /* VPANDrm */
+    394,
+    /* VFNMSUBPS4mr */
   },
   { /* 4688 */
-    313,
-    /* VPANDrr */
+    392,
+    /* VFNMSUBPS4mrY */
   },
   { /* 4689 */
-    304,
-    /* VPAVGBYrm */
+    579,
+    /* VFNMSUBPS4rm */
   },
   { /* 4690 */
-    305,
-    /* VPAVGBYrr */
+    580,
+    /* VFNMSUBPS4rmY */
   },
   { /* 4691 */
-    312,
-    /* VPAVGBrm */
+    581,
+    /* VFNMSUBPS4rr */
   },
   { /* 4692 */
-    313,
-    /* VPAVGBrr */
+    582,
+    /* VFNMSUBPS4rrY */
   },
   { /* 4693 */
-    304,
-    /* VPAVGWYrm */
+    393,
+    /* VFNMSUBPS4rrY_REV */
   },
   { /* 4694 */
-    305,
-    /* VPAVGWYrr */
+    395,
+    /* VFNMSUBPS4rr_REV */
   },
   { /* 4695 */
-    312,
-    /* VPAVGWrm */
+    570,
+    /* VFNMSUBPSZ128v213rm */
   },
   { /* 4696 */
-    313,
-    /* VPAVGWrr */
+    576,
+    /* VFNMSUBPSZ128v213rmb */
   },
   { /* 4697 */
-    332,
-    /* VPBLENDDYrmi */
+    337,
+    /* VFNMSUBPSZ128v213rmbk */
   },
   { /* 4698 */
-    333,
-    /* VPBLENDDYrri */
+    337,
+    /* VFNMSUBPSZ128v213rmbkz */
   },
   { /* 4699 */
-    334,
-    /* VPBLENDDrmi */
+    339,
+    /* VFNMSUBPSZ128v213rmk */
   },
   { /* 4700 */
-    335,
-    /* VPBLENDDrri */
+    339,
+    /* VFNMSUBPSZ128v213rmkz */
   },
   { /* 4701 */
-    316,
-    /* VPBLENDMDZrm */
+    584,
+    /* VFNMSUBPSZ128v213rr */
   },
   { /* 4702 */
-    317,
-    /* VPBLENDMDZrr */
+    341,
+    /* VFNMSUBPSZ128v213rrk */
   },
   { /* 4703 */
-    309,
-    /* VPBLENDMQZrm */
+    341,
+    /* VFNMSUBPSZ128v213rrkz */
   },
   { /* 4704 */
-    311,
-    /* VPBLENDMQZrr */
+    570,
+    /* VFNMSUBPSZ128v231rm */
   },
   { /* 4705 */
-    336,
-    /* VPBLENDVBYrm */
+    576,
+    /* VFNMSUBPSZ128v231rmb */
   },
   { /* 4706 */
     337,
-    /* VPBLENDVBYrr */
+    /* VFNMSUBPSZ128v231rmbk */
   },
   { /* 4707 */
-    338,
-    /* VPBLENDVBrm */
+    337,
+    /* VFNMSUBPSZ128v231rmbkz */
   },
   { /* 4708 */
     339,
-    /* VPBLENDVBrr */
+    /* VFNMSUBPSZ128v231rmk */
   },
   { /* 4709 */
-    332,
-    /* VPBLENDWYrmi */
+    339,
+    /* VFNMSUBPSZ128v231rmkz */
   },
   { /* 4710 */
-    333,
-    /* VPBLENDWYrri */
+    584,
+    /* VFNMSUBPSZ128v231rr */
   },
   { /* 4711 */
-    334,
-    /* VPBLENDWrmi */
+    341,
+    /* VFNMSUBPSZ128v231rrk */
   },
   { /* 4712 */
-    335,
-    /* VPBLENDWrri */
+    341,
+    /* VFNMSUBPSZ128v231rrkz */
   },
   { /* 4713 */
-    597,
-    /* VPBROADCASTBYrm */
+    572,
+    /* VFNMSUBPSZ256v213rm */
   },
   { /* 4714 */
-    346,
-    /* VPBROADCASTBYrr */
+    577,
+    /* VFNMSUBPSZ256v213rmb */
   },
   { /* 4715 */
-    598,
-    /* VPBROADCASTBrm */
+    344,
+    /* VFNMSUBPSZ256v213rmbk */
   },
   { /* 4716 */
-    45,
-    /* VPBROADCASTBrr */
+    344,
+    /* VFNMSUBPSZ256v213rmbkz */
   },
   { /* 4717 */
-    599,
-    /* VPBROADCASTDYrm */
+    346,
+    /* VFNMSUBPSZ256v213rmk */
   },
   { /* 4718 */
     346,
-    /* VPBROADCASTDYrr */
+    /* VFNMSUBPSZ256v213rmkz */
   },
   { /* 4719 */
-    582,
-    /* VPBROADCASTDZkrm */
+    586,
+    /* VFNMSUBPSZ256v213rr */
   },
   { /* 4720 */
-    600,
-    /* VPBROADCASTDZkrr */
+    348,
+    /* VFNMSUBPSZ256v213rrk */
   },
   { /* 4721 */
-    581,
-    /* VPBROADCASTDZrm */
+    348,
+    /* VFNMSUBPSZ256v213rrkz */
   },
   { /* 4722 */
-    351,
-    /* VPBROADCASTDZrr */
+    572,
+    /* VFNMSUBPSZ256v231rm */
   },
   { /* 4723 */
-    601,
-    /* VPBROADCASTDrZkrr */
+    577,
+    /* VFNMSUBPSZ256v231rmb */
   },
   { /* 4724 */
-    602,
-    /* VPBROADCASTDrZrr */
+    344,
+    /* VFNMSUBPSZ256v231rmbk */
   },
   { /* 4725 */
-    105,
-    /* VPBROADCASTDrm */
+    344,
+    /* VFNMSUBPSZ256v231rmbkz */
   },
   { /* 4726 */
-    45,
-    /* VPBROADCASTDrr */
+    346,
+    /* VFNMSUBPSZ256v231rmk */
   },
   { /* 4727 */
-    603,
-    /* VPBROADCASTMB2Qrr */
+    346,
+    /* VFNMSUBPSZ256v231rmkz */
   },
   { /* 4728 */
-    604,
-    /* VPBROADCASTMW2Drr */
+    586,
+    /* VFNMSUBPSZ256v231rr */
   },
   { /* 4729 */
-    599,
-    /* VPBROADCASTQYrm */
+    348,
+    /* VFNMSUBPSZ256v231rrk */
   },
   { /* 4730 */
-    346,
-    /* VPBROADCASTQYrr */
+    348,
+    /* VFNMSUBPSZ256v231rrkz */
   },
   { /* 4731 */
-    584,
-    /* VPBROADCASTQZkrm */
+    574,
+    /* VFNMSUBPSZv213rm */
   },
   { /* 4732 */
-    605,
-    /* VPBROADCASTQZkrr */
+    578,
+    /* VFNMSUBPSZv213rmb */
   },
   { /* 4733 */
-    583,
-    /* VPBROADCASTQZrm */
+    354,
+    /* VFNMSUBPSZv213rmbk */
   },
   { /* 4734 */
-    348,
-    /* VPBROADCASTQZrr */
+    354,
+    /* VFNMSUBPSZv213rmbkz */
   },
   { /* 4735 */
-    606,
-    /* VPBROADCASTQrZkrr */
+    356,
+    /* VFNMSUBPSZv213rmk */
   },
   { /* 4736 */
-    607,
-    /* VPBROADCASTQrZrr */
+    356,
+    /* VFNMSUBPSZv213rmkz */
   },
   { /* 4737 */
-    105,
-    /* VPBROADCASTQrm */
+    588,
+    /* VFNMSUBPSZv213rr */
   },
   { /* 4738 */
-    45,
-    /* VPBROADCASTQrr */
+    594,
+    /* VFNMSUBPSZv213rrb */
   },
   { /* 4739 */
-    599,
-    /* VPBROADCASTWYrm */
+    351,
+    /* VFNMSUBPSZv213rrbk */
   },
   { /* 4740 */
-    346,
-    /* VPBROADCASTWYrr */
+    351,
+    /* VFNMSUBPSZv213rrbkz */
   },
   { /* 4741 */
-    105,
-    /* VPBROADCASTWrm */
+    358,
+    /* VFNMSUBPSZv213rrk */
   },
   { /* 4742 */
-    45,
-    /* VPBROADCASTWrr */
+    358,
+    /* VFNMSUBPSZv213rrkz */
   },
   { /* 4743 */
-    593,
-    /* VPCLMULQDQrm */
+    574,
+    /* VFNMSUBPSZv231rm */
   },
   { /* 4744 */
-    594,
-    /* VPCLMULQDQrr */
+    578,
+    /* VFNMSUBPSZv231rmb */
   },
   { /* 4745 */
-    338,
-    /* VPCMOVmr */
+    354,
+    /* VFNMSUBPSZv231rmbk */
   },
   { /* 4746 */
-    336,
-    /* VPCMOVmrY */
+    354,
+    /* VFNMSUBPSZv231rmbkz */
   },
   { /* 4747 */
-    440,
-    /* VPCMOVrm */
+    356,
+    /* VFNMSUBPSZv231rmk */
   },
   { /* 4748 */
-    441,
-    /* VPCMOVrmY */
+    356,
+    /* VFNMSUBPSZv231rmkz */
   },
   { /* 4749 */
-    339,
-    /* VPCMOVrr */
+    588,
+    /* VFNMSUBPSZv231rr */
   },
   { /* 4750 */
-    337,
-    /* VPCMOVrrY */
+    358,
+    /* VFNMSUBPSZv231rrk */
   },
   { /* 4751 */
-    360,
-    /* VPCMPDZrmi */
+    358,
+    /* VFNMSUBPSZv231rrkz */
   },
   { /* 4752 */
-    0,
-    /*  */
+    590,
+    /* VFNMSUBPSr132m */
   },
   { /* 4753 */
-    0,
-    /*  */
+    591,
+    /* VFNMSUBPSr132mY */
   },
   { /* 4754 */
-    361,
-    /* VPCMPDZrri */
+    592,
+    /* VFNMSUBPSr132r */
   },
   { /* 4755 */
-    0,
-    /*  */
+    593,
+    /* VFNMSUBPSr132rY */
   },
   { /* 4756 */
-    0,
-    /*  */
+    590,
+    /* VFNMSUBPSr213m */
   },
   { /* 4757 */
-    304,
-    /* VPCMPEQBYrm */
+    591,
+    /* VFNMSUBPSr213mY */
   },
   { /* 4758 */
-    305,
-    /* VPCMPEQBYrr */
+    592,
+    /* VFNMSUBPSr213r */
   },
   { /* 4759 */
-    608,
-    /* VPCMPEQBZ128rm */
+    593,
+    /* VFNMSUBPSr213rY */
   },
   { /* 4760 */
-    609,
-    /* VPCMPEQBZ128rmk */
+    590,
+    /* VFNMSUBPSr231m */
   },
   { /* 4761 */
-    610,
-    /* VPCMPEQBZ128rr */
+    591,
+    /* VFNMSUBPSr231mY */
   },
   { /* 4762 */
-    611,
-    /* VPCMPEQBZ128rrk */
+    592,
+    /* VFNMSUBPSr231r */
   },
   { /* 4763 */
-    612,
-    /* VPCMPEQBZ256rm */
+    593,
+    /* VFNMSUBPSr231rY */
   },
   { /* 4764 */
-    613,
-    /* VPCMPEQBZ256rmk */
+    595,
+    /* VFNMSUBSD4mr */
   },
   { /* 4765 */
-    614,
-    /* VPCMPEQBZ256rr */
+    0,
+    /*  */
   },
   { /* 4766 */
-    615,
-    /* VPCMPEQBZ256rrk */
+    596,
+    /* VFNMSUBSD4rm */
   },
   { /* 4767 */
-    616,
-    /* VPCMPEQBZrm */
+    0,
+    /*  */
   },
   { /* 4768 */
-    617,
-    /* VPCMPEQBZrmk */
+    597,
+    /* VFNMSUBSD4rr */
   },
   { /* 4769 */
-    618,
-    /* VPCMPEQBZrr */
+    0,
+    /*  */
   },
   { /* 4770 */
-    619,
-    /* VPCMPEQBZrrk */
+    598,
+    /* VFNMSUBSD4rr_REV */
   },
   { /* 4771 */
-    312,
-    /* VPCMPEQBrm */
+    599,
+    /* VFNMSUBSDZm */
   },
   { /* 4772 */
-    313,
-    /* VPCMPEQBrr */
+    600,
+    /* VFNMSUBSDZr */
   },
   { /* 4773 */
-    304,
-    /* VPCMPEQDYrm */
+    601,
+    /* VFNMSUBSDr132m */
   },
   { /* 4774 */
-    305,
-    /* VPCMPEQDYrr */
+    602,
+    /* VFNMSUBSDr132r */
   },
   { /* 4775 */
-    620,
-    /* VPCMPEQDZ128rm */
+    601,
+    /* VFNMSUBSDr213m */
   },
   { /* 4776 */
-    621,
-    /* VPCMPEQDZ128rmb */
+    602,
+    /* VFNMSUBSDr213r */
   },
   { /* 4777 */
-    622,
-    /* VPCMPEQDZ128rmbk */
+    601,
+    /* VFNMSUBSDr231m */
   },
   { /* 4778 */
-    623,
-    /* VPCMPEQDZ128rmk */
+    602,
+    /* VFNMSUBSDr231r */
   },
   { /* 4779 */
-    624,
-    /* VPCMPEQDZ128rr */
+    603,
+    /* VFNMSUBSS4mr */
   },
   { /* 4780 */
-    625,
-    /* VPCMPEQDZ128rrk */
+    0,
+    /*  */
   },
   { /* 4781 */
-    626,
-    /* VPCMPEQDZ256rm */
+    604,
+    /* VFNMSUBSS4rm */
   },
   { /* 4782 */
-    627,
-    /* VPCMPEQDZ256rmb */
+    0,
+    /*  */
   },
   { /* 4783 */
-    628,
-    /* VPCMPEQDZ256rmbk */
+    605,
+    /* VFNMSUBSS4rr */
   },
   { /* 4784 */
-    629,
-    /* VPCMPEQDZ256rmk */
+    0,
+    /*  */
   },
   { /* 4785 */
-    630,
-    /* VPCMPEQDZ256rr */
+    606,
+    /* VFNMSUBSS4rr_REV */
   },
   { /* 4786 */
-    631,
-    /* VPCMPEQDZ256rrk */
+    607,
+    /* VFNMSUBSSZm */
   },
   { /* 4787 */
-    632,
-    /* VPCMPEQDZrm */
+    608,
+    /* VFNMSUBSSZr */
   },
   { /* 4788 */
-    633,
-    /* VPCMPEQDZrmb */
+    609,
+    /* VFNMSUBSSr132m */
   },
   { /* 4789 */
-    634,
-    /* VPCMPEQDZrmbk */
+    610,
+    /* VFNMSUBSSr132r */
   },
   { /* 4790 */
-    635,
-    /* VPCMPEQDZrmk */
+    609,
+    /* VFNMSUBSSr213m */
   },
   { /* 4791 */
-    636,
-    /* VPCMPEQDZrr */
+    610,
+    /* VFNMSUBSSr213r */
   },
   { /* 4792 */
-    637,
-    /* VPCMPEQDZrrk */
+    609,
+    /* VFNMSUBSSr231m */
   },
   { /* 4793 */
-    312,
-    /* VPCMPEQDrm */
+    610,
+    /* VFNMSUBSSr231r */
   },
   { /* 4794 */
-    313,
-    /* VPCMPEQDrr */
+    44,
+    /* VFRCZPDrm */
   },
   { /* 4795 */
-    304,
-    /* VPCMPEQQYrm */
+    475,
+    /* VFRCZPDrmY */
   },
   { /* 4796 */
-    305,
-    /* VPCMPEQQYrr */
+    45,
+    /* VFRCZPDrr */
   },
   { /* 4797 */
-    638,
-    /* VPCMPEQQZ128rm */
+    476,
+    /* VFRCZPDrrY */
   },
   { /* 4798 */
-    639,
-    /* VPCMPEQQZ128rmb */
+    44,
+    /* VFRCZPSrm */
   },
   { /* 4799 */
-    640,
-    /* VPCMPEQQZ128rmbk */
+    475,
+    /* VFRCZPSrmY */
   },
   { /* 4800 */
-    641,
-    /* VPCMPEQQZ128rmk */
+    45,
+    /* VFRCZPSrr */
   },
   { /* 4801 */
-    642,
-    /* VPCMPEQQZ128rr */
+    476,
+    /* VFRCZPSrrY */
   },
   { /* 4802 */
-    643,
-    /* VPCMPEQQZ128rrk */
+    106,
+    /* VFRCZSDrm */
   },
   { /* 4803 */
-    644,
-    /* VPCMPEQQZ256rm */
+    45,
+    /* VFRCZSDrr */
   },
   { /* 4804 */
-    645,
-    /* VPCMPEQQZ256rmb */
+    434,
+    /* VFRCZSSrm */
   },
   { /* 4805 */
-    646,
-    /* VPCMPEQQZ256rmbk */
+    45,
+    /* VFRCZSSrr */
   },
   { /* 4806 */
-    647,
-    /* VPCMPEQQZ256rmk */
+    0,
+    /*  */
   },
   { /* 4807 */
-    648,
-    /* VPCMPEQQZ256rr */
+    0,
+    /*  */
   },
   { /* 4808 */
-    649,
-    /* VPCMPEQQZ256rrk */
+    0,
+    /*  */
   },
   { /* 4809 */
-    650,
-    /* VPCMPEQQZrm */
+    0,
+    /*  */
   },
   { /* 4810 */
-    651,
-    /* VPCMPEQQZrmb */
+    0,
+    /*  */
   },
   { /* 4811 */
-    652,
-    /* VPCMPEQQZrmbk */
+    0,
+    /*  */
   },
   { /* 4812 */
-    653,
-    /* VPCMPEQQZrmk */
+    0,
+    /*  */
   },
   { /* 4813 */
-    654,
-    /* VPCMPEQQZrr */
+    0,
+    /*  */
   },
   { /* 4814 */
-    655,
-    /* VPCMPEQQZrrk */
+    0,
+    /*  */
   },
   { /* 4815 */
-    312,
-    /* VPCMPEQQrm */
+    0,
+    /*  */
   },
   { /* 4816 */
-    313,
-    /* VPCMPEQQrr */
+    0,
+    /*  */
   },
   { /* 4817 */
-    304,
-    /* VPCMPEQWYrm */
+    0,
+    /*  */
   },
   { /* 4818 */
-    305,
-    /* VPCMPEQWYrr */
+    0,
+    /*  */
   },
   { /* 4819 */
-    656,
-    /* VPCMPEQWZ128rm */
+    0,
+    /*  */
   },
   { /* 4820 */
-    657,
-    /* VPCMPEQWZ128rmk */
+    0,
+    /*  */
   },
   { /* 4821 */
-    658,
-    /* VPCMPEQWZ128rr */
+    0,
+    /*  */
   },
   { /* 4822 */
-    659,
-    /* VPCMPEQWZ128rrk */
+    0,
+    /*  */
   },
   { /* 4823 */
-    660,
-    /* VPCMPEQWZ256rm */
+    0,
+    /*  */
   },
   { /* 4824 */
-    661,
-    /* VPCMPEQWZ256rmk */
+    0,
+    /*  */
   },
   { /* 4825 */
-    662,
-    /* VPCMPEQWZ256rr */
+    0,
+    /*  */
   },
   { /* 4826 */
-    663,
-    /* VPCMPEQWZ256rrk */
+    0,
+    /*  */
   },
   { /* 4827 */
-    664,
-    /* VPCMPEQWZrm */
+    0,
+    /*  */
   },
   { /* 4828 */
-    665,
-    /* VPCMPEQWZrmk */
+    0,
+    /*  */
   },
   { /* 4829 */
-    666,
-    /* VPCMPEQWZrr */
+    0,
+    /*  */
   },
   { /* 4830 */
-    667,
-    /* VPCMPEQWZrrk */
+    0,
+    /*  */
   },
   { /* 4831 */
-    312,
-    /* VPCMPEQWrm */
+    0,
+    /*  */
   },
   { /* 4832 */
-    313,
-    /* VPCMPEQWrr */
+    0,
+    /*  */
   },
   { /* 4833 */
     0,
@@ -26632,332 +29063,332 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 4835 */
-    46,
-    /* VPCMPESTRIrm */
+    0,
+    /*  */
   },
   { /* 4836 */
-    47,
-    /* VPCMPESTRIrr */
+    0,
+    /*  */
   },
   { /* 4837 */
     0,
     /*  */
   },
   { /* 4838 */
-    0,
-    /*  */
+    611,
+    /* VGATHERDPDYrm */
   },
   { /* 4839 */
-    46,
-    /* VPCMPESTRM128rm */
+    612,
+    /* VGATHERDPDZrm */
   },
   { /* 4840 */
-    47,
-    /* VPCMPESTRM128rr */
+    613,
+    /* VGATHERDPDrm */
   },
   { /* 4841 */
-    304,
-    /* VPCMPGTBYrm */
+    614,
+    /* VGATHERDPSYrm */
   },
   { /* 4842 */
-    305,
-    /* VPCMPGTBYrr */
+    615,
+    /* VGATHERDPSZrm */
   },
   { /* 4843 */
-    608,
-    /* VPCMPGTBZ128rm */
+    616,
+    /* VGATHERDPSrm */
   },
   { /* 4844 */
-    609,
-    /* VPCMPGTBZ128rmk */
+    617,
+    /* VGATHERPF0DPDm */
   },
   { /* 4845 */
-    610,
-    /* VPCMPGTBZ128rr */
+    618,
+    /* VGATHERPF0DPSm */
   },
   { /* 4846 */
-    611,
-    /* VPCMPGTBZ128rrk */
+    619,
+    /* VGATHERPF0QPDm */
   },
   { /* 4847 */
-    612,
-    /* VPCMPGTBZ256rm */
+    619,
+    /* VGATHERPF0QPSm */
   },
   { /* 4848 */
-    613,
-    /* VPCMPGTBZ256rmk */
+    617,
+    /* VGATHERPF1DPDm */
   },
   { /* 4849 */
-    614,
-    /* VPCMPGTBZ256rr */
+    618,
+    /* VGATHERPF1DPSm */
   },
   { /* 4850 */
-    615,
-    /* VPCMPGTBZ256rrk */
+    619,
+    /* VGATHERPF1QPDm */
   },
   { /* 4851 */
-    616,
-    /* VPCMPGTBZrm */
+    619,
+    /* VGATHERPF1QPSm */
   },
   { /* 4852 */
-    617,
-    /* VPCMPGTBZrmk */
+    611,
+    /* VGATHERQPDYrm */
   },
   { /* 4853 */
-    618,
-    /* VPCMPGTBZrr */
+    612,
+    /* VGATHERQPDZrm */
   },
   { /* 4854 */
-    619,
-    /* VPCMPGTBZrrk */
+    613,
+    /* VGATHERQPDrm */
   },
   { /* 4855 */
-    312,
-    /* VPCMPGTBrm */
+    616,
+    /* VGATHERQPSYrm */
   },
   { /* 4856 */
-    313,
-    /* VPCMPGTBrr */
+    620,
+    /* VGATHERQPSZrm */
   },
   { /* 4857 */
-    304,
-    /* VPCMPGTDYrm */
+    616,
+    /* VGATHERQPSrm */
   },
   { /* 4858 */
-    305,
-    /* VPCMPGTDYrr */
+    302,
+    /* VHADDPDYrm */
   },
   { /* 4859 */
-    620,
-    /* VPCMPGTDZ128rm */
+    303,
+    /* VHADDPDYrr */
   },
   { /* 4860 */
-    621,
-    /* VPCMPGTDZ128rmb */
+    334,
+    /* VHADDPDrm */
   },
   { /* 4861 */
-    622,
-    /* VPCMPGTDZ128rmbk */
+    335,
+    /* VHADDPDrr */
   },
   { /* 4862 */
-    623,
-    /* VPCMPGTDZ128rmk */
+    302,
+    /* VHADDPSYrm */
   },
   { /* 4863 */
-    624,
-    /* VPCMPGTDZ128rr */
+    303,
+    /* VHADDPSYrr */
   },
   { /* 4864 */
-    625,
-    /* VPCMPGTDZ128rrk */
+    334,
+    /* VHADDPSrm */
   },
   { /* 4865 */
-    626,
-    /* VPCMPGTDZ256rm */
+    335,
+    /* VHADDPSrr */
   },
   { /* 4866 */
-    627,
-    /* VPCMPGTDZ256rmb */
+    302,
+    /* VHSUBPDYrm */
   },
   { /* 4867 */
-    628,
-    /* VPCMPGTDZ256rmbk */
+    303,
+    /* VHSUBPDYrr */
   },
   { /* 4868 */
-    629,
-    /* VPCMPGTDZ256rmk */
+    334,
+    /* VHSUBPDrm */
   },
   { /* 4869 */
-    630,
-    /* VPCMPGTDZ256rr */
+    335,
+    /* VHSUBPDrr */
   },
   { /* 4870 */
-    631,
-    /* VPCMPGTDZ256rrk */
+    302,
+    /* VHSUBPSYrm */
   },
   { /* 4871 */
-    632,
-    /* VPCMPGTDZrm */
+    303,
+    /* VHSUBPSYrr */
   },
   { /* 4872 */
-    633,
-    /* VPCMPGTDZrmb */
+    334,
+    /* VHSUBPSrm */
   },
   { /* 4873 */
-    634,
-    /* VPCMPGTDZrmbk */
+    335,
+    /* VHSUBPSrr */
   },
   { /* 4874 */
-    635,
-    /* VPCMPGTDZrmk */
+    621,
+    /* VINSERTF128rm */
   },
   { /* 4875 */
-    636,
-    /* VPCMPGTDZrr */
+    622,
+    /* VINSERTF128rr */
   },
   { /* 4876 */
-    637,
-    /* VPCMPGTDZrrk */
+    623,
+    /* VINSERTF32x4rm */
   },
   { /* 4877 */
-    312,
-    /* VPCMPGTDrm */
+    624,
+    /* VINSERTF32x4rr */
   },
   { /* 4878 */
-    313,
-    /* VPCMPGTDrr */
+    625,
+    /* VINSERTF32x8rm */
   },
   { /* 4879 */
-    304,
-    /* VPCMPGTQYrm */
+    626,
+    /* VINSERTF32x8rr */
   },
   { /* 4880 */
-    305,
-    /* VPCMPGTQYrr */
+    623,
+    /* VINSERTF64x2rm */
   },
   { /* 4881 */
-    638,
-    /* VPCMPGTQZ128rm */
+    624,
+    /* VINSERTF64x2rr */
   },
   { /* 4882 */
-    639,
-    /* VPCMPGTQZ128rmb */
+    625,
+    /* VINSERTF64x4rm */
   },
   { /* 4883 */
-    640,
-    /* VPCMPGTQZ128rmbk */
+    626,
+    /* VINSERTF64x4rr */
   },
   { /* 4884 */
-    641,
-    /* VPCMPGTQZ128rmk */
+    621,
+    /* VINSERTI128rm */
   },
   { /* 4885 */
-    642,
-    /* VPCMPGTQZ128rr */
+    622,
+    /* VINSERTI128rr */
   },
   { /* 4886 */
-    643,
-    /* VPCMPGTQZ128rrk */
+    623,
+    /* VINSERTI32x4rm */
   },
   { /* 4887 */
-    644,
-    /* VPCMPGTQZ256rm */
+    624,
+    /* VINSERTI32x4rr */
   },
   { /* 4888 */
-    645,
-    /* VPCMPGTQZ256rmb */
+    625,
+    /* VINSERTI32x8rm */
   },
   { /* 4889 */
-    646,
-    /* VPCMPGTQZ256rmbk */
+    626,
+    /* VINSERTI32x8rr */
   },
   { /* 4890 */
-    647,
-    /* VPCMPGTQZ256rmk */
+    623,
+    /* VINSERTI64x2rm */
   },
   { /* 4891 */
-    648,
-    /* VPCMPGTQZ256rr */
+    624,
+    /* VINSERTI64x2rr */
   },
   { /* 4892 */
-    649,
-    /* VPCMPGTQZ256rrk */
+    625,
+    /* VINSERTI64x4rm */
   },
   { /* 4893 */
-    650,
-    /* VPCMPGTQZrm */
+    626,
+    /* VINSERTI64x4rr */
   },
   { /* 4894 */
-    651,
-    /* VPCMPGTQZrmb */
+    627,
+    /* VINSERTPSrm */
   },
   { /* 4895 */
-    652,
-    /* VPCMPGTQZrmbk */
+    391,
+    /* VINSERTPSrr */
   },
   { /* 4896 */
-    653,
-    /* VPCMPGTQZrmk */
+    628,
+    /* VINSERTPSzrm */
   },
   { /* 4897 */
-    654,
-    /* VPCMPGTQZrr */
+    629,
+    /* VINSERTPSzrr */
   },
   { /* 4898 */
-    655,
-    /* VPCMPGTQZrrk */
+    475,
+    /* VLDDQUYrm */
   },
   { /* 4899 */
-    312,
-    /* VPCMPGTQrm */
+    44,
+    /* VLDDQUrm */
   },
   { /* 4900 */
-    313,
-    /* VPCMPGTQrr */
+    38,
+    /* VLDMXCSR */
   },
   { /* 4901 */
-    304,
-    /* VPCMPGTWYrm */
+    45,
+    /* VMASKMOVDQU */
   },
   { /* 4902 */
-    305,
-    /* VPCMPGTWYrr */
+    0,
+    /*  */
   },
   { /* 4903 */
-    656,
-    /* VPCMPGTWZ128rm */
+    630,
+    /* VMASKMOVPDYmr */
   },
   { /* 4904 */
-    657,
-    /* VPCMPGTWZ128rmk */
+    302,
+    /* VMASKMOVPDYrm */
   },
   { /* 4905 */
-    658,
-    /* VPCMPGTWZ128rr */
+    631,
+    /* VMASKMOVPDmr */
   },
   { /* 4906 */
-    659,
-    /* VPCMPGTWZ128rrk */
+    334,
+    /* VMASKMOVPDrm */
   },
   { /* 4907 */
-    660,
-    /* VPCMPGTWZ256rm */
+    630,
+    /* VMASKMOVPSYmr */
   },
   { /* 4908 */
-    661,
-    /* VPCMPGTWZ256rmk */
+    302,
+    /* VMASKMOVPSYrm */
   },
   { /* 4909 */
-    662,
-    /* VPCMPGTWZ256rr */
+    631,
+    /* VMASKMOVPSmr */
   },
   { /* 4910 */
-    663,
-    /* VPCMPGTWZ256rrk */
+    334,
+    /* VMASKMOVPSrm */
   },
   { /* 4911 */
-    664,
-    /* VPCMPGTWZrm */
+    0,
+    /*  */
   },
   { /* 4912 */
-    665,
-    /* VPCMPGTWZrmk */
+    0,
+    /*  */
   },
   { /* 4913 */
-    666,
-    /* VPCMPGTWZrr */
+    0,
+    /*  */
   },
   { /* 4914 */
-    667,
-    /* VPCMPGTWZrrk */
+    0,
+    /*  */
   },
   { /* 4915 */
-    312,
-    /* VPCMPGTWrm */
+    0,
+    /*  */
   },
   { /* 4916 */
-    313,
-    /* VPCMPGTWrr */
+    0,
+    /*  */
   },
   { /* 4917 */
     0,
@@ -26968,12 +29399,12 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 4919 */
-    46,
-    /* VPCMPISTRIrm */
+    0,
+    /*  */
   },
   { /* 4920 */
-    47,
-    /* VPCMPISTRIrr */
+    0,
+    /*  */
   },
   { /* 4921 */
     0,
@@ -26984,6362 +29415,16706 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 4923 */
-    46,
-    /* VPCMPISTRM128rm */
+    302,
+    /* VMAXPDYrm */
   },
   { /* 4924 */
-    47,
-    /* VPCMPISTRM128rr */
+    303,
+    /* VMAXPDYrr */
   },
   { /* 4925 */
-    355,
-    /* VPCMPQZrmi */
+    304,
+    /* VMAXPDZ128rm */
   },
   { /* 4926 */
-    0,
-    /*  */
+    305,
+    /* VMAXPDZ128rmb */
   },
   { /* 4927 */
-    0,
-    /*  */
+    306,
+    /* VMAXPDZ128rmbk */
   },
   { /* 4928 */
-    356,
-    /* VPCMPQZrri */
+    307,
+    /* VMAXPDZ128rmbkz */
   },
   { /* 4929 */
-    0,
-    /*  */
+    308,
+    /* VMAXPDZ128rmk */
   },
   { /* 4930 */
-    0,
-    /*  */
+    309,
+    /* VMAXPDZ128rmkz */
   },
   { /* 4931 */
-    360,
-    /* VPCMPUDZrmi */
+    310,
+    /* VMAXPDZ128rr */
   },
   { /* 4932 */
-    0,
-    /*  */
+    311,
+    /* VMAXPDZ128rrk */
   },
   { /* 4933 */
-    0,
-    /*  */
+    312,
+    /* VMAXPDZ128rrkz */
   },
   { /* 4934 */
-    361,
-    /* VPCMPUDZrri */
+    313,
+    /* VMAXPDZ256rm */
   },
   { /* 4935 */
-    0,
-    /*  */
+    314,
+    /* VMAXPDZ256rmb */
   },
   { /* 4936 */
-    0,
-    /*  */
+    315,
+    /* VMAXPDZ256rmbk */
   },
   { /* 4937 */
-    355,
-    /* VPCMPUQZrmi */
+    316,
+    /* VMAXPDZ256rmbkz */
   },
   { /* 4938 */
-    0,
-    /*  */
+    317,
+    /* VMAXPDZ256rmk */
   },
   { /* 4939 */
-    0,
-    /*  */
+    318,
+    /* VMAXPDZ256rmkz */
   },
   { /* 4940 */
-    356,
-    /* VPCMPUQZrri */
+    319,
+    /* VMAXPDZ256rr */
   },
   { /* 4941 */
-    0,
-    /*  */
+    320,
+    /* VMAXPDZ256rrk */
   },
   { /* 4942 */
-    0,
-    /*  */
+    321,
+    /* VMAXPDZ256rrkz */
   },
   { /* 4943 */
-    593,
-    /* VPCOMBmi */
+    325,
+    /* VMAXPDZrm */
   },
   { /* 4944 */
-    594,
-    /* VPCOMBri */
+    326,
+    /* VMAXPDZrmb */
   },
   { /* 4945 */
-    593,
-    /* VPCOMDmi */
+    327,
+    /* VMAXPDZrmbk */
   },
   { /* 4946 */
-    594,
-    /* VPCOMDri */
+    328,
+    /* VMAXPDZrmbkz */
   },
   { /* 4947 */
-    593,
-    /* VPCOMQmi */
+    329,
+    /* VMAXPDZrmk */
   },
   { /* 4948 */
-    594,
-    /* VPCOMQri */
+    330,
+    /* VMAXPDZrmkz */
   },
   { /* 4949 */
-    593,
-    /* VPCOMUBmi */
+    331,
+    /* VMAXPDZrr */
   },
   { /* 4950 */
-    594,
-    /* VPCOMUBri */
+    332,
+    /* VMAXPDZrrk */
   },
   { /* 4951 */
-    593,
-    /* VPCOMUDmi */
+    333,
+    /* VMAXPDZrrkz */
   },
   { /* 4952 */
-    594,
-    /* VPCOMUDri */
+    334,
+    /* VMAXPDrm */
   },
   { /* 4953 */
-    593,
-    /* VPCOMUQmi */
+    335,
+    /* VMAXPDrr */
   },
   { /* 4954 */
-    594,
-    /* VPCOMUQri */
+    302,
+    /* VMAXPSYrm */
   },
   { /* 4955 */
-    593,
-    /* VPCOMUWmi */
+    303,
+    /* VMAXPSYrr */
   },
   { /* 4956 */
-    594,
-    /* VPCOMUWri */
+    304,
+    /* VMAXPSZ128rm */
   },
   { /* 4957 */
-    593,
-    /* VPCOMWmi */
+    336,
+    /* VMAXPSZ128rmb */
   },
   { /* 4958 */
-    594,
-    /* VPCOMWri */
+    337,
+    /* VMAXPSZ128rmbk */
   },
   { /* 4959 */
-    378,
-    /* VPCONFLICTDrm */
+    338,
+    /* VMAXPSZ128rmbkz */
   },
   { /* 4960 */
-    581,
-    /* VPCONFLICTDrmb */
+    339,
+    /* VMAXPSZ128rmk */
   },
   { /* 4961 */
-    668,
-    /* VPCONFLICTDrmbk */
+    340,
+    /* VMAXPSZ128rmkz */
   },
   { /* 4962 */
-    582,
-    /* VPCONFLICTDrmbkz */
+    310,
+    /* VMAXPSZ128rr */
   },
   { /* 4963 */
-    521,
-    /* VPCONFLICTDrmk */
+    341,
+    /* VMAXPSZ128rrk */
   },
   { /* 4964 */
-    522,
-    /* VPCONFLICTDrmkz */
+    342,
+    /* VMAXPSZ128rrkz */
   },
   { /* 4965 */
-    379,
-    /* VPCONFLICTDrr */
+    313,
+    /* VMAXPSZ256rm */
   },
   { /* 4966 */
-    523,
-    /* VPCONFLICTDrrk */
+    343,
+    /* VMAXPSZ256rmb */
   },
   { /* 4967 */
-    524,
-    /* VPCONFLICTDrrkz */
+    344,
+    /* VMAXPSZ256rmbk */
   },
   { /* 4968 */
-    378,
-    /* VPCONFLICTQrm */
+    345,
+    /* VMAXPSZ256rmbkz */
   },
   { /* 4969 */
-    583,
-    /* VPCONFLICTQrmb */
+    346,
+    /* VMAXPSZ256rmk */
   },
   { /* 4970 */
-    669,
-    /* VPCONFLICTQrmbk */
+    347,
+    /* VMAXPSZ256rmkz */
   },
   { /* 4971 */
-    584,
-    /* VPCONFLICTQrmbkz */
+    319,
+    /* VMAXPSZ256rr */
   },
   { /* 4972 */
-    506,
-    /* VPCONFLICTQrmk */
+    348,
+    /* VMAXPSZ256rrk */
   },
   { /* 4973 */
-    507,
-    /* VPCONFLICTQrmkz */
+    349,
+    /* VMAXPSZ256rrkz */
   },
   { /* 4974 */
-    379,
-    /* VPCONFLICTQrr */
+    325,
+    /* VMAXPSZrm */
   },
   { /* 4975 */
-    508,
-    /* VPCONFLICTQrrk */
+    353,
+    /* VMAXPSZrmb */
   },
   { /* 4976 */
-    509,
-    /* VPCONFLICTQrrkz */
+    354,
+    /* VMAXPSZrmbk */
   },
   { /* 4977 */
-    595,
-    /* VPERM2F128rm */
+    355,
+    /* VMAXPSZrmbkz */
   },
   { /* 4978 */
-    596,
-    /* VPERM2F128rr */
+    356,
+    /* VMAXPSZrmk */
   },
   { /* 4979 */
-    595,
-    /* VPERM2I128rm */
+    357,
+    /* VMAXPSZrmkz */
   },
   { /* 4980 */
-    596,
-    /* VPERM2I128rr */
+    331,
+    /* VMAXPSZrr */
   },
   { /* 4981 */
-    304,
-    /* VPERMDYrm */
+    358,
+    /* VMAXPSZrrk */
   },
   { /* 4982 */
-    305,
-    /* VPERMDYrr */
+    359,
+    /* VMAXPSZrrkz */
   },
   { /* 4983 */
-    306,
-    /* VPERMDZrm */
+    334,
+    /* VMAXPSrm */
   },
   { /* 4984 */
-    310,
-    /* VPERMDZrr */
+    335,
+    /* VMAXPSrr */
   },
   { /* 4985 */
-    434,
-    /* VPERMI2Drm */
+    0,
+    /*  */
   },
   { /* 4986 */
-    588,
-    /* VPERMI2Drmk */
+    360,
+    /* VMAXSDZrm_Int */
   },
   { /* 4987 */
-    588,
-    /* VPERMI2Drmkz */
+    361,
+    /* VMAXSDZrm_Intk */
   },
   { /* 4988 */
-    437,
-    /* VPERMI2Drr */
+    362,
+    /* VMAXSDZrm_Intkz */
   },
   { /* 4989 */
-    439,
-    /* VPERMI2Drrk */
+    0,
+    /*  */
   },
   { /* 4990 */
-    439,
-    /* VPERMI2Drrkz */
+    363,
+    /* VMAXSDZrr_Int */
   },
   { /* 4991 */
-    434,
-    /* VPERMI2PDrm */
+    364,
+    /* VMAXSDZrr_Intk */
   },
   { /* 4992 */
-    592,
-    /* VPERMI2PDrmk */
+    365,
+    /* VMAXSDZrr_Intkz */
   },
   { /* 4993 */
-    592,
-    /* VPERMI2PDrmkz */
+    363,
+    /* VMAXSDZrrb */
   },
   { /* 4994 */
-    437,
-    /* VPERMI2PDrr */
+    364,
+    /* VMAXSDZrrbk */
   },
   { /* 4995 */
-    438,
-    /* VPERMI2PDrrk */
+    365,
+    /* VMAXSDZrrbkz */
   },
   { /* 4996 */
-    438,
-    /* VPERMI2PDrrkz */
+    369,
+    /* VMAXSDrm */
   },
   { /* 4997 */
-    434,
-    /* VPERMI2PSrm */
+    0,
+    /*  */
   },
   { /* 4998 */
-    588,
-    /* VPERMI2PSrmk */
+    370,
+    /* VMAXSDrr */
   },
   { /* 4999 */
-    588,
-    /* VPERMI2PSrmkz */
+    0,
+    /*  */
   },
   { /* 5000 */
-    437,
-    /* VPERMI2PSrr */
+    0,
+    /*  */
   },
   { /* 5001 */
-    439,
-    /* VPERMI2PSrrk */
+    371,
+    /* VMAXSSZrm_Int */
   },
   { /* 5002 */
-    439,
-    /* VPERMI2PSrrkz */
+    372,
+    /* VMAXSSZrm_Intk */
   },
   { /* 5003 */
-    434,
-    /* VPERMI2Qrm */
+    373,
+    /* VMAXSSZrm_Intkz */
   },
   { /* 5004 */
-    592,
-    /* VPERMI2Qrmk */
+    0,
+    /*  */
   },
   { /* 5005 */
-    592,
-    /* VPERMI2Qrmkz */
+    374,
+    /* VMAXSSZrr_Int */
   },
   { /* 5006 */
-    437,
-    /* VPERMI2Qrr */
+    375,
+    /* VMAXSSZrr_Intk */
   },
   { /* 5007 */
-    438,
-    /* VPERMI2Qrrk */
+    376,
+    /* VMAXSSZrr_Intkz */
   },
   { /* 5008 */
-    438,
-    /* VPERMI2Qrrkz */
+    374,
+    /* VMAXSSZrrb */
   },
   { /* 5009 */
-    670,
-    /* VPERMIL2PDmr */
+    375,
+    /* VMAXSSZrrbk */
   },
   { /* 5010 */
-    671,
-    /* VPERMIL2PDmrY */
+    376,
+    /* VMAXSSZrrbkz */
   },
   { /* 5011 */
-    672,
-    /* VPERMIL2PDrm */
+    380,
+    /* VMAXSSrm */
   },
   { /* 5012 */
-    673,
-    /* VPERMIL2PDrmY */
+    0,
+    /*  */
   },
   { /* 5013 */
-    674,
-    /* VPERMIL2PDrr */
+    381,
+    /* VMAXSSrr */
   },
   { /* 5014 */
-    675,
-    /* VPERMIL2PDrrY */
+    0,
+    /*  */
   },
   { /* 5015 */
-    670,
-    /* VPERMIL2PSmr */
+    0,
+    /* VMCALL */
   },
   { /* 5016 */
-    671,
-    /* VPERMIL2PSmrY */
+    38,
+    /* VMCLEARm */
   },
   { /* 5017 */
-    672,
-    /* VPERMIL2PSrm */
+    0,
+    /* VMFUNC */
   },
   { /* 5018 */
-    673,
-    /* VPERMIL2PSrmY */
+    0,
+    /*  */
   },
   { /* 5019 */
-    674,
-    /* VPERMIL2PSrr */
+    0,
+    /*  */
   },
   { /* 5020 */
-    675,
-    /* VPERMIL2PSrrY */
+    0,
+    /*  */
   },
   { /* 5021 */
-    676,
-    /* VPERMILPDYmi */
+    0,
+    /*  */
   },
   { /* 5022 */
-    677,
-    /* VPERMILPDYri */
+    0,
+    /*  */
   },
   { /* 5023 */
-    304,
-    /* VPERMILPDYrm */
+    0,
+    /*  */
   },
   { /* 5024 */
-    305,
-    /* VPERMILPDYrr */
+    0,
+    /*  */
   },
   { /* 5025 */
-    678,
-    /* VPERMILPDZmi */
+    0,
+    /*  */
   },
   { /* 5026 */
-    679,
-    /* VPERMILPDZri */
+    0,
+    /*  */
   },
   { /* 5027 */
-    46,
-    /* VPERMILPDmi */
+    0,
+    /*  */
   },
   { /* 5028 */
-    47,
-    /* VPERMILPDri */
+    0,
+    /*  */
   },
   { /* 5029 */
-    312,
-    /* VPERMILPDrm */
+    0,
+    /*  */
   },
   { /* 5030 */
-    313,
-    /* VPERMILPDrr */
+    302,
+    /* VMINPDYrm */
   },
   { /* 5031 */
-    676,
-    /* VPERMILPSYmi */
+    303,
+    /* VMINPDYrr */
   },
   { /* 5032 */
-    677,
-    /* VPERMILPSYri */
+    304,
+    /* VMINPDZ128rm */
   },
   { /* 5033 */
-    304,
-    /* VPERMILPSYrm */
+    305,
+    /* VMINPDZ128rmb */
   },
   { /* 5034 */
-    305,
-    /* VPERMILPSYrr */
+    306,
+    /* VMINPDZ128rmbk */
   },
   { /* 5035 */
-    678,
-    /* VPERMILPSZmi */
+    307,
+    /* VMINPDZ128rmbkz */
   },
   { /* 5036 */
-    679,
-    /* VPERMILPSZri */
+    308,
+    /* VMINPDZ128rmk */
   },
   { /* 5037 */
-    46,
-    /* VPERMILPSmi */
+    309,
+    /* VMINPDZ128rmkz */
   },
   { /* 5038 */
-    47,
-    /* VPERMILPSri */
+    310,
+    /* VMINPDZ128rr */
   },
   { /* 5039 */
-    312,
-    /* VPERMILPSrm */
+    311,
+    /* VMINPDZ128rrk */
   },
   { /* 5040 */
-    313,
-    /* VPERMILPSrr */
+    312,
+    /* VMINPDZ128rrkz */
   },
   { /* 5041 */
-    676,
-    /* VPERMPDYmi */
+    313,
+    /* VMINPDZ256rm */
   },
   { /* 5042 */
-    677,
-    /* VPERMPDYri */
+    314,
+    /* VMINPDZ256rmb */
   },
   { /* 5043 */
-    678,
-    /* VPERMPDZmi */
+    315,
+    /* VMINPDZ256rmbk */
   },
   { /* 5044 */
-    679,
-    /* VPERMPDZri */
+    316,
+    /* VMINPDZ256rmbkz */
   },
   { /* 5045 */
-    306,
-    /* VPERMPDZrm */
+    317,
+    /* VMINPDZ256rmk */
   },
   { /* 5046 */
-    310,
-    /* VPERMPDZrr */
+    318,
+    /* VMINPDZ256rmkz */
   },
   { /* 5047 */
-    304,
-    /* VPERMPSYrm */
+    319,
+    /* VMINPDZ256rr */
   },
   { /* 5048 */
-    305,
-    /* VPERMPSYrr */
+    320,
+    /* VMINPDZ256rrk */
   },
   { /* 5049 */
-    306,
-    /* VPERMPSZrm */
+    321,
+    /* VMINPDZ256rrkz */
   },
   { /* 5050 */
-    310,
-    /* VPERMPSZrr */
+    325,
+    /* VMINPDZrm */
   },
   { /* 5051 */
-    676,
-    /* VPERMQYmi */
+    326,
+    /* VMINPDZrmb */
   },
   { /* 5052 */
-    677,
-    /* VPERMQYri */
+    327,
+    /* VMINPDZrmbk */
   },
   { /* 5053 */
-    678,
-    /* VPERMQZmi */
+    328,
+    /* VMINPDZrmbkz */
   },
   { /* 5054 */
-    679,
-    /* VPERMQZri */
+    329,
+    /* VMINPDZrmk */
   },
   { /* 5055 */
-    306,
-    /* VPERMQZrm */
+    330,
+    /* VMINPDZrmkz */
   },
   { /* 5056 */
-    310,
-    /* VPERMQZrr */
+    331,
+    /* VMINPDZrr */
   },
   { /* 5057 */
-    434,
-    /* VPERMT2Drm */
+    332,
+    /* VMINPDZrrk */
   },
   { /* 5058 */
-    588,
-    /* VPERMT2Drmk */
+    333,
+    /* VMINPDZrrkz */
   },
   { /* 5059 */
-    588,
-    /* VPERMT2Drmkz */
+    334,
+    /* VMINPDrm */
   },
   { /* 5060 */
-    437,
-    /* VPERMT2Drr */
+    335,
+    /* VMINPDrr */
   },
   { /* 5061 */
-    439,
-    /* VPERMT2Drrk */
+    302,
+    /* VMINPSYrm */
   },
   { /* 5062 */
-    439,
-    /* VPERMT2Drrkz */
+    303,
+    /* VMINPSYrr */
   },
   { /* 5063 */
-    434,
-    /* VPERMT2PDrm */
+    304,
+    /* VMINPSZ128rm */
   },
   { /* 5064 */
-    592,
-    /* VPERMT2PDrmk */
+    336,
+    /* VMINPSZ128rmb */
   },
   { /* 5065 */
-    592,
-    /* VPERMT2PDrmkz */
+    337,
+    /* VMINPSZ128rmbk */
   },
   { /* 5066 */
-    437,
-    /* VPERMT2PDrr */
+    338,
+    /* VMINPSZ128rmbkz */
   },
   { /* 5067 */
-    438,
-    /* VPERMT2PDrrk */
+    339,
+    /* VMINPSZ128rmk */
   },
   { /* 5068 */
-    438,
-    /* VPERMT2PDrrkz */
+    340,
+    /* VMINPSZ128rmkz */
   },
   { /* 5069 */
-    434,
-    /* VPERMT2PSrm */
+    310,
+    /* VMINPSZ128rr */
   },
   { /* 5070 */
-    588,
-    /* VPERMT2PSrmk */
+    341,
+    /* VMINPSZ128rrk */
   },
   { /* 5071 */
-    588,
-    /* VPERMT2PSrmkz */
+    342,
+    /* VMINPSZ128rrkz */
   },
   { /* 5072 */
-    437,
-    /* VPERMT2PSrr */
+    313,
+    /* VMINPSZ256rm */
   },
   { /* 5073 */
-    439,
-    /* VPERMT2PSrrk */
+    343,
+    /* VMINPSZ256rmb */
   },
   { /* 5074 */
-    439,
-    /* VPERMT2PSrrkz */
+    344,
+    /* VMINPSZ256rmbk */
   },
   { /* 5075 */
-    434,
-    /* VPERMT2Qrm */
+    345,
+    /* VMINPSZ256rmbkz */
   },
   { /* 5076 */
-    592,
-    /* VPERMT2Qrmk */
+    346,
+    /* VMINPSZ256rmk */
   },
   { /* 5077 */
-    592,
-    /* VPERMT2Qrmkz */
+    347,
+    /* VMINPSZ256rmkz */
   },
   { /* 5078 */
-    437,
-    /* VPERMT2Qrr */
+    319,
+    /* VMINPSZ256rr */
   },
   { /* 5079 */
-    438,
-    /* VPERMT2Qrrk */
+    348,
+    /* VMINPSZ256rrk */
   },
   { /* 5080 */
-    438,
-    /* VPERMT2Qrrkz */
+    349,
+    /* VMINPSZ256rrkz */
   },
   { /* 5081 */
-    269,
-    /* VPEXTRBmr */
+    325,
+    /* VMINPSZrm */
   },
   { /* 5082 */
-    133,
-    /* VPEXTRBrr */
+    353,
+    /* VMINPSZrmb */
   },
   { /* 5083 */
-    270,
-    /* VPEXTRDmr */
+    354,
+    /* VMINPSZrmbk */
   },
   { /* 5084 */
-    133,
-    /* VPEXTRDrr */
+    355,
+    /* VMINPSZrmbkz */
   },
   { /* 5085 */
-    270,
-    /* VPEXTRQmr */
+    356,
+    /* VMINPSZrmk */
   },
   { /* 5086 */
-    271,
-    /* VPEXTRQrr */
+    357,
+    /* VMINPSZrmkz */
   },
   { /* 5087 */
-    270,
-    /* VPEXTRWmr */
+    331,
+    /* VMINPSZrr */
   },
   { /* 5088 */
-    272,
-    /* VPEXTRWri */
+    358,
+    /* VMINPSZrrk */
   },
   { /* 5089 */
-    133,
-    /* VPEXTRWrr_REV */
+    359,
+    /* VMINPSZrrkz */
   },
   { /* 5090 */
-    467,
-    /* VPGATHERDDYrm */
+    334,
+    /* VMINPSrm */
   },
   { /* 5091 */
-    468,
-    /* VPGATHERDDZrm */
+    335,
+    /* VMINPSrr */
   },
   { /* 5092 */
-    469,
-    /* VPGATHERDDrm */
+    0,
+    /*  */
   },
   { /* 5093 */
-    464,
-    /* VPGATHERDQYrm */
+    360,
+    /* VMINSDZrm_Int */
   },
   { /* 5094 */
-    465,
-    /* VPGATHERDQZrm */
+    361,
+    /* VMINSDZrm_Intk */
   },
   { /* 5095 */
-    466,
-    /* VPGATHERDQrm */
+    362,
+    /* VMINSDZrm_Intkz */
   },
   { /* 5096 */
-    469,
-    /* VPGATHERQDYrm */
+    0,
+    /*  */
   },
   { /* 5097 */
-    473,
-    /* VPGATHERQDZrm */
+    363,
+    /* VMINSDZrr_Int */
   },
   { /* 5098 */
-    469,
-    /* VPGATHERQDrm */
+    364,
+    /* VMINSDZrr_Intk */
   },
   { /* 5099 */
-    464,
-    /* VPGATHERQQYrm */
+    365,
+    /* VMINSDZrr_Intkz */
   },
   { /* 5100 */
-    465,
-    /* VPGATHERQQZrm */
+    363,
+    /* VMINSDZrrb */
   },
   { /* 5101 */
-    466,
-    /* VPGATHERQQrm */
+    364,
+    /* VMINSDZrrbk */
   },
   { /* 5102 */
-    44,
-    /* VPHADDBDrm */
+    365,
+    /* VMINSDZrrbkz */
   },
   { /* 5103 */
-    45,
-    /* VPHADDBDrr */
+    369,
+    /* VMINSDrm */
   },
   { /* 5104 */
-    44,
-    /* VPHADDBQrm */
+    0,
+    /*  */
   },
   { /* 5105 */
-    45,
-    /* VPHADDBQrr */
+    370,
+    /* VMINSDrr */
   },
   { /* 5106 */
-    44,
-    /* VPHADDBWrm */
+    0,
+    /*  */
   },
   { /* 5107 */
-    45,
-    /* VPHADDBWrr */
+    0,
+    /*  */
   },
   { /* 5108 */
-    44,
-    /* VPHADDDQrm */
+    371,
+    /* VMINSSZrm_Int */
   },
   { /* 5109 */
-    45,
-    /* VPHADDDQrr */
+    372,
+    /* VMINSSZrm_Intk */
   },
   { /* 5110 */
-    304,
-    /* VPHADDDYrm */
+    373,
+    /* VMINSSZrm_Intkz */
   },
   { /* 5111 */
-    305,
-    /* VPHADDDYrr */
+    0,
+    /*  */
   },
   { /* 5112 */
-    312,
-    /* VPHADDDrm */
+    374,
+    /* VMINSSZrr_Int */
   },
   { /* 5113 */
-    313,
-    /* VPHADDDrr */
+    375,
+    /* VMINSSZrr_Intk */
   },
   { /* 5114 */
-    312,
-    /* VPHADDSWrm128 */
+    376,
+    /* VMINSSZrr_Intkz */
   },
   { /* 5115 */
-    304,
-    /* VPHADDSWrm256 */
+    374,
+    /* VMINSSZrrb */
   },
   { /* 5116 */
-    313,
-    /* VPHADDSWrr128 */
+    375,
+    /* VMINSSZrrbk */
   },
   { /* 5117 */
-    305,
-    /* VPHADDSWrr256 */
+    376,
+    /* VMINSSZrrbkz */
   },
   { /* 5118 */
-    44,
-    /* VPHADDUBDrm */
+    380,
+    /* VMINSSrm */
   },
   { /* 5119 */
-    45,
-    /* VPHADDUBDrr */
+    0,
+    /*  */
   },
   { /* 5120 */
-    44,
-    /* VPHADDUBQrm */
+    381,
+    /* VMINSSrr */
   },
   { /* 5121 */
-    45,
-    /* VPHADDUBQrr */
+    0,
+    /*  */
   },
   { /* 5122 */
-    44,
-    /* VPHADDUBWrm */
+    0,
+    /* VMLAUNCH */
   },
   { /* 5123 */
-    45,
-    /* VPHADDUBWrr */
+    0,
+    /* VMLOAD32 */
   },
   { /* 5124 */
-    44,
-    /* VPHADDUDQrm */
+    0,
+    /* VMLOAD64 */
   },
   { /* 5125 */
-    45,
-    /* VPHADDUDQrr */
+    0,
+    /* VMMCALL */
   },
   { /* 5126 */
-    44,
-    /* VPHADDUWDrm */
+    632,
+    /* VMOV64toPQIZrr */
   },
   { /* 5127 */
-    45,
-    /* VPHADDUWDrr */
+    105,
+    /* VMOV64toPQIrm */
   },
   { /* 5128 */
-    44,
-    /* VPHADDUWQrm */
+    243,
+    /* VMOV64toPQIrr */
   },
   { /* 5129 */
-    45,
-    /* VPHADDUWQrr */
+    0,
+    /*  */
   },
   { /* 5130 */
-    44,
-    /* VPHADDWDrm */
+    0,
+    /*  */
   },
   { /* 5131 */
-    45,
-    /* VPHADDWDrr */
+    0,
+    /*  */
   },
   { /* 5132 */
-    44,
-    /* VPHADDWQrm */
+    633,
+    /* VMOVAPDYmr */
   },
   { /* 5133 */
-    45,
-    /* VPHADDWQrr */
+    475,
+    /* VMOVAPDYrm */
   },
   { /* 5134 */
-    304,
-    /* VPHADDWYrm */
+    476,
+    /* VMOVAPDYrr */
   },
   { /* 5135 */
-    305,
-    /* VPHADDWYrr */
+    634,
+    /* VMOVAPDYrr_REV */
   },
   { /* 5136 */
-    312,
-    /* VPHADDWrm */
+    635,
+    /* VMOVAPDZ128mr */
   },
   { /* 5137 */
-    313,
-    /* VPHADDWrr */
+    636,
+    /* VMOVAPDZ128mrk */
   },
   { /* 5138 */
-    44,
-    /* VPHMINPOSUWrm128 */
+    637,
+    /* VMOVAPDZ128rm */
   },
   { /* 5139 */
-    45,
-    /* VPHMINPOSUWrr128 */
+    638,
+    /* VMOVAPDZ128rmk */
   },
   { /* 5140 */
-    44,
-    /* VPHSUBBWrm */
+    639,
+    /* VMOVAPDZ128rmkz */
   },
   { /* 5141 */
-    45,
-    /* VPHSUBBWrr */
+    640,
+    /* VMOVAPDZ128rr */
   },
   { /* 5142 */
-    44,
-    /* VPHSUBDQrm */
+    641,
+    /* VMOVAPDZ128rr_alt */
   },
   { /* 5143 */
-    45,
-    /* VPHSUBDQrr */
+    545,
+    /* VMOVAPDZ128rrk */
   },
   { /* 5144 */
-    304,
-    /* VPHSUBDYrm */
+    457,
+    /* VMOVAPDZ128rrk_alt */
   },
   { /* 5145 */
-    305,
-    /* VPHSUBDYrr */
+    546,
+    /* VMOVAPDZ128rrkz */
   },
   { /* 5146 */
-    312,
-    /* VPHSUBDrm */
+    458,
+    /* VMOVAPDZ128rrkz_alt */
   },
   { /* 5147 */
-    313,
-    /* VPHSUBDrr */
+    642,
+    /* VMOVAPDZ256mr */
   },
   { /* 5148 */
-    312,
-    /* VPHSUBSWrm128 */
+    643,
+    /* VMOVAPDZ256mrk */
   },
   { /* 5149 */
-    304,
-    /* VPHSUBSWrm256 */
+    644,
+    /* VMOVAPDZ256rm */
   },
   { /* 5150 */
-    313,
-    /* VPHSUBSWrr128 */
+    645,
+    /* VMOVAPDZ256rmk */
   },
   { /* 5151 */
-    305,
-    /* VPHSUBSWrr256 */
+    646,
+    /* VMOVAPDZ256rmkz */
   },
   { /* 5152 */
-    44,
-    /* VPHSUBWDrm */
+    647,
+    /* VMOVAPDZ256rr */
   },
   { /* 5153 */
-    45,
-    /* VPHSUBWDrr */
+    648,
+    /* VMOVAPDZ256rr_alt */
   },
   { /* 5154 */
-    304,
-    /* VPHSUBWYrm */
+    549,
+    /* VMOVAPDZ256rrk */
   },
   { /* 5155 */
-    305,
-    /* VPHSUBWYrr */
+    460,
+    /* VMOVAPDZ256rrk_alt */
   },
   { /* 5156 */
-    312,
-    /* VPHSUBWrm */
+    550,
+    /* VMOVAPDZ256rrkz */
   },
   { /* 5157 */
-    313,
-    /* VPHSUBWrr */
+    461,
+    /* VMOVAPDZ256rrkz_alt */
   },
   { /* 5158 */
-    680,
-    /* VPINSRBrm */
+    649,
+    /* VMOVAPDZmr */
   },
   { /* 5159 */
-    681,
-    /* VPINSRBrr */
+    650,
+    /* VMOVAPDZmrk */
   },
   { /* 5160 */
-    682,
-    /* VPINSRDrm */
+    477,
+    /* VMOVAPDZrm */
   },
   { /* 5161 */
-    681,
-    /* VPINSRDrr */
+    528,
+    /* VMOVAPDZrmk */
   },
   { /* 5162 */
-    682,
-    /* VPINSRQrm */
+    529,
+    /* VMOVAPDZrmkz */
   },
   { /* 5163 */
-    683,
-    /* VPINSRQrr */
+    478,
+    /* VMOVAPDZrr */
   },
   { /* 5164 */
-    682,
-    /* VPINSRWrmi */
+    651,
+    /* VMOVAPDZrr_alt */
   },
   { /* 5165 */
-    681,
-    /* VPINSRWrri */
+    533,
+    /* VMOVAPDZrrk */
   },
   { /* 5166 */
-    378,
-    /* VPLZCNTDrm */
+    463,
+    /* VMOVAPDZrrk_alt */
   },
   { /* 5167 */
-    581,
-    /* VPLZCNTDrmb */
+    534,
+    /* VMOVAPDZrrkz */
   },
   { /* 5168 */
-    668,
-    /* VPLZCNTDrmbk */
+    464,
+    /* VMOVAPDZrrkz_alt */
   },
   { /* 5169 */
-    582,
-    /* VPLZCNTDrmbkz */
+    246,
+    /* VMOVAPDmr */
   },
   { /* 5170 */
-    521,
-    /* VPLZCNTDrmk */
+    44,
+    /* VMOVAPDrm */
   },
   { /* 5171 */
-    522,
-    /* VPLZCNTDrmkz */
+    45,
+    /* VMOVAPDrr */
   },
   { /* 5172 */
-    379,
-    /* VPLZCNTDrr */
+    247,
+    /* VMOVAPDrr_REV */
   },
   { /* 5173 */
-    523,
-    /* VPLZCNTDrrk */
+    633,
+    /* VMOVAPSYmr */
   },
   { /* 5174 */
-    524,
-    /* VPLZCNTDrrkz */
+    475,
+    /* VMOVAPSYrm */
   },
   { /* 5175 */
-    378,
-    /* VPLZCNTQrm */
+    476,
+    /* VMOVAPSYrr */
   },
   { /* 5176 */
-    583,
-    /* VPLZCNTQrmb */
+    634,
+    /* VMOVAPSYrr_REV */
   },
   { /* 5177 */
-    669,
-    /* VPLZCNTQrmbk */
+    635,
+    /* VMOVAPSZ128mr */
   },
   { /* 5178 */
-    584,
-    /* VPLZCNTQrmbkz */
+    652,
+    /* VMOVAPSZ128mrk */
   },
   { /* 5179 */
-    506,
-    /* VPLZCNTQrmk */
+    637,
+    /* VMOVAPSZ128rm */
   },
   { /* 5180 */
-    507,
-    /* VPLZCNTQrmkz */
+    653,
+    /* VMOVAPSZ128rmk */
   },
   { /* 5181 */
-    379,
-    /* VPLZCNTQrr */
+    654,
+    /* VMOVAPSZ128rmkz */
   },
   { /* 5182 */
-    508,
-    /* VPLZCNTQrrk */
+    640,
+    /* VMOVAPSZ128rr */
   },
   { /* 5183 */
-    509,
-    /* VPLZCNTQrrkz */
+    641,
+    /* VMOVAPSZ128rr_alt */
   },
   { /* 5184 */
-    338,
-    /* VPMACSDDrm */
+    555,
+    /* VMOVAPSZ128rrk */
   },
   { /* 5185 */
-    339,
-    /* VPMACSDDrr */
+    466,
+    /* VMOVAPSZ128rrk_alt */
   },
   { /* 5186 */
-    338,
-    /* VPMACSDQHrm */
+    556,
+    /* VMOVAPSZ128rrkz */
   },
   { /* 5187 */
-    339,
-    /* VPMACSDQHrr */
+    467,
+    /* VMOVAPSZ128rrkz_alt */
   },
   { /* 5188 */
-    338,
-    /* VPMACSDQLrm */
+    642,
+    /* VMOVAPSZ256mr */
   },
   { /* 5189 */
-    339,
-    /* VPMACSDQLrr */
+    655,
+    /* VMOVAPSZ256mrk */
   },
   { /* 5190 */
-    338,
-    /* VPMACSSDDrm */
+    644,
+    /* VMOVAPSZ256rm */
   },
   { /* 5191 */
-    339,
-    /* VPMACSSDDrr */
+    656,
+    /* VMOVAPSZ256rmk */
   },
   { /* 5192 */
-    338,
-    /* VPMACSSDQHrm */
+    657,
+    /* VMOVAPSZ256rmkz */
   },
   { /* 5193 */
-    339,
-    /* VPMACSSDQHrr */
+    647,
+    /* VMOVAPSZ256rr */
   },
   { /* 5194 */
-    338,
-    /* VPMACSSDQLrm */
+    648,
+    /* VMOVAPSZ256rr_alt */
   },
   { /* 5195 */
-    339,
-    /* VPMACSSDQLrr */
+    559,
+    /* VMOVAPSZ256rrk */
   },
   { /* 5196 */
-    338,
-    /* VPMACSSWDrm */
+    469,
+    /* VMOVAPSZ256rrk_alt */
   },
   { /* 5197 */
-    339,
-    /* VPMACSSWDrr */
+    560,
+    /* VMOVAPSZ256rrkz */
   },
   { /* 5198 */
-    338,
-    /* VPMACSSWWrm */
+    470,
+    /* VMOVAPSZ256rrkz_alt */
   },
   { /* 5199 */
-    339,
-    /* VPMACSSWWrr */
+    649,
+    /* VMOVAPSZmr */
   },
   { /* 5200 */
-    338,
-    /* VPMACSWDrm */
+    658,
+    /* VMOVAPSZmrk */
   },
   { /* 5201 */
-    339,
-    /* VPMACSWDrr */
+    477,
+    /* VMOVAPSZrm */
   },
   { /* 5202 */
-    338,
-    /* VPMACSWWrm */
+    537,
+    /* VMOVAPSZrmk */
   },
   { /* 5203 */
-    339,
-    /* VPMACSWWrr */
+    538,
+    /* VMOVAPSZrmkz */
   },
   { /* 5204 */
-    338,
-    /* VPMADCSSWDrm */
+    478,
+    /* VMOVAPSZrr */
   },
   { /* 5205 */
-    339,
-    /* VPMADCSSWDrr */
+    651,
+    /* VMOVAPSZrr_alt */
   },
   { /* 5206 */
-    338,
-    /* VPMADCSWDrm */
+    541,
+    /* VMOVAPSZrrk */
   },
   { /* 5207 */
-    339,
-    /* VPMADCSWDrr */
+    472,
+    /* VMOVAPSZrrk_alt */
   },
   { /* 5208 */
-    312,
-    /* VPMADDUBSWrm128 */
+    542,
+    /* VMOVAPSZrrkz */
   },
   { /* 5209 */
-    304,
-    /* VPMADDUBSWrm256 */
+    473,
+    /* VMOVAPSZrrkz_alt */
   },
   { /* 5210 */
-    313,
-    /* VPMADDUBSWrr128 */
+    246,
+    /* VMOVAPSmr */
   },
   { /* 5211 */
-    305,
-    /* VPMADDUBSWrr256 */
+    44,
+    /* VMOVAPSrm */
   },
   { /* 5212 */
-    304,
-    /* VPMADDWDYrm */
+    45,
+    /* VMOVAPSrr */
   },
   { /* 5213 */
-    305,
-    /* VPMADDWDYrr */
+    247,
+    /* VMOVAPSrr_REV */
   },
   { /* 5214 */
-    312,
-    /* VPMADDWDrm */
+    475,
+    /* VMOVDDUPYrm */
   },
   { /* 5215 */
-    313,
-    /* VPMADDWDrr */
+    476,
+    /* VMOVDDUPYrr */
   },
   { /* 5216 */
-    483,
-    /* VPMASKMOVDYmr */
+    477,
+    /* VMOVDDUPZrm */
   },
   { /* 5217 */
-    304,
-    /* VPMASKMOVDYrm */
+    478,
+    /* VMOVDDUPZrr */
   },
   { /* 5218 */
-    484,
-    /* VPMASKMOVDmr */
+    106,
+    /* VMOVDDUPrm */
   },
   { /* 5219 */
-    312,
-    /* VPMASKMOVDrm */
+    45,
+    /* VMOVDDUPrr */
   },
   { /* 5220 */
-    483,
-    /* VPMASKMOVQYmr */
+    659,
+    /* VMOVDI2PDIZrm */
   },
   { /* 5221 */
-    304,
-    /* VPMASKMOVQYrm */
+    660,
+    /* VMOVDI2PDIZrr */
   },
   { /* 5222 */
-    484,
-    /* VPMASKMOVQmr */
+    105,
+    /* VMOVDI2PDIrm */
   },
   { /* 5223 */
-    312,
-    /* VPMASKMOVQrm */
+    248,
+    /* VMOVDI2PDIrr */
   },
   { /* 5224 */
-    304,
-    /* VPMAXSBYrm */
+    0,
+    /*  */
   },
   { /* 5225 */
-    305,
-    /* VPMAXSBYrr */
+    0,
+    /*  */
   },
   { /* 5226 */
-    312,
-    /* VPMAXSBrm */
+    0,
+    /*  */
   },
   { /* 5227 */
-    313,
-    /* VPMAXSBrr */
+    0,
+    /*  */
   },
   { /* 5228 */
-    304,
-    /* VPMAXSDYrm */
+    635,
+    /* VMOVDQA32Z128mr */
   },
   { /* 5229 */
-    305,
-    /* VPMAXSDYrr */
+    652,
+    /* VMOVDQA32Z128mrk */
   },
   { /* 5230 */
-    306,
-    /* VPMAXSDZrm */
+    637,
+    /* VMOVDQA32Z128rm */
   },
   { /* 5231 */
-    585,
-    /* VPMAXSDZrmb */
+    653,
+    /* VMOVDQA32Z128rmk */
   },
   { /* 5232 */
-    586,
-    /* VPMAXSDZrmbk */
+    654,
+    /* VMOVDQA32Z128rmkz */
   },
   { /* 5233 */
-    587,
-    /* VPMAXSDZrmbkz */
+    640,
+    /* VMOVDQA32Z128rr */
   },
   { /* 5234 */
-    588,
-    /* VPMAXSDZrmk */
+    641,
+    /* VMOVDQA32Z128rr_alt */
   },
   { /* 5235 */
-    316,
-    /* VPMAXSDZrmkz */
+    555,
+    /* VMOVDQA32Z128rrk */
   },
   { /* 5236 */
-    310,
-    /* VPMAXSDZrr */
+    466,
+    /* VMOVDQA32Z128rrk_alt */
   },
   { /* 5237 */
-    439,
-    /* VPMAXSDZrrk */
+    556,
+    /* VMOVDQA32Z128rrkz */
   },
   { /* 5238 */
-    317,
-    /* VPMAXSDZrrkz */
+    467,
+    /* VMOVDQA32Z128rrkz_alt */
   },
   { /* 5239 */
-    312,
-    /* VPMAXSDrm */
+    642,
+    /* VMOVDQA32Z256mr */
   },
   { /* 5240 */
-    313,
-    /* VPMAXSDrr */
+    655,
+    /* VMOVDQA32Z256mrk */
   },
   { /* 5241 */
-    306,
-    /* VPMAXSQZrm */
+    644,
+    /* VMOVDQA32Z256rm */
   },
   { /* 5242 */
-    589,
-    /* VPMAXSQZrmb */
+    656,
+    /* VMOVDQA32Z256rmk */
   },
   { /* 5243 */
-    590,
-    /* VPMAXSQZrmbk */
+    657,
+    /* VMOVDQA32Z256rmkz */
   },
   { /* 5244 */
-    591,
-    /* VPMAXSQZrmbkz */
+    647,
+    /* VMOVDQA32Z256rr */
   },
   { /* 5245 */
-    592,
-    /* VPMAXSQZrmk */
+    648,
+    /* VMOVDQA32Z256rr_alt */
   },
   { /* 5246 */
-    309,
-    /* VPMAXSQZrmkz */
+    559,
+    /* VMOVDQA32Z256rrk */
   },
   { /* 5247 */
-    310,
-    /* VPMAXSQZrr */
+    469,
+    /* VMOVDQA32Z256rrk_alt */
   },
   { /* 5248 */
-    438,
-    /* VPMAXSQZrrk */
+    560,
+    /* VMOVDQA32Z256rrkz */
   },
   { /* 5249 */
-    311,
-    /* VPMAXSQZrrkz */
+    470,
+    /* VMOVDQA32Z256rrkz_alt */
   },
   { /* 5250 */
-    304,
-    /* VPMAXSWYrm */
+    649,
+    /* VMOVDQA32Zmr */
   },
   { /* 5251 */
-    305,
-    /* VPMAXSWYrr */
+    658,
+    /* VMOVDQA32Zmrk */
   },
   { /* 5252 */
-    312,
-    /* VPMAXSWrm */
+    477,
+    /* VMOVDQA32Zrm */
   },
   { /* 5253 */
-    313,
-    /* VPMAXSWrr */
+    537,
+    /* VMOVDQA32Zrmk */
   },
   { /* 5254 */
-    304,
-    /* VPMAXUBYrm */
+    538,
+    /* VMOVDQA32Zrmkz */
   },
   { /* 5255 */
-    305,
-    /* VPMAXUBYrr */
+    478,
+    /* VMOVDQA32Zrr */
   },
   { /* 5256 */
-    312,
-    /* VPMAXUBrm */
+    651,
+    /* VMOVDQA32Zrr_alt */
   },
   { /* 5257 */
-    313,
-    /* VPMAXUBrr */
+    541,
+    /* VMOVDQA32Zrrk */
   },
   { /* 5258 */
-    304,
-    /* VPMAXUDYrm */
+    472,
+    /* VMOVDQA32Zrrk_alt */
   },
   { /* 5259 */
-    305,
-    /* VPMAXUDYrr */
+    542,
+    /* VMOVDQA32Zrrkz */
   },
   { /* 5260 */
-    306,
-    /* VPMAXUDZrm */
+    473,
+    /* VMOVDQA32Zrrkz_alt */
   },
   { /* 5261 */
-    585,
-    /* VPMAXUDZrmb */
+    635,
+    /* VMOVDQA64Z128mr */
   },
   { /* 5262 */
-    586,
-    /* VPMAXUDZrmbk */
+    636,
+    /* VMOVDQA64Z128mrk */
   },
   { /* 5263 */
-    587,
-    /* VPMAXUDZrmbkz */
+    637,
+    /* VMOVDQA64Z128rm */
   },
   { /* 5264 */
-    588,
-    /* VPMAXUDZrmk */
+    638,
+    /* VMOVDQA64Z128rmk */
   },
   { /* 5265 */
-    316,
-    /* VPMAXUDZrmkz */
+    639,
+    /* VMOVDQA64Z128rmkz */
   },
   { /* 5266 */
-    310,
-    /* VPMAXUDZrr */
+    640,
+    /* VMOVDQA64Z128rr */
   },
   { /* 5267 */
-    439,
-    /* VPMAXUDZrrk */
+    641,
+    /* VMOVDQA64Z128rr_alt */
   },
   { /* 5268 */
-    317,
-    /* VPMAXUDZrrkz */
+    545,
+    /* VMOVDQA64Z128rrk */
   },
   { /* 5269 */
-    312,
-    /* VPMAXUDrm */
+    457,
+    /* VMOVDQA64Z128rrk_alt */
   },
   { /* 5270 */
-    313,
-    /* VPMAXUDrr */
+    546,
+    /* VMOVDQA64Z128rrkz */
   },
   { /* 5271 */
-    306,
-    /* VPMAXUQZrm */
+    458,
+    /* VMOVDQA64Z128rrkz_alt */
   },
   { /* 5272 */
-    589,
-    /* VPMAXUQZrmb */
+    642,
+    /* VMOVDQA64Z256mr */
   },
   { /* 5273 */
-    590,
-    /* VPMAXUQZrmbk */
+    643,
+    /* VMOVDQA64Z256mrk */
   },
   { /* 5274 */
-    591,
-    /* VPMAXUQZrmbkz */
+    644,
+    /* VMOVDQA64Z256rm */
   },
   { /* 5275 */
-    592,
-    /* VPMAXUQZrmk */
+    645,
+    /* VMOVDQA64Z256rmk */
   },
   { /* 5276 */
-    309,
-    /* VPMAXUQZrmkz */
+    646,
+    /* VMOVDQA64Z256rmkz */
   },
   { /* 5277 */
-    310,
-    /* VPMAXUQZrr */
+    647,
+    /* VMOVDQA64Z256rr */
   },
   { /* 5278 */
-    438,
-    /* VPMAXUQZrrk */
+    648,
+    /* VMOVDQA64Z256rr_alt */
   },
   { /* 5279 */
-    311,
-    /* VPMAXUQZrrkz */
+    549,
+    /* VMOVDQA64Z256rrk */
   },
   { /* 5280 */
-    304,
-    /* VPMAXUWYrm */
+    460,
+    /* VMOVDQA64Z256rrk_alt */
   },
   { /* 5281 */
-    305,
-    /* VPMAXUWYrr */
+    550,
+    /* VMOVDQA64Z256rrkz */
   },
   { /* 5282 */
-    312,
-    /* VPMAXUWrm */
+    461,
+    /* VMOVDQA64Z256rrkz_alt */
   },
   { /* 5283 */
-    313,
-    /* VPMAXUWrr */
+    649,
+    /* VMOVDQA64Zmr */
   },
   { /* 5284 */
-    304,
-    /* VPMINSBYrm */
+    650,
+    /* VMOVDQA64Zmrk */
   },
   { /* 5285 */
-    305,
-    /* VPMINSBYrr */
+    477,
+    /* VMOVDQA64Zrm */
   },
   { /* 5286 */
-    312,
-    /* VPMINSBrm */
+    528,
+    /* VMOVDQA64Zrmk */
   },
   { /* 5287 */
-    313,
-    /* VPMINSBrr */
+    529,
+    /* VMOVDQA64Zrmkz */
   },
   { /* 5288 */
-    304,
-    /* VPMINSDYrm */
+    478,
+    /* VMOVDQA64Zrr */
   },
   { /* 5289 */
-    305,
-    /* VPMINSDYrr */
+    651,
+    /* VMOVDQA64Zrr_alt */
   },
   { /* 5290 */
-    306,
-    /* VPMINSDZrm */
+    533,
+    /* VMOVDQA64Zrrk */
   },
   { /* 5291 */
-    585,
-    /* VPMINSDZrmb */
+    463,
+    /* VMOVDQA64Zrrk_alt */
   },
   { /* 5292 */
-    586,
-    /* VPMINSDZrmbk */
+    534,
+    /* VMOVDQA64Zrrkz */
   },
   { /* 5293 */
-    587,
-    /* VPMINSDZrmbkz */
+    464,
+    /* VMOVDQA64Zrrkz_alt */
   },
   { /* 5294 */
-    588,
-    /* VPMINSDZrmk */
+    633,
+    /* VMOVDQAYmr */
   },
   { /* 5295 */
-    316,
-    /* VPMINSDZrmkz */
+    475,
+    /* VMOVDQAYrm */
   },
   { /* 5296 */
-    310,
-    /* VPMINSDZrr */
+    476,
+    /* VMOVDQAYrr */
   },
   { /* 5297 */
-    439,
-    /* VPMINSDZrrk */
+    634,
+    /* VMOVDQAYrr_REV */
   },
   { /* 5298 */
-    317,
-    /* VPMINSDZrrkz */
+    246,
+    /* VMOVDQAmr */
   },
   { /* 5299 */
-    312,
-    /* VPMINSDrm */
+    44,
+    /* VMOVDQArm */
   },
   { /* 5300 */
-    313,
-    /* VPMINSDrr */
+    45,
+    /* VMOVDQArr */
   },
   { /* 5301 */
-    306,
-    /* VPMINSQZrm */
+    247,
+    /* VMOVDQArr_REV */
   },
   { /* 5302 */
-    589,
-    /* VPMINSQZrmb */
+    635,
+    /* VMOVDQU16Z128mr */
   },
   { /* 5303 */
-    590,
-    /* VPMINSQZrmbk */
+    661,
+    /* VMOVDQU16Z128mrk */
   },
   { /* 5304 */
-    591,
-    /* VPMINSQZrmbkz */
+    637,
+    /* VMOVDQU16Z128rm */
   },
   { /* 5305 */
-    592,
-    /* VPMINSQZrmk */
+    662,
+    /* VMOVDQU16Z128rmk */
   },
   { /* 5306 */
-    309,
-    /* VPMINSQZrmkz */
+    663,
+    /* VMOVDQU16Z128rmkz */
   },
   { /* 5307 */
-    310,
-    /* VPMINSQZrr */
+    640,
+    /* VMOVDQU16Z128rr */
   },
   { /* 5308 */
-    438,
-    /* VPMINSQZrrk */
+    641,
+    /* VMOVDQU16Z128rr_alt */
   },
   { /* 5309 */
-    311,
-    /* VPMINSQZrrkz */
+    664,
+    /* VMOVDQU16Z128rrk */
   },
   { /* 5310 */
-    304,
-    /* VPMINSWYrm */
+    665,
+    /* VMOVDQU16Z128rrk_alt */
   },
   { /* 5311 */
-    305,
-    /* VPMINSWYrr */
+    666,
+    /* VMOVDQU16Z128rrkz */
   },
   { /* 5312 */
-    312,
-    /* VPMINSWrm */
+    667,
+    /* VMOVDQU16Z128rrkz_alt */
   },
   { /* 5313 */
-    313,
-    /* VPMINSWrr */
+    642,
+    /* VMOVDQU16Z256mr */
   },
   { /* 5314 */
-    304,
-    /* VPMINUBYrm */
+    668,
+    /* VMOVDQU16Z256mrk */
   },
   { /* 5315 */
-    305,
-    /* VPMINUBYrr */
+    644,
+    /* VMOVDQU16Z256rm */
   },
   { /* 5316 */
-    312,
-    /* VPMINUBrm */
+    669,
+    /* VMOVDQU16Z256rmk */
   },
   { /* 5317 */
-    313,
-    /* VPMINUBrr */
+    670,
+    /* VMOVDQU16Z256rmkz */
   },
   { /* 5318 */
-    304,
-    /* VPMINUDYrm */
+    647,
+    /* VMOVDQU16Z256rr */
   },
   { /* 5319 */
-    305,
-    /* VPMINUDYrr */
+    648,
+    /* VMOVDQU16Z256rr_alt */
   },
   { /* 5320 */
-    306,
-    /* VPMINUDZrm */
+    671,
+    /* VMOVDQU16Z256rrk */
   },
   { /* 5321 */
-    585,
-    /* VPMINUDZrmb */
+    672,
+    /* VMOVDQU16Z256rrk_alt */
   },
   { /* 5322 */
-    586,
-    /* VPMINUDZrmbk */
+    673,
+    /* VMOVDQU16Z256rrkz */
   },
   { /* 5323 */
-    587,
-    /* VPMINUDZrmbkz */
+    674,
+    /* VMOVDQU16Z256rrkz_alt */
   },
   { /* 5324 */
-    588,
-    /* VPMINUDZrmk */
+    649,
+    /* VMOVDQU16Zmr */
   },
   { /* 5325 */
-    316,
-    /* VPMINUDZrmkz */
+    675,
+    /* VMOVDQU16Zmrk */
   },
   { /* 5326 */
-    310,
-    /* VPMINUDZrr */
+    477,
+    /* VMOVDQU16Zrm */
   },
   { /* 5327 */
-    439,
-    /* VPMINUDZrrk */
+    676,
+    /* VMOVDQU16Zrmk */
   },
   { /* 5328 */
-    317,
-    /* VPMINUDZrrkz */
+    677,
+    /* VMOVDQU16Zrmkz */
   },
   { /* 5329 */
-    312,
-    /* VPMINUDrm */
+    478,
+    /* VMOVDQU16Zrr */
   },
   { /* 5330 */
-    313,
-    /* VPMINUDrr */
+    651,
+    /* VMOVDQU16Zrr_alt */
   },
   { /* 5331 */
-    306,
-    /* VPMINUQZrm */
+    678,
+    /* VMOVDQU16Zrrk */
   },
   { /* 5332 */
-    589,
-    /* VPMINUQZrmb */
+    679,
+    /* VMOVDQU16Zrrk_alt */
   },
   { /* 5333 */
-    590,
-    /* VPMINUQZrmbk */
+    680,
+    /* VMOVDQU16Zrrkz */
   },
   { /* 5334 */
-    591,
-    /* VPMINUQZrmbkz */
+    681,
+    /* VMOVDQU16Zrrkz_alt */
   },
   { /* 5335 */
-    592,
-    /* VPMINUQZrmk */
+    635,
+    /* VMOVDQU32Z128mr */
   },
   { /* 5336 */
-    309,
-    /* VPMINUQZrmkz */
+    652,
+    /* VMOVDQU32Z128mrk */
   },
   { /* 5337 */
-    310,
-    /* VPMINUQZrr */
+    637,
+    /* VMOVDQU32Z128rm */
   },
   { /* 5338 */
-    438,
-    /* VPMINUQZrrk */
+    653,
+    /* VMOVDQU32Z128rmk */
   },
   { /* 5339 */
-    311,
-    /* VPMINUQZrrkz */
-  },
+    654,
+    /* VMOVDQU32Z128rmkz */
+  },
   { /* 5340 */
-    304,
-    /* VPMINUWYrm */
+    640,
+    /* VMOVDQU32Z128rr */
   },
   { /* 5341 */
-    305,
-    /* VPMINUWYrr */
+    641,
+    /* VMOVDQU32Z128rr_alt */
   },
   { /* 5342 */
-    312,
-    /* VPMINUWrm */
+    555,
+    /* VMOVDQU32Z128rrk */
   },
   { /* 5343 */
-    313,
-    /* VPMINUWrr */
+    466,
+    /* VMOVDQU32Z128rrk_alt */
   },
   { /* 5344 */
-    684,
-    /* VPMOVDBmr */
+    556,
+    /* VMOVDQU32Z128rrkz */
   },
   { /* 5345 */
-    685,
-    /* VPMOVDBmrk */
+    467,
+    /* VMOVDQU32Z128rrkz_alt */
   },
   { /* 5346 */
-    686,
-    /* VPMOVDBrr */
+    642,
+    /* VMOVDQU32Z256mr */
   },
   { /* 5347 */
-    687,
-    /* VPMOVDBrrk */
+    655,
+    /* VMOVDQU32Z256mrk */
   },
   { /* 5348 */
-    687,
-    /* VPMOVDBrrkz */
+    644,
+    /* VMOVDQU32Z256rm */
   },
   { /* 5349 */
-    688,
-    /* VPMOVDWmr */
+    656,
+    /* VMOVDQU32Z256rmk */
   },
   { /* 5350 */
-    689,
-    /* VPMOVDWmrk */
+    657,
+    /* VMOVDQU32Z256rmkz */
   },
   { /* 5351 */
-    690,
-    /* VPMOVDWrr */
+    647,
+    /* VMOVDQU32Z256rr */
   },
   { /* 5352 */
-    691,
-    /* VPMOVDWrrk */
+    648,
+    /* VMOVDQU32Z256rr_alt */
   },
   { /* 5353 */
-    691,
-    /* VPMOVDWrrkz */
+    559,
+    /* VMOVDQU32Z256rrk */
   },
   { /* 5354 */
-    559,
-    /* VPMOVMSKBYrr */
+    469,
+    /* VMOVDQU32Z256rrk_alt */
   },
   { /* 5355 */
-    110,
-    /* VPMOVMSKBrr */
+    560,
+    /* VMOVDQU32Z256rrkz */
   },
   { /* 5356 */
-    692,
-    /* VPMOVQBmr */
+    470,
+    /* VMOVDQU32Z256rrkz_alt */
   },
   { /* 5357 */
-    693,
-    /* VPMOVQBmrk */
+    649,
+    /* VMOVDQU32Zmr */
   },
   { /* 5358 */
-    694,
-    /* VPMOVQBrr */
+    658,
+    /* VMOVDQU32Zmrk */
   },
   { /* 5359 */
-    695,
-    /* VPMOVQBrrk */
+    477,
+    /* VMOVDQU32Zrm */
   },
   { /* 5360 */
-    695,
-    /* VPMOVQBrrkz */
+    537,
+    /* VMOVDQU32Zrmk */
   },
   { /* 5361 */
-    688,
-    /* VPMOVQDmr */
+    538,
+    /* VMOVDQU32Zrmkz */
   },
   { /* 5362 */
-    696,
-    /* VPMOVQDmrk */
+    478,
+    /* VMOVDQU32Zrr */
   },
   { /* 5363 */
-    690,
-    /* VPMOVQDrr */
+    651,
+    /* VMOVDQU32Zrr_alt */
   },
   { /* 5364 */
-    697,
-    /* VPMOVQDrrk */
+    541,
+    /* VMOVDQU32Zrrk */
   },
   { /* 5365 */
-    697,
-    /* VPMOVQDrrkz */
+    472,
+    /* VMOVDQU32Zrrk_alt */
   },
   { /* 5366 */
-    684,
-    /* VPMOVQWmr */
+    542,
+    /* VMOVDQU32Zrrkz */
   },
   { /* 5367 */
-    698,
-    /* VPMOVQWmrk */
+    473,
+    /* VMOVDQU32Zrrkz_alt */
   },
   { /* 5368 */
-    686,
-    /* VPMOVQWrr */
+    635,
+    /* VMOVDQU64Z128mr */
   },
   { /* 5369 */
-    699,
-    /* VPMOVQWrrk */
+    636,
+    /* VMOVDQU64Z128mrk */
   },
   { /* 5370 */
-    699,
-    /* VPMOVQWrrkz */
+    637,
+    /* VMOVDQU64Z128rm */
   },
   { /* 5371 */
-    684,
-    /* VPMOVSDBmr */
+    638,
+    /* VMOVDQU64Z128rmk */
   },
   { /* 5372 */
-    685,
-    /* VPMOVSDBmrk */
+    639,
+    /* VMOVDQU64Z128rmkz */
   },
   { /* 5373 */
-    686,
-    /* VPMOVSDBrr */
+    640,
+    /* VMOVDQU64Z128rr */
   },
   { /* 5374 */
-    687,
-    /* VPMOVSDBrrk */
+    641,
+    /* VMOVDQU64Z128rr_alt */
   },
   { /* 5375 */
-    687,
-    /* VPMOVSDBrrkz */
+    545,
+    /* VMOVDQU64Z128rrk */
   },
   { /* 5376 */
-    688,
-    /* VPMOVSDWmr */
+    457,
+    /* VMOVDQU64Z128rrk_alt */
   },
   { /* 5377 */
-    689,
-    /* VPMOVSDWmrk */
+    546,
+    /* VMOVDQU64Z128rrkz */
   },
   { /* 5378 */
-    690,
-    /* VPMOVSDWrr */
+    458,
+    /* VMOVDQU64Z128rrkz_alt */
   },
   { /* 5379 */
-    691,
-    /* VPMOVSDWrrk */
+    642,
+    /* VMOVDQU64Z256mr */
   },
   { /* 5380 */
-    691,
-    /* VPMOVSDWrrkz */
+    643,
+    /* VMOVDQU64Z256mrk */
   },
   { /* 5381 */
-    692,
-    /* VPMOVSQBmr */
+    644,
+    /* VMOVDQU64Z256rm */
   },
   { /* 5382 */
-    693,
-    /* VPMOVSQBmrk */
+    645,
+    /* VMOVDQU64Z256rmk */
   },
   { /* 5383 */
-    694,
-    /* VPMOVSQBrr */
+    646,
+    /* VMOVDQU64Z256rmkz */
   },
   { /* 5384 */
-    695,
-    /* VPMOVSQBrrk */
+    647,
+    /* VMOVDQU64Z256rr */
   },
   { /* 5385 */
-    695,
-    /* VPMOVSQBrrkz */
+    648,
+    /* VMOVDQU64Z256rr_alt */
   },
   { /* 5386 */
-    688,
-    /* VPMOVSQDmr */
+    549,
+    /* VMOVDQU64Z256rrk */
   },
   { /* 5387 */
-    696,
-    /* VPMOVSQDmrk */
+    460,
+    /* VMOVDQU64Z256rrk_alt */
   },
   { /* 5388 */
-    690,
-    /* VPMOVSQDrr */
+    550,
+    /* VMOVDQU64Z256rrkz */
   },
   { /* 5389 */
-    697,
-    /* VPMOVSQDrrk */
+    461,
+    /* VMOVDQU64Z256rrkz_alt */
   },
   { /* 5390 */
-    697,
-    /* VPMOVSQDrrkz */
+    649,
+    /* VMOVDQU64Zmr */
   },
   { /* 5391 */
-    684,
-    /* VPMOVSQWmr */
+    650,
+    /* VMOVDQU64Zmrk */
   },
   { /* 5392 */
-    698,
-    /* VPMOVSQWmrk */
+    477,
+    /* VMOVDQU64Zrm */
   },
   { /* 5393 */
-    686,
-    /* VPMOVSQWrr */
+    528,
+    /* VMOVDQU64Zrmk */
   },
   { /* 5394 */
-    699,
-    /* VPMOVSQWrrk */
+    529,
+    /* VMOVDQU64Zrmkz */
   },
   { /* 5395 */
-    699,
-    /* VPMOVSQWrrkz */
+    478,
+    /* VMOVDQU64Zrr */
   },
   { /* 5396 */
-    599,
-    /* VPMOVSXBDYrm */
+    651,
+    /* VMOVDQU64Zrr_alt */
   },
   { /* 5397 */
-    346,
-    /* VPMOVSXBDYrr */
+    533,
+    /* VMOVDQU64Zrrk */
   },
   { /* 5398 */
-    342,
-    /* VPMOVSXBDZrm */
+    463,
+    /* VMOVDQU64Zrrk_alt */
   },
   { /* 5399 */
-    341,
-    /* VPMOVSXBDZrmk */
+    534,
+    /* VMOVDQU64Zrrkz */
   },
   { /* 5400 */
-    341,
-    /* VPMOVSXBDZrmkz */
+    464,
+    /* VMOVDQU64Zrrkz_alt */
   },
   { /* 5401 */
-    700,
-    /* VPMOVSXBDZrr */
+    635,
+    /* VMOVDQU8Z128mr */
   },
   { /* 5402 */
-    701,
-    /* VPMOVSXBDZrrk */
+    682,
+    /* VMOVDQU8Z128mrk */
   },
   { /* 5403 */
-    701,
-    /* VPMOVSXBDZrrkz */
+    637,
+    /* VMOVDQU8Z128rm */
   },
   { /* 5404 */
-    105,
-    /* VPMOVSXBDrm */
+    683,
+    /* VMOVDQU8Z128rmk */
   },
   { /* 5405 */
-    45,
-    /* VPMOVSXBDrr */
+    684,
+    /* VMOVDQU8Z128rmkz */
   },
   { /* 5406 */
-    599,
-    /* VPMOVSXBQYrm */
+    640,
+    /* VMOVDQU8Z128rr */
   },
   { /* 5407 */
-    346,
-    /* VPMOVSXBQYrr */
+    641,
+    /* VMOVDQU8Z128rr_alt */
   },
   { /* 5408 */
-    702,
-    /* VPMOVSXBQZrm */
+    685,
+    /* VMOVDQU8Z128rrk */
   },
   { /* 5409 */
-    703,
-    /* VPMOVSXBQZrmk */
+    686,
+    /* VMOVDQU8Z128rrk_alt */
   },
   { /* 5410 */
-    703,
-    /* VPMOVSXBQZrmkz */
+    687,
+    /* VMOVDQU8Z128rrkz */
   },
   { /* 5411 */
-    348,
-    /* VPMOVSXBQZrr */
+    688,
+    /* VMOVDQU8Z128rrkz_alt */
   },
   { /* 5412 */
-    605,
-    /* VPMOVSXBQZrrk */
+    642,
+    /* VMOVDQU8Z256mr */
   },
   { /* 5413 */
-    605,
-    /* VPMOVSXBQZrrkz */
+    689,
+    /* VMOVDQU8Z256mrk */
   },
   { /* 5414 */
-    105,
-    /* VPMOVSXBQrm */
+    644,
+    /* VMOVDQU8Z256rm */
   },
   { /* 5415 */
-    45,
-    /* VPMOVSXBQrr */
+    690,
+    /* VMOVDQU8Z256rmk */
   },
   { /* 5416 */
-    340,
-    /* VPMOVSXBWYrm */
+    691,
+    /* VMOVDQU8Z256rmkz */
   },
   { /* 5417 */
-    346,
-    /* VPMOVSXBWYrr */
+    647,
+    /* VMOVDQU8Z256rr */
   },
   { /* 5418 */
-    105,
-    /* VPMOVSXBWrm */
+    648,
+    /* VMOVDQU8Z256rr_alt */
   },
   { /* 5419 */
-    45,
-    /* VPMOVSXBWrr */
+    692,
+    /* VMOVDQU8Z256rrk */
   },
   { /* 5420 */
-    340,
-    /* VPMOVSXDQYrm */
+    693,
+    /* VMOVDQU8Z256rrk_alt */
   },
   { /* 5421 */
-    346,
-    /* VPMOVSXDQYrr */
+    694,
+    /* VMOVDQU8Z256rrkz */
   },
   { /* 5422 */
-    344,
-    /* VPMOVSXDQZrm */
+    695,
+    /* VMOVDQU8Z256rrkz_alt */
   },
   { /* 5423 */
-    704,
-    /* VPMOVSXDQZrmk */
+    649,
+    /* VMOVDQU8Zmr */
   },
   { /* 5424 */
-    704,
-    /* VPMOVSXDQZrmkz */
+    696,
+    /* VMOVDQU8Zmrk */
   },
   { /* 5425 */
-    375,
-    /* VPMOVSXDQZrr */
+    477,
+    /* VMOVDQU8Zrm */
   },
   { /* 5426 */
-    705,
-    /* VPMOVSXDQZrrk */
+    697,
+    /* VMOVDQU8Zrmk */
   },
   { /* 5427 */
-    705,
-    /* VPMOVSXDQZrrkz */
+    698,
+    /* VMOVDQU8Zrmkz */
   },
   { /* 5428 */
-    105,
-    /* VPMOVSXDQrm */
+    478,
+    /* VMOVDQU8Zrr */
   },
   { /* 5429 */
-    45,
-    /* VPMOVSXDQrr */
+    651,
+    /* VMOVDQU8Zrr_alt */
   },
   { /* 5430 */
-    340,
-    /* VPMOVSXWDYrm */
+    699,
+    /* VMOVDQU8Zrrk */
   },
   { /* 5431 */
-    346,
-    /* VPMOVSXWDYrr */
+    700,
+    /* VMOVDQU8Zrrk_alt */
   },
   { /* 5432 */
-    344,
-    /* VPMOVSXWDZrm */
+    701,
+    /* VMOVDQU8Zrrkz */
   },
   { /* 5433 */
-    343,
-    /* VPMOVSXWDZrmk */
+    702,
+    /* VMOVDQU8Zrrkz_alt */
   },
   { /* 5434 */
-    343,
-    /* VPMOVSXWDZrmkz */
+    633,
+    /* VMOVDQUYmr */
   },
   { /* 5435 */
-    375,
-    /* VPMOVSXWDZrr */
+    475,
+    /* VMOVDQUYrm */
   },
   { /* 5436 */
-    706,
-    /* VPMOVSXWDZrrk */
+    476,
+    /* VMOVDQUYrr */
   },
   { /* 5437 */
-    706,
-    /* VPMOVSXWDZrrkz */
+    634,
+    /* VMOVDQUYrr_REV */
   },
   { /* 5438 */
-    105,
-    /* VPMOVSXWDrm */
+    246,
+    /* VMOVDQUmr */
   },
   { /* 5439 */
-    45,
-    /* VPMOVSXWDrr */
+    44,
+    /* VMOVDQUrm */
   },
   { /* 5440 */
-    599,
-    /* VPMOVSXWQYrm */
+    45,
+    /* VMOVDQUrr */
   },
   { /* 5441 */
-    346,
-    /* VPMOVSXWQYrr */
+    247,
+    /* VMOVDQUrr_REV */
   },
   { /* 5442 */
-    342,
-    /* VPMOVSXWQZrm */
+    310,
+    /* VMOVHLPSZrr */
   },
   { /* 5443 */
-    707,
-    /* VPMOVSXWQZrmk */
+    335,
+    /* VMOVHLPSrr */
   },
   { /* 5444 */
-    707,
-    /* VPMOVSXWQZrmkz */
+    249,
+    /* VMOVHPDmr */
   },
   { /* 5445 */
-    700,
-    /* VPMOVSXWQZrr */
+    703,
+    /* VMOVHPDrm */
   },
   { /* 5446 */
-    708,
-    /* VPMOVSXWQZrrk */
+    249,
+    /* VMOVHPSmr */
   },
   { /* 5447 */
-    708,
-    /* VPMOVSXWQZrrkz */
+    703,
+    /* VMOVHPSrm */
   },
   { /* 5448 */
-    105,
-    /* VPMOVSXWQrm */
+    310,
+    /* VMOVLHPSZrr */
   },
   { /* 5449 */
-    45,
-    /* VPMOVSXWQrr */
+    335,
+    /* VMOVLHPSrr */
   },
   { /* 5450 */
-    684,
-    /* VPMOVUSDBmr */
+    249,
+    /* VMOVLPDmr */
   },
   { /* 5451 */
-    685,
-    /* VPMOVUSDBmrk */
+    703,
+    /* VMOVLPDrm */
   },
   { /* 5452 */
-    686,
-    /* VPMOVUSDBrr */
+    249,
+    /* VMOVLPSmr */
   },
   { /* 5453 */
-    687,
-    /* VPMOVUSDBrrk */
+    703,
+    /* VMOVLPSrm */
   },
   { /* 5454 */
-    687,
-    /* VPMOVUSDBrrkz */
+    704,
+    /* VMOVMSKPDYrr */
   },
   { /* 5455 */
-    688,
-    /* VPMOVUSDWmr */
+    110,
+    /* VMOVMSKPDrr */
   },
   { /* 5456 */
-    689,
-    /* VPMOVUSDWmrk */
+    704,
+    /* VMOVMSKPSYrr */
   },
   { /* 5457 */
-    690,
-    /* VPMOVUSDWrr */
+    110,
+    /* VMOVMSKPSrr */
   },
   { /* 5458 */
-    691,
-    /* VPMOVUSDWrrk */
+    475,
+    /* VMOVNTDQAYrm */
   },
   { /* 5459 */
-    691,
-    /* VPMOVUSDWrrkz */
+    637,
+    /* VMOVNTDQAZ128rm */
   },
   { /* 5460 */
-    692,
-    /* VPMOVUSQBmr */
+    644,
+    /* VMOVNTDQAZ256rm */
   },
   { /* 5461 */
-    693,
-    /* VPMOVUSQBmrk */
+    477,
+    /* VMOVNTDQAZrm */
   },
   { /* 5462 */
-    694,
-    /* VPMOVUSQBrr */
+    44,
+    /* VMOVNTDQArm */
   },
   { /* 5463 */
-    695,
-    /* VPMOVUSQBrrk */
+    633,
+    /* VMOVNTDQYmr */
   },
   { /* 5464 */
-    695,
-    /* VPMOVUSQBrrkz */
+    635,
+    /* VMOVNTDQZ128mr */
   },
   { /* 5465 */
-    688,
-    /* VPMOVUSQDmr */
+    642,
+    /* VMOVNTDQZ256mr */
   },
   { /* 5466 */
-    696,
-    /* VPMOVUSQDmrk */
+    649,
+    /* VMOVNTDQZmr */
   },
   { /* 5467 */
-    690,
-    /* VPMOVUSQDrr */
+    246,
+    /* VMOVNTDQmr */
   },
   { /* 5468 */
-    697,
-    /* VPMOVUSQDrrk */
+    633,
+    /* VMOVNTPDYmr */
   },
   { /* 5469 */
-    697,
-    /* VPMOVUSQDrrkz */
+    635,
+    /* VMOVNTPDZ128mr */
   },
   { /* 5470 */
-    684,
-    /* VPMOVUSQWmr */
+    642,
+    /* VMOVNTPDZ256mr */
   },
   { /* 5471 */
-    698,
-    /* VPMOVUSQWmrk */
+    649,
+    /* VMOVNTPDZmr */
   },
   { /* 5472 */
-    686,
-    /* VPMOVUSQWrr */
+    246,
+    /* VMOVNTPDmr */
   },
   { /* 5473 */
-    699,
-    /* VPMOVUSQWrrk */
+    633,
+    /* VMOVNTPSYmr */
   },
   { /* 5474 */
-    699,
-    /* VPMOVUSQWrrkz */
+    635,
+    /* VMOVNTPSZ128mr */
   },
   { /* 5475 */
-    599,
-    /* VPMOVZXBDYrm */
+    642,
+    /* VMOVNTPSZ256mr */
   },
   { /* 5476 */
-    346,
-    /* VPMOVZXBDYrr */
+    649,
+    /* VMOVNTPSZmr */
   },
   { /* 5477 */
-    342,
-    /* VPMOVZXBDZrm */
+    246,
+    /* VMOVNTPSmr */
   },
   { /* 5478 */
-    341,
-    /* VPMOVZXBDZrmk */
+    705,
+    /* VMOVPDI2DIZmr */
   },
   { /* 5479 */
-    341,
-    /* VPMOVZXBDZrmkz */
+    706,
+    /* VMOVPDI2DIZrr */
   },
   { /* 5480 */
-    700,
-    /* VPMOVZXBDZrr */
+    253,
+    /* VMOVPDI2DImr */
   },
   { /* 5481 */
-    701,
-    /* VPMOVZXBDZrrk */
+    254,
+    /* VMOVPDI2DIrr */
   },
   { /* 5482 */
-    701,
-    /* VPMOVZXBDZrrkz */
+    253,
+    /* VMOVPQI2QImr */
   },
   { /* 5483 */
-    105,
-    /* VPMOVZXBDrm */
+    247,
+    /* VMOVPQI2QIrr */
   },
   { /* 5484 */
-    45,
-    /* VPMOVZXBDrr */
+    707,
+    /* VMOVPQIto64Zmr */
   },
   { /* 5485 */
-    599,
-    /* VPMOVZXBQYrm */
+    708,
+    /* VMOVPQIto64Zrr */
   },
   { /* 5486 */
-    346,
-    /* VPMOVZXBQYrr */
+    253,
+    /* VMOVPQIto64rm */
   },
   { /* 5487 */
-    702,
-    /* VPMOVZXBQZrm */
+    255,
+    /* VMOVPQIto64rr */
   },
   { /* 5488 */
-    703,
-    /* VPMOVZXBQZrmk */
+    709,
+    /* VMOVQI2PQIZrm */
   },
   { /* 5489 */
-    703,
-    /* VPMOVZXBQZrmkz */
+    105,
+    /* VMOVQI2PQIrm */
   },
   { /* 5490 */
-    348,
-    /* VPMOVZXBQZrr */
+    710,
+    /* VMOVSDZmr */
   },
   { /* 5491 */
-    605,
-    /* VPMOVZXBQZrrk */
+    711,
+    /* VMOVSDZmrk */
   },
   { /* 5492 */
-    605,
-    /* VPMOVZXBQZrrkz */
+    712,
+    /* VMOVSDZrm */
   },
   { /* 5493 */
-    105,
-    /* VPMOVZXBQrm */
+    713,
+    /* VMOVSDZrr */
   },
   { /* 5494 */
-    45,
-    /* VPMOVZXBQrr */
+    714,
+    /* VMOVSDZrr_REV */
   },
   { /* 5495 */
-    340,
-    /* VPMOVZXBWYrm */
+    715,
+    /* VMOVSDZrrk */
   },
   { /* 5496 */
-    346,
-    /* VPMOVZXBWYrr */
+    256,
+    /* VMOVSDmr */
   },
   { /* 5497 */
-    105,
-    /* VPMOVZXBWrm */
+    257,
+    /* VMOVSDrm */
   },
   { /* 5498 */
-    45,
-    /* VPMOVZXBWrr */
+    716,
+    /* VMOVSDrr */
   },
   { /* 5499 */
-    340,
-    /* VPMOVZXDQYrm */
+    717,
+    /* VMOVSDrr_REV */
   },
   { /* 5500 */
-    346,
-    /* VPMOVZXDQYrr */
+    718,
+    /* VMOVSDto64Zmr */
   },
   { /* 5501 */
-    344,
-    /* VPMOVZXDQZrm */
+    0,
+    /*  */
   },
   { /* 5502 */
-    704,
-    /* VPMOVZXDQZrmk */
+    0,
+    /*  */
   },
   { /* 5503 */
-    704,
-    /* VPMOVZXDQZrmkz */
+    0,
+    /*  */
   },
   { /* 5504 */
-    375,
-    /* VPMOVZXDQZrr */
+    475,
+    /* VMOVSHDUPYrm */
   },
   { /* 5505 */
-    705,
-    /* VPMOVZXDQZrrk */
+    476,
+    /* VMOVSHDUPYrr */
   },
   { /* 5506 */
-    705,
-    /* VPMOVZXDQZrrkz */
+    477,
+    /* VMOVSHDUPZrm */
   },
   { /* 5507 */
-    105,
-    /* VPMOVZXDQrm */
+    478,
+    /* VMOVSHDUPZrr */
   },
   { /* 5508 */
-    45,
-    /* VPMOVZXDQrr */
+    44,
+    /* VMOVSHDUPrm */
   },
   { /* 5509 */
-    340,
-    /* VPMOVZXWDYrm */
+    45,
+    /* VMOVSHDUPrr */
   },
   { /* 5510 */
-    346,
-    /* VPMOVZXWDYrr */
+    475,
+    /* VMOVSLDUPYrm */
   },
   { /* 5511 */
-    344,
-    /* VPMOVZXWDZrm */
+    476,
+    /* VMOVSLDUPYrr */
   },
   { /* 5512 */
-    343,
-    /* VPMOVZXWDZrmk */
+    477,
+    /* VMOVSLDUPZrm */
   },
   { /* 5513 */
-    343,
-    /* VPMOVZXWDZrmkz */
+    478,
+    /* VMOVSLDUPZrr */
   },
   { /* 5514 */
-    375,
-    /* VPMOVZXWDZrr */
+    44,
+    /* VMOVSLDUPrm */
   },
   { /* 5515 */
-    706,
-    /* VPMOVZXWDZrrk */
+    45,
+    /* VMOVSLDUPrr */
   },
   { /* 5516 */
-    706,
-    /* VPMOVZXWDZrrkz */
+    0,
+    /*  */
   },
   { /* 5517 */
-    105,
-    /* VPMOVZXWDrm */
+    0,
+    /*  */
   },
   { /* 5518 */
-    45,
-    /* VPMOVZXWDrr */
+    0,
+    /*  */
   },
   { /* 5519 */
-    599,
-    /* VPMOVZXWQYrm */
+    0,
+    /*  */
   },
   { /* 5520 */
-    346,
-    /* VPMOVZXWQYrr */
+    719,
+    /* VMOVSSZmr */
   },
   { /* 5521 */
-    342,
-    /* VPMOVZXWQZrm */
+    720,
+    /* VMOVSSZmrk */
   },
   { /* 5522 */
-    707,
-    /* VPMOVZXWQZrmk */
+    721,
+    /* VMOVSSZrm */
   },
   { /* 5523 */
-    707,
-    /* VPMOVZXWQZrmkz */
+    722,
+    /* VMOVSSZrr */
   },
   { /* 5524 */
-    700,
-    /* VPMOVZXWQZrr */
+    723,
+    /* VMOVSSZrr_REV */
   },
   { /* 5525 */
-    708,
-    /* VPMOVZXWQZrrk */
+    724,
+    /* VMOVSSZrrk */
   },
   { /* 5526 */
-    708,
-    /* VPMOVZXWQZrrkz */
+    260,
+    /* VMOVSSmr */
   },
   { /* 5527 */
-    105,
-    /* VPMOVZXWQrm */
+    261,
+    /* VMOVSSrm */
   },
   { /* 5528 */
-    45,
-    /* VPMOVZXWQrr */
+    725,
+    /* VMOVSSrr */
   },
   { /* 5529 */
-    304,
-    /* VPMULDQYrm */
+    726,
+    /* VMOVSSrr_REV */
   },
   { /* 5530 */
-    305,
-    /* VPMULDQYrr */
+    633,
+    /* VMOVUPDYmr */
   },
   { /* 5531 */
-    306,
-    /* VPMULDQZrm */
+    475,
+    /* VMOVUPDYrm */
   },
   { /* 5532 */
-    589,
-    /* VPMULDQZrmb */
+    476,
+    /* VMOVUPDYrr */
   },
   { /* 5533 */
-    591,
-    /* VPMULDQZrmbk */
+    634,
+    /* VMOVUPDYrr_REV */
   },
   { /* 5534 */
-    591,
-    /* VPMULDQZrmbkz */
+    635,
+    /* VMOVUPDZ128mr */
   },
   { /* 5535 */
-    309,
-    /* VPMULDQZrmk */
+    636,
+    /* VMOVUPDZ128mrk */
   },
   { /* 5536 */
-    309,
-    /* VPMULDQZrmkz */
+    637,
+    /* VMOVUPDZ128rm */
   },
   { /* 5537 */
-    310,
-    /* VPMULDQZrr */
+    638,
+    /* VMOVUPDZ128rmk */
   },
   { /* 5538 */
-    311,
-    /* VPMULDQZrrk */
+    639,
+    /* VMOVUPDZ128rmkz */
   },
   { /* 5539 */
-    311,
-    /* VPMULDQZrrkz */
+    640,
+    /* VMOVUPDZ128rr */
   },
   { /* 5540 */
-    312,
-    /* VPMULDQrm */
+    641,
+    /* VMOVUPDZ128rr_alt */
   },
   { /* 5541 */
-    313,
-    /* VPMULDQrr */
+    545,
+    /* VMOVUPDZ128rrk */
   },
   { /* 5542 */
-    312,
-    /* VPMULHRSWrm128 */
+    457,
+    /* VMOVUPDZ128rrk_alt */
   },
   { /* 5543 */
-    304,
-    /* VPMULHRSWrm256 */
+    546,
+    /* VMOVUPDZ128rrkz */
   },
   { /* 5544 */
-    313,
-    /* VPMULHRSWrr128 */
+    458,
+    /* VMOVUPDZ128rrkz_alt */
   },
   { /* 5545 */
-    305,
-    /* VPMULHRSWrr256 */
+    642,
+    /* VMOVUPDZ256mr */
   },
   { /* 5546 */
-    304,
-    /* VPMULHUWYrm */
+    643,
+    /* VMOVUPDZ256mrk */
   },
   { /* 5547 */
-    305,
-    /* VPMULHUWYrr */
+    644,
+    /* VMOVUPDZ256rm */
   },
   { /* 5548 */
-    312,
-    /* VPMULHUWrm */
+    645,
+    /* VMOVUPDZ256rmk */
   },
   { /* 5549 */
-    313,
-    /* VPMULHUWrr */
+    646,
+    /* VMOVUPDZ256rmkz */
   },
   { /* 5550 */
-    304,
-    /* VPMULHWYrm */
+    647,
+    /* VMOVUPDZ256rr */
   },
   { /* 5551 */
-    305,
-    /* VPMULHWYrr */
+    648,
+    /* VMOVUPDZ256rr_alt */
   },
   { /* 5552 */
-    312,
-    /* VPMULHWrm */
+    549,
+    /* VMOVUPDZ256rrk */
   },
   { /* 5553 */
-    313,
-    /* VPMULHWrr */
+    460,
+    /* VMOVUPDZ256rrk_alt */
   },
   { /* 5554 */
-    304,
-    /* VPMULLDYrm */
+    550,
+    /* VMOVUPDZ256rrkz */
   },
   { /* 5555 */
-    305,
-    /* VPMULLDYrr */
+    461,
+    /* VMOVUPDZ256rrkz_alt */
   },
   { /* 5556 */
-    306,
-    /* VPMULLDZrm */
+    649,
+    /* VMOVUPDZmr */
   },
   { /* 5557 */
-    585,
-    /* VPMULLDZrmb */
+    650,
+    /* VMOVUPDZmrk */
   },
   { /* 5558 */
-    586,
-    /* VPMULLDZrmbk */
+    477,
+    /* VMOVUPDZrm */
   },
   { /* 5559 */
-    587,
-    /* VPMULLDZrmbkz */
+    528,
+    /* VMOVUPDZrmk */
   },
   { /* 5560 */
-    588,
-    /* VPMULLDZrmk */
+    529,
+    /* VMOVUPDZrmkz */
   },
   { /* 5561 */
-    316,
-    /* VPMULLDZrmkz */
+    478,
+    /* VMOVUPDZrr */
   },
   { /* 5562 */
-    310,
-    /* VPMULLDZrr */
+    651,
+    /* VMOVUPDZrr_alt */
   },
   { /* 5563 */
-    439,
-    /* VPMULLDZrrk */
+    533,
+    /* VMOVUPDZrrk */
   },
   { /* 5564 */
-    317,
-    /* VPMULLDZrrkz */
+    463,
+    /* VMOVUPDZrrk_alt */
   },
   { /* 5565 */
-    312,
-    /* VPMULLDrm */
+    534,
+    /* VMOVUPDZrrkz */
   },
   { /* 5566 */
-    313,
-    /* VPMULLDrr */
+    464,
+    /* VMOVUPDZrrkz_alt */
   },
   { /* 5567 */
-    304,
-    /* VPMULLWYrm */
+    246,
+    /* VMOVUPDmr */
   },
   { /* 5568 */
-    305,
-    /* VPMULLWYrr */
+    44,
+    /* VMOVUPDrm */
   },
   { /* 5569 */
-    312,
-    /* VPMULLWrm */
+    45,
+    /* VMOVUPDrr */
   },
   { /* 5570 */
-    313,
-    /* VPMULLWrr */
+    247,
+    /* VMOVUPDrr_REV */
   },
   { /* 5571 */
-    304,
-    /* VPMULUDQYrm */
+    633,
+    /* VMOVUPSYmr */
   },
   { /* 5572 */
-    305,
-    /* VPMULUDQYrr */
+    475,
+    /* VMOVUPSYrm */
   },
   { /* 5573 */
-    306,
-    /* VPMULUDQZrm */
+    476,
+    /* VMOVUPSYrr */
   },
   { /* 5574 */
-    589,
-    /* VPMULUDQZrmb */
+    634,
+    /* VMOVUPSYrr_REV */
   },
   { /* 5575 */
-    591,
-    /* VPMULUDQZrmbk */
+    635,
+    /* VMOVUPSZ128mr */
   },
   { /* 5576 */
-    591,
-    /* VPMULUDQZrmbkz */
+    652,
+    /* VMOVUPSZ128mrk */
   },
   { /* 5577 */
-    309,
-    /* VPMULUDQZrmk */
+    637,
+    /* VMOVUPSZ128rm */
   },
   { /* 5578 */
-    309,
-    /* VPMULUDQZrmkz */
+    653,
+    /* VMOVUPSZ128rmk */
   },
   { /* 5579 */
-    310,
-    /* VPMULUDQZrr */
+    654,
+    /* VMOVUPSZ128rmkz */
   },
   { /* 5580 */
-    311,
-    /* VPMULUDQZrrk */
+    640,
+    /* VMOVUPSZ128rr */
   },
   { /* 5581 */
-    311,
-    /* VPMULUDQZrrkz */
+    641,
+    /* VMOVUPSZ128rr_alt */
   },
   { /* 5582 */
-    312,
-    /* VPMULUDQrm */
+    555,
+    /* VMOVUPSZ128rrk */
   },
   { /* 5583 */
-    313,
-    /* VPMULUDQrr */
+    466,
+    /* VMOVUPSZ128rrk_alt */
   },
   { /* 5584 */
-    306,
-    /* VPORDZrm */
+    556,
+    /* VMOVUPSZ128rrkz */
   },
   { /* 5585 */
-    585,
-    /* VPORDZrmb */
+    467,
+    /* VMOVUPSZ128rrkz_alt */
   },
   { /* 5586 */
-    586,
-    /* VPORDZrmbk */
+    642,
+    /* VMOVUPSZ256mr */
   },
   { /* 5587 */
-    587,
-    /* VPORDZrmbkz */
+    655,
+    /* VMOVUPSZ256mrk */
   },
   { /* 5588 */
-    588,
-    /* VPORDZrmk */
+    644,
+    /* VMOVUPSZ256rm */
   },
   { /* 5589 */
-    316,
-    /* VPORDZrmkz */
+    656,
+    /* VMOVUPSZ256rmk */
   },
   { /* 5590 */
-    310,
-    /* VPORDZrr */
+    657,
+    /* VMOVUPSZ256rmkz */
   },
   { /* 5591 */
-    439,
-    /* VPORDZrrk */
+    647,
+    /* VMOVUPSZ256rr */
   },
   { /* 5592 */
-    317,
-    /* VPORDZrrkz */
+    648,
+    /* VMOVUPSZ256rr_alt */
   },
   { /* 5593 */
-    306,
-    /* VPORQZrm */
+    559,
+    /* VMOVUPSZ256rrk */
   },
   { /* 5594 */
-    589,
-    /* VPORQZrmb */
+    469,
+    /* VMOVUPSZ256rrk_alt */
   },
   { /* 5595 */
-    590,
-    /* VPORQZrmbk */
+    560,
+    /* VMOVUPSZ256rrkz */
   },
   { /* 5596 */
-    591,
-    /* VPORQZrmbkz */
+    470,
+    /* VMOVUPSZ256rrkz_alt */
   },
   { /* 5597 */
-    592,
-    /* VPORQZrmk */
+    649,
+    /* VMOVUPSZmr */
   },
   { /* 5598 */
-    309,
-    /* VPORQZrmkz */
+    658,
+    /* VMOVUPSZmrk */
   },
   { /* 5599 */
-    310,
-    /* VPORQZrr */
+    477,
+    /* VMOVUPSZrm */
   },
   { /* 5600 */
-    438,
-    /* VPORQZrrk */
+    537,
+    /* VMOVUPSZrmk */
   },
   { /* 5601 */
-    311,
-    /* VPORQZrrkz */
+    538,
+    /* VMOVUPSZrmkz */
   },
   { /* 5602 */
-    304,
-    /* VPORYrm */
+    478,
+    /* VMOVUPSZrr */
   },
   { /* 5603 */
-    305,
-    /* VPORYrr */
+    651,
+    /* VMOVUPSZrr_alt */
   },
   { /* 5604 */
-    312,
-    /* VPORrm */
+    541,
+    /* VMOVUPSZrrk */
   },
   { /* 5605 */
-    313,
-    /* VPORrr */
+    472,
+    /* VMOVUPSZrrk_alt */
   },
   { /* 5606 */
-    338,
-    /* VPPERMmr */
+    542,
+    /* VMOVUPSZrrkz */
   },
   { /* 5607 */
-    440,
-    /* VPPERMrm */
+    473,
+    /* VMOVUPSZrrkz_alt */
   },
   { /* 5608 */
-    339,
-    /* VPPERMrr */
+    246,
+    /* VMOVUPSmr */
   },
   { /* 5609 */
-    46,
-    /* VPROTBmi */
+    44,
+    /* VMOVUPSrm */
   },
   { /* 5610 */
-    709,
-    /* VPROTBmr */
+    45,
+    /* VMOVUPSrr */
   },
   { /* 5611 */
-    47,
-    /* VPROTBri */
+    247,
+    /* VMOVUPSrr_REV */
   },
   { /* 5612 */
-    312,
-    /* VPROTBrm */
+    453,
+    /* VMOVZPQILo2PQIZrm */
   },
   { /* 5613 */
-    710,
-    /* VPROTBrr */
+    640,
+    /* VMOVZPQILo2PQIZrr */
   },
   { /* 5614 */
-    46,
-    /* VPROTDmi */
+    0,
+    /*  */
   },
   { /* 5615 */
-    709,
-    /* VPROTDmr */
+    45,
+    /* VMOVZPQILo2PQIrr */
   },
   { /* 5616 */
-    47,
-    /* VPROTDri */
+    0,
+    /*  */
   },
   { /* 5617 */
-    312,
-    /* VPROTDrm */
+    0,
+    /*  */
   },
   { /* 5618 */
-    710,
-    /* VPROTDrr */
+    388,
+    /* VMPSADBWYrmi */
   },
   { /* 5619 */
-    46,
-    /* VPROTQmi */
+    389,
+    /* VMPSADBWYrri */
   },
   { /* 5620 */
-    709,
-    /* VPROTQmr */
+    390,
+    /* VMPSADBWrmi */
   },
   { /* 5621 */
-    47,
-    /* VPROTQri */
+    391,
+    /* VMPSADBWrri */
   },
   { /* 5622 */
-    312,
-    /* VPROTQrm */
+    38,
+    /* VMPTRLDm */
   },
   { /* 5623 */
-    710,
-    /* VPROTQrr */
+    38,
+    /* VMPTRSTm */
   },
   { /* 5624 */
-    46,
-    /* VPROTWmi */
+    251,
+    /* VMREAD32rm */
   },
   { /* 5625 */
-    709,
-    /* VPROTWmr */
+    727,
+    /* VMREAD32rr */
   },
   { /* 5626 */
-    47,
-    /* VPROTWri */
+    16,
+    /* VMREAD64rm */
   },
   { /* 5627 */
-    312,
-    /* VPROTWrm */
+    76,
+    /* VMREAD64rr */
   },
   { /* 5628 */
-    710,
-    /* VPROTWrr */
+    0,
+    /* VMRESUME */
   },
   { /* 5629 */
-    304,
-    /* VPSADBWYrm */
+    0,
+    /* VMRUN32 */
   },
   { /* 5630 */
-    305,
-    /* VPSADBWYrr */
+    0,
+    /* VMRUN64 */
   },
   { /* 5631 */
-    312,
-    /* VPSADBWrm */
+    0,
+    /* VMSAVE32 */
   },
   { /* 5632 */
-    313,
-    /* VPSADBWrr */
+    0,
+    /* VMSAVE64 */
   },
   { /* 5633 */
-    711,
-    /* VPSCATTERDDZmr */
+    302,
+    /* VMULPDYrm */
   },
   { /* 5634 */
-    712,
-    /* VPSCATTERDQZmr */
+    303,
+    /* VMULPDYrr */
   },
   { /* 5635 */
-    713,
-    /* VPSCATTERQDZmr */
+    304,
+    /* VMULPDZ128rm */
   },
   { /* 5636 */
-    712,
-    /* VPSCATTERQQZmr */
+    305,
+    /* VMULPDZ128rmb */
   },
   { /* 5637 */
-    709,
-    /* VPSHABmr */
+    306,
+    /* VMULPDZ128rmbk */
   },
   { /* 5638 */
-    312,
-    /* VPSHABrm */
+    307,
+    /* VMULPDZ128rmbkz */
   },
   { /* 5639 */
-    710,
-    /* VPSHABrr */
+    308,
+    /* VMULPDZ128rmk */
   },
   { /* 5640 */
-    709,
-    /* VPSHADmr */
+    309,
+    /* VMULPDZ128rmkz */
   },
   { /* 5641 */
-    312,
-    /* VPSHADrm */
+    310,
+    /* VMULPDZ128rr */
   },
   { /* 5642 */
-    710,
-    /* VPSHADrr */
+    311,
+    /* VMULPDZ128rrk */
   },
   { /* 5643 */
-    709,
-    /* VPSHAQmr */
+    312,
+    /* VMULPDZ128rrkz */
   },
   { /* 5644 */
-    312,
-    /* VPSHAQrm */
+    313,
+    /* VMULPDZ256rm */
   },
   { /* 5645 */
-    710,
-    /* VPSHAQrr */
+    314,
+    /* VMULPDZ256rmb */
   },
   { /* 5646 */
-    709,
-    /* VPSHAWmr */
+    315,
+    /* VMULPDZ256rmbk */
   },
   { /* 5647 */
-    312,
-    /* VPSHAWrm */
+    316,
+    /* VMULPDZ256rmbkz */
   },
   { /* 5648 */
-    710,
-    /* VPSHAWrr */
+    317,
+    /* VMULPDZ256rmk */
   },
   { /* 5649 */
-    709,
-    /* VPSHLBmr */
+    318,
+    /* VMULPDZ256rmkz */
   },
   { /* 5650 */
-    312,
-    /* VPSHLBrm */
+    319,
+    /* VMULPDZ256rr */
   },
   { /* 5651 */
-    710,
-    /* VPSHLBrr */
+    320,
+    /* VMULPDZ256rrk */
   },
   { /* 5652 */
-    709,
-    /* VPSHLDmr */
+    321,
+    /* VMULPDZ256rrkz */
   },
   { /* 5653 */
-    312,
-    /* VPSHLDrm */
+    322,
+    /* VMULPDZrb */
   },
   { /* 5654 */
-    710,
-    /* VPSHLDrr */
+    323,
+    /* VMULPDZrbk */
   },
   { /* 5655 */
-    709,
-    /* VPSHLQmr */
+    324,
+    /* VMULPDZrbkz */
   },
   { /* 5656 */
-    312,
-    /* VPSHLQrm */
+    325,
+    /* VMULPDZrm */
   },
   { /* 5657 */
-    710,
-    /* VPSHLQrr */
+    326,
+    /* VMULPDZrmb */
   },
   { /* 5658 */
-    709,
-    /* VPSHLWmr */
+    327,
+    /* VMULPDZrmbk */
   },
   { /* 5659 */
-    312,
-    /* VPSHLWrm */
+    328,
+    /* VMULPDZrmbkz */
   },
   { /* 5660 */
-    710,
-    /* VPSHLWrr */
+    329,
+    /* VMULPDZrmk */
   },
   { /* 5661 */
-    304,
-    /* VPSHUFBYrm */
+    330,
+    /* VMULPDZrmkz */
   },
   { /* 5662 */
-    305,
-    /* VPSHUFBYrr */
+    331,
+    /* VMULPDZrr */
   },
   { /* 5663 */
-    312,
-    /* VPSHUFBrm */
+    332,
+    /* VMULPDZrrk */
   },
   { /* 5664 */
-    313,
-    /* VPSHUFBrr */
+    333,
+    /* VMULPDZrrkz */
   },
   { /* 5665 */
-    676,
-    /* VPSHUFDYmi */
+    334,
+    /* VMULPDrm */
   },
   { /* 5666 */
-    677,
-    /* VPSHUFDYri */
+    335,
+    /* VMULPDrr */
   },
   { /* 5667 */
-    678,
-    /* VPSHUFDZmi */
+    302,
+    /* VMULPSYrm */
   },
   { /* 5668 */
-    679,
-    /* VPSHUFDZri */
+    303,
+    /* VMULPSYrr */
   },
   { /* 5669 */
-    46,
-    /* VPSHUFDmi */
+    304,
+    /* VMULPSZ128rm */
   },
   { /* 5670 */
-    47,
-    /* VPSHUFDri */
+    336,
+    /* VMULPSZ128rmb */
   },
   { /* 5671 */
-    676,
-    /* VPSHUFHWYmi */
+    337,
+    /* VMULPSZ128rmbk */
   },
   { /* 5672 */
-    677,
-    /* VPSHUFHWYri */
+    338,
+    /* VMULPSZ128rmbkz */
   },
   { /* 5673 */
-    46,
-    /* VPSHUFHWmi */
+    339,
+    /* VMULPSZ128rmk */
   },
   { /* 5674 */
-    47,
-    /* VPSHUFHWri */
+    340,
+    /* VMULPSZ128rmkz */
   },
   { /* 5675 */
-    676,
-    /* VPSHUFLWYmi */
+    310,
+    /* VMULPSZ128rr */
   },
   { /* 5676 */
-    677,
-    /* VPSHUFLWYri */
+    341,
+    /* VMULPSZ128rrk */
   },
   { /* 5677 */
-    46,
-    /* VPSHUFLWmi */
+    342,
+    /* VMULPSZ128rrkz */
   },
   { /* 5678 */
-    47,
-    /* VPSHUFLWri */
+    313,
+    /* VMULPSZ256rm */
   },
   { /* 5679 */
-    304,
-    /* VPSIGNBYrm */
+    343,
+    /* VMULPSZ256rmb */
   },
   { /* 5680 */
-    305,
-    /* VPSIGNBYrr */
+    344,
+    /* VMULPSZ256rmbk */
   },
   { /* 5681 */
-    312,
-    /* VPSIGNBrm */
+    345,
+    /* VMULPSZ256rmbkz */
   },
   { /* 5682 */
-    313,
-    /* VPSIGNBrr */
+    346,
+    /* VMULPSZ256rmk */
   },
   { /* 5683 */
-    304,
-    /* VPSIGNDYrm */
+    347,
+    /* VMULPSZ256rmkz */
   },
   { /* 5684 */
-    305,
-    /* VPSIGNDYrr */
+    319,
+    /* VMULPSZ256rr */
   },
   { /* 5685 */
-    312,
-    /* VPSIGNDrm */
+    348,
+    /* VMULPSZ256rrk */
   },
   { /* 5686 */
-    313,
-    /* VPSIGNDrr */
+    349,
+    /* VMULPSZ256rrkz */
   },
   { /* 5687 */
-    304,
-    /* VPSIGNWYrm */
+    350,
+    /* VMULPSZrb */
   },
   { /* 5688 */
-    305,
-    /* VPSIGNWYrr */
+    351,
+    /* VMULPSZrbk */
   },
   { /* 5689 */
-    312,
-    /* VPSIGNWrm */
+    352,
+    /* VMULPSZrbkz */
   },
   { /* 5690 */
-    313,
-    /* VPSIGNWrr */
+    325,
+    /* VMULPSZrm */
   },
   { /* 5691 */
-    714,
-    /* VPSLLDQYri */
+    353,
+    /* VMULPSZrmb */
   },
   { /* 5692 */
-    715,
-    /* VPSLLDQri */
+    354,
+    /* VMULPSZrmbk */
   },
   { /* 5693 */
-    716,
-    /* VPSLLDYri */
+    355,
+    /* VMULPSZrmbkz */
   },
   { /* 5694 */
-    717,
-    /* VPSLLDYrm */
+    356,
+    /* VMULPSZrmk */
   },
   { /* 5695 */
-    718,
-    /* VPSLLDYrr */
+    357,
+    /* VMULPSZrmkz */
   },
   { /* 5696 */
-    719,
-    /* VPSLLDZmi */
+    331,
+    /* VMULPSZrr */
   },
   { /* 5697 */
-    720,
-    /* VPSLLDZmik */
+    358,
+    /* VMULPSZrrk */
   },
   { /* 5698 */
-    721,
-    /* VPSLLDZri */
+    359,
+    /* VMULPSZrrkz */
   },
   { /* 5699 */
-    722,
-    /* VPSLLDZrik */
+    334,
+    /* VMULPSrm */
   },
   { /* 5700 */
-    723,
-    /* VPSLLDZrm */
+    335,
+    /* VMULPSrr */
   },
   { /* 5701 */
-    724,
-    /* VPSLLDZrmk */
+    0,
+    /*  */
   },
   { /* 5702 */
-    725,
-    /* VPSLLDZrr */
+    360,
+    /* VMULSDZrm_Int */
   },
   { /* 5703 */
-    726,
-    /* VPSLLDZrrk */
+    361,
+    /* VMULSDZrm_Intk */
   },
   { /* 5704 */
-    727,
-    /* VPSLLDri */
+    362,
+    /* VMULSDZrm_Intkz */
   },
   { /* 5705 */
-    312,
-    /* VPSLLDrm */
+    0,
+    /*  */
   },
   { /* 5706 */
-    313,
-    /* VPSLLDrr */
+    363,
+    /* VMULSDZrr_Int */
   },
   { /* 5707 */
-    716,
-    /* VPSLLQYri */
+    364,
+    /* VMULSDZrr_Intk */
   },
   { /* 5708 */
-    717,
-    /* VPSLLQYrm */
+    365,
+    /* VMULSDZrr_Intkz */
   },
   { /* 5709 */
-    718,
-    /* VPSLLQYrr */
+    366,
+    /* VMULSDZrrb */
   },
   { /* 5710 */
-    719,
-    /* VPSLLQZmi */
+    367,
+    /* VMULSDZrrbk */
   },
   { /* 5711 */
-    728,
-    /* VPSLLQZmik */
+    368,
+    /* VMULSDZrrbkz */
   },
   { /* 5712 */
-    721,
-    /* VPSLLQZri */
+    369,
+    /* VMULSDrm */
   },
   { /* 5713 */
-    729,
-    /* VPSLLQZrik */
+    0,
+    /*  */
   },
   { /* 5714 */
-    723,
-    /* VPSLLQZrm */
+    370,
+    /* VMULSDrr */
   },
   { /* 5715 */
-    730,
-    /* VPSLLQZrmk */
+    0,
+    /*  */
   },
   { /* 5716 */
-    725,
-    /* VPSLLQZrr */
+    0,
+    /*  */
   },
   { /* 5717 */
-    731,
-    /* VPSLLQZrrk */
+    371,
+    /* VMULSSZrm_Int */
   },
   { /* 5718 */
-    727,
-    /* VPSLLQri */
+    372,
+    /* VMULSSZrm_Intk */
   },
   { /* 5719 */
-    312,
-    /* VPSLLQrm */
+    373,
+    /* VMULSSZrm_Intkz */
   },
   { /* 5720 */
-    313,
-    /* VPSLLQrr */
+    0,
+    /*  */
   },
   { /* 5721 */
-    304,
-    /* VPSLLVDYrm */
+    374,
+    /* VMULSSZrr_Int */
   },
   { /* 5722 */
-    305,
-    /* VPSLLVDYrr */
+    375,
+    /* VMULSSZrr_Intk */
   },
   { /* 5723 */
-    306,
-    /* VPSLLVDZrm */
+    376,
+    /* VMULSSZrr_Intkz */
   },
   { /* 5724 */
-    310,
-    /* VPSLLVDZrr */
+    377,
+    /* VMULSSZrrb */
   },
   { /* 5725 */
-    312,
-    /* VPSLLVDrm */
+    378,
+    /* VMULSSZrrbk */
   },
   { /* 5726 */
-    313,
-    /* VPSLLVDrr */
+    379,
+    /* VMULSSZrrbkz */
   },
   { /* 5727 */
-    304,
-    /* VPSLLVQYrm */
+    380,
+    /* VMULSSrm */
   },
   { /* 5728 */
-    305,
-    /* VPSLLVQYrr */
+    0,
+    /*  */
   },
   { /* 5729 */
-    306,
-    /* VPSLLVQZrm */
+    381,
+    /* VMULSSrr */
   },
   { /* 5730 */
-    310,
-    /* VPSLLVQZrr */
+    0,
+    /*  */
   },
   { /* 5731 */
-    312,
-    /* VPSLLVQrm */
+    40,
+    /* VMWRITE32rm */
   },
   { /* 5732 */
-    313,
-    /* VPSLLVQrr */
+    41,
+    /* VMWRITE32rr */
   },
   { /* 5733 */
-    716,
-    /* VPSLLWYri */
+    42,
+    /* VMWRITE64rm */
   },
   { /* 5734 */
-    717,
-    /* VPSLLWYrm */
+    43,
+    /* VMWRITE64rr */
   },
   { /* 5735 */
-    718,
-    /* VPSLLWYrr */
+    0,
+    /* VMXOFF */
   },
   { /* 5736 */
-    727,
-    /* VPSLLWri */
+    38,
+    /* VMXON */
   },
   { /* 5737 */
-    312,
-    /* VPSLLWrm */
+    302,
+    /* VORPDYrm */
   },
   { /* 5738 */
-    313,
-    /* VPSLLWrr */
+    303,
+    /* VORPDYrr */
   },
   { /* 5739 */
-    716,
-    /* VPSRADYri */
+    334,
+    /* VORPDrm */
   },
   { /* 5740 */
-    717,
-    /* VPSRADYrm */
+    335,
+    /* VORPDrr */
   },
   { /* 5741 */
-    718,
-    /* VPSRADYrr */
+    302,
+    /* VORPSYrm */
   },
   { /* 5742 */
-    719,
-    /* VPSRADZmi */
+    303,
+    /* VORPSYrr */
   },
   { /* 5743 */
-    720,
-    /* VPSRADZmik */
+    334,
+    /* VORPSrm */
   },
   { /* 5744 */
-    721,
-    /* VPSRADZri */
+    335,
+    /* VORPSrr */
   },
   { /* 5745 */
-    722,
-    /* VPSRADZrik */
+    44,
+    /* VPABSBrm128 */
   },
   { /* 5746 */
-    723,
-    /* VPSRADZrm */
+    475,
+    /* VPABSBrm256 */
   },
   { /* 5747 */
-    724,
-    /* VPSRADZrmk */
+    45,
+    /* VPABSBrr128 */
   },
   { /* 5748 */
-    725,
-    /* VPSRADZrr */
+    476,
+    /* VPABSBrr256 */
   },
   { /* 5749 */
-    726,
-    /* VPSRADZrrk */
+    477,
+    /* VPABSDZrm */
   },
   { /* 5750 */
-    727,
-    /* VPSRADri */
+    728,
+    /* VPABSDZrmb */
   },
   { /* 5751 */
-    312,
-    /* VPSRADrm */
+    729,
+    /* VPABSDZrmbk */
   },
   { /* 5752 */
-    313,
-    /* VPSRADrr */
+    729,
+    /* VPABSDZrmbkz */
   },
   { /* 5753 */
-    719,
-    /* VPSRAQZmi */
+    538,
+    /* VPABSDZrmk */
   },
   { /* 5754 */
-    728,
-    /* VPSRAQZmik */
+    538,
+    /* VPABSDZrmkz */
   },
   { /* 5755 */
-    721,
-    /* VPSRAQZri */
+    478,
+    /* VPABSDZrr */
   },
   { /* 5756 */
-    729,
-    /* VPSRAQZrik */
+    542,
+    /* VPABSDZrrk */
   },
   { /* 5757 */
-    723,
-    /* VPSRAQZrm */
+    542,
+    /* VPABSDZrrkz */
   },
   { /* 5758 */
-    730,
-    /* VPSRAQZrmk */
+    44,
+    /* VPABSDrm128 */
   },
   { /* 5759 */
-    725,
-    /* VPSRAQZrr */
+    475,
+    /* VPABSDrm256 */
   },
   { /* 5760 */
-    731,
-    /* VPSRAQZrrk */
+    45,
+    /* VPABSDrr128 */
   },
   { /* 5761 */
-    304,
-    /* VPSRAVDYrm */
+    476,
+    /* VPABSDrr256 */
   },
   { /* 5762 */
-    305,
-    /* VPSRAVDYrr */
+    477,
+    /* VPABSQZrm */
   },
   { /* 5763 */
-    306,
-    /* VPSRAVDZrm */
+    730,
+    /* VPABSQZrmb */
   },
   { /* 5764 */
-    310,
-    /* VPSRAVDZrr */
+    731,
+    /* VPABSQZrmbk */
   },
   { /* 5765 */
-    312,
-    /* VPSRAVDrm */
+    731,
+    /* VPABSQZrmbkz */
   },
   { /* 5766 */
-    313,
-    /* VPSRAVDrr */
+    529,
+    /* VPABSQZrmk */
   },
   { /* 5767 */
-    306,
-    /* VPSRAVQZrm */
+    529,
+    /* VPABSQZrmkz */
   },
   { /* 5768 */
-    310,
-    /* VPSRAVQZrr */
+    478,
+    /* VPABSQZrr */
   },
   { /* 5769 */
-    716,
-    /* VPSRAWYri */
+    534,
+    /* VPABSQZrrk */
   },
   { /* 5770 */
-    717,
-    /* VPSRAWYrm */
+    534,
+    /* VPABSQZrrkz */
   },
   { /* 5771 */
-    718,
-    /* VPSRAWYrr */
+    44,
+    /* VPABSWrm128 */
   },
   { /* 5772 */
-    727,
-    /* VPSRAWri */
+    475,
+    /* VPABSWrm256 */
   },
   { /* 5773 */
-    312,
-    /* VPSRAWrm */
+    45,
+    /* VPABSWrr128 */
   },
   { /* 5774 */
-    313,
-    /* VPSRAWrr */
+    476,
+    /* VPABSWrr256 */
   },
   { /* 5775 */
-    714,
-    /* VPSRLDQYri */
+    302,
+    /* VPACKSSDWYrm */
   },
   { /* 5776 */
-    715,
-    /* VPSRLDQri */
+    303,
+    /* VPACKSSDWYrr */
   },
   { /* 5777 */
-    716,
-    /* VPSRLDYri */
+    334,
+    /* VPACKSSDWrm */
   },
   { /* 5778 */
-    717,
-    /* VPSRLDYrm */
+    335,
+    /* VPACKSSDWrr */
   },
   { /* 5779 */
-    718,
-    /* VPSRLDYrr */
+    302,
+    /* VPACKSSWBYrm */
   },
   { /* 5780 */
-    719,
-    /* VPSRLDZmi */
+    303,
+    /* VPACKSSWBYrr */
   },
   { /* 5781 */
-    720,
-    /* VPSRLDZmik */
+    334,
+    /* VPACKSSWBrm */
   },
   { /* 5782 */
-    721,
-    /* VPSRLDZri */
+    335,
+    /* VPACKSSWBrr */
   },
   { /* 5783 */
-    722,
-    /* VPSRLDZrik */
+    302,
+    /* VPACKUSDWYrm */
   },
   { /* 5784 */
-    723,
-    /* VPSRLDZrm */
+    303,
+    /* VPACKUSDWYrr */
   },
   { /* 5785 */
-    724,
-    /* VPSRLDZrmk */
+    334,
+    /* VPACKUSDWrm */
   },
   { /* 5786 */
-    725,
-    /* VPSRLDZrr */
+    335,
+    /* VPACKUSDWrr */
   },
   { /* 5787 */
-    726,
-    /* VPSRLDZrrk */
+    302,
+    /* VPACKUSWBYrm */
   },
   { /* 5788 */
-    727,
-    /* VPSRLDri */
+    303,
+    /* VPACKUSWBYrr */
   },
   { /* 5789 */
-    312,
-    /* VPSRLDrm */
+    334,
+    /* VPACKUSWBrm */
   },
   { /* 5790 */
-    313,
-    /* VPSRLDrr */
+    335,
+    /* VPACKUSWBrr */
   },
   { /* 5791 */
-    716,
-    /* VPSRLQYri */
+    302,
+    /* VPADDBYrm */
   },
   { /* 5792 */
-    717,
-    /* VPSRLQYrm */
+    303,
+    /* VPADDBYrr */
   },
   { /* 5793 */
-    718,
-    /* VPSRLQYrr */
+    304,
+    /* VPADDBZ128rm */
   },
   { /* 5794 */
-    719,
-    /* VPSRLQZmi */
+    732,
+    /* VPADDBZ128rmk */
   },
   { /* 5795 */
-    728,
-    /* VPSRLQZmik */
+    733,
+    /* VPADDBZ128rmkz */
   },
   { /* 5796 */
-    721,
-    /* VPSRLQZri */
+    310,
+    /* VPADDBZ128rr */
   },
   { /* 5797 */
-    729,
-    /* VPSRLQZrik */
+    734,
+    /* VPADDBZ128rrk */
   },
   { /* 5798 */
-    723,
-    /* VPSRLQZrm */
+    735,
+    /* VPADDBZ128rrkz */
   },
   { /* 5799 */
-    730,
-    /* VPSRLQZrmk */
+    313,
+    /* VPADDBZ256rm */
   },
   { /* 5800 */
-    725,
-    /* VPSRLQZrr */
+    736,
+    /* VPADDBZ256rmk */
   },
   { /* 5801 */
-    731,
-    /* VPSRLQZrrk */
+    737,
+    /* VPADDBZ256rmkz */
   },
   { /* 5802 */
-    727,
-    /* VPSRLQri */
+    319,
+    /* VPADDBZ256rr */
   },
   { /* 5803 */
-    312,
-    /* VPSRLQrm */
+    738,
+    /* VPADDBZ256rrk */
   },
   { /* 5804 */
-    313,
-    /* VPSRLQrr */
+    739,
+    /* VPADDBZ256rrkz */
   },
   { /* 5805 */
-    304,
-    /* VPSRLVDYrm */
+    325,
+    /* VPADDBZrm */
   },
   { /* 5806 */
-    305,
-    /* VPSRLVDYrr */
+    740,
+    /* VPADDBZrmk */
   },
   { /* 5807 */
-    306,
-    /* VPSRLVDZrm */
+    741,
+    /* VPADDBZrmkz */
   },
   { /* 5808 */
-    310,
-    /* VPSRLVDZrr */
+    331,
+    /* VPADDBZrr */
   },
   { /* 5809 */
-    312,
-    /* VPSRLVDrm */
+    742,
+    /* VPADDBZrrk */
   },
   { /* 5810 */
-    313,
-    /* VPSRLVDrr */
+    743,
+    /* VPADDBZrrkz */
   },
   { /* 5811 */
-    304,
-    /* VPSRLVQYrm */
+    334,
+    /* VPADDBrm */
   },
   { /* 5812 */
-    305,
-    /* VPSRLVQYrr */
+    335,
+    /* VPADDBrr */
   },
   { /* 5813 */
-    306,
-    /* VPSRLVQZrm */
+    302,
+    /* VPADDDYrm */
   },
   { /* 5814 */
-    310,
-    /* VPSRLVQZrr */
+    303,
+    /* VPADDDYrr */
   },
   { /* 5815 */
-    312,
-    /* VPSRLVQrm */
+    304,
+    /* VPADDDZ128rm */
   },
   { /* 5816 */
-    313,
-    /* VPSRLVQrr */
+    744,
+    /* VPADDDZ128rmb */
   },
   { /* 5817 */
-    716,
-    /* VPSRLWYri */
+    745,
+    /* VPADDDZ128rmbk */
   },
   { /* 5818 */
-    717,
-    /* VPSRLWYrm */
+    746,
+    /* VPADDDZ128rmbkz */
   },
   { /* 5819 */
-    718,
-    /* VPSRLWYrr */
+    339,
+    /* VPADDDZ128rmk */
   },
   { /* 5820 */
-    727,
-    /* VPSRLWri */
+    340,
+    /* VPADDDZ128rmkz */
   },
   { /* 5821 */
-    312,
-    /* VPSRLWrm */
+    310,
+    /* VPADDDZ128rr */
   },
   { /* 5822 */
-    313,
-    /* VPSRLWrr */
+    341,
+    /* VPADDDZ128rrk */
   },
   { /* 5823 */
-    304,
-    /* VPSUBBYrm */
+    342,
+    /* VPADDDZ128rrkz */
   },
   { /* 5824 */
-    305,
-    /* VPSUBBYrr */
+    313,
+    /* VPADDDZ256rm */
   },
   { /* 5825 */
-    312,
-    /* VPSUBBrm */
+    747,
+    /* VPADDDZ256rmb */
   },
   { /* 5826 */
-    313,
-    /* VPSUBBrr */
+    748,
+    /* VPADDDZ256rmbk */
   },
   { /* 5827 */
-    304,
-    /* VPSUBDYrm */
+    749,
+    /* VPADDDZ256rmbkz */
   },
   { /* 5828 */
-    305,
-    /* VPSUBDYrr */
+    346,
+    /* VPADDDZ256rmk */
   },
   { /* 5829 */
-    306,
-    /* VPSUBDZrm */
+    347,
+    /* VPADDDZ256rmkz */
   },
   { /* 5830 */
-    585,
-    /* VPSUBDZrmb */
+    319,
+    /* VPADDDZ256rr */
   },
   { /* 5831 */
-    586,
-    /* VPSUBDZrmbk */
+    348,
+    /* VPADDDZ256rrk */
   },
   { /* 5832 */
-    587,
-    /* VPSUBDZrmbkz */
+    349,
+    /* VPADDDZ256rrkz */
   },
   { /* 5833 */
-    588,
-    /* VPSUBDZrmk */
+    325,
+    /* VPADDDZrm */
   },
   { /* 5834 */
-    316,
-    /* VPSUBDZrmkz */
+    750,
+    /* VPADDDZrmb */
   },
   { /* 5835 */
-    310,
-    /* VPSUBDZrr */
+    751,
+    /* VPADDDZrmbk */
   },
   { /* 5836 */
-    439,
-    /* VPSUBDZrrk */
+    752,
+    /* VPADDDZrmbkz */
   },
   { /* 5837 */
-    317,
-    /* VPSUBDZrrkz */
+    356,
+    /* VPADDDZrmk */
   },
   { /* 5838 */
-    312,
-    /* VPSUBDrm */
+    357,
+    /* VPADDDZrmkz */
   },
   { /* 5839 */
-    313,
-    /* VPSUBDrr */
+    331,
+    /* VPADDDZrr */
   },
   { /* 5840 */
-    304,
-    /* VPSUBQYrm */
+    358,
+    /* VPADDDZrrk */
   },
   { /* 5841 */
-    305,
-    /* VPSUBQYrr */
+    359,
+    /* VPADDDZrrkz */
   },
   { /* 5842 */
-    306,
-    /* VPSUBQZrm */
+    334,
+    /* VPADDDrm */
   },
   { /* 5843 */
-    589,
-    /* VPSUBQZrmb */
+    335,
+    /* VPADDDrr */
   },
   { /* 5844 */
-    590,
-    /* VPSUBQZrmbk */
+    302,
+    /* VPADDQYrm */
   },
   { /* 5845 */
-    591,
-    /* VPSUBQZrmbkz */
+    303,
+    /* VPADDQYrr */
   },
   { /* 5846 */
-    592,
-    /* VPSUBQZrmk */
+    304,
+    /* VPADDQZ128rm */
   },
   { /* 5847 */
-    309,
-    /* VPSUBQZrmkz */
+    753,
+    /* VPADDQZ128rmb */
   },
   { /* 5848 */
-    310,
-    /* VPSUBQZrr */
+    754,
+    /* VPADDQZ128rmbk */
   },
   { /* 5849 */
-    438,
-    /* VPSUBQZrrk */
+    755,
+    /* VPADDQZ128rmbkz */
   },
   { /* 5850 */
-    311,
-    /* VPSUBQZrrkz */
+    308,
+    /* VPADDQZ128rmk */
   },
   { /* 5851 */
-    312,
-    /* VPSUBQrm */
+    309,
+    /* VPADDQZ128rmkz */
   },
   { /* 5852 */
-    313,
-    /* VPSUBQrr */
+    310,
+    /* VPADDQZ128rr */
   },
   { /* 5853 */
-    304,
-    /* VPSUBSBYrm */
+    311,
+    /* VPADDQZ128rrk */
   },
   { /* 5854 */
-    305,
-    /* VPSUBSBYrr */
+    312,
+    /* VPADDQZ128rrkz */
   },
   { /* 5855 */
-    312,
-    /* VPSUBSBrm */
+    313,
+    /* VPADDQZ256rm */
   },
   { /* 5856 */
-    313,
-    /* VPSUBSBrr */
+    756,
+    /* VPADDQZ256rmb */
   },
   { /* 5857 */
-    304,
-    /* VPSUBSWYrm */
+    757,
+    /* VPADDQZ256rmbk */
   },
   { /* 5858 */
-    305,
-    /* VPSUBSWYrr */
+    758,
+    /* VPADDQZ256rmbkz */
   },
   { /* 5859 */
-    312,
-    /* VPSUBSWrm */
+    317,
+    /* VPADDQZ256rmk */
   },
   { /* 5860 */
-    313,
-    /* VPSUBSWrr */
+    318,
+    /* VPADDQZ256rmkz */
   },
   { /* 5861 */
-    304,
-    /* VPSUBUSBYrm */
+    319,
+    /* VPADDQZ256rr */
   },
   { /* 5862 */
-    305,
-    /* VPSUBUSBYrr */
+    320,
+    /* VPADDQZ256rrk */
   },
   { /* 5863 */
-    312,
-    /* VPSUBUSBrm */
+    321,
+    /* VPADDQZ256rrkz */
   },
   { /* 5864 */
-    313,
-    /* VPSUBUSBrr */
+    325,
+    /* VPADDQZrm */
   },
   { /* 5865 */
-    304,
-    /* VPSUBUSWYrm */
+    759,
+    /* VPADDQZrmb */
   },
   { /* 5866 */
-    305,
-    /* VPSUBUSWYrr */
+    760,
+    /* VPADDQZrmbk */
   },
   { /* 5867 */
-    312,
-    /* VPSUBUSWrm */
+    761,
+    /* VPADDQZrmbkz */
   },
   { /* 5868 */
-    313,
-    /* VPSUBUSWrr */
+    329,
+    /* VPADDQZrmk */
   },
   { /* 5869 */
-    304,
-    /* VPSUBWYrm */
+    330,
+    /* VPADDQZrmkz */
   },
   { /* 5870 */
-    305,
-    /* VPSUBWYrr */
+    331,
+    /* VPADDQZrr */
   },
   { /* 5871 */
-    312,
-    /* VPSUBWrm */
+    332,
+    /* VPADDQZrrk */
   },
   { /* 5872 */
-    313,
-    /* VPSUBWrr */
+    333,
+    /* VPADDQZrrkz */
   },
   { /* 5873 */
-    632,
-    /* VPTESTMDZrm */
+    334,
+    /* VPADDQrm */
   },
   { /* 5874 */
-    636,
-    /* VPTESTMDZrr */
+    335,
+    /* VPADDQrr */
   },
   { /* 5875 */
-    650,
-    /* VPTESTMQZrm */
+    302,
+    /* VPADDSBYrm */
   },
   { /* 5876 */
-    654,
-    /* VPTESTMQZrr */
+    303,
+    /* VPADDSBYrr */
   },
   { /* 5877 */
-    632,
-    /* VPTESTNMDZrm */
+    334,
+    /* VPADDSBrm */
   },
   { /* 5878 */
-    636,
-    /* VPTESTNMDZrr */
+    335,
+    /* VPADDSBrr */
   },
   { /* 5879 */
-    650,
-    /* VPTESTNMQZrm */
+    302,
+    /* VPADDSWYrm */
   },
   { /* 5880 */
-    654,
-    /* VPTESTNMQZrr */
+    303,
+    /* VPADDSWYrr */
   },
   { /* 5881 */
-    376,
-    /* VPTESTYrm */
+    334,
+    /* VPADDSWrm */
   },
   { /* 5882 */
-    377,
-    /* VPTESTYrr */
+    335,
+    /* VPADDSWrr */
   },
   { /* 5883 */
-    44,
-    /* VPTESTrm */
+    302,
+    /* VPADDUSBYrm */
   },
   { /* 5884 */
-    45,
-    /* VPTESTrr */
+    303,
+    /* VPADDUSBYrr */
   },
   { /* 5885 */
-    304,
-    /* VPUNPCKHBWYrm */
+    334,
+    /* VPADDUSBrm */
   },
   { /* 5886 */
-    305,
-    /* VPUNPCKHBWYrr */
+    335,
+    /* VPADDUSBrr */
   },
   { /* 5887 */
-    312,
-    /* VPUNPCKHBWrm */
+    302,
+    /* VPADDUSWYrm */
   },
   { /* 5888 */
-    313,
-    /* VPUNPCKHBWrr */
+    303,
+    /* VPADDUSWYrr */
   },
   { /* 5889 */
-    304,
-    /* VPUNPCKHDQYrm */
+    334,
+    /* VPADDUSWrm */
   },
   { /* 5890 */
-    305,
-    /* VPUNPCKHDQYrr */
+    335,
+    /* VPADDUSWrr */
   },
   { /* 5891 */
-    306,
-    /* VPUNPCKHDQZrm */
+    302,
+    /* VPADDWYrm */
   },
   { /* 5892 */
-    310,
-    /* VPUNPCKHDQZrr */
+    303,
+    /* VPADDWYrr */
   },
   { /* 5893 */
-    312,
-    /* VPUNPCKHDQrm */
+    304,
+    /* VPADDWZ128rm */
   },
   { /* 5894 */
-    313,
-    /* VPUNPCKHDQrr */
+    762,
+    /* VPADDWZ128rmk */
   },
   { /* 5895 */
-    304,
-    /* VPUNPCKHQDQYrm */
+    763,
+    /* VPADDWZ128rmkz */
   },
   { /* 5896 */
-    305,
-    /* VPUNPCKHQDQYrr */
+    310,
+    /* VPADDWZ128rr */
   },
   { /* 5897 */
-    306,
-    /* VPUNPCKHQDQZrm */
+    764,
+    /* VPADDWZ128rrk */
   },
   { /* 5898 */
-    310,
-    /* VPUNPCKHQDQZrr */
+    765,
+    /* VPADDWZ128rrkz */
   },
   { /* 5899 */
-    312,
-    /* VPUNPCKHQDQrm */
+    313,
+    /* VPADDWZ256rm */
   },
   { /* 5900 */
-    313,
-    /* VPUNPCKHQDQrr */
+    766,
+    /* VPADDWZ256rmk */
   },
   { /* 5901 */
-    304,
-    /* VPUNPCKHWDYrm */
+    767,
+    /* VPADDWZ256rmkz */
   },
   { /* 5902 */
-    305,
-    /* VPUNPCKHWDYrr */
+    319,
+    /* VPADDWZ256rr */
   },
   { /* 5903 */
-    312,
-    /* VPUNPCKHWDrm */
+    768,
+    /* VPADDWZ256rrk */
   },
   { /* 5904 */
-    313,
-    /* VPUNPCKHWDrr */
+    769,
+    /* VPADDWZ256rrkz */
   },
   { /* 5905 */
-    304,
-    /* VPUNPCKLBWYrm */
+    325,
+    /* VPADDWZrm */
   },
   { /* 5906 */
-    305,
-    /* VPUNPCKLBWYrr */
+    770,
+    /* VPADDWZrmk */
   },
   { /* 5907 */
-    312,
-    /* VPUNPCKLBWrm */
+    771,
+    /* VPADDWZrmkz */
   },
   { /* 5908 */
-    313,
-    /* VPUNPCKLBWrr */
+    331,
+    /* VPADDWZrr */
   },
   { /* 5909 */
-    304,
-    /* VPUNPCKLDQYrm */
+    772,
+    /* VPADDWZrrk */
   },
   { /* 5910 */
-    305,
-    /* VPUNPCKLDQYrr */
+    773,
+    /* VPADDWZrrkz */
   },
   { /* 5911 */
-    306,
-    /* VPUNPCKLDQZrm */
+    334,
+    /* VPADDWrm */
   },
   { /* 5912 */
-    310,
-    /* VPUNPCKLDQZrr */
+    335,
+    /* VPADDWrr */
   },
   { /* 5913 */
-    312,
-    /* VPUNPCKLDQrm */
+    390,
+    /* VPALIGNR128rm */
   },
   { /* 5914 */
-    313,
-    /* VPUNPCKLDQrr */
+    391,
+    /* VPALIGNR128rr */
   },
   { /* 5915 */
-    304,
-    /* VPUNPCKLQDQYrm */
+    388,
+    /* VPALIGNR256rm */
   },
   { /* 5916 */
-    305,
-    /* VPUNPCKLQDQYrr */
+    389,
+    /* VPALIGNR256rr */
   },
   { /* 5917 */
-    306,
-    /* VPUNPCKLQDQZrm */
+    304,
+    /* VPANDDZ128rm */
   },
   { /* 5918 */
-    310,
-    /* VPUNPCKLQDQZrr */
+    744,
+    /* VPANDDZ128rmb */
   },
   { /* 5919 */
-    312,
-    /* VPUNPCKLQDQrm */
+    745,
+    /* VPANDDZ128rmbk */
   },
   { /* 5920 */
-    313,
-    /* VPUNPCKLQDQrr */
+    746,
+    /* VPANDDZ128rmbkz */
   },
   { /* 5921 */
-    304,
-    /* VPUNPCKLWDYrm */
+    339,
+    /* VPANDDZ128rmk */
   },
   { /* 5922 */
-    305,
-    /* VPUNPCKLWDYrr */
+    340,
+    /* VPANDDZ128rmkz */
   },
   { /* 5923 */
-    312,
-    /* VPUNPCKLWDrm */
+    310,
+    /* VPANDDZ128rr */
   },
   { /* 5924 */
-    313,
-    /* VPUNPCKLWDrr */
+    341,
+    /* VPANDDZ128rrk */
   },
   { /* 5925 */
-    306,
-    /* VPXORDZrm */
+    342,
+    /* VPANDDZ128rrkz */
   },
   { /* 5926 */
-    585,
-    /* VPXORDZrmb */
+    313,
+    /* VPANDDZ256rm */
   },
   { /* 5927 */
-    586,
-    /* VPXORDZrmbk */
+    747,
+    /* VPANDDZ256rmb */
   },
   { /* 5928 */
-    587,
-    /* VPXORDZrmbkz */
+    748,
+    /* VPANDDZ256rmbk */
   },
   { /* 5929 */
-    588,
-    /* VPXORDZrmk */
+    749,
+    /* VPANDDZ256rmbkz */
   },
   { /* 5930 */
-    316,
-    /* VPXORDZrmkz */
+    346,
+    /* VPANDDZ256rmk */
   },
   { /* 5931 */
-    310,
-    /* VPXORDZrr */
+    347,
+    /* VPANDDZ256rmkz */
   },
   { /* 5932 */
-    439,
-    /* VPXORDZrrk */
+    319,
+    /* VPANDDZ256rr */
   },
   { /* 5933 */
-    317,
-    /* VPXORDZrrkz */
+    348,
+    /* VPANDDZ256rrk */
   },
   { /* 5934 */
-    306,
-    /* VPXORQZrm */
+    349,
+    /* VPANDDZ256rrkz */
   },
   { /* 5935 */
-    589,
-    /* VPXORQZrmb */
+    325,
+    /* VPANDDZrm */
   },
   { /* 5936 */
-    590,
-    /* VPXORQZrmbk */
+    750,
+    /* VPANDDZrmb */
   },
   { /* 5937 */
-    591,
-    /* VPXORQZrmbkz */
+    751,
+    /* VPANDDZrmbk */
   },
   { /* 5938 */
-    592,
-    /* VPXORQZrmk */
+    752,
+    /* VPANDDZrmbkz */
   },
   { /* 5939 */
-    309,
-    /* VPXORQZrmkz */
+    356,
+    /* VPANDDZrmk */
   },
   { /* 5940 */
-    310,
-    /* VPXORQZrr */
+    357,
+    /* VPANDDZrmkz */
   },
   { /* 5941 */
-    438,
-    /* VPXORQZrrk */
+    331,
+    /* VPANDDZrr */
   },
   { /* 5942 */
-    311,
-    /* VPXORQZrrkz */
+    358,
+    /* VPANDDZrrk */
   },
   { /* 5943 */
-    304,
-    /* VPXORYrm */
+    359,
+    /* VPANDDZrrkz */
   },
   { /* 5944 */
-    305,
-    /* VPXORYrr */
+    304,
+    /* VPANDNDZ128rm */
   },
   { /* 5945 */
-    312,
-    /* VPXORrm */
+    744,
+    /* VPANDNDZ128rmb */
   },
   { /* 5946 */
-    313,
-    /* VPXORrr */
+    745,
+    /* VPANDNDZ128rmbk */
   },
   { /* 5947 */
-    378,
-    /* VRCP14PDZm */
+    746,
+    /* VPANDNDZ128rmbkz */
   },
   { /* 5948 */
-    379,
-    /* VRCP14PDZr */
+    339,
+    /* VPANDNDZ128rmk */
   },
   { /* 5949 */
-    378,
-    /* VRCP14PSZm */
+    340,
+    /* VPANDNDZ128rmkz */
   },
   { /* 5950 */
-    379,
-    /* VRCP14PSZr */
+    310,
+    /* VPANDNDZ128rr */
   },
   { /* 5951 */
-    318,
-    /* VRCP14SDrm */
+    341,
+    /* VPANDNDZ128rrk */
   },
   { /* 5952 */
-    319,
-    /* VRCP14SDrr */
+    342,
+    /* VPANDNDZ128rrkz */
   },
   { /* 5953 */
-    322,
-    /* VRCP14SSrm */
+    313,
+    /* VPANDNDZ256rm */
   },
   { /* 5954 */
-    323,
-    /* VRCP14SSrr */
+    747,
+    /* VPANDNDZ256rmb */
   },
   { /* 5955 */
-    378,
-    /* VRCP28PDZm */
+    748,
+    /* VPANDNDZ256rmbk */
   },
   { /* 5956 */
-    379,
-    /* VRCP28PDZr */
+    749,
+    /* VPANDNDZ256rmbkz */
   },
   { /* 5957 */
-    732,
-    /* VRCP28PDZrb */
+    346,
+    /* VPANDNDZ256rmk */
   },
   { /* 5958 */
-    378,
-    /* VRCP28PSZm */
+    347,
+    /* VPANDNDZ256rmkz */
   },
   { /* 5959 */
-    379,
-    /* VRCP28PSZr */
+    319,
+    /* VPANDNDZ256rr */
   },
   { /* 5960 */
-    733,
-    /* VRCP28PSZrb */
+    348,
+    /* VPANDNDZ256rrk */
   },
   { /* 5961 */
-    318,
-    /* VRCP28SDrm */
+    349,
+    /* VPANDNDZ256rrkz */
   },
   { /* 5962 */
-    319,
-    /* VRCP28SDrr */
+    325,
+    /* VPANDNDZrm */
   },
   { /* 5963 */
-    319,
-    /* VRCP28SDrrb */
+    750,
+    /* VPANDNDZrmb */
   },
   { /* 5964 */
-    322,
-    /* VRCP28SSrm */
+    751,
+    /* VPANDNDZrmbk */
   },
   { /* 5965 */
-    323,
-    /* VRCP28SSrr */
+    752,
+    /* VPANDNDZrmbkz */
   },
   { /* 5966 */
-    323,
-    /* VRCP28SSrrb */
+    356,
+    /* VPANDNDZrmk */
   },
   { /* 5967 */
-    376,
-    /* VRCPPSYm */
+    357,
+    /* VPANDNDZrmkz */
   },
   { /* 5968 */
-    0,
-    /*  */
+    331,
+    /* VPANDNDZrr */
   },
   { /* 5969 */
-    377,
-    /* VRCPPSYr */
+    358,
+    /* VPANDNDZrrk */
   },
   { /* 5970 */
-    0,
-    /*  */
+    359,
+    /* VPANDNDZrrkz */
   },
   { /* 5971 */
-    44,
-    /* VRCPPSm */
+    304,
+    /* VPANDNQZ128rm */
   },
   { /* 5972 */
-    0,
-    /*  */
+    753,
+    /* VPANDNQZ128rmb */
   },
   { /* 5973 */
-    45,
-    /* VRCPPSr */
+    754,
+    /* VPANDNQZ128rmbk */
   },
   { /* 5974 */
-    0,
-    /*  */
+    755,
+    /* VPANDNQZ128rmbkz */
   },
   { /* 5975 */
-    324,
-    /* VRCPSSm */
+    308,
+    /* VPANDNQZ128rmk */
   },
   { /* 5976 */
-    0,
-    /*  */
+    309,
+    /* VPANDNQZ128rmkz */
   },
   { /* 5977 */
-    325,
-    /* VRCPSSr */
+    310,
+    /* VPANDNQZ128rr */
   },
   { /* 5978 */
-    734,
-    /* VRNDSCALEPDZm */
+    311,
+    /* VPANDNQZ128rrk */
   },
   { /* 5979 */
-    735,
-    /* VRNDSCALEPDZr */
+    312,
+    /* VPANDNQZ128rrkz */
   },
   { /* 5980 */
-    734,
-    /* VRNDSCALEPSZm */
+    313,
+    /* VPANDNQZ256rm */
   },
   { /* 5981 */
-    735,
-    /* VRNDSCALEPSZr */
+    756,
+    /* VPANDNQZ256rmb */
   },
   { /* 5982 */
-    736,
-    /* VRNDSCALESDm */
+    757,
+    /* VPANDNQZ256rmbk */
   },
   { /* 5983 */
-    737,
-    /* VRNDSCALESDr */
+    758,
+    /* VPANDNQZ256rmbkz */
   },
   { /* 5984 */
-    738,
-    /* VRNDSCALESSm */
+    317,
+    /* VPANDNQZ256rmk */
   },
   { /* 5985 */
-    739,
-    /* VRNDSCALESSr */
+    318,
+    /* VPANDNQZ256rmkz */
   },
   { /* 5986 */
-    293,
-    /* VROUNDPDm */
+    319,
+    /* VPANDNQZ256rr */
   },
   { /* 5987 */
-    294,
-    /* VROUNDPDr */
+    320,
+    /* VPANDNQZ256rrk */
   },
   { /* 5988 */
-    293,
-    /* VROUNDPSm */
+    321,
+    /* VPANDNQZ256rrkz */
   },
   { /* 5989 */
-    294,
-    /* VROUNDPSr */
+    325,
+    /* VPANDNQZrm */
   },
   { /* 5990 */
-    740,
-    /* VROUNDSDm */
+    759,
+    /* VPANDNQZrmb */
   },
   { /* 5991 */
-    741,
-    /* VROUNDSDr */
+    760,
+    /* VPANDNQZrmbk */
   },
   { /* 5992 */
-    0,
-    /*  */
+    761,
+    /* VPANDNQZrmbkz */
   },
   { /* 5993 */
-    480,
-    /* VROUNDSSm */
+    329,
+    /* VPANDNQZrmk */
   },
   { /* 5994 */
-    742,
-    /* VROUNDSSr */
+    330,
+    /* VPANDNQZrmkz */
   },
   { /* 5995 */
-    0,
-    /*  */
+    331,
+    /* VPANDNQZrr */
   },
   { /* 5996 */
-    743,
-    /* VROUNDYPDm */
+    332,
+    /* VPANDNQZrrk */
   },
   { /* 5997 */
-    744,
-    /* VROUNDYPDr */
+    333,
+    /* VPANDNQZrrkz */
   },
   { /* 5998 */
-    743,
-    /* VROUNDYPSm */
+    302,
+    /* VPANDNYrm */
   },
   { /* 5999 */
-    744,
-    /* VROUNDYPSr */
+    303,
+    /* VPANDNYrr */
   },
   { /* 6000 */
-    378,
-    /* VRSQRT14PDZm */
+    334,
+    /* VPANDNrm */
   },
   { /* 6001 */
-    379,
-    /* VRSQRT14PDZr */
+    335,
+    /* VPANDNrr */
   },
   { /* 6002 */
-    378,
-    /* VRSQRT14PSZm */
+    304,
+    /* VPANDQZ128rm */
   },
   { /* 6003 */
-    379,
-    /* VRSQRT14PSZr */
+    753,
+    /* VPANDQZ128rmb */
   },
   { /* 6004 */
-    318,
-    /* VRSQRT14SDrm */
+    754,
+    /* VPANDQZ128rmbk */
   },
   { /* 6005 */
-    319,
-    /* VRSQRT14SDrr */
+    755,
+    /* VPANDQZ128rmbkz */
   },
   { /* 6006 */
-    322,
-    /* VRSQRT14SSrm */
+    308,
+    /* VPANDQZ128rmk */
   },
   { /* 6007 */
-    323,
-    /* VRSQRT14SSrr */
+    309,
+    /* VPANDQZ128rmkz */
   },
   { /* 6008 */
-    378,
-    /* VRSQRT28PDZm */
+    310,
+    /* VPANDQZ128rr */
   },
   { /* 6009 */
-    379,
-    /* VRSQRT28PDZr */
+    311,
+    /* VPANDQZ128rrk */
   },
   { /* 6010 */
-    732,
-    /* VRSQRT28PDZrb */
+    312,
+    /* VPANDQZ128rrkz */
   },
   { /* 6011 */
-    378,
-    /* VRSQRT28PSZm */
+    313,
+    /* VPANDQZ256rm */
   },
   { /* 6012 */
-    379,
-    /* VRSQRT28PSZr */
+    756,
+    /* VPANDQZ256rmb */
   },
   { /* 6013 */
-    733,
-    /* VRSQRT28PSZrb */
+    757,
+    /* VPANDQZ256rmbk */
   },
   { /* 6014 */
-    318,
-    /* VRSQRT28SDrm */
+    758,
+    /* VPANDQZ256rmbkz */
   },
   { /* 6015 */
-    319,
-    /* VRSQRT28SDrr */
+    317,
+    /* VPANDQZ256rmk */
   },
   { /* 6016 */
-    319,
-    /* VRSQRT28SDrrb */
+    318,
+    /* VPANDQZ256rmkz */
   },
   { /* 6017 */
-    322,
-    /* VRSQRT28SSrm */
+    319,
+    /* VPANDQZ256rr */
   },
   { /* 6018 */
-    323,
-    /* VRSQRT28SSrr */
+    320,
+    /* VPANDQZ256rrk */
   },
   { /* 6019 */
-    323,
-    /* VRSQRT28SSrrb */
+    321,
+    /* VPANDQZ256rrkz */
   },
   { /* 6020 */
-    376,
-    /* VRSQRTPSYm */
+    325,
+    /* VPANDQZrm */
   },
   { /* 6021 */
-    0,
-    /*  */
+    759,
+    /* VPANDQZrmb */
   },
   { /* 6022 */
-    377,
-    /* VRSQRTPSYr */
+    760,
+    /* VPANDQZrmbk */
   },
   { /* 6023 */
-    0,
-    /*  */
+    761,
+    /* VPANDQZrmbkz */
   },
   { /* 6024 */
-    44,
-    /* VRSQRTPSm */
+    329,
+    /* VPANDQZrmk */
   },
   { /* 6025 */
-    0,
-    /*  */
+    330,
+    /* VPANDQZrmkz */
   },
   { /* 6026 */
-    45,
-    /* VRSQRTPSr */
+    331,
+    /* VPANDQZrr */
   },
   { /* 6027 */
-    0,
-    /*  */
+    332,
+    /* VPANDQZrrk */
   },
   { /* 6028 */
-    324,
-    /* VRSQRTSSm */
+    333,
+    /* VPANDQZrrkz */
   },
   { /* 6029 */
-    0,
-    /*  */
+    302,
+    /* VPANDYrm */
   },
   { /* 6030 */
-    325,
-    /* VRSQRTSSr */
+    303,
+    /* VPANDYrr */
   },
   { /* 6031 */
-    712,
-    /* VSCATTERDPDZmr */
+    334,
+    /* VPANDrm */
   },
   { /* 6032 */
-    711,
-    /* VSCATTERDPSZmr */
+    335,
+    /* VPANDrr */
   },
   { /* 6033 */
-    470,
-    /* VSCATTERPF0DPDm */
+    302,
+    /* VPAVGBYrm */
   },
   { /* 6034 */
-    471,
-    /* VSCATTERPF0DPSm */
+    303,
+    /* VPAVGBYrr */
   },
   { /* 6035 */
-    472,
-    /* VSCATTERPF0QPDm */
+    334,
+    /* VPAVGBrm */
   },
   { /* 6036 */
-    472,
-    /* VSCATTERPF0QPSm */
+    335,
+    /* VPAVGBrr */
   },
   { /* 6037 */
-    470,
-    /* VSCATTERPF1DPDm */
+    302,
+    /* VPAVGWYrm */
   },
   { /* 6038 */
-    471,
-    /* VSCATTERPF1DPSm */
+    303,
+    /* VPAVGWYrr */
   },
   { /* 6039 */
-    472,
-    /* VSCATTERPF1QPDm */
+    334,
+    /* VPAVGWrm */
   },
   { /* 6040 */
-    472,
-    /* VSCATTERPF1QPSm */
+    335,
+    /* VPAVGWrr */
   },
   { /* 6041 */
-    712,
-    /* VSCATTERQPDZmr */
+    388,
+    /* VPBLENDDYrmi */
   },
   { /* 6042 */
-    713,
-    /* VSCATTERQPSZmr */
+    389,
+    /* VPBLENDDYrri */
   },
   { /* 6043 */
-    595,
-    /* VSHUFPDYrmi */
+    390,
+    /* VPBLENDDrmi */
   },
   { /* 6044 */
-    596,
-    /* VSHUFPDYrri */
+    391,
+    /* VPBLENDDrri */
   },
   { /* 6045 */
-    326,
-    /* VSHUFPDZrmi */
+    304,
+    /* VPBLENDMBZ128rm */
   },
   { /* 6046 */
-    327,
-    /* VSHUFPDZrri */
+    733,
+    /* VPBLENDMBZ128rmk */
   },
   { /* 6047 */
-    593,
-    /* VSHUFPDrmi */
+    733,
+    /* VPBLENDMBZ128rmkz */
   },
   { /* 6048 */
-    594,
-    /* VSHUFPDrri */
+    310,
+    /* VPBLENDMBZ128rr */
   },
   { /* 6049 */
-    595,
-    /* VSHUFPSYrmi */
+    735,
+    /* VPBLENDMBZ128rrk */
   },
   { /* 6050 */
-    596,
-    /* VSHUFPSYrri */
+    735,
+    /* VPBLENDMBZ128rrkz */
   },
   { /* 6051 */
-    326,
-    /* VSHUFPSZrmi */
+    313,
+    /* VPBLENDMBZ256rm */
   },
   { /* 6052 */
-    327,
-    /* VSHUFPSZrri */
+    737,
+    /* VPBLENDMBZ256rmk */
   },
   { /* 6053 */
-    593,
-    /* VSHUFPSrmi */
+    737,
+    /* VPBLENDMBZ256rmkz */
   },
   { /* 6054 */
-    594,
-    /* VSHUFPSrri */
+    319,
+    /* VPBLENDMBZ256rr */
   },
   { /* 6055 */
-    376,
-    /* VSQRTPDYm */
+    739,
+    /* VPBLENDMBZ256rrk */
   },
   { /* 6056 */
-    377,
-    /* VSQRTPDYr */
+    739,
+    /* VPBLENDMBZ256rrkz */
   },
   { /* 6057 */
-    378,
-    /* VSQRTPDZrm */
+    325,
+    /* VPBLENDMBZrm */
   },
   { /* 6058 */
-    379,
-    /* VSQRTPDZrr */
+    741,
+    /* VPBLENDMBZrmk */
   },
   { /* 6059 */
-    44,
-    /* VSQRTPDm */
+    741,
+    /* VPBLENDMBZrmkz */
   },
   { /* 6060 */
-    45,
-    /* VSQRTPDr */
+    331,
+    /* VPBLENDMBZrr */
   },
   { /* 6061 */
-    376,
-    /* VSQRTPSYm */
+    743,
+    /* VPBLENDMBZrrk */
   },
   { /* 6062 */
-    377,
-    /* VSQRTPSYr */
+    743,
+    /* VPBLENDMBZrrkz */
   },
   { /* 6063 */
-    378,
-    /* VSQRTPSZrm */
+    304,
+    /* VPBLENDMDZ128rm */
   },
   { /* 6064 */
-    379,
-    /* VSQRTPSZrr */
+    744,
+    /* VPBLENDMDZ128rmb */
   },
   { /* 6065 */
-    44,
-    /* VSQRTPSm */
+    746,
+    /* VPBLENDMDZ128rmbk */
   },
   { /* 6066 */
-    45,
-    /* VSQRTPSr */
+    340,
+    /* VPBLENDMDZ128rmk */
   },
   { /* 6067 */
-    318,
-    /* VSQRTSDZm */
+    340,
+    /* VPBLENDMDZ128rmkz */
   },
   { /* 6068 */
-    0,
-    /*  */
+    310,
+    /* VPBLENDMDZ128rr */
   },
   { /* 6069 */
-    745,
-    /* VSQRTSDZr */
+    342,
+    /* VPBLENDMDZ128rrk */
   },
   { /* 6070 */
-    0,
-    /*  */
+    342,
+    /* VPBLENDMDZ128rrkz */
   },
   { /* 6071 */
-    320,
-    /* VSQRTSDm */
+    313,
+    /* VPBLENDMDZ256rm */
   },
   { /* 6072 */
-    0,
-    /*  */
+    747,
+    /* VPBLENDMDZ256rmb */
   },
   { /* 6073 */
-    321,
-    /* VSQRTSDr */
+    749,
+    /* VPBLENDMDZ256rmbk */
   },
   { /* 6074 */
-    322,
-    /* VSQRTSSZm */
+    347,
+    /* VPBLENDMDZ256rmk */
   },
   { /* 6075 */
-    0,
-    /*  */
+    347,
+    /* VPBLENDMDZ256rmkz */
   },
   { /* 6076 */
-    746,
-    /* VSQRTSSZr */
+    319,
+    /* VPBLENDMDZ256rr */
   },
   { /* 6077 */
-    0,
-    /*  */
+    349,
+    /* VPBLENDMDZ256rrk */
   },
   { /* 6078 */
-    324,
-    /* VSQRTSSm */
+    349,
+    /* VPBLENDMDZ256rrkz */
   },
   { /* 6079 */
-    0,
-    /*  */
+    325,
+    /* VPBLENDMDZrm */
   },
   { /* 6080 */
-    325,
-    /* VSQRTSSr */
+    750,
+    /* VPBLENDMDZrmb */
   },
   { /* 6081 */
-    38,
-    /* VSTMXCSR */
+    752,
+    /* VPBLENDMDZrmbk */
   },
   { /* 6082 */
-    304,
-    /* VSUBPDYrm */
+    357,
+    /* VPBLENDMDZrmk */
   },
   { /* 6083 */
-    305,
-    /* VSUBPDYrr */
+    357,
+    /* VPBLENDMDZrmkz */
   },
   { /* 6084 */
-    306,
-    /* VSUBPDZrm */
+    331,
+    /* VPBLENDMDZrr */
   },
   { /* 6085 */
-    307,
-    /* VSUBPDZrmb */
+    359,
+    /* VPBLENDMDZrrk */
   },
   { /* 6086 */
-    308,
-    /* VSUBPDZrmbk */
+    359,
+    /* VPBLENDMDZrrkz */
   },
   { /* 6087 */
-    308,
-    /* VSUBPDZrmbkz */
+    304,
+    /* VPBLENDMQZ128rm */
   },
   { /* 6088 */
-    309,
-    /* VSUBPDZrmk */
+    753,
+    /* VPBLENDMQZ128rmb */
   },
   { /* 6089 */
-    309,
-    /* VSUBPDZrmkz */
+    755,
+    /* VPBLENDMQZ128rmbk */
   },
   { /* 6090 */
-    310,
-    /* VSUBPDZrr */
+    309,
+    /* VPBLENDMQZ128rmk */
   },
   { /* 6091 */
-    311,
-    /* VSUBPDZrrk */
+    309,
+    /* VPBLENDMQZ128rmkz */
   },
   { /* 6092 */
-    311,
-    /* VSUBPDZrrkz */
+    310,
+    /* VPBLENDMQZ128rr */
   },
   { /* 6093 */
     312,
-    /* VSUBPDrm */
+    /* VPBLENDMQZ128rrk */
   },
   { /* 6094 */
-    313,
-    /* VSUBPDrr */
+    312,
+    /* VPBLENDMQZ128rrkz */
   },
   { /* 6095 */
-    304,
-    /* VSUBPSYrm */
+    313,
+    /* VPBLENDMQZ256rm */
   },
   { /* 6096 */
-    305,
-    /* VSUBPSYrr */
+    756,
+    /* VPBLENDMQZ256rmb */
   },
   { /* 6097 */
-    306,
-    /* VSUBPSZrm */
+    758,
+    /* VPBLENDMQZ256rmbk */
   },
   { /* 6098 */
-    314,
-    /* VSUBPSZrmb */
+    318,
+    /* VPBLENDMQZ256rmk */
   },
   { /* 6099 */
-    315,
-    /* VSUBPSZrmbk */
+    318,
+    /* VPBLENDMQZ256rmkz */
   },
   { /* 6100 */
-    315,
-    /* VSUBPSZrmbkz */
+    319,
+    /* VPBLENDMQZ256rr */
   },
   { /* 6101 */
-    316,
-    /* VSUBPSZrmk */
+    321,
+    /* VPBLENDMQZ256rrk */
   },
   { /* 6102 */
-    316,
-    /* VSUBPSZrmkz */
+    321,
+    /* VPBLENDMQZ256rrkz */
   },
   { /* 6103 */
-    310,
-    /* VSUBPSZrr */
+    325,
+    /* VPBLENDMQZrm */
   },
   { /* 6104 */
-    317,
-    /* VSUBPSZrrk */
+    759,
+    /* VPBLENDMQZrmb */
   },
   { /* 6105 */
-    317,
-    /* VSUBPSZrrkz */
+    761,
+    /* VPBLENDMQZrmbk */
   },
   { /* 6106 */
-    312,
-    /* VSUBPSrm */
+    330,
+    /* VPBLENDMQZrmk */
   },
   { /* 6107 */
-    313,
-    /* VSUBPSrr */
+    330,
+    /* VPBLENDMQZrmkz */
   },
   { /* 6108 */
-    318,
-    /* VSUBSDZrm */
+    331,
+    /* VPBLENDMQZrr */
   },
   { /* 6109 */
-    319,
-    /* VSUBSDZrr */
+    333,
+    /* VPBLENDMQZrrk */
   },
   { /* 6110 */
-    320,
-    /* VSUBSDrm */
+    333,
+    /* VPBLENDMQZrrkz */
   },
   { /* 6111 */
-    0,
-    /*  */
+    304,
+    /* VPBLENDMWZ128rm */
   },
   { /* 6112 */
-    321,
-    /* VSUBSDrr */
+    763,
+    /* VPBLENDMWZ128rmk */
   },
   { /* 6113 */
-    0,
-    /*  */
+    763,
+    /* VPBLENDMWZ128rmkz */
   },
   { /* 6114 */
-    322,
-    /* VSUBSSZrm */
+    310,
+    /* VPBLENDMWZ128rr */
   },
   { /* 6115 */
-    323,
-    /* VSUBSSZrr */
+    765,
+    /* VPBLENDMWZ128rrk */
   },
   { /* 6116 */
-    324,
-    /* VSUBSSrm */
+    765,
+    /* VPBLENDMWZ128rrkz */
   },
   { /* 6117 */
-    0,
-    /*  */
+    313,
+    /* VPBLENDMWZ256rm */
   },
   { /* 6118 */
-    325,
-    /* VSUBSSrr */
+    767,
+    /* VPBLENDMWZ256rmk */
   },
   { /* 6119 */
-    0,
-    /*  */
+    767,
+    /* VPBLENDMWZ256rmkz */
   },
   { /* 6120 */
-    376,
-    /* VTESTPDYrm */
+    319,
+    /* VPBLENDMWZ256rr */
   },
   { /* 6121 */
-    377,
-    /* VTESTPDYrr */
+    769,
+    /* VPBLENDMWZ256rrk */
   },
   { /* 6122 */
-    44,
-    /* VTESTPDrm */
+    769,
+    /* VPBLENDMWZ256rrkz */
   },
   { /* 6123 */
-    45,
-    /* VTESTPDrr */
+    325,
+    /* VPBLENDMWZrm */
   },
   { /* 6124 */
-    376,
-    /* VTESTPSYrm */
+    771,
+    /* VPBLENDMWZrmk */
   },
   { /* 6125 */
-    377,
-    /* VTESTPSYrr */
+    771,
+    /* VPBLENDMWZrmkz */
   },
   { /* 6126 */
-    44,
-    /* VTESTPSrm */
+    331,
+    /* VPBLENDMWZrr */
   },
   { /* 6127 */
-    45,
-    /* VTESTPSrr */
+    773,
+    /* VPBLENDMWZrrk */
   },
   { /* 6128 */
-    566,
-    /* VUCOMISDZrm */
+    773,
+    /* VPBLENDMWZrrkz */
   },
   { /* 6129 */
-    747,
-    /* VUCOMISDZrr */
+    392,
+    /* VPBLENDVBYrm */
   },
   { /* 6130 */
-    254,
-    /* VUCOMISDrm */
+    393,
+    /* VPBLENDVBYrr */
   },
   { /* 6131 */
-    303,
-    /* VUCOMISDrr */
+    394,
+    /* VPBLENDVBrm */
   },
   { /* 6132 */
-    574,
-    /* VUCOMISSZrm */
+    395,
+    /* VPBLENDVBrr */
   },
   { /* 6133 */
-    748,
-    /* VUCOMISSZrr */
+    388,
+    /* VPBLENDWYrmi */
   },
   { /* 6134 */
-    258,
-    /* VUCOMISSrm */
+    389,
+    /* VPBLENDWYrri */
   },
   { /* 6135 */
-    287,
-    /* VUCOMISSrr */
+    390,
+    /* VPBLENDWrmi */
   },
   { /* 6136 */
-    304,
-    /* VUNPCKHPDYrm */
+    391,
+    /* VPBLENDWrri */
   },
   { /* 6137 */
-    305,
-    /* VUNPCKHPDYrr */
+    774,
+    /* VPBROADCASTBYrm */
   },
   { /* 6138 */
-    306,
-    /* VUNPCKHPDZrm */
+    402,
+    /* VPBROADCASTBYrr */
   },
   { /* 6139 */
-    310,
-    /* VUNPCKHPDZrr */
+    660,
+    /* VPBROADCASTBrZ128r */
   },
   { /* 6140 */
-    312,
-    /* VUNPCKHPDrm */
+    775,
+    /* VPBROADCASTBrZ128rk */
   },
   { /* 6141 */
-    313,
-    /* VUNPCKHPDrr */
+    776,
+    /* VPBROADCASTBrZ128rkz */
   },
   { /* 6142 */
-    304,
-    /* VUNPCKHPSYrm */
+    777,
+    /* VPBROADCASTBrZ256r */
   },
   { /* 6143 */
-    305,
-    /* VUNPCKHPSYrr */
+    778,
+    /* VPBROADCASTBrZ256rk */
   },
   { /* 6144 */
-    306,
-    /* VUNPCKHPSZrm */
+    779,
+    /* VPBROADCASTBrZ256rkz */
   },
   { /* 6145 */
-    310,
-    /* VUNPCKHPSZrr */
+    780,
+    /* VPBROADCASTBrZr */
   },
   { /* 6146 */
-    312,
-    /* VUNPCKHPSrm */
+    781,
+    /* VPBROADCASTBrZrk */
   },
   { /* 6147 */
-    313,
-    /* VUNPCKHPSrr */
+    782,
+    /* VPBROADCASTBrZrkz */
   },
   { /* 6148 */
-    304,
-    /* VUNPCKLPDYrm */
+    783,
+    /* VPBROADCASTBrm */
   },
   { /* 6149 */
-    305,
-    /* VUNPCKLPDYrr */
+    45,
+    /* VPBROADCASTBrr */
   },
   { /* 6150 */
-    306,
-    /* VUNPCKLPDZrm */
+    784,
+    /* VPBROADCASTDYrm */
   },
   { /* 6151 */
-    310,
-    /* VUNPCKLPDZrr */
+    402,
+    /* VPBROADCASTDYrr */
   },
   { /* 6152 */
-    312,
-    /* VUNPCKLPDrm */
+    729,
+    /* VPBROADCASTDZkrm */
   },
   { /* 6153 */
-    313,
-    /* VUNPCKLPDrr */
+    433,
+    /* VPBROADCASTDZkrr */
   },
   { /* 6154 */
-    304,
-    /* VUNPCKLPSYrm */
+    728,
+    /* VPBROADCASTDZrm */
   },
   { /* 6155 */
-    305,
-    /* VUNPCKLPSYrr */
+    431,
+    /* VPBROADCASTDZrr */
   },
   { /* 6156 */
-    306,
-    /* VUNPCKLPSZrm */
+    660,
+    /* VPBROADCASTDrZ128r */
   },
   { /* 6157 */
-    310,
-    /* VUNPCKLPSZrr */
+    785,
+    /* VPBROADCASTDrZ128rk */
   },
   { /* 6158 */
-    312,
-    /* VUNPCKLPSrm */
+    786,
+    /* VPBROADCASTDrZ128rkz */
   },
   { /* 6159 */
-    313,
-    /* VUNPCKLPSrr */
+    777,
+    /* VPBROADCASTDrZ256r */
   },
   { /* 6160 */
-    304,
-    /* VXORPDYrm */
+    787,
+    /* VPBROADCASTDrZ256rk */
   },
   { /* 6161 */
-    305,
-    /* VXORPDYrr */
+    788,
+    /* VPBROADCASTDrZ256rkz */
   },
   { /* 6162 */
-    312,
-    /* VXORPDrm */
+    780,
+    /* VPBROADCASTDrZr */
   },
   { /* 6163 */
-    313,
-    /* VXORPDrr */
+    789,
+    /* VPBROADCASTDrZrk */
   },
   { /* 6164 */
-    304,
-    /* VXORPSYrm */
+    790,
+    /* VPBROADCASTDrZrkz */
   },
   { /* 6165 */
-    305,
-    /* VXORPSYrr */
+    105,
+    /* VPBROADCASTDrm */
   },
   { /* 6166 */
-    312,
-    /* VXORPSrm */
+    45,
+    /* VPBROADCASTDrr */
   },
   { /* 6167 */
-    313,
-    /* VXORPSrr */
+    791,
+    /* VPBROADCASTMB2QZ128rr */
   },
   { /* 6168 */
-    0,
-    /* VZEROALL */
+    792,
+    /* VPBROADCASTMB2QZ256rr */
   },
   { /* 6169 */
-    0,
-    /* VZEROUPPER */
+    793,
+    /* VPBROADCASTMB2QZrr */
   },
   { /* 6170 */
-    0,
-    /*  */
+    794,
+    /* VPBROADCASTMW2DZ128rr */
   },
   { /* 6171 */
-    0,
-    /*  */
+    795,
+    /* VPBROADCASTMW2DZ256rr */
   },
   { /* 6172 */
-    0,
-    /*  */
+    796,
+    /* VPBROADCASTMW2DZrr */
   },
   { /* 6173 */
-    0,
-    /* WAIT */
+    784,
+    /* VPBROADCASTQYrm */
   },
   { /* 6174 */
-    0,
-    /* WBINVD */
+    402,
+    /* VPBROADCASTQYrr */
   },
   { /* 6175 */
-    0,
-    /*  */
+    731,
+    /* VPBROADCASTQZkrm */
   },
   { /* 6176 */
-    0,
-    /*  */
+    414,
+    /* VPBROADCASTQZkrr */
   },
   { /* 6177 */
-    0,
-    /*  */
+    730,
+    /* VPBROADCASTQZrm */
   },
   { /* 6178 */
-    288,
-    /* WRFSBASE */
+    412,
+    /* VPBROADCASTQZrr */
   },
   { /* 6179 */
-    79,
-    /* WRFSBASE64 */
+    632,
+    /* VPBROADCASTQrZ128r */
   },
   { /* 6180 */
-    288,
-    /* WRGSBASE */
+    797,
+    /* VPBROADCASTQrZ128rk */
   },
   { /* 6181 */
-    79,
-    /* WRGSBASE64 */
+    798,
+    /* VPBROADCASTQrZ128rkz */
   },
   { /* 6182 */
-    0,
-    /* WRMSR */
+    799,
+    /* VPBROADCASTQrZ256r */
   },
   { /* 6183 */
-    1,
-    /* XABORT */
+    800,
+    /* VPBROADCASTQrZ256rk */
   },
   { /* 6184 */
-    0,
-    /*  */
+    801,
+    /* VPBROADCASTQrZ256rkz */
   },
   { /* 6185 */
-    5,
-    /* XADD16rm */
+    802,
+    /* VPBROADCASTQrZr */
   },
   { /* 6186 */
-    73,
-    /* XADD16rr */
+    803,
+    /* VPBROADCASTQrZrk */
   },
   { /* 6187 */
-    5,
-    /* XADD32rm */
+    804,
+    /* VPBROADCASTQrZrkz */
   },
   { /* 6188 */
-    73,
-    /* XADD32rr */
+    105,
+    /* VPBROADCASTQrm */
   },
   { /* 6189 */
-    16,
-    /* XADD64rm */
+    45,
+    /* VPBROADCASTQrr */
   },
   { /* 6190 */
-    76,
-    /* XADD64rr */
+    784,
+    /* VPBROADCASTWYrm */
   },
   { /* 6191 */
-    23,
-    /* XADD8rm */
+    402,
+    /* VPBROADCASTWYrr */
   },
   { /* 6192 */
-    87,
-    /* XADD8rr */
+    660,
+    /* VPBROADCASTWrZ128r */
   },
   { /* 6193 */
-    0,
-    /*  */
+    805,
+    /* VPBROADCASTWrZ128rk */
   },
   { /* 6194 */
-    157,
-    /* XBEGIN_4 */
+    806,
+    /* VPBROADCASTWrZ128rkz */
   },
   { /* 6195 */
-    277,
-    /* XCHG16ar */
+    777,
+    /* VPBROADCASTWrZ256r */
   },
   { /* 6196 */
-    8,
-    /* XCHG16rm */
+    807,
+    /* VPBROADCASTWrZ256rk */
   },
   { /* 6197 */
-    10,
-    /* XCHG16rr */
+    808,
+    /* VPBROADCASTWrZ256rkz */
   },
   { /* 6198 */
-    277,
-    /* XCHG32ar */
+    780,
+    /* VPBROADCASTWrZr */
   },
   { /* 6199 */
-    277,
-    /* XCHG32ar64 */
+    809,
+    /* VPBROADCASTWrZrk */
   },
   { /* 6200 */
-    8,
-    /* XCHG32rm */
+    810,
+    /* VPBROADCASTWrZrkz */
   },
   { /* 6201 */
-    10,
-    /* XCHG32rr */
+    105,
+    /* VPBROADCASTWrm */
   },
   { /* 6202 */
-    278,
-    /* XCHG64ar */
+    45,
+    /* VPBROADCASTWrr */
   },
   { /* 6203 */
-    19,
-    /* XCHG64rm */
+    390,
+    /* VPCLMULQDQrm */
   },
   { /* 6204 */
-    21,
-    /* XCHG64rr */
+    391,
+    /* VPCLMULQDQrr */
   },
   { /* 6205 */
-    25,
-    /* XCHG8rm */
+    394,
+    /* VPCMOVmr */
   },
   { /* 6206 */
-    27,
-    /* XCHG8rr */
+    392,
+    /* VPCMOVmrY */
   },
   { /* 6207 */
-    39,
-    /* XCH_F */
+    579,
+    /* VPCMOVrm */
   },
   { /* 6208 */
-    0,
-    /* XCRYPTCBC */
+    580,
+    /* VPCMOVrmY */
   },
   { /* 6209 */
-    0,
-    /* XCRYPTCFB */
+    395,
+    /* VPCMOVrr */
   },
   { /* 6210 */
-    0,
-    /* XCRYPTCTR */
+    393,
+    /* VPCMOVrrY */
   },
   { /* 6211 */
-    0,
-    /* XCRYPTECB */
+    811,
+    /* VPCMPBZ128rmi */
   },
   { /* 6212 */
     0,
-    /* XCRYPTOFB */
+    /*  */
   },
   { /* 6213 */
-    0,
-    /* XEND */
+    812,
+    /* VPCMPBZ128rmik */
   },
   { /* 6214 */
     0,
-    /* XGETBV */
+    /*  */
   },
   { /* 6215 */
-    0,
-    /* XLAT */
+    813,
+    /* VPCMPBZ128rri */
   },
   { /* 6216 */
-    2,
-    /* XOR16i16 */
+    0,
+    /*  */
   },
   { /* 6217 */
-    3,
-    /* XOR16mi */
+    814,
+    /* VPCMPBZ128rrik */
   },
   { /* 6218 */
-    4,
-    /* XOR16mi8 */
+    0,
+    /*  */
   },
   { /* 6219 */
-    5,
-    /* XOR16mr */
+    815,
+    /* VPCMPBZ256rmi */
   },
   { /* 6220 */
-    6,
-    /* XOR16ri */
+    0,
+    /*  */
   },
   { /* 6221 */
-    7,
-    /* XOR16ri8 */
+    816,
+    /* VPCMPBZ256rmik */
   },
   { /* 6222 */
-    8,
-    /* XOR16rm */
+    0,
+    /*  */
   },
   { /* 6223 */
-    9,
-    /* XOR16rr */
+    817,
+    /* VPCMPBZ256rri */
   },
   { /* 6224 */
-    10,
-    /* XOR16rr_REV */
+    0,
+    /*  */
   },
   { /* 6225 */
-    2,
-    /* XOR32i32 */
+    818,
+    /* VPCMPBZ256rrik */
   },
   { /* 6226 */
-    3,
-    /* XOR32mi */
+    0,
+    /*  */
   },
   { /* 6227 */
-    11,
-    /* XOR32mi8 */
+    819,
+    /* VPCMPBZrmi */
   },
   { /* 6228 */
-    5,
-    /* XOR32mr */
+    0,
+    /*  */
   },
   { /* 6229 */
-    6,
-    /* XOR32ri */
+    820,
+    /* VPCMPBZrmik */
   },
   { /* 6230 */
-    12,
-    /* XOR32ri8 */
+    0,
+    /*  */
   },
   { /* 6231 */
-    8,
-    /* XOR32rm */
+    821,
+    /* VPCMPBZrri */
   },
   { /* 6232 */
-    9,
-    /* XOR32rr */
+    0,
+    /*  */
   },
   { /* 6233 */
-    10,
-    /* XOR32rr_REV */
+    822,
+    /* VPCMPBZrrik */
   },
   { /* 6234 */
-    13,
-    /* XOR64i32 */
+    0,
+    /*  */
   },
   { /* 6235 */
-    14,
-    /* XOR64mi32 */
+    823,
+    /* VPCMPDZ128rmi */
   },
   { /* 6236 */
-    15,
-    /* XOR64mi8 */
+    0,
+    /*  */
   },
   { /* 6237 */
-    16,
-    /* XOR64mr */
+    824,
+    /* VPCMPDZ128rmib */
   },
   { /* 6238 */
-    17,
-    /* XOR64ri32 */
+    0,
+    /*  */
   },
   { /* 6239 */
-    18,
-    /* XOR64ri8 */
+    825,
+    /* VPCMPDZ128rmibk */
   },
   { /* 6240 */
-    19,
-    /* XOR64rm */
+    0,
+    /*  */
   },
   { /* 6241 */
-    20,
-    /* XOR64rr */
+    826,
+    /* VPCMPDZ128rmik */
   },
   { /* 6242 */
-    21,
-    /* XOR64rr_REV */
+    0,
+    /*  */
   },
   { /* 6243 */
-    1,
-    /* XOR8i8 */
+    827,
+    /* VPCMPDZ128rri */
   },
   { /* 6244 */
-    22,
-    /* XOR8mi */
+    0,
+    /*  */
   },
   { /* 6245 */
-    23,
-    /* XOR8mr */
+    828,
+    /* VPCMPDZ128rrik */
   },
   { /* 6246 */
-    24,
-    /* XOR8ri */
+    0,
+    /*  */
   },
   { /* 6247 */
-    24,
-    /* XOR8ri8 */
+    829,
+    /* VPCMPDZ256rmi */
   },
   { /* 6248 */
-    25,
-    /* XOR8rm */
+    0,
+    /*  */
   },
   { /* 6249 */
-    26,
-    /* XOR8rr */
+    830,
+    /* VPCMPDZ256rmib */
   },
   { /* 6250 */
-    27,
-    /* XOR8rr_REV */
+    0,
+    /*  */
   },
   { /* 6251 */
-    30,
-    /* XORPDrm */
+    831,
+    /* VPCMPDZ256rmibk */
   },
   { /* 6252 */
-    31,
-    /* XORPDrr */
+    0,
+    /*  */
   },
   { /* 6253 */
-    30,
-    /* XORPSrm */
+    832,
+    /* VPCMPDZ256rmik */
   },
   { /* 6254 */
-    31,
-    /* XORPSrr */
-  },
-  { /* 6255 */
     0,
     /*  */
   },
+  { /* 6255 */
+    833,
+    /* VPCMPDZ256rri */
+  },
   { /* 6256 */
-    140,
-    /* XRSTOR */
+    0,
+    /*  */
   },
   { /* 6257 */
-    140,
-    /* XRSTOR64 */
+    834,
+    /* VPCMPDZ256rrik */
   },
   { /* 6258 */
-    140,
-    /* XSAVE */
+    0,
+    /*  */
   },
   { /* 6259 */
-    140,
-    /* XSAVE64 */
+    835,
+    /* VPCMPDZrmi */
   },
   { /* 6260 */
-    140,
-    /* XSAVEOPT */
+    0,
+    /*  */
   },
   { /* 6261 */
-    140,
-    /* XSAVEOPT64 */
+    836,
+    /* VPCMPDZrmib */
   },
   { /* 6262 */
     0,
-    /* XSETBV */
+    /*  */
   },
   { /* 6263 */
-    0,
-    /* XSHA1 */
+    837,
+    /* VPCMPDZrmibk */
   },
   { /* 6264 */
     0,
-    /* XSHA256 */
+    /*  */
   },
   { /* 6265 */
-    0,
-    /* XSTORE */
+    838,
+    /* VPCMPDZrmik */
   },
   { /* 6266 */
     0,
-    /* XTEST */
-  }
-};
-
-static const uint8_t x86DisassemblerContexts[16384] = {
-  IC, /* 0 */
-  IC_64BIT, /* 1 */
-  IC_XS, /* 2 */
-  IC_64BIT_XS, /* 3 */
-  IC_XD, /* 4 */
-  IC_64BIT_XD, /* 5 */
-  IC_XS, /* 6 */
-  IC_64BIT_XS, /* 7 */
-  IC, /* 8 */
-  IC_64BIT_REXW, /* 9 */
-  IC_XS, /* 10 */
-  IC_64BIT_REXW_XS, /* 11 */
-  IC_XD, /* 12 */
-  IC_64BIT_REXW_XD, /* 13 */
-  IC_XS, /* 14 */
-  IC_64BIT_REXW_XS, /* 15 */
-  IC_OPSIZE, /* 16 */
-  IC_64BIT_OPSIZE, /* 17 */
-  IC_XS_OPSIZE, /* 18 */
-  IC_64BIT_XS_OPSIZE, /* 19 */
-  IC_XD_OPSIZE, /* 20 */
-  IC_64BIT_XD_OPSIZE, /* 21 */
-  IC_XS_OPSIZE, /* 22 */
-  IC_64BIT_XD_OPSIZE, /* 23 */
-  IC_OPSIZE, /* 24 */
-  IC_64BIT_REXW_OPSIZE, /* 25 */
-  IC_XS_OPSIZE, /* 26 */
-  IC_64BIT_REXW_XS, /* 27 */
-  IC_XD_OPSIZE, /* 28 */
-  IC_64BIT_REXW_XD, /* 29 */
-  IC_XS_OPSIZE, /* 30 */
-  IC_64BIT_REXW_XS, /* 31 */
-  IC_ADSIZE, /* 32 */
-  IC_64BIT_ADSIZE, /* 33 */
-  IC_XS, /* 34 */
-  IC_64BIT_XS, /* 35 */
-  IC_XD, /* 36 */
-  IC_64BIT_XD, /* 37 */
-  IC_XS, /* 38 */
-  IC_64BIT_XS, /* 39 */
-  IC_ADSIZE, /* 40 */
-  IC_64BIT_ADSIZE, /* 41 */
-  IC_XS, /* 42 */
-  IC_64BIT_REXW_XS, /* 43 */
-  IC_XD, /* 44 */
-  IC_64BIT_REXW_XD, /* 45 */
-  IC_XS, /* 46 */
-  IC_64BIT_REXW_XS, /* 47 */
-  IC_OPSIZE, /* 48 */
-  IC_64BIT_OPSIZE, /* 49 */
-  IC_XS_OPSIZE, /* 50 */
-  IC_64BIT_XS_OPSIZE, /* 51 */
-  IC_XD_OPSIZE, /* 52 */
-  IC_64BIT_XD_OPSIZE, /* 53 */
-  IC_XS_OPSIZE, /* 54 */
-  IC_64BIT_XD_OPSIZE, /* 55 */
-  IC_OPSIZE, /* 56 */
-  IC_64BIT_REXW_OPSIZE, /* 57 */
-  IC_XS_OPSIZE, /* 58 */
-  IC_64BIT_REXW_XS, /* 59 */
-  IC_XD_OPSIZE, /* 60 */
-  IC_64BIT_REXW_XD, /* 61 */
-  IC_XS_OPSIZE, /* 62 */
-  IC_64BIT_REXW_XS, /* 63 */
-  IC_VEX, /* 64 */
-  IC_VEX, /* 65 */
-  IC_VEX_XS, /* 66 */
-  IC_VEX_XS, /* 67 */
-  IC_VEX_XD, /* 68 */
-  IC_VEX_XD, /* 69 */
-  IC_VEX_XD, /* 70 */
-  IC_VEX_XD, /* 71 */
-  IC_VEX_W, /* 72 */
-  IC_VEX_W, /* 73 */
-  IC_VEX_W_XS, /* 74 */
-  IC_VEX_W_XS, /* 75 */
-  IC_VEX_W_XD, /* 76 */
-  IC_VEX_W_XD, /* 77 */
-  IC_VEX_W_XD, /* 78 */
-  IC_VEX_W_XD, /* 79 */
-  IC_VEX_OPSIZE, /* 80 */
-  IC_VEX_OPSIZE, /* 81 */
-  IC_VEX_OPSIZE, /* 82 */
-  IC_VEX_OPSIZE, /* 83 */
-  IC_VEX_OPSIZE, /* 84 */
-  IC_VEX_OPSIZE, /* 85 */
-  IC_VEX_OPSIZE, /* 86 */
-  IC_VEX_OPSIZE, /* 87 */
-  IC_VEX_W_OPSIZE, /* 88 */
-  IC_VEX_W_OPSIZE, /* 89 */
-  IC_VEX_W_OPSIZE, /* 90 */
-  IC_VEX_W_OPSIZE, /* 91 */
-  IC_VEX_W_OPSIZE, /* 92 */
-  IC_VEX_W_OPSIZE, /* 93 */
-  IC_VEX_W_OPSIZE, /* 94 */
-  IC_VEX_W_OPSIZE, /* 95 */
-  IC_VEX, /* 96 */
-  IC_VEX, /* 97 */
-  IC_VEX_XS, /* 98 */
-  IC_VEX_XS, /* 99 */
-  IC_VEX_XD, /* 100 */
-  IC_VEX_XD, /* 101 */
-  IC_VEX_XD, /* 102 */
-  IC_VEX_XD, /* 103 */
-  IC_VEX_W, /* 104 */
-  IC_VEX_W, /* 105 */
-  IC_VEX_W_XS, /* 106 */
-  IC_VEX_W_XS, /* 107 */
-  IC_VEX_W_XD, /* 108 */
-  IC_VEX_W_XD, /* 109 */
-  IC_VEX_W_XD, /* 110 */
-  IC_VEX_W_XD, /* 111 */
-  IC_VEX_OPSIZE, /* 112 */
-  IC_VEX_OPSIZE, /* 113 */
-  IC_VEX_OPSIZE, /* 114 */
-  IC_VEX_OPSIZE, /* 115 */
-  IC_VEX_OPSIZE, /* 116 */
-  IC_VEX_OPSIZE, /* 117 */
-  IC_VEX_OPSIZE, /* 118 */
-  IC_VEX_OPSIZE, /* 119 */
-  IC_VEX_W_OPSIZE, /* 120 */
-  IC_VEX_W_OPSIZE, /* 121 */
-  IC_VEX_W_OPSIZE, /* 122 */
-  IC_VEX_W_OPSIZE, /* 123 */
-  IC_VEX_W_OPSIZE, /* 124 */
-  IC_VEX_W_OPSIZE, /* 125 */
-  IC_VEX_W_OPSIZE, /* 126 */
-  IC_VEX_W_OPSIZE, /* 127 */
-  IC_VEX_L, /* 128 */
-  IC_VEX_L, /* 129 */
-  IC_VEX_L_XS, /* 130 */
-  IC_VEX_L_XS, /* 131 */
-  IC_VEX_L_XD, /* 132 */
-  IC_VEX_L_XD, /* 133 */
-  IC_VEX_L_XD, /* 134 */
-  IC_VEX_L_XD, /* 135 */
-  IC_VEX_L_W, /* 136 */
-  IC_VEX_L_W, /* 137 */
-  IC_VEX_L_W_XS, /* 138 */
-  IC_VEX_L_W_XS, /* 139 */
-  IC_VEX_L_W_XD, /* 140 */
-  IC_VEX_L_W_XD, /* 141 */
-  IC_VEX_L_W_XD, /* 142 */
-  IC_VEX_L_W_XD, /* 143 */
-  IC_VEX_L_OPSIZE, /* 144 */
-  IC_VEX_L_OPSIZE, /* 145 */
-  IC_VEX_L_OPSIZE, /* 146 */
-  IC_VEX_L_OPSIZE, /* 147 */
-  IC_VEX_L_OPSIZE, /* 148 */
-  IC_VEX_L_OPSIZE, /* 149 */
-  IC_VEX_L_OPSIZE, /* 150 */
-  IC_VEX_L_OPSIZE, /* 151 */
-  IC_VEX_L_W_OPSIZE, /* 152 */
-  IC_VEX_L_W_OPSIZE, /* 153 */
-  IC_VEX_L_W_OPSIZE, /* 154 */
-  IC_VEX_L_W_OPSIZE, /* 155 */
-  IC_VEX_L_W_OPSIZE, /* 156 */
-  IC_VEX_L_W_OPSIZE, /* 157 */
-  IC_VEX_L_W_OPSIZE, /* 158 */
-  IC_VEX_L_W_OPSIZE, /* 159 */
-  IC_VEX_L, /* 160 */
-  IC_VEX_L, /* 161 */
-  IC_VEX_L_XS, /* 162 */
-  IC_VEX_L_XS, /* 163 */
-  IC_VEX_L_XD, /* 164 */
-  IC_VEX_L_XD, /* 165 */
-  IC_VEX_L_XD, /* 166 */
-  IC_VEX_L_XD, /* 167 */
-  IC_VEX_L_W, /* 168 */
-  IC_VEX_L_W, /* 169 */
-  IC_VEX_L_W_XS, /* 170 */
-  IC_VEX_L_W_XS, /* 171 */
-  IC_VEX_L_W_XD, /* 172 */
-  IC_VEX_L_W_XD, /* 173 */
-  IC_VEX_L_W_XD, /* 174 */
-  IC_VEX_L_W_XD, /* 175 */
-  IC_VEX_L_OPSIZE, /* 176 */
-  IC_VEX_L_OPSIZE, /* 177 */
-  IC_VEX_L_OPSIZE, /* 178 */
-  IC_VEX_L_OPSIZE, /* 179 */
-  IC_VEX_L_OPSIZE, /* 180 */
-  IC_VEX_L_OPSIZE, /* 181 */
-  IC_VEX_L_OPSIZE, /* 182 */
-  IC_VEX_L_OPSIZE, /* 183 */
-  IC_VEX_L_W_OPSIZE, /* 184 */
-  IC_VEX_L_W_OPSIZE, /* 185 */
-  IC_VEX_L_W_OPSIZE, /* 186 */
-  IC_VEX_L_W_OPSIZE, /* 187 */
-  IC_VEX_L_W_OPSIZE, /* 188 */
-  IC_VEX_L_W_OPSIZE, /* 189 */
-  IC_VEX_L_W_OPSIZE, /* 190 */
-  IC_VEX_L_W_OPSIZE, /* 191 */
-  IC_VEX_L, /* 192 */
-  IC_VEX_L, /* 193 */
-  IC_VEX_L_XS, /* 194 */
-  IC_VEX_L_XS, /* 195 */
-  IC_VEX_L_XD, /* 196 */
-  IC_VEX_L_XD, /* 197 */
-  IC_VEX_L_XD, /* 198 */
-  IC_VEX_L_XD, /* 199 */
-  IC_VEX_L_W, /* 200 */
-  IC_VEX_L_W, /* 201 */
-  IC_VEX_L_W_XS, /* 202 */
-  IC_VEX_L_W_XS, /* 203 */
-  IC_VEX_L_W_XD, /* 204 */
-  IC_VEX_L_W_XD, /* 205 */
-  IC_VEX_L_W_XD, /* 206 */
-  IC_VEX_L_W_XD, /* 207 */
-  IC_VEX_L_OPSIZE, /* 208 */
-  IC_VEX_L_OPSIZE, /* 209 */
-  IC_VEX_L_OPSIZE, /* 210 */
-  IC_VEX_L_OPSIZE, /* 211 */
-  IC_VEX_L_OPSIZE, /* 212 */
-  IC_VEX_L_OPSIZE, /* 213 */
-  IC_VEX_L_OPSIZE, /* 214 */
-  IC_VEX_L_OPSIZE, /* 215 */
-  IC_VEX_L_W_OPSIZE, /* 216 */
-  IC_VEX_L_W_OPSIZE, /* 217 */
-  IC_VEX_L_W_OPSIZE, /* 218 */
-  IC_VEX_L_W_OPSIZE, /* 219 */
-  IC_VEX_L_W_OPSIZE, /* 220 */
-  IC_VEX_L_W_OPSIZE, /* 221 */
-  IC_VEX_L_W_OPSIZE, /* 222 */
-  IC_VEX_L_W_OPSIZE, /* 223 */
-  IC_VEX_L, /* 224 */
-  IC_VEX_L, /* 225 */
-  IC_VEX_L_XS, /* 226 */
-  IC_VEX_L_XS, /* 227 */
-  IC_VEX_L_XD, /* 228 */
-  IC_VEX_L_XD, /* 229 */
-  IC_VEX_L_XD, /* 230 */
-  IC_VEX_L_XD, /* 231 */
-  IC_VEX_L_W, /* 232 */
-  IC_VEX_L_W, /* 233 */
-  IC_VEX_L_W_XS, /* 234 */
-  IC_VEX_L_W_XS, /* 235 */
-  IC_VEX_L_W_XD, /* 236 */
-  IC_VEX_L_W_XD, /* 237 */
-  IC_VEX_L_W_XD, /* 238 */
-  IC_VEX_L_W_XD, /* 239 */
-  IC_VEX_L_OPSIZE, /* 240 */
-  IC_VEX_L_OPSIZE, /* 241 */
-  IC_VEX_L_OPSIZE, /* 242 */
-  IC_VEX_L_OPSIZE, /* 243 */
-  IC_VEX_L_OPSIZE, /* 244 */
-  IC_VEX_L_OPSIZE, /* 245 */
-  IC_VEX_L_OPSIZE, /* 246 */
-  IC_VEX_L_OPSIZE, /* 247 */
-  IC_VEX_L_W_OPSIZE, /* 248 */
-  IC_VEX_L_W_OPSIZE, /* 249 */
-  IC_VEX_L_W_OPSIZE, /* 250 */
-  IC_VEX_L_W_OPSIZE, /* 251 */
-  IC_VEX_L_W_OPSIZE, /* 252 */
-  IC_VEX_L_W_OPSIZE, /* 253 */
-  IC_VEX_L_W_OPSIZE, /* 254 */
-  IC_VEX_L_W_OPSIZE, /* 255 */
-  IC_EVEX, /* 256 */
-  IC_EVEX, /* 257 */
-  IC_EVEX_XS, /* 258 */
-  IC_EVEX_XS, /* 259 */
-  IC_EVEX_XD, /* 260 */
-  IC_EVEX_XD, /* 261 */
-  IC_EVEX_XD, /* 262 */
-  IC_EVEX_XD, /* 263 */
-  IC_EVEX_W, /* 264 */
-  IC_EVEX_W, /* 265 */
-  IC_EVEX_W_XS, /* 266 */
-  IC_EVEX_W_XS, /* 267 */
-  IC_EVEX_W_XD, /* 268 */
-  IC_EVEX_W_XD, /* 269 */
-  IC_EVEX_W_XD, /* 270 */
-  IC_EVEX_W_XD, /* 271 */
-  IC_EVEX_OPSIZE, /* 272 */
-  IC_EVEX_OPSIZE, /* 273 */
-  IC_EVEX_OPSIZE, /* 274 */
-  IC_EVEX_OPSIZE, /* 275 */
-  IC_EVEX_OPSIZE, /* 276 */
-  IC_EVEX_OPSIZE, /* 277 */
-  IC_EVEX_OPSIZE, /* 278 */
-  IC_EVEX_OPSIZE, /* 279 */
-  IC_EVEX_W_OPSIZE, /* 280 */
-  IC_EVEX_W_OPSIZE, /* 281 */
-  IC_EVEX_W_OPSIZE, /* 282 */
-  IC_EVEX_W_OPSIZE, /* 283 */
-  IC_EVEX_W_OPSIZE, /* 284 */
-  IC_EVEX_W_OPSIZE, /* 285 */
-  IC_EVEX_W_OPSIZE, /* 286 */
-  IC_EVEX_W_OPSIZE, /* 287 */
-  IC_EVEX, /* 288 */
-  IC_EVEX, /* 289 */
-  IC_EVEX_XS, /* 290 */
-  IC_EVEX_XS, /* 291 */
-  IC_EVEX_XD, /* 292 */
-  IC_EVEX_XD, /* 293 */
-  IC_EVEX_XD, /* 294 */
-  IC_EVEX_XD, /* 295 */
-  IC_EVEX_W, /* 296 */
-  IC_EVEX_W, /* 297 */
-  IC_EVEX_W_XS, /* 298 */
-  IC_EVEX_W_XS, /* 299 */
-  IC_EVEX_W_XD, /* 300 */
-  IC_EVEX_W_XD, /* 301 */
-  IC_EVEX_W_XD, /* 302 */
-  IC_EVEX_W_XD, /* 303 */
-  IC_EVEX_OPSIZE, /* 304 */
-  IC_EVEX_OPSIZE, /* 305 */
-  IC_EVEX_OPSIZE, /* 306 */
-  IC_EVEX_OPSIZE, /* 307 */
-  IC_EVEX_OPSIZE, /* 308 */
-  IC_EVEX_OPSIZE, /* 309 */
-  IC_EVEX_OPSIZE, /* 310 */
-  IC_EVEX_OPSIZE, /* 311 */
-  IC_EVEX_W_OPSIZE, /* 312 */
-  IC_EVEX_W_OPSIZE, /* 313 */
-  IC_EVEX_W_OPSIZE, /* 314 */
-  IC_EVEX_W_OPSIZE, /* 315 */
-  IC_EVEX_W_OPSIZE, /* 316 */
-  IC_EVEX_W_OPSIZE, /* 317 */
-  IC_EVEX_W_OPSIZE, /* 318 */
-  IC_EVEX_W_OPSIZE, /* 319 */
-  IC_EVEX, /* 320 */
-  IC_EVEX, /* 321 */
-  IC_EVEX_XS, /* 322 */
-  IC_EVEX_XS, /* 323 */
-  IC_EVEX_XD, /* 324 */
-  IC_EVEX_XD, /* 325 */
-  IC_EVEX_XD, /* 326 */
-  IC_EVEX_XD, /* 327 */
-  IC_EVEX_W, /* 328 */
-  IC_EVEX_W, /* 329 */
-  IC_EVEX_W_XS, /* 330 */
-  IC_EVEX_W_XS, /* 331 */
-  IC_EVEX_W_XD, /* 332 */
-  IC_EVEX_W_XD, /* 333 */
-  IC_EVEX_W_XD, /* 334 */
-  IC_EVEX_W_XD, /* 335 */
-  IC_EVEX_OPSIZE, /* 336 */
-  IC_EVEX_OPSIZE, /* 337 */
-  IC_EVEX_OPSIZE, /* 338 */
-  IC_EVEX_OPSIZE, /* 339 */
-  IC_EVEX_OPSIZE, /* 340 */
-  IC_EVEX_OPSIZE, /* 341 */
-  IC_EVEX_OPSIZE, /* 342 */
-  IC_EVEX_OPSIZE, /* 343 */
-  IC_EVEX_W_OPSIZE, /* 344 */
-  IC_EVEX_W_OPSIZE, /* 345 */
-  IC_EVEX_W_OPSIZE, /* 346 */
-  IC_EVEX_W_OPSIZE, /* 347 */
-  IC_EVEX_W_OPSIZE, /* 348 */
-  IC_EVEX_W_OPSIZE, /* 349 */
-  IC_EVEX_W_OPSIZE, /* 350 */
-  IC_EVEX_W_OPSIZE, /* 351 */
-  IC_EVEX, /* 352 */
-  IC_EVEX, /* 353 */
-  IC_EVEX_XS, /* 354 */
-  IC_EVEX_XS, /* 355 */
-  IC_EVEX_XD, /* 356 */
-  IC_EVEX_XD, /* 357 */
-  IC_EVEX_XD, /* 358 */
-  IC_EVEX_XD, /* 359 */
-  IC_EVEX_W, /* 360 */
-  IC_EVEX_W, /* 361 */
-  IC_EVEX_W_XS, /* 362 */
-  IC_EVEX_W_XS, /* 363 */
-  IC_EVEX_W_XD, /* 364 */
-  IC_EVEX_W_XD, /* 365 */
-  IC_EVEX_W_XD, /* 366 */
-  IC_EVEX_W_XD, /* 367 */
-  IC_EVEX_OPSIZE, /* 368 */
-  IC_EVEX_OPSIZE, /* 369 */
-  IC_EVEX_OPSIZE, /* 370 */
-  IC_EVEX_OPSIZE, /* 371 */
-  IC_EVEX_OPSIZE, /* 372 */
-  IC_EVEX_OPSIZE, /* 373 */
-  IC_EVEX_OPSIZE, /* 374 */
-  IC_EVEX_OPSIZE, /* 375 */
-  IC_EVEX_W_OPSIZE, /* 376 */
-  IC_EVEX_W_OPSIZE, /* 377 */
-  IC_EVEX_W_OPSIZE, /* 378 */
-  IC_EVEX_W_OPSIZE, /* 379 */
-  IC_EVEX_W_OPSIZE, /* 380 */
-  IC_EVEX_W_OPSIZE, /* 381 */
-  IC_EVEX_W_OPSIZE, /* 382 */
-  IC_EVEX_W_OPSIZE, /* 383 */
-  IC_EVEX, /* 384 */
-  IC_EVEX, /* 385 */
-  IC_EVEX_XS, /* 386 */
-  IC_EVEX_XS, /* 387 */
-  IC_EVEX_XD, /* 388 */
-  IC_EVEX_XD, /* 389 */
-  IC_EVEX_XD, /* 390 */
-  IC_EVEX_XD, /* 391 */
-  IC_EVEX_W, /* 392 */
-  IC_EVEX_W, /* 393 */
-  IC_EVEX_W_XS, /* 394 */
-  IC_EVEX_W_XS, /* 395 */
-  IC_EVEX_W_XD, /* 396 */
-  IC_EVEX_W_XD, /* 397 */
-  IC_EVEX_W_XD, /* 398 */
-  IC_EVEX_W_XD, /* 399 */
-  IC_EVEX_OPSIZE, /* 400 */
-  IC_EVEX_OPSIZE, /* 401 */
-  IC_EVEX_OPSIZE, /* 402 */
-  IC_EVEX_OPSIZE, /* 403 */
-  IC_EVEX_OPSIZE, /* 404 */
-  IC_EVEX_OPSIZE, /* 405 */
-  IC_EVEX_OPSIZE, /* 406 */
-  IC_EVEX_OPSIZE, /* 407 */
-  IC_EVEX_W_OPSIZE, /* 408 */
-  IC_EVEX_W_OPSIZE, /* 409 */
-  IC_EVEX_W_OPSIZE, /* 410 */
-  IC_EVEX_W_OPSIZE, /* 411 */
-  IC_EVEX_W_OPSIZE, /* 412 */
-  IC_EVEX_W_OPSIZE, /* 413 */
-  IC_EVEX_W_OPSIZE, /* 414 */
-  IC_EVEX_W_OPSIZE, /* 415 */
-  IC_EVEX, /* 416 */
-  IC_EVEX, /* 417 */
-  IC_EVEX_XS, /* 418 */
-  IC_EVEX_XS, /* 419 */
-  IC_EVEX_XD, /* 420 */
-  IC_EVEX_XD, /* 421 */
-  IC_EVEX_XD, /* 422 */
-  IC_EVEX_XD, /* 423 */
-  IC_EVEX_W, /* 424 */
-  IC_EVEX_W, /* 425 */
-  IC_EVEX_W_XS, /* 426 */
-  IC_EVEX_W_XS, /* 427 */
-  IC_EVEX_W_XD, /* 428 */
-  IC_EVEX_W_XD, /* 429 */
-  IC_EVEX_W_XD, /* 430 */
-  IC_EVEX_W_XD, /* 431 */
-  IC_EVEX_OPSIZE, /* 432 */
-  IC_EVEX_OPSIZE, /* 433 */
-  IC_EVEX_OPSIZE, /* 434 */
-  IC_EVEX_OPSIZE, /* 435 */
-  IC_EVEX_OPSIZE, /* 436 */
-  IC_EVEX_OPSIZE, /* 437 */
-  IC_EVEX_OPSIZE, /* 438 */
-  IC_EVEX_OPSIZE, /* 439 */
-  IC_EVEX_W_OPSIZE, /* 440 */
-  IC_EVEX_W_OPSIZE, /* 441 */
-  IC_EVEX_W_OPSIZE, /* 442 */
-  IC_EVEX_W_OPSIZE, /* 443 */
-  IC_EVEX_W_OPSIZE, /* 444 */
-  IC_EVEX_W_OPSIZE, /* 445 */
-  IC_EVEX_W_OPSIZE, /* 446 */
-  IC_EVEX_W_OPSIZE, /* 447 */
-  IC_EVEX, /* 448 */
-  IC_EVEX, /* 449 */
-  IC_EVEX_XS, /* 450 */
-  IC_EVEX_XS, /* 451 */
-  IC_EVEX_XD, /* 452 */
-  IC_EVEX_XD, /* 453 */
-  IC_EVEX_XD, /* 454 */
-  IC_EVEX_XD, /* 455 */
-  IC_EVEX_W, /* 456 */
-  IC_EVEX_W, /* 457 */
-  IC_EVEX_W_XS, /* 458 */
-  IC_EVEX_W_XS, /* 459 */
-  IC_EVEX_W_XD, /* 460 */
-  IC_EVEX_W_XD, /* 461 */
-  IC_EVEX_W_XD, /* 462 */
-  IC_EVEX_W_XD, /* 463 */
-  IC_EVEX_OPSIZE, /* 464 */
-  IC_EVEX_OPSIZE, /* 465 */
-  IC_EVEX_OPSIZE, /* 466 */
-  IC_EVEX_OPSIZE, /* 467 */
-  IC_EVEX_OPSIZE, /* 468 */
-  IC_EVEX_OPSIZE, /* 469 */
-  IC_EVEX_OPSIZE, /* 470 */
-  IC_EVEX_OPSIZE, /* 471 */
-  IC_EVEX_W_OPSIZE, /* 472 */
-  IC_EVEX_W_OPSIZE, /* 473 */
-  IC_EVEX_W_OPSIZE, /* 474 */
-  IC_EVEX_W_OPSIZE, /* 475 */
-  IC_EVEX_W_OPSIZE, /* 476 */
-  IC_EVEX_W_OPSIZE, /* 477 */
-  IC_EVEX_W_OPSIZE, /* 478 */
-  IC_EVEX_W_OPSIZE, /* 479 */
-  IC_EVEX, /* 480 */
-  IC_EVEX, /* 481 */
-  IC_EVEX_XS, /* 482 */
-  IC_EVEX_XS, /* 483 */
-  IC_EVEX_XD, /* 484 */
-  IC_EVEX_XD, /* 485 */
-  IC_EVEX_XD, /* 486 */
-  IC_EVEX_XD, /* 487 */
-  IC_EVEX_W, /* 488 */
-  IC_EVEX_W, /* 489 */
-  IC_EVEX_W_XS, /* 490 */
-  IC_EVEX_W_XS, /* 491 */
-  IC_EVEX_W_XD, /* 492 */
-  IC_EVEX_W_XD, /* 493 */
-  IC_EVEX_W_XD, /* 494 */
-  IC_EVEX_W_XD, /* 495 */
-  IC_EVEX_OPSIZE, /* 496 */
-  IC_EVEX_OPSIZE, /* 497 */
-  IC_EVEX_OPSIZE, /* 498 */
-  IC_EVEX_OPSIZE, /* 499 */
-  IC_EVEX_OPSIZE, /* 500 */
-  IC_EVEX_OPSIZE, /* 501 */
-  IC_EVEX_OPSIZE, /* 502 */
-  IC_EVEX_OPSIZE, /* 503 */
-  IC_EVEX_W_OPSIZE, /* 504 */
-  IC_EVEX_W_OPSIZE, /* 505 */
-  IC_EVEX_W_OPSIZE, /* 506 */
-  IC_EVEX_W_OPSIZE, /* 507 */
-  IC_EVEX_W_OPSIZE, /* 508 */
-  IC_EVEX_W_OPSIZE, /* 509 */
-  IC_EVEX_W_OPSIZE, /* 510 */
-  IC_EVEX_W_OPSIZE, /* 511 */
-  IC, /* 512 */
-  IC_64BIT, /* 513 */
-  IC_XS, /* 514 */
-  IC_64BIT_XS, /* 515 */
-  IC_XD, /* 516 */
-  IC_64BIT_XD, /* 517 */
-  IC_XS, /* 518 */
-  IC_64BIT_XS, /* 519 */
-  IC, /* 520 */
-  IC_64BIT_REXW, /* 521 */
-  IC_XS, /* 522 */
-  IC_64BIT_REXW_XS, /* 523 */
-  IC_XD, /* 524 */
-  IC_64BIT_REXW_XD, /* 525 */
-  IC_XS, /* 526 */
-  IC_64BIT_REXW_XS, /* 527 */
-  IC_OPSIZE, /* 528 */
-  IC_64BIT_OPSIZE, /* 529 */
-  IC_XS_OPSIZE, /* 530 */
-  IC_64BIT_XS_OPSIZE, /* 531 */
-  IC_XD_OPSIZE, /* 532 */
-  IC_64BIT_XD_OPSIZE, /* 533 */
-  IC_XS_OPSIZE, /* 534 */
-  IC_64BIT_XD_OPSIZE, /* 535 */
-  IC_OPSIZE, /* 536 */
-  IC_64BIT_REXW_OPSIZE, /* 537 */
-  IC_XS_OPSIZE, /* 538 */
-  IC_64BIT_REXW_XS, /* 539 */
-  IC_XD_OPSIZE, /* 540 */
-  IC_64BIT_REXW_XD, /* 541 */
-  IC_XS_OPSIZE, /* 542 */
-  IC_64BIT_REXW_XS, /* 543 */
-  IC_ADSIZE, /* 544 */
-  IC_64BIT_ADSIZE, /* 545 */
-  IC_XS, /* 546 */
-  IC_64BIT_XS, /* 547 */
-  IC_XD, /* 548 */
-  IC_64BIT_XD, /* 549 */
-  IC_XS, /* 550 */
-  IC_64BIT_XS, /* 551 */
-  IC_ADSIZE, /* 552 */
-  IC_64BIT_ADSIZE, /* 553 */
-  IC_XS, /* 554 */
-  IC_64BIT_REXW_XS, /* 555 */
-  IC_XD, /* 556 */
-  IC_64BIT_REXW_XD, /* 557 */
-  IC_XS, /* 558 */
-  IC_64BIT_REXW_XS, /* 559 */
-  IC_OPSIZE, /* 560 */
-  IC_64BIT_OPSIZE, /* 561 */
-  IC_XS_OPSIZE, /* 562 */
-  IC_64BIT_XS_OPSIZE, /* 563 */
-  IC_XD_OPSIZE, /* 564 */
-  IC_64BIT_XD_OPSIZE, /* 565 */
-  IC_XS_OPSIZE, /* 566 */
-  IC_64BIT_XD_OPSIZE, /* 567 */
-  IC_OPSIZE, /* 568 */
-  IC_64BIT_REXW_OPSIZE, /* 569 */
-  IC_XS_OPSIZE, /* 570 */
-  IC_64BIT_REXW_XS, /* 571 */
-  IC_XD_OPSIZE, /* 572 */
-  IC_64BIT_REXW_XD, /* 573 */
-  IC_XS_OPSIZE, /* 574 */
-  IC_64BIT_REXW_XS, /* 575 */
-  IC_VEX, /* 576 */
-  IC_VEX, /* 577 */
-  IC_VEX_XS, /* 578 */
-  IC_VEX_XS, /* 579 */
-  IC_VEX_XD, /* 580 */
-  IC_VEX_XD, /* 581 */
-  IC_VEX_XD, /* 582 */
-  IC_VEX_XD, /* 583 */
-  IC_VEX_W, /* 584 */
-  IC_VEX_W, /* 585 */
-  IC_VEX_W_XS, /* 586 */
-  IC_VEX_W_XS, /* 587 */
-  IC_VEX_W_XD, /* 588 */
-  IC_VEX_W_XD, /* 589 */
-  IC_VEX_W_XD, /* 590 */
-  IC_VEX_W_XD, /* 591 */
-  IC_VEX_OPSIZE, /* 592 */
-  IC_VEX_OPSIZE, /* 593 */
-  IC_VEX_OPSIZE, /* 594 */
-  IC_VEX_OPSIZE, /* 595 */
-  IC_VEX_OPSIZE, /* 596 */
-  IC_VEX_OPSIZE, /* 597 */
-  IC_VEX_OPSIZE, /* 598 */
-  IC_VEX_OPSIZE, /* 599 */
-  IC_VEX_W_OPSIZE, /* 600 */
-  IC_VEX_W_OPSIZE, /* 601 */
-  IC_VEX_W_OPSIZE, /* 602 */
-  IC_VEX_W_OPSIZE, /* 603 */
-  IC_VEX_W_OPSIZE, /* 604 */
-  IC_VEX_W_OPSIZE, /* 605 */
-  IC_VEX_W_OPSIZE, /* 606 */
-  IC_VEX_W_OPSIZE, /* 607 */
-  IC_VEX, /* 608 */
-  IC_VEX, /* 609 */
-  IC_VEX_XS, /* 610 */
-  IC_VEX_XS, /* 611 */
-  IC_VEX_XD, /* 612 */
-  IC_VEX_XD, /* 613 */
-  IC_VEX_XD, /* 614 */
-  IC_VEX_XD, /* 615 */
-  IC_VEX_W, /* 616 */
-  IC_VEX_W, /* 617 */
-  IC_VEX_W_XS, /* 618 */
-  IC_VEX_W_XS, /* 619 */
-  IC_VEX_W_XD, /* 620 */
-  IC_VEX_W_XD, /* 621 */
-  IC_VEX_W_XD, /* 622 */
-  IC_VEX_W_XD, /* 623 */
-  IC_VEX_OPSIZE, /* 624 */
-  IC_VEX_OPSIZE, /* 625 */
-  IC_VEX_OPSIZE, /* 626 */
-  IC_VEX_OPSIZE, /* 627 */
-  IC_VEX_OPSIZE, /* 628 */
-  IC_VEX_OPSIZE, /* 629 */
-  IC_VEX_OPSIZE, /* 630 */
-  IC_VEX_OPSIZE, /* 631 */
-  IC_VEX_W_OPSIZE, /* 632 */
-  IC_VEX_W_OPSIZE, /* 633 */
-  IC_VEX_W_OPSIZE, /* 634 */
-  IC_VEX_W_OPSIZE, /* 635 */
-  IC_VEX_W_OPSIZE, /* 636 */
-  IC_VEX_W_OPSIZE, /* 637 */
-  IC_VEX_W_OPSIZE, /* 638 */
-  IC_VEX_W_OPSIZE, /* 639 */
-  IC_VEX_L, /* 640 */
-  IC_VEX_L, /* 641 */
-  IC_VEX_L_XS, /* 642 */
-  IC_VEX_L_XS, /* 643 */
-  IC_VEX_L_XD, /* 644 */
-  IC_VEX_L_XD, /* 645 */
-  IC_VEX_L_XD, /* 646 */
-  IC_VEX_L_XD, /* 647 */
-  IC_VEX_L_W, /* 648 */
-  IC_VEX_L_W, /* 649 */
-  IC_VEX_L_W_XS, /* 650 */
-  IC_VEX_L_W_XS, /* 651 */
-  IC_VEX_L_W_XD, /* 652 */
-  IC_VEX_L_W_XD, /* 653 */
-  IC_VEX_L_W_XD, /* 654 */
-  IC_VEX_L_W_XD, /* 655 */
-  IC_VEX_L_OPSIZE, /* 656 */
-  IC_VEX_L_OPSIZE, /* 657 */
-  IC_VEX_L_OPSIZE, /* 658 */
-  IC_VEX_L_OPSIZE, /* 659 */
-  IC_VEX_L_OPSIZE, /* 660 */
-  IC_VEX_L_OPSIZE, /* 661 */
-  IC_VEX_L_OPSIZE, /* 662 */
-  IC_VEX_L_OPSIZE, /* 663 */
-  IC_VEX_L_W_OPSIZE, /* 664 */
-  IC_VEX_L_W_OPSIZE, /* 665 */
-  IC_VEX_L_W_OPSIZE, /* 666 */
-  IC_VEX_L_W_OPSIZE, /* 667 */
-  IC_VEX_L_W_OPSIZE, /* 668 */
-  IC_VEX_L_W_OPSIZE, /* 669 */
-  IC_VEX_L_W_OPSIZE, /* 670 */
-  IC_VEX_L_W_OPSIZE, /* 671 */
-  IC_VEX_L, /* 672 */
-  IC_VEX_L, /* 673 */
-  IC_VEX_L_XS, /* 674 */
-  IC_VEX_L_XS, /* 675 */
-  IC_VEX_L_XD, /* 676 */
-  IC_VEX_L_XD, /* 677 */
-  IC_VEX_L_XD, /* 678 */
-  IC_VEX_L_XD, /* 679 */
-  IC_VEX_L_W, /* 680 */
-  IC_VEX_L_W, /* 681 */
-  IC_VEX_L_W_XS, /* 682 */
-  IC_VEX_L_W_XS, /* 683 */
-  IC_VEX_L_W_XD, /* 684 */
-  IC_VEX_L_W_XD, /* 685 */
-  IC_VEX_L_W_XD, /* 686 */
-  IC_VEX_L_W_XD, /* 687 */
-  IC_VEX_L_OPSIZE, /* 688 */
-  IC_VEX_L_OPSIZE, /* 689 */
-  IC_VEX_L_OPSIZE, /* 690 */
-  IC_VEX_L_OPSIZE, /* 691 */
-  IC_VEX_L_OPSIZE, /* 692 */
-  IC_VEX_L_OPSIZE, /* 693 */
-  IC_VEX_L_OPSIZE, /* 694 */
-  IC_VEX_L_OPSIZE, /* 695 */
-  IC_VEX_L_W_OPSIZE, /* 696 */
-  IC_VEX_L_W_OPSIZE, /* 697 */
-  IC_VEX_L_W_OPSIZE, /* 698 */
-  IC_VEX_L_W_OPSIZE, /* 699 */
-  IC_VEX_L_W_OPSIZE, /* 700 */
-  IC_VEX_L_W_OPSIZE, /* 701 */
-  IC_VEX_L_W_OPSIZE, /* 702 */
-  IC_VEX_L_W_OPSIZE, /* 703 */
-  IC_VEX_L, /* 704 */
-  IC_VEX_L, /* 705 */
-  IC_VEX_L_XS, /* 706 */
-  IC_VEX_L_XS, /* 707 */
-  IC_VEX_L_XD, /* 708 */
-  IC_VEX_L_XD, /* 709 */
-  IC_VEX_L_XD, /* 710 */
-  IC_VEX_L_XD, /* 711 */
-  IC_VEX_L_W, /* 712 */
-  IC_VEX_L_W, /* 713 */
-  IC_VEX_L_W_XS, /* 714 */
-  IC_VEX_L_W_XS, /* 715 */
-  IC_VEX_L_W_XD, /* 716 */
-  IC_VEX_L_W_XD, /* 717 */
-  IC_VEX_L_W_XD, /* 718 */
-  IC_VEX_L_W_XD, /* 719 */
-  IC_VEX_L_OPSIZE, /* 720 */
-  IC_VEX_L_OPSIZE, /* 721 */
-  IC_VEX_L_OPSIZE, /* 722 */
-  IC_VEX_L_OPSIZE, /* 723 */
-  IC_VEX_L_OPSIZE, /* 724 */
-  IC_VEX_L_OPSIZE, /* 725 */
-  IC_VEX_L_OPSIZE, /* 726 */
-  IC_VEX_L_OPSIZE, /* 727 */
-  IC_VEX_L_W_OPSIZE, /* 728 */
-  IC_VEX_L_W_OPSIZE, /* 729 */
-  IC_VEX_L_W_OPSIZE, /* 730 */
-  IC_VEX_L_W_OPSIZE, /* 731 */
-  IC_VEX_L_W_OPSIZE, /* 732 */
-  IC_VEX_L_W_OPSIZE, /* 733 */
-  IC_VEX_L_W_OPSIZE, /* 734 */
-  IC_VEX_L_W_OPSIZE, /* 735 */
-  IC_VEX_L, /* 736 */
-  IC_VEX_L, /* 737 */
-  IC_VEX_L_XS, /* 738 */
-  IC_VEX_L_XS, /* 739 */
-  IC_VEX_L_XD, /* 740 */
-  IC_VEX_L_XD, /* 741 */
-  IC_VEX_L_XD, /* 742 */
-  IC_VEX_L_XD, /* 743 */
-  IC_VEX_L_W, /* 744 */
-  IC_VEX_L_W, /* 745 */
-  IC_VEX_L_W_XS, /* 746 */
-  IC_VEX_L_W_XS, /* 747 */
-  IC_VEX_L_W_XD, /* 748 */
-  IC_VEX_L_W_XD, /* 749 */
-  IC_VEX_L_W_XD, /* 750 */
-  IC_VEX_L_W_XD, /* 751 */
-  IC_VEX_L_OPSIZE, /* 752 */
-  IC_VEX_L_OPSIZE, /* 753 */
-  IC_VEX_L_OPSIZE, /* 754 */
-  IC_VEX_L_OPSIZE, /* 755 */
-  IC_VEX_L_OPSIZE, /* 756 */
-  IC_VEX_L_OPSIZE, /* 757 */
-  IC_VEX_L_OPSIZE, /* 758 */
-  IC_VEX_L_OPSIZE, /* 759 */
-  IC_VEX_L_W_OPSIZE, /* 760 */
-  IC_VEX_L_W_OPSIZE, /* 761 */
-  IC_VEX_L_W_OPSIZE, /* 762 */
-  IC_VEX_L_W_OPSIZE, /* 763 */
-  IC_VEX_L_W_OPSIZE, /* 764 */
-  IC_VEX_L_W_OPSIZE, /* 765 */
-  IC_VEX_L_W_OPSIZE, /* 766 */
-  IC_VEX_L_W_OPSIZE, /* 767 */
-  IC_EVEX_L, /* 768 */
-  IC_EVEX_L, /* 769 */
-  IC_EVEX_L_XS, /* 770 */
-  IC_EVEX_L_XS, /* 771 */
-  IC_EVEX_L_XD, /* 772 */
-  IC_EVEX_L_XD, /* 773 */
-  IC_EVEX_L_XD, /* 774 */
-  IC_EVEX_L_XD, /* 775 */
-  IC_EVEX_L_W, /* 776 */
-  IC_EVEX_L_W, /* 777 */
-  IC_EVEX_L_W_XS, /* 778 */
-  IC_EVEX_L_W_XS, /* 779 */
-  IC_EVEX_L_W_XD, /* 780 */
-  IC_EVEX_L_W_XD, /* 781 */
-  IC_EVEX_L_W_XD, /* 782 */
-  IC_EVEX_L_W_XD, /* 783 */
-  IC_EVEX_L_OPSIZE, /* 784 */
-  IC_EVEX_L_OPSIZE, /* 785 */
-  IC_EVEX_L_OPSIZE, /* 786 */
-  IC_EVEX_L_OPSIZE, /* 787 */
-  IC_EVEX_L_OPSIZE, /* 788 */
-  IC_EVEX_L_OPSIZE, /* 789 */
-  IC_EVEX_L_OPSIZE, /* 790 */
-  IC_EVEX_L_OPSIZE, /* 791 */
-  IC_EVEX_L_W_OPSIZE, /* 792 */
-  IC_EVEX_L_W_OPSIZE, /* 793 */
-  IC_EVEX_L_W_OPSIZE, /* 794 */
-  IC_EVEX_L_W_OPSIZE, /* 795 */
-  IC_EVEX_L_W_OPSIZE, /* 796 */
-  IC_EVEX_L_W_OPSIZE, /* 797 */
-  IC_EVEX_L_W_OPSIZE, /* 798 */
-  IC_EVEX_L_W_OPSIZE, /* 799 */
-  IC_EVEX_L, /* 800 */
-  IC_EVEX_L, /* 801 */
-  IC_EVEX_L_XS, /* 802 */
-  IC_EVEX_L_XS, /* 803 */
-  IC_EVEX_L_XD, /* 804 */
-  IC_EVEX_L_XD, /* 805 */
-  IC_EVEX_L_XD, /* 806 */
-  IC_EVEX_L_XD, /* 807 */
-  IC_EVEX_L_W, /* 808 */
-  IC_EVEX_L_W, /* 809 */
-  IC_EVEX_L_W_XS, /* 810 */
-  IC_EVEX_L_W_XS, /* 811 */
-  IC_EVEX_L_W_XD, /* 812 */
-  IC_EVEX_L_W_XD, /* 813 */
-  IC_EVEX_L_W_XD, /* 814 */
-  IC_EVEX_L_W_XD, /* 815 */
-  IC_EVEX_L_OPSIZE, /* 816 */
-  IC_EVEX_L_OPSIZE, /* 817 */
-  IC_EVEX_L_OPSIZE, /* 818 */
-  IC_EVEX_L_OPSIZE, /* 819 */
-  IC_EVEX_L_OPSIZE, /* 820 */
-  IC_EVEX_L_OPSIZE, /* 821 */
-  IC_EVEX_L_OPSIZE, /* 822 */
-  IC_EVEX_L_OPSIZE, /* 823 */
-  IC_EVEX_L_W_OPSIZE, /* 824 */
-  IC_EVEX_L_W_OPSIZE, /* 825 */
-  IC_EVEX_L_W_OPSIZE, /* 826 */
-  IC_EVEX_L_W_OPSIZE, /* 827 */
-  IC_EVEX_L_W_OPSIZE, /* 828 */
-  IC_EVEX_L_W_OPSIZE, /* 829 */
-  IC_EVEX_L_W_OPSIZE, /* 830 */
-  IC_EVEX_L_W_OPSIZE, /* 831 */
-  IC_EVEX_L, /* 832 */
-  IC_EVEX_L, /* 833 */
-  IC_EVEX_L_XS, /* 834 */
-  IC_EVEX_L_XS, /* 835 */
-  IC_EVEX_L_XD, /* 836 */
-  IC_EVEX_L_XD, /* 837 */
-  IC_EVEX_L_XD, /* 838 */
-  IC_EVEX_L_XD, /* 839 */
-  IC_EVEX_L_W, /* 840 */
-  IC_EVEX_L_W, /* 841 */
-  IC_EVEX_L_W_XS, /* 842 */
-  IC_EVEX_L_W_XS, /* 843 */
-  IC_EVEX_L_W_XD, /* 844 */
-  IC_EVEX_L_W_XD, /* 845 */
-  IC_EVEX_L_W_XD, /* 846 */
-  IC_EVEX_L_W_XD, /* 847 */
-  IC_EVEX_L_OPSIZE, /* 848 */
-  IC_EVEX_L_OPSIZE, /* 849 */
-  IC_EVEX_L_OPSIZE, /* 850 */
-  IC_EVEX_L_OPSIZE, /* 851 */
-  IC_EVEX_L_OPSIZE, /* 852 */
-  IC_EVEX_L_OPSIZE, /* 853 */
-  IC_EVEX_L_OPSIZE, /* 854 */
-  IC_EVEX_L_OPSIZE, /* 855 */
-  IC_EVEX_L_W_OPSIZE, /* 856 */
-  IC_EVEX_L_W_OPSIZE, /* 857 */
-  IC_EVEX_L_W_OPSIZE, /* 858 */
-  IC_EVEX_L_W_OPSIZE, /* 859 */
-  IC_EVEX_L_W_OPSIZE, /* 860 */
-  IC_EVEX_L_W_OPSIZE, /* 861 */
-  IC_EVEX_L_W_OPSIZE, /* 862 */
-  IC_EVEX_L_W_OPSIZE, /* 863 */
-  IC_EVEX_L, /* 864 */
-  IC_EVEX_L, /* 865 */
-  IC_EVEX_L_XS, /* 866 */
-  IC_EVEX_L_XS, /* 867 */
-  IC_EVEX_L_XD, /* 868 */
-  IC_EVEX_L_XD, /* 869 */
-  IC_EVEX_L_XD, /* 870 */
-  IC_EVEX_L_XD, /* 871 */
-  IC_EVEX_L_W, /* 872 */
-  IC_EVEX_L_W, /* 873 */
-  IC_EVEX_L_W_XS, /* 874 */
-  IC_EVEX_L_W_XS, /* 875 */
-  IC_EVEX_L_W_XD, /* 876 */
-  IC_EVEX_L_W_XD, /* 877 */
-  IC_EVEX_L_W_XD, /* 878 */
-  IC_EVEX_L_W_XD, /* 879 */
-  IC_EVEX_L_OPSIZE, /* 880 */
-  IC_EVEX_L_OPSIZE, /* 881 */
-  IC_EVEX_L_OPSIZE, /* 882 */
-  IC_EVEX_L_OPSIZE, /* 883 */
-  IC_EVEX_L_OPSIZE, /* 884 */
-  IC_EVEX_L_OPSIZE, /* 885 */
-  IC_EVEX_L_OPSIZE, /* 886 */
-  IC_EVEX_L_OPSIZE, /* 887 */
-  IC_EVEX_L_W_OPSIZE, /* 888 */
-  IC_EVEX_L_W_OPSIZE, /* 889 */
-  IC_EVEX_L_W_OPSIZE, /* 890 */
-  IC_EVEX_L_W_OPSIZE, /* 891 */
-  IC_EVEX_L_W_OPSIZE, /* 892 */
-  IC_EVEX_L_W_OPSIZE, /* 893 */
-  IC_EVEX_L_W_OPSIZE, /* 894 */
-  IC_EVEX_L_W_OPSIZE, /* 895 */
-  IC_EVEX_L, /* 896 */
-  IC_EVEX_L, /* 897 */
-  IC_EVEX_L_XS, /* 898 */
-  IC_EVEX_L_XS, /* 899 */
-  IC_EVEX_L_XD, /* 900 */
-  IC_EVEX_L_XD, /* 901 */
-  IC_EVEX_L_XD, /* 902 */
-  IC_EVEX_L_XD, /* 903 */
-  IC_EVEX_L_W, /* 904 */
-  IC_EVEX_L_W, /* 905 */
-  IC_EVEX_L_W_XS, /* 906 */
-  IC_EVEX_L_W_XS, /* 907 */
-  IC_EVEX_L_W_XD, /* 908 */
-  IC_EVEX_L_W_XD, /* 909 */
-  IC_EVEX_L_W_XD, /* 910 */
-  IC_EVEX_L_W_XD, /* 911 */
-  IC_EVEX_L_OPSIZE, /* 912 */
-  IC_EVEX_L_OPSIZE, /* 913 */
-  IC_EVEX_L_OPSIZE, /* 914 */
-  IC_EVEX_L_OPSIZE, /* 915 */
-  IC_EVEX_L_OPSIZE, /* 916 */
-  IC_EVEX_L_OPSIZE, /* 917 */
-  IC_EVEX_L_OPSIZE, /* 918 */
-  IC_EVEX_L_OPSIZE, /* 919 */
-  IC_EVEX_L_W_OPSIZE, /* 920 */
-  IC_EVEX_L_W_OPSIZE, /* 921 */
-  IC_EVEX_L_W_OPSIZE, /* 922 */
-  IC_EVEX_L_W_OPSIZE, /* 923 */
-  IC_EVEX_L_W_OPSIZE, /* 924 */
-  IC_EVEX_L_W_OPSIZE, /* 925 */
-  IC_EVEX_L_W_OPSIZE, /* 926 */
-  IC_EVEX_L_W_OPSIZE, /* 927 */
-  IC_EVEX_L, /* 928 */
-  IC_EVEX_L, /* 929 */
-  IC_EVEX_L_XS, /* 930 */
-  IC_EVEX_L_XS, /* 931 */
-  IC_EVEX_L_XD, /* 932 */
-  IC_EVEX_L_XD, /* 933 */
-  IC_EVEX_L_XD, /* 934 */
-  IC_EVEX_L_XD, /* 935 */
-  IC_EVEX_L_W, /* 936 */
-  IC_EVEX_L_W, /* 937 */
-  IC_EVEX_L_W_XS, /* 938 */
-  IC_EVEX_L_W_XS, /* 939 */
-  IC_EVEX_L_W_XD, /* 940 */
-  IC_EVEX_L_W_XD, /* 941 */
-  IC_EVEX_L_W_XD, /* 942 */
-  IC_EVEX_L_W_XD, /* 943 */
-  IC_EVEX_L_OPSIZE, /* 944 */
-  IC_EVEX_L_OPSIZE, /* 945 */
-  IC_EVEX_L_OPSIZE, /* 946 */
-  IC_EVEX_L_OPSIZE, /* 947 */
-  IC_EVEX_L_OPSIZE, /* 948 */
-  IC_EVEX_L_OPSIZE, /* 949 */
-  IC_EVEX_L_OPSIZE, /* 950 */
-  IC_EVEX_L_OPSIZE, /* 951 */
-  IC_EVEX_L_W_OPSIZE, /* 952 */
-  IC_EVEX_L_W_OPSIZE, /* 953 */
-  IC_EVEX_L_W_OPSIZE, /* 954 */
-  IC_EVEX_L_W_OPSIZE, /* 955 */
-  IC_EVEX_L_W_OPSIZE, /* 956 */
-  IC_EVEX_L_W_OPSIZE, /* 957 */
-  IC_EVEX_L_W_OPSIZE, /* 958 */
-  IC_EVEX_L_W_OPSIZE, /* 959 */
-  IC_EVEX_L, /* 960 */
-  IC_EVEX_L, /* 961 */
-  IC_EVEX_L_XS, /* 962 */
-  IC_EVEX_L_XS, /* 963 */
-  IC_EVEX_L_XD, /* 964 */
-  IC_EVEX_L_XD, /* 965 */
-  IC_EVEX_L_XD, /* 966 */
-  IC_EVEX_L_XD, /* 967 */
-  IC_EVEX_L_W, /* 968 */
-  IC_EVEX_L_W, /* 969 */
-  IC_EVEX_L_W_XS, /* 970 */
-  IC_EVEX_L_W_XS, /* 971 */
-  IC_EVEX_L_W_XD, /* 972 */
-  IC_EVEX_L_W_XD, /* 973 */
-  IC_EVEX_L_W_XD, /* 974 */
-  IC_EVEX_L_W_XD, /* 975 */
-  IC_EVEX_L_OPSIZE, /* 976 */
-  IC_EVEX_L_OPSIZE, /* 977 */
+    /*  */
+  },
+  { /* 6267 */
+    839,
+    /* VPCMPDZrri */
+  },
+  { /* 6268 */
+    0,
+    /*  */
+  },
+  { /* 6269 */
+    840,
+    /* VPCMPDZrrik */
+  },
+  { /* 6270 */
+    0,
+    /*  */
+  },
+  { /* 6271 */
+    302,
+    /* VPCMPEQBYrm */
+  },
+  { /* 6272 */
+    303,
+    /* VPCMPEQBYrr */
+  },
+  { /* 6273 */
+    841,
+    /* VPCMPEQBZ128rm */
+  },
+  { /* 6274 */
+    842,
+    /* VPCMPEQBZ128rmk */
+  },
+  { /* 6275 */
+    843,
+    /* VPCMPEQBZ128rr */
+  },
+  { /* 6276 */
+    844,
+    /* VPCMPEQBZ128rrk */
+  },
+  { /* 6277 */
+    845,
+    /* VPCMPEQBZ256rm */
+  },
+  { /* 6278 */
+    846,
+    /* VPCMPEQBZ256rmk */
+  },
+  { /* 6279 */
+    847,
+    /* VPCMPEQBZ256rr */
+  },
+  { /* 6280 */
+    848,
+    /* VPCMPEQBZ256rrk */
+  },
+  { /* 6281 */
+    849,
+    /* VPCMPEQBZrm */
+  },
+  { /* 6282 */
+    850,
+    /* VPCMPEQBZrmk */
+  },
+  { /* 6283 */
+    851,
+    /* VPCMPEQBZrr */
+  },
+  { /* 6284 */
+    852,
+    /* VPCMPEQBZrrk */
+  },
+  { /* 6285 */
+    334,
+    /* VPCMPEQBrm */
+  },
+  { /* 6286 */
+    335,
+    /* VPCMPEQBrr */
+  },
+  { /* 6287 */
+    302,
+    /* VPCMPEQDYrm */
+  },
+  { /* 6288 */
+    303,
+    /* VPCMPEQDYrr */
+  },
+  { /* 6289 */
+    853,
+    /* VPCMPEQDZ128rm */
+  },
+  { /* 6290 */
+    854,
+    /* VPCMPEQDZ128rmb */
+  },
+  { /* 6291 */
+    855,
+    /* VPCMPEQDZ128rmbk */
+  },
+  { /* 6292 */
+    856,
+    /* VPCMPEQDZ128rmk */
+  },
+  { /* 6293 */
+    857,
+    /* VPCMPEQDZ128rr */
+  },
+  { /* 6294 */
+    858,
+    /* VPCMPEQDZ128rrk */
+  },
+  { /* 6295 */
+    859,
+    /* VPCMPEQDZ256rm */
+  },
+  { /* 6296 */
+    860,
+    /* VPCMPEQDZ256rmb */
+  },
+  { /* 6297 */
+    861,
+    /* VPCMPEQDZ256rmbk */
+  },
+  { /* 6298 */
+    862,
+    /* VPCMPEQDZ256rmk */
+  },
+  { /* 6299 */
+    863,
+    /* VPCMPEQDZ256rr */
+  },
+  { /* 6300 */
+    864,
+    /* VPCMPEQDZ256rrk */
+  },
+  { /* 6301 */
+    865,
+    /* VPCMPEQDZrm */
+  },
+  { /* 6302 */
+    866,
+    /* VPCMPEQDZrmb */
+  },
+  { /* 6303 */
+    867,
+    /* VPCMPEQDZrmbk */
+  },
+  { /* 6304 */
+    868,
+    /* VPCMPEQDZrmk */
+  },
+  { /* 6305 */
+    869,
+    /* VPCMPEQDZrr */
+  },
+  { /* 6306 */
+    870,
+    /* VPCMPEQDZrrk */
+  },
+  { /* 6307 */
+    334,
+    /* VPCMPEQDrm */
+  },
+  { /* 6308 */
+    335,
+    /* VPCMPEQDrr */
+  },
+  { /* 6309 */
+    302,
+    /* VPCMPEQQYrm */
+  },
+  { /* 6310 */
+    303,
+    /* VPCMPEQQYrr */
+  },
+  { /* 6311 */
+    871,
+    /* VPCMPEQQZ128rm */
+  },
+  { /* 6312 */
+    872,
+    /* VPCMPEQQZ128rmb */
+  },
+  { /* 6313 */
+    873,
+    /* VPCMPEQQZ128rmbk */
+  },
+  { /* 6314 */
+    874,
+    /* VPCMPEQQZ128rmk */
+  },
+  { /* 6315 */
+    875,
+    /* VPCMPEQQZ128rr */
+  },
+  { /* 6316 */
+    876,
+    /* VPCMPEQQZ128rrk */
+  },
+  { /* 6317 */
+    877,
+    /* VPCMPEQQZ256rm */
+  },
+  { /* 6318 */
+    878,
+    /* VPCMPEQQZ256rmb */
+  },
+  { /* 6319 */
+    879,
+    /* VPCMPEQQZ256rmbk */
+  },
+  { /* 6320 */
+    880,
+    /* VPCMPEQQZ256rmk */
+  },
+  { /* 6321 */
+    881,
+    /* VPCMPEQQZ256rr */
+  },
+  { /* 6322 */
+    882,
+    /* VPCMPEQQZ256rrk */
+  },
+  { /* 6323 */
+    883,
+    /* VPCMPEQQZrm */
+  },
+  { /* 6324 */
+    884,
+    /* VPCMPEQQZrmb */
+  },
+  { /* 6325 */
+    885,
+    /* VPCMPEQQZrmbk */
+  },
+  { /* 6326 */
+    886,
+    /* VPCMPEQQZrmk */
+  },
+  { /* 6327 */
+    887,
+    /* VPCMPEQQZrr */
+  },
+  { /* 6328 */
+    888,
+    /* VPCMPEQQZrrk */
+  },
+  { /* 6329 */
+    334,
+    /* VPCMPEQQrm */
+  },
+  { /* 6330 */
+    335,
+    /* VPCMPEQQrr */
+  },
+  { /* 6331 */
+    302,
+    /* VPCMPEQWYrm */
+  },
+  { /* 6332 */
+    303,
+    /* VPCMPEQWYrr */
+  },
+  { /* 6333 */
+    889,
+    /* VPCMPEQWZ128rm */
+  },
+  { /* 6334 */
+    890,
+    /* VPCMPEQWZ128rmk */
+  },
+  { /* 6335 */
+    891,
+    /* VPCMPEQWZ128rr */
+  },
+  { /* 6336 */
+    892,
+    /* VPCMPEQWZ128rrk */
+  },
+  { /* 6337 */
+    893,
+    /* VPCMPEQWZ256rm */
+  },
+  { /* 6338 */
+    894,
+    /* VPCMPEQWZ256rmk */
+  },
+  { /* 6339 */
+    895,
+    /* VPCMPEQWZ256rr */
+  },
+  { /* 6340 */
+    896,
+    /* VPCMPEQWZ256rrk */
+  },
+  { /* 6341 */
+    897,
+    /* VPCMPEQWZrm */
+  },
+  { /* 6342 */
+    898,
+    /* VPCMPEQWZrmk */
+  },
+  { /* 6343 */
+    899,
+    /* VPCMPEQWZrr */
+  },
+  { /* 6344 */
+    900,
+    /* VPCMPEQWZrrk */
+  },
+  { /* 6345 */
+    334,
+    /* VPCMPEQWrm */
+  },
+  { /* 6346 */
+    335,
+    /* VPCMPEQWrr */
+  },
+  { /* 6347 */
+    0,
+    /*  */
+  },
+  { /* 6348 */
+    0,
+    /*  */
+  },
+  { /* 6349 */
+    46,
+    /* VPCMPESTRIrm */
+  },
+  { /* 6350 */
+    47,
+    /* VPCMPESTRIrr */
+  },
+  { /* 6351 */
+    0,
+    /*  */
+  },
+  { /* 6352 */
+    0,
+    /*  */
+  },
+  { /* 6353 */
+    46,
+    /* VPCMPESTRM128rm */
+  },
+  { /* 6354 */
+    47,
+    /* VPCMPESTRM128rr */
+  },
+  { /* 6355 */
+    302,
+    /* VPCMPGTBYrm */
+  },
+  { /* 6356 */
+    303,
+    /* VPCMPGTBYrr */
+  },
+  { /* 6357 */
+    841,
+    /* VPCMPGTBZ128rm */
+  },
+  { /* 6358 */
+    842,
+    /* VPCMPGTBZ128rmk */
+  },
+  { /* 6359 */
+    843,
+    /* VPCMPGTBZ128rr */
+  },
+  { /* 6360 */
+    844,
+    /* VPCMPGTBZ128rrk */
+  },
+  { /* 6361 */
+    845,
+    /* VPCMPGTBZ256rm */
+  },
+  { /* 6362 */
+    846,
+    /* VPCMPGTBZ256rmk */
+  },
+  { /* 6363 */
+    847,
+    /* VPCMPGTBZ256rr */
+  },
+  { /* 6364 */
+    848,
+    /* VPCMPGTBZ256rrk */
+  },
+  { /* 6365 */
+    849,
+    /* VPCMPGTBZrm */
+  },
+  { /* 6366 */
+    850,
+    /* VPCMPGTBZrmk */
+  },
+  { /* 6367 */
+    851,
+    /* VPCMPGTBZrr */
+  },
+  { /* 6368 */
+    852,
+    /* VPCMPGTBZrrk */
+  },
+  { /* 6369 */
+    334,
+    /* VPCMPGTBrm */
+  },
+  { /* 6370 */
+    335,
+    /* VPCMPGTBrr */
+  },
+  { /* 6371 */
+    302,
+    /* VPCMPGTDYrm */
+  },
+  { /* 6372 */
+    303,
+    /* VPCMPGTDYrr */
+  },
+  { /* 6373 */
+    853,
+    /* VPCMPGTDZ128rm */
+  },
+  { /* 6374 */
+    854,
+    /* VPCMPGTDZ128rmb */
+  },
+  { /* 6375 */
+    855,
+    /* VPCMPGTDZ128rmbk */
+  },
+  { /* 6376 */
+    856,
+    /* VPCMPGTDZ128rmk */
+  },
+  { /* 6377 */
+    857,
+    /* VPCMPGTDZ128rr */
+  },
+  { /* 6378 */
+    858,
+    /* VPCMPGTDZ128rrk */
+  },
+  { /* 6379 */
+    859,
+    /* VPCMPGTDZ256rm */
+  },
+  { /* 6380 */
+    860,
+    /* VPCMPGTDZ256rmb */
+  },
+  { /* 6381 */
+    861,
+    /* VPCMPGTDZ256rmbk */
+  },
+  { /* 6382 */
+    862,
+    /* VPCMPGTDZ256rmk */
+  },
+  { /* 6383 */
+    863,
+    /* VPCMPGTDZ256rr */
+  },
+  { /* 6384 */
+    864,
+    /* VPCMPGTDZ256rrk */
+  },
+  { /* 6385 */
+    865,
+    /* VPCMPGTDZrm */
+  },
+  { /* 6386 */
+    866,
+    /* VPCMPGTDZrmb */
+  },
+  { /* 6387 */
+    867,
+    /* VPCMPGTDZrmbk */
+  },
+  { /* 6388 */
+    868,
+    /* VPCMPGTDZrmk */
+  },
+  { /* 6389 */
+    869,
+    /* VPCMPGTDZrr */
+  },
+  { /* 6390 */
+    870,
+    /* VPCMPGTDZrrk */
+  },
+  { /* 6391 */
+    334,
+    /* VPCMPGTDrm */
+  },
+  { /* 6392 */
+    335,
+    /* VPCMPGTDrr */
+  },
+  { /* 6393 */
+    302,
+    /* VPCMPGTQYrm */
+  },
+  { /* 6394 */
+    303,
+    /* VPCMPGTQYrr */
+  },
+  { /* 6395 */
+    871,
+    /* VPCMPGTQZ128rm */
+  },
+  { /* 6396 */
+    872,
+    /* VPCMPGTQZ128rmb */
+  },
+  { /* 6397 */
+    873,
+    /* VPCMPGTQZ128rmbk */
+  },
+  { /* 6398 */
+    874,
+    /* VPCMPGTQZ128rmk */
+  },
+  { /* 6399 */
+    875,
+    /* VPCMPGTQZ128rr */
+  },
+  { /* 6400 */
+    876,
+    /* VPCMPGTQZ128rrk */
+  },
+  { /* 6401 */
+    877,
+    /* VPCMPGTQZ256rm */
+  },
+  { /* 6402 */
+    878,
+    /* VPCMPGTQZ256rmb */
+  },
+  { /* 6403 */
+    879,
+    /* VPCMPGTQZ256rmbk */
+  },
+  { /* 6404 */
+    880,
+    /* VPCMPGTQZ256rmk */
+  },
+  { /* 6405 */
+    881,
+    /* VPCMPGTQZ256rr */
+  },
+  { /* 6406 */
+    882,
+    /* VPCMPGTQZ256rrk */
+  },
+  { /* 6407 */
+    883,
+    /* VPCMPGTQZrm */
+  },
+  { /* 6408 */
+    884,
+    /* VPCMPGTQZrmb */
+  },
+  { /* 6409 */
+    885,
+    /* VPCMPGTQZrmbk */
+  },
+  { /* 6410 */
+    886,
+    /* VPCMPGTQZrmk */
+  },
+  { /* 6411 */
+    887,
+    /* VPCMPGTQZrr */
+  },
+  { /* 6412 */
+    888,
+    /* VPCMPGTQZrrk */
+  },
+  { /* 6413 */
+    334,
+    /* VPCMPGTQrm */
+  },
+  { /* 6414 */
+    335,
+    /* VPCMPGTQrr */
+  },
+  { /* 6415 */
+    302,
+    /* VPCMPGTWYrm */
+  },
+  { /* 6416 */
+    303,
+    /* VPCMPGTWYrr */
+  },
+  { /* 6417 */
+    889,
+    /* VPCMPGTWZ128rm */
+  },
+  { /* 6418 */
+    890,
+    /* VPCMPGTWZ128rmk */
+  },
+  { /* 6419 */
+    891,
+    /* VPCMPGTWZ128rr */
+  },
+  { /* 6420 */
+    892,
+    /* VPCMPGTWZ128rrk */
+  },
+  { /* 6421 */
+    893,
+    /* VPCMPGTWZ256rm */
+  },
+  { /* 6422 */
+    894,
+    /* VPCMPGTWZ256rmk */
+  },
+  { /* 6423 */
+    895,
+    /* VPCMPGTWZ256rr */
+  },
+  { /* 6424 */
+    896,
+    /* VPCMPGTWZ256rrk */
+  },
+  { /* 6425 */
+    897,
+    /* VPCMPGTWZrm */
+  },
+  { /* 6426 */
+    898,
+    /* VPCMPGTWZrmk */
+  },
+  { /* 6427 */
+    899,
+    /* VPCMPGTWZrr */
+  },
+  { /* 6428 */
+    900,
+    /* VPCMPGTWZrrk */
+  },
+  { /* 6429 */
+    334,
+    /* VPCMPGTWrm */
+  },
+  { /* 6430 */
+    335,
+    /* VPCMPGTWrr */
+  },
+  { /* 6431 */
+    0,
+    /*  */
+  },
+  { /* 6432 */
+    0,
+    /*  */
+  },
+  { /* 6433 */
+    46,
+    /* VPCMPISTRIrm */
+  },
+  { /* 6434 */
+    47,
+    /* VPCMPISTRIrr */
+  },
+  { /* 6435 */
+    0,
+    /*  */
+  },
+  { /* 6436 */
+    0,
+    /*  */
+  },
+  { /* 6437 */
+    46,
+    /* VPCMPISTRM128rm */
+  },
+  { /* 6438 */
+    47,
+    /* VPCMPISTRM128rr */
+  },
+  { /* 6439 */
+    901,
+    /* VPCMPQZ128rmi */
+  },
+  { /* 6440 */
+    0,
+    /*  */
+  },
+  { /* 6441 */
+    902,
+    /* VPCMPQZ128rmib */
+  },
+  { /* 6442 */
+    0,
+    /*  */
+  },
+  { /* 6443 */
+    903,
+    /* VPCMPQZ128rmibk */
+  },
+  { /* 6444 */
+    0,
+    /*  */
+  },
+  { /* 6445 */
+    904,
+    /* VPCMPQZ128rmik */
+  },
+  { /* 6446 */
+    0,
+    /*  */
+  },
+  { /* 6447 */
+    905,
+    /* VPCMPQZ128rri */
+  },
+  { /* 6448 */
+    0,
+    /*  */
+  },
+  { /* 6449 */
+    906,
+    /* VPCMPQZ128rrik */
+  },
+  { /* 6450 */
+    0,
+    /*  */
+  },
+  { /* 6451 */
+    907,
+    /* VPCMPQZ256rmi */
+  },
+  { /* 6452 */
+    0,
+    /*  */
+  },
+  { /* 6453 */
+    908,
+    /* VPCMPQZ256rmib */
+  },
+  { /* 6454 */
+    0,
+    /*  */
+  },
+  { /* 6455 */
+    909,
+    /* VPCMPQZ256rmibk */
+  },
+  { /* 6456 */
+    0,
+    /*  */
+  },
+  { /* 6457 */
+    910,
+    /* VPCMPQZ256rmik */
+  },
+  { /* 6458 */
+    0,
+    /*  */
+  },
+  { /* 6459 */
+    911,
+    /* VPCMPQZ256rri */
+  },
+  { /* 6460 */
+    0,
+    /*  */
+  },
+  { /* 6461 */
+    912,
+    /* VPCMPQZ256rrik */
+  },
+  { /* 6462 */
+    0,
+    /*  */
+  },
+  { /* 6463 */
+    913,
+    /* VPCMPQZrmi */
+  },
+  { /* 6464 */
+    0,
+    /*  */
+  },
+  { /* 6465 */
+    914,
+    /* VPCMPQZrmib */
+  },
+  { /* 6466 */
+    0,
+    /*  */
+  },
+  { /* 6467 */
+    915,
+    /* VPCMPQZrmibk */
+  },
+  { /* 6468 */
+    0,
+    /*  */
+  },
+  { /* 6469 */
+    916,
+    /* VPCMPQZrmik */
+  },
+  { /* 6470 */
+    0,
+    /*  */
+  },
+  { /* 6471 */
+    917,
+    /* VPCMPQZrri */
+  },
+  { /* 6472 */
+    0,
+    /*  */
+  },
+  { /* 6473 */
+    918,
+    /* VPCMPQZrrik */
+  },
+  { /* 6474 */
+    0,
+    /*  */
+  },
+  { /* 6475 */
+    811,
+    /* VPCMPUBZ128rmi */
+  },
+  { /* 6476 */
+    0,
+    /*  */
+  },
+  { /* 6477 */
+    812,
+    /* VPCMPUBZ128rmik */
+  },
+  { /* 6478 */
+    0,
+    /*  */
+  },
+  { /* 6479 */
+    813,
+    /* VPCMPUBZ128rri */
+  },
+  { /* 6480 */
+    0,
+    /*  */
+  },
+  { /* 6481 */
+    814,
+    /* VPCMPUBZ128rrik */
+  },
+  { /* 6482 */
+    0,
+    /*  */
+  },
+  { /* 6483 */
+    815,
+    /* VPCMPUBZ256rmi */
+  },
+  { /* 6484 */
+    0,
+    /*  */
+  },
+  { /* 6485 */
+    816,
+    /* VPCMPUBZ256rmik */
+  },
+  { /* 6486 */
+    0,
+    /*  */
+  },
+  { /* 6487 */
+    817,
+    /* VPCMPUBZ256rri */
+  },
+  { /* 6488 */
+    0,
+    /*  */
+  },
+  { /* 6489 */
+    818,
+    /* VPCMPUBZ256rrik */
+  },
+  { /* 6490 */
+    0,
+    /*  */
+  },
+  { /* 6491 */
+    819,
+    /* VPCMPUBZrmi */
+  },
+  { /* 6492 */
+    0,
+    /*  */
+  },
+  { /* 6493 */
+    820,
+    /* VPCMPUBZrmik */
+  },
+  { /* 6494 */
+    0,
+    /*  */
+  },
+  { /* 6495 */
+    821,
+    /* VPCMPUBZrri */
+  },
+  { /* 6496 */
+    0,
+    /*  */
+  },
+  { /* 6497 */
+    822,
+    /* VPCMPUBZrrik */
+  },
+  { /* 6498 */
+    0,
+    /*  */
+  },
+  { /* 6499 */
+    823,
+    /* VPCMPUDZ128rmi */
+  },
+  { /* 6500 */
+    0,
+    /*  */
+  },
+  { /* 6501 */
+    824,
+    /* VPCMPUDZ128rmib */
+  },
+  { /* 6502 */
+    0,
+    /*  */
+  },
+  { /* 6503 */
+    825,
+    /* VPCMPUDZ128rmibk */
+  },
+  { /* 6504 */
+    0,
+    /*  */
+  },
+  { /* 6505 */
+    826,
+    /* VPCMPUDZ128rmik */
+  },
+  { /* 6506 */
+    0,
+    /*  */
+  },
+  { /* 6507 */
+    827,
+    /* VPCMPUDZ128rri */
+  },
+  { /* 6508 */
+    0,
+    /*  */
+  },
+  { /* 6509 */
+    828,
+    /* VPCMPUDZ128rrik */
+  },
+  { /* 6510 */
+    0,
+    /*  */
+  },
+  { /* 6511 */
+    829,
+    /* VPCMPUDZ256rmi */
+  },
+  { /* 6512 */
+    0,
+    /*  */
+  },
+  { /* 6513 */
+    830,
+    /* VPCMPUDZ256rmib */
+  },
+  { /* 6514 */
+    0,
+    /*  */
+  },
+  { /* 6515 */
+    831,
+    /* VPCMPUDZ256rmibk */
+  },
+  { /* 6516 */
+    0,
+    /*  */
+  },
+  { /* 6517 */
+    832,
+    /* VPCMPUDZ256rmik */
+  },
+  { /* 6518 */
+    0,
+    /*  */
+  },
+  { /* 6519 */
+    833,
+    /* VPCMPUDZ256rri */
+  },
+  { /* 6520 */
+    0,
+    /*  */
+  },
+  { /* 6521 */
+    834,
+    /* VPCMPUDZ256rrik */
+  },
+  { /* 6522 */
+    0,
+    /*  */
+  },
+  { /* 6523 */
+    835,
+    /* VPCMPUDZrmi */
+  },
+  { /* 6524 */
+    0,
+    /*  */
+  },
+  { /* 6525 */
+    836,
+    /* VPCMPUDZrmib */
+  },
+  { /* 6526 */
+    0,
+    /*  */
+  },
+  { /* 6527 */
+    837,
+    /* VPCMPUDZrmibk */
+  },
+  { /* 6528 */
+    0,
+    /*  */
+  },
+  { /* 6529 */
+    838,
+    /* VPCMPUDZrmik */
+  },
+  { /* 6530 */
+    0,
+    /*  */
+  },
+  { /* 6531 */
+    839,
+    /* VPCMPUDZrri */
+  },
+  { /* 6532 */
+    0,
+    /*  */
+  },
+  { /* 6533 */
+    840,
+    /* VPCMPUDZrrik */
+  },
+  { /* 6534 */
+    0,
+    /*  */
+  },
+  { /* 6535 */
+    901,
+    /* VPCMPUQZ128rmi */
+  },
+  { /* 6536 */
+    0,
+    /*  */
+  },
+  { /* 6537 */
+    902,
+    /* VPCMPUQZ128rmib */
+  },
+  { /* 6538 */
+    0,
+    /*  */
+  },
+  { /* 6539 */
+    903,
+    /* VPCMPUQZ128rmibk */
+  },
+  { /* 6540 */
+    0,
+    /*  */
+  },
+  { /* 6541 */
+    904,
+    /* VPCMPUQZ128rmik */
+  },
+  { /* 6542 */
+    0,
+    /*  */
+  },
+  { /* 6543 */
+    905,
+    /* VPCMPUQZ128rri */
+  },
+  { /* 6544 */
+    0,
+    /*  */
+  },
+  { /* 6545 */
+    906,
+    /* VPCMPUQZ128rrik */
+  },
+  { /* 6546 */
+    0,
+    /*  */
+  },
+  { /* 6547 */
+    907,
+    /* VPCMPUQZ256rmi */
+  },
+  { /* 6548 */
+    0,
+    /*  */
+  },
+  { /* 6549 */
+    908,
+    /* VPCMPUQZ256rmib */
+  },
+  { /* 6550 */
+    0,
+    /*  */
+  },
+  { /* 6551 */
+    909,
+    /* VPCMPUQZ256rmibk */
+  },
+  { /* 6552 */
+    0,
+    /*  */
+  },
+  { /* 6553 */
+    910,
+    /* VPCMPUQZ256rmik */
+  },
+  { /* 6554 */
+    0,
+    /*  */
+  },
+  { /* 6555 */
+    911,
+    /* VPCMPUQZ256rri */
+  },
+  { /* 6556 */
+    0,
+    /*  */
+  },
+  { /* 6557 */
+    912,
+    /* VPCMPUQZ256rrik */
+  },
+  { /* 6558 */
+    0,
+    /*  */
+  },
+  { /* 6559 */
+    913,
+    /* VPCMPUQZrmi */
+  },
+  { /* 6560 */
+    0,
+    /*  */
+  },
+  { /* 6561 */
+    914,
+    /* VPCMPUQZrmib */
+  },
+  { /* 6562 */
+    0,
+    /*  */
+  },
+  { /* 6563 */
+    915,
+    /* VPCMPUQZrmibk */
+  },
+  { /* 6564 */
+    0,
+    /*  */
+  },
+  { /* 6565 */
+    916,
+    /* VPCMPUQZrmik */
+  },
+  { /* 6566 */
+    0,
+    /*  */
+  },
+  { /* 6567 */
+    917,
+    /* VPCMPUQZrri */
+  },
+  { /* 6568 */
+    0,
+    /*  */
+  },
+  { /* 6569 */
+    918,
+    /* VPCMPUQZrrik */
+  },
+  { /* 6570 */
+    0,
+    /*  */
+  },
+  { /* 6571 */
+    919,
+    /* VPCMPUWZ128rmi */
+  },
+  { /* 6572 */
+    0,
+    /*  */
+  },
+  { /* 6573 */
+    920,
+    /* VPCMPUWZ128rmik */
+  },
+  { /* 6574 */
+    0,
+    /*  */
+  },
+  { /* 6575 */
+    921,
+    /* VPCMPUWZ128rri */
+  },
+  { /* 6576 */
+    0,
+    /*  */
+  },
+  { /* 6577 */
+    922,
+    /* VPCMPUWZ128rrik */
+  },
+  { /* 6578 */
+    0,
+    /*  */
+  },
+  { /* 6579 */
+    923,
+    /* VPCMPUWZ256rmi */
+  },
+  { /* 6580 */
+    0,
+    /*  */
+  },
+  { /* 6581 */
+    924,
+    /* VPCMPUWZ256rmik */
+  },
+  { /* 6582 */
+    0,
+    /*  */
+  },
+  { /* 6583 */
+    925,
+    /* VPCMPUWZ256rri */
+  },
+  { /* 6584 */
+    0,
+    /*  */
+  },
+  { /* 6585 */
+    926,
+    /* VPCMPUWZ256rrik */
+  },
+  { /* 6586 */
+    0,
+    /*  */
+  },
+  { /* 6587 */
+    927,
+    /* VPCMPUWZrmi */
+  },
+  { /* 6588 */
+    0,
+    /*  */
+  },
+  { /* 6589 */
+    928,
+    /* VPCMPUWZrmik */
+  },
+  { /* 6590 */
+    0,
+    /*  */
+  },
+  { /* 6591 */
+    929,
+    /* VPCMPUWZrri */
+  },
+  { /* 6592 */
+    0,
+    /*  */
+  },
+  { /* 6593 */
+    930,
+    /* VPCMPUWZrrik */
+  },
+  { /* 6594 */
+    0,
+    /*  */
+  },
+  { /* 6595 */
+    919,
+    /* VPCMPWZ128rmi */
+  },
+  { /* 6596 */
+    0,
+    /*  */
+  },
+  { /* 6597 */
+    920,
+    /* VPCMPWZ128rmik */
+  },
+  { /* 6598 */
+    0,
+    /*  */
+  },
+  { /* 6599 */
+    921,
+    /* VPCMPWZ128rri */
+  },
+  { /* 6600 */
+    0,
+    /*  */
+  },
+  { /* 6601 */
+    922,
+    /* VPCMPWZ128rrik */
+  },
+  { /* 6602 */
+    0,
+    /*  */
+  },
+  { /* 6603 */
+    923,
+    /* VPCMPWZ256rmi */
+  },
+  { /* 6604 */
+    0,
+    /*  */
+  },
+  { /* 6605 */
+    924,
+    /* VPCMPWZ256rmik */
+  },
+  { /* 6606 */
+    0,
+    /*  */
+  },
+  { /* 6607 */
+    925,
+    /* VPCMPWZ256rri */
+  },
+  { /* 6608 */
+    0,
+    /*  */
+  },
+  { /* 6609 */
+    926,
+    /* VPCMPWZ256rrik */
+  },
+  { /* 6610 */
+    0,
+    /*  */
+  },
+  { /* 6611 */
+    927,
+    /* VPCMPWZrmi */
+  },
+  { /* 6612 */
+    0,
+    /*  */
+  },
+  { /* 6613 */
+    928,
+    /* VPCMPWZrmik */
+  },
+  { /* 6614 */
+    0,
+    /*  */
+  },
+  { /* 6615 */
+    929,
+    /* VPCMPWZrri */
+  },
+  { /* 6616 */
+    0,
+    /*  */
+  },
+  { /* 6617 */
+    930,
+    /* VPCMPWZrrik */
+  },
+  { /* 6618 */
+    0,
+    /*  */
+  },
+  { /* 6619 */
+    931,
+    /* VPCOMBmi */
+  },
+  { /* 6620 */
+    0,
+    /*  */
+  },
+  { /* 6621 */
+    932,
+    /* VPCOMBri */
+  },
+  { /* 6622 */
+    0,
+    /*  */
+  },
+  { /* 6623 */
+    931,
+    /* VPCOMDmi */
+  },
+  { /* 6624 */
+    0,
+    /*  */
+  },
+  { /* 6625 */
+    932,
+    /* VPCOMDri */
+  },
+  { /* 6626 */
+    0,
+    /*  */
+  },
+  { /* 6627 */
+    465,
+    /* VPCOMPRESSDZ128mrk */
+  },
+  { /* 6628 */
+    466,
+    /* VPCOMPRESSDZ128rrk */
+  },
+  { /* 6629 */
+    467,
+    /* VPCOMPRESSDZ128rrkz */
+  },
+  { /* 6630 */
+    468,
+    /* VPCOMPRESSDZ256mrk */
+  },
+  { /* 6631 */
+    469,
+    /* VPCOMPRESSDZ256rrk */
+  },
+  { /* 6632 */
+    470,
+    /* VPCOMPRESSDZ256rrkz */
+  },
+  { /* 6633 */
+    471,
+    /* VPCOMPRESSDZmrk */
+  },
+  { /* 6634 */
+    472,
+    /* VPCOMPRESSDZrrk */
+  },
+  { /* 6635 */
+    473,
+    /* VPCOMPRESSDZrrkz */
+  },
+  { /* 6636 */
+    456,
+    /* VPCOMPRESSQZ128mrk */
+  },
+  { /* 6637 */
+    457,
+    /* VPCOMPRESSQZ128rrk */
+  },
+  { /* 6638 */
+    458,
+    /* VPCOMPRESSQZ128rrkz */
+  },
+  { /* 6639 */
+    459,
+    /* VPCOMPRESSQZ256mrk */
+  },
+  { /* 6640 */
+    460,
+    /* VPCOMPRESSQZ256rrk */
+  },
+  { /* 6641 */
+    461,
+    /* VPCOMPRESSQZ256rrkz */
+  },
+  { /* 6642 */
+    462,
+    /* VPCOMPRESSQZmrk */
+  },
+  { /* 6643 */
+    463,
+    /* VPCOMPRESSQZrrk */
+  },
+  { /* 6644 */
+    464,
+    /* VPCOMPRESSQZrrkz */
+  },
+  { /* 6645 */
+    931,
+    /* VPCOMQmi */
+  },
+  { /* 6646 */
+    0,
+    /*  */
+  },
+  { /* 6647 */
+    932,
+    /* VPCOMQri */
+  },
+  { /* 6648 */
+    0,
+    /*  */
+  },
+  { /* 6649 */
+    931,
+    /* VPCOMUBmi */
+  },
+  { /* 6650 */
+    0,
+    /*  */
+  },
+  { /* 6651 */
+    932,
+    /* VPCOMUBri */
+  },
+  { /* 6652 */
+    0,
+    /*  */
+  },
+  { /* 6653 */
+    931,
+    /* VPCOMUDmi */
+  },
+  { /* 6654 */
+    0,
+    /*  */
+  },
+  { /* 6655 */
+    932,
+    /* VPCOMUDri */
+  },
+  { /* 6656 */
+    0,
+    /*  */
+  },
+  { /* 6657 */
+    931,
+    /* VPCOMUQmi */
+  },
+  { /* 6658 */
+    0,
+    /*  */
+  },
+  { /* 6659 */
+    932,
+    /* VPCOMUQri */
+  },
+  { /* 6660 */
+    0,
+    /*  */
+  },
+  { /* 6661 */
+    931,
+    /* VPCOMUWmi */
+  },
+  { /* 6662 */
+    0,
+    /*  */
+  },
+  { /* 6663 */
+    932,
+    /* VPCOMUWri */
+  },
+  { /* 6664 */
+    0,
+    /*  */
+  },
+  { /* 6665 */
+    931,
+    /* VPCOMWmi */
+  },
+  { /* 6666 */
+    0,
+    /*  */
+  },
+  { /* 6667 */
+    932,
+    /* VPCOMWri */
+  },
+  { /* 6668 */
+    0,
+    /*  */
+  },
+  { /* 6669 */
+    477,
+    /* VPCONFLICTDrm */
+  },
+  { /* 6670 */
+    728,
+    /* VPCONFLICTDrmb */
+  },
+  { /* 6671 */
+    933,
+    /* VPCONFLICTDrmbk */
+  },
+  { /* 6672 */
+    729,
+    /* VPCONFLICTDrmbkz */
+  },
+  { /* 6673 */
+    537,
+    /* VPCONFLICTDrmk */
+  },
+  { /* 6674 */
+    538,
+    /* VPCONFLICTDrmkz */
+  },
+  { /* 6675 */
+    478,
+    /* VPCONFLICTDrr */
+  },
+  { /* 6676 */
+    541,
+    /* VPCONFLICTDrrk */
+  },
+  { /* 6677 */
+    542,
+    /* VPCONFLICTDrrkz */
+  },
+  { /* 6678 */
+    477,
+    /* VPCONFLICTQrm */
+  },
+  { /* 6679 */
+    730,
+    /* VPCONFLICTQrmb */
+  },
+  { /* 6680 */
+    934,
+    /* VPCONFLICTQrmbk */
+  },
+  { /* 6681 */
+    731,
+    /* VPCONFLICTQrmbkz */
+  },
+  { /* 6682 */
+    528,
+    /* VPCONFLICTQrmk */
+  },
+  { /* 6683 */
+    529,
+    /* VPCONFLICTQrmkz */
+  },
+  { /* 6684 */
+    478,
+    /* VPCONFLICTQrr */
+  },
+  { /* 6685 */
+    533,
+    /* VPCONFLICTQrrk */
+  },
+  { /* 6686 */
+    534,
+    /* VPCONFLICTQrrkz */
+  },
+  { /* 6687 */
+    388,
+    /* VPERM2F128rm */
+  },
+  { /* 6688 */
+    389,
+    /* VPERM2F128rr */
+  },
+  { /* 6689 */
+    388,
+    /* VPERM2I128rm */
+  },
+  { /* 6690 */
+    389,
+    /* VPERM2I128rr */
+  },
+  { /* 6691 */
+    302,
+    /* VPERMDYrm */
+  },
+  { /* 6692 */
+    303,
+    /* VPERMDYrr */
+  },
+  { /* 6693 */
+    325,
+    /* VPERMDZrm */
+  },
+  { /* 6694 */
+    331,
+    /* VPERMDZrr */
+  },
+  { /* 6695 */
+    574,
+    /* VPERMI2Drm */
+  },
+  { /* 6696 */
+    356,
+    /* VPERMI2Drmk */
+  },
+  { /* 6697 */
+    356,
+    /* VPERMI2Drmkz */
+  },
+  { /* 6698 */
+    588,
+    /* VPERMI2Drr */
+  },
+  { /* 6699 */
+    358,
+    /* VPERMI2Drrk */
+  },
+  { /* 6700 */
+    358,
+    /* VPERMI2Drrkz */
+  },
+  { /* 6701 */
+    574,
+    /* VPERMI2PDrm */
+  },
+  { /* 6702 */
+    329,
+    /* VPERMI2PDrmk */
+  },
+  { /* 6703 */
+    329,
+    /* VPERMI2PDrmkz */
+  },
+  { /* 6704 */
+    588,
+    /* VPERMI2PDrr */
+  },
+  { /* 6705 */
+    332,
+    /* VPERMI2PDrrk */
+  },
+  { /* 6706 */
+    332,
+    /* VPERMI2PDrrkz */
+  },
+  { /* 6707 */
+    574,
+    /* VPERMI2PSrm */
+  },
+  { /* 6708 */
+    356,
+    /* VPERMI2PSrmk */
+  },
+  { /* 6709 */
+    356,
+    /* VPERMI2PSrmkz */
+  },
+  { /* 6710 */
+    588,
+    /* VPERMI2PSrr */
+  },
+  { /* 6711 */
+    358,
+    /* VPERMI2PSrrk */
+  },
+  { /* 6712 */
+    358,
+    /* VPERMI2PSrrkz */
+  },
+  { /* 6713 */
+    574,
+    /* VPERMI2Qrm */
+  },
+  { /* 6714 */
+    329,
+    /* VPERMI2Qrmk */
+  },
+  { /* 6715 */
+    329,
+    /* VPERMI2Qrmkz */
+  },
+  { /* 6716 */
+    588,
+    /* VPERMI2Qrr */
+  },
+  { /* 6717 */
+    332,
+    /* VPERMI2Qrrk */
+  },
+  { /* 6718 */
+    332,
+    /* VPERMI2Qrrkz */
+  },
+  { /* 6719 */
+    935,
+    /* VPERMIL2PDmr */
+  },
+  { /* 6720 */
+    936,
+    /* VPERMIL2PDmrY */
+  },
+  { /* 6721 */
+    937,
+    /* VPERMIL2PDrm */
+  },
+  { /* 6722 */
+    938,
+    /* VPERMIL2PDrmY */
+  },
+  { /* 6723 */
+    939,
+    /* VPERMIL2PDrr */
+  },
+  { /* 6724 */
+    940,
+    /* VPERMIL2PDrrY */
+  },
+  { /* 6725 */
+    935,
+    /* VPERMIL2PSmr */
+  },
+  { /* 6726 */
+    936,
+    /* VPERMIL2PSmrY */
+  },
+  { /* 6727 */
+    937,
+    /* VPERMIL2PSrm */
+  },
+  { /* 6728 */
+    938,
+    /* VPERMIL2PSrmY */
+  },
+  { /* 6729 */
+    939,
+    /* VPERMIL2PSrr */
+  },
+  { /* 6730 */
+    940,
+    /* VPERMIL2PSrrY */
+  },
+  { /* 6731 */
+    941,
+    /* VPERMILPDYmi */
+  },
+  { /* 6732 */
+    942,
+    /* VPERMILPDYri */
+  },
+  { /* 6733 */
+    302,
+    /* VPERMILPDYrm */
+  },
+  { /* 6734 */
+    303,
+    /* VPERMILPDYrr */
+  },
+  { /* 6735 */
+    943,
+    /* VPERMILPDZmi */
+  },
+  { /* 6736 */
+    944,
+    /* VPERMILPDZri */
+  },
+  { /* 6737 */
+    325,
+    /* VPERMILPDZrm */
+  },
+  { /* 6738 */
+    331,
+    /* VPERMILPDZrr */
+  },
+  { /* 6739 */
+    46,
+    /* VPERMILPDmi */
+  },
+  { /* 6740 */
+    47,
+    /* VPERMILPDri */
+  },
+  { /* 6741 */
+    334,
+    /* VPERMILPDrm */
+  },
+  { /* 6742 */
+    335,
+    /* VPERMILPDrr */
+  },
+  { /* 6743 */
+    941,
+    /* VPERMILPSYmi */
+  },
+  { /* 6744 */
+    942,
+    /* VPERMILPSYri */
+  },
+  { /* 6745 */
+    302,
+    /* VPERMILPSYrm */
+  },
+  { /* 6746 */
+    303,
+    /* VPERMILPSYrr */
+  },
+  { /* 6747 */
+    943,
+    /* VPERMILPSZmi */
+  },
+  { /* 6748 */
+    944,
+    /* VPERMILPSZri */
+  },
+  { /* 6749 */
+    325,
+    /* VPERMILPSZrm */
+  },
+  { /* 6750 */
+    331,
+    /* VPERMILPSZrr */
+  },
+  { /* 6751 */
+    46,
+    /* VPERMILPSmi */
+  },
+  { /* 6752 */
+    47,
+    /* VPERMILPSri */
+  },
+  { /* 6753 */
+    334,
+    /* VPERMILPSrm */
+  },
+  { /* 6754 */
+    335,
+    /* VPERMILPSrr */
+  },
+  { /* 6755 */
+    941,
+    /* VPERMPDYmi */
+  },
+  { /* 6756 */
+    942,
+    /* VPERMPDYri */
+  },
+  { /* 6757 */
+    943,
+    /* VPERMPDZmi */
+  },
+  { /* 6758 */
+    944,
+    /* VPERMPDZri */
+  },
+  { /* 6759 */
+    325,
+    /* VPERMPDZrm */
+  },
+  { /* 6760 */
+    331,
+    /* VPERMPDZrr */
+  },
+  { /* 6761 */
+    302,
+    /* VPERMPSYrm */
+  },
+  { /* 6762 */
+    303,
+    /* VPERMPSYrr */
+  },
+  { /* 6763 */
+    325,
+    /* VPERMPSZrm */
+  },
+  { /* 6764 */
+    331,
+    /* VPERMPSZrr */
+  },
+  { /* 6765 */
+    941,
+    /* VPERMQYmi */
+  },
+  { /* 6766 */
+    942,
+    /* VPERMQYri */
+  },
+  { /* 6767 */
+    943,
+    /* VPERMQZmi */
+  },
+  { /* 6768 */
+    944,
+    /* VPERMQZri */
+  },
+  { /* 6769 */
+    325,
+    /* VPERMQZrm */
+  },
+  { /* 6770 */
+    331,
+    /* VPERMQZrr */
+  },
+  { /* 6771 */
+    574,
+    /* VPERMT2Drm */
+  },
+  { /* 6772 */
+    356,
+    /* VPERMT2Drmk */
+  },
+  { /* 6773 */
+    356,
+    /* VPERMT2Drmkz */
+  },
+  { /* 6774 */
+    588,
+    /* VPERMT2Drr */
+  },
+  { /* 6775 */
+    358,
+    /* VPERMT2Drrk */
+  },
+  { /* 6776 */
+    358,
+    /* VPERMT2Drrkz */
+  },
+  { /* 6777 */
+    574,
+    /* VPERMT2PDrm */
+  },
+  { /* 6778 */
+    329,
+    /* VPERMT2PDrmk */
+  },
+  { /* 6779 */
+    329,
+    /* VPERMT2PDrmkz */
+  },
+  { /* 6780 */
+    588,
+    /* VPERMT2PDrr */
+  },
+  { /* 6781 */
+    332,
+    /* VPERMT2PDrrk */
+  },
+  { /* 6782 */
+    332,
+    /* VPERMT2PDrrkz */
+  },
+  { /* 6783 */
+    574,
+    /* VPERMT2PSrm */
+  },
+  { /* 6784 */
+    356,
+    /* VPERMT2PSrmk */
+  },
+  { /* 6785 */
+    356,
+    /* VPERMT2PSrmkz */
+  },
+  { /* 6786 */
+    588,
+    /* VPERMT2PSrr */
+  },
+  { /* 6787 */
+    358,
+    /* VPERMT2PSrrk */
+  },
+  { /* 6788 */
+    358,
+    /* VPERMT2PSrrkz */
+  },
+  { /* 6789 */
+    574,
+    /* VPERMT2Qrm */
+  },
+  { /* 6790 */
+    329,
+    /* VPERMT2Qrmk */
+  },
+  { /* 6791 */
+    329,
+    /* VPERMT2Qrmkz */
+  },
+  { /* 6792 */
+    588,
+    /* VPERMT2Qrr */
+  },
+  { /* 6793 */
+    332,
+    /* VPERMT2Qrrk */
+  },
+  { /* 6794 */
+    332,
+    /* VPERMT2Qrrkz */
+  },
+  { /* 6795 */
+    553,
+    /* VPEXPANDDZ128rmk */
+  },
+  { /* 6796 */
+    554,
+    /* VPEXPANDDZ128rmkz */
+  },
+  { /* 6797 */
+    555,
+    /* VPEXPANDDZ128rrk */
+  },
+  { /* 6798 */
+    556,
+    /* VPEXPANDDZ128rrkz */
+  },
+  { /* 6799 */
+    557,
+    /* VPEXPANDDZ256rmk */
+  },
+  { /* 6800 */
+    558,
+    /* VPEXPANDDZ256rmkz */
+  },
+  { /* 6801 */
+    559,
+    /* VPEXPANDDZ256rrk */
+  },
+  { /* 6802 */
+    560,
+    /* VPEXPANDDZ256rrkz */
+  },
+  { /* 6803 */
+    535,
+    /* VPEXPANDDZrmk */
+  },
+  { /* 6804 */
+    536,
+    /* VPEXPANDDZrmkz */
+  },
+  { /* 6805 */
+    541,
+    /* VPEXPANDDZrrk */
+  },
+  { /* 6806 */
+    542,
+    /* VPEXPANDDZrrkz */
+  },
+  { /* 6807 */
+    543,
+    /* VPEXPANDQZ128rmk */
+  },
+  { /* 6808 */
+    544,
+    /* VPEXPANDQZ128rmkz */
+  },
+  { /* 6809 */
+    545,
+    /* VPEXPANDQZ128rrk */
+  },
+  { /* 6810 */
+    546,
+    /* VPEXPANDQZ128rrkz */
+  },
+  { /* 6811 */
+    547,
+    /* VPEXPANDQZ256rmk */
+  },
+  { /* 6812 */
+    548,
+    /* VPEXPANDQZ256rmkz */
+  },
+  { /* 6813 */
+    549,
+    /* VPEXPANDQZ256rrk */
+  },
+  { /* 6814 */
+    550,
+    /* VPEXPANDQZ256rrkz */
+  },
+  { /* 6815 */
+    551,
+    /* VPEXPANDQZrmk */
+  },
+  { /* 6816 */
+    552,
+    /* VPEXPANDQZrmkz */
+  },
+  { /* 6817 */
+    533,
+    /* VPEXPANDQZrrk */
+  },
+  { /* 6818 */
+    534,
+    /* VPEXPANDQZrrkz */
+  },
+  { /* 6819 */
+    270,
+    /* VPEXTRBmr */
+  },
+  { /* 6820 */
+    133,
+    /* VPEXTRBrr */
+  },
+  { /* 6821 */
+    271,
+    /* VPEXTRDmr */
+  },
+  { /* 6822 */
+    133,
+    /* VPEXTRDrr */
+  },
+  { /* 6823 */
+    271,
+    /* VPEXTRQmr */
+  },
+  { /* 6824 */
+    272,
+    /* VPEXTRQrr */
+  },
+  { /* 6825 */
+    271,
+    /* VPEXTRWmr */
+  },
+  { /* 6826 */
+    273,
+    /* VPEXTRWri */
+  },
+  { /* 6827 */
+    133,
+    /* VPEXTRWrr_REV */
+  },
+  { /* 6828 */
+    614,
+    /* VPGATHERDDYrm */
+  },
+  { /* 6829 */
+    615,
+    /* VPGATHERDDZrm */
+  },
+  { /* 6830 */
+    616,
+    /* VPGATHERDDrm */
+  },
+  { /* 6831 */
+    611,
+    /* VPGATHERDQYrm */
+  },
+  { /* 6832 */
+    612,
+    /* VPGATHERDQZrm */
+  },
+  { /* 6833 */
+    613,
+    /* VPGATHERDQrm */
+  },
+  { /* 6834 */
+    616,
+    /* VPGATHERQDYrm */
+  },
+  { /* 6835 */
+    620,
+    /* VPGATHERQDZrm */
+  },
+  { /* 6836 */
+    616,
+    /* VPGATHERQDrm */
+  },
+  { /* 6837 */
+    611,
+    /* VPGATHERQQYrm */
+  },
+  { /* 6838 */
+    612,
+    /* VPGATHERQQZrm */
+  },
+  { /* 6839 */
+    613,
+    /* VPGATHERQQrm */
+  },
+  { /* 6840 */
+    44,
+    /* VPHADDBDrm */
+  },
+  { /* 6841 */
+    45,
+    /* VPHADDBDrr */
+  },
+  { /* 6842 */
+    44,
+    /* VPHADDBQrm */
+  },
+  { /* 6843 */
+    45,
+    /* VPHADDBQrr */
+  },
+  { /* 6844 */
+    44,
+    /* VPHADDBWrm */
+  },
+  { /* 6845 */
+    45,
+    /* VPHADDBWrr */
+  },
+  { /* 6846 */
+    44,
+    /* VPHADDDQrm */
+  },
+  { /* 6847 */
+    45,
+    /* VPHADDDQrr */
+  },
+  { /* 6848 */
+    302,
+    /* VPHADDDYrm */
+  },
+  { /* 6849 */
+    303,
+    /* VPHADDDYrr */
+  },
+  { /* 6850 */
+    334,
+    /* VPHADDDrm */
+  },
+  { /* 6851 */
+    335,
+    /* VPHADDDrr */
+  },
+  { /* 6852 */
+    334,
+    /* VPHADDSWrm128 */
+  },
+  { /* 6853 */
+    302,
+    /* VPHADDSWrm256 */
+  },
+  { /* 6854 */
+    335,
+    /* VPHADDSWrr128 */
+  },
+  { /* 6855 */
+    303,
+    /* VPHADDSWrr256 */
+  },
+  { /* 6856 */
+    44,
+    /* VPHADDUBDrm */
+  },
+  { /* 6857 */
+    45,
+    /* VPHADDUBDrr */
+  },
+  { /* 6858 */
+    44,
+    /* VPHADDUBQrm */
+  },
+  { /* 6859 */
+    45,
+    /* VPHADDUBQrr */
+  },
+  { /* 6860 */
+    44,
+    /* VPHADDUBWrm */
+  },
+  { /* 6861 */
+    45,
+    /* VPHADDUBWrr */
+  },
+  { /* 6862 */
+    44,
+    /* VPHADDUDQrm */
+  },
+  { /* 6863 */
+    45,
+    /* VPHADDUDQrr */
+  },
+  { /* 6864 */
+    44,
+    /* VPHADDUWDrm */
+  },
+  { /* 6865 */
+    45,
+    /* VPHADDUWDrr */
+  },
+  { /* 6866 */
+    44,
+    /* VPHADDUWQrm */
+  },
+  { /* 6867 */
+    45,
+    /* VPHADDUWQrr */
+  },
+  { /* 6868 */
+    44,
+    /* VPHADDWDrm */
+  },
+  { /* 6869 */
+    45,
+    /* VPHADDWDrr */
+  },
+  { /* 6870 */
+    44,
+    /* VPHADDWQrm */
+  },
+  { /* 6871 */
+    45,
+    /* VPHADDWQrr */
+  },
+  { /* 6872 */
+    302,
+    /* VPHADDWYrm */
+  },
+  { /* 6873 */
+    303,
+    /* VPHADDWYrr */
+  },
+  { /* 6874 */
+    334,
+    /* VPHADDWrm */
+  },
+  { /* 6875 */
+    335,
+    /* VPHADDWrr */
+  },
+  { /* 6876 */
+    44,
+    /* VPHMINPOSUWrm128 */
+  },
+  { /* 6877 */
+    45,
+    /* VPHMINPOSUWrr128 */
+  },
+  { /* 6878 */
+    44,
+    /* VPHSUBBWrm */
+  },
+  { /* 6879 */
+    45,
+    /* VPHSUBBWrr */
+  },
+  { /* 6880 */
+    44,
+    /* VPHSUBDQrm */
+  },
+  { /* 6881 */
+    45,
+    /* VPHSUBDQrr */
+  },
+  { /* 6882 */
+    302,
+    /* VPHSUBDYrm */
+  },
+  { /* 6883 */
+    303,
+    /* VPHSUBDYrr */
+  },
+  { /* 6884 */
+    334,
+    /* VPHSUBDrm */
+  },
+  { /* 6885 */
+    335,
+    /* VPHSUBDrr */
+  },
+  { /* 6886 */
+    334,
+    /* VPHSUBSWrm128 */
+  },
+  { /* 6887 */
+    302,
+    /* VPHSUBSWrm256 */
+  },
+  { /* 6888 */
+    335,
+    /* VPHSUBSWrr128 */
+  },
+  { /* 6889 */
+    303,
+    /* VPHSUBSWrr256 */
+  },
+  { /* 6890 */
+    44,
+    /* VPHSUBWDrm */
+  },
+  { /* 6891 */
+    45,
+    /* VPHSUBWDrr */
+  },
+  { /* 6892 */
+    302,
+    /* VPHSUBWYrm */
+  },
+  { /* 6893 */
+    303,
+    /* VPHSUBWYrr */
+  },
+  { /* 6894 */
+    334,
+    /* VPHSUBWrm */
+  },
+  { /* 6895 */
+    335,
+    /* VPHSUBWrr */
+  },
+  { /* 6896 */
+    945,
+    /* VPINSRBrm */
+  },
+  { /* 6897 */
+    946,
+    /* VPINSRBrr */
+  },
+  { /* 6898 */
+    947,
+    /* VPINSRDrm */
+  },
+  { /* 6899 */
+    946,
+    /* VPINSRDrr */
+  },
+  { /* 6900 */
+    947,
+    /* VPINSRQrm */
+  },
+  { /* 6901 */
+    948,
+    /* VPINSRQrr */
+  },
+  { /* 6902 */
+    947,
+    /* VPINSRWrmi */
+  },
+  { /* 6903 */
+    946,
+    /* VPINSRWrri */
+  },
+  { /* 6904 */
+    477,
+    /* VPLZCNTDrm */
+  },
+  { /* 6905 */
+    728,
+    /* VPLZCNTDrmb */
+  },
+  { /* 6906 */
+    933,
+    /* VPLZCNTDrmbk */
+  },
+  { /* 6907 */
+    729,
+    /* VPLZCNTDrmbkz */
+  },
+  { /* 6908 */
+    537,
+    /* VPLZCNTDrmk */
+  },
+  { /* 6909 */
+    538,
+    /* VPLZCNTDrmkz */
+  },
+  { /* 6910 */
+    478,
+    /* VPLZCNTDrr */
+  },
+  { /* 6911 */
+    541,
+    /* VPLZCNTDrrk */
+  },
+  { /* 6912 */
+    542,
+    /* VPLZCNTDrrkz */
+  },
+  { /* 6913 */
+    477,
+    /* VPLZCNTQrm */
+  },
+  { /* 6914 */
+    730,
+    /* VPLZCNTQrmb */
+  },
+  { /* 6915 */
+    934,
+    /* VPLZCNTQrmbk */
+  },
+  { /* 6916 */
+    731,
+    /* VPLZCNTQrmbkz */
+  },
+  { /* 6917 */
+    528,
+    /* VPLZCNTQrmk */
+  },
+  { /* 6918 */
+    529,
+    /* VPLZCNTQrmkz */
+  },
+  { /* 6919 */
+    478,
+    /* VPLZCNTQrr */
+  },
+  { /* 6920 */
+    533,
+    /* VPLZCNTQrrk */
+  },
+  { /* 6921 */
+    534,
+    /* VPLZCNTQrrkz */
+  },
+  { /* 6922 */
+    394,
+    /* VPMACSDDrm */
+  },
+  { /* 6923 */
+    395,
+    /* VPMACSDDrr */
+  },
+  { /* 6924 */
+    394,
+    /* VPMACSDQHrm */
+  },
+  { /* 6925 */
+    395,
+    /* VPMACSDQHrr */
+  },
+  { /* 6926 */
+    394,
+    /* VPMACSDQLrm */
+  },
+  { /* 6927 */
+    395,
+    /* VPMACSDQLrr */
+  },
+  { /* 6928 */
+    394,
+    /* VPMACSSDDrm */
+  },
+  { /* 6929 */
+    395,
+    /* VPMACSSDDrr */
+  },
+  { /* 6930 */
+    394,
+    /* VPMACSSDQHrm */
+  },
+  { /* 6931 */
+    395,
+    /* VPMACSSDQHrr */
+  },
+  { /* 6932 */
+    394,
+    /* VPMACSSDQLrm */
+  },
+  { /* 6933 */
+    395,
+    /* VPMACSSDQLrr */
+  },
+  { /* 6934 */
+    394,
+    /* VPMACSSWDrm */
+  },
+  { /* 6935 */
+    395,
+    /* VPMACSSWDrr */
+  },
+  { /* 6936 */
+    394,
+    /* VPMACSSWWrm */
+  },
+  { /* 6937 */
+    395,
+    /* VPMACSSWWrr */
+  },
+  { /* 6938 */
+    394,
+    /* VPMACSWDrm */
+  },
+  { /* 6939 */
+    395,
+    /* VPMACSWDrr */
+  },
+  { /* 6940 */
+    394,
+    /* VPMACSWWrm */
+  },
+  { /* 6941 */
+    395,
+    /* VPMACSWWrr */
+  },
+  { /* 6942 */
+    394,
+    /* VPMADCSSWDrm */
+  },
+  { /* 6943 */
+    395,
+    /* VPMADCSSWDrr */
+  },
+  { /* 6944 */
+    394,
+    /* VPMADCSWDrm */
+  },
+  { /* 6945 */
+    395,
+    /* VPMADCSWDrr */
+  },
+  { /* 6946 */
+    334,
+    /* VPMADDUBSWrm128 */
+  },
+  { /* 6947 */
+    302,
+    /* VPMADDUBSWrm256 */
+  },
+  { /* 6948 */
+    335,
+    /* VPMADDUBSWrr128 */
+  },
+  { /* 6949 */
+    303,
+    /* VPMADDUBSWrr256 */
+  },
+  { /* 6950 */
+    302,
+    /* VPMADDWDYrm */
+  },
+  { /* 6951 */
+    303,
+    /* VPMADDWDYrr */
+  },
+  { /* 6952 */
+    334,
+    /* VPMADDWDrm */
+  },
+  { /* 6953 */
+    335,
+    /* VPMADDWDrr */
+  },
+  { /* 6954 */
+    630,
+    /* VPMASKMOVDYmr */
+  },
+  { /* 6955 */
+    302,
+    /* VPMASKMOVDYrm */
+  },
+  { /* 6956 */
+    631,
+    /* VPMASKMOVDmr */
+  },
+  { /* 6957 */
+    334,
+    /* VPMASKMOVDrm */
+  },
+  { /* 6958 */
+    630,
+    /* VPMASKMOVQYmr */
+  },
+  { /* 6959 */
+    302,
+    /* VPMASKMOVQYrm */
+  },
+  { /* 6960 */
+    631,
+    /* VPMASKMOVQmr */
+  },
+  { /* 6961 */
+    334,
+    /* VPMASKMOVQrm */
+  },
+  { /* 6962 */
+    302,
+    /* VPMAXSBYrm */
+  },
+  { /* 6963 */
+    303,
+    /* VPMAXSBYrr */
+  },
+  { /* 6964 */
+    304,
+    /* VPMAXSBZ128rm */
+  },
+  { /* 6965 */
+    732,
+    /* VPMAXSBZ128rmk */
+  },
+  { /* 6966 */
+    733,
+    /* VPMAXSBZ128rmkz */
+  },
+  { /* 6967 */
+    310,
+    /* VPMAXSBZ128rr */
+  },
+  { /* 6968 */
+    734,
+    /* VPMAXSBZ128rrk */
+  },
+  { /* 6969 */
+    735,
+    /* VPMAXSBZ128rrkz */
+  },
+  { /* 6970 */
+    313,
+    /* VPMAXSBZ256rm */
+  },
+  { /* 6971 */
+    736,
+    /* VPMAXSBZ256rmk */
+  },
+  { /* 6972 */
+    737,
+    /* VPMAXSBZ256rmkz */
+  },
+  { /* 6973 */
+    319,
+    /* VPMAXSBZ256rr */
+  },
+  { /* 6974 */
+    738,
+    /* VPMAXSBZ256rrk */
+  },
+  { /* 6975 */
+    739,
+    /* VPMAXSBZ256rrkz */
+  },
+  { /* 6976 */
+    325,
+    /* VPMAXSBZrm */
+  },
+  { /* 6977 */
+    740,
+    /* VPMAXSBZrmk */
+  },
+  { /* 6978 */
+    741,
+    /* VPMAXSBZrmkz */
+  },
+  { /* 6979 */
+    331,
+    /* VPMAXSBZrr */
+  },
+  { /* 6980 */
+    742,
+    /* VPMAXSBZrrk */
+  },
+  { /* 6981 */
+    743,
+    /* VPMAXSBZrrkz */
+  },
+  { /* 6982 */
+    334,
+    /* VPMAXSBrm */
+  },
+  { /* 6983 */
+    335,
+    /* VPMAXSBrr */
+  },
+  { /* 6984 */
+    302,
+    /* VPMAXSDYrm */
+  },
+  { /* 6985 */
+    303,
+    /* VPMAXSDYrr */
+  },
+  { /* 6986 */
+    304,
+    /* VPMAXSDZ128rm */
+  },
+  { /* 6987 */
+    744,
+    /* VPMAXSDZ128rmb */
+  },
+  { /* 6988 */
+    745,
+    /* VPMAXSDZ128rmbk */
+  },
+  { /* 6989 */
+    746,
+    /* VPMAXSDZ128rmbkz */
+  },
+  { /* 6990 */
+    339,
+    /* VPMAXSDZ128rmk */
+  },
+  { /* 6991 */
+    340,
+    /* VPMAXSDZ128rmkz */
+  },
+  { /* 6992 */
+    310,
+    /* VPMAXSDZ128rr */
+  },
+  { /* 6993 */
+    341,
+    /* VPMAXSDZ128rrk */
+  },
+  { /* 6994 */
+    342,
+    /* VPMAXSDZ128rrkz */
+  },
+  { /* 6995 */
+    313,
+    /* VPMAXSDZ256rm */
+  },
+  { /* 6996 */
+    747,
+    /* VPMAXSDZ256rmb */
+  },
+  { /* 6997 */
+    748,
+    /* VPMAXSDZ256rmbk */
+  },
+  { /* 6998 */
+    749,
+    /* VPMAXSDZ256rmbkz */
+  },
+  { /* 6999 */
+    346,
+    /* VPMAXSDZ256rmk */
+  },
+  { /* 7000 */
+    347,
+    /* VPMAXSDZ256rmkz */
+  },
+  { /* 7001 */
+    319,
+    /* VPMAXSDZ256rr */
+  },
+  { /* 7002 */
+    348,
+    /* VPMAXSDZ256rrk */
+  },
+  { /* 7003 */
+    349,
+    /* VPMAXSDZ256rrkz */
+  },
+  { /* 7004 */
+    325,
+    /* VPMAXSDZrm */
+  },
+  { /* 7005 */
+    750,
+    /* VPMAXSDZrmb */
+  },
+  { /* 7006 */
+    751,
+    /* VPMAXSDZrmbk */
+  },
+  { /* 7007 */
+    752,
+    /* VPMAXSDZrmbkz */
+  },
+  { /* 7008 */
+    356,
+    /* VPMAXSDZrmk */
+  },
+  { /* 7009 */
+    357,
+    /* VPMAXSDZrmkz */
+  },
+  { /* 7010 */
+    331,
+    /* VPMAXSDZrr */
+  },
+  { /* 7011 */
+    358,
+    /* VPMAXSDZrrk */
+  },
+  { /* 7012 */
+    359,
+    /* VPMAXSDZrrkz */
+  },
+  { /* 7013 */
+    334,
+    /* VPMAXSDrm */
+  },
+  { /* 7014 */
+    335,
+    /* VPMAXSDrr */
+  },
+  { /* 7015 */
+    304,
+    /* VPMAXSQZ128rm */
+  },
+  { /* 7016 */
+    753,
+    /* VPMAXSQZ128rmb */
+  },
+  { /* 7017 */
+    754,
+    /* VPMAXSQZ128rmbk */
+  },
+  { /* 7018 */
+    755,
+    /* VPMAXSQZ128rmbkz */
+  },
+  { /* 7019 */
+    308,
+    /* VPMAXSQZ128rmk */
+  },
+  { /* 7020 */
+    309,
+    /* VPMAXSQZ128rmkz */
+  },
+  { /* 7021 */
+    310,
+    /* VPMAXSQZ128rr */
+  },
+  { /* 7022 */
+    311,
+    /* VPMAXSQZ128rrk */
+  },
+  { /* 7023 */
+    312,
+    /* VPMAXSQZ128rrkz */
+  },
+  { /* 7024 */
+    313,
+    /* VPMAXSQZ256rm */
+  },
+  { /* 7025 */
+    756,
+    /* VPMAXSQZ256rmb */
+  },
+  { /* 7026 */
+    757,
+    /* VPMAXSQZ256rmbk */
+  },
+  { /* 7027 */
+    758,
+    /* VPMAXSQZ256rmbkz */
+  },
+  { /* 7028 */
+    317,
+    /* VPMAXSQZ256rmk */
+  },
+  { /* 7029 */
+    318,
+    /* VPMAXSQZ256rmkz */
+  },
+  { /* 7030 */
+    319,
+    /* VPMAXSQZ256rr */
+  },
+  { /* 7031 */
+    320,
+    /* VPMAXSQZ256rrk */
+  },
+  { /* 7032 */
+    321,
+    /* VPMAXSQZ256rrkz */
+  },
+  { /* 7033 */
+    325,
+    /* VPMAXSQZrm */
+  },
+  { /* 7034 */
+    759,
+    /* VPMAXSQZrmb */
+  },
+  { /* 7035 */
+    760,
+    /* VPMAXSQZrmbk */
+  },
+  { /* 7036 */
+    761,
+    /* VPMAXSQZrmbkz */
+  },
+  { /* 7037 */
+    329,
+    /* VPMAXSQZrmk */
+  },
+  { /* 7038 */
+    330,
+    /* VPMAXSQZrmkz */
+  },
+  { /* 7039 */
+    331,
+    /* VPMAXSQZrr */
+  },
+  { /* 7040 */
+    332,
+    /* VPMAXSQZrrk */
+  },
+  { /* 7041 */
+    333,
+    /* VPMAXSQZrrkz */
+  },
+  { /* 7042 */
+    302,
+    /* VPMAXSWYrm */
+  },
+  { /* 7043 */
+    303,
+    /* VPMAXSWYrr */
+  },
+  { /* 7044 */
+    304,
+    /* VPMAXSWZ128rm */
+  },
+  { /* 7045 */
+    762,
+    /* VPMAXSWZ128rmk */
+  },
+  { /* 7046 */
+    763,
+    /* VPMAXSWZ128rmkz */
+  },
+  { /* 7047 */
+    310,
+    /* VPMAXSWZ128rr */
+  },
+  { /* 7048 */
+    764,
+    /* VPMAXSWZ128rrk */
+  },
+  { /* 7049 */
+    765,
+    /* VPMAXSWZ128rrkz */
+  },
+  { /* 7050 */
+    313,
+    /* VPMAXSWZ256rm */
+  },
+  { /* 7051 */
+    766,
+    /* VPMAXSWZ256rmk */
+  },
+  { /* 7052 */
+    767,
+    /* VPMAXSWZ256rmkz */
+  },
+  { /* 7053 */
+    319,
+    /* VPMAXSWZ256rr */
+  },
+  { /* 7054 */
+    768,
+    /* VPMAXSWZ256rrk */
+  },
+  { /* 7055 */
+    769,
+    /* VPMAXSWZ256rrkz */
+  },
+  { /* 7056 */
+    325,
+    /* VPMAXSWZrm */
+  },
+  { /* 7057 */
+    770,
+    /* VPMAXSWZrmk */
+  },
+  { /* 7058 */
+    771,
+    /* VPMAXSWZrmkz */
+  },
+  { /* 7059 */
+    331,
+    /* VPMAXSWZrr */
+  },
+  { /* 7060 */
+    772,
+    /* VPMAXSWZrrk */
+  },
+  { /* 7061 */
+    773,
+    /* VPMAXSWZrrkz */
+  },
+  { /* 7062 */
+    334,
+    /* VPMAXSWrm */
+  },
+  { /* 7063 */
+    335,
+    /* VPMAXSWrr */
+  },
+  { /* 7064 */
+    302,
+    /* VPMAXUBYrm */
+  },
+  { /* 7065 */
+    303,
+    /* VPMAXUBYrr */
+  },
+  { /* 7066 */
+    304,
+    /* VPMAXUBZ128rm */
+  },
+  { /* 7067 */
+    732,
+    /* VPMAXUBZ128rmk */
+  },
+  { /* 7068 */
+    733,
+    /* VPMAXUBZ128rmkz */
+  },
+  { /* 7069 */
+    310,
+    /* VPMAXUBZ128rr */
+  },
+  { /* 7070 */
+    734,
+    /* VPMAXUBZ128rrk */
+  },
+  { /* 7071 */
+    735,
+    /* VPMAXUBZ128rrkz */
+  },
+  { /* 7072 */
+    313,
+    /* VPMAXUBZ256rm */
+  },
+  { /* 7073 */
+    736,
+    /* VPMAXUBZ256rmk */
+  },
+  { /* 7074 */
+    737,
+    /* VPMAXUBZ256rmkz */
+  },
+  { /* 7075 */
+    319,
+    /* VPMAXUBZ256rr */
+  },
+  { /* 7076 */
+    738,
+    /* VPMAXUBZ256rrk */
+  },
+  { /* 7077 */
+    739,
+    /* VPMAXUBZ256rrkz */
+  },
+  { /* 7078 */
+    325,
+    /* VPMAXUBZrm */
+  },
+  { /* 7079 */
+    740,
+    /* VPMAXUBZrmk */
+  },
+  { /* 7080 */
+    741,
+    /* VPMAXUBZrmkz */
+  },
+  { /* 7081 */
+    331,
+    /* VPMAXUBZrr */
+  },
+  { /* 7082 */
+    742,
+    /* VPMAXUBZrrk */
+  },
+  { /* 7083 */
+    743,
+    /* VPMAXUBZrrkz */
+  },
+  { /* 7084 */
+    334,
+    /* VPMAXUBrm */
+  },
+  { /* 7085 */
+    335,
+    /* VPMAXUBrr */
+  },
+  { /* 7086 */
+    302,
+    /* VPMAXUDYrm */
+  },
+  { /* 7087 */
+    303,
+    /* VPMAXUDYrr */
+  },
+  { /* 7088 */
+    304,
+    /* VPMAXUDZ128rm */
+  },
+  { /* 7089 */
+    744,
+    /* VPMAXUDZ128rmb */
+  },
+  { /* 7090 */
+    745,
+    /* VPMAXUDZ128rmbk */
+  },
+  { /* 7091 */
+    746,
+    /* VPMAXUDZ128rmbkz */
+  },
+  { /* 7092 */
+    339,
+    /* VPMAXUDZ128rmk */
+  },
+  { /* 7093 */
+    340,
+    /* VPMAXUDZ128rmkz */
+  },
+  { /* 7094 */
+    310,
+    /* VPMAXUDZ128rr */
+  },
+  { /* 7095 */
+    341,
+    /* VPMAXUDZ128rrk */
+  },
+  { /* 7096 */
+    342,
+    /* VPMAXUDZ128rrkz */
+  },
+  { /* 7097 */
+    313,
+    /* VPMAXUDZ256rm */
+  },
+  { /* 7098 */
+    747,
+    /* VPMAXUDZ256rmb */
+  },
+  { /* 7099 */
+    748,
+    /* VPMAXUDZ256rmbk */
+  },
+  { /* 7100 */
+    749,
+    /* VPMAXUDZ256rmbkz */
+  },
+  { /* 7101 */
+    346,
+    /* VPMAXUDZ256rmk */
+  },
+  { /* 7102 */
+    347,
+    /* VPMAXUDZ256rmkz */
+  },
+  { /* 7103 */
+    319,
+    /* VPMAXUDZ256rr */
+  },
+  { /* 7104 */
+    348,
+    /* VPMAXUDZ256rrk */
+  },
+  { /* 7105 */
+    349,
+    /* VPMAXUDZ256rrkz */
+  },
+  { /* 7106 */
+    325,
+    /* VPMAXUDZrm */
+  },
+  { /* 7107 */
+    750,
+    /* VPMAXUDZrmb */
+  },
+  { /* 7108 */
+    751,
+    /* VPMAXUDZrmbk */
+  },
+  { /* 7109 */
+    752,
+    /* VPMAXUDZrmbkz */
+  },
+  { /* 7110 */
+    356,
+    /* VPMAXUDZrmk */
+  },
+  { /* 7111 */
+    357,
+    /* VPMAXUDZrmkz */
+  },
+  { /* 7112 */
+    331,
+    /* VPMAXUDZrr */
+  },
+  { /* 7113 */
+    358,
+    /* VPMAXUDZrrk */
+  },
+  { /* 7114 */
+    359,
+    /* VPMAXUDZrrkz */
+  },
+  { /* 7115 */
+    334,
+    /* VPMAXUDrm */
+  },
+  { /* 7116 */
+    335,
+    /* VPMAXUDrr */
+  },
+  { /* 7117 */
+    304,
+    /* VPMAXUQZ128rm */
+  },
+  { /* 7118 */
+    753,
+    /* VPMAXUQZ128rmb */
+  },
+  { /* 7119 */
+    754,
+    /* VPMAXUQZ128rmbk */
+  },
+  { /* 7120 */
+    755,
+    /* VPMAXUQZ128rmbkz */
+  },
+  { /* 7121 */
+    308,
+    /* VPMAXUQZ128rmk */
+  },
+  { /* 7122 */
+    309,
+    /* VPMAXUQZ128rmkz */
+  },
+  { /* 7123 */
+    310,
+    /* VPMAXUQZ128rr */
+  },
+  { /* 7124 */
+    311,
+    /* VPMAXUQZ128rrk */
+  },
+  { /* 7125 */
+    312,
+    /* VPMAXUQZ128rrkz */
+  },
+  { /* 7126 */
+    313,
+    /* VPMAXUQZ256rm */
+  },
+  { /* 7127 */
+    756,
+    /* VPMAXUQZ256rmb */
+  },
+  { /* 7128 */
+    757,
+    /* VPMAXUQZ256rmbk */
+  },
+  { /* 7129 */
+    758,
+    /* VPMAXUQZ256rmbkz */
+  },
+  { /* 7130 */
+    317,
+    /* VPMAXUQZ256rmk */
+  },
+  { /* 7131 */
+    318,
+    /* VPMAXUQZ256rmkz */
+  },
+  { /* 7132 */
+    319,
+    /* VPMAXUQZ256rr */
+  },
+  { /* 7133 */
+    320,
+    /* VPMAXUQZ256rrk */
+  },
+  { /* 7134 */
+    321,
+    /* VPMAXUQZ256rrkz */
+  },
+  { /* 7135 */
+    325,
+    /* VPMAXUQZrm */
+  },
+  { /* 7136 */
+    759,
+    /* VPMAXUQZrmb */
+  },
+  { /* 7137 */
+    760,
+    /* VPMAXUQZrmbk */
+  },
+  { /* 7138 */
+    761,
+    /* VPMAXUQZrmbkz */
+  },
+  { /* 7139 */
+    329,
+    /* VPMAXUQZrmk */
+  },
+  { /* 7140 */
+    330,
+    /* VPMAXUQZrmkz */
+  },
+  { /* 7141 */
+    331,
+    /* VPMAXUQZrr */
+  },
+  { /* 7142 */
+    332,
+    /* VPMAXUQZrrk */
+  },
+  { /* 7143 */
+    333,
+    /* VPMAXUQZrrkz */
+  },
+  { /* 7144 */
+    302,
+    /* VPMAXUWYrm */
+  },
+  { /* 7145 */
+    303,
+    /* VPMAXUWYrr */
+  },
+  { /* 7146 */
+    304,
+    /* VPMAXUWZ128rm */
+  },
+  { /* 7147 */
+    762,
+    /* VPMAXUWZ128rmk */
+  },
+  { /* 7148 */
+    763,
+    /* VPMAXUWZ128rmkz */
+  },
+  { /* 7149 */
+    310,
+    /* VPMAXUWZ128rr */
+  },
+  { /* 7150 */
+    764,
+    /* VPMAXUWZ128rrk */
+  },
+  { /* 7151 */
+    765,
+    /* VPMAXUWZ128rrkz */
+  },
+  { /* 7152 */
+    313,
+    /* VPMAXUWZ256rm */
+  },
+  { /* 7153 */
+    766,
+    /* VPMAXUWZ256rmk */
+  },
+  { /* 7154 */
+    767,
+    /* VPMAXUWZ256rmkz */
+  },
+  { /* 7155 */
+    319,
+    /* VPMAXUWZ256rr */
+  },
+  { /* 7156 */
+    768,
+    /* VPMAXUWZ256rrk */
+  },
+  { /* 7157 */
+    769,
+    /* VPMAXUWZ256rrkz */
+  },
+  { /* 7158 */
+    325,
+    /* VPMAXUWZrm */
+  },
+  { /* 7159 */
+    770,
+    /* VPMAXUWZrmk */
+  },
+  { /* 7160 */
+    771,
+    /* VPMAXUWZrmkz */
+  },
+  { /* 7161 */
+    331,
+    /* VPMAXUWZrr */
+  },
+  { /* 7162 */
+    772,
+    /* VPMAXUWZrrk */
+  },
+  { /* 7163 */
+    773,
+    /* VPMAXUWZrrkz */
+  },
+  { /* 7164 */
+    334,
+    /* VPMAXUWrm */
+  },
+  { /* 7165 */
+    335,
+    /* VPMAXUWrr */
+  },
+  { /* 7166 */
+    302,
+    /* VPMINSBYrm */
+  },
+  { /* 7167 */
+    303,
+    /* VPMINSBYrr */
+  },
+  { /* 7168 */
+    304,
+    /* VPMINSBZ128rm */
+  },
+  { /* 7169 */
+    732,
+    /* VPMINSBZ128rmk */
+  },
+  { /* 7170 */
+    733,
+    /* VPMINSBZ128rmkz */
+  },
+  { /* 7171 */
+    310,
+    /* VPMINSBZ128rr */
+  },
+  { /* 7172 */
+    734,
+    /* VPMINSBZ128rrk */
+  },
+  { /* 7173 */
+    735,
+    /* VPMINSBZ128rrkz */
+  },
+  { /* 7174 */
+    313,
+    /* VPMINSBZ256rm */
+  },
+  { /* 7175 */
+    736,
+    /* VPMINSBZ256rmk */
+  },
+  { /* 7176 */
+    737,
+    /* VPMINSBZ256rmkz */
+  },
+  { /* 7177 */
+    319,
+    /* VPMINSBZ256rr */
+  },
+  { /* 7178 */
+    738,
+    /* VPMINSBZ256rrk */
+  },
+  { /* 7179 */
+    739,
+    /* VPMINSBZ256rrkz */
+  },
+  { /* 7180 */
+    325,
+    /* VPMINSBZrm */
+  },
+  { /* 7181 */
+    740,
+    /* VPMINSBZrmk */
+  },
+  { /* 7182 */
+    741,
+    /* VPMINSBZrmkz */
+  },
+  { /* 7183 */
+    331,
+    /* VPMINSBZrr */
+  },
+  { /* 7184 */
+    742,
+    /* VPMINSBZrrk */
+  },
+  { /* 7185 */
+    743,
+    /* VPMINSBZrrkz */
+  },
+  { /* 7186 */
+    334,
+    /* VPMINSBrm */
+  },
+  { /* 7187 */
+    335,
+    /* VPMINSBrr */
+  },
+  { /* 7188 */
+    302,
+    /* VPMINSDYrm */
+  },
+  { /* 7189 */
+    303,
+    /* VPMINSDYrr */
+  },
+  { /* 7190 */
+    304,
+    /* VPMINSDZ128rm */
+  },
+  { /* 7191 */
+    744,
+    /* VPMINSDZ128rmb */
+  },
+  { /* 7192 */
+    745,
+    /* VPMINSDZ128rmbk */
+  },
+  { /* 7193 */
+    746,
+    /* VPMINSDZ128rmbkz */
+  },
+  { /* 7194 */
+    339,
+    /* VPMINSDZ128rmk */
+  },
+  { /* 7195 */
+    340,
+    /* VPMINSDZ128rmkz */
+  },
+  { /* 7196 */
+    310,
+    /* VPMINSDZ128rr */
+  },
+  { /* 7197 */
+    341,
+    /* VPMINSDZ128rrk */
+  },
+  { /* 7198 */
+    342,
+    /* VPMINSDZ128rrkz */
+  },
+  { /* 7199 */
+    313,
+    /* VPMINSDZ256rm */
+  },
+  { /* 7200 */
+    747,
+    /* VPMINSDZ256rmb */
+  },
+  { /* 7201 */
+    748,
+    /* VPMINSDZ256rmbk */
+  },
+  { /* 7202 */
+    749,
+    /* VPMINSDZ256rmbkz */
+  },
+  { /* 7203 */
+    346,
+    /* VPMINSDZ256rmk */
+  },
+  { /* 7204 */
+    347,
+    /* VPMINSDZ256rmkz */
+  },
+  { /* 7205 */
+    319,
+    /* VPMINSDZ256rr */
+  },
+  { /* 7206 */
+    348,
+    /* VPMINSDZ256rrk */
+  },
+  { /* 7207 */
+    349,
+    /* VPMINSDZ256rrkz */
+  },
+  { /* 7208 */
+    325,
+    /* VPMINSDZrm */
+  },
+  { /* 7209 */
+    750,
+    /* VPMINSDZrmb */
+  },
+  { /* 7210 */
+    751,
+    /* VPMINSDZrmbk */
+  },
+  { /* 7211 */
+    752,
+    /* VPMINSDZrmbkz */
+  },
+  { /* 7212 */
+    356,
+    /* VPMINSDZrmk */
+  },
+  { /* 7213 */
+    357,
+    /* VPMINSDZrmkz */
+  },
+  { /* 7214 */
+    331,
+    /* VPMINSDZrr */
+  },
+  { /* 7215 */
+    358,
+    /* VPMINSDZrrk */
+  },
+  { /* 7216 */
+    359,
+    /* VPMINSDZrrkz */
+  },
+  { /* 7217 */
+    334,
+    /* VPMINSDrm */
+  },
+  { /* 7218 */
+    335,
+    /* VPMINSDrr */
+  },
+  { /* 7219 */
+    304,
+    /* VPMINSQZ128rm */
+  },
+  { /* 7220 */
+    753,
+    /* VPMINSQZ128rmb */
+  },
+  { /* 7221 */
+    754,
+    /* VPMINSQZ128rmbk */
+  },
+  { /* 7222 */
+    755,
+    /* VPMINSQZ128rmbkz */
+  },
+  { /* 7223 */
+    308,
+    /* VPMINSQZ128rmk */
+  },
+  { /* 7224 */
+    309,
+    /* VPMINSQZ128rmkz */
+  },
+  { /* 7225 */
+    310,
+    /* VPMINSQZ128rr */
+  },
+  { /* 7226 */
+    311,
+    /* VPMINSQZ128rrk */
+  },
+  { /* 7227 */
+    312,
+    /* VPMINSQZ128rrkz */
+  },
+  { /* 7228 */
+    313,
+    /* VPMINSQZ256rm */
+  },
+  { /* 7229 */
+    756,
+    /* VPMINSQZ256rmb */
+  },
+  { /* 7230 */
+    757,
+    /* VPMINSQZ256rmbk */
+  },
+  { /* 7231 */
+    758,
+    /* VPMINSQZ256rmbkz */
+  },
+  { /* 7232 */
+    317,
+    /* VPMINSQZ256rmk */
+  },
+  { /* 7233 */
+    318,
+    /* VPMINSQZ256rmkz */
+  },
+  { /* 7234 */
+    319,
+    /* VPMINSQZ256rr */
+  },
+  { /* 7235 */
+    320,
+    /* VPMINSQZ256rrk */
+  },
+  { /* 7236 */
+    321,
+    /* VPMINSQZ256rrkz */
+  },
+  { /* 7237 */
+    325,
+    /* VPMINSQZrm */
+  },
+  { /* 7238 */
+    759,
+    /* VPMINSQZrmb */
+  },
+  { /* 7239 */
+    760,
+    /* VPMINSQZrmbk */
+  },
+  { /* 7240 */
+    761,
+    /* VPMINSQZrmbkz */
+  },
+  { /* 7241 */
+    329,
+    /* VPMINSQZrmk */
+  },
+  { /* 7242 */
+    330,
+    /* VPMINSQZrmkz */
+  },
+  { /* 7243 */
+    331,
+    /* VPMINSQZrr */
+  },
+  { /* 7244 */
+    332,
+    /* VPMINSQZrrk */
+  },
+  { /* 7245 */
+    333,
+    /* VPMINSQZrrkz */
+  },
+  { /* 7246 */
+    302,
+    /* VPMINSWYrm */
+  },
+  { /* 7247 */
+    303,
+    /* VPMINSWYrr */
+  },
+  { /* 7248 */
+    304,
+    /* VPMINSWZ128rm */
+  },
+  { /* 7249 */
+    762,
+    /* VPMINSWZ128rmk */
+  },
+  { /* 7250 */
+    763,
+    /* VPMINSWZ128rmkz */
+  },
+  { /* 7251 */
+    310,
+    /* VPMINSWZ128rr */
+  },
+  { /* 7252 */
+    764,
+    /* VPMINSWZ128rrk */
+  },
+  { /* 7253 */
+    765,
+    /* VPMINSWZ128rrkz */
+  },
+  { /* 7254 */
+    313,
+    /* VPMINSWZ256rm */
+  },
+  { /* 7255 */
+    766,
+    /* VPMINSWZ256rmk */
+  },
+  { /* 7256 */
+    767,
+    /* VPMINSWZ256rmkz */
+  },
+  { /* 7257 */
+    319,
+    /* VPMINSWZ256rr */
+  },
+  { /* 7258 */
+    768,
+    /* VPMINSWZ256rrk */
+  },
+  { /* 7259 */
+    769,
+    /* VPMINSWZ256rrkz */
+  },
+  { /* 7260 */
+    325,
+    /* VPMINSWZrm */
+  },
+  { /* 7261 */
+    770,
+    /* VPMINSWZrmk */
+  },
+  { /* 7262 */
+    771,
+    /* VPMINSWZrmkz */
+  },
+  { /* 7263 */
+    331,
+    /* VPMINSWZrr */
+  },
+  { /* 7264 */
+    772,
+    /* VPMINSWZrrk */
+  },
+  { /* 7265 */
+    773,
+    /* VPMINSWZrrkz */
+  },
+  { /* 7266 */
+    334,
+    /* VPMINSWrm */
+  },
+  { /* 7267 */
+    335,
+    /* VPMINSWrr */
+  },
+  { /* 7268 */
+    302,
+    /* VPMINUBYrm */
+  },
+  { /* 7269 */
+    303,
+    /* VPMINUBYrr */
+  },
+  { /* 7270 */
+    304,
+    /* VPMINUBZ128rm */
+  },
+  { /* 7271 */
+    732,
+    /* VPMINUBZ128rmk */
+  },
+  { /* 7272 */
+    733,
+    /* VPMINUBZ128rmkz */
+  },
+  { /* 7273 */
+    310,
+    /* VPMINUBZ128rr */
+  },
+  { /* 7274 */
+    734,
+    /* VPMINUBZ128rrk */
+  },
+  { /* 7275 */
+    735,
+    /* VPMINUBZ128rrkz */
+  },
+  { /* 7276 */
+    313,
+    /* VPMINUBZ256rm */
+  },
+  { /* 7277 */
+    736,
+    /* VPMINUBZ256rmk */
+  },
+  { /* 7278 */
+    737,
+    /* VPMINUBZ256rmkz */
+  },
+  { /* 7279 */
+    319,
+    /* VPMINUBZ256rr */
+  },
+  { /* 7280 */
+    738,
+    /* VPMINUBZ256rrk */
+  },
+  { /* 7281 */
+    739,
+    /* VPMINUBZ256rrkz */
+  },
+  { /* 7282 */
+    325,
+    /* VPMINUBZrm */
+  },
+  { /* 7283 */
+    740,
+    /* VPMINUBZrmk */
+  },
+  { /* 7284 */
+    741,
+    /* VPMINUBZrmkz */
+  },
+  { /* 7285 */
+    331,
+    /* VPMINUBZrr */
+  },
+  { /* 7286 */
+    742,
+    /* VPMINUBZrrk */
+  },
+  { /* 7287 */
+    743,
+    /* VPMINUBZrrkz */
+  },
+  { /* 7288 */
+    334,
+    /* VPMINUBrm */
+  },
+  { /* 7289 */
+    335,
+    /* VPMINUBrr */
+  },
+  { /* 7290 */
+    302,
+    /* VPMINUDYrm */
+  },
+  { /* 7291 */
+    303,
+    /* VPMINUDYrr */
+  },
+  { /* 7292 */
+    304,
+    /* VPMINUDZ128rm */
+  },
+  { /* 7293 */
+    744,
+    /* VPMINUDZ128rmb */
+  },
+  { /* 7294 */
+    745,
+    /* VPMINUDZ128rmbk */
+  },
+  { /* 7295 */
+    746,
+    /* VPMINUDZ128rmbkz */
+  },
+  { /* 7296 */
+    339,
+    /* VPMINUDZ128rmk */
+  },
+  { /* 7297 */
+    340,
+    /* VPMINUDZ128rmkz */
+  },
+  { /* 7298 */
+    310,
+    /* VPMINUDZ128rr */
+  },
+  { /* 7299 */
+    341,
+    /* VPMINUDZ128rrk */
+  },
+  { /* 7300 */
+    342,
+    /* VPMINUDZ128rrkz */
+  },
+  { /* 7301 */
+    313,
+    /* VPMINUDZ256rm */
+  },
+  { /* 7302 */
+    747,
+    /* VPMINUDZ256rmb */
+  },
+  { /* 7303 */
+    748,
+    /* VPMINUDZ256rmbk */
+  },
+  { /* 7304 */
+    749,
+    /* VPMINUDZ256rmbkz */
+  },
+  { /* 7305 */
+    346,
+    /* VPMINUDZ256rmk */
+  },
+  { /* 7306 */
+    347,
+    /* VPMINUDZ256rmkz */
+  },
+  { /* 7307 */
+    319,
+    /* VPMINUDZ256rr */
+  },
+  { /* 7308 */
+    348,
+    /* VPMINUDZ256rrk */
+  },
+  { /* 7309 */
+    349,
+    /* VPMINUDZ256rrkz */
+  },
+  { /* 7310 */
+    325,
+    /* VPMINUDZrm */
+  },
+  { /* 7311 */
+    750,
+    /* VPMINUDZrmb */
+  },
+  { /* 7312 */
+    751,
+    /* VPMINUDZrmbk */
+  },
+  { /* 7313 */
+    752,
+    /* VPMINUDZrmbkz */
+  },
+  { /* 7314 */
+    356,
+    /* VPMINUDZrmk */
+  },
+  { /* 7315 */
+    357,
+    /* VPMINUDZrmkz */
+  },
+  { /* 7316 */
+    331,
+    /* VPMINUDZrr */
+  },
+  { /* 7317 */
+    358,
+    /* VPMINUDZrrk */
+  },
+  { /* 7318 */
+    359,
+    /* VPMINUDZrrkz */
+  },
+  { /* 7319 */
+    334,
+    /* VPMINUDrm */
+  },
+  { /* 7320 */
+    335,
+    /* VPMINUDrr */
+  },
+  { /* 7321 */
+    304,
+    /* VPMINUQZ128rm */
+  },
+  { /* 7322 */
+    753,
+    /* VPMINUQZ128rmb */
+  },
+  { /* 7323 */
+    754,
+    /* VPMINUQZ128rmbk */
+  },
+  { /* 7324 */
+    755,
+    /* VPMINUQZ128rmbkz */
+  },
+  { /* 7325 */
+    308,
+    /* VPMINUQZ128rmk */
+  },
+  { /* 7326 */
+    309,
+    /* VPMINUQZ128rmkz */
+  },
+  { /* 7327 */
+    310,
+    /* VPMINUQZ128rr */
+  },
+  { /* 7328 */
+    311,
+    /* VPMINUQZ128rrk */
+  },
+  { /* 7329 */
+    312,
+    /* VPMINUQZ128rrkz */
+  },
+  { /* 7330 */
+    313,
+    /* VPMINUQZ256rm */
+  },
+  { /* 7331 */
+    756,
+    /* VPMINUQZ256rmb */
+  },
+  { /* 7332 */
+    757,
+    /* VPMINUQZ256rmbk */
+  },
+  { /* 7333 */
+    758,
+    /* VPMINUQZ256rmbkz */
+  },
+  { /* 7334 */
+    317,
+    /* VPMINUQZ256rmk */
+  },
+  { /* 7335 */
+    318,
+    /* VPMINUQZ256rmkz */
+  },
+  { /* 7336 */
+    319,
+    /* VPMINUQZ256rr */
+  },
+  { /* 7337 */
+    320,
+    /* VPMINUQZ256rrk */
+  },
+  { /* 7338 */
+    321,
+    /* VPMINUQZ256rrkz */
+  },
+  { /* 7339 */
+    325,
+    /* VPMINUQZrm */
+  },
+  { /* 7340 */
+    759,
+    /* VPMINUQZrmb */
+  },
+  { /* 7341 */
+    760,
+    /* VPMINUQZrmbk */
+  },
+  { /* 7342 */
+    761,
+    /* VPMINUQZrmbkz */
+  },
+  { /* 7343 */
+    329,
+    /* VPMINUQZrmk */
+  },
+  { /* 7344 */
+    330,
+    /* VPMINUQZrmkz */
+  },
+  { /* 7345 */
+    331,
+    /* VPMINUQZrr */
+  },
+  { /* 7346 */
+    332,
+    /* VPMINUQZrrk */
+  },
+  { /* 7347 */
+    333,
+    /* VPMINUQZrrkz */
+  },
+  { /* 7348 */
+    302,
+    /* VPMINUWYrm */
+  },
+  { /* 7349 */
+    303,
+    /* VPMINUWYrr */
+  },
+  { /* 7350 */
+    304,
+    /* VPMINUWZ128rm */
+  },
+  { /* 7351 */
+    762,
+    /* VPMINUWZ128rmk */
+  },
+  { /* 7352 */
+    763,
+    /* VPMINUWZ128rmkz */
+  },
+  { /* 7353 */
+    310,
+    /* VPMINUWZ128rr */
+  },
+  { /* 7354 */
+    764,
+    /* VPMINUWZ128rrk */
+  },
+  { /* 7355 */
+    765,
+    /* VPMINUWZ128rrkz */
+  },
+  { /* 7356 */
+    313,
+    /* VPMINUWZ256rm */
+  },
+  { /* 7357 */
+    766,
+    /* VPMINUWZ256rmk */
+  },
+  { /* 7358 */
+    767,
+    /* VPMINUWZ256rmkz */
+  },
+  { /* 7359 */
+    319,
+    /* VPMINUWZ256rr */
+  },
+  { /* 7360 */
+    768,
+    /* VPMINUWZ256rrk */
+  },
+  { /* 7361 */
+    769,
+    /* VPMINUWZ256rrkz */
+  },
+  { /* 7362 */
+    325,
+    /* VPMINUWZrm */
+  },
+  { /* 7363 */
+    770,
+    /* VPMINUWZrmk */
+  },
+  { /* 7364 */
+    771,
+    /* VPMINUWZrmkz */
+  },
+  { /* 7365 */
+    331,
+    /* VPMINUWZrr */
+  },
+  { /* 7366 */
+    772,
+    /* VPMINUWZrrk */
+  },
+  { /* 7367 */
+    773,
+    /* VPMINUWZrrkz */
+  },
+  { /* 7368 */
+    334,
+    /* VPMINUWrm */
+  },
+  { /* 7369 */
+    335,
+    /* VPMINUWrr */
+  },
+  { /* 7370 */
+    949,
+    /* VPMOVDBmr */
+  },
+  { /* 7371 */
+    950,
+    /* VPMOVDBmrk */
+  },
+  { /* 7372 */
+    951,
+    /* VPMOVDBrr */
+  },
+  { /* 7373 */
+    952,
+    /* VPMOVDBrrk */
+  },
+  { /* 7374 */
+    952,
+    /* VPMOVDBrrkz */
+  },
+  { /* 7375 */
+    953,
+    /* VPMOVDWmr */
+  },
+  { /* 7376 */
+    954,
+    /* VPMOVDWmrk */
+  },
+  { /* 7377 */
+    955,
+    /* VPMOVDWrr */
+  },
+  { /* 7378 */
+    956,
+    /* VPMOVDWrrk */
+  },
+  { /* 7379 */
+    956,
+    /* VPMOVDWrrkz */
+  },
+  { /* 7380 */
+    957,
+    /* VPMOVM2BZ128rr */
+  },
+  { /* 7381 */
+    958,
+    /* VPMOVM2BZ256rr */
+  },
+  { /* 7382 */
+    959,
+    /* VPMOVM2BZrr */
+  },
+  { /* 7383 */
+    960,
+    /* VPMOVM2DZ128rr */
+  },
+  { /* 7384 */
+    961,
+    /* VPMOVM2DZ256rr */
+  },
+  { /* 7385 */
+    962,
+    /* VPMOVM2DZrr */
+  },
+  { /* 7386 */
+    963,
+    /* VPMOVM2QZ128rr */
+  },
+  { /* 7387 */
+    964,
+    /* VPMOVM2QZ256rr */
+  },
+  { /* 7388 */
+    965,
+    /* VPMOVM2QZrr */
+  },
+  { /* 7389 */
+    966,
+    /* VPMOVM2WZ128rr */
+  },
+  { /* 7390 */
+    967,
+    /* VPMOVM2WZ256rr */
+  },
+  { /* 7391 */
+    968,
+    /* VPMOVM2WZrr */
+  },
+  { /* 7392 */
+    704,
+    /* VPMOVMSKBYrr */
+  },
+  { /* 7393 */
+    110,
+    /* VPMOVMSKBrr */
+  },
+  { /* 7394 */
+    969,
+    /* VPMOVQBmr */
+  },
+  { /* 7395 */
+    970,
+    /* VPMOVQBmrk */
+  },
+  { /* 7396 */
+    971,
+    /* VPMOVQBrr */
+  },
+  { /* 7397 */
+    972,
+    /* VPMOVQBrrk */
+  },
+  { /* 7398 */
+    972,
+    /* VPMOVQBrrkz */
+  },
+  { /* 7399 */
+    953,
+    /* VPMOVQDmr */
+  },
+  { /* 7400 */
+    973,
+    /* VPMOVQDmrk */
+  },
+  { /* 7401 */
+    955,
+    /* VPMOVQDrr */
+  },
+  { /* 7402 */
+    974,
+    /* VPMOVQDrrk */
+  },
+  { /* 7403 */
+    974,
+    /* VPMOVQDrrkz */
+  },
+  { /* 7404 */
+    949,
+    /* VPMOVQWmr */
+  },
+  { /* 7405 */
+    975,
+    /* VPMOVQWmrk */
+  },
+  { /* 7406 */
+    951,
+    /* VPMOVQWrr */
+  },
+  { /* 7407 */
+    976,
+    /* VPMOVQWrrk */
+  },
+  { /* 7408 */
+    976,
+    /* VPMOVQWrrkz */
+  },
+  { /* 7409 */
+    949,
+    /* VPMOVSDBmr */
+  },
+  { /* 7410 */
+    950,
+    /* VPMOVSDBmrk */
+  },
+  { /* 7411 */
+    951,
+    /* VPMOVSDBrr */
+  },
+  { /* 7412 */
+    952,
+    /* VPMOVSDBrrk */
+  },
+  { /* 7413 */
+    952,
+    /* VPMOVSDBrrkz */
+  },
+  { /* 7414 */
+    953,
+    /* VPMOVSDWmr */
+  },
+  { /* 7415 */
+    954,
+    /* VPMOVSDWmrk */
+  },
+  { /* 7416 */
+    955,
+    /* VPMOVSDWrr */
+  },
+  { /* 7417 */
+    956,
+    /* VPMOVSDWrrk */
+  },
+  { /* 7418 */
+    956,
+    /* VPMOVSDWrrkz */
+  },
+  { /* 7419 */
+    969,
+    /* VPMOVSQBmr */
+  },
+  { /* 7420 */
+    970,
+    /* VPMOVSQBmrk */
+  },
+  { /* 7421 */
+    971,
+    /* VPMOVSQBrr */
+  },
+  { /* 7422 */
+    972,
+    /* VPMOVSQBrrk */
+  },
+  { /* 7423 */
+    972,
+    /* VPMOVSQBrrkz */
+  },
+  { /* 7424 */
+    953,
+    /* VPMOVSQDmr */
+  },
+  { /* 7425 */
+    973,
+    /* VPMOVSQDmrk */
+  },
+  { /* 7426 */
+    955,
+    /* VPMOVSQDrr */
+  },
+  { /* 7427 */
+    974,
+    /* VPMOVSQDrrk */
+  },
+  { /* 7428 */
+    974,
+    /* VPMOVSQDrrkz */
+  },
+  { /* 7429 */
+    949,
+    /* VPMOVSQWmr */
+  },
+  { /* 7430 */
+    975,
+    /* VPMOVSQWmrk */
+  },
+  { /* 7431 */
+    951,
+    /* VPMOVSQWrr */
+  },
+  { /* 7432 */
+    976,
+    /* VPMOVSQWrrk */
+  },
+  { /* 7433 */
+    976,
+    /* VPMOVSQWrrkz */
+  },
+  { /* 7434 */
+    784,
+    /* VPMOVSXBDYrm */
+  },
+  { /* 7435 */
+    402,
+    /* VPMOVSXBDYrr */
+  },
+  { /* 7436 */
+    398,
+    /* VPMOVSXBDZrm */
+  },
+  { /* 7437 */
+    397,
+    /* VPMOVSXBDZrmk */
+  },
+  { /* 7438 */
+    397,
+    /* VPMOVSXBDZrmkz */
+  },
+  { /* 7439 */
+    977,
+    /* VPMOVSXBDZrr */
+  },
+  { /* 7440 */
+    978,
+    /* VPMOVSXBDZrrk */
+  },
+  { /* 7441 */
+    978,
+    /* VPMOVSXBDZrrkz */
+  },
+  { /* 7442 */
+    105,
+    /* VPMOVSXBDrm */
+  },
+  { /* 7443 */
+    45,
+    /* VPMOVSXBDrr */
+  },
+  { /* 7444 */
+    784,
+    /* VPMOVSXBQYrm */
+  },
+  { /* 7445 */
+    402,
+    /* VPMOVSXBQYrr */
+  },
+  { /* 7446 */
+    979,
+    /* VPMOVSXBQZrm */
+  },
+  { /* 7447 */
+    980,
+    /* VPMOVSXBQZrmk */
+  },
+  { /* 7448 */
+    980,
+    /* VPMOVSXBQZrmkz */
+  },
+  { /* 7449 */
+    412,
+    /* VPMOVSXBQZrr */
+  },
+  { /* 7450 */
+    414,
+    /* VPMOVSXBQZrrk */
+  },
+  { /* 7451 */
+    414,
+    /* VPMOVSXBQZrrkz */
+  },
+  { /* 7452 */
+    105,
+    /* VPMOVSXBQrm */
+  },
+  { /* 7453 */
+    45,
+    /* VPMOVSXBQrr */
+  },
+  { /* 7454 */
+    396,
+    /* VPMOVSXBWYrm */
+  },
+  { /* 7455 */
+    402,
+    /* VPMOVSXBWYrr */
+  },
+  { /* 7456 */
+    105,
+    /* VPMOVSXBWrm */
+  },
+  { /* 7457 */
+    45,
+    /* VPMOVSXBWrr */
+  },
+  { /* 7458 */
+    396,
+    /* VPMOVSXDQYrm */
+  },
+  { /* 7459 */
+    402,
+    /* VPMOVSXDQYrr */
+  },
+  { /* 7460 */
+    400,
+    /* VPMOVSXDQZrm */
+  },
+  { /* 7461 */
+    981,
+    /* VPMOVSXDQZrmk */
+  },
+  { /* 7462 */
+    981,
+    /* VPMOVSXDQZrmkz */
+  },
+  { /* 7463 */
+    474,
+    /* VPMOVSXDQZrr */
+  },
+  { /* 7464 */
+    982,
+    /* VPMOVSXDQZrrk */
+  },
+  { /* 7465 */
+    982,
+    /* VPMOVSXDQZrrkz */
+  },
+  { /* 7466 */
+    105,
+    /* VPMOVSXDQrm */
+  },
+  { /* 7467 */
+    45,
+    /* VPMOVSXDQrr */
+  },
+  { /* 7468 */
+    396,
+    /* VPMOVSXWDYrm */
+  },
+  { /* 7469 */
+    402,
+    /* VPMOVSXWDYrr */
+  },
+  { /* 7470 */
+    400,
+    /* VPMOVSXWDZrm */
+  },
+  { /* 7471 */
+    399,
+    /* VPMOVSXWDZrmk */
+  },
+  { /* 7472 */
+    399,
+    /* VPMOVSXWDZrmkz */
+  },
+  { /* 7473 */
+    474,
+    /* VPMOVSXWDZrr */
+  },
+  { /* 7474 */
+    983,
+    /* VPMOVSXWDZrrk */
+  },
+  { /* 7475 */
+    983,
+    /* VPMOVSXWDZrrkz */
+  },
+  { /* 7476 */
+    105,
+    /* VPMOVSXWDrm */
+  },
+  { /* 7477 */
+    45,
+    /* VPMOVSXWDrr */
+  },
+  { /* 7478 */
+    784,
+    /* VPMOVSXWQYrm */
+  },
+  { /* 7479 */
+    402,
+    /* VPMOVSXWQYrr */
+  },
+  { /* 7480 */
+    398,
+    /* VPMOVSXWQZrm */
+  },
+  { /* 7481 */
+    984,
+    /* VPMOVSXWQZrmk */
+  },
+  { /* 7482 */
+    984,
+    /* VPMOVSXWQZrmkz */
+  },
+  { /* 7483 */
+    977,
+    /* VPMOVSXWQZrr */
+  },
+  { /* 7484 */
+    985,
+    /* VPMOVSXWQZrrk */
+  },
+  { /* 7485 */
+    985,
+    /* VPMOVSXWQZrrkz */
+  },
+  { /* 7486 */
+    105,
+    /* VPMOVSXWQrm */
+  },
+  { /* 7487 */
+    45,
+    /* VPMOVSXWQrr */
+  },
+  { /* 7488 */
+    949,
+    /* VPMOVUSDBmr */
+  },
+  { /* 7489 */
+    950,
+    /* VPMOVUSDBmrk */
+  },
+  { /* 7490 */
+    951,
+    /* VPMOVUSDBrr */
+  },
+  { /* 7491 */
+    952,
+    /* VPMOVUSDBrrk */
+  },
+  { /* 7492 */
+    952,
+    /* VPMOVUSDBrrkz */
+  },
+  { /* 7493 */
+    953,
+    /* VPMOVUSDWmr */
+  },
+  { /* 7494 */
+    954,
+    /* VPMOVUSDWmrk */
+  },
+  { /* 7495 */
+    955,
+    /* VPMOVUSDWrr */
+  },
+  { /* 7496 */
+    956,
+    /* VPMOVUSDWrrk */
+  },
+  { /* 7497 */
+    956,
+    /* VPMOVUSDWrrkz */
+  },
+  { /* 7498 */
+    969,
+    /* VPMOVUSQBmr */
+  },
+  { /* 7499 */
+    970,
+    /* VPMOVUSQBmrk */
+  },
+  { /* 7500 */
+    971,
+    /* VPMOVUSQBrr */
+  },
+  { /* 7501 */
+    972,
+    /* VPMOVUSQBrrk */
+  },
+  { /* 7502 */
+    972,
+    /* VPMOVUSQBrrkz */
+  },
+  { /* 7503 */
+    953,
+    /* VPMOVUSQDmr */
+  },
+  { /* 7504 */
+    973,
+    /* VPMOVUSQDmrk */
+  },
+  { /* 7505 */
+    955,
+    /* VPMOVUSQDrr */
+  },
+  { /* 7506 */
+    974,
+    /* VPMOVUSQDrrk */
+  },
+  { /* 7507 */
+    974,
+    /* VPMOVUSQDrrkz */
+  },
+  { /* 7508 */
+    949,
+    /* VPMOVUSQWmr */
+  },
+  { /* 7509 */
+    975,
+    /* VPMOVUSQWmrk */
+  },
+  { /* 7510 */
+    951,
+    /* VPMOVUSQWrr */
+  },
+  { /* 7511 */
+    976,
+    /* VPMOVUSQWrrk */
+  },
+  { /* 7512 */
+    976,
+    /* VPMOVUSQWrrkz */
+  },
+  { /* 7513 */
+    784,
+    /* VPMOVZXBDYrm */
+  },
+  { /* 7514 */
+    402,
+    /* VPMOVZXBDYrr */
+  },
+  { /* 7515 */
+    398,
+    /* VPMOVZXBDZrm */
+  },
+  { /* 7516 */
+    397,
+    /* VPMOVZXBDZrmk */
+  },
+  { /* 7517 */
+    397,
+    /* VPMOVZXBDZrmkz */
+  },
+  { /* 7518 */
+    977,
+    /* VPMOVZXBDZrr */
+  },
+  { /* 7519 */
+    978,
+    /* VPMOVZXBDZrrk */
+  },
+  { /* 7520 */
+    978,
+    /* VPMOVZXBDZrrkz */
+  },
+  { /* 7521 */
+    105,
+    /* VPMOVZXBDrm */
+  },
+  { /* 7522 */
+    45,
+    /* VPMOVZXBDrr */
+  },
+  { /* 7523 */
+    784,
+    /* VPMOVZXBQYrm */
+  },
+  { /* 7524 */
+    402,
+    /* VPMOVZXBQYrr */
+  },
+  { /* 7525 */
+    979,
+    /* VPMOVZXBQZrm */
+  },
+  { /* 7526 */
+    980,
+    /* VPMOVZXBQZrmk */
+  },
+  { /* 7527 */
+    980,
+    /* VPMOVZXBQZrmkz */
+  },
+  { /* 7528 */
+    412,
+    /* VPMOVZXBQZrr */
+  },
+  { /* 7529 */
+    414,
+    /* VPMOVZXBQZrrk */
+  },
+  { /* 7530 */
+    414,
+    /* VPMOVZXBQZrrkz */
+  },
+  { /* 7531 */
+    105,
+    /* VPMOVZXBQrm */
+  },
+  { /* 7532 */
+    45,
+    /* VPMOVZXBQrr */
+  },
+  { /* 7533 */
+    396,
+    /* VPMOVZXBWYrm */
+  },
+  { /* 7534 */
+    402,
+    /* VPMOVZXBWYrr */
+  },
+  { /* 7535 */
+    105,
+    /* VPMOVZXBWrm */
+  },
+  { /* 7536 */
+    45,
+    /* VPMOVZXBWrr */
+  },
+  { /* 7537 */
+    396,
+    /* VPMOVZXDQYrm */
+  },
+  { /* 7538 */
+    402,
+    /* VPMOVZXDQYrr */
+  },
+  { /* 7539 */
+    400,
+    /* VPMOVZXDQZrm */
+  },
+  { /* 7540 */
+    981,
+    /* VPMOVZXDQZrmk */
+  },
+  { /* 7541 */
+    981,
+    /* VPMOVZXDQZrmkz */
+  },
+  { /* 7542 */
+    474,
+    /* VPMOVZXDQZrr */
+  },
+  { /* 7543 */
+    982,
+    /* VPMOVZXDQZrrk */
+  },
+  { /* 7544 */
+    982,
+    /* VPMOVZXDQZrrkz */
+  },
+  { /* 7545 */
+    105,
+    /* VPMOVZXDQrm */
+  },
+  { /* 7546 */
+    45,
+    /* VPMOVZXDQrr */
+  },
+  { /* 7547 */
+    396,
+    /* VPMOVZXWDYrm */
+  },
+  { /* 7548 */
+    402,
+    /* VPMOVZXWDYrr */
+  },
+  { /* 7549 */
+    400,
+    /* VPMOVZXWDZrm */
+  },
+  { /* 7550 */
+    399,
+    /* VPMOVZXWDZrmk */
+  },
+  { /* 7551 */
+    399,
+    /* VPMOVZXWDZrmkz */
+  },
+  { /* 7552 */
+    474,
+    /* VPMOVZXWDZrr */
+  },
+  { /* 7553 */
+    983,
+    /* VPMOVZXWDZrrk */
+  },
+  { /* 7554 */
+    983,
+    /* VPMOVZXWDZrrkz */
+  },
+  { /* 7555 */
+    105,
+    /* VPMOVZXWDrm */
+  },
+  { /* 7556 */
+    45,
+    /* VPMOVZXWDrr */
+  },
+  { /* 7557 */
+    784,
+    /* VPMOVZXWQYrm */
+  },
+  { /* 7558 */
+    402,
+    /* VPMOVZXWQYrr */
+  },
+  { /* 7559 */
+    398,
+    /* VPMOVZXWQZrm */
+  },
+  { /* 7560 */
+    984,
+    /* VPMOVZXWQZrmk */
+  },
+  { /* 7561 */
+    984,
+    /* VPMOVZXWQZrmkz */
+  },
+  { /* 7562 */
+    977,
+    /* VPMOVZXWQZrr */
+  },
+  { /* 7563 */
+    985,
+    /* VPMOVZXWQZrrk */
+  },
+  { /* 7564 */
+    985,
+    /* VPMOVZXWQZrrkz */
+  },
+  { /* 7565 */
+    105,
+    /* VPMOVZXWQrm */
+  },
+  { /* 7566 */
+    45,
+    /* VPMOVZXWQrr */
+  },
+  { /* 7567 */
+    302,
+    /* VPMULDQYrm */
+  },
+  { /* 7568 */
+    303,
+    /* VPMULDQYrr */
+  },
+  { /* 7569 */
+    325,
+    /* VPMULDQZrm */
+  },
+  { /* 7570 */
+    759,
+    /* VPMULDQZrmb */
+  },
+  { /* 7571 */
+    761,
+    /* VPMULDQZrmbk */
+  },
+  { /* 7572 */
+    761,
+    /* VPMULDQZrmbkz */
+  },
+  { /* 7573 */
+    330,
+    /* VPMULDQZrmk */
+  },
+  { /* 7574 */
+    330,
+    /* VPMULDQZrmkz */
+  },
+  { /* 7575 */
+    331,
+    /* VPMULDQZrr */
+  },
+  { /* 7576 */
+    333,
+    /* VPMULDQZrrk */
+  },
+  { /* 7577 */
+    333,
+    /* VPMULDQZrrkz */
+  },
+  { /* 7578 */
+    334,
+    /* VPMULDQrm */
+  },
+  { /* 7579 */
+    335,
+    /* VPMULDQrr */
+  },
+  { /* 7580 */
+    334,
+    /* VPMULHRSWrm128 */
+  },
+  { /* 7581 */
+    302,
+    /* VPMULHRSWrm256 */
+  },
+  { /* 7582 */
+    335,
+    /* VPMULHRSWrr128 */
+  },
+  { /* 7583 */
+    303,
+    /* VPMULHRSWrr256 */
+  },
+  { /* 7584 */
+    302,
+    /* VPMULHUWYrm */
+  },
+  { /* 7585 */
+    303,
+    /* VPMULHUWYrr */
+  },
+  { /* 7586 */
+    334,
+    /* VPMULHUWrm */
+  },
+  { /* 7587 */
+    335,
+    /* VPMULHUWrr */
+  },
+  { /* 7588 */
+    302,
+    /* VPMULHWYrm */
+  },
+  { /* 7589 */
+    303,
+    /* VPMULHWYrr */
+  },
+  { /* 7590 */
+    334,
+    /* VPMULHWrm */
+  },
+  { /* 7591 */
+    335,
+    /* VPMULHWrr */
+  },
+  { /* 7592 */
+    302,
+    /* VPMULLDYrm */
+  },
+  { /* 7593 */
+    303,
+    /* VPMULLDYrr */
+  },
+  { /* 7594 */
+    304,
+    /* VPMULLDZ128rm */
+  },
+  { /* 7595 */
+    744,
+    /* VPMULLDZ128rmb */
+  },
+  { /* 7596 */
+    745,
+    /* VPMULLDZ128rmbk */
+  },
+  { /* 7597 */
+    746,
+    /* VPMULLDZ128rmbkz */
+  },
+  { /* 7598 */
+    339,
+    /* VPMULLDZ128rmk */
+  },
+  { /* 7599 */
+    340,
+    /* VPMULLDZ128rmkz */
+  },
+  { /* 7600 */
+    310,
+    /* VPMULLDZ128rr */
+  },
+  { /* 7601 */
+    341,
+    /* VPMULLDZ128rrk */
+  },
+  { /* 7602 */
+    342,
+    /* VPMULLDZ128rrkz */
+  },
+  { /* 7603 */
+    313,
+    /* VPMULLDZ256rm */
+  },
+  { /* 7604 */
+    747,
+    /* VPMULLDZ256rmb */
+  },
+  { /* 7605 */
+    748,
+    /* VPMULLDZ256rmbk */
+  },
+  { /* 7606 */
+    749,
+    /* VPMULLDZ256rmbkz */
+  },
+  { /* 7607 */
+    346,
+    /* VPMULLDZ256rmk */
+  },
+  { /* 7608 */
+    347,
+    /* VPMULLDZ256rmkz */
+  },
+  { /* 7609 */
+    319,
+    /* VPMULLDZ256rr */
+  },
+  { /* 7610 */
+    348,
+    /* VPMULLDZ256rrk */
+  },
+  { /* 7611 */
+    349,
+    /* VPMULLDZ256rrkz */
+  },
+  { /* 7612 */
+    325,
+    /* VPMULLDZrm */
+  },
+  { /* 7613 */
+    750,
+    /* VPMULLDZrmb */
+  },
+  { /* 7614 */
+    751,
+    /* VPMULLDZrmbk */
+  },
+  { /* 7615 */
+    752,
+    /* VPMULLDZrmbkz */
+  },
+  { /* 7616 */
+    356,
+    /* VPMULLDZrmk */
+  },
+  { /* 7617 */
+    357,
+    /* VPMULLDZrmkz */
+  },
+  { /* 7618 */
+    331,
+    /* VPMULLDZrr */
+  },
+  { /* 7619 */
+    358,
+    /* VPMULLDZrrk */
+  },
+  { /* 7620 */
+    359,
+    /* VPMULLDZrrkz */
+  },
+  { /* 7621 */
+    334,
+    /* VPMULLDrm */
+  },
+  { /* 7622 */
+    335,
+    /* VPMULLDrr */
+  },
+  { /* 7623 */
+    304,
+    /* VPMULLQZ128rm */
+  },
+  { /* 7624 */
+    753,
+    /* VPMULLQZ128rmb */
+  },
+  { /* 7625 */
+    754,
+    /* VPMULLQZ128rmbk */
+  },
+  { /* 7626 */
+    755,
+    /* VPMULLQZ128rmbkz */
+  },
+  { /* 7627 */
+    308,
+    /* VPMULLQZ128rmk */
+  },
+  { /* 7628 */
+    309,
+    /* VPMULLQZ128rmkz */
+  },
+  { /* 7629 */
+    310,
+    /* VPMULLQZ128rr */
+  },
+  { /* 7630 */
+    311,
+    /* VPMULLQZ128rrk */
+  },
+  { /* 7631 */
+    312,
+    /* VPMULLQZ128rrkz */
+  },
+  { /* 7632 */
+    313,
+    /* VPMULLQZ256rm */
+  },
+  { /* 7633 */
+    756,
+    /* VPMULLQZ256rmb */
+  },
+  { /* 7634 */
+    757,
+    /* VPMULLQZ256rmbk */
+  },
+  { /* 7635 */
+    758,
+    /* VPMULLQZ256rmbkz */
+  },
+  { /* 7636 */
+    317,
+    /* VPMULLQZ256rmk */
+  },
+  { /* 7637 */
+    318,
+    /* VPMULLQZ256rmkz */
+  },
+  { /* 7638 */
+    319,
+    /* VPMULLQZ256rr */
+  },
+  { /* 7639 */
+    320,
+    /* VPMULLQZ256rrk */
+  },
+  { /* 7640 */
+    321,
+    /* VPMULLQZ256rrkz */
+  },
+  { /* 7641 */
+    325,
+    /* VPMULLQZrm */
+  },
+  { /* 7642 */
+    759,
+    /* VPMULLQZrmb */
+  },
+  { /* 7643 */
+    760,
+    /* VPMULLQZrmbk */
+  },
+  { /* 7644 */
+    761,
+    /* VPMULLQZrmbkz */
+  },
+  { /* 7645 */
+    329,
+    /* VPMULLQZrmk */
+  },
+  { /* 7646 */
+    330,
+    /* VPMULLQZrmkz */
+  },
+  { /* 7647 */
+    331,
+    /* VPMULLQZrr */
+  },
+  { /* 7648 */
+    332,
+    /* VPMULLQZrrk */
+  },
+  { /* 7649 */
+    333,
+    /* VPMULLQZrrkz */
+  },
+  { /* 7650 */
+    302,
+    /* VPMULLWYrm */
+  },
+  { /* 7651 */
+    303,
+    /* VPMULLWYrr */
+  },
+  { /* 7652 */
+    304,
+    /* VPMULLWZ128rm */
+  },
+  { /* 7653 */
+    762,
+    /* VPMULLWZ128rmk */
+  },
+  { /* 7654 */
+    763,
+    /* VPMULLWZ128rmkz */
+  },
+  { /* 7655 */
+    310,
+    /* VPMULLWZ128rr */
+  },
+  { /* 7656 */
+    764,
+    /* VPMULLWZ128rrk */
+  },
+  { /* 7657 */
+    765,
+    /* VPMULLWZ128rrkz */
+  },
+  { /* 7658 */
+    313,
+    /* VPMULLWZ256rm */
+  },
+  { /* 7659 */
+    766,
+    /* VPMULLWZ256rmk */
+  },
+  { /* 7660 */
+    767,
+    /* VPMULLWZ256rmkz */
+  },
+  { /* 7661 */
+    319,
+    /* VPMULLWZ256rr */
+  },
+  { /* 7662 */
+    768,
+    /* VPMULLWZ256rrk */
+  },
+  { /* 7663 */
+    769,
+    /* VPMULLWZ256rrkz */
+  },
+  { /* 7664 */
+    325,
+    /* VPMULLWZrm */
+  },
+  { /* 7665 */
+    770,
+    /* VPMULLWZrmk */
+  },
+  { /* 7666 */
+    771,
+    /* VPMULLWZrmkz */
+  },
+  { /* 7667 */
+    331,
+    /* VPMULLWZrr */
+  },
+  { /* 7668 */
+    772,
+    /* VPMULLWZrrk */
+  },
+  { /* 7669 */
+    773,
+    /* VPMULLWZrrkz */
+  },
+  { /* 7670 */
+    334,
+    /* VPMULLWrm */
+  },
+  { /* 7671 */
+    335,
+    /* VPMULLWrr */
+  },
+  { /* 7672 */
+    302,
+    /* VPMULUDQYrm */
+  },
+  { /* 7673 */
+    303,
+    /* VPMULUDQYrr */
+  },
+  { /* 7674 */
+    325,
+    /* VPMULUDQZrm */
+  },
+  { /* 7675 */
+    759,
+    /* VPMULUDQZrmb */
+  },
+  { /* 7676 */
+    761,
+    /* VPMULUDQZrmbk */
+  },
+  { /* 7677 */
+    761,
+    /* VPMULUDQZrmbkz */
+  },
+  { /* 7678 */
+    330,
+    /* VPMULUDQZrmk */
+  },
+  { /* 7679 */
+    330,
+    /* VPMULUDQZrmkz */
+  },
+  { /* 7680 */
+    331,
+    /* VPMULUDQZrr */
+  },
+  { /* 7681 */
+    333,
+    /* VPMULUDQZrrk */
+  },
+  { /* 7682 */
+    333,
+    /* VPMULUDQZrrkz */
+  },
+  { /* 7683 */
+    334,
+    /* VPMULUDQrm */
+  },
+  { /* 7684 */
+    335,
+    /* VPMULUDQrr */
+  },
+  { /* 7685 */
+    304,
+    /* VPORDZ128rm */
+  },
+  { /* 7686 */
+    744,
+    /* VPORDZ128rmb */
+  },
+  { /* 7687 */
+    745,
+    /* VPORDZ128rmbk */
+  },
+  { /* 7688 */
+    746,
+    /* VPORDZ128rmbkz */
+  },
+  { /* 7689 */
+    339,
+    /* VPORDZ128rmk */
+  },
+  { /* 7690 */
+    340,
+    /* VPORDZ128rmkz */
+  },
+  { /* 7691 */
+    310,
+    /* VPORDZ128rr */
+  },
+  { /* 7692 */
+    341,
+    /* VPORDZ128rrk */
+  },
+  { /* 7693 */
+    342,
+    /* VPORDZ128rrkz */
+  },
+  { /* 7694 */
+    313,
+    /* VPORDZ256rm */
+  },
+  { /* 7695 */
+    747,
+    /* VPORDZ256rmb */
+  },
+  { /* 7696 */
+    748,
+    /* VPORDZ256rmbk */
+  },
+  { /* 7697 */
+    749,
+    /* VPORDZ256rmbkz */
+  },
+  { /* 7698 */
+    346,
+    /* VPORDZ256rmk */
+  },
+  { /* 7699 */
+    347,
+    /* VPORDZ256rmkz */
+  },
+  { /* 7700 */
+    319,
+    /* VPORDZ256rr */
+  },
+  { /* 7701 */
+    348,
+    /* VPORDZ256rrk */
+  },
+  { /* 7702 */
+    349,
+    /* VPORDZ256rrkz */
+  },
+  { /* 7703 */
+    325,
+    /* VPORDZrm */
+  },
+  { /* 7704 */
+    750,
+    /* VPORDZrmb */
+  },
+  { /* 7705 */
+    751,
+    /* VPORDZrmbk */
+  },
+  { /* 7706 */
+    752,
+    /* VPORDZrmbkz */
+  },
+  { /* 7707 */
+    356,
+    /* VPORDZrmk */
+  },
+  { /* 7708 */
+    357,
+    /* VPORDZrmkz */
+  },
+  { /* 7709 */
+    331,
+    /* VPORDZrr */
+  },
+  { /* 7710 */
+    358,
+    /* VPORDZrrk */
+  },
+  { /* 7711 */
+    359,
+    /* VPORDZrrkz */
+  },
+  { /* 7712 */
+    304,
+    /* VPORQZ128rm */
+  },
+  { /* 7713 */
+    753,
+    /* VPORQZ128rmb */
+  },
+  { /* 7714 */
+    754,
+    /* VPORQZ128rmbk */
+  },
+  { /* 7715 */
+    755,
+    /* VPORQZ128rmbkz */
+  },
+  { /* 7716 */
+    308,
+    /* VPORQZ128rmk */
+  },
+  { /* 7717 */
+    309,
+    /* VPORQZ128rmkz */
+  },
+  { /* 7718 */
+    310,
+    /* VPORQZ128rr */
+  },
+  { /* 7719 */
+    311,
+    /* VPORQZ128rrk */
+  },
+  { /* 7720 */
+    312,
+    /* VPORQZ128rrkz */
+  },
+  { /* 7721 */
+    313,
+    /* VPORQZ256rm */
+  },
+  { /* 7722 */
+    756,
+    /* VPORQZ256rmb */
+  },
+  { /* 7723 */
+    757,
+    /* VPORQZ256rmbk */
+  },
+  { /* 7724 */
+    758,
+    /* VPORQZ256rmbkz */
+  },
+  { /* 7725 */
+    317,
+    /* VPORQZ256rmk */
+  },
+  { /* 7726 */
+    318,
+    /* VPORQZ256rmkz */
+  },
+  { /* 7727 */
+    319,
+    /* VPORQZ256rr */
+  },
+  { /* 7728 */
+    320,
+    /* VPORQZ256rrk */
+  },
+  { /* 7729 */
+    321,
+    /* VPORQZ256rrkz */
+  },
+  { /* 7730 */
+    325,
+    /* VPORQZrm */
+  },
+  { /* 7731 */
+    759,
+    /* VPORQZrmb */
+  },
+  { /* 7732 */
+    760,
+    /* VPORQZrmbk */
+  },
+  { /* 7733 */
+    761,
+    /* VPORQZrmbkz */
+  },
+  { /* 7734 */
+    329,
+    /* VPORQZrmk */
+  },
+  { /* 7735 */
+    330,
+    /* VPORQZrmkz */
+  },
+  { /* 7736 */
+    331,
+    /* VPORQZrr */
+  },
+  { /* 7737 */
+    332,
+    /* VPORQZrrk */
+  },
+  { /* 7738 */
+    333,
+    /* VPORQZrrkz */
+  },
+  { /* 7739 */
+    302,
+    /* VPORYrm */
+  },
+  { /* 7740 */
+    303,
+    /* VPORYrr */
+  },
+  { /* 7741 */
+    334,
+    /* VPORrm */
+  },
+  { /* 7742 */
+    335,
+    /* VPORrr */
+  },
+  { /* 7743 */
+    394,
+    /* VPPERMmr */
+  },
+  { /* 7744 */
+    579,
+    /* VPPERMrm */
+  },
+  { /* 7745 */
+    395,
+    /* VPPERMrr */
+  },
+  { /* 7746 */
+    986,
+    /* VPROTBmi */
+  },
+  { /* 7747 */
+    987,
+    /* VPROTBmr */
+  },
+  { /* 7748 */
+    988,
+    /* VPROTBri */
+  },
+  { /* 7749 */
+    334,
+    /* VPROTBrm */
+  },
+  { /* 7750 */
+    989,
+    /* VPROTBrr */
+  },
+  { /* 7751 */
+    986,
+    /* VPROTDmi */
+  },
+  { /* 7752 */
+    987,
+    /* VPROTDmr */
+  },
+  { /* 7753 */
+    988,
+    /* VPROTDri */
+  },
+  { /* 7754 */
+    334,
+    /* VPROTDrm */
+  },
+  { /* 7755 */
+    989,
+    /* VPROTDrr */
+  },
+  { /* 7756 */
+    986,
+    /* VPROTQmi */
+  },
+  { /* 7757 */
+    987,
+    /* VPROTQmr */
+  },
+  { /* 7758 */
+    988,
+    /* VPROTQri */
+  },
+  { /* 7759 */
+    334,
+    /* VPROTQrm */
+  },
+  { /* 7760 */
+    989,
+    /* VPROTQrr */
+  },
+  { /* 7761 */
+    986,
+    /* VPROTWmi */
+  },
+  { /* 7762 */
+    987,
+    /* VPROTWmr */
+  },
+  { /* 7763 */
+    988,
+    /* VPROTWri */
+  },
+  { /* 7764 */
+    334,
+    /* VPROTWrm */
+  },
+  { /* 7765 */
+    989,
+    /* VPROTWrr */
+  },
+  { /* 7766 */
+    302,
+    /* VPSADBWYrm */
+  },
+  { /* 7767 */
+    303,
+    /* VPSADBWYrr */
+  },
+  { /* 7768 */
+    334,
+    /* VPSADBWrm */
+  },
+  { /* 7769 */
+    335,
+    /* VPSADBWrr */
+  },
+  { /* 7770 */
+    990,
+    /* VPSCATTERDDZmr */
+  },
+  { /* 7771 */
+    991,
+    /* VPSCATTERDQZmr */
+  },
+  { /* 7772 */
+    992,
+    /* VPSCATTERQDZmr */
+  },
+  { /* 7773 */
+    991,
+    /* VPSCATTERQQZmr */
+  },
+  { /* 7774 */
+    987,
+    /* VPSHABmr */
+  },
+  { /* 7775 */
+    334,
+    /* VPSHABrm */
+  },
+  { /* 7776 */
+    989,
+    /* VPSHABrr */
+  },
+  { /* 7777 */
+    987,
+    /* VPSHADmr */
+  },
+  { /* 7778 */
+    334,
+    /* VPSHADrm */
+  },
+  { /* 7779 */
+    989,
+    /* VPSHADrr */
+  },
+  { /* 7780 */
+    987,
+    /* VPSHAQmr */
+  },
+  { /* 7781 */
+    334,
+    /* VPSHAQrm */
+  },
+  { /* 7782 */
+    989,
+    /* VPSHAQrr */
+  },
+  { /* 7783 */
+    987,
+    /* VPSHAWmr */
+  },
+  { /* 7784 */
+    334,
+    /* VPSHAWrm */
+  },
+  { /* 7785 */
+    989,
+    /* VPSHAWrr */
+  },
+  { /* 7786 */
+    987,
+    /* VPSHLBmr */
+  },
+  { /* 7787 */
+    334,
+    /* VPSHLBrm */
+  },
+  { /* 7788 */
+    989,
+    /* VPSHLBrr */
+  },
+  { /* 7789 */
+    987,
+    /* VPSHLDmr */
+  },
+  { /* 7790 */
+    334,
+    /* VPSHLDrm */
+  },
+  { /* 7791 */
+    989,
+    /* VPSHLDrr */
+  },
+  { /* 7792 */
+    987,
+    /* VPSHLQmr */
+  },
+  { /* 7793 */
+    334,
+    /* VPSHLQrm */
+  },
+  { /* 7794 */
+    989,
+    /* VPSHLQrr */
+  },
+  { /* 7795 */
+    987,
+    /* VPSHLWmr */
+  },
+  { /* 7796 */
+    334,
+    /* VPSHLWrm */
+  },
+  { /* 7797 */
+    989,
+    /* VPSHLWrr */
+  },
+  { /* 7798 */
+    302,
+    /* VPSHUFBYrm */
+  },
+  { /* 7799 */
+    303,
+    /* VPSHUFBYrr */
+  },
+  { /* 7800 */
+    334,
+    /* VPSHUFBrm */
+  },
+  { /* 7801 */
+    335,
+    /* VPSHUFBrr */
+  },
+  { /* 7802 */
+    941,
+    /* VPSHUFDYmi */
+  },
+  { /* 7803 */
+    942,
+    /* VPSHUFDYri */
+  },
+  { /* 7804 */
+    943,
+    /* VPSHUFDZmi */
+  },
+  { /* 7805 */
+    944,
+    /* VPSHUFDZri */
+  },
+  { /* 7806 */
+    46,
+    /* VPSHUFDmi */
+  },
+  { /* 7807 */
+    47,
+    /* VPSHUFDri */
+  },
+  { /* 7808 */
+    941,
+    /* VPSHUFHWYmi */
+  },
+  { /* 7809 */
+    942,
+    /* VPSHUFHWYri */
+  },
+  { /* 7810 */
+    46,
+    /* VPSHUFHWmi */
+  },
+  { /* 7811 */
+    47,
+    /* VPSHUFHWri */
+  },
+  { /* 7812 */
+    941,
+    /* VPSHUFLWYmi */
+  },
+  { /* 7813 */
+    942,
+    /* VPSHUFLWYri */
+  },
+  { /* 7814 */
+    46,
+    /* VPSHUFLWmi */
+  },
+  { /* 7815 */
+    47,
+    /* VPSHUFLWri */
+  },
+  { /* 7816 */
+    302,
+    /* VPSIGNBYrm */
+  },
+  { /* 7817 */
+    303,
+    /* VPSIGNBYrr */
+  },
+  { /* 7818 */
+    334,
+    /* VPSIGNBrm */
+  },
+  { /* 7819 */
+    335,
+    /* VPSIGNBrr */
+  },
+  { /* 7820 */
+    302,
+    /* VPSIGNDYrm */
+  },
+  { /* 7821 */
+    303,
+    /* VPSIGNDYrr */
+  },
+  { /* 7822 */
+    334,
+    /* VPSIGNDrm */
+  },
+  { /* 7823 */
+    335,
+    /* VPSIGNDrr */
+  },
+  { /* 7824 */
+    302,
+    /* VPSIGNWYrm */
+  },
+  { /* 7825 */
+    303,
+    /* VPSIGNWYrr */
+  },
+  { /* 7826 */
+    334,
+    /* VPSIGNWrm */
+  },
+  { /* 7827 */
+    335,
+    /* VPSIGNWrr */
+  },
+  { /* 7828 */
+    993,
+    /* VPSLLDQYri */
+  },
+  { /* 7829 */
+    994,
+    /* VPSLLDQri */
+  },
+  { /* 7830 */
+    993,
+    /* VPSLLDYri */
+  },
+  { /* 7831 */
+    995,
+    /* VPSLLDYrm */
+  },
+  { /* 7832 */
+    996,
+    /* VPSLLDYrr */
+  },
+  { /* 7833 */
+    997,
+    /* VPSLLDZmi */
+  },
+  { /* 7834 */
+    998,
+    /* VPSLLDZmik */
+  },
+  { /* 7835 */
+    999,
+    /* VPSLLDZmikz */
+  },
+  { /* 7836 */
+    1000,
+    /* VPSLLDZri */
+  },
+  { /* 7837 */
+    1001,
+    /* VPSLLDZrik */
+  },
+  { /* 7838 */
+    1002,
+    /* VPSLLDZrikz */
+  },
+  { /* 7839 */
+    1003,
+    /* VPSLLDZrm */
+  },
+  { /* 7840 */
+    1004,
+    /* VPSLLDZrmk */
+  },
+  { /* 7841 */
+    1005,
+    /* VPSLLDZrmkz */
+  },
+  { /* 7842 */
+    1006,
+    /* VPSLLDZrr */
+  },
+  { /* 7843 */
+    1007,
+    /* VPSLLDZrrk */
+  },
+  { /* 7844 */
+    1008,
+    /* VPSLLDZrrkz */
+  },
+  { /* 7845 */
+    994,
+    /* VPSLLDri */
+  },
+  { /* 7846 */
+    334,
+    /* VPSLLDrm */
+  },
+  { /* 7847 */
+    335,
+    /* VPSLLDrr */
+  },
+  { /* 7848 */
+    993,
+    /* VPSLLQYri */
+  },
+  { /* 7849 */
+    995,
+    /* VPSLLQYrm */
+  },
+  { /* 7850 */
+    996,
+    /* VPSLLQYrr */
+  },
+  { /* 7851 */
+    997,
+    /* VPSLLQZmi */
+  },
+  { /* 7852 */
+    1009,
+    /* VPSLLQZmik */
+  },
+  { /* 7853 */
+    1010,
+    /* VPSLLQZmikz */
+  },
+  { /* 7854 */
+    1000,
+    /* VPSLLQZri */
+  },
+  { /* 7855 */
+    1011,
+    /* VPSLLQZrik */
+  },
+  { /* 7856 */
+    1012,
+    /* VPSLLQZrikz */
+  },
+  { /* 7857 */
+    1003,
+    /* VPSLLQZrm */
+  },
+  { /* 7858 */
+    1013,
+    /* VPSLLQZrmk */
+  },
+  { /* 7859 */
+    1014,
+    /* VPSLLQZrmkz */
+  },
+  { /* 7860 */
+    1006,
+    /* VPSLLQZrr */
+  },
+  { /* 7861 */
+    1015,
+    /* VPSLLQZrrk */
+  },
+  { /* 7862 */
+    1016,
+    /* VPSLLQZrrkz */
+  },
+  { /* 7863 */
+    994,
+    /* VPSLLQri */
+  },
+  { /* 7864 */
+    334,
+    /* VPSLLQrm */
+  },
+  { /* 7865 */
+    335,
+    /* VPSLLQrr */
+  },
+  { /* 7866 */
+    302,
+    /* VPSLLVDYrm */
+  },
+  { /* 7867 */
+    303,
+    /* VPSLLVDYrr */
+  },
+  { /* 7868 */
+    1017,
+    /* VPSLLVDZrm */
+  },
+  { /* 7869 */
+    1018,
+    /* VPSLLVDZrmk */
+  },
+  { /* 7870 */
+    1019,
+    /* VPSLLVDZrmkz */
+  },
+  { /* 7871 */
+    1020,
+    /* VPSLLVDZrr */
+  },
+  { /* 7872 */
+    1021,
+    /* VPSLLVDZrrk */
+  },
+  { /* 7873 */
+    1022,
+    /* VPSLLVDZrrkz */
+  },
+  { /* 7874 */
+    334,
+    /* VPSLLVDrm */
+  },
+  { /* 7875 */
+    335,
+    /* VPSLLVDrr */
+  },
+  { /* 7876 */
+    302,
+    /* VPSLLVQYrm */
+  },
+  { /* 7877 */
+    303,
+    /* VPSLLVQYrr */
+  },
+  { /* 7878 */
+    1017,
+    /* VPSLLVQZrm */
+  },
+  { /* 7879 */
+    1023,
+    /* VPSLLVQZrmk */
+  },
+  { /* 7880 */
+    1024,
+    /* VPSLLVQZrmkz */
+  },
+  { /* 7881 */
+    1020,
+    /* VPSLLVQZrr */
+  },
+  { /* 7882 */
+    1025,
+    /* VPSLLVQZrrk */
+  },
+  { /* 7883 */
+    1026,
+    /* VPSLLVQZrrkz */
+  },
+  { /* 7884 */
+    334,
+    /* VPSLLVQrm */
+  },
+  { /* 7885 */
+    335,
+    /* VPSLLVQrr */
+  },
+  { /* 7886 */
+    993,
+    /* VPSLLWYri */
+  },
+  { /* 7887 */
+    995,
+    /* VPSLLWYrm */
+  },
+  { /* 7888 */
+    996,
+    /* VPSLLWYrr */
+  },
+  { /* 7889 */
+    994,
+    /* VPSLLWri */
+  },
+  { /* 7890 */
+    334,
+    /* VPSLLWrm */
+  },
+  { /* 7891 */
+    335,
+    /* VPSLLWrr */
+  },
+  { /* 7892 */
+    993,
+    /* VPSRADYri */
+  },
+  { /* 7893 */
+    995,
+    /* VPSRADYrm */
+  },
+  { /* 7894 */
+    996,
+    /* VPSRADYrr */
+  },
+  { /* 7895 */
+    997,
+    /* VPSRADZmi */
+  },
+  { /* 7896 */
+    998,
+    /* VPSRADZmik */
+  },
+  { /* 7897 */
+    999,
+    /* VPSRADZmikz */
+  },
+  { /* 7898 */
+    1000,
+    /* VPSRADZri */
+  },
+  { /* 7899 */
+    1001,
+    /* VPSRADZrik */
+  },
+  { /* 7900 */
+    1002,
+    /* VPSRADZrikz */
+  },
+  { /* 7901 */
+    1003,
+    /* VPSRADZrm */
+  },
+  { /* 7902 */
+    1004,
+    /* VPSRADZrmk */
+  },
+  { /* 7903 */
+    1005,
+    /* VPSRADZrmkz */
+  },
+  { /* 7904 */
+    1006,
+    /* VPSRADZrr */
+  },
+  { /* 7905 */
+    1007,
+    /* VPSRADZrrk */
+  },
+  { /* 7906 */
+    1008,
+    /* VPSRADZrrkz */
+  },
+  { /* 7907 */
+    994,
+    /* VPSRADri */
+  },
+  { /* 7908 */
+    334,
+    /* VPSRADrm */
+  },
+  { /* 7909 */
+    335,
+    /* VPSRADrr */
+  },
+  { /* 7910 */
+    997,
+    /* VPSRAQZmi */
+  },
+  { /* 7911 */
+    1009,
+    /* VPSRAQZmik */
+  },
+  { /* 7912 */
+    1010,
+    /* VPSRAQZmikz */
+  },
+  { /* 7913 */
+    1000,
+    /* VPSRAQZri */
+  },
+  { /* 7914 */
+    1011,
+    /* VPSRAQZrik */
+  },
+  { /* 7915 */
+    1012,
+    /* VPSRAQZrikz */
+  },
+  { /* 7916 */
+    1003,
+    /* VPSRAQZrm */
+  },
+  { /* 7917 */
+    1013,
+    /* VPSRAQZrmk */
+  },
+  { /* 7918 */
+    1014,
+    /* VPSRAQZrmkz */
+  },
+  { /* 7919 */
+    1006,
+    /* VPSRAQZrr */
+  },
+  { /* 7920 */
+    1015,
+    /* VPSRAQZrrk */
+  },
+  { /* 7921 */
+    1016,
+    /* VPSRAQZrrkz */
+  },
+  { /* 7922 */
+    302,
+    /* VPSRAVDYrm */
+  },
+  { /* 7923 */
+    303,
+    /* VPSRAVDYrr */
+  },
+  { /* 7924 */
+    1017,
+    /* VPSRAVDZrm */
+  },
+  { /* 7925 */
+    1018,
+    /* VPSRAVDZrmk */
+  },
+  { /* 7926 */
+    1019,
+    /* VPSRAVDZrmkz */
+  },
+  { /* 7927 */
+    1020,
+    /* VPSRAVDZrr */
+  },
+  { /* 7928 */
+    1021,
+    /* VPSRAVDZrrk */
+  },
+  { /* 7929 */
+    1022,
+    /* VPSRAVDZrrkz */
+  },
+  { /* 7930 */
+    334,
+    /* VPSRAVDrm */
+  },
+  { /* 7931 */
+    335,
+    /* VPSRAVDrr */
+  },
+  { /* 7932 */
+    1017,
+    /* VPSRAVQZrm */
+  },
+  { /* 7933 */
+    1023,
+    /* VPSRAVQZrmk */
+  },
+  { /* 7934 */
+    1024,
+    /* VPSRAVQZrmkz */
+  },
+  { /* 7935 */
+    1020,
+    /* VPSRAVQZrr */
+  },
+  { /* 7936 */
+    1025,
+    /* VPSRAVQZrrk */
+  },
+  { /* 7937 */
+    1026,
+    /* VPSRAVQZrrkz */
+  },
+  { /* 7938 */
+    993,
+    /* VPSRAWYri */
+  },
+  { /* 7939 */
+    995,
+    /* VPSRAWYrm */
+  },
+  { /* 7940 */
+    996,
+    /* VPSRAWYrr */
+  },
+  { /* 7941 */
+    994,
+    /* VPSRAWri */
+  },
+  { /* 7942 */
+    334,
+    /* VPSRAWrm */
+  },
+  { /* 7943 */
+    335,
+    /* VPSRAWrr */
+  },
+  { /* 7944 */
+    993,
+    /* VPSRLDQYri */
+  },
+  { /* 7945 */
+    994,
+    /* VPSRLDQri */
+  },
+  { /* 7946 */
+    993,
+    /* VPSRLDYri */
+  },
+  { /* 7947 */
+    995,
+    /* VPSRLDYrm */
+  },
+  { /* 7948 */
+    996,
+    /* VPSRLDYrr */
+  },
+  { /* 7949 */
+    997,
+    /* VPSRLDZmi */
+  },
+  { /* 7950 */
+    998,
+    /* VPSRLDZmik */
+  },
+  { /* 7951 */
+    999,
+    /* VPSRLDZmikz */
+  },
+  { /* 7952 */
+    1000,
+    /* VPSRLDZri */
+  },
+  { /* 7953 */
+    1001,
+    /* VPSRLDZrik */
+  },
+  { /* 7954 */
+    1002,
+    /* VPSRLDZrikz */
+  },
+  { /* 7955 */
+    1003,
+    /* VPSRLDZrm */
+  },
+  { /* 7956 */
+    1004,
+    /* VPSRLDZrmk */
+  },
+  { /* 7957 */
+    1005,
+    /* VPSRLDZrmkz */
+  },
+  { /* 7958 */
+    1006,
+    /* VPSRLDZrr */
+  },
+  { /* 7959 */
+    1007,
+    /* VPSRLDZrrk */
+  },
+  { /* 7960 */
+    1008,
+    /* VPSRLDZrrkz */
+  },
+  { /* 7961 */
+    994,
+    /* VPSRLDri */
+  },
+  { /* 7962 */
+    334,
+    /* VPSRLDrm */
+  },
+  { /* 7963 */
+    335,
+    /* VPSRLDrr */
+  },
+  { /* 7964 */
+    993,
+    /* VPSRLQYri */
+  },
+  { /* 7965 */
+    995,
+    /* VPSRLQYrm */
+  },
+  { /* 7966 */
+    996,
+    /* VPSRLQYrr */
+  },
+  { /* 7967 */
+    997,
+    /* VPSRLQZmi */
+  },
+  { /* 7968 */
+    1009,
+    /* VPSRLQZmik */
+  },
+  { /* 7969 */
+    1010,
+    /* VPSRLQZmikz */
+  },
+  { /* 7970 */
+    1000,
+    /* VPSRLQZri */
+  },
+  { /* 7971 */
+    1011,
+    /* VPSRLQZrik */
+  },
+  { /* 7972 */
+    1012,
+    /* VPSRLQZrikz */
+  },
+  { /* 7973 */
+    1003,
+    /* VPSRLQZrm */
+  },
+  { /* 7974 */
+    1013,
+    /* VPSRLQZrmk */
+  },
+  { /* 7975 */
+    1014,
+    /* VPSRLQZrmkz */
+  },
+  { /* 7976 */
+    1006,
+    /* VPSRLQZrr */
+  },
+  { /* 7977 */
+    1015,
+    /* VPSRLQZrrk */
+  },
+  { /* 7978 */
+    1016,
+    /* VPSRLQZrrkz */
+  },
+  { /* 7979 */
+    994,
+    /* VPSRLQri */
+  },
+  { /* 7980 */
+    334,
+    /* VPSRLQrm */
+  },
+  { /* 7981 */
+    335,
+    /* VPSRLQrr */
+  },
+  { /* 7982 */
+    302,
+    /* VPSRLVDYrm */
+  },
+  { /* 7983 */
+    303,
+    /* VPSRLVDYrr */
+  },
+  { /* 7984 */
+    1017,
+    /* VPSRLVDZrm */
+  },
+  { /* 7985 */
+    1018,
+    /* VPSRLVDZrmk */
+  },
+  { /* 7986 */
+    1019,
+    /* VPSRLVDZrmkz */
+  },
+  { /* 7987 */
+    1020,
+    /* VPSRLVDZrr */
+  },
+  { /* 7988 */
+    1021,
+    /* VPSRLVDZrrk */
+  },
+  { /* 7989 */
+    1022,
+    /* VPSRLVDZrrkz */
+  },
+  { /* 7990 */
+    334,
+    /* VPSRLVDrm */
+  },
+  { /* 7991 */
+    335,
+    /* VPSRLVDrr */
+  },
+  { /* 7992 */
+    302,
+    /* VPSRLVQYrm */
+  },
+  { /* 7993 */
+    303,
+    /* VPSRLVQYrr */
+  },
+  { /* 7994 */
+    1017,
+    /* VPSRLVQZrm */
+  },
+  { /* 7995 */
+    1023,
+    /* VPSRLVQZrmk */
+  },
+  { /* 7996 */
+    1024,
+    /* VPSRLVQZrmkz */
+  },
+  { /* 7997 */
+    1020,
+    /* VPSRLVQZrr */
+  },
+  { /* 7998 */
+    1025,
+    /* VPSRLVQZrrk */
+  },
+  { /* 7999 */
+    1026,
+    /* VPSRLVQZrrkz */
+  },
+  { /* 8000 */
+    334,
+    /* VPSRLVQrm */
+  },
+  { /* 8001 */
+    335,
+    /* VPSRLVQrr */
+  },
+  { /* 8002 */
+    993,
+    /* VPSRLWYri */
+  },
+  { /* 8003 */
+    995,
+    /* VPSRLWYrm */
+  },
+  { /* 8004 */
+    996,
+    /* VPSRLWYrr */
+  },
+  { /* 8005 */
+    994,
+    /* VPSRLWri */
+  },
+  { /* 8006 */
+    334,
+    /* VPSRLWrm */
+  },
+  { /* 8007 */
+    335,
+    /* VPSRLWrr */
+  },
+  { /* 8008 */
+    302,
+    /* VPSUBBYrm */
+  },
+  { /* 8009 */
+    303,
+    /* VPSUBBYrr */
+  },
+  { /* 8010 */
+    304,
+    /* VPSUBBZ128rm */
+  },
+  { /* 8011 */
+    732,
+    /* VPSUBBZ128rmk */
+  },
+  { /* 8012 */
+    733,
+    /* VPSUBBZ128rmkz */
+  },
+  { /* 8013 */
+    310,
+    /* VPSUBBZ128rr */
+  },
+  { /* 8014 */
+    734,
+    /* VPSUBBZ128rrk */
+  },
+  { /* 8015 */
+    735,
+    /* VPSUBBZ128rrkz */
+  },
+  { /* 8016 */
+    313,
+    /* VPSUBBZ256rm */
+  },
+  { /* 8017 */
+    736,
+    /* VPSUBBZ256rmk */
+  },
+  { /* 8018 */
+    737,
+    /* VPSUBBZ256rmkz */
+  },
+  { /* 8019 */
+    319,
+    /* VPSUBBZ256rr */
+  },
+  { /* 8020 */
+    738,
+    /* VPSUBBZ256rrk */
+  },
+  { /* 8021 */
+    739,
+    /* VPSUBBZ256rrkz */
+  },
+  { /* 8022 */
+    325,
+    /* VPSUBBZrm */
+  },
+  { /* 8023 */
+    740,
+    /* VPSUBBZrmk */
+  },
+  { /* 8024 */
+    741,
+    /* VPSUBBZrmkz */
+  },
+  { /* 8025 */
+    331,
+    /* VPSUBBZrr */
+  },
+  { /* 8026 */
+    742,
+    /* VPSUBBZrrk */
+  },
+  { /* 8027 */
+    743,
+    /* VPSUBBZrrkz */
+  },
+  { /* 8028 */
+    334,
+    /* VPSUBBrm */
+  },
+  { /* 8029 */
+    335,
+    /* VPSUBBrr */
+  },
+  { /* 8030 */
+    302,
+    /* VPSUBDYrm */
+  },
+  { /* 8031 */
+    303,
+    /* VPSUBDYrr */
+  },
+  { /* 8032 */
+    304,
+    /* VPSUBDZ128rm */
+  },
+  { /* 8033 */
+    744,
+    /* VPSUBDZ128rmb */
+  },
+  { /* 8034 */
+    745,
+    /* VPSUBDZ128rmbk */
+  },
+  { /* 8035 */
+    746,
+    /* VPSUBDZ128rmbkz */
+  },
+  { /* 8036 */
+    339,
+    /* VPSUBDZ128rmk */
+  },
+  { /* 8037 */
+    340,
+    /* VPSUBDZ128rmkz */
+  },
+  { /* 8038 */
+    310,
+    /* VPSUBDZ128rr */
+  },
+  { /* 8039 */
+    341,
+    /* VPSUBDZ128rrk */
+  },
+  { /* 8040 */
+    342,
+    /* VPSUBDZ128rrkz */
+  },
+  { /* 8041 */
+    313,
+    /* VPSUBDZ256rm */
+  },
+  { /* 8042 */
+    747,
+    /* VPSUBDZ256rmb */
+  },
+  { /* 8043 */
+    748,
+    /* VPSUBDZ256rmbk */
+  },
+  { /* 8044 */
+    749,
+    /* VPSUBDZ256rmbkz */
+  },
+  { /* 8045 */
+    346,
+    /* VPSUBDZ256rmk */
+  },
+  { /* 8046 */
+    347,
+    /* VPSUBDZ256rmkz */
+  },
+  { /* 8047 */
+    319,
+    /* VPSUBDZ256rr */
+  },
+  { /* 8048 */
+    348,
+    /* VPSUBDZ256rrk */
+  },
+  { /* 8049 */
+    349,
+    /* VPSUBDZ256rrkz */
+  },
+  { /* 8050 */
+    325,
+    /* VPSUBDZrm */
+  },
+  { /* 8051 */
+    750,
+    /* VPSUBDZrmb */
+  },
+  { /* 8052 */
+    751,
+    /* VPSUBDZrmbk */
+  },
+  { /* 8053 */
+    752,
+    /* VPSUBDZrmbkz */
+  },
+  { /* 8054 */
+    356,
+    /* VPSUBDZrmk */
+  },
+  { /* 8055 */
+    357,
+    /* VPSUBDZrmkz */
+  },
+  { /* 8056 */
+    331,
+    /* VPSUBDZrr */
+  },
+  { /* 8057 */
+    358,
+    /* VPSUBDZrrk */
+  },
+  { /* 8058 */
+    359,
+    /* VPSUBDZrrkz */
+  },
+  { /* 8059 */
+    334,
+    /* VPSUBDrm */
+  },
+  { /* 8060 */
+    335,
+    /* VPSUBDrr */
+  },
+  { /* 8061 */
+    302,
+    /* VPSUBQYrm */
+  },
+  { /* 8062 */
+    303,
+    /* VPSUBQYrr */
+  },
+  { /* 8063 */
+    304,
+    /* VPSUBQZ128rm */
+  },
+  { /* 8064 */
+    753,
+    /* VPSUBQZ128rmb */
+  },
+  { /* 8065 */
+    754,
+    /* VPSUBQZ128rmbk */
+  },
+  { /* 8066 */
+    755,
+    /* VPSUBQZ128rmbkz */
+  },
+  { /* 8067 */
+    308,
+    /* VPSUBQZ128rmk */
+  },
+  { /* 8068 */
+    309,
+    /* VPSUBQZ128rmkz */
+  },
+  { /* 8069 */
+    310,
+    /* VPSUBQZ128rr */
+  },
+  { /* 8070 */
+    311,
+    /* VPSUBQZ128rrk */
+  },
+  { /* 8071 */
+    312,
+    /* VPSUBQZ128rrkz */
+  },
+  { /* 8072 */
+    313,
+    /* VPSUBQZ256rm */
+  },
+  { /* 8073 */
+    756,
+    /* VPSUBQZ256rmb */
+  },
+  { /* 8074 */
+    757,
+    /* VPSUBQZ256rmbk */
+  },
+  { /* 8075 */
+    758,
+    /* VPSUBQZ256rmbkz */
+  },
+  { /* 8076 */
+    317,
+    /* VPSUBQZ256rmk */
+  },
+  { /* 8077 */
+    318,
+    /* VPSUBQZ256rmkz */
+  },
+  { /* 8078 */
+    319,
+    /* VPSUBQZ256rr */
+  },
+  { /* 8079 */
+    320,
+    /* VPSUBQZ256rrk */
+  },
+  { /* 8080 */
+    321,
+    /* VPSUBQZ256rrkz */
+  },
+  { /* 8081 */
+    325,
+    /* VPSUBQZrm */
+  },
+  { /* 8082 */
+    759,
+    /* VPSUBQZrmb */
+  },
+  { /* 8083 */
+    760,
+    /* VPSUBQZrmbk */
+  },
+  { /* 8084 */
+    761,
+    /* VPSUBQZrmbkz */
+  },
+  { /* 8085 */
+    329,
+    /* VPSUBQZrmk */
+  },
+  { /* 8086 */
+    330,
+    /* VPSUBQZrmkz */
+  },
+  { /* 8087 */
+    331,
+    /* VPSUBQZrr */
+  },
+  { /* 8088 */
+    332,
+    /* VPSUBQZrrk */
+  },
+  { /* 8089 */
+    333,
+    /* VPSUBQZrrkz */
+  },
+  { /* 8090 */
+    334,
+    /* VPSUBQrm */
+  },
+  { /* 8091 */
+    335,
+    /* VPSUBQrr */
+  },
+  { /* 8092 */
+    302,
+    /* VPSUBSBYrm */
+  },
+  { /* 8093 */
+    303,
+    /* VPSUBSBYrr */
+  },
+  { /* 8094 */
+    334,
+    /* VPSUBSBrm */
+  },
+  { /* 8095 */
+    335,
+    /* VPSUBSBrr */
+  },
+  { /* 8096 */
+    302,
+    /* VPSUBSWYrm */
+  },
+  { /* 8097 */
+    303,
+    /* VPSUBSWYrr */
+  },
+  { /* 8098 */
+    334,
+    /* VPSUBSWrm */
+  },
+  { /* 8099 */
+    335,
+    /* VPSUBSWrr */
+  },
+  { /* 8100 */
+    302,
+    /* VPSUBUSBYrm */
+  },
+  { /* 8101 */
+    303,
+    /* VPSUBUSBYrr */
+  },
+  { /* 8102 */
+    334,
+    /* VPSUBUSBrm */
+  },
+  { /* 8103 */
+    335,
+    /* VPSUBUSBrr */
+  },
+  { /* 8104 */
+    302,
+    /* VPSUBUSWYrm */
+  },
+  { /* 8105 */
+    303,
+    /* VPSUBUSWYrr */
+  },
+  { /* 8106 */
+    334,
+    /* VPSUBUSWrm */
+  },
+  { /* 8107 */
+    335,
+    /* VPSUBUSWrr */
+  },
+  { /* 8108 */
+    302,
+    /* VPSUBWYrm */
+  },
+  { /* 8109 */
+    303,
+    /* VPSUBWYrr */
+  },
+  { /* 8110 */
+    304,
+    /* VPSUBWZ128rm */
+  },
+  { /* 8111 */
+    762,
+    /* VPSUBWZ128rmk */
+  },
+  { /* 8112 */
+    763,
+    /* VPSUBWZ128rmkz */
+  },
+  { /* 8113 */
+    310,
+    /* VPSUBWZ128rr */
+  },
+  { /* 8114 */
+    764,
+    /* VPSUBWZ128rrk */
+  },
+  { /* 8115 */
+    765,
+    /* VPSUBWZ128rrkz */
+  },
+  { /* 8116 */
+    313,
+    /* VPSUBWZ256rm */
+  },
+  { /* 8117 */
+    766,
+    /* VPSUBWZ256rmk */
+  },
+  { /* 8118 */
+    767,
+    /* VPSUBWZ256rmkz */
+  },
+  { /* 8119 */
+    319,
+    /* VPSUBWZ256rr */
+  },
+  { /* 8120 */
+    768,
+    /* VPSUBWZ256rrk */
+  },
+  { /* 8121 */
+    769,
+    /* VPSUBWZ256rrkz */
+  },
+  { /* 8122 */
+    325,
+    /* VPSUBWZrm */
+  },
+  { /* 8123 */
+    770,
+    /* VPSUBWZrmk */
+  },
+  { /* 8124 */
+    771,
+    /* VPSUBWZrmkz */
+  },
+  { /* 8125 */
+    331,
+    /* VPSUBWZrr */
+  },
+  { /* 8126 */
+    772,
+    /* VPSUBWZrrk */
+  },
+  { /* 8127 */
+    773,
+    /* VPSUBWZrrkz */
+  },
+  { /* 8128 */
+    334,
+    /* VPSUBWrm */
+  },
+  { /* 8129 */
+    335,
+    /* VPSUBWrr */
+  },
+  { /* 8130 */
+    865,
+    /* VPTESTMDZrm */
+  },
+  { /* 8131 */
+    869,
+    /* VPTESTMDZrr */
+  },
+  { /* 8132 */
+    883,
+    /* VPTESTMQZrm */
+  },
+  { /* 8133 */
+    887,
+    /* VPTESTMQZrr */
+  },
+  { /* 8134 */
+    865,
+    /* VPTESTNMDZrm */
+  },
+  { /* 8135 */
+    869,
+    /* VPTESTNMDZrr */
+  },
+  { /* 8136 */
+    883,
+    /* VPTESTNMQZrm */
+  },
+  { /* 8137 */
+    887,
+    /* VPTESTNMQZrr */
+  },
+  { /* 8138 */
+    475,
+    /* VPTESTYrm */
+  },
+  { /* 8139 */
+    476,
+    /* VPTESTYrr */
+  },
+  { /* 8140 */
+    44,
+    /* VPTESTrm */
+  },
+  { /* 8141 */
+    45,
+    /* VPTESTrr */
+  },
+  { /* 8142 */
+    302,
+    /* VPUNPCKHBWYrm */
+  },
+  { /* 8143 */
+    303,
+    /* VPUNPCKHBWYrr */
+  },
+  { /* 8144 */
+    334,
+    /* VPUNPCKHBWrm */
+  },
+  { /* 8145 */
+    335,
+    /* VPUNPCKHBWrr */
+  },
+  { /* 8146 */
+    302,
+    /* VPUNPCKHDQYrm */
+  },
+  { /* 8147 */
+    303,
+    /* VPUNPCKHDQYrr */
+  },
+  { /* 8148 */
+    325,
+    /* VPUNPCKHDQZrm */
+  },
+  { /* 8149 */
+    331,
+    /* VPUNPCKHDQZrr */
+  },
+  { /* 8150 */
+    334,
+    /* VPUNPCKHDQrm */
+  },
+  { /* 8151 */
+    335,
+    /* VPUNPCKHDQrr */
+  },
+  { /* 8152 */
+    302,
+    /* VPUNPCKHQDQYrm */
+  },
+  { /* 8153 */
+    303,
+    /* VPUNPCKHQDQYrr */
+  },
+  { /* 8154 */
+    325,
+    /* VPUNPCKHQDQZrm */
+  },
+  { /* 8155 */
+    331,
+    /* VPUNPCKHQDQZrr */
+  },
+  { /* 8156 */
+    334,
+    /* VPUNPCKHQDQrm */
+  },
+  { /* 8157 */
+    335,
+    /* VPUNPCKHQDQrr */
+  },
+  { /* 8158 */
+    302,
+    /* VPUNPCKHWDYrm */
+  },
+  { /* 8159 */
+    303,
+    /* VPUNPCKHWDYrr */
+  },
+  { /* 8160 */
+    334,
+    /* VPUNPCKHWDrm */
+  },
+  { /* 8161 */
+    335,
+    /* VPUNPCKHWDrr */
+  },
+  { /* 8162 */
+    302,
+    /* VPUNPCKLBWYrm */
+  },
+  { /* 8163 */
+    303,
+    /* VPUNPCKLBWYrr */
+  },
+  { /* 8164 */
+    334,
+    /* VPUNPCKLBWrm */
+  },
+  { /* 8165 */
+    335,
+    /* VPUNPCKLBWrr */
+  },
+  { /* 8166 */
+    302,
+    /* VPUNPCKLDQYrm */
+  },
+  { /* 8167 */
+    303,
+    /* VPUNPCKLDQYrr */
+  },
+  { /* 8168 */
+    325,
+    /* VPUNPCKLDQZrm */
+  },
+  { /* 8169 */
+    331,
+    /* VPUNPCKLDQZrr */
+  },
+  { /* 8170 */
+    334,
+    /* VPUNPCKLDQrm */
+  },
+  { /* 8171 */
+    335,
+    /* VPUNPCKLDQrr */
+  },
+  { /* 8172 */
+    302,
+    /* VPUNPCKLQDQYrm */
+  },
+  { /* 8173 */
+    303,
+    /* VPUNPCKLQDQYrr */
+  },
+  { /* 8174 */
+    325,
+    /* VPUNPCKLQDQZrm */
+  },
+  { /* 8175 */
+    331,
+    /* VPUNPCKLQDQZrr */
+  },
+  { /* 8176 */
+    334,
+    /* VPUNPCKLQDQrm */
+  },
+  { /* 8177 */
+    335,
+    /* VPUNPCKLQDQrr */
+  },
+  { /* 8178 */
+    302,
+    /* VPUNPCKLWDYrm */
+  },
+  { /* 8179 */
+    303,
+    /* VPUNPCKLWDYrr */
+  },
+  { /* 8180 */
+    334,
+    /* VPUNPCKLWDrm */
+  },
+  { /* 8181 */
+    335,
+    /* VPUNPCKLWDrr */
+  },
+  { /* 8182 */
+    304,
+    /* VPXORDZ128rm */
+  },
+  { /* 8183 */
+    744,
+    /* VPXORDZ128rmb */
+  },
+  { /* 8184 */
+    745,
+    /* VPXORDZ128rmbk */
+  },
+  { /* 8185 */
+    746,
+    /* VPXORDZ128rmbkz */
+  },
+  { /* 8186 */
+    339,
+    /* VPXORDZ128rmk */
+  },
+  { /* 8187 */
+    340,
+    /* VPXORDZ128rmkz */
+  },
+  { /* 8188 */
+    310,
+    /* VPXORDZ128rr */
+  },
+  { /* 8189 */
+    341,
+    /* VPXORDZ128rrk */
+  },
+  { /* 8190 */
+    342,
+    /* VPXORDZ128rrkz */
+  },
+  { /* 8191 */
+    313,
+    /* VPXORDZ256rm */
+  },
+  { /* 8192 */
+    747,
+    /* VPXORDZ256rmb */
+  },
+  { /* 8193 */
+    748,
+    /* VPXORDZ256rmbk */
+  },
+  { /* 8194 */
+    749,
+    /* VPXORDZ256rmbkz */
+  },
+  { /* 8195 */
+    346,
+    /* VPXORDZ256rmk */
+  },
+  { /* 8196 */
+    347,
+    /* VPXORDZ256rmkz */
+  },
+  { /* 8197 */
+    319,
+    /* VPXORDZ256rr */
+  },
+  { /* 8198 */
+    348,
+    /* VPXORDZ256rrk */
+  },
+  { /* 8199 */
+    349,
+    /* VPXORDZ256rrkz */
+  },
+  { /* 8200 */
+    325,
+    /* VPXORDZrm */
+  },
+  { /* 8201 */
+    750,
+    /* VPXORDZrmb */
+  },
+  { /* 8202 */
+    751,
+    /* VPXORDZrmbk */
+  },
+  { /* 8203 */
+    752,
+    /* VPXORDZrmbkz */
+  },
+  { /* 8204 */
+    356,
+    /* VPXORDZrmk */
+  },
+  { /* 8205 */
+    357,
+    /* VPXORDZrmkz */
+  },
+  { /* 8206 */
+    331,
+    /* VPXORDZrr */
+  },
+  { /* 8207 */
+    358,
+    /* VPXORDZrrk */
+  },
+  { /* 8208 */
+    359,
+    /* VPXORDZrrkz */
+  },
+  { /* 8209 */
+    304,
+    /* VPXORQZ128rm */
+  },
+  { /* 8210 */
+    753,
+    /* VPXORQZ128rmb */
+  },
+  { /* 8211 */
+    754,
+    /* VPXORQZ128rmbk */
+  },
+  { /* 8212 */
+    755,
+    /* VPXORQZ128rmbkz */
+  },
+  { /* 8213 */
+    308,
+    /* VPXORQZ128rmk */
+  },
+  { /* 8214 */
+    309,
+    /* VPXORQZ128rmkz */
+  },
+  { /* 8215 */
+    310,
+    /* VPXORQZ128rr */
+  },
+  { /* 8216 */
+    311,
+    /* VPXORQZ128rrk */
+  },
+  { /* 8217 */
+    312,
+    /* VPXORQZ128rrkz */
+  },
+  { /* 8218 */
+    313,
+    /* VPXORQZ256rm */
+  },
+  { /* 8219 */
+    756,
+    /* VPXORQZ256rmb */
+  },
+  { /* 8220 */
+    757,
+    /* VPXORQZ256rmbk */
+  },
+  { /* 8221 */
+    758,
+    /* VPXORQZ256rmbkz */
+  },
+  { /* 8222 */
+    317,
+    /* VPXORQZ256rmk */
+  },
+  { /* 8223 */
+    318,
+    /* VPXORQZ256rmkz */
+  },
+  { /* 8224 */
+    319,
+    /* VPXORQZ256rr */
+  },
+  { /* 8225 */
+    320,
+    /* VPXORQZ256rrk */
+  },
+  { /* 8226 */
+    321,
+    /* VPXORQZ256rrkz */
+  },
+  { /* 8227 */
+    325,
+    /* VPXORQZrm */
+  },
+  { /* 8228 */
+    759,
+    /* VPXORQZrmb */
+  },
+  { /* 8229 */
+    760,
+    /* VPXORQZrmbk */
+  },
+  { /* 8230 */
+    761,
+    /* VPXORQZrmbkz */
+  },
+  { /* 8231 */
+    329,
+    /* VPXORQZrmk */
+  },
+  { /* 8232 */
+    330,
+    /* VPXORQZrmkz */
+  },
+  { /* 8233 */
+    331,
+    /* VPXORQZrr */
+  },
+  { /* 8234 */
+    332,
+    /* VPXORQZrrk */
+  },
+  { /* 8235 */
+    333,
+    /* VPXORQZrrkz */
+  },
+  { /* 8236 */
+    302,
+    /* VPXORYrm */
+  },
+  { /* 8237 */
+    303,
+    /* VPXORYrr */
+  },
+  { /* 8238 */
+    334,
+    /* VPXORrm */
+  },
+  { /* 8239 */
+    335,
+    /* VPXORrr */
+  },
+  { /* 8240 */
+    637,
+    /* VRCP14PDZ128m */
+  },
+  { /* 8241 */
+    1027,
+    /* VRCP14PDZ128mb */
+  },
+  { /* 8242 */
+    1028,
+    /* VRCP14PDZ128mbk */
+  },
+  { /* 8243 */
+    1029,
+    /* VRCP14PDZ128mbkz */
+  },
+  { /* 8244 */
+    638,
+    /* VRCP14PDZ128mk */
+  },
+  { /* 8245 */
+    639,
+    /* VRCP14PDZ128mkz */
+  },
+  { /* 8246 */
+    640,
+    /* VRCP14PDZ128r */
+  },
+  { /* 8247 */
+    545,
+    /* VRCP14PDZ128rk */
+  },
+  { /* 8248 */
+    546,
+    /* VRCP14PDZ128rkz */
+  },
+  { /* 8249 */
+    644,
+    /* VRCP14PDZ256m */
+  },
+  { /* 8250 */
+    403,
+    /* VRCP14PDZ256mb */
+  },
+  { /* 8251 */
+    404,
+    /* VRCP14PDZ256mbk */
+  },
+  { /* 8252 */
+    405,
+    /* VRCP14PDZ256mbkz */
+  },
+  { /* 8253 */
+    645,
+    /* VRCP14PDZ256mk */
+  },
+  { /* 8254 */
+    646,
+    /* VRCP14PDZ256mkz */
+  },
+  { /* 8255 */
+    647,
+    /* VRCP14PDZ256r */
+  },
+  { /* 8256 */
+    549,
+    /* VRCP14PDZ256rk */
+  },
+  { /* 8257 */
+    550,
+    /* VRCP14PDZ256rkz */
+  },
+  { /* 8258 */
+    477,
+    /* VRCP14PDZm */
+  },
+  { /* 8259 */
+    409,
+    /* VRCP14PDZmb */
+  },
+  { /* 8260 */
+    410,
+    /* VRCP14PDZmbk */
+  },
+  { /* 8261 */
+    411,
+    /* VRCP14PDZmbkz */
+  },
+  { /* 8262 */
+    528,
+    /* VRCP14PDZmk */
+  },
+  { /* 8263 */
+    529,
+    /* VRCP14PDZmkz */
+  },
+  { /* 8264 */
+    478,
+    /* VRCP14PDZr */
+  },
+  { /* 8265 */
+    533,
+    /* VRCP14PDZrk */
+  },
+  { /* 8266 */
+    534,
+    /* VRCP14PDZrkz */
+  },
+  { /* 8267 */
+    637,
+    /* VRCP14PSZ128m */
+  },
+  { /* 8268 */
+    416,
+    /* VRCP14PSZ128mb */
+  },
+  { /* 8269 */
+    417,
+    /* VRCP14PSZ128mbk */
+  },
+  { /* 8270 */
+    418,
+    /* VRCP14PSZ128mbkz */
+  },
+  { /* 8271 */
+    653,
+    /* VRCP14PSZ128mk */
+  },
+  { /* 8272 */
+    654,
+    /* VRCP14PSZ128mkz */
+  },
+  { /* 8273 */
+    640,
+    /* VRCP14PSZ128r */
+  },
+  { /* 8274 */
+    555,
+    /* VRCP14PSZ128rk */
+  },
+  { /* 8275 */
+    556,
+    /* VRCP14PSZ128rkz */
+  },
+  { /* 8276 */
+    644,
+    /* VRCP14PSZ256m */
+  },
+  { /* 8277 */
+    422,
+    /* VRCP14PSZ256mb */
+  },
+  { /* 8278 */
+    423,
+    /* VRCP14PSZ256mbk */
+  },
+  { /* 8279 */
+    424,
+    /* VRCP14PSZ256mbkz */
+  },
+  { /* 8280 */
+    656,
+    /* VRCP14PSZ256mk */
+  },
+  { /* 8281 */
+    657,
+    /* VRCP14PSZ256mkz */
+  },
+  { /* 8282 */
+    647,
+    /* VRCP14PSZ256r */
+  },
+  { /* 8283 */
+    559,
+    /* VRCP14PSZ256rk */
+  },
+  { /* 8284 */
+    560,
+    /* VRCP14PSZ256rkz */
+  },
+  { /* 8285 */
+    477,
+    /* VRCP14PSZm */
+  },
+  { /* 8286 */
+    428,
+    /* VRCP14PSZmb */
+  },
+  { /* 8287 */
+    429,
+    /* VRCP14PSZmbk */
+  },
+  { /* 8288 */
+    430,
+    /* VRCP14PSZmbkz */
+  },
+  { /* 8289 */
+    537,
+    /* VRCP14PSZmk */
+  },
+  { /* 8290 */
+    538,
+    /* VRCP14PSZmkz */
+  },
+  { /* 8291 */
+    478,
+    /* VRCP14PSZr */
+  },
+  { /* 8292 */
+    541,
+    /* VRCP14PSZrk */
+  },
+  { /* 8293 */
+    542,
+    /* VRCP14PSZrkz */
+  },
+  { /* 8294 */
+    1030,
+    /* VRCP14SDrm */
+  },
+  { /* 8295 */
+    1031,
+    /* VRCP14SDrr */
+  },
+  { /* 8296 */
+    1032,
+    /* VRCP14SSrm */
+  },
+  { /* 8297 */
+    1033,
+    /* VRCP14SSrr */
+  },
+  { /* 8298 */
+    477,
+    /* VRCP28PDm */
+  },
+  { /* 8299 */
+    525,
+    /* VRCP28PDmb */
+  },
+  { /* 8300 */
+    526,
+    /* VRCP28PDmbk */
+  },
+  { /* 8301 */
+    527,
+    /* VRCP28PDmbkz */
+  },
+  { /* 8302 */
+    528,
+    /* VRCP28PDmk */
+  },
+  { /* 8303 */
+    529,
+    /* VRCP28PDmkz */
+  },
+  { /* 8304 */
+    478,
+    /* VRCP28PDr */
+  },
+  { /* 8305 */
+    530,
+    /* VRCP28PDrb */
+  },
+  { /* 8306 */
+    531,
+    /* VRCP28PDrbk */
+  },
+  { /* 8307 */
+    532,
+    /* VRCP28PDrbkz */
+  },
+  { /* 8308 */
+    533,
+    /* VRCP28PDrk */
+  },
+  { /* 8309 */
+    534,
+    /* VRCP28PDrkz */
+  },
+  { /* 8310 */
+    477,
+    /* VRCP28PSm */
+  },
+  { /* 8311 */
+    525,
+    /* VRCP28PSmb */
+  },
+  { /* 8312 */
+    535,
+    /* VRCP28PSmbk */
+  },
+  { /* 8313 */
+    536,
+    /* VRCP28PSmbkz */
+  },
+  { /* 8314 */
+    537,
+    /* VRCP28PSmk */
+  },
+  { /* 8315 */
+    538,
+    /* VRCP28PSmkz */
+  },
+  { /* 8316 */
+    478,
+    /* VRCP28PSr */
+  },
+  { /* 8317 */
+    530,
+    /* VRCP28PSrb */
+  },
+  { /* 8318 */
+    539,
+    /* VRCP28PSrbk */
+  },
+  { /* 8319 */
+    540,
+    /* VRCP28PSrbkz */
+  },
+  { /* 8320 */
+    541,
+    /* VRCP28PSrk */
+  },
+  { /* 8321 */
+    542,
+    /* VRCP28PSrkz */
+  },
+  { /* 8322 */
+    360,
+    /* VRCP28SDm */
+  },
+  { /* 8323 */
+    361,
+    /* VRCP28SDmk */
+  },
+  { /* 8324 */
+    362,
+    /* VRCP28SDmkz */
+  },
+  { /* 8325 */
+    363,
+    /* VRCP28SDr */
+  },
+  { /* 8326 */
+    363,
+    /* VRCP28SDrb */
+  },
+  { /* 8327 */
+    364,
+    /* VRCP28SDrbk */
+  },
+  { /* 8328 */
+    365,
+    /* VRCP28SDrbkz */
+  },
+  { /* 8329 */
+    364,
+    /* VRCP28SDrk */
+  },
+  { /* 8330 */
+    365,
+    /* VRCP28SDrkz */
+  },
+  { /* 8331 */
+    371,
+    /* VRCP28SSm */
+  },
+  { /* 8332 */
+    372,
+    /* VRCP28SSmk */
+  },
+  { /* 8333 */
+    373,
+    /* VRCP28SSmkz */
+  },
+  { /* 8334 */
+    374,
+    /* VRCP28SSr */
+  },
+  { /* 8335 */
+    374,
+    /* VRCP28SSrb */
+  },
+  { /* 8336 */
+    375,
+    /* VRCP28SSrbk */
+  },
+  { /* 8337 */
+    376,
+    /* VRCP28SSrbkz */
+  },
+  { /* 8338 */
+    375,
+    /* VRCP28SSrk */
+  },
+  { /* 8339 */
+    376,
+    /* VRCP28SSrkz */
+  },
+  { /* 8340 */
+    475,
+    /* VRCPPSYm */
+  },
+  { /* 8341 */
+    0,
+    /*  */
+  },
+  { /* 8342 */
+    476,
+    /* VRCPPSYr */
+  },
+  { /* 8343 */
+    0,
+    /*  */
+  },
+  { /* 8344 */
+    44,
+    /* VRCPPSm */
+  },
+  { /* 8345 */
+    0,
+    /*  */
+  },
+  { /* 8346 */
+    45,
+    /* VRCPPSr */
+  },
+  { /* 8347 */
+    0,
+    /*  */
+  },
+  { /* 8348 */
+    380,
+    /* VRCPSSm */
+  },
+  { /* 8349 */
+    0,
+    /*  */
+  },
+  { /* 8350 */
+    381,
+    /* VRCPSSr */
+  },
+  { /* 8351 */
+    943,
+    /* VRNDSCALEPDZm */
+  },
+  { /* 8352 */
+    944,
+    /* VRNDSCALEPDZr */
+  },
+  { /* 8353 */
+    943,
+    /* VRNDSCALEPSZm */
+  },
+  { /* 8354 */
+    944,
+    /* VRNDSCALEPSZr */
+  },
+  { /* 8355 */
+    1034,
+    /* VRNDSCALESDm */
+  },
+  { /* 8356 */
+    1035,
+    /* VRNDSCALESDmk */
+  },
+  { /* 8357 */
+    1036,
+    /* VRNDSCALESDmkz */
+  },
+  { /* 8358 */
+    1037,
+    /* VRNDSCALESDr */
+  },
+  { /* 8359 */
+    1037,
+    /* VRNDSCALESDrb */
+  },
+  { /* 8360 */
+    1038,
+    /* VRNDSCALESDrbk */
+  },
+  { /* 8361 */
+    1039,
+    /* VRNDSCALESDrbkz */
+  },
+  { /* 8362 */
+    1038,
+    /* VRNDSCALESDrk */
+  },
+  { /* 8363 */
+    1039,
+    /* VRNDSCALESDrkz */
+  },
+  { /* 8364 */
+    1040,
+    /* VRNDSCALESSm */
+  },
+  { /* 8365 */
+    1041,
+    /* VRNDSCALESSmk */
+  },
+  { /* 8366 */
+    1042,
+    /* VRNDSCALESSmkz */
+  },
+  { /* 8367 */
+    1043,
+    /* VRNDSCALESSr */
+  },
+  { /* 8368 */
+    1043,
+    /* VRNDSCALESSrb */
+  },
+  { /* 8369 */
+    1044,
+    /* VRNDSCALESSrbk */
+  },
+  { /* 8370 */
+    1045,
+    /* VRNDSCALESSrbkz */
+  },
+  { /* 8371 */
+    1044,
+    /* VRNDSCALESSrk */
+  },
+  { /* 8372 */
+    1045,
+    /* VRNDSCALESSrkz */
+  },
+  { /* 8373 */
+    46,
+    /* VROUNDPDm */
+  },
+  { /* 8374 */
+    47,
+    /* VROUNDPDr */
+  },
+  { /* 8375 */
+    46,
+    /* VROUNDPSm */
+  },
+  { /* 8376 */
+    47,
+    /* VROUNDPSr */
+  },
+  { /* 8377 */
+    1046,
+    /* VROUNDSDm */
+  },
+  { /* 8378 */
+    1047,
+    /* VROUNDSDr */
+  },
+  { /* 8379 */
+    0,
+    /*  */
+  },
+  { /* 8380 */
+    627,
+    /* VROUNDSSm */
+  },
+  { /* 8381 */
+    1048,
+    /* VROUNDSSr */
+  },
+  { /* 8382 */
+    0,
+    /*  */
+  },
+  { /* 8383 */
+    941,
+    /* VROUNDYPDm */
+  },
+  { /* 8384 */
+    942,
+    /* VROUNDYPDr */
+  },
+  { /* 8385 */
+    941,
+    /* VROUNDYPSm */
+  },
+  { /* 8386 */
+    942,
+    /* VROUNDYPSr */
+  },
+  { /* 8387 */
+    637,
+    /* VRSQRT14PDZ128m */
+  },
+  { /* 8388 */
+    1027,
+    /* VRSQRT14PDZ128mb */
+  },
+  { /* 8389 */
+    1028,
+    /* VRSQRT14PDZ128mbk */
+  },
+  { /* 8390 */
+    1029,
+    /* VRSQRT14PDZ128mbkz */
+  },
+  { /* 8391 */
+    638,
+    /* VRSQRT14PDZ128mk */
+  },
+  { /* 8392 */
+    639,
+    /* VRSQRT14PDZ128mkz */
+  },
+  { /* 8393 */
+    640,
+    /* VRSQRT14PDZ128r */
+  },
+  { /* 8394 */
+    545,
+    /* VRSQRT14PDZ128rk */
+  },
+  { /* 8395 */
+    546,
+    /* VRSQRT14PDZ128rkz */
+  },
+  { /* 8396 */
+    644,
+    /* VRSQRT14PDZ256m */
+  },
+  { /* 8397 */
+    403,
+    /* VRSQRT14PDZ256mb */
+  },
+  { /* 8398 */
+    404,
+    /* VRSQRT14PDZ256mbk */
+  },
+  { /* 8399 */
+    405,
+    /* VRSQRT14PDZ256mbkz */
+  },
+  { /* 8400 */
+    645,
+    /* VRSQRT14PDZ256mk */
+  },
+  { /* 8401 */
+    646,
+    /* VRSQRT14PDZ256mkz */
+  },
+  { /* 8402 */
+    647,
+    /* VRSQRT14PDZ256r */
+  },
+  { /* 8403 */
+    549,
+    /* VRSQRT14PDZ256rk */
+  },
+  { /* 8404 */
+    550,
+    /* VRSQRT14PDZ256rkz */
+  },
+  { /* 8405 */
+    477,
+    /* VRSQRT14PDZm */
+  },
+  { /* 8406 */
+    409,
+    /* VRSQRT14PDZmb */
+  },
+  { /* 8407 */
+    410,
+    /* VRSQRT14PDZmbk */
+  },
+  { /* 8408 */
+    411,
+    /* VRSQRT14PDZmbkz */
+  },
+  { /* 8409 */
+    528,
+    /* VRSQRT14PDZmk */
+  },
+  { /* 8410 */
+    529,
+    /* VRSQRT14PDZmkz */
+  },
+  { /* 8411 */
+    478,
+    /* VRSQRT14PDZr */
+  },
+  { /* 8412 */
+    533,
+    /* VRSQRT14PDZrk */
+  },
+  { /* 8413 */
+    534,
+    /* VRSQRT14PDZrkz */
+  },
+  { /* 8414 */
+    637,
+    /* VRSQRT14PSZ128m */
+  },
+  { /* 8415 */
+    416,
+    /* VRSQRT14PSZ128mb */
+  },
+  { /* 8416 */
+    417,
+    /* VRSQRT14PSZ128mbk */
+  },
+  { /* 8417 */
+    418,
+    /* VRSQRT14PSZ128mbkz */
+  },
+  { /* 8418 */
+    653,
+    /* VRSQRT14PSZ128mk */
+  },
+  { /* 8419 */
+    654,
+    /* VRSQRT14PSZ128mkz */
+  },
+  { /* 8420 */
+    640,
+    /* VRSQRT14PSZ128r */
+  },
+  { /* 8421 */
+    555,
+    /* VRSQRT14PSZ128rk */
+  },
+  { /* 8422 */
+    556,
+    /* VRSQRT14PSZ128rkz */
+  },
+  { /* 8423 */
+    644,
+    /* VRSQRT14PSZ256m */
+  },
+  { /* 8424 */
+    422,
+    /* VRSQRT14PSZ256mb */
+  },
+  { /* 8425 */
+    423,
+    /* VRSQRT14PSZ256mbk */
+  },
+  { /* 8426 */
+    424,
+    /* VRSQRT14PSZ256mbkz */
+  },
+  { /* 8427 */
+    656,
+    /* VRSQRT14PSZ256mk */
+  },
+  { /* 8428 */
+    657,
+    /* VRSQRT14PSZ256mkz */
+  },
+  { /* 8429 */
+    647,
+    /* VRSQRT14PSZ256r */
+  },
+  { /* 8430 */
+    559,
+    /* VRSQRT14PSZ256rk */
+  },
+  { /* 8431 */
+    560,
+    /* VRSQRT14PSZ256rkz */
+  },
+  { /* 8432 */
+    477,
+    /* VRSQRT14PSZm */
+  },
+  { /* 8433 */
+    428,
+    /* VRSQRT14PSZmb */
+  },
+  { /* 8434 */
+    429,
+    /* VRSQRT14PSZmbk */
+  },
+  { /* 8435 */
+    430,
+    /* VRSQRT14PSZmbkz */
+  },
+  { /* 8436 */
+    537,
+    /* VRSQRT14PSZmk */
+  },
+  { /* 8437 */
+    538,
+    /* VRSQRT14PSZmkz */
+  },
+  { /* 8438 */
+    478,
+    /* VRSQRT14PSZr */
+  },
+  { /* 8439 */
+    541,
+    /* VRSQRT14PSZrk */
+  },
+  { /* 8440 */
+    542,
+    /* VRSQRT14PSZrkz */
+  },
+  { /* 8441 */
+    1030,
+    /* VRSQRT14SDrm */
+  },
+  { /* 8442 */
+    1031,
+    /* VRSQRT14SDrr */
+  },
+  { /* 8443 */
+    1032,
+    /* VRSQRT14SSrm */
+  },
+  { /* 8444 */
+    1033,
+    /* VRSQRT14SSrr */
+  },
+  { /* 8445 */
+    477,
+    /* VRSQRT28PDm */
+  },
+  { /* 8446 */
+    525,
+    /* VRSQRT28PDmb */
+  },
+  { /* 8447 */
+    526,
+    /* VRSQRT28PDmbk */
+  },
+  { /* 8448 */
+    527,
+    /* VRSQRT28PDmbkz */
+  },
+  { /* 8449 */
+    528,
+    /* VRSQRT28PDmk */
+  },
+  { /* 8450 */
+    529,
+    /* VRSQRT28PDmkz */
+  },
+  { /* 8451 */
+    478,
+    /* VRSQRT28PDr */
+  },
+  { /* 8452 */
+    530,
+    /* VRSQRT28PDrb */
+  },
+  { /* 8453 */
+    531,
+    /* VRSQRT28PDrbk */
+  },
+  { /* 8454 */
+    532,
+    /* VRSQRT28PDrbkz */
+  },
+  { /* 8455 */
+    533,
+    /* VRSQRT28PDrk */
+  },
+  { /* 8456 */
+    534,
+    /* VRSQRT28PDrkz */
+  },
+  { /* 8457 */
+    477,
+    /* VRSQRT28PSm */
+  },
+  { /* 8458 */
+    525,
+    /* VRSQRT28PSmb */
+  },
+  { /* 8459 */
+    535,
+    /* VRSQRT28PSmbk */
+  },
+  { /* 8460 */
+    536,
+    /* VRSQRT28PSmbkz */
+  },
+  { /* 8461 */
+    537,
+    /* VRSQRT28PSmk */
+  },
+  { /* 8462 */
+    538,
+    /* VRSQRT28PSmkz */
+  },
+  { /* 8463 */
+    478,
+    /* VRSQRT28PSr */
+  },
+  { /* 8464 */
+    530,
+    /* VRSQRT28PSrb */
+  },
+  { /* 8465 */
+    539,
+    /* VRSQRT28PSrbk */
+  },
+  { /* 8466 */
+    540,
+    /* VRSQRT28PSrbkz */
+  },
+  { /* 8467 */
+    541,
+    /* VRSQRT28PSrk */
+  },
+  { /* 8468 */
+    542,
+    /* VRSQRT28PSrkz */
+  },
+  { /* 8469 */
+    360,
+    /* VRSQRT28SDm */
+  },
+  { /* 8470 */
+    361,
+    /* VRSQRT28SDmk */
+  },
+  { /* 8471 */
+    362,
+    /* VRSQRT28SDmkz */
+  },
+  { /* 8472 */
+    363,
+    /* VRSQRT28SDr */
+  },
+  { /* 8473 */
+    363,
+    /* VRSQRT28SDrb */
+  },
+  { /* 8474 */
+    364,
+    /* VRSQRT28SDrbk */
+  },
+  { /* 8475 */
+    365,
+    /* VRSQRT28SDrbkz */
+  },
+  { /* 8476 */
+    364,
+    /* VRSQRT28SDrk */
+  },
+  { /* 8477 */
+    365,
+    /* VRSQRT28SDrkz */
+  },
+  { /* 8478 */
+    371,
+    /* VRSQRT28SSm */
+  },
+  { /* 8479 */
+    372,
+    /* VRSQRT28SSmk */
+  },
+  { /* 8480 */
+    373,
+    /* VRSQRT28SSmkz */
+  },
+  { /* 8481 */
+    374,
+    /* VRSQRT28SSr */
+  },
+  { /* 8482 */
+    374,
+    /* VRSQRT28SSrb */
+  },
+  { /* 8483 */
+    375,
+    /* VRSQRT28SSrbk */
+  },
+  { /* 8484 */
+    376,
+    /* VRSQRT28SSrbkz */
+  },
+  { /* 8485 */
+    375,
+    /* VRSQRT28SSrk */
+  },
+  { /* 8486 */
+    376,
+    /* VRSQRT28SSrkz */
+  },
+  { /* 8487 */
+    475,
+    /* VRSQRTPSYm */
+  },
+  { /* 8488 */
+    0,
+    /*  */
+  },
+  { /* 8489 */
+    476,
+    /* VRSQRTPSYr */
+  },
+  { /* 8490 */
+    0,
+    /*  */
+  },
+  { /* 8491 */
+    44,
+    /* VRSQRTPSm */
+  },
+  { /* 8492 */
+    0,
+    /*  */
+  },
+  { /* 8493 */
+    45,
+    /* VRSQRTPSr */
+  },
+  { /* 8494 */
+    0,
+    /*  */
+  },
+  { /* 8495 */
+    380,
+    /* VRSQRTSSm */
+  },
+  { /* 8496 */
+    0,
+    /*  */
+  },
+  { /* 8497 */
+    381,
+    /* VRSQRTSSr */
+  },
+  { /* 8498 */
+    991,
+    /* VSCATTERDPDZmr */
+  },
+  { /* 8499 */
+    990,
+    /* VSCATTERDPSZmr */
+  },
+  { /* 8500 */
+    617,
+    /* VSCATTERPF0DPDm */
+  },
+  { /* 8501 */
+    618,
+    /* VSCATTERPF0DPSm */
+  },
+  { /* 8502 */
+    619,
+    /* VSCATTERPF0QPDm */
+  },
+  { /* 8503 */
+    619,
+    /* VSCATTERPF0QPSm */
+  },
+  { /* 8504 */
+    617,
+    /* VSCATTERPF1DPDm */
+  },
+  { /* 8505 */
+    618,
+    /* VSCATTERPF1DPSm */
+  },
+  { /* 8506 */
+    619,
+    /* VSCATTERPF1QPDm */
+  },
+  { /* 8507 */
+    619,
+    /* VSCATTERPF1QPSm */
+  },
+  { /* 8508 */
+    991,
+    /* VSCATTERQPDZmr */
+  },
+  { /* 8509 */
+    992,
+    /* VSCATTERQPSZmr */
+  },
+  { /* 8510 */
+    388,
+    /* VSHUFPDYrmi */
+  },
+  { /* 8511 */
+    389,
+    /* VSHUFPDYrri */
+  },
+  { /* 8512 */
+    382,
+    /* VSHUFPDZrmi */
+  },
+  { /* 8513 */
+    383,
+    /* VSHUFPDZrri */
+  },
+  { /* 8514 */
+    390,
+    /* VSHUFPDrmi */
+  },
+  { /* 8515 */
+    391,
+    /* VSHUFPDrri */
+  },
+  { /* 8516 */
+    388,
+    /* VSHUFPSYrmi */
+  },
+  { /* 8517 */
+    389,
+    /* VSHUFPSYrri */
+  },
+  { /* 8518 */
+    382,
+    /* VSHUFPSZrmi */
+  },
+  { /* 8519 */
+    383,
+    /* VSHUFPSZrri */
+  },
+  { /* 8520 */
+    390,
+    /* VSHUFPSrmi */
+  },
+  { /* 8521 */
+    391,
+    /* VSHUFPSrri */
+  },
+  { /* 8522 */
+    475,
+    /* VSQRTPDYm */
+  },
+  { /* 8523 */
+    476,
+    /* VSQRTPDYr */
+  },
+  { /* 8524 */
+    637,
+    /* VSQRTPDZ128m */
+  },
+  { /* 8525 */
+    1027,
+    /* VSQRTPDZ128mb */
+  },
+  { /* 8526 */
+    1028,
+    /* VSQRTPDZ128mbk */
+  },
+  { /* 8527 */
+    1029,
+    /* VSQRTPDZ128mbkz */
+  },
+  { /* 8528 */
+    638,
+    /* VSQRTPDZ128mk */
+  },
+  { /* 8529 */
+    639,
+    /* VSQRTPDZ128mkz */
+  },
+  { /* 8530 */
+    640,
+    /* VSQRTPDZ128r */
+  },
+  { /* 8531 */
+    545,
+    /* VSQRTPDZ128rk */
+  },
+  { /* 8532 */
+    546,
+    /* VSQRTPDZ128rkz */
+  },
+  { /* 8533 */
+    644,
+    /* VSQRTPDZ256m */
+  },
+  { /* 8534 */
+    403,
+    /* VSQRTPDZ256mb */
+  },
+  { /* 8535 */
+    404,
+    /* VSQRTPDZ256mbk */
+  },
+  { /* 8536 */
+    405,
+    /* VSQRTPDZ256mbkz */
+  },
+  { /* 8537 */
+    645,
+    /* VSQRTPDZ256mk */
+  },
+  { /* 8538 */
+    646,
+    /* VSQRTPDZ256mkz */
+  },
+  { /* 8539 */
+    647,
+    /* VSQRTPDZ256r */
+  },
+  { /* 8540 */
+    549,
+    /* VSQRTPDZ256rk */
+  },
+  { /* 8541 */
+    550,
+    /* VSQRTPDZ256rkz */
+  },
+  { /* 8542 */
+    477,
+    /* VSQRTPDZm */
+  },
+  { /* 8543 */
+    409,
+    /* VSQRTPDZmb */
+  },
+  { /* 8544 */
+    410,
+    /* VSQRTPDZmbk */
+  },
+  { /* 8545 */
+    411,
+    /* VSQRTPDZmbkz */
+  },
+  { /* 8546 */
+    528,
+    /* VSQRTPDZmk */
+  },
+  { /* 8547 */
+    529,
+    /* VSQRTPDZmkz */
+  },
+  { /* 8548 */
+    478,
+    /* VSQRTPDZr */
+  },
+  { /* 8549 */
+    533,
+    /* VSQRTPDZrk */
+  },
+  { /* 8550 */
+    534,
+    /* VSQRTPDZrkz */
+  },
+  { /* 8551 */
+    44,
+    /* VSQRTPDm */
+  },
+  { /* 8552 */
+    45,
+    /* VSQRTPDr */
+  },
+  { /* 8553 */
+    475,
+    /* VSQRTPSYm */
+  },
+  { /* 8554 */
+    476,
+    /* VSQRTPSYr */
+  },
+  { /* 8555 */
+    637,
+    /* VSQRTPSZ128m */
+  },
+  { /* 8556 */
+    416,
+    /* VSQRTPSZ128mb */
+  },
+  { /* 8557 */
+    417,
+    /* VSQRTPSZ128mbk */
+  },
+  { /* 8558 */
+    418,
+    /* VSQRTPSZ128mbkz */
+  },
+  { /* 8559 */
+    653,
+    /* VSQRTPSZ128mk */
+  },
+  { /* 8560 */
+    654,
+    /* VSQRTPSZ128mkz */
+  },
+  { /* 8561 */
+    640,
+    /* VSQRTPSZ128r */
+  },
+  { /* 8562 */
+    555,
+    /* VSQRTPSZ128rk */
+  },
+  { /* 8563 */
+    556,
+    /* VSQRTPSZ128rkz */
+  },
+  { /* 8564 */
+    644,
+    /* VSQRTPSZ256m */
+  },
+  { /* 8565 */
+    422,
+    /* VSQRTPSZ256mb */
+  },
+  { /* 8566 */
+    423,
+    /* VSQRTPSZ256mbk */
+  },
+  { /* 8567 */
+    424,
+    /* VSQRTPSZ256mbkz */
+  },
+  { /* 8568 */
+    656,
+    /* VSQRTPSZ256mk */
+  },
+  { /* 8569 */
+    657,
+    /* VSQRTPSZ256mkz */
+  },
+  { /* 8570 */
+    647,
+    /* VSQRTPSZ256r */
+  },
+  { /* 8571 */
+    559,
+    /* VSQRTPSZ256rk */
+  },
+  { /* 8572 */
+    560,
+    /* VSQRTPSZ256rkz */
+  },
+  { /* 8573 */
+    477,
+    /* VSQRTPSZm */
+  },
+  { /* 8574 */
+    428,
+    /* VSQRTPSZmb */
+  },
+  { /* 8575 */
+    429,
+    /* VSQRTPSZmbk */
+  },
+  { /* 8576 */
+    430,
+    /* VSQRTPSZmbkz */
+  },
+  { /* 8577 */
+    537,
+    /* VSQRTPSZmk */
+  },
+  { /* 8578 */
+    538,
+    /* VSQRTPSZmkz */
+  },
+  { /* 8579 */
+    478,
+    /* VSQRTPSZr */
+  },
+  { /* 8580 */
+    541,
+    /* VSQRTPSZrk */
+  },
+  { /* 8581 */
+    542,
+    /* VSQRTPSZrkz */
+  },
+  { /* 8582 */
+    44,
+    /* VSQRTPSm */
+  },
+  { /* 8583 */
+    45,
+    /* VSQRTPSr */
+  },
+  { /* 8584 */
+    1030,
+    /* VSQRTSDZm */
+  },
+  { /* 8585 */
+    0,
+    /*  */
+  },
+  { /* 8586 */
+    1049,
+    /* VSQRTSDZr */
+  },
+  { /* 8587 */
+    0,
+    /*  */
+  },
+  { /* 8588 */
+    369,
+    /* VSQRTSDm */
+  },
+  { /* 8589 */
+    0,
+    /*  */
+  },
+  { /* 8590 */
+    370,
+    /* VSQRTSDr */
+  },
+  { /* 8591 */
+    1032,
+    /* VSQRTSSZm */
+  },
+  { /* 8592 */
+    0,
+    /*  */
+  },
+  { /* 8593 */
+    1050,
+    /* VSQRTSSZr */
+  },
+  { /* 8594 */
+    0,
+    /*  */
+  },
+  { /* 8595 */
+    380,
+    /* VSQRTSSm */
+  },
+  { /* 8596 */
+    0,
+    /*  */
+  },
+  { /* 8597 */
+    381,
+    /* VSQRTSSr */
+  },
+  { /* 8598 */
+    38,
+    /* VSTMXCSR */
+  },
+  { /* 8599 */
+    302,
+    /* VSUBPDYrm */
+  },
+  { /* 8600 */
+    303,
+    /* VSUBPDYrr */
+  },
+  { /* 8601 */
+    304,
+    /* VSUBPDZ128rm */
+  },
+  { /* 8602 */
+    305,
+    /* VSUBPDZ128rmb */
+  },
+  { /* 8603 */
+    306,
+    /* VSUBPDZ128rmbk */
+  },
+  { /* 8604 */
+    307,
+    /* VSUBPDZ128rmbkz */
+  },
+  { /* 8605 */
+    308,
+    /* VSUBPDZ128rmk */
+  },
+  { /* 8606 */
+    309,
+    /* VSUBPDZ128rmkz */
+  },
+  { /* 8607 */
+    310,
+    /* VSUBPDZ128rr */
+  },
+  { /* 8608 */
+    311,
+    /* VSUBPDZ128rrk */
+  },
+  { /* 8609 */
+    312,
+    /* VSUBPDZ128rrkz */
+  },
+  { /* 8610 */
+    313,
+    /* VSUBPDZ256rm */
+  },
+  { /* 8611 */
+    314,
+    /* VSUBPDZ256rmb */
+  },
+  { /* 8612 */
+    315,
+    /* VSUBPDZ256rmbk */
+  },
+  { /* 8613 */
+    316,
+    /* VSUBPDZ256rmbkz */
+  },
+  { /* 8614 */
+    317,
+    /* VSUBPDZ256rmk */
+  },
+  { /* 8615 */
+    318,
+    /* VSUBPDZ256rmkz */
+  },
+  { /* 8616 */
+    319,
+    /* VSUBPDZ256rr */
+  },
+  { /* 8617 */
+    320,
+    /* VSUBPDZ256rrk */
+  },
+  { /* 8618 */
+    321,
+    /* VSUBPDZ256rrkz */
+  },
+  { /* 8619 */
+    322,
+    /* VSUBPDZrb */
+  },
+  { /* 8620 */
+    323,
+    /* VSUBPDZrbk */
+  },
+  { /* 8621 */
+    324,
+    /* VSUBPDZrbkz */
+  },
+  { /* 8622 */
+    325,
+    /* VSUBPDZrm */
+  },
+  { /* 8623 */
+    326,
+    /* VSUBPDZrmb */
+  },
+  { /* 8624 */
+    327,
+    /* VSUBPDZrmbk */
+  },
+  { /* 8625 */
+    328,
+    /* VSUBPDZrmbkz */
+  },
+  { /* 8626 */
+    329,
+    /* VSUBPDZrmk */
+  },
+  { /* 8627 */
+    330,
+    /* VSUBPDZrmkz */
+  },
+  { /* 8628 */
+    331,
+    /* VSUBPDZrr */
+  },
+  { /* 8629 */
+    332,
+    /* VSUBPDZrrk */
+  },
+  { /* 8630 */
+    333,
+    /* VSUBPDZrrkz */
+  },
+  { /* 8631 */
+    334,
+    /* VSUBPDrm */
+  },
+  { /* 8632 */
+    335,
+    /* VSUBPDrr */
+  },
+  { /* 8633 */
+    302,
+    /* VSUBPSYrm */
+  },
+  { /* 8634 */
+    303,
+    /* VSUBPSYrr */
+  },
+  { /* 8635 */
+    304,
+    /* VSUBPSZ128rm */
+  },
+  { /* 8636 */
+    336,
+    /* VSUBPSZ128rmb */
+  },
+  { /* 8637 */
+    337,
+    /* VSUBPSZ128rmbk */
+  },
+  { /* 8638 */
+    338,
+    /* VSUBPSZ128rmbkz */
+  },
+  { /* 8639 */
+    339,
+    /* VSUBPSZ128rmk */
+  },
+  { /* 8640 */
+    340,
+    /* VSUBPSZ128rmkz */
+  },
+  { /* 8641 */
+    310,
+    /* VSUBPSZ128rr */
+  },
+  { /* 8642 */
+    341,
+    /* VSUBPSZ128rrk */
+  },
+  { /* 8643 */
+    342,
+    /* VSUBPSZ128rrkz */
+  },
+  { /* 8644 */
+    313,
+    /* VSUBPSZ256rm */
+  },
+  { /* 8645 */
+    343,
+    /* VSUBPSZ256rmb */
+  },
+  { /* 8646 */
+    344,
+    /* VSUBPSZ256rmbk */
+  },
+  { /* 8647 */
+    345,
+    /* VSUBPSZ256rmbkz */
+  },
+  { /* 8648 */
+    346,
+    /* VSUBPSZ256rmk */
+  },
+  { /* 8649 */
+    347,
+    /* VSUBPSZ256rmkz */
+  },
+  { /* 8650 */
+    319,
+    /* VSUBPSZ256rr */
+  },
+  { /* 8651 */
+    348,
+    /* VSUBPSZ256rrk */
+  },
+  { /* 8652 */
+    349,
+    /* VSUBPSZ256rrkz */
+  },
+  { /* 8653 */
+    350,
+    /* VSUBPSZrb */
+  },
+  { /* 8654 */
+    351,
+    /* VSUBPSZrbk */
+  },
+  { /* 8655 */
+    352,
+    /* VSUBPSZrbkz */
+  },
+  { /* 8656 */
+    325,
+    /* VSUBPSZrm */
+  },
+  { /* 8657 */
+    353,
+    /* VSUBPSZrmb */
+  },
+  { /* 8658 */
+    354,
+    /* VSUBPSZrmbk */
+  },
+  { /* 8659 */
+    355,
+    /* VSUBPSZrmbkz */
+  },
+  { /* 8660 */
+    356,
+    /* VSUBPSZrmk */
+  },
+  { /* 8661 */
+    357,
+    /* VSUBPSZrmkz */
+  },
+  { /* 8662 */
+    331,
+    /* VSUBPSZrr */
+  },
+  { /* 8663 */
+    358,
+    /* VSUBPSZrrk */
+  },
+  { /* 8664 */
+    359,
+    /* VSUBPSZrrkz */
+  },
+  { /* 8665 */
+    334,
+    /* VSUBPSrm */
+  },
+  { /* 8666 */
+    335,
+    /* VSUBPSrr */
+  },
+  { /* 8667 */
+    0,
+    /*  */
+  },
+  { /* 8668 */
+    360,
+    /* VSUBSDZrm_Int */
+  },
+  { /* 8669 */
+    361,
+    /* VSUBSDZrm_Intk */
+  },
+  { /* 8670 */
+    362,
+    /* VSUBSDZrm_Intkz */
+  },
+  { /* 8671 */
+    0,
+    /*  */
+  },
+  { /* 8672 */
+    363,
+    /* VSUBSDZrr_Int */
+  },
+  { /* 8673 */
+    364,
+    /* VSUBSDZrr_Intk */
+  },
+  { /* 8674 */
+    365,
+    /* VSUBSDZrr_Intkz */
+  },
+  { /* 8675 */
+    366,
+    /* VSUBSDZrrb */
+  },
+  { /* 8676 */
+    367,
+    /* VSUBSDZrrbk */
+  },
+  { /* 8677 */
+    368,
+    /* VSUBSDZrrbkz */
+  },
+  { /* 8678 */
+    369,
+    /* VSUBSDrm */
+  },
+  { /* 8679 */
+    0,
+    /*  */
+  },
+  { /* 8680 */
+    370,
+    /* VSUBSDrr */
+  },
+  { /* 8681 */
+    0,
+    /*  */
+  },
+  { /* 8682 */
+    0,
+    /*  */
+  },
+  { /* 8683 */
+    371,
+    /* VSUBSSZrm_Int */
+  },
+  { /* 8684 */
+    372,
+    /* VSUBSSZrm_Intk */
+  },
+  { /* 8685 */
+    373,
+    /* VSUBSSZrm_Intkz */
+  },
+  { /* 8686 */
+    0,
+    /*  */
+  },
+  { /* 8687 */
+    374,
+    /* VSUBSSZrr_Int */
+  },
+  { /* 8688 */
+    375,
+    /* VSUBSSZrr_Intk */
+  },
+  { /* 8689 */
+    376,
+    /* VSUBSSZrr_Intkz */
+  },
+  { /* 8690 */
+    377,
+    /* VSUBSSZrrb */
+  },
+  { /* 8691 */
+    378,
+    /* VSUBSSZrrbk */
+  },
+  { /* 8692 */
+    379,
+    /* VSUBSSZrrbkz */
+  },
+  { /* 8693 */
+    380,
+    /* VSUBSSrm */
+  },
+  { /* 8694 */
+    0,
+    /*  */
+  },
+  { /* 8695 */
+    381,
+    /* VSUBSSrr */
+  },
+  { /* 8696 */
+    0,
+    /*  */
+  },
+  { /* 8697 */
+    475,
+    /* VTESTPDYrm */
+  },
+  { /* 8698 */
+    476,
+    /* VTESTPDYrr */
+  },
+  { /* 8699 */
+    44,
+    /* VTESTPDrm */
+  },
+  { /* 8700 */
+    45,
+    /* VTESTPDrr */
+  },
+  { /* 8701 */
+    475,
+    /* VTESTPSYrm */
+  },
+  { /* 8702 */
+    476,
+    /* VTESTPSYrr */
+  },
+  { /* 8703 */
+    44,
+    /* VTESTPSrm */
+  },
+  { /* 8704 */
+    45,
+    /* VTESTPSrr */
+  },
+  { /* 8705 */
+    712,
+    /* VUCOMISDZrm */
+  },
+  { /* 8706 */
+    1051,
+    /* VUCOMISDZrr */
+  },
+  { /* 8707 */
+    257,
+    /* VUCOMISDrm */
+  },
+  { /* 8708 */
+    301,
+    /* VUCOMISDrr */
+  },
+  { /* 8709 */
+    721,
+    /* VUCOMISSZrm */
+  },
+  { /* 8710 */
+    1052,
+    /* VUCOMISSZrr */
+  },
+  { /* 8711 */
+    261,
+    /* VUCOMISSrm */
+  },
+  { /* 8712 */
+    287,
+    /* VUCOMISSrr */
+  },
+  { /* 8713 */
+    302,
+    /* VUNPCKHPDYrm */
+  },
+  { /* 8714 */
+    303,
+    /* VUNPCKHPDYrr */
+  },
+  { /* 8715 */
+    325,
+    /* VUNPCKHPDZrm */
+  },
+  { /* 8716 */
+    331,
+    /* VUNPCKHPDZrr */
+  },
+  { /* 8717 */
+    334,
+    /* VUNPCKHPDrm */
+  },
+  { /* 8718 */
+    335,
+    /* VUNPCKHPDrr */
+  },
+  { /* 8719 */
+    302,
+    /* VUNPCKHPSYrm */
+  },
+  { /* 8720 */
+    303,
+    /* VUNPCKHPSYrr */
+  },
+  { /* 8721 */
+    325,
+    /* VUNPCKHPSZrm */
+  },
+  { /* 8722 */
+    331,
+    /* VUNPCKHPSZrr */
+  },
+  { /* 8723 */
+    334,
+    /* VUNPCKHPSrm */
+  },
+  { /* 8724 */
+    335,
+    /* VUNPCKHPSrr */
+  },
+  { /* 8725 */
+    302,
+    /* VUNPCKLPDYrm */
+  },
+  { /* 8726 */
+    303,
+    /* VUNPCKLPDYrr */
+  },
+  { /* 8727 */
+    325,
+    /* VUNPCKLPDZrm */
+  },
+  { /* 8728 */
+    331,
+    /* VUNPCKLPDZrr */
+  },
+  { /* 8729 */
+    334,
+    /* VUNPCKLPDrm */
+  },
+  { /* 8730 */
+    335,
+    /* VUNPCKLPDrr */
+  },
+  { /* 8731 */
+    302,
+    /* VUNPCKLPSYrm */
+  },
+  { /* 8732 */
+    303,
+    /* VUNPCKLPSYrr */
+  },
+  { /* 8733 */
+    325,
+    /* VUNPCKLPSZrm */
+  },
+  { /* 8734 */
+    331,
+    /* VUNPCKLPSZrr */
+  },
+  { /* 8735 */
+    334,
+    /* VUNPCKLPSrm */
+  },
+  { /* 8736 */
+    335,
+    /* VUNPCKLPSrr */
+  },
+  { /* 8737 */
+    302,
+    /* VXORPDYrm */
+  },
+  { /* 8738 */
+    303,
+    /* VXORPDYrr */
+  },
+  { /* 8739 */
+    334,
+    /* VXORPDrm */
+  },
+  { /* 8740 */
+    335,
+    /* VXORPDrr */
+  },
+  { /* 8741 */
+    302,
+    /* VXORPSYrm */
+  },
+  { /* 8742 */
+    303,
+    /* VXORPSYrr */
+  },
+  { /* 8743 */
+    334,
+    /* VXORPSrm */
+  },
+  { /* 8744 */
+    335,
+    /* VXORPSrr */
+  },
+  { /* 8745 */
+    0,
+    /* VZEROALL */
+  },
+  { /* 8746 */
+    0,
+    /* VZEROUPPER */
+  },
+  { /* 8747 */
+    0,
+    /*  */
+  },
+  { /* 8748 */
+    0,
+    /*  */
+  },
+  { /* 8749 */
+    0,
+    /* WAIT */
+  },
+  { /* 8750 */
+    0,
+    /* WBINVD */
+  },
+  { /* 8751 */
+    0,
+    /*  */
+  },
+  { /* 8752 */
+    0,
+    /*  */
+  },
+  { /* 8753 */
+    0,
+    /*  */
+  },
+  { /* 8754 */
+    288,
+    /* WRFSBASE */
+  },
+  { /* 8755 */
+    79,
+    /* WRFSBASE64 */
+  },
+  { /* 8756 */
+    288,
+    /* WRGSBASE */
+  },
+  { /* 8757 */
+    79,
+    /* WRGSBASE64 */
+  },
+  { /* 8758 */
+    0,
+    /* WRMSR */
+  },
+  { /* 8759 */
+    1,
+    /* XABORT */
+  },
+  { /* 8760 */
+    0,
+    /*  */
+  },
+  { /* 8761 */
+    5,
+    /* XADD16rm */
+  },
+  { /* 8762 */
+    73,
+    /* XADD16rr */
+  },
+  { /* 8763 */
+    5,
+    /* XADD32rm */
+  },
+  { /* 8764 */
+    73,
+    /* XADD32rr */
+  },
+  { /* 8765 */
+    16,
+    /* XADD64rm */
+  },
+  { /* 8766 */
+    76,
+    /* XADD64rr */
+  },
+  { /* 8767 */
+    23,
+    /* XADD8rm */
+  },
+  { /* 8768 */
+    87,
+    /* XADD8rr */
+  },
+  { /* 8769 */
+    0,
+    /*  */
+  },
+  { /* 8770 */
+    157,
+    /* XBEGIN_2 */
+  },
+  { /* 8771 */
+    157,
+    /* XBEGIN_4 */
+  },
+  { /* 8772 */
+    278,
+    /* XCHG16ar */
+  },
+  { /* 8773 */
+    8,
+    /* XCHG16rm */
+  },
+  { /* 8774 */
+    10,
+    /* XCHG16rr */
+  },
+  { /* 8775 */
+    278,
+    /* XCHG32ar */
+  },
+  { /* 8776 */
+    278,
+    /* XCHG32ar64 */
+  },
+  { /* 8777 */
+    8,
+    /* XCHG32rm */
+  },
+  { /* 8778 */
+    10,
+    /* XCHG32rr */
+  },
+  { /* 8779 */
+    279,
+    /* XCHG64ar */
+  },
+  { /* 8780 */
+    19,
+    /* XCHG64rm */
+  },
+  { /* 8781 */
+    21,
+    /* XCHG64rr */
+  },
+  { /* 8782 */
+    25,
+    /* XCHG8rm */
+  },
+  { /* 8783 */
+    27,
+    /* XCHG8rr */
+  },
+  { /* 8784 */
+    39,
+    /* XCH_F */
+  },
+  { /* 8785 */
+    0,
+    /* XCRYPTCBC */
+  },
+  { /* 8786 */
+    0,
+    /* XCRYPTCFB */
+  },
+  { /* 8787 */
+    0,
+    /* XCRYPTCTR */
+  },
+  { /* 8788 */
+    0,
+    /* XCRYPTECB */
+  },
+  { /* 8789 */
+    0,
+    /* XCRYPTOFB */
+  },
+  { /* 8790 */
+    0,
+    /* XEND */
+  },
+  { /* 8791 */
+    0,
+    /* XGETBV */
+  },
+  { /* 8792 */
+    0,
+    /* XLAT */
+  },
+  { /* 8793 */
+    2,
+    /* XOR16i16 */
+  },
+  { /* 8794 */
+    3,
+    /* XOR16mi */
+  },
+  { /* 8795 */
+    4,
+    /* XOR16mi8 */
+  },
+  { /* 8796 */
+    5,
+    /* XOR16mr */
+  },
+  { /* 8797 */
+    6,
+    /* XOR16ri */
+  },
+  { /* 8798 */
+    7,
+    /* XOR16ri8 */
+  },
+  { /* 8799 */
+    8,
+    /* XOR16rm */
+  },
+  { /* 8800 */
+    9,
+    /* XOR16rr */
+  },
+  { /* 8801 */
+    10,
+    /* XOR16rr_REV */
+  },
+  { /* 8802 */
+    2,
+    /* XOR32i32 */
+  },
+  { /* 8803 */
+    3,
+    /* XOR32mi */
+  },
+  { /* 8804 */
+    11,
+    /* XOR32mi8 */
+  },
+  { /* 8805 */
+    5,
+    /* XOR32mr */
+  },
+  { /* 8806 */
+    6,
+    /* XOR32ri */
+  },
+  { /* 8807 */
+    12,
+    /* XOR32ri8 */
+  },
+  { /* 8808 */
+    8,
+    /* XOR32rm */
+  },
+  { /* 8809 */
+    9,
+    /* XOR32rr */
+  },
+  { /* 8810 */
+    10,
+    /* XOR32rr_REV */
+  },
+  { /* 8811 */
+    13,
+    /* XOR64i32 */
+  },
+  { /* 8812 */
+    14,
+    /* XOR64mi32 */
+  },
+  { /* 8813 */
+    15,
+    /* XOR64mi8 */
+  },
+  { /* 8814 */
+    16,
+    /* XOR64mr */
+  },
+  { /* 8815 */
+    17,
+    /* XOR64ri32 */
+  },
+  { /* 8816 */
+    18,
+    /* XOR64ri8 */
+  },
+  { /* 8817 */
+    19,
+    /* XOR64rm */
+  },
+  { /* 8818 */
+    20,
+    /* XOR64rr */
+  },
+  { /* 8819 */
+    21,
+    /* XOR64rr_REV */
+  },
+  { /* 8820 */
+    1,
+    /* XOR8i8 */
+  },
+  { /* 8821 */
+    22,
+    /* XOR8mi */
+  },
+  { /* 8822 */
+    22,
+    /* XOR8mi8 */
+  },
+  { /* 8823 */
+    23,
+    /* XOR8mr */
+  },
+  { /* 8824 */
+    24,
+    /* XOR8ri */
+  },
+  { /* 8825 */
+    24,
+    /* XOR8ri8 */
+  },
+  { /* 8826 */
+    25,
+    /* XOR8rm */
+  },
+  { /* 8827 */
+    26,
+    /* XOR8rr */
+  },
+  { /* 8828 */
+    27,
+    /* XOR8rr_REV */
+  },
+  { /* 8829 */
+    30,
+    /* XORPDrm */
+  },
+  { /* 8830 */
+    31,
+    /* XORPDrr */
+  },
+  { /* 8831 */
+    30,
+    /* XORPSrm */
+  },
+  { /* 8832 */
+    31,
+    /* XORPSrr */
+  },
+  { /* 8833 */
+    0,
+    /*  */
+  },
+  { /* 8834 */
+    140,
+    /* XRSTOR */
+  },
+  { /* 8835 */
+    140,
+    /* XRSTOR64 */
+  },
+  { /* 8836 */
+    140,
+    /* XRSTORS */
+  },
+  { /* 8837 */
+    140,
+    /* XRSTORS64 */
+  },
+  { /* 8838 */
+    140,
+    /* XSAVE */
+  },
+  { /* 8839 */
+    140,
+    /* XSAVE64 */
+  },
+  { /* 8840 */
+    140,
+    /* XSAVEC */
+  },
+  { /* 8841 */
+    140,
+    /* XSAVEC64 */
+  },
+  { /* 8842 */
+    140,
+    /* XSAVEOPT */
+  },
+  { /* 8843 */
+    140,
+    /* XSAVEOPT64 */
+  },
+  { /* 8844 */
+    140,
+    /* XSAVES */
+  },
+  { /* 8845 */
+    140,
+    /* XSAVES64 */
+  },
+  { /* 8846 */
+    0,
+    /* XSETBV */
+  },
+  { /* 8847 */
+    0,
+    /* XSHA1 */
+  },
+  { /* 8848 */
+    0,
+    /* XSHA256 */
+  },
+  { /* 8849 */
+    0,
+    /* XSTORE */
+  },
+  { /* 8850 */
+    0,
+    /* XTEST */
+  },
+  { /* 8851 */
+    0,
+    /* fdisi8087_nop */
+  },
+  { /* 8852 */
+    0,
+    /* feni8087_nop */
+  }
+};
+
+static const uint8_t x86DisassemblerContexts[16384] = {
+  IC, /* 0 */
+  IC_64BIT, /* 1 */
+  IC_XS, /* 2 */
+  IC_64BIT_XS, /* 3 */
+  IC_XD, /* 4 */
+  IC_64BIT_XD, /* 5 */
+  IC_XS, /* 6 */
+  IC_64BIT_XS, /* 7 */
+  IC, /* 8 */
+  IC_64BIT_REXW, /* 9 */
+  IC_XS, /* 10 */
+  IC_64BIT_REXW_XS, /* 11 */
+  IC_XD, /* 12 */
+  IC_64BIT_REXW_XD, /* 13 */
+  IC_XS, /* 14 */
+  IC_64BIT_REXW_XS, /* 15 */
+  IC_OPSIZE, /* 16 */
+  IC_64BIT_OPSIZE, /* 17 */
+  IC_XS_OPSIZE, /* 18 */
+  IC_64BIT_XS_OPSIZE, /* 19 */
+  IC_XD_OPSIZE, /* 20 */
+  IC_64BIT_XD_OPSIZE, /* 21 */
+  IC_XS_OPSIZE, /* 22 */
+  IC_64BIT_XD_OPSIZE, /* 23 */
+  IC_OPSIZE, /* 24 */
+  IC_64BIT_REXW_OPSIZE, /* 25 */
+  IC_XS_OPSIZE, /* 26 */
+  IC_64BIT_REXW_XS, /* 27 */
+  IC_XD_OPSIZE, /* 28 */
+  IC_64BIT_REXW_XD, /* 29 */
+  IC_XS_OPSIZE, /* 30 */
+  IC_64BIT_REXW_XS, /* 31 */
+  IC_ADSIZE, /* 32 */
+  IC_64BIT_ADSIZE, /* 33 */
+  IC_XS, /* 34 */
+  IC_64BIT_XS, /* 35 */
+  IC_XD, /* 36 */
+  IC_64BIT_XD, /* 37 */
+  IC_XS, /* 38 */
+  IC_64BIT_XS, /* 39 */
+  IC_ADSIZE, /* 40 */
+  IC_64BIT_REXW_ADSIZE, /* 41 */
+  IC_XS, /* 42 */
+  IC_64BIT_REXW_XS, /* 43 */
+  IC_XD, /* 44 */
+  IC_64BIT_REXW_XD, /* 45 */
+  IC_XS, /* 46 */
+  IC_64BIT_REXW_XS, /* 47 */
+  IC_OPSIZE_ADSIZE, /* 48 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 49 */
+  IC_XS_OPSIZE, /* 50 */
+  IC_64BIT_XS_OPSIZE, /* 51 */
+  IC_XD_OPSIZE, /* 52 */
+  IC_64BIT_XD_OPSIZE, /* 53 */
+  IC_XS_OPSIZE, /* 54 */
+  IC_64BIT_XD_OPSIZE, /* 55 */
+  IC_OPSIZE_ADSIZE, /* 56 */
+  IC_64BIT_REXW_OPSIZE, /* 57 */
+  IC_XS_OPSIZE, /* 58 */
+  IC_64BIT_REXW_XS, /* 59 */
+  IC_XD_OPSIZE, /* 60 */
+  IC_64BIT_REXW_XD, /* 61 */
+  IC_XS_OPSIZE, /* 62 */
+  IC_64BIT_REXW_XS, /* 63 */
+  IC_VEX, /* 64 */
+  IC_VEX, /* 65 */
+  IC_VEX_XS, /* 66 */
+  IC_VEX_XS, /* 67 */
+  IC_VEX_XD, /* 68 */
+  IC_VEX_XD, /* 69 */
+  IC_VEX_XD, /* 70 */
+  IC_VEX_XD, /* 71 */
+  IC_VEX_W, /* 72 */
+  IC_VEX_W, /* 73 */
+  IC_VEX_W_XS, /* 74 */
+  IC_VEX_W_XS, /* 75 */
+  IC_VEX_W_XD, /* 76 */
+  IC_VEX_W_XD, /* 77 */
+  IC_VEX_W_XD, /* 78 */
+  IC_VEX_W_XD, /* 79 */
+  IC_VEX_OPSIZE, /* 80 */
+  IC_VEX_OPSIZE, /* 81 */
+  IC_VEX_OPSIZE, /* 82 */
+  IC_VEX_OPSIZE, /* 83 */
+  IC_VEX_OPSIZE, /* 84 */
+  IC_VEX_OPSIZE, /* 85 */
+  IC_VEX_OPSIZE, /* 86 */
+  IC_VEX_OPSIZE, /* 87 */
+  IC_VEX_W_OPSIZE, /* 88 */
+  IC_VEX_W_OPSIZE, /* 89 */
+  IC_VEX_W_OPSIZE, /* 90 */
+  IC_VEX_W_OPSIZE, /* 91 */
+  IC_VEX_W_OPSIZE, /* 92 */
+  IC_VEX_W_OPSIZE, /* 93 */
+  IC_VEX_W_OPSIZE, /* 94 */
+  IC_VEX_W_OPSIZE, /* 95 */
+  IC_VEX, /* 96 */
+  IC_VEX, /* 97 */
+  IC_VEX_XS, /* 98 */
+  IC_VEX_XS, /* 99 */
+  IC_VEX_XD, /* 100 */
+  IC_VEX_XD, /* 101 */
+  IC_VEX_XD, /* 102 */
+  IC_VEX_XD, /* 103 */
+  IC_VEX_W, /* 104 */
+  IC_VEX_W, /* 105 */
+  IC_VEX_W_XS, /* 106 */
+  IC_VEX_W_XS, /* 107 */
+  IC_VEX_W_XD, /* 108 */
+  IC_VEX_W_XD, /* 109 */
+  IC_VEX_W_XD, /* 110 */
+  IC_VEX_W_XD, /* 111 */
+  IC_VEX_OPSIZE, /* 112 */
+  IC_VEX_OPSIZE, /* 113 */
+  IC_VEX_OPSIZE, /* 114 */
+  IC_VEX_OPSIZE, /* 115 */
+  IC_VEX_OPSIZE, /* 116 */
+  IC_VEX_OPSIZE, /* 117 */
+  IC_VEX_OPSIZE, /* 118 */
+  IC_VEX_OPSIZE, /* 119 */
+  IC_VEX_W_OPSIZE, /* 120 */
+  IC_VEX_W_OPSIZE, /* 121 */
+  IC_VEX_W_OPSIZE, /* 122 */
+  IC_VEX_W_OPSIZE, /* 123 */
+  IC_VEX_W_OPSIZE, /* 124 */
+  IC_VEX_W_OPSIZE, /* 125 */
+  IC_VEX_W_OPSIZE, /* 126 */
+  IC_VEX_W_OPSIZE, /* 127 */
+  IC_VEX_L, /* 128 */
+  IC_VEX_L, /* 129 */
+  IC_VEX_L_XS, /* 130 */
+  IC_VEX_L_XS, /* 131 */
+  IC_VEX_L_XD, /* 132 */
+  IC_VEX_L_XD, /* 133 */
+  IC_VEX_L_XD, /* 134 */
+  IC_VEX_L_XD, /* 135 */
+  IC_VEX_L_W, /* 136 */
+  IC_VEX_L_W, /* 137 */
+  IC_VEX_L_W_XS, /* 138 */
+  IC_VEX_L_W_XS, /* 139 */
+  IC_VEX_L_W_XD, /* 140 */
+  IC_VEX_L_W_XD, /* 141 */
+  IC_VEX_L_W_XD, /* 142 */
+  IC_VEX_L_W_XD, /* 143 */
+  IC_VEX_L_OPSIZE, /* 144 */
+  IC_VEX_L_OPSIZE, /* 145 */
+  IC_VEX_L_OPSIZE, /* 146 */
+  IC_VEX_L_OPSIZE, /* 147 */
+  IC_VEX_L_OPSIZE, /* 148 */
+  IC_VEX_L_OPSIZE, /* 149 */
+  IC_VEX_L_OPSIZE, /* 150 */
+  IC_VEX_L_OPSIZE, /* 151 */
+  IC_VEX_L_W_OPSIZE, /* 152 */
+  IC_VEX_L_W_OPSIZE, /* 153 */
+  IC_VEX_L_W_OPSIZE, /* 154 */
+  IC_VEX_L_W_OPSIZE, /* 155 */
+  IC_VEX_L_W_OPSIZE, /* 156 */
+  IC_VEX_L_W_OPSIZE, /* 157 */
+  IC_VEX_L_W_OPSIZE, /* 158 */
+  IC_VEX_L_W_OPSIZE, /* 159 */
+  IC_VEX_L, /* 160 */
+  IC_VEX_L, /* 161 */
+  IC_VEX_L_XS, /* 162 */
+  IC_VEX_L_XS, /* 163 */
+  IC_VEX_L_XD, /* 164 */
+  IC_VEX_L_XD, /* 165 */
+  IC_VEX_L_XD, /* 166 */
+  IC_VEX_L_XD, /* 167 */
+  IC_VEX_L_W, /* 168 */
+  IC_VEX_L_W, /* 169 */
+  IC_VEX_L_W_XS, /* 170 */
+  IC_VEX_L_W_XS, /* 171 */
+  IC_VEX_L_W_XD, /* 172 */
+  IC_VEX_L_W_XD, /* 173 */
+  IC_VEX_L_W_XD, /* 174 */
+  IC_VEX_L_W_XD, /* 175 */
+  IC_VEX_L_OPSIZE, /* 176 */
+  IC_VEX_L_OPSIZE, /* 177 */
+  IC_VEX_L_OPSIZE, /* 178 */
+  IC_VEX_L_OPSIZE, /* 179 */
+  IC_VEX_L_OPSIZE, /* 180 */
+  IC_VEX_L_OPSIZE, /* 181 */
+  IC_VEX_L_OPSIZE, /* 182 */
+  IC_VEX_L_OPSIZE, /* 183 */
+  IC_VEX_L_W_OPSIZE, /* 184 */
+  IC_VEX_L_W_OPSIZE, /* 185 */
+  IC_VEX_L_W_OPSIZE, /* 186 */
+  IC_VEX_L_W_OPSIZE, /* 187 */
+  IC_VEX_L_W_OPSIZE, /* 188 */
+  IC_VEX_L_W_OPSIZE, /* 189 */
+  IC_VEX_L_W_OPSIZE, /* 190 */
+  IC_VEX_L_W_OPSIZE, /* 191 */
+  IC_VEX_L, /* 192 */
+  IC_VEX_L, /* 193 */
+  IC_VEX_L_XS, /* 194 */
+  IC_VEX_L_XS, /* 195 */
+  IC_VEX_L_XD, /* 196 */
+  IC_VEX_L_XD, /* 197 */
+  IC_VEX_L_XD, /* 198 */
+  IC_VEX_L_XD, /* 199 */
+  IC_VEX_L_W, /* 200 */
+  IC_VEX_L_W, /* 201 */
+  IC_VEX_L_W_XS, /* 202 */
+  IC_VEX_L_W_XS, /* 203 */
+  IC_VEX_L_W_XD, /* 204 */
+  IC_VEX_L_W_XD, /* 205 */
+  IC_VEX_L_W_XD, /* 206 */
+  IC_VEX_L_W_XD, /* 207 */
+  IC_VEX_L_OPSIZE, /* 208 */
+  IC_VEX_L_OPSIZE, /* 209 */
+  IC_VEX_L_OPSIZE, /* 210 */
+  IC_VEX_L_OPSIZE, /* 211 */
+  IC_VEX_L_OPSIZE, /* 212 */
+  IC_VEX_L_OPSIZE, /* 213 */
+  IC_VEX_L_OPSIZE, /* 214 */
+  IC_VEX_L_OPSIZE, /* 215 */
+  IC_VEX_L_W_OPSIZE, /* 216 */
+  IC_VEX_L_W_OPSIZE, /* 217 */
+  IC_VEX_L_W_OPSIZE, /* 218 */
+  IC_VEX_L_W_OPSIZE, /* 219 */
+  IC_VEX_L_W_OPSIZE, /* 220 */
+  IC_VEX_L_W_OPSIZE, /* 221 */
+  IC_VEX_L_W_OPSIZE, /* 222 */
+  IC_VEX_L_W_OPSIZE, /* 223 */
+  IC_VEX_L, /* 224 */
+  IC_VEX_L, /* 225 */
+  IC_VEX_L_XS, /* 226 */
+  IC_VEX_L_XS, /* 227 */
+  IC_VEX_L_XD, /* 228 */
+  IC_VEX_L_XD, /* 229 */
+  IC_VEX_L_XD, /* 230 */
+  IC_VEX_L_XD, /* 231 */
+  IC_VEX_L_W, /* 232 */
+  IC_VEX_L_W, /* 233 */
+  IC_VEX_L_W_XS, /* 234 */
+  IC_VEX_L_W_XS, /* 235 */
+  IC_VEX_L_W_XD, /* 236 */
+  IC_VEX_L_W_XD, /* 237 */
+  IC_VEX_L_W_XD, /* 238 */
+  IC_VEX_L_W_XD, /* 239 */
+  IC_VEX_L_OPSIZE, /* 240 */
+  IC_VEX_L_OPSIZE, /* 241 */
+  IC_VEX_L_OPSIZE, /* 242 */
+  IC_VEX_L_OPSIZE, /* 243 */
+  IC_VEX_L_OPSIZE, /* 244 */
+  IC_VEX_L_OPSIZE, /* 245 */
+  IC_VEX_L_OPSIZE, /* 246 */
+  IC_VEX_L_OPSIZE, /* 247 */
+  IC_VEX_L_W_OPSIZE, /* 248 */
+  IC_VEX_L_W_OPSIZE, /* 249 */
+  IC_VEX_L_W_OPSIZE, /* 250 */
+  IC_VEX_L_W_OPSIZE, /* 251 */
+  IC_VEX_L_W_OPSIZE, /* 252 */
+  IC_VEX_L_W_OPSIZE, /* 253 */
+  IC_VEX_L_W_OPSIZE, /* 254 */
+  IC_VEX_L_W_OPSIZE, /* 255 */
+  IC_EVEX, /* 256 */
+  IC_EVEX, /* 257 */
+  IC_EVEX_XS, /* 258 */
+  IC_EVEX_XS, /* 259 */
+  IC_EVEX_XD, /* 260 */
+  IC_EVEX_XD, /* 261 */
+  IC_EVEX_XD, /* 262 */
+  IC_EVEX_XD, /* 263 */
+  IC_EVEX_W, /* 264 */
+  IC_EVEX_W, /* 265 */
+  IC_EVEX_W_XS, /* 266 */
+  IC_EVEX_W_XS, /* 267 */
+  IC_EVEX_W_XD, /* 268 */
+  IC_EVEX_W_XD, /* 269 */
+  IC_EVEX_W_XD, /* 270 */
+  IC_EVEX_W_XD, /* 271 */
+  IC_EVEX_OPSIZE, /* 272 */
+  IC_EVEX_OPSIZE, /* 273 */
+  IC_EVEX_OPSIZE, /* 274 */
+  IC_EVEX_OPSIZE, /* 275 */
+  IC_EVEX_OPSIZE, /* 276 */
+  IC_EVEX_OPSIZE, /* 277 */
+  IC_EVEX_OPSIZE, /* 278 */
+  IC_EVEX_OPSIZE, /* 279 */
+  IC_EVEX_W_OPSIZE, /* 280 */
+  IC_EVEX_W_OPSIZE, /* 281 */
+  IC_EVEX_W_OPSIZE, /* 282 */
+  IC_EVEX_W_OPSIZE, /* 283 */
+  IC_EVEX_W_OPSIZE, /* 284 */
+  IC_EVEX_W_OPSIZE, /* 285 */
+  IC_EVEX_W_OPSIZE, /* 286 */
+  IC_EVEX_W_OPSIZE, /* 287 */
+  IC_EVEX, /* 288 */
+  IC_EVEX, /* 289 */
+  IC_EVEX_XS, /* 290 */
+  IC_EVEX_XS, /* 291 */
+  IC_EVEX_XD, /* 292 */
+  IC_EVEX_XD, /* 293 */
+  IC_EVEX_XD, /* 294 */
+  IC_EVEX_XD, /* 295 */
+  IC_EVEX_W, /* 296 */
+  IC_EVEX_W, /* 297 */
+  IC_EVEX_W_XS, /* 298 */
+  IC_EVEX_W_XS, /* 299 */
+  IC_EVEX_W_XD, /* 300 */
+  IC_EVEX_W_XD, /* 301 */
+  IC_EVEX_W_XD, /* 302 */
+  IC_EVEX_W_XD, /* 303 */
+  IC_EVEX_OPSIZE, /* 304 */
+  IC_EVEX_OPSIZE, /* 305 */
+  IC_EVEX_OPSIZE, /* 306 */
+  IC_EVEX_OPSIZE, /* 307 */
+  IC_EVEX_OPSIZE, /* 308 */
+  IC_EVEX_OPSIZE, /* 309 */
+  IC_EVEX_OPSIZE, /* 310 */
+  IC_EVEX_OPSIZE, /* 311 */
+  IC_EVEX_W_OPSIZE, /* 312 */
+  IC_EVEX_W_OPSIZE, /* 313 */
+  IC_EVEX_W_OPSIZE, /* 314 */
+  IC_EVEX_W_OPSIZE, /* 315 */
+  IC_EVEX_W_OPSIZE, /* 316 */
+  IC_EVEX_W_OPSIZE, /* 317 */
+  IC_EVEX_W_OPSIZE, /* 318 */
+  IC_EVEX_W_OPSIZE, /* 319 */
+  IC_EVEX, /* 320 */
+  IC_EVEX, /* 321 */
+  IC_EVEX_XS, /* 322 */
+  IC_EVEX_XS, /* 323 */
+  IC_EVEX_XD, /* 324 */
+  IC_EVEX_XD, /* 325 */
+  IC_EVEX_XD, /* 326 */
+  IC_EVEX_XD, /* 327 */
+  IC_EVEX_W, /* 328 */
+  IC_EVEX_W, /* 329 */
+  IC_EVEX_W_XS, /* 330 */
+  IC_EVEX_W_XS, /* 331 */
+  IC_EVEX_W_XD, /* 332 */
+  IC_EVEX_W_XD, /* 333 */
+  IC_EVEX_W_XD, /* 334 */
+  IC_EVEX_W_XD, /* 335 */
+  IC_EVEX_OPSIZE, /* 336 */
+  IC_EVEX_OPSIZE, /* 337 */
+  IC_EVEX_OPSIZE, /* 338 */
+  IC_EVEX_OPSIZE, /* 339 */
+  IC_EVEX_OPSIZE, /* 340 */
+  IC_EVEX_OPSIZE, /* 341 */
+  IC_EVEX_OPSIZE, /* 342 */
+  IC_EVEX_OPSIZE, /* 343 */
+  IC_EVEX_W_OPSIZE, /* 344 */
+  IC_EVEX_W_OPSIZE, /* 345 */
+  IC_EVEX_W_OPSIZE, /* 346 */
+  IC_EVEX_W_OPSIZE, /* 347 */
+  IC_EVEX_W_OPSIZE, /* 348 */
+  IC_EVEX_W_OPSIZE, /* 349 */
+  IC_EVEX_W_OPSIZE, /* 350 */
+  IC_EVEX_W_OPSIZE, /* 351 */
+  IC_EVEX, /* 352 */
+  IC_EVEX, /* 353 */
+  IC_EVEX_XS, /* 354 */
+  IC_EVEX_XS, /* 355 */
+  IC_EVEX_XD, /* 356 */
+  IC_EVEX_XD, /* 357 */
+  IC_EVEX_XD, /* 358 */
+  IC_EVEX_XD, /* 359 */
+  IC_EVEX_W, /* 360 */
+  IC_EVEX_W, /* 361 */
+  IC_EVEX_W_XS, /* 362 */
+  IC_EVEX_W_XS, /* 363 */
+  IC_EVEX_W_XD, /* 364 */
+  IC_EVEX_W_XD, /* 365 */
+  IC_EVEX_W_XD, /* 366 */
+  IC_EVEX_W_XD, /* 367 */
+  IC_EVEX_OPSIZE, /* 368 */
+  IC_EVEX_OPSIZE, /* 369 */
+  IC_EVEX_OPSIZE, /* 370 */
+  IC_EVEX_OPSIZE, /* 371 */
+  IC_EVEX_OPSIZE, /* 372 */
+  IC_EVEX_OPSIZE, /* 373 */
+  IC_EVEX_OPSIZE, /* 374 */
+  IC_EVEX_OPSIZE, /* 375 */
+  IC_EVEX_W_OPSIZE, /* 376 */
+  IC_EVEX_W_OPSIZE, /* 377 */
+  IC_EVEX_W_OPSIZE, /* 378 */
+  IC_EVEX_W_OPSIZE, /* 379 */
+  IC_EVEX_W_OPSIZE, /* 380 */
+  IC_EVEX_W_OPSIZE, /* 381 */
+  IC_EVEX_W_OPSIZE, /* 382 */
+  IC_EVEX_W_OPSIZE, /* 383 */
+  IC_EVEX, /* 384 */
+  IC_EVEX, /* 385 */
+  IC_EVEX_XS, /* 386 */
+  IC_EVEX_XS, /* 387 */
+  IC_EVEX_XD, /* 388 */
+  IC_EVEX_XD, /* 389 */
+  IC_EVEX_XD, /* 390 */
+  IC_EVEX_XD, /* 391 */
+  IC_EVEX_W, /* 392 */
+  IC_EVEX_W, /* 393 */
+  IC_EVEX_W_XS, /* 394 */
+  IC_EVEX_W_XS, /* 395 */
+  IC_EVEX_W_XD, /* 396 */
+  IC_EVEX_W_XD, /* 397 */
+  IC_EVEX_W_XD, /* 398 */
+  IC_EVEX_W_XD, /* 399 */
+  IC_EVEX_OPSIZE, /* 400 */
+  IC_EVEX_OPSIZE, /* 401 */
+  IC_EVEX_OPSIZE, /* 402 */
+  IC_EVEX_OPSIZE, /* 403 */
+  IC_EVEX_OPSIZE, /* 404 */
+  IC_EVEX_OPSIZE, /* 405 */
+  IC_EVEX_OPSIZE, /* 406 */
+  IC_EVEX_OPSIZE, /* 407 */
+  IC_EVEX_W_OPSIZE, /* 408 */
+  IC_EVEX_W_OPSIZE, /* 409 */
+  IC_EVEX_W_OPSIZE, /* 410 */
+  IC_EVEX_W_OPSIZE, /* 411 */
+  IC_EVEX_W_OPSIZE, /* 412 */
+  IC_EVEX_W_OPSIZE, /* 413 */
+  IC_EVEX_W_OPSIZE, /* 414 */
+  IC_EVEX_W_OPSIZE, /* 415 */
+  IC_EVEX, /* 416 */
+  IC_EVEX, /* 417 */
+  IC_EVEX_XS, /* 418 */
+  IC_EVEX_XS, /* 419 */
+  IC_EVEX_XD, /* 420 */
+  IC_EVEX_XD, /* 421 */
+  IC_EVEX_XD, /* 422 */
+  IC_EVEX_XD, /* 423 */
+  IC_EVEX_W, /* 424 */
+  IC_EVEX_W, /* 425 */
+  IC_EVEX_W_XS, /* 426 */
+  IC_EVEX_W_XS, /* 427 */
+  IC_EVEX_W_XD, /* 428 */
+  IC_EVEX_W_XD, /* 429 */
+  IC_EVEX_W_XD, /* 430 */
+  IC_EVEX_W_XD, /* 431 */
+  IC_EVEX_OPSIZE, /* 432 */
+  IC_EVEX_OPSIZE, /* 433 */
+  IC_EVEX_OPSIZE, /* 434 */
+  IC_EVEX_OPSIZE, /* 435 */
+  IC_EVEX_OPSIZE, /* 436 */
+  IC_EVEX_OPSIZE, /* 437 */
+  IC_EVEX_OPSIZE, /* 438 */
+  IC_EVEX_OPSIZE, /* 439 */
+  IC_EVEX_W_OPSIZE, /* 440 */
+  IC_EVEX_W_OPSIZE, /* 441 */
+  IC_EVEX_W_OPSIZE, /* 442 */
+  IC_EVEX_W_OPSIZE, /* 443 */
+  IC_EVEX_W_OPSIZE, /* 444 */
+  IC_EVEX_W_OPSIZE, /* 445 */
+  IC_EVEX_W_OPSIZE, /* 446 */
+  IC_EVEX_W_OPSIZE, /* 447 */
+  IC_EVEX, /* 448 */
+  IC_EVEX, /* 449 */
+  IC_EVEX_XS, /* 450 */
+  IC_EVEX_XS, /* 451 */
+  IC_EVEX_XD, /* 452 */
+  IC_EVEX_XD, /* 453 */
+  IC_EVEX_XD, /* 454 */
+  IC_EVEX_XD, /* 455 */
+  IC_EVEX_W, /* 456 */
+  IC_EVEX_W, /* 457 */
+  IC_EVEX_W_XS, /* 458 */
+  IC_EVEX_W_XS, /* 459 */
+  IC_EVEX_W_XD, /* 460 */
+  IC_EVEX_W_XD, /* 461 */
+  IC_EVEX_W_XD, /* 462 */
+  IC_EVEX_W_XD, /* 463 */
+  IC_EVEX_OPSIZE, /* 464 */
+  IC_EVEX_OPSIZE, /* 465 */
+  IC_EVEX_OPSIZE, /* 466 */
+  IC_EVEX_OPSIZE, /* 467 */
+  IC_EVEX_OPSIZE, /* 468 */
+  IC_EVEX_OPSIZE, /* 469 */
+  IC_EVEX_OPSIZE, /* 470 */
+  IC_EVEX_OPSIZE, /* 471 */
+  IC_EVEX_W_OPSIZE, /* 472 */
+  IC_EVEX_W_OPSIZE, /* 473 */
+  IC_EVEX_W_OPSIZE, /* 474 */
+  IC_EVEX_W_OPSIZE, /* 475 */
+  IC_EVEX_W_OPSIZE, /* 476 */
+  IC_EVEX_W_OPSIZE, /* 477 */
+  IC_EVEX_W_OPSIZE, /* 478 */
+  IC_EVEX_W_OPSIZE, /* 479 */
+  IC_EVEX, /* 480 */
+  IC_EVEX, /* 481 */
+  IC_EVEX_XS, /* 482 */
+  IC_EVEX_XS, /* 483 */
+  IC_EVEX_XD, /* 484 */
+  IC_EVEX_XD, /* 485 */
+  IC_EVEX_XD, /* 486 */
+  IC_EVEX_XD, /* 487 */
+  IC_EVEX_W, /* 488 */
+  IC_EVEX_W, /* 489 */
+  IC_EVEX_W_XS, /* 490 */
+  IC_EVEX_W_XS, /* 491 */
+  IC_EVEX_W_XD, /* 492 */
+  IC_EVEX_W_XD, /* 493 */
+  IC_EVEX_W_XD, /* 494 */
+  IC_EVEX_W_XD, /* 495 */
+  IC_EVEX_OPSIZE, /* 496 */
+  IC_EVEX_OPSIZE, /* 497 */
+  IC_EVEX_OPSIZE, /* 498 */
+  IC_EVEX_OPSIZE, /* 499 */
+  IC_EVEX_OPSIZE, /* 500 */
+  IC_EVEX_OPSIZE, /* 501 */
+  IC_EVEX_OPSIZE, /* 502 */
+  IC_EVEX_OPSIZE, /* 503 */
+  IC_EVEX_W_OPSIZE, /* 504 */
+  IC_EVEX_W_OPSIZE, /* 505 */
+  IC_EVEX_W_OPSIZE, /* 506 */
+  IC_EVEX_W_OPSIZE, /* 507 */
+  IC_EVEX_W_OPSIZE, /* 508 */
+  IC_EVEX_W_OPSIZE, /* 509 */
+  IC_EVEX_W_OPSIZE, /* 510 */
+  IC_EVEX_W_OPSIZE, /* 511 */
+  IC, /* 512 */
+  IC_64BIT, /* 513 */
+  IC_XS, /* 514 */
+  IC_64BIT_XS, /* 515 */
+  IC_XD, /* 516 */
+  IC_64BIT_XD, /* 517 */
+  IC_XS, /* 518 */
+  IC_64BIT_XS, /* 519 */
+  IC, /* 520 */
+  IC_64BIT_REXW, /* 521 */
+  IC_XS, /* 522 */
+  IC_64BIT_REXW_XS, /* 523 */
+  IC_XD, /* 524 */
+  IC_64BIT_REXW_XD, /* 525 */
+  IC_XS, /* 526 */
+  IC_64BIT_REXW_XS, /* 527 */
+  IC_OPSIZE, /* 528 */
+  IC_64BIT_OPSIZE, /* 529 */
+  IC_XS_OPSIZE, /* 530 */
+  IC_64BIT_XS_OPSIZE, /* 531 */
+  IC_XD_OPSIZE, /* 532 */
+  IC_64BIT_XD_OPSIZE, /* 533 */
+  IC_XS_OPSIZE, /* 534 */
+  IC_64BIT_XD_OPSIZE, /* 535 */
+  IC_OPSIZE, /* 536 */
+  IC_64BIT_REXW_OPSIZE, /* 537 */
+  IC_XS_OPSIZE, /* 538 */
+  IC_64BIT_REXW_XS, /* 539 */
+  IC_XD_OPSIZE, /* 540 */
+  IC_64BIT_REXW_XD, /* 541 */
+  IC_XS_OPSIZE, /* 542 */
+  IC_64BIT_REXW_XS, /* 543 */
+  IC_ADSIZE, /* 544 */
+  IC_64BIT_ADSIZE, /* 545 */
+  IC_XS, /* 546 */
+  IC_64BIT_XS, /* 547 */
+  IC_XD, /* 548 */
+  IC_64BIT_XD, /* 549 */
+  IC_XS, /* 550 */
+  IC_64BIT_XS, /* 551 */
+  IC_ADSIZE, /* 552 */
+  IC_64BIT_REXW_ADSIZE, /* 553 */
+  IC_XS, /* 554 */
+  IC_64BIT_REXW_XS, /* 555 */
+  IC_XD, /* 556 */
+  IC_64BIT_REXW_XD, /* 557 */
+  IC_XS, /* 558 */
+  IC_64BIT_REXW_XS, /* 559 */
+  IC_OPSIZE_ADSIZE, /* 560 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 561 */
+  IC_XS_OPSIZE, /* 562 */
+  IC_64BIT_XS_OPSIZE, /* 563 */
+  IC_XD_OPSIZE, /* 564 */
+  IC_64BIT_XD_OPSIZE, /* 565 */
+  IC_XS_OPSIZE, /* 566 */
+  IC_64BIT_XD_OPSIZE, /* 567 */
+  IC_OPSIZE_ADSIZE, /* 568 */
+  IC_64BIT_REXW_OPSIZE, /* 569 */
+  IC_XS_OPSIZE, /* 570 */
+  IC_64BIT_REXW_XS, /* 571 */
+  IC_XD_OPSIZE, /* 572 */
+  IC_64BIT_REXW_XD, /* 573 */
+  IC_XS_OPSIZE, /* 574 */
+  IC_64BIT_REXW_XS, /* 575 */
+  IC_VEX, /* 576 */
+  IC_VEX, /* 577 */
+  IC_VEX_XS, /* 578 */
+  IC_VEX_XS, /* 579 */
+  IC_VEX_XD, /* 580 */
+  IC_VEX_XD, /* 581 */
+  IC_VEX_XD, /* 582 */
+  IC_VEX_XD, /* 583 */
+  IC_VEX_W, /* 584 */
+  IC_VEX_W, /* 585 */
+  IC_VEX_W_XS, /* 586 */
+  IC_VEX_W_XS, /* 587 */
+  IC_VEX_W_XD, /* 588 */
+  IC_VEX_W_XD, /* 589 */
+  IC_VEX_W_XD, /* 590 */
+  IC_VEX_W_XD, /* 591 */
+  IC_VEX_OPSIZE, /* 592 */
+  IC_VEX_OPSIZE, /* 593 */
+  IC_VEX_OPSIZE, /* 594 */
+  IC_VEX_OPSIZE, /* 595 */
+  IC_VEX_OPSIZE, /* 596 */
+  IC_VEX_OPSIZE, /* 597 */
+  IC_VEX_OPSIZE, /* 598 */
+  IC_VEX_OPSIZE, /* 599 */
+  IC_VEX_W_OPSIZE, /* 600 */
+  IC_VEX_W_OPSIZE, /* 601 */
+  IC_VEX_W_OPSIZE, /* 602 */
+  IC_VEX_W_OPSIZE, /* 603 */
+  IC_VEX_W_OPSIZE, /* 604 */
+  IC_VEX_W_OPSIZE, /* 605 */
+  IC_VEX_W_OPSIZE, /* 606 */
+  IC_VEX_W_OPSIZE, /* 607 */
+  IC_VEX, /* 608 */
+  IC_VEX, /* 609 */
+  IC_VEX_XS, /* 610 */
+  IC_VEX_XS, /* 611 */
+  IC_VEX_XD, /* 612 */
+  IC_VEX_XD, /* 613 */
+  IC_VEX_XD, /* 614 */
+  IC_VEX_XD, /* 615 */
+  IC_VEX_W, /* 616 */
+  IC_VEX_W, /* 617 */
+  IC_VEX_W_XS, /* 618 */
+  IC_VEX_W_XS, /* 619 */
+  IC_VEX_W_XD, /* 620 */
+  IC_VEX_W_XD, /* 621 */
+  IC_VEX_W_XD, /* 622 */
+  IC_VEX_W_XD, /* 623 */
+  IC_VEX_OPSIZE, /* 624 */
+  IC_VEX_OPSIZE, /* 625 */
+  IC_VEX_OPSIZE, /* 626 */
+  IC_VEX_OPSIZE, /* 627 */
+  IC_VEX_OPSIZE, /* 628 */
+  IC_VEX_OPSIZE, /* 629 */
+  IC_VEX_OPSIZE, /* 630 */
+  IC_VEX_OPSIZE, /* 631 */
+  IC_VEX_W_OPSIZE, /* 632 */
+  IC_VEX_W_OPSIZE, /* 633 */
+  IC_VEX_W_OPSIZE, /* 634 */
+  IC_VEX_W_OPSIZE, /* 635 */
+  IC_VEX_W_OPSIZE, /* 636 */
+  IC_VEX_W_OPSIZE, /* 637 */
+  IC_VEX_W_OPSIZE, /* 638 */
+  IC_VEX_W_OPSIZE, /* 639 */
+  IC_VEX_L, /* 640 */
+  IC_VEX_L, /* 641 */
+  IC_VEX_L_XS, /* 642 */
+  IC_VEX_L_XS, /* 643 */
+  IC_VEX_L_XD, /* 644 */
+  IC_VEX_L_XD, /* 645 */
+  IC_VEX_L_XD, /* 646 */
+  IC_VEX_L_XD, /* 647 */
+  IC_VEX_L_W, /* 648 */
+  IC_VEX_L_W, /* 649 */
+  IC_VEX_L_W_XS, /* 650 */
+  IC_VEX_L_W_XS, /* 651 */
+  IC_VEX_L_W_XD, /* 652 */
+  IC_VEX_L_W_XD, /* 653 */
+  IC_VEX_L_W_XD, /* 654 */
+  IC_VEX_L_W_XD, /* 655 */
+  IC_VEX_L_OPSIZE, /* 656 */
+  IC_VEX_L_OPSIZE, /* 657 */
+  IC_VEX_L_OPSIZE, /* 658 */
+  IC_VEX_L_OPSIZE, /* 659 */
+  IC_VEX_L_OPSIZE, /* 660 */
+  IC_VEX_L_OPSIZE, /* 661 */
+  IC_VEX_L_OPSIZE, /* 662 */
+  IC_VEX_L_OPSIZE, /* 663 */
+  IC_VEX_L_W_OPSIZE, /* 664 */
+  IC_VEX_L_W_OPSIZE, /* 665 */
+  IC_VEX_L_W_OPSIZE, /* 666 */
+  IC_VEX_L_W_OPSIZE, /* 667 */
+  IC_VEX_L_W_OPSIZE, /* 668 */
+  IC_VEX_L_W_OPSIZE, /* 669 */
+  IC_VEX_L_W_OPSIZE, /* 670 */
+  IC_VEX_L_W_OPSIZE, /* 671 */
+  IC_VEX_L, /* 672 */
+  IC_VEX_L, /* 673 */
+  IC_VEX_L_XS, /* 674 */
+  IC_VEX_L_XS, /* 675 */
+  IC_VEX_L_XD, /* 676 */
+  IC_VEX_L_XD, /* 677 */
+  IC_VEX_L_XD, /* 678 */
+  IC_VEX_L_XD, /* 679 */
+  IC_VEX_L_W, /* 680 */
+  IC_VEX_L_W, /* 681 */
+  IC_VEX_L_W_XS, /* 682 */
+  IC_VEX_L_W_XS, /* 683 */
+  IC_VEX_L_W_XD, /* 684 */
+  IC_VEX_L_W_XD, /* 685 */
+  IC_VEX_L_W_XD, /* 686 */
+  IC_VEX_L_W_XD, /* 687 */
+  IC_VEX_L_OPSIZE, /* 688 */
+  IC_VEX_L_OPSIZE, /* 689 */
+  IC_VEX_L_OPSIZE, /* 690 */
+  IC_VEX_L_OPSIZE, /* 691 */
+  IC_VEX_L_OPSIZE, /* 692 */
+  IC_VEX_L_OPSIZE, /* 693 */
+  IC_VEX_L_OPSIZE, /* 694 */
+  IC_VEX_L_OPSIZE, /* 695 */
+  IC_VEX_L_W_OPSIZE, /* 696 */
+  IC_VEX_L_W_OPSIZE, /* 697 */
+  IC_VEX_L_W_OPSIZE, /* 698 */
+  IC_VEX_L_W_OPSIZE, /* 699 */
+  IC_VEX_L_W_OPSIZE, /* 700 */
+  IC_VEX_L_W_OPSIZE, /* 701 */
+  IC_VEX_L_W_OPSIZE, /* 702 */
+  IC_VEX_L_W_OPSIZE, /* 703 */
+  IC_VEX_L, /* 704 */
+  IC_VEX_L, /* 705 */
+  IC_VEX_L_XS, /* 706 */
+  IC_VEX_L_XS, /* 707 */
+  IC_VEX_L_XD, /* 708 */
+  IC_VEX_L_XD, /* 709 */
+  IC_VEX_L_XD, /* 710 */
+  IC_VEX_L_XD, /* 711 */
+  IC_VEX_L_W, /* 712 */
+  IC_VEX_L_W, /* 713 */
+  IC_VEX_L_W_XS, /* 714 */
+  IC_VEX_L_W_XS, /* 715 */
+  IC_VEX_L_W_XD, /* 716 */
+  IC_VEX_L_W_XD, /* 717 */
+  IC_VEX_L_W_XD, /* 718 */
+  IC_VEX_L_W_XD, /* 719 */
+  IC_VEX_L_OPSIZE, /* 720 */
+  IC_VEX_L_OPSIZE, /* 721 */
+  IC_VEX_L_OPSIZE, /* 722 */
+  IC_VEX_L_OPSIZE, /* 723 */
+  IC_VEX_L_OPSIZE, /* 724 */
+  IC_VEX_L_OPSIZE, /* 725 */
+  IC_VEX_L_OPSIZE, /* 726 */
+  IC_VEX_L_OPSIZE, /* 727 */
+  IC_VEX_L_W_OPSIZE, /* 728 */
+  IC_VEX_L_W_OPSIZE, /* 729 */
+  IC_VEX_L_W_OPSIZE, /* 730 */
+  IC_VEX_L_W_OPSIZE, /* 731 */
+  IC_VEX_L_W_OPSIZE, /* 732 */
+  IC_VEX_L_W_OPSIZE, /* 733 */
+  IC_VEX_L_W_OPSIZE, /* 734 */
+  IC_VEX_L_W_OPSIZE, /* 735 */
+  IC_VEX_L, /* 736 */
+  IC_VEX_L, /* 737 */
+  IC_VEX_L_XS, /* 738 */
+  IC_VEX_L_XS, /* 739 */
+  IC_VEX_L_XD, /* 740 */
+  IC_VEX_L_XD, /* 741 */
+  IC_VEX_L_XD, /* 742 */
+  IC_VEX_L_XD, /* 743 */
+  IC_VEX_L_W, /* 744 */
+  IC_VEX_L_W, /* 745 */
+  IC_VEX_L_W_XS, /* 746 */
+  IC_VEX_L_W_XS, /* 747 */
+  IC_VEX_L_W_XD, /* 748 */
+  IC_VEX_L_W_XD, /* 749 */
+  IC_VEX_L_W_XD, /* 750 */
+  IC_VEX_L_W_XD, /* 751 */
+  IC_VEX_L_OPSIZE, /* 752 */
+  IC_VEX_L_OPSIZE, /* 753 */
+  IC_VEX_L_OPSIZE, /* 754 */
+  IC_VEX_L_OPSIZE, /* 755 */
+  IC_VEX_L_OPSIZE, /* 756 */
+  IC_VEX_L_OPSIZE, /* 757 */
+  IC_VEX_L_OPSIZE, /* 758 */
+  IC_VEX_L_OPSIZE, /* 759 */
+  IC_VEX_L_W_OPSIZE, /* 760 */
+  IC_VEX_L_W_OPSIZE, /* 761 */
+  IC_VEX_L_W_OPSIZE, /* 762 */
+  IC_VEX_L_W_OPSIZE, /* 763 */
+  IC_VEX_L_W_OPSIZE, /* 764 */
+  IC_VEX_L_W_OPSIZE, /* 765 */
+  IC_VEX_L_W_OPSIZE, /* 766 */
+  IC_VEX_L_W_OPSIZE, /* 767 */
+  IC_EVEX_L, /* 768 */
+  IC_EVEX_L, /* 769 */
+  IC_EVEX_L_XS, /* 770 */
+  IC_EVEX_L_XS, /* 771 */
+  IC_EVEX_L_XD, /* 772 */
+  IC_EVEX_L_XD, /* 773 */
+  IC_EVEX_L_XD, /* 774 */
+  IC_EVEX_L_XD, /* 775 */
+  IC_EVEX_L_W, /* 776 */
+  IC_EVEX_L_W, /* 777 */
+  IC_EVEX_L_W_XS, /* 778 */
+  IC_EVEX_L_W_XS, /* 779 */
+  IC_EVEX_L_W_XD, /* 780 */
+  IC_EVEX_L_W_XD, /* 781 */
+  IC_EVEX_L_W_XD, /* 782 */
+  IC_EVEX_L_W_XD, /* 783 */
+  IC_EVEX_L_OPSIZE, /* 784 */
+  IC_EVEX_L_OPSIZE, /* 785 */
+  IC_EVEX_L_OPSIZE, /* 786 */
+  IC_EVEX_L_OPSIZE, /* 787 */
+  IC_EVEX_L_OPSIZE, /* 788 */
+  IC_EVEX_L_OPSIZE, /* 789 */
+  IC_EVEX_L_OPSIZE, /* 790 */
+  IC_EVEX_L_OPSIZE, /* 791 */
+  IC_EVEX_L_W_OPSIZE, /* 792 */
+  IC_EVEX_L_W_OPSIZE, /* 793 */
+  IC_EVEX_L_W_OPSIZE, /* 794 */
+  IC_EVEX_L_W_OPSIZE, /* 795 */
+  IC_EVEX_L_W_OPSIZE, /* 796 */
+  IC_EVEX_L_W_OPSIZE, /* 797 */
+  IC_EVEX_L_W_OPSIZE, /* 798 */
+  IC_EVEX_L_W_OPSIZE, /* 799 */
+  IC_EVEX_L, /* 800 */
+  IC_EVEX_L, /* 801 */
+  IC_EVEX_L_XS, /* 802 */
+  IC_EVEX_L_XS, /* 803 */
+  IC_EVEX_L_XD, /* 804 */
+  IC_EVEX_L_XD, /* 805 */
+  IC_EVEX_L_XD, /* 806 */
+  IC_EVEX_L_XD, /* 807 */
+  IC_EVEX_L_W, /* 808 */
+  IC_EVEX_L_W, /* 809 */
+  IC_EVEX_L_W_XS, /* 810 */
+  IC_EVEX_L_W_XS, /* 811 */
+  IC_EVEX_L_W_XD, /* 812 */
+  IC_EVEX_L_W_XD, /* 813 */
+  IC_EVEX_L_W_XD, /* 814 */
+  IC_EVEX_L_W_XD, /* 815 */
+  IC_EVEX_L_OPSIZE, /* 816 */
+  IC_EVEX_L_OPSIZE, /* 817 */
+  IC_EVEX_L_OPSIZE, /* 818 */
+  IC_EVEX_L_OPSIZE, /* 819 */
+  IC_EVEX_L_OPSIZE, /* 820 */
+  IC_EVEX_L_OPSIZE, /* 821 */
+  IC_EVEX_L_OPSIZE, /* 822 */
+  IC_EVEX_L_OPSIZE, /* 823 */
+  IC_EVEX_L_W_OPSIZE, /* 824 */
+  IC_EVEX_L_W_OPSIZE, /* 825 */
+  IC_EVEX_L_W_OPSIZE, /* 826 */
+  IC_EVEX_L_W_OPSIZE, /* 827 */
+  IC_EVEX_L_W_OPSIZE, /* 828 */
+  IC_EVEX_L_W_OPSIZE, /* 829 */
+  IC_EVEX_L_W_OPSIZE, /* 830 */
+  IC_EVEX_L_W_OPSIZE, /* 831 */
+  IC_EVEX_L, /* 832 */
+  IC_EVEX_L, /* 833 */
+  IC_EVEX_L_XS, /* 834 */
+  IC_EVEX_L_XS, /* 835 */
+  IC_EVEX_L_XD, /* 836 */
+  IC_EVEX_L_XD, /* 837 */
+  IC_EVEX_L_XD, /* 838 */
+  IC_EVEX_L_XD, /* 839 */
+  IC_EVEX_L_W, /* 840 */
+  IC_EVEX_L_W, /* 841 */
+  IC_EVEX_L_W_XS, /* 842 */
+  IC_EVEX_L_W_XS, /* 843 */
+  IC_EVEX_L_W_XD, /* 844 */
+  IC_EVEX_L_W_XD, /* 845 */
+  IC_EVEX_L_W_XD, /* 846 */
+  IC_EVEX_L_W_XD, /* 847 */
+  IC_EVEX_L_OPSIZE, /* 848 */
+  IC_EVEX_L_OPSIZE, /* 849 */
+  IC_EVEX_L_OPSIZE, /* 850 */
+  IC_EVEX_L_OPSIZE, /* 851 */
+  IC_EVEX_L_OPSIZE, /* 852 */
+  IC_EVEX_L_OPSIZE, /* 853 */
+  IC_EVEX_L_OPSIZE, /* 854 */
+  IC_EVEX_L_OPSIZE, /* 855 */
+  IC_EVEX_L_W_OPSIZE, /* 856 */
+  IC_EVEX_L_W_OPSIZE, /* 857 */
+  IC_EVEX_L_W_OPSIZE, /* 858 */
+  IC_EVEX_L_W_OPSIZE, /* 859 */
+  IC_EVEX_L_W_OPSIZE, /* 860 */
+  IC_EVEX_L_W_OPSIZE, /* 861 */
+  IC_EVEX_L_W_OPSIZE, /* 862 */
+  IC_EVEX_L_W_OPSIZE, /* 863 */
+  IC_EVEX_L, /* 864 */
+  IC_EVEX_L, /* 865 */
+  IC_EVEX_L_XS, /* 866 */
+  IC_EVEX_L_XS, /* 867 */
+  IC_EVEX_L_XD, /* 868 */
+  IC_EVEX_L_XD, /* 869 */
+  IC_EVEX_L_XD, /* 870 */
+  IC_EVEX_L_XD, /* 871 */
+  IC_EVEX_L_W, /* 872 */
+  IC_EVEX_L_W, /* 873 */
+  IC_EVEX_L_W_XS, /* 874 */
+  IC_EVEX_L_W_XS, /* 875 */
+  IC_EVEX_L_W_XD, /* 876 */
+  IC_EVEX_L_W_XD, /* 877 */
+  IC_EVEX_L_W_XD, /* 878 */
+  IC_EVEX_L_W_XD, /* 879 */
+  IC_EVEX_L_OPSIZE, /* 880 */
+  IC_EVEX_L_OPSIZE, /* 881 */
+  IC_EVEX_L_OPSIZE, /* 882 */
+  IC_EVEX_L_OPSIZE, /* 883 */
+  IC_EVEX_L_OPSIZE, /* 884 */
+  IC_EVEX_L_OPSIZE, /* 885 */
+  IC_EVEX_L_OPSIZE, /* 886 */
+  IC_EVEX_L_OPSIZE, /* 887 */
+  IC_EVEX_L_W_OPSIZE, /* 888 */
+  IC_EVEX_L_W_OPSIZE, /* 889 */
+  IC_EVEX_L_W_OPSIZE, /* 890 */
+  IC_EVEX_L_W_OPSIZE, /* 891 */
+  IC_EVEX_L_W_OPSIZE, /* 892 */
+  IC_EVEX_L_W_OPSIZE, /* 893 */
+  IC_EVEX_L_W_OPSIZE, /* 894 */
+  IC_EVEX_L_W_OPSIZE, /* 895 */
+  IC_EVEX_L, /* 896 */
+  IC_EVEX_L, /* 897 */
+  IC_EVEX_L_XS, /* 898 */
+  IC_EVEX_L_XS, /* 899 */
+  IC_EVEX_L_XD, /* 900 */
+  IC_EVEX_L_XD, /* 901 */
+  IC_EVEX_L_XD, /* 902 */
+  IC_EVEX_L_XD, /* 903 */
+  IC_EVEX_L_W, /* 904 */
+  IC_EVEX_L_W, /* 905 */
+  IC_EVEX_L_W_XS, /* 906 */
+  IC_EVEX_L_W_XS, /* 907 */
+  IC_EVEX_L_W_XD, /* 908 */
+  IC_EVEX_L_W_XD, /* 909 */
+  IC_EVEX_L_W_XD, /* 910 */
+  IC_EVEX_L_W_XD, /* 911 */
+  IC_EVEX_L_OPSIZE, /* 912 */
+  IC_EVEX_L_OPSIZE, /* 913 */
+  IC_EVEX_L_OPSIZE, /* 914 */
+  IC_EVEX_L_OPSIZE, /* 915 */
+  IC_EVEX_L_OPSIZE, /* 916 */
+  IC_EVEX_L_OPSIZE, /* 917 */
+  IC_EVEX_L_OPSIZE, /* 918 */
+  IC_EVEX_L_OPSIZE, /* 919 */
+  IC_EVEX_L_W_OPSIZE, /* 920 */
+  IC_EVEX_L_W_OPSIZE, /* 921 */
+  IC_EVEX_L_W_OPSIZE, /* 922 */
+  IC_EVEX_L_W_OPSIZE, /* 923 */
+  IC_EVEX_L_W_OPSIZE, /* 924 */
+  IC_EVEX_L_W_OPSIZE, /* 925 */
+  IC_EVEX_L_W_OPSIZE, /* 926 */
+  IC_EVEX_L_W_OPSIZE, /* 927 */
+  IC_EVEX_L, /* 928 */
+  IC_EVEX_L, /* 929 */
+  IC_EVEX_L_XS, /* 930 */
+  IC_EVEX_L_XS, /* 931 */
+  IC_EVEX_L_XD, /* 932 */
+  IC_EVEX_L_XD, /* 933 */
+  IC_EVEX_L_XD, /* 934 */
+  IC_EVEX_L_XD, /* 935 */
+  IC_EVEX_L_W, /* 936 */
+  IC_EVEX_L_W, /* 937 */
+  IC_EVEX_L_W_XS, /* 938 */
+  IC_EVEX_L_W_XS, /* 939 */
+  IC_EVEX_L_W_XD, /* 940 */
+  IC_EVEX_L_W_XD, /* 941 */
+  IC_EVEX_L_W_XD, /* 942 */
+  IC_EVEX_L_W_XD, /* 943 */
+  IC_EVEX_L_OPSIZE, /* 944 */
+  IC_EVEX_L_OPSIZE, /* 945 */
+  IC_EVEX_L_OPSIZE, /* 946 */
+  IC_EVEX_L_OPSIZE, /* 947 */
+  IC_EVEX_L_OPSIZE, /* 948 */
+  IC_EVEX_L_OPSIZE, /* 949 */
+  IC_EVEX_L_OPSIZE, /* 950 */
+  IC_EVEX_L_OPSIZE, /* 951 */
+  IC_EVEX_L_W_OPSIZE, /* 952 */
+  IC_EVEX_L_W_OPSIZE, /* 953 */
+  IC_EVEX_L_W_OPSIZE, /* 954 */
+  IC_EVEX_L_W_OPSIZE, /* 955 */
+  IC_EVEX_L_W_OPSIZE, /* 956 */
+  IC_EVEX_L_W_OPSIZE, /* 957 */
+  IC_EVEX_L_W_OPSIZE, /* 958 */
+  IC_EVEX_L_W_OPSIZE, /* 959 */
+  IC_EVEX_L, /* 960 */
+  IC_EVEX_L, /* 961 */
+  IC_EVEX_L_XS, /* 962 */
+  IC_EVEX_L_XS, /* 963 */
+  IC_EVEX_L_XD, /* 964 */
+  IC_EVEX_L_XD, /* 965 */
+  IC_EVEX_L_XD, /* 966 */
+  IC_EVEX_L_XD, /* 967 */
+  IC_EVEX_L_W, /* 968 */
+  IC_EVEX_L_W, /* 969 */
+  IC_EVEX_L_W_XS, /* 970 */
+  IC_EVEX_L_W_XS, /* 971 */
+  IC_EVEX_L_W_XD, /* 972 */
+  IC_EVEX_L_W_XD, /* 973 */
+  IC_EVEX_L_W_XD, /* 974 */
+  IC_EVEX_L_W_XD, /* 975 */
+  IC_EVEX_L_OPSIZE, /* 976 */
+  IC_EVEX_L_OPSIZE, /* 977 */
   IC_EVEX_L_OPSIZE, /* 978 */
   IC_EVEX_L_OPSIZE, /* 979 */
   IC_EVEX_L_OPSIZE, /* 980 */
@@ -33427,22 +46202,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 1062 */
   IC_64BIT_XS, /* 1063 */
   IC_ADSIZE, /* 1064 */
-  IC_64BIT_ADSIZE, /* 1065 */
+  IC_64BIT_REXW_ADSIZE, /* 1065 */
   IC_XS, /* 1066 */
   IC_64BIT_REXW_XS, /* 1067 */
   IC_XD, /* 1068 */
   IC_64BIT_REXW_XD, /* 1069 */
   IC_XS, /* 1070 */
   IC_64BIT_REXW_XS, /* 1071 */
-  IC_OPSIZE, /* 1072 */
-  IC_64BIT_OPSIZE, /* 1073 */
+  IC_OPSIZE_ADSIZE, /* 1072 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 1073 */
   IC_XS_OPSIZE, /* 1074 */
   IC_64BIT_XS_OPSIZE, /* 1075 */
   IC_XD_OPSIZE, /* 1076 */
   IC_64BIT_XD_OPSIZE, /* 1077 */
   IC_XS_OPSIZE, /* 1078 */
   IC_64BIT_XD_OPSIZE, /* 1079 */
-  IC_OPSIZE, /* 1080 */
+  IC_OPSIZE_ADSIZE, /* 1080 */
   IC_64BIT_REXW_OPSIZE, /* 1081 */
   IC_XS_OPSIZE, /* 1082 */
   IC_64BIT_REXW_XS, /* 1083 */
@@ -33939,22 +46714,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 1574 */
   IC_64BIT_XS, /* 1575 */
   IC_ADSIZE, /* 1576 */
-  IC_64BIT_ADSIZE, /* 1577 */
+  IC_64BIT_REXW_ADSIZE, /* 1577 */
   IC_XS, /* 1578 */
   IC_64BIT_REXW_XS, /* 1579 */
   IC_XD, /* 1580 */
   IC_64BIT_REXW_XD, /* 1581 */
   IC_XS, /* 1582 */
   IC_64BIT_REXW_XS, /* 1583 */
-  IC_OPSIZE, /* 1584 */
-  IC_64BIT_OPSIZE, /* 1585 */
+  IC_OPSIZE_ADSIZE, /* 1584 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 1585 */
   IC_XS_OPSIZE, /* 1586 */
   IC_64BIT_XS_OPSIZE, /* 1587 */
   IC_XD_OPSIZE, /* 1588 */
   IC_64BIT_XD_OPSIZE, /* 1589 */
   IC_XS_OPSIZE, /* 1590 */
   IC_64BIT_XD_OPSIZE, /* 1591 */
-  IC_OPSIZE, /* 1592 */
+  IC_OPSIZE_ADSIZE, /* 1592 */
   IC_64BIT_REXW_OPSIZE, /* 1593 */
   IC_XS_OPSIZE, /* 1594 */
   IC_64BIT_REXW_XS, /* 1595 */
@@ -34451,22 +47226,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 2086 */
   IC_64BIT_XS, /* 2087 */
   IC_ADSIZE, /* 2088 */
-  IC_64BIT_ADSIZE, /* 2089 */
+  IC_64BIT_REXW_ADSIZE, /* 2089 */
   IC_XS, /* 2090 */
   IC_64BIT_REXW_XS, /* 2091 */
   IC_XD, /* 2092 */
   IC_64BIT_REXW_XD, /* 2093 */
   IC_XS, /* 2094 */
   IC_64BIT_REXW_XS, /* 2095 */
-  IC_OPSIZE, /* 2096 */
-  IC_64BIT_OPSIZE, /* 2097 */
+  IC_OPSIZE_ADSIZE, /* 2096 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 2097 */
   IC_XS_OPSIZE, /* 2098 */
   IC_64BIT_XS_OPSIZE, /* 2099 */
   IC_XD_OPSIZE, /* 2100 */
   IC_64BIT_XD_OPSIZE, /* 2101 */
   IC_XS_OPSIZE, /* 2102 */
   IC_64BIT_XD_OPSIZE, /* 2103 */
-  IC_OPSIZE, /* 2104 */
+  IC_OPSIZE_ADSIZE, /* 2104 */
   IC_64BIT_REXW_OPSIZE, /* 2105 */
   IC_XS_OPSIZE, /* 2106 */
   IC_64BIT_REXW_XS, /* 2107 */
@@ -34963,22 +47738,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 2598 */
   IC_64BIT_XS, /* 2599 */
   IC_ADSIZE, /* 2600 */
-  IC_64BIT_ADSIZE, /* 2601 */
+  IC_64BIT_REXW_ADSIZE, /* 2601 */
   IC_XS, /* 2602 */
   IC_64BIT_REXW_XS, /* 2603 */
   IC_XD, /* 2604 */
   IC_64BIT_REXW_XD, /* 2605 */
   IC_XS, /* 2606 */
   IC_64BIT_REXW_XS, /* 2607 */
-  IC_OPSIZE, /* 2608 */
-  IC_64BIT_OPSIZE, /* 2609 */
+  IC_OPSIZE_ADSIZE, /* 2608 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 2609 */
   IC_XS_OPSIZE, /* 2610 */
   IC_64BIT_XS_OPSIZE, /* 2611 */
   IC_XD_OPSIZE, /* 2612 */
   IC_64BIT_XD_OPSIZE, /* 2613 */
   IC_XS_OPSIZE, /* 2614 */
   IC_64BIT_XD_OPSIZE, /* 2615 */
-  IC_OPSIZE, /* 2616 */
+  IC_OPSIZE_ADSIZE, /* 2616 */
   IC_64BIT_REXW_OPSIZE, /* 2617 */
   IC_XS_OPSIZE, /* 2618 */
   IC_64BIT_REXW_XS, /* 2619 */
@@ -35475,22 +48250,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 3110 */
   IC_64BIT_XS, /* 3111 */
   IC_ADSIZE, /* 3112 */
-  IC_64BIT_ADSIZE, /* 3113 */
+  IC_64BIT_REXW_ADSIZE, /* 3113 */
   IC_XS, /* 3114 */
   IC_64BIT_REXW_XS, /* 3115 */
   IC_XD, /* 3116 */
   IC_64BIT_REXW_XD, /* 3117 */
   IC_XS, /* 3118 */
   IC_64BIT_REXW_XS, /* 3119 */
-  IC_OPSIZE, /* 3120 */
-  IC_64BIT_OPSIZE, /* 3121 */
+  IC_OPSIZE_ADSIZE, /* 3120 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 3121 */
   IC_XS_OPSIZE, /* 3122 */
   IC_64BIT_XS_OPSIZE, /* 3123 */
   IC_XD_OPSIZE, /* 3124 */
   IC_64BIT_XD_OPSIZE, /* 3125 */
   IC_XS_OPSIZE, /* 3126 */
   IC_64BIT_XD_OPSIZE, /* 3127 */
-  IC_OPSIZE, /* 3128 */
+  IC_OPSIZE_ADSIZE, /* 3128 */
   IC_64BIT_REXW_OPSIZE, /* 3129 */
   IC_XS_OPSIZE, /* 3130 */
   IC_64BIT_REXW_XS, /* 3131 */
@@ -35987,22 +48762,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 3622 */
   IC_64BIT_XS, /* 3623 */
   IC_ADSIZE, /* 3624 */
-  IC_64BIT_ADSIZE, /* 3625 */
+  IC_64BIT_REXW_ADSIZE, /* 3625 */
   IC_XS, /* 3626 */
   IC_64BIT_REXW_XS, /* 3627 */
   IC_XD, /* 3628 */
   IC_64BIT_REXW_XD, /* 3629 */
   IC_XS, /* 3630 */
   IC_64BIT_REXW_XS, /* 3631 */
-  IC_OPSIZE, /* 3632 */
-  IC_64BIT_OPSIZE, /* 3633 */
+  IC_OPSIZE_ADSIZE, /* 3632 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 3633 */
   IC_XS_OPSIZE, /* 3634 */
   IC_64BIT_XS_OPSIZE, /* 3635 */
   IC_XD_OPSIZE, /* 3636 */
   IC_64BIT_XD_OPSIZE, /* 3637 */
   IC_XS_OPSIZE, /* 3638 */
   IC_64BIT_XD_OPSIZE, /* 3639 */
-  IC_OPSIZE, /* 3640 */
+  IC_OPSIZE_ADSIZE, /* 3640 */
   IC_64BIT_REXW_OPSIZE, /* 3641 */
   IC_XS_OPSIZE, /* 3642 */
   IC_64BIT_REXW_XS, /* 3643 */
@@ -36499,22 +49274,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 4134 */
   IC_64BIT_XS, /* 4135 */
   IC_ADSIZE, /* 4136 */
-  IC_64BIT_ADSIZE, /* 4137 */
+  IC_64BIT_REXW_ADSIZE, /* 4137 */
   IC_XS, /* 4138 */
   IC_64BIT_REXW_XS, /* 4139 */
   IC_XD, /* 4140 */
   IC_64BIT_REXW_XD, /* 4141 */
   IC_XS, /* 4142 */
   IC_64BIT_REXW_XS, /* 4143 */
-  IC_OPSIZE, /* 4144 */
-  IC_64BIT_OPSIZE, /* 4145 */
+  IC_OPSIZE_ADSIZE, /* 4144 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 4145 */
   IC_XS_OPSIZE, /* 4146 */
   IC_64BIT_XS_OPSIZE, /* 4147 */
   IC_XD_OPSIZE, /* 4148 */
   IC_64BIT_XD_OPSIZE, /* 4149 */
   IC_XS_OPSIZE, /* 4150 */
   IC_64BIT_XD_OPSIZE, /* 4151 */
-  IC_OPSIZE, /* 4152 */
+  IC_OPSIZE_ADSIZE, /* 4152 */
   IC_64BIT_REXW_OPSIZE, /* 4153 */
   IC_XS_OPSIZE, /* 4154 */
   IC_64BIT_REXW_XS, /* 4155 */
@@ -37011,22 +49786,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 4646 */
   IC_64BIT_XS, /* 4647 */
   IC_ADSIZE, /* 4648 */
-  IC_64BIT_ADSIZE, /* 4649 */
+  IC_64BIT_REXW_ADSIZE, /* 4649 */
   IC_XS, /* 4650 */
   IC_64BIT_REXW_XS, /* 4651 */
   IC_XD, /* 4652 */
   IC_64BIT_REXW_XD, /* 4653 */
   IC_XS, /* 4654 */
   IC_64BIT_REXW_XS, /* 4655 */
-  IC_OPSIZE, /* 4656 */
-  IC_64BIT_OPSIZE, /* 4657 */
+  IC_OPSIZE_ADSIZE, /* 4656 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 4657 */
   IC_XS_OPSIZE, /* 4658 */
   IC_64BIT_XS_OPSIZE, /* 4659 */
   IC_XD_OPSIZE, /* 4660 */
   IC_64BIT_XD_OPSIZE, /* 4661 */
   IC_XS_OPSIZE, /* 4662 */
   IC_64BIT_XD_OPSIZE, /* 4663 */
-  IC_OPSIZE, /* 4664 */
+  IC_OPSIZE_ADSIZE, /* 4664 */
   IC_64BIT_REXW_OPSIZE, /* 4665 */
   IC_XS_OPSIZE, /* 4666 */
   IC_64BIT_REXW_XS, /* 4667 */
@@ -37523,22 +50298,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 5158 */
   IC_64BIT_XS, /* 5159 */
   IC_ADSIZE, /* 5160 */
-  IC_64BIT_ADSIZE, /* 5161 */
+  IC_64BIT_REXW_ADSIZE, /* 5161 */
   IC_XS, /* 5162 */
   IC_64BIT_REXW_XS, /* 5163 */
   IC_XD, /* 5164 */
   IC_64BIT_REXW_XD, /* 5165 */
   IC_XS, /* 5166 */
   IC_64BIT_REXW_XS, /* 5167 */
-  IC_OPSIZE, /* 5168 */
-  IC_64BIT_OPSIZE, /* 5169 */
+  IC_OPSIZE_ADSIZE, /* 5168 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 5169 */
   IC_XS_OPSIZE, /* 5170 */
   IC_64BIT_XS_OPSIZE, /* 5171 */
   IC_XD_OPSIZE, /* 5172 */
   IC_64BIT_XD_OPSIZE, /* 5173 */
   IC_XS_OPSIZE, /* 5174 */
   IC_64BIT_XD_OPSIZE, /* 5175 */
-  IC_OPSIZE, /* 5176 */
+  IC_OPSIZE_ADSIZE, /* 5176 */
   IC_64BIT_REXW_OPSIZE, /* 5177 */
   IC_XS_OPSIZE, /* 5178 */
   IC_64BIT_REXW_XS, /* 5179 */
@@ -38035,22 +50810,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 5670 */
   IC_64BIT_XS, /* 5671 */
   IC_ADSIZE, /* 5672 */
-  IC_64BIT_ADSIZE, /* 5673 */
+  IC_64BIT_REXW_ADSIZE, /* 5673 */
   IC_XS, /* 5674 */
   IC_64BIT_REXW_XS, /* 5675 */
   IC_XD, /* 5676 */
   IC_64BIT_REXW_XD, /* 5677 */
   IC_XS, /* 5678 */
   IC_64BIT_REXW_XS, /* 5679 */
-  IC_OPSIZE, /* 5680 */
-  IC_64BIT_OPSIZE, /* 5681 */
+  IC_OPSIZE_ADSIZE, /* 5680 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 5681 */
   IC_XS_OPSIZE, /* 5682 */
   IC_64BIT_XS_OPSIZE, /* 5683 */
   IC_XD_OPSIZE, /* 5684 */
   IC_64BIT_XD_OPSIZE, /* 5685 */
   IC_XS_OPSIZE, /* 5686 */
   IC_64BIT_XD_OPSIZE, /* 5687 */
-  IC_OPSIZE, /* 5688 */
+  IC_OPSIZE_ADSIZE, /* 5688 */
   IC_64BIT_REXW_OPSIZE, /* 5689 */
   IC_XS_OPSIZE, /* 5690 */
   IC_64BIT_REXW_XS, /* 5691 */
@@ -38547,22 +51322,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 6182 */
   IC_64BIT_XS, /* 6183 */
   IC_ADSIZE, /* 6184 */
-  IC_64BIT_ADSIZE, /* 6185 */
+  IC_64BIT_REXW_ADSIZE, /* 6185 */
   IC_XS, /* 6186 */
   IC_64BIT_REXW_XS, /* 6187 */
   IC_XD, /* 6188 */
   IC_64BIT_REXW_XD, /* 6189 */
   IC_XS, /* 6190 */
   IC_64BIT_REXW_XS, /* 6191 */
-  IC_OPSIZE, /* 6192 */
-  IC_64BIT_OPSIZE, /* 6193 */
+  IC_OPSIZE_ADSIZE, /* 6192 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 6193 */
   IC_XS_OPSIZE, /* 6194 */
   IC_64BIT_XS_OPSIZE, /* 6195 */
   IC_XD_OPSIZE, /* 6196 */
   IC_64BIT_XD_OPSIZE, /* 6197 */
   IC_XS_OPSIZE, /* 6198 */
   IC_64BIT_XD_OPSIZE, /* 6199 */
-  IC_OPSIZE, /* 6200 */
+  IC_OPSIZE_ADSIZE, /* 6200 */
   IC_64BIT_REXW_OPSIZE, /* 6201 */
   IC_XS_OPSIZE, /* 6202 */
   IC_64BIT_REXW_XS, /* 6203 */
@@ -39059,22 +51834,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 6694 */
   IC_64BIT_XS, /* 6695 */
   IC_ADSIZE, /* 6696 */
-  IC_64BIT_ADSIZE, /* 6697 */
+  IC_64BIT_REXW_ADSIZE, /* 6697 */
   IC_XS, /* 6698 */
   IC_64BIT_REXW_XS, /* 6699 */
   IC_XD, /* 6700 */
   IC_64BIT_REXW_XD, /* 6701 */
   IC_XS, /* 6702 */
   IC_64BIT_REXW_XS, /* 6703 */
-  IC_OPSIZE, /* 6704 */
-  IC_64BIT_OPSIZE, /* 6705 */
+  IC_OPSIZE_ADSIZE, /* 6704 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 6705 */
   IC_XS_OPSIZE, /* 6706 */
   IC_64BIT_XS_OPSIZE, /* 6707 */
   IC_XD_OPSIZE, /* 6708 */
   IC_64BIT_XD_OPSIZE, /* 6709 */
   IC_XS_OPSIZE, /* 6710 */
   IC_64BIT_XD_OPSIZE, /* 6711 */
-  IC_OPSIZE, /* 6712 */
+  IC_OPSIZE_ADSIZE, /* 6712 */
   IC_64BIT_REXW_OPSIZE, /* 6713 */
   IC_XS_OPSIZE, /* 6714 */
   IC_64BIT_REXW_XS, /* 6715 */
@@ -39571,22 +52346,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 7206 */
   IC_64BIT_XS, /* 7207 */
   IC_ADSIZE, /* 7208 */
-  IC_64BIT_ADSIZE, /* 7209 */
+  IC_64BIT_REXW_ADSIZE, /* 7209 */
   IC_XS, /* 7210 */
   IC_64BIT_REXW_XS, /* 7211 */
   IC_XD, /* 7212 */
   IC_64BIT_REXW_XD, /* 7213 */
   IC_XS, /* 7214 */
   IC_64BIT_REXW_XS, /* 7215 */
-  IC_OPSIZE, /* 7216 */
-  IC_64BIT_OPSIZE, /* 7217 */
+  IC_OPSIZE_ADSIZE, /* 7216 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 7217 */
   IC_XS_OPSIZE, /* 7218 */
   IC_64BIT_XS_OPSIZE, /* 7219 */
   IC_XD_OPSIZE, /* 7220 */
   IC_64BIT_XD_OPSIZE, /* 7221 */
   IC_XS_OPSIZE, /* 7222 */
   IC_64BIT_XD_OPSIZE, /* 7223 */
-  IC_OPSIZE, /* 7224 */
+  IC_OPSIZE_ADSIZE, /* 7224 */
   IC_64BIT_REXW_OPSIZE, /* 7225 */
   IC_XS_OPSIZE, /* 7226 */
   IC_64BIT_REXW_XS, /* 7227 */
@@ -40083,22 +52858,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 7718 */
   IC_64BIT_XS, /* 7719 */
   IC_ADSIZE, /* 7720 */
-  IC_64BIT_ADSIZE, /* 7721 */
+  IC_64BIT_REXW_ADSIZE, /* 7721 */
   IC_XS, /* 7722 */
   IC_64BIT_REXW_XS, /* 7723 */
   IC_XD, /* 7724 */
   IC_64BIT_REXW_XD, /* 7725 */
   IC_XS, /* 7726 */
   IC_64BIT_REXW_XS, /* 7727 */
-  IC_OPSIZE, /* 7728 */
-  IC_64BIT_OPSIZE, /* 7729 */
+  IC_OPSIZE_ADSIZE, /* 7728 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 7729 */
   IC_XS_OPSIZE, /* 7730 */
   IC_64BIT_XS_OPSIZE, /* 7731 */
   IC_XD_OPSIZE, /* 7732 */
   IC_64BIT_XD_OPSIZE, /* 7733 */
   IC_XS_OPSIZE, /* 7734 */
   IC_64BIT_XD_OPSIZE, /* 7735 */
-  IC_OPSIZE, /* 7736 */
+  IC_OPSIZE_ADSIZE, /* 7736 */
   IC_64BIT_REXW_OPSIZE, /* 7737 */
   IC_XS_OPSIZE, /* 7738 */
   IC_64BIT_REXW_XS, /* 7739 */
@@ -40595,22 +53370,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 8230 */
   IC_64BIT_XS, /* 8231 */
   IC_ADSIZE, /* 8232 */
-  IC_64BIT_ADSIZE, /* 8233 */
+  IC_64BIT_REXW_ADSIZE, /* 8233 */
   IC_XS, /* 8234 */
   IC_64BIT_REXW_XS, /* 8235 */
   IC_XD, /* 8236 */
   IC_64BIT_REXW_XD, /* 8237 */
   IC_XS, /* 8238 */
   IC_64BIT_REXW_XS, /* 8239 */
-  IC_OPSIZE, /* 8240 */
-  IC_64BIT_OPSIZE, /* 8241 */
+  IC_OPSIZE_ADSIZE, /* 8240 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 8241 */
   IC_XS_OPSIZE, /* 8242 */
   IC_64BIT_XS_OPSIZE, /* 8243 */
   IC_XD_OPSIZE, /* 8244 */
   IC_64BIT_XD_OPSIZE, /* 8245 */
   IC_XS_OPSIZE, /* 8246 */
   IC_64BIT_XD_OPSIZE, /* 8247 */
-  IC_OPSIZE, /* 8248 */
+  IC_OPSIZE_ADSIZE, /* 8248 */
   IC_64BIT_REXW_OPSIZE, /* 8249 */
   IC_XS_OPSIZE, /* 8250 */
   IC_64BIT_REXW_XS, /* 8251 */
@@ -41107,22 +53882,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 8742 */
   IC_64BIT_XS, /* 8743 */
   IC_ADSIZE, /* 8744 */
-  IC_64BIT_ADSIZE, /* 8745 */
+  IC_64BIT_REXW_ADSIZE, /* 8745 */
   IC_XS, /* 8746 */
   IC_64BIT_REXW_XS, /* 8747 */
   IC_XD, /* 8748 */
   IC_64BIT_REXW_XD, /* 8749 */
   IC_XS, /* 8750 */
   IC_64BIT_REXW_XS, /* 8751 */
-  IC_OPSIZE, /* 8752 */
-  IC_64BIT_OPSIZE, /* 8753 */
+  IC_OPSIZE_ADSIZE, /* 8752 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 8753 */
   IC_XS_OPSIZE, /* 8754 */
   IC_64BIT_XS_OPSIZE, /* 8755 */
   IC_XD_OPSIZE, /* 8756 */
   IC_64BIT_XD_OPSIZE, /* 8757 */
   IC_XS_OPSIZE, /* 8758 */
   IC_64BIT_XD_OPSIZE, /* 8759 */
-  IC_OPSIZE, /* 8760 */
+  IC_OPSIZE_ADSIZE, /* 8760 */
   IC_64BIT_REXW_OPSIZE, /* 8761 */
   IC_XS_OPSIZE, /* 8762 */
   IC_64BIT_REXW_XS, /* 8763 */
@@ -41619,22 +54394,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 9254 */
   IC_64BIT_XS, /* 9255 */
   IC_ADSIZE, /* 9256 */
-  IC_64BIT_ADSIZE, /* 9257 */
+  IC_64BIT_REXW_ADSIZE, /* 9257 */
   IC_XS, /* 9258 */
   IC_64BIT_REXW_XS, /* 9259 */
   IC_XD, /* 9260 */
   IC_64BIT_REXW_XD, /* 9261 */
   IC_XS, /* 9262 */
   IC_64BIT_REXW_XS, /* 9263 */
-  IC_OPSIZE, /* 9264 */
-  IC_64BIT_OPSIZE, /* 9265 */
+  IC_OPSIZE_ADSIZE, /* 9264 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 9265 */
   IC_XS_OPSIZE, /* 9266 */
   IC_64BIT_XS_OPSIZE, /* 9267 */
   IC_XD_OPSIZE, /* 9268 */
   IC_64BIT_XD_OPSIZE, /* 9269 */
   IC_XS_OPSIZE, /* 9270 */
   IC_64BIT_XD_OPSIZE, /* 9271 */
-  IC_OPSIZE, /* 9272 */
+  IC_OPSIZE_ADSIZE, /* 9272 */
   IC_64BIT_REXW_OPSIZE, /* 9273 */
   IC_XS_OPSIZE, /* 9274 */
   IC_64BIT_REXW_XS, /* 9275 */
@@ -42131,22 +54906,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 9766 */
   IC_64BIT_XS, /* 9767 */
   IC_ADSIZE, /* 9768 */
-  IC_64BIT_ADSIZE, /* 9769 */
+  IC_64BIT_REXW_ADSIZE, /* 9769 */
   IC_XS, /* 9770 */
   IC_64BIT_REXW_XS, /* 9771 */
   IC_XD, /* 9772 */
   IC_64BIT_REXW_XD, /* 9773 */
   IC_XS, /* 9774 */
   IC_64BIT_REXW_XS, /* 9775 */
-  IC_OPSIZE, /* 9776 */
-  IC_64BIT_OPSIZE, /* 9777 */
+  IC_OPSIZE_ADSIZE, /* 9776 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 9777 */
   IC_XS_OPSIZE, /* 9778 */
   IC_64BIT_XS_OPSIZE, /* 9779 */
   IC_XD_OPSIZE, /* 9780 */
   IC_64BIT_XD_OPSIZE, /* 9781 */
   IC_XS_OPSIZE, /* 9782 */
   IC_64BIT_XD_OPSIZE, /* 9783 */
-  IC_OPSIZE, /* 9784 */
+  IC_OPSIZE_ADSIZE, /* 9784 */
   IC_64BIT_REXW_OPSIZE, /* 9785 */
   IC_XS_OPSIZE, /* 9786 */
   IC_64BIT_REXW_XS, /* 9787 */
@@ -42643,22 +55418,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 10278 */
   IC_64BIT_XS, /* 10279 */
   IC_ADSIZE, /* 10280 */
-  IC_64BIT_ADSIZE, /* 10281 */
+  IC_64BIT_REXW_ADSIZE, /* 10281 */
   IC_XS, /* 10282 */
   IC_64BIT_REXW_XS, /* 10283 */
   IC_XD, /* 10284 */
   IC_64BIT_REXW_XD, /* 10285 */
   IC_XS, /* 10286 */
   IC_64BIT_REXW_XS, /* 10287 */
-  IC_OPSIZE, /* 10288 */
-  IC_64BIT_OPSIZE, /* 10289 */
+  IC_OPSIZE_ADSIZE, /* 10288 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 10289 */
   IC_XS_OPSIZE, /* 10290 */
   IC_64BIT_XS_OPSIZE, /* 10291 */
   IC_XD_OPSIZE, /* 10292 */
   IC_64BIT_XD_OPSIZE, /* 10293 */
   IC_XS_OPSIZE, /* 10294 */
   IC_64BIT_XD_OPSIZE, /* 10295 */
-  IC_OPSIZE, /* 10296 */
+  IC_OPSIZE_ADSIZE, /* 10296 */
   IC_64BIT_REXW_OPSIZE, /* 10297 */
   IC_XS_OPSIZE, /* 10298 */
   IC_64BIT_REXW_XS, /* 10299 */
@@ -43155,22 +55930,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 10790 */
   IC_64BIT_XS, /* 10791 */
   IC_ADSIZE, /* 10792 */
-  IC_64BIT_ADSIZE, /* 10793 */
+  IC_64BIT_REXW_ADSIZE, /* 10793 */
   IC_XS, /* 10794 */
   IC_64BIT_REXW_XS, /* 10795 */
   IC_XD, /* 10796 */
   IC_64BIT_REXW_XD, /* 10797 */
   IC_XS, /* 10798 */
   IC_64BIT_REXW_XS, /* 10799 */
-  IC_OPSIZE, /* 10800 */
-  IC_64BIT_OPSIZE, /* 10801 */
+  IC_OPSIZE_ADSIZE, /* 10800 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 10801 */
   IC_XS_OPSIZE, /* 10802 */
   IC_64BIT_XS_OPSIZE, /* 10803 */
   IC_XD_OPSIZE, /* 10804 */
   IC_64BIT_XD_OPSIZE, /* 10805 */
   IC_XS_OPSIZE, /* 10806 */
   IC_64BIT_XD_OPSIZE, /* 10807 */
-  IC_OPSIZE, /* 10808 */
+  IC_OPSIZE_ADSIZE, /* 10808 */
   IC_64BIT_REXW_OPSIZE, /* 10809 */
   IC_XS_OPSIZE, /* 10810 */
   IC_64BIT_REXW_XS, /* 10811 */
@@ -43667,22 +56442,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 11302 */
   IC_64BIT_XS, /* 11303 */
   IC_ADSIZE, /* 11304 */
-  IC_64BIT_ADSIZE, /* 11305 */
+  IC_64BIT_REXW_ADSIZE, /* 11305 */
   IC_XS, /* 11306 */
   IC_64BIT_REXW_XS, /* 11307 */
   IC_XD, /* 11308 */
   IC_64BIT_REXW_XD, /* 11309 */
   IC_XS, /* 11310 */
   IC_64BIT_REXW_XS, /* 11311 */
-  IC_OPSIZE, /* 11312 */
-  IC_64BIT_OPSIZE, /* 11313 */
+  IC_OPSIZE_ADSIZE, /* 11312 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 11313 */
   IC_XS_OPSIZE, /* 11314 */
   IC_64BIT_XS_OPSIZE, /* 11315 */
   IC_XD_OPSIZE, /* 11316 */
   IC_64BIT_XD_OPSIZE, /* 11317 */
   IC_XS_OPSIZE, /* 11318 */
   IC_64BIT_XD_OPSIZE, /* 11319 */
-  IC_OPSIZE, /* 11320 */
+  IC_OPSIZE_ADSIZE, /* 11320 */
   IC_64BIT_REXW_OPSIZE, /* 11321 */
   IC_XS_OPSIZE, /* 11322 */
   IC_64BIT_REXW_XS, /* 11323 */
@@ -44179,22 +56954,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 11814 */
   IC_64BIT_XS, /* 11815 */
   IC_ADSIZE, /* 11816 */
-  IC_64BIT_ADSIZE, /* 11817 */
+  IC_64BIT_REXW_ADSIZE, /* 11817 */
   IC_XS, /* 11818 */
   IC_64BIT_REXW_XS, /* 11819 */
   IC_XD, /* 11820 */
   IC_64BIT_REXW_XD, /* 11821 */
   IC_XS, /* 11822 */
   IC_64BIT_REXW_XS, /* 11823 */
-  IC_OPSIZE, /* 11824 */
-  IC_64BIT_OPSIZE, /* 11825 */
+  IC_OPSIZE_ADSIZE, /* 11824 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 11825 */
   IC_XS_OPSIZE, /* 11826 */
   IC_64BIT_XS_OPSIZE, /* 11827 */
   IC_XD_OPSIZE, /* 11828 */
   IC_64BIT_XD_OPSIZE, /* 11829 */
   IC_XS_OPSIZE, /* 11830 */
   IC_64BIT_XD_OPSIZE, /* 11831 */
-  IC_OPSIZE, /* 11832 */
+  IC_OPSIZE_ADSIZE, /* 11832 */
   IC_64BIT_REXW_OPSIZE, /* 11833 */
   IC_XS_OPSIZE, /* 11834 */
   IC_64BIT_REXW_XS, /* 11835 */
@@ -44691,22 +57466,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 12326 */
   IC_64BIT_XS, /* 12327 */
   IC_ADSIZE, /* 12328 */
-  IC_64BIT_ADSIZE, /* 12329 */
+  IC_64BIT_REXW_ADSIZE, /* 12329 */
   IC_XS, /* 12330 */
   IC_64BIT_REXW_XS, /* 12331 */
   IC_XD, /* 12332 */
   IC_64BIT_REXW_XD, /* 12333 */
   IC_XS, /* 12334 */
   IC_64BIT_REXW_XS, /* 12335 */
-  IC_OPSIZE, /* 12336 */
-  IC_64BIT_OPSIZE, /* 12337 */
+  IC_OPSIZE_ADSIZE, /* 12336 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 12337 */
   IC_XS_OPSIZE, /* 12338 */
   IC_64BIT_XS_OPSIZE, /* 12339 */
   IC_XD_OPSIZE, /* 12340 */
   IC_64BIT_XD_OPSIZE, /* 12341 */
   IC_XS_OPSIZE, /* 12342 */
   IC_64BIT_XD_OPSIZE, /* 12343 */
-  IC_OPSIZE, /* 12344 */
+  IC_OPSIZE_ADSIZE, /* 12344 */
   IC_64BIT_REXW_OPSIZE, /* 12345 */
   IC_XS_OPSIZE, /* 12346 */
   IC_64BIT_REXW_XS, /* 12347 */
@@ -45203,22 +57978,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 12838 */
   IC_64BIT_XS, /* 12839 */
   IC_ADSIZE, /* 12840 */
-  IC_64BIT_ADSIZE, /* 12841 */
+  IC_64BIT_REXW_ADSIZE, /* 12841 */
   IC_XS, /* 12842 */
   IC_64BIT_REXW_XS, /* 12843 */
   IC_XD, /* 12844 */
   IC_64BIT_REXW_XD, /* 12845 */
   IC_XS, /* 12846 */
   IC_64BIT_REXW_XS, /* 12847 */
-  IC_OPSIZE, /* 12848 */
-  IC_64BIT_OPSIZE, /* 12849 */
+  IC_OPSIZE_ADSIZE, /* 12848 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 12849 */
   IC_XS_OPSIZE, /* 12850 */
   IC_64BIT_XS_OPSIZE, /* 12851 */
   IC_XD_OPSIZE, /* 12852 */
   IC_64BIT_XD_OPSIZE, /* 12853 */
   IC_XS_OPSIZE, /* 12854 */
   IC_64BIT_XD_OPSIZE, /* 12855 */
-  IC_OPSIZE, /* 12856 */
+  IC_OPSIZE_ADSIZE, /* 12856 */
   IC_64BIT_REXW_OPSIZE, /* 12857 */
   IC_XS_OPSIZE, /* 12858 */
   IC_64BIT_REXW_XS, /* 12859 */
@@ -45715,22 +58490,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 13350 */
   IC_64BIT_XS, /* 13351 */
   IC_ADSIZE, /* 13352 */
-  IC_64BIT_ADSIZE, /* 13353 */
+  IC_64BIT_REXW_ADSIZE, /* 13353 */
   IC_XS, /* 13354 */
   IC_64BIT_REXW_XS, /* 13355 */
   IC_XD, /* 13356 */
   IC_64BIT_REXW_XD, /* 13357 */
   IC_XS, /* 13358 */
   IC_64BIT_REXW_XS, /* 13359 */
-  IC_OPSIZE, /* 13360 */
-  IC_64BIT_OPSIZE, /* 13361 */
+  IC_OPSIZE_ADSIZE, /* 13360 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 13361 */
   IC_XS_OPSIZE, /* 13362 */
   IC_64BIT_XS_OPSIZE, /* 13363 */
   IC_XD_OPSIZE, /* 13364 */
   IC_64BIT_XD_OPSIZE, /* 13365 */
   IC_XS_OPSIZE, /* 13366 */
   IC_64BIT_XD_OPSIZE, /* 13367 */
-  IC_OPSIZE, /* 13368 */
+  IC_OPSIZE_ADSIZE, /* 13368 */
   IC_64BIT_REXW_OPSIZE, /* 13369 */
   IC_XS_OPSIZE, /* 13370 */
   IC_64BIT_REXW_XS, /* 13371 */
@@ -46227,22 +59002,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 13862 */
   IC_64BIT_XS, /* 13863 */
   IC_ADSIZE, /* 13864 */
-  IC_64BIT_ADSIZE, /* 13865 */
+  IC_64BIT_REXW_ADSIZE, /* 13865 */
   IC_XS, /* 13866 */
   IC_64BIT_REXW_XS, /* 13867 */
   IC_XD, /* 13868 */
   IC_64BIT_REXW_XD, /* 13869 */
   IC_XS, /* 13870 */
   IC_64BIT_REXW_XS, /* 13871 */
-  IC_OPSIZE, /* 13872 */
-  IC_64BIT_OPSIZE, /* 13873 */
+  IC_OPSIZE_ADSIZE, /* 13872 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 13873 */
   IC_XS_OPSIZE, /* 13874 */
   IC_64BIT_XS_OPSIZE, /* 13875 */
   IC_XD_OPSIZE, /* 13876 */
   IC_64BIT_XD_OPSIZE, /* 13877 */
   IC_XS_OPSIZE, /* 13878 */
   IC_64BIT_XD_OPSIZE, /* 13879 */
-  IC_OPSIZE, /* 13880 */
+  IC_OPSIZE_ADSIZE, /* 13880 */
   IC_64BIT_REXW_OPSIZE, /* 13881 */
   IC_XS_OPSIZE, /* 13882 */
   IC_64BIT_REXW_XS, /* 13883 */
@@ -46739,22 +59514,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 14374 */
   IC_64BIT_XS, /* 14375 */
   IC_ADSIZE, /* 14376 */
-  IC_64BIT_ADSIZE, /* 14377 */
+  IC_64BIT_REXW_ADSIZE, /* 14377 */
   IC_XS, /* 14378 */
   IC_64BIT_REXW_XS, /* 14379 */
   IC_XD, /* 14380 */
   IC_64BIT_REXW_XD, /* 14381 */
   IC_XS, /* 14382 */
   IC_64BIT_REXW_XS, /* 14383 */
-  IC_OPSIZE, /* 14384 */
-  IC_64BIT_OPSIZE, /* 14385 */
+  IC_OPSIZE_ADSIZE, /* 14384 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 14385 */
   IC_XS_OPSIZE, /* 14386 */
   IC_64BIT_XS_OPSIZE, /* 14387 */
   IC_XD_OPSIZE, /* 14388 */
   IC_64BIT_XD_OPSIZE, /* 14389 */
   IC_XS_OPSIZE, /* 14390 */
   IC_64BIT_XD_OPSIZE, /* 14391 */
-  IC_OPSIZE, /* 14392 */
+  IC_OPSIZE_ADSIZE, /* 14392 */
   IC_64BIT_REXW_OPSIZE, /* 14393 */
   IC_XS_OPSIZE, /* 14394 */
   IC_64BIT_REXW_XS, /* 14395 */
@@ -47251,22 +60026,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 14886 */
   IC_64BIT_XS, /* 14887 */
   IC_ADSIZE, /* 14888 */
-  IC_64BIT_ADSIZE, /* 14889 */
+  IC_64BIT_REXW_ADSIZE, /* 14889 */
   IC_XS, /* 14890 */
   IC_64BIT_REXW_XS, /* 14891 */
   IC_XD, /* 14892 */
   IC_64BIT_REXW_XD, /* 14893 */
   IC_XS, /* 14894 */
   IC_64BIT_REXW_XS, /* 14895 */
-  IC_OPSIZE, /* 14896 */
-  IC_64BIT_OPSIZE, /* 14897 */
+  IC_OPSIZE_ADSIZE, /* 14896 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 14897 */
   IC_XS_OPSIZE, /* 14898 */
   IC_64BIT_XS_OPSIZE, /* 14899 */
   IC_XD_OPSIZE, /* 14900 */
   IC_64BIT_XD_OPSIZE, /* 14901 */
   IC_XS_OPSIZE, /* 14902 */
   IC_64BIT_XD_OPSIZE, /* 14903 */
-  IC_OPSIZE, /* 14904 */
+  IC_OPSIZE_ADSIZE, /* 14904 */
   IC_64BIT_REXW_OPSIZE, /* 14905 */
   IC_XS_OPSIZE, /* 14906 */
   IC_64BIT_REXW_XS, /* 14907 */
@@ -47763,22 +60538,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 15398 */
   IC_64BIT_XS, /* 15399 */
   IC_ADSIZE, /* 15400 */
-  IC_64BIT_ADSIZE, /* 15401 */
+  IC_64BIT_REXW_ADSIZE, /* 15401 */
   IC_XS, /* 15402 */
   IC_64BIT_REXW_XS, /* 15403 */
   IC_XD, /* 15404 */
   IC_64BIT_REXW_XD, /* 15405 */
   IC_XS, /* 15406 */
   IC_64BIT_REXW_XS, /* 15407 */
-  IC_OPSIZE, /* 15408 */
-  IC_64BIT_OPSIZE, /* 15409 */
+  IC_OPSIZE_ADSIZE, /* 15408 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 15409 */
   IC_XS_OPSIZE, /* 15410 */
   IC_64BIT_XS_OPSIZE, /* 15411 */
   IC_XD_OPSIZE, /* 15412 */
   IC_64BIT_XD_OPSIZE, /* 15413 */
   IC_XS_OPSIZE, /* 15414 */
   IC_64BIT_XD_OPSIZE, /* 15415 */
-  IC_OPSIZE, /* 15416 */
+  IC_OPSIZE_ADSIZE, /* 15416 */
   IC_64BIT_REXW_OPSIZE, /* 15417 */
   IC_XS_OPSIZE, /* 15418 */
   IC_64BIT_REXW_XS, /* 15419 */
@@ -48275,22 +61050,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 15910 */
   IC_64BIT_XS, /* 15911 */
   IC_ADSIZE, /* 15912 */
-  IC_64BIT_ADSIZE, /* 15913 */
+  IC_64BIT_REXW_ADSIZE, /* 15913 */
   IC_XS, /* 15914 */
   IC_64BIT_REXW_XS, /* 15915 */
   IC_XD, /* 15916 */
   IC_64BIT_REXW_XD, /* 15917 */
   IC_XS, /* 15918 */
   IC_64BIT_REXW_XS, /* 15919 */
-  IC_OPSIZE, /* 15920 */
-  IC_64BIT_OPSIZE, /* 15921 */
+  IC_OPSIZE_ADSIZE, /* 15920 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 15921 */
   IC_XS_OPSIZE, /* 15922 */
   IC_64BIT_XS_OPSIZE, /* 15923 */
   IC_XD_OPSIZE, /* 15924 */
   IC_64BIT_XD_OPSIZE, /* 15925 */
   IC_XS_OPSIZE, /* 15926 */
   IC_64BIT_XD_OPSIZE, /* 15927 */
-  IC_OPSIZE, /* 15928 */
+  IC_OPSIZE_ADSIZE, /* 15928 */
   IC_64BIT_REXW_OPSIZE, /* 15929 */
   IC_XS_OPSIZE, /* 15930 */
   IC_64BIT_REXW_XS, /* 15931 */
@@ -48752,328 +61527,328 @@ static const InstrUID modRMTable[] = {
 /* EmptyTable */
   0x0,
 /* Table1 */
-  0x6c, /* ADD8mr */
-  0x70, /* ADD8rr */
+  0x71, /* ADD8mr */
+  0x75, /* ADD8rr */
 /* Table3 */
-  0x55, /* ADD32mr */
-  0x5b, /* ADD32rr */
+  0x59, /* ADD32mr */
+  0x5f, /* ADD32rr */
 /* Table5 */
-  0x6f, /* ADD8rm */
-  0x71, /* ADD8rr_REV */
+  0x74, /* ADD8rm */
+  0x76, /* ADD8rr_REV */
 /* Table7 */
-  0x5a, /* ADD32rm */
-  0x5d, /* ADD32rr_REV */
+  0x5e, /* ADD32rm */
+  0x61, /* ADD32rr_REV */
 /* Table9 */
-  0x6a, /* ADD8i8 */
+  0x6e, /* ADD8i8 */
 /* Table10 */
-  0x52, /* ADD32i32 */
+  0x56, /* ADD32i32 */
 /* Table11 */
-  0x8e1, /* PUSHES32 */
+  0x906, /* PUSHES32 */
 /* Table12 */
-  0x86a, /* POPES32 */
+  0x88f, /* POPES32 */
 /* Table13 */
-  0x75c, /* OR8mr */
-  0x760, /* OR8rr */
+  0x780, /* OR8mr */
+  0x784, /* OR8rr */
 /* Table15 */
-  0x74a, /* OR32mr */
-  0x74f, /* OR32rr */
+  0x76d, /* OR32mr */
+  0x772, /* OR32rr */
 /* Table17 */
-  0x75f, /* OR8rm */
-  0x761, /* OR8rr_REV */
+  0x783, /* OR8rm */
+  0x785, /* OR8rr_REV */
 /* Table19 */
-  0x74e, /* OR32rm */
-  0x750, /* OR32rr_REV */
+  0x771, /* OR32rm */
+  0x773, /* OR32rr_REV */
 /* Table21 */
-  0x75a, /* OR8i8 */
+  0x77d, /* OR8i8 */
 /* Table22 */
-  0x747, /* OR32i32 */
+  0x76a, /* OR32i32 */
 /* Table23 */
-  0x8dd, /* PUSHCS32 */
+  0x902, /* PUSHCS32 */
 /* Table24 */
-  0x3d, /* ADC8mr */
-  0x40, /* ADC8rr */
+  0x40, /* ADC8mr */
+  0x44, /* ADC8rr */
 /* Table26 */
-  0x2c, /* ADC32mr */
-  0x30, /* ADC32rr */
+  0x2e, /* ADC32mr */
+  0x32, /* ADC32rr */
 /* Table28 */
-  0x3f, /* ADC8rm */
-  0x41, /* ADC8rr_REV */
+  0x43, /* ADC8rm */
+  0x45, /* ADC8rr_REV */
 /* Table30 */
-  0x2f, /* ADC32rm */
-  0x31, /* ADC32rr_REV */
+  0x31, /* ADC32rm */
+  0x33, /* ADC32rr_REV */
 /* Table32 */
-  0x3b, /* ADC8i8 */
+  0x3d, /* ADC8i8 */
 /* Table33 */
-  0x29, /* ADC32i32 */
+  0x2b, /* ADC32i32 */
 /* Table34 */
-  0x8ec, /* PUSHSS32 */
+  0x911, /* PUSHSS32 */
 /* Table35 */
-  0x875, /* POPSS32 */
+  0x89a, /* POPSS32 */
 /* Table36 */
-  0x9ec, /* SBB8mr */
-  0x9ef, /* SBB8rr */
+  0xa2a, /* SBB8mr */
+  0xa2e, /* SBB8rr */
 /* Table38 */
-  0x9db, /* SBB32mr */
-  0x9df, /* SBB32rr */
+  0xa18, /* SBB32mr */
+  0xa1c, /* SBB32rr */
 /* Table40 */
-  0x9ee, /* SBB8rm */
-  0x9f0, /* SBB8rr_REV */
+  0xa2d, /* SBB8rm */
+  0xa2f, /* SBB8rr_REV */
 /* Table42 */
-  0x9de, /* SBB32rm */
-  0x9e0, /* SBB32rr_REV */
+  0xa1b, /* SBB32rm */
+  0xa1d, /* SBB32rr_REV */
 /* Table44 */
-  0x9ea, /* SBB8i8 */
+  0xa27, /* SBB8i8 */
 /* Table45 */
-  0x9d8, /* SBB32i32 */
+  0xa15, /* SBB32i32 */
 /* Table46 */
-  0x8df, /* PUSHDS32 */
+  0x904, /* PUSHDS32 */
 /* Table47 */
-  0x868, /* POPDS32 */
+  0x88d, /* POPDS32 */
 /* Table48 */
-  0xc8, /* AND8mr */
-  0xcc, /* AND8rr */
+  0xce, /* AND8mr */
+  0xd2, /* AND8rr */
 /* Table50 */
-  0xb7, /* AND32mr */
-  0xbb, /* AND32rr */
+  0xbc, /* AND32mr */
+  0xc0, /* AND32rr */
 /* Table52 */
-  0xcb, /* AND8rm */
-  0xcd, /* AND8rr_REV */
+  0xd1, /* AND8rm */
+  0xd3, /* AND8rr_REV */
 /* Table54 */
-  0xba, /* AND32rm */
-  0xbc, /* AND32rr_REV */
+  0xbf, /* AND32rm */
+  0xc1, /* AND32rr_REV */
 /* Table56 */
-  0xc6, /* AND8i8 */
+  0xcb, /* AND8i8 */
 /* Table57 */
-  0xb4, /* AND32i32 */
+  0xb9, /* AND32i32 */
 /* Table58 */
-  0x28b, /* DAA */
+  0x294, /* DAA */
 /* Table59 */
-  0xaef, /* SUB8mr */
-  0xaf3, /* SUB8rr */
+  0xb2f, /* SUB8mr */
+  0xb33, /* SUB8rr */
 /* Table61 */
-  0xade, /* SUB32mr */
-  0xae2, /* SUB32rr */
+  0xb1d, /* SUB32mr */
+  0xb21, /* SUB32rr */
 /* Table63 */
-  0xaf2, /* SUB8rm */
-  0xaf4, /* SUB8rr_REV */
+  0xb32, /* SUB8rm */
+  0xb34, /* SUB8rr_REV */
 /* Table65 */
-  0xae1, /* SUB32rm */
-  0xae3, /* SUB32rr_REV */
+  0xb20, /* SUB32rm */
+  0xb22, /* SUB32rr_REV */
 /* Table67 */
-  0xaed, /* SUB8i8 */
+  0xb2c, /* SUB8i8 */
 /* Table68 */
-  0xadb, /* SUB32i32 */
+  0xb1a, /* SUB32i32 */
 /* Table69 */
-  0x28c, /* DAS */
+  0x295, /* DAS */
 /* Table70 */
-  0x1865, /* XOR8mr */
-  0x1869, /* XOR8rr */
+  0x2277, /* XOR8mr */
+  0x227b, /* XOR8rr */
 /* Table72 */
-  0x1854, /* XOR32mr */
-  0x1858, /* XOR32rr */
+  0x2265, /* XOR32mr */
+  0x2269, /* XOR32rr */
 /* Table74 */
-  0x1868, /* XOR8rm */
-  0x186a, /* XOR8rr_REV */
+  0x227a, /* XOR8rm */
+  0x227c, /* XOR8rr_REV */
 /* Table76 */
-  0x1857, /* XOR32rm */
-  0x1859, /* XOR32rr_REV */
+  0x2268, /* XOR32rm */
+  0x226a, /* XOR32rr_REV */
 /* Table78 */
-  0x1863, /* XOR8i8 */
+  0x2274, /* XOR8i8 */
 /* Table79 */
-  0x1851, /* XOR32i32 */
+  0x2262, /* XOR32i32 */
 /* Table80 */
-  0x14, /* AAA */
+  0x16, /* AAA */
 /* Table81 */
-  0x221, /* CMP8mr */
-  0x224, /* CMP8rr */
+  0x22a, /* CMP8mr */
+  0x22e, /* CMP8rr */
 /* Table83 */
-  0x210, /* CMP32mr */
-  0x214, /* CMP32rr */
+  0x218, /* CMP32mr */
+  0x21c, /* CMP32rr */
 /* Table85 */
-  0x223, /* CMP8rm */
-  0x225, /* CMP8rr_REV */
+  0x22d, /* CMP8rm */
+  0x22f, /* CMP8rr_REV */
 /* Table87 */
-  0x213, /* CMP32rm */
-  0x215, /* CMP32rr_REV */
+  0x21b, /* CMP32rm */
+  0x21d, /* CMP32rr_REV */
 /* Table89 */
-  0x21f, /* CMP8i8 */
+  0x227, /* CMP8i8 */
 /* Table90 */
-  0x20d, /* CMP32i32 */
+  0x215, /* CMP32i32 */
 /* Table91 */
-  0x17, /* AAS */
+  0x19, /* AAS */
 /* Table92 */
-  0x385, /* INC32r */
+  0x39b, /* INC32r_alt */
 /* Table93 */
-  0x293, /* DEC32r */
+  0x29c, /* DEC32r_alt */
 /* Table94 */
-  0x8d1, /* PUSH32r */
+  0x8f6, /* PUSH32r */
 /* Table95 */
-  0x859, /* POP32r */
+  0x87e, /* POP32r */
 /* Table96 */
-  0x8db, /* PUSHA32 */
+  0x900, /* PUSHA32 */
 /* Table97 */
-  0x860, /* POPA32 */
+  0x885, /* POPA32 */
 /* Table98 */
-  0x118, /* BOUNDS32rm */
+  0x11e, /* BOUNDS32rm */
   0x0, /*  */
 /* Table100 */
-  0xda, /* ARPL16mr */
-  0xdb, /* ARPL16rr */
+  0xe0, /* ARPL16mr */
+  0xe1, /* ARPL16rr */
 /* Table102 */
-  0x28d, /* DATA16_PREFIX */
+  0x296, /* DATA16_PREFIX */
 /* Table103 */
-  0x8ee, /* PUSHi32 */
+  0x913, /* PUSHi32 */
 /* Table104 */
-  0x36b, /* IMUL32rmi */
-  0x36e, /* IMUL32rri */
+  0x381, /* IMUL32rmi */
+  0x384, /* IMUL32rri */
 /* Table106 */
-  0x8d0, /* PUSH32i8 */
+  0x8f5, /* PUSH32i8 */
 /* Table107 */
-  0x36c, /* IMUL32rmi8 */
-  0x36f, /* IMUL32rri8 */
+  0x382, /* IMUL32rmi8 */
+  0x385, /* IMUL32rri8 */
 /* Table109 */
-  0x38e, /* INSB */
+  0x3a0, /* INSB */
 /* Table110 */
-  0x393, /* INSL */
+  0x3a5, /* INSL */
 /* Table111 */
-  0x76c, /* OUTSB */
+  0x790, /* OUTSB */
 /* Table112 */
-  0x76d, /* OUTSL */
+  0x791, /* OUTSL */
 /* Table113 */
-  0x45c, /* JO_1 */
+  0x46d, /* JO_1 */
 /* Table114 */
-  0x453, /* JNO_1 */
+  0x464, /* JNO_1 */
 /* Table115 */
-  0x432, /* JB_1 */
+  0x444, /* JB_1 */
 /* Table116 */
-  0x429, /* JAE_1 */
+  0x43b, /* JAE_1 */
 /* Table117 */
-  0x438, /* JE_1 */
+  0x449, /* JE_1 */
 /* Table118 */
-  0x450, /* JNE_1 */
+  0x461, /* JNE_1 */
 /* Table119 */
-  0x42f, /* JBE_1 */
+  0x441, /* JBE_1 */
 /* Table120 */
-  0x42c, /* JA_1 */
+  0x43e, /* JA_1 */
 /* Table121 */
-  0x463, /* JS_1 */
+  0x474, /* JS_1 */
 /* Table122 */
-  0x459, /* JNS_1 */
+  0x46a, /* JNS_1 */
 /* Table123 */
-  0x45f, /* JP_1 */
+  0x470, /* JP_1 */
 /* Table124 */
-  0x456, /* JNP_1 */
+  0x467, /* JNP_1 */
 /* Table125 */
-  0x444, /* JL_1 */
+  0x455, /* JL_1 */
 /* Table126 */
-  0x43b, /* JGE_1 */
+  0x44c, /* JGE_1 */
 /* Table127 */
-  0x441, /* JLE_1 */
+  0x452, /* JLE_1 */
 /* Table128 */
-  0x43e, /* JG_1 */
+  0x44f, /* JG_1 */
 /* Table129 */
-  0x6b, /* ADD8mi */
-  0x75b, /* OR8mi */
-  0x3c, /* ADC8mi */
-  0x9eb, /* SBB8mi */
-  0xc7, /* AND8mi */
-  0xaee, /* SUB8mi */
-  0x1864, /* XOR8mi */
-  0x220, /* CMP8mi */
-  0x6d, /* ADD8ri */
-  0x75d, /* OR8ri */
-  0x3e, /* ADC8ri */
-  0x9ed, /* SBB8ri */
-  0xc9, /* AND8ri */
-  0xaf0, /* SUB8ri */
-  0x1866, /* XOR8ri */
-  0x222, /* CMP8ri */
+  0x6f, /* ADD8mi */
+  0x77e, /* OR8mi */
+  0x3e, /* ADC8mi */
+  0xa28, /* SBB8mi */
+  0xcc, /* AND8mi */
+  0xb2d, /* SUB8mi */
+  0x2275, /* XOR8mi */
+  0x228, /* CMP8mi */
+  0x72, /* ADD8ri */
+  0x781, /* OR8ri */
+  0x41, /* ADC8ri */
+  0xa2b, /* SBB8ri */
+  0xcf, /* AND8ri */
+  0xb30, /* SUB8ri */
+  0x2278, /* XOR8ri */
+  0x22b, /* CMP8ri */
 /* Table145 */
-  0x53, /* ADD32mi */
-  0x748, /* OR32mi */
-  0x2a, /* ADC32mi */
-  0x9d9, /* SBB32mi */
-  0xb5, /* AND32mi */
-  0xadc, /* SUB32mi */
-  0x1852, /* XOR32mi */
-  0x20e, /* CMP32mi */
-  0x56, /* ADD32ri */
-  0x74c, /* OR32ri */
-  0x2d, /* ADC32ri */
-  0x9dc, /* SBB32ri */
-  0xb8, /* AND32ri */
-  0xadf, /* SUB32ri */
-  0x1855, /* XOR32ri */
-  0x211, /* CMP32ri */
+  0x57, /* ADD32mi */
+  0x76b, /* OR32mi */
+  0x2c, /* ADC32mi */
+  0xa16, /* SBB32mi */
+  0xba, /* AND32mi */
+  0xb1b, /* SUB32mi */
+  0x2263, /* XOR32mi */
+  0x216, /* CMP32mi */
+  0x5a, /* ADD32ri */
+  0x76f, /* OR32ri */
+  0x2f, /* ADC32ri */
+  0xa19, /* SBB32ri */
+  0xbd, /* AND32ri */
+  0xb1e, /* SUB32ri */
+  0x2266, /* XOR32ri */
+  0x219, /* CMP32ri */
 /* Table161 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x6e, /* ADD8ri8 */
-  0x75e, /* OR8ri8 */
-  0x0, /*  */
-  0x0, /*  */
-  0xca, /* AND8ri8 */
-  0xaf1, /* SUB8ri8 */
-  0x1867, /* XOR8ri8 */
-  0x0, /*  */
+  0x70, /* ADD8mi8 */
+  0x77f, /* OR8mi8 */
+  0x3f, /* ADC8mi8 */
+  0xa29, /* SBB8mi8 */
+  0xcd, /* AND8mi8 */
+  0xb2e, /* SUB8mi8 */
+  0x2276, /* XOR8mi8 */
+  0x229, /* CMP8mi8 */
+  0x73, /* ADD8ri8 */
+  0x782, /* OR8ri8 */
+  0x42, /* ADC8ri8 */
+  0xa2c, /* SBB8ri8 */
+  0xd0, /* AND8ri8 */
+  0xb31, /* SUB8ri8 */
+  0x2279, /* XOR8ri8 */
+  0x22c, /* CMP8ri8 */
 /* Table177 */
-  0x54, /* ADD32mi8 */
-  0x749, /* OR32mi8 */
-  0x2b, /* ADC32mi8 */
-  0x9da, /* SBB32mi8 */
-  0xb6, /* AND32mi8 */
-  0xadd, /* SUB32mi8 */
-  0x1853, /* XOR32mi8 */
-  0x20f, /* CMP32mi8 */
-  0x57, /* ADD32ri8 */
-  0x74d, /* OR32ri8 */
-  0x2e, /* ADC32ri8 */
-  0x9dd, /* SBB32ri8 */
-  0xb9, /* AND32ri8 */
-  0xae0, /* SUB32ri8 */
-  0x1856, /* XOR32ri8 */
-  0x212, /* CMP32ri8 */
+  0x58, /* ADD32mi8 */
+  0x76c, /* OR32mi8 */
+  0x2d, /* ADC32mi8 */
+  0xa17, /* SBB32mi8 */
+  0xbb, /* AND32mi8 */
+  0xb1c, /* SUB32mi8 */
+  0x2264, /* XOR32mi8 */
+  0x217, /* CMP32mi8 */
+  0x5b, /* ADD32ri8 */
+  0x770, /* OR32ri8 */
+  0x30, /* ADC32ri8 */
+  0xa1a, /* SBB32ri8 */
+  0xbe, /* AND32ri8 */
+  0xb1f, /* SUB32ri8 */
+  0x2267, /* XOR32ri8 */
+  0x21a, /* CMP32ri8 */
 /* Table193 */
-  0xb5a, /* TEST8rm */
-  0xb5b, /* TEST8rr */
+  0xb9d, /* TEST8rm */
+  0xb9e, /* TEST8rr */
 /* Table195 */
-  0xb4b, /* TEST32rm */
-  0xb4c, /* TEST32rr */
+  0xb8e, /* TEST32rm */
+  0xb8f, /* TEST32rr */
 /* Table197 */
-  0x183d, /* XCHG8rm */
-  0x183e, /* XCHG8rr */
+  0x224e, /* XCHG8rm */
+  0x224f, /* XCHG8rr */
 /* Table199 */
-  0x1838, /* XCHG32rm */
-  0x1839, /* XCHG32rr */
+  0x2249, /* XCHG32rm */
+  0x224a, /* XCHG32rr */
 /* Table201 */
-  0x663, /* MOV8mr */
-  0x66b, /* MOV8rr */
+  0x681, /* MOV8mr */
+  0x68a, /* MOV8rr */
 /* Table203 */
-  0x636, /* MOV32mr */
-  0x641, /* MOV32rr */
+  0x655, /* MOV32mr */
+  0x661, /* MOV32rr */
 /* Table205 */
-  0x669, /* MOV8rm */
-  0x66d, /* MOV8rr_REV */
+  0x688, /* MOV8rm */
+  0x68c, /* MOV8rr_REV */
 /* Table207 */
-  0x640, /* MOV32rm */
-  0x642, /* MOV32rr_REV */
+  0x660, /* MOV32rm */
+  0x662, /* MOV32rr_REV */
 /* Table209 */
-  0x637, /* MOV32ms */
-  0x643, /* MOV32rs */
+  0x656, /* MOV32ms */
+  0x663, /* MOV32rs */
 /* Table211 */
-  0x4be, /* LEA32r */
+  0x4d8, /* LEA32r */
   0x0, /*  */
 /* Table213 */
-  0x644, /* MOV32sm */
-  0x645, /* MOV32sr */
+  0x664, /* MOV32sm */
+  0x665, /* MOV32sr */
 /* Table215 */
-  0x85a, /* POP32rmm */
+  0x87f, /* POP32rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49081,7 +61856,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x85b, /* POP32rmr */
+  0x880, /* POP32rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49090,107 +61865,107 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table231 */
-  0x716, /* NOOP */
+  0x739, /* NOOP */
 /* Table232 */
-  0x1836, /* XCHG32ar */
+  0x2247, /* XCHG32ar */
 /* Table233 */
-  0x28a, /* CWDE */
+  0x293, /* CWDE */
 /* Table234 */
-  0x165, /* CDQ */
+  0x16b, /* CDQ */
 /* Table235 */
-  0x2ec, /* FARCALL32i */
+  0x2f1, /* FARCALL32i */
 /* Table236 */
-  0x181d, /* WAIT */
+  0x222d, /* WAIT */
 /* Table237 */
-  0x8e3, /* PUSHF32 */
+  0x908, /* PUSHF32 */
 /* Table238 */
-  0x86c, /* POPF32 */
+  0x891, /* POPF32 */
 /* Table239 */
-  0x999, /* SAHF */
+  0x9d6, /* SAHF */
 /* Table240 */
-  0x49a, /* LAHF */
+  0x4b4, /* LAHF */
 /* Table241 */
-  0x665, /* MOV8o8a */
+  0x67e, /* MOV8ao32 */
 /* Table242 */
-  0x638, /* MOV32o32a */
+  0x650, /* MOV32ao32 */
 /* Table243 */
-  0x660, /* MOV8ao8 */
+  0x684, /* MOV8o32a */
 /* Table244 */
-  0x631, /* MOV32ao32 */
+  0x658, /* MOV32o32a */
 /* Table245 */
-  0x6a5, /* MOVSB */
+  0x6c5, /* MOVSB */
 /* Table246 */
-  0x6ae, /* MOVSL */
+  0x6ce, /* MOVSL */
 /* Table247 */
-  0x22e, /* CMPSB */
+  0x238, /* CMPSB */
 /* Table248 */
-  0x233, /* CMPSL */
+  0x23d, /* CMPSL */
 /* Table249 */
-  0xb54, /* TEST8i8 */
+  0xb97, /* TEST8i8 */
 /* Table250 */
-  0xb46, /* TEST32i32 */
+  0xb89, /* TEST32i32 */
 /* Table251 */
-  0xab0, /* STOSB */
+  0xaef, /* STOSB */
 /* Table252 */
-  0xab1, /* STOSL */
+  0xaf0, /* STOSL */
 /* Table253 */
-  0x516, /* LODSB */
+  0x530, /* LODSB */
 /* Table254 */
-  0x517, /* LODSL */
+  0x531, /* LODSL */
 /* Table255 */
-  0x9f1, /* SCASB */
+  0xa30, /* SCASB */
 /* Table256 */
-  0x9f2, /* SCASL */
+  0xa31, /* SCASL */
 /* Table257 */
-  0x667, /* MOV8ri */
+  0x686, /* MOV8ri */
 /* Table258 */
-  0x63d, /* MOV32ri */
+  0x65d, /* MOV32ri */
 /* Table259 */
-  0x966, /* ROL8mi */
-  0x97e, /* ROR8mi */
-  0x905, /* RCL8mi */
-  0x925, /* RCR8mi */
-  0xa49, /* SHL8mi */
-  0xa71, /* SHR8mi */
-  0x9ae, /* SAL8mi */
-  0x9c7, /* SAR8mi */
-  0x969, /* ROL8ri */
-  0x981, /* ROR8ri */
-  0x908, /* RCL8ri */
-  0x928, /* RCR8ri */
-  0xa4c, /* SHL8ri */
-  0xa74, /* SHR8ri */
-  0x9b1, /* SAL8ri */
-  0x9ca, /* SAR8ri */
+  0x9a3, /* ROL8mi */
+  0x9bb, /* ROR8mi */
+  0x92a, /* RCL8mi */
+  0x94a, /* RCR8mi */
+  0xa88, /* SHL8mi */
+  0xab0, /* SHR8mi */
+  0x9eb, /* SAL8mi */
+  0xa04, /* SAR8mi */
+  0x9a6, /* ROL8ri */
+  0x9be, /* ROR8ri */
+  0x92d, /* RCL8ri */
+  0x94d, /* RCR8ri */
+  0xa8b, /* SHL8ri */
+  0xab3, /* SHR8ri */
+  0x9ee, /* SAL8ri */
+  0xa07, /* SAR8ri */
 /* Table275 */
-  0x95a, /* ROL32mi */
-  0x972, /* ROR32mi */
-  0x8f9, /* RCL32mi */
-  0x919, /* RCR32mi */
-  0xa3d, /* SHL32mi */
-  0xa65, /* SHR32mi */
-  0x9a2, /* SAL32mi */
-  0x9bb, /* SAR32mi */
-  0x95d, /* ROL32ri */
-  0x975, /* ROR32ri */
-  0x8fc, /* RCL32ri */
-  0x91c, /* RCR32ri */
-  0xa40, /* SHL32ri */
-  0xa68, /* SHR32ri */
-  0x9a5, /* SAL32ri */
-  0x9be, /* SAR32ri */
+  0x997, /* ROL32mi */
+  0x9af, /* ROR32mi */
+  0x91e, /* RCL32mi */
+  0x93e, /* RCR32mi */
+  0xa7c, /* SHL32mi */
+  0xaa4, /* SHR32mi */
+  0x9df, /* SAL32mi */
+  0x9f8, /* SAR32mi */
+  0x99a, /* ROL32ri */
+  0x9b2, /* ROR32ri */
+  0x921, /* RCL32ri */
+  0x941, /* RCR32ri */
+  0xa7f, /* SHL32ri */
+  0xaa7, /* SHR32ri */
+  0x9e2, /* SAL32ri */
+  0x9fb, /* SAR32ri */
 /* Table291 */
-  0x94b, /* RETIL */
+  0x988, /* RETIL */
 /* Table292 */
-  0x94e, /* RETL */
+  0x98b, /* RETL */
 /* Table293 */
-  0x4c4, /* LES32rm */
+  0x4de, /* LES32rm */
   0x0, /*  */
 /* Table295 */
-  0x4aa, /* LDS32rm */
+  0x4c4, /* LDS32rm */
   0x0, /*  */
 /* Table297 */
-  0x662, /* MOV8mi */
+  0x680, /* MOV8mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49198,14 +61973,14 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
-  0x668, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
+  0x687, /* MOV8ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49254,7 +62029,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1827, /* XABORT */
+  0x2237, /* XABORT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49263,7 +62038,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table369 */
-  0x635, /* MOV32mi */
+  0x654, /* MOV32mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49271,14 +62046,14 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
-  0x63f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
+  0x65f, /* MOV32ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49327,7 +62102,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1832, /* XBEGIN_4 */
+  0x2243, /* XBEGIN_4 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49336,140 +62111,140 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table441 */
-  0x2e4, /* ENTER */
+  0x2e9, /* ENTER */
 /* Table442 */
-  0x4c1, /* LEAVE */
+  0x4db, /* LEAVE */
 /* Table443 */
-  0x51d, /* LRETIL */
+  0x537, /* LRETIL */
 /* Table444 */
-  0x520, /* LRETL */
+  0x53a, /* LRETL */
 /* Table445 */
-  0x397, /* INT3 */
+  0x3a9, /* INT3 */
 /* Table446 */
-  0x395, /* INT */
+  0x3a7, /* INT */
 /* Table447 */
-  0x398, /* INTO */
+  0x3aa, /* INTO */
 /* Table448 */
-  0x3a4, /* IRET32 */
+  0x3b6, /* IRET32 */
 /* Table449 */
-  0x964, /* ROL8m1 */
-  0x97c, /* ROR8m1 */
-  0x903, /* RCL8m1 */
-  0x923, /* RCR8m1 */
-  0xa47, /* SHL8m1 */
-  0xa6f, /* SHR8m1 */
-  0x9ac, /* SAL8m1 */
-  0x9c5, /* SAR8m1 */
-  0x967, /* ROL8r1 */
-  0x97f, /* ROR8r1 */
-  0x906, /* RCL8r1 */
-  0x926, /* RCR8r1 */
-  0xa4a, /* SHL8r1 */
-  0xa72, /* SHR8r1 */
-  0x9af, /* SAL8r1 */
-  0x9c8, /* SAR8r1 */
+  0x9a1, /* ROL8m1 */
+  0x9b9, /* ROR8m1 */
+  0x928, /* RCL8m1 */
+  0x948, /* RCR8m1 */
+  0xa86, /* SHL8m1 */
+  0xaae, /* SHR8m1 */
+  0x9e9, /* SAL8m1 */
+  0xa02, /* SAR8m1 */
+  0x9a4, /* ROL8r1 */
+  0x9bc, /* ROR8r1 */
+  0x92b, /* RCL8r1 */
+  0x94b, /* RCR8r1 */
+  0xa89, /* SHL8r1 */
+  0xab1, /* SHR8r1 */
+  0x9ec, /* SAL8r1 */
+  0xa05, /* SAR8r1 */
 /* Table465 */
-  0x958, /* ROL32m1 */
-  0x970, /* ROR32m1 */
-  0x8f7, /* RCL32m1 */
-  0x917, /* RCR32m1 */
-  0xa3b, /* SHL32m1 */
-  0xa63, /* SHR32m1 */
-  0x9a0, /* SAL32m1 */
-  0x9b9, /* SAR32m1 */
-  0x95b, /* ROL32r1 */
-  0x973, /* ROR32r1 */
-  0x8fa, /* RCL32r1 */
-  0x91a, /* RCR32r1 */
-  0xa3e, /* SHL32r1 */
-  0xa66, /* SHR32r1 */
-  0x9a3, /* SAL32r1 */
-  0x9bc, /* SAR32r1 */
+  0x995, /* ROL32m1 */
+  0x9ad, /* ROR32m1 */
+  0x91c, /* RCL32m1 */
+  0x93c, /* RCR32m1 */
+  0xa7a, /* SHL32m1 */
+  0xaa2, /* SHR32m1 */
+  0x9dd, /* SAL32m1 */
+  0x9f6, /* SAR32m1 */
+  0x998, /* ROL32r1 */
+  0x9b0, /* ROR32r1 */
+  0x91f, /* RCL32r1 */
+  0x93f, /* RCR32r1 */
+  0xa7d, /* SHL32r1 */
+  0xaa5, /* SHR32r1 */
+  0x9e0, /* SAL32r1 */
+  0x9f9, /* SAR32r1 */
 /* Table481 */
-  0x965, /* ROL8mCL */
-  0x97d, /* ROR8mCL */
-  0x904, /* RCL8mCL */
-  0x924, /* RCR8mCL */
-  0xa48, /* SHL8mCL */
-  0xa70, /* SHR8mCL */
-  0x9ad, /* SAL8mCL */
-  0x9c6, /* SAR8mCL */
-  0x968, /* ROL8rCL */
-  0x980, /* ROR8rCL */
-  0x907, /* RCL8rCL */
-  0x927, /* RCR8rCL */
-  0xa4b, /* SHL8rCL */
-  0xa73, /* SHR8rCL */
-  0x9b0, /* SAL8rCL */
-  0x9c9, /* SAR8rCL */
+  0x9a2, /* ROL8mCL */
+  0x9ba, /* ROR8mCL */
+  0x929, /* RCL8mCL */
+  0x949, /* RCR8mCL */
+  0xa87, /* SHL8mCL */
+  0xaaf, /* SHR8mCL */
+  0x9ea, /* SAL8mCL */
+  0xa03, /* SAR8mCL */
+  0x9a5, /* ROL8rCL */
+  0x9bd, /* ROR8rCL */
+  0x92c, /* RCL8rCL */
+  0x94c, /* RCR8rCL */
+  0xa8a, /* SHL8rCL */
+  0xab2, /* SHR8rCL */
+  0x9ed, /* SAL8rCL */
+  0xa06, /* SAR8rCL */
 /* Table497 */
-  0x959, /* ROL32mCL */
-  0x971, /* ROR32mCL */
-  0x8f8, /* RCL32mCL */
-  0x918, /* RCR32mCL */
-  0xa3c, /* SHL32mCL */
-  0xa64, /* SHR32mCL */
-  0x9a1, /* SAL32mCL */
-  0x9ba, /* SAR32mCL */
-  0x95c, /* ROL32rCL */
-  0x974, /* ROR32rCL */
-  0x8fb, /* RCL32rCL */
-  0x91b, /* RCR32rCL */
-  0xa3f, /* SHL32rCL */
-  0xa67, /* SHR32rCL */
-  0x9a4, /* SAL32rCL */
-  0x9bd, /* SAR32rCL */
+  0x996, /* ROL32mCL */
+  0x9ae, /* ROR32mCL */
+  0x91d, /* RCL32mCL */
+  0x93d, /* RCR32mCL */
+  0xa7b, /* SHL32mCL */
+  0xaa3, /* SHR32mCL */
+  0x9de, /* SAL32mCL */
+  0x9f7, /* SAR32mCL */
+  0x999, /* ROL32rCL */
+  0x9b1, /* ROR32rCL */
+  0x920, /* RCL32rCL */
+  0x940, /* RCR32rCL */
+  0xa7e, /* SHL32rCL */
+  0xaa6, /* SHR32rCL */
+  0x9e1, /* SAL32rCL */
+  0x9fa, /* SAR32rCL */
 /* Table513 */
-  0x16, /* AAM8i8 */
+  0x18, /* AAM8i8 */
 /* Table514 */
-  0x15, /* AAD8i8 */
+  0x17, /* AAD8i8 */
 /* Table515 */
-  0x9b2, /* SALC */
+  0x9ef, /* SALC */
 /* Table516 */
-  0x1847, /* XLAT */
+  0x2258, /* XLAT */
 /* Table517 */
-  0x82, /* ADD_F32m */
-  0x6f8, /* MUL_F32m */
-  0x2f6, /* FCOM32m */
-  0x2f8, /* FCOMP32m */
-  0xb13, /* SUB_F32m */
-  0xaf9, /* SUBR_F32m */
-  0x2c2, /* DIV_F32m */
-  0x2a8, /* DIVR_F32m */
-  0x87, /* ADD_FST0r */
-  0x6fd, /* MUL_FST0r */
-  0x24b, /* COM_FST0r */
-  0x248, /* COMP_FST0r */
-  0xb18, /* SUB_FST0r */
-  0xafe, /* SUBR_FST0r */
-  0x2c7, /* DIV_FST0r */
-  0x2ad, /* DIVR_FST0r */
+  0x87, /* ADD_F32m */
+  0x71b, /* MUL_F32m */
+  0x2fb, /* FCOM32m */
+  0x2fd, /* FCOMP32m */
+  0xb53, /* SUB_F32m */
+  0xb39, /* SUBR_F32m */
+  0x2c7, /* DIV_F32m */
+  0x2ad, /* DIVR_F32m */
+  0x8c, /* ADD_FST0r */
+  0x720, /* MUL_FST0r */
+  0x255, /* COM_FST0r */
+  0x252, /* COMP_FST0r */
+  0xb58, /* SUB_FST0r */
+  0xb3e, /* SUBR_FST0r */
+  0x2cc, /* DIV_FST0r */
+  0x2b2, /* DIVR_FST0r */
 /* Table533 */
-  0x4ad, /* LD_F32m */
+  0x4c7, /* LD_F32m */
   0x0, /*  */
-  0xab8, /* ST_F32m */
-  0xabd, /* ST_FP32m */
-  0x304, /* FLDENVm */
-  0x303, /* FLDCW16m */
-  0x323, /* FSTENVm */
-  0x30d, /* FNSTCW16m */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x4bc, /* LD_Frr */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x183f, /* XCH_F */
-  0x30c, /* FNOP */
+  0xaf7, /* ST_F32m */
+  0xafc, /* ST_FP32m */
+  0x309, /* FLDENVm */
+  0x308, /* FLDCW16m */
+  0x329, /* FSTENVm */
+  0x312, /* FNSTCW16m */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x4d6, /* LD_Frr */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x2250, /* XCH_F */
+  0x311, /* FNOP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49477,87 +62252,87 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0xac0, /* ST_FPNCEST0r */
-  0x167, /* CHS_F */
-  0x18, /* ABS_F */
-  0x0, /*  */
-  0x0, /*  */
-  0xb63, /* TST_F */
-  0x324, /* FXAM */
-  0x0, /*  */
-  0x0, /*  */
-  0x4ac, /* LD_F1 */
-  0x306, /* FLDL2T */
-  0x305, /* FLDL2E */
-  0x309, /* FLDPI */
-  0x307, /* FLDLG2 */
-  0x308, /* FLDLN2 */
-  0x4ab, /* LD_F0 */
-  0x0, /*  */
-  0x2e9, /* F2XM1 */
-  0x32a, /* FYL2X */
-  0x31c, /* FPTAN */
-  0x319, /* FPATAN */
-  0x329, /* FXTRACT */
-  0x31b, /* FPREM1 */
-  0x2fb, /* FDECSTP */
-  0x302, /* FINCSTP */
-  0x31a, /* FPREM */
-  0x32b, /* FYL2XP1 */
-  0xaa6, /* SQRT_F */
-  0x322, /* FSINCOS */
-  0x31d, /* FRNDINT */
-  0x320, /* FSCALE */
-  0xa8c, /* SIN_F */
-  0x24c, /* COS_F */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0xaff, /* ST_FPNCEST0r */
+  0x16d, /* CHS_F */
+  0x1a, /* ABS_F */
+  0x0, /*  */
+  0x0, /*  */
+  0xba6, /* TST_F */
+  0x32a, /* FXAM */
+  0x0, /*  */
+  0x0, /*  */
+  0x4c6, /* LD_F1 */
+  0x30b, /* FLDL2T */
+  0x30a, /* FLDL2E */
+  0x30e, /* FLDPI */
+  0x30c, /* FLDLG2 */
+  0x30d, /* FLDLN2 */
+  0x4c5, /* LD_F0 */
+  0x0, /*  */
+  0x2ee, /* F2XM1 */
+  0x330, /* FYL2X */
+  0x321, /* FPTAN */
+  0x31e, /* FPATAN */
+  0x32f, /* FXTRACT */
+  0x320, /* FPREM1 */
+  0x300, /* FDECSTP */
+  0x307, /* FINCSTP */
+  0x31f, /* FPREM */
+  0x331, /* FYL2XP1 */
+  0xae5, /* SQRT_F */
+  0x328, /* FSINCOS */
+  0x323, /* FRNDINT */
+  0x326, /* FSCALE */
+  0xacb, /* SIN_F */
+  0x256, /* COS_F */
 /* Table605 */
-  0x85, /* ADD_FI32m */
-  0x6fb, /* MUL_FI32m */
-  0x2ff, /* FICOM32m */
-  0x301, /* FICOMP32m */
-  0xb16, /* SUB_FI32m */
-  0xafc, /* SUBR_FI32m */
-  0x2c5, /* DIV_FI32m */
-  0x2ab, /* DIVR_FI32m */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x18f, /* CMOVB_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x199, /* CMOVE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x18b, /* CMOVBE_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
-  0x1e9, /* CMOVP_F */
+  0x8a, /* ADD_FI32m */
+  0x71e, /* MUL_FI32m */
+  0x304, /* FICOM32m */
+  0x306, /* FICOMP32m */
+  0xb56, /* SUB_FI32m */
+  0xb3c, /* SUBR_FI32m */
+  0x2ca, /* DIV_FI32m */
+  0x2b0, /* DIVR_FI32m */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x197, /* CMOVB_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x1a1, /* CMOVE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x193, /* CMOVBE_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
+  0x1f1, /* CMOVP_F */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49567,7 +62342,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xb77, /* UCOM_FPPr */
+  0xbba, /* UCOM_FPPr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49591,70 +62366,70 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table677 */
-  0x355, /* ILD_F32m */
-  0x3a7, /* ISTT_FP32m */
-  0x3b3, /* IST_F32m */
-  0x3b5, /* IST_FP32m */
-  0x0, /*  */
-  0x4af, /* LD_F80m */
-  0x0, /*  */
-  0xabf, /* ST_FP80m */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1b9, /* CMOVNB_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1c3, /* CMOVNE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1b5, /* CMOVNBE_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x1d3, /* CMOVNP_F */
-  0x0, /*  */
-  0x0, /*  */
-  0x30a, /* FNCLEX */
-  0x30b, /* FNINIT */
-  0x321, /* FSETPM */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0xb76, /* UCOM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
-  0x24a, /* COM_FIr */
+  0x36b, /* ILD_F32m */
+  0x3b9, /* ISTT_FP32m */
+  0x3c5, /* IST_F32m */
+  0x3c7, /* IST_FP32m */
+  0x0, /*  */
+  0x4c9, /* LD_F80m */
+  0x0, /*  */
+  0xafe, /* ST_FP80m */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1c1, /* CMOVNB_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1cb, /* CMOVNE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1bd, /* CMOVNBE_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x1db, /* CMOVNP_F */
+  0x2294, /* feni8087_nop */
+  0x2293, /* fdisi8087_nop */
+  0x30f, /* FNCLEX */
+  0x310, /* FNINIT */
+  0x327, /* FSETPM */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0xbb9, /* UCOM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
+  0x254, /* COM_FIr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49664,177 +62439,177 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table749 */
-  0x83, /* ADD_F64m */
-  0x6f9, /* MUL_F64m */
-  0x2f7, /* FCOM64m */
-  0x2f9, /* FCOMP64m */
-  0xb14, /* SUB_F64m */
-  0xafa, /* SUBR_F64m */
-  0x2c3, /* DIV_F64m */
-  0x2a9, /* DIVR_F64m */
-  0x96, /* ADD_FrST0 */
-  0x70c, /* MUL_FrST0 */
-  0xabc, /* ST_FCOMST0r */
-  0xaba, /* ST_FCOMPST0r */
-  0xb0a, /* SUBR_FrST0 */
-  0xb27, /* SUB_FrST0 */
-  0x2b9, /* DIVR_FrST0 */
-  0x2d6, /* DIV_FrST0 */
+  0x88, /* ADD_F64m */
+  0x71c, /* MUL_F64m */
+  0x2fc, /* FCOM64m */
+  0x2fe, /* FCOMP64m */
+  0xb54, /* SUB_F64m */
+  0xb3a, /* SUBR_F64m */
+  0x2c8, /* DIV_F64m */
+  0x2ae, /* DIVR_F64m */
+  0x9b, /* ADD_FrST0 */
+  0x72f, /* MUL_FrST0 */
+  0xafb, /* ST_FCOMST0r */
+  0xaf9, /* ST_FCOMPST0r */
+  0xb4a, /* SUBR_FrST0 */
+  0xb67, /* SUB_FrST0 */
+  0x2be, /* DIVR_FrST0 */
+  0x2db, /* DIV_FrST0 */
 /* Table765 */
-  0x4ae, /* LD_F64m */
-  0x3a8, /* ISTT_FP64m */
-  0xab9, /* ST_F64m */
-  0xabe, /* ST_FP64m */
-  0x31e, /* FRSTORm */
-  0x0, /*  */
-  0x31f, /* FSAVEm */
-  0x30f, /* FNSTSWm */
-  0x2fd, /* FFREE */
-  0xac4, /* ST_FXCHST0r */
-  0xad1, /* ST_Frr */
-  0xac3, /* ST_FPrr */
-  0xb7f, /* UCOM_Fr */
-  0xb78, /* UCOM_FPr */
+  0x4c8, /* LD_F64m */
+  0x3ba, /* ISTT_FP64m */
+  0xaf8, /* ST_F64m */
+  0xafd, /* ST_FP64m */
+  0x324, /* FRSTORm */
+  0x0, /*  */
+  0x325, /* FSAVEm */
+  0x314, /* FNSTSWm */
+  0x302, /* FFREE */
+  0xb03, /* ST_FXCHST0r */
+  0xb10, /* ST_Frr */
+  0xb02, /* ST_FPrr */
+  0xbc2, /* UCOM_Fr */
+  0xbbb, /* UCOM_FPr */
   0x0, /*  */
   0x0, /*  */
 /* Table781 */
-  0x84, /* ADD_FI16m */
-  0x6fa, /* MUL_FI16m */
-  0x2fe, /* FICOM16m */
-  0x300, /* FICOMP16m */
-  0xb15, /* SUB_FI16m */
-  0xafb, /* SUBR_FI16m */
-  0x2c4, /* DIV_FI16m */
-  0x2aa, /* DIVR_FI16m */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x86, /* ADD_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0x6fc, /* MUL_FPrST0 */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0xabb, /* ST_FCOMPST0r_alt */
-  0x0, /*  */
-  0x2fa, /* FCOMPP */
+  0x89, /* ADD_FI16m */
+  0x71d, /* MUL_FI16m */
+  0x303, /* FICOM16m */
+  0x305, /* FICOMP16m */
+  0xb55, /* SUB_FI16m */
+  0xb3b, /* SUBR_FI16m */
+  0x2c9, /* DIV_FI16m */
+  0x2af, /* DIVR_FI16m */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x8b, /* ADD_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0x71f, /* MUL_FPrST0 */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0xafa, /* ST_FCOMPST0r_alt */
+  0x0, /*  */
+  0x2ff, /* FCOMPP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xafd, /* SUBR_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0xb17, /* SUB_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2ac, /* DIVR_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
-  0x2c6, /* DIV_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb3d, /* SUBR_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0xb57, /* SUB_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2b1, /* DIVR_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
+  0x2cb, /* DIV_FPrST0 */
 /* Table853 */
-  0x354, /* ILD_F16m */
-  0x3a6, /* ISTT_FP16m */
-  0x3b2, /* IST_F16m */
-  0x3b4, /* IST_FP16m */
-  0x2f4, /* FBLDm */
-  0x356, /* ILD_F64m */
-  0x2f5, /* FBSTPm */
-  0x3b6, /* IST_FP64m */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
+  0x36a, /* ILD_F16m */
+  0x3b8, /* ISTT_FP16m */
+  0x3c4, /* IST_F16m */
+  0x3c6, /* IST_FP16m */
+  0x2f9, /* FBLDm */
+  0x36c, /* ILD_F64m */
+  0x2fa, /* FBSTPm */
+  0x3c8, /* IST_FP64m */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0x322, /* FP_FFREEP */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb04, /* ST_FXCHST0r_alt */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb00, /* ST_FPST0r */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0xb01, /* ST_FPST0r_alt */
+  0x313, /* FNSTSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac5, /* ST_FXCHST0r_alt */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac1, /* ST_FPST0r */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0xac2, /* ST_FPST0r_alt */
-  0x30e, /* FNSTSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0xb75, /* UCOM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
-  0x249, /* COM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0xbb8, /* UCOM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
+  0x253, /* COM_FIPr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49844,106 +62619,106 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table925 */
-  0x51c, /* LOOPNE */
+  0x536, /* LOOPNE */
 /* Table926 */
-  0x51b, /* LOOPE */
+  0x535, /* LOOPE */
 /* Table927 */
-  0x51a, /* LOOP */
+  0x534, /* LOOP */
 /* Table928 */
-  0x436, /* JECXZ_32 */
+  0x448, /* JECXZ */
 /* Table929 */
-  0x37e, /* IN8ri */
+  0x394, /* IN8ri */
 /* Table930 */
-  0x37c, /* IN32ri */
+  0x392, /* IN32ri */
 /* Table931 */
-  0x76a, /* OUT8ir */
+  0x78e, /* OUT8ir */
 /* Table932 */
-  0x768, /* OUT32ir */
+  0x78c, /* OUT32ir */
 /* Table933 */
-  0x163, /* CALLpcrel32 */
+  0x169, /* CALLpcrel32 */
 /* Table934 */
-  0x44f, /* JMP_4 */
+  0x460, /* JMP_4 */
 /* Table935 */
-  0x2f1, /* FARJMP32i */
+  0x2f6, /* FARJMP32i */
 /* Table936 */
-  0x44d, /* JMP_1 */
+  0x45e, /* JMP_1 */
 /* Table937 */
-  0x37f, /* IN8rr */
+  0x395, /* IN8rr */
 /* Table938 */
-  0x37d, /* IN32rr */
+  0x393, /* IN32rr */
 /* Table939 */
-  0x76b, /* OUT8rr */
+  0x78f, /* OUT8rr */
 /* Table940 */
-  0x769, /* OUT32rr */
+  0x78d, /* OUT32rr */
 /* Table941 */
-  0x4ff, /* LOCK_PREFIX */
+  0x519, /* LOCK_PREFIX */
 /* Table942 */
-  0x396, /* INT1 */
+  0x3a8, /* INT1 */
 /* Table943 */
-  0x93b, /* REPNE_PREFIX */
+  0x978, /* REPNE_PREFIX */
 /* Table944 */
-  0x943, /* REP_PREFIX */
+  0x980, /* REP_PREFIX */
 /* Table945 */
-  0x347, /* HLT */
+  0x35d, /* HLT */
 /* Table946 */
-  0x172, /* CMC */
+  0x17a, /* CMC */
 /* Table947 */
-  0xb55, /* TEST8mi */
-  0xb56, /* TEST8mi_alt */
-  0x73c, /* NOT8m */
-  0x714, /* NEG8m */
-  0x6e6, /* MUL8m */
-  0x378, /* IMUL8m */
-  0x2a2, /* DIV8m */
-  0x352, /* IDIV8m */
-  0xb57, /* TEST8ri */
-  0xb59, /* TEST8ri_alt */
-  0x73d, /* NOT8r */
-  0x715, /* NEG8r */
-  0x6e7, /* MUL8r */
-  0x379, /* IMUL8r */
-  0x2a3, /* DIV8r */
-  0x353, /* IDIV8r */
+  0xb98, /* TEST8mi */
+  0xb99, /* TEST8mi_alt */
+  0x75f, /* NOT8m */
+  0x737, /* NEG8m */
+  0x709, /* MUL8m */
+  0x38e, /* IMUL8m */
+  0x2a7, /* DIV8m */
+  0x368, /* IDIV8m */
+  0xb9a, /* TEST8ri */
+  0xb9c, /* TEST8ri_alt */
+  0x760, /* NOT8r */
+  0x738, /* NEG8r */
+  0x70a, /* MUL8r */
+  0x38f, /* IMUL8r */
+  0x2a8, /* DIV8r */
+  0x369, /* IDIV8r */
 /* Table963 */
-  0xb47, /* TEST32mi */
-  0xb48, /* TEST32mi_alt */
-  0x738, /* NOT32m */
-  0x710, /* NEG32m */
-  0x6e2, /* MUL32m */
-  0x368, /* IMUL32m */
-  0x29e, /* DIV32m */
-  0x34e, /* IDIV32m */
-  0xb49, /* TEST32ri */
-  0xb4a, /* TEST32ri_alt */
-  0x739, /* NOT32r */
-  0x711, /* NEG32r */
-  0x6e3, /* MUL32r */
-  0x369, /* IMUL32r */
-  0x29f, /* DIV32r */
-  0x34f, /* IDIV32r */
+  0xb8a, /* TEST32mi */
+  0xb8b, /* TEST32mi_alt */
+  0x75b, /* NOT32m */
+  0x733, /* NEG32m */
+  0x705, /* MUL32m */
+  0x37e, /* IMUL32m */
+  0x2a3, /* DIV32m */
+  0x364, /* IDIV32m */
+  0xb8c, /* TEST32ri */
+  0xb8d, /* TEST32ri_alt */
+  0x75c, /* NOT32r */
+  0x734, /* NEG32r */
+  0x706, /* MUL32r */
+  0x37f, /* IMUL32r */
+  0x2a4, /* DIV32r */
+  0x365, /* IDIV32r */
 /* Table979 */
-  0x16c, /* CLC */
+  0x172, /* CLC */
 /* Table980 */
-  0xaab, /* STC */
+  0xaea, /* STC */
 /* Table981 */
-  0x170, /* CLI */
+  0x177, /* CLI */
 /* Table982 */
-  0xaae, /* STI */
+  0xaed, /* STI */
 /* Table983 */
-  0x16d, /* CLD */
+  0x173, /* CLD */
 /* Table984 */
-  0xaac, /* STD */
+  0xaeb, /* STD */
 /* Table985 */
-  0x38c, /* INC8m */
-  0x29a, /* DEC8m */
+  0x39e, /* INC8m */
+  0x29f, /* DEC8m */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x38d, /* INC8r */
-  0x29b, /* DEC8r */
+  0x39f, /* INC8r */
+  0x2a0, /* DEC8r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49951,40 +62726,40 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table1001 */
-  0x384, /* INC32m */
-  0x292, /* DEC32m */
-  0x15d, /* CALL32m */
-  0x2ed, /* FARCALL32m */
-  0x449, /* JMP32m */
-  0x2f2, /* FARJMP32m */
-  0x8d2, /* PUSH32rmm */
-  0x0, /*  */
-  0x383, /* INC32_32r */
-  0x291, /* DEC32_32r */
-  0x15e, /* CALL32r */
+  0x399, /* INC32m */
+  0x29a, /* DEC32m */
+  0x163, /* CALL32m */
+  0x2f2, /* FARCALL32m */
+  0x45a, /* JMP32m */
+  0x2f7, /* FARJMP32m */
+  0x8f7, /* PUSH32rmm */
+  0x0, /*  */
+  0x39a, /* INC32r */
+  0x29b, /* DEC32r */
+  0x164, /* CALL32r */
   0x0, /*  */
-  0x44a, /* JMP32r */
+  0x45b, /* JMP32r */
   0x0, /*  */
-  0x8d3, /* PUSH32rmr */
+  0x8f8, /* PUSH32rmr */
   0x0, /*  */
 /* Table1017 */
-  0x951, /* REX64_PREFIX */
+  0x98e, /* REX64_PREFIX */
 /* Table1018 */
-  0x8d7, /* PUSH64r */
+  0x8fc, /* PUSH64r */
 /* Table1019 */
-  0x85c, /* POP64r */
+  0x881, /* POP64r */
 /* Table1020 */
-  0x0, /*  */
-  0x6bf, /* MOVSX64_NOREXrr32 */
+  0x6e4, /* MOVSX64rm32_alt */
+  0x6e1, /* MOVSX64_NOREXrr32 */
 /* Table1022 */
-  0x8d5, /* PUSH64i32 */
+  0x8fa, /* PUSH64i32 */
 /* Table1023 */
-  0x8d6, /* PUSH64i8 */
+  0x8fb, /* PUSH64i8 */
 /* Table1024 */
-  0x4bf, /* LEA64_32r */
+  0x4d9, /* LEA64_32r */
   0x0, /*  */
 /* Table1026 */
-  0x85d, /* POP64rmm */
+  0x882, /* POP64rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -49992,7 +62767,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x85e, /* POP64rmr */
+  0x883, /* POP64rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50001,210 +62776,210 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table1042 */
-  0x1837, /* XCHG32ar64 */
+  0x2248, /* XCHG32ar64 */
 /* Table1043 */
-  0x8e4, /* PUSHF64 */
+  0x909, /* PUSHF64 */
 /* Table1044 */
-  0x86d, /* POPF64 */
+  0x892, /* POPF64 */
 /* Table1045 */
-  0x652, /* MOV64o8a */
+  0x67f, /* MOV8ao64 */
 /* Table1046 */
-  0x650, /* MOV64o32a */
+  0x651, /* MOV32ao64 */
 /* Table1047 */
-  0x649, /* MOV64ao8 */
+  0x685, /* MOV8o64a */
 /* Table1048 */
-  0x647, /* MOV64ao32 */
+  0x659, /* MOV32o64a */
 /* Table1049 */
-  0x94c, /* RETIQ */
+  0x989, /* RETIQ */
 /* Table1050 */
-  0x94f, /* RETQ */
+  0x98c, /* RETQ */
 /* Table1051 */
-  0x4c2, /* LEAVE64 */
+  0x4dc, /* LEAVE64 */
 /* Table1052 */
-  0x462, /* JRCXZ */
+  0x473, /* JRCXZ */
 /* Table1053 */
-  0x160, /* CALL64pcrel32 */
+  0x166, /* CALL64pcrel32 */
 /* Table1054 */
-  0x388, /* INC64_32m */
-  0x296, /* DEC64_32m */
-  0x15f, /* CALL64m */
-  0x2ed, /* FARCALL32m */
-  0x44b, /* JMP64m */
-  0x2f2, /* FARJMP32m */
-  0x8d8, /* PUSH64rmm */
-  0x0, /*  */
-  0x389, /* INC64_32r */
-  0x297, /* DEC64_32r */
-  0x161, /* CALL64r */
+  0x399, /* INC32m */
+  0x29a, /* DEC32m */
+  0x165, /* CALL64m */
+  0x2f2, /* FARCALL32m */
+  0x45c, /* JMP64m */
+  0x2f7, /* FARJMP32m */
+  0x8fd, /* PUSH64rmm */
+  0x0, /*  */
+  0x39a, /* INC32r */
+  0x29b, /* DEC32r */
+  0x167, /* CALL64r */
   0x0, /*  */
-  0x44c, /* JMP64r */
+  0x45d, /* JMP64r */
   0x0, /*  */
-  0x8d9, /* PUSH64rmr */
+  0x8fe, /* PUSH64rmr */
   0x0, /*  */
 /* Table1070 */
-  0x49, /* ADD16mr */
-  0x4f, /* ADD16rr */
+  0x4d, /* ADD16mr */
+  0x53, /* ADD16rr */
 /* Table1072 */
-  0x4e, /* ADD16rm */
-  0x51, /* ADD16rr_REV */
+  0x52, /* ADD16rm */
+  0x55, /* ADD16rr_REV */
 /* Table1074 */
-  0x46, /* ADD16i16 */
+  0x4a, /* ADD16i16 */
 /* Table1075 */
-  0x8e0, /* PUSHES16 */
+  0x905, /* PUSHES16 */
 /* Table1076 */
-  0x869, /* POPES16 */
+  0x88e, /* POPES16 */
 /* Table1077 */
-  0x741, /* OR16mr */
-  0x745, /* OR16rr */
+  0x764, /* OR16mr */
+  0x768, /* OR16rr */
 /* Table1079 */
-  0x744, /* OR16rm */
-  0x746, /* OR16rr_REV */
+  0x767, /* OR16rm */
+  0x769, /* OR16rr_REV */
 /* Table1081 */
-  0x73e, /* OR16i16 */
+  0x761, /* OR16i16 */
 /* Table1082 */
-  0x8dc, /* PUSHCS16 */
+  0x901, /* PUSHCS16 */
 /* Table1083 */
-  0x23, /* ADC16mr */
-  0x27, /* ADC16rr */
+  0x25, /* ADC16mr */
+  0x29, /* ADC16rr */
 /* Table1085 */
-  0x26, /* ADC16rm */
-  0x28, /* ADC16rr_REV */
+  0x28, /* ADC16rm */
+  0x2a, /* ADC16rr_REV */
 /* Table1087 */
-  0x20, /* ADC16i16 */
+  0x22, /* ADC16i16 */
 /* Table1088 */
-  0x8eb, /* PUSHSS16 */
+  0x910, /* PUSHSS16 */
 /* Table1089 */
-  0x874, /* POPSS16 */
+  0x899, /* POPSS16 */
 /* Table1090 */
-  0x9d2, /* SBB16mr */
-  0x9d6, /* SBB16rr */
+  0xa0f, /* SBB16mr */
+  0xa13, /* SBB16rr */
 /* Table1092 */
-  0x9d5, /* SBB16rm */
-  0x9d7, /* SBB16rr_REV */
+  0xa12, /* SBB16rm */
+  0xa14, /* SBB16rr_REV */
 /* Table1094 */
-  0x9cf, /* SBB16i16 */
+  0xa0c, /* SBB16i16 */
 /* Table1095 */
-  0x8de, /* PUSHDS16 */
+  0x903, /* PUSHDS16 */
 /* Table1096 */
-  0x867, /* POPDS16 */
+  0x88c, /* POPDS16 */
 /* Table1097 */
-  0xae, /* AND16mr */
-  0xb2, /* AND16rr */
+  0xb3, /* AND16mr */
+  0xb7, /* AND16rr */
 /* Table1099 */
-  0xb1, /* AND16rm */
-  0xb3, /* AND16rr_REV */
+  0xb6, /* AND16rm */
+  0xb8, /* AND16rr_REV */
 /* Table1101 */
-  0xab, /* AND16i16 */
+  0xb0, /* AND16i16 */
 /* Table1102 */
-  0xad5, /* SUB16mr */
-  0xad9, /* SUB16rr */
+  0xb14, /* SUB16mr */
+  0xb18, /* SUB16rr */
 /* Table1104 */
-  0xad8, /* SUB16rm */
-  0xada, /* SUB16rr_REV */
+  0xb17, /* SUB16rm */
+  0xb19, /* SUB16rr_REV */
 /* Table1106 */
-  0xad2, /* SUB16i16 */
+  0xb11, /* SUB16i16 */
 /* Table1107 */
-  0x184b, /* XOR16mr */
-  0x184f, /* XOR16rr */
+  0x225c, /* XOR16mr */
+  0x2260, /* XOR16rr */
 /* Table1109 */
-  0x184e, /* XOR16rm */
-  0x1850, /* XOR16rr_REV */
+  0x225f, /* XOR16rm */
+  0x2261, /* XOR16rr_REV */
 /* Table1111 */
-  0x1848, /* XOR16i16 */
+  0x2259, /* XOR16i16 */
 /* Table1112 */
-  0x207, /* CMP16mr */
-  0x20b, /* CMP16rr */
+  0x20f, /* CMP16mr */
+  0x213, /* CMP16rr */
 /* Table1114 */
-  0x20a, /* CMP16rm */
-  0x20c, /* CMP16rr_REV */
+  0x212, /* CMP16rm */
+  0x214, /* CMP16rr_REV */
 /* Table1116 */
-  0x204, /* CMP16i16 */
+  0x20c, /* CMP16i16 */
 /* Table1117 */
-  0x381, /* INC16r */
+  0x398, /* INC16r_alt */
 /* Table1118 */
-  0x28f, /* DEC16r */
+  0x299, /* DEC16r_alt */
 /* Table1119 */
-  0x8cd, /* PUSH16r */
+  0x8f2, /* PUSH16r */
 /* Table1120 */
-  0x856, /* POP16r */
+  0x87b, /* POP16r */
 /* Table1121 */
-  0x8da, /* PUSHA16 */
+  0x8ff, /* PUSHA16 */
 /* Table1122 */
-  0x85f, /* POPA16 */
+  0x884, /* POPA16 */
 /* Table1123 */
-  0x117, /* BOUNDS16rm */
+  0x11d, /* BOUNDS16rm */
   0x0, /*  */
 /* Table1125 */
-  0x8ed, /* PUSHi16 */
+  0x912, /* PUSHi16 */
 /* Table1126 */
-  0x363, /* IMUL16rmi */
-  0x366, /* IMUL16rri */
+  0x379, /* IMUL16rmi */
+  0x37c, /* IMUL16rri */
 /* Table1128 */
-  0x8cc, /* PUSH16i8 */
+  0x8f1, /* PUSH16i8 */
 /* Table1129 */
-  0x364, /* IMUL16rmi8 */
-  0x367, /* IMUL16rri8 */
+  0x37a, /* IMUL16rmi8 */
+  0x37d, /* IMUL16rri8 */
 /* Table1131 */
-  0x394, /* INSW */
+  0x3a6, /* INSW */
 /* Table1132 */
-  0x76e, /* OUTSW */
+  0x792, /* OUTSW */
 /* Table1133 */
-  0x47, /* ADD16mi */
-  0x73f, /* OR16mi */
-  0x21, /* ADC16mi */
-  0x9d0, /* SBB16mi */
-  0xac, /* AND16mi */
-  0xad3, /* SUB16mi */
-  0x1849, /* XOR16mi */
-  0x205, /* CMP16mi */
-  0x4a, /* ADD16ri */
-  0x742, /* OR16ri */
-  0x24, /* ADC16ri */
-  0x9d3, /* SBB16ri */
-  0xaf, /* AND16ri */
-  0xad6, /* SUB16ri */
-  0x184c, /* XOR16ri */
-  0x208, /* CMP16ri */
+  0x4b, /* ADD16mi */
+  0x762, /* OR16mi */
+  0x23, /* ADC16mi */
+  0xa0d, /* SBB16mi */
+  0xb1, /* AND16mi */
+  0xb12, /* SUB16mi */
+  0x225a, /* XOR16mi */
+  0x20d, /* CMP16mi */
+  0x4e, /* ADD16ri */
+  0x765, /* OR16ri */
+  0x26, /* ADC16ri */
+  0xa10, /* SBB16ri */
+  0xb4, /* AND16ri */
+  0xb15, /* SUB16ri */
+  0x225d, /* XOR16ri */
+  0x210, /* CMP16ri */
 /* Table1149 */
-  0x48, /* ADD16mi8 */
-  0x740, /* OR16mi8 */
-  0x22, /* ADC16mi8 */
-  0x9d1, /* SBB16mi8 */
-  0xad, /* AND16mi8 */
-  0xad4, /* SUB16mi8 */
-  0x184a, /* XOR16mi8 */
-  0x206, /* CMP16mi8 */
-  0x4b, /* ADD16ri8 */
-  0x743, /* OR16ri8 */
-  0x25, /* ADC16ri8 */
-  0x9d4, /* SBB16ri8 */
-  0xb0, /* AND16ri8 */
-  0xad7, /* SUB16ri8 */
-  0x184d, /* XOR16ri8 */
-  0x209, /* CMP16ri8 */
+  0x4c, /* ADD16mi8 */
+  0x763, /* OR16mi8 */
+  0x24, /* ADC16mi8 */
+  0xa0e, /* SBB16mi8 */
+  0xb2, /* AND16mi8 */
+  0xb13, /* SUB16mi8 */
+  0x225b, /* XOR16mi8 */
+  0x20e, /* CMP16mi8 */
+  0x4f, /* ADD16ri8 */
+  0x766, /* OR16ri8 */
+  0x27, /* ADC16ri8 */
+  0xa11, /* SBB16ri8 */
+  0xb5, /* AND16ri8 */
+  0xb16, /* SUB16ri8 */
+  0x225e, /* XOR16ri8 */
+  0x211, /* CMP16ri8 */
 /* Table1165 */
-  0xb44, /* TEST16rm */
-  0xb45, /* TEST16rr */
+  0xb87, /* TEST16rm */
+  0xb88, /* TEST16rr */
 /* Table1167 */
-  0x1834, /* XCHG16rm */
-  0x1835, /* XCHG16rr */
+  0x2245, /* XCHG16rm */
+  0x2246, /* XCHG16rr */
 /* Table1169 */
-  0x625, /* MOV16mr */
-  0x62c, /* MOV16rr */
+  0x642, /* MOV16mr */
+  0x64a, /* MOV16rr */
 /* Table1171 */
-  0x62b, /* MOV16rm */
-  0x62d, /* MOV16rr_REV */
+  0x649, /* MOV16rm */
+  0x64b, /* MOV16rr_REV */
 /* Table1173 */
-  0x626, /* MOV16ms */
-  0x62e, /* MOV16rs */
+  0x643, /* MOV16ms */
+  0x64c, /* MOV16rs */
 /* Table1175 */
-  0x4bd, /* LEA16r */
+  0x4d7, /* LEA16r */
   0x0, /*  */
 /* Table1177 */
-  0x62f, /* MOV16sm */
-  0x630, /* MOV16sr */
+  0x64d, /* MOV16sm */
+  0x64e, /* MOV16sr */
 /* Table1179 */
-  0x857, /* POP16rmm */
+  0x87c, /* POP16rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50212,7 +62987,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x858, /* POP16rmr */
+  0x87d, /* POP16rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50221,64 +62996,64 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table1195 */
-  0x1833, /* XCHG16ar */
+  0x2244, /* XCHG16ar */
 /* Table1196 */
-  0x164, /* CBW */
+  0x16a, /* CBW */
 /* Table1197 */
-  0x289, /* CWD */
+  0x292, /* CWD */
 /* Table1198 */
-  0x2ea, /* FARCALL16i */
+  0x2ef, /* FARCALL16i */
 /* Table1199 */
-  0x8e2, /* PUSHF16 */
+  0x907, /* PUSHF16 */
 /* Table1200 */
-  0x86b, /* POPF16 */
+  0x890, /* POPF16 */
 /* Table1201 */
-  0x627, /* MOV16o16a */
+  0x63f, /* MOV16ao32 */
 /* Table1202 */
-  0x622, /* MOV16ao16 */
+  0x645, /* MOV16o32a */
 /* Table1203 */
-  0x6b8, /* MOVSW */
+  0x6d8, /* MOVSW */
 /* Table1204 */
-  0x239, /* CMPSW */
+  0x243, /* CMPSW */
 /* Table1205 */
-  0xb3f, /* TEST16i16 */
+  0xb82, /* TEST16i16 */
 /* Table1206 */
-  0xab3, /* STOSW */
+  0xaf2, /* STOSW */
 /* Table1207 */
-  0x519, /* LODSW */
+  0x533, /* LODSW */
 /* Table1208 */
-  0x9f4, /* SCASW */
+  0xa33, /* SCASW */
 /* Table1209 */
-  0x629, /* MOV16ri */
+  0x647, /* MOV16ri */
 /* Table1210 */
-  0x954, /* ROL16mi */
-  0x96c, /* ROR16mi */
-  0x8f3, /* RCL16mi */
-  0x913, /* RCR16mi */
-  0xa37, /* SHL16mi */
-  0xa5f, /* SHR16mi */
-  0x99c, /* SAL16mi */
-  0x9b5, /* SAR16mi */
-  0x957, /* ROL16ri */
-  0x96f, /* ROR16ri */
-  0x8f6, /* RCL16ri */
-  0x916, /* RCR16ri */
-  0xa3a, /* SHL16ri */
-  0xa62, /* SHR16ri */
-  0x99f, /* SAL16ri */
-  0x9b8, /* SAR16ri */
+  0x991, /* ROL16mi */
+  0x9a9, /* ROR16mi */
+  0x918, /* RCL16mi */
+  0x938, /* RCR16mi */
+  0xa76, /* SHL16mi */
+  0xa9e, /* SHR16mi */
+  0x9d9, /* SAL16mi */
+  0x9f2, /* SAR16mi */
+  0x994, /* ROL16ri */
+  0x9ac, /* ROR16ri */
+  0x91b, /* RCL16ri */
+  0x93b, /* RCR16ri */
+  0xa79, /* SHL16ri */
+  0xaa1, /* SHR16ri */
+  0x9dc, /* SAL16ri */
+  0x9f5, /* SAR16ri */
 /* Table1226 */
-  0x94d, /* RETIW */
+  0x98a, /* RETIW */
 /* Table1227 */
-  0x950, /* RETW */
+  0x98d, /* RETW */
 /* Table1228 */
-  0x4c3, /* LES16rm */
+  0x4dd, /* LES16rm */
   0x0, /*  */
 /* Table1230 */
-  0x4a9, /* LDS16rm */
+  0x4c3, /* LDS16rm */
   0x0, /*  */
 /* Table1232 */
-  0x624, /* MOV16mi */
+  0x641, /* MOV16mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50286,14 +63061,14 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
-  0x62a, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
+  0x648, /* MOV16ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50342,7 +63117,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1832, /* XBEGIN_4 */
+  0x2242, /* XBEGIN_2 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50351,268 +63126,280 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table1304 */
-  0x51f, /* LRETIW */
+  0x539, /* LRETIW */
 /* Table1305 */
-  0x522, /* LRETW */
+  0x53c, /* LRETW */
 /* Table1306 */
-  0x3a3, /* IRET16 */
+  0x3b5, /* IRET16 */
 /* Table1307 */
-  0x952, /* ROL16m1 */
-  0x96a, /* ROR16m1 */
-  0x8f1, /* RCL16m1 */
-  0x911, /* RCR16m1 */
-  0xa35, /* SHL16m1 */
-  0xa5d, /* SHR16m1 */
-  0x99a, /* SAL16m1 */
-  0x9b3, /* SAR16m1 */
-  0x955, /* ROL16r1 */
-  0x96d, /* ROR16r1 */
-  0x8f4, /* RCL16r1 */
-  0x914, /* RCR16r1 */
-  0xa38, /* SHL16r1 */
-  0xa60, /* SHR16r1 */
-  0x99d, /* SAL16r1 */
-  0x9b6, /* SAR16r1 */
+  0x98f, /* ROL16m1 */
+  0x9a7, /* ROR16m1 */
+  0x916, /* RCL16m1 */
+  0x936, /* RCR16m1 */
+  0xa74, /* SHL16m1 */
+  0xa9c, /* SHR16m1 */
+  0x9d7, /* SAL16m1 */
+  0x9f0, /* SAR16m1 */
+  0x992, /* ROL16r1 */
+  0x9aa, /* ROR16r1 */
+  0x919, /* RCL16r1 */
+  0x939, /* RCR16r1 */
+  0xa77, /* SHL16r1 */
+  0xa9f, /* SHR16r1 */
+  0x9da, /* SAL16r1 */
+  0x9f3, /* SAR16r1 */
 /* Table1323 */
-  0x953, /* ROL16mCL */
-  0x96b, /* ROR16mCL */
-  0x8f2, /* RCL16mCL */
-  0x912, /* RCR16mCL */
-  0xa36, /* SHL16mCL */
-  0xa5e, /* SHR16mCL */
-  0x99b, /* SAL16mCL */
-  0x9b4, /* SAR16mCL */
-  0x956, /* ROL16rCL */
-  0x96e, /* ROR16rCL */
-  0x8f5, /* RCL16rCL */
-  0x915, /* RCR16rCL */
-  0xa39, /* SHL16rCL */
-  0xa61, /* SHR16rCL */
-  0x99e, /* SAL16rCL */
-  0x9b7, /* SAR16rCL */
+  0x990, /* ROL16mCL */
+  0x9a8, /* ROR16mCL */
+  0x917, /* RCL16mCL */
+  0x937, /* RCR16mCL */
+  0xa75, /* SHL16mCL */
+  0xa9d, /* SHR16mCL */
+  0x9d8, /* SAL16mCL */
+  0x9f1, /* SAR16mCL */
+  0x993, /* ROL16rCL */
+  0x9ab, /* ROR16rCL */
+  0x91a, /* RCL16rCL */
+  0x93a, /* RCR16rCL */
+  0xa78, /* SHL16rCL */
+  0xaa0, /* SHR16rCL */
+  0x9db, /* SAL16rCL */
+  0x9f4, /* SAR16rCL */
 /* Table1339 */
-  0x37a, /* IN16ri */
+  0x390, /* IN16ri */
 /* Table1340 */
-  0x766, /* OUT16ir */
+  0x78a, /* OUT16ir */
 /* Table1341 */
-  0x162, /* CALLpcrel16 */
+  0x168, /* CALLpcrel16 */
 /* Table1342 */
-  0x44e, /* JMP_2 */
+  0x45f, /* JMP_2 */
 /* Table1343 */
-  0x2ef, /* FARJMP16i */
+  0x2f4, /* FARJMP16i */
 /* Table1344 */
-  0x37b, /* IN16rr */
+  0x391, /* IN16rr */
 /* Table1345 */
-  0x767, /* OUT16rr */
+  0x78b, /* OUT16rr */
 /* Table1346 */
-  0xb40, /* TEST16mi */
-  0xb41, /* TEST16mi_alt */
-  0x736, /* NOT16m */
-  0x70e, /* NEG16m */
-  0x6e0, /* MUL16m */
-  0x360, /* IMUL16m */
-  0x29c, /* DIV16m */
-  0x34c, /* IDIV16m */
-  0xb42, /* TEST16ri */
-  0xb43, /* TEST16ri_alt */
-  0x737, /* NOT16r */
-  0x70f, /* NEG16r */
-  0x6e1, /* MUL16r */
-  0x361, /* IMUL16r */
-  0x29d, /* DIV16r */
-  0x34d, /* IDIV16r */
+  0xb83, /* TEST16mi */
+  0xb84, /* TEST16mi_alt */
+  0x759, /* NOT16m */
+  0x731, /* NEG16m */
+  0x703, /* MUL16m */
+  0x376, /* IMUL16m */
+  0x2a1, /* DIV16m */
+  0x362, /* IDIV16m */
+  0xb85, /* TEST16ri */
+  0xb86, /* TEST16ri_alt */
+  0x75a, /* NOT16r */
+  0x732, /* NEG16r */
+  0x704, /* MUL16r */
+  0x377, /* IMUL16r */
+  0x2a2, /* DIV16r */
+  0x363, /* IDIV16r */
 /* Table1362 */
-  0x380, /* INC16m */
-  0x28e, /* DEC16m */
-  0x15b, /* CALL16m */
-  0x2eb, /* FARCALL16m */
-  0x447, /* JMP16m */
-  0x2f0, /* FARJMP16m */
-  0x8ce, /* PUSH16rmm */
-  0x0, /*  */
-  0x382, /* INC32_16r */
-  0x290, /* DEC32_16r */
-  0x15c, /* CALL16r */
+  0x396, /* INC16m */
+  0x297, /* DEC16m */
+  0x161, /* CALL16m */
+  0x2f0, /* FARCALL16m */
+  0x458, /* JMP16m */
+  0x2f5, /* FARJMP16m */
+  0x8f3, /* PUSH16rmm */
+  0x0, /*  */
+  0x397, /* INC16r */
+  0x298, /* DEC16r */
+  0x162, /* CALL16r */
   0x0, /*  */
-  0x448, /* JMP16r */
+  0x459, /* JMP16r */
   0x0, /*  */
-  0x8cf, /* PUSH16rmr */
+  0x8f4, /* PUSH16rmr */
   0x0, /*  */
 /* Table1378 */
-  0x435, /* JCXZ */
+  0x67d, /* MOV8ao16 */
 /* Table1379 */
-  0x793, /* PAUSE */
+  0x64f, /* MOV32ao16 */
 /* Table1380 */
-  0x61, /* ADD64mr */
-  0x67, /* ADD64rr */
+  0x683, /* MOV8o16a */
+/* Table1381 */
+  0x657, /* MOV32o16a */
 /* Table1382 */
-  0x66, /* ADD64rm */
-  0x69, /* ADD64rr_REV */
+  0x447, /* JCXZ */
+/* Table1383 */
+  0x63e, /* MOV16ao16 */
 /* Table1384 */
-  0x5e, /* ADD64i32 */
+  0x644, /* MOV16o16a */
 /* Table1385 */
-  0x754, /* OR64mr */
-  0x758, /* OR64rr */
-/* Table1387 */
-  0x757, /* OR64rm */
-  0x759, /* OR64rr_REV */
-/* Table1389 */
-  0x751, /* OR64i32 */
+  0x7b7, /* PAUSE */
+/* Table1386 */
+  0x65, /* ADD64mr */
+  0x6b, /* ADD64rr */
+/* Table1388 */
+  0x6a, /* ADD64rm */
+  0x6d, /* ADD64rr_REV */
 /* Table1390 */
-  0x35, /* ADC64mr */
-  0x39, /* ADC64rr */
-/* Table1392 */
-  0x38, /* ADC64rm */
-  0x3a, /* ADC64rr_REV */
-/* Table1394 */
-  0x32, /* ADC64i32 */
+  0x62, /* ADD64i32 */
+/* Table1391 */
+  0x777, /* OR64mr */
+  0x77b, /* OR64rr */
+/* Table1393 */
+  0x77a, /* OR64rm */
+  0x77c, /* OR64rr_REV */
 /* Table1395 */
-  0x9e4, /* SBB64mr */
-  0x9e8, /* SBB64rr */
-/* Table1397 */
-  0x9e7, /* SBB64rm */
-  0x9e9, /* SBB64rr_REV */
-/* Table1399 */
-  0x9e1, /* SBB64i32 */
+  0x774, /* OR64i32 */
+/* Table1396 */
+  0x37, /* ADC64mr */
+  0x3b, /* ADC64rr */
+/* Table1398 */
+  0x3a, /* ADC64rm */
+  0x3c, /* ADC64rr_REV */
 /* Table1400 */
-  0xc0, /* AND64mr */
-  0xc4, /* AND64rr */
-/* Table1402 */
-  0xc3, /* AND64rm */
-  0xc5, /* AND64rr_REV */
-/* Table1404 */
-  0xbd, /* AND64i32 */
+  0x34, /* ADC64i32 */
+/* Table1401 */
+  0xa21, /* SBB64mr */
+  0xa25, /* SBB64rr */
+/* Table1403 */
+  0xa24, /* SBB64rm */
+  0xa26, /* SBB64rr_REV */
 /* Table1405 */
-  0xae7, /* SUB64mr */
-  0xaeb, /* SUB64rr */
-/* Table1407 */
-  0xaea, /* SUB64rm */
-  0xaec, /* SUB64rr_REV */
-/* Table1409 */
-  0xae4, /* SUB64i32 */
+  0xa1e, /* SBB64i32 */
+/* Table1406 */
+  0xc5, /* AND64mr */
+  0xc9, /* AND64rr */
+/* Table1408 */
+  0xc8, /* AND64rm */
+  0xca, /* AND64rr_REV */
 /* Table1410 */
-  0x185d, /* XOR64mr */
-  0x1861, /* XOR64rr */
-/* Table1412 */
-  0x1860, /* XOR64rm */
-  0x1862, /* XOR64rr_REV */
-/* Table1414 */
-  0x185a, /* XOR64i32 */
+  0xc2, /* AND64i32 */
+/* Table1411 */
+  0xb26, /* SUB64mr */
+  0xb2a, /* SUB64rr */
+/* Table1413 */
+  0xb29, /* SUB64rm */
+  0xb2b, /* SUB64rr_REV */
 /* Table1415 */
-  0x219, /* CMP64mr */
-  0x21d, /* CMP64rr */
-/* Table1417 */
-  0x21c, /* CMP64rm */
-  0x21e, /* CMP64rr_REV */
-/* Table1419 */
-  0x216, /* CMP64i32 */
+  0xb23, /* SUB64i32 */
+/* Table1416 */
+  0x226e, /* XOR64mr */
+  0x2272, /* XOR64rr */
+/* Table1418 */
+  0x2271, /* XOR64rm */
+  0x2273, /* XOR64rr_REV */
 /* Table1420 */
-  0x6c1, /* MOVSX64rm32 */
-  0x6c4, /* MOVSX64rr32 */
-/* Table1422 */
-  0x373, /* IMUL64rmi32 */
-  0x376, /* IMUL64rri32 */
-/* Table1424 */
-  0x374, /* IMUL64rmi8 */
-  0x377, /* IMUL64rri8 */
+  0x226b, /* XOR64i32 */
+/* Table1421 */
+  0x221, /* CMP64mr */
+  0x225, /* CMP64rr */
+/* Table1423 */
+  0x224, /* CMP64rm */
+  0x226, /* CMP64rr_REV */
+/* Table1425 */
+  0x21e, /* CMP64i32 */
 /* Table1426 */
-  0x5f, /* ADD64mi32 */
-  0x752, /* OR64mi32 */
-  0x33, /* ADC64mi32 */
-  0x9e2, /* SBB64mi32 */
-  0xbe, /* AND64mi32 */
-  0xae5, /* SUB64mi32 */
-  0x185b, /* XOR64mi32 */
-  0x217, /* CMP64mi32 */
-  0x62, /* ADD64ri32 */
-  0x755, /* OR64ri32 */
-  0x36, /* ADC64ri32 */
-  0x9e5, /* SBB64ri32 */
-  0xc1, /* AND64ri32 */
-  0xae8, /* SUB64ri32 */
-  0x185e, /* XOR64ri32 */
-  0x21a, /* CMP64ri32 */
-/* Table1442 */
-  0x60, /* ADD64mi8 */
-  0x753, /* OR64mi8 */
-  0x34, /* ADC64mi8 */
-  0x9e3, /* SBB64mi8 */
-  0xbf, /* AND64mi8 */
-  0xae6, /* SUB64mi8 */
-  0x185c, /* XOR64mi8 */
-  0x218, /* CMP64mi8 */
-  0x64, /* ADD64ri8 */
-  0x756, /* OR64ri8 */
-  0x37, /* ADC64ri8 */
-  0x9e6, /* SBB64ri8 */
-  0xc2, /* AND64ri8 */
-  0xae9, /* SUB64ri8 */
-  0x185f, /* XOR64ri8 */
-  0x21b, /* CMP64ri8 */
-/* Table1458 */
-  0xb52, /* TEST64rm */
-  0xb53, /* TEST64rr */
-/* Table1460 */
-  0x183b, /* XCHG64rm */
-  0x183c, /* XCHG64rr */
-/* Table1462 */
-  0x64d, /* MOV64mr */
-  0x658, /* MOV64rr */
+  0x6e3, /* MOVSX64rm32 */
+  0x6e7, /* MOVSX64rr32 */
+/* Table1428 */
+  0x389, /* IMUL64rmi32 */
+  0x38c, /* IMUL64rri32 */
+/* Table1430 */
+  0x38a, /* IMUL64rmi8 */
+  0x38d, /* IMUL64rri8 */
+/* Table1432 */
+  0x63, /* ADD64mi32 */
+  0x775, /* OR64mi32 */
+  0x35, /* ADC64mi32 */
+  0xa1f, /* SBB64mi32 */
+  0xc3, /* AND64mi32 */
+  0xb24, /* SUB64mi32 */
+  0x226c, /* XOR64mi32 */
+  0x21f, /* CMP64mi32 */
+  0x66, /* ADD64ri32 */
+  0x778, /* OR64ri32 */
+  0x38, /* ADC64ri32 */
+  0xa22, /* SBB64ri32 */
+  0xc6, /* AND64ri32 */
+  0xb27, /* SUB64ri32 */
+  0x226f, /* XOR64ri32 */
+  0x222, /* CMP64ri32 */
+/* Table1448 */
+  0x64, /* ADD64mi8 */
+  0x776, /* OR64mi8 */
+  0x36, /* ADC64mi8 */
+  0xa20, /* SBB64mi8 */
+  0xc4, /* AND64mi8 */
+  0xb25, /* SUB64mi8 */
+  0x226d, /* XOR64mi8 */
+  0x220, /* CMP64mi8 */
+  0x68, /* ADD64ri8 */
+  0x779, /* OR64ri8 */
+  0x39, /* ADC64ri8 */
+  0xa23, /* SBB64ri8 */
+  0xc7, /* AND64ri8 */
+  0xb28, /* SUB64ri8 */
+  0x2270, /* XOR64ri8 */
+  0x223, /* CMP64ri8 */
 /* Table1464 */
-  0x657, /* MOV64rm */
-  0x659, /* MOV64rr_REV */
+  0xb95, /* TEST64rm */
+  0xb96, /* TEST64rr */
 /* Table1466 */
-  0x64e, /* MOV64ms */
-  0x65a, /* MOV64rs */
+  0x224c, /* XCHG64rm */
+  0x224d, /* XCHG64rr */
 /* Table1468 */
-  0x4c0, /* LEA64r */
-  0x0, /*  */
+  0x66b, /* MOV64mr */
+  0x674, /* MOV64rr */
 /* Table1470 */
-  0x65b, /* MOV64sm */
-  0x65c, /* MOV64sr */
+  0x673, /* MOV64rm */
+  0x675, /* MOV64rr_REV */
 /* Table1472 */
-  0x183a, /* XCHG64ar */
-/* Table1473 */
-  0x166, /* CDQE */
+  0x66c, /* MOV64ms */
+  0x676, /* MOV64rs */
 /* Table1474 */
-  0x252, /* CQO */
-/* Table1475 */
-  0x651, /* MOV64o64a */
+  0x4da, /* LEA64r */
+  0x0, /*  */
 /* Table1476 */
-  0x648, /* MOV64ao64 */
-/* Table1477 */
-  0x6b1, /* MOVSQ */
+  0x677, /* MOV64sm */
+  0x678, /* MOV64sr */
 /* Table1478 */
-  0x234, /* CMPSQ */
+  0x224b, /* XCHG64ar */
 /* Table1479 */
-  0xb4d, /* TEST64i32 */
+  0x16c, /* CDQE */
 /* Table1480 */
-  0xab2, /* STOSQ */
+  0x25b, /* CQO */
 /* Table1481 */
-  0x518, /* LODSQ */
+  0x667, /* MOV64ao64 */
 /* Table1482 */
-  0x9f3, /* SCASQ */
+  0x66e, /* MOV64o64a */
 /* Table1483 */
-  0x655, /* MOV64ri */
+  0x6d1, /* MOVSQ */
 /* Table1484 */
-  0x960, /* ROL64mi */
-  0x978, /* ROR64mi */
-  0x8ff, /* RCL64mi */
-  0x91f, /* RCR64mi */
-  0xa43, /* SHL64mi */
-  0xa6b, /* SHR64mi */
-  0x9a8, /* SAL64mi */
-  0x9c1, /* SAR64mi */
-  0x963, /* ROL64ri */
-  0x97b, /* ROR64ri */
-  0x902, /* RCL64ri */
-  0x922, /* RCR64ri */
-  0xa46, /* SHL64ri */
-  0xa6e, /* SHR64ri */
-  0x9ab, /* SAL64ri */
-  0x9c4, /* SAR64ri */
-/* Table1500 */
-  0x64c, /* MOV64mi32 */
+  0x23e, /* CMPSQ */
+/* Table1485 */
+  0xb90, /* TEST64i32 */
+/* Table1486 */
+  0xaf1, /* STOSQ */
+/* Table1487 */
+  0x532, /* LODSQ */
+/* Table1488 */
+  0xa32, /* SCASQ */
+/* Table1489 */
+  0x671, /* MOV64ri */
+/* Table1490 */
+  0x99d, /* ROL64mi */
+  0x9b5, /* ROR64mi */
+  0x924, /* RCL64mi */
+  0x944, /* RCR64mi */
+  0xa82, /* SHL64mi */
+  0xaaa, /* SHR64mi */
+  0x9e5, /* SAL64mi */
+  0x9fe, /* SAR64mi */
+  0x9a0, /* ROL64ri */
+  0x9b8, /* ROR64ri */
+  0x927, /* RCL64ri */
+  0x947, /* RCR64ri */
+  0xa85, /* SHL64ri */
+  0xaad, /* SHR64ri */
+  0x9e8, /* SAL64ri */
+  0xa01, /* SAR64ri */
+/* Table1506 */
+  0x66a, /* MOV64mi32 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50620,14 +63407,14 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
-  0x656, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50676,7 +63463,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1832, /* XBEGIN_4 */
+  0x2243, /* XBEGIN_4 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50684,188 +63471,126 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1572 */
-  0x51e, /* LRETIQ */
-/* Table1573 */
-  0x521, /* LRETQ */
-/* Table1574 */
-  0x3a5, /* IRET64 */
-/* Table1575 */
-  0x95e, /* ROL64m1 */
-  0x976, /* ROR64m1 */
-  0x8fd, /* RCL64m1 */
-  0x91d, /* RCR64m1 */
-  0xa41, /* SHL64m1 */
-  0xa69, /* SHR64m1 */
-  0x9a6, /* SAL64m1 */
-  0x9bf, /* SAR64m1 */
-  0x961, /* ROL64r1 */
-  0x979, /* ROR64r1 */
-  0x900, /* RCL64r1 */
-  0x920, /* RCR64r1 */
-  0xa44, /* SHL64r1 */
-  0xa6c, /* SHR64r1 */
-  0x9a9, /* SAL64r1 */
-  0x9c2, /* SAR64r1 */
-/* Table1591 */
-  0x95f, /* ROL64mCL */
-  0x977, /* ROR64mCL */
-  0x8fe, /* RCL64mCL */
-  0x91e, /* RCR64mCL */
-  0xa42, /* SHL64mCL */
-  0xa6a, /* SHR64mCL */
-  0x9a7, /* SAL64mCL */
-  0x9c0, /* SAR64mCL */
-  0x962, /* ROL64rCL */
-  0x97a, /* ROR64rCL */
-  0x901, /* RCL64rCL */
-  0x921, /* RCR64rCL */
-  0xa45, /* SHL64rCL */
-  0xa6d, /* SHR64rCL */
-  0x9aa, /* SAL64rCL */
-  0x9c3, /* SAR64rCL */
-/* Table1607 */
-  0xb4e, /* TEST64mi32 */
-  0xb4f, /* TEST64mi32_alt */
-  0x73a, /* NOT64m */
-  0x712, /* NEG64m */
-  0x6e4, /* MUL64m */
-  0x370, /* IMUL64m */
-  0x2a0, /* DIV64m */
-  0x350, /* IDIV64m */
-  0xb50, /* TEST64ri32 */
-  0xb51, /* TEST64ri32_alt */
-  0x73b, /* NOT64r */
-  0x713, /* NEG64r */
-  0x6e5, /* MUL64r */
-  0x371, /* IMUL64r */
-  0x2a1, /* DIV64r */
-  0x351, /* IDIV64r */
-/* Table1623 */
-  0x38a, /* INC64m */
-  0x298, /* DEC64m */
-  0x15f, /* CALL64m */
-  0x2ee, /* FARCALL64 */
-  0x44b, /* JMP64m */
-  0x2f3, /* FARJMP64 */
-  0x8d8, /* PUSH64rmm */
+/* Table1578 */
+  0x538, /* LRETIQ */
+/* Table1579 */
+  0x53b, /* LRETQ */
+/* Table1580 */
+  0x3b7, /* IRET64 */
+/* Table1581 */
+  0x99b, /* ROL64m1 */
+  0x9b3, /* ROR64m1 */
+  0x922, /* RCL64m1 */
+  0x942, /* RCR64m1 */
+  0xa80, /* SHL64m1 */
+  0xaa8, /* SHR64m1 */
+  0x9e3, /* SAL64m1 */
+  0x9fc, /* SAR64m1 */
+  0x99e, /* ROL64r1 */
+  0x9b6, /* ROR64r1 */
+  0x925, /* RCL64r1 */
+  0x945, /* RCR64r1 */
+  0xa83, /* SHL64r1 */
+  0xaab, /* SHR64r1 */
+  0x9e6, /* SAL64r1 */
+  0x9ff, /* SAR64r1 */
+/* Table1597 */
+  0x99c, /* ROL64mCL */
+  0x9b4, /* ROR64mCL */
+  0x923, /* RCL64mCL */
+  0x943, /* RCR64mCL */
+  0xa81, /* SHL64mCL */
+  0xaa9, /* SHR64mCL */
+  0x9e4, /* SAL64mCL */
+  0x9fd, /* SAR64mCL */
+  0x99f, /* ROL64rCL */
+  0x9b7, /* ROR64rCL */
+  0x926, /* RCL64rCL */
+  0x946, /* RCR64rCL */
+  0xa84, /* SHL64rCL */
+  0xaac, /* SHR64rCL */
+  0x9e7, /* SAL64rCL */
+  0xa00, /* SAR64rCL */
+/* Table1613 */
+  0xb91, /* TEST64mi32 */
+  0xb92, /* TEST64mi32_alt */
+  0x75d, /* NOT64m */
+  0x735, /* NEG64m */
+  0x707, /* MUL64m */
+  0x386, /* IMUL64m */
+  0x2a5, /* DIV64m */
+  0x366, /* IDIV64m */
+  0xb93, /* TEST64ri32 */
+  0xb94, /* TEST64ri32_alt */
+  0x75e, /* NOT64r */
+  0x736, /* NEG64r */
+  0x708, /* MUL64r */
+  0x387, /* IMUL64r */
+  0x2a6, /* DIV64r */
+  0x367, /* IDIV64r */
+/* Table1629 */
+  0x39c, /* INC64m */
+  0x29d, /* DEC64m */
+  0x165, /* CALL64m */
+  0x2f3, /* FARCALL64 */
+  0x45c, /* JMP64m */
+  0x2f8, /* FARJMP64 */
+  0x8fd, /* PUSH64rmm */
   0x0, /*  */
-  0x38b, /* INC64r */
-  0x299, /* DEC64r */
-  0x161, /* CALL64r */
+  0x39d, /* INC64r */
+  0x29e, /* DEC64r */
+  0x167, /* CALL64r */
   0x0, /*  */
-  0x44c, /* JMP64r */
+  0x45d, /* JMP64r */
   0x0, /*  */
-  0x8d9, /* PUSH64rmr */
+  0x8fe, /* PUSH64rmr */
+  0x0, /*  */
+/* Table1645 */
+  0x8f9, /* PUSH64i16 */
+/* Table1646 */
+  0x666, /* MOV64ao32 */
+/* Table1647 */
+  0x66d, /* MOV64o32a */
+/* Table1648 */
+  0x66a, /* MOV64mi32 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
+  0x672, /* MOV64ri32 */
   0x0, /*  */
-/* Table1639 */
-  0x8d4, /* PUSH64i16 */
-/* Table1640 */
-  0x64f, /* MOV64o16a */
-/* Table1641 */
-  0x646, /* MOV64ao16 */
-/* Table1642 */
-  0x386, /* INC64_16m */
-  0x294, /* DEC64_16m */
-  0x15f, /* CALL64m */
-  0x2eb, /* FARCALL16m */
-  0x44b, /* JMP64m */
-  0x2f0, /* FARJMP16m */
-  0x8ce, /* PUSH16rmm */
   0x0, /*  */
-  0x387, /* INC64_16r */
-  0x295, /* DEC64_16r */
-  0x161, /* CALL64r */
   0x0, /*  */
-  0x44c, /* JMP64r */
   0x0, /*  */
-  0x8cf, /* PUSH16rmr */
   0x0, /*  */
-/* Table1658 */
-  0x437, /* JECXZ_64 */
-/* Table1659 */
-  0x38a, /* INC64m */
-  0x298, /* DEC64m */
-  0x15f, /* CALL64m */
-  0x2ee, /* FARCALL64 */
-  0x44b, /* JMP64m */
-  0x2f3, /* FARJMP64 */
-  0x8ce, /* PUSH16rmm */
   0x0, /*  */
-  0x38b, /* INC64r */
-  0x299, /* DEC64r */
-  0x161, /* CALL64r */
   0x0, /*  */
-  0x44c, /* JMP64r */
   0x0, /*  */
-  0x8cf, /* PUSH16rmr */
   0x0, /*  */
-/* Table1675 */
-  0xa91, /* SLDT16m */
-  0xab7, /* STRm */
-  0x4d2, /* LLDT16m */
-  0x52c, /* LTRm */
-  0xcfe, /* VERRm */
-  0xd00, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0xa93, /* SLDT32r */
-  0xab5, /* STR32r */
-  0x4d3, /* LLDT16r */
-  0x52d, /* LTRr */
-  0xcff, /* VERRr */
-  0xd01, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table1691 */
-  0xa25, /* SGDT32m */
-  0xa8a, /* SIDT32m */
-  0x4ca, /* LGDT32m */
-  0x4d0, /* LIDT32m */
-  0xa96, /* SMSW16m */
   0x0, /*  */
-  0x4d4, /* LMSW16m */
-  0x39c, /* INVLPG */
   0x0, /*  */
-  0xf5d, /* VMCALL */
-  0xf92, /* VMLAUNCH */
-  0x1188, /* VMRESUME */
-  0x11b7, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* MONITORrrr */
-  0x70d, /* MWAITrr */
-  0x16b, /* CLAC */
-  0xaaa, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x2e2, /* ENCLS */
-  0x1846, /* XGETBV */
-  0x1876, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0xf5f, /* VMFUNC */
-  0x1845, /* XEND */
-  0x187a, /* XTEST */
-  0x2e3, /* ENCLU */
-  0x1189, /* VMRUN32 */
-  0xf95, /* VMMCALL */
-  0xf93, /* VMLOAD32 */
-  0x118b, /* VMSAVE32 */
-  0xaad, /* STGI */
-  0x16f, /* CLGI */
-  0xa90, /* SKINIT */
-  0x39d, /* INVLPGA32 */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50874,43 +63599,13 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0xb28, /* SWAPGS */
-  0x936, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1763 */
-  0x49d, /* LAR32rm */
-  0x49e, /* LAR32rr */
-/* Table1765 */
-  0x525, /* LSL32rm */
-  0x526, /* LSL32rr */
-/* Table1767 */
-  0xb29, /* SYSCALL */
-/* Table1768 */
-  0x171, /* CLTS */
-/* Table1769 */
-  0xb2d, /* SYSRET */
-/* Table1770 */
-  0x399, /* INVD */
-/* Table1771 */
-  0x181e, /* WBINVD */
-/* Table1772 */
-  0xb62, /* TRAP */
-/* Table1773 */
   0x0, /*  */
-  0x87d, /* PREFETCHW */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -50921,264 +63616,431 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x2242, /* XBEGIN_2 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1789 */
-  0x6cb, /* MOVUPSrm */
-  0x6cc, /* MOVUPSrr */
-/* Table1791 */
-  0x6ca, /* MOVUPSmr */
-  0x6cd, /* MOVUPSrr_REV */
-/* Table1793 */
-  0x693, /* MOVLPSrm */
-  0x68a, /* MOVHLPSrr */
-/* Table1795 */
-  0x692, /* MOVLPSmr */
   0x0, /*  */
-/* Table1797 */
-  0xb87, /* UNPCKLPSrm */
-  0xb88, /* UNPCKLPSrr */
-/* Table1799 */
-  0xb83, /* UNPCKHPSrm */
-  0xb84, /* UNPCKHPSrr */
-/* Table1801 */
-  0x68e, /* MOVHPSrm */
-  0x68f, /* MOVLHPSrr */
-/* Table1803 */
-  0x68d, /* MOVHPSmr */
   0x0, /*  */
-/* Table1805 */
-  0x879, /* PREFETCHNTA */
-  0x87a, /* PREFETCHT0 */
-  0x87b, /* PREFETCHT1 */
-  0x87c, /* PREFETCHT2 */
-  0x71f, /* NOOP18_m4 */
-  0x720, /* NOOP18_m5 */
-  0x721, /* NOOP18_m6 */
-  0x722, /* NOOP18_m7 */
   0x0, /*  */
+/* Table1720 */
+  0x39c, /* INC64m */
+  0x29d, /* DEC64m */
+  0x165, /* CALL64m */
+  0x2f3, /* FARCALL64 */
+  0x45c, /* JMP64m */
+  0x2f8, /* FARJMP64 */
+  0x8f3, /* PUSH16rmm */
   0x0, /*  */
+  0x39d, /* INC64r */
+  0x29e, /* DEC64r */
+  0x167, /* CALL64r */
   0x0, /*  */
+  0x45d, /* JMP64r */
   0x0, /*  */
-  0x723, /* NOOP18_r4 */
-  0x724, /* NOOP18_r5 */
-  0x725, /* NOOP18_r6 */
-  0x726, /* NOOP18_r7 */
-/* Table1821 */
-  0x729, /* NOOPL_19 */
-  0x727, /* NOOP19rr */
-/* Table1823 */
-  0x72a, /* NOOPL_1a */
+  0x8f4, /* PUSH16rmr */
   0x0, /*  */
-/* Table1825 */
-  0x72b, /* NOOPL_1b */
+/* Table1736 */
+  0x640, /* MOV16ao64 */
+/* Table1737 */
+  0x646, /* MOV16o64a */
+/* Table1738 */
+  0x396, /* INC16m */
+  0x297, /* DEC16m */
+  0x165, /* CALL64m */
+  0x2f0, /* FARCALL16m */
+  0x45c, /* JMP64m */
+  0x2f5, /* FARJMP16m */
+  0x8f3, /* PUSH16rmm */
   0x0, /*  */
-/* Table1827 */
-  0x72c, /* NOOPL_1c */
+  0x397, /* INC16r */
+  0x298, /* DEC16r */
+  0x167, /* CALL64r */
   0x0, /*  */
-/* Table1829 */
-  0x72d, /* NOOPL_1d */
+  0x45d, /* JMP64r */
   0x0, /*  */
-/* Table1831 */
-  0x72e, /* NOOPL_1e */
+  0x8f4, /* PUSH16rmr */
+  0x0, /*  */
+/* Table1754 */
+  0xad0, /* SLDT16m */
+  0xaf6, /* STRm */
+  0x4ec, /* LLDT16m */
+  0x546, /* LTRm */
+  0xe12, /* VERRm */
+  0xe14, /* VERWm */
+  0x0, /*  */
+  0x0, /*  */
+  0xad2, /* SLDT32r */
+  0xaf4, /* STR32r */
+  0x4ed, /* LLDT16r */
+  0x547, /* LTRr */
+  0xe13, /* VERRr */
+  0xe15, /* VERWr */
+  0x0, /*  */
+  0x0, /*  */
+/* Table1770 */
+  0xa64, /* SGDT32m */
+  0xac9, /* SIDT32m */
+  0x4e4, /* LGDT32m */
+  0x4ea, /* LIDT32m */
+  0xad5, /* SMSW16m */
+  0x0, /*  */
+  0x4ee, /* LMSW16m */
+  0x3ae, /* INVLPG */
+  0x0, /*  */
+  0x1397, /* VMCALL */
+  0x1402, /* VMLAUNCH */
+  0x15fc, /* VMRESUME */
+  0x1667, /* VMXOFF */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x63a, /* MONITORrrr */
+  0x730, /* MWAITrr */
+  0x171, /* CLAC */
+  0xae9, /* STAC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x2e7, /* ENCLS */
+  0x2257, /* XGETBV */
+  0x228e, /* XSETBV */
+  0x0, /*  */
+  0x0, /*  */
+  0x1399, /* VMFUNC */
+  0x2256, /* XEND */
+  0x2292, /* XTEST */
+  0x2e8, /* ENCLU */
+  0x15fd, /* VMRUN32 */
+  0x1405, /* VMMCALL */
+  0x1403, /* VMLOAD32 */
+  0x15ff, /* VMSAVE32 */
+  0xaec, /* STGI */
+  0x176, /* CLGI */
+  0xacf, /* SKINIT */
+  0x3af, /* INVLPGA32 */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
   0x0, /*  */
-/* Table1833 */
-  0x728, /* NOOPL */
   0x0, /*  */
-/* Table1835 */
   0x0, /*  */
-  0x63b, /* MOV32rc */
-/* Table1837 */
   0x0, /*  */
-  0x63c, /* MOV32rd */
-/* Table1839 */
   0x0, /*  */
-  0x633, /* MOV32cr */
-/* Table1841 */
   0x0, /*  */
-  0x634, /* MOV32dr */
-/* Table1843 */
-  0x673, /* MOVAPSrm */
-  0x674, /* MOVAPSrr */
-/* Table1845 */
-  0x672, /* MOVAPSmr */
-  0x675, /* MOVAPSrr_REV */
+  0x0, /*  */
+  0x0, /*  */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0xb68, /* SWAPGS */
+  0x95b, /* RDTSCP */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table1842 */
+  0x4b7, /* LAR32rm */
+  0x4b8, /* LAR32rr */
+/* Table1844 */
+  0x53f, /* LSL32rm */
+  0x540, /* LSL32rr */
+/* Table1846 */
+  0xb69, /* SYSCALL */
 /* Table1847 */
-  0x567, /* MMX_CVTPI2PSirm */
-  0x568, /* MMX_CVTPI2PSirr */
+  0x178, /* CLTS */
+/* Table1848 */
+  0xb6d, /* SYSRET */
 /* Table1849 */
-  0x69b, /* MOVNTPSmr */
-  0x0, /*  */
+  0x3ab, /* INVD */
+/* Table1850 */
+  0x222e, /* WBINVD */
 /* Table1851 */
-  0x56d, /* MMX_CVTTPS2PIirm */
-  0x56e, /* MMX_CVTTPS2PIirr */
-/* Table1853 */
-  0x569, /* MMX_CVTPS2PIirm */
-  0x56a, /* MMX_CVTPS2PIirr */
-/* Table1855 */
-  0xb73, /* UCOMISSrm */
-  0xb74, /* UCOMISSrr */
-/* Table1857 */
-  0x246, /* COMISSrm */
-  0x247, /* COMISSrr */
-/* Table1859 */
-  0x1826, /* WRMSR */
-/* Table1860 */
-  0x935, /* RDTSC */
-/* Table1861 */
-  0x92d, /* RDMSR */
-/* Table1862 */
-  0x92e, /* RDPMC */
-/* Table1863 */
-  0xb2a, /* SYSENTER */
-/* Table1864 */
-  0xb2b, /* SYSEXIT */
-/* Table1865 */
-  0x342, /* GETSEC */
-/* Table1866 */
-  0x1df, /* CMOVO32rm */
-  0x1e0, /* CMOVO32rr */
+  0xba5, /* TRAP */
+/* Table1852 */
+  0x0, /*  */
+  0x8a2, /* PREFETCHW */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
 /* Table1868 */
-  0x1c9, /* CMOVNO32rm */
-  0x1ca, /* CMOVNO32rr */
+  0x6ee, /* MOVUPSrm */
+  0x6ef, /* MOVUPSrr */
 /* Table1870 */
-  0x181, /* CMOVB32rm */
-  0x182, /* CMOVB32rr */
+  0x6ed, /* MOVUPSmr */
+  0x6f0, /* MOVUPSrr_REV */
 /* Table1872 */
-  0x17b, /* CMOVAE32rm */
-  0x17c, /* CMOVAE32rr */
+  0x6b2, /* MOVLPSrm */
+  0x6a9, /* MOVHLPSrr */
 /* Table1874 */
-  0x195, /* CMOVE32rm */
-  0x196, /* CMOVE32rr */
+  0x6b1, /* MOVLPSmr */
+  0x0, /*  */
 /* Table1876 */
-  0x1bf, /* CMOVNE32rm */
-  0x1c0, /* CMOVNE32rr */
+  0xbca, /* UNPCKLPSrm */
+  0xbcb, /* UNPCKLPSrr */
 /* Table1878 */
-  0x187, /* CMOVBE32rm */
-  0x188, /* CMOVBE32rr */
+  0xbc6, /* UNPCKHPSrm */
+  0xbc7, /* UNPCKHPSrr */
 /* Table1880 */
-  0x175, /* CMOVA32rm */
-  0x176, /* CMOVA32rr */
+  0x6ad, /* MOVHPSrm */
+  0x6ae, /* MOVLHPSrr */
 /* Table1882 */
-  0x1ef, /* CMOVS32rm */
-  0x1f0, /* CMOVS32rr */
+  0x6ac, /* MOVHPSmr */
+  0x0, /*  */
 /* Table1884 */
-  0x1d9, /* CMOVNS32rm */
-  0x1da, /* CMOVNS32rr */
-/* Table1886 */
-  0x1e5, /* CMOVP32rm */
-  0x1e6, /* CMOVP32rr */
-/* Table1888 */
-  0x1cf, /* CMOVNP32rm */
-  0x1d0, /* CMOVNP32rr */
-/* Table1890 */
-  0x1ab, /* CMOVL32rm */
-  0x1ac, /* CMOVL32rr */
-/* Table1892 */
-  0x1a5, /* CMOVGE32rm */
-  0x1a6, /* CMOVGE32rr */
-/* Table1894 */
-  0x1b1, /* CMOVLE32rm */
-  0x1b2, /* CMOVLE32rr */
-/* Table1896 */
-  0x19f, /* CMOVG32rm */
-  0x1a0, /* CMOVG32rr */
-/* Table1898 */
+  0x89e, /* PREFETCHNTA */
+  0x89f, /* PREFETCHT0 */
+  0x8a0, /* PREFETCHT1 */
+  0x8a1, /* PREFETCHT2 */
+  0x742, /* NOOP18_m4 */
+  0x743, /* NOOP18_m5 */
+  0x744, /* NOOP18_m6 */
+  0x745, /* NOOP18_m7 */
+  0x0, /*  */
+  0x0, /*  */
   0x0, /*  */
-  0x695, /* MOVMSKPSrr */
+  0x0, /*  */
+  0x746, /* NOOP18_r4 */
+  0x747, /* NOOP18_r5 */
+  0x748, /* NOOP18_r6 */
+  0x749, /* NOOP18_r7 */
 /* Table1900 */
-  0xa9c, /* SQRTPSm */
-  0xa9d, /* SQRTPSr */
+  0x74c, /* NOOPL_19 */
+  0x74a, /* NOOP19rr */
 /* Table1902 */
-  0x991, /* RSQRTPSm */
-  0x993, /* RSQRTPSr */
+  0x74d, /* NOOPL_1a */
+  0x0, /*  */
 /* Table1904 */
-  0x909, /* RCPPSm */
-  0x90b, /* RCPPSr */
+  0x74e, /* NOOPL_1b */
+  0x0, /*  */
 /* Table1906 */
-  0xd8, /* ANDPSrm */
-  0xd9, /* ANDPSrr */
+  0x74f, /* NOOPL_1c */
+  0x0, /*  */
 /* Table1908 */
-  0xd4, /* ANDNPSrm */
-  0xd5, /* ANDNPSrr */
+  0x750, /* NOOPL_1d */
+  0x0, /*  */
 /* Table1910 */
-  0x764, /* ORPSrm */
-  0x765, /* ORPSrr */
+  0x751, /* NOOPL_1e */
+  0x0, /*  */
 /* Table1912 */
-  0x186d, /* XORPSrm */
-  0x186e, /* XORPSrr */
+  0x74b, /* NOOPL */
+  0x0, /*  */
 /* Table1914 */
-  0x74, /* ADDPSrm */
-  0x75, /* ADDPSrr */
+  0x0, /*  */
+  0x65b, /* MOV32rc */
 /* Table1916 */
-  0x6ea, /* MULPSrm */
-  0x6eb, /* MULPSrr */
+  0x0, /*  */
+  0x65c, /* MOV32rd */
 /* Table1918 */
-  0x267, /* CVTPS2PDrm */
-  0x268, /* CVTPS2PDrr */
+  0x0, /*  */
+  0x652, /* MOV32cr */
 /* Table1920 */
-  0x25f, /* CVTDQ2PSrm */
-  0x260, /* CVTDQ2PSrr */
+  0x0, /*  */
+  0x653, /* MOV32dr */
 /* Table1922 */
-  0xaf7, /* SUBPSrm */
-  0xaf8, /* SUBPSrr */
+  0x692, /* MOVAPSrm */
+  0x693, /* MOVAPSrr */
 /* Table1924 */
-  0x559, /* MINPSrm */
-  0x55a, /* MINPSrr */
+  0x691, /* MOVAPSmr */
+  0x694, /* MOVAPSrr_REV */
 /* Table1926 */
-  0x2a6, /* DIVPSrm */
-  0x2a7, /* DIVPSrr */
+  0x581, /* MMX_CVTPI2PSirm */
+  0x582, /* MMX_CVTPI2PSirr */
 /* Table1928 */
-  0x544, /* MAXPSrm */
-  0x545, /* MAXPSrr */
+  0x6ba, /* MOVNTPSmr */
+  0x0, /*  */
 /* Table1930 */
-  0x615, /* MMX_PUNPCKLBWirm */
-  0x616, /* MMX_PUNPCKLBWirr */
+  0x587, /* MMX_CVTTPS2PIirm */
+  0x588, /* MMX_CVTTPS2PIirr */
 /* Table1932 */
-  0x619, /* MMX_PUNPCKLWDirm */
-  0x61a, /* MMX_PUNPCKLWDirr */
+  0x583, /* MMX_CVTPS2PIirm */
+  0x584, /* MMX_CVTPS2PIirr */
 /* Table1934 */
-  0x617, /* MMX_PUNPCKLDQirm */
-  0x618, /* MMX_PUNPCKLDQirr */
+  0xbb6, /* UCOMISSrm */
+  0xbb7, /* UCOMISSrr */
 /* Table1936 */
-  0x589, /* MMX_PACKSSWBirm */
-  0x58a, /* MMX_PACKSSWBirr */
+  0x250, /* COMISSrm */
+  0x251, /* COMISSrr */
 /* Table1938 */
-  0x5ad, /* MMX_PCMPGTBirm */
-  0x5ae, /* MMX_PCMPGTBirr */
+  0x2236, /* WRMSR */
+/* Table1939 */
+  0x95a, /* RDTSC */
 /* Table1940 */
-  0x5b1, /* MMX_PCMPGTWirm */
-  0x5b2, /* MMX_PCMPGTWirr */
+  0x952, /* RDMSR */
+/* Table1941 */
+  0x953, /* RDPMC */
 /* Table1942 */
-  0x5af, /* MMX_PCMPGTDirm */
-  0x5b0, /* MMX_PCMPGTDirr */
+  0xb6a, /* SYSENTER */
+/* Table1943 */
+  0xb6b, /* SYSEXIT */
 /* Table1944 */
-  0x58b, /* MMX_PACKUSWBirm */
-  0x58c, /* MMX_PACKUSWBirr */
-/* Table1946 */
-  0x60f, /* MMX_PUNPCKHBWirm */
-  0x610, /* MMX_PUNPCKHBWirr */
-/* Table1948 */
-  0x613, /* MMX_PUNPCKHWDirm */
-  0x614, /* MMX_PUNPCKHWDirr */
-/* Table1950 */
-  0x611, /* MMX_PUNPCKHDQirm */
-  0x612, /* MMX_PUNPCKHDQirr */
-/* Table1952 */
-  0x587, /* MMX_PACKSSDWirm */
-  0x588, /* MMX_PACKSSDWirr */
-/* Table1954 */
-  0x575, /* MMX_MOVD64rm */
-  0x576, /* MMX_MOVD64rr */
-/* Table1956 */
-  0x57e, /* MMX_MOVQ64rm */
-  0x57f, /* MMX_MOVQ64rr */
-/* Table1958 */
-  0x5df, /* MMX_PSHUFWmi */
-  0x5e0, /* MMX_PSHUFWri */
-/* Table1960 */
+  0x358, /* GETSEC */
+/* Table1945 */
+  0x1e7, /* CMOVO32rm */
+  0x1e8, /* CMOVO32rr */
+/* Table1947 */
+  0x1d1, /* CMOVNO32rm */
+  0x1d2, /* CMOVNO32rr */
+/* Table1949 */
+  0x189, /* CMOVB32rm */
+  0x18a, /* CMOVB32rr */
+/* Table1951 */
+  0x183, /* CMOVAE32rm */
+  0x184, /* CMOVAE32rr */
+/* Table1953 */
+  0x19d, /* CMOVE32rm */
+  0x19e, /* CMOVE32rr */
+/* Table1955 */
+  0x1c7, /* CMOVNE32rm */
+  0x1c8, /* CMOVNE32rr */
+/* Table1957 */
+  0x18f, /* CMOVBE32rm */
+  0x190, /* CMOVBE32rr */
+/* Table1959 */
+  0x17d, /* CMOVA32rm */
+  0x17e, /* CMOVA32rr */
+/* Table1961 */
+  0x1f7, /* CMOVS32rm */
+  0x1f8, /* CMOVS32rr */
+/* Table1963 */
+  0x1e1, /* CMOVNS32rm */
+  0x1e2, /* CMOVNS32rr */
+/* Table1965 */
+  0x1ed, /* CMOVP32rm */
+  0x1ee, /* CMOVP32rr */
+/* Table1967 */
+  0x1d7, /* CMOVNP32rm */
+  0x1d8, /* CMOVNP32rr */
+/* Table1969 */
+  0x1b3, /* CMOVL32rm */
+  0x1b4, /* CMOVL32rr */
+/* Table1971 */
+  0x1ad, /* CMOVGE32rm */
+  0x1ae, /* CMOVGE32rr */
+/* Table1973 */
+  0x1b9, /* CMOVLE32rm */
+  0x1ba, /* CMOVLE32rr */
+/* Table1975 */
+  0x1a7, /* CMOVG32rm */
+  0x1a8, /* CMOVG32rr */
+/* Table1977 */
+  0x0, /*  */
+  0x6b4, /* MOVMSKPSrr */
+/* Table1979 */
+  0xadb, /* SQRTPSm */
+  0xadc, /* SQRTPSr */
+/* Table1981 */
+  0x9ce, /* RSQRTPSm */
+  0x9d0, /* RSQRTPSr */
+/* Table1983 */
+  0x92e, /* RCPPSm */
+  0x930, /* RCPPSr */
+/* Table1985 */
+  0xde, /* ANDPSrm */
+  0xdf, /* ANDPSrr */
+/* Table1987 */
+  0xda, /* ANDNPSrm */
+  0xdb, /* ANDNPSrr */
+/* Table1989 */
+  0x788, /* ORPSrm */
+  0x789, /* ORPSrr */
+/* Table1991 */
+  0x227f, /* XORPSrm */
+  0x2280, /* XORPSrr */
+/* Table1993 */
+  0x79, /* ADDPSrm */
+  0x7a, /* ADDPSrr */
+/* Table1995 */
+  0x70d, /* MULPSrm */
+  0x70e, /* MULPSrr */
+/* Table1997 */
+  0x270, /* CVTPS2PDrm */
+  0x271, /* CVTPS2PDrr */
+/* Table1999 */
+  0x268, /* CVTDQ2PSrm */
+  0x269, /* CVTDQ2PSrr */
+/* Table2001 */
+  0xb37, /* SUBPSrm */
+  0xb38, /* SUBPSrr */
+/* Table2003 */
+  0x573, /* MINPSrm */
+  0x574, /* MINPSrr */
+/* Table2005 */
+  0x2ab, /* DIVPSrm */
+  0x2ac, /* DIVPSrr */
+/* Table2007 */
+  0x55e, /* MAXPSrm */
+  0x55f, /* MAXPSrr */
+/* Table2009 */
+  0x631, /* MMX_PUNPCKLBWirm */
+  0x632, /* MMX_PUNPCKLBWirr */
+/* Table2011 */
+  0x635, /* MMX_PUNPCKLWDirm */
+  0x636, /* MMX_PUNPCKLWDirr */
+/* Table2013 */
+  0x633, /* MMX_PUNPCKLDQirm */
+  0x634, /* MMX_PUNPCKLDQirr */
+/* Table2015 */
+  0x5a5, /* MMX_PACKSSWBirm */
+  0x5a6, /* MMX_PACKSSWBirr */
+/* Table2017 */
+  0x5c9, /* MMX_PCMPGTBirm */
+  0x5ca, /* MMX_PCMPGTBirr */
+/* Table2019 */
+  0x5cd, /* MMX_PCMPGTWirm */
+  0x5ce, /* MMX_PCMPGTWirr */
+/* Table2021 */
+  0x5cb, /* MMX_PCMPGTDirm */
+  0x5cc, /* MMX_PCMPGTDirr */
+/* Table2023 */
+  0x5a7, /* MMX_PACKUSWBirm */
+  0x5a8, /* MMX_PACKUSWBirr */
+/* Table2025 */
+  0x62b, /* MMX_PUNPCKHBWirm */
+  0x62c, /* MMX_PUNPCKHBWirr */
+/* Table2027 */
+  0x62f, /* MMX_PUNPCKHWDirm */
+  0x630, /* MMX_PUNPCKHWDirr */
+/* Table2029 */
+  0x62d, /* MMX_PUNPCKHDQirm */
+  0x62e, /* MMX_PUNPCKHDQirr */
+/* Table2031 */
+  0x5a3, /* MMX_PACKSSDWirm */
+  0x5a4, /* MMX_PACKSSDWirr */
+/* Table2033 */
+  0x590, /* MMX_MOVD64rm */
+  0x591, /* MMX_MOVD64rr */
+/* Table2035 */
+  0x59a, /* MMX_MOVQ64rm */
+  0x59b, /* MMX_MOVQ64rr */
+/* Table2037 */
+  0x5fb, /* MMX_PSHUFWmi */
+  0x5fc, /* MMX_PSHUFWri */
+/* Table2039 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51189,13 +64051,13 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x5fc, /* MMX_PSRLWri */
+  0x618, /* MMX_PSRLWri */
   0x0, /*  */
-  0x5f3, /* MMX_PSRAWri */
+  0x60f, /* MMX_PSRAWri */
   0x0, /*  */
-  0x5ed, /* MMX_PSLLWri */
+  0x609, /* MMX_PSLLWri */
   0x0, /*  */
-/* Table1976 */
+/* Table2055 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51206,13 +64068,13 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x5f6, /* MMX_PSRLDri */
+  0x612, /* MMX_PSRLDri */
   0x0, /*  */
-  0x5f0, /* MMX_PSRADri */
+  0x60c, /* MMX_PSRADri */
   0x0, /*  */
-  0x5e7, /* MMX_PSLLDri */
+  0x603, /* MMX_PSLLDri */
   0x0, /*  */
-/* Table1992 */
+/* Table2071 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51223,131 +64085,131 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x5f9, /* MMX_PSRLQri */
+  0x615, /* MMX_PSRLQri */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x5ea, /* MMX_PSLLQri */
+  0x606, /* MMX_PSLLQri */
   0x0, /*  */
-/* Table2008 */
-  0x5a7, /* MMX_PCMPEQBirm */
-  0x5a8, /* MMX_PCMPEQBirr */
-/* Table2010 */
-  0x5ab, /* MMX_PCMPEQWirm */
-  0x5ac, /* MMX_PCMPEQWirr */
-/* Table2012 */
-  0x5a9, /* MMX_PCMPEQDirm */
-  0x5aa, /* MMX_PCMPEQDirr */
-/* Table2014 */
-  0x56f, /* MMX_EMMS */
-/* Table2015 */
-  0x1184, /* VMREAD32rm */
-  0x1185, /* VMREAD32rr */
-/* Table2017 */
-  0x11b3, /* VMWRITE32rm */
-  0x11b4, /* VMWRITE32rr */
-/* Table2019 */
-  0x574, /* MMX_MOVD64mr */
-  0x573, /* MMX_MOVD64grr */
-/* Table2021 */
-  0x57d, /* MMX_MOVQ64mr */
-  0x580, /* MMX_MOVQ64rr_REV */
-/* Table2023 */
-  0x45e, /* JO_4 */
-/* Table2024 */
-  0x455, /* JNO_4 */
-/* Table2025 */
-  0x434, /* JB_4 */
-/* Table2026 */
-  0x42b, /* JAE_4 */
-/* Table2027 */
-  0x43a, /* JE_4 */
-/* Table2028 */
-  0x452, /* JNE_4 */
-/* Table2029 */
-  0x431, /* JBE_4 */
-/* Table2030 */
-  0x42e, /* JA_4 */
-/* Table2031 */
-  0x465, /* JS_4 */
-/* Table2032 */
-  0x45b, /* JNS_4 */
-/* Table2033 */
-  0x461, /* JP_4 */
-/* Table2034 */
-  0x458, /* JNP_4 */
-/* Table2035 */
-  0x446, /* JL_4 */
-/* Table2036 */
-  0x43d, /* JGE_4 */
-/* Table2037 */
-  0x443, /* JLE_4 */
-/* Table2038 */
-  0x440, /* JG_4 */
-/* Table2039 */
-  0xa1d, /* SETOm */
-  0xa1e, /* SETOr */
-/* Table2041 */
-  0xa17, /* SETNOm */
-  0xa18, /* SETNOr */
-/* Table2043 */
-  0xa09, /* SETBm */
-  0xa0a, /* SETBr */
-/* Table2045 */
-  0x9ff, /* SETAEm */
-  0xa00, /* SETAEr */
-/* Table2047 */
-  0xa0b, /* SETEm */
-  0xa0c, /* SETEr */
-/* Table2049 */
-  0xa15, /* SETNEm */
-  0xa16, /* SETNEr */
-/* Table2051 */
-  0xa03, /* SETBEm */
-  0xa04, /* SETBEr */
-/* Table2053 */
-  0xa01, /* SETAm */
-  0xa02, /* SETAr */
-/* Table2055 */
-  0xa21, /* SETSm */
-  0xa22, /* SETSr */
-/* Table2057 */
-  0xa1b, /* SETNSm */
-  0xa1c, /* SETNSr */
-/* Table2059 */
-  0xa1f, /* SETPm */
-  0xa20, /* SETPr */
-/* Table2061 */
-  0xa19, /* SETNPm */
-  0xa1a, /* SETNPr */
-/* Table2063 */
-  0xa13, /* SETLm */
-  0xa14, /* SETLr */
-/* Table2065 */
-  0xa0d, /* SETGEm */
-  0xa0e, /* SETGEr */
-/* Table2067 */
-  0xa11, /* SETLEm */
-  0xa12, /* SETLEr */
-/* Table2069 */
-  0xa0f, /* SETGm */
-  0xa10, /* SETGr */
-/* Table2071 */
-  0x8e6, /* PUSHFS32 */
-/* Table2072 */
-  0x86f, /* POPFS32 */
-/* Table2073 */
-  0x250, /* CPUID32 */
-/* Table2074 */
-  0x12c, /* BT32mr */
-  0x12e, /* BT32rr */
-/* Table2076 */
-  0xa52, /* SHLD32mri8 */
-  0xa54, /* SHLD32rri8 */
-/* Table2078 */
-  0xa51, /* SHLD32mrCL */
-  0xa53, /* SHLD32rrCL */
-/* Table2080 */
+/* Table2087 */
+  0x5c3, /* MMX_PCMPEQBirm */
+  0x5c4, /* MMX_PCMPEQBirr */
+/* Table2089 */
+  0x5c7, /* MMX_PCMPEQWirm */
+  0x5c8, /* MMX_PCMPEQWirr */
+/* Table2091 */
+  0x5c5, /* MMX_PCMPEQDirm */
+  0x5c6, /* MMX_PCMPEQDirr */
+/* Table2093 */
+  0x589, /* MMX_EMMS */
+/* Table2094 */
+  0x15f8, /* VMREAD32rm */
+  0x15f9, /* VMREAD32rr */
+/* Table2096 */
+  0x1663, /* VMWRITE32rm */
+  0x1664, /* VMWRITE32rr */
+/* Table2098 */
+  0x58f, /* MMX_MOVD64mr */
+  0x58e, /* MMX_MOVD64grr */
+/* Table2100 */
+  0x599, /* MMX_MOVQ64mr */
+  0x59c, /* MMX_MOVQ64rr_REV */
+/* Table2102 */
+  0x46f, /* JO_4 */
+/* Table2103 */
+  0x466, /* JNO_4 */
+/* Table2104 */
+  0x446, /* JB_4 */
+/* Table2105 */
+  0x43d, /* JAE_4 */
+/* Table2106 */
+  0x44b, /* JE_4 */
+/* Table2107 */
+  0x463, /* JNE_4 */
+/* Table2108 */
+  0x443, /* JBE_4 */
+/* Table2109 */
+  0x440, /* JA_4 */
+/* Table2110 */
+  0x476, /* JS_4 */
+/* Table2111 */
+  0x46c, /* JNS_4 */
+/* Table2112 */
+  0x472, /* JP_4 */
+/* Table2113 */
+  0x469, /* JNP_4 */
+/* Table2114 */
+  0x457, /* JL_4 */
+/* Table2115 */
+  0x44e, /* JGE_4 */
+/* Table2116 */
+  0x454, /* JLE_4 */
+/* Table2117 */
+  0x451, /* JG_4 */
+/* Table2118 */
+  0xa5c, /* SETOm */
+  0xa5d, /* SETOr */
+/* Table2120 */
+  0xa56, /* SETNOm */
+  0xa57, /* SETNOr */
+/* Table2122 */
+  0xa48, /* SETBm */
+  0xa49, /* SETBr */
+/* Table2124 */
+  0xa3e, /* SETAEm */
+  0xa3f, /* SETAEr */
+/* Table2126 */
+  0xa4a, /* SETEm */
+  0xa4b, /* SETEr */
+/* Table2128 */
+  0xa54, /* SETNEm */
+  0xa55, /* SETNEr */
+/* Table2130 */
+  0xa42, /* SETBEm */
+  0xa43, /* SETBEr */
+/* Table2132 */
+  0xa40, /* SETAm */
+  0xa41, /* SETAr */
+/* Table2134 */
+  0xa60, /* SETSm */
+  0xa61, /* SETSr */
+/* Table2136 */
+  0xa5a, /* SETNSm */
+  0xa5b, /* SETNSr */
+/* Table2138 */
+  0xa5e, /* SETPm */
+  0xa5f, /* SETPr */
+/* Table2140 */
+  0xa58, /* SETNPm */
+  0xa59, /* SETNPr */
+/* Table2142 */
+  0xa52, /* SETLm */
+  0xa53, /* SETLr */
+/* Table2144 */
+  0xa4c, /* SETGEm */
+  0xa4d, /* SETGEr */
+/* Table2146 */
+  0xa50, /* SETLEm */
+  0xa51, /* SETLEr */
+/* Table2148 */
+  0xa4e, /* SETGm */
+  0xa4f, /* SETGr */
+/* Table2150 */
+  0x90b, /* PUSHFS32 */
+/* Table2151 */
+  0x894, /* POPFS32 */
+/* Table2152 */
+  0x25a, /* CPUID */
+/* Table2153 */
+  0x132, /* BT32mr */
+  0x134, /* BT32rr */
+/* Table2155 */
+  0xa91, /* SHLD32mri8 */
+  0xa93, /* SHLD32rri8 */
+/* Table2157 */
+  0xa90, /* SHLD32mrCL */
+  0xa92, /* SHLD32rrCL */
+/* Table2159 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51356,7 +64218,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* MONTMUL */
+  0x63b, /* MONTMUL */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51364,7 +64226,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1877, /* XSHA1 */
+  0x228f, /* XSHA1 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51372,7 +64234,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1878, /* XSHA256 */
+  0x2290, /* XSHA256 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51420,7 +64282,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2152 */
+/* Table2231 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51429,7 +64291,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1879, /* XSTORE */
+  0x2291, /* XSTORE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51437,7 +64299,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1843, /* XCRYPTECB */
+  0x2254, /* XCRYPTECB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51445,7 +64307,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1840, /* XCRYPTCBC */
+  0x2251, /* XCRYPTCBC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51453,7 +64315,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1842, /* XCRYPTCTR */
+  0x2253, /* XCRYPTCTR */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51461,7 +64323,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1841, /* XCRYPTCFB */
+  0x2252, /* XCRYPTCFB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51469,7 +64331,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1844, /* XCRYPTOFB */
+  0x2255, /* XCRYPTOFB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51493,30 +64355,30 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2224 */
-  0x8e9, /* PUSHGS32 */
-/* Table2225 */
-  0x872, /* POPGS32 */
-/* Table2226 */
-  0x990, /* RSM */
-/* Table2227 */
-  0x150, /* BTS32mr */
-  0x152, /* BTS32rr */
-/* Table2229 */
-  0xa7a, /* SHRD32mri8 */
-  0xa7c, /* SHRD32rri8 */
-/* Table2231 */
-  0xa79, /* SHRD32mrCL */
-  0xa7b, /* SHRD32rrCL */
-/* Table2233 */
-  0x327, /* FXSAVE */
-  0x325, /* FXRSTOR */
-  0x4a8, /* LDMXCSR */
-  0xaaf, /* STMXCSR */
-  0x1872, /* XSAVE */
-  0x1870, /* XRSTOR */
-  0x1874, /* XSAVEOPT */
-  0x16e, /* CLFLUSH */
+/* Table2303 */
+  0x90e, /* PUSHGS32 */
+/* Table2304 */
+  0x897, /* POPGS32 */
+/* Table2305 */
+  0x9cd, /* RSM */
+/* Table2306 */
+  0x156, /* BTS32mr */
+  0x158, /* BTS32rr */
+/* Table2308 */
+  0xab9, /* SHRD32mri8 */
+  0xabb, /* SHRD32rri8 */
+/* Table2310 */
+  0xab8, /* SHRD32mrCL */
+  0xaba, /* SHRD32rrCL */
+/* Table2312 */
+  0x32d, /* FXSAVE */
+  0x32b, /* FXRSTOR */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2286, /* XSAVE */
+  0x2282, /* XRSTOR */
+  0x228a, /* XSAVEOPT */
+  0x174, /* CLFLUSH */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51557,7 +64419,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x4c5, /* LFENCE */
+  0x4df, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51565,7 +64427,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x54e, /* MFENCE */
+  0x568, /* MFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51573,7 +64435,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xa23, /* SFENCE */
+  0xa62, /* SFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51581,406 +64443,404 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2305 */
-  0x36a, /* IMUL32rm */
-  0x36d, /* IMUL32rr */
-/* Table2307 */
-  0x242, /* CMPXCHG8rm */
-  0x243, /* CMPXCHG8rr */
-/* Table2309 */
-  0x23d, /* CMPXCHG32rm */
-  0x23e, /* CMPXCHG32rr */
-/* Table2311 */
-  0x52a, /* LSS32rm */
-  0x0, /*  */
-/* Table2313 */
-  0x144, /* BTR32mr */
-  0x146, /* BTR32rr */
-/* Table2315 */
-  0x4c7, /* LFS32rm */
-  0x0, /*  */
-/* Table2317 */
-  0x4cd, /* LGS32rm */
-  0x0, /*  */
-/* Table2319 */
-  0x6d7, /* MOVZX32rm8 */
-  0x6d9, /* MOVZX32rr8 */
-/* Table2321 */
-  0x6d6, /* MOVZX32rm16 */
-  0x6d8, /* MOVZX32rr16 */
-/* Table2323 */
-  0xb80, /* UD2B */
-/* Table2324 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x12b, /* BT32mi8 */
-  0x14f, /* BTS32mi8 */
-  0x143, /* BTR32mi8 */
-  0x137, /* BTC32mi8 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x12d, /* BT32ri8 */
-  0x151, /* BTS32ri8 */
-  0x145, /* BTR32ri8 */
-  0x139, /* BTC32ri8 */
-/* Table2340 */
-  0x138, /* BTC32mr */
-  0x13a, /* BTC32rr */
-/* Table2342 */
-  0x11b, /* BSF32rm */
-  0x11c, /* BSF32rr */
-/* Table2344 */
-  0x121, /* BSR32rm */
-  0x122, /* BSR32rr */
-/* Table2346 */
-  0x6bc, /* MOVSX32rm8 */
-  0x6be, /* MOVSX32rr8 */
-/* Table2348 */
-  0x6bb, /* MOVSX32rm16 */
-  0x6bd, /* MOVSX32rr16 */
-/* Table2350 */
-  0x182f, /* XADD8rm */
-  0x1830, /* XADD8rr */
-/* Table2352 */
-  0x182b, /* XADD32rm */
-  0x182c, /* XADD32rr */
-/* Table2354 */
-  0x22a, /* CMPPSrmi */
-  0x22c, /* CMPPSrri */
-/* Table2356 */
-  0x699, /* MOVNTImr */
-  0x0, /*  */
-/* Table2358 */
-  0x5c0, /* MMX_PINSRWirmi */
-  0x5c1, /* MMX_PINSRWirri */
-/* Table2360 */
-  0x0, /*  */
-  0x5b3, /* MMX_PEXTRWirri */
-/* Table2362 */
-  0xa87, /* SHUFPSrmi */
-  0xa88, /* SHUFPSrri */
-/* Table2364 */
-  0x0, /*  */
-  0x241, /* CMPXCHG8B */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1182, /* VMPTRLDm */
-  0x1183, /* VMPTRSTm */
+/* Table2384 */
+  0x380, /* IMUL32rm */
+  0x383, /* IMUL32rr */
+/* Table2386 */
+  0x24c, /* CMPXCHG8rm */
+  0x24d, /* CMPXCHG8rr */
+/* Table2388 */
+  0x247, /* CMPXCHG32rm */
+  0x248, /* CMPXCHG32rr */
+/* Table2390 */
+  0x544, /* LSS32rm */
   0x0, /*  */
+/* Table2392 */
+  0x14a, /* BTR32mr */
+  0x14c, /* BTR32rr */
+/* Table2394 */
+  0x4e1, /* LFS32rm */
   0x0, /*  */
+/* Table2396 */
+  0x4e7, /* LGS32rm */
   0x0, /*  */
+/* Table2398 */
+  0x6fa, /* MOVZX32rm8 */
+  0x6fc, /* MOVZX32rr8 */
+/* Table2400 */
+  0x6f9, /* MOVZX32rm16 */
+  0x6fb, /* MOVZX32rr16 */
+/* Table2402 */
+  0xbc3, /* UD2B */
+/* Table2403 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x930, /* RDRAND32r */
-  0x933, /* RDSEED32r */
-/* Table2380 */
-  0x125, /* BSWAP32r */
-/* Table2381 */
-  0x5fd, /* MMX_PSRLWrm */
-  0x5fe, /* MMX_PSRLWrr */
-/* Table2383 */
-  0x5f7, /* MMX_PSRLDrm */
-  0x5f8, /* MMX_PSRLDrr */
-/* Table2385 */
-  0x5fa, /* MMX_PSRLQrm */
-  0x5fb, /* MMX_PSRLQrr */
-/* Table2387 */
-  0x591, /* MMX_PADDQirm */
-  0x592, /* MMX_PADDQirr */
-/* Table2389 */
-  0x5d5, /* MMX_PMULLWirm */
-  0x5d6, /* MMX_PMULLWirr */
-/* Table2391 */
-  0x0, /*  */
-  0x5ce, /* MMX_PMOVMSKBrr */
-/* Table2393 */
-  0x609, /* MMX_PSUBUSBirm */
-  0x60a, /* MMX_PSUBUSBirr */
-/* Table2395 */
-  0x60b, /* MMX_PSUBUSWirm */
-  0x60c, /* MMX_PSUBUSWirr */
-/* Table2397 */
-  0x5cc, /* MMX_PMINUBirm */
-  0x5cd, /* MMX_PMINUBirr */
-/* Table2399 */
-  0x5a1, /* MMX_PANDirm */
-  0x5a2, /* MMX_PANDirr */
-/* Table2401 */
-  0x597, /* MMX_PADDUSBirm */
-  0x598, /* MMX_PADDUSBirr */
-/* Table2403 */
-  0x599, /* MMX_PADDUSWirm */
-  0x59a, /* MMX_PADDUSWirr */
-/* Table2405 */
-  0x5c8, /* MMX_PMAXUBirm */
-  0x5c9, /* MMX_PMAXUBirr */
-/* Table2407 */
-  0x59f, /* MMX_PANDNirm */
-  0x5a0, /* MMX_PANDNirr */
-/* Table2409 */
-  0x5a3, /* MMX_PAVGBirm */
-  0x5a4, /* MMX_PAVGBirr */
-/* Table2411 */
-  0x5f4, /* MMX_PSRAWrm */
-  0x5f5, /* MMX_PSRAWrr */
-/* Table2413 */
-  0x5f1, /* MMX_PSRADrm */
-  0x5f2, /* MMX_PSRADrr */
-/* Table2415 */
-  0x5a5, /* MMX_PAVGWirm */
-  0x5a6, /* MMX_PAVGWirr */
-/* Table2417 */
-  0x5d1, /* MMX_PMULHUWirm */
-  0x5d2, /* MMX_PMULHUWirr */
+  0x0, /*  */
+  0x131, /* BT32mi8 */
+  0x155, /* BTS32mi8 */
+  0x149, /* BTR32mi8 */
+  0x13d, /* BTC32mi8 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x133, /* BT32ri8 */
+  0x157, /* BTS32ri8 */
+  0x14b, /* BTR32ri8 */
+  0x13f, /* BTC32ri8 */
 /* Table2419 */
-  0x5d3, /* MMX_PMULHWirm */
-  0x5d4, /* MMX_PMULHWirr */
+  0x13e, /* BTC32mr */
+  0x140, /* BTC32rr */
 /* Table2421 */
-  0x57a, /* MMX_MOVNTQmr */
-  0x0, /*  */
+  0x121, /* BSF32rm */
+  0x122, /* BSF32rr */
 /* Table2423 */
-  0x605, /* MMX_PSUBSBirm */
-  0x606, /* MMX_PSUBSBirr */
+  0x127, /* BSR32rm */
+  0x128, /* BSR32rr */
 /* Table2425 */
-  0x607, /* MMX_PSUBSWirm */
-  0x608, /* MMX_PSUBSWirr */
+  0x6de, /* MOVSX32rm8 */
+  0x6e0, /* MOVSX32rr8 */
 /* Table2427 */
-  0x5ca, /* MMX_PMINSWirm */
-  0x5cb, /* MMX_PMINSWirr */
+  0x6dd, /* MOVSX32rm16 */
+  0x6df, /* MOVSX32rr16 */
 /* Table2429 */
-  0x5d9, /* MMX_PORirm */
-  0x5da, /* MMX_PORirr */
+  0x223f, /* XADD8rm */
+  0x2240, /* XADD8rr */
 /* Table2431 */
-  0x593, /* MMX_PADDSBirm */
-  0x594, /* MMX_PADDSBirr */
+  0x223b, /* XADD32rm */
+  0x223c, /* XADD32rr */
 /* Table2433 */
-  0x595, /* MMX_PADDSWirm */
-  0x596, /* MMX_PADDSWirr */
+  0x234, /* CMPPSrmi */
+  0x236, /* CMPPSrri */
 /* Table2435 */
-  0x5c6, /* MMX_PMAXSWirm */
-  0x5c7, /* MMX_PMAXSWirr */
+  0x6b8, /* MOVNTImr */
+  0x0, /*  */
 /* Table2437 */
-  0x61b, /* MMX_PXORirm */
-  0x61c, /* MMX_PXORirr */
+  0x5dc, /* MMX_PINSRWirmi */
+  0x5dd, /* MMX_PINSRWirri */
 /* Table2439 */
-  0x5ee, /* MMX_PSLLWrm */
-  0x5ef, /* MMX_PSLLWrr */
+  0x0, /*  */
+  0x5cf, /* MMX_PEXTRWirri */
 /* Table2441 */
-  0x5e8, /* MMX_PSLLDrm */
-  0x5e9, /* MMX_PSLLDrr */
+  0xac6, /* SHUFPSrmi */
+  0xac7, /* SHUFPSrri */
 /* Table2443 */
-  0x5eb, /* MMX_PSLLQrm */
-  0x5ec, /* MMX_PSLLQrr */
-/* Table2445 */
-  0x5d7, /* MMX_PMULUDQirm */
-  0x5d8, /* MMX_PMULUDQirr */
-/* Table2447 */
-  0x5c4, /* MMX_PMADDWDirm */
-  0x5c5, /* MMX_PMADDWDirr */
-/* Table2449 */
-  0x5db, /* MMX_PSADBWirm */
-  0x5dc, /* MMX_PSADBWirr */
-/* Table2451 */
-  0x0, /*  */
-  0x570, /* MMX_MASKMOVQ */
-/* Table2453 */
-  0x5ff, /* MMX_PSUBBirm */
-  0x600, /* MMX_PSUBBirr */
-/* Table2455 */
-  0x60d, /* MMX_PSUBWirm */
-  0x60e, /* MMX_PSUBWirr */
-/* Table2457 */
-  0x601, /* MMX_PSUBDirm */
-  0x602, /* MMX_PSUBDirr */
-/* Table2459 */
-  0x603, /* MMX_PSUBQirm */
-  0x604, /* MMX_PSUBQirr */
-/* Table2461 */
-  0x58d, /* MMX_PADDBirm */
-  0x58e, /* MMX_PADDBirr */
-/* Table2463 */
-  0x59b, /* MMX_PADDWirm */
-  0x59c, /* MMX_PADDWirr */
-/* Table2465 */
-  0x58f, /* MMX_PADDDirm */
-  0x590, /* MMX_PADDDirr */
-/* Table2467 */
-  0xa26, /* SGDT64m */
-  0xa8b, /* SIDT64m */
-  0x4cb, /* LGDT64m */
-  0x4d1, /* LIDT64m */
-  0xa96, /* SMSW16m */
-  0x0, /*  */
-  0x4d4, /* LMSW16m */
-  0x39c, /* INVLPG */
-  0x0, /*  */
-  0xf5d, /* VMCALL */
-  0xf92, /* VMLAUNCH */
-  0x1188, /* VMRESUME */
-  0x11b7, /* VMXOFF */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x61e, /* MONITORrrr */
-  0x70d, /* MWAITrr */
-  0x16b, /* CLAC */
-  0xaaa, /* STAC */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x2e2, /* ENCLS */
-  0x1846, /* XGETBV */
-  0x1876, /* XSETBV */
-  0x0, /*  */
   0x0, /*  */
-  0xf5f, /* VMFUNC */
-  0x1845, /* XEND */
-  0x187a, /* XTEST */
-  0x2e3, /* ENCLU */
-  0x118a, /* VMRUN64 */
-  0xf95, /* VMMCALL */
-  0xf94, /* VMLOAD64 */
-  0x118c, /* VMSAVE64 */
-  0xaad, /* STGI */
-  0x16f, /* CLGI */
-  0xa90, /* SKINIT */
-  0x39e, /* INVLPGA64 */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
-  0xa98, /* SMSW32r */
+  0x24b, /* CMPXCHG8B */
   0x0, /*  */
+  0x2284, /* XRSTORS */
+  0x2288, /* XSAVEC */
+  0x228c, /* XSAVES */
+  0x15f6, /* VMPTRLDm */
+  0x15f7, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x955, /* RDRAND32r */
+  0x958, /* RDSEED32r */
+/* Table2459 */
+  0x12b, /* BSWAP32r */
+/* Table2460 */
+  0x619, /* MMX_PSRLWrm */
+  0x61a, /* MMX_PSRLWrr */
+/* Table2462 */
+  0x613, /* MMX_PSRLDrm */
+  0x614, /* MMX_PSRLDrr */
+/* Table2464 */
+  0x616, /* MMX_PSRLQrm */
+  0x617, /* MMX_PSRLQrr */
+/* Table2466 */
+  0x5ad, /* MMX_PADDQirm */
+  0x5ae, /* MMX_PADDQirr */
+/* Table2468 */
+  0x5f1, /* MMX_PMULLWirm */
+  0x5f2, /* MMX_PMULLWirr */
+/* Table2470 */
+  0x0, /*  */
+  0x5ea, /* MMX_PMOVMSKBrr */
+/* Table2472 */
+  0x625, /* MMX_PSUBUSBirm */
+  0x626, /* MMX_PSUBUSBirr */
+/* Table2474 */
+  0x627, /* MMX_PSUBUSWirm */
+  0x628, /* MMX_PSUBUSWirr */
+/* Table2476 */
+  0x5e8, /* MMX_PMINUBirm */
+  0x5e9, /* MMX_PMINUBirr */
+/* Table2478 */
+  0x5bd, /* MMX_PANDirm */
+  0x5be, /* MMX_PANDirr */
+/* Table2480 */
+  0x5b3, /* MMX_PADDUSBirm */
+  0x5b4, /* MMX_PADDUSBirr */
+/* Table2482 */
+  0x5b5, /* MMX_PADDUSWirm */
+  0x5b6, /* MMX_PADDUSWirr */
+/* Table2484 */
+  0x5e4, /* MMX_PMAXUBirm */
+  0x5e5, /* MMX_PMAXUBirr */
+/* Table2486 */
+  0x5bb, /* MMX_PANDNirm */
+  0x5bc, /* MMX_PANDNirr */
+/* Table2488 */
+  0x5bf, /* MMX_PAVGBirm */
+  0x5c0, /* MMX_PAVGBirr */
+/* Table2490 */
+  0x610, /* MMX_PSRAWrm */
+  0x611, /* MMX_PSRAWrr */
+/* Table2492 */
+  0x60d, /* MMX_PSRADrm */
+  0x60e, /* MMX_PSRADrr */
+/* Table2494 */
+  0x5c1, /* MMX_PAVGWirm */
+  0x5c2, /* MMX_PAVGWirr */
+/* Table2496 */
+  0x5ed, /* MMX_PMULHUWirm */
+  0x5ee, /* MMX_PMULHUWirr */
+/* Table2498 */
+  0x5ef, /* MMX_PMULHWirm */
+  0x5f0, /* MMX_PMULHWirr */
+/* Table2500 */
+  0x596, /* MMX_MOVNTQmr */
+  0x0, /*  */
+/* Table2502 */
+  0x621, /* MMX_PSUBSBirm */
+  0x622, /* MMX_PSUBSBirr */
+/* Table2504 */
+  0x623, /* MMX_PSUBSWirm */
+  0x624, /* MMX_PSUBSWirr */
+/* Table2506 */
+  0x5e6, /* MMX_PMINSWirm */
+  0x5e7, /* MMX_PMINSWirr */
+/* Table2508 */
+  0x5f5, /* MMX_PORirm */
+  0x5f6, /* MMX_PORirr */
+/* Table2510 */
+  0x5af, /* MMX_PADDSBirm */
+  0x5b0, /* MMX_PADDSBirr */
+/* Table2512 */
+  0x5b1, /* MMX_PADDSWirm */
+  0x5b2, /* MMX_PADDSWirr */
+/* Table2514 */
+  0x5e2, /* MMX_PMAXSWirm */
+  0x5e3, /* MMX_PMAXSWirr */
+/* Table2516 */
+  0x637, /* MMX_PXORirm */
+  0x638, /* MMX_PXORirr */
+/* Table2518 */
+  0x60a, /* MMX_PSLLWrm */
+  0x60b, /* MMX_PSLLWrr */
+/* Table2520 */
+  0x604, /* MMX_PSLLDrm */
+  0x605, /* MMX_PSLLDrr */
+/* Table2522 */
+  0x607, /* MMX_PSLLQrm */
+  0x608, /* MMX_PSLLQrr */
+/* Table2524 */
+  0x5f3, /* MMX_PMULUDQirm */
+  0x5f4, /* MMX_PMULUDQirr */
+/* Table2526 */
+  0x5e0, /* MMX_PMADDWDirm */
+  0x5e1, /* MMX_PMADDWDirr */
+/* Table2528 */
+  0x5f7, /* MMX_PSADBWirm */
+  0x5f8, /* MMX_PSADBWirr */
+/* Table2530 */
+  0x0, /*  */
+  0x58a, /* MMX_MASKMOVQ */
+/* Table2532 */
+  0x61b, /* MMX_PSUBBirm */
+  0x61c, /* MMX_PSUBBirr */
+/* Table2534 */
+  0x629, /* MMX_PSUBWirm */
+  0x62a, /* MMX_PSUBWirr */
+/* Table2536 */
+  0x61d, /* MMX_PSUBDirm */
+  0x61e, /* MMX_PSUBDirr */
+/* Table2538 */
+  0x61f, /* MMX_PSUBQirm */
+  0x620, /* MMX_PSUBQirr */
+/* Table2540 */
+  0x5a9, /* MMX_PADDBirm */
+  0x5aa, /* MMX_PADDBirr */
+/* Table2542 */
+  0x5b7, /* MMX_PADDWirm */
+  0x5b8, /* MMX_PADDWirr */
+/* Table2544 */
+  0x5ab, /* MMX_PADDDirm */
+  0x5ac, /* MMX_PADDDirr */
+/* Table2546 */
+  0xa65, /* SGDT64m */
+  0xaca, /* SIDT64m */
+  0x4e5, /* LGDT64m */
+  0x4eb, /* LIDT64m */
+  0xad5, /* SMSW16m */
+  0x0, /*  */
+  0x4ee, /* LMSW16m */
+  0x3ae, /* INVLPG */
+  0x0, /*  */
+  0x1397, /* VMCALL */
+  0x1402, /* VMLAUNCH */
+  0x15fc, /* VMRESUME */
+  0x1667, /* VMXOFF */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x63a, /* MONITORrrr */
+  0x730, /* MWAITrr */
+  0x171, /* CLAC */
+  0xae9, /* STAC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x2e7, /* ENCLS */
+  0x2257, /* XGETBV */
+  0x228e, /* XSETBV */
+  0x0, /*  */
+  0x0, /*  */
+  0x1399, /* VMFUNC */
+  0x2256, /* XEND */
+  0x2292, /* XTEST */
+  0x2e8, /* ENCLU */
+  0x15fe, /* VMRUN64 */
+  0x1405, /* VMMCALL */
+  0x1404, /* VMLOAD64 */
+  0x1600, /* VMSAVE64 */
+  0xaec, /* STGI */
+  0x176, /* CLGI */
+  0xacf, /* SKINIT */
+  0x3b0, /* INVLPGA64 */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
+  0xad7, /* SMSW32r */
   0x0, /*  */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0xb28, /* SWAPGS */
-  0x936, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2539 */
   0x0, /*  */
-  0x653, /* MOV64rc */
-/* Table2541 */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0xb68, /* SWAPGS */
+  0x95b, /* RDTSCP */
   0x0, /*  */
-  0x654, /* MOV64rd */
-/* Table2543 */
   0x0, /*  */
-  0x64a, /* MOV64cr */
-/* Table2545 */
   0x0, /*  */
-  0x64b, /* MOV64dr */
-/* Table2547 */
-  0x1186, /* VMREAD64rm */
-  0x1187, /* VMREAD64rr */
-/* Table2549 */
-  0x11b5, /* VMWRITE64rm */
-  0x11b6, /* VMWRITE64rr */
-/* Table2551 */
-  0x8e7, /* PUSHFS64 */
-/* Table2552 */
-  0x870, /* POPFS64 */
-/* Table2553 */
-  0x251, /* CPUID64 */
-/* Table2554 */
-  0x8ea, /* PUSHGS64 */
-/* Table2555 */
-  0x873, /* POPGS64 */
-/* Table2556 */
   0x0, /*  */
-  0x571, /* MMX_MASKMOVQ64 */
-/* Table2558 */
-  0xa91, /* SLDT16m */
-  0xab7, /* STRm */
-  0x4d2, /* LLDT16m */
-  0x52c, /* LTRm */
-  0xcfe, /* VERRm */
-  0xd00, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0xa92, /* SLDT16r */
-  0xab4, /* STR16r */
-  0x4d3, /* LLDT16r */
-  0x52d, /* LTRr */
-  0xcff, /* VERRr */
-  0xd01, /* VERWr */
+/* Table2618 */
+  0x0, /*  */
+  0x66f, /* MOV64rc */
+/* Table2620 */
+  0x0, /*  */
+  0x670, /* MOV64rd */
+/* Table2622 */
+  0x0, /*  */
+  0x668, /* MOV64cr */
+/* Table2624 */
+  0x0, /*  */
+  0x669, /* MOV64dr */
+/* Table2626 */
+  0x15fa, /* VMREAD64rm */
+  0x15fb, /* VMREAD64rr */
+/* Table2628 */
+  0x1665, /* VMWRITE64rm */
+  0x1666, /* VMWRITE64rr */
+/* Table2630 */
+  0x90c, /* PUSHFS64 */
+/* Table2631 */
+  0x895, /* POPFS64 */
+/* Table2632 */
+  0x90f, /* PUSHGS64 */
+/* Table2633 */
+  0x898, /* POPGS64 */
+/* Table2634 */
+  0x0, /*  */
+  0x58b, /* MMX_MASKMOVQ64 */
+/* Table2636 */
+  0xad0, /* SLDT16m */
+  0xaf6, /* STRm */
+  0x4ec, /* LLDT16m */
+  0x546, /* LTRm */
+  0xe12, /* VERRm */
+  0xe14, /* VERWm */
+  0x0, /*  */
+  0x0, /*  */
+  0xad1, /* SLDT16r */
+  0xaf3, /* STR16r */
+  0x4ed, /* LLDT16r */
+  0x547, /* LTRr */
+  0xe13, /* VERRr */
+  0xe15, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table2574 */
-  0xa24, /* SGDT16m */
-  0xa89, /* SIDT16m */
-  0x4c9, /* LGDT16m */
-  0x4cf, /* LIDT16m */
-  0xa96, /* SMSW16m */
+/* Table2652 */
+  0xa63, /* SGDT16m */
+  0xac8, /* SIDT16m */
+  0x4e3, /* LGDT16m */
+  0x4e9, /* LIDT16m */
+  0xad5, /* SMSW16m */
   0x0, /*  */
-  0x4d4, /* LMSW16m */
-  0x39c, /* INVLPG */
+  0x4ee, /* LMSW16m */
+  0x3ae, /* INVLPG */
   0x0, /*  */
-  0xf5d, /* VMCALL */
-  0xf92, /* VMLAUNCH */
-  0x1188, /* VMRESUME */
-  0x11b7, /* VMXOFF */
+  0x1397, /* VMCALL */
+  0x1402, /* VMLAUNCH */
+  0x15fc, /* VMRESUME */
+  0x1667, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* MONITORrrr */
-  0x70d, /* MWAITrr */
-  0x16b, /* CLAC */
-  0xaaa, /* STAC */
+  0x63a, /* MONITORrrr */
+  0x730, /* MWAITrr */
+  0x171, /* CLAC */
+  0xae9, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x2e2, /* ENCLS */
-  0x1846, /* XGETBV */
-  0x1876, /* XSETBV */
+  0x2e7, /* ENCLS */
+  0x2257, /* XGETBV */
+  0x228e, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0xf5f, /* VMFUNC */
-  0x1845, /* XEND */
-  0x187a, /* XTEST */
-  0x2e3, /* ENCLU */
-  0x1189, /* VMRUN32 */
-  0xf95, /* VMMCALL */
-  0xf93, /* VMLOAD32 */
-  0x118b, /* VMSAVE32 */
-  0xaad, /* STGI */
-  0x16f, /* CLGI */
-  0xa90, /* SKINIT */
-  0x39d, /* INVLPGA32 */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
+  0x1399, /* VMFUNC */
+  0x2256, /* XEND */
+  0x2292, /* XTEST */
+  0x2e8, /* ENCLU */
+  0x15fd, /* VMRUN32 */
+  0x1405, /* VMMCALL */
+  0x1403, /* VMLOAD32 */
+  0x15ff, /* VMSAVE32 */
+  0xaec, /* STGI */
+  0x176, /* CLGI */
+  0xacf, /* SKINIT */
+  0x3af, /* INVLPGA32 */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -51989,257 +64849,256 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0xb28, /* SWAPGS */
-  0x936, /* RDTSCP */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0xb68, /* SWAPGS */
+  0x95b, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2646 */
-  0x49b, /* LAR16rm */
-  0x49c, /* LAR16rr */
-/* Table2648 */
-  0x523, /* LSL16rm */
-  0x524, /* LSL16rr */
-/* Table2650 */
-  0x6c7, /* MOVUPDrm */
-  0x6c8, /* MOVUPDrr */
-/* Table2652 */
-  0x6c6, /* MOVUPDmr */
-  0x6c9, /* MOVUPDrr_REV */
-/* Table2654 */
-  0x691, /* MOVLPDrm */
-  0x68a, /* MOVHLPSrr */
-/* Table2656 */
-  0x690, /* MOVLPDmr */
-  0x0, /*  */
-/* Table2658 */
-  0xb85, /* UNPCKLPDrm */
-  0xb86, /* UNPCKLPDrr */
-/* Table2660 */
-  0xb81, /* UNPCKHPDrm */
-  0xb82, /* UNPCKHPDrr */
-/* Table2662 */
-  0x68c, /* MOVHPDrm */
-  0x68f, /* MOVLHPSrr */
-/* Table2664 */
-  0x68b, /* MOVHPDmr */
-  0x0, /*  */
-/* Table2666 */
-  0x879, /* PREFETCHNTA */
-  0x87a, /* PREFETCHT0 */
-  0x87b, /* PREFETCHT1 */
-  0x87c, /* PREFETCHT2 */
-  0x717, /* NOOP18_16m4 */
-  0x718, /* NOOP18_16m5 */
-  0x719, /* NOOP18_16m6 */
-  0x71a, /* NOOP18_16m7 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x71b, /* NOOP18_16r4 */
-  0x71c, /* NOOP18_16r5 */
-  0x71d, /* NOOP18_16r6 */
-  0x71e, /* NOOP18_16r7 */
-/* Table2682 */
-  0x730, /* NOOPW_19 */
-  0x727, /* NOOP19rr */
-/* Table2684 */
-  0x731, /* NOOPW_1a */
-  0x0, /*  */
-/* Table2686 */
-  0x732, /* NOOPW_1b */
-  0x0, /*  */
-/* Table2688 */
-  0x733, /* NOOPW_1c */
-  0x0, /*  */
-/* Table2690 */
-  0x734, /* NOOPW_1d */
-  0x0, /*  */
-/* Table2692 */
-  0x735, /* NOOPW_1e */
-  0x0, /*  */
-/* Table2694 */
-  0x72f, /* NOOPW */
-  0x0, /*  */
-/* Table2696 */
-  0x66f, /* MOVAPDrm */
-  0x670, /* MOVAPDrr */
-/* Table2698 */
-  0x66e, /* MOVAPDmr */
-  0x671, /* MOVAPDrr_REV */
-/* Table2700 */
-  0x565, /* MMX_CVTPI2PDirm */
-  0x566, /* MMX_CVTPI2PDirr */
-/* Table2702 */
-  0x69a, /* MOVNTPDmr */
-  0x0, /*  */
-/* Table2704 */
-  0x56b, /* MMX_CVTTPD2PIirm */
-  0x56c, /* MMX_CVTTPD2PIirr */
-/* Table2706 */
-  0x563, /* MMX_CVTPD2PIirm */
-  0x564, /* MMX_CVTPD2PIirr */
-/* Table2708 */
-  0xb71, /* UCOMISDrm */
-  0xb72, /* UCOMISDrr */
-/* Table2710 */
-  0x244, /* COMISDrm */
-  0x245, /* COMISDrr */
-/* Table2712 */
-  0x1dd, /* CMOVO16rm */
-  0x1de, /* CMOVO16rr */
-/* Table2714 */
-  0x1c7, /* CMOVNO16rm */
-  0x1c8, /* CMOVNO16rr */
-/* Table2716 */
-  0x17f, /* CMOVB16rm */
-  0x180, /* CMOVB16rr */
-/* Table2718 */
-  0x179, /* CMOVAE16rm */
-  0x17a, /* CMOVAE16rr */
-/* Table2720 */
-  0x193, /* CMOVE16rm */
-  0x194, /* CMOVE16rr */
-/* Table2722 */
-  0x1bd, /* CMOVNE16rm */
-  0x1be, /* CMOVNE16rr */
 /* Table2724 */
-  0x185, /* CMOVBE16rm */
-  0x186, /* CMOVBE16rr */
+  0x4b5, /* LAR16rm */
+  0x4b6, /* LAR16rr */
 /* Table2726 */
-  0x173, /* CMOVA16rm */
-  0x174, /* CMOVA16rr */
+  0x53d, /* LSL16rm */
+  0x53e, /* LSL16rr */
 /* Table2728 */
-  0x1ed, /* CMOVS16rm */
-  0x1ee, /* CMOVS16rr */
+  0x6ea, /* MOVUPDrm */
+  0x6eb, /* MOVUPDrr */
 /* Table2730 */
-  0x1d7, /* CMOVNS16rm */
-  0x1d8, /* CMOVNS16rr */
+  0x6e9, /* MOVUPDmr */
+  0x6ec, /* MOVUPDrr_REV */
 /* Table2732 */
-  0x1e3, /* CMOVP16rm */
-  0x1e4, /* CMOVP16rr */
+  0x6b0, /* MOVLPDrm */
+  0x6a9, /* MOVHLPSrr */
 /* Table2734 */
-  0x1cd, /* CMOVNP16rm */
-  0x1ce, /* CMOVNP16rr */
+  0x6af, /* MOVLPDmr */
+  0x0, /*  */
 /* Table2736 */
-  0x1a9, /* CMOVL16rm */
-  0x1aa, /* CMOVL16rr */
+  0xbc8, /* UNPCKLPDrm */
+  0xbc9, /* UNPCKLPDrr */
 /* Table2738 */
-  0x1a3, /* CMOVGE16rm */
-  0x1a4, /* CMOVGE16rr */
+  0xbc4, /* UNPCKHPDrm */
+  0xbc5, /* UNPCKHPDrr */
 /* Table2740 */
-  0x1af, /* CMOVLE16rm */
-  0x1b0, /* CMOVLE16rr */
+  0x6ab, /* MOVHPDrm */
+  0x6ae, /* MOVLHPSrr */
 /* Table2742 */
-  0x19d, /* CMOVG16rm */
-  0x19e, /* CMOVG16rr */
+  0x6aa, /* MOVHPDmr */
+  0x0, /*  */
 /* Table2744 */
+  0x89e, /* PREFETCHNTA */
+  0x89f, /* PREFETCHT0 */
+  0x8a0, /* PREFETCHT1 */
+  0x8a1, /* PREFETCHT2 */
+  0x73a, /* NOOP18_16m4 */
+  0x73b, /* NOOP18_16m5 */
+  0x73c, /* NOOP18_16m6 */
+  0x73d, /* NOOP18_16m7 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
   0x0, /*  */
-  0x694, /* MOVMSKPDrr */
-/* Table2746 */
-  0xa9a, /* SQRTPDm */
-  0xa9b, /* SQRTPDr */
-/* Table2748 */
-  0xd6, /* ANDPDrm */
-  0xd7, /* ANDPDrr */
-/* Table2750 */
-  0xd2, /* ANDNPDrm */
-  0xd3, /* ANDNPDrr */
-/* Table2752 */
-  0x762, /* ORPDrm */
-  0x763, /* ORPDrr */
-/* Table2754 */
-  0x186b, /* XORPDrm */
-  0x186c, /* XORPDrr */
-/* Table2756 */
-  0x72, /* ADDPDrm */
-  0x73, /* ADDPDrr */
-/* Table2758 */
-  0x6e8, /* MULPDrm */
-  0x6e9, /* MULPDrr */
+  0x73e, /* NOOP18_16r4 */
+  0x73f, /* NOOP18_16r5 */
+  0x740, /* NOOP18_16r6 */
+  0x741, /* NOOP18_16r7 */
 /* Table2760 */
-  0x263, /* CVTPD2PSrm */
-  0x264, /* CVTPD2PSrr */
+  0x753, /* NOOPW_19 */
+  0x74a, /* NOOP19rr */
 /* Table2762 */
-  0x265, /* CVTPS2DQrm */
-  0x266, /* CVTPS2DQrr */
+  0x754, /* NOOPW_1a */
+  0x0, /*  */
 /* Table2764 */
-  0xaf5, /* SUBPDrm */
-  0xaf6, /* SUBPDrr */
+  0x755, /* NOOPW_1b */
+  0x0, /*  */
 /* Table2766 */
-  0x557, /* MINPDrm */
-  0x558, /* MINPDrr */
+  0x756, /* NOOPW_1c */
+  0x0, /*  */
 /* Table2768 */
-  0x2a4, /* DIVPDrm */
-  0x2a5, /* DIVPDrr */
+  0x757, /* NOOPW_1d */
+  0x0, /*  */
 /* Table2770 */
-  0x542, /* MAXPDrm */
-  0x543, /* MAXPDrr */
+  0x758, /* NOOPW_1e */
+  0x0, /*  */
 /* Table2772 */
-  0x8c4, /* PUNPCKLBWrm */
-  0x8c5, /* PUNPCKLBWrr */
+  0x752, /* NOOPW */
+  0x0, /*  */
 /* Table2774 */
-  0x8ca, /* PUNPCKLWDrm */
-  0x8cb, /* PUNPCKLWDrr */
+  0x68e, /* MOVAPDrm */
+  0x68f, /* MOVAPDrr */
 /* Table2776 */
-  0x8c6, /* PUNPCKLDQrm */
-  0x8c7, /* PUNPCKLDQrr */
+  0x68d, /* MOVAPDmr */
+  0x690, /* MOVAPDrr_REV */
 /* Table2778 */
-  0x777, /* PACKSSWBrm */
-  0x778, /* PACKSSWBrr */
+  0x57f, /* MMX_CVTPI2PDirm */
+  0x580, /* MMX_CVTPI2PDirr */
 /* Table2780 */
-  0x7b0, /* PCMPGTBrm */
-  0x7b1, /* PCMPGTBrr */
+  0x6b9, /* MOVNTPDmr */
+  0x0, /*  */
 /* Table2782 */
-  0x7b6, /* PCMPGTWrm */
-  0x7b7, /* PCMPGTWrr */
+  0x585, /* MMX_CVTTPD2PIirm */
+  0x586, /* MMX_CVTTPD2PIirr */
 /* Table2784 */
-  0x7b2, /* PCMPGTDrm */
-  0x7b3, /* PCMPGTDrr */
+  0x57d, /* MMX_CVTPD2PIirm */
+  0x57e, /* MMX_CVTPD2PIirr */
 /* Table2786 */
-  0x77b, /* PACKUSWBrm */
-  0x77c, /* PACKUSWBrr */
+  0xbb4, /* UCOMISDrm */
+  0xbb5, /* UCOMISDrr */
 /* Table2788 */
-  0x8bc, /* PUNPCKHBWrm */
-  0x8bd, /* PUNPCKHBWrr */
+  0x24e, /* COMISDrm */
+  0x24f, /* COMISDrr */
 /* Table2790 */
-  0x8c2, /* PUNPCKHWDrm */
-  0x8c3, /* PUNPCKHWDrr */
+  0x1e5, /* CMOVO16rm */
+  0x1e6, /* CMOVO16rr */
 /* Table2792 */
-  0x8be, /* PUNPCKHDQrm */
-  0x8bf, /* PUNPCKHDQrr */
+  0x1cf, /* CMOVNO16rm */
+  0x1d0, /* CMOVNO16rr */
 /* Table2794 */
-  0x775, /* PACKSSDWrm */
-  0x776, /* PACKSSDWrr */
+  0x187, /* CMOVB16rm */
+  0x188, /* CMOVB16rr */
 /* Table2796 */
-  0x8c8, /* PUNPCKLQDQrm */
-  0x8c9, /* PUNPCKLQDQrr */
+  0x181, /* CMOVAE16rm */
+  0x182, /* CMOVAE16rr */
 /* Table2798 */
-  0x8c0, /* PUNPCKHQDQrm */
-  0x8c1, /* PUNPCKHQDQrr */
+  0x19b, /* CMOVE16rm */
+  0x19c, /* CMOVE16rr */
 /* Table2800 */
-  0x67e, /* MOVDI2PDIrm */
-  0x67f, /* MOVDI2PDIrr */
+  0x1c5, /* CMOVNE16rm */
+  0x1c6, /* CMOVNE16rr */
 /* Table2802 */
-  0x683, /* MOVDQArm */
-  0x684, /* MOVDQArr */
+  0x18d, /* CMOVBE16rm */
+  0x18e, /* CMOVBE16rr */
 /* Table2804 */
-  0x882, /* PSHUFDmi */
-  0x883, /* PSHUFDri */
+  0x17b, /* CMOVA16rm */
+  0x17c, /* CMOVA16rr */
 /* Table2806 */
+  0x1f5, /* CMOVS16rm */
+  0x1f6, /* CMOVS16rr */
+/* Table2808 */
+  0x1df, /* CMOVNS16rm */
+  0x1e0, /* CMOVNS16rr */
+/* Table2810 */
+  0x1eb, /* CMOVP16rm */
+  0x1ec, /* CMOVP16rr */
+/* Table2812 */
+  0x1d5, /* CMOVNP16rm */
+  0x1d6, /* CMOVNP16rr */
+/* Table2814 */
+  0x1b1, /* CMOVL16rm */
+  0x1b2, /* CMOVL16rr */
+/* Table2816 */
+  0x1ab, /* CMOVGE16rm */
+  0x1ac, /* CMOVGE16rr */
+/* Table2818 */
+  0x1b7, /* CMOVLE16rm */
+  0x1b8, /* CMOVLE16rr */
+/* Table2820 */
+  0x1a5, /* CMOVG16rm */
+  0x1a6, /* CMOVG16rr */
+/* Table2822 */
   0x0, /*  */
+  0x6b3, /* MOVMSKPDrr */
+/* Table2824 */
+  0xad9, /* SQRTPDm */
+  0xada, /* SQRTPDr */
+/* Table2826 */
+  0xdc, /* ANDPDrm */
+  0xdd, /* ANDPDrr */
+/* Table2828 */
+  0xd8, /* ANDNPDrm */
+  0xd9, /* ANDNPDrr */
+/* Table2830 */
+  0x786, /* ORPDrm */
+  0x787, /* ORPDrr */
+/* Table2832 */
+  0x227d, /* XORPDrm */
+  0x227e, /* XORPDrr */
+/* Table2834 */
+  0x77, /* ADDPDrm */
+  0x78, /* ADDPDrr */
+/* Table2836 */
+  0x70b, /* MULPDrm */
+  0x70c, /* MULPDrr */
+/* Table2838 */
+  0x26c, /* CVTPD2PSrm */
+  0x26d, /* CVTPD2PSrr */
+/* Table2840 */
+  0x26e, /* CVTPS2DQrm */
+  0x26f, /* CVTPS2DQrr */
+/* Table2842 */
+  0xb35, /* SUBPDrm */
+  0xb36, /* SUBPDrr */
+/* Table2844 */
+  0x571, /* MINPDrm */
+  0x572, /* MINPDrr */
+/* Table2846 */
+  0x2a9, /* DIVPDrm */
+  0x2aa, /* DIVPDrr */
+/* Table2848 */
+  0x55c, /* MAXPDrm */
+  0x55d, /* MAXPDrr */
+/* Table2850 */
+  0x8e9, /* PUNPCKLBWrm */
+  0x8ea, /* PUNPCKLBWrr */
+/* Table2852 */
+  0x8ef, /* PUNPCKLWDrm */
+  0x8f0, /* PUNPCKLWDrr */
+/* Table2854 */
+  0x8eb, /* PUNPCKLDQrm */
+  0x8ec, /* PUNPCKLDQrr */
+/* Table2856 */
+  0x79b, /* PACKSSWBrm */
+  0x79c, /* PACKSSWBrr */
+/* Table2858 */
+  0x7d4, /* PCMPGTBrm */
+  0x7d5, /* PCMPGTBrr */
+/* Table2860 */
+  0x7da, /* PCMPGTWrm */
+  0x7db, /* PCMPGTWrr */
+/* Table2862 */
+  0x7d6, /* PCMPGTDrm */
+  0x7d7, /* PCMPGTDrr */
+/* Table2864 */
+  0x79f, /* PACKUSWBrm */
+  0x7a0, /* PACKUSWBrr */
+/* Table2866 */
+  0x8e1, /* PUNPCKHBWrm */
+  0x8e2, /* PUNPCKHBWrr */
+/* Table2868 */
+  0x8e7, /* PUNPCKHWDrm */
+  0x8e8, /* PUNPCKHWDrr */
+/* Table2870 */
+  0x8e3, /* PUNPCKHDQrm */
+  0x8e4, /* PUNPCKHDQrr */
+/* Table2872 */
+  0x799, /* PACKSSDWrm */
+  0x79a, /* PACKSSDWrr */
+/* Table2874 */
+  0x8ed, /* PUNPCKLQDQrm */
+  0x8ee, /* PUNPCKLQDQrr */
+/* Table2876 */
+  0x8e5, /* PUNPCKHQDQrm */
+  0x8e6, /* PUNPCKHQDQrr */
+/* Table2878 */
+  0x69d, /* MOVDI2PDIrm */
+  0x69e, /* MOVDI2PDIrr */
+/* Table2880 */
+  0x6a2, /* MOVDQArm */
+  0x6a3, /* MOVDQArr */
+/* Table2882 */
+  0x8a7, /* PSHUFDmi */
+  0x8a8, /* PSHUFDri */
+/* Table2884 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -52249,30 +65108,17 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x8a5, /* PSRLWri */
-  0x0, /*  */
-  0x89b, /* PSRAWri */
-  0x0, /*  */
-  0x895, /* PSLLWri */
-  0x0, /*  */
-/* Table2822 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
   0x0, /*  */
+  0x8ca, /* PSRLWri */
   0x0, /*  */
+  0x8c0, /* PSRAWri */
   0x0, /*  */
+  0x8ba, /* PSLLWri */
   0x0, /*  */
-  0x89f, /* PSRLDri */
+/* Table2900 */
   0x0, /*  */
-  0x898, /* PSRADri */
   0x0, /*  */
-  0x88f, /* PSLLDri */
   0x0, /*  */
-/* Table2838 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -52280,574 +65126,164 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x8c4, /* PSRLDri */
   0x0, /*  */
+  0x8bd, /* PSRADri */
   0x0, /*  */
+  0x8b4, /* PSLLDri */
   0x0, /*  */
-  0x8a2, /* PSRLQri */
-  0x89e, /* PSRLDQri */
+/* Table2916 */
   0x0, /*  */
   0x0, /*  */
-  0x892, /* PSLLQri */
-  0x88e, /* PSLLDQri */
-/* Table2854 */
-  0x7a0, /* PCMPEQBrm */
-  0x7a1, /* PCMPEQBrr */
-/* Table2856 */
-  0x7a6, /* PCMPEQWrm */
-  0x7a7, /* PCMPEQWrr */
-/* Table2858 */
-  0x7a2, /* PCMPEQDrm */
-  0x7a3, /* PCMPEQDrr */
-/* Table2860 */
-  0x1184, /* VMREAD32rm */
-  0x2e8, /* EXTRQI */
-/* Table2862 */
-  0x11b3, /* VMWRITE32rm */
-  0x2e7, /* EXTRQ */
-/* Table2864 */
-  0x343, /* HADDPDrm */
-  0x344, /* HADDPDrr */
-/* Table2866 */
-  0x348, /* HSUBPDrm */
-  0x349, /* HSUBPDrr */
-/* Table2868 */
-  0x69f, /* MOVPDI2DImr */
-  0x6a0, /* MOVPDI2DIrr */
-/* Table2870 */
-  0x682, /* MOVDQAmr */
-  0x685, /* MOVDQArr_REV */
-/* Table2872 */
-  0x45d, /* JO_2 */
-/* Table2873 */
-  0x454, /* JNO_2 */
-/* Table2874 */
-  0x433, /* JB_2 */
-/* Table2875 */
-  0x42a, /* JAE_2 */
-/* Table2876 */
-  0x439, /* JE_2 */
-/* Table2877 */
-  0x451, /* JNE_2 */
-/* Table2878 */
-  0x430, /* JBE_2 */
-/* Table2879 */
-  0x42d, /* JA_2 */
-/* Table2880 */
-  0x464, /* JS_2 */
-/* Table2881 */
-  0x45a, /* JNS_2 */
-/* Table2882 */
-  0x460, /* JP_2 */
-/* Table2883 */
-  0x457, /* JNP_2 */
-/* Table2884 */
-  0x445, /* JL_2 */
-/* Table2885 */
-  0x43c, /* JGE_2 */
-/* Table2886 */
-  0x442, /* JLE_2 */
-/* Table2887 */
-  0x43f, /* JG_2 */
-/* Table2888 */
-  0x8e5, /* PUSHFS16 */
-/* Table2889 */
-  0x86e, /* POPFS16 */
-/* Table2890 */
-  0x128, /* BT16mr */
-  0x12a, /* BT16rr */
-/* Table2892 */
-  0xa4e, /* SHLD16mri8 */
-  0xa50, /* SHLD16rri8 */
-/* Table2894 */
-  0xa4d, /* SHLD16mrCL */
-  0xa4f, /* SHLD16rrCL */
-/* Table2896 */
-  0x8e8, /* PUSHGS16 */
-/* Table2897 */
-  0x871, /* POPGS16 */
-/* Table2898 */
-  0x14c, /* BTS16mr */
-  0x14e, /* BTS16rr */
-/* Table2900 */
-  0xa76, /* SHRD16mri8 */
-  0xa78, /* SHRD16rri8 */
-/* Table2902 */
-  0xa75, /* SHRD16mrCL */
-  0xa77, /* SHRD16rrCL */
-/* Table2904 */
-  0x362, /* IMUL16rm */
-  0x365, /* IMUL16rr */
-/* Table2906 */
-  0x23b, /* CMPXCHG16rm */
-  0x23c, /* CMPXCHG16rr */
-/* Table2908 */
-  0x529, /* LSS16rm */
-  0x0, /*  */
-/* Table2910 */
-  0x140, /* BTR16mr */
-  0x142, /* BTR16rr */
-/* Table2912 */
-  0x4c6, /* LFS16rm */
   0x0, /*  */
-/* Table2914 */
-  0x4cc, /* LGS16rm */
   0x0, /*  */
-/* Table2916 */
-  0x6d2, /* MOVZX16rm8 */
-  0x6d3, /* MOVZX16rr8 */
-/* Table2918 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x127, /* BT16mi8 */
-  0x14b, /* BTS16mi8 */
-  0x13f, /* BTR16mi8 */
-  0x133, /* BTC16mi8 */
   0x0, /*  */
   0x0, /*  */
+  0x8c7, /* PSRLQri */
+  0x8c3, /* PSRLDQri */
   0x0, /*  */
   0x0, /*  */
-  0x129, /* BT16ri8 */
-  0x14d, /* BTS16ri8 */
-  0x141, /* BTR16ri8 */
-  0x135, /* BTC16ri8 */
+  0x8b7, /* PSLLQri */
+  0x8b3, /* PSLLDQri */
+/* Table2932 */
+  0x7c4, /* PCMPEQBrm */
+  0x7c5, /* PCMPEQBrr */
 /* Table2934 */
-  0x134, /* BTC16mr */
-  0x136, /* BTC16rr */
+  0x7ca, /* PCMPEQWrm */
+  0x7cb, /* PCMPEQWrr */
 /* Table2936 */
-  0x119, /* BSF16rm */
-  0x11a, /* BSF16rr */
+  0x7c6, /* PCMPEQDrm */
+  0x7c7, /* PCMPEQDrr */
 /* Table2938 */
-  0x11f, /* BSR16rm */
-  0x120, /* BSR16rr */
+  0x15f8, /* VMREAD32rm */
+  0x2ed, /* EXTRQI */
 /* Table2940 */
-  0x6b9, /* MOVSX16rm8 */
-  0x6ba, /* MOVSX16rr8 */
+  0x1663, /* VMWRITE32rm */
+  0x2ec, /* EXTRQ */
 /* Table2942 */
-  0x1829, /* XADD16rm */
-  0x182a, /* XADD16rr */
+  0x359, /* HADDPDrm */
+  0x35a, /* HADDPDrr */
 /* Table2944 */
-  0x226, /* CMPPDrmi */
-  0x228, /* CMPPDrri */
+  0x35e, /* HSUBPDrm */
+  0x35f, /* HSUBPDrr */
 /* Table2946 */
-  0x80f, /* PINSRWrmi */
-  0x810, /* PINSRWrri */
+  0x6be, /* MOVPDI2DImr */
+  0x6bf, /* MOVPDI2DIrr */
 /* Table2948 */
-  0x0, /*  */
-  0x7cf, /* PEXTRWri */
+  0x6a1, /* MOVDQAmr */
+  0x6a4, /* MOVDQArr_REV */
 /* Table2950 */
-  0xa85, /* SHUFPDrmi */
-  0xa86, /* SHUFPDrri */
+  0x46e, /* JO_2 */
+/* Table2951 */
+  0x465, /* JNO_2 */
 /* Table2952 */
+  0x445, /* JB_2 */
+/* Table2953 */
+  0x43c, /* JAE_2 */
+/* Table2954 */
+  0x44a, /* JE_2 */
+/* Table2955 */
+  0x462, /* JNE_2 */
+/* Table2956 */
+  0x442, /* JBE_2 */
+/* Table2957 */
+  0x43f, /* JA_2 */
+/* Table2958 */
+  0x475, /* JS_2 */
+/* Table2959 */
+  0x46b, /* JNS_2 */
+/* Table2960 */
+  0x471, /* JP_2 */
+/* Table2961 */
+  0x468, /* JNP_2 */
+/* Table2962 */
+  0x456, /* JL_2 */
+/* Table2963 */
+  0x44d, /* JGE_2 */
+/* Table2964 */
+  0x453, /* JLE_2 */
+/* Table2965 */
+  0x450, /* JG_2 */
+/* Table2966 */
+  0x90a, /* PUSHFS16 */
+/* Table2967 */
+  0x893, /* POPFS16 */
+/* Table2968 */
+  0x12e, /* BT16mr */
+  0x130, /* BT16rr */
+/* Table2970 */
+  0xa8d, /* SHLD16mri8 */
+  0xa8f, /* SHLD16rri8 */
+/* Table2972 */
+  0xa8c, /* SHLD16mrCL */
+  0xa8e, /* SHLD16rrCL */
+/* Table2974 */
+  0x90d, /* PUSHGS16 */
+/* Table2975 */
+  0x896, /* POPGS16 */
+/* Table2976 */
+  0x152, /* BTS16mr */
+  0x154, /* BTS16rr */
+/* Table2978 */
+  0xab5, /* SHRD16mri8 */
+  0xab7, /* SHRD16rri8 */
+/* Table2980 */
+  0xab4, /* SHRD16mrCL */
+  0xab6, /* SHRD16rrCL */
+/* Table2982 */
+  0x32d, /* FXSAVE */
+  0x32b, /* FXRSTOR */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2286, /* XSAVE */
+  0x2282, /* XRSTOR */
+  0x179, /* CLWB */
+  0x175, /* CLFLUSHOPT */
   0x0, /*  */
-  0x241, /* CMPXCHG8B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xf5e, /* VMCLEARm */
-  0x1183, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x92f, /* RDRAND16r */
-  0x932, /* RDSEED16r */
-/* Table2968 */
-  0x7e, /* ADDSUBPDrm */
-  0x7f, /* ADDSUBPDrr */
-/* Table2970 */
-  0x8a6, /* PSRLWrm */
-  0x8a7, /* PSRLWrr */
-/* Table2972 */
-  0x8a0, /* PSRLDrm */
-  0x8a1, /* PSRLDrr */
-/* Table2974 */
-  0x8a3, /* PSRLQrm */
-  0x8a4, /* PSRLQrr */
-/* Table2976 */
-  0x781, /* PADDQrm */
-  0x782, /* PADDQrr */
-/* Table2978 */
-  0x852, /* PMULLWrm */
-  0x853, /* PMULLWrr */
-/* Table2980 */
-  0x6a1, /* MOVPQI2QImr */
-  0x6a2, /* MOVPQI2QIrr */
-/* Table2982 */
   0x0, /*  */
-  0x82d, /* PMOVMSKBrr */
-/* Table2984 */
-  0x8b2, /* PSUBUSBrm */
-  0x8b3, /* PSUBUSBrr */
-/* Table2986 */
-  0x8b4, /* PSUBUSWrm */
-  0x8b5, /* PSUBUSWrr */
-/* Table2988 */
-  0x827, /* PMINUBrm */
-  0x828, /* PMINUBrr */
-/* Table2990 */
-  0x791, /* PANDrm */
-  0x792, /* PANDrr */
-/* Table2992 */
-  0x787, /* PADDUSBrm */
-  0x788, /* PADDUSBrr */
-/* Table2994 */
-  0x789, /* PADDUSWrm */
-  0x78a, /* PADDUSWrr */
-/* Table2996 */
-  0x81b, /* PMAXUBrm */
-  0x81c, /* PMAXUBrr */
-/* Table2998 */
-  0x78f, /* PANDNrm */
-  0x790, /* PANDNrr */
-/* Table3000 */
-  0x794, /* PAVGBrm */
-  0x795, /* PAVGBrr */
-/* Table3002 */
-  0x89c, /* PSRAWrm */
-  0x89d, /* PSRAWrr */
-/* Table3004 */
-  0x899, /* PSRADrm */
-  0x89a, /* PSRADrr */
-/* Table3006 */
-  0x798, /* PAVGWrm */
-  0x799, /* PAVGWrr */
-/* Table3008 */
-  0x84c, /* PMULHUWrm */
-  0x84d, /* PMULHUWrr */
-/* Table3010 */
-  0x84e, /* PMULHWrm */
-  0x84f, /* PMULHWrr */
-/* Table3012 */
-  0x27d, /* CVTTPD2DQrm */
-  0x27e, /* CVTTPD2DQrr */
-/* Table3014 */
-  0x697, /* MOVNTDQmr */
-  0x0, /*  */
-/* Table3016 */
-  0x8ae, /* PSUBSBrm */
-  0x8af, /* PSUBSBrr */
-/* Table3018 */
-  0x8b0, /* PSUBSWrm */
-  0x8b1, /* PSUBSWrr */
-/* Table3020 */
-  0x825, /* PMINSWrm */
-  0x826, /* PMINSWrr */
-/* Table3022 */
-  0x876, /* PORrm */
-  0x877, /* PORrr */
-/* Table3024 */
-  0x783, /* PADDSBrm */
-  0x784, /* PADDSBrr */
-/* Table3026 */
-  0x785, /* PADDSWrm */
-  0x786, /* PADDSWrr */
-/* Table3028 */
-  0x819, /* PMAXSWrm */
-  0x81a, /* PMAXSWrr */
-/* Table3030 */
-  0x8ef, /* PXORrm */
-  0x8f0, /* PXORrr */
-/* Table3032 */
-  0x896, /* PSLLWrm */
-  0x897, /* PSLLWrr */
-/* Table3034 */
-  0x890, /* PSLLDrm */
-  0x891, /* PSLLDrr */
-/* Table3036 */
-  0x893, /* PSLLQrm */
-  0x894, /* PSLLQrr */
-/* Table3038 */
-  0x854, /* PMULUDQrm */
-  0x855, /* PMULUDQrr */
-/* Table3040 */
-  0x813, /* PMADDWDrm */
-  0x814, /* PMADDWDrr */
-/* Table3042 */
-  0x87e, /* PSADBWrm */
-  0x87f, /* PSADBWrr */
-/* Table3044 */
-  0x0, /*  */
-  0x538, /* MASKMOVDQU */
-/* Table3046 */
-  0x8a8, /* PSUBBrm */
-  0x8a9, /* PSUBBrr */
-/* Table3048 */
-  0x8b6, /* PSUBWrm */
-  0x8b7, /* PSUBWrr */
-/* Table3050 */
-  0x8aa, /* PSUBDrm */
-  0x8ab, /* PSUBDrr */
-/* Table3052 */
-  0x8ac, /* PSUBQrm */
-  0x8ad, /* PSUBQrr */
-/* Table3054 */
-  0x77d, /* PADDBrm */
-  0x77e, /* PADDBrr */
-/* Table3056 */
-  0x78b, /* PADDWrm */
-  0x78c, /* PADDWrr */
-/* Table3058 */
-  0x77f, /* PADDDrm */
-  0x780, /* PADDDrr */
-/* Table3060 */
-  0x6a7, /* MOVSDrm */
-  0x6a8, /* MOVSDrr */
-/* Table3062 */
-  0x6a6, /* MOVSDmr */
-  0x6a9, /* MOVSDrr_REV */
-/* Table3064 */
-  0x67c, /* MOVDDUPrm */
-  0x67d, /* MOVDDUPrr */
-/* Table3066 */
-  0x271, /* CVTSI2SDrm */
-  0x272, /* CVTSI2SDrr */
-/* Table3068 */
-  0x69c, /* MOVNTSD */
   0x0, /*  */
-/* Table3070 */
-  0x283, /* CVTTSD2SIrm */
-  0x284, /* CVTTSD2SIrr */
-/* Table3072 */
-  0x26b, /* CVTSD2SIrm */
-  0x26c, /* CVTSD2SIrr */
-/* Table3074 */
-  0xa9e, /* SQRTSDm */
-  0xaa0, /* SQRTSDr */
-/* Table3076 */
-  0x76, /* ADDSDrm */
-  0x78, /* ADDSDrr */
-/* Table3078 */
-  0x6ec, /* MULSDrm */
-  0x6ee, /* MULSDrr */
-/* Table3080 */
-  0x26d, /* CVTSD2SSrm */
-  0x26e, /* CVTSD2SSrr */
-/* Table3082 */
-  0xb0b, /* SUBSDrm */
-  0xb0d, /* SUBSDrr */
-/* Table3084 */
-  0x55b, /* MINSDrm */
-  0x55d, /* MINSDrr */
-/* Table3086 */
-  0x2ba, /* DIVSDrm */
-  0x2bc, /* DIVSDrr */
-/* Table3088 */
-  0x546, /* MAXSDrm */
-  0x548, /* MAXSDrr */
-/* Table3090 */
-  0x886, /* PSHUFLWmi */
-  0x887, /* PSHUFLWri */
-/* Table3092 */
-  0x1184, /* VMREAD32rm */
-  0x392, /* INSERTQI */
-/* Table3094 */
-  0x11b3, /* VMWRITE32rm */
-  0x391, /* INSERTQ */
-/* Table3096 */
-  0x345, /* HADDPSrm */
-  0x346, /* HADDPSrr */
-/* Table3098 */
-  0x34a, /* HSUBPSrm */
-  0x34b, /* HSUBPSrr */
-/* Table3100 */
-  0x22f, /* CMPSDrm */
-  0x231, /* CMPSDrr */
-/* Table3102 */
-  0x80, /* ADDSUBPSrm */
-  0x81, /* ADDSUBPSrr */
-/* Table3104 */
-  0x0, /*  */
-  0x578, /* MMX_MOVDQ2Qrr */
-/* Table3106 */
-  0x261, /* CVTPD2DQrm */
-  0x262, /* CVTPD2DQrr */
-/* Table3108 */
-  0x4a7, /* LDDQUrm */
-  0x0, /*  */
-/* Table3110 */
-  0x6b5, /* MOVSSrm */
-  0x6b6, /* MOVSSrr */
-/* Table3112 */
-  0x6b4, /* MOVSSmr */
-  0x6b7, /* MOVSSrr_REV */
-/* Table3114 */
-  0x6af, /* MOVSLDUPrm */
-  0x6b0, /* MOVSLDUPrr */
-/* Table3116 */
-  0x6ac, /* MOVSHDUPrm */
-  0x6ad, /* MOVSHDUPrr */
-/* Table3118 */
-  0x275, /* CVTSI2SSrm */
-  0x276, /* CVTSI2SSrr */
-/* Table3120 */
-  0x69d, /* MOVNTSS */
   0x0, /*  */
-/* Table3122 */
-  0x287, /* CVTTSS2SIrm */
-  0x288, /* CVTTSS2SIrr */
-/* Table3124 */
-  0x27b, /* CVTSS2SIrm */
-  0x27c, /* CVTSS2SIrr */
-/* Table3126 */
-  0xaa2, /* SQRTSSm */
-  0xaa4, /* SQRTSSr */
-/* Table3128 */
-  0x995, /* RSQRTSSm */
-  0x997, /* RSQRTSSr */
-/* Table3130 */
-  0x90d, /* RCPSSm */
-  0x90f, /* RCPSSr */
-/* Table3132 */
-  0x7a, /* ADDSSrm */
-  0x7c, /* ADDSSrr */
-/* Table3134 */
-  0x6f0, /* MULSSrm */
-  0x6f2, /* MULSSrr */
-/* Table3136 */
-  0x277, /* CVTSS2SDrm */
-  0x278, /* CVTSS2SDrr */
-/* Table3138 */
-  0x27f, /* CVTTPS2DQrm */
-  0x280, /* CVTTPS2DQrr */
-/* Table3140 */
-  0xb0f, /* SUBSSrm */
-  0xb11, /* SUBSSrr */
-/* Table3142 */
-  0x55f, /* MINSSrm */
-  0x561, /* MINSSrr */
-/* Table3144 */
-  0x2be, /* DIVSSrm */
-  0x2c0, /* DIVSSrr */
-/* Table3146 */
-  0x54a, /* MAXSSrm */
-  0x54c, /* MAXSSrr */
-/* Table3148 */
-  0x687, /* MOVDQUrm */
-  0x688, /* MOVDQUrr */
-/* Table3150 */
-  0x884, /* PSHUFHWmi */
-  0x885, /* PSHUFHWri */
-/* Table3152 */
-  0x6a4, /* MOVQI2PQIrm */
-  0x6cf, /* MOVZPQILo2PQIrr */
-/* Table3154 */
-  0x686, /* MOVDQUmr */
-  0x689, /* MOVDQUrr_REV */
-/* Table3156 */
-  0x863, /* POPCNT32rm */
-  0x864, /* POPCNT32rr */
-/* Table3158 */
-  0xb69, /* TZCNT32rm */
-  0xb6a, /* TZCNT32rr */
-/* Table3160 */
-  0x534, /* LZCNT32rm */
-  0x535, /* LZCNT32rr */
-/* Table3162 */
-  0x235, /* CMPSSrm */
-  0x237, /* CMPSSrr */
-/* Table3164 */
   0x0, /*  */
-  0x241, /* CMPXCHG8B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11b8, /* VMXON */
-  0x1183, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x930, /* RDRAND32r */
-  0x933, /* RDSEED32r */
-/* Table3180 */
   0x0, /*  */
-  0x57b, /* MMX_MOVQ2DQrr */
-/* Table3182 */
-  0x25d, /* CVTDQ2PDrm */
-  0x25e, /* CVTDQ2PDrr */
-/* Table3184 */
-  0x861, /* POPCNT16rm */
-  0x862, /* POPCNT16rr */
-/* Table3186 */
-  0xb67, /* TZCNT16rm */
-  0xb68, /* TZCNT16rr */
-/* Table3188 */
-  0x532, /* LZCNT16rm */
-  0x533, /* LZCNT16rr */
-/* Table3190 */
-  0xa94, /* SLDT64m */
-  0xab7, /* STRm */
-  0x4d2, /* LLDT16m */
-  0x52c, /* LTRm */
-  0xcfe, /* VERRm */
-  0xd00, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0xa95, /* SLDT64r */
-  0xab6, /* STR64r */
-  0x4d3, /* LLDT16r */
-  0x52d, /* LTRr */
-  0xcff, /* VERRr */
-  0xd01, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table3206 */
-  0xa26, /* SGDT64m */
-  0xa8b, /* SIDT64m */
-  0x4cb, /* LGDT64m */
-  0x4d1, /* LIDT64m */
-  0xa96, /* SMSW16m */
   0x0, /*  */
-  0x4d4, /* LMSW16m */
-  0x39c, /* INVLPG */
   0x0, /*  */
-  0xf5d, /* VMCALL */
-  0xf92, /* VMLAUNCH */
-  0x1188, /* VMRESUME */
-  0x11b7, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* MONITORrrr */
-  0x70d, /* MWAITrr */
-  0x16b, /* CLAC */
-  0xaaa, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x2e2, /* ENCLS */
-  0x1846, /* XGETBV */
-  0x1876, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0xf5f, /* VMFUNC */
-  0x1845, /* XEND */
-  0x187a, /* XTEST */
-  0x2e3, /* ENCLU */
-  0x118a, /* VMRUN64 */
-  0xf95, /* VMMCALL */
-  0xf94, /* VMLOAD64 */
-  0x118c, /* VMSAVE64 */
-  0xaad, /* STGI */
-  0x16f, /* CLGI */
-  0xa90, /* SKINIT */
-  0x39e, /* INVLPGA64 */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
-  0xa99, /* SMSW64r */
+  0x4df, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -52855,114 +65291,15 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x568, /* MFENCE */
   0x0, /*  */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0xb28, /* SWAPGS */
-  0x936, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table3278 */
-  0x49f, /* LAR64rm */
-  0x4a0, /* LAR64rr */
-/* Table3280 */
-  0x527, /* LSL64rm */
-  0x528, /* LSL64rr */
-/* Table3282 */
-  0xb2e, /* SYSRET64 */
-/* Table3283 */
-  0xb2c, /* SYSEXIT64 */
-/* Table3284 */
-  0x1e1, /* CMOVO64rm */
-  0x1e2, /* CMOVO64rr */
-/* Table3286 */
-  0x1cb, /* CMOVNO64rm */
-  0x1cc, /* CMOVNO64rr */
-/* Table3288 */
-  0x183, /* CMOVB64rm */
-  0x184, /* CMOVB64rr */
-/* Table3290 */
-  0x17d, /* CMOVAE64rm */
-  0x17e, /* CMOVAE64rr */
-/* Table3292 */
-  0x197, /* CMOVE64rm */
-  0x198, /* CMOVE64rr */
-/* Table3294 */
-  0x1c1, /* CMOVNE64rm */
-  0x1c2, /* CMOVNE64rr */
-/* Table3296 */
-  0x189, /* CMOVBE64rm */
-  0x18a, /* CMOVBE64rr */
-/* Table3298 */
-  0x177, /* CMOVA64rm */
-  0x178, /* CMOVA64rr */
-/* Table3300 */
-  0x1f1, /* CMOVS64rm */
-  0x1f2, /* CMOVS64rr */
-/* Table3302 */
-  0x1db, /* CMOVNS64rm */
-  0x1dc, /* CMOVNS64rr */
-/* Table3304 */
-  0x1e7, /* CMOVP64rm */
-  0x1e8, /* CMOVP64rr */
-/* Table3306 */
-  0x1d1, /* CMOVNP64rm */
-  0x1d2, /* CMOVNP64rr */
-/* Table3308 */
-  0x1ad, /* CMOVL64rm */
-  0x1ae, /* CMOVL64rr */
-/* Table3310 */
-  0x1a7, /* CMOVGE64rm */
-  0x1a8, /* CMOVGE64rr */
-/* Table3312 */
-  0x1b3, /* CMOVLE64rm */
-  0x1b4, /* CMOVLE64rr */
-/* Table3314 */
-  0x1a1, /* CMOVG64rm */
-  0x1a2, /* CMOVG64rr */
-/* Table3316 */
-  0x575, /* MMX_MOVD64rm */
-  0x577, /* MMX_MOVD64to64rr */
-/* Table3318 */
-  0x574, /* MMX_MOVD64mr */
-  0x572, /* MMX_MOVD64from64rr */
-/* Table3320 */
-  0x130, /* BT64mr */
-  0x132, /* BT64rr */
-/* Table3322 */
-  0xa56, /* SHLD64mri8 */
-  0xa58, /* SHLD64rri8 */
-/* Table3324 */
-  0xa55, /* SHLD64mrCL */
-  0xa57, /* SHLD64rrCL */
-/* Table3326 */
-  0x154, /* BTS64mr */
-  0x156, /* BTS64rr */
-/* Table3328 */
-  0xa7e, /* SHRD64mri8 */
-  0xa80, /* SHRD64rri8 */
-/* Table3330 */
-  0xa7d, /* SHRD64mrCL */
-  0xa7f, /* SHRD64rrCL */
-/* Table3332 */
-  0x328, /* FXSAVE64 */
-  0x326, /* FXRSTOR64 */
-  0x4a8, /* LDMXCSR */
-  0xaaf, /* STMXCSR */
-  0x1873, /* XSAVE64 */
-  0x1871, /* XRSTOR64 */
-  0x1875, /* XSAVEOPT64 */
-  0x16e, /* CLFLUSH */
+  0x7e4, /* PCOMMIT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -52970,56 +65307,597 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table3054 */
+  0x378, /* IMUL16rm */
+  0x37b, /* IMUL16rr */
+/* Table3056 */
+  0x245, /* CMPXCHG16rm */
+  0x246, /* CMPXCHG16rr */
+/* Table3058 */
+  0x543, /* LSS16rm */
   0x0, /*  */
+/* Table3060 */
+  0x146, /* BTR16mr */
+  0x148, /* BTR16rr */
+/* Table3062 */
+  0x4e0, /* LFS16rm */
   0x0, /*  */
+/* Table3064 */
+  0x4e6, /* LGS16rm */
   0x0, /*  */
+/* Table3066 */
+  0x6f5, /* MOVZX16rm8 */
+  0x6f6, /* MOVZX16rr8 */
+/* Table3068 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x12d, /* BT16mi8 */
+  0x151, /* BTS16mi8 */
+  0x145, /* BTR16mi8 */
+  0x139, /* BTC16mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x12f, /* BT16ri8 */
+  0x153, /* BTS16ri8 */
+  0x147, /* BTR16ri8 */
+  0x13b, /* BTC16ri8 */
+/* Table3084 */
+  0x13a, /* BTC16mr */
+  0x13c, /* BTC16rr */
+/* Table3086 */
+  0x11f, /* BSF16rm */
+  0x120, /* BSF16rr */
+/* Table3088 */
+  0x125, /* BSR16rm */
+  0x126, /* BSR16rr */
+/* Table3090 */
+  0x6d9, /* MOVSX16rm8 */
+  0x6da, /* MOVSX16rr8 */
+/* Table3092 */
+  0x2239, /* XADD16rm */
+  0x223a, /* XADD16rr */
+/* Table3094 */
+  0x230, /* CMPPDrmi */
+  0x232, /* CMPPDrri */
+/* Table3096 */
+  0x834, /* PINSRWrmi */
+  0x835, /* PINSRWrri */
+/* Table3098 */
   0x0, /*  */
+  0x7f4, /* PEXTRWri */
+/* Table3100 */
+  0xac4, /* SHUFPDrmi */
+  0xac5, /* SHUFPDrri */
+/* Table3102 */
   0x0, /*  */
+  0x24b, /* CMPXCHG8B */
   0x0, /*  */
+  0x2284, /* XRSTORS */
+  0x2288, /* XSAVEC */
+  0x228c, /* XSAVES */
+  0x1398, /* VMCLEARm */
+  0x15f7, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x954, /* RDRAND16r */
+  0x957, /* RDSEED16r */
+/* Table3118 */
+  0x83, /* ADDSUBPDrm */
+  0x84, /* ADDSUBPDrr */
+/* Table3120 */
+  0x8cb, /* PSRLWrm */
+  0x8cc, /* PSRLWrr */
+/* Table3122 */
+  0x8c5, /* PSRLDrm */
+  0x8c6, /* PSRLDrr */
+/* Table3124 */
+  0x8c8, /* PSRLQrm */
+  0x8c9, /* PSRLQrr */
+/* Table3126 */
+  0x7a5, /* PADDQrm */
+  0x7a6, /* PADDQrr */
+/* Table3128 */
+  0x877, /* PMULLWrm */
+  0x878, /* PMULLWrr */
+/* Table3130 */
+  0x6c0, /* MOVPQI2QImr */
+  0x6c1, /* MOVPQI2QIrr */
+/* Table3132 */
   0x0, /*  */
+  0x852, /* PMOVMSKBrr */
+/* Table3134 */
+  0x8d7, /* PSUBUSBrm */
+  0x8d8, /* PSUBUSBrr */
+/* Table3136 */
+  0x8d9, /* PSUBUSWrm */
+  0x8da, /* PSUBUSWrr */
+/* Table3138 */
+  0x84c, /* PMINUBrm */
+  0x84d, /* PMINUBrr */
+/* Table3140 */
+  0x7b5, /* PANDrm */
+  0x7b6, /* PANDrr */
+/* Table3142 */
+  0x7ab, /* PADDUSBrm */
+  0x7ac, /* PADDUSBrr */
+/* Table3144 */
+  0x7ad, /* PADDUSWrm */
+  0x7ae, /* PADDUSWrr */
+/* Table3146 */
+  0x840, /* PMAXUBrm */
+  0x841, /* PMAXUBrr */
+/* Table3148 */
+  0x7b3, /* PANDNrm */
+  0x7b4, /* PANDNrr */
+/* Table3150 */
+  0x7b8, /* PAVGBrm */
+  0x7b9, /* PAVGBrr */
+/* Table3152 */
+  0x8c1, /* PSRAWrm */
+  0x8c2, /* PSRAWrr */
+/* Table3154 */
+  0x8be, /* PSRADrm */
+  0x8bf, /* PSRADrr */
+/* Table3156 */
+  0x7bc, /* PAVGWrm */
+  0x7bd, /* PAVGWrr */
+/* Table3158 */
+  0x871, /* PMULHUWrm */
+  0x872, /* PMULHUWrr */
+/* Table3160 */
+  0x873, /* PMULHWrm */
+  0x874, /* PMULHWrr */
+/* Table3162 */
+  0x286, /* CVTTPD2DQrm */
+  0x287, /* CVTTPD2DQrr */
+/* Table3164 */
+  0x6b6, /* MOVNTDQmr */
   0x0, /*  */
+/* Table3166 */
+  0x8d3, /* PSUBSBrm */
+  0x8d4, /* PSUBSBrr */
+/* Table3168 */
+  0x8d5, /* PSUBSWrm */
+  0x8d6, /* PSUBSWrr */
+/* Table3170 */
+  0x84a, /* PMINSWrm */
+  0x84b, /* PMINSWrr */
+/* Table3172 */
+  0x89b, /* PORrm */
+  0x89c, /* PORrr */
+/* Table3174 */
+  0x7a7, /* PADDSBrm */
+  0x7a8, /* PADDSBrr */
+/* Table3176 */
+  0x7a9, /* PADDSWrm */
+  0x7aa, /* PADDSWrr */
+/* Table3178 */
+  0x83e, /* PMAXSWrm */
+  0x83f, /* PMAXSWrr */
+/* Table3180 */
+  0x914, /* PXORrm */
+  0x915, /* PXORrr */
+/* Table3182 */
+  0x8bb, /* PSLLWrm */
+  0x8bc, /* PSLLWrr */
+/* Table3184 */
+  0x8b5, /* PSLLDrm */
+  0x8b6, /* PSLLDrr */
+/* Table3186 */
+  0x8b8, /* PSLLQrm */
+  0x8b9, /* PSLLQrr */
+/* Table3188 */
+  0x879, /* PMULUDQrm */
+  0x87a, /* PMULUDQrr */
+/* Table3190 */
+  0x838, /* PMADDWDrm */
+  0x839, /* PMADDWDrr */
+/* Table3192 */
+  0x8a3, /* PSADBWrm */
+  0x8a4, /* PSADBWrr */
+/* Table3194 */
+  0x0, /*  */
+  0x552, /* MASKMOVDQU */
+/* Table3196 */
+  0x8cd, /* PSUBBrm */
+  0x8ce, /* PSUBBrr */
+/* Table3198 */
+  0x8db, /* PSUBWrm */
+  0x8dc, /* PSUBWrr */
+/* Table3200 */
+  0x8cf, /* PSUBDrm */
+  0x8d0, /* PSUBDrr */
+/* Table3202 */
+  0x8d1, /* PSUBQrm */
+  0x8d2, /* PSUBQrr */
+/* Table3204 */
+  0x7a1, /* PADDBrm */
+  0x7a2, /* PADDBrr */
+/* Table3206 */
+  0x7af, /* PADDWrm */
+  0x7b0, /* PADDWrr */
+/* Table3208 */
+  0x7a3, /* PADDDrm */
+  0x7a4, /* PADDDrr */
+/* Table3210 */
+  0x6c7, /* MOVSDrm */
+  0x6c8, /* MOVSDrr */
+/* Table3212 */
+  0x6c6, /* MOVSDmr */
+  0x6c9, /* MOVSDrr_REV */
+/* Table3214 */
+  0x69b, /* MOVDDUPrm */
+  0x69c, /* MOVDDUPrr */
+/* Table3216 */
+  0x27a, /* CVTSI2SDrm */
+  0x27b, /* CVTSI2SDrr */
+/* Table3218 */
+  0x6bb, /* MOVNTSD */
+  0x0, /*  */
+/* Table3220 */
+  0x28c, /* CVTTSD2SIrm */
+  0x28d, /* CVTTSD2SIrr */
+/* Table3222 */
+  0x274, /* CVTSD2SIrm */
+  0x275, /* CVTSD2SIrr */
+/* Table3224 */
+  0xadd, /* SQRTSDm */
+  0xadf, /* SQRTSDr */
+/* Table3226 */
+  0x7b, /* ADDSDrm */
+  0x7d, /* ADDSDrr */
+/* Table3228 */
+  0x70f, /* MULSDrm */
+  0x711, /* MULSDrr */
+/* Table3230 */
+  0x276, /* CVTSD2SSrm */
+  0x277, /* CVTSD2SSrr */
+/* Table3232 */
+  0xb4b, /* SUBSDrm */
+  0xb4d, /* SUBSDrr */
+/* Table3234 */
+  0x575, /* MINSDrm */
+  0x577, /* MINSDrr */
+/* Table3236 */
+  0x2bf, /* DIVSDrm */
+  0x2c1, /* DIVSDrr */
+/* Table3238 */
+  0x560, /* MAXSDrm */
+  0x562, /* MAXSDrr */
+/* Table3240 */
+  0x8ab, /* PSHUFLWmi */
+  0x8ac, /* PSHUFLWri */
+/* Table3242 */
+  0x15f8, /* VMREAD32rm */
+  0x3a4, /* INSERTQI */
+/* Table3244 */
+  0x1663, /* VMWRITE32rm */
+  0x3a3, /* INSERTQ */
+/* Table3246 */
+  0x35b, /* HADDPSrm */
+  0x35c, /* HADDPSrr */
+/* Table3248 */
+  0x360, /* HSUBPSrm */
+  0x361, /* HSUBPSrr */
+/* Table3250 */
+  0x239, /* CMPSDrm */
+  0x23b, /* CMPSDrr */
+/* Table3252 */
+  0x85, /* ADDSUBPSrm */
+  0x86, /* ADDSUBPSrr */
+/* Table3254 */
+  0x0, /*  */
+  0x594, /* MMX_MOVDQ2Qrr */
+/* Table3256 */
+  0x26a, /* CVTPD2DQrm */
+  0x26b, /* CVTPD2DQrr */
+/* Table3258 */
+  0x4c1, /* LDDQUrm */
+  0x0, /*  */
+/* Table3260 */
+  0x6d5, /* MOVSSrm */
+  0x6d6, /* MOVSSrr */
+/* Table3262 */
+  0x6d4, /* MOVSSmr */
+  0x6d7, /* MOVSSrr_REV */
+/* Table3264 */
+  0x6cf, /* MOVSLDUPrm */
+  0x6d0, /* MOVSLDUPrr */
+/* Table3266 */
+  0x6cc, /* MOVSHDUPrm */
+  0x6cd, /* MOVSHDUPrr */
+/* Table3268 */
+  0x27e, /* CVTSI2SSrm */
+  0x27f, /* CVTSI2SSrr */
+/* Table3270 */
+  0x6bc, /* MOVNTSS */
+  0x0, /*  */
+/* Table3272 */
+  0x290, /* CVTTSS2SIrm */
+  0x291, /* CVTTSS2SIrr */
+/* Table3274 */
+  0x284, /* CVTSS2SIrm */
+  0x285, /* CVTSS2SIrr */
+/* Table3276 */
+  0xae1, /* SQRTSSm */
+  0xae3, /* SQRTSSr */
+/* Table3278 */
+  0x9d2, /* RSQRTSSm */
+  0x9d4, /* RSQRTSSr */
+/* Table3280 */
+  0x932, /* RCPSSm */
+  0x934, /* RCPSSr */
+/* Table3282 */
+  0x7f, /* ADDSSrm */
+  0x81, /* ADDSSrr */
+/* Table3284 */
+  0x713, /* MULSSrm */
+  0x715, /* MULSSrr */
+/* Table3286 */
+  0x280, /* CVTSS2SDrm */
+  0x281, /* CVTSS2SDrr */
+/* Table3288 */
+  0x288, /* CVTTPS2DQrm */
+  0x289, /* CVTTPS2DQrr */
+/* Table3290 */
+  0xb4f, /* SUBSSrm */
+  0xb51, /* SUBSSrr */
+/* Table3292 */
+  0x579, /* MINSSrm */
+  0x57b, /* MINSSrr */
+/* Table3294 */
+  0x2c3, /* DIVSSrm */
+  0x2c5, /* DIVSSrr */
+/* Table3296 */
+  0x564, /* MAXSSrm */
+  0x566, /* MAXSSrr */
+/* Table3298 */
+  0x6a6, /* MOVDQUrm */
+  0x6a7, /* MOVDQUrr */
+/* Table3300 */
+  0x8a9, /* PSHUFHWmi */
+  0x8aa, /* PSHUFHWri */
+/* Table3302 */
+  0x6c4, /* MOVQI2PQIrm */
+  0x6f2, /* MOVZPQILo2PQIrr */
+/* Table3304 */
+  0x6a5, /* MOVDQUmr */
+  0x6a8, /* MOVDQUrr_REV */
+/* Table3306 */
+  0x888, /* POPCNT32rm */
+  0x889, /* POPCNT32rr */
+/* Table3308 */
+  0xbac, /* TZCNT32rm */
+  0xbad, /* TZCNT32rr */
+/* Table3310 */
+  0x54e, /* LZCNT32rm */
+  0x54f, /* LZCNT32rr */
+/* Table3312 */
+  0x23f, /* CMPSSrm */
+  0x241, /* CMPSSrr */
+/* Table3314 */
   0x0, /*  */
+  0x24b, /* CMPXCHG8B */
   0x0, /*  */
+  0x2284, /* XRSTORS */
+  0x2288, /* XSAVEC */
+  0x228c, /* XSAVES */
+  0x1668, /* VMXON */
+  0x15f7, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x955, /* RDRAND32r */
+  0x958, /* RDSEED32r */
+/* Table3330 */
   0x0, /*  */
+  0x597, /* MMX_MOVQ2DQrr */
+/* Table3332 */
+  0x266, /* CVTDQ2PDrm */
+  0x267, /* CVTDQ2PDrr */
+/* Table3334 */
+  0x886, /* POPCNT16rm */
+  0x887, /* POPCNT16rr */
+/* Table3336 */
+  0xbaa, /* TZCNT16rm */
+  0xbab, /* TZCNT16rr */
+/* Table3338 */
+  0x54c, /* LZCNT16rm */
+  0x54d, /* LZCNT16rr */
+/* Table3340 */
+  0xad3, /* SLDT64m */
+  0xaf6, /* STRm */
+  0x4ec, /* LLDT16m */
+  0x546, /* LTRm */
+  0xe12, /* VERRm */
+  0xe14, /* VERWm */
+  0x0, /*  */
+  0x0, /*  */
+  0xad4, /* SLDT64r */
+  0xaf5, /* STR64r */
+  0x4ed, /* LLDT16r */
+  0x547, /* LTRr */
+  0xe13, /* VERRr */
+  0xe15, /* VERWr */
+  0x0, /*  */
+  0x0, /*  */
+/* Table3356 */
+  0xa65, /* SGDT64m */
+  0xaca, /* SIDT64m */
+  0x4e5, /* LGDT64m */
+  0x4eb, /* LIDT64m */
+  0xad5, /* SMSW16m */
+  0x0, /*  */
+  0x4ee, /* LMSW16m */
+  0x3ae, /* INVLPG */
+  0x0, /*  */
+  0x1397, /* VMCALL */
+  0x1402, /* VMLAUNCH */
+  0x15fc, /* VMRESUME */
+  0x1667, /* VMXOFF */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x63a, /* MONITORrrr */
+  0x730, /* MWAITrr */
+  0x171, /* CLAC */
+  0xae9, /* STAC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x2e7, /* ENCLS */
+  0x2257, /* XGETBV */
+  0x228e, /* XSETBV */
+  0x0, /*  */
+  0x0, /*  */
+  0x1399, /* VMFUNC */
+  0x2256, /* XEND */
+  0x2292, /* XTEST */
+  0x2e8, /* ENCLU */
+  0x15fe, /* VMRUN64 */
+  0x1405, /* VMMCALL */
+  0x1404, /* VMLOAD64 */
+  0x1600, /* VMSAVE64 */
+  0xaec, /* STGI */
+  0x176, /* CLGI */
+  0xacf, /* SKINIT */
+  0x3b0, /* INVLPGA64 */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
+  0xad8, /* SMSW64r */
   0x0, /*  */
   0x0, /*  */
-  0x4c5, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0xb68, /* SWAPGS */
+  0x95b, /* RDTSCP */
   0x0, /*  */
-  0x54e, /* MFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table3428 */
+  0x4b9, /* LAR64rm */
+  0x4ba, /* LAR64rr */
+/* Table3430 */
+  0x541, /* LSL64rm */
+  0x542, /* LSL64rr */
+/* Table3432 */
+  0xb6e, /* SYSRET64 */
+/* Table3433 */
+  0xb6c, /* SYSEXIT64 */
+/* Table3434 */
+  0x1e9, /* CMOVO64rm */
+  0x1ea, /* CMOVO64rr */
+/* Table3436 */
+  0x1d3, /* CMOVNO64rm */
+  0x1d4, /* CMOVNO64rr */
+/* Table3438 */
+  0x18b, /* CMOVB64rm */
+  0x18c, /* CMOVB64rr */
+/* Table3440 */
+  0x185, /* CMOVAE64rm */
+  0x186, /* CMOVAE64rr */
+/* Table3442 */
+  0x19f, /* CMOVE64rm */
+  0x1a0, /* CMOVE64rr */
+/* Table3444 */
+  0x1c9, /* CMOVNE64rm */
+  0x1ca, /* CMOVNE64rr */
+/* Table3446 */
+  0x191, /* CMOVBE64rm */
+  0x192, /* CMOVBE64rr */
+/* Table3448 */
+  0x17f, /* CMOVA64rm */
+  0x180, /* CMOVA64rr */
+/* Table3450 */
+  0x1f9, /* CMOVS64rm */
+  0x1fa, /* CMOVS64rr */
+/* Table3452 */
+  0x1e3, /* CMOVNS64rm */
+  0x1e4, /* CMOVNS64rr */
+/* Table3454 */
+  0x1ef, /* CMOVP64rm */
+  0x1f0, /* CMOVP64rr */
+/* Table3456 */
+  0x1d9, /* CMOVNP64rm */
+  0x1da, /* CMOVNP64rr */
+/* Table3458 */
+  0x1b5, /* CMOVL64rm */
+  0x1b6, /* CMOVL64rr */
+/* Table3460 */
+  0x1af, /* CMOVGE64rm */
+  0x1b0, /* CMOVGE64rr */
+/* Table3462 */
+  0x1bb, /* CMOVLE64rm */
+  0x1bc, /* CMOVLE64rr */
+/* Table3464 */
+  0x1a9, /* CMOVG64rm */
+  0x1aa, /* CMOVG64rr */
+/* Table3466 */
+  0x592, /* MMX_MOVD64to64rm */
+  0x593, /* MMX_MOVD64to64rr */
+/* Table3468 */
+  0x58c, /* MMX_MOVD64from64rm */
+  0x58d, /* MMX_MOVD64from64rr */
+/* Table3470 */
+  0x136, /* BT64mr */
+  0x138, /* BT64rr */
+/* Table3472 */
+  0xa95, /* SHLD64mri8 */
+  0xa97, /* SHLD64rri8 */
+/* Table3474 */
+  0xa94, /* SHLD64mrCL */
+  0xa96, /* SHLD64rrCL */
+/* Table3476 */
+  0x15a, /* BTS64mr */
+  0x15c, /* BTS64rr */
+/* Table3478 */
+  0xabd, /* SHRD64mri8 */
+  0xabf, /* SHRD64rri8 */
+/* Table3480 */
+  0xabc, /* SHRD64mrCL */
+  0xabe, /* SHRD64rrCL */
+/* Table3482 */
+  0x32e, /* FXSAVE64 */
+  0x32c, /* FXRSTOR64 */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2287, /* XSAVE64 */
+  0x2283, /* XRSTOR64 */
+  0x228b, /* XSAVEOPT64 */
+  0x174, /* CLFLUSH */
   0x0, /*  */
   0x0, /*  */
-  0xa23, /* SFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53027,301 +65905,162 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table3404 */
-  0x372, /* IMUL64rm */
-  0x375, /* IMUL64rr */
-/* Table3406 */
-  0x23f, /* CMPXCHG64rm */
-  0x240, /* CMPXCHG64rr */
-/* Table3408 */
-  0x52b, /* LSS64rm */
   0x0, /*  */
-/* Table3410 */
-  0x148, /* BTR64mr */
-  0x14a, /* BTR64rr */
-/* Table3412 */
-  0x4c8, /* LFS64rm */
   0x0, /*  */
-/* Table3414 */
-  0x4ce, /* LGS64rm */
   0x0, /*  */
-/* Table3416 */
-  0x6db, /* MOVZX64rm8_Q */
-  0x6dd, /* MOVZX64rr8_Q */
-/* Table3418 */
-  0x6da, /* MOVZX64rm16_Q */
-  0x6dc, /* MOVZX64rr16_Q */
-/* Table3420 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x12f, /* BT64mi8 */
-  0x153, /* BTS64mi8 */
-  0x147, /* BTR64mi8 */
-  0x13b, /* BTC64mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x131, /* BT64ri8 */
-  0x155, /* BTS64ri8 */
-  0x149, /* BTR64ri8 */
-  0x13d, /* BTC64ri8 */
-/* Table3436 */
-  0x13c, /* BTC64mr */
-  0x13e, /* BTC64rr */
-/* Table3438 */
-  0x11d, /* BSF64rm */
-  0x11e, /* BSF64rr */
-/* Table3440 */
-  0x123, /* BSR64rm */
-  0x124, /* BSR64rr */
-/* Table3442 */
-  0x6c2, /* MOVSX64rm8 */
-  0x6c5, /* MOVSX64rr8 */
-/* Table3444 */
-  0x6c0, /* MOVSX64rm16 */
-  0x6c3, /* MOVSX64rr16 */
-/* Table3446 */
-  0x182d, /* XADD64rm */
-  0x182e, /* XADD64rr */
-/* Table3448 */
-  0x698, /* MOVNTI_64mr */
   0x0, /*  */
-/* Table3450 */
   0x0, /*  */
-  0x23a, /* CMPXCHG16B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1182, /* VMPTRLDm */
-  0x1183, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x931, /* RDRAND64r */
-  0x934, /* RDSEED64r */
-/* Table3466 */
-  0x126, /* BSWAP64r */
-/* Table3467 */
-  0xa26, /* SGDT64m */
-  0xa8b, /* SIDT64m */
-  0x4cb, /* LGDT64m */
-  0x4d1, /* LIDT64m */
-  0xa96, /* SMSW16m */
   0x0, /*  */
-  0x4d4, /* LMSW16m */
-  0x39c, /* INVLPG */
   0x0, /*  */
-  0xf5d, /* VMCALL */
-  0xf92, /* VMLAUNCH */
-  0x1188, /* VMRESUME */
-  0x11b7, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* MONITORrrr */
-  0x70d, /* MWAITrr */
-  0x16b, /* CLAC */
-  0xaaa, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x2e2, /* ENCLS */
-  0x1846, /* XGETBV */
-  0x1876, /* XSETBV */
+  0x4df, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
-  0xf5f, /* VMFUNC */
-  0x1845, /* XEND */
-  0x187a, /* XTEST */
-  0x2e3, /* ENCLU */
-  0x118a, /* VMRUN64 */
-  0xf95, /* VMMCALL */
-  0xf94, /* VMLOAD64 */
-  0x118c, /* VMSAVE64 */
-  0xaad, /* STGI */
-  0x16f, /* CLGI */
-  0xa90, /* SKINIT */
-  0x39e, /* INVLPGA64 */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
-  0xa97, /* SMSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x568, /* MFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0x4d5, /* LMSW16r */
-  0xb28, /* SWAPGS */
-  0x936, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0xa62, /* SFENCE */
   0x0, /*  */
   0x0, /*  */
-/* Table3539 */
-  0x1186, /* VMREAD64rm */
-  0x2e8, /* EXTRQI */
-/* Table3541 */
-  0x11b5, /* VMWRITE64rm */
-  0x2e7, /* EXTRQ */
-/* Table3543 */
   0x0, /*  */
-  0x539, /* MASKMOVDQU64 */
-/* Table3545 */
-  0x1186, /* VMREAD64rm */
-  0x392, /* INSERTQI */
-/* Table3547 */
-  0x11b5, /* VMWRITE64rm */
-  0x391, /* INSERTQ */
-/* Table3549 */
-  0x327, /* FXSAVE */
-  0x325, /* FXRSTOR */
-  0x4a8, /* LDMXCSR */
-  0xaaf, /* STMXCSR */
-  0x1872, /* XSAVE */
-  0x1870, /* XRSTOR */
-  0x1874, /* XSAVEOPT */
-  0x16e, /* CLFLUSH */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x929, /* RDFSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x92b, /* RDGSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1822, /* WRFSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
-  0x1824, /* WRGSBASE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table3554 */
+  0x388, /* IMUL64rm */
+  0x38b, /* IMUL64rr */
+/* Table3556 */
+  0x249, /* CMPXCHG64rm */
+  0x24a, /* CMPXCHG64rr */
+/* Table3558 */
+  0x545, /* LSS64rm */
   0x0, /*  */
+/* Table3560 */
+  0x14e, /* BTR64mr */
+  0x150, /* BTR64rr */
+/* Table3562 */
+  0x4e2, /* LFS64rm */
   0x0, /*  */
+/* Table3564 */
+  0x4e8, /* LGS64rm */
   0x0, /*  */
+/* Table3566 */
+  0x6fe, /* MOVZX64rm8_Q */
+  0x700, /* MOVZX64rr8_Q */
+/* Table3568 */
+  0x6fd, /* MOVZX64rm16_Q */
+  0x6ff, /* MOVZX64rr16_Q */
+/* Table3570 */
   0x0, /*  */
-  0x4c5, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x135, /* BT64mi8 */
+  0x159, /* BTS64mi8 */
+  0x14d, /* BTR64mi8 */
+  0x141, /* BTC64mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x54e, /* MFENCE */
+  0x137, /* BT64ri8 */
+  0x15b, /* BTS64ri8 */
+  0x14f, /* BTR64ri8 */
+  0x143, /* BTC64ri8 */
+/* Table3586 */
+  0x142, /* BTC64mr */
+  0x144, /* BTC64rr */
+/* Table3588 */
+  0x123, /* BSF64rm */
+  0x124, /* BSF64rr */
+/* Table3590 */
+  0x129, /* BSR64rm */
+  0x12a, /* BSR64rr */
+/* Table3592 */
+  0x6e5, /* MOVSX64rm8 */
+  0x6e8, /* MOVSX64rr8 */
+/* Table3594 */
+  0x6e2, /* MOVSX64rm16 */
+  0x6e6, /* MOVSX64rr16 */
+/* Table3596 */
+  0x223d, /* XADD64rm */
+  0x223e, /* XADD64rr */
+/* Table3598 */
+  0x6b7, /* MOVNTI_64mr */
   0x0, /*  */
+/* Table3600 */
   0x0, /*  */
+  0x244, /* CMPXCHG16B */
   0x0, /*  */
+  0x2285, /* XRSTORS64 */
+  0x2289, /* XSAVEC64 */
+  0x228d, /* XSAVES64 */
+  0x15f6, /* VMPTRLDm */
+  0x15f7, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xa23, /* SFENCE */
   0x0, /*  */
   0x0, /*  */
+  0x956, /* RDRAND64r */
+  0x959, /* RDSEED64r */
+/* Table3616 */
+  0x12c, /* BSWAP64r */
+/* Table3617 */
+  0x15fa, /* VMREAD64rm */
+  0x2ed, /* EXTRQI */
+/* Table3619 */
+  0x1665, /* VMWRITE64rm */
+  0x2ec, /* EXTRQ */
+/* Table3621 */
+  0x32e, /* FXSAVE64 */
+  0x32c, /* FXRSTOR64 */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2287, /* XSAVE64 */
+  0x2283, /* XRSTOR64 */
+  0x228b, /* XSAVEOPT64 */
+  0x175, /* CLFLUSHOPT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table3621 */
-  0x273, /* CVTSI2SS64rm */
-  0x274, /* CVTSI2SS64rr */
-/* Table3623 */
-  0x285, /* CVTTSS2SI64rm */
-  0x286, /* CVTTSS2SI64rr */
-/* Table3625 */
-  0x279, /* CVTSS2SI64rm */
-  0x27a, /* CVTSS2SI64rr */
-/* Table3627 */
-  0x6a4, /* MOVQI2PQIrm */
-  0x572, /* MMX_MOVD64from64rr */
-/* Table3629 */
-  0x328, /* FXSAVE64 */
-  0x326, /* FXRSTOR64 */
-  0x4a8, /* LDMXCSR */
-  0xaaf, /* STMXCSR */
-  0x1873, /* XSAVE64 */
-  0x1871, /* XRSTOR64 */
-  0x1875, /* XSAVEOPT64 */
-  0x16e, /* CLFLUSH */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92a, /* RDFSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x92c, /* RDGSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1823, /* WRFSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
-  0x1825, /* WRGSBASE64 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53330,7 +66069,6 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x4c5, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53338,7 +66076,6 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x54e, /* MFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53346,7 +66083,6 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xa23, /* SFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53354,505 +66090,443 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table3701 */
-  0x865, /* POPCNT64rm */
-  0x866, /* POPCNT64rr */
-/* Table3703 */
-  0xb6b, /* TZCNT64rm */
-  0xb6c, /* TZCNT64rr */
-/* Table3705 */
-  0x536, /* LZCNT64rm */
-  0x537, /* LZCNT64rr */
-/* Table3707 */
   0x0, /*  */
-  0x23a, /* CMPXCHG16B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11b8, /* VMXON */
-  0x1183, /* VMPTRSTm */
   0x0, /*  */
+  0x4df, /* LFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x931, /* RDRAND64r */
-  0x934, /* RDSEED64r */
-/* Table3723 */
-  0x26f, /* CVTSI2SD64rm */
-  0x270, /* CVTSI2SD64rr */
-/* Table3725 */
-  0x281, /* CVTTSD2SI64rm */
-  0x282, /* CVTTSD2SI64rr */
-/* Table3727 */
-  0x269, /* CVTSD2SI64rm */
-  0x26a, /* CVTSD2SI64rr */
-/* Table3729 */
-  0x67e, /* MOVDI2PDIrm */
-  0x65d, /* MOV64toPQIrr */
-/* Table3731 */
-  0x69f, /* MOVPDI2DImr */
-  0x6a3, /* MOVPQIto64rr */
-/* Table3733 */
   0x0, /*  */
-  0x23a, /* CMPXCHG16B */
   0x0, /*  */
+  0x568, /* MFENCE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xf5e, /* VMCLEARm */
-  0x1183, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x7e4, /* PCOMMIT */
   0x0, /*  */
   0x0, /*  */
-  0x931, /* RDRAND64r */
-  0x934, /* RDSEED64r */
-/* Table3749 */
-  0x1175, /* VMOVUPSrm */
-  0x1176, /* VMOVUPSrr */
-/* Table3751 */
-  0x1174, /* VMOVUPSmr */
-  0x1177, /* VMOVUPSrr_REV */
-/* Table3753 */
-  0x10dc, /* VMOVLPSrm */
-  0x10d2, /* VMOVHLPSrr */
-/* Table3755 */
-  0x10db, /* VMOVLPSmr */
   0x0, /*  */
-/* Table3757 */
-  0x180e, /* VUNPCKLPSrm */
-  0x180f, /* VUNPCKLPSrr */
-/* Table3759 */
-  0x1802, /* VUNPCKHPSrm */
-  0x1803, /* VUNPCKHPSrr */
-/* Table3761 */
-  0x10d6, /* VMOVHPSrm */
-  0x10d8, /* VMOVLHPSrr */
-/* Table3763 */
-  0x10d5, /* VMOVHPSmr */
   0x0, /*  */
-/* Table3765 */
-  0xfea, /* VMOVAPSrm */
-  0xfeb, /* VMOVAPSrr */
-/* Table3767 */
-  0xfe9, /* VMOVAPSmr */
-  0xfec, /* VMOVAPSrr_REV */
-/* Table3769 */
-  0x10f4, /* VMOVNTPSmr */
   0x0, /*  */
-/* Table3771 */
-  0x17f6, /* VUCOMISSrm */
-  0x17f7, /* VUCOMISSrr */
-/* Table3773 */
-  0xc31, /* VCOMISSrm */
-  0xc32, /* VCOMISSrr */
-/* Table3775 */
   0x0, /*  */
-  0x485, /* KNOTWrr */
-/* Table3777 */
   0x0, /*  */
-  0x10e0, /* VMOVMSKPSrr */
-/* Table3779 */
-  0x17b1, /* VSQRTPSm */
-  0x17b2, /* VSQRTPSr */
-/* Table3781 */
-  0x1788, /* VRSQRTPSm */
-  0x178a, /* VRSQRTPSr */
-/* Table3783 */
-  0x1753, /* VRCPPSm */
-  0x1755, /* VRCPPSr */
-/* Table3785 */
-  0xbda, /* VANDPSrm */
-  0xbdb, /* VANDPSrr */
-/* Table3787 */
-  0xbd2, /* VANDNPSrm */
-  0xbd3, /* VANDNPSrr */
-/* Table3789 */
-  0x11bf, /* VORPSrm */
-  0x11c0, /* VORPSrr */
-/* Table3791 */
-  0x1816, /* VXORPSrm */
-  0x1817, /* VXORPSrr */
-/* Table3793 */
-  0xba2, /* VADDPSrm */
-  0xba3, /* VADDPSrr */
-/* Table3795 */
-  0x11a5, /* VMULPSrm */
-  0x11a6, /* VMULPSrr */
-/* Table3797 */
-  0xc62, /* VCVTPS2PDrm */
-  0xc63, /* VCVTPS2PDrr */
-/* Table3799 */
-  0xc3e, /* VCVTDQ2PSrm */
-  0xc3f, /* VCVTDQ2PSrr */
-/* Table3801 */
-  0x17da, /* VSUBPSrm */
-  0x17db, /* VSUBPSrr */
-/* Table3803 */
-  0xf84, /* VMINPSrm */
-  0xf85, /* VMINPSrr */
-/* Table3805 */
-  0xcea, /* VDIVPSrm */
-  0xceb, /* VDIVPSrr */
-/* Table3807 */
-  0xf4f, /* VMAXPSrm */
-  0xf50, /* VMAXPSrr */
-/* Table3809 */
-  0x1819, /* VZEROUPPER */
-/* Table3810 */
-  0x47e, /* KMOVWkm */
-  0x47d, /* KMOVWkk */
-/* Table3812 */
-  0x480, /* KMOVWmk */
-  0x0, /*  */
-/* Table3814 */
-  0x0, /*  */
-  0x47f, /* KMOVWkr */
-/* Table3816 */
-  0x0, /*  */
-  0x481, /* KMOVWrk */
-/* Table3818 */
-  0x0, /*  */
-  0x489, /* KORTESTWrr */
-/* Table3820 */
-  0x0, /*  */
-  0x0, /*  */
-  0xf20, /* VLDMXCSR */
-  0x17c1, /* VSTMXCSR */
+/* Table3693 */
   0x0, /*  */
+  0x244, /* CMPXCHG16B */
   0x0, /*  */
+  0x2285, /* XRSTORS64 */
+  0x2289, /* XSAVEC64 */
+  0x228d, /* XSAVES64 */
+  0x1398, /* VMCLEARm */
+  0x15f7, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x956, /* RDRAND64r */
+  0x959, /* RDSEED64r */
+/* Table3709 */
   0x0, /*  */
+  0x553, /* MASKMOVDQU64 */
+/* Table3711 */
+  0xa65, /* SGDT64m */
+  0xaca, /* SIDT64m */
+  0x4e5, /* LGDT64m */
+  0x4eb, /* LIDT64m */
+  0xad5, /* SMSW16m */
   0x0, /*  */
+  0x4ee, /* LMSW16m */
+  0x3ae, /* INVLPG */
   0x0, /*  */
+  0x1397, /* VMCALL */
+  0x1402, /* VMLAUNCH */
+  0x15fc, /* VMRESUME */
+  0x1667, /* VMXOFF */
   0x0, /*  */
-/* Table3836 */
-  0xc17, /* VCMPPSrmi */
-  0xc19, /* VCMPPSrri */
-/* Table3838 */
-  0x17a5, /* VSHUFPSrmi */
-  0x17a6, /* VSHUFPSrri */
-/* Table3840 */
-  0x1123, /* VMOVSSrm */
-  0x1124, /* VMOVSSrr */
-/* Table3842 */
-  0x1122, /* VMOVSSmr */
-  0x1125, /* VMOVSSrr_REV */
-/* Table3844 */
-  0x1117, /* VMOVSLDUPrm */
-  0x1118, /* VMOVSLDUPrr */
-/* Table3846 */
-  0x1111, /* VMOVSHDUPrm */
-  0x1112, /* VMOVSHDUPrr */
-/* Table3848 */
-  0xc87, /* VCVTSI2SSrm */
-  0xc88, /* VCVTSI2SSrr */
-/* Table3850 */
-  0xcbf, /* VCVTTSS2SIrm */
-  0xcc0, /* VCVTTSS2SIrr */
-/* Table3852 */
-  0xc97, /* VCVTSS2SIrm */
-  0xc98, /* VCVTSS2SIrr */
-/* Table3854 */
-  0x17be, /* VSQRTSSm */
-  0x17c0, /* VSQRTSSr */
-/* Table3856 */
-  0x178c, /* VRSQRTSSm */
-  0x178e, /* VRSQRTSSr */
-/* Table3858 */
-  0x1757, /* VRCPSSm */
-  0x1759, /* VRCPSSr */
-/* Table3860 */
-  0xbac, /* VADDSSrm */
-  0xbae, /* VADDSSrr */
-/* Table3862 */
-  0x11af, /* VMULSSrm */
-  0x11b1, /* VMULSSrr */
-/* Table3864 */
-  0xc8f, /* VCVTSS2SDrm */
-  0xc90, /* VCVTSS2SDrr */
-/* Table3866 */
-  0xca9, /* VCVTTPS2DQrm */
-  0xcaa, /* VCVTTPS2DQrr */
-/* Table3868 */
-  0x17e4, /* VSUBSSrm */
-  0x17e6, /* VSUBSSrr */
-/* Table3870 */
-  0xf8e, /* VMINSSrm */
-  0xf90, /* VMINSSrr */
-/* Table3872 */
-  0xcf4, /* VDIVSSrm */
-  0xcf6, /* VDIVSSrr */
-/* Table3874 */
-  0xf59, /* VMAXSSrm */
-  0xf5b, /* VMAXSSrr */
-/* Table3876 */
-  0x10ce, /* VMOVDQUrm */
-  0x10cf, /* VMOVDQUrr */
-/* Table3878 */
-  0x1629, /* VPSHUFHWmi */
-  0x162a, /* VPSHUFHWri */
-/* Table3880 */
-  0x10ff, /* VMOVQI2PQIrm */
-  0x117b, /* VMOVZPQILo2PQIrr */
-/* Table3882 */
-  0x10cd, /* VMOVDQUmr */
-  0x10d0, /* VMOVDQUrr_REV */
-/* Table3884 */
-  0xc27, /* VCMPSSrm */
-  0xc29, /* VCMPSSrr */
-/* Table3886 */
-  0xc37, /* VCVTDQ2PDrm */
-  0xc38, /* VCVTDQ2PDrr */
-/* Table3888 */
-  0x1106, /* VMOVSDrm */
-  0x1107, /* VMOVSDrr */
-/* Table3890 */
-  0x1105, /* VMOVSDmr */
-  0x1108, /* VMOVSDrr_REV */
-/* Table3892 */
-  0xff1, /* VMOVDDUPrm */
-  0xff2, /* VMOVDDUPrr */
-/* Table3894 */
-  0xc81, /* VCVTSI2SDrm */
-  0xc82, /* VCVTSI2SDrr */
-/* Table3896 */
-  0xcb3, /* VCVTTSD2SIrm */
-  0xcb4, /* VCVTTSD2SIrr */
-/* Table3898 */
-  0xc73, /* VCVTSD2SIrm */
-  0xc74, /* VCVTSD2SIrr */
-/* Table3900 */
-  0x17b7, /* VSQRTSDm */
-  0x17b9, /* VSQRTSDr */
-/* Table3902 */
-  0xba6, /* VADDSDrm */
-  0xba8, /* VADDSDrr */
-/* Table3904 */
-  0x11a9, /* VMULSDrm */
-  0x11ab, /* VMULSDrr */
-/* Table3906 */
-  0xc77, /* VCVTSD2SSrm */
-  0xc78, /* VCVTSD2SSrr */
-/* Table3908 */
-  0x17de, /* VSUBSDrm */
-  0x17e0, /* VSUBSDrr */
-/* Table3910 */
-  0xf88, /* VMINSDrm */
-  0xf8a, /* VMINSDrr */
-/* Table3912 */
-  0xcee, /* VDIVSDrm */
-  0xcf0, /* VDIVSDrr */
-/* Table3914 */
-  0xf53, /* VMAXSDrm */
-  0xf55, /* VMAXSDrr */
-/* Table3916 */
-  0x162d, /* VPSHUFLWmi */
-  0x162e, /* VPSHUFLWri */
-/* Table3918 */
-  0xf04, /* VHADDPSrm */
-  0xf05, /* VHADDPSrr */
-/* Table3920 */
-  0xf0c, /* VHSUBPSrm */
-  0xf0d, /* VHSUBPSrr */
-/* Table3922 */
-  0x0, /*  */
-  0x475, /* KMOVDkr */
-/* Table3924 */
-  0x0, /*  */
-  0x477, /* KMOVDrk */
-/* Table3926 */
-  0xc1f, /* VCMPSDrm */
-  0xc21, /* VCMPSDrr */
-/* Table3928 */
-  0xbb6, /* VADDSUBPSrm */
-  0xbb7, /* VADDSUBPSrr */
-/* Table3930 */
-  0xc40, /* VCVTPD2DQXrm */
-  0xc46, /* VCVTPD2DQrr */
-/* Table3932 */
-  0xf1f, /* VLDDQUrm */
-  0x0, /*  */
-/* Table3934 */
-  0x114c, /* VMOVUPDrm */
-  0x114d, /* VMOVUPDrr */
-/* Table3936 */
-  0x114b, /* VMOVUPDmr */
-  0x114e, /* VMOVUPDrr_REV */
-/* Table3938 */
-  0x10da, /* VMOVLPDrm */
-  0x0, /*  */
-/* Table3940 */
-  0x10d9, /* VMOVLPDmr */
-  0x0, /*  */
-/* Table3942 */
-  0x1808, /* VUNPCKLPDrm */
-  0x1809, /* VUNPCKLPDrr */
-/* Table3944 */
-  0x17fc, /* VUNPCKHPDrm */
-  0x17fd, /* VUNPCKHPDrr */
-/* Table3946 */
-  0x10d4, /* VMOVHPDrm */
-  0x0, /*  */
-/* Table3948 */
-  0x10d3, /* VMOVHPDmr */
-  0x0, /*  */
-/* Table3950 */
-  0xfc1, /* VMOVAPDrm */
-  0xfc2, /* VMOVAPDrr */
-/* Table3952 */
-  0xfc0, /* VMOVAPDmr */
-  0xfc3, /* VMOVAPDrr_REV */
-/* Table3954 */
-  0x10ef, /* VMOVNTPDmr */
-  0x0, /*  */
-/* Table3956 */
-  0x17f2, /* VUCOMISDrm */
-  0x17f3, /* VUCOMISDrr */
-/* Table3958 */
-  0xc2d, /* VCOMISDrm */
-  0xc2e, /* VCOMISDrr */
-/* Table3960 */
-  0x0, /*  */
-  0x482, /* KNOTBrr */
-/* Table3962 */
-  0x0, /*  */
-  0x10de, /* VMOVMSKPDrr */
-/* Table3964 */
-  0x17ab, /* VSQRTPDm */
-  0x17ac, /* VSQRTPDr */
-/* Table3966 */
-  0xbd6, /* VANDPDrm */
-  0xbd7, /* VANDPDrr */
-/* Table3968 */
-  0xbce, /* VANDNPDrm */
-  0xbcf, /* VANDNPDrr */
-/* Table3970 */
-  0x11bb, /* VORPDrm */
-  0x11bc, /* VORPDrr */
-/* Table3972 */
-  0x1812, /* VXORPDrm */
-  0x1813, /* VXORPDrr */
-/* Table3974 */
-  0xb95, /* VADDPDrm */
-  0xb96, /* VADDPDrr */
-/* Table3976 */
-  0x1198, /* VMULPDrm */
-  0x1199, /* VMULPDrr */
-/* Table3978 */
-  0xc47, /* VCVTPD2PSXrm */
-  0xc4d, /* VCVTPD2PSrr */
-/* Table3980 */
-  0xc5c, /* VCVTPS2DQrm */
-  0xc5d, /* VCVTPS2DQrr */
-/* Table3982 */
-  0x17cd, /* VSUBPDrm */
-  0x17ce, /* VSUBPDrr */
-/* Table3984 */
-  0xf77, /* VMINPDrm */
-  0xf78, /* VMINPDrr */
-/* Table3986 */
-  0xcdd, /* VDIVPDrm */
-  0xcde, /* VDIVPDrr */
-/* Table3988 */
-  0xf42, /* VMAXPDrm */
-  0xf43, /* VMAXPDrr */
-/* Table3990 */
-  0x1713, /* VPUNPCKLBWrm */
-  0x1714, /* VPUNPCKLBWrr */
-/* Table3992 */
-  0x1723, /* VPUNPCKLWDrm */
-  0x1724, /* VPUNPCKLWDrr */
-/* Table3994 */
-  0x1719, /* VPUNPCKLDQrm */
-  0x171a, /* VPUNPCKLDQrr */
-/* Table3996 */
-  0x11e5, /* VPACKSSWBrm */
-  0x11e6, /* VPACKSSWBrr */
-/* Table3998 */
-  0x12f7, /* VPCMPGTBrm */
-  0x12f8, /* VPCMPGTBrr */
-/* Table4000 */
-  0x1333, /* VPCMPGTWrm */
-  0x1334, /* VPCMPGTWrr */
-/* Table4002 */
-  0x130d, /* VPCMPGTDrm */
-  0x130e, /* VPCMPGTDrr */
-/* Table4004 */
-  0x11ed, /* VPACKUSWBrm */
-  0x11ee, /* VPACKUSWBrr */
-/* Table4006 */
-  0x16ff, /* VPUNPCKHBWrm */
-  0x1700, /* VPUNPCKHBWrr */
-/* Table4008 */
-  0x170f, /* VPUNPCKHWDrm */
-  0x1710, /* VPUNPCKHWDrr */
-/* Table4010 */
-  0x1705, /* VPUNPCKHDQrm */
-  0x1706, /* VPUNPCKHDQrr */
-/* Table4012 */
-  0x11e1, /* VPACKSSDWrm */
-  0x11e2, /* VPACKSSDWrr */
-/* Table4014 */
-  0x171f, /* VPUNPCKLQDQrm */
-  0x1720, /* VPUNPCKLQDQrr */
-/* Table4016 */
-  0x170b, /* VPUNPCKHQDQrm */
-  0x170c, /* VPUNPCKHQDQrr */
-/* Table4018 */
-  0xff5, /* VMOVDI2PDIrm */
-  0xff6, /* VMOVDI2PDIrr */
-/* Table4020 */
-  0x1042, /* VMOVDQArm */
-  0x1043, /* VMOVDQArr */
-/* Table4022 */
-  0x1625, /* VPSHUFDmi */
-  0x1626, /* VPSHUFDri */
-/* Table4024 */
   0x0, /*  */
   0x0, /*  */
+  0x63a, /* MONITORrrr */
+  0x730, /* MWAITrr */
+  0x171, /* CLAC */
+  0xae9, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x2e7, /* ENCLS */
+  0x2257, /* XGETBV */
+  0x228e, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
+  0x1399, /* VMFUNC */
+  0x2256, /* XEND */
+  0x2292, /* XTEST */
+  0x2e8, /* ENCLU */
+  0x15fe, /* VMRUN64 */
+  0x1405, /* VMMCALL */
+  0x1404, /* VMLOAD64 */
+  0x1600, /* VMSAVE64 */
+  0xaec, /* STGI */
+  0x176, /* CLGI */
+  0xacf, /* SKINIT */
+  0x3b0, /* INVLPGA64 */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
+  0xad6, /* SMSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x16bc, /* VPSRLWri */
   0x0, /*  */
-  0x168c, /* VPSRAWri */
   0x0, /*  */
-  0x1668, /* VPSLLWri */
   0x0, /*  */
-/* Table4040 */
   0x0, /*  */
   0x0, /*  */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0x4ef, /* LMSW16r */
+  0xb68, /* SWAPGS */
+  0x95b, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table3783 */
+  0x15fa, /* VMREAD64rm */
+  0x3a4, /* INSERTQI */
+/* Table3785 */
+  0x1665, /* VMWRITE64rm */
+  0x3a3, /* INSERTQ */
+/* Table3787 */
+  0x32d, /* FXSAVE */
+  0x32b, /* FXRSTOR */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2286, /* XSAVE */
+  0x2282, /* XRSTOR */
+  0x228a, /* XSAVEOPT */
+  0x174, /* CLFLUSH */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x94e, /* RDFSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x950, /* RDGSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2232, /* WRFSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x2234, /* WRGSBASE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x4df, /* LFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x568, /* MFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xa62, /* SFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table3859 */
+  0x27c, /* CVTSI2SS64rm */
+  0x27d, /* CVTSI2SS64rr */
+/* Table3861 */
+  0x28e, /* CVTTSS2SI64rm */
+  0x28f, /* CVTTSS2SI64rr */
+/* Table3863 */
+  0x282, /* CVTSS2SI64rm */
+  0x283, /* CVTSS2SI64rr */
+/* Table3865 */
+  0x32e, /* FXSAVE64 */
+  0x32c, /* FXRSTOR64 */
+  0x4c2, /* LDMXCSR */
+  0xaee, /* STMXCSR */
+  0x2287, /* XSAVE64 */
+  0x2283, /* XRSTOR64 */
+  0x228b, /* XSAVEOPT64 */
+  0x174, /* CLFLUSH */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x94f, /* RDFSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x951, /* RDGSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2233, /* WRFSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x2235, /* WRGSBASE64 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x4df, /* LFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x568, /* MFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xa62, /* SFENCE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table3937 */
+  0x88a, /* POPCNT64rm */
+  0x88b, /* POPCNT64rr */
+/* Table3939 */
+  0xbae, /* TZCNT64rm */
+  0xbaf, /* TZCNT64rr */
+/* Table3941 */
+  0x550, /* LZCNT64rm */
+  0x551, /* LZCNT64rr */
+/* Table3943 */
+  0x0, /*  */
+  0x244, /* CMPXCHG16B */
+  0x0, /*  */
+  0x2285, /* XRSTORS64 */
+  0x2289, /* XSAVEC64 */
+  0x228d, /* XSAVES64 */
+  0x1668, /* VMXON */
+  0x15f7, /* VMPTRSTm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x956, /* RDRAND64r */
+  0x959, /* RDSEED64r */
+/* Table3959 */
+  0x278, /* CVTSI2SD64rm */
+  0x279, /* CVTSI2SD64rr */
+/* Table3961 */
+  0x28a, /* CVTTSD2SI64rm */
+  0x28b, /* CVTTSD2SI64rr */
+/* Table3963 */
+  0x272, /* CVTSD2SI64rm */
+  0x273, /* CVTSD2SI64rr */
+/* Table3965 */
+  0x679, /* MOV64toPQIrm */
+  0x67a, /* MOV64toPQIrr */
+/* Table3967 */
+  0x6c2, /* MOVPQIto64rm */
+  0x6c3, /* MOVPQIto64rr */
+/* Table3969 */
+  0x15e9, /* VMOVUPSrm */
+  0x15ea, /* VMOVUPSrr */
+/* Table3971 */
+  0x15e8, /* VMOVUPSmr */
+  0x15eb, /* VMOVUPSrr_REV */
+/* Table3973 */
+  0x154d, /* VMOVLPSrm */
+  0x1543, /* VMOVHLPSrr */
+/* Table3975 */
+  0x154c, /* VMOVLPSmr */
+  0x0, /*  */
+/* Table3977 */
+  0x221f, /* VUNPCKLPSrm */
+  0x2220, /* VUNPCKLPSrr */
+/* Table3979 */
+  0x2213, /* VUNPCKHPSrm */
+  0x2214, /* VUNPCKHPSrr */
+/* Table3981 */
+  0x1547, /* VMOVHPSrm */
+  0x1549, /* VMOVLHPSrr */
+/* Table3983 */
+  0x1546, /* VMOVHPSmr */
+  0x0, /*  */
+/* Table3985 */
+  0x145b, /* VMOVAPSrm */
+  0x145c, /* VMOVAPSrr */
+/* Table3987 */
+  0x145a, /* VMOVAPSmr */
+  0x145d, /* VMOVAPSrr_REV */
+/* Table3989 */
+  0x1565, /* VMOVNTPSmr */
+  0x0, /*  */
+/* Table3991 */
+  0x2207, /* VUCOMISSrm */
+  0x2208, /* VUCOMISSrr */
+/* Table3993 */
+  0xcf7, /* VCOMISSrm */
+  0xcf8, /* VCOMISSrr */
+/* Table3995 */
+  0x0, /*  */
+  0x496, /* KNOTWrr */
+/* Table3997 */
+  0x0, /*  */
+  0x1551, /* VMOVMSKPSrr */
+/* Table3999 */
+  0x2186, /* VSQRTPSm */
+  0x2187, /* VSQRTPSr */
+/* Table4001 */
+  0x212b, /* VRSQRTPSm */
+  0x212d, /* VRSQRTPSr */
+/* Table4003 */
+  0x2098, /* VRCPPSm */
+  0x209a, /* VRCPPSr */
+/* Table4005 */
+  0xc59, /* VANDPSrm */
+  0xc5a, /* VANDPSrr */
+/* Table4007 */
+  0xc51, /* VANDNPSrm */
+  0xc52, /* VANDNPSrr */
+/* Table4009 */
+  0x166f, /* VORPSrm */
+  0x1670, /* VORPSrr */
+/* Table4011 */
+  0x2227, /* VXORPSrm */
+  0x2228, /* VXORPSrr */
+/* Table4013 */
+  0xc0f, /* VADDPSrm */
+  0xc10, /* VADDPSrr */
+/* Table4015 */
+  0x1643, /* VMULPSrm */
+  0x1644, /* VMULPSrr */
+/* Table4017 */
+  0xd3a, /* VCVTPS2PDrm */
+  0xd3b, /* VCVTPS2PDrr */
+/* Table4019 */
+  0xd16, /* VCVTDQ2PSrm */
+  0xd17, /* VCVTDQ2PSrr */
+/* Table4021 */
+  0x21d9, /* VSUBPSrm */
+  0x21da, /* VSUBPSrr */
+/* Table4023 */
+  0x13e2, /* VMINPSrm */
+  0x13e3, /* VMINPSrr */
+/* Table4025 */
+  0xdec, /* VDIVPSrm */
+  0xded, /* VDIVPSrr */
+/* Table4027 */
+  0x1377, /* VMAXPSrm */
+  0x1378, /* VMAXPSrr */
+/* Table4029 */
+  0x222a, /* VZEROUPPER */
+/* Table4030 */
+  0x48f, /* KMOVWkm */
+  0x48e, /* KMOVWkk */
+/* Table4032 */
+  0x491, /* KMOVWmk */
+  0x0, /*  */
+/* Table4034 */
   0x0, /*  */
+  0x490, /* KMOVWkr */
+/* Table4036 */
   0x0, /*  */
-  0x169c, /* VPSRLDri */
+  0x492, /* KMOVWrk */
+/* Table4038 */
   0x0, /*  */
-  0x1676, /* VPSRADri */
+  0x49d, /* KORTESTWrr */
+/* Table4040 */
   0x0, /*  */
-  0x1648, /* VPSLLDri */
   0x0, /*  */
-/* Table4056 */
+  0x1324, /* VLDMXCSR */
+  0x2196, /* VSTMXCSR */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -53863,524 +66537,311 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x16aa, /* VPSRLQri */
-  0x1690, /* VPSRLDQri */
   0x0, /*  */
   0x0, /*  */
-  0x1656, /* VPSLLQri */
-  0x163c, /* VPSLLDQri */
+/* Table4056 */
+  0xcdd, /* VCMPPSrmi */
+  0xcdf, /* VCMPPSrri */
+/* Table4058 */
+  0x2148, /* VSHUFPSrmi */
+  0x2149, /* VSHUFPSrri */
+/* Table4060 */
+  0x1597, /* VMOVSSrm */
+  0x1598, /* VMOVSSrr */
+/* Table4062 */
+  0x1596, /* VMOVSSmr */
+  0x1599, /* VMOVSSrr_REV */
+/* Table4064 */
+  0x158a, /* VMOVSLDUPrm */
+  0x158b, /* VMOVSLDUPrr */
+/* Table4066 */
+  0x1584, /* VMOVSHDUPrm */
+  0x1585, /* VMOVSHDUPrr */
+/* Table4068 */
+  0xd5f, /* VCVTSI2SSrm */
+  0xd60, /* VCVTSI2SSrr */
+/* Table4070 */
+  0xd97, /* VCVTTSS2SIrm */
+  0xd98, /* VCVTTSS2SIrr */
 /* Table4072 */
-  0x12a3, /* VPCMPEQBrm */
-  0x12a4, /* VPCMPEQBrr */
+  0xd6f, /* VCVTSS2SIrm */
+  0xd70, /* VCVTSS2SIrr */
 /* Table4074 */
-  0x12df, /* VPCMPEQWrm */
-  0x12e0, /* VPCMPEQWrr */
+  0x2193, /* VSQRTSSm */
+  0x2195, /* VSQRTSSr */
 /* Table4076 */
-  0x12b9, /* VPCMPEQDrm */
-  0x12ba, /* VPCMPEQDrr */
+  0x212f, /* VRSQRTSSm */
+  0x2131, /* VRSQRTSSr */
 /* Table4078 */
-  0xf00, /* VHADDPDrm */
-  0xf01, /* VHADDPDrr */
+  0x209c, /* VRCPSSm */
+  0x209e, /* VRCPSSr */
 /* Table4080 */
-  0xf08, /* VHSUBPDrm */
-  0xf09, /* VHSUBPDrr */
+  0xc2b, /* VADDSSrm */
+  0xc2d, /* VADDSSrr */
 /* Table4082 */
-  0x10f7, /* VMOVPDI2DImr */
-  0x10f8, /* VMOVPDI2DIrr */
+  0x165f, /* VMULSSrm */
+  0x1661, /* VMULSSrr */
 /* Table4084 */
-  0x1041, /* VMOVDQAmr */
-  0x1044, /* VMOVDQArr_REV */
+  0xd67, /* VCVTSS2SDrm */
+  0xd68, /* VCVTSS2SDrr */
 /* Table4086 */
-  0x46f, /* KMOVBkm */
-  0x46e, /* KMOVBkk */
+  0xd81, /* VCVTTPS2DQrm */
+  0xd82, /* VCVTTPS2DQrr */
 /* Table4088 */
-  0x471, /* KMOVBmk */
-  0x0, /*  */
+  0x21f5, /* VSUBSSrm */
+  0x21f7, /* VSUBSSrr */
 /* Table4090 */
-  0x0, /*  */
-  0x470, /* KMOVBkr */
+  0x13fe, /* VMINSSrm */
+  0x1400, /* VMINSSrr */
 /* Table4092 */
-  0x0, /*  */
-  0x472, /* KMOVBrk */
+  0xe08, /* VDIVSSrm */
+  0xe0a, /* VDIVSSrr */
 /* Table4094 */
-  0xc0a, /* VCMPPDrmi */
-  0xc0c, /* VCMPPDrri */
+  0x1393, /* VMAXSSrm */
+  0x1395, /* VMAXSSrr */
 /* Table4096 */
-  0x142c, /* VPINSRWrmi */
-  0x142d, /* VPINSRWrri */
+  0x153f, /* VMOVDQUrm */
+  0x1540, /* VMOVDQUrr */
 /* Table4098 */
-  0x0, /*  */
-  0x13e0, /* VPEXTRWri */
+  0x1e82, /* VPSHUFHWmi */
+  0x1e83, /* VPSHUFHWri */
 /* Table4100 */
-  0x179f, /* VSHUFPDrmi */
-  0x17a0, /* VSHUFPDrri */
+  0x1571, /* VMOVQI2PQIrm */
+  0x15ef, /* VMOVZPQILo2PQIrr */
 /* Table4102 */
-  0xbb2, /* VADDSUBPDrm */
-  0xbb3, /* VADDSUBPDrr */
+  0x153e, /* VMOVDQUmr */
+  0x1541, /* VMOVDQUrr_REV */
 /* Table4104 */
-  0x16bd, /* VPSRLWrm */
-  0x16be, /* VPSRLWrr */
+  0xced, /* VCMPSSrm */
+  0xcef, /* VCMPSSrr */
 /* Table4106 */
-  0x169d, /* VPSRLDrm */
-  0x169e, /* VPSRLDrr */
+  0xd0f, /* VCVTDQ2PDrm */
+  0xd10, /* VCVTDQ2PDrr */
 /* Table4108 */
-  0x16ab, /* VPSRLQrm */
-  0x16ac, /* VPSRLQrr */
+  0x1579, /* VMOVSDrm */
+  0x157a, /* VMOVSDrr */
 /* Table4110 */
-  0x120b, /* VPADDQrm */
-  0x120c, /* VPADDQrr */
+  0x1578, /* VMOVSDmr */
+  0x157b, /* VMOVSDrr_REV */
 /* Table4112 */
-  0x15c1, /* VPMULLWrm */
-  0x15c2, /* VPMULLWrr */
+  0x1462, /* VMOVDDUPrm */
+  0x1463, /* VMOVDDUPrr */
 /* Table4114 */
-  0x10f9, /* VMOVPQI2QImr */
-  0x10fa, /* VMOVPQI2QIrr */
+  0xd59, /* VCVTSI2SDrm */
+  0xd5a, /* VCVTSI2SDrr */
 /* Table4116 */
-  0x0, /*  */
-  0x14eb, /* VPMOVMSKBrr */
+  0xd8b, /* VCVTTSD2SIrm */
+  0xd8c, /* VCVTTSD2SIrr */
 /* Table4118 */
-  0x16e7, /* VPSUBUSBrm */
-  0x16e8, /* VPSUBUSBrr */
+  0xd4b, /* VCVTSD2SIrm */
+  0xd4c, /* VCVTSD2SIrr */
 /* Table4120 */
-  0x16eb, /* VPSUBUSWrm */
-  0x16ec, /* VPSUBUSWrr */
+  0x218c, /* VSQRTSDm */
+  0x218e, /* VSQRTSDr */
 /* Table4122 */
-  0x14c4, /* VPMINUBrm */
-  0x14c5, /* VPMINUBrr */
+  0xc1c, /* VADDSDrm */
+  0xc1e, /* VADDSDrr */
 /* Table4124 */
-  0x124f, /* VPANDrm */
-  0x1250, /* VPANDrr */
+  0x1650, /* VMULSDrm */
+  0x1652, /* VMULSDrr */
 /* Table4126 */
-  0x1217, /* VPADDUSBrm */
-  0x1218, /* VPADDUSBrr */
+  0xd4f, /* VCVTSD2SSrm */
+  0xd50, /* VCVTSD2SSrr */
 /* Table4128 */
-  0x121b, /* VPADDUSWrm */
-  0x121c, /* VPADDUSWrr */
+  0x21e6, /* VSUBSDrm */
+  0x21e8, /* VSUBSDrr */
 /* Table4130 */
-  0x1488, /* VPMAXUBrm */
-  0x1489, /* VPMAXUBrr */
+  0x13ef, /* VMINSDrm */
+  0x13f1, /* VMINSDrr */
 /* Table4132 */
-  0x1242, /* VPANDNrm */
-  0x1243, /* VPANDNrr */
+  0xdf9, /* VDIVSDrm */
+  0xdfb, /* VDIVSDrr */
 /* Table4134 */
-  0x1253, /* VPAVGBrm */
-  0x1254, /* VPAVGBrr */
+  0x1384, /* VMAXSDrm */
+  0x1386, /* VMAXSDrr */
 /* Table4136 */
-  0x168d, /* VPSRAWrm */
-  0x168e, /* VPSRAWrr */
+  0x1e86, /* VPSHUFLWmi */
+  0x1e87, /* VPSHUFLWri */
 /* Table4138 */
-  0x1677, /* VPSRADrm */
-  0x1678, /* VPSRADrr */
+  0x1300, /* VHADDPSrm */
+  0x1301, /* VHADDPSrr */
 /* Table4140 */
-  0x1257, /* VPAVGWrm */
-  0x1258, /* VPAVGWrr */
+  0x1308, /* VHSUBPSrm */
+  0x1309, /* VHSUBPSrr */
 /* Table4142 */
-  0x15ac, /* VPMULHUWrm */
-  0x15ad, /* VPMULHUWrr */
+  0x0, /*  */
+  0x486, /* KMOVDkr */
 /* Table4144 */
-  0x15b0, /* VPMULHWrm */
-  0x15b1, /* VPMULHWrr */
+  0x0, /*  */
+  0x488, /* KMOVDrk */
 /* Table4146 */
-  0xc9d, /* VCVTTPD2DQXrm */
-  0xca2, /* VCVTTPD2DQrr */
+  0xce5, /* VCMPSDrm */
+  0xce7, /* VCMPSDrr */
 /* Table4148 */
-  0x10ea, /* VMOVNTDQmr */
-  0x0, /*  */
+  0xc35, /* VADDSUBPSrm */
+  0xc36, /* VADDSUBPSrr */
 /* Table4150 */
-  0x16df, /* VPSUBSBrm */
-  0x16e0, /* VPSUBSBrr */
+  0xd18, /* VCVTPD2DQXrm */
+  0xd1e, /* VCVTPD2DQrr */
 /* Table4152 */
-  0x16e3, /* VPSUBSWrm */
-  0x16e4, /* VPSUBSWrr */
+  0x1323, /* VLDDQUrm */
+  0x0, /*  */
 /* Table4154 */
-  0x14c0, /* VPMINSWrm */
-  0x14c1, /* VPMINSWrr */
+  0x15c0, /* VMOVUPDrm */
+  0x15c1, /* VMOVUPDrr */
 /* Table4156 */
-  0x15e4, /* VPORrm */
-  0x15e5, /* VPORrr */
+  0x15bf, /* VMOVUPDmr */
+  0x15c2, /* VMOVUPDrr_REV */
 /* Table4158 */
-  0x120f, /* VPADDSBrm */
-  0x1210, /* VPADDSBrr */
+  0x154b, /* VMOVLPDrm */
+  0x0, /*  */
 /* Table4160 */
-  0x1213, /* VPADDSWrm */
-  0x1214, /* VPADDSWrr */
+  0x154a, /* VMOVLPDmr */
+  0x0, /*  */
 /* Table4162 */
-  0x1484, /* VPMAXSWrm */
-  0x1485, /* VPMAXSWrr */
+  0x2219, /* VUNPCKLPDrm */
+  0x221a, /* VUNPCKLPDrr */
 /* Table4164 */
-  0x1739, /* VPXORrm */
-  0x173a, /* VPXORrr */
+  0x220d, /* VUNPCKHPDrm */
+  0x220e, /* VUNPCKHPDrr */
 /* Table4166 */
-  0x1669, /* VPSLLWrm */
-  0x166a, /* VPSLLWrr */
+  0x1545, /* VMOVHPDrm */
+  0x0, /*  */
 /* Table4168 */
-  0x1649, /* VPSLLDrm */
-  0x164a, /* VPSLLDrr */
+  0x1544, /* VMOVHPDmr */
+  0x0, /*  */
 /* Table4170 */
-  0x1657, /* VPSLLQrm */
-  0x1658, /* VPSLLQrr */
+  0x1432, /* VMOVAPDrm */
+  0x1433, /* VMOVAPDrr */
 /* Table4172 */
-  0x15ce, /* VPMULUDQrm */
-  0x15cf, /* VPMULUDQrr */
+  0x1431, /* VMOVAPDmr */
+  0x1434, /* VMOVAPDrr_REV */
 /* Table4174 */
-  0x145e, /* VPMADDWDrm */
-  0x145f, /* VPMADDWDrr */
+  0x1560, /* VMOVNTPDmr */
+  0x0, /*  */
 /* Table4176 */
-  0x15ff, /* VPSADBWrm */
-  0x1600, /* VPSADBWrr */
+  0x2203, /* VUCOMISDrm */
+  0x2204, /* VUCOMISDrr */
 /* Table4178 */
-  0x0, /*  */
-  0xf21, /* VMASKMOVDQU */
+  0xcf3, /* VCOMISDrm */
+  0xcf4, /* VCOMISDrr */
 /* Table4180 */
-  0x16c1, /* VPSUBBrm */
-  0x16c2, /* VPSUBBrr */
+  0x0, /*  */
+  0x493, /* KNOTBrr */
 /* Table4182 */
-  0x16ef, /* VPSUBWrm */
-  0x16f0, /* VPSUBWrr */
+  0x0, /*  */
+  0x154f, /* VMOVMSKPDrr */
 /* Table4184 */
-  0x16ce, /* VPSUBDrm */
-  0x16cf, /* VPSUBDrr */
+  0x2167, /* VSQRTPDm */
+  0x2168, /* VSQRTPDr */
 /* Table4186 */
-  0x16db, /* VPSUBQrm */
-  0x16dc, /* VPSUBQrr */
+  0xc55, /* VANDPDrm */
+  0xc56, /* VANDPDrr */
 /* Table4188 */
-  0x11f1, /* VPADDBrm */
-  0x11f2, /* VPADDBrr */
+  0xc4d, /* VANDNPDrm */
+  0xc4e, /* VANDNPDrr */
 /* Table4190 */
-  0x121f, /* VPADDWrm */
-  0x1220, /* VPADDWrr */
+  0x166b, /* VORPDrm */
+  0x166c, /* VORPDrr */
 /* Table4192 */
-  0x11fe, /* VPADDDrm */
-  0x11ff, /* VPADDDrr */
+  0x2223, /* VXORPDrm */
+  0x2224, /* VXORPDrr */
 /* Table4194 */
-  0x0, /*  */
-  0x484, /* KNOTQrr */
+  0xbed, /* VADDPDrm */
+  0xbee, /* VADDPDrr */
 /* Table4196 */
-  0x479, /* KMOVQkm */
-  0x478, /* KMOVQkk */
+  0x1621, /* VMULPDrm */
+  0x1622, /* VMULPDrr */
 /* Table4198 */
-  0x47b, /* KMOVQmk */
-  0x0, /*  */
+  0xd1f, /* VCVTPD2PSXrm */
+  0xd25, /* VCVTPD2PSrr */
 /* Table4200 */
-  0xc83, /* VCVTSI2SS64rm */
-  0xc84, /* VCVTSI2SS64rr */
+  0xd34, /* VCVTPS2DQrm */
+  0xd35, /* VCVTPS2DQrr */
 /* Table4202 */
-  0xcbb, /* VCVTTSS2SI64rm */
-  0xcbc, /* VCVTTSS2SI64rr */
+  0x21b7, /* VSUBPDrm */
+  0x21b8, /* VSUBPDrr */
 /* Table4204 */
-  0xc93, /* VCVTSS2SI64rm */
-  0xc94, /* VCVTSS2SI64rr */
+  0x13c3, /* VMINPDrm */
+  0x13c4, /* VMINPDrr */
 /* Table4206 */
-  0xc7d, /* VCVTSI2SD64rm */
-  0xc7e, /* VCVTSI2SD64rr */
+  0xdca, /* VDIVPDrm */
+  0xdcb, /* VDIVPDrr */
 /* Table4208 */
-  0xcaf, /* VCVTTSD2SI64rm */
-  0xcb0, /* VCVTTSD2SI64rr */
+  0x1358, /* VMAXPDrm */
+  0x1359, /* VMAXPDrr */
 /* Table4210 */
-  0xc6f, /* VCVTSD2SI64rm */
-  0xc70, /* VCVTSD2SI64rr */
+  0x1fe4, /* VPUNPCKLBWrm */
+  0x1fe5, /* VPUNPCKLBWrr */
 /* Table4212 */
-  0x0, /*  */
-  0x47a, /* KMOVQkr */
+  0x1ff4, /* VPUNPCKLWDrm */
+  0x1ff5, /* VPUNPCKLWDrr */
 /* Table4214 */
-  0x0, /*  */
-  0x47c, /* KMOVQrk */
+  0x1fea, /* VPUNPCKLDQrm */
+  0x1feb, /* VPUNPCKLDQrr */
 /* Table4216 */
-  0x0, /*  */
-  0x483, /* KNOTDrr */
+  0x1695, /* VPACKSSWBrm */
+  0x1696, /* VPACKSSWBrr */
 /* Table4218 */
-  0xff5, /* VMOVDI2PDIrm */
-  0xf97, /* VMOV64toPQIrr */
+  0x18e1, /* VPCMPGTBrm */
+  0x18e2, /* VPCMPGTBrr */
 /* Table4220 */
-  0x10f7, /* VMOVPDI2DImr */
-  0x10fd, /* VMOVPQIto64rr */
+  0x191d, /* VPCMPGTWrm */
+  0x191e, /* VPCMPGTWrr */
 /* Table4222 */
-  0x474, /* KMOVDkm */
-  0x473, /* KMOVDkk */
+  0x18f7, /* VPCMPGTDrm */
+  0x18f8, /* VPCMPGTDrr */
 /* Table4224 */
-  0x476, /* KMOVDmk */
-  0x0, /*  */
+  0x169d, /* VPACKUSWBrm */
+  0x169e, /* VPACKUSWBrr */
 /* Table4226 */
-  0x1150, /* VMOVUPSYrm */
-  0x1151, /* VMOVUPSYrr */
+  0x1fd0, /* VPUNPCKHBWrm */
+  0x1fd1, /* VPUNPCKHBWrr */
 /* Table4228 */
-  0x114f, /* VMOVUPSYmr */
-  0x1152, /* VMOVUPSYrr_REV */
+  0x1fe0, /* VPUNPCKHWDrm */
+  0x1fe1, /* VPUNPCKHWDrr */
 /* Table4230 */
-  0x180a, /* VUNPCKLPSYrm */
-  0x180b, /* VUNPCKLPSYrr */
+  0x1fd6, /* VPUNPCKHDQrm */
+  0x1fd7, /* VPUNPCKHDQrr */
 /* Table4232 */
-  0x17fe, /* VUNPCKHPSYrm */
-  0x17ff, /* VUNPCKHPSYrr */
+  0x1691, /* VPACKSSDWrm */
+  0x1692, /* VPACKSSDWrr */
 /* Table4234 */
-  0xfc5, /* VMOVAPSYrm */
-  0xfc6, /* VMOVAPSYrr */
+  0x1ff0, /* VPUNPCKLQDQrm */
+  0x1ff1, /* VPUNPCKLQDQrr */
 /* Table4236 */
-  0xfc4, /* VMOVAPSYmr */
-  0xfc7, /* VMOVAPSYrr_REV */
+  0x1fdc, /* VPUNPCKHQDQrm */
+  0x1fdd, /* VPUNPCKHQDQrr */
 /* Table4238 */
-  0x10f0, /* VMOVNTPSYmr */
-  0x0, /*  */
+  0x1466, /* VMOVDI2PDIrm */
+  0x1467, /* VMOVDI2PDIrr */
 /* Table4240 */
-  0x0, /*  */
-  0x46d, /* KANDWrr */
+  0x14b3, /* VMOVDQArm */
+  0x14b4, /* VMOVDQArr */
 /* Table4242 */
-  0x0, /*  */
-  0x46b, /* KANDNWrr */
+  0x1e7e, /* VPSHUFDmi */
+  0x1e7f, /* VPSHUFDri */
 /* Table4244 */
   0x0, /*  */
-  0x48a, /* KORWrr */
-/* Table4246 */
   0x0, /*  */
-  0x495, /* KXNORWrr */
-/* Table4248 */
   0x0, /*  */
-  0x499, /* KXORWrr */
-/* Table4250 */
   0x0, /*  */
-  0x10df, /* VMOVMSKPSYrr */
-/* Table4252 */
-  0x17ad, /* VSQRTPSYm */
-  0x17ae, /* VSQRTPSYr */
-/* Table4254 */
-  0x1784, /* VRSQRTPSYm */
-  0x1786, /* VRSQRTPSYr */
-/* Table4256 */
-  0x174f, /* VRCPPSYm */
-  0x1751, /* VRCPPSYr */
-/* Table4258 */
-  0xbd8, /* VANDPSYrm */
-  0xbd9, /* VANDPSYrr */
-/* Table4260 */
-  0xbd0, /* VANDNPSYrm */
-  0xbd1, /* VANDNPSYrr */
-/* Table4262 */
-  0x11bd, /* VORPSYrm */
-  0x11be, /* VORPSYrr */
-/* Table4264 */
-  0x1814, /* VXORPSYrm */
-  0x1815, /* VXORPSYrr */
-/* Table4266 */
-  0xb97, /* VADDPSYrm */
-  0xb98, /* VADDPSYrr */
-/* Table4268 */
-  0x119a, /* VMULPSYrm */
-  0x119b, /* VMULPSYrr */
-/* Table4270 */
-  0xc5e, /* VCVTPS2PDYrm */
-  0xc5f, /* VCVTPS2PDYrr */
-/* Table4272 */
-  0xc39, /* VCVTDQ2PSYrm */
-  0xc3a, /* VCVTDQ2PSYrr */
-/* Table4274 */
-  0x17cf, /* VSUBPSYrm */
-  0x17d0, /* VSUBPSYrr */
-/* Table4276 */
-  0xf79, /* VMINPSYrm */
-  0xf7a, /* VMINPSYrr */
-/* Table4278 */
-  0xcdf, /* VDIVPSYrm */
-  0xce0, /* VDIVPSYrr */
-/* Table4280 */
-  0xf44, /* VMAXPSYrm */
-  0xf45, /* VMAXPSYrr */
-/* Table4282 */
-  0x1818, /* VZEROALL */
-/* Table4283 */
-  0xc0e, /* VCMPPSYrmi */
-  0xc10, /* VCMPPSYrri */
-/* Table4285 */
-  0x17a1, /* VSHUFPSYrmi */
-  0x17a2, /* VSHUFPSYrri */
-/* Table4287 */
-  0x1113, /* VMOVSLDUPYrm */
-  0x1114, /* VMOVSLDUPYrr */
-/* Table4289 */
-  0x110d, /* VMOVSHDUPYrm */
-  0x110e, /* VMOVSHDUPYrr */
-/* Table4291 */
-  0xca5, /* VCVTTPS2DQYrm */
-  0xca6, /* VCVTTPS2DQYrr */
-/* Table4293 */
-  0x10ca, /* VMOVDQUYrm */
-  0x10cb, /* VMOVDQUYrr */
-/* Table4295 */
-  0x1627, /* VPSHUFHWYmi */
-  0x1628, /* VPSHUFHWYri */
-/* Table4297 */
-  0x10c9, /* VMOVDQUYmr */
-  0x10cc, /* VMOVDQUYrr_REV */
-/* Table4299 */
-  0xc33, /* VCVTDQ2PDYrm */
-  0xc34, /* VCVTDQ2PDYrr */
-/* Table4301 */
-  0xfed, /* VMOVDDUPYrm */
-  0xfee, /* VMOVDDUPYrr */
-/* Table4303 */
-  0x162b, /* VPSHUFLWYmi */
-  0x162c, /* VPSHUFLWYri */
-/* Table4305 */
-  0xf02, /* VHADDPSYrm */
-  0xf03, /* VHADDPSYrr */
-/* Table4307 */
-  0xf0a, /* VHSUBPSYrm */
-  0xf0b, /* VHSUBPSYrr */
-/* Table4309 */
-  0xbb4, /* VADDSUBPSYrm */
-  0xbb5, /* VADDSUBPSYrr */
-/* Table4311 */
-  0xc41, /* VCVTPD2DQYrm */
-  0xc42, /* VCVTPD2DQYrr */
-/* Table4313 */
-  0xf1e, /* VLDDQUYrm */
-  0x0, /*  */
-/* Table4315 */
-  0x1127, /* VMOVUPDYrm */
-  0x1128, /* VMOVUPDYrr */
-/* Table4317 */
-  0x1126, /* VMOVUPDYmr */
-  0x1129, /* VMOVUPDYrr_REV */
-/* Table4319 */
-  0x1804, /* VUNPCKLPDYrm */
-  0x1805, /* VUNPCKLPDYrr */
-/* Table4321 */
-  0x17f8, /* VUNPCKHPDYrm */
-  0x17f9, /* VUNPCKHPDYrr */
-/* Table4323 */
-  0xf9c, /* VMOVAPDYrm */
-  0xf9d, /* VMOVAPDYrr */
-/* Table4325 */
-  0xf9b, /* VMOVAPDYmr */
-  0xf9e, /* VMOVAPDYrr_REV */
-/* Table4327 */
-  0x10eb, /* VMOVNTPDYmr */
-  0x0, /*  */
-/* Table4329 */
-  0x0, /*  */
-  0x466, /* KANDBrr */
-/* Table4331 */
-  0x0, /*  */
-  0x468, /* KANDNBrr */
-/* Table4333 */
-  0x0, /*  */
-  0x486, /* KORBrr */
-/* Table4335 */
-  0x0, /*  */
-  0x492, /* KXNORBrr */
-/* Table4337 */
-  0x0, /*  */
-  0x496, /* KXORBrr */
-/* Table4339 */
-  0x0, /*  */
-  0x491, /* KUNPCKBWrr */
-/* Table4341 */
-  0x0, /*  */
-  0x10dd, /* VMOVMSKPDYrr */
-/* Table4343 */
-  0x17a7, /* VSQRTPDYm */
-  0x17a8, /* VSQRTPDYr */
-/* Table4345 */
-  0xbd4, /* VANDPDYrm */
-  0xbd5, /* VANDPDYrr */
-/* Table4347 */
-  0xbcc, /* VANDNPDYrm */
-  0xbcd, /* VANDNPDYrr */
-/* Table4349 */
-  0x11b9, /* VORPDYrm */
-  0x11ba, /* VORPDYrr */
-/* Table4351 */
-  0x1810, /* VXORPDYrm */
-  0x1811, /* VXORPDYrr */
-/* Table4353 */
-  0xb8a, /* VADDPDYrm */
-  0xb8b, /* VADDPDYrr */
-/* Table4355 */
-  0x118d, /* VMULPDYrm */
-  0x118e, /* VMULPDYrr */
-/* Table4357 */
-  0xc48, /* VCVTPD2PSYrm */
-  0xc49, /* VCVTPD2PSYrr */
-/* Table4359 */
-  0xc57, /* VCVTPS2DQYrm */
-  0xc58, /* VCVTPS2DQYrr */
-/* Table4361 */
-  0x17c2, /* VSUBPDYrm */
-  0x17c3, /* VSUBPDYrr */
-/* Table4363 */
-  0xf6c, /* VMINPDYrm */
-  0xf6d, /* VMINPDYrr */
-/* Table4365 */
-  0xcd2, /* VDIVPDYrm */
-  0xcd3, /* VDIVPDYrr */
-/* Table4367 */
-  0xf37, /* VMAXPDYrm */
-  0xf38, /* VMAXPDYrr */
-/* Table4369 */
-  0x1711, /* VPUNPCKLBWYrm */
-  0x1712, /* VPUNPCKLBWYrr */
-/* Table4371 */
-  0x1721, /* VPUNPCKLWDYrm */
-  0x1722, /* VPUNPCKLWDYrr */
-/* Table4373 */
-  0x1715, /* VPUNPCKLDQYrm */
-  0x1716, /* VPUNPCKLDQYrr */
-/* Table4375 */
-  0x11e3, /* VPACKSSWBYrm */
-  0x11e4, /* VPACKSSWBYrr */
-/* Table4377 */
-  0x12e9, /* VPCMPGTBYrm */
-  0x12ea, /* VPCMPGTBYrr */
-/* Table4379 */
-  0x1325, /* VPCMPGTWYrm */
-  0x1326, /* VPCMPGTWYrr */
-/* Table4381 */
-  0x12f9, /* VPCMPGTDYrm */
-  0x12fa, /* VPCMPGTDYrr */
-/* Table4383 */
-  0x11eb, /* VPACKUSWBYrm */
-  0x11ec, /* VPACKUSWBYrr */
-/* Table4385 */
-  0x16fd, /* VPUNPCKHBWYrm */
-  0x16fe, /* VPUNPCKHBWYrr */
-/* Table4387 */
-  0x170d, /* VPUNPCKHWDYrm */
-  0x170e, /* VPUNPCKHWDYrr */
-/* Table4389 */
-  0x1701, /* VPUNPCKHDQYrm */
-  0x1702, /* VPUNPCKHDQYrr */
-/* Table4391 */
-  0x11df, /* VPACKSSDWYrm */
-  0x11e0, /* VPACKSSDWYrr */
-/* Table4393 */
-  0x171b, /* VPUNPCKLQDQYrm */
-  0x171c, /* VPUNPCKLQDQYrr */
-/* Table4395 */
-  0x1707, /* VPUNPCKHQDQYrm */
-  0x1708, /* VPUNPCKHQDQYrr */
-/* Table4397 */
-  0x103e, /* VMOVDQAYrm */
-  0x103f, /* VMOVDQAYrr */
-/* Table4399 */
-  0x1621, /* VPSHUFDYmi */
-  0x1622, /* VPSHUFDYri */
-/* Table4401 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1f45, /* VPSRLWri */
+  0x0, /*  */
+  0x1f05, /* VPSRAWri */
   0x0, /*  */
+  0x1ed1, /* VPSLLWri */
+  0x0, /*  */
+/* Table4260 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x16b9, /* VPSRLWYri */
-  0x0, /*  */
-  0x1689, /* VPSRAWYri */
-  0x0, /*  */
-  0x1665, /* VPSLLWYri */
-  0x0, /*  */
-/* Table4417 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -54388,16 +66849,13 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1f19, /* VPSRLDri */
   0x0, /*  */
+  0x1ee3, /* VPSRADri */
   0x0, /*  */
+  0x1ea5, /* VPSLLDri */
   0x0, /*  */
-  0x1691, /* VPSRLDYri */
-  0x0, /*  */
-  0x166b, /* VPSRADYri */
-  0x0, /*  */
-  0x163d, /* VPSLLDYri */
-  0x0, /*  */
-/* Table4433 */
+/* Table4276 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -54408,3533 +66866,3775 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x169f, /* VPSRLQYri */
-  0x168f, /* VPSRLDQYri */
-  0x0, /*  */
-  0x0, /*  */
-  0x164b, /* VPSLLQYri */
-  0x163b, /* VPSLLDQYri */
-/* Table4449 */
-  0x1295, /* VPCMPEQBYrm */
-  0x1296, /* VPCMPEQBYrr */
-/* Table4451 */
-  0x12d1, /* VPCMPEQWYrm */
-  0x12d2, /* VPCMPEQWYrr */
-/* Table4453 */
-  0x12a5, /* VPCMPEQDYrm */
-  0x12a6, /* VPCMPEQDYrr */
-/* Table4455 */
-  0xefe, /* VHADDPDYrm */
-  0xeff, /* VHADDPDYrr */
-/* Table4457 */
-  0xf06, /* VHSUBPDYrm */
-  0xf07, /* VHSUBPDYrr */
-/* Table4459 */
-  0x103d, /* VMOVDQAYmr */
-  0x1040, /* VMOVDQAYrr_REV */
-/* Table4461 */
-  0xc01, /* VCMPPDYrmi */
-  0xc03, /* VCMPPDYrri */
-/* Table4463 */
-  0x179b, /* VSHUFPDYrmi */
-  0x179c, /* VSHUFPDYrri */
-/* Table4465 */
-  0xbb0, /* VADDSUBPDYrm */
-  0xbb1, /* VADDSUBPDYrr */
-/* Table4467 */
-  0x16ba, /* VPSRLWYrm */
-  0x16bb, /* VPSRLWYrr */
-/* Table4469 */
-  0x1692, /* VPSRLDYrm */
-  0x1693, /* VPSRLDYrr */
-/* Table4471 */
-  0x16a0, /* VPSRLQYrm */
-  0x16a1, /* VPSRLQYrr */
-/* Table4473 */
-  0x1200, /* VPADDQYrm */
-  0x1201, /* VPADDQYrr */
-/* Table4475 */
-  0x15bf, /* VPMULLWYrm */
-  0x15c0, /* VPMULLWYrr */
-/* Table4477 */
-  0x0, /*  */
-  0x14ea, /* VPMOVMSKBYrr */
-/* Table4479 */
-  0x16e5, /* VPSUBUSBYrm */
-  0x16e6, /* VPSUBUSBYrr */
-/* Table4481 */
-  0x16e9, /* VPSUBUSWYrm */
-  0x16ea, /* VPSUBUSWYrr */
-/* Table4483 */
-  0x14c2, /* VPMINUBYrm */
-  0x14c3, /* VPMINUBYrr */
-/* Table4485 */
-  0x124d, /* VPANDYrm */
-  0x124e, /* VPANDYrr */
-/* Table4487 */
-  0x1215, /* VPADDUSBYrm */
-  0x1216, /* VPADDUSBYrr */
-/* Table4489 */
-  0x1219, /* VPADDUSWYrm */
-  0x121a, /* VPADDUSWYrr */
-/* Table4491 */
-  0x1486, /* VPMAXUBYrm */
-  0x1487, /* VPMAXUBYrr */
-/* Table4493 */
-  0x1240, /* VPANDNYrm */
-  0x1241, /* VPANDNYrr */
-/* Table4495 */
-  0x1251, /* VPAVGBYrm */
-  0x1252, /* VPAVGBYrr */
-/* Table4497 */
-  0x168a, /* VPSRAWYrm */
-  0x168b, /* VPSRAWYrr */
-/* Table4499 */
-  0x166c, /* VPSRADYrm */
-  0x166d, /* VPSRADYrr */
-/* Table4501 */
-  0x1255, /* VPAVGWYrm */
-  0x1256, /* VPAVGWYrr */
-/* Table4503 */
-  0x15aa, /* VPMULHUWYrm */
-  0x15ab, /* VPMULHUWYrr */
-/* Table4505 */
-  0x15ae, /* VPMULHWYrm */
-  0x15af, /* VPMULHWYrr */
-/* Table4507 */
-  0xc9e, /* VCVTTPD2DQYrm */
-  0xc9f, /* VCVTTPD2DQYrr */
-/* Table4509 */
-  0x10e6, /* VMOVNTDQYmr */
+  0x1f2b, /* VPSRLQri */
+  0x1f09, /* VPSRLDQri */
   0x0, /*  */
+  0x0, /*  */
+  0x1eb7, /* VPSLLQri */
+  0x1e95, /* VPSLLDQri */
+/* Table4292 */
+  0x188d, /* VPCMPEQBrm */
+  0x188e, /* VPCMPEQBrr */
+/* Table4294 */
+  0x18c9, /* VPCMPEQWrm */
+  0x18ca, /* VPCMPEQWrr */
+/* Table4296 */
+  0x18a3, /* VPCMPEQDrm */
+  0x18a4, /* VPCMPEQDrr */
+/* Table4298 */
+  0x12fc, /* VHADDPDrm */
+  0x12fd, /* VHADDPDrr */
+/* Table4300 */
+  0x1304, /* VHSUBPDrm */
+  0x1305, /* VHSUBPDrr */
+/* Table4302 */
+  0x1568, /* VMOVPDI2DImr */
+  0x1569, /* VMOVPDI2DIrr */
+/* Table4304 */
+  0x14b2, /* VMOVDQAmr */
+  0x14b5, /* VMOVDQArr_REV */
+/* Table4306 */
+  0x480, /* KMOVBkm */
+  0x47f, /* KMOVBkk */
+/* Table4308 */
+  0x482, /* KMOVBmk */
+  0x0, /*  */
+/* Table4310 */
+  0x0, /*  */
+  0x481, /* KMOVBkr */
+/* Table4312 */
+  0x0, /*  */
+  0x483, /* KMOVBrk */
+/* Table4314 */
+  0x0, /*  */
+  0x49a, /* KORTESTBrr */
+/* Table4316 */
+  0xccf, /* VCMPPDrmi */
+  0xcd1, /* VCMPPDrri */
+/* Table4318 */
+  0x1af6, /* VPINSRWrmi */
+  0x1af7, /* VPINSRWrri */
+/* Table4320 */
+  0x0, /*  */
+  0x1aaa, /* VPEXTRWri */
+/* Table4322 */
+  0x2142, /* VSHUFPDrmi */
+  0x2143, /* VSHUFPDrri */
+/* Table4324 */
+  0xc31, /* VADDSUBPDrm */
+  0xc32, /* VADDSUBPDrr */
+/* Table4326 */
+  0x1f46, /* VPSRLWrm */
+  0x1f47, /* VPSRLWrr */
+/* Table4328 */
+  0x1f1a, /* VPSRLDrm */
+  0x1f1b, /* VPSRLDrr */
+/* Table4330 */
+  0x1f2c, /* VPSRLQrm */
+  0x1f2d, /* VPSRLQrr */
+/* Table4332 */
+  0x16f1, /* VPADDQrm */
+  0x16f2, /* VPADDQrr */
+/* Table4334 */
+  0x1df6, /* VPMULLWrm */
+  0x1df7, /* VPMULLWrr */
+/* Table4336 */
+  0x156a, /* VMOVPQI2QImr */
+  0x156b, /* VMOVPQI2QIrr */
+/* Table4338 */
+  0x0, /*  */
+  0x1ce1, /* VPMOVMSKBrr */
+/* Table4340 */
+  0x1fa6, /* VPSUBUSBrm */
+  0x1fa7, /* VPSUBUSBrr */
+/* Table4342 */
+  0x1faa, /* VPSUBUSWrm */
+  0x1fab, /* VPSUBUSWrr */
+/* Table4344 */
+  0x1c78, /* VPMINUBrm */
+  0x1c79, /* VPMINUBrr */
+/* Table4346 */
+  0x178f, /* VPANDrm */
+  0x1790, /* VPANDrr */
+/* Table4348 */
+  0x16fd, /* VPADDUSBrm */
+  0x16fe, /* VPADDUSBrr */
+/* Table4350 */
+  0x1701, /* VPADDUSWrm */
+  0x1702, /* VPADDUSWrr */
+/* Table4352 */
+  0x1bac, /* VPMAXUBrm */
+  0x1bad, /* VPMAXUBrr */
+/* Table4354 */
+  0x1770, /* VPANDNrm */
+  0x1771, /* VPANDNrr */
+/* Table4356 */
+  0x1793, /* VPAVGBrm */
+  0x1794, /* VPAVGBrr */
+/* Table4358 */
+  0x1f06, /* VPSRAWrm */
+  0x1f07, /* VPSRAWrr */
+/* Table4360 */
+  0x1ee4, /* VPSRADrm */
+  0x1ee5, /* VPSRADrr */
+/* Table4362 */
+  0x1797, /* VPAVGWrm */
+  0x1798, /* VPAVGWrr */
+/* Table4364 */
+  0x1da2, /* VPMULHUWrm */
+  0x1da3, /* VPMULHUWrr */
+/* Table4366 */
+  0x1da6, /* VPMULHWrm */
+  0x1da7, /* VPMULHWrr */
+/* Table4368 */
+  0xd75, /* VCVTTPD2DQXrm */
+  0xd7a, /* VCVTTPD2DQrr */
+/* Table4370 */
+  0x155b, /* VMOVNTDQmr */
+  0x0, /*  */
+/* Table4372 */
+  0x1f9e, /* VPSUBSBrm */
+  0x1f9f, /* VPSUBSBrr */
+/* Table4374 */
+  0x1fa2, /* VPSUBSWrm */
+  0x1fa3, /* VPSUBSWrr */
+/* Table4376 */
+  0x1c62, /* VPMINSWrm */
+  0x1c63, /* VPMINSWrr */
+/* Table4378 */
+  0x1e3d, /* VPORrm */
+  0x1e3e, /* VPORrr */
+/* Table4380 */
+  0x16f5, /* VPADDSBrm */
+  0x16f6, /* VPADDSBrr */
+/* Table4382 */
+  0x16f9, /* VPADDSWrm */
+  0x16fa, /* VPADDSWrr */
+/* Table4384 */
+  0x1b96, /* VPMAXSWrm */
+  0x1b97, /* VPMAXSWrr */
+/* Table4386 */
+  0x202e, /* VPXORrm */
+  0x202f, /* VPXORrr */
+/* Table4388 */
+  0x1ed2, /* VPSLLWrm */
+  0x1ed3, /* VPSLLWrr */
+/* Table4390 */
+  0x1ea6, /* VPSLLDrm */
+  0x1ea7, /* VPSLLDrr */
+/* Table4392 */
+  0x1eb8, /* VPSLLQrm */
+  0x1eb9, /* VPSLLQrr */
+/* Table4394 */
+  0x1e03, /* VPMULUDQrm */
+  0x1e04, /* VPMULUDQrr */
+/* Table4396 */
+  0x1b28, /* VPMADDWDrm */
+  0x1b29, /* VPMADDWDrr */
+/* Table4398 */
+  0x1e58, /* VPSADBWrm */
+  0x1e59, /* VPSADBWrr */
+/* Table4400 */
+  0x0, /*  */
+  0x1325, /* VMASKMOVDQU */
+/* Table4402 */
+  0x1f5c, /* VPSUBBrm */
+  0x1f5d, /* VPSUBBrr */
+/* Table4404 */
+  0x1fc0, /* VPSUBWrm */
+  0x1fc1, /* VPSUBWrr */
+/* Table4406 */
+  0x1f7b, /* VPSUBDrm */
+  0x1f7c, /* VPSUBDrr */
+/* Table4408 */
+  0x1f9a, /* VPSUBQrm */
+  0x1f9b, /* VPSUBQrr */
+/* Table4410 */
+  0x16b3, /* VPADDBrm */
+  0x16b4, /* VPADDBrr */
+/* Table4412 */
+  0x1717, /* VPADDWrm */
+  0x1718, /* VPADDWrr */
+/* Table4414 */
+  0x16d2, /* VPADDDrm */
+  0x16d3, /* VPADDDrr */
+/* Table4416 */
+  0x0, /*  */
+  0x495, /* KNOTQrr */
+/* Table4418 */
+  0x48a, /* KMOVQkm */
+  0x489, /* KMOVQkk */
+/* Table4420 */
+  0x48c, /* KMOVQmk */
+  0x0, /*  */
+/* Table4422 */
+  0x0, /*  */
+  0x49c, /* KORTESTQrr */
+/* Table4424 */
+  0xd5b, /* VCVTSI2SS64rm */
+  0xd5c, /* VCVTSI2SS64rr */
+/* Table4426 */
+  0xd93, /* VCVTTSS2SI64rm */
+  0xd94, /* VCVTTSS2SI64rr */
+/* Table4428 */
+  0xd6b, /* VCVTSS2SI64rm */
+  0xd6c, /* VCVTSS2SI64rr */
+/* Table4430 */
+  0xd55, /* VCVTSI2SD64rm */
+  0xd56, /* VCVTSI2SD64rr */
+/* Table4432 */
+  0xd87, /* VCVTTSD2SI64rm */
+  0xd88, /* VCVTTSD2SI64rr */
+/* Table4434 */
+  0xd47, /* VCVTSD2SI64rm */
+  0xd48, /* VCVTSD2SI64rr */
+/* Table4436 */
+  0x0, /*  */
+  0x48b, /* KMOVQkr */
+/* Table4438 */
+  0x0, /*  */
+  0x48d, /* KMOVQrk */
+/* Table4440 */
+  0x0, /*  */
+  0x494, /* KNOTDrr */
+/* Table4442 */
+  0x1407, /* VMOV64toPQIrm */
+  0x1408, /* VMOV64toPQIrr */
+/* Table4444 */
+  0x156e, /* VMOVPQIto64rm */
+  0x156f, /* VMOVPQIto64rr */
+/* Table4446 */
+  0x485, /* KMOVDkm */
+  0x484, /* KMOVDkk */
+/* Table4448 */
+  0x487, /* KMOVDmk */
+  0x0, /*  */
+/* Table4450 */
+  0x0, /*  */
+  0x49b, /* KORTESTDrr */
+/* Table4452 */
+  0x15c4, /* VMOVUPSYrm */
+  0x15c5, /* VMOVUPSYrr */
+/* Table4454 */
+  0x15c3, /* VMOVUPSYmr */
+  0x15c6, /* VMOVUPSYrr_REV */
+/* Table4456 */
+  0x221b, /* VUNPCKLPSYrm */
+  0x221c, /* VUNPCKLPSYrr */
+/* Table4458 */
+  0x220f, /* VUNPCKHPSYrm */
+  0x2210, /* VUNPCKHPSYrr */
+/* Table4460 */
+  0x1436, /* VMOVAPSYrm */
+  0x1437, /* VMOVAPSYrr */
+/* Table4462 */
+  0x1435, /* VMOVAPSYmr */
+  0x1438, /* VMOVAPSYrr_REV */
+/* Table4464 */
+  0x1561, /* VMOVNTPSYmr */
+  0x0, /*  */
+/* Table4466 */
+  0x0, /*  */
+  0x47e, /* KANDWrr */
+/* Table4468 */
+  0x0, /*  */
+  0x47c, /* KANDNWrr */
+/* Table4470 */
+  0x0, /*  */
+  0x49e, /* KORWrr */
+/* Table4472 */
+  0x0, /*  */
+  0x4af, /* KXNORWrr */
+/* Table4474 */
+  0x0, /*  */
+  0x4b3, /* KXORWrr */
+/* Table4476 */
+  0x0, /*  */
+  0x1550, /* VMOVMSKPSYrr */
+/* Table4478 */
+  0x2169, /* VSQRTPSYm */
+  0x216a, /* VSQRTPSYr */
+/* Table4480 */
+  0x2127, /* VRSQRTPSYm */
+  0x2129, /* VRSQRTPSYr */
+/* Table4482 */
+  0x2094, /* VRCPPSYm */
+  0x2096, /* VRCPPSYr */
+/* Table4484 */
+  0xc57, /* VANDPSYrm */
+  0xc58, /* VANDPSYrr */
+/* Table4486 */
+  0xc4f, /* VANDNPSYrm */
+  0xc50, /* VANDNPSYrr */
+/* Table4488 */
+  0x166d, /* VORPSYrm */
+  0x166e, /* VORPSYrr */
+/* Table4490 */
+  0x2225, /* VXORPSYrm */
+  0x2226, /* VXORPSYrr */
+/* Table4492 */
+  0xbef, /* VADDPSYrm */
+  0xbf0, /* VADDPSYrr */
+/* Table4494 */
+  0x1623, /* VMULPSYrm */
+  0x1624, /* VMULPSYrr */
+/* Table4496 */
+  0xd36, /* VCVTPS2PDYrm */
+  0xd37, /* VCVTPS2PDYrr */
+/* Table4498 */
+  0xd11, /* VCVTDQ2PSYrm */
+  0xd12, /* VCVTDQ2PSYrr */
+/* Table4500 */
+  0x21b9, /* VSUBPSYrm */
+  0x21ba, /* VSUBPSYrr */
+/* Table4502 */
+  0x13c5, /* VMINPSYrm */
+  0x13c6, /* VMINPSYrr */
+/* Table4504 */
+  0xdcc, /* VDIVPSYrm */
+  0xdcd, /* VDIVPSYrr */
+/* Table4506 */
+  0x135a, /* VMAXPSYrm */
+  0x135b, /* VMAXPSYrr */
+/* Table4508 */
+  0x2229, /* VZEROALL */
+/* Table4509 */
+  0xcd3, /* VCMPPSYrmi */
+  0xcd5, /* VCMPPSYrri */
 /* Table4511 */
-  0x16dd, /* VPSUBSBYrm */
-  0x16de, /* VPSUBSBYrr */
+  0x2144, /* VSHUFPSYrmi */
+  0x2145, /* VSHUFPSYrri */
 /* Table4513 */
-  0x16e1, /* VPSUBSWYrm */
-  0x16e2, /* VPSUBSWYrr */
+  0x1586, /* VMOVSLDUPYrm */
+  0x1587, /* VMOVSLDUPYrr */
 /* Table4515 */
-  0x14be, /* VPMINSWYrm */
-  0x14bf, /* VPMINSWYrr */
+  0x1580, /* VMOVSHDUPYrm */
+  0x1581, /* VMOVSHDUPYrr */
 /* Table4517 */
-  0x15e2, /* VPORYrm */
-  0x15e3, /* VPORYrr */
+  0xd7d, /* VCVTTPS2DQYrm */
+  0xd7e, /* VCVTTPS2DQYrr */
 /* Table4519 */
-  0x120d, /* VPADDSBYrm */
-  0x120e, /* VPADDSBYrr */
+  0x153b, /* VMOVDQUYrm */
+  0x153c, /* VMOVDQUYrr */
 /* Table4521 */
-  0x1211, /* VPADDSWYrm */
-  0x1212, /* VPADDSWYrr */
+  0x1e80, /* VPSHUFHWYmi */
+  0x1e81, /* VPSHUFHWYri */
 /* Table4523 */
-  0x1482, /* VPMAXSWYrm */
-  0x1483, /* VPMAXSWYrr */
+  0x153a, /* VMOVDQUYmr */
+  0x153d, /* VMOVDQUYrr_REV */
 /* Table4525 */
-  0x1737, /* VPXORYrm */
-  0x1738, /* VPXORYrr */
+  0xd0b, /* VCVTDQ2PDYrm */
+  0xd0c, /* VCVTDQ2PDYrr */
 /* Table4527 */
-  0x1666, /* VPSLLWYrm */
-  0x1667, /* VPSLLWYrr */
+  0x145e, /* VMOVDDUPYrm */
+  0x145f, /* VMOVDDUPYrr */
 /* Table4529 */
-  0x163e, /* VPSLLDYrm */
-  0x163f, /* VPSLLDYrr */
+  0x1e84, /* VPSHUFLWYmi */
+  0x1e85, /* VPSHUFLWYri */
 /* Table4531 */
-  0x164c, /* VPSLLQYrm */
-  0x164d, /* VPSLLQYrr */
+  0x12fe, /* VHADDPSYrm */
+  0x12ff, /* VHADDPSYrr */
 /* Table4533 */
-  0x15c3, /* VPMULUDQYrm */
-  0x15c4, /* VPMULUDQYrr */
+  0x1306, /* VHSUBPSYrm */
+  0x1307, /* VHSUBPSYrr */
 /* Table4535 */
-  0x145c, /* VPMADDWDYrm */
-  0x145d, /* VPMADDWDYrr */
+  0xc33, /* VADDSUBPSYrm */
+  0xc34, /* VADDSUBPSYrr */
 /* Table4537 */
-  0x15fd, /* VPSADBWYrm */
-  0x15fe, /* VPSADBWYrr */
+  0xd19, /* VCVTPD2DQYrm */
+  0xd1a, /* VCVTPD2DQYrr */
 /* Table4539 */
-  0x16bf, /* VPSUBBYrm */
-  0x16c0, /* VPSUBBYrr */
+  0x1322, /* VLDDQUYrm */
+  0x0, /*  */
 /* Table4541 */
-  0x16ed, /* VPSUBWYrm */
-  0x16ee, /* VPSUBWYrr */
+  0x159b, /* VMOVUPDYrm */
+  0x159c, /* VMOVUPDYrr */
 /* Table4543 */
-  0x16c3, /* VPSUBDYrm */
-  0x16c4, /* VPSUBDYrr */
+  0x159a, /* VMOVUPDYmr */
+  0x159d, /* VMOVUPDYrr_REV */
 /* Table4545 */
-  0x16d0, /* VPSUBQYrm */
-  0x16d1, /* VPSUBQYrr */
+  0x2215, /* VUNPCKLPDYrm */
+  0x2216, /* VUNPCKLPDYrr */
 /* Table4547 */
-  0x11ef, /* VPADDBYrm */
-  0x11f0, /* VPADDBYrr */
+  0x2209, /* VUNPCKHPDYrm */
+  0x220a, /* VUNPCKHPDYrr */
 /* Table4549 */
-  0x121d, /* VPADDWYrm */
-  0x121e, /* VPADDWYrr */
+  0x140d, /* VMOVAPDYrm */
+  0x140e, /* VMOVAPDYrr */
 /* Table4551 */
-  0x11f3, /* VPADDDYrm */
-  0x11f4, /* VPADDDYrr */
+  0x140c, /* VMOVAPDYmr */
+  0x140f, /* VMOVAPDYrr_REV */
 /* Table4553 */
+  0x155c, /* VMOVNTPDYmr */
   0x0, /*  */
-  0x46c, /* KANDQrr */
 /* Table4555 */
   0x0, /*  */
-  0x46a, /* KANDNQrr */
+  0x477, /* KANDBrr */
 /* Table4557 */
   0x0, /*  */
-  0x488, /* KORQrr */
+  0x479, /* KANDNBrr */
 /* Table4559 */
   0x0, /*  */
-  0x494, /* KXNORQrr */
+  0x497, /* KORBrr */
 /* Table4561 */
   0x0, /*  */
-  0x498, /* KXORQrr */
+  0x4ac, /* KXNORBrr */
 /* Table4563 */
   0x0, /*  */
-  0x467, /* KANDDrr */
+  0x4b0, /* KXORBrr */
 /* Table4565 */
   0x0, /*  */
-  0x469, /* KANDNDrr */
+  0x4ab, /* KUNPCKBWrr */
 /* Table4567 */
   0x0, /*  */
-  0x487, /* KORDrr */
+  0x154e, /* VMOVMSKPDYrr */
 /* Table4569 */
-  0x0, /*  */
-  0x493, /* KXNORDrr */
+  0x214a, /* VSQRTPDYm */
+  0x214b, /* VSQRTPDYr */
 /* Table4571 */
-  0x0, /*  */
-  0x497, /* KXORDrr */
+  0xc53, /* VANDPDYrm */
+  0xc54, /* VANDPDYrr */
 /* Table4573 */
-  0x1155, /* VMOVUPSZ128rm */
-  0x1158, /* VMOVUPSZ128rr */
+  0xc4b, /* VANDNPDYrm */
+  0xc4c, /* VANDNPDYrr */
 /* Table4575 */
-  0x1153, /* VMOVUPSZ128mr */
-  0x0, /*  */
+  0x1669, /* VORPDYrm */
+  0x166a, /* VORPDYrr */
 /* Table4577 */
-  0x0, /*  */
-  0x10d1, /* VMOVHLPSZrr */
+  0x2221, /* VXORPDYrm */
+  0x2222, /* VXORPDYrr */
 /* Table4579 */
-  0x0, /*  */
-  0x10d7, /* VMOVLHPSZrr */
+  0xbcd, /* VADDPDYrm */
+  0xbce, /* VADDPDYrr */
 /* Table4581 */
-  0xfca, /* VMOVAPSZ128rm */
-  0xfcd, /* VMOVAPSZ128rr */
+  0x1601, /* VMULPDYrm */
+  0x1602, /* VMULPDYrr */
 /* Table4583 */
-  0xfc8, /* VMOVAPSZ128mr */
-  0x0, /*  */
+  0xd20, /* VCVTPD2PSYrm */
+  0xd21, /* VCVTPD2PSYrr */
 /* Table4585 */
-  0x10f1, /* VMOVNTPSZ128mr */
-  0x0, /*  */
+  0xd2f, /* VCVTPS2DQYrm */
+  0xd30, /* VCVTPS2DQYrr */
 /* Table4587 */
-  0x17f4, /* VUCOMISSZrm */
-  0x17f5, /* VUCOMISSZrr */
+  0x2197, /* VSUBPDYrm */
+  0x2198, /* VSUBPDYrr */
 /* Table4589 */
-  0xc2f, /* VCOMISSZrm */
-  0xc30, /* VCOMISSZrr */
+  0x13a6, /* VMINPDYrm */
+  0x13a7, /* VMINPDYrr */
 /* Table4591 */
-  0x111e, /* VMOVSSZrm */
-  0x111f, /* VMOVSSZrr */
+  0xdaa, /* VDIVPDYrm */
+  0xdab, /* VDIVPDYrr */
 /* Table4593 */
-  0x111d, /* VMOVSSZmr */
-  0x1120, /* VMOVSSZrr_REV */
+  0x133b, /* VMAXPDYrm */
+  0x133c, /* VMAXPDYrr */
 /* Table4595 */
-  0xc85, /* VCVTSI2SSZrm */
-  0xc86, /* VCVTSI2SSZrr */
+  0x1fe2, /* VPUNPCKLBWYrm */
+  0x1fe3, /* VPUNPCKLBWYrr */
 /* Table4597 */
-  0xcbd, /* VCVTTSS2SIZrm */
-  0xcbe, /* VCVTTSS2SIZrr */
+  0x1ff2, /* VPUNPCKLWDYrm */
+  0x1ff3, /* VPUNPCKLWDYrr */
 /* Table4599 */
-  0xc95, /* VCVTSS2SIZrm */
-  0xc96, /* VCVTSS2SIZrr */
+  0x1fe6, /* VPUNPCKLDQYrm */
+  0x1fe7, /* VPUNPCKLDQYrr */
 /* Table4601 */
-  0x17ba, /* VSQRTSSZm */
-  0x17bc, /* VSQRTSSZr */
+  0x1693, /* VPACKSSWBYrm */
+  0x1694, /* VPACKSSWBYrr */
 /* Table4603 */
-  0xbaa, /* VADDSSZrm */
-  0xbab, /* VADDSSZrr */
+  0x18d3, /* VPCMPGTBYrm */
+  0x18d4, /* VPCMPGTBYrr */
 /* Table4605 */
-  0x11ad, /* VMULSSZrm */
-  0x11ae, /* VMULSSZrr */
+  0x190f, /* VPCMPGTWYrm */
+  0x1910, /* VPCMPGTWYrr */
 /* Table4607 */
-  0xc8d, /* VCVTSS2SDZrm */
-  0xc8e, /* VCVTSS2SDZrr */
+  0x18e3, /* VPCMPGTDYrm */
+  0x18e4, /* VPCMPGTDYrr */
 /* Table4609 */
-  0x17e2, /* VSUBSSZrm */
-  0x17e3, /* VSUBSSZrr */
+  0x169b, /* VPACKUSWBYrm */
+  0x169c, /* VPACKUSWBYrr */
 /* Table4611 */
-  0xf8c, /* VMINSSZrm */
-  0xf8d, /* VMINSSZrr */
+  0x1fce, /* VPUNPCKHBWYrm */
+  0x1fcf, /* VPUNPCKHBWYrr */
 /* Table4613 */
-  0xcf2, /* VDIVSSZrm */
-  0xcf3, /* VDIVSSZrr */
+  0x1fde, /* VPUNPCKHWDYrm */
+  0x1fdf, /* VPUNPCKHWDYrr */
 /* Table4615 */
-  0xf57, /* VMAXSSZrm */
-  0xf58, /* VMAXSSZrr */
+  0x1fd2, /* VPUNPCKHDQYrm */
+  0x1fd3, /* VPUNPCKHDQYrr */
 /* Table4617 */
-  0x1068, /* VMOVDQU32Z128rm */
-  0x106b, /* VMOVDQU32Z128rr */
+  0x168f, /* VPACKSSDWYrm */
+  0x1690, /* VPACKSSDWYrr */
 /* Table4619 */
-  0xcc3, /* VCVTTSS2USIZrm */
-  0xcc4, /* VCVTTSS2USIZrr */
+  0x1fec, /* VPUNPCKLQDQYrm */
+  0x1fed, /* VPUNPCKLQDQYrr */
 /* Table4621 */
-  0xc9b, /* VCVTSS2USIZrm */
-  0xc9c, /* VCVTSS2USIZrr */
+  0x1fd8, /* VPUNPCKHQDQYrm */
+  0x1fd9, /* VPUNPCKHQDQYrr */
 /* Table4623 */
-  0xccc, /* VCVTUSI2SSZrm */
-  0xccd, /* VCVTUSI2SSZrr */
+  0x14af, /* VMOVDQAYrm */
+  0x14b0, /* VMOVDQAYrr */
 /* Table4625 */
-  0x1066, /* VMOVDQU32Z128mr */
-  0x0, /*  */
+  0x1e7a, /* VPSHUFDYmi */
+  0x1e7b, /* VPSHUFDYri */
 /* Table4627 */
-  0xc23, /* VCMPSSZrm */
-  0xc25, /* VCMPSSZrr */
-/* Table4629 */
-  0xc7f, /* VCVTSI2SDZrm */
-  0xc80, /* VCVTSI2SDZrr */
-/* Table4631 */
-  0xcb1, /* VCVTTSD2SIZrm */
-  0xcb2, /* VCVTTSD2SIZrr */
-/* Table4633 */
-  0xc71, /* VCVTSD2SIZrm */
-  0xc72, /* VCVTSD2SIZrr */
-/* Table4635 */
-  0x10aa, /* VMOVDQU8Z128rm */
-  0x10ad, /* VMOVDQU8Z128rr */
-/* Table4637 */
-  0xcb7, /* VCVTTSD2USIZrm */
-  0xcb8, /* VCVTTSD2USIZrr */
-/* Table4639 */
-  0xc7b, /* VCVTSD2USIZrm */
-  0xc7c, /* VCVTSD2USIZrr */
-/* Table4641 */
-  0xcca, /* VCVTUSI2SDZrm */
-  0xccb, /* VCVTUSI2SDZrr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1f42, /* VPSRLWYri */
+  0x0, /*  */
+  0x1f02, /* VPSRAWYri */
+  0x0, /*  */
+  0x1ece, /* VPSLLWYri */
+  0x0, /*  */
 /* Table4643 */
-  0x10a8, /* VMOVDQU8Z128mr */
   0x0, /*  */
-/* Table4645 */
-  0x12eb, /* VPCMPGTBZ128rm */
-  0x12ed, /* VPCMPGTBZ128rr */
-/* Table4647 */
-  0x1327, /* VPCMPGTWZ128rm */
-  0x1329, /* VPCMPGTWZ128rr */
-/* Table4649 */
-  0x12fb, /* VPCMPGTDZ128rm */
-  0x12ff, /* VPCMPGTDZ128rr */
-/* Table4651 */
-  0xff3, /* VMOVDI2PDIZrm */
-  0xff4, /* VMOVDI2PDIZrr */
-/* Table4653 */
-  0xffd, /* VMOVDQA32Z128rm */
-  0x1000, /* VMOVDQA32Z128rr */
-/* Table4655 */
-  0x1297, /* VPCMPEQBZ128rm */
-  0x1299, /* VPCMPEQBZ128rr */
-/* Table4657 */
-  0x12d3, /* VPCMPEQWZ128rm */
-  0x12d5, /* VPCMPEQWZ128rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1f0a, /* VPSRLDYri */
+  0x0, /*  */
+  0x1ed4, /* VPSRADYri */
+  0x0, /*  */
+  0x1e96, /* VPSLLDYri */
+  0x0, /*  */
 /* Table4659 */
-  0x12a7, /* VPCMPEQDZ128rm */
-  0x12ab, /* VPCMPEQDZ128rr */
-/* Table4661 */
-  0x10f5, /* VMOVPDI2DIZmr */
-  0x10f6, /* VMOVPDI2DIZrr */
-/* Table4663 */
-  0xffb, /* VMOVDQA32Z128mr */
-  0x0, /*  */
-/* Table4665 */
-  0x10e7, /* VMOVNTDQZ128mr */
-  0x0, /*  */
-/* Table4667 */
-  0xc8b, /* VCVTSI642SSZrm */
-  0xc8c, /* VCVTSI642SSZrr */
-/* Table4669 */
-  0xcb9, /* VCVTTSS2SI64Zrm */
-  0xcba, /* VCVTTSS2SI64Zrr */
-/* Table4671 */
-  0xc91, /* VCVTSS2SI64Zrm */
-  0xc92, /* VCVTSS2SI64Zrr */
-/* Table4673 */
-  0x1089, /* VMOVDQU64Z128rm */
-  0x108c, /* VMOVDQU64Z128rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1f1c, /* VPSRLQYri */
+  0x1f08, /* VPSRLDQYri */
+  0x0, /*  */
+  0x0, /*  */
+  0x1ea8, /* VPSLLQYri */
+  0x1e94, /* VPSLLDQYri */
 /* Table4675 */
-  0xcc1, /* VCVTTSS2USI64Zrm */
-  0xcc2, /* VCVTTSS2USI64Zrr */
+  0x187f, /* VPCMPEQBYrm */
+  0x1880, /* VPCMPEQBYrr */
 /* Table4677 */
-  0xc99, /* VCVTSS2USI64Zrm */
-  0xc9a, /* VCVTSS2USI64Zrr */
+  0x18bb, /* VPCMPEQWYrm */
+  0x18bc, /* VPCMPEQWYrr */
 /* Table4679 */
-  0xcd0, /* VCVTUSI642SSZrm */
-  0xcd1, /* VCVTUSI642SSZrr */
+  0x188f, /* VPCMPEQDYrm */
+  0x1890, /* VPCMPEQDYrr */
 /* Table4681 */
-  0x1178, /* VMOVZPQILo2PQIZrm */
-  0x1179, /* VMOVZPQILo2PQIZrr */
+  0x12fa, /* VHADDPDYrm */
+  0x12fb, /* VHADDPDYrr */
 /* Table4683 */
-  0x1087, /* VMOVDQU64Z128mr */
-  0x0, /*  */
+  0x1302, /* VHSUBPDYrm */
+  0x1303, /* VHSUBPDYrr */
 /* Table4685 */
-  0x1101, /* VMOVSDZrm */
-  0x1102, /* VMOVSDZrr */
+  0x14ae, /* VMOVDQAYmr */
+  0x14b1, /* VMOVDQAYrr_REV */
 /* Table4687 */
-  0x1100, /* VMOVSDZmr */
-  0x1103, /* VMOVSDZrr_REV */
+  0xcc5, /* VCMPPDYrmi */
+  0xcc7, /* VCMPPDYrri */
 /* Table4689 */
-  0xc89, /* VCVTSI642SDZrm */
-  0xc8a, /* VCVTSI642SDZrr */
+  0x213e, /* VSHUFPDYrmi */
+  0x213f, /* VSHUFPDYrri */
 /* Table4691 */
-  0xcad, /* VCVTTSD2SI64Zrm */
-  0xcae, /* VCVTTSD2SI64Zrr */
+  0xc2f, /* VADDSUBPDYrm */
+  0xc30, /* VADDSUBPDYrr */
 /* Table4693 */
-  0xc6d, /* VCVTSD2SI64Zrm */
-  0xc6e, /* VCVTSD2SI64Zrr */
+  0x1f43, /* VPSRLWYrm */
+  0x1f44, /* VPSRLWYrr */
 /* Table4695 */
-  0x17b3, /* VSQRTSDZm */
-  0x17b5, /* VSQRTSDZr */
+  0x1f0b, /* VPSRLDYrm */
+  0x1f0c, /* VPSRLDYrr */
 /* Table4697 */
-  0xba4, /* VADDSDZrm */
-  0xba5, /* VADDSDZrr */
+  0x1f1d, /* VPSRLQYrm */
+  0x1f1e, /* VPSRLQYrr */
 /* Table4699 */
-  0x11a7, /* VMULSDZrm */
-  0x11a8, /* VMULSDZrr */
+  0x16d4, /* VPADDQYrm */
+  0x16d5, /* VPADDQYrr */
 /* Table4701 */
-  0xc75, /* VCVTSD2SSZrm */
-  0xc76, /* VCVTSD2SSZrr */
+  0x1de2, /* VPMULLWYrm */
+  0x1de3, /* VPMULLWYrr */
 /* Table4703 */
-  0x17dc, /* VSUBSDZrm */
-  0x17dd, /* VSUBSDZrr */
+  0x0, /*  */
+  0x1ce0, /* VPMOVMSKBYrr */
 /* Table4705 */
-  0xf86, /* VMINSDZrm */
-  0xf87, /* VMINSDZrr */
+  0x1fa4, /* VPSUBUSBYrm */
+  0x1fa5, /* VPSUBUSBYrr */
 /* Table4707 */
-  0xcec, /* VDIVSDZrm */
-  0xced, /* VDIVSDZrr */
+  0x1fa8, /* VPSUBUSWYrm */
+  0x1fa9, /* VPSUBUSWYrr */
 /* Table4709 */
-  0xf51, /* VMAXSDZrm */
-  0xf52, /* VMAXSDZrr */
+  0x1c64, /* VPMINUBYrm */
+  0x1c65, /* VPMINUBYrr */
 /* Table4711 */
-  0x1047, /* VMOVDQU16Z128rm */
-  0x104a, /* VMOVDQU16Z128rr */
+  0x178d, /* VPANDYrm */
+  0x178e, /* VPANDYrr */
 /* Table4713 */
-  0xcb5, /* VCVTTSD2USI64Zrm */
-  0xcb6, /* VCVTTSD2USI64Zrr */
+  0x16fb, /* VPADDUSBYrm */
+  0x16fc, /* VPADDUSBYrr */
 /* Table4715 */
-  0xc79, /* VCVTSD2USI64Zrm */
-  0xc7a, /* VCVTSD2USI64Zrr */
+  0x16ff, /* VPADDUSWYrm */
+  0x1700, /* VPADDUSWYrr */
 /* Table4717 */
-  0xcce, /* VCVTUSI642SDZrm */
-  0xccf, /* VCVTUSI642SDZrr */
+  0x1b98, /* VPMAXUBYrm */
+  0x1b99, /* VPMAXUBYrr */
 /* Table4719 */
-  0x1045, /* VMOVDQU16Z128mr */
-  0x0, /*  */
+  0x176e, /* VPANDNYrm */
+  0x176f, /* VPANDNYrr */
 /* Table4721 */
-  0xc1b, /* VCMPSDZrm */
-  0xc1d, /* VCMPSDZrr */
+  0x1791, /* VPAVGBYrm */
+  0x1792, /* VPAVGBYrr */
 /* Table4723 */
-  0x112c, /* VMOVUPDZ128rm */
-  0x112f, /* VMOVUPDZ128rr */
+  0x1f03, /* VPSRAWYrm */
+  0x1f04, /* VPSRAWYrr */
 /* Table4725 */
-  0x112a, /* VMOVUPDZ128mr */
-  0x0, /*  */
+  0x1ed5, /* VPSRADYrm */
+  0x1ed6, /* VPSRADYrr */
 /* Table4727 */
-  0xfa1, /* VMOVAPDZ128rm */
-  0xfa4, /* VMOVAPDZ128rr */
+  0x1795, /* VPAVGWYrm */
+  0x1796, /* VPAVGWYrr */
 /* Table4729 */
-  0xf9f, /* VMOVAPDZ128mr */
-  0x0, /*  */
+  0x1da0, /* VPMULHUWYrm */
+  0x1da1, /* VPMULHUWYrr */
 /* Table4731 */
-  0x10ec, /* VMOVNTPDZ128mr */
-  0x0, /*  */
+  0x1da4, /* VPMULHWYrm */
+  0x1da5, /* VPMULHWYrr */
 /* Table4733 */
-  0x17f0, /* VUCOMISDZrm */
-  0x17f1, /* VUCOMISDZrr */
+  0xd76, /* VCVTTPD2DQYrm */
+  0xd77, /* VCVTTPD2DQYrr */
 /* Table4735 */
-  0xc2b, /* VCOMISDZrm */
-  0xc2c, /* VCOMISDZrr */
+  0x1557, /* VMOVNTDQYmr */
+  0x0, /*  */
 /* Table4737 */
-  0x10fe, /* VMOVQI2PQIZrm */
-  0xf96, /* VMOV64toPQIZrr */
+  0x1f9c, /* VPSUBSBYrm */
+  0x1f9d, /* VPSUBSBYrr */
 /* Table4739 */
-  0x101e, /* VMOVDQA64Z128rm */
-  0x1021, /* VMOVDQA64Z128rr */
+  0x1fa0, /* VPSUBSWYrm */
+  0x1fa1, /* VPSUBSWYrr */
 /* Table4741 */
-  0x1109, /* VMOVSDto64Zmr */
-  0x10fc, /* VMOVPQIto64Zrr */
+  0x1c4e, /* VPMINSWYrm */
+  0x1c4f, /* VPMINSWYrr */
 /* Table4743 */
-  0x101c, /* VMOVDQA64Z128mr */
-  0x0, /*  */
+  0x1e3b, /* VPORYrm */
+  0x1e3c, /* VPORYrr */
 /* Table4745 */
-  0x10fb, /* VMOVPQIto64Zmr */
-  0x0, /*  */
+  0x16f3, /* VPADDSBYrm */
+  0x16f4, /* VPADDSBYrr */
 /* Table4747 */
-  0x1160, /* VMOVUPSZ256rm */
-  0x1163, /* VMOVUPSZ256rr */
+  0x16f7, /* VPADDSWYrm */
+  0x16f8, /* VPADDSWYrr */
 /* Table4749 */
-  0x115e, /* VMOVUPSZ256mr */
-  0x0, /*  */
+  0x1b82, /* VPMAXSWYrm */
+  0x1b83, /* VPMAXSWYrr */
 /* Table4751 */
-  0xfd5, /* VMOVAPSZ256rm */
-  0xfd8, /* VMOVAPSZ256rr */
+  0x202c, /* VPXORYrm */
+  0x202d, /* VPXORYrr */
 /* Table4753 */
-  0xfd3, /* VMOVAPSZ256mr */
-  0x0, /*  */
+  0x1ecf, /* VPSLLWYrm */
+  0x1ed0, /* VPSLLWYrr */
 /* Table4755 */
-  0x10f2, /* VMOVNTPSZ256mr */
-  0x0, /*  */
+  0x1e97, /* VPSLLDYrm */
+  0x1e98, /* VPSLLDYrr */
 /* Table4757 */
-  0x1073, /* VMOVDQU32Z256rm */
-  0x1076, /* VMOVDQU32Z256rr */
+  0x1ea9, /* VPSLLQYrm */
+  0x1eaa, /* VPSLLQYrr */
 /* Table4759 */
-  0x1071, /* VMOVDQU32Z256mr */
-  0x0, /*  */
+  0x1df8, /* VPMULUDQYrm */
+  0x1df9, /* VPMULUDQYrr */
 /* Table4761 */
-  0x10b5, /* VMOVDQU8Z256rm */
-  0x10b8, /* VMOVDQU8Z256rr */
+  0x1b26, /* VPMADDWDYrm */
+  0x1b27, /* VPMADDWDYrr */
 /* Table4763 */
-  0x10b3, /* VMOVDQU8Z256mr */
-  0x0, /*  */
+  0x1e56, /* VPSADBWYrm */
+  0x1e57, /* VPSADBWYrr */
 /* Table4765 */
-  0x12ef, /* VPCMPGTBZ256rm */
-  0x12f1, /* VPCMPGTBZ256rr */
+  0x1f48, /* VPSUBBYrm */
+  0x1f49, /* VPSUBBYrr */
 /* Table4767 */
-  0x132b, /* VPCMPGTWZ256rm */
-  0x132d, /* VPCMPGTWZ256rr */
+  0x1fac, /* VPSUBWYrm */
+  0x1fad, /* VPSUBWYrr */
 /* Table4769 */
-  0x1301, /* VPCMPGTDZ256rm */
-  0x1305, /* VPCMPGTDZ256rr */
+  0x1f5e, /* VPSUBDYrm */
+  0x1f5f, /* VPSUBDYrr */
 /* Table4771 */
-  0x1008, /* VMOVDQA32Z256rm */
-  0x100b, /* VMOVDQA32Z256rr */
+  0x1f7d, /* VPSUBQYrm */
+  0x1f7e, /* VPSUBQYrr */
 /* Table4773 */
-  0x129b, /* VPCMPEQBZ256rm */
-  0x129d, /* VPCMPEQBZ256rr */
+  0x169f, /* VPADDBYrm */
+  0x16a0, /* VPADDBYrr */
 /* Table4775 */
-  0x12d7, /* VPCMPEQWZ256rm */
-  0x12d9, /* VPCMPEQWZ256rr */
+  0x1703, /* VPADDWYrm */
+  0x1704, /* VPADDWYrr */
 /* Table4777 */
-  0x12ad, /* VPCMPEQDZ256rm */
-  0x12b1, /* VPCMPEQDZ256rr */
+  0x16b5, /* VPADDDYrm */
+  0x16b6, /* VPADDDYrr */
 /* Table4779 */
-  0x1006, /* VMOVDQA32Z256mr */
   0x0, /*  */
+  0x47d, /* KANDQrr */
 /* Table4781 */
-  0x10e8, /* VMOVNTDQZ256mr */
   0x0, /*  */
+  0x47b, /* KANDNQrr */
 /* Table4783 */
-  0x1094, /* VMOVDQU64Z256rm */
-  0x1097, /* VMOVDQU64Z256rr */
+  0x0, /*  */
+  0x499, /* KORQrr */
 /* Table4785 */
-  0x1092, /* VMOVDQU64Z256mr */
   0x0, /*  */
+  0x4ae, /* KXNORQrr */
 /* Table4787 */
-  0x1052, /* VMOVDQU16Z256rm */
-  0x1055, /* VMOVDQU16Z256rr */
+  0x0, /*  */
+  0x4b2, /* KXORQrr */
 /* Table4789 */
-  0x1050, /* VMOVDQU16Z256mr */
   0x0, /*  */
+  0x478, /* KANDDrr */
 /* Table4791 */
-  0x1137, /* VMOVUPDZ256rm */
-  0x113a, /* VMOVUPDZ256rr */
+  0x0, /*  */
+  0x47a, /* KANDNDrr */
 /* Table4793 */
-  0x1135, /* VMOVUPDZ256mr */
   0x0, /*  */
+  0x498, /* KORDrr */
 /* Table4795 */
-  0xfac, /* VMOVAPDZ256rm */
-  0xfaf, /* VMOVAPDZ256rr */
+  0x0, /*  */
+  0x4ad, /* KXNORDrr */
 /* Table4797 */
-  0xfaa, /* VMOVAPDZ256mr */
   0x0, /*  */
+  0x4b1, /* KXORDrr */
 /* Table4799 */
-  0x10ed, /* VMOVNTPDZ256mr */
-  0x0, /*  */
+  0x15c9, /* VMOVUPSZ128rm */
+  0x15cc, /* VMOVUPSZ128rr */
 /* Table4801 */
-  0x1029, /* VMOVDQA64Z256rm */
-  0x102c, /* VMOVDQA64Z256rr */
+  0x15c7, /* VMOVUPSZ128mr */
+  0x15cd, /* VMOVUPSZ128rr_alt */
 /* Table4803 */
-  0x1027, /* VMOVDQA64Z256mr */
   0x0, /*  */
+  0x1542, /* VMOVHLPSZrr */
 /* Table4805 */
-  0x116b, /* VMOVUPSZrm */
-  0x116e, /* VMOVUPSZrr */
-/* Table4807 */
-  0x1169, /* VMOVUPSZmr */
   0x0, /*  */
+  0x1548, /* VMOVLHPSZrr */
+/* Table4807 */
+  0x143b, /* VMOVAPSZ128rm */
+  0x143e, /* VMOVAPSZ128rr */
 /* Table4809 */
-  0x180c, /* VUNPCKLPSZrm */
-  0x180d, /* VUNPCKLPSZrr */
+  0x1439, /* VMOVAPSZ128mr */
+  0x143f, /* VMOVAPSZ128rr_alt */
 /* Table4811 */
-  0x1800, /* VUNPCKHPSZrm */
-  0x1801, /* VUNPCKHPSZrr */
+  0x1562, /* VMOVNTPSZ128mr */
+  0x0, /*  */
 /* Table4813 */
-  0xfe0, /* VMOVAPSZrm */
-  0xfe3, /* VMOVAPSZrr */
+  0x2205, /* VUCOMISSZrm */
+  0x2206, /* VUCOMISSZrr */
 /* Table4815 */
-  0xfde, /* VMOVAPSZmr */
-  0x0, /*  */
+  0xcf5, /* VCOMISSZrm */
+  0xcf6, /* VCOMISSZrr */
 /* Table4817 */
-  0x10f3, /* VMOVNTPSZmr */
-  0x0, /*  */
+  0x216b, /* VSQRTPSZ128m */
+  0x2171, /* VSQRTPSZ128r */
 /* Table4819 */
-  0x17af, /* VSQRTPSZrm */
-  0x17b0, /* VSQRTPSZrr */
+  0xbf1, /* VADDPSZ128rm */
+  0xbf7, /* VADDPSZ128rr */
 /* Table4821 */
-  0xb99, /* VADDPSZrm */
-  0xb9f, /* VADDPSZrr */
+  0x1625, /* VMULPSZ128rm */
+  0x162b, /* VMULPSZ128rr */
 /* Table4823 */
-  0x119c, /* VMULPSZrm */
-  0x11a2, /* VMULPSZrr */
+  0x21bb, /* VSUBPSZ128rm */
+  0x21c1, /* VSUBPSZ128rr */
 /* Table4825 */
-  0xc60, /* VCVTPS2PDZrm */
-  0xc61, /* VCVTPS2PDZrr */
+  0x13c7, /* VMINPSZ128rm */
+  0x13cd, /* VMINPSZ128rr */
 /* Table4827 */
-  0xc3b, /* VCVTDQ2PSZrm */
-  0xc3c, /* VCVTDQ2PSZrr */
+  0xdce, /* VDIVPSZ128rm */
+  0xdd4, /* VDIVPSZ128rr */
 /* Table4829 */
-  0x17d1, /* VSUBPSZrm */
-  0x17d7, /* VSUBPSZrr */
+  0x135c, /* VMAXPSZ128rm */
+  0x1362, /* VMAXPSZ128rr */
 /* Table4831 */
-  0xf7b, /* VMINPSZrm */
-  0xf81, /* VMINPSZrr */
+  0x1592, /* VMOVSSZrm */
+  0x1593, /* VMOVSSZrr */
 /* Table4833 */
-  0xce1, /* VDIVPSZrm */
-  0xce7, /* VDIVPSZrr */
+  0x1590, /* VMOVSSZmr */
+  0x1594, /* VMOVSSZrr_REV */
 /* Table4835 */
-  0xf46, /* VMAXPSZrm */
-  0xf4c, /* VMAXPSZrr */
+  0xd5d, /* VCVTSI2SSZrm */
+  0xd5e, /* VCVTSI2SSZrr */
 /* Table4837 */
-  0xcab, /* VCVTTPS2UDQZrm */
-  0xcac, /* VCVTTPS2UDQZrr */
+  0xd95, /* VCVTTSS2SIZrm */
+  0xd96, /* VCVTTSS2SIZrr */
 /* Table4839 */
-  0xc6a, /* VCVTPS2UDQZrm */
-  0xc6b, /* VCVTPS2UDQZrr */
+  0xd6d, /* VCVTSS2SIZrm */
+  0xd6e, /* VCVTSS2SIZrr */
 /* Table4841 */
-  0xc12, /* VCMPPSZrmi */
-  0xc14, /* VCMPPSZrri */
+  0x218f, /* VSQRTSSZm */
+  0x2191, /* VSQRTSSZr */
 /* Table4843 */
-  0x17a3, /* VSHUFPSZrmi */
-  0x17a4, /* VSHUFPSZrri */
+  0xc21, /* VADDSSZrm_Int */
+  0xc25, /* VADDSSZrr_Int */
 /* Table4845 */
-  0x1115, /* VMOVSLDUPZrm */
-  0x1116, /* VMOVSLDUPZrr */
+  0x1655, /* VMULSSZrm_Int */
+  0x1659, /* VMULSSZrr_Int */
 /* Table4847 */
-  0x110f, /* VMOVSHDUPZrm */
-  0x1110, /* VMOVSHDUPZrr */
+  0xd65, /* VCVTSS2SDZrm */
+  0xd66, /* VCVTSS2SDZrr */
 /* Table4849 */
-  0xca7, /* VCVTTPS2DQZrm */
-  0xca8, /* VCVTTPS2DQZrr */
+  0x21eb, /* VSUBSSZrm_Int */
+  0x21ef, /* VSUBSSZrr_Int */
 /* Table4851 */
-  0x107e, /* VMOVDQU32Zrm */
-  0x1081, /* VMOVDQU32Zrr */
+  0x13f4, /* VMINSSZrm_Int */
+  0x13f8, /* VMINSSZrr_Int */
 /* Table4853 */
-  0xcc5, /* VCVTUDQ2PDZrm */
-  0xcc6, /* VCVTUDQ2PDZrr */
+  0xdfe, /* VDIVSSZrm_Int */
+  0xe02, /* VDIVSSZrr_Int */
 /* Table4855 */
-  0x107c, /* VMOVDQU32Zmr */
-  0x0, /*  */
+  0x1389, /* VMAXSSZrm_Int */
+  0x138d, /* VMAXSSZrr_Int */
 /* Table4857 */
-  0xc35, /* VCVTDQ2PDZrm */
-  0xc36, /* VCVTDQ2PDZrr */
+  0x14d9, /* VMOVDQU32Z128rm */
+  0x14dc, /* VMOVDQU32Z128rr */
 /* Table4859 */
-  0x10c0, /* VMOVDQU8Zrm */
-  0x10c3, /* VMOVDQU8Zrr */
+  0xd9b, /* VCVTTSS2USIZrm */
+  0xd9c, /* VCVTTSS2USIZrr */
 /* Table4861 */
-  0xcc7, /* VCVTUDQ2PSZrm */
-  0xcc8, /* VCVTUDQ2PSZrr */
+  0xd73, /* VCVTSS2USIZrm */
+  0xd74, /* VCVTSS2USIZrr */
 /* Table4863 */
-  0x10be, /* VMOVDQU8Zmr */
-  0x0, /*  */
+  0xda4, /* VCVTUSI2SSZrm */
+  0xda5, /* VCVTUSI2SSZrr */
 /* Table4865 */
-  0x17a9, /* VSQRTPDZrm */
-  0x17aa, /* VSQRTPDZrr */
+  0x14d7, /* VMOVDQU32Z128mr */
+  0x14dd, /* VMOVDQU32Z128rr_alt */
 /* Table4867 */
-  0xc59, /* VCVTPS2DQZrm */
-  0xc5a, /* VCVTPS2DQZrr */
+  0xce9, /* VCMPSSZrm */
+  0xceb, /* VCMPSSZrr */
 /* Table4869 */
-  0x1717, /* VPUNPCKLDQZrm */
-  0x1718, /* VPUNPCKLDQZrr */
+  0xd57, /* VCVTSI2SDZrm */
+  0xd58, /* VCVTSI2SDZrr */
 /* Table4871 */
-  0x12f3, /* VPCMPGTBZrm */
-  0x12f5, /* VPCMPGTBZrr */
+  0xd89, /* VCVTTSD2SIZrm */
+  0xd8a, /* VCVTTSD2SIZrr */
 /* Table4873 */
-  0x132f, /* VPCMPGTWZrm */
-  0x1331, /* VPCMPGTWZrr */
+  0xd49, /* VCVTSD2SIZrm */
+  0xd4a, /* VCVTSD2SIZrr */
 /* Table4875 */
-  0x1307, /* VPCMPGTDZrm */
-  0x130b, /* VPCMPGTDZrr */
+  0x151b, /* VMOVDQU8Z128rm */
+  0x151e, /* VMOVDQU8Z128rr */
 /* Table4877 */
-  0x1703, /* VPUNPCKHDQZrm */
-  0x1704, /* VPUNPCKHDQZrr */
+  0xd8f, /* VCVTTSD2USIZrm */
+  0xd90, /* VCVTTSD2USIZrr */
 /* Table4879 */
-  0x1013, /* VMOVDQA32Zrm */
-  0x1016, /* VMOVDQA32Zrr */
+  0xd53, /* VCVTSD2USIZrm */
+  0xd54, /* VCVTSD2USIZrr */
 /* Table4881 */
-  0x1623, /* VPSHUFDZmi */
-  0x1624, /* VPSHUFDZri */
+  0xda2, /* VCVTUSI2SDZrm */
+  0xda3, /* VCVTUSI2SDZrr */
 /* Table4883 */
-  0x0, /*  */
-  0x0, /*  */
-  0x1694, /* VPSRLDZmi */
-  0x0, /*  */
-  0x166e, /* VPSRADZmi */
-  0x0, /*  */
-  0x1640, /* VPSLLDZmi */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1696, /* VPSRLDZri */
-  0x0, /*  */
-  0x1670, /* VPSRADZri */
-  0x0, /*  */
-  0x1642, /* VPSLLDZri */
-  0x0, /*  */
+  0x1519, /* VMOVDQU8Z128mr */
+  0x151f, /* VMOVDQU8Z128rr_alt */
+/* Table4885 */
+  0x18d5, /* VPCMPGTBZ128rm */
+  0x18d7, /* VPCMPGTBZ128rr */
+/* Table4887 */
+  0x1911, /* VPCMPGTWZ128rm */
+  0x1913, /* VPCMPGTWZ128rr */
+/* Table4889 */
+  0x18e5, /* VPCMPGTDZ128rm */
+  0x18e9, /* VPCMPGTDZ128rr */
+/* Table4891 */
+  0x1464, /* VMOVDI2PDIZrm */
+  0x1465, /* VMOVDI2PDIZrr */
+/* Table4893 */
+  0x146e, /* VMOVDQA32Z128rm */
+  0x1471, /* VMOVDQA32Z128rr */
+/* Table4895 */
+  0x1881, /* VPCMPEQBZ128rm */
+  0x1883, /* VPCMPEQBZ128rr */
+/* Table4897 */
+  0x18bd, /* VPCMPEQWZ128rm */
+  0x18bf, /* VPCMPEQWZ128rr */
 /* Table4899 */
-  0x129f, /* VPCMPEQBZrm */
-  0x12a1, /* VPCMPEQBZrr */
+  0x1891, /* VPCMPEQDZ128rm */
+  0x1895, /* VPCMPEQDZ128rr */
 /* Table4901 */
-  0x12db, /* VPCMPEQWZrm */
-  0x12dd, /* VPCMPEQWZrr */
+  0x1566, /* VMOVPDI2DIZmr */
+  0x1567, /* VMOVPDI2DIZrr */
 /* Table4903 */
-  0x12b3, /* VPCMPEQDZrm */
-  0x12b7, /* VPCMPEQDZrr */
+  0x146c, /* VMOVDQA32Z128mr */
+  0x1472, /* VMOVDQA32Z128rr_alt */
 /* Table4905 */
-  0x1011, /* VMOVDQA32Zmr */
-  0x0, /*  */
+  0x1de4, /* VPMULLWZ128rm */
+  0x1de7, /* VPMULLWZ128rr */
 /* Table4907 */
-  0x1698, /* VPSRLDZrm */
-  0x169a, /* VPSRLDZrr */
+  0x1c66, /* VPMINUBZ128rm */
+  0x1c69, /* VPMINUBZ128rr */
 /* Table4909 */
-  0x1225, /* VPANDDZrm */
-  0x122b, /* VPANDDZrr */
+  0x171d, /* VPANDDZ128rm */
+  0x1723, /* VPANDDZ128rr */
 /* Table4911 */
-  0x122e, /* VPANDNDZrm */
-  0x1234, /* VPANDNDZrr */
+  0x1b9a, /* VPMAXUBZ128rm */
+  0x1b9d, /* VPMAXUBZ128rr */
 /* Table4913 */
-  0x1672, /* VPSRADZrm */
-  0x1674, /* VPSRADZrr */
+  0x1738, /* VPANDNDZ128rm */
+  0x173e, /* VPANDNDZ128rr */
 /* Table4915 */
-  0x10e9, /* VMOVNTDQZmr */
+  0x1558, /* VMOVNTDQZ128mr */
   0x0, /*  */
 /* Table4917 */
-  0x15d0, /* VPORDZrm */
-  0x15d6, /* VPORDZrr */
+  0x1c50, /* VPMINSWZ128rm */
+  0x1c53, /* VPMINSWZ128rr */
 /* Table4919 */
-  0x1725, /* VPXORDZrm */
-  0x172b, /* VPXORDZrr */
+  0x1e05, /* VPORDZ128rm */
+  0x1e0b, /* VPORDZ128rr */
 /* Table4921 */
-  0x1644, /* VPSLLDZrm */
-  0x1646, /* VPSLLDZrr */
+  0x1b84, /* VPMAXSWZ128rm */
+  0x1b87, /* VPMAXSWZ128rr */
 /* Table4923 */
-  0x16c5, /* VPSUBDZrm */
-  0x16cb, /* VPSUBDZrr */
+  0x1ff6, /* VPXORDZ128rm */
+  0x1ffc, /* VPXORDZ128rr */
 /* Table4925 */
-  0x11f5, /* VPADDDZrm */
-  0x11fb, /* VPADDDZrr */
+  0x1f4a, /* VPSUBBZ128rm */
+  0x1f4d, /* VPSUBBZ128rr */
 /* Table4927 */
-  0xca3, /* VCVTTPD2UDQZrm */
-  0xca4, /* VCVTTPD2UDQZrr */
+  0x1fae, /* VPSUBWZ128rm */
+  0x1fb1, /* VPSUBWZ128rr */
 /* Table4929 */
-  0xc4e, /* VCVTPD2UDQZrm */
-  0xc4f, /* VCVTPD2UDQZrr */
+  0x1f60, /* VPSUBDZ128rm */
+  0x1f66, /* VPSUBDZ128rr */
 /* Table4931 */
-  0x109f, /* VMOVDQU64Zrm */
-  0x10a2, /* VMOVDQU64Zrr */
+  0x16a1, /* VPADDBZ128rm */
+  0x16a4, /* VPADDBZ128rr */
 /* Table4933 */
-  0x109d, /* VMOVDQU64Zmr */
-  0x0, /*  */
+  0x1705, /* VPADDWZ128rm */
+  0x1708, /* VPADDWZ128rr */
 /* Table4935 */
-  0x105d, /* VMOVDQU16Zrm */
-  0x1060, /* VMOVDQU16Zrr */
+  0x16b7, /* VPADDDZ128rm */
+  0x16bd, /* VPADDDZ128rr */
 /* Table4937 */
-  0x105b, /* VMOVDQU16Zmr */
-  0x0, /*  */
+  0xd63, /* VCVTSI642SSZrm */
+  0xd64, /* VCVTSI642SSZrr */
 /* Table4939 */
-  0xc43, /* VCVTPD2DQZrm */
-  0xc44, /* VCVTPD2DQZrr */
+  0xd91, /* VCVTTSS2SI64Zrm */
+  0xd92, /* VCVTTSS2SI64Zrr */
 /* Table4941 */
-  0x1142, /* VMOVUPDZrm */
-  0x1145, /* VMOVUPDZrr */
+  0xd69, /* VCVTSS2SI64Zrm */
+  0xd6a, /* VCVTSS2SI64Zrr */
 /* Table4943 */
-  0x1140, /* VMOVUPDZmr */
-  0x0, /*  */
+  0x14fa, /* VMOVDQU64Z128rm */
+  0x14fd, /* VMOVDQU64Z128rr */
 /* Table4945 */
-  0xfef, /* VMOVDDUPZrm */
-  0xff0, /* VMOVDDUPZrr */
+  0xd99, /* VCVTTSS2USI64Zrm */
+  0xd9a, /* VCVTTSS2USI64Zrr */
 /* Table4947 */
-  0x1806, /* VUNPCKLPDZrm */
-  0x1807, /* VUNPCKLPDZrr */
+  0xd71, /* VCVTSS2USI64Zrm */
+  0xd72, /* VCVTSS2USI64Zrr */
 /* Table4949 */
-  0x17fa, /* VUNPCKHPDZrm */
-  0x17fb, /* VUNPCKHPDZrr */
+  0xda8, /* VCVTUSI642SSZrm */
+  0xda9, /* VCVTUSI642SSZrr */
 /* Table4951 */
-  0xfb7, /* VMOVAPDZrm */
-  0xfba, /* VMOVAPDZrr */
+  0x15ec, /* VMOVZPQILo2PQIZrm */
+  0x15ed, /* VMOVZPQILo2PQIZrr */
 /* Table4953 */
-  0xfb5, /* VMOVAPDZmr */
-  0x0, /*  */
+  0x14f8, /* VMOVDQU64Z128mr */
+  0x14fe, /* VMOVDQU64Z128rr_alt */
 /* Table4955 */
-  0x10ee, /* VMOVNTPDZmr */
-  0x0, /*  */
+  0x1574, /* VMOVSDZrm */
+  0x1575, /* VMOVSDZrr */
 /* Table4957 */
-  0xb8c, /* VADDPDZrm */
-  0xb92, /* VADDPDZrr */
+  0x1572, /* VMOVSDZmr */
+  0x1576, /* VMOVSDZrr_REV */
 /* Table4959 */
-  0x118f, /* VMULPDZrm */
-  0x1195, /* VMULPDZrr */
+  0xd61, /* VCVTSI642SDZrm */
+  0xd62, /* VCVTSI642SDZrr */
 /* Table4961 */
-  0xc4a, /* VCVTPD2PSZrm */
-  0xc4b, /* VCVTPD2PSZrr */
+  0xd85, /* VCVTTSD2SI64Zrm */
+  0xd86, /* VCVTTSD2SI64Zrr */
 /* Table4963 */
-  0x17c4, /* VSUBPDZrm */
-  0x17ca, /* VSUBPDZrr */
+  0xd45, /* VCVTSD2SI64Zrm */
+  0xd46, /* VCVTSD2SI64Zrr */
 /* Table4965 */
-  0xf6e, /* VMINPDZrm */
-  0xf74, /* VMINPDZrr */
+  0x2188, /* VSQRTSDZm */
+  0x218a, /* VSQRTSDZr */
 /* Table4967 */
-  0xcd4, /* VDIVPDZrm */
-  0xcda, /* VDIVPDZrr */
+  0xc12, /* VADDSDZrm_Int */
+  0xc16, /* VADDSDZrr_Int */
 /* Table4969 */
-  0xf39, /* VMAXPDZrm */
-  0xf3f, /* VMAXPDZrr */
+  0x1646, /* VMULSDZrm_Int */
+  0x164a, /* VMULSDZrr_Int */
 /* Table4971 */
-  0x171d, /* VPUNPCKLQDQZrm */
-  0x171e, /* VPUNPCKLQDQZrr */
+  0xd4d, /* VCVTSD2SSZrm */
+  0xd4e, /* VCVTSD2SSZrr */
 /* Table4973 */
-  0x1709, /* VPUNPCKHQDQZrm */
-  0x170a, /* VPUNPCKHQDQZrr */
+  0x21dc, /* VSUBSDZrm_Int */
+  0x21e0, /* VSUBSDZrr_Int */
 /* Table4975 */
-  0x1034, /* VMOVDQA64Zrm */
-  0x1037, /* VMOVDQA64Zrr */
+  0x13e5, /* VMINSDZrm_Int */
+  0x13e9, /* VMINSDZrr_Int */
 /* Table4977 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1679, /* VPSRAQZmi */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x167b, /* VPSRAQZri */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
+  0xdef, /* VDIVSDZrm_Int */
+  0xdf3, /* VDIVSDZrr_Int */
+/* Table4979 */
+  0x137a, /* VMAXSDZrm_Int */
+  0x137e, /* VMAXSDZrr_Int */
+/* Table4981 */
+  0x14b8, /* VMOVDQU16Z128rm */
+  0x14bb, /* VMOVDQU16Z128rr */
+/* Table4983 */
+  0xd8d, /* VCVTTSD2USI64Zrm */
+  0xd8e, /* VCVTTSD2USI64Zrr */
+/* Table4985 */
+  0xd51, /* VCVTSD2USI64Zrm */
+  0xd52, /* VCVTSD2USI64Zrr */
+/* Table4987 */
+  0xda6, /* VCVTUSI642SDZrm */
+  0xda7, /* VCVTUSI642SDZrr */
+/* Table4989 */
+  0x14b6, /* VMOVDQU16Z128mr */
+  0x14bc, /* VMOVDQU16Z128rr_alt */
+/* Table4991 */
+  0xce1, /* VCMPSDZrm */
+  0xce3, /* VCMPSDZrr */
 /* Table4993 */
-  0x0, /*  */
-  0x0, /*  */
-  0x16a2, /* VPSRLQZmi */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x164e, /* VPSLLQZmi */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x16a4, /* VPSRLQZri */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1650, /* VPSLLQZri */
-  0x0, /*  */
+  0x15a0, /* VMOVUPDZ128rm */
+  0x15a3, /* VMOVUPDZ128rr */
+/* Table4995 */
+  0x159e, /* VMOVUPDZ128mr */
+  0x15a4, /* VMOVUPDZ128rr_alt */
+/* Table4997 */
+  0x1412, /* VMOVAPDZ128rm */
+  0x1415, /* VMOVAPDZ128rr */
+/* Table4999 */
+  0x1410, /* VMOVAPDZ128mr */
+  0x1416, /* VMOVAPDZ128rr_alt */
+/* Table5001 */
+  0x155d, /* VMOVNTPDZ128mr */
+  0x0, /*  */
+/* Table5003 */
+  0x2201, /* VUCOMISDZrm */
+  0x2202, /* VUCOMISDZrr */
+/* Table5005 */
+  0xcf1, /* VCOMISDZrm */
+  0xcf2, /* VCOMISDZrr */
+/* Table5007 */
+  0x214c, /* VSQRTPDZ128m */
+  0x2152, /* VSQRTPDZ128r */
 /* Table5009 */
-  0x1032, /* VMOVDQA64Zmr */
-  0x0, /*  */
+  0xbcf, /* VADDPDZ128rm */
+  0xbd5, /* VADDPDZ128rr */
 /* Table5011 */
-  0xc05, /* VCMPPDZrmi */
-  0xc07, /* VCMPPDZrri */
+  0x1603, /* VMULPDZ128rm */
+  0x1609, /* VMULPDZ128rr */
 /* Table5013 */
-  0x179d, /* VSHUFPDZrmi */
-  0x179e, /* VSHUFPDZrri */
+  0x2199, /* VSUBPDZ128rm */
+  0x219f, /* VSUBPDZ128rr */
 /* Table5015 */
-  0x16a6, /* VPSRLQZrm */
-  0x16a8, /* VPSRLQZrr */
+  0x13a8, /* VMINPDZ128rm */
+  0x13ae, /* VMINPDZ128rr */
 /* Table5017 */
-  0x1202, /* VPADDQZrm */
-  0x1208, /* VPADDQZrr */
+  0xdac, /* VDIVPDZ128rm */
+  0xdb2, /* VDIVPDZ128rr */
 /* Table5019 */
-  0x1244, /* VPANDQZrm */
-  0x124a, /* VPANDQZrr */
+  0x133d, /* VMAXPDZ128rm */
+  0x1343, /* VMAXPDZ128rr */
 /* Table5021 */
-  0x1237, /* VPANDNQZrm */
-  0x123d, /* VPANDNQZrr */
+  0x1570, /* VMOVQI2PQIZrm */
+  0x1406, /* VMOV64toPQIZrr */
 /* Table5023 */
-  0x167d, /* VPSRAQZrm */
-  0x167f, /* VPSRAQZrr */
+  0x148f, /* VMOVDQA64Z128rm */
+  0x1492, /* VMOVDQA64Z128rr */
 /* Table5025 */
-  0xca0, /* VCVTTPD2DQZrm */
-  0xca1, /* VCVTTPD2DQZrr */
+  0x157c, /* VMOVSDto64Zmr */
+  0x156d, /* VMOVPQIto64Zrr */
 /* Table5027 */
-  0x15d9, /* VPORQZrm */
-  0x15df, /* VPORQZrr */
+  0x148d, /* VMOVDQA64Z128mr */
+  0x1493, /* VMOVDQA64Z128rr_alt */
 /* Table5029 */
-  0x172e, /* VPXORQZrm */
-  0x1734, /* VPXORQZrr */
+  0x16d6, /* VPADDQZ128rm */
+  0x16dc, /* VPADDQZ128rr */
 /* Table5031 */
-  0x1652, /* VPSLLQZrm */
-  0x1654, /* VPSLLQZrr */
+  0x156c, /* VMOVPQIto64Zmr */
+  0x0, /*  */
 /* Table5033 */
-  0x15c5, /* VPMULUDQZrm */
-  0x15cb, /* VPMULUDQZrr */
+  0x1772, /* VPANDQZ128rm */
+  0x1778, /* VPANDQZ128rr */
 /* Table5035 */
-  0x16d2, /* VPSUBQZrm */
-  0x16d8, /* VPSUBQZrr */
+  0x1753, /* VPANDNQZ128rm */
+  0x1759, /* VPANDNQZ128rr */
 /* Table5037 */
-  0x1156, /* VMOVUPSZ128rmk */
-  0x115a, /* VMOVUPSZ128rrk */
+  0x1e20, /* VPORQZ128rm */
+  0x1e26, /* VPORQZ128rr */
 /* Table5039 */
-  0x1154, /* VMOVUPSZ128mrk */
-  0x0, /*  */
+  0x2011, /* VPXORQZ128rm */
+  0x2017, /* VPXORQZ128rr */
 /* Table5041 */
-  0xfcb, /* VMOVAPSZ128rmk */
-  0xfcf, /* VMOVAPSZ128rrk */
+  0x1f7f, /* VPSUBQZ128rm */
+  0x1f85, /* VPSUBQZ128rr */
 /* Table5043 */
-  0xfc9, /* VMOVAPSZ128mrk */
-  0x0, /*  */
+  0x15d4, /* VMOVUPSZ256rm */
+  0x15d7, /* VMOVUPSZ256rr */
 /* Table5045 */
-  0x0, /*  */
-  0x1121, /* VMOVSSZrrk */
+  0x15d2, /* VMOVUPSZ256mr */
+  0x15d8, /* VMOVUPSZ256rr_alt */
 /* Table5047 */
-  0x1069, /* VMOVDQU32Z128rmk */
-  0x106d, /* VMOVDQU32Z128rrk */
+  0x1446, /* VMOVAPSZ256rm */
+  0x1449, /* VMOVAPSZ256rr */
 /* Table5049 */
-  0x1067, /* VMOVDQU32Z128mrk */
-  0x0, /*  */
+  0x1444, /* VMOVAPSZ256mr */
+  0x144a, /* VMOVAPSZ256rr_alt */
 /* Table5051 */
-  0x10ab, /* VMOVDQU8Z128rmk */
-  0x10af, /* VMOVDQU8Z128rrk */
-/* Table5053 */
-  0x10a9, /* VMOVDQU8Z128mrk */
+  0x1563, /* VMOVNTPSZ256mr */
   0x0, /*  */
+/* Table5053 */
+  0x2174, /* VSQRTPSZ256m */
+  0x217a, /* VSQRTPSZ256r */
 /* Table5055 */
-  0x12ec, /* VPCMPGTBZ128rmk */
-  0x12ee, /* VPCMPGTBZ128rrk */
+  0xbfa, /* VADDPSZ256rm */
+  0xc00, /* VADDPSZ256rr */
 /* Table5057 */
-  0x1328, /* VPCMPGTWZ128rmk */
-  0x132a, /* VPCMPGTWZ128rrk */
+  0x162e, /* VMULPSZ256rm */
+  0x1634, /* VMULPSZ256rr */
 /* Table5059 */
-  0x12fe, /* VPCMPGTDZ128rmk */
-  0x1300, /* VPCMPGTDZ128rrk */
+  0x21c4, /* VSUBPSZ256rm */
+  0x21ca, /* VSUBPSZ256rr */
 /* Table5061 */
-  0xffe, /* VMOVDQA32Z128rmk */
-  0x1002, /* VMOVDQA32Z128rrk */
+  0x13d0, /* VMINPSZ256rm */
+  0x13d6, /* VMINPSZ256rr */
 /* Table5063 */
-  0x1298, /* VPCMPEQBZ128rmk */
-  0x129a, /* VPCMPEQBZ128rrk */
+  0xdd7, /* VDIVPSZ256rm */
+  0xddd, /* VDIVPSZ256rr */
 /* Table5065 */
-  0x12d4, /* VPCMPEQWZ128rmk */
-  0x12d6, /* VPCMPEQWZ128rrk */
+  0x1365, /* VMAXPSZ256rm */
+  0x136b, /* VMAXPSZ256rr */
 /* Table5067 */
-  0x12aa, /* VPCMPEQDZ128rmk */
-  0x12ac, /* VPCMPEQDZ128rrk */
+  0x14e4, /* VMOVDQU32Z256rm */
+  0x14e7, /* VMOVDQU32Z256rr */
 /* Table5069 */
-  0xffc, /* VMOVDQA32Z128mrk */
-  0x0, /*  */
+  0x14e2, /* VMOVDQU32Z256mr */
+  0x14e8, /* VMOVDQU32Z256rr_alt */
 /* Table5071 */
-  0x108a, /* VMOVDQU64Z128rmk */
-  0x108e, /* VMOVDQU64Z128rrk */
+  0x1526, /* VMOVDQU8Z256rm */
+  0x1529, /* VMOVDQU8Z256rr */
 /* Table5073 */
-  0x1088, /* VMOVDQU64Z128mrk */
-  0x0, /*  */
+  0x1524, /* VMOVDQU8Z256mr */
+  0x152a, /* VMOVDQU8Z256rr_alt */
 /* Table5075 */
-  0x0, /*  */
-  0x1104, /* VMOVSDZrrk */
+  0x18d9, /* VPCMPGTBZ256rm */
+  0x18db, /* VPCMPGTBZ256rr */
 /* Table5077 */
-  0x1048, /* VMOVDQU16Z128rmk */
-  0x104c, /* VMOVDQU16Z128rrk */
+  0x1915, /* VPCMPGTWZ256rm */
+  0x1917, /* VPCMPGTWZ256rr */
 /* Table5079 */
-  0x1046, /* VMOVDQU16Z128mrk */
-  0x0, /*  */
+  0x18eb, /* VPCMPGTDZ256rm */
+  0x18ef, /* VPCMPGTDZ256rr */
 /* Table5081 */
-  0x112d, /* VMOVUPDZ128rmk */
-  0x1131, /* VMOVUPDZ128rrk */
+  0x1479, /* VMOVDQA32Z256rm */
+  0x147c, /* VMOVDQA32Z256rr */
 /* Table5083 */
-  0x112b, /* VMOVUPDZ128mrk */
-  0x0, /*  */
+  0x1885, /* VPCMPEQBZ256rm */
+  0x1887, /* VPCMPEQBZ256rr */
 /* Table5085 */
-  0xfa2, /* VMOVAPDZ128rmk */
-  0xfa6, /* VMOVAPDZ128rrk */
+  0x18c1, /* VPCMPEQWZ256rm */
+  0x18c3, /* VPCMPEQWZ256rr */
 /* Table5087 */
-  0xfa0, /* VMOVAPDZ128mrk */
-  0x0, /*  */
+  0x1897, /* VPCMPEQDZ256rm */
+  0x189b, /* VPCMPEQDZ256rr */
 /* Table5089 */
-  0x101f, /* VMOVDQA64Z128rmk */
-  0x1023, /* VMOVDQA64Z128rrk */
+  0x1477, /* VMOVDQA32Z256mr */
+  0x147d, /* VMOVDQA32Z256rr_alt */
 /* Table5091 */
-  0x101d, /* VMOVDQA64Z128mrk */
-  0x0, /*  */
+  0x1dea, /* VPMULLWZ256rm */
+  0x1ded, /* VPMULLWZ256rr */
 /* Table5093 */
-  0x1161, /* VMOVUPSZ256rmk */
-  0x1165, /* VMOVUPSZ256rrk */
+  0x1c6c, /* VPMINUBZ256rm */
+  0x1c6f, /* VPMINUBZ256rr */
 /* Table5095 */
-  0x115f, /* VMOVUPSZ256mrk */
-  0x0, /*  */
+  0x1726, /* VPANDDZ256rm */
+  0x172c, /* VPANDDZ256rr */
 /* Table5097 */
-  0xfd6, /* VMOVAPSZ256rmk */
-  0xfda, /* VMOVAPSZ256rrk */
+  0x1ba0, /* VPMAXUBZ256rm */
+  0x1ba3, /* VPMAXUBZ256rr */
 /* Table5099 */
-  0xfd4, /* VMOVAPSZ256mrk */
-  0x0, /*  */
+  0x1741, /* VPANDNDZ256rm */
+  0x1747, /* VPANDNDZ256rr */
 /* Table5101 */
-  0x1074, /* VMOVDQU32Z256rmk */
-  0x1078, /* VMOVDQU32Z256rrk */
-/* Table5103 */
-  0x1072, /* VMOVDQU32Z256mrk */
+  0x1559, /* VMOVNTDQZ256mr */
   0x0, /*  */
+/* Table5103 */
+  0x1c56, /* VPMINSWZ256rm */
+  0x1c59, /* VPMINSWZ256rr */
 /* Table5105 */
-  0x10b6, /* VMOVDQU8Z256rmk */
-  0x10ba, /* VMOVDQU8Z256rrk */
+  0x1e0e, /* VPORDZ256rm */
+  0x1e14, /* VPORDZ256rr */
 /* Table5107 */
-  0x10b4, /* VMOVDQU8Z256mrk */
-  0x0, /*  */
+  0x1b8a, /* VPMAXSWZ256rm */
+  0x1b8d, /* VPMAXSWZ256rr */
 /* Table5109 */
-  0x12f0, /* VPCMPGTBZ256rmk */
-  0x12f2, /* VPCMPGTBZ256rrk */
+  0x1fff, /* VPXORDZ256rm */
+  0x2005, /* VPXORDZ256rr */
 /* Table5111 */
-  0x132c, /* VPCMPGTWZ256rmk */
-  0x132e, /* VPCMPGTWZ256rrk */
+  0x1f50, /* VPSUBBZ256rm */
+  0x1f53, /* VPSUBBZ256rr */
 /* Table5113 */
-  0x1304, /* VPCMPGTDZ256rmk */
-  0x1306, /* VPCMPGTDZ256rrk */
+  0x1fb4, /* VPSUBWZ256rm */
+  0x1fb7, /* VPSUBWZ256rr */
 /* Table5115 */
-  0x1009, /* VMOVDQA32Z256rmk */
-  0x100d, /* VMOVDQA32Z256rrk */
+  0x1f69, /* VPSUBDZ256rm */
+  0x1f6f, /* VPSUBDZ256rr */
 /* Table5117 */
-  0x129c, /* VPCMPEQBZ256rmk */
-  0x129e, /* VPCMPEQBZ256rrk */
+  0x16a7, /* VPADDBZ256rm */
+  0x16aa, /* VPADDBZ256rr */
 /* Table5119 */
-  0x12d8, /* VPCMPEQWZ256rmk */
-  0x12da, /* VPCMPEQWZ256rrk */
+  0x170b, /* VPADDWZ256rm */
+  0x170e, /* VPADDWZ256rr */
 /* Table5121 */
-  0x12b0, /* VPCMPEQDZ256rmk */
-  0x12b2, /* VPCMPEQDZ256rrk */
+  0x16c0, /* VPADDDZ256rm */
+  0x16c6, /* VPADDDZ256rr */
 /* Table5123 */
-  0x1007, /* VMOVDQA32Z256mrk */
-  0x0, /*  */
+  0x1505, /* VMOVDQU64Z256rm */
+  0x1508, /* VMOVDQU64Z256rr */
 /* Table5125 */
-  0x1095, /* VMOVDQU64Z256rmk */
-  0x1099, /* VMOVDQU64Z256rrk */
+  0x1503, /* VMOVDQU64Z256mr */
+  0x1509, /* VMOVDQU64Z256rr_alt */
 /* Table5127 */
-  0x1093, /* VMOVDQU64Z256mrk */
-  0x0, /*  */
+  0x14c3, /* VMOVDQU16Z256rm */
+  0x14c6, /* VMOVDQU16Z256rr */
 /* Table5129 */
-  0x1053, /* VMOVDQU16Z256rmk */
-  0x1057, /* VMOVDQU16Z256rrk */
+  0x14c1, /* VMOVDQU16Z256mr */
+  0x14c7, /* VMOVDQU16Z256rr_alt */
 /* Table5131 */
-  0x1051, /* VMOVDQU16Z256mrk */
-  0x0, /*  */
+  0x15ab, /* VMOVUPDZ256rm */
+  0x15ae, /* VMOVUPDZ256rr */
 /* Table5133 */
-  0x1138, /* VMOVUPDZ256rmk */
-  0x113c, /* VMOVUPDZ256rrk */
+  0x15a9, /* VMOVUPDZ256mr */
+  0x15af, /* VMOVUPDZ256rr_alt */
 /* Table5135 */
-  0x1136, /* VMOVUPDZ256mrk */
-  0x0, /*  */
+  0x141d, /* VMOVAPDZ256rm */
+  0x1420, /* VMOVAPDZ256rr */
 /* Table5137 */
-  0xfad, /* VMOVAPDZ256rmk */
-  0xfb1, /* VMOVAPDZ256rrk */
+  0x141b, /* VMOVAPDZ256mr */
+  0x1421, /* VMOVAPDZ256rr_alt */
 /* Table5139 */
-  0xfab, /* VMOVAPDZ256mrk */
+  0x155e, /* VMOVNTPDZ256mr */
   0x0, /*  */
 /* Table5141 */
-  0x102a, /* VMOVDQA64Z256rmk */
-  0x102e, /* VMOVDQA64Z256rrk */
+  0x2155, /* VSQRTPDZ256m */
+  0x215b, /* VSQRTPDZ256r */
 /* Table5143 */
-  0x1028, /* VMOVDQA64Z256mrk */
-  0x0, /*  */
+  0xbd8, /* VADDPDZ256rm */
+  0xbde, /* VADDPDZ256rr */
 /* Table5145 */
-  0x116c, /* VMOVUPSZrmk */
-  0x1170, /* VMOVUPSZrrk */
+  0x160c, /* VMULPDZ256rm */
+  0x1612, /* VMULPDZ256rr */
 /* Table5147 */
-  0x116a, /* VMOVUPSZmrk */
-  0x0, /*  */
+  0x21a2, /* VSUBPDZ256rm */
+  0x21a8, /* VSUBPDZ256rr */
 /* Table5149 */
-  0xfe1, /* VMOVAPSZrmk */
-  0xfe5, /* VMOVAPSZrrk */
+  0x13b1, /* VMINPDZ256rm */
+  0x13b7, /* VMINPDZ256rr */
 /* Table5151 */
-  0xfdf, /* VMOVAPSZmrk */
-  0x0, /*  */
+  0xdb5, /* VDIVPDZ256rm */
+  0xdbb, /* VDIVPDZ256rr */
 /* Table5153 */
-  0xb9d, /* VADDPSZrmk */
-  0xba0, /* VADDPSZrrk */
+  0x1346, /* VMAXPDZ256rm */
+  0x134c, /* VMAXPDZ256rr */
 /* Table5155 */
-  0x11a0, /* VMULPSZrmk */
-  0x11a3, /* VMULPSZrrk */
+  0x149a, /* VMOVDQA64Z256rm */
+  0x149d, /* VMOVDQA64Z256rr */
 /* Table5157 */
-  0x17d5, /* VSUBPSZrmk */
-  0x17d8, /* VSUBPSZrrk */
+  0x1498, /* VMOVDQA64Z256mr */
+  0x149e, /* VMOVDQA64Z256rr_alt */
 /* Table5159 */
-  0xf7f, /* VMINPSZrmk */
-  0xf82, /* VMINPSZrrk */
+  0x16df, /* VPADDQZ256rm */
+  0x16e5, /* VPADDQZ256rr */
 /* Table5161 */
-  0xce5, /* VDIVPSZrmk */
-  0xce8, /* VDIVPSZrrk */
+  0x177b, /* VPANDQZ256rm */
+  0x1781, /* VPANDQZ256rr */
 /* Table5163 */
-  0xf4a, /* VMAXPSZrmk */
-  0xf4d, /* VMAXPSZrrk */
+  0x175c, /* VPANDNQZ256rm */
+  0x1762, /* VPANDNQZ256rr */
 /* Table5165 */
-  0x107f, /* VMOVDQU32Zrmk */
-  0x1083, /* VMOVDQU32Zrrk */
+  0x1e29, /* VPORQZ256rm */
+  0x1e2f, /* VPORQZ256rr */
 /* Table5167 */
-  0x107d, /* VMOVDQU32Zmrk */
-  0x0, /*  */
+  0x201a, /* VPXORQZ256rm */
+  0x2020, /* VPXORQZ256rr */
 /* Table5169 */
-  0x10c1, /* VMOVDQU8Zrmk */
-  0x10c5, /* VMOVDQU8Zrrk */
+  0x1f88, /* VPSUBQZ256rm */
+  0x1f8e, /* VPSUBQZ256rr */
 /* Table5171 */
-  0x10bf, /* VMOVDQU8Zmrk */
-  0x0, /*  */
+  0x15df, /* VMOVUPSZrm */
+  0x15e2, /* VMOVUPSZrr */
 /* Table5173 */
-  0x12f4, /* VPCMPGTBZrmk */
-  0x12f6, /* VPCMPGTBZrrk */
+  0x15dd, /* VMOVUPSZmr */
+  0x15e3, /* VMOVUPSZrr_alt */
 /* Table5175 */
-  0x1330, /* VPCMPGTWZrmk */
-  0x1332, /* VPCMPGTWZrrk */
+  0x221d, /* VUNPCKLPSZrm */
+  0x221e, /* VUNPCKLPSZrr */
 /* Table5177 */
-  0x130a, /* VPCMPGTDZrmk */
-  0x130c, /* VPCMPGTDZrrk */
+  0x2211, /* VUNPCKHPSZrm */
+  0x2212, /* VUNPCKHPSZrr */
 /* Table5179 */
-  0x1014, /* VMOVDQA32Zrmk */
-  0x1018, /* VMOVDQA32Zrrk */
+  0x1451, /* VMOVAPSZrm */
+  0x1454, /* VMOVAPSZrr */
 /* Table5181 */
-  0x0, /*  */
-  0x0, /*  */
-  0x1695, /* VPSRLDZmik */
-  0x0, /*  */
-  0x166f, /* VPSRADZmik */
-  0x0, /*  */
-  0x1641, /* VPSLLDZmik */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1697, /* VPSRLDZrik */
-  0x0, /*  */
-  0x1671, /* VPSRADZrik */
-  0x0, /*  */
-  0x1643, /* VPSLLDZrik */
-  0x0, /*  */
+  0x144f, /* VMOVAPSZmr */
+  0x1455, /* VMOVAPSZrr_alt */
+/* Table5183 */
+  0x1564, /* VMOVNTPSZmr */
+  0x0, /*  */
+/* Table5185 */
+  0x217d, /* VSQRTPSZm */
+  0x2183, /* VSQRTPSZr */
+/* Table5187 */
+  0xc06, /* VADDPSZrm */
+  0xc0c, /* VADDPSZrr */
+/* Table5189 */
+  0x163a, /* VMULPSZrm */
+  0x1640, /* VMULPSZrr */
+/* Table5191 */
+  0xd38, /* VCVTPS2PDZrm */
+  0xd39, /* VCVTPS2PDZrr */
+/* Table5193 */
+  0xd13, /* VCVTDQ2PSZrm */
+  0xd14, /* VCVTDQ2PSZrr */
+/* Table5195 */
+  0x21d0, /* VSUBPSZrm */
+  0x21d6, /* VSUBPSZrr */
 /* Table5197 */
-  0x12a0, /* VPCMPEQBZrmk */
-  0x12a2, /* VPCMPEQBZrrk */
+  0x13d9, /* VMINPSZrm */
+  0x13df, /* VMINPSZrr */
 /* Table5199 */
-  0x12dc, /* VPCMPEQWZrmk */
-  0x12de, /* VPCMPEQWZrrk */
+  0xde3, /* VDIVPSZrm */
+  0xde9, /* VDIVPSZrr */
 /* Table5201 */
-  0x12b6, /* VPCMPEQDZrmk */
-  0x12b8, /* VPCMPEQDZrrk */
+  0x136e, /* VMAXPSZrm */
+  0x1374, /* VMAXPSZrr */
 /* Table5203 */
-  0x1012, /* VMOVDQA32Zmrk */
-  0x0, /*  */
+  0xd83, /* VCVTTPS2UDQZrm */
+  0xd84, /* VCVTTPS2UDQZrr */
 /* Table5205 */
-  0x1699, /* VPSRLDZrmk */
-  0x169b, /* VPSRLDZrrk */
+  0xd42, /* VCVTPS2UDQZrm */
+  0xd43, /* VCVTPS2UDQZrr */
 /* Table5207 */
-  0x1229, /* VPANDDZrmk */
-  0x122c, /* VPANDDZrrk */
+  0xcd7, /* VCMPPSZrmi */
+  0xcd9, /* VCMPPSZrri */
 /* Table5209 */
-  0x1232, /* VPANDNDZrmk */
-  0x1235, /* VPANDNDZrrk */
+  0x2146, /* VSHUFPSZrmi */
+  0x2147, /* VSHUFPSZrri */
 /* Table5211 */
-  0x1673, /* VPSRADZrmk */
-  0x1675, /* VPSRADZrrk */
+  0x1588, /* VMOVSLDUPZrm */
+  0x1589, /* VMOVSLDUPZrr */
 /* Table5213 */
-  0x15d4, /* VPORDZrmk */
-  0x15d7, /* VPORDZrrk */
+  0x1582, /* VMOVSHDUPZrm */
+  0x1583, /* VMOVSHDUPZrr */
 /* Table5215 */
-  0x1729, /* VPXORDZrmk */
-  0x172c, /* VPXORDZrrk */
+  0xd7f, /* VCVTTPS2DQZrm */
+  0xd80, /* VCVTTPS2DQZrr */
 /* Table5217 */
-  0x1645, /* VPSLLDZrmk */
-  0x1647, /* VPSLLDZrrk */
+  0x14ef, /* VMOVDQU32Zrm */
+  0x14f2, /* VMOVDQU32Zrr */
 /* Table5219 */
-  0x16c9, /* VPSUBDZrmk */
-  0x16cc, /* VPSUBDZrrk */
+  0xd9d, /* VCVTUDQ2PDZrm */
+  0xd9e, /* VCVTUDQ2PDZrr */
 /* Table5221 */
-  0x11f9, /* VPADDDZrmk */
-  0x11fc, /* VPADDDZrrk */
+  0x14ed, /* VMOVDQU32Zmr */
+  0x14f3, /* VMOVDQU32Zrr_alt */
 /* Table5223 */
-  0x10a0, /* VMOVDQU64Zrmk */
-  0x10a4, /* VMOVDQU64Zrrk */
+  0xd0d, /* VCVTDQ2PDZrm */
+  0xd0e, /* VCVTDQ2PDZrr */
 /* Table5225 */
-  0x109e, /* VMOVDQU64Zmrk */
-  0x0, /*  */
+  0x1531, /* VMOVDQU8Zrm */
+  0x1534, /* VMOVDQU8Zrr */
 /* Table5227 */
-  0x105e, /* VMOVDQU16Zrmk */
-  0x1062, /* VMOVDQU16Zrrk */
+  0xd9f, /* VCVTUDQ2PSZrm */
+  0xda0, /* VCVTUDQ2PSZrr */
 /* Table5229 */
-  0x105c, /* VMOVDQU16Zmrk */
-  0x0, /*  */
+  0x152f, /* VMOVDQU8Zmr */
+  0x1535, /* VMOVDQU8Zrr_alt */
 /* Table5231 */
-  0x1143, /* VMOVUPDZrmk */
-  0x1147, /* VMOVUPDZrrk */
+  0xd31, /* VCVTPS2DQZrm */
+  0xd32, /* VCVTPS2DQZrr */
 /* Table5233 */
-  0x1141, /* VMOVUPDZmrk */
-  0x0, /*  */
+  0x1fe8, /* VPUNPCKLDQZrm */
+  0x1fe9, /* VPUNPCKLDQZrr */
 /* Table5235 */
-  0xfb8, /* VMOVAPDZrmk */
-  0xfbc, /* VMOVAPDZrrk */
+  0x18dd, /* VPCMPGTBZrm */
+  0x18df, /* VPCMPGTBZrr */
 /* Table5237 */
-  0xfb6, /* VMOVAPDZmrk */
-  0x0, /*  */
+  0x1919, /* VPCMPGTWZrm */
+  0x191b, /* VPCMPGTWZrr */
 /* Table5239 */
-  0xb90, /* VADDPDZrmk */
-  0xb93, /* VADDPDZrrk */
+  0x18f1, /* VPCMPGTDZrm */
+  0x18f5, /* VPCMPGTDZrr */
 /* Table5241 */
-  0x1193, /* VMULPDZrmk */
-  0x1196, /* VMULPDZrrk */
+  0x1fd4, /* VPUNPCKHDQZrm */
+  0x1fd5, /* VPUNPCKHDQZrr */
 /* Table5243 */
-  0x17c8, /* VSUBPDZrmk */
-  0x17cb, /* VSUBPDZrrk */
+  0x1484, /* VMOVDQA32Zrm */
+  0x1487, /* VMOVDQA32Zrr */
 /* Table5245 */
-  0xf72, /* VMINPDZrmk */
-  0xf75, /* VMINPDZrrk */
+  0x1e7c, /* VPSHUFDZmi */
+  0x1e7d, /* VPSHUFDZri */
 /* Table5247 */
-  0xcd8, /* VDIVPDZrmk */
-  0xcdb, /* VDIVPDZrrk */
-/* Table5249 */
-  0xf3d, /* VMAXPDZrmk */
-  0xf40, /* VMAXPDZrrk */
-/* Table5251 */
-  0x1035, /* VMOVDQA64Zrmk */
-  0x1039, /* VMOVDQA64Zrrk */
-/* Table5253 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x167a, /* VPSRAQZmik */
   0x0, /*  */
   0x0, /*  */
+  0x1f0d, /* VPSRLDZmi */
   0x0, /*  */
+  0x1ed7, /* VPSRADZmi */
   0x0, /*  */
+  0x1e99, /* VPSLLDZmi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x167c, /* VPSRAQZrik */
+  0x1f10, /* VPSRLDZri */
   0x0, /*  */
+  0x1eda, /* VPSRADZri */
   0x0, /*  */
+  0x1e9c, /* VPSLLDZri */
   0x0, /*  */
+/* Table5263 */
+  0x1889, /* VPCMPEQBZrm */
+  0x188b, /* VPCMPEQBZrr */
+/* Table5265 */
+  0x18c5, /* VPCMPEQWZrm */
+  0x18c7, /* VPCMPEQWZrr */
+/* Table5267 */
+  0x189d, /* VPCMPEQDZrm */
+  0x18a1, /* VPCMPEQDZrr */
 /* Table5269 */
-  0x0, /*  */
-  0x0, /*  */
-  0x16a3, /* VPSRLQZmik */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x164f, /* VPSLLQZmik */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x16a5, /* VPSRLQZrik */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x1651, /* VPSLLQZrik */
-  0x0, /*  */
+  0x1482, /* VMOVDQA32Zmr */
+  0x1488, /* VMOVDQA32Zrr_alt */
+/* Table5271 */
+  0x1f13, /* VPSRLDZrm */
+  0x1f16, /* VPSRLDZrr */
+/* Table5273 */
+  0x1df0, /* VPMULLWZrm */
+  0x1df3, /* VPMULLWZrr */
+/* Table5275 */
+  0x1c72, /* VPMINUBZrm */
+  0x1c75, /* VPMINUBZrr */
+/* Table5277 */
+  0x172f, /* VPANDDZrm */
+  0x1735, /* VPANDDZrr */
+/* Table5279 */
+  0x1ba6, /* VPMAXUBZrm */
+  0x1ba9, /* VPMAXUBZrr */
+/* Table5281 */
+  0x174a, /* VPANDNDZrm */
+  0x1750, /* VPANDNDZrr */
+/* Table5283 */
+  0x1edd, /* VPSRADZrm */
+  0x1ee0, /* VPSRADZrr */
 /* Table5285 */
-  0x1033, /* VMOVDQA64Zmrk */
+  0x155a, /* VMOVNTDQZmr */
   0x0, /*  */
 /* Table5287 */
-  0x16a7, /* VPSRLQZrmk */
-  0x16a9, /* VPSRLQZrrk */
+  0x1c5c, /* VPMINSWZrm */
+  0x1c5f, /* VPMINSWZrr */
 /* Table5289 */
-  0x1206, /* VPADDQZrmk */
-  0x1209, /* VPADDQZrrk */
+  0x1e17, /* VPORDZrm */
+  0x1e1d, /* VPORDZrr */
 /* Table5291 */
-  0x1248, /* VPANDQZrmk */
-  0x124b, /* VPANDQZrrk */
+  0x1b90, /* VPMAXSWZrm */
+  0x1b93, /* VPMAXSWZrr */
 /* Table5293 */
-  0x123b, /* VPANDNQZrmk */
-  0x123e, /* VPANDNQZrrk */
+  0x2008, /* VPXORDZrm */
+  0x200e, /* VPXORDZrr */
 /* Table5295 */
-  0x167e, /* VPSRAQZrmk */
-  0x1680, /* VPSRAQZrrk */
+  0x1e9f, /* VPSLLDZrm */
+  0x1ea2, /* VPSLLDZrr */
 /* Table5297 */
-  0x15dd, /* VPORQZrmk */
-  0x15e0, /* VPORQZrrk */
+  0x1f56, /* VPSUBBZrm */
+  0x1f59, /* VPSUBBZrr */
 /* Table5299 */
-  0x1732, /* VPXORQZrmk */
-  0x1735, /* VPXORQZrrk */
+  0x1fba, /* VPSUBWZrm */
+  0x1fbd, /* VPSUBWZrr */
 /* Table5301 */
-  0x1653, /* VPSLLQZrmk */
-  0x1655, /* VPSLLQZrrk */
+  0x1f72, /* VPSUBDZrm */
+  0x1f78, /* VPSUBDZrr */
 /* Table5303 */
-  0x15c9, /* VPMULUDQZrmk */
-  0x15cc, /* VPMULUDQZrrk */
+  0x16ad, /* VPADDBZrm */
+  0x16b0, /* VPADDBZrr */
 /* Table5305 */
-  0x16d6, /* VPSUBQZrmk */
-  0x16d9, /* VPSUBQZrrk */
+  0x1711, /* VPADDWZrm */
+  0x1714, /* VPADDWZrr */
 /* Table5307 */
-  0x12fc, /* VPCMPGTDZ128rmb */
-  0x0, /*  */
+  0x16c9, /* VPADDDZrm */
+  0x16cf, /* VPADDDZrr */
 /* Table5309 */
-  0x12a8, /* VPCMPEQDZ128rmb */
-  0x0, /*  */
+  0xd7b, /* VCVTTPD2UDQZrm */
+  0xd7c, /* VCVTTPD2UDQZrr */
 /* Table5311 */
-  0x1302, /* VPCMPGTDZ256rmb */
-  0x0, /*  */
+  0xd26, /* VCVTPD2UDQZrm */
+  0xd27, /* VCVTPD2UDQZrr */
 /* Table5313 */
-  0x12ae, /* VPCMPEQDZ256rmb */
-  0x0, /*  */
+  0x1510, /* VMOVDQU64Zrm */
+  0x1513, /* VMOVDQU64Zrr */
 /* Table5315 */
-  0xb9a, /* VADDPSZrmb */
-  0x0, /*  */
+  0x150e, /* VMOVDQU64Zmr */
+  0x1514, /* VMOVDQU64Zrr_alt */
 /* Table5317 */
-  0x119d, /* VMULPSZrmb */
-  0x0, /*  */
+  0x14ce, /* VMOVDQU16Zrm */
+  0x14d1, /* VMOVDQU16Zrr */
 /* Table5319 */
-  0x0, /*  */
-  0xc3d, /* VCVTDQ2PSZrrb */
+  0x14cc, /* VMOVDQU16Zmr */
+  0x14d2, /* VMOVDQU16Zrr_alt */
 /* Table5321 */
-  0x17d2, /* VSUBPSZrmb */
-  0x0, /*  */
+  0xd1b, /* VCVTPD2DQZrm */
+  0xd1c, /* VCVTPD2DQZrr */
 /* Table5323 */
-  0xf7c, /* VMINPSZrmb */
-  0x0, /*  */
+  0x15b6, /* VMOVUPDZrm */
+  0x15b9, /* VMOVUPDZrr */
 /* Table5325 */
-  0xce2, /* VDIVPSZrmb */
-  0x0, /*  */
+  0x15b4, /* VMOVUPDZmr */
+  0x15ba, /* VMOVUPDZrr_alt */
 /* Table5327 */
-  0xf47, /* VMAXPSZrmb */
-  0x0, /*  */
+  0x1460, /* VMOVDDUPZrm */
+  0x1461, /* VMOVDDUPZrr */
 /* Table5329 */
-  0x0, /*  */
-  0xc6c, /* VCVTPS2UDQZrrb */
+  0x2217, /* VUNPCKLPDZrm */
+  0x2218, /* VUNPCKLPDZrr */
 /* Table5331 */
-  0x0, /*  */
-  0xc16, /* VCMPPSZrrib */
+  0x220b, /* VUNPCKHPDZrm */
+  0x220c, /* VUNPCKHPDZrr */
 /* Table5333 */
-  0x0, /*  */
-  0xcc9, /* VCVTUDQ2PSZrrb */
+  0x1428, /* VMOVAPDZrm */
+  0x142b, /* VMOVAPDZrr */
 /* Table5335 */
-  0x0, /*  */
-  0xc5b, /* VCVTPS2DQZrrb */
+  0x1426, /* VMOVAPDZmr */
+  0x142c, /* VMOVAPDZrr_alt */
 /* Table5337 */
-  0x1308, /* VPCMPGTDZrmb */
+  0x155f, /* VMOVNTPDZmr */
   0x0, /*  */
 /* Table5339 */
-  0x12b4, /* VPCMPEQDZrmb */
-  0x0, /*  */
+  0x215e, /* VSQRTPDZm */
+  0x2164, /* VSQRTPDZr */
 /* Table5341 */
-  0x1226, /* VPANDDZrmb */
-  0x0, /*  */
+  0xbe4, /* VADDPDZrm */
+  0xbea, /* VADDPDZrr */
 /* Table5343 */
-  0x122f, /* VPANDNDZrmb */
-  0x0, /*  */
+  0x1618, /* VMULPDZrm */
+  0x161e, /* VMULPDZrr */
 /* Table5345 */
-  0x15d1, /* VPORDZrmb */
-  0x0, /*  */
+  0xd22, /* VCVTPD2PSZrm */
+  0xd23, /* VCVTPD2PSZrr */
 /* Table5347 */
-  0x1726, /* VPXORDZrmb */
-  0x0, /*  */
+  0x21ae, /* VSUBPDZrm */
+  0x21b4, /* VSUBPDZrr */
 /* Table5349 */
-  0x16c6, /* VPSUBDZrmb */
-  0x0, /*  */
+  0x13ba, /* VMINPDZrm */
+  0x13c0, /* VMINPDZrr */
 /* Table5351 */
-  0x11f6, /* VPADDDZrmb */
-  0x0, /*  */
+  0xdc1, /* VDIVPDZrm */
+  0xdc7, /* VDIVPDZrr */
 /* Table5353 */
-  0x0, /*  */
-  0xc50, /* VCVTPD2UDQZrrb */
+  0x134f, /* VMAXPDZrm */
+  0x1355, /* VMAXPDZrr */
 /* Table5355 */
-  0x0, /*  */
-  0xc45, /* VCVTPD2DQZrrb */
+  0x1fee, /* VPUNPCKLQDQZrm */
+  0x1fef, /* VPUNPCKLQDQZrr */
 /* Table5357 */
-  0xb8d, /* VADDPDZrmb */
-  0x0, /*  */
+  0x1fda, /* VPUNPCKHQDQZrm */
+  0x1fdb, /* VPUNPCKHQDQZrr */
 /* Table5359 */
-  0x1190, /* VMULPDZrmb */
-  0x0, /*  */
+  0x14a5, /* VMOVDQA64Zrm */
+  0x14a8, /* VMOVDQA64Zrr */
 /* Table5361 */
   0x0, /*  */
-  0xc4c, /* VCVTPD2PSZrrb */
-/* Table5363 */
-  0x17c5, /* VSUBPDZrmb */
   0x0, /*  */
-/* Table5365 */
-  0xf6f, /* VMINPDZrmb */
   0x0, /*  */
-/* Table5367 */
-  0xcd5, /* VDIVPDZrmb */
   0x0, /*  */
-/* Table5369 */
-  0xf3a, /* VMAXPDZrmb */
+  0x1ee6, /* VPSRAQZmi */
+  0x0, /*  */
+  0x0, /*  */
   0x0, /*  */
-/* Table5371 */
   0x0, /*  */
-  0xc09, /* VCMPPDZrrib */
-/* Table5373 */
-  0x1203, /* VPADDQZrmb */
   0x0, /*  */
-/* Table5375 */
-  0x1245, /* VPANDQZrmb */
+  0x0, /*  */
+  0x0, /*  */
+  0x1ee9, /* VPSRAQZri */
+  0x0, /*  */
+  0x0, /*  */
   0x0, /*  */
 /* Table5377 */
-  0x1238, /* VPANDNQZrmb */
   0x0, /*  */
-/* Table5379 */
-  0x15da, /* VPORQZrmb */
   0x0, /*  */
-/* Table5381 */
-  0x172f, /* VPXORQZrmb */
+  0x1f1f, /* VPSRLQZmi */
   0x0, /*  */
-/* Table5383 */
-  0x15c6, /* VPMULUDQZrmb */
   0x0, /*  */
-/* Table5385 */
-  0x16d3, /* VPSUBQZrmb */
   0x0, /*  */
-/* Table5387 */
-  0x12fd, /* VPCMPGTDZ128rmbk */
+  0x1eab, /* VPSLLQZmi */
   0x0, /*  */
-/* Table5389 */
-  0x12a9, /* VPCMPEQDZ128rmbk */
   0x0, /*  */
-/* Table5391 */
-  0x1303, /* VPCMPGTDZ256rmbk */
   0x0, /*  */
-/* Table5393 */
-  0x12af, /* VPCMPEQDZ256rmbk */
+  0x1f22, /* VPSRLQZri */
   0x0, /*  */
-/* Table5395 */
-  0xb9b, /* VADDPSZrmbk */
   0x0, /*  */
-/* Table5397 */
-  0x119e, /* VMULPSZrmbk */
   0x0, /*  */
-/* Table5399 */
-  0x17d3, /* VSUBPSZrmbk */
+  0x1eae, /* VPSLLQZri */
   0x0, /*  */
+/* Table5393 */
+  0x14a3, /* VMOVDQA64Zmr */
+  0x14a9, /* VMOVDQA64Zrr_alt */
+/* Table5395 */
+  0xcc9, /* VCMPPDZrmi */
+  0xccb, /* VCMPPDZrri */
+/* Table5397 */
+  0x2140, /* VSHUFPDZrmi */
+  0x2141, /* VSHUFPDZrri */
+/* Table5399 */
+  0x1f25, /* VPSRLQZrm */
+  0x1f28, /* VPSRLQZrr */
 /* Table5401 */
-  0xf7d, /* VMINPSZrmbk */
-  0x0, /*  */
+  0x16e8, /* VPADDQZrm */
+  0x16ee, /* VPADDQZrr */
 /* Table5403 */
-  0xce3, /* VDIVPSZrmbk */
-  0x0, /*  */
+  0x1784, /* VPANDQZrm */
+  0x178a, /* VPANDQZrr */
 /* Table5405 */
-  0xf48, /* VMAXPSZrmbk */
-  0x0, /*  */
+  0x1765, /* VPANDNQZrm */
+  0x176b, /* VPANDNQZrr */
 /* Table5407 */
-  0x1309, /* VPCMPGTDZrmbk */
-  0x0, /*  */
+  0x1eec, /* VPSRAQZrm */
+  0x1eef, /* VPSRAQZrr */
 /* Table5409 */
-  0x12b5, /* VPCMPEQDZrmbk */
-  0x0, /*  */
+  0xd78, /* VCVTTPD2DQZrm */
+  0xd79, /* VCVTTPD2DQZrr */
 /* Table5411 */
-  0x1227, /* VPANDDZrmbk */
-  0x0, /*  */
+  0x1e32, /* VPORQZrm */
+  0x1e38, /* VPORQZrr */
 /* Table5413 */
-  0x1230, /* VPANDNDZrmbk */
-  0x0, /*  */
+  0x2023, /* VPXORQZrm */
+  0x2029, /* VPXORQZrr */
 /* Table5415 */
-  0x15d2, /* VPORDZrmbk */
-  0x0, /*  */
+  0x1eb1, /* VPSLLQZrm */
+  0x1eb4, /* VPSLLQZrr */
 /* Table5417 */
-  0x1727, /* VPXORDZrmbk */
-  0x0, /*  */
+  0x1dfa, /* VPMULUDQZrm */
+  0x1e00, /* VPMULUDQZrr */
 /* Table5419 */
-  0x16c7, /* VPSUBDZrmbk */
-  0x0, /*  */
+  0x1f91, /* VPSUBQZrm */
+  0x1f97, /* VPSUBQZrr */
 /* Table5421 */
-  0x11f7, /* VPADDDZrmbk */
-  0x0, /*  */
+  0x15ca, /* VMOVUPSZ128rmk */
+  0x15ce, /* VMOVUPSZ128rrk */
 /* Table5423 */
-  0xb8e, /* VADDPDZrmbk */
-  0x0, /*  */
+  0x15c8, /* VMOVUPSZ128mrk */
+  0x15cf, /* VMOVUPSZ128rrk_alt */
 /* Table5425 */
-  0x1191, /* VMULPDZrmbk */
-  0x0, /*  */
+  0x143c, /* VMOVAPSZ128rmk */
+  0x1440, /* VMOVAPSZ128rrk */
 /* Table5427 */
-  0x17c6, /* VSUBPDZrmbk */
-  0x0, /*  */
+  0x143a, /* VMOVAPSZ128mrk */
+  0x1441, /* VMOVAPSZ128rrk_alt */
 /* Table5429 */
-  0xf70, /* VMINPDZrmbk */
-  0x0, /*  */
+  0x216f, /* VSQRTPSZ128mk */
+  0x2172, /* VSQRTPSZ128rk */
 /* Table5431 */
-  0xcd6, /* VDIVPDZrmbk */
-  0x0, /*  */
+  0xbf5, /* VADDPSZ128rmk */
+  0xbf8, /* VADDPSZ128rrk */
 /* Table5433 */
-  0xf3b, /* VMAXPDZrmbk */
-  0x0, /*  */
+  0x1629, /* VMULPSZ128rmk */
+  0x162c, /* VMULPSZ128rrk */
 /* Table5435 */
-  0x1204, /* VPADDQZrmbk */
-  0x0, /*  */
+  0x21bf, /* VSUBPSZ128rmk */
+  0x21c2, /* VSUBPSZ128rrk */
 /* Table5437 */
-  0x1246, /* VPANDQZrmbk */
-  0x0, /*  */
+  0x13cb, /* VMINPSZ128rmk */
+  0x13ce, /* VMINPSZ128rrk */
 /* Table5439 */
-  0x1239, /* VPANDNQZrmbk */
-  0x0, /*  */
+  0xdd2, /* VDIVPSZ128rmk */
+  0xdd5, /* VDIVPSZ128rrk */
 /* Table5441 */
-  0x15db, /* VPORQZrmbk */
-  0x0, /*  */
+  0x1360, /* VMAXPSZ128rmk */
+  0x1363, /* VMAXPSZ128rrk */
 /* Table5443 */
-  0x1730, /* VPXORQZrmbk */
   0x0, /*  */
+  0x1595, /* VMOVSSZrrk */
 /* Table5445 */
-  0x15c7, /* VPMULUDQZrmbk */
+  0x1591, /* VMOVSSZmrk */
   0x0, /*  */
 /* Table5447 */
-  0x16d4, /* VPSUBQZrmbk */
-  0x0, /*  */
+  0xc22, /* VADDSSZrm_Intk */
+  0xc26, /* VADDSSZrr_Intk */
 /* Table5449 */
-  0xb9c, /* VADDPSZrmbkz */
-  0x0, /*  */
+  0x1656, /* VMULSSZrm_Intk */
+  0x165a, /* VMULSSZrr_Intk */
 /* Table5451 */
-  0x119f, /* VMULPSZrmbkz */
-  0x0, /*  */
+  0x21ec, /* VSUBSSZrm_Intk */
+  0x21f0, /* VSUBSSZrr_Intk */
 /* Table5453 */
-  0x17d4, /* VSUBPSZrmbkz */
-  0x0, /*  */
+  0x13f5, /* VMINSSZrm_Intk */
+  0x13f9, /* VMINSSZrr_Intk */
 /* Table5455 */
-  0xf7e, /* VMINPSZrmbkz */
-  0x0, /*  */
+  0xdff, /* VDIVSSZrm_Intk */
+  0xe03, /* VDIVSSZrr_Intk */
 /* Table5457 */
-  0xce4, /* VDIVPSZrmbkz */
-  0x0, /*  */
+  0x138a, /* VMAXSSZrm_Intk */
+  0x138e, /* VMAXSSZrr_Intk */
 /* Table5459 */
-  0xf49, /* VMAXPSZrmbkz */
-  0x0, /*  */
+  0x14da, /* VMOVDQU32Z128rmk */
+  0x14de, /* VMOVDQU32Z128rrk */
 /* Table5461 */
-  0x1228, /* VPANDDZrmbkz */
-  0x0, /*  */
+  0x14d8, /* VMOVDQU32Z128mrk */
+  0x14df, /* VMOVDQU32Z128rrk_alt */
 /* Table5463 */
-  0x1231, /* VPANDNDZrmbkz */
-  0x0, /*  */
+  0x151c, /* VMOVDQU8Z128rmk */
+  0x1520, /* VMOVDQU8Z128rrk */
 /* Table5465 */
-  0x15d3, /* VPORDZrmbkz */
-  0x0, /*  */
+  0x151a, /* VMOVDQU8Z128mrk */
+  0x1521, /* VMOVDQU8Z128rrk_alt */
 /* Table5467 */
-  0x1728, /* VPXORDZrmbkz */
-  0x0, /*  */
+  0x18d6, /* VPCMPGTBZ128rmk */
+  0x18d8, /* VPCMPGTBZ128rrk */
 /* Table5469 */
-  0x16c8, /* VPSUBDZrmbkz */
-  0x0, /*  */
+  0x1912, /* VPCMPGTWZ128rmk */
+  0x1914, /* VPCMPGTWZ128rrk */
 /* Table5471 */
-  0x11f8, /* VPADDDZrmbkz */
-  0x0, /*  */
+  0x18e8, /* VPCMPGTDZ128rmk */
+  0x18ea, /* VPCMPGTDZ128rrk */
 /* Table5473 */
-  0xb8f, /* VADDPDZrmbkz */
-  0x0, /*  */
+  0x146f, /* VMOVDQA32Z128rmk */
+  0x1473, /* VMOVDQA32Z128rrk */
 /* Table5475 */
-  0x1192, /* VMULPDZrmbkz */
-  0x0, /*  */
+  0x1882, /* VPCMPEQBZ128rmk */
+  0x1884, /* VPCMPEQBZ128rrk */
 /* Table5477 */
-  0x17c7, /* VSUBPDZrmbkz */
-  0x0, /*  */
+  0x18be, /* VPCMPEQWZ128rmk */
+  0x18c0, /* VPCMPEQWZ128rrk */
 /* Table5479 */
-  0xf71, /* VMINPDZrmbkz */
-  0x0, /*  */
+  0x1894, /* VPCMPEQDZ128rmk */
+  0x1896, /* VPCMPEQDZ128rrk */
 /* Table5481 */
-  0xcd7, /* VDIVPDZrmbkz */
-  0x0, /*  */
+  0x146d, /* VMOVDQA32Z128mrk */
+  0x1474, /* VMOVDQA32Z128rrk_alt */
 /* Table5483 */
-  0xf3c, /* VMAXPDZrmbkz */
-  0x0, /*  */
+  0x1de5, /* VPMULLWZ128rmk */
+  0x1de8, /* VPMULLWZ128rrk */
 /* Table5485 */
-  0x1205, /* VPADDQZrmbkz */
-  0x0, /*  */
+  0x1c67, /* VPMINUBZ128rmk */
+  0x1c6a, /* VPMINUBZ128rrk */
 /* Table5487 */
-  0x1247, /* VPANDQZrmbkz */
-  0x0, /*  */
+  0x1721, /* VPANDDZ128rmk */
+  0x1724, /* VPANDDZ128rrk */
 /* Table5489 */
-  0x123a, /* VPANDNQZrmbkz */
-  0x0, /*  */
+  0x1b9b, /* VPMAXUBZ128rmk */
+  0x1b9e, /* VPMAXUBZ128rrk */
 /* Table5491 */
-  0x15dc, /* VPORQZrmbkz */
-  0x0, /*  */
+  0x173c, /* VPANDNDZ128rmk */
+  0x173f, /* VPANDNDZ128rrk */
 /* Table5493 */
-  0x1731, /* VPXORQZrmbkz */
-  0x0, /*  */
+  0x1c51, /* VPMINSWZ128rmk */
+  0x1c54, /* VPMINSWZ128rrk */
 /* Table5495 */
-  0x15c8, /* VPMULUDQZrmbkz */
-  0x0, /*  */
+  0x1e09, /* VPORDZ128rmk */
+  0x1e0c, /* VPORDZ128rrk */
 /* Table5497 */
-  0x16d5, /* VPSUBQZrmbkz */
-  0x0, /*  */
+  0x1b85, /* VPMAXSWZ128rmk */
+  0x1b88, /* VPMAXSWZ128rrk */
 /* Table5499 */
-  0x1157, /* VMOVUPSZ128rmkz */
-  0x115c, /* VMOVUPSZ128rrkz */
+  0x1ffa, /* VPXORDZ128rmk */
+  0x1ffd, /* VPXORDZ128rrk */
 /* Table5501 */
-  0xfcc, /* VMOVAPSZ128rmkz */
-  0xfd1, /* VMOVAPSZ128rrkz */
+  0x1f4b, /* VPSUBBZ128rmk */
+  0x1f4e, /* VPSUBBZ128rrk */
 /* Table5503 */
-  0x106a, /* VMOVDQU32Z128rmkz */
-  0x106f, /* VMOVDQU32Z128rrkz */
+  0x1faf, /* VPSUBWZ128rmk */
+  0x1fb2, /* VPSUBWZ128rrk */
 /* Table5505 */
-  0x10ac, /* VMOVDQU8Z128rmkz */
-  0x10b1, /* VMOVDQU8Z128rrkz */
+  0x1f64, /* VPSUBDZ128rmk */
+  0x1f67, /* VPSUBDZ128rrk */
 /* Table5507 */
-  0xfff, /* VMOVDQA32Z128rmkz */
-  0x1004, /* VMOVDQA32Z128rrkz */
+  0x16a2, /* VPADDBZ128rmk */
+  0x16a5, /* VPADDBZ128rrk */
 /* Table5509 */
-  0x108b, /* VMOVDQU64Z128rmkz */
-  0x1090, /* VMOVDQU64Z128rrkz */
+  0x1706, /* VPADDWZ128rmk */
+  0x1709, /* VPADDWZ128rrk */
 /* Table5511 */
-  0x1049, /* VMOVDQU16Z128rmkz */
-  0x104e, /* VMOVDQU16Z128rrkz */
+  0x16bb, /* VPADDDZ128rmk */
+  0x16be, /* VPADDDZ128rrk */
 /* Table5513 */
-  0x112e, /* VMOVUPDZ128rmkz */
-  0x1133, /* VMOVUPDZ128rrkz */
+  0xc22, /* VADDSSZrm_Intk */
+  0xc2a, /* VADDSSZrrbkz */
 /* Table5515 */
-  0xfa3, /* VMOVAPDZ128rmkz */
-  0xfa8, /* VMOVAPDZ128rrkz */
+  0x1656, /* VMULSSZrm_Intk */
+  0x165e, /* VMULSSZrrbkz */
 /* Table5517 */
-  0x1020, /* VMOVDQA64Z128rmkz */
-  0x1025, /* VMOVDQA64Z128rrkz */
+  0x21ec, /* VSUBSSZrm_Intk */
+  0x21f4, /* VSUBSSZrrbkz */
 /* Table5519 */
-  0x1162, /* VMOVUPSZ256rmkz */
-  0x1167, /* VMOVUPSZ256rrkz */
+  0x13f5, /* VMINSSZrm_Intk */
+  0x13fd, /* VMINSSZrrbkz */
 /* Table5521 */
-  0xfd7, /* VMOVAPSZ256rmkz */
-  0xfdc, /* VMOVAPSZ256rrkz */
+  0xdff, /* VDIVSSZrm_Intk */
+  0xe07, /* VDIVSSZrrbkz */
 /* Table5523 */
-  0x1075, /* VMOVDQU32Z256rmkz */
-  0x107a, /* VMOVDQU32Z256rrkz */
+  0x138a, /* VMAXSSZrm_Intk */
+  0x1392, /* VMAXSSZrrbkz */
 /* Table5525 */
-  0x10b7, /* VMOVDQU8Z256rmkz */
-  0x10bc, /* VMOVDQU8Z256rrkz */
+  0x14fb, /* VMOVDQU64Z128rmk */
+  0x14ff, /* VMOVDQU64Z128rrk */
 /* Table5527 */
-  0x100a, /* VMOVDQA32Z256rmkz */
-  0x100f, /* VMOVDQA32Z256rrkz */
+  0x14f9, /* VMOVDQU64Z128mrk */
+  0x1500, /* VMOVDQU64Z128rrk_alt */
 /* Table5529 */
-  0x1096, /* VMOVDQU64Z256rmkz */
-  0x109b, /* VMOVDQU64Z256rrkz */
+  0x0, /*  */
+  0x1577, /* VMOVSDZrrk */
 /* Table5531 */
-  0x1054, /* VMOVDQU16Z256rmkz */
-  0x1059, /* VMOVDQU16Z256rrkz */
+  0x1573, /* VMOVSDZmrk */
+  0x0, /*  */
 /* Table5533 */
-  0x1139, /* VMOVUPDZ256rmkz */
-  0x113e, /* VMOVUPDZ256rrkz */
+  0xc13, /* VADDSDZrm_Intk */
+  0xc17, /* VADDSDZrr_Intk */
 /* Table5535 */
-  0xfae, /* VMOVAPDZ256rmkz */
-  0xfb3, /* VMOVAPDZ256rrkz */
+  0x1647, /* VMULSDZrm_Intk */
+  0x164b, /* VMULSDZrr_Intk */
 /* Table5537 */
-  0x102b, /* VMOVDQA64Z256rmkz */
-  0x1030, /* VMOVDQA64Z256rrkz */
+  0x21dd, /* VSUBSDZrm_Intk */
+  0x21e1, /* VSUBSDZrr_Intk */
 /* Table5539 */
-  0x116d, /* VMOVUPSZrmkz */
-  0x1172, /* VMOVUPSZrrkz */
+  0x13e6, /* VMINSDZrm_Intk */
+  0x13ea, /* VMINSDZrr_Intk */
 /* Table5541 */
-  0xfe2, /* VMOVAPSZrmkz */
-  0xfe7, /* VMOVAPSZrrkz */
+  0xdf0, /* VDIVSDZrm_Intk */
+  0xdf4, /* VDIVSDZrr_Intk */
 /* Table5543 */
-  0xb9e, /* VADDPSZrmkz */
-  0xba1, /* VADDPSZrrkz */
+  0x137b, /* VMAXSDZrm_Intk */
+  0x137f, /* VMAXSDZrr_Intk */
 /* Table5545 */
-  0x11a1, /* VMULPSZrmkz */
-  0x11a4, /* VMULPSZrrkz */
+  0x14b9, /* VMOVDQU16Z128rmk */
+  0x14bd, /* VMOVDQU16Z128rrk */
 /* Table5547 */
-  0x17d6, /* VSUBPSZrmkz */
-  0x17d9, /* VSUBPSZrrkz */
+  0x14b7, /* VMOVDQU16Z128mrk */
+  0x14be, /* VMOVDQU16Z128rrk_alt */
 /* Table5549 */
-  0xf80, /* VMINPSZrmkz */
-  0xf83, /* VMINPSZrrkz */
+  0x15a1, /* VMOVUPDZ128rmk */
+  0x15a5, /* VMOVUPDZ128rrk */
 /* Table5551 */
-  0xce6, /* VDIVPSZrmkz */
-  0xce9, /* VDIVPSZrrkz */
+  0x159f, /* VMOVUPDZ128mrk */
+  0x15a6, /* VMOVUPDZ128rrk_alt */
 /* Table5553 */
-  0xf4b, /* VMAXPSZrmkz */
-  0xf4e, /* VMAXPSZrrkz */
+  0x1413, /* VMOVAPDZ128rmk */
+  0x1417, /* VMOVAPDZ128rrk */
 /* Table5555 */
-  0x1080, /* VMOVDQU32Zrmkz */
-  0x1085, /* VMOVDQU32Zrrkz */
+  0x1411, /* VMOVAPDZ128mrk */
+  0x1418, /* VMOVAPDZ128rrk_alt */
 /* Table5557 */
-  0x10c2, /* VMOVDQU8Zrmkz */
-  0x10c7, /* VMOVDQU8Zrrkz */
+  0x2150, /* VSQRTPDZ128mk */
+  0x2153, /* VSQRTPDZ128rk */
 /* Table5559 */
-  0x1015, /* VMOVDQA32Zrmkz */
-  0x101a, /* VMOVDQA32Zrrkz */
+  0xbd3, /* VADDPDZ128rmk */
+  0xbd6, /* VADDPDZ128rrk */
 /* Table5561 */
-  0x122a, /* VPANDDZrmkz */
-  0x122d, /* VPANDDZrrkz */
+  0x1607, /* VMULPDZ128rmk */
+  0x160a, /* VMULPDZ128rrk */
 /* Table5563 */
-  0x1233, /* VPANDNDZrmkz */
-  0x1236, /* VPANDNDZrrkz */
+  0x219d, /* VSUBPDZ128rmk */
+  0x21a0, /* VSUBPDZ128rrk */
 /* Table5565 */
-  0x15d5, /* VPORDZrmkz */
-  0x15d8, /* VPORDZrrkz */
+  0x13ac, /* VMINPDZ128rmk */
+  0x13af, /* VMINPDZ128rrk */
 /* Table5567 */
-  0x172a, /* VPXORDZrmkz */
-  0x172d, /* VPXORDZrrkz */
+  0xdb0, /* VDIVPDZ128rmk */
+  0xdb3, /* VDIVPDZ128rrk */
 /* Table5569 */
-  0x16ca, /* VPSUBDZrmkz */
-  0x16cd, /* VPSUBDZrrkz */
+  0x1341, /* VMAXPDZ128rmk */
+  0x1344, /* VMAXPDZ128rrk */
 /* Table5571 */
-  0x11fa, /* VPADDDZrmkz */
-  0x11fd, /* VPADDDZrrkz */
+  0x1490, /* VMOVDQA64Z128rmk */
+  0x1494, /* VMOVDQA64Z128rrk */
 /* Table5573 */
-  0x10a1, /* VMOVDQU64Zrmkz */
-  0x10a6, /* VMOVDQU64Zrrkz */
+  0x148e, /* VMOVDQA64Z128mrk */
+  0x1495, /* VMOVDQA64Z128rrk_alt */
 /* Table5575 */
-  0x105f, /* VMOVDQU16Zrmkz */
-  0x1064, /* VMOVDQU16Zrrkz */
+  0x16da, /* VPADDQZ128rmk */
+  0x16dd, /* VPADDQZ128rrk */
 /* Table5577 */
-  0x1144, /* VMOVUPDZrmkz */
-  0x1149, /* VMOVUPDZrrkz */
+  0x1776, /* VPANDQZ128rmk */
+  0x1779, /* VPANDQZ128rrk */
 /* Table5579 */
-  0xfb9, /* VMOVAPDZrmkz */
-  0xfbe, /* VMOVAPDZrrkz */
+  0x1757, /* VPANDNQZ128rmk */
+  0x175a, /* VPANDNQZ128rrk */
 /* Table5581 */
-  0xb91, /* VADDPDZrmkz */
-  0xb94, /* VADDPDZrrkz */
+  0x1e24, /* VPORQZ128rmk */
+  0x1e27, /* VPORQZ128rrk */
 /* Table5583 */
-  0x1194, /* VMULPDZrmkz */
-  0x1197, /* VMULPDZrrkz */
+  0x2015, /* VPXORQZ128rmk */
+  0x2018, /* VPXORQZ128rrk */
 /* Table5585 */
-  0x17c9, /* VSUBPDZrmkz */
-  0x17cc, /* VSUBPDZrrkz */
+  0x1f83, /* VPSUBQZ128rmk */
+  0x1f86, /* VPSUBQZ128rrk */
 /* Table5587 */
-  0xf73, /* VMINPDZrmkz */
-  0xf76, /* VMINPDZrrkz */
+  0x15d5, /* VMOVUPSZ256rmk */
+  0x15d9, /* VMOVUPSZ256rrk */
 /* Table5589 */
-  0xcd9, /* VDIVPDZrmkz */
-  0xcdc, /* VDIVPDZrrkz */
+  0x15d3, /* VMOVUPSZ256mrk */
+  0x15da, /* VMOVUPSZ256rrk_alt */
 /* Table5591 */
-  0xf3e, /* VMAXPDZrmkz */
-  0xf41, /* VMAXPDZrrkz */
+  0x1447, /* VMOVAPSZ256rmk */
+  0x144b, /* VMOVAPSZ256rrk */
 /* Table5593 */
-  0x1036, /* VMOVDQA64Zrmkz */
-  0x103b, /* VMOVDQA64Zrrkz */
+  0x1445, /* VMOVAPSZ256mrk */
+  0x144c, /* VMOVAPSZ256rrk_alt */
 /* Table5595 */
-  0x1207, /* VPADDQZrmkz */
-  0x120a, /* VPADDQZrrkz */
+  0x2178, /* VSQRTPSZ256mk */
+  0x217b, /* VSQRTPSZ256rk */
 /* Table5597 */
-  0x1249, /* VPANDQZrmkz */
-  0x124c, /* VPANDQZrrkz */
+  0xbfe, /* VADDPSZ256rmk */
+  0xc01, /* VADDPSZ256rrk */
 /* Table5599 */
-  0x123c, /* VPANDNQZrmkz */
-  0x123f, /* VPANDNQZrrkz */
+  0x1632, /* VMULPSZ256rmk */
+  0x1635, /* VMULPSZ256rrk */
 /* Table5601 */
-  0x15de, /* VPORQZrmkz */
-  0x15e1, /* VPORQZrrkz */
+  0x21c8, /* VSUBPSZ256rmk */
+  0x21cb, /* VSUBPSZ256rrk */
 /* Table5603 */
-  0x1733, /* VPXORQZrmkz */
-  0x1736, /* VPXORQZrrkz */
+  0x13d4, /* VMINPSZ256rmk */
+  0x13d7, /* VMINPSZ256rrk */
 /* Table5605 */
-  0x15ca, /* VPMULUDQZrmkz */
-  0x15cd, /* VPMULUDQZrrkz */
+  0xddb, /* VDIVPSZ256rmk */
+  0xdde, /* VDIVPSZ256rrk */
 /* Table5607 */
-  0x16d7, /* VPSUBQZrmkz */
-  0x16da, /* VPSUBQZrrkz */
+  0x1369, /* VMAXPSZ256rmk */
+  0x136c, /* VMAXPSZ256rrk */
 /* Table5609 */
-  0x5dd, /* MMX_PSHUFBrm64 */
-  0x5de, /* MMX_PSHUFBrr64 */
+  0x14e5, /* VMOVDQU32Z256rmk */
+  0x14e9, /* VMOVDQU32Z256rrk */
 /* Table5611 */
-  0x5b6, /* MMX_PHADDWrm64 */
-  0x5b7, /* MMX_PHADDWrr64 */
+  0x14e3, /* VMOVDQU32Z256mrk */
+  0x14ea, /* VMOVDQU32Z256rrk_alt */
 /* Table5613 */
-  0x5b8, /* MMX_PHADDrm64 */
-  0x5b9, /* MMX_PHADDrr64 */
+  0x1527, /* VMOVDQU8Z256rmk */
+  0x152b, /* VMOVDQU8Z256rrk */
 /* Table5615 */
-  0x5b4, /* MMX_PHADDSWrm64 */
-  0x5b5, /* MMX_PHADDSWrr64 */
+  0x1525, /* VMOVDQU8Z256mrk */
+  0x152c, /* VMOVDQU8Z256rrk_alt */
 /* Table5617 */
-  0x5c2, /* MMX_PMADDUBSWrm64 */
-  0x5c3, /* MMX_PMADDUBSWrr64 */
+  0x18da, /* VPCMPGTBZ256rmk */
+  0x18dc, /* VPCMPGTBZ256rrk */
 /* Table5619 */
-  0x5be, /* MMX_PHSUBWrm64 */
-  0x5bf, /* MMX_PHSUBWrr64 */
+  0x1916, /* VPCMPGTWZ256rmk */
+  0x1918, /* VPCMPGTWZ256rrk */
 /* Table5621 */
-  0x5ba, /* MMX_PHSUBDrm64 */
-  0x5bb, /* MMX_PHSUBDrr64 */
+  0x18ee, /* VPCMPGTDZ256rmk */
+  0x18f0, /* VPCMPGTDZ256rrk */
 /* Table5623 */
-  0x5bc, /* MMX_PHSUBSWrm64 */
-  0x5bd, /* MMX_PHSUBSWrr64 */
+  0x147a, /* VMOVDQA32Z256rmk */
+  0x147e, /* VMOVDQA32Z256rrk */
 /* Table5625 */
-  0x5e1, /* MMX_PSIGNBrm64 */
-  0x5e2, /* MMX_PSIGNBrr64 */
+  0x1886, /* VPCMPEQBZ256rmk */
+  0x1888, /* VPCMPEQBZ256rrk */
 /* Table5627 */
-  0x5e5, /* MMX_PSIGNWrm64 */
-  0x5e6, /* MMX_PSIGNWrr64 */
+  0x18c2, /* VPCMPEQWZ256rmk */
+  0x18c4, /* VPCMPEQWZ256rrk */
 /* Table5629 */
-  0x5e3, /* MMX_PSIGNDrm64 */
-  0x5e4, /* MMX_PSIGNDrr64 */
+  0x189a, /* VPCMPEQDZ256rmk */
+  0x189c, /* VPCMPEQDZ256rrk */
 /* Table5631 */
-  0x5cf, /* MMX_PMULHRSWrm64 */
-  0x5d0, /* MMX_PMULHRSWrr64 */
+  0x1478, /* VMOVDQA32Z256mrk */
+  0x147f, /* VMOVDQA32Z256rrk_alt */
 /* Table5633 */
-  0x581, /* MMX_PABSBrm64 */
-  0x582, /* MMX_PABSBrr64 */
+  0x1deb, /* VPMULLWZ256rmk */
+  0x1dee, /* VPMULLWZ256rrk */
 /* Table5635 */
-  0x585, /* MMX_PABSWrm64 */
-  0x586, /* MMX_PABSWrr64 */
+  0x1c6d, /* VPMINUBZ256rmk */
+  0x1c70, /* VPMINUBZ256rrk */
 /* Table5637 */
-  0x583, /* MMX_PABSDrm64 */
-  0x584, /* MMX_PABSDrr64 */
+  0x172a, /* VPANDDZ256rmk */
+  0x172d, /* VPANDDZ256rrk */
 /* Table5639 */
-  0xa2b, /* SHA1NEXTErm */
-  0xa2c, /* SHA1NEXTErr */
+  0x1ba1, /* VPMAXUBZ256rmk */
+  0x1ba4, /* VPMAXUBZ256rrk */
 /* Table5641 */
-  0xa27, /* SHA1MSG1rm */
-  0xa28, /* SHA1MSG1rr */
+  0x1745, /* VPANDNDZ256rmk */
+  0x1748, /* VPANDNDZ256rrk */
 /* Table5643 */
-  0xa29, /* SHA1MSG2rm */
-  0xa2a, /* SHA1MSG2rr */
+  0x1c57, /* VPMINSWZ256rmk */
+  0x1c5a, /* VPMINSWZ256rrk */
 /* Table5645 */
-  0xa33, /* SHA256RNDS2rm */
-  0xa34, /* SHA256RNDS2rr */
+  0x1e12, /* VPORDZ256rmk */
+  0x1e15, /* VPORDZ256rrk */
 /* Table5647 */
-  0xa2f, /* SHA256MSG1rm */
-  0xa30, /* SHA256MSG1rr */
+  0x1b8b, /* VPMAXSWZ256rmk */
+  0x1b8e, /* VPMAXSWZ256rrk */
 /* Table5649 */
-  0xa31, /* SHA256MSG2rm */
-  0xa32, /* SHA256MSG2rr */
+  0x2003, /* VPXORDZ256rmk */
+  0x2006, /* VPXORDZ256rrk */
 /* Table5651 */
-  0x679, /* MOVBE32rm */
-  0x0, /*  */
+  0x1f51, /* VPSUBBZ256rmk */
+  0x1f54, /* VPSUBBZ256rrk */
 /* Table5653 */
-  0x678, /* MOVBE32mr */
-  0x0, /*  */
+  0x1fb5, /* VPSUBWZ256rmk */
+  0x1fb8, /* VPSUBWZ256rrk */
 /* Table5655 */
-  0x880, /* PSHUFBrm */
-  0x881, /* PSHUFBrr */
+  0x1f6d, /* VPSUBDZ256rmk */
+  0x1f70, /* VPSUBDZ256rrk */
 /* Table5657 */
-  0x7fb, /* PHADDWrm */
-  0x7fc, /* PHADDWrr */
+  0x16a8, /* VPADDBZ256rmk */
+  0x16ab, /* VPADDBZ256rrk */
 /* Table5659 */
-  0x7f7, /* PHADDDrm */
-  0x7f8, /* PHADDDrr */
+  0x170c, /* VPADDWZ256rmk */
+  0x170f, /* VPADDWZ256rrk */
 /* Table5661 */
-  0x7f9, /* PHADDSWrm128 */
-  0x7fa, /* PHADDSWrr128 */
+  0x16c4, /* VPADDDZ256rmk */
+  0x16c7, /* VPADDDZ256rrk */
 /* Table5663 */
-  0x811, /* PMADDUBSWrm128 */
-  0x812, /* PMADDUBSWrr128 */
+  0x1506, /* VMOVDQU64Z256rmk */
+  0x150a, /* VMOVDQU64Z256rrk */
 /* Table5665 */
-  0x803, /* PHSUBWrm */
-  0x804, /* PHSUBWrr */
+  0x1504, /* VMOVDQU64Z256mrk */
+  0x150b, /* VMOVDQU64Z256rrk_alt */
 /* Table5667 */
-  0x7ff, /* PHSUBDrm */
-  0x800, /* PHSUBDrr */
+  0x14c4, /* VMOVDQU16Z256rmk */
+  0x14c8, /* VMOVDQU16Z256rrk */
 /* Table5669 */
-  0x801, /* PHSUBSWrm128 */
-  0x802, /* PHSUBSWrr128 */
+  0x14c2, /* VMOVDQU16Z256mrk */
+  0x14c9, /* VMOVDQU16Z256rrk_alt */
 /* Table5671 */
-  0x888, /* PSIGNBrm */
-  0x889, /* PSIGNBrr */
+  0x15ac, /* VMOVUPDZ256rmk */
+  0x15b0, /* VMOVUPDZ256rrk */
 /* Table5673 */
-  0x88c, /* PSIGNWrm */
-  0x88d, /* PSIGNWrr */
+  0x15aa, /* VMOVUPDZ256mrk */
+  0x15b1, /* VMOVUPDZ256rrk_alt */
 /* Table5675 */
-  0x88a, /* PSIGNDrm */
-  0x88b, /* PSIGNDrr */
+  0x141e, /* VMOVAPDZ256rmk */
+  0x1422, /* VMOVAPDZ256rrk */
 /* Table5677 */
-  0x848, /* PMULHRSWrm128 */
-  0x849, /* PMULHRSWrr128 */
+  0x141c, /* VMOVAPDZ256mrk */
+  0x1423, /* VMOVAPDZ256rrk_alt */
 /* Table5679 */
-  0x79a, /* PBLENDVBrm0 */
-  0x79b, /* PBLENDVBrr0 */
+  0x2159, /* VSQRTPDZ256mk */
+  0x215c, /* VSQRTPDZ256rk */
 /* Table5681 */
-  0x101, /* BLENDVPSrm0 */
-  0x102, /* BLENDVPSrr0 */
+  0xbdc, /* VADDPDZ256rmk */
+  0xbdf, /* VADDPDZ256rrk */
 /* Table5683 */
-  0xff, /* BLENDVPDrm0 */
-  0x100, /* BLENDVPDrr0 */
+  0x1610, /* VMULPDZ256rmk */
+  0x1613, /* VMULPDZ256rrk */
 /* Table5685 */
-  0x8ba, /* PTESTrm */
-  0x8bb, /* PTESTrr */
+  0x21a6, /* VSUBPDZ256rmk */
+  0x21a9, /* VSUBPDZ256rrk */
 /* Table5687 */
-  0x76f, /* PABSBrm128 */
-  0x770, /* PABSBrr128 */
+  0x13b5, /* VMINPDZ256rmk */
+  0x13b8, /* VMINPDZ256rrk */
 /* Table5689 */
-  0x773, /* PABSWrm128 */
-  0x774, /* PABSWrr128 */
+  0xdb9, /* VDIVPDZ256rmk */
+  0xdbc, /* VDIVPDZ256rrk */
 /* Table5691 */
-  0x771, /* PABSDrm128 */
-  0x772, /* PABSDrr128 */
+  0x134a, /* VMAXPDZ256rmk */
+  0x134d, /* VMAXPDZ256rrk */
 /* Table5693 */
-  0x832, /* PMOVSXBWrm */
-  0x833, /* PMOVSXBWrr */
+  0x149b, /* VMOVDQA64Z256rmk */
+  0x149f, /* VMOVDQA64Z256rrk */
 /* Table5695 */
-  0x82e, /* PMOVSXBDrm */
-  0x82f, /* PMOVSXBDrr */
+  0x1499, /* VMOVDQA64Z256mrk */
+  0x14a0, /* VMOVDQA64Z256rrk_alt */
 /* Table5697 */
-  0x830, /* PMOVSXBQrm */
-  0x831, /* PMOVSXBQrr */
+  0x16e3, /* VPADDQZ256rmk */
+  0x16e6, /* VPADDQZ256rrk */
 /* Table5699 */
-  0x836, /* PMOVSXWDrm */
-  0x837, /* PMOVSXWDrr */
+  0x177f, /* VPANDQZ256rmk */
+  0x1782, /* VPANDQZ256rrk */
 /* Table5701 */
-  0x838, /* PMOVSXWQrm */
-  0x839, /* PMOVSXWQrr */
+  0x1760, /* VPANDNQZ256rmk */
+  0x1763, /* VPANDNQZ256rrk */
 /* Table5703 */
-  0x834, /* PMOVSXDQrm */
-  0x835, /* PMOVSXDQrr */
+  0x1e2d, /* VPORQZ256rmk */
+  0x1e30, /* VPORQZ256rrk */
 /* Table5705 */
-  0x846, /* PMULDQrm */
-  0x847, /* PMULDQrr */
+  0x201e, /* VPXORQZ256rmk */
+  0x2021, /* VPXORQZ256rrk */
 /* Table5707 */
-  0x7a4, /* PCMPEQQrm */
-  0x7a5, /* PCMPEQQrr */
+  0x1f8c, /* VPSUBQZ256rmk */
+  0x1f8f, /* VPSUBQZ256rrk */
 /* Table5709 */
-  0x696, /* MOVNTDQArm */
-  0x0, /*  */
+  0x15e0, /* VMOVUPSZrmk */
+  0x15e4, /* VMOVUPSZrrk */
 /* Table5711 */
-  0x779, /* PACKUSDWrm */
-  0x77a, /* PACKUSDWrr */
+  0x15de, /* VMOVUPSZmrk */
+  0x15e5, /* VMOVUPSZrrk_alt */
 /* Table5713 */
-  0x83e, /* PMOVZXBWrm */
-  0x83f, /* PMOVZXBWrr */
+  0x1452, /* VMOVAPSZrmk */
+  0x1456, /* VMOVAPSZrrk */
 /* Table5715 */
-  0x83a, /* PMOVZXBDrm */
-  0x83b, /* PMOVZXBDrr */
+  0x1450, /* VMOVAPSZmrk */
+  0x1457, /* VMOVAPSZrrk_alt */
 /* Table5717 */
-  0x83c, /* PMOVZXBQrm */
-  0x83d, /* PMOVZXBQrr */
+  0x2181, /* VSQRTPSZmk */
+  0x2184, /* VSQRTPSZrk */
 /* Table5719 */
-  0x842, /* PMOVZXWDrm */
-  0x843, /* PMOVZXWDrr */
+  0xc0a, /* VADDPSZrmk */
+  0xc0d, /* VADDPSZrrk */
 /* Table5721 */
-  0x844, /* PMOVZXWQrm */
-  0x845, /* PMOVZXWQrr */
+  0x163e, /* VMULPSZrmk */
+  0x1641, /* VMULPSZrrk */
 /* Table5723 */
-  0x840, /* PMOVZXDQrm */
-  0x841, /* PMOVZXDQrr */
+  0x21d4, /* VSUBPSZrmk */
+  0x21d7, /* VSUBPSZrrk */
 /* Table5725 */
-  0x7b4, /* PCMPGTQrm */
-  0x7b5, /* PCMPGTQrr */
+  0x13dd, /* VMINPSZrmk */
+  0x13e0, /* VMINPSZrrk */
 /* Table5727 */
-  0x821, /* PMINSBrm */
-  0x822, /* PMINSBrr */
+  0xde7, /* VDIVPSZrmk */
+  0xdea, /* VDIVPSZrrk */
 /* Table5729 */
-  0x823, /* PMINSDrm */
-  0x824, /* PMINSDrr */
+  0x1372, /* VMAXPSZrmk */
+  0x1375, /* VMAXPSZrrk */
 /* Table5731 */
-  0x82b, /* PMINUWrm */
-  0x82c, /* PMINUWrr */
+  0x14f0, /* VMOVDQU32Zrmk */
+  0x14f4, /* VMOVDQU32Zrrk */
 /* Table5733 */
-  0x829, /* PMINUDrm */
-  0x82a, /* PMINUDrr */
+  0x14ee, /* VMOVDQU32Zmrk */
+  0x14f5, /* VMOVDQU32Zrrk_alt */
 /* Table5735 */
-  0x815, /* PMAXSBrm */
-  0x816, /* PMAXSBrr */
+  0x1532, /* VMOVDQU8Zrmk */
+  0x1536, /* VMOVDQU8Zrrk */
 /* Table5737 */
-  0x817, /* PMAXSDrm */
-  0x818, /* PMAXSDrr */
+  0x1530, /* VMOVDQU8Zmrk */
+  0x1537, /* VMOVDQU8Zrrk_alt */
 /* Table5739 */
-  0x81f, /* PMAXUWrm */
-  0x820, /* PMAXUWrr */
+  0x18de, /* VPCMPGTBZrmk */
+  0x18e0, /* VPCMPGTBZrrk */
 /* Table5741 */
-  0x81d, /* PMAXUDrm */
-  0x81e, /* PMAXUDrr */
+  0x191a, /* VPCMPGTWZrmk */
+  0x191c, /* VPCMPGTWZrrk */
 /* Table5743 */
-  0x850, /* PMULLDrm */
-  0x851, /* PMULLDrr */
+  0x18f4, /* VPCMPGTDZrmk */
+  0x18f6, /* VPCMPGTDZrrk */
 /* Table5745 */
-  0x7fd, /* PHMINPOSUWrm128 */
-  0x7fe, /* PHMINPOSUWrr128 */
+  0x1485, /* VMOVDQA32Zrmk */
+  0x1489, /* VMOVDQA32Zrrk */
 /* Table5747 */
-  0x39a, /* INVEPT32 */
   0x0, /*  */
-/* Table5749 */
-  0x3a1, /* INVVPID32 */
   0x0, /*  */
-/* Table5751 */
-  0x39f, /* INVPCID32 */
+  0x1f0e, /* VPSRLDZmik */
+  0x0, /*  */
+  0x1ed8, /* VPSRADZmik */
+  0x0, /*  */
+  0x1e9a, /* VPSLLDZmik */
   0x0, /*  */
-/* Table5753 */
-  0xa7, /* AESIMCrm */
-  0xa8, /* AESIMCrr */
-/* Table5755 */
-  0xa5, /* AESENCrm */
-  0xa6, /* AESENCrr */
-/* Table5757 */
-  0xa3, /* AESENCLASTrm */
-  0xa4, /* AESENCLASTrr */
-/* Table5759 */
-  0xa1, /* AESDECrm */
-  0xa2, /* AESDECrr */
-/* Table5761 */
-  0x9f, /* AESDECLASTrm */
-  0xa0, /* AESDECLASTrr */
-/* Table5763 */
-  0x677, /* MOVBE16rm */
   0x0, /*  */
-/* Table5765 */
-  0x676, /* MOVBE16mr */
   0x0, /*  */
+  0x1f11, /* VPSRLDZrik */
+  0x0, /*  */
+  0x1edb, /* VPSRADZrik */
+  0x0, /*  */
+  0x1e9d, /* VPSLLDZrik */
+  0x0, /*  */
+/* Table5763 */
+  0x188a, /* VPCMPEQBZrmk */
+  0x188c, /* VPCMPEQBZrrk */
+/* Table5765 */
+  0x18c6, /* VPCMPEQWZrmk */
+  0x18c8, /* VPCMPEQWZrrk */
 /* Table5767 */
-  0x42, /* ADCX32rm */
-  0x43, /* ADCX32rr */
+  0x18a0, /* VPCMPEQDZrmk */
+  0x18a2, /* VPCMPEQDZrrk */
 /* Table5769 */
-  0x255, /* CRC32r32m8 */
-  0x258, /* CRC32r32r8 */
+  0x1483, /* VMOVDQA32Zmrk */
+  0x148a, /* VMOVDQA32Zrrk_alt */
 /* Table5771 */
-  0x254, /* CRC32r32m32 */
-  0x257, /* CRC32r32r32 */
+  0x1f14, /* VPSRLDZrmk */
+  0x1f17, /* VPSRLDZrrk */
 /* Table5773 */
-  0x9b, /* ADOX32rm */
-  0x9c, /* ADOX32rr */
+  0x1df1, /* VPMULLWZrmk */
+  0x1df4, /* VPMULLWZrrk */
 /* Table5775 */
-  0x253, /* CRC32r32m16 */
-  0x256, /* CRC32r32r16 */
+  0x1c73, /* VPMINUBZrmk */
+  0x1c76, /* VPMINUBZrrk */
 /* Table5777 */
-  0x67b, /* MOVBE64rm */
-  0x0, /*  */
+  0x1733, /* VPANDDZrmk */
+  0x1736, /* VPANDDZrrk */
 /* Table5779 */
-  0x67a, /* MOVBE64mr */
-  0x0, /*  */
+  0x1ba7, /* VPMAXUBZrmk */
+  0x1baa, /* VPMAXUBZrrk */
 /* Table5781 */
-  0x39b, /* INVEPT64 */
-  0x0, /*  */
+  0x174e, /* VPANDNDZrmk */
+  0x1751, /* VPANDNDZrrk */
 /* Table5783 */
-  0x3a2, /* INVVPID64 */
-  0x0, /*  */
+  0x1ede, /* VPSRADZrmk */
+  0x1ee1, /* VPSRADZrrk */
 /* Table5785 */
-  0x3a0, /* INVPCID64 */
-  0x0, /*  */
+  0x1c5d, /* VPMINSWZrmk */
+  0x1c60, /* VPMINSWZrrk */
 /* Table5787 */
-  0x9d, /* ADOX64rm */
-  0x9e, /* ADOX64rr */
+  0x1e1b, /* VPORDZrmk */
+  0x1e1e, /* VPORDZrrk */
 /* Table5789 */
-  0x25a, /* CRC32r64m8 */
-  0x25c, /* CRC32r64r8 */
+  0x1b91, /* VPMAXSWZrmk */
+  0x1b94, /* VPMAXSWZrrk */
 /* Table5791 */
-  0x259, /* CRC32r64m64 */
-  0x25b, /* CRC32r64r64 */
+  0x200c, /* VPXORDZrmk */
+  0x200f, /* VPXORDZrrk */
 /* Table5793 */
-  0x44, /* ADCX64rm */
-  0x45, /* ADCX64rr */
+  0x1ea0, /* VPSLLDZrmk */
+  0x1ea3, /* VPSLLDZrrk */
 /* Table5795 */
-  0xce, /* ANDN32rm */
-  0xcf, /* ANDN32rr */
+  0x1f57, /* VPSUBBZrmk */
+  0x1f5a, /* VPSUBBZrrk */
 /* Table5797 */
-  0x0, /*  */
-  0x113, /* BLSR32rm */
-  0x10f, /* BLSMSK32rm */
-  0x107, /* BLSI32rm */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x114, /* BLSR32rr */
-  0x110, /* BLSMSK32rr */
-  0x108, /* BLSI32rr */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
+  0x1fbb, /* VPSUBWZrmk */
+  0x1fbe, /* VPSUBWZrrk */
+/* Table5799 */
+  0x1f76, /* VPSUBDZrmk */
+  0x1f79, /* VPSUBDZrrk */
+/* Table5801 */
+  0x16ae, /* VPADDBZrmk */
+  0x16b1, /* VPADDBZrrk */
+/* Table5803 */
+  0x1712, /* VPADDWZrmk */
+  0x1715, /* VPADDWZrrk */
+/* Table5805 */
+  0x16cd, /* VPADDDZrmk */
+  0x16d0, /* VPADDDZrrk */
+/* Table5807 */
+  0x1511, /* VMOVDQU64Zrmk */
+  0x1515, /* VMOVDQU64Zrrk */
+/* Table5809 */
+  0x150f, /* VMOVDQU64Zmrk */
+  0x1516, /* VMOVDQU64Zrrk_alt */
+/* Table5811 */
+  0x14cf, /* VMOVDQU16Zrmk */
+  0x14d3, /* VMOVDQU16Zrrk */
 /* Table5813 */
-  0x157, /* BZHI32rm */
-  0x158, /* BZHI32rr */
+  0x14cd, /* VMOVDQU16Zmrk */
+  0x14d4, /* VMOVDQU16Zrrk_alt */
 /* Table5815 */
-  0xdf, /* BEXTR32rm */
-  0xe0, /* BEXTR32rr */
+  0x15b7, /* VMOVUPDZrmk */
+  0x15bb, /* VMOVUPDZrrk */
 /* Table5817 */
-  0x7c4, /* PEXT32rm */
-  0x7c5, /* PEXT32rr */
+  0x15b5, /* VMOVUPDZmrk */
+  0x15bc, /* VMOVUPDZrrk_alt */
 /* Table5819 */
-  0x9cb, /* SARX32rm */
-  0x9cc, /* SARX32rr */
+  0x1429, /* VMOVAPDZrmk */
+  0x142d, /* VMOVAPDZrrk */
 /* Table5821 */
-  0x7c0, /* PDEP32rm */
-  0x7c1, /* PDEP32rr */
+  0x1427, /* VMOVAPDZmrk */
+  0x142e, /* VMOVAPDZrrk_alt */
 /* Table5823 */
-  0x6f4, /* MULX32rm */
-  0x6f5, /* MULX32rr */
+  0x2162, /* VSQRTPDZmk */
+  0x2165, /* VSQRTPDZrk */
 /* Table5825 */
-  0xa81, /* SHRX32rm */
-  0xa82, /* SHRX32rr */
+  0xbe8, /* VADDPDZrmk */
+  0xbeb, /* VADDPDZrrk */
 /* Table5827 */
-  0x161f, /* VPSHUFBrm */
-  0x1620, /* VPSHUFBrr */
+  0x161c, /* VMULPDZrmk */
+  0x161f, /* VMULPDZrrk */
 /* Table5829 */
-  0x1410, /* VPHADDWrm */
-  0x1411, /* VPHADDWrr */
+  0x21b2, /* VSUBPDZrmk */
+  0x21b5, /* VSUBPDZrrk */
 /* Table5831 */
-  0x13f8, /* VPHADDDrm */
-  0x13f9, /* VPHADDDrr */
+  0x13be, /* VMINPDZrmk */
+  0x13c1, /* VMINPDZrrk */
 /* Table5833 */
-  0x13fa, /* VPHADDSWrm128 */
-  0x13fc, /* VPHADDSWrr128 */
+  0xdc5, /* VDIVPDZrmk */
+  0xdc8, /* VDIVPDZrrk */
 /* Table5835 */
-  0x1458, /* VPMADDUBSWrm128 */
-  0x145a, /* VPMADDUBSWrr128 */
+  0x1353, /* VMAXPDZrmk */
+  0x1356, /* VMAXPDZrrk */
 /* Table5837 */
-  0x1424, /* VPHSUBWrm */
-  0x1425, /* VPHSUBWrr */
+  0x14a6, /* VMOVDQA64Zrmk */
+  0x14aa, /* VMOVDQA64Zrrk */
 /* Table5839 */
-  0x141a, /* VPHSUBDrm */
-  0x141b, /* VPHSUBDrr */
-/* Table5841 */
-  0x141c, /* VPHSUBSWrm128 */
-  0x141e, /* VPHSUBSWrr128 */
-/* Table5843 */
-  0x1631, /* VPSIGNBrm */
-  0x1632, /* VPSIGNBrr */
-/* Table5845 */
-  0x1639, /* VPSIGNWrm */
-  0x163a, /* VPSIGNWrr */
-/* Table5847 */
-  0x1635, /* VPSIGNDrm */
-  0x1636, /* VPSIGNDrr */
-/* Table5849 */
-  0x15a6, /* VPMULHRSWrm128 */
-  0x15a8, /* VPMULHRSWrr128 */
-/* Table5851 */
-  0x13af, /* VPERMILPSrm */
-  0x13b0, /* VPERMILPSrr */
-/* Table5853 */
-  0x13a5, /* VPERMILPDrm */
-  0x13a6, /* VPERMILPDrr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1ee7, /* VPSRAQZmik */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1eea, /* VPSRAQZrik */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
 /* Table5855 */
-  0x17ee, /* VTESTPSrm */
-  0x17ef, /* VTESTPSrr */
-/* Table5857 */
-  0x17ea, /* VTESTPDrm */
-  0x17eb, /* VTESTPDrr */
-/* Table5859 */
-  0xc55, /* VCVTPH2PSrm */
-  0xc56, /* VCVTPH2PSrr */
-/* Table5861 */
-  0x16fb, /* VPTESTrm */
-  0x16fc, /* VPTESTrr */
-/* Table5863 */
-  0xbff, /* VBROADCASTSSrm */
-  0xc00, /* VBROADCASTSSrr */
-/* Table5865 */
-  0x11c1, /* VPABSBrm128 */
-  0x11c3, /* VPABSBrr128 */
-/* Table5867 */
-  0x11db, /* VPABSWrm128 */
-  0x11dd, /* VPABSWrr128 */
-/* Table5869 */
-  0x11ce, /* VPABSDrm128 */
-  0x11d0, /* VPABSDrr128 */
+  0x0, /*  */
+  0x0, /*  */
+  0x1f20, /* VPSRLQZmik */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1eac, /* VPSLLQZmik */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1f23, /* VPSRLQZrik */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x1eaf, /* VPSLLQZrik */
+  0x0, /*  */
 /* Table5871 */
-  0x152a, /* VPMOVSXBWrm */
-  0x152b, /* VPMOVSXBWrr */
+  0x14a4, /* VMOVDQA64Zmrk */
+  0x14ab, /* VMOVDQA64Zrrk_alt */
 /* Table5873 */
-  0x151c, /* VPMOVSXBDrm */
-  0x151d, /* VPMOVSXBDrr */
+  0x1f26, /* VPSRLQZrmk */
+  0x1f29, /* VPSRLQZrrk */
 /* Table5875 */
-  0x1526, /* VPMOVSXBQrm */
-  0x1527, /* VPMOVSXBQrr */
+  0x16ec, /* VPADDQZrmk */
+  0x16ef, /* VPADDQZrrk */
 /* Table5877 */
-  0x153e, /* VPMOVSXWDrm */
-  0x153f, /* VPMOVSXWDrr */
+  0x1788, /* VPANDQZrmk */
+  0x178b, /* VPANDQZrrk */
 /* Table5879 */
-  0x1548, /* VPMOVSXWQrm */
-  0x1549, /* VPMOVSXWQrr */
+  0x1769, /* VPANDNQZrmk */
+  0x176c, /* VPANDNQZrrk */
 /* Table5881 */
-  0x1534, /* VPMOVSXDQrm */
-  0x1535, /* VPMOVSXDQrr */
+  0x1eed, /* VPSRAQZrmk */
+  0x1ef0, /* VPSRAQZrrk */
 /* Table5883 */
-  0x15a4, /* VPMULDQrm */
-  0x15a5, /* VPMULDQrr */
+  0x1e36, /* VPORQZrmk */
+  0x1e39, /* VPORQZrrk */
 /* Table5885 */
-  0x12cf, /* VPCMPEQQrm */
-  0x12d0, /* VPCMPEQQrr */
+  0x2027, /* VPXORQZrmk */
+  0x202a, /* VPXORQZrrk */
 /* Table5887 */
-  0x10e5, /* VMOVNTDQArm */
-  0x0, /*  */
+  0x1eb2, /* VPSLLQZrmk */
+  0x1eb5, /* VPSLLQZrrk */
 /* Table5889 */
-  0x11e9, /* VPACKUSDWrm */
-  0x11ea, /* VPACKUSDWrr */
+  0x1dfe, /* VPMULUDQZrmk */
+  0x1e01, /* VPMULUDQZrrk */
 /* Table5891 */
-  0xf2a, /* VMASKMOVPSrm */
-  0x0, /*  */
+  0x1f95, /* VPSUBQZrmk */
+  0x1f98, /* VPSUBQZrrk */
 /* Table5893 */
-  0xf26, /* VMASKMOVPDrm */
+  0x216c, /* VSQRTPSZ128mb */
   0x0, /*  */
 /* Table5895 */
-  0xf29, /* VMASKMOVPSmr */
+  0xbf2, /* VADDPSZ128rmb */
   0x0, /*  */
 /* Table5897 */
-  0xf25, /* VMASKMOVPDmr */
+  0x1626, /* VMULPSZ128rmb */
   0x0, /*  */
 /* Table5899 */
-  0x1579, /* VPMOVZXBWrm */
-  0x157a, /* VPMOVZXBWrr */
+  0x21bc, /* VSUBPSZ128rmb */
+  0x0, /*  */
 /* Table5901 */
-  0x156b, /* VPMOVZXBDrm */
-  0x156c, /* VPMOVZXBDrr */
+  0x13c8, /* VMINPSZ128rmb */
+  0x0, /*  */
 /* Table5903 */
-  0x1575, /* VPMOVZXBQrm */
-  0x1576, /* VPMOVZXBQrr */
+  0xdcf, /* VDIVPSZ128rmb */
+  0x0, /*  */
 /* Table5905 */
-  0x158d, /* VPMOVZXWDrm */
-  0x158e, /* VPMOVZXWDrr */
+  0x135d, /* VMAXPSZ128rmb */
+  0x0, /*  */
 /* Table5907 */
-  0x1597, /* VPMOVZXWQrm */
-  0x1598, /* VPMOVZXWQrr */
+  0x0, /*  */
+  0xc28, /* VADDSSZrrb */
 /* Table5909 */
-  0x1583, /* VPMOVZXDQrm */
-  0x1584, /* VPMOVZXDQrr */
+  0x0, /*  */
+  0x165c, /* VMULSSZrrb */
 /* Table5911 */
-  0x1323, /* VPCMPGTQrm */
-  0x1324, /* VPCMPGTQrr */
+  0x0, /*  */
+  0x21f2, /* VSUBSSZrrb */
 /* Table5913 */
-  0x14a6, /* VPMINSBrm */
-  0x14a7, /* VPMINSBrr */
+  0x0, /*  */
+  0x13fb, /* VMINSSZrrb */
 /* Table5915 */
-  0x14b3, /* VPMINSDrm */
-  0x14b4, /* VPMINSDrr */
+  0x0, /*  */
+  0xe05, /* VDIVSSZrrb */
 /* Table5917 */
-  0x14de, /* VPMINUWrm */
-  0x14df, /* VPMINUWrr */
+  0x0, /*  */
+  0x1390, /* VMAXSSZrrb */
 /* Table5919 */
-  0x14d1, /* VPMINUDrm */
-  0x14d2, /* VPMINUDrr */
+  0x18e6, /* VPCMPGTDZ128rmb */
+  0x0, /*  */
 /* Table5921 */
-  0x146a, /* VPMAXSBrm */
-  0x146b, /* VPMAXSBrr */
+  0x1892, /* VPCMPEQDZ128rmb */
+  0x0, /*  */
 /* Table5923 */
-  0x1477, /* VPMAXSDrm */
-  0x1478, /* VPMAXSDrr */
+  0x171e, /* VPANDDZ128rmb */
+  0x0, /*  */
 /* Table5925 */
-  0x14a2, /* VPMAXUWrm */
-  0x14a3, /* VPMAXUWrr */
+  0x1739, /* VPANDNDZ128rmb */
+  0x0, /*  */
 /* Table5927 */
-  0x1495, /* VPMAXUDrm */
-  0x1496, /* VPMAXUDrr */
+  0x1e06, /* VPORDZ128rmb */
+  0x0, /*  */
 /* Table5929 */
-  0x15bd, /* VPMULLDrm */
-  0x15be, /* VPMULLDrr */
+  0x1ff7, /* VPXORDZ128rmb */
+  0x0, /*  */
 /* Table5931 */
-  0x1412, /* VPHMINPOSUWrm128 */
-  0x1413, /* VPHMINPOSUWrr128 */
+  0x1f61, /* VPSUBDZ128rmb */
+  0x0, /*  */
 /* Table5933 */
-  0x16b1, /* VPSRLVDrm */
-  0x16b2, /* VPSRLVDrr */
+  0x16b8, /* VPADDDZ128rmb */
+  0x0, /*  */
 /* Table5935 */
-  0x1685, /* VPSRAVDrm */
-  0x1686, /* VPSRAVDrr */
+  0x0, /*  */
+  0xc19, /* VADDSDZrrb */
 /* Table5937 */
-  0x165d, /* VPSLLVDrm */
-  0x165e, /* VPSLLVDrr */
+  0x0, /*  */
+  0x164d, /* VMULSDZrrb */
 /* Table5939 */
-  0x1275, /* VPBROADCASTDrm */
-  0x1276, /* VPBROADCASTDrr */
+  0x0, /*  */
+  0x21e3, /* VSUBSDZrrb */
 /* Table5941 */
-  0x1281, /* VPBROADCASTQrm */
-  0x1282, /* VPBROADCASTQrr */
+  0x0, /*  */
+  0x13ec, /* VMINSDZrrb */
 /* Table5943 */
-  0x126b, /* VPBROADCASTBrm */
-  0x126c, /* VPBROADCASTBrr */
+  0x0, /*  */
+  0xdf6, /* VDIVSDZrrb */
 /* Table5945 */
-  0x1285, /* VPBROADCASTWrm */
-  0x1286, /* VPBROADCASTWrr */
+  0x0, /*  */
+  0x1381, /* VMAXSDZrrb */
 /* Table5947 */
-  0x1463, /* VPMASKMOVDrm */
+  0x214d, /* VSQRTPDZ128mb */
   0x0, /*  */
 /* Table5949 */
-  0x1462, /* VPMASKMOVDmr */
+  0xbd0, /* VADDPDZ128rmb */
   0x0, /*  */
 /* Table5951 */
-  0x13e4, /* VPGATHERDDrm */
+  0x1604, /* VMULPDZ128rmb */
   0x0, /*  */
 /* Table5953 */
-  0x13ea, /* VPGATHERQDrm */
+  0x219a, /* VSUBPDZ128rmb */
   0x0, /*  */
 /* Table5955 */
-  0xeef, /* VGATHERDPSrm */
+  0x13a9, /* VMINPDZ128rmb */
   0x0, /*  */
 /* Table5957 */
-  0xefd, /* VGATHERQPSrm */
+  0xdad, /* VDIVPDZ128rmb */
   0x0, /*  */
 /* Table5959 */
-  0xd90, /* VFMADDSUBPSr132m */
-  0xd92, /* VFMADDSUBPSr132r */
+  0x133e, /* VMAXPDZ128rmb */
+  0x0, /*  */
 /* Table5961 */
-  0xdd4, /* VFMSUBADDPSr132m */
-  0xdd6, /* VFMSUBADDPSr132r */
+  0x16d7, /* VPADDQZ128rmb */
+  0x0, /*  */
 /* Table5963 */
-  0xd3c, /* VFMADDPSr132m */
-  0xd3e, /* VFMADDPSr132r */
+  0x1773, /* VPANDQZ128rmb */
+  0x0, /*  */
 /* Table5965 */
-  0xd60, /* VFMADDSSr132m */
-  0xd61, /* VFMADDSSr132r */
+  0x1754, /* VPANDNQZ128rmb */
+  0x0, /*  */
 /* Table5967 */
-  0xdfc, /* VFMSUBPSr132m */
-  0xdfe, /* VFMSUBPSr132r */
+  0x1e21, /* VPORQZ128rmb */
+  0x0, /*  */
 /* Table5969 */
-  0xe20, /* VFMSUBSSr132m */
-  0xe21, /* VFMSUBSSr132r */
+  0x2012, /* VPXORQZ128rmb */
+  0x0, /*  */
 /* Table5971 */
-  0xe50, /* VFNMADDPSr132m */
-  0xe52, /* VFNMADDPSr132r */
+  0x1f80, /* VPSUBQZ128rmb */
+  0x0, /*  */
 /* Table5973 */
-  0xe74, /* VFNMADDSSr132m */
-  0xe75, /* VFNMADDSSr132r */
+  0x2175, /* VSQRTPSZ256mb */
+  0x0, /*  */
 /* Table5975 */
-  0xea4, /* VFNMSUBPSr132m */
-  0xea6, /* VFNMSUBPSr132r */
+  0xbfb, /* VADDPSZ256rmb */
+  0x0, /*  */
 /* Table5977 */
-  0xec8, /* VFNMSUBSSr132m */
-  0xec9, /* VFNMSUBSSr132r */
+  0x162f, /* VMULPSZ256rmb */
+  0x0, /*  */
 /* Table5979 */
-  0xd94, /* VFMADDSUBPSr213m */
-  0xd96, /* VFMADDSUBPSr213r */
+  0x21c5, /* VSUBPSZ256rmb */
+  0x0, /*  */
 /* Table5981 */
-  0xdd8, /* VFMSUBADDPSr213m */
-  0xdda, /* VFMSUBADDPSr213r */
+  0x13d1, /* VMINPSZ256rmb */
+  0x0, /*  */
 /* Table5983 */
-  0xd40, /* VFMADDPSr213m */
-  0xd42, /* VFMADDPSr213r */
+  0xdd8, /* VDIVPSZ256rmb */
+  0x0, /*  */
 /* Table5985 */
-  0xd62, /* VFMADDSSr213m */
-  0xd63, /* VFMADDSSr213r */
+  0x1366, /* VMAXPSZ256rmb */
+  0x0, /*  */
 /* Table5987 */
-  0xe00, /* VFMSUBPSr213m */
-  0xe02, /* VFMSUBPSr213r */
+  0x18ec, /* VPCMPGTDZ256rmb */
+  0x0, /*  */
 /* Table5989 */
-  0xe22, /* VFMSUBSSr213m */
-  0xe23, /* VFMSUBSSr213r */
+  0x1898, /* VPCMPEQDZ256rmb */
+  0x0, /*  */
 /* Table5991 */
-  0xe54, /* VFNMADDPSr213m */
-  0xe56, /* VFNMADDPSr213r */
+  0x1727, /* VPANDDZ256rmb */
+  0x0, /*  */
 /* Table5993 */
-  0xe76, /* VFNMADDSSr213m */
-  0xe77, /* VFNMADDSSr213r */
+  0x1742, /* VPANDNDZ256rmb */
+  0x0, /*  */
 /* Table5995 */
-  0xea8, /* VFNMSUBPSr213m */
-  0xeaa, /* VFNMSUBPSr213r */
+  0x1e0f, /* VPORDZ256rmb */
+  0x0, /*  */
 /* Table5997 */
-  0xeca, /* VFNMSUBSSr213m */
-  0xecb, /* VFNMSUBSSr213r */
+  0x2000, /* VPXORDZ256rmb */
+  0x0, /*  */
 /* Table5999 */
-  0xd98, /* VFMADDSUBPSr231m */
-  0xd9a, /* VFMADDSUBPSr231r */
+  0x1f6a, /* VPSUBDZ256rmb */
+  0x0, /*  */
 /* Table6001 */
-  0xddc, /* VFMSUBADDPSr231m */
-  0xdde, /* VFMSUBADDPSr231r */
+  0x16c1, /* VPADDDZ256rmb */
+  0x0, /*  */
 /* Table6003 */
-  0xd44, /* VFMADDPSr231m */
-  0xd46, /* VFMADDPSr231r */
+  0x2156, /* VSQRTPDZ256mb */
+  0x0, /*  */
 /* Table6005 */
-  0xd64, /* VFMADDSSr231m */
-  0xd65, /* VFMADDSSr231r */
+  0xbd9, /* VADDPDZ256rmb */
+  0x0, /*  */
 /* Table6007 */
-  0xe04, /* VFMSUBPSr231m */
-  0xe06, /* VFMSUBPSr231r */
+  0x160d, /* VMULPDZ256rmb */
+  0x0, /*  */
 /* Table6009 */
-  0xe24, /* VFMSUBSSr231m */
-  0xe25, /* VFMSUBSSr231r */
+  0x21a3, /* VSUBPDZ256rmb */
+  0x0, /*  */
 /* Table6011 */
-  0xe58, /* VFNMADDPSr231m */
-  0xe5a, /* VFNMADDPSr231r */
+  0x13b2, /* VMINPDZ256rmb */
+  0x0, /*  */
 /* Table6013 */
-  0xe78, /* VFNMADDSSr231m */
-  0xe79, /* VFNMADDSSr231r */
+  0xdb6, /* VDIVPDZ256rmb */
+  0x0, /*  */
 /* Table6015 */
-  0xeac, /* VFNMSUBPSr231m */
-  0xeae, /* VFNMSUBPSr231r */
+  0x1347, /* VMAXPDZ256rmb */
+  0x0, /*  */
 /* Table6017 */
-  0xecc, /* VFNMSUBSSr231m */
-  0xecd, /* VFNMSUBSSr231r */
+  0x16e0, /* VPADDQZ256rmb */
+  0x0, /*  */
 /* Table6019 */
-  0xbc0, /* VAESIMCrm */
-  0xbc1, /* VAESIMCrr */
+  0x177c, /* VPANDQZ256rmb */
+  0x0, /*  */
 /* Table6021 */
-  0xbbe, /* VAESENCrm */
-  0xbbf, /* VAESENCrr */
+  0x175d, /* VPANDNQZ256rmb */
+  0x0, /*  */
 /* Table6023 */
-  0xbbc, /* VAESENCLASTrm */
-  0xbbd, /* VAESENCLASTrr */
+  0x1e2a, /* VPORQZ256rmb */
+  0x0, /*  */
 /* Table6025 */
-  0xbba, /* VAESDECrm */
-  0xbbb, /* VAESDECrr */
+  0x201b, /* VPXORQZ256rmb */
+  0x0, /*  */
 /* Table6027 */
-  0xbb8, /* VAESDECLASTrm */
-  0xbb9, /* VAESDECLASTrr */
+  0x1f89, /* VPSUBQZ256rmb */
+  0x0, /*  */
 /* Table6029 */
-  0xa59, /* SHLX32rm */
-  0xa5a, /* SHLX32rr */
+  0x217e, /* VSQRTPSZmb */
+  0x0, /*  */
 /* Table6031 */
-  0xd0, /* ANDN64rm */
-  0xd1, /* ANDN64rr */
+  0xc07, /* VADDPSZrmb */
+  0xc03, /* VADDPSZrb */
 /* Table6033 */
+  0x163b, /* VMULPSZrmb */
+  0x1637, /* VMULPSZrb */
+/* Table6035 */
+  0x0, /*  */
+  0xd15, /* VCVTDQ2PSZrrb */
+/* Table6037 */
+  0x21d1, /* VSUBPSZrmb */
+  0x21cd, /* VSUBPSZrb */
+/* Table6039 */
+  0x13da, /* VMINPSZrmb */
+  0x0, /*  */
+/* Table6041 */
+  0xde4, /* VDIVPSZrmb */
+  0xde0, /* VDIVPSZrb */
+/* Table6043 */
+  0x136f, /* VMAXPSZrmb */
   0x0, /*  */
-  0x115, /* BLSR64rm */
-  0x111, /* BLSMSK64rm */
-  0x109, /* BLSI64rm */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x116, /* BLSR64rr */
-  0x112, /* BLSMSK64rr */
-  0x10a, /* BLSI64rr */
-  0x0, /*  */
-  0x0, /*  */
+/* Table6045 */
   0x0, /*  */
+  0xd44, /* VCVTPS2UDQZrrb */
+/* Table6047 */
   0x0, /*  */
+  0xcdb, /* VCMPPSZrrib */
 /* Table6049 */
-  0x159, /* BZHI64rm */
-  0x15a, /* BZHI64rr */
+  0x0, /*  */
+  0xda1, /* VCVTUDQ2PSZrrb */
 /* Table6051 */
-  0xe1, /* BEXTR64rm */
-  0xe2, /* BEXTR64rr */
+  0x0, /*  */
+  0xd33, /* VCVTPS2DQZrrb */
 /* Table6053 */
-  0x7c6, /* PEXT64rm */
-  0x7c7, /* PEXT64rr */
+  0x18f2, /* VPCMPGTDZrmb */
+  0x0, /*  */
 /* Table6055 */
-  0x9cd, /* SARX64rm */
-  0x9ce, /* SARX64rr */
+  0x189e, /* VPCMPEQDZrmb */
+  0x0, /*  */
 /* Table6057 */
-  0x7c2, /* PDEP64rm */
-  0x7c3, /* PDEP64rr */
+  0x1730, /* VPANDDZrmb */
+  0x0, /*  */
 /* Table6059 */
-  0x6f6, /* MULX64rm */
-  0x6f7, /* MULX64rr */
+  0x174b, /* VPANDNDZrmb */
+  0x0, /*  */
 /* Table6061 */
-  0xa83, /* SHRX64rm */
-  0xa84, /* SHRX64rr */
+  0x1e18, /* VPORDZrmb */
+  0x0, /*  */
 /* Table6063 */
-  0x16b7, /* VPSRLVQrm */
-  0x16b8, /* VPSRLVQrr */
+  0x2009, /* VPXORDZrmb */
+  0x0, /*  */
 /* Table6065 */
-  0x1663, /* VPSLLVQrm */
-  0x1664, /* VPSLLVQrr */
+  0x1f73, /* VPSUBDZrmb */
+  0x0, /*  */
 /* Table6067 */
-  0x1467, /* VPMASKMOVQrm */
+  0x16ca, /* VPADDDZrmb */
   0x0, /*  */
 /* Table6069 */
-  0x1466, /* VPMASKMOVQmr */
   0x0, /*  */
+  0xd28, /* VCVTPD2UDQZrrb */
 /* Table6071 */
-  0x13e7, /* VPGATHERDQrm */
   0x0, /*  */
+  0xd1d, /* VCVTPD2DQZrrb */
 /* Table6073 */
-  0x13ed, /* VPGATHERQQrm */
+  0x215f, /* VSQRTPDZmb */
   0x0, /*  */
 /* Table6075 */
-  0xeec, /* VGATHERDPDrm */
-  0x0, /*  */
+  0xbe5, /* VADDPDZrmb */
+  0xbe1, /* VADDPDZrb */
 /* Table6077 */
-  0xefa, /* VGATHERQPDrm */
-  0x0, /*  */
+  0x1619, /* VMULPDZrmb */
+  0x1615, /* VMULPDZrb */
 /* Table6079 */
-  0xd7c, /* VFMADDSUBPDr132m */
-  0xd7e, /* VFMADDSUBPDr132r */
+  0x0, /*  */
+  0xd24, /* VCVTPD2PSZrrb */
 /* Table6081 */
-  0xdc0, /* VFMSUBADDPDr132m */
-  0xdc2, /* VFMSUBADDPDr132r */
+  0x21af, /* VSUBPDZrmb */
+  0x21ab, /* VSUBPDZrb */
 /* Table6083 */
-  0xd28, /* VFMADDPDr132m */
-  0xd2a, /* VFMADDPDr132r */
+  0x13bb, /* VMINPDZrmb */
+  0x0, /*  */
 /* Table6085 */
-  0xd51, /* VFMADDSDr132m */
-  0xd52, /* VFMADDSDr132r */
+  0xdc2, /* VDIVPDZrmb */
+  0xdbe, /* VDIVPDZrb */
 /* Table6087 */
-  0xde8, /* VFMSUBPDr132m */
-  0xdea, /* VFMSUBPDr132r */
+  0x1350, /* VMAXPDZrmb */
+  0x0, /*  */
 /* Table6089 */
-  0xe11, /* VFMSUBSDr132m */
-  0xe12, /* VFMSUBSDr132r */
+  0x0, /*  */
+  0xccd, /* VCMPPDZrrib */
 /* Table6091 */
-  0xe3c, /* VFNMADDPDr132m */
-  0xe3e, /* VFNMADDPDr132r */
+  0x16e9, /* VPADDQZrmb */
+  0x0, /*  */
 /* Table6093 */
-  0xe65, /* VFNMADDSDr132m */
-  0xe66, /* VFNMADDSDr132r */
+  0x1785, /* VPANDQZrmb */
+  0x0, /*  */
 /* Table6095 */
-  0xe90, /* VFNMSUBPDr132m */
-  0xe92, /* VFNMSUBPDr132r */
+  0x1766, /* VPANDNQZrmb */
+  0x0, /*  */
 /* Table6097 */
-  0xeb9, /* VFNMSUBSDr132m */
-  0xeba, /* VFNMSUBSDr132r */
+  0x1e33, /* VPORQZrmb */
+  0x0, /*  */
 /* Table6099 */
-  0xd80, /* VFMADDSUBPDr213m */
-  0xd82, /* VFMADDSUBPDr213r */
+  0x2024, /* VPXORQZrmb */
+  0x0, /*  */
 /* Table6101 */
-  0xdc4, /* VFMSUBADDPDr213m */
-  0xdc6, /* VFMSUBADDPDr213r */
+  0x1dfb, /* VPMULUDQZrmb */
+  0x0, /*  */
 /* Table6103 */
-  0xd2c, /* VFMADDPDr213m */
-  0xd2e, /* VFMADDPDr213r */
+  0x1f92, /* VPSUBQZrmb */
+  0x0, /*  */
 /* Table6105 */
-  0xd53, /* VFMADDSDr213m */
-  0xd54, /* VFMADDSDr213r */
+  0x216d, /* VSQRTPSZ128mbk */
+  0x0, /*  */
 /* Table6107 */
-  0xdec, /* VFMSUBPDr213m */
-  0xdee, /* VFMSUBPDr213r */
+  0xbf3, /* VADDPSZ128rmbk */
+  0x0, /*  */
 /* Table6109 */
-  0xe13, /* VFMSUBSDr213m */
-  0xe14, /* VFMSUBSDr213r */
+  0x1627, /* VMULPSZ128rmbk */
+  0x0, /*  */
 /* Table6111 */
-  0xe40, /* VFNMADDPDr213m */
-  0xe42, /* VFNMADDPDr213r */
+  0x21bd, /* VSUBPSZ128rmbk */
+  0x0, /*  */
 /* Table6113 */
-  0xe67, /* VFNMADDSDr213m */
-  0xe68, /* VFNMADDSDr213r */
+  0x13c9, /* VMINPSZ128rmbk */
+  0x0, /*  */
 /* Table6115 */
-  0xe94, /* VFNMSUBPDr213m */
-  0xe96, /* VFNMSUBPDr213r */
+  0xdd0, /* VDIVPSZ128rmbk */
+  0x0, /*  */
 /* Table6117 */
-  0xebb, /* VFNMSUBSDr213m */
-  0xebc, /* VFNMSUBSDr213r */
+  0x135e, /* VMAXPSZ128rmbk */
+  0x0, /*  */
 /* Table6119 */
-  0xd84, /* VFMADDSUBPDr231m */
-  0xd86, /* VFMADDSUBPDr231r */
+  0x0, /*  */
+  0xc29, /* VADDSSZrrbk */
 /* Table6121 */
-  0xdc8, /* VFMSUBADDPDr231m */
-  0xdca, /* VFMSUBADDPDr231r */
+  0x0, /*  */
+  0x165d, /* VMULSSZrrbk */
 /* Table6123 */
-  0xd30, /* VFMADDPDr231m */
-  0xd32, /* VFMADDPDr231r */
+  0x0, /*  */
+  0x21f3, /* VSUBSSZrrbk */
 /* Table6125 */
-  0xd55, /* VFMADDSDr231m */
-  0xd56, /* VFMADDSDr231r */
+  0x0, /*  */
+  0x13fc, /* VMINSSZrrbk */
 /* Table6127 */
-  0xdf0, /* VFMSUBPDr231m */
-  0xdf2, /* VFMSUBPDr231r */
+  0x0, /*  */
+  0xe06, /* VDIVSSZrrbk */
 /* Table6129 */
-  0xe15, /* VFMSUBSDr231m */
-  0xe16, /* VFMSUBSDr231r */
+  0x0, /*  */
+  0x1391, /* VMAXSSZrrbk */
 /* Table6131 */
-  0xe44, /* VFNMADDPDr231m */
-  0xe46, /* VFNMADDPDr231r */
+  0x18e7, /* VPCMPGTDZ128rmbk */
+  0x0, /*  */
 /* Table6133 */
-  0xe69, /* VFNMADDSDr231m */
-  0xe6a, /* VFNMADDSDr231r */
+  0x1893, /* VPCMPEQDZ128rmbk */
+  0x0, /*  */
 /* Table6135 */
-  0xe98, /* VFNMSUBPDr231m */
-  0xe9a, /* VFNMSUBPDr231r */
+  0x171f, /* VPANDDZ128rmbk */
+  0x0, /*  */
 /* Table6137 */
-  0xebd, /* VFNMSUBSDr231m */
-  0xebe, /* VFNMSUBSDr231r */
+  0x173a, /* VPANDNDZ128rmbk */
+  0x0, /*  */
 /* Table6139 */
-  0xa5b, /* SHLX64rm */
-  0xa5c, /* SHLX64rr */
+  0x1e07, /* VPORDZ128rmbk */
+  0x0, /*  */
 /* Table6141 */
-  0x161d, /* VPSHUFBYrm */
-  0x161e, /* VPSHUFBYrr */
+  0x1ff8, /* VPXORDZ128rmbk */
+  0x0, /*  */
 /* Table6143 */
-  0x140e, /* VPHADDWYrm */
-  0x140f, /* VPHADDWYrr */
+  0x1f62, /* VPSUBDZ128rmbk */
+  0x0, /*  */
 /* Table6145 */
-  0x13f6, /* VPHADDDYrm */
-  0x13f7, /* VPHADDDYrr */
+  0x16b9, /* VPADDDZ128rmbk */
+  0x0, /*  */
 /* Table6147 */
-  0x13fb, /* VPHADDSWrm256 */
-  0x13fd, /* VPHADDSWrr256 */
+  0x0, /*  */
+  0xc1a, /* VADDSDZrrbk */
 /* Table6149 */
-  0x1459, /* VPMADDUBSWrm256 */
-  0x145b, /* VPMADDUBSWrr256 */
+  0x0, /*  */
+  0x164e, /* VMULSDZrrbk */
 /* Table6151 */
-  0x1422, /* VPHSUBWYrm */
-  0x1423, /* VPHSUBWYrr */
+  0x0, /*  */
+  0x21e4, /* VSUBSDZrrbk */
 /* Table6153 */
-  0x1418, /* VPHSUBDYrm */
-  0x1419, /* VPHSUBDYrr */
+  0x0, /*  */
+  0x13ed, /* VMINSDZrrbk */
 /* Table6155 */
-  0x141d, /* VPHSUBSWrm256 */
-  0x141f, /* VPHSUBSWrr256 */
+  0x0, /*  */
+  0xdf7, /* VDIVSDZrrbk */
 /* Table6157 */
-  0x162f, /* VPSIGNBYrm */
-  0x1630, /* VPSIGNBYrr */
+  0x0, /*  */
+  0x1382, /* VMAXSDZrrbk */
 /* Table6159 */
-  0x1637, /* VPSIGNWYrm */
-  0x1638, /* VPSIGNWYrr */
+  0x214e, /* VSQRTPDZ128mbk */
+  0x0, /*  */
 /* Table6161 */
-  0x1633, /* VPSIGNDYrm */
-  0x1634, /* VPSIGNDYrr */
+  0xbd1, /* VADDPDZ128rmbk */
+  0x0, /*  */
 /* Table6163 */
-  0x15a7, /* VPMULHRSWrm256 */
-  0x15a9, /* VPMULHRSWrr256 */
+  0x1605, /* VMULPDZ128rmbk */
+  0x0, /*  */
 /* Table6165 */
-  0x13a9, /* VPERMILPSYrm */
-  0x13aa, /* VPERMILPSYrr */
+  0x219b, /* VSUBPDZ128rmbk */
+  0x0, /*  */
 /* Table6167 */
-  0x139f, /* VPERMILPDYrm */
-  0x13a0, /* VPERMILPDYrr */
+  0x13aa, /* VMINPDZ128rmbk */
+  0x0, /*  */
 /* Table6169 */
-  0x17ec, /* VTESTPSYrm */
-  0x17ed, /* VTESTPSYrr */
+  0xdae, /* VDIVPDZ128rmbk */
+  0x0, /*  */
 /* Table6171 */
-  0x17e8, /* VTESTPDYrm */
-  0x17e9, /* VTESTPDYrr */
+  0x133f, /* VMAXPDZ128rmbk */
+  0x0, /*  */
 /* Table6173 */
-  0xc51, /* VCVTPH2PSYrm */
-  0xc52, /* VCVTPH2PSYrr */
+  0x16d8, /* VPADDQZ128rmbk */
+  0x0, /*  */
 /* Table6175 */
-  0x13b7, /* VPERMPSYrm */
-  0x13b8, /* VPERMPSYrr */
+  0x1774, /* VPANDQZ128rmbk */
+  0x0, /*  */
 /* Table6177 */
-  0x16f9, /* VPTESTYrm */
-  0x16fa, /* VPTESTYrr */
+  0x1755, /* VPANDNQZ128rmbk */
+  0x0, /*  */
 /* Table6179 */
-  0xbfb, /* VBROADCASTSSYrm */
-  0xbfc, /* VBROADCASTSSYrr */
+  0x1e22, /* VPORQZ128rmbk */
+  0x0, /*  */
 /* Table6181 */
-  0xbf7, /* VBROADCASTSDYrm */
-  0xbf8, /* VBROADCASTSDYrr */
+  0x2013, /* VPXORQZ128rmbk */
+  0x0, /*  */
 /* Table6183 */
-  0xbf1, /* VBROADCASTF128 */
+  0x1f81, /* VPSUBQZ128rmbk */
   0x0, /*  */
 /* Table6185 */
-  0x11c2, /* VPABSBrm256 */
-  0x11c4, /* VPABSBrr256 */
+  0x2176, /* VSQRTPSZ256mbk */
+  0x0, /*  */
 /* Table6187 */
-  0x11dc, /* VPABSWrm256 */
-  0x11de, /* VPABSWrr256 */
+  0xbfc, /* VADDPSZ256rmbk */
+  0x0, /*  */
 /* Table6189 */
-  0x11cf, /* VPABSDrm256 */
-  0x11d1, /* VPABSDrr256 */
+  0x1630, /* VMULPSZ256rmbk */
+  0x0, /*  */
 /* Table6191 */
-  0x1528, /* VPMOVSXBWYrm */
-  0x1529, /* VPMOVSXBWYrr */
+  0x21c6, /* VSUBPSZ256rmbk */
+  0x0, /*  */
 /* Table6193 */
-  0x1514, /* VPMOVSXBDYrm */
-  0x1515, /* VPMOVSXBDYrr */
+  0x13d2, /* VMINPSZ256rmbk */
+  0x0, /*  */
 /* Table6195 */
-  0x151e, /* VPMOVSXBQYrm */
-  0x151f, /* VPMOVSXBQYrr */
+  0xdd9, /* VDIVPSZ256rmbk */
+  0x0, /*  */
 /* Table6197 */
-  0x1536, /* VPMOVSXWDYrm */
-  0x1537, /* VPMOVSXWDYrr */
+  0x1367, /* VMAXPSZ256rmbk */
+  0x0, /*  */
 /* Table6199 */
-  0x1540, /* VPMOVSXWQYrm */
-  0x1541, /* VPMOVSXWQYrr */
+  0x18ed, /* VPCMPGTDZ256rmbk */
+  0x0, /*  */
 /* Table6201 */
-  0x152c, /* VPMOVSXDQYrm */
-  0x152d, /* VPMOVSXDQYrr */
+  0x1899, /* VPCMPEQDZ256rmbk */
+  0x0, /*  */
 /* Table6203 */
-  0x1599, /* VPMULDQYrm */
-  0x159a, /* VPMULDQYrr */
+  0x1728, /* VPANDDZ256rmbk */
+  0x0, /*  */
 /* Table6205 */
-  0x12bb, /* VPCMPEQQYrm */
-  0x12bc, /* VPCMPEQQYrr */
+  0x1743, /* VPANDNDZ256rmbk */
+  0x0, /*  */
 /* Table6207 */
-  0x10e1, /* VMOVNTDQAYrm */
+  0x1e10, /* VPORDZ256rmbk */
   0x0, /*  */
 /* Table6209 */
-  0x11e7, /* VPACKUSDWYrm */
-  0x11e8, /* VPACKUSDWYrr */
+  0x2001, /* VPXORDZ256rmbk */
+  0x0, /*  */
 /* Table6211 */
-  0xf28, /* VMASKMOVPSYrm */
+  0x1f6b, /* VPSUBDZ256rmbk */
   0x0, /*  */
 /* Table6213 */
-  0xf24, /* VMASKMOVPDYrm */
+  0x16c2, /* VPADDDZ256rmbk */
   0x0, /*  */
 /* Table6215 */
-  0xf27, /* VMASKMOVPSYmr */
+  0x2157, /* VSQRTPDZ256mbk */
   0x0, /*  */
 /* Table6217 */
-  0xf23, /* VMASKMOVPDYmr */
+  0xbda, /* VADDPDZ256rmbk */
   0x0, /*  */
 /* Table6219 */
-  0x1577, /* VPMOVZXBWYrm */
-  0x1578, /* VPMOVZXBWYrr */
+  0x160e, /* VMULPDZ256rmbk */
+  0x0, /*  */
 /* Table6221 */
-  0x1563, /* VPMOVZXBDYrm */
-  0x1564, /* VPMOVZXBDYrr */
+  0x21a4, /* VSUBPDZ256rmbk */
+  0x0, /*  */
 /* Table6223 */
-  0x156d, /* VPMOVZXBQYrm */
-  0x156e, /* VPMOVZXBQYrr */
+  0x13b3, /* VMINPDZ256rmbk */
+  0x0, /*  */
 /* Table6225 */
-  0x1585, /* VPMOVZXWDYrm */
-  0x1586, /* VPMOVZXWDYrr */
+  0xdb7, /* VDIVPDZ256rmbk */
+  0x0, /*  */
 /* Table6227 */
-  0x158f, /* VPMOVZXWQYrm */
-  0x1590, /* VPMOVZXWQYrr */
+  0x1348, /* VMAXPDZ256rmbk */
+  0x0, /*  */
 /* Table6229 */
-  0x157b, /* VPMOVZXDQYrm */
-  0x157c, /* VPMOVZXDQYrr */
+  0x16e1, /* VPADDQZ256rmbk */
+  0x0, /*  */
 /* Table6231 */
-  0x1375, /* VPERMDYrm */
-  0x1376, /* VPERMDYrr */
+  0x177d, /* VPANDQZ256rmbk */
+  0x0, /*  */
 /* Table6233 */
-  0x130f, /* VPCMPGTQYrm */
-  0x1310, /* VPCMPGTQYrr */
+  0x175e, /* VPANDNQZ256rmbk */
+  0x0, /*  */
 /* Table6235 */
-  0x14a4, /* VPMINSBYrm */
-  0x14a5, /* VPMINSBYrr */
+  0x1e2b, /* VPORQZ256rmbk */
+  0x0, /*  */
 /* Table6237 */
-  0x14a8, /* VPMINSDYrm */
-  0x14a9, /* VPMINSDYrr */
+  0x201c, /* VPXORQZ256rmbk */
+  0x0, /*  */
 /* Table6239 */
-  0x14dc, /* VPMINUWYrm */
-  0x14dd, /* VPMINUWYrr */
+  0x1f8a, /* VPSUBQZ256rmbk */
+  0x0, /*  */
 /* Table6241 */
-  0x14c6, /* VPMINUDYrm */
-  0x14c7, /* VPMINUDYrr */
+  0x217f, /* VSQRTPSZmbk */
+  0x0, /*  */
 /* Table6243 */
-  0x1468, /* VPMAXSBYrm */
-  0x1469, /* VPMAXSBYrr */
+  0xc08, /* VADDPSZrmbk */
+  0xc04, /* VADDPSZrbk */
 /* Table6245 */
-  0x146c, /* VPMAXSDYrm */
-  0x146d, /* VPMAXSDYrr */
+  0x163c, /* VMULPSZrmbk */
+  0x1638, /* VMULPSZrbk */
 /* Table6247 */
-  0x14a0, /* VPMAXUWYrm */
-  0x14a1, /* VPMAXUWYrr */
+  0x21d2, /* VSUBPSZrmbk */
+  0x21ce, /* VSUBPSZrbk */
 /* Table6249 */
-  0x148a, /* VPMAXUDYrm */
-  0x148b, /* VPMAXUDYrr */
+  0x13db, /* VMINPSZrmbk */
+  0x0, /*  */
 /* Table6251 */
-  0x15b2, /* VPMULLDYrm */
-  0x15b3, /* VPMULLDYrr */
+  0xde5, /* VDIVPSZrmbk */
+  0xde1, /* VDIVPSZrbk */
 /* Table6253 */
-  0x16ad, /* VPSRLVDYrm */
-  0x16ae, /* VPSRLVDYrr */
+  0x1370, /* VMAXPSZrmbk */
+  0x0, /*  */
 /* Table6255 */
-  0x1681, /* VPSRAVDYrm */
-  0x1682, /* VPSRAVDYrr */
+  0x18f3, /* VPCMPGTDZrmbk */
+  0x0, /*  */
 /* Table6257 */
-  0x1659, /* VPSLLVDYrm */
-  0x165a, /* VPSLLVDYrr */
+  0x189f, /* VPCMPEQDZrmbk */
+  0x0, /*  */
 /* Table6259 */
-  0x126d, /* VPBROADCASTDYrm */
-  0x126e, /* VPBROADCASTDYrr */
+  0x1731, /* VPANDDZrmbk */
+  0x0, /*  */
 /* Table6261 */
-  0x1279, /* VPBROADCASTQYrm */
-  0x127a, /* VPBROADCASTQYrr */
+  0x174c, /* VPANDNDZrmbk */
+  0x0, /*  */
 /* Table6263 */
-  0xbf2, /* VBROADCASTI128 */
+  0x1e19, /* VPORDZrmbk */
   0x0, /*  */
 /* Table6265 */
-  0x1269, /* VPBROADCASTBYrm */
-  0x126a, /* VPBROADCASTBYrr */
+  0x200a, /* VPXORDZrmbk */
+  0x0, /*  */
 /* Table6267 */
-  0x1283, /* VPBROADCASTWYrm */
-  0x1284, /* VPBROADCASTWYrr */
+  0x1f74, /* VPSUBDZrmbk */
+  0x0, /*  */
 /* Table6269 */
-  0x1461, /* VPMASKMOVDYrm */
+  0x16cb, /* VPADDDZrmbk */
   0x0, /*  */
 /* Table6271 */
-  0x1460, /* VPMASKMOVDYmr */
+  0x2160, /* VSQRTPDZmbk */
   0x0, /*  */
 /* Table6273 */
-  0x13e2, /* VPGATHERDDYrm */
-  0x0, /*  */
+  0xbe6, /* VADDPDZrmbk */
+  0xbe2, /* VADDPDZrbk */
 /* Table6275 */
-  0x13e8, /* VPGATHERQDYrm */
-  0x0, /*  */
+  0x161a, /* VMULPDZrmbk */
+  0x1616, /* VMULPDZrbk */
 /* Table6277 */
-  0xeed, /* VGATHERDPSYrm */
-  0x0, /*  */
+  0x21b0, /* VSUBPDZrmbk */
+  0x21ac, /* VSUBPDZrbk */
 /* Table6279 */
-  0xefb, /* VGATHERQPSYrm */
+  0x13bc, /* VMINPDZrmbk */
   0x0, /*  */
 /* Table6281 */
-  0xd91, /* VFMADDSUBPSr132mY */
-  0xd93, /* VFMADDSUBPSr132rY */
+  0xdc3, /* VDIVPDZrmbk */
+  0xdbf, /* VDIVPDZrbk */
 /* Table6283 */
-  0xdd5, /* VFMSUBADDPSr132mY */
-  0xdd7, /* VFMSUBADDPSr132rY */
+  0x1351, /* VMAXPDZrmbk */
+  0x0, /*  */
 /* Table6285 */
-  0xd3d, /* VFMADDPSr132mY */
-  0xd3f, /* VFMADDPSr132rY */
+  0x16ea, /* VPADDQZrmbk */
+  0x0, /*  */
 /* Table6287 */
-  0xdfd, /* VFMSUBPSr132mY */
-  0xdff, /* VFMSUBPSr132rY */
+  0x1786, /* VPANDQZrmbk */
+  0x0, /*  */
 /* Table6289 */
-  0xe51, /* VFNMADDPSr132mY */
-  0xe53, /* VFNMADDPSr132rY */
+  0x1767, /* VPANDNQZrmbk */
+  0x0, /*  */
 /* Table6291 */
-  0xea5, /* VFNMSUBPSr132mY */
-  0xea7, /* VFNMSUBPSr132rY */
+  0x1e34, /* VPORQZrmbk */
+  0x0, /*  */
 /* Table6293 */
-  0xd95, /* VFMADDSUBPSr213mY */
-  0xd97, /* VFMADDSUBPSr213rY */
+  0x2025, /* VPXORQZrmbk */
+  0x0, /*  */
 /* Table6295 */
-  0xdd9, /* VFMSUBADDPSr213mY */
-  0xddb, /* VFMSUBADDPSr213rY */
+  0x1dfc, /* VPMULUDQZrmbk */
+  0x0, /*  */
 /* Table6297 */
-  0xd41, /* VFMADDPSr213mY */
-  0xd43, /* VFMADDPSr213rY */
+  0x1f93, /* VPSUBQZrmbk */
+  0x0, /*  */
 /* Table6299 */
-  0xe01, /* VFMSUBPSr213mY */
-  0xe03, /* VFMSUBPSr213rY */
+  0x216e, /* VSQRTPSZ128mbkz */
+  0x0, /*  */
 /* Table6301 */
-  0xe55, /* VFNMADDPSr213mY */
-  0xe57, /* VFNMADDPSr213rY */
+  0xbf4, /* VADDPSZ128rmbkz */
+  0x0, /*  */
 /* Table6303 */
-  0xea9, /* VFNMSUBPSr213mY */
-  0xeab, /* VFNMSUBPSr213rY */
+  0x1628, /* VMULPSZ128rmbkz */
+  0x0, /*  */
 /* Table6305 */
-  0xd99, /* VFMADDSUBPSr231mY */
-  0xd9b, /* VFMADDSUBPSr231rY */
+  0x21be, /* VSUBPSZ128rmbkz */
+  0x0, /*  */
 /* Table6307 */
-  0xddd, /* VFMSUBADDPSr231mY */
-  0xddf, /* VFMSUBADDPSr231rY */
+  0x13ca, /* VMINPSZ128rmbkz */
+  0x0, /*  */
 /* Table6309 */
-  0xd45, /* VFMADDPSr231mY */
-  0xd47, /* VFMADDPSr231rY */
+  0xdd1, /* VDIVPSZ128rmbkz */
+  0x0, /*  */
 /* Table6311 */
-  0xe05, /* VFMSUBPSr231mY */
-  0xe07, /* VFMSUBPSr231rY */
+  0x135f, /* VMAXPSZ128rmbkz */
+  0x0, /*  */
 /* Table6313 */
-  0xe59, /* VFNMADDPSr231mY */
-  0xe5b, /* VFNMADDPSr231rY */
+  0x0, /*  */
+  0xc2a, /* VADDSSZrrbkz */
 /* Table6315 */
-  0xead, /* VFNMSUBPSr231mY */
-  0xeaf, /* VFNMSUBPSr231rY */
+  0x0, /*  */
+  0x165e, /* VMULSSZrrbkz */
 /* Table6317 */
-  0x16b3, /* VPSRLVQYrm */
-  0x16b4, /* VPSRLVQYrr */
+  0x0, /*  */
+  0x21f4, /* VSUBSSZrrbkz */
 /* Table6319 */
-  0x165f, /* VPSLLVQYrm */
-  0x1660, /* VPSLLVQYrr */
+  0x0, /*  */
+  0x13fd, /* VMINSSZrrbkz */
 /* Table6321 */
-  0x1465, /* VPMASKMOVQYrm */
   0x0, /*  */
+  0xe07, /* VDIVSSZrrbkz */
 /* Table6323 */
-  0x1464, /* VPMASKMOVQYmr */
   0x0, /*  */
+  0x1392, /* VMAXSSZrrbkz */
 /* Table6325 */
-  0x13e5, /* VPGATHERDQYrm */
+  0x1720, /* VPANDDZ128rmbkz */
   0x0, /*  */
 /* Table6327 */
-  0x13eb, /* VPGATHERQQYrm */
+  0x173b, /* VPANDNDZ128rmbkz */
   0x0, /*  */
 /* Table6329 */
-  0xeea, /* VGATHERDPDYrm */
+  0x1e08, /* VPORDZ128rmbkz */
   0x0, /*  */
 /* Table6331 */
-  0xef8, /* VGATHERQPDYrm */
+  0x1ff9, /* VPXORDZ128rmbkz */
   0x0, /*  */
 /* Table6333 */
-  0xd7d, /* VFMADDSUBPDr132mY */
-  0xd7f, /* VFMADDSUBPDr132rY */
+  0x1f63, /* VPSUBDZ128rmbkz */
+  0x0, /*  */
 /* Table6335 */
-  0xdc1, /* VFMSUBADDPDr132mY */
-  0xdc3, /* VFMSUBADDPDr132rY */
+  0x16ba, /* VPADDDZ128rmbkz */
+  0x0, /*  */
 /* Table6337 */
-  0xd29, /* VFMADDPDr132mY */
-  0xd2b, /* VFMADDPDr132rY */
+  0x0, /*  */
+  0xc1b, /* VADDSDZrrbkz */
 /* Table6339 */
-  0xde9, /* VFMSUBPDr132mY */
-  0xdeb, /* VFMSUBPDr132rY */
+  0x0, /*  */
+  0x164f, /* VMULSDZrrbkz */
 /* Table6341 */
-  0xe3d, /* VFNMADDPDr132mY */
-  0xe3f, /* VFNMADDPDr132rY */
+  0x0, /*  */
+  0x21e5, /* VSUBSDZrrbkz */
 /* Table6343 */
-  0xe91, /* VFNMSUBPDr132mY */
-  0xe93, /* VFNMSUBPDr132rY */
+  0x0, /*  */
+  0x13ee, /* VMINSDZrrbkz */
 /* Table6345 */
-  0xd81, /* VFMADDSUBPDr213mY */
-  0xd83, /* VFMADDSUBPDr213rY */
+  0x0, /*  */
+  0xdf8, /* VDIVSDZrrbkz */
 /* Table6347 */
-  0xdc5, /* VFMSUBADDPDr213mY */
-  0xdc7, /* VFMSUBADDPDr213rY */
+  0x0, /*  */
+  0x1383, /* VMAXSDZrrbkz */
 /* Table6349 */
-  0xd2d, /* VFMADDPDr213mY */
-  0xd2f, /* VFMADDPDr213rY */
+  0x214f, /* VSQRTPDZ128mbkz */
+  0x0, /*  */
 /* Table6351 */
-  0xded, /* VFMSUBPDr213mY */
-  0xdef, /* VFMSUBPDr213rY */
+  0xbd2, /* VADDPDZ128rmbkz */
+  0x0, /*  */
 /* Table6353 */
-  0xe41, /* VFNMADDPDr213mY */
-  0xe43, /* VFNMADDPDr213rY */
+  0x1606, /* VMULPDZ128rmbkz */
+  0x0, /*  */
 /* Table6355 */
-  0xe95, /* VFNMSUBPDr213mY */
-  0xe97, /* VFNMSUBPDr213rY */
+  0x219c, /* VSUBPDZ128rmbkz */
+  0x0, /*  */
 /* Table6357 */
-  0xd85, /* VFMADDSUBPDr231mY */
-  0xd87, /* VFMADDSUBPDr231rY */
+  0x13ab, /* VMINPDZ128rmbkz */
+  0x0, /*  */
 /* Table6359 */
-  0xdc9, /* VFMSUBADDPDr231mY */
-  0xdcb, /* VFMSUBADDPDr231rY */
+  0xdaf, /* VDIVPDZ128rmbkz */
+  0x0, /*  */
 /* Table6361 */
-  0xd31, /* VFMADDPDr231mY */
-  0xd33, /* VFMADDPDr231rY */
+  0x1340, /* VMAXPDZ128rmbkz */
+  0x0, /*  */
 /* Table6363 */
-  0xdf1, /* VFMSUBPDr231mY */
-  0xdf3, /* VFMSUBPDr231rY */
+  0x16d9, /* VPADDQZ128rmbkz */
+  0x0, /*  */
 /* Table6365 */
-  0xe45, /* VFNMADDPDr231mY */
-  0xe47, /* VFNMADDPDr231rY */
+  0x1775, /* VPANDQZ128rmbkz */
+  0x0, /*  */
 /* Table6367 */
-  0xe99, /* VFNMSUBPDr231mY */
-  0xe9b, /* VFNMSUBPDr231rY */
+  0x1756, /* VPANDNQZ128rmbkz */
+  0x0, /*  */
 /* Table6369 */
-  0x10e2, /* VMOVNTDQAZ128rm */
+  0x1e23, /* VPORQZ128rmbkz */
   0x0, /*  */
 /* Table6371 */
-  0x1741, /* VRCP14SSrm */
-  0x1742, /* VRCP14SSrr */
+  0x2014, /* VPXORQZ128rmbkz */
+  0x0, /*  */
 /* Table6373 */
-  0x1776, /* VRSQRT14SSrm */
-  0x1777, /* VRSQRT14SSrr */
+  0x1f82, /* VPSUBQZ128rmbkz */
+  0x0, /*  */
 /* Table6375 */
-  0xd5e, /* VFMADDSSZm */
-  0xd5f, /* VFMADDSSZr */
+  0x2177, /* VSQRTPSZ256mbkz */
+  0x0, /*  */
 /* Table6377 */
-  0xe1e, /* VFMSUBSSZm */
-  0xe1f, /* VFMSUBSSZr */
+  0xbfd, /* VADDPSZ256rmbkz */
+  0x0, /*  */
 /* Table6379 */
-  0xe72, /* VFNMADDSSZm */
-  0xe73, /* VFNMADDSSZr */
+  0x1631, /* VMULPSZ256rmbkz */
+  0x0, /*  */
 /* Table6381 */
-  0xec6, /* VFNMSUBSSZm */
-  0xec7, /* VFNMSUBSSZr */
+  0x21c7, /* VSUBPSZ256rmbkz */
+  0x0, /*  */
 /* Table6383 */
-  0x174c, /* VRCP28SSrm */
-  0x174d, /* VRCP28SSrr */
+  0x13d3, /* VMINPSZ256rmbkz */
+  0x0, /*  */
 /* Table6385 */
-  0x1781, /* VRSQRT28SSrm */
-  0x1782, /* VRSQRT28SSrr */
+  0xdda, /* VDIVPSZ256rmbkz */
+  0x0, /*  */
 /* Table6387 */
-  0x12bd, /* VPCMPEQQZ128rm */
-  0x12c1, /* VPCMPEQQZ128rr */
+  0x1368, /* VMAXPSZ256rmbkz */
+  0x0, /*  */
 /* Table6389 */
-  0x1311, /* VPCMPGTQZ128rm */
-  0x1315, /* VPCMPGTQZ128rr */
+  0x1729, /* VPANDDZ256rmbkz */
+  0x0, /*  */
 /* Table6391 */
-  0x173f, /* VRCP14SDrm */
-  0x1740, /* VRCP14SDrr */
+  0x1744, /* VPANDNDZ256rmbkz */
+  0x0, /*  */
 /* Table6393 */
-  0x1774, /* VRSQRT14SDrm */
-  0x1775, /* VRSQRT14SDrr */
+  0x1e11, /* VPORDZ256rmbkz */
+  0x0, /*  */
 /* Table6395 */
-  0xd4f, /* VFMADDSDZm */
-  0xd50, /* VFMADDSDZr */
+  0x2002, /* VPXORDZ256rmbkz */
+  0x0, /*  */
 /* Table6397 */
-  0xe0f, /* VFMSUBSDZm */
-  0xe10, /* VFMSUBSDZr */
+  0x1f6c, /* VPSUBDZ256rmbkz */
+  0x0, /*  */
 /* Table6399 */
-  0xe63, /* VFNMADDSDZm */
-  0xe64, /* VFNMADDSDZr */
+  0x16c3, /* VPADDDZ256rmbkz */
+  0x0, /*  */
 /* Table6401 */
-  0xeb7, /* VFNMSUBSDZm */
-  0xeb8, /* VFNMSUBSDZr */
+  0x2158, /* VSQRTPDZ256mbkz */
+  0x0, /*  */
 /* Table6403 */
-  0x1749, /* VRCP28SDrm */
-  0x174a, /* VRCP28SDrr */
+  0xbdb, /* VADDPDZ256rmbkz */
+  0x0, /*  */
 /* Table6405 */
-  0x177e, /* VRSQRT28SDrm */
-  0x177f, /* VRSQRT28SDrr */
+  0x160f, /* VMULPDZ256rmbkz */
+  0x0, /*  */
 /* Table6407 */
-  0x10e3, /* VMOVNTDQAZ256rm */
+  0x21a5, /* VSUBPDZ256rmbkz */
   0x0, /*  */
 /* Table6409 */
-  0x12c3, /* VPCMPEQQZ256rm */
-  0x12c7, /* VPCMPEQQZ256rr */
+  0x13b4, /* VMINPDZ256rmbkz */
+  0x0, /*  */
 /* Table6411 */
-  0x1317, /* VPCMPGTQZ256rm */
-  0x131b, /* VPCMPGTQZ256rr */
+  0xdb8, /* VDIVPDZ256rmbkz */
+  0x0, /*  */
 /* Table6413 */
-  0x154a, /* VPMOVUSDBmr */
-  0x154c, /* VPMOVUSDBrr */
+  0x1349, /* VMAXPDZ256rmbkz */
+  0x0, /*  */
 /* Table6415 */
-  0x1554, /* VPMOVUSQBmr */
-  0x1556, /* VPMOVUSQBrr */
+  0x16e2, /* VPADDQZ256rmbkz */
+  0x0, /*  */
 /* Table6417 */
-  0x154f, /* VPMOVUSDWmr */
-  0x1551, /* VPMOVUSDWrr */
+  0x177e, /* VPANDQZ256rmbkz */
+  0x0, /*  */
 /* Table6419 */
-  0x155e, /* VPMOVUSQWmr */
-  0x1560, /* VPMOVUSQWrr */
+  0x175f, /* VPANDNQZ256rmbkz */
+  0x0, /*  */
 /* Table6421 */
-  0x1559, /* VPMOVUSQDmr */
-  0x155b, /* VPMOVUSQDrr */
+  0x1e2c, /* VPORQZ256rmbkz */
+  0x0, /*  */
 /* Table6423 */
-  0x14fb, /* VPMOVSDBmr */
-  0x14fd, /* VPMOVSDBrr */
+  0x201d, /* VPXORQZ256rmbkz */
+  0x0, /*  */
 /* Table6425 */
-  0x1505, /* VPMOVSQBmr */
-  0x1507, /* VPMOVSQBrr */
+  0x1f8b, /* VPSUBQZ256rmbkz */
+  0x0, /*  */
 /* Table6427 */
-  0x1500, /* VPMOVSDWmr */
-  0x1502, /* VPMOVSDWrr */
+  0x2180, /* VSQRTPSZmbkz */
+  0x0, /*  */
 /* Table6429 */
-  0x150f, /* VPMOVSQWmr */
-  0x1511, /* VPMOVSQWrr */
+  0xc09, /* VADDPSZrmbkz */
+  0xc05, /* VADDPSZrbkz */
 /* Table6431 */
-  0x150a, /* VPMOVSQDmr */
-  0x150c, /* VPMOVSQDrr */
+  0x163d, /* VMULPSZrmbkz */
+  0x1639, /* VMULPSZrbkz */
 /* Table6433 */
-  0x16f5, /* VPTESTNMDZrm */
-  0x16f6, /* VPTESTNMDZrr */
+  0x21d3, /* VSUBPSZrmbkz */
+  0x21cf, /* VSUBPSZrbkz */
 /* Table6435 */
-  0x14e0, /* VPMOVDBmr */
-  0x14e2, /* VPMOVDBrr */
+  0x13dc, /* VMINPSZrmbkz */
+  0x0, /*  */
 /* Table6437 */
-  0x14ec, /* VPMOVQBmr */
-  0x14ee, /* VPMOVQBrr */
+  0xde6, /* VDIVPSZrmbkz */
+  0xde2, /* VDIVPSZrbkz */
 /* Table6439 */
-  0x14e5, /* VPMOVDWmr */
-  0x14e7, /* VPMOVDWrr */
+  0x1371, /* VMAXPSZrmbkz */
+  0x0, /*  */
 /* Table6441 */
-  0x14f6, /* VPMOVQWmr */
-  0x14f8, /* VPMOVQWrr */
+  0x1732, /* VPANDDZrmbkz */
+  0x0, /*  */
 /* Table6443 */
-  0x14f1, /* VPMOVQDmr */
-  0x14f3, /* VPMOVQDrr */
+  0x174d, /* VPANDNDZrmbkz */
+  0x0, /*  */
 /* Table6445 */
+  0x1e1a, /* VPORDZrmbkz */
   0x0, /*  */
-  0x1278, /* VPBROADCASTMW2Drr */
 /* Table6447 */
-  0xc53, /* VCVTPH2PSZrm */
-  0xc54, /* VCVTPH2PSZrr */
+  0x200b, /* VPXORDZrmbkz */
+  0x0, /*  */
 /* Table6449 */
-  0x13b9, /* VPERMPSZrm */
-  0x13ba, /* VPERMPSZrr */
+  0x1f75, /* VPSUBDZrmbkz */
+  0x0, /*  */
 /* Table6451 */
-  0xbfd, /* VBROADCASTSSZrm */
-  0xbfe, /* VBROADCASTSSZrr */
+  0x16cc, /* VPADDDZrmbkz */
+  0x0, /*  */
 /* Table6453 */
-  0x11c5, /* VPABSDZrm */
-  0x11cb, /* VPABSDZrr */
+  0x2161, /* VSQRTPDZmbkz */
+  0x0, /*  */
 /* Table6455 */
-  0x1516, /* VPMOVSXBDZrm */
-  0x1519, /* VPMOVSXBDZrr */
+  0xbe7, /* VADDPDZrmbkz */
+  0xbe3, /* VADDPDZrbkz */
 /* Table6457 */
-  0x1520, /* VPMOVSXBQZrm */
-  0x1523, /* VPMOVSXBQZrr */
+  0x161b, /* VMULPDZrmbkz */
+  0x1617, /* VMULPDZrbkz */
 /* Table6459 */
-  0x1538, /* VPMOVSXWDZrm */
-  0x153b, /* VPMOVSXWDZrr */
+  0x21b1, /* VSUBPDZrmbkz */
+  0x21ad, /* VSUBPDZrbkz */
 /* Table6461 */
-  0x1542, /* VPMOVSXWQZrm */
-  0x1545, /* VPMOVSXWQZrr */
+  0x13bd, /* VMINPDZrmbkz */
+  0x0, /*  */
 /* Table6463 */
-  0x152e, /* VPMOVSXDQZrm */
-  0x1531, /* VPMOVSXDQZrr */
+  0xdc4, /* VDIVPDZrmbkz */
+  0xdc0, /* VDIVPDZrbkz */
 /* Table6465 */
-  0x16f1, /* VPTESTMDZrm */
-  0x16f2, /* VPTESTMDZrr */
+  0x1352, /* VMAXPDZrmbkz */
+  0x0, /*  */
 /* Table6467 */
-  0x10e4, /* VMOVNTDQAZrm */
+  0x16eb, /* VPADDQZrmbkz */
   0x0, /*  */
 /* Table6469 */
-  0x1565, /* VPMOVZXBDZrm */
-  0x1568, /* VPMOVZXBDZrr */
+  0x1787, /* VPANDQZrmbkz */
+  0x0, /*  */
 /* Table6471 */
-  0x156f, /* VPMOVZXBQZrm */
-  0x1572, /* VPMOVZXBQZrr */
+  0x1768, /* VPANDNQZrmbkz */
+  0x0, /*  */
 /* Table6473 */
-  0x1587, /* VPMOVZXWDZrm */
-  0x158a, /* VPMOVZXWDZrr */
+  0x1e35, /* VPORQZrmbkz */
+  0x0, /*  */
 /* Table6475 */
-  0x1591, /* VPMOVZXWQZrm */
-  0x1594, /* VPMOVZXWQZrr */
+  0x2026, /* VPXORQZrmbkz */
+  0x0, /*  */
 /* Table6477 */
-  0x157d, /* VPMOVZXDQZrm */
-  0x1580, /* VPMOVZXDQZrr */
+  0x1dfd, /* VPMULUDQZrmbkz */
+  0x0, /*  */
 /* Table6479 */
-  0x1377, /* VPERMDZrm */
-  0x1378, /* VPERMDZrr */
+  0x1f94, /* VPSUBQZrmbkz */
+  0x0, /*  */
 /* Table6481 */
-  0x14aa, /* VPMINSDZrm */
-  0x14b0, /* VPMINSDZrr */
+  0x15cb, /* VMOVUPSZ128rmkz */
+  0x15d0, /* VMOVUPSZ128rrkz */
 /* Table6483 */
-  0x14c8, /* VPMINUDZrm */
-  0x14ce, /* VPMINUDZrr */
+  0x0, /*  */
+  0x15d1, /* VMOVUPSZ128rrkz_alt */
 /* Table6485 */
-  0x146e, /* VPMAXSDZrm */
-  0x1474, /* VPMAXSDZrr */
+  0x143d, /* VMOVAPSZ128rmkz */
+  0x1442, /* VMOVAPSZ128rrkz */
 /* Table6487 */
-  0x148c, /* VPMAXUDZrm */
-  0x1492, /* VPMAXUDZrr */
+  0x0, /*  */
+  0x1443, /* VMOVAPSZ128rrkz_alt */
 /* Table6489 */
-  0x15b4, /* VPMULLDZrm */
-  0x15ba, /* VPMULLDZrr */
+  0x2170, /* VSQRTPSZ128mkz */
+  0x2173, /* VSQRTPSZ128rkz */
 /* Table6491 */
-  0x142e, /* VPLZCNTDrm */
-  0x1434, /* VPLZCNTDrr */
+  0xbf6, /* VADDPSZ128rmkz */
+  0xbf9, /* VADDPSZ128rrkz */
 /* Table6493 */
-  0x16af, /* VPSRLVDZrm */
-  0x16b0, /* VPSRLVDZrr */
+  0x162a, /* VMULPSZ128rmkz */
+  0x162d, /* VMULPSZ128rrkz */
 /* Table6495 */
-  0x1683, /* VPSRAVDZrm */
-  0x1684, /* VPSRAVDZrr */
+  0x21c0, /* VSUBPSZ128rmkz */
+  0x21c3, /* VSUBPSZ128rrkz */
 /* Table6497 */
-  0x165b, /* VPSLLVDZrm */
-  0x165c, /* VPSLLVDZrr */
+  0x13cc, /* VMINPSZ128rmkz */
+  0x13cf, /* VMINPSZ128rrkz */
 /* Table6499 */
-  0x173d, /* VRCP14PSZm */
-  0x173e, /* VRCP14PSZr */
+  0xdd3, /* VDIVPSZ128rmkz */
+  0xdd6, /* VDIVPSZ128rrkz */
 /* Table6501 */
-  0x1772, /* VRSQRT14PSZm */
-  0x1773, /* VRSQRT14PSZr */
+  0x1361, /* VMAXPSZ128rmkz */
+  0x1364, /* VMAXPSZ128rrkz */
 /* Table6503 */
-  0x1271, /* VPBROADCASTDZrm */
-  0x1272, /* VPBROADCASTDZrr */
+  0xc23, /* VADDSSZrm_Intkz */
+  0xc27, /* VADDSSZrr_Intkz */
 /* Table6505 */
-  0xbf4, /* VBROADCASTI32X4rm */
-  0x0, /*  */
+  0x1657, /* VMULSSZrm_Intkz */
+  0x165b, /* VMULSSZrr_Intkz */
 /* Table6507 */
-  0x1379, /* VPERMI2Drm */
-  0x137c, /* VPERMI2Drr */
+  0x21ed, /* VSUBSSZrm_Intkz */
+  0x21f1, /* VSUBSSZrr_Intkz */
 /* Table6509 */
-  0x1385, /* VPERMI2PSrm */
-  0x1388, /* VPERMI2PSrr */
+  0x13f6, /* VMINSSZrm_Intkz */
+  0x13fa, /* VMINSSZrr_Intkz */
 /* Table6511 */
-  0x0, /*  */
-  0x1274, /* VPBROADCASTDrZrr */
+  0xe00, /* VDIVSSZrm_Intkz */
+  0xe04, /* VDIVSSZrr_Intkz */
 /* Table6513 */
-  0x13c1, /* VPERMT2Drm */
-  0x13c4, /* VPERMT2Drr */
+  0x138b, /* VMAXSSZrm_Intkz */
+  0x138f, /* VMAXSSZrr_Intkz */
 /* Table6515 */
-  0x13cd, /* VPERMT2PSrm */
-  0x13d0, /* VPERMT2PSrr */
+  0x14db, /* VMOVDQU32Z128rmkz */
+  0x14e0, /* VMOVDQU32Z128rrkz */
 /* Table6517 */
-  0xd68, /* VFMADDSUB132PSZm */
   0x0, /*  */
+  0x14e1, /* VMOVDQU32Z128rrkz_alt */
 /* Table6519 */
-  0xdac, /* VFMSUBADD132PSZm */
-  0x0, /*  */
+  0x151d, /* VMOVDQU8Z128rmkz */
+  0x1522, /* VMOVDQU8Z128rrkz */
 /* Table6521 */
-  0xd14, /* VFMADD132PSZm */
   0x0, /*  */
+  0x1523, /* VMOVDQU8Z128rrkz_alt */
 /* Table6523 */
-  0xd9e, /* VFMSUB132PSZm */
-  0x0, /*  */
+  0x1470, /* VMOVDQA32Z128rmkz */
+  0x1475, /* VMOVDQA32Z128rrkz */
 /* Table6525 */
-  0xe28, /* VFNMADD132PSZm */
   0x0, /*  */
+  0x1476, /* VMOVDQA32Z128rrkz_alt */
 /* Table6527 */
-  0xe7c, /* VFNMSUB132PSZm */
-  0x0, /*  */
+  0x1de6, /* VPMULLWZ128rmkz */
+  0x1de9, /* VPMULLWZ128rrkz */
 /* Table6529 */
-  0xd6f, /* VFMADDSUB213PSZm */
-  0xd71, /* VFMADDSUB213PSZr */
+  0x1c68, /* VPMINUBZ128rmkz */
+  0x1c6b, /* VPMINUBZ128rrkz */
 /* Table6531 */
-  0xdb3, /* VFMSUBADD213PSZm */
-  0xdb5, /* VFMSUBADD213PSZr */
+  0x1722, /* VPANDDZ128rmkz */
+  0x1725, /* VPANDDZ128rrkz */
 /* Table6533 */
-  0xd1b, /* VFMADD213PSZm */
-  0xd1d, /* VFMADD213PSZr */
+  0x1b9c, /* VPMAXUBZ128rmkz */
+  0x1b9f, /* VPMAXUBZ128rrkz */
 /* Table6535 */
-  0xda5, /* VFMSUB213PSZm */
-  0xda7, /* VFMSUB213PSZr */
+  0x173d, /* VPANDNDZ128rmkz */
+  0x1740, /* VPANDNDZ128rrkz */
 /* Table6537 */
-  0xe2f, /* VFNMADD213PSZm */
-  0xe31, /* VFNMADD213PSZr */
+  0x1c52, /* VPMINSWZ128rmkz */
+  0x1c55, /* VPMINSWZ128rrkz */
 /* Table6539 */
-  0xe83, /* VFNMSUB213PSZm */
-  0xe85, /* VFNMSUB213PSZr */
+  0x1e0a, /* VPORDZ128rmkz */
+  0x1e0d, /* VPORDZ128rrkz */
 /* Table6541 */
-  0x135f, /* VPCONFLICTDrm */
-  0x1365, /* VPCONFLICTDrr */
+  0x1b86, /* VPMAXSWZ128rmkz */
+  0x1b89, /* VPMAXSWZ128rrkz */
 /* Table6543 */
-  0x1746, /* VRCP28PSZm */
-  0x1747, /* VRCP28PSZr */
+  0x1ffb, /* VPXORDZ128rmkz */
+  0x1ffe, /* VPXORDZ128rrkz */
 /* Table6545 */
-  0x177b, /* VRSQRT28PSZm */
-  0x177c, /* VRSQRT28PSZr */
+  0x1f4c, /* VPSUBBZ128rmkz */
+  0x1f4f, /* VPSUBBZ128rrkz */
 /* Table6547 */
-  0x16f7, /* VPTESTNMQZrm */
-  0x16f8, /* VPTESTNMQZrr */
+  0x1fb0, /* VPSUBWZ128rmkz */
+  0x1fb3, /* VPSUBWZ128rrkz */
 /* Table6549 */
-  0x0, /*  */
-  0x1277, /* VPBROADCASTMB2Qrr */
+  0x1f65, /* VPSUBDZ128rmkz */
+  0x1f68, /* VPSUBDZ128rrkz */
 /* Table6551 */
-  0x13b5, /* VPERMPDZrm */
-  0x13b6, /* VPERMPDZrr */
+  0x16a3, /* VPADDBZ128rmkz */
+  0x16a6, /* VPADDBZ128rrkz */
 /* Table6553 */
-  0xbf9, /* VBROADCASTSDZrm */
-  0xbfa, /* VBROADCASTSDZrr */
+  0x1707, /* VPADDWZ128rmkz */
+  0x170a, /* VPADDWZ128rrkz */
 /* Table6555 */
-  0x11d2, /* VPABSQZrm */
-  0x11d8, /* VPABSQZrr */
+  0x16bc, /* VPADDDZ128rmkz */
+  0x16bf, /* VPADDDZ128rrkz */
 /* Table6557 */
-  0x16f3, /* VPTESTMQZrm */
-  0x16f4, /* VPTESTMQZrr */
+  0x14fc, /* VMOVDQU64Z128rmkz */
+  0x1501, /* VMOVDQU64Z128rrkz */
 /* Table6559 */
-  0x159b, /* VPMULDQZrm */
-  0x15a1, /* VPMULDQZrr */
+  0x0, /*  */
+  0x1502, /* VMOVDQU64Z128rrkz_alt */
 /* Table6561 */
-  0x12c9, /* VPCMPEQQZrm */
-  0x12cd, /* VPCMPEQQZrr */
+  0xc14, /* VADDSDZrm_Intkz */
+  0xc18, /* VADDSDZrr_Intkz */
 /* Table6563 */
-  0x13bf, /* VPERMQZrm */
-  0x13c0, /* VPERMQZrr */
+  0x1648, /* VMULSDZrm_Intkz */
+  0x164c, /* VMULSDZrr_Intkz */
 /* Table6565 */
-  0x131d, /* VPCMPGTQZrm */
-  0x1321, /* VPCMPGTQZrr */
+  0x21de, /* VSUBSDZrm_Intkz */
+  0x21e2, /* VSUBSDZrr_Intkz */
 /* Table6567 */
-  0x14b5, /* VPMINSQZrm */
-  0x14bb, /* VPMINSQZrr */
+  0x13e7, /* VMINSDZrm_Intkz */
+  0x13eb, /* VMINSDZrr_Intkz */
 /* Table6569 */
-  0x14d3, /* VPMINUQZrm */
-  0x14d9, /* VPMINUQZrr */
+  0xdf1, /* VDIVSDZrm_Intkz */
+  0xdf5, /* VDIVSDZrr_Intkz */
 /* Table6571 */
-  0x1479, /* VPMAXSQZrm */
-  0x147f, /* VPMAXSQZrr */
+  0x137c, /* VMAXSDZrm_Intkz */
+  0x1380, /* VMAXSDZrr_Intkz */
 /* Table6573 */
-  0x1497, /* VPMAXUQZrm */
-  0x149d, /* VPMAXUQZrr */
+  0x14ba, /* VMOVDQU16Z128rmkz */
+  0x14bf, /* VMOVDQU16Z128rrkz */
 /* Table6575 */
-  0x1437, /* VPLZCNTQrm */
-  0x143d, /* VPLZCNTQrr */
+  0x0, /*  */
+  0x14c0, /* VMOVDQU16Z128rrkz_alt */
 /* Table6577 */
-  0x16b5, /* VPSRLVQZrm */
-  0x16b6, /* VPSRLVQZrr */
+  0x15a2, /* VMOVUPDZ128rmkz */
+  0x15a7, /* VMOVUPDZ128rrkz */
 /* Table6579 */
-  0x1687, /* VPSRAVQZrm */
-  0x1688, /* VPSRAVQZrr */
+  0x0, /*  */
+  0x15a8, /* VMOVUPDZ128rrkz_alt */
 /* Table6581 */
-  0x1661, /* VPSLLVQZrm */
-  0x1662, /* VPSLLVQZrr */
+  0x1414, /* VMOVAPDZ128rmkz */
+  0x1419, /* VMOVAPDZ128rrkz */
 /* Table6583 */
-  0x173b, /* VRCP14PDZm */
-  0x173c, /* VRCP14PDZr */
+  0x0, /*  */
+  0x141a, /* VMOVAPDZ128rrkz_alt */
 /* Table6585 */
-  0x1770, /* VRSQRT14PDZm */
-  0x1771, /* VRSQRT14PDZr */
+  0x2151, /* VSQRTPDZ128mkz */
+  0x2154, /* VSQRTPDZ128rkz */
 /* Table6587 */
-  0x127d, /* VPBROADCASTQZrm */
-  0x127e, /* VPBROADCASTQZrr */
+  0xbd4, /* VADDPDZ128rmkz */
+  0xbd7, /* VADDPDZ128rrkz */
 /* Table6589 */
-  0xbf6, /* VBROADCASTI64X4rm */
-  0x0, /*  */
+  0x1608, /* VMULPDZ128rmkz */
+  0x160b, /* VMULPDZ128rrkz */
 /* Table6591 */
-  0x138b, /* VPERMI2Qrm */
-  0x138e, /* VPERMI2Qrr */
+  0x219e, /* VSUBPDZ128rmkz */
+  0x21a1, /* VSUBPDZ128rrkz */
 /* Table6593 */
-  0x137f, /* VPERMI2PDrm */
-  0x1382, /* VPERMI2PDrr */
+  0x13ad, /* VMINPDZ128rmkz */
+  0x13b0, /* VMINPDZ128rrkz */
 /* Table6595 */
-  0x0, /*  */
-  0x1280, /* VPBROADCASTQrZrr */
+  0xdb1, /* VDIVPDZ128rmkz */
+  0xdb4, /* VDIVPDZ128rrkz */
 /* Table6597 */
-  0x13d3, /* VPERMT2Qrm */
-  0x13d6, /* VPERMT2Qrr */
+  0x1342, /* VMAXPDZ128rmkz */
+  0x1345, /* VMAXPDZ128rrkz */
 /* Table6599 */
-  0x13c7, /* VPERMT2PDrm */
-  0x13ca, /* VPERMT2PDrr */
+  0x1491, /* VMOVDQA64Z128rmkz */
+  0x1496, /* VMOVDQA64Z128rrkz */
 /* Table6601 */
-  0xd66, /* VFMADDSUB132PDZm */
   0x0, /*  */
+  0x1497, /* VMOVDQA64Z128rrkz_alt */
 /* Table6603 */
-  0xdaa, /* VFMSUBADD132PDZm */
-  0x0, /*  */
+  0x16db, /* VPADDQZ128rmkz */
+  0x16de, /* VPADDQZ128rrkz */
 /* Table6605 */
-  0xd12, /* VFMADD132PDZm */
-  0x0, /*  */
+  0x1777, /* VPANDQZ128rmkz */
+  0x177a, /* VPANDQZ128rrkz */
 /* Table6607 */
-  0xd9c, /* VFMSUB132PDZm */
-  0x0, /*  */
+  0x1758, /* VPANDNQZ128rmkz */
+  0x175b, /* VPANDNQZ128rrkz */
 /* Table6609 */
-  0xe26, /* VFNMADD132PDZm */
-  0x0, /*  */
+  0x1e25, /* VPORQZ128rmkz */
+  0x1e28, /* VPORQZ128rrkz */
 /* Table6611 */
-  0xe7a, /* VFNMSUB132PDZm */
-  0x0, /*  */
+  0x2016, /* VPXORQZ128rmkz */
+  0x2019, /* VPXORQZ128rrkz */
 /* Table6613 */
-  0xd6a, /* VFMADDSUB213PDZm */
-  0xd6c, /* VFMADDSUB213PDZr */
+  0x1f84, /* VPSUBQZ128rmkz */
+  0x1f87, /* VPSUBQZ128rrkz */
 /* Table6615 */
-  0xdae, /* VFMSUBADD213PDZm */
-  0xdb0, /* VFMSUBADD213PDZr */
+  0x15d6, /* VMOVUPSZ256rmkz */
+  0x15db, /* VMOVUPSZ256rrkz */
 /* Table6617 */
-  0xd16, /* VFMADD213PDZm */
-  0xd18, /* VFMADD213PDZr */
+  0x0, /*  */
+  0x15dc, /* VMOVUPSZ256rrkz_alt */
 /* Table6619 */
-  0xda0, /* VFMSUB213PDZm */
-  0xda2, /* VFMSUB213PDZr */
+  0x1448, /* VMOVAPSZ256rmkz */
+  0x144d, /* VMOVAPSZ256rrkz */
 /* Table6621 */
-  0xe2a, /* VFNMADD213PDZm */
-  0xe2c, /* VFNMADD213PDZr */
+  0x0, /*  */
+  0x144e, /* VMOVAPSZ256rrkz_alt */
 /* Table6623 */
-  0xe7e, /* VFNMSUB213PDZm */
-  0xe80, /* VFNMSUB213PDZr */
+  0x2179, /* VSQRTPSZ256mkz */
+  0x217c, /* VSQRTPSZ256rkz */
 /* Table6625 */
-  0x1368, /* VPCONFLICTQrm */
-  0x136e, /* VPCONFLICTQrr */
+  0xbff, /* VADDPSZ256rmkz */
+  0xc02, /* VADDPSZ256rrkz */
 /* Table6627 */
-  0x1743, /* VRCP28PDZm */
-  0x1744, /* VRCP28PDZr */
+  0x1633, /* VMULPSZ256rmkz */
+  0x1636, /* VMULPSZ256rrkz */
 /* Table6629 */
-  0x1778, /* VRSQRT28PDZm */
-  0x1779, /* VRSQRT28PDZr */
+  0x21c9, /* VSUBPSZ256rmkz */
+  0x21cc, /* VSUBPSZ256rrkz */
 /* Table6631 */
-  0x12c0, /* VPCMPEQQZ128rmk */
-  0x12c2, /* VPCMPEQQZ128rrk */
+  0x13d5, /* VMINPSZ256rmkz */
+  0x13d8, /* VMINPSZ256rrkz */
 /* Table6633 */
-  0x1314, /* VPCMPGTQZ128rmk */
-  0x1316, /* VPCMPGTQZ128rrk */
+  0xddc, /* VDIVPSZ256rmkz */
+  0xddf, /* VDIVPSZ256rrkz */
 /* Table6635 */
-  0x12c6, /* VPCMPEQQZ256rmk */
-  0x12c8, /* VPCMPEQQZ256rrk */
+  0x136a, /* VMAXPSZ256rmkz */
+  0x136d, /* VMAXPSZ256rrkz */
 /* Table6637 */
-  0x131a, /* VPCMPGTQZ256rmk */
-  0x131c, /* VPCMPGTQZ256rrk */
+  0x14e6, /* VMOVDQU32Z256rmkz */
+  0x14eb, /* VMOVDQU32Z256rrkz */
 /* Table6639 */
-  0x154b, /* VPMOVUSDBmrk */
-  0x154d, /* VPMOVUSDBrrk */
+  0x0, /*  */
+  0x14ec, /* VMOVDQU32Z256rrkz_alt */
 /* Table6641 */
-  0x1555, /* VPMOVUSQBmrk */
-  0x1557, /* VPMOVUSQBrrk */
+  0x1528, /* VMOVDQU8Z256rmkz */
+  0x152d, /* VMOVDQU8Z256rrkz */
 /* Table6643 */
-  0x1550, /* VPMOVUSDWmrk */
-  0x1552, /* VPMOVUSDWrrk */
+  0x0, /*  */
+  0x152e, /* VMOVDQU8Z256rrkz_alt */
 /* Table6645 */
-  0x155f, /* VPMOVUSQWmrk */
-  0x1561, /* VPMOVUSQWrrk */
+  0x147b, /* VMOVDQA32Z256rmkz */
+  0x1480, /* VMOVDQA32Z256rrkz */
 /* Table6647 */
-  0x155a, /* VPMOVUSQDmrk */
-  0x155c, /* VPMOVUSQDrrk */
+  0x0, /*  */
+  0x1481, /* VMOVDQA32Z256rrkz_alt */
 /* Table6649 */
-  0x14fc, /* VPMOVSDBmrk */
-  0x14fe, /* VPMOVSDBrrk */
+  0x1dec, /* VPMULLWZ256rmkz */
+  0x1def, /* VPMULLWZ256rrkz */
 /* Table6651 */
-  0x1506, /* VPMOVSQBmrk */
-  0x1508, /* VPMOVSQBrrk */
+  0x1c6e, /* VPMINUBZ256rmkz */
+  0x1c71, /* VPMINUBZ256rrkz */
 /* Table6653 */
-  0x1501, /* VPMOVSDWmrk */
-  0x1503, /* VPMOVSDWrrk */
+  0x172b, /* VPANDDZ256rmkz */
+  0x172e, /* VPANDDZ256rrkz */
 /* Table6655 */
-  0x1510, /* VPMOVSQWmrk */
-  0x1512, /* VPMOVSQWrrk */
+  0x1ba2, /* VPMAXUBZ256rmkz */
+  0x1ba5, /* VPMAXUBZ256rrkz */
 /* Table6657 */
-  0x150b, /* VPMOVSQDmrk */
-  0x150d, /* VPMOVSQDrrk */
+  0x1746, /* VPANDNDZ256rmkz */
+  0x1749, /* VPANDNDZ256rrkz */
 /* Table6659 */
-  0x14e1, /* VPMOVDBmrk */
-  0x14e3, /* VPMOVDBrrk */
+  0x1c58, /* VPMINSWZ256rmkz */
+  0x1c5b, /* VPMINSWZ256rrkz */
 /* Table6661 */
-  0x14ed, /* VPMOVQBmrk */
-  0x14ef, /* VPMOVQBrrk */
+  0x1e13, /* VPORDZ256rmkz */
+  0x1e16, /* VPORDZ256rrkz */
 /* Table6663 */
-  0x14e6, /* VPMOVDWmrk */
-  0x14e8, /* VPMOVDWrrk */
+  0x1b8c, /* VPMAXSWZ256rmkz */
+  0x1b8f, /* VPMAXSWZ256rrkz */
 /* Table6665 */
-  0x14f7, /* VPMOVQWmrk */
-  0x14f9, /* VPMOVQWrrk */
+  0x2004, /* VPXORDZ256rmkz */
+  0x2007, /* VPXORDZ256rrkz */
 /* Table6667 */
-  0x14f2, /* VPMOVQDmrk */
-  0x14f4, /* VPMOVQDrrk */
+  0x1f52, /* VPSUBBZ256rmkz */
+  0x1f55, /* VPSUBBZ256rrkz */
 /* Table6669 */
-  0x11c9, /* VPABSDZrmk */
-  0x11cc, /* VPABSDZrrk */
+  0x1fb6, /* VPSUBWZ256rmkz */
+  0x1fb9, /* VPSUBWZ256rrkz */
 /* Table6671 */
-  0x1517, /* VPMOVSXBDZrmk */
-  0x151a, /* VPMOVSXBDZrrk */
+  0x1f6e, /* VPSUBDZ256rmkz */
+  0x1f71, /* VPSUBDZ256rrkz */
 /* Table6673 */
-  0x1521, /* VPMOVSXBQZrmk */
-  0x1524, /* VPMOVSXBQZrrk */
+  0x16a9, /* VPADDBZ256rmkz */
+  0x16ac, /* VPADDBZ256rrkz */
 /* Table6675 */
-  0x1539, /* VPMOVSXWDZrmk */
-  0x153c, /* VPMOVSXWDZrrk */
+  0x170d, /* VPADDWZ256rmkz */
+  0x1710, /* VPADDWZ256rrkz */
 /* Table6677 */
-  0x1543, /* VPMOVSXWQZrmk */
-  0x1546, /* VPMOVSXWQZrrk */
+  0x16c5, /* VPADDDZ256rmkz */
+  0x16c8, /* VPADDDZ256rrkz */
 /* Table6679 */
-  0x152f, /* VPMOVSXDQZrmk */
-  0x1532, /* VPMOVSXDQZrrk */
+  0x1507, /* VMOVDQU64Z256rmkz */
+  0x150c, /* VMOVDQU64Z256rrkz */
 /* Table6681 */
-  0x1566, /* VPMOVZXBDZrmk */
-  0x1569, /* VPMOVZXBDZrrk */
+  0x0, /*  */
+  0x150d, /* VMOVDQU64Z256rrkz_alt */
 /* Table6683 */
-  0x1570, /* VPMOVZXBQZrmk */
-  0x1573, /* VPMOVZXBQZrrk */
+  0x14c5, /* VMOVDQU16Z256rmkz */
+  0x14ca, /* VMOVDQU16Z256rrkz */
 /* Table6685 */
-  0x1588, /* VPMOVZXWDZrmk */
-  0x158b, /* VPMOVZXWDZrrk */
+  0x0, /*  */
+  0x14cb, /* VMOVDQU16Z256rrkz_alt */
 /* Table6687 */
-  0x1592, /* VPMOVZXWQZrmk */
-  0x1595, /* VPMOVZXWQZrrk */
+  0x15ad, /* VMOVUPDZ256rmkz */
+  0x15b2, /* VMOVUPDZ256rrkz */
 /* Table6689 */
-  0x157e, /* VPMOVZXDQZrmk */
-  0x1581, /* VPMOVZXDQZrrk */
+  0x0, /*  */
+  0x15b3, /* VMOVUPDZ256rrkz_alt */
 /* Table6691 */
-  0x14ae, /* VPMINSDZrmk */
-  0x14b1, /* VPMINSDZrrk */
+  0x141f, /* VMOVAPDZ256rmkz */
+  0x1424, /* VMOVAPDZ256rrkz */
 /* Table6693 */
-  0x14cc, /* VPMINUDZrmk */
-  0x14cf, /* VPMINUDZrrk */
+  0x0, /*  */
+  0x1425, /* VMOVAPDZ256rrkz_alt */
 /* Table6695 */
-  0x1472, /* VPMAXSDZrmk */
-  0x1475, /* VPMAXSDZrrk */
+  0x215a, /* VSQRTPDZ256mkz */
+  0x215d, /* VSQRTPDZ256rkz */
 /* Table6697 */
-  0x1490, /* VPMAXUDZrmk */
-  0x1493, /* VPMAXUDZrrk */
+  0xbdd, /* VADDPDZ256rmkz */
+  0xbe0, /* VADDPDZ256rrkz */
 /* Table6699 */
-  0x15b8, /* VPMULLDZrmk */
-  0x15bb, /* VPMULLDZrrk */
+  0x1611, /* VMULPDZ256rmkz */
+  0x1614, /* VMULPDZ256rrkz */
 /* Table6701 */
-  0x1432, /* VPLZCNTDrmk */
-  0x1435, /* VPLZCNTDrrk */
+  0x21a7, /* VSUBPDZ256rmkz */
+  0x21aa, /* VSUBPDZ256rrkz */
 /* Table6703 */
-  0x125d, /* VPBLENDMDZrm */
-  0x125e, /* VPBLENDMDZrr */
+  0x13b6, /* VMINPDZ256rmkz */
+  0x13b9, /* VMINPDZ256rrkz */
 /* Table6705 */
-  0xbdf, /* VBLENDMPSZrm */
-  0xbe0, /* VBLENDMPSZrr */
+  0xdba, /* VDIVPDZ256rmkz */
+  0xdbd, /* VDIVPDZ256rrkz */
 /* Table6707 */
-  0x137a, /* VPERMI2Drmk */
-  0x137d, /* VPERMI2Drrk */
+  0x134b, /* VMAXPDZ256rmkz */
+  0x134e, /* VMAXPDZ256rrkz */
 /* Table6709 */
-  0x1386, /* VPERMI2PSrmk */
-  0x1389, /* VPERMI2PSrrk */
+  0x149c, /* VMOVDQA64Z256rmkz */
+  0x14a1, /* VMOVDQA64Z256rrkz */
 /* Table6711 */
-  0x13c2, /* VPERMT2Drmk */
-  0x13c5, /* VPERMT2Drrk */
+  0x0, /*  */
+  0x14a2, /* VMOVDQA64Z256rrkz_alt */
 /* Table6713 */
-  0x13ce, /* VPERMT2PSrmk */
-  0x13d1, /* VPERMT2PSrrk */
+  0x16e4, /* VPADDQZ256rmkz */
+  0x16e7, /* VPADDQZ256rrkz */
 /* Table6715 */
-  0x13e3, /* VPGATHERDDZrm */
-  0x0, /*  */
+  0x1780, /* VPANDQZ256rmkz */
+  0x1783, /* VPANDQZ256rrkz */
 /* Table6717 */
-  0x13e9, /* VPGATHERQDZrm */
-  0x0, /*  */
+  0x1761, /* VPANDNQZ256rmkz */
+  0x1764, /* VPANDNQZ256rrkz */
 /* Table6719 */
-  0xeee, /* VGATHERDPSZrm */
-  0x0, /*  */
+  0x1e2e, /* VPORQZ256rmkz */
+  0x1e31, /* VPORQZ256rrkz */
 /* Table6721 */
-  0xefc, /* VGATHERQPSZrm */
-  0x0, /*  */
+  0x201f, /* VPXORQZ256rmkz */
+  0x2022, /* VPXORQZ256rrkz */
 /* Table6723 */
-  0x1601, /* VPSCATTERDDZmr */
-  0x0, /*  */
+  0x1f8d, /* VPSUBQZ256rmkz */
+  0x1f90, /* VPSUBQZ256rrkz */
 /* Table6725 */
-  0x1603, /* VPSCATTERQDZmr */
-  0x0, /*  */
+  0x15e1, /* VMOVUPSZrmkz */
+  0x15e6, /* VMOVUPSZrrkz */
 /* Table6727 */
-  0x1790, /* VSCATTERDPSZmr */
   0x0, /*  */
+  0x15e7, /* VMOVUPSZrrkz_alt */
 /* Table6729 */
-  0x179a, /* VSCATTERQPSZmr */
-  0x0, /*  */
+  0x1453, /* VMOVAPSZrmkz */
+  0x1458, /* VMOVAPSZrrkz */
 /* Table6731 */
   0x0, /*  */
-  0xd72, /* VFMADDSUB213PSZrk */
+  0x1459, /* VMOVAPSZrrkz_alt */
 /* Table6733 */
-  0x0, /*  */
-  0xdb6, /* VFMSUBADD213PSZrk */
+  0x2182, /* VSQRTPSZmkz */
+  0x2185, /* VSQRTPSZrkz */
 /* Table6735 */
-  0x0, /*  */
-  0xd1e, /* VFMADD213PSZrk */
+  0xc0b, /* VADDPSZrmkz */
+  0xc0e, /* VADDPSZrrkz */
 /* Table6737 */
-  0x0, /*  */
-  0xda8, /* VFMSUB213PSZrk */
+  0x163f, /* VMULPSZrmkz */
+  0x1642, /* VMULPSZrrkz */
 /* Table6739 */
-  0x0, /*  */
-  0xe32, /* VFNMADD213PSZrk */
+  0x21d5, /* VSUBPSZrmkz */
+  0x21d8, /* VSUBPSZrrkz */
 /* Table6741 */
-  0x0, /*  */
-  0xe86, /* VFNMSUB213PSZrk */
+  0x13de, /* VMINPSZrmkz */
+  0x13e1, /* VMINPSZrrkz */
 /* Table6743 */
-  0x1363, /* VPCONFLICTDrmk */
-  0x1366, /* VPCONFLICTDrrk */
+  0xde8, /* VDIVPSZrmkz */
+  0xdeb, /* VDIVPSZrrkz */
 /* Table6745 */
+  0x1373, /* VMAXPSZrmkz */
+  0x1376, /* VMAXPSZrrkz */
+/* Table6747 */
+  0x14f1, /* VMOVDQU32Zrmkz */
+  0x14f6, /* VMOVDQU32Zrrkz */
+/* Table6749 */
   0x0, /*  */
-  0xef1, /* VGATHERPF0DPSm */
-  0xef5, /* VGATHERPF1DPSm */
-  0x0, /*  */
-  0x0, /*  */
-  0x1792, /* VSCATTERPF0DPSm */
-  0x1796, /* VSCATTERPF1DPSm */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
+  0x14f7, /* VMOVDQU32Zrrkz_alt */
+/* Table6751 */
+  0x1533, /* VMOVDQU8Zrmkz */
+  0x1538, /* VMOVDQU8Zrrkz */
+/* Table6753 */
   0x0, /*  */
+  0x1539, /* VMOVDQU8Zrrkz_alt */
+/* Table6755 */
+  0x1486, /* VMOVDQA32Zrmkz */
+  0x148b, /* VMOVDQA32Zrrkz */
+/* Table6757 */
   0x0, /*  */
   0x0, /*  */
+  0x1f0f, /* VPSRLDZmikz */
   0x0, /*  */
-/* Table6761 */
-  0x0, /*  */
-  0xef3, /* VGATHERPF0QPSm */
-  0xef7, /* VGATHERPF1QPSm */
-  0x0, /*  */
-  0x0, /*  */
-  0x1794, /* VSCATTERPF0QPSm */
-  0x1798, /* VSCATTERPF1QPSm */
-  0x0, /*  */
+  0x1ed9, /* VPSRADZmikz */
   0x0, /*  */
+  0x1e9b, /* VPSLLDZmikz */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1f12, /* VPSRLDZrikz */
   0x0, /*  */
+  0x1edc, /* VPSRADZrikz */
   0x0, /*  */
+  0x1e9e, /* VPSLLDZrikz */
   0x0, /*  */
+/* Table6773 */
   0x0, /*  */
+  0x148c, /* VMOVDQA32Zrrkz_alt */
+/* Table6775 */
+  0x1f15, /* VPSRLDZrmkz */
+  0x1f18, /* VPSRLDZrrkz */
 /* Table6777 */
-  0x11d6, /* VPABSQZrmk */
-  0x11d9, /* VPABSQZrrk */
+  0x1df2, /* VPMULLWZrmkz */
+  0x1df5, /* VPMULLWZrrkz */
 /* Table6779 */
-  0x159f, /* VPMULDQZrmk */
-  0x15a2, /* VPMULDQZrrk */
+  0x1c74, /* VPMINUBZrmkz */
+  0x1c77, /* VPMINUBZrrkz */
 /* Table6781 */
-  0x12cc, /* VPCMPEQQZrmk */
-  0x12ce, /* VPCMPEQQZrrk */
+  0x1734, /* VPANDDZrmkz */
+  0x1737, /* VPANDDZrrkz */
 /* Table6783 */
-  0x1320, /* VPCMPGTQZrmk */
-  0x1322, /* VPCMPGTQZrrk */
+  0x1ba8, /* VPMAXUBZrmkz */
+  0x1bab, /* VPMAXUBZrrkz */
 /* Table6785 */
-  0x14b9, /* VPMINSQZrmk */
-  0x14bc, /* VPMINSQZrrk */
+  0x174f, /* VPANDNDZrmkz */
+  0x1752, /* VPANDNDZrrkz */
 /* Table6787 */
-  0x14d7, /* VPMINUQZrmk */
-  0x14da, /* VPMINUQZrrk */
+  0x1edf, /* VPSRADZrmkz */
+  0x1ee2, /* VPSRADZrrkz */
 /* Table6789 */
-  0x147d, /* VPMAXSQZrmk */
-  0x1480, /* VPMAXSQZrrk */
+  0x1c5e, /* VPMINSWZrmkz */
+  0x1c61, /* VPMINSWZrrkz */
 /* Table6791 */
-  0x149b, /* VPMAXUQZrmk */
-  0x149e, /* VPMAXUQZrrk */
+  0x1e1c, /* VPORDZrmkz */
+  0x1e1f, /* VPORDZrrkz */
 /* Table6793 */
-  0x143b, /* VPLZCNTQrmk */
-  0x143e, /* VPLZCNTQrrk */
+  0x1b92, /* VPMAXSWZrmkz */
+  0x1b95, /* VPMAXSWZrrkz */
 /* Table6795 */
-  0x125f, /* VPBLENDMQZrm */
-  0x1260, /* VPBLENDMQZrr */
+  0x200d, /* VPXORDZrmkz */
+  0x2010, /* VPXORDZrrkz */
 /* Table6797 */
-  0xbdd, /* VBLENDMPDZrm */
-  0xbde, /* VBLENDMPDZrr */
+  0x1ea1, /* VPSLLDZrmkz */
+  0x1ea4, /* VPSLLDZrrkz */
 /* Table6799 */
-  0x138c, /* VPERMI2Qrmk */
-  0x138f, /* VPERMI2Qrrk */
+  0x1f58, /* VPSUBBZrmkz */
+  0x1f5b, /* VPSUBBZrrkz */
 /* Table6801 */
-  0x1380, /* VPERMI2PDrmk */
-  0x1383, /* VPERMI2PDrrk */
+  0x1fbc, /* VPSUBWZrmkz */
+  0x1fbf, /* VPSUBWZrrkz */
 /* Table6803 */
-  0x13d4, /* VPERMT2Qrmk */
-  0x13d7, /* VPERMT2Qrrk */
+  0x1f77, /* VPSUBDZrmkz */
+  0x1f7a, /* VPSUBDZrrkz */
 /* Table6805 */
-  0x13c8, /* VPERMT2PDrmk */
-  0x13cb, /* VPERMT2PDrrk */
+  0x16af, /* VPADDBZrmkz */
+  0x16b2, /* VPADDBZrrkz */
 /* Table6807 */
-  0x13e6, /* VPGATHERDQZrm */
-  0x0, /*  */
+  0x1713, /* VPADDWZrmkz */
+  0x1716, /* VPADDWZrrkz */
 /* Table6809 */
-  0x13ec, /* VPGATHERQQZrm */
-  0x0, /*  */
+  0x16ce, /* VPADDDZrmkz */
+  0x16d1, /* VPADDDZrrkz */
 /* Table6811 */
-  0xeeb, /* VGATHERDPDZrm */
-  0x0, /*  */
+  0x1512, /* VMOVDQU64Zrmkz */
+  0x1517, /* VMOVDQU64Zrrkz */
 /* Table6813 */
-  0xef9, /* VGATHERQPDZrm */
   0x0, /*  */
+  0x1518, /* VMOVDQU64Zrrkz_alt */
 /* Table6815 */
-  0x1602, /* VPSCATTERDQZmr */
-  0x0, /*  */
+  0x14d0, /* VMOVDQU16Zrmkz */
+  0x14d5, /* VMOVDQU16Zrrkz */
 /* Table6817 */
-  0x1604, /* VPSCATTERQQZmr */
   0x0, /*  */
+  0x14d6, /* VMOVDQU16Zrrkz_alt */
 /* Table6819 */
-  0x178f, /* VSCATTERDPDZmr */
-  0x0, /*  */
+  0x15b8, /* VMOVUPDZrmkz */
+  0x15bd, /* VMOVUPDZrrkz */
 /* Table6821 */
-  0x1799, /* VSCATTERQPDZmr */
   0x0, /*  */
+  0x15be, /* VMOVUPDZrrkz_alt */
 /* Table6823 */
-  0x0, /*  */
-  0xd6d, /* VFMADDSUB213PDZrk */
+  0x142a, /* VMOVAPDZrmkz */
+  0x142f, /* VMOVAPDZrrkz */
 /* Table6825 */
   0x0, /*  */
-  0xdb1, /* VFMSUBADD213PDZrk */
+  0x1430, /* VMOVAPDZrrkz_alt */
 /* Table6827 */
-  0x0, /*  */
-  0xd19, /* VFMADD213PDZrk */
+  0x2163, /* VSQRTPDZmkz */
+  0x2166, /* VSQRTPDZrkz */
 /* Table6829 */
-  0x0, /*  */
-  0xda3, /* VFMSUB213PDZrk */
+  0xbe9, /* VADDPDZrmkz */
+  0xbec, /* VADDPDZrrkz */
 /* Table6831 */
-  0x0, /*  */
-  0xe2d, /* VFNMADD213PDZrk */
+  0x161d, /* VMULPDZrmkz */
+  0x1620, /* VMULPDZrrkz */
 /* Table6833 */
-  0x0, /*  */
-  0xe81, /* VFNMSUB213PDZrk */
+  0x21b3, /* VSUBPDZrmkz */
+  0x21b6, /* VSUBPDZrrkz */
 /* Table6835 */
-  0x136c, /* VPCONFLICTQrmk */
-  0x136f, /* VPCONFLICTQrrk */
+  0x13bf, /* VMINPDZrmkz */
+  0x13c2, /* VMINPDZrrkz */
 /* Table6837 */
+  0xdc6, /* VDIVPDZrmkz */
+  0xdc9, /* VDIVPDZrrkz */
+/* Table6839 */
+  0x1354, /* VMAXPDZrmkz */
+  0x1357, /* VMAXPDZrrkz */
+/* Table6841 */
+  0x14a7, /* VMOVDQA64Zrmkz */
+  0x14ac, /* VMOVDQA64Zrrkz */
+/* Table6843 */
   0x0, /*  */
-  0xef0, /* VGATHERPF0DPDm */
-  0xef4, /* VGATHERPF1DPDm */
   0x0, /*  */
   0x0, /*  */
-  0x1791, /* VSCATTERPF0DPDm */
-  0x1795, /* VSCATTERPF1DPDm */
   0x0, /*  */
+  0x1ee8, /* VPSRAQZmikz */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -57942,1458 +70642,6336 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1eeb, /* VPSRAQZrikz */
   0x0, /*  */
-/* Table6853 */
   0x0, /*  */
-  0xef2, /* VGATHERPF0QPDm */
-  0xef6, /* VGATHERPF1QPDm */
   0x0, /*  */
+/* Table6859 */
   0x0, /*  */
-  0x1793, /* VSCATTERPF0QPDm */
-  0x1797, /* VSCATTERPF1QPDm */
   0x0, /*  */
+  0x1f21, /* VPSRLQZmikz */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1ead, /* VPSLLQZmikz */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x1f24, /* VPSRLQZrikz */
   0x0, /*  */
   0x0, /*  */
-/* Table6869 */
   0x0, /*  */
-  0x174e, /* VRCP28SSrrb */
-/* Table6871 */
-  0x0, /*  */
-  0x1783, /* VRSQRT28SSrrb */
-/* Table6873 */
-  0x12be, /* VPCMPEQQZ128rmb */
+  0x1eb0, /* VPSLLQZrikz */
   0x0, /*  */
 /* Table6875 */
-  0x1312, /* VPCMPGTQZ128rmb */
   0x0, /*  */
+  0x14ad, /* VMOVDQA64Zrrkz_alt */
 /* Table6877 */
-  0x0, /*  */
-  0x174b, /* VRCP28SDrrb */
+  0x1f27, /* VPSRLQZrmkz */
+  0x1f2a, /* VPSRLQZrrkz */
 /* Table6879 */
-  0x0, /*  */
-  0x1780, /* VRSQRT28SDrrb */
+  0x16ed, /* VPADDQZrmkz */
+  0x16f0, /* VPADDQZrrkz */
 /* Table6881 */
-  0x12c4, /* VPCMPEQQZ256rmb */
-  0x0, /*  */
+  0x1789, /* VPANDQZrmkz */
+  0x178c, /* VPANDQZrrkz */
 /* Table6883 */
-  0x1318, /* VPCMPGTQZ256rmb */
-  0x0, /*  */
+  0x176a, /* VPANDNQZrmkz */
+  0x176d, /* VPANDNQZrrkz */
 /* Table6885 */
-  0x11c6, /* VPABSDZrmb */
-  0x0, /*  */
+  0x1eee, /* VPSRAQZrmkz */
+  0x1ef1, /* VPSRAQZrrkz */
 /* Table6887 */
-  0x14ab, /* VPMINSDZrmb */
-  0x0, /*  */
+  0x1e37, /* VPORQZrmkz */
+  0x1e3a, /* VPORQZrrkz */
 /* Table6889 */
-  0x14c9, /* VPMINUDZrmb */
-  0x0, /*  */
+  0x2028, /* VPXORQZrmkz */
+  0x202b, /* VPXORQZrrkz */
 /* Table6891 */
-  0x146f, /* VPMAXSDZrmb */
-  0x0, /*  */
+  0x1eb3, /* VPSLLQZrmkz */
+  0x1eb6, /* VPSLLQZrrkz */
 /* Table6893 */
-  0x148d, /* VPMAXUDZrmb */
-  0x0, /*  */
+  0x1dff, /* VPMULUDQZrmkz */
+  0x1e02, /* VPMULUDQZrrkz */
 /* Table6895 */
-  0x15b5, /* VPMULLDZrmb */
-  0x0, /*  */
+  0x1f96, /* VPSUBQZrmkz */
+  0x1f99, /* VPSUBQZrrkz */
 /* Table6897 */
-  0x142f, /* VPLZCNTDrmb */
-  0x0, /*  */
+  0x5f9, /* MMX_PSHUFBrm64 */
+  0x5fa, /* MMX_PSHUFBrr64 */
 /* Table6899 */
-  0xd69, /* VFMADDSUB132PSZmb */
-  0x0, /*  */
+  0x5d2, /* MMX_PHADDWrm64 */
+  0x5d3, /* MMX_PHADDWrr64 */
 /* Table6901 */
-  0xdad, /* VFMSUBADD132PSZmb */
-  0x0, /*  */
+  0x5d4, /* MMX_PHADDrm64 */
+  0x5d5, /* MMX_PHADDrr64 */
 /* Table6903 */
-  0xd15, /* VFMADD132PSZmb */
-  0x0, /*  */
+  0x5d0, /* MMX_PHADDSWrm64 */
+  0x5d1, /* MMX_PHADDSWrr64 */
 /* Table6905 */
-  0xd9f, /* VFMSUB132PSZmb */
-  0x0, /*  */
+  0x5de, /* MMX_PMADDUBSWrm64 */
+  0x5df, /* MMX_PMADDUBSWrr64 */
 /* Table6907 */
-  0xe29, /* VFNMADD132PSZmb */
-  0x0, /*  */
+  0x5da, /* MMX_PHSUBWrm64 */
+  0x5db, /* MMX_PHSUBWrr64 */
 /* Table6909 */
-  0xe7d, /* VFNMSUB132PSZmb */
-  0x0, /*  */
+  0x5d6, /* MMX_PHSUBDrm64 */
+  0x5d7, /* MMX_PHSUBDrr64 */
 /* Table6911 */
-  0xd70, /* VFMADDSUB213PSZmb */
-  0x0, /*  */
+  0x5d8, /* MMX_PHSUBSWrm64 */
+  0x5d9, /* MMX_PHSUBSWrr64 */
 /* Table6913 */
-  0xdb4, /* VFMSUBADD213PSZmb */
-  0x0, /*  */
+  0x5fd, /* MMX_PSIGNBrm64 */
+  0x5fe, /* MMX_PSIGNBrr64 */
 /* Table6915 */
-  0xd1c, /* VFMADD213PSZmb */
-  0x0, /*  */
+  0x601, /* MMX_PSIGNWrm64 */
+  0x602, /* MMX_PSIGNWrr64 */
 /* Table6917 */
-  0xda6, /* VFMSUB213PSZmb */
-  0x0, /*  */
+  0x5ff, /* MMX_PSIGNDrm64 */
+  0x600, /* MMX_PSIGNDrr64 */
 /* Table6919 */
-  0xe30, /* VFNMADD213PSZmb */
-  0x0, /*  */
+  0x5eb, /* MMX_PMULHRSWrm64 */
+  0x5ec, /* MMX_PMULHRSWrr64 */
 /* Table6921 */
-  0xe84, /* VFNMSUB213PSZmb */
-  0x0, /*  */
+  0x59d, /* MMX_PABSBrm64 */
+  0x59e, /* MMX_PABSBrr64 */
 /* Table6923 */
-  0x1360, /* VPCONFLICTDrmb */
-  0x0, /*  */
+  0x5a1, /* MMX_PABSWrm64 */
+  0x5a2, /* MMX_PABSWrr64 */
 /* Table6925 */
-  0x0, /*  */
-  0x1748, /* VRCP28PSZrb */
+  0x59f, /* MMX_PABSDrm64 */
+  0x5a0, /* MMX_PABSDrr64 */
 /* Table6927 */
-  0x0, /*  */
-  0x177d, /* VRSQRT28PSZrb */
+  0xa6a, /* SHA1NEXTErm */
+  0xa6b, /* SHA1NEXTErr */
 /* Table6929 */
-  0x11d3, /* VPABSQZrmb */
-  0x0, /*  */
+  0xa66, /* SHA1MSG1rm */
+  0xa67, /* SHA1MSG1rr */
 /* Table6931 */
-  0x159c, /* VPMULDQZrmb */
-  0x0, /*  */
+  0xa68, /* SHA1MSG2rm */
+  0xa69, /* SHA1MSG2rr */
 /* Table6933 */
-  0x12ca, /* VPCMPEQQZrmb */
-  0x0, /*  */
+  0xa72, /* SHA256RNDS2rm */
+  0xa73, /* SHA256RNDS2rr */
 /* Table6935 */
-  0x131e, /* VPCMPGTQZrmb */
-  0x0, /*  */
+  0xa6e, /* SHA256MSG1rm */
+  0xa6f, /* SHA256MSG1rr */
 /* Table6937 */
-  0x14b6, /* VPMINSQZrmb */
-  0x0, /*  */
+  0xa70, /* SHA256MSG2rm */
+  0xa71, /* SHA256MSG2rr */
 /* Table6939 */
-  0x14d4, /* VPMINUQZrmb */
+  0x698, /* MOVBE32rm */
   0x0, /*  */
 /* Table6941 */
-  0x147a, /* VPMAXSQZrmb */
+  0x697, /* MOVBE32mr */
   0x0, /*  */
 /* Table6943 */
-  0x1498, /* VPMAXUQZrmb */
-  0x0, /*  */
+  0x8a5, /* PSHUFBrm */
+  0x8a6, /* PSHUFBrr */
 /* Table6945 */
-  0x1438, /* VPLZCNTQrmb */
-  0x0, /*  */
+  0x820, /* PHADDWrm */
+  0x821, /* PHADDWrr */
 /* Table6947 */
-  0xd67, /* VFMADDSUB132PDZmb */
-  0x0, /*  */
+  0x81c, /* PHADDDrm */
+  0x81d, /* PHADDDrr */
 /* Table6949 */
-  0xdab, /* VFMSUBADD132PDZmb */
-  0x0, /*  */
+  0x81e, /* PHADDSWrm128 */
+  0x81f, /* PHADDSWrr128 */
 /* Table6951 */
-  0xd13, /* VFMADD132PDZmb */
-  0x0, /*  */
+  0x836, /* PMADDUBSWrm128 */
+  0x837, /* PMADDUBSWrr128 */
 /* Table6953 */
-  0xd9d, /* VFMSUB132PDZmb */
-  0x0, /*  */
+  0x828, /* PHSUBWrm */
+  0x829, /* PHSUBWrr */
 /* Table6955 */
-  0xe27, /* VFNMADD132PDZmb */
-  0x0, /*  */
+  0x824, /* PHSUBDrm */
+  0x825, /* PHSUBDrr */
 /* Table6957 */
-  0xe7b, /* VFNMSUB132PDZmb */
-  0x0, /*  */
+  0x826, /* PHSUBSWrm128 */
+  0x827, /* PHSUBSWrr128 */
 /* Table6959 */
-  0xd6b, /* VFMADDSUB213PDZmb */
-  0x0, /*  */
+  0x8ad, /* PSIGNBrm */
+  0x8ae, /* PSIGNBrr */
 /* Table6961 */
-  0xdaf, /* VFMSUBADD213PDZmb */
-  0x0, /*  */
+  0x8b1, /* PSIGNWrm */
+  0x8b2, /* PSIGNWrr */
 /* Table6963 */
-  0xd17, /* VFMADD213PDZmb */
-  0x0, /*  */
+  0x8af, /* PSIGNDrm */
+  0x8b0, /* PSIGNDrr */
 /* Table6965 */
-  0xda1, /* VFMSUB213PDZmb */
-  0x0, /*  */
+  0x86d, /* PMULHRSWrm128 */
+  0x86e, /* PMULHRSWrr128 */
 /* Table6967 */
-  0xe2b, /* VFNMADD213PDZmb */
-  0x0, /*  */
+  0x7be, /* PBLENDVBrm0 */
+  0x7bf, /* PBLENDVBrr0 */
 /* Table6969 */
-  0xe7f, /* VFNMSUB213PDZmb */
-  0x0, /*  */
+  0x107, /* BLENDVPSrm0 */
+  0x108, /* BLENDVPSrr0 */
 /* Table6971 */
-  0x1369, /* VPCONFLICTQrmb */
-  0x0, /*  */
+  0x105, /* BLENDVPDrm0 */
+  0x106, /* BLENDVPDrr0 */
 /* Table6973 */
-  0x0, /*  */
-  0x1745, /* VRCP28PDZrb */
+  0x8df, /* PTESTrm */
+  0x8e0, /* PTESTrr */
 /* Table6975 */
-  0x0, /*  */
-  0x177a, /* VRSQRT28PDZrb */
+  0x793, /* PABSBrm128 */
+  0x794, /* PABSBrr128 */
 /* Table6977 */
-  0x12bf, /* VPCMPEQQZ128rmbk */
-  0x0, /*  */
+  0x797, /* PABSWrm128 */
+  0x798, /* PABSWrr128 */
 /* Table6979 */
-  0x1313, /* VPCMPGTQZ128rmbk */
-  0x0, /*  */
+  0x795, /* PABSDrm128 */
+  0x796, /* PABSDrr128 */
 /* Table6981 */
-  0x12c5, /* VPCMPEQQZ256rmbk */
-  0x0, /*  */
+  0x857, /* PMOVSXBWrm */
+  0x858, /* PMOVSXBWrr */
 /* Table6983 */
-  0x1319, /* VPCMPGTQZ256rmbk */
-  0x0, /*  */
+  0x853, /* PMOVSXBDrm */
+  0x854, /* PMOVSXBDrr */
 /* Table6985 */
-  0x11c7, /* VPABSDZrmbk */
-  0x0, /*  */
+  0x855, /* PMOVSXBQrm */
+  0x856, /* PMOVSXBQrr */
 /* Table6987 */
-  0x14ac, /* VPMINSDZrmbk */
-  0x0, /*  */
+  0x85b, /* PMOVSXWDrm */
+  0x85c, /* PMOVSXWDrr */
 /* Table6989 */
-  0x14ca, /* VPMINUDZrmbk */
-  0x0, /*  */
+  0x85d, /* PMOVSXWQrm */
+  0x85e, /* PMOVSXWQrr */
 /* Table6991 */
-  0x1470, /* VPMAXSDZrmbk */
-  0x0, /*  */
+  0x859, /* PMOVSXDQrm */
+  0x85a, /* PMOVSXDQrr */
 /* Table6993 */
-  0x148e, /* VPMAXUDZrmbk */
-  0x0, /*  */
+  0x86b, /* PMULDQrm */
+  0x86c, /* PMULDQrr */
 /* Table6995 */
-  0x15b6, /* VPMULLDZrmbk */
-  0x0, /*  */
+  0x7c8, /* PCMPEQQrm */
+  0x7c9, /* PCMPEQQrr */
 /* Table6997 */
-  0x1430, /* VPLZCNTDrmbk */
+  0x6b5, /* MOVNTDQArm */
   0x0, /*  */
 /* Table6999 */
-  0x1361, /* VPCONFLICTDrmbk */
-  0x0, /*  */
+  0x79d, /* PACKUSDWrm */
+  0x79e, /* PACKUSDWrr */
 /* Table7001 */
-  0x11d4, /* VPABSQZrmbk */
-  0x0, /*  */
+  0x863, /* PMOVZXBWrm */
+  0x864, /* PMOVZXBWrr */
 /* Table7003 */
-  0x159d, /* VPMULDQZrmbk */
-  0x0, /*  */
+  0x85f, /* PMOVZXBDrm */
+  0x860, /* PMOVZXBDrr */
 /* Table7005 */
-  0x12cb, /* VPCMPEQQZrmbk */
-  0x0, /*  */
+  0x861, /* PMOVZXBQrm */
+  0x862, /* PMOVZXBQrr */
 /* Table7007 */
-  0x131f, /* VPCMPGTQZrmbk */
-  0x0, /*  */
+  0x867, /* PMOVZXWDrm */
+  0x868, /* PMOVZXWDrr */
 /* Table7009 */
-  0x14b7, /* VPMINSQZrmbk */
-  0x0, /*  */
+  0x869, /* PMOVZXWQrm */
+  0x86a, /* PMOVZXWQrr */
 /* Table7011 */
-  0x14d5, /* VPMINUQZrmbk */
-  0x0, /*  */
+  0x865, /* PMOVZXDQrm */
+  0x866, /* PMOVZXDQrr */
 /* Table7013 */
-  0x147b, /* VPMAXSQZrmbk */
-  0x0, /*  */
+  0x7d8, /* PCMPGTQrm */
+  0x7d9, /* PCMPGTQrr */
 /* Table7015 */
-  0x1499, /* VPMAXUQZrmbk */
-  0x0, /*  */
+  0x846, /* PMINSBrm */
+  0x847, /* PMINSBrr */
 /* Table7017 */
-  0x1439, /* VPLZCNTQrmbk */
-  0x0, /*  */
+  0x848, /* PMINSDrm */
+  0x849, /* PMINSDrr */
 /* Table7019 */
-  0x136a, /* VPCONFLICTQrmbk */
-  0x0, /*  */
+  0x850, /* PMINUWrm */
+  0x851, /* PMINUWrr */
 /* Table7021 */
-  0x11c8, /* VPABSDZrmbkz */
-  0x0, /*  */
+  0x84e, /* PMINUDrm */
+  0x84f, /* PMINUDrr */
 /* Table7023 */
-  0x14ad, /* VPMINSDZrmbkz */
-  0x0, /*  */
+  0x83a, /* PMAXSBrm */
+  0x83b, /* PMAXSBrr */
 /* Table7025 */
-  0x14cb, /* VPMINUDZrmbkz */
-  0x0, /*  */
+  0x83c, /* PMAXSDrm */
+  0x83d, /* PMAXSDrr */
 /* Table7027 */
-  0x1471, /* VPMAXSDZrmbkz */
-  0x0, /*  */
+  0x844, /* PMAXUWrm */
+  0x845, /* PMAXUWrr */
 /* Table7029 */
-  0x148f, /* VPMAXUDZrmbkz */
-  0x0, /*  */
+  0x842, /* PMAXUDrm */
+  0x843, /* PMAXUDrr */
 /* Table7031 */
-  0x15b7, /* VPMULLDZrmbkz */
-  0x0, /*  */
+  0x875, /* PMULLDrm */
+  0x876, /* PMULLDrr */
 /* Table7033 */
-  0x1431, /* VPLZCNTDrmbkz */
-  0x0, /*  */
+  0x822, /* PHMINPOSUWrm128 */
+  0x823, /* PHMINPOSUWrr128 */
 /* Table7035 */
-  0x1362, /* VPCONFLICTDrmbkz */
+  0x3ac, /* INVEPT32 */
   0x0, /*  */
 /* Table7037 */
-  0x11d5, /* VPABSQZrmbkz */
+  0x3b3, /* INVVPID32 */
   0x0, /*  */
 /* Table7039 */
-  0x159e, /* VPMULDQZrmbkz */
+  0x3b1, /* INVPCID32 */
   0x0, /*  */
 /* Table7041 */
-  0x14b8, /* VPMINSQZrmbkz */
-  0x0, /*  */
+  0xac, /* AESIMCrm */
+  0xad, /* AESIMCrr */
 /* Table7043 */
-  0x14d6, /* VPMINUQZrmbkz */
-  0x0, /*  */
+  0xaa, /* AESENCrm */
+  0xab, /* AESENCrr */
 /* Table7045 */
-  0x147c, /* VPMAXSQZrmbkz */
-  0x0, /*  */
+  0xa8, /* AESENCLASTrm */
+  0xa9, /* AESENCLASTrr */
 /* Table7047 */
-  0x149a, /* VPMAXUQZrmbkz */
-  0x0, /*  */
+  0xa6, /* AESDECrm */
+  0xa7, /* AESDECrr */
 /* Table7049 */
-  0x143a, /* VPLZCNTQrmbkz */
-  0x0, /*  */
+  0xa4, /* AESDECLASTrm */
+  0xa5, /* AESDECLASTrr */
 /* Table7051 */
-  0x136b, /* VPCONFLICTQrmbkz */
+  0x696, /* MOVBE16rm */
   0x0, /*  */
 /* Table7053 */
+  0x695, /* MOVBE16mr */
   0x0, /*  */
-  0x154e, /* VPMOVUSDBrrkz */
 /* Table7055 */
-  0x0, /*  */
-  0x1558, /* VPMOVUSQBrrkz */
+  0x46, /* ADCX32rm */
+  0x47, /* ADCX32rr */
 /* Table7057 */
-  0x0, /*  */
-  0x1553, /* VPMOVUSDWrrkz */
+  0x25e, /* CRC32r32m8 */
+  0x261, /* CRC32r32r8 */
 /* Table7059 */
-  0x0, /*  */
-  0x1562, /* VPMOVUSQWrrkz */
+  0x25d, /* CRC32r32m32 */
+  0x260, /* CRC32r32r32 */
 /* Table7061 */
-  0x0, /*  */
-  0x155d, /* VPMOVUSQDrrkz */
+  0xa0, /* ADOX32rm */
+  0xa1, /* ADOX32rr */
 /* Table7063 */
-  0x0, /*  */
-  0x14ff, /* VPMOVSDBrrkz */
+  0x25c, /* CRC32r32m16 */
+  0x25f, /* CRC32r32r16 */
 /* Table7065 */
+  0x69a, /* MOVBE64rm */
   0x0, /*  */
-  0x1509, /* VPMOVSQBrrkz */
 /* Table7067 */
+  0x699, /* MOVBE64mr */
   0x0, /*  */
-  0x1504, /* VPMOVSDWrrkz */
 /* Table7069 */
+  0x3ad, /* INVEPT64 */
   0x0, /*  */
-  0x1513, /* VPMOVSQWrrkz */
 /* Table7071 */
+  0x3b4, /* INVVPID64 */
   0x0, /*  */
-  0x150e, /* VPMOVSQDrrkz */
 /* Table7073 */
+  0x3b2, /* INVPCID64 */
   0x0, /*  */
-  0x14e4, /* VPMOVDBrrkz */
 /* Table7075 */
-  0x0, /*  */
-  0x14f0, /* VPMOVQBrrkz */
+  0xa2, /* ADOX64rm */
+  0xa3, /* ADOX64rr */
 /* Table7077 */
-  0x0, /*  */
-  0x14e9, /* VPMOVDWrrkz */
+  0x263, /* CRC32r64m8 */
+  0x265, /* CRC32r64r8 */
 /* Table7079 */
-  0x0, /*  */
-  0x14fa, /* VPMOVQWrrkz */
+  0x262, /* CRC32r64m64 */
+  0x264, /* CRC32r64r64 */
 /* Table7081 */
-  0x0, /*  */
-  0x14f5, /* VPMOVQDrrkz */
+  0x48, /* ADCX64rm */
+  0x49, /* ADCX64rr */
 /* Table7083 */
-  0x11ca, /* VPABSDZrmkz */
-  0x11cd, /* VPABSDZrrkz */
+  0xd4, /* ANDN32rm */
+  0xd5, /* ANDN32rr */
 /* Table7085 */
-  0x1518, /* VPMOVSXBDZrmkz */
-  0x151b, /* VPMOVSXBDZrrkz */
-/* Table7087 */
-  0x1522, /* VPMOVSXBQZrmkz */
-  0x1525, /* VPMOVSXBQZrrkz */
-/* Table7089 */
-  0x153a, /* VPMOVSXWDZrmkz */
-  0x153d, /* VPMOVSXWDZrrkz */
-/* Table7091 */
-  0x1544, /* VPMOVSXWQZrmkz */
-  0x1547, /* VPMOVSXWQZrrkz */
-/* Table7093 */
-  0x1530, /* VPMOVSXDQZrmkz */
-  0x1533, /* VPMOVSXDQZrrkz */
-/* Table7095 */
-  0x1567, /* VPMOVZXBDZrmkz */
-  0x156a, /* VPMOVZXBDZrrkz */
-/* Table7097 */
-  0x1571, /* VPMOVZXBQZrmkz */
-  0x1574, /* VPMOVZXBQZrrkz */
-/* Table7099 */
-  0x1589, /* VPMOVZXWDZrmkz */
-  0x158c, /* VPMOVZXWDZrrkz */
+  0x0, /*  */
+  0x119, /* BLSR32rm */
+  0x115, /* BLSMSK32rm */
+  0x10d, /* BLSI32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x11a, /* BLSR32rr */
+  0x116, /* BLSMSK32rr */
+  0x10e, /* BLSI32rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
 /* Table7101 */
-  0x1593, /* VPMOVZXWQZrmkz */
-  0x1596, /* VPMOVZXWQZrrkz */
+  0x15d, /* BZHI32rm */
+  0x15e, /* BZHI32rr */
 /* Table7103 */
-  0x157f, /* VPMOVZXDQZrmkz */
-  0x1582, /* VPMOVZXDQZrrkz */
+  0xe5, /* BEXTR32rm */
+  0xe6, /* BEXTR32rr */
 /* Table7105 */
-  0x14af, /* VPMINSDZrmkz */
-  0x14b2, /* VPMINSDZrrkz */
+  0x7e9, /* PEXT32rm */
+  0x7ea, /* PEXT32rr */
 /* Table7107 */
-  0x14cd, /* VPMINUDZrmkz */
-  0x14d0, /* VPMINUDZrrkz */
+  0xa08, /* SARX32rm */
+  0xa09, /* SARX32rr */
 /* Table7109 */
-  0x1473, /* VPMAXSDZrmkz */
-  0x1476, /* VPMAXSDZrrkz */
+  0x7e5, /* PDEP32rm */
+  0x7e6, /* PDEP32rr */
 /* Table7111 */
-  0x1491, /* VPMAXUDZrmkz */
-  0x1494, /* VPMAXUDZrrkz */
+  0x717, /* MULX32rm */
+  0x718, /* MULX32rr */
 /* Table7113 */
-  0x15b9, /* VPMULLDZrmkz */
-  0x15bc, /* VPMULLDZrrkz */
+  0xac0, /* SHRX32rm */
+  0xac1, /* SHRX32rr */
 /* Table7115 */
-  0x1433, /* VPLZCNTDrmkz */
-  0x1436, /* VPLZCNTDrrkz */
+  0x1e78, /* VPSHUFBrm */
+  0x1e79, /* VPSHUFBrr */
 /* Table7117 */
-  0x126f, /* VPBROADCASTDZkrm */
-  0x1270, /* VPBROADCASTDZkrr */
+  0x1ada, /* VPHADDWrm */
+  0x1adb, /* VPHADDWrr */
 /* Table7119 */
-  0xbf3, /* VBROADCASTI32X4krm */
-  0x0, /*  */
+  0x1ac2, /* VPHADDDrm */
+  0x1ac3, /* VPHADDDrr */
 /* Table7121 */
-  0x137b, /* VPERMI2Drmkz */
-  0x137e, /* VPERMI2Drrkz */
+  0x1ac4, /* VPHADDSWrm128 */
+  0x1ac6, /* VPHADDSWrr128 */
 /* Table7123 */
-  0x1387, /* VPERMI2PSrmkz */
-  0x138a, /* VPERMI2PSrrkz */
+  0x1b22, /* VPMADDUBSWrm128 */
+  0x1b24, /* VPMADDUBSWrr128 */
 /* Table7125 */
-  0x0, /*  */
-  0x1273, /* VPBROADCASTDrZkrr */
+  0x1aee, /* VPHSUBWrm */
+  0x1aef, /* VPHSUBWrr */
 /* Table7127 */
-  0x13c3, /* VPERMT2Drmkz */
-  0x13c6, /* VPERMT2Drrkz */
+  0x1ae4, /* VPHSUBDrm */
+  0x1ae5, /* VPHSUBDrr */
 /* Table7129 */
-  0x13cf, /* VPERMT2PSrmkz */
-  0x13d2, /* VPERMT2PSrrkz */
+  0x1ae6, /* VPHSUBSWrm128 */
+  0x1ae8, /* VPHSUBSWrr128 */
 /* Table7131 */
-  0x0, /*  */
-  0xd73, /* VFMADDSUB213PSZrkz */
+  0x1e8a, /* VPSIGNBrm */
+  0x1e8b, /* VPSIGNBrr */
 /* Table7133 */
-  0x0, /*  */
-  0xdb7, /* VFMSUBADD213PSZrkz */
+  0x1e92, /* VPSIGNWrm */
+  0x1e93, /* VPSIGNWrr */
 /* Table7135 */
-  0x0, /*  */
-  0xd1f, /* VFMADD213PSZrkz */
+  0x1e8e, /* VPSIGNDrm */
+  0x1e8f, /* VPSIGNDrr */
 /* Table7137 */
-  0x0, /*  */
-  0xda9, /* VFMSUB213PSZrkz */
+  0x1d9c, /* VPMULHRSWrm128 */
+  0x1d9e, /* VPMULHRSWrr128 */
 /* Table7139 */
-  0x0, /*  */
-  0xe33, /* VFNMADD213PSZrkz */
+  0x1a61, /* VPERMILPSrm */
+  0x1a62, /* VPERMILPSrr */
 /* Table7141 */
-  0x0, /*  */
-  0xe87, /* VFNMSUB213PSZrkz */
+  0x1a55, /* VPERMILPDrm */
+  0x1a56, /* VPERMILPDrr */
 /* Table7143 */
-  0x1364, /* VPCONFLICTDrmkz */
-  0x1367, /* VPCONFLICTDrrkz */
+  0x21ff, /* VTESTPSrm */
+  0x2200, /* VTESTPSrr */
 /* Table7145 */
-  0x11d7, /* VPABSQZrmkz */
-  0x11da, /* VPABSQZrrkz */
+  0x21fb, /* VTESTPDrm */
+  0x21fc, /* VTESTPDrr */
 /* Table7147 */
-  0x15a0, /* VPMULDQZrmkz */
-  0x15a3, /* VPMULDQZrrkz */
+  0xd2d, /* VCVTPH2PSrm */
+  0xd2e, /* VCVTPH2PSrr */
 /* Table7149 */
-  0x14ba, /* VPMINSQZrmkz */
-  0x14bd, /* VPMINSQZrrkz */
+  0x1fcc, /* VPTESTrm */
+  0x1fcd, /* VPTESTrr */
 /* Table7151 */
-  0x14d8, /* VPMINUQZrmkz */
-  0x14db, /* VPMINUQZrrkz */
+  0xcc3, /* VBROADCASTSSrm */
+  0xcc4, /* VBROADCASTSSrr */
 /* Table7153 */
-  0x147e, /* VPMAXSQZrmkz */
-  0x1481, /* VPMAXSQZrrkz */
+  0x1671, /* VPABSBrm128 */
+  0x1673, /* VPABSBrr128 */
 /* Table7155 */
-  0x149c, /* VPMAXUQZrmkz */
-  0x149f, /* VPMAXUQZrrkz */
+  0x168b, /* VPABSWrm128 */
+  0x168d, /* VPABSWrr128 */
 /* Table7157 */
-  0x143c, /* VPLZCNTQrmkz */
-  0x143f, /* VPLZCNTQrrkz */
+  0x167e, /* VPABSDrm128 */
+  0x1680, /* VPABSDrr128 */
 /* Table7159 */
-  0x127b, /* VPBROADCASTQZkrm */
-  0x127c, /* VPBROADCASTQZkrr */
+  0x1d20, /* VPMOVSXBWrm */
+  0x1d21, /* VPMOVSXBWrr */
 /* Table7161 */
-  0xbf5, /* VBROADCASTI64X4krm */
-  0x0, /*  */
+  0x1d12, /* VPMOVSXBDrm */
+  0x1d13, /* VPMOVSXBDrr */
 /* Table7163 */
-  0x138d, /* VPERMI2Qrmkz */
-  0x1390, /* VPERMI2Qrrkz */
+  0x1d1c, /* VPMOVSXBQrm */
+  0x1d1d, /* VPMOVSXBQrr */
 /* Table7165 */
-  0x1381, /* VPERMI2PDrmkz */
-  0x1384, /* VPERMI2PDrrkz */
+  0x1d34, /* VPMOVSXWDrm */
+  0x1d35, /* VPMOVSXWDrr */
 /* Table7167 */
-  0x0, /*  */
-  0x127f, /* VPBROADCASTQrZkrr */
+  0x1d3e, /* VPMOVSXWQrm */
+  0x1d3f, /* VPMOVSXWQrr */
 /* Table7169 */
-  0x13d5, /* VPERMT2Qrmkz */
-  0x13d8, /* VPERMT2Qrrkz */
+  0x1d2a, /* VPMOVSXDQrm */
+  0x1d2b, /* VPMOVSXDQrr */
 /* Table7171 */
-  0x13c9, /* VPERMT2PDrmkz */
-  0x13cc, /* VPERMT2PDrrkz */
+  0x1d9a, /* VPMULDQrm */
+  0x1d9b, /* VPMULDQrr */
 /* Table7173 */
-  0x0, /*  */
-  0xd6e, /* VFMADDSUB213PDZrkz */
+  0x18b9, /* VPCMPEQQrm */
+  0x18ba, /* VPCMPEQQrr */
 /* Table7175 */
+  0x1556, /* VMOVNTDQArm */
   0x0, /*  */
-  0xdb2, /* VFMSUBADD213PDZrkz */
 /* Table7177 */
-  0x0, /*  */
-  0xd1a, /* VFMADD213PDZrkz */
+  0x1699, /* VPACKUSDWrm */
+  0x169a, /* VPACKUSDWrr */
 /* Table7179 */
+  0x132e, /* VMASKMOVPSrm */
   0x0, /*  */
-  0xda4, /* VFMSUB213PDZrkz */
 /* Table7181 */
+  0x132a, /* VMASKMOVPDrm */
   0x0, /*  */
-  0xe2e, /* VFNMADD213PDZrkz */
 /* Table7183 */
+  0x132d, /* VMASKMOVPSmr */
   0x0, /*  */
-  0xe82, /* VFNMSUB213PDZrkz */
 /* Table7185 */
-  0x136d, /* VPCONFLICTQrmkz */
-  0x1370, /* VPCONFLICTQrrkz */
+  0x1329, /* VMASKMOVPDmr */
+  0x0, /*  */
 /* Table7187 */
-  0x59d, /* MMX_PALIGNR64irm */
-  0x59e, /* MMX_PALIGNR64irr */
+  0x1d6f, /* VPMOVZXBWrm */
+  0x1d70, /* VPMOVZXBWrr */
 /* Table7189 */
-  0xa2d, /* SHA1RNDS4rmi */
-  0xa2e, /* SHA1RNDS4rri */
+  0x1d61, /* VPMOVZXBDrm */
+  0x1d62, /* VPMOVZXBDrr */
 /* Table7191 */
-  0x988, /* ROUNDPSm */
-  0x989, /* ROUNDPSr */
+  0x1d6b, /* VPMOVZXBQrm */
+  0x1d6c, /* VPMOVZXBQrr */
 /* Table7193 */
-  0x986, /* ROUNDPDm */
-  0x987, /* ROUNDPDr */
+  0x1d83, /* VPMOVZXWDrm */
+  0x1d84, /* VPMOVZXWDrr */
 /* Table7195 */
-  0x98d, /* ROUNDSSm */
-  0x98e, /* ROUNDSSr */
+  0x1d8d, /* VPMOVZXWQrm */
+  0x1d8e, /* VPMOVZXWQrr */
 /* Table7197 */
-  0x98a, /* ROUNDSDm */
-  0x98b, /* ROUNDSDr */
+  0x1d79, /* VPMOVZXDQrm */
+  0x1d7a, /* VPMOVZXDQrr */
 /* Table7199 */
-  0xfd, /* BLENDPSrmi */
-  0xfe, /* BLENDPSrri */
+  0x190d, /* VPCMPGTQrm */
+  0x190e, /* VPCMPGTQrr */
 /* Table7201 */
-  0xfb, /* BLENDPDrmi */
-  0xfc, /* BLENDPDrri */
+  0x1c12, /* VPMINSBrm */
+  0x1c13, /* VPMINSBrr */
 /* Table7203 */
-  0x79c, /* PBLENDWrmi */
-  0x79d, /* PBLENDWrri */
+  0x1c31, /* VPMINSDrm */
+  0x1c32, /* VPMINSDrr */
 /* Table7205 */
-  0x78d, /* PALIGNR128rm */
-  0x78e, /* PALIGNR128rr */
+  0x1cc8, /* VPMINUWrm */
+  0x1cc9, /* VPMINUWrr */
 /* Table7207 */
-  0x7c8, /* PEXTRBmr */
-  0x7c9, /* PEXTRBrr */
+  0x1c97, /* VPMINUDrm */
+  0x1c98, /* VPMINUDrr */
 /* Table7209 */
-  0x7ce, /* PEXTRWmr */
-  0x7d0, /* PEXTRWrr_REV */
+  0x1b46, /* VPMAXSBrm */
+  0x1b47, /* VPMAXSBrr */
 /* Table7211 */
-  0x7ca, /* PEXTRDmr */
-  0x7cb, /* PEXTRDrr */
+  0x1b65, /* VPMAXSDrm */
+  0x1b66, /* VPMAXSDrr */
 /* Table7213 */
-  0x2e5, /* EXTRACTPSmr */
-  0x2e6, /* EXTRACTPSrr */
+  0x1bfc, /* VPMAXUWrm */
+  0x1bfd, /* VPMAXUWrr */
 /* Table7215 */
-  0x809, /* PINSRBrm */
-  0x80a, /* PINSRBrr */
+  0x1bcb, /* VPMAXUDrm */
+  0x1bcc, /* VPMAXUDrr */
 /* Table7217 */
-  0x38f, /* INSERTPSrm */
-  0x390, /* INSERTPSrr */
+  0x1dc5, /* VPMULLDrm */
+  0x1dc6, /* VPMULLDrr */
 /* Table7219 */
-  0x80b, /* PINSRDrm */
-  0x80c, /* PINSRDrr */
+  0x1adc, /* VPHMINPOSUWrm128 */
+  0x1add, /* VPHMINPOSUWrr128 */
 /* Table7221 */
-  0x2d9, /* DPPSrmi */
-  0x2da, /* DPPSrri */
+  0x1f36, /* VPSRLVDrm */
+  0x1f37, /* VPSRLVDrr */
 /* Table7223 */
-  0x2d7, /* DPPDrmi */
-  0x2d8, /* DPPDrri */
+  0x1efa, /* VPSRAVDrm */
+  0x1efb, /* VPSRAVDrr */
 /* Table7225 */
-  0x6de, /* MPSADBWrmi */
-  0x6df, /* MPSADBWrri */
+  0x1ec2, /* VPSLLVDrm */
+  0x1ec3, /* VPSLLVDrr */
 /* Table7227 */
-  0x79e, /* PCLMULQDQrm */
-  0x79f, /* PCLMULQDQrr */
+  0x1815, /* VPBROADCASTDrm */
+  0x1816, /* VPBROADCASTDrr */
 /* Table7229 */
-  0x7ae, /* PCMPESTRM128rm */
-  0x7af, /* PCMPESTRM128rr */
+  0x182c, /* VPBROADCASTQrm */
+  0x182d, /* VPBROADCASTQrr */
 /* Table7231 */
-  0x7aa, /* PCMPESTRIrm */
-  0x7ab, /* PCMPESTRIrr */
+  0x1804, /* VPBROADCASTBrm */
+  0x1805, /* VPBROADCASTBrr */
 /* Table7233 */
-  0x7be, /* PCMPISTRM128rm */
-  0x7bf, /* PCMPISTRM128rr */
+  0x1839, /* VPBROADCASTWrm */
+  0x183a, /* VPBROADCASTWrr */
 /* Table7235 */
-  0x7ba, /* PCMPISTRIrm */
-  0x7bb, /* PCMPISTRIrr */
+  0x1b2d, /* VPMASKMOVDrm */
+  0x0, /*  */
 /* Table7237 */
-  0xa9, /* AESKEYGENASSIST128rm */
-  0xaa, /* AESKEYGENASSIST128rr */
+  0x1b2c, /* VPMASKMOVDmr */
+  0x0, /*  */
 /* Table7239 */
-  0x7cc, /* PEXTRQmr */
-  0x7cd, /* PEXTRQrr */
+  0x1aae, /* VPGATHERDDrm */
+  0x0, /*  */
 /* Table7241 */
-  0x80d, /* PINSRQrm */
-  0x80e, /* PINSRQrr */
+  0x1ab4, /* VPGATHERQDrm */
+  0x0, /*  */
 /* Table7243 */
-  0x982, /* RORX32mi */
-  0x983, /* RORX32ri */
+  0x12eb, /* VGATHERDPSrm */
+  0x0, /*  */
 /* Table7245 */
-  0x125b, /* VPBLENDDrmi */
-  0x125c, /* VPBLENDDrri */
+  0x12f9, /* VGATHERQPSrm */
+  0x0, /*  */
 /* Table7247 */
-  0x13ad, /* VPERMILPSmi */
-  0x13ae, /* VPERMILPSri */
+  0xfbc, /* VFMADDSUBPSr132m */
+  0xfbe, /* VFMADDSUBPSr132r */
 /* Table7249 */
-  0x13a3, /* VPERMILPDmi */
-  0x13a4, /* VPERMILPDri */
+  0x106e, /* VFMSUBADDPSr132m */
+  0x1070, /* VFMSUBADDPSr132r */
 /* Table7251 */
-  0x1764, /* VROUNDPSm */
-  0x1765, /* VROUNDPSr */
+  0xef8, /* VFMADDPSr132m */
+  0xefa, /* VFMADDPSr132r */
 /* Table7253 */
-  0x1762, /* VROUNDPDm */
-  0x1763, /* VROUNDPDr */
+  0xf1c, /* VFMADDSSr132m */
+  0xf1d, /* VFMADDSSr132r */
 /* Table7255 */
-  0x1769, /* VROUNDSSm */
-  0x176a, /* VROUNDSSr */
+  0x1108, /* VFMSUBPSr132m */
+  0x110a, /* VFMSUBPSr132r */
 /* Table7257 */
-  0x1766, /* VROUNDSDm */
-  0x1767, /* VROUNDSDr */
+  0x112c, /* VFMSUBSSr132m */
+  0x112d, /* VFMSUBSSr132r */
 /* Table7259 */
-  0xbe7, /* VBLENDPSrmi */
-  0xbe8, /* VBLENDPSrri */
+  0x11cc, /* VFNMADDPSr132m */
+  0x11ce, /* VFNMADDPSr132r */
 /* Table7261 */
-  0xbe3, /* VBLENDPDrmi */
-  0xbe4, /* VBLENDPDrri */
+  0x11f0, /* VFNMADDSSr132m */
+  0x11f1, /* VFNMADDSSr132r */
 /* Table7263 */
-  0x1267, /* VPBLENDWrmi */
-  0x1268, /* VPBLENDWrri */
+  0x1290, /* VFNMSUBPSr132m */
+  0x1292, /* VFNMSUBPSr132r */
 /* Table7265 */
-  0x1221, /* VPALIGNR128rm */
-  0x1222, /* VPALIGNR128rr */
+  0x12b4, /* VFNMSUBSSr132m */
+  0x12b5, /* VFNMSUBSSr132r */
 /* Table7267 */
-  0x13d9, /* VPEXTRBmr */
-  0x13da, /* VPEXTRBrr */
+  0xfc0, /* VFMADDSUBPSr213m */
+  0xfc2, /* VFMADDSUBPSr213r */
 /* Table7269 */
-  0x13df, /* VPEXTRWmr */
-  0x13e1, /* VPEXTRWrr_REV */
+  0x1072, /* VFMSUBADDPSr213m */
+  0x1074, /* VFMSUBADDPSr213r */
 /* Table7271 */
-  0x13db, /* VPEXTRDmr */
-  0x13dc, /* VPEXTRDrr */
+  0xefc, /* VFMADDPSr213m */
+  0xefe, /* VFMADDPSr213r */
 /* Table7273 */
-  0xd0e, /* VEXTRACTPSmr */
-  0xd0f, /* VEXTRACTPSrr */
+  0xf1e, /* VFMADDSSr213m */
+  0xf1f, /* VFMADDSSr213r */
 /* Table7275 */
-  0xc68, /* VCVTPS2PHmr */
-  0xc69, /* VCVTPS2PHrr */
+  0x110c, /* VFMSUBPSr213m */
+  0x110e, /* VFMSUBPSr213r */
 /* Table7277 */
-  0x1426, /* VPINSRBrm */
-  0x1427, /* VPINSRBrr */
+  0x112e, /* VFMSUBSSr213m */
+  0x112f, /* VFMSUBSSr213r */
 /* Table7279 */
-  0xf1a, /* VINSERTPSrm */
-  0xf1b, /* VINSERTPSrr */
+  0x11d0, /* VFNMADDPSr213m */
+  0x11d2, /* VFNMADDPSr213r */
 /* Table7281 */
-  0x1428, /* VPINSRDrm */
-  0x1429, /* VPINSRDrr */
+  0x11f2, /* VFNMADDSSr213m */
+  0x11f3, /* VFNMADDSSr213r */
 /* Table7283 */
-  0xcfc, /* VDPPSrmi */
-  0xcfd, /* VDPPSrri */
+  0x1294, /* VFNMSUBPSr213m */
+  0x1296, /* VFNMSUBPSr213r */
 /* Table7285 */
-  0xcf8, /* VDPPDrmi */
-  0xcf9, /* VDPPDrri */
+  0x12b6, /* VFNMSUBSSr213m */
+  0x12b7, /* VFNMSUBSSr213r */
 /* Table7287 */
-  0x1180, /* VMPSADBWrmi */
-  0x1181, /* VMPSADBWrri */
+  0xfc4, /* VFMADDSUBPSr231m */
+  0xfc6, /* VFMADDSUBPSr231r */
 /* Table7289 */
-  0x1287, /* VPCLMULQDQrm */
-  0x1288, /* VPCLMULQDQrr */
+  0x1076, /* VFMSUBADDPSr231m */
+  0x1078, /* VFMSUBADDPSr231r */
 /* Table7291 */
-  0x1397, /* VPERMIL2PSmr */
-  0x139b, /* VPERMIL2PSrr */
+  0xf00, /* VFMADDPSr231m */
+  0xf02, /* VFMADDPSr231r */
 /* Table7293 */
-  0x1391, /* VPERMIL2PDmr */
-  0x1395, /* VPERMIL2PDrr */
+  0xf20, /* VFMADDSSr231m */
+  0xf21, /* VFMADDSSr231r */
 /* Table7295 */
-  0xbef, /* VBLENDVPSrm */
-  0xbf0, /* VBLENDVPSrr */
+  0x1110, /* VFMSUBPSr231m */
+  0x1112, /* VFMSUBPSr231r */
 /* Table7297 */
-  0xbeb, /* VBLENDVPDrm */
-  0xbec, /* VBLENDVPDrr */
+  0x1130, /* VFMSUBSSr231m */
+  0x1131, /* VFMSUBSSr231r */
 /* Table7299 */
-  0x1263, /* VPBLENDVBrm */
-  0x1264, /* VPBLENDVBrr */
+  0x11d4, /* VFNMADDPSr231m */
+  0x11d6, /* VFNMADDPSr231r */
 /* Table7301 */
-  0xd88, /* VFMADDSUBPS4mr */
-  0xd8f, /* VFMADDSUBPS4rr_REV */
+  0x11f4, /* VFNMADDSSr231m */
+  0x11f5, /* VFNMADDSSr231r */
 /* Table7303 */
-  0xd74, /* VFMADDSUBPD4mr */
-  0xd7b, /* VFMADDSUBPD4rr_REV */
+  0x1298, /* VFNMSUBPSr231m */
+  0x129a, /* VFNMSUBPSr231r */
 /* Table7305 */
-  0xdcc, /* VFMSUBADDPS4mr */
-  0xdd3, /* VFMSUBADDPS4rr_REV */
+  0x12b8, /* VFNMSUBSSr231m */
+  0x12b9, /* VFNMSUBSSr231r */
 /* Table7307 */
-  0xdb8, /* VFMSUBADDPD4mr */
-  0xdbf, /* VFMSUBADDPD4rr_REV */
+  0xc3f, /* VAESIMCrm */
+  0xc40, /* VAESIMCrr */
 /* Table7309 */
-  0x12e7, /* VPCMPESTRM128rm */
-  0x12e8, /* VPCMPESTRM128rr */
+  0xc3d, /* VAESENCrm */
+  0xc3e, /* VAESENCrr */
 /* Table7311 */
-  0x12e3, /* VPCMPESTRIrm */
-  0x12e4, /* VPCMPESTRIrr */
+  0xc3b, /* VAESENCLASTrm */
+  0xc3c, /* VAESENCLASTrr */
 /* Table7313 */
-  0x133b, /* VPCMPISTRM128rm */
-  0x133c, /* VPCMPISTRM128rr */
+  0xc39, /* VAESDECrm */
+  0xc3a, /* VAESDECrr */
 /* Table7315 */
-  0x1337, /* VPCMPISTRIrm */
-  0x1338, /* VPCMPISTRIrr */
+  0xc37, /* VAESDECLASTrm */
+  0xc38, /* VAESDECLASTrr */
 /* Table7317 */
-  0xd34, /* VFMADDPS4mr */
-  0xd3b, /* VFMADDPS4rr_REV */
+  0xa98, /* SHLX32rm */
+  0xa99, /* SHLX32rr */
 /* Table7319 */
-  0xd20, /* VFMADDPD4mr */
-  0xd27, /* VFMADDPD4rr_REV */
+  0xd6, /* ANDN64rm */
+  0xd7, /* ANDN64rr */
 /* Table7321 */
-  0xd57, /* VFMADDSS4mr */
-  0xd5d, /* VFMADDSS4rr_REV */
-/* Table7323 */
-  0xd48, /* VFMADDSD4mr */
-  0xd4e, /* VFMADDSD4rr_REV */
-/* Table7325 */
-  0xdf4, /* VFMSUBPS4mr */
-  0xdfb, /* VFMSUBPS4rr_REV */
-/* Table7327 */
-  0xde0, /* VFMSUBPD4mr */
-  0xde7, /* VFMSUBPD4rr_REV */
-/* Table7329 */
-  0xe17, /* VFMSUBSS4mr */
-  0xe1d, /* VFMSUBSS4rr_REV */
-/* Table7331 */
-  0xe08, /* VFMSUBSD4mr */
-  0xe0e, /* VFMSUBSD4rr_REV */
-/* Table7333 */
-  0xe48, /* VFNMADDPS4mr */
-  0xe4f, /* VFNMADDPS4rr_REV */
-/* Table7335 */
-  0xe34, /* VFNMADDPD4mr */
-  0xe3b, /* VFNMADDPD4rr_REV */
+  0x0, /*  */
+  0x11b, /* BLSR64rm */
+  0x117, /* BLSMSK64rm */
+  0x10f, /* BLSI64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x11c, /* BLSR64rr */
+  0x118, /* BLSMSK64rr */
+  0x110, /* BLSI64rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
 /* Table7337 */
-  0xe6b, /* VFNMADDSS4mr */
-  0xe71, /* VFNMADDSS4rr_REV */
+  0x15f, /* BZHI64rm */
+  0x160, /* BZHI64rr */
 /* Table7339 */
-  0xe5c, /* VFNMADDSD4mr */
-  0xe62, /* VFNMADDSD4rr_REV */
+  0xe7, /* BEXTR64rm */
+  0xe8, /* BEXTR64rr */
 /* Table7341 */
-  0xe9c, /* VFNMSUBPS4mr */
-  0xea3, /* VFNMSUBPS4rr_REV */
+  0x7eb, /* PEXT64rm */
+  0x7ec, /* PEXT64rr */
 /* Table7343 */
-  0xe88, /* VFNMSUBPD4mr */
-  0xe8f, /* VFNMSUBPD4rr_REV */
+  0xa0a, /* SARX64rm */
+  0xa0b, /* SARX64rr */
 /* Table7345 */
-  0xebf, /* VFNMSUBSS4mr */
-  0xec5, /* VFNMSUBSS4rr_REV */
+  0x7e7, /* PDEP64rm */
+  0x7e8, /* PDEP64rr */
 /* Table7347 */
-  0xeb0, /* VFNMSUBSD4mr */
-  0xeb6, /* VFNMSUBSD4rr_REV */
+  0x719, /* MULX64rm */
+  0x71a, /* MULX64rr */
 /* Table7349 */
-  0xbc2, /* VAESKEYGENASSIST128rm */
-  0xbc3, /* VAESKEYGENASSIST128rr */
+  0xac2, /* SHRX64rm */
+  0xac3, /* SHRX64rr */
 /* Table7351 */
-  0x984, /* RORX64mi */
-  0x985, /* RORX64ri */
+  0x1f40, /* VPSRLVQrm */
+  0x1f41, /* VPSRLVQrr */
 /* Table7353 */
-  0x13dd, /* VPEXTRQmr */
-  0x13de, /* VPEXTRQrr */
+  0x1ecc, /* VPSLLVQrm */
+  0x1ecd, /* VPSLLVQrr */
 /* Table7355 */
-  0x142a, /* VPINSRQrm */
-  0x142b, /* VPINSRQrr */
+  0x1b31, /* VPMASKMOVQrm */
+  0x0, /*  */
 /* Table7357 */
+  0x1b30, /* VPMASKMOVQmr */
   0x0, /*  */
-  0x490, /* KSHIFTRWri */
 /* Table7359 */
+  0x1ab1, /* VPGATHERDQrm */
   0x0, /*  */
-  0x48f, /* KSHIFTLWri */
 /* Table7361 */
-  0x1399, /* VPERMIL2PSrm */
-  0x139b, /* VPERMIL2PSrr */
+  0x1ab7, /* VPGATHERQQrm */
+  0x0, /*  */
 /* Table7363 */
-  0x1393, /* VPERMIL2PDrm */
-  0x1395, /* VPERMIL2PDrr */
+  0x12e8, /* VGATHERDPDrm */
+  0x0, /*  */
 /* Table7365 */
-  0xd8a, /* VFMADDSUBPS4rm */
-  0xd8c, /* VFMADDSUBPS4rr */
+  0x12f6, /* VGATHERQPDrm */
+  0x0, /*  */
 /* Table7367 */
-  0xd76, /* VFMADDSUBPD4rm */
-  0xd78, /* VFMADDSUBPD4rr */
+  0xf6f, /* VFMADDSUBPDr132m */
+  0xf71, /* VFMADDSUBPDr132r */
 /* Table7369 */
-  0xdce, /* VFMSUBADDPS4rm */
-  0xdd0, /* VFMSUBADDPS4rr */
+  0x1021, /* VFMSUBADDPDr132m */
+  0x1023, /* VFMSUBADDPDr132r */
 /* Table7371 */
-  0xdba, /* VFMSUBADDPD4rm */
-  0xdbc, /* VFMSUBADDPD4rr */
+  0xeab, /* VFMADDPDr132m */
+  0xead, /* VFMADDPDr132r */
 /* Table7373 */
-  0xd36, /* VFMADDPS4rm */
-  0xd38, /* VFMADDPS4rr */
+  0xf0d, /* VFMADDSDr132m */
+  0xf0e, /* VFMADDSDr132r */
 /* Table7375 */
-  0xd22, /* VFMADDPD4rm */
-  0xd24, /* VFMADDPD4rr */
+  0x10bb, /* VFMSUBPDr132m */
+  0x10bd, /* VFMSUBPDr132r */
 /* Table7377 */
-  0xd59, /* VFMADDSS4rm */
-  0xd5b, /* VFMADDSS4rr */
+  0x111d, /* VFMSUBSDr132m */
+  0x111e, /* VFMSUBSDr132r */
 /* Table7379 */
-  0xd4a, /* VFMADDSD4rm */
-  0xd4c, /* VFMADDSD4rr */
+  0x117f, /* VFNMADDPDr132m */
+  0x1181, /* VFNMADDPDr132r */
 /* Table7381 */
-  0xdf6, /* VFMSUBPS4rm */
-  0xdf8, /* VFMSUBPS4rr */
+  0x11e1, /* VFNMADDSDr132m */
+  0x11e2, /* VFNMADDSDr132r */
 /* Table7383 */
-  0xde2, /* VFMSUBPD4rm */
-  0xde4, /* VFMSUBPD4rr */
+  0x1243, /* VFNMSUBPDr132m */
+  0x1245, /* VFNMSUBPDr132r */
 /* Table7385 */
-  0xe19, /* VFMSUBSS4rm */
-  0xe1b, /* VFMSUBSS4rr */
+  0x12a5, /* VFNMSUBSDr132m */
+  0x12a6, /* VFNMSUBSDr132r */
 /* Table7387 */
-  0xe0a, /* VFMSUBSD4rm */
-  0xe0c, /* VFMSUBSD4rr */
+  0xf73, /* VFMADDSUBPDr213m */
+  0xf75, /* VFMADDSUBPDr213r */
 /* Table7389 */
-  0xe4a, /* VFNMADDPS4rm */
-  0xe4c, /* VFNMADDPS4rr */
+  0x1025, /* VFMSUBADDPDr213m */
+  0x1027, /* VFMSUBADDPDr213r */
 /* Table7391 */
-  0xe36, /* VFNMADDPD4rm */
-  0xe38, /* VFNMADDPD4rr */
+  0xeaf, /* VFMADDPDr213m */
+  0xeb1, /* VFMADDPDr213r */
 /* Table7393 */
-  0xe6d, /* VFNMADDSS4rm */
-  0xe6f, /* VFNMADDSS4rr */
+  0xf0f, /* VFMADDSDr213m */
+  0xf10, /* VFMADDSDr213r */
 /* Table7395 */
-  0xe5e, /* VFNMADDSD4rm */
-  0xe60, /* VFNMADDSD4rr */
+  0x10bf, /* VFMSUBPDr213m */
+  0x10c1, /* VFMSUBPDr213r */
 /* Table7397 */
-  0xe9e, /* VFNMSUBPS4rm */
-  0xea0, /* VFNMSUBPS4rr */
+  0x111f, /* VFMSUBSDr213m */
+  0x1120, /* VFMSUBSDr213r */
 /* Table7399 */
-  0xe8a, /* VFNMSUBPD4rm */
-  0xe8c, /* VFNMSUBPD4rr */
+  0x1183, /* VFNMADDPDr213m */
+  0x1185, /* VFNMADDPDr213r */
 /* Table7401 */
-  0xec1, /* VFNMSUBSS4rm */
-  0xec3, /* VFNMSUBSS4rr */
+  0x11e3, /* VFNMADDSDr213m */
+  0x11e4, /* VFNMADDSDr213r */
 /* Table7403 */
-  0xeb2, /* VFNMSUBSD4rm */
-  0xeb4, /* VFNMSUBSD4rr */
+  0x1247, /* VFNMSUBPDr213m */
+  0x1249, /* VFNMSUBPDr213r */
 /* Table7405 */
-  0x1259, /* VPBLENDDYrmi */
-  0x125a, /* VPBLENDDYrri */
+  0x12a7, /* VFNMSUBSDr213m */
+  0x12a8, /* VFNMSUBSDr213r */
 /* Table7407 */
-  0x13a7, /* VPERMILPSYmi */
-  0x13a8, /* VPERMILPSYri */
+  0xf77, /* VFMADDSUBPDr231m */
+  0xf79, /* VFMADDSUBPDr231r */
 /* Table7409 */
-  0x139d, /* VPERMILPDYmi */
-  0x139e, /* VPERMILPDYri */
+  0x1029, /* VFMSUBADDPDr231m */
+  0x102b, /* VFMSUBADDPDr231r */
 /* Table7411 */
-  0x1371, /* VPERM2F128rm */
-  0x1372, /* VPERM2F128rr */
+  0xeb3, /* VFMADDPDr231m */
+  0xeb5, /* VFMADDPDr231r */
 /* Table7413 */
-  0x176e, /* VROUNDYPSm */
-  0x176f, /* VROUNDYPSr */
+  0xf11, /* VFMADDSDr231m */
+  0xf12, /* VFMADDSDr231r */
 /* Table7415 */
-  0x176c, /* VROUNDYPDm */
-  0x176d, /* VROUNDYPDr */
+  0x10c3, /* VFMSUBPDr231m */
+  0x10c5, /* VFMSUBPDr231r */
 /* Table7417 */
-  0xbe5, /* VBLENDPSYrmi */
-  0xbe6, /* VBLENDPSYrri */
+  0x1121, /* VFMSUBSDr231m */
+  0x1122, /* VFMSUBSDr231r */
 /* Table7419 */
-  0xbe1, /* VBLENDPDYrmi */
-  0xbe2, /* VBLENDPDYrri */
+  0x1187, /* VFNMADDPDr231m */
+  0x1189, /* VFNMADDPDr231r */
 /* Table7421 */
-  0x1265, /* VPBLENDWYrmi */
-  0x1266, /* VPBLENDWYrri */
+  0x11e5, /* VFNMADDSDr231m */
+  0x11e6, /* VFNMADDSDr231r */
 /* Table7423 */
-  0x1223, /* VPALIGNR256rm */
-  0x1224, /* VPALIGNR256rr */
+  0x124b, /* VFNMSUBPDr231m */
+  0x124d, /* VFNMSUBPDr231r */
 /* Table7425 */
-  0xf0e, /* VINSERTF128rm */
-  0xf0f, /* VINSERTF128rr */
+  0x12a9, /* VFNMSUBSDr231m */
+  0x12aa, /* VFNMSUBSDr231r */
 /* Table7427 */
-  0xd02, /* VEXTRACTF128mr */
-  0xd03, /* VEXTRACTF128rr */
+  0xa9a, /* SHLX64rm */
+  0xa9b, /* SHLX64rr */
 /* Table7429 */
-  0xc64, /* VCVTPS2PHYmr */
-  0xc65, /* VCVTPS2PHYrr */
+  0x1e76, /* VPSHUFBYrm */
+  0x1e77, /* VPSHUFBYrr */
 /* Table7431 */
-  0xf14, /* VINSERTI128rm */
-  0xf15, /* VINSERTI128rr */
+  0x1ad8, /* VPHADDWYrm */
+  0x1ad9, /* VPHADDWYrr */
 /* Table7433 */
-  0xd08, /* VEXTRACTI128mr */
-  0xd09, /* VEXTRACTI128rr */
+  0x1ac0, /* VPHADDDYrm */
+  0x1ac1, /* VPHADDDYrr */
 /* Table7435 */
-  0xcfa, /* VDPPSYrmi */
-  0xcfb, /* VDPPSYrri */
+  0x1ac5, /* VPHADDSWrm256 */
+  0x1ac7, /* VPHADDSWrr256 */
 /* Table7437 */
-  0x117e, /* VMPSADBWYrmi */
-  0x117f, /* VMPSADBWYrri */
+  0x1b23, /* VPMADDUBSWrm256 */
+  0x1b25, /* VPMADDUBSWrr256 */
 /* Table7439 */
-  0x1373, /* VPERM2I128rm */
-  0x1374, /* VPERM2I128rr */
+  0x1aec, /* VPHSUBWYrm */
+  0x1aed, /* VPHSUBWYrr */
 /* Table7441 */
-  0x1398, /* VPERMIL2PSmrY */
-  0x139c, /* VPERMIL2PSrrY */
+  0x1ae2, /* VPHSUBDYrm */
+  0x1ae3, /* VPHSUBDYrr */
 /* Table7443 */
-  0x1392, /* VPERMIL2PDmrY */
-  0x1396, /* VPERMIL2PDrrY */
+  0x1ae7, /* VPHSUBSWrm256 */
+  0x1ae9, /* VPHSUBSWrr256 */
 /* Table7445 */
-  0xbed, /* VBLENDVPSYrm */
-  0xbee, /* VBLENDVPSYrr */
+  0x1e88, /* VPSIGNBYrm */
+  0x1e89, /* VPSIGNBYrr */
 /* Table7447 */
-  0xbe9, /* VBLENDVPDYrm */
-  0xbea, /* VBLENDVPDYrr */
+  0x1e90, /* VPSIGNWYrm */
+  0x1e91, /* VPSIGNWYrr */
 /* Table7449 */
-  0x1261, /* VPBLENDVBYrm */
-  0x1262, /* VPBLENDVBYrr */
+  0x1e8c, /* VPSIGNDYrm */
+  0x1e8d, /* VPSIGNDYrr */
 /* Table7451 */
-  0xd89, /* VFMADDSUBPS4mrY */
-  0xd8e, /* VFMADDSUBPS4rrY_REV */
+  0x1d9d, /* VPMULHRSWrm256 */
+  0x1d9f, /* VPMULHRSWrr256 */
 /* Table7453 */
-  0xd75, /* VFMADDSUBPD4mrY */
-  0xd7a, /* VFMADDSUBPD4rrY_REV */
+  0x1a59, /* VPERMILPSYrm */
+  0x1a5a, /* VPERMILPSYrr */
 /* Table7455 */
-  0xdcd, /* VFMSUBADDPS4mrY */
-  0xdd2, /* VFMSUBADDPS4rrY_REV */
+  0x1a4d, /* VPERMILPDYrm */
+  0x1a4e, /* VPERMILPDYrr */
 /* Table7457 */
-  0xdb9, /* VFMSUBADDPD4mrY */
-  0xdbe, /* VFMSUBADDPD4rrY_REV */
+  0x21fd, /* VTESTPSYrm */
+  0x21fe, /* VTESTPSYrr */
 /* Table7459 */
-  0xd35, /* VFMADDPS4mrY */
-  0xd3a, /* VFMADDPS4rrY_REV */
+  0x21f9, /* VTESTPDYrm */
+  0x21fa, /* VTESTPDYrr */
 /* Table7461 */
-  0xd21, /* VFMADDPD4mrY */
-  0xd26, /* VFMADDPD4rrY_REV */
+  0xd29, /* VCVTPH2PSYrm */
+  0xd2a, /* VCVTPH2PSYrr */
 /* Table7463 */
-  0xdf5, /* VFMSUBPS4mrY */
-  0xdfa, /* VFMSUBPS4rrY_REV */
+  0x1a69, /* VPERMPSYrm */
+  0x1a6a, /* VPERMPSYrr */
 /* Table7465 */
-  0xde1, /* VFMSUBPD4mrY */
-  0xde6, /* VFMSUBPD4rrY_REV */
+  0x1fca, /* VPTESTYrm */
+  0x1fcb, /* VPTESTYrr */
 /* Table7467 */
-  0xe49, /* VFNMADDPS4mrY */
-  0xe4e, /* VFNMADDPS4rrY_REV */
+  0xcaf, /* VBROADCASTSSYrm */
+  0xcb0, /* VBROADCASTSSYrr */
 /* Table7469 */
-  0xe35, /* VFNMADDPD4mrY */
-  0xe3a, /* VFNMADDPD4rrY_REV */
+  0xca1, /* VBROADCASTSDYrm */
+  0xca2, /* VBROADCASTSDYrr */
 /* Table7471 */
-  0xe9d, /* VFNMSUBPS4mrY */
-  0xea2, /* VFNMSUBPS4rrY_REV */
+  0xc9c, /* VBROADCASTF128 */
+  0x0, /*  */
 /* Table7473 */
-  0xe89, /* VFNMSUBPD4mrY */
-  0xe8e, /* VFNMSUBPD4rrY_REV */
+  0x1672, /* VPABSBrm256 */
+  0x1674, /* VPABSBrr256 */
 /* Table7475 */
-  0x13bb, /* VPERMQYmi */
-  0x13bc, /* VPERMQYri */
+  0x168c, /* VPABSWrm256 */
+  0x168e, /* VPABSWrr256 */
 /* Table7477 */
-  0x13b1, /* VPERMPDYmi */
-  0x13b2, /* VPERMPDYri */
+  0x167f, /* VPABSDrm256 */
+  0x1681, /* VPABSDrr256 */
 /* Table7479 */
-  0x139a, /* VPERMIL2PSrmY */
-  0x139c, /* VPERMIL2PSrrY */
+  0x1d1e, /* VPMOVSXBWYrm */
+  0x1d1f, /* VPMOVSXBWYrr */
 /* Table7481 */
-  0x1394, /* VPERMIL2PDrmY */
-  0x1396, /* VPERMIL2PDrrY */
+  0x1d0a, /* VPMOVSXBDYrm */
+  0x1d0b, /* VPMOVSXBDYrr */
 /* Table7483 */
-  0xd8b, /* VFMADDSUBPS4rmY */
-  0xd8d, /* VFMADDSUBPS4rrY */
+  0x1d14, /* VPMOVSXBQYrm */
+  0x1d15, /* VPMOVSXBQYrr */
 /* Table7485 */
-  0xd77, /* VFMADDSUBPD4rmY */
-  0xd79, /* VFMADDSUBPD4rrY */
+  0x1d2c, /* VPMOVSXWDYrm */
+  0x1d2d, /* VPMOVSXWDYrr */
 /* Table7487 */
-  0xdcf, /* VFMSUBADDPS4rmY */
-  0xdd1, /* VFMSUBADDPS4rrY */
+  0x1d36, /* VPMOVSXWQYrm */
+  0x1d37, /* VPMOVSXWQYrr */
 /* Table7489 */
-  0xdbb, /* VFMSUBADDPD4rmY */
-  0xdbd, /* VFMSUBADDPD4rrY */
+  0x1d22, /* VPMOVSXDQYrm */
+  0x1d23, /* VPMOVSXDQYrr */
 /* Table7491 */
-  0xd37, /* VFMADDPS4rmY */
-  0xd39, /* VFMADDPS4rrY */
+  0x1d8f, /* VPMULDQYrm */
+  0x1d90, /* VPMULDQYrr */
 /* Table7493 */
-  0xd23, /* VFMADDPD4rmY */
-  0xd25, /* VFMADDPD4rrY */
+  0x18a5, /* VPCMPEQQYrm */
+  0x18a6, /* VPCMPEQQYrr */
 /* Table7495 */
-  0xdf7, /* VFMSUBPS4rmY */
-  0xdf9, /* VFMSUBPS4rrY */
+  0x1552, /* VMOVNTDQAYrm */
+  0x0, /*  */
 /* Table7497 */
-  0xde3, /* VFMSUBPD4rmY */
-  0xde5, /* VFMSUBPD4rrY */
+  0x1697, /* VPACKUSDWYrm */
+  0x1698, /* VPACKUSDWYrr */
 /* Table7499 */
-  0xe4b, /* VFNMADDPS4rmY */
-  0xe4d, /* VFNMADDPS4rrY */
+  0x132c, /* VMASKMOVPSYrm */
+  0x0, /*  */
 /* Table7501 */
-  0xe37, /* VFNMADDPD4rmY */
-  0xe39, /* VFNMADDPD4rrY */
+  0x1328, /* VMASKMOVPDYrm */
+  0x0, /*  */
 /* Table7503 */
-  0xe9f, /* VFNMSUBPS4rmY */
-  0xea1, /* VFNMSUBPS4rrY */
+  0x132b, /* VMASKMOVPSYmr */
+  0x0, /*  */
 /* Table7505 */
-  0xe8b, /* VFNMSUBPD4rmY */
-  0xe8d, /* VFNMSUBPD4rrY */
+  0x1327, /* VMASKMOVPDYmr */
+  0x0, /*  */
 /* Table7507 */
-  0x1760, /* VRNDSCALESSm */
-  0x1761, /* VRNDSCALESSr */
+  0x1d6d, /* VPMOVZXBWYrm */
+  0x1d6e, /* VPMOVZXBWYrr */
 /* Table7509 */
-  0x175e, /* VRNDSCALESDm */
-  0x175f, /* VRNDSCALESDr */
+  0x1d59, /* VPMOVZXBDYrm */
+  0x1d5a, /* VPMOVZXBDYrr */
 /* Table7511 */
-  0xd10, /* VEXTRACTPSzmr */
-  0xd11, /* VEXTRACTPSzrr */
+  0x1d63, /* VPMOVZXBQYrm */
+  0x1d64, /* VPMOVZXBQYrr */
 /* Table7513 */
-  0xf1c, /* VINSERTPSzrm */
-  0xf1d, /* VINSERTPSzrr */
+  0x1d7b, /* VPMOVZXWDYrm */
+  0x1d7c, /* VPMOVZXWDYrr */
 /* Table7515 */
-  0xbc4, /* VALIGNDrmi */
-  0xbc5, /* VALIGNDrri */
+  0x1d85, /* VPMOVZXWQYrm */
+  0x1d86, /* VPMOVZXWQYrr */
 /* Table7517 */
-  0x13ab, /* VPERMILPSZmi */
-  0x13ac, /* VPERMILPSZri */
+  0x1d71, /* VPMOVZXDQYrm */
+  0x1d72, /* VPMOVZXDQYrr */
 /* Table7519 */
-  0x175c, /* VRNDSCALEPSZm */
-  0x175d, /* VRNDSCALEPSZr */
+  0x1a23, /* VPERMDYrm */
+  0x1a24, /* VPERMDYrr */
 /* Table7521 */
-  0xf10, /* VINSERTF32x4rm */
-  0xf11, /* VINSERTF32x4rr */
+  0x18f9, /* VPCMPGTQYrm */
+  0x18fa, /* VPCMPGTQYrr */
 /* Table7523 */
-  0xd04, /* VEXTRACTF32x4mr */
-  0xd05, /* VEXTRACTF32x4rr */
+  0x1bfe, /* VPMINSBYrm */
+  0x1bff, /* VPMINSBYrr */
 /* Table7525 */
-  0xc66, /* VCVTPS2PHZmr */
-  0xc67, /* VCVTPS2PHZrr */
+  0x1c14, /* VPMINSDYrm */
+  0x1c15, /* VPMINSDYrr */
 /* Table7527 */
-  0x1343, /* VPCMPUDZrmi */
-  0x1346, /* VPCMPUDZrri */
+  0x1cb4, /* VPMINUWYrm */
+  0x1cb5, /* VPMINUWYrr */
 /* Table7529 */
-  0x128f, /* VPCMPDZrmi */
-  0x1292, /* VPCMPDZrri */
+  0x1c7a, /* VPMINUDYrm */
+  0x1c7b, /* VPMINUDYrr */
 /* Table7531 */
-  0xf16, /* VINSERTI32x4rm */
-  0xf17, /* VINSERTI32x4rr */
+  0x1b32, /* VPMAXSBYrm */
+  0x1b33, /* VPMAXSBYrr */
 /* Table7533 */
-  0xd0a, /* VEXTRACTI32x4mr */
-  0xd0b, /* VEXTRACTI32x4rr */
+  0x1b48, /* VPMAXSDYrm */
+  0x1b49, /* VPMAXSDYrr */
 /* Table7535 */
-  0x13bd, /* VPERMQZmi */
-  0x13be, /* VPERMQZri */
+  0x1be8, /* VPMAXUWYrm */
+  0x1be9, /* VPMAXUWYrr */
 /* Table7537 */
-  0x13b3, /* VPERMPDZmi */
-  0x13b4, /* VPERMPDZri */
+  0x1bae, /* VPMAXUDYrm */
+  0x1baf, /* VPMAXUDYrr */
 /* Table7539 */
-  0xbc8, /* VALIGNQrmi */
-  0xbc9, /* VALIGNQrri */
+  0x1da8, /* VPMULLDYrm */
+  0x1da9, /* VPMULLDYrr */
 /* Table7541 */
-  0x13a1, /* VPERMILPDZmi */
-  0x13a2, /* VPERMILPDZri */
+  0x1f2e, /* VPSRLVDYrm */
+  0x1f2f, /* VPSRLVDYrr */
 /* Table7543 */
-  0x175a, /* VRNDSCALEPDZm */
-  0x175b, /* VRNDSCALEPDZr */
+  0x1ef2, /* VPSRAVDYrm */
+  0x1ef3, /* VPSRAVDYrr */
 /* Table7545 */
-  0xf12, /* VINSERTF64x4rm */
-  0xf13, /* VINSERTF64x4rr */
+  0x1eba, /* VPSLLVDYrm */
+  0x1ebb, /* VPSLLVDYrr */
 /* Table7547 */
-  0xd06, /* VEXTRACTF64x4mr */
-  0xd07, /* VEXTRACTF64x4rr */
+  0x1806, /* VPBROADCASTDYrm */
+  0x1807, /* VPBROADCASTDYrr */
 /* Table7549 */
-  0x1349, /* VPCMPUQZrmi */
-  0x134c, /* VPCMPUQZrri */
+  0x181d, /* VPBROADCASTQYrm */
+  0x181e, /* VPBROADCASTQYrr */
 /* Table7551 */
-  0x133d, /* VPCMPQZrmi */
-  0x1340, /* VPCMPQZrri */
+  0x17f9, /* VPBROADCASTBYrm */
+  0x17fa, /* VPBROADCASTBYrr */
 /* Table7553 */
-  0xf18, /* VINSERTI64x4rm */
-  0xf19, /* VINSERTI64x4rr */
+  0x182e, /* VPBROADCASTWYrm */
+  0x182f, /* VPBROADCASTWYrr */
 /* Table7555 */
-  0xd0c, /* VEXTRACTI64x4mr */
-  0xd0d, /* VEXTRACTI64x4rr */
+  0x1b2b, /* VPMASKMOVDYrm */
+  0x0, /*  */
 /* Table7557 */
+  0x1b2a, /* VPMASKMOVDYmr */
   0x0, /*  */
-  0xbc6, /* VALIGNDrrik */
 /* Table7559 */
+  0x1aac, /* VPGATHERDDYrm */
   0x0, /*  */
-  0xbca, /* VALIGNQrrik */
 /* Table7561 */
+  0x1ab2, /* VPGATHERQDYrm */
   0x0, /*  */
-  0xbc7, /* VALIGNDrrikz */
 /* Table7563 */
+  0x12e9, /* VGATHERDPSYrm */
   0x0, /*  */
-  0xbcb, /* VALIGNQrrikz */
 /* Table7565 */
-  0x144e, /* VPMACSSWWrm */
-  0x144f, /* VPMACSSWWrr */
+  0x12f7, /* VGATHERQPSYrm */
+  0x0, /*  */
 /* Table7567 */
-  0x144c, /* VPMACSSWDrm */
-  0x144d, /* VPMACSSWDrr */
+  0xfbd, /* VFMADDSUBPSr132mY */
+  0xfbf, /* VFMADDSUBPSr132rY */
 /* Table7569 */
-  0x144a, /* VPMACSSDQLrm */
-  0x144b, /* VPMACSSDQLrr */
+  0x106f, /* VFMSUBADDPSr132mY */
+  0x1071, /* VFMSUBADDPSr132rY */
 /* Table7571 */
-  0x1446, /* VPMACSSDDrm */
-  0x1447, /* VPMACSSDDrr */
+  0xef9, /* VFMADDPSr132mY */
+  0xefb, /* VFMADDPSr132rY */
 /* Table7573 */
-  0x1448, /* VPMACSSDQHrm */
-  0x1449, /* VPMACSSDQHrr */
+  0x1109, /* VFMSUBPSr132mY */
+  0x110b, /* VFMSUBPSr132rY */
 /* Table7575 */
-  0x1452, /* VPMACSWWrm */
-  0x1453, /* VPMACSWWrr */
+  0x11cd, /* VFNMADDPSr132mY */
+  0x11cf, /* VFNMADDPSr132rY */
 /* Table7577 */
-  0x1450, /* VPMACSWDrm */
-  0x1451, /* VPMACSWDrr */
+  0x1291, /* VFNMSUBPSr132mY */
+  0x1293, /* VFNMSUBPSr132rY */
 /* Table7579 */
-  0x1444, /* VPMACSDQLrm */
-  0x1445, /* VPMACSDQLrr */
+  0xfc1, /* VFMADDSUBPSr213mY */
+  0xfc3, /* VFMADDSUBPSr213rY */
 /* Table7581 */
-  0x1440, /* VPMACSDDrm */
-  0x1441, /* VPMACSDDrr */
+  0x1073, /* VFMSUBADDPSr213mY */
+  0x1075, /* VFMSUBADDPSr213rY */
 /* Table7583 */
-  0x1442, /* VPMACSDQHrm */
-  0x1443, /* VPMACSDQHrr */
+  0xefd, /* VFMADDPSr213mY */
+  0xeff, /* VFMADDPSr213rY */
 /* Table7585 */
-  0x1289, /* VPCMOVmr */
-  0x128d, /* VPCMOVrr */
+  0x110d, /* VFMSUBPSr213mY */
+  0x110f, /* VFMSUBPSr213rY */
 /* Table7587 */
-  0x15e6, /* VPPERMmr */
-  0x15e8, /* VPPERMrr */
+  0x11d1, /* VFNMADDPSr213mY */
+  0x11d3, /* VFNMADDPSr213rY */
 /* Table7589 */
-  0x1454, /* VPMADCSSWDrm */
-  0x1455, /* VPMADCSSWDrr */
+  0x1295, /* VFNMSUBPSr213mY */
+  0x1297, /* VFNMSUBPSr213rY */
 /* Table7591 */
-  0x1456, /* VPMADCSWDrm */
-  0x1457, /* VPMADCSWDrr */
+  0xfc5, /* VFMADDSUBPSr231mY */
+  0xfc7, /* VFMADDSUBPSr231rY */
 /* Table7593 */
-  0x15e9, /* VPROTBmi */
-  0x15eb, /* VPROTBri */
+  0x1077, /* VFMSUBADDPSr231mY */
+  0x1079, /* VFMSUBADDPSr231rY */
 /* Table7595 */
-  0x15f8, /* VPROTWmi */
-  0x15fa, /* VPROTWri */
+  0xf01, /* VFMADDPSr231mY */
+  0xf03, /* VFMADDPSr231rY */
 /* Table7597 */
-  0x15ee, /* VPROTDmi */
-  0x15f0, /* VPROTDri */
+  0x1111, /* VFMSUBPSr231mY */
+  0x1113, /* VFMSUBPSr231rY */
 /* Table7599 */
-  0x15f3, /* VPROTQmi */
-  0x15f5, /* VPROTQri */
+  0x11d5, /* VFNMADDPSr231mY */
+  0x11d7, /* VFNMADDPSr231rY */
 /* Table7601 */
-  0x134f, /* VPCOMBmi */
-  0x1350, /* VPCOMBri */
+  0x1299, /* VFNMSUBPSr231mY */
+  0x129b, /* VFNMSUBPSr231rY */
 /* Table7603 */
-  0x135d, /* VPCOMWmi */
-  0x135e, /* VPCOMWri */
+  0x1f38, /* VPSRLVQYrm */
+  0x1f39, /* VPSRLVQYrr */
 /* Table7605 */
-  0x1351, /* VPCOMDmi */
-  0x1352, /* VPCOMDri */
+  0x1ec4, /* VPSLLVQYrm */
+  0x1ec5, /* VPSLLVQYrr */
 /* Table7607 */
-  0x1353, /* VPCOMQmi */
-  0x1354, /* VPCOMQri */
+  0x1b2f, /* VPMASKMOVQYrm */
+  0x0, /*  */
 /* Table7609 */
-  0x1355, /* VPCOMUBmi */
-  0x1356, /* VPCOMUBri */
+  0x1b2e, /* VPMASKMOVQYmr */
+  0x0, /*  */
 /* Table7611 */
-  0x135b, /* VPCOMUWmi */
-  0x135c, /* VPCOMUWri */
+  0x1aaf, /* VPGATHERDQYrm */
+  0x0, /*  */
 /* Table7613 */
-  0x1357, /* VPCOMUDmi */
-  0x1358, /* VPCOMUDri */
+  0x1ab5, /* VPGATHERQQYrm */
+  0x0, /*  */
 /* Table7615 */
-  0x1359, /* VPCOMUQmi */
-  0x135a, /* VPCOMUQri */
+  0x12e6, /* VGATHERDPDYrm */
+  0x0, /*  */
 /* Table7617 */
-  0x128b, /* VPCMOVrm */
-  0x128d, /* VPCMOVrr */
+  0x12f4, /* VGATHERQPDYrm */
+  0x0, /*  */
 /* Table7619 */
-  0x15e7, /* VPPERMrm */
-  0x15e8, /* VPPERMrr */
+  0xf70, /* VFMADDSUBPDr132mY */
+  0xf72, /* VFMADDSUBPDr132rY */
 /* Table7621 */
-  0x128a, /* VPCMOVmrY */
-  0x128e, /* VPCMOVrrY */
+  0x1022, /* VFMSUBADDPDr132mY */
+  0x1024, /* VFMSUBADDPDr132rY */
 /* Table7623 */
-  0x128c, /* VPCMOVrmY */
-  0x128e, /* VPCMOVrrY */
+  0xeac, /* VFMADDPDr132mY */
+  0xeae, /* VFMADDPDr132rY */
 /* Table7625 */
-  0x0, /*  */
-  0xe7, /* BLCFILL32rm */
-  0x103, /* BLSFILL32rm */
-  0xf7, /* BLCS32rm */
-  0xb6d, /* TZMSK32rm */
-  0xef, /* BLCIC32rm */
-  0x10b, /* BLSIC32rm */
-  0xb2f, /* T1MSKC32rm */
-  0x0, /*  */
-  0xe8, /* BLCFILL32rr */
-  0x104, /* BLSFILL32rr */
-  0xf8, /* BLCS32rr */
-  0xb6e, /* TZMSK32rr */
-  0xf0, /* BLCIC32rr */
-  0x10c, /* BLSIC32rr */
-  0xb30, /* T1MSKC32rr */
+  0x10bc, /* VFMSUBPDr132mY */
+  0x10be, /* VFMSUBPDr132rY */
+/* Table7627 */
+  0x1180, /* VFNMADDPDr132mY */
+  0x1182, /* VFNMADDPDr132rY */
+/* Table7629 */
+  0x1244, /* VFNMSUBPDr132mY */
+  0x1246, /* VFNMSUBPDr132rY */
+/* Table7631 */
+  0xf74, /* VFMADDSUBPDr213mY */
+  0xf76, /* VFMADDSUBPDr213rY */
+/* Table7633 */
+  0x1026, /* VFMSUBADDPDr213mY */
+  0x1028, /* VFMSUBADDPDr213rY */
+/* Table7635 */
+  0xeb0, /* VFMADDPDr213mY */
+  0xeb2, /* VFMADDPDr213rY */
+/* Table7637 */
+  0x10c0, /* VFMSUBPDr213mY */
+  0x10c2, /* VFMSUBPDr213rY */
+/* Table7639 */
+  0x1184, /* VFNMADDPDr213mY */
+  0x1186, /* VFNMADDPDr213rY */
 /* Table7641 */
+  0x1248, /* VFNMSUBPDr213mY */
+  0x124a, /* VFNMSUBPDr213rY */
+/* Table7643 */
+  0xf78, /* VFMADDSUBPDr231mY */
+  0xf7a, /* VFMADDSUBPDr231rY */
+/* Table7645 */
+  0x102a, /* VFMSUBADDPDr231mY */
+  0x102c, /* VFMSUBADDPDr231rY */
+/* Table7647 */
+  0xeb4, /* VFMADDPDr231mY */
+  0xeb6, /* VFMADDPDr231rY */
+/* Table7649 */
+  0x10c4, /* VFMSUBPDr231mY */
+  0x10c6, /* VFMSUBPDr231rY */
+/* Table7651 */
+  0x1188, /* VFNMADDPDr231mY */
+  0x118a, /* VFNMADDPDr231rY */
+/* Table7653 */
+  0x124c, /* VFNMSUBPDr231mY */
+  0x124e, /* VFNMSUBPDr231rY */
+/* Table7655 */
   0x0, /*  */
-  0xf3, /* BLCMSK32rm */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xeb, /* BLCI32rm */
-  0x0, /*  */
-  0x0, /*  */
-  0xf4, /* BLCMSK32rr */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xec, /* BLCI32rr */
-  0x0, /*  */
+  0x1cd4, /* VPMOVM2BZ128rr */
 /* Table7657 */
-  0xed2, /* VFRCZPSrm */
-  0xed4, /* VFRCZPSrr */
+  0x0, /*  */
+  0x1cd7, /* VPMOVM2DZ128rr */
 /* Table7659 */
-  0xece, /* VFRCZPDrm */
-  0xed0, /* VFRCZPDrr */
+  0x0, /*  */
+  0x181a, /* VPBROADCASTMW2DZ128rr */
 /* Table7661 */
-  0xed8, /* VFRCZSSrm */
-  0xed9, /* VFRCZSSrr */
+  0xcb1, /* VBROADCASTSSZ128m */
+  0xcb4, /* VBROADCASTSSZ128r */
 /* Table7663 */
-  0xed6, /* VFRCZSDrm */
-  0xed7, /* VFRCZSDrr */
+  0x1553, /* VMOVNTDQAZ128rm */
+  0x0, /*  */
 /* Table7665 */
-  0x15ea, /* VPROTBmr */
-  0x15ed, /* VPROTBrr */
+  0x1c00, /* VPMINSBZ128rm */
+  0x1c03, /* VPMINSBZ128rr */
 /* Table7667 */
-  0x15f9, /* VPROTWmr */
-  0x15fc, /* VPROTWrr */
+  0x1c16, /* VPMINSDZ128rm */
+  0x1c1c, /* VPMINSDZ128rr */
 /* Table7669 */
-  0x15ef, /* VPROTDmr */
-  0x15f2, /* VPROTDrr */
+  0x1cb6, /* VPMINUWZ128rm */
+  0x1cb9, /* VPMINUWZ128rr */
 /* Table7671 */
-  0x15f4, /* VPROTQmr */
-  0x15f7, /* VPROTQrr */
+  0x1c7c, /* VPMINUDZ128rm */
+  0x1c82, /* VPMINUDZ128rr */
 /* Table7673 */
-  0x1611, /* VPSHLBmr */
-  0x1613, /* VPSHLBrr */
+  0x1b34, /* VPMAXSBZ128rm */
+  0x1b37, /* VPMAXSBZ128rr */
 /* Table7675 */
-  0x161a, /* VPSHLWmr */
-  0x161c, /* VPSHLWrr */
+  0x1b4a, /* VPMAXSDZ128rm */
+  0x1b50, /* VPMAXSDZ128rr */
 /* Table7677 */
-  0x1614, /* VPSHLDmr */
-  0x1616, /* VPSHLDrr */
+  0x1bea, /* VPMAXUWZ128rm */
+  0x1bed, /* VPMAXUWZ128rr */
 /* Table7679 */
-  0x1617, /* VPSHLQmr */
-  0x1619, /* VPSHLQrr */
+  0x1bb0, /* VPMAXUDZ128rm */
+  0x1bb6, /* VPMAXUDZ128rr */
 /* Table7681 */
-  0x1605, /* VPSHABmr */
-  0x1607, /* VPSHABrr */
+  0x1daa, /* VPMULLDZ128rm */
+  0x1db0, /* VPMULLDZ128rr */
 /* Table7683 */
-  0x160e, /* VPSHAWmr */
-  0x1610, /* VPSHAWrr */
+  0x204b, /* VRCP14PSZ128m */
+  0x2051, /* VRCP14PSZ128r */
 /* Table7685 */
-  0x1608, /* VPSHADmr */
-  0x160a, /* VPSHADrr */
+  0x2068, /* VRCP14SSrm */
+  0x2069, /* VRCP14SSrr */
 /* Table7687 */
-  0x160b, /* VPSHAQmr */
-  0x160d, /* VPSHAQrr */
+  0x20de, /* VRSQRT14PSZ128m */
+  0x20e4, /* VRSQRT14PSZ128r */
 /* Table7689 */
-  0x13f2, /* VPHADDBWrm */
-  0x13f3, /* VPHADDBWrr */
+  0x20fb, /* VRSQRT14SSrm */
+  0x20fc, /* VRSQRT14SSrr */
 /* Table7691 */
-  0x13ee, /* VPHADDBDrm */
-  0x13ef, /* VPHADDBDrr */
+  0x17af, /* VPBLENDMDZ128rm */
+  0x17b4, /* VPBLENDMDZ128rr */
 /* Table7693 */
-  0x13f0, /* VPHADDBQrm */
-  0x13f1, /* VPHADDBQrr */
+  0xc74, /* VBLENDMPSZ128rm */
+  0xc79, /* VBLENDMPSZ128rr */
 /* Table7695 */
-  0x140a, /* VPHADDWDrm */
-  0x140b, /* VPHADDWDrr */
+  0x179d, /* VPBLENDMBZ128rm */
+  0x17a0, /* VPBLENDMBZ128rr */
 /* Table7697 */
-  0x140c, /* VPHADDWQrm */
-  0x140d, /* VPHADDWQrr */
+  0x0, /*  */
+  0x17fb, /* VPBROADCASTBrZ128r */
 /* Table7699 */
-  0x13f4, /* VPHADDDQrm */
-  0x13f5, /* VPHADDDQrr */
+  0x0, /*  */
+  0x1830, /* VPBROADCASTWrZ128r */
 /* Table7701 */
-  0x1402, /* VPHADDUBWrm */
-  0x1403, /* VPHADDUBWrr */
+  0x0, /*  */
+  0x180c, /* VPBROADCASTDrZ128r */
 /* Table7703 */
-  0x13fe, /* VPHADDUBDrm */
-  0x13ff, /* VPHADDUBDrr */
+  0xf28, /* VFMADDSUB132PSZ128m */
+  0x0, /*  */
 /* Table7705 */
-  0x1400, /* VPHADDUBQrm */
-  0x1401, /* VPHADDUBQrr */
+  0xfda, /* VFMSUBADD132PSZ128m */
+  0x0, /*  */
 /* Table7707 */
-  0x1406, /* VPHADDUWDrm */
-  0x1407, /* VPHADDUWDrr */
+  0xe64, /* VFMADD132PSZ128m */
+  0x0, /*  */
 /* Table7709 */
-  0x1408, /* VPHADDUWQrm */
-  0x1409, /* VPHADDUWQrr */
+  0xfce, /* VFMSUB132PSZ128m */
+  0x0, /*  */
 /* Table7711 */
-  0x1404, /* VPHADDUDQrm */
-  0x1405, /* VPHADDUDQrr */
+  0x1138, /* VFNMADD132PSZ128m */
+  0x0, /*  */
 /* Table7713 */
-  0x1414, /* VPHSUBBWrm */
-  0x1415, /* VPHSUBBWrr */
+  0x11fc, /* VFNMSUB132PSZ128m */
+  0x0, /*  */
 /* Table7715 */
-  0x1420, /* VPHSUBWDrm */
-  0x1421, /* VPHSUBWDrr */
+  0xf83, /* VFMADDSUBPSZ128v213rm */
+  0xf89, /* VFMADDSUBPSZ128v213rr */
 /* Table7717 */
-  0x1416, /* VPHSUBDQrm */
-  0x1417, /* VPHSUBDQrr */
+  0x1035, /* VFMSUBADDPSZ128v213rm */
+  0x103b, /* VFMSUBADDPSZ128v213rr */
 /* Table7719 */
-  0x0, /*  */
-  0xe9, /* BLCFILL64rm */
-  0x105, /* BLSFILL64rm */
-  0xf9, /* BLCS64rm */
-  0xb6f, /* TZMSK64rm */
-  0xf1, /* BLCIC64rm */
-  0x10d, /* BLSIC64rm */
-  0xb31, /* T1MSKC64rm */
-  0x0, /*  */
-  0xea, /* BLCFILL64rr */
-  0x106, /* BLSFILL64rr */
-  0xfa, /* BLCS64rr */
-  0xb70, /* TZMSK64rr */
-  0xf2, /* BLCIC64rr */
-  0x10e, /* BLSIC64rr */
-  0xb32, /* T1MSKC64rr */
+  0xebf, /* VFMADDPSZ128v213rm */
+  0xec5, /* VFMADDPSZ128v213rr */
+/* Table7721 */
+  0xf1a, /* VFMADDSSZm */
+  0xf1b, /* VFMADDSSZr */
+/* Table7723 */
+  0x10cf, /* VFMSUBPSZ128v213rm */
+  0x10d5, /* VFMSUBPSZ128v213rr */
+/* Table7725 */
+  0x112a, /* VFMSUBSSZm */
+  0x112b, /* VFMSUBSSZr */
+/* Table7727 */
+  0x1193, /* VFNMADDPSZ128v213rm */
+  0x1199, /* VFNMADDPSZ128v213rr */
+/* Table7729 */
+  0x11ee, /* VFNMADDSSZm */
+  0x11ef, /* VFNMADDSSZr */
+/* Table7731 */
+  0x1257, /* VFNMSUBPSZ128v213rm */
+  0x125d, /* VFNMSUBPSZ128v213rr */
+/* Table7733 */
+  0x12b2, /* VFNMSUBSSZm */
+  0x12b3, /* VFNMSUBSSZr */
 /* Table7735 */
-  0x0, /*  */
-  0xf5, /* BLCMSK64rm */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xed, /* BLCI64rm */
-  0x0, /*  */
-  0x0, /*  */
-  0xf6, /* BLCMSK64rr */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xee, /* BLCI64rr */
-  0x0, /*  */
+  0xf8c, /* VFMADDSUBPSZ128v231rm */
+  0xf92, /* VFMADDSUBPSZ128v231rr */
+/* Table7737 */
+  0x103e, /* VFMSUBADDPSZ128v231rm */
+  0x1044, /* VFMSUBADDPSZ128v231rr */
+/* Table7739 */
+  0xec8, /* VFMADDPSZ128v231rm */
+  0xece, /* VFMADDPSZ128v231rr */
+/* Table7741 */
+  0x10d8, /* VFMSUBPSZ128v231rm */
+  0x10de, /* VFMSUBPSZ128v231rr */
+/* Table7743 */
+  0x119c, /* VFNMADDPSZ128v231rm */
+  0x11a2, /* VFNMADDPSZ128v231rr */
+/* Table7745 */
+  0x1260, /* VFNMSUBPSZ128v231rm */
+  0x1266, /* VFNMSUBPSZ128v231rr */
+/* Table7747 */
+  0x208b, /* VRCP28SSm */
+  0x208e, /* VRCP28SSr */
+/* Table7749 */
+  0x211e, /* VRSQRT28SSm */
+  0x2121, /* VRSQRT28SSr */
 /* Table7751 */
-  0x15ec, /* VPROTBrm */
-  0x15ed, /* VPROTBrr */
+  0x0, /*  */
+  0x1cdd, /* VPMOVM2WZ128rr */
 /* Table7753 */
-  0x15fb, /* VPROTWrm */
-  0x15fc, /* VPROTWrr */
+  0x0, /*  */
+  0x1817, /* VPBROADCASTMB2QZ128rr */
 /* Table7755 */
-  0x15f1, /* VPROTDrm */
-  0x15f2, /* VPROTDrr */
+  0x0, /*  */
+  0x1cda, /* VPMOVM2QZ128rr */
 /* Table7757 */
-  0x15f6, /* VPROTQrm */
-  0x15f7, /* VPROTQrr */
+  0x18a7, /* VPCMPEQQZ128rm */
+  0x18ab, /* VPCMPEQQZ128rr */
 /* Table7759 */
-  0x1612, /* VPSHLBrm */
-  0x1613, /* VPSHLBrr */
+  0x18fb, /* VPCMPGTQZ128rm */
+  0x18ff, /* VPCMPGTQZ128rr */
 /* Table7761 */
-  0x161b, /* VPSHLWrm */
-  0x161c, /* VPSHLWrr */
+  0x1c33, /* VPMINSQZ128rm */
+  0x1c39, /* VPMINSQZ128rr */
 /* Table7763 */
-  0x1615, /* VPSHLDrm */
-  0x1616, /* VPSHLDrr */
+  0x1c99, /* VPMINUQZ128rm */
+  0x1c9f, /* VPMINUQZ128rr */
 /* Table7765 */
-  0x1618, /* VPSHLQrm */
-  0x1619, /* VPSHLQrr */
+  0x1b67, /* VPMAXSQZ128rm */
+  0x1b6d, /* VPMAXSQZ128rr */
 /* Table7767 */
-  0x1606, /* VPSHABrm */
-  0x1607, /* VPSHABrr */
+  0x1bcd, /* VPMAXUQZ128rm */
+  0x1bd3, /* VPMAXUQZ128rr */
 /* Table7769 */
-  0x160f, /* VPSHAWrm */
-  0x1610, /* VPSHAWrr */
+  0x1dc7, /* VPMULLQZ128rm */
+  0x1dcd, /* VPMULLQZ128rr */
 /* Table7771 */
-  0x1609, /* VPSHADrm */
-  0x160a, /* VPSHADrr */
+  0x2030, /* VRCP14PDZ128m */
+  0x2036, /* VRCP14PDZ128r */
 /* Table7773 */
-  0x160c, /* VPSHAQrm */
-  0x160d, /* VPSHAQrr */
+  0x2066, /* VRCP14SDrm */
+  0x2067, /* VRCP14SDrr */
 /* Table7775 */
-  0xed3, /* VFRCZPSrmY */
-  0xed5, /* VFRCZPSrrY */
+  0x20c3, /* VRSQRT14PDZ128m */
+  0x20c9, /* VRSQRT14PDZ128r */
 /* Table7777 */
-  0xecf, /* VFRCZPDrmY */
-  0xed1, /* VFRCZPDrrY */
+  0x20f9, /* VRSQRT14SDrm */
+  0x20fa, /* VRSQRT14SDrr */
 /* Table7779 */
-  0xe3, /* BEXTRI32mi */
-  0xe4, /* BEXTRI32ri */
+  0x17c7, /* VPBLENDMQZ128rm */
+  0x17cc, /* VPBLENDMQZ128rr */
 /* Table7781 */
-  0xe5, /* BEXTRI64mi */
-  0xe6, /* BEXTRI64ri */
+  0xc5c, /* VBLENDMPDZ128rm */
+  0xc61, /* VBLENDMPDZ128rr */
 /* Table7783 */
-  0x878, /* PREFETCH */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
+  0x17df, /* VPBLENDMWZ128rm */
+  0x17e2, /* VPBLENDMWZ128rr */
+/* Table7785 */
   0x0, /*  */
+  0x1823, /* VPBROADCASTQrZ128r */
+/* Table7787 */
+  0xf22, /* VFMADDSUB132PDZ128m */
   0x0, /*  */
+/* Table7789 */
+  0xfd4, /* VFMSUBADD132PDZ128m */
   0x0, /*  */
+/* Table7791 */
+  0xe5e, /* VFMADD132PDZ128m */
   0x0, /*  */
+/* Table7793 */
+  0xfc8, /* VFMSUB132PDZ128m */
   0x0, /*  */
+/* Table7795 */
+  0x1132, /* VFNMADD132PDZ128m */
   0x0, /*  */
+/* Table7797 */
+  0x11f6, /* VFNMSUB132PDZ128m */
   0x0, /*  */
 /* Table7799 */
-  0x2fc, /* FEMMS */
-/* Table7800 */
-  0x807, /* PI2FWrm */
-  0x808, /* PI2FWrr */
-/* Table7802 */
-  0x805, /* PI2FDrm */
-  0x806, /* PI2FDrr */
-/* Table7804 */
-  0x7d3, /* PF2IWrm */
-  0x7d4, /* PF2IWrr */
-/* Table7806 */
-  0x7d1, /* PF2IDrm */
-  0x7d2, /* PF2IDrr */
-/* Table7808 */
-  0x7e5, /* PFNACCrm */
-  0x7e6, /* PFNACCrr */
-/* Table7810 */
-  0x7e7, /* PFPNACCrm */
-  0x7e8, /* PFPNACCrr */
-/* Table7812 */
-  0x7db, /* PFCMPGErm */
-  0x7dc, /* PFCMPGErr */
-/* Table7814 */
-  0x7e1, /* PFMINrm */
-  0x7e2, /* PFMINrr */
-/* Table7816 */
-  0x7ed, /* PFRCPrm */
-  0x7ee, /* PFRCPrr */
-/* Table7818 */
-  0x7f1, /* PFRSQRTrm */
-  0x7f2, /* PFRSQRTrr */
-/* Table7820 */
-  0x7f5, /* PFSUBrm */
-  0x7f6, /* PFSUBrr */
-/* Table7822 */
-  0x7d7, /* PFADDrm */
-  0x7d8, /* PFADDrr */
-/* Table7824 */
-  0x7dd, /* PFCMPGTrm */
-  0x7de, /* PFCMPGTrr */
-/* Table7826 */
-  0x7df, /* PFMAXrm */
-  0x7e0, /* PFMAXrr */
-/* Table7828 */
-  0x7e9, /* PFRCPIT1rm */
-  0x7ea, /* PFRCPIT1rr */
-/* Table7830 */
-  0x7ef, /* PFRSQIT1rm */
-  0x7f0, /* PFRSQIT1rr */
-/* Table7832 */
-  0x7f3, /* PFSUBRrm */
-  0x7f4, /* PFSUBRrr */
-/* Table7834 */
-  0x7d5, /* PFACCrm */
-  0x7d6, /* PFACCrr */
-/* Table7836 */
-  0x7d9, /* PFCMPEQrm */
-  0x7da, /* PFCMPEQrr */
-/* Table7838 */
-  0x7e3, /* PFMULrm */
-  0x7e4, /* PFMULrr */
-/* Table7840 */
-  0x7eb, /* PFRCPIT2rm */
-  0x7ec, /* PFRCPIT2rr */
-/* Table7842 */
-  0x84a, /* PMULHRWrm */
-  0x84b, /* PMULHRWrr */
-/* Table7844 */
-  0x8b8, /* PSWAPDrm */
-  0x8b9, /* PSWAPDrr */
-/* Table7846 */
-  0x796, /* PAVGUSBrm */
-  0x797, /* PAVGUSBrr */
+  0xf36, /* VFMADDSUBPDZ128v213rm */
+  0xf3c, /* VFMADDSUBPDZ128v213rr */
+/* Table7801 */
+  0xfe8, /* VFMSUBADDPDZ128v213rm */
+  0xfee, /* VFMSUBADDPDZ128v213rr */
+/* Table7803 */
+  0xe72, /* VFMADDPDZ128v213rm */
+  0xe78, /* VFMADDPDZ128v213rr */
+/* Table7805 */
+  0xf0b, /* VFMADDSDZm */
+  0xf0c, /* VFMADDSDZr */
+/* Table7807 */
+  0x1082, /* VFMSUBPDZ128v213rm */
+  0x1088, /* VFMSUBPDZ128v213rr */
+/* Table7809 */
+  0x111b, /* VFMSUBSDZm */
+  0x111c, /* VFMSUBSDZr */
+/* Table7811 */
+  0x1146, /* VFNMADDPDZ128v213rm */
+  0x114c, /* VFNMADDPDZ128v213rr */
+/* Table7813 */
+  0x11df, /* VFNMADDSDZm */
+  0x11e0, /* VFNMADDSDZr */
+/* Table7815 */
+  0x120a, /* VFNMSUBPDZ128v213rm */
+  0x1210, /* VFNMSUBPDZ128v213rr */
+/* Table7817 */
+  0x12a3, /* VFNMSUBSDZm */
+  0x12a4, /* VFNMSUBSDZr */
+/* Table7819 */
+  0xf3f, /* VFMADDSUBPDZ128v231rm */
+  0xf45, /* VFMADDSUBPDZ128v231rr */
+/* Table7821 */
+  0xff1, /* VFMSUBADDPDZ128v231rm */
+  0xff7, /* VFMSUBADDPDZ128v231rr */
+/* Table7823 */
+  0xe7b, /* VFMADDPDZ128v231rm */
+  0xe81, /* VFMADDPDZ128v231rr */
+/* Table7825 */
+  0x108b, /* VFMSUBPDZ128v231rm */
+  0x1091, /* VFMSUBPDZ128v231rr */
+/* Table7827 */
+  0x114f, /* VFNMADDPDZ128v231rm */
+  0x1155, /* VFNMADDPDZ128v231rr */
+/* Table7829 */
+  0x1213, /* VFNMSUBPDZ128v231rm */
+  0x1219, /* VFNMSUBPDZ128v231rr */
+/* Table7831 */
+  0x2082, /* VRCP28SDm */
+  0x2085, /* VRCP28SDr */
+/* Table7833 */
+  0x2115, /* VRSQRT28SDm */
+  0x2118, /* VRSQRT28SDr */
+/* Table7835 */
+  0x0, /*  */
+  0x1cd5, /* VPMOVM2BZ256rr */
+/* Table7837 */
+  0x0, /*  */
+  0x1cd8, /* VPMOVM2DZ256rr */
+/* Table7839 */
+  0x0, /*  */
+  0x181b, /* VPBROADCASTMW2DZ256rr */
+/* Table7841 */
+  0xcb7, /* VBROADCASTSSZ256m */
+  0xcba, /* VBROADCASTSSZ256r */
+/* Table7843 */
+  0x1554, /* VMOVNTDQAZ256rm */
+  0x0, /*  */
+/* Table7845 */
+  0x1c06, /* VPMINSBZ256rm */
+  0x1c09, /* VPMINSBZ256rr */
+/* Table7847 */
+  0x1c1f, /* VPMINSDZ256rm */
+  0x1c25, /* VPMINSDZ256rr */
+/* Table7849 */
+  0x1cbc, /* VPMINUWZ256rm */
+  0x1cbf, /* VPMINUWZ256rr */
+/* Table7851 */
+  0x1c85, /* VPMINUDZ256rm */
+  0x1c8b, /* VPMINUDZ256rr */
+/* Table7853 */
+  0x1b3a, /* VPMAXSBZ256rm */
+  0x1b3d, /* VPMAXSBZ256rr */
+/* Table7855 */
+  0x1b53, /* VPMAXSDZ256rm */
+  0x1b59, /* VPMAXSDZ256rr */
+/* Table7857 */
+  0x1bf0, /* VPMAXUWZ256rm */
+  0x1bf3, /* VPMAXUWZ256rr */
+/* Table7859 */
+  0x1bb9, /* VPMAXUDZ256rm */
+  0x1bbf, /* VPMAXUDZ256rr */
+/* Table7861 */
+  0x1db3, /* VPMULLDZ256rm */
+  0x1db9, /* VPMULLDZ256rr */
+/* Table7863 */
+  0x2054, /* VRCP14PSZ256m */
+  0x205a, /* VRCP14PSZ256r */
+/* Table7865 */
+  0x20e7, /* VRSQRT14PSZ256m */
+  0x20ed, /* VRSQRT14PSZ256r */
+/* Table7867 */
+  0x17b7, /* VPBLENDMDZ256rm */
+  0x17bc, /* VPBLENDMDZ256rr */
+/* Table7869 */
+  0xc7c, /* VBLENDMPSZ256rm */
+  0xc81, /* VBLENDMPSZ256rr */
+/* Table7871 */
+  0x17a3, /* VPBLENDMBZ256rm */
+  0x17a6, /* VPBLENDMBZ256rr */
+/* Table7873 */
+  0x0, /*  */
+  0x17fe, /* VPBROADCASTBrZ256r */
+/* Table7875 */
+  0x0, /*  */
+  0x1833, /* VPBROADCASTWrZ256r */
+/* Table7877 */
+  0x0, /*  */
+  0x180f, /* VPBROADCASTDrZ256r */
+/* Table7879 */
+  0xf2a, /* VFMADDSUB132PSZ256m */
+  0x0, /*  */
+/* Table7881 */
+  0xfdc, /* VFMSUBADD132PSZ256m */
+  0x0, /*  */
+/* Table7883 */
+  0xe66, /* VFMADD132PSZ256m */
+  0x0, /*  */
+/* Table7885 */
+  0xfd0, /* VFMSUB132PSZ256m */
+  0x0, /*  */
+/* Table7887 */
+  0x113a, /* VFNMADD132PSZ256m */
+  0x0, /*  */
+/* Table7889 */
+  0x11fe, /* VFNMSUB132PSZ256m */
+  0x0, /*  */
+/* Table7891 */
+  0xf95, /* VFMADDSUBPSZ256v213rm */
+  0xf9b, /* VFMADDSUBPSZ256v213rr */
+/* Table7893 */
+  0x1047, /* VFMSUBADDPSZ256v213rm */
+  0x104d, /* VFMSUBADDPSZ256v213rr */
+/* Table7895 */
+  0xed1, /* VFMADDPSZ256v213rm */
+  0xed7, /* VFMADDPSZ256v213rr */
+/* Table7897 */
+  0x10e1, /* VFMSUBPSZ256v213rm */
+  0x10e7, /* VFMSUBPSZ256v213rr */
+/* Table7899 */
+  0x11a5, /* VFNMADDPSZ256v213rm */
+  0x11ab, /* VFNMADDPSZ256v213rr */
+/* Table7901 */
+  0x1269, /* VFNMSUBPSZ256v213rm */
+  0x126f, /* VFNMSUBPSZ256v213rr */
+/* Table7903 */
+  0xf9e, /* VFMADDSUBPSZ256v231rm */
+  0xfa4, /* VFMADDSUBPSZ256v231rr */
+/* Table7905 */
+  0x1050, /* VFMSUBADDPSZ256v231rm */
+  0x1056, /* VFMSUBADDPSZ256v231rr */
+/* Table7907 */
+  0xeda, /* VFMADDPSZ256v231rm */
+  0xee0, /* VFMADDPSZ256v231rr */
+/* Table7909 */
+  0x10ea, /* VFMSUBPSZ256v231rm */
+  0x10f0, /* VFMSUBPSZ256v231rr */
+/* Table7911 */
+  0x11ae, /* VFNMADDPSZ256v231rm */
+  0x11b4, /* VFNMADDPSZ256v231rr */
+/* Table7913 */
+  0x1272, /* VFNMSUBPSZ256v231rm */
+  0x1278, /* VFNMSUBPSZ256v231rr */
+/* Table7915 */
+  0x0, /*  */
+  0x1cde, /* VPMOVM2WZ256rr */
+/* Table7917 */
+  0x0, /*  */
+  0x1818, /* VPBROADCASTMB2QZ256rr */
+/* Table7919 */
+  0x0, /*  */
+  0x1cdb, /* VPMOVM2QZ256rr */
+/* Table7921 */
+  0xca3, /* VBROADCASTSDZ256m */
+  0xca6, /* VBROADCASTSDZ256r */
+/* Table7923 */
+  0x18ad, /* VPCMPEQQZ256rm */
+  0x18b1, /* VPCMPEQQZ256rr */
+/* Table7925 */
+  0x1901, /* VPCMPGTQZ256rm */
+  0x1905, /* VPCMPGTQZ256rr */
+/* Table7927 */
+  0x1c3c, /* VPMINSQZ256rm */
+  0x1c42, /* VPMINSQZ256rr */
+/* Table7929 */
+  0x1ca2, /* VPMINUQZ256rm */
+  0x1ca8, /* VPMINUQZ256rr */
+/* Table7931 */
+  0x1b70, /* VPMAXSQZ256rm */
+  0x1b76, /* VPMAXSQZ256rr */
+/* Table7933 */
+  0x1bd6, /* VPMAXUQZ256rm */
+  0x1bdc, /* VPMAXUQZ256rr */
+/* Table7935 */
+  0x1dd0, /* VPMULLQZ256rm */
+  0x1dd6, /* VPMULLQZ256rr */
+/* Table7937 */
+  0x2039, /* VRCP14PDZ256m */
+  0x203f, /* VRCP14PDZ256r */
+/* Table7939 */
+  0x20cc, /* VRSQRT14PDZ256m */
+  0x20d2, /* VRSQRT14PDZ256r */
+/* Table7941 */
+  0x17cf, /* VPBLENDMQZ256rm */
+  0x17d4, /* VPBLENDMQZ256rr */
+/* Table7943 */
+  0xc64, /* VBLENDMPDZ256rm */
+  0xc69, /* VBLENDMPDZ256rr */
+/* Table7945 */
+  0x17e5, /* VPBLENDMWZ256rm */
+  0x17e8, /* VPBLENDMWZ256rr */
+/* Table7947 */
+  0x0, /*  */
+  0x1826, /* VPBROADCASTQrZ256r */
+/* Table7949 */
+  0xf24, /* VFMADDSUB132PDZ256m */
+  0x0, /*  */
+/* Table7951 */
+  0xfd6, /* VFMSUBADD132PDZ256m */
+  0x0, /*  */
+/* Table7953 */
+  0xe60, /* VFMADD132PDZ256m */
+  0x0, /*  */
+/* Table7955 */
+  0xfca, /* VFMSUB132PDZ256m */
+  0x0, /*  */
+/* Table7957 */
+  0x1134, /* VFNMADD132PDZ256m */
+  0x0, /*  */
+/* Table7959 */
+  0x11f8, /* VFNMSUB132PDZ256m */
+  0x0, /*  */
+/* Table7961 */
+  0xf48, /* VFMADDSUBPDZ256v213rm */
+  0xf4e, /* VFMADDSUBPDZ256v213rr */
+/* Table7963 */
+  0xffa, /* VFMSUBADDPDZ256v213rm */
+  0x1000, /* VFMSUBADDPDZ256v213rr */
+/* Table7965 */
+  0xe84, /* VFMADDPDZ256v213rm */
+  0xe8a, /* VFMADDPDZ256v213rr */
+/* Table7967 */
+  0x1094, /* VFMSUBPDZ256v213rm */
+  0x109a, /* VFMSUBPDZ256v213rr */
+/* Table7969 */
+  0x1158, /* VFNMADDPDZ256v213rm */
+  0x115e, /* VFNMADDPDZ256v213rr */
+/* Table7971 */
+  0x121c, /* VFNMSUBPDZ256v213rm */
+  0x1222, /* VFNMSUBPDZ256v213rr */
+/* Table7973 */
+  0xf51, /* VFMADDSUBPDZ256v231rm */
+  0xf57, /* VFMADDSUBPDZ256v231rr */
+/* Table7975 */
+  0x1003, /* VFMSUBADDPDZ256v231rm */
+  0x1009, /* VFMSUBADDPDZ256v231rr */
+/* Table7977 */
+  0xe8d, /* VFMADDPDZ256v231rm */
+  0xe93, /* VFMADDPDZ256v231rr */
+/* Table7979 */
+  0x109d, /* VFMSUBPDZ256v231rm */
+  0x10a3, /* VFMSUBPDZ256v231rr */
+/* Table7981 */
+  0x1161, /* VFNMADDPDZ256v231rm */
+  0x1167, /* VFNMADDPDZ256v231rr */
+/* Table7983 */
+  0x1225, /* VFNMSUBPDZ256v231rm */
+  0x122b, /* VFNMSUBPDZ256v231rr */
+/* Table7985 */
+  0x1d40, /* VPMOVUSDBmr */
+  0x1d42, /* VPMOVUSDBrr */
+/* Table7987 */
+  0x1d4a, /* VPMOVUSQBmr */
+  0x1d4c, /* VPMOVUSQBrr */
+/* Table7989 */
+  0x1d45, /* VPMOVUSDWmr */
+  0x1d47, /* VPMOVUSDWrr */
+/* Table7991 */
+  0x1d54, /* VPMOVUSQWmr */
+  0x1d56, /* VPMOVUSQWrr */
+/* Table7993 */
+  0x1d4f, /* VPMOVUSQDmr */
+  0x1d51, /* VPMOVUSQDrr */
+/* Table7995 */
+  0x1cf1, /* VPMOVSDBmr */
+  0x1cf3, /* VPMOVSDBrr */
+/* Table7997 */
+  0x1cfb, /* VPMOVSQBmr */
+  0x1cfd, /* VPMOVSQBrr */
+/* Table7999 */
+  0x1cf6, /* VPMOVSDWmr */
+  0x1cf8, /* VPMOVSDWrr */
+/* Table8001 */
+  0x1d05, /* VPMOVSQWmr */
+  0x1d07, /* VPMOVSQWrr */
+/* Table8003 */
+  0x1d00, /* VPMOVSQDmr */
+  0x1d02, /* VPMOVSQDrr */
+/* Table8005 */
+  0x1fc6, /* VPTESTNMDZrm */
+  0x1fc7, /* VPTESTNMDZrr */
+/* Table8007 */
+  0x0, /*  */
+  0x1cd6, /* VPMOVM2BZrr */
+/* Table8009 */
+  0x1cca, /* VPMOVDBmr */
+  0x1ccc, /* VPMOVDBrr */
+/* Table8011 */
+  0x1ce2, /* VPMOVQBmr */
+  0x1ce4, /* VPMOVQBrr */
+/* Table8013 */
+  0x1ccf, /* VPMOVDWmr */
+  0x1cd1, /* VPMOVDWrr */
+/* Table8015 */
+  0x1cec, /* VPMOVQWmr */
+  0x1cee, /* VPMOVQWrr */
+/* Table8017 */
+  0x1ce7, /* VPMOVQDmr */
+  0x1ce9, /* VPMOVQDrr */
+/* Table8019 */
+  0x0, /*  */
+  0x1cd9, /* VPMOVM2DZrr */
+/* Table8021 */
+  0x0, /*  */
+  0x181c, /* VPBROADCASTMW2DZrr */
+/* Table8023 */
+  0x1a5d, /* VPERMILPSZrm */
+  0x1a5e, /* VPERMILPSZrr */
+/* Table8025 */
+  0xd2b, /* VCVTPH2PSZrm */
+  0xd2c, /* VCVTPH2PSZrr */
+/* Table8027 */
+  0x1a6b, /* VPERMPSZrm */
+  0x1a6c, /* VPERMPSZrr */
+/* Table8029 */
+  0xcbd, /* VBROADCASTSSZm */
+  0xcc0, /* VBROADCASTSSZr */
+/* Table8031 */
+  0x1675, /* VPABSDZrm */
+  0x167b, /* VPABSDZrr */
+/* Table8033 */
+  0x1d0c, /* VPMOVSXBDZrm */
+  0x1d0f, /* VPMOVSXBDZrr */
+/* Table8035 */
+  0x1d16, /* VPMOVSXBQZrm */
+  0x1d19, /* VPMOVSXBQZrr */
+/* Table8037 */
+  0x1d2e, /* VPMOVSXWDZrm */
+  0x1d31, /* VPMOVSXWDZrr */
+/* Table8039 */
+  0x1d38, /* VPMOVSXWQZrm */
+  0x1d3b, /* VPMOVSXWQZrr */
+/* Table8041 */
+  0x1d24, /* VPMOVSXDQZrm */
+  0x1d27, /* VPMOVSXDQZrr */
+/* Table8043 */
+  0x1fc2, /* VPTESTMDZrm */
+  0x1fc3, /* VPTESTMDZrr */
+/* Table8045 */
+  0x1555, /* VMOVNTDQAZrm */
+  0x0, /*  */
+/* Table8047 */
+  0x1d5b, /* VPMOVZXBDZrm */
+  0x1d5e, /* VPMOVZXBDZrr */
+/* Table8049 */
+  0x1d65, /* VPMOVZXBQZrm */
+  0x1d68, /* VPMOVZXBQZrr */
+/* Table8051 */
+  0x1d7d, /* VPMOVZXWDZrm */
+  0x1d80, /* VPMOVZXWDZrr */
+/* Table8053 */
+  0x1d87, /* VPMOVZXWQZrm */
+  0x1d8a, /* VPMOVZXWQZrr */
+/* Table8055 */
+  0x1d73, /* VPMOVZXDQZrm */
+  0x1d76, /* VPMOVZXDQZrr */
+/* Table8057 */
+  0x1a25, /* VPERMDZrm */
+  0x1a26, /* VPERMDZrr */
+/* Table8059 */
+  0x1c0c, /* VPMINSBZrm */
+  0x1c0f, /* VPMINSBZrr */
+/* Table8061 */
+  0x1c28, /* VPMINSDZrm */
+  0x1c2e, /* VPMINSDZrr */
+/* Table8063 */
+  0x1cc2, /* VPMINUWZrm */
+  0x1cc5, /* VPMINUWZrr */
+/* Table8065 */
+  0x1c8e, /* VPMINUDZrm */
+  0x1c94, /* VPMINUDZrr */
+/* Table8067 */
+  0x1b40, /* VPMAXSBZrm */
+  0x1b43, /* VPMAXSBZrr */
+/* Table8069 */
+  0x1b5c, /* VPMAXSDZrm */
+  0x1b62, /* VPMAXSDZrr */
+/* Table8071 */
+  0x1bf6, /* VPMAXUWZrm */
+  0x1bf9, /* VPMAXUWZrr */
+/* Table8073 */
+  0x1bc2, /* VPMAXUDZrm */
+  0x1bc8, /* VPMAXUDZrr */
+/* Table8075 */
+  0x1dbc, /* VPMULLDZrm */
+  0x1dc2, /* VPMULLDZrr */
+/* Table8077 */
+  0x1af8, /* VPLZCNTDrm */
+  0x1afe, /* VPLZCNTDrr */
+/* Table8079 */
+  0x1f30, /* VPSRLVDZrm */
+  0x1f33, /* VPSRLVDZrr */
+/* Table8081 */
+  0x1ef4, /* VPSRAVDZrm */
+  0x1ef7, /* VPSRAVDZrr */
+/* Table8083 */
+  0x1ebc, /* VPSLLVDZrm */
+  0x1ebf, /* VPSLLVDZrr */
+/* Table8085 */
+  0x205d, /* VRCP14PSZm */
+  0x2063, /* VRCP14PSZr */
+/* Table8087 */
+  0x20f0, /* VRSQRT14PSZm */
+  0x20f6, /* VRSQRT14PSZr */
+/* Table8089 */
+  0x180a, /* VPBROADCASTDZrm */
+  0x180b, /* VPBROADCASTDZrr */
+/* Table8091 */
+  0xc9e, /* VBROADCASTI32X4rm */
+  0x0, /*  */
+/* Table8093 */
+  0x17bf, /* VPBLENDMDZrm */
+  0x17c4, /* VPBLENDMDZrr */
+/* Table8095 */
+  0xc84, /* VBLENDMPSZrm */
+  0xc89, /* VBLENDMPSZrr */
+/* Table8097 */
+  0x17a9, /* VPBLENDMBZrm */
+  0x17ac, /* VPBLENDMBZrr */
+/* Table8099 */
+  0x1a27, /* VPERMI2Drm */
+  0x1a2a, /* VPERMI2Drr */
+/* Table8101 */
+  0x1a33, /* VPERMI2PSrm */
+  0x1a36, /* VPERMI2PSrr */
+/* Table8103 */
+  0x0, /*  */
+  0x1801, /* VPBROADCASTBrZr */
+/* Table8105 */
+  0x0, /*  */
+  0x1836, /* VPBROADCASTWrZr */
+/* Table8107 */
+  0x0, /*  */
+  0x1812, /* VPBROADCASTDrZr */
+/* Table8109 */
+  0x1a73, /* VPERMT2Drm */
+  0x1a76, /* VPERMT2Drr */
+/* Table8111 */
+  0x1a7f, /* VPERMT2PSrm */
+  0x1a82, /* VPERMT2PSrr */
+/* Table8113 */
+  0xf2c, /* VFMADDSUB132PSZm */
+  0x0, /*  */
+/* Table8115 */
+  0xfde, /* VFMSUBADD132PSZm */
+  0x0, /*  */
+/* Table8117 */
+  0xe68, /* VFMADD132PSZm */
+  0x0, /*  */
+/* Table8119 */
+  0xfd2, /* VFMSUB132PSZm */
+  0x0, /*  */
+/* Table8121 */
+  0x113c, /* VFNMADD132PSZm */
+  0x0, /*  */
+/* Table8123 */
+  0x1200, /* VFNMSUB132PSZm */
+  0x0, /*  */
+/* Table8125 */
+  0xfa7, /* VFMADDSUBPSZv213rm */
+  0xfad, /* VFMADDSUBPSZv213rr */
+/* Table8127 */
+  0x1059, /* VFMSUBADDPSZv213rm */
+  0x105f, /* VFMSUBADDPSZv213rr */
+/* Table8129 */
+  0xee3, /* VFMADDPSZv213rm */
+  0xee9, /* VFMADDPSZv213rr */
+/* Table8131 */
+  0x10f3, /* VFMSUBPSZv213rm */
+  0x10f9, /* VFMSUBPSZv213rr */
+/* Table8133 */
+  0x11b7, /* VFNMADDPSZv213rm */
+  0x11bd, /* VFNMADDPSZv213rr */
+/* Table8135 */
+  0x127b, /* VFNMSUBPSZv213rm */
+  0x1281, /* VFNMSUBPSZv213rr */
+/* Table8137 */
+  0xfb3, /* VFMADDSUBPSZv231rm */
+  0xfb9, /* VFMADDSUBPSZv231rr */
+/* Table8139 */
+  0x1065, /* VFMSUBADDPSZv231rm */
+  0x106b, /* VFMSUBADDPSZv231rr */
+/* Table8141 */
+  0xeef, /* VFMADDPSZv231rm */
+  0xef5, /* VFMADDPSZv231rr */
+/* Table8143 */
+  0x10ff, /* VFMSUBPSZv231rm */
+  0x1105, /* VFMSUBPSZv231rr */
+/* Table8145 */
+  0x11c3, /* VFNMADDPSZv231rm */
+  0x11c9, /* VFNMADDPSZv231rr */
+/* Table8147 */
+  0x1287, /* VFNMSUBPSZv231rm */
+  0x128d, /* VFNMSUBPSZv231rr */
+/* Table8149 */
+  0x1a0d, /* VPCONFLICTDrm */
+  0x1a13, /* VPCONFLICTDrr */
+/* Table8151 */
+  0xe22, /* VEXP2PSm */
+  0xe28, /* VEXP2PSr */
+/* Table8153 */
+  0x2076, /* VRCP28PSm */
+  0x207c, /* VRCP28PSr */
+/* Table8155 */
+  0x2109, /* VRSQRT28PSm */
+  0x210f, /* VRSQRT28PSr */
+/* Table8157 */
+  0x1fc8, /* VPTESTNMQZrm */
+  0x1fc9, /* VPTESTNMQZrr */
+/* Table8159 */
+  0x0, /*  */
+  0x1cdf, /* VPMOVM2WZrr */
+/* Table8161 */
+  0x0, /*  */
+  0x1819, /* VPBROADCASTMB2QZrr */
+/* Table8163 */
+  0x0, /*  */
+  0x1cdc, /* VPMOVM2QZrr */
+/* Table8165 */
+  0x1a51, /* VPERMILPDZrm */
+  0x1a52, /* VPERMILPDZrr */
+/* Table8167 */
+  0x1a67, /* VPERMPDZrm */
+  0x1a68, /* VPERMPDZrr */
+/* Table8169 */
+  0xca9, /* VBROADCASTSDZm */
+  0xcac, /* VBROADCASTSDZr */
+/* Table8171 */
+  0x1682, /* VPABSQZrm */
+  0x1688, /* VPABSQZrr */
+/* Table8173 */
+  0x1fc4, /* VPTESTMQZrm */
+  0x1fc5, /* VPTESTMQZrr */
+/* Table8175 */
+  0x1d91, /* VPMULDQZrm */
+  0x1d97, /* VPMULDQZrr */
+/* Table8177 */
+  0x18b3, /* VPCMPEQQZrm */
+  0x18b7, /* VPCMPEQQZrr */
+/* Table8179 */
+  0x1a71, /* VPERMQZrm */
+  0x1a72, /* VPERMQZrr */
+/* Table8181 */
+  0x1907, /* VPCMPGTQZrm */
+  0x190b, /* VPCMPGTQZrr */
+/* Table8183 */
+  0x1c45, /* VPMINSQZrm */
+  0x1c4b, /* VPMINSQZrr */
+/* Table8185 */
+  0x1cab, /* VPMINUQZrm */
+  0x1cb1, /* VPMINUQZrr */
+/* Table8187 */
+  0x1b79, /* VPMAXSQZrm */
+  0x1b7f, /* VPMAXSQZrr */
+/* Table8189 */
+  0x1bdf, /* VPMAXUQZrm */
+  0x1be5, /* VPMAXUQZrr */
+/* Table8191 */
+  0x1dd9, /* VPMULLQZrm */
+  0x1ddf, /* VPMULLQZrr */
+/* Table8193 */
+  0x1b01, /* VPLZCNTQrm */
+  0x1b07, /* VPLZCNTQrr */
+/* Table8195 */
+  0x1f3a, /* VPSRLVQZrm */
+  0x1f3d, /* VPSRLVQZrr */
+/* Table8197 */
+  0x1efc, /* VPSRAVQZrm */
+  0x1eff, /* VPSRAVQZrr */
+/* Table8199 */
+  0x1ec6, /* VPSLLVQZrm */
+  0x1ec9, /* VPSLLVQZrr */
+/* Table8201 */
+  0x2042, /* VRCP14PDZm */
+  0x2048, /* VRCP14PDZr */
+/* Table8203 */
+  0x20d5, /* VRSQRT14PDZm */
+  0x20db, /* VRSQRT14PDZr */
+/* Table8205 */
+  0x1821, /* VPBROADCASTQZrm */
+  0x1822, /* VPBROADCASTQZrr */
+/* Table8207 */
+  0xca0, /* VBROADCASTI64X4rm */
+  0x0, /*  */
+/* Table8209 */
+  0x17d7, /* VPBLENDMQZrm */
+  0x17dc, /* VPBLENDMQZrr */
+/* Table8211 */
+  0xc6c, /* VBLENDMPDZrm */
+  0xc71, /* VBLENDMPDZrr */
+/* Table8213 */
+  0x17eb, /* VPBLENDMWZrm */
+  0x17ee, /* VPBLENDMWZrr */
+/* Table8215 */
+  0x1a39, /* VPERMI2Qrm */
+  0x1a3c, /* VPERMI2Qrr */
+/* Table8217 */
+  0x1a2d, /* VPERMI2PDrm */
+  0x1a30, /* VPERMI2PDrr */
+/* Table8219 */
+  0x0, /*  */
+  0x1829, /* VPBROADCASTQrZr */
+/* Table8221 */
+  0x1a85, /* VPERMT2Qrm */
+  0x1a88, /* VPERMT2Qrr */
+/* Table8223 */
+  0x1a79, /* VPERMT2PDrm */
+  0x1a7c, /* VPERMT2PDrr */
+/* Table8225 */
+  0xf26, /* VFMADDSUB132PDZm */
+  0x0, /*  */
+/* Table8227 */
+  0xfd8, /* VFMSUBADD132PDZm */
+  0x0, /*  */
+/* Table8229 */
+  0xe62, /* VFMADD132PDZm */
+  0x0, /*  */
+/* Table8231 */
+  0xfcc, /* VFMSUB132PDZm */
+  0x0, /*  */
+/* Table8233 */
+  0x1136, /* VFNMADD132PDZm */
+  0x0, /*  */
+/* Table8235 */
+  0x11fa, /* VFNMSUB132PDZm */
+  0x0, /*  */
+/* Table8237 */
+  0xf5a, /* VFMADDSUBPDZv213rm */
+  0xf60, /* VFMADDSUBPDZv213rr */
+/* Table8239 */
+  0x100c, /* VFMSUBADDPDZv213rm */
+  0x1012, /* VFMSUBADDPDZv213rr */
+/* Table8241 */
+  0xe96, /* VFMADDPDZv213rm */
+  0xe9c, /* VFMADDPDZv213rr */
+/* Table8243 */
+  0x10a6, /* VFMSUBPDZv213rm */
+  0x10ac, /* VFMSUBPDZv213rr */
+/* Table8245 */
+  0x116a, /* VFNMADDPDZv213rm */
+  0x1170, /* VFNMADDPDZv213rr */
+/* Table8247 */
+  0x122e, /* VFNMSUBPDZv213rm */
+  0x1234, /* VFNMSUBPDZv213rr */
+/* Table8249 */
+  0xf66, /* VFMADDSUBPDZv231rm */
+  0xf6c, /* VFMADDSUBPDZv231rr */
+/* Table8251 */
+  0x1018, /* VFMSUBADDPDZv231rm */
+  0x101e, /* VFMSUBADDPDZv231rr */
+/* Table8253 */
+  0xea2, /* VFMADDPDZv231rm */
+  0xea8, /* VFMADDPDZv231rr */
+/* Table8255 */
+  0x10b2, /* VFMSUBPDZv231rm */
+  0x10b8, /* VFMSUBPDZv231rr */
+/* Table8257 */
+  0x1176, /* VFNMADDPDZv231rm */
+  0x117c, /* VFNMADDPDZv231rr */
+/* Table8259 */
+  0x123a, /* VFNMSUBPDZv231rm */
+  0x1240, /* VFNMSUBPDZv231rr */
+/* Table8261 */
+  0x1a16, /* VPCONFLICTQrm */
+  0x1a1c, /* VPCONFLICTQrr */
+/* Table8263 */
+  0xe16, /* VEXP2PDm */
+  0xe1c, /* VEXP2PDr */
+/* Table8265 */
+  0x206a, /* VRCP28PDm */
+  0x2070, /* VRCP28PDr */
+/* Table8267 */
+  0x20fd, /* VRSQRT28PDm */
+  0x2103, /* VRSQRT28PDr */
+/* Table8269 */
+  0xcb2, /* VBROADCASTSSZ128mk */
+  0xcb5, /* VBROADCASTSSZ128rk */
+/* Table8271 */
+  0x1c01, /* VPMINSBZ128rmk */
+  0x1c04, /* VPMINSBZ128rrk */
+/* Table8273 */
+  0x1c1a, /* VPMINSDZ128rmk */
+  0x1c1d, /* VPMINSDZ128rrk */
+/* Table8275 */
+  0x1cb7, /* VPMINUWZ128rmk */
+  0x1cba, /* VPMINUWZ128rrk */
+/* Table8277 */
+  0x1c80, /* VPMINUDZ128rmk */
+  0x1c83, /* VPMINUDZ128rrk */
+/* Table8279 */
+  0x1b35, /* VPMAXSBZ128rmk */
+  0x1b38, /* VPMAXSBZ128rrk */
+/* Table8281 */
+  0x1b4e, /* VPMAXSDZ128rmk */
+  0x1b51, /* VPMAXSDZ128rrk */
+/* Table8283 */
+  0x1beb, /* VPMAXUWZ128rmk */
+  0x1bee, /* VPMAXUWZ128rrk */
+/* Table8285 */
+  0x1bb4, /* VPMAXUDZ128rmk */
+  0x1bb7, /* VPMAXUDZ128rrk */
+/* Table8287 */
+  0x1dae, /* VPMULLDZ128rmk */
+  0x1db1, /* VPMULLDZ128rrk */
+/* Table8289 */
+  0x204f, /* VRCP14PSZ128mk */
+  0x2052, /* VRCP14PSZ128rk */
+/* Table8291 */
+  0x20e2, /* VRSQRT14PSZ128mk */
+  0x20e5, /* VRSQRT14PSZ128rk */
+/* Table8293 */
+  0x17b2, /* VPBLENDMDZ128rmk */
+  0x17b5, /* VPBLENDMDZ128rrk */
+/* Table8295 */
+  0xc77, /* VBLENDMPSZ128rmk */
+  0xc7a, /* VBLENDMPSZ128rrk */
+/* Table8297 */
+  0x179e, /* VPBLENDMBZ128rmk */
+  0x17a1, /* VPBLENDMBZ128rrk */
+/* Table8299 */
+  0x0, /*  */
+  0x17fc, /* VPBROADCASTBrZ128rk */
+/* Table8301 */
+  0x0, /*  */
+  0x1831, /* VPBROADCASTWrZ128rk */
+/* Table8303 */
+  0x0, /*  */
+  0x180d, /* VPBROADCASTDrZ128rk */
+/* Table8305 */
+  0xe3a, /* VEXPANDPSZ128rmk */
+  0xe3c, /* VEXPANDPSZ128rrk */
+/* Table8307 */
+  0x1a8b, /* VPEXPANDDZ128rmk */
+  0x1a8d, /* VPEXPANDDZ128rrk */
+/* Table8309 */
+  0xd02, /* VCOMPRESSPSZ128mrk */
+  0xd03, /* VCOMPRESSPSZ128rrk */
+/* Table8311 */
+  0x19e3, /* VPCOMPRESSDZ128mrk */
+  0x19e4, /* VPCOMPRESSDZ128rrk */
+/* Table8313 */
+  0xf87, /* VFMADDSUBPSZ128v213rmk */
+  0xf8a, /* VFMADDSUBPSZ128v213rrk */
+/* Table8315 */
+  0x1039, /* VFMSUBADDPSZ128v213rmk */
+  0x103c, /* VFMSUBADDPSZ128v213rrk */
+/* Table8317 */
+  0xec3, /* VFMADDPSZ128v213rmk */
+  0xec6, /* VFMADDPSZ128v213rrk */
+/* Table8319 */
+  0x10d3, /* VFMSUBPSZ128v213rmk */
+  0x10d6, /* VFMSUBPSZ128v213rrk */
+/* Table8321 */
+  0x1197, /* VFNMADDPSZ128v213rmk */
+  0x119a, /* VFNMADDPSZ128v213rrk */
+/* Table8323 */
+  0x125b, /* VFNMSUBPSZ128v213rmk */
+  0x125e, /* VFNMSUBPSZ128v213rrk */
+/* Table8325 */
+  0xf90, /* VFMADDSUBPSZ128v231rmk */
+  0xf93, /* VFMADDSUBPSZ128v231rrk */
+/* Table8327 */
+  0x1042, /* VFMSUBADDPSZ128v231rmk */
+  0x1045, /* VFMSUBADDPSZ128v231rrk */
+/* Table8329 */
+  0xecc, /* VFMADDPSZ128v231rmk */
+  0xecf, /* VFMADDPSZ128v231rrk */
+/* Table8331 */
+  0x10dc, /* VFMSUBPSZ128v231rmk */
+  0x10df, /* VFMSUBPSZ128v231rrk */
+/* Table8333 */
+  0x11a0, /* VFNMADDPSZ128v231rmk */
+  0x11a3, /* VFNMADDPSZ128v231rrk */
+/* Table8335 */
+  0x1264, /* VFNMSUBPSZ128v231rmk */
+  0x1267, /* VFNMSUBPSZ128v231rrk */
+/* Table8337 */
+  0x208c, /* VRCP28SSmk */
+  0x2092, /* VRCP28SSrk */
+/* Table8339 */
+  0x211f, /* VRSQRT28SSmk */
+  0x2125, /* VRSQRT28SSrk */
+/* Table8341 */
+  0x18aa, /* VPCMPEQQZ128rmk */
+  0x18ac, /* VPCMPEQQZ128rrk */
+/* Table8343 */
+  0x18fe, /* VPCMPGTQZ128rmk */
+  0x1900, /* VPCMPGTQZ128rrk */
+/* Table8345 */
+  0x1c37, /* VPMINSQZ128rmk */
+  0x1c3a, /* VPMINSQZ128rrk */
+/* Table8347 */
+  0x1c9d, /* VPMINUQZ128rmk */
+  0x1ca0, /* VPMINUQZ128rrk */
+/* Table8349 */
+  0x1b6b, /* VPMAXSQZ128rmk */
+  0x1b6e, /* VPMAXSQZ128rrk */
+/* Table8351 */
+  0x1bd1, /* VPMAXUQZ128rmk */
+  0x1bd4, /* VPMAXUQZ128rrk */
+/* Table8353 */
+  0x1dcb, /* VPMULLQZ128rmk */
+  0x1dce, /* VPMULLQZ128rrk */
+/* Table8355 */
+  0x2034, /* VRCP14PDZ128mk */
+  0x2037, /* VRCP14PDZ128rk */
+/* Table8357 */
+  0x20c7, /* VRSQRT14PDZ128mk */
+  0x20ca, /* VRSQRT14PDZ128rk */
+/* Table8359 */
+  0x17ca, /* VPBLENDMQZ128rmk */
+  0x17cd, /* VPBLENDMQZ128rrk */
+/* Table8361 */
+  0xc5f, /* VBLENDMPDZ128rmk */
+  0xc62, /* VBLENDMPDZ128rrk */
+/* Table8363 */
+  0x17e0, /* VPBLENDMWZ128rmk */
+  0x17e3, /* VPBLENDMWZ128rrk */
+/* Table8365 */
+  0x0, /*  */
+  0x1824, /* VPBROADCASTQrZ128rk */
+/* Table8367 */
+  0xe2e, /* VEXPANDPDZ128rmk */
+  0xe30, /* VEXPANDPDZ128rrk */
+/* Table8369 */
+  0x1a97, /* VPEXPANDQZ128rmk */
+  0x1a99, /* VPEXPANDQZ128rrk */
+/* Table8371 */
+  0xcf9, /* VCOMPRESSPDZ128mrk */
+  0xcfa, /* VCOMPRESSPDZ128rrk */
+/* Table8373 */
+  0x19ec, /* VPCOMPRESSQZ128mrk */
+  0x19ed, /* VPCOMPRESSQZ128rrk */
+/* Table8375 */
+  0xf3a, /* VFMADDSUBPDZ128v213rmk */
+  0xf3d, /* VFMADDSUBPDZ128v213rrk */
+/* Table8377 */
+  0xfec, /* VFMSUBADDPDZ128v213rmk */
+  0xfef, /* VFMSUBADDPDZ128v213rrk */
+/* Table8379 */
+  0xe76, /* VFMADDPDZ128v213rmk */
+  0xe79, /* VFMADDPDZ128v213rrk */
+/* Table8381 */
+  0x1086, /* VFMSUBPDZ128v213rmk */
+  0x1089, /* VFMSUBPDZ128v213rrk */
+/* Table8383 */
+  0x114a, /* VFNMADDPDZ128v213rmk */
+  0x114d, /* VFNMADDPDZ128v213rrk */
+/* Table8385 */
+  0x120e, /* VFNMSUBPDZ128v213rmk */
+  0x1211, /* VFNMSUBPDZ128v213rrk */
+/* Table8387 */
+  0xf43, /* VFMADDSUBPDZ128v231rmk */
+  0xf46, /* VFMADDSUBPDZ128v231rrk */
+/* Table8389 */
+  0xff5, /* VFMSUBADDPDZ128v231rmk */
+  0xff8, /* VFMSUBADDPDZ128v231rrk */
+/* Table8391 */
+  0xe7f, /* VFMADDPDZ128v231rmk */
+  0xe82, /* VFMADDPDZ128v231rrk */
+/* Table8393 */
+  0x108f, /* VFMSUBPDZ128v231rmk */
+  0x1092, /* VFMSUBPDZ128v231rrk */
+/* Table8395 */
+  0x1153, /* VFNMADDPDZ128v231rmk */
+  0x1156, /* VFNMADDPDZ128v231rrk */
+/* Table8397 */
+  0x1217, /* VFNMSUBPDZ128v231rmk */
+  0x121a, /* VFNMSUBPDZ128v231rrk */
+/* Table8399 */
+  0x2083, /* VRCP28SDmk */
+  0x2089, /* VRCP28SDrk */
+/* Table8401 */
+  0x2116, /* VRSQRT28SDmk */
+  0x211c, /* VRSQRT28SDrk */
+/* Table8403 */
+  0xcb8, /* VBROADCASTSSZ256mk */
+  0xcbb, /* VBROADCASTSSZ256rk */
+/* Table8405 */
+  0x1c07, /* VPMINSBZ256rmk */
+  0x1c0a, /* VPMINSBZ256rrk */
+/* Table8407 */
+  0x1c23, /* VPMINSDZ256rmk */
+  0x1c26, /* VPMINSDZ256rrk */
+/* Table8409 */
+  0x1cbd, /* VPMINUWZ256rmk */
+  0x1cc0, /* VPMINUWZ256rrk */
+/* Table8411 */
+  0x1c89, /* VPMINUDZ256rmk */
+  0x1c8c, /* VPMINUDZ256rrk */
+/* Table8413 */
+  0x1b3b, /* VPMAXSBZ256rmk */
+  0x1b3e, /* VPMAXSBZ256rrk */
+/* Table8415 */
+  0x1b57, /* VPMAXSDZ256rmk */
+  0x1b5a, /* VPMAXSDZ256rrk */
+/* Table8417 */
+  0x1bf1, /* VPMAXUWZ256rmk */
+  0x1bf4, /* VPMAXUWZ256rrk */
+/* Table8419 */
+  0x1bbd, /* VPMAXUDZ256rmk */
+  0x1bc0, /* VPMAXUDZ256rrk */
+/* Table8421 */
+  0x1db7, /* VPMULLDZ256rmk */
+  0x1dba, /* VPMULLDZ256rrk */
+/* Table8423 */
+  0x2058, /* VRCP14PSZ256mk */
+  0x205b, /* VRCP14PSZ256rk */
+/* Table8425 */
+  0x20eb, /* VRSQRT14PSZ256mk */
+  0x20ee, /* VRSQRT14PSZ256rk */
+/* Table8427 */
+  0x17ba, /* VPBLENDMDZ256rmk */
+  0x17bd, /* VPBLENDMDZ256rrk */
+/* Table8429 */
+  0xc7f, /* VBLENDMPSZ256rmk */
+  0xc82, /* VBLENDMPSZ256rrk */
+/* Table8431 */
+  0x17a4, /* VPBLENDMBZ256rmk */
+  0x17a7, /* VPBLENDMBZ256rrk */
+/* Table8433 */
+  0x0, /*  */
+  0x17ff, /* VPBROADCASTBrZ256rk */
+/* Table8435 */
+  0x0, /*  */
+  0x1834, /* VPBROADCASTWrZ256rk */
+/* Table8437 */
+  0x0, /*  */
+  0x1810, /* VPBROADCASTDrZ256rk */
+/* Table8439 */
+  0xe3e, /* VEXPANDPSZ256rmk */
+  0xe40, /* VEXPANDPSZ256rrk */
+/* Table8441 */
+  0x1a8f, /* VPEXPANDDZ256rmk */
+  0x1a91, /* VPEXPANDDZ256rrk */
+/* Table8443 */
+  0xd05, /* VCOMPRESSPSZ256mrk */
+  0xd06, /* VCOMPRESSPSZ256rrk */
+/* Table8445 */
+  0x19e6, /* VPCOMPRESSDZ256mrk */
+  0x19e7, /* VPCOMPRESSDZ256rrk */
+/* Table8447 */
+  0xf99, /* VFMADDSUBPSZ256v213rmk */
+  0xf9c, /* VFMADDSUBPSZ256v213rrk */
+/* Table8449 */
+  0x104b, /* VFMSUBADDPSZ256v213rmk */
+  0x104e, /* VFMSUBADDPSZ256v213rrk */
+/* Table8451 */
+  0xed5, /* VFMADDPSZ256v213rmk */
+  0xed8, /* VFMADDPSZ256v213rrk */
+/* Table8453 */
+  0x10e5, /* VFMSUBPSZ256v213rmk */
+  0x10e8, /* VFMSUBPSZ256v213rrk */
+/* Table8455 */
+  0x11a9, /* VFNMADDPSZ256v213rmk */
+  0x11ac, /* VFNMADDPSZ256v213rrk */
+/* Table8457 */
+  0x126d, /* VFNMSUBPSZ256v213rmk */
+  0x1270, /* VFNMSUBPSZ256v213rrk */
+/* Table8459 */
+  0xfa2, /* VFMADDSUBPSZ256v231rmk */
+  0xfa5, /* VFMADDSUBPSZ256v231rrk */
+/* Table8461 */
+  0x1054, /* VFMSUBADDPSZ256v231rmk */
+  0x1057, /* VFMSUBADDPSZ256v231rrk */
+/* Table8463 */
+  0xede, /* VFMADDPSZ256v231rmk */
+  0xee1, /* VFMADDPSZ256v231rrk */
+/* Table8465 */
+  0x10ee, /* VFMSUBPSZ256v231rmk */
+  0x10f1, /* VFMSUBPSZ256v231rrk */
+/* Table8467 */
+  0x11b2, /* VFNMADDPSZ256v231rmk */
+  0x11b5, /* VFNMADDPSZ256v231rrk */
+/* Table8469 */
+  0x1276, /* VFNMSUBPSZ256v231rmk */
+  0x1279, /* VFNMSUBPSZ256v231rrk */
+/* Table8471 */
+  0xca4, /* VBROADCASTSDZ256mk */
+  0xca7, /* VBROADCASTSDZ256rk */
+/* Table8473 */
+  0x18b0, /* VPCMPEQQZ256rmk */
+  0x18b2, /* VPCMPEQQZ256rrk */
+/* Table8475 */
+  0x1904, /* VPCMPGTQZ256rmk */
+  0x1906, /* VPCMPGTQZ256rrk */
+/* Table8477 */
+  0x1c40, /* VPMINSQZ256rmk */
+  0x1c43, /* VPMINSQZ256rrk */
+/* Table8479 */
+  0x1ca6, /* VPMINUQZ256rmk */
+  0x1ca9, /* VPMINUQZ256rrk */
+/* Table8481 */
+  0x1b74, /* VPMAXSQZ256rmk */
+  0x1b77, /* VPMAXSQZ256rrk */
+/* Table8483 */
+  0x1bda, /* VPMAXUQZ256rmk */
+  0x1bdd, /* VPMAXUQZ256rrk */
+/* Table8485 */
+  0x1dd4, /* VPMULLQZ256rmk */
+  0x1dd7, /* VPMULLQZ256rrk */
+/* Table8487 */
+  0x203d, /* VRCP14PDZ256mk */
+  0x2040, /* VRCP14PDZ256rk */
+/* Table8489 */
+  0x20d0, /* VRSQRT14PDZ256mk */
+  0x20d3, /* VRSQRT14PDZ256rk */
+/* Table8491 */
+  0x17d2, /* VPBLENDMQZ256rmk */
+  0x17d5, /* VPBLENDMQZ256rrk */
+/* Table8493 */
+  0xc67, /* VBLENDMPDZ256rmk */
+  0xc6a, /* VBLENDMPDZ256rrk */
+/* Table8495 */
+  0x17e6, /* VPBLENDMWZ256rmk */
+  0x17e9, /* VPBLENDMWZ256rrk */
+/* Table8497 */
+  0x0, /*  */
+  0x1827, /* VPBROADCASTQrZ256rk */
+/* Table8499 */
+  0xe32, /* VEXPANDPDZ256rmk */
+  0xe34, /* VEXPANDPDZ256rrk */
+/* Table8501 */
+  0x1a9b, /* VPEXPANDQZ256rmk */
+  0x1a9d, /* VPEXPANDQZ256rrk */
+/* Table8503 */
+  0xcfc, /* VCOMPRESSPDZ256mrk */
+  0xcfd, /* VCOMPRESSPDZ256rrk */
+/* Table8505 */
+  0x19ef, /* VPCOMPRESSQZ256mrk */
+  0x19f0, /* VPCOMPRESSQZ256rrk */
+/* Table8507 */
+  0xf4c, /* VFMADDSUBPDZ256v213rmk */
+  0xf4f, /* VFMADDSUBPDZ256v213rrk */
+/* Table8509 */
+  0xffe, /* VFMSUBADDPDZ256v213rmk */
+  0x1001, /* VFMSUBADDPDZ256v213rrk */
+/* Table8511 */
+  0xe88, /* VFMADDPDZ256v213rmk */
+  0xe8b, /* VFMADDPDZ256v213rrk */
+/* Table8513 */
+  0x1098, /* VFMSUBPDZ256v213rmk */
+  0x109b, /* VFMSUBPDZ256v213rrk */
+/* Table8515 */
+  0x115c, /* VFNMADDPDZ256v213rmk */
+  0x115f, /* VFNMADDPDZ256v213rrk */
+/* Table8517 */
+  0x1220, /* VFNMSUBPDZ256v213rmk */
+  0x1223, /* VFNMSUBPDZ256v213rrk */
+/* Table8519 */
+  0xf55, /* VFMADDSUBPDZ256v231rmk */
+  0xf58, /* VFMADDSUBPDZ256v231rrk */
+/* Table8521 */
+  0x1007, /* VFMSUBADDPDZ256v231rmk */
+  0x100a, /* VFMSUBADDPDZ256v231rrk */
+/* Table8523 */
+  0xe91, /* VFMADDPDZ256v231rmk */
+  0xe94, /* VFMADDPDZ256v231rrk */
+/* Table8525 */
+  0x10a1, /* VFMSUBPDZ256v231rmk */
+  0x10a4, /* VFMSUBPDZ256v231rrk */
+/* Table8527 */
+  0x1165, /* VFNMADDPDZ256v231rmk */
+  0x1168, /* VFNMADDPDZ256v231rrk */
+/* Table8529 */
+  0x1229, /* VFNMSUBPDZ256v231rmk */
+  0x122c, /* VFNMSUBPDZ256v231rrk */
+/* Table8531 */
+  0x1d41, /* VPMOVUSDBmrk */
+  0x1d43, /* VPMOVUSDBrrk */
+/* Table8533 */
+  0x1d4b, /* VPMOVUSQBmrk */
+  0x1d4d, /* VPMOVUSQBrrk */
+/* Table8535 */
+  0x1d46, /* VPMOVUSDWmrk */
+  0x1d48, /* VPMOVUSDWrrk */
+/* Table8537 */
+  0x1d55, /* VPMOVUSQWmrk */
+  0x1d57, /* VPMOVUSQWrrk */
+/* Table8539 */
+  0x1d50, /* VPMOVUSQDmrk */
+  0x1d52, /* VPMOVUSQDrrk */
+/* Table8541 */
+  0x1cf2, /* VPMOVSDBmrk */
+  0x1cf4, /* VPMOVSDBrrk */
+/* Table8543 */
+  0x1cfc, /* VPMOVSQBmrk */
+  0x1cfe, /* VPMOVSQBrrk */
+/* Table8545 */
+  0x1cf7, /* VPMOVSDWmrk */
+  0x1cf9, /* VPMOVSDWrrk */
+/* Table8547 */
+  0x1d06, /* VPMOVSQWmrk */
+  0x1d08, /* VPMOVSQWrrk */
+/* Table8549 */
+  0x1d01, /* VPMOVSQDmrk */
+  0x1d03, /* VPMOVSQDrrk */
+/* Table8551 */
+  0x1ccb, /* VPMOVDBmrk */
+  0x1ccd, /* VPMOVDBrrk */
+/* Table8553 */
+  0x1ce3, /* VPMOVQBmrk */
+  0x1ce5, /* VPMOVQBrrk */
+/* Table8555 */
+  0x1cd0, /* VPMOVDWmrk */
+  0x1cd2, /* VPMOVDWrrk */
+/* Table8557 */
+  0x1ced, /* VPMOVQWmrk */
+  0x1cef, /* VPMOVQWrrk */
+/* Table8559 */
+  0x1ce8, /* VPMOVQDmrk */
+  0x1cea, /* VPMOVQDrrk */
+/* Table8561 */
+  0xcbe, /* VBROADCASTSSZmk */
+  0xcc1, /* VBROADCASTSSZrk */
+/* Table8563 */
+  0x1679, /* VPABSDZrmk */
+  0x167c, /* VPABSDZrrk */
+/* Table8565 */
+  0x1d0d, /* VPMOVSXBDZrmk */
+  0x1d10, /* VPMOVSXBDZrrk */
+/* Table8567 */
+  0x1d17, /* VPMOVSXBQZrmk */
+  0x1d1a, /* VPMOVSXBQZrrk */
+/* Table8569 */
+  0x1d2f, /* VPMOVSXWDZrmk */
+  0x1d32, /* VPMOVSXWDZrrk */
+/* Table8571 */
+  0x1d39, /* VPMOVSXWQZrmk */
+  0x1d3c, /* VPMOVSXWQZrrk */
+/* Table8573 */
+  0x1d25, /* VPMOVSXDQZrmk */
+  0x1d28, /* VPMOVSXDQZrrk */
+/* Table8575 */
+  0x1d5c, /* VPMOVZXBDZrmk */
+  0x1d5f, /* VPMOVZXBDZrrk */
+/* Table8577 */
+  0x1d66, /* VPMOVZXBQZrmk */
+  0x1d69, /* VPMOVZXBQZrrk */
+/* Table8579 */
+  0x1d7e, /* VPMOVZXWDZrmk */
+  0x1d81, /* VPMOVZXWDZrrk */
+/* Table8581 */
+  0x1d88, /* VPMOVZXWQZrmk */
+  0x1d8b, /* VPMOVZXWQZrrk */
+/* Table8583 */
+  0x1d74, /* VPMOVZXDQZrmk */
+  0x1d77, /* VPMOVZXDQZrrk */
+/* Table8585 */
+  0x1c0d, /* VPMINSBZrmk */
+  0x1c10, /* VPMINSBZrrk */
+/* Table8587 */
+  0x1c2c, /* VPMINSDZrmk */
+  0x1c2f, /* VPMINSDZrrk */
+/* Table8589 */
+  0x1cc3, /* VPMINUWZrmk */
+  0x1cc6, /* VPMINUWZrrk */
+/* Table8591 */
+  0x1c92, /* VPMINUDZrmk */
+  0x1c95, /* VPMINUDZrrk */
+/* Table8593 */
+  0x1b41, /* VPMAXSBZrmk */
+  0x1b44, /* VPMAXSBZrrk */
+/* Table8595 */
+  0x1b60, /* VPMAXSDZrmk */
+  0x1b63, /* VPMAXSDZrrk */
+/* Table8597 */
+  0x1bf7, /* VPMAXUWZrmk */
+  0x1bfa, /* VPMAXUWZrrk */
+/* Table8599 */
+  0x1bc6, /* VPMAXUDZrmk */
+  0x1bc9, /* VPMAXUDZrrk */
+/* Table8601 */
+  0x1dc0, /* VPMULLDZrmk */
+  0x1dc3, /* VPMULLDZrrk */
+/* Table8603 */
+  0x1afc, /* VPLZCNTDrmk */
+  0x1aff, /* VPLZCNTDrrk */
+/* Table8605 */
+  0x1f31, /* VPSRLVDZrmk */
+  0x1f34, /* VPSRLVDZrrk */
+/* Table8607 */
+  0x1ef5, /* VPSRAVDZrmk */
+  0x1ef8, /* VPSRAVDZrrk */
+/* Table8609 */
+  0x1ebd, /* VPSLLVDZrmk */
+  0x1ec0, /* VPSLLVDZrrk */
+/* Table8611 */
+  0x2061, /* VRCP14PSZmk */
+  0x2064, /* VRCP14PSZrk */
+/* Table8613 */
+  0x20f4, /* VRSQRT14PSZmk */
+  0x20f7, /* VRSQRT14PSZrk */
+/* Table8615 */
+  0x17c2, /* VPBLENDMDZrmk */
+  0x17c5, /* VPBLENDMDZrrk */
+/* Table8617 */
+  0xc87, /* VBLENDMPSZrmk */
+  0xc8a, /* VBLENDMPSZrrk */
+/* Table8619 */
+  0x17aa, /* VPBLENDMBZrmk */
+  0x17ad, /* VPBLENDMBZrrk */
+/* Table8621 */
+  0x1a28, /* VPERMI2Drmk */
+  0x1a2b, /* VPERMI2Drrk */
+/* Table8623 */
+  0x1a34, /* VPERMI2PSrmk */
+  0x1a37, /* VPERMI2PSrrk */
+/* Table8625 */
+  0x0, /*  */
+  0x1802, /* VPBROADCASTBrZrk */
+/* Table8627 */
+  0x0, /*  */
+  0x1837, /* VPBROADCASTWrZrk */
+/* Table8629 */
+  0x0, /*  */
+  0x1813, /* VPBROADCASTDrZrk */
+/* Table8631 */
+  0x1a74, /* VPERMT2Drmk */
+  0x1a77, /* VPERMT2Drrk */
+/* Table8633 */
+  0x1a80, /* VPERMT2PSrmk */
+  0x1a83, /* VPERMT2PSrrk */
+/* Table8635 */
+  0xe42, /* VEXPANDPSZrmk */
+  0xe44, /* VEXPANDPSZrrk */
+/* Table8637 */
+  0x1a93, /* VPEXPANDDZrmk */
+  0x1a95, /* VPEXPANDDZrrk */
+/* Table8639 */
+  0xd08, /* VCOMPRESSPSZmrk */
+  0xd09, /* VCOMPRESSPSZrrk */
+/* Table8641 */
+  0x19e9, /* VPCOMPRESSDZmrk */
+  0x19ea, /* VPCOMPRESSDZrrk */
+/* Table8643 */
+  0x1aad, /* VPGATHERDDZrm */
+  0x0, /*  */
+/* Table8645 */
+  0x1ab3, /* VPGATHERQDZrm */
+  0x0, /*  */
+/* Table8647 */
+  0x12ea, /* VGATHERDPSZrm */
+  0x0, /*  */
+/* Table8649 */
+  0x12f8, /* VGATHERQPSZrm */
+  0x0, /*  */
+/* Table8651 */
+  0x1e5a, /* VPSCATTERDDZmr */
+  0x0, /*  */
+/* Table8653 */
+  0x1e5c, /* VPSCATTERQDZmr */
+  0x0, /*  */
+/* Table8655 */
+  0x2133, /* VSCATTERDPSZmr */
+  0x0, /*  */
+/* Table8657 */
+  0x213d, /* VSCATTERQPSZmr */
+  0x0, /*  */
+/* Table8659 */
+  0xfab, /* VFMADDSUBPSZv213rmk */
+  0xfb1, /* VFMADDSUBPSZv213rrk */
+/* Table8661 */
+  0x105d, /* VFMSUBADDPSZv213rmk */
+  0x1063, /* VFMSUBADDPSZv213rrk */
+/* Table8663 */
+  0xee7, /* VFMADDPSZv213rmk */
+  0xeed, /* VFMADDPSZv213rrk */
+/* Table8665 */
+  0x10f7, /* VFMSUBPSZv213rmk */
+  0x10fd, /* VFMSUBPSZv213rrk */
+/* Table8667 */
+  0x11bb, /* VFNMADDPSZv213rmk */
+  0x11c1, /* VFNMADDPSZv213rrk */
+/* Table8669 */
+  0x127f, /* VFNMSUBPSZv213rmk */
+  0x1285, /* VFNMSUBPSZv213rrk */
+/* Table8671 */
+  0xfb7, /* VFMADDSUBPSZv231rmk */
+  0xfba, /* VFMADDSUBPSZv231rrk */
+/* Table8673 */
+  0x1069, /* VFMSUBADDPSZv231rmk */
+  0x106c, /* VFMSUBADDPSZv231rrk */
+/* Table8675 */
+  0xef3, /* VFMADDPSZv231rmk */
+  0xef6, /* VFMADDPSZv231rrk */
+/* Table8677 */
+  0x1103, /* VFMSUBPSZv231rmk */
+  0x1106, /* VFMSUBPSZv231rrk */
+/* Table8679 */
+  0x11c7, /* VFNMADDPSZv231rmk */
+  0x11ca, /* VFNMADDPSZv231rrk */
+/* Table8681 */
+  0x128b, /* VFNMSUBPSZv231rmk */
+  0x128e, /* VFNMSUBPSZv231rrk */
+/* Table8683 */
+  0x1a11, /* VPCONFLICTDrmk */
+  0x1a14, /* VPCONFLICTDrrk */
+/* Table8685 */
+  0x0, /*  */
+  0x12ed, /* VGATHERPF0DPSm */
+  0x12f1, /* VGATHERPF1DPSm */
+  0x0, /*  */
+  0x0, /*  */
+  0x2135, /* VSCATTERPF0DPSm */
+  0x2139, /* VSCATTERPF1DPSm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table8701 */
+  0x0, /*  */
+  0x12ef, /* VGATHERPF0QPSm */
+  0x12f3, /* VGATHERPF1QPSm */
+  0x0, /*  */
+  0x0, /*  */
+  0x2137, /* VSCATTERPF0QPSm */
+  0x213b, /* VSCATTERPF1QPSm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table8717 */
+  0xe26, /* VEXP2PSmk */
+  0xe2c, /* VEXP2PSrk */
+/* Table8719 */
+  0x207a, /* VRCP28PSmk */
+  0x2080, /* VRCP28PSrk */
+/* Table8721 */
+  0x210d, /* VRSQRT28PSmk */
+  0x2113, /* VRSQRT28PSrk */
+/* Table8723 */
+  0xcaa, /* VBROADCASTSDZmk */
+  0xcad, /* VBROADCASTSDZrk */
+/* Table8725 */
+  0x1686, /* VPABSQZrmk */
+  0x1689, /* VPABSQZrrk */
+/* Table8727 */
+  0x1d95, /* VPMULDQZrmk */
+  0x1d98, /* VPMULDQZrrk */
+/* Table8729 */
+  0x18b6, /* VPCMPEQQZrmk */
+  0x18b8, /* VPCMPEQQZrrk */
+/* Table8731 */
+  0x190a, /* VPCMPGTQZrmk */
+  0x190c, /* VPCMPGTQZrrk */
+/* Table8733 */
+  0x1c49, /* VPMINSQZrmk */
+  0x1c4c, /* VPMINSQZrrk */
+/* Table8735 */
+  0x1caf, /* VPMINUQZrmk */
+  0x1cb2, /* VPMINUQZrrk */
+/* Table8737 */
+  0x1b7d, /* VPMAXSQZrmk */
+  0x1b80, /* VPMAXSQZrrk */
+/* Table8739 */
+  0x1be3, /* VPMAXUQZrmk */
+  0x1be6, /* VPMAXUQZrrk */
+/* Table8741 */
+  0x1ddd, /* VPMULLQZrmk */
+  0x1de0, /* VPMULLQZrrk */
+/* Table8743 */
+  0x1b05, /* VPLZCNTQrmk */
+  0x1b08, /* VPLZCNTQrrk */
+/* Table8745 */
+  0x1f3b, /* VPSRLVQZrmk */
+  0x1f3e, /* VPSRLVQZrrk */
+/* Table8747 */
+  0x1efd, /* VPSRAVQZrmk */
+  0x1f00, /* VPSRAVQZrrk */
+/* Table8749 */
+  0x1ec7, /* VPSLLVQZrmk */
+  0x1eca, /* VPSLLVQZrrk */
+/* Table8751 */
+  0x2046, /* VRCP14PDZmk */
+  0x2049, /* VRCP14PDZrk */
+/* Table8753 */
+  0x20d9, /* VRSQRT14PDZmk */
+  0x20dc, /* VRSQRT14PDZrk */
+/* Table8755 */
+  0x17da, /* VPBLENDMQZrmk */
+  0x17dd, /* VPBLENDMQZrrk */
+/* Table8757 */
+  0xc6f, /* VBLENDMPDZrmk */
+  0xc72, /* VBLENDMPDZrrk */
+/* Table8759 */
+  0x17ec, /* VPBLENDMWZrmk */
+  0x17ef, /* VPBLENDMWZrrk */
+/* Table8761 */
+  0x1a3a, /* VPERMI2Qrmk */
+  0x1a3d, /* VPERMI2Qrrk */
+/* Table8763 */
+  0x1a2e, /* VPERMI2PDrmk */
+  0x1a31, /* VPERMI2PDrrk */
+/* Table8765 */
+  0x0, /*  */
+  0x182a, /* VPBROADCASTQrZrk */
+/* Table8767 */
+  0x1a86, /* VPERMT2Qrmk */
+  0x1a89, /* VPERMT2Qrrk */
+/* Table8769 */
+  0x1a7a, /* VPERMT2PDrmk */
+  0x1a7d, /* VPERMT2PDrrk */
+/* Table8771 */
+  0xe36, /* VEXPANDPDZrmk */
+  0xe38, /* VEXPANDPDZrrk */
+/* Table8773 */
+  0x1a9f, /* VPEXPANDQZrmk */
+  0x1aa1, /* VPEXPANDQZrrk */
+/* Table8775 */
+  0xcff, /* VCOMPRESSPDZmrk */
+  0xd00, /* VCOMPRESSPDZrrk */
+/* Table8777 */
+  0x19f2, /* VPCOMPRESSQZmrk */
+  0x19f3, /* VPCOMPRESSQZrrk */
+/* Table8779 */
+  0x1ab0, /* VPGATHERDQZrm */
+  0x0, /*  */
+/* Table8781 */
+  0x1ab6, /* VPGATHERQQZrm */
+  0x0, /*  */
+/* Table8783 */
+  0x12e7, /* VGATHERDPDZrm */
+  0x0, /*  */
+/* Table8785 */
+  0x12f5, /* VGATHERQPDZrm */
+  0x0, /*  */
+/* Table8787 */
+  0x1e5b, /* VPSCATTERDQZmr */
+  0x0, /*  */
+/* Table8789 */
+  0x1e5d, /* VPSCATTERQQZmr */
+  0x0, /*  */
+/* Table8791 */
+  0x2132, /* VSCATTERDPDZmr */
+  0x0, /*  */
+/* Table8793 */
+  0x213c, /* VSCATTERQPDZmr */
+  0x0, /*  */
+/* Table8795 */
+  0xf5e, /* VFMADDSUBPDZv213rmk */
+  0xf64, /* VFMADDSUBPDZv213rrk */
+/* Table8797 */
+  0x1010, /* VFMSUBADDPDZv213rmk */
+  0x1016, /* VFMSUBADDPDZv213rrk */
+/* Table8799 */
+  0xe9a, /* VFMADDPDZv213rmk */
+  0xea0, /* VFMADDPDZv213rrk */
+/* Table8801 */
+  0x10aa, /* VFMSUBPDZv213rmk */
+  0x10b0, /* VFMSUBPDZv213rrk */
+/* Table8803 */
+  0x116e, /* VFNMADDPDZv213rmk */
+  0x1174, /* VFNMADDPDZv213rrk */
+/* Table8805 */
+  0x1232, /* VFNMSUBPDZv213rmk */
+  0x1238, /* VFNMSUBPDZv213rrk */
+/* Table8807 */
+  0xf6a, /* VFMADDSUBPDZv231rmk */
+  0xf6d, /* VFMADDSUBPDZv231rrk */
+/* Table8809 */
+  0x101c, /* VFMSUBADDPDZv231rmk */
+  0x101f, /* VFMSUBADDPDZv231rrk */
+/* Table8811 */
+  0xea6, /* VFMADDPDZv231rmk */
+  0xea9, /* VFMADDPDZv231rrk */
+/* Table8813 */
+  0x10b6, /* VFMSUBPDZv231rmk */
+  0x10b9, /* VFMSUBPDZv231rrk */
+/* Table8815 */
+  0x117a, /* VFNMADDPDZv231rmk */
+  0x117d, /* VFNMADDPDZv231rrk */
+/* Table8817 */
+  0x123e, /* VFNMSUBPDZv231rmk */
+  0x1241, /* VFNMSUBPDZv231rrk */
+/* Table8819 */
+  0x1a1a, /* VPCONFLICTQrmk */
+  0x1a1d, /* VPCONFLICTQrrk */
+/* Table8821 */
+  0x0, /*  */
+  0x12ec, /* VGATHERPF0DPDm */
+  0x12f0, /* VGATHERPF1DPDm */
+  0x0, /*  */
+  0x0, /*  */
+  0x2134, /* VSCATTERPF0DPDm */
+  0x2138, /* VSCATTERPF1DPDm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table8837 */
+  0x0, /*  */
+  0x12ee, /* VGATHERPF0QPDm */
+  0x12f2, /* VGATHERPF1QPDm */
+  0x0, /*  */
+  0x0, /*  */
+  0x2136, /* VSCATTERPF0QPDm */
+  0x213a, /* VSCATTERPF1QPDm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table8853 */
+  0xe1a, /* VEXP2PDmk */
+  0xe20, /* VEXP2PDrk */
+/* Table8855 */
+  0x206e, /* VRCP28PDmk */
+  0x2074, /* VRCP28PDrk */
+/* Table8857 */
+  0x2101, /* VRSQRT28PDmk */
+  0x2107, /* VRSQRT28PDrk */
+/* Table8859 */
+  0x1c17, /* VPMINSDZ128rmb */
+  0x0, /*  */
+/* Table8861 */
+  0x1c7d, /* VPMINUDZ128rmb */
+  0x0, /*  */
+/* Table8863 */
+  0x1b4b, /* VPMAXSDZ128rmb */
+  0x0, /*  */
+/* Table8865 */
+  0x1bb1, /* VPMAXUDZ128rmb */
+  0x0, /*  */
+/* Table8867 */
+  0x1dab, /* VPMULLDZ128rmb */
+  0x0, /*  */
+/* Table8869 */
+  0x204c, /* VRCP14PSZ128mb */
+  0x0, /*  */
+/* Table8871 */
+  0x20df, /* VRSQRT14PSZ128mb */
+  0x0, /*  */
+/* Table8873 */
+  0x17b0, /* VPBLENDMDZ128rmb */
+  0x0, /*  */
+/* Table8875 */
+  0xc75, /* VBLENDMPSZ128rmb */
+  0x0, /*  */
+/* Table8877 */
+  0xf29, /* VFMADDSUB132PSZ128mb */
+  0x0, /*  */
+/* Table8879 */
+  0xfdb, /* VFMSUBADD132PSZ128mb */
+  0x0, /*  */
+/* Table8881 */
+  0xe65, /* VFMADD132PSZ128mb */
+  0x0, /*  */
+/* Table8883 */
+  0xfcf, /* VFMSUB132PSZ128mb */
+  0x0, /*  */
+/* Table8885 */
+  0x1139, /* VFNMADD132PSZ128mb */
+  0x0, /*  */
+/* Table8887 */
+  0x11fd, /* VFNMSUB132PSZ128mb */
+  0x0, /*  */
+/* Table8889 */
+  0xf84, /* VFMADDSUBPSZ128v213rmb */
+  0x0, /*  */
+/* Table8891 */
+  0x1036, /* VFMSUBADDPSZ128v213rmb */
+  0x0, /*  */
+/* Table8893 */
+  0xec0, /* VFMADDPSZ128v213rmb */
+  0x0, /*  */
+/* Table8895 */
+  0x10d0, /* VFMSUBPSZ128v213rmb */
+  0x0, /*  */
+/* Table8897 */
+  0x1194, /* VFNMADDPSZ128v213rmb */
+  0x0, /*  */
+/* Table8899 */
+  0x1258, /* VFNMSUBPSZ128v213rmb */
+  0x0, /*  */
+/* Table8901 */
+  0xf8d, /* VFMADDSUBPSZ128v231rmb */
+  0x0, /*  */
+/* Table8903 */
+  0x103f, /* VFMSUBADDPSZ128v231rmb */
+  0x0, /*  */
+/* Table8905 */
+  0xec9, /* VFMADDPSZ128v231rmb */
+  0x0, /*  */
+/* Table8907 */
+  0x10d9, /* VFMSUBPSZ128v231rmb */
+  0x0, /*  */
+/* Table8909 */
+  0x119d, /* VFNMADDPSZ128v231rmb */
+  0x0, /*  */
+/* Table8911 */
+  0x1261, /* VFNMSUBPSZ128v231rmb */
+  0x0, /*  */
+/* Table8913 */
+  0x0, /*  */
+  0x208f, /* VRCP28SSrb */
+/* Table8915 */
+  0x0, /*  */
+  0x2122, /* VRSQRT28SSrb */
+/* Table8917 */
+  0x18a8, /* VPCMPEQQZ128rmb */
+  0x0, /*  */
+/* Table8919 */
+  0x18fc, /* VPCMPGTQZ128rmb */
+  0x0, /*  */
+/* Table8921 */
+  0x1c34, /* VPMINSQZ128rmb */
+  0x0, /*  */
+/* Table8923 */
+  0x1c9a, /* VPMINUQZ128rmb */
+  0x0, /*  */
+/* Table8925 */
+  0x1b68, /* VPMAXSQZ128rmb */
+  0x0, /*  */
+/* Table8927 */
+  0x1bce, /* VPMAXUQZ128rmb */
+  0x0, /*  */
+/* Table8929 */
+  0x1dc8, /* VPMULLQZ128rmb */
+  0x0, /*  */
+/* Table8931 */
+  0x2031, /* VRCP14PDZ128mb */
+  0x0, /*  */
+/* Table8933 */
+  0x20c4, /* VRSQRT14PDZ128mb */
+  0x0, /*  */
+/* Table8935 */
+  0x17c8, /* VPBLENDMQZ128rmb */
+  0x0, /*  */
+/* Table8937 */
+  0xc5d, /* VBLENDMPDZ128rmb */
+  0x0, /*  */
+/* Table8939 */
+  0xf23, /* VFMADDSUB132PDZ128mb */
+  0x0, /*  */
+/* Table8941 */
+  0xfd5, /* VFMSUBADD132PDZ128mb */
+  0x0, /*  */
+/* Table8943 */
+  0xe5f, /* VFMADD132PDZ128mb */
+  0x0, /*  */
+/* Table8945 */
+  0xfc9, /* VFMSUB132PDZ128mb */
+  0x0, /*  */
+/* Table8947 */
+  0x1133, /* VFNMADD132PDZ128mb */
+  0x0, /*  */
+/* Table8949 */
+  0x11f7, /* VFNMSUB132PDZ128mb */
+  0x0, /*  */
+/* Table8951 */
+  0xf37, /* VFMADDSUBPDZ128v213rmb */
+  0x0, /*  */
+/* Table8953 */
+  0xfe9, /* VFMSUBADDPDZ128v213rmb */
+  0x0, /*  */
+/* Table8955 */
+  0xe73, /* VFMADDPDZ128v213rmb */
+  0x0, /*  */
+/* Table8957 */
+  0x1083, /* VFMSUBPDZ128v213rmb */
+  0x0, /*  */
+/* Table8959 */
+  0x1147, /* VFNMADDPDZ128v213rmb */
+  0x0, /*  */
+/* Table8961 */
+  0x120b, /* VFNMSUBPDZ128v213rmb */
+  0x0, /*  */
+/* Table8963 */
+  0xf40, /* VFMADDSUBPDZ128v231rmb */
+  0x0, /*  */
+/* Table8965 */
+  0xff2, /* VFMSUBADDPDZ128v231rmb */
+  0x0, /*  */
+/* Table8967 */
+  0xe7c, /* VFMADDPDZ128v231rmb */
+  0x0, /*  */
+/* Table8969 */
+  0x108c, /* VFMSUBPDZ128v231rmb */
+  0x0, /*  */
+/* Table8971 */
+  0x1150, /* VFNMADDPDZ128v231rmb */
+  0x0, /*  */
+/* Table8973 */
+  0x1214, /* VFNMSUBPDZ128v231rmb */
+  0x0, /*  */
+/* Table8975 */
+  0x0, /*  */
+  0x2086, /* VRCP28SDrb */
+/* Table8977 */
+  0x0, /*  */
+  0x2119, /* VRSQRT28SDrb */
+/* Table8979 */
+  0x1c20, /* VPMINSDZ256rmb */
+  0x0, /*  */
+/* Table8981 */
+  0x1c86, /* VPMINUDZ256rmb */
+  0x0, /*  */
+/* Table8983 */
+  0x1b54, /* VPMAXSDZ256rmb */
+  0x0, /*  */
+/* Table8985 */
+  0x1bba, /* VPMAXUDZ256rmb */
+  0x0, /*  */
+/* Table8987 */
+  0x1db4, /* VPMULLDZ256rmb */
+  0x0, /*  */
+/* Table8989 */
+  0x2055, /* VRCP14PSZ256mb */
+  0x0, /*  */
+/* Table8991 */
+  0x20e8, /* VRSQRT14PSZ256mb */
+  0x0, /*  */
+/* Table8993 */
+  0x17b8, /* VPBLENDMDZ256rmb */
+  0x0, /*  */
+/* Table8995 */
+  0xc7d, /* VBLENDMPSZ256rmb */
+  0x0, /*  */
+/* Table8997 */
+  0xf2b, /* VFMADDSUB132PSZ256mb */
+  0x0, /*  */
+/* Table8999 */
+  0xfdd, /* VFMSUBADD132PSZ256mb */
+  0x0, /*  */
+/* Table9001 */
+  0xe67, /* VFMADD132PSZ256mb */
+  0x0, /*  */
+/* Table9003 */
+  0xfd1, /* VFMSUB132PSZ256mb */
+  0x0, /*  */
+/* Table9005 */
+  0x113b, /* VFNMADD132PSZ256mb */
+  0x0, /*  */
+/* Table9007 */
+  0x11ff, /* VFNMSUB132PSZ256mb */
+  0x0, /*  */
+/* Table9009 */
+  0xf96, /* VFMADDSUBPSZ256v213rmb */
+  0x0, /*  */
+/* Table9011 */
+  0x1048, /* VFMSUBADDPSZ256v213rmb */
+  0x0, /*  */
+/* Table9013 */
+  0xed2, /* VFMADDPSZ256v213rmb */
+  0x0, /*  */
+/* Table9015 */
+  0x10e2, /* VFMSUBPSZ256v213rmb */
+  0x0, /*  */
+/* Table9017 */
+  0x11a6, /* VFNMADDPSZ256v213rmb */
+  0x0, /*  */
+/* Table9019 */
+  0x126a, /* VFNMSUBPSZ256v213rmb */
+  0x0, /*  */
+/* Table9021 */
+  0xf9f, /* VFMADDSUBPSZ256v231rmb */
+  0x0, /*  */
+/* Table9023 */
+  0x1051, /* VFMSUBADDPSZ256v231rmb */
+  0x0, /*  */
+/* Table9025 */
+  0xedb, /* VFMADDPSZ256v231rmb */
+  0x0, /*  */
+/* Table9027 */
+  0x10eb, /* VFMSUBPSZ256v231rmb */
+  0x0, /*  */
+/* Table9029 */
+  0x11af, /* VFNMADDPSZ256v231rmb */
+  0x0, /*  */
+/* Table9031 */
+  0x1273, /* VFNMSUBPSZ256v231rmb */
+  0x0, /*  */
+/* Table9033 */
+  0x18ae, /* VPCMPEQQZ256rmb */
+  0x0, /*  */
+/* Table9035 */
+  0x1902, /* VPCMPGTQZ256rmb */
+  0x0, /*  */
+/* Table9037 */
+  0x1c3d, /* VPMINSQZ256rmb */
+  0x0, /*  */
+/* Table9039 */
+  0x1ca3, /* VPMINUQZ256rmb */
+  0x0, /*  */
+/* Table9041 */
+  0x1b71, /* VPMAXSQZ256rmb */
+  0x0, /*  */
+/* Table9043 */
+  0x1bd7, /* VPMAXUQZ256rmb */
+  0x0, /*  */
+/* Table9045 */
+  0x1dd1, /* VPMULLQZ256rmb */
+  0x0, /*  */
+/* Table9047 */
+  0x203a, /* VRCP14PDZ256mb */
+  0x0, /*  */
+/* Table9049 */
+  0x20cd, /* VRSQRT14PDZ256mb */
+  0x0, /*  */
+/* Table9051 */
+  0x17d0, /* VPBLENDMQZ256rmb */
+  0x0, /*  */
+/* Table9053 */
+  0xc65, /* VBLENDMPDZ256rmb */
+  0x0, /*  */
+/* Table9055 */
+  0xf25, /* VFMADDSUB132PDZ256mb */
+  0x0, /*  */
+/* Table9057 */
+  0xfd7, /* VFMSUBADD132PDZ256mb */
+  0x0, /*  */
+/* Table9059 */
+  0xe61, /* VFMADD132PDZ256mb */
+  0x0, /*  */
+/* Table9061 */
+  0xfcb, /* VFMSUB132PDZ256mb */
+  0x0, /*  */
+/* Table9063 */
+  0x1135, /* VFNMADD132PDZ256mb */
+  0x0, /*  */
+/* Table9065 */
+  0x11f9, /* VFNMSUB132PDZ256mb */
+  0x0, /*  */
+/* Table9067 */
+  0xf49, /* VFMADDSUBPDZ256v213rmb */
+  0x0, /*  */
+/* Table9069 */
+  0xffb, /* VFMSUBADDPDZ256v213rmb */
+  0x0, /*  */
+/* Table9071 */
+  0xe85, /* VFMADDPDZ256v213rmb */
+  0x0, /*  */
+/* Table9073 */
+  0x1095, /* VFMSUBPDZ256v213rmb */
+  0x0, /*  */
+/* Table9075 */
+  0x1159, /* VFNMADDPDZ256v213rmb */
+  0x0, /*  */
+/* Table9077 */
+  0x121d, /* VFNMSUBPDZ256v213rmb */
+  0x0, /*  */
+/* Table9079 */
+  0xf52, /* VFMADDSUBPDZ256v231rmb */
+  0x0, /*  */
+/* Table9081 */
+  0x1004, /* VFMSUBADDPDZ256v231rmb */
+  0x0, /*  */
+/* Table9083 */
+  0xe8e, /* VFMADDPDZ256v231rmb */
+  0x0, /*  */
+/* Table9085 */
+  0x109e, /* VFMSUBPDZ256v231rmb */
+  0x0, /*  */
+/* Table9087 */
+  0x1162, /* VFNMADDPDZ256v231rmb */
+  0x0, /*  */
+/* Table9089 */
+  0x1226, /* VFNMSUBPDZ256v231rmb */
+  0x0, /*  */
+/* Table9091 */
+  0x1676, /* VPABSDZrmb */
+  0x0, /*  */
+/* Table9093 */
+  0x1c29, /* VPMINSDZrmb */
+  0x0, /*  */
+/* Table9095 */
+  0x1c8f, /* VPMINUDZrmb */
+  0x0, /*  */
+/* Table9097 */
+  0x1b5d, /* VPMAXSDZrmb */
+  0x0, /*  */
+/* Table9099 */
+  0x1bc3, /* VPMAXUDZrmb */
+  0x0, /*  */
+/* Table9101 */
+  0x1dbd, /* VPMULLDZrmb */
+  0x0, /*  */
+/* Table9103 */
+  0x1af9, /* VPLZCNTDrmb */
+  0x0, /*  */
+/* Table9105 */
+  0x205e, /* VRCP14PSZmb */
+  0x0, /*  */
+/* Table9107 */
+  0x20f1, /* VRSQRT14PSZmb */
+  0x0, /*  */
+/* Table9109 */
+  0x17c0, /* VPBLENDMDZrmb */
+  0x0, /*  */
+/* Table9111 */
+  0xc85, /* VBLENDMPSZrmb */
+  0x0, /*  */
+/* Table9113 */
+  0xf2d, /* VFMADDSUB132PSZmb */
+  0x0, /*  */
+/* Table9115 */
+  0xfdf, /* VFMSUBADD132PSZmb */
+  0x0, /*  */
+/* Table9117 */
+  0xe69, /* VFMADD132PSZmb */
+  0x0, /*  */
+/* Table9119 */
+  0xfd3, /* VFMSUB132PSZmb */
+  0x0, /*  */
+/* Table9121 */
+  0x113d, /* VFNMADD132PSZmb */
+  0x0, /*  */
+/* Table9123 */
+  0x1201, /* VFNMSUB132PSZmb */
+  0x0, /*  */
+/* Table9125 */
+  0xfa8, /* VFMADDSUBPSZv213rmb */
+  0xfae, /* VFMADDSUBPSZv213rrb */
+/* Table9127 */
+  0x105a, /* VFMSUBADDPSZv213rmb */
+  0x1060, /* VFMSUBADDPSZv213rrb */
+/* Table9129 */
+  0xee4, /* VFMADDPSZv213rmb */
+  0xeea, /* VFMADDPSZv213rrb */
+/* Table9131 */
+  0x10f4, /* VFMSUBPSZv213rmb */
+  0x10fa, /* VFMSUBPSZv213rrb */
+/* Table9133 */
+  0x11b8, /* VFNMADDPSZv213rmb */
+  0x11be, /* VFNMADDPSZv213rrb */
+/* Table9135 */
+  0x127c, /* VFNMSUBPSZv213rmb */
+  0x1282, /* VFNMSUBPSZv213rrb */
+/* Table9137 */
+  0xfb4, /* VFMADDSUBPSZv231rmb */
+  0x0, /*  */
+/* Table9139 */
+  0x1066, /* VFMSUBADDPSZv231rmb */
+  0x0, /*  */
+/* Table9141 */
+  0xef0, /* VFMADDPSZv231rmb */
+  0x0, /*  */
+/* Table9143 */
+  0x1100, /* VFMSUBPSZv231rmb */
+  0x0, /*  */
+/* Table9145 */
+  0x11c4, /* VFNMADDPSZv231rmb */
+  0x0, /*  */
+/* Table9147 */
+  0x1288, /* VFNMSUBPSZv231rmb */
+  0x0, /*  */
+/* Table9149 */
+  0x1a0e, /* VPCONFLICTDrmb */
+  0x0, /*  */
+/* Table9151 */
+  0xe23, /* VEXP2PSmb */
+  0xe29, /* VEXP2PSrb */
+/* Table9153 */
+  0x2077, /* VRCP28PSmb */
+  0x207d, /* VRCP28PSrb */
+/* Table9155 */
+  0x210a, /* VRSQRT28PSmb */
+  0x2110, /* VRSQRT28PSrb */
+/* Table9157 */
+  0x1683, /* VPABSQZrmb */
+  0x0, /*  */
+/* Table9159 */
+  0x1d92, /* VPMULDQZrmb */
+  0x0, /*  */
+/* Table9161 */
+  0x18b4, /* VPCMPEQQZrmb */
+  0x0, /*  */
+/* Table9163 */
+  0x1908, /* VPCMPGTQZrmb */
+  0x0, /*  */
+/* Table9165 */
+  0x1c46, /* VPMINSQZrmb */
+  0x0, /*  */
+/* Table9167 */
+  0x1cac, /* VPMINUQZrmb */
+  0x0, /*  */
+/* Table9169 */
+  0x1b7a, /* VPMAXSQZrmb */
+  0x0, /*  */
+/* Table9171 */
+  0x1be0, /* VPMAXUQZrmb */
+  0x0, /*  */
+/* Table9173 */
+  0x1dda, /* VPMULLQZrmb */
+  0x0, /*  */
+/* Table9175 */
+  0x1b02, /* VPLZCNTQrmb */
+  0x0, /*  */
+/* Table9177 */
+  0x2043, /* VRCP14PDZmb */
+  0x0, /*  */
+/* Table9179 */
+  0x20d6, /* VRSQRT14PDZmb */
+  0x0, /*  */
+/* Table9181 */
+  0x17d8, /* VPBLENDMQZrmb */
+  0x0, /*  */
+/* Table9183 */
+  0xc6d, /* VBLENDMPDZrmb */
+  0x0, /*  */
+/* Table9185 */
+  0xf27, /* VFMADDSUB132PDZmb */
+  0x0, /*  */
+/* Table9187 */
+  0xfd9, /* VFMSUBADD132PDZmb */
+  0x0, /*  */
+/* Table9189 */
+  0xe63, /* VFMADD132PDZmb */
+  0x0, /*  */
+/* Table9191 */
+  0xfcd, /* VFMSUB132PDZmb */
+  0x0, /*  */
+/* Table9193 */
+  0x1137, /* VFNMADD132PDZmb */
+  0x0, /*  */
+/* Table9195 */
+  0x11fb, /* VFNMSUB132PDZmb */
+  0x0, /*  */
+/* Table9197 */
+  0xf5b, /* VFMADDSUBPDZv213rmb */
+  0xf61, /* VFMADDSUBPDZv213rrb */
+/* Table9199 */
+  0x100d, /* VFMSUBADDPDZv213rmb */
+  0x1013, /* VFMSUBADDPDZv213rrb */
+/* Table9201 */
+  0xe97, /* VFMADDPDZv213rmb */
+  0xe9d, /* VFMADDPDZv213rrb */
+/* Table9203 */
+  0x10a7, /* VFMSUBPDZv213rmb */
+  0x10ad, /* VFMSUBPDZv213rrb */
+/* Table9205 */
+  0x116b, /* VFNMADDPDZv213rmb */
+  0x1171, /* VFNMADDPDZv213rrb */
+/* Table9207 */
+  0x122f, /* VFNMSUBPDZv213rmb */
+  0x1235, /* VFNMSUBPDZv213rrb */
+/* Table9209 */
+  0xf67, /* VFMADDSUBPDZv231rmb */
+  0x0, /*  */
+/* Table9211 */
+  0x1019, /* VFMSUBADDPDZv231rmb */
+  0x0, /*  */
+/* Table9213 */
+  0xea3, /* VFMADDPDZv231rmb */
+  0x0, /*  */
+/* Table9215 */
+  0x10b3, /* VFMSUBPDZv231rmb */
+  0x0, /*  */
+/* Table9217 */
+  0x1177, /* VFNMADDPDZv231rmb */
+  0x0, /*  */
+/* Table9219 */
+  0x123b, /* VFNMSUBPDZv231rmb */
+  0x0, /*  */
+/* Table9221 */
+  0x1a17, /* VPCONFLICTQrmb */
+  0x0, /*  */
+/* Table9223 */
+  0xe17, /* VEXP2PDmb */
+  0xe1d, /* VEXP2PDrb */
+/* Table9225 */
+  0x206b, /* VRCP28PDmb */
+  0x2071, /* VRCP28PDrb */
+/* Table9227 */
+  0x20fe, /* VRSQRT28PDmb */
+  0x2104, /* VRSQRT28PDrb */
+/* Table9229 */
+  0x1c18, /* VPMINSDZ128rmbk */
+  0x0, /*  */
+/* Table9231 */
+  0x1c7e, /* VPMINUDZ128rmbk */
+  0x0, /*  */
+/* Table9233 */
+  0x1b4c, /* VPMAXSDZ128rmbk */
+  0x0, /*  */
+/* Table9235 */
+  0x1bb2, /* VPMAXUDZ128rmbk */
+  0x0, /*  */
+/* Table9237 */
+  0x1dac, /* VPMULLDZ128rmbk */
+  0x0, /*  */
+/* Table9239 */
+  0x204d, /* VRCP14PSZ128mbk */
+  0x0, /*  */
+/* Table9241 */
+  0x20e0, /* VRSQRT14PSZ128mbk */
+  0x0, /*  */
+/* Table9243 */
+  0x17b1, /* VPBLENDMDZ128rmbk */
+  0x0, /*  */
+/* Table9245 */
+  0xc76, /* VBLENDMPSZ128rmbk */
+  0x0, /*  */
+/* Table9247 */
+  0xf85, /* VFMADDSUBPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9249 */
+  0x1037, /* VFMSUBADDPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9251 */
+  0xec1, /* VFMADDPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9253 */
+  0x10d1, /* VFMSUBPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9255 */
+  0x1195, /* VFNMADDPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9257 */
+  0x1259, /* VFNMSUBPSZ128v213rmbk */
+  0x0, /*  */
+/* Table9259 */
+  0xf8e, /* VFMADDSUBPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9261 */
+  0x1040, /* VFMSUBADDPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9263 */
+  0xeca, /* VFMADDPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9265 */
+  0x10da, /* VFMSUBPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9267 */
+  0x119e, /* VFNMADDPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9269 */
+  0x1262, /* VFNMSUBPSZ128v231rmbk */
+  0x0, /*  */
+/* Table9271 */
+  0x0, /*  */
+  0x2090, /* VRCP28SSrbk */
+/* Table9273 */
+  0x0, /*  */
+  0x2123, /* VRSQRT28SSrbk */
+/* Table9275 */
+  0x18a9, /* VPCMPEQQZ128rmbk */
+  0x0, /*  */
+/* Table9277 */
+  0x18fd, /* VPCMPGTQZ128rmbk */
+  0x0, /*  */
+/* Table9279 */
+  0x1c35, /* VPMINSQZ128rmbk */
+  0x0, /*  */
+/* Table9281 */
+  0x1c9b, /* VPMINUQZ128rmbk */
+  0x0, /*  */
+/* Table9283 */
+  0x1b69, /* VPMAXSQZ128rmbk */
+  0x0, /*  */
+/* Table9285 */
+  0x1bcf, /* VPMAXUQZ128rmbk */
+  0x0, /*  */
+/* Table9287 */
+  0x1dc9, /* VPMULLQZ128rmbk */
+  0x0, /*  */
+/* Table9289 */
+  0x2032, /* VRCP14PDZ128mbk */
+  0x0, /*  */
+/* Table9291 */
+  0x20c5, /* VRSQRT14PDZ128mbk */
+  0x0, /*  */
+/* Table9293 */
+  0x17c9, /* VPBLENDMQZ128rmbk */
+  0x0, /*  */
+/* Table9295 */
+  0xc5e, /* VBLENDMPDZ128rmbk */
+  0x0, /*  */
+/* Table9297 */
+  0xf38, /* VFMADDSUBPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9299 */
+  0xfea, /* VFMSUBADDPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9301 */
+  0xe74, /* VFMADDPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9303 */
+  0x1084, /* VFMSUBPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9305 */
+  0x1148, /* VFNMADDPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9307 */
+  0x120c, /* VFNMSUBPDZ128v213rmbk */
+  0x0, /*  */
+/* Table9309 */
+  0xf41, /* VFMADDSUBPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9311 */
+  0xff3, /* VFMSUBADDPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9313 */
+  0xe7d, /* VFMADDPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9315 */
+  0x108d, /* VFMSUBPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9317 */
+  0x1151, /* VFNMADDPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9319 */
+  0x1215, /* VFNMSUBPDZ128v231rmbk */
+  0x0, /*  */
+/* Table9321 */
+  0x0, /*  */
+  0x2087, /* VRCP28SDrbk */
+/* Table9323 */
+  0x0, /*  */
+  0x211a, /* VRSQRT28SDrbk */
+/* Table9325 */
+  0x1c21, /* VPMINSDZ256rmbk */
+  0x0, /*  */
+/* Table9327 */
+  0x1c87, /* VPMINUDZ256rmbk */
+  0x0, /*  */
+/* Table9329 */
+  0x1b55, /* VPMAXSDZ256rmbk */
+  0x0, /*  */
+/* Table9331 */
+  0x1bbb, /* VPMAXUDZ256rmbk */
+  0x0, /*  */
+/* Table9333 */
+  0x1db5, /* VPMULLDZ256rmbk */
+  0x0, /*  */
+/* Table9335 */
+  0x2056, /* VRCP14PSZ256mbk */
+  0x0, /*  */
+/* Table9337 */
+  0x20e9, /* VRSQRT14PSZ256mbk */
+  0x0, /*  */
+/* Table9339 */
+  0x17b9, /* VPBLENDMDZ256rmbk */
+  0x0, /*  */
+/* Table9341 */
+  0xc7e, /* VBLENDMPSZ256rmbk */
+  0x0, /*  */
+/* Table9343 */
+  0xf97, /* VFMADDSUBPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9345 */
+  0x1049, /* VFMSUBADDPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9347 */
+  0xed3, /* VFMADDPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9349 */
+  0x10e3, /* VFMSUBPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9351 */
+  0x11a7, /* VFNMADDPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9353 */
+  0x126b, /* VFNMSUBPSZ256v213rmbk */
+  0x0, /*  */
+/* Table9355 */
+  0xfa0, /* VFMADDSUBPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9357 */
+  0x1052, /* VFMSUBADDPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9359 */
+  0xedc, /* VFMADDPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9361 */
+  0x10ec, /* VFMSUBPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9363 */
+  0x11b0, /* VFNMADDPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9365 */
+  0x1274, /* VFNMSUBPSZ256v231rmbk */
+  0x0, /*  */
+/* Table9367 */
+  0x18af, /* VPCMPEQQZ256rmbk */
+  0x0, /*  */
+/* Table9369 */
+  0x1903, /* VPCMPGTQZ256rmbk */
+  0x0, /*  */
+/* Table9371 */
+  0x1c3e, /* VPMINSQZ256rmbk */
+  0x0, /*  */
+/* Table9373 */
+  0x1ca4, /* VPMINUQZ256rmbk */
+  0x0, /*  */
+/* Table9375 */
+  0x1b72, /* VPMAXSQZ256rmbk */
+  0x0, /*  */
+/* Table9377 */
+  0x1bd8, /* VPMAXUQZ256rmbk */
+  0x0, /*  */
+/* Table9379 */
+  0x1dd2, /* VPMULLQZ256rmbk */
+  0x0, /*  */
+/* Table9381 */
+  0x203b, /* VRCP14PDZ256mbk */
+  0x0, /*  */
+/* Table9383 */
+  0x20ce, /* VRSQRT14PDZ256mbk */
+  0x0, /*  */
+/* Table9385 */
+  0x17d1, /* VPBLENDMQZ256rmbk */
+  0x0, /*  */
+/* Table9387 */
+  0xc66, /* VBLENDMPDZ256rmbk */
+  0x0, /*  */
+/* Table9389 */
+  0xf4a, /* VFMADDSUBPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9391 */
+  0xffc, /* VFMSUBADDPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9393 */
+  0xe86, /* VFMADDPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9395 */
+  0x1096, /* VFMSUBPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9397 */
+  0x115a, /* VFNMADDPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9399 */
+  0x121e, /* VFNMSUBPDZ256v213rmbk */
+  0x0, /*  */
+/* Table9401 */
+  0xf53, /* VFMADDSUBPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9403 */
+  0x1005, /* VFMSUBADDPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9405 */
+  0xe8f, /* VFMADDPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9407 */
+  0x109f, /* VFMSUBPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9409 */
+  0x1163, /* VFNMADDPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9411 */
+  0x1227, /* VFNMSUBPDZ256v231rmbk */
+  0x0, /*  */
+/* Table9413 */
+  0x1677, /* VPABSDZrmbk */
+  0x0, /*  */
+/* Table9415 */
+  0x1c2a, /* VPMINSDZrmbk */
+  0x0, /*  */
+/* Table9417 */
+  0x1c90, /* VPMINUDZrmbk */
+  0x0, /*  */
+/* Table9419 */
+  0x1b5e, /* VPMAXSDZrmbk */
+  0x0, /*  */
+/* Table9421 */
+  0x1bc4, /* VPMAXUDZrmbk */
+  0x0, /*  */
+/* Table9423 */
+  0x1dbe, /* VPMULLDZrmbk */
+  0x0, /*  */
+/* Table9425 */
+  0x1afa, /* VPLZCNTDrmbk */
+  0x0, /*  */
+/* Table9427 */
+  0x205f, /* VRCP14PSZmbk */
+  0x0, /*  */
+/* Table9429 */
+  0x20f2, /* VRSQRT14PSZmbk */
+  0x0, /*  */
+/* Table9431 */
+  0x17c1, /* VPBLENDMDZrmbk */
+  0x0, /*  */
+/* Table9433 */
+  0xc86, /* VBLENDMPSZrmbk */
+  0x0, /*  */
+/* Table9435 */
+  0xfa9, /* VFMADDSUBPSZv213rmbk */
+  0xfaf, /* VFMADDSUBPSZv213rrbk */
+/* Table9437 */
+  0x105b, /* VFMSUBADDPSZv213rmbk */
+  0x1061, /* VFMSUBADDPSZv213rrbk */
+/* Table9439 */
+  0xee5, /* VFMADDPSZv213rmbk */
+  0xeeb, /* VFMADDPSZv213rrbk */
+/* Table9441 */
+  0x10f5, /* VFMSUBPSZv213rmbk */
+  0x10fb, /* VFMSUBPSZv213rrbk */
+/* Table9443 */
+  0x11b9, /* VFNMADDPSZv213rmbk */
+  0x11bf, /* VFNMADDPSZv213rrbk */
+/* Table9445 */
+  0x127d, /* VFNMSUBPSZv213rmbk */
+  0x1283, /* VFNMSUBPSZv213rrbk */
+/* Table9447 */
+  0xfb5, /* VFMADDSUBPSZv231rmbk */
+  0x0, /*  */
+/* Table9449 */
+  0x1067, /* VFMSUBADDPSZv231rmbk */
+  0x0, /*  */
+/* Table9451 */
+  0xef1, /* VFMADDPSZv231rmbk */
+  0x0, /*  */
+/* Table9453 */
+  0x1101, /* VFMSUBPSZv231rmbk */
+  0x0, /*  */
+/* Table9455 */
+  0x11c5, /* VFNMADDPSZv231rmbk */
+  0x0, /*  */
+/* Table9457 */
+  0x1289, /* VFNMSUBPSZv231rmbk */
+  0x0, /*  */
+/* Table9459 */
+  0x1a0f, /* VPCONFLICTDrmbk */
+  0x0, /*  */
+/* Table9461 */
+  0xe24, /* VEXP2PSmbk */
+  0xe2a, /* VEXP2PSrbk */
+/* Table9463 */
+  0x2078, /* VRCP28PSmbk */
+  0x207e, /* VRCP28PSrbk */
+/* Table9465 */
+  0x210b, /* VRSQRT28PSmbk */
+  0x2111, /* VRSQRT28PSrbk */
+/* Table9467 */
+  0x1684, /* VPABSQZrmbk */
+  0x0, /*  */
+/* Table9469 */
+  0x1d93, /* VPMULDQZrmbk */
+  0x0, /*  */
+/* Table9471 */
+  0x18b5, /* VPCMPEQQZrmbk */
+  0x0, /*  */
+/* Table9473 */
+  0x1909, /* VPCMPGTQZrmbk */
+  0x0, /*  */
+/* Table9475 */
+  0x1c47, /* VPMINSQZrmbk */
+  0x0, /*  */
+/* Table9477 */
+  0x1cad, /* VPMINUQZrmbk */
+  0x0, /*  */
+/* Table9479 */
+  0x1b7b, /* VPMAXSQZrmbk */
+  0x0, /*  */
+/* Table9481 */
+  0x1be1, /* VPMAXUQZrmbk */
+  0x0, /*  */
+/* Table9483 */
+  0x1ddb, /* VPMULLQZrmbk */
+  0x0, /*  */
+/* Table9485 */
+  0x1b03, /* VPLZCNTQrmbk */
+  0x0, /*  */
+/* Table9487 */
+  0x2044, /* VRCP14PDZmbk */
+  0x0, /*  */
+/* Table9489 */
+  0x20d7, /* VRSQRT14PDZmbk */
+  0x0, /*  */
+/* Table9491 */
+  0x17d9, /* VPBLENDMQZrmbk */
+  0x0, /*  */
+/* Table9493 */
+  0xc6e, /* VBLENDMPDZrmbk */
+  0x0, /*  */
+/* Table9495 */
+  0xf5c, /* VFMADDSUBPDZv213rmbk */
+  0xf62, /* VFMADDSUBPDZv213rrbk */
+/* Table9497 */
+  0x100e, /* VFMSUBADDPDZv213rmbk */
+  0x1014, /* VFMSUBADDPDZv213rrbk */
+/* Table9499 */
+  0xe98, /* VFMADDPDZv213rmbk */
+  0xe9e, /* VFMADDPDZv213rrbk */
+/* Table9501 */
+  0x10a8, /* VFMSUBPDZv213rmbk */
+  0x10ae, /* VFMSUBPDZv213rrbk */
+/* Table9503 */
+  0x116c, /* VFNMADDPDZv213rmbk */
+  0x1172, /* VFNMADDPDZv213rrbk */
+/* Table9505 */
+  0x1230, /* VFNMSUBPDZv213rmbk */
+  0x1236, /* VFNMSUBPDZv213rrbk */
+/* Table9507 */
+  0xf68, /* VFMADDSUBPDZv231rmbk */
+  0x0, /*  */
+/* Table9509 */
+  0x101a, /* VFMSUBADDPDZv231rmbk */
+  0x0, /*  */
+/* Table9511 */
+  0xea4, /* VFMADDPDZv231rmbk */
+  0x0, /*  */
+/* Table9513 */
+  0x10b4, /* VFMSUBPDZv231rmbk */
+  0x0, /*  */
+/* Table9515 */
+  0x1178, /* VFNMADDPDZv231rmbk */
+  0x0, /*  */
+/* Table9517 */
+  0x123c, /* VFNMSUBPDZv231rmbk */
+  0x0, /*  */
+/* Table9519 */
+  0x1a18, /* VPCONFLICTQrmbk */
+  0x0, /*  */
+/* Table9521 */
+  0xe18, /* VEXP2PDmbk */
+  0xe1e, /* VEXP2PDrbk */
+/* Table9523 */
+  0x206c, /* VRCP28PDmbk */
+  0x2072, /* VRCP28PDrbk */
+/* Table9525 */
+  0x20ff, /* VRSQRT28PDmbk */
+  0x2105, /* VRSQRT28PDrbk */
+/* Table9527 */
+  0x1c19, /* VPMINSDZ128rmbkz */
+  0x0, /*  */
+/* Table9529 */
+  0x1c7f, /* VPMINUDZ128rmbkz */
+  0x0, /*  */
+/* Table9531 */
+  0x1b4d, /* VPMAXSDZ128rmbkz */
+  0x0, /*  */
+/* Table9533 */
+  0x1bb3, /* VPMAXUDZ128rmbkz */
+  0x0, /*  */
+/* Table9535 */
+  0x1dad, /* VPMULLDZ128rmbkz */
+  0x0, /*  */
+/* Table9537 */
+  0x204e, /* VRCP14PSZ128mbkz */
+  0x0, /*  */
+/* Table9539 */
+  0x20e1, /* VRSQRT14PSZ128mbkz */
+  0x0, /*  */
+/* Table9541 */
+  0xf86, /* VFMADDSUBPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9543 */
+  0x1038, /* VFMSUBADDPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9545 */
+  0xec2, /* VFMADDPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9547 */
+  0x10d2, /* VFMSUBPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9549 */
+  0x1196, /* VFNMADDPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9551 */
+  0x125a, /* VFNMSUBPSZ128v213rmbkz */
+  0x0, /*  */
+/* Table9553 */
+  0xf8f, /* VFMADDSUBPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9555 */
+  0x1041, /* VFMSUBADDPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9557 */
+  0xecb, /* VFMADDPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9559 */
+  0x10db, /* VFMSUBPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9561 */
+  0x119f, /* VFNMADDPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9563 */
+  0x1263, /* VFNMSUBPSZ128v231rmbkz */
+  0x0, /*  */
+/* Table9565 */
+  0x0, /*  */
+  0x2091, /* VRCP28SSrbkz */
+/* Table9567 */
+  0x0, /*  */
+  0x2124, /* VRSQRT28SSrbkz */
+/* Table9569 */
+  0x1c36, /* VPMINSQZ128rmbkz */
+  0x0, /*  */
+/* Table9571 */
+  0x1c9c, /* VPMINUQZ128rmbkz */
+  0x0, /*  */
+/* Table9573 */
+  0x1b6a, /* VPMAXSQZ128rmbkz */
+  0x0, /*  */
+/* Table9575 */
+  0x1bd0, /* VPMAXUQZ128rmbkz */
+  0x0, /*  */
+/* Table9577 */
+  0x1dca, /* VPMULLQZ128rmbkz */
+  0x0, /*  */
+/* Table9579 */
+  0x2033, /* VRCP14PDZ128mbkz */
+  0x0, /*  */
+/* Table9581 */
+  0x20c6, /* VRSQRT14PDZ128mbkz */
+  0x0, /*  */
+/* Table9583 */
+  0xf39, /* VFMADDSUBPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9585 */
+  0xfeb, /* VFMSUBADDPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9587 */
+  0xe75, /* VFMADDPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9589 */
+  0x1085, /* VFMSUBPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9591 */
+  0x1149, /* VFNMADDPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9593 */
+  0x120d, /* VFNMSUBPDZ128v213rmbkz */
+  0x0, /*  */
+/* Table9595 */
+  0xf42, /* VFMADDSUBPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9597 */
+  0xff4, /* VFMSUBADDPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9599 */
+  0xe7e, /* VFMADDPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9601 */
+  0x108e, /* VFMSUBPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9603 */
+  0x1152, /* VFNMADDPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9605 */
+  0x1216, /* VFNMSUBPDZ128v231rmbkz */
+  0x0, /*  */
+/* Table9607 */
+  0x0, /*  */
+  0x2088, /* VRCP28SDrbkz */
+/* Table9609 */
+  0x0, /*  */
+  0x211b, /* VRSQRT28SDrbkz */
+/* Table9611 */
+  0x1c22, /* VPMINSDZ256rmbkz */
+  0x0, /*  */
+/* Table9613 */
+  0x1c88, /* VPMINUDZ256rmbkz */
+  0x0, /*  */
+/* Table9615 */
+  0x1b56, /* VPMAXSDZ256rmbkz */
+  0x0, /*  */
+/* Table9617 */
+  0x1bbc, /* VPMAXUDZ256rmbkz */
+  0x0, /*  */
+/* Table9619 */
+  0x1db6, /* VPMULLDZ256rmbkz */
+  0x0, /*  */
+/* Table9621 */
+  0x2057, /* VRCP14PSZ256mbkz */
+  0x0, /*  */
+/* Table9623 */
+  0x20ea, /* VRSQRT14PSZ256mbkz */
+  0x0, /*  */
+/* Table9625 */
+  0xf98, /* VFMADDSUBPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9627 */
+  0x104a, /* VFMSUBADDPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9629 */
+  0xed4, /* VFMADDPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9631 */
+  0x10e4, /* VFMSUBPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9633 */
+  0x11a8, /* VFNMADDPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9635 */
+  0x126c, /* VFNMSUBPSZ256v213rmbkz */
+  0x0, /*  */
+/* Table9637 */
+  0xfa1, /* VFMADDSUBPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9639 */
+  0x1053, /* VFMSUBADDPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9641 */
+  0xedd, /* VFMADDPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9643 */
+  0x10ed, /* VFMSUBPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9645 */
+  0x11b1, /* VFNMADDPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9647 */
+  0x1275, /* VFNMSUBPSZ256v231rmbkz */
+  0x0, /*  */
+/* Table9649 */
+  0x1c3f, /* VPMINSQZ256rmbkz */
+  0x0, /*  */
+/* Table9651 */
+  0x1ca5, /* VPMINUQZ256rmbkz */
+  0x0, /*  */
+/* Table9653 */
+  0x1b73, /* VPMAXSQZ256rmbkz */
+  0x0, /*  */
+/* Table9655 */
+  0x1bd9, /* VPMAXUQZ256rmbkz */
+  0x0, /*  */
+/* Table9657 */
+  0x1dd3, /* VPMULLQZ256rmbkz */
+  0x0, /*  */
+/* Table9659 */
+  0x203c, /* VRCP14PDZ256mbkz */
+  0x0, /*  */
+/* Table9661 */
+  0x20cf, /* VRSQRT14PDZ256mbkz */
+  0x0, /*  */
+/* Table9663 */
+  0xf4b, /* VFMADDSUBPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9665 */
+  0xffd, /* VFMSUBADDPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9667 */
+  0xe87, /* VFMADDPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9669 */
+  0x1097, /* VFMSUBPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9671 */
+  0x115b, /* VFNMADDPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9673 */
+  0x121f, /* VFNMSUBPDZ256v213rmbkz */
+  0x0, /*  */
+/* Table9675 */
+  0xf54, /* VFMADDSUBPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9677 */
+  0x1006, /* VFMSUBADDPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9679 */
+  0xe90, /* VFMADDPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9681 */
+  0x10a0, /* VFMSUBPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9683 */
+  0x1164, /* VFNMADDPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9685 */
+  0x1228, /* VFNMSUBPDZ256v231rmbkz */
+  0x0, /*  */
+/* Table9687 */
+  0x1678, /* VPABSDZrmbkz */
+  0x0, /*  */
+/* Table9689 */
+  0x1c2b, /* VPMINSDZrmbkz */
+  0x0, /*  */
+/* Table9691 */
+  0x1c91, /* VPMINUDZrmbkz */
+  0x0, /*  */
+/* Table9693 */
+  0x1b5f, /* VPMAXSDZrmbkz */
+  0x0, /*  */
+/* Table9695 */
+  0x1bc5, /* VPMAXUDZrmbkz */
+  0x0, /*  */
+/* Table9697 */
+  0x1dbf, /* VPMULLDZrmbkz */
+  0x0, /*  */
+/* Table9699 */
+  0x1afb, /* VPLZCNTDrmbkz */
+  0x0, /*  */
+/* Table9701 */
+  0x2060, /* VRCP14PSZmbkz */
+  0x0, /*  */
+/* Table9703 */
+  0x20f3, /* VRSQRT14PSZmbkz */
+  0x0, /*  */
+/* Table9705 */
+  0xfaa, /* VFMADDSUBPSZv213rmbkz */
+  0xfb0, /* VFMADDSUBPSZv213rrbkz */
+/* Table9707 */
+  0x105c, /* VFMSUBADDPSZv213rmbkz */
+  0x1062, /* VFMSUBADDPSZv213rrbkz */
+/* Table9709 */
+  0xee6, /* VFMADDPSZv213rmbkz */
+  0xeec, /* VFMADDPSZv213rrbkz */
+/* Table9711 */
+  0x10f6, /* VFMSUBPSZv213rmbkz */
+  0x10fc, /* VFMSUBPSZv213rrbkz */
+/* Table9713 */
+  0x11ba, /* VFNMADDPSZv213rmbkz */
+  0x11c0, /* VFNMADDPSZv213rrbkz */
+/* Table9715 */
+  0x127e, /* VFNMSUBPSZv213rmbkz */
+  0x1284, /* VFNMSUBPSZv213rrbkz */
+/* Table9717 */
+  0xfb6, /* VFMADDSUBPSZv231rmbkz */
+  0x0, /*  */
+/* Table9719 */
+  0x1068, /* VFMSUBADDPSZv231rmbkz */
+  0x0, /*  */
+/* Table9721 */
+  0xef2, /* VFMADDPSZv231rmbkz */
+  0x0, /*  */
+/* Table9723 */
+  0x1102, /* VFMSUBPSZv231rmbkz */
+  0x0, /*  */
+/* Table9725 */
+  0x11c6, /* VFNMADDPSZv231rmbkz */
+  0x0, /*  */
+/* Table9727 */
+  0x128a, /* VFNMSUBPSZv231rmbkz */
+  0x0, /*  */
+/* Table9729 */
+  0x1a10, /* VPCONFLICTDrmbkz */
+  0x0, /*  */
+/* Table9731 */
+  0xe25, /* VEXP2PSmbkz */
+  0xe2b, /* VEXP2PSrbkz */
+/* Table9733 */
+  0x2079, /* VRCP28PSmbkz */
+  0x207f, /* VRCP28PSrbkz */
+/* Table9735 */
+  0x210c, /* VRSQRT28PSmbkz */
+  0x2112, /* VRSQRT28PSrbkz */
+/* Table9737 */
+  0x1685, /* VPABSQZrmbkz */
+  0x0, /*  */
+/* Table9739 */
+  0x1d94, /* VPMULDQZrmbkz */
+  0x0, /*  */
+/* Table9741 */
+  0x1c48, /* VPMINSQZrmbkz */
+  0x0, /*  */
+/* Table9743 */
+  0x1cae, /* VPMINUQZrmbkz */
+  0x0, /*  */
+/* Table9745 */
+  0x1b7c, /* VPMAXSQZrmbkz */
+  0x0, /*  */
+/* Table9747 */
+  0x1be2, /* VPMAXUQZrmbkz */
+  0x0, /*  */
+/* Table9749 */
+  0x1ddc, /* VPMULLQZrmbkz */
+  0x0, /*  */
+/* Table9751 */
+  0x1b04, /* VPLZCNTQrmbkz */
+  0x0, /*  */
+/* Table9753 */
+  0x2045, /* VRCP14PDZmbkz */
+  0x0, /*  */
+/* Table9755 */
+  0x20d8, /* VRSQRT14PDZmbkz */
+  0x0, /*  */
+/* Table9757 */
+  0xf5d, /* VFMADDSUBPDZv213rmbkz */
+  0xf63, /* VFMADDSUBPDZv213rrbkz */
+/* Table9759 */
+  0x100f, /* VFMSUBADDPDZv213rmbkz */
+  0x1015, /* VFMSUBADDPDZv213rrbkz */
+/* Table9761 */
+  0xe99, /* VFMADDPDZv213rmbkz */
+  0xe9f, /* VFMADDPDZv213rrbkz */
+/* Table9763 */
+  0x10a9, /* VFMSUBPDZv213rmbkz */
+  0x10af, /* VFMSUBPDZv213rrbkz */
+/* Table9765 */
+  0x116d, /* VFNMADDPDZv213rmbkz */
+  0x1173, /* VFNMADDPDZv213rrbkz */
+/* Table9767 */
+  0x1231, /* VFNMSUBPDZv213rmbkz */
+  0x1237, /* VFNMSUBPDZv213rrbkz */
+/* Table9769 */
+  0xf69, /* VFMADDSUBPDZv231rmbkz */
+  0x0, /*  */
+/* Table9771 */
+  0x101b, /* VFMSUBADDPDZv231rmbkz */
+  0x0, /*  */
+/* Table9773 */
+  0xea5, /* VFMADDPDZv231rmbkz */
+  0x0, /*  */
+/* Table9775 */
+  0x10b5, /* VFMSUBPDZv231rmbkz */
+  0x0, /*  */
+/* Table9777 */
+  0x1179, /* VFNMADDPDZv231rmbkz */
+  0x0, /*  */
+/* Table9779 */
+  0x123d, /* VFNMSUBPDZv231rmbkz */
+  0x0, /*  */
+/* Table9781 */
+  0x1a19, /* VPCONFLICTQrmbkz */
+  0x0, /*  */
+/* Table9783 */
+  0xe19, /* VEXP2PDmbkz */
+  0xe1f, /* VEXP2PDrbkz */
+/* Table9785 */
+  0x206d, /* VRCP28PDmbkz */
+  0x2073, /* VRCP28PDrbkz */
+/* Table9787 */
+  0x2100, /* VRSQRT28PDmbkz */
+  0x2106, /* VRSQRT28PDrbkz */
+/* Table9789 */
+  0xcb3, /* VBROADCASTSSZ128mkz */
+  0xcb6, /* VBROADCASTSSZ128rkz */
+/* Table9791 */
+  0x1c02, /* VPMINSBZ128rmkz */
+  0x1c05, /* VPMINSBZ128rrkz */
+/* Table9793 */
+  0x1c1b, /* VPMINSDZ128rmkz */
+  0x1c1e, /* VPMINSDZ128rrkz */
+/* Table9795 */
+  0x1cb8, /* VPMINUWZ128rmkz */
+  0x1cbb, /* VPMINUWZ128rrkz */
+/* Table9797 */
+  0x1c81, /* VPMINUDZ128rmkz */
+  0x1c84, /* VPMINUDZ128rrkz */
+/* Table9799 */
+  0x1b36, /* VPMAXSBZ128rmkz */
+  0x1b39, /* VPMAXSBZ128rrkz */
+/* Table9801 */
+  0x1b4f, /* VPMAXSDZ128rmkz */
+  0x1b52, /* VPMAXSDZ128rrkz */
+/* Table9803 */
+  0x1bec, /* VPMAXUWZ128rmkz */
+  0x1bef, /* VPMAXUWZ128rrkz */
+/* Table9805 */
+  0x1bb5, /* VPMAXUDZ128rmkz */
+  0x1bb8, /* VPMAXUDZ128rrkz */
+/* Table9807 */
+  0x1daf, /* VPMULLDZ128rmkz */
+  0x1db2, /* VPMULLDZ128rrkz */
+/* Table9809 */
+  0x2050, /* VRCP14PSZ128mkz */
+  0x2053, /* VRCP14PSZ128rkz */
+/* Table9811 */
+  0x20e3, /* VRSQRT14PSZ128mkz */
+  0x20e6, /* VRSQRT14PSZ128rkz */
+/* Table9813 */
+  0x17b3, /* VPBLENDMDZ128rmkz */
+  0x17b6, /* VPBLENDMDZ128rrkz */
+/* Table9815 */
+  0xc78, /* VBLENDMPSZ128rmkz */
+  0xc7b, /* VBLENDMPSZ128rrkz */
+/* Table9817 */
+  0x179f, /* VPBLENDMBZ128rmkz */
+  0x17a2, /* VPBLENDMBZ128rrkz */
+/* Table9819 */
+  0x0, /*  */
+  0x17fd, /* VPBROADCASTBrZ128rkz */
+/* Table9821 */
+  0x0, /*  */
+  0x1832, /* VPBROADCASTWrZ128rkz */
+/* Table9823 */
+  0x0, /*  */
+  0x180e, /* VPBROADCASTDrZ128rkz */
+/* Table9825 */
+  0xe3b, /* VEXPANDPSZ128rmkz */
+  0xe3d, /* VEXPANDPSZ128rrkz */
+/* Table9827 */
+  0x1a8c, /* VPEXPANDDZ128rmkz */
+  0x1a8e, /* VPEXPANDDZ128rrkz */
+/* Table9829 */
+  0x0, /*  */
+  0xd04, /* VCOMPRESSPSZ128rrkz */
+/* Table9831 */
+  0x0, /*  */
+  0x19e5, /* VPCOMPRESSDZ128rrkz */
+/* Table9833 */
+  0xf88, /* VFMADDSUBPSZ128v213rmkz */
+  0xf8b, /* VFMADDSUBPSZ128v213rrkz */
+/* Table9835 */
+  0x103a, /* VFMSUBADDPSZ128v213rmkz */
+  0x103d, /* VFMSUBADDPSZ128v213rrkz */
+/* Table9837 */
+  0xec4, /* VFMADDPSZ128v213rmkz */
+  0xec7, /* VFMADDPSZ128v213rrkz */
+/* Table9839 */
+  0x10d4, /* VFMSUBPSZ128v213rmkz */
+  0x10d7, /* VFMSUBPSZ128v213rrkz */
+/* Table9841 */
+  0x1198, /* VFNMADDPSZ128v213rmkz */
+  0x119b, /* VFNMADDPSZ128v213rrkz */
+/* Table9843 */
+  0x125c, /* VFNMSUBPSZ128v213rmkz */
+  0x125f, /* VFNMSUBPSZ128v213rrkz */
+/* Table9845 */
+  0xf91, /* VFMADDSUBPSZ128v231rmkz */
+  0xf94, /* VFMADDSUBPSZ128v231rrkz */
+/* Table9847 */
+  0x1043, /* VFMSUBADDPSZ128v231rmkz */
+  0x1046, /* VFMSUBADDPSZ128v231rrkz */
+/* Table9849 */
+  0xecd, /* VFMADDPSZ128v231rmkz */
+  0xed0, /* VFMADDPSZ128v231rrkz */
+/* Table9851 */
+  0x10dd, /* VFMSUBPSZ128v231rmkz */
+  0x10e0, /* VFMSUBPSZ128v231rrkz */
+/* Table9853 */
+  0x11a1, /* VFNMADDPSZ128v231rmkz */
+  0x11a4, /* VFNMADDPSZ128v231rrkz */
+/* Table9855 */
+  0x1265, /* VFNMSUBPSZ128v231rmkz */
+  0x1268, /* VFNMSUBPSZ128v231rrkz */
+/* Table9857 */
+  0x208d, /* VRCP28SSmkz */
+  0x2093, /* VRCP28SSrkz */
+/* Table9859 */
+  0x2120, /* VRSQRT28SSmkz */
+  0x2126, /* VRSQRT28SSrkz */
+/* Table9861 */
+  0x1c38, /* VPMINSQZ128rmkz */
+  0x1c3b, /* VPMINSQZ128rrkz */
+/* Table9863 */
+  0x1c9e, /* VPMINUQZ128rmkz */
+  0x1ca1, /* VPMINUQZ128rrkz */
+/* Table9865 */
+  0x1b6c, /* VPMAXSQZ128rmkz */
+  0x1b6f, /* VPMAXSQZ128rrkz */
+/* Table9867 */
+  0x1bd2, /* VPMAXUQZ128rmkz */
+  0x1bd5, /* VPMAXUQZ128rrkz */
+/* Table9869 */
+  0x1dcc, /* VPMULLQZ128rmkz */
+  0x1dcf, /* VPMULLQZ128rrkz */
+/* Table9871 */
+  0x2035, /* VRCP14PDZ128mkz */
+  0x2038, /* VRCP14PDZ128rkz */
+/* Table9873 */
+  0x20c8, /* VRSQRT14PDZ128mkz */
+  0x20cb, /* VRSQRT14PDZ128rkz */
+/* Table9875 */
+  0x17cb, /* VPBLENDMQZ128rmkz */
+  0x17ce, /* VPBLENDMQZ128rrkz */
+/* Table9877 */
+  0xc60, /* VBLENDMPDZ128rmkz */
+  0xc63, /* VBLENDMPDZ128rrkz */
+/* Table9879 */
+  0x17e1, /* VPBLENDMWZ128rmkz */
+  0x17e4, /* VPBLENDMWZ128rrkz */
+/* Table9881 */
+  0x0, /*  */
+  0x1825, /* VPBROADCASTQrZ128rkz */
+/* Table9883 */
+  0xe2f, /* VEXPANDPDZ128rmkz */
+  0xe31, /* VEXPANDPDZ128rrkz */
+/* Table9885 */
+  0x1a98, /* VPEXPANDQZ128rmkz */
+  0x1a9a, /* VPEXPANDQZ128rrkz */
+/* Table9887 */
+  0x0, /*  */
+  0xcfb, /* VCOMPRESSPDZ128rrkz */
+/* Table9889 */
+  0x0, /*  */
+  0x19ee, /* VPCOMPRESSQZ128rrkz */
+/* Table9891 */
+  0xf3b, /* VFMADDSUBPDZ128v213rmkz */
+  0xf3e, /* VFMADDSUBPDZ128v213rrkz */
+/* Table9893 */
+  0xfed, /* VFMSUBADDPDZ128v213rmkz */
+  0xff0, /* VFMSUBADDPDZ128v213rrkz */
+/* Table9895 */
+  0xe77, /* VFMADDPDZ128v213rmkz */
+  0xe7a, /* VFMADDPDZ128v213rrkz */
+/* Table9897 */
+  0x1087, /* VFMSUBPDZ128v213rmkz */
+  0x108a, /* VFMSUBPDZ128v213rrkz */
+/* Table9899 */
+  0x114b, /* VFNMADDPDZ128v213rmkz */
+  0x114e, /* VFNMADDPDZ128v213rrkz */
+/* Table9901 */
+  0x120f, /* VFNMSUBPDZ128v213rmkz */
+  0x1212, /* VFNMSUBPDZ128v213rrkz */
+/* Table9903 */
+  0xf44, /* VFMADDSUBPDZ128v231rmkz */
+  0xf47, /* VFMADDSUBPDZ128v231rrkz */
+/* Table9905 */
+  0xff6, /* VFMSUBADDPDZ128v231rmkz */
+  0xff9, /* VFMSUBADDPDZ128v231rrkz */
+/* Table9907 */
+  0xe80, /* VFMADDPDZ128v231rmkz */
+  0xe83, /* VFMADDPDZ128v231rrkz */
+/* Table9909 */
+  0x1090, /* VFMSUBPDZ128v231rmkz */
+  0x1093, /* VFMSUBPDZ128v231rrkz */
+/* Table9911 */
+  0x1154, /* VFNMADDPDZ128v231rmkz */
+  0x1157, /* VFNMADDPDZ128v231rrkz */
+/* Table9913 */
+  0x1218, /* VFNMSUBPDZ128v231rmkz */
+  0x121b, /* VFNMSUBPDZ128v231rrkz */
+/* Table9915 */
+  0x2084, /* VRCP28SDmkz */
+  0x208a, /* VRCP28SDrkz */
+/* Table9917 */
+  0x2117, /* VRSQRT28SDmkz */
+  0x211d, /* VRSQRT28SDrkz */
+/* Table9919 */
+  0xcb9, /* VBROADCASTSSZ256mkz */
+  0xcbc, /* VBROADCASTSSZ256rkz */
+/* Table9921 */
+  0x1c08, /* VPMINSBZ256rmkz */
+  0x1c0b, /* VPMINSBZ256rrkz */
+/* Table9923 */
+  0x1c24, /* VPMINSDZ256rmkz */
+  0x1c27, /* VPMINSDZ256rrkz */
+/* Table9925 */
+  0x1cbe, /* VPMINUWZ256rmkz */
+  0x1cc1, /* VPMINUWZ256rrkz */
+/* Table9927 */
+  0x1c8a, /* VPMINUDZ256rmkz */
+  0x1c8d, /* VPMINUDZ256rrkz */
+/* Table9929 */
+  0x1b3c, /* VPMAXSBZ256rmkz */
+  0x1b3f, /* VPMAXSBZ256rrkz */
+/* Table9931 */
+  0x1b58, /* VPMAXSDZ256rmkz */
+  0x1b5b, /* VPMAXSDZ256rrkz */
+/* Table9933 */
+  0x1bf2, /* VPMAXUWZ256rmkz */
+  0x1bf5, /* VPMAXUWZ256rrkz */
+/* Table9935 */
+  0x1bbe, /* VPMAXUDZ256rmkz */
+  0x1bc1, /* VPMAXUDZ256rrkz */
+/* Table9937 */
+  0x1db8, /* VPMULLDZ256rmkz */
+  0x1dbb, /* VPMULLDZ256rrkz */
+/* Table9939 */
+  0x2059, /* VRCP14PSZ256mkz */
+  0x205c, /* VRCP14PSZ256rkz */
+/* Table9941 */
+  0x20ec, /* VRSQRT14PSZ256mkz */
+  0x20ef, /* VRSQRT14PSZ256rkz */
+/* Table9943 */
+  0x17bb, /* VPBLENDMDZ256rmkz */
+  0x17be, /* VPBLENDMDZ256rrkz */
+/* Table9945 */
+  0xc80, /* VBLENDMPSZ256rmkz */
+  0xc83, /* VBLENDMPSZ256rrkz */
+/* Table9947 */
+  0x17a5, /* VPBLENDMBZ256rmkz */
+  0x17a8, /* VPBLENDMBZ256rrkz */
+/* Table9949 */
+  0x0, /*  */
+  0x1800, /* VPBROADCASTBrZ256rkz */
+/* Table9951 */
+  0x0, /*  */
+  0x1835, /* VPBROADCASTWrZ256rkz */
+/* Table9953 */
+  0x0, /*  */
+  0x1811, /* VPBROADCASTDrZ256rkz */
+/* Table9955 */
+  0xe3f, /* VEXPANDPSZ256rmkz */
+  0xe41, /* VEXPANDPSZ256rrkz */
+/* Table9957 */
+  0x1a90, /* VPEXPANDDZ256rmkz */
+  0x1a92, /* VPEXPANDDZ256rrkz */
+/* Table9959 */
+  0x0, /*  */
+  0xd07, /* VCOMPRESSPSZ256rrkz */
+/* Table9961 */
+  0x0, /*  */
+  0x19e8, /* VPCOMPRESSDZ256rrkz */
+/* Table9963 */
+  0xf9a, /* VFMADDSUBPSZ256v213rmkz */
+  0xf9d, /* VFMADDSUBPSZ256v213rrkz */
+/* Table9965 */
+  0x104c, /* VFMSUBADDPSZ256v213rmkz */
+  0x104f, /* VFMSUBADDPSZ256v213rrkz */
+/* Table9967 */
+  0xed6, /* VFMADDPSZ256v213rmkz */
+  0xed9, /* VFMADDPSZ256v213rrkz */
+/* Table9969 */
+  0x10e6, /* VFMSUBPSZ256v213rmkz */
+  0x10e9, /* VFMSUBPSZ256v213rrkz */
+/* Table9971 */
+  0x11aa, /* VFNMADDPSZ256v213rmkz */
+  0x11ad, /* VFNMADDPSZ256v213rrkz */
+/* Table9973 */
+  0x126e, /* VFNMSUBPSZ256v213rmkz */
+  0x1271, /* VFNMSUBPSZ256v213rrkz */
+/* Table9975 */
+  0xfa3, /* VFMADDSUBPSZ256v231rmkz */
+  0xfa6, /* VFMADDSUBPSZ256v231rrkz */
+/* Table9977 */
+  0x1055, /* VFMSUBADDPSZ256v231rmkz */
+  0x1058, /* VFMSUBADDPSZ256v231rrkz */
+/* Table9979 */
+  0xedf, /* VFMADDPSZ256v231rmkz */
+  0xee2, /* VFMADDPSZ256v231rrkz */
+/* Table9981 */
+  0x10ef, /* VFMSUBPSZ256v231rmkz */
+  0x10f2, /* VFMSUBPSZ256v231rrkz */
+/* Table9983 */
+  0x11b3, /* VFNMADDPSZ256v231rmkz */
+  0x11b6, /* VFNMADDPSZ256v231rrkz */
+/* Table9985 */
+  0x1277, /* VFNMSUBPSZ256v231rmkz */
+  0x127a, /* VFNMSUBPSZ256v231rrkz */
+/* Table9987 */
+  0xca5, /* VBROADCASTSDZ256mkz */
+  0xca8, /* VBROADCASTSDZ256rkz */
+/* Table9989 */
+  0x1c41, /* VPMINSQZ256rmkz */
+  0x1c44, /* VPMINSQZ256rrkz */
+/* Table9991 */
+  0x1ca7, /* VPMINUQZ256rmkz */
+  0x1caa, /* VPMINUQZ256rrkz */
+/* Table9993 */
+  0x1b75, /* VPMAXSQZ256rmkz */
+  0x1b78, /* VPMAXSQZ256rrkz */
+/* Table9995 */
+  0x1bdb, /* VPMAXUQZ256rmkz */
+  0x1bde, /* VPMAXUQZ256rrkz */
+/* Table9997 */
+  0x1dd5, /* VPMULLQZ256rmkz */
+  0x1dd8, /* VPMULLQZ256rrkz */
+/* Table9999 */
+  0x203e, /* VRCP14PDZ256mkz */
+  0x2041, /* VRCP14PDZ256rkz */
+/* Table10001 */
+  0x20d1, /* VRSQRT14PDZ256mkz */
+  0x20d4, /* VRSQRT14PDZ256rkz */
+/* Table10003 */
+  0x17d3, /* VPBLENDMQZ256rmkz */
+  0x17d6, /* VPBLENDMQZ256rrkz */
+/* Table10005 */
+  0xc68, /* VBLENDMPDZ256rmkz */
+  0xc6b, /* VBLENDMPDZ256rrkz */
+/* Table10007 */
+  0x17e7, /* VPBLENDMWZ256rmkz */
+  0x17ea, /* VPBLENDMWZ256rrkz */
+/* Table10009 */
+  0x0, /*  */
+  0x1828, /* VPBROADCASTQrZ256rkz */
+/* Table10011 */
+  0xe33, /* VEXPANDPDZ256rmkz */
+  0xe35, /* VEXPANDPDZ256rrkz */
+/* Table10013 */
+  0x1a9c, /* VPEXPANDQZ256rmkz */
+  0x1a9e, /* VPEXPANDQZ256rrkz */
+/* Table10015 */
+  0x0, /*  */
+  0xcfe, /* VCOMPRESSPDZ256rrkz */
+/* Table10017 */
+  0x0, /*  */
+  0x19f1, /* VPCOMPRESSQZ256rrkz */
+/* Table10019 */
+  0xf4d, /* VFMADDSUBPDZ256v213rmkz */
+  0xf50, /* VFMADDSUBPDZ256v213rrkz */
+/* Table10021 */
+  0xfff, /* VFMSUBADDPDZ256v213rmkz */
+  0x1002, /* VFMSUBADDPDZ256v213rrkz */
+/* Table10023 */
+  0xe89, /* VFMADDPDZ256v213rmkz */
+  0xe8c, /* VFMADDPDZ256v213rrkz */
+/* Table10025 */
+  0x1099, /* VFMSUBPDZ256v213rmkz */
+  0x109c, /* VFMSUBPDZ256v213rrkz */
+/* Table10027 */
+  0x115d, /* VFNMADDPDZ256v213rmkz */
+  0x1160, /* VFNMADDPDZ256v213rrkz */
+/* Table10029 */
+  0x1221, /* VFNMSUBPDZ256v213rmkz */
+  0x1224, /* VFNMSUBPDZ256v213rrkz */
+/* Table10031 */
+  0xf56, /* VFMADDSUBPDZ256v231rmkz */
+  0xf59, /* VFMADDSUBPDZ256v231rrkz */
+/* Table10033 */
+  0x1008, /* VFMSUBADDPDZ256v231rmkz */
+  0x100b, /* VFMSUBADDPDZ256v231rrkz */
+/* Table10035 */
+  0xe92, /* VFMADDPDZ256v231rmkz */
+  0xe95, /* VFMADDPDZ256v231rrkz */
+/* Table10037 */
+  0x10a2, /* VFMSUBPDZ256v231rmkz */
+  0x10a5, /* VFMSUBPDZ256v231rrkz */
+/* Table10039 */
+  0x1166, /* VFNMADDPDZ256v231rmkz */
+  0x1169, /* VFNMADDPDZ256v231rrkz */
+/* Table10041 */
+  0x122a, /* VFNMSUBPDZ256v231rmkz */
+  0x122d, /* VFNMSUBPDZ256v231rrkz */
+/* Table10043 */
+  0x0, /*  */
+  0x1d44, /* VPMOVUSDBrrkz */
+/* Table10045 */
+  0x0, /*  */
+  0x1d4e, /* VPMOVUSQBrrkz */
+/* Table10047 */
+  0x0, /*  */
+  0x1d49, /* VPMOVUSDWrrkz */
+/* Table10049 */
+  0x0, /*  */
+  0x1d58, /* VPMOVUSQWrrkz */
+/* Table10051 */
+  0x0, /*  */
+  0x1d53, /* VPMOVUSQDrrkz */
+/* Table10053 */
+  0x0, /*  */
+  0x1cf5, /* VPMOVSDBrrkz */
+/* Table10055 */
+  0x0, /*  */
+  0x1cff, /* VPMOVSQBrrkz */
+/* Table10057 */
+  0x0, /*  */
+  0x1cfa, /* VPMOVSDWrrkz */
+/* Table10059 */
+  0x0, /*  */
+  0x1d09, /* VPMOVSQWrrkz */
+/* Table10061 */
+  0x0, /*  */
+  0x1d04, /* VPMOVSQDrrkz */
+/* Table10063 */
+  0x0, /*  */
+  0x1cce, /* VPMOVDBrrkz */
+/* Table10065 */
+  0x0, /*  */
+  0x1ce6, /* VPMOVQBrrkz */
+/* Table10067 */
+  0x0, /*  */
+  0x1cd3, /* VPMOVDWrrkz */
+/* Table10069 */
+  0x0, /*  */
+  0x1cf0, /* VPMOVQWrrkz */
+/* Table10071 */
+  0x0, /*  */
+  0x1ceb, /* VPMOVQDrrkz */
+/* Table10073 */
+  0xcbf, /* VBROADCASTSSZmkz */
+  0xcc2, /* VBROADCASTSSZrkz */
+/* Table10075 */
+  0x167a, /* VPABSDZrmkz */
+  0x167d, /* VPABSDZrrkz */
+/* Table10077 */
+  0x1d0e, /* VPMOVSXBDZrmkz */
+  0x1d11, /* VPMOVSXBDZrrkz */
+/* Table10079 */
+  0x1d18, /* VPMOVSXBQZrmkz */
+  0x1d1b, /* VPMOVSXBQZrrkz */
+/* Table10081 */
+  0x1d30, /* VPMOVSXWDZrmkz */
+  0x1d33, /* VPMOVSXWDZrrkz */
+/* Table10083 */
+  0x1d3a, /* VPMOVSXWQZrmkz */
+  0x1d3d, /* VPMOVSXWQZrrkz */
+/* Table10085 */
+  0x1d26, /* VPMOVSXDQZrmkz */
+  0x1d29, /* VPMOVSXDQZrrkz */
+/* Table10087 */
+  0x1d5d, /* VPMOVZXBDZrmkz */
+  0x1d60, /* VPMOVZXBDZrrkz */
+/* Table10089 */
+  0x1d67, /* VPMOVZXBQZrmkz */
+  0x1d6a, /* VPMOVZXBQZrrkz */
+/* Table10091 */
+  0x1d7f, /* VPMOVZXWDZrmkz */
+  0x1d82, /* VPMOVZXWDZrrkz */
+/* Table10093 */
+  0x1d89, /* VPMOVZXWQZrmkz */
+  0x1d8c, /* VPMOVZXWQZrrkz */
+/* Table10095 */
+  0x1d75, /* VPMOVZXDQZrmkz */
+  0x1d78, /* VPMOVZXDQZrrkz */
+/* Table10097 */
+  0x1c0e, /* VPMINSBZrmkz */
+  0x1c11, /* VPMINSBZrrkz */
+/* Table10099 */
+  0x1c2d, /* VPMINSDZrmkz */
+  0x1c30, /* VPMINSDZrrkz */
+/* Table10101 */
+  0x1cc4, /* VPMINUWZrmkz */
+  0x1cc7, /* VPMINUWZrrkz */
+/* Table10103 */
+  0x1c93, /* VPMINUDZrmkz */
+  0x1c96, /* VPMINUDZrrkz */
+/* Table10105 */
+  0x1b42, /* VPMAXSBZrmkz */
+  0x1b45, /* VPMAXSBZrrkz */
+/* Table10107 */
+  0x1b61, /* VPMAXSDZrmkz */
+  0x1b64, /* VPMAXSDZrrkz */
+/* Table10109 */
+  0x1bf8, /* VPMAXUWZrmkz */
+  0x1bfb, /* VPMAXUWZrrkz */
+/* Table10111 */
+  0x1bc7, /* VPMAXUDZrmkz */
+  0x1bca, /* VPMAXUDZrrkz */
+/* Table10113 */
+  0x1dc1, /* VPMULLDZrmkz */
+  0x1dc4, /* VPMULLDZrrkz */
+/* Table10115 */
+  0x1afd, /* VPLZCNTDrmkz */
+  0x1b00, /* VPLZCNTDrrkz */
+/* Table10117 */
+  0x1f32, /* VPSRLVDZrmkz */
+  0x1f35, /* VPSRLVDZrrkz */
+/* Table10119 */
+  0x1ef6, /* VPSRAVDZrmkz */
+  0x1ef9, /* VPSRAVDZrrkz */
+/* Table10121 */
+  0x1ebe, /* VPSLLVDZrmkz */
+  0x1ec1, /* VPSLLVDZrrkz */
+/* Table10123 */
+  0x2062, /* VRCP14PSZmkz */
+  0x2065, /* VRCP14PSZrkz */
+/* Table10125 */
+  0x20f5, /* VRSQRT14PSZmkz */
+  0x20f8, /* VRSQRT14PSZrkz */
+/* Table10127 */
+  0x1808, /* VPBROADCASTDZkrm */
+  0x1809, /* VPBROADCASTDZkrr */
+/* Table10129 */
+  0xc9d, /* VBROADCASTI32X4krm */
+  0x0, /*  */
+/* Table10131 */
+  0x17c3, /* VPBLENDMDZrmkz */
+  0x17c6, /* VPBLENDMDZrrkz */
+/* Table10133 */
+  0xc88, /* VBLENDMPSZrmkz */
+  0xc8b, /* VBLENDMPSZrrkz */
+/* Table10135 */
+  0x17ab, /* VPBLENDMBZrmkz */
+  0x17ae, /* VPBLENDMBZrrkz */
+/* Table10137 */
+  0x1a29, /* VPERMI2Drmkz */
+  0x1a2c, /* VPERMI2Drrkz */
+/* Table10139 */
+  0x1a35, /* VPERMI2PSrmkz */
+  0x1a38, /* VPERMI2PSrrkz */
+/* Table10141 */
+  0x0, /*  */
+  0x1803, /* VPBROADCASTBrZrkz */
+/* Table10143 */
+  0x0, /*  */
+  0x1838, /* VPBROADCASTWrZrkz */
+/* Table10145 */
+  0x0, /*  */
+  0x1814, /* VPBROADCASTDrZrkz */
+/* Table10147 */
+  0x1a75, /* VPERMT2Drmkz */
+  0x1a78, /* VPERMT2Drrkz */
+/* Table10149 */
+  0x1a81, /* VPERMT2PSrmkz */
+  0x1a84, /* VPERMT2PSrrkz */
+/* Table10151 */
+  0xe43, /* VEXPANDPSZrmkz */
+  0xe45, /* VEXPANDPSZrrkz */
+/* Table10153 */
+  0x1a94, /* VPEXPANDDZrmkz */
+  0x1a96, /* VPEXPANDDZrrkz */
+/* Table10155 */
+  0x0, /*  */
+  0xd0a, /* VCOMPRESSPSZrrkz */
+/* Table10157 */
+  0x0, /*  */
+  0x19eb, /* VPCOMPRESSDZrrkz */
+/* Table10159 */
+  0xfac, /* VFMADDSUBPSZv213rmkz */
+  0xfb2, /* VFMADDSUBPSZv213rrkz */
+/* Table10161 */
+  0x105e, /* VFMSUBADDPSZv213rmkz */
+  0x1064, /* VFMSUBADDPSZv213rrkz */
+/* Table10163 */
+  0xee8, /* VFMADDPSZv213rmkz */
+  0xeee, /* VFMADDPSZv213rrkz */
+/* Table10165 */
+  0x10f8, /* VFMSUBPSZv213rmkz */
+  0x10fe, /* VFMSUBPSZv213rrkz */
+/* Table10167 */
+  0x11bc, /* VFNMADDPSZv213rmkz */
+  0x11c2, /* VFNMADDPSZv213rrkz */
+/* Table10169 */
+  0x1280, /* VFNMSUBPSZv213rmkz */
+  0x1286, /* VFNMSUBPSZv213rrkz */
+/* Table10171 */
+  0xfb8, /* VFMADDSUBPSZv231rmkz */
+  0xfbb, /* VFMADDSUBPSZv231rrkz */
+/* Table10173 */
+  0x106a, /* VFMSUBADDPSZv231rmkz */
+  0x106d, /* VFMSUBADDPSZv231rrkz */
+/* Table10175 */
+  0xef4, /* VFMADDPSZv231rmkz */
+  0xef7, /* VFMADDPSZv231rrkz */
+/* Table10177 */
+  0x1104, /* VFMSUBPSZv231rmkz */
+  0x1107, /* VFMSUBPSZv231rrkz */
+/* Table10179 */
+  0x11c8, /* VFNMADDPSZv231rmkz */
+  0x11cb, /* VFNMADDPSZv231rrkz */
+/* Table10181 */
+  0x128c, /* VFNMSUBPSZv231rmkz */
+  0x128f, /* VFNMSUBPSZv231rrkz */
+/* Table10183 */
+  0x1a12, /* VPCONFLICTDrmkz */
+  0x1a15, /* VPCONFLICTDrrkz */
+/* Table10185 */
+  0xe27, /* VEXP2PSmkz */
+  0xe2d, /* VEXP2PSrkz */
+/* Table10187 */
+  0x207b, /* VRCP28PSmkz */
+  0x2081, /* VRCP28PSrkz */
+/* Table10189 */
+  0x210e, /* VRSQRT28PSmkz */
+  0x2114, /* VRSQRT28PSrkz */
+/* Table10191 */
+  0xcab, /* VBROADCASTSDZmkz */
+  0xcae, /* VBROADCASTSDZrkz */
+/* Table10193 */
+  0x1687, /* VPABSQZrmkz */
+  0x168a, /* VPABSQZrrkz */
+/* Table10195 */
+  0x1d96, /* VPMULDQZrmkz */
+  0x1d99, /* VPMULDQZrrkz */
+/* Table10197 */
+  0x1c4a, /* VPMINSQZrmkz */
+  0x1c4d, /* VPMINSQZrrkz */
+/* Table10199 */
+  0x1cb0, /* VPMINUQZrmkz */
+  0x1cb3, /* VPMINUQZrrkz */
+/* Table10201 */
+  0x1b7e, /* VPMAXSQZrmkz */
+  0x1b81, /* VPMAXSQZrrkz */
+/* Table10203 */
+  0x1be4, /* VPMAXUQZrmkz */
+  0x1be7, /* VPMAXUQZrrkz */
+/* Table10205 */
+  0x1dde, /* VPMULLQZrmkz */
+  0x1de1, /* VPMULLQZrrkz */
+/* Table10207 */
+  0x1b06, /* VPLZCNTQrmkz */
+  0x1b09, /* VPLZCNTQrrkz */
+/* Table10209 */
+  0x1f3c, /* VPSRLVQZrmkz */
+  0x1f3f, /* VPSRLVQZrrkz */
+/* Table10211 */
+  0x1efe, /* VPSRAVQZrmkz */
+  0x1f01, /* VPSRAVQZrrkz */
+/* Table10213 */
+  0x1ec8, /* VPSLLVQZrmkz */
+  0x1ecb, /* VPSLLVQZrrkz */
+/* Table10215 */
+  0x2047, /* VRCP14PDZmkz */
+  0x204a, /* VRCP14PDZrkz */
+/* Table10217 */
+  0x20da, /* VRSQRT14PDZmkz */
+  0x20dd, /* VRSQRT14PDZrkz */
+/* Table10219 */
+  0x181f, /* VPBROADCASTQZkrm */
+  0x1820, /* VPBROADCASTQZkrr */
+/* Table10221 */
+  0xc9f, /* VBROADCASTI64X4krm */
+  0x0, /*  */
+/* Table10223 */
+  0x17db, /* VPBLENDMQZrmkz */
+  0x17de, /* VPBLENDMQZrrkz */
+/* Table10225 */
+  0xc70, /* VBLENDMPDZrmkz */
+  0xc73, /* VBLENDMPDZrrkz */
+/* Table10227 */
+  0x17ed, /* VPBLENDMWZrmkz */
+  0x17f0, /* VPBLENDMWZrrkz */
+/* Table10229 */
+  0x1a3b, /* VPERMI2Qrmkz */
+  0x1a3e, /* VPERMI2Qrrkz */
+/* Table10231 */
+  0x1a2f, /* VPERMI2PDrmkz */
+  0x1a32, /* VPERMI2PDrrkz */
+/* Table10233 */
+  0x0, /*  */
+  0x182b, /* VPBROADCASTQrZrkz */
+/* Table10235 */
+  0x1a87, /* VPERMT2Qrmkz */
+  0x1a8a, /* VPERMT2Qrrkz */
+/* Table10237 */
+  0x1a7b, /* VPERMT2PDrmkz */
+  0x1a7e, /* VPERMT2PDrrkz */
+/* Table10239 */
+  0xe37, /* VEXPANDPDZrmkz */
+  0xe39, /* VEXPANDPDZrrkz */
+/* Table10241 */
+  0x1aa0, /* VPEXPANDQZrmkz */
+  0x1aa2, /* VPEXPANDQZrrkz */
+/* Table10243 */
+  0x0, /*  */
+  0xd01, /* VCOMPRESSPDZrrkz */
+/* Table10245 */
+  0x0, /*  */
+  0x19f4, /* VPCOMPRESSQZrrkz */
+/* Table10247 */
+  0xf5f, /* VFMADDSUBPDZv213rmkz */
+  0xf65, /* VFMADDSUBPDZv213rrkz */
+/* Table10249 */
+  0x1011, /* VFMSUBADDPDZv213rmkz */
+  0x1017, /* VFMSUBADDPDZv213rrkz */
+/* Table10251 */
+  0xe9b, /* VFMADDPDZv213rmkz */
+  0xea1, /* VFMADDPDZv213rrkz */
+/* Table10253 */
+  0x10ab, /* VFMSUBPDZv213rmkz */
+  0x10b1, /* VFMSUBPDZv213rrkz */
+/* Table10255 */
+  0x116f, /* VFNMADDPDZv213rmkz */
+  0x1175, /* VFNMADDPDZv213rrkz */
+/* Table10257 */
+  0x1233, /* VFNMSUBPDZv213rmkz */
+  0x1239, /* VFNMSUBPDZv213rrkz */
+/* Table10259 */
+  0xf6b, /* VFMADDSUBPDZv231rmkz */
+  0xf6e, /* VFMADDSUBPDZv231rrkz */
+/* Table10261 */
+  0x101d, /* VFMSUBADDPDZv231rmkz */
+  0x1020, /* VFMSUBADDPDZv231rrkz */
+/* Table10263 */
+  0xea7, /* VFMADDPDZv231rmkz */
+  0xeaa, /* VFMADDPDZv231rrkz */
+/* Table10265 */
+  0x10b7, /* VFMSUBPDZv231rmkz */
+  0x10ba, /* VFMSUBPDZv231rrkz */
+/* Table10267 */
+  0x117b, /* VFNMADDPDZv231rmkz */
+  0x117e, /* VFNMADDPDZv231rrkz */
+/* Table10269 */
+  0x123f, /* VFNMSUBPDZv231rmkz */
+  0x1242, /* VFNMSUBPDZv231rrkz */
+/* Table10271 */
+  0x1a1b, /* VPCONFLICTQrmkz */
+  0x1a1e, /* VPCONFLICTQrrkz */
+/* Table10273 */
+  0xe1b, /* VEXP2PDmkz */
+  0xe21, /* VEXP2PDrkz */
+/* Table10275 */
+  0x206f, /* VRCP28PDmkz */
+  0x2075, /* VRCP28PDrkz */
+/* Table10277 */
+  0x2102, /* VRSQRT28PDmkz */
+  0x2108, /* VRSQRT28PDrkz */
+/* Table10279 */
+  0x5b9, /* MMX_PALIGNR64irm */
+  0x5ba, /* MMX_PALIGNR64irr */
+/* Table10281 */
+  0xa6c, /* SHA1RNDS4rmi */
+  0xa6d, /* SHA1RNDS4rri */
+/* Table10283 */
+  0x9c5, /* ROUNDPSm */
+  0x9c6, /* ROUNDPSr */
+/* Table10285 */
+  0x9c3, /* ROUNDPDm */
+  0x9c4, /* ROUNDPDr */
+/* Table10287 */
+  0x9ca, /* ROUNDSSm */
+  0x9cb, /* ROUNDSSr */
+/* Table10289 */
+  0x9c7, /* ROUNDSDm */
+  0x9c8, /* ROUNDSDr */
+/* Table10291 */
+  0x103, /* BLENDPSrmi */
+  0x104, /* BLENDPSrri */
+/* Table10293 */
+  0x101, /* BLENDPDrmi */
+  0x102, /* BLENDPDrri */
+/* Table10295 */
+  0x7c0, /* PBLENDWrmi */
+  0x7c1, /* PBLENDWrri */
+/* Table10297 */
+  0x7b1, /* PALIGNR128rm */
+  0x7b2, /* PALIGNR128rr */
+/* Table10299 */
+  0x7ed, /* PEXTRBmr */
+  0x7ee, /* PEXTRBrr */
+/* Table10301 */
+  0x7f3, /* PEXTRWmr */
+  0x7f5, /* PEXTRWrr_REV */
+/* Table10303 */
+  0x7ef, /* PEXTRDmr */
+  0x7f0, /* PEXTRDrr */
+/* Table10305 */
+  0x2ea, /* EXTRACTPSmr */
+  0x2eb, /* EXTRACTPSrr */
+/* Table10307 */
+  0x82e, /* PINSRBrm */
+  0x82f, /* PINSRBrr */
+/* Table10309 */
+  0x3a1, /* INSERTPSrm */
+  0x3a2, /* INSERTPSrr */
+/* Table10311 */
+  0x830, /* PINSRDrm */
+  0x831, /* PINSRDrr */
+/* Table10313 */
+  0x2de, /* DPPSrmi */
+  0x2df, /* DPPSrri */
+/* Table10315 */
+  0x2dc, /* DPPDrmi */
+  0x2dd, /* DPPDrri */
+/* Table10317 */
+  0x701, /* MPSADBWrmi */
+  0x702, /* MPSADBWrri */
+/* Table10319 */
+  0x7c2, /* PCLMULQDQrm */
+  0x7c3, /* PCLMULQDQrr */
+/* Table10321 */
+  0x7d2, /* PCMPESTRM128rm */
+  0x7d3, /* PCMPESTRM128rr */
+/* Table10323 */
+  0x7ce, /* PCMPESTRIrm */
+  0x7cf, /* PCMPESTRIrr */
+/* Table10325 */
+  0x7e2, /* PCMPISTRM128rm */
+  0x7e3, /* PCMPISTRM128rr */
+/* Table10327 */
+  0x7de, /* PCMPISTRIrm */
+  0x7df, /* PCMPISTRIrr */
+/* Table10329 */
+  0xae, /* AESKEYGENASSIST128rm */
+  0xaf, /* AESKEYGENASSIST128rr */
+/* Table10331 */
+  0x7f1, /* PEXTRQmr */
+  0x7f2, /* PEXTRQrr */
+/* Table10333 */
+  0x832, /* PINSRQrm */
+  0x833, /* PINSRQrr */
+/* Table10335 */
+  0x9bf, /* RORX32mi */
+  0x9c0, /* RORX32ri */
+/* Table10337 */
+  0x179b, /* VPBLENDDrmi */
+  0x179c, /* VPBLENDDrri */
+/* Table10339 */
+  0x1a5f, /* VPERMILPSmi */
+  0x1a60, /* VPERMILPSri */
+/* Table10341 */
+  0x1a53, /* VPERMILPDmi */
+  0x1a54, /* VPERMILPDri */
+/* Table10343 */
+  0x20b7, /* VROUNDPSm */
+  0x20b8, /* VROUNDPSr */
+/* Table10345 */
+  0x20b5, /* VROUNDPDm */
+  0x20b6, /* VROUNDPDr */
+/* Table10347 */
+  0x20bc, /* VROUNDSSm */
+  0x20bd, /* VROUNDSSr */
+/* Table10349 */
+  0x20b9, /* VROUNDSDm */
+  0x20ba, /* VROUNDSDr */
+/* Table10351 */
+  0xc92, /* VBLENDPSrmi */
+  0xc93, /* VBLENDPSrri */
+/* Table10353 */
+  0xc8e, /* VBLENDPDrmi */
+  0xc8f, /* VBLENDPDrri */
+/* Table10355 */
+  0x17f7, /* VPBLENDWrmi */
+  0x17f8, /* VPBLENDWrri */
+/* Table10357 */
+  0x1719, /* VPALIGNR128rm */
+  0x171a, /* VPALIGNR128rr */
+/* Table10359 */
+  0x1aa3, /* VPEXTRBmr */
+  0x1aa4, /* VPEXTRBrr */
+/* Table10361 */
+  0x1aa9, /* VPEXTRWmr */
+  0x1aab, /* VPEXTRWrr_REV */
+/* Table10363 */
+  0x1aa5, /* VPEXTRDmr */
+  0x1aa6, /* VPEXTRDrr */
+/* Table10365 */
+  0xe5a, /* VEXTRACTPSmr */
+  0xe5b, /* VEXTRACTPSrr */
+/* Table10367 */
+  0xd40, /* VCVTPS2PHmr */
+  0xd41, /* VCVTPS2PHrr */
+/* Table10369 */
+  0x1af0, /* VPINSRBrm */
+  0x1af1, /* VPINSRBrr */
+/* Table10371 */
+  0x131e, /* VINSERTPSrm */
+  0x131f, /* VINSERTPSrr */
+/* Table10373 */
+  0x1af2, /* VPINSRDrm */
+  0x1af3, /* VPINSRDrr */
+/* Table10375 */
+  0x0, /*  */
+  0x4a7, /* KSHIFTRBri */
+/* Table10377 */
+  0x0, /*  */
+  0x4a8, /* KSHIFTRDri */
+/* Table10379 */
+  0x0, /*  */
+  0x4a3, /* KSHIFTLBri */
+/* Table10381 */
+  0x0, /*  */
+  0x4a4, /* KSHIFTLDri */
+/* Table10383 */
+  0xe10, /* VDPPSrmi */
+  0xe11, /* VDPPSrri */
+/* Table10385 */
+  0xe0c, /* VDPPDrmi */
+  0xe0d, /* VDPPDrri */
+/* Table10387 */
+  0x15f4, /* VMPSADBWrmi */
+  0x15f5, /* VMPSADBWrri */
+/* Table10389 */
+  0x183b, /* VPCLMULQDQrm */
+  0x183c, /* VPCLMULQDQrr */
+/* Table10391 */
+  0x1a45, /* VPERMIL2PSmr */
+  0x1a49, /* VPERMIL2PSrr */
+/* Table10393 */
+  0x1a3f, /* VPERMIL2PDmr */
+  0x1a43, /* VPERMIL2PDrr */
+/* Table10395 */
+  0xc9a, /* VBLENDVPSrm */
+  0xc9b, /* VBLENDVPSrr */
+/* Table10397 */
+  0xc96, /* VBLENDVPDrm */
+  0xc97, /* VBLENDVPDrr */
+/* Table10399 */
+  0x17f3, /* VPBLENDVBrm */
+  0x17f4, /* VPBLENDVBrr */
+/* Table10401 */
+  0xf7b, /* VFMADDSUBPS4mr */
+  0xf82, /* VFMADDSUBPS4rr_REV */
+/* Table10403 */
+  0xf2e, /* VFMADDSUBPD4mr */
+  0xf35, /* VFMADDSUBPD4rr_REV */
+/* Table10405 */
+  0x102d, /* VFMSUBADDPS4mr */
+  0x1034, /* VFMSUBADDPS4rr_REV */
+/* Table10407 */
+  0xfe0, /* VFMSUBADDPD4mr */
+  0xfe7, /* VFMSUBADDPD4rr_REV */
+/* Table10409 */
+  0x18d1, /* VPCMPESTRM128rm */
+  0x18d2, /* VPCMPESTRM128rr */
+/* Table10411 */
+  0x18cd, /* VPCMPESTRIrm */
+  0x18ce, /* VPCMPESTRIrr */
+/* Table10413 */
+  0x1925, /* VPCMPISTRM128rm */
+  0x1926, /* VPCMPISTRM128rr */
+/* Table10415 */
+  0x1921, /* VPCMPISTRIrm */
+  0x1922, /* VPCMPISTRIrr */
+/* Table10417 */
+  0xeb7, /* VFMADDPS4mr */
+  0xebe, /* VFMADDPS4rr_REV */
+/* Table10419 */
+  0xe6a, /* VFMADDPD4mr */
+  0xe71, /* VFMADDPD4rr_REV */
+/* Table10421 */
+  0xf13, /* VFMADDSS4mr */
+  0xf19, /* VFMADDSS4rr_REV */
+/* Table10423 */
+  0xf04, /* VFMADDSD4mr */
+  0xf0a, /* VFMADDSD4rr_REV */
+/* Table10425 */
+  0x10c7, /* VFMSUBPS4mr */
+  0x10ce, /* VFMSUBPS4rr_REV */
+/* Table10427 */
+  0x107a, /* VFMSUBPD4mr */
+  0x1081, /* VFMSUBPD4rr_REV */
+/* Table10429 */
+  0x1123, /* VFMSUBSS4mr */
+  0x1129, /* VFMSUBSS4rr_REV */
+/* Table10431 */
+  0x1114, /* VFMSUBSD4mr */
+  0x111a, /* VFMSUBSD4rr_REV */
+/* Table10433 */
+  0x118b, /* VFNMADDPS4mr */
+  0x1192, /* VFNMADDPS4rr_REV */
+/* Table10435 */
+  0x113e, /* VFNMADDPD4mr */
+  0x1145, /* VFNMADDPD4rr_REV */
+/* Table10437 */
+  0x11e7, /* VFNMADDSS4mr */
+  0x11ed, /* VFNMADDSS4rr_REV */
+/* Table10439 */
+  0x11d8, /* VFNMADDSD4mr */
+  0x11de, /* VFNMADDSD4rr_REV */
+/* Table10441 */
+  0x124f, /* VFNMSUBPS4mr */
+  0x1256, /* VFNMSUBPS4rr_REV */
+/* Table10443 */
+  0x1202, /* VFNMSUBPD4mr */
+  0x1209, /* VFNMSUBPD4rr_REV */
+/* Table10445 */
+  0x12ab, /* VFNMSUBSS4mr */
+  0x12b1, /* VFNMSUBSS4rr_REV */
+/* Table10447 */
+  0x129c, /* VFNMSUBSD4mr */
+  0x12a2, /* VFNMSUBSD4rr_REV */
+/* Table10449 */
+  0xc41, /* VAESKEYGENASSIST128rm */
+  0xc42, /* VAESKEYGENASSIST128rr */
+/* Table10451 */
+  0x9c1, /* RORX64mi */
+  0x9c2, /* RORX64ri */
+/* Table10453 */
+  0x1aa7, /* VPEXTRQmr */
+  0x1aa8, /* VPEXTRQrr */
+/* Table10455 */
+  0x1af4, /* VPINSRQrm */
+  0x1af5, /* VPINSRQrr */
+/* Table10457 */
+  0x0, /*  */
+  0x4aa, /* KSHIFTRWri */
+/* Table10459 */
+  0x0, /*  */
+  0x4a9, /* KSHIFTRQri */
+/* Table10461 */
+  0x0, /*  */
+  0x4a6, /* KSHIFTLWri */
+/* Table10463 */
+  0x0, /*  */
+  0x4a5, /* KSHIFTLQri */
+/* Table10465 */
+  0x1a47, /* VPERMIL2PSrm */
+  0x1a49, /* VPERMIL2PSrr */
+/* Table10467 */
+  0x1a41, /* VPERMIL2PDrm */
+  0x1a43, /* VPERMIL2PDrr */
+/* Table10469 */
+  0xf7d, /* VFMADDSUBPS4rm */
+  0xf7f, /* VFMADDSUBPS4rr */
+/* Table10471 */
+  0xf30, /* VFMADDSUBPD4rm */
+  0xf32, /* VFMADDSUBPD4rr */
+/* Table10473 */
+  0x102f, /* VFMSUBADDPS4rm */
+  0x1031, /* VFMSUBADDPS4rr */
+/* Table10475 */
+  0xfe2, /* VFMSUBADDPD4rm */
+  0xfe4, /* VFMSUBADDPD4rr */
+/* Table10477 */
+  0xeb9, /* VFMADDPS4rm */
+  0xebb, /* VFMADDPS4rr */
+/* Table10479 */
+  0xe6c, /* VFMADDPD4rm */
+  0xe6e, /* VFMADDPD4rr */
+/* Table10481 */
+  0xf15, /* VFMADDSS4rm */
+  0xf17, /* VFMADDSS4rr */
+/* Table10483 */
+  0xf06, /* VFMADDSD4rm */
+  0xf08, /* VFMADDSD4rr */
+/* Table10485 */
+  0x10c9, /* VFMSUBPS4rm */
+  0x10cb, /* VFMSUBPS4rr */
+/* Table10487 */
+  0x107c, /* VFMSUBPD4rm */
+  0x107e, /* VFMSUBPD4rr */
+/* Table10489 */
+  0x1125, /* VFMSUBSS4rm */
+  0x1127, /* VFMSUBSS4rr */
+/* Table10491 */
+  0x1116, /* VFMSUBSD4rm */
+  0x1118, /* VFMSUBSD4rr */
+/* Table10493 */
+  0x118d, /* VFNMADDPS4rm */
+  0x118f, /* VFNMADDPS4rr */
+/* Table10495 */
+  0x1140, /* VFNMADDPD4rm */
+  0x1142, /* VFNMADDPD4rr */
+/* Table10497 */
+  0x11e9, /* VFNMADDSS4rm */
+  0x11eb, /* VFNMADDSS4rr */
+/* Table10499 */
+  0x11da, /* VFNMADDSD4rm */
+  0x11dc, /* VFNMADDSD4rr */
+/* Table10501 */
+  0x1251, /* VFNMSUBPS4rm */
+  0x1253, /* VFNMSUBPS4rr */
+/* Table10503 */
+  0x1204, /* VFNMSUBPD4rm */
+  0x1206, /* VFNMSUBPD4rr */
+/* Table10505 */
+  0x12ad, /* VFNMSUBSS4rm */
+  0x12af, /* VFNMSUBSS4rr */
+/* Table10507 */
+  0x129e, /* VFNMSUBSD4rm */
+  0x12a0, /* VFNMSUBSD4rr */
+/* Table10509 */
+  0x1799, /* VPBLENDDYrmi */
+  0x179a, /* VPBLENDDYrri */
+/* Table10511 */
+  0x1a57, /* VPERMILPSYmi */
+  0x1a58, /* VPERMILPSYri */
+/* Table10513 */
+  0x1a4b, /* VPERMILPDYmi */
+  0x1a4c, /* VPERMILPDYri */
+/* Table10515 */
+  0x1a1f, /* VPERM2F128rm */
+  0x1a20, /* VPERM2F128rr */
+/* Table10517 */
+  0x20c1, /* VROUNDYPSm */
+  0x20c2, /* VROUNDYPSr */
+/* Table10519 */
+  0x20bf, /* VROUNDYPDm */
+  0x20c0, /* VROUNDYPDr */
+/* Table10521 */
+  0xc90, /* VBLENDPSYrmi */
+  0xc91, /* VBLENDPSYrri */
+/* Table10523 */
+  0xc8c, /* VBLENDPDYrmi */
+  0xc8d, /* VBLENDPDYrri */
+/* Table10525 */
+  0x17f5, /* VPBLENDWYrmi */
+  0x17f6, /* VPBLENDWYrri */
+/* Table10527 */
+  0x171b, /* VPALIGNR256rm */
+  0x171c, /* VPALIGNR256rr */
+/* Table10529 */
+  0x130a, /* VINSERTF128rm */
+  0x130b, /* VINSERTF128rr */
+/* Table10531 */
+  0xe46, /* VEXTRACTF128mr */
+  0xe47, /* VEXTRACTF128rr */
+/* Table10533 */
+  0xd3c, /* VCVTPS2PHYmr */
+  0xd3d, /* VCVTPS2PHYrr */
+/* Table10535 */
+  0x1314, /* VINSERTI128rm */
+  0x1315, /* VINSERTI128rr */
+/* Table10537 */
+  0xe50, /* VEXTRACTI128mr */
+  0xe51, /* VEXTRACTI128rr */
+/* Table10539 */
+  0xe0e, /* VDPPSYrmi */
+  0xe0f, /* VDPPSYrri */
+/* Table10541 */
+  0x15f2, /* VMPSADBWYrmi */
+  0x15f3, /* VMPSADBWYrri */
+/* Table10543 */
+  0x1a21, /* VPERM2I128rm */
+  0x1a22, /* VPERM2I128rr */
+/* Table10545 */
+  0x1a46, /* VPERMIL2PSmrY */
+  0x1a4a, /* VPERMIL2PSrrY */
+/* Table10547 */
+  0x1a40, /* VPERMIL2PDmrY */
+  0x1a44, /* VPERMIL2PDrrY */
+/* Table10549 */
+  0xc98, /* VBLENDVPSYrm */
+  0xc99, /* VBLENDVPSYrr */
+/* Table10551 */
+  0xc94, /* VBLENDVPDYrm */
+  0xc95, /* VBLENDVPDYrr */
+/* Table10553 */
+  0x17f1, /* VPBLENDVBYrm */
+  0x17f2, /* VPBLENDVBYrr */
+/* Table10555 */
+  0xf7c, /* VFMADDSUBPS4mrY */
+  0xf81, /* VFMADDSUBPS4rrY_REV */
+/* Table10557 */
+  0xf2f, /* VFMADDSUBPD4mrY */
+  0xf34, /* VFMADDSUBPD4rrY_REV */
+/* Table10559 */
+  0x102e, /* VFMSUBADDPS4mrY */
+  0x1033, /* VFMSUBADDPS4rrY_REV */
+/* Table10561 */
+  0xfe1, /* VFMSUBADDPD4mrY */
+  0xfe6, /* VFMSUBADDPD4rrY_REV */
+/* Table10563 */
+  0xeb8, /* VFMADDPS4mrY */
+  0xebd, /* VFMADDPS4rrY_REV */
+/* Table10565 */
+  0xe6b, /* VFMADDPD4mrY */
+  0xe70, /* VFMADDPD4rrY_REV */
+/* Table10567 */
+  0x10c8, /* VFMSUBPS4mrY */
+  0x10cd, /* VFMSUBPS4rrY_REV */
+/* Table10569 */
+  0x107b, /* VFMSUBPD4mrY */
+  0x1080, /* VFMSUBPD4rrY_REV */
+/* Table10571 */
+  0x118c, /* VFNMADDPS4mrY */
+  0x1191, /* VFNMADDPS4rrY_REV */
+/* Table10573 */
+  0x113f, /* VFNMADDPD4mrY */
+  0x1144, /* VFNMADDPD4rrY_REV */
+/* Table10575 */
+  0x1250, /* VFNMSUBPS4mrY */
+  0x1255, /* VFNMSUBPS4rrY_REV */
+/* Table10577 */
+  0x1203, /* VFNMSUBPD4mrY */
+  0x1208, /* VFNMSUBPD4rrY_REV */
+/* Table10579 */
+  0x1a6d, /* VPERMQYmi */
+  0x1a6e, /* VPERMQYri */
+/* Table10581 */
+  0x1a63, /* VPERMPDYmi */
+  0x1a64, /* VPERMPDYri */
+/* Table10583 */
+  0x1a48, /* VPERMIL2PSrmY */
+  0x1a4a, /* VPERMIL2PSrrY */
+/* Table10585 */
+  0x1a42, /* VPERMIL2PDrmY */
+  0x1a44, /* VPERMIL2PDrrY */
+/* Table10587 */
+  0xf7e, /* VFMADDSUBPS4rmY */
+  0xf80, /* VFMADDSUBPS4rrY */
+/* Table10589 */
+  0xf31, /* VFMADDSUBPD4rmY */
+  0xf33, /* VFMADDSUBPD4rrY */
+/* Table10591 */
+  0x1030, /* VFMSUBADDPS4rmY */
+  0x1032, /* VFMSUBADDPS4rrY */
+/* Table10593 */
+  0xfe3, /* VFMSUBADDPD4rmY */
+  0xfe5, /* VFMSUBADDPD4rrY */
+/* Table10595 */
+  0xeba, /* VFMADDPS4rmY */
+  0xebc, /* VFMADDPS4rrY */
+/* Table10597 */
+  0xe6d, /* VFMADDPD4rmY */
+  0xe6f, /* VFMADDPD4rrY */
+/* Table10599 */
+  0x10ca, /* VFMSUBPS4rmY */
+  0x10cc, /* VFMSUBPS4rrY */
+/* Table10601 */
+  0x107d, /* VFMSUBPD4rmY */
+  0x107f, /* VFMSUBPD4rrY */
+/* Table10603 */
+  0x118e, /* VFNMADDPS4rmY */
+  0x1190, /* VFNMADDPS4rrY */
+/* Table10605 */
+  0x1141, /* VFNMADDPD4rmY */
+  0x1143, /* VFNMADDPD4rrY */
+/* Table10607 */
+  0x1252, /* VFNMSUBPS4rmY */
+  0x1254, /* VFNMSUBPS4rrY */
+/* Table10609 */
+  0x1205, /* VFNMSUBPD4rmY */
+  0x1207, /* VFNMSUBPD4rrY */
+/* Table10611 */
+  0x20ac, /* VRNDSCALESSm */
+  0x20af, /* VRNDSCALESSr */
+/* Table10613 */
+  0xe5c, /* VEXTRACTPSzmr */
+  0xe5d, /* VEXTRACTPSzrr */
+/* Table10615 */
+  0x1963, /* VPCMPUDZ128rmi */
+  0x196b, /* VPCMPUDZ128rri */
+/* Table10617 */
+  0x185b, /* VPCMPDZ128rmi */
+  0x1863, /* VPCMPDZ128rri */
+/* Table10619 */
+  0x1320, /* VINSERTPSzrm */
+  0x1321, /* VINSERTPSzrr */
+/* Table10621 */
+  0x194b, /* VPCMPUBZ128rmi */
+  0x194f, /* VPCMPUBZ128rri */
+/* Table10623 */
+  0x1843, /* VPCMPBZ128rmi */
+  0x1847, /* VPCMPBZ128rri */
+/* Table10625 */
+  0x20a3, /* VRNDSCALESDm */
+  0x20a6, /* VRNDSCALESDr */
+/* Table10627 */
+  0x1987, /* VPCMPUQZ128rmi */
+  0x198f, /* VPCMPUQZ128rri */
+/* Table10629 */
+  0x1927, /* VPCMPQZ128rmi */
+  0x192f, /* VPCMPQZ128rri */
+/* Table10631 */
+  0x19ab, /* VPCMPUWZ128rmi */
+  0x19af, /* VPCMPUWZ128rri */
+/* Table10633 */
+  0x19c3, /* VPCMPWZ128rmi */
+  0x19c7, /* VPCMPWZ128rri */
+/* Table10635 */
+  0x196f, /* VPCMPUDZ256rmi */
+  0x1977, /* VPCMPUDZ256rri */
+/* Table10637 */
+  0x1867, /* VPCMPDZ256rmi */
+  0x186f, /* VPCMPDZ256rri */
+/* Table10639 */
+  0x1953, /* VPCMPUBZ256rmi */
+  0x1957, /* VPCMPUBZ256rri */
+/* Table10641 */
+  0x184b, /* VPCMPBZ256rmi */
+  0x184f, /* VPCMPBZ256rri */
+/* Table10643 */
+  0x1993, /* VPCMPUQZ256rmi */
+  0x199b, /* VPCMPUQZ256rri */
+/* Table10645 */
+  0x1933, /* VPCMPQZ256rmi */
+  0x193b, /* VPCMPQZ256rri */
+/* Table10647 */
+  0x19b3, /* VPCMPUWZ256rmi */
+  0x19b7, /* VPCMPUWZ256rri */
+/* Table10649 */
+  0x19cb, /* VPCMPWZ256rmi */
+  0x19cf, /* VPCMPWZ256rri */
+/* Table10651 */
+  0xc43, /* VALIGNDrmi */
+  0xc44, /* VALIGNDrri */
+/* Table10653 */
+  0x1a5b, /* VPERMILPSZmi */
+  0x1a5c, /* VPERMILPSZri */
+/* Table10655 */
+  0x20a1, /* VRNDSCALEPSZm */
+  0x20a2, /* VRNDSCALEPSZr */
+/* Table10657 */
+  0x130c, /* VINSERTF32x4rm */
+  0x130d, /* VINSERTF32x4rr */
+/* Table10659 */
+  0xe48, /* VEXTRACTF32x4rm */
+  0xe49, /* VEXTRACTF32x4rr */
+/* Table10661 */
+  0x130e, /* VINSERTF32x8rm */
+  0x130f, /* VINSERTF32x8rr */
+/* Table10663 */
+  0xd3e, /* VCVTPS2PHZmr */
+  0xd3f, /* VCVTPS2PHZrr */
+/* Table10665 */
+  0x197b, /* VPCMPUDZrmi */
+  0x1983, /* VPCMPUDZrri */
+/* Table10667 */
+  0x1873, /* VPCMPDZrmi */
+  0x187b, /* VPCMPDZrri */
+/* Table10669 */
+  0x1316, /* VINSERTI32x4rm */
+  0x1317, /* VINSERTI32x4rr */
+/* Table10671 */
+  0xe52, /* VEXTRACTI32x4rm */
+  0xe53, /* VEXTRACTI32x4rr */
+/* Table10673 */
+  0x1318, /* VINSERTI32x8rm */
+  0x1319, /* VINSERTI32x8rr */
+/* Table10675 */
+  0x195b, /* VPCMPUBZrmi */
+  0x195f, /* VPCMPUBZrri */
+/* Table10677 */
+  0x1853, /* VPCMPBZrmi */
+  0x1857, /* VPCMPBZrri */
+/* Table10679 */
+  0x1a6f, /* VPERMQZmi */
+  0x1a70, /* VPERMQZri */
+/* Table10681 */
+  0x1a65, /* VPERMPDZmi */
+  0x1a66, /* VPERMPDZri */
+/* Table10683 */
+  0xc47, /* VALIGNQrmi */
+  0xc48, /* VALIGNQrri */
+/* Table10685 */
+  0x1a4f, /* VPERMILPDZmi */
+  0x1a50, /* VPERMILPDZri */
+/* Table10687 */
+  0x209f, /* VRNDSCALEPDZm */
+  0x20a0, /* VRNDSCALEPDZr */
+/* Table10689 */
+  0x1310, /* VINSERTF64x2rm */
+  0x1311, /* VINSERTF64x2rr */
+/* Table10691 */
+  0x1312, /* VINSERTF64x4rm */
+  0x1313, /* VINSERTF64x4rr */
+/* Table10693 */
+  0xe4c, /* VEXTRACTF64x4rm */
+  0xe4d, /* VEXTRACTF64x4rr */
+/* Table10695 */
+  0x199f, /* VPCMPUQZrmi */
+  0x19a7, /* VPCMPUQZrri */
+/* Table10697 */
+  0x193f, /* VPCMPQZrmi */
+  0x1947, /* VPCMPQZrri */
+/* Table10699 */
+  0x131a, /* VINSERTI64x2rm */
+  0x131b, /* VINSERTI64x2rr */
+/* Table10701 */
+  0x131c, /* VINSERTI64x4rm */
+  0x131d, /* VINSERTI64x4rr */
+/* Table10703 */
+  0xe56, /* VEXTRACTI64x4rm */
+  0xe57, /* VEXTRACTI64x4rr */
+/* Table10705 */
+  0x19bb, /* VPCMPUWZrmi */
+  0x19bf, /* VPCMPUWZrri */
+/* Table10707 */
+  0x19d3, /* VPCMPWZrmi */
+  0x19d7, /* VPCMPWZrri */
+/* Table10709 */
+  0x20ad, /* VRNDSCALESSmk */
+  0x20b3, /* VRNDSCALESSrk */
+/* Table10711 */
+  0x1969, /* VPCMPUDZ128rmik */
+  0x196d, /* VPCMPUDZ128rrik */
+/* Table10713 */
+  0x1861, /* VPCMPDZ128rmik */
+  0x1865, /* VPCMPDZ128rrik */
+/* Table10715 */
+  0x194d, /* VPCMPUBZ128rmik */
+  0x1951, /* VPCMPUBZ128rrik */
+/* Table10717 */
+  0x1845, /* VPCMPBZ128rmik */
+  0x1849, /* VPCMPBZ128rrik */
+/* Table10719 */
+  0x20a4, /* VRNDSCALESDmk */
+  0x20aa, /* VRNDSCALESDrk */
+/* Table10721 */
+  0x198d, /* VPCMPUQZ128rmik */
+  0x1991, /* VPCMPUQZ128rrik */
+/* Table10723 */
+  0x192d, /* VPCMPQZ128rmik */
+  0x1931, /* VPCMPQZ128rrik */
+/* Table10725 */
+  0x19ad, /* VPCMPUWZ128rmik */
+  0x19b1, /* VPCMPUWZ128rrik */
+/* Table10727 */
+  0x19c5, /* VPCMPWZ128rmik */
+  0x19c9, /* VPCMPWZ128rrik */
+/* Table10729 */
+  0x1975, /* VPCMPUDZ256rmik */
+  0x1979, /* VPCMPUDZ256rrik */
+/* Table10731 */
+  0x186d, /* VPCMPDZ256rmik */
+  0x1871, /* VPCMPDZ256rrik */
+/* Table10733 */
+  0x1955, /* VPCMPUBZ256rmik */
+  0x1959, /* VPCMPUBZ256rrik */
+/* Table10735 */
+  0x184d, /* VPCMPBZ256rmik */
+  0x1851, /* VPCMPBZ256rrik */
+/* Table10737 */
+  0x1999, /* VPCMPUQZ256rmik */
+  0x199d, /* VPCMPUQZ256rrik */
+/* Table10739 */
+  0x1939, /* VPCMPQZ256rmik */
+  0x193d, /* VPCMPQZ256rrik */
+/* Table10741 */
+  0x19b5, /* VPCMPUWZ256rmik */
+  0x19b9, /* VPCMPUWZ256rrik */
+/* Table10743 */
+  0x19cd, /* VPCMPWZ256rmik */
+  0x19d1, /* VPCMPWZ256rrik */
+/* Table10745 */
+  0x0, /*  */
+  0xc45, /* VALIGNDrrik */
+/* Table10747 */
+  0x0, /*  */
+  0xe4a, /* VEXTRACTF32x4rrk */
+/* Table10749 */
+  0x1981, /* VPCMPUDZrmik */
+  0x1985, /* VPCMPUDZrrik */
+/* Table10751 */
+  0x1879, /* VPCMPDZrmik */
+  0x187d, /* VPCMPDZrrik */
+/* Table10753 */
+  0x0, /*  */
+  0xe54, /* VEXTRACTI32x4rrk */
+/* Table10755 */
+  0x195d, /* VPCMPUBZrmik */
+  0x1961, /* VPCMPUBZrrik */
+/* Table10757 */
+  0x1855, /* VPCMPBZrmik */
+  0x1859, /* VPCMPBZrrik */
+/* Table10759 */
+  0x0, /*  */
+  0xc49, /* VALIGNQrrik */
+/* Table10761 */
+  0x0, /*  */
+  0xe4e, /* VEXTRACTF64x4rrk */
+/* Table10763 */
+  0x19a5, /* VPCMPUQZrmik */
+  0x19a9, /* VPCMPUQZrrik */
+/* Table10765 */
+  0x1945, /* VPCMPQZrmik */
+  0x1949, /* VPCMPQZrrik */
+/* Table10767 */
+  0x0, /*  */
+  0xe58, /* VEXTRACTI64x4rrk */
+/* Table10769 */
+  0x19bd, /* VPCMPUWZrmik */
+  0x19c1, /* VPCMPUWZrrik */
+/* Table10771 */
+  0x19d5, /* VPCMPWZrmik */
+  0x19d9, /* VPCMPWZrrik */
+/* Table10773 */
+  0x0, /*  */
+  0x20b0, /* VRNDSCALESSrb */
+/* Table10775 */
+  0x1965, /* VPCMPUDZ128rmib */
+  0x0, /*  */
+/* Table10777 */
+  0x185d, /* VPCMPDZ128rmib */
+  0x0, /*  */
+/* Table10779 */
+  0x0, /*  */
+  0x20a7, /* VRNDSCALESDrb */
+/* Table10781 */
+  0x1989, /* VPCMPUQZ128rmib */
+  0x0, /*  */
+/* Table10783 */
+  0x1929, /* VPCMPQZ128rmib */
+  0x0, /*  */
+/* Table10785 */
+  0x1971, /* VPCMPUDZ256rmib */
+  0x0, /*  */
+/* Table10787 */
+  0x1869, /* VPCMPDZ256rmib */
+  0x0, /*  */
+/* Table10789 */
+  0x1995, /* VPCMPUQZ256rmib */
+  0x0, /*  */
+/* Table10791 */
+  0x1935, /* VPCMPQZ256rmib */
+  0x0, /*  */
+/* Table10793 */
+  0x197d, /* VPCMPUDZrmib */
+  0x0, /*  */
+/* Table10795 */
+  0x1875, /* VPCMPDZrmib */
+  0x0, /*  */
+/* Table10797 */
+  0x19a1, /* VPCMPUQZrmib */
+  0x0, /*  */
+/* Table10799 */
+  0x1941, /* VPCMPQZrmib */
+  0x0, /*  */
+/* Table10801 */
+  0x0, /*  */
+  0x20b1, /* VRNDSCALESSrbk */
+/* Table10803 */
+  0x1967, /* VPCMPUDZ128rmibk */
+  0x0, /*  */
+/* Table10805 */
+  0x185f, /* VPCMPDZ128rmibk */
+  0x0, /*  */
+/* Table10807 */
+  0x0, /*  */
+  0x20a8, /* VRNDSCALESDrbk */
+/* Table10809 */
+  0x198b, /* VPCMPUQZ128rmibk */
+  0x0, /*  */
+/* Table10811 */
+  0x192b, /* VPCMPQZ128rmibk */
+  0x0, /*  */
+/* Table10813 */
+  0x1973, /* VPCMPUDZ256rmibk */
+  0x0, /*  */
+/* Table10815 */
+  0x186b, /* VPCMPDZ256rmibk */
+  0x0, /*  */
+/* Table10817 */
+  0x1997, /* VPCMPUQZ256rmibk */
+  0x0, /*  */
+/* Table10819 */
+  0x1937, /* VPCMPQZ256rmibk */
+  0x0, /*  */
+/* Table10821 */
+  0x197f, /* VPCMPUDZrmibk */
+  0x0, /*  */
+/* Table10823 */
+  0x1877, /* VPCMPDZrmibk */
+  0x0, /*  */
+/* Table10825 */
+  0x19a3, /* VPCMPUQZrmibk */
+  0x0, /*  */
+/* Table10827 */
+  0x1943, /* VPCMPQZrmibk */
+  0x0, /*  */
+/* Table10829 */
+  0x0, /*  */
+  0x20b2, /* VRNDSCALESSrbkz */
+/* Table10831 */
+  0x0, /*  */
+  0x20a9, /* VRNDSCALESDrbkz */
+/* Table10833 */
+  0x20ae, /* VRNDSCALESSmkz */
+  0x20b4, /* VRNDSCALESSrkz */
+/* Table10835 */
+  0x20a5, /* VRNDSCALESDmkz */
+  0x20ab, /* VRNDSCALESDrkz */
+/* Table10837 */
+  0x0, /*  */
+  0xc46, /* VALIGNDrrikz */
+/* Table10839 */
+  0x0, /*  */
+  0xe4b, /* VEXTRACTF32x4rrkz */
+/* Table10841 */
+  0x0, /*  */
+  0xe55, /* VEXTRACTI32x4rrkz */
+/* Table10843 */
+  0x0, /*  */
+  0xc4a, /* VALIGNQrrikz */
+/* Table10845 */
+  0x0, /*  */
+  0xe4f, /* VEXTRACTF64x4rrkz */
+/* Table10847 */
+  0x0, /*  */
+  0xe59, /* VEXTRACTI64x4rrkz */
+/* Table10849 */
+  0x1b18, /* VPMACSSWWrm */
+  0x1b19, /* VPMACSSWWrr */
+/* Table10851 */
+  0x1b16, /* VPMACSSWDrm */
+  0x1b17, /* VPMACSSWDrr */
+/* Table10853 */
+  0x1b14, /* VPMACSSDQLrm */
+  0x1b15, /* VPMACSSDQLrr */
+/* Table10855 */
+  0x1b10, /* VPMACSSDDrm */
+  0x1b11, /* VPMACSSDDrr */
+/* Table10857 */
+  0x1b12, /* VPMACSSDQHrm */
+  0x1b13, /* VPMACSSDQHrr */
+/* Table10859 */
+  0x1b1c, /* VPMACSWWrm */
+  0x1b1d, /* VPMACSWWrr */
+/* Table10861 */
+  0x1b1a, /* VPMACSWDrm */
+  0x1b1b, /* VPMACSWDrr */
+/* Table10863 */
+  0x1b0e, /* VPMACSDQLrm */
+  0x1b0f, /* VPMACSDQLrr */
+/* Table10865 */
+  0x1b0a, /* VPMACSDDrm */
+  0x1b0b, /* VPMACSDDrr */
+/* Table10867 */
+  0x1b0c, /* VPMACSDQHrm */
+  0x1b0d, /* VPMACSDQHrr */
+/* Table10869 */
+  0x183d, /* VPCMOVmr */
+  0x1841, /* VPCMOVrr */
+/* Table10871 */
+  0x1e3f, /* VPPERMmr */
+  0x1e41, /* VPPERMrr */
+/* Table10873 */
+  0x1b1e, /* VPMADCSSWDrm */
+  0x1b1f, /* VPMADCSSWDrr */
+/* Table10875 */
+  0x1b20, /* VPMADCSWDrm */
+  0x1b21, /* VPMADCSWDrr */
+/* Table10877 */
+  0x1e42, /* VPROTBmi */
+  0x1e44, /* VPROTBri */
+/* Table10879 */
+  0x1e51, /* VPROTWmi */
+  0x1e53, /* VPROTWri */
+/* Table10881 */
+  0x1e47, /* VPROTDmi */
+  0x1e49, /* VPROTDri */
+/* Table10883 */
+  0x1e4c, /* VPROTQmi */
+  0x1e4e, /* VPROTQri */
+/* Table10885 */
+  0x19db, /* VPCOMBmi */
+  0x19dd, /* VPCOMBri */
+/* Table10887 */
+  0x1a09, /* VPCOMWmi */
+  0x1a0b, /* VPCOMWri */
+/* Table10889 */
+  0x19df, /* VPCOMDmi */
+  0x19e1, /* VPCOMDri */
+/* Table10891 */
+  0x19f5, /* VPCOMQmi */
+  0x19f7, /* VPCOMQri */
+/* Table10893 */
+  0x19f9, /* VPCOMUBmi */
+  0x19fb, /* VPCOMUBri */
+/* Table10895 */
+  0x1a05, /* VPCOMUWmi */
+  0x1a07, /* VPCOMUWri */
+/* Table10897 */
+  0x19fd, /* VPCOMUDmi */
+  0x19ff, /* VPCOMUDri */
+/* Table10899 */
+  0x1a01, /* VPCOMUQmi */
+  0x1a03, /* VPCOMUQri */
+/* Table10901 */
+  0x183f, /* VPCMOVrm */
+  0x1841, /* VPCMOVrr */
+/* Table10903 */
+  0x1e40, /* VPPERMrm */
+  0x1e41, /* VPPERMrr */
+/* Table10905 */
+  0x183e, /* VPCMOVmrY */
+  0x1842, /* VPCMOVrrY */
+/* Table10907 */
+  0x1840, /* VPCMOVrmY */
+  0x1842, /* VPCMOVrrY */
+/* Table10909 */
+  0x0, /*  */
+  0xed, /* BLCFILL32rm */
+  0x109, /* BLSFILL32rm */
+  0xfd, /* BLCS32rm */
+  0xbb0, /* TZMSK32rm */
+  0xf5, /* BLCIC32rm */
+  0x111, /* BLSIC32rm */
+  0xb6f, /* T1MSKC32rm */
+  0x0, /*  */
+  0xee, /* BLCFILL32rr */
+  0x10a, /* BLSFILL32rr */
+  0xfe, /* BLCS32rr */
+  0xbb1, /* TZMSK32rr */
+  0xf6, /* BLCIC32rr */
+  0x112, /* BLSIC32rr */
+  0xb70, /* T1MSKC32rr */
+/* Table10925 */
+  0x0, /*  */
+  0xf9, /* BLCMSK32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xf1, /* BLCI32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0xfa, /* BLCMSK32rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xf2, /* BLCI32rr */
+  0x0, /*  */
+/* Table10941 */
+  0x12be, /* VFRCZPSrm */
+  0x12c0, /* VFRCZPSrr */
+/* Table10943 */
+  0x12ba, /* VFRCZPDrm */
+  0x12bc, /* VFRCZPDrr */
+/* Table10945 */
+  0x12c4, /* VFRCZSSrm */
+  0x12c5, /* VFRCZSSrr */
+/* Table10947 */
+  0x12c2, /* VFRCZSDrm */
+  0x12c3, /* VFRCZSDrr */
+/* Table10949 */
+  0x1e43, /* VPROTBmr */
+  0x1e46, /* VPROTBrr */
+/* Table10951 */
+  0x1e52, /* VPROTWmr */
+  0x1e55, /* VPROTWrr */
+/* Table10953 */
+  0x1e48, /* VPROTDmr */
+  0x1e4b, /* VPROTDrr */
+/* Table10955 */
+  0x1e4d, /* VPROTQmr */
+  0x1e50, /* VPROTQrr */
+/* Table10957 */
+  0x1e6a, /* VPSHLBmr */
+  0x1e6c, /* VPSHLBrr */
+/* Table10959 */
+  0x1e73, /* VPSHLWmr */
+  0x1e75, /* VPSHLWrr */
+/* Table10961 */
+  0x1e6d, /* VPSHLDmr */
+  0x1e6f, /* VPSHLDrr */
+/* Table10963 */
+  0x1e70, /* VPSHLQmr */
+  0x1e72, /* VPSHLQrr */
+/* Table10965 */
+  0x1e5e, /* VPSHABmr */
+  0x1e60, /* VPSHABrr */
+/* Table10967 */
+  0x1e67, /* VPSHAWmr */
+  0x1e69, /* VPSHAWrr */
+/* Table10969 */
+  0x1e61, /* VPSHADmr */
+  0x1e63, /* VPSHADrr */
+/* Table10971 */
+  0x1e64, /* VPSHAQmr */
+  0x1e66, /* VPSHAQrr */
+/* Table10973 */
+  0x1abc, /* VPHADDBWrm */
+  0x1abd, /* VPHADDBWrr */
+/* Table10975 */
+  0x1ab8, /* VPHADDBDrm */
+  0x1ab9, /* VPHADDBDrr */
+/* Table10977 */
+  0x1aba, /* VPHADDBQrm */
+  0x1abb, /* VPHADDBQrr */
+/* Table10979 */
+  0x1ad4, /* VPHADDWDrm */
+  0x1ad5, /* VPHADDWDrr */
+/* Table10981 */
+  0x1ad6, /* VPHADDWQrm */
+  0x1ad7, /* VPHADDWQrr */
+/* Table10983 */
+  0x1abe, /* VPHADDDQrm */
+  0x1abf, /* VPHADDDQrr */
+/* Table10985 */
+  0x1acc, /* VPHADDUBWrm */
+  0x1acd, /* VPHADDUBWrr */
+/* Table10987 */
+  0x1ac8, /* VPHADDUBDrm */
+  0x1ac9, /* VPHADDUBDrr */
+/* Table10989 */
+  0x1aca, /* VPHADDUBQrm */
+  0x1acb, /* VPHADDUBQrr */
+/* Table10991 */
+  0x1ad0, /* VPHADDUWDrm */
+  0x1ad1, /* VPHADDUWDrr */
+/* Table10993 */
+  0x1ad2, /* VPHADDUWQrm */
+  0x1ad3, /* VPHADDUWQrr */
+/* Table10995 */
+  0x1ace, /* VPHADDUDQrm */
+  0x1acf, /* VPHADDUDQrr */
+/* Table10997 */
+  0x1ade, /* VPHSUBBWrm */
+  0x1adf, /* VPHSUBBWrr */
+/* Table10999 */
+  0x1aea, /* VPHSUBWDrm */
+  0x1aeb, /* VPHSUBWDrr */
+/* Table11001 */
+  0x1ae0, /* VPHSUBDQrm */
+  0x1ae1, /* VPHSUBDQrr */
+/* Table11003 */
+  0x0, /*  */
+  0xef, /* BLCFILL64rm */
+  0x10b, /* BLSFILL64rm */
+  0xff, /* BLCS64rm */
+  0xbb2, /* TZMSK64rm */
+  0xf7, /* BLCIC64rm */
+  0x113, /* BLSIC64rm */
+  0xb71, /* T1MSKC64rm */
+  0x0, /*  */
+  0xf0, /* BLCFILL64rr */
+  0x10c, /* BLSFILL64rr */
+  0x100, /* BLCS64rr */
+  0xbb3, /* TZMSK64rr */
+  0xf8, /* BLCIC64rr */
+  0x114, /* BLSIC64rr */
+  0xb72, /* T1MSKC64rr */
+/* Table11019 */
+  0x0, /*  */
+  0xfb, /* BLCMSK64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xf3, /* BLCI64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0xfc, /* BLCMSK64rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xf4, /* BLCI64rr */
+  0x0, /*  */
+/* Table11035 */
+  0x1e45, /* VPROTBrm */
+  0x1e46, /* VPROTBrr */
+/* Table11037 */
+  0x1e54, /* VPROTWrm */
+  0x1e55, /* VPROTWrr */
+/* Table11039 */
+  0x1e4a, /* VPROTDrm */
+  0x1e4b, /* VPROTDrr */
+/* Table11041 */
+  0x1e4f, /* VPROTQrm */
+  0x1e50, /* VPROTQrr */
+/* Table11043 */
+  0x1e6b, /* VPSHLBrm */
+  0x1e6c, /* VPSHLBrr */
+/* Table11045 */
+  0x1e74, /* VPSHLWrm */
+  0x1e75, /* VPSHLWrr */
+/* Table11047 */
+  0x1e6e, /* VPSHLDrm */
+  0x1e6f, /* VPSHLDrr */
+/* Table11049 */
+  0x1e71, /* VPSHLQrm */
+  0x1e72, /* VPSHLQrr */
+/* Table11051 */
+  0x1e5f, /* VPSHABrm */
+  0x1e60, /* VPSHABrr */
+/* Table11053 */
+  0x1e68, /* VPSHAWrm */
+  0x1e69, /* VPSHAWrr */
+/* Table11055 */
+  0x1e62, /* VPSHADrm */
+  0x1e63, /* VPSHADrr */
+/* Table11057 */
+  0x1e65, /* VPSHAQrm */
+  0x1e66, /* VPSHAQrr */
+/* Table11059 */
+  0x12bf, /* VFRCZPSrmY */
+  0x12c1, /* VFRCZPSrrY */
+/* Table11061 */
+  0x12bb, /* VFRCZPDrmY */
+  0x12bd, /* VFRCZPDrrY */
+/* Table11063 */
+  0xe9, /* BEXTRI32mi */
+  0xea, /* BEXTRI32ri */
+/* Table11065 */
+  0xeb, /* BEXTRI64mi */
+  0xec, /* BEXTRI64ri */
+/* Table11067 */
+  0x89d, /* PREFETCH */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table11083 */
+  0x301, /* FEMMS */
+/* Table11084 */
+  0x82c, /* PI2FWrm */
+  0x82d, /* PI2FWrr */
+/* Table11086 */
+  0x82a, /* PI2FDrm */
+  0x82b, /* PI2FDrr */
+/* Table11088 */
+  0x7f8, /* PF2IWrm */
+  0x7f9, /* PF2IWrr */
+/* Table11090 */
+  0x7f6, /* PF2IDrm */
+  0x7f7, /* PF2IDrr */
+/* Table11092 */
+  0x80a, /* PFNACCrm */
+  0x80b, /* PFNACCrr */
+/* Table11094 */
+  0x80c, /* PFPNACCrm */
+  0x80d, /* PFPNACCrr */
+/* Table11096 */
+  0x800, /* PFCMPGErm */
+  0x801, /* PFCMPGErr */
+/* Table11098 */
+  0x806, /* PFMINrm */
+  0x807, /* PFMINrr */
+/* Table11100 */
+  0x812, /* PFRCPrm */
+  0x813, /* PFRCPrr */
+/* Table11102 */
+  0x816, /* PFRSQRTrm */
+  0x817, /* PFRSQRTrr */
+/* Table11104 */
+  0x81a, /* PFSUBrm */
+  0x81b, /* PFSUBrr */
+/* Table11106 */
+  0x7fc, /* PFADDrm */
+  0x7fd, /* PFADDrr */
+/* Table11108 */
+  0x802, /* PFCMPGTrm */
+  0x803, /* PFCMPGTrr */
+/* Table11110 */
+  0x804, /* PFMAXrm */
+  0x805, /* PFMAXrr */
+/* Table11112 */
+  0x80e, /* PFRCPIT1rm */
+  0x80f, /* PFRCPIT1rr */
+/* Table11114 */
+  0x814, /* PFRSQIT1rm */
+  0x815, /* PFRSQIT1rr */
+/* Table11116 */
+  0x818, /* PFSUBRrm */
+  0x819, /* PFSUBRrr */
+/* Table11118 */
+  0x7fa, /* PFACCrm */
+  0x7fb, /* PFACCrr */
+/* Table11120 */
+  0x7fe, /* PFCMPEQrm */
+  0x7ff, /* PFCMPEQrr */
+/* Table11122 */
+  0x808, /* PFMULrm */
+  0x809, /* PFMULrr */
+/* Table11124 */
+  0x810, /* PFRCPIT2rm */
+  0x811, /* PFRCPIT2rr */
+/* Table11126 */
+  0x86f, /* PMULHRWrm */
+  0x870, /* PMULHRWrr */
+/* Table11128 */
+  0x8dd, /* PSWAPDrm */
+  0x8de, /* PSWAPDrr */
+/* Table11130 */
+  0x7ba, /* PAVGUSBrm */
+  0x7bb, /* PAVGUSBrr */
   0x0
 };
 
@@ -59404,77 +76982,93886 @@ static const struct OpcodeDecision x86Di
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1 /* Table1 */
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    292 /* Table292 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    928 /* Table928 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    933 /* Table933 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    935 /* Table935 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1001 /* Table1001 */
+   }
+  }
+ }
+,  /* IC_64BIT */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1024 /* Table1024 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1046 /* Table1046 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1048 /* Table1048 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1054 /* Table1054 */
+   }
+  }
+ }
+,  /* IC_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1070 /* Table1070 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1072 /* Table1072 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1074 /* Table1074 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1075 /* Table1075 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1076 /* Table1076 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1077 /* Table1077 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1079 /* Table1079 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1081 /* Table1081 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1082 /* Table1082 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1083 /* Table1083 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1085 /* Table1085 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1087 /* Table1087 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1088 /* Table1088 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1089 /* Table1089 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1090 /* Table1090 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1092 /* Table1092 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1094 /* Table1094 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1095 /* Table1095 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1096 /* Table1096 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1097 /* Table1097 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1099 /* Table1099 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1101 /* Table1101 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1102 /* Table1102 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1104 /* Table1104 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1106 /* Table1106 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1107 /* Table1107 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1109 /* Table1109 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1111 /* Table1111 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1112 /* Table1112 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1114 /* Table1114 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1116 /* Table1116 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1121 /* Table1121 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1122 /* Table1122 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1123 /* Table1123 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1125 /* Table1125 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1126 /* Table1126 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1128 /* Table1128 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1129 /* Table1129 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1133 /* Table1133 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1149 /* Table1149 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1165 /* Table1165 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1167 /* Table1167 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1169 /* Table1169 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1171 /* Table1171 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1173 /* Table1173 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1175 /* Table1175 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1177 /* Table1177 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1196 /* Table1196 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1197 /* Table1197 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1198 /* Table1198 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1201 /* Table1201 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1202 /* Table1202 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1203 /* Table1203 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1204 /* Table1204 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1205 /* Table1205 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1206 /* Table1206 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1207 /* Table1207 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1208 /* Table1208 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1210 /* Table1210 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1232 /* Table1232 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1307 /* Table1307 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1323 /* Table1323 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    928 /* Table928 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1341 /* Table1341 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1343 /* Table1343 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1346 /* Table1346 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1362 /* Table1362 */
+   }
+  }
+ }
+,  /* IC_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1378 /* Table1378 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1379 /* Table1379 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1380 /* Table1380 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1381 /* Table1381 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    292 /* Table292 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1382 /* Table1382 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    933 /* Table933 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    935 /* Table935 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1001 /* Table1001 */
+   }
+  }
+ }
+,  /* IC_OPSIZE_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1070 /* Table1070 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1072 /* Table1072 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1074 /* Table1074 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1075 /* Table1075 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1076 /* Table1076 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1077 /* Table1077 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1079 /* Table1079 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1081 /* Table1081 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1082 /* Table1082 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1083 /* Table1083 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1085 /* Table1085 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1087 /* Table1087 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1088 /* Table1088 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1089 /* Table1089 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1090 /* Table1090 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1092 /* Table1092 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1094 /* Table1094 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1095 /* Table1095 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1096 /* Table1096 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1097 /* Table1097 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1099 /* Table1099 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1101 /* Table1101 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1102 /* Table1102 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1104 /* Table1104 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1106 /* Table1106 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1107 /* Table1107 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1109 /* Table1109 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1111 /* Table1111 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1112 /* Table1112 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1114 /* Table1114 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1116 /* Table1116 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1117 /* Table1117 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1118 /* Table1118 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1121 /* Table1121 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1122 /* Table1122 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1123 /* Table1123 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1125 /* Table1125 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1126 /* Table1126 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1128 /* Table1128 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1129 /* Table1129 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1133 /* Table1133 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1149 /* Table1149 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1165 /* Table1165 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1167 /* Table1167 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1169 /* Table1169 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1171 /* Table1171 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1173 /* Table1173 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1175 /* Table1175 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1177 /* Table1177 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1196 /* Table1196 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1197 /* Table1197 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1198 /* Table1198 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1378 /* Table1378 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1383 /* Table1383 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1380 /* Table1380 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1384 /* Table1384 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1203 /* Table1203 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1204 /* Table1204 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1205 /* Table1205 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1206 /* Table1206 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1207 /* Table1207 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1208 /* Table1208 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1210 /* Table1210 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1232 /* Table1232 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1307 /* Table1307 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1323 /* Table1323 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1382 /* Table1382 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1341 /* Table1341 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1343 /* Table1343 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1346 /* Table1346 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1362 /* Table1362 */
+   }
+  }
+ }
+,  /* IC_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    292 /* Table292 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    928 /* Table928 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    933 /* Table933 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    935 /* Table935 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1001 /* Table1001 */
+   }
+  }
+ }
+,  /* IC_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1385 /* Table1385 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    292 /* Table292 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    442 /* Table442 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    447 /* Table447 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    513 /* Table513 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    514 /* Table514 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    515 /* Table515 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    928 /* Table928 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    933 /* Table933 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    935 /* Table935 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1001 /* Table1001 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1386 /* Table1386 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1388 /* Table1388 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1390 /* Table1390 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1391 /* Table1391 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1393 /* Table1393 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1395 /* Table1395 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1396 /* Table1396 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1398 /* Table1398 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1400 /* Table1400 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1401 /* Table1401 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1403 /* Table1403 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1405 /* Table1405 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1406 /* Table1406 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1408 /* Table1408 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1410 /* Table1410 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1411 /* Table1411 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1413 /* Table1413 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1415 /* Table1415 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1416 /* Table1416 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1418 /* Table1418 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1420 /* Table1420 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1421 /* Table1421 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1423 /* Table1423 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1425 /* Table1425 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1426 /* Table1426 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1428 /* Table1428 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1430 /* Table1430 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1432 /* Table1432 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1448 /* Table1448 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1464 /* Table1464 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1466 /* Table1466 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1468 /* Table1468 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1470 /* Table1470 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1472 /* Table1472 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1474 /* Table1474 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1476 /* Table1476 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1479 /* Table1479 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1480 /* Table1480 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1481 /* Table1481 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1482 /* Table1482 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1483 /* Table1483 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1484 /* Table1484 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1485 /* Table1485 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1486 /* Table1486 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1487 /* Table1487 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1488 /* Table1488 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1490 /* Table1490 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1506 /* Table1506 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1578 /* Table1578 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1579 /* Table1579 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1580 /* Table1580 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1581 /* Table1581 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1597 /* Table1597 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1613 /* Table1613 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1629 /* Table1629 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1386 /* Table1386 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1388 /* Table1388 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1390 /* Table1390 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1391 /* Table1391 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1393 /* Table1393 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1395 /* Table1395 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1396 /* Table1396 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1398 /* Table1398 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1400 /* Table1400 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1401 /* Table1401 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1403 /* Table1403 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1405 /* Table1405 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1406 /* Table1406 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1408 /* Table1408 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1410 /* Table1410 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1411 /* Table1411 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1413 /* Table1413 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1415 /* Table1415 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1416 /* Table1416 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1418 /* Table1418 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1420 /* Table1420 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1421 /* Table1421 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1423 /* Table1423 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1425 /* Table1425 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1426 /* Table1426 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1645 /* Table1645 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1428 /* Table1428 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1430 /* Table1430 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1432 /* Table1432 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1448 /* Table1448 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1464 /* Table1464 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1466 /* Table1466 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1468 /* Table1468 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1470 /* Table1470 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1472 /* Table1472 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1474 /* Table1474 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1476 /* Table1476 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1479 /* Table1479 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1480 /* Table1480 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1646 /* Table1646 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1647 /* Table1647 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1483 /* Table1483 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1484 /* Table1484 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1485 /* Table1485 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1486 /* Table1486 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1487 /* Table1487 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1488 /* Table1488 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1490 /* Table1490 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1648 /* Table1648 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1578 /* Table1578 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1579 /* Table1579 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1580 /* Table1580 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1581 /* Table1581 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1597 /* Table1597 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1341 /* Table1341 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1613 /* Table1613 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1720 /* Table1720 */
+   }
+  }
+ }
+,  /* IC_64BIT_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1070 /* Table1070 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1072 /* Table1072 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1074 /* Table1074 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1077 /* Table1077 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1079 /* Table1079 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1081 /* Table1081 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1083 /* Table1083 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1085 /* Table1085 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1087 /* Table1087 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1090 /* Table1090 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1092 /* Table1092 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1094 /* Table1094 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1097 /* Table1097 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1099 /* Table1099 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1101 /* Table1101 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1102 /* Table1102 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1104 /* Table1104 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1106 /* Table1106 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1107 /* Table1107 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1109 /* Table1109 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1111 /* Table1111 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1112 /* Table1112 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1114 /* Table1114 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1116 /* Table1116 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1645 /* Table1645 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1126 /* Table1126 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1129 /* Table1129 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1133 /* Table1133 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1149 /* Table1149 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1165 /* Table1165 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1167 /* Table1167 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1169 /* Table1169 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1171 /* Table1171 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1173 /* Table1173 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1175 /* Table1175 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1177 /* Table1177 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1196 /* Table1196 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1197 /* Table1197 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1736 /* Table1736 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1737 /* Table1737 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1203 /* Table1203 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1204 /* Table1204 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1205 /* Table1205 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1206 /* Table1206 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1207 /* Table1207 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1208 /* Table1208 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1210 /* Table1210 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1232 /* Table1232 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1307 /* Table1307 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1323 /* Table1323 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1341 /* Table1341 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1346 /* Table1346 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1738 /* Table1738 */
+   }
+  }
+ }
+,  /* IC_64BIT_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1024 /* Table1024 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    928 /* Table928 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1054 /* Table1054 */
+   }
+  }
+ }
+,  /* IC_64BIT_OPSIZE_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1070 /* Table1070 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1072 /* Table1072 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1074 /* Table1074 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1077 /* Table1077 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1079 /* Table1079 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1081 /* Table1081 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1083 /* Table1083 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1085 /* Table1085 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1087 /* Table1087 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1090 /* Table1090 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1092 /* Table1092 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1094 /* Table1094 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1097 /* Table1097 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1099 /* Table1099 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1101 /* Table1101 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1102 /* Table1102 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1104 /* Table1104 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1106 /* Table1106 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1107 /* Table1107 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1109 /* Table1109 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1111 /* Table1111 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1112 /* Table1112 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1114 /* Table1114 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1116 /* Table1116 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1645 /* Table1645 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1126 /* Table1126 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1129 /* Table1129 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1133 /* Table1133 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1149 /* Table1149 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1165 /* Table1165 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1167 /* Table1167 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1169 /* Table1169 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1171 /* Table1171 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1173 /* Table1173 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1175 /* Table1175 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1177 /* Table1177 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1195 /* Table1195 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1196 /* Table1196 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1197 /* Table1197 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1201 /* Table1201 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1202 /* Table1202 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1203 /* Table1203 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1204 /* Table1204 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1205 /* Table1205 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1206 /* Table1206 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1207 /* Table1207 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1208 /* Table1208 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1209 /* Table1209 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1210 /* Table1210 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1232 /* Table1232 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1307 /* Table1307 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1323 /* Table1323 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1341 /* Table1341 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1346 /* Table1346 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1738 /* Table1738 */
+   }
+  }
+ }
+,  /* IC_64BIT_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1024 /* Table1024 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1046 /* Table1046 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1048 /* Table1048 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1054 /* Table1054 */
+   }
+  }
+ }
+,  /* IC_64BIT_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1020 /* Table1020 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1024 /* Table1024 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1385 /* Table1385 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1042 /* Table1042 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1046 /* Table1046 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1048 /* Table1048 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    258 /* Table258 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    275 /* Table275 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    369 /* Table369 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    443 /* Table443 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    444 /* Table444 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    448 /* Table448 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    465 /* Table465 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    497 /* Table497 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    963 /* Table963 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1054 /* Table1054 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1386 /* Table1386 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1388 /* Table1388 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1390 /* Table1390 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1391 /* Table1391 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1393 /* Table1393 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1395 /* Table1395 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1396 /* Table1396 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1398 /* Table1398 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1400 /* Table1400 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1401 /* Table1401 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1403 /* Table1403 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1405 /* Table1405 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1406 /* Table1406 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1408 /* Table1408 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1410 /* Table1410 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1411 /* Table1411 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1413 /* Table1413 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1415 /* Table1415 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1416 /* Table1416 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1418 /* Table1418 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1420 /* Table1420 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1421 /* Table1421 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1423 /* Table1423 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1425 /* Table1425 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1426 /* Table1426 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1428 /* Table1428 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1430 /* Table1430 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1432 /* Table1432 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1448 /* Table1448 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1464 /* Table1464 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1466 /* Table1466 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1468 /* Table1468 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1470 /* Table1470 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1472 /* Table1472 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1474 /* Table1474 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1476 /* Table1476 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1479 /* Table1479 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1480 /* Table1480 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1481 /* Table1481 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1482 /* Table1482 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1483 /* Table1483 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1484 /* Table1484 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1485 /* Table1485 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1486 /* Table1486 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1487 /* Table1487 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1488 /* Table1488 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1490 /* Table1490 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1506 /* Table1506 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1578 /* Table1578 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1579 /* Table1579 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1580 /* Table1580 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1581 /* Table1581 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1597 /* Table1597 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1613 /* Table1613 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1629 /* Table1629 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1386 /* Table1386 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1388 /* Table1388 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1390 /* Table1390 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1391 /* Table1391 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1393 /* Table1393 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1395 /* Table1395 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1396 /* Table1396 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1398 /* Table1398 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1400 /* Table1400 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1401 /* Table1401 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1403 /* Table1403 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1405 /* Table1405 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1406 /* Table1406 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1408 /* Table1408 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1410 /* Table1410 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1411 /* Table1411 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1413 /* Table1413 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1415 /* Table1415 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1416 /* Table1416 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1418 /* Table1418 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1420 /* Table1420 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1421 /* Table1421 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1423 /* Table1423 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1425 /* Table1425 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1019 /* Table1019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1426 /* Table1426 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1022 /* Table1022 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1428 /* Table1428 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1430 /* Table1430 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1432 /* Table1432 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1448 /* Table1448 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1464 /* Table1464 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1466 /* Table1466 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1468 /* Table1468 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1470 /* Table1470 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1472 /* Table1472 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1474 /* Table1474 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1476 /* Table1476 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1026 /* Table1026 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1479 /* Table1479 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1480 /* Table1480 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1043 /* Table1043 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1044 /* Table1044 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1481 /* Table1481 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1482 /* Table1482 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1483 /* Table1483 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1484 /* Table1484 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1485 /* Table1485 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1486 /* Table1486 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1487 /* Table1487 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1488 /* Table1488 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1490 /* Table1490 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1049 /* Table1049 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1050 /* Table1050 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    293 /* Table293 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    295 /* Table295 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1506 /* Table1506 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1578 /* Table1578 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1579 /* Table1579 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1580 /* Table1580 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1581 /* Table1581 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1597 /* Table1597 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    930 /* Table930 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    932 /* Table932 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1053 /* Table1053 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    934 /* Table934 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    938 /* Table938 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    940 /* Table940 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1613 /* Table1613 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1629 /* Table1629 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1386 /* Table1386 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1388 /* Table1388 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1390 /* Table1390 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1391 /* Table1391 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1393 /* Table1393 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1395 /* Table1395 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1396 /* Table1396 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1398 /* Table1398 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1400 /* Table1400 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1401 /* Table1401 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1403 /* Table1403 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1405 /* Table1405 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1406 /* Table1406 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1408 /* Table1408 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1410 /* Table1410 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1411 /* Table1411 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1413 /* Table1413 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1415 /* Table1415 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1416 /* Table1416 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1418 /* Table1418 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1420 /* Table1420 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1421 /* Table1421 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1423 /* Table1423 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1425 /* Table1425 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1119 /* Table1119 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1120 /* Table1120 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1426 /* Table1426 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1645 /* Table1645 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1428 /* Table1428 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1023 /* Table1023 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1430 /* Table1430 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1131 /* Table1131 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1132 /* Table1132 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1432 /* Table1432 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1448 /* Table1448 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1464 /* Table1464 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1466 /* Table1466 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1468 /* Table1468 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1470 /* Table1470 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1472 /* Table1472 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1474 /* Table1474 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1476 /* Table1476 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1179 /* Table1179 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1478 /* Table1478 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1479 /* Table1479 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1480 /* Table1480 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1199 /* Table1199 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1200 /* Table1200 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1045 /* Table1045 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1481 /* Table1481 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1047 /* Table1047 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1482 /* Table1482 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1483 /* Table1483 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1484 /* Table1484 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1485 /* Table1485 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1486 /* Table1486 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1487 /* Table1487 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1488 /* Table1488 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1489 /* Table1489 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    259 /* Table259 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1490 /* Table1490 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1226 /* Table1226 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1227 /* Table1227 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1228 /* Table1228 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1230 /* Table1230 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    297 /* Table297 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1648 /* Table1648 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    441 /* Table441 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1051 /* Table1051 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1578 /* Table1578 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1579 /* Table1579 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    445 /* Table445 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    446 /* Table446 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1580 /* Table1580 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    449 /* Table449 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1581 /* Table1581 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    481 /* Table481 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1597 /* Table1597 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    516 /* Table516 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    517 /* Table517 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    533 /* Table533 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    605 /* Table605 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    677 /* Table677 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    749 /* Table749 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    765 /* Table765 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    781 /* Table781 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    853 /* Table853 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    925 /* Table925 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    926 /* Table926 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    927 /* Table927 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1052 /* Table1052 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    929 /* Table929 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1339 /* Table1339 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    931 /* Table931 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1340 /* Table1340 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    933 /* Table933 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1342 /* Table1342 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    936 /* Table936 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    937 /* Table937 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1344 /* Table1344 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    939 /* Table939 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1345 /* Table1345 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    941 /* Table941 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    942 /* Table942 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    943 /* Table943 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    944 /* Table944 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    945 /* Table945 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    946 /* Table946 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    947 /* Table947 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1613 /* Table1613 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    984 /* Table984 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    985 /* Table985 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1720 /* Table1720 */
+   }
+  }
+ }
+,  /* IC_OF */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+, };
+static const uint8_t index_x86DisassemblerOneByteOpcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 0, 0, 8, 9, 10, 11, 12, 13, 14, 0, 0, 15, 16, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerTwoByteOpcodes[] = {
+ /* IC */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1770 /* Table1770 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1868 /* Table1868 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1870 /* Table1870 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1872 /* Table1872 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1926 /* Table1926 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1928 /* Table1928 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1930 /* Table1930 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1932 /* Table1932 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1979 /* Table1979 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1993 /* Table1993 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1995 /* Table1995 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1997 /* Table1997 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2001 /* Table2001 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2003 /* Table2003 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2005 /* Table2005 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2007 /* Table2007 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2037 /* Table2037 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2094 /* Table2094 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2096 /* Table2096 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2150 /* Table2150 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2151 /* Table2151 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2303 /* Table2303 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2304 /* Table2304 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2433 /* Table2433 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2530 /* Table2530 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2546 /* Table2546 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1868 /* Table1868 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1870 /* Table1870 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1872 /* Table1872 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1926 /* Table1926 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1928 /* Table1928 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1930 /* Table1930 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1932 /* Table1932 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1979 /* Table1979 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1993 /* Table1993 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1995 /* Table1995 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1997 /* Table1997 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2001 /* Table2001 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2003 /* Table2003 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2005 /* Table2005 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2007 /* Table2007 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2037 /* Table2037 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2626 /* Table2626 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2628 /* Table2628 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2433 /* Table2433 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2636 /* Table2636 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2652 /* Table2652 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2724 /* Table2724 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2726 /* Table2726 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2790 /* Table2790 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2792 /* Table2792 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2794 /* Table2794 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2796 /* Table2796 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2798 /* Table2798 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2800 /* Table2800 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2802 /* Table2802 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2804 /* Table2804 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2806 /* Table2806 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2808 /* Table2808 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2810 /* Table2810 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2812 /* Table2812 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2814 /* Table2814 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2816 /* Table2816 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2818 /* Table2818 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2820 /* Table2820 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2878 /* Table2878 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2938 /* Table2938 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2940 /* Table2940 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2946 /* Table2946 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2968 /* Table2968 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2970 /* Table2970 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2972 /* Table2972 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2976 /* Table2976 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2978 /* Table2978 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2980 /* Table2980 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2982 /* Table2982 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3054 /* Table3054 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3056 /* Table3056 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3058 /* Table3058 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3060 /* Table3060 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3062 /* Table3062 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3064 /* Table3064 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3066 /* Table3066 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3068 /* Table3068 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3084 /* Table3084 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3086 /* Table3086 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3088 /* Table3088 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3090 /* Table3090 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3092 /* Table3092 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3102 /* Table3102 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3194 /* Table3194 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1770 /* Table1770 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1868 /* Table1868 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1870 /* Table1870 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1872 /* Table1872 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1926 /* Table1926 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1928 /* Table1928 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1930 /* Table1930 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1932 /* Table1932 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1979 /* Table1979 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1993 /* Table1993 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1995 /* Table1995 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1997 /* Table1997 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2001 /* Table2001 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2003 /* Table2003 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2005 /* Table2005 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2007 /* Table2007 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2037 /* Table2037 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2094 /* Table2094 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2096 /* Table2096 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2150 /* Table2150 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2151 /* Table2151 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2303 /* Table2303 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2304 /* Table2304 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2433 /* Table2433 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2530 /* Table2530 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_OPSIZE_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2636 /* Table2636 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2652 /* Table2652 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2724 /* Table2724 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2726 /* Table2726 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2790 /* Table2790 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2792 /* Table2792 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2794 /* Table2794 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2796 /* Table2796 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2798 /* Table2798 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2800 /* Table2800 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2802 /* Table2802 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2804 /* Table2804 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2806 /* Table2806 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2808 /* Table2808 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2810 /* Table2810 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2812 /* Table2812 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2814 /* Table2814 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2816 /* Table2816 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2818 /* Table2818 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2820 /* Table2820 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2878 /* Table2878 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2938 /* Table2938 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2940 /* Table2940 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2946 /* Table2946 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2968 /* Table2968 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2970 /* Table2970 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2972 /* Table2972 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2976 /* Table2976 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2978 /* Table2978 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2980 /* Table2980 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2982 /* Table2982 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3054 /* Table3054 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3056 /* Table3056 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3058 /* Table3058 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3060 /* Table3060 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3062 /* Table3062 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3064 /* Table3064 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3066 /* Table3066 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3068 /* Table3068 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3084 /* Table3084 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3086 /* Table3086 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3088 /* Table3088 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3090 /* Table3090 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3092 /* Table3092 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3102 /* Table3102 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3194 /* Table3194 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1770 /* Table1770 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3210 /* Table3210 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3212 /* Table3212 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3214 /* Table3214 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3216 /* Table3216 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3218 /* Table3218 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3220 /* Table3220 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3222 /* Table3222 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3224 /* Table3224 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3226 /* Table3226 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3228 /* Table3228 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3230 /* Table3230 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3232 /* Table3232 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3234 /* Table3234 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3236 /* Table3236 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3238 /* Table3238 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3240 /* Table3240 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3242 /* Table3242 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3244 /* Table3244 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3246 /* Table3246 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3248 /* Table3248 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2150 /* Table2150 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2151 /* Table2151 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2303 /* Table2303 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2304 /* Table2304 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3250 /* Table3250 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3252 /* Table3252 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3254 /* Table3254 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3256 /* Table3256 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3258 /* Table3258 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2530 /* Table2530 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1770 /* Table1770 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3260 /* Table3260 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3262 /* Table3262 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3264 /* Table3264 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3266 /* Table3266 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1914 /* Table1914 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1916 /* Table1916 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1918 /* Table1918 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1920 /* Table1920 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3268 /* Table3268 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3270 /* Table3270 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3272 /* Table3272 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3274 /* Table3274 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3276 /* Table3276 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3278 /* Table3278 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3280 /* Table3280 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3282 /* Table3282 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3284 /* Table3284 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3286 /* Table3286 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3288 /* Table3288 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3290 /* Table3290 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3292 /* Table3292 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3294 /* Table3294 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3296 /* Table3296 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3298 /* Table3298 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3300 /* Table3300 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2094 /* Table2094 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2096 /* Table2096 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3302 /* Table3302 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3304 /* Table3304 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2150 /* Table2150 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2151 /* Table2151 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2303 /* Table2303 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2304 /* Table2304 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3306 /* Table3306 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3308 /* Table3308 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3310 /* Table3310 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3312 /* Table3312 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3314 /* Table3314 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3330 /* Table3330 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3332 /* Table3332 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2530 /* Table2530 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_XS_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3334 /* Table3334 */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3336 /* Table3336 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3338 /* Table3338 */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3340 /* Table3340 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3356 /* Table3356 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3428 /* Table3428 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3430 /* Table3430 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3432 /* Table3432 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1868 /* Table1868 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1870 /* Table1870 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1872 /* Table1872 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1926 /* Table1926 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1928 /* Table1928 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1930 /* Table1930 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1932 /* Table1932 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3433 /* Table3433 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3434 /* Table3434 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3436 /* Table3436 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3438 /* Table3438 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3440 /* Table3440 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3442 /* Table3442 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3444 /* Table3444 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3446 /* Table3446 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3448 /* Table3448 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3450 /* Table3450 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3452 /* Table3452 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3454 /* Table3454 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3456 /* Table3456 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3458 /* Table3458 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3460 /* Table3460 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3462 /* Table3462 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3464 /* Table3464 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1979 /* Table1979 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1993 /* Table1993 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1995 /* Table1995 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1997 /* Table1997 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2001 /* Table2001 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2003 /* Table2003 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2005 /* Table2005 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2007 /* Table2007 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3466 /* Table3466 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2037 /* Table2037 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2626 /* Table2626 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2628 /* Table2628 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3468 /* Table3468 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3470 /* Table3470 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3472 /* Table3472 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3474 /* Table3474 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3476 /* Table3476 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3478 /* Table3478 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3480 /* Table3480 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3482 /* Table3482 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3554 /* Table3554 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3556 /* Table3556 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3558 /* Table3558 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3560 /* Table3560 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3562 /* Table3562 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3564 /* Table3564 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3566 /* Table3566 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3568 /* Table3568 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3570 /* Table3570 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3586 /* Table3586 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3588 /* Table3588 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3590 /* Table3590 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3592 /* Table3592 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3594 /* Table3594 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3596 /* Table3596 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2433 /* Table2433 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3598 /* Table3598 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3600 /* Table3600 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3340 /* Table3340 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3356 /* Table3356 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3428 /* Table3428 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3430 /* Table3430 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3432 /* Table3432 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3433 /* Table3433 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3434 /* Table3434 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3436 /* Table3436 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3438 /* Table3438 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3440 /* Table3440 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3442 /* Table3442 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3444 /* Table3444 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3446 /* Table3446 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3448 /* Table3448 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3450 /* Table3450 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3452 /* Table3452 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3454 /* Table3454 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3456 /* Table3456 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3458 /* Table3458 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3460 /* Table3460 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3462 /* Table3462 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3464 /* Table3464 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3466 /* Table3466 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3617 /* Table3617 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3619 /* Table3619 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3468 /* Table3468 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3470 /* Table3470 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3472 /* Table3472 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3474 /* Table3474 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3476 /* Table3476 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3478 /* Table3478 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3480 /* Table3480 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3621 /* Table3621 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3554 /* Table3554 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3556 /* Table3556 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3558 /* Table3558 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3560 /* Table3560 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3562 /* Table3562 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3564 /* Table3564 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3566 /* Table3566 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3568 /* Table3568 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3570 /* Table3570 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3586 /* Table3586 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3588 /* Table3588 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3590 /* Table3590 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3592 /* Table3592 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3594 /* Table3594 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3596 /* Table3596 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3598 /* Table3598 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3693 /* Table3693 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3709 /* Table3709 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2636 /* Table2636 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3711 /* Table3711 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2724 /* Table2724 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2726 /* Table2726 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2790 /* Table2790 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2792 /* Table2792 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2794 /* Table2794 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2796 /* Table2796 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2798 /* Table2798 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2800 /* Table2800 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2802 /* Table2802 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2804 /* Table2804 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2806 /* Table2806 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2808 /* Table2808 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2810 /* Table2810 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2812 /* Table2812 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2814 /* Table2814 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2816 /* Table2816 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2818 /* Table2818 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2820 /* Table2820 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2878 /* Table2878 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3617 /* Table3617 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3619 /* Table3619 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2946 /* Table2946 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2968 /* Table2968 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2970 /* Table2970 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2972 /* Table2972 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2976 /* Table2976 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2978 /* Table2978 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2980 /* Table2980 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2982 /* Table2982 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3054 /* Table3054 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3056 /* Table3056 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3058 /* Table3058 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3060 /* Table3060 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3062 /* Table3062 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3064 /* Table3064 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3066 /* Table3066 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3068 /* Table3068 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3084 /* Table3084 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3086 /* Table3086 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3088 /* Table3088 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3090 /* Table3090 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3092 /* Table3092 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3102 /* Table3102 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3709 /* Table3709 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2546 /* Table2546 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1868 /* Table1868 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1870 /* Table1870 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1872 /* Table1872 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1926 /* Table1926 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1928 /* Table1928 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1930 /* Table1930 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1932 /* Table1932 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1979 /* Table1979 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1993 /* Table1993 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1995 /* Table1995 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1997 /* Table1997 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2001 /* Table2001 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2003 /* Table2003 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2005 /* Table2005 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2007 /* Table2007 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2037 /* Table2037 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2626 /* Table2626 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2628 /* Table2628 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2433 /* Table2433 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_OPSIZE_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2636 /* Table2636 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3711 /* Table3711 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2724 /* Table2724 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2726 /* Table2726 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2790 /* Table2790 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2792 /* Table2792 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2794 /* Table2794 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2796 /* Table2796 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2798 /* Table2798 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2800 /* Table2800 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2802 /* Table2802 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2804 /* Table2804 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2806 /* Table2806 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2808 /* Table2808 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2810 /* Table2810 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2812 /* Table2812 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2814 /* Table2814 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2816 /* Table2816 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2818 /* Table2818 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2820 /* Table2820 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2878 /* Table2878 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3617 /* Table3617 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3619 /* Table3619 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2946 /* Table2946 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2968 /* Table2968 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2970 /* Table2970 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2972 /* Table2972 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2976 /* Table2976 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2978 /* Table2978 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2980 /* Table2980 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2982 /* Table2982 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3054 /* Table3054 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3056 /* Table3056 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3058 /* Table3058 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3060 /* Table3060 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3062 /* Table3062 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3064 /* Table3064 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3066 /* Table3066 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3068 /* Table3068 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3084 /* Table3084 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3086 /* Table3086 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3088 /* Table3088 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3090 /* Table3090 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3092 /* Table3092 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3102 /* Table3102 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3709 /* Table3709 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2546 /* Table2546 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3210 /* Table3210 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3212 /* Table3212 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3214 /* Table3214 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3216 /* Table3216 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3218 /* Table3218 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3220 /* Table3220 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3222 /* Table3222 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3224 /* Table3224 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3226 /* Table3226 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3228 /* Table3228 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3230 /* Table3230 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3232 /* Table3232 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3234 /* Table3234 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3236 /* Table3236 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3238 /* Table3238 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3240 /* Table3240 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3783 /* Table3783 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3785 /* Table3785 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3246 /* Table3246 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3248 /* Table3248 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2098 /* Table2098 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2312 /* Table2312 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2421 /* Table2421 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2423 /* Table2423 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3250 /* Table3250 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2443 /* Table2443 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3252 /* Table3252 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3254 /* Table3254 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3256 /* Table3256 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3258 /* Table3258 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1754 /* Table1754 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2546 /* Table2546 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1842 /* Table1842 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1844 /* Table1844 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3260 /* Table3260 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3262 /* Table3262 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3264 /* Table3264 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3266 /* Table3266 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3268 /* Table3268 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3270 /* Table3270 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3272 /* Table3272 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3274 /* Table3274 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1943 /* Table1943 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1951 /* Table1951 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1953 /* Table1953 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1955 /* Table1955 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1957 /* Table1957 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1959 /* Table1959 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1961 /* Table1961 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1963 /* Table1963 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1965 /* Table1965 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3276 /* Table3276 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3278 /* Table3278 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3280 /* Table3280 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3282 /* Table3282 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3284 /* Table3284 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3286 /* Table3286 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3288 /* Table3288 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3290 /* Table3290 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3292 /* Table3292 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3294 /* Table3294 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3296 /* Table3296 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2033 /* Table2033 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3298 /* Table3298 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3300 /* Table3300 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2626 /* Table2626 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2628 /* Table2628 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3302 /* Table3302 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3304 /* Table3304 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2155 /* Table2155 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2157 /* Table2157 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2306 /* Table2306 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2308 /* Table2308 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2310 /* Table2310 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3787 /* Table3787 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2384 /* Table2384 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2388 /* Table2388 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2390 /* Table2390 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2392 /* Table2392 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2394 /* Table2394 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2396 /* Table2396 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2398 /* Table2398 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2400 /* Table2400 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3306 /* Table3306 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2403 /* Table2403 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2419 /* Table2419 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3308 /* Table3308 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3310 /* Table3310 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2425 /* Table2425 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2427 /* Table2427 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2431 /* Table2431 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3312 /* Table3312 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2435 /* Table2435 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3314 /* Table3314 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2459 /* Table2459 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3330 /* Table3330 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3332 /* Table3332 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_XS_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3334 /* Table3334 */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3336 /* Table3336 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3338 /* Table3338 */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3340 /* Table3340 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3356 /* Table3356 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3428 /* Table3428 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3430 /* Table3430 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3432 /* Table3432 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3260 /* Table3260 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3262 /* Table3262 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3264 /* Table3264 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3266 /* Table3266 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3859 /* Table3859 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3270 /* Table3270 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3861 /* Table3861 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3863 /* Table3863 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3433 /* Table3433 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3434 /* Table3434 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3436 /* Table3436 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3438 /* Table3438 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3440 /* Table3440 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3442 /* Table3442 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3444 /* Table3444 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3446 /* Table3446 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3448 /* Table3448 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3450 /* Table3450 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3452 /* Table3452 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3454 /* Table3454 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3456 /* Table3456 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3458 /* Table3458 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3460 /* Table3460 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3462 /* Table3462 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3464 /* Table3464 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3276 /* Table3276 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3278 /* Table3278 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3280 /* Table3280 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3282 /* Table3282 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3284 /* Table3284 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3286 /* Table3286 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3288 /* Table3288 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3290 /* Table3290 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3292 /* Table3292 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3294 /* Table3294 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3296 /* Table3296 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3466 /* Table3466 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3298 /* Table3298 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3300 /* Table3300 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2626 /* Table2626 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2628 /* Table2628 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3468 /* Table3468 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3304 /* Table3304 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3470 /* Table3470 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3472 /* Table3472 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3474 /* Table3474 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3476 /* Table3476 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3478 /* Table3478 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3480 /* Table3480 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3865 /* Table3865 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3554 /* Table3554 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3556 /* Table3556 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3558 /* Table3558 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3560 /* Table3560 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3562 /* Table3562 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3564 /* Table3564 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3566 /* Table3566 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3568 /* Table3568 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3937 /* Table3937 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3570 /* Table3570 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3586 /* Table3586 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3939 /* Table3939 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3941 /* Table3941 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3592 /* Table3592 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3594 /* Table3594 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3596 /* Table3596 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3312 /* Table3312 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3598 /* Table3598 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3943 /* Table3943 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3330 /* Table3330 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3332 /* Table3332 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3340 /* Table3340 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3356 /* Table3356 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3428 /* Table3428 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3430 /* Table3430 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3432 /* Table3432 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3210 /* Table3210 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3212 /* Table3212 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3214 /* Table3214 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1874 /* Table1874 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1876 /* Table1876 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1878 /* Table1878 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1880 /* Table1880 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1882 /* Table1882 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1884 /* Table1884 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1900 /* Table1900 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1902 /* Table1902 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1904 /* Table1904 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1906 /* Table1906 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1908 /* Table1908 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1910 /* Table1910 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1912 /* Table1912 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1922 /* Table1922 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1924 /* Table1924 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3959 /* Table3959 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3218 /* Table3218 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3961 /* Table3961 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3963 /* Table3963 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1934 /* Table1934 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1936 /* Table1936 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3433 /* Table3433 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3434 /* Table3434 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3436 /* Table3436 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3438 /* Table3438 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3440 /* Table3440 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3442 /* Table3442 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3444 /* Table3444 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3446 /* Table3446 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3448 /* Table3448 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3450 /* Table3450 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3452 /* Table3452 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3454 /* Table3454 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3456 /* Table3456 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3458 /* Table3458 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3460 /* Table3460 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3462 /* Table3462 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3464 /* Table3464 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1977 /* Table1977 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3224 /* Table3224 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1985 /* Table1985 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1987 /* Table1987 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1989 /* Table1989 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1991 /* Table1991 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3226 /* Table3226 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3228 /* Table3228 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3230 /* Table3230 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1999 /* Table1999 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3232 /* Table3232 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3234 /* Table3234 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3236 /* Table3236 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3238 /* Table3238 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2009 /* Table2009 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2011 /* Table2011 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2013 /* Table2013 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2015 /* Table2015 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2017 /* Table2017 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2019 /* Table2019 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2021 /* Table2021 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2023 /* Table2023 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2025 /* Table2025 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2027 /* Table2027 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2029 /* Table2029 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2031 /* Table2031 */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3466 /* Table3466 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2035 /* Table2035 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3240 /* Table3240 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2039 /* Table2039 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2055 /* Table2055 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2071 /* Table2071 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2087 /* Table2087 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2089 /* Table2089 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2091 /* Table2091 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3783 /* Table3783 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3785 /* Table3785 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3246 /* Table3246 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3248 /* Table3248 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3468 /* Table3468 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2100 /* Table2100 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2102 /* Table2102 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2103 /* Table2103 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2104 /* Table2104 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2105 /* Table2105 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2106 /* Table2106 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2107 /* Table2107 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2108 /* Table2108 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2109 /* Table2109 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2110 /* Table2110 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2111 /* Table2111 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2112 /* Table2112 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2113 /* Table2113 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2114 /* Table2114 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2115 /* Table2115 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2116 /* Table2116 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2117 /* Table2117 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2630 /* Table2630 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2631 /* Table2631 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3470 /* Table3470 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3472 /* Table3472 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3474 /* Table3474 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2632 /* Table2632 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2633 /* Table2633 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3476 /* Table3476 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3478 /* Table3478 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3480 /* Table3480 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3482 /* Table3482 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3554 /* Table3554 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3556 /* Table3556 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3558 /* Table3558 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3560 /* Table3560 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3562 /* Table3562 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3564 /* Table3564 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3566 /* Table3566 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3568 /* Table3568 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3570 /* Table3570 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3586 /* Table3586 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3588 /* Table3588 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3590 /* Table3590 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3592 /* Table3592 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3594 /* Table3594 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3596 /* Table3596 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3250 /* Table3250 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3598 /* Table3598 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2437 /* Table2437 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2439 /* Table2439 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2441 /* Table2441 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3600 /* Table3600 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3252 /* Table3252 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2462 /* Table2462 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2464 /* Table2464 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3254 /* Table3254 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2472 /* Table2472 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2474 /* Table2474 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2476 /* Table2476 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2478 /* Table2478 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2480 /* Table2480 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2482 /* Table2482 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2484 /* Table2484 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2486 /* Table2486 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2488 /* Table2488 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2490 /* Table2490 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2492 /* Table2492 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2494 /* Table2494 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2496 /* Table2496 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2498 /* Table2498 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3256 /* Table3256 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2500 /* Table2500 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2502 /* Table2502 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2504 /* Table2504 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2506 /* Table2506 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2508 /* Table2508 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2510 /* Table2510 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2512 /* Table2512 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2514 /* Table2514 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2516 /* Table2516 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3258 /* Table3258 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2518 /* Table2518 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2520 /* Table2520 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2522 /* Table2522 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2524 /* Table2524 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2526 /* Table2526 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2528 /* Table2528 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2634 /* Table2634 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2532 /* Table2532 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2534 /* Table2534 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2536 /* Table2536 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2538 /* Table2538 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2540 /* Table2540 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2542 /* Table2542 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2544 /* Table2544 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3340 /* Table3340 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3356 /* Table3356 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3428 /* Table3428 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3430 /* Table3430 */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3432 /* Table3432 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1849 /* Table1849 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1850 /* Table1850 */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1851 /* Table1851 */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1852 /* Table1852 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2728 /* Table2728 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2730 /* Table2730 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2732 /* Table2732 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2734 /* Table2734 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2736 /* Table2736 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2738 /* Table2738 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2740 /* Table2740 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2742 /* Table2742 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2744 /* Table2744 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2760 /* Table2760 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2762 /* Table2762 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2764 /* Table2764 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2766 /* Table2766 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2768 /* Table2768 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2770 /* Table2770 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2772 /* Table2772 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2618 /* Table2618 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2620 /* Table2620 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2622 /* Table2622 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2624 /* Table2624 */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2774 /* Table2774 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2776 /* Table2776 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2778 /* Table2778 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2780 /* Table2780 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2782 /* Table2782 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2784 /* Table2784 */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2786 /* Table2786 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2788 /* Table2788 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1938 /* Table1938 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1939 /* Table1939 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1940 /* Table1940 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1941 /* Table1941 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1942 /* Table1942 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3433 /* Table3433 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1944 /* Table1944 */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3434 /* Table3434 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3436 /* Table3436 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3438 /* Table3438 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3440 /* Table3440 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3442 /* Table3442 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3444 /* Table3444 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3446 /* Table3446 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3448 /* Table3448 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3450 /* Table3450 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3452 /* Table3452 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3454 /* Table3454 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3456 /* Table3456 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3458 /* Table3458 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3460 /* Table3460 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3462 /* Table3462 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3464 /* Table3464 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2822 /* Table2822 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2824 /* Table2824 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1981 /* Table1981 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1983 /* Table1983 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2826 /* Table2826 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2828 /* Table2828 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2830 /* Table2830 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2832 /* Table2832 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2834 /* Table2834 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2836 /* Table2836 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2838 /* Table2838 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2840 /* Table2840 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2842 /* Table2842 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2844 /* Table2844 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2846 /* Table2846 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2848 /* Table2848 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2850 /* Table2850 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2852 /* Table2852 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2854 /* Table2854 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2856 /* Table2856 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2858 /* Table2858 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2860 /* Table2860 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2862 /* Table2862 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2864 /* Table2864 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2866 /* Table2866 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2868 /* Table2868 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2870 /* Table2870 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2872 /* Table2872 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2874 /* Table2874 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2876 /* Table2876 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3965 /* Table3965 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2880 /* Table2880 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2882 /* Table2882 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2884 /* Table2884 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2900 /* Table2900 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2916 /* Table2916 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2932 /* Table2932 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2934 /* Table2934 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2936 /* Table2936 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2093 /* Table2093 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3617 /* Table3617 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3619 /* Table3619 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2942 /* Table2942 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2944 /* Table2944 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3967 /* Table3967 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2948 /* Table2948 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2950 /* Table2950 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2951 /* Table2951 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2952 /* Table2952 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2953 /* Table2953 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2954 /* Table2954 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2955 /* Table2955 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2956 /* Table2956 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2957 /* Table2957 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2958 /* Table2958 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2959 /* Table2959 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2960 /* Table2960 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2961 /* Table2961 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2962 /* Table2962 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2963 /* Table2963 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2964 /* Table2964 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2965 /* Table2965 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2118 /* Table2118 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2120 /* Table2120 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2122 /* Table2122 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2124 /* Table2124 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2126 /* Table2126 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2128 /* Table2128 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2130 /* Table2130 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2132 /* Table2132 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2134 /* Table2134 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2136 /* Table2136 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2138 /* Table2138 */
+   },
+   /* 0x9b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2140 /* Table2140 */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2142 /* Table2142 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2144 /* Table2144 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2146 /* Table2146 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2148 /* Table2148 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2966 /* Table2966 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2967 /* Table2967 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2152 /* Table2152 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3470 /* Table3470 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3472 /* Table3472 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3474 /* Table3474 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2159 /* Table2159 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2231 /* Table2231 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2974 /* Table2974 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2975 /* Table2975 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2305 /* Table2305 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3476 /* Table3476 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3478 /* Table3478 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3480 /* Table3480 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    3621 /* Table3621 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3554 /* Table3554 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2386 /* Table2386 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3556 /* Table3556 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3558 /* Table3558 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3560 /* Table3560 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3562 /* Table3562 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3564 /* Table3564 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3566 /* Table3566 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3568 /* Table3568 */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    2402 /* Table2402 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3570 /* Table3570 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3586 /* Table3586 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3588 /* Table3588 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3590 /* Table3590 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3592 /* Table3592 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3594 /* Table3594 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2429 /* Table2429 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3596 /* Table3596 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3094 /* Table3094 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3598 /* Table3598 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3096 /* Table3096 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3098 /* Table3098 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3100 /* Table3100 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    3693 /* Table3693 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    3616 /* Table3616 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3118 /* Table3118 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3120 /* Table3120 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3122 /* Table3122 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3124 /* Table3124 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3126 /* Table3126 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3128 /* Table3128 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3130 /* Table3130 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3132 /* Table3132 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3134 /* Table3134 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3136 /* Table3136 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3138 /* Table3138 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3140 /* Table3140 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3142 /* Table3142 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3144 /* Table3144 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3146 /* Table3146 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3148 /* Table3148 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3150 /* Table3150 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3152 /* Table3152 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3154 /* Table3154 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3156 /* Table3156 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3158 /* Table3158 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3160 /* Table3160 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3162 /* Table3162 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3164 /* Table3164 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3166 /* Table3166 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3168 /* Table3168 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3170 /* Table3170 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3172 /* Table3172 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3174 /* Table3174 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3176 /* Table3176 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3178 /* Table3178 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3180 /* Table3180 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3182 /* Table3182 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3184 /* Table3184 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3186 /* Table3186 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3188 /* Table3188 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3190 /* Table3190 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3192 /* Table3192 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3709 /* Table3709 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3196 /* Table3196 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3198 /* Table3198 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3200 /* Table3200 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3202 /* Table3202 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3204 /* Table3204 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3206 /* Table3206 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3208 /* Table3208 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3969 /* Table3969 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3971 /* Table3971 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3973 /* Table3973 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3975 /* Table3975 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3977 /* Table3977 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3979 /* Table3979 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3981 /* Table3981 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3983 /* Table3983 */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3985 /* Table3985 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3987 /* Table3987 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3989 /* Table3989 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3991 /* Table3991 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3993 /* Table3993 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3995 /* Table3995 */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3997 /* Table3997 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3999 /* Table3999 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4001 /* Table4001 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4003 /* Table4003 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4005 /* Table4005 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4007 /* Table4007 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4009 /* Table4009 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4011 /* Table4011 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4013 /* Table4013 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4015 /* Table4015 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4017 /* Table4017 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4019 /* Table4019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4021 /* Table4021 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4023 /* Table4023 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4025 /* Table4025 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4027 /* Table4027 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    4029 /* Table4029 */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4030 /* Table4030 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4032 /* Table4032 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4034 /* Table4034 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4036 /* Table4036 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4038 /* Table4038 */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4040 /* Table4040 */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4056 /* Table4056 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4058 /* Table4058 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4060 /* Table4060 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4062 /* Table4062 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4064 /* Table4064 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4066 /* Table4066 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4068 /* Table4068 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4070 /* Table4070 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4072 /* Table4072 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4074 /* Table4074 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4076 /* Table4076 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4078 /* Table4078 */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4080 /* Table4080 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4082 /* Table4082 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4084 /* Table4084 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4086 /* Table4086 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4088 /* Table4088 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4090 /* Table4090 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4092 /* Table4092 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4094 /* Table4094 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4096 /* Table4096 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4098 /* Table4098 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4100 /* Table4100 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4102 /* Table4102 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4104 /* Table4104 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4106 /* Table4106 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4108 /* Table4108 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4110 /* Table4110 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4112 /* Table4112 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4114 /* Table4114 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4116 /* Table4116 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4118 /* Table4118 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4120 /* Table4120 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4122 /* Table4122 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4124 /* Table4124 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4126 /* Table4126 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4128 /* Table4128 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4130 /* Table4130 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4132 /* Table4132 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4134 /* Table4134 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4136 /* Table4136 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4138 /* Table4138 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4140 /* Table4140 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4142 /* Table4142 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4144 /* Table4144 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4146 /* Table4146 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4148 /* Table4148 */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4150 /* Table4150 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4152 /* Table4152 */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4154 /* Table4154 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4156 /* Table4156 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4158 /* Table4158 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4160 /* Table4160 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4162 /* Table4162 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4164 /* Table4164 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4166 /* Table4166 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4168 /* Table4168 */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4170 /* Table4170 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4172 /* Table4172 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4174 /* Table4174 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4176 /* Table4176 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4178 /* Table4178 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4180 /* Table4180 */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4182 /* Table4182 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4184 /* Table4184 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4186 /* Table4186 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4188 /* Table4188 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4190 /* Table4190 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4192 /* Table4192 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4194 /* Table4194 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4196 /* Table4196 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4198 /* Table4198 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4200 /* Table4200 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4202 /* Table4202 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4204 /* Table4204 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4206 /* Table4206 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4208 /* Table4208 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4210 /* Table4210 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4212 /* Table4212 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4214 /* Table4214 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4216 /* Table4216 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4218 /* Table4218 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4220 /* Table4220 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4222 /* Table4222 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4224 /* Table4224 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4226 /* Table4226 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4228 /* Table4228 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4230 /* Table4230 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4232 /* Table4232 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4234 /* Table4234 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4236 /* Table4236 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4238 /* Table4238 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4240 /* Table4240 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4242 /* Table4242 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4244 /* Table4244 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4260 /* Table4260 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4276 /* Table4276 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4292 /* Table4292 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4294 /* Table4294 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4296 /* Table4296 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4298 /* Table4298 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4300 /* Table4300 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4302 /* Table4302 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4304 /* Table4304 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4306 /* Table4306 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4308 /* Table4308 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4310 /* Table4310 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4312 /* Table4312 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4314 /* Table4314 */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4316 /* Table4316 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4318 /* Table4318 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4320 /* Table4320 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4322 /* Table4322 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4324 /* Table4324 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4326 /* Table4326 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4328 /* Table4328 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4330 /* Table4330 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4332 /* Table4332 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4334 /* Table4334 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4336 /* Table4336 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4338 /* Table4338 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4340 /* Table4340 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4342 /* Table4342 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4344 /* Table4344 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4346 /* Table4346 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4348 /* Table4348 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4350 /* Table4350 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4352 /* Table4352 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4354 /* Table4354 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4356 /* Table4356 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4358 /* Table4358 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4360 /* Table4360 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4362 /* Table4362 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4364 /* Table4364 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4366 /* Table4366 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4368 /* Table4368 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4370 /* Table4370 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4372 /* Table4372 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4374 /* Table4374 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4376 /* Table4376 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4378 /* Table4378 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4380 /* Table4380 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4382 /* Table4382 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4384 /* Table4384 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4386 /* Table4386 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4388 /* Table4388 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4390 /* Table4390 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4392 /* Table4392 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4394 /* Table4394 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4396 /* Table4396 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4398 /* Table4398 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4400 /* Table4400 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4402 /* Table4402 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4404 /* Table4404 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4406 /* Table4406 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4408 /* Table4408 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4410 /* Table4410 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4412 /* Table4412 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4414 /* Table4414 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_W */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3969 /* Table3969 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3971 /* Table3971 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3973 /* Table3973 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3975 /* Table3975 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3977 /* Table3977 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3979 /* Table3979 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3981 /* Table3981 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3983 /* Table3983 */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3985 /* Table3985 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3987 /* Table3987 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3989 /* Table3989 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3991 /* Table3991 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3993 /* Table3993 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4416 /* Table4416 */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3997 /* Table3997 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3999 /* Table3999 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4001 /* Table4001 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4003 /* Table4003 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4005 /* Table4005 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4007 /* Table4007 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4009 /* Table4009 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4011 /* Table4011 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4013 /* Table4013 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4015 /* Table4015 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4017 /* Table4017 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4019 /* Table4019 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4021 /* Table4021 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4023 /* Table4023 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4025 /* Table4025 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4027 /* Table4027 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    4029 /* Table4029 */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4418 /* Table4418 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4420 /* Table4420 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4034 /* Table4034 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4036 /* Table4036 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4422 /* Table4422 */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4040 /* Table4040 */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4056 /* Table4056 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4058 /* Table4058 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_W_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4060 /* Table4060 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4062 /* Table4062 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4064 /* Table4064 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4066 /* Table4066 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4424 /* Table4424 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4426 /* Table4426 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4428 /* Table4428 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4074 /* Table4074 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4076 /* Table4076 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4078 /* Table4078 */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4080 /* Table4080 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4082 /* Table4082 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4084 /* Table4084 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4086 /* Table4086 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4088 /* Table4088 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4090 /* Table4090 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4092 /* Table4092 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4094 /* Table4094 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4096 /* Table4096 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4098 /* Table4098 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4100 /* Table4100 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4102 /* Table4102 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4104 /* Table4104 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4106 /* Table4106 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_W_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4108 /* Table4108 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4110 /* Table4110 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4112 /* Table4112 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4430 /* Table4430 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4432 /* Table4432 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4434 /* Table4434 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4120 /* Table4120 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4122 /* Table4122 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4124 /* Table4124 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4126 /* Table4126 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4128 /* Table4128 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4130 /* Table4130 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4132 /* Table4132 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4134 /* Table4134 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4136 /* Table4136 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4138 /* Table4138 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4140 /* Table4140 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4436 /* Table4436 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4438 /* Table4438 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4146 /* Table4146 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4148 /* Table4148 */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4150 /* Table4150 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4152 /* Table4152 */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_W_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4154 /* Table4154 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4156 /* Table4156 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4158 /* Table4158 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4160 /* Table4160 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4162 /* Table4162 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4164 /* Table4164 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4166 /* Table4166 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4168 /* Table4168 */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4170 /* Table4170 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4172 /* Table4172 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4174 /* Table4174 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4176 /* Table4176 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4178 /* Table4178 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4440 /* Table4440 */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4182 /* Table4182 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4184 /* Table4184 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4186 /* Table4186 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4188 /* Table4188 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4190 /* Table4190 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4192 /* Table4192 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4194 /* Table4194 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4196 /* Table4196 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4198 /* Table4198 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4200 /* Table4200 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4202 /* Table4202 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4204 /* Table4204 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4206 /* Table4206 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4208 /* Table4208 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4210 /* Table4210 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4212 /* Table4212 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4214 /* Table4214 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4216 /* Table4216 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4218 /* Table4218 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4220 /* Table4220 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4222 /* Table4222 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4224 /* Table4224 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4226 /* Table4226 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4228 /* Table4228 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4230 /* Table4230 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4232 /* Table4232 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4234 /* Table4234 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4236 /* Table4236 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4442 /* Table4442 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4240 /* Table4240 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4242 /* Table4242 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4244 /* Table4244 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4260 /* Table4260 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4276 /* Table4276 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4292 /* Table4292 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4294 /* Table4294 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4296 /* Table4296 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4298 /* Table4298 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4300 /* Table4300 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4444 /* Table4444 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4304 /* Table4304 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4446 /* Table4446 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4448 /* Table4448 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4310 /* Table4310 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4312 /* Table4312 */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4450 /* Table4450 */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4316 /* Table4316 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4318 /* Table4318 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4320 /* Table4320 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4322 /* Table4322 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4324 /* Table4324 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4326 /* Table4326 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4328 /* Table4328 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4330 /* Table4330 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4332 /* Table4332 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4334 /* Table4334 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4336 /* Table4336 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4338 /* Table4338 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4340 /* Table4340 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4342 /* Table4342 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4344 /* Table4344 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4346 /* Table4346 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4348 /* Table4348 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4350 /* Table4350 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4352 /* Table4352 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4354 /* Table4354 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4356 /* Table4356 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4358 /* Table4358 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4360 /* Table4360 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4362 /* Table4362 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4364 /* Table4364 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4366 /* Table4366 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4368 /* Table4368 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4370 /* Table4370 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4372 /* Table4372 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4374 /* Table4374 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4376 /* Table4376 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4378 /* Table4378 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4380 /* Table4380 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4382 /* Table4382 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4384 /* Table4384 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4386 /* Table4386 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4388 /* Table4388 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4390 /* Table4390 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4392 /* Table4392 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4394 /* Table4394 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4396 /* Table4396 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4398 /* Table4398 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4400 /* Table4400 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4402 /* Table4402 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4404 /* Table4404 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4406 /* Table4406 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4408 /* Table4408 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4410 /* Table4410 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4412 /* Table4412 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4414 /* Table4414 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4452 /* Table4452 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4454 /* Table4454 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4456 /* Table4456 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4458 /* Table4458 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4460 /* Table4460 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4462 /* Table4462 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4464 /* Table4464 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3991 /* Table3991 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3993 /* Table3993 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4466 /* Table4466 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4468 /* Table4468 */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4470 /* Table4470 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4472 /* Table4472 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4474 /* Table4474 */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4476 /* Table4476 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4478 /* Table4478 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4480 /* Table4480 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4482 /* Table4482 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4484 /* Table4484 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4486 /* Table4486 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4488 /* Table4488 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4490 /* Table4490 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4492 /* Table4492 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4494 /* Table4494 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4496 /* Table4496 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4498 /* Table4498 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4500 /* Table4500 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4502 /* Table4502 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4504 /* Table4504 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4506 /* Table4506 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    4508 /* Table4508 */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4509 /* Table4509 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4511 /* Table4511 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4060 /* Table4060 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4062 /* Table4062 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4513 /* Table4513 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4515 /* Table4515 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4068 /* Table4068 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4070 /* Table4070 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4072 /* Table4072 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4074 /* Table4074 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4076 /* Table4076 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4078 /* Table4078 */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4080 /* Table4080 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4082 /* Table4082 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4084 /* Table4084 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4517 /* Table4517 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4088 /* Table4088 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4090 /* Table4090 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4092 /* Table4092 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4094 /* Table4094 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4519 /* Table4519 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4521 /* Table4521 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4523 /* Table4523 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4104 /* Table4104 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4525 /* Table4525 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4108 /* Table4108 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4110 /* Table4110 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4527 /* Table4527 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4114 /* Table4114 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4116 /* Table4116 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4118 /* Table4118 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4120 /* Table4120 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4122 /* Table4122 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4124 /* Table4124 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4126 /* Table4126 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4128 /* Table4128 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4130 /* Table4130 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4132 /* Table4132 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4134 /* Table4134 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4529 /* Table4529 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4531 /* Table4531 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4533 /* Table4533 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4146 /* Table4146 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4535 /* Table4535 */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4537 /* Table4537 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4539 /* Table4539 */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4541 /* Table4541 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4543 /* Table4543 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4545 /* Table4545 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4547 /* Table4547 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4549 /* Table4549 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4551 /* Table4551 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4553 /* Table4553 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4176 /* Table4176 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4178 /* Table4178 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4555 /* Table4555 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4557 /* Table4557 */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4559 /* Table4559 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4561 /* Table4561 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4563 /* Table4563 */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4565 /* Table4565 */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4567 /* Table4567 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4569 /* Table4569 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4571 /* Table4571 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4573 /* Table4573 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4575 /* Table4575 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4577 /* Table4577 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4579 /* Table4579 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4581 /* Table4581 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4583 /* Table4583 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4585 /* Table4585 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4587 /* Table4587 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4589 /* Table4589 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4591 /* Table4591 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4593 /* Table4593 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4595 /* Table4595 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4597 /* Table4597 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4599 /* Table4599 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4601 /* Table4601 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4603 /* Table4603 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4605 /* Table4605 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4607 /* Table4607 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4609 /* Table4609 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4611 /* Table4611 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4613 /* Table4613 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4615 /* Table4615 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4617 /* Table4617 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4619 /* Table4619 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4621 /* Table4621 */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4623 /* Table4623 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4625 /* Table4625 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4627 /* Table4627 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4643 /* Table4643 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4659 /* Table4659 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4675 /* Table4675 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4677 /* Table4677 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4679 /* Table4679 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4681 /* Table4681 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4683 /* Table4683 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4685 /* Table4685 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4687 /* Table4687 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4689 /* Table4689 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4691 /* Table4691 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4693 /* Table4693 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4695 /* Table4695 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4697 /* Table4697 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4699 /* Table4699 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4701 /* Table4701 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4703 /* Table4703 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4705 /* Table4705 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4707 /* Table4707 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4709 /* Table4709 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4711 /* Table4711 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4713 /* Table4713 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4715 /* Table4715 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4717 /* Table4717 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4719 /* Table4719 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4721 /* Table4721 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4723 /* Table4723 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4725 /* Table4725 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4727 /* Table4727 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4729 /* Table4729 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4731 /* Table4731 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4733 /* Table4733 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4735 /* Table4735 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4737 /* Table4737 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4739 /* Table4739 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4741 /* Table4741 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4743 /* Table4743 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4745 /* Table4745 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4747 /* Table4747 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4749 /* Table4749 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4751 /* Table4751 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4753 /* Table4753 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4755 /* Table4755 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4757 /* Table4757 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4759 /* Table4759 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4761 /* Table4761 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4763 /* Table4763 */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4765 /* Table4765 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4767 /* Table4767 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4769 /* Table4769 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4771 /* Table4771 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4773 /* Table4773 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4775 /* Table4775 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4777 /* Table4777 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_W */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4452 /* Table4452 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4454 /* Table4454 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4456 /* Table4456 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4458 /* Table4458 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4460 /* Table4460 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4462 /* Table4462 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4464 /* Table4464 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3991 /* Table3991 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3993 /* Table3993 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4779 /* Table4779 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4781 /* Table4781 */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4783 /* Table4783 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4785 /* Table4785 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4787 /* Table4787 */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4476 /* Table4476 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4478 /* Table4478 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4480 /* Table4480 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4482 /* Table4482 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4484 /* Table4484 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4486 /* Table4486 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4488 /* Table4488 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4490 /* Table4490 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4492 /* Table4492 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4494 /* Table4494 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4496 /* Table4496 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4498 /* Table4498 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4500 /* Table4500 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4502 /* Table4502 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4504 /* Table4504 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4506 /* Table4506 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    4508 /* Table4508 */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4509 /* Table4509 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4511 /* Table4511 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_W_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4060 /* Table4060 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4062 /* Table4062 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4513 /* Table4513 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4515 /* Table4515 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4424 /* Table4424 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4426 /* Table4426 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4428 /* Table4428 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4074 /* Table4074 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4076 /* Table4076 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4078 /* Table4078 */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4080 /* Table4080 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4082 /* Table4082 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4084 /* Table4084 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4517 /* Table4517 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4088 /* Table4088 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4090 /* Table4090 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4092 /* Table4092 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4094 /* Table4094 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4519 /* Table4519 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4521 /* Table4521 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4523 /* Table4523 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4104 /* Table4104 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4525 /* Table4525 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_W_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4108 /* Table4108 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4110 /* Table4110 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4527 /* Table4527 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4430 /* Table4430 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4432 /* Table4432 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4434 /* Table4434 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4120 /* Table4120 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4122 /* Table4122 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4124 /* Table4124 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4126 /* Table4126 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4128 /* Table4128 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4130 /* Table4130 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4132 /* Table4132 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4134 /* Table4134 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4529 /* Table4529 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4531 /* Table4531 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4533 /* Table4533 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4146 /* Table4146 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4535 /* Table4535 */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4537 /* Table4537 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4539 /* Table4539 */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_VEX_L_W_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4541 /* Table4541 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4543 /* Table4543 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4545 /* Table4545 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4547 /* Table4547 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4549 /* Table4549 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4551 /* Table4551 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4553 /* Table4553 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4176 /* Table4176 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4178 /* Table4178 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4789 /* Table4789 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4791 /* Table4791 */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4793 /* Table4793 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4795 /* Table4795 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4797 /* Table4797 */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4565 /* Table4565 */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4567 /* Table4567 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4569 /* Table4569 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4571 /* Table4571 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4573 /* Table4573 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4575 /* Table4575 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4577 /* Table4577 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4579 /* Table4579 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4581 /* Table4581 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4583 /* Table4583 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4585 /* Table4585 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4587 /* Table4587 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4589 /* Table4589 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4591 /* Table4591 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4593 /* Table4593 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4595 /* Table4595 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4597 /* Table4597 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4599 /* Table4599 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4601 /* Table4601 */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4603 /* Table4603 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4605 /* Table4605 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4607 /* Table4607 */
+   },
+   /* 0x67 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4609 /* Table4609 */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4611 /* Table4611 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4613 /* Table4613 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4615 /* Table4615 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4617 /* Table4617 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4619 /* Table4619 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4621 /* Table4621 */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4623 /* Table4623 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4625 /* Table4625 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4627 /* Table4627 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4643 /* Table4643 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    4659 /* Table4659 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4675 /* Table4675 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4677 /* Table4677 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4679 /* Table4679 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4681 /* Table4681 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4683 /* Table4683 */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4685 /* Table4685 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4687 /* Table4687 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4689 /* Table4689 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4691 /* Table4691 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4693 /* Table4693 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4695 /* Table4695 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4697 /* Table4697 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4699 /* Table4699 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4701 /* Table4701 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4703 /* Table4703 */
+   },
+   /* 0xd8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4705 /* Table4705 */
+   },
+   /* 0xd9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4707 /* Table4707 */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4709 /* Table4709 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4711 /* Table4711 */
+   },
+   /* 0xdc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4713 /* Table4713 */
+   },
+   /* 0xdd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4715 /* Table4715 */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4717 /* Table4717 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4719 /* Table4719 */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4721 /* Table4721 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4723 /* Table4723 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4725 /* Table4725 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4727 /* Table4727 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4729 /* Table4729 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4731 /* Table4731 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4733 /* Table4733 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4735 /* Table4735 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4737 /* Table4737 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4739 /* Table4739 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4741 /* Table4741 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4743 /* Table4743 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4745 /* Table4745 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4747 /* Table4747 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4749 /* Table4749 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4751 /* Table4751 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4753 /* Table4753 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4755 /* Table4755 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4757 /* Table4757 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4759 /* Table4759 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4761 /* Table4761 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4763 /* Table4763 */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4765 /* Table4765 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4767 /* Table4767 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4769 /* Table4769 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4771 /* Table4771 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4773 /* Table4773 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4775 /* Table4775 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4777 /* Table4777 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4799 /* Table4799 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4801 /* Table4801 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4803 /* Table4803 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4805 /* Table4805 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4807 /* Table4807 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4809 /* Table4809 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4811 /* Table4811 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4813 /* Table4813 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4815 /* Table4815 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4817 /* Table4817 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4819 /* Table4819 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4821 /* Table4821 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4823 /* Table4823 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4825 /* Table4825 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4827 /* Table4827 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4829 /* Table4829 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4831 /* Table4831 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4833 /* Table4833 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4835 /* Table4835 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4837 /* Table4837 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4839 /* Table4839 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4841 /* Table4841 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4843 /* Table4843 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4845 /* Table4845 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4847 /* Table4847 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4849 /* Table4849 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4851 /* Table4851 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4853 /* Table4853 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4855 /* Table4855 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4857 /* Table4857 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4859 /* Table4859 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4861 /* Table4861 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4863 /* Table4863 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4865 /* Table4865 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4867 /* Table4867 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4869 /* Table4869 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4871 /* Table4871 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4873 /* Table4873 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4875 /* Table4875 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4877 /* Table4877 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4879 /* Table4879 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4881 /* Table4881 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4883 /* Table4883 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4885 /* Table4885 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4887 /* Table4887 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4889 /* Table4889 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4891 /* Table4891 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4893 /* Table4893 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4895 /* Table4895 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4897 /* Table4897 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4899 /* Table4899 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4901 /* Table4901 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4903 /* Table4903 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4905 /* Table4905 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4907 /* Table4907 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4909 /* Table4909 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4911 /* Table4911 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4913 /* Table4913 */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4915 /* Table4915 */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4917 /* Table4917 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4919 /* Table4919 */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4921 /* Table4921 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4923 /* Table4923 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4925 /* Table4925 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4927 /* Table4927 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4929 /* Table4929 */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4931 /* Table4931 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4933 /* Table4933 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4935 /* Table4935 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_W */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4799 /* Table4799 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4801 /* Table4801 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4803 /* Table4803 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4805 /* Table4805 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4807 /* Table4807 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4809 /* Table4809 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4811 /* Table4811 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4813 /* Table4813 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4815 /* Table4815 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4817 /* Table4817 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4819 /* Table4819 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4821 /* Table4821 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4823 /* Table4823 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4825 /* Table4825 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4827 /* Table4827 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4829 /* Table4829 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_W_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4831 /* Table4831 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4833 /* Table4833 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4937 /* Table4937 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4939 /* Table4939 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4941 /* Table4941 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4841 /* Table4841 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4843 /* Table4843 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4845 /* Table4845 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4847 /* Table4847 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4849 /* Table4849 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4851 /* Table4851 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4853 /* Table4853 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4855 /* Table4855 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4943 /* Table4943 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4945 /* Table4945 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4947 /* Table4947 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4949 /* Table4949 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4951 /* Table4951 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4953 /* Table4953 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4867 /* Table4867 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_W_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4955 /* Table4955 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4957 /* Table4957 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4959 /* Table4959 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4961 /* Table4961 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4963 /* Table4963 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4965 /* Table4965 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4967 /* Table4967 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4969 /* Table4969 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4971 /* Table4971 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4973 /* Table4973 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4975 /* Table4975 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4977 /* Table4977 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4979 /* Table4979 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4981 /* Table4981 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4983 /* Table4983 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4985 /* Table4985 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4987 /* Table4987 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4989 /* Table4989 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4991 /* Table4991 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_W_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4993 /* Table4993 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4995 /* Table4995 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4997 /* Table4997 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4999 /* Table4999 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5001 /* Table5001 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5003 /* Table5003 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5005 /* Table5005 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5007 /* Table5007 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5009 /* Table5009 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5011 /* Table5011 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5013 /* Table5013 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5015 /* Table5015 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5017 /* Table5017 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5019 /* Table5019 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4885 /* Table4885 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4887 /* Table4887 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4889 /* Table4889 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5021 /* Table5021 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5023 /* Table5023 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4895 /* Table4895 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4897 /* Table4897 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4899 /* Table4899 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5025 /* Table5025 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5027 /* Table5027 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5029 /* Table5029 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4905 /* Table4905 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5031 /* Table5031 */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4907 /* Table4907 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5033 /* Table5033 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4911 /* Table4911 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5035 /* Table5035 */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4915 /* Table4915 */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4917 /* Table4917 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5037 /* Table5037 */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4921 /* Table4921 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5039 /* Table5039 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4925 /* Table4925 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4927 /* Table4927 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4929 /* Table4929 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5041 /* Table5041 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4931 /* Table4931 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4933 /* Table4933 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4935 /* Table4935 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5043 /* Table5043 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5045 /* Table5045 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5047 /* Table5047 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5049 /* Table5049 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5051 /* Table5051 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5053 /* Table5053 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5055 /* Table5055 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5057 /* Table5057 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5059 /* Table5059 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5061 /* Table5061 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5063 /* Table5063 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5065 /* Table5065 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5067 /* Table5067 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5069 /* Table5069 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5071 /* Table5071 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5073 /* Table5073 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5075 /* Table5075 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5077 /* Table5077 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5079 /* Table5079 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5081 /* Table5081 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5083 /* Table5083 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5085 /* Table5085 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5087 /* Table5087 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5089 /* Table5089 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5091 /* Table5091 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5093 /* Table5093 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5095 /* Table5095 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5097 /* Table5097 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5099 /* Table5099 */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5101 /* Table5101 */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5103 /* Table5103 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5105 /* Table5105 */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5107 /* Table5107 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5109 /* Table5109 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5111 /* Table5111 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5113 /* Table5113 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5115 /* Table5115 */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5117 /* Table5117 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5119 /* Table5119 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5121 /* Table5121 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_W */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4799 /* Table4799 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4801 /* Table4801 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4803 /* Table4803 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4805 /* Table4805 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4807 /* Table4807 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4809 /* Table4809 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4811 /* Table4811 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4813 /* Table4813 */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4815 /* Table4815 */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4817 /* Table4817 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4819 /* Table4819 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4821 /* Table4821 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4823 /* Table4823 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4825 /* Table4825 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4827 /* Table4827 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4829 /* Table4829 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_W_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4831 /* Table4831 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4833 /* Table4833 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4835 /* Table4835 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4837 /* Table4837 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4839 /* Table4839 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4841 /* Table4841 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4843 /* Table4843 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4845 /* Table4845 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4847 /* Table4847 */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4849 /* Table4849 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4851 /* Table4851 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4853 /* Table4853 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4855 /* Table4855 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5123 /* Table5123 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4859 /* Table4859 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4861 /* Table4861 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4863 /* Table4863 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5125 /* Table5125 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4867 /* Table4867 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_W_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4869 /* Table4869 */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4871 /* Table4871 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4873 /* Table4873 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5127 /* Table5127 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4877 /* Table4877 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4879 /* Table4879 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4881 /* Table4881 */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5129 /* Table5129 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L_W_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5131 /* Table5131 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5133 /* Table5133 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5135 /* Table5135 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5137 /* Table5137 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5139 /* Table5139 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5141 /* Table5141 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5143 /* Table5143 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5145 /* Table5145 */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5147 /* Table5147 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5149 /* Table5149 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5151 /* Table5151 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5153 /* Table5153 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4885 /* Table4885 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4887 /* Table4887 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4889 /* Table4889 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4891 /* Table4891 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5155 /* Table5155 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4895 /* Table4895 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4897 /* Table4897 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4899 /* Table4899 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4901 /* Table4901 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5157 /* Table5157 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5159 /* Table5159 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4905 /* Table4905 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4907 /* Table4907 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5161 /* Table5161 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4911 /* Table4911 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5163 /* Table5163 */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4915 /* Table4915 */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4917 /* Table4917 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5165 /* Table5165 */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4921 /* Table4921 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5167 /* Table5167 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4925 /* Table4925 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4927 /* Table4927 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4929 /* Table4929 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5169 /* Table5169 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4931 /* Table4931 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4933 /* Table4933 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    4935 /* Table4935 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L2 */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5171 /* Table5171 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5173 /* Table5173 */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5175 /* Table5175 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5177 /* Table5177 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5179 /* Table5179 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5181 /* Table5181 */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5183 /* Table5183 */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5185 /* Table5185 */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5187 /* Table5187 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5189 /* Table5189 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5191 /* Table5191 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5193 /* Table5193 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5195 /* Table5195 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5197 /* Table5197 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5199 /* Table5199 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5201 /* Table5201 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5203 /* Table5203 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5205 /* Table5205 */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5207 /* Table5207 */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5209 /* Table5209 */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L2_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5211 /* Table5211 */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5213 /* Table5213 */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5215 /* Table5215 */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5217 /* Table5217 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5219 /* Table5219 */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5221 /* Table5221 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5223 /* Table5223 */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L2_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5225 /* Table5225 */
+   },
+   /* 0x70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x75 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5227 /* Table5227 */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5229 /* Table5229 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xef */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L2_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x05 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x11 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x12 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x14 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x21 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x22 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x23 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x25 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x31 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x32 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x33 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x34 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x35 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x39 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x51 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x53 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x55 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x56 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x57 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x58 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5231 /* Table5231 */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x5f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5233 /* Table5233 */
+   },
+   /* 0x63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5235 /* Table5235 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5237 /* Table5237 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5239 /* Table5239 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x69 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5241 /* Table5241 */
+   },
+   /* 0x6b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5243 /* Table5243 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5245 /* Table5245 */
+   },
+   /* 0x71 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    5247 /* Table5247 */
+   },
+   /* 0x73 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5263 /* Table5263 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5265 /* Table5265 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5267 /* Table5267 */
+   },
+   /* 0x77 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x78 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x79 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5269 /* Table5269 */
+   },
+   /* 0x80 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x84 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x86 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x88 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x89 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x90 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x91 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x92 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x93 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x94 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x95 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x96 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x97 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x99 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xa9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaa */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xab */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xac */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xad */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xae */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xaf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xb9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xba */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbe */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xbf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc2 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xc9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xca */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5271 /* Table5271 */
+   },
+   /* 0xd3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5273 /* Table5273 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5275 /* Table5275 */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5277 /* Table5277 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5279 /* Table5279 */
+   },
+   /* 0xdf */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5281 /* Table5281 */
+   },
+   /* 0xe0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5283 /* Table5283 */
+   },
+   /* 0xe3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5285 /* Table5285 */
+   },
+   /* 0xe8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5287 /* Table5287 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5289 /* Table5289 */
+   },
+   /* 0xec */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xed */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5291 /* Table5291 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5293 /* Table5293 */
+   },
+   /* 0xf0 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5295 /* Table5295 */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5297 /* Table5297 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5299 /* Table5299 */
    },
-   /* 0x01 */
+   /* 0xfa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3 /* Table3 */
+    5301 /* Table5301 */
    },
-   /* 0x02 */
+   /* 0xfb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xfc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    5303 /* Table5303 */
    },
-   /* 0x03 */
+   /* 0xfd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7 /* Table7 */
+    5305 /* Table5305 */
    },
-   /* 0x04 */
+   /* 0xfe */
    { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5307 /* Table5307 */
+   },
+   /* 0xff */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
+   }
+  }
+ }
+,  /* IC_EVEX_L2_W */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x03 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x04 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -59482,114 +170869,114 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    26 /* Table26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -59597,39 +170984,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -59637,39 +171024,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -59677,39 +171064,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -59717,189 +171104,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    100 /* Table100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -59912,9 +171299,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -59922,799 +171309,799 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    5309 /* Table5309 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    5311 /* Table5311 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    211 /* Table211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    215 /* Table215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    238 /* Table238 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    244 /* Table244 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    292 /* Table292 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    442 /* Table442 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    447 /* Table447 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    513 /* Table513 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    514 /* Table514 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
-   },
-   /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    928 /* Table928 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    933 /* Table933 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    935 /* Table935 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1001 /* Table1001 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_EVEX_L2_W_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -60727,34 +172114,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -60767,34 +172154,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    26 /* Table26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -60807,34 +172194,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -60847,34 +172234,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -60887,34 +172274,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -60927,34 +172314,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -60967,34 +172354,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -61047,9 +172434,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -61087,84 +172474,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -61182,9 +172569,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1020 /* Table1020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -61197,9 +172584,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -61207,134 +172594,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5313 /* Table5313 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5315 /* Table5315 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -61342,119 +172729,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1024 /* Table1024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -61462,259 +172849,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1046 /* Table1046 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1048 /* Table1048 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -61722,29 +173109,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -61757,104 +173144,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -61862,189 +173249,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1054 /* Table1054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_EVEX_L2_W_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1070 /* Table1070 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1072 /* Table1072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1074 /* Table1074 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1075 /* Table1075 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1076 /* Table1076 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1077 /* Table1077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1079 /* Table1079 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1081 /* Table1081 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1082 /* Table1082 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -62052,114 +173439,114 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1083 /* Table1083 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1085 /* Table1085 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1087 /* Table1087 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1088 /* Table1088 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1089 /* Table1089 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1090 /* Table1090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1092 /* Table1092 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1094 /* Table1094 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1095 /* Table1095 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1096 /* Table1096 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1097 /* Table1097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1099 /* Table1099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1101 /* Table1101 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -62167,39 +173554,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1102 /* Table1102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1104 /* Table1104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1106 /* Table1106 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -62207,39 +173594,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1107 /* Table1107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1109 /* Table1109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1111 /* Table1111 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -62247,39 +173634,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1112 /* Table1112 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1114 /* Table1114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1116 /* Table1116 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -62287,189 +173674,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1117 /* Table1117 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1118 /* Table1118 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1121 /* Table1121 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1122 /* Table1122 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1123 /* Table1123 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    100 /* Table100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -62482,9 +173869,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -62492,844 +173879,844 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1125 /* Table1125 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1126 /* Table1126 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1128 /* Table1128 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1129 /* Table1129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1131 /* Table1131 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1132 /* Table1132 */
+    MODRM_SPLITRM,
+    5317 /* Table5317 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5319 /* Table5319 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1133 /* Table1133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1149 /* Table1149 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1165 /* Table1165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1167 /* Table1167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1169 /* Table1169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1171 /* Table1171 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1173 /* Table1173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1175 /* Table1175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1177 /* Table1177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1179 /* Table1179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1196 /* Table1196 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1197 /* Table1197 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1198 /* Table1198 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1199 /* Table1199 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1200 /* Table1200 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1201 /* Table1201 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1202 /* Table1202 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1203 /* Table1203 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1204 /* Table1204 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1210 /* Table1210 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1226 /* Table1226 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1227 /* Table1227 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1228 /* Table1228 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1230 /* Table1230 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1232 /* Table1232 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    442 /* Table442 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    447 /* Table447 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1307 /* Table1307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1323 /* Table1323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    513 /* Table513 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    514 /* Table514 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    928 /* Table928 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1339 /* Table1339 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    931 /* Table931 */
+    MODRM_SPLITRM,
+    5321 /* Table5321 */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1343 /* Table1343 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1344 /* Table1344 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1345 /* Table1345 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1346 /* Table1346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1362 /* Table1362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -63339,112 +174726,112 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5323 /* Table5323 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5325 /* Table5325 */
    },
    /* 0x12 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    28 /* Table28 */
+    5327 /* Table5327 */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    32 /* Table32 */
+    MODRM_SPLITRM,
+    5329 /* Table5329 */
    },
    /* 0x15 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    33 /* Table33 */
+    MODRM_SPLITRM,
+    5331 /* Table5331 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -63452,39 +174839,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    59 /* Table59 */
+    5333 /* Table5333 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    61 /* Table61 */
+    5335 /* Table5335 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    65 /* Table65 */
+    5337 /* Table5337 */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -63492,39 +174879,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -63532,39 +174919,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -63572,189 +174959,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    94 /* Table94 */
+    MODRM_SPLITRM,
+    5339 /* Table5339 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5341 /* Table5341 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5343 /* Table5343 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5345 /* Table5345 */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5347 /* Table5347 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5349 /* Table5349 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5351 /* Table5351 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5353 /* Table5353 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    100 /* Table100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -63767,9 +175154,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -63777,844 +175164,844 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    109 /* Table109 */
+    MODRM_SPLITRM,
+    5355 /* Table5355 */
    },
    /* 0x6d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    110 /* Table110 */
+    MODRM_SPLITRM,
+    5357 /* Table5357 */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5359 /* Table5359 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    115 /* Table115 */
+    MODRM_SPLITREG,
+    5361 /* Table5361 */
    },
    /* 0x73 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    116 /* Table116 */
+    MODRM_SPLITREG,
+    5377 /* Table5377 */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5393 /* Table5393 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    211 /* Table211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    215 /* Table215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    238 /* Table238 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    244 /* Table244 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    291 /* Table291 */
+    MODRM_SPLITRM,
+    5395 /* Table5395 */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    292 /* Table292 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+    MODRM_SPLITRM,
+    5397 /* Table5397 */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    442 /* Table442 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    447 /* Table447 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+    MODRM_SPLITRM,
+    5399 /* Table5399 */
    },
    /* 0xd4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    513 /* Table513 */
+    MODRM_SPLITRM,
+    5401 /* Table5401 */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    514 /* Table514 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+    MODRM_SPLITRM,
+    5403 /* Table5403 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+    MODRM_SPLITRM,
+    5405 /* Table5405 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    927 /* Table927 */
+    MODRM_SPLITRM,
+    5407 /* Table5407 */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1378 /* Table1378 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    931 /* Table931 */
+    MODRM_SPLITRM,
+    5409 /* Table5409 */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    933 /* Table933 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    935 /* Table935 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    936 /* Table936 */
+    MODRM_SPLITRM,
+    5411 /* Table5411 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    940 /* Table940 */
+    MODRM_SPLITRM,
+    5413 /* Table5413 */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    944 /* Table944 */
+    MODRM_SPLITRM,
+    5415 /* Table5415 */
    },
    /* 0xf4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    945 /* Table945 */
+    MODRM_SPLITRM,
+    5417 /* Table5417 */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    982 /* Table982 */
+    MODRM_SPLITRM,
+    5419 /* Table5419 */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1001 /* Table1001 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_EVEX_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -64624,112 +176011,112 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5421 /* Table5421 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5423 /* Table5423 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -64737,39 +176124,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    59 /* Table59 */
+    5425 /* Table5425 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    61 /* Table61 */
+    5427 /* Table5427 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -64777,39 +176164,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -64817,39 +176204,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -64857,189 +176244,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    94 /* Table94 */
+    MODRM_SPLITRM,
+    5429 /* Table5429 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5431 /* Table5431 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5433 /* Table5433 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5435 /* Table5435 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5437 /* Table5437 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5439 /* Table5439 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5441 /* Table5441 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    100 /* Table100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -65052,9 +176439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -65062,844 +176449,844 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    211 /* Table211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    215 /* Table215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    238 /* Table238 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    244 /* Table244 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    292 /* Table292 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    442 /* Table442 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    447 /* Table447 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    513 /* Table513 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    514 /* Table514 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    928 /* Table928 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    933 /* Table933 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    935 /* Table935 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1001 /* Table1001 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_EVEX_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -65909,112 +177296,112 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5443 /* Table5443 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5445 /* Table5445 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -66022,39 +177409,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -66062,39 +177449,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -66102,39 +177489,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -66142,189 +177529,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5447 /* Table5447 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5449 /* Table5449 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5451 /* Table5451 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5453 /* Table5453 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5455 /* Table5455 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    95 /* Table95 */
+    MODRM_SPLITRM,
+    5457 /* Table5457 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    100 /* Table100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -66337,9 +177724,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -66347,799 +177734,799 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5459 /* Table5459 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5461 /* Table5461 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    211 /* Table211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    215 /* Table215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1379 /* Table1379 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    238 /* Table238 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    244 /* Table244 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    292 /* Table292 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    442 /* Table442 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    447 /* Table447 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    513 /* Table513 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    514 /* Table514 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    928 /* Table928 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    933 /* Table933 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    935 /* Table935 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1001 /* Table1001 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_EVEX_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1380 /* Table1380 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1382 /* Table1382 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1384 /* Table1384 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -67152,34 +178539,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1385 /* Table1385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1387 /* Table1387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1389 /* Table1389 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -67192,34 +178579,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1390 /* Table1390 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1392 /* Table1392 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1394 /* Table1394 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -67232,34 +178619,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1395 /* Table1395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1397 /* Table1397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1399 /* Table1399 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -67272,34 +178659,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1400 /* Table1400 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1402 /* Table1402 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1404 /* Table1404 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -67312,34 +178699,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1405 /* Table1405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1407 /* Table1407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1409 /* Table1409 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -67352,34 +178739,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1410 /* Table1410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1412 /* Table1412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1414 /* Table1414 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -67392,34 +178779,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1415 /* Table1415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1417 /* Table1417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1419 /* Table1419 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -67472,9 +178859,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -67512,84 +178899,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -67607,9 +178994,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1420 /* Table1420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -67622,9 +179009,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -67632,134 +179019,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1422 /* Table1422 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1424 /* Table1424 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5463 /* Table5463 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5465 /* Table5465 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1426 /* Table1426 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -67767,119 +179154,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1442 /* Table1442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1458 /* Table1458 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1460 /* Table1460 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1462 /* Table1462 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
-   },
-   /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1464 /* Table1464 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1466 /* Table1466 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1468 /* Table1468 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1470 /* Table1470 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1473 /* Table1473 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1474 /* Table1474 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -67887,259 +179274,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1475 /* Table1475 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1476 /* Table1476 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1477 /* Table1477 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1478 /* Table1478 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1479 /* Table1479 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1480 /* Table1480 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1481 /* Table1481 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1482 /* Table1482 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1484 /* Table1484 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1572 /* Table1572 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1573 /* Table1573 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -68147,29 +179534,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1574 /* Table1574 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1575 /* Table1575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1591 /* Table1591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -68182,104 +179569,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -68287,144 +179674,144 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1607 /* Table1607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1623 /* Table1623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_EVEX_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1070 /* Table1070 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1072 /* Table1072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1074 /* Table1074 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -68437,34 +179824,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1077 /* Table1077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1079 /* Table1079 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1081 /* Table1081 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -68477,34 +179864,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1083 /* Table1083 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1085 /* Table1085 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1087 /* Table1087 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -68517,34 +179904,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1090 /* Table1090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1092 /* Table1092 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1094 /* Table1094 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -68557,34 +179944,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1097 /* Table1097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1099 /* Table1099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1101 /* Table1101 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -68597,34 +179984,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1102 /* Table1102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1104 /* Table1104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1106 /* Table1106 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -68637,34 +180024,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1107 /* Table1107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1109 /* Table1109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1111 /* Table1111 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -68677,34 +180064,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1112 /* Table1112 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1114 /* Table1114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1116 /* Table1116 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -68757,9 +180144,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -68797,84 +180184,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -68892,24 +180279,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1020 /* Table1020 */
-   },
-   /* 0x64 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5467 /* Table5467 */
+   },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5469 /* Table5469 */
    },
    /* 0x66 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    102 /* Table102 */
+    MODRM_SPLITRM,
+    5471 /* Table5471 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -68917,134 +180304,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1639 /* Table1639 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1126 /* Table1126 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1129 /* Table1129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1131 /* Table1131 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1132 /* Table1132 */
+    MODRM_SPLITRM,
+    5473 /* Table5473 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    117 /* Table117 */
+    MODRM_SPLITRM,
+    5475 /* Table5475 */
    },
    /* 0x75 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    118 /* Table118 */
+    MODRM_SPLITRM,
+    5477 /* Table5477 */
    },
    /* 0x76 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    119 /* Table119 */
+    MODRM_SPLITRM,
+    5479 /* Table5479 */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5481 /* Table5481 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1133 /* Table1133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -69052,119 +180439,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1149 /* Table1149 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1165 /* Table1165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1167 /* Table1167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1169 /* Table1169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1171 /* Table1171 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1173 /* Table1173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1175 /* Table1175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1177 /* Table1177 */
-   },
-   /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1179 /* Table1179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x8f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1195 /* Table1195 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1196 /* Table1196 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1197 /* Table1197 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -69172,259 +180559,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1199 /* Table1199 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1200 /* Table1200 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1640 /* Table1640 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1641 /* Table1641 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1203 /* Table1203 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1204 /* Table1204 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1210 /* Table1210 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1226 /* Table1226 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1227 /* Table1227 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1228 /* Table1228 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1230 /* Table1230 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1232 /* Table1232 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -69432,284 +180819,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1307 /* Table1307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1323 /* Table1323 */
-   },
-   /* 0xd4 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xd5 */
+   /* 0xd4 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xd6 */
+   /* 0xd5 */
    { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5483 /* Table5483 */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+    MODRM_SPLITRM,
+    5485 /* Table5485 */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+    MODRM_SPLITRM,
+    5487 /* Table5487 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+    MODRM_SPLITRM,
+    5489 /* Table5489 */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+    MODRM_SPLITRM,
+    5491 /* Table5491 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1339 /* Table1339 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1342 /* Table1342 */
-   },
-   /* 0xea */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5493 /* Table5493 */
+   },
    /* 0xeb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    936 /* Table936 */
+    MODRM_SPLITRM,
+    5495 /* Table5495 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1344 /* Table1344 */
+    0 /* EmptyTable */
    },
    /* 0xee */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    939 /* Table939 */
+    MODRM_SPLITRM,
+    5497 /* Table5497 */
    },
    /* 0xef */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1345 /* Table1345 */
+    MODRM_SPLITRM,
+    5499 /* Table5499 */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1346 /* Table1346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    979 /* Table979 */
+    MODRM_SPLITRM,
+    5501 /* Table5501 */
    },
    /* 0xf9 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    980 /* Table980 */
+    MODRM_SPLITRM,
+    5503 /* Table5503 */
    },
    /* 0xfa */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    981 /* Table981 */
+    MODRM_SPLITRM,
+    5505 /* Table5505 */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    983 /* Table983 */
+    MODRM_SPLITRM,
+    5507 /* Table5507 */
    },
    /* 0xfd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    984 /* Table984 */
+    MODRM_SPLITRM,
+    5509 /* Table5509 */
    },
    /* 0xfe */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+    MODRM_SPLITRM,
+    5511 /* Table5511 */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1642 /* Table1642 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_EVEX_W_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -69722,34 +181109,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -69764,32 +181151,32 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5421 /* Table5421 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5423 /* Table5423 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -69802,34 +181189,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -69842,34 +181229,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -69884,32 +181271,32 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    59 /* Table59 */
+    5425 /* Table5425 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    61 /* Table61 */
+    5427 /* Table5427 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -69922,34 +181309,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -69962,34 +181349,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -70042,9 +181429,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -70082,84 +181469,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    MODRM_SPLITRM,
+    5429 /* Table5429 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5431 /* Table5431 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5433 /* Table5433 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5435 /* Table5435 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5437 /* Table5437 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5439 /* Table5439 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5441 /* Table5441 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -70177,9 +181564,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1020 /* Table1020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -70192,9 +181579,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -70202,134 +181589,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -70337,119 +181724,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1024 /* Table1024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -70457,259 +181844,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1046 /* Table1046 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1048 /* Table1048 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -70717,29 +182104,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -70752,104 +182139,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1658 /* Table1658 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -70857,144 +182244,144 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1054 /* Table1054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_XD */
+,  /* IC_EVEX_W_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -71007,34 +182394,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -71049,32 +182436,32 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5443 /* Table5443 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5445 /* Table5445 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -71087,34 +182474,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -71127,34 +182514,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -71167,34 +182554,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -71207,34 +182594,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -71247,34 +182634,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -71327,9 +182714,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -71367,84 +182754,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5513 /* Table5513 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5515 /* Table5515 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5517 /* Table5517 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5519 /* Table5519 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5521 /* Table5521 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5523 /* Table5523 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -71462,9 +182849,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1020 /* Table1020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -71477,9 +182864,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -71487,134 +182874,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5525 /* Table5525 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5527 /* Table5527 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -71622,119 +183009,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1024 /* Table1024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -71742,259 +183129,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1046 /* Table1046 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1048 /* Table1048 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -72002,29 +183389,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -72037,104 +183424,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -72142,144 +183529,144 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1054 /* Table1054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_EVEX_W_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -72292,34 +183679,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -72334,32 +183721,32 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5529 /* Table5529 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    5531 /* Table5531 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -72372,34 +183759,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -72412,34 +183799,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -72452,34 +183839,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -72492,34 +183879,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -72532,34 +183919,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -72612,9 +183999,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -72652,84 +184039,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5533 /* Table5533 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5535 /* Table5535 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5537 /* Table5537 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5539 /* Table5539 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5541 /* Table5541 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5543 /* Table5543 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -72747,9 +184134,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1020 /* Table1020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -72762,9 +184149,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -72772,134 +184159,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5545 /* Table5545 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5547 /* Table5547 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -72907,119 +184294,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1024 /* Table1024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1379 /* Table1379 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1042 /* Table1042 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -73027,259 +184414,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1046 /* Table1046 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1048 /* Table1048 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    258 /* Table258 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    275 /* Table275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    369 /* Table369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    443 /* Table443 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    444 /* Table444 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -73287,29 +184674,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    448 /* Table448 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    465 /* Table465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    497 /* Table497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -73322,104 +184709,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -73427,144 +184814,144 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    963 /* Table963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1054 /* Table1054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_EVEX_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1380 /* Table1380 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1382 /* Table1382 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1384 /* Table1384 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -73577,34 +184964,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1385 /* Table1385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1387 /* Table1387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1389 /* Table1389 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -73619,32 +185006,32 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5549 /* Table5549 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1390 /* Table1390 */
+    5551 /* Table5551 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1392 /* Table1392 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1394 /* Table1394 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -73657,34 +185044,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1395 /* Table1395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1397 /* Table1397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1399 /* Table1399 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -73697,34 +185084,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1400 /* Table1400 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1402 /* Table1402 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1404 /* Table1404 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -73739,32 +185126,32 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    59 /* Table59 */
+    5553 /* Table5553 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1405 /* Table1405 */
+    5555 /* Table5555 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1407 /* Table1407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1409 /* Table1409 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -73777,34 +185164,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1410 /* Table1410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1412 /* Table1412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1414 /* Table1414 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -73817,34 +185204,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1415 /* Table1415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1417 /* Table1417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1419 /* Table1419 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -73897,9 +185284,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -73937,84 +185324,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    MODRM_SPLITRM,
+    5557 /* Table5557 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5559 /* Table5559 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5561 /* Table5561 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5563 /* Table5563 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5565 /* Table5565 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5567 /* Table5567 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5569 /* Table5569 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -74032,9 +185419,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1420 /* Table1420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -74047,9 +185434,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -74057,134 +185444,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1422 /* Table1422 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1424 /* Table1424 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    112 /* Table112 */
+    MODRM_SPLITRM,
+    5571 /* Table5571 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5573 /* Table5573 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1426 /* Table1426 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -74192,119 +185579,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1442 /* Table1442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1458 /* Table1458 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1460 /* Table1460 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1462 /* Table1462 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1464 /* Table1464 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1466 /* Table1466 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1468 /* Table1468 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1470 /* Table1470 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1473 /* Table1473 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1474 /* Table1474 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -74312,259 +185699,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1475 /* Table1475 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1476 /* Table1476 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1477 /* Table1477 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1478 /* Table1478 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1479 /* Table1479 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1480 /* Table1480 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1481 /* Table1481 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1482 /* Table1482 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1484 /* Table1484 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1572 /* Table1572 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1573 /* Table1573 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -74572,139 +185959,139 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1574 /* Table1574 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1575 /* Table1575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1591 /* Table1591 */
-   },
-   /* 0xd4 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5575 /* Table5575 */
+   },
    /* 0xd5 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+    MODRM_SPLITRM,
+    5577 /* Table5577 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+    MODRM_SPLITRM,
+    5579 /* Table5579 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -74713,143 +186100,143 @@ static const struct OpcodeDecision x86Di
    },
    /* 0xeb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    936 /* Table936 */
+    MODRM_SPLITRM,
+    5581 /* Table5581 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    940 /* Table940 */
+    MODRM_SPLITRM,
+    5583 /* Table5583 */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1607 /* Table1607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    982 /* Table982 */
+    MODRM_SPLITRM,
+    5585 /* Table5585 */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1623 /* Table1623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+,  /* IC_EVEX_L_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1380 /* Table1380 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1382 /* Table1382 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1384 /* Table1384 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -74862,34 +186249,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1385 /* Table1385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1387 /* Table1387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1389 /* Table1389 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -74904,32 +186291,32 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    24 /* Table24 */
+    5587 /* Table5587 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1390 /* Table1390 */
+    5589 /* Table5589 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1392 /* Table1392 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1394 /* Table1394 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -74942,34 +186329,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1395 /* Table1395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1397 /* Table1397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1399 /* Table1399 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -74982,34 +186369,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1400 /* Table1400 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1402 /* Table1402 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1404 /* Table1404 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -75024,32 +186411,32 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    59 /* Table59 */
+    5591 /* Table5591 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1405 /* Table1405 */
+    5593 /* Table5593 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1407 /* Table1407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1409 /* Table1409 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -75062,34 +186449,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1410 /* Table1410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1412 /* Table1412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1414 /* Table1414 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -75102,34 +186489,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1415 /* Table1415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1417 /* Table1417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1419 /* Table1419 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -75182,9 +186569,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -75222,84 +186609,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    MODRM_SPLITRM,
+    5595 /* Table5595 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1018 /* Table1018 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5597 /* Table5597 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5599 /* Table5599 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5601 /* Table5601 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5603 /* Table5603 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5605 /* Table5605 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1019 /* Table1019 */
+    MODRM_SPLITRM,
+    5607 /* Table5607 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -75317,9 +186704,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1420 /* Table1420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -75332,9 +186719,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -75342,134 +186729,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1022 /* Table1022 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1422 /* Table1422 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1424 /* Table1424 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1426 /* Table1426 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -75477,119 +186864,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1442 /* Table1442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1458 /* Table1458 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1460 /* Table1460 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1462 /* Table1462 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1464 /* Table1464 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1466 /* Table1466 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1468 /* Table1468 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1470 /* Table1470 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1026 /* Table1026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1473 /* Table1473 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1474 /* Table1474 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -75597,259 +186984,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1043 /* Table1043 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1044 /* Table1044 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1475 /* Table1475 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1476 /* Table1476 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1477 /* Table1477 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1478 /* Table1478 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1479 /* Table1479 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1480 /* Table1480 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1481 /* Table1481 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1482 /* Table1482 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1484 /* Table1484 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1049 /* Table1049 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1050 /* Table1050 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    293 /* Table293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    295 /* Table295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1572 /* Table1572 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1573 /* Table1573 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -75857,29 +187244,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1574 /* Table1574 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1575 /* Table1575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1591 /* Table1591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -75892,104 +187279,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    930 /* Table930 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    932 /* Table932 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1053 /* Table1053 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    934 /* Table934 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -75997,144 +187384,144 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    938 /* Table938 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    940 /* Table940 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1607 /* Table1607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1623 /* Table1623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_EVEX_L_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1380 /* Table1380 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1382 /* Table1382 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1384 /* Table1384 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -76147,34 +187534,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1385 /* Table1385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1387 /* Table1387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1389 /* Table1389 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -76187,34 +187574,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1390 /* Table1390 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1392 /* Table1392 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1394 /* Table1394 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -76227,34 +187614,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1395 /* Table1395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1397 /* Table1397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1399 /* Table1399 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -76267,34 +187654,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1400 /* Table1400 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1402 /* Table1402 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1404 /* Table1404 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -76307,34 +187694,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1405 /* Table1405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1407 /* Table1407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1409 /* Table1409 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -76347,34 +187734,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1410 /* Table1410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1412 /* Table1412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1414 /* Table1414 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -76387,34 +187774,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1415 /* Table1415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1417 /* Table1417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1419 /* Table1419 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -76467,9 +187854,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1017 /* Table1017 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -76507,84 +187894,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1119 /* Table1119 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1120 /* Table1120 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -76602,9 +187989,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1420 /* Table1420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -76617,9 +188004,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -76627,134 +188014,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1639 /* Table1639 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1422 /* Table1422 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1023 /* Table1023 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1424 /* Table1424 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1131 /* Table1131 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    1132 /* Table1132 */
+    MODRM_SPLITRM,
+    5609 /* Table5609 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    128 /* Table128 */
+    MODRM_SPLITRM,
+    5611 /* Table5611 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1426 /* Table1426 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -76762,119 +188149,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1442 /* Table1442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1458 /* Table1458 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1460 /* Table1460 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1462 /* Table1462 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1464 /* Table1464 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1466 /* Table1466 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1468 /* Table1468 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1470 /* Table1470 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1179 /* Table1179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1472 /* Table1472 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1473 /* Table1473 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1474 /* Table1474 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -76882,259 +188269,259 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1199 /* Table1199 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1200 /* Table1200 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1045 /* Table1045 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1475 /* Table1475 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1047 /* Table1047 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1476 /* Table1476 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1477 /* Table1477 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1478 /* Table1478 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1479 /* Table1479 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1480 /* Table1480 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1481 /* Table1481 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1482 /* Table1482 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1483 /* Table1483 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    259 /* Table259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1484 /* Table1484 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1226 /* Table1226 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1227 /* Table1227 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1228 /* Table1228 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1230 /* Table1230 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    297 /* Table297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    441 /* Table441 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1051 /* Table1051 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1572 /* Table1572 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1573 /* Table1573 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    445 /* Table445 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    446 /* Table446 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -77142,29 +188529,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1574 /* Table1574 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    449 /* Table449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1575 /* Table1575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    481 /* Table481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1591 /* Table1591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -77177,104 +188564,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    515 /* Table515 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    516 /* Table516 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    517 /* Table517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    533 /* Table533 */
-   },
-   /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    677 /* Table677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    749 /* Table749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    765 /* Table765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    853 /* Table853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    925 /* Table925 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    926 /* Table926 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    927 /* Table927 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1052 /* Table1052 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    929 /* Table929 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1339 /* Table1339 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    931 /* Table931 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -77282,113 +188669,113 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    936 /* Table936 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    937 /* Table937 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1344 /* Table1344 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    939 /* Table939 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1345 /* Table1345 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    941 /* Table941 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    942 /* Table942 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    943 /* Table943 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    944 /* Table944 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    945 /* Table945 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    946 /* Table946 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    947 /* Table947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1607 /* Table1607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    979 /* Table979 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    980 /* Table980 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    981 /* Table981 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    982 /* Table982 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    983 /* Table983 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    984 /* Table984 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    985 /* Table985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1659 /* Table1659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_EVEX_L_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -77947,9 +189334,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5613 /* Table5613 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -78027,9 +189414,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5615 /* Table5615 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -78673,32 +190060,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerOneByteOpcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 0, 7, 8, 9, 10, 11, 0, 0, 12, 13, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerTwoByteOpcodes[] = {
- /* IC */
+,  /* IC_EVEX_L_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1691 /* Table1691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -78706,29 +190089,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -78736,9 +190119,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -78746,9 +190129,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -78761,104 +190144,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1789 /* Table1789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1791 /* Table1791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1835 /* Table1835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1837 /* Table1837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1839 /* Table1839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1841 /* Table1841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -78881,74 +190264,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1847 /* Table1847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1849 /* Table1849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1851 /* Table1851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1853 /* Table1853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -78956,9 +190339,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -79001,224 +190384,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1900 /* Table1900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1914 /* Table1914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1916 /* Table1916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1918 /* Table1918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1922 /* Table1922 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1924 /* Table1924 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1926 /* Table1926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1928 /* Table1928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1938 /* Table1938 */
+    5617 /* Table5617 */
    },
    /* 0x65 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1940 /* Table1940 */
+    5619 /* Table5619 */
    },
    /* 0x66 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1942 /* Table1942 */
+    5621 /* Table5621 */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -79231,64 +190614,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5623 /* Table5623 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1958 /* Table1958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2008 /* Table2008 */
+    5625 /* Table5625 */
    },
    /* 0x75 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2010 /* Table2010 */
+    5627 /* Table5627 */
    },
    /* 0x76 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2012 /* Table2012 */
+    5629 /* Table5629 */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2015 /* Table2015 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2017 /* Table2017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -79311,294 +190694,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5631 /* Table5631 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2071 /* Table2071 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2072 /* Table2072 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2073 /* Table2073 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2224 /* Table2224 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2225 /* Table2225 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -79606,119 +190989,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2354 /* Table2354 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -79726,29 +191109,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2389 /* Table2389 */
+    5633 /* Table5633 */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -79756,79 +191139,79 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2397 /* Table2397 */
+    5635 /* Table5635 */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2399 /* Table2399 */
+    5637 /* Table5637 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2405 /* Table2405 */
+    5639 /* Table5639 */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2407 /* Table2407 */
+    5641 /* Table5641 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* ModRMDecision */
@@ -79836,49 +191219,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2427 /* Table2427 */
+    5643 /* Table5643 */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2429 /* Table2429 */
+    5645 /* Table5645 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2435 /* Table2435 */
+    5647 /* Table5647 */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2437 /* Table2437 */
+    5649 /* Table5649 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -79886,74 +191269,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2451 /* Table2451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2453 /* Table2453 */
+    5651 /* Table5651 */
    },
    /* 0xf9 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2455 /* Table2455 */
+    5653 /* Table5653 */
    },
    /* 0xfa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2457 /* Table2457 */
+    5655 /* Table5655 */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2461 /* Table2461 */
+    5657 /* Table5657 */
    },
    /* 0xfd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2463 /* Table2463 */
+    5659 /* Table5659 */
    },
    /* 0xfe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2465 /* Table2465 */
+    5661 /* Table5661 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -79962,28 +191345,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_EVEX_L_W_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2467 /* Table2467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -79991,29 +191374,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -80021,9 +191404,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -80031,9 +191414,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -80048,102 +191431,102 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1789 /* Table1789 */
+    5421 /* Table5421 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1791 /* Table1791 */
+    5423 /* Table5423 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -80168,72 +191551,72 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1843 /* Table1843 */
+    5425 /* Table5425 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    5427 /* Table5427 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1847 /* Table1847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1849 /* Table1849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1851 /* Table1851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1853 /* Table1853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -80241,9 +191624,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -80286,224 +191669,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1900 /* Table1900 */
+    5429 /* Table5429 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1914 /* Table1914 */
+    5431 /* Table5431 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1916 /* Table1916 */
+    5433 /* Table5433 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1918 /* Table1918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1922 /* Table1922 */
+    5435 /* Table5435 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1924 /* Table1924 */
+    5437 /* Table5437 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1926 /* Table1926 */
+    5439 /* Table5439 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1928 /* Table1928 */
+    5441 /* Table5441 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -80516,64 +191899,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1956 /* Table1956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1958 /* Table1958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2547 /* Table2547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2549 /* Table2549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -80596,294 +191979,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2021 /* Table2021 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -80891,119 +192274,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2354 /* Table2354 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -81011,29 +192394,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -81041,79 +192424,79 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* ModRMDecision */
@@ -81121,49 +192504,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -81171,74 +192554,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -81247,28 +192630,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_EVEX_L_W_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2558 /* Table2558 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2574 /* Table2574 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2646 /* Table2646 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2648 /* Table2648 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -81276,29 +192659,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -81306,9 +192689,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -81316,9 +192699,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -81333,102 +192716,102 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2650 /* Table2650 */
+    5443 /* Table5443 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2652 /* Table2652 */
+    5445 /* Table5445 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2654 /* Table2654 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2656 /* Table2656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2658 /* Table2658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2660 /* Table2660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2662 /* Table2662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2664 /* Table2664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2666 /* Table2666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2682 /* Table2682 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2684 /* Table2684 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2686 /* Table2686 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2688 /* Table2688 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2690 /* Table2690 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2692 /* Table2692 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2694 /* Table2694 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1835 /* Table1835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1837 /* Table1837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1839 /* Table1839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1841 /* Table1841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -81451,74 +192834,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2696 /* Table2696 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2698 /* Table2698 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2700 /* Table2700 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2702 /* Table2702 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2704 /* Table2704 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2706 /* Table2706 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2708 /* Table2708 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2710 /* Table2710 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -81526,9 +192909,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -81571,294 +192954,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2712 /* Table2712 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2714 /* Table2714 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2716 /* Table2716 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2718 /* Table2718 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2720 /* Table2720 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2722 /* Table2722 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2724 /* Table2724 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2726 /* Table2726 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2728 /* Table2728 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2730 /* Table2730 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2732 /* Table2732 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2734 /* Table2734 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2736 /* Table2736 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2738 /* Table2738 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2740 /* Table2740 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2742 /* Table2742 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2744 /* Table2744 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2746 /* Table2746 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2748 /* Table2748 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2750 /* Table2750 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2752 /* Table2752 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2754 /* Table2754 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2756 /* Table2756 */
+    5513 /* Table5513 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2758 /* Table2758 */
+    5515 /* Table5515 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2760 /* Table2760 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2762 /* Table2762 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2764 /* Table2764 */
+    5517 /* Table5517 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2766 /* Table2766 */
+    5519 /* Table5519 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2768 /* Table2768 */
+    5521 /* Table5521 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2770 /* Table2770 */
+    5523 /* Table5523 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2772 /* Table2772 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2774 /* Table2774 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2776 /* Table2776 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2778 /* Table2778 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2780 /* Table2780 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2782 /* Table2782 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2784 /* Table2784 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2786 /* Table2786 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2788 /* Table2788 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2790 /* Table2790 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2792 /* Table2792 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2794 /* Table2794 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2796 /* Table2796 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2798 /* Table2798 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2800 /* Table2800 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2802 /* Table2802 */
+    5663 /* Table5663 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2804 /* Table2804 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2806 /* Table2806 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2822 /* Table2822 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2838 /* Table2838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2854 /* Table2854 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2856 /* Table2856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2858 /* Table2858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2860 /* Table2860 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2862 /* Table2862 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -81871,304 +193254,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2864 /* Table2864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2866 /* Table2866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2868 /* Table2868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2870 /* Table2870 */
+    5665 /* Table5665 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2872 /* Table2872 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2873 /* Table2873 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2874 /* Table2874 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2875 /* Table2875 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2876 /* Table2876 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2877 /* Table2877 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2878 /* Table2878 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2879 /* Table2879 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2880 /* Table2880 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2881 /* Table2881 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2882 /* Table2882 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2883 /* Table2883 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2884 /* Table2884 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2885 /* Table2885 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2886 /* Table2886 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2887 /* Table2887 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2888 /* Table2888 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2889 /* Table2889 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2073 /* Table2073 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2890 /* Table2890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2892 /* Table2892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2894 /* Table2894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2896 /* Table2896 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2897 /* Table2897 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2898 /* Table2898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2900 /* Table2900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2902 /* Table2902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2904 /* Table2904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2906 /* Table2906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2908 /* Table2908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2910 /* Table2910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2912 /* Table2912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2914 /* Table2914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2916 /* Table2916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -82176,279 +193559,279 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2918 /* Table2918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2934 /* Table2934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2936 /* Table2936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2938 /* Table2938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2940 /* Table2940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2942 /* Table2942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2944 /* Table2944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2946 /* Table2946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2948 /* Table2948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2950 /* Table2950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2952 /* Table2952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2968 /* Table2968 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2970 /* Table2970 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2972 /* Table2972 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2974 /* Table2974 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2976 /* Table2976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2978 /* Table2978 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2980 /* Table2980 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2982 /* Table2982 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2984 /* Table2984 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2986 /* Table2986 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2988 /* Table2988 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2990 /* Table2990 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2992 /* Table2992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2994 /* Table2994 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2996 /* Table2996 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2998 /* Table2998 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3000 /* Table3000 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3002 /* Table3002 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3004 /* Table3004 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3006 /* Table3006 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3008 /* Table3008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3010 /* Table3010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3012 /* Table3012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3014 /* Table3014 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3016 /* Table3016 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3018 /* Table3018 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3020 /* Table3020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3022 /* Table3022 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3024 /* Table3024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3026 /* Table3026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3028 /* Table3028 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3030 /* Table3030 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -82456,74 +193839,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3032 /* Table3032 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3034 /* Table3034 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3036 /* Table3036 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3038 /* Table3038 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3040 /* Table3040 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3042 /* Table3042 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3044 /* Table3044 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3046 /* Table3046 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3048 /* Table3048 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3050 /* Table3050 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3052 /* Table3052 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3054 /* Table3054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3056 /* Table3056 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3058 /* Table3058 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -82532,28 +193915,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_EVEX_L_W_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1691 /* Table1691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -82561,29 +193944,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -82591,9 +193974,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -82601,9 +193984,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -82616,104 +193999,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1789 /* Table1789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1791 /* Table1791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1835 /* Table1835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1837 /* Table1837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1839 /* Table1839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1841 /* Table1841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -82736,74 +194119,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1847 /* Table1847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1849 /* Table1849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1851 /* Table1851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1853 /* Table1853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -82811,9 +194194,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -82856,224 +194239,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1900 /* Table1900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1914 /* Table1914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1916 /* Table1916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1918 /* Table1918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1922 /* Table1922 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1924 /* Table1924 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1926 /* Table1926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1928 /* Table1928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -83086,64 +194469,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5667 /* Table5667 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1958 /* Table1958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2015 /* Table2015 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2017 /* Table2017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -83166,294 +194549,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5669 /* Table5669 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2071 /* Table2071 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2072 /* Table2072 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2073 /* Table2073 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2224 /* Table2224 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2225 /* Table2225 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -83461,119 +194844,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2354 /* Table2354 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -83581,29 +194964,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -83611,79 +194994,79 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* ModRMDecision */
@@ -83691,49 +195074,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -83741,74 +195124,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2451 /* Table2451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -83817,28 +195200,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_EVEX_L_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1691 /* Table1691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -83846,29 +195229,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -83876,9 +195259,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -83886,9 +195269,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -83903,102 +195286,102 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3060 /* Table3060 */
+    5671 /* Table5671 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3062 /* Table3062 */
+    5673 /* Table5673 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3064 /* Table3064 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1835 /* Table1835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1837 /* Table1837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1839 /* Table1839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1841 /* Table1841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -84023,72 +195406,72 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1843 /* Table1843 */
+    5675 /* Table5675 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    5677 /* Table5677 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3066 /* Table3066 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3068 /* Table3068 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3070 /* Table3070 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3072 /* Table3072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -84096,9 +195479,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -84141,224 +195524,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3074 /* Table3074 */
+    5679 /* Table5679 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3076 /* Table3076 */
+    5681 /* Table5681 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3078 /* Table3078 */
+    5683 /* Table5683 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3080 /* Table3080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3082 /* Table3082 */
+    5685 /* Table5685 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3084 /* Table3084 */
+    5687 /* Table5687 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3086 /* Table3086 */
+    5689 /* Table5689 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3088 /* Table3088 */
+    5691 /* Table5691 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -84371,64 +195754,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5693 /* Table5693 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3090 /* Table3090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3092 /* Table3092 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3094 /* Table3094 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -84441,304 +195824,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3096 /* Table3096 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3098 /* Table3098 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5695 /* Table5695 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2071 /* Table2071 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2072 /* Table2072 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2073 /* Table2073 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2224 /* Table2224 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2225 /* Table2225 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -84746,354 +196129,354 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3100 /* Table3100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3102 /* Table3102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2387 /* Table2387 */
+    5697 /* Table5697 */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3104 /* Table3104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2399 /* Table2399 */
+    5699 /* Table5699 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2407 /* Table2407 */
+    5701 /* Table5701 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3106 /* Table3106 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2429 /* Table2429 */
+    5703 /* Table5703 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2437 /* Table2437 */
+    5705 /* Table5705 */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3108 /* Table3108 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2451 /* Table2451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2459 /* Table2459 */
+    5707 /* Table5707 */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -85102,28 +196485,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_EVEX_L2_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1691 /* Table1691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -85131,29 +196514,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -85161,9 +196544,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -85171,9 +196554,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -85188,102 +196571,102 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3110 /* Table3110 */
+    5709 /* Table5709 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3112 /* Table3112 */
+    5711 /* Table5711 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3114 /* Table3114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3116 /* Table3116 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1835 /* Table1835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1837 /* Table1837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1839 /* Table1839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1841 /* Table1841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -85308,72 +196691,72 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1843 /* Table1843 */
+    5713 /* Table5713 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    5715 /* Table5715 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3118 /* Table3118 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3120 /* Table3120 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3122 /* Table3122 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3124 /* Table3124 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -85381,9 +196764,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -85426,224 +196809,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3126 /* Table3126 */
+    5717 /* Table5717 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3128 /* Table3128 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3130 /* Table3130 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3132 /* Table3132 */
+    5719 /* Table5719 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3134 /* Table3134 */
+    5721 /* Table5721 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3136 /* Table3136 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3138 /* Table3138 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3140 /* Table3140 */
+    5723 /* Table5723 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3142 /* Table3142 */
+    5725 /* Table5725 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3144 /* Table3144 */
+    5727 /* Table5727 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3146 /* Table3146 */
+    5729 /* Table5729 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -85656,64 +197039,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3148 /* Table3148 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3150 /* Table3150 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2015 /* Table2015 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2017 /* Table2017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -85736,414 +197119,414 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3152 /* Table3152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3154 /* Table3154 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2071 /* Table2071 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2072 /* Table2072 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2073 /* Table2073 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2224 /* Table2224 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2225 /* Table2225 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3156 /* Table3156 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3158 /* Table3158 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3160 /* Table3160 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3162 /* Table3162 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3164 /* Table3164 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -86151,159 +197534,159 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3180 /* Table3180 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3182 /* Table3182 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -86311,74 +197694,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2451 /* Table2451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -86387,7 +197770,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS_OPSIZE */
+,  /* IC_EVEX_L2_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -86946,9 +198329,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5731 /* Table5731 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -87026,9 +198409,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5733 /* Table5733 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -87311,9 +198694,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3184 /* Table3184 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -87331,14 +198714,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3186 /* Table3186 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3188 /* Table3188 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
    { /* ModRMDecision */
@@ -87672,28 +199055,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_EVEX_L2_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3190 /* Table3190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3206 /* Table3206 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3278 /* Table3278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3280 /* Table3280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -87701,29 +199084,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3282 /* Table3282 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -87731,9 +199114,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -87741,9 +199124,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -87756,104 +199139,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1789 /* Table1789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1791 /* Table1791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -87876,74 +199259,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1847 /* Table1847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1849 /* Table1849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1851 /* Table1851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1853 /* Table1853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3283 /* Table3283 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -87951,9 +199334,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -87996,224 +199379,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3284 /* Table3284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3286 /* Table3286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3288 /* Table3288 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3290 /* Table3290 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3292 /* Table3292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3294 /* Table3294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3296 /* Table3296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3298 /* Table3298 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3300 /* Table3300 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3302 /* Table3302 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3304 /* Table3304 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3306 /* Table3306 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3308 /* Table3308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3310 /* Table3310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3312 /* Table3312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3314 /* Table3314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1900 /* Table1900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1914 /* Table1914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1916 /* Table1916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1918 /* Table1918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1922 /* Table1922 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1924 /* Table1924 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1926 /* Table1926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1928 /* Table1928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -88226,64 +199609,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3316 /* Table3316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5735 /* Table5735 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1958 /* Table1958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2547 /* Table2547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2549 /* Table2549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -88306,294 +199689,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3318 /* Table3318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5737 /* Table5737 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3320 /* Table3320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3322 /* Table3322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3324 /* Table3324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3326 /* Table3326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3328 /* Table3328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3330 /* Table3330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3332 /* Table3332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3404 /* Table3404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3406 /* Table3406 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3408 /* Table3408 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3410 /* Table3410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3412 /* Table3412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3414 /* Table3414 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3416 /* Table3416 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3418 /* Table3418 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -88601,119 +199984,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3420 /* Table3420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3436 /* Table3436 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3438 /* Table3438 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3440 /* Table3440 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3442 /* Table3442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3444 /* Table3444 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3446 /* Table3446 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2354 /* Table2354 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3448 /* Table3448 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3450 /* Table3450 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -88721,29 +200104,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -88751,79 +200134,79 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* ModRMDecision */
@@ -88831,49 +200214,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -88881,74 +200264,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -88957,28 +200340,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_EVEX_L2_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2558 /* Table2558 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3467 /* Table3467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2646 /* Table2646 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2648 /* Table2648 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -88986,29 +200369,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -89016,9 +200399,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -89026,9 +200409,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -89041,104 +200424,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2650 /* Table2650 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2652 /* Table2652 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2654 /* Table2654 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2656 /* Table2656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2658 /* Table2658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2660 /* Table2660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2662 /* Table2662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2664 /* Table2664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2666 /* Table2666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2682 /* Table2682 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2684 /* Table2684 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2686 /* Table2686 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2688 /* Table2688 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2690 /* Table2690 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2692 /* Table2692 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2694 /* Table2694 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -89161,74 +200544,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2696 /* Table2696 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2698 /* Table2698 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2700 /* Table2700 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2702 /* Table2702 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2704 /* Table2704 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2706 /* Table2706 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2708 /* Table2708 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2710 /* Table2710 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -89236,9 +200619,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -89281,294 +200664,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2712 /* Table2712 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2714 /* Table2714 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2716 /* Table2716 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2718 /* Table2718 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2720 /* Table2720 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2722 /* Table2722 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2724 /* Table2724 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2726 /* Table2726 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2728 /* Table2728 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2730 /* Table2730 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2732 /* Table2732 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2734 /* Table2734 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2736 /* Table2736 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2738 /* Table2738 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2740 /* Table2740 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2742 /* Table2742 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2744 /* Table2744 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2746 /* Table2746 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2748 /* Table2748 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2750 /* Table2750 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2752 /* Table2752 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2754 /* Table2754 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2756 /* Table2756 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2758 /* Table2758 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2760 /* Table2760 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2762 /* Table2762 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2764 /* Table2764 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2766 /* Table2766 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2768 /* Table2768 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2770 /* Table2770 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2772 /* Table2772 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2774 /* Table2774 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2776 /* Table2776 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2778 /* Table2778 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2780 /* Table2780 */
+    5739 /* Table5739 */
    },
    /* 0x65 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2782 /* Table2782 */
+    5741 /* Table5741 */
    },
    /* 0x66 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2784 /* Table2784 */
+    5743 /* Table5743 */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2786 /* Table2786 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2788 /* Table2788 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2790 /* Table2790 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2792 /* Table2792 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2794 /* Table2794 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2796 /* Table2796 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2798 /* Table2798 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2800 /* Table2800 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2802 /* Table2802 */
+    5745 /* Table5745 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2804 /* Table2804 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2806 /* Table2806 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2822 /* Table2822 */
+    5747 /* Table5747 */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2838 /* Table2838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2854 /* Table2854 */
+    5763 /* Table5763 */
    },
    /* 0x75 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2856 /* Table2856 */
+    5765 /* Table5765 */
    },
    /* 0x76 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2858 /* Table2858 */
+    5767 /* Table5767 */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3539 /* Table3539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3541 /* Table3541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -89581,304 +200964,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2864 /* Table2864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2866 /* Table2866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2868 /* Table2868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2870 /* Table2870 */
+    5769 /* Table5769 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2872 /* Table2872 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2873 /* Table2873 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2874 /* Table2874 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2875 /* Table2875 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2876 /* Table2876 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2877 /* Table2877 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2878 /* Table2878 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2879 /* Table2879 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2880 /* Table2880 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2881 /* Table2881 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2882 /* Table2882 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2883 /* Table2883 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2884 /* Table2884 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2885 /* Table2885 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2886 /* Table2886 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2887 /* Table2887 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2888 /* Table2888 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2889 /* Table2889 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2890 /* Table2890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2892 /* Table2892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2894 /* Table2894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2896 /* Table2896 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2897 /* Table2897 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2898 /* Table2898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2900 /* Table2900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2902 /* Table2902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2904 /* Table2904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2906 /* Table2906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2908 /* Table2908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2910 /* Table2910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2912 /* Table2912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2914 /* Table2914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2916 /* Table2916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -89886,279 +201269,279 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2918 /* Table2918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2934 /* Table2934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2936 /* Table2936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2938 /* Table2938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2940 /* Table2940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2942 /* Table2942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2944 /* Table2944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2946 /* Table2946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2948 /* Table2948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2950 /* Table2950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2952 /* Table2952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2968 /* Table2968 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2970 /* Table2970 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2972 /* Table2972 */
+    5771 /* Table5771 */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2974 /* Table2974 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2976 /* Table2976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2978 /* Table2978 */
+    5773 /* Table5773 */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2980 /* Table2980 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2982 /* Table2982 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2984 /* Table2984 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2986 /* Table2986 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2988 /* Table2988 */
+    5775 /* Table5775 */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2990 /* Table2990 */
+    5777 /* Table5777 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2992 /* Table2992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2994 /* Table2994 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2996 /* Table2996 */
+    5779 /* Table5779 */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2998 /* Table2998 */
+    5781 /* Table5781 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3000 /* Table3000 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3002 /* Table3002 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3004 /* Table3004 */
+    5783 /* Table5783 */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3006 /* Table3006 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3008 /* Table3008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3010 /* Table3010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3012 /* Table3012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3014 /* Table3014 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3016 /* Table3016 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3018 /* Table3018 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3020 /* Table3020 */
+    5785 /* Table5785 */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3022 /* Table3022 */
+    5787 /* Table5787 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3024 /* Table3024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3026 /* Table3026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3028 /* Table3028 */
+    5789 /* Table5789 */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3030 /* Table3030 */
+    5791 /* Table5791 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -90166,74 +201549,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3032 /* Table3032 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3034 /* Table3034 */
+    5793 /* Table5793 */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3036 /* Table3036 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3038 /* Table3038 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3040 /* Table3040 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3042 /* Table3042 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3543 /* Table3543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3046 /* Table3046 */
+    5795 /* Table5795 */
    },
    /* 0xf9 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3048 /* Table3048 */
+    5797 /* Table5797 */
    },
    /* 0xfa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3050 /* Table3050 */
+    5799 /* Table5799 */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3052 /* Table3052 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3054 /* Table3054 */
+    5801 /* Table5801 */
    },
    /* 0xfd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3056 /* Table3056 */
+    5803 /* Table5803 */
    },
    /* 0xfe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3058 /* Table3058 */
+    5805 /* Table5805 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -90242,28 +201625,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_EVEX_L2_W_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2467 /* Table2467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -90271,29 +201654,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -90301,9 +201684,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -90311,9 +201694,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -90326,104 +201709,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1789 /* Table1789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1791 /* Table1791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -90446,74 +201829,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1847 /* Table1847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1849 /* Table1849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1851 /* Table1851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1853 /* Table1853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -90521,9 +201904,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -90566,224 +201949,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1900 /* Table1900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1914 /* Table1914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1916 /* Table1916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1918 /* Table1918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1922 /* Table1922 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1924 /* Table1924 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1926 /* Table1926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1928 /* Table1928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -90796,64 +202179,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5807 /* Table5807 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1958 /* Table1958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2547 /* Table2547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2549 /* Table2549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -90876,294 +202259,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5809 /* Table5809 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -91171,119 +202554,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2354 /* Table2354 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -91291,29 +202674,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -91321,79 +202704,79 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
    { /* ModRMDecision */
@@ -91401,49 +202784,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -91451,74 +202834,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -91527,28 +202910,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XD */
+,  /* IC_EVEX_L2_W_XD_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2467 /* Table2467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -91556,29 +202939,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -91586,9 +202969,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -91596,9 +202979,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -91611,104 +202994,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3060 /* Table3060 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3062 /* Table3062 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3064 /* Table3064 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -91731,74 +203114,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3066 /* Table3066 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3068 /* Table3068 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3070 /* Table3070 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3072 /* Table3072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -91806,9 +203189,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -91851,224 +203234,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3074 /* Table3074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3076 /* Table3076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3078 /* Table3078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3080 /* Table3080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3082 /* Table3082 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3084 /* Table3084 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3086 /* Table3086 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3088 /* Table3088 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -92081,64 +203464,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1956 /* Table1956 */
+    5811 /* Table5811 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3090 /* Table3090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3545 /* Table3545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3547 /* Table3547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -92151,304 +203534,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3096 /* Table3096 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3098 /* Table3098 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2019 /* Table2019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2021 /* Table2021 */
+    5813 /* Table5813 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2233 /* Table2233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -92456,354 +203839,354 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2342 /* Table2342 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2344 /* Table2344 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3100 /* Table3100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2364 /* Table2364 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3102 /* Table3102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3104 /* Table3104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3106 /* Table3106 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3108 /* Table3108 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -92812,28 +204195,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_EVEX_L2_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1675 /* Table1675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2467 /* Table2467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1763 /* Table1763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -92841,29 +204224,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1769 /* Table1769 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -92871,9 +204254,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -92881,9 +204264,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -92898,102 +204281,102 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3110 /* Table3110 */
+    5815 /* Table5815 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3112 /* Table3112 */
+    5817 /* Table5817 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3114 /* Table3114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3116 /* Table3116 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -93018,72 +204401,72 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1843 /* Table1843 */
+    5819 /* Table5819 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    5821 /* Table5821 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3118 /* Table3118 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3120 /* Table3120 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3122 /* Table3122 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3124 /* Table3124 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1864 /* Table1864 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -93091,9 +204474,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -93136,224 +204519,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1866 /* Table1866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1868 /* Table1868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1870 /* Table1870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1872 /* Table1872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1874 /* Table1874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1876 /* Table1876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1878 /* Table1878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1880 /* Table1880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1882 /* Table1882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1884 /* Table1884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1886 /* Table1886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1888 /* Table1888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1890 /* Table1890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1892 /* Table1892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1894 /* Table1894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1896 /* Table1896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3126 /* Table3126 */
+    5823 /* Table5823 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3128 /* Table3128 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3130 /* Table3130 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3132 /* Table3132 */
+    5825 /* Table5825 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3134 /* Table3134 */
+    5827 /* Table5827 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3136 /* Table3136 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3138 /* Table3138 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3140 /* Table3140 */
+    5829 /* Table5829 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3142 /* Table3142 */
+    5831 /* Table5831 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3144 /* Table3144 */
+    5833 /* Table5833 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3146 /* Table3146 */
+    5835 /* Table5835 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -93366,64 +204749,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1954 /* Table1954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3148 /* Table3148 */
+    5837 /* Table5837 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3150 /* Table3150 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1976 /* Table1976 */
+    5839 /* Table5839 */
    },
    /* 0x73 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1992 /* Table1992 */
+    5855 /* Table5855 */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2547 /* Table2547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2549 /* Table2549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -93446,414 +204829,414 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3152 /* Table3152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3154 /* Table3154 */
+    5871 /* Table5871 */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2074 /* Table2074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2076 /* Table2076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2078 /* Table2078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2227 /* Table2227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2229 /* Table2229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2231 /* Table2231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3549 /* Table3549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2305 /* Table2305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2309 /* Table2309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2311 /* Table2311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2313 /* Table2313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2315 /* Table2315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2317 /* Table2317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2319 /* Table2319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2321 /* Table2321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3156 /* Table3156 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2324 /* Table2324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2340 /* Table2340 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3158 /* Table3158 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3160 /* Table3160 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2346 /* Table2346 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2348 /* Table2348 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2352 /* Table2352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3162 /* Table3162 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2356 /* Table2356 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3164 /* Table3164 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2380 /* Table2380 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -93861,159 +205244,159 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2385 /* Table2385 */
+    5873 /* Table5873 */
    },
    /* 0xd4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2387 /* Table2387 */
+    5875 /* Table5875 */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3180 /* Table3180 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2399 /* Table2399 */
+    5877 /* Table5877 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2407 /* Table2407 */
+    5879 /* Table5879 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2413 /* Table2413 */
+    5881 /* Table5881 */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3182 /* Table3182 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2429 /* Table2429 */
+    5883 /* Table5883 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2437 /* Table2437 */
+    5885 /* Table5885 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -94021,74 +205404,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2443 /* Table2443 */
+    5887 /* Table5887 */
    },
    /* 0xf4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2445 /* Table2445 */
+    5889 /* Table5889 */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2459 /* Table2459 */
+    5891 /* Table5891 */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -94097,7 +205480,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS_OPSIZE */
+,  /* IC_EVEX_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -94506,9 +205889,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5893 /* Table5893 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -94541,14 +205924,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5895 /* Table5895 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5897 /* Table5897 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -94561,24 +205944,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5899 /* Table5899 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5901 /* Table5901 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5903 /* Table5903 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5905 /* Table5905 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -95021,9 +206404,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3184 /* Table3184 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -95041,14 +206424,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3186 /* Table3186 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3188 /* Table3188 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
    { /* ModRMDecision */
@@ -95382,28 +206765,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_EVEX_XS_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3190 /* Table3190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3206 /* Table3206 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3278 /* Table3278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3280 /* Table3280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -95411,29 +206794,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3282 /* Table3282 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -95441,9 +206824,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -95451,9 +206834,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -95466,104 +206849,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3110 /* Table3110 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3112 /* Table3112 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3114 /* Table3114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3116 /* Table3116 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -95586,74 +206969,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3621 /* Table3621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3120 /* Table3120 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3623 /* Table3623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3625 /* Table3625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3283 /* Table3283 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -95661,9 +207044,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -95706,224 +207089,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3284 /* Table3284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3286 /* Table3286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3288 /* Table3288 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3290 /* Table3290 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3292 /* Table3292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3294 /* Table3294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3296 /* Table3296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3298 /* Table3298 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3300 /* Table3300 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3302 /* Table3302 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3304 /* Table3304 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3306 /* Table3306 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3308 /* Table3308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3310 /* Table3310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3312 /* Table3312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3314 /* Table3314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3126 /* Table3126 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3128 /* Table3128 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3130 /* Table3130 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3132 /* Table3132 */
+    5907 /* Table5907 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3134 /* Table3134 */
+    5909 /* Table5909 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3136 /* Table3136 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3138 /* Table3138 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3140 /* Table3140 */
+    5911 /* Table5911 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3142 /* Table3142 */
+    5913 /* Table5913 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3144 /* Table3144 */
+    5915 /* Table5915 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3146 /* Table3146 */
+    5917 /* Table5917 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1942 /* Table1942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -95936,64 +207319,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3316 /* Table3316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3148 /* Table3148 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3150 /* Table3150 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2012 /* Table2012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2547 /* Table2547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2549 /* Table2549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -96016,414 +207399,414 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3627 /* Table3627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3154 /* Table3154 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3320 /* Table3320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3322 /* Table3322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3324 /* Table3324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3326 /* Table3326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3328 /* Table3328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3330 /* Table3330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3629 /* Table3629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3404 /* Table3404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3406 /* Table3406 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3408 /* Table3408 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3410 /* Table3410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3412 /* Table3412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3414 /* Table3414 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3416 /* Table3416 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3418 /* Table3418 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3701 /* Table3701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3420 /* Table3420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3436 /* Table3436 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3703 /* Table3703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3705 /* Table3705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3442 /* Table3442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3444 /* Table3444 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3446 /* Table3446 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3162 /* Table3162 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3448 /* Table3448 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3707 /* Table3707 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -96431,159 +207814,159 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3180 /* Table3180 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2399 /* Table2399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2407 /* Table2407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3182 /* Table3182 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2429 /* Table2429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2437 /* Table2437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -96591,74 +207974,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2457 /* Table2457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2465 /* Table2465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -96667,28 +208050,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+,  /* IC_EVEX_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3190 /* Table3190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
-   /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3206 /* Table3206 */
+   /* 0x01 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3278 /* Table3278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3280 /* Table3280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -96696,29 +208079,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3282 /* Table3282 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -96726,9 +208109,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -96736,9 +208119,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -96751,104 +208134,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3060 /* Table3060 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3062 /* Table3062 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3064 /* Table3064 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1795 /* Table1795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1797 /* Table1797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1799 /* Table1799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1801 /* Table1801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1803 /* Table1803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1805 /* Table1805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1821 /* Table1821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1823 /* Table1823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1825 /* Table1825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1827 /* Table1827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1829 /* Table1829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1831 /* Table1831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1833 /* Table1833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -96871,74 +208254,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1843 /* Table1843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1845 /* Table1845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3723 /* Table3723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3068 /* Table3068 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3725 /* Table3725 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3727 /* Table3727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1855 /* Table1855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1857 /* Table1857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3283 /* Table3283 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -96946,9 +208329,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -96991,224 +208374,224 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3284 /* Table3284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3286 /* Table3286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3288 /* Table3288 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3290 /* Table3290 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3292 /* Table3292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3294 /* Table3294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3296 /* Table3296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3298 /* Table3298 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3300 /* Table3300 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3302 /* Table3302 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3304 /* Table3304 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3306 /* Table3306 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3308 /* Table3308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3310 /* Table3310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3312 /* Table3312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3314 /* Table3314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1898 /* Table1898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3074 /* Table3074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1906 /* Table1906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1908 /* Table1908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1910 /* Table1910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1912 /* Table1912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3076 /* Table3076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3078 /* Table3078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3080 /* Table3080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1920 /* Table1920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3082 /* Table3082 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3084 /* Table3084 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3086 /* Table3086 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3088 /* Table3088 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1930 /* Table1930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1932 /* Table1932 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1934 /* Table1934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1936 /* Table1936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1938 /* Table1938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1940 /* Table1940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1942 /* Table1942 */
+    5919 /* Table5919 */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1944 /* Table1944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1946 /* Table1946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1948 /* Table1948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1950 /* Table1950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1952 /* Table1952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
    { /* ModRMDecision */
@@ -97221,64 +208604,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3316 /* Table3316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1956 /* Table1956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3090 /* Table3090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1960 /* Table1960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1976 /* Table1976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1992 /* Table1992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2008 /* Table2008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2010 /* Table2010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2012 /* Table2012 */
+    5921 /* Table5921 */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3545 /* Table3545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3547 /* Table3547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -97291,304 +208674,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3096 /* Table3096 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3098 /* Table3098 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3318 /* Table3318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2021 /* Table2021 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2023 /* Table2023 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2024 /* Table2024 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2025 /* Table2025 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2026 /* Table2026 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2027 /* Table2027 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2028 /* Table2028 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2029 /* Table2029 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2030 /* Table2030 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2033 /* Table2033 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2034 /* Table2034 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2035 /* Table2035 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2036 /* Table2036 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2037 /* Table2037 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2038 /* Table2038 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2551 /* Table2551 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2552 /* Table2552 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3320 /* Table3320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3322 /* Table3322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3324 /* Table3324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2554 /* Table2554 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2555 /* Table2555 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3326 /* Table3326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3328 /* Table3328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3330 /* Table3330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3332 /* Table3332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3404 /* Table3404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3406 /* Table3406 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3408 /* Table3408 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3410 /* Table3410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3412 /* Table3412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3414 /* Table3414 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3416 /* Table3416 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3418 /* Table3418 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -97596,354 +208979,354 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3420 /* Table3420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3436 /* Table3436 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3438 /* Table3438 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3440 /* Table3440 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3442 /* Table3442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3444 /* Table3444 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3446 /* Table3446 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3100 /* Table3100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3448 /* Table3448 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2358 /* Table2358 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2360 /* Table2360 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2362 /* Table2362 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3450 /* Table3450 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3102 /* Table3102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2381 /* Table2381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2383 /* Table2383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2385 /* Table2385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2387 /* Table2387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2389 /* Table2389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3104 /* Table3104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2391 /* Table2391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2393 /* Table2393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2395 /* Table2395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2397 /* Table2397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2399 /* Table2399 */
+    5923 /* Table5923 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2401 /* Table2401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2403 /* Table2403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2405 /* Table2405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2407 /* Table2407 */
+    5925 /* Table5925 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2409 /* Table2409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2411 /* Table2411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2413 /* Table2413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2415 /* Table2415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2417 /* Table2417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2419 /* Table2419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3106 /* Table3106 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2421 /* Table2421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2423 /* Table2423 */
-   },
-   /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2425 /* Table2425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2427 /* Table2427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2429 /* Table2429 */
+    5927 /* Table5927 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2431 /* Table2431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2433 /* Table2433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2435 /* Table2435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2437 /* Table2437 */
+    5929 /* Table5929 */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3108 /* Table3108 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2439 /* Table2439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2441 /* Table2441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2443 /* Table2443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2445 /* Table2445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2447 /* Table2447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2449 /* Table2449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2556 /* Table2556 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2453 /* Table2453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2455 /* Table2455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2457 /* Table2457 */
+    5931 /* Table5931 */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2459 /* Table2459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2461 /* Table2461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2463 /* Table2463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2465 /* Table2465 */
+    5933 /* Table5933 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -97952,28 +209335,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_EVEX_W_XD_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3190 /* Table3190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3206 /* Table3206 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3278 /* Table3278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3280 /* Table3280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -97981,29 +209364,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1767 /* Table1767 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1768 /* Table1768 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3282 /* Table3282 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1770 /* Table1770 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1771 /* Table1771 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -98011,9 +209394,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1772 /* Table1772 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -98021,9 +209404,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1773 /* Table1773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -98036,104 +209419,104 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2650 /* Table2650 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2652 /* Table2652 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2654 /* Table2654 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2656 /* Table2656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2658 /* Table2658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2660 /* Table2660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2662 /* Table2662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2664 /* Table2664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2666 /* Table2666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2682 /* Table2682 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2684 /* Table2684 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2686 /* Table2686 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2688 /* Table2688 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2690 /* Table2690 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2692 /* Table2692 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2694 /* Table2694 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2539 /* Table2539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2541 /* Table2541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2543 /* Table2543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2545 /* Table2545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -98156,74 +209539,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2696 /* Table2696 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2698 /* Table2698 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2700 /* Table2700 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2702 /* Table2702 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2704 /* Table2704 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2706 /* Table2706 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2708 /* Table2708 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2710 /* Table2710 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1859 /* Table1859 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1860 /* Table1860 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1861 /* Table1861 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1862 /* Table1862 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1863 /* Table1863 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3283 /* Table3283 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -98231,9 +209614,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1865 /* Table1865 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -98276,294 +209659,294 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3284 /* Table3284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3286 /* Table3286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3288 /* Table3288 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3290 /* Table3290 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3292 /* Table3292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3294 /* Table3294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3296 /* Table3296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3298 /* Table3298 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3300 /* Table3300 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3302 /* Table3302 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3304 /* Table3304 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3306 /* Table3306 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3308 /* Table3308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3310 /* Table3310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3312 /* Table3312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3314 /* Table3314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2744 /* Table2744 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2746 /* Table2746 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1902 /* Table1902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1904 /* Table1904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2748 /* Table2748 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2750 /* Table2750 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2752 /* Table2752 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2754 /* Table2754 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2756 /* Table2756 */
+    5935 /* Table5935 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2758 /* Table2758 */
+    5937 /* Table5937 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2760 /* Table2760 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2762 /* Table2762 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2764 /* Table2764 */
+    5939 /* Table5939 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2766 /* Table2766 */
+    5941 /* Table5941 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2768 /* Table2768 */
+    5943 /* Table5943 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2770 /* Table2770 */
+    5945 /* Table5945 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2772 /* Table2772 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2774 /* Table2774 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2776 /* Table2776 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2778 /* Table2778 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2780 /* Table2780 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2782 /* Table2782 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2784 /* Table2784 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2786 /* Table2786 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2788 /* Table2788 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2790 /* Table2790 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2792 /* Table2792 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2794 /* Table2794 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2796 /* Table2796 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2798 /* Table2798 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3729 /* Table3729 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2802 /* Table2802 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2804 /* Table2804 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2806 /* Table2806 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2822 /* Table2822 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2838 /* Table2838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2854 /* Table2854 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2856 /* Table2856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2858 /* Table2858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2014 /* Table2014 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3539 /* Table3539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3541 /* Table3541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -98576,304 +209959,304 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2864 /* Table2864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2866 /* Table2866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3731 /* Table3731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2870 /* Table2870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2872 /* Table2872 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2873 /* Table2873 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2874 /* Table2874 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2875 /* Table2875 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2876 /* Table2876 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2877 /* Table2877 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2878 /* Table2878 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2879 /* Table2879 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2880 /* Table2880 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2881 /* Table2881 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2882 /* Table2882 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2883 /* Table2883 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2884 /* Table2884 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2885 /* Table2885 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2886 /* Table2886 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2887 /* Table2887 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2888 /* Table2888 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2889 /* Table2889 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2553 /* Table2553 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3320 /* Table3320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3322 /* Table3322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3324 /* Table3324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2080 /* Table2080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    2152 /* Table2152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2896 /* Table2896 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2897 /* Table2897 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2226 /* Table2226 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3326 /* Table3326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3328 /* Table3328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3330 /* Table3330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    3332 /* Table3332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3404 /* Table3404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2307 /* Table2307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3406 /* Table3406 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3408 /* Table3408 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3410 /* Table3410 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3412 /* Table3412 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3414 /* Table3414 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3416 /* Table3416 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3418 /* Table3418 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -98881,279 +210264,279 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2323 /* Table2323 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3420 /* Table3420 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3436 /* Table3436 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3438 /* Table3438 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3440 /* Table3440 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3442 /* Table3442 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3444 /* Table3444 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2350 /* Table2350 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3446 /* Table3446 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2944 /* Table2944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3448 /* Table3448 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2946 /* Table2946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2948 /* Table2948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2950 /* Table2950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3733 /* Table3733 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3466 /* Table3466 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2968 /* Table2968 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
-   /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2970 /* Table2970 */
+   /* 0xd1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2972 /* Table2972 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2974 /* Table2974 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2976 /* Table2976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2978 /* Table2978 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2980 /* Table2980 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2982 /* Table2982 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2984 /* Table2984 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2986 /* Table2986 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2988 /* Table2988 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2990 /* Table2990 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2992 /* Table2992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2994 /* Table2994 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2996 /* Table2996 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2998 /* Table2998 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3000 /* Table3000 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3002 /* Table3002 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3004 /* Table3004 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3006 /* Table3006 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3008 /* Table3008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3010 /* Table3010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3012 /* Table3012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3014 /* Table3014 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3016 /* Table3016 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3018 /* Table3018 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3020 /* Table3020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3022 /* Table3022 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3024 /* Table3024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3026 /* Table3026 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3028 /* Table3028 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3030 /* Table3030 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -99161,74 +210544,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3032 /* Table3032 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3034 /* Table3034 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3036 /* Table3036 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3038 /* Table3038 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3040 /* Table3040 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3042 /* Table3042 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3543 /* Table3543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3046 /* Table3046 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3048 /* Table3048 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3050 /* Table3050 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3052 /* Table3052 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3054 /* Table3054 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3056 /* Table3056 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3058 /* Table3058 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -99237,7 +210620,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX */
+,  /* IC_EVEX_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -99321,44 +210704,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3749 /* Table3749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3751 /* Table3751 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3753 /* Table3753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3755 /* Table3755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3757 /* Table3757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3759 /* Table3759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3761 /* Table3761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3763 /* Table3763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -99441,14 +210824,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3765 /* Table3765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3767 /* Table3767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -99456,9 +210839,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3769 /* Table3769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -99471,14 +210854,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3771 /* Table3771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3773 /* Table3773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -99581,9 +210964,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3775 /* Table3775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -99641,84 +211024,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3777 /* Table3777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3779 /* Table3779 */
+    5947 /* Table5947 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3781 /* Table3781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3783 /* Table3783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3785 /* Table3785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3787 /* Table3787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3789 /* Table3789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3791 /* Table3791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3793 /* Table3793 */
+    5949 /* Table5949 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3795 /* Table3795 */
+    5951 /* Table5951 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3797 /* Table3797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3799 /* Table3799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3801 /* Table3801 */
+    5953 /* Table5953 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3803 /* Table3803 */
+    5955 /* Table5955 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3805 /* Table3805 */
+    5957 /* Table5957 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3807 /* Table3807 */
+    5959 /* Table5959 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -99836,9 +211219,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3809 /* Table3809 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -99961,24 +211344,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3810 /* Table3810 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3812 /* Table3812 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3814 /* Table3814 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3816 /* Table3816 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -100001,9 +211384,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3818 /* Table3818 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -100111,9 +211494,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3820 /* Table3820 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -100211,9 +211594,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3836 /* Table3836 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -100231,9 +211614,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3838 /* Table3838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -100301,9 +211684,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5961 /* Table5961 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -100336,9 +211719,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5963 /* Table5963 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -100356,9 +211739,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5965 /* Table5965 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -100416,9 +211799,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5967 /* Table5967 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -100436,9 +211819,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5969 /* Table5969 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -100496,9 +211879,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5971 /* Table5971 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -100522,7 +211905,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_XS */
+,  /* IC_EVEX_L_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -100606,19 +211989,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3840 /* Table3840 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3842 /* Table3842 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3844 /* Table3844 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -100636,9 +212019,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3846 /* Table3846 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -100736,9 +212119,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3848 /* Table3848 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -100746,14 +212129,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3850 /* Table3850 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3852 /* Table3852 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -100933,17 +212316,17 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3854 /* Table3854 */
+    5973 /* Table5973 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3856 /* Table3856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3858 /* Table3858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
    { /* ModRMDecision */
@@ -100968,42 +212351,42 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3860 /* Table3860 */
+    5975 /* Table5975 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3862 /* Table3862 */
+    5977 /* Table5977 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3864 /* Table3864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3866 /* Table3866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3868 /* Table3868 */
+    5979 /* Table5979 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3870 /* Table3870 */
+    5981 /* Table5981 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3872 /* Table3872 */
+    5983 /* Table5983 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3874 /* Table3874 */
+    5985 /* Table5985 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -101081,14 +212464,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3876 /* Table3876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3878 /* Table3878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -101156,14 +212539,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3880 /* Table3880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3882 /* Table3882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -101496,9 +212879,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3884 /* Table3884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -101676,9 +213059,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3886 /* Table3886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -101807,7 +213190,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_XD */
+,  /* IC_EVEX_L_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -101891,19 +213274,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3888 /* Table3888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3890 /* Table3890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3892 /* Table3892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -102021,9 +213404,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3894 /* Table3894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -102031,14 +213414,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3896 /* Table3896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3898 /* Table3898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -102216,9 +213599,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3900 /* Table3900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -102251,19 +213634,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3902 /* Table3902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3904 /* Table3904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3906 /* Table3906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -102271,24 +213654,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3908 /* Table3908 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3910 /* Table3910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3912 /* Table3912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3914 /* Table3914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -102321,9 +213704,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5987 /* Table5987 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -102371,9 +213754,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3916 /* Table3916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -102401,9 +213784,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5989 /* Table5989 */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -102431,14 +213814,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3918 /* Table3918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3920 /* Table3920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -102541,14 +213924,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3922 /* Table3922 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3924 /* Table3924 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -102781,9 +214164,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3926 /* Table3926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -102851,9 +214234,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3928 /* Table3928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
    { /* ModRMDecision */
@@ -102906,9 +214289,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5991 /* Table5991 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -102926,9 +214309,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5993 /* Table5993 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -102961,9 +214344,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3930 /* Table3930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -102986,9 +214369,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5995 /* Table5995 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -103006,15 +214389,15 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5997 /* Table5997 */
+   },
+   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3932 /* Table3932 */
-   },
    /* 0xf1 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -103061,9 +214444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5999 /* Table5999 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -103081,9 +214464,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6001 /* Table6001 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -103092,7 +214475,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_OPSIZE */
+,  /* IC_EVEX_L_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -103176,44 +214559,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3934 /* Table3934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3936 /* Table3936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3938 /* Table3938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3940 /* Table3940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3942 /* Table3942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3944 /* Table3944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3946 /* Table3946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3948 /* Table3948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -103296,14 +214679,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3950 /* Table3950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3952 /* Table3952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -103311,9 +214694,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3954 /* Table3954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -103326,14 +214709,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3956 /* Table3956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3958 /* Table3958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -103436,9 +214819,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3960 /* Table3960 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -103496,14 +214879,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3962 /* Table3962 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3964 /* Table3964 */
+    6003 /* Table6003 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -103516,179 +214899,179 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3966 /* Table3966 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3968 /* Table3968 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3970 /* Table3970 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3972 /* Table3972 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3974 /* Table3974 */
+    6005 /* Table6005 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3976 /* Table3976 */
+    6007 /* Table6007 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3978 /* Table3978 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3980 /* Table3980 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3982 /* Table3982 */
+    6009 /* Table6009 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3984 /* Table3984 */
+    6011 /* Table6011 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3986 /* Table3986 */
+    6013 /* Table6013 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3988 /* Table3988 */
+    6015 /* Table6015 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3990 /* Table3990 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3992 /* Table3992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3994 /* Table3994 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3996 /* Table3996 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3998 /* Table3998 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4000 /* Table4000 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4002 /* Table4002 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4004 /* Table4004 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4006 /* Table4006 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4008 /* Table4008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4010 /* Table4010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4012 /* Table4012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4014 /* Table4014 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4016 /* Table4016 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4018 /* Table4018 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4020 /* Table4020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4022 /* Table4022 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4024 /* Table4024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4040 /* Table4040 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4056 /* Table4056 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4072 /* Table4072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4074 /* Table4074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4076 /* Table4076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -103716,24 +215099,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4078 /* Table4078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4080 /* Table4080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4082 /* Table4082 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4084 /* Table4084 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -103816,24 +215199,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4086 /* Table4086 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4088 /* Table4088 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4090 /* Table4090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4092 /* Table4092 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -104066,9 +215449,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4094 /* Table4094 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -104076,19 +215459,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4096 /* Table4096 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4098 /* Table4098 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4100 /* Table4100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -104136,164 +215519,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4102 /* Table4102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4104 /* Table4104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4106 /* Table4106 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4108 /* Table4108 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4110 /* Table4110 */
+    6017 /* Table6017 */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4112 /* Table4112 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4114 /* Table4114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4116 /* Table4116 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4118 /* Table4118 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4120 /* Table4120 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4122 /* Table4122 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4124 /* Table4124 */
+    6019 /* Table6019 */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4126 /* Table4126 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4128 /* Table4128 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4130 /* Table4130 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4132 /* Table4132 */
+    6021 /* Table6021 */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4134 /* Table4134 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4136 /* Table4136 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4138 /* Table4138 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4140 /* Table4140 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4142 /* Table4142 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4144 /* Table4144 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4146 /* Table4146 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4148 /* Table4148 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4150 /* Table4150 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4152 /* Table4152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4154 /* Table4154 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4156 /* Table4156 */
+    6023 /* Table6023 */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4158 /* Table4158 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4160 /* Table4160 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4162 /* Table4162 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4164 /* Table4164 */
+    6025 /* Table6025 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -104301,74 +215684,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4166 /* Table4166 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4168 /* Table4168 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4170 /* Table4170 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4172 /* Table4172 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4174 /* Table4174 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4176 /* Table4176 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4178 /* Table4178 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4180 /* Table4180 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4182 /* Table4182 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4184 /* Table4184 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4186 /* Table4186 */
+    6027 /* Table6027 */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4188 /* Table4188 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4190 /* Table4190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4192 /* Table4192 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -104377,7 +215760,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W */
+,  /* IC_EVEX_L2_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -104461,44 +215844,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3749 /* Table3749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3751 /* Table3751 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3753 /* Table3753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3755 /* Table3755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3757 /* Table3757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3759 /* Table3759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3761 /* Table3761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3763 /* Table3763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -104581,14 +215964,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3765 /* Table3765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3767 /* Table3767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -104596,9 +215979,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3769 /* Table3769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -104611,14 +215994,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3771 /* Table3771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3773 /* Table3773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -104721,9 +216104,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4194 /* Table4194 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -104781,84 +216164,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3777 /* Table3777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3779 /* Table3779 */
+    6029 /* Table6029 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3781 /* Table3781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3783 /* Table3783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3785 /* Table3785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3787 /* Table3787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3789 /* Table3789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3791 /* Table3791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3793 /* Table3793 */
+    6031 /* Table6031 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3795 /* Table3795 */
+    6033 /* Table6033 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3797 /* Table3797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3799 /* Table3799 */
+    6035 /* Table6035 */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3801 /* Table3801 */
+    6037 /* Table6037 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3803 /* Table3803 */
+    6039 /* Table6039 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3805 /* Table3805 */
+    6041 /* Table6041 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3807 /* Table3807 */
+    6043 /* Table6043 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -104976,9 +216359,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    3809 /* Table3809 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -104986,9 +216369,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6045 /* Table6045 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -105101,24 +216484,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4196 /* Table4196 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4198 /* Table4198 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3814 /* Table3814 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3816 /* Table3816 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -105141,9 +216524,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3818 /* Table3818 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -105251,9 +216634,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    3820 /* Table3820 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -105353,7 +216736,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3836 /* Table3836 */
+    6047 /* Table6047 */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -105371,9 +216754,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3838 /* Table3838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -105662,7 +217045,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_XS */
+,  /* IC_EVEX_L2_XD_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -105746,19 +217129,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3840 /* Table3840 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3842 /* Table3842 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3844 /* Table3844 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -105776,9 +217159,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3846 /* Table3846 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -105876,9 +217259,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4200 /* Table4200 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -105886,14 +217269,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4202 /* Table4202 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4204 /* Table4204 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -106071,19 +217454,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3854 /* Table3854 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3856 /* Table3856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3858 /* Table3858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
    { /* ModRMDecision */
@@ -106106,44 +217489,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3860 /* Table3860 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3862 /* Table3862 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3864 /* Table3864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3866 /* Table3866 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3868 /* Table3868 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3870 /* Table3870 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3872 /* Table3872 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3874 /* Table3874 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -106221,14 +217604,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3876 /* Table3876 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3878 /* Table3878 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -106276,9 +217659,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6049 /* Table6049 */
    },
    /* 0x7b */
    { /* ModRMDecision */
@@ -106296,14 +217679,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3880 /* Table3880 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3882 /* Table3882 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -106636,9 +218019,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3884 /* Table3884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -106816,9 +218199,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3886 /* Table3886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -106947,7 +218330,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_XD */
+,  /* IC_EVEX_L2_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -107031,19 +218414,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3888 /* Table3888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3890 /* Table3890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3892 /* Table3892 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -107161,9 +218544,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4206 /* Table4206 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -107171,14 +218554,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4208 /* Table4208 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4210 /* Table4210 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -107356,9 +218739,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3900 /* Table3900 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -107391,44 +218774,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3902 /* Table3902 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3904 /* Table3904 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3906 /* Table3906 */
-   },
-   /* 0x5b */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x5c */
+   /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3908 /* Table3908 */
+    6051 /* Table6051 */
+   },
+   /* 0x5c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3910 /* Table3910 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3912 /* Table3912 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3914 /* Table3914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -107461,9 +218844,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6053 /* Table6053 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -107511,9 +218894,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3916 /* Table3916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -107541,9 +218924,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6055 /* Table6055 */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -107571,14 +218954,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3918 /* Table3918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3920 /* Table3920 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -107681,14 +219064,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4212 /* Table4212 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4214 /* Table4214 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -107921,9 +219304,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3926 /* Table3926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -107991,9 +219374,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3928 /* Table3928 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
    { /* ModRMDecision */
@@ -108046,9 +219429,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6057 /* Table6057 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -108066,9 +219449,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6059 /* Table6059 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -108101,9 +219484,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3930 /* Table3930 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -108126,9 +219509,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6061 /* Table6061 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -108146,15 +219529,15 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6063 /* Table6063 */
+   },
+   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3932 /* Table3932 */
-   },
    /* 0xf1 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -108201,9 +219584,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6065 /* Table6065 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -108221,9 +219604,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6067 /* Table6067 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -108232,7 +219615,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_OPSIZE */
+,  /* IC_EVEX_L2_W_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -108316,44 +219699,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3934 /* Table3934 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3936 /* Table3936 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3938 /* Table3938 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3940 /* Table3940 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3942 /* Table3942 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3944 /* Table3944 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3946 /* Table3946 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3948 /* Table3948 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -108436,14 +219819,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3950 /* Table3950 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3952 /* Table3952 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -108451,9 +219834,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3954 /* Table3954 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -108466,14 +219849,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3956 /* Table3956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3958 /* Table3958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -108576,9 +219959,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4216 /* Table4216 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -108636,14 +220019,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3962 /* Table3962 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3964 /* Table3964 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -108656,179 +220039,179 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3966 /* Table3966 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3968 /* Table3968 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3970 /* Table3970 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3972 /* Table3972 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3974 /* Table3974 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3976 /* Table3976 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3978 /* Table3978 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3980 /* Table3980 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3982 /* Table3982 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3984 /* Table3984 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3986 /* Table3986 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3988 /* Table3988 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3990 /* Table3990 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3992 /* Table3992 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3994 /* Table3994 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3996 /* Table3996 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3998 /* Table3998 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4000 /* Table4000 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4002 /* Table4002 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4004 /* Table4004 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4006 /* Table4006 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4008 /* Table4008 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4010 /* Table4010 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4012 /* Table4012 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4014 /* Table4014 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4016 /* Table4016 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4218 /* Table4218 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4020 /* Table4020 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4022 /* Table4022 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4024 /* Table4024 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4040 /* Table4040 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4056 /* Table4056 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4072 /* Table4072 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4074 /* Table4074 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4076 /* Table4076 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -108841,9 +220224,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6069 /* Table6069 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -108856,24 +220239,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4078 /* Table4078 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4080 /* Table4080 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4220 /* Table4220 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4084 /* Table4084 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -108956,24 +220339,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4222 /* Table4222 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4224 /* Table4224 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4090 /* Table4090 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4092 /* Table4092 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -109206,9 +220589,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4094 /* Table4094 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -109216,19 +220599,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4096 /* Table4096 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4098 /* Table4098 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4100 /* Table4100 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -109276,164 +220659,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4102 /* Table4102 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4104 /* Table4104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4106 /* Table4106 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4108 /* Table4108 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4110 /* Table4110 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4112 /* Table4112 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4114 /* Table4114 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4116 /* Table4116 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4118 /* Table4118 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4120 /* Table4120 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4122 /* Table4122 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4124 /* Table4124 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4126 /* Table4126 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4128 /* Table4128 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4130 /* Table4130 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4132 /* Table4132 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4134 /* Table4134 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4136 /* Table4136 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4138 /* Table4138 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4140 /* Table4140 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4142 /* Table4142 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4144 /* Table4144 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4146 /* Table4146 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4148 /* Table4148 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4150 /* Table4150 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4152 /* Table4152 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4154 /* Table4154 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4156 /* Table4156 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4158 /* Table4158 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4160 /* Table4160 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4162 /* Table4162 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4164 /* Table4164 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -109441,74 +220824,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4166 /* Table4166 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4168 /* Table4168 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4170 /* Table4170 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4172 /* Table4172 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4174 /* Table4174 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4176 /* Table4176 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4178 /* Table4178 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4180 /* Table4180 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4182 /* Table4182 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4184 /* Table4184 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4186 /* Table4186 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4188 /* Table4188 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4190 /* Table4190 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4192 /* Table4192 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -109517,7 +220900,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L */
+,  /* IC_EVEX_L2_W_XD_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -109601,14 +220984,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4226 /* Table4226 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4228 /* Table4228 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -109621,14 +221004,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4230 /* Table4230 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4232 /* Table4232 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -109721,14 +221104,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4234 /* Table4234 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4236 /* Table4236 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -109736,9 +221119,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4238 /* Table4238 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -109751,14 +221134,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3771 /* Table3771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3773 /* Table3773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -109846,14 +221229,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4240 /* Table4240 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4242 /* Table4242 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -109866,19 +221249,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4244 /* Table4244 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4246 /* Table4246 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4248 /* Table4248 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -109921,84 +221304,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4250 /* Table4250 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4252 /* Table4252 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4254 /* Table4254 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4256 /* Table4256 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4258 /* Table4258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4260 /* Table4260 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4262 /* Table4262 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4264 /* Table4264 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4266 /* Table4266 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4268 /* Table4268 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4270 /* Table4270 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4272 /* Table4272 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4274 /* Table4274 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4276 /* Table4276 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4278 /* Table4278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4280 /* Table4280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -110116,9 +221499,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    4282 /* Table4282 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -110491,9 +221874,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4283 /* Table4283 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -110511,9 +221894,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4285 /* Table4285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -110671,9 +222054,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6071 /* Table6071 */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -110802,7 +222185,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_XS */
+,  /* IC_EVEX_L2_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -110886,19 +222269,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3840 /* Table3840 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3842 /* Table3842 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4287 /* Table4287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -110916,9 +222299,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4289 /* Table4289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -111016,9 +222399,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3848 /* Table3848 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -111026,14 +222409,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3850 /* Table3850 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3852 /* Table3852 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -111213,17 +222596,17 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3854 /* Table3854 */
+    6073 /* Table6073 */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3856 /* Table3856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3858 /* Table3858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
    { /* ModRMDecision */
@@ -111248,42 +222631,42 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3860 /* Table3860 */
+    6075 /* Table6075 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3862 /* Table3862 */
+    6077 /* Table6077 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3864 /* Table3864 */
+    6079 /* Table6079 */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4291 /* Table4291 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3868 /* Table3868 */
+    6081 /* Table6081 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3870 /* Table3870 */
+    6083 /* Table6083 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3872 /* Table3872 */
+    6085 /* Table6085 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3874 /* Table3874 */
+    6087 /* Table6087 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -111361,14 +222744,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4293 /* Table4293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4295 /* Table4295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -111441,9 +222824,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4297 /* Table4297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -111778,7 +223161,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3884 /* Table3884 */
+    6089 /* Table6089 */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -111866,9 +223249,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6091 /* Table6091 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -111901,9 +223284,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6093 /* Table6093 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -111921,9 +223304,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6095 /* Table6095 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -111956,9 +223339,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4299 /* Table4299 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -111981,9 +223364,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6097 /* Table6097 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -112001,9 +223384,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6099 /* Table6099 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -112026,9 +223409,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6101 /* Table6101 */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -112061,9 +223444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6103 /* Table6103 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -112087,7 +223470,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_XD */
+,  /* IC_EVEX_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -112171,19 +223554,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3888 /* Table3888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3890 /* Table3890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4301 /* Table4301 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -112301,9 +223684,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3894 /* Table3894 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -112311,14 +223694,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3896 /* Table3896 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3898 /* Table3898 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -112498,7 +223881,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3900 /* Table3900 */
+    6105 /* Table6105 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -112533,17 +223916,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3902 /* Table3902 */
+    6107 /* Table6107 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3904 /* Table3904 */
+    6109 /* Table6109 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3906 /* Table3906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -112553,22 +223936,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3908 /* Table3908 */
+    6111 /* Table6111 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3910 /* Table3910 */
+    6113 /* Table6113 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3912 /* Table3912 */
+    6115 /* Table6115 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3914 /* Table3914 */
+    6117 /* Table6117 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -112651,9 +224034,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4303 /* Table4303 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -112711,14 +224094,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4305 /* Table4305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4307 /* Table4307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -113061,9 +224444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3926 /* Table3926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -113131,9 +224514,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4309 /* Table4309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
    { /* ModRMDecision */
@@ -113241,9 +224624,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4311 /* Table4311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -113291,9 +224674,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4313 /* Table4313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -113372,7 +224755,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_OPSIZE */
+,  /* IC_EVEX_XS_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -113456,14 +224839,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4315 /* Table4315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4317 /* Table4317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -113476,14 +224859,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4319 /* Table4319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4321 /* Table4321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -113576,14 +224959,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4323 /* Table4323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4325 /* Table4325 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -113591,9 +224974,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4327 /* Table4327 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -113606,14 +224989,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3956 /* Table3956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3958 /* Table3958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -113701,14 +225084,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4329 /* Table4329 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4331 /* Table4331 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -113721,19 +225104,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4333 /* Table4333 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4335 /* Table4335 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4337 /* Table4337 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -113751,9 +225134,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4339 /* Table4339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
    { /* ModRMDecision */
@@ -113776,14 +225159,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4341 /* Table4341 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4343 /* Table4343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -113796,134 +225179,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4345 /* Table4345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4347 /* Table4347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4349 /* Table4349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4351 /* Table4351 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4353 /* Table4353 */
+    6119 /* Table6119 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4355 /* Table4355 */
+    6121 /* Table6121 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4357 /* Table4357 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4359 /* Table4359 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4361 /* Table4361 */
+    6123 /* Table6123 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4363 /* Table4363 */
+    6125 /* Table6125 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4365 /* Table4365 */
+    6127 /* Table6127 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4367 /* Table4367 */
+    6129 /* Table6129 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4369 /* Table4369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4371 /* Table4371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4373 /* Table4373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4375 /* Table4375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4377 /* Table4377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4379 /* Table4379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4381 /* Table4381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4383 /* Table4383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4385 /* Table4385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4387 /* Table4387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4389 /* Table4389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4391 /* Table4391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4393 /* Table4393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4395 /* Table4395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
    { /* ModRMDecision */
@@ -113931,44 +225314,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4397 /* Table4397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4399 /* Table4399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4401 /* Table4401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4417 /* Table4417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4433 /* Table4433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4449 /* Table4449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4451 /* Table4451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4453 /* Table4453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -113996,14 +225379,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4455 /* Table4455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4457 /* Table4457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -114011,9 +225394,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4459 /* Table4459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -114346,9 +225729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4461 /* Table4461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -114366,9 +225749,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4463 /* Table4463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -114416,34 +225799,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4465 /* Table4465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4467 /* Table4467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4469 /* Table4469 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4471 /* Table4471 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4473 /* Table4473 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4475 /* Table4475 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -114451,129 +225834,129 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4477 /* Table4477 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4479 /* Table4479 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4481 /* Table4481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4483 /* Table4483 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4485 /* Table4485 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4487 /* Table4487 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4489 /* Table4489 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4491 /* Table4491 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4493 /* Table4493 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4495 /* Table4495 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4497 /* Table4497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4499 /* Table4499 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4501 /* Table4501 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4503 /* Table4503 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4505 /* Table4505 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4507 /* Table4507 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4509 /* Table4509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4511 /* Table4511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4513 /* Table4513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4515 /* Table4515 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4517 /* Table4517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4519 /* Table4519 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4521 /* Table4521 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4523 /* Table4523 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4525 /* Table4525 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -114581,34 +225964,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4527 /* Table4527 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4529 /* Table4529 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4531 /* Table4531 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4533 /* Table4533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4535 /* Table4535 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4537 /* Table4537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -114616,39 +225999,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4539 /* Table4539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4541 /* Table4541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4543 /* Table4543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4545 /* Table4545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4547 /* Table4547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4549 /* Table4549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4551 /* Table4551 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -114657,7 +226040,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W */
+,  /* IC_EVEX_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -114741,14 +226124,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4226 /* Table4226 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4228 /* Table4228 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -114761,14 +226144,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4230 /* Table4230 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4232 /* Table4232 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -114861,14 +226244,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4234 /* Table4234 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4236 /* Table4236 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -114876,9 +226259,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4238 /* Table4238 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -114891,14 +226274,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3771 /* Table3771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3773 /* Table3773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -114986,14 +226369,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4553 /* Table4553 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4555 /* Table4555 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -115006,19 +226389,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4557 /* Table4557 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4559 /* Table4559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4561 /* Table4561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -115061,84 +226444,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4250 /* Table4250 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4252 /* Table4252 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4254 /* Table4254 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4256 /* Table4256 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4258 /* Table4258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4260 /* Table4260 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4262 /* Table4262 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4264 /* Table4264 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4266 /* Table4266 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4268 /* Table4268 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4270 /* Table4270 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4272 /* Table4272 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4274 /* Table4274 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4276 /* Table4276 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4278 /* Table4278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4280 /* Table4280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -115171,9 +226554,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6131 /* Table6131 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -115251,14 +226634,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6133 /* Table6133 */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    4282 /* Table4282 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -115631,9 +227014,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4283 /* Table4283 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -115651,9 +227034,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4285 /* Table4285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -115756,9 +227139,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6135 /* Table6135 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -115776,9 +227159,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6137 /* Table6137 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -115836,9 +227219,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6139 /* Table6139 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -115856,9 +227239,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6141 /* Table6141 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -115911,9 +227294,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6143 /* Table6143 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -115931,9 +227314,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6145 /* Table6145 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -115942,7 +227325,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W_XS */
+,  /* IC_EVEX_W_XD_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -116026,19 +227409,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3840 /* Table3840 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3842 /* Table3842 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4287 /* Table4287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -116056,9 +227439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4289 /* Table4289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -116156,9 +227539,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4200 /* Table4200 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -116166,14 +227549,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4202 /* Table4202 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4204 /* Table4204 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -116351,19 +227734,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3854 /* Table3854 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3856 /* Table3856 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3858 /* Table3858 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x54 */
    { /* ModRMDecision */
@@ -116388,42 +227771,42 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3860 /* Table3860 */
+    6147 /* Table6147 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3862 /* Table3862 */
+    6149 /* Table6149 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3864 /* Table3864 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4291 /* Table4291 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3868 /* Table3868 */
+    6151 /* Table6151 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3870 /* Table3870 */
+    6153 /* Table6153 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3872 /* Table3872 */
+    6155 /* Table6155 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3874 /* Table3874 */
+    6157 /* Table6157 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -116501,14 +227884,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4293 /* Table4293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4295 /* Table4295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -116581,9 +227964,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4297 /* Table4297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -116916,9 +228299,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3884 /* Table3884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -117096,9 +228479,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4299 /* Table4299 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -117227,7 +228610,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W_XD */
+,  /* IC_EVEX_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -117311,19 +228694,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3888 /* Table3888 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3890 /* Table3890 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4301 /* Table4301 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -117441,9 +228824,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4206 /* Table4206 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -117451,14 +228834,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4208 /* Table4208 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4210 /* Table4210 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -117638,7 +229021,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3900 /* Table3900 */
+    6159 /* Table6159 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -117673,17 +229056,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3902 /* Table3902 */
+    6161 /* Table6161 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3904 /* Table3904 */
+    6163 /* Table6163 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3906 /* Table3906 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -117693,22 +229076,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3908 /* Table3908 */
+    6165 /* Table6165 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3910 /* Table3910 */
+    6167 /* Table6167 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3912 /* Table3912 */
+    6169 /* Table6169 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3914 /* Table3914 */
+    6171 /* Table6171 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -117791,9 +229174,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4303 /* Table4303 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -117851,14 +229234,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4305 /* Table4305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4307 /* Table4307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -118201,9 +229584,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3926 /* Table3926 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -118271,9 +229654,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4309 /* Table4309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
    { /* ModRMDecision */
@@ -118291,9 +229674,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6173 /* Table6173 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -118326,9 +229709,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6175 /* Table6175 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -118346,9 +229729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6177 /* Table6177 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -118381,9 +229764,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4311 /* Table4311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -118406,9 +229789,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6179 /* Table6179 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -118426,15 +229809,15 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6181 /* Table6181 */
+   },
+   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4313 /* Table4313 */
-   },
    /* 0xf1 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -118486,9 +229869,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6183 /* Table6183 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -118512,7 +229895,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W_OPSIZE */
+,  /* IC_EVEX_L_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -118596,14 +229979,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4315 /* Table4315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4317 /* Table4317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -118616,14 +229999,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4319 /* Table4319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4321 /* Table4321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -118716,14 +230099,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4323 /* Table4323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4325 /* Table4325 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -118731,9 +230114,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4327 /* Table4327 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -118746,14 +230129,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3956 /* Table3956 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3958 /* Table3958 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -118841,14 +230224,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4563 /* Table4563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4565 /* Table4565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -118861,19 +230244,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4567 /* Table4567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4569 /* Table4569 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4571 /* Table4571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -118891,9 +230274,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4339 /* Table4339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
    { /* ModRMDecision */
@@ -118916,14 +230299,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4341 /* Table4341 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4343 /* Table4343 */
+    6185 /* Table6185 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -118936,134 +230319,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4345 /* Table4345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4347 /* Table4347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4349 /* Table4349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4351 /* Table4351 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4353 /* Table4353 */
+    6187 /* Table6187 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4355 /* Table4355 */
+    6189 /* Table6189 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4357 /* Table4357 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4359 /* Table4359 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4361 /* Table4361 */
+    6191 /* Table6191 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4363 /* Table4363 */
+    6193 /* Table6193 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4365 /* Table4365 */
+    6195 /* Table6195 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4367 /* Table4367 */
+    6197 /* Table6197 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4369 /* Table4369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4371 /* Table4371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4373 /* Table4373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4375 /* Table4375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4377 /* Table4377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4379 /* Table4379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4381 /* Table4381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4383 /* Table4383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4385 /* Table4385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4387 /* Table4387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4389 /* Table4389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4391 /* Table4391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4393 /* Table4393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4395 /* Table4395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
    { /* ModRMDecision */
@@ -119071,44 +230454,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4397 /* Table4397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4399 /* Table4399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4401 /* Table4401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4417 /* Table4417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4433 /* Table4433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4449 /* Table4449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4451 /* Table4451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4453 /* Table4453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -119136,14 +230519,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4455 /* Table4455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4457 /* Table4457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
    { /* ModRMDecision */
@@ -119151,9 +230534,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4459 /* Table4459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -119486,9 +230869,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4461 /* Table4461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -119506,9 +230889,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4463 /* Table4463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -119556,34 +230939,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4465 /* Table4465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4467 /* Table4467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4469 /* Table4469 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4471 /* Table4471 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4473 /* Table4473 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4475 /* Table4475 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -119591,129 +230974,129 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4477 /* Table4477 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4479 /* Table4479 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4481 /* Table4481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xda */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4483 /* Table4483 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4485 /* Table4485 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4487 /* Table4487 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4489 /* Table4489 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4491 /* Table4491 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4493 /* Table4493 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4495 /* Table4495 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4497 /* Table4497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4499 /* Table4499 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4501 /* Table4501 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4503 /* Table4503 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4505 /* Table4505 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4507 /* Table4507 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4509 /* Table4509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4511 /* Table4511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4513 /* Table4513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4515 /* Table4515 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4517 /* Table4517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4519 /* Table4519 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4521 /* Table4521 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4523 /* Table4523 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4525 /* Table4525 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -119721,34 +231104,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4527 /* Table4527 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4529 /* Table4529 */
-   },
-   /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4531 /* Table4531 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xf3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4533 /* Table4533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4535 /* Table4535 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4537 /* Table4537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -119756,39 +231139,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4539 /* Table4539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4541 /* Table4541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4543 /* Table4543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4545 /* Table4545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4547 /* Table4547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4549 /* Table4549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4551 /* Table4551 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -119797,7 +231180,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX */
+,  /* IC_EVEX_L_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -119881,19 +231264,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4573 /* Table4573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4575 /* Table4575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4577 /* Table4577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -119911,9 +231294,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4579 /* Table4579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -120001,14 +231384,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4581 /* Table4581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4583 /* Table4583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -120016,9 +231399,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4585 /* Table4585 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -120031,14 +231414,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4587 /* Table4587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4589 /* Table4589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -120311,9 +231694,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6199 /* Table6199 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -120391,9 +231774,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6201 /* Table6201 */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -120896,9 +232279,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6203 /* Table6203 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -120916,9 +232299,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6205 /* Table6205 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -120976,9 +232359,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6207 /* Table6207 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -120996,9 +232379,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6209 /* Table6209 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -121051,9 +232434,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6211 /* Table6211 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -121071,9 +232454,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6213 /* Table6213 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -121082,7 +232465,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XS */
+,  /* IC_EVEX_L_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -121166,14 +232549,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4591 /* Table4591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4593 /* Table4593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -121296,9 +232679,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4595 /* Table4595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -121306,14 +232689,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4597 /* Table4597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4599 /* Table4599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -121493,7 +232876,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4601 /* Table4601 */
+    6215 /* Table6215 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -121528,17 +232911,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4603 /* Table4603 */
+    6217 /* Table6217 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4605 /* Table4605 */
+    6219 /* Table6219 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4607 /* Table4607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -121548,22 +232931,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4609 /* Table4609 */
+    6221 /* Table6221 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4611 /* Table4611 */
+    6223 /* Table6223 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4613 /* Table4613 */
+    6225 /* Table6225 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4615 /* Table4615 */
+    6227 /* Table6227 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -121641,9 +233024,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4617 /* Table4617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -121686,14 +233069,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4619 /* Table4619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4621 /* Table4621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -121701,9 +233084,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4623 /* Table4623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -121721,9 +233104,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4625 /* Table4625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -122056,9 +233439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4627 /* Table4627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -122146,9 +233529,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6229 /* Table6229 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -122181,9 +233564,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6231 /* Table6231 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -122201,9 +233584,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6233 /* Table6233 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -122261,9 +233644,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6235 /* Table6235 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -122281,9 +233664,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6237 /* Table6237 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -122341,9 +233724,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6239 /* Table6239 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -122367,7 +233750,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XD */
+,  /* IC_EVEX_L2_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -122581,9 +233964,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4629 /* Table4629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -122591,14 +233974,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4631 /* Table4631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4633 /* Table4633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -122776,9 +234159,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6241 /* Table6241 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -122811,14 +234194,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6243 /* Table6243 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6245 /* Table6245 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -122831,24 +234214,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6247 /* Table6247 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6249 /* Table6249 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6251 /* Table6251 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6253 /* Table6253 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -122926,9 +234309,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4635 /* Table4635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -122971,14 +234354,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4637 /* Table4637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4639 /* Table4639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -122986,9 +234369,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4641 /* Table4641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -123006,9 +234389,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4643 /* Table4643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -123652,7 +235035,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE */
+,  /* IC_EVEX_L2_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -124156,19 +235539,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4645 /* Table4645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4647 /* Table4647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4649 /* Table4649 */
+    6255 /* Table6255 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -124206,14 +235589,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4651 /* Table4651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4653 /* Table4653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -124236,19 +235619,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4655 /* Table4655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4657 /* Table4657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4659 /* Table4659 */
+    6257 /* Table6257 */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -124286,14 +235669,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4661 /* Table4661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4663 /* Table4663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -124751,9 +236134,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6259 /* Table6259 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -124771,9 +236154,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6261 /* Table6261 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -124811,9 +236194,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4665 /* Table4665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
    { /* ModRMDecision */
@@ -124831,9 +236214,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6263 /* Table6263 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -124851,9 +236234,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6265 /* Table6265 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -124906,9 +236289,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6267 /* Table6267 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -124926,9 +236309,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6269 /* Table6269 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -124937,7 +236320,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W */
+,  /* IC_EVEX_L2_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -125021,19 +236404,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4573 /* Table4573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4575 /* Table4575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4577 /* Table4577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -125051,9 +236434,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4579 /* Table4579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -125141,14 +236524,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4581 /* Table4581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4583 /* Table4583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -125156,9 +236539,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4585 /* Table4585 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -125171,14 +236554,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4587 /* Table4587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4589 /* Table4589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -125346,9 +236729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6271 /* Table6271 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -125381,14 +236764,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6273 /* Table6273 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6275 /* Table6275 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -125401,24 +236784,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6277 /* Table6277 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6279 /* Table6279 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6281 /* Table6281 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6283 /* Table6283 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -126001,9 +237384,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6285 /* Table6285 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -126036,9 +237419,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6287 /* Table6287 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -126056,9 +237439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6289 /* Table6289 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -126116,9 +237499,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6291 /* Table6291 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -126136,9 +237519,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6293 /* Table6293 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -126161,9 +237544,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6295 /* Table6295 */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -126196,9 +237579,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6297 /* Table6297 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -126222,7 +237605,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XS */
+,  /* IC_EVEX_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -126306,14 +237689,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4591 /* Table4591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4593 /* Table4593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -126436,9 +237819,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4667 /* Table4667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -126446,14 +237829,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4669 /* Table4669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4671 /* Table4671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -126633,7 +238016,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4601 /* Table4601 */
+    6299 /* Table6299 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -126668,17 +238051,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4603 /* Table4603 */
+    6301 /* Table6301 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4605 /* Table4605 */
+    6303 /* Table6303 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4607 /* Table4607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -126688,22 +238071,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4609 /* Table4609 */
+    6305 /* Table6305 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4611 /* Table4611 */
+    6307 /* Table6307 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4613 /* Table4613 */
+    6309 /* Table6309 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4615 /* Table4615 */
+    6311 /* Table6311 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -126781,9 +238164,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4673 /* Table4673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -126826,14 +238209,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4675 /* Table4675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4677 /* Table4677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -126841,9 +238224,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4679 /* Table4679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -126856,14 +238239,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4681 /* Table4681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4683 /* Table4683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -127196,9 +238579,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4627 /* Table4627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -127507,7 +238890,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XD */
+,  /* IC_EVEX_XS_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -127591,14 +238974,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4685 /* Table4685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4687 /* Table4687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -127721,9 +239104,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4689 /* Table4689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -127731,14 +239114,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4691 /* Table4691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4693 /* Table4693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -127916,9 +239299,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4695 /* Table4695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -127953,17 +239336,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4697 /* Table4697 */
+    6313 /* Table6313 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4699 /* Table4699 */
+    6315 /* Table6315 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4701 /* Table4701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -127973,22 +239356,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4703 /* Table4703 */
+    6317 /* Table6317 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4705 /* Table4705 */
+    6319 /* Table6319 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4707 /* Table4707 */
+    6321 /* Table6321 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4709 /* Table4709 */
+    6323 /* Table6323 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -128066,9 +239449,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4711 /* Table4711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -128111,14 +239494,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4713 /* Table4713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4715 /* Table4715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -128126,9 +239509,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4717 /* Table4717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -128146,9 +239529,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4719 /* Table4719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -128481,9 +239864,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4721 /* Table4721 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -128792,7 +240175,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE */
+,  /* IC_EVEX_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -128876,14 +240259,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4723 /* Table4723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4725 /* Table4725 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -128996,14 +240379,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4727 /* Table4727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4729 /* Table4729 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -129011,9 +240394,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4731 /* Table4731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -129026,14 +240409,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4733 /* Table4733 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4735 /* Table4735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -129296,19 +240679,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4645 /* Table4645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4647 /* Table4647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4649 /* Table4649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -129346,14 +240729,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4737 /* Table4737 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4739 /* Table4739 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -129376,19 +240759,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4655 /* Table4655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4657 /* Table4657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4659 /* Table4659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -129426,14 +240809,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4741 /* Table4741 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4743 /* Table4743 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -129866,9 +241249,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4745 /* Table4745 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* ModRMDecision */
@@ -129891,9 +241274,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6325 /* Table6325 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -129911,9 +241294,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6327 /* Table6327 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -129951,9 +241334,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4665 /* Table4665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
    { /* ModRMDecision */
@@ -129971,9 +241354,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6329 /* Table6329 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -129991,9 +241374,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6331 /* Table6331 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -130046,9 +241429,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6333 /* Table6333 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -130066,9 +241449,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6335 /* Table6335 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -130077,7 +241460,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L */
+,  /* IC_EVEX_W_XD_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -130161,14 +241544,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4747 /* Table4747 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4749 /* Table4749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -130281,14 +241664,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4751 /* Table4751 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4753 /* Table4753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -130296,9 +241679,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4755 /* Table4755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -130521,14 +241904,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6337 /* Table6337 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6339 /* Table6339 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -130541,24 +241924,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6341 /* Table6341 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6343 /* Table6343 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6345 /* Table6345 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6347 /* Table6347 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -131362,7 +242745,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XS */
+,  /* IC_EVEX_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -131771,9 +243154,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6349 /* Table6349 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -131806,14 +243189,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6351 /* Table6351 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6353 /* Table6353 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -131826,24 +243209,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6355 /* Table6355 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6357 /* Table6357 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6359 /* Table6359 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6361 /* Table6361 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -131921,9 +243304,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4757 /* Table4757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -132001,9 +243384,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4759 /* Table4759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -132426,9 +243809,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6363 /* Table6363 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -132461,9 +243844,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6365 /* Table6365 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -132481,9 +243864,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6367 /* Table6367 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -132541,9 +243924,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6369 /* Table6369 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -132561,9 +243944,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6371 /* Table6371 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -132621,9 +244004,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6373 /* Table6373 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -132647,7 +244030,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XD */
+,  /* IC_EVEX_L_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -133056,9 +244439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6375 /* Table6375 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -133091,14 +244474,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6377 /* Table6377 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6379 /* Table6379 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -133111,24 +244494,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6381 /* Table6381 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6383 /* Table6383 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6385 /* Table6385 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6387 /* Table6387 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -133206,9 +244589,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4761 /* Table4761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -133286,9 +244669,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4763 /* Table4763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -133932,7 +245315,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE */
+,  /* IC_EVEX_L_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -134436,19 +245819,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4765 /* Table4765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4767 /* Table4767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4769 /* Table4769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -134491,9 +245874,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4771 /* Table4771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -134516,19 +245899,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4773 /* Table4773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4775 /* Table4775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4777 /* Table4777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -134571,9 +245954,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4779 /* Table4779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -135031,9 +246414,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6389 /* Table6389 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -135051,9 +246434,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6391 /* Table6391 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -135091,9 +246474,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4781 /* Table4781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
    { /* ModRMDecision */
@@ -135111,9 +246494,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6393 /* Table6393 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -135131,9 +246514,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6395 /* Table6395 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -135186,9 +246569,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6397 /* Table6397 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -135206,9 +246589,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6399 /* Table6399 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -135217,7 +246600,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W */
+,  /* IC_EVEX_L_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -135301,19 +246684,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4573 /* Table4573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4575 /* Table4575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4577 /* Table4577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -135331,9 +246714,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4579 /* Table4579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -135421,14 +246804,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4581 /* Table4581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4583 /* Table4583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -135436,9 +246819,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4585 /* Table4585 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -135451,14 +246834,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4587 /* Table4587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4589 /* Table4589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* ModRMDecision */
@@ -135626,9 +247009,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6401 /* Table6401 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -135661,14 +247044,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6403 /* Table6403 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6405 /* Table6405 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -135681,24 +247064,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6407 /* Table6407 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6409 /* Table6409 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6411 /* Table6411 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6413 /* Table6413 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -136281,9 +247664,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6415 /* Table6415 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -136316,9 +247699,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6417 /* Table6417 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -136336,9 +247719,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6419 /* Table6419 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -136396,9 +247779,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6421 /* Table6421 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -136416,9 +247799,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6423 /* Table6423 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -136476,9 +247859,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6425 /* Table6425 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -136502,7 +247885,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_XS */
+,  /* IC_EVEX_L2_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -136586,14 +247969,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4591 /* Table4591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4593 /* Table4593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -136716,9 +248099,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4595 /* Table4595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -136726,14 +248109,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4597 /* Table4597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4599 /* Table4599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -136913,7 +248296,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4601 /* Table4601 */
+    6427 /* Table6427 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -136948,17 +248331,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4603 /* Table4603 */
+    6429 /* Table6429 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4605 /* Table4605 */
+    6431 /* Table6431 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4607 /* Table4607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -136968,22 +248351,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4609 /* Table4609 */
+    6433 /* Table6433 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4611 /* Table4611 */
+    6435 /* Table6435 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4613 /* Table4613 */
+    6437 /* Table6437 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4615 /* Table4615 */
+    6439 /* Table6439 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -137061,9 +248444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4783 /* Table4783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -137106,14 +248489,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4619 /* Table4619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4621 /* Table4621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -137121,9 +248504,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4623 /* Table4623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -137141,9 +248524,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4785 /* Table4785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -137476,9 +248859,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4627 /* Table4627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -137787,7 +249170,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_XD */
+,  /* IC_EVEX_L2_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -138001,9 +249384,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4629 /* Table4629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -138011,14 +249394,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4631 /* Table4631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4633 /* Table4633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -138346,9 +249729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4787 /* Table4787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -138391,14 +249774,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4637 /* Table4637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4639 /* Table4639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -138406,9 +249789,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4641 /* Table4641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
    { /* ModRMDecision */
@@ -138426,9 +249809,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4789 /* Table4789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -138886,9 +250269,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6441 /* Table6441 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -138906,9 +250289,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6443 /* Table6443 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -138966,9 +250349,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6445 /* Table6445 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -138986,9 +250369,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6447 /* Table6447 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -139041,9 +250424,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6449 /* Table6449 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -139061,9 +250444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6451 /* Table6451 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -139072,7 +250455,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -139156,14 +250539,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4791 /* Table4791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4793 /* Table4793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -139276,14 +250659,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4795 /* Table4795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4797 /* Table4797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -139291,9 +250674,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4799 /* Table4799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -139481,9 +250864,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6453 /* Table6453 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -139516,14 +250899,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6455 /* Table6455 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6457 /* Table6457 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -139536,24 +250919,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6459 /* Table6459 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6461 /* Table6461 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6463 /* Table6463 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6465 /* Table6465 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -139576,19 +250959,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4645 /* Table4645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4647 /* Table4647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4649 /* Table4649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -139626,14 +251009,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4651 /* Table4651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4801 /* Table4801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -139656,19 +251039,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4655 /* Table4655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4657 /* Table4657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4659 /* Table4659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -139706,14 +251089,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4661 /* Table4661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4803 /* Table4803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -140136,9 +251519,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6467 /* Table6467 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -140171,9 +251554,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6469 /* Table6469 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -140191,9 +251574,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6471 /* Table6471 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -140231,9 +251614,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4665 /* Table4665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
    { /* ModRMDecision */
@@ -140251,9 +251634,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6473 /* Table6473 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -140271,9 +251654,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6475 /* Table6475 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -140296,9 +251679,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6477 /* Table6477 */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -140331,9 +251714,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6479 /* Table6479 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -140357,7 +251740,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2 */
+,  /* IC_EVEX_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -140443,12 +251826,12 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4805 /* Table4805 */
+    6481 /* Table6481 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4807 /* Table4807 */
+    6483 /* Table6483 */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -140461,14 +251844,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4809 /* Table4809 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4811 /* Table4811 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -140563,12 +251946,12 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4813 /* Table4813 */
+    6485 /* Table6485 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4815 /* Table4815 */
+    6487 /* Table6487 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -140576,9 +251959,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4817 /* Table4817 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -140768,7 +252151,7 @@ static const struct OpcodeDecision x86Di
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4819 /* Table4819 */
+    6489 /* Table6489 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -140803,42 +252186,42 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4821 /* Table4821 */
+    6491 /* Table6491 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4823 /* Table4823 */
+    6493 /* Table6493 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4825 /* Table4825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4827 /* Table4827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4829 /* Table4829 */
+    6495 /* Table6495 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4831 /* Table4831 */
+    6497 /* Table6497 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4833 /* Table4833 */
+    6499 /* Table6499 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4835 /* Table4835 */
+    6501 /* Table6501 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -140961,14 +252344,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4837 /* Table4837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4839 /* Table4839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -141331,9 +252714,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4841 /* Table4841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -141351,9 +252734,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4843 /* Table4843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -141642,7 +253025,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS */
+,  /* IC_EVEX_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -141736,9 +253119,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4845 /* Table4845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -141756,9 +253139,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4847 /* Table4847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -142086,14 +253469,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6503 /* Table6503 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6505 /* Table6505 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -142101,29 +253484,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4849 /* Table4849 */
-   },
-   /* 0x5c */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6507 /* Table6507 */
+   },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6509 /* Table6509 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6511 /* Table6511 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6513 /* Table6513 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -142203,7 +253586,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4851 /* Table4851 */
+    6515 /* Table6515 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -142256,9 +253639,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4853 /* Table4853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
    { /* ModRMDecision */
@@ -142283,7 +253666,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4855 /* Table4855 */
+    6517 /* Table6517 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -142796,9 +254179,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4857 /* Table4857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -142927,7 +254310,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XD */
+,  /* IC_EVEX_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -143488,7 +254871,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4859 /* Table4859 */
+    6519 /* Table6519 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -143541,9 +254924,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4861 /* Table4861 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
    { /* ModRMDecision */
@@ -143568,7 +254951,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4863 /* Table4863 */
+    6521 /* Table6521 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -144212,7 +255595,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE */
+,  /* IC_EVEX_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -144621,9 +256004,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4865 /* Table4865 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -144671,9 +256054,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4867 /* Table4867 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* ModRMDecision */
@@ -144706,9 +256089,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4869 /* Table4869 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* ModRMDecision */
@@ -144716,19 +256099,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4871 /* Table4871 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4873 /* Table4873 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4875 /* Table4875 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -144746,9 +256129,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4877 /* Table4877 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
    { /* ModRMDecision */
@@ -144773,12 +256156,12 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4879 /* Table4879 */
+    6523 /* Table6523 */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4881 /* Table4881 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x71 */
    { /* ModRMDecision */
@@ -144786,9 +256169,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4883 /* Table4883 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
    { /* ModRMDecision */
@@ -144796,19 +256179,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4899 /* Table4899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4901 /* Table4901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4903 /* Table4903 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -144853,7 +256236,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4905 /* Table4905 */
+    6525 /* Table6525 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -145266,9 +256649,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4907 /* Table4907 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
    { /* ModRMDecision */
@@ -145281,9 +256664,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6527 /* Table6527 */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -145306,14 +256689,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xda */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6529 /* Table6529 */
    },
    /* 0xdb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4909 /* Table4909 */
+    6531 /* Table6531 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -145326,14 +256709,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6533 /* Table6533 */
    },
    /* 0xdf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4911 /* Table4911 */
+    6535 /* Table6535 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -145346,9 +256729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4913 /* Table4913 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -145371,9 +256754,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4915 /* Table4915 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe8 */
    { /* ModRMDecision */
@@ -145386,14 +256769,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xea */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6537 /* Table6537 */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4917 /* Table4917 */
+    6539 /* Table6539 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -145406,14 +256789,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xee */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6541 /* Table6541 */
    },
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4919 /* Table4919 */
+    6543 /* Table6543 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -145426,9 +256809,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4921 /* Table4921 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
    { /* ModRMDecision */
@@ -145456,19 +256839,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6545 /* Table6545 */
    },
    /* 0xf9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6547 /* Table6547 */
    },
    /* 0xfa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4923 /* Table4923 */
+    6549 /* Table6549 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -145476,19 +256859,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6551 /* Table6551 */
    },
    /* 0xfd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6553 /* Table6553 */
    },
    /* 0xfe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4925 /* Table4925 */
+    6555 /* Table6555 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -145497,7 +256880,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W */
+,  /* IC_EVEX_W_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -145941,14 +257324,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6503 /* Table6503 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6505 /* Table6505 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -145961,24 +257344,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6507 /* Table6507 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6509 /* Table6509 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6511 /* Table6511 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6513 /* Table6513 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -146056,9 +257439,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6557 /* Table6557 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -146101,14 +257484,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4927 /* Table4927 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4929 /* Table4929 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -146136,9 +257519,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6559 /* Table6559 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -146782,7 +258165,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XS */
+,  /* IC_EVEX_W_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -147226,14 +258609,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6561 /* Table6561 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6563 /* Table6563 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -147246,24 +258629,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6565 /* Table6565 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6567 /* Table6567 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6569 /* Table6569 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6571 /* Table6571 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -147343,7 +258726,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4931 /* Table4931 */
+    6573 /* Table6573 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -147423,7 +258806,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4933 /* Table4933 */
+    6575 /* Table6575 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -148067,7 +259450,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XD */
+,  /* IC_EVEX_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -148151,14 +259534,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6577 /* Table6577 */
    },
    /* 0x11 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6579 /* Table6579 */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -148271,14 +259654,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6581 /* Table6581 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6583 /* Table6583 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -148476,9 +259859,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6585 /* Table6585 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -148511,14 +259894,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6587 /* Table6587 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6589 /* Table6589 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -148531,24 +259914,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6591 /* Table6591 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6593 /* Table6593 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6595 /* Table6595 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6597 /* Table6597 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -148628,7 +260011,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4935 /* Table4935 */
+    6599 /* Table6599 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -148708,7 +260091,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4937 /* Table4937 */
+    6601 /* Table6601 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -149131,9 +260514,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6603 /* Table6603 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -149166,9 +260549,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6605 /* Table6605 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -149186,9 +260569,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6607 /* Table6607 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -149221,9 +260604,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4939 /* Table4939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -149246,9 +260629,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6609 /* Table6609 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -149266,9 +260649,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6611 /* Table6611 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -149326,9 +260709,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6613 /* Table6613 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -149352,7 +260735,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE */
+,  /* IC_EVEX_L_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -149438,17 +260821,17 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4941 /* Table4941 */
+    6615 /* Table6615 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4943 /* Table4943 */
+    6617 /* Table6617 */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4945 /* Table4945 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
    { /* ModRMDecision */
@@ -149456,14 +260839,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4947 /* Table4947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4949 /* Table4949 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -149558,12 +260941,12 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4951 /* Table4951 */
+    6619 /* Table6619 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4953 /* Table4953 */
+    6621 /* Table6621 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -149571,9 +260954,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4955 /* Table4955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -149761,9 +261144,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6623 /* Table6623 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -149798,17 +261181,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4957 /* Table4957 */
+    6625 /* Table6625 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4959 /* Table4959 */
+    6627 /* Table6627 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4961 /* Table4961 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -149818,22 +261201,22 @@ static const struct OpcodeDecision x86Di
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4963 /* Table4963 */
+    6629 /* Table6629 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4965 /* Table4965 */
+    6631 /* Table6631 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4967 /* Table4967 */
+    6633 /* Table6633 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    4969 /* Table4969 */
+    6635 /* Table6635 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -149896,14 +261279,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4971 /* Table4971 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4973 /* Table4973 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
    { /* ModRMDecision */
@@ -149911,9 +261294,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    4975 /* Table4975 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -149926,14 +261309,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4977 /* Table4977 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    4993 /* Table4993 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
    { /* ModRMDecision */
@@ -149991,9 +261374,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5009 /* Table5009 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -150326,9 +261709,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5011 /* Table5011 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -150346,9 +261729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5013 /* Table5013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* ModRMDecision */
@@ -150411,14 +261794,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5015 /* Table5015 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5017 /* Table5017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -150451,9 +261834,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5019 /* Table5019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -150471,9 +261854,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5021 /* Table5021 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -150486,9 +261869,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5023 /* Table5023 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -150506,9 +261889,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5025 /* Table5025 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -150531,9 +261914,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5027 /* Table5027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -150551,9 +261934,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5029 /* Table5029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -150571,14 +261954,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5031 /* Table5031 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5033 /* Table5033 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -150611,9 +261994,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5035 /* Table5035 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -150637,7 +262020,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_K */
+,  /* IC_EVEX_L_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -150721,14 +262104,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5037 /* Table5037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5039 /* Table5039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -150841,14 +262224,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5041 /* Table5041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5043 /* Table5043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -151196,9 +262579,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6637 /* Table6637 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -151276,9 +262659,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6639 /* Table6639 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -151922,7 +263305,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XS_K */
+,  /* IC_EVEX_L_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -152006,9 +263389,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5045 /* Table5045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -152483,7 +263866,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5047 /* Table5047 */
+    6641 /* Table6641 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -152563,7 +263946,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5049 /* Table5049 */
+    6643 /* Table6643 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -153207,7 +264590,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XD_K */
+,  /* IC_EVEX_L_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -153768,7 +265151,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5051 /* Table5051 */
+    6645 /* Table6645 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -153848,7 +265231,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5053 /* Table5053 */
+    6647 /* Table6647 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -154276,9 +265659,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6649 /* Table6649 */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -154301,14 +265684,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xda */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6651 /* Table6651 */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6653 /* Table6653 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -154321,14 +265704,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6655 /* Table6655 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6657 /* Table6657 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -154381,14 +265764,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xea */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6659 /* Table6659 */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6661 /* Table6661 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -154401,14 +265784,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xee */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6663 /* Table6663 */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6665 /* Table6665 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -154451,19 +265834,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6667 /* Table6667 */
    },
    /* 0xf9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6669 /* Table6669 */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6671 /* Table6671 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -154471,19 +265854,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6673 /* Table6673 */
    },
    /* 0xfd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6675 /* Table6675 */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6677 /* Table6677 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -154492,7 +265875,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE_K */
+,  /* IC_EVEX_L_W_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -154936,14 +266319,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6503 /* Table6503 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6505 /* Table6505 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -154956,24 +266339,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6507 /* Table6507 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6509 /* Table6509 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6511 /* Table6511 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6513 /* Table6513 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -154996,19 +266379,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5055 /* Table5055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5057 /* Table5057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5059 /* Table5059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -155053,7 +266436,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5061 /* Table5061 */
+    6679 /* Table6679 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -155076,19 +266459,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5063 /* Table5063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5065 /* Table5065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5067 /* Table5067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -155133,7 +266516,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5069 /* Table5069 */
+    6681 /* Table6681 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -155777,7 +267160,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_K */
+,  /* IC_EVEX_L_W_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -155861,14 +267244,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5037 /* Table5037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5039 /* Table5039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -155981,14 +267364,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5041 /* Table5041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5043 /* Table5043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -156336,9 +267719,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6683 /* Table6683 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -156416,9 +267799,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6685 /* Table6685 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -157062,7 +268445,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XS_K */
+,  /* IC_EVEX_L_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -157148,12 +268531,12 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5045 /* Table5045 */
+    6687 /* Table6687 */
    },
    /* 0x11 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6689 /* Table6689 */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -157266,14 +268649,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6691 /* Table6691 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6693 /* Table6693 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -157471,9 +268854,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6695 /* Table6695 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -157506,14 +268889,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6697 /* Table6697 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6699 /* Table6699 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -157526,24 +268909,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6701 /* Table6701 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6703 /* Table6703 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6705 /* Table6705 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6707 /* Table6707 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -157623,7 +269006,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5071 /* Table5071 */
+    6709 /* Table6709 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -157703,7 +269086,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5073 /* Table5073 */
+    6711 /* Table6711 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -158126,9 +269509,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6713 /* Table6713 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -158161,9 +269544,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6715 /* Table6715 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -158181,9 +269564,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6717 /* Table6717 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -158241,9 +269624,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6719 /* Table6719 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -158261,9 +269644,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6721 /* Table6721 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -158321,9 +269704,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6723 /* Table6723 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -158347,7 +269730,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XD_K */
+,  /* IC_EVEX_L2_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -158433,12 +269816,12 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5075 /* Table5075 */
+    6725 /* Table6725 */
    },
    /* 0x11 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6727 /* Table6727 */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -158551,14 +269934,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6729 /* Table6729 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6731 /* Table6731 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -158756,9 +270139,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6733 /* Table6733 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -158791,14 +270174,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6735 /* Table6735 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6737 /* Table6737 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -158811,24 +270194,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6739 /* Table6739 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6741 /* Table6741 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6743 /* Table6743 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6745 /* Table6745 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -158906,9 +270289,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5077 /* Table5077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -158986,9 +270369,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5079 /* Table5079 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -159632,7 +271015,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE_K */
+,  /* IC_EVEX_L2_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -159716,14 +271099,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5081 /* Table5081 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5083 /* Table5083 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -159836,14 +271219,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5085 /* Table5085 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5087 /* Table5087 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -160193,7 +271576,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5089 /* Table5089 */
+    6747 /* Table6747 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -160273,7 +271656,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5091 /* Table5091 */
+    6749 /* Table6749 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -160917,7 +272300,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_K */
+,  /* IC_EVEX_L2_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -161001,14 +272384,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5093 /* Table5093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5095 /* Table5095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -161121,14 +272504,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5097 /* Table5097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5099 /* Table5099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -161476,9 +272859,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6751 /* Table6751 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -161556,9 +272939,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6753 /* Table6753 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -162202,7 +273585,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XS_K */
+,  /* IC_EVEX_L2_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -162763,7 +274146,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5101 /* Table5101 */
+    6755 /* Table6755 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -162776,9 +274159,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    6757 /* Table6757 */
    },
    /* 0x73 */
    { /* ModRMDecision */
@@ -162843,7 +274226,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5103 /* Table5103 */
+    6773 /* Table6773 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -163256,9 +274639,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6775 /* Table6775 */
    },
    /* 0xd3 */
    { /* ModRMDecision */
@@ -163271,9 +274654,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6777 /* Table6777 */
    },
    /* 0xd6 */
    { /* ModRMDecision */
@@ -163296,14 +274679,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xda */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6779 /* Table6779 */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6781 /* Table6781 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -163316,14 +274699,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6783 /* Table6783 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6785 /* Table6785 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -163336,9 +274719,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6787 /* Table6787 */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -163376,14 +274759,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xea */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6789 /* Table6789 */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6791 /* Table6791 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -163396,14 +274779,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xee */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6793 /* Table6793 */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6795 /* Table6795 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -163416,9 +274799,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6797 /* Table6797 */
    },
    /* 0xf3 */
    { /* ModRMDecision */
@@ -163446,19 +274829,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6799 /* Table6799 */
    },
    /* 0xf9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6801 /* Table6801 */
    },
    /* 0xfa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6803 /* Table6803 */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -163466,19 +274849,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6805 /* Table6805 */
    },
    /* 0xfd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6807 /* Table6807 */
    },
    /* 0xfe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6809 /* Table6809 */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -163487,7 +274870,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XD_K */
+,  /* IC_EVEX_L2_W_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -164048,7 +275431,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5105 /* Table5105 */
+    6811 /* Table6811 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -164128,7 +275511,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5107 /* Table5107 */
+    6813 /* Table6813 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -164772,7 +276155,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE_K */
+,  /* IC_EVEX_L2_W_XD_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -165276,19 +276659,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5109 /* Table5109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5111 /* Table5111 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
-   /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5113 /* Table5113 */
+   /* 0x66 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -165333,7 +276716,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5115 /* Table5115 */
+    6815 /* Table6815 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -165356,19 +276739,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5117 /* Table5117 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5119 /* Table5119 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5121 /* Table5121 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -165413,7 +276796,7 @@ static const struct OpcodeDecision x86Di
    /* 0x7f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5123 /* Table5123 */
+    6817 /* Table6817 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -166057,7 +277440,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_K */
+,  /* IC_EVEX_L2_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -166143,12 +277526,12 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5037 /* Table5037 */
+    6819 /* Table6819 */
    },
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5039 /* Table5039 */
+    6821 /* Table6821 */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -166263,12 +277646,12 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5041 /* Table5041 */
+    6823 /* Table6823 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5043 /* Table5043 */
+    6825 /* Table6825 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -166466,9 +277849,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6827 /* Table6827 */
    },
    /* 0x52 */
    { /* ModRMDecision */
@@ -166501,14 +277884,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6829 /* Table6829 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6831 /* Table6831 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -166521,24 +277904,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6833 /* Table6833 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6835 /* Table6835 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6837 /* Table6837 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6839 /* Table6839 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -166616,9 +277999,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6841 /* Table6841 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -166631,14 +278014,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    6843 /* Table6843 */
    },
    /* 0x73 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    6859 /* Table6859 */
    },
    /* 0x74 */
    { /* ModRMDecision */
@@ -166696,9 +278079,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6875 /* Table6875 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -167116,14 +278499,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6877 /* Table6877 */
    },
    /* 0xd4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6879 /* Table6879 */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -167156,9 +278539,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6881 /* Table6881 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -167176,9 +278559,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6883 /* Table6883 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -167191,9 +278574,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6885 /* Table6885 */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -167236,9 +278619,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6887 /* Table6887 */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -167256,9 +278639,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6889 /* Table6889 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -167276,14 +278659,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6891 /* Table6891 */
    },
    /* 0xf4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6893 /* Table6893 */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -167316,9 +278699,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6895 /* Table6895 */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -167341,8 +278724,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- }
-,  /* IC_EVEX_L_W_XS_K */
+ },
+ /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -167426,9 +278809,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5045 /* Table5045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -167901,9 +279284,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5125 /* Table5125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -167981,9 +279364,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5127 /* Table5127 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -168627,68 +280010,72 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_XD_K */
+, };
+static const uint8_t index_x86DisassemblerTwoByteOpcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 0, 8, 9, 10, 11, 12, 13, 14, 15, 0, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 0, 80, 81, 82, 83, 84, 0, 85, 0, 0, 86, 87, 88, 0, 0, 89, 0, 0, 0, 90, 91, 0, 92, 93, 94, 0, 95, 96, 97, 98, 0, 99, 0, 0, 100, 101, 102, 0, 0, 103, 0, 0, 0, 104, 105, 0, 0, 106, 0, 0, 0, 107, 108, 109, 0, 110, 0, 0, 111, 112, 113, 0, 0, 114, 0, 0, 0, 115, 116, 0, 0, 117, 0, 0, 0, 118, 119, 120, 121, 122, 0, 123, 124, 125, 126, 127, 128, 129, 0, 130, 131, 132, 133, 134, 135, 136, 0, 137, 138, 139, };
+static const struct OpcodeDecision x86DisassemblerThreeByte38Opcodes[] = {
+ /* IC */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -168771,19 +280158,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -169186,9 +280573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5129 /* Table5129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -169266,9 +280653,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5131 /* Table5131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -169631,34 +281018,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -169831,14 +281218,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -169912,68 +281299,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE_K */
+,  /* IC_64BIT */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -169996,14 +281383,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5133 /* Table5133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5135 /* Table5135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -170056,19 +281443,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -170116,14 +281503,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5137 /* Table5137 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5139 /* Table5139 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -170471,9 +281858,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5141 /* Table5141 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -170551,9 +281938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5143 /* Table5143 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -170916,34 +282303,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -171116,14 +282503,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -171197,68 +282584,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_K */
+,  /* IC_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -171283,12 +282670,12 @@ static const struct OpcodeDecision x86Di
    /* 0x10 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5145 /* Table5145 */
+    6967 /* Table6967 */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5147 /* Table5147 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -171301,14 +282688,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -171316,9 +282703,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -171341,19 +282728,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -171361,34 +282748,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -171403,22 +282790,22 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5149 /* Table5149 */
+    6993 /* Table6993 */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5151 /* Table5151 */
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -171441,34 +282828,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -171476,59 +282863,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -171641,14 +283028,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5153 /* Table5153 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5155 /* Table5155 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -171661,24 +283048,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5157 /* Table5157 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5159 /* Table5159 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5161 /* Table5161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5163 /* Table5163 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -171841,19 +283228,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7035 /* Table7035 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7037 /* Table7037 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7039 /* Table7039 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -172201,34 +283588,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -172296,29 +283683,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -172401,14 +283788,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7051 /* Table7051 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7053 /* Table7053 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -172431,9 +283818,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7055 /* Table7055 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -172482,68 +283869,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS_K */
+,  /* IC_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -172626,19 +284013,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -173041,9 +284428,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5165 /* Table5165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -173121,9 +284508,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5167 /* Table5167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -173486,34 +284873,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -173686,14 +285073,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -173767,68 +285154,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XD_K */
+,  /* IC_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -173851,9 +285238,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6967 /* Table6967 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -173871,14 +285258,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -173886,9 +285273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -173911,19 +285298,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -173931,34 +285318,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -173971,24 +285358,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6993 /* Table6993 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -174011,34 +285398,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -174046,59 +285433,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -174326,9 +285713,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5169 /* Table5169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -174406,24 +285793,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5171 /* Table5171 */
-   },
-   /* 0x80 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7035 /* Table7035 */
+   },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7037 /* Table7037 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7039 /* Table7039 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -174771,34 +286158,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -174866,29 +286253,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -174971,14 +286358,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7051 /* Table7051 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7053 /* Table7053 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -175001,9 +286388,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7055 /* Table7055 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -175052,68 +286439,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_K */
+,  /* IC_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -175196,19 +286583,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -175556,19 +286943,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5173 /* Table5173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5175 /* Table5175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5177 /* Table5177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -175611,9 +286998,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5179 /* Table5179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -175626,9 +287013,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    5181 /* Table5181 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
    { /* ModRMDecision */
@@ -175636,19 +287023,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5197 /* Table5197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5199 /* Table5199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5201 /* Table5201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -175691,9 +287078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5203 /* Table5203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -176056,34 +287443,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -176106,9 +287493,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5205 /* Table5205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
    { /* ModRMDecision */
@@ -176151,9 +287538,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5207 /* Table5207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -176171,9 +287558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5209 /* Table5209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -176186,9 +287573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5211 /* Table5211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -176231,9 +287618,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5213 /* Table5213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -176251,25 +287638,25 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5215 /* Table5215 */
-   },
-   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7057 /* Table7057 */
+   },
    /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7059 /* Table7059 */
+   },
+   /* 0xf2 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5217 /* Table5217 */
-   },
    /* 0xf3 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -176306,9 +287693,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5219 /* Table5219 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -176326,9 +287713,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5221 /* Table5221 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -176337,68 +287724,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XS_K */
+,  /* IC_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -176481,19 +287868,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -176896,9 +288283,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5223 /* Table5223 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -176976,9 +288363,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5225 /* Table5225 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -177341,34 +288728,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -177541,14 +288928,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -177571,9 +288958,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7061 /* Table7061 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -177622,7 +289009,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XD_K */
+,  /* IC_XD_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -178181,9 +289568,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5227 /* Table5227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -178261,9 +289648,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5229 /* Table5229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -178831,9 +290218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7063 /* Table7063 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -178907,68 +290294,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_K */
+,  /* IC_64BIT_REXW */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -178991,14 +290378,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5231 /* Table5231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5233 /* Table5233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
    { /* ModRMDecision */
@@ -179051,19 +290438,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -179111,14 +290498,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5235 /* Table5235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5237 /* Table5237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -179351,14 +290738,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5239 /* Table5239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5241 /* Table5241 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -179371,24 +290758,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5243 /* Table5243 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5245 /* Table5245 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5247 /* Table5247 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5249 /* Table5249 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -179466,9 +290853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5251 /* Table5251 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -179481,14 +290868,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    5253 /* Table5253 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    5269 /* Table5269 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x74 */
    { /* ModRMDecision */
@@ -179546,9 +290933,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5285 /* Table5285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -179911,34 +291298,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -179966,14 +291353,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5287 /* Table5287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5289 /* Table5289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -180006,9 +291393,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5291 /* Table5291 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -180026,9 +291413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5293 /* Table5293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -180041,9 +291428,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5295 /* Table5295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
    { /* ModRMDecision */
@@ -180086,9 +291473,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5297 /* Table5297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -180106,19 +291493,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5299 /* Table5299 */
-   },
-   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7065 /* Table7065 */
+   },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7067 /* Table7067 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -180126,14 +291513,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5301 /* Table5301 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5303 /* Table5303 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -180166,9 +291553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5305 /* Table5305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -180192,68 +291579,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE_B */
+,  /* IC_64BIT_REXW_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -180276,9 +291663,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6967 /* Table6967 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -180296,14 +291683,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -180311,9 +291698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -180336,19 +291723,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -180356,34 +291743,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -180396,24 +291783,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6993 /* Table6993 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -180436,34 +291823,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -180471,59 +291858,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -180706,9 +292093,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5307 /* Table5307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -180786,9 +292173,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5309 /* Table5309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -180836,19 +292223,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7069 /* Table7069 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7071 /* Table7071 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7073 /* Table7073 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -181196,34 +292583,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -181291,29 +292678,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -181396,14 +292783,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7065 /* Table7065 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7067 /* Table7067 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -181426,9 +292813,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7055 /* Table7055 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -181477,68 +292864,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE_B */
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -181561,9 +292948,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6967 /* Table6967 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -181581,14 +292968,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -181596,9 +292983,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -181621,19 +293008,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -181641,34 +293028,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -181681,24 +293068,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6993 /* Table6993 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -181721,34 +293108,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -181756,59 +293143,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -181991,9 +293378,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5311 /* Table5311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -182071,9 +293458,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5313 /* Table5313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -182121,19 +293508,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7069 /* Table7069 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7071 /* Table7071 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7073 /* Table7073 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -182481,34 +293868,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -182576,29 +293963,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -182681,14 +294068,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7051 /* Table7051 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7053 /* Table7053 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -182711,9 +294098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7055 /* Table7055 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -182762,68 +294149,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_B */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -182906,19 +294293,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -183206,14 +294593,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5315 /* Table5315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5317 /* Table5317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -183221,29 +294608,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5319 /* Table5319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5321 /* Table5321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5323 /* Table5323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
-   /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5325 /* Table5325 */
+   /* 0x5e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5327 /* Table5327 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -183371,9 +294758,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5329 /* Table5329 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -183736,9 +295123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5331 /* Table5331 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -183766,34 +295153,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -183966,14 +295353,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -184047,68 +295434,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XD_B */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -184131,9 +295518,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6967 /* Table6967 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -184151,14 +295538,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -184166,9 +295553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -184191,19 +295578,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -184211,34 +295598,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -184251,24 +295638,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6993 /* Table6993 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -184291,34 +295678,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -184326,59 +295713,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -184661,9 +296048,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5333 /* Table5333 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
    { /* ModRMDecision */
@@ -184691,19 +296078,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7069 /* Table7069 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7071 /* Table7071 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7073 /* Table7073 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -185051,34 +296438,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -185146,29 +296533,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -185251,14 +296638,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7051 /* Table7051 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7053 /* Table7053 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -185281,9 +296668,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7055 /* Table7055 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -185332,68 +296719,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_B */
+,  /* IC_64BIT_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -185476,19 +296863,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -185791,9 +297178,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5335 /* Table5335 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* ModRMDecision */
@@ -185846,9 +297233,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5337 /* Table5337 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -185926,9 +297313,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5339 /* Table5339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -186336,34 +297723,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -186431,9 +297818,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5341 /* Table5341 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -186451,9 +297838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5343 /* Table5343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -186511,9 +297898,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5345 /* Table5345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -186531,19 +297918,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5347 /* Table5347 */
-   },
-   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7057 /* Table7057 */
+   },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7059 /* Table7059 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -186586,9 +297973,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5349 /* Table5349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -186606,9 +297993,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5351 /* Table5351 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -186617,68 +298004,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_B */
+,  /* IC_64BIT_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -186761,19 +298148,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -187226,9 +298613,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5353 /* Table5353 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -187621,34 +299008,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -187821,14 +299208,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6939 /* Table6939 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6941 /* Table6941 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -187851,9 +299238,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7061 /* Table7061 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -187902,7 +299289,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XD_B */
+,  /* IC_64BIT_XD_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -189056,9 +300443,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5355 /* Table5355 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe7 */
    { /* ModRMDecision */
@@ -189111,9 +300498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7063 /* Table7063 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -189187,68 +300574,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_B */
+,  /* IC_64BIT_REXW_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -189331,19 +300718,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -189631,19 +301018,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5357 /* Table5357 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5359 /* Table5359 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5361 /* Table5361 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -189651,24 +301038,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5363 /* Table5363 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5365 /* Table5365 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5367 /* Table5367 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5369 /* Table5369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -190161,9 +301548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5371 /* Table5371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
    { /* ModRMDecision */
@@ -190191,34 +301578,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -190251,9 +301638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5373 /* Table5373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -190286,9 +301673,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5375 /* Table5375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -190306,9 +301693,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5377 /* Table5377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -190366,9 +301753,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5379 /* Table5379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -190386,19 +301773,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5381 /* Table5381 */
-   },
-   /* 0xf0 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7065 /* Table7065 */
+   },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7067 /* Table7067 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -190411,20 +301798,20 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5383 /* Table5383 */
-   },
-   /* 0xf5 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xf6 */
+   /* 0xf5 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7075 /* Table7075 */
+   },
    /* 0xf7 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -190446,9 +301833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5385 /* Table5385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -190472,68 +301859,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE_K_B */
+,  /* IC_64BIT_REXW_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6897 /* Table6897 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6899 /* Table6899 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6901 /* Table6901 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6903 /* Table6903 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6905 /* Table6905 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6907 /* Table6907 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6909 /* Table6909 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6911 /* Table6911 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6913 /* Table6913 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6915 /* Table6915 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6917 /* Table6917 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6919 /* Table6919 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -190616,19 +302003,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6921 /* Table6921 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6923 /* Table6923 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6925 /* Table6925 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -190986,9 +302373,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5387 /* Table5387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -191066,9 +302453,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5389 /* Table5389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -191476,34 +302863,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -191676,14 +303063,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7077 /* Table7077 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7079 /* Table7079 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -191757,68 +303144,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE_K_B */
+,  /* IC_64BIT_REXW_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6943 /* Table6943 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6945 /* Table6945 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6947 /* Table6947 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6949 /* Table6949 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6951 /* Table6951 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6953 /* Table6953 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6955 /* Table6955 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6957 /* Table6957 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6959 /* Table6959 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6961 /* Table6961 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6963 /* Table6963 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6965 /* Table6965 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -191841,9 +303228,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6967 /* Table6967 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -191861,14 +303248,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6969 /* Table6969 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6971 /* Table6971 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -191876,9 +303263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6973 /* Table6973 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -191901,19 +303288,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6975 /* Table6975 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6977 /* Table6977 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6979 /* Table6979 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -191921,34 +303308,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6981 /* Table6981 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6983 /* Table6983 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6985 /* Table6985 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6987 /* Table6987 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6989 /* Table6989 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6991 /* Table6991 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -191961,24 +303348,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6993 /* Table6993 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6995 /* Table6995 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6997 /* Table6997 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6999 /* Table6999 */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -192001,34 +303388,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7001 /* Table7001 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7003 /* Table7003 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7005 /* Table7005 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7007 /* Table7007 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7009 /* Table7009 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7011 /* Table7011 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -192036,59 +303423,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7013 /* Table7013 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7015 /* Table7015 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7017 /* Table7017 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7019 /* Table7019 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7021 /* Table7021 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7023 /* Table7023 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7025 /* Table7025 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7027 /* Table7027 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7029 /* Table7029 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7031 /* Table7031 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7033 /* Table7033 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -192271,9 +303658,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5391 /* Table5391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -192351,9 +303738,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5393 /* Table5393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -192401,19 +303788,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7069 /* Table7069 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7071 /* Table7071 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7073 /* Table7073 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -192761,34 +304148,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6927 /* Table6927 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6929 /* Table6929 */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6931 /* Table6931 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6933 /* Table6933 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6935 /* Table6935 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    6937 /* Table6937 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -192856,29 +304243,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7041 /* Table7041 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7043 /* Table7043 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7045 /* Table7045 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7047 /* Table7047 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7049 /* Table7049 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -192961,14 +304348,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7065 /* Table7065 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7067 /* Table7067 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -192991,9 +304378,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7081 /* Table7081 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -193042,7 +304429,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_K_B */
+,  /* IC_VEX */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -193486,14 +304873,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5395 /* Table5395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5397 /* Table5397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -193506,24 +304893,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5399 /* Table5399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5401 /* Table5401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5403 /* Table5403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5405 /* Table5405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -194256,14 +305643,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7083 /* Table7083 */
    },
    /* 0xf3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    7085 /* Table7085 */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -194271,9 +305658,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7101 /* Table7101 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -194281,9 +305668,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7103 /* Table7103 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -194327,7 +305714,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_K_B */
+,  /* IC_VEX_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -194841,9 +306228,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5407 /* Table5407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -194921,9 +306308,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5409 /* Table5409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
    { /* ModRMDecision */
@@ -195426,9 +306813,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5411 /* Table5411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -195446,9 +306833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5413 /* Table5413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -195506,9 +306893,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5415 /* Table5415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -195526,9 +306913,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5417 /* Table5417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -195556,9 +306943,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7105 /* Table7105 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -195566,9 +306953,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7107 /* Table7107 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -195581,9 +306968,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5419 /* Table5419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -195601,9 +306988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5421 /* Table5421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -195612,7 +306999,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_K_B */
+,  /* IC_VEX_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -196056,14 +307443,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5423 /* Table5423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5425 /* Table5425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -196076,24 +307463,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5427 /* Table5427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5429 /* Table5429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5431 /* Table5431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5433 /* Table5433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -196676,9 +308063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5435 /* Table5435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -196711,9 +308098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5437 /* Table5437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -196731,9 +308118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5439 /* Table5439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -196791,9 +308178,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5441 /* Table5441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -196811,9 +308198,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5443 /* Table5443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -196836,24 +308223,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5445 /* Table5445 */
-   },
-   /* 0xf5 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7109 /* Table7109 */
+   },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7111 /* Table7111 */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7113 /* Table7113 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -196871,9 +308258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5447 /* Table5447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -196897,88 +308284,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_KZ_B */
+,  /* IC_VEX_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7115 /* Table7115 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7117 /* Table7117 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7119 /* Table7119 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7121 /* Table7121 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7123 /* Table7123 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7125 /* Table7125 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7127 /* Table7127 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7129 /* Table7129 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7131 /* Table7131 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7133 /* Table7133 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7135 /* Table7135 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7137 /* Table7137 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7139 /* Table7139 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7141 /* Table7141 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7143 /* Table7143 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7145 /* Table7145 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -196996,9 +308383,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7147 /* Table7147 */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -197016,14 +308403,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7149 /* Table7149 */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7151 /* Table7151 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -197041,19 +308428,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7153 /* Table7153 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7155 /* Table7155 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7157 /* Table7157 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -197061,34 +308448,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7159 /* Table7159 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7161 /* Table7161 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7163 /* Table7163 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7165 /* Table7165 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7167 /* Table7167 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7169 /* Table7169 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -197101,74 +308488,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7171 /* Table7171 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7173 /* Table7173 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7175 /* Table7175 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7177 /* Table7177 */
    },
    /* 0x2c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7179 /* Table7179 */
    },
    /* 0x2d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7181 /* Table7181 */
    },
    /* 0x2e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7183 /* Table7183 */
    },
    /* 0x2f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7185 /* Table7185 */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7187 /* Table7187 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7189 /* Table7189 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7191 /* Table7191 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7193 /* Table7193 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7195 /* Table7195 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7197 /* Table7197 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -197176,59 +308563,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7199 /* Table7199 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7201 /* Table7201 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7203 /* Table7203 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7205 /* Table7205 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7207 /* Table7207 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7209 /* Table7209 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7211 /* Table7211 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7213 /* Table7213 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7215 /* Table7215 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7217 /* Table7217 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7219 /* Table7219 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -197246,19 +308633,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7221 /* Table7221 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7223 /* Table7223 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7225 /* Table7225 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -197343,12 +308730,12 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5449 /* Table5449 */
+    7227 /* Table7227 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5451 /* Table5451 */
+    7229 /* Table7229 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -197361,24 +308748,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5453 /* Table5453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5455 /* Table5455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5457 /* Table5457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5459 /* Table5459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -197501,14 +308888,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7231 /* Table7231 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7233 /* Table7233 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -197601,9 +308988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7235 /* Table7235 */
    },
    /* 0x8d */
    { /* ModRMDecision */
@@ -197611,9 +308998,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7237 /* Table7237 */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -197621,24 +309008,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7239 /* Table7239 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7241 /* Table7241 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7243 /* Table7243 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7245 /* Table7245 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -197651,54 +309038,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7247 /* Table7247 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7249 /* Table7249 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7251 /* Table7251 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7253 /* Table7253 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7255 /* Table7255 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7257 /* Table7257 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7259 /* Table7259 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7261 /* Table7261 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7263 /* Table7263 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7265 /* Table7265 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -197731,54 +309118,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7267 /* Table7267 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7269 /* Table7269 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7271 /* Table7271 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7273 /* Table7273 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7275 /* Table7275 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7277 /* Table7277 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7279 /* Table7279 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7281 /* Table7281 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7283 /* Table7283 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7285 /* Table7285 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -197811,54 +309198,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7287 /* Table7287 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7289 /* Table7289 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7291 /* Table7291 */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7293 /* Table7293 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7295 /* Table7295 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7297 /* Table7297 */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7299 /* Table7299 */
    },
    /* 0xbd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7301 /* Table7301 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7303 /* Table7303 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7305 /* Table7305 */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -197996,29 +309383,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7307 /* Table7307 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7309 /* Table7309 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7311 /* Table7311 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7313 /* Table7313 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7315 /* Table7315 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -198136,9 +309523,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7317 /* Table7317 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -198182,7 +309569,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_KZ_B */
+,  /* IC_VEX_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -199281,9 +310668,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5461 /* Table5461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -199301,9 +310688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5463 /* Table5463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -199361,9 +310748,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5465 /* Table5465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -199381,9 +310768,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5467 /* Table5467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -199396,14 +310783,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7319 /* Table7319 */
    },
    /* 0xf3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    7321 /* Table7321 */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -199411,9 +310798,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7337 /* Table7337 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -199421,9 +310808,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7339 /* Table7339 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -199436,9 +310823,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5469 /* Table5469 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -199456,9 +310843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5471 /* Table5471 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -199467,7 +310854,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_KZ_B */
+,  /* IC_VEX_W_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -199911,14 +311298,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5473 /* Table5473 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5475 /* Table5475 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -199931,24 +311318,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5477 /* Table5477 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5479 /* Table5479 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5481 /* Table5481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5483 /* Table5483 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -200531,9 +311918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5485 /* Table5485 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -200566,9 +311953,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5487 /* Table5487 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -200586,9 +311973,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5489 /* Table5489 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -200646,9 +312033,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5491 /* Table5491 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -200666,9 +312053,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5493 /* Table5493 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -200691,24 +312078,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5495 /* Table5495 */
-   },
-   /* 0xf5 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7341 /* Table7341 */
+   },
    /* 0xf6 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7343 /* Table7343 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -200726,9 +312113,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5497 /* Table5497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -200752,7 +312139,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_KZ */
+,  /* IC_VEX_W_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -200836,9 +312223,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5499 /* Table5499 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -200956,9 +312343,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5501 /* Table5501 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -201981,19 +313368,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7345 /* Table7345 */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7347 /* Table7347 */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7349 /* Table7349 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -202037,88 +313424,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XS_KZ */
+,  /* IC_VEX_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7115 /* Table7115 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7117 /* Table7117 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7119 /* Table7119 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7121 /* Table7121 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7123 /* Table7123 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7125 /* Table7125 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7127 /* Table7127 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7129 /* Table7129 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7131 /* Table7131 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7133 /* Table7133 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7135 /* Table7135 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7137 /* Table7137 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7139 /* Table7139 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7141 /* Table7141 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7143 /* Table7143 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7145 /* Table7145 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -202136,9 +313523,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7147 /* Table7147 */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -202156,14 +313543,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7149 /* Table7149 */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7151 /* Table7151 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -202181,19 +313568,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7153 /* Table7153 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7155 /* Table7155 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7157 /* Table7157 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -202201,34 +313588,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7159 /* Table7159 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7161 /* Table7161 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7163 /* Table7163 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7165 /* Table7165 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7167 /* Table7167 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7169 /* Table7169 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -202241,74 +313628,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7171 /* Table7171 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7173 /* Table7173 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7175 /* Table7175 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7177 /* Table7177 */
    },
    /* 0x2c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7179 /* Table7179 */
    },
    /* 0x2d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7181 /* Table7181 */
    },
    /* 0x2e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7183 /* Table7183 */
    },
    /* 0x2f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7185 /* Table7185 */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7187 /* Table7187 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7189 /* Table7189 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7191 /* Table7191 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7193 /* Table7193 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7195 /* Table7195 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7197 /* Table7197 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -202316,59 +313703,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7199 /* Table7199 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7201 /* Table7201 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7203 /* Table7203 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7205 /* Table7205 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7207 /* Table7207 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7209 /* Table7209 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7211 /* Table7211 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7213 /* Table7213 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7215 /* Table7215 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7217 /* Table7217 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7219 /* Table7219 */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -202386,19 +313773,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7351 /* Table7351 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7223 /* Table7223 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7353 /* Table7353 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -202481,14 +313868,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7227 /* Table7227 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7229 /* Table7229 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -202596,9 +313983,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5503 /* Table5503 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -202641,14 +314028,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7231 /* Table7231 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7233 /* Table7233 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -202741,9 +314128,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7355 /* Table7355 */
    },
    /* 0x8d */
    { /* ModRMDecision */
@@ -202751,9 +314138,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7357 /* Table7357 */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -202761,24 +314148,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7359 /* Table7359 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7361 /* Table7361 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7363 /* Table7363 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7365 /* Table7365 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -202791,54 +314178,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7367 /* Table7367 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7369 /* Table7369 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7371 /* Table7371 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7373 /* Table7373 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7375 /* Table7375 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7377 /* Table7377 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7379 /* Table7379 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7381 /* Table7381 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7383 /* Table7383 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7385 /* Table7385 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -202871,54 +314258,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7387 /* Table7387 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7389 /* Table7389 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7391 /* Table7391 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7393 /* Table7393 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7395 /* Table7395 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7397 /* Table7397 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7399 /* Table7399 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7401 /* Table7401 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7403 /* Table7403 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7405 /* Table7405 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -202951,54 +314338,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7407 /* Table7407 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7409 /* Table7409 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7411 /* Table7411 */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7413 /* Table7413 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7415 /* Table7415 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7417 /* Table7417 */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7419 /* Table7419 */
    },
    /* 0xbd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7421 /* Table7421 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7423 /* Table7423 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7425 /* Table7425 */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -203136,29 +314523,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7307 /* Table7307 */
    },
    /* 0xdc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7309 /* Table7309 */
    },
    /* 0xdd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7311 /* Table7311 */
    },
    /* 0xde */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7313 /* Table7313 */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7315 /* Table7315 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -203276,9 +314663,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7427 /* Table7427 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -203322,88 +314709,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_XD_KZ */
+,  /* IC_VEX_L_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7429 /* Table7429 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7431 /* Table7431 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7433 /* Table7433 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7435 /* Table7435 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7437 /* Table7437 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7439 /* Table7439 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7441 /* Table7441 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7443 /* Table7443 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7445 /* Table7445 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7447 /* Table7447 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7449 /* Table7449 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7451 /* Table7451 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7453 /* Table7453 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7455 /* Table7455 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7457 /* Table7457 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7459 /* Table7459 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -203421,9 +314808,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7461 /* Table7461 */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -203436,29 +314823,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7463 /* Table7463 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7465 /* Table7465 */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7467 /* Table7467 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7469 /* Table7469 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7471 /* Table7471 */
    },
    /* 0x1b */
    { /* ModRMDecision */
@@ -203466,19 +314853,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7473 /* Table7473 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7475 /* Table7475 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7477 /* Table7477 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -203486,34 +314873,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7479 /* Table7479 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7481 /* Table7481 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7483 /* Table7483 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7485 /* Table7485 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7487 /* Table7487 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7489 /* Table7489 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -203526,129 +314913,129 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7491 /* Table7491 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7493 /* Table7493 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7495 /* Table7495 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7497 /* Table7497 */
    },
    /* 0x2c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7499 /* Table7499 */
    },
    /* 0x2d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7501 /* Table7501 */
    },
    /* 0x2e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7503 /* Table7503 */
    },
    /* 0x2f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7505 /* Table7505 */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7507 /* Table7507 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7509 /* Table7509 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7511 /* Table7511 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7513 /* Table7513 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7515 /* Table7515 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7517 /* Table7517 */
    },
    /* 0x36 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7519 /* Table7519 */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7521 /* Table7521 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7523 /* Table7523 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7525 /* Table7525 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7527 /* Table7527 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7529 /* Table7529 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7531 /* Table7531 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7533 /* Table7533 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7535 /* Table7535 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7537 /* Table7537 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7539 /* Table7539 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -203671,19 +315058,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7541 /* Table7541 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7543 /* Table7543 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7545 /* Table7545 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -203766,14 +315153,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7547 /* Table7547 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7549 /* Table7549 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -203881,9 +315268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5505 /* Table5505 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -203926,14 +315313,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7551 /* Table7551 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7553 /* Table7553 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -204026,9 +315413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7555 /* Table7555 */
    },
    /* 0x8d */
    { /* ModRMDecision */
@@ -204036,9 +315423,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7557 /* Table7557 */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -204046,24 +315433,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7559 /* Table7559 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7561 /* Table7561 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7563 /* Table7563 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7565 /* Table7565 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -204076,54 +315463,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7567 /* Table7567 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7569 /* Table7569 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7571 /* Table7571 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7253 /* Table7253 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7573 /* Table7573 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7257 /* Table7257 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7575 /* Table7575 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7261 /* Table7261 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7577 /* Table7577 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7265 /* Table7265 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -204156,54 +315543,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7579 /* Table7579 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7581 /* Table7581 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7583 /* Table7583 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7273 /* Table7273 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7585 /* Table7585 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7277 /* Table7277 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7587 /* Table7587 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7281 /* Table7281 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7589 /* Table7589 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7285 /* Table7285 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -204236,54 +315623,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7591 /* Table7591 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7593 /* Table7593 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7595 /* Table7595 */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7293 /* Table7293 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7597 /* Table7597 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7297 /* Table7297 */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7599 /* Table7599 */
    },
    /* 0xbd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7301 /* Table7301 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7601 /* Table7601 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7305 /* Table7305 */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -204607,88 +315994,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE_KZ */
+,  /* IC_VEX_L_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7429 /* Table7429 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7431 /* Table7431 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7433 /* Table7433 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7435 /* Table7435 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7437 /* Table7437 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7439 /* Table7439 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7441 /* Table7441 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7443 /* Table7443 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7445 /* Table7445 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7447 /* Table7447 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7449 /* Table7449 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7451 /* Table7451 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7453 /* Table7453 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7455 /* Table7455 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7457 /* Table7457 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7459 /* Table7459 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -204706,9 +316093,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7461 /* Table7461 */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -204721,29 +316108,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7463 /* Table7463 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7465 /* Table7465 */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7467 /* Table7467 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7469 /* Table7469 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7471 /* Table7471 */
    },
    /* 0x1b */
    { /* ModRMDecision */
@@ -204751,19 +316138,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7473 /* Table7473 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7475 /* Table7475 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7477 /* Table7477 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -204771,34 +316158,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7479 /* Table7479 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7481 /* Table7481 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7483 /* Table7483 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7485 /* Table7485 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7487 /* Table7487 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7489 /* Table7489 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -204811,129 +316198,129 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7491 /* Table7491 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7493 /* Table7493 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7495 /* Table7495 */
    },
    /* 0x2b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7497 /* Table7497 */
    },
    /* 0x2c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7499 /* Table7499 */
    },
    /* 0x2d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7501 /* Table7501 */
    },
    /* 0x2e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7503 /* Table7503 */
    },
    /* 0x2f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7505 /* Table7505 */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7507 /* Table7507 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7509 /* Table7509 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7511 /* Table7511 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7513 /* Table7513 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7515 /* Table7515 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7517 /* Table7517 */
    },
    /* 0x36 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7519 /* Table7519 */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7521 /* Table7521 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7523 /* Table7523 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7525 /* Table7525 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7527 /* Table7527 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7529 /* Table7529 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7531 /* Table7531 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7533 /* Table7533 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7535 /* Table7535 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7537 /* Table7537 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7539 /* Table7539 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -204956,19 +316343,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7603 /* Table7603 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7543 /* Table7543 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7605 /* Table7605 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -205051,14 +316438,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7547 /* Table7547 */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7549 /* Table7549 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -205166,9 +316553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5507 /* Table5507 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -205211,14 +316598,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7551 /* Table7551 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7553 /* Table7553 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -205311,9 +316698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7607 /* Table7607 */
    },
    /* 0x8d */
    { /* ModRMDecision */
@@ -205321,9 +316708,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7609 /* Table7609 */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -205331,24 +316718,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7611 /* Table7611 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7613 /* Table7613 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7615 /* Table7615 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7617 /* Table7617 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -205361,54 +316748,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7619 /* Table7619 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7621 /* Table7621 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7623 /* Table7623 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7373 /* Table7373 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7625 /* Table7625 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7377 /* Table7377 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7627 /* Table7627 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7381 /* Table7381 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7629 /* Table7629 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7385 /* Table7385 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -205441,54 +316828,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7631 /* Table7631 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7633 /* Table7633 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7635 /* Table7635 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7393 /* Table7393 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7637 /* Table7637 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7397 /* Table7397 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7639 /* Table7639 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7401 /* Table7401 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7641 /* Table7641 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7405 /* Table7405 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -205521,54 +316908,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7643 /* Table7643 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7645 /* Table7645 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7647 /* Table7647 */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7413 /* Table7413 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7649 /* Table7649 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7417 /* Table7417 */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7651 /* Table7651 */
    },
    /* 0xbd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7421 /* Table7421 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7653 /* Table7653 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7425 /* Table7425 */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -205892,7 +317279,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XS_KZ */
+,  /* IC_EVEX_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -206096,9 +317483,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7655 /* Table7655 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -206176,9 +317563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7657 /* Table7657 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -206186,9 +317573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7659 /* Table7659 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -206451,9 +317838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5509 /* Table5509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -207177,7 +318564,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_XD_KZ */
+,  /* IC_EVEX_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -207301,9 +318688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7661 /* Table7661 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -207391,9 +318778,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7663 /* Table7663 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -207461,49 +318848,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7665 /* Table7665 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7667 /* Table7667 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7669 /* Table7669 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7671 /* Table7671 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7673 /* Table7673 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7675 /* Table7675 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7677 /* Table7677 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7679 /* Table7679 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7681 /* Table7681 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -207561,24 +318948,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7683 /* Table7683 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7685 /* Table7685 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7687 /* Table7687 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7689 /* Table7689 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -207681,19 +319068,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7691 /* Table7691 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7693 /* Table7693 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7695 /* Table7695 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -207736,9 +319123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5511 /* Table5511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -207791,19 +319178,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7697 /* Table7697 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7699 /* Table7699 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7701 /* Table7701 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -207931,19 +319318,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7703 /* Table7703 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7705 /* Table7705 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7707 /* Table7707 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -207951,9 +319338,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7709 /* Table7709 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -207961,9 +319348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7711 /* Table7711 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -207971,9 +319358,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7713 /* Table7713 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -208011,54 +319398,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7715 /* Table7715 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7717 /* Table7717 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7719 /* Table7719 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7721 /* Table7721 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7723 /* Table7723 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7725 /* Table7725 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7727 /* Table7727 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7729 /* Table7729 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7731 /* Table7731 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7733 /* Table7733 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -208091,19 +319478,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7735 /* Table7735 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7737 /* Table7737 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7739 /* Table7739 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -208111,9 +319498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7741 /* Table7741 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -208121,9 +319508,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7743 /* Table7743 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -208131,9 +319518,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7745 /* Table7745 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -208196,9 +319583,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7747 /* Table7747 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -208206,9 +319593,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7749 /* Table7749 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -208462,7 +319849,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE_KZ */
+,  /* IC_EVEX_W_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -208546,9 +319933,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5513 /* Table5513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -208668,7 +320055,7 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5515 /* Table5515 */
+    7751 /* Table7751 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -208676,9 +320063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7753 /* Table7753 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -208746,9 +320133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7755 /* Table7755 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -208756,9 +320143,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7659 /* Table7659 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -209021,9 +320408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5517 /* Table5517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -209747,7 +321134,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_KZ */
+,  /* IC_EVEX_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -209831,9 +321218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5519 /* Table5519 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -209871,9 +321258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7661 /* Table7661 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -209951,19 +321338,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5521 /* Table5521 */
-   },
-   /* 0x29 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7757 /* Table7757 */
+   },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7663 /* Table7663 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -210026,54 +321413,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7759 /* Table7759 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7665 /* Table7665 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7761 /* Table7761 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7669 /* Table7669 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7763 /* Table7763 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7673 /* Table7673 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7765 /* Table7765 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7677 /* Table7677 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7767 /* Table7767 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7769 /* Table7769 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -210131,24 +321518,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7771 /* Table7771 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7773 /* Table7773 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7775 /* Table7775 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7777 /* Table7777 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -210251,19 +321638,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7779 /* Table7779 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7781 /* Table7781 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7783 /* Table7783 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -210361,19 +321748,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7697 /* Table7697 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7699 /* Table7699 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7785 /* Table7785 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -210501,19 +321888,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7787 /* Table7787 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7789 /* Table7789 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7791 /* Table7791 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -210521,9 +321908,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7793 /* Table7793 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -210531,9 +321918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7795 /* Table7795 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -210541,9 +321928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7797 /* Table7797 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -210581,54 +321968,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7799 /* Table7799 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7801 /* Table7801 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7803 /* Table7803 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7805 /* Table7805 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7807 /* Table7807 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7809 /* Table7809 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7811 /* Table7811 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7813 /* Table7813 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7815 /* Table7815 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7817 /* Table7817 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -210661,19 +322048,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7819 /* Table7819 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7821 /* Table7821 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7823 /* Table7823 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -210681,9 +322068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7825 /* Table7825 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -210691,9 +322078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7827 /* Table7827 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -210701,9 +322088,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7829 /* Table7829 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -210766,9 +322153,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7831 /* Table7831 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -210776,9 +322163,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7833 /* Table7833 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -211032,7 +322419,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XS_KZ */
+,  /* IC_EVEX_L_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -211236,9 +322623,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7835 /* Table7835 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -211316,9 +322703,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7837 /* Table7837 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -211326,9 +322713,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7839 /* Table7839 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -211591,9 +322978,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5523 /* Table5523 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -212317,7 +323704,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_XD_KZ */
+,  /* IC_EVEX_L_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -212441,9 +323828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7841 /* Table7841 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -212531,9 +323918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7843 /* Table7843 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -212601,49 +323988,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7845 /* Table7845 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7847 /* Table7847 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7849 /* Table7849 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7851 /* Table7851 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7853 /* Table7853 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7855 /* Table7855 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7857 /* Table7857 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7859 /* Table7859 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7861 /* Table7861 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -212701,9 +324088,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7863 /* Table7863 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -212711,9 +324098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7865 /* Table7865 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -212815,26 +324202,26 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x66 */
+   /* 0x63 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x64 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7867 /* Table7867 */
+   },
+   /* 0x65 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7869 /* Table7869 */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7871 /* Table7871 */
+   },
    /* 0x67 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -212876,9 +324263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5525 /* Table5525 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -212931,19 +324318,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7873 /* Table7873 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7875 /* Table7875 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7877 /* Table7877 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -213071,19 +324458,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7879 /* Table7879 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7881 /* Table7881 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7883 /* Table7883 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -213091,9 +324478,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7885 /* Table7885 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -213101,9 +324488,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7887 /* Table7887 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -213111,9 +324498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7889 /* Table7889 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -213151,19 +324538,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7891 /* Table7891 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7893 /* Table7893 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7895 /* Table7895 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -213171,9 +324558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7897 /* Table7897 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -213181,9 +324568,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7899 /* Table7899 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -213191,9 +324578,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7901 /* Table7901 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -213231,19 +324618,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7903 /* Table7903 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7905 /* Table7905 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7907 /* Table7907 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -213251,9 +324638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7909 /* Table7909 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -213261,9 +324648,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7911 /* Table7911 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -213271,9 +324658,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7913 /* Table7913 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -213602,7 +324989,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE_KZ */
+,  /* IC_EVEX_L_W_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -213806,9 +325193,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7915 /* Table7915 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -213816,9 +325203,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7917 /* Table7917 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -213886,9 +325273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7919 /* Table7919 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -213896,9 +325283,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7659 /* Table7659 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -214161,9 +325548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5527 /* Table5527 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -214887,7 +326274,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_XS_KZ */
+,  /* IC_EVEX_L_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -215011,14 +326398,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7661 /* Table7661 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7921 /* Table7921 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -215096,14 +326483,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7923 /* Table7923 */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7663 /* Table7663 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -215166,54 +326553,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7925 /* Table7925 */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7665 /* Table7665 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7927 /* Table7927 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7669 /* Table7669 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7929 /* Table7929 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7673 /* Table7673 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7931 /* Table7931 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7677 /* Table7677 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7933 /* Table7933 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7935 /* Table7935 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -215271,24 +326658,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7937 /* Table7937 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7685 /* Table7685 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7939 /* Table7939 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7689 /* Table7689 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -215391,19 +326778,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7941 /* Table7941 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7943 /* Table7943 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7945 /* Table7945 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -215446,9 +326833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5529 /* Table5529 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -215501,19 +326888,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7697 /* Table7697 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7699 /* Table7699 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7947 /* Table7947 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -215641,19 +327028,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7949 /* Table7949 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7951 /* Table7951 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7953 /* Table7953 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -215661,9 +327048,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7955 /* Table7955 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -215671,9 +327058,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7957 /* Table7957 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -215681,9 +327068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7959 /* Table7959 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -215721,54 +327108,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7961 /* Table7961 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7963 /* Table7963 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7965 /* Table7965 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7721 /* Table7721 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7967 /* Table7967 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7725 /* Table7725 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7969 /* Table7969 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7729 /* Table7729 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7971 /* Table7971 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7733 /* Table7733 */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -215801,19 +327188,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7973 /* Table7973 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7975 /* Table7975 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7977 /* Table7977 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -215821,9 +327208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7979 /* Table7979 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -215831,9 +327218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7981 /* Table7981 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -215841,9 +327228,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7983 /* Table7983 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -215906,9 +327293,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7747 /* Table7747 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -215916,9 +327303,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7749 /* Table7749 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -216172,7 +327559,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_XD_KZ */
+,  /* IC_EVEX_L2_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -216261,29 +327648,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7985 /* Table7985 */
    },
    /* 0x12 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7987 /* Table7987 */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7989 /* Table7989 */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7991 /* Table7991 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7993 /* Table7993 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -216341,29 +327728,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7995 /* Table7995 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7997 /* Table7997 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7999 /* Table7999 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8001 /* Table8001 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8003 /* Table8003 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -216371,14 +327758,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8005 /* Table8005 */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8007 /* Table8007 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -216421,29 +327808,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8009 /* Table8009 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8011 /* Table8011 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8013 /* Table8013 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8015 /* Table8015 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8017 /* Table8017 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -216456,9 +327843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8019 /* Table8019 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -216466,9 +327853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8021 /* Table8021 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -216731,9 +328118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5531 /* Table5531 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -217457,7 +328844,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE_KZ */
+,  /* IC_EVEX_L2_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -217521,9 +328908,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8023 /* Table8023 */
    },
    /* 0x0d */
    { /* ModRMDecision */
@@ -217541,9 +328928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5533 /* Table5533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -217556,9 +328943,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8025 /* Table8025 */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -217571,9 +328958,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8027 /* Table8027 */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -217581,9 +328968,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8029 /* Table8029 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -217611,9 +328998,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8031 /* Table8031 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -217626,29 +329013,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8033 /* Table8033 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8035 /* Table8035 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8037 /* Table8037 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8039 /* Table8039 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8041 /* Table8041 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -217656,25 +329043,25 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5535 /* Table5535 */
+    8043 /* Table8043 */
    },
-   /* 0x29 */
+   /* 0x28 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x2a */
+   /* 0x29 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8045 /* Table8045 */
+   },
    /* 0x2b */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -217706,34 +329093,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8047 /* Table8047 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8049 /* Table8049 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8051 /* Table8051 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8053 /* Table8053 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8055 /* Table8055 */
    },
    /* 0x36 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8057 /* Table8057 */
    },
    /* 0x37 */
    { /* ModRMDecision */
@@ -217741,49 +329128,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8059 /* Table8059 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8061 /* Table8061 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8063 /* Table8063 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8065 /* Table8065 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8067 /* Table8067 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8069 /* Table8069 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8071 /* Table8071 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8073 /* Table8073 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8075 /* Table8075 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -217801,24 +329188,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8077 /* Table8077 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8079 /* Table8079 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8081 /* Table8081 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8083 /* Table8083 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -217841,9 +329228,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8085 /* Table8085 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -217851,9 +329238,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8087 /* Table8087 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -217901,9 +329288,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8089 /* Table8089 */
    },
    /* 0x59 */
    { /* ModRMDecision */
@@ -217911,9 +329298,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8091 /* Table8091 */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -217961,19 +329348,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8093 /* Table8093 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8095 /* Table8095 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8097 /* Table8097 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -218016,9 +329403,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5537 /* Table5537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -218051,14 +329438,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8099 /* Table8099 */
    },
    /* 0x77 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8101 /* Table8101 */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -218071,19 +329458,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8103 /* Table8103 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8105 /* Table8105 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8107 /* Table8107 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -218091,14 +329478,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8109 /* Table8109 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8111 /* Table8111 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -218211,19 +329598,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8113 /* Table8113 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8115 /* Table8115 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8117 /* Table8117 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -218231,9 +329618,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8119 /* Table8119 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -218241,9 +329628,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8121 /* Table8121 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -218251,9 +329638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8123 /* Table8123 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -218291,19 +329678,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8125 /* Table8125 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8127 /* Table8127 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8129 /* Table8129 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -218311,9 +329698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8131 /* Table8131 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -218321,9 +329708,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8133 /* Table8133 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -218331,9 +329718,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8135 /* Table8135 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -218371,19 +329758,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8137 /* Table8137 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8139 /* Table8139 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8141 /* Table8141 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -218391,9 +329778,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8143 /* Table8143 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -218401,9 +329788,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8145 /* Table8145 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -218411,9 +329798,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8147 /* Table8147 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -218441,9 +329828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8149 /* Table8149 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -218461,9 +329848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8151 /* Table8151 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -218471,9 +329858,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8153 /* Table8153 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -218481,9 +329868,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8155 /* Table8155 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -218742,7 +330129,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_KZ */
+,  /* IC_EVEX_L2_W_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -218826,9 +330213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5539 /* Table5539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -218941,14 +330328,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8157 /* Table8157 */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5541 /* Table5541 */
+    8159 /* Table8159 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -218956,9 +330343,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8161 /* Table8161 */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -219026,9 +330413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8163 /* Table8163 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -219186,14 +330573,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5543 /* Table5543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5545 /* Table5545 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -219206,24 +330593,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5547 /* Table5547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5549 /* Table5549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5551 /* Table5551 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5553 /* Table5553 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -220027,7 +331414,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS_KZ */
+,  /* IC_EVEX_L2_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -220096,9 +331483,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8165 /* Table8165 */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -220141,9 +331528,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8167 /* Table8167 */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -220156,9 +331543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8169 /* Table8169 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -220186,9 +331573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8171 /* Table8171 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -220226,19 +331613,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8173 /* Table8173 */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8175 /* Table8175 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8177 /* Table8177 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -220301,14 +331688,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x36 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8179 /* Table8179 */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8181 /* Table8181 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -220316,9 +331703,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8183 /* Table8183 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -220326,9 +331713,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8185 /* Table8185 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -220336,9 +331723,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8187 /* Table8187 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -220346,14 +331733,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8189 /* Table8189 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8191 /* Table8191 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -220371,24 +331758,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8193 /* Table8193 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8195 /* Table8195 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8197 /* Table8197 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8199 /* Table8199 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -220410,10 +331797,10 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8201 /* Table8201 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -220421,9 +331808,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8203 /* Table8203 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -220476,9 +331863,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8205 /* Table8205 */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -220486,9 +331873,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8207 /* Table8207 */
    },
    /* 0x5c */
    { /* ModRMDecision */
@@ -220531,19 +331918,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8209 /* Table8209 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8211 /* Table8211 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8213 /* Table8213 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -220586,9 +331973,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5555 /* Table5555 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -220621,14 +332008,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8215 /* Table8215 */
    },
    /* 0x77 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8217 /* Table8217 */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -220651,9 +332038,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8219 /* Table8219 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -220661,14 +332048,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8221 /* Table8221 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8223 /* Table8223 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -220781,19 +332168,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8225 /* Table8225 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8227 /* Table8227 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8229 /* Table8229 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -220801,9 +332188,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8231 /* Table8231 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -220811,9 +332198,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8233 /* Table8233 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -220821,9 +332208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8235 /* Table8235 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -220861,19 +332248,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8237 /* Table8237 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8239 /* Table8239 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8241 /* Table8241 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -220881,9 +332268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8243 /* Table8243 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -220891,9 +332278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8245 /* Table8245 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -220901,9 +332288,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8247 /* Table8247 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -220941,19 +332328,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8249 /* Table8249 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8251 /* Table8251 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8253 /* Table8253 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -220961,9 +332348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8255 /* Table8255 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -220971,9 +332358,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8257 /* Table8257 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -220981,9 +332368,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8259 /* Table8259 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -221011,9 +332398,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8261 /* Table8261 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -221031,9 +332418,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8263 /* Table8263 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -221041,9 +332428,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8265 /* Table8265 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -221051,9 +332438,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8267 /* Table8267 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -221312,7 +332699,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XD_KZ */
+,  /* IC_EVEX_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -221436,9 +332823,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8269 /* Table8269 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -221596,49 +332983,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8271 /* Table8271 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8273 /* Table8273 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8275 /* Table8275 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8277 /* Table8277 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8279 /* Table8279 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8281 /* Table8281 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8283 /* Table8283 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8285 /* Table8285 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8287 /* Table8287 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -221696,9 +333083,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8289 /* Table8289 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -221706,9 +333093,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8291 /* Table8291 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -221816,19 +333203,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8293 /* Table8293 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8295 /* Table8295 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8297 /* Table8297 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -221871,9 +333258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5557 /* Table5557 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -221926,19 +333313,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8299 /* Table8299 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8301 /* Table8301 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8303 /* Table8303 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -221996,24 +333383,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8305 /* Table8305 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8307 /* Table8307 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8309 /* Table8309 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8311 /* Table8311 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -222146,19 +333533,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8313 /* Table8313 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8315 /* Table8315 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8317 /* Table8317 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -222166,9 +333553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8319 /* Table8319 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -222176,9 +333563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8321 /* Table8321 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -222186,9 +333573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8323 /* Table8323 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -222226,19 +333613,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8325 /* Table8325 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8327 /* Table8327 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8329 /* Table8329 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -222246,9 +333633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8331 /* Table8331 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -222256,9 +333643,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8333 /* Table8333 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -222266,9 +333653,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8335 /* Table8335 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -222331,9 +333718,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8337 /* Table8337 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -222341,9 +333728,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8339 /* Table8339 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -222597,7 +333984,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_KZ */
+,  /* IC_EVEX_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -222806,9 +334193,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8341 /* Table8341 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -222876,9 +334263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8343 /* Table8343 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -222886,9 +334273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8345 /* Table8345 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -222896,9 +334283,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8347 /* Table8347 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -222906,9 +334293,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8349 /* Table8349 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -222916,14 +334303,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8351 /* Table8351 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8353 /* Table8353 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -222981,9 +334368,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8355 /* Table8355 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -222991,9 +334378,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8357 /* Table8357 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -223101,19 +334488,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8359 /* Table8359 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8361 /* Table8361 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8363 /* Table8363 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -223156,9 +334543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5559 /* Table5559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -223221,9 +334608,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8365 /* Table8365 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -223281,24 +334668,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8367 /* Table8367 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8369 /* Table8369 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8371 /* Table8371 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8373 /* Table8373 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -223431,19 +334818,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8375 /* Table8375 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8377 /* Table8377 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8379 /* Table8379 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -223451,9 +334838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8381 /* Table8381 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -223461,9 +334848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8383 /* Table8383 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -223471,9 +334858,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8385 /* Table8385 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -223511,19 +334898,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8387 /* Table8387 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8389 /* Table8389 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8391 /* Table8391 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -223531,9 +334918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8393 /* Table8393 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -223541,9 +334928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8395 /* Table8395 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -223551,9 +334938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8397 /* Table8397 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -223616,9 +335003,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8399 /* Table8399 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -223626,9 +335013,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8401 /* Table8401 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -223696,9 +335083,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5561 /* Table5561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -223716,9 +335103,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5563 /* Table5563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -223776,9 +335163,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5565 /* Table5565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -223796,9 +335183,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5567 /* Table5567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -223851,9 +335238,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5569 /* Table5569 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfb */
    { /* ModRMDecision */
@@ -223871,9 +335258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5571 /* Table5571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
    { /* ModRMDecision */
@@ -223882,7 +335269,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XS_KZ */
+,  /* IC_EVEX_L_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -224006,9 +335393,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8403 /* Table8403 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -224166,49 +335553,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8405 /* Table8405 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8407 /* Table8407 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8409 /* Table8409 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8411 /* Table8411 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8413 /* Table8413 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8415 /* Table8415 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8417 /* Table8417 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8419 /* Table8419 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8421 /* Table8421 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -224266,9 +335653,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8423 /* Table8423 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -224276,9 +335663,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8425 /* Table8425 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -224386,19 +335773,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8427 /* Table8427 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8429 /* Table8429 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8431 /* Table8431 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -224441,9 +335828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5573 /* Table5573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -224496,19 +335883,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8433 /* Table8433 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8435 /* Table8435 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8437 /* Table8437 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -224566,24 +335953,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8439 /* Table8439 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8441 /* Table8441 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8443 /* Table8443 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8445 /* Table8445 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -224716,19 +336103,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8447 /* Table8447 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8449 /* Table8449 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8451 /* Table8451 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -224736,9 +336123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8453 /* Table8453 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -224746,9 +336133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8455 /* Table8455 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -224756,9 +336143,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8457 /* Table8457 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -224796,19 +336183,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8459 /* Table8459 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8461 /* Table8461 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8463 /* Table8463 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -224816,9 +336203,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8465 /* Table8465 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -224826,9 +336213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8467 /* Table8467 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -224836,9 +336223,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8469 /* Table8469 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -225167,7 +336554,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XD_KZ */
+,  /* IC_EVEX_L_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -225296,9 +336683,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8471 /* Table8471 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -225376,9 +336763,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8473 /* Table8473 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -225446,9 +336833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8475 /* Table8475 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -225456,9 +336843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8477 /* Table8477 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -225466,9 +336853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8479 /* Table8479 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -225476,9 +336863,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8481 /* Table8481 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -225486,14 +336873,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8483 /* Table8483 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8485 /* Table8485 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -225551,9 +336938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8487 /* Table8487 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -225561,9 +336948,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8489 /* Table8489 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -225671,19 +337058,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8491 /* Table8491 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8493 /* Table8493 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8495 /* Table8495 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -225726,9 +337113,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5575 /* Table5575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -225791,9 +337178,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8497 /* Table8497 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -225851,24 +337238,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8499 /* Table8499 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8501 /* Table8501 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8503 /* Table8503 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8505 /* Table8505 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -226001,19 +337388,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8507 /* Table8507 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8509 /* Table8509 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8511 /* Table8511 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -226021,9 +337408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8513 /* Table8513 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -226031,9 +337418,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8515 /* Table8515 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -226041,9 +337428,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8517 /* Table8517 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -226081,19 +337468,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8519 /* Table8519 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8521 /* Table8521 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8523 /* Table8523 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -226101,9 +337488,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8525 /* Table8525 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -226111,9 +337498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8527 /* Table8527 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -226121,9 +337508,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8529 /* Table8529 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -226452,7 +337839,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_KZ */
+,  /* IC_EVEX_L2_XS_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -226536,34 +337923,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5577 /* Table5577 */
-   },
-   /* 0x11 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8531 /* Table8531 */
+   },
    /* 0x12 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8533 /* Table8533 */
    },
    /* 0x13 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8535 /* Table8535 */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8537 /* Table8537 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8539 /* Table8539 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -226621,29 +338008,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8541 /* Table8541 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8543 /* Table8543 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8545 /* Table8545 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8547 /* Table8547 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8549 /* Table8549 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -226656,9 +338043,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5579 /* Table5579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -226701,29 +338088,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8551 /* Table8551 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8553 /* Table8553 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8555 /* Table8555 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8557 /* Table8557 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8559 /* Table8559 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -226896,14 +338283,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5581 /* Table5581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5583 /* Table5583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -226916,24 +338303,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5585 /* Table5585 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5587 /* Table5587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5589 /* Table5589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5591 /* Table5591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -227010,10 +338397,10 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5593 /* Table5593 */
+   /* 0x6f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -227516,9 +338903,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5595 /* Table5595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd5 */
    { /* ModRMDecision */
@@ -227551,9 +338938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5597 /* Table5597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -227571,9 +338958,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5599 /* Table5599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -227631,9 +339018,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5601 /* Table5601 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xec */
    { /* ModRMDecision */
@@ -227651,9 +339038,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5603 /* Table5603 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -227676,9 +339063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5605 /* Table5605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf5 */
    { /* ModRMDecision */
@@ -227711,9 +339098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5607 /* Table5607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xfc */
    { /* ModRMDecision */
@@ -227736,8 +339123,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- },
- /* IC_OF */
+ }
+,  /* IC_EVEX_L2_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -227861,9 +339248,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8561 /* Table8561 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -227891,9 +339278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8563 /* Table8563 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -227906,29 +339293,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8565 /* Table8565 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8567 /* Table8567 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8569 /* Table8569 */
    },
    /* 0x24 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8571 /* Table8571 */
    },
    /* 0x25 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8573 /* Table8573 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -227986,29 +339373,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8575 /* Table8575 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8577 /* Table8577 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8579 /* Table8579 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8581 /* Table8581 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8583 /* Table8583 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -228021,49 +339408,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8585 /* Table8585 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8587 /* Table8587 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8589 /* Table8589 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8591 /* Table8591 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8593 /* Table8593 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8595 /* Table8595 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8597 /* Table8597 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8599 /* Table8599 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8601 /* Table8601 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -228081,24 +339468,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8603 /* Table8603 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8605 /* Table8605 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8607 /* Table8607 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8609 /* Table8609 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -228121,9 +339508,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8611 /* Table8611 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -228131,9 +339518,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8613 /* Table8613 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -228241,19 +339628,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8615 /* Table8615 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8617 /* Table8617 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8619 /* Table8619 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -228331,14 +339718,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8621 /* Table8621 */
    },
    /* 0x77 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8623 /* Table8623 */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -228351,19 +339738,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8625 /* Table8625 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8627 /* Table8627 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8629 /* Table8629 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -228371,14 +339758,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8631 /* Table8631 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8633 /* Table8633 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -228421,24 +339808,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8635 /* Table8635 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8637 /* Table8637 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8639 /* Table8639 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8641 /* Table8641 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -228461,24 +339848,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8643 /* Table8643 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8645 /* Table8645 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8647 /* Table8647 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8649 /* Table8649 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -228541,24 +339928,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8651 /* Table8651 */
    },
    /* 0xa1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8653 /* Table8653 */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8655 /* Table8655 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8657 /* Table8657 */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -228571,19 +339958,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8659 /* Table8659 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8661 /* Table8661 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8663 /* Table8663 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -228591,9 +339978,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8665 /* Table8665 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -228601,9 +339988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8667 /* Table8667 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -228611,9 +339998,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8669 /* Table8669 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -228651,19 +340038,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8671 /* Table8671 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8673 /* Table8673 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8675 /* Table8675 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -228671,9 +340058,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8677 /* Table8677 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -228681,9 +340068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8679 /* Table8679 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -228691,9 +340078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8681 /* Table8681 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -228721,9 +340108,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8683 /* Table8683 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -228731,19 +340118,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    8685 /* Table8685 */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    8701 /* Table8701 */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8717 /* Table8717 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -228751,9 +340138,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8719 /* Table8719 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -228761,9 +340148,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8721 /* Table8721 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -229022,72 +340409,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerTwoByteOpcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 7, 8, 9, 10, 11, 12, 0, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 0, 77, 78, 79, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 81, 0, 0, 0, 0, 82, 0, 83, 84, 85, 0, 86, 87, 0, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 90, 0, 0, 91, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 93, 0, 0, 94, 0, 0, 0, 95, 96, 97, 98, 99, 0, 100, 101, 102, 103, 104, 105, 106, 0, 107, 108, 109, 110, 111, 112, 113, 0, 114, 115, 116, };
-static const struct OpcodeDecision x86DisassemblerThreeByte38Opcodes[] = {
- /* IC */
+,  /* IC_EVEX_L2_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -229155,9 +340538,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8723 /* Table8723 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -229170,25 +340553,25 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
-   },
-   /* 0x1f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8725 /* Table8725 */
+   },
    /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -229230,14 +340613,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8727 /* Table8727 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8729 /* Table8729 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -229305,9 +340688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8731 /* Table8731 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -229315,9 +340698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8733 /* Table8733 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -229325,9 +340708,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8735 /* Table8735 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -229335,9 +340718,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8737 /* Table8737 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -229345,14 +340728,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8739 /* Table8739 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8741 /* Table8741 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -229370,24 +340753,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8743 /* Table8743 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8745 /* Table8745 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8747 /* Table8747 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8749 /* Table8749 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -229410,9 +340793,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8751 /* Table8751 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -229420,9 +340803,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8753 /* Table8753 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -229530,19 +340913,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8755 /* Table8755 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8757 /* Table8757 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8759 /* Table8759 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -229620,14 +341003,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8761 /* Table8761 */
    },
    /* 0x77 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8763 /* Table8763 */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -229650,9 +341033,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8765 /* Table8765 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -229660,14 +341043,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8767 /* Table8767 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8769 /* Table8769 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -229710,24 +341093,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8771 /* Table8771 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8773 /* Table8773 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8775 /* Table8775 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8777 /* Table8777 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -229750,24 +341133,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8779 /* Table8779 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8781 /* Table8781 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8783 /* Table8783 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8785 /* Table8785 */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -229830,24 +341213,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8787 /* Table8787 */
    },
    /* 0xa1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8789 /* Table8789 */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8791 /* Table8791 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8793 /* Table8793 */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -229860,19 +341243,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8795 /* Table8795 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8797 /* Table8797 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8799 /* Table8799 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -229880,9 +341263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8801 /* Table8801 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -229890,9 +341273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8803 /* Table8803 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -229900,9 +341283,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8805 /* Table8805 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -229940,19 +341323,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8807 /* Table8807 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8809 /* Table8809 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8811 /* Table8811 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -229960,9 +341343,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8813 /* Table8813 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -229970,9 +341353,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8815 /* Table8815 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -229980,9 +341363,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8817 /* Table8817 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -230010,9 +341393,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8819 /* Table8819 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -230020,44 +341403,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    8821 /* Table8821 */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    8837 /* Table8837 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5639 /* Table5639 */
+    8853 /* Table8853 */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5643 /* Table5643 */
+    8855 /* Table8855 */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5647 /* Table5647 */
+    8857 /* Table8857 */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -230230,14 +341613,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -230311,68 +341694,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_EVEX_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -230455,19 +341838,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -230600,9 +341983,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8859 /* Table8859 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -230610,9 +341993,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8861 /* Table8861 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -230620,9 +342003,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8863 /* Table8863 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -230630,14 +342013,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8865 /* Table8865 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8867 /* Table8867 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -230695,9 +342078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8869 /* Table8869 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -230705,9 +342088,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8871 /* Table8871 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -230815,14 +342198,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8873 /* Table8873 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8875 /* Table8875 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -231065,19 +342448,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8877 /* Table8877 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8879 /* Table8879 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8881 /* Table8881 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -231085,9 +342468,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8883 /* Table8883 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -231095,9 +342478,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8885 /* Table8885 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -231105,9 +342488,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8887 /* Table8887 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -231145,19 +342528,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8889 /* Table8889 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8891 /* Table8891 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8893 /* Table8893 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -231165,9 +342548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8895 /* Table8895 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -231175,9 +342558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8897 /* Table8897 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -231185,9 +342568,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8899 /* Table8899 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -231225,19 +342608,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8901 /* Table8901 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8903 /* Table8903 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8905 /* Table8905 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -231245,9 +342628,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8907 /* Table8907 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -231255,9 +342638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8909 /* Table8909 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -231265,9 +342648,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8911 /* Table8911 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -231315,34 +342698,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    8913 /* Table8913 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    8915 /* Table8915 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -231515,14 +342898,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -231596,68 +342979,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_EVEX_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5655 /* Table5655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5657 /* Table5657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5659 /* Table5659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5661 /* Table5661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5663 /* Table5663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5665 /* Table5665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5667 /* Table5667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5669 /* Table5669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5671 /* Table5671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5673 /* Table5673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5675 /* Table5675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5677 /* Table5677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -231680,9 +343063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5679 /* Table5679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -231700,14 +343083,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5681 /* Table5681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5683 /* Table5683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -231715,9 +343098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5685 /* Table5685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -231740,19 +343123,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5687 /* Table5687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5689 /* Table5689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5691 /* Table5691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -231760,34 +343143,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5693 /* Table5693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5695 /* Table5695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5697 /* Table5697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5699 /* Table5699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5701 /* Table5701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5703 /* Table5703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -231800,24 +343183,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5705 /* Table5705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5707 /* Table5707 */
+    8917 /* Table8917 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5709 /* Table5709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5711 /* Table5711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -231840,34 +343223,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5713 /* Table5713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5715 /* Table5715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5717 /* Table5717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5719 /* Table5719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5721 /* Table5721 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5723 /* Table5723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -231877,57 +343260,57 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5725 /* Table5725 */
+    8919 /* Table8919 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5727 /* Table5727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5729 /* Table5729 */
+    8921 /* Table8921 */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5731 /* Table5731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5733 /* Table5733 */
+    8923 /* Table8923 */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5735 /* Table5735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5737 /* Table5737 */
+    8925 /* Table8925 */
    },
    /* 0x3e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5739 /* Table5739 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5741 /* Table5741 */
+    8927 /* Table8927 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5743 /* Table5743 */
+    8929 /* Table8929 */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5745 /* Table5745 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -231980,9 +343363,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8931 /* Table8931 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -231990,9 +343373,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8933 /* Table8933 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -232100,14 +343483,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8935 /* Table8935 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8937 /* Table8937 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -232240,19 +343623,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5747 /* Table5747 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5749 /* Table5749 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5751 /* Table5751 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -232350,19 +343733,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8939 /* Table8939 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8941 /* Table8941 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8943 /* Table8943 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -232370,9 +343753,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8945 /* Table8945 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -232380,9 +343763,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8947 /* Table8947 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -232390,9 +343773,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8949 /* Table8949 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -232430,19 +343813,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8951 /* Table8951 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8953 /* Table8953 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8955 /* Table8955 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -232450,9 +343833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8957 /* Table8957 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -232460,9 +343843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8959 /* Table8959 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -232470,9 +343853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8961 /* Table8961 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -232510,19 +343893,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8963 /* Table8963 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8965 /* Table8965 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8967 /* Table8967 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -232530,9 +343913,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8969 /* Table8969 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -232540,9 +343923,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8971 /* Table8971 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -232550,9 +343933,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8973 /* Table8973 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -232600,34 +343983,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    8975 /* Table8975 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    8977 /* Table8977 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -232695,29 +344078,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5753 /* Table5753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5755 /* Table5755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5757 /* Table5757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5759 /* Table5759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5761 /* Table5761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -232800,14 +344183,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5763 /* Table5763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5765 /* Table5765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -232830,9 +344213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5767 /* Table5767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -232881,68 +344264,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_EVEX_L_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -233025,19 +344408,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -233170,9 +344553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8979 /* Table8979 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -233180,9 +344563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8981 /* Table8981 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -233190,9 +344573,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8983 /* Table8983 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -233200,14 +344583,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8985 /* Table8985 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8987 /* Table8987 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -233265,9 +344648,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8989 /* Table8989 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -233275,9 +344658,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8991 /* Table8991 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -233385,14 +344768,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8993 /* Table8993 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8995 /* Table8995 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -233635,19 +345018,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8997 /* Table8997 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    8999 /* Table8999 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9001 /* Table9001 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -233655,9 +345038,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9003 /* Table9003 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -233665,9 +345048,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9005 /* Table9005 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -233675,9 +345058,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9007 /* Table9007 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -233715,19 +345098,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9009 /* Table9009 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9011 /* Table9011 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9013 /* Table9013 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -233735,9 +345118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9015 /* Table9015 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -233745,9 +345128,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9017 /* Table9017 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -233755,9 +345138,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9019 /* Table9019 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -233795,19 +345178,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9021 /* Table9021 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9023 /* Table9023 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9025 /* Table9025 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -233815,9 +345198,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9027 /* Table9027 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -233825,9 +345208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9029 /* Table9029 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -233835,9 +345218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9031 /* Table9031 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -233885,34 +345268,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -234085,14 +345468,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -234166,68 +345549,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_EVEX_L_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -234310,19 +345693,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -234375,9 +345758,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9033 /* Table9033 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -234445,9 +345828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9035 /* Table9035 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -234455,9 +345838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9037 /* Table9037 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -234465,9 +345848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9039 /* Table9039 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -234475,9 +345858,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9041 /* Table9041 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -234485,14 +345868,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9043 /* Table9043 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9045 /* Table9045 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -234550,9 +345933,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9047 /* Table9047 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -234560,9 +345943,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9049 /* Table9049 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -234670,14 +346053,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9051 /* Table9051 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9053 /* Table9053 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -234920,19 +346303,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9055 /* Table9055 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9057 /* Table9057 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9059 /* Table9059 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -234940,9 +346323,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9061 /* Table9061 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -234950,9 +346333,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9063 /* Table9063 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -234960,9 +346343,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9065 /* Table9065 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -235000,19 +346383,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9067 /* Table9067 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9069 /* Table9069 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9071 /* Table9071 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -235020,9 +346403,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9073 /* Table9073 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -235030,9 +346413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9075 /* Table9075 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -235040,9 +346423,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9077 /* Table9077 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -235080,19 +346463,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9079 /* Table9079 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9081 /* Table9081 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9083 /* Table9083 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -235100,9 +346483,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9085 /* Table9085 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -235110,9 +346493,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9087 /* Table9087 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -235120,9 +346503,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9089 /* Table9089 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -235170,34 +346553,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -235370,14 +346753,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5769 /* Table5769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5771 /* Table5771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -235451,68 +346834,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_EVEX_L2_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
-   },
-   /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x02 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -235595,19 +346978,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5637 /* Table5637 */
+    9091 /* Table9091 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -235740,9 +347123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9093 /* Table9093 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -235750,9 +347133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9095 /* Table9095 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -235760,9 +347143,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9097 /* Table9097 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -235770,14 +347153,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9099 /* Table9099 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9101 /* Table9101 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -235795,9 +347178,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9103 /* Table9103 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -235835,9 +347218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9105 /* Table9105 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -235845,9 +347228,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9107 /* Table9107 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -235955,14 +347338,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9109 /* Table9109 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9111 /* Table9111 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -236205,19 +347588,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9113 /* Table9113 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9115 /* Table9115 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9117 /* Table9117 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -236225,9 +347608,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9119 /* Table9119 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -236235,9 +347618,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9121 /* Table9121 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -236245,9 +347628,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9123 /* Table9123 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -236285,19 +347668,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9125 /* Table9125 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9127 /* Table9127 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9129 /* Table9129 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -236305,9 +347688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9131 /* Table9131 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -236315,9 +347698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9133 /* Table9133 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -236325,9 +347708,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9135 /* Table9135 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -236365,19 +347748,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9137 /* Table9137 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9139 /* Table9139 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9141 /* Table9141 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -236385,9 +347768,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9143 /* Table9143 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -236395,9 +347778,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9145 /* Table9145 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -236405,9 +347788,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9147 /* Table9147 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -236435,9 +347818,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9149 /* Table9149 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -236457,32 +347840,32 @@ static const struct OpcodeDecision x86Di
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5639 /* Table5639 */
+    9151 /* Table9151 */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5643 /* Table5643 */
+    9153 /* Table9153 */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5647 /* Table5647 */
+    9155 /* Table9155 */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -236655,14 +348038,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -236685,9 +348068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5773 /* Table5773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -236736,7 +348119,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -236895,9 +348278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9157 /* Table9157 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -236940,14 +348323,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9159 /* Table9159 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9161 /* Table9161 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -237015,9 +348398,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9163 /* Table9163 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -237025,9 +348408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9165 /* Table9165 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -237035,9 +348418,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9167 /* Table9167 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -237045,9 +348428,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9169 /* Table9169 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -237055,14 +348438,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9171 /* Table9171 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9173 /* Table9173 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -237080,9 +348463,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9175 /* Table9175 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -237120,9 +348503,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9177 /* Table9177 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -237130,9 +348513,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9179 /* Table9179 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -237240,14 +348623,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9181 /* Table9181 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9183 /* Table9183 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -237490,19 +348873,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9185 /* Table9185 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9187 /* Table9187 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9189 /* Table9189 */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -237510,9 +348893,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9191 /* Table9191 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -237520,9 +348903,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9193 /* Table9193 */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -237530,9 +348913,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9195 /* Table9195 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -237570,19 +348953,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9197 /* Table9197 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9199 /* Table9199 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9201 /* Table9201 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -237590,9 +348973,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9203 /* Table9203 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -237600,9 +348983,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9205 /* Table9205 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -237610,9 +348993,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9207 /* Table9207 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -237650,19 +349033,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9209 /* Table9209 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9211 /* Table9211 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9213 /* Table9213 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -237670,9 +349053,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9215 /* Table9215 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -237680,9 +349063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9217 /* Table9217 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -237690,9 +349073,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9219 /* Table9219 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -237720,9 +349103,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9221 /* Table9221 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -237740,9 +349123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9223 /* Table9223 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -237750,9 +349133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9225 /* Table9225 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -237760,9 +349143,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9227 /* Table9227 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -237945,9 +349328,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5775 /* Table5775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -238021,68 +349404,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_EVEX_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -238165,19 +349548,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -238310,9 +349693,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9229 /* Table9229 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -238320,9 +349703,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9231 /* Table9231 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -238330,9 +349713,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9233 /* Table9233 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -238340,14 +349723,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9235 /* Table9235 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9237 /* Table9237 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -238405,9 +349788,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9239 /* Table9239 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -238415,9 +349798,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9241 /* Table9241 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -238525,14 +349908,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9243 /* Table9243 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9245 /* Table9245 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -238855,19 +350238,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9247 /* Table9247 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9249 /* Table9249 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9251 /* Table9251 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -238875,9 +350258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9253 /* Table9253 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -238885,9 +350268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9255 /* Table9255 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -238895,9 +350278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9257 /* Table9257 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -238935,19 +350318,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9259 /* Table9259 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9261 /* Table9261 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9263 /* Table9263 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -238955,9 +350338,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9265 /* Table9265 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -238965,9 +350348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9267 /* Table9267 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -238975,9 +350358,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9269 /* Table9269 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -239025,34 +350408,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    9271 /* Table9271 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    9273 /* Table9273 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -239225,14 +350608,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5777 /* Table5777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5779 /* Table5779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -239306,68 +350689,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_EVEX_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5655 /* Table5655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5657 /* Table5657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5659 /* Table5659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5661 /* Table5661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5663 /* Table5663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5665 /* Table5665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5667 /* Table5667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5669 /* Table5669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5671 /* Table5671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5673 /* Table5673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5675 /* Table5675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5677 /* Table5677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -239390,9 +350773,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5679 /* Table5679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -239410,14 +350793,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5681 /* Table5681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5683 /* Table5683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -239425,9 +350808,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5685 /* Table5685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -239450,19 +350833,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5687 /* Table5687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5689 /* Table5689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5691 /* Table5691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -239470,34 +350853,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5693 /* Table5693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5695 /* Table5695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5697 /* Table5697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5699 /* Table5699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5701 /* Table5701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5703 /* Table5703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -239510,24 +350893,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5705 /* Table5705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5707 /* Table5707 */
+    9275 /* Table9275 */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5709 /* Table5709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5711 /* Table5711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -239550,34 +350933,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5713 /* Table5713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5715 /* Table5715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5717 /* Table5717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5719 /* Table5719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5721 /* Table5721 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5723 /* Table5723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -239587,57 +350970,57 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5725 /* Table5725 */
+    9277 /* Table9277 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5727 /* Table5727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5729 /* Table5729 */
+    9279 /* Table9279 */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5731 /* Table5731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5733 /* Table5733 */
+    9281 /* Table9281 */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5735 /* Table5735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5737 /* Table5737 */
+    9283 /* Table9283 */
    },
    /* 0x3e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5739 /* Table5739 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5741 /* Table5741 */
+    9285 /* Table9285 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5743 /* Table5743 */
+    9287 /* Table9287 */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5745 /* Table5745 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -239690,9 +351073,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9289 /* Table9289 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -239700,9 +351083,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9291 /* Table9291 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -239810,14 +351193,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9293 /* Table9293 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9295 /* Table9295 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -239950,19 +351333,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5781 /* Table5781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5783 /* Table5783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5785 /* Table5785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -240140,19 +351523,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9297 /* Table9297 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9299 /* Table9299 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9301 /* Table9301 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -240160,9 +351543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9303 /* Table9303 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -240170,9 +351553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9305 /* Table9305 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -240180,9 +351563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9307 /* Table9307 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -240220,19 +351603,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9309 /* Table9309 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9311 /* Table9311 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9313 /* Table9313 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -240240,9 +351623,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9315 /* Table9315 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -240250,9 +351633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9317 /* Table9317 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -240260,9 +351643,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9319 /* Table9319 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -240310,34 +351693,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    9321 /* Table9321 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    9323 /* Table9323 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -240405,29 +351788,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5753 /* Table5753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5755 /* Table5755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5757 /* Table5757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5759 /* Table5759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5761 /* Table5761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -240510,14 +351893,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5763 /* Table5763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5765 /* Table5765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -240540,9 +351923,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5767 /* Table5767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -240591,68 +351974,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_EVEX_L_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -240735,19 +352118,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -240880,9 +352263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9325 /* Table9325 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -240890,9 +352273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9327 /* Table9327 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -240900,9 +352283,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9329 /* Table9329 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -240910,14 +352293,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9331 /* Table9331 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9333 /* Table9333 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -240975,9 +352358,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9335 /* Table9335 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -240985,9 +352368,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9337 /* Table9337 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -241095,14 +352478,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9339 /* Table9339 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9341 /* Table9341 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -241425,19 +352808,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9343 /* Table9343 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9345 /* Table9345 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9347 /* Table9347 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -241445,9 +352828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9349 /* Table9349 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -241455,9 +352838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9351 /* Table9351 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -241465,9 +352848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9353 /* Table9353 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -241505,19 +352888,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9355 /* Table9355 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9357 /* Table9357 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9359 /* Table9359 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -241525,9 +352908,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9361 /* Table9361 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -241535,9 +352918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9363 /* Table9363 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -241545,9 +352928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9365 /* Table9365 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -241595,34 +352978,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -241795,14 +353178,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -241876,68 +353259,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XD */
+,  /* IC_EVEX_L_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -242020,19 +353403,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -242085,9 +353468,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9367 /* Table9367 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -242155,9 +353538,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9369 /* Table9369 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -242165,9 +353548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9371 /* Table9371 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -242175,9 +353558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9373 /* Table9373 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -242185,9 +353568,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9375 /* Table9375 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -242195,14 +353578,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9377 /* Table9377 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9379 /* Table9379 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -242260,9 +353643,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9381 /* Table9381 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -242270,9 +353653,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9383 /* Table9383 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -242380,14 +353763,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9385 /* Table9385 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9387 /* Table9387 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -242710,19 +354093,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9389 /* Table9389 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9391 /* Table9391 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9393 /* Table9393 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -242730,9 +354113,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9395 /* Table9395 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -242740,9 +354123,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9397 /* Table9397 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -242750,9 +354133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9399 /* Table9399 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -242790,19 +354173,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9401 /* Table9401 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9403 /* Table9403 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9405 /* Table9405 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -242810,9 +354193,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9407 /* Table9407 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -242820,9 +354203,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9409 /* Table9409 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -242830,9 +354213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9411 /* Table9411 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -242880,34 +354263,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -243080,14 +354463,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5769 /* Table5769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5771 /* Table5771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -243161,68 +354544,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_EVEX_L2_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -243305,19 +354688,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5637 /* Table5637 */
+    9413 /* Table9413 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -243450,9 +354833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9415 /* Table9415 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -243460,9 +354843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9417 /* Table9417 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -243470,9 +354853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9419 /* Table9419 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -243480,14 +354863,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9421 /* Table9421 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9423 /* Table9423 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -243505,9 +354888,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9425 /* Table9425 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -243545,9 +354928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9427 /* Table9427 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -243555,9 +354938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9429 /* Table9429 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -243665,14 +355048,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9431 /* Table9431 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9433 /* Table9433 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -243995,19 +355378,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9435 /* Table9435 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9437 /* Table9437 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9439 /* Table9439 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -244015,9 +355398,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9441 /* Table9441 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -244025,9 +355408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9443 /* Table9443 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -244035,9 +355418,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9445 /* Table9445 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -244075,19 +355458,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9447 /* Table9447 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9449 /* Table9449 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9451 /* Table9451 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -244095,9 +355478,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9453 /* Table9453 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -244105,9 +355488,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9455 /* Table9455 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -244115,9 +355498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9457 /* Table9457 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -244145,9 +355528,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9459 /* Table9459 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -244167,32 +355550,32 @@ static const struct OpcodeDecision x86Di
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5639 /* Table5639 */
+    9461 /* Table9461 */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5643 /* Table5643 */
+    9463 /* Table9463 */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5647 /* Table5647 */
+    9465 /* Table9465 */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -244365,14 +355748,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5651 /* Table5651 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5653 /* Table5653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -244395,9 +355778,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5773 /* Table5773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -244446,7 +355829,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XD_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -244605,9 +355988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9467 /* Table9467 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -244650,14 +356033,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9469 /* Table9469 */
    },
    /* 0x29 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9471 /* Table9471 */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -244725,9 +356108,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9473 /* Table9473 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -244735,9 +356118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9475 /* Table9475 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -244745,9 +356128,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9477 /* Table9477 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -244755,9 +356138,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9479 /* Table9479 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -244765,14 +356148,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9481 /* Table9481 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9483 /* Table9483 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -244790,9 +356173,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9485 /* Table9485 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -244830,9 +356213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9487 /* Table9487 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -244840,9 +356223,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9489 /* Table9489 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -244950,14 +356333,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9491 /* Table9491 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9493 /* Table9493 */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -245280,19 +356663,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9495 /* Table9495 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9497 /* Table9497 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9499 /* Table9499 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -245300,9 +356683,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9501 /* Table9501 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -245310,9 +356693,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9503 /* Table9503 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -245320,9 +356703,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9505 /* Table9505 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -245360,19 +356743,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9507 /* Table9507 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9509 /* Table9509 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9511 /* Table9511 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -245380,9 +356763,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9513 /* Table9513 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -245390,9 +356773,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9515 /* Table9515 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -245400,9 +356783,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9517 /* Table9517 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -245430,9 +356813,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9519 /* Table9519 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -245450,9 +356833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9521 /* Table9521 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -245460,9 +356843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9523 /* Table9523 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -245470,9 +356853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9525 /* Table9525 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -245655,9 +357038,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5775 /* Table5775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -245731,68 +357114,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_EVEX_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
-   },
-   /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x09 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -245875,19 +357258,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -246020,9 +357403,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9527 /* Table9527 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -246030,9 +357413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9529 /* Table9529 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -246040,9 +357423,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9531 /* Table9531 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -246050,14 +357433,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9533 /* Table9533 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9535 /* Table9535 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -246115,9 +357498,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9537 /* Table9537 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -246125,9 +357508,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9539 /* Table9539 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -246565,19 +357948,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9541 /* Table9541 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9543 /* Table9543 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9545 /* Table9545 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -246585,9 +357968,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9547 /* Table9547 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -246595,9 +357978,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9549 /* Table9549 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -246605,9 +357988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9551 /* Table9551 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -246645,19 +358028,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9553 /* Table9553 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9555 /* Table9555 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9557 /* Table9557 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -246665,9 +358048,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9559 /* Table9559 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -246675,9 +358058,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9561 /* Table9561 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -246685,9 +358068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9563 /* Table9563 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -246735,34 +358118,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    9565 /* Table9565 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    9567 /* Table9567 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -246935,14 +358318,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5777 /* Table5777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5779 /* Table5779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -246965,9 +358348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5787 /* Table5787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -247016,68 +358399,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+,  /* IC_EVEX_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5609 /* Table5609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5611 /* Table5611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5613 /* Table5613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5615 /* Table5615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5617 /* Table5617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5619 /* Table5619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5621 /* Table5621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5623 /* Table5623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5625 /* Table5625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5627 /* Table5627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5629 /* Table5629 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5631 /* Table5631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -247160,19 +358543,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5633 /* Table5633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5635 /* Table5635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5637 /* Table5637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -247305,9 +358688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9569 /* Table9569 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -247315,9 +358698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9571 /* Table9571 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -247325,9 +358708,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9573 /* Table9573 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -247335,14 +358718,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9575 /* Table9575 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9577 /* Table9577 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -247400,9 +358783,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9579 /* Table9579 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -247410,9 +358793,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9581 /* Table9581 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -247850,19 +359233,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9583 /* Table9583 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9585 /* Table9585 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9587 /* Table9587 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -247870,9 +359253,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9589 /* Table9589 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -247880,9 +359263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9591 /* Table9591 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -247890,9 +359273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9593 /* Table9593 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -247930,19 +359313,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9595 /* Table9595 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9597 /* Table9597 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9599 /* Table9599 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -247950,9 +359333,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9601 /* Table9601 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -247960,9 +359343,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9603 /* Table9603 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -247970,9 +359353,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9605 /* Table9605 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -248020,34 +359403,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5645 /* Table5645 */
+    9607 /* Table9607 */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5649 /* Table5649 */
+    9609 /* Table9609 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -248220,14 +359603,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5789 /* Table5789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5791 /* Table5791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -248301,68 +359684,68 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_EVEX_L_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5655 /* Table5655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5657 /* Table5657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5659 /* Table5659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5661 /* Table5661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5663 /* Table5663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5665 /* Table5665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5667 /* Table5667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5669 /* Table5669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5671 /* Table5671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5673 /* Table5673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5675 /* Table5675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5677 /* Table5677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -248385,9 +359768,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5679 /* Table5679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -248405,14 +359788,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5681 /* Table5681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5683 /* Table5683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -248420,9 +359803,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5685 /* Table5685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -248445,19 +359828,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5687 /* Table5687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5689 /* Table5689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5691 /* Table5691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -248465,34 +359848,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5693 /* Table5693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5695 /* Table5695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5697 /* Table5697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5699 /* Table5699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5701 /* Table5701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5703 /* Table5703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -248505,24 +359888,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5705 /* Table5705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5707 /* Table5707 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5709 /* Table5709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5711 /* Table5711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
    { /* ModRMDecision */
@@ -248545,34 +359928,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5713 /* Table5713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5715 /* Table5715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5717 /* Table5717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5719 /* Table5719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5721 /* Table5721 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5723 /* Table5723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -248580,59 +359963,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5725 /* Table5725 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5727 /* Table5727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5729 /* Table5729 */
+    9611 /* Table9611 */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5731 /* Table5731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5733 /* Table5733 */
+    9613 /* Table9613 */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5735 /* Table5735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5737 /* Table5737 */
+    9615 /* Table9615 */
    },
    /* 0x3e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5739 /* Table5739 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5741 /* Table5741 */
+    9617 /* Table9617 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5743 /* Table5743 */
+    9619 /* Table9619 */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5745 /* Table5745 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -248685,9 +360068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9621 /* Table9621 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -248695,9 +360078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9623 /* Table9623 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -248945,19 +360328,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5781 /* Table5781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5783 /* Table5783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5785 /* Table5785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -249135,19 +360518,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9625 /* Table9625 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9627 /* Table9627 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9629 /* Table9629 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -249155,9 +360538,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9631 /* Table9631 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -249165,9 +360548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9633 /* Table9633 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -249175,9 +360558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9635 /* Table9635 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -249215,19 +360598,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9637 /* Table9637 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9639 /* Table9639 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9641 /* Table9641 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -249235,9 +360618,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9643 /* Table9643 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -249245,9 +360628,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9645 /* Table9645 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -249255,9 +360638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9647 /* Table9647 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -249305,34 +360688,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5639 /* Table5639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5641 /* Table5641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5643 /* Table5643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5645 /* Table5645 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5647 /* Table5647 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5649 /* Table5649 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -249400,29 +360783,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5753 /* Table5753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5755 /* Table5755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5757 /* Table5757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5759 /* Table5759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5761 /* Table5761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -249505,14 +360888,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5777 /* Table5777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5779 /* Table5779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -249535,9 +360918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5793 /* Table5793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -249586,7 +360969,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX */
+,  /* IC_EVEX_L_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -249875,9 +361258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9649 /* Table9649 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -249885,9 +361268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9651 /* Table9651 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -249895,9 +361278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9653 /* Table9653 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -249905,14 +361288,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9655 /* Table9655 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9657 /* Table9657 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -249970,9 +361353,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9659 /* Table9659 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -249980,9 +361363,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9661 /* Table9661 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -250420,19 +361803,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9663 /* Table9663 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9665 /* Table9665 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9667 /* Table9667 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -250440,9 +361823,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9669 /* Table9669 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -250450,9 +361833,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9671 /* Table9671 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -250460,9 +361843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9673 /* Table9673 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -250500,19 +361883,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9675 /* Table9675 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9677 /* Table9677 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9679 /* Table9679 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -250520,9 +361903,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9681 /* Table9681 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -250530,9 +361913,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9683 /* Table9683 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -250540,9 +361923,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9685 /* Table9685 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -250800,14 +362183,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5795 /* Table5795 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    5797 /* Table5797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -250815,9 +362198,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5813 /* Table5813 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -250825,9 +362208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5815 /* Table5815 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -250871,7 +362254,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_XS */
+,  /* IC_EVEX_L2_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -251025,9 +362408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9687 /* Table9687 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -251160,9 +362543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9689 /* Table9689 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -251170,9 +362553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9691 /* Table9691 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -251180,9 +362563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9693 /* Table9693 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -251190,14 +362573,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9695 /* Table9695 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9697 /* Table9697 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -251215,9 +362598,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9699 /* Table9699 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -251255,9 +362638,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9701 /* Table9701 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -251265,9 +362648,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9703 /* Table9703 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -251705,19 +363088,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9705 /* Table9705 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9707 /* Table9707 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9709 /* Table9709 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -251725,9 +363108,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9711 /* Table9711 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -251735,9 +363118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9713 /* Table9713 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -251745,9 +363128,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9715 /* Table9715 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -251784,20 +363167,20 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9717 /* Table9717 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9719 /* Table9719 */
+   },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9721 /* Table9721 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -251805,9 +363188,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9723 /* Table9723 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -251815,9 +363198,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9725 /* Table9725 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -251825,9 +363208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9727 /* Table9727 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -251855,9 +363238,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9729 /* Table9729 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -251875,9 +363258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9731 /* Table9731 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -251885,9 +363268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9733 /* Table9733 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -251895,9 +363278,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9735 /* Table9735 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -252100,9 +363483,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5817 /* Table5817 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -252110,9 +363493,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5819 /* Table5819 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -252156,7 +363539,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_XD */
+,  /* IC_EVEX_L2_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -252315,9 +363698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9737 /* Table9737 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -252360,9 +363743,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9739 /* Table9739 */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -252445,9 +363828,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9741 /* Table9741 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -252455,9 +363838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9743 /* Table9743 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -252465,9 +363848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9745 /* Table9745 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -252475,14 +363858,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9747 /* Table9747 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9749 /* Table9749 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -252500,9 +363883,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9751 /* Table9751 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -252540,9 +363923,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9753 /* Table9753 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -252550,9 +363933,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9755 /* Table9755 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -252990,19 +364373,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9757 /* Table9757 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9759 /* Table9759 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9761 /* Table9761 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -253010,9 +364393,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9763 /* Table9763 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -253020,9 +364403,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9765 /* Table9765 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -253030,9 +364413,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9767 /* Table9767 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -253070,19 +364453,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9769 /* Table9769 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9771 /* Table9771 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9773 /* Table9773 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -253090,9 +364473,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9775 /* Table9775 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -253100,9 +364483,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9777 /* Table9777 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -253110,9 +364493,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9779 /* Table9779 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -253140,9 +364523,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9781 /* Table9781 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -253160,9 +364543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9783 /* Table9783 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -253170,9 +364553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9785 /* Table9785 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -253180,9 +364563,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9787 /* Table9787 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -253385,19 +364768,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5821 /* Table5821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5823 /* Table5823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5825 /* Table5825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -253441,88 +364824,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_OPSIZE */
+,  /* IC_EVEX_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5827 /* Table5827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5829 /* Table5829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5831 /* Table5831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5833 /* Table5833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5835 /* Table5835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5837 /* Table5837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5839 /* Table5839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5841 /* Table5841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5843 /* Table5843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5845 /* Table5845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5847 /* Table5847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5849 /* Table5849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5851 /* Table5851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5853 /* Table5853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5855 /* Table5855 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5857 /* Table5857 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -253540,9 +364923,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5859 /* Table5859 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -253560,14 +364943,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5861 /* Table5861 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5863 /* Table5863 */
+    9789 /* Table9789 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -253585,19 +364968,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5865 /* Table5865 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5867 /* Table5867 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5869 /* Table5869 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -253605,34 +364988,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5871 /* Table5871 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5873 /* Table5873 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5875 /* Table5875 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5877 /* Table5877 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5879 /* Table5879 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5881 /* Table5881 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -253645,74 +365028,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5883 /* Table5883 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5885 /* Table5885 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5887 /* Table5887 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5889 /* Table5889 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5891 /* Table5891 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5893 /* Table5893 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5895 /* Table5895 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5897 /* Table5897 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5899 /* Table5899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5901 /* Table5901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5903 /* Table5903 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5905 /* Table5905 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5907 /* Table5907 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5909 /* Table5909 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -253720,59 +365103,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5911 /* Table5911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5913 /* Table5913 */
+    9791 /* Table9791 */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5915 /* Table5915 */
+    9793 /* Table9793 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5917 /* Table5917 */
+    9795 /* Table9795 */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5919 /* Table5919 */
+    9797 /* Table9797 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5921 /* Table5921 */
+    9799 /* Table9799 */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5923 /* Table5923 */
+    9801 /* Table9801 */
    },
    /* 0x3e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5925 /* Table5925 */
+    9803 /* Table9803 */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5927 /* Table5927 */
+    9805 /* Table9805 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5929 /* Table5929 */
+    9807 /* Table9807 */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5931 /* Table5931 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -253790,19 +365173,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5933 /* Table5933 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5935 /* Table5935 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5937 /* Table5937 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -253825,9 +365208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9809 /* Table9809 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -253835,9 +365218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9811 /* Table9811 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -253885,14 +365268,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5939 /* Table5939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5941 /* Table5941 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -253945,19 +365328,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9813 /* Table9813 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9815 /* Table9815 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9817 /* Table9817 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -254045,29 +365428,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5943 /* Table5943 */
-   },
-   /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5945 /* Table5945 */
-   },
-   /* 0x7a */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x7b */
+   /* 0x79 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9819 /* Table9819 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9821 /* Table9821 */
+   },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9823 /* Table9823 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -254125,39 +365508,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9825 /* Table9825 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9827 /* Table9827 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9829 /* Table9829 */
    },
    /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9831 /* Table9831 */
+   },
+   /* 0x8c */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5947 /* Table5947 */
-   },
    /* 0x8d */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5949 /* Table5949 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -254165,24 +365548,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5951 /* Table5951 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5953 /* Table5953 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5955 /* Table5955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5957 /* Table5957 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -254195,54 +365578,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5959 /* Table5959 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5961 /* Table5961 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5963 /* Table5963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5965 /* Table5965 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5967 /* Table5967 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5969 /* Table5969 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5971 /* Table5971 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5973 /* Table5973 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5975 /* Table5975 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5977 /* Table5977 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -254277,52 +365660,52 @@ static const struct OpcodeDecision x86Di
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5979 /* Table5979 */
+    9833 /* Table9833 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5981 /* Table5981 */
+    9835 /* Table9835 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5983 /* Table5983 */
+    9837 /* Table9837 */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5985 /* Table5985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5987 /* Table5987 */
+    9839 /* Table9839 */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5989 /* Table5989 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5991 /* Table5991 */
+    9841 /* Table9841 */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5993 /* Table5993 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5995 /* Table5995 */
+    9843 /* Table9843 */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5997 /* Table5997 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -254357,52 +365740,52 @@ static const struct OpcodeDecision x86Di
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5999 /* Table5999 */
+    9845 /* Table9845 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6001 /* Table6001 */
+    9847 /* Table9847 */
    },
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6003 /* Table6003 */
+    9849 /* Table9849 */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6005 /* Table6005 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6007 /* Table6007 */
+    9851 /* Table9851 */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6009 /* Table6009 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6011 /* Table6011 */
+    9853 /* Table9853 */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6013 /* Table6013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6015 /* Table6015 */
+    9855 /* Table9855 */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6017 /* Table6017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -254460,9 +365843,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9857 /* Table9857 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -254470,9 +365853,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9859 /* Table9859 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -254540,29 +365923,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6019 /* Table6019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6021 /* Table6021 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6023 /* Table6023 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6025 /* Table6025 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6027 /* Table6027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -254680,9 +366063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6029 /* Table6029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -254726,7 +366109,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W */
+,  /* IC_EVEX_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -255015,9 +366398,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9861 /* Table9861 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -255025,9 +366408,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9863 /* Table9863 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -255035,9 +366418,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9865 /* Table9865 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -255045,14 +366428,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9867 /* Table9867 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9869 /* Table9869 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -255110,9 +366493,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9871 /* Table9871 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -255120,9 +366503,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9873 /* Table9873 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -255230,19 +366613,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9875 /* Table9875 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9877 /* Table9877 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9879 /* Table9879 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -255350,9 +366733,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9881 /* Table9881 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -255410,24 +366793,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9883 /* Table9883 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9885 /* Table9885 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9887 /* Table9887 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9889 /* Table9889 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -255560,19 +366943,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9891 /* Table9891 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9893 /* Table9893 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9895 /* Table9895 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -255580,9 +366963,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9897 /* Table9897 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -255590,9 +366973,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9899 /* Table9899 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -255600,9 +366983,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9901 /* Table9901 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -255640,19 +367023,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9903 /* Table9903 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9905 /* Table9905 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9907 /* Table9907 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -255660,9 +367043,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9909 /* Table9909 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -255670,9 +367053,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9911 /* Table9911 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -255680,9 +367063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9913 /* Table9913 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -255745,9 +367128,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9915 /* Table9915 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -255755,9 +367138,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9917 /* Table9917 */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -255940,14 +367323,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6031 /* Table6031 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    6033 /* Table6033 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -255955,9 +367338,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6049 /* Table6049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -255965,9 +367348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6051 /* Table6051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -256011,7 +367394,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_XS */
+,  /* IC_EVEX_L_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -256135,9 +367518,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9919 /* Table9919 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -256295,49 +367678,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9921 /* Table9921 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9923 /* Table9923 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9925 /* Table9925 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9927 /* Table9927 */
    },
    /* 0x3c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9929 /* Table9929 */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9931 /* Table9931 */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9933 /* Table9933 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9935 /* Table9935 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9937 /* Table9937 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -256395,9 +367778,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9939 /* Table9939 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -256405,9 +367788,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9941 /* Table9941 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -256515,19 +367898,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9943 /* Table9943 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9945 /* Table9945 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9947 /* Table9947 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -256624,20 +368007,20 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9949 /* Table9949 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9951 /* Table9951 */
+   },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9953 /* Table9953 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -256695,24 +368078,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9955 /* Table9955 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9957 /* Table9957 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9959 /* Table9959 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9961 /* Table9961 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -256845,19 +368228,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9963 /* Table9963 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9965 /* Table9965 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9967 /* Table9967 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -256865,9 +368248,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9969 /* Table9969 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -256875,9 +368258,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9971 /* Table9971 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -256885,9 +368268,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9973 /* Table9973 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -256925,19 +368308,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9975 /* Table9975 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9977 /* Table9977 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9979 /* Table9979 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -256945,9 +368328,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9981 /* Table9981 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -256955,9 +368338,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9983 /* Table9983 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -256965,9 +368348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9985 /* Table9985 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -257240,9 +368623,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6053 /* Table6053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -257250,9 +368633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6055 /* Table6055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -257296,7 +368679,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_XD */
+,  /* IC_EVEX_L_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -257425,9 +368808,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9987 /* Table9987 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -257585,9 +368968,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9989 /* Table9989 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -257595,9 +368978,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9991 /* Table9991 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -257605,9 +368988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9993 /* Table9993 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -257615,14 +368998,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9995 /* Table9995 */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9997 /* Table9997 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -257680,9 +369063,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    9999 /* Table9999 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -257690,9 +369073,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10001 /* Table10001 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -257800,19 +369183,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10003 /* Table10003 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10005 /* Table10005 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10007 /* Table10007 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -257920,9 +369303,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10009 /* Table10009 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -257980,24 +369363,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10011 /* Table10011 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10013 /* Table10013 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10015 /* Table10015 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10017 /* Table10017 */
    },
    /* 0x8c */
    { /* ModRMDecision */
@@ -258130,19 +369513,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10019 /* Table10019 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10021 /* Table10021 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10023 /* Table10023 */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -258150,9 +369533,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10025 /* Table10025 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -258160,9 +369543,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10027 /* Table10027 */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -258170,9 +369553,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10029 /* Table10029 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -258210,19 +369593,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10031 /* Table10031 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10033 /* Table10033 */
    },
    /* 0xb8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10035 /* Table10035 */
    },
    /* 0xb9 */
    { /* ModRMDecision */
@@ -258230,9 +369613,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10037 /* Table10037 */
    },
    /* 0xbb */
    { /* ModRMDecision */
@@ -258240,9 +369623,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10039 /* Table10039 */
    },
    /* 0xbd */
    { /* ModRMDecision */
@@ -258250,9 +369633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10041 /* Table10041 */
    },
    /* 0xbf */
    { /* ModRMDecision */
@@ -258525,19 +369908,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6057 /* Table6057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6059 /* Table6059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6061 /* Table6061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -258581,118 +369964,118 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_OPSIZE */
+,  /* IC_EVEX_L2_XS_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5827 /* Table5827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5829 /* Table5829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5831 /* Table5831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5833 /* Table5833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5835 /* Table5835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5837 /* Table5837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5839 /* Table5839 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5841 /* Table5841 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5843 /* Table5843 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5845 /* Table5845 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5847 /* Table5847 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5849 /* Table5849 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5851 /* Table5851 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5853 /* Table5853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5855 /* Table5855 */
-   },
-   /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5857 /* Table5857 */
-   },
-   /* 0x10 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x11 */
+   /* 0x0f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x12 */
+   /* 0x10 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10043 /* Table10043 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10045 /* Table10045 */
+   },
    /* 0x13 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5859 /* Table5859 */
+    10047 /* Table10047 */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10049 /* Table10049 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10051 /* Table10051 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -258700,14 +370083,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5861 /* Table5861 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5863 /* Table5863 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -258725,19 +370108,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5865 /* Table5865 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5867 /* Table5867 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5869 /* Table5869 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -258745,34 +370128,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5871 /* Table5871 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5873 /* Table5873 */
+    10053 /* Table10053 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5875 /* Table5875 */
+    10055 /* Table10055 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5877 /* Table5877 */
+    10057 /* Table10057 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5879 /* Table5879 */
+    10059 /* Table10059 */
    },
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5881 /* Table5881 */
+    10061 /* Table10061 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -258785,74 +370168,74 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5883 /* Table5883 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5885 /* Table5885 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5887 /* Table5887 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5889 /* Table5889 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5891 /* Table5891 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5893 /* Table5893 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5895 /* Table5895 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5897 /* Table5897 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5899 /* Table5899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5901 /* Table5901 */
+    10063 /* Table10063 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5903 /* Table5903 */
+    10065 /* Table10065 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5905 /* Table5905 */
+    10067 /* Table10067 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5907 /* Table5907 */
+    10069 /* Table10069 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5909 /* Table5909 */
+    10071 /* Table10071 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -258860,59 +370243,59 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5911 /* Table5911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5913 /* Table5913 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5915 /* Table5915 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5917 /* Table5917 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5919 /* Table5919 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5921 /* Table5921 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5923 /* Table5923 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5925 /* Table5925 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5927 /* Table5927 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5929 /* Table5929 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5931 /* Table5931 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
    { /* ModRMDecision */
@@ -258930,19 +370313,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6063 /* Table6063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5935 /* Table5935 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6065 /* Table6065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -259025,14 +370408,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5939 /* Table5939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5941 /* Table5941 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -259185,14 +370568,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5943 /* Table5943 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5945 /* Table5945 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -259285,9 +370668,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6067 /* Table6067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
    { /* ModRMDecision */
@@ -259295,9 +370678,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6069 /* Table6069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -259305,24 +370688,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6071 /* Table6071 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6073 /* Table6073 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6075 /* Table6075 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6077 /* Table6077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -259335,54 +370718,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6079 /* Table6079 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6081 /* Table6081 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6083 /* Table6083 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6085 /* Table6085 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6087 /* Table6087 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6089 /* Table6089 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6091 /* Table6091 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6093 /* Table6093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6095 /* Table6095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6097 /* Table6097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -259415,54 +370798,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6099 /* Table6099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6101 /* Table6101 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6103 /* Table6103 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6105 /* Table6105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6107 /* Table6107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6109 /* Table6109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6111 /* Table6111 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6113 /* Table6113 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6115 /* Table6115 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6117 /* Table6117 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -259495,54 +370878,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6119 /* Table6119 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6121 /* Table6121 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6123 /* Table6123 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6125 /* Table6125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6127 /* Table6127 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6129 /* Table6129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6131 /* Table6131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6133 /* Table6133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6135 /* Table6135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6137 /* Table6137 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -259680,29 +371063,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6019 /* Table6019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6021 /* Table6021 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6023 /* Table6023 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xde */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6025 /* Table6025 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6027 /* Table6027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -259820,9 +371203,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6139 /* Table6139 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -259866,88 +371249,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_OPSIZE */
+,  /* IC_EVEX_L2_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6141 /* Table6141 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6143 /* Table6143 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6145 /* Table6145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6147 /* Table6147 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6149 /* Table6149 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6151 /* Table6151 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6153 /* Table6153 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6155 /* Table6155 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6157 /* Table6157 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6159 /* Table6159 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6161 /* Table6161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6163 /* Table6163 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6165 /* Table6165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6167 /* Table6167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6169 /* Table6169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6171 /* Table6171 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -259965,9 +371348,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6173 /* Table6173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -259980,29 +371363,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6175 /* Table6175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6177 /* Table6177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6179 /* Table6179 */
+    10073 /* Table10073 */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6181 /* Table6181 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6183 /* Table6183 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
    { /* ModRMDecision */
@@ -260010,19 +371393,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6185 /* Table6185 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6187 /* Table6187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6189 /* Table6189 */
+    10075 /* Table10075 */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -260030,34 +371413,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6191 /* Table6191 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6193 /* Table6193 */
+    10077 /* Table10077 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6195 /* Table6195 */
+    10079 /* Table10079 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6197 /* Table6197 */
+    10081 /* Table10081 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6199 /* Table6199 */
+    10083 /* Table10083 */
    },
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6201 /* Table6201 */
+    10085 /* Table10085 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -260070,129 +371453,129 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6203 /* Table6203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6205 /* Table6205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6207 /* Table6207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6209 /* Table6209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6211 /* Table6211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6213 /* Table6213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6215 /* Table6215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6217 /* Table6217 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6219 /* Table6219 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6221 /* Table6221 */
+    10087 /* Table10087 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6223 /* Table6223 */
+    10089 /* Table10089 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6225 /* Table6225 */
+    10091 /* Table10091 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6227 /* Table6227 */
+    10093 /* Table10093 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6229 /* Table6229 */
+    10095 /* Table10095 */
    },
    /* 0x36 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6231 /* Table6231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6233 /* Table6233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6235 /* Table6235 */
+    10097 /* Table10097 */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6237 /* Table6237 */
+    10099 /* Table10099 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6239 /* Table6239 */
+    10101 /* Table10101 */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6241 /* Table6241 */
+    10103 /* Table10103 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6243 /* Table6243 */
+    10105 /* Table10105 */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6245 /* Table6245 */
+    10107 /* Table10107 */
    },
    /* 0x3e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6247 /* Table6247 */
+    10109 /* Table10109 */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6249 /* Table6249 */
+    10111 /* Table10111 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6251 /* Table6251 */
+    10113 /* Table10113 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -260210,24 +371593,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10115 /* Table10115 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6253 /* Table6253 */
+    10117 /* Table10117 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6255 /* Table6255 */
+    10119 /* Table10119 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6257 /* Table6257 */
+    10121 /* Table10121 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -260250,9 +371633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10123 /* Table10123 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -260260,9 +371643,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10125 /* Table10125 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -260312,17 +371695,17 @@ static const struct OpcodeDecision x86Di
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6259 /* Table6259 */
+    10127 /* Table10127 */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6261 /* Table6261 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6263 /* Table6263 */
+    10129 /* Table10129 */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -260370,19 +371753,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10131 /* Table10131 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10133 /* Table10133 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10135 /* Table10135 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -260460,39 +371843,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x77 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
-   },
-   /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6265 /* Table6265 */
+    10137 /* Table10137 */
    },
-   /* 0x79 */
+   /* 0x77 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6267 /* Table6267 */
+    10139 /* Table10139 */
    },
-   /* 0x7a */
+   /* 0x78 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x7b */
+   /* 0x79 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10141 /* Table10141 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10143 /* Table10143 */
+   },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10145 /* Table10145 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -260500,14 +371883,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10147 /* Table10147 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10149 /* Table10149 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -260550,39 +371933,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10151 /* Table10151 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10153 /* Table10153 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10155 /* Table10155 */
    },
    /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10157 /* Table10157 */
+   },
+   /* 0x8c */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6269 /* Table6269 */
-   },
    /* 0x8d */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6271 /* Table6271 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -260590,24 +371973,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6273 /* Table6273 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6275 /* Table6275 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6277 /* Table6277 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6279 /* Table6279 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -260620,54 +372003,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6281 /* Table6281 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6283 /* Table6283 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6285 /* Table6285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5965 /* Table5965 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6287 /* Table6287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5969 /* Table5969 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6289 /* Table6289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5973 /* Table5973 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6291 /* Table6291 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5977 /* Table5977 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -260702,52 +372085,52 @@ static const struct OpcodeDecision x86Di
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6293 /* Table6293 */
+    10159 /* Table10159 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6295 /* Table6295 */
+    10161 /* Table10161 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6297 /* Table6297 */
+    10163 /* Table10163 */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5985 /* Table5985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6299 /* Table6299 */
+    10165 /* Table10165 */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5989 /* Table5989 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6301 /* Table6301 */
+    10167 /* Table10167 */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5993 /* Table5993 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6303 /* Table6303 */
+    10169 /* Table10169 */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5997 /* Table5997 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -260782,52 +372165,52 @@ static const struct OpcodeDecision x86Di
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6305 /* Table6305 */
+    10171 /* Table10171 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6307 /* Table6307 */
+    10173 /* Table10173 */
    },
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6309 /* Table6309 */
+    10175 /* Table10175 */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6005 /* Table6005 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6311 /* Table6311 */
+    10177 /* Table10177 */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6009 /* Table6009 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6313 /* Table6313 */
+    10179 /* Table10179 */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6013 /* Table6013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6315 /* Table6315 */
+    10181 /* Table10181 */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6017 /* Table6017 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -260850,9 +372233,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10183 /* Table10183 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -260870,9 +372253,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10185 /* Table10185 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -260880,9 +372263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10187 /* Table10187 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -260890,9 +372273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10189 /* Table10189 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -261151,88 +372534,88 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6141 /* Table6141 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6143 /* Table6143 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6145 /* Table6145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6147 /* Table6147 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6149 /* Table6149 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6151 /* Table6151 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6153 /* Table6153 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6155 /* Table6155 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6157 /* Table6157 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6159 /* Table6159 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6161 /* Table6161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6163 /* Table6163 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6165 /* Table6165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6167 /* Table6167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6169 /* Table6169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6171 /* Table6171 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -261250,9 +372633,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6173 /* Table6173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
    { /* ModRMDecision */
@@ -261265,29 +372648,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6175 /* Table6175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6177 /* Table6177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6179 /* Table6179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6181 /* Table6181 */
+    10191 /* Table10191 */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6183 /* Table6183 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
    { /* ModRMDecision */
@@ -261295,54 +372678,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6185 /* Table6185 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6187 /* Table6187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6189 /* Table6189 */
-   },
-   /* 0x1f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
+   /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6191 /* Table6191 */
+    10193 /* Table10193 */
+   },
+   /* 0x20 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6193 /* Table6193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6195 /* Table6195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6197 /* Table6197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6199 /* Table6199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6201 /* Table6201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -261357,127 +372740,127 @@ static const struct OpcodeDecision x86Di
    /* 0x28 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6203 /* Table6203 */
+    10195 /* Table10195 */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6205 /* Table6205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6207 /* Table6207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6209 /* Table6209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6211 /* Table6211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6213 /* Table6213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6215 /* Table6215 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6217 /* Table6217 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6219 /* Table6219 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6221 /* Table6221 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6223 /* Table6223 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6225 /* Table6225 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6227 /* Table6227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6229 /* Table6229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6231 /* Table6231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6233 /* Table6233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6235 /* Table6235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6237 /* Table6237 */
+    10197 /* Table10197 */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6239 /* Table6239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6241 /* Table6241 */
+    10199 /* Table10199 */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6243 /* Table6243 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6245 /* Table6245 */
+    10201 /* Table10201 */
    },
    /* 0x3e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6247 /* Table6247 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6249 /* Table6249 */
+    10203 /* Table10203 */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6251 /* Table6251 */
+    10205 /* Table10205 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -261495,24 +372878,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10207 /* Table10207 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6317 /* Table6317 */
+    10209 /* Table10209 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6255 /* Table6255 */
+    10211 /* Table10211 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6319 /* Table6319 */
+    10213 /* Table10213 */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -261535,9 +372918,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10215 /* Table10215 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -261545,9 +372928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10217 /* Table10217 */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -261595,25 +372978,25 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6259 /* Table6259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6261 /* Table6261 */
+    10219 /* Table10219 */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6263 /* Table6263 */
-   },
-   /* 0x5b */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10221 /* Table10221 */
+   },
    /* 0x5c */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -261655,19 +373038,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10223 /* Table10223 */
    },
    /* 0x65 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10225 /* Table10225 */
    },
    /* 0x66 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10227 /* Table10227 */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -261745,24 +373128,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10229 /* Table10229 */
    },
    /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10231 /* Table10231 */
+   },
+   /* 0x78 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6265 /* Table6265 */
-   },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6267 /* Table6267 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -261775,9 +373158,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10233 /* Table10233 */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -261785,14 +373168,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10235 /* Table10235 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10237 /* Table10237 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -261835,39 +373218,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10239 /* Table10239 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10241 /* Table10241 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10243 /* Table10243 */
    },
    /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10245 /* Table10245 */
+   },
+   /* 0x8c */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6321 /* Table6321 */
-   },
    /* 0x8d */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6323 /* Table6323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -261875,24 +373258,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6325 /* Table6325 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6327 /* Table6327 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6329 /* Table6329 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6331 /* Table6331 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -261905,54 +373288,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6333 /* Table6333 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6335 /* Table6335 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6337 /* Table6337 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6085 /* Table6085 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6339 /* Table6339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6089 /* Table6089 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6341 /* Table6341 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6093 /* Table6093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6343 /* Table6343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6097 /* Table6097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -261987,52 +373370,52 @@ static const struct OpcodeDecision x86Di
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6345 /* Table6345 */
+    10247 /* Table10247 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6347 /* Table6347 */
+    10249 /* Table10249 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6349 /* Table6349 */
+    10251 /* Table10251 */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6105 /* Table6105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6351 /* Table6351 */
+    10253 /* Table10253 */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6109 /* Table6109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6353 /* Table6353 */
+    10255 /* Table10255 */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6113 /* Table6113 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6355 /* Table6355 */
+    10257 /* Table10257 */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6117 /* Table6117 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -262067,52 +373450,52 @@ static const struct OpcodeDecision x86Di
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6357 /* Table6357 */
+    10259 /* Table10259 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6359 /* Table6359 */
+    10261 /* Table10261 */
    },
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6361 /* Table6361 */
+    10263 /* Table10263 */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6125 /* Table6125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6363 /* Table6363 */
+    10265 /* Table10265 */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6129 /* Table6129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6365 /* Table6365 */
+    10267 /* Table10267 */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6133 /* Table6133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6367 /* Table6367 */
+    10269 /* Table10269 */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6137 /* Table6137 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -262135,9 +373518,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10271 /* Table10271 */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -262155,9 +373538,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10273 /* Table10273 */
    },
    /* 0xc9 */
    { /* ModRMDecision */
@@ -262165,9 +373548,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10275 /* Table10275 */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -262175,9 +373558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10277 /* Table10277 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -262435,8 +373818,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- }
-,  /* IC_EVEX_OPSIZE */
+ },
+ /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -262650,9 +374033,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6369 /* Table6369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -262825,9 +374208,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6371 /* Table6371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
    { /* ModRMDecision */
@@ -262835,9 +374218,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6373 /* Table6373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -263285,9 +374668,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6375 /* Table6375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* ModRMDecision */
@@ -263295,9 +374678,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6377 /* Table6377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* ModRMDecision */
@@ -263305,9 +374688,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6379 /* Table6379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* ModRMDecision */
@@ -263315,9 +374698,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6381 /* Table6381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -263455,9 +374838,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6383 /* Table6383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -263465,9 +374848,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6385 /* Table6385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -263721,7 +375104,11 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE */
+, };
+static const uint8_t index_x86DisassemblerThreeByte38Opcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 8, 0, 9, 10, 11, 12, 13, 14, 15, 16, 0, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 0, 0, 0, 28, 0, 0, 0, 29, 0, 30, 0, 31, 0, 32, 0, 33, 0, 34, 0, 35, 0, 36, 0, 37, 0, 38, 0, 39, 0, 40, 0, 41, 0, 0, 0, 42, 0, 0, 0, 43, 0, 0, 0, 44, 0, 0, 0, 45, 0, 46, 0, 47, 0, 0, 0, 48, 0, 0, 0, 49, 0, 0, 0, 50, 0, 0, 0, 51, 0, 0, 0, 52, 0, 0, 0, 53, 0, 0, 0, 54, 0, 0, 0, 55, 0, 0, 0, 56, 0, 0, 0, 57, 0, 0, 0, 58, 0, 0, 0, 59, 0, 0, 0, 60, 0, 0, 0, 61, 0, 0, 0, 62, 0, 0, 0, 63, 0, 0, 0, 64, 0, 0, 0, 65, 0, 0, 0, 66, 0, 0, 0, 67, 0, 0, 0, 68, 0, 0, 0, 69, 0, 0, 0, 70, 0, 71, 0, 72, 0, 0, 0, 73, };
+static const struct OpcodeDecision x86DisassemblerThreeByte3AOpcodes[] = {
+ /* IC */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -263800,9 +375187,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -263930,14 +375317,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6387 /* Table6387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6369 /* Table6369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -264000,9 +375387,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6389 /* Table6389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -264110,9 +375497,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6391 /* Table6391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
    { /* ModRMDecision */
@@ -264120,9 +375507,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6393 /* Table6393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -264570,9 +375957,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6395 /* Table6395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* ModRMDecision */
@@ -264580,9 +375967,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6397 /* Table6397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* ModRMDecision */
@@ -264590,9 +375977,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6399 /* Table6399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* ModRMDecision */
@@ -264600,9 +375987,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6401 /* Table6401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -264739,21 +376126,21 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xcb */
+   /* 0xcb */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6403 /* Table6403 */
+    10281 /* Table10281 */
    },
-   /* 0xcc */
+   /* 0xcd */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6405 /* Table6405 */
-   },
    /* 0xce */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -265006,7 +376393,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_OPSIZE */
+,  /* IC_64BIT */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -265085,9 +376472,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -265220,9 +376607,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6407 /* Table6407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -266030,9 +377417,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -266291,7 +377678,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE */
+,  /* IC_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -266335,44 +377722,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -266395,24 +377782,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10299 /* Table10299 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10301 /* Table10301 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10303 /* Table10303 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -266455,19 +377842,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10309 /* Table10309 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10311 /* Table10311 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -266500,14 +377887,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6409 /* Table6409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6369 /* Table6369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -266570,9 +377957,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6411 /* Table6411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -266615,19 +378002,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10313 /* Table10313 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -266635,9 +378022,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10319 /* Table10319 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -266680,9 +378067,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6371 /* Table6371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
    { /* ModRMDecision */
@@ -266690,9 +378077,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6373 /* Table6373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -266775,24 +378162,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -267140,9 +378527,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6375 /* Table6375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaa */
    { /* ModRMDecision */
@@ -267150,9 +378537,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6377 /* Table6377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
    { /* ModRMDecision */
@@ -267160,9 +378547,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6379 /* Table6379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
    { /* ModRMDecision */
@@ -267170,9 +378557,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6381 /* Table6381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
    { /* ModRMDecision */
@@ -267310,19 +378697,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6383 /* Table6383 */
-   },
-   /* 0xcc */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xcd */
+   /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6385 /* Table6385 */
+    10281 /* Table10281 */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -267410,9 +378797,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -267576,7 +378963,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS */
+,  /* IC_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -267655,9 +379042,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -267665,29 +379052,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6413 /* Table6413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6415 /* Table6415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6417 /* Table6417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6419 /* Table6419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6421 /* Table6421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -267745,29 +379132,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6423 /* Table6423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6425 /* Table6425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6427 /* Table6427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6429 /* Table6429 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6431 /* Table6431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -267775,9 +379162,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6433 /* Table6433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* ModRMDecision */
@@ -267825,29 +379212,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6435 /* Table6435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6437 /* Table6437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6439 /* Table6439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6441 /* Table6441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6443 /* Table6443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -267870,9 +379257,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6445 /* Table6445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -268600,9 +379987,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -268861,7 +380248,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE */
+,  /* IC_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -268905,44 +380292,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -268960,35 +380347,35 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6447 /* Table6447 */
-   },
-   /* 0x14 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10299 /* Table10299 */
+   },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10301 /* Table10301 */
    },
    /* 0x16 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6449 /* Table6449 */
+    10303 /* Table10303 */
    },
    /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
+   },
+   /* 0x18 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6451 /* Table6451 */
-   },
    /* 0x19 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -269015,44 +380402,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6453 /* Table6453 */
-   },
-   /* 0x1f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
+   /* 0x1f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
+   },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6455 /* Table6455 */
+    10309 /* Table10309 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6457 /* Table6457 */
+    10311 /* Table10311 */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6459 /* Table6459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6461 /* Table6461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6463 /* Table6463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -269060,9 +380447,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6465 /* Table6465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* ModRMDecision */
@@ -269075,9 +380462,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6467 /* Table6467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -269110,34 +380497,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6469 /* Table6469 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6471 /* Table6471 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6473 /* Table6473 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6475 /* Table6475 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6477 /* Table6477 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6479 /* Table6479 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x37 */
    { /* ModRMDecision */
@@ -269150,9 +380537,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6481 /* Table6481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -269160,9 +380547,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6483 /* Table6483 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -269170,9 +380557,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6485 /* Table6485 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -269180,24 +380567,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6487 /* Table6487 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6489 /* Table6489 */
+    10313 /* Table10313 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -269207,22 +380594,22 @@ static const struct OpcodeDecision x86Di
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6491 /* Table6491 */
+    10319 /* Table10319 */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6493 /* Table6493 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6495 /* Table6495 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6497 /* Table6497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -269245,9 +380632,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6499 /* Table6499 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -269255,9 +380642,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6501 /* Table6501 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -269305,9 +380692,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6503 /* Table6503 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
    { /* ModRMDecision */
@@ -269315,9 +380702,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6505 /* Table6505 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -269345,24 +380732,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -269455,14 +380842,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6507 /* Table6507 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6509 /* Table6509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -269485,9 +380872,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6511 /* Table6511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -269495,14 +380882,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6513 /* Table6513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6515 /* Table6515 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -269615,19 +381002,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6517 /* Table6517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6519 /* Table6519 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6521 /* Table6521 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -269635,9 +381022,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6523 /* Table6523 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -269645,9 +381032,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6525 /* Table6525 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -269655,9 +381042,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6527 /* Table6527 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -269695,19 +381082,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6529 /* Table6529 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6531 /* Table6531 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6533 /* Table6533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -269715,9 +381102,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6535 /* Table6535 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -269725,9 +381112,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6537 /* Table6537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -269735,9 +381122,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6539 /* Table6539 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -269845,9 +381232,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6541 /* Table6541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -269875,9 +381262,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6543 /* Table6543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -269887,7 +381274,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6545 /* Table6545 */
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -269980,9 +381367,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -270146,7 +381533,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_XS */
+,  /* IC_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -270225,9 +381612,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -270345,9 +381732,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6547 /* Table6547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* ModRMDecision */
@@ -270360,9 +381747,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6549 /* Table6549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
    { /* ModRMDecision */
@@ -271170,9 +382557,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -271431,7 +382818,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE */
+,  /* IC_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -271510,9 +382897,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -271545,9 +382932,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6551 /* Table6551 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
    { /* ModRMDecision */
@@ -271560,9 +382947,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6553 /* Table6553 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -271590,9 +382977,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6555 /* Table6555 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -271630,19 +383017,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6557 /* Table6557 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6559 /* Table6559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6561 /* Table6561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -271705,14 +383092,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x36 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6563 /* Table6563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6565 /* Table6565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -271720,9 +383107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6567 /* Table6567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -271730,9 +383117,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6569 /* Table6569 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -271740,9 +383127,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6571 /* Table6571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -271750,9 +383137,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6573 /* Table6573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -271775,24 +383162,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6575 /* Table6575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6577 /* Table6577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6579 /* Table6579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6581 /* Table6581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* ModRMDecision */
@@ -271815,9 +383202,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6583 /* Table6583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -271825,9 +383212,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6585 /* Table6585 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
    { /* ModRMDecision */
@@ -271880,9 +383267,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6587 /* Table6587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -271890,9 +383277,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6589 /* Table6589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* ModRMDecision */
@@ -272025,14 +383412,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6591 /* Table6591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6593 /* Table6593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -272055,9 +383442,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6595 /* Table6595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -272065,14 +383452,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6597 /* Table6597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6599 /* Table6599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -272185,19 +383572,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6601 /* Table6601 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6603 /* Table6603 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6605 /* Table6605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -272205,9 +383592,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6607 /* Table6607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -272215,9 +383602,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6609 /* Table6609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -272225,9 +383612,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6611 /* Table6611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -272265,19 +383652,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6613 /* Table6613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6615 /* Table6615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6617 /* Table6617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -272285,9 +383672,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6619 /* Table6619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -272295,9 +383682,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6621 /* Table6621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -272305,9 +383692,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6623 /* Table6623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -272415,9 +383802,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6625 /* Table6625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -272445,9 +383832,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6627 /* Table6627 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -272457,7 +383844,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6629 /* Table6629 */
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -272716,7 +384103,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE_K */
+,  /* IC_64BIT_REXW */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -272795,9 +384182,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -272925,9 +384312,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6631 /* Table6631 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -272995,9 +384382,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6633 /* Table6633 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -273740,9 +385127,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -274001,7 +385388,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE_K */
+,  /* IC_64BIT_REXW_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -274045,44 +385432,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -274105,24 +385492,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10299 /* Table10299 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10301 /* Table10301 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10303 /* Table10303 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -274165,19 +385552,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10309 /* Table10309 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10311 /* Table10311 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -274210,9 +385597,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6635 /* Table6635 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -274280,9 +385667,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6637 /* Table6637 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -274325,19 +385712,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10313 /* Table10313 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -274345,9 +385732,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10319 /* Table10319 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -274485,24 +385872,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -275025,9 +386412,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -275120,9 +386507,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -275286,7 +386673,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS_K */
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -275330,44 +386717,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -275375,39 +386762,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6639 /* Table6639 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6641 /* Table6641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6643 /* Table6643 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6645 /* Table6645 */
+    10299 /* Table10299 */
    },
    /* 0x15 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6647 /* Table6647 */
+    10301 /* Table10301 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10303 /* Table10303 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -275450,34 +386837,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6649 /* Table6649 */
+    10309 /* Table10309 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6651 /* Table6651 */
+    10311 /* Table10311 */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6653 /* Table6653 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6655 /* Table6655 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6657 /* Table6657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -275535,29 +386922,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6659 /* Table6659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6661 /* Table6661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6663 /* Table6663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6665 /* Table6665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6667 /* Table6667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -275610,19 +386997,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10313 /* Table10313 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -275630,9 +387017,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10319 /* Table10319 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -275770,24 +387157,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -276310,9 +387697,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -276405,9 +387792,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -276571,7 +387958,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_K */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -276650,9 +388037,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -276725,9 +388112,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6669 /* Table6669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -276740,29 +388127,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6671 /* Table6671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6673 /* Table6673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6675 /* Table6675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6677 /* Table6677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6679 /* Table6679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -276820,29 +388207,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6681 /* Table6681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6683 /* Table6683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6685 /* Table6685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6687 /* Table6687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6689 /* Table6689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -276860,9 +388247,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6691 /* Table6691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -276870,9 +388257,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6693 /* Table6693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -276880,9 +388267,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6695 /* Table6695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -276890,14 +388277,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6697 /* Table6697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6699 /* Table6699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -276915,9 +388302,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6701 /* Table6701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -277075,14 +388462,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6703 /* Table6703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6705 /* Table6705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -277165,14 +388552,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6707 /* Table6707 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6709 /* Table6709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -277205,14 +388592,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6711 /* Table6711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6713 /* Table6713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -277295,24 +388682,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6715 /* Table6715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6717 /* Table6717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6719 /* Table6719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6721 /* Table6721 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -277375,24 +388762,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6723 /* Table6723 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6725 /* Table6725 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6727 /* Table6727 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6729 /* Table6729 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -277405,19 +388792,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6731 /* Table6731 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6733 /* Table6733 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6735 /* Table6735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -277425,9 +388812,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6737 /* Table6737 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -277435,9 +388822,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6739 /* Table6739 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -277445,9 +388832,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6741 /* Table6741 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -277555,9 +388942,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6743 /* Table6743 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -277565,14 +388952,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    6745 /* Table6745 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    6761 /* Table6761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -277595,9 +388982,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -277856,7 +389243,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_K */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -277900,44 +389287,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -277960,24 +389347,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10299 /* Table10299 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10301 /* Table10301 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10303 /* Table10303 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -278015,24 +389402,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6777 /* Table6777 */
-   },
-   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
+   },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10309 /* Table10309 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10311 /* Table10311 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -278060,14 +389447,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6779 /* Table6779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6781 /* Table6781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -278135,9 +389522,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6783 /* Table6783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -278145,9 +389532,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6785 /* Table6785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -278155,9 +389542,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6787 /* Table6787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -278165,9 +389552,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6789 /* Table6789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -278175,24 +389562,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6791 /* Table6791 */
-   },
-   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10313 /* Table10313 */
+   },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -278202,7 +389589,7 @@ static const struct OpcodeDecision x86Di
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6793 /* Table6793 */
+    10319 /* Table10319 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -278340,34 +389727,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
+   },
+   /* 0x64 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x64 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6795 /* Table6795 */
-   },
    /* 0x65 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6797 /* Table6797 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x66 */
    { /* ModRMDecision */
@@ -278450,14 +389837,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6799 /* Table6799 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6801 /* Table6801 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -278490,14 +389877,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6803 /* Table6803 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6805 /* Table6805 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -278580,24 +389967,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6807 /* Table6807 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6809 /* Table6809 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6811 /* Table6811 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6813 /* Table6813 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
    { /* ModRMDecision */
@@ -278660,24 +390047,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6815 /* Table6815 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6817 /* Table6817 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6819 /* Table6819 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6821 /* Table6821 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -278690,19 +390077,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6823 /* Table6823 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6825 /* Table6825 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6827 /* Table6827 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -278710,9 +390097,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6829 /* Table6829 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -278720,9 +390107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6831 /* Table6831 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -278730,9 +390117,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6833 /* Table6833 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -278840,9 +390227,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6835 /* Table6835 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -278850,14 +390237,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    6837 /* Table6837 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    6853 /* Table6853 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -278880,9 +390267,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -278975,9 +390362,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -279141,7 +390528,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE_B */
+,  /* IC_64BIT_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -279220,9 +390607,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -280160,19 +391547,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6869 /* Table6869 */
-   },
-   /* 0xcc */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xcd */
+   /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6871 /* Table6871 */
+    10281 /* Table10281 */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -280426,7 +391813,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE_B */
+,  /* IC_64BIT_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -280505,9 +391892,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -280635,9 +392022,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6873 /* Table6873 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -280705,9 +392092,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6875 /* Table6875 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -281445,19 +392832,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6877 /* Table6877 */
-   },
-   /* 0xcc */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0xcd */
+   /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6879 /* Table6879 */
+    10281 /* Table10281 */
+   },
+   /* 0xcd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -281711,7 +393098,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE_B */
+,  /* IC_64BIT_REXW_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -281790,9 +393177,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -281920,9 +393307,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6881 /* Table6881 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -281990,9 +393377,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6883 /* Table6883 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -282735,9 +394122,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -282996,7 +394383,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_B */
+,  /* IC_64BIT_REXW_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -283075,9 +394462,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10279 /* Table10279 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -283150,9 +394537,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6885 /* Table6885 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -283285,9 +394672,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6887 /* Table6887 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -283295,9 +394682,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6889 /* Table6889 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -283305,9 +394692,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6891 /* Table6891 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -283315,14 +394702,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6893 /* Table6893 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6895 /* Table6895 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -283340,9 +394727,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6897 /* Table6897 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -283750,19 +395137,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6899 /* Table6899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6901 /* Table6901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6903 /* Table6903 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -283770,9 +395157,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6905 /* Table6905 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -283780,9 +395167,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6907 /* Table6907 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -283790,9 +395177,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6909 /* Table6909 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -283830,19 +395217,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6911 /* Table6911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6913 /* Table6913 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6915 /* Table6915 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -283850,9 +395237,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6917 /* Table6917 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -283860,9 +395247,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6919 /* Table6919 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -283870,9 +395257,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6921 /* Table6921 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -283980,9 +395367,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6923 /* Table6923 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -284010,9 +395397,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6925 /* Table6925 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -284022,7 +395409,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6927 /* Table6927 */
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -284281,7 +395668,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_B */
+,  /* IC_64BIT_REXW_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -284325,44 +395712,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10283 /* Table10283 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10285 /* Table10285 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10287 /* Table10287 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10289 /* Table10289 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10291 /* Table10291 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10293 /* Table10293 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10295 /* Table10295 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10297 /* Table10297 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -284385,24 +395772,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10299 /* Table10299 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10301 /* Table10301 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10331 /* Table10331 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10305 /* Table10305 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -284440,24 +395827,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6929 /* Table6929 */
-   },
-   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10307 /* Table10307 */
+   },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10309 /* Table10309 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10333 /* Table10333 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -284485,14 +395872,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6931 /* Table6931 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6933 /* Table6933 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -284560,9 +395947,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6935 /* Table6935 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -284570,9 +395957,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6937 /* Table6937 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -284580,9 +395967,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6939 /* Table6939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -284590,9 +395977,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6941 /* Table6941 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -284600,24 +395987,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6943 /* Table6943 */
-   },
-   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10313 /* Table10313 */
+   },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10315 /* Table10315 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10317 /* Table10317 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -284627,7 +396014,7 @@ static const struct OpcodeDecision x86Di
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6945 /* Table6945 */
+    10319 /* Table10319 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -284765,24 +396152,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10321 /* Table10321 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10323 /* Table10323 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10325 /* Table10325 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10327 /* Table10327 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -285035,19 +396422,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6947 /* Table6947 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6949 /* Table6949 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6951 /* Table6951 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
    { /* ModRMDecision */
@@ -285055,9 +396442,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6953 /* Table6953 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -285065,9 +396452,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6955 /* Table6955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
    { /* ModRMDecision */
@@ -285075,9 +396462,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6957 /* Table6957 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -285115,19 +396502,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6959 /* Table6959 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6961 /* Table6961 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6963 /* Table6963 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -285135,9 +396522,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6965 /* Table6965 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -285145,9 +396532,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6967 /* Table6967 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -285155,9 +396542,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6969 /* Table6969 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -285265,9 +396652,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6971 /* Table6971 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -285295,9 +396682,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6973 /* Table6973 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcb */
    { /* ModRMDecision */
@@ -285307,7 +396694,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    6975 /* Table6975 */
+    10281 /* Table10281 */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -285400,9 +396787,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10329 /* Table10329 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -285566,7 +396953,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE_K_B */
+,  /* IC_VEX_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -285775,9 +397162,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6977 /* Table6977 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -285845,9 +397232,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6979 /* Table6979 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -286770,9 +398157,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10335 /* Table10335 */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -286851,7 +398238,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE_K_B */
+,  /* IC_VEX_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -286865,9 +398252,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10337 /* Table10337 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -286875,14 +398262,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10339 /* Table10339 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10341 /* Table10341 */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -286895,44 +398282,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10343 /* Table10343 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10345 /* Table10345 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10347 /* Table10347 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10349 /* Table10349 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10351 /* Table10351 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10353 /* Table10353 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10355 /* Table10355 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10357 /* Table10357 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -286955,24 +398342,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10359 /* Table10359 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10361 /* Table10361 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10363 /* Table10363 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10365 /* Table10365 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -287000,9 +398387,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10367 /* Table10367 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -287015,19 +398402,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10369 /* Table10369 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10371 /* Table10371 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10373 /* Table10373 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -287060,9 +398447,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6981 /* Table6981 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -287095,24 +398482,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10375 /* Table10375 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10377 /* Table10377 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10379 /* Table10379 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10381 /* Table10381 */
    },
    /* 0x34 */
    { /* ModRMDecision */
@@ -287130,9 +398517,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6983 /* Table6983 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -287175,19 +398562,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10383 /* Table10383 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10385 /* Table10385 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10387 /* Table10387 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -287195,9 +398582,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10389 /* Table10389 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -287215,29 +398602,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10391 /* Table10391 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10393 /* Table10393 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10395 /* Table10395 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10397 /* Table10397 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10399 /* Table10399 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -287315,44 +398702,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10401 /* Table10401 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10403 /* Table10403 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10405 /* Table10405 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10407 /* Table10407 */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10409 /* Table10409 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10411 /* Table10411 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10413 /* Table10413 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10415 /* Table10415 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -287375,44 +398762,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10417 /* Table10417 */
    },
    /* 0x69 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10419 /* Table10419 */
    },
    /* 0x6a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10421 /* Table10421 */
    },
    /* 0x6b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10423 /* Table10423 */
    },
    /* 0x6c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10425 /* Table10425 */
    },
    /* 0x6d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10427 /* Table10427 */
    },
    /* 0x6e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10429 /* Table10429 */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10431 /* Table10431 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -287455,44 +398842,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10433 /* Table10433 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10435 /* Table10435 */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10437 /* Table10437 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10439 /* Table10439 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10441 /* Table10441 */
    },
    /* 0x7d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10443 /* Table10443 */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10445 /* Table10445 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10447 /* Table10447 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -287970,9 +399357,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10449 /* Table10449 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -288136,7 +399523,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_K_B */
+,  /* IC_VEX_W_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -288290,9 +399677,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6985 /* Table6985 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
    { /* ModRMDecision */
@@ -288425,9 +399812,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6987 /* Table6987 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -288435,9 +399822,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6989 /* Table6989 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -288445,9 +399832,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6991 /* Table6991 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -288455,14 +399842,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6993 /* Table6993 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6995 /* Table6995 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -288480,9 +399867,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6997 /* Table6997 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -289120,9 +400507,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    6999 /* Table6999 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -289340,9 +400727,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10451 /* Table10451 */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -289421,7 +400808,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_K_B */
+,  /* IC_VEX_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -289435,9 +400822,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10337 /* Table10337 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -289445,14 +400832,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10339 /* Table10339 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10341 /* Table10341 */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -289465,44 +400852,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10343 /* Table10343 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10345 /* Table10345 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10347 /* Table10347 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10349 /* Table10349 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10351 /* Table10351 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10353 /* Table10353 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10355 /* Table10355 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10357 /* Table10357 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -289525,24 +400912,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10359 /* Table10359 */
    },
    /* 0x15 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10361 /* Table10361 */
    },
    /* 0x16 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10453 /* Table10453 */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10365 /* Table10365 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -289570,9 +400957,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10367 /* Table10367 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -289580,24 +400967,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7001 /* Table7001 */
-   },
-   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10369 /* Table10369 */
+   },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10371 /* Table10371 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10455 /* Table10455 */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -289625,14 +401012,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7003 /* Table7003 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7005 /* Table7005 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
    { /* ModRMDecision */
@@ -289665,24 +401052,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10457 /* Table10457 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10459 /* Table10459 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10461 /* Table10461 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10463 /* Table10463 */
    },
    /* 0x34 */
    { /* ModRMDecision */
@@ -289700,9 +401087,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7007 /* Table7007 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -289710,9 +401097,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7009 /* Table7009 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -289720,9 +401107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7011 /* Table7011 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -289730,9 +401117,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7013 /* Table7013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -289740,24 +401127,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7015 /* Table7015 */
-   },
-   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10383 /* Table10383 */
+   },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10385 /* Table10385 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10387 /* Table10387 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -289767,7 +401154,7 @@ static const struct OpcodeDecision x86Di
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7017 /* Table7017 */
+    10389 /* Table10389 */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -289785,29 +401172,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10465 /* Table10465 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10467 /* Table10467 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10395 /* Table10395 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10397 /* Table10397 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10399 /* Table10399 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -289885,44 +401272,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10469 /* Table10469 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10471 /* Table10471 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10473 /* Table10473 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10475 /* Table10475 */
    },
    /* 0x60 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10409 /* Table10409 */
    },
    /* 0x61 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10411 /* Table10411 */
    },
    /* 0x62 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10413 /* Table10413 */
    },
    /* 0x63 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10415 /* Table10415 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -289945,44 +401332,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10477 /* Table10477 */
    },
    /* 0x69 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10479 /* Table10479 */
    },
    /* 0x6a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10481 /* Table10481 */
    },
    /* 0x6b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10483 /* Table10483 */
    },
    /* 0x6c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10485 /* Table10485 */
    },
    /* 0x6d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10487 /* Table10487 */
    },
    /* 0x6e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10489 /* Table10489 */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10491 /* Table10491 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -290025,44 +401412,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10493 /* Table10493 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10495 /* Table10495 */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10497 /* Table10497 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10499 /* Table10499 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10501 /* Table10501 */
    },
    /* 0x7d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10503 /* Table10503 */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10505 /* Table10505 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10507 /* Table10507 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -290405,9 +401792,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7019 /* Table7019 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -290540,9 +401927,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10449 /* Table10449 */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -290706,7 +402093,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_KZ_B */
+,  /* IC_VEX_L_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -290720,9 +402107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10509 /* Table10509 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -290730,19 +402117,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10511 /* Table10511 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10513 /* Table10513 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10515 /* Table10515 */
    },
    /* 0x07 */
    { /* ModRMDecision */
@@ -290750,44 +402137,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10517 /* Table10517 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10519 /* Table10519 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10347 /* Table10347 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10349 /* Table10349 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10521 /* Table10521 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10523 /* Table10523 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10525 /* Table10525 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10527 /* Table10527 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -290830,14 +402217,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10529 /* Table10529 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10531 /* Table10531 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -290855,15 +402242,15 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10533 /* Table10533 */
+   },
+   /* 0x1e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7021 /* Table7021 */
-   },
    /* 0x1f */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -290990,14 +402377,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10535 /* Table10535 */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7023 /* Table7023 */
+    10537 /* Table10537 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -291005,9 +402392,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7025 /* Table7025 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -291015,9 +402402,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7027 /* Table7027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -291025,14 +402412,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7029 /* Table7029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7031 /* Table7031 */
+    10539 /* Table10539 */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -291040,9 +402427,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10541 /* Table10541 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -291050,49 +402437,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7033 /* Table7033 */
-   },
-   /* 0x45 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x46 */
+   /* 0x45 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10543 /* Table10543 */
+   },
    /* 0x47 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10545 /* Table10545 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10547 /* Table10547 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10549 /* Table10549 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10551 /* Table10551 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10553 /* Table10553 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -291170,24 +402557,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10555 /* Table10555 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10557 /* Table10557 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10559 /* Table10559 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10561 /* Table10561 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -291230,44 +402617,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10563 /* Table10563 */
    },
    /* 0x69 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10565 /* Table10565 */
    },
    /* 0x6a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10421 /* Table10421 */
    },
    /* 0x6b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10423 /* Table10423 */
    },
    /* 0x6c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10567 /* Table10567 */
    },
    /* 0x6d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10569 /* Table10569 */
    },
    /* 0x6e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10429 /* Table10429 */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10431 /* Table10431 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -291310,44 +402697,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10571 /* Table10571 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10573 /* Table10573 */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10437 /* Table10437 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10439 /* Table10439 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10575 /* Table10575 */
    },
    /* 0x7d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10577 /* Table10577 */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10445 /* Table10445 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10447 /* Table10447 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -291690,9 +403077,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7035 /* Table7035 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -291991,23 +403378,23 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_KZ_B */
+,  /* IC_VEX_L_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10579 /* Table10579 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10581 /* Table10581 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10509 /* Table10509 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -292015,19 +403402,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10511 /* Table10511 */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10513 /* Table10513 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10515 /* Table10515 */
    },
    /* 0x07 */
    { /* ModRMDecision */
@@ -292035,44 +403422,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10517 /* Table10517 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10519 /* Table10519 */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10347 /* Table10347 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10349 /* Table10349 */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10521 /* Table10521 */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10523 /* Table10523 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10525 /* Table10525 */
    },
    /* 0x0f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10527 /* Table10527 */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -292115,14 +403502,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10529 /* Table10529 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10531 /* Table10531 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -292140,9 +403527,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10533 /* Table10533 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -292150,9 +403537,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7037 /* Table7037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -292195,9 +403582,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7039 /* Table7039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -292275,14 +403662,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10535 /* Table10535 */
    },
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7041 /* Table7041 */
+    10537 /* Table10537 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -292290,9 +403677,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7043 /* Table7043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -292300,9 +403687,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7045 /* Table7045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -292310,24 +403697,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7047 /* Table7047 */
-   },
-   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10539 /* Table10539 */
+   },
    /* 0x41 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10541 /* Table10541 */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -292335,49 +403722,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7049 /* Table7049 */
-   },
-   /* 0x45 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x46 */
+   /* 0x45 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10543 /* Table10543 */
+   },
    /* 0x47 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10583 /* Table10583 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10585 /* Table10585 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10549 /* Table10549 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10551 /* Table10551 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10553 /* Table10553 */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -292455,24 +403842,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10587 /* Table10587 */
    },
    /* 0x5d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10589 /* Table10589 */
    },
    /* 0x5e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10591 /* Table10591 */
    },
    /* 0x5f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10593 /* Table10593 */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -292515,44 +403902,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10595 /* Table10595 */
    },
    /* 0x69 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10597 /* Table10597 */
    },
    /* 0x6a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10481 /* Table10481 */
    },
    /* 0x6b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10483 /* Table10483 */
    },
    /* 0x6c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10599 /* Table10599 */
    },
    /* 0x6d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10601 /* Table10601 */
    },
    /* 0x6e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10489 /* Table10489 */
    },
    /* 0x6f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10491 /* Table10491 */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -292595,44 +403982,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10603 /* Table10603 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10605 /* Table10605 */
    },
    /* 0x7a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10497 /* Table10497 */
    },
    /* 0x7b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10499 /* Table10499 */
    },
    /* 0x7c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10607 /* Table10607 */
    },
    /* 0x7d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10609 /* Table10609 */
    },
    /* 0x7e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10505 /* Table10505 */
    },
    /* 0x7f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10507 /* Table10507 */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -292975,9 +404362,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7051 /* Table7051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -293276,7 +404663,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_XS_KZ */
+,  /* IC_EVEX_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -293330,9 +404717,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10611 /* Table10611 */
    },
    /* 0x0b */
    { /* ModRMDecision */
@@ -293365,40 +404752,40 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7053 /* Table7053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7055 /* Table7055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7057 /* Table7057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7059 /* Table7059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7061 /* Table7061 */
-   },
-   /* 0x16 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x17 */
+   /* 0x16 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10613 /* Table10613 */
+   },
    /* 0x18 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
@@ -293430,14 +404817,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10615 /* Table10615 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10617 /* Table10617 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -293447,27 +404834,27 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7063 /* Table7063 */
+    10619 /* Table10619 */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7065 /* Table7065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7067 /* Table7067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7069 /* Table7069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7071 /* Table7071 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -293525,29 +404912,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7073 /* Table7073 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7075 /* Table7075 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7077 /* Table7077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7079 /* Table7079 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7081 /* Table7081 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -293590,14 +404977,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10621 /* Table10621 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10623 /* Table10623 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -294561,7 +405948,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_KZ */
+,  /* IC_EVEX_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -294615,14 +406002,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10611 /* Table10611 */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10625 /* Table10625 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -294680,9 +406067,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10613 /* Table10613 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -294717,12 +406104,12 @@ static const struct OpcodeDecision x86Di
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7083 /* Table7083 */
+    10627 /* Table10627 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10629 /* Table10629 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -294732,27 +406119,27 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7085 /* Table7085 */
+    10619 /* Table10619 */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7087 /* Table7087 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7089 /* Table7089 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7091 /* Table7091 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7093 /* Table7093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -294810,29 +406197,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7095 /* Table7095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7097 /* Table7097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7099 /* Table7099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7101 /* Table7101 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7103 /* Table7103 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -294850,9 +406237,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7105 /* Table7105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -294860,9 +406247,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7107 /* Table7107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -294870,24 +406257,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7109 /* Table7109 */
-   },
-   /* 0x3e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x3f */
+   /* 0x3e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7111 /* Table7111 */
+    10631 /* Table10631 */
    },
-   /* 0x40 */
+   /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7113 /* Table7113 */
+    10633 /* Table10633 */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -294905,9 +406292,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7115 /* Table7115 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -295005,9 +406392,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7117 /* Table7117 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x59 */
    { /* ModRMDecision */
@@ -295015,9 +406402,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7119 /* Table7119 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5b */
    { /* ModRMDecision */
@@ -295155,14 +406542,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7121 /* Table7121 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7123 /* Table7123 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -295185,9 +406572,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7125 /* Table7125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -295195,14 +406582,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7127 /* Table7127 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7129 /* Table7129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -295395,19 +406782,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7131 /* Table7131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7133 /* Table7133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7135 /* Table7135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -295415,9 +406802,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7137 /* Table7137 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -295425,9 +406812,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7139 /* Table7139 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -295435,9 +406822,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7141 /* Table7141 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -295545,9 +406932,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7143 /* Table7143 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -295846,7 +407233,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_KZ */
+,  /* IC_EVEX_L_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -296000,14 +407387,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10635 /* Table10635 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7145 /* Table7145 */
+    10637 /* Table10637 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -296050,9 +407437,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7147 /* Table7147 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
    { /* ModRMDecision */
@@ -296135,9 +407522,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7149 /* Table7149 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -296145,9 +407532,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7151 /* Table7151 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -296155,19 +407542,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7153 /* Table7153 */
-   },
-   /* 0x3e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x3e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10639 /* Table10639 */
+   },
    /* 0x3f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7155 /* Table7155 */
+    10641 /* Table10641 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -296190,9 +407577,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7157 /* Table7157 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -296295,9 +407682,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7159 /* Table7159 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5a */
    { /* ModRMDecision */
@@ -296305,9 +407692,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7161 /* Table7161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5c */
    { /* ModRMDecision */
@@ -296440,14 +407827,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7163 /* Table7163 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7165 /* Table7165 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* ModRMDecision */
@@ -296470,9 +407857,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7167 /* Table7167 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
    { /* ModRMDecision */
@@ -296480,14 +407867,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7169 /* Table7169 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7171 /* Table7171 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -296680,19 +408067,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7173 /* Table7173 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7175 /* Table7175 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7177 /* Table7177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa9 */
    { /* ModRMDecision */
@@ -296700,9 +408087,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7179 /* Table7179 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -296710,9 +408097,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7181 /* Table7181 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
    { /* ModRMDecision */
@@ -296720,9 +408107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7183 /* Table7183 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -296830,9 +408217,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7185 /* Table7185 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
    { /* ModRMDecision */
@@ -297130,8 +408517,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- },
- /* IC_OF */
+ }
+,  /* IC_EVEX_L_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -297185,9 +408572,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10611 /* Table10611 */
    },
    /* 0x0b */
    { /* ModRMDecision */
@@ -297250,9 +408637,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10613 /* Table10613 */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -297285,14 +408672,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10643 /* Table10643 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10645 /* Table10645 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -297300,9 +408687,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10619 /* Table10619 */
    },
    /* 0x22 */
    { /* ModRMDecision */
@@ -297445,14 +408832,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10647 /* Table10647 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10649 /* Table10649 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -298416,11 +409803,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerThreeByte38Opcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 7, 0, 8, 9, 10, 11, 12, 13, 0, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 0, 0, 0, 25, 0, 0, 0, 26, 0, 0, 0, 27, 0, 0, 0, 28, 0, 0, 0, 29, 0, 0, 0, 30, 0, 31, 0, 32, 0, 33, 0, 34, 0, 0, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 0, 36, 0, 37, 0, 38, 0, 0, 0, 39, 0, 0, 0, 40, 0, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 43, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 46, 0, 0, 0, 47, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 0, 52, 0, 0, 0, 53, };
-static const struct OpcodeDecision x86DisassemblerThreeByte3AOpcodes[] = {
- /* IC */
+,  /* IC_EVEX_L2_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -298439,14 +409822,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10651 /* Table10651 */
    },
    /* 0x04 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10653 /* Table10653 */
    },
    /* 0x05 */
    { /* ModRMDecision */
@@ -298464,9 +409847,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10655 /* Table10655 */
    },
    /* 0x09 */
    { /* ModRMDecision */
@@ -298499,9 +409882,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -298544,19 +409927,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10657 /* Table10657 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10659 /* Table10659 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10661 /* Table10661 */
    },
    /* 0x1b */
    { /* ModRMDecision */
@@ -298569,19 +409952,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10663 /* Table10663 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10665 /* Table10665 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10667 /* Table10667 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -298704,19 +410087,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10669 /* Table10669 */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10671 /* Table10671 */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10673 /* Table10673 */
    },
    /* 0x3b */
    { /* ModRMDecision */
@@ -298734,14 +410117,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10675 /* Table10675 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10677 /* Table10677 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -299444,9 +410827,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -299705,18 +411088,18 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_EVEX_L2_W_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10679 /* Table10679 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10681 /* Table10681 */
    },
    /* 0x02 */
    { /* ModRMDecision */
@@ -299724,9 +411107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10683 /* Table10683 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -299734,9 +411117,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10685 /* Table10685 */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -299754,9 +411137,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10687 /* Table10687 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -299784,9 +411167,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -299829,9 +411212,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10689 /* Table10689 */
    },
    /* 0x19 */
    { /* ModRMDecision */
@@ -299839,14 +411222,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10691 /* Table10691 */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10693 /* Table10693 */
    },
    /* 0x1c */
    { /* ModRMDecision */
@@ -299859,14 +411242,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10695 /* Table10695 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10697 /* Table10697 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -299989,9 +411372,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10699 /* Table10699 */
    },
    /* 0x39 */
    { /* ModRMDecision */
@@ -299999,14 +411382,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10701 /* Table10701 */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10703 /* Table10703 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -300019,14 +411402,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10705 /* Table10705 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10707 /* Table10707 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -300729,9 +412112,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -300990,7 +412373,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_EVEX_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -301034,44 +412417,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7191 /* Table7191 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7193 /* Table7193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7195 /* Table7195 */
+    10709 /* Table10709 */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7197 /* Table7197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7199 /* Table7199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7201 /* Table7201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7203 /* Table7203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7205 /* Table7205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -301094,24 +412477,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7207 /* Table7207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7209 /* Table7209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7211 /* Table7211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7213 /* Table7213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -301144,29 +412527,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10711 /* Table10711 */
    },
    /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10713 /* Table10713 */
+   },
+   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7215 /* Table7215 */
-   },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7217 /* Table7217 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7219 /* Table7219 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -301304,29 +412687,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10715 /* Table10715 */
    },
    /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10717 /* Table10717 */
+   },
+   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7221 /* Table7221 */
-   },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7223 /* Table7223 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7225 /* Table7225 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -301334,9 +412717,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7227 /* Table7227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -301474,24 +412857,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7229 /* Table7229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7231 /* Table7231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7233 /* Table7233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7235 /* Table7235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -302014,9 +413397,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -302109,9 +413492,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7237 /* Table7237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -302275,7 +413658,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_EVEX_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -302334,9 +413717,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10719 /* Table10719 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -302354,9 +413737,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -302429,14 +413812,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10721 /* Table10721 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10723 /* Table10723 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -302589,14 +413972,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10725 /* Table10725 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10727 /* Table10727 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -303299,9 +414682,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -303560,7 +414943,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_EVEX_L_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -303639,9 +415022,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -303714,14 +415097,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10729 /* Table10729 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10731 /* Table10731 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -303874,14 +415257,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10733 /* Table10733 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10735 /* Table10735 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -304584,9 +415967,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -304845,7 +416228,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_EVEX_L_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -304924,9 +416307,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -304999,14 +416382,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10737 /* Table10737 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10739 /* Table10739 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -305159,14 +416542,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10741 /* Table10741 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10743 /* Table10743 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -305869,9 +417252,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -306130,7 +417513,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_EVEX_L2_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -306149,9 +417532,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10745 /* Table10745 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -306209,9 +417592,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -306259,9 +417642,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10747 /* Table10747 */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -306284,14 +417667,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10749 /* Table10749 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10751 /* Table10751 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -306419,9 +417802,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10753 /* Table10753 */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -306444,14 +417827,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10755 /* Table10755 */
    },
    /* 0x3f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10757 /* Table10757 */
    },
    /* 0x40 */
    { /* ModRMDecision */
@@ -307154,9 +418537,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -307415,7 +418798,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_K */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -307434,9 +418817,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10759 /* Table10759 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -307459,44 +418842,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7191 /* Table7191 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7193 /* Table7193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7195 /* Table7195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7197 /* Table7197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7199 /* Table7199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7201 /* Table7201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7203 /* Table7203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7205 /* Table7205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -307519,24 +418902,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7207 /* Table7207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7209 /* Table7209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7211 /* Table7211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7213 /* Table7213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -307554,9 +418937,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10761 /* Table10761 */
    },
    /* 0x1c */
    { /* ModRMDecision */
@@ -307569,29 +418952,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10763 /* Table10763 */
    },
    /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10765 /* Table10765 */
+   },
+   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7215 /* Table7215 */
-   },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7217 /* Table7217 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7219 /* Table7219 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -307714,9 +419097,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10767 /* Table10767 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -307729,29 +419112,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10769 /* Table10769 */
    },
    /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10771 /* Table10771 */
+   },
+   /* 0x40 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7221 /* Table7221 */
-   },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7223 /* Table7223 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7225 /* Table7225 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -307759,9 +419142,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7227 /* Table7227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -307899,24 +419282,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7229 /* Table7229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7231 /* Table7231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7233 /* Table7233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7235 /* Table7235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -308439,9 +419822,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -308534,9 +419917,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7237 /* Table7237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -308700,7 +420083,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_EVEX_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -308754,9 +420137,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10773 /* Table10773 */
    },
    /* 0x0b */
    { /* ModRMDecision */
@@ -308779,9 +420162,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -308854,14 +420237,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10775 /* Table10775 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10777 /* Table10777 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -309724,9 +421107,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -309985,7 +421368,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XD */
+,  /* IC_EVEX_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -310044,9 +421427,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10779 /* Table10779 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -310064,9 +421447,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -310139,14 +421522,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10781 /* Table10781 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10783 /* Table10783 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -311009,9 +422392,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -311270,7 +422653,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_EVEX_L_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -311349,9 +422732,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -311424,14 +422807,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10785 /* Table10785 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10787 /* Table10787 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -312294,9 +423677,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -312555,7 +423938,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_EVEX_L_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -312634,9 +424017,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -312709,14 +424092,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10789 /* Table10789 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10791 /* Table10791 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -313579,9 +424962,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -313840,7 +425223,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+,  /* IC_EVEX_L2_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -313919,9 +425302,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7187 /* Table7187 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -313994,14 +425377,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10793 /* Table10793 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10795 /* Table10795 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -314864,9 +426247,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -315125,7 +426508,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -315169,44 +426552,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7191 /* Table7191 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7193 /* Table7193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7195 /* Table7195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7197 /* Table7197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7199 /* Table7199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7201 /* Table7201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7203 /* Table7203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7205 /* Table7205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -315229,24 +426612,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7207 /* Table7207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7209 /* Table7209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7239 /* Table7239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7213 /* Table7213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -315279,29 +426662,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10797 /* Table10797 */
    },
    /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10799 /* Table10799 */
+   },
+   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7215 /* Table7215 */
-   },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7217 /* Table7217 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7241 /* Table7241 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -315449,19 +426832,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7221 /* Table7221 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7223 /* Table7223 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7225 /* Table7225 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -315469,9 +426852,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7227 /* Table7227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -315609,24 +426992,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7229 /* Table7229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7231 /* Table7231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7233 /* Table7233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7235 /* Table7235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -316149,9 +427532,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7189 /* Table7189 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
    { /* ModRMDecision */
@@ -316244,9 +427627,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7237 /* Table7237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -316410,7 +427793,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_XD */
+,  /* IC_EVEX_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -316464,9 +427847,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10801 /* Table10801 */
    },
    /* 0x0b */
    { /* ModRMDecision */
@@ -316564,14 +427947,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10803 /* Table10803 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10805 /* Table10805 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -317614,9 +428997,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7243 /* Table7243 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -317695,7 +429078,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_OPSIZE */
+,  /* IC_EVEX_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -317709,9 +429092,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7245 /* Table7245 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -317719,14 +429102,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7247 /* Table7247 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7249 /* Table7249 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -317739,44 +429122,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7251 /* Table7251 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7253 /* Table7253 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7255 /* Table7255 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7257 /* Table7257 */
+    10807 /* Table10807 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7259 /* Table7259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7261 /* Table7261 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7263 /* Table7263 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7265 /* Table7265 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -317799,24 +429182,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7267 /* Table7267 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7269 /* Table7269 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7271 /* Table7271 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7273 /* Table7273 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -317844,34 +429227,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7275 /* Table7275 */
-   },
-   /* 0x1e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10809 /* Table10809 */
+   },
    /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10811 /* Table10811 */
+   },
+   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7277 /* Table7277 */
-   },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7279 /* Table7279 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7281 /* Table7281 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -318018,20 +429401,20 @@ static const struct OpcodeDecision x86Di
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7283 /* Table7283 */
-   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7285 /* Table7285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7287 /* Table7287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -318039,9 +429422,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7289 /* Table7289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -318059,29 +429442,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7291 /* Table7291 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7293 /* Table7293 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7295 /* Table7295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7297 /* Table7297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7299 /* Table7299 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -318159,44 +429542,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7301 /* Table7301 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7303 /* Table7303 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7305 /* Table7305 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7307 /* Table7307 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7309 /* Table7309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7311 /* Table7311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7313 /* Table7313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7315 /* Table7315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -318219,44 +429602,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7317 /* Table7317 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7319 /* Table7319 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7321 /* Table7321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7323 /* Table7323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7325 /* Table7325 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7327 /* Table7327 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7329 /* Table7329 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7331 /* Table7331 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -318299,44 +429682,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7333 /* Table7333 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7335 /* Table7335 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7337 /* Table7337 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7339 /* Table7339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7341 /* Table7341 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7343 /* Table7343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7345 /* Table7345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7347 /* Table7347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -318814,9 +430197,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7349 /* Table7349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -318980,7 +430363,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_XD */
+,  /* IC_EVEX_L_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -319134,14 +430517,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10813 /* Table10813 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10815 /* Table10815 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -320184,9 +431567,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7351 /* Table7351 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -320265,7 +431648,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W_OPSIZE */
+,  /* IC_EVEX_L_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -320279,9 +431662,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7245 /* Table7245 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -320289,14 +431672,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7247 /* Table7247 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7249 /* Table7249 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -320309,44 +431692,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7251 /* Table7251 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7253 /* Table7253 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7255 /* Table7255 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7257 /* Table7257 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7259 /* Table7259 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7261 /* Table7261 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7263 /* Table7263 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7265 /* Table7265 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -320369,24 +431752,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7267 /* Table7267 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7269 /* Table7269 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7353 /* Table7353 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7273 /* Table7273 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -320414,34 +431797,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7275 /* Table7275 */
-   },
-   /* 0x1e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10817 /* Table10817 */
+   },
    /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10819 /* Table10819 */
+   },
+   /* 0x20 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7277 /* Table7277 */
-   },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7279 /* Table7279 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7355 /* Table7355 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
    { /* ModRMDecision */
@@ -320509,9 +431892,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7357 /* Table7357 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
    { /* ModRMDecision */
@@ -320519,9 +431902,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7359 /* Table7359 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
    { /* ModRMDecision */
@@ -320589,19 +431972,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7283 /* Table7283 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7285 /* Table7285 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7287 /* Table7287 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -320609,9 +431992,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7289 /* Table7289 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
    { /* ModRMDecision */
@@ -320629,29 +432012,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7361 /* Table7361 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7363 /* Table7363 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7295 /* Table7295 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7297 /* Table7297 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7299 /* Table7299 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -320729,44 +432112,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7365 /* Table7365 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7367 /* Table7367 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7369 /* Table7369 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7371 /* Table7371 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7309 /* Table7309 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7311 /* Table7311 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7313 /* Table7313 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7315 /* Table7315 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -320789,44 +432172,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7373 /* Table7373 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7375 /* Table7375 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7377 /* Table7377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7379 /* Table7379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7381 /* Table7381 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7383 /* Table7383 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7385 /* Table7385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7387 /* Table7387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -320869,44 +432252,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7389 /* Table7389 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7391 /* Table7391 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7393 /* Table7393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7395 /* Table7395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7397 /* Table7397 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7399 /* Table7399 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7401 /* Table7401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7403 /* Table7403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -321384,9 +432767,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7349 /* Table7349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe0 */
    { /* ModRMDecision */
@@ -321550,7 +432933,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_OPSIZE */
+,  /* IC_EVEX_L2_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -321564,9 +432947,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7405 /* Table7405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -321574,19 +432957,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7407 /* Table7407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7409 /* Table7409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7411 /* Table7411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
    { /* ModRMDecision */
@@ -321594,44 +432977,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7413 /* Table7413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7415 /* Table7415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7255 /* Table7255 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7257 /* Table7257 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7417 /* Table7417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7419 /* Table7419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7421 /* Table7421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7423 /* Table7423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -321674,14 +433057,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7425 /* Table7425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7427 /* Table7427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -321699,19 +433082,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7429 /* Table7429 */
-   },
-   /* 0x1e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10821 /* Table10821 */
+   },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10823 /* Table10823 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -321834,14 +433217,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7431 /* Table7431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7433 /* Table7433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -321874,9 +433257,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7435 /* Table7435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -321884,9 +433267,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7437 /* Table7437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -321904,9 +433287,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7439 /* Table7439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
    { /* ModRMDecision */
@@ -321914,29 +433297,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7441 /* Table7441 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7443 /* Table7443 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7445 /* Table7445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7447 /* Table7447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7449 /* Table7449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -322014,24 +433397,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7451 /* Table7451 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7453 /* Table7453 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7455 /* Table7455 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7457 /* Table7457 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -322074,44 +433457,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7459 /* Table7459 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7461 /* Table7461 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7321 /* Table7321 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7323 /* Table7323 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7463 /* Table7463 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7465 /* Table7465 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7329 /* Table7329 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7331 /* Table7331 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -322154,44 +433537,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7467 /* Table7467 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7469 /* Table7469 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7337 /* Table7337 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7339 /* Table7339 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7471 /* Table7471 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7473 /* Table7473 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7345 /* Table7345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7347 /* Table7347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -322835,23 +434218,23 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W_OPSIZE */
+,  /* IC_EVEX_L2_W_OPSIZE_K_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7475 /* Table7475 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7477 /* Table7477 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7405 /* Table7405 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -322859,19 +434242,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7407 /* Table7407 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7409 /* Table7409 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7411 /* Table7411 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x07 */
    { /* ModRMDecision */
@@ -322879,44 +434262,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7413 /* Table7413 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7415 /* Table7415 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7255 /* Table7255 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7257 /* Table7257 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7417 /* Table7417 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7419 /* Table7419 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7421 /* Table7421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7423 /* Table7423 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x10 */
    { /* ModRMDecision */
@@ -322959,14 +434342,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7425 /* Table7425 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7427 /* Table7427 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -322984,19 +434367,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7429 /* Table7429 */
-   },
-   /* 0x1e */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10825 /* Table10825 */
+   },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10827 /* Table10827 */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -323119,14 +434502,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7431 /* Table7431 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7433 /* Table7433 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -323159,9 +434542,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7435 /* Table7435 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
    { /* ModRMDecision */
@@ -323169,9 +434552,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7437 /* Table7437 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
    { /* ModRMDecision */
@@ -323189,9 +434572,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7439 /* Table7439 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
    { /* ModRMDecision */
@@ -323199,29 +434582,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7479 /* Table7479 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7481 /* Table7481 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7445 /* Table7445 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7447 /* Table7447 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7449 /* Table7449 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
    { /* ModRMDecision */
@@ -323299,24 +434682,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7483 /* Table7483 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7485 /* Table7485 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7487 /* Table7487 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7489 /* Table7489 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -323359,44 +434742,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7491 /* Table7491 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7493 /* Table7493 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7377 /* Table7377 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7379 /* Table7379 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7495 /* Table7495 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7497 /* Table7497 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7385 /* Table7385 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7387 /* Table7387 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x70 */
    { /* ModRMDecision */
@@ -323439,44 +434822,44 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7499 /* Table7499 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7501 /* Table7501 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7393 /* Table7393 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7395 /* Table7395 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7503 /* Table7503 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7505 /* Table7505 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7401 /* Table7401 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7403 /* Table7403 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* ModRMDecision */
@@ -324120,7 +435503,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_OPSIZE */
+,  /* IC_EVEX_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -324176,12 +435559,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7507 /* Table7507 */
+    10829 /* Table10829 */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7509 /* Table7509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -324239,9 +435622,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7511 /* Table7511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -324289,9 +435672,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7513 /* Table7513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
    { /* ModRMDecision */
@@ -325405,7 +436788,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_W_OPSIZE */
+,  /* IC_EVEX_W_OPSIZE_KZ_B */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -325459,14 +436842,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7507 /* Table7507 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7509 /* Table7509 */
+    10831 /* Table10831 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -325524,9 +436907,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7511 /* Table7511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -325574,9 +436957,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7513 /* Table7513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
    { /* ModRMDecision */
@@ -326690,7 +438073,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L_W_OPSIZE */
+,  /* IC_EVEX_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -326746,12 +438129,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7507 /* Table7507 */
+    10833 /* Table10833 */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7509 /* Table7509 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -326809,9 +438192,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7511 /* Table7511 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* ModRMDecision */
@@ -326859,9 +438242,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7513 /* Table7513 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
    { /* ModRMDecision */
@@ -327975,7 +439358,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE */
+,  /* IC_EVEX_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -327994,14 +439377,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7515 /* Table7515 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7517 /* Table7517 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* ModRMDecision */
@@ -328019,9 +439402,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7519 /* Table7519 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
    { /* ModRMDecision */
@@ -328034,9 +439417,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10835 /* Table10835 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -328099,14 +439482,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7521 /* Table7521 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7523 /* Table7523 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
    { /* ModRMDecision */
@@ -328124,19 +439507,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7525 /* Table7525 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7527 /* Table7527 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7529 /* Table7529 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -328259,14 +439642,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7531 /* Table7531 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7533 /* Table7533 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
    { /* ModRMDecision */
@@ -329260,18 +440643,18 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE */
+,  /* IC_EVEX_L2_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7535 /* Table7535 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7537 /* Table7537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
    { /* ModRMDecision */
@@ -329281,7 +440664,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7539 /* Table7539 */
+    10837 /* Table10837 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -329289,9 +440672,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7541 /* Table7541 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -329309,9 +440692,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7543 /* Table7543 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -329389,19 +440772,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10839 /* Table10839 */
+   },
+   /* 0x1a */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7545 /* Table7545 */
-   },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7547 /* Table7547 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
    { /* ModRMDecision */
@@ -329414,14 +440797,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7549 /* Table7549 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7551 /* Table7551 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* ModRMDecision */
@@ -329549,19 +440932,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10841 /* Table10841 */
+   },
+   /* 0x3a */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7553 /* Table7553 */
-   },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7555 /* Table7555 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -330545,7 +441928,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_K */
+,  /* IC_EVEX_L2_W_OPSIZE_KZ */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -330566,7 +441949,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7557 /* Table7557 */
+    10843 /* Table10843 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -330684,9 +442067,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10845 /* Table10845 */
    },
    /* 0x1c */
    { /* ModRMDecision */
@@ -330844,9 +442227,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10847 /* Table10847 */
    },
    /* 0x3c */
    { /* ModRMDecision */
@@ -331829,8 +443212,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- }
-,  /* IC_EVEX_L2_W_OPSIZE_K */
+ },
+ /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -331849,9 +443232,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7559 /* Table7559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -333115,7 +444498,11 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_OPSIZE_KZ */
+, };
+static const uint8_t index_x86DisassemblerThreeByte3AOpcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 0, 0, 8, 9, 10, 11, 12, 13, 14, 0, 0, 15, 16, 17, 0, 0, 18, 19, 0, 0, 20, 21, 0, 0, 0, 22, 0, 0, 0, 23, 0, 0, 0, 24, 0, 0, 0, 25, 0, 0, 0, 26, 0, 0, 0, 27, 0, 0, 0, 28, 0, 0, 0, 29, 0, 0, 0, 30, 0, 0, 0, 31, 0, 0, 0, 32, 0, 0, 0, 33, 0, 0, 0, 34, 0, 0, 0, 35, 0, 0, 0, 36, 0, 0, 0, 37, 0, 0, 0, 38, 0, 0, 0, 39, 0, 0, 0, 40, 0, 0, 0, 41, 0, 0, 0, 42, 0, 0, 0, 43, 0, 0, 0, 44, 0, 0, 0, 45, 0, 0, 0, 46, 0, 0, 0, 47, 0, 0, 0, 48, 0, 0, 0, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 0, 0, 0, 53, };
+static const struct OpcodeDecision x86DisassemblerXOP8Opcodes[] = {
+ /* IC_VEX */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -333134,9 +444521,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7561 /* Table7561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -333784,19 +445171,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10849 /* Table10849 */
    },
    /* 0x86 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10851 /* Table10851 */
    },
    /* 0x87 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10853 /* Table10853 */
    },
    /* 0x88 */
    { /* ModRMDecision */
@@ -333829,14 +445216,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10855 /* Table10855 */
    },
    /* 0x8f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10857 /* Table10857 */
    },
    /* 0x90 */
    { /* ModRMDecision */
@@ -333864,19 +445251,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10859 /* Table10859 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10861 /* Table10861 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10863 /* Table10863 */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -333909,14 +445296,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10865 /* Table10865 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10867 /* Table10867 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -333929,14 +445316,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10869 /* Table10869 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10871 /* Table10871 */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -333949,9 +445336,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10873 /* Table10873 */
    },
    /* 0xa7 */
    { /* ModRMDecision */
@@ -334029,9 +445416,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10875 /* Table10875 */
    },
    /* 0xb7 */
    { /* ModRMDecision */
@@ -334079,24 +445466,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10877 /* Table10877 */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10879 /* Table10879 */
    },
    /* 0xc2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10881 /* Table10881 */
    },
    /* 0xc3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10883 /* Table10883 */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -334139,24 +445526,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10885 /* Table10885 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10887 /* Table10887 */
    },
    /* 0xce */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10889 /* Table10889 */
    },
    /* 0xcf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10891 /* Table10891 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -334299,24 +445686,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xec */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10893 /* Table10893 */
    },
    /* 0xed */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10895 /* Table10895 */
    },
    /* 0xee */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10897 /* Table10897 */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10899 /* Table10899 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -334400,7 +445787,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_EVEX_L2_W_OPSIZE_KZ */
+,  /* IC_VEX_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -334419,9 +445806,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7563 /* Table7563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -335069,19 +446456,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10849 /* Table10849 */
    },
    /* 0x86 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10851 /* Table10851 */
    },
    /* 0x87 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10853 /* Table10853 */
    },
    /* 0x88 */
    { /* ModRMDecision */
@@ -335114,14 +446501,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10855 /* Table10855 */
    },
    /* 0x8f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10857 /* Table10857 */
    },
    /* 0x90 */
    { /* ModRMDecision */
@@ -335149,19 +446536,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10859 /* Table10859 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10861 /* Table10861 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10863 /* Table10863 */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -335194,14 +446581,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10865 /* Table10865 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10867 /* Table10867 */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -335214,14 +446601,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10901 /* Table10901 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10903 /* Table10903 */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -335234,9 +446621,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10873 /* Table10873 */
    },
    /* 0xa7 */
    { /* ModRMDecision */
@@ -335314,9 +446701,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10875 /* Table10875 */
    },
    /* 0xb7 */
    { /* ModRMDecision */
@@ -335364,24 +446751,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10877 /* Table10877 */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10879 /* Table10879 */
    },
    /* 0xc2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10881 /* Table10881 */
    },
    /* 0xc3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10883 /* Table10883 */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -335424,24 +446811,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10885 /* Table10885 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10887 /* Table10887 */
    },
    /* 0xce */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10889 /* Table10889 */
    },
    /* 0xcf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10891 /* Table10891 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -335584,24 +446971,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xec */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10893 /* Table10893 */
    },
    /* 0xed */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10895 /* Table10895 */
    },
    /* 0xee */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10897 /* Table10897 */
    },
    /* 0xef */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10899 /* Table10899 */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -335684,8 +447071,8 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    }
   }
- },
- /* IC_OF */
+ }
+,  /* IC_VEX_L */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -336499,9 +447886,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10905 /* Table10905 */
    },
    /* 0xa3 */
    { /* ModRMDecision */
@@ -336970,11 +448357,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerThreeByte3AOpcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 0, 7, 8, 9, 10, 11, 0, 0, 12, 13, 14, 0, 0, 15, 16, 0, 0, 17, 18, 0, 0, 0, 19, 0, 0, 0, 20, 0, 0, 0, 21, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 24, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 0, 0, 0, 29, };
-static const struct OpcodeDecision x86DisassemblerXOP8Opcodes[] = {
- /* IC_VEX */
+,  /* IC_VEX_L_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -337643,19 +449026,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7565 /* Table7565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7567 /* Table7567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7569 /* Table7569 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
    { /* ModRMDecision */
@@ -337688,14 +449071,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7571 /* Table7571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7573 /* Table7573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
    { /* ModRMDecision */
@@ -337723,19 +449106,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7575 /* Table7575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7577 /* Table7577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7579 /* Table7579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -337768,14 +449151,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7581 /* Table7581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7583 /* Table7583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -337790,12 +449173,12 @@ static const struct OpcodeDecision x86Di
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7585 /* Table7585 */
+    10907 /* Table10907 */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7587 /* Table7587 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -337808,9 +449191,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7589 /* Table7589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
    { /* ModRMDecision */
@@ -337888,9 +449271,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7591 /* Table7591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
    { /* ModRMDecision */
@@ -337938,24 +449321,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7593 /* Table7593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7595 /* Table7595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7597 /* Table7597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7599 /* Table7599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -337998,24 +449381,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7601 /* Table7601 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7603 /* Table7603 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7605 /* Table7605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7607 /* Table7607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -338158,24 +449541,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7609 /* Table7609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7611 /* Table7611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7613 /* Table7613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7615 /* Table7615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -338259,7 +449642,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W */
+,  /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -338928,19 +450311,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7565 /* Table7565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7567 /* Table7567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7569 /* Table7569 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
    { /* ModRMDecision */
@@ -338973,14 +450356,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7571 /* Table7571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7573 /* Table7573 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
    { /* ModRMDecision */
@@ -339008,19 +450391,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7575 /* Table7575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7577 /* Table7577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7579 /* Table7579 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -339053,14 +450436,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7581 /* Table7581 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7583 /* Table7583 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
    { /* ModRMDecision */
@@ -339073,14 +450456,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7617 /* Table7617 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7619 /* Table7619 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
    { /* ModRMDecision */
@@ -339093,9 +450476,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7589 /* Table7589 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
    { /* ModRMDecision */
@@ -339173,9 +450556,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7591 /* Table7591 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
    { /* ModRMDecision */
@@ -339223,24 +450606,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7593 /* Table7593 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7595 /* Table7595 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7597 /* Table7597 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7599 /* Table7599 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -339283,24 +450666,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7601 /* Table7601 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7603 /* Table7603 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7605 /* Table7605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7607 /* Table7607 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -339443,24 +450826,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7609 /* Table7609 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7611 /* Table7611 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7613 /* Table7613 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7615 /* Table7615 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf0 */
    { /* ModRMDecision */
@@ -339544,7 +450927,11 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L */
+, };
+static const uint8_t index_x86DisassemblerXOP8Opcodes[] = {
+0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerXOP9Opcodes[] = {
+ /* IC_VEX */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -339553,14 +450940,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    10909 /* Table10909 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    10925 /* Table10925 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -340188,24 +451575,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10941 /* Table10941 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10943 /* Table10943 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10945 /* Table10945 */
    },
    /* 0x83 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10947 /* Table10947 */
    },
    /* 0x84 */
    { /* ModRMDecision */
@@ -340268,64 +451655,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10949 /* Table10949 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10951 /* Table10951 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10953 /* Table10953 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10955 /* Table10955 */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10957 /* Table10957 */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10959 /* Table10959 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10961 /* Table10961 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10963 /* Table10963 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10965 /* Table10965 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10967 /* Table10967 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10969 /* Table10969 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10971 /* Table10971 */
    },
    /* 0x9c */
    { /* ModRMDecision */
@@ -340358,9 +451745,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7621 /* Table7621 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa3 */
    { /* ModRMDecision */
@@ -340513,19 +451900,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10973 /* Table10973 */
    },
    /* 0xc2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10975 /* Table10975 */
    },
    /* 0xc3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10977 /* Table10977 */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -340538,14 +451925,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10979 /* Table10979 */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10981 /* Table10981 */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -340563,9 +451950,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10983 /* Table10983 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -340593,19 +451980,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10985 /* Table10985 */
    },
    /* 0xd2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10987 /* Table10987 */
    },
    /* 0xd3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10989 /* Table10989 */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -340618,14 +452005,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10991 /* Table10991 */
    },
    /* 0xd7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10993 /* Table10993 */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -340643,9 +452030,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10995 /* Table10995 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -340673,19 +452060,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10997 /* Table10997 */
    },
    /* 0xe2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10999 /* Table10999 */
    },
    /* 0xe3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11001 /* Table11001 */
    },
    /* 0xe4 */
    { /* ModRMDecision */
@@ -340829,7 +452216,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W */
+,  /* IC_VEX_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -340838,14 +452225,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    11003 /* Table11003 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    11019 /* Table11019 */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -341473,24 +452860,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10941 /* Table10941 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10943 /* Table10943 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10945 /* Table10945 */
    },
    /* 0x83 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10947 /* Table10947 */
    },
    /* 0x84 */
    { /* ModRMDecision */
@@ -341553,64 +452940,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11035 /* Table11035 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11037 /* Table11037 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11039 /* Table11039 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11041 /* Table11041 */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11043 /* Table11043 */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11045 /* Table11045 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11047 /* Table11047 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11049 /* Table11049 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11051 /* Table11051 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11053 /* Table11053 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11055 /* Table11055 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11057 /* Table11057 */
    },
    /* 0x9c */
    { /* ModRMDecision */
@@ -341643,9 +453030,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7623 /* Table7623 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa3 */
    { /* ModRMDecision */
@@ -341798,19 +453185,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10973 /* Table10973 */
    },
    /* 0xc2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10975 /* Table10975 */
    },
    /* 0xc3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10977 /* Table10977 */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -341823,14 +453210,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10979 /* Table10979 */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10981 /* Table10981 */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -341848,9 +453235,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10983 /* Table10983 */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -341878,19 +453265,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10985 /* Table10985 */
    },
    /* 0xd2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10987 /* Table10987 */
    },
    /* 0xd3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10989 /* Table10989 */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -341903,14 +453290,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10991 /* Table10991 */
    },
    /* 0xd7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10993 /* Table10993 */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -341928,9 +453315,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10995 /* Table10995 */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -341958,19 +453345,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10997 /* Table10997 */
    },
    /* 0xe2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    10999 /* Table10999 */
    },
    /* 0xe3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11001 /* Table11001 */
    },
    /* 0xe4 */
    { /* ModRMDecision */
@@ -342114,7 +453501,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_VEX_L */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -342758,14 +454145,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11059 /* Table11059 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11061 /* Table11061 */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -343399,11 +454786,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerXOP8Opcodes[] = {
-0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerXOP9Opcodes[] = {
- /* IC_VEX */
+,  /* IC_VEX_L_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -343412,14 +454795,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    7625 /* Table7625 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    7641 /* Table7641 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -344049,22 +455432,22 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7657 /* Table7657 */
+    11059 /* Table11059 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7659 /* Table7659 */
+    11061 /* Table11061 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7661 /* Table7661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7663 /* Table7663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
    { /* ModRMDecision */
@@ -344127,64 +455510,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7665 /* Table7665 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7667 /* Table7667 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7669 /* Table7669 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7671 /* Table7671 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7673 /* Table7673 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7675 /* Table7675 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7677 /* Table7677 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7679 /* Table7679 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7681 /* Table7681 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7683 /* Table7683 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7685 /* Table7685 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7687 /* Table7687 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
    { /* ModRMDecision */
@@ -344372,19 +455755,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7689 /* Table7689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7691 /* Table7691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7693 /* Table7693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -344397,14 +455780,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7695 /* Table7695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7697 /* Table7697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -344422,9 +455805,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7699 /* Table7699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -344452,19 +455835,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7701 /* Table7701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7703 /* Table7703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7705 /* Table7705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -344477,14 +455860,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7707 /* Table7707 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7709 /* Table7709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -344502,9 +455885,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7711 /* Table7711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -344532,19 +455915,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7713 /* Table7713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7715 /* Table7715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7717 /* Table7717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
    { /* ModRMDecision */
@@ -344688,7 +456071,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W */
+,  /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -344697,14 +456080,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    7719 /* Table7719 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    7735 /* Table7735 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
    { /* ModRMDecision */
@@ -345332,24 +456715,24 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7657 /* Table7657 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7659 /* Table7659 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7661 /* Table7661 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7663 /* Table7663 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
    { /* ModRMDecision */
@@ -345412,64 +456795,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7751 /* Table7751 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7753 /* Table7753 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7755 /* Table7755 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7757 /* Table7757 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7759 /* Table7759 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7761 /* Table7761 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7763 /* Table7763 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7765 /* Table7765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7767 /* Table7767 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7769 /* Table7769 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7771 /* Table7771 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7773 /* Table7773 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
    { /* ModRMDecision */
@@ -345657,19 +457040,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7689 /* Table7689 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7691 /* Table7691 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7693 /* Table7693 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc4 */
    { /* ModRMDecision */
@@ -345682,14 +457065,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7695 /* Table7695 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7697 /* Table7697 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
    { /* ModRMDecision */
@@ -345707,9 +457090,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7699 /* Table7699 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xcc */
    { /* ModRMDecision */
@@ -345737,19 +457120,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7701 /* Table7701 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7703 /* Table7703 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7705 /* Table7705 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -345762,14 +457145,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7707 /* Table7707 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7709 /* Table7709 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -345787,9 +457170,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7711 /* Table7711 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -345817,19 +457200,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7713 /* Table7713 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7715 /* Table7715 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7717 /* Table7717 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xe4 */
    { /* ModRMDecision */
@@ -345973,7 +457356,11 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L */
+, };
+static const uint8_t index_x86DisassemblerXOP9Opcodes[] = {
+0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerXOPAOpcodes[] = {
+ /* IC_VEX */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -346057,9 +457444,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11063 /* Table11063 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -346617,14 +458004,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7775 /* Table7775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7777 /* Table7777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -347258,7 +458645,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_L_W */
+,  /* IC_VEX_W */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -347342,9 +458729,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11065 /* Table11065 */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -347902,14 +459289,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7775 /* Table7775 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7777 /* Table7777 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -349829,10 +461216,10 @@ static const struct OpcodeDecision x86Di
   }
  }
 , };
-static const uint8_t index_x86DisassemblerXOP9Opcodes[] = {
-0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerXOPAOpcodes[] = {
- /* IC_VEX */
+static const uint8_t index_x86DisassemblerXOPAOpcodes[] = {
+0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerT3DNOWOpcodes[] = {
+ /* IC */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -349901,14 +461288,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    11067 /* Table11067 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -349916,9 +461303,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7779 /* Table7779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -351117,7 +462504,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_VEX_W */
+,  /* IC_64BIT */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -351186,14 +462573,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    11067 /* Table11067 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -351201,9 +462588,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7781 /* Table7781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
    { /* ModRMDecision */
@@ -352402,7 +463789,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -352471,14 +463858,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    11067 /* Table11067 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -353687,11 +465074,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerXOPAOpcodes[] = {
-0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerT3DNOWOpcodes[] = {
- /* IC */
+,  /* IC_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -353762,12 +465145,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -354976,7 +466359,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -355040,19 +466423,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11084 /* Table11084 */
    },
    /* 0x0d */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    7783 /* Table7783 */
+    MODRM_SPLITRM,
+    11086 /* Table11086 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -355120,14 +466503,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11088 /* Table11088 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11090 /* Table11090 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -355670,9 +467053,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11092 /* Table11092 */
    },
    /* 0x8b */
    { /* ModRMDecision */
@@ -355690,9 +467073,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11094 /* Table11094 */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -355700,9 +467083,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11096 /* Table11096 */
    },
    /* 0x91 */
    { /* ModRMDecision */
@@ -355720,9 +467103,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11098 /* Table11098 */
    },
    /* 0x95 */
    { /* ModRMDecision */
@@ -355730,14 +467113,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11100 /* Table11100 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11102 /* Table11102 */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -355750,9 +467133,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11104 /* Table11104 */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -355770,9 +467153,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11106 /* Table11106 */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -355780,9 +467163,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11108 /* Table11108 */
    },
    /* 0xa1 */
    { /* ModRMDecision */
@@ -355800,9 +467183,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11110 /* Table11110 */
    },
    /* 0xa5 */
    { /* ModRMDecision */
@@ -355810,14 +467193,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11112 /* Table11112 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11114 /* Table11114 */
    },
    /* 0xa8 */
    { /* ModRMDecision */
@@ -355830,9 +467213,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11116 /* Table11116 */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -355850,9 +467233,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11118 /* Table11118 */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -355860,9 +467243,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11120 /* Table11120 */
    },
    /* 0xb1 */
    { /* ModRMDecision */
@@ -355880,9 +467263,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11122 /* Table11122 */
    },
    /* 0xb5 */
    { /* ModRMDecision */
@@ -355890,14 +467273,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11124 /* Table11124 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11126 /* Table11126 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -355915,9 +467298,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11128 /* Table11128 */
    },
    /* 0xbc */
    { /* ModRMDecision */
@@ -355935,9 +467318,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    11130 /* Table11130 */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -356261,7 +467644,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -356332,12 +467715,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -357546,7 +468929,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -357617,12 +469000,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -358831,7 +470214,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -358895,19 +470278,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7800 /* Table7800 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7802 /* Table7802 */
+    MODRM_SPLITREG,
+    11067 /* Table11067 */
    },
    /* 0x0e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -358975,14 +470358,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7804 /* Table7804 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7806 /* Table7806 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -359525,9 +470908,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7808 /* Table7808 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
    { /* ModRMDecision */
@@ -359545,9 +470928,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7810 /* Table7810 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
    { /* ModRMDecision */
@@ -359555,9 +470938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7812 /* Table7812 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
    { /* ModRMDecision */
@@ -359575,9 +470958,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7814 /* Table7814 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
    { /* ModRMDecision */
@@ -359585,14 +470968,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7816 /* Table7816 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7818 /* Table7818 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
    { /* ModRMDecision */
@@ -359605,9 +470988,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7820 /* Table7820 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -359625,9 +471008,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7822 /* Table7822 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
    { /* ModRMDecision */
@@ -359635,9 +471018,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7824 /* Table7824 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa1 */
    { /* ModRMDecision */
@@ -359655,9 +471038,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7826 /* Table7826 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
    { /* ModRMDecision */
@@ -359665,14 +471048,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7828 /* Table7828 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7830 /* Table7830 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
    { /* ModRMDecision */
@@ -359685,9 +471068,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7832 /* Table7832 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xab */
    { /* ModRMDecision */
@@ -359705,9 +471088,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7834 /* Table7834 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
    { /* ModRMDecision */
@@ -359715,9 +471098,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7836 /* Table7836 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
    { /* ModRMDecision */
@@ -359735,9 +471118,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7838 /* Table7838 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
    { /* ModRMDecision */
@@ -359745,14 +471128,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7840 /* Table7840 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7842 /* Table7842 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -359770,9 +471153,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7844 /* Table7844 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* ModRMDecision */
@@ -359790,9 +471173,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7846 /* Table7846 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
    { /* ModRMDecision */
@@ -360116,7 +471499,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_64BIT_REXW */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -360187,12 +471570,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -361401,7 +472784,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_64BIT_REXW_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -361472,12 +472855,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -362686,7 +474069,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -362757,12 +474140,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -363971,7 +475354,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -364042,12 +475425,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -365256,7 +476639,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -365327,12 +476710,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -366612,12 +477995,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -367897,12 +479280,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -369182,12 +480565,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -370467,12 +481850,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -371752,12 +483135,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    7783 /* Table7783 */
+    11067 /* Table11067 */
    },
    /* 0x0e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    7799 /* Table7799 */
+    11083 /* Table11083 */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -374253,5 +485636,5 @@ static const struct OpcodeDecision x86Di
  }
 , };
 static const uint8_t index_x86DisassemblerT3DNOWOpcodes[] = {
-1, 2, 3, 4, 5, 6, 7, 0, 0, 8, 9, 10, 11, 12, 0, 0, 13, 14, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+1, 2, 3, 4, 5, 6, 7, 8, 0, 0, 9, 10, 11, 12, 13, 14, 15, 0, 0, 16, 17, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenDisassemblerTables_reduce.inc 4.0.2-3/arch/X86/X86GenDisassemblerTables_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenDisassemblerTables_reduce.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenDisassemblerTables_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 static const struct OpcodeDecision emptyTable = {
@@ -1833,6 +1833,14 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 67 */
+    { ENCODING_RM, TYPE_M8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 68 */
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_Iv, TYPE_IMMv },
     { ENCODING_NONE, TYPE_NONE },
@@ -1840,7 +1848,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 68 */
+  { /* 69 */
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_ID, TYPE_IMM64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1848,7 +1856,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 69 */
+  { /* 70 */
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_IB, TYPE_IMM8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1856,7 +1864,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 70 */
+  { /* 71 */
     { ENCODING_REG, TYPE_R8 },
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1864,7 +1872,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 71 */
+  { /* 72 */
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_REG, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1872,7 +1880,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 72 */
+  { /* 73 */
     { ENCODING_REG, TYPE_R8 },
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1880,7 +1888,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 73 */
+  { /* 74 */
     { ENCODING_DI, TYPE_DSTIDX8 },
     { ENCODING_SI, TYPE_SRCIDX8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1888,7 +1896,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 74 */
+  { /* 75 */
     { ENCODING_DI, TYPE_DSTIDX32 },
     { ENCODING_SI, TYPE_SRCIDX32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1896,7 +1904,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 75 */
+  { /* 76 */
     { ENCODING_DI, TYPE_DSTIDX64 },
     { ENCODING_SI, TYPE_SRCIDX64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1904,7 +1912,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 76 */
+  { /* 77 */
     { ENCODING_DI, TYPE_DSTIDX16 },
     { ENCODING_SI, TYPE_SRCIDX16 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1912,7 +1920,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 77 */
+  { /* 78 */
     { ENCODING_RM, TYPE_M128 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -1920,7 +1928,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 78 */
+  { /* 79 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_NONE, TYPE_NONE },
@@ -1928,7 +1936,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 79 */
+  { /* 80 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
@@ -1936,14 +1944,6 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 80 */
-    { ENCODING_RM, TYPE_M8 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
   { /* 81 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_R8 },
@@ -2154,14 +2154,14 @@ static const struct OperandSpecifier x86
   },
   { /* 107 */
     { ENCODING_REG, TYPE_Rv },
-    { ENCODING_RM, TYPE_LEA },
+    { ENCODING_RM, TYPE_M },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 108 */
-    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_LEA },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2170,13 +2170,21 @@ static const struct OperandSpecifier x86
   },
   { /* 109 */
     { ENCODING_REG, TYPE_R64 },
-    { ENCODING_RM, TYPE_M1664 },
+    { ENCODING_RM, TYPE_LEA },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 110 */
+    { ENCODING_REG, TYPE_R64 },
+    { ENCODING_RM, TYPE_M1664 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 111 */
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2184,7 +2192,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 111 */
+  { /* 112 */
     { ENCODING_SI, TYPE_SRCIDX8 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2192,7 +2200,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 112 */
+  { /* 113 */
     { ENCODING_SI, TYPE_SRCIDX32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2200,7 +2208,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 113 */
+  { /* 114 */
     { ENCODING_SI, TYPE_SRCIDX64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2208,7 +2216,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 114 */
+  { /* 115 */
     { ENCODING_SI, TYPE_SRCIDX16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2216,7 +2224,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 115 */
+  { /* 116 */
     { ENCODING_IW, TYPE_IMM16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2224,7 +2232,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 116 */
+  { /* 117 */
     { ENCODING_Ia, TYPE_MOFFS16 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2232,7 +2240,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 117 */
+  { /* 118 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -2240,7 +2248,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 118 */
+  { /* 119 */
     { ENCODING_Rv, TYPE_Rv },
     { ENCODING_Iv, TYPE_IMMv },
     { ENCODING_NONE, TYPE_NONE },
@@ -2248,7 +2256,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 119 */
+  { /* 120 */
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -2256,7 +2264,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 120 */
+  { /* 121 */
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_NONE, TYPE_NONE },
@@ -2264,7 +2272,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 121 */
+  { /* 122 */
     { ENCODING_REG, TYPE_SEGMENTREG },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_NONE, TYPE_NONE },
@@ -2272,7 +2280,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 122 */
+  { /* 123 */
     { ENCODING_Ia, TYPE_MOFFS32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2280,7 +2288,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 123 */
+  { /* 124 */
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2288,7 +2296,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 124 */
+  { /* 125 */
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2296,7 +2304,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 125 */
+  { /* 126 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_CONTROLREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -2304,7 +2312,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 126 */
+  { /* 127 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_DEBUGREG },
     { ENCODING_NONE, TYPE_NONE },
@@ -2312,16 +2320,8 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 127 */
-    { ENCODING_Ia, TYPE_MOFFS64 },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-    { ENCODING_NONE, TYPE_NONE },
-  },
   { /* 128 */
-    { ENCODING_Ia, TYPE_MOFFS8 },
+    { ENCODING_Ia, TYPE_MOFFS64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2385,6 +2385,14 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
   },
   { /* 136 */
+    { ENCODING_Ia, TYPE_MOFFS8 },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+    { ENCODING_NONE, TYPE_NONE },
+  },
+  { /* 137 */
     { ENCODING_RB, TYPE_R8 },
     { ENCODING_IB, TYPE_IMM8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2392,7 +2400,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 137 */
+  { /* 138 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2400,7 +2408,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 138 */
+  { /* 139 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2408,7 +2416,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 139 */
+  { /* 140 */
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2416,7 +2424,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 140 */
+  { /* 141 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_M8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2424,7 +2432,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 141 */
+  { /* 142 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R16 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2432,7 +2440,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 142 */
+  { /* 143 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2440,7 +2448,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 143 */
+  { /* 144 */
     { ENCODING_Rv, TYPE_Rv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2448,7 +2456,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 144 */
+  { /* 145 */
     { ENCODING_RO, TYPE_R64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2456,7 +2464,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 145 */
+  { /* 146 */
     { ENCODING_IB, TYPE_IMMv },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2464,7 +2472,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 146 */
+  { /* 147 */
     { ENCODING_IB, TYPE_IMM32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2472,7 +2480,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 147 */
+  { /* 148 */
     { ENCODING_IB, TYPE_IMM64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2480,7 +2488,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 148 */
+  { /* 149 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_IB, TYPE_IMM8 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2488,7 +2496,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 149 */
+  { /* 150 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2496,7 +2504,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 150 */
+  { /* 151 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2504,7 +2512,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 151 */
+  { /* 152 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2512,7 +2520,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 152 */
+  { /* 153 */
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2520,7 +2528,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 153 */
+  { /* 154 */
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2528,7 +2536,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 154 */
+  { /* 155 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2536,7 +2544,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 155 */
+  { /* 156 */
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2544,7 +2552,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 156 */
+  { /* 157 */
     { ENCODING_DI, TYPE_DSTIDX64 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2552,7 +2560,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 157 */
+  { /* 158 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_Rv },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2560,7 +2568,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 158 */
+  { /* 159 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_Rv },
     { ENCODING_REG, TYPE_Rv },
@@ -2568,7 +2576,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 159 */
+  { /* 160 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_R64 },
     { ENCODING_IB, TYPE_IMM8 },
@@ -2576,7 +2584,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 160 */
+  { /* 161 */
     { ENCODING_DUP, TYPE_DUP1 },
     { ENCODING_RM, TYPE_R64 },
     { ENCODING_REG, TYPE_R64 },
@@ -2584,7 +2592,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 161 */
+  { /* 162 */
     { ENCODING_RM, TYPE_Mv },
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2592,7 +2600,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 162 */
+  { /* 163 */
     { ENCODING_RM, TYPE_R32 },
     { ENCODING_REG, TYPE_R32 },
     { ENCODING_NONE, TYPE_NONE },
@@ -2600,7 +2608,7 @@ static const struct OperandSpecifier x86
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
   },
-  { /* 163 */
+  { /* 164 */
     { ENCODING_RM, TYPE_M512 },
     { ENCODING_NONE, TYPE_NONE },
     { ENCODING_NONE, TYPE_NONE },
@@ -2610,7 +2618,7 @@ static const struct OperandSpecifier x86
   },
 };
 
-static const struct InstructionSpecifier x86DisassemblerInstrSpecifiers[1671] = {
+static const struct InstructionSpecifier x86DisassemblerInstrSpecifiers[1714] = {
   { /* 0 */
     0,
     /*  */
@@ -2693,2307 +2701,2307 @@ static const struct InstructionSpecifier
   },
   { /* 20 */
     0,
-    /* AAA */
+    /*  */
   },
   { /* 21 */
+    0,
+    /*  */
+  },
+  { /* 22 */
+    0,
+    /* AAA */
+  },
+  { /* 23 */
     1,
     /* AAD8i8 */
   },
-  { /* 22 */
+  { /* 24 */
     1,
     /* AAM8i8 */
   },
-  { /* 23 */
+  { /* 25 */
     0,
     /* AAS */
   },
-  { /* 24 */
+  { /* 26 */
     0,
     /*  */
   },
-  { /* 25 */
+  { /* 27 */
     0,
     /*  */
   },
-  { /* 26 */
+  { /* 28 */
     0,
     /*  */
   },
-  { /* 27 */
+  { /* 29 */
     0,
     /*  */
   },
-  { /* 28 */
+  { /* 30 */
     2,
     /* ADC16i16 */
   },
-  { /* 29 */
+  { /* 31 */
     3,
     /* ADC16mi */
   },
-  { /* 30 */
+  { /* 32 */
     4,
     /* ADC16mi8 */
   },
-  { /* 31 */
+  { /* 33 */
     5,
     /* ADC16mr */
   },
-  { /* 32 */
+  { /* 34 */
     6,
     /* ADC16ri */
   },
-  { /* 33 */
+  { /* 35 */
     7,
     /* ADC16ri8 */
   },
-  { /* 34 */
+  { /* 36 */
     8,
     /* ADC16rm */
   },
-  { /* 35 */
+  { /* 37 */
     9,
     /* ADC16rr */
   },
-  { /* 36 */
+  { /* 38 */
     10,
     /* ADC16rr_REV */
   },
-  { /* 37 */
+  { /* 39 */
     2,
     /* ADC32i32 */
   },
-  { /* 38 */
+  { /* 40 */
     3,
     /* ADC32mi */
   },
-  { /* 39 */
+  { /* 41 */
     11,
     /* ADC32mi8 */
   },
-  { /* 40 */
+  { /* 42 */
     5,
     /* ADC32mr */
   },
-  { /* 41 */
+  { /* 43 */
     6,
     /* ADC32ri */
   },
-  { /* 42 */
+  { /* 44 */
     12,
     /* ADC32ri8 */
   },
-  { /* 43 */
+  { /* 45 */
     8,
     /* ADC32rm */
   },
-  { /* 44 */
+  { /* 46 */
     9,
     /* ADC32rr */
   },
-  { /* 45 */
+  { /* 47 */
     10,
     /* ADC32rr_REV */
   },
-  { /* 46 */
+  { /* 48 */
     13,
     /* ADC64i32 */
   },
-  { /* 47 */
+  { /* 49 */
     14,
     /* ADC64mi32 */
   },
-  { /* 48 */
+  { /* 50 */
     15,
     /* ADC64mi8 */
   },
-  { /* 49 */
+  { /* 51 */
     16,
     /* ADC64mr */
   },
-  { /* 50 */
+  { /* 52 */
     17,
     /* ADC64ri32 */
   },
-  { /* 51 */
+  { /* 53 */
     18,
     /* ADC64ri8 */
   },
-  { /* 52 */
+  { /* 54 */
     19,
     /* ADC64rm */
   },
-  { /* 53 */
+  { /* 55 */
     20,
     /* ADC64rr */
   },
-  { /* 54 */
+  { /* 56 */
     21,
     /* ADC64rr_REV */
   },
-  { /* 55 */
+  { /* 57 */
     1,
     /* ADC8i8 */
   },
-  { /* 56 */
+  { /* 58 */
     22,
     /* ADC8mi */
   },
-  { /* 57 */
+  { /* 59 */
+    22,
+    /* ADC8mi8 */
+  },
+  { /* 60 */
     23,
     /* ADC8mr */
   },
-  { /* 58 */
+  { /* 61 */
     24,
     /* ADC8ri */
   },
-  { /* 59 */
+  { /* 62 */
+    24,
+    /* ADC8ri8 */
+  },
+  { /* 63 */
     25,
     /* ADC8rm */
   },
-  { /* 60 */
+  { /* 64 */
     26,
     /* ADC8rr */
   },
-  { /* 61 */
+  { /* 65 */
     27,
     /* ADC8rr_REV */
   },
-  { /* 62 */
+  { /* 66 */
     28,
     /* ADCX32rm */
   },
-  { /* 63 */
+  { /* 67 */
     29,
     /* ADCX32rr */
   },
-  { /* 64 */
+  { /* 68 */
     19,
     /* ADCX64rm */
   },
-  { /* 65 */
+  { /* 69 */
     21,
     /* ADCX64rr */
   },
-  { /* 66 */
+  { /* 70 */
     2,
     /* ADD16i16 */
   },
-  { /* 67 */
+  { /* 71 */
     3,
     /* ADD16mi */
   },
-  { /* 68 */
+  { /* 72 */
     4,
     /* ADD16mi8 */
   },
-  { /* 69 */
+  { /* 73 */
     5,
     /* ADD16mr */
   },
-  { /* 70 */
+  { /* 74 */
     6,
     /* ADD16ri */
   },
-  { /* 71 */
+  { /* 75 */
     7,
     /* ADD16ri8 */
   },
-  { /* 72 */
+  { /* 76 */
     0,
     /*  */
   },
-  { /* 73 */
+  { /* 77 */
     0,
     /*  */
   },
-  { /* 74 */
+  { /* 78 */
     8,
     /* ADD16rm */
   },
-  { /* 75 */
+  { /* 79 */
     9,
     /* ADD16rr */
   },
-  { /* 76 */
+  { /* 80 */
     0,
     /*  */
   },
-  { /* 77 */
+  { /* 81 */
     10,
     /* ADD16rr_REV */
   },
-  { /* 78 */
+  { /* 82 */
     2,
     /* ADD32i32 */
   },
-  { /* 79 */
+  { /* 83 */
     3,
     /* ADD32mi */
   },
-  { /* 80 */
+  { /* 84 */
     11,
     /* ADD32mi8 */
   },
-  { /* 81 */
+  { /* 85 */
     5,
     /* ADD32mr */
   },
-  { /* 82 */
+  { /* 86 */
     6,
     /* ADD32ri */
   },
-  { /* 83 */
+  { /* 87 */
     12,
     /* ADD32ri8 */
   },
-  { /* 84 */
+  { /* 88 */
     0,
     /*  */
   },
-  { /* 85 */
+  { /* 89 */
     0,
     /*  */
   },
-  { /* 86 */
+  { /* 90 */
     8,
     /* ADD32rm */
   },
-  { /* 87 */
+  { /* 91 */
     9,
     /* ADD32rr */
   },
-  { /* 88 */
+  { /* 92 */
     0,
     /*  */
   },
-  { /* 89 */
+  { /* 93 */
     10,
     /* ADD32rr_REV */
   },
-  { /* 90 */
+  { /* 94 */
     13,
     /* ADD64i32 */
   },
-  { /* 91 */
+  { /* 95 */
     14,
     /* ADD64mi32 */
   },
-  { /* 92 */
+  { /* 96 */
     15,
     /* ADD64mi8 */
   },
-  { /* 93 */
+  { /* 97 */
     16,
     /* ADD64mr */
   },
-  { /* 94 */
+  { /* 98 */
     17,
     /* ADD64ri32 */
   },
-  { /* 95 */
+  { /* 99 */
     0,
     /*  */
   },
-  { /* 96 */
+  { /* 100 */
     18,
     /* ADD64ri8 */
   },
-  { /* 97 */
+  { /* 101 */
     0,
     /*  */
   },
-  { /* 98 */
+  { /* 102 */
     19,
     /* ADD64rm */
   },
-  { /* 99 */
+  { /* 103 */
     20,
     /* ADD64rr */
   },
-  { /* 100 */
+  { /* 104 */
     0,
     /*  */
   },
-  { /* 101 */
+  { /* 105 */
     21,
     /* ADD64rr_REV */
   },
-  { /* 102 */
+  { /* 106 */
     1,
     /* ADD8i8 */
   },
-  { /* 103 */
+  { /* 107 */
     22,
     /* ADD8mi */
   },
-  { /* 104 */
+  { /* 108 */
+    22,
+    /* ADD8mi8 */
+  },
+  { /* 109 */
     23,
     /* ADD8mr */
   },
-  { /* 105 */
+  { /* 110 */
     24,
     /* ADD8ri */
   },
-  { /* 106 */
+  { /* 111 */
     24,
     /* ADD8ri8 */
   },
-  { /* 107 */
+  { /* 112 */
     25,
     /* ADD8rm */
   },
-  { /* 108 */
+  { /* 113 */
     26,
     /* ADD8rr */
   },
-  { /* 109 */
+  { /* 114 */
     27,
     /* ADD8rr_REV */
   },
-  { /* 110 */
+  { /* 115 */
     0,
     /*  */
   },
-  { /* 111 */
+  { /* 116 */
     0,
     /*  */
   },
-  { /* 112 */
+  { /* 117 */
     0,
     /*  */
   },
-  { /* 113 */
+  { /* 118 */
     0,
     /*  */
   },
-  { /* 114 */
+  { /* 119 */
     30,
     /* ADOX32rm */
   },
-  { /* 115 */
+  { /* 120 */
     31,
     /* ADOX32rr */
   },
-  { /* 116 */
+  { /* 121 */
     32,
     /* ADOX64rm */
   },
-  { /* 117 */
+  { /* 122 */
     33,
     /* ADOX64rr */
   },
-  { /* 118 */
+  { /* 123 */
     2,
     /* AND16i16 */
   },
-  { /* 119 */
+  { /* 124 */
     3,
     /* AND16mi */
   },
-  { /* 120 */
+  { /* 125 */
     4,
     /* AND16mi8 */
   },
-  { /* 121 */
+  { /* 126 */
     5,
     /* AND16mr */
   },
-  { /* 122 */
+  { /* 127 */
     6,
     /* AND16ri */
   },
-  { /* 123 */
+  { /* 128 */
     7,
     /* AND16ri8 */
   },
-  { /* 124 */
+  { /* 129 */
     8,
     /* AND16rm */
   },
-  { /* 125 */
+  { /* 130 */
     9,
     /* AND16rr */
   },
-  { /* 126 */
+  { /* 131 */
     10,
     /* AND16rr_REV */
   },
-  { /* 127 */
+  { /* 132 */
     2,
     /* AND32i32 */
   },
-  { /* 128 */
+  { /* 133 */
     3,
     /* AND32mi */
   },
-  { /* 129 */
+  { /* 134 */
     11,
     /* AND32mi8 */
   },
-  { /* 130 */
+  { /* 135 */
     5,
     /* AND32mr */
   },
-  { /* 131 */
+  { /* 136 */
     6,
     /* AND32ri */
   },
-  { /* 132 */
+  { /* 137 */
     12,
     /* AND32ri8 */
   },
-  { /* 133 */
+  { /* 138 */
     8,
     /* AND32rm */
   },
-  { /* 134 */
+  { /* 139 */
     9,
     /* AND32rr */
   },
-  { /* 135 */
+  { /* 140 */
     10,
     /* AND32rr_REV */
   },
-  { /* 136 */
+  { /* 141 */
     13,
     /* AND64i32 */
   },
-  { /* 137 */
+  { /* 142 */
     14,
     /* AND64mi32 */
   },
-  { /* 138 */
+  { /* 143 */
     15,
     /* AND64mi8 */
   },
-  { /* 139 */
+  { /* 144 */
     16,
     /* AND64mr */
   },
-  { /* 140 */
+  { /* 145 */
     17,
     /* AND64ri32 */
   },
-  { /* 141 */
+  { /* 146 */
     18,
     /* AND64ri8 */
   },
-  { /* 142 */
+  { /* 147 */
     19,
     /* AND64rm */
   },
-  { /* 143 */
+  { /* 148 */
     20,
     /* AND64rr */
   },
-  { /* 144 */
+  { /* 149 */
     21,
     /* AND64rr_REV */
   },
-  { /* 145 */
+  { /* 150 */
     1,
     /* AND8i8 */
   },
-  { /* 146 */
+  { /* 151 */
     22,
     /* AND8mi */
   },
-  { /* 147 */
+  { /* 152 */
+    22,
+    /* AND8mi8 */
+  },
+  { /* 153 */
     23,
     /* AND8mr */
   },
-  { /* 148 */
+  { /* 154 */
     24,
     /* AND8ri */
   },
-  { /* 149 */
+  { /* 155 */
     24,
     /* AND8ri8 */
   },
-  { /* 150 */
+  { /* 156 */
     25,
     /* AND8rm */
   },
-  { /* 151 */
+  { /* 157 */
     26,
     /* AND8rr */
   },
-  { /* 152 */
+  { /* 158 */
     27,
     /* AND8rr_REV */
   },
-  { /* 153 */
+  { /* 159 */
     34,
     /* ANDN32rm */
   },
-  { /* 154 */
+  { /* 160 */
     35,
     /* ANDN32rr */
   },
-  { /* 155 */
+  { /* 161 */
     36,
     /* ANDN64rm */
   },
-  { /* 156 */
+  { /* 162 */
     37,
     /* ANDN64rr */
   },
-  { /* 157 */
+  { /* 163 */
     38,
     /* ARPL16mr */
   },
-  { /* 158 */
+  { /* 164 */
     39,
     /* ARPL16rr */
   },
-  { /* 159 */
+  { /* 165 */
     40,
     /* BEXTR32rm */
   },
-  { /* 160 */
+  { /* 166 */
     41,
     /* BEXTR32rr */
   },
-  { /* 161 */
+  { /* 167 */
     42,
     /* BEXTR64rm */
   },
-  { /* 162 */
+  { /* 168 */
     43,
     /* BEXTR64rr */
   },
-  { /* 163 */
+  { /* 169 */
     44,
     /* BEXTRI32mi */
   },
-  { /* 164 */
+  { /* 170 */
     45,
     /* BEXTRI32ri */
   },
-  { /* 165 */
+  { /* 171 */
     46,
     /* BEXTRI64mi */
   },
-  { /* 166 */
+  { /* 172 */
     47,
     /* BEXTRI64ri */
   },
-  { /* 167 */
+  { /* 173 */
     48,
     /* BLCFILL32rm */
   },
-  { /* 168 */
+  { /* 174 */
     49,
     /* BLCFILL32rr */
   },
-  { /* 169 */
+  { /* 175 */
     50,
     /* BLCFILL64rm */
   },
-  { /* 170 */
+  { /* 176 */
     51,
     /* BLCFILL64rr */
   },
-  { /* 171 */
+  { /* 177 */
     48,
     /* BLCI32rm */
   },
-  { /* 172 */
+  { /* 178 */
     49,
     /* BLCI32rr */
   },
-  { /* 173 */
+  { /* 179 */
     50,
     /* BLCI64rm */
   },
-  { /* 174 */
+  { /* 180 */
     51,
     /* BLCI64rr */
   },
-  { /* 175 */
+  { /* 181 */
     48,
     /* BLCIC32rm */
   },
-  { /* 176 */
+  { /* 182 */
     49,
     /* BLCIC32rr */
   },
-  { /* 177 */
+  { /* 183 */
     50,
     /* BLCIC64rm */
   },
-  { /* 178 */
+  { /* 184 */
     51,
     /* BLCIC64rr */
   },
-  { /* 179 */
+  { /* 185 */
     48,
     /* BLCMSK32rm */
   },
-  { /* 180 */
+  { /* 186 */
     49,
     /* BLCMSK32rr */
   },
-  { /* 181 */
+  { /* 187 */
     50,
     /* BLCMSK64rm */
   },
-  { /* 182 */
+  { /* 188 */
     51,
     /* BLCMSK64rr */
   },
-  { /* 183 */
+  { /* 189 */
     48,
     /* BLCS32rm */
   },
-  { /* 184 */
+  { /* 190 */
     49,
     /* BLCS32rr */
   },
-  { /* 185 */
+  { /* 191 */
     50,
     /* BLCS64rm */
   },
-  { /* 186 */
+  { /* 192 */
     51,
     /* BLCS64rr */
   },
-  { /* 187 */
+  { /* 193 */
     48,
     /* BLSFILL32rm */
   },
-  { /* 188 */
+  { /* 194 */
     49,
     /* BLSFILL32rr */
   },
-  { /* 189 */
+  { /* 195 */
     50,
     /* BLSFILL64rm */
   },
-  { /* 190 */
+  { /* 196 */
     51,
     /* BLSFILL64rr */
   },
-  { /* 191 */
+  { /* 197 */
     48,
     /* BLSI32rm */
   },
-  { /* 192 */
+  { /* 198 */
     49,
     /* BLSI32rr */
   },
-  { /* 193 */
+  { /* 199 */
     50,
     /* BLSI64rm */
   },
-  { /* 194 */
+  { /* 200 */
     51,
     /* BLSI64rr */
   },
-  { /* 195 */
+  { /* 201 */
     48,
     /* BLSIC32rm */
   },
-  { /* 196 */
+  { /* 202 */
     49,
     /* BLSIC32rr */
   },
-  { /* 197 */
+  { /* 203 */
     50,
     /* BLSIC64rm */
   },
-  { /* 198 */
+  { /* 204 */
     51,
     /* BLSIC64rr */
   },
-  { /* 199 */
+  { /* 205 */
     48,
     /* BLSMSK32rm */
   },
-  { /* 200 */
+  { /* 206 */
     49,
     /* BLSMSK32rr */
   },
-  { /* 201 */
+  { /* 207 */
     50,
     /* BLSMSK64rm */
   },
-  { /* 202 */
+  { /* 208 */
     51,
     /* BLSMSK64rr */
   },
-  { /* 203 */
+  { /* 209 */
     48,
     /* BLSR32rm */
   },
-  { /* 204 */
+  { /* 210 */
     49,
     /* BLSR32rr */
   },
-  { /* 205 */
+  { /* 211 */
     50,
     /* BLSR64rm */
   },
-  { /* 206 */
+  { /* 212 */
     51,
     /* BLSR64rr */
   },
-  { /* 207 */
+  { /* 213 */
     52,
     /* BOUNDS16rm */
   },
-  { /* 208 */
+  { /* 214 */
     52,
     /* BOUNDS32rm */
   },
-  { /* 209 */
+  { /* 215 */
     52,
     /* BSF16rm */
   },
-  { /* 210 */
+  { /* 216 */
     53,
     /* BSF16rr */
   },
-  { /* 211 */
+  { /* 217 */
     52,
     /* BSF32rm */
   },
-  { /* 212 */
+  { /* 218 */
     53,
     /* BSF32rr */
   },
-  { /* 213 */
+  { /* 219 */
     32,
     /* BSF64rm */
   },
-  { /* 214 */
+  { /* 220 */
     33,
     /* BSF64rr */
   },
-  { /* 215 */
+  { /* 221 */
     52,
     /* BSR16rm */
   },
-  { /* 216 */
+  { /* 222 */
     53,
     /* BSR16rr */
   },
-  { /* 217 */
+  { /* 223 */
     52,
     /* BSR32rm */
   },
-  { /* 218 */
+  { /* 224 */
     53,
     /* BSR32rr */
   },
-  { /* 219 */
+  { /* 225 */
     32,
     /* BSR64rm */
   },
-  { /* 220 */
+  { /* 226 */
     33,
     /* BSR64rr */
   },
-  { /* 221 */
+  { /* 227 */
     54,
     /* BSWAP32r */
   },
-  { /* 222 */
+  { /* 228 */
     55,
     /* BSWAP64r */
   },
-  { /* 223 */
+  { /* 229 */
     4,
     /* BT16mi8 */
   },
-  { /* 224 */
+  { /* 230 */
     5,
     /* BT16mr */
   },
-  { /* 225 */
+  { /* 231 */
     56,
     /* BT16ri8 */
   },
-  { /* 226 */
+  { /* 232 */
     57,
     /* BT16rr */
   },
-  { /* 227 */
+  { /* 233 */
     11,
     /* BT32mi8 */
   },
-  { /* 228 */
+  { /* 234 */
     5,
     /* BT32mr */
   },
-  { /* 229 */
+  { /* 235 */
     58,
     /* BT32ri8 */
   },
-  { /* 230 */
+  { /* 236 */
     57,
     /* BT32rr */
   },
-  { /* 231 */
+  { /* 237 */
     15,
     /* BT64mi8 */
   },
-  { /* 232 */
+  { /* 238 */
     16,
     /* BT64mr */
   },
-  { /* 233 */
+  { /* 239 */
     59,
     /* BT64ri8 */
   },
-  { /* 234 */
+  { /* 240 */
     60,
     /* BT64rr */
   },
-  { /* 235 */
+  { /* 241 */
     4,
     /* BTC16mi8 */
   },
-  { /* 236 */
+  { /* 242 */
     5,
     /* BTC16mr */
   },
-  { /* 237 */
+  { /* 243 */
     56,
     /* BTC16ri8 */
   },
-  { /* 238 */
+  { /* 244 */
     57,
     /* BTC16rr */
   },
-  { /* 239 */
+  { /* 245 */
     11,
     /* BTC32mi8 */
   },
-  { /* 240 */
+  { /* 246 */
     5,
     /* BTC32mr */
   },
-  { /* 241 */
+  { /* 247 */
     58,
     /* BTC32ri8 */
   },
-  { /* 242 */
+  { /* 248 */
     57,
     /* BTC32rr */
   },
-  { /* 243 */
+  { /* 249 */
     15,
     /* BTC64mi8 */
   },
-  { /* 244 */
+  { /* 250 */
     16,
     /* BTC64mr */
   },
-  { /* 245 */
+  { /* 251 */
     59,
     /* BTC64ri8 */
   },
-  { /* 246 */
+  { /* 252 */
     60,
     /* BTC64rr */
   },
-  { /* 247 */
+  { /* 253 */
     4,
     /* BTR16mi8 */
   },
-  { /* 248 */
+  { /* 254 */
     5,
     /* BTR16mr */
   },
-  { /* 249 */
+  { /* 255 */
     56,
     /* BTR16ri8 */
   },
-  { /* 250 */
+  { /* 256 */
     57,
     /* BTR16rr */
   },
-  { /* 251 */
+  { /* 257 */
     11,
     /* BTR32mi8 */
   },
-  { /* 252 */
+  { /* 258 */
     5,
     /* BTR32mr */
   },
-  { /* 253 */
+  { /* 259 */
     58,
     /* BTR32ri8 */
   },
-  { /* 254 */
+  { /* 260 */
     57,
     /* BTR32rr */
   },
-  { /* 255 */
+  { /* 261 */
     15,
     /* BTR64mi8 */
   },
-  { /* 256 */
+  { /* 262 */
     16,
     /* BTR64mr */
   },
-  { /* 257 */
+  { /* 263 */
     59,
     /* BTR64ri8 */
   },
-  { /* 258 */
+  { /* 264 */
     60,
     /* BTR64rr */
   },
-  { /* 259 */
+  { /* 265 */
     4,
     /* BTS16mi8 */
   },
-  { /* 260 */
+  { /* 266 */
     5,
     /* BTS16mr */
   },
-  { /* 261 */
+  { /* 267 */
     56,
     /* BTS16ri8 */
   },
-  { /* 262 */
+  { /* 268 */
     57,
     /* BTS16rr */
   },
-  { /* 263 */
+  { /* 269 */
     11,
     /* BTS32mi8 */
   },
-  { /* 264 */
+  { /* 270 */
     5,
     /* BTS32mr */
   },
-  { /* 265 */
+  { /* 271 */
     58,
     /* BTS32ri8 */
   },
-  { /* 266 */
+  { /* 272 */
     57,
     /* BTS32rr */
   },
-  { /* 267 */
+  { /* 273 */
     15,
     /* BTS64mi8 */
   },
-  { /* 268 */
+  { /* 274 */
     16,
     /* BTS64mr */
   },
-  { /* 269 */
+  { /* 275 */
     59,
     /* BTS64ri8 */
   },
-  { /* 270 */
+  { /* 276 */
     60,
     /* BTS64rr */
   },
-  { /* 271 */
+  { /* 277 */
     40,
     /* BZHI32rm */
   },
-  { /* 272 */
+  { /* 278 */
     41,
     /* BZHI32rr */
   },
-  { /* 273 */
+  { /* 279 */
     42,
     /* BZHI64rm */
   },
-  { /* 274 */
+  { /* 280 */
     43,
     /* BZHI64rr */
   },
-  { /* 275 */
+  { /* 281 */
     61,
     /* CALL16m */
   },
-  { /* 276 */
+  { /* 282 */
     62,
     /* CALL16r */
   },
-  { /* 277 */
+  { /* 283 */
     61,
     /* CALL32m */
   },
-  { /* 278 */
+  { /* 284 */
     62,
     /* CALL32r */
   },
-  { /* 279 */
+  { /* 285 */
     61,
     /* CALL64m */
   },
-  { /* 280 */
+  { /* 286 */
     63,
     /* CALL64pcrel32 */
   },
-  { /* 281 */
+  { /* 287 */
     64,
     /* CALL64r */
   },
-  { /* 282 */
+  { /* 288 */
     65,
     /* CALLpcrel16 */
   },
-  { /* 283 */
+  { /* 289 */
     66,
     /* CALLpcrel32 */
   },
-  { /* 284 */
+  { /* 290 */
     0,
     /* CBW */
   },
-  { /* 285 */
+  { /* 291 */
     0,
     /* CDQ */
   },
-  { /* 286 */
+  { /* 292 */
     0,
     /* CDQE */
   },
-  { /* 287 */
+  { /* 293 */
     0,
     /* CLAC */
   },
-  { /* 288 */
+  { /* 294 */
     0,
     /* CLC */
   },
-  { /* 289 */
+  { /* 295 */
     0,
     /* CLD */
   },
-  { /* 290 */
+  { /* 296 */
+    67,
+    /* CLFLUSHOPT */
+  },
+  { /* 297 */
     0,
     /* CLGI */
   },
-  { /* 291 */
+  { /* 298 */
     0,
     /* CLI */
   },
-  { /* 292 */
+  { /* 299 */
     0,
     /* CLTS */
   },
-  { /* 293 */
+  { /* 300 */
+    67,
+    /* CLWB */
+  },
+  { /* 301 */
     0,
     /* CMC */
   },
-  { /* 294 */
+  { /* 302 */
     8,
     /* CMOVA16rm */
   },
-  { /* 295 */
+  { /* 303 */
     10,
     /* CMOVA16rr */
   },
-  { /* 296 */
+  { /* 304 */
     8,
     /* CMOVA32rm */
   },
-  { /* 297 */
+  { /* 305 */
     10,
     /* CMOVA32rr */
   },
-  { /* 298 */
+  { /* 306 */
     19,
     /* CMOVA64rm */
   },
-  { /* 299 */
+  { /* 307 */
     21,
     /* CMOVA64rr */
   },
-  { /* 300 */
+  { /* 308 */
     8,
     /* CMOVAE16rm */
   },
-  { /* 301 */
+  { /* 309 */
     10,
     /* CMOVAE16rr */
   },
-  { /* 302 */
+  { /* 310 */
     8,
     /* CMOVAE32rm */
   },
-  { /* 303 */
+  { /* 311 */
     10,
     /* CMOVAE32rr */
   },
-  { /* 304 */
+  { /* 312 */
     19,
     /* CMOVAE64rm */
   },
-  { /* 305 */
+  { /* 313 */
     21,
     /* CMOVAE64rr */
   },
-  { /* 306 */
+  { /* 314 */
     8,
     /* CMOVB16rm */
   },
-  { /* 307 */
+  { /* 315 */
     10,
     /* CMOVB16rr */
   },
-  { /* 308 */
+  { /* 316 */
     8,
     /* CMOVB32rm */
   },
-  { /* 309 */
+  { /* 317 */
     10,
     /* CMOVB32rr */
   },
-  { /* 310 */
+  { /* 318 */
     19,
     /* CMOVB64rm */
   },
-  { /* 311 */
+  { /* 319 */
     21,
     /* CMOVB64rr */
   },
-  { /* 312 */
+  { /* 320 */
     8,
     /* CMOVBE16rm */
   },
-  { /* 313 */
+  { /* 321 */
     10,
     /* CMOVBE16rr */
   },
-  { /* 314 */
+  { /* 322 */
     8,
     /* CMOVBE32rm */
   },
-  { /* 315 */
+  { /* 323 */
     10,
     /* CMOVBE32rr */
   },
-  { /* 316 */
+  { /* 324 */
     19,
     /* CMOVBE64rm */
   },
-  { /* 317 */
+  { /* 325 */
     21,
     /* CMOVBE64rr */
   },
-  { /* 318 */
+  { /* 326 */
     8,
     /* CMOVE16rm */
   },
-  { /* 319 */
+  { /* 327 */
     10,
     /* CMOVE16rr */
   },
-  { /* 320 */
+  { /* 328 */
     8,
     /* CMOVE32rm */
   },
-  { /* 321 */
+  { /* 329 */
     10,
     /* CMOVE32rr */
   },
-  { /* 322 */
+  { /* 330 */
     19,
     /* CMOVE64rm */
   },
-  { /* 323 */
+  { /* 331 */
     21,
     /* CMOVE64rr */
   },
-  { /* 324 */
+  { /* 332 */
     8,
     /* CMOVG16rm */
   },
-  { /* 325 */
+  { /* 333 */
     10,
     /* CMOVG16rr */
   },
-  { /* 326 */
+  { /* 334 */
     8,
     /* CMOVG32rm */
   },
-  { /* 327 */
+  { /* 335 */
     10,
     /* CMOVG32rr */
   },
-  { /* 328 */
+  { /* 336 */
     19,
     /* CMOVG64rm */
   },
-  { /* 329 */
+  { /* 337 */
     21,
     /* CMOVG64rr */
   },
-  { /* 330 */
+  { /* 338 */
     8,
     /* CMOVGE16rm */
   },
-  { /* 331 */
+  { /* 339 */
     10,
     /* CMOVGE16rr */
   },
-  { /* 332 */
+  { /* 340 */
     8,
     /* CMOVGE32rm */
   },
-  { /* 333 */
+  { /* 341 */
     10,
     /* CMOVGE32rr */
   },
-  { /* 334 */
+  { /* 342 */
     19,
     /* CMOVGE64rm */
   },
-  { /* 335 */
+  { /* 343 */
     21,
     /* CMOVGE64rr */
   },
-  { /* 336 */
+  { /* 344 */
     8,
     /* CMOVL16rm */
   },
-  { /* 337 */
+  { /* 345 */
     10,
     /* CMOVL16rr */
   },
-  { /* 338 */
+  { /* 346 */
     8,
     /* CMOVL32rm */
   },
-  { /* 339 */
+  { /* 347 */
     10,
     /* CMOVL32rr */
   },
-  { /* 340 */
+  { /* 348 */
     19,
     /* CMOVL64rm */
   },
-  { /* 341 */
+  { /* 349 */
     21,
     /* CMOVL64rr */
   },
-  { /* 342 */
+  { /* 350 */
     8,
     /* CMOVLE16rm */
   },
-  { /* 343 */
+  { /* 351 */
     10,
     /* CMOVLE16rr */
   },
-  { /* 344 */
+  { /* 352 */
     8,
     /* CMOVLE32rm */
   },
-  { /* 345 */
+  { /* 353 */
     10,
     /* CMOVLE32rr */
   },
-  { /* 346 */
+  { /* 354 */
     19,
     /* CMOVLE64rm */
   },
-  { /* 347 */
+  { /* 355 */
     21,
     /* CMOVLE64rr */
   },
-  { /* 348 */
+  { /* 356 */
     8,
     /* CMOVNE16rm */
   },
-  { /* 349 */
+  { /* 357 */
     10,
     /* CMOVNE16rr */
   },
-  { /* 350 */
+  { /* 358 */
     8,
     /* CMOVNE32rm */
   },
-  { /* 351 */
+  { /* 359 */
     10,
     /* CMOVNE32rr */
   },
-  { /* 352 */
+  { /* 360 */
     19,
     /* CMOVNE64rm */
   },
-  { /* 353 */
+  { /* 361 */
     21,
     /* CMOVNE64rr */
   },
-  { /* 354 */
+  { /* 362 */
     8,
     /* CMOVNO16rm */
   },
-  { /* 355 */
+  { /* 363 */
     10,
     /* CMOVNO16rr */
   },
-  { /* 356 */
+  { /* 364 */
     8,
     /* CMOVNO32rm */
   },
-  { /* 357 */
+  { /* 365 */
     10,
     /* CMOVNO32rr */
   },
-  { /* 358 */
+  { /* 366 */
     19,
     /* CMOVNO64rm */
   },
-  { /* 359 */
+  { /* 367 */
     21,
     /* CMOVNO64rr */
   },
-  { /* 360 */
+  { /* 368 */
     8,
     /* CMOVNP16rm */
   },
-  { /* 361 */
+  { /* 369 */
     10,
     /* CMOVNP16rr */
   },
-  { /* 362 */
+  { /* 370 */
     8,
     /* CMOVNP32rm */
   },
-  { /* 363 */
+  { /* 371 */
     10,
     /* CMOVNP32rr */
   },
-  { /* 364 */
+  { /* 372 */
     19,
     /* CMOVNP64rm */
   },
-  { /* 365 */
+  { /* 373 */
     21,
     /* CMOVNP64rr */
   },
-  { /* 366 */
+  { /* 374 */
     8,
     /* CMOVNS16rm */
   },
-  { /* 367 */
+  { /* 375 */
     10,
     /* CMOVNS16rr */
   },
-  { /* 368 */
+  { /* 376 */
     8,
     /* CMOVNS32rm */
   },
-  { /* 369 */
+  { /* 377 */
     10,
     /* CMOVNS32rr */
   },
-  { /* 370 */
+  { /* 378 */
     19,
     /* CMOVNS64rm */
   },
-  { /* 371 */
+  { /* 379 */
     21,
     /* CMOVNS64rr */
   },
-  { /* 372 */
+  { /* 380 */
     8,
     /* CMOVO16rm */
   },
-  { /* 373 */
+  { /* 381 */
     10,
     /* CMOVO16rr */
   },
-  { /* 374 */
+  { /* 382 */
     8,
     /* CMOVO32rm */
   },
-  { /* 375 */
+  { /* 383 */
     10,
     /* CMOVO32rr */
   },
-  { /* 376 */
+  { /* 384 */
     19,
     /* CMOVO64rm */
   },
-  { /* 377 */
+  { /* 385 */
     21,
     /* CMOVO64rr */
   },
-  { /* 378 */
+  { /* 386 */
     8,
     /* CMOVP16rm */
   },
-  { /* 379 */
+  { /* 387 */
     10,
     /* CMOVP16rr */
   },
-  { /* 380 */
+  { /* 388 */
     8,
     /* CMOVP32rm */
   },
-  { /* 381 */
+  { /* 389 */
     10,
     /* CMOVP32rr */
   },
-  { /* 382 */
+  { /* 390 */
     19,
     /* CMOVP64rm */
   },
-  { /* 383 */
+  { /* 391 */
     21,
     /* CMOVP64rr */
   },
-  { /* 384 */
+  { /* 392 */
     8,
     /* CMOVS16rm */
   },
-  { /* 385 */
+  { /* 393 */
     10,
     /* CMOVS16rr */
   },
-  { /* 386 */
+  { /* 394 */
     8,
     /* CMOVS32rm */
   },
-  { /* 387 */
+  { /* 395 */
     10,
     /* CMOVS32rr */
   },
-  { /* 388 */
+  { /* 396 */
     19,
     /* CMOVS64rm */
   },
-  { /* 389 */
+  { /* 397 */
     21,
     /* CMOVS64rr */
   },
-  { /* 390 */
+  { /* 398 */
     0,
     /*  */
   },
-  { /* 391 */
+  { /* 399 */
     0,
     /*  */
   },
-  { /* 392 */
+  { /* 400 */
     0,
     /*  */
   },
-  { /* 393 */
+  { /* 401 */
     0,
     /*  */
   },
-  { /* 394 */
+  { /* 402 */
     0,
     /*  */
   },
-  { /* 395 */
+  { /* 403 */
     0,
     /*  */
   },
-  { /* 396 */
+  { /* 404 */
     0,
     /*  */
   },
-  { /* 397 */
+  { /* 405 */
     0,
     /*  */
   },
-  { /* 398 */
+  { /* 406 */
     0,
     /*  */
   },
-  { /* 399 */
+  { /* 407 */
     0,
     /*  */
   },
-  { /* 400 */
+  { /* 408 */
     0,
     /*  */
   },
-  { /* 401 */
+  { /* 409 */
     0,
     /*  */
   },
-  { /* 402 */
+  { /* 410 */
     0,
     /*  */
   },
-  { /* 403 */
+  { /* 411 */
     0,
     /*  */
   },
-  { /* 404 */
+  { /* 412 */
     0,
     /*  */
   },
-  { /* 405 */
+  { /* 413 */
     0,
     /*  */
   },
-  { /* 406 */
+  { /* 414 */
     0,
     /*  */
   },
-  { /* 407 */
+  { /* 415 */
     2,
     /* CMP16i16 */
   },
-  { /* 408 */
+  { /* 416 */
     3,
     /* CMP16mi */
   },
-  { /* 409 */
+  { /* 417 */
     4,
     /* CMP16mi8 */
   },
-  { /* 410 */
+  { /* 418 */
     5,
     /* CMP16mr */
   },
-  { /* 411 */
-    67,
+  { /* 419 */
+    68,
     /* CMP16ri */
   },
-  { /* 412 */
+  { /* 420 */
     56,
     /* CMP16ri8 */
   },
-  { /* 413 */
+  { /* 421 */
     52,
     /* CMP16rm */
   },
-  { /* 414 */
+  { /* 422 */
     57,
     /* CMP16rr */
   },
-  { /* 415 */
+  { /* 423 */
     53,
     /* CMP16rr_REV */
   },
-  { /* 416 */
+  { /* 424 */
     2,
     /* CMP32i32 */
   },
-  { /* 417 */
+  { /* 425 */
     3,
     /* CMP32mi */
   },
-  { /* 418 */
+  { /* 426 */
     11,
     /* CMP32mi8 */
   },
-  { /* 419 */
+  { /* 427 */
     5,
     /* CMP32mr */
   },
-  { /* 420 */
-    67,
+  { /* 428 */
+    68,
     /* CMP32ri */
   },
-  { /* 421 */
+  { /* 429 */
     58,
     /* CMP32ri8 */
   },
-  { /* 422 */
+  { /* 430 */
     52,
     /* CMP32rm */
   },
-  { /* 423 */
+  { /* 431 */
     57,
     /* CMP32rr */
   },
-  { /* 424 */
+  { /* 432 */
     53,
     /* CMP32rr_REV */
   },
-  { /* 425 */
+  { /* 433 */
     13,
     /* CMP64i32 */
   },
-  { /* 426 */
+  { /* 434 */
     14,
     /* CMP64mi32 */
   },
-  { /* 427 */
+  { /* 435 */
     15,
     /* CMP64mi8 */
   },
-  { /* 428 */
+  { /* 436 */
     16,
     /* CMP64mr */
   },
-  { /* 429 */
-    68,
+  { /* 437 */
+    69,
     /* CMP64ri32 */
   },
-  { /* 430 */
+  { /* 438 */
     59,
     /* CMP64ri8 */
   },
-  { /* 431 */
+  { /* 439 */
     32,
     /* CMP64rm */
   },
-  { /* 432 */
+  { /* 440 */
     60,
     /* CMP64rr */
   },
-  { /* 433 */
+  { /* 441 */
     33,
     /* CMP64rr_REV */
   },
-  { /* 434 */
+  { /* 442 */
     1,
     /* CMP8i8 */
   },
-  { /* 435 */
+  { /* 443 */
     22,
     /* CMP8mi */
   },
-  { /* 436 */
+  { /* 444 */
+    22,
+    /* CMP8mi8 */
+  },
+  { /* 445 */
     23,
     /* CMP8mr */
   },
-  { /* 437 */
-    69,
+  { /* 446 */
+    70,
     /* CMP8ri */
   },
-  { /* 438 */
+  { /* 447 */
     70,
-    /* CMP8rm */
+    /* CMP8ri8 */
   },
-  { /* 439 */
+  { /* 448 */
     71,
-    /* CMP8rr */
+    /* CMP8rm */
   },
-  { /* 440 */
+  { /* 449 */
     72,
-    /* CMP8rr_REV */
+    /* CMP8rr */
   },
-  { /* 441 */
+  { /* 450 */
     73,
-    /* CMPSB */
+    /* CMP8rr_REV */
   },
-  { /* 442 */
+  { /* 451 */
     74,
-    /* CMPSL */
+    /* CMPSB */
   },
-  { /* 443 */
+  { /* 452 */
     75,
-    /* CMPSQ */
+    /* CMPSL */
   },
-  { /* 444 */
+  { /* 453 */
     76,
-    /* CMPSW */
+    /* CMPSQ */
   },
-  { /* 445 */
+  { /* 454 */
     77,
+    /* CMPSW */
+  },
+  { /* 455 */
+    78,
     /* CMPXCHG16B */
   },
-  { /* 446 */
+  { /* 456 */
     5,
     /* CMPXCHG16rm */
   },
-  { /* 447 */
+  { /* 457 */
     57,
     /* CMPXCHG16rr */
   },
-  { /* 448 */
+  { /* 458 */
     5,
     /* CMPXCHG32rm */
   },
-  { /* 449 */
+  { /* 459 */
     57,
     /* CMPXCHG32rr */
   },
-  { /* 450 */
+  { /* 460 */
     16,
     /* CMPXCHG64rm */
   },
-  { /* 451 */
+  { /* 461 */
     60,
     /* CMPXCHG64rr */
   },
-  { /* 452 */
+  { /* 462 */
     61,
     /* CMPXCHG8B */
   },
-  { /* 453 */
+  { /* 463 */
     23,
     /* CMPXCHG8rm */
   },
-  { /* 454 */
-    71,
+  { /* 464 */
+    72,
     /* CMPXCHG8rr */
   },
-  { /* 455 */
-    0,
-    /* CPUID32 */
-  },
-  { /* 456 */
+  { /* 465 */
     0,
-    /* CPUID64 */
+    /* CPUID */
   },
-  { /* 457 */
+  { /* 466 */
     0,
     /* CQO */
   },
-  { /* 458 */
+  { /* 467 */
     0,
     /* CWD */
   },
-  { /* 459 */
+  { /* 468 */
     0,
     /* CWDE */
   },
-  { /* 460 */
+  { /* 469 */
     0,
     /* DAA */
   },
-  { /* 461 */
+  { /* 470 */
     0,
     /* DAS */
   },
-  { /* 462 */
+  { /* 471 */
     0,
     /* DATA16_PREFIX */
   },
-  { /* 463 */
+  { /* 472 */
     61,
     /* DEC16m */
   },
-  { /* 464 */
-    54,
+  { /* 473 */
+    79,
     /* DEC16r */
   },
-  { /* 465 */
-    78,
-    /* DEC32_16r */
-  },
-  { /* 466 */
-    78,
-    /* DEC32_32r */
+  { /* 474 */
+    54,
+    /* DEC16r_alt */
   },
-  { /* 467 */
+  { /* 475 */
     61,
     /* DEC32m */
   },
-  { /* 468 */
-    54,
+  { /* 476 */
+    79,
     /* DEC32r */
   },
-  { /* 469 */
-    61,
-    /* DEC64_16m */
-  },
-  { /* 470 */
-    78,
-    /* DEC64_16r */
-  },
-  { /* 471 */
-    61,
-    /* DEC64_32m */
-  },
-  { /* 472 */
-    78,
-    /* DEC64_32r */
+  { /* 477 */
+    54,
+    /* DEC32r_alt */
   },
-  { /* 473 */
+  { /* 478 */
     61,
     /* DEC64m */
   },
-  { /* 474 */
-    79,
+  { /* 479 */
+    80,
     /* DEC64r */
   },
-  { /* 475 */
-    80,
+  { /* 480 */
+    67,
     /* DEC8m */
   },
-  { /* 476 */
+  { /* 481 */
     81,
     /* DEC8r */
   },
-  { /* 477 */
+  { /* 482 */
     61,
     /* DIV16m */
   },
-  { /* 478 */
+  { /* 483 */
     62,
     /* DIV16r */
   },
-  { /* 479 */
+  { /* 484 */
     61,
     /* DIV32m */
   },
-  { /* 480 */
+  { /* 485 */
     62,
     /* DIV32r */
   },
-  { /* 481 */
+  { /* 486 */
     61,
     /* DIV64m */
   },
-  { /* 482 */
+  { /* 487 */
     64,
     /* DIV64r */
   },
-  { /* 483 */
-    80,
+  { /* 488 */
+    67,
     /* DIV8m */
   },
-  { /* 484 */
+  { /* 489 */
     82,
     /* DIV8r */
   },
-  { /* 485 */
+  { /* 490 */
     0,
     /*  */
   },
-  { /* 486 */
+  { /* 491 */
     0,
     /*  */
   },
-  { /* 487 */
+  { /* 492 */
     0,
     /*  */
   },
-  { /* 488 */
+  { /* 493 */
     0,
     /*  */
   },
-  { /* 489 */
+  { /* 494 */
     0,
     /*  */
   },
-  { /* 490 */
+  { /* 495 */
     0,
     /*  */
   },
-  { /* 491 */
+  { /* 496 */
     0,
     /*  */
   },
-  { /* 492 */
+  { /* 497 */
     83,
     /* ENTER */
   },
-  { /* 493 */
+  { /* 498 */
     84,
     /* FARCALL16i */
   },
-  { /* 494 */
+  { /* 499 */
     85,
     /* FARCALL16m */
   },
-  { /* 495 */
+  { /* 500 */
     86,
     /* FARCALL32i */
   },
-  { /* 496 */
+  { /* 501 */
     87,
     /* FARCALL32m */
   },
-  { /* 497 */
+  { /* 502 */
     88,
     /* FARCALL64 */
   },
-  { /* 498 */
+  { /* 503 */
     84,
     /* FARJMP16i */
   },
-  { /* 499 */
+  { /* 504 */
     85,
     /* FARJMP16m */
   },
-  { /* 500 */
+  { /* 505 */
     86,
     /* FARJMP32i */
   },
-  { /* 501 */
+  { /* 506 */
     87,
     /* FARJMP32m */
   },
-  { /* 502 */
+  { /* 507 */
     88,
     /* FARJMP64 */
   },
-  { /* 503 */
+  { /* 508 */
     0,
     /* FSETPM */
   },
-  { /* 504 */
+  { /* 509 */
     0,
     /* GETSEC */
   },
-  { /* 505 */
+  { /* 510 */
     0,
     /* HLT */
   },
-  { /* 506 */
+  { /* 511 */
     61,
     /* IDIV16m */
   },
-  { /* 507 */
+  { /* 512 */
     62,
     /* IDIV16r */
   },
-  { /* 508 */
+  { /* 513 */
     61,
     /* IDIV32m */
   },
-  { /* 509 */
+  { /* 514 */
     62,
     /* IDIV32r */
   },
-  { /* 510 */
+  { /* 515 */
     61,
     /* IDIV64m */
   },
-  { /* 511 */
+  { /* 516 */
     64,
     /* IDIV64r */
   },
-  { /* 512 */
-    80,
+  { /* 517 */
+    67,
     /* IDIV8m */
   },
-  { /* 513 */
+  { /* 518 */
     82,
     /* IDIV8r */
   },
-  { /* 514 */
+  { /* 519 */
     61,
     /* IMUL16m */
   },
-  { /* 515 */
+  { /* 520 */
     62,
     /* IMUL16r */
   },
-  { /* 516 */
+  { /* 521 */
     8,
     /* IMUL16rm */
   },
-  { /* 517 */
+  { /* 522 */
     89,
     /* IMUL16rmi */
   },
-  { /* 518 */
+  { /* 523 */
     90,
     /* IMUL16rmi8 */
   },
-  { /* 519 */
+  { /* 524 */
     10,
     /* IMUL16rr */
   },
-  { /* 520 */
+  { /* 525 */
     91,
     /* IMUL16rri */
   },
-  { /* 521 */
+  { /* 526 */
     92,
     /* IMUL16rri8 */
   },
-  { /* 522 */
+  { /* 527 */
     61,
     /* IMUL32m */
   },
-  { /* 523 */
+  { /* 528 */
     62,
     /* IMUL32r */
   },
-  { /* 524 */
+  { /* 529 */
     8,
     /* IMUL32rm */
   },
-  { /* 525 */
+  { /* 530 */
     89,
     /* IMUL32rmi */
   },
-  { /* 526 */
+  { /* 531 */
     93,
     /* IMUL32rmi8 */
   },
-  { /* 527 */
+  { /* 532 */
     10,
     /* IMUL32rr */
   },
-  { /* 528 */
+  { /* 533 */
     91,
     /* IMUL32rri */
   },
-  { /* 529 */
+  { /* 534 */
     94,
     /* IMUL32rri8 */
   },
-  { /* 530 */
+  { /* 535 */
     61,
     /* IMUL64m */
   },
-  { /* 531 */
+  { /* 536 */
     64,
     /* IMUL64r */
   },
-  { /* 532 */
+  { /* 537 */
     19,
     /* IMUL64rm */
   },
-  { /* 533 */
+  { /* 538 */
     46,
     /* IMUL64rmi32 */
   },
-  { /* 534 */
+  { /* 539 */
     95,
     /* IMUL64rmi8 */
   },
-  { /* 535 */
+  { /* 540 */
     21,
     /* IMUL64rr */
   },
-  { /* 536 */
+  { /* 541 */
     47,
     /* IMUL64rri32 */
   },
-  { /* 537 */
+  { /* 542 */
     96,
     /* IMUL64rri8 */
   },
-  { /* 538 */
-    80,
+  { /* 543 */
+    67,
     /* IMUL8m */
   },
-  { /* 539 */
+  { /* 544 */
     82,
     /* IMUL8r */
   },
-  { /* 540 */
+  { /* 545 */
     1,
     /* IN16ri */
   },
-  { /* 541 */
+  { /* 546 */
     0,
     /* IN16rr */
   },
-  { /* 542 */
+  { /* 547 */
     1,
     /* IN32ri */
   },
-  { /* 543 */
+  { /* 548 */
     0,
     /* IN32rr */
   },
-  { /* 544 */
+  { /* 549 */
     1,
     /* IN8ri */
   },
-  { /* 545 */
+  { /* 550 */
     0,
     /* IN8rr */
   },
-  { /* 546 */
+  { /* 551 */
     61,
     /* INC16m */
   },
-  { /* 547 */
-    54,
-    /* INC16r */
-  },
-  { /* 548 */
-    78,
-    /* INC32_16r */
-  },
-  { /* 549 */
-    78,
-    /* INC32_32r */
-  },
-  { /* 550 */
-    61,
-    /* INC32m */
-  },
-  { /* 551 */
-    54,
-    /* INC32r */
-  },
   { /* 552 */
-    61,
-    /* INC64_16m */
+    79,
+    /* INC16r */
   },
   { /* 553 */
-    78,
-    /* INC64_16r */
+    54,
+    /* INC16r_alt */
   },
   { /* 554 */
     61,
-    /* INC64_32m */
+    /* INC32m */
   },
   { /* 555 */
-    78,
-    /* INC64_32r */
+    79,
+    /* INC32r */
   },
   { /* 556 */
-    61,
-    /* INC64m */
+    54,
+    /* INC32r_alt */
   },
   { /* 557 */
-    79,
-    /* INC64r */
+    61,
+    /* INC64m */
   },
   { /* 558 */
     80,
-    /* INC8m */
+    /* INC64r */
   },
   { /* 559 */
+    67,
+    /* INC8m */
+  },
+  { /* 560 */
     81,
     /* INC8r */
   },
-  { /* 560 */
+  { /* 561 */
     97,
     /* INSB */
   },
-  { /* 561 */
+  { /* 562 */
     98,
     /* INSL */
   },
-  { /* 562 */
+  { /* 563 */
     99,
     /* INSW */
   },
-  { /* 563 */
+  { /* 564 */
     1,
     /* INT */
   },
-  { /* 564 */
+  { /* 565 */
     0,
     /* INT1 */
   },
-  { /* 565 */
+  { /* 566 */
     0,
     /* INT3 */
   },
-  { /* 566 */
+  { /* 567 */
     0,
     /* INTO */
   },
-  { /* 567 */
+  { /* 568 */
     0,
     /* INVD */
   },
-  { /* 568 */
+  { /* 569 */
     100,
     /* INVEPT32 */
   },
-  { /* 569 */
+  { /* 570 */
     101,
     /* INVEPT64 */
   },
-  { /* 570 */
-    80,
+  { /* 571 */
+    67,
     /* INVLPG */
   },
-  { /* 571 */
+  { /* 572 */
     0,
     /* INVLPGA32 */
   },
-  { /* 572 */
+  { /* 573 */
     0,
     /* INVLPGA64 */
   },
-  { /* 573 */
+  { /* 574 */
     100,
     /* INVPCID32 */
   },
-  { /* 574 */
+  { /* 575 */
     101,
     /* INVPCID64 */
   },
-  { /* 575 */
+  { /* 576 */
     100,
     /* INVVPID32 */
   },
-  { /* 576 */
+  { /* 577 */
     101,
     /* INVVPID64 */
   },
-  { /* 577 */
+  { /* 578 */
     0,
     /* IRET16 */
   },
-  { /* 578 */
+  { /* 579 */
     0,
     /* IRET32 */
   },
-  { /* 579 */
+  { /* 580 */
     0,
     /* IRET64 */
   },
-  { /* 580 */
+  { /* 581 */
     0,
     /*  */
   },
-  { /* 581 */
+  { /* 582 */
     102,
     /* JAE_1 */
   },
-  { /* 582 */
+  { /* 583 */
     103,
     /* JAE_2 */
   },
-  { /* 583 */
+  { /* 584 */
     103,
     /* JAE_4 */
   },
-  { /* 584 */
+  { /* 585 */
     102,
     /* JA_1 */
   },
-  { /* 585 */
+  { /* 586 */
     103,
     /* JA_2 */
   },
-  { /* 586 */
+  { /* 587 */
     103,
     /* JA_4 */
   },
-  { /* 587 */
+  { /* 588 */
     102,
     /* JBE_1 */
   },
-  { /* 588 */
+  { /* 589 */
     103,
     /* JBE_2 */
   },
-  { /* 589 */
+  { /* 590 */
     103,
     /* JBE_4 */
   },
-  { /* 590 */
+  { /* 591 */
     102,
     /* JB_1 */
   },
-  { /* 591 */
+  { /* 592 */
     103,
     /* JB_2 */
   },
-  { /* 592 */
+  { /* 593 */
     103,
     /* JB_4 */
   },
-  { /* 593 */
-    102,
-    /* JCXZ */
-  },
   { /* 594 */
     102,
-    /* JECXZ_32 */
+    /* JCXZ */
   },
   { /* 595 */
     102,
-    /* JECXZ_64 */
+    /* JECXZ */
   },
   { /* 596 */
     102,
@@ -5240,19 +5248,19 @@ static const struct InstructionSpecifier
     /* LDS32rm */
   },
   { /* 657 */
-    52,
+    107,
     /* LEA16r */
   },
   { /* 658 */
-    52,
+    107,
     /* LEA32r */
   },
   { /* 659 */
-    107,
+    108,
     /* LEA64_32r */
   },
   { /* 660 */
-    108,
+    109,
     /* LEA64r */
   },
   { /* 661 */
@@ -5280,7 +5288,7 @@ static const struct InstructionSpecifier
     /* LFS32rm */
   },
   { /* 667 */
-    109,
+    110,
     /* LFS64rm */
   },
   { /* 668 */
@@ -5304,7 +5312,7 @@ static const struct InstructionSpecifier
     /* LGS32rm */
   },
   { /* 673 */
-    109,
+    110,
     /* LGS64rm */
   },
   { /* 674 */
@@ -5324,7 +5332,7 @@ static const struct InstructionSpecifier
     /* LLDT16m */
   },
   { /* 678 */
-    110,
+    111,
     /* LLDT16r */
   },
   { /* 679 */
@@ -5332,7 +5340,7 @@ static const struct InstructionSpecifier
     /* LMSW16m */
   },
   { /* 680 */
-    110,
+    111,
     /* LMSW16r */
   },
   { /* 681 */
@@ -5592,19 +5600,19 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 745 */
-    111,
+    112,
     /* LODSB */
   },
   { /* 746 */
-    112,
+    113,
     /* LODSL */
   },
   { /* 747 */
-    113,
+    114,
     /* LODSQ */
   },
   { /* 748 */
-    114,
+    115,
     /* LODSW */
   },
   { /* 749 */
@@ -5620,11 +5628,11 @@ static const struct InstructionSpecifier
     /* LOOPNE */
   },
   { /* 752 */
-    115,
+    116,
     /* LRETIL */
   },
   { /* 753 */
-    115,
+    116,
     /* LRETIQ */
   },
   { /* 754 */
@@ -5676,7 +5684,7 @@ static const struct InstructionSpecifier
     /* LSS32rm */
   },
   { /* 766 */
-    109,
+    110,
     /* LSS64rm */
   },
   { /* 767 */
@@ -5684,7 +5692,7 @@ static const struct InstructionSpecifier
     /* LTRm */
   },
   { /* 768 */
-    110,
+    111,
     /* LTRr */
   },
   { /* 769 */
@@ -5740,200 +5748,200 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 782 */
-    116,
+    117,
     /* MOV16ao16 */
   },
   { /* 783 */
-    116,
-    /* MOV16ao16_16 */
+    117,
+    /* MOV16ao32 */
   },
   { /* 784 */
+    117,
+    /* MOV16ao64 */
+  },
+  { /* 785 */
     3,
     /* MOV16mi */
   },
-  { /* 785 */
+  { /* 786 */
     5,
     /* MOV16mr */
   },
-  { /* 786 */
-    117,
-    /* MOV16ms */
-  },
   { /* 787 */
-    116,
-    /* MOV16o16a */
+    118,
+    /* MOV16ms */
   },
   { /* 788 */
-    116,
-    /* MOV16o16a_16 */
+    117,
+    /* MOV16o16a */
   },
   { /* 789 */
-    118,
-    /* MOV16ri */
+    117,
+    /* MOV16o32a */
   },
   { /* 790 */
-    67,
-    /* MOV16ri_alt */
+    117,
+    /* MOV16o64a */
   },
   { /* 791 */
-    52,
-    /* MOV16rm */
+    119,
+    /* MOV16ri */
   },
   { /* 792 */
-    57,
-    /* MOV16rr */
+    68,
+    /* MOV16ri_alt */
   },
   { /* 793 */
-    53,
-    /* MOV16rr_REV */
+    52,
+    /* MOV16rm */
   },
   { /* 794 */
-    119,
-    /* MOV16rs */
+    57,
+    /* MOV16rr */
   },
   { /* 795 */
-    120,
-    /* MOV16sm */
+    53,
+    /* MOV16rr_REV */
   },
   { /* 796 */
-    121,
-    /* MOV16sr */
+    120,
+    /* MOV16rs */
   },
   { /* 797 */
-    122,
-    /* MOV32ao32 */
+    121,
+    /* MOV16sm */
   },
   { /* 798 */
     122,
-    /* MOV32ao32_16 */
+    /* MOV16sr */
   },
   { /* 799 */
     123,
-    /* MOV32cr */
+    /* MOV32ao16 */
   },
   { /* 800 */
-    124,
-    /* MOV32dr */
+    123,
+    /* MOV32ao32 */
   },
   { /* 801 */
-    3,
-    /* MOV32mi */
+    123,
+    /* MOV32ao64 */
   },
   { /* 802 */
-    5,
-    /* MOV32mr */
+    124,
+    /* MOV32cr */
   },
   { /* 803 */
-    117,
-    /* MOV32ms */
+    125,
+    /* MOV32dr */
   },
   { /* 804 */
-    122,
-    /* MOV32o32a */
+    3,
+    /* MOV32mi */
   },
   { /* 805 */
-    122,
-    /* MOV32o32a_16 */
+    5,
+    /* MOV32mr */
   },
   { /* 806 */
-    0,
-    /*  */
+    118,
+    /* MOV32ms */
   },
   { /* 807 */
-    125,
-    /* MOV32rc */
+    123,
+    /* MOV32o16a */
   },
   { /* 808 */
-    126,
-    /* MOV32rd */
+    123,
+    /* MOV32o32a */
   },
   { /* 809 */
-    118,
-    /* MOV32ri */
+    123,
+    /* MOV32o64a */
   },
   { /* 810 */
     0,
     /*  */
   },
   { /* 811 */
-    67,
-    /* MOV32ri_alt */
+    126,
+    /* MOV32rc */
   },
   { /* 812 */
-    52,
-    /* MOV32rm */
+    127,
+    /* MOV32rd */
   },
   { /* 813 */
-    57,
-    /* MOV32rr */
-  },
+    119,
+    /* MOV32ri */
+  },
   { /* 814 */
-    53,
-    /* MOV32rr_REV */
+    0,
+    /*  */
   },
   { /* 815 */
-    119,
-    /* MOV32rs */
+    68,
+    /* MOV32ri_alt */
   },
   { /* 816 */
-    120,
-    /* MOV32sm */
+    52,
+    /* MOV32rm */
   },
   { /* 817 */
-    121,
-    /* MOV32sr */
+    57,
+    /* MOV32rr */
   },
   { /* 818 */
-    116,
-    /* MOV64ao16 */
+    53,
+    /* MOV32rr_REV */
   },
   { /* 819 */
-    122,
-    /* MOV64ao32 */
+    120,
+    /* MOV32rs */
   },
   { /* 820 */
-    127,
-    /* MOV64ao64 */
+    121,
+    /* MOV32sm */
   },
   { /* 821 */
-    128,
-    /* MOV64ao8 */
+    122,
+    /* MOV32sr */
   },
   { /* 822 */
+    128,
+    /* MOV64ao32 */
+  },
+  { /* 823 */
+    128,
+    /* MOV64ao64 */
+  },
+  { /* 824 */
     129,
     /* MOV64cr */
   },
-  { /* 823 */
+  { /* 825 */
     130,
     /* MOV64dr */
   },
-  { /* 824 */
+  { /* 826 */
     14,
     /* MOV64mi32 */
   },
-  { /* 825 */
+  { /* 827 */
     16,
     /* MOV64mr */
   },
-  { /* 826 */
-    117,
-    /* MOV64ms */
-  },
-  { /* 827 */
-    116,
-    /* MOV64o16a */
-  },
   { /* 828 */
-    122,
-    /* MOV64o32a */
+    118,
+    /* MOV64ms */
   },
   { /* 829 */
-    127,
-    /* MOV64o64a */
+    128,
+    /* MOV64o32a */
   },
   { /* 830 */
     128,
-    /* MOV64o8a */
+    /* MOV64o64a */
   },
   { /* 831 */
     131,
@@ -5948,7 +5956,7 @@ static const struct InstructionSpecifier
     /* MOV64ri */
   },
   { /* 834 */
-    68,
+    69,
     /* MOV64ri32 */
   },
   { /* 835 */
@@ -5968,7 +5976,7 @@ static const struct InstructionSpecifier
     /* MOV64rs */
   },
   { /* 839 */
-    120,
+    121,
     /* MOV64sm */
   },
   { /* 840 */
@@ -5976,52 +5984,52 @@ static const struct InstructionSpecifier
     /* MOV64sr */
   },
   { /* 841 */
-    128,
-    /* MOV8ao8 */
+    136,
+    /* MOV8ao16 */
   },
   { /* 842 */
-    128,
-    /* MOV8ao8_16 */
+    136,
+    /* MOV8ao32 */
   },
   { /* 843 */
+    136,
+    /* MOV8ao64 */
+  },
+  { /* 844 */
     22,
     /* MOV8mi */
   },
-  { /* 844 */
+  { /* 845 */
     23,
     /* MOV8mr */
   },
-  { /* 845 */
+  { /* 846 */
     0,
     /*  */
   },
-  { /* 846 */
-    128,
-    /* MOV8o8a */
-  },
   { /* 847 */
-    128,
-    /* MOV8o8a_16 */
+    136,
+    /* MOV8o16a */
   },
   { /* 848 */
     136,
-    /* MOV8ri */
+    /* MOV8o32a */
   },
   { /* 849 */
-    69,
-    /* MOV8ri_alt */
+    136,
+    /* MOV8o64a */
   },
   { /* 850 */
-    70,
-    /* MOV8rm */
+    137,
+    /* MOV8ri */
   },
   { /* 851 */
-    0,
-    /*  */
+    70,
+    /* MOV8ri_alt */
   },
   { /* 852 */
     71,
-    /* MOV8rr */
+    /* MOV8rm */
   },
   { /* 853 */
     0,
@@ -6029,1123 +6037,1123 @@ static const struct InstructionSpecifier
   },
   { /* 854 */
     72,
-    /* MOV8rr_REV */
+    /* MOV8rr */
   },
   { /* 855 */
+    0,
+    /*  */
+  },
+  { /* 856 */
+    73,
+    /* MOV8rr_REV */
+  },
+  { /* 857 */
     5,
     /* MOVBE16mr */
   },
-  { /* 856 */
+  { /* 858 */
     52,
     /* MOVBE16rm */
   },
-  { /* 857 */
+  { /* 859 */
     5,
     /* MOVBE32mr */
   },
-  { /* 858 */
+  { /* 860 */
     52,
     /* MOVBE32rm */
   },
-  { /* 859 */
+  { /* 861 */
     16,
     /* MOVBE64mr */
   },
-  { /* 860 */
+  { /* 862 */
     32,
     /* MOVBE64rm */
   },
-  { /* 861 */
+  { /* 863 */
     0,
     /*  */
   },
-  { /* 862 */
-    73,
+  { /* 864 */
+    74,
     /* MOVSB */
   },
-  { /* 863 */
-    74,
+  { /* 865 */
+    75,
     /* MOVSL */
   },
-  { /* 864 */
-    75,
+  { /* 866 */
+    76,
     /* MOVSQ */
   },
-  { /* 865 */
-    76,
+  { /* 867 */
+    77,
     /* MOVSW */
   },
-  { /* 866 */
-    137,
+  { /* 868 */
+    138,
     /* MOVSX16rm8 */
   },
-  { /* 867 */
-    138,
+  { /* 869 */
+    139,
     /* MOVSX16rr8 */
   },
-  { /* 868 */
+  { /* 870 */
+    0,
+    /*  */
+  },
+  { /* 871 */
+    0,
+    /*  */
+  },
+  { /* 872 */
     52,
     /* MOVSX32rm16 */
   },
-  { /* 869 */
-    137,
+  { /* 873 */
+    138,
     /* MOVSX32rm8 */
   },
-  { /* 870 */
-    139,
+  { /* 874 */
+    140,
     /* MOVSX32rr16 */
   },
-  { /* 871 */
-    138,
+  { /* 875 */
+    139,
     /* MOVSX32rr8 */
   },
-  { /* 872 */
+  { /* 876 */
     104,
     /* MOVSX64_NOREXrr32 */
   },
-  { /* 873 */
+  { /* 877 */
     32,
     /* MOVSX64rm16 */
   },
-  { /* 874 */
+  { /* 878 */
     32,
     /* MOVSX64rm32 */
   },
-  { /* 875 */
-    140,
-    /* MOVSX64rm8 */
+  { /* 879 */
+    32,
+    /* MOVSX64rm32_alt */
   },
-  { /* 876 */
+  { /* 880 */
     141,
+    /* MOVSX64rm8 */
+  },
+  { /* 881 */
+    142,
     /* MOVSX64rr16 */
   },
-  { /* 877 */
+  { /* 882 */
     104,
     /* MOVSX64rr32 */
   },
-  { /* 878 */
-    142,
+  { /* 883 */
+    143,
     /* MOVSX64rr8 */
   },
-  { /* 879 */
-    137,
+  { /* 884 */
+    138,
     /* MOVZX16rm8 */
   },
-  { /* 880 */
-    138,
+  { /* 885 */
+    139,
     /* MOVZX16rr8 */
   },
-  { /* 881 */
+  { /* 886 */
     0,
     /*  */
   },
-  { /* 882 */
+  { /* 887 */
     0,
     /*  */
   },
-  { /* 883 */
+  { /* 888 */
     52,
     /* MOVZX32rm16 */
   },
-  { /* 884 */
-    137,
+  { /* 889 */
+    138,
     /* MOVZX32rm8 */
   },
-  { /* 885 */
-    139,
+  { /* 890 */
+    140,
     /* MOVZX32rr16 */
   },
-  { /* 886 */
-    138,
+  { /* 891 */
+    139,
     /* MOVZX32rr8 */
   },
-  { /* 887 */
+  { /* 892 */
     32,
     /* MOVZX64rm16_Q */
   },
-  { /* 888 */
-    140,
+  { /* 893 */
+    141,
     /* MOVZX64rm8_Q */
   },
-  { /* 889 */
-    141,
+  { /* 894 */
+    142,
     /* MOVZX64rr16_Q */
   },
-  { /* 890 */
-    142,
+  { /* 895 */
+    143,
     /* MOVZX64rr8_Q */
   },
-  { /* 891 */
+  { /* 896 */
     61,
     /* MUL16m */
   },
-  { /* 892 */
+  { /* 897 */
     62,
     /* MUL16r */
   },
-  { /* 893 */
+  { /* 898 */
     61,
     /* MUL32m */
   },
-  { /* 894 */
+  { /* 899 */
     62,
     /* MUL32r */
   },
-  { /* 895 */
+  { /* 900 */
     61,
     /* MUL64m */
   },
-  { /* 896 */
+  { /* 901 */
     64,
     /* MUL64r */
   },
-  { /* 897 */
-    80,
+  { /* 902 */
+    67,
     /* MUL8m */
   },
-  { /* 898 */
+  { /* 903 */
     82,
     /* MUL8r */
   },
-  { /* 899 */
+  { /* 904 */
     34,
     /* MULX32rm */
   },
-  { /* 900 */
+  { /* 905 */
     35,
     /* MULX32rr */
   },
-  { /* 901 */
+  { /* 906 */
     36,
     /* MULX64rm */
   },
-  { /* 902 */
+  { /* 907 */
     37,
     /* MULX64rr */
   },
-  { /* 903 */
+  { /* 908 */
     61,
     /* NEG16m */
   },
-  { /* 904 */
-    78,
+  { /* 909 */
+    79,
     /* NEG16r */
   },
-  { /* 905 */
+  { /* 910 */
     61,
     /* NEG32m */
   },
-  { /* 906 */
-    78,
+  { /* 911 */
+    79,
     /* NEG32r */
   },
-  { /* 907 */
+  { /* 912 */
     61,
     /* NEG64m */
   },
-  { /* 908 */
-    79,
+  { /* 913 */
+    80,
     /* NEG64r */
   },
-  { /* 909 */
-    80,
+  { /* 914 */
+    67,
     /* NEG8m */
   },
-  { /* 910 */
+  { /* 915 */
     81,
     /* NEG8r */
   },
-  { /* 911 */
+  { /* 916 */
     0,
     /* NOOP */
   },
-  { /* 912 */
+  { /* 917 */
     61,
     /* NOOP18_16m4 */
   },
-  { /* 913 */
+  { /* 918 */
     61,
     /* NOOP18_16m5 */
   },
-  { /* 914 */
+  { /* 919 */
     61,
     /* NOOP18_16m6 */
   },
-  { /* 915 */
+  { /* 920 */
     61,
     /* NOOP18_16m7 */
   },
-  { /* 916 */
+  { /* 921 */
     62,
     /* NOOP18_16r4 */
   },
-  { /* 917 */
+  { /* 922 */
     62,
     /* NOOP18_16r5 */
   },
-  { /* 918 */
+  { /* 923 */
     62,
     /* NOOP18_16r6 */
   },
-  { /* 919 */
+  { /* 924 */
     62,
     /* NOOP18_16r7 */
   },
-  { /* 920 */
+  { /* 925 */
     61,
     /* NOOP18_m4 */
   },
-  { /* 921 */
+  { /* 926 */
     61,
     /* NOOP18_m5 */
   },
-  { /* 922 */
+  { /* 927 */
     61,
     /* NOOP18_m6 */
   },
-  { /* 923 */
+  { /* 928 */
     61,
     /* NOOP18_m7 */
   },
-  { /* 924 */
+  { /* 929 */
     62,
     /* NOOP18_r4 */
   },
-  { /* 925 */
+  { /* 930 */
     62,
     /* NOOP18_r5 */
   },
-  { /* 926 */
+  { /* 931 */
     62,
     /* NOOP18_r6 */
   },
-  { /* 927 */
+  { /* 932 */
     62,
     /* NOOP18_r7 */
   },
-  { /* 928 */
+  { /* 933 */
     53,
     /* NOOP19rr */
   },
-  { /* 929 */
+  { /* 934 */
     61,
     /* NOOPL */
   },
-  { /* 930 */
+  { /* 935 */
     61,
     /* NOOPL_19 */
   },
-  { /* 931 */
+  { /* 936 */
     61,
     /* NOOPL_1a */
   },
-  { /* 932 */
+  { /* 937 */
     61,
     /* NOOPL_1b */
   },
-  { /* 933 */
+  { /* 938 */
     61,
     /* NOOPL_1c */
   },
-  { /* 934 */
+  { /* 939 */
     61,
     /* NOOPL_1d */
   },
-  { /* 935 */
+  { /* 940 */
     61,
     /* NOOPL_1e */
   },
-  { /* 936 */
+  { /* 941 */
     61,
     /* NOOPW */
   },
-  { /* 937 */
+  { /* 942 */
     61,
     /* NOOPW_19 */
   },
-  { /* 938 */
+  { /* 943 */
     61,
     /* NOOPW_1a */
   },
-  { /* 939 */
+  { /* 944 */
     61,
     /* NOOPW_1b */
   },
-  { /* 940 */
+  { /* 945 */
     61,
     /* NOOPW_1c */
   },
-  { /* 941 */
+  { /* 946 */
     61,
     /* NOOPW_1d */
   },
-  { /* 942 */
+  { /* 947 */
     61,
     /* NOOPW_1e */
   },
-  { /* 943 */
+  { /* 948 */
     61,
     /* NOT16m */
   },
-  { /* 944 */
-    78,
+  { /* 949 */
+    79,
     /* NOT16r */
   },
-  { /* 945 */
+  { /* 950 */
     61,
     /* NOT32m */
   },
-  { /* 946 */
-    78,
+  { /* 951 */
+    79,
     /* NOT32r */
   },
-  { /* 947 */
+  { /* 952 */
     61,
     /* NOT64m */
   },
-  { /* 948 */
-    79,
+  { /* 953 */
+    80,
     /* NOT64r */
   },
-  { /* 949 */
-    80,
+  { /* 954 */
+    67,
     /* NOT8m */
   },
-  { /* 950 */
+  { /* 955 */
     81,
     /* NOT8r */
   },
-  { /* 951 */
+  { /* 956 */
     2,
     /* OR16i16 */
   },
-  { /* 952 */
+  { /* 957 */
     3,
     /* OR16mi */
   },
-  { /* 953 */
+  { /* 958 */
     4,
     /* OR16mi8 */
   },
-  { /* 954 */
+  { /* 959 */
     5,
     /* OR16mr */
   },
-  { /* 955 */
+  { /* 960 */
     6,
     /* OR16ri */
   },
-  { /* 956 */
+  { /* 961 */
     7,
     /* OR16ri8 */
   },
-  { /* 957 */
+  { /* 962 */
     8,
     /* OR16rm */
   },
-  { /* 958 */
+  { /* 963 */
     9,
     /* OR16rr */
   },
-  { /* 959 */
+  { /* 964 */
     10,
     /* OR16rr_REV */
   },
-  { /* 960 */
+  { /* 965 */
     2,
     /* OR32i32 */
   },
-  { /* 961 */
+  { /* 966 */
     3,
     /* OR32mi */
   },
-  { /* 962 */
+  { /* 967 */
     11,
     /* OR32mi8 */
   },
-  { /* 963 */
+  { /* 968 */
     5,
     /* OR32mr */
   },
-  { /* 964 */
+  { /* 969 */
     0,
     /*  */
   },
-  { /* 965 */
+  { /* 970 */
     6,
     /* OR32ri */
   },
-  { /* 966 */
+  { /* 971 */
     12,
     /* OR32ri8 */
   },
-  { /* 967 */
+  { /* 972 */
     8,
     /* OR32rm */
   },
-  { /* 968 */
+  { /* 973 */
     9,
     /* OR32rr */
   },
-  { /* 969 */
+  { /* 974 */
     10,
     /* OR32rr_REV */
   },
-  { /* 970 */
+  { /* 975 */
     13,
     /* OR64i32 */
   },
-  { /* 971 */
+  { /* 976 */
     14,
     /* OR64mi32 */
   },
-  { /* 972 */
+  { /* 977 */
     15,
     /* OR64mi8 */
   },
-  { /* 973 */
+  { /* 978 */
     16,
     /* OR64mr */
   },
-  { /* 974 */
+  { /* 979 */
     17,
     /* OR64ri32 */
   },
-  { /* 975 */
+  { /* 980 */
     18,
     /* OR64ri8 */
   },
-  { /* 976 */
+  { /* 981 */
     19,
     /* OR64rm */
   },
-  { /* 977 */
+  { /* 982 */
     20,
     /* OR64rr */
   },
-  { /* 978 */
+  { /* 983 */
     21,
     /* OR64rr_REV */
   },
-  { /* 979 */
+  { /* 984 */
     1,
     /* OR8i8 */
   },
-  { /* 980 */
+  { /* 985 */
     22,
     /* OR8mi */
   },
-  { /* 981 */
+  { /* 986 */
+    22,
+    /* OR8mi8 */
+  },
+  { /* 987 */
     23,
     /* OR8mr */
   },
-  { /* 982 */
+  { /* 988 */
     24,
     /* OR8ri */
   },
-  { /* 983 */
+  { /* 989 */
     24,
     /* OR8ri8 */
   },
-  { /* 984 */
+  { /* 990 */
     25,
     /* OR8rm */
   },
-  { /* 985 */
+  { /* 991 */
     26,
     /* OR8rr */
   },
-  { /* 986 */
+  { /* 992 */
     27,
     /* OR8rr_REV */
   },
-  { /* 987 */
+  { /* 993 */
     1,
     /* OUT16ir */
   },
-  { /* 988 */
+  { /* 994 */
     0,
     /* OUT16rr */
   },
-  { /* 989 */
+  { /* 995 */
     1,
     /* OUT32ir */
   },
-  { /* 990 */
+  { /* 996 */
     0,
     /* OUT32rr */
   },
-  { /* 991 */
+  { /* 997 */
     1,
     /* OUT8ir */
   },
-  { /* 992 */
+  { /* 998 */
     0,
     /* OUT8rr */
   },
-  { /* 993 */
-    111,
+  { /* 999 */
+    112,
     /* OUTSB */
   },
-  { /* 994 */
-    112,
+  { /* 1000 */
+    113,
     /* OUTSL */
   },
-  { /* 995 */
-    114,
+  { /* 1001 */
+    115,
     /* OUTSW */
   },
-  { /* 996 */
+  { /* 1002 */
+    0,
+    /* PCOMMIT */
+  },
+  { /* 1003 */
     34,
     /* PDEP32rm */
   },
-  { /* 997 */
+  { /* 1004 */
     35,
     /* PDEP32rr */
   },
-  { /* 998 */
+  { /* 1005 */
     36,
     /* PDEP64rm */
   },
-  { /* 999 */
+  { /* 1006 */
     37,
     /* PDEP64rr */
   },
-  { /* 1000 */
+  { /* 1007 */
     34,
     /* PEXT32rm */
   },
-  { /* 1001 */
+  { /* 1008 */
     35,
     /* PEXT32rr */
   },
-  { /* 1002 */
+  { /* 1009 */
     36,
     /* PEXT64rm */
   },
-  { /* 1003 */
+  { /* 1010 */
     37,
     /* PEXT64rr */
   },
-  { /* 1004 */
-    143,
+  { /* 1011 */
+    144,
     /* POP16r */
   },
-  { /* 1005 */
+  { /* 1012 */
     61,
     /* POP16rmm */
   },
-  { /* 1006 */
+  { /* 1013 */
     62,
     /* POP16rmr */
   },
-  { /* 1007 */
-    143,
+  { /* 1014 */
+    144,
     /* POP32r */
   },
-  { /* 1008 */
+  { /* 1015 */
     61,
     /* POP32rmm */
   },
-  { /* 1009 */
+  { /* 1016 */
     62,
     /* POP32rmr */
   },
-  { /* 1010 */
-    144,
+  { /* 1017 */
+    145,
     /* POP64r */
   },
-  { /* 1011 */
+  { /* 1018 */
     61,
     /* POP64rmm */
   },
-  { /* 1012 */
+  { /* 1019 */
     64,
     /* POP64rmr */
   },
-  { /* 1013 */
+  { /* 1020 */
     0,
     /* POPA16 */
   },
-  { /* 1014 */
+  { /* 1021 */
     0,
     /* POPA32 */
   },
-  { /* 1015 */
+  { /* 1022 */
     0,
     /* POPDS16 */
   },
-  { /* 1016 */
+  { /* 1023 */
     0,
     /* POPDS32 */
   },
-  { /* 1017 */
+  { /* 1024 */
     0,
     /* POPES16 */
   },
-  { /* 1018 */
+  { /* 1025 */
     0,
     /* POPES32 */
   },
-  { /* 1019 */
+  { /* 1026 */
     0,
     /* POPF16 */
   },
-  { /* 1020 */
+  { /* 1027 */
     0,
     /* POPF32 */
   },
-  { /* 1021 */
+  { /* 1028 */
     0,
     /* POPF64 */
   },
-  { /* 1022 */
+  { /* 1029 */
     0,
     /* POPFS16 */
   },
-  { /* 1023 */
+  { /* 1030 */
     0,
     /* POPFS32 */
   },
-  { /* 1024 */
+  { /* 1031 */
     0,
     /* POPFS64 */
   },
-  { /* 1025 */
+  { /* 1032 */
     0,
     /* POPGS16 */
   },
-  { /* 1026 */
+  { /* 1033 */
     0,
     /* POPGS32 */
   },
-  { /* 1027 */
+  { /* 1034 */
     0,
     /* POPGS64 */
   },
-  { /* 1028 */
+  { /* 1035 */
     0,
     /* POPSS16 */
   },
-  { /* 1029 */
+  { /* 1036 */
     0,
     /* POPSS32 */
   },
-  { /* 1030 */
-    145,
+  { /* 1037 */
+    146,
     /* PUSH16i8 */
   },
-  { /* 1031 */
-    143,
+  { /* 1038 */
+    144,
     /* PUSH16r */
   },
-  { /* 1032 */
+  { /* 1039 */
     61,
     /* PUSH16rmm */
   },
-  { /* 1033 */
+  { /* 1040 */
     62,
     /* PUSH16rmr */
   },
-  { /* 1034 */
-    146,
+  { /* 1041 */
+    147,
     /* PUSH32i8 */
   },
-  { /* 1035 */
-    143,
+  { /* 1042 */
+    144,
     /* PUSH32r */
   },
-  { /* 1036 */
+  { /* 1043 */
     61,
     /* PUSH32rmm */
   },
-  { /* 1037 */
+  { /* 1044 */
     62,
     /* PUSH32rmr */
   },
-  { /* 1038 */
+  { /* 1045 */
     2,
     /* PUSH64i16 */
   },
-  { /* 1039 */
+  { /* 1046 */
     13,
     /* PUSH64i32 */
   },
-  { /* 1040 */
-    147,
+  { /* 1047 */
+    148,
     /* PUSH64i8 */
   },
-  { /* 1041 */
-    144,
+  { /* 1048 */
+    145,
     /* PUSH64r */
   },
-  { /* 1042 */
+  { /* 1049 */
     61,
     /* PUSH64rmm */
   },
-  { /* 1043 */
+  { /* 1050 */
     64,
     /* PUSH64rmr */
   },
-  { /* 1044 */
+  { /* 1051 */
     0,
     /* PUSHA16 */
   },
-  { /* 1045 */
+  { /* 1052 */
     0,
     /* PUSHA32 */
   },
-  { /* 1046 */
+  { /* 1053 */
     0,
     /* PUSHCS16 */
   },
-  { /* 1047 */
+  { /* 1054 */
     0,
     /* PUSHCS32 */
   },
-  { /* 1048 */
+  { /* 1055 */
     0,
     /* PUSHDS16 */
   },
-  { /* 1049 */
+  { /* 1056 */
     0,
     /* PUSHDS32 */
   },
-  { /* 1050 */
+  { /* 1057 */
     0,
     /* PUSHES16 */
   },
-  { /* 1051 */
+  { /* 1058 */
     0,
     /* PUSHES32 */
   },
-  { /* 1052 */
+  { /* 1059 */
     0,
     /* PUSHF16 */
   },
-  { /* 1053 */
+  { /* 1060 */
     0,
     /* PUSHF32 */
   },
-  { /* 1054 */
+  { /* 1061 */
     0,
     /* PUSHF64 */
   },
-  { /* 1055 */
+  { /* 1062 */
     0,
     /* PUSHFS16 */
   },
-  { /* 1056 */
+  { /* 1063 */
     0,
     /* PUSHFS32 */
   },
-  { /* 1057 */
+  { /* 1064 */
     0,
     /* PUSHFS64 */
   },
-  { /* 1058 */
+  { /* 1065 */
     0,
     /* PUSHGS16 */
   },
-  { /* 1059 */
+  { /* 1066 */
     0,
     /* PUSHGS32 */
   },
-  { /* 1060 */
+  { /* 1067 */
     0,
     /* PUSHGS64 */
   },
-  { /* 1061 */
+  { /* 1068 */
     0,
     /* PUSHSS16 */
   },
-  { /* 1062 */
+  { /* 1069 */
     0,
     /* PUSHSS32 */
   },
-  { /* 1063 */
+  { /* 1070 */
     2,
     /* PUSHi16 */
   },
-  { /* 1064 */
+  { /* 1071 */
     2,
     /* PUSHi32 */
   },
-  { /* 1065 */
+  { /* 1072 */
     61,
     /* RCL16m1 */
   },
-  { /* 1066 */
+  { /* 1073 */
     61,
     /* RCL16mCL */
   },
-  { /* 1067 */
-    148,
+  { /* 1074 */
+    149,
     /* RCL16mi */
   },
-  { /* 1068 */
-    78,
+  { /* 1075 */
+    79,
     /* RCL16r1 */
   },
-  { /* 1069 */
-    78,
+  { /* 1076 */
+    79,
     /* RCL16rCL */
   },
-  { /* 1070 */
-    149,
+  { /* 1077 */
+    150,
     /* RCL16ri */
   },
-  { /* 1071 */
+  { /* 1078 */
     61,
     /* RCL32m1 */
   },
-  { /* 1072 */
+  { /* 1079 */
     61,
     /* RCL32mCL */
   },
-  { /* 1073 */
-    148,
+  { /* 1080 */
+    149,
     /* RCL32mi */
   },
-  { /* 1074 */
-    78,
+  { /* 1081 */
+    79,
     /* RCL32r1 */
   },
-  { /* 1075 */
-    78,
+  { /* 1082 */
+    79,
     /* RCL32rCL */
   },
-  { /* 1076 */
-    149,
+  { /* 1083 */
+    150,
     /* RCL32ri */
   },
-  { /* 1077 */
+  { /* 1084 */
     61,
     /* RCL64m1 */
   },
-  { /* 1078 */
+  { /* 1085 */
     61,
     /* RCL64mCL */
   },
-  { /* 1079 */
-    148,
+  { /* 1086 */
+    149,
     /* RCL64mi */
   },
-  { /* 1080 */
-    79,
+  { /* 1087 */
+    80,
     /* RCL64r1 */
   },
-  { /* 1081 */
-    79,
+  { /* 1088 */
+    80,
     /* RCL64rCL */
   },
-  { /* 1082 */
-    150,
+  { /* 1089 */
+    151,
     /* RCL64ri */
   },
-  { /* 1083 */
-    80,
+  { /* 1090 */
+    67,
     /* RCL8m1 */
   },
-  { /* 1084 */
-    80,
+  { /* 1091 */
+    67,
     /* RCL8mCL */
   },
-  { /* 1085 */
+  { /* 1092 */
     22,
     /* RCL8mi */
   },
-  { /* 1086 */
+  { /* 1093 */
     81,
     /* RCL8r1 */
   },
-  { /* 1087 */
+  { /* 1094 */
     81,
     /* RCL8rCL */
   },
-  { /* 1088 */
+  { /* 1095 */
     24,
     /* RCL8ri */
   },
-  { /* 1089 */
+  { /* 1096 */
     61,
     /* RCR16m1 */
   },
-  { /* 1090 */
+  { /* 1097 */
     61,
     /* RCR16mCL */
   },
-  { /* 1091 */
-    148,
+  { /* 1098 */
+    149,
     /* RCR16mi */
   },
-  { /* 1092 */
-    78,
+  { /* 1099 */
+    79,
     /* RCR16r1 */
   },
-  { /* 1093 */
-    78,
+  { /* 1100 */
+    79,
     /* RCR16rCL */
   },
-  { /* 1094 */
-    149,
+  { /* 1101 */
+    150,
     /* RCR16ri */
   },
-  { /* 1095 */
+  { /* 1102 */
     61,
     /* RCR32m1 */
   },
-  { /* 1096 */
+  { /* 1103 */
     61,
     /* RCR32mCL */
   },
-  { /* 1097 */
-    148,
+  { /* 1104 */
+    149,
     /* RCR32mi */
   },
-  { /* 1098 */
-    78,
+  { /* 1105 */
+    79,
     /* RCR32r1 */
   },
-  { /* 1099 */
-    78,
+  { /* 1106 */
+    79,
     /* RCR32rCL */
   },
-  { /* 1100 */
-    149,
+  { /* 1107 */
+    150,
     /* RCR32ri */
   },
-  { /* 1101 */
+  { /* 1108 */
     61,
     /* RCR64m1 */
   },
-  { /* 1102 */
+  { /* 1109 */
     61,
     /* RCR64mCL */
   },
-  { /* 1103 */
-    148,
+  { /* 1110 */
+    149,
     /* RCR64mi */
   },
-  { /* 1104 */
-    79,
+  { /* 1111 */
+    80,
     /* RCR64r1 */
   },
-  { /* 1105 */
-    79,
+  { /* 1112 */
+    80,
     /* RCR64rCL */
   },
-  { /* 1106 */
-    150,
+  { /* 1113 */
+    151,
     /* RCR64ri */
   },
-  { /* 1107 */
-    80,
+  { /* 1114 */
+    67,
     /* RCR8m1 */
   },
-  { /* 1108 */
-    80,
+  { /* 1115 */
+    67,
     /* RCR8mCL */
   },
-  { /* 1109 */
+  { /* 1116 */
     22,
     /* RCR8mi */
   },
-  { /* 1110 */
+  { /* 1117 */
     81,
     /* RCR8r1 */
   },
-  { /* 1111 */
+  { /* 1118 */
     81,
     /* RCR8rCL */
   },
-  { /* 1112 */
+  { /* 1119 */
     24,
     /* RCR8ri */
   },
-  { /* 1113 */
-    151,
+  { /* 1120 */
+    152,
     /* RDFSBASE */
   },
-  { /* 1114 */
+  { /* 1121 */
     64,
     /* RDFSBASE64 */
   },
-  { /* 1115 */
-    151,
+  { /* 1122 */
+    152,
     /* RDGSBASE */
   },
-  { /* 1116 */
+  { /* 1123 */
     64,
     /* RDGSBASE64 */
   },
-  { /* 1117 */
+  { /* 1124 */
     0,
     /* RDMSR */
   },
-  { /* 1118 */
+  { /* 1125 */
     0,
     /* RDPMC */
   },
-  { /* 1119 */
+  { /* 1126 */
     62,
     /* RDRAND16r */
   },
-  { /* 1120 */
+  { /* 1127 */
     62,
     /* RDRAND32r */
   },
-  { /* 1121 */
+  { /* 1128 */
     64,
     /* RDRAND64r */
   },
-  { /* 1122 */
+  { /* 1129 */
     62,
     /* RDSEED16r */
   },
-  { /* 1123 */
+  { /* 1130 */
     62,
     /* RDSEED32r */
   },
-  { /* 1124 */
+  { /* 1131 */
     64,
     /* RDSEED64r */
   },
-  { /* 1125 */
-    0,
-    /* RDTSC */
-  },
-  { /* 1126 */
-    0,
-    /* RDTSCP */
-  },
-  { /* 1127 */
-    0,
-    /*  */
-  },
-  { /* 1128 */
-    0,
-    /*  */
-  },
-  { /* 1129 */
-    0,
-    /*  */
-  },
-  { /* 1130 */
-    0,
-    /*  */
-  },
-  { /* 1131 */
-    0,
-    /* REPNE_PREFIX */
-  },
   { /* 1132 */
     0,
-    /*  */
+    /* RDTSC */
   },
   { /* 1133 */
     0,
-    /*  */
+    /* RDTSCP */
   },
   { /* 1134 */
     0,
@@ -7169,7 +7177,7 @@ static const struct InstructionSpecifier
   },
   { /* 1139 */
     0,
-    /* REP_PREFIX */
+    /*  */
   },
   { /* 1140 */
     0,
@@ -7200,2098 +7208,2270 @@ static const struct InstructionSpecifier
     /*  */
   },
   { /* 1147 */
-    115,
-    /* RETIL */
+    0,
+    /*  */
   },
   { /* 1148 */
-    115,
-    /* RETIQ */
+    0,
+    /*  */
   },
   { /* 1149 */
-    2,
-    /* RETIW */
+    0,
+    /*  */
   },
   { /* 1150 */
     0,
-    /* RETL */
+    /*  */
   },
   { /* 1151 */
     0,
-    /* RETQ */
+    /*  */
   },
   { /* 1152 */
     0,
-    /* RETW */
+    /*  */
   },
   { /* 1153 */
     0,
-    /* REX64_PREFIX */
+    /*  */
   },
   { /* 1154 */
-    61,
-    /* ROL16m1 */
+    0,
+    /*  */
   },
   { /* 1155 */
-    61,
-    /* ROL16mCL */
+    0,
+    /*  */
   },
   { /* 1156 */
-    148,
-    /* ROL16mi */
+    0,
+    /*  */
   },
   { /* 1157 */
-    78,
-    /* ROL16r1 */
+    0,
+    /*  */
   },
   { /* 1158 */
-    78,
-    /* ROL16rCL */
+    0,
+    /*  */
   },
   { /* 1159 */
-    149,
-    /* ROL16ri */
+    0,
+    /*  */
   },
   { /* 1160 */
-    61,
-    /* ROL32m1 */
+    0,
+    /*  */
   },
   { /* 1161 */
-    61,
-    /* ROL32mCL */
+    0,
+    /*  */
   },
   { /* 1162 */
-    148,
-    /* ROL32mi */
+    0,
+    /* REPNE_PREFIX */
   },
   { /* 1163 */
-    78,
-    /* ROL32r1 */
+    0,
+    /*  */
   },
   { /* 1164 */
-    78,
-    /* ROL32rCL */
+    0,
+    /*  */
   },
   { /* 1165 */
-    149,
-    /* ROL32ri */
+    0,
+    /*  */
   },
   { /* 1166 */
-    61,
-    /* ROL64m1 */
+    0,
+    /*  */
   },
   { /* 1167 */
-    61,
-    /* ROL64mCL */
+    0,
+    /*  */
   },
   { /* 1168 */
-    148,
-    /* ROL64mi */
+    0,
+    /*  */
   },
   { /* 1169 */
-    79,
-    /* ROL64r1 */
+    0,
+    /*  */
   },
   { /* 1170 */
-    79,
-    /* ROL64rCL */
+    0,
+    /* REP_PREFIX */
   },
   { /* 1171 */
-    150,
-    /* ROL64ri */
+    0,
+    /*  */
   },
   { /* 1172 */
-    80,
-    /* ROL8m1 */
+    0,
+    /*  */
   },
   { /* 1173 */
-    80,
-    /* ROL8mCL */
+    0,
+    /*  */
   },
   { /* 1174 */
-    22,
-    /* ROL8mi */
+    0,
+    /*  */
   },
   { /* 1175 */
-    81,
-    /* ROL8r1 */
+    0,
+    /*  */
   },
   { /* 1176 */
-    81,
-    /* ROL8rCL */
+    0,
+    /*  */
   },
   { /* 1177 */
-    24,
-    /* ROL8ri */
+    0,
+    /*  */
   },
   { /* 1178 */
-    61,
-    /* ROR16m1 */
+    116,
+    /* RETIL */
   },
   { /* 1179 */
-    61,
-    /* ROR16mCL */
+    116,
+    /* RETIQ */
   },
   { /* 1180 */
-    148,
-    /* ROR16mi */
+    2,
+    /* RETIW */
   },
   { /* 1181 */
-    78,
-    /* ROR16r1 */
+    0,
+    /* RETL */
   },
   { /* 1182 */
-    78,
-    /* ROR16rCL */
+    0,
+    /* RETQ */
   },
   { /* 1183 */
-    149,
-    /* ROR16ri */
+    0,
+    /* RETW */
   },
   { /* 1184 */
-    61,
-    /* ROR32m1 */
+    0,
+    /* REX64_PREFIX */
   },
   { /* 1185 */
     61,
-    /* ROR32mCL */
+    /* ROL16m1 */
   },
   { /* 1186 */
-    148,
-    /* ROR32mi */
+    61,
+    /* ROL16mCL */
   },
   { /* 1187 */
-    78,
-    /* ROR32r1 */
+    149,
+    /* ROL16mi */
   },
   { /* 1188 */
-    78,
-    /* ROR32rCL */
+    79,
+    /* ROL16r1 */
   },
   { /* 1189 */
-    149,
-    /* ROR32ri */
+    79,
+    /* ROL16rCL */
   },
   { /* 1190 */
-    61,
-    /* ROR64m1 */
+    150,
+    /* ROL16ri */
   },
   { /* 1191 */
     61,
-    /* ROR64mCL */
+    /* ROL32m1 */
   },
   { /* 1192 */
-    148,
-    /* ROR64mi */
+    61,
+    /* ROL32mCL */
   },
   { /* 1193 */
-    79,
-    /* ROR64r1 */
+    149,
+    /* ROL32mi */
   },
   { /* 1194 */
     79,
-    /* ROR64rCL */
+    /* ROL32r1 */
   },
   { /* 1195 */
-    150,
-    /* ROR64ri */
+    79,
+    /* ROL32rCL */
   },
   { /* 1196 */
-    80,
-    /* ROR8m1 */
+    150,
+    /* ROL32ri */
   },
   { /* 1197 */
+    61,
+    /* ROL64m1 */
+  },
+  { /* 1198 */
+    61,
+    /* ROL64mCL */
+  },
+  { /* 1199 */
+    149,
+    /* ROL64mi */
+  },
+  { /* 1200 */
+    80,
+    /* ROL64r1 */
+  },
+  { /* 1201 */
+    80,
+    /* ROL64rCL */
+  },
+  { /* 1202 */
+    151,
+    /* ROL64ri */
+  },
+  { /* 1203 */
+    67,
+    /* ROL8m1 */
+  },
+  { /* 1204 */
+    67,
+    /* ROL8mCL */
+  },
+  { /* 1205 */
+    22,
+    /* ROL8mi */
+  },
+  { /* 1206 */
+    81,
+    /* ROL8r1 */
+  },
+  { /* 1207 */
+    81,
+    /* ROL8rCL */
+  },
+  { /* 1208 */
+    24,
+    /* ROL8ri */
+  },
+  { /* 1209 */
+    61,
+    /* ROR16m1 */
+  },
+  { /* 1210 */
+    61,
+    /* ROR16mCL */
+  },
+  { /* 1211 */
+    149,
+    /* ROR16mi */
+  },
+  { /* 1212 */
+    79,
+    /* ROR16r1 */
+  },
+  { /* 1213 */
+    79,
+    /* ROR16rCL */
+  },
+  { /* 1214 */
+    150,
+    /* ROR16ri */
+  },
+  { /* 1215 */
+    61,
+    /* ROR32m1 */
+  },
+  { /* 1216 */
+    61,
+    /* ROR32mCL */
+  },
+  { /* 1217 */
+    149,
+    /* ROR32mi */
+  },
+  { /* 1218 */
+    79,
+    /* ROR32r1 */
+  },
+  { /* 1219 */
+    79,
+    /* ROR32rCL */
+  },
+  { /* 1220 */
+    150,
+    /* ROR32ri */
+  },
+  { /* 1221 */
+    61,
+    /* ROR64m1 */
+  },
+  { /* 1222 */
+    61,
+    /* ROR64mCL */
+  },
+  { /* 1223 */
+    149,
+    /* ROR64mi */
+  },
+  { /* 1224 */
+    80,
+    /* ROR64r1 */
+  },
+  { /* 1225 */
     80,
+    /* ROR64rCL */
+  },
+  { /* 1226 */
+    151,
+    /* ROR64ri */
+  },
+  { /* 1227 */
+    67,
+    /* ROR8m1 */
+  },
+  { /* 1228 */
+    67,
     /* ROR8mCL */
   },
-  { /* 1198 */
+  { /* 1229 */
     22,
     /* ROR8mi */
   },
-  { /* 1199 */
+  { /* 1230 */
     81,
     /* ROR8r1 */
   },
-  { /* 1200 */
+  { /* 1231 */
     81,
     /* ROR8rCL */
   },
-  { /* 1201 */
+  { /* 1232 */
     24,
     /* ROR8ri */
   },
-  { /* 1202 */
-    152,
+  { /* 1233 */
+    153,
     /* RORX32mi */
   },
-  { /* 1203 */
-    153,
+  { /* 1234 */
+    154,
     /* RORX32ri */
   },
-  { /* 1204 */
-    154,
+  { /* 1235 */
+    155,
     /* RORX64mi */
   },
-  { /* 1205 */
-    155,
+  { /* 1236 */
+    156,
     /* RORX64ri */
   },
-  { /* 1206 */
+  { /* 1237 */
     0,
     /* RSM */
   },
-  { /* 1207 */
+  { /* 1238 */
     0,
     /* SAHF */
   },
-  { /* 1208 */
+  { /* 1239 */
     61,
     /* SAL16m1 */
   },
-  { /* 1209 */
+  { /* 1240 */
     61,
     /* SAL16mCL */
   },
-  { /* 1210 */
-    148,
+  { /* 1241 */
+    149,
     /* SAL16mi */
   },
-  { /* 1211 */
-    78,
+  { /* 1242 */
+    79,
     /* SAL16r1 */
   },
-  { /* 1212 */
-    78,
+  { /* 1243 */
+    79,
     /* SAL16rCL */
   },
-  { /* 1213 */
-    149,
+  { /* 1244 */
+    150,
     /* SAL16ri */
   },
-  { /* 1214 */
+  { /* 1245 */
     61,
     /* SAL32m1 */
   },
-  { /* 1215 */
+  { /* 1246 */
     61,
     /* SAL32mCL */
   },
-  { /* 1216 */
-    148,
+  { /* 1247 */
+    149,
     /* SAL32mi */
   },
-  { /* 1217 */
-    78,
+  { /* 1248 */
+    79,
     /* SAL32r1 */
   },
-  { /* 1218 */
-    78,
+  { /* 1249 */
+    79,
     /* SAL32rCL */
   },
-  { /* 1219 */
-    149,
+  { /* 1250 */
+    150,
     /* SAL32ri */
   },
-  { /* 1220 */
+  { /* 1251 */
     61,
     /* SAL64m1 */
   },
-  { /* 1221 */
+  { /* 1252 */
     61,
     /* SAL64mCL */
   },
-  { /* 1222 */
-    148,
+  { /* 1253 */
+    149,
     /* SAL64mi */
   },
-  { /* 1223 */
-    79,
+  { /* 1254 */
+    80,
     /* SAL64r1 */
   },
-  { /* 1224 */
-    79,
+  { /* 1255 */
+    80,
     /* SAL64rCL */
   },
-  { /* 1225 */
-    150,
+  { /* 1256 */
+    151,
     /* SAL64ri */
   },
-  { /* 1226 */
-    80,
+  { /* 1257 */
+    67,
     /* SAL8m1 */
   },
-  { /* 1227 */
-    80,
+  { /* 1258 */
+    67,
     /* SAL8mCL */
   },
-  { /* 1228 */
+  { /* 1259 */
     22,
     /* SAL8mi */
   },
-  { /* 1229 */
+  { /* 1260 */
     81,
     /* SAL8r1 */
   },
-  { /* 1230 */
+  { /* 1261 */
     81,
     /* SAL8rCL */
   },
-  { /* 1231 */
+  { /* 1262 */
     24,
     /* SAL8ri */
   },
-  { /* 1232 */
+  { /* 1263 */
     0,
     /* SALC */
   },
-  { /* 1233 */
+  { /* 1264 */
     61,
     /* SAR16m1 */
   },
-  { /* 1234 */
+  { /* 1265 */
     61,
     /* SAR16mCL */
   },
-  { /* 1235 */
-    148,
+  { /* 1266 */
+    149,
     /* SAR16mi */
   },
-  { /* 1236 */
-    78,
+  { /* 1267 */
+    79,
     /* SAR16r1 */
   },
-  { /* 1237 */
-    78,
+  { /* 1268 */
+    79,
     /* SAR16rCL */
   },
-  { /* 1238 */
-    149,
+  { /* 1269 */
+    150,
     /* SAR16ri */
   },
-  { /* 1239 */
+  { /* 1270 */
     61,
     /* SAR32m1 */
   },
-  { /* 1240 */
+  { /* 1271 */
     61,
     /* SAR32mCL */
   },
-  { /* 1241 */
-    148,
+  { /* 1272 */
+    149,
     /* SAR32mi */
   },
-  { /* 1242 */
-    78,
+  { /* 1273 */
+    79,
     /* SAR32r1 */
   },
-  { /* 1243 */
-    78,
+  { /* 1274 */
+    79,
     /* SAR32rCL */
   },
-  { /* 1244 */
-    149,
+  { /* 1275 */
+    150,
     /* SAR32ri */
   },
-  { /* 1245 */
+  { /* 1276 */
     61,
     /* SAR64m1 */
   },
-  { /* 1246 */
+  { /* 1277 */
     61,
     /* SAR64mCL */
   },
-  { /* 1247 */
-    148,
+  { /* 1278 */
+    149,
     /* SAR64mi */
   },
-  { /* 1248 */
-    79,
+  { /* 1279 */
+    80,
     /* SAR64r1 */
   },
-  { /* 1249 */
-    79,
+  { /* 1280 */
+    80,
     /* SAR64rCL */
   },
-  { /* 1250 */
-    150,
+  { /* 1281 */
+    151,
     /* SAR64ri */
   },
-  { /* 1251 */
-    80,
+  { /* 1282 */
+    67,
     /* SAR8m1 */
   },
-  { /* 1252 */
-    80,
+  { /* 1283 */
+    67,
     /* SAR8mCL */
   },
-  { /* 1253 */
+  { /* 1284 */
     22,
     /* SAR8mi */
   },
-  { /* 1254 */
+  { /* 1285 */
     81,
     /* SAR8r1 */
   },
-  { /* 1255 */
+  { /* 1286 */
     81,
     /* SAR8rCL */
   },
-  { /* 1256 */
+  { /* 1287 */
     24,
     /* SAR8ri */
   },
-  { /* 1257 */
+  { /* 1288 */
     40,
     /* SARX32rm */
   },
-  { /* 1258 */
+  { /* 1289 */
     41,
     /* SARX32rr */
   },
-  { /* 1259 */
+  { /* 1290 */
     42,
     /* SARX64rm */
   },
-  { /* 1260 */
+  { /* 1291 */
     43,
     /* SARX64rr */
   },
-  { /* 1261 */
+  { /* 1292 */
     2,
     /* SBB16i16 */
   },
-  { /* 1262 */
+  { /* 1293 */
     3,
     /* SBB16mi */
   },
-  { /* 1263 */
+  { /* 1294 */
     4,
     /* SBB16mi8 */
   },
-  { /* 1264 */
+  { /* 1295 */
     5,
     /* SBB16mr */
   },
-  { /* 1265 */
+  { /* 1296 */
     6,
     /* SBB16ri */
   },
-  { /* 1266 */
+  { /* 1297 */
     7,
     /* SBB16ri8 */
   },
-  { /* 1267 */
+  { /* 1298 */
     8,
     /* SBB16rm */
   },
-  { /* 1268 */
+  { /* 1299 */
     9,
     /* SBB16rr */
   },
-  { /* 1269 */
+  { /* 1300 */
     10,
     /* SBB16rr_REV */
   },
-  { /* 1270 */
+  { /* 1301 */
     2,
     /* SBB32i32 */
   },
-  { /* 1271 */
+  { /* 1302 */
     3,
     /* SBB32mi */
   },
-  { /* 1272 */
+  { /* 1303 */
     11,
     /* SBB32mi8 */
   },
-  { /* 1273 */
+  { /* 1304 */
     5,
     /* SBB32mr */
   },
-  { /* 1274 */
+  { /* 1305 */
     6,
     /* SBB32ri */
   },
-  { /* 1275 */
+  { /* 1306 */
     12,
     /* SBB32ri8 */
   },
-  { /* 1276 */
+  { /* 1307 */
     8,
     /* SBB32rm */
   },
-  { /* 1277 */
+  { /* 1308 */
     9,
     /* SBB32rr */
   },
-  { /* 1278 */
+  { /* 1309 */
     10,
     /* SBB32rr_REV */
   },
-  { /* 1279 */
+  { /* 1310 */
     13,
     /* SBB64i32 */
   },
-  { /* 1280 */
+  { /* 1311 */
     14,
     /* SBB64mi32 */
   },
-  { /* 1281 */
+  { /* 1312 */
     15,
     /* SBB64mi8 */
   },
-  { /* 1282 */
+  { /* 1313 */
     16,
     /* SBB64mr */
   },
-  { /* 1283 */
+  { /* 1314 */
     17,
     /* SBB64ri32 */
   },
-  { /* 1284 */
+  { /* 1315 */
     18,
     /* SBB64ri8 */
   },
-  { /* 1285 */
+  { /* 1316 */
     19,
     /* SBB64rm */
   },
-  { /* 1286 */
+  { /* 1317 */
     20,
     /* SBB64rr */
   },
-  { /* 1287 */
+  { /* 1318 */
     21,
     /* SBB64rr_REV */
   },
-  { /* 1288 */
+  { /* 1319 */
     1,
     /* SBB8i8 */
   },
-  { /* 1289 */
+  { /* 1320 */
     22,
     /* SBB8mi */
   },
-  { /* 1290 */
+  { /* 1321 */
+    22,
+    /* SBB8mi8 */
+  },
+  { /* 1322 */
     23,
     /* SBB8mr */
   },
-  { /* 1291 */
+  { /* 1323 */
     24,
     /* SBB8ri */
   },
-  { /* 1292 */
+  { /* 1324 */
+    24,
+    /* SBB8ri8 */
+  },
+  { /* 1325 */
     25,
     /* SBB8rm */
   },
-  { /* 1293 */
+  { /* 1326 */
     26,
     /* SBB8rr */
   },
-  { /* 1294 */
+  { /* 1327 */
     27,
     /* SBB8rr_REV */
   },
-  { /* 1295 */
+  { /* 1328 */
     97,
     /* SCASB */
   },
-  { /* 1296 */
+  { /* 1329 */
     98,
     /* SCASL */
   },
-  { /* 1297 */
-    156,
+  { /* 1330 */
+    157,
     /* SCASQ */
   },
-  { /* 1298 */
+  { /* 1331 */
     99,
     /* SCASW */
   },
-  { /* 1299 */
+  { /* 1332 */
     0,
     /*  */
   },
-  { /* 1300 */
+  { /* 1333 */
     0,
     /*  */
   },
-  { /* 1301 */
+  { /* 1334 */
     0,
     /*  */
   },
-  { /* 1302 */
+  { /* 1335 */
     0,
     /*  */
   },
-  { /* 1303 */
+  { /* 1336 */
     0,
     /*  */
   },
-  { /* 1304 */
+  { /* 1337 */
     0,
     /*  */
   },
-  { /* 1305 */
+  { /* 1338 */
     0,
     /*  */
   },
-  { /* 1306 */
+  { /* 1339 */
     0,
     /*  */
   },
-  { /* 1307 */
+  { /* 1340 */
     0,
     /*  */
   },
-  { /* 1308 */
+  { /* 1341 */
     0,
     /*  */
   },
-  { /* 1309 */
-    80,
+  { /* 1342 */
+    67,
     /* SETAEm */
   },
-  { /* 1310 */
+  { /* 1343 */
     82,
     /* SETAEr */
   },
-  { /* 1311 */
-    80,
+  { /* 1344 */
+    67,
     /* SETAm */
   },
-  { /* 1312 */
+  { /* 1345 */
     82,
     /* SETAr */
   },
-  { /* 1313 */
-    80,
+  { /* 1346 */
+    67,
     /* SETBEm */
   },
-  { /* 1314 */
+  { /* 1347 */
     82,
     /* SETBEr */
   },
-  { /* 1315 */
+  { /* 1348 */
     0,
     /*  */
   },
-  { /* 1316 */
+  { /* 1349 */
     0,
     /*  */
   },
-  { /* 1317 */
+  { /* 1350 */
     0,
     /*  */
   },
-  { /* 1318 */
+  { /* 1351 */
     0,
     /*  */
   },
-  { /* 1319 */
-    80,
+  { /* 1352 */
+    67,
     /* SETBm */
   },
-  { /* 1320 */
+  { /* 1353 */
     82,
     /* SETBr */
   },
-  { /* 1321 */
-    80,
+  { /* 1354 */
+    67,
     /* SETEm */
   },
-  { /* 1322 */
+  { /* 1355 */
     82,
     /* SETEr */
   },
-  { /* 1323 */
-    80,
+  { /* 1356 */
+    67,
     /* SETGEm */
   },
-  { /* 1324 */
+  { /* 1357 */
     82,
     /* SETGEr */
   },
-  { /* 1325 */
-    80,
+  { /* 1358 */
+    67,
     /* SETGm */
   },
-  { /* 1326 */
+  { /* 1359 */
     82,
     /* SETGr */
   },
-  { /* 1327 */
-    80,
+  { /* 1360 */
+    67,
     /* SETLEm */
   },
-  { /* 1328 */
+  { /* 1361 */
     82,
     /* SETLEr */
   },
-  { /* 1329 */
-    80,
+  { /* 1362 */
+    67,
     /* SETLm */
   },
-  { /* 1330 */
+  { /* 1363 */
     82,
     /* SETLr */
   },
-  { /* 1331 */
-    80,
+  { /* 1364 */
+    67,
     /* SETNEm */
   },
-  { /* 1332 */
+  { /* 1365 */
     82,
     /* SETNEr */
   },
-  { /* 1333 */
-    80,
+  { /* 1366 */
+    67,
     /* SETNOm */
   },
-  { /* 1334 */
+  { /* 1367 */
     82,
     /* SETNOr */
   },
-  { /* 1335 */
-    80,
+  { /* 1368 */
+    67,
     /* SETNPm */
   },
-  { /* 1336 */
+  { /* 1369 */
     82,
     /* SETNPr */
   },
-  { /* 1337 */
-    80,
+  { /* 1370 */
+    67,
     /* SETNSm */
   },
-  { /* 1338 */
+  { /* 1371 */
     82,
     /* SETNSr */
   },
-  { /* 1339 */
-    80,
+  { /* 1372 */
+    67,
     /* SETOm */
   },
-  { /* 1340 */
+  { /* 1373 */
     82,
     /* SETOr */
   },
-  { /* 1341 */
-    80,
+  { /* 1374 */
+    67,
     /* SETPm */
   },
-  { /* 1342 */
+  { /* 1375 */
     82,
     /* SETPr */
   },
-  { /* 1343 */
-    80,
+  { /* 1376 */
+    67,
     /* SETSm */
   },
-  { /* 1344 */
+  { /* 1377 */
     82,
     /* SETSr */
   },
-  { /* 1345 */
+  { /* 1378 */
     87,
     /* SGDT16m */
   },
-  { /* 1346 */
+  { /* 1379 */
     87,
     /* SGDT32m */
   },
-  { /* 1347 */
+  { /* 1380 */
     88,
     /* SGDT64m */
   },
-  { /* 1348 */
+  { /* 1381 */
     61,
     /* SHL16m1 */
   },
-  { /* 1349 */
+  { /* 1382 */
     61,
     /* SHL16mCL */
   },
-  { /* 1350 */
-    148,
+  { /* 1383 */
+    149,
     /* SHL16mi */
   },
-  { /* 1351 */
-    78,
+  { /* 1384 */
+    79,
     /* SHL16r1 */
   },
-  { /* 1352 */
-    78,
+  { /* 1385 */
+    79,
     /* SHL16rCL */
   },
-  { /* 1353 */
-    149,
+  { /* 1386 */
+    150,
     /* SHL16ri */
   },
-  { /* 1354 */
+  { /* 1387 */
     61,
     /* SHL32m1 */
   },
-  { /* 1355 */
+  { /* 1388 */
     61,
     /* SHL32mCL */
   },
-  { /* 1356 */
-    148,
+  { /* 1389 */
+    149,
     /* SHL32mi */
   },
-  { /* 1357 */
-    78,
+  { /* 1390 */
+    79,
     /* SHL32r1 */
   },
-  { /* 1358 */
-    78,
+  { /* 1391 */
+    79,
     /* SHL32rCL */
   },
-  { /* 1359 */
-    149,
+  { /* 1392 */
+    150,
     /* SHL32ri */
   },
-  { /* 1360 */
+  { /* 1393 */
     61,
     /* SHL64m1 */
   },
-  { /* 1361 */
+  { /* 1394 */
     61,
     /* SHL64mCL */
   },
-  { /* 1362 */
-    148,
+  { /* 1395 */
+    149,
     /* SHL64mi */
   },
-  { /* 1363 */
-    79,
+  { /* 1396 */
+    80,
     /* SHL64r1 */
   },
-  { /* 1364 */
-    79,
+  { /* 1397 */
+    80,
     /* SHL64rCL */
   },
-  { /* 1365 */
-    150,
+  { /* 1398 */
+    151,
     /* SHL64ri */
   },
-  { /* 1366 */
-    80,
+  { /* 1399 */
+    67,
     /* SHL8m1 */
   },
-  { /* 1367 */
-    80,
+  { /* 1400 */
+    67,
     /* SHL8mCL */
   },
-  { /* 1368 */
+  { /* 1401 */
     22,
     /* SHL8mi */
   },
-  { /* 1369 */
+  { /* 1402 */
     81,
     /* SHL8r1 */
   },
-  { /* 1370 */
+  { /* 1403 */
     81,
     /* SHL8rCL */
   },
-  { /* 1371 */
+  { /* 1404 */
     24,
     /* SHL8ri */
   },
-  { /* 1372 */
+  { /* 1405 */
     5,
     /* SHLD16mrCL */
   },
-  { /* 1373 */
-    157,
+  { /* 1406 */
+    158,
     /* SHLD16mri8 */
   },
-  { /* 1374 */
+  { /* 1407 */
     9,
     /* SHLD16rrCL */
   },
-  { /* 1375 */
-    158,
+  { /* 1408 */
+    159,
     /* SHLD16rri8 */
   },
-  { /* 1376 */
+  { /* 1409 */
     5,
     /* SHLD32mrCL */
   },
-  { /* 1377 */
-    157,
+  { /* 1410 */
+    158,
     /* SHLD32mri8 */
   },
-  { /* 1378 */
+  { /* 1411 */
     9,
     /* SHLD32rrCL */
   },
-  { /* 1379 */
-    158,
+  { /* 1412 */
+    159,
     /* SHLD32rri8 */
   },
-  { /* 1380 */
+  { /* 1413 */
     16,
     /* SHLD64mrCL */
   },
-  { /* 1381 */
-    159,
+  { /* 1414 */
+    160,
     /* SHLD64mri8 */
   },
-  { /* 1382 */
+  { /* 1415 */
     20,
     /* SHLD64rrCL */
   },
-  { /* 1383 */
-    160,
+  { /* 1416 */
+    161,
     /* SHLD64rri8 */
   },
-  { /* 1384 */
+  { /* 1417 */
     40,
     /* SHLX32rm */
   },
-  { /* 1385 */
+  { /* 1418 */
     41,
     /* SHLX32rr */
   },
-  { /* 1386 */
+  { /* 1419 */
     42,
     /* SHLX64rm */
   },
-  { /* 1387 */
+  { /* 1420 */
     43,
     /* SHLX64rr */
   },
-  { /* 1388 */
+  { /* 1421 */
     61,
     /* SHR16m1 */
   },
-  { /* 1389 */
+  { /* 1422 */
     61,
     /* SHR16mCL */
   },
-  { /* 1390 */
-    148,
+  { /* 1423 */
+    149,
     /* SHR16mi */
   },
-  { /* 1391 */
-    78,
+  { /* 1424 */
+    79,
     /* SHR16r1 */
   },
-  { /* 1392 */
-    78,
+  { /* 1425 */
+    79,
     /* SHR16rCL */
   },
-  { /* 1393 */
-    149,
+  { /* 1426 */
+    150,
     /* SHR16ri */
   },
-  { /* 1394 */
+  { /* 1427 */
     61,
     /* SHR32m1 */
   },
-  { /* 1395 */
+  { /* 1428 */
     61,
     /* SHR32mCL */
   },
-  { /* 1396 */
-    148,
+  { /* 1429 */
+    149,
     /* SHR32mi */
   },
-  { /* 1397 */
-    78,
+  { /* 1430 */
+    79,
     /* SHR32r1 */
   },
-  { /* 1398 */
-    78,
+  { /* 1431 */
+    79,
     /* SHR32rCL */
   },
-  { /* 1399 */
-    149,
+  { /* 1432 */
+    150,
     /* SHR32ri */
   },
-  { /* 1400 */
+  { /* 1433 */
     61,
     /* SHR64m1 */
   },
-  { /* 1401 */
+  { /* 1434 */
     61,
     /* SHR64mCL */
   },
-  { /* 1402 */
-    148,
+  { /* 1435 */
+    149,
     /* SHR64mi */
   },
-  { /* 1403 */
-    79,
+  { /* 1436 */
+    80,
     /* SHR64r1 */
   },
-  { /* 1404 */
-    79,
+  { /* 1437 */
+    80,
     /* SHR64rCL */
   },
-  { /* 1405 */
-    150,
+  { /* 1438 */
+    151,
     /* SHR64ri */
   },
-  { /* 1406 */
-    80,
+  { /* 1439 */
+    67,
     /* SHR8m1 */
   },
-  { /* 1407 */
-    80,
+  { /* 1440 */
+    67,
     /* SHR8mCL */
   },
-  { /* 1408 */
+  { /* 1441 */
     22,
     /* SHR8mi */
   },
-  { /* 1409 */
+  { /* 1442 */
     81,
     /* SHR8r1 */
   },
-  { /* 1410 */
+  { /* 1443 */
     81,
     /* SHR8rCL */
   },
-  { /* 1411 */
+  { /* 1444 */
     24,
     /* SHR8ri */
   },
-  { /* 1412 */
+  { /* 1445 */
     5,
     /* SHRD16mrCL */
   },
-  { /* 1413 */
-    157,
+  { /* 1446 */
+    158,
     /* SHRD16mri8 */
   },
-  { /* 1414 */
+  { /* 1447 */
     9,
     /* SHRD16rrCL */
   },
-  { /* 1415 */
-    158,
+  { /* 1448 */
+    159,
     /* SHRD16rri8 */
   },
-  { /* 1416 */
+  { /* 1449 */
     5,
     /* SHRD32mrCL */
   },
-  { /* 1417 */
-    157,
+  { /* 1450 */
+    158,
     /* SHRD32mri8 */
   },
-  { /* 1418 */
+  { /* 1451 */
     9,
     /* SHRD32rrCL */
   },
-  { /* 1419 */
-    158,
+  { /* 1452 */
+    159,
     /* SHRD32rri8 */
   },
-  { /* 1420 */
+  { /* 1453 */
     16,
     /* SHRD64mrCL */
   },
-  { /* 1421 */
-    159,
+  { /* 1454 */
+    160,
     /* SHRD64mri8 */
   },
-  { /* 1422 */
+  { /* 1455 */
     20,
     /* SHRD64rrCL */
   },
-  { /* 1423 */
-    160,
+  { /* 1456 */
+    161,
     /* SHRD64rri8 */
   },
-  { /* 1424 */
+  { /* 1457 */
     40,
     /* SHRX32rm */
   },
-  { /* 1425 */
+  { /* 1458 */
     41,
     /* SHRX32rr */
   },
-  { /* 1426 */
+  { /* 1459 */
     42,
     /* SHRX64rm */
   },
-  { /* 1427 */
+  { /* 1460 */
     43,
     /* SHRX64rr */
   },
-  { /* 1428 */
+  { /* 1461 */
     87,
     /* SIDT16m */
   },
-  { /* 1429 */
+  { /* 1462 */
     87,
     /* SIDT32m */
   },
-  { /* 1430 */
+  { /* 1463 */
     88,
     /* SIDT64m */
   },
-  { /* 1431 */
+  { /* 1464 */
     0,
     /* SKINIT */
   },
-  { /* 1432 */
+  { /* 1465 */
     61,
     /* SLDT16m */
   },
-  { /* 1433 */
+  { /* 1466 */
     62,
     /* SLDT16r */
   },
-  { /* 1434 */
+  { /* 1467 */
     62,
     /* SLDT32r */
   },
-  { /* 1435 */
+  { /* 1468 */
     61,
     /* SLDT64m */
   },
-  { /* 1436 */
+  { /* 1469 */
     64,
     /* SLDT64r */
   },
-  { /* 1437 */
+  { /* 1470 */
     61,
     /* SMSW16m */
   },
-  { /* 1438 */
+  { /* 1471 */
     62,
     /* SMSW16r */
   },
-  { /* 1439 */
+  { /* 1472 */
     62,
     /* SMSW32r */
   },
-  { /* 1440 */
+  { /* 1473 */
     64,
     /* SMSW64r */
   },
-  { /* 1441 */
+  { /* 1474 */
     0,
     /* STAC */
   },
-  { /* 1442 */
+  { /* 1475 */
     0,
     /* STC */
   },
-  { /* 1443 */
+  { /* 1476 */
     0,
     /* STD */
   },
-  { /* 1444 */
+  { /* 1477 */
     0,
     /* STGI */
   },
-  { /* 1445 */
+  { /* 1478 */
     0,
     /* STI */
   },
-  { /* 1446 */
+  { /* 1479 */
     97,
     /* STOSB */
   },
-  { /* 1447 */
+  { /* 1480 */
     98,
     /* STOSL */
   },
-  { /* 1448 */
-    156,
+  { /* 1481 */
+    157,
     /* STOSQ */
   },
-  { /* 1449 */
+  { /* 1482 */
     99,
     /* STOSW */
   },
-  { /* 1450 */
+  { /* 1483 */
     62,
     /* STR16r */
   },
-  { /* 1451 */
+  { /* 1484 */
     62,
     /* STR32r */
   },
-  { /* 1452 */
+  { /* 1485 */
     64,
     /* STR64r */
   },
-  { /* 1453 */
+  { /* 1486 */
     61,
     /* STRm */
   },
-  { /* 1454 */
+  { /* 1487 */
     2,
     /* SUB16i16 */
   },
-  { /* 1455 */
+  { /* 1488 */
     3,
     /* SUB16mi */
   },
-  { /* 1456 */
+  { /* 1489 */
     4,
     /* SUB16mi8 */
   },
-  { /* 1457 */
+  { /* 1490 */
     5,
     /* SUB16mr */
   },
-  { /* 1458 */
+  { /* 1491 */
     6,
     /* SUB16ri */
   },
-  { /* 1459 */
+  { /* 1492 */
     7,
     /* SUB16ri8 */
   },
-  { /* 1460 */
+  { /* 1493 */
     8,
     /* SUB16rm */
   },
-  { /* 1461 */
+  { /* 1494 */
     9,
     /* SUB16rr */
   },
-  { /* 1462 */
+  { /* 1495 */
     10,
     /* SUB16rr_REV */
   },
-  { /* 1463 */
+  { /* 1496 */
     2,
     /* SUB32i32 */
   },
-  { /* 1464 */
+  { /* 1497 */
     3,
     /* SUB32mi */
   },
-  { /* 1465 */
+  { /* 1498 */
     11,
     /* SUB32mi8 */
   },
-  { /* 1466 */
+  { /* 1499 */
     5,
     /* SUB32mr */
   },
-  { /* 1467 */
+  { /* 1500 */
     6,
     /* SUB32ri */
   },
-  { /* 1468 */
+  { /* 1501 */
     12,
     /* SUB32ri8 */
   },
-  { /* 1469 */
+  { /* 1502 */
     8,
     /* SUB32rm */
   },
-  { /* 1470 */
+  { /* 1503 */
     9,
     /* SUB32rr */
   },
-  { /* 1471 */
+  { /* 1504 */
     10,
     /* SUB32rr_REV */
   },
-  { /* 1472 */
+  { /* 1505 */
     13,
     /* SUB64i32 */
   },
-  { /* 1473 */
+  { /* 1506 */
     14,
     /* SUB64mi32 */
   },
-  { /* 1474 */
+  { /* 1507 */
     15,
     /* SUB64mi8 */
   },
-  { /* 1475 */
+  { /* 1508 */
     16,
     /* SUB64mr */
   },
-  { /* 1476 */
+  { /* 1509 */
     17,
     /* SUB64ri32 */
   },
-  { /* 1477 */
+  { /* 1510 */
     18,
     /* SUB64ri8 */
   },
-  { /* 1478 */
+  { /* 1511 */
     19,
     /* SUB64rm */
   },
-  { /* 1479 */
+  { /* 1512 */
     20,
     /* SUB64rr */
   },
-  { /* 1480 */
+  { /* 1513 */
     21,
     /* SUB64rr_REV */
   },
-  { /* 1481 */
+  { /* 1514 */
     1,
     /* SUB8i8 */
   },
-  { /* 1482 */
+  { /* 1515 */
     22,
     /* SUB8mi */
   },
-  { /* 1483 */
+  { /* 1516 */
+    22,
+    /* SUB8mi8 */
+  },
+  { /* 1517 */
     23,
     /* SUB8mr */
   },
-  { /* 1484 */
+  { /* 1518 */
     24,
     /* SUB8ri */
   },
-  { /* 1485 */
+  { /* 1519 */
     24,
     /* SUB8ri8 */
   },
-  { /* 1486 */
+  { /* 1520 */
     25,
     /* SUB8rm */
   },
-  { /* 1487 */
+  { /* 1521 */
     26,
     /* SUB8rr */
   },
-  { /* 1488 */
+  { /* 1522 */
     27,
     /* SUB8rr_REV */
   },
-  { /* 1489 */
+  { /* 1523 */
     0,
     /* SWAPGS */
   },
-  { /* 1490 */
+  { /* 1524 */
     0,
     /* SYSCALL */
   },
-  { /* 1491 */
+  { /* 1525 */
     0,
     /* SYSENTER */
   },
-  { /* 1492 */
+  { /* 1526 */
     0,
     /* SYSEXIT */
   },
-  { /* 1493 */
+  { /* 1527 */
     0,
     /* SYSEXIT64 */
   },
-  { /* 1494 */
+  { /* 1528 */
     0,
     /* SYSRET */
   },
-  { /* 1495 */
+  { /* 1529 */
     0,
     /* SYSRET64 */
   },
-  { /* 1496 */
+  { /* 1530 */
     48,
     /* T1MSKC32rm */
   },
-  { /* 1497 */
+  { /* 1531 */
     49,
     /* T1MSKC32rr */
   },
-  { /* 1498 */
+  { /* 1532 */
     50,
     /* T1MSKC64rm */
   },
-  { /* 1499 */
+  { /* 1533 */
     51,
     /* T1MSKC64rr */
   },
-  { /* 1500 */
+  { /* 1534 */
     0,
     /*  */
   },
-  { /* 1501 */
+  { /* 1535 */
     0,
     /*  */
   },
-  { /* 1502 */
+  { /* 1536 */
     0,
     /*  */
   },
-  { /* 1503 */
+  { /* 1537 */
     0,
     /*  */
   },
-  { /* 1504 */
+  { /* 1538 */
     0,
     /*  */
   },
-  { /* 1505 */
+  { /* 1539 */
     0,
     /*  */
   },
-  { /* 1506 */
+  { /* 1540 */
     0,
     /*  */
   },
-  { /* 1507 */
+  { /* 1541 */
     0,
     /*  */
   },
-  { /* 1508 */
+  { /* 1542 */
     0,
     /*  */
   },
-  { /* 1509 */
+  { /* 1543 */
     0,
     /*  */
   },
-  { /* 1510 */
+  { /* 1544 */
     0,
     /*  */
   },
-  { /* 1511 */
+  { /* 1545 */
     0,
     /*  */
   },
-  { /* 1512 */
+  { /* 1546 */
+    0,
+    /*  */
+  },
+  { /* 1547 */
+    0,
+    /*  */
+  },
+  { /* 1548 */
+    0,
+    /*  */
+  },
+  { /* 1549 */
     2,
     /* TEST16i16 */
   },
-  { /* 1513 */
+  { /* 1550 */
     3,
     /* TEST16mi */
   },
-  { /* 1514 */
+  { /* 1551 */
     3,
     /* TEST16mi_alt */
   },
-  { /* 1515 */
-    67,
+  { /* 1552 */
+    68,
     /* TEST16ri */
   },
-  { /* 1516 */
-    67,
+  { /* 1553 */
+    68,
     /* TEST16ri_alt */
   },
-  { /* 1517 */
-    5,
+  { /* 1554 */
+    52,
     /* TEST16rm */
   },
-  { /* 1518 */
+  { /* 1555 */
     57,
     /* TEST16rr */
   },
-  { /* 1519 */
+  { /* 1556 */
     2,
     /* TEST32i32 */
   },
-  { /* 1520 */
+  { /* 1557 */
     3,
     /* TEST32mi */
   },
-  { /* 1521 */
+  { /* 1558 */
     3,
     /* TEST32mi_alt */
   },
-  { /* 1522 */
-    67,
+  { /* 1559 */
+    68,
     /* TEST32ri */
   },
-  { /* 1523 */
-    67,
+  { /* 1560 */
+    68,
     /* TEST32ri_alt */
   },
-  { /* 1524 */
-    5,
+  { /* 1561 */
+    52,
     /* TEST32rm */
   },
-  { /* 1525 */
+  { /* 1562 */
     57,
     /* TEST32rr */
   },
-  { /* 1526 */
+  { /* 1563 */
     13,
     /* TEST64i32 */
   },
-  { /* 1527 */
+  { /* 1564 */
     14,
     /* TEST64mi32 */
   },
-  { /* 1528 */
+  { /* 1565 */
     14,
     /* TEST64mi32_alt */
   },
-  { /* 1529 */
-    68,
+  { /* 1566 */
+    69,
     /* TEST64ri32 */
   },
-  { /* 1530 */
-    68,
+  { /* 1567 */
+    69,
     /* TEST64ri32_alt */
   },
-  { /* 1531 */
-    16,
+  { /* 1568 */
+    32,
     /* TEST64rm */
   },
-  { /* 1532 */
+  { /* 1569 */
     60,
     /* TEST64rr */
   },
-  { /* 1533 */
+  { /* 1570 */
     1,
     /* TEST8i8 */
   },
-  { /* 1534 */
+  { /* 1571 */
     22,
     /* TEST8mi */
   },
-  { /* 1535 */
+  { /* 1572 */
     22,
     /* TEST8mi_alt */
   },
-  { /* 1536 */
-    69,
+  { /* 1573 */
+    70,
     /* TEST8ri */
   },
-  { /* 1537 */
+  { /* 1574 */
     0,
     /*  */
   },
-  { /* 1538 */
-    69,
+  { /* 1575 */
+    70,
     /* TEST8ri_alt */
   },
-  { /* 1539 */
-    23,
+  { /* 1576 */
+    71,
     /* TEST8rm */
   },
-  { /* 1540 */
-    71,
+  { /* 1577 */
+    72,
     /* TEST8rr */
   },
-  { /* 1541 */
+  { /* 1578 */
     0,
     /*  */
   },
-  { /* 1542 */
+  { /* 1579 */
     0,
     /*  */
   },
-  { /* 1543 */
+  { /* 1580 */
     0,
     /*  */
   },
-  { /* 1544 */
+  { /* 1581 */
     0,
     /*  */
   },
-  { /* 1545 */
+  { /* 1582 */
     0,
     /*  */
   },
-  { /* 1546 */
+  { /* 1583 */
     0,
     /*  */
   },
-  { /* 1547 */
+  { /* 1584 */
     0,
     /* TRAP */
   },
-  { /* 1548 */
+  { /* 1585 */
     52,
     /* TZCNT16rm */
   },
-  { /* 1549 */
+  { /* 1586 */
     53,
     /* TZCNT16rr */
   },
-  { /* 1550 */
+  { /* 1587 */
     52,
     /* TZCNT32rm */
   },
-  { /* 1551 */
+  { /* 1588 */
     53,
     /* TZCNT32rr */
   },
-  { /* 1552 */
+  { /* 1589 */
     32,
     /* TZCNT64rm */
   },
-  { /* 1553 */
+  { /* 1590 */
     33,
     /* TZCNT64rr */
   },
-  { /* 1554 */
+  { /* 1591 */
     48,
     /* TZMSK32rm */
   },
-  { /* 1555 */
+  { /* 1592 */
     49,
     /* TZMSK32rr */
   },
-  { /* 1556 */
+  { /* 1593 */
     50,
     /* TZMSK64rm */
   },
-  { /* 1557 */
+  { /* 1594 */
     51,
     /* TZMSK64rr */
   },
-  { /* 1558 */
+  { /* 1595 */
     0,
     /* UD2B */
   },
-  { /* 1559 */
+  { /* 1596 */
     0,
     /*  */
   },
-  { /* 1560 */
+  { /* 1597 */
     0,
     /*  */
   },
-  { /* 1561 */
+  { /* 1598 */
     61,
     /* VERRm */
   },
-  { /* 1562 */
-    110,
+  { /* 1599 */
+    111,
     /* VERRr */
   },
-  { /* 1563 */
+  { /* 1600 */
     61,
     /* VERWm */
   },
-  { /* 1564 */
-    110,
+  { /* 1601 */
+    111,
     /* VERWr */
   },
-  { /* 1565 */
+  { /* 1602 */
     0,
     /* VMCALL */
   },
-  { /* 1566 */
+  { /* 1603 */
     61,
     /* VMCLEARm */
   },
-  { /* 1567 */
+  { /* 1604 */
     0,
     /* VMFUNC */
   },
-  { /* 1568 */
+  { /* 1605 */
     0,
     /* VMLAUNCH */
   },
-  { /* 1569 */
+  { /* 1606 */
     0,
     /* VMLOAD32 */
   },
-  { /* 1570 */
+  { /* 1607 */
     0,
     /* VMLOAD64 */
   },
-  { /* 1571 */
+  { /* 1608 */
     0,
     /* VMMCALL */
   },
-  { /* 1572 */
+  { /* 1609 */
     61,
     /* VMPTRLDm */
   },
-  { /* 1573 */
+  { /* 1610 */
     61,
     /* VMPTRSTm */
   },
-  { /* 1574 */
-    161,
+  { /* 1611 */
+    162,
     /* VMREAD32rm */
   },
-  { /* 1575 */
-    162,
+  { /* 1612 */
+    163,
     /* VMREAD32rr */
   },
-  { /* 1576 */
+  { /* 1613 */
     16,
     /* VMREAD64rm */
   },
-  { /* 1577 */
+  { /* 1614 */
     60,
     /* VMREAD64rr */
   },
-  { /* 1578 */
+  { /* 1615 */
     0,
     /* VMRESUME */
   },
-  { /* 1579 */
+  { /* 1616 */
     0,
     /* VMRUN32 */
   },
-  { /* 1580 */
+  { /* 1617 */
     0,
     /* VMRUN64 */
   },
-  { /* 1581 */
+  { /* 1618 */
     0,
     /* VMSAVE32 */
   },
-  { /* 1582 */
+  { /* 1619 */
     0,
     /* VMSAVE64 */
   },
-  { /* 1583 */
+  { /* 1620 */
     30,
     /* VMWRITE32rm */
   },
-  { /* 1584 */
+  { /* 1621 */
     31,
     /* VMWRITE32rr */
   },
-  { /* 1585 */
+  { /* 1622 */
     32,
     /* VMWRITE64rm */
   },
-  { /* 1586 */
+  { /* 1623 */
     33,
     /* VMWRITE64rr */
   },
-  { /* 1587 */
+  { /* 1624 */
     0,
     /* VMXOFF */
   },
-  { /* 1588 */
+  { /* 1625 */
     61,
     /* VMXON */
   },
-  { /* 1589 */
-    0,
-    /*  */
-  },
-  { /* 1590 */
+  { /* 1626 */
     0,
     /* WBINVD */
   },
-  { /* 1591 */
+  { /* 1627 */
     0,
     /*  */
   },
-  { /* 1592 */
+  { /* 1628 */
     0,
     /*  */
   },
-  { /* 1593 */
+  { /* 1629 */
     0,
     /*  */
   },
-  { /* 1594 */
-    151,
+  { /* 1630 */
+    152,
     /* WRFSBASE */
   },
-  { /* 1595 */
+  { /* 1631 */
     64,
     /* WRFSBASE64 */
   },
-  { /* 1596 */
-    151,
+  { /* 1632 */
+    152,
     /* WRGSBASE */
   },
-  { /* 1597 */
+  { /* 1633 */
     64,
     /* WRGSBASE64 */
   },
-  { /* 1598 */
+  { /* 1634 */
     0,
     /* WRMSR */
   },
-  { /* 1599 */
+  { /* 1635 */
     5,
     /* XADD16rm */
   },
-  { /* 1600 */
+  { /* 1636 */
     57,
     /* XADD16rr */
   },
-  { /* 1601 */
+  { /* 1637 */
     5,
     /* XADD32rm */
   },
-  { /* 1602 */
+  { /* 1638 */
     57,
     /* XADD32rr */
   },
-  { /* 1603 */
+  { /* 1639 */
     16,
     /* XADD64rm */
   },
-  { /* 1604 */
+  { /* 1640 */
     60,
     /* XADD64rr */
   },
-  { /* 1605 */
+  { /* 1641 */
     23,
     /* XADD8rm */
   },
-  { /* 1606 */
-    71,
+  { /* 1642 */
+    72,
     /* XADD8rr */
   },
-  { /* 1607 */
-    143,
+  { /* 1643 */
+    144,
     /* XCHG16ar */
   },
-  { /* 1608 */
+  { /* 1644 */
     8,
     /* XCHG16rm */
   },
-  { /* 1609 */
+  { /* 1645 */
     10,
     /* XCHG16rr */
   },
-  { /* 1610 */
-    143,
+  { /* 1646 */
+    144,
     /* XCHG32ar */
   },
-  { /* 1611 */
-    143,
+  { /* 1647 */
+    144,
     /* XCHG32ar64 */
   },
-  { /* 1612 */
+  { /* 1648 */
     8,
     /* XCHG32rm */
   },
-  { /* 1613 */
+  { /* 1649 */
     10,
     /* XCHG32rr */
   },
-  { /* 1614 */
-    144,
+  { /* 1650 */
+    145,
     /* XCHG64ar */
   },
-  { /* 1615 */
+  { /* 1651 */
     19,
     /* XCHG64rm */
   },
-  { /* 1616 */
+  { /* 1652 */
     21,
     /* XCHG64rr */
   },
-  { /* 1617 */
+  { /* 1653 */
     25,
     /* XCHG8rm */
   },
-  { /* 1618 */
+  { /* 1654 */
     27,
     /* XCHG8rr */
   },
-  { /* 1619 */
+  { /* 1655 */
     0,
     /* XCRYPTCBC */
   },
-  { /* 1620 */
+  { /* 1656 */
     0,
     /* XCRYPTCFB */
   },
-  { /* 1621 */
+  { /* 1657 */
     0,
     /* XCRYPTCTR */
   },
-  { /* 1622 */
+  { /* 1658 */
     0,
     /* XCRYPTECB */
   },
-  { /* 1623 */
+  { /* 1659 */
     0,
     /* XCRYPTOFB */
   },
-  { /* 1624 */
+  { /* 1660 */
     0,
     /* XGETBV */
   },
-  { /* 1625 */
+  { /* 1661 */
     0,
     /* XLAT */
   },
-  { /* 1626 */
+  { /* 1662 */
     2,
     /* XOR16i16 */
   },
-  { /* 1627 */
+  { /* 1663 */
     3,
     /* XOR16mi */
   },
-  { /* 1628 */
+  { /* 1664 */
     4,
     /* XOR16mi8 */
   },
-  { /* 1629 */
+  { /* 1665 */
     5,
     /* XOR16mr */
   },
-  { /* 1630 */
+  { /* 1666 */
     6,
     /* XOR16ri */
   },
-  { /* 1631 */
+  { /* 1667 */
     7,
     /* XOR16ri8 */
   },
-  { /* 1632 */
+  { /* 1668 */
     8,
     /* XOR16rm */
   },
-  { /* 1633 */
+  { /* 1669 */
     9,
     /* XOR16rr */
   },
-  { /* 1634 */
+  { /* 1670 */
     10,
     /* XOR16rr_REV */
   },
-  { /* 1635 */
+  { /* 1671 */
     2,
     /* XOR32i32 */
   },
-  { /* 1636 */
+  { /* 1672 */
     3,
     /* XOR32mi */
   },
-  { /* 1637 */
+  { /* 1673 */
     11,
     /* XOR32mi8 */
   },
-  { /* 1638 */
+  { /* 1674 */
     5,
     /* XOR32mr */
   },
-  { /* 1639 */
+  { /* 1675 */
     6,
     /* XOR32ri */
   },
-  { /* 1640 */
+  { /* 1676 */
     12,
     /* XOR32ri8 */
   },
-  { /* 1641 */
+  { /* 1677 */
     8,
     /* XOR32rm */
   },
-  { /* 1642 */
+  { /* 1678 */
     9,
     /* XOR32rr */
   },
-  { /* 1643 */
+  { /* 1679 */
     10,
     /* XOR32rr_REV */
   },
-  { /* 1644 */
+  { /* 1680 */
     13,
     /* XOR64i32 */
   },
-  { /* 1645 */
+  { /* 1681 */
     14,
     /* XOR64mi32 */
   },
-  { /* 1646 */
+  { /* 1682 */
     15,
     /* XOR64mi8 */
   },
-  { /* 1647 */
+  { /* 1683 */
     16,
     /* XOR64mr */
   },
-  { /* 1648 */
+  { /* 1684 */
     17,
     /* XOR64ri32 */
   },
-  { /* 1649 */
+  { /* 1685 */
     18,
     /* XOR64ri8 */
   },
-  { /* 1650 */
+  { /* 1686 */
     19,
     /* XOR64rm */
   },
-  { /* 1651 */
+  { /* 1687 */
     20,
     /* XOR64rr */
   },
-  { /* 1652 */
+  { /* 1688 */
     21,
     /* XOR64rr_REV */
   },
-  { /* 1653 */
+  { /* 1689 */
     1,
     /* XOR8i8 */
   },
-  { /* 1654 */
+  { /* 1690 */
     22,
     /* XOR8mi */
   },
-  { /* 1655 */
+  { /* 1691 */
+    22,
+    /* XOR8mi8 */
+  },
+  { /* 1692 */
     23,
     /* XOR8mr */
   },
-  { /* 1656 */
+  { /* 1693 */
     24,
     /* XOR8ri */
   },
-  { /* 1657 */
+  { /* 1694 */
     24,
     /* XOR8ri8 */
   },
-  { /* 1658 */
+  { /* 1695 */
     25,
     /* XOR8rm */
   },
-  { /* 1659 */
+  { /* 1696 */
     26,
     /* XOR8rr */
   },
-  { /* 1660 */
+  { /* 1697 */
     27,
     /* XOR8rr_REV */
   },
-  { /* 1661 */
-    163,
+  { /* 1698 */
+    164,
     /* XRSTOR */
   },
-  { /* 1662 */
-    163,
+  { /* 1699 */
+    164,
     /* XRSTOR64 */
   },
-  { /* 1663 */
-    163,
+  { /* 1700 */
+    164,
+    /* XRSTORS */
+  },
+  { /* 1701 */
+    164,
+    /* XRSTORS64 */
+  },
+  { /* 1702 */
+    164,
     /* XSAVE */
   },
-  { /* 1664 */
-    163,
+  { /* 1703 */
+    164,
     /* XSAVE64 */
   },
-  { /* 1665 */
-    163,
+  { /* 1704 */
+    164,
+    /* XSAVEC */
+  },
+  { /* 1705 */
+    164,
+    /* XSAVEC64 */
+  },
+  { /* 1706 */
+    164,
     /* XSAVEOPT */
   },
-  { /* 1666 */
-    163,
+  { /* 1707 */
+    164,
     /* XSAVEOPT64 */
   },
-  { /* 1667 */
+  { /* 1708 */
+    164,
+    /* XSAVES */
+  },
+  { /* 1709 */
+    164,
+    /* XSAVES64 */
+  },
+  { /* 1710 */
     0,
     /* XSETBV */
   },
-  { /* 1668 */
+  { /* 1711 */
     0,
     /* XSHA1 */
   },
-  { /* 1669 */
+  { /* 1712 */
     0,
     /* XSHA256 */
   },
-  { /* 1670 */
+  { /* 1713 */
     0,
     /* XSTORE */
   }
@@ -9339,22 +9519,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 38 */
   IC_64BIT_XS, /* 39 */
   IC_ADSIZE, /* 40 */
-  IC_64BIT_ADSIZE, /* 41 */
+  IC_64BIT_REXW_ADSIZE, /* 41 */
   IC_XS, /* 42 */
   IC_64BIT_REXW_XS, /* 43 */
   IC_XD, /* 44 */
   IC_64BIT_REXW_XD, /* 45 */
   IC_XS, /* 46 */
   IC_64BIT_REXW_XS, /* 47 */
-  IC_OPSIZE, /* 48 */
-  IC_64BIT_OPSIZE, /* 49 */
+  IC_OPSIZE_ADSIZE, /* 48 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 49 */
   IC_XS_OPSIZE, /* 50 */
   IC_64BIT_XS_OPSIZE, /* 51 */
   IC_XD_OPSIZE, /* 52 */
   IC_64BIT_XD_OPSIZE, /* 53 */
   IC_XS_OPSIZE, /* 54 */
   IC_64BIT_XD_OPSIZE, /* 55 */
-  IC_OPSIZE, /* 56 */
+  IC_OPSIZE_ADSIZE, /* 56 */
   IC_64BIT_REXW_OPSIZE, /* 57 */
   IC_XS_OPSIZE, /* 58 */
   IC_64BIT_REXW_XS, /* 59 */
@@ -9851,22 +10031,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 550 */
   IC_64BIT_XS, /* 551 */
   IC_ADSIZE, /* 552 */
-  IC_64BIT_ADSIZE, /* 553 */
+  IC_64BIT_REXW_ADSIZE, /* 553 */
   IC_XS, /* 554 */
   IC_64BIT_REXW_XS, /* 555 */
   IC_XD, /* 556 */
   IC_64BIT_REXW_XD, /* 557 */
   IC_XS, /* 558 */
   IC_64BIT_REXW_XS, /* 559 */
-  IC_OPSIZE, /* 560 */
-  IC_64BIT_OPSIZE, /* 561 */
+  IC_OPSIZE_ADSIZE, /* 560 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 561 */
   IC_XS_OPSIZE, /* 562 */
   IC_64BIT_XS_OPSIZE, /* 563 */
   IC_XD_OPSIZE, /* 564 */
   IC_64BIT_XD_OPSIZE, /* 565 */
   IC_XS_OPSIZE, /* 566 */
   IC_64BIT_XD_OPSIZE, /* 567 */
-  IC_OPSIZE, /* 568 */
+  IC_OPSIZE_ADSIZE, /* 568 */
   IC_64BIT_REXW_OPSIZE, /* 569 */
   IC_XS_OPSIZE, /* 570 */
   IC_64BIT_REXW_XS, /* 571 */
@@ -10363,22 +10543,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 1062 */
   IC_64BIT_XS, /* 1063 */
   IC_ADSIZE, /* 1064 */
-  IC_64BIT_ADSIZE, /* 1065 */
+  IC_64BIT_REXW_ADSIZE, /* 1065 */
   IC_XS, /* 1066 */
   IC_64BIT_REXW_XS, /* 1067 */
   IC_XD, /* 1068 */
   IC_64BIT_REXW_XD, /* 1069 */
   IC_XS, /* 1070 */
   IC_64BIT_REXW_XS, /* 1071 */
-  IC_OPSIZE, /* 1072 */
-  IC_64BIT_OPSIZE, /* 1073 */
+  IC_OPSIZE_ADSIZE, /* 1072 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 1073 */
   IC_XS_OPSIZE, /* 1074 */
   IC_64BIT_XS_OPSIZE, /* 1075 */
   IC_XD_OPSIZE, /* 1076 */
   IC_64BIT_XD_OPSIZE, /* 1077 */
   IC_XS_OPSIZE, /* 1078 */
   IC_64BIT_XD_OPSIZE, /* 1079 */
-  IC_OPSIZE, /* 1080 */
+  IC_OPSIZE_ADSIZE, /* 1080 */
   IC_64BIT_REXW_OPSIZE, /* 1081 */
   IC_XS_OPSIZE, /* 1082 */
   IC_64BIT_REXW_XS, /* 1083 */
@@ -10875,22 +11055,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 1574 */
   IC_64BIT_XS, /* 1575 */
   IC_ADSIZE, /* 1576 */
-  IC_64BIT_ADSIZE, /* 1577 */
+  IC_64BIT_REXW_ADSIZE, /* 1577 */
   IC_XS, /* 1578 */
   IC_64BIT_REXW_XS, /* 1579 */
   IC_XD, /* 1580 */
   IC_64BIT_REXW_XD, /* 1581 */
   IC_XS, /* 1582 */
   IC_64BIT_REXW_XS, /* 1583 */
-  IC_OPSIZE, /* 1584 */
-  IC_64BIT_OPSIZE, /* 1585 */
+  IC_OPSIZE_ADSIZE, /* 1584 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 1585 */
   IC_XS_OPSIZE, /* 1586 */
   IC_64BIT_XS_OPSIZE, /* 1587 */
   IC_XD_OPSIZE, /* 1588 */
   IC_64BIT_XD_OPSIZE, /* 1589 */
   IC_XS_OPSIZE, /* 1590 */
   IC_64BIT_XD_OPSIZE, /* 1591 */
-  IC_OPSIZE, /* 1592 */
+  IC_OPSIZE_ADSIZE, /* 1592 */
   IC_64BIT_REXW_OPSIZE, /* 1593 */
   IC_XS_OPSIZE, /* 1594 */
   IC_64BIT_REXW_XS, /* 1595 */
@@ -11387,22 +11567,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 2086 */
   IC_64BIT_XS, /* 2087 */
   IC_ADSIZE, /* 2088 */
-  IC_64BIT_ADSIZE, /* 2089 */
+  IC_64BIT_REXW_ADSIZE, /* 2089 */
   IC_XS, /* 2090 */
   IC_64BIT_REXW_XS, /* 2091 */
   IC_XD, /* 2092 */
   IC_64BIT_REXW_XD, /* 2093 */
   IC_XS, /* 2094 */
   IC_64BIT_REXW_XS, /* 2095 */
-  IC_OPSIZE, /* 2096 */
-  IC_64BIT_OPSIZE, /* 2097 */
+  IC_OPSIZE_ADSIZE, /* 2096 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 2097 */
   IC_XS_OPSIZE, /* 2098 */
   IC_64BIT_XS_OPSIZE, /* 2099 */
   IC_XD_OPSIZE, /* 2100 */
   IC_64BIT_XD_OPSIZE, /* 2101 */
   IC_XS_OPSIZE, /* 2102 */
   IC_64BIT_XD_OPSIZE, /* 2103 */
-  IC_OPSIZE, /* 2104 */
+  IC_OPSIZE_ADSIZE, /* 2104 */
   IC_64BIT_REXW_OPSIZE, /* 2105 */
   IC_XS_OPSIZE, /* 2106 */
   IC_64BIT_REXW_XS, /* 2107 */
@@ -11899,22 +12079,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 2598 */
   IC_64BIT_XS, /* 2599 */
   IC_ADSIZE, /* 2600 */
-  IC_64BIT_ADSIZE, /* 2601 */
+  IC_64BIT_REXW_ADSIZE, /* 2601 */
   IC_XS, /* 2602 */
   IC_64BIT_REXW_XS, /* 2603 */
   IC_XD, /* 2604 */
   IC_64BIT_REXW_XD, /* 2605 */
   IC_XS, /* 2606 */
   IC_64BIT_REXW_XS, /* 2607 */
-  IC_OPSIZE, /* 2608 */
-  IC_64BIT_OPSIZE, /* 2609 */
+  IC_OPSIZE_ADSIZE, /* 2608 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 2609 */
   IC_XS_OPSIZE, /* 2610 */
   IC_64BIT_XS_OPSIZE, /* 2611 */
   IC_XD_OPSIZE, /* 2612 */
   IC_64BIT_XD_OPSIZE, /* 2613 */
   IC_XS_OPSIZE, /* 2614 */
   IC_64BIT_XD_OPSIZE, /* 2615 */
-  IC_OPSIZE, /* 2616 */
+  IC_OPSIZE_ADSIZE, /* 2616 */
   IC_64BIT_REXW_OPSIZE, /* 2617 */
   IC_XS_OPSIZE, /* 2618 */
   IC_64BIT_REXW_XS, /* 2619 */
@@ -12411,22 +12591,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 3110 */
   IC_64BIT_XS, /* 3111 */
   IC_ADSIZE, /* 3112 */
-  IC_64BIT_ADSIZE, /* 3113 */
+  IC_64BIT_REXW_ADSIZE, /* 3113 */
   IC_XS, /* 3114 */
   IC_64BIT_REXW_XS, /* 3115 */
   IC_XD, /* 3116 */
   IC_64BIT_REXW_XD, /* 3117 */
   IC_XS, /* 3118 */
   IC_64BIT_REXW_XS, /* 3119 */
-  IC_OPSIZE, /* 3120 */
-  IC_64BIT_OPSIZE, /* 3121 */
+  IC_OPSIZE_ADSIZE, /* 3120 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 3121 */
   IC_XS_OPSIZE, /* 3122 */
   IC_64BIT_XS_OPSIZE, /* 3123 */
   IC_XD_OPSIZE, /* 3124 */
   IC_64BIT_XD_OPSIZE, /* 3125 */
   IC_XS_OPSIZE, /* 3126 */
   IC_64BIT_XD_OPSIZE, /* 3127 */
-  IC_OPSIZE, /* 3128 */
+  IC_OPSIZE_ADSIZE, /* 3128 */
   IC_64BIT_REXW_OPSIZE, /* 3129 */
   IC_XS_OPSIZE, /* 3130 */
   IC_64BIT_REXW_XS, /* 3131 */
@@ -12923,22 +13103,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 3622 */
   IC_64BIT_XS, /* 3623 */
   IC_ADSIZE, /* 3624 */
-  IC_64BIT_ADSIZE, /* 3625 */
+  IC_64BIT_REXW_ADSIZE, /* 3625 */
   IC_XS, /* 3626 */
   IC_64BIT_REXW_XS, /* 3627 */
   IC_XD, /* 3628 */
   IC_64BIT_REXW_XD, /* 3629 */
   IC_XS, /* 3630 */
   IC_64BIT_REXW_XS, /* 3631 */
-  IC_OPSIZE, /* 3632 */
-  IC_64BIT_OPSIZE, /* 3633 */
+  IC_OPSIZE_ADSIZE, /* 3632 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 3633 */
   IC_XS_OPSIZE, /* 3634 */
   IC_64BIT_XS_OPSIZE, /* 3635 */
   IC_XD_OPSIZE, /* 3636 */
   IC_64BIT_XD_OPSIZE, /* 3637 */
   IC_XS_OPSIZE, /* 3638 */
   IC_64BIT_XD_OPSIZE, /* 3639 */
-  IC_OPSIZE, /* 3640 */
+  IC_OPSIZE_ADSIZE, /* 3640 */
   IC_64BIT_REXW_OPSIZE, /* 3641 */
   IC_XS_OPSIZE, /* 3642 */
   IC_64BIT_REXW_XS, /* 3643 */
@@ -13435,22 +13615,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 4134 */
   IC_64BIT_XS, /* 4135 */
   IC_ADSIZE, /* 4136 */
-  IC_64BIT_ADSIZE, /* 4137 */
+  IC_64BIT_REXW_ADSIZE, /* 4137 */
   IC_XS, /* 4138 */
   IC_64BIT_REXW_XS, /* 4139 */
   IC_XD, /* 4140 */
   IC_64BIT_REXW_XD, /* 4141 */
   IC_XS, /* 4142 */
   IC_64BIT_REXW_XS, /* 4143 */
-  IC_OPSIZE, /* 4144 */
-  IC_64BIT_OPSIZE, /* 4145 */
+  IC_OPSIZE_ADSIZE, /* 4144 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 4145 */
   IC_XS_OPSIZE, /* 4146 */
   IC_64BIT_XS_OPSIZE, /* 4147 */
   IC_XD_OPSIZE, /* 4148 */
   IC_64BIT_XD_OPSIZE, /* 4149 */
   IC_XS_OPSIZE, /* 4150 */
   IC_64BIT_XD_OPSIZE, /* 4151 */
-  IC_OPSIZE, /* 4152 */
+  IC_OPSIZE_ADSIZE, /* 4152 */
   IC_64BIT_REXW_OPSIZE, /* 4153 */
   IC_XS_OPSIZE, /* 4154 */
   IC_64BIT_REXW_XS, /* 4155 */
@@ -13947,22 +14127,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 4646 */
   IC_64BIT_XS, /* 4647 */
   IC_ADSIZE, /* 4648 */
-  IC_64BIT_ADSIZE, /* 4649 */
+  IC_64BIT_REXW_ADSIZE, /* 4649 */
   IC_XS, /* 4650 */
   IC_64BIT_REXW_XS, /* 4651 */
   IC_XD, /* 4652 */
   IC_64BIT_REXW_XD, /* 4653 */
   IC_XS, /* 4654 */
   IC_64BIT_REXW_XS, /* 4655 */
-  IC_OPSIZE, /* 4656 */
-  IC_64BIT_OPSIZE, /* 4657 */
+  IC_OPSIZE_ADSIZE, /* 4656 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 4657 */
   IC_XS_OPSIZE, /* 4658 */
   IC_64BIT_XS_OPSIZE, /* 4659 */
   IC_XD_OPSIZE, /* 4660 */
   IC_64BIT_XD_OPSIZE, /* 4661 */
   IC_XS_OPSIZE, /* 4662 */
   IC_64BIT_XD_OPSIZE, /* 4663 */
-  IC_OPSIZE, /* 4664 */
+  IC_OPSIZE_ADSIZE, /* 4664 */
   IC_64BIT_REXW_OPSIZE, /* 4665 */
   IC_XS_OPSIZE, /* 4666 */
   IC_64BIT_REXW_XS, /* 4667 */
@@ -14459,22 +14639,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 5158 */
   IC_64BIT_XS, /* 5159 */
   IC_ADSIZE, /* 5160 */
-  IC_64BIT_ADSIZE, /* 5161 */
+  IC_64BIT_REXW_ADSIZE, /* 5161 */
   IC_XS, /* 5162 */
   IC_64BIT_REXW_XS, /* 5163 */
   IC_XD, /* 5164 */
   IC_64BIT_REXW_XD, /* 5165 */
   IC_XS, /* 5166 */
   IC_64BIT_REXW_XS, /* 5167 */
-  IC_OPSIZE, /* 5168 */
-  IC_64BIT_OPSIZE, /* 5169 */
+  IC_OPSIZE_ADSIZE, /* 5168 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 5169 */
   IC_XS_OPSIZE, /* 5170 */
   IC_64BIT_XS_OPSIZE, /* 5171 */
   IC_XD_OPSIZE, /* 5172 */
   IC_64BIT_XD_OPSIZE, /* 5173 */
   IC_XS_OPSIZE, /* 5174 */
   IC_64BIT_XD_OPSIZE, /* 5175 */
-  IC_OPSIZE, /* 5176 */
+  IC_OPSIZE_ADSIZE, /* 5176 */
   IC_64BIT_REXW_OPSIZE, /* 5177 */
   IC_XS_OPSIZE, /* 5178 */
   IC_64BIT_REXW_XS, /* 5179 */
@@ -14971,22 +15151,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 5670 */
   IC_64BIT_XS, /* 5671 */
   IC_ADSIZE, /* 5672 */
-  IC_64BIT_ADSIZE, /* 5673 */
+  IC_64BIT_REXW_ADSIZE, /* 5673 */
   IC_XS, /* 5674 */
   IC_64BIT_REXW_XS, /* 5675 */
   IC_XD, /* 5676 */
   IC_64BIT_REXW_XD, /* 5677 */
   IC_XS, /* 5678 */
   IC_64BIT_REXW_XS, /* 5679 */
-  IC_OPSIZE, /* 5680 */
-  IC_64BIT_OPSIZE, /* 5681 */
+  IC_OPSIZE_ADSIZE, /* 5680 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 5681 */
   IC_XS_OPSIZE, /* 5682 */
   IC_64BIT_XS_OPSIZE, /* 5683 */
   IC_XD_OPSIZE, /* 5684 */
   IC_64BIT_XD_OPSIZE, /* 5685 */
   IC_XS_OPSIZE, /* 5686 */
   IC_64BIT_XD_OPSIZE, /* 5687 */
-  IC_OPSIZE, /* 5688 */
+  IC_OPSIZE_ADSIZE, /* 5688 */
   IC_64BIT_REXW_OPSIZE, /* 5689 */
   IC_XS_OPSIZE, /* 5690 */
   IC_64BIT_REXW_XS, /* 5691 */
@@ -15483,22 +15663,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 6182 */
   IC_64BIT_XS, /* 6183 */
   IC_ADSIZE, /* 6184 */
-  IC_64BIT_ADSIZE, /* 6185 */
+  IC_64BIT_REXW_ADSIZE, /* 6185 */
   IC_XS, /* 6186 */
   IC_64BIT_REXW_XS, /* 6187 */
   IC_XD, /* 6188 */
   IC_64BIT_REXW_XD, /* 6189 */
   IC_XS, /* 6190 */
   IC_64BIT_REXW_XS, /* 6191 */
-  IC_OPSIZE, /* 6192 */
-  IC_64BIT_OPSIZE, /* 6193 */
+  IC_OPSIZE_ADSIZE, /* 6192 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 6193 */
   IC_XS_OPSIZE, /* 6194 */
   IC_64BIT_XS_OPSIZE, /* 6195 */
   IC_XD_OPSIZE, /* 6196 */
   IC_64BIT_XD_OPSIZE, /* 6197 */
   IC_XS_OPSIZE, /* 6198 */
   IC_64BIT_XD_OPSIZE, /* 6199 */
-  IC_OPSIZE, /* 6200 */
+  IC_OPSIZE_ADSIZE, /* 6200 */
   IC_64BIT_REXW_OPSIZE, /* 6201 */
   IC_XS_OPSIZE, /* 6202 */
   IC_64BIT_REXW_XS, /* 6203 */
@@ -15995,22 +16175,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 6694 */
   IC_64BIT_XS, /* 6695 */
   IC_ADSIZE, /* 6696 */
-  IC_64BIT_ADSIZE, /* 6697 */
+  IC_64BIT_REXW_ADSIZE, /* 6697 */
   IC_XS, /* 6698 */
   IC_64BIT_REXW_XS, /* 6699 */
   IC_XD, /* 6700 */
   IC_64BIT_REXW_XD, /* 6701 */
   IC_XS, /* 6702 */
   IC_64BIT_REXW_XS, /* 6703 */
-  IC_OPSIZE, /* 6704 */
-  IC_64BIT_OPSIZE, /* 6705 */
+  IC_OPSIZE_ADSIZE, /* 6704 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 6705 */
   IC_XS_OPSIZE, /* 6706 */
   IC_64BIT_XS_OPSIZE, /* 6707 */
   IC_XD_OPSIZE, /* 6708 */
   IC_64BIT_XD_OPSIZE, /* 6709 */
   IC_XS_OPSIZE, /* 6710 */
   IC_64BIT_XD_OPSIZE, /* 6711 */
-  IC_OPSIZE, /* 6712 */
+  IC_OPSIZE_ADSIZE, /* 6712 */
   IC_64BIT_REXW_OPSIZE, /* 6713 */
   IC_XS_OPSIZE, /* 6714 */
   IC_64BIT_REXW_XS, /* 6715 */
@@ -16507,22 +16687,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 7206 */
   IC_64BIT_XS, /* 7207 */
   IC_ADSIZE, /* 7208 */
-  IC_64BIT_ADSIZE, /* 7209 */
+  IC_64BIT_REXW_ADSIZE, /* 7209 */
   IC_XS, /* 7210 */
   IC_64BIT_REXW_XS, /* 7211 */
   IC_XD, /* 7212 */
   IC_64BIT_REXW_XD, /* 7213 */
   IC_XS, /* 7214 */
   IC_64BIT_REXW_XS, /* 7215 */
-  IC_OPSIZE, /* 7216 */
-  IC_64BIT_OPSIZE, /* 7217 */
+  IC_OPSIZE_ADSIZE, /* 7216 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 7217 */
   IC_XS_OPSIZE, /* 7218 */
   IC_64BIT_XS_OPSIZE, /* 7219 */
   IC_XD_OPSIZE, /* 7220 */
   IC_64BIT_XD_OPSIZE, /* 7221 */
   IC_XS_OPSIZE, /* 7222 */
   IC_64BIT_XD_OPSIZE, /* 7223 */
-  IC_OPSIZE, /* 7224 */
+  IC_OPSIZE_ADSIZE, /* 7224 */
   IC_64BIT_REXW_OPSIZE, /* 7225 */
   IC_XS_OPSIZE, /* 7226 */
   IC_64BIT_REXW_XS, /* 7227 */
@@ -17019,22 +17199,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 7718 */
   IC_64BIT_XS, /* 7719 */
   IC_ADSIZE, /* 7720 */
-  IC_64BIT_ADSIZE, /* 7721 */
+  IC_64BIT_REXW_ADSIZE, /* 7721 */
   IC_XS, /* 7722 */
   IC_64BIT_REXW_XS, /* 7723 */
   IC_XD, /* 7724 */
   IC_64BIT_REXW_XD, /* 7725 */
   IC_XS, /* 7726 */
   IC_64BIT_REXW_XS, /* 7727 */
-  IC_OPSIZE, /* 7728 */
-  IC_64BIT_OPSIZE, /* 7729 */
+  IC_OPSIZE_ADSIZE, /* 7728 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 7729 */
   IC_XS_OPSIZE, /* 7730 */
   IC_64BIT_XS_OPSIZE, /* 7731 */
   IC_XD_OPSIZE, /* 7732 */
   IC_64BIT_XD_OPSIZE, /* 7733 */
   IC_XS_OPSIZE, /* 7734 */
   IC_64BIT_XD_OPSIZE, /* 7735 */
-  IC_OPSIZE, /* 7736 */
+  IC_OPSIZE_ADSIZE, /* 7736 */
   IC_64BIT_REXW_OPSIZE, /* 7737 */
   IC_XS_OPSIZE, /* 7738 */
   IC_64BIT_REXW_XS, /* 7739 */
@@ -17531,22 +17711,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 8230 */
   IC_64BIT_XS, /* 8231 */
   IC_ADSIZE, /* 8232 */
-  IC_64BIT_ADSIZE, /* 8233 */
+  IC_64BIT_REXW_ADSIZE, /* 8233 */
   IC_XS, /* 8234 */
   IC_64BIT_REXW_XS, /* 8235 */
   IC_XD, /* 8236 */
   IC_64BIT_REXW_XD, /* 8237 */
   IC_XS, /* 8238 */
   IC_64BIT_REXW_XS, /* 8239 */
-  IC_OPSIZE, /* 8240 */
-  IC_64BIT_OPSIZE, /* 8241 */
+  IC_OPSIZE_ADSIZE, /* 8240 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 8241 */
   IC_XS_OPSIZE, /* 8242 */
   IC_64BIT_XS_OPSIZE, /* 8243 */
   IC_XD_OPSIZE, /* 8244 */
   IC_64BIT_XD_OPSIZE, /* 8245 */
   IC_XS_OPSIZE, /* 8246 */
   IC_64BIT_XD_OPSIZE, /* 8247 */
-  IC_OPSIZE, /* 8248 */
+  IC_OPSIZE_ADSIZE, /* 8248 */
   IC_64BIT_REXW_OPSIZE, /* 8249 */
   IC_XS_OPSIZE, /* 8250 */
   IC_64BIT_REXW_XS, /* 8251 */
@@ -18043,22 +18223,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 8742 */
   IC_64BIT_XS, /* 8743 */
   IC_ADSIZE, /* 8744 */
-  IC_64BIT_ADSIZE, /* 8745 */
+  IC_64BIT_REXW_ADSIZE, /* 8745 */
   IC_XS, /* 8746 */
   IC_64BIT_REXW_XS, /* 8747 */
   IC_XD, /* 8748 */
   IC_64BIT_REXW_XD, /* 8749 */
   IC_XS, /* 8750 */
   IC_64BIT_REXW_XS, /* 8751 */
-  IC_OPSIZE, /* 8752 */
-  IC_64BIT_OPSIZE, /* 8753 */
+  IC_OPSIZE_ADSIZE, /* 8752 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 8753 */
   IC_XS_OPSIZE, /* 8754 */
   IC_64BIT_XS_OPSIZE, /* 8755 */
   IC_XD_OPSIZE, /* 8756 */
   IC_64BIT_XD_OPSIZE, /* 8757 */
   IC_XS_OPSIZE, /* 8758 */
   IC_64BIT_XD_OPSIZE, /* 8759 */
-  IC_OPSIZE, /* 8760 */
+  IC_OPSIZE_ADSIZE, /* 8760 */
   IC_64BIT_REXW_OPSIZE, /* 8761 */
   IC_XS_OPSIZE, /* 8762 */
   IC_64BIT_REXW_XS, /* 8763 */
@@ -18555,22 +18735,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 9254 */
   IC_64BIT_XS, /* 9255 */
   IC_ADSIZE, /* 9256 */
-  IC_64BIT_ADSIZE, /* 9257 */
+  IC_64BIT_REXW_ADSIZE, /* 9257 */
   IC_XS, /* 9258 */
   IC_64BIT_REXW_XS, /* 9259 */
   IC_XD, /* 9260 */
   IC_64BIT_REXW_XD, /* 9261 */
   IC_XS, /* 9262 */
   IC_64BIT_REXW_XS, /* 9263 */
-  IC_OPSIZE, /* 9264 */
-  IC_64BIT_OPSIZE, /* 9265 */
+  IC_OPSIZE_ADSIZE, /* 9264 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 9265 */
   IC_XS_OPSIZE, /* 9266 */
   IC_64BIT_XS_OPSIZE, /* 9267 */
   IC_XD_OPSIZE, /* 9268 */
   IC_64BIT_XD_OPSIZE, /* 9269 */
   IC_XS_OPSIZE, /* 9270 */
   IC_64BIT_XD_OPSIZE, /* 9271 */
-  IC_OPSIZE, /* 9272 */
+  IC_OPSIZE_ADSIZE, /* 9272 */
   IC_64BIT_REXW_OPSIZE, /* 9273 */
   IC_XS_OPSIZE, /* 9274 */
   IC_64BIT_REXW_XS, /* 9275 */
@@ -19067,22 +19247,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 9766 */
   IC_64BIT_XS, /* 9767 */
   IC_ADSIZE, /* 9768 */
-  IC_64BIT_ADSIZE, /* 9769 */
+  IC_64BIT_REXW_ADSIZE, /* 9769 */
   IC_XS, /* 9770 */
   IC_64BIT_REXW_XS, /* 9771 */
   IC_XD, /* 9772 */
   IC_64BIT_REXW_XD, /* 9773 */
   IC_XS, /* 9774 */
   IC_64BIT_REXW_XS, /* 9775 */
-  IC_OPSIZE, /* 9776 */
-  IC_64BIT_OPSIZE, /* 9777 */
+  IC_OPSIZE_ADSIZE, /* 9776 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 9777 */
   IC_XS_OPSIZE, /* 9778 */
   IC_64BIT_XS_OPSIZE, /* 9779 */
   IC_XD_OPSIZE, /* 9780 */
   IC_64BIT_XD_OPSIZE, /* 9781 */
   IC_XS_OPSIZE, /* 9782 */
   IC_64BIT_XD_OPSIZE, /* 9783 */
-  IC_OPSIZE, /* 9784 */
+  IC_OPSIZE_ADSIZE, /* 9784 */
   IC_64BIT_REXW_OPSIZE, /* 9785 */
   IC_XS_OPSIZE, /* 9786 */
   IC_64BIT_REXW_XS, /* 9787 */
@@ -19579,22 +19759,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 10278 */
   IC_64BIT_XS, /* 10279 */
   IC_ADSIZE, /* 10280 */
-  IC_64BIT_ADSIZE, /* 10281 */
+  IC_64BIT_REXW_ADSIZE, /* 10281 */
   IC_XS, /* 10282 */
   IC_64BIT_REXW_XS, /* 10283 */
   IC_XD, /* 10284 */
   IC_64BIT_REXW_XD, /* 10285 */
   IC_XS, /* 10286 */
   IC_64BIT_REXW_XS, /* 10287 */
-  IC_OPSIZE, /* 10288 */
-  IC_64BIT_OPSIZE, /* 10289 */
+  IC_OPSIZE_ADSIZE, /* 10288 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 10289 */
   IC_XS_OPSIZE, /* 10290 */
   IC_64BIT_XS_OPSIZE, /* 10291 */
   IC_XD_OPSIZE, /* 10292 */
   IC_64BIT_XD_OPSIZE, /* 10293 */
   IC_XS_OPSIZE, /* 10294 */
   IC_64BIT_XD_OPSIZE, /* 10295 */
-  IC_OPSIZE, /* 10296 */
+  IC_OPSIZE_ADSIZE, /* 10296 */
   IC_64BIT_REXW_OPSIZE, /* 10297 */
   IC_XS_OPSIZE, /* 10298 */
   IC_64BIT_REXW_XS, /* 10299 */
@@ -20091,22 +20271,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 10790 */
   IC_64BIT_XS, /* 10791 */
   IC_ADSIZE, /* 10792 */
-  IC_64BIT_ADSIZE, /* 10793 */
+  IC_64BIT_REXW_ADSIZE, /* 10793 */
   IC_XS, /* 10794 */
   IC_64BIT_REXW_XS, /* 10795 */
   IC_XD, /* 10796 */
   IC_64BIT_REXW_XD, /* 10797 */
   IC_XS, /* 10798 */
   IC_64BIT_REXW_XS, /* 10799 */
-  IC_OPSIZE, /* 10800 */
-  IC_64BIT_OPSIZE, /* 10801 */
+  IC_OPSIZE_ADSIZE, /* 10800 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 10801 */
   IC_XS_OPSIZE, /* 10802 */
   IC_64BIT_XS_OPSIZE, /* 10803 */
   IC_XD_OPSIZE, /* 10804 */
   IC_64BIT_XD_OPSIZE, /* 10805 */
   IC_XS_OPSIZE, /* 10806 */
   IC_64BIT_XD_OPSIZE, /* 10807 */
-  IC_OPSIZE, /* 10808 */
+  IC_OPSIZE_ADSIZE, /* 10808 */
   IC_64BIT_REXW_OPSIZE, /* 10809 */
   IC_XS_OPSIZE, /* 10810 */
   IC_64BIT_REXW_XS, /* 10811 */
@@ -20603,22 +20783,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 11302 */
   IC_64BIT_XS, /* 11303 */
   IC_ADSIZE, /* 11304 */
-  IC_64BIT_ADSIZE, /* 11305 */
+  IC_64BIT_REXW_ADSIZE, /* 11305 */
   IC_XS, /* 11306 */
   IC_64BIT_REXW_XS, /* 11307 */
   IC_XD, /* 11308 */
   IC_64BIT_REXW_XD, /* 11309 */
   IC_XS, /* 11310 */
   IC_64BIT_REXW_XS, /* 11311 */
-  IC_OPSIZE, /* 11312 */
-  IC_64BIT_OPSIZE, /* 11313 */
+  IC_OPSIZE_ADSIZE, /* 11312 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 11313 */
   IC_XS_OPSIZE, /* 11314 */
   IC_64BIT_XS_OPSIZE, /* 11315 */
   IC_XD_OPSIZE, /* 11316 */
   IC_64BIT_XD_OPSIZE, /* 11317 */
   IC_XS_OPSIZE, /* 11318 */
   IC_64BIT_XD_OPSIZE, /* 11319 */
-  IC_OPSIZE, /* 11320 */
+  IC_OPSIZE_ADSIZE, /* 11320 */
   IC_64BIT_REXW_OPSIZE, /* 11321 */
   IC_XS_OPSIZE, /* 11322 */
   IC_64BIT_REXW_XS, /* 11323 */
@@ -21115,22 +21295,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 11814 */
   IC_64BIT_XS, /* 11815 */
   IC_ADSIZE, /* 11816 */
-  IC_64BIT_ADSIZE, /* 11817 */
+  IC_64BIT_REXW_ADSIZE, /* 11817 */
   IC_XS, /* 11818 */
   IC_64BIT_REXW_XS, /* 11819 */
   IC_XD, /* 11820 */
   IC_64BIT_REXW_XD, /* 11821 */
   IC_XS, /* 11822 */
   IC_64BIT_REXW_XS, /* 11823 */
-  IC_OPSIZE, /* 11824 */
-  IC_64BIT_OPSIZE, /* 11825 */
+  IC_OPSIZE_ADSIZE, /* 11824 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 11825 */
   IC_XS_OPSIZE, /* 11826 */
   IC_64BIT_XS_OPSIZE, /* 11827 */
   IC_XD_OPSIZE, /* 11828 */
   IC_64BIT_XD_OPSIZE, /* 11829 */
   IC_XS_OPSIZE, /* 11830 */
   IC_64BIT_XD_OPSIZE, /* 11831 */
-  IC_OPSIZE, /* 11832 */
+  IC_OPSIZE_ADSIZE, /* 11832 */
   IC_64BIT_REXW_OPSIZE, /* 11833 */
   IC_XS_OPSIZE, /* 11834 */
   IC_64BIT_REXW_XS, /* 11835 */
@@ -21627,22 +21807,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 12326 */
   IC_64BIT_XS, /* 12327 */
   IC_ADSIZE, /* 12328 */
-  IC_64BIT_ADSIZE, /* 12329 */
+  IC_64BIT_REXW_ADSIZE, /* 12329 */
   IC_XS, /* 12330 */
   IC_64BIT_REXW_XS, /* 12331 */
   IC_XD, /* 12332 */
   IC_64BIT_REXW_XD, /* 12333 */
   IC_XS, /* 12334 */
   IC_64BIT_REXW_XS, /* 12335 */
-  IC_OPSIZE, /* 12336 */
-  IC_64BIT_OPSIZE, /* 12337 */
+  IC_OPSIZE_ADSIZE, /* 12336 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 12337 */
   IC_XS_OPSIZE, /* 12338 */
   IC_64BIT_XS_OPSIZE, /* 12339 */
   IC_XD_OPSIZE, /* 12340 */
   IC_64BIT_XD_OPSIZE, /* 12341 */
   IC_XS_OPSIZE, /* 12342 */
   IC_64BIT_XD_OPSIZE, /* 12343 */
-  IC_OPSIZE, /* 12344 */
+  IC_OPSIZE_ADSIZE, /* 12344 */
   IC_64BIT_REXW_OPSIZE, /* 12345 */
   IC_XS_OPSIZE, /* 12346 */
   IC_64BIT_REXW_XS, /* 12347 */
@@ -22139,22 +22319,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 12838 */
   IC_64BIT_XS, /* 12839 */
   IC_ADSIZE, /* 12840 */
-  IC_64BIT_ADSIZE, /* 12841 */
+  IC_64BIT_REXW_ADSIZE, /* 12841 */
   IC_XS, /* 12842 */
   IC_64BIT_REXW_XS, /* 12843 */
   IC_XD, /* 12844 */
   IC_64BIT_REXW_XD, /* 12845 */
   IC_XS, /* 12846 */
   IC_64BIT_REXW_XS, /* 12847 */
-  IC_OPSIZE, /* 12848 */
-  IC_64BIT_OPSIZE, /* 12849 */
+  IC_OPSIZE_ADSIZE, /* 12848 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 12849 */
   IC_XS_OPSIZE, /* 12850 */
   IC_64BIT_XS_OPSIZE, /* 12851 */
   IC_XD_OPSIZE, /* 12852 */
   IC_64BIT_XD_OPSIZE, /* 12853 */
   IC_XS_OPSIZE, /* 12854 */
   IC_64BIT_XD_OPSIZE, /* 12855 */
-  IC_OPSIZE, /* 12856 */
+  IC_OPSIZE_ADSIZE, /* 12856 */
   IC_64BIT_REXW_OPSIZE, /* 12857 */
   IC_XS_OPSIZE, /* 12858 */
   IC_64BIT_REXW_XS, /* 12859 */
@@ -22651,22 +22831,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 13350 */
   IC_64BIT_XS, /* 13351 */
   IC_ADSIZE, /* 13352 */
-  IC_64BIT_ADSIZE, /* 13353 */
+  IC_64BIT_REXW_ADSIZE, /* 13353 */
   IC_XS, /* 13354 */
   IC_64BIT_REXW_XS, /* 13355 */
   IC_XD, /* 13356 */
   IC_64BIT_REXW_XD, /* 13357 */
   IC_XS, /* 13358 */
   IC_64BIT_REXW_XS, /* 13359 */
-  IC_OPSIZE, /* 13360 */
-  IC_64BIT_OPSIZE, /* 13361 */
+  IC_OPSIZE_ADSIZE, /* 13360 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 13361 */
   IC_XS_OPSIZE, /* 13362 */
   IC_64BIT_XS_OPSIZE, /* 13363 */
   IC_XD_OPSIZE, /* 13364 */
   IC_64BIT_XD_OPSIZE, /* 13365 */
   IC_XS_OPSIZE, /* 13366 */
   IC_64BIT_XD_OPSIZE, /* 13367 */
-  IC_OPSIZE, /* 13368 */
+  IC_OPSIZE_ADSIZE, /* 13368 */
   IC_64BIT_REXW_OPSIZE, /* 13369 */
   IC_XS_OPSIZE, /* 13370 */
   IC_64BIT_REXW_XS, /* 13371 */
@@ -23163,22 +23343,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 13862 */
   IC_64BIT_XS, /* 13863 */
   IC_ADSIZE, /* 13864 */
-  IC_64BIT_ADSIZE, /* 13865 */
+  IC_64BIT_REXW_ADSIZE, /* 13865 */
   IC_XS, /* 13866 */
   IC_64BIT_REXW_XS, /* 13867 */
   IC_XD, /* 13868 */
   IC_64BIT_REXW_XD, /* 13869 */
   IC_XS, /* 13870 */
   IC_64BIT_REXW_XS, /* 13871 */
-  IC_OPSIZE, /* 13872 */
-  IC_64BIT_OPSIZE, /* 13873 */
+  IC_OPSIZE_ADSIZE, /* 13872 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 13873 */
   IC_XS_OPSIZE, /* 13874 */
   IC_64BIT_XS_OPSIZE, /* 13875 */
   IC_XD_OPSIZE, /* 13876 */
   IC_64BIT_XD_OPSIZE, /* 13877 */
   IC_XS_OPSIZE, /* 13878 */
   IC_64BIT_XD_OPSIZE, /* 13879 */
-  IC_OPSIZE, /* 13880 */
+  IC_OPSIZE_ADSIZE, /* 13880 */
   IC_64BIT_REXW_OPSIZE, /* 13881 */
   IC_XS_OPSIZE, /* 13882 */
   IC_64BIT_REXW_XS, /* 13883 */
@@ -23675,22 +23855,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 14374 */
   IC_64BIT_XS, /* 14375 */
   IC_ADSIZE, /* 14376 */
-  IC_64BIT_ADSIZE, /* 14377 */
+  IC_64BIT_REXW_ADSIZE, /* 14377 */
   IC_XS, /* 14378 */
   IC_64BIT_REXW_XS, /* 14379 */
   IC_XD, /* 14380 */
   IC_64BIT_REXW_XD, /* 14381 */
   IC_XS, /* 14382 */
   IC_64BIT_REXW_XS, /* 14383 */
-  IC_OPSIZE, /* 14384 */
-  IC_64BIT_OPSIZE, /* 14385 */
+  IC_OPSIZE_ADSIZE, /* 14384 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 14385 */
   IC_XS_OPSIZE, /* 14386 */
   IC_64BIT_XS_OPSIZE, /* 14387 */
   IC_XD_OPSIZE, /* 14388 */
   IC_64BIT_XD_OPSIZE, /* 14389 */
   IC_XS_OPSIZE, /* 14390 */
   IC_64BIT_XD_OPSIZE, /* 14391 */
-  IC_OPSIZE, /* 14392 */
+  IC_OPSIZE_ADSIZE, /* 14392 */
   IC_64BIT_REXW_OPSIZE, /* 14393 */
   IC_XS_OPSIZE, /* 14394 */
   IC_64BIT_REXW_XS, /* 14395 */
@@ -24187,22 +24367,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 14886 */
   IC_64BIT_XS, /* 14887 */
   IC_ADSIZE, /* 14888 */
-  IC_64BIT_ADSIZE, /* 14889 */
+  IC_64BIT_REXW_ADSIZE, /* 14889 */
   IC_XS, /* 14890 */
   IC_64BIT_REXW_XS, /* 14891 */
   IC_XD, /* 14892 */
   IC_64BIT_REXW_XD, /* 14893 */
   IC_XS, /* 14894 */
   IC_64BIT_REXW_XS, /* 14895 */
-  IC_OPSIZE, /* 14896 */
-  IC_64BIT_OPSIZE, /* 14897 */
+  IC_OPSIZE_ADSIZE, /* 14896 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 14897 */
   IC_XS_OPSIZE, /* 14898 */
   IC_64BIT_XS_OPSIZE, /* 14899 */
   IC_XD_OPSIZE, /* 14900 */
   IC_64BIT_XD_OPSIZE, /* 14901 */
   IC_XS_OPSIZE, /* 14902 */
   IC_64BIT_XD_OPSIZE, /* 14903 */
-  IC_OPSIZE, /* 14904 */
+  IC_OPSIZE_ADSIZE, /* 14904 */
   IC_64BIT_REXW_OPSIZE, /* 14905 */
   IC_XS_OPSIZE, /* 14906 */
   IC_64BIT_REXW_XS, /* 14907 */
@@ -24699,22 +24879,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 15398 */
   IC_64BIT_XS, /* 15399 */
   IC_ADSIZE, /* 15400 */
-  IC_64BIT_ADSIZE, /* 15401 */
+  IC_64BIT_REXW_ADSIZE, /* 15401 */
   IC_XS, /* 15402 */
   IC_64BIT_REXW_XS, /* 15403 */
   IC_XD, /* 15404 */
   IC_64BIT_REXW_XD, /* 15405 */
   IC_XS, /* 15406 */
   IC_64BIT_REXW_XS, /* 15407 */
-  IC_OPSIZE, /* 15408 */
-  IC_64BIT_OPSIZE, /* 15409 */
+  IC_OPSIZE_ADSIZE, /* 15408 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 15409 */
   IC_XS_OPSIZE, /* 15410 */
   IC_64BIT_XS_OPSIZE, /* 15411 */
   IC_XD_OPSIZE, /* 15412 */
   IC_64BIT_XD_OPSIZE, /* 15413 */
   IC_XS_OPSIZE, /* 15414 */
   IC_64BIT_XD_OPSIZE, /* 15415 */
-  IC_OPSIZE, /* 15416 */
+  IC_OPSIZE_ADSIZE, /* 15416 */
   IC_64BIT_REXW_OPSIZE, /* 15417 */
   IC_XS_OPSIZE, /* 15418 */
   IC_64BIT_REXW_XS, /* 15419 */
@@ -25211,22 +25391,22 @@ static const uint8_t x86DisassemblerCont
   IC_XS, /* 15910 */
   IC_64BIT_XS, /* 15911 */
   IC_ADSIZE, /* 15912 */
-  IC_64BIT_ADSIZE, /* 15913 */
+  IC_64BIT_REXW_ADSIZE, /* 15913 */
   IC_XS, /* 15914 */
   IC_64BIT_REXW_XS, /* 15915 */
   IC_XD, /* 15916 */
   IC_64BIT_REXW_XD, /* 15917 */
   IC_XS, /* 15918 */
   IC_64BIT_REXW_XS, /* 15919 */
-  IC_OPSIZE, /* 15920 */
-  IC_64BIT_OPSIZE, /* 15921 */
+  IC_OPSIZE_ADSIZE, /* 15920 */
+  IC_64BIT_OPSIZE_ADSIZE, /* 15921 */
   IC_XS_OPSIZE, /* 15922 */
   IC_64BIT_XS_OPSIZE, /* 15923 */
   IC_XD_OPSIZE, /* 15924 */
   IC_64BIT_XD_OPSIZE, /* 15925 */
   IC_XS_OPSIZE, /* 15926 */
   IC_64BIT_XD_OPSIZE, /* 15927 */
-  IC_OPSIZE, /* 15928 */
+  IC_OPSIZE_ADSIZE, /* 15928 */
   IC_64BIT_REXW_OPSIZE, /* 15929 */
   IC_XS_OPSIZE, /* 15930 */
   IC_64BIT_REXW_XS, /* 15931 */
@@ -25688,209 +25868,209 @@ static const InstrUID modRMTable[] = {
 /* EmptyTable */
   0x0,
 /* Table1 */
-  0x68, /* ADD8mr */
-  0x6c, /* ADD8rr */
+  0x6d, /* ADD8mr */
+  0x71, /* ADD8rr */
 /* Table3 */
-  0x51, /* ADD32mr */
-  0x57, /* ADD32rr */
+  0x55, /* ADD32mr */
+  0x5b, /* ADD32rr */
 /* Table5 */
-  0x6b, /* ADD8rm */
-  0x6d, /* ADD8rr_REV */
+  0x70, /* ADD8rm */
+  0x72, /* ADD8rr_REV */
 /* Table7 */
-  0x56, /* ADD32rm */
-  0x59, /* ADD32rr_REV */
+  0x5a, /* ADD32rm */
+  0x5d, /* ADD32rr_REV */
 /* Table9 */
-  0x66, /* ADD8i8 */
+  0x6a, /* ADD8i8 */
 /* Table10 */
-  0x4e, /* ADD32i32 */
+  0x52, /* ADD32i32 */
 /* Table11 */
-  0x41b, /* PUSHES32 */
+  0x422, /* PUSHES32 */
 /* Table12 */
-  0x3fa, /* POPES32 */
+  0x401, /* POPES32 */
 /* Table13 */
-  0x3d5, /* OR8mr */
-  0x3d9, /* OR8rr */
+  0x3db, /* OR8mr */
+  0x3df, /* OR8rr */
 /* Table15 */
-  0x3c3, /* OR32mr */
-  0x3c8, /* OR32rr */
+  0x3c8, /* OR32mr */
+  0x3cd, /* OR32rr */
 /* Table17 */
-  0x3d8, /* OR8rm */
-  0x3da, /* OR8rr_REV */
+  0x3de, /* OR8rm */
+  0x3e0, /* OR8rr_REV */
 /* Table19 */
-  0x3c7, /* OR32rm */
-  0x3c9, /* OR32rr_REV */
+  0x3cc, /* OR32rm */
+  0x3ce, /* OR32rr_REV */
 /* Table21 */
-  0x3d3, /* OR8i8 */
+  0x3d8, /* OR8i8 */
 /* Table22 */
-  0x3c0, /* OR32i32 */
+  0x3c5, /* OR32i32 */
 /* Table23 */
-  0x417, /* PUSHCS32 */
+  0x41e, /* PUSHCS32 */
 /* Table24 */
-  0x39, /* ADC8mr */
-  0x3c, /* ADC8rr */
+  0x3c, /* ADC8mr */
+  0x40, /* ADC8rr */
 /* Table26 */
-  0x28, /* ADC32mr */
-  0x2c, /* ADC32rr */
+  0x2a, /* ADC32mr */
+  0x2e, /* ADC32rr */
 /* Table28 */
-  0x3b, /* ADC8rm */
-  0x3d, /* ADC8rr_REV */
+  0x3f, /* ADC8rm */
+  0x41, /* ADC8rr_REV */
 /* Table30 */
-  0x2b, /* ADC32rm */
-  0x2d, /* ADC32rr_REV */
+  0x2d, /* ADC32rm */
+  0x2f, /* ADC32rr_REV */
 /* Table32 */
-  0x37, /* ADC8i8 */
+  0x39, /* ADC8i8 */
 /* Table33 */
-  0x25, /* ADC32i32 */
+  0x27, /* ADC32i32 */
 /* Table34 */
-  0x426, /* PUSHSS32 */
+  0x42d, /* PUSHSS32 */
 /* Table35 */
-  0x405, /* POPSS32 */
+  0x40c, /* POPSS32 */
 /* Table36 */
-  0x50a, /* SBB8mr */
-  0x50d, /* SBB8rr */
+  0x52a, /* SBB8mr */
+  0x52e, /* SBB8rr */
 /* Table38 */
-  0x4f9, /* SBB32mr */
-  0x4fd, /* SBB32rr */
+  0x518, /* SBB32mr */
+  0x51c, /* SBB32rr */
 /* Table40 */
-  0x50c, /* SBB8rm */
-  0x50e, /* SBB8rr_REV */
+  0x52d, /* SBB8rm */
+  0x52f, /* SBB8rr_REV */
 /* Table42 */
-  0x4fc, /* SBB32rm */
-  0x4fe, /* SBB32rr_REV */
+  0x51b, /* SBB32rm */
+  0x51d, /* SBB32rr_REV */
 /* Table44 */
-  0x508, /* SBB8i8 */
+  0x527, /* SBB8i8 */
 /* Table45 */
-  0x4f6, /* SBB32i32 */
+  0x515, /* SBB32i32 */
 /* Table46 */
-  0x419, /* PUSHDS32 */
+  0x420, /* PUSHDS32 */
 /* Table47 */
-  0x3f8, /* POPDS32 */
+  0x3ff, /* POPDS32 */
 /* Table48 */
-  0x93, /* AND8mr */
-  0x97, /* AND8rr */
+  0x99, /* AND8mr */
+  0x9d, /* AND8rr */
 /* Table50 */
-  0x82, /* AND32mr */
-  0x86, /* AND32rr */
+  0x87, /* AND32mr */
+  0x8b, /* AND32rr */
 /* Table52 */
-  0x96, /* AND8rm */
-  0x98, /* AND8rr_REV */
+  0x9c, /* AND8rm */
+  0x9e, /* AND8rr_REV */
 /* Table54 */
-  0x85, /* AND32rm */
-  0x87, /* AND32rr_REV */
+  0x8a, /* AND32rm */
+  0x8c, /* AND32rr_REV */
 /* Table56 */
-  0x91, /* AND8i8 */
+  0x96, /* AND8i8 */
 /* Table57 */
-  0x7f, /* AND32i32 */
+  0x84, /* AND32i32 */
 /* Table58 */
-  0x1cc, /* DAA */
+  0x1d5, /* DAA */
 /* Table59 */
-  0x5cb, /* SUB8mr */
-  0x5cf, /* SUB8rr */
+  0x5ed, /* SUB8mr */
+  0x5f1, /* SUB8rr */
 /* Table61 */
-  0x5ba, /* SUB32mr */
-  0x5be, /* SUB32rr */
+  0x5db, /* SUB32mr */
+  0x5df, /* SUB32rr */
 /* Table63 */
-  0x5ce, /* SUB8rm */
-  0x5d0, /* SUB8rr_REV */
+  0x5f0, /* SUB8rm */
+  0x5f2, /* SUB8rr_REV */
 /* Table65 */
-  0x5bd, /* SUB32rm */
-  0x5bf, /* SUB32rr_REV */
+  0x5de, /* SUB32rm */
+  0x5e0, /* SUB32rr_REV */
 /* Table67 */
-  0x5c9, /* SUB8i8 */
+  0x5ea, /* SUB8i8 */
 /* Table68 */
-  0x5b7, /* SUB32i32 */
+  0x5d8, /* SUB32i32 */
 /* Table69 */
-  0x1cd, /* DAS */
+  0x1d6, /* DAS */
 /* Table70 */
-  0x677, /* XOR8mr */
-  0x67b, /* XOR8rr */
+  0x69c, /* XOR8mr */
+  0x6a0, /* XOR8rr */
 /* Table72 */
-  0x666, /* XOR32mr */
-  0x66a, /* XOR32rr */
+  0x68a, /* XOR32mr */
+  0x68e, /* XOR32rr */
 /* Table74 */
-  0x67a, /* XOR8rm */
-  0x67c, /* XOR8rr_REV */
+  0x69f, /* XOR8rm */
+  0x6a1, /* XOR8rr_REV */
 /* Table76 */
-  0x669, /* XOR32rm */
-  0x66b, /* XOR32rr_REV */
+  0x68d, /* XOR32rm */
+  0x68f, /* XOR32rr_REV */
 /* Table78 */
-  0x675, /* XOR8i8 */
+  0x699, /* XOR8i8 */
 /* Table79 */
-  0x663, /* XOR32i32 */
+  0x687, /* XOR32i32 */
 /* Table80 */
-  0x14, /* AAA */
+  0x16, /* AAA */
 /* Table81 */
-  0x1b4, /* CMP8mr */
-  0x1b7, /* CMP8rr */
+  0x1bd, /* CMP8mr */
+  0x1c1, /* CMP8rr */
 /* Table83 */
-  0x1a3, /* CMP32mr */
-  0x1a7, /* CMP32rr */
+  0x1ab, /* CMP32mr */
+  0x1af, /* CMP32rr */
 /* Table85 */
-  0x1b6, /* CMP8rm */
-  0x1b8, /* CMP8rr_REV */
+  0x1c0, /* CMP8rm */
+  0x1c2, /* CMP8rr_REV */
 /* Table87 */
-  0x1a6, /* CMP32rm */
-  0x1a8, /* CMP32rr_REV */
+  0x1ae, /* CMP32rm */
+  0x1b0, /* CMP32rr_REV */
 /* Table89 */
-  0x1b2, /* CMP8i8 */
+  0x1ba, /* CMP8i8 */
 /* Table90 */
-  0x1a0, /* CMP32i32 */
+  0x1a8, /* CMP32i32 */
 /* Table91 */
-  0x17, /* AAS */
+  0x19, /* AAS */
 /* Table92 */
-  0x227, /* INC32r */
+  0x22c, /* INC32r_alt */
 /* Table93 */
-  0x1d4, /* DEC32r */
+  0x1dd, /* DEC32r_alt */
 /* Table94 */
-  0x40b, /* PUSH32r */
+  0x412, /* PUSH32r */
 /* Table95 */
-  0x3ef, /* POP32r */
+  0x3f6, /* POP32r */
 /* Table96 */
-  0x415, /* PUSHA32 */
+  0x41c, /* PUSHA32 */
 /* Table97 */
-  0x3f6, /* POPA32 */
+  0x3fd, /* POPA32 */
 /* Table98 */
-  0xd0, /* BOUNDS32rm */
+  0xd6, /* BOUNDS32rm */
   0x0, /*  */
 /* Table100 */
-  0x9d, /* ARPL16mr */
-  0x9e, /* ARPL16rr */
+  0xa3, /* ARPL16mr */
+  0xa4, /* ARPL16rr */
 /* Table102 */
-  0x1ce, /* DATA16_PREFIX */
+  0x1d7, /* DATA16_PREFIX */
 /* Table103 */
-  0x428, /* PUSHi32 */
+  0x42f, /* PUSHi32 */
 /* Table104 */
-  0x20d, /* IMUL32rmi */
-  0x210, /* IMUL32rri */
+  0x212, /* IMUL32rmi */
+  0x215, /* IMUL32rri */
 /* Table106 */
-  0x40a, /* PUSH32i8 */
+  0x411, /* PUSH32i8 */
 /* Table107 */
-  0x20e, /* IMUL32rmi8 */
-  0x211, /* IMUL32rri8 */
+  0x213, /* IMUL32rmi8 */
+  0x216, /* IMUL32rri8 */
 /* Table109 */
-  0x230, /* INSB */
+  0x231, /* INSB */
 /* Table110 */
-  0x231, /* INSL */
+  0x232, /* INSL */
 /* Table111 */
-  0x3e1, /* OUTSB */
+  0x3e7, /* OUTSB */
 /* Table112 */
-  0x3e2, /* OUTSL */
+  0x3e8, /* OUTSL */
 /* Table113 */
   0x278, /* JO_1 */
 /* Table114 */
   0x26f, /* JNO_1 */
 /* Table115 */
-  0x24e, /* JB_1 */
+  0x24f, /* JB_1 */
 /* Table116 */
-  0x245, /* JAE_1 */
+  0x246, /* JAE_1 */
 /* Table117 */
   0x254, /* JE_1 */
 /* Table118 */
   0x26c, /* JNE_1 */
 /* Table119 */
-  0x24b, /* JBE_1 */
+  0x24c, /* JBE_1 */
 /* Table120 */
-  0x248, /* JA_1 */
+  0x249, /* JA_1 */
 /* Table121 */
   0x27f, /* JS_1 */
 /* Table122 */
@@ -25908,108 +26088,108 @@ static const InstrUID modRMTable[] = {
 /* Table128 */
   0x25a, /* JG_1 */
 /* Table129 */
-  0x67, /* ADD8mi */
-  0x3d4, /* OR8mi */
-  0x38, /* ADC8mi */
-  0x509, /* SBB8mi */
-  0x92, /* AND8mi */
-  0x5ca, /* SUB8mi */
-  0x676, /* XOR8mi */
-  0x1b3, /* CMP8mi */
-  0x69, /* ADD8ri */
-  0x3d6, /* OR8ri */
-  0x3a, /* ADC8ri */
-  0x50b, /* SBB8ri */
-  0x94, /* AND8ri */
-  0x5cc, /* SUB8ri */
-  0x678, /* XOR8ri */
-  0x1b5, /* CMP8ri */
+  0x6b, /* ADD8mi */
+  0x3d9, /* OR8mi */
+  0x3a, /* ADC8mi */
+  0x528, /* SBB8mi */
+  0x97, /* AND8mi */
+  0x5eb, /* SUB8mi */
+  0x69a, /* XOR8mi */
+  0x1bb, /* CMP8mi */
+  0x6e, /* ADD8ri */
+  0x3dc, /* OR8ri */
+  0x3d, /* ADC8ri */
+  0x52b, /* SBB8ri */
+  0x9a, /* AND8ri */
+  0x5ee, /* SUB8ri */
+  0x69d, /* XOR8ri */
+  0x1be, /* CMP8ri */
 /* Table145 */
-  0x4f, /* ADD32mi */
-  0x3c1, /* OR32mi */
-  0x26, /* ADC32mi */
-  0x4f7, /* SBB32mi */
-  0x80, /* AND32mi */
-  0x5b8, /* SUB32mi */
-  0x664, /* XOR32mi */
-  0x1a1, /* CMP32mi */
-  0x52, /* ADD32ri */
-  0x3c5, /* OR32ri */
-  0x29, /* ADC32ri */
-  0x4fa, /* SBB32ri */
-  0x83, /* AND32ri */
-  0x5bb, /* SUB32ri */
-  0x667, /* XOR32ri */
-  0x1a4, /* CMP32ri */
+  0x53, /* ADD32mi */
+  0x3c6, /* OR32mi */
+  0x28, /* ADC32mi */
+  0x516, /* SBB32mi */
+  0x85, /* AND32mi */
+  0x5d9, /* SUB32mi */
+  0x688, /* XOR32mi */
+  0x1a9, /* CMP32mi */
+  0x56, /* ADD32ri */
+  0x3ca, /* OR32ri */
+  0x2b, /* ADC32ri */
+  0x519, /* SBB32ri */
+  0x88, /* AND32ri */
+  0x5dc, /* SUB32ri */
+  0x68b, /* XOR32ri */
+  0x1ac, /* CMP32ri */
 /* Table161 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x6a, /* ADD8ri8 */
-  0x3d7, /* OR8ri8 */
-  0x0, /*  */
-  0x0, /*  */
-  0x95, /* AND8ri8 */
-  0x5cd, /* SUB8ri8 */
-  0x679, /* XOR8ri8 */
-  0x0, /*  */
+  0x6c, /* ADD8mi8 */
+  0x3da, /* OR8mi8 */
+  0x3b, /* ADC8mi8 */
+  0x529, /* SBB8mi8 */
+  0x98, /* AND8mi8 */
+  0x5ec, /* SUB8mi8 */
+  0x69b, /* XOR8mi8 */
+  0x1bc, /* CMP8mi8 */
+  0x6f, /* ADD8ri8 */
+  0x3dd, /* OR8ri8 */
+  0x3e, /* ADC8ri8 */
+  0x52c, /* SBB8ri8 */
+  0x9b, /* AND8ri8 */
+  0x5ef, /* SUB8ri8 */
+  0x69e, /* XOR8ri8 */
+  0x1bf, /* CMP8ri8 */
 /* Table177 */
-  0x50, /* ADD32mi8 */
-  0x3c2, /* OR32mi8 */
-  0x27, /* ADC32mi8 */
-  0x4f8, /* SBB32mi8 */
-  0x81, /* AND32mi8 */
-  0x5b9, /* SUB32mi8 */
-  0x665, /* XOR32mi8 */
-  0x1a2, /* CMP32mi8 */
-  0x53, /* ADD32ri8 */
-  0x3c6, /* OR32ri8 */
-  0x2a, /* ADC32ri8 */
-  0x4fb, /* SBB32ri8 */
-  0x84, /* AND32ri8 */
-  0x5bc, /* SUB32ri8 */
-  0x668, /* XOR32ri8 */
-  0x1a5, /* CMP32ri8 */
+  0x54, /* ADD32mi8 */
+  0x3c7, /* OR32mi8 */
+  0x29, /* ADC32mi8 */
+  0x517, /* SBB32mi8 */
+  0x86, /* AND32mi8 */
+  0x5da, /* SUB32mi8 */
+  0x689, /* XOR32mi8 */
+  0x1aa, /* CMP32mi8 */
+  0x57, /* ADD32ri8 */
+  0x3cb, /* OR32ri8 */
+  0x2c, /* ADC32ri8 */
+  0x51a, /* SBB32ri8 */
+  0x89, /* AND32ri8 */
+  0x5dd, /* SUB32ri8 */
+  0x68c, /* XOR32ri8 */
+  0x1ad, /* CMP32ri8 */
 /* Table193 */
-  0x603, /* TEST8rm */
-  0x604, /* TEST8rr */
+  0x628, /* TEST8rm */
+  0x629, /* TEST8rr */
 /* Table195 */
-  0x5f4, /* TEST32rm */
-  0x5f5, /* TEST32rr */
+  0x619, /* TEST32rm */
+  0x61a, /* TEST32rr */
 /* Table197 */
-  0x651, /* XCHG8rm */
-  0x652, /* XCHG8rr */
+  0x675, /* XCHG8rm */
+  0x676, /* XCHG8rr */
 /* Table199 */
-  0x64c, /* XCHG32rm */
-  0x64d, /* XCHG32rr */
+  0x670, /* XCHG32rm */
+  0x671, /* XCHG32rr */
 /* Table201 */
-  0x34c, /* MOV8mr */
-  0x354, /* MOV8rr */
+  0x34d, /* MOV8mr */
+  0x356, /* MOV8rr */
 /* Table203 */
-  0x322, /* MOV32mr */
-  0x32d, /* MOV32rr */
+  0x325, /* MOV32mr */
+  0x331, /* MOV32rr */
 /* Table205 */
-  0x352, /* MOV8rm */
-  0x356, /* MOV8rr_REV */
+  0x354, /* MOV8rm */
+  0x358, /* MOV8rr_REV */
 /* Table207 */
-  0x32c, /* MOV32rm */
-  0x32e, /* MOV32rr_REV */
+  0x330, /* MOV32rm */
+  0x332, /* MOV32rr_REV */
 /* Table209 */
-  0x323, /* MOV32ms */
-  0x32f, /* MOV32rs */
+  0x326, /* MOV32ms */
+  0x333, /* MOV32rs */
 /* Table211 */
   0x292, /* LEA32r */
   0x0, /*  */
 /* Table213 */
-  0x330, /* MOV32sm */
-  0x331, /* MOV32sr */
+  0x334, /* MOV32sm */
+  0x335, /* MOV32sr */
 /* Table215 */
-  0x3f0, /* POP32rmm */
+  0x3f7, /* POP32rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26017,7 +26197,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x3f1, /* POP32rmr */
+  0x3f8, /* POP32rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26026,97 +26206,97 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table231 */
-  0x38f, /* NOOP */
+  0x394, /* NOOP */
 /* Table232 */
-  0x64a, /* XCHG32ar */
+  0x66e, /* XCHG32ar */
 /* Table233 */
-  0x1cb, /* CWDE */
+  0x1d4, /* CWDE */
 /* Table234 */
-  0x11d, /* CDQ */
+  0x123, /* CDQ */
 /* Table235 */
-  0x1ef, /* FARCALL32i */
+  0x1f4, /* FARCALL32i */
 /* Table236 */
-  0x41d, /* PUSHF32 */
+  0x424, /* PUSHF32 */
 /* Table237 */
-  0x3fc, /* POPF32 */
+  0x403, /* POPF32 */
 /* Table238 */
-  0x4b7, /* SAHF */
+  0x4d6, /* SAHF */
 /* Table239 */
   0x282, /* LAHF */
 /* Table240 */
-  0x34e, /* MOV8o8a */
+  0x34a, /* MOV8ao32 */
 /* Table241 */
-  0x324, /* MOV32o32a */
+  0x320, /* MOV32ao32 */
 /* Table242 */
-  0x349, /* MOV8ao8 */
+  0x350, /* MOV8o32a */
 /* Table243 */
-  0x31d, /* MOV32ao32 */
+  0x328, /* MOV32o32a */
 /* Table244 */
-  0x35e, /* MOVSB */
+  0x360, /* MOVSB */
 /* Table245 */
-  0x35f, /* MOVSL */
+  0x361, /* MOVSL */
 /* Table246 */
-  0x1b9, /* CMPSB */
+  0x1c3, /* CMPSB */
 /* Table247 */
-  0x1ba, /* CMPSL */
+  0x1c4, /* CMPSL */
 /* Table248 */
-  0x5fd, /* TEST8i8 */
+  0x622, /* TEST8i8 */
 /* Table249 */
-  0x5ef, /* TEST32i32 */
+  0x614, /* TEST32i32 */
 /* Table250 */
-  0x5a6, /* STOSB */
+  0x5c7, /* STOSB */
 /* Table251 */
-  0x5a7, /* STOSL */
+  0x5c8, /* STOSL */
 /* Table252 */
   0x2e9, /* LODSB */
 /* Table253 */
   0x2ea, /* LODSL */
 /* Table254 */
-  0x50f, /* SCASB */
+  0x530, /* SCASB */
 /* Table255 */
-  0x510, /* SCASL */
+  0x531, /* SCASL */
 /* Table256 */
-  0x350, /* MOV8ri */
+  0x352, /* MOV8ri */
 /* Table257 */
-  0x329, /* MOV32ri */
+  0x32d, /* MOV32ri */
 /* Table258 */
-  0x496, /* ROL8mi */
-  0x4ae, /* ROR8mi */
-  0x43d, /* RCL8mi */
-  0x455, /* RCR8mi */
-  0x558, /* SHL8mi */
-  0x580, /* SHR8mi */
-  0x4cc, /* SAL8mi */
-  0x4e5, /* SAR8mi */
-  0x499, /* ROL8ri */
-  0x4b1, /* ROR8ri */
-  0x440, /* RCL8ri */
-  0x458, /* RCR8ri */
-  0x55b, /* SHL8ri */
-  0x583, /* SHR8ri */
-  0x4cf, /* SAL8ri */
-  0x4e8, /* SAR8ri */
+  0x4b5, /* ROL8mi */
+  0x4cd, /* ROR8mi */
+  0x444, /* RCL8mi */
+  0x45c, /* RCR8mi */
+  0x579, /* SHL8mi */
+  0x5a1, /* SHR8mi */
+  0x4eb, /* SAL8mi */
+  0x504, /* SAR8mi */
+  0x4b8, /* ROL8ri */
+  0x4d0, /* ROR8ri */
+  0x447, /* RCL8ri */
+  0x45f, /* RCR8ri */
+  0x57c, /* SHL8ri */
+  0x5a4, /* SHR8ri */
+  0x4ee, /* SAL8ri */
+  0x507, /* SAR8ri */
 /* Table274 */
-  0x48a, /* ROL32mi */
-  0x4a2, /* ROR32mi */
-  0x431, /* RCL32mi */
-  0x449, /* RCR32mi */
-  0x54c, /* SHL32mi */
-  0x574, /* SHR32mi */
-  0x4c0, /* SAL32mi */
-  0x4d9, /* SAR32mi */
-  0x48d, /* ROL32ri */
-  0x4a5, /* ROR32ri */
-  0x434, /* RCL32ri */
-  0x44c, /* RCR32ri */
-  0x54f, /* SHL32ri */
-  0x577, /* SHR32ri */
-  0x4c3, /* SAL32ri */
-  0x4dc, /* SAR32ri */
+  0x4a9, /* ROL32mi */
+  0x4c1, /* ROR32mi */
+  0x438, /* RCL32mi */
+  0x450, /* RCR32mi */
+  0x56d, /* SHL32mi */
+  0x595, /* SHR32mi */
+  0x4df, /* SAL32mi */
+  0x4f8, /* SAR32mi */
+  0x4ac, /* ROL32ri */
+  0x4c4, /* ROR32ri */
+  0x43b, /* RCL32ri */
+  0x453, /* RCR32ri */
+  0x570, /* SHL32ri */
+  0x598, /* SHR32ri */
+  0x4e2, /* SAL32ri */
+  0x4fb, /* SAR32ri */
 /* Table290 */
-  0x47b, /* RETIL */
+  0x49a, /* RETIL */
 /* Table291 */
-  0x47e, /* RETL */
+  0x49d, /* RETL */
 /* Table292 */
   0x298, /* LES32rm */
   0x0, /*  */
@@ -26124,7 +26304,7 @@ static const InstrUID modRMTable[] = {
   0x290, /* LDS32rm */
   0x0, /*  */
 /* Table296 */
-  0x34b, /* MOV8mi */
+  0x34c, /* MOV8mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26132,7 +26312,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x351, /* MOV8ri_alt */
+  0x353, /* MOV8ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26141,7 +26321,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table312 */
-  0x321, /* MOV32mi */
+  0x324, /* MOV32mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26149,7 +26329,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x32b, /* MOV32ri_alt */
+  0x32f, /* MOV32ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26158,7 +26338,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table328 */
-  0x1ec, /* ENTER */
+  0x1f1, /* ENTER */
 /* Table329 */
   0x295, /* LEAVE */
 /* Table330 */
@@ -26166,89 +26346,89 @@ static const InstrUID modRMTable[] = {
 /* Table331 */
   0x2f3, /* LRETL */
 /* Table332 */
-  0x235, /* INT3 */
+  0x236, /* INT3 */
 /* Table333 */
-  0x233, /* INT */
+  0x234, /* INT */
 /* Table334 */
-  0x236, /* INTO */
+  0x237, /* INTO */
 /* Table335 */
-  0x242, /* IRET32 */
+  0x243, /* IRET32 */
 /* Table336 */
-  0x494, /* ROL8m1 */
-  0x4ac, /* ROR8m1 */
-  0x43b, /* RCL8m1 */
-  0x453, /* RCR8m1 */
-  0x556, /* SHL8m1 */
-  0x57e, /* SHR8m1 */
-  0x4ca, /* SAL8m1 */
-  0x4e3, /* SAR8m1 */
-  0x497, /* ROL8r1 */
-  0x4af, /* ROR8r1 */
-  0x43e, /* RCL8r1 */
-  0x456, /* RCR8r1 */
-  0x559, /* SHL8r1 */
-  0x581, /* SHR8r1 */
-  0x4cd, /* SAL8r1 */
-  0x4e6, /* SAR8r1 */
+  0x4b3, /* ROL8m1 */
+  0x4cb, /* ROR8m1 */
+  0x442, /* RCL8m1 */
+  0x45a, /* RCR8m1 */
+  0x577, /* SHL8m1 */
+  0x59f, /* SHR8m1 */
+  0x4e9, /* SAL8m1 */
+  0x502, /* SAR8m1 */
+  0x4b6, /* ROL8r1 */
+  0x4ce, /* ROR8r1 */
+  0x445, /* RCL8r1 */
+  0x45d, /* RCR8r1 */
+  0x57a, /* SHL8r1 */
+  0x5a2, /* SHR8r1 */
+  0x4ec, /* SAL8r1 */
+  0x505, /* SAR8r1 */
 /* Table352 */
-  0x488, /* ROL32m1 */
-  0x4a0, /* ROR32m1 */
-  0x42f, /* RCL32m1 */
-  0x447, /* RCR32m1 */
-  0x54a, /* SHL32m1 */
-  0x572, /* SHR32m1 */
-  0x4be, /* SAL32m1 */
-  0x4d7, /* SAR32m1 */
-  0x48b, /* ROL32r1 */
-  0x4a3, /* ROR32r1 */
-  0x432, /* RCL32r1 */
-  0x44a, /* RCR32r1 */
-  0x54d, /* SHL32r1 */
-  0x575, /* SHR32r1 */
-  0x4c1, /* SAL32r1 */
-  0x4da, /* SAR32r1 */
+  0x4a7, /* ROL32m1 */
+  0x4bf, /* ROR32m1 */
+  0x436, /* RCL32m1 */
+  0x44e, /* RCR32m1 */
+  0x56b, /* SHL32m1 */
+  0x593, /* SHR32m1 */
+  0x4dd, /* SAL32m1 */
+  0x4f6, /* SAR32m1 */
+  0x4aa, /* ROL32r1 */
+  0x4c2, /* ROR32r1 */
+  0x439, /* RCL32r1 */
+  0x451, /* RCR32r1 */
+  0x56e, /* SHL32r1 */
+  0x596, /* SHR32r1 */
+  0x4e0, /* SAL32r1 */
+  0x4f9, /* SAR32r1 */
 /* Table368 */
-  0x495, /* ROL8mCL */
-  0x4ad, /* ROR8mCL */
-  0x43c, /* RCL8mCL */
-  0x454, /* RCR8mCL */
-  0x557, /* SHL8mCL */
-  0x57f, /* SHR8mCL */
-  0x4cb, /* SAL8mCL */
-  0x4e4, /* SAR8mCL */
-  0x498, /* ROL8rCL */
-  0x4b0, /* ROR8rCL */
-  0x43f, /* RCL8rCL */
-  0x457, /* RCR8rCL */
-  0x55a, /* SHL8rCL */
-  0x582, /* SHR8rCL */
-  0x4ce, /* SAL8rCL */
-  0x4e7, /* SAR8rCL */
+  0x4b4, /* ROL8mCL */
+  0x4cc, /* ROR8mCL */
+  0x443, /* RCL8mCL */
+  0x45b, /* RCR8mCL */
+  0x578, /* SHL8mCL */
+  0x5a0, /* SHR8mCL */
+  0x4ea, /* SAL8mCL */
+  0x503, /* SAR8mCL */
+  0x4b7, /* ROL8rCL */
+  0x4cf, /* ROR8rCL */
+  0x446, /* RCL8rCL */
+  0x45e, /* RCR8rCL */
+  0x57b, /* SHL8rCL */
+  0x5a3, /* SHR8rCL */
+  0x4ed, /* SAL8rCL */
+  0x506, /* SAR8rCL */
 /* Table384 */
-  0x489, /* ROL32mCL */
-  0x4a1, /* ROR32mCL */
-  0x430, /* RCL32mCL */
-  0x448, /* RCR32mCL */
-  0x54b, /* SHL32mCL */
-  0x573, /* SHR32mCL */
-  0x4bf, /* SAL32mCL */
-  0x4d8, /* SAR32mCL */
-  0x48c, /* ROL32rCL */
-  0x4a4, /* ROR32rCL */
-  0x433, /* RCL32rCL */
-  0x44b, /* RCR32rCL */
-  0x54e, /* SHL32rCL */
-  0x576, /* SHR32rCL */
-  0x4c2, /* SAL32rCL */
-  0x4db, /* SAR32rCL */
+  0x4a8, /* ROL32mCL */
+  0x4c0, /* ROR32mCL */
+  0x437, /* RCL32mCL */
+  0x44f, /* RCR32mCL */
+  0x56c, /* SHL32mCL */
+  0x594, /* SHR32mCL */
+  0x4de, /* SAL32mCL */
+  0x4f7, /* SAR32mCL */
+  0x4ab, /* ROL32rCL */
+  0x4c3, /* ROR32rCL */
+  0x43a, /* RCL32rCL */
+  0x452, /* RCR32rCL */
+  0x56f, /* SHL32rCL */
+  0x597, /* SHR32rCL */
+  0x4e1, /* SAL32rCL */
+  0x4fa, /* SAR32rCL */
 /* Table400 */
-  0x16, /* AAM8i8 */
+  0x18, /* AAM8i8 */
 /* Table401 */
-  0x15, /* AAD8i8 */
+  0x17, /* AAD8i8 */
 /* Table402 */
-  0x4d0, /* SALC */
+  0x4ef, /* SALC */
 /* Table403 */
-  0x659, /* XLAT */
+  0x67d, /* XLAT */
 /* Table404 */
   0x0, /*  */
   0x0, /*  */
@@ -26294,7 +26474,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x1f7, /* FSETPM */
+  0x1fc, /* FSETPM */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26329,100 +26509,100 @@ static const InstrUID modRMTable[] = {
 /* Table478 */
   0x2ed, /* LOOP */
 /* Table479 */
-  0x252, /* JECXZ_32 */
+  0x253, /* JECXZ */
 /* Table480 */
-  0x220, /* IN8ri */
+  0x225, /* IN8ri */
 /* Table481 */
-  0x21e, /* IN32ri */
+  0x223, /* IN32ri */
 /* Table482 */
-  0x3df, /* OUT8ir */
+  0x3e5, /* OUT8ir */
 /* Table483 */
-  0x3dd, /* OUT32ir */
+  0x3e3, /* OUT32ir */
 /* Table484 */
-  0x11b, /* CALLpcrel32 */
+  0x121, /* CALLpcrel32 */
 /* Table485 */
   0x26b, /* JMP_4 */
 /* Table486 */
-  0x1f4, /* FARJMP32i */
+  0x1f9, /* FARJMP32i */
 /* Table487 */
   0x269, /* JMP_1 */
 /* Table488 */
-  0x221, /* IN8rr */
+  0x226, /* IN8rr */
 /* Table489 */
-  0x21f, /* IN32rr */
+  0x224, /* IN32rr */
 /* Table490 */
-  0x3e0, /* OUT8rr */
+  0x3e6, /* OUT8rr */
 /* Table491 */
-  0x3de, /* OUT32rr */
+  0x3e4, /* OUT32rr */
 /* Table492 */
   0x2d2, /* LOCK_PREFIX */
 /* Table493 */
-  0x234, /* INT1 */
+  0x235, /* INT1 */
 /* Table494 */
-  0x46b, /* REPNE_PREFIX */
+  0x48a, /* REPNE_PREFIX */
 /* Table495 */
-  0x473, /* REP_PREFIX */
+  0x492, /* REP_PREFIX */
 /* Table496 */
-  0x1f9, /* HLT */
+  0x1fe, /* HLT */
 /* Table497 */
-  0x125, /* CMC */
+  0x12d, /* CMC */
 /* Table498 */
-  0x5fe, /* TEST8mi */
-  0x5ff, /* TEST8mi_alt */
-  0x3b5, /* NOT8m */
-  0x38d, /* NEG8m */
-  0x381, /* MUL8m */
-  0x21a, /* IMUL8m */
-  0x1e3, /* DIV8m */
-  0x200, /* IDIV8m */
-  0x600, /* TEST8ri */
-  0x602, /* TEST8ri_alt */
-  0x3b6, /* NOT8r */
-  0x38e, /* NEG8r */
-  0x382, /* MUL8r */
-  0x21b, /* IMUL8r */
-  0x1e4, /* DIV8r */
-  0x201, /* IDIV8r */
+  0x623, /* TEST8mi */
+  0x624, /* TEST8mi_alt */
+  0x3ba, /* NOT8m */
+  0x392, /* NEG8m */
+  0x386, /* MUL8m */
+  0x21f, /* IMUL8m */
+  0x1e8, /* DIV8m */
+  0x205, /* IDIV8m */
+  0x625, /* TEST8ri */
+  0x627, /* TEST8ri_alt */
+  0x3bb, /* NOT8r */
+  0x393, /* NEG8r */
+  0x387, /* MUL8r */
+  0x220, /* IMUL8r */
+  0x1e9, /* DIV8r */
+  0x206, /* IDIV8r */
 /* Table514 */
-  0x5f0, /* TEST32mi */
-  0x5f1, /* TEST32mi_alt */
-  0x3b1, /* NOT32m */
-  0x389, /* NEG32m */
-  0x37d, /* MUL32m */
-  0x20a, /* IMUL32m */
-  0x1df, /* DIV32m */
-  0x1fc, /* IDIV32m */
-  0x5f2, /* TEST32ri */
-  0x5f3, /* TEST32ri_alt */
-  0x3b2, /* NOT32r */
-  0x38a, /* NEG32r */
-  0x37e, /* MUL32r */
-  0x20b, /* IMUL32r */
-  0x1e0, /* DIV32r */
-  0x1fd, /* IDIV32r */
+  0x615, /* TEST32mi */
+  0x616, /* TEST32mi_alt */
+  0x3b6, /* NOT32m */
+  0x38e, /* NEG32m */
+  0x382, /* MUL32m */
+  0x20f, /* IMUL32m */
+  0x1e4, /* DIV32m */
+  0x201, /* IDIV32m */
+  0x617, /* TEST32ri */
+  0x618, /* TEST32ri_alt */
+  0x3b7, /* NOT32r */
+  0x38f, /* NEG32r */
+  0x383, /* MUL32r */
+  0x210, /* IMUL32r */
+  0x1e5, /* DIV32r */
+  0x202, /* IDIV32r */
 /* Table530 */
-  0x120, /* CLC */
+  0x126, /* CLC */
 /* Table531 */
-  0x5a2, /* STC */
+  0x5c3, /* STC */
 /* Table532 */
-  0x123, /* CLI */
+  0x12a, /* CLI */
 /* Table533 */
-  0x5a5, /* STI */
+  0x5c6, /* STI */
 /* Table534 */
-  0x121, /* CLD */
+  0x127, /* CLD */
 /* Table535 */
-  0x5a3, /* STD */
+  0x5c4, /* STD */
 /* Table536 */
-  0x22e, /* INC8m */
-  0x1db, /* DEC8m */
+  0x22f, /* INC8m */
+  0x1e0, /* DEC8m */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x22f, /* INC8r */
-  0x1dc, /* DEC8r */
+  0x230, /* INC8r */
+  0x1e1, /* DEC8r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26430,40 +26610,40 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table552 */
-  0x226, /* INC32m */
-  0x1d3, /* DEC32m */
-  0x115, /* CALL32m */
-  0x1f0, /* FARCALL32m */
+  0x22a, /* INC32m */
+  0x1db, /* DEC32m */
+  0x11b, /* CALL32m */
+  0x1f5, /* FARCALL32m */
   0x265, /* JMP32m */
-  0x1f5, /* FARJMP32m */
-  0x40c, /* PUSH32rmm */
+  0x1fa, /* FARJMP32m */
+  0x413, /* PUSH32rmm */
   0x0, /*  */
-  0x225, /* INC32_32r */
-  0x1d2, /* DEC32_32r */
-  0x116, /* CALL32r */
+  0x22b, /* INC32r */
+  0x1dc, /* DEC32r */
+  0x11c, /* CALL32r */
   0x0, /*  */
   0x266, /* JMP32r */
   0x0, /*  */
-  0x40d, /* PUSH32rmr */
+  0x414, /* PUSH32rmr */
   0x0, /*  */
 /* Table568 */
-  0x481, /* REX64_PREFIX */
+  0x4a0, /* REX64_PREFIX */
 /* Table569 */
-  0x411, /* PUSH64r */
+  0x418, /* PUSH64r */
 /* Table570 */
-  0x3f2, /* POP64r */
+  0x3f9, /* POP64r */
 /* Table571 */
-  0x0, /*  */
-  0x368, /* MOVSX64_NOREXrr32 */
+  0x36f, /* MOVSX64rm32_alt */
+  0x36c, /* MOVSX64_NOREXrr32 */
 /* Table573 */
-  0x40f, /* PUSH64i32 */
+  0x416, /* PUSH64i32 */
 /* Table574 */
-  0x410, /* PUSH64i8 */
+  0x417, /* PUSH64i8 */
 /* Table575 */
   0x293, /* LEA64_32r */
   0x0, /*  */
 /* Table577 */
-  0x3f3, /* POP64rmm */
+  0x3fa, /* POP64rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26471,7 +26651,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x3f4, /* POP64rmr */
+  0x3fb, /* POP64rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26480,210 +26660,210 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table593 */
-  0x64b, /* XCHG32ar64 */
+  0x66f, /* XCHG32ar64 */
 /* Table594 */
-  0x41e, /* PUSHF64 */
+  0x425, /* PUSHF64 */
 /* Table595 */
-  0x3fd, /* POPF64 */
+  0x404, /* POPF64 */
 /* Table596 */
-  0x33e, /* MOV64o8a */
+  0x34b, /* MOV8ao64 */
 /* Table597 */
-  0x33c, /* MOV64o32a */
+  0x321, /* MOV32ao64 */
 /* Table598 */
-  0x335, /* MOV64ao8 */
+  0x351, /* MOV8o64a */
 /* Table599 */
-  0x333, /* MOV64ao32 */
+  0x329, /* MOV32o64a */
 /* Table600 */
-  0x47c, /* RETIQ */
+  0x49b, /* RETIQ */
 /* Table601 */
-  0x47f, /* RETQ */
+  0x49e, /* RETQ */
 /* Table602 */
   0x296, /* LEAVE64 */
 /* Table603 */
   0x27e, /* JRCXZ */
 /* Table604 */
-  0x118, /* CALL64pcrel32 */
+  0x11e, /* CALL64pcrel32 */
 /* Table605 */
-  0x22a, /* INC64_32m */
-  0x1d7, /* DEC64_32m */
-  0x117, /* CALL64m */
-  0x1f0, /* FARCALL32m */
+  0x22a, /* INC32m */
+  0x1db, /* DEC32m */
+  0x11d, /* CALL64m */
+  0x1f5, /* FARCALL32m */
   0x267, /* JMP64m */
-  0x1f5, /* FARJMP32m */
-  0x412, /* PUSH64rmm */
+  0x1fa, /* FARJMP32m */
+  0x419, /* PUSH64rmm */
   0x0, /*  */
-  0x22b, /* INC64_32r */
-  0x1d8, /* DEC64_32r */
-  0x119, /* CALL64r */
+  0x22b, /* INC32r */
+  0x1dc, /* DEC32r */
+  0x11f, /* CALL64r */
   0x0, /*  */
   0x268, /* JMP64r */
   0x0, /*  */
-  0x413, /* PUSH64rmr */
+  0x41a, /* PUSH64rmr */
   0x0, /*  */
 /* Table621 */
-  0x45, /* ADD16mr */
-  0x4b, /* ADD16rr */
+  0x49, /* ADD16mr */
+  0x4f, /* ADD16rr */
 /* Table623 */
-  0x4a, /* ADD16rm */
-  0x4d, /* ADD16rr_REV */
+  0x4e, /* ADD16rm */
+  0x51, /* ADD16rr_REV */
 /* Table625 */
-  0x42, /* ADD16i16 */
+  0x46, /* ADD16i16 */
 /* Table626 */
-  0x41a, /* PUSHES16 */
+  0x421, /* PUSHES16 */
 /* Table627 */
-  0x3f9, /* POPES16 */
+  0x400, /* POPES16 */
 /* Table628 */
-  0x3ba, /* OR16mr */
-  0x3be, /* OR16rr */
+  0x3bf, /* OR16mr */
+  0x3c3, /* OR16rr */
 /* Table630 */
-  0x3bd, /* OR16rm */
-  0x3bf, /* OR16rr_REV */
+  0x3c2, /* OR16rm */
+  0x3c4, /* OR16rr_REV */
 /* Table632 */
-  0x3b7, /* OR16i16 */
+  0x3bc, /* OR16i16 */
 /* Table633 */
-  0x416, /* PUSHCS16 */
+  0x41d, /* PUSHCS16 */
 /* Table634 */
-  0x1f, /* ADC16mr */
-  0x23, /* ADC16rr */
+  0x21, /* ADC16mr */
+  0x25, /* ADC16rr */
 /* Table636 */
-  0x22, /* ADC16rm */
-  0x24, /* ADC16rr_REV */
+  0x24, /* ADC16rm */
+  0x26, /* ADC16rr_REV */
 /* Table638 */
-  0x1c, /* ADC16i16 */
+  0x1e, /* ADC16i16 */
 /* Table639 */
-  0x425, /* PUSHSS16 */
+  0x42c, /* PUSHSS16 */
 /* Table640 */
-  0x404, /* POPSS16 */
+  0x40b, /* POPSS16 */
 /* Table641 */
-  0x4f0, /* SBB16mr */
-  0x4f4, /* SBB16rr */
+  0x50f, /* SBB16mr */
+  0x513, /* SBB16rr */
 /* Table643 */
-  0x4f3, /* SBB16rm */
-  0x4f5, /* SBB16rr_REV */
+  0x512, /* SBB16rm */
+  0x514, /* SBB16rr_REV */
 /* Table645 */
-  0x4ed, /* SBB16i16 */
+  0x50c, /* SBB16i16 */
 /* Table646 */
-  0x418, /* PUSHDS16 */
+  0x41f, /* PUSHDS16 */
 /* Table647 */
-  0x3f7, /* POPDS16 */
+  0x3fe, /* POPDS16 */
 /* Table648 */
-  0x79, /* AND16mr */
-  0x7d, /* AND16rr */
+  0x7e, /* AND16mr */
+  0x82, /* AND16rr */
 /* Table650 */
-  0x7c, /* AND16rm */
-  0x7e, /* AND16rr_REV */
+  0x81, /* AND16rm */
+  0x83, /* AND16rr_REV */
 /* Table652 */
-  0x76, /* AND16i16 */
+  0x7b, /* AND16i16 */
 /* Table653 */
-  0x5b1, /* SUB16mr */
-  0x5b5, /* SUB16rr */
+  0x5d2, /* SUB16mr */
+  0x5d6, /* SUB16rr */
 /* Table655 */
-  0x5b4, /* SUB16rm */
-  0x5b6, /* SUB16rr_REV */
+  0x5d5, /* SUB16rm */
+  0x5d7, /* SUB16rr_REV */
 /* Table657 */
-  0x5ae, /* SUB16i16 */
+  0x5cf, /* SUB16i16 */
 /* Table658 */
-  0x65d, /* XOR16mr */
-  0x661, /* XOR16rr */
+  0x681, /* XOR16mr */
+  0x685, /* XOR16rr */
 /* Table660 */
-  0x660, /* XOR16rm */
-  0x662, /* XOR16rr_REV */
+  0x684, /* XOR16rm */
+  0x686, /* XOR16rr_REV */
 /* Table662 */
-  0x65a, /* XOR16i16 */
+  0x67e, /* XOR16i16 */
 /* Table663 */
-  0x19a, /* CMP16mr */
-  0x19e, /* CMP16rr */
+  0x1a2, /* CMP16mr */
+  0x1a6, /* CMP16rr */
 /* Table665 */
-  0x19d, /* CMP16rm */
-  0x19f, /* CMP16rr_REV */
+  0x1a5, /* CMP16rm */
+  0x1a7, /* CMP16rr_REV */
 /* Table667 */
-  0x197, /* CMP16i16 */
+  0x19f, /* CMP16i16 */
 /* Table668 */
-  0x223, /* INC16r */
+  0x229, /* INC16r_alt */
 /* Table669 */
-  0x1d0, /* DEC16r */
+  0x1da, /* DEC16r_alt */
 /* Table670 */
-  0x407, /* PUSH16r */
+  0x40e, /* PUSH16r */
 /* Table671 */
-  0x3ec, /* POP16r */
+  0x3f3, /* POP16r */
 /* Table672 */
-  0x414, /* PUSHA16 */
+  0x41b, /* PUSHA16 */
 /* Table673 */
-  0x3f5, /* POPA16 */
+  0x3fc, /* POPA16 */
 /* Table674 */
-  0xcf, /* BOUNDS16rm */
+  0xd5, /* BOUNDS16rm */
   0x0, /*  */
 /* Table676 */
-  0x427, /* PUSHi16 */
+  0x42e, /* PUSHi16 */
 /* Table677 */
-  0x205, /* IMUL16rmi */
-  0x208, /* IMUL16rri */
+  0x20a, /* IMUL16rmi */
+  0x20d, /* IMUL16rri */
 /* Table679 */
-  0x406, /* PUSH16i8 */
+  0x40d, /* PUSH16i8 */
 /* Table680 */
-  0x206, /* IMUL16rmi8 */
-  0x209, /* IMUL16rri8 */
+  0x20b, /* IMUL16rmi8 */
+  0x20e, /* IMUL16rri8 */
 /* Table682 */
-  0x232, /* INSW */
+  0x233, /* INSW */
 /* Table683 */
-  0x3e3, /* OUTSW */
+  0x3e9, /* OUTSW */
 /* Table684 */
-  0x43, /* ADD16mi */
-  0x3b8, /* OR16mi */
-  0x1d, /* ADC16mi */
-  0x4ee, /* SBB16mi */
-  0x77, /* AND16mi */
-  0x5af, /* SUB16mi */
-  0x65b, /* XOR16mi */
-  0x198, /* CMP16mi */
-  0x46, /* ADD16ri */
-  0x3bb, /* OR16ri */
-  0x20, /* ADC16ri */
-  0x4f1, /* SBB16ri */
-  0x7a, /* AND16ri */
-  0x5b2, /* SUB16ri */
-  0x65e, /* XOR16ri */
-  0x19b, /* CMP16ri */
+  0x47, /* ADD16mi */
+  0x3bd, /* OR16mi */
+  0x1f, /* ADC16mi */
+  0x50d, /* SBB16mi */
+  0x7c, /* AND16mi */
+  0x5d0, /* SUB16mi */
+  0x67f, /* XOR16mi */
+  0x1a0, /* CMP16mi */
+  0x4a, /* ADD16ri */
+  0x3c0, /* OR16ri */
+  0x22, /* ADC16ri */
+  0x510, /* SBB16ri */
+  0x7f, /* AND16ri */
+  0x5d3, /* SUB16ri */
+  0x682, /* XOR16ri */
+  0x1a3, /* CMP16ri */
 /* Table700 */
-  0x44, /* ADD16mi8 */
-  0x3b9, /* OR16mi8 */
-  0x1e, /* ADC16mi8 */
-  0x4ef, /* SBB16mi8 */
-  0x78, /* AND16mi8 */
-  0x5b0, /* SUB16mi8 */
-  0x65c, /* XOR16mi8 */
-  0x199, /* CMP16mi8 */
-  0x47, /* ADD16ri8 */
-  0x3bc, /* OR16ri8 */
-  0x21, /* ADC16ri8 */
-  0x4f2, /* SBB16ri8 */
-  0x7b, /* AND16ri8 */
-  0x5b3, /* SUB16ri8 */
-  0x65f, /* XOR16ri8 */
-  0x19c, /* CMP16ri8 */
+  0x48, /* ADD16mi8 */
+  0x3be, /* OR16mi8 */
+  0x20, /* ADC16mi8 */
+  0x50e, /* SBB16mi8 */
+  0x7d, /* AND16mi8 */
+  0x5d1, /* SUB16mi8 */
+  0x680, /* XOR16mi8 */
+  0x1a1, /* CMP16mi8 */
+  0x4b, /* ADD16ri8 */
+  0x3c1, /* OR16ri8 */
+  0x23, /* ADC16ri8 */
+  0x511, /* SBB16ri8 */
+  0x80, /* AND16ri8 */
+  0x5d4, /* SUB16ri8 */
+  0x683, /* XOR16ri8 */
+  0x1a4, /* CMP16ri8 */
 /* Table716 */
-  0x5ed, /* TEST16rm */
-  0x5ee, /* TEST16rr */
+  0x612, /* TEST16rm */
+  0x613, /* TEST16rr */
 /* Table718 */
-  0x648, /* XCHG16rm */
-  0x649, /* XCHG16rr */
+  0x66c, /* XCHG16rm */
+  0x66d, /* XCHG16rr */
 /* Table720 */
-  0x311, /* MOV16mr */
-  0x318, /* MOV16rr */
+  0x312, /* MOV16mr */
+  0x31a, /* MOV16rr */
 /* Table722 */
-  0x317, /* MOV16rm */
-  0x319, /* MOV16rr_REV */
+  0x319, /* MOV16rm */
+  0x31b, /* MOV16rr_REV */
 /* Table724 */
-  0x312, /* MOV16ms */
-  0x31a, /* MOV16rs */
+  0x313, /* MOV16ms */
+  0x31c, /* MOV16rs */
 /* Table726 */
   0x291, /* LEA16r */
   0x0, /*  */
 /* Table728 */
-  0x31b, /* MOV16sm */
-  0x31c, /* MOV16sr */
+  0x31d, /* MOV16sm */
+  0x31e, /* MOV16sr */
 /* Table730 */
-  0x3ed, /* POP16rmm */
+  0x3f4, /* POP16rmm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26691,7 +26871,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x3ee, /* POP16rmr */
+  0x3f5, /* POP16rmr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26700,56 +26880,56 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
 /* Table746 */
-  0x647, /* XCHG16ar */
+  0x66b, /* XCHG16ar */
 /* Table747 */
-  0x11c, /* CBW */
+  0x122, /* CBW */
 /* Table748 */
-  0x1ca, /* CWD */
+  0x1d3, /* CWD */
 /* Table749 */
-  0x1ed, /* FARCALL16i */
+  0x1f2, /* FARCALL16i */
 /* Table750 */
-  0x41c, /* PUSHF16 */
+  0x423, /* PUSHF16 */
 /* Table751 */
-  0x3fb, /* POPF16 */
+  0x402, /* POPF16 */
 /* Table752 */
-  0x313, /* MOV16o16a */
+  0x30f, /* MOV16ao32 */
 /* Table753 */
-  0x30e, /* MOV16ao16 */
+  0x315, /* MOV16o32a */
 /* Table754 */
-  0x361, /* MOVSW */
+  0x363, /* MOVSW */
 /* Table755 */
-  0x1bc, /* CMPSW */
+  0x1c6, /* CMPSW */
 /* Table756 */
-  0x5e8, /* TEST16i16 */
+  0x60d, /* TEST16i16 */
 /* Table757 */
-  0x5a9, /* STOSW */
+  0x5ca, /* STOSW */
 /* Table758 */
   0x2ec, /* LODSW */
 /* Table759 */
-  0x512, /* SCASW */
+  0x533, /* SCASW */
 /* Table760 */
-  0x315, /* MOV16ri */
+  0x317, /* MOV16ri */
 /* Table761 */
-  0x484, /* ROL16mi */
-  0x49c, /* ROR16mi */
-  0x42b, /* RCL16mi */
-  0x443, /* RCR16mi */
-  0x546, /* SHL16mi */
-  0x56e, /* SHR16mi */
-  0x4ba, /* SAL16mi */
-  0x4d3, /* SAR16mi */
-  0x487, /* ROL16ri */
-  0x49f, /* ROR16ri */
-  0x42e, /* RCL16ri */
-  0x446, /* RCR16ri */
-  0x549, /* SHL16ri */
-  0x571, /* SHR16ri */
-  0x4bd, /* SAL16ri */
-  0x4d6, /* SAR16ri */
+  0x4a3, /* ROL16mi */
+  0x4bb, /* ROR16mi */
+  0x432, /* RCL16mi */
+  0x44a, /* RCR16mi */
+  0x567, /* SHL16mi */
+  0x58f, /* SHR16mi */
+  0x4d9, /* SAL16mi */
+  0x4f2, /* SAR16mi */
+  0x4a6, /* ROL16ri */
+  0x4be, /* ROR16ri */
+  0x435, /* RCL16ri */
+  0x44d, /* RCR16ri */
+  0x56a, /* SHL16ri */
+  0x592, /* SHR16ri */
+  0x4dc, /* SAL16ri */
+  0x4f5, /* SAR16ri */
 /* Table777 */
-  0x47d, /* RETIW */
+  0x49c, /* RETIW */
 /* Table778 */
-  0x480, /* RETW */
+  0x49f, /* RETW */
 /* Table779 */
   0x297, /* LES16rm */
   0x0, /*  */
@@ -26757,7 +26937,7 @@ static const InstrUID modRMTable[] = {
   0x28f, /* LDS16rm */
   0x0, /*  */
 /* Table783 */
-  0x310, /* MOV16mi */
+  0x311, /* MOV16mi */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26765,7 +26945,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x316, /* MOV16ri_alt */
+  0x318, /* MOV16ri_alt */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -26778,262 +26958,274 @@ static const InstrUID modRMTable[] = {
 /* Table800 */
   0x2f5, /* LRETW */
 /* Table801 */
-  0x241, /* IRET16 */
+  0x242, /* IRET16 */
 /* Table802 */
-  0x482, /* ROL16m1 */
-  0x49a, /* ROR16m1 */
-  0x429, /* RCL16m1 */
-  0x441, /* RCR16m1 */
-  0x544, /* SHL16m1 */
-  0x56c, /* SHR16m1 */
-  0x4b8, /* SAL16m1 */
-  0x4d1, /* SAR16m1 */
-  0x485, /* ROL16r1 */
-  0x49d, /* ROR16r1 */
-  0x42c, /* RCL16r1 */
-  0x444, /* RCR16r1 */
-  0x547, /* SHL16r1 */
-  0x56f, /* SHR16r1 */
-  0x4bb, /* SAL16r1 */
-  0x4d4, /* SAR16r1 */
+  0x4a1, /* ROL16m1 */
+  0x4b9, /* ROR16m1 */
+  0x430, /* RCL16m1 */
+  0x448, /* RCR16m1 */
+  0x565, /* SHL16m1 */
+  0x58d, /* SHR16m1 */
+  0x4d7, /* SAL16m1 */
+  0x4f0, /* SAR16m1 */
+  0x4a4, /* ROL16r1 */
+  0x4bc, /* ROR16r1 */
+  0x433, /* RCL16r1 */
+  0x44b, /* RCR16r1 */
+  0x568, /* SHL16r1 */
+  0x590, /* SHR16r1 */
+  0x4da, /* SAL16r1 */
+  0x4f3, /* SAR16r1 */
 /* Table818 */
-  0x483, /* ROL16mCL */
-  0x49b, /* ROR16mCL */
-  0x42a, /* RCL16mCL */
-  0x442, /* RCR16mCL */
-  0x545, /* SHL16mCL */
-  0x56d, /* SHR16mCL */
-  0x4b9, /* SAL16mCL */
-  0x4d2, /* SAR16mCL */
-  0x486, /* ROL16rCL */
-  0x49e, /* ROR16rCL */
-  0x42d, /* RCL16rCL */
-  0x445, /* RCR16rCL */
-  0x548, /* SHL16rCL */
-  0x570, /* SHR16rCL */
-  0x4bc, /* SAL16rCL */
-  0x4d5, /* SAR16rCL */
+  0x4a2, /* ROL16mCL */
+  0x4ba, /* ROR16mCL */
+  0x431, /* RCL16mCL */
+  0x449, /* RCR16mCL */
+  0x566, /* SHL16mCL */
+  0x58e, /* SHR16mCL */
+  0x4d8, /* SAL16mCL */
+  0x4f1, /* SAR16mCL */
+  0x4a5, /* ROL16rCL */
+  0x4bd, /* ROR16rCL */
+  0x434, /* RCL16rCL */
+  0x44c, /* RCR16rCL */
+  0x569, /* SHL16rCL */
+  0x591, /* SHR16rCL */
+  0x4db, /* SAL16rCL */
+  0x4f4, /* SAR16rCL */
 /* Table834 */
-  0x21c, /* IN16ri */
+  0x221, /* IN16ri */
 /* Table835 */
-  0x3db, /* OUT16ir */
+  0x3e1, /* OUT16ir */
 /* Table836 */
-  0x11a, /* CALLpcrel16 */
+  0x120, /* CALLpcrel16 */
 /* Table837 */
   0x26a, /* JMP_2 */
 /* Table838 */
-  0x1f2, /* FARJMP16i */
+  0x1f7, /* FARJMP16i */
 /* Table839 */
-  0x21d, /* IN16rr */
+  0x222, /* IN16rr */
 /* Table840 */
-  0x3dc, /* OUT16rr */
+  0x3e2, /* OUT16rr */
 /* Table841 */
-  0x5e9, /* TEST16mi */
-  0x5ea, /* TEST16mi_alt */
-  0x3af, /* NOT16m */
-  0x387, /* NEG16m */
-  0x37b, /* MUL16m */
-  0x202, /* IMUL16m */
-  0x1dd, /* DIV16m */
-  0x1fa, /* IDIV16m */
-  0x5eb, /* TEST16ri */
-  0x5ec, /* TEST16ri_alt */
-  0x3b0, /* NOT16r */
-  0x388, /* NEG16r */
-  0x37c, /* MUL16r */
-  0x203, /* IMUL16r */
-  0x1de, /* DIV16r */
-  0x1fb, /* IDIV16r */
+  0x60e, /* TEST16mi */
+  0x60f, /* TEST16mi_alt */
+  0x3b4, /* NOT16m */
+  0x38c, /* NEG16m */
+  0x380, /* MUL16m */
+  0x207, /* IMUL16m */
+  0x1e2, /* DIV16m */
+  0x1ff, /* IDIV16m */
+  0x610, /* TEST16ri */
+  0x611, /* TEST16ri_alt */
+  0x3b5, /* NOT16r */
+  0x38d, /* NEG16r */
+  0x381, /* MUL16r */
+  0x208, /* IMUL16r */
+  0x1e3, /* DIV16r */
+  0x200, /* IDIV16r */
 /* Table857 */
-  0x222, /* INC16m */
-  0x1cf, /* DEC16m */
-  0x113, /* CALL16m */
-  0x1ee, /* FARCALL16m */
+  0x227, /* INC16m */
+  0x1d8, /* DEC16m */
+  0x119, /* CALL16m */
+  0x1f3, /* FARCALL16m */
   0x263, /* JMP16m */
-  0x1f3, /* FARJMP16m */
-  0x408, /* PUSH16rmm */
+  0x1f8, /* FARJMP16m */
+  0x40f, /* PUSH16rmm */
   0x0, /*  */
-  0x224, /* INC32_16r */
-  0x1d1, /* DEC32_16r */
-  0x114, /* CALL16r */
+  0x228, /* INC16r */
+  0x1d9, /* DEC16r */
+  0x11a, /* CALL16r */
   0x0, /*  */
   0x264, /* JMP16r */
   0x0, /*  */
-  0x409, /* PUSH16rmr */
+  0x410, /* PUSH16rmr */
   0x0, /*  */
 /* Table873 */
-  0x251, /* JCXZ */
+  0x349, /* MOV8ao16 */
 /* Table874 */
-  0x5d, /* ADD64mr */
-  0x63, /* ADD64rr */
+  0x31f, /* MOV32ao16 */
+/* Table875 */
+  0x34f, /* MOV8o16a */
 /* Table876 */
-  0x62, /* ADD64rm */
-  0x65, /* ADD64rr_REV */
+  0x327, /* MOV32o16a */
+/* Table877 */
+  0x252, /* JCXZ */
 /* Table878 */
-  0x5a, /* ADD64i32 */
+  0x30e, /* MOV16ao16 */
 /* Table879 */
-  0x3cd, /* OR64mr */
-  0x3d1, /* OR64rr */
-/* Table881 */
-  0x3d0, /* OR64rm */
-  0x3d2, /* OR64rr_REV */
-/* Table883 */
-  0x3ca, /* OR64i32 */
+  0x314, /* MOV16o16a */
+/* Table880 */
+  0x61, /* ADD64mr */
+  0x67, /* ADD64rr */
+/* Table882 */
+  0x66, /* ADD64rm */
+  0x69, /* ADD64rr_REV */
 /* Table884 */
-  0x31, /* ADC64mr */
-  0x35, /* ADC64rr */
-/* Table886 */
-  0x34, /* ADC64rm */
-  0x36, /* ADC64rr_REV */
-/* Table888 */
-  0x2e, /* ADC64i32 */
+  0x5e, /* ADD64i32 */
+/* Table885 */
+  0x3d2, /* OR64mr */
+  0x3d6, /* OR64rr */
+/* Table887 */
+  0x3d5, /* OR64rm */
+  0x3d7, /* OR64rr_REV */
 /* Table889 */
-  0x502, /* SBB64mr */
-  0x506, /* SBB64rr */
-/* Table891 */
-  0x505, /* SBB64rm */
-  0x507, /* SBB64rr_REV */
-/* Table893 */
-  0x4ff, /* SBB64i32 */
+  0x3cf, /* OR64i32 */
+/* Table890 */
+  0x33, /* ADC64mr */
+  0x37, /* ADC64rr */
+/* Table892 */
+  0x36, /* ADC64rm */
+  0x38, /* ADC64rr_REV */
 /* Table894 */
-  0x8b, /* AND64mr */
-  0x8f, /* AND64rr */
-/* Table896 */
-  0x8e, /* AND64rm */
-  0x90, /* AND64rr_REV */
-/* Table898 */
-  0x88, /* AND64i32 */
+  0x30, /* ADC64i32 */
+/* Table895 */
+  0x521, /* SBB64mr */
+  0x525, /* SBB64rr */
+/* Table897 */
+  0x524, /* SBB64rm */
+  0x526, /* SBB64rr_REV */
 /* Table899 */
-  0x5c3, /* SUB64mr */
-  0x5c7, /* SUB64rr */
-/* Table901 */
-  0x5c6, /* SUB64rm */
-  0x5c8, /* SUB64rr_REV */
-/* Table903 */
-  0x5c0, /* SUB64i32 */
+  0x51e, /* SBB64i32 */
+/* Table900 */
+  0x90, /* AND64mr */
+  0x94, /* AND64rr */
+/* Table902 */
+  0x93, /* AND64rm */
+  0x95, /* AND64rr_REV */
 /* Table904 */
-  0x66f, /* XOR64mr */
-  0x673, /* XOR64rr */
-/* Table906 */
-  0x672, /* XOR64rm */
-  0x674, /* XOR64rr_REV */
-/* Table908 */
-  0x66c, /* XOR64i32 */
+  0x8d, /* AND64i32 */
+/* Table905 */
+  0x5e4, /* SUB64mr */
+  0x5e8, /* SUB64rr */
+/* Table907 */
+  0x5e7, /* SUB64rm */
+  0x5e9, /* SUB64rr_REV */
 /* Table909 */
-  0x1ac, /* CMP64mr */
-  0x1b0, /* CMP64rr */
-/* Table911 */
-  0x1af, /* CMP64rm */
-  0x1b1, /* CMP64rr_REV */
-/* Table913 */
-  0x1a9, /* CMP64i32 */
+  0x5e1, /* SUB64i32 */
+/* Table910 */
+  0x693, /* XOR64mr */
+  0x697, /* XOR64rr */
+/* Table912 */
+  0x696, /* XOR64rm */
+  0x698, /* XOR64rr_REV */
 /* Table914 */
-  0x36a, /* MOVSX64rm32 */
-  0x36d, /* MOVSX64rr32 */
-/* Table916 */
-  0x215, /* IMUL64rmi32 */
-  0x218, /* IMUL64rri32 */
-/* Table918 */
-  0x216, /* IMUL64rmi8 */
-  0x219, /* IMUL64rri8 */
+  0x690, /* XOR64i32 */
+/* Table915 */
+  0x1b4, /* CMP64mr */
+  0x1b8, /* CMP64rr */
+/* Table917 */
+  0x1b7, /* CMP64rm */
+  0x1b9, /* CMP64rr_REV */
+/* Table919 */
+  0x1b1, /* CMP64i32 */
 /* Table920 */
-  0x5b, /* ADD64mi32 */
-  0x3cb, /* OR64mi32 */
-  0x2f, /* ADC64mi32 */
-  0x500, /* SBB64mi32 */
-  0x89, /* AND64mi32 */
-  0x5c1, /* SUB64mi32 */
-  0x66d, /* XOR64mi32 */
-  0x1aa, /* CMP64mi32 */
-  0x5e, /* ADD64ri32 */
-  0x3ce, /* OR64ri32 */
-  0x32, /* ADC64ri32 */
-  0x503, /* SBB64ri32 */
-  0x8c, /* AND64ri32 */
-  0x5c4, /* SUB64ri32 */
-  0x670, /* XOR64ri32 */
-  0x1ad, /* CMP64ri32 */
-/* Table936 */
-  0x5c, /* ADD64mi8 */
-  0x3cc, /* OR64mi8 */
-  0x30, /* ADC64mi8 */
-  0x501, /* SBB64mi8 */
-  0x8a, /* AND64mi8 */
-  0x5c2, /* SUB64mi8 */
-  0x66e, /* XOR64mi8 */
-  0x1ab, /* CMP64mi8 */
-  0x60, /* ADD64ri8 */
-  0x3cf, /* OR64ri8 */
-  0x33, /* ADC64ri8 */
-  0x504, /* SBB64ri8 */
-  0x8d, /* AND64ri8 */
-  0x5c5, /* SUB64ri8 */
-  0x671, /* XOR64ri8 */
-  0x1ae, /* CMP64ri8 */
-/* Table952 */
-  0x5fb, /* TEST64rm */
-  0x5fc, /* TEST64rr */
-/* Table954 */
-  0x64f, /* XCHG64rm */
-  0x650, /* XCHG64rr */
-/* Table956 */
-  0x339, /* MOV64mr */
-  0x344, /* MOV64rr */
+  0x36e, /* MOVSX64rm32 */
+  0x372, /* MOVSX64rr32 */
+/* Table922 */
+  0x21a, /* IMUL64rmi32 */
+  0x21d, /* IMUL64rri32 */
+/* Table924 */
+  0x21b, /* IMUL64rmi8 */
+  0x21e, /* IMUL64rri8 */
+/* Table926 */
+  0x5f, /* ADD64mi32 */
+  0x3d0, /* OR64mi32 */
+  0x31, /* ADC64mi32 */
+  0x51f, /* SBB64mi32 */
+  0x8e, /* AND64mi32 */
+  0x5e2, /* SUB64mi32 */
+  0x691, /* XOR64mi32 */
+  0x1b2, /* CMP64mi32 */
+  0x62, /* ADD64ri32 */
+  0x3d3, /* OR64ri32 */
+  0x34, /* ADC64ri32 */
+  0x522, /* SBB64ri32 */
+  0x91, /* AND64ri32 */
+  0x5e5, /* SUB64ri32 */
+  0x694, /* XOR64ri32 */
+  0x1b5, /* CMP64ri32 */
+/* Table942 */
+  0x60, /* ADD64mi8 */
+  0x3d1, /* OR64mi8 */
+  0x32, /* ADC64mi8 */
+  0x520, /* SBB64mi8 */
+  0x8f, /* AND64mi8 */
+  0x5e3, /* SUB64mi8 */
+  0x692, /* XOR64mi8 */
+  0x1b3, /* CMP64mi8 */
+  0x64, /* ADD64ri8 */
+  0x3d4, /* OR64ri8 */
+  0x35, /* ADC64ri8 */
+  0x523, /* SBB64ri8 */
+  0x92, /* AND64ri8 */
+  0x5e6, /* SUB64ri8 */
+  0x695, /* XOR64ri8 */
+  0x1b6, /* CMP64ri8 */
 /* Table958 */
+  0x620, /* TEST64rm */
+  0x621, /* TEST64rr */
+/* Table960 */
+  0x673, /* XCHG64rm */
+  0x674, /* XCHG64rr */
+/* Table962 */
+  0x33b, /* MOV64mr */
+  0x344, /* MOV64rr */
+/* Table964 */
   0x343, /* MOV64rm */
   0x345, /* MOV64rr_REV */
-/* Table960 */
-  0x33a, /* MOV64ms */
+/* Table966 */
+  0x33c, /* MOV64ms */
   0x346, /* MOV64rs */
-/* Table962 */
+/* Table968 */
   0x294, /* LEA64r */
   0x0, /*  */
-/* Table964 */
+/* Table970 */
   0x347, /* MOV64sm */
   0x348, /* MOV64sr */
-/* Table966 */
-  0x64e, /* XCHG64ar */
-/* Table967 */
-  0x11e, /* CDQE */
-/* Table968 */
-  0x1c9, /* CQO */
-/* Table969 */
-  0x33d, /* MOV64o64a */
-/* Table970 */
-  0x334, /* MOV64ao64 */
-/* Table971 */
-  0x360, /* MOVSQ */
 /* Table972 */
-  0x1bb, /* CMPSQ */
+  0x672, /* XCHG64ar */
 /* Table973 */
-  0x5f6, /* TEST64i32 */
+  0x124, /* CDQE */
 /* Table974 */
-  0x5a8, /* STOSQ */
+  0x1d2, /* CQO */
 /* Table975 */
-  0x2eb, /* LODSQ */
+  0x337, /* MOV64ao64 */
 /* Table976 */
-  0x511, /* SCASQ */
+  0x33e, /* MOV64o64a */
 /* Table977 */
-  0x341, /* MOV64ri */
+  0x362, /* MOVSQ */
 /* Table978 */
-  0x490, /* ROL64mi */
-  0x4a8, /* ROR64mi */
-  0x437, /* RCL64mi */
-  0x44f, /* RCR64mi */
-  0x552, /* SHL64mi */
-  0x57a, /* SHR64mi */
-  0x4c6, /* SAL64mi */
-  0x4df, /* SAR64mi */
-  0x493, /* ROL64ri */
-  0x4ab, /* ROR64ri */
-  0x43a, /* RCL64ri */
-  0x452, /* RCR64ri */
-  0x555, /* SHL64ri */
-  0x57d, /* SHR64ri */
-  0x4c9, /* SAL64ri */
-  0x4e2, /* SAR64ri */
-/* Table994 */
-  0x338, /* MOV64mi32 */
+  0x1c5, /* CMPSQ */
+/* Table979 */
+  0x61b, /* TEST64i32 */
+/* Table980 */
+  0x5c9, /* STOSQ */
+/* Table981 */
+  0x2eb, /* LODSQ */
+/* Table982 */
+  0x532, /* SCASQ */
+/* Table983 */
+  0x341, /* MOV64ri */
+/* Table984 */
+  0x4af, /* ROL64mi */
+  0x4c7, /* ROR64mi */
+  0x43e, /* RCL64mi */
+  0x456, /* RCR64mi */
+  0x573, /* SHL64mi */
+  0x59b, /* SHR64mi */
+  0x4e5, /* SAL64mi */
+  0x4fe, /* SAR64mi */
+  0x4b2, /* ROL64ri */
+  0x4ca, /* ROR64ri */
+  0x441, /* RCL64ri */
+  0x459, /* RCR64ri */
+  0x576, /* SHL64ri */
+  0x59e, /* SHR64ri */
+  0x4e8, /* SAL64ri */
+  0x501, /* SAR64ri */
+/* Table1000 */
+  0x33a, /* MOV64mi32 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27049,188 +27241,190 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1010 */
+/* Table1016 */
   0x2f1, /* LRETIQ */
-/* Table1011 */
+/* Table1017 */
   0x2f4, /* LRETQ */
-/* Table1012 */
-  0x243, /* IRET64 */
-/* Table1013 */
-  0x48e, /* ROL64m1 */
-  0x4a6, /* ROR64m1 */
-  0x435, /* RCL64m1 */
-  0x44d, /* RCR64m1 */
-  0x550, /* SHL64m1 */
-  0x578, /* SHR64m1 */
-  0x4c4, /* SAL64m1 */
-  0x4dd, /* SAR64m1 */
-  0x491, /* ROL64r1 */
-  0x4a9, /* ROR64r1 */
-  0x438, /* RCL64r1 */
-  0x450, /* RCR64r1 */
-  0x553, /* SHL64r1 */
-  0x57b, /* SHR64r1 */
-  0x4c7, /* SAL64r1 */
-  0x4e0, /* SAR64r1 */
-/* Table1029 */
-  0x48f, /* ROL64mCL */
-  0x4a7, /* ROR64mCL */
-  0x436, /* RCL64mCL */
-  0x44e, /* RCR64mCL */
-  0x551, /* SHL64mCL */
-  0x579, /* SHR64mCL */
-  0x4c5, /* SAL64mCL */
-  0x4de, /* SAR64mCL */
-  0x492, /* ROL64rCL */
-  0x4aa, /* ROR64rCL */
-  0x439, /* RCL64rCL */
-  0x451, /* RCR64rCL */
-  0x554, /* SHL64rCL */
-  0x57c, /* SHR64rCL */
-  0x4c8, /* SAL64rCL */
-  0x4e1, /* SAR64rCL */
-/* Table1045 */
-  0x5f7, /* TEST64mi32 */
-  0x5f8, /* TEST64mi32_alt */
-  0x3b3, /* NOT64m */
-  0x38b, /* NEG64m */
-  0x37f, /* MUL64m */
-  0x212, /* IMUL64m */
-  0x1e1, /* DIV64m */
-  0x1fe, /* IDIV64m */
-  0x5f9, /* TEST64ri32 */
-  0x5fa, /* TEST64ri32_alt */
-  0x3b4, /* NOT64r */
-  0x38c, /* NEG64r */
-  0x380, /* MUL64r */
-  0x213, /* IMUL64r */
-  0x1e2, /* DIV64r */
-  0x1ff, /* IDIV64r */
-/* Table1061 */
-  0x22c, /* INC64m */
-  0x1d9, /* DEC64m */
-  0x117, /* CALL64m */
-  0x1f1, /* FARCALL64 */
+/* Table1018 */
+  0x244, /* IRET64 */
+/* Table1019 */
+  0x4ad, /* ROL64m1 */
+  0x4c5, /* ROR64m1 */
+  0x43c, /* RCL64m1 */
+  0x454, /* RCR64m1 */
+  0x571, /* SHL64m1 */
+  0x599, /* SHR64m1 */
+  0x4e3, /* SAL64m1 */
+  0x4fc, /* SAR64m1 */
+  0x4b0, /* ROL64r1 */
+  0x4c8, /* ROR64r1 */
+  0x43f, /* RCL64r1 */
+  0x457, /* RCR64r1 */
+  0x574, /* SHL64r1 */
+  0x59c, /* SHR64r1 */
+  0x4e6, /* SAL64r1 */
+  0x4ff, /* SAR64r1 */
+/* Table1035 */
+  0x4ae, /* ROL64mCL */
+  0x4c6, /* ROR64mCL */
+  0x43d, /* RCL64mCL */
+  0x455, /* RCR64mCL */
+  0x572, /* SHL64mCL */
+  0x59a, /* SHR64mCL */
+  0x4e4, /* SAL64mCL */
+  0x4fd, /* SAR64mCL */
+  0x4b1, /* ROL64rCL */
+  0x4c9, /* ROR64rCL */
+  0x440, /* RCL64rCL */
+  0x458, /* RCR64rCL */
+  0x575, /* SHL64rCL */
+  0x59d, /* SHR64rCL */
+  0x4e7, /* SAL64rCL */
+  0x500, /* SAR64rCL */
+/* Table1051 */
+  0x61c, /* TEST64mi32 */
+  0x61d, /* TEST64mi32_alt */
+  0x3b8, /* NOT64m */
+  0x390, /* NEG64m */
+  0x384, /* MUL64m */
+  0x217, /* IMUL64m */
+  0x1e6, /* DIV64m */
+  0x203, /* IDIV64m */
+  0x61e, /* TEST64ri32 */
+  0x61f, /* TEST64ri32_alt */
+  0x3b9, /* NOT64r */
+  0x391, /* NEG64r */
+  0x385, /* MUL64r */
+  0x218, /* IMUL64r */
+  0x1e7, /* DIV64r */
+  0x204, /* IDIV64r */
+/* Table1067 */
+  0x22d, /* INC64m */
+  0x1de, /* DEC64m */
+  0x11d, /* CALL64m */
+  0x1f6, /* FARCALL64 */
   0x267, /* JMP64m */
-  0x1f6, /* FARJMP64 */
-  0x412, /* PUSH64rmm */
+  0x1fb, /* FARJMP64 */
+  0x419, /* PUSH64rmm */
   0x0, /*  */
-  0x22d, /* INC64r */
-  0x1da, /* DEC64r */
-  0x119, /* CALL64r */
+  0x22e, /* INC64r */
+  0x1df, /* DEC64r */
+  0x11f, /* CALL64r */
   0x0, /*  */
   0x268, /* JMP64r */
   0x0, /*  */
-  0x413, /* PUSH64rmr */
+  0x41a, /* PUSH64rmr */
   0x0, /*  */
-/* Table1077 */
-  0x40e, /* PUSH64i16 */
-/* Table1078 */
-  0x33b, /* MOV64o16a */
-/* Table1079 */
-  0x332, /* MOV64ao16 */
-/* Table1080 */
-  0x228, /* INC64_16m */
-  0x1d5, /* DEC64_16m */
-  0x117, /* CALL64m */
-  0x1ee, /* FARCALL16m */
+/* Table1083 */
+  0x415, /* PUSH64i16 */
+/* Table1084 */
+  0x336, /* MOV64ao32 */
+/* Table1085 */
+  0x33d, /* MOV64o32a */
+/* Table1086 */
+  0x22d, /* INC64m */
+  0x1de, /* DEC64m */
+  0x11d, /* CALL64m */
+  0x1f6, /* FARCALL64 */
   0x267, /* JMP64m */
-  0x1f3, /* FARJMP16m */
-  0x408, /* PUSH16rmm */
+  0x1fb, /* FARJMP64 */
+  0x40f, /* PUSH16rmm */
   0x0, /*  */
-  0x229, /* INC64_16r */
-  0x1d6, /* DEC64_16r */
-  0x119, /* CALL64r */
+  0x22e, /* INC64r */
+  0x1df, /* DEC64r */
+  0x11f, /* CALL64r */
   0x0, /*  */
   0x268, /* JMP64r */
   0x0, /*  */
-  0x409, /* PUSH16rmr */
+  0x410, /* PUSH16rmr */
   0x0, /*  */
-/* Table1096 */
-  0x253, /* JECXZ_64 */
-/* Table1097 */
-  0x22c, /* INC64m */
-  0x1d9, /* DEC64m */
-  0x117, /* CALL64m */
-  0x1f1, /* FARCALL64 */
+/* Table1102 */
+  0x310, /* MOV16ao64 */
+/* Table1103 */
+  0x316, /* MOV16o64a */
+/* Table1104 */
+  0x227, /* INC16m */
+  0x1d8, /* DEC16m */
+  0x11d, /* CALL64m */
+  0x1f3, /* FARCALL16m */
   0x267, /* JMP64m */
-  0x1f6, /* FARJMP64 */
-  0x408, /* PUSH16rmm */
+  0x1f8, /* FARJMP16m */
+  0x40f, /* PUSH16rmm */
   0x0, /*  */
-  0x22d, /* INC64r */
-  0x1da, /* DEC64r */
-  0x119, /* CALL64r */
+  0x228, /* INC16r */
+  0x1d9, /* DEC16r */
+  0x11f, /* CALL64r */
   0x0, /*  */
   0x268, /* JMP64r */
   0x0, /*  */
-  0x409, /* PUSH16rmr */
+  0x410, /* PUSH16rmr */
   0x0, /*  */
-/* Table1113 */
-  0x598, /* SLDT16m */
-  0x5ad, /* STRm */
+/* Table1120 */
+  0x5b9, /* SLDT16m */
+  0x5ce, /* STRm */
   0x2a5, /* LLDT16m */
   0x2ff, /* LTRm */
-  0x619, /* VERRm */
-  0x61b, /* VERWm */
+  0x63e, /* VERRm */
+  0x640, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0x59a, /* SLDT32r */
-  0x5ab, /* STR32r */
+  0x5bb, /* SLDT32r */
+  0x5cc, /* STR32r */
   0x2a6, /* LLDT16r */
   0x300, /* LTRr */
-  0x61a, /* VERRr */
-  0x61c, /* VERWr */
+  0x63f, /* VERRr */
+  0x641, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table1129 */
-  0x542, /* SGDT32m */
-  0x595, /* SIDT32m */
+/* Table1136 */
+  0x563, /* SGDT32m */
+  0x5b6, /* SIDT32m */
   0x29d, /* LGDT32m */
   0x2a3, /* LIDT32m */
-  0x59d, /* SMSW16m */
+  0x5be, /* SMSW16m */
   0x0, /*  */
   0x2a7, /* LMSW16m */
-  0x23a, /* INVLPG */
+  0x23b, /* INVLPG */
   0x0, /*  */
-  0x61d, /* VMCALL */
-  0x620, /* VMLAUNCH */
-  0x62a, /* VMRESUME */
-  0x633, /* VMXOFF */
+  0x642, /* VMCALL */
+  0x645, /* VMLAUNCH */
+  0x64f, /* VMRESUME */
+  0x658, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11f, /* CLAC */
-  0x5a1, /* STAC */
+  0x125, /* CLAC */
+  0x5c2, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x658, /* XGETBV */
-  0x683, /* XSETBV */
+  0x67c, /* XGETBV */
+  0x6ae, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* VMFUNC */
+  0x644, /* VMFUNC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62b, /* VMRUN32 */
-  0x623, /* VMMCALL */
-  0x621, /* VMLOAD32 */
-  0x62d, /* VMSAVE32 */
-  0x5a4, /* STGI */
-  0x122, /* CLGI */
-  0x597, /* SKINIT */
-  0x23b, /* INVLPGA32 */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
+  0x650, /* VMRUN32 */
+  0x648, /* VMMCALL */
+  0x646, /* VMLOAD32 */
+  0x652, /* VMSAVE32 */
+  0x5c5, /* STGI */
+  0x129, /* CLGI */
+  0x5b8, /* SKINIT */
+  0x23c, /* INVLPGA32 */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27247,246 +27441,246 @@ static const InstrUID modRMTable[] = {
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
-  0x5d1, /* SWAPGS */
-  0x466, /* RDTSCP */
+  0x5f3, /* SWAPGS */
+  0x46d, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1201 */
+/* Table1208 */
   0x285, /* LAR32rm */
   0x286, /* LAR32rr */
-/* Table1203 */
+/* Table1210 */
   0x2f8, /* LSL32rm */
   0x2f9, /* LSL32rr */
-/* Table1205 */
-  0x5d2, /* SYSCALL */
-/* Table1206 */
-  0x124, /* CLTS */
-/* Table1207 */
-  0x5d6, /* SYSRET */
-/* Table1208 */
-  0x237, /* INVD */
-/* Table1209 */
-  0x636, /* WBINVD */
-/* Table1210 */
-  0x60b, /* TRAP */
-/* Table1211 */
+/* Table1212 */
+  0x5f4, /* SYSCALL */
+/* Table1213 */
+  0x12b, /* CLTS */
+/* Table1214 */
+  0x5f8, /* SYSRET */
+/* Table1215 */
+  0x238, /* INVD */
+/* Table1216 */
+  0x65a, /* WBINVD */
+/* Table1217 */
+  0x630, /* TRAP */
+/* Table1218 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x398, /* NOOP18_m4 */
-  0x399, /* NOOP18_m5 */
-  0x39a, /* NOOP18_m6 */
-  0x39b, /* NOOP18_m7 */
+  0x39d, /* NOOP18_m4 */
+  0x39e, /* NOOP18_m5 */
+  0x39f, /* NOOP18_m6 */
+  0x3a0, /* NOOP18_m7 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x39c, /* NOOP18_r4 */
-  0x39d, /* NOOP18_r5 */
-  0x39e, /* NOOP18_r6 */
-  0x39f, /* NOOP18_r7 */
-/* Table1227 */
-  0x3a2, /* NOOPL_19 */
-  0x3a0, /* NOOP19rr */
-/* Table1229 */
-  0x3a3, /* NOOPL_1a */
+  0x3a1, /* NOOP18_r4 */
+  0x3a2, /* NOOP18_r5 */
+  0x3a3, /* NOOP18_r6 */
+  0x3a4, /* NOOP18_r7 */
+/* Table1234 */
+  0x3a7, /* NOOPL_19 */
+  0x3a5, /* NOOP19rr */
+/* Table1236 */
+  0x3a8, /* NOOPL_1a */
   0x0, /*  */
-/* Table1231 */
-  0x3a4, /* NOOPL_1b */
+/* Table1238 */
+  0x3a9, /* NOOPL_1b */
   0x0, /*  */
-/* Table1233 */
-  0x3a5, /* NOOPL_1c */
+/* Table1240 */
+  0x3aa, /* NOOPL_1c */
   0x0, /*  */
-/* Table1235 */
-  0x3a6, /* NOOPL_1d */
+/* Table1242 */
+  0x3ab, /* NOOPL_1d */
   0x0, /*  */
-/* Table1237 */
-  0x3a7, /* NOOPL_1e */
+/* Table1244 */
+  0x3ac, /* NOOPL_1e */
   0x0, /*  */
-/* Table1239 */
-  0x3a1, /* NOOPL */
+/* Table1246 */
+  0x3a6, /* NOOPL */
   0x0, /*  */
-/* Table1241 */
+/* Table1248 */
   0x0, /*  */
-  0x327, /* MOV32rc */
-/* Table1243 */
-  0x0, /*  */
-  0x328, /* MOV32rd */
-/* Table1245 */
-  0x0, /*  */
-  0x31f, /* MOV32cr */
-/* Table1247 */
-  0x0, /*  */
-  0x320, /* MOV32dr */
-/* Table1249 */
-  0x63e, /* WRMSR */
+  0x32b, /* MOV32rc */
 /* Table1250 */
-  0x465, /* RDTSC */
-/* Table1251 */
-  0x45d, /* RDMSR */
+  0x0, /*  */
+  0x32c, /* MOV32rd */
 /* Table1252 */
-  0x45e, /* RDPMC */
-/* Table1253 */
-  0x5d3, /* SYSENTER */
+  0x0, /*  */
+  0x322, /* MOV32cr */
 /* Table1254 */
-  0x5d4, /* SYSEXIT */
-/* Table1255 */
-  0x1f8, /* GETSEC */
+  0x0, /*  */
+  0x323, /* MOV32dr */
 /* Table1256 */
-  0x176, /* CMOVO32rm */
-  0x177, /* CMOVO32rr */
+  0x662, /* WRMSR */
+/* Table1257 */
+  0x46c, /* RDTSC */
 /* Table1258 */
-  0x164, /* CMOVNO32rm */
-  0x165, /* CMOVNO32rr */
+  0x464, /* RDMSR */
+/* Table1259 */
+  0x465, /* RDPMC */
 /* Table1260 */
-  0x134, /* CMOVB32rm */
-  0x135, /* CMOVB32rr */
+  0x5f5, /* SYSENTER */
+/* Table1261 */
+  0x5f6, /* SYSEXIT */
 /* Table1262 */
-  0x12e, /* CMOVAE32rm */
-  0x12f, /* CMOVAE32rr */
-/* Table1264 */
-  0x140, /* CMOVE32rm */
-  0x141, /* CMOVE32rr */
-/* Table1266 */
-  0x15e, /* CMOVNE32rm */
-  0x15f, /* CMOVNE32rr */
-/* Table1268 */
-  0x13a, /* CMOVBE32rm */
-  0x13b, /* CMOVBE32rr */
-/* Table1270 */
-  0x128, /* CMOVA32rm */
-  0x129, /* CMOVA32rr */
-/* Table1272 */
-  0x182, /* CMOVS32rm */
-  0x183, /* CMOVS32rr */
-/* Table1274 */
-  0x170, /* CMOVNS32rm */
-  0x171, /* CMOVNS32rr */
-/* Table1276 */
-  0x17c, /* CMOVP32rm */
-  0x17d, /* CMOVP32rr */
-/* Table1278 */
-  0x16a, /* CMOVNP32rm */
-  0x16b, /* CMOVNP32rr */
-/* Table1280 */
-  0x152, /* CMOVL32rm */
-  0x153, /* CMOVL32rr */
-/* Table1282 */
-  0x14c, /* CMOVGE32rm */
-  0x14d, /* CMOVGE32rr */
-/* Table1284 */
-  0x158, /* CMOVLE32rm */
-  0x159, /* CMOVLE32rr */
-/* Table1286 */
-  0x146, /* CMOVG32rm */
-  0x147, /* CMOVG32rr */
-/* Table1288 */
-  0x626, /* VMREAD32rm */
-  0x627, /* VMREAD32rr */
-/* Table1290 */
-  0x62f, /* VMWRITE32rm */
-  0x630, /* VMWRITE32rr */
-/* Table1292 */
-  0x27a, /* JO_4 */
+  0x1fd, /* GETSEC */
+/* Table1263 */
+  0x17e, /* CMOVO32rm */
+  0x17f, /* CMOVO32rr */
+/* Table1265 */
+  0x16c, /* CMOVNO32rm */
+  0x16d, /* CMOVNO32rr */
+/* Table1267 */
+  0x13c, /* CMOVB32rm */
+  0x13d, /* CMOVB32rr */
+/* Table1269 */
+  0x136, /* CMOVAE32rm */
+  0x137, /* CMOVAE32rr */
+/* Table1271 */
+  0x148, /* CMOVE32rm */
+  0x149, /* CMOVE32rr */
+/* Table1273 */
+  0x166, /* CMOVNE32rm */
+  0x167, /* CMOVNE32rr */
+/* Table1275 */
+  0x142, /* CMOVBE32rm */
+  0x143, /* CMOVBE32rr */
+/* Table1277 */
+  0x130, /* CMOVA32rm */
+  0x131, /* CMOVA32rr */
+/* Table1279 */
+  0x18a, /* CMOVS32rm */
+  0x18b, /* CMOVS32rr */
+/* Table1281 */
+  0x178, /* CMOVNS32rm */
+  0x179, /* CMOVNS32rr */
+/* Table1283 */
+  0x184, /* CMOVP32rm */
+  0x185, /* CMOVP32rr */
+/* Table1285 */
+  0x172, /* CMOVNP32rm */
+  0x173, /* CMOVNP32rr */
+/* Table1287 */
+  0x15a, /* CMOVL32rm */
+  0x15b, /* CMOVL32rr */
+/* Table1289 */
+  0x154, /* CMOVGE32rm */
+  0x155, /* CMOVGE32rr */
+/* Table1291 */
+  0x160, /* CMOVLE32rm */
+  0x161, /* CMOVLE32rr */
 /* Table1293 */
-  0x271, /* JNO_4 */
-/* Table1294 */
-  0x250, /* JB_4 */
+  0x14e, /* CMOVG32rm */
+  0x14f, /* CMOVG32rr */
 /* Table1295 */
-  0x247, /* JAE_4 */
-/* Table1296 */
-  0x256, /* JE_4 */
+  0x64b, /* VMREAD32rm */
+  0x64c, /* VMREAD32rr */
 /* Table1297 */
-  0x26e, /* JNE_4 */
-/* Table1298 */
-  0x24d, /* JBE_4 */
+  0x654, /* VMWRITE32rm */
+  0x655, /* VMWRITE32rr */
 /* Table1299 */
-  0x24a, /* JA_4 */
+  0x27a, /* JO_4 */
 /* Table1300 */
-  0x281, /* JS_4 */
+  0x271, /* JNO_4 */
 /* Table1301 */
-  0x277, /* JNS_4 */
+  0x251, /* JB_4 */
 /* Table1302 */
-  0x27d, /* JP_4 */
+  0x248, /* JAE_4 */
 /* Table1303 */
-  0x274, /* JNP_4 */
+  0x256, /* JE_4 */
 /* Table1304 */
-  0x262, /* JL_4 */
+  0x26e, /* JNE_4 */
 /* Table1305 */
-  0x259, /* JGE_4 */
+  0x24e, /* JBE_4 */
 /* Table1306 */
-  0x25f, /* JLE_4 */
+  0x24b, /* JA_4 */
 /* Table1307 */
-  0x25c, /* JG_4 */
+  0x281, /* JS_4 */
 /* Table1308 */
-  0x53b, /* SETOm */
-  0x53c, /* SETOr */
+  0x277, /* JNS_4 */
+/* Table1309 */
+  0x27d, /* JP_4 */
 /* Table1310 */
-  0x535, /* SETNOm */
-  0x536, /* SETNOr */
+  0x274, /* JNP_4 */
+/* Table1311 */
+  0x262, /* JL_4 */
 /* Table1312 */
-  0x527, /* SETBm */
-  0x528, /* SETBr */
+  0x259, /* JGE_4 */
+/* Table1313 */
+  0x25f, /* JLE_4 */
 /* Table1314 */
-  0x51d, /* SETAEm */
-  0x51e, /* SETAEr */
-/* Table1316 */
-  0x529, /* SETEm */
-  0x52a, /* SETEr */
-/* Table1318 */
-  0x533, /* SETNEm */
-  0x534, /* SETNEr */
-/* Table1320 */
-  0x521, /* SETBEm */
-  0x522, /* SETBEr */
-/* Table1322 */
-  0x51f, /* SETAm */
-  0x520, /* SETAr */
-/* Table1324 */
-  0x53f, /* SETSm */
-  0x540, /* SETSr */
-/* Table1326 */
-  0x539, /* SETNSm */
-  0x53a, /* SETNSr */
-/* Table1328 */
-  0x53d, /* SETPm */
-  0x53e, /* SETPr */
-/* Table1330 */
-  0x537, /* SETNPm */
-  0x538, /* SETNPr */
-/* Table1332 */
-  0x531, /* SETLm */
-  0x532, /* SETLr */
-/* Table1334 */
-  0x52b, /* SETGEm */
-  0x52c, /* SETGEr */
-/* Table1336 */
-  0x52f, /* SETLEm */
-  0x530, /* SETLEr */
-/* Table1338 */
-  0x52d, /* SETGm */
-  0x52e, /* SETGr */
-/* Table1340 */
-  0x420, /* PUSHFS32 */
+  0x25c, /* JG_4 */
+/* Table1315 */
+  0x55c, /* SETOm */
+  0x55d, /* SETOr */
+/* Table1317 */
+  0x556, /* SETNOm */
+  0x557, /* SETNOr */
+/* Table1319 */
+  0x548, /* SETBm */
+  0x549, /* SETBr */
+/* Table1321 */
+  0x53e, /* SETAEm */
+  0x53f, /* SETAEr */
+/* Table1323 */
+  0x54a, /* SETEm */
+  0x54b, /* SETEr */
+/* Table1325 */
+  0x554, /* SETNEm */
+  0x555, /* SETNEr */
+/* Table1327 */
+  0x542, /* SETBEm */
+  0x543, /* SETBEr */
+/* Table1329 */
+  0x540, /* SETAm */
+  0x541, /* SETAr */
+/* Table1331 */
+  0x560, /* SETSm */
+  0x561, /* SETSr */
+/* Table1333 */
+  0x55a, /* SETNSm */
+  0x55b, /* SETNSr */
+/* Table1335 */
+  0x55e, /* SETPm */
+  0x55f, /* SETPr */
+/* Table1337 */
+  0x558, /* SETNPm */
+  0x559, /* SETNPr */
+/* Table1339 */
+  0x552, /* SETLm */
+  0x553, /* SETLr */
 /* Table1341 */
-  0x3ff, /* POPFS32 */
-/* Table1342 */
-  0x1c7, /* CPUID32 */
+  0x54c, /* SETGEm */
+  0x54d, /* SETGEr */
 /* Table1343 */
-  0xe4, /* BT32mr */
-  0xe6, /* BT32rr */
+  0x550, /* SETLEm */
+  0x551, /* SETLEr */
 /* Table1345 */
-  0x561, /* SHLD32mri8 */
-  0x563, /* SHLD32rri8 */
+  0x54e, /* SETGm */
+  0x54f, /* SETGr */
 /* Table1347 */
-  0x560, /* SHLD32mrCL */
-  0x562, /* SHLD32rrCL */
+  0x427, /* PUSHFS32 */
+/* Table1348 */
+  0x406, /* POPFS32 */
 /* Table1349 */
+  0x1d1, /* CPUID */
+/* Table1350 */
+  0xea, /* BT32mr */
+  0xec, /* BT32rr */
+/* Table1352 */
+  0x582, /* SHLD32mri8 */
+  0x584, /* SHLD32rri8 */
+/* Table1354 */
+  0x581, /* SHLD32mrCL */
+  0x583, /* SHLD32rrCL */
+/* Table1356 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27503,7 +27697,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x684, /* XSHA1 */
+  0x6af, /* XSHA1 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27511,7 +27705,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x685, /* XSHA256 */
+  0x6b0, /* XSHA256 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27559,7 +27753,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1421 */
+/* Table1428 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27568,7 +27762,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x686, /* XSTORE */
+  0x6b1, /* XSTORE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27576,7 +27770,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x656, /* XCRYPTECB */
+  0x67a, /* XCRYPTECB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27584,7 +27778,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x653, /* XCRYPTCBC */
+  0x677, /* XCRYPTCBC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27592,7 +27786,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x655, /* XCRYPTCTR */
+  0x679, /* XCRYPTCTR */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27600,7 +27794,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x654, /* XCRYPTCFB */
+  0x678, /* XCRYPTCFB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27608,7 +27802,7 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x657, /* XCRYPTOFB */
+  0x67b, /* XCRYPTOFB */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27632,29 +27826,29 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1493 */
-  0x423, /* PUSHGS32 */
-/* Table1494 */
-  0x402, /* POPGS32 */
-/* Table1495 */
-  0x4b6, /* RSM */
-/* Table1496 */
-  0x108, /* BTS32mr */
-  0x10a, /* BTS32rr */
-/* Table1498 */
-  0x589, /* SHRD32mri8 */
-  0x58b, /* SHRD32rri8 */
 /* Table1500 */
-  0x588, /* SHRD32mrCL */
-  0x58a, /* SHRD32rrCL */
+  0x42a, /* PUSHGS32 */
+/* Table1501 */
+  0x409, /* POPGS32 */
 /* Table1502 */
+  0x4d5, /* RSM */
+/* Table1503 */
+  0x10e, /* BTS32mr */
+  0x110, /* BTS32rr */
+/* Table1505 */
+  0x5aa, /* SHRD32mri8 */
+  0x5ac, /* SHRD32rri8 */
+/* Table1507 */
+  0x5a9, /* SHRD32mrCL */
+  0x5ab, /* SHRD32rrCL */
+/* Table1509 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x67f, /* XSAVE */
-  0x67d, /* XRSTOR */
-  0x681, /* XSAVEOPT */
+  0x6a6, /* XSAVE */
+  0x6a2, /* XRSTOR */
+  0x6aa, /* XSAVEOPT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27664,141 +27858,141 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1518 */
-  0x20c, /* IMUL32rm */
-  0x20f, /* IMUL32rr */
-/* Table1520 */
-  0x1c5, /* CMPXCHG8rm */
-  0x1c6, /* CMPXCHG8rr */
-/* Table1522 */
-  0x1c0, /* CMPXCHG32rm */
-  0x1c1, /* CMPXCHG32rr */
-/* Table1524 */
+/* Table1525 */
+  0x211, /* IMUL32rm */
+  0x214, /* IMUL32rr */
+/* Table1527 */
+  0x1cf, /* CMPXCHG8rm */
+  0x1d0, /* CMPXCHG8rr */
+/* Table1529 */
+  0x1ca, /* CMPXCHG32rm */
+  0x1cb, /* CMPXCHG32rr */
+/* Table1531 */
   0x2fd, /* LSS32rm */
   0x0, /*  */
-/* Table1526 */
-  0xfc, /* BTR32mr */
-  0xfe, /* BTR32rr */
-/* Table1528 */
+/* Table1533 */
+  0x102, /* BTR32mr */
+  0x104, /* BTR32rr */
+/* Table1535 */
   0x29a, /* LFS32rm */
   0x0, /*  */
-/* Table1530 */
-  0x2a0, /* LGS32rm */
-  0x0, /*  */
-/* Table1532 */
-  0x374, /* MOVZX32rm8 */
-  0x376, /* MOVZX32rr8 */
-/* Table1534 */
-  0x373, /* MOVZX32rm16 */
-  0x375, /* MOVZX32rr16 */
-/* Table1536 */
-  0x616, /* UD2B */
 /* Table1537 */
+  0x2a0, /* LGS32rm */
   0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xe3, /* BT32mi8 */
-  0x107, /* BTS32mi8 */
-  0xfb, /* BTR32mi8 */
-  0xef, /* BTC32mi8 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0xe5, /* BT32ri8 */
-  0x109, /* BTS32ri8 */
-  0xfd, /* BTR32ri8 */
-  0xf1, /* BTC32ri8 */
-/* Table1553 */
-  0xf0, /* BTC32mr */
-  0xf2, /* BTC32rr */
-/* Table1555 */
-  0xd3, /* BSF32rm */
-  0xd4, /* BSF32rr */
-/* Table1557 */
-  0xd9, /* BSR32rm */
-  0xda, /* BSR32rr */
-/* Table1559 */
-  0x365, /* MOVSX32rm8 */
-  0x367, /* MOVSX32rr8 */
-/* Table1561 */
-  0x364, /* MOVSX32rm16 */
-  0x366, /* MOVSX32rr16 */
-/* Table1563 */
-  0x645, /* XADD8rm */
-  0x646, /* XADD8rr */
-/* Table1565 */
-  0x641, /* XADD32rm */
-  0x642, /* XADD32rr */
-/* Table1567 */
-  0x0, /*  */
-  0x1c4, /* CMPXCHG8B */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x624, /* VMPTRLDm */
-  0x625, /* VMPTRSTm */
+/* Table1539 */
+  0x379, /* MOVZX32rm8 */
+  0x37b, /* MOVZX32rr8 */
+/* Table1541 */
+  0x378, /* MOVZX32rm16 */
+  0x37a, /* MOVZX32rr16 */
+/* Table1543 */
+  0x63b, /* UD2B */
+/* Table1544 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xe9, /* BT32mi8 */
+  0x10d, /* BTS32mi8 */
+  0x101, /* BTR32mi8 */
+  0xf5, /* BTC32mi8 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xeb, /* BT32ri8 */
+  0x10f, /* BTS32ri8 */
+  0x103, /* BTR32ri8 */
+  0xf7, /* BTC32ri8 */
+/* Table1560 */
+  0xf6, /* BTC32mr */
+  0xf8, /* BTC32rr */
+/* Table1562 */
+  0xd9, /* BSF32rm */
+  0xda, /* BSF32rr */
+/* Table1564 */
+  0xdf, /* BSR32rm */
+  0xe0, /* BSR32rr */
+/* Table1566 */
+  0x369, /* MOVSX32rm8 */
+  0x36b, /* MOVSX32rr8 */
+/* Table1568 */
+  0x368, /* MOVSX32rm16 */
+  0x36a, /* MOVSX32rr16 */
+/* Table1570 */
+  0x669, /* XADD8rm */
+  0x66a, /* XADD8rr */
+/* Table1572 */
+  0x665, /* XADD32rm */
+  0x666, /* XADD32rr */
+/* Table1574 */
+  0x0, /*  */
+  0x1ce, /* CMPXCHG8B */
+  0x0, /*  */
+  0x6a4, /* XRSTORS */
+  0x6a8, /* XSAVEC */
+  0x6ac, /* XSAVES */
+  0x649, /* VMPTRLDm */
+  0x64a, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x460, /* RDRAND32r */
-  0x463, /* RDSEED32r */
-/* Table1583 */
-  0xdd, /* BSWAP32r */
-/* Table1584 */
-  0x543, /* SGDT64m */
-  0x596, /* SIDT64m */
+  0x467, /* RDRAND32r */
+  0x46a, /* RDSEED32r */
+/* Table1590 */
+  0xe3, /* BSWAP32r */
+/* Table1591 */
+  0x564, /* SGDT64m */
+  0x5b7, /* SIDT64m */
   0x29e, /* LGDT64m */
   0x2a4, /* LIDT64m */
-  0x59d, /* SMSW16m */
+  0x5be, /* SMSW16m */
   0x0, /*  */
   0x2a7, /* LMSW16m */
-  0x23a, /* INVLPG */
+  0x23b, /* INVLPG */
   0x0, /*  */
-  0x61d, /* VMCALL */
-  0x620, /* VMLAUNCH */
-  0x62a, /* VMRESUME */
-  0x633, /* VMXOFF */
+  0x642, /* VMCALL */
+  0x645, /* VMLAUNCH */
+  0x64f, /* VMRESUME */
+  0x658, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11f, /* CLAC */
-  0x5a1, /* STAC */
+  0x125, /* CLAC */
+  0x5c2, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x658, /* XGETBV */
-  0x683, /* XSETBV */
+  0x67c, /* XGETBV */
+  0x6ae, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* VMFUNC */
+  0x644, /* VMFUNC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62c, /* VMRUN64 */
-  0x623, /* VMMCALL */
-  0x622, /* VMLOAD64 */
-  0x62e, /* VMSAVE64 */
-  0x5a4, /* STGI */
-  0x122, /* CLGI */
-  0x597, /* SKINIT */
-  0x23c, /* INVLPGA64 */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
-  0x59f, /* SMSW32r */
+  0x651, /* VMRUN64 */
+  0x648, /* VMMCALL */
+  0x647, /* VMLOAD64 */
+  0x653, /* VMSAVE64 */
+  0x5c5, /* STGI */
+  0x129, /* CLGI */
+  0x5b8, /* SKINIT */
+  0x23d, /* INVLPGA64 */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
+  0x5c0, /* SMSW32r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27815,108 +28009,106 @@ static const InstrUID modRMTable[] = {
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
-  0x5d1, /* SWAPGS */
-  0x466, /* RDTSCP */
+  0x5f3, /* SWAPGS */
+  0x46d, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1656 */
+/* Table1663 */
   0x0, /*  */
   0x33f, /* MOV64rc */
-/* Table1658 */
+/* Table1665 */
   0x0, /*  */
   0x340, /* MOV64rd */
-/* Table1660 */
-  0x0, /*  */
-  0x336, /* MOV64cr */
-/* Table1662 */
+/* Table1667 */
   0x0, /*  */
-  0x337, /* MOV64dr */
-/* Table1664 */
-  0x628, /* VMREAD64rm */
-  0x629, /* VMREAD64rr */
-/* Table1666 */
-  0x631, /* VMWRITE64rm */
-  0x632, /* VMWRITE64rr */
-/* Table1668 */
-  0x421, /* PUSHFS64 */
+  0x338, /* MOV64cr */
 /* Table1669 */
-  0x400, /* POPFS64 */
-/* Table1670 */
-  0x1c8, /* CPUID64 */
+  0x0, /*  */
+  0x339, /* MOV64dr */
 /* Table1671 */
-  0x424, /* PUSHGS64 */
-/* Table1672 */
-  0x403, /* POPGS64 */
+  0x64d, /* VMREAD64rm */
+  0x64e, /* VMREAD64rr */
 /* Table1673 */
-  0x598, /* SLDT16m */
-  0x5ad, /* STRm */
+  0x656, /* VMWRITE64rm */
+  0x657, /* VMWRITE64rr */
+/* Table1675 */
+  0x428, /* PUSHFS64 */
+/* Table1676 */
+  0x407, /* POPFS64 */
+/* Table1677 */
+  0x42b, /* PUSHGS64 */
+/* Table1678 */
+  0x40a, /* POPGS64 */
+/* Table1679 */
+  0x5b9, /* SLDT16m */
+  0x5ce, /* STRm */
   0x2a5, /* LLDT16m */
   0x2ff, /* LTRm */
-  0x619, /* VERRm */
-  0x61b, /* VERWm */
+  0x63e, /* VERRm */
+  0x640, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0x599, /* SLDT16r */
-  0x5aa, /* STR16r */
+  0x5ba, /* SLDT16r */
+  0x5cb, /* STR16r */
   0x2a6, /* LLDT16r */
   0x300, /* LTRr */
-  0x61a, /* VERRr */
-  0x61c, /* VERWr */
+  0x63f, /* VERRr */
+  0x641, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table1689 */
-  0x541, /* SGDT16m */
-  0x594, /* SIDT16m */
+/* Table1695 */
+  0x562, /* SGDT16m */
+  0x5b5, /* SIDT16m */
   0x29c, /* LGDT16m */
   0x2a2, /* LIDT16m */
-  0x59d, /* SMSW16m */
+  0x5be, /* SMSW16m */
   0x0, /*  */
   0x2a7, /* LMSW16m */
-  0x23a, /* INVLPG */
+  0x23b, /* INVLPG */
   0x0, /*  */
-  0x61d, /* VMCALL */
-  0x620, /* VMLAUNCH */
-  0x62a, /* VMRESUME */
-  0x633, /* VMXOFF */
+  0x642, /* VMCALL */
+  0x645, /* VMLAUNCH */
+  0x64f, /* VMRESUME */
+  0x658, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11f, /* CLAC */
-  0x5a1, /* STAC */
+  0x125, /* CLAC */
+  0x5c2, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x658, /* XGETBV */
-  0x683, /* XSETBV */
+  0x67c, /* XGETBV */
+  0x6ae, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* VMFUNC */
+  0x644, /* VMFUNC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62b, /* VMRUN32 */
-  0x623, /* VMMCALL */
-  0x621, /* VMLOAD32 */
-  0x62d, /* VMSAVE32 */
-  0x5a4, /* STGI */
-  0x122, /* CLGI */
-  0x597, /* SKINIT */
-  0x23b, /* INVLPGA32 */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
+  0x650, /* VMRUN32 */
+  0x648, /* VMMCALL */
+  0x646, /* VMLOAD32 */
+  0x652, /* VMSAVE32 */
+  0x5c5, /* STGI */
+  0x129, /* CLGI */
+  0x5b8, /* SKINIT */
+  0x23c, /* INVLPGA32 */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -27933,329 +28125,221 @@ static const InstrUID modRMTable[] = {
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
-  0x5d1, /* SWAPGS */
-  0x466, /* RDTSCP */
+  0x5f3, /* SWAPGS */
+  0x46d, /* RDTSCP */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table1761 */
+/* Table1767 */
   0x283, /* LAR16rm */
   0x284, /* LAR16rr */
-/* Table1763 */
+/* Table1769 */
   0x2f6, /* LSL16rm */
   0x2f7, /* LSL16rr */
-/* Table1765 */
-  0x0, /*  */
+/* Table1771 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x390, /* NOOP18_16m4 */
-  0x391, /* NOOP18_16m5 */
-  0x392, /* NOOP18_16m6 */
-  0x393, /* NOOP18_16m7 */
   0x0, /*  */
+  0x395, /* NOOP18_16m4 */
+  0x396, /* NOOP18_16m5 */
+  0x397, /* NOOP18_16m6 */
+  0x398, /* NOOP18_16m7 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x394, /* NOOP18_16r4 */
-  0x395, /* NOOP18_16r5 */
-  0x396, /* NOOP18_16r6 */
-  0x397, /* NOOP18_16r7 */
-/* Table1781 */
-  0x3a9, /* NOOPW_19 */
-  0x3a0, /* NOOP19rr */
-/* Table1783 */
-  0x3aa, /* NOOPW_1a */
-  0x0, /*  */
-/* Table1785 */
-  0x3ab, /* NOOPW_1b */
   0x0, /*  */
+  0x399, /* NOOP18_16r4 */
+  0x39a, /* NOOP18_16r5 */
+  0x39b, /* NOOP18_16r6 */
+  0x39c, /* NOOP18_16r7 */
 /* Table1787 */
-  0x3ac, /* NOOPW_1c */
-  0x0, /*  */
+  0x3ae, /* NOOPW_19 */
+  0x3a5, /* NOOP19rr */
 /* Table1789 */
-  0x3ad, /* NOOPW_1d */
+  0x3af, /* NOOPW_1a */
   0x0, /*  */
 /* Table1791 */
-  0x3ae, /* NOOPW_1e */
+  0x3b0, /* NOOPW_1b */
   0x0, /*  */
 /* Table1793 */
-  0x3a8, /* NOOPW */
+  0x3b1, /* NOOPW_1c */
   0x0, /*  */
 /* Table1795 */
-  0x174, /* CMOVO16rm */
-  0x175, /* CMOVO16rr */
+  0x3b2, /* NOOPW_1d */
+  0x0, /*  */
 /* Table1797 */
-  0x162, /* CMOVNO16rm */
-  0x163, /* CMOVNO16rr */
+  0x3b3, /* NOOPW_1e */
+  0x0, /*  */
 /* Table1799 */
-  0x132, /* CMOVB16rm */
-  0x133, /* CMOVB16rr */
+  0x3ad, /* NOOPW */
+  0x0, /*  */
 /* Table1801 */
-  0x12c, /* CMOVAE16rm */
-  0x12d, /* CMOVAE16rr */
+  0x17c, /* CMOVO16rm */
+  0x17d, /* CMOVO16rr */
 /* Table1803 */
-  0x13e, /* CMOVE16rm */
-  0x13f, /* CMOVE16rr */
+  0x16a, /* CMOVNO16rm */
+  0x16b, /* CMOVNO16rr */
 /* Table1805 */
-  0x15c, /* CMOVNE16rm */
-  0x15d, /* CMOVNE16rr */
+  0x13a, /* CMOVB16rm */
+  0x13b, /* CMOVB16rr */
 /* Table1807 */
-  0x138, /* CMOVBE16rm */
-  0x139, /* CMOVBE16rr */
+  0x134, /* CMOVAE16rm */
+  0x135, /* CMOVAE16rr */
 /* Table1809 */
-  0x126, /* CMOVA16rm */
-  0x127, /* CMOVA16rr */
+  0x146, /* CMOVE16rm */
+  0x147, /* CMOVE16rr */
 /* Table1811 */
-  0x180, /* CMOVS16rm */
-  0x181, /* CMOVS16rr */
+  0x164, /* CMOVNE16rm */
+  0x165, /* CMOVNE16rr */
 /* Table1813 */
-  0x16e, /* CMOVNS16rm */
-  0x16f, /* CMOVNS16rr */
+  0x140, /* CMOVBE16rm */
+  0x141, /* CMOVBE16rr */
 /* Table1815 */
-  0x17a, /* CMOVP16rm */
-  0x17b, /* CMOVP16rr */
+  0x12e, /* CMOVA16rm */
+  0x12f, /* CMOVA16rr */
 /* Table1817 */
-  0x168, /* CMOVNP16rm */
-  0x169, /* CMOVNP16rr */
+  0x188, /* CMOVS16rm */
+  0x189, /* CMOVS16rr */
 /* Table1819 */
-  0x150, /* CMOVL16rm */
-  0x151, /* CMOVL16rr */
+  0x176, /* CMOVNS16rm */
+  0x177, /* CMOVNS16rr */
 /* Table1821 */
-  0x14a, /* CMOVGE16rm */
-  0x14b, /* CMOVGE16rr */
+  0x182, /* CMOVP16rm */
+  0x183, /* CMOVP16rr */
 /* Table1823 */
-  0x156, /* CMOVLE16rm */
-  0x157, /* CMOVLE16rr */
+  0x170, /* CMOVNP16rm */
+  0x171, /* CMOVNP16rr */
 /* Table1825 */
-  0x144, /* CMOVG16rm */
-  0x145, /* CMOVG16rr */
+  0x158, /* CMOVL16rm */
+  0x159, /* CMOVL16rr */
 /* Table1827 */
-  0x279, /* JO_2 */
-/* Table1828 */
-  0x270, /* JNO_2 */
+  0x152, /* CMOVGE16rm */
+  0x153, /* CMOVGE16rr */
 /* Table1829 */
-  0x24f, /* JB_2 */
-/* Table1830 */
-  0x246, /* JAE_2 */
+  0x15e, /* CMOVLE16rm */
+  0x15f, /* CMOVLE16rr */
 /* Table1831 */
-  0x255, /* JE_2 */
-/* Table1832 */
-  0x26d, /* JNE_2 */
+  0x14c, /* CMOVG16rm */
+  0x14d, /* CMOVG16rr */
 /* Table1833 */
-  0x24c, /* JBE_2 */
+  0x279, /* JO_2 */
 /* Table1834 */
-  0x249, /* JA_2 */
+  0x270, /* JNO_2 */
 /* Table1835 */
-  0x280, /* JS_2 */
+  0x250, /* JB_2 */
 /* Table1836 */
-  0x276, /* JNS_2 */
+  0x247, /* JAE_2 */
 /* Table1837 */
-  0x27c, /* JP_2 */
+  0x255, /* JE_2 */
 /* Table1838 */
-  0x273, /* JNP_2 */
+  0x26d, /* JNE_2 */
 /* Table1839 */
-  0x261, /* JL_2 */
+  0x24d, /* JBE_2 */
 /* Table1840 */
-  0x258, /* JGE_2 */
+  0x24a, /* JA_2 */
 /* Table1841 */
-  0x25e, /* JLE_2 */
+  0x280, /* JS_2 */
 /* Table1842 */
-  0x25b, /* JG_2 */
+  0x276, /* JNS_2 */
 /* Table1843 */
-  0x41f, /* PUSHFS16 */
+  0x27c, /* JP_2 */
 /* Table1844 */
-  0x3fe, /* POPFS16 */
+  0x273, /* JNP_2 */
 /* Table1845 */
-  0xe0, /* BT16mr */
-  0xe2, /* BT16rr */
+  0x261, /* JL_2 */
+/* Table1846 */
+  0x258, /* JGE_2 */
 /* Table1847 */
-  0x55d, /* SHLD16mri8 */
-  0x55f, /* SHLD16rri8 */
+  0x25e, /* JLE_2 */
+/* Table1848 */
+  0x25b, /* JG_2 */
 /* Table1849 */
-  0x55c, /* SHLD16mrCL */
-  0x55e, /* SHLD16rrCL */
+  0x426, /* PUSHFS16 */
+/* Table1850 */
+  0x405, /* POPFS16 */
 /* Table1851 */
-  0x422, /* PUSHGS16 */
-/* Table1852 */
-  0x401, /* POPGS16 */
+  0xe6, /* BT16mr */
+  0xe8, /* BT16rr */
 /* Table1853 */
-  0x104, /* BTS16mr */
-  0x106, /* BTS16rr */
+  0x57e, /* SHLD16mri8 */
+  0x580, /* SHLD16rri8 */
 /* Table1855 */
-  0x585, /* SHRD16mri8 */
-  0x587, /* SHRD16rri8 */
+  0x57d, /* SHLD16mrCL */
+  0x57f, /* SHLD16rrCL */
 /* Table1857 */
-  0x584, /* SHRD16mrCL */
-  0x586, /* SHRD16rrCL */
+  0x429, /* PUSHGS16 */
+/* Table1858 */
+  0x408, /* POPGS16 */
 /* Table1859 */
-  0x204, /* IMUL16rm */
-  0x207, /* IMUL16rr */
+  0x10a, /* BTS16mr */
+  0x10c, /* BTS16rr */
 /* Table1861 */
-  0x1be, /* CMPXCHG16rm */
-  0x1bf, /* CMPXCHG16rr */
+  0x5a6, /* SHRD16mri8 */
+  0x5a8, /* SHRD16rri8 */
 /* Table1863 */
-  0x2fc, /* LSS16rm */
-  0x0, /*  */
+  0x5a5, /* SHRD16mrCL */
+  0x5a7, /* SHRD16rrCL */
 /* Table1865 */
-  0xf8, /* BTR16mr */
-  0xfa, /* BTR16rr */
-/* Table1867 */
-  0x299, /* LFS16rm */
   0x0, /*  */
-/* Table1869 */
-  0x29f, /* LGS16rm */
   0x0, /*  */
-/* Table1871 */
-  0x36f, /* MOVZX16rm8 */
-  0x370, /* MOVZX16rr8 */
-/* Table1873 */
   0x0, /*  */
   0x0, /*  */
+  0x6a6, /* XSAVE */
+  0x6a2, /* XRSTOR */
+  0x12c, /* CLWB */
+  0x128, /* CLFLUSHOPT */
   0x0, /*  */
   0x0, /*  */
-  0xdf, /* BT16mi8 */
-  0x103, /* BTS16mi8 */
-  0xf7, /* BTR16mi8 */
-  0xeb, /* BTC16mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xe1, /* BT16ri8 */
-  0x105, /* BTS16ri8 */
-  0xf9, /* BTR16ri8 */
-  0xed, /* BTC16ri8 */
-/* Table1889 */
-  0xec, /* BTC16mr */
-  0xee, /* BTC16rr */
-/* Table1891 */
-  0xd1, /* BSF16rm */
-  0xd2, /* BSF16rr */
-/* Table1893 */
-  0xd7, /* BSR16rm */
-  0xd8, /* BSR16rr */
-/* Table1895 */
-  0x362, /* MOVSX16rm8 */
-  0x363, /* MOVSX16rr8 */
-/* Table1897 */
-  0x63f, /* XADD16rm */
-  0x640, /* XADD16rr */
-/* Table1899 */
   0x0, /*  */
-  0x1c4, /* CMPXCHG8B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* VMCLEARm */
-  0x625, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x45f, /* RDRAND16r */
-  0x462, /* RDSEED16r */
-/* Table1915 */
-  0x60e, /* TZCNT32rm */
-  0x60f, /* TZCNT32rr */
-/* Table1917 */
-  0x307, /* LZCNT32rm */
-  0x308, /* LZCNT32rr */
-/* Table1919 */
   0x0, /*  */
-  0x1c4, /* CMPXCHG8B */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x634, /* VMXON */
-  0x625, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x460, /* RDRAND32r */
-  0x463, /* RDSEED32r */
-/* Table1935 */
-  0x60c, /* TZCNT16rm */
-  0x60d, /* TZCNT16rr */
-/* Table1937 */
-  0x305, /* LZCNT16rm */
-  0x306, /* LZCNT16rr */
-/* Table1939 */
-  0x59b, /* SLDT64m */
-  0x5ad, /* STRm */
-  0x2a5, /* LLDT16m */
-  0x2ff, /* LTRm */
-  0x619, /* VERRm */
-  0x61b, /* VERWm */
   0x0, /*  */
   0x0, /*  */
-  0x59c, /* SLDT64r */
-  0x5ac, /* STR64r */
-  0x2a6, /* LLDT16r */
-  0x300, /* LTRr */
-  0x61a, /* VERRr */
-  0x61c, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-/* Table1955 */
-  0x543, /* SGDT64m */
-  0x596, /* SIDT64m */
-  0x29e, /* LGDT64m */
-  0x2a4, /* LIDT64m */
-  0x59d, /* SMSW16m */
   0x0, /*  */
-  0x2a7, /* LMSW16m */
-  0x23a, /* INVLPG */
   0x0, /*  */
-  0x61d, /* VMCALL */
-  0x620, /* VMLAUNCH */
-  0x62a, /* VMRESUME */
-  0x633, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11f, /* CLAC */
-  0x5a1, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x658, /* XGETBV */
-  0x683, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* VMFUNC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62c, /* VMRUN64 */
-  0x623, /* VMMCALL */
-  0x622, /* VMLOAD64 */
-  0x62e, /* VMSAVE64 */
-  0x5a4, /* STGI */
-  0x122, /* CLGI */
-  0x597, /* SKINIT */
-  0x23c, /* INVLPGA64 */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
-  0x5a0, /* SMSW64r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -28264,242 +28348,179 @@ static const InstrUID modRMTable[] = {
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x2a8, /* LMSW16r */
-  0x5d1, /* SWAPGS */
-  0x466, /* RDTSCP */
+  0x3ea, /* PCOMMIT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2027 */
-  0x287, /* LAR64rm */
-  0x288, /* LAR64rr */
-/* Table2029 */
-  0x2fa, /* LSL64rm */
-  0x2fb, /* LSL64rr */
-/* Table2031 */
-  0x5d7, /* SYSRET64 */
-/* Table2032 */
-  0x5d5, /* SYSEXIT64 */
-/* Table2033 */
-  0x178, /* CMOVO64rm */
-  0x179, /* CMOVO64rr */
-/* Table2035 */
-  0x166, /* CMOVNO64rm */
-  0x167, /* CMOVNO64rr */
-/* Table2037 */
-  0x136, /* CMOVB64rm */
-  0x137, /* CMOVB64rr */
-/* Table2039 */
-  0x130, /* CMOVAE64rm */
-  0x131, /* CMOVAE64rr */
-/* Table2041 */
-  0x142, /* CMOVE64rm */
-  0x143, /* CMOVE64rr */
-/* Table2043 */
-  0x160, /* CMOVNE64rm */
-  0x161, /* CMOVNE64rr */
-/* Table2045 */
-  0x13c, /* CMOVBE64rm */
-  0x13d, /* CMOVBE64rr */
-/* Table2047 */
-  0x12a, /* CMOVA64rm */
-  0x12b, /* CMOVA64rr */
-/* Table2049 */
-  0x184, /* CMOVS64rm */
-  0x185, /* CMOVS64rr */
-/* Table2051 */
-  0x172, /* CMOVNS64rm */
-  0x173, /* CMOVNS64rr */
-/* Table2053 */
-  0x17e, /* CMOVP64rm */
-  0x17f, /* CMOVP64rr */
-/* Table2055 */
-  0x16c, /* CMOVNP64rm */
-  0x16d, /* CMOVNP64rr */
-/* Table2057 */
-  0x154, /* CMOVL64rm */
-  0x155, /* CMOVL64rr */
-/* Table2059 */
-  0x14e, /* CMOVGE64rm */
-  0x14f, /* CMOVGE64rr */
-/* Table2061 */
-  0x15a, /* CMOVLE64rm */
-  0x15b, /* CMOVLE64rr */
-/* Table2063 */
-  0x148, /* CMOVG64rm */
-  0x149, /* CMOVG64rr */
-/* Table2065 */
-  0xe8, /* BT64mr */
-  0xea, /* BT64rr */
-/* Table2067 */
-  0x565, /* SHLD64mri8 */
-  0x567, /* SHLD64rri8 */
-/* Table2069 */
-  0x564, /* SHLD64mrCL */
-  0x566, /* SHLD64rrCL */
-/* Table2071 */
-  0x10c, /* BTS64mr */
-  0x10e, /* BTS64rr */
-/* Table2073 */
-  0x58d, /* SHRD64mri8 */
-  0x58f, /* SHRD64rri8 */
-/* Table2075 */
-  0x58c, /* SHRD64mrCL */
-  0x58e, /* SHRD64rrCL */
-/* Table2077 */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x680, /* XSAVE64 */
-  0x67e, /* XRSTOR64 */
-  0x682, /* XSAVEOPT64 */
   0x0, /*  */
+/* Table1937 */
+  0x209, /* IMUL16rm */
+  0x20c, /* IMUL16rr */
+/* Table1939 */
+  0x1c8, /* CMPXCHG16rm */
+  0x1c9, /* CMPXCHG16rr */
+/* Table1941 */
+  0x2fc, /* LSS16rm */
+  0x0, /*  */
+/* Table1943 */
+  0xfe, /* BTR16mr */
+  0x100, /* BTR16rr */
+/* Table1945 */
+  0x299, /* LFS16rm */
   0x0, /*  */
+/* Table1947 */
+  0x29f, /* LGS16rm */
   0x0, /*  */
+/* Table1949 */
+  0x374, /* MOVZX16rm8 */
+  0x375, /* MOVZX16rr8 */
+/* Table1951 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0xe5, /* BT16mi8 */
+  0x109, /* BTS16mi8 */
+  0xfd, /* BTR16mi8 */
+  0xf1, /* BTC16mi8 */
   0x0, /*  */
   0x0, /*  */
-/* Table2093 */
-  0x214, /* IMUL64rm */
-  0x217, /* IMUL64rr */
-/* Table2095 */
-  0x1c2, /* CMPXCHG64rm */
-  0x1c3, /* CMPXCHG64rr */
-/* Table2097 */
-  0x2fe, /* LSS64rm */
   0x0, /*  */
-/* Table2099 */
-  0x100, /* BTR64mr */
-  0x102, /* BTR64rr */
-/* Table2101 */
-  0x29b, /* LFS64rm */
   0x0, /*  */
-/* Table2103 */
-  0x2a1, /* LGS64rm */
+  0xe7, /* BT16ri8 */
+  0x10b, /* BTS16ri8 */
+  0xff, /* BTR16ri8 */
+  0xf3, /* BTC16ri8 */
+/* Table1967 */
+  0xf2, /* BTC16mr */
+  0xf4, /* BTC16rr */
+/* Table1969 */
+  0xd7, /* BSF16rm */
+  0xd8, /* BSF16rr */
+/* Table1971 */
+  0xdd, /* BSR16rm */
+  0xde, /* BSR16rr */
+/* Table1973 */
+  0x364, /* MOVSX16rm8 */
+  0x365, /* MOVSX16rr8 */
+/* Table1975 */
+  0x663, /* XADD16rm */
+  0x664, /* XADD16rr */
+/* Table1977 */
   0x0, /*  */
-/* Table2105 */
-  0x378, /* MOVZX64rm8_Q */
-  0x37a, /* MOVZX64rr8_Q */
-/* Table2107 */
-  0x377, /* MOVZX64rm16_Q */
-  0x379, /* MOVZX64rr16_Q */
-/* Table2109 */
+  0x1ce, /* CMPXCHG8B */
   0x0, /*  */
+  0x6a4, /* XRSTORS */
+  0x6a8, /* XSAVEC */
+  0x6ac, /* XSAVES */
+  0x643, /* VMCLEARm */
+  0x64a, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xe7, /* BT64mi8 */
-  0x10b, /* BTS64mi8 */
-  0xff, /* BTR64mi8 */
-  0xf3, /* BTC64mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x466, /* RDRAND16r */
+  0x469, /* RDSEED16r */
+/* Table1993 */
+  0x633, /* TZCNT32rm */
+  0x634, /* TZCNT32rr */
+/* Table1995 */
+  0x307, /* LZCNT32rm */
+  0x308, /* LZCNT32rr */
+/* Table1997 */
   0x0, /*  */
-  0xe9, /* BT64ri8 */
-  0x10d, /* BTS64ri8 */
-  0x101, /* BTR64ri8 */
-  0xf5, /* BTC64ri8 */
-/* Table2125 */
-  0xf4, /* BTC64mr */
-  0xf6, /* BTC64rr */
-/* Table2127 */
-  0xd5, /* BSF64rm */
-  0xd6, /* BSF64rr */
-/* Table2129 */
-  0xdb, /* BSR64rm */
-  0xdc, /* BSR64rr */
-/* Table2131 */
-  0x36b, /* MOVSX64rm8 */
-  0x36e, /* MOVSX64rr8 */
-/* Table2133 */
-  0x369, /* MOVSX64rm16 */
-  0x36c, /* MOVSX64rr16 */
-/* Table2135 */
-  0x643, /* XADD64rm */
-  0x644, /* XADD64rr */
-/* Table2137 */
+  0x1ce, /* CMPXCHG8B */
   0x0, /*  */
-  0x1bd, /* CMPXCHG16B */
+  0x6a4, /* XRSTORS */
+  0x6a8, /* XSAVEC */
+  0x6ac, /* XSAVES */
+  0x659, /* VMXON */
+  0x64a, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x624, /* VMPTRLDm */
-  0x625, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
+  0x467, /* RDRAND32r */
+  0x46a, /* RDSEED32r */
+/* Table2013 */
+  0x631, /* TZCNT16rm */
+  0x632, /* TZCNT16rr */
+/* Table2015 */
+  0x305, /* LZCNT16rm */
+  0x306, /* LZCNT16rr */
+/* Table2017 */
+  0x5bc, /* SLDT64m */
+  0x5ce, /* STRm */
+  0x2a5, /* LLDT16m */
+  0x2ff, /* LTRm */
+  0x63e, /* VERRm */
+  0x640, /* VERWm */
   0x0, /*  */
   0x0, /*  */
+  0x5bd, /* SLDT64r */
+  0x5cd, /* STR64r */
+  0x2a6, /* LLDT16r */
+  0x300, /* LTRr */
+  0x63f, /* VERRr */
+  0x641, /* VERWr */
   0x0, /*  */
   0x0, /*  */
-  0x461, /* RDRAND64r */
-  0x464, /* RDSEED64r */
-/* Table2153 */
-  0xde, /* BSWAP64r */
-/* Table2154 */
-  0x543, /* SGDT64m */
-  0x596, /* SIDT64m */
+/* Table2033 */
+  0x564, /* SGDT64m */
+  0x5b7, /* SIDT64m */
   0x29e, /* LGDT64m */
   0x2a4, /* LIDT64m */
-  0x59d, /* SMSW16m */
+  0x5be, /* SMSW16m */
   0x0, /*  */
   0x2a7, /* LMSW16m */
-  0x23a, /* INVLPG */
+  0x23b, /* INVLPG */
   0x0, /*  */
-  0x61d, /* VMCALL */
-  0x620, /* VMLAUNCH */
-  0x62a, /* VMRESUME */
-  0x633, /* VMXOFF */
+  0x642, /* VMCALL */
+  0x645, /* VMLAUNCH */
+  0x64f, /* VMRESUME */
+  0x658, /* VMXOFF */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x11f, /* CLAC */
-  0x5a1, /* STAC */
+  0x125, /* CLAC */
+  0x5c2, /* STAC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x658, /* XGETBV */
-  0x683, /* XSETBV */
+  0x67c, /* XGETBV */
+  0x6ae, /* XSETBV */
   0x0, /*  */
   0x0, /*  */
-  0x61f, /* VMFUNC */
+  0x644, /* VMFUNC */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x62c, /* VMRUN64 */
-  0x623, /* VMMCALL */
-  0x622, /* VMLOAD64 */
-  0x62e, /* VMSAVE64 */
-  0x5a4, /* STGI */
-  0x122, /* CLGI */
-  0x597, /* SKINIT */
-  0x23c, /* INVLPGA64 */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
-  0x59e, /* SMSW16r */
+  0x651, /* VMRUN64 */
+  0x648, /* VMMCALL */
+  0x647, /* VMLOAD64 */
+  0x653, /* VMSAVE64 */
+  0x5c5, /* STGI */
+  0x129, /* CLGI */
+  0x5b8, /* SKINIT */
+  0x23d, /* INVLPGA64 */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
+  0x5c1, /* SMSW64r */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
@@ -28516,309 +28537,12191 @@ static const InstrUID modRMTable[] = {
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
   0x2a8, /* LMSW16r */
-  0x5d1, /* SWAPGS */
-  0x466, /* RDTSCP */
+  0x5f3, /* SWAPGS */
+  0x46d, /* RDTSCP */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table2105 */
+  0x287, /* LAR64rm */
+  0x288, /* LAR64rr */
+/* Table2107 */
+  0x2fa, /* LSL64rm */
+  0x2fb, /* LSL64rr */
+/* Table2109 */
+  0x5f9, /* SYSRET64 */
+/* Table2110 */
+  0x5f7, /* SYSEXIT64 */
+/* Table2111 */
+  0x180, /* CMOVO64rm */
+  0x181, /* CMOVO64rr */
+/* Table2113 */
+  0x16e, /* CMOVNO64rm */
+  0x16f, /* CMOVNO64rr */
+/* Table2115 */
+  0x13e, /* CMOVB64rm */
+  0x13f, /* CMOVB64rr */
+/* Table2117 */
+  0x138, /* CMOVAE64rm */
+  0x139, /* CMOVAE64rr */
+/* Table2119 */
+  0x14a, /* CMOVE64rm */
+  0x14b, /* CMOVE64rr */
+/* Table2121 */
+  0x168, /* CMOVNE64rm */
+  0x169, /* CMOVNE64rr */
+/* Table2123 */
+  0x144, /* CMOVBE64rm */
+  0x145, /* CMOVBE64rr */
+/* Table2125 */
+  0x132, /* CMOVA64rm */
+  0x133, /* CMOVA64rr */
+/* Table2127 */
+  0x18c, /* CMOVS64rm */
+  0x18d, /* CMOVS64rr */
+/* Table2129 */
+  0x17a, /* CMOVNS64rm */
+  0x17b, /* CMOVNS64rr */
+/* Table2131 */
+  0x186, /* CMOVP64rm */
+  0x187, /* CMOVP64rr */
+/* Table2133 */
+  0x174, /* CMOVNP64rm */
+  0x175, /* CMOVNP64rr */
+/* Table2135 */
+  0x15c, /* CMOVL64rm */
+  0x15d, /* CMOVL64rr */
+/* Table2137 */
+  0x156, /* CMOVGE64rm */
+  0x157, /* CMOVGE64rr */
+/* Table2139 */
+  0x162, /* CMOVLE64rm */
+  0x163, /* CMOVLE64rr */
+/* Table2141 */
+  0x150, /* CMOVG64rm */
+  0x151, /* CMOVG64rr */
+/* Table2143 */
+  0xee, /* BT64mr */
+  0xf0, /* BT64rr */
+/* Table2145 */
+  0x586, /* SHLD64mri8 */
+  0x588, /* SHLD64rri8 */
+/* Table2147 */
+  0x585, /* SHLD64mrCL */
+  0x587, /* SHLD64rrCL */
+/* Table2149 */
+  0x112, /* BTS64mr */
+  0x114, /* BTS64rr */
+/* Table2151 */
+  0x5ae, /* SHRD64mri8 */
+  0x5b0, /* SHRD64rri8 */
+/* Table2153 */
+  0x5ad, /* SHRD64mrCL */
+  0x5af, /* SHRD64rrCL */
+/* Table2155 */
+  0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x6a7, /* XSAVE64 */
+  0x6a3, /* XRSTOR64 */
+  0x6ab, /* XSAVEOPT64 */
   0x0, /*  */
-/* Table2226 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x67f, /* XSAVE */
-  0x67d, /* XRSTOR */
-  0x681, /* XSAVEOPT */
   0x0, /*  */
-  0x459, /* RDFSBASE */
-  0x45b, /* RDGSBASE */
-  0x63a, /* WRFSBASE */
-  0x63c, /* WRGSBASE */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+/* Table2171 */
+  0x219, /* IMUL64rm */
+  0x21c, /* IMUL64rr */
+/* Table2173 */
+  0x1cc, /* CMPXCHG64rm */
+  0x1cd, /* CMPXCHG64rr */
+/* Table2175 */
+  0x2fe, /* LSS64rm */
   0x0, /*  */
-/* Table2242 */
+/* Table2177 */
+  0x106, /* BTR64mr */
+  0x108, /* BTR64rr */
+/* Table2179 */
+  0x29b, /* LFS64rm */
   0x0, /*  */
+/* Table2181 */
+  0x2a1, /* LGS64rm */
   0x0, /*  */
+/* Table2183 */
+  0x37d, /* MOVZX64rm8_Q */
+  0x37f, /* MOVZX64rr8_Q */
+/* Table2185 */
+  0x37c, /* MOVZX64rm16_Q */
+  0x37e, /* MOVZX64rr16_Q */
+/* Table2187 */
   0x0, /*  */
   0x0, /*  */
-  0x680, /* XSAVE64 */
-  0x67e, /* XRSTOR64 */
-  0x682, /* XSAVEOPT64 */
   0x0, /*  */
-  0x45a, /* RDFSBASE64 */
-  0x45c, /* RDGSBASE64 */
-  0x63b, /* WRFSBASE64 */
-  0x63d, /* WRGSBASE64 */
   0x0, /*  */
+  0xed, /* BT64mi8 */
+  0x111, /* BTS64mi8 */
+  0x105, /* BTR64mi8 */
+  0xf9, /* BTC64mi8 */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-/* Table2258 */
-  0x610, /* TZCNT64rm */
-  0x611, /* TZCNT64rr */
-/* Table2260 */
-  0x309, /* LZCNT64rm */
-  0x30a, /* LZCNT64rr */
-/* Table2262 */
   0x0, /*  */
-  0x1bd, /* CMPXCHG16B */
+  0xef, /* BT64ri8 */
+  0x113, /* BTS64ri8 */
+  0x107, /* BTR64ri8 */
+  0xfb, /* BTC64ri8 */
+/* Table2203 */
+  0xfa, /* BTC64mr */
+  0xfc, /* BTC64rr */
+/* Table2205 */
+  0xdb, /* BSF64rm */
+  0xdc, /* BSF64rr */
+/* Table2207 */
+  0xe1, /* BSR64rm */
+  0xe2, /* BSR64rr */
+/* Table2209 */
+  0x370, /* MOVSX64rm8 */
+  0x373, /* MOVSX64rr8 */
+/* Table2211 */
+  0x36d, /* MOVSX64rm16 */
+  0x371, /* MOVSX64rr16 */
+/* Table2213 */
+  0x667, /* XADD64rm */
+  0x668, /* XADD64rr */
+/* Table2215 */
   0x0, /*  */
+  0x1c7, /* CMPXCHG16B */
   0x0, /*  */
+  0x6a5, /* XRSTORS64 */
+  0x6a9, /* XSAVEC64 */
+  0x6ad, /* XSAVES64 */
+  0x649, /* VMPTRLDm */
+  0x64a, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
-  0x634, /* VMXON */
-  0x625, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
+  0x468, /* RDRAND64r */
+  0x46b, /* RDSEED64r */
+/* Table2231 */
+  0xe4, /* BSWAP64r */
+/* Table2232 */
   0x0, /*  */
   0x0, /*  */
-  0x461, /* RDRAND64r */
-  0x464, /* RDSEED64r */
-/* Table2278 */
   0x0, /*  */
-  0x1bd, /* CMPXCHG16B */
   0x0, /*  */
+  0x6a7, /* XSAVE64 */
+  0x6a3, /* XRSTOR64 */
+  0x6ab, /* XSAVEOPT64 */
+  0x128, /* CLFLUSHOPT */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x61e, /* VMCLEARm */
-  0x625, /* VMPTRSTm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0x461, /* RDRAND64r */
-  0x464, /* RDSEED64r */
-/* Table2294 */
-  0x35a, /* MOVBE32rm */
   0x0, /*  */
-/* Table2296 */
-  0x359, /* MOVBE32mr */
   0x0, /*  */
-/* Table2298 */
-  0x238, /* INVEPT32 */
   0x0, /*  */
-/* Table2300 */
-  0x23f, /* INVVPID32 */
   0x0, /*  */
-/* Table2302 */
-  0x23d, /* INVPCID32 */
   0x0, /*  */
-/* Table2304 */
-  0x358, /* MOVBE16rm */
   0x0, /*  */
-/* Table2306 */
-  0x357, /* MOVBE16mr */
   0x0, /*  */
-/* Table2308 */
-  0x3e, /* ADCX32rm */
-  0x3f, /* ADCX32rr */
-/* Table2310 */
-  0x72, /* ADOX32rm */
-  0x73, /* ADOX32rr */
-/* Table2312 */
-  0x35c, /* MOVBE64rm */
   0x0, /*  */
-/* Table2314 */
-  0x35b, /* MOVBE64mr */
   0x0, /*  */
-/* Table2316 */
-  0x239, /* INVEPT64 */
   0x0, /*  */
-/* Table2318 */
-  0x240, /* INVVPID64 */
   0x0, /*  */
-/* Table2320 */
-  0x23e, /* INVPCID64 */
   0x0, /*  */
-/* Table2322 */
-  0x74, /* ADOX64rm */
-  0x75, /* ADOX64rr */
-/* Table2324 */
-  0x40, /* ADCX64rm */
-  0x41, /* ADCX64rr */
-/* Table2326 */
-  0x99, /* ANDN32rm */
-  0x9a, /* ANDN32rr */
-/* Table2328 */
-  0x0, /*  */
-  0xcb, /* BLSR32rm */
-  0xc7, /* BLSMSK32rm */
-  0xbf, /* BLSI32rm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xcc, /* BLSR32rr */
-  0xc8, /* BLSMSK32rr */
-  0xc0, /* BLSI32rr */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-/* Table2344 */
-  0x10f, /* BZHI32rm */
-  0x110, /* BZHI32rr */
-/* Table2346 */
-  0x9f, /* BEXTR32rm */
-  0xa0, /* BEXTR32rr */
-/* Table2348 */
-  0x3e8, /* PEXT32rm */
-  0x3e9, /* PEXT32rr */
-/* Table2350 */
-  0x4e9, /* SARX32rm */
-  0x4ea, /* SARX32rr */
-/* Table2352 */
-  0x3e4, /* PDEP32rm */
-  0x3e5, /* PDEP32rr */
-/* Table2354 */
-  0x383, /* MULX32rm */
-  0x384, /* MULX32rr */
-/* Table2356 */
-  0x590, /* SHRX32rm */
-  0x591, /* SHRX32rr */
-/* Table2358 */
-  0x568, /* SHLX32rm */
-  0x569, /* SHLX32rr */
-/* Table2360 */
-  0x9b, /* ANDN64rm */
-  0x9c, /* ANDN64rr */
-/* Table2362 */
-  0x0, /*  */
-  0xcd, /* BLSR64rm */
-  0xc9, /* BLSMSK64rm */
-  0xc1, /* BLSI64rm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xce, /* BLSR64rr */
-  0xca, /* BLSMSK64rr */
-  0xc2, /* BLSI64rr */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-  0x0, /*  */
-/* Table2378 */
-  0x111, /* BZHI64rm */
-  0x112, /* BZHI64rr */
-/* Table2380 */
-  0xa1, /* BEXTR64rm */
-  0xa2, /* BEXTR64rr */
-/* Table2382 */
-  0x3ea, /* PEXT64rm */
-  0x3eb, /* PEXT64rr */
-/* Table2384 */
-  0x4eb, /* SARX64rm */
-  0x4ec, /* SARX64rr */
-/* Table2386 */
-  0x3e6, /* PDEP64rm */
-  0x3e7, /* PDEP64rr */
-/* Table2388 */
-  0x385, /* MULX64rm */
-  0x386, /* MULX64rr */
-/* Table2390 */
-  0x592, /* SHRX64rm */
-  0x593, /* SHRX64rr */
-/* Table2392 */
-  0x56a, /* SHLX64rm */
-  0x56b, /* SHLX64rr */
-/* Table2394 */
-  0x4b2, /* RORX32mi */
-  0x4b3, /* RORX32ri */
-/* Table2396 */
-  0x4b4, /* RORX64mi */
-  0x4b5, /* RORX64ri */
-/* Table2398 */
   0x0, /*  */
-  0xa7, /* BLCFILL32rm */
-  0xbb, /* BLSFILL32rm */
-  0xb7, /* BLCS32rm */
-  0x612, /* TZMSK32rm */
-  0xaf, /* BLCIC32rm */
-  0xc3, /* BLSIC32rm */
-  0x5d8, /* T1MSKC32rm */
   0x0, /*  */
-  0xa8, /* BLCFILL32rr */
-  0xbc, /* BLSFILL32rr */
-  0xb8, /* BLCS32rr */
-  0x613, /* TZMSK32rr */
-  0xb0, /* BLCIC32rr */
-  0xc4, /* BLSIC32rr */
-  0x5d9, /* T1MSKC32rr */
-/* Table2414 */
   0x0, /*  */
-  0xb3, /* BLCMSK32rm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xab, /* BLCI32rm */
   0x0, /*  */
   0x0, /*  */
-  0xb4, /* BLCMSK32rr */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xac, /* BLCI32rr */
   0x0, /*  */
-/* Table2430 */
   0x0, /*  */
-  0xa9, /* BLCFILL64rm */
-  0xbd, /* BLSFILL64rm */
-  0xb9, /* BLCS64rm */
-  0x614, /* TZMSK64rm */
-  0xb1, /* BLCIC64rm */
-  0xc5, /* BLSIC64rm */
-  0x5da, /* T1MSKC64rm */
   0x0, /*  */
-  0xaa, /* BLCFILL64rr */
-  0xbe, /* BLSFILL64rr */
-  0xba, /* BLCS64rr */
-  0x615, /* TZMSK64rr */
-  0xb2, /* BLCIC64rr */
-  0xc6, /* BLSIC64rr */
-  0x5db, /* T1MSKC64rr */
-/* Table2446 */
   0x0, /*  */
-  0xb5, /* BLCMSK64rm */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
   0x0, /*  */
-  0xad, /* BLCI64rm */
   0x0, /*  */
   0x0, /*  */
-  0xb6, /* BLCMSK64rr */
   0x0, /*  */
   0x0, /*  */
+  0x3ea, /* PCOMMIT */
   0x0, /*  */
   0x0, /*  */
-  0xae, /* BLCI64rr */
   0x0, /*  */
-/* Table2462 */
-  0xa3, /* BEXTRI32mi */
-  0xa4, /* BEXTRI32ri */
-/* Table2464 */
-  0xa5, /* BEXTRI64mi */
-  0xa6, /* BEXTRI64ri */
-  0x0
-};
-
-static const struct OpcodeDecision x86DisassemblerOneByteOpcodes[] = {
- /* IC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2304 */
+  0x0, /*  */
+  0x1c7, /* CMPXCHG16B */
+  0x0, /*  */
+  0x6a5, /* XRSTORS64 */
+  0x6a9, /* XSAVEC64 */
+  0x6ad, /* XSAVES64 */
+  0x643, /* VMCLEARm */
+  0x64a, /* VMPTRSTm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x468, /* RDRAND64r */
+  0x46b, /* RDSEED64r */
+/* Table2320 */
+  0x564, /* SGDT64m */
+  0x5b7, /* SIDT64m */
+  0x29e, /* LGDT64m */
+  0x2a4, /* LIDT64m */
+  0x5be, /* SMSW16m */
+  0x0, /*  */
+  0x2a7, /* LMSW16m */
+  0x23b, /* INVLPG */
+  0x0, /*  */
+  0x642, /* VMCALL */
+  0x645, /* VMLAUNCH */
+  0x64f, /* VMRESUME */
+  0x658, /* VMXOFF */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x125, /* CLAC */
+  0x5c2, /* STAC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x67c, /* XGETBV */
+  0x6ae, /* XSETBV */
+  0x0, /*  */
+  0x0, /*  */
+  0x644, /* VMFUNC */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x651, /* VMRUN64 */
+  0x648, /* VMMCALL */
+  0x647, /* VMLOAD64 */
+  0x653, /* VMSAVE64 */
+  0x5c5, /* STGI */
+  0x129, /* CLGI */
+  0x5b8, /* SKINIT */
+  0x23d, /* INVLPGA64 */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x5bf, /* SMSW16r */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x2a8, /* LMSW16r */
+  0x5f3, /* SWAPGS */
+  0x46d, /* RDTSCP */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2392 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x6a6, /* XSAVE */
+  0x6a2, /* XRSTOR */
+  0x6aa, /* XSAVEOPT */
+  0x0, /*  */
+  0x460, /* RDFSBASE */
+  0x462, /* RDGSBASE */
+  0x65e, /* WRFSBASE */
+  0x660, /* WRGSBASE */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2408 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x6a7, /* XSAVE64 */
+  0x6a3, /* XRSTOR64 */
+  0x6ab, /* XSAVEOPT64 */
+  0x0, /*  */
+  0x461, /* RDFSBASE64 */
+  0x463, /* RDGSBASE64 */
+  0x65f, /* WRFSBASE64 */
+  0x661, /* WRGSBASE64 */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2424 */
+  0x635, /* TZCNT64rm */
+  0x636, /* TZCNT64rr */
+/* Table2426 */
+  0x309, /* LZCNT64rm */
+  0x30a, /* LZCNT64rr */
+/* Table2428 */
+  0x0, /*  */
+  0x1c7, /* CMPXCHG16B */
+  0x0, /*  */
+  0x6a5, /* XRSTORS64 */
+  0x6a9, /* XSAVEC64 */
+  0x6ad, /* XSAVES64 */
+  0x659, /* VMXON */
+  0x64a, /* VMPTRSTm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x468, /* RDRAND64r */
+  0x46b, /* RDSEED64r */
+/* Table2444 */
+  0x35c, /* MOVBE32rm */
+  0x0, /*  */
+/* Table2446 */
+  0x35b, /* MOVBE32mr */
+  0x0, /*  */
+/* Table2448 */
+  0x239, /* INVEPT32 */
+  0x0, /*  */
+/* Table2450 */
+  0x240, /* INVVPID32 */
+  0x0, /*  */
+/* Table2452 */
+  0x23e, /* INVPCID32 */
+  0x0, /*  */
+/* Table2454 */
+  0x35a, /* MOVBE16rm */
+  0x0, /*  */
+/* Table2456 */
+  0x359, /* MOVBE16mr */
+  0x0, /*  */
+/* Table2458 */
+  0x42, /* ADCX32rm */
+  0x43, /* ADCX32rr */
+/* Table2460 */
+  0x77, /* ADOX32rm */
+  0x78, /* ADOX32rr */
+/* Table2462 */
+  0x35e, /* MOVBE64rm */
+  0x0, /*  */
+/* Table2464 */
+  0x35d, /* MOVBE64mr */
+  0x0, /*  */
+/* Table2466 */
+  0x23a, /* INVEPT64 */
+  0x0, /*  */
+/* Table2468 */
+  0x241, /* INVVPID64 */
+  0x0, /*  */
+/* Table2470 */
+  0x23f, /* INVPCID64 */
+  0x0, /*  */
+/* Table2472 */
+  0x79, /* ADOX64rm */
+  0x7a, /* ADOX64rr */
+/* Table2474 */
+  0x44, /* ADCX64rm */
+  0x45, /* ADCX64rr */
+/* Table2476 */
+  0x9f, /* ANDN32rm */
+  0xa0, /* ANDN32rr */
+/* Table2478 */
+  0x0, /*  */
+  0xd1, /* BLSR32rm */
+  0xcd, /* BLSMSK32rm */
+  0xc5, /* BLSI32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xd2, /* BLSR32rr */
+  0xce, /* BLSMSK32rr */
+  0xc6, /* BLSI32rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2494 */
+  0x115, /* BZHI32rm */
+  0x116, /* BZHI32rr */
+/* Table2496 */
+  0xa5, /* BEXTR32rm */
+  0xa6, /* BEXTR32rr */
+/* Table2498 */
+  0x3ef, /* PEXT32rm */
+  0x3f0, /* PEXT32rr */
+/* Table2500 */
+  0x508, /* SARX32rm */
+  0x509, /* SARX32rr */
+/* Table2502 */
+  0x3eb, /* PDEP32rm */
+  0x3ec, /* PDEP32rr */
+/* Table2504 */
+  0x388, /* MULX32rm */
+  0x389, /* MULX32rr */
+/* Table2506 */
+  0x5b1, /* SHRX32rm */
+  0x5b2, /* SHRX32rr */
+/* Table2508 */
+  0x589, /* SHLX32rm */
+  0x58a, /* SHLX32rr */
+/* Table2510 */
+  0xa1, /* ANDN64rm */
+  0xa2, /* ANDN64rr */
+/* Table2512 */
+  0x0, /*  */
+  0xd3, /* BLSR64rm */
+  0xcf, /* BLSMSK64rm */
+  0xc7, /* BLSI64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xd4, /* BLSR64rr */
+  0xd0, /* BLSMSK64rr */
+  0xc8, /* BLSI64rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+/* Table2528 */
+  0x117, /* BZHI64rm */
+  0x118, /* BZHI64rr */
+/* Table2530 */
+  0xa7, /* BEXTR64rm */
+  0xa8, /* BEXTR64rr */
+/* Table2532 */
+  0x3f1, /* PEXT64rm */
+  0x3f2, /* PEXT64rr */
+/* Table2534 */
+  0x50a, /* SARX64rm */
+  0x50b, /* SARX64rr */
+/* Table2536 */
+  0x3ed, /* PDEP64rm */
+  0x3ee, /* PDEP64rr */
+/* Table2538 */
+  0x38a, /* MULX64rm */
+  0x38b, /* MULX64rr */
+/* Table2540 */
+  0x5b3, /* SHRX64rm */
+  0x5b4, /* SHRX64rr */
+/* Table2542 */
+  0x58b, /* SHLX64rm */
+  0x58c, /* SHLX64rr */
+/* Table2544 */
+  0x4d1, /* RORX32mi */
+  0x4d2, /* RORX32ri */
+/* Table2546 */
+  0x4d3, /* RORX64mi */
+  0x4d4, /* RORX64ri */
+/* Table2548 */
+  0x0, /*  */
+  0xad, /* BLCFILL32rm */
+  0xc1, /* BLSFILL32rm */
+  0xbd, /* BLCS32rm */
+  0x637, /* TZMSK32rm */
+  0xb5, /* BLCIC32rm */
+  0xc9, /* BLSIC32rm */
+  0x5fa, /* T1MSKC32rm */
+  0x0, /*  */
+  0xae, /* BLCFILL32rr */
+  0xc2, /* BLSFILL32rr */
+  0xbe, /* BLCS32rr */
+  0x638, /* TZMSK32rr */
+  0xb6, /* BLCIC32rr */
+  0xca, /* BLSIC32rr */
+  0x5fb, /* T1MSKC32rr */
+/* Table2564 */
+  0x0, /*  */
+  0xb9, /* BLCMSK32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xb1, /* BLCI32rm */
+  0x0, /*  */
+  0x0, /*  */
+  0xba, /* BLCMSK32rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xb2, /* BLCI32rr */
+  0x0, /*  */
+/* Table2580 */
+  0x0, /*  */
+  0xaf, /* BLCFILL64rm */
+  0xc3, /* BLSFILL64rm */
+  0xbf, /* BLCS64rm */
+  0x639, /* TZMSK64rm */
+  0xb7, /* BLCIC64rm */
+  0xcb, /* BLSIC64rm */
+  0x5fc, /* T1MSKC64rm */
+  0x0, /*  */
+  0xb0, /* BLCFILL64rr */
+  0xc4, /* BLSFILL64rr */
+  0xc0, /* BLCS64rr */
+  0x63a, /* TZMSK64rr */
+  0xb8, /* BLCIC64rr */
+  0xcc, /* BLSIC64rr */
+  0x5fd, /* T1MSKC64rr */
+/* Table2596 */
+  0x0, /*  */
+  0xbb, /* BLCMSK64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xb3, /* BLCI64rm */
+  0x0, /*  */
+  0x0, /*  */
+  0xbc, /* BLCMSK64rr */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0x0, /*  */
+  0xb4, /* BLCI64rr */
+  0x0, /*  */
+/* Table2612 */
+  0xa9, /* BEXTRI32mi */
+  0xaa, /* BEXTRI32ri */
+/* Table2614 */
+  0xab, /* BEXTRI64mi */
+  0xac, /* BEXTRI64ri */
+  0x0
+};
+
+static const struct OpcodeDecision x86DisassemblerOneByteOpcodes[] = {
+ /* IC */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    274 /* Table274 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    290 /* Table290 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    312 /* Table312 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    330 /* Table330 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    331 /* Table331 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    335 /* Table335 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    352 /* Table352 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    384 /* Table384 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    479 /* Table479 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    484 /* Table484 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    486 /* Table486 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    514 /* Table514 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    552 /* Table552 */
+   }
+  }
+ }
+,  /* IC_64BIT */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    568 /* Table568 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    571 /* Table571 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    573 /* Table573 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    574 /* Table574 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    575 /* Table575 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    577 /* Table577 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    593 /* Table593 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    594 /* Table594 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    595 /* Table595 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    596 /* Table596 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    597 /* Table597 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    598 /* Table598 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    599 /* Table599 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    274 /* Table274 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    600 /* Table600 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    601 /* Table601 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    312 /* Table312 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    602 /* Table602 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    330 /* Table330 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    331 /* Table331 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    335 /* Table335 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    352 /* Table352 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    384 /* Table384 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    603 /* Table603 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    604 /* Table604 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    514 /* Table514 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    605 /* Table605 */
+   }
+  }
+ }
+,  /* IC_OPSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    621 /* Table621 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    623 /* Table623 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    625 /* Table625 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    626 /* Table626 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    627 /* Table627 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    628 /* Table628 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    630 /* Table630 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    632 /* Table632 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    633 /* Table633 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    634 /* Table634 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    636 /* Table636 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    638 /* Table638 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    639 /* Table639 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    640 /* Table640 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    641 /* Table641 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    643 /* Table643 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    645 /* Table645 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    646 /* Table646 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    647 /* Table647 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    648 /* Table648 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    650 /* Table650 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    652 /* Table652 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    653 /* Table653 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    655 /* Table655 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    657 /* Table657 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    658 /* Table658 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    660 /* Table660 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    662 /* Table662 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    663 /* Table663 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    665 /* Table665 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    667 /* Table667 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    672 /* Table672 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    673 /* Table673 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    674 /* Table674 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    676 /* Table676 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    677 /* Table677 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    679 /* Table679 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    680 /* Table680 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    682 /* Table682 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    683 /* Table683 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    684 /* Table684 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    700 /* Table700 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    716 /* Table716 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    718 /* Table718 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    720 /* Table720 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    722 /* Table722 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    724 /* Table724 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    726 /* Table726 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    728 /* Table728 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    730 /* Table730 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    747 /* Table747 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    748 /* Table748 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    749 /* Table749 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    750 /* Table750 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    751 /* Table751 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    752 /* Table752 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    753 /* Table753 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    754 /* Table754 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    755 /* Table755 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    756 /* Table756 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    757 /* Table757 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    758 /* Table758 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    759 /* Table759 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    761 /* Table761 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    777 /* Table777 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    778 /* Table778 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    779 /* Table779 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    781 /* Table781 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    783 /* Table783 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    799 /* Table799 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    800 /* Table800 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    801 /* Table801 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    802 /* Table802 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    818 /* Table818 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    479 /* Table479 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    834 /* Table834 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    835 /* Table835 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    836 /* Table836 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    837 /* Table837 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    838 /* Table838 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    839 /* Table839 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    840 /* Table840 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    841 /* Table841 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    857 /* Table857 */
+   }
+  }
+ }
+,  /* IC_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    873 /* Table873 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    874 /* Table874 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    875 /* Table875 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    876 /* Table876 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    274 /* Table274 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    290 /* Table290 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    312 /* Table312 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    330 /* Table330 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    331 /* Table331 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    335 /* Table335 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    352 /* Table352 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    384 /* Table384 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    877 /* Table877 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    484 /* Table484 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    486 /* Table486 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    514 /* Table514 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    552 /* Table552 */
+   }
+  }
+ }
+,  /* IC_OPSIZE_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    621 /* Table621 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    623 /* Table623 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    625 /* Table625 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    626 /* Table626 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    627 /* Table627 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    628 /* Table628 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    630 /* Table630 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    632 /* Table632 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    633 /* Table633 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    634 /* Table634 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    636 /* Table636 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    638 /* Table638 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    639 /* Table639 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    640 /* Table640 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    641 /* Table641 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    643 /* Table643 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    645 /* Table645 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    646 /* Table646 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    647 /* Table647 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    648 /* Table648 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    650 /* Table650 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    652 /* Table652 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    653 /* Table653 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    655 /* Table655 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    657 /* Table657 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    658 /* Table658 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    660 /* Table660 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    662 /* Table662 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    663 /* Table663 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    665 /* Table665 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    667 /* Table667 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    668 /* Table668 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    669 /* Table669 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    672 /* Table672 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    673 /* Table673 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    674 /* Table674 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    676 /* Table676 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    677 /* Table677 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    679 /* Table679 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    680 /* Table680 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    682 /* Table682 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    683 /* Table683 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    684 /* Table684 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    700 /* Table700 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    716 /* Table716 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    718 /* Table718 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    720 /* Table720 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    722 /* Table722 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    724 /* Table724 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    726 /* Table726 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    728 /* Table728 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    730 /* Table730 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    746 /* Table746 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    747 /* Table747 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    748 /* Table748 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    749 /* Table749 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    750 /* Table750 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    751 /* Table751 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    873 /* Table873 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    878 /* Table878 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    875 /* Table875 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    879 /* Table879 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    754 /* Table754 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    755 /* Table755 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    756 /* Table756 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    757 /* Table757 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    758 /* Table758 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    759 /* Table759 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    760 /* Table760 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    761 /* Table761 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    777 /* Table777 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    778 /* Table778 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    779 /* Table779 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    781 /* Table781 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    783 /* Table783 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    799 /* Table799 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    800 /* Table800 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    801 /* Table801 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    802 /* Table802 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    818 /* Table818 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    877 /* Table877 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    834 /* Table834 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    835 /* Table835 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    836 /* Table836 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    837 /* Table837 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    838 /* Table838 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    839 /* Table839 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    840 /* Table840 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    841 /* Table841 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    857 /* Table857 */
+   }
+  }
+ }
+,  /* IC_XD */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    274 /* Table274 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    290 /* Table290 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    312 /* Table312 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    330 /* Table330 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    331 /* Table331 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    335 /* Table335 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    352 /* Table352 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    384 /* Table384 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    479 /* Table479 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    484 /* Table484 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    486 /* Table486 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    514 /* Table514 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    552 /* Table552 */
+   }
+  }
+ }
+,  /* IC_XS */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    3 /* Table3 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    7 /* Table7 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    10 /* Table10 */
+   },
+   /* 0x06 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    11 /* Table11 */
+   },
+   /* 0x07 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    12 /* Table12 */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    15 /* Table15 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    19 /* Table19 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    22 /* Table22 */
+   },
+   /* 0x0e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    23 /* Table23 */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    26 /* Table26 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    30 /* Table30 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    33 /* Table33 */
+   },
+   /* 0x16 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    34 /* Table34 */
+   },
+   /* 0x17 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    35 /* Table35 */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    38 /* Table38 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    42 /* Table42 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    45 /* Table45 */
+   },
+   /* 0x1e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    46 /* Table46 */
+   },
+   /* 0x1f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    47 /* Table47 */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    50 /* Table50 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    54 /* Table54 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    57 /* Table57 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    58 /* Table58 */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    61 /* Table61 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    65 /* Table65 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    68 /* Table68 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    69 /* Table69 */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    72 /* Table72 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    76 /* Table76 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    79 /* Table79 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    80 /* Table80 */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    83 /* Table83 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    87 /* Table87 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    90 /* Table90 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    91 /* Table91 */
+   },
+   /* 0x40 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x41 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x42 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x43 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x44 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x45 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x46 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x47 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    92 /* Table92 */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x49 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    93 /* Table93 */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    94 /* Table94 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    95 /* Table95 */
+   },
+   /* 0x60 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    96 /* Table96 */
+   },
+   /* 0x61 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    97 /* Table97 */
+   },
+   /* 0x62 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    98 /* Table98 */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    100 /* Table100 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    103 /* Table103 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    104 /* Table104 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    106 /* Table106 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    107 /* Table107 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    145 /* Table145 */
+   },
+   /* 0x82 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    161 /* Table161 */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    177 /* Table177 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    195 /* Table195 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    199 /* Table199 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    203 /* Table203 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    207 /* Table207 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    209 /* Table209 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    211 /* Table211 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    213 /* Table213 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    215 /* Table215 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    232 /* Table232 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    233 /* Table233 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    234 /* Table234 */
+   },
+   /* 0x9a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    235 /* Table235 */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    236 /* Table236 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    237 /* Table237 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    240 /* Table240 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    241 /* Table241 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    242 /* Table242 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    243 /* Table243 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    245 /* Table245 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    247 /* Table247 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    249 /* Table249 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    251 /* Table251 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    253 /* Table253 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    255 /* Table255 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    257 /* Table257 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    274 /* Table274 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    290 /* Table290 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    291 /* Table291 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    312 /* Table312 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    329 /* Table329 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    330 /* Table330 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    331 /* Table331 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    334 /* Table334 */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    335 /* Table335 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    352 /* Table352 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    384 /* Table384 */
+   },
+   /* 0xd4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    400 /* Table400 */
+   },
+   /* 0xd5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    401 /* Table401 */
+   },
+   /* 0xd6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    402 /* Table402 */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    479 /* Table479 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    484 /* Table484 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    486 /* Table486 */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    514 /* Table514 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    552 /* Table552 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    880 /* Table880 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    882 /* Table882 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    884 /* Table884 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    885 /* Table885 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    887 /* Table887 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    889 /* Table889 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    890 /* Table890 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    892 /* Table892 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    894 /* Table894 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    895 /* Table895 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    897 /* Table897 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    899 /* Table899 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    900 /* Table900 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    902 /* Table902 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    904 /* Table904 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    905 /* Table905 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    907 /* Table907 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    909 /* Table909 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    910 /* Table910 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    912 /* Table912 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    914 /* Table914 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    915 /* Table915 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    917 /* Table917 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    919 /* Table919 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    568 /* Table568 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    569 /* Table569 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    570 /* Table570 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    920 /* Table920 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    573 /* Table573 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    922 /* Table922 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    574 /* Table574 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    924 /* Table924 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    110 /* Table110 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    112 /* Table112 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    926 /* Table926 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    942 /* Table942 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    958 /* Table958 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    960 /* Table960 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    962 /* Table962 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    964 /* Table964 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    966 /* Table966 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    968 /* Table968 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    970 /* Table970 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    577 /* Table577 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    973 /* Table973 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    974 /* Table974 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    594 /* Table594 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    595 /* Table595 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    596 /* Table596 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    975 /* Table975 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    598 /* Table598 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    976 /* Table976 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    977 /* Table977 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    978 /* Table978 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    984 /* Table984 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    600 /* Table600 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    601 /* Table601 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    292 /* Table292 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    294 /* Table294 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1000 /* Table1000 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    602 /* Table602 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1016 /* Table1016 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1019 /* Table1019 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1035 /* Table1035 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    603 /* Table603 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    481 /* Table481 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    483 /* Table483 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    604 /* Table604 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    485 /* Table485 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    489 /* Table489 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    491 /* Table491 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1051 /* Table1051 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1067 /* Table1067 */
+   }
+  }
+ }
+,  /* IC_64BIT_REXW_ADSIZE */
+ { /* struct OpcodeDecision */
+  {
+   /* 0x00 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1 /* Table1 */
+   },
+   /* 0x01 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    880 /* Table880 */
+   },
+   /* 0x02 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    5 /* Table5 */
+   },
+   /* 0x03 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    882 /* Table882 */
+   },
+   /* 0x04 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    9 /* Table9 */
+   },
+   /* 0x05 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    884 /* Table884 */
+   },
+   /* 0x06 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x07 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x08 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    13 /* Table13 */
+   },
+   /* 0x09 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    885 /* Table885 */
+   },
+   /* 0x0a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    17 /* Table17 */
+   },
+   /* 0x0b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    887 /* Table887 */
+   },
+   /* 0x0c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    21 /* Table21 */
+   },
+   /* 0x0d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    889 /* Table889 */
+   },
+   /* 0x0e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x0f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x10 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    24 /* Table24 */
+   },
+   /* 0x11 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    890 /* Table890 */
+   },
+   /* 0x12 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    28 /* Table28 */
+   },
+   /* 0x13 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    892 /* Table892 */
+   },
+   /* 0x14 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    32 /* Table32 */
+   },
+   /* 0x15 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    894 /* Table894 */
+   },
+   /* 0x16 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x18 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    36 /* Table36 */
+   },
+   /* 0x19 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    895 /* Table895 */
+   },
+   /* 0x1a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    40 /* Table40 */
+   },
+   /* 0x1b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    897 /* Table897 */
+   },
+   /* 0x1c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    44 /* Table44 */
+   },
+   /* 0x1d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    899 /* Table899 */
+   },
+   /* 0x1e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x1f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x20 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    48 /* Table48 */
+   },
+   /* 0x21 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    900 /* Table900 */
+   },
+   /* 0x22 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    52 /* Table52 */
+   },
+   /* 0x23 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    902 /* Table902 */
+   },
+   /* 0x24 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    56 /* Table56 */
+   },
+   /* 0x25 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    904 /* Table904 */
+   },
+   /* 0x26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x27 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x28 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    59 /* Table59 */
+   },
+   /* 0x29 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    905 /* Table905 */
+   },
+   /* 0x2a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    63 /* Table63 */
+   },
+   /* 0x2b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    907 /* Table907 */
+   },
+   /* 0x2c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    67 /* Table67 */
+   },
+   /* 0x2d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    909 /* Table909 */
+   },
+   /* 0x2e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x2f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x30 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    70 /* Table70 */
+   },
+   /* 0x31 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    910 /* Table910 */
+   },
+   /* 0x32 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    74 /* Table74 */
+   },
+   /* 0x33 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    912 /* Table912 */
+   },
+   /* 0x34 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    78 /* Table78 */
+   },
+   /* 0x35 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    914 /* Table914 */
+   },
+   /* 0x36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x37 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x38 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    81 /* Table81 */
+   },
+   /* 0x39 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    915 /* Table915 */
+   },
+   /* 0x3a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    85 /* Table85 */
+   },
+   /* 0x3b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    917 /* Table917 */
+   },
+   /* 0x3c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    89 /* Table89 */
+   },
+   /* 0x3d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    919 /* Table919 */
+   },
+   /* 0x3e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x3f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x41 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x43 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x44 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x45 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x46 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x47 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x48 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    568 /* Table568 */
+   },
+   /* 0x49 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4c */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4d */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4e */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x4f */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x50 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x51 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x52 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x53 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x54 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x55 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x56 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x57 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    670 /* Table670 */
+   },
+   /* 0x58 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x59 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x5f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    671 /* Table671 */
+   },
+   /* 0x60 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x62 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x63 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    920 /* Table920 */
+   },
+   /* 0x64 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x66 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    102 /* Table102 */
+   },
+   /* 0x67 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x68 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1083 /* Table1083 */
+   },
+   /* 0x69 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    922 /* Table922 */
+   },
+   /* 0x6a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    574 /* Table574 */
+   },
+   /* 0x6b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    924 /* Table924 */
+   },
+   /* 0x6c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    109 /* Table109 */
+   },
+   /* 0x6d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    682 /* Table682 */
+   },
+   /* 0x6e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    111 /* Table111 */
+   },
+   /* 0x6f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    683 /* Table683 */
+   },
+   /* 0x70 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    113 /* Table113 */
+   },
+   /* 0x71 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    114 /* Table114 */
+   },
+   /* 0x72 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    115 /* Table115 */
+   },
+   /* 0x73 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    116 /* Table116 */
+   },
+   /* 0x74 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    117 /* Table117 */
+   },
+   /* 0x75 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    118 /* Table118 */
+   },
+   /* 0x76 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    119 /* Table119 */
+   },
+   /* 0x77 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    120 /* Table120 */
+   },
+   /* 0x78 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    121 /* Table121 */
+   },
+   /* 0x79 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    122 /* Table122 */
+   },
+   /* 0x7a */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    123 /* Table123 */
+   },
+   /* 0x7b */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    124 /* Table124 */
+   },
+   /* 0x7c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    125 /* Table125 */
+   },
+   /* 0x7d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    126 /* Table126 */
+   },
+   /* 0x7e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    127 /* Table127 */
+   },
+   /* 0x7f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    128 /* Table128 */
+   },
+   /* 0x80 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    129 /* Table129 */
+   },
+   /* 0x81 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    926 /* Table926 */
+   },
+   /* 0x82 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x83 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    942 /* Table942 */
+   },
+   /* 0x84 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    193 /* Table193 */
+   },
+   /* 0x85 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    958 /* Table958 */
+   },
+   /* 0x86 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    197 /* Table197 */
+   },
+   /* 0x87 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    960 /* Table960 */
+   },
+   /* 0x88 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    201 /* Table201 */
+   },
+   /* 0x89 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    962 /* Table962 */
+   },
+   /* 0x8a */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    205 /* Table205 */
+   },
+   /* 0x8b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    964 /* Table964 */
+   },
+   /* 0x8c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    966 /* Table966 */
+   },
+   /* 0x8d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    968 /* Table968 */
+   },
+   /* 0x8e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    970 /* Table970 */
+   },
+   /* 0x8f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    730 /* Table730 */
+   },
+   /* 0x90 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    231 /* Table231 */
+   },
+   /* 0x91 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x92 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x93 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x94 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x95 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x96 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x97 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    972 /* Table972 */
+   },
+   /* 0x98 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    973 /* Table973 */
+   },
+   /* 0x99 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    974 /* Table974 */
+   },
+   /* 0x9a */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9b */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x9c */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    750 /* Table750 */
+   },
+   /* 0x9d */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    751 /* Table751 */
+   },
+   /* 0x9e */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    238 /* Table238 */
+   },
+   /* 0x9f */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    239 /* Table239 */
+   },
+   /* 0xa0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    596 /* Table596 */
+   },
+   /* 0xa1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1084 /* Table1084 */
+   },
+   /* 0xa2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    598 /* Table598 */
+   },
+   /* 0xa3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1085 /* Table1085 */
+   },
+   /* 0xa4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    244 /* Table244 */
+   },
+   /* 0xa5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    977 /* Table977 */
+   },
+   /* 0xa6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    246 /* Table246 */
+   },
+   /* 0xa7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    978 /* Table978 */
+   },
+   /* 0xa8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    248 /* Table248 */
+   },
+   /* 0xa9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    979 /* Table979 */
+   },
+   /* 0xaa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    250 /* Table250 */
+   },
+   /* 0xab */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    980 /* Table980 */
+   },
+   /* 0xac */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    252 /* Table252 */
+   },
+   /* 0xad */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    981 /* Table981 */
+   },
+   /* 0xae */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    254 /* Table254 */
+   },
+   /* 0xaf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    982 /* Table982 */
+   },
+   /* 0xb0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    256 /* Table256 */
+   },
+   /* 0xb8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xb9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xba */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbe */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xbf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    983 /* Table983 */
+   },
+   /* 0xc0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    258 /* Table258 */
+   },
+   /* 0xc1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    984 /* Table984 */
+   },
+   /* 0xc2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    777 /* Table777 */
+   },
+   /* 0xc3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    778 /* Table778 */
+   },
+   /* 0xc4 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    779 /* Table779 */
+   },
+   /* 0xc5 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    781 /* Table781 */
+   },
+   /* 0xc6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    296 /* Table296 */
+   },
+   /* 0xc7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1000 /* Table1000 */
+   },
+   /* 0xc8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    328 /* Table328 */
+   },
+   /* 0xc9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    602 /* Table602 */
+   },
+   /* 0xca */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1016 /* Table1016 */
+   },
+   /* 0xcb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1017 /* Table1017 */
+   },
+   /* 0xcc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    332 /* Table332 */
+   },
+   /* 0xcd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    333 /* Table333 */
+   },
+   /* 0xce */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xcf */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1018 /* Table1018 */
+   },
+   /* 0xd0 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    336 /* Table336 */
+   },
+   /* 0xd1 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1019 /* Table1019 */
+   },
+   /* 0xd2 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    368 /* Table368 */
+   },
+   /* 0xd3 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1035 /* Table1035 */
+   },
+   /* 0xd4 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd6 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    403 /* Table403 */
+   },
+   /* 0xd8 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xd9 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xda */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdb */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    404 /* Table404 */
+   },
+   /* 0xdc */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdd */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xde */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xdf */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xe0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    476 /* Table476 */
+   },
+   /* 0xe1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    477 /* Table477 */
+   },
+   /* 0xe2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    478 /* Table478 */
+   },
+   /* 0xe3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    603 /* Table603 */
+   },
+   /* 0xe4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    480 /* Table480 */
+   },
+   /* 0xe5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    834 /* Table834 */
+   },
+   /* 0xe6 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    482 /* Table482 */
+   },
+   /* 0xe7 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    835 /* Table835 */
+   },
+   /* 0xe8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    836 /* Table836 */
+   },
+   /* 0xe9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    837 /* Table837 */
+   },
+   /* 0xea */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0xeb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    487 /* Table487 */
+   },
+   /* 0xec */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    488 /* Table488 */
+   },
+   /* 0xed */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    839 /* Table839 */
+   },
+   /* 0xee */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    490 /* Table490 */
+   },
+   /* 0xef */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    840 /* Table840 */
+   },
+   /* 0xf0 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    492 /* Table492 */
+   },
+   /* 0xf1 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    493 /* Table493 */
+   },
+   /* 0xf2 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    494 /* Table494 */
+   },
+   /* 0xf3 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    495 /* Table495 */
+   },
+   /* 0xf4 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    496 /* Table496 */
+   },
+   /* 0xf5 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    497 /* Table497 */
+   },
+   /* 0xf6 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    498 /* Table498 */
+   },
+   /* 0xf7 */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1051 /* Table1051 */
+   },
+   /* 0xf8 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    530 /* Table530 */
+   },
+   /* 0xf9 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    531 /* Table531 */
+   },
+   /* 0xfa */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    532 /* Table532 */
+   },
+   /* 0xfb */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    533 /* Table533 */
+   },
+   /* 0xfc */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    534 /* Table534 */
+   },
+   /* 0xfd */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    535 /* Table535 */
+   },
+   /* 0xfe */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    536 /* Table536 */
+   },
+   /* 0xff */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1086 /* Table1086 */
+   }
+  }
+ }
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -28829,7 +40732,7 @@ static const struct OpcodeDecision x86Di
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3 /* Table3 */
+    621 /* Table621 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
@@ -28839,7 +40742,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7 /* Table7 */
+    623 /* Table623 */
    },
    /* 0x04 */
    { /* struct ModRMDecision */
@@ -28849,17 +40752,17 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    625 /* Table625 */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
@@ -28869,7 +40772,7 @@ static const struct OpcodeDecision x86Di
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    15 /* Table15 */
+    628 /* Table628 */
    },
    /* 0x0a */
    { /* struct ModRMDecision */
@@ -28879,7 +40782,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    19 /* Table19 */
+    630 /* Table630 */
    },
    /* 0x0c */
    { /* struct ModRMDecision */
@@ -28889,12 +40792,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    632 /* Table632 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -28909,7 +40812,7 @@ static const struct OpcodeDecision x86Di
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    634 /* Table634 */
    },
    /* 0x12 */
    { /* struct ModRMDecision */
@@ -28919,7 +40822,7 @@ static const struct OpcodeDecision x86Di
    /* 0x13 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    30 /* Table30 */
+    636 /* Table636 */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
@@ -28929,17 +40832,17 @@ static const struct OpcodeDecision x86Di
    /* 0x15 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    638 /* Table638 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
@@ -28949,7 +40852,7 @@ static const struct OpcodeDecision x86Di
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    38 /* Table38 */
+    641 /* Table641 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
@@ -28959,7 +40862,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    42 /* Table42 */
+    643 /* Table643 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
@@ -28969,17 +40872,17 @@ static const struct OpcodeDecision x86Di
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    645 /* Table645 */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
@@ -28989,7 +40892,7 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    50 /* Table50 */
+    648 /* Table648 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
@@ -28999,7 +40902,7 @@ static const struct OpcodeDecision x86Di
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    54 /* Table54 */
+    650 /* Table650 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
@@ -29009,7 +40912,7 @@ static const struct OpcodeDecision x86Di
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    652 /* Table652 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -29017,9 +40920,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
@@ -29029,7 +40932,7 @@ static const struct OpcodeDecision x86Di
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    61 /* Table61 */
+    653 /* Table653 */
    },
    /* 0x2a */
    { /* struct ModRMDecision */
@@ -29039,7 +40942,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    65 /* Table65 */
+    655 /* Table655 */
    },
    /* 0x2c */
    { /* struct ModRMDecision */
@@ -29049,7 +40952,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    657 /* Table657 */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -29057,9 +40960,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* struct ModRMDecision */
@@ -29069,7 +40972,7 @@ static const struct OpcodeDecision x86Di
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    72 /* Table72 */
+    658 /* Table658 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
@@ -29079,7 +40982,7 @@ static const struct OpcodeDecision x86Di
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    76 /* Table76 */
+    660 /* Table660 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
@@ -29089,7 +40992,7 @@ static const struct OpcodeDecision x86Di
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    662 /* Table662 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -29097,9 +41000,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
@@ -29109,7 +41012,7 @@ static const struct OpcodeDecision x86Di
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    83 /* Table83 */
+    663 /* Table663 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
@@ -29119,7 +41022,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    87 /* Table87 */
+    665 /* Table665 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
@@ -29129,7 +41032,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    667 /* Table667 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -29137,189 +41040,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    568 /* Table568 */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x52 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x53 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x54 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x55 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x56 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x57 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    670 /* Table670 */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    671 /* Table671 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    100 /* Table100 */
+    571 /* Table571 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -29344,22 +41247,22 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    1083 /* Table1083 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    104 /* Table104 */
+    677 /* Table677 */
    },
    /* 0x6a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    574 /* Table574 */
    },
    /* 0x6b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    107 /* Table107 */
+    680 /* Table680 */
    },
    /* 0x6c */
    { /* struct ModRMDecision */
@@ -29369,7 +41272,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    682 /* Table682 */
    },
    /* 0x6e */
    { /* struct ModRMDecision */
@@ -29379,7 +41282,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    683 /* Table683 */
    },
    /* 0x70 */
    { /* struct ModRMDecision */
@@ -29469,17 +41372,17 @@ static const struct OpcodeDecision x86Di
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    145 /* Table145 */
+    684 /* Table684 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    177 /* Table177 */
+    700 /* Table700 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
@@ -29489,7 +41392,7 @@ static const struct OpcodeDecision x86Di
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    195 /* Table195 */
+    716 /* Table716 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
@@ -29499,7 +41402,7 @@ static const struct OpcodeDecision x86Di
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    199 /* Table199 */
+    718 /* Table718 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
@@ -29509,7 +41412,7 @@ static const struct OpcodeDecision x86Di
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    203 /* Table203 */
+    720 /* Table720 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
@@ -29519,27 +41422,27 @@ static const struct OpcodeDecision x86Di
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    207 /* Table207 */
+    722 /* Table722 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    209 /* Table209 */
+    724 /* Table724 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    211 /* Table211 */
+    726 /* Table726 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    213 /* Table213 */
+    728 /* Table728 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    215 /* Table215 */
+    730 /* Table730 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
@@ -29549,52 +41452,52 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    746 /* Table746 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    747 /* Table747 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    748 /* Table748 */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -29604,12 +41507,12 @@ static const struct OpcodeDecision x86Di
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    750 /* Table750 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    751 /* Table751 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
@@ -29624,22 +41527,22 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    596 /* Table596 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    1102 /* Table1102 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    598 /* Table598 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    1103 /* Table1103 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -29649,7 +41552,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    754 /* Table754 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
@@ -29659,7 +41562,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    755 /* Table755 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
@@ -29669,7 +41572,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    756 /* Table756 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
@@ -29679,7 +41582,7 @@ static const struct OpcodeDecision x86Di
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    757 /* Table757 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
@@ -29689,7 +41592,7 @@ static const struct OpcodeDecision x86Di
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    758 /* Table758 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
@@ -29699,7 +41602,7 @@ static const struct OpcodeDecision x86Di
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    759 /* Table759 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
@@ -29744,42 +41647,42 @@ static const struct OpcodeDecision x86Di
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    760 /* Table760 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
@@ -29789,27 +41692,27 @@ static const struct OpcodeDecision x86Di
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    274 /* Table274 */
+    761 /* Table761 */
    },
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    290 /* Table290 */
+    777 /* Table777 */
    },
    /* 0xc3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    778 /* Table778 */
    },
    /* 0xc4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    292 /* Table292 */
+    779 /* Table779 */
    },
    /* 0xc5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    294 /* Table294 */
+    781 /* Table781 */
    },
    /* 0xc6 */
    { /* struct ModRMDecision */
@@ -29819,7 +41722,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    312 /* Table312 */
+    783 /* Table783 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
@@ -29829,17 +41732,17 @@ static const struct OpcodeDecision x86Di
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    329 /* Table329 */
+    602 /* Table602 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    330 /* Table330 */
+    799 /* Table799 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    331 /* Table331 */
+    800 /* Table800 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
@@ -29852,14 +41755,14 @@ static const struct OpcodeDecision x86Di
     333 /* Table333 */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    334 /* Table334 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    335 /* Table335 */
+    801 /* Table801 */
    },
    /* 0xd0 */
    { /* struct ModRMDecision */
@@ -29869,7 +41772,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    352 /* Table352 */
+    802 /* Table802 */
    },
    /* 0xd2 */
    { /* struct ModRMDecision */
@@ -29879,22 +41782,22 @@ static const struct OpcodeDecision x86Di
    /* 0xd3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    384 /* Table384 */
+    818 /* Table818 */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    400 /* Table400 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    401 /* Table401 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -29959,7 +41862,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    479 /* Table479 */
+    603 /* Table603 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -29969,7 +41872,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe5 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    834 /* Table834 */
    },
    /* 0xe6 */
    { /* struct ModRMDecision */
@@ -29979,22 +41882,22 @@ static const struct OpcodeDecision x86Di
    /* 0xe7 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    835 /* Table835 */
    },
    /* 0xe8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    484 /* Table484 */
+    836 /* Table836 */
    },
    /* 0xe9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    837 /* Table837 */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    486 /* Table486 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
@@ -30009,7 +41912,7 @@ static const struct OpcodeDecision x86Di
    /* 0xed */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    839 /* Table839 */
    },
    /* 0xee */
    { /* struct ModRMDecision */
@@ -30019,7 +41922,7 @@ static const struct OpcodeDecision x86Di
    /* 0xef */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    840 /* Table840 */
    },
    /* 0xf0 */
    { /* struct ModRMDecision */
@@ -30059,7 +41962,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    514 /* Table514 */
+    841 /* Table841 */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
@@ -30099,11 +42002,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    552 /* Table552 */
+    1104 /* Table1104 */
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -30909,22 +42812,22 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    240 /* Table240 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    597 /* Table597 */
+    241 /* Table241 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    242 /* Table242 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    599 /* Table599 */
+    243 /* Table243 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -31177,9 +43080,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -31244,7 +43147,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    479 /* Table479 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -31388,7 +43291,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -31422,14 +43325,14 @@ static const struct OpcodeDecision x86Di
     625 /* Table625 */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    626 /* Table626 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    627 /* Table627 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
@@ -31462,9 +43365,9 @@ static const struct OpcodeDecision x86Di
     632 /* Table632 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    633 /* Table633 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -31502,14 +43405,14 @@ static const struct OpcodeDecision x86Di
     638 /* Table638 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    639 /* Table639 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    640 /* Table640 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
@@ -31542,14 +43445,14 @@ static const struct OpcodeDecision x86Di
     645 /* Table645 */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    646 /* Table646 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    647 /* Table647 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
@@ -31587,9 +43490,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
@@ -31627,9 +43530,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* struct ModRMDecision */
@@ -31667,9 +43570,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
@@ -31707,89 +43610,89 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    668 /* Table668 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    568 /* Table568 */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    669 /* Table669 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* struct ModRMDecision */
@@ -31872,24 +43775,24 @@ static const struct OpcodeDecision x86Di
     671 /* Table671 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    672 /* Table672 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    673 /* Table673 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    674 /* Table674 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    100 /* Table100 */
+    571 /* Table571 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -31914,7 +43817,7 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    676 /* Table676 */
+    1083 /* Table1083 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
@@ -31924,7 +43827,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    679 /* Table679 */
+    574 /* Table574 */
    },
    /* 0x6b */
    { /* struct ModRMDecision */
@@ -32042,9 +43945,9 @@ static const struct OpcodeDecision x86Di
     684 /* Table684 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
@@ -32162,9 +44065,9 @@ static const struct OpcodeDecision x86Di
     748 /* Table748 */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    749 /* Table749 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -32194,7 +44097,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    596 /* Table596 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
@@ -32204,7 +44107,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    598 /* Table598 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
@@ -32399,7 +44302,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    329 /* Table329 */
+    602 /* Table602 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
@@ -32422,9 +44325,9 @@ static const struct OpcodeDecision x86Di
     333 /* Table333 */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    334 /* Table334 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
@@ -32452,19 +44355,19 @@ static const struct OpcodeDecision x86Di
     818 /* Table818 */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    400 /* Table400 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    401 /* Table401 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -32529,7 +44432,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    479 /* Table479 */
+    603 /* Table603 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -32562,9 +44465,9 @@ static const struct OpcodeDecision x86Di
     837 /* Table837 */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    838 /* Table838 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
@@ -32669,11 +44572,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    857 /* Table857 */
+    1104 /* Table1104 */
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_64BIT_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -32707,14 +44610,14 @@ static const struct OpcodeDecision x86Di
     10 /* Table10 */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
@@ -32747,9 +44650,9 @@ static const struct OpcodeDecision x86Di
     22 /* Table22 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -32787,14 +44690,14 @@ static const struct OpcodeDecision x86Di
     33 /* Table33 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
@@ -32827,14 +44730,14 @@ static const struct OpcodeDecision x86Di
     45 /* Table45 */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
@@ -32872,9 +44775,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
@@ -32912,9 +44815,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* struct ModRMDecision */
@@ -32952,9 +44855,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
@@ -32992,189 +44895,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    568 /* Table568 */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x52 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x53 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x54 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x55 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x56 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x57 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    100 /* Table100 */
+    571 /* Table571 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -33199,7 +45102,7 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    573 /* Table573 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
@@ -33209,7 +45112,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    574 /* Table574 */
    },
    /* 0x6b */
    { /* struct ModRMDecision */
@@ -33327,9 +45230,9 @@ static const struct OpcodeDecision x86Di
     145 /* Table145 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
@@ -33384,7 +45287,7 @@ static const struct OpcodeDecision x86Di
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    211 /* Table211 */
+    575 /* Table575 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
@@ -33394,7 +45297,7 @@ static const struct OpcodeDecision x86Di
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    215 /* Table215 */
+    577 /* Table577 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
@@ -33404,37 +45307,37 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
@@ -33447,9 +45350,9 @@ static const struct OpcodeDecision x86Di
     234 /* Table234 */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -33459,12 +45362,12 @@ static const struct OpcodeDecision x86Di
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    594 /* Table594 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    595 /* Table595 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
@@ -33479,22 +45382,22 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    596 /* Table596 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    597 /* Table597 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    598 /* Table598 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    599 /* Table599 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -33649,12 +45552,12 @@ static const struct OpcodeDecision x86Di
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    290 /* Table290 */
+    600 /* Table600 */
    },
    /* 0xc3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    601 /* Table601 */
    },
    /* 0xc4 */
    { /* struct ModRMDecision */
@@ -33684,7 +45587,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    329 /* Table329 */
+    602 /* Table602 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
@@ -33707,9 +45610,9 @@ static const struct OpcodeDecision x86Di
     333 /* Table333 */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    334 /* Table334 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
@@ -33737,19 +45640,19 @@ static const struct OpcodeDecision x86Di
     384 /* Table384 */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    400 /* Table400 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    401 /* Table401 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -33814,7 +45717,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    873 /* Table873 */
+    603 /* Table603 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -33839,7 +45742,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    484 /* Table484 */
+    604 /* Table604 */
    },
    /* 0xe9 */
    { /* struct ModRMDecision */
@@ -33847,9 +45750,9 @@ static const struct OpcodeDecision x86Di
     485 /* Table485 */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    486 /* Table486 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
@@ -33954,11 +45857,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    552 /* Table552 */
+    605 /* Table605 */
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_64BIT_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -33992,14 +45895,14 @@ static const struct OpcodeDecision x86Di
     10 /* Table10 */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
@@ -34032,9 +45935,9 @@ static const struct OpcodeDecision x86Di
     22 /* Table22 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -34072,14 +45975,14 @@ static const struct OpcodeDecision x86Di
     33 /* Table33 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
@@ -34112,14 +46015,14 @@ static const struct OpcodeDecision x86Di
     45 /* Table45 */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
@@ -34157,9 +46060,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
@@ -34197,9 +46100,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* struct ModRMDecision */
@@ -34237,9 +46140,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
@@ -34277,189 +46180,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    568 /* Table568 */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x52 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x53 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x54 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x55 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x56 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x57 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    100 /* Table100 */
+    571 /* Table571 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -34484,7 +46387,7 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    573 /* Table573 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
@@ -34494,7 +46397,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    574 /* Table574 */
    },
    /* 0x6b */
    { /* struct ModRMDecision */
@@ -34612,9 +46515,9 @@ static const struct OpcodeDecision x86Di
     145 /* Table145 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
@@ -34669,7 +46572,7 @@ static const struct OpcodeDecision x86Di
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    211 /* Table211 */
+    575 /* Table575 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
@@ -34679,7 +46582,7 @@ static const struct OpcodeDecision x86Di
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    215 /* Table215 */
+    577 /* Table577 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
@@ -34689,37 +46592,37 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    593 /* Table593 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
@@ -34732,9 +46635,9 @@ static const struct OpcodeDecision x86Di
     234 /* Table234 */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -34744,12 +46647,12 @@ static const struct OpcodeDecision x86Di
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    594 /* Table594 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    595 /* Table595 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
@@ -34764,22 +46667,22 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    596 /* Table596 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    597 /* Table597 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    598 /* Table598 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    599 /* Table599 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -34934,12 +46837,12 @@ static const struct OpcodeDecision x86Di
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    290 /* Table290 */
+    600 /* Table600 */
    },
    /* 0xc3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    601 /* Table601 */
    },
    /* 0xc4 */
    { /* struct ModRMDecision */
@@ -34969,7 +46872,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    329 /* Table329 */
+    602 /* Table602 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
@@ -34992,9 +46895,9 @@ static const struct OpcodeDecision x86Di
     333 /* Table333 */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    334 /* Table334 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
@@ -35022,19 +46925,19 @@ static const struct OpcodeDecision x86Di
     384 /* Table384 */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    400 /* Table400 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    401 /* Table401 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -35099,7 +47002,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    479 /* Table479 */
+    603 /* Table603 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -35124,7 +47027,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    484 /* Table484 */
+    604 /* Table604 */
    },
    /* 0xe9 */
    { /* struct ModRMDecision */
@@ -35132,9 +47035,9 @@ static const struct OpcodeDecision x86Di
     485 /* Table485 */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    486 /* Table486 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
@@ -35239,11 +47142,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    552 /* Table552 */
+    605 /* Table605 */
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_64BIT_REXW_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -35254,7 +47157,7 @@ static const struct OpcodeDecision x86Di
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    3 /* Table3 */
+    880 /* Table880 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
@@ -35264,7 +47167,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7 /* Table7 */
+    882 /* Table882 */
    },
    /* 0x04 */
    { /* struct ModRMDecision */
@@ -35274,17 +47177,17 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    884 /* Table884 */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    11 /* Table11 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    12 /* Table12 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
@@ -35294,7 +47197,7 @@ static const struct OpcodeDecision x86Di
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    15 /* Table15 */
+    885 /* Table885 */
    },
    /* 0x0a */
    { /* struct ModRMDecision */
@@ -35304,7 +47207,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    19 /* Table19 */
+    887 /* Table887 */
    },
    /* 0x0c */
    { /* struct ModRMDecision */
@@ -35314,12 +47217,12 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    889 /* Table889 */
    },
    /* 0x0e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    23 /* Table23 */
+    0 /* EmptyTable */
    },
    /* 0x0f */
    { /* ModRMDecision */
@@ -35334,7 +47237,7 @@ static const struct OpcodeDecision x86Di
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    26 /* Table26 */
+    890 /* Table890 */
    },
    /* 0x12 */
    { /* struct ModRMDecision */
@@ -35344,7 +47247,7 @@ static const struct OpcodeDecision x86Di
    /* 0x13 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    30 /* Table30 */
+    892 /* Table892 */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
@@ -35354,17 +47257,17 @@ static const struct OpcodeDecision x86Di
    /* 0x15 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    894 /* Table894 */
    },
    /* 0x16 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    34 /* Table34 */
+    0 /* EmptyTable */
    },
    /* 0x17 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    35 /* Table35 */
+    0 /* EmptyTable */
    },
    /* 0x18 */
    { /* struct ModRMDecision */
@@ -35374,7 +47277,7 @@ static const struct OpcodeDecision x86Di
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    38 /* Table38 */
+    895 /* Table895 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
@@ -35384,7 +47287,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    42 /* Table42 */
+    897 /* Table897 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
@@ -35394,17 +47297,17 @@ static const struct OpcodeDecision x86Di
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    899 /* Table899 */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    46 /* Table46 */
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    47 /* Table47 */
+    0 /* EmptyTable */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
@@ -35414,7 +47317,7 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    50 /* Table50 */
+    900 /* Table900 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
@@ -35424,7 +47327,7 @@ static const struct OpcodeDecision x86Di
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    54 /* Table54 */
+    902 /* Table902 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
@@ -35434,7 +47337,7 @@ static const struct OpcodeDecision x86Di
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    904 /* Table904 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -35442,9 +47345,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x27 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    58 /* Table58 */
+    0 /* EmptyTable */
    },
    /* 0x28 */
    { /* struct ModRMDecision */
@@ -35454,7 +47357,7 @@ static const struct OpcodeDecision x86Di
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    61 /* Table61 */
+    905 /* Table905 */
    },
    /* 0x2a */
    { /* struct ModRMDecision */
@@ -35464,7 +47367,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    65 /* Table65 */
+    907 /* Table907 */
    },
    /* 0x2c */
    { /* struct ModRMDecision */
@@ -35474,7 +47377,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    909 /* Table909 */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -35482,9 +47385,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x2f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    69 /* Table69 */
+    0 /* EmptyTable */
    },
    /* 0x30 */
    { /* struct ModRMDecision */
@@ -35494,7 +47397,7 @@ static const struct OpcodeDecision x86Di
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    72 /* Table72 */
+    910 /* Table910 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
@@ -35504,7 +47407,7 @@ static const struct OpcodeDecision x86Di
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    76 /* Table76 */
+    912 /* Table912 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
@@ -35514,7 +47417,7 @@ static const struct OpcodeDecision x86Di
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    914 /* Table914 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -35522,9 +47425,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    80 /* Table80 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* struct ModRMDecision */
@@ -35534,7 +47437,7 @@ static const struct OpcodeDecision x86Di
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    83 /* Table83 */
+    915 /* Table915 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
@@ -35544,7 +47447,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    87 /* Table87 */
+    917 /* Table917 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
@@ -35554,7 +47457,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    919 /* Table919 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -35562,189 +47465,189 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x3f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    91 /* Table91 */
+    0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    92 /* Table92 */
+    0 /* EmptyTable */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    568 /* Table568 */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    93 /* Table93 */
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x51 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x52 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x53 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x54 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x55 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x56 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x57 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    94 /* Table94 */
+    569 /* Table569 */
    },
    /* 0x58 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x59 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x5f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    95 /* Table95 */
+    570 /* Table570 */
    },
    /* 0x60 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    96 /* Table96 */
+    0 /* EmptyTable */
    },
    /* 0x61 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    97 /* Table97 */
+    0 /* EmptyTable */
    },
    /* 0x62 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    98 /* Table98 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    100 /* Table100 */
+    920 /* Table920 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -35769,22 +47672,22 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    103 /* Table103 */
+    573 /* Table573 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    104 /* Table104 */
+    922 /* Table922 */
    },
    /* 0x6a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    106 /* Table106 */
+    574 /* Table574 */
    },
    /* 0x6b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    107 /* Table107 */
+    924 /* Table924 */
    },
    /* 0x6c */
    { /* struct ModRMDecision */
@@ -35894,17 +47797,17 @@ static const struct OpcodeDecision x86Di
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    145 /* Table145 */
+    926 /* Table926 */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    161 /* Table161 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    177 /* Table177 */
+    942 /* Table942 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
@@ -35914,7 +47817,7 @@ static const struct OpcodeDecision x86Di
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    195 /* Table195 */
+    958 /* Table958 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
@@ -35924,7 +47827,7 @@ static const struct OpcodeDecision x86Di
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    199 /* Table199 */
+    960 /* Table960 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
@@ -35934,7 +47837,7 @@ static const struct OpcodeDecision x86Di
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    203 /* Table203 */
+    962 /* Table962 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
@@ -35944,27 +47847,27 @@ static const struct OpcodeDecision x86Di
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    207 /* Table207 */
+    964 /* Table964 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    209 /* Table209 */
+    966 /* Table966 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    211 /* Table211 */
+    968 /* Table968 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    213 /* Table213 */
+    970 /* Table970 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    215 /* Table215 */
+    577 /* Table577 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
@@ -35974,52 +47877,52 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    232 /* Table232 */
+    972 /* Table972 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    973 /* Table973 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    974 /* Table974 */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    235 /* Table235 */
+    0 /* EmptyTable */
    },
    /* 0x9b */
    { /* ModRMDecision */
@@ -36029,12 +47932,12 @@ static const struct OpcodeDecision x86Di
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    236 /* Table236 */
+    594 /* Table594 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    237 /* Table237 */
+    595 /* Table595 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
@@ -36049,22 +47952,22 @@ static const struct OpcodeDecision x86Di
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    240 /* Table240 */
+    596 /* Table596 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    241 /* Table241 */
+    975 /* Table975 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    242 /* Table242 */
+    598 /* Table598 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    243 /* Table243 */
+    976 /* Table976 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -36074,7 +47977,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    977 /* Table977 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
@@ -36084,7 +47987,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    978 /* Table978 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
@@ -36094,7 +47997,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    979 /* Table979 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
@@ -36104,7 +48007,7 @@ static const struct OpcodeDecision x86Di
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    980 /* Table980 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
@@ -36114,7 +48017,7 @@ static const struct OpcodeDecision x86Di
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    981 /* Table981 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
@@ -36124,7 +48027,7 @@ static const struct OpcodeDecision x86Di
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    982 /* Table982 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
@@ -36169,42 +48072,42 @@ static const struct OpcodeDecision x86Di
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    983 /* Table983 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
@@ -36214,17 +48117,17 @@ static const struct OpcodeDecision x86Di
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    274 /* Table274 */
+    984 /* Table984 */
    },
    /* 0xc2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    290 /* Table290 */
+    600 /* Table600 */
    },
    /* 0xc3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    291 /* Table291 */
+    601 /* Table601 */
    },
    /* 0xc4 */
    { /* struct ModRMDecision */
@@ -36244,7 +48147,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    312 /* Table312 */
+    1000 /* Table1000 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
@@ -36254,17 +48157,17 @@ static const struct OpcodeDecision x86Di
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    329 /* Table329 */
+    602 /* Table602 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    330 /* Table330 */
+    1016 /* Table1016 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    331 /* Table331 */
+    1017 /* Table1017 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
@@ -36277,14 +48180,14 @@ static const struct OpcodeDecision x86Di
     333 /* Table333 */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    334 /* Table334 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    335 /* Table335 */
+    1018 /* Table1018 */
    },
    /* 0xd0 */
    { /* struct ModRMDecision */
@@ -36294,7 +48197,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    352 /* Table352 */
+    1019 /* Table1019 */
    },
    /* 0xd2 */
    { /* struct ModRMDecision */
@@ -36304,22 +48207,22 @@ static const struct OpcodeDecision x86Di
    /* 0xd3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    384 /* Table384 */
+    1035 /* Table1035 */
    },
    /* 0xd4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    400 /* Table400 */
+    0 /* EmptyTable */
    },
    /* 0xd5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    401 /* Table401 */
+    0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -36384,7 +48287,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    479 /* Table479 */
+    603 /* Table603 */
    },
    /* 0xe4 */
    { /* struct ModRMDecision */
@@ -36409,7 +48312,7 @@ static const struct OpcodeDecision x86Di
    /* 0xe8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    484 /* Table484 */
+    604 /* Table604 */
    },
    /* 0xe9 */
    { /* struct ModRMDecision */
@@ -36417,9 +48320,9 @@ static const struct OpcodeDecision x86Di
     485 /* Table485 */
    },
    /* 0xea */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    486 /* Table486 */
+    0 /* EmptyTable */
    },
    /* 0xeb */
    { /* struct ModRMDecision */
@@ -36484,7 +48387,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    514 /* Table514 */
+    1051 /* Table1051 */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
@@ -36524,11 +48427,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    552 /* Table552 */
+    1067 /* Table1067 */
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_64BIT_REXW_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -36539,7 +48442,7 @@ static const struct OpcodeDecision x86Di
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    874 /* Table874 */
+    880 /* Table880 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
@@ -36549,7 +48452,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    876 /* Table876 */
+    882 /* Table882 */
    },
    /* 0x04 */
    { /* struct ModRMDecision */
@@ -36559,7 +48462,7 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    878 /* Table878 */
+    884 /* Table884 */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -36579,7 +48482,7 @@ static const struct OpcodeDecision x86Di
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    879 /* Table879 */
+    885 /* Table885 */
    },
    /* 0x0a */
    { /* struct ModRMDecision */
@@ -36589,7 +48492,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    881 /* Table881 */
+    887 /* Table887 */
    },
    /* 0x0c */
    { /* struct ModRMDecision */
@@ -36599,7 +48502,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    883 /* Table883 */
+    889 /* Table889 */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -36619,7 +48522,7 @@ static const struct OpcodeDecision x86Di
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    884 /* Table884 */
+    890 /* Table890 */
    },
    /* 0x12 */
    { /* struct ModRMDecision */
@@ -36629,7 +48532,7 @@ static const struct OpcodeDecision x86Di
    /* 0x13 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    886 /* Table886 */
+    892 /* Table892 */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
@@ -36639,7 +48542,7 @@ static const struct OpcodeDecision x86Di
    /* 0x15 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    888 /* Table888 */
+    894 /* Table894 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -36659,7 +48562,7 @@ static const struct OpcodeDecision x86Di
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    889 /* Table889 */
+    895 /* Table895 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
@@ -36669,7 +48572,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    891 /* Table891 */
+    897 /* Table897 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
@@ -36679,7 +48582,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    893 /* Table893 */
+    899 /* Table899 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -36699,7 +48602,7 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    894 /* Table894 */
+    900 /* Table900 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
@@ -36709,7 +48612,7 @@ static const struct OpcodeDecision x86Di
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    896 /* Table896 */
+    902 /* Table902 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
@@ -36719,7 +48622,7 @@ static const struct OpcodeDecision x86Di
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    898 /* Table898 */
+    904 /* Table904 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -36739,7 +48642,7 @@ static const struct OpcodeDecision x86Di
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    899 /* Table899 */
+    905 /* Table905 */
    },
    /* 0x2a */
    { /* struct ModRMDecision */
@@ -36749,7 +48652,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    901 /* Table901 */
+    907 /* Table907 */
    },
    /* 0x2c */
    { /* struct ModRMDecision */
@@ -36759,7 +48662,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    903 /* Table903 */
+    909 /* Table909 */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -36779,7 +48682,7 @@ static const struct OpcodeDecision x86Di
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    904 /* Table904 */
+    910 /* Table910 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
@@ -36789,7 +48692,7 @@ static const struct OpcodeDecision x86Di
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    906 /* Table906 */
+    912 /* Table912 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
@@ -36799,7 +48702,7 @@ static const struct OpcodeDecision x86Di
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    908 /* Table908 */
+    914 /* Table914 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -36819,7 +48722,7 @@ static const struct OpcodeDecision x86Di
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    909 /* Table909 */
+    915 /* Table915 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
@@ -36829,7 +48732,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    911 /* Table911 */
+    917 /* Table917 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
@@ -36839,7 +48742,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    913 /* Table913 */
+    919 /* Table919 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -37029,7 +48932,7 @@ static const struct OpcodeDecision x86Di
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    914 /* Table914 */
+    920 /* Table920 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -37059,7 +48962,7 @@ static const struct OpcodeDecision x86Di
    /* 0x69 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    916 /* Table916 */
+    922 /* Table922 */
    },
    /* 0x6a */
    { /* struct ModRMDecision */
@@ -37069,7 +48972,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    918 /* Table918 */
+    924 /* Table924 */
    },
    /* 0x6c */
    { /* struct ModRMDecision */
@@ -37179,7 +49082,7 @@ static const struct OpcodeDecision x86Di
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    920 /* Table920 */
+    926 /* Table926 */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -37189,7 +49092,7 @@ static const struct OpcodeDecision x86Di
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    936 /* Table936 */
+    942 /* Table942 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
@@ -37199,7 +49102,7 @@ static const struct OpcodeDecision x86Di
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    952 /* Table952 */
+    958 /* Table958 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
@@ -37209,7 +49112,7 @@ static const struct OpcodeDecision x86Di
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    954 /* Table954 */
+    960 /* Table960 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
@@ -37219,7 +49122,7 @@ static const struct OpcodeDecision x86Di
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    956 /* Table956 */
+    962 /* Table962 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
@@ -37229,22 +49132,22 @@ static const struct OpcodeDecision x86Di
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    958 /* Table958 */
+    964 /* Table964 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    960 /* Table960 */
+    966 /* Table966 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    962 /* Table962 */
+    968 /* Table968 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    964 /* Table964 */
+    970 /* Table970 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
@@ -37259,47 +49162,47 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    966 /* Table966 */
+    972 /* Table972 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    967 /* Table967 */
+    973 /* Table973 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    968 /* Table968 */
+    974 /* Table974 */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -37339,7 +49242,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    969 /* Table969 */
+    975 /* Table975 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
@@ -37349,7 +49252,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    970 /* Table970 */
+    976 /* Table976 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -37359,7 +49262,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    971 /* Table971 */
+    977 /* Table977 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
@@ -37369,7 +49272,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    972 /* Table972 */
+    978 /* Table978 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
@@ -37379,7 +49282,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    973 /* Table973 */
+    979 /* Table979 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
@@ -37389,7 +49292,7 @@ static const struct OpcodeDecision x86Di
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    974 /* Table974 */
+    980 /* Table980 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
@@ -37399,7 +49302,7 @@ static const struct OpcodeDecision x86Di
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    975 /* Table975 */
+    981 /* Table981 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
@@ -37409,7 +49312,7 @@ static const struct OpcodeDecision x86Di
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    976 /* Table976 */
+    982 /* Table982 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
@@ -37454,42 +49357,42 @@ static const struct OpcodeDecision x86Di
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    983 /* Table983 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
@@ -37499,7 +49402,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    978 /* Table978 */
+    984 /* Table984 */
    },
    /* 0xc2 */
    { /* struct ModRMDecision */
@@ -37529,7 +49432,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    994 /* Table994 */
+    1000 /* Table1000 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
@@ -37544,12 +49447,12 @@ static const struct OpcodeDecision x86Di
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1010 /* Table1010 */
+    1016 /* Table1016 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1011 /* Table1011 */
+    1017 /* Table1017 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
@@ -37569,7 +49472,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1012 /* Table1012 */
+    1018 /* Table1018 */
    },
    /* 0xd0 */
    { /* struct ModRMDecision */
@@ -37579,7 +49482,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1013 /* Table1013 */
+    1019 /* Table1019 */
    },
    /* 0xd2 */
    { /* struct ModRMDecision */
@@ -37589,7 +49492,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1029 /* Table1029 */
+    1035 /* Table1035 */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -37602,9 +49505,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -37769,7 +49672,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1045 /* Table1045 */
+    1051 /* Table1051 */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
@@ -37809,11 +49712,11 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1061 /* Table1061 */
+    1067 /* Table1067 */
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_64BIT_REXW_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -37824,7 +49727,7 @@ static const struct OpcodeDecision x86Di
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    621 /* Table621 */
+    880 /* Table880 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
@@ -37834,7 +49737,7 @@ static const struct OpcodeDecision x86Di
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    623 /* Table623 */
+    882 /* Table882 */
    },
    /* 0x04 */
    { /* struct ModRMDecision */
@@ -37844,7 +49747,7 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    625 /* Table625 */
+    884 /* Table884 */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -37864,7 +49767,7 @@ static const struct OpcodeDecision x86Di
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    628 /* Table628 */
+    885 /* Table885 */
    },
    /* 0x0a */
    { /* struct ModRMDecision */
@@ -37874,7 +49777,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    630 /* Table630 */
+    887 /* Table887 */
    },
    /* 0x0c */
    { /* struct ModRMDecision */
@@ -37884,7 +49787,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    632 /* Table632 */
+    889 /* Table889 */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -37904,7 +49807,7 @@ static const struct OpcodeDecision x86Di
    /* 0x11 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    634 /* Table634 */
+    890 /* Table890 */
    },
    /* 0x12 */
    { /* struct ModRMDecision */
@@ -37914,7 +49817,7 @@ static const struct OpcodeDecision x86Di
    /* 0x13 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    636 /* Table636 */
+    892 /* Table892 */
    },
    /* 0x14 */
    { /* struct ModRMDecision */
@@ -37924,7 +49827,7 @@ static const struct OpcodeDecision x86Di
    /* 0x15 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    638 /* Table638 */
+    894 /* Table894 */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -37944,7 +49847,7 @@ static const struct OpcodeDecision x86Di
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    641 /* Table641 */
+    895 /* Table895 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
@@ -37954,7 +49857,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    643 /* Table643 */
+    897 /* Table897 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
@@ -37964,7 +49867,7 @@ static const struct OpcodeDecision x86Di
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    645 /* Table645 */
+    899 /* Table899 */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -37984,7 +49887,7 @@ static const struct OpcodeDecision x86Di
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    648 /* Table648 */
+    900 /* Table900 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
@@ -37994,7 +49897,7 @@ static const struct OpcodeDecision x86Di
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    650 /* Table650 */
+    902 /* Table902 */
    },
    /* 0x24 */
    { /* struct ModRMDecision */
@@ -38004,7 +49907,7 @@ static const struct OpcodeDecision x86Di
    /* 0x25 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    652 /* Table652 */
+    904 /* Table904 */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -38024,7 +49927,7 @@ static const struct OpcodeDecision x86Di
    /* 0x29 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    653 /* Table653 */
+    905 /* Table905 */
    },
    /* 0x2a */
    { /* struct ModRMDecision */
@@ -38034,7 +49937,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    655 /* Table655 */
+    907 /* Table907 */
    },
    /* 0x2c */
    { /* struct ModRMDecision */
@@ -38044,7 +49947,7 @@ static const struct OpcodeDecision x86Di
    /* 0x2d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    657 /* Table657 */
+    909 /* Table909 */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -38064,7 +49967,7 @@ static const struct OpcodeDecision x86Di
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    658 /* Table658 */
+    910 /* Table910 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
@@ -38074,7 +49977,7 @@ static const struct OpcodeDecision x86Di
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    660 /* Table660 */
+    912 /* Table912 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
@@ -38084,7 +49987,7 @@ static const struct OpcodeDecision x86Di
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    662 /* Table662 */
+    914 /* Table914 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -38104,7 +50007,7 @@ static const struct OpcodeDecision x86Di
    /* 0x39 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    663 /* Table663 */
+    915 /* Table915 */
    },
    /* 0x3a */
    { /* struct ModRMDecision */
@@ -38114,7 +50017,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    665 /* Table665 */
+    917 /* Table917 */
    },
    /* 0x3c */
    { /* struct ModRMDecision */
@@ -38124,7 +50027,7 @@ static const struct OpcodeDecision x86Di
    /* 0x3d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    667 /* Table667 */
+    919 /* Table919 */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -38314,7 +50217,7 @@ static const struct OpcodeDecision x86Di
    /* 0x63 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    571 /* Table571 */
+    920 /* Table920 */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -38339,12 +50242,12 @@ static const struct OpcodeDecision x86Di
    /* 0x68 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1077 /* Table1077 */
+    1083 /* Table1083 */
    },
    /* 0x69 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    677 /* Table677 */
+    922 /* Table922 */
    },
    /* 0x6a */
    { /* struct ModRMDecision */
@@ -38354,7 +50257,7 @@ static const struct OpcodeDecision x86Di
    /* 0x6b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    680 /* Table680 */
+    924 /* Table924 */
    },
    /* 0x6c */
    { /* struct ModRMDecision */
@@ -38464,7 +50367,7 @@ static const struct OpcodeDecision x86Di
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    684 /* Table684 */
+    926 /* Table926 */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -38474,7 +50377,7 @@ static const struct OpcodeDecision x86Di
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    700 /* Table700 */
+    942 /* Table942 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
@@ -38484,7 +50387,7 @@ static const struct OpcodeDecision x86Di
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    716 /* Table716 */
+    958 /* Table958 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
@@ -38494,7 +50397,7 @@ static const struct OpcodeDecision x86Di
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    718 /* Table718 */
+    960 /* Table960 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
@@ -38504,7 +50407,7 @@ static const struct OpcodeDecision x86Di
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    720 /* Table720 */
+    962 /* Table962 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
@@ -38514,22 +50417,22 @@ static const struct OpcodeDecision x86Di
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    722 /* Table722 */
+    964 /* Table964 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    724 /* Table724 */
+    966 /* Table966 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    726 /* Table726 */
+    968 /* Table968 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    728 /* Table728 */
+    970 /* Table970 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
@@ -38544,47 +50447,47 @@ static const struct OpcodeDecision x86Di
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    746 /* Table746 */
+    972 /* Table972 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    747 /* Table747 */
+    973 /* Table973 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    748 /* Table748 */
+    974 /* Table974 */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -38624,7 +50527,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1078 /* Table1078 */
+    975 /* Table975 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
@@ -38634,7 +50537,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1079 /* Table1079 */
+    976 /* Table976 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
@@ -38644,7 +50547,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    754 /* Table754 */
+    977 /* Table977 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
@@ -38654,7 +50557,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    755 /* Table755 */
+    978 /* Table978 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
@@ -38664,7 +50567,7 @@ static const struct OpcodeDecision x86Di
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    756 /* Table756 */
+    979 /* Table979 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
@@ -38674,7 +50577,7 @@ static const struct OpcodeDecision x86Di
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    757 /* Table757 */
+    980 /* Table980 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
@@ -38684,7 +50587,7 @@ static const struct OpcodeDecision x86Di
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    758 /* Table758 */
+    981 /* Table981 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
@@ -38694,7 +50597,7 @@ static const struct OpcodeDecision x86Di
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    759 /* Table759 */
+    982 /* Table982 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
@@ -38739,42 +50642,42 @@ static const struct OpcodeDecision x86Di
    /* 0xb8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    760 /* Table760 */
+    983 /* Table983 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
@@ -38784,7 +50687,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    761 /* Table761 */
+    984 /* Table984 */
    },
    /* 0xc2 */
    { /* struct ModRMDecision */
@@ -38814,7 +50717,7 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    783 /* Table783 */
+    1000 /* Table1000 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
@@ -38829,12 +50732,12 @@ static const struct OpcodeDecision x86Di
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    799 /* Table799 */
+    1016 /* Table1016 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    800 /* Table800 */
+    1017 /* Table1017 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
@@ -38854,7 +50757,7 @@ static const struct OpcodeDecision x86Di
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    801 /* Table801 */
+    1018 /* Table1018 */
    },
    /* 0xd0 */
    { /* struct ModRMDecision */
@@ -38864,7 +50767,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd1 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    802 /* Table802 */
+    1019 /* Table1019 */
    },
    /* 0xd2 */
    { /* struct ModRMDecision */
@@ -38874,7 +50777,7 @@ static const struct OpcodeDecision x86Di
    /* 0xd3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    818 /* Table818 */
+    1035 /* Table1035 */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -38887,9 +50790,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
    { /* struct ModRMDecision */
@@ -39054,7 +50957,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    841 /* Table841 */
+    1051 /* Table1051 */
    },
    /* 0xf8 */
    { /* struct ModRMDecision */
@@ -39094,42 +50997,42 @@ static const struct OpcodeDecision x86Di
    /* 0xff */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1080 /* Table1080 */
+    1086 /* Table1086 */
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    5 /* Table5 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    7 /* Table7 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
    { /* ModRMDecision */
@@ -39142,34 +51045,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -39182,34 +51085,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    26 /* Table26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -39222,34 +51125,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    38 /* Table38 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    40 /* Table40 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    42 /* Table42 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    44 /* Table44 */
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    45 /* Table45 */
+    0 /* EmptyTable */
    },
    /* 0x1e */
    { /* ModRMDecision */
@@ -39262,34 +51165,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    48 /* Table48 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    50 /* Table50 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    52 /* Table52 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    54 /* Table54 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -39302,34 +51205,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -39342,34 +51245,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -39382,34 +51285,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -39462,9 +51365,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    568 /* Table568 */
+    0 /* EmptyTable */
    },
    /* 0x49 */
    { /* ModRMDecision */
@@ -39502,84 +51405,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -39597,9 +51500,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    571 /* Table571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -39612,9 +51515,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -39622,134 +51525,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    573 /* Table573 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    121 /* Table121 */
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    122 /* Table122 */
+    0 /* EmptyTable */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
    { /* ModRMDecision */
@@ -39757,119 +51660,119 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    575 /* Table575 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    577 /* Table577 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    231 /* Table231 */
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    593 /* Table593 */
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    233 /* Table233 */
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    234 /* Table234 */
+    0 /* EmptyTable */
    },
    /* 0x9a */
    { /* ModRMDecision */
@@ -39882,254 +51785,254 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    594 /* Table594 */
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    595 /* Table595 */
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    238 /* Table238 */
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    239 /* Table239 */
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    597 /* Table597 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    599 /* Table599 */
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    244 /* Table244 */
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    245 /* Table245 */
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    246 /* Table246 */
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    247 /* Table247 */
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    251 /* Table251 */
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    252 /* Table252 */
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    253 /* Table253 */
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    254 /* Table254 */
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    255 /* Table255 */
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    256 /* Table256 */
+    0 /* EmptyTable */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    274 /* Table274 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    600 /* Table600 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    601 /* Table601 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    292 /* Table292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    294 /* Table294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    312 /* Table312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    330 /* Table330 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    331 /* Table331 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    0 /* EmptyTable */
    },
    /* 0xce */
    { /* ModRMDecision */
@@ -40137,29 +52040,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    335 /* Table335 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    352 /* Table352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    384 /* Table384 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -40172,14 +52075,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -40197,9 +52100,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -40222,54 +52125,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1096 /* Table1096 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    604 /* Table604 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -40277,184 +52180,188 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    514 /* Table514 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_XD */
+, };
+static const uint8_t index_x86DisassemblerOneByteOpcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 0, 0, 8, 9, 10, 11, 12, 13, 14, 0, 0, 15, 16, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerTwoByteOpcodes[] = {
+ /* IC */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+    MODRM_SPLITREG,
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+    MODRM_SPLITMISC,
+    1136 /* Table1136 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7 /* Table7 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+    MODRM_ONEENTRY,
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+    MODRM_ONEENTRY,
+    1216 /* Table1216 */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+    MODRM_ONEENTRY,
+    1217 /* Table1217 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -40467,34 +52374,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    26 /* Table26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -40508,73 +52415,73 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x18 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+    MODRM_SPLITREG,
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    38 /* Table38 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    40 /* Table40 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    42 /* Table42 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    44 /* Table44 */
+    MODRM_SPLITRM,
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    45 /* Table45 */
+    MODRM_SPLITRM,
+    1242 /* Table1242 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1244 /* Table1244 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    48 /* Table48 */
+    1248 /* Table1248 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    50 /* Table50 */
+    1250 /* Table1250 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    52 /* Table52 */
+    1252 /* Table1252 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    54 /* Table54 */
+    1254 /* Table1254 */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -40587,34 +52494,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -40628,33 +52535,33 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x30 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+    MODRM_ONEENTRY,
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+    MODRM_ONEENTRY,
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+    MODRM_ONEENTRY,
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+    MODRM_ONEENTRY,
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -40662,39 +52569,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -40707,164 +52614,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1263 /* Table1263 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1265 /* Table1265 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1267 /* Table1267 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1269 /* Table1269 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1271 /* Table1271 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1273 /* Table1273 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1275 /* Table1275 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    568 /* Table568 */
+    MODRM_SPLITRM,
+    1279 /* Table1279 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1281 /* Table1281 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1283 /* Table1283 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1285 /* Table1285 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1287 /* Table1287 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1289 /* Table1289 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1291 /* Table1291 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1293 /* Table1293 */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -40882,9 +52789,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    571 /* Table571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -40897,9 +52804,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -40907,544 +52814,544 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    573 /* Table573 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    1295 /* Table1295 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    1297 /* Table1297 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+    MODRM_ONEENTRY,
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+    MODRM_ONEENTRY,
+    1300 /* Table1300 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+    MODRM_ONEENTRY,
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+    MODRM_ONEENTRY,
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+   { /* struct ModRMDecision */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+    MODRM_ONEENTRY,
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+    MODRM_ONEENTRY,
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+    MODRM_ONEENTRY,
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+    MODRM_ONEENTRY,
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+    MODRM_ONEENTRY,
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    575 /* Table575 */
+    MODRM_ONEENTRY,
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+    MODRM_ONEENTRY,
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    577 /* Table577 */
+    MODRM_ONEENTRY,
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    231 /* Table231 */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    233 /* Table233 */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    234 /* Table234 */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    594 /* Table594 */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    595 /* Table595 */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    238 /* Table238 */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    239 /* Table239 */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    1347 /* Table1347 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    597 /* Table597 */
+    1348 /* Table1348 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    599 /* Table599 */
+    MODRM_SPLITRM,
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    244 /* Table244 */
+    MODRM_SPLITRM,
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    245 /* Table245 */
+    MODRM_SPLITRM,
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    246 /* Table246 */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    247 /* Table247 */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    1500 /* Table1500 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    1501 /* Table1501 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    251 /* Table251 */
+    MODRM_SPLITRM,
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    252 /* Table252 */
+    MODRM_SPLITRM,
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    253 /* Table253 */
+    MODRM_SPLITRM,
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    254 /* Table254 */
+    MODRM_SPLITREG,
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    255 /* Table255 */
+    MODRM_SPLITRM,
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITREG,
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1562 /* Table1562 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1564 /* Table1564 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    274 /* Table274 */
+    MODRM_SPLITRM,
+    1572 /* Table1572 */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    600 /* Table600 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    601 /* Table601 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    292 /* Table292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    294 /* Table294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    312 /* Table312 */
+    1574 /* Table1574 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    330 /* Table330 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    331 /* Table331 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    335 /* Table335 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    352 /* Table352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    384 /* Table384 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -41457,14 +53364,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -41482,9 +53389,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -41507,54 +53414,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    604 /* Table604 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -41562,184 +53469,184 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    514 /* Table514 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_64BIT */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+    MODRM_SPLITREG,
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    3 /* Table3 */
+    MODRM_SPLITMISC,
+    1591 /* Table1591 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    7 /* Table7 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    10 /* Table10 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+    MODRM_ONEENTRY,
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    15 /* Table15 */
+    MODRM_ONEENTRY,
+    1216 /* Table1216 */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    19 /* Table19 */
+    MODRM_ONEENTRY,
+    1217 /* Table1217 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    22 /* Table22 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -41752,34 +53659,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    26 /* Table26 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    30 /* Table30 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    33 /* Table33 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -41793,73 +53700,73 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x18 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+    MODRM_SPLITREG,
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    38 /* Table38 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    40 /* Table40 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    42 /* Table42 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    44 /* Table44 */
+    MODRM_SPLITRM,
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    45 /* Table45 */
+    MODRM_SPLITRM,
+    1242 /* Table1242 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1244 /* Table1244 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    48 /* Table48 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    50 /* Table50 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    52 /* Table52 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    54 /* Table54 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    57 /* Table57 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -41872,34 +53779,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
-   },
-   /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    61 /* Table61 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
+   },
+   /* 0x29 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    65 /* Table65 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    68 /* Table68 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -41913,33 +53820,33 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x30 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+    MODRM_ONEENTRY,
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    72 /* Table72 */
+    MODRM_ONEENTRY,
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+    MODRM_ONEENTRY,
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    76 /* Table76 */
+    MODRM_ONEENTRY,
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    79 /* Table79 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -41947,39 +53854,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    83 /* Table83 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    87 /* Table87 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    90 /* Table90 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -41992,164 +53899,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1263 /* Table1263 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1265 /* Table1265 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1267 /* Table1267 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1269 /* Table1269 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1271 /* Table1271 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1273 /* Table1273 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1275 /* Table1275 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    568 /* Table568 */
+    MODRM_SPLITRM,
+    1279 /* Table1279 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1281 /* Table1281 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1283 /* Table1283 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1285 /* Table1285 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1287 /* Table1287 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1289 /* Table1289 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1291 /* Table1291 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1293 /* Table1293 */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -42167,9 +54074,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    571 /* Table571 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -42182,9 +54089,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -42192,544 +54099,544 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    573 /* Table573 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    104 /* Table104 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    107 /* Table107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    1673 /* Table1673 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+    MODRM_ONEENTRY,
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    145 /* Table145 */
+    MODRM_ONEENTRY,
+    1300 /* Table1300 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    177 /* Table177 */
+    MODRM_ONEENTRY,
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+    MODRM_ONEENTRY,
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    195 /* Table195 */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    199 /* Table199 */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+    MODRM_ONEENTRY,
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    203 /* Table203 */
+    MODRM_ONEENTRY,
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+    MODRM_ONEENTRY,
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    207 /* Table207 */
+    MODRM_ONEENTRY,
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    209 /* Table209 */
+    MODRM_ONEENTRY,
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    575 /* Table575 */
+    MODRM_ONEENTRY,
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    213 /* Table213 */
+    MODRM_ONEENTRY,
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    577 /* Table577 */
+    MODRM_ONEENTRY,
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    231 /* Table231 */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    593 /* Table593 */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    233 /* Table233 */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    234 /* Table234 */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    594 /* Table594 */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    595 /* Table595 */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    238 /* Table238 */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    239 /* Table239 */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    597 /* Table597 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    599 /* Table599 */
+    MODRM_SPLITRM,
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    244 /* Table244 */
+    MODRM_SPLITRM,
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    245 /* Table245 */
+    MODRM_SPLITRM,
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    246 /* Table246 */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    247 /* Table247 */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    249 /* Table249 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    251 /* Table251 */
+    MODRM_SPLITRM,
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    252 /* Table252 */
+    MODRM_SPLITRM,
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    253 /* Table253 */
+    MODRM_SPLITRM,
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    254 /* Table254 */
+    MODRM_SPLITREG,
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    255 /* Table255 */
+    MODRM_SPLITRM,
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    257 /* Table257 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITREG,
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1562 /* Table1562 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1564 /* Table1564 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    257 /* Table257 */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    274 /* Table274 */
+    MODRM_SPLITRM,
+    1572 /* Table1572 */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    600 /* Table600 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    601 /* Table601 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    292 /* Table292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    294 /* Table294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    312 /* Table312 */
+    1574 /* Table1574 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    330 /* Table330 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    331 /* Table331 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    335 /* Table335 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    352 /* Table352 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    384 /* Table384 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -42742,14 +54649,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -42767,9 +54674,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -42792,54 +54699,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    604 /* Table604 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -42847,184 +54754,184 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    514 /* Table514 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    605 /* Table605 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+    MODRM_SPLITREG,
+    1679 /* Table1679 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    874 /* Table874 */
+    MODRM_SPLITMISC,
+    1695 /* Table1695 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    1767 /* Table1767 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    876 /* Table876 */
+    1769 /* Table1769 */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    878 /* Table878 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+    MODRM_ONEENTRY,
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    879 /* Table879 */
+    MODRM_ONEENTRY,
+    1216 /* Table1216 */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    881 /* Table881 */
+    MODRM_ONEENTRY,
+    1217 /* Table1217 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    883 /* Table883 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -43037,34 +54944,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    884 /* Table884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    886 /* Table886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    888 /* Table888 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -43078,73 +54985,73 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x18 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+    MODRM_SPLITREG,
+    1771 /* Table1771 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    889 /* Table889 */
+    1787 /* Table1787 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    40 /* Table40 */
+    1789 /* Table1789 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    891 /* Table891 */
+    1791 /* Table1791 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    44 /* Table44 */
+    MODRM_SPLITRM,
+    1793 /* Table1793 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    893 /* Table893 */
+    MODRM_SPLITRM,
+    1795 /* Table1795 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1797 /* Table1797 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1799 /* Table1799 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    48 /* Table48 */
+    1248 /* Table1248 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    894 /* Table894 */
+    1250 /* Table1250 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    52 /* Table52 */
+    1252 /* Table1252 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    896 /* Table896 */
+    1254 /* Table1254 */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    898 /* Table898 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -43157,34 +55064,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    899 /* Table899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    901 /* Table901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    903 /* Table903 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -43198,33 +55105,33 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x30 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+    MODRM_ONEENTRY,
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    904 /* Table904 */
+    MODRM_ONEENTRY,
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+    MODRM_ONEENTRY,
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    906 /* Table906 */
+    MODRM_ONEENTRY,
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    908 /* Table908 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -43232,39 +55139,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    909 /* Table909 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    911 /* Table911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    913 /* Table913 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -43277,164 +55184,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1801 /* Table1801 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1803 /* Table1803 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1805 /* Table1805 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1807 /* Table1807 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1809 /* Table1809 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1811 /* Table1811 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1813 /* Table1813 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1815 /* Table1815 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    568 /* Table568 */
+    MODRM_SPLITRM,
+    1817 /* Table1817 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1819 /* Table1819 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1821 /* Table1821 */
+   },
+   /* 0x4b */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1823 /* Table1823 */
+   },
+   /* 0x4c */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1825 /* Table1825 */
+   },
+   /* 0x4d */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1827 /* Table1827 */
+   },
+   /* 0x4e */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1829 /* Table1829 */
+   },
+   /* 0x4f */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1831 /* Table1831 */
    },
-   /* 0x4b */
+   /* 0x50 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x4c */
+   /* 0x51 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x4d */
+   /* 0x52 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x4e */
+   /* 0x53 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x4f */
+   /* 0x54 */
    { /* ModRMDecision */
     MODRM_ONEENTRY,
     0 /* EmptyTable */
    },
-   /* 0x50 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    569 /* Table569 */
-   },
-   /* 0x51 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    569 /* Table569 */
-   },
-   /* 0x52 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    569 /* Table569 */
-   },
-   /* 0x53 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    569 /* Table569 */
-   },
-   /* 0x54 */
-   { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    569 /* Table569 */
-   },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -43452,9 +55359,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    914 /* Table914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -43467,9 +55374,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -43477,544 +55384,544 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    573 /* Table573 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    916 /* Table916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    918 /* Table918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    1295 /* Table1295 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    1297 /* Table1297 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+    MODRM_ONEENTRY,
+    1833 /* Table1833 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    920 /* Table920 */
+    MODRM_ONEENTRY,
+    1834 /* Table1834 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1835 /* Table1835 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    936 /* Table936 */
+    MODRM_ONEENTRY,
+    1836 /* Table1836 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+    MODRM_ONEENTRY,
+    1837 /* Table1837 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    952 /* Table952 */
+    MODRM_ONEENTRY,
+    1838 /* Table1838 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+    MODRM_ONEENTRY,
+    1839 /* Table1839 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    954 /* Table954 */
+    MODRM_ONEENTRY,
+    1840 /* Table1840 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+    MODRM_ONEENTRY,
+    1841 /* Table1841 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    956 /* Table956 */
+    MODRM_ONEENTRY,
+    1842 /* Table1842 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+    MODRM_ONEENTRY,
+    1843 /* Table1843 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    958 /* Table958 */
+    MODRM_ONEENTRY,
+    1844 /* Table1844 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    960 /* Table960 */
+    MODRM_ONEENTRY,
+    1845 /* Table1845 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    962 /* Table962 */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    964 /* Table964 */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    577 /* Table577 */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    231 /* Table231 */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    967 /* Table967 */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    968 /* Table968 */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    594 /* Table594 */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    595 /* Table595 */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    238 /* Table238 */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    239 /* Table239 */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    969 /* Table969 */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    970 /* Table970 */
+    MODRM_SPLITRM,
+    1851 /* Table1851 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    244 /* Table244 */
+    MODRM_SPLITRM,
+    1853 /* Table1853 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    971 /* Table971 */
+    MODRM_SPLITRM,
+    1855 /* Table1855 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    246 /* Table246 */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    972 /* Table972 */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    973 /* Table973 */
+    1858 /* Table1858 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    974 /* Table974 */
+    MODRM_SPLITRM,
+    1859 /* Table1859 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    252 /* Table252 */
+    MODRM_SPLITRM,
+    1861 /* Table1861 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    975 /* Table975 */
+    MODRM_SPLITRM,
+    1863 /* Table1863 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    254 /* Table254 */
+    MODRM_SPLITMISC,
+    1865 /* Table1865 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    976 /* Table976 */
+    MODRM_SPLITRM,
+    1937 /* Table1937 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1939 /* Table1939 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1941 /* Table1941 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1943 /* Table1943 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITREG,
+    1951 /* Table1951 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    978 /* Table978 */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    600 /* Table600 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    601 /* Table601 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    292 /* Table292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    294 /* Table294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    994 /* Table994 */
+    1977 /* Table1977 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1010 /* Table1010 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1011 /* Table1011 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1012 /* Table1012 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1013 /* Table1013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1029 /* Table1029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -44027,14 +55934,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -44052,9 +55959,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -44077,54 +55984,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    604 /* Table604 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -44132,184 +56039,184 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1045 /* Table1045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1061 /* Table1061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+,  /* IC_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+    MODRM_SPLITREG,
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    874 /* Table874 */
+    MODRM_SPLITMISC,
+    1136 /* Table1136 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    876 /* Table876 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    878 /* Table878 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+    MODRM_ONEENTRY,
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    879 /* Table879 */
+    MODRM_ONEENTRY,
+    1216 /* Table1216 */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    881 /* Table881 */
+    MODRM_ONEENTRY,
+    1217 /* Table1217 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    883 /* Table883 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -44322,34 +56229,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    884 /* Table884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    886 /* Table886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    888 /* Table888 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -44363,73 +56270,73 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x18 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+    MODRM_SPLITREG,
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    889 /* Table889 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    40 /* Table40 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    891 /* Table891 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    44 /* Table44 */
+    MODRM_SPLITRM,
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    893 /* Table893 */
+    MODRM_SPLITRM,
+    1242 /* Table1242 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1244 /* Table1244 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    48 /* Table48 */
+    1248 /* Table1248 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    894 /* Table894 */
+    1250 /* Table1250 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    52 /* Table52 */
+    1252 /* Table1252 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    896 /* Table896 */
+    1254 /* Table1254 */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    898 /* Table898 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -44442,34 +56349,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    899 /* Table899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    901 /* Table901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    903 /* Table903 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -44483,33 +56390,33 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x30 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+    MODRM_ONEENTRY,
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    904 /* Table904 */
+    MODRM_ONEENTRY,
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+    MODRM_ONEENTRY,
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    906 /* Table906 */
+    MODRM_ONEENTRY,
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    908 /* Table908 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -44517,39 +56424,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    909 /* Table909 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    911 /* Table911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    913 /* Table913 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -44562,164 +56469,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1263 /* Table1263 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1265 /* Table1265 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1267 /* Table1267 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1269 /* Table1269 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1271 /* Table1271 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1273 /* Table1273 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1275 /* Table1275 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    568 /* Table568 */
+    MODRM_SPLITRM,
+    1279 /* Table1279 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1281 /* Table1281 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1283 /* Table1283 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1285 /* Table1285 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1287 /* Table1287 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1289 /* Table1289 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1291 /* Table1291 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1293 /* Table1293 */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    569 /* Table569 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    570 /* Table570 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -44737,9 +56644,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    914 /* Table914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -44752,9 +56659,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -44762,544 +56669,544 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    573 /* Table573 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    916 /* Table916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    918 /* Table918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    110 /* Table110 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    112 /* Table112 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    1295 /* Table1295 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    1297 /* Table1297 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+    MODRM_ONEENTRY,
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    920 /* Table920 */
+    MODRM_ONEENTRY,
+    1300 /* Table1300 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    936 /* Table936 */
+    MODRM_ONEENTRY,
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+    MODRM_ONEENTRY,
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    952 /* Table952 */
+    MODRM_ONEENTRY,
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+    MODRM_ONEENTRY,
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    954 /* Table954 */
+    MODRM_ONEENTRY,
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+    MODRM_ONEENTRY,
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    956 /* Table956 */
+    MODRM_ONEENTRY,
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+    MODRM_ONEENTRY,
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    958 /* Table958 */
+    MODRM_ONEENTRY,
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    960 /* Table960 */
+    MODRM_ONEENTRY,
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    962 /* Table962 */
+    MODRM_ONEENTRY,
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    964 /* Table964 */
+    MODRM_ONEENTRY,
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    577 /* Table577 */
+    MODRM_ONEENTRY,
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    231 /* Table231 */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    967 /* Table967 */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    968 /* Table968 */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    594 /* Table594 */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    595 /* Table595 */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    238 /* Table238 */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    239 /* Table239 */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    1347 /* Table1347 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    969 /* Table969 */
+    1348 /* Table1348 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    970 /* Table970 */
+    MODRM_SPLITRM,
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    244 /* Table244 */
+    MODRM_SPLITRM,
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    971 /* Table971 */
+    MODRM_SPLITRM,
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    246 /* Table246 */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    972 /* Table972 */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    1500 /* Table1500 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    973 /* Table973 */
+    1501 /* Table1501 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    974 /* Table974 */
+    MODRM_SPLITRM,
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    252 /* Table252 */
+    MODRM_SPLITRM,
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    975 /* Table975 */
+    MODRM_SPLITRM,
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    254 /* Table254 */
+    MODRM_SPLITREG,
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    976 /* Table976 */
+    MODRM_SPLITRM,
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITREG,
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1562 /* Table1562 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1564 /* Table1564 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    978 /* Table978 */
+    MODRM_SPLITRM,
+    1572 /* Table1572 */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    600 /* Table600 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    601 /* Table601 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    292 /* Table292 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    294 /* Table294 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    994 /* Table994 */
+    1574 /* Table1574 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1010 /* Table1010 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1011 /* Table1011 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1012 /* Table1012 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1013 /* Table1013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1029 /* Table1029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -45312,14 +57219,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -45337,9 +57244,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -45362,54 +57269,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    481 /* Table481 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    483 /* Table483 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    604 /* Table604 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    485 /* Table485 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -45417,184 +57324,184 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    489 /* Table489 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    491 /* Table491 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1045 /* Table1045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1061 /* Table1061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1 /* Table1 */
+    MODRM_SPLITREG,
+    1679 /* Table1679 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    874 /* Table874 */
+    MODRM_SPLITMISC,
+    1695 /* Table1695 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    5 /* Table5 */
+    1767 /* Table1767 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    876 /* Table876 */
+    1769 /* Table1769 */
    },
    /* 0x04 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    9 /* Table9 */
+    0 /* EmptyTable */
    },
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    878 /* Table878 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    13 /* Table13 */
+    MODRM_ONEENTRY,
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    879 /* Table879 */
+    MODRM_ONEENTRY,
+    1216 /* Table1216 */
    },
    /* 0x0a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    17 /* Table17 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x0b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    881 /* Table881 */
+    MODRM_ONEENTRY,
+    1217 /* Table1217 */
    },
    /* 0x0c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    21 /* Table21 */
+    0 /* EmptyTable */
    },
    /* 0x0d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    883 /* Table883 */
+    0 /* EmptyTable */
    },
    /* 0x0e */
    { /* ModRMDecision */
@@ -45607,34 +57514,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x10 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    24 /* Table24 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x11 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    884 /* Table884 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x12 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    28 /* Table28 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x13 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    886 /* Table886 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x14 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    32 /* Table32 */
+    0 /* EmptyTable */
    },
    /* 0x15 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    888 /* Table888 */
+    0 /* EmptyTable */
    },
    /* 0x16 */
    { /* ModRMDecision */
@@ -45648,73 +57555,73 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x18 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    36 /* Table36 */
+    MODRM_SPLITREG,
+    1771 /* Table1771 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    889 /* Table889 */
+    1787 /* Table1787 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    40 /* Table40 */
+    1789 /* Table1789 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    891 /* Table891 */
+    1791 /* Table1791 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    44 /* Table44 */
+    MODRM_SPLITRM,
+    1793 /* Table1793 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    893 /* Table893 */
+    MODRM_SPLITRM,
+    1795 /* Table1795 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1797 /* Table1797 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1799 /* Table1799 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    48 /* Table48 */
+    1248 /* Table1248 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    894 /* Table894 */
+    1250 /* Table1250 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    52 /* Table52 */
+    1252 /* Table1252 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    896 /* Table896 */
+    1254 /* Table1254 */
    },
    /* 0x24 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    56 /* Table56 */
+    0 /* EmptyTable */
    },
    /* 0x25 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    898 /* Table898 */
+    0 /* EmptyTable */
    },
    /* 0x26 */
    { /* ModRMDecision */
@@ -45727,34 +57634,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x28 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    59 /* Table59 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x29 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    899 /* Table899 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    63 /* Table63 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    901 /* Table901 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x2c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    67 /* Table67 */
+    0 /* EmptyTable */
    },
    /* 0x2d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    903 /* Table903 */
+    0 /* EmptyTable */
    },
    /* 0x2e */
    { /* ModRMDecision */
@@ -45768,33 +57675,33 @@ static const struct OpcodeDecision x86Di
    },
    /* 0x30 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    70 /* Table70 */
+    MODRM_ONEENTRY,
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    904 /* Table904 */
+    MODRM_ONEENTRY,
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    74 /* Table74 */
+    MODRM_ONEENTRY,
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    906 /* Table906 */
+    MODRM_ONEENTRY,
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    78 /* Table78 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    908 /* Table908 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -45802,39 +57709,39 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    81 /* Table81 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x39 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    909 /* Table909 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    85 /* Table85 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    911 /* Table911 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x3c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    89 /* Table89 */
+    0 /* EmptyTable */
    },
    /* 0x3d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    913 /* Table913 */
+    0 /* EmptyTable */
    },
    /* 0x3e */
    { /* ModRMDecision */
@@ -45847,164 +57754,164 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1801 /* Table1801 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1803 /* Table1803 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1805 /* Table1805 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1807 /* Table1807 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1809 /* Table1809 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1811 /* Table1811 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1813 /* Table1813 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1815 /* Table1815 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    568 /* Table568 */
+    MODRM_SPLITRM,
+    1817 /* Table1817 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1819 /* Table1819 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1821 /* Table1821 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1823 /* Table1823 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1825 /* Table1825 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1827 /* Table1827 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1829 /* Table1829 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1831 /* Table1831 */
    },
    /* 0x50 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x51 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x52 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x53 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x54 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x55 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x56 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x57 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    670 /* Table670 */
+    0 /* EmptyTable */
    },
    /* 0x58 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x59 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x5f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    671 /* Table671 */
+    0 /* EmptyTable */
    },
    /* 0x60 */
    { /* ModRMDecision */
@@ -46022,9 +57929,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x63 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    914 /* Table914 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x64 */
    { /* ModRMDecision */
@@ -46037,9 +57944,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x66 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    102 /* Table102 */
+    0 /* EmptyTable */
    },
    /* 0x67 */
    { /* ModRMDecision */
@@ -46047,544 +57954,544 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x68 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1077 /* Table1077 */
+    0 /* EmptyTable */
    },
    /* 0x69 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    916 /* Table916 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    574 /* Table574 */
+    0 /* EmptyTable */
    },
    /* 0x6b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    918 /* Table918 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x6c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    109 /* Table109 */
+    0 /* EmptyTable */
    },
    /* 0x6d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    682 /* Table682 */
+    0 /* EmptyTable */
    },
    /* 0x6e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    111 /* Table111 */
+    0 /* EmptyTable */
    },
    /* 0x6f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    683 /* Table683 */
+    0 /* EmptyTable */
    },
    /* 0x70 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    113 /* Table113 */
+    0 /* EmptyTable */
    },
    /* 0x71 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    114 /* Table114 */
+    0 /* EmptyTable */
    },
    /* 0x72 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    115 /* Table115 */
+    0 /* EmptyTable */
    },
    /* 0x73 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    116 /* Table116 */
+    0 /* EmptyTable */
    },
    /* 0x74 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    117 /* Table117 */
+    0 /* EmptyTable */
    },
    /* 0x75 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    118 /* Table118 */
+    0 /* EmptyTable */
    },
    /* 0x76 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    119 /* Table119 */
+    0 /* EmptyTable */
    },
    /* 0x77 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    120 /* Table120 */
+    0 /* EmptyTable */
    },
    /* 0x78 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    121 /* Table121 */
+    MODRM_SPLITRM,
+    1295 /* Table1295 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    122 /* Table122 */
+    MODRM_SPLITRM,
+    1297 /* Table1297 */
    },
    /* 0x7a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    123 /* Table123 */
+    0 /* EmptyTable */
    },
    /* 0x7b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    124 /* Table124 */
+    0 /* EmptyTable */
    },
    /* 0x7c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    125 /* Table125 */
+    0 /* EmptyTable */
    },
    /* 0x7d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    126 /* Table126 */
+    0 /* EmptyTable */
    },
    /* 0x7e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    127 /* Table127 */
+    0 /* EmptyTable */
    },
    /* 0x7f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    128 /* Table128 */
+    0 /* EmptyTable */
    },
    /* 0x80 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    129 /* Table129 */
+    MODRM_ONEENTRY,
+    1833 /* Table1833 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    920 /* Table920 */
+    MODRM_ONEENTRY,
+    1834 /* Table1834 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1835 /* Table1835 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    936 /* Table936 */
+    MODRM_ONEENTRY,
+    1836 /* Table1836 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    193 /* Table193 */
+    MODRM_ONEENTRY,
+    1837 /* Table1837 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    952 /* Table952 */
+    MODRM_ONEENTRY,
+    1838 /* Table1838 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    197 /* Table197 */
+    MODRM_ONEENTRY,
+    1839 /* Table1839 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    954 /* Table954 */
+    MODRM_ONEENTRY,
+    1840 /* Table1840 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    201 /* Table201 */
+    MODRM_ONEENTRY,
+    1841 /* Table1841 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    956 /* Table956 */
+    MODRM_ONEENTRY,
+    1842 /* Table1842 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    205 /* Table205 */
+    MODRM_ONEENTRY,
+    1843 /* Table1843 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    958 /* Table958 */
+    MODRM_ONEENTRY,
+    1844 /* Table1844 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    960 /* Table960 */
+    MODRM_ONEENTRY,
+    1845 /* Table1845 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    962 /* Table962 */
+    MODRM_ONEENTRY,
+    1846 /* Table1846 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    964 /* Table964 */
+    MODRM_ONEENTRY,
+    1847 /* Table1847 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    730 /* Table730 */
+    MODRM_ONEENTRY,
+    1848 /* Table1848 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    231 /* Table231 */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    966 /* Table966 */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    967 /* Table967 */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    968 /* Table968 */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    750 /* Table750 */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    751 /* Table751 */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    238 /* Table238 */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    239 /* Table239 */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    596 /* Table596 */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    969 /* Table969 */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    598 /* Table598 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    970 /* Table970 */
+    MODRM_SPLITRM,
+    1851 /* Table1851 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    244 /* Table244 */
+    MODRM_SPLITRM,
+    1853 /* Table1853 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    971 /* Table971 */
+    MODRM_SPLITRM,
+    1855 /* Table1855 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    246 /* Table246 */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    972 /* Table972 */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    248 /* Table248 */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    973 /* Table973 */
+    1858 /* Table1858 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    250 /* Table250 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    974 /* Table974 */
+    MODRM_SPLITRM,
+    1859 /* Table1859 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    252 /* Table252 */
+    MODRM_SPLITRM,
+    1861 /* Table1861 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    975 /* Table975 */
+    MODRM_SPLITRM,
+    1863 /* Table1863 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    254 /* Table254 */
+    MODRM_SPLITMISC,
+    1865 /* Table1865 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    976 /* Table976 */
+    MODRM_SPLITRM,
+    1937 /* Table1937 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1939 /* Table1939 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1941 /* Table1941 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1943 /* Table1943 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    256 /* Table256 */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    0 /* EmptyTable */
    },
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    977 /* Table977 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITREG,
+    1951 /* Table1951 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1969 /* Table1969 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1971 /* Table1971 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
-    MODRM_ONEENTRY,
-    977 /* Table977 */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    258 /* Table258 */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    978 /* Table978 */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
    },
    /* 0xc2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    777 /* Table777 */
+    0 /* EmptyTable */
    },
    /* 0xc3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    778 /* Table778 */
+    0 /* EmptyTable */
    },
    /* 0xc4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    779 /* Table779 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    781 /* Table781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    296 /* Table296 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    994 /* Table994 */
+    1977 /* Table1977 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    328 /* Table328 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    602 /* Table602 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1010 /* Table1010 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1011 /* Table1011 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    332 /* Table332 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    333 /* Table333 */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1012 /* Table1012 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    336 /* Table336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1013 /* Table1013 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    368 /* Table368 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1029 /* Table1029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xd4 */
    { /* ModRMDecision */
@@ -46597,14 +58504,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xd6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    402 /* Table402 */
+    0 /* EmptyTable */
    },
    /* 0xd7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    403 /* Table403 */
+    0 /* EmptyTable */
    },
    /* 0xd8 */
    { /* ModRMDecision */
@@ -46622,9 +58529,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xdb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    404 /* Table404 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xdc */
    { /* ModRMDecision */
@@ -46647,54 +58554,54 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xe0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    476 /* Table476 */
+    0 /* EmptyTable */
    },
    /* 0xe1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    477 /* Table477 */
+    0 /* EmptyTable */
    },
    /* 0xe2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    478 /* Table478 */
+    0 /* EmptyTable */
    },
    /* 0xe3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    603 /* Table603 */
+    0 /* EmptyTable */
    },
    /* 0xe4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    480 /* Table480 */
+    0 /* EmptyTable */
    },
    /* 0xe5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    834 /* Table834 */
+    0 /* EmptyTable */
    },
    /* 0xe6 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    482 /* Table482 */
+    0 /* EmptyTable */
    },
    /* 0xe7 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    835 /* Table835 */
+    0 /* EmptyTable */
    },
    /* 0xe8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    836 /* Table836 */
+    0 /* EmptyTable */
    },
    /* 0xe9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    837 /* Table837 */
+    0 /* EmptyTable */
    },
    /* 0xea */
    { /* ModRMDecision */
@@ -46702,134 +58609,134 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xeb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    487 /* Table487 */
+    0 /* EmptyTable */
    },
    /* 0xec */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    488 /* Table488 */
+    0 /* EmptyTable */
    },
    /* 0xed */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    839 /* Table839 */
+    0 /* EmptyTable */
    },
    /* 0xee */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    490 /* Table490 */
+    0 /* EmptyTable */
    },
    /* 0xef */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    840 /* Table840 */
+    0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    492 /* Table492 */
+    0 /* EmptyTable */
    },
    /* 0xf1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    493 /* Table493 */
+    0 /* EmptyTable */
    },
    /* 0xf2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    494 /* Table494 */
+    0 /* EmptyTable */
    },
    /* 0xf3 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    495 /* Table495 */
+    0 /* EmptyTable */
    },
    /* 0xf4 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    496 /* Table496 */
+    0 /* EmptyTable */
    },
    /* 0xf5 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    497 /* Table497 */
+    0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    498 /* Table498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1045 /* Table1045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    530 /* Table530 */
+    0 /* EmptyTable */
    },
    /* 0xf9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    531 /* Table531 */
+    0 /* EmptyTable */
    },
    /* 0xfa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    532 /* Table532 */
+    0 /* EmptyTable */
    },
    /* 0xfb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    533 /* Table533 */
+    0 /* EmptyTable */
    },
    /* 0xfc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    534 /* Table534 */
+    0 /* EmptyTable */
    },
    /* 0xfd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    535 /* Table535 */
+    0 /* EmptyTable */
    },
    /* 0xfe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    536 /* Table536 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xff */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1097 /* Table1097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1120 /* Table1120 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1136 /* Table1136 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1208 /* Table1208 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1210 /* Table1210 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -46837,29 +58744,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1215 /* Table1215 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -46867,9 +58774,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -46932,64 +58839,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1218 /* Table1218 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1234 /* Table1234 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1236 /* Table1236 */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1238 /* Table1238 */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1240 /* Table1240 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1242 /* Table1242 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1244 /* Table1244 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1246 /* Table1246 */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1248 /* Table1248 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1250 /* Table1250 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1252 /* Table1252 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1254 /* Table1254 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -47052,34 +58959,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1256 /* Table1256 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1257 /* Table1257 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1258 /* Table1258 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1259 /* Table1259 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1260 /* Table1260 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -47087,9 +58994,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -47132,84 +59039,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1263 /* Table1263 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1265 /* Table1265 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1267 /* Table1267 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1269 /* Table1269 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1271 /* Table1271 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1273 /* Table1273 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1275 /* Table1275 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1277 /* Table1277 */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1279 /* Table1279 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1281 /* Table1281 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1283 /* Table1283 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1285 /* Table1285 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1287 /* Table1287 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1289 /* Table1289 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1291 /* Table1291 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1293 /* Table1293 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -47412,14 +59319,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1295 /* Table1295 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1297 /* Table1297 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -47452,284 +59359,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1299 /* Table1299 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1300 /* Table1300 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1301 /* Table1301 */
    },
    /* 0x83 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1302 /* Table1302 */
    },
    /* 0x84 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1303 /* Table1303 */
    },
    /* 0x85 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1304 /* Table1304 */
    },
    /* 0x86 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1305 /* Table1305 */
    },
    /* 0x87 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1306 /* Table1306 */
    },
    /* 0x88 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1307 /* Table1307 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1308 /* Table1308 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1309 /* Table1309 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1310 /* Table1310 */
    },
    /* 0x8c */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1311 /* Table1311 */
    },
    /* 0x8d */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1312 /* Table1312 */
    },
    /* 0x8e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1313 /* Table1313 */
    },
    /* 0x8f */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1314 /* Table1314 */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1347 /* Table1347 */
    },
    /* 0xa1 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1348 /* Table1348 */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1350 /* Table1350 */
    },
    /* 0xa4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1352 /* Table1352 */
    },
    /* 0xa5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1354 /* Table1354 */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1500 /* Table1500 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1501 /* Table1501 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1502 /* Table1502 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1503 /* Table1503 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1505 /* Table1505 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1507 /* Table1507 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1509 /* Table1509 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1525 /* Table1525 */
    },
    /* 0xb0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1529 /* Table1529 */
    },
    /* 0xb2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1531 /* Table1531 */
    },
    /* 0xb3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1533 /* Table1533 */
    },
    /* 0xb4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1535 /* Table1535 */
    },
    /* 0xb5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1537 /* Table1537 */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1539 /* Table1539 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -47737,49 +59644,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1543 /* Table1543 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1544 /* Table1544 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1560 /* Table1560 */
    },
    /* 0xbc */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1562 /* Table1562 */
    },
    /* 0xbd */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1564 /* Table1564 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1566 /* Table1566 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1572 /* Table1572 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -47807,49 +59714,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1574 /* Table1574 */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xca */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -48093,32 +60000,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerOneByteOpcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 0, 7, 8, 9, 10, 11, 0, 0, 12, 13, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerTwoByteOpcodes[] = {
- /* IC */
+,  /* IC_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1129 /* Table1129 */
+    1136 /* Table1136 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -48128,27 +60031,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -48158,7 +60061,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -48223,62 +60126,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1241 /* Table1241 */
+    1248 /* Table1248 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1243 /* Table1243 */
+    1250 /* Table1250 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1245 /* Table1245 */
+    1252 /* Table1252 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1247 /* Table1247 */
+    1254 /* Table1254 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -48343,32 +60246,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -48378,7 +60281,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -48423,82 +60326,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    1263 /* Table1263 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    1265 /* Table1265 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    1267 /* Table1267 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    1269 /* Table1269 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    1271 /* Table1271 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    1273 /* Table1273 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    1275 /* Table1275 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    1279 /* Table1279 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    1281 /* Table1281 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    1283 /* Table1283 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    1285 /* Table1285 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    1287 /* Table1287 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    1289 /* Table1289 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    1291 /* Table1291 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    1293 /* Table1293 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -48703,12 +60606,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1288 /* Table1288 */
+    1295 /* Table1295 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1290 /* Table1290 */
+    1297 /* Table1297 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -48743,282 +60646,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    1347 /* Table1347 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    1348 /* Table1348 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1493 /* Table1493 */
+    1500 /* Table1500 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1494 /* Table1494 */
+    1501 /* Table1501 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1502 /* Table1502 */
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -49028,47 +60931,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    1993 /* Table1993 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    1995 /* Table1995 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    1572 /* Table1572 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -49098,47 +61001,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1567 /* Table1567 */
+    1997 /* Table1997 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -49382,28 +61285,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_XS_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1113 /* Table1113 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1584 /* Table1584 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1201 /* Table1201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1203 /* Table1203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -49411,29 +61314,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -49441,9 +61344,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -49506,64 +61409,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1211 /* Table1211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1227 /* Table1227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1229 /* Table1229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1231 /* Table1231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1233 /* Table1233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1235 /* Table1235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1237 /* Table1237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1239 /* Table1239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1656 /* Table1656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1658 /* Table1658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1660 /* Table1660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1662 /* Table1662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -49626,34 +61529,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -49661,9 +61564,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -49706,84 +61609,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1256 /* Table1256 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1258 /* Table1258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1260 /* Table1260 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1262 /* Table1262 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1264 /* Table1264 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1266 /* Table1266 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1268 /* Table1268 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1270 /* Table1270 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1272 /* Table1272 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1274 /* Table1274 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1276 /* Table1276 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1278 /* Table1278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1280 /* Table1280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1282 /* Table1282 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1284 /* Table1284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1286 /* Table1286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -49986,14 +61889,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1664 /* Table1664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1666 /* Table1666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -50026,284 +61929,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1308 /* Table1308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1310 /* Table1310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1312 /* Table1312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1314 /* Table1314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1316 /* Table1316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1318 /* Table1318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1320 /* Table1320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1322 /* Table1322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1324 /* Table1324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1326 /* Table1326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1328 /* Table1328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1330 /* Table1330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1332 /* Table1332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1334 /* Table1334 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1336 /* Table1336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1338 /* Table1338 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1343 /* Table1343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1345 /* Table1345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1347 /* Table1347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1349 /* Table1349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1421 /* Table1421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1496 /* Table1496 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1498 /* Table1498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1502 /* Table1502 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1518 /* Table1518 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1520 /* Table1520 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1522 /* Table1522 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1524 /* Table1524 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1526 /* Table1526 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1528 /* Table1528 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1530 /* Table1530 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1532 /* Table1532 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1534 /* Table1534 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -50311,49 +62214,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1537 /* Table1537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1553 /* Table1553 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    2013 /* Table2013 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    2015 /* Table2015 */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1559 /* Table1559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1561 /* Table1561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1563 /* Table1563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1565 /* Table1565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -50381,49 +62284,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1567 /* Table1567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -50667,28 +62570,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_64BIT_REXW */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1673 /* Table1673 */
+    2017 /* Table2017 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1689 /* Table1689 */
+    2033 /* Table2033 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1761 /* Table1761 */
+    2105 /* Table2105 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1763 /* Table1763 */
+    2107 /* Table2107 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -50698,27 +62601,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    2109 /* Table2109 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -50728,7 +62631,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -50793,62 +62696,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1765 /* Table1765 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1781 /* Table1781 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1783 /* Table1783 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1785 /* Table1785 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1787 /* Table1787 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1789 /* Table1789 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1791 /* Table1791 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1793 /* Table1793 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1241 /* Table1241 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1243 /* Table1243 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1245 /* Table1245 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1247 /* Table1247 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -50913,32 +62816,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    2110 /* Table2110 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -50948,7 +62851,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -50993,82 +62896,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1795 /* Table1795 */
+    2111 /* Table2111 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1797 /* Table1797 */
+    2113 /* Table2113 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1799 /* Table1799 */
+    2115 /* Table2115 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1801 /* Table1801 */
+    2117 /* Table2117 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1803 /* Table1803 */
+    2119 /* Table2119 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1805 /* Table1805 */
+    2121 /* Table2121 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1807 /* Table1807 */
+    2123 /* Table2123 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1809 /* Table1809 */
+    2125 /* Table2125 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1811 /* Table1811 */
+    2127 /* Table2127 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1813 /* Table1813 */
+    2129 /* Table2129 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1815 /* Table1815 */
+    2131 /* Table2131 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1817 /* Table1817 */
+    2133 /* Table2133 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1819 /* Table1819 */
+    2135 /* Table2135 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1821 /* Table1821 */
+    2137 /* Table2137 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1823 /* Table1823 */
+    2139 /* Table2139 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1825 /* Table1825 */
+    2141 /* Table2141 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -51273,12 +63176,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1288 /* Table1288 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1290 /* Table1290 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -51313,282 +63216,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1827 /* Table1827 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1828 /* Table1828 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1829 /* Table1829 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1830 /* Table1830 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1831 /* Table1831 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1832 /* Table1832 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1833 /* Table1833 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1834 /* Table1834 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1835 /* Table1835 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1836 /* Table1836 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1837 /* Table1837 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1838 /* Table1838 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1839 /* Table1839 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1840 /* Table1840 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1841 /* Table1841 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1842 /* Table1842 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1843 /* Table1843 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1844 /* Table1844 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    2143 /* Table2143 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1847 /* Table1847 */
+    2145 /* Table2145 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1849 /* Table1849 */
+    2147 /* Table2147 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1851 /* Table1851 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1852 /* Table1852 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1853 /* Table1853 */
+    2149 /* Table2149 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1855 /* Table1855 */
+    2151 /* Table2151 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1857 /* Table1857 */
+    2153 /* Table2153 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1502 /* Table1502 */
+    2155 /* Table2155 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1859 /* Table1859 */
+    2171 /* Table2171 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1861 /* Table1861 */
+    2173 /* Table2173 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1863 /* Table1863 */
+    2175 /* Table2175 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1865 /* Table1865 */
+    2177 /* Table2177 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1867 /* Table1867 */
+    2179 /* Table2179 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1869 /* Table1869 */
+    2181 /* Table2181 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1871 /* Table1871 */
+    2183 /* Table2183 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    2185 /* Table2185 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -51598,47 +63501,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1873 /* Table1873 */
+    2187 /* Table2187 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1889 /* Table1889 */
+    2203 /* Table2203 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1891 /* Table1891 */
+    2205 /* Table2205 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1893 /* Table1893 */
+    2207 /* Table2207 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1895 /* Table1895 */
+    2209 /* Table2209 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    2211 /* Table2211 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1897 /* Table1897 */
+    2213 /* Table2213 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -51668,47 +63571,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1899 /* Table1899 */
+    2215 /* Table2215 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -51952,28 +63855,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_64BIT_REXW_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    2017 /* Table2017 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1129 /* Table1129 */
+    2033 /* Table2033 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    2105 /* Table2105 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    2107 /* Table2107 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -51983,27 +63886,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    2109 /* Table2109 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -52013,7 +63916,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -52078,62 +63981,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1771 /* Table1771 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1787 /* Table1787 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1789 /* Table1789 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1791 /* Table1791 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1793 /* Table1793 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1795 /* Table1795 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1797 /* Table1797 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1799 /* Table1799 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1241 /* Table1241 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1243 /* Table1243 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1245 /* Table1245 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1247 /* Table1247 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -52198,32 +64101,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    2110 /* Table2110 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -52233,7 +64136,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -52278,82 +64181,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    2111 /* Table2111 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    2113 /* Table2113 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    2115 /* Table2115 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    2117 /* Table2117 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    2119 /* Table2119 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    2121 /* Table2121 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    2123 /* Table2123 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    2125 /* Table2125 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    2127 /* Table2127 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    2129 /* Table2129 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    2131 /* Table2131 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    2133 /* Table2133 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    2135 /* Table2135 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    2137 /* Table2137 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    2139 /* Table2139 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    2141 /* Table2141 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -52558,12 +64461,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1288 /* Table1288 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1290 /* Table1290 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -52598,282 +64501,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1833 /* Table1833 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1834 /* Table1834 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1835 /* Table1835 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1836 /* Table1836 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1837 /* Table1837 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1838 /* Table1838 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1839 /* Table1839 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1840 /* Table1840 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1841 /* Table1841 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1842 /* Table1842 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1843 /* Table1843 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1844 /* Table1844 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1845 /* Table1845 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1846 /* Table1846 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1847 /* Table1847 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1848 /* Table1848 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    2143 /* Table2143 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    2145 /* Table2145 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    2147 /* Table2147 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1493 /* Table1493 */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1494 /* Table1494 */
+    1858 /* Table1858 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    2149 /* Table2149 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    2151 /* Table2151 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    2153 /* Table2153 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1502 /* Table1502 */
+    MODRM_SPLITMISC,
+    2232 /* Table2232 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    2171 /* Table2171 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    2173 /* Table2173 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    2175 /* Table2175 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    2177 /* Table2177 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    2179 /* Table2179 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    2181 /* Table2181 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    2183 /* Table2183 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    2185 /* Table2185 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -52883,47 +64786,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    2187 /* Table2187 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    2203 /* Table2203 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    2205 /* Table2205 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    2207 /* Table2207 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    2209 /* Table2209 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    2211 /* Table2211 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    2213 /* Table2213 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -52953,47 +64856,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1567 /* Table1567 */
+    2304 /* Table2304 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -53237,28 +65140,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    1679 /* Table1679 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1129 /* Table1129 */
+    2320 /* Table2320 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    1767 /* Table1767 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    1769 /* Table1769 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -53268,27 +65171,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -53298,7 +65201,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -53363,62 +65266,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1771 /* Table1771 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1787 /* Table1787 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1789 /* Table1789 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1791 /* Table1791 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1793 /* Table1793 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1795 /* Table1795 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1797 /* Table1797 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1799 /* Table1799 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1241 /* Table1241 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1243 /* Table1243 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1245 /* Table1245 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1247 /* Table1247 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -53483,32 +65386,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -53518,7 +65421,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -53563,82 +65466,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    1801 /* Table1801 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    1803 /* Table1803 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    1805 /* Table1805 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    1807 /* Table1807 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    1809 /* Table1809 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    1811 /* Table1811 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    1813 /* Table1813 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    1815 /* Table1815 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    1817 /* Table1817 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    1819 /* Table1819 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    1821 /* Table1821 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    1823 /* Table1823 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    1825 /* Table1825 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    1827 /* Table1827 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    1829 /* Table1829 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    1831 /* Table1831 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -53843,12 +65746,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1288 /* Table1288 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1290 /* Table1290 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -53883,282 +65786,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1833 /* Table1833 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1834 /* Table1834 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1835 /* Table1835 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1836 /* Table1836 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1837 /* Table1837 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1838 /* Table1838 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1839 /* Table1839 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1840 /* Table1840 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1841 /* Table1841 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1842 /* Table1842 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1843 /* Table1843 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1844 /* Table1844 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1845 /* Table1845 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1846 /* Table1846 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1847 /* Table1847 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1848 /* Table1848 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    1851 /* Table1851 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    1853 /* Table1853 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    1855 /* Table1855 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1493 /* Table1493 */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1494 /* Table1494 */
+    1858 /* Table1858 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    1859 /* Table1859 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    1861 /* Table1861 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    1863 /* Table1863 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1502 /* Table1502 */
+    MODRM_SPLITMISC,
+    1865 /* Table1865 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    1937 /* Table1937 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    1939 /* Table1939 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    1941 /* Table1941 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    1943 /* Table1943 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    1945 /* Table1945 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    1947 /* Table1947 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    1949 /* Table1949 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -54168,47 +66071,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    1951 /* Table1951 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    1967 /* Table1967 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    1969 /* Table1969 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    1971 /* Table1971 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    1973 /* Table1973 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    1975 /* Table1975 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -54238,47 +66141,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1567 /* Table1567 */
+    1977 /* Table1977 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -54522,28 +66425,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1129 /* Table1129 */
+    1591 /* Table1591 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -54553,27 +66456,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -54583,7 +66486,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -54648,62 +66551,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1241 /* Table1241 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1243 /* Table1243 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1245 /* Table1245 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1247 /* Table1247 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -54768,32 +66671,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -54803,7 +66706,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -54848,82 +66751,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    1263 /* Table1263 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    1265 /* Table1265 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    1267 /* Table1267 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    1269 /* Table1269 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    1271 /* Table1271 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    1273 /* Table1273 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    1275 /* Table1275 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    1279 /* Table1279 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    1281 /* Table1281 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    1283 /* Table1283 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    1285 /* Table1285 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    1287 /* Table1287 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    1289 /* Table1289 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    1291 /* Table1291 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    1293 /* Table1293 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -55128,12 +67031,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1288 /* Table1288 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1290 /* Table1290 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -55168,282 +67071,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1340 /* Table1340 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1341 /* Table1341 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1342 /* Table1342 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1493 /* Table1493 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1494 /* Table1494 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1502 /* Table1502 */
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -55453,47 +67356,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1915 /* Table1915 */
+    1562 /* Table1562 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1917 /* Table1917 */
+    1564 /* Table1564 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    1572 /* Table1572 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -55523,47 +67426,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1919 /* Table1919 */
+    1574 /* Table1574 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -55807,28 +67710,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS_OPSIZE */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1679 /* Table1679 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2320 /* Table2320 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1767 /* Table1767 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1769 /* Table1769 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -55836,29 +67739,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1214 /* Table1214 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1215 /* Table1215 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -55866,9 +67769,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -55931,64 +67834,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1771 /* Table1771 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1787 /* Table1787 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1789 /* Table1789 */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1791 /* Table1791 */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1793 /* Table1793 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1795 /* Table1795 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1797 /* Table1797 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1799 /* Table1799 */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1663 /* Table1663 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1665 /* Table1665 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1667 /* Table1667 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -56051,34 +67954,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1256 /* Table1256 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1257 /* Table1257 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1258 /* Table1258 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1259 /* Table1259 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1260 /* Table1260 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -56086,9 +67989,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -56131,84 +68034,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1801 /* Table1801 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1803 /* Table1803 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1805 /* Table1805 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1807 /* Table1807 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1809 /* Table1809 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1811 /* Table1811 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1813 /* Table1813 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1815 /* Table1815 */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1817 /* Table1817 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1819 /* Table1819 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1821 /* Table1821 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1823 /* Table1823 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1825 /* Table1825 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1827 /* Table1827 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1829 /* Table1829 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1831 /* Table1831 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -56411,14 +68314,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1671 /* Table1671 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -56451,284 +68354,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1833 /* Table1833 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1834 /* Table1834 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1835 /* Table1835 */
    },
    /* 0x83 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1836 /* Table1836 */
    },
    /* 0x84 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1837 /* Table1837 */
    },
    /* 0x85 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1838 /* Table1838 */
    },
    /* 0x86 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1839 /* Table1839 */
    },
    /* 0x87 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1840 /* Table1840 */
    },
    /* 0x88 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1841 /* Table1841 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1842 /* Table1842 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1843 /* Table1843 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1844 /* Table1844 */
    },
    /* 0x8c */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1845 /* Table1845 */
    },
    /* 0x8d */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1846 /* Table1846 */
    },
    /* 0x8e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1847 /* Table1847 */
    },
    /* 0x8f */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1848 /* Table1848 */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1851 /* Table1851 */
    },
    /* 0xa4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1853 /* Table1853 */
    },
    /* 0xa5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1855 /* Table1855 */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1858 /* Table1858 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1502 /* Table1502 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1859 /* Table1859 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1861 /* Table1861 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1863 /* Table1863 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1865 /* Table1865 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1937 /* Table1937 */
    },
    /* 0xb0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1939 /* Table1939 */
    },
    /* 0xb2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1941 /* Table1941 */
    },
    /* 0xb3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1943 /* Table1943 */
    },
    /* 0xb4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1945 /* Table1945 */
    },
    /* 0xb5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1947 /* Table1947 */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1949 /* Table1949 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -56736,49 +68639,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1543 /* Table1543 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1951 /* Table1951 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1967 /* Table1967 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1935 /* Table1935 */
+    1969 /* Table1969 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1937 /* Table1937 */
+    1971 /* Table1971 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1973 /* Table1973 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1568 /* Table1568 */
    },
    /* 0xc0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1975 /* Table1975 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -56806,49 +68709,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1977 /* Table1977 */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xca */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xcf */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -57092,28 +68995,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_64BIT_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1939 /* Table1939 */
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1955 /* Table1955 */
+    1591 /* Table1591 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2027 /* Table2027 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2029 /* Table2029 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -57123,27 +69026,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -57153,7 +69056,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -57218,62 +69121,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1656 /* Table1656 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1658 /* Table1658 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1660 /* Table1660 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1662 /* Table1662 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -57338,32 +69241,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -57373,7 +69276,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -57418,82 +69321,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2033 /* Table2033 */
+    1263 /* Table1263 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2035 /* Table2035 */
+    1265 /* Table1265 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2037 /* Table2037 */
+    1267 /* Table1267 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2039 /* Table2039 */
+    1269 /* Table1269 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2041 /* Table2041 */
+    1271 /* Table1271 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2043 /* Table2043 */
+    1273 /* Table1273 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2045 /* Table2045 */
+    1275 /* Table1275 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2047 /* Table2047 */
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2049 /* Table2049 */
+    1279 /* Table1279 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2051 /* Table2051 */
+    1281 /* Table1281 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2053 /* Table2053 */
+    1283 /* Table1283 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2055 /* Table2055 */
+    1285 /* Table1285 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2057 /* Table2057 */
+    1287 /* Table1287 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2059 /* Table2059 */
+    1289 /* Table1289 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2061 /* Table2061 */
+    1291 /* Table1291 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2063 /* Table2063 */
+    1293 /* Table1293 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -57698,12 +69601,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1664 /* Table1664 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1666 /* Table1666 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -57738,282 +69641,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2065 /* Table2065 */
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2067 /* Table2067 */
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2069 /* Table2069 */
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2071 /* Table2071 */
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2073 /* Table2073 */
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2075 /* Table2075 */
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2077 /* Table2077 */
+    1509 /* Table1509 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2093 /* Table2093 */
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2095 /* Table2095 */
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2097 /* Table2097 */
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2099 /* Table2099 */
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2101 /* Table2101 */
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2103 /* Table2103 */
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2105 /* Table2105 */
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2107 /* Table2107 */
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -58023,47 +69926,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2109 /* Table2109 */
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2125 /* Table2125 */
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2127 /* Table2127 */
+    1562 /* Table1562 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2129 /* Table2129 */
+    1564 /* Table1564 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2131 /* Table2131 */
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2133 /* Table2133 */
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2135 /* Table2135 */
+    1572 /* Table1572 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -58093,47 +69996,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2137 /* Table2137 */
+    1574 /* Table1574 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -58377,28 +70280,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_64BIT_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1673 /* Table1673 */
+    1120 /* Table1120 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    2154 /* Table2154 */
+    1591 /* Table1591 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1761 /* Table1761 */
+    1208 /* Table1208 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1763 /* Table1763 */
+    1210 /* Table1210 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -58408,27 +70311,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    1214 /* Table1214 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -58438,7 +70341,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -58503,62 +70406,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1765 /* Table1765 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1781 /* Table1781 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1783 /* Table1783 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1785 /* Table1785 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1787 /* Table1787 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1789 /* Table1789 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1791 /* Table1791 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1793 /* Table1793 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1656 /* Table1656 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1658 /* Table1658 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1660 /* Table1660 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1662 /* Table1662 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -58623,32 +70526,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    1261 /* Table1261 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -58658,7 +70561,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -58703,82 +70606,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1795 /* Table1795 */
+    1263 /* Table1263 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1797 /* Table1797 */
+    1265 /* Table1265 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1799 /* Table1799 */
+    1267 /* Table1267 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1801 /* Table1801 */
+    1269 /* Table1269 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1803 /* Table1803 */
+    1271 /* Table1271 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1805 /* Table1805 */
+    1273 /* Table1273 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1807 /* Table1807 */
+    1275 /* Table1275 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1809 /* Table1809 */
+    1277 /* Table1277 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1811 /* Table1811 */
+    1279 /* Table1279 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1813 /* Table1813 */
+    1281 /* Table1281 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1815 /* Table1815 */
+    1283 /* Table1283 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1817 /* Table1817 */
+    1285 /* Table1285 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1819 /* Table1819 */
+    1287 /* Table1287 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1821 /* Table1821 */
+    1289 /* Table1289 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1823 /* Table1823 */
+    1291 /* Table1291 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1825 /* Table1825 */
+    1293 /* Table1293 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -58983,12 +70886,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1664 /* Table1664 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1666 /* Table1666 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -59023,282 +70926,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1827 /* Table1827 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1828 /* Table1828 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1829 /* Table1829 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1830 /* Table1830 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1831 /* Table1831 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1832 /* Table1832 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1833 /* Table1833 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1834 /* Table1834 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1835 /* Table1835 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1836 /* Table1836 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1837 /* Table1837 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1838 /* Table1838 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1839 /* Table1839 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1840 /* Table1840 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1841 /* Table1841 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1842 /* Table1842 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1843 /* Table1843 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1844 /* Table1844 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1845 /* Table1845 */
+    1350 /* Table1350 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1847 /* Table1847 */
+    1352 /* Table1352 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1849 /* Table1849 */
+    1354 /* Table1354 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1851 /* Table1851 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1852 /* Table1852 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1853 /* Table1853 */
+    1503 /* Table1503 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1855 /* Table1855 */
+    1505 /* Table1505 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1857 /* Table1857 */
+    1507 /* Table1507 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1502 /* Table1502 */
+    2392 /* Table2392 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1859 /* Table1859 */
+    1525 /* Table1525 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1861 /* Table1861 */
+    1529 /* Table1529 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1863 /* Table1863 */
+    1531 /* Table1531 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1865 /* Table1865 */
+    1533 /* Table1533 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1867 /* Table1867 */
+    1535 /* Table1535 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1869 /* Table1869 */
+    1537 /* Table1537 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1871 /* Table1871 */
+    1539 /* Table1539 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    1541 /* Table1541 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -59308,47 +71211,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1873 /* Table1873 */
+    1544 /* Table1544 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1889 /* Table1889 */
+    1560 /* Table1560 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1891 /* Table1891 */
+    1993 /* Table1993 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1893 /* Table1893 */
+    1995 /* Table1995 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1895 /* Table1895 */
+    1566 /* Table1566 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    1568 /* Table1568 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1897 /* Table1897 */
+    1572 /* Table1572 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -59378,47 +71281,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1899 /* Table1899 */
+    1997 /* Table1997 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    1590 /* Table1590 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -59662,28 +71565,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_64BIT_XS_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1113 /* Table1113 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1584 /* Table1584 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1201 /* Table1201 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1203 /* Table1203 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -59691,29 +71594,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -59721,9 +71624,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -59786,64 +71689,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1211 /* Table1211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1227 /* Table1227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1229 /* Table1229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1231 /* Table1231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1233 /* Table1233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1235 /* Table1235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1237 /* Table1237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1239 /* Table1239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1656 /* Table1656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1658 /* Table1658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1660 /* Table1660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1662 /* Table1662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -59906,34 +71809,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -59941,9 +71844,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -59986,84 +71889,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1256 /* Table1256 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1258 /* Table1258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1260 /* Table1260 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1262 /* Table1262 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1264 /* Table1264 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1266 /* Table1266 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1268 /* Table1268 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1270 /* Table1270 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1272 /* Table1272 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1274 /* Table1274 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1276 /* Table1276 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1278 /* Table1278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1280 /* Table1280 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1282 /* Table1282 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1284 /* Table1284 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1286 /* Table1286 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -60266,14 +72169,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1664 /* Table1664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1666 /* Table1666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -60306,284 +72209,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1308 /* Table1308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1310 /* Table1310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1312 /* Table1312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1314 /* Table1314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1316 /* Table1316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1318 /* Table1318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1320 /* Table1320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1322 /* Table1322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1324 /* Table1324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1326 /* Table1326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1328 /* Table1328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1330 /* Table1330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1332 /* Table1332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1334 /* Table1334 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1336 /* Table1336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1338 /* Table1338 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1343 /* Table1343 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1345 /* Table1345 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1347 /* Table1347 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1349 /* Table1349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1421 /* Table1421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1496 /* Table1496 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1498 /* Table1498 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1500 /* Table1500 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1502 /* Table1502 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1518 /* Table1518 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1520 /* Table1520 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1522 /* Table1522 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1524 /* Table1524 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1526 /* Table1526 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1528 /* Table1528 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1530 /* Table1530 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1532 /* Table1532 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1534 /* Table1534 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -60591,49 +72494,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1537 /* Table1537 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1553 /* Table1553 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    2013 /* Table2013 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    2015 /* Table2015 */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1559 /* Table1559 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1561 /* Table1561 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1563 /* Table1563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1565 /* Table1565 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -60661,49 +72564,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1567 /* Table1567 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -60947,28 +72850,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XD */
+,  /* IC_64BIT_REXW_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    2017 /* Table2017 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1584 /* Table1584 */
+    2033 /* Table2033 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    2105 /* Table2105 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    2107 /* Table2107 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -60978,27 +72881,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    2109 /* Table2109 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -61008,7 +72911,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -61073,62 +72976,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1656 /* Table1656 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1658 /* Table1658 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1660 /* Table1660 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1662 /* Table1662 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -61193,32 +73096,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    2110 /* Table2110 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -61228,7 +73131,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -61273,82 +73176,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    2111 /* Table2111 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    2113 /* Table2113 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    2115 /* Table2115 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    2117 /* Table2117 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    2119 /* Table2119 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    2121 /* Table2121 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    2123 /* Table2123 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    2125 /* Table2125 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    2127 /* Table2127 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    2129 /* Table2129 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    2131 /* Table2131 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    2133 /* Table2133 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    2135 /* Table2135 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    2137 /* Table2137 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    2139 /* Table2139 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    2141 /* Table2141 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -61553,12 +73456,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1664 /* Table1664 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1666 /* Table1666 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -61593,282 +73496,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    2143 /* Table2143 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    2145 /* Table2145 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    2147 /* Table2147 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    2149 /* Table2149 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    2151 /* Table2151 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    2153 /* Table2153 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1502 /* Table1502 */
+    2408 /* Table2408 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    2171 /* Table2171 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    2173 /* Table2173 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    2175 /* Table2175 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    2177 /* Table2177 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    2179 /* Table2179 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    2181 /* Table2181 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    2183 /* Table2183 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    2185 /* Table2185 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -61878,47 +73781,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    2187 /* Table2187 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    2203 /* Table2203 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1555 /* Table1555 */
+    2424 /* Table2424 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1557 /* Table1557 */
+    2426 /* Table2426 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    2209 /* Table2209 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    2211 /* Table2211 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    2213 /* Table2213 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -61948,47 +73851,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1567 /* Table1567 */
+    2428 /* Table2428 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -62232,28 +74135,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS */
+,  /* IC_64BIT_REXW_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1113 /* Table1113 */
+    2017 /* Table2017 */
    },
    /* 0x01 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1584 /* Table1584 */
+    2033 /* Table2033 */
    },
    /* 0x02 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1201 /* Table1201 */
+    2105 /* Table2105 */
    },
    /* 0x03 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1203 /* Table1203 */
+    2107 /* Table2107 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -62263,27 +74166,27 @@ static const struct OpcodeDecision x86Di
    /* 0x05 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    1212 /* Table1212 */
    },
    /* 0x06 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    1213 /* Table1213 */
    },
    /* 0x07 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1207 /* Table1207 */
+    2109 /* Table2109 */
    },
    /* 0x08 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    1215 /* Table1215 */
    },
    /* 0x09 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -62293,7 +74196,7 @@ static const struct OpcodeDecision x86Di
    /* 0x0b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -62358,62 +74261,62 @@ static const struct OpcodeDecision x86Di
    /* 0x18 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1211 /* Table1211 */
+    1218 /* Table1218 */
    },
    /* 0x19 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1227 /* Table1227 */
+    1234 /* Table1234 */
    },
    /* 0x1a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1229 /* Table1229 */
+    1236 /* Table1236 */
    },
    /* 0x1b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1231 /* Table1231 */
+    1238 /* Table1238 */
    },
    /* 0x1c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1233 /* Table1233 */
+    1240 /* Table1240 */
    },
    /* 0x1d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1235 /* Table1235 */
+    1242 /* Table1242 */
    },
    /* 0x1e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1237 /* Table1237 */
+    1244 /* Table1244 */
    },
    /* 0x1f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1239 /* Table1239 */
+    1246 /* Table1246 */
    },
    /* 0x20 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1656 /* Table1656 */
+    1663 /* Table1663 */
    },
    /* 0x21 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1658 /* Table1658 */
+    1665 /* Table1665 */
    },
    /* 0x22 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1660 /* Table1660 */
+    1667 /* Table1667 */
    },
    /* 0x23 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1662 /* Table1662 */
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -62478,32 +74381,32 @@ static const struct OpcodeDecision x86Di
    /* 0x30 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    1256 /* Table1256 */
    },
    /* 0x31 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    1257 /* Table1257 */
    },
    /* 0x32 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    1258 /* Table1258 */
    },
    /* 0x33 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    1259 /* Table1259 */
    },
    /* 0x34 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    1260 /* Table1260 */
    },
    /* 0x35 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1254 /* Table1254 */
+    2110 /* Table2110 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -62513,7 +74416,7 @@ static const struct OpcodeDecision x86Di
    /* 0x37 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -62558,82 +74461,82 @@ static const struct OpcodeDecision x86Di
    /* 0x40 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1256 /* Table1256 */
+    2111 /* Table2111 */
    },
    /* 0x41 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1258 /* Table1258 */
+    2113 /* Table2113 */
    },
    /* 0x42 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1260 /* Table1260 */
+    2115 /* Table2115 */
    },
    /* 0x43 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1262 /* Table1262 */
+    2117 /* Table2117 */
    },
    /* 0x44 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1264 /* Table1264 */
+    2119 /* Table2119 */
    },
    /* 0x45 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1266 /* Table1266 */
+    2121 /* Table2121 */
    },
    /* 0x46 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1268 /* Table1268 */
+    2123 /* Table2123 */
    },
    /* 0x47 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1270 /* Table1270 */
+    2125 /* Table2125 */
    },
    /* 0x48 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1272 /* Table1272 */
+    2127 /* Table2127 */
    },
    /* 0x49 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1274 /* Table1274 */
+    2129 /* Table2129 */
    },
    /* 0x4a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1276 /* Table1276 */
+    2131 /* Table2131 */
    },
    /* 0x4b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1278 /* Table1278 */
+    2133 /* Table2133 */
    },
    /* 0x4c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1280 /* Table1280 */
+    2135 /* Table2135 */
    },
    /* 0x4d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1282 /* Table1282 */
+    2137 /* Table2137 */
    },
    /* 0x4e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1284 /* Table1284 */
+    2139 /* Table2139 */
    },
    /* 0x4f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1286 /* Table1286 */
+    2141 /* Table2141 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -62838,12 +74741,12 @@ static const struct OpcodeDecision x86Di
    /* 0x78 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1664 /* Table1664 */
+    1671 /* Table1671 */
    },
    /* 0x79 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1666 /* Table1666 */
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -62878,282 +74781,282 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    1299 /* Table1299 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    1300 /* Table1300 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    1301 /* Table1301 */
    },
    /* 0x83 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    1302 /* Table1302 */
    },
    /* 0x84 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    1303 /* Table1303 */
    },
    /* 0x85 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    1304 /* Table1304 */
    },
    /* 0x86 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    1305 /* Table1305 */
    },
    /* 0x87 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    1306 /* Table1306 */
    },
    /* 0x88 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    1307 /* Table1307 */
    },
    /* 0x89 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    1308 /* Table1308 */
    },
    /* 0x8a */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    1309 /* Table1309 */
    },
    /* 0x8b */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    1310 /* Table1310 */
    },
    /* 0x8c */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    1311 /* Table1311 */
    },
    /* 0x8d */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    1312 /* Table1312 */
    },
    /* 0x8e */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    1313 /* Table1313 */
    },
    /* 0x8f */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    1314 /* Table1314 */
    },
    /* 0x90 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1308 /* Table1308 */
+    1315 /* Table1315 */
    },
    /* 0x91 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1310 /* Table1310 */
+    1317 /* Table1317 */
    },
    /* 0x92 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1312 /* Table1312 */
+    1319 /* Table1319 */
    },
    /* 0x93 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1314 /* Table1314 */
+    1321 /* Table1321 */
    },
    /* 0x94 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1316 /* Table1316 */
+    1323 /* Table1323 */
    },
    /* 0x95 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1318 /* Table1318 */
+    1325 /* Table1325 */
    },
    /* 0x96 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1320 /* Table1320 */
+    1327 /* Table1327 */
    },
    /* 0x97 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1322 /* Table1322 */
+    1329 /* Table1329 */
    },
    /* 0x98 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1324 /* Table1324 */
+    1331 /* Table1331 */
    },
    /* 0x99 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1326 /* Table1326 */
+    1333 /* Table1333 */
    },
    /* 0x9a */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1328 /* Table1328 */
+    1335 /* Table1335 */
    },
    /* 0x9b */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1330 /* Table1330 */
+    1337 /* Table1337 */
    },
    /* 0x9c */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1332 /* Table1332 */
+    1339 /* Table1339 */
    },
    /* 0x9d */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1334 /* Table1334 */
+    1341 /* Table1341 */
    },
    /* 0x9e */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1336 /* Table1336 */
+    1343 /* Table1343 */
    },
    /* 0x9f */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1338 /* Table1338 */
+    1345 /* Table1345 */
    },
    /* 0xa0 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    1675 /* Table1675 */
    },
    /* 0xa1 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    1676 /* Table1676 */
    },
    /* 0xa2 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1343 /* Table1343 */
+    2143 /* Table2143 */
    },
    /* 0xa4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1345 /* Table1345 */
+    2145 /* Table2145 */
    },
    /* 0xa5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1347 /* Table1347 */
+    2147 /* Table2147 */
    },
    /* 0xa6 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1349 /* Table1349 */
+    1356 /* Table1356 */
    },
    /* 0xa7 */
    { /* struct ModRMDecision */
     MODRM_SPLITMISC,
-    1421 /* Table1421 */
+    1428 /* Table1428 */
    },
    /* 0xa8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    1677 /* Table1677 */
    },
    /* 0xa9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    1678 /* Table1678 */
    },
    /* 0xaa */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    1502 /* Table1502 */
    },
    /* 0xab */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1496 /* Table1496 */
+    2149 /* Table2149 */
    },
    /* 0xac */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1498 /* Table1498 */
+    2151 /* Table2151 */
    },
    /* 0xad */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1500 /* Table1500 */
+    2153 /* Table2153 */
    },
    /* 0xae */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2226 /* Table2226 */
+    2155 /* Table2155 */
    },
    /* 0xaf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1518 /* Table1518 */
+    2171 /* Table2171 */
    },
    /* 0xb0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1520 /* Table1520 */
+    1527 /* Table1527 */
    },
    /* 0xb1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1522 /* Table1522 */
+    2173 /* Table2173 */
    },
    /* 0xb2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1524 /* Table1524 */
+    2175 /* Table2175 */
    },
    /* 0xb3 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1526 /* Table1526 */
+    2177 /* Table2177 */
    },
    /* 0xb4 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1528 /* Table1528 */
+    2179 /* Table2179 */
    },
    /* 0xb5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1530 /* Table1530 */
+    2181 /* Table2181 */
    },
    /* 0xb6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1532 /* Table1532 */
+    2183 /* Table2183 */
    },
    /* 0xb7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1534 /* Table1534 */
+    2185 /* Table2185 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -63163,47 +75066,47 @@ static const struct OpcodeDecision x86Di
    /* 0xb9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    1543 /* Table1543 */
    },
    /* 0xba */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1537 /* Table1537 */
+    2187 /* Table2187 */
    },
    /* 0xbb */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1553 /* Table1553 */
+    2203 /* Table2203 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1915 /* Table1915 */
+    2205 /* Table2205 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1917 /* Table1917 */
+    2207 /* Table2207 */
    },
    /* 0xbe */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1559 /* Table1559 */
+    2209 /* Table2209 */
    },
    /* 0xbf */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1561 /* Table1561 */
+    2211 /* Table2211 */
    },
    /* 0xc0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1563 /* Table1563 */
+    1570 /* Table1570 */
    },
    /* 0xc1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1565 /* Table1565 */
+    2213 /* Table2213 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -63233,47 +75136,47 @@ static const struct OpcodeDecision x86Di
    /* 0xc7 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    1919 /* Table1919 */
+    2215 /* Table2215 */
    },
    /* 0xc8 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xc9 */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xca */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcb */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcc */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcd */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xce */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xcf */
    { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    1583 /* Table1583 */
+    2231 /* Table2231 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -63517,28 +75420,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_XS_OPSIZE */
+,  /* IC_64BIT_REXW_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2017 /* Table2017 */
    },
    /* 0x01 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2033 /* Table2033 */
    },
    /* 0x02 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2105 /* Table2105 */
    },
    /* 0x03 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2107 /* Table2107 */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -63546,29 +75449,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1212 /* Table1212 */
    },
    /* 0x06 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1213 /* Table1213 */
    },
    /* 0x07 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2109 /* Table2109 */
    },
    /* 0x08 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1215 /* Table1215 */
    },
    /* 0x09 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1216 /* Table1216 */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -63576,9 +75479,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1217 /* Table1217 */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -63641,64 +75544,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    1771 /* Table1771 */
    },
    /* 0x19 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1787 /* Table1787 */
    },
    /* 0x1a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1789 /* Table1789 */
    },
    /* 0x1b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1791 /* Table1791 */
    },
    /* 0x1c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1793 /* Table1793 */
    },
    /* 0x1d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1795 /* Table1795 */
    },
    /* 0x1e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1797 /* Table1797 */
    },
    /* 0x1f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1799 /* Table1799 */
    },
    /* 0x20 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1663 /* Table1663 */
    },
    /* 0x21 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1665 /* Table1665 */
    },
    /* 0x22 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1667 /* Table1667 */
    },
    /* 0x23 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1669 /* Table1669 */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -63761,34 +75664,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1256 /* Table1256 */
    },
    /* 0x31 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1257 /* Table1257 */
    },
    /* 0x32 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1258 /* Table1258 */
    },
    /* 0x33 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1259 /* Table1259 */
    },
    /* 0x34 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1260 /* Table1260 */
    },
    /* 0x35 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2110 /* Table2110 */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -63796,9 +75699,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1262 /* Table1262 */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -63841,84 +75744,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2111 /* Table2111 */
    },
    /* 0x41 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2113 /* Table2113 */
    },
    /* 0x42 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2115 /* Table2115 */
    },
    /* 0x43 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2117 /* Table2117 */
    },
    /* 0x44 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2119 /* Table2119 */
    },
    /* 0x45 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2121 /* Table2121 */
    },
    /* 0x46 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2123 /* Table2123 */
    },
    /* 0x47 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2125 /* Table2125 */
    },
    /* 0x48 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2127 /* Table2127 */
    },
    /* 0x49 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2129 /* Table2129 */
    },
    /* 0x4a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2131 /* Table2131 */
    },
    /* 0x4b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2133 /* Table2133 */
    },
    /* 0x4c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2135 /* Table2135 */
    },
    /* 0x4d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2137 /* Table2137 */
    },
    /* 0x4e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2139 /* Table2139 */
    },
    /* 0x4f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2141 /* Table2141 */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -64121,14 +76024,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1671 /* Table1671 */
    },
    /* 0x79 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1673 /* Table1673 */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -64161,284 +76064,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1833 /* Table1833 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1834 /* Table1834 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1835 /* Table1835 */
    },
    /* 0x83 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1836 /* Table1836 */
    },
    /* 0x84 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1837 /* Table1837 */
    },
    /* 0x85 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1838 /* Table1838 */
    },
    /* 0x86 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1839 /* Table1839 */
    },
    /* 0x87 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1840 /* Table1840 */
    },
    /* 0x88 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1841 /* Table1841 */
    },
    /* 0x89 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1842 /* Table1842 */
    },
    /* 0x8a */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1843 /* Table1843 */
    },
    /* 0x8b */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1844 /* Table1844 */
    },
    /* 0x8c */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1845 /* Table1845 */
    },
    /* 0x8d */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1846 /* Table1846 */
    },
    /* 0x8e */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1847 /* Table1847 */
    },
    /* 0x8f */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1848 /* Table1848 */
    },
    /* 0x90 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1315 /* Table1315 */
    },
    /* 0x91 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1317 /* Table1317 */
    },
    /* 0x92 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1319 /* Table1319 */
    },
    /* 0x93 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1321 /* Table1321 */
    },
    /* 0x94 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1323 /* Table1323 */
    },
    /* 0x95 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1325 /* Table1325 */
    },
    /* 0x96 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1327 /* Table1327 */
    },
    /* 0x97 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1329 /* Table1329 */
    },
    /* 0x98 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1331 /* Table1331 */
    },
    /* 0x99 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1333 /* Table1333 */
    },
    /* 0x9a */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1335 /* Table1335 */
    },
    /* 0x9b */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1337 /* Table1337 */
    },
    /* 0x9c */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1339 /* Table1339 */
    },
    /* 0x9d */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1341 /* Table1341 */
    },
    /* 0x9e */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1343 /* Table1343 */
    },
    /* 0x9f */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1345 /* Table1345 */
    },
    /* 0xa0 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1849 /* Table1849 */
    },
    /* 0xa1 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1850 /* Table1850 */
    },
    /* 0xa2 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1349 /* Table1349 */
    },
    /* 0xa3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2143 /* Table2143 */
    },
    /* 0xa4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2145 /* Table2145 */
    },
    /* 0xa5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2147 /* Table2147 */
    },
    /* 0xa6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1356 /* Table1356 */
    },
    /* 0xa7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    1428 /* Table1428 */
    },
    /* 0xa8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1857 /* Table1857 */
    },
    /* 0xa9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1858 /* Table1858 */
    },
    /* 0xaa */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1502 /* Table1502 */
    },
    /* 0xab */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2149 /* Table2149 */
    },
    /* 0xac */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2151 /* Table2151 */
    },
    /* 0xad */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2153 /* Table2153 */
    },
    /* 0xae */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITMISC,
+    2232 /* Table2232 */
    },
    /* 0xaf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2171 /* Table2171 */
    },
    /* 0xb0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1527 /* Table1527 */
    },
    /* 0xb1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2173 /* Table2173 */
    },
    /* 0xb2 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2175 /* Table2175 */
    },
    /* 0xb3 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2177 /* Table2177 */
    },
    /* 0xb4 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2179 /* Table2179 */
    },
    /* 0xb5 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2181 /* Table2181 */
    },
    /* 0xb6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2183 /* Table2183 */
    },
    /* 0xb7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2185 /* Table2185 */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -64446,49 +76349,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    1543 /* Table1543 */
    },
    /* 0xba */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2187 /* Table2187 */
    },
    /* 0xbb */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2203 /* Table2203 */
    },
    /* 0xbc */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1935 /* Table1935 */
+    2205 /* Table2205 */
    },
    /* 0xbd */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    1937 /* Table1937 */
+    2207 /* Table2207 */
    },
    /* 0xbe */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2209 /* Table2209 */
    },
    /* 0xbf */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2211 /* Table2211 */
    },
    /* 0xc0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    1570 /* Table1570 */
    },
    /* 0xc1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2213 /* Table2213 */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -64516,49 +76419,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITREG,
+    2304 /* Table2304 */
    },
    /* 0xc8 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xc9 */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xca */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xcb */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xcc */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xcd */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xce */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xcf */
-   { /* ModRMDecision */
+   { /* struct ModRMDecision */
     MODRM_ONEENTRY,
-    0 /* EmptyTable */
+    2231 /* Table2231 */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -64802,28 +76705,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XS */
+,  /* IC_OF */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1939 /* Table1939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1955 /* Table1955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2027 /* Table2027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2029 /* Table2029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -64831,29 +76734,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -64861,9 +76764,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -64926,64 +76829,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1211 /* Table1211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1227 /* Table1227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1229 /* Table1229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1231 /* Table1231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1233 /* Table1233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1235 /* Table1235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1237 /* Table1237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1239 /* Table1239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1656 /* Table1656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1658 /* Table1658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1660 /* Table1660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1662 /* Table1662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -65046,34 +76949,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -65081,9 +76984,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -65126,84 +77029,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2033 /* Table2033 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2035 /* Table2035 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2037 /* Table2037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -65406,14 +77309,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1664 /* Table1664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1666 /* Table1666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -65446,284 +77349,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1308 /* Table1308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1310 /* Table1310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1312 /* Table1312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1314 /* Table1314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1316 /* Table1316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1318 /* Table1318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1320 /* Table1320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1322 /* Table1322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1324 /* Table1324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1326 /* Table1326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1328 /* Table1328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1330 /* Table1330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1332 /* Table1332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1334 /* Table1334 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1336 /* Table1336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1338 /* Table1338 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1349 /* Table1349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1421 /* Table1421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2071 /* Table2071 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2073 /* Table2073 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2075 /* Table2075 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2242 /* Table2242 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2093 /* Table2093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1520 /* Table1520 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2095 /* Table2095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2097 /* Table2097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2099 /* Table2099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2101 /* Table2101 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2103 /* Table2103 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2105 /* Table2105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2107 /* Table2107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -65731,49 +77634,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2109 /* Table2109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2125 /* Table2125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2258 /* Table2258 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2260 /* Table2260 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2131 /* Table2131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2133 /* Table2133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1563 /* Table1563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2135 /* Table2135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -65801,49 +77704,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2262 /* Table2262 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -66087,28 +77990,32 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_XD */
+, };
+static const uint8_t index_x86DisassemblerTwoByteOpcodes[] = {
+1, 2, 3, 4, 0, 5, 6, 7, 0, 8, 9, 10, 11, 12, 13, 14, 15, 0, 16, 17, 18, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+static const struct OpcodeDecision x86DisassemblerThreeByte38Opcodes[] = {
+ /* IC */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1939 /* Table1939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1955 /* Table1955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2027 /* Table2027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2029 /* Table2029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -66116,29 +78023,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -66146,9 +78053,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -66211,64 +78118,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1211 /* Table1211 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1227 /* Table1227 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1229 /* Table1229 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1231 /* Table1231 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1233 /* Table1233 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1235 /* Table1235 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1237 /* Table1237 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1239 /* Table1239 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1656 /* Table1656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1658 /* Table1658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1660 /* Table1660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1662 /* Table1662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -66331,34 +78238,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -66366,9 +78273,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -66411,84 +78318,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2033 /* Table2033 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2035 /* Table2035 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2037 /* Table2037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -66691,14 +78598,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1664 /* Table1664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1666 /* Table1666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -66731,284 +78638,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1292 /* Table1292 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1293 /* Table1293 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1294 /* Table1294 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1295 /* Table1295 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1296 /* Table1296 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1297 /* Table1297 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1298 /* Table1298 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1299 /* Table1299 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1300 /* Table1300 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1301 /* Table1301 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1302 /* Table1302 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1303 /* Table1303 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1304 /* Table1304 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1305 /* Table1305 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1306 /* Table1306 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1307 /* Table1307 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1308 /* Table1308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1310 /* Table1310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1312 /* Table1312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1314 /* Table1314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1316 /* Table1316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1318 /* Table1318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1320 /* Table1320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1322 /* Table1322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1324 /* Table1324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1326 /* Table1326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1328 /* Table1328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1330 /* Table1330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1332 /* Table1332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1334 /* Table1334 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1336 /* Table1336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1338 /* Table1338 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1668 /* Table1668 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1669 /* Table1669 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1349 /* Table1349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1421 /* Table1421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1671 /* Table1671 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1672 /* Table1672 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2071 /* Table2071 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2073 /* Table2073 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2075 /* Table2075 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2077 /* Table2077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2093 /* Table2093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1520 /* Table1520 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2095 /* Table2095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2097 /* Table2097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2099 /* Table2099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2101 /* Table2101 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2103 /* Table2103 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2105 /* Table2105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2107 /* Table2107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -67016,49 +78923,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2109 /* Table2109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2125 /* Table2125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2127 /* Table2127 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2129 /* Table2129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2131 /* Table2131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2133 /* Table2133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1563 /* Table1563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2135 /* Table2135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -67086,49 +78993,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2137 /* Table2137 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -67291,14 +79198,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2444 /* Table2444 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -67372,28 +79279,28 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW_OPSIZE */
+,  /* IC_64BIT */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1939 /* Table1939 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x01 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1955 /* Table1955 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x02 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2027 /* Table2027 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x03 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2029 /* Table2029 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x04 */
    { /* ModRMDecision */
@@ -67401,29 +79308,29 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x05 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1205 /* Table1205 */
+    0 /* EmptyTable */
    },
    /* 0x06 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1206 /* Table1206 */
+    0 /* EmptyTable */
    },
    /* 0x07 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2031 /* Table2031 */
+    0 /* EmptyTable */
    },
    /* 0x08 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1208 /* Table1208 */
+    0 /* EmptyTable */
    },
    /* 0x09 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1209 /* Table1209 */
+    0 /* EmptyTable */
    },
    /* 0x0a */
    { /* ModRMDecision */
@@ -67431,9 +79338,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x0b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1210 /* Table1210 */
+    0 /* EmptyTable */
    },
    /* 0x0c */
    { /* ModRMDecision */
@@ -67496,64 +79403,64 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x18 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    1765 /* Table1765 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x19 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1781 /* Table1781 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1783 /* Table1783 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1785 /* Table1785 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1787 /* Table1787 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1789 /* Table1789 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1791 /* Table1791 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x1f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1793 /* Table1793 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x20 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1656 /* Table1656 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x21 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1658 /* Table1658 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x22 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1660 /* Table1660 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x23 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1662 /* Table1662 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x24 */
    { /* ModRMDecision */
@@ -67616,34 +79523,34 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x30 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1249 /* Table1249 */
+    0 /* EmptyTable */
    },
    /* 0x31 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1250 /* Table1250 */
+    0 /* EmptyTable */
    },
    /* 0x32 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1251 /* Table1251 */
+    0 /* EmptyTable */
    },
    /* 0x33 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1252 /* Table1252 */
+    0 /* EmptyTable */
    },
    /* 0x34 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1253 /* Table1253 */
+    0 /* EmptyTable */
    },
    /* 0x35 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2032 /* Table2032 */
+    0 /* EmptyTable */
    },
    /* 0x36 */
    { /* ModRMDecision */
@@ -67651,9 +79558,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x37 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1255 /* Table1255 */
+    0 /* EmptyTable */
    },
    /* 0x38 */
    { /* ModRMDecision */
@@ -67696,84 +79603,84 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x40 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2033 /* Table2033 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x41 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2035 /* Table2035 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x42 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2037 /* Table2037 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x43 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2039 /* Table2039 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x44 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2041 /* Table2041 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x45 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2043 /* Table2043 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x46 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2045 /* Table2045 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x47 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2047 /* Table2047 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x48 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2049 /* Table2049 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x49 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2051 /* Table2051 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2053 /* Table2053 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2055 /* Table2055 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2057 /* Table2057 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2059 /* Table2059 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2061 /* Table2061 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x4f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2063 /* Table2063 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x50 */
    { /* ModRMDecision */
@@ -67976,14 +79883,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x78 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1664 /* Table1664 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x79 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1666 /* Table1666 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x7a */
    { /* ModRMDecision */
@@ -68016,284 +79923,284 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1827 /* Table1827 */
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1828 /* Table1828 */
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1829 /* Table1829 */
+    0 /* EmptyTable */
    },
    /* 0x83 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1830 /* Table1830 */
+    0 /* EmptyTable */
    },
    /* 0x84 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1831 /* Table1831 */
+    0 /* EmptyTable */
    },
    /* 0x85 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1832 /* Table1832 */
+    0 /* EmptyTable */
    },
    /* 0x86 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1833 /* Table1833 */
+    0 /* EmptyTable */
    },
    /* 0x87 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1834 /* Table1834 */
+    0 /* EmptyTable */
    },
    /* 0x88 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1835 /* Table1835 */
+    0 /* EmptyTable */
    },
    /* 0x89 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1836 /* Table1836 */
+    0 /* EmptyTable */
    },
    /* 0x8a */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1837 /* Table1837 */
+    0 /* EmptyTable */
    },
    /* 0x8b */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1838 /* Table1838 */
+    0 /* EmptyTable */
    },
    /* 0x8c */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1839 /* Table1839 */
+    0 /* EmptyTable */
    },
    /* 0x8d */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1840 /* Table1840 */
+    0 /* EmptyTable */
    },
    /* 0x8e */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1841 /* Table1841 */
+    0 /* EmptyTable */
    },
    /* 0x8f */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1842 /* Table1842 */
+    0 /* EmptyTable */
    },
    /* 0x90 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1308 /* Table1308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x91 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1310 /* Table1310 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x92 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1312 /* Table1312 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x93 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1314 /* Table1314 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x94 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1316 /* Table1316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x95 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1318 /* Table1318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x96 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1320 /* Table1320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x97 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1322 /* Table1322 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x98 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1324 /* Table1324 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x99 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1326 /* Table1326 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9a */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1328 /* Table1328 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9b */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1330 /* Table1330 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9c */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1332 /* Table1332 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9d */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1334 /* Table1334 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9e */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1336 /* Table1336 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x9f */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1338 /* Table1338 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa0 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1843 /* Table1843 */
+    0 /* EmptyTable */
    },
    /* 0xa1 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1844 /* Table1844 */
+    0 /* EmptyTable */
    },
    /* 0xa2 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1670 /* Table1670 */
+    0 /* EmptyTable */
    },
    /* 0xa3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2065 /* Table2065 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2067 /* Table2067 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2069 /* Table2069 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1349 /* Table1349 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITMISC,
-    1421 /* Table1421 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xa8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1851 /* Table1851 */
+    0 /* EmptyTable */
    },
    /* 0xa9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1852 /* Table1852 */
+    0 /* EmptyTable */
    },
    /* 0xaa */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1495 /* Table1495 */
+    0 /* EmptyTable */
    },
    /* 0xab */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2071 /* Table2071 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xac */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2073 /* Table2073 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xad */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2075 /* Table2075 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xae */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2077 /* Table2077 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xaf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2093 /* Table2093 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1520 /* Table1520 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2095 /* Table2095 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb2 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2097 /* Table2097 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb3 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2099 /* Table2099 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb4 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2101 /* Table2101 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb5 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2103 /* Table2103 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2105 /* Table2105 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2107 /* Table2107 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xb8 */
    { /* ModRMDecision */
@@ -68301,49 +80208,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xb9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    1536 /* Table1536 */
+    0 /* EmptyTable */
    },
    /* 0xba */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2109 /* Table2109 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbb */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2125 /* Table2125 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbc */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2127 /* Table2127 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbd */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2129 /* Table2129 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbe */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2131 /* Table2131 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xbf */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2133 /* Table2133 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc0 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    1563 /* Table1563 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc1 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2135 /* Table2135 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc2 */
    { /* ModRMDecision */
@@ -68371,49 +80278,49 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xc7 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITREG,
-    2278 /* Table2278 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xc8 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xc9 */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xca */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcb */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcc */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcd */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xce */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xcf */
-   { /* struct ModRMDecision */
+   { /* ModRMDecision */
     MODRM_ONEENTRY,
-    2153 /* Table2153 */
+    0 /* EmptyTable */
    },
    /* 0xd0 */
    { /* ModRMDecision */
@@ -68576,14 +80483,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2444 /* Table2444 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -68657,7 +80564,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OF */
+,  /* IC_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -69301,19 +81208,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2448 /* Table2448 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2450 /* Table2450 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2452 /* Table2452 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -69861,14 +81768,14 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf0 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2454 /* Table2454 */
    },
    /* 0xf1 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2456 /* Table2456 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -69891,9 +81798,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2458 /* Table2458 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -69942,11 +81849,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-, };
-static const uint8_t index_x86DisassemblerTwoByteOpcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 7, 8, 9, 10, 11, 12, 0, 13, 14, 15, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
-static const struct OpcodeDecision x86DisassemblerThreeByte38Opcodes[] = {
- /* IC */
+,  /* IC_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -71152,12 +83055,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -71231,7 +83134,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT */
+,  /* IC_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -71875,19 +83778,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2448 /* Table2448 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2450 /* Table2450 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2452 /* Table2452 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -72437,12 +84340,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2454 /* Table2454 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2456 /* Table2456 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -72465,9 +84368,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2458 /* Table2458 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -72516,7 +84419,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_OPSIZE */
+,  /* IC_XD */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -73160,19 +85063,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2298 /* Table2298 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2300 /* Table2300 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2302 /* Table2302 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -73722,12 +85625,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2304 /* Table2304 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2306 /* Table2306 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -73750,9 +85653,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2308 /* Table2308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -73801,7 +85704,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_ADSIZE */
+,  /* IC_XS */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -75007,12 +86910,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -75035,9 +86938,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2460 /* Table2460 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -75086,7 +86989,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XD */
+,  /* IC_64BIT_REXW */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -76292,12 +88195,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2462 /* Table2462 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2464 /* Table2464 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -76371,7 +88274,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_XS */
+,  /* IC_64BIT_REXW_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -77015,19 +88918,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -77577,12 +89480,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2462 /* Table2462 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2464 /* Table2464 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -77607,7 +89510,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2310 /* Table2310 */
+    2458 /* Table2458 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -77656,7 +89559,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_REXW */
+,  /* IC_64BIT_OPSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -78300,19 +90203,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -78862,12 +90765,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2312 /* Table2312 */
+    2454 /* Table2454 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2314 /* Table2314 */
+    2456 /* Table2456 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -78890,9 +90793,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2458 /* Table2458 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -78941,7 +90844,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_OPSIZE */
+,  /* IC_64BIT_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -79585,19 +91488,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2316 /* Table2316 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x81 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2318 /* Table2318 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x82 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2320 /* Table2320 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -80147,12 +92050,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2304 /* Table2304 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2306 /* Table2306 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -80175,9 +92078,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* struct ModRMDecision */
-    MODRM_SPLITRM,
-    2308 /* Table2308 */
+   { /* ModRMDecision */
+    MODRM_ONEENTRY,
+    0 /* EmptyTable */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -80226,7 +92129,7 @@ static const struct OpcodeDecision x86Di
    }
   }
  }
-,  /* IC_64BIT_ADSIZE */
+,  /* IC_64BIT_OPSIZE_ADSIZE */
  { /* struct OpcodeDecision */
   {
    /* 0x00 */
@@ -80870,19 +92773,19 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0x80 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2466 /* Table2466 */
    },
    /* 0x81 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2468 /* Table2468 */
    },
    /* 0x82 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2470 /* Table2470 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -81432,12 +93335,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2454 /* Table2454 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2456 /* Table2456 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -81460,9 +93363,9 @@ static const struct OpcodeDecision x86Di
     0 /* EmptyTable */
    },
    /* 0xf6 */
-   { /* ModRMDecision */
-    MODRM_ONEENTRY,
-    0 /* EmptyTable */
+   { /* struct ModRMDecision */
+    MODRM_SPLITRM,
+    2458 /* Table2458 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -82717,12 +94620,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -84002,12 +95905,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2294 /* Table2294 */
+    2444 /* Table2444 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2296 /* Table2296 */
+    2446 /* Table2446 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -84032,7 +95935,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2310 /* Table2310 */
+    2460 /* Table2460 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -85287,12 +97190,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2312 /* Table2312 */
+    2462 /* Table2462 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2314 /* Table2314 */
+    2464 /* Table2464 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -85317,7 +97220,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2322 /* Table2322 */
+    2472 /* Table2472 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -86572,12 +98475,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2312 /* Table2312 */
+    2462 /* Table2462 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2314 /* Table2314 */
+    2464 /* Table2464 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -87297,17 +99200,17 @@ static const struct OpcodeDecision x86Di
    /* 0x80 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2316 /* Table2316 */
+    2466 /* Table2466 */
    },
    /* 0x81 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2318 /* Table2318 */
+    2468 /* Table2468 */
    },
    /* 0x82 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2320 /* Table2320 */
+    2470 /* Table2470 */
    },
    /* 0x83 */
    { /* ModRMDecision */
@@ -87857,12 +99760,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2312 /* Table2312 */
+    2462 /* Table2462 */
    },
    /* 0xf1 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2314 /* Table2314 */
+    2464 /* Table2464 */
    },
    /* 0xf2 */
    { /* ModRMDecision */
@@ -87887,7 +99790,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2324 /* Table2324 */
+    2474 /* Table2474 */
    },
    /* 0xf7 */
    { /* ModRMDecision */
@@ -89152,12 +101055,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2326 /* Table2326 */
+    2476 /* Table2476 */
    },
    /* 0xf3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2328 /* Table2328 */
+    2478 /* Table2478 */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -89167,7 +101070,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2344 /* Table2344 */
+    2494 /* Table2494 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -89177,7 +101080,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2346 /* Table2346 */
+    2496 /* Table2496 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -90452,7 +102355,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2348 /* Table2348 */
+    2498 /* Table2498 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -90462,7 +102365,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2350 /* Table2350 */
+    2500 /* Table2500 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -91737,17 +103640,17 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2352 /* Table2352 */
+    2502 /* Table2502 */
    },
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2354 /* Table2354 */
+    2504 /* Table2504 */
    },
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2356 /* Table2356 */
+    2506 /* Table2506 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -93032,7 +104935,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2358 /* Table2358 */
+    2508 /* Table2508 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -94292,12 +106195,12 @@ static const struct OpcodeDecision x86Di
    /* 0xf2 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2360 /* Table2360 */
+    2510 /* Table2510 */
    },
    /* 0xf3 */
    { /* struct ModRMDecision */
     MODRM_SPLITREG,
-    2362 /* Table2362 */
+    2512 /* Table2512 */
    },
    /* 0xf4 */
    { /* ModRMDecision */
@@ -94307,7 +106210,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2378 /* Table2378 */
+    2528 /* Table2528 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -94317,7 +106220,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2380 /* Table2380 */
+    2530 /* Table2530 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -95592,7 +107495,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2382 /* Table2382 */
+    2532 /* Table2532 */
    },
    /* 0xf6 */
    { /* ModRMDecision */
@@ -95602,7 +107505,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2384 /* Table2384 */
+    2534 /* Table2534 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -96877,17 +108780,17 @@ static const struct OpcodeDecision x86Di
    /* 0xf5 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2386 /* Table2386 */
+    2536 /* Table2536 */
    },
    /* 0xf6 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2388 /* Table2388 */
+    2538 /* Table2538 */
    },
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2390 /* Table2390 */
+    2540 /* Table2540 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -98172,7 +110075,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf7 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2392 /* Table2392 */
+    2542 /* Table2542 */
    },
    /* 0xf8 */
    { /* ModRMDecision */
@@ -99503,7 +111406,7 @@ static const struct OpcodeDecision x86Di
  }
 , };
 static const uint8_t index_x86DisassemblerThreeByte38Opcodes[] = {
-1, 2, 3, 4, 0, 5, 6, 0, 0, 7, 8, 9, 10, 11, 0, 0, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+1, 2, 3, 4, 0, 5, 6, 7, 0, 0, 8, 9, 10, 11, 12, 13, 14, 0, 0, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
 static const struct OpcodeDecision x86DisassemblerThreeByte3AOpcodes[] = {
  /* IC_VEX_XD */
  { /* struct OpcodeDecision */
@@ -100711,7 +112614,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2394 /* Table2394 */
+    2544 /* Table2544 */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -101996,7 +113899,7 @@ static const struct OpcodeDecision x86Di
    /* 0xf0 */
    { /* struct ModRMDecision */
     MODRM_SPLITRM,
-    2396 /* Table2396 */
+    2546 /* Table2546 */
    },
    /* 0xf1 */
    { /* ModRMDecision */
@@ -103362,4 +115265,4 @@ static const struct OpcodeDecision x86Di
  }
 , };
 static const uint8_t index_x86DisassemblerThreeByte3AOpcodes[] = {
-0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenInstrInfo.inc 4.0.2-3/arch/X86/X86GenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,6254 +34,8843 @@ enum {
     X86_STACKMAP	= 17,
     X86_PATCHPOINT	= 18,
     X86_LOAD_STACK_GUARD	= 19,
-    X86_AAA	= 20,
-    X86_AAD8i8	= 21,
-    X86_AAM8i8	= 22,
-    X86_AAS	= 23,
-    X86_ABS_F	= 24,
-    X86_ABS_Fp32	= 25,
-    X86_ABS_Fp64	= 26,
-    X86_ABS_Fp80	= 27,
-    X86_ACQUIRE_MOV16rm	= 28,
-    X86_ACQUIRE_MOV32rm	= 29,
-    X86_ACQUIRE_MOV64rm	= 30,
-    X86_ACQUIRE_MOV8rm	= 31,
-    X86_ADC16i16	= 32,
-    X86_ADC16mi	= 33,
-    X86_ADC16mi8	= 34,
-    X86_ADC16mr	= 35,
-    X86_ADC16ri	= 36,
-    X86_ADC16ri8	= 37,
-    X86_ADC16rm	= 38,
-    X86_ADC16rr	= 39,
-    X86_ADC16rr_REV	= 40,
-    X86_ADC32i32	= 41,
-    X86_ADC32mi	= 42,
-    X86_ADC32mi8	= 43,
-    X86_ADC32mr	= 44,
-    X86_ADC32ri	= 45,
-    X86_ADC32ri8	= 46,
-    X86_ADC32rm	= 47,
-    X86_ADC32rr	= 48,
-    X86_ADC32rr_REV	= 49,
-    X86_ADC64i32	= 50,
-    X86_ADC64mi32	= 51,
-    X86_ADC64mi8	= 52,
-    X86_ADC64mr	= 53,
-    X86_ADC64ri32	= 54,
-    X86_ADC64ri8	= 55,
-    X86_ADC64rm	= 56,
-    X86_ADC64rr	= 57,
-    X86_ADC64rr_REV	= 58,
-    X86_ADC8i8	= 59,
-    X86_ADC8mi	= 60,
-    X86_ADC8mr	= 61,
-    X86_ADC8ri	= 62,
-    X86_ADC8rm	= 63,
-    X86_ADC8rr	= 64,
-    X86_ADC8rr_REV	= 65,
-    X86_ADCX32rm	= 66,
-    X86_ADCX32rr	= 67,
-    X86_ADCX64rm	= 68,
-    X86_ADCX64rr	= 69,
-    X86_ADD16i16	= 70,
-    X86_ADD16mi	= 71,
-    X86_ADD16mi8	= 72,
-    X86_ADD16mr	= 73,
-    X86_ADD16ri	= 74,
-    X86_ADD16ri8	= 75,
-    X86_ADD16ri8_DB	= 76,
-    X86_ADD16ri_DB	= 77,
-    X86_ADD16rm	= 78,
-    X86_ADD16rr	= 79,
-    X86_ADD16rr_DB	= 80,
-    X86_ADD16rr_REV	= 81,
-    X86_ADD32i32	= 82,
-    X86_ADD32mi	= 83,
-    X86_ADD32mi8	= 84,
-    X86_ADD32mr	= 85,
-    X86_ADD32ri	= 86,
-    X86_ADD32ri8	= 87,
-    X86_ADD32ri8_DB	= 88,
-    X86_ADD32ri_DB	= 89,
-    X86_ADD32rm	= 90,
-    X86_ADD32rr	= 91,
-    X86_ADD32rr_DB	= 92,
-    X86_ADD32rr_REV	= 93,
-    X86_ADD64i32	= 94,
-    X86_ADD64mi32	= 95,
-    X86_ADD64mi8	= 96,
-    X86_ADD64mr	= 97,
-    X86_ADD64ri32	= 98,
-    X86_ADD64ri32_DB	= 99,
-    X86_ADD64ri8	= 100,
-    X86_ADD64ri8_DB	= 101,
-    X86_ADD64rm	= 102,
-    X86_ADD64rr	= 103,
-    X86_ADD64rr_DB	= 104,
-    X86_ADD64rr_REV	= 105,
-    X86_ADD8i8	= 106,
-    X86_ADD8mi	= 107,
-    X86_ADD8mr	= 108,
-    X86_ADD8ri	= 109,
-    X86_ADD8ri8	= 110,
-    X86_ADD8rm	= 111,
-    X86_ADD8rr	= 112,
-    X86_ADD8rr_REV	= 113,
-    X86_ADDPDrm	= 114,
-    X86_ADDPDrr	= 115,
-    X86_ADDPSrm	= 116,
-    X86_ADDPSrr	= 117,
-    X86_ADDSDrm	= 118,
-    X86_ADDSDrm_Int	= 119,
-    X86_ADDSDrr	= 120,
-    X86_ADDSDrr_Int	= 121,
-    X86_ADDSSrm	= 122,
-    X86_ADDSSrm_Int	= 123,
-    X86_ADDSSrr	= 124,
-    X86_ADDSSrr_Int	= 125,
-    X86_ADDSUBPDrm	= 126,
-    X86_ADDSUBPDrr	= 127,
-    X86_ADDSUBPSrm	= 128,
-    X86_ADDSUBPSrr	= 129,
-    X86_ADD_F32m	= 130,
-    X86_ADD_F64m	= 131,
-    X86_ADD_FI16m	= 132,
-    X86_ADD_FI32m	= 133,
-    X86_ADD_FPrST0	= 134,
-    X86_ADD_FST0r	= 135,
-    X86_ADD_Fp32	= 136,
-    X86_ADD_Fp32m	= 137,
-    X86_ADD_Fp64	= 138,
-    X86_ADD_Fp64m	= 139,
-    X86_ADD_Fp64m32	= 140,
-    X86_ADD_Fp80	= 141,
-    X86_ADD_Fp80m32	= 142,
-    X86_ADD_Fp80m64	= 143,
-    X86_ADD_FpI16m32	= 144,
-    X86_ADD_FpI16m64	= 145,
-    X86_ADD_FpI16m80	= 146,
-    X86_ADD_FpI32m32	= 147,
-    X86_ADD_FpI32m64	= 148,
-    X86_ADD_FpI32m80	= 149,
-    X86_ADD_FrST0	= 150,
-    X86_ADJCALLSTACKDOWN32	= 151,
-    X86_ADJCALLSTACKDOWN64	= 152,
-    X86_ADJCALLSTACKUP32	= 153,
-    X86_ADJCALLSTACKUP64	= 154,
-    X86_ADOX32rm	= 155,
-    X86_ADOX32rr	= 156,
-    X86_ADOX64rm	= 157,
-    X86_ADOX64rr	= 158,
-    X86_AESDECLASTrm	= 159,
-    X86_AESDECLASTrr	= 160,
-    X86_AESDECrm	= 161,
-    X86_AESDECrr	= 162,
-    X86_AESENCLASTrm	= 163,
-    X86_AESENCLASTrr	= 164,
-    X86_AESENCrm	= 165,
-    X86_AESENCrr	= 166,
-    X86_AESIMCrm	= 167,
-    X86_AESIMCrr	= 168,
-    X86_AESKEYGENASSIST128rm	= 169,
-    X86_AESKEYGENASSIST128rr	= 170,
-    X86_AND16i16	= 171,
-    X86_AND16mi	= 172,
-    X86_AND16mi8	= 173,
-    X86_AND16mr	= 174,
-    X86_AND16ri	= 175,
-    X86_AND16ri8	= 176,
-    X86_AND16rm	= 177,
-    X86_AND16rr	= 178,
-    X86_AND16rr_REV	= 179,
-    X86_AND32i32	= 180,
-    X86_AND32mi	= 181,
-    X86_AND32mi8	= 182,
-    X86_AND32mr	= 183,
-    X86_AND32ri	= 184,
-    X86_AND32ri8	= 185,
-    X86_AND32rm	= 186,
-    X86_AND32rr	= 187,
-    X86_AND32rr_REV	= 188,
-    X86_AND64i32	= 189,
-    X86_AND64mi32	= 190,
-    X86_AND64mi8	= 191,
-    X86_AND64mr	= 192,
-    X86_AND64ri32	= 193,
-    X86_AND64ri8	= 194,
-    X86_AND64rm	= 195,
-    X86_AND64rr	= 196,
-    X86_AND64rr_REV	= 197,
-    X86_AND8i8	= 198,
-    X86_AND8mi	= 199,
-    X86_AND8mr	= 200,
-    X86_AND8ri	= 201,
-    X86_AND8ri8	= 202,
-    X86_AND8rm	= 203,
-    X86_AND8rr	= 204,
-    X86_AND8rr_REV	= 205,
-    X86_ANDN32rm	= 206,
-    X86_ANDN32rr	= 207,
-    X86_ANDN64rm	= 208,
-    X86_ANDN64rr	= 209,
-    X86_ANDNPDrm	= 210,
-    X86_ANDNPDrr	= 211,
-    X86_ANDNPSrm	= 212,
-    X86_ANDNPSrr	= 213,
-    X86_ANDPDrm	= 214,
-    X86_ANDPDrr	= 215,
-    X86_ANDPSrm	= 216,
-    X86_ANDPSrr	= 217,
-    X86_ARPL16mr	= 218,
-    X86_ARPL16rr	= 219,
-    X86_AVX2_SETALLONES	= 220,
-    X86_AVX512_512_SET0	= 221,
-    X86_AVX_SET0	= 222,
-    X86_BEXTR32rm	= 223,
-    X86_BEXTR32rr	= 224,
-    X86_BEXTR64rm	= 225,
-    X86_BEXTR64rr	= 226,
-    X86_BEXTRI32mi	= 227,
-    X86_BEXTRI32ri	= 228,
-    X86_BEXTRI64mi	= 229,
-    X86_BEXTRI64ri	= 230,
-    X86_BLCFILL32rm	= 231,
-    X86_BLCFILL32rr	= 232,
-    X86_BLCFILL64rm	= 233,
-    X86_BLCFILL64rr	= 234,
-    X86_BLCI32rm	= 235,
-    X86_BLCI32rr	= 236,
-    X86_BLCI64rm	= 237,
-    X86_BLCI64rr	= 238,
-    X86_BLCIC32rm	= 239,
-    X86_BLCIC32rr	= 240,
-    X86_BLCIC64rm	= 241,
-    X86_BLCIC64rr	= 242,
-    X86_BLCMSK32rm	= 243,
-    X86_BLCMSK32rr	= 244,
-    X86_BLCMSK64rm	= 245,
-    X86_BLCMSK64rr	= 246,
-    X86_BLCS32rm	= 247,
-    X86_BLCS32rr	= 248,
-    X86_BLCS64rm	= 249,
-    X86_BLCS64rr	= 250,
-    X86_BLENDPDrmi	= 251,
-    X86_BLENDPDrri	= 252,
-    X86_BLENDPSrmi	= 253,
-    X86_BLENDPSrri	= 254,
-    X86_BLENDVPDrm0	= 255,
-    X86_BLENDVPDrr0	= 256,
-    X86_BLENDVPSrm0	= 257,
-    X86_BLENDVPSrr0	= 258,
-    X86_BLSFILL32rm	= 259,
-    X86_BLSFILL32rr	= 260,
-    X86_BLSFILL64rm	= 261,
-    X86_BLSFILL64rr	= 262,
-    X86_BLSI32rm	= 263,
-    X86_BLSI32rr	= 264,
-    X86_BLSI64rm	= 265,
-    X86_BLSI64rr	= 266,
-    X86_BLSIC32rm	= 267,
-    X86_BLSIC32rr	= 268,
-    X86_BLSIC64rm	= 269,
-    X86_BLSIC64rr	= 270,
-    X86_BLSMSK32rm	= 271,
-    X86_BLSMSK32rr	= 272,
-    X86_BLSMSK64rm	= 273,
-    X86_BLSMSK64rr	= 274,
-    X86_BLSR32rm	= 275,
-    X86_BLSR32rr	= 276,
-    X86_BLSR64rm	= 277,
-    X86_BLSR64rr	= 278,
-    X86_BOUNDS16rm	= 279,
-    X86_BOUNDS32rm	= 280,
-    X86_BSF16rm	= 281,
-    X86_BSF16rr	= 282,
-    X86_BSF32rm	= 283,
-    X86_BSF32rr	= 284,
-    X86_BSF64rm	= 285,
-    X86_BSF64rr	= 286,
-    X86_BSR16rm	= 287,
-    X86_BSR16rr	= 288,
-    X86_BSR32rm	= 289,
-    X86_BSR32rr	= 290,
-    X86_BSR64rm	= 291,
-    X86_BSR64rr	= 292,
-    X86_BSWAP32r	= 293,
-    X86_BSWAP64r	= 294,
-    X86_BT16mi8	= 295,
-    X86_BT16mr	= 296,
-    X86_BT16ri8	= 297,
-    X86_BT16rr	= 298,
-    X86_BT32mi8	= 299,
-    X86_BT32mr	= 300,
-    X86_BT32ri8	= 301,
-    X86_BT32rr	= 302,
-    X86_BT64mi8	= 303,
-    X86_BT64mr	= 304,
-    X86_BT64ri8	= 305,
-    X86_BT64rr	= 306,
-    X86_BTC16mi8	= 307,
-    X86_BTC16mr	= 308,
-    X86_BTC16ri8	= 309,
-    X86_BTC16rr	= 310,
-    X86_BTC32mi8	= 311,
-    X86_BTC32mr	= 312,
-    X86_BTC32ri8	= 313,
-    X86_BTC32rr	= 314,
-    X86_BTC64mi8	= 315,
-    X86_BTC64mr	= 316,
-    X86_BTC64ri8	= 317,
-    X86_BTC64rr	= 318,
-    X86_BTR16mi8	= 319,
-    X86_BTR16mr	= 320,
-    X86_BTR16ri8	= 321,
-    X86_BTR16rr	= 322,
-    X86_BTR32mi8	= 323,
-    X86_BTR32mr	= 324,
-    X86_BTR32ri8	= 325,
-    X86_BTR32rr	= 326,
-    X86_BTR64mi8	= 327,
-    X86_BTR64mr	= 328,
-    X86_BTR64ri8	= 329,
-    X86_BTR64rr	= 330,
-    X86_BTS16mi8	= 331,
-    X86_BTS16mr	= 332,
-    X86_BTS16ri8	= 333,
-    X86_BTS16rr	= 334,
-    X86_BTS32mi8	= 335,
-    X86_BTS32mr	= 336,
-    X86_BTS32ri8	= 337,
-    X86_BTS32rr	= 338,
-    X86_BTS64mi8	= 339,
-    X86_BTS64mr	= 340,
-    X86_BTS64ri8	= 341,
-    X86_BTS64rr	= 342,
-    X86_BZHI32rm	= 343,
-    X86_BZHI32rr	= 344,
-    X86_BZHI64rm	= 345,
-    X86_BZHI64rr	= 346,
-    X86_CALL16m	= 347,
-    X86_CALL16r	= 348,
-    X86_CALL32m	= 349,
-    X86_CALL32r	= 350,
-    X86_CALL64m	= 351,
-    X86_CALL64pcrel32	= 352,
-    X86_CALL64r	= 353,
-    X86_CALLpcrel16	= 354,
-    X86_CALLpcrel32	= 355,
-    X86_CBW	= 356,
-    X86_CDQ	= 357,
-    X86_CDQE	= 358,
-    X86_CHS_F	= 359,
-    X86_CHS_Fp32	= 360,
-    X86_CHS_Fp64	= 361,
-    X86_CHS_Fp80	= 362,
-    X86_CLAC	= 363,
-    X86_CLC	= 364,
-    X86_CLD	= 365,
-    X86_CLFLUSH	= 366,
-    X86_CLGI	= 367,
-    X86_CLI	= 368,
-    X86_CLTS	= 369,
-    X86_CMC	= 370,
-    X86_CMOVA16rm	= 371,
-    X86_CMOVA16rr	= 372,
-    X86_CMOVA32rm	= 373,
-    X86_CMOVA32rr	= 374,
-    X86_CMOVA64rm	= 375,
-    X86_CMOVA64rr	= 376,
-    X86_CMOVAE16rm	= 377,
-    X86_CMOVAE16rr	= 378,
-    X86_CMOVAE32rm	= 379,
-    X86_CMOVAE32rr	= 380,
-    X86_CMOVAE64rm	= 381,
-    X86_CMOVAE64rr	= 382,
-    X86_CMOVB16rm	= 383,
-    X86_CMOVB16rr	= 384,
-    X86_CMOVB32rm	= 385,
-    X86_CMOVB32rr	= 386,
-    X86_CMOVB64rm	= 387,
-    X86_CMOVB64rr	= 388,
-    X86_CMOVBE16rm	= 389,
-    X86_CMOVBE16rr	= 390,
-    X86_CMOVBE32rm	= 391,
-    X86_CMOVBE32rr	= 392,
-    X86_CMOVBE64rm	= 393,
-    X86_CMOVBE64rr	= 394,
-    X86_CMOVBE_F	= 395,
-    X86_CMOVBE_Fp32	= 396,
-    X86_CMOVBE_Fp64	= 397,
-    X86_CMOVBE_Fp80	= 398,
-    X86_CMOVB_F	= 399,
-    X86_CMOVB_Fp32	= 400,
-    X86_CMOVB_Fp64	= 401,
-    X86_CMOVB_Fp80	= 402,
-    X86_CMOVE16rm	= 403,
-    X86_CMOVE16rr	= 404,
-    X86_CMOVE32rm	= 405,
-    X86_CMOVE32rr	= 406,
-    X86_CMOVE64rm	= 407,
-    X86_CMOVE64rr	= 408,
-    X86_CMOVE_F	= 409,
-    X86_CMOVE_Fp32	= 410,
-    X86_CMOVE_Fp64	= 411,
-    X86_CMOVE_Fp80	= 412,
-    X86_CMOVG16rm	= 413,
-    X86_CMOVG16rr	= 414,
-    X86_CMOVG32rm	= 415,
-    X86_CMOVG32rr	= 416,
-    X86_CMOVG64rm	= 417,
-    X86_CMOVG64rr	= 418,
-    X86_CMOVGE16rm	= 419,
-    X86_CMOVGE16rr	= 420,
-    X86_CMOVGE32rm	= 421,
-    X86_CMOVGE32rr	= 422,
-    X86_CMOVGE64rm	= 423,
-    X86_CMOVGE64rr	= 424,
-    X86_CMOVL16rm	= 425,
-    X86_CMOVL16rr	= 426,
-    X86_CMOVL32rm	= 427,
-    X86_CMOVL32rr	= 428,
-    X86_CMOVL64rm	= 429,
-    X86_CMOVL64rr	= 430,
-    X86_CMOVLE16rm	= 431,
-    X86_CMOVLE16rr	= 432,
-    X86_CMOVLE32rm	= 433,
-    X86_CMOVLE32rr	= 434,
-    X86_CMOVLE64rm	= 435,
-    X86_CMOVLE64rr	= 436,
-    X86_CMOVNBE_F	= 437,
-    X86_CMOVNBE_Fp32	= 438,
-    X86_CMOVNBE_Fp64	= 439,
-    X86_CMOVNBE_Fp80	= 440,
-    X86_CMOVNB_F	= 441,
-    X86_CMOVNB_Fp32	= 442,
-    X86_CMOVNB_Fp64	= 443,
-    X86_CMOVNB_Fp80	= 444,
-    X86_CMOVNE16rm	= 445,
-    X86_CMOVNE16rr	= 446,
-    X86_CMOVNE32rm	= 447,
-    X86_CMOVNE32rr	= 448,
-    X86_CMOVNE64rm	= 449,
-    X86_CMOVNE64rr	= 450,
-    X86_CMOVNE_F	= 451,
-    X86_CMOVNE_Fp32	= 452,
-    X86_CMOVNE_Fp64	= 453,
-    X86_CMOVNE_Fp80	= 454,
-    X86_CMOVNO16rm	= 455,
-    X86_CMOVNO16rr	= 456,
-    X86_CMOVNO32rm	= 457,
-    X86_CMOVNO32rr	= 458,
-    X86_CMOVNO64rm	= 459,
-    X86_CMOVNO64rr	= 460,
-    X86_CMOVNP16rm	= 461,
-    X86_CMOVNP16rr	= 462,
-    X86_CMOVNP32rm	= 463,
-    X86_CMOVNP32rr	= 464,
-    X86_CMOVNP64rm	= 465,
-    X86_CMOVNP64rr	= 466,
-    X86_CMOVNP_F	= 467,
-    X86_CMOVNP_Fp32	= 468,
-    X86_CMOVNP_Fp64	= 469,
-    X86_CMOVNP_Fp80	= 470,
-    X86_CMOVNS16rm	= 471,
-    X86_CMOVNS16rr	= 472,
-    X86_CMOVNS32rm	= 473,
-    X86_CMOVNS32rr	= 474,
-    X86_CMOVNS64rm	= 475,
-    X86_CMOVNS64rr	= 476,
-    X86_CMOVO16rm	= 477,
-    X86_CMOVO16rr	= 478,
-    X86_CMOVO32rm	= 479,
-    X86_CMOVO32rr	= 480,
-    X86_CMOVO64rm	= 481,
-    X86_CMOVO64rr	= 482,
-    X86_CMOVP16rm	= 483,
-    X86_CMOVP16rr	= 484,
-    X86_CMOVP32rm	= 485,
-    X86_CMOVP32rr	= 486,
-    X86_CMOVP64rm	= 487,
-    X86_CMOVP64rr	= 488,
-    X86_CMOVP_F	= 489,
-    X86_CMOVP_Fp32	= 490,
-    X86_CMOVP_Fp64	= 491,
-    X86_CMOVP_Fp80	= 492,
-    X86_CMOVS16rm	= 493,
-    X86_CMOVS16rr	= 494,
-    X86_CMOVS32rm	= 495,
-    X86_CMOVS32rr	= 496,
-    X86_CMOVS64rm	= 497,
-    X86_CMOVS64rr	= 498,
-    X86_CMOV_FR32	= 499,
-    X86_CMOV_FR64	= 500,
-    X86_CMOV_GR16	= 501,
-    X86_CMOV_GR32	= 502,
-    X86_CMOV_GR8	= 503,
-    X86_CMOV_RFP32	= 504,
-    X86_CMOV_RFP64	= 505,
-    X86_CMOV_RFP80	= 506,
-    X86_CMOV_V16F32	= 507,
-    X86_CMOV_V2F64	= 508,
-    X86_CMOV_V2I64	= 509,
-    X86_CMOV_V4F32	= 510,
-    X86_CMOV_V4F64	= 511,
-    X86_CMOV_V4I64	= 512,
-    X86_CMOV_V8F32	= 513,
-    X86_CMOV_V8F64	= 514,
-    X86_CMOV_V8I64	= 515,
-    X86_CMP16i16	= 516,
-    X86_CMP16mi	= 517,
-    X86_CMP16mi8	= 518,
-    X86_CMP16mr	= 519,
-    X86_CMP16ri	= 520,
-    X86_CMP16ri8	= 521,
-    X86_CMP16rm	= 522,
-    X86_CMP16rr	= 523,
-    X86_CMP16rr_REV	= 524,
-    X86_CMP32i32	= 525,
-    X86_CMP32mi	= 526,
-    X86_CMP32mi8	= 527,
-    X86_CMP32mr	= 528,
-    X86_CMP32ri	= 529,
-    X86_CMP32ri8	= 530,
-    X86_CMP32rm	= 531,
-    X86_CMP32rr	= 532,
-    X86_CMP32rr_REV	= 533,
-    X86_CMP64i32	= 534,
-    X86_CMP64mi32	= 535,
-    X86_CMP64mi8	= 536,
-    X86_CMP64mr	= 537,
-    X86_CMP64ri32	= 538,
-    X86_CMP64ri8	= 539,
-    X86_CMP64rm	= 540,
-    X86_CMP64rr	= 541,
-    X86_CMP64rr_REV	= 542,
-    X86_CMP8i8	= 543,
-    X86_CMP8mi	= 544,
-    X86_CMP8mr	= 545,
-    X86_CMP8ri	= 546,
-    X86_CMP8rm	= 547,
-    X86_CMP8rr	= 548,
-    X86_CMP8rr_REV	= 549,
-    X86_CMPPDrmi	= 550,
-    X86_CMPPDrmi_alt	= 551,
-    X86_CMPPDrri	= 552,
-    X86_CMPPDrri_alt	= 553,
-    X86_CMPPSrmi	= 554,
-    X86_CMPPSrmi_alt	= 555,
-    X86_CMPPSrri	= 556,
-    X86_CMPPSrri_alt	= 557,
-    X86_CMPSB	= 558,
-    X86_CMPSDrm	= 559,
-    X86_CMPSDrm_alt	= 560,
-    X86_CMPSDrr	= 561,
-    X86_CMPSDrr_alt	= 562,
-    X86_CMPSL	= 563,
-    X86_CMPSQ	= 564,
-    X86_CMPSSrm	= 565,
-    X86_CMPSSrm_alt	= 566,
-    X86_CMPSSrr	= 567,
-    X86_CMPSSrr_alt	= 568,
-    X86_CMPSW	= 569,
-    X86_CMPXCHG16B	= 570,
-    X86_CMPXCHG16rm	= 571,
-    X86_CMPXCHG16rr	= 572,
-    X86_CMPXCHG32rm	= 573,
-    X86_CMPXCHG32rr	= 574,
-    X86_CMPXCHG64rm	= 575,
-    X86_CMPXCHG64rr	= 576,
-    X86_CMPXCHG8B	= 577,
-    X86_CMPXCHG8rm	= 578,
-    X86_CMPXCHG8rr	= 579,
-    X86_COMISDrm	= 580,
-    X86_COMISDrr	= 581,
-    X86_COMISSrm	= 582,
-    X86_COMISSrr	= 583,
-    X86_COMP_FST0r	= 584,
-    X86_COM_FIPr	= 585,
-    X86_COM_FIr	= 586,
-    X86_COM_FST0r	= 587,
-    X86_COS_F	= 588,
-    X86_COS_Fp32	= 589,
-    X86_COS_Fp64	= 590,
-    X86_COS_Fp80	= 591,
-    X86_CPUID32	= 592,
-    X86_CPUID64	= 593,
-    X86_CQO	= 594,
-    X86_CRC32r32m16	= 595,
-    X86_CRC32r32m32	= 596,
-    X86_CRC32r32m8	= 597,
-    X86_CRC32r32r16	= 598,
-    X86_CRC32r32r32	= 599,
-    X86_CRC32r32r8	= 600,
-    X86_CRC32r64m64	= 601,
-    X86_CRC32r64m8	= 602,
-    X86_CRC32r64r64	= 603,
-    X86_CRC32r64r8	= 604,
-    X86_CVTDQ2PDrm	= 605,
-    X86_CVTDQ2PDrr	= 606,
-    X86_CVTDQ2PSrm	= 607,
-    X86_CVTDQ2PSrr	= 608,
-    X86_CVTPD2DQrm	= 609,
-    X86_CVTPD2DQrr	= 610,
-    X86_CVTPD2PSrm	= 611,
-    X86_CVTPD2PSrr	= 612,
-    X86_CVTPS2DQrm	= 613,
-    X86_CVTPS2DQrr	= 614,
-    X86_CVTPS2PDrm	= 615,
-    X86_CVTPS2PDrr	= 616,
-    X86_CVTSD2SI64rm	= 617,
-    X86_CVTSD2SI64rr	= 618,
-    X86_CVTSD2SIrm	= 619,
-    X86_CVTSD2SIrr	= 620,
-    X86_CVTSD2SSrm	= 621,
-    X86_CVTSD2SSrr	= 622,
-    X86_CVTSI2SD64rm	= 623,
-    X86_CVTSI2SD64rr	= 624,
-    X86_CVTSI2SDrm	= 625,
-    X86_CVTSI2SDrr	= 626,
-    X86_CVTSI2SS64rm	= 627,
-    X86_CVTSI2SS64rr	= 628,
-    X86_CVTSI2SSrm	= 629,
-    X86_CVTSI2SSrr	= 630,
-    X86_CVTSS2SDrm	= 631,
-    X86_CVTSS2SDrr	= 632,
-    X86_CVTSS2SI64rm	= 633,
-    X86_CVTSS2SI64rr	= 634,
-    X86_CVTSS2SIrm	= 635,
-    X86_CVTSS2SIrr	= 636,
-    X86_CVTTPD2DQrm	= 637,
-    X86_CVTTPD2DQrr	= 638,
-    X86_CVTTPS2DQrm	= 639,
-    X86_CVTTPS2DQrr	= 640,
-    X86_CVTTSD2SI64rm	= 641,
-    X86_CVTTSD2SI64rr	= 642,
-    X86_CVTTSD2SIrm	= 643,
-    X86_CVTTSD2SIrr	= 644,
-    X86_CVTTSS2SI64rm	= 645,
-    X86_CVTTSS2SI64rr	= 646,
-    X86_CVTTSS2SIrm	= 647,
-    X86_CVTTSS2SIrr	= 648,
-    X86_CWD	= 649,
-    X86_CWDE	= 650,
-    X86_DAA	= 651,
-    X86_DAS	= 652,
-    X86_DATA16_PREFIX	= 653,
-    X86_DEC16m	= 654,
-    X86_DEC16r	= 655,
-    X86_DEC32_16r	= 656,
-    X86_DEC32_32r	= 657,
-    X86_DEC32m	= 658,
-    X86_DEC32r	= 659,
-    X86_DEC64_16m	= 660,
-    X86_DEC64_16r	= 661,
-    X86_DEC64_32m	= 662,
-    X86_DEC64_32r	= 663,
-    X86_DEC64m	= 664,
-    X86_DEC64r	= 665,
-    X86_DEC8m	= 666,
-    X86_DEC8r	= 667,
-    X86_DIV16m	= 668,
-    X86_DIV16r	= 669,
-    X86_DIV32m	= 670,
-    X86_DIV32r	= 671,
-    X86_DIV64m	= 672,
-    X86_DIV64r	= 673,
-    X86_DIV8m	= 674,
-    X86_DIV8r	= 675,
-    X86_DIVPDrm	= 676,
-    X86_DIVPDrr	= 677,
-    X86_DIVPSrm	= 678,
-    X86_DIVPSrr	= 679,
-    X86_DIVR_F32m	= 680,
-    X86_DIVR_F64m	= 681,
-    X86_DIVR_FI16m	= 682,
-    X86_DIVR_FI32m	= 683,
-    X86_DIVR_FPrST0	= 684,
-    X86_DIVR_FST0r	= 685,
-    X86_DIVR_Fp32m	= 686,
-    X86_DIVR_Fp64m	= 687,
-    X86_DIVR_Fp64m32	= 688,
-    X86_DIVR_Fp80m32	= 689,
-    X86_DIVR_Fp80m64	= 690,
-    X86_DIVR_FpI16m32	= 691,
-    X86_DIVR_FpI16m64	= 692,
-    X86_DIVR_FpI16m80	= 693,
-    X86_DIVR_FpI32m32	= 694,
-    X86_DIVR_FpI32m64	= 695,
-    X86_DIVR_FpI32m80	= 696,
-    X86_DIVR_FrST0	= 697,
-    X86_DIVSDrm	= 698,
-    X86_DIVSDrm_Int	= 699,
-    X86_DIVSDrr	= 700,
-    X86_DIVSDrr_Int	= 701,
-    X86_DIVSSrm	= 702,
-    X86_DIVSSrm_Int	= 703,
-    X86_DIVSSrr	= 704,
-    X86_DIVSSrr_Int	= 705,
-    X86_DIV_F32m	= 706,
-    X86_DIV_F64m	= 707,
-    X86_DIV_FI16m	= 708,
-    X86_DIV_FI32m	= 709,
-    X86_DIV_FPrST0	= 710,
-    X86_DIV_FST0r	= 711,
-    X86_DIV_Fp32	= 712,
-    X86_DIV_Fp32m	= 713,
-    X86_DIV_Fp64	= 714,
-    X86_DIV_Fp64m	= 715,
-    X86_DIV_Fp64m32	= 716,
-    X86_DIV_Fp80	= 717,
-    X86_DIV_Fp80m32	= 718,
-    X86_DIV_Fp80m64	= 719,
-    X86_DIV_FpI16m32	= 720,
-    X86_DIV_FpI16m64	= 721,
-    X86_DIV_FpI16m80	= 722,
-    X86_DIV_FpI32m32	= 723,
-    X86_DIV_FpI32m64	= 724,
-    X86_DIV_FpI32m80	= 725,
-    X86_DIV_FrST0	= 726,
-    X86_DPPDrmi	= 727,
-    X86_DPPDrri	= 728,
-    X86_DPPSrmi	= 729,
-    X86_DPPSrri	= 730,
-    X86_EH_RETURN	= 731,
-    X86_EH_RETURN64	= 732,
-    X86_EH_SjLj_LongJmp32	= 733,
-    X86_EH_SjLj_LongJmp64	= 734,
-    X86_EH_SjLj_SetJmp32	= 735,
-    X86_EH_SjLj_SetJmp64	= 736,
-    X86_EH_SjLj_Setup	= 737,
-    X86_ENCLS	= 738,
-    X86_ENCLU	= 739,
-    X86_ENTER	= 740,
-    X86_EXTRACTPSmr	= 741,
-    X86_EXTRACTPSrr	= 742,
-    X86_EXTRQ	= 743,
-    X86_EXTRQI	= 744,
-    X86_F2XM1	= 745,
-    X86_FARCALL16i	= 746,
-    X86_FARCALL16m	= 747,
-    X86_FARCALL32i	= 748,
-    X86_FARCALL32m	= 749,
-    X86_FARCALL64	= 750,
-    X86_FARJMP16i	= 751,
-    X86_FARJMP16m	= 752,
-    X86_FARJMP32i	= 753,
-    X86_FARJMP32m	= 754,
-    X86_FARJMP64	= 755,
-    X86_FBLDm	= 756,
-    X86_FBSTPm	= 757,
-    X86_FCOM32m	= 758,
-    X86_FCOM64m	= 759,
-    X86_FCOMP32m	= 760,
-    X86_FCOMP64m	= 761,
-    X86_FCOMPP	= 762,
-    X86_FDECSTP	= 763,
-    X86_FEMMS	= 764,
-    X86_FFREE	= 765,
-    X86_FICOM16m	= 766,
-    X86_FICOM32m	= 767,
-    X86_FICOMP16m	= 768,
-    X86_FICOMP32m	= 769,
-    X86_FINCSTP	= 770,
-    X86_FLDCW16m	= 771,
-    X86_FLDENVm	= 772,
-    X86_FLDL2E	= 773,
-    X86_FLDL2T	= 774,
-    X86_FLDLG2	= 775,
-    X86_FLDLN2	= 776,
-    X86_FLDPI	= 777,
-    X86_FNCLEX	= 778,
-    X86_FNINIT	= 779,
-    X86_FNOP	= 780,
-    X86_FNSTCW16m	= 781,
-    X86_FNSTSW16r	= 782,
-    X86_FNSTSWm	= 783,
-    X86_FP32_TO_INT16_IN_MEM	= 784,
-    X86_FP32_TO_INT32_IN_MEM	= 785,
-    X86_FP32_TO_INT64_IN_MEM	= 786,
-    X86_FP64_TO_INT16_IN_MEM	= 787,
-    X86_FP64_TO_INT32_IN_MEM	= 788,
-    X86_FP64_TO_INT64_IN_MEM	= 789,
-    X86_FP80_TO_INT16_IN_MEM	= 790,
-    X86_FP80_TO_INT32_IN_MEM	= 791,
-    X86_FP80_TO_INT64_IN_MEM	= 792,
-    X86_FPATAN	= 793,
-    X86_FPREM	= 794,
-    X86_FPREM1	= 795,
-    X86_FPTAN	= 796,
-    X86_FRNDINT	= 797,
-    X86_FRSTORm	= 798,
-    X86_FSAVEm	= 799,
-    X86_FSCALE	= 800,
-    X86_FSETPM	= 801,
-    X86_FSINCOS	= 802,
-    X86_FSTENVm	= 803,
-    X86_FXAM	= 804,
-    X86_FXRSTOR	= 805,
-    X86_FXRSTOR64	= 806,
-    X86_FXSAVE	= 807,
-    X86_FXSAVE64	= 808,
-    X86_FXTRACT	= 809,
-    X86_FYL2X	= 810,
-    X86_FYL2XP1	= 811,
-    X86_FsANDNPDrm	= 812,
-    X86_FsANDNPDrr	= 813,
-    X86_FsANDNPSrm	= 814,
-    X86_FsANDNPSrr	= 815,
-    X86_FsANDPDrm	= 816,
-    X86_FsANDPDrr	= 817,
-    X86_FsANDPSrm	= 818,
-    X86_FsANDPSrr	= 819,
-    X86_FsFLD0SD	= 820,
-    X86_FsFLD0SS	= 821,
-    X86_FsMOVAPDrm	= 822,
-    X86_FsMOVAPSrm	= 823,
-    X86_FsORPDrm	= 824,
-    X86_FsORPDrr	= 825,
-    X86_FsORPSrm	= 826,
-    X86_FsORPSrr	= 827,
-    X86_FsVMOVAPDrm	= 828,
-    X86_FsVMOVAPSrm	= 829,
-    X86_FsXORPDrm	= 830,
-    X86_FsXORPDrr	= 831,
-    X86_FsXORPSrm	= 832,
-    X86_FsXORPSrr	= 833,
-    X86_GETSEC	= 834,
-    X86_HADDPDrm	= 835,
-    X86_HADDPDrr	= 836,
-    X86_HADDPSrm	= 837,
-    X86_HADDPSrr	= 838,
-    X86_HLT	= 839,
-    X86_HSUBPDrm	= 840,
-    X86_HSUBPDrr	= 841,
-    X86_HSUBPSrm	= 842,
-    X86_HSUBPSrr	= 843,
-    X86_IDIV16m	= 844,
-    X86_IDIV16r	= 845,
-    X86_IDIV32m	= 846,
-    X86_IDIV32r	= 847,
-    X86_IDIV64m	= 848,
-    X86_IDIV64r	= 849,
-    X86_IDIV8m	= 850,
-    X86_IDIV8r	= 851,
-    X86_ILD_F16m	= 852,
-    X86_ILD_F32m	= 853,
-    X86_ILD_F64m	= 854,
-    X86_ILD_Fp16m32	= 855,
-    X86_ILD_Fp16m64	= 856,
-    X86_ILD_Fp16m80	= 857,
-    X86_ILD_Fp32m32	= 858,
-    X86_ILD_Fp32m64	= 859,
-    X86_ILD_Fp32m80	= 860,
-    X86_ILD_Fp64m32	= 861,
-    X86_ILD_Fp64m64	= 862,
-    X86_ILD_Fp64m80	= 863,
-    X86_IMUL16m	= 864,
-    X86_IMUL16r	= 865,
-    X86_IMUL16rm	= 866,
-    X86_IMUL16rmi	= 867,
-    X86_IMUL16rmi8	= 868,
-    X86_IMUL16rr	= 869,
-    X86_IMUL16rri	= 870,
-    X86_IMUL16rri8	= 871,
-    X86_IMUL32m	= 872,
-    X86_IMUL32r	= 873,
-    X86_IMUL32rm	= 874,
-    X86_IMUL32rmi	= 875,
-    X86_IMUL32rmi8	= 876,
-    X86_IMUL32rr	= 877,
-    X86_IMUL32rri	= 878,
-    X86_IMUL32rri8	= 879,
-    X86_IMUL64m	= 880,
-    X86_IMUL64r	= 881,
-    X86_IMUL64rm	= 882,
-    X86_IMUL64rmi32	= 883,
-    X86_IMUL64rmi8	= 884,
-    X86_IMUL64rr	= 885,
-    X86_IMUL64rri32	= 886,
-    X86_IMUL64rri8	= 887,
-    X86_IMUL8m	= 888,
-    X86_IMUL8r	= 889,
-    X86_IN16ri	= 890,
-    X86_IN16rr	= 891,
-    X86_IN32ri	= 892,
-    X86_IN32rr	= 893,
-    X86_IN8ri	= 894,
-    X86_IN8rr	= 895,
-    X86_INC16m	= 896,
-    X86_INC16r	= 897,
-    X86_INC32_16r	= 898,
-    X86_INC32_32r	= 899,
-    X86_INC32m	= 900,
-    X86_INC32r	= 901,
-    X86_INC64_16m	= 902,
-    X86_INC64_16r	= 903,
-    X86_INC64_32m	= 904,
-    X86_INC64_32r	= 905,
-    X86_INC64m	= 906,
-    X86_INC64r	= 907,
-    X86_INC8m	= 908,
-    X86_INC8r	= 909,
-    X86_INSB	= 910,
-    X86_INSERTPSrm	= 911,
-    X86_INSERTPSrr	= 912,
-    X86_INSERTQ	= 913,
-    X86_INSERTQI	= 914,
-    X86_INSL	= 915,
-    X86_INSW	= 916,
-    X86_INT	= 917,
-    X86_INT1	= 918,
-    X86_INT3	= 919,
-    X86_INTO	= 920,
-    X86_INVD	= 921,
-    X86_INVEPT32	= 922,
-    X86_INVEPT64	= 923,
-    X86_INVLPG	= 924,
-    X86_INVLPGA32	= 925,
-    X86_INVLPGA64	= 926,
-    X86_INVPCID32	= 927,
-    X86_INVPCID64	= 928,
-    X86_INVVPID32	= 929,
-    X86_INVVPID64	= 930,
-    X86_IRET16	= 931,
-    X86_IRET32	= 932,
-    X86_IRET64	= 933,
-    X86_ISTT_FP16m	= 934,
-    X86_ISTT_FP32m	= 935,
-    X86_ISTT_FP64m	= 936,
-    X86_ISTT_Fp16m32	= 937,
-    X86_ISTT_Fp16m64	= 938,
-    X86_ISTT_Fp16m80	= 939,
-    X86_ISTT_Fp32m32	= 940,
-    X86_ISTT_Fp32m64	= 941,
-    X86_ISTT_Fp32m80	= 942,
-    X86_ISTT_Fp64m32	= 943,
-    X86_ISTT_Fp64m64	= 944,
-    X86_ISTT_Fp64m80	= 945,
-    X86_IST_F16m	= 946,
-    X86_IST_F32m	= 947,
-    X86_IST_FP16m	= 948,
-    X86_IST_FP32m	= 949,
-    X86_IST_FP64m	= 950,
-    X86_IST_Fp16m32	= 951,
-    X86_IST_Fp16m64	= 952,
-    X86_IST_Fp16m80	= 953,
-    X86_IST_Fp32m32	= 954,
-    X86_IST_Fp32m64	= 955,
-    X86_IST_Fp32m80	= 956,
-    X86_IST_Fp64m32	= 957,
-    X86_IST_Fp64m64	= 958,
-    X86_IST_Fp64m80	= 959,
-    X86_Int_CMPSDrm	= 960,
-    X86_Int_CMPSDrr	= 961,
-    X86_Int_CMPSSrm	= 962,
-    X86_Int_CMPSSrr	= 963,
-    X86_Int_COMISDrm	= 964,
-    X86_Int_COMISDrr	= 965,
-    X86_Int_COMISSrm	= 966,
-    X86_Int_COMISSrr	= 967,
-    X86_Int_CVTSD2SSrm	= 968,
-    X86_Int_CVTSD2SSrr	= 969,
-    X86_Int_CVTSI2SD64rm	= 970,
-    X86_Int_CVTSI2SD64rr	= 971,
-    X86_Int_CVTSI2SDrm	= 972,
-    X86_Int_CVTSI2SDrr	= 973,
-    X86_Int_CVTSI2SS64rm	= 974,
-    X86_Int_CVTSI2SS64rr	= 975,
-    X86_Int_CVTSI2SSrm	= 976,
-    X86_Int_CVTSI2SSrr	= 977,
-    X86_Int_CVTSS2SDrm	= 978,
-    X86_Int_CVTSS2SDrr	= 979,
-    X86_Int_CVTTSD2SI64rm	= 980,
-    X86_Int_CVTTSD2SI64rr	= 981,
-    X86_Int_CVTTSD2SIrm	= 982,
-    X86_Int_CVTTSD2SIrr	= 983,
-    X86_Int_CVTTSS2SI64rm	= 984,
-    X86_Int_CVTTSS2SI64rr	= 985,
-    X86_Int_CVTTSS2SIrm	= 986,
-    X86_Int_CVTTSS2SIrr	= 987,
-    X86_Int_MemBarrier	= 988,
-    X86_Int_UCOMISDrm	= 989,
-    X86_Int_UCOMISDrr	= 990,
-    X86_Int_UCOMISSrm	= 991,
-    X86_Int_UCOMISSrr	= 992,
-    X86_Int_VCMPSDrm	= 993,
-    X86_Int_VCMPSDrr	= 994,
-    X86_Int_VCMPSSrm	= 995,
-    X86_Int_VCMPSSrr	= 996,
-    X86_Int_VCOMISDZrm	= 997,
-    X86_Int_VCOMISDZrr	= 998,
-    X86_Int_VCOMISDrm	= 999,
-    X86_Int_VCOMISDrr	= 1000,
-    X86_Int_VCOMISSZrm	= 1001,
-    X86_Int_VCOMISSZrr	= 1002,
-    X86_Int_VCOMISSrm	= 1003,
-    X86_Int_VCOMISSrr	= 1004,
-    X86_Int_VCVTSD2SSrm	= 1005,
-    X86_Int_VCVTSD2SSrr	= 1006,
-    X86_Int_VCVTSI2SD64Zrm	= 1007,
-    X86_Int_VCVTSI2SD64Zrr	= 1008,
-    X86_Int_VCVTSI2SD64rm	= 1009,
-    X86_Int_VCVTSI2SD64rr	= 1010,
-    X86_Int_VCVTSI2SDZrm	= 1011,
-    X86_Int_VCVTSI2SDZrr	= 1012,
-    X86_Int_VCVTSI2SDrm	= 1013,
-    X86_Int_VCVTSI2SDrr	= 1014,
-    X86_Int_VCVTSI2SS64Zrm	= 1015,
-    X86_Int_VCVTSI2SS64Zrr	= 1016,
-    X86_Int_VCVTSI2SS64rm	= 1017,
-    X86_Int_VCVTSI2SS64rr	= 1018,
-    X86_Int_VCVTSI2SSZrm	= 1019,
-    X86_Int_VCVTSI2SSZrr	= 1020,
-    X86_Int_VCVTSI2SSrm	= 1021,
-    X86_Int_VCVTSI2SSrr	= 1022,
-    X86_Int_VCVTSS2SDrm	= 1023,
-    X86_Int_VCVTSS2SDrr	= 1024,
-    X86_Int_VCVTTSD2SI64Zrm	= 1025,
-    X86_Int_VCVTTSD2SI64Zrr	= 1026,
-    X86_Int_VCVTTSD2SI64rm	= 1027,
-    X86_Int_VCVTTSD2SI64rr	= 1028,
-    X86_Int_VCVTTSD2SIZrm	= 1029,
-    X86_Int_VCVTTSD2SIZrr	= 1030,
-    X86_Int_VCVTTSD2SIrm	= 1031,
-    X86_Int_VCVTTSD2SIrr	= 1032,
-    X86_Int_VCVTTSD2USI64Zrm	= 1033,
-    X86_Int_VCVTTSD2USI64Zrr	= 1034,
-    X86_Int_VCVTTSD2USIZrm	= 1035,
-    X86_Int_VCVTTSD2USIZrr	= 1036,
-    X86_Int_VCVTTSS2SI64Zrm	= 1037,
-    X86_Int_VCVTTSS2SI64Zrr	= 1038,
-    X86_Int_VCVTTSS2SI64rm	= 1039,
-    X86_Int_VCVTTSS2SI64rr	= 1040,
-    X86_Int_VCVTTSS2SIZrm	= 1041,
-    X86_Int_VCVTTSS2SIZrr	= 1042,
-    X86_Int_VCVTTSS2SIrm	= 1043,
-    X86_Int_VCVTTSS2SIrr	= 1044,
-    X86_Int_VCVTTSS2USI64Zrm	= 1045,
-    X86_Int_VCVTTSS2USI64Zrr	= 1046,
-    X86_Int_VCVTTSS2USIZrm	= 1047,
-    X86_Int_VCVTTSS2USIZrr	= 1048,
-    X86_Int_VCVTUSI2SD64Zrm	= 1049,
-    X86_Int_VCVTUSI2SD64Zrr	= 1050,
-    X86_Int_VCVTUSI2SDZrm	= 1051,
-    X86_Int_VCVTUSI2SDZrr	= 1052,
-    X86_Int_VCVTUSI2SS64Zrm	= 1053,
-    X86_Int_VCVTUSI2SS64Zrr	= 1054,
-    X86_Int_VCVTUSI2SSZrm	= 1055,
-    X86_Int_VCVTUSI2SSZrr	= 1056,
-    X86_Int_VUCOMISDZrm	= 1057,
-    X86_Int_VUCOMISDZrr	= 1058,
-    X86_Int_VUCOMISDrm	= 1059,
-    X86_Int_VUCOMISDrr	= 1060,
-    X86_Int_VUCOMISSZrm	= 1061,
-    X86_Int_VUCOMISSZrr	= 1062,
-    X86_Int_VUCOMISSrm	= 1063,
-    X86_Int_VUCOMISSrr	= 1064,
-    X86_JAE_1	= 1065,
-    X86_JAE_2	= 1066,
-    X86_JAE_4	= 1067,
-    X86_JA_1	= 1068,
-    X86_JA_2	= 1069,
-    X86_JA_4	= 1070,
-    X86_JBE_1	= 1071,
-    X86_JBE_2	= 1072,
-    X86_JBE_4	= 1073,
-    X86_JB_1	= 1074,
-    X86_JB_2	= 1075,
-    X86_JB_4	= 1076,
-    X86_JCXZ	= 1077,
-    X86_JECXZ_32	= 1078,
-    X86_JECXZ_64	= 1079,
-    X86_JE_1	= 1080,
-    X86_JE_2	= 1081,
-    X86_JE_4	= 1082,
-    X86_JGE_1	= 1083,
-    X86_JGE_2	= 1084,
-    X86_JGE_4	= 1085,
-    X86_JG_1	= 1086,
-    X86_JG_2	= 1087,
-    X86_JG_4	= 1088,
-    X86_JLE_1	= 1089,
-    X86_JLE_2	= 1090,
-    X86_JLE_4	= 1091,
-    X86_JL_1	= 1092,
-    X86_JL_2	= 1093,
-    X86_JL_4	= 1094,
-    X86_JMP16m	= 1095,
-    X86_JMP16r	= 1096,
-    X86_JMP32m	= 1097,
-    X86_JMP32r	= 1098,
-    X86_JMP64m	= 1099,
-    X86_JMP64r	= 1100,
-    X86_JMP_1	= 1101,
-    X86_JMP_2	= 1102,
-    X86_JMP_4	= 1103,
-    X86_JNE_1	= 1104,
-    X86_JNE_2	= 1105,
-    X86_JNE_4	= 1106,
-    X86_JNO_1	= 1107,
-    X86_JNO_2	= 1108,
-    X86_JNO_4	= 1109,
-    X86_JNP_1	= 1110,
-    X86_JNP_2	= 1111,
-    X86_JNP_4	= 1112,
-    X86_JNS_1	= 1113,
-    X86_JNS_2	= 1114,
-    X86_JNS_4	= 1115,
-    X86_JO_1	= 1116,
-    X86_JO_2	= 1117,
-    X86_JO_4	= 1118,
-    X86_JP_1	= 1119,
-    X86_JP_2	= 1120,
-    X86_JP_4	= 1121,
-    X86_JRCXZ	= 1122,
-    X86_JS_1	= 1123,
-    X86_JS_2	= 1124,
-    X86_JS_4	= 1125,
-    X86_KANDBrr	= 1126,
-    X86_KANDDrr	= 1127,
-    X86_KANDNBrr	= 1128,
-    X86_KANDNDrr	= 1129,
-    X86_KANDNQrr	= 1130,
-    X86_KANDNWrr	= 1131,
-    X86_KANDQrr	= 1132,
-    X86_KANDWrr	= 1133,
-    X86_KMOVBkk	= 1134,
-    X86_KMOVBkm	= 1135,
-    X86_KMOVBkr	= 1136,
-    X86_KMOVBmk	= 1137,
-    X86_KMOVBrk	= 1138,
-    X86_KMOVDkk	= 1139,
-    X86_KMOVDkm	= 1140,
-    X86_KMOVDkr	= 1141,
-    X86_KMOVDmk	= 1142,
-    X86_KMOVDrk	= 1143,
-    X86_KMOVQkk	= 1144,
-    X86_KMOVQkm	= 1145,
-    X86_KMOVQkr	= 1146,
-    X86_KMOVQmk	= 1147,
-    X86_KMOVQrk	= 1148,
-    X86_KMOVWkk	= 1149,
-    X86_KMOVWkm	= 1150,
-    X86_KMOVWkr	= 1151,
-    X86_KMOVWmk	= 1152,
-    X86_KMOVWrk	= 1153,
-    X86_KNOTBrr	= 1154,
-    X86_KNOTDrr	= 1155,
-    X86_KNOTQrr	= 1156,
-    X86_KNOTWrr	= 1157,
-    X86_KORBrr	= 1158,
-    X86_KORDrr	= 1159,
-    X86_KORQrr	= 1160,
-    X86_KORTESTWrr	= 1161,
-    X86_KORWrr	= 1162,
-    X86_KSET0B	= 1163,
-    X86_KSET0W	= 1164,
-    X86_KSET1B	= 1165,
-    X86_KSET1W	= 1166,
-    X86_KSHIFTLWri	= 1167,
-    X86_KSHIFTRWri	= 1168,
-    X86_KUNPCKBWrr	= 1169,
-    X86_KXNORBrr	= 1170,
-    X86_KXNORDrr	= 1171,
-    X86_KXNORQrr	= 1172,
-    X86_KXNORWrr	= 1173,
-    X86_KXORBrr	= 1174,
-    X86_KXORDrr	= 1175,
-    X86_KXORQrr	= 1176,
-    X86_KXORWrr	= 1177,
-    X86_LAHF	= 1178,
-    X86_LAR16rm	= 1179,
-    X86_LAR16rr	= 1180,
-    X86_LAR32rm	= 1181,
-    X86_LAR32rr	= 1182,
-    X86_LAR64rm	= 1183,
-    X86_LAR64rr	= 1184,
-    X86_LCMPXCHG16	= 1185,
-    X86_LCMPXCHG16B	= 1186,
-    X86_LCMPXCHG32	= 1187,
-    X86_LCMPXCHG64	= 1188,
-    X86_LCMPXCHG8	= 1189,
-    X86_LCMPXCHG8B	= 1190,
-    X86_LDDQUrm	= 1191,
-    X86_LDMXCSR	= 1192,
-    X86_LDS16rm	= 1193,
-    X86_LDS32rm	= 1194,
-    X86_LD_F0	= 1195,
-    X86_LD_F1	= 1196,
-    X86_LD_F32m	= 1197,
-    X86_LD_F64m	= 1198,
-    X86_LD_F80m	= 1199,
-    X86_LD_Fp032	= 1200,
-    X86_LD_Fp064	= 1201,
-    X86_LD_Fp080	= 1202,
-    X86_LD_Fp132	= 1203,
-    X86_LD_Fp164	= 1204,
-    X86_LD_Fp180	= 1205,
-    X86_LD_Fp32m	= 1206,
-    X86_LD_Fp32m64	= 1207,
-    X86_LD_Fp32m80	= 1208,
-    X86_LD_Fp64m	= 1209,
-    X86_LD_Fp64m80	= 1210,
-    X86_LD_Fp80m	= 1211,
-    X86_LD_Frr	= 1212,
-    X86_LEA16r	= 1213,
-    X86_LEA32r	= 1214,
-    X86_LEA64_32r	= 1215,
-    X86_LEA64r	= 1216,
-    X86_LEAVE	= 1217,
-    X86_LEAVE64	= 1218,
-    X86_LES16rm	= 1219,
-    X86_LES32rm	= 1220,
-    X86_LFENCE	= 1221,
-    X86_LFS16rm	= 1222,
-    X86_LFS32rm	= 1223,
-    X86_LFS64rm	= 1224,
-    X86_LGDT16m	= 1225,
-    X86_LGDT32m	= 1226,
-    X86_LGDT64m	= 1227,
-    X86_LGS16rm	= 1228,
-    X86_LGS32rm	= 1229,
-    X86_LGS64rm	= 1230,
-    X86_LIDT16m	= 1231,
-    X86_LIDT32m	= 1232,
-    X86_LIDT64m	= 1233,
-    X86_LLDT16m	= 1234,
-    X86_LLDT16r	= 1235,
-    X86_LMSW16m	= 1236,
-    X86_LMSW16r	= 1237,
-    X86_LOCK_ADD16mi	= 1238,
-    X86_LOCK_ADD16mi8	= 1239,
-    X86_LOCK_ADD16mr	= 1240,
-    X86_LOCK_ADD32mi	= 1241,
-    X86_LOCK_ADD32mi8	= 1242,
-    X86_LOCK_ADD32mr	= 1243,
-    X86_LOCK_ADD64mi32	= 1244,
-    X86_LOCK_ADD64mi8	= 1245,
-    X86_LOCK_ADD64mr	= 1246,
-    X86_LOCK_ADD8mi	= 1247,
-    X86_LOCK_ADD8mr	= 1248,
-    X86_LOCK_AND16mi	= 1249,
-    X86_LOCK_AND16mi8	= 1250,
-    X86_LOCK_AND16mr	= 1251,
-    X86_LOCK_AND32mi	= 1252,
-    X86_LOCK_AND32mi8	= 1253,
-    X86_LOCK_AND32mr	= 1254,
-    X86_LOCK_AND64mi32	= 1255,
-    X86_LOCK_AND64mi8	= 1256,
-    X86_LOCK_AND64mr	= 1257,
-    X86_LOCK_AND8mi	= 1258,
-    X86_LOCK_AND8mr	= 1259,
-    X86_LOCK_DEC16m	= 1260,
-    X86_LOCK_DEC32m	= 1261,
-    X86_LOCK_DEC64m	= 1262,
-    X86_LOCK_DEC8m	= 1263,
-    X86_LOCK_INC16m	= 1264,
-    X86_LOCK_INC32m	= 1265,
-    X86_LOCK_INC64m	= 1266,
-    X86_LOCK_INC8m	= 1267,
-    X86_LOCK_OR16mi	= 1268,
-    X86_LOCK_OR16mi8	= 1269,
-    X86_LOCK_OR16mr	= 1270,
-    X86_LOCK_OR32mi	= 1271,
-    X86_LOCK_OR32mi8	= 1272,
-    X86_LOCK_OR32mr	= 1273,
-    X86_LOCK_OR64mi32	= 1274,
-    X86_LOCK_OR64mi8	= 1275,
-    X86_LOCK_OR64mr	= 1276,
-    X86_LOCK_OR8mi	= 1277,
-    X86_LOCK_OR8mr	= 1278,
-    X86_LOCK_PREFIX	= 1279,
-    X86_LOCK_SUB16mi	= 1280,
-    X86_LOCK_SUB16mi8	= 1281,
-    X86_LOCK_SUB16mr	= 1282,
-    X86_LOCK_SUB32mi	= 1283,
-    X86_LOCK_SUB32mi8	= 1284,
-    X86_LOCK_SUB32mr	= 1285,
-    X86_LOCK_SUB64mi32	= 1286,
-    X86_LOCK_SUB64mi8	= 1287,
-    X86_LOCK_SUB64mr	= 1288,
-    X86_LOCK_SUB8mi	= 1289,
-    X86_LOCK_SUB8mr	= 1290,
-    X86_LOCK_XOR16mi	= 1291,
-    X86_LOCK_XOR16mi8	= 1292,
-    X86_LOCK_XOR16mr	= 1293,
-    X86_LOCK_XOR32mi	= 1294,
-    X86_LOCK_XOR32mi8	= 1295,
-    X86_LOCK_XOR32mr	= 1296,
-    X86_LOCK_XOR64mi32	= 1297,
-    X86_LOCK_XOR64mi8	= 1298,
-    X86_LOCK_XOR64mr	= 1299,
-    X86_LOCK_XOR8mi	= 1300,
-    X86_LOCK_XOR8mr	= 1301,
-    X86_LODSB	= 1302,
-    X86_LODSL	= 1303,
-    X86_LODSQ	= 1304,
-    X86_LODSW	= 1305,
-    X86_LOOP	= 1306,
-    X86_LOOPE	= 1307,
-    X86_LOOPNE	= 1308,
-    X86_LRETIL	= 1309,
-    X86_LRETIQ	= 1310,
-    X86_LRETIW	= 1311,
-    X86_LRETL	= 1312,
-    X86_LRETQ	= 1313,
-    X86_LRETW	= 1314,
-    X86_LSL16rm	= 1315,
-    X86_LSL16rr	= 1316,
-    X86_LSL32rm	= 1317,
-    X86_LSL32rr	= 1318,
-    X86_LSL64rm	= 1319,
-    X86_LSL64rr	= 1320,
-    X86_LSS16rm	= 1321,
-    X86_LSS32rm	= 1322,
-    X86_LSS64rm	= 1323,
-    X86_LTRm	= 1324,
-    X86_LTRr	= 1325,
-    X86_LXADD16	= 1326,
-    X86_LXADD32	= 1327,
-    X86_LXADD64	= 1328,
-    X86_LXADD8	= 1329,
-    X86_LZCNT16rm	= 1330,
-    X86_LZCNT16rr	= 1331,
-    X86_LZCNT32rm	= 1332,
-    X86_LZCNT32rr	= 1333,
-    X86_LZCNT64rm	= 1334,
-    X86_LZCNT64rr	= 1335,
-    X86_MASKMOVDQU	= 1336,
-    X86_MASKMOVDQU64	= 1337,
-    X86_MAXCPDrm	= 1338,
-    X86_MAXCPDrr	= 1339,
-    X86_MAXCPSrm	= 1340,
-    X86_MAXCPSrr	= 1341,
-    X86_MAXCSDrm	= 1342,
-    X86_MAXCSDrr	= 1343,
-    X86_MAXCSSrm	= 1344,
-    X86_MAXCSSrr	= 1345,
-    X86_MAXPDrm	= 1346,
-    X86_MAXPDrr	= 1347,
-    X86_MAXPSrm	= 1348,
-    X86_MAXPSrr	= 1349,
-    X86_MAXSDrm	= 1350,
-    X86_MAXSDrm_Int	= 1351,
-    X86_MAXSDrr	= 1352,
-    X86_MAXSDrr_Int	= 1353,
-    X86_MAXSSrm	= 1354,
-    X86_MAXSSrm_Int	= 1355,
-    X86_MAXSSrr	= 1356,
-    X86_MAXSSrr_Int	= 1357,
-    X86_MFENCE	= 1358,
-    X86_MINCPDrm	= 1359,
-    X86_MINCPDrr	= 1360,
-    X86_MINCPSrm	= 1361,
-    X86_MINCPSrr	= 1362,
-    X86_MINCSDrm	= 1363,
-    X86_MINCSDrr	= 1364,
-    X86_MINCSSrm	= 1365,
-    X86_MINCSSrr	= 1366,
-    X86_MINPDrm	= 1367,
-    X86_MINPDrr	= 1368,
-    X86_MINPSrm	= 1369,
-    X86_MINPSrr	= 1370,
-    X86_MINSDrm	= 1371,
-    X86_MINSDrm_Int	= 1372,
-    X86_MINSDrr	= 1373,
-    X86_MINSDrr_Int	= 1374,
-    X86_MINSSrm	= 1375,
-    X86_MINSSrm_Int	= 1376,
-    X86_MINSSrr	= 1377,
-    X86_MINSSrr_Int	= 1378,
-    X86_MMX_CVTPD2PIirm	= 1379,
-    X86_MMX_CVTPD2PIirr	= 1380,
-    X86_MMX_CVTPI2PDirm	= 1381,
-    X86_MMX_CVTPI2PDirr	= 1382,
-    X86_MMX_CVTPI2PSirm	= 1383,
-    X86_MMX_CVTPI2PSirr	= 1384,
-    X86_MMX_CVTPS2PIirm	= 1385,
-    X86_MMX_CVTPS2PIirr	= 1386,
-    X86_MMX_CVTTPD2PIirm	= 1387,
-    X86_MMX_CVTTPD2PIirr	= 1388,
-    X86_MMX_CVTTPS2PIirm	= 1389,
-    X86_MMX_CVTTPS2PIirr	= 1390,
-    X86_MMX_EMMS	= 1391,
-    X86_MMX_MASKMOVQ	= 1392,
-    X86_MMX_MASKMOVQ64	= 1393,
-    X86_MMX_MOVD64from64rr	= 1394,
-    X86_MMX_MOVD64grr	= 1395,
-    X86_MMX_MOVD64mr	= 1396,
-    X86_MMX_MOVD64rm	= 1397,
-    X86_MMX_MOVD64rr	= 1398,
-    X86_MMX_MOVD64to64rr	= 1399,
-    X86_MMX_MOVDQ2Qrr	= 1400,
-    X86_MMX_MOVFR642Qrr	= 1401,
-    X86_MMX_MOVNTQmr	= 1402,
-    X86_MMX_MOVQ2DQrr	= 1403,
-    X86_MMX_MOVQ2FR64rr	= 1404,
-    X86_MMX_MOVQ64mr	= 1405,
-    X86_MMX_MOVQ64rm	= 1406,
-    X86_MMX_MOVQ64rr	= 1407,
-    X86_MMX_MOVQ64rr_REV	= 1408,
-    X86_MMX_PABSBrm64	= 1409,
-    X86_MMX_PABSBrr64	= 1410,
-    X86_MMX_PABSDrm64	= 1411,
-    X86_MMX_PABSDrr64	= 1412,
-    X86_MMX_PABSWrm64	= 1413,
-    X86_MMX_PABSWrr64	= 1414,
-    X86_MMX_PACKSSDWirm	= 1415,
-    X86_MMX_PACKSSDWirr	= 1416,
-    X86_MMX_PACKSSWBirm	= 1417,
-    X86_MMX_PACKSSWBirr	= 1418,
-    X86_MMX_PACKUSWBirm	= 1419,
-    X86_MMX_PACKUSWBirr	= 1420,
-    X86_MMX_PADDBirm	= 1421,
-    X86_MMX_PADDBirr	= 1422,
-    X86_MMX_PADDDirm	= 1423,
-    X86_MMX_PADDDirr	= 1424,
-    X86_MMX_PADDQirm	= 1425,
-    X86_MMX_PADDQirr	= 1426,
-    X86_MMX_PADDSBirm	= 1427,
-    X86_MMX_PADDSBirr	= 1428,
-    X86_MMX_PADDSWirm	= 1429,
-    X86_MMX_PADDSWirr	= 1430,
-    X86_MMX_PADDUSBirm	= 1431,
-    X86_MMX_PADDUSBirr	= 1432,
-    X86_MMX_PADDUSWirm	= 1433,
-    X86_MMX_PADDUSWirr	= 1434,
-    X86_MMX_PADDWirm	= 1435,
-    X86_MMX_PADDWirr	= 1436,
-    X86_MMX_PALIGNR64irm	= 1437,
-    X86_MMX_PALIGNR64irr	= 1438,
-    X86_MMX_PANDNirm	= 1439,
-    X86_MMX_PANDNirr	= 1440,
-    X86_MMX_PANDirm	= 1441,
-    X86_MMX_PANDirr	= 1442,
-    X86_MMX_PAVGBirm	= 1443,
-    X86_MMX_PAVGBirr	= 1444,
-    X86_MMX_PAVGWirm	= 1445,
-    X86_MMX_PAVGWirr	= 1446,
-    X86_MMX_PCMPEQBirm	= 1447,
-    X86_MMX_PCMPEQBirr	= 1448,
-    X86_MMX_PCMPEQDirm	= 1449,
-    X86_MMX_PCMPEQDirr	= 1450,
-    X86_MMX_PCMPEQWirm	= 1451,
-    X86_MMX_PCMPEQWirr	= 1452,
-    X86_MMX_PCMPGTBirm	= 1453,
-    X86_MMX_PCMPGTBirr	= 1454,
-    X86_MMX_PCMPGTDirm	= 1455,
-    X86_MMX_PCMPGTDirr	= 1456,
-    X86_MMX_PCMPGTWirm	= 1457,
-    X86_MMX_PCMPGTWirr	= 1458,
-    X86_MMX_PEXTRWirri	= 1459,
-    X86_MMX_PHADDSWrm64	= 1460,
-    X86_MMX_PHADDSWrr64	= 1461,
-    X86_MMX_PHADDWrm64	= 1462,
-    X86_MMX_PHADDWrr64	= 1463,
-    X86_MMX_PHADDrm64	= 1464,
-    X86_MMX_PHADDrr64	= 1465,
-    X86_MMX_PHSUBDrm64	= 1466,
-    X86_MMX_PHSUBDrr64	= 1467,
-    X86_MMX_PHSUBSWrm64	= 1468,
-    X86_MMX_PHSUBSWrr64	= 1469,
-    X86_MMX_PHSUBWrm64	= 1470,
-    X86_MMX_PHSUBWrr64	= 1471,
-    X86_MMX_PINSRWirmi	= 1472,
-    X86_MMX_PINSRWirri	= 1473,
-    X86_MMX_PMADDUBSWrm64	= 1474,
-    X86_MMX_PMADDUBSWrr64	= 1475,
-    X86_MMX_PMADDWDirm	= 1476,
-    X86_MMX_PMADDWDirr	= 1477,
-    X86_MMX_PMAXSWirm	= 1478,
-    X86_MMX_PMAXSWirr	= 1479,
-    X86_MMX_PMAXUBirm	= 1480,
-    X86_MMX_PMAXUBirr	= 1481,
-    X86_MMX_PMINSWirm	= 1482,
-    X86_MMX_PMINSWirr	= 1483,
-    X86_MMX_PMINUBirm	= 1484,
-    X86_MMX_PMINUBirr	= 1485,
-    X86_MMX_PMOVMSKBrr	= 1486,
-    X86_MMX_PMULHRSWrm64	= 1487,
-    X86_MMX_PMULHRSWrr64	= 1488,
-    X86_MMX_PMULHUWirm	= 1489,
-    X86_MMX_PMULHUWirr	= 1490,
-    X86_MMX_PMULHWirm	= 1491,
-    X86_MMX_PMULHWirr	= 1492,
-    X86_MMX_PMULLWirm	= 1493,
-    X86_MMX_PMULLWirr	= 1494,
-    X86_MMX_PMULUDQirm	= 1495,
-    X86_MMX_PMULUDQirr	= 1496,
-    X86_MMX_PORirm	= 1497,
-    X86_MMX_PORirr	= 1498,
-    X86_MMX_PSADBWirm	= 1499,
-    X86_MMX_PSADBWirr	= 1500,
-    X86_MMX_PSHUFBrm64	= 1501,
-    X86_MMX_PSHUFBrr64	= 1502,
-    X86_MMX_PSHUFWmi	= 1503,
-    X86_MMX_PSHUFWri	= 1504,
-    X86_MMX_PSIGNBrm64	= 1505,
-    X86_MMX_PSIGNBrr64	= 1506,
-    X86_MMX_PSIGNDrm64	= 1507,
-    X86_MMX_PSIGNDrr64	= 1508,
-    X86_MMX_PSIGNWrm64	= 1509,
-    X86_MMX_PSIGNWrr64	= 1510,
-    X86_MMX_PSLLDri	= 1511,
-    X86_MMX_PSLLDrm	= 1512,
-    X86_MMX_PSLLDrr	= 1513,
-    X86_MMX_PSLLQri	= 1514,
-    X86_MMX_PSLLQrm	= 1515,
-    X86_MMX_PSLLQrr	= 1516,
-    X86_MMX_PSLLWri	= 1517,
-    X86_MMX_PSLLWrm	= 1518,
-    X86_MMX_PSLLWrr	= 1519,
-    X86_MMX_PSRADri	= 1520,
-    X86_MMX_PSRADrm	= 1521,
-    X86_MMX_PSRADrr	= 1522,
-    X86_MMX_PSRAWri	= 1523,
-    X86_MMX_PSRAWrm	= 1524,
-    X86_MMX_PSRAWrr	= 1525,
-    X86_MMX_PSRLDri	= 1526,
-    X86_MMX_PSRLDrm	= 1527,
-    X86_MMX_PSRLDrr	= 1528,
-    X86_MMX_PSRLQri	= 1529,
-    X86_MMX_PSRLQrm	= 1530,
-    X86_MMX_PSRLQrr	= 1531,
-    X86_MMX_PSRLWri	= 1532,
-    X86_MMX_PSRLWrm	= 1533,
-    X86_MMX_PSRLWrr	= 1534,
-    X86_MMX_PSUBBirm	= 1535,
-    X86_MMX_PSUBBirr	= 1536,
-    X86_MMX_PSUBDirm	= 1537,
-    X86_MMX_PSUBDirr	= 1538,
-    X86_MMX_PSUBQirm	= 1539,
-    X86_MMX_PSUBQirr	= 1540,
-    X86_MMX_PSUBSBirm	= 1541,
-    X86_MMX_PSUBSBirr	= 1542,
-    X86_MMX_PSUBSWirm	= 1543,
-    X86_MMX_PSUBSWirr	= 1544,
-    X86_MMX_PSUBUSBirm	= 1545,
-    X86_MMX_PSUBUSBirr	= 1546,
-    X86_MMX_PSUBUSWirm	= 1547,
-    X86_MMX_PSUBUSWirr	= 1548,
-    X86_MMX_PSUBWirm	= 1549,
-    X86_MMX_PSUBWirr	= 1550,
-    X86_MMX_PUNPCKHBWirm	= 1551,
-    X86_MMX_PUNPCKHBWirr	= 1552,
-    X86_MMX_PUNPCKHDQirm	= 1553,
-    X86_MMX_PUNPCKHDQirr	= 1554,
-    X86_MMX_PUNPCKHWDirm	= 1555,
-    X86_MMX_PUNPCKHWDirr	= 1556,
-    X86_MMX_PUNPCKLBWirm	= 1557,
-    X86_MMX_PUNPCKLBWirr	= 1558,
-    X86_MMX_PUNPCKLDQirm	= 1559,
-    X86_MMX_PUNPCKLDQirr	= 1560,
-    X86_MMX_PUNPCKLWDirm	= 1561,
-    X86_MMX_PUNPCKLWDirr	= 1562,
-    X86_MMX_PXORirm	= 1563,
-    X86_MMX_PXORirr	= 1564,
-    X86_MONITOR	= 1565,
-    X86_MONITORrrr	= 1566,
-    X86_MONTMUL	= 1567,
-    X86_MORESTACK_RET	= 1568,
-    X86_MORESTACK_RET_RESTORE_R10	= 1569,
-    X86_MOV16ao16	= 1570,
-    X86_MOV16ao16_16	= 1571,
-    X86_MOV16mi	= 1572,
-    X86_MOV16mr	= 1573,
-    X86_MOV16ms	= 1574,
-    X86_MOV16o16a	= 1575,
-    X86_MOV16o16a_16	= 1576,
-    X86_MOV16ri	= 1577,
-    X86_MOV16ri_alt	= 1578,
-    X86_MOV16rm	= 1579,
-    X86_MOV16rr	= 1580,
-    X86_MOV16rr_REV	= 1581,
-    X86_MOV16rs	= 1582,
-    X86_MOV16sm	= 1583,
-    X86_MOV16sr	= 1584,
-    X86_MOV32ao32	= 1585,
-    X86_MOV32ao32_16	= 1586,
-    X86_MOV32cr	= 1587,
-    X86_MOV32dr	= 1588,
-    X86_MOV32mi	= 1589,
-    X86_MOV32mr	= 1590,
-    X86_MOV32ms	= 1591,
-    X86_MOV32o32a	= 1592,
-    X86_MOV32o32a_16	= 1593,
-    X86_MOV32r0	= 1594,
-    X86_MOV32rc	= 1595,
-    X86_MOV32rd	= 1596,
-    X86_MOV32ri	= 1597,
-    X86_MOV32ri64	= 1598,
-    X86_MOV32ri_alt	= 1599,
-    X86_MOV32rm	= 1600,
-    X86_MOV32rr	= 1601,
-    X86_MOV32rr_REV	= 1602,
-    X86_MOV32rs	= 1603,
-    X86_MOV32sm	= 1604,
-    X86_MOV32sr	= 1605,
-    X86_MOV64ao16	= 1606,
-    X86_MOV64ao32	= 1607,
-    X86_MOV64ao64	= 1608,
-    X86_MOV64ao8	= 1609,
-    X86_MOV64cr	= 1610,
-    X86_MOV64dr	= 1611,
-    X86_MOV64mi32	= 1612,
-    X86_MOV64mr	= 1613,
-    X86_MOV64ms	= 1614,
-    X86_MOV64o16a	= 1615,
-    X86_MOV64o32a	= 1616,
-    X86_MOV64o64a	= 1617,
-    X86_MOV64o8a	= 1618,
-    X86_MOV64rc	= 1619,
-    X86_MOV64rd	= 1620,
-    X86_MOV64ri	= 1621,
-    X86_MOV64ri32	= 1622,
-    X86_MOV64rm	= 1623,
-    X86_MOV64rr	= 1624,
-    X86_MOV64rr_REV	= 1625,
-    X86_MOV64rs	= 1626,
-    X86_MOV64sm	= 1627,
-    X86_MOV64sr	= 1628,
-    X86_MOV64toPQIrr	= 1629,
-    X86_MOV64toSDrm	= 1630,
-    X86_MOV64toSDrr	= 1631,
-    X86_MOV8ao8	= 1632,
-    X86_MOV8ao8_16	= 1633,
-    X86_MOV8mi	= 1634,
-    X86_MOV8mr	= 1635,
-    X86_MOV8mr_NOREX	= 1636,
-    X86_MOV8o8a	= 1637,
-    X86_MOV8o8a_16	= 1638,
-    X86_MOV8ri	= 1639,
-    X86_MOV8ri_alt	= 1640,
-    X86_MOV8rm	= 1641,
-    X86_MOV8rm_NOREX	= 1642,
-    X86_MOV8rr	= 1643,
-    X86_MOV8rr_NOREX	= 1644,
-    X86_MOV8rr_REV	= 1645,
-    X86_MOVAPDmr	= 1646,
-    X86_MOVAPDrm	= 1647,
-    X86_MOVAPDrr	= 1648,
-    X86_MOVAPDrr_REV	= 1649,
-    X86_MOVAPSmr	= 1650,
-    X86_MOVAPSrm	= 1651,
-    X86_MOVAPSrr	= 1652,
-    X86_MOVAPSrr_REV	= 1653,
-    X86_MOVBE16mr	= 1654,
-    X86_MOVBE16rm	= 1655,
-    X86_MOVBE32mr	= 1656,
-    X86_MOVBE32rm	= 1657,
-    X86_MOVBE64mr	= 1658,
-    X86_MOVBE64rm	= 1659,
-    X86_MOVDDUPrm	= 1660,
-    X86_MOVDDUPrr	= 1661,
-    X86_MOVDI2PDIrm	= 1662,
-    X86_MOVDI2PDIrr	= 1663,
-    X86_MOVDI2SSrm	= 1664,
-    X86_MOVDI2SSrr	= 1665,
-    X86_MOVDQAmr	= 1666,
-    X86_MOVDQArm	= 1667,
-    X86_MOVDQArr	= 1668,
-    X86_MOVDQArr_REV	= 1669,
-    X86_MOVDQUmr	= 1670,
-    X86_MOVDQUrm	= 1671,
-    X86_MOVDQUrr	= 1672,
-    X86_MOVDQUrr_REV	= 1673,
-    X86_MOVHLPSrr	= 1674,
-    X86_MOVHPDmr	= 1675,
-    X86_MOVHPDrm	= 1676,
-    X86_MOVHPSmr	= 1677,
-    X86_MOVHPSrm	= 1678,
-    X86_MOVLHPSrr	= 1679,
-    X86_MOVLPDmr	= 1680,
-    X86_MOVLPDrm	= 1681,
-    X86_MOVLPSmr	= 1682,
-    X86_MOVLPSrm	= 1683,
-    X86_MOVMSKPDrr	= 1684,
-    X86_MOVMSKPSrr	= 1685,
-    X86_MOVNTDQArm	= 1686,
-    X86_MOVNTDQmr	= 1687,
-    X86_MOVNTI_64mr	= 1688,
-    X86_MOVNTImr	= 1689,
-    X86_MOVNTPDmr	= 1690,
-    X86_MOVNTPSmr	= 1691,
-    X86_MOVNTSD	= 1692,
-    X86_MOVNTSS	= 1693,
-    X86_MOVPC32r	= 1694,
-    X86_MOVPDI2DImr	= 1695,
-    X86_MOVPDI2DIrr	= 1696,
-    X86_MOVPQI2QImr	= 1697,
-    X86_MOVPQI2QIrr	= 1698,
-    X86_MOVPQIto64rr	= 1699,
-    X86_MOVQI2PQIrm	= 1700,
-    X86_MOVSB	= 1701,
-    X86_MOVSDmr	= 1702,
-    X86_MOVSDrm	= 1703,
-    X86_MOVSDrr	= 1704,
-    X86_MOVSDrr_REV	= 1705,
-    X86_MOVSDto64mr	= 1706,
-    X86_MOVSDto64rr	= 1707,
-    X86_MOVSHDUPrm	= 1708,
-    X86_MOVSHDUPrr	= 1709,
-    X86_MOVSL	= 1710,
-    X86_MOVSLDUPrm	= 1711,
-    X86_MOVSLDUPrr	= 1712,
-    X86_MOVSQ	= 1713,
-    X86_MOVSS2DImr	= 1714,
-    X86_MOVSS2DIrr	= 1715,
-    X86_MOVSSmr	= 1716,
-    X86_MOVSSrm	= 1717,
-    X86_MOVSSrr	= 1718,
-    X86_MOVSSrr_REV	= 1719,
-    X86_MOVSW	= 1720,
-    X86_MOVSX16rm8	= 1721,
-    X86_MOVSX16rr8	= 1722,
-    X86_MOVSX32rm16	= 1723,
-    X86_MOVSX32rm8	= 1724,
-    X86_MOVSX32rr16	= 1725,
-    X86_MOVSX32rr8	= 1726,
-    X86_MOVSX64_NOREXrr32	= 1727,
-    X86_MOVSX64rm16	= 1728,
-    X86_MOVSX64rm32	= 1729,
-    X86_MOVSX64rm8	= 1730,
-    X86_MOVSX64rr16	= 1731,
-    X86_MOVSX64rr32	= 1732,
-    X86_MOVSX64rr8	= 1733,
-    X86_MOVUPDmr	= 1734,
-    X86_MOVUPDrm	= 1735,
-    X86_MOVUPDrr	= 1736,
-    X86_MOVUPDrr_REV	= 1737,
-    X86_MOVUPSmr	= 1738,
-    X86_MOVUPSrm	= 1739,
-    X86_MOVUPSrr	= 1740,
-    X86_MOVUPSrr_REV	= 1741,
-    X86_MOVZPQILo2PQIrm	= 1742,
-    X86_MOVZPQILo2PQIrr	= 1743,
-    X86_MOVZQI2PQIrm	= 1744,
-    X86_MOVZQI2PQIrr	= 1745,
-    X86_MOVZX16rm8	= 1746,
-    X86_MOVZX16rr8	= 1747,
-    X86_MOVZX32_NOREXrm8	= 1748,
-    X86_MOVZX32_NOREXrr8	= 1749,
-    X86_MOVZX32rm16	= 1750,
-    X86_MOVZX32rm8	= 1751,
-    X86_MOVZX32rr16	= 1752,
-    X86_MOVZX32rr8	= 1753,
-    X86_MOVZX64rm16_Q	= 1754,
-    X86_MOVZX64rm8_Q	= 1755,
-    X86_MOVZX64rr16_Q	= 1756,
-    X86_MOVZX64rr8_Q	= 1757,
-    X86_MPSADBWrmi	= 1758,
-    X86_MPSADBWrri	= 1759,
-    X86_MUL16m	= 1760,
-    X86_MUL16r	= 1761,
-    X86_MUL32m	= 1762,
-    X86_MUL32r	= 1763,
-    X86_MUL64m	= 1764,
-    X86_MUL64r	= 1765,
-    X86_MUL8m	= 1766,
-    X86_MUL8r	= 1767,
-    X86_MULPDrm	= 1768,
-    X86_MULPDrr	= 1769,
-    X86_MULPSrm	= 1770,
-    X86_MULPSrr	= 1771,
-    X86_MULSDrm	= 1772,
-    X86_MULSDrm_Int	= 1773,
-    X86_MULSDrr	= 1774,
-    X86_MULSDrr_Int	= 1775,
-    X86_MULSSrm	= 1776,
-    X86_MULSSrm_Int	= 1777,
-    X86_MULSSrr	= 1778,
-    X86_MULSSrr_Int	= 1779,
-    X86_MULX32rm	= 1780,
-    X86_MULX32rr	= 1781,
-    X86_MULX64rm	= 1782,
-    X86_MULX64rr	= 1783,
-    X86_MUL_F32m	= 1784,
-    X86_MUL_F64m	= 1785,
-    X86_MUL_FI16m	= 1786,
-    X86_MUL_FI32m	= 1787,
-    X86_MUL_FPrST0	= 1788,
-    X86_MUL_FST0r	= 1789,
-    X86_MUL_Fp32	= 1790,
-    X86_MUL_Fp32m	= 1791,
-    X86_MUL_Fp64	= 1792,
-    X86_MUL_Fp64m	= 1793,
-    X86_MUL_Fp64m32	= 1794,
-    X86_MUL_Fp80	= 1795,
-    X86_MUL_Fp80m32	= 1796,
-    X86_MUL_Fp80m64	= 1797,
-    X86_MUL_FpI16m32	= 1798,
-    X86_MUL_FpI16m64	= 1799,
-    X86_MUL_FpI16m80	= 1800,
-    X86_MUL_FpI32m32	= 1801,
-    X86_MUL_FpI32m64	= 1802,
-    X86_MUL_FpI32m80	= 1803,
-    X86_MUL_FrST0	= 1804,
-    X86_MWAITrr	= 1805,
-    X86_NEG16m	= 1806,
-    X86_NEG16r	= 1807,
-    X86_NEG32m	= 1808,
-    X86_NEG32r	= 1809,
-    X86_NEG64m	= 1810,
-    X86_NEG64r	= 1811,
-    X86_NEG8m	= 1812,
-    X86_NEG8r	= 1813,
-    X86_NOOP	= 1814,
-    X86_NOOP18_16m4	= 1815,
-    X86_NOOP18_16m5	= 1816,
-    X86_NOOP18_16m6	= 1817,
-    X86_NOOP18_16m7	= 1818,
-    X86_NOOP18_16r4	= 1819,
-    X86_NOOP18_16r5	= 1820,
-    X86_NOOP18_16r6	= 1821,
-    X86_NOOP18_16r7	= 1822,
-    X86_NOOP18_m4	= 1823,
-    X86_NOOP18_m5	= 1824,
-    X86_NOOP18_m6	= 1825,
-    X86_NOOP18_m7	= 1826,
-    X86_NOOP18_r4	= 1827,
-    X86_NOOP18_r5	= 1828,
-    X86_NOOP18_r6	= 1829,
-    X86_NOOP18_r7	= 1830,
-    X86_NOOP19rr	= 1831,
-    X86_NOOPL	= 1832,
-    X86_NOOPL_19	= 1833,
-    X86_NOOPL_1a	= 1834,
-    X86_NOOPL_1b	= 1835,
-    X86_NOOPL_1c	= 1836,
-    X86_NOOPL_1d	= 1837,
-    X86_NOOPL_1e	= 1838,
-    X86_NOOPW	= 1839,
-    X86_NOOPW_19	= 1840,
-    X86_NOOPW_1a	= 1841,
-    X86_NOOPW_1b	= 1842,
-    X86_NOOPW_1c	= 1843,
-    X86_NOOPW_1d	= 1844,
-    X86_NOOPW_1e	= 1845,
-    X86_NOT16m	= 1846,
-    X86_NOT16r	= 1847,
-    X86_NOT32m	= 1848,
-    X86_NOT32r	= 1849,
-    X86_NOT64m	= 1850,
-    X86_NOT64r	= 1851,
-    X86_NOT8m	= 1852,
-    X86_NOT8r	= 1853,
-    X86_OR16i16	= 1854,
-    X86_OR16mi	= 1855,
-    X86_OR16mi8	= 1856,
-    X86_OR16mr	= 1857,
-    X86_OR16ri	= 1858,
-    X86_OR16ri8	= 1859,
-    X86_OR16rm	= 1860,
-    X86_OR16rr	= 1861,
-    X86_OR16rr_REV	= 1862,
-    X86_OR32i32	= 1863,
-    X86_OR32mi	= 1864,
-    X86_OR32mi8	= 1865,
-    X86_OR32mr	= 1866,
-    X86_OR32mrLocked	= 1867,
-    X86_OR32ri	= 1868,
-    X86_OR32ri8	= 1869,
-    X86_OR32rm	= 1870,
-    X86_OR32rr	= 1871,
-    X86_OR32rr_REV	= 1872,
-    X86_OR64i32	= 1873,
-    X86_OR64mi32	= 1874,
-    X86_OR64mi8	= 1875,
-    X86_OR64mr	= 1876,
-    X86_OR64ri32	= 1877,
-    X86_OR64ri8	= 1878,
-    X86_OR64rm	= 1879,
-    X86_OR64rr	= 1880,
-    X86_OR64rr_REV	= 1881,
-    X86_OR8i8	= 1882,
-    X86_OR8mi	= 1883,
-    X86_OR8mr	= 1884,
-    X86_OR8ri	= 1885,
-    X86_OR8ri8	= 1886,
-    X86_OR8rm	= 1887,
-    X86_OR8rr	= 1888,
-    X86_OR8rr_REV	= 1889,
-    X86_ORPDrm	= 1890,
-    X86_ORPDrr	= 1891,
-    X86_ORPSrm	= 1892,
-    X86_ORPSrr	= 1893,
-    X86_OUT16ir	= 1894,
-    X86_OUT16rr	= 1895,
-    X86_OUT32ir	= 1896,
-    X86_OUT32rr	= 1897,
-    X86_OUT8ir	= 1898,
-    X86_OUT8rr	= 1899,
-    X86_OUTSB	= 1900,
-    X86_OUTSL	= 1901,
-    X86_OUTSW	= 1902,
-    X86_PABSBrm128	= 1903,
-    X86_PABSBrr128	= 1904,
-    X86_PABSDrm128	= 1905,
-    X86_PABSDrr128	= 1906,
-    X86_PABSWrm128	= 1907,
-    X86_PABSWrr128	= 1908,
-    X86_PACKSSDWrm	= 1909,
-    X86_PACKSSDWrr	= 1910,
-    X86_PACKSSWBrm	= 1911,
-    X86_PACKSSWBrr	= 1912,
-    X86_PACKUSDWrm	= 1913,
-    X86_PACKUSDWrr	= 1914,
-    X86_PACKUSWBrm	= 1915,
-    X86_PACKUSWBrr	= 1916,
-    X86_PADDBrm	= 1917,
-    X86_PADDBrr	= 1918,
-    X86_PADDDrm	= 1919,
-    X86_PADDDrr	= 1920,
-    X86_PADDQrm	= 1921,
-    X86_PADDQrr	= 1922,
-    X86_PADDSBrm	= 1923,
-    X86_PADDSBrr	= 1924,
-    X86_PADDSWrm	= 1925,
-    X86_PADDSWrr	= 1926,
-    X86_PADDUSBrm	= 1927,
-    X86_PADDUSBrr	= 1928,
-    X86_PADDUSWrm	= 1929,
-    X86_PADDUSWrr	= 1930,
-    X86_PADDWrm	= 1931,
-    X86_PADDWrr	= 1932,
-    X86_PALIGNR128rm	= 1933,
-    X86_PALIGNR128rr	= 1934,
-    X86_PANDNrm	= 1935,
-    X86_PANDNrr	= 1936,
-    X86_PANDrm	= 1937,
-    X86_PANDrr	= 1938,
-    X86_PAUSE	= 1939,
-    X86_PAVGBrm	= 1940,
-    X86_PAVGBrr	= 1941,
-    X86_PAVGUSBrm	= 1942,
-    X86_PAVGUSBrr	= 1943,
-    X86_PAVGWrm	= 1944,
-    X86_PAVGWrr	= 1945,
-    X86_PBLENDVBrm0	= 1946,
-    X86_PBLENDVBrr0	= 1947,
-    X86_PBLENDWrmi	= 1948,
-    X86_PBLENDWrri	= 1949,
-    X86_PCLMULQDQrm	= 1950,
-    X86_PCLMULQDQrr	= 1951,
-    X86_PCMPEQBrm	= 1952,
-    X86_PCMPEQBrr	= 1953,
-    X86_PCMPEQDrm	= 1954,
-    X86_PCMPEQDrr	= 1955,
-    X86_PCMPEQQrm	= 1956,
-    X86_PCMPEQQrr	= 1957,
-    X86_PCMPEQWrm	= 1958,
-    X86_PCMPEQWrr	= 1959,
-    X86_PCMPESTRIMEM	= 1960,
-    X86_PCMPESTRIREG	= 1961,
-    X86_PCMPESTRIrm	= 1962,
-    X86_PCMPESTRIrr	= 1963,
-    X86_PCMPESTRM128MEM	= 1964,
-    X86_PCMPESTRM128REG	= 1965,
-    X86_PCMPESTRM128rm	= 1966,
-    X86_PCMPESTRM128rr	= 1967,
-    X86_PCMPGTBrm	= 1968,
-    X86_PCMPGTBrr	= 1969,
-    X86_PCMPGTDrm	= 1970,
-    X86_PCMPGTDrr	= 1971,
-    X86_PCMPGTQrm	= 1972,
-    X86_PCMPGTQrr	= 1973,
-    X86_PCMPGTWrm	= 1974,
-    X86_PCMPGTWrr	= 1975,
-    X86_PCMPISTRIMEM	= 1976,
-    X86_PCMPISTRIREG	= 1977,
-    X86_PCMPISTRIrm	= 1978,
-    X86_PCMPISTRIrr	= 1979,
-    X86_PCMPISTRM128MEM	= 1980,
-    X86_PCMPISTRM128REG	= 1981,
-    X86_PCMPISTRM128rm	= 1982,
-    X86_PCMPISTRM128rr	= 1983,
-    X86_PDEP32rm	= 1984,
-    X86_PDEP32rr	= 1985,
-    X86_PDEP64rm	= 1986,
-    X86_PDEP64rr	= 1987,
-    X86_PEXT32rm	= 1988,
-    X86_PEXT32rr	= 1989,
-    X86_PEXT64rm	= 1990,
-    X86_PEXT64rr	= 1991,
-    X86_PEXTRBmr	= 1992,
-    X86_PEXTRBrr	= 1993,
-    X86_PEXTRDmr	= 1994,
-    X86_PEXTRDrr	= 1995,
-    X86_PEXTRQmr	= 1996,
-    X86_PEXTRQrr	= 1997,
-    X86_PEXTRWmr	= 1998,
-    X86_PEXTRWri	= 1999,
-    X86_PEXTRWrr_REV	= 2000,
-    X86_PF2IDrm	= 2001,
-    X86_PF2IDrr	= 2002,
-    X86_PF2IWrm	= 2003,
-    X86_PF2IWrr	= 2004,
-    X86_PFACCrm	= 2005,
-    X86_PFACCrr	= 2006,
-    X86_PFADDrm	= 2007,
-    X86_PFADDrr	= 2008,
-    X86_PFCMPEQrm	= 2009,
-    X86_PFCMPEQrr	= 2010,
-    X86_PFCMPGErm	= 2011,
-    X86_PFCMPGErr	= 2012,
-    X86_PFCMPGTrm	= 2013,
-    X86_PFCMPGTrr	= 2014,
-    X86_PFMAXrm	= 2015,
-    X86_PFMAXrr	= 2016,
-    X86_PFMINrm	= 2017,
-    X86_PFMINrr	= 2018,
-    X86_PFMULrm	= 2019,
-    X86_PFMULrr	= 2020,
-    X86_PFNACCrm	= 2021,
-    X86_PFNACCrr	= 2022,
-    X86_PFPNACCrm	= 2023,
-    X86_PFPNACCrr	= 2024,
-    X86_PFRCPIT1rm	= 2025,
-    X86_PFRCPIT1rr	= 2026,
-    X86_PFRCPIT2rm	= 2027,
-    X86_PFRCPIT2rr	= 2028,
-    X86_PFRCPrm	= 2029,
-    X86_PFRCPrr	= 2030,
-    X86_PFRSQIT1rm	= 2031,
-    X86_PFRSQIT1rr	= 2032,
-    X86_PFRSQRTrm	= 2033,
-    X86_PFRSQRTrr	= 2034,
-    X86_PFSUBRrm	= 2035,
-    X86_PFSUBRrr	= 2036,
-    X86_PFSUBrm	= 2037,
-    X86_PFSUBrr	= 2038,
-    X86_PHADDDrm	= 2039,
-    X86_PHADDDrr	= 2040,
-    X86_PHADDSWrm128	= 2041,
-    X86_PHADDSWrr128	= 2042,
-    X86_PHADDWrm	= 2043,
-    X86_PHADDWrr	= 2044,
-    X86_PHMINPOSUWrm128	= 2045,
-    X86_PHMINPOSUWrr128	= 2046,
-    X86_PHSUBDrm	= 2047,
-    X86_PHSUBDrr	= 2048,
-    X86_PHSUBSWrm128	= 2049,
-    X86_PHSUBSWrr128	= 2050,
-    X86_PHSUBWrm	= 2051,
-    X86_PHSUBWrr	= 2052,
-    X86_PI2FDrm	= 2053,
-    X86_PI2FDrr	= 2054,
-    X86_PI2FWrm	= 2055,
-    X86_PI2FWrr	= 2056,
-    X86_PINSRBrm	= 2057,
-    X86_PINSRBrr	= 2058,
-    X86_PINSRDrm	= 2059,
-    X86_PINSRDrr	= 2060,
-    X86_PINSRQrm	= 2061,
-    X86_PINSRQrr	= 2062,
-    X86_PINSRWrmi	= 2063,
-    X86_PINSRWrri	= 2064,
-    X86_PMADDUBSWrm128	= 2065,
-    X86_PMADDUBSWrr128	= 2066,
-    X86_PMADDWDrm	= 2067,
-    X86_PMADDWDrr	= 2068,
-    X86_PMAXSBrm	= 2069,
-    X86_PMAXSBrr	= 2070,
-    X86_PMAXSDrm	= 2071,
-    X86_PMAXSDrr	= 2072,
-    X86_PMAXSWrm	= 2073,
-    X86_PMAXSWrr	= 2074,
-    X86_PMAXUBrm	= 2075,
-    X86_PMAXUBrr	= 2076,
-    X86_PMAXUDrm	= 2077,
-    X86_PMAXUDrr	= 2078,
-    X86_PMAXUWrm	= 2079,
-    X86_PMAXUWrr	= 2080,
-    X86_PMINSBrm	= 2081,
-    X86_PMINSBrr	= 2082,
-    X86_PMINSDrm	= 2083,
-    X86_PMINSDrr	= 2084,
-    X86_PMINSWrm	= 2085,
-    X86_PMINSWrr	= 2086,
-    X86_PMINUBrm	= 2087,
-    X86_PMINUBrr	= 2088,
-    X86_PMINUDrm	= 2089,
-    X86_PMINUDrr	= 2090,
-    X86_PMINUWrm	= 2091,
-    X86_PMINUWrr	= 2092,
-    X86_PMOVMSKBrr	= 2093,
-    X86_PMOVSXBDrm	= 2094,
-    X86_PMOVSXBDrr	= 2095,
-    X86_PMOVSXBQrm	= 2096,
-    X86_PMOVSXBQrr	= 2097,
-    X86_PMOVSXBWrm	= 2098,
-    X86_PMOVSXBWrr	= 2099,
-    X86_PMOVSXDQrm	= 2100,
-    X86_PMOVSXDQrr	= 2101,
-    X86_PMOVSXWDrm	= 2102,
-    X86_PMOVSXWDrr	= 2103,
-    X86_PMOVSXWQrm	= 2104,
-    X86_PMOVSXWQrr	= 2105,
-    X86_PMOVZXBDrm	= 2106,
-    X86_PMOVZXBDrr	= 2107,
-    X86_PMOVZXBQrm	= 2108,
-    X86_PMOVZXBQrr	= 2109,
-    X86_PMOVZXBWrm	= 2110,
-    X86_PMOVZXBWrr	= 2111,
-    X86_PMOVZXDQrm	= 2112,
-    X86_PMOVZXDQrr	= 2113,
-    X86_PMOVZXWDrm	= 2114,
-    X86_PMOVZXWDrr	= 2115,
-    X86_PMOVZXWQrm	= 2116,
-    X86_PMOVZXWQrr	= 2117,
-    X86_PMULDQrm	= 2118,
-    X86_PMULDQrr	= 2119,
-    X86_PMULHRSWrm128	= 2120,
-    X86_PMULHRSWrr128	= 2121,
-    X86_PMULHRWrm	= 2122,
-    X86_PMULHRWrr	= 2123,
-    X86_PMULHUWrm	= 2124,
-    X86_PMULHUWrr	= 2125,
-    X86_PMULHWrm	= 2126,
-    X86_PMULHWrr	= 2127,
-    X86_PMULLDrm	= 2128,
-    X86_PMULLDrr	= 2129,
-    X86_PMULLWrm	= 2130,
-    X86_PMULLWrr	= 2131,
-    X86_PMULUDQrm	= 2132,
-    X86_PMULUDQrr	= 2133,
-    X86_POP16r	= 2134,
-    X86_POP16rmm	= 2135,
-    X86_POP16rmr	= 2136,
-    X86_POP32r	= 2137,
-    X86_POP32rmm	= 2138,
-    X86_POP32rmr	= 2139,
-    X86_POP64r	= 2140,
-    X86_POP64rmm	= 2141,
-    X86_POP64rmr	= 2142,
-    X86_POPA16	= 2143,
-    X86_POPA32	= 2144,
-    X86_POPCNT16rm	= 2145,
-    X86_POPCNT16rr	= 2146,
-    X86_POPCNT32rm	= 2147,
-    X86_POPCNT32rr	= 2148,
-    X86_POPCNT64rm	= 2149,
-    X86_POPCNT64rr	= 2150,
-    X86_POPDS16	= 2151,
-    X86_POPDS32	= 2152,
-    X86_POPES16	= 2153,
-    X86_POPES32	= 2154,
-    X86_POPF16	= 2155,
-    X86_POPF32	= 2156,
-    X86_POPF64	= 2157,
-    X86_POPFS16	= 2158,
-    X86_POPFS32	= 2159,
-    X86_POPFS64	= 2160,
-    X86_POPGS16	= 2161,
-    X86_POPGS32	= 2162,
-    X86_POPGS64	= 2163,
-    X86_POPSS16	= 2164,
-    X86_POPSS32	= 2165,
-    X86_PORrm	= 2166,
-    X86_PORrr	= 2167,
-    X86_PREFETCH	= 2168,
-    X86_PREFETCHNTA	= 2169,
-    X86_PREFETCHT0	= 2170,
-    X86_PREFETCHT1	= 2171,
-    X86_PREFETCHT2	= 2172,
-    X86_PREFETCHW	= 2173,
-    X86_PSADBWrm	= 2174,
-    X86_PSADBWrr	= 2175,
-    X86_PSHUFBrm	= 2176,
-    X86_PSHUFBrr	= 2177,
-    X86_PSHUFDmi	= 2178,
-    X86_PSHUFDri	= 2179,
-    X86_PSHUFHWmi	= 2180,
-    X86_PSHUFHWri	= 2181,
-    X86_PSHUFLWmi	= 2182,
-    X86_PSHUFLWri	= 2183,
-    X86_PSIGNBrm	= 2184,
-    X86_PSIGNBrr	= 2185,
-    X86_PSIGNDrm	= 2186,
-    X86_PSIGNDrr	= 2187,
-    X86_PSIGNWrm	= 2188,
-    X86_PSIGNWrr	= 2189,
-    X86_PSLLDQri	= 2190,
-    X86_PSLLDri	= 2191,
-    X86_PSLLDrm	= 2192,
-    X86_PSLLDrr	= 2193,
-    X86_PSLLQri	= 2194,
-    X86_PSLLQrm	= 2195,
-    X86_PSLLQrr	= 2196,
-    X86_PSLLWri	= 2197,
-    X86_PSLLWrm	= 2198,
-    X86_PSLLWrr	= 2199,
-    X86_PSRADri	= 2200,
-    X86_PSRADrm	= 2201,
-    X86_PSRADrr	= 2202,
-    X86_PSRAWri	= 2203,
-    X86_PSRAWrm	= 2204,
-    X86_PSRAWrr	= 2205,
-    X86_PSRLDQri	= 2206,
-    X86_PSRLDri	= 2207,
-    X86_PSRLDrm	= 2208,
-    X86_PSRLDrr	= 2209,
-    X86_PSRLQri	= 2210,
-    X86_PSRLQrm	= 2211,
-    X86_PSRLQrr	= 2212,
-    X86_PSRLWri	= 2213,
-    X86_PSRLWrm	= 2214,
-    X86_PSRLWrr	= 2215,
-    X86_PSUBBrm	= 2216,
-    X86_PSUBBrr	= 2217,
-    X86_PSUBDrm	= 2218,
-    X86_PSUBDrr	= 2219,
-    X86_PSUBQrm	= 2220,
-    X86_PSUBQrr	= 2221,
-    X86_PSUBSBrm	= 2222,
-    X86_PSUBSBrr	= 2223,
-    X86_PSUBSWrm	= 2224,
-    X86_PSUBSWrr	= 2225,
-    X86_PSUBUSBrm	= 2226,
-    X86_PSUBUSBrr	= 2227,
-    X86_PSUBUSWrm	= 2228,
-    X86_PSUBUSWrr	= 2229,
-    X86_PSUBWrm	= 2230,
-    X86_PSUBWrr	= 2231,
-    X86_PSWAPDrm	= 2232,
-    X86_PSWAPDrr	= 2233,
-    X86_PTESTrm	= 2234,
-    X86_PTESTrr	= 2235,
-    X86_PUNPCKHBWrm	= 2236,
-    X86_PUNPCKHBWrr	= 2237,
-    X86_PUNPCKHDQrm	= 2238,
-    X86_PUNPCKHDQrr	= 2239,
-    X86_PUNPCKHQDQrm	= 2240,
-    X86_PUNPCKHQDQrr	= 2241,
-    X86_PUNPCKHWDrm	= 2242,
-    X86_PUNPCKHWDrr	= 2243,
-    X86_PUNPCKLBWrm	= 2244,
-    X86_PUNPCKLBWrr	= 2245,
-    X86_PUNPCKLDQrm	= 2246,
-    X86_PUNPCKLDQrr	= 2247,
-    X86_PUNPCKLQDQrm	= 2248,
-    X86_PUNPCKLQDQrr	= 2249,
-    X86_PUNPCKLWDrm	= 2250,
-    X86_PUNPCKLWDrr	= 2251,
-    X86_PUSH16i8	= 2252,
-    X86_PUSH16r	= 2253,
-    X86_PUSH16rmm	= 2254,
-    X86_PUSH16rmr	= 2255,
-    X86_PUSH32i8	= 2256,
-    X86_PUSH32r	= 2257,
-    X86_PUSH32rmm	= 2258,
-    X86_PUSH32rmr	= 2259,
-    X86_PUSH64i16	= 2260,
-    X86_PUSH64i32	= 2261,
-    X86_PUSH64i8	= 2262,
-    X86_PUSH64r	= 2263,
-    X86_PUSH64rmm	= 2264,
-    X86_PUSH64rmr	= 2265,
-    X86_PUSHA16	= 2266,
-    X86_PUSHA32	= 2267,
-    X86_PUSHCS16	= 2268,
-    X86_PUSHCS32	= 2269,
-    X86_PUSHDS16	= 2270,
-    X86_PUSHDS32	= 2271,
-    X86_PUSHES16	= 2272,
-    X86_PUSHES32	= 2273,
-    X86_PUSHF16	= 2274,
-    X86_PUSHF32	= 2275,
-    X86_PUSHF64	= 2276,
-    X86_PUSHFS16	= 2277,
-    X86_PUSHFS32	= 2278,
-    X86_PUSHFS64	= 2279,
-    X86_PUSHGS16	= 2280,
-    X86_PUSHGS32	= 2281,
-    X86_PUSHGS64	= 2282,
-    X86_PUSHSS16	= 2283,
-    X86_PUSHSS32	= 2284,
-    X86_PUSHi16	= 2285,
-    X86_PUSHi32	= 2286,
-    X86_PXORrm	= 2287,
-    X86_PXORrr	= 2288,
-    X86_RCL16m1	= 2289,
-    X86_RCL16mCL	= 2290,
-    X86_RCL16mi	= 2291,
-    X86_RCL16r1	= 2292,
-    X86_RCL16rCL	= 2293,
-    X86_RCL16ri	= 2294,
-    X86_RCL32m1	= 2295,
-    X86_RCL32mCL	= 2296,
-    X86_RCL32mi	= 2297,
-    X86_RCL32r1	= 2298,
-    X86_RCL32rCL	= 2299,
-    X86_RCL32ri	= 2300,
-    X86_RCL64m1	= 2301,
-    X86_RCL64mCL	= 2302,
-    X86_RCL64mi	= 2303,
-    X86_RCL64r1	= 2304,
-    X86_RCL64rCL	= 2305,
-    X86_RCL64ri	= 2306,
-    X86_RCL8m1	= 2307,
-    X86_RCL8mCL	= 2308,
-    X86_RCL8mi	= 2309,
-    X86_RCL8r1	= 2310,
-    X86_RCL8rCL	= 2311,
-    X86_RCL8ri	= 2312,
-    X86_RCPPSm	= 2313,
-    X86_RCPPSm_Int	= 2314,
-    X86_RCPPSr	= 2315,
-    X86_RCPPSr_Int	= 2316,
-    X86_RCPSSm	= 2317,
-    X86_RCPSSm_Int	= 2318,
-    X86_RCPSSr	= 2319,
-    X86_RCPSSr_Int	= 2320,
-    X86_RCR16m1	= 2321,
-    X86_RCR16mCL	= 2322,
-    X86_RCR16mi	= 2323,
-    X86_RCR16r1	= 2324,
-    X86_RCR16rCL	= 2325,
-    X86_RCR16ri	= 2326,
-    X86_RCR32m1	= 2327,
-    X86_RCR32mCL	= 2328,
-    X86_RCR32mi	= 2329,
-    X86_RCR32r1	= 2330,
-    X86_RCR32rCL	= 2331,
-    X86_RCR32ri	= 2332,
-    X86_RCR64m1	= 2333,
-    X86_RCR64mCL	= 2334,
-    X86_RCR64mi	= 2335,
-    X86_RCR64r1	= 2336,
-    X86_RCR64rCL	= 2337,
-    X86_RCR64ri	= 2338,
-    X86_RCR8m1	= 2339,
-    X86_RCR8mCL	= 2340,
-    X86_RCR8mi	= 2341,
-    X86_RCR8r1	= 2342,
-    X86_RCR8rCL	= 2343,
-    X86_RCR8ri	= 2344,
-    X86_RDFSBASE	= 2345,
-    X86_RDFSBASE64	= 2346,
-    X86_RDGSBASE	= 2347,
-    X86_RDGSBASE64	= 2348,
-    X86_RDMSR	= 2349,
-    X86_RDPMC	= 2350,
-    X86_RDRAND16r	= 2351,
-    X86_RDRAND32r	= 2352,
-    X86_RDRAND64r	= 2353,
-    X86_RDSEED16r	= 2354,
-    X86_RDSEED32r	= 2355,
-    X86_RDSEED64r	= 2356,
-    X86_RDTSC	= 2357,
-    X86_RDTSCP	= 2358,
-    X86_RELEASE_MOV16mr	= 2359,
-    X86_RELEASE_MOV32mr	= 2360,
-    X86_RELEASE_MOV64mr	= 2361,
-    X86_RELEASE_MOV8mr	= 2362,
-    X86_REPNE_PREFIX	= 2363,
-    X86_REP_MOVSB_32	= 2364,
-    X86_REP_MOVSB_64	= 2365,
-    X86_REP_MOVSD_32	= 2366,
-    X86_REP_MOVSD_64	= 2367,
-    X86_REP_MOVSQ_64	= 2368,
-    X86_REP_MOVSW_32	= 2369,
-    X86_REP_MOVSW_64	= 2370,
-    X86_REP_PREFIX	= 2371,
-    X86_REP_STOSB_32	= 2372,
-    X86_REP_STOSB_64	= 2373,
-    X86_REP_STOSD_32	= 2374,
-    X86_REP_STOSD_64	= 2375,
-    X86_REP_STOSQ_64	= 2376,
-    X86_REP_STOSW_32	= 2377,
-    X86_REP_STOSW_64	= 2378,
-    X86_RETIL	= 2379,
-    X86_RETIQ	= 2380,
-    X86_RETIW	= 2381,
-    X86_RETL	= 2382,
-    X86_RETQ	= 2383,
-    X86_RETW	= 2384,
-    X86_REX64_PREFIX	= 2385,
-    X86_ROL16m1	= 2386,
-    X86_ROL16mCL	= 2387,
-    X86_ROL16mi	= 2388,
-    X86_ROL16r1	= 2389,
-    X86_ROL16rCL	= 2390,
-    X86_ROL16ri	= 2391,
-    X86_ROL32m1	= 2392,
-    X86_ROL32mCL	= 2393,
-    X86_ROL32mi	= 2394,
-    X86_ROL32r1	= 2395,
-    X86_ROL32rCL	= 2396,
-    X86_ROL32ri	= 2397,
-    X86_ROL64m1	= 2398,
-    X86_ROL64mCL	= 2399,
-    X86_ROL64mi	= 2400,
-    X86_ROL64r1	= 2401,
-    X86_ROL64rCL	= 2402,
-    X86_ROL64ri	= 2403,
-    X86_ROL8m1	= 2404,
-    X86_ROL8mCL	= 2405,
-    X86_ROL8mi	= 2406,
-    X86_ROL8r1	= 2407,
-    X86_ROL8rCL	= 2408,
-    X86_ROL8ri	= 2409,
-    X86_ROR16m1	= 2410,
-    X86_ROR16mCL	= 2411,
-    X86_ROR16mi	= 2412,
-    X86_ROR16r1	= 2413,
-    X86_ROR16rCL	= 2414,
-    X86_ROR16ri	= 2415,
-    X86_ROR32m1	= 2416,
-    X86_ROR32mCL	= 2417,
-    X86_ROR32mi	= 2418,
-    X86_ROR32r1	= 2419,
-    X86_ROR32rCL	= 2420,
-    X86_ROR32ri	= 2421,
-    X86_ROR64m1	= 2422,
-    X86_ROR64mCL	= 2423,
-    X86_ROR64mi	= 2424,
-    X86_ROR64r1	= 2425,
-    X86_ROR64rCL	= 2426,
-    X86_ROR64ri	= 2427,
-    X86_ROR8m1	= 2428,
-    X86_ROR8mCL	= 2429,
-    X86_ROR8mi	= 2430,
-    X86_ROR8r1	= 2431,
-    X86_ROR8rCL	= 2432,
-    X86_ROR8ri	= 2433,
-    X86_RORX32mi	= 2434,
-    X86_RORX32ri	= 2435,
-    X86_RORX64mi	= 2436,
-    X86_RORX64ri	= 2437,
-    X86_ROUNDPDm	= 2438,
-    X86_ROUNDPDr	= 2439,
-    X86_ROUNDPSm	= 2440,
-    X86_ROUNDPSr	= 2441,
-    X86_ROUNDSDm	= 2442,
-    X86_ROUNDSDr	= 2443,
-    X86_ROUNDSDr_Int	= 2444,
-    X86_ROUNDSSm	= 2445,
-    X86_ROUNDSSr	= 2446,
-    X86_ROUNDSSr_Int	= 2447,
-    X86_RSM	= 2448,
-    X86_RSQRTPSm	= 2449,
-    X86_RSQRTPSm_Int	= 2450,
-    X86_RSQRTPSr	= 2451,
-    X86_RSQRTPSr_Int	= 2452,
-    X86_RSQRTSSm	= 2453,
-    X86_RSQRTSSm_Int	= 2454,
-    X86_RSQRTSSr	= 2455,
-    X86_RSQRTSSr_Int	= 2456,
-    X86_SAHF	= 2457,
-    X86_SAL16m1	= 2458,
-    X86_SAL16mCL	= 2459,
-    X86_SAL16mi	= 2460,
-    X86_SAL16r1	= 2461,
-    X86_SAL16rCL	= 2462,
-    X86_SAL16ri	= 2463,
-    X86_SAL32m1	= 2464,
-    X86_SAL32mCL	= 2465,
-    X86_SAL32mi	= 2466,
-    X86_SAL32r1	= 2467,
-    X86_SAL32rCL	= 2468,
-    X86_SAL32ri	= 2469,
-    X86_SAL64m1	= 2470,
-    X86_SAL64mCL	= 2471,
-    X86_SAL64mi	= 2472,
-    X86_SAL64r1	= 2473,
-    X86_SAL64rCL	= 2474,
-    X86_SAL64ri	= 2475,
-    X86_SAL8m1	= 2476,
-    X86_SAL8mCL	= 2477,
-    X86_SAL8mi	= 2478,
-    X86_SAL8r1	= 2479,
-    X86_SAL8rCL	= 2480,
-    X86_SAL8ri	= 2481,
-    X86_SALC	= 2482,
-    X86_SAR16m1	= 2483,
-    X86_SAR16mCL	= 2484,
-    X86_SAR16mi	= 2485,
-    X86_SAR16r1	= 2486,
-    X86_SAR16rCL	= 2487,
-    X86_SAR16ri	= 2488,
-    X86_SAR32m1	= 2489,
-    X86_SAR32mCL	= 2490,
-    X86_SAR32mi	= 2491,
-    X86_SAR32r1	= 2492,
-    X86_SAR32rCL	= 2493,
-    X86_SAR32ri	= 2494,
-    X86_SAR64m1	= 2495,
-    X86_SAR64mCL	= 2496,
-    X86_SAR64mi	= 2497,
-    X86_SAR64r1	= 2498,
-    X86_SAR64rCL	= 2499,
-    X86_SAR64ri	= 2500,
-    X86_SAR8m1	= 2501,
-    X86_SAR8mCL	= 2502,
-    X86_SAR8mi	= 2503,
-    X86_SAR8r1	= 2504,
-    X86_SAR8rCL	= 2505,
-    X86_SAR8ri	= 2506,
-    X86_SARX32rm	= 2507,
-    X86_SARX32rr	= 2508,
-    X86_SARX64rm	= 2509,
-    X86_SARX64rr	= 2510,
-    X86_SBB16i16	= 2511,
-    X86_SBB16mi	= 2512,
-    X86_SBB16mi8	= 2513,
-    X86_SBB16mr	= 2514,
-    X86_SBB16ri	= 2515,
-    X86_SBB16ri8	= 2516,
-    X86_SBB16rm	= 2517,
-    X86_SBB16rr	= 2518,
-    X86_SBB16rr_REV	= 2519,
-    X86_SBB32i32	= 2520,
-    X86_SBB32mi	= 2521,
-    X86_SBB32mi8	= 2522,
-    X86_SBB32mr	= 2523,
-    X86_SBB32ri	= 2524,
-    X86_SBB32ri8	= 2525,
-    X86_SBB32rm	= 2526,
-    X86_SBB32rr	= 2527,
-    X86_SBB32rr_REV	= 2528,
-    X86_SBB64i32	= 2529,
-    X86_SBB64mi32	= 2530,
-    X86_SBB64mi8	= 2531,
-    X86_SBB64mr	= 2532,
-    X86_SBB64ri32	= 2533,
-    X86_SBB64ri8	= 2534,
-    X86_SBB64rm	= 2535,
-    X86_SBB64rr	= 2536,
-    X86_SBB64rr_REV	= 2537,
-    X86_SBB8i8	= 2538,
-    X86_SBB8mi	= 2539,
-    X86_SBB8mr	= 2540,
-    X86_SBB8ri	= 2541,
-    X86_SBB8rm	= 2542,
-    X86_SBB8rr	= 2543,
-    X86_SBB8rr_REV	= 2544,
-    X86_SCASB	= 2545,
-    X86_SCASL	= 2546,
-    X86_SCASQ	= 2547,
-    X86_SCASW	= 2548,
-    X86_SEG_ALLOCA_32	= 2549,
-    X86_SEG_ALLOCA_64	= 2550,
-    X86_SEH_EndPrologue	= 2551,
-    X86_SEH_Epilogue	= 2552,
-    X86_SEH_PushFrame	= 2553,
-    X86_SEH_PushReg	= 2554,
-    X86_SEH_SaveReg	= 2555,
-    X86_SEH_SaveXMM	= 2556,
-    X86_SEH_SetFrame	= 2557,
-    X86_SEH_StackAlloc	= 2558,
-    X86_SETAEm	= 2559,
-    X86_SETAEr	= 2560,
-    X86_SETAm	= 2561,
-    X86_SETAr	= 2562,
-    X86_SETBEm	= 2563,
-    X86_SETBEr	= 2564,
-    X86_SETB_C16r	= 2565,
-    X86_SETB_C32r	= 2566,
-    X86_SETB_C64r	= 2567,
-    X86_SETB_C8r	= 2568,
-    X86_SETBm	= 2569,
-    X86_SETBr	= 2570,
-    X86_SETEm	= 2571,
-    X86_SETEr	= 2572,
-    X86_SETGEm	= 2573,
-    X86_SETGEr	= 2574,
-    X86_SETGm	= 2575,
-    X86_SETGr	= 2576,
-    X86_SETLEm	= 2577,
-    X86_SETLEr	= 2578,
-    X86_SETLm	= 2579,
-    X86_SETLr	= 2580,
-    X86_SETNEm	= 2581,
-    X86_SETNEr	= 2582,
-    X86_SETNOm	= 2583,
-    X86_SETNOr	= 2584,
-    X86_SETNPm	= 2585,
-    X86_SETNPr	= 2586,
-    X86_SETNSm	= 2587,
-    X86_SETNSr	= 2588,
-    X86_SETOm	= 2589,
-    X86_SETOr	= 2590,
-    X86_SETPm	= 2591,
-    X86_SETPr	= 2592,
-    X86_SETSm	= 2593,
-    X86_SETSr	= 2594,
-    X86_SFENCE	= 2595,
-    X86_SGDT16m	= 2596,
-    X86_SGDT32m	= 2597,
-    X86_SGDT64m	= 2598,
-    X86_SHA1MSG1rm	= 2599,
-    X86_SHA1MSG1rr	= 2600,
-    X86_SHA1MSG2rm	= 2601,
-    X86_SHA1MSG2rr	= 2602,
-    X86_SHA1NEXTErm	= 2603,
-    X86_SHA1NEXTErr	= 2604,
-    X86_SHA1RNDS4rmi	= 2605,
-    X86_SHA1RNDS4rri	= 2606,
-    X86_SHA256MSG1rm	= 2607,
-    X86_SHA256MSG1rr	= 2608,
-    X86_SHA256MSG2rm	= 2609,
-    X86_SHA256MSG2rr	= 2610,
-    X86_SHA256RNDS2rm	= 2611,
-    X86_SHA256RNDS2rr	= 2612,
-    X86_SHL16m1	= 2613,
-    X86_SHL16mCL	= 2614,
-    X86_SHL16mi	= 2615,
-    X86_SHL16r1	= 2616,
-    X86_SHL16rCL	= 2617,
-    X86_SHL16ri	= 2618,
-    X86_SHL32m1	= 2619,
-    X86_SHL32mCL	= 2620,
-    X86_SHL32mi	= 2621,
-    X86_SHL32r1	= 2622,
-    X86_SHL32rCL	= 2623,
-    X86_SHL32ri	= 2624,
-    X86_SHL64m1	= 2625,
-    X86_SHL64mCL	= 2626,
-    X86_SHL64mi	= 2627,
-    X86_SHL64r1	= 2628,
-    X86_SHL64rCL	= 2629,
-    X86_SHL64ri	= 2630,
-    X86_SHL8m1	= 2631,
-    X86_SHL8mCL	= 2632,
-    X86_SHL8mi	= 2633,
-    X86_SHL8r1	= 2634,
-    X86_SHL8rCL	= 2635,
-    X86_SHL8ri	= 2636,
-    X86_SHLD16mrCL	= 2637,
-    X86_SHLD16mri8	= 2638,
-    X86_SHLD16rrCL	= 2639,
-    X86_SHLD16rri8	= 2640,
-    X86_SHLD32mrCL	= 2641,
-    X86_SHLD32mri8	= 2642,
-    X86_SHLD32rrCL	= 2643,
-    X86_SHLD32rri8	= 2644,
-    X86_SHLD64mrCL	= 2645,
-    X86_SHLD64mri8	= 2646,
-    X86_SHLD64rrCL	= 2647,
-    X86_SHLD64rri8	= 2648,
-    X86_SHLX32rm	= 2649,
-    X86_SHLX32rr	= 2650,
-    X86_SHLX64rm	= 2651,
-    X86_SHLX64rr	= 2652,
-    X86_SHR16m1	= 2653,
-    X86_SHR16mCL	= 2654,
-    X86_SHR16mi	= 2655,
-    X86_SHR16r1	= 2656,
-    X86_SHR16rCL	= 2657,
-    X86_SHR16ri	= 2658,
-    X86_SHR32m1	= 2659,
-    X86_SHR32mCL	= 2660,
-    X86_SHR32mi	= 2661,
-    X86_SHR32r1	= 2662,
-    X86_SHR32rCL	= 2663,
-    X86_SHR32ri	= 2664,
-    X86_SHR64m1	= 2665,
-    X86_SHR64mCL	= 2666,
-    X86_SHR64mi	= 2667,
-    X86_SHR64r1	= 2668,
-    X86_SHR64rCL	= 2669,
-    X86_SHR64ri	= 2670,
-    X86_SHR8m1	= 2671,
-    X86_SHR8mCL	= 2672,
-    X86_SHR8mi	= 2673,
-    X86_SHR8r1	= 2674,
-    X86_SHR8rCL	= 2675,
-    X86_SHR8ri	= 2676,
-    X86_SHRD16mrCL	= 2677,
-    X86_SHRD16mri8	= 2678,
-    X86_SHRD16rrCL	= 2679,
-    X86_SHRD16rri8	= 2680,
-    X86_SHRD32mrCL	= 2681,
-    X86_SHRD32mri8	= 2682,
-    X86_SHRD32rrCL	= 2683,
-    X86_SHRD32rri8	= 2684,
-    X86_SHRD64mrCL	= 2685,
-    X86_SHRD64mri8	= 2686,
-    X86_SHRD64rrCL	= 2687,
-    X86_SHRD64rri8	= 2688,
-    X86_SHRX32rm	= 2689,
-    X86_SHRX32rr	= 2690,
-    X86_SHRX64rm	= 2691,
-    X86_SHRX64rr	= 2692,
-    X86_SHUFPDrmi	= 2693,
-    X86_SHUFPDrri	= 2694,
-    X86_SHUFPSrmi	= 2695,
-    X86_SHUFPSrri	= 2696,
-    X86_SIDT16m	= 2697,
-    X86_SIDT32m	= 2698,
-    X86_SIDT64m	= 2699,
-    X86_SIN_F	= 2700,
-    X86_SIN_Fp32	= 2701,
-    X86_SIN_Fp64	= 2702,
-    X86_SIN_Fp80	= 2703,
-    X86_SKINIT	= 2704,
-    X86_SLDT16m	= 2705,
-    X86_SLDT16r	= 2706,
-    X86_SLDT32r	= 2707,
-    X86_SLDT64m	= 2708,
-    X86_SLDT64r	= 2709,
-    X86_SMSW16m	= 2710,
-    X86_SMSW16r	= 2711,
-    X86_SMSW32r	= 2712,
-    X86_SMSW64r	= 2713,
-    X86_SQRTPDm	= 2714,
-    X86_SQRTPDr	= 2715,
-    X86_SQRTPSm	= 2716,
-    X86_SQRTPSr	= 2717,
-    X86_SQRTSDm	= 2718,
-    X86_SQRTSDm_Int	= 2719,
-    X86_SQRTSDr	= 2720,
-    X86_SQRTSDr_Int	= 2721,
-    X86_SQRTSSm	= 2722,
-    X86_SQRTSSm_Int	= 2723,
-    X86_SQRTSSr	= 2724,
-    X86_SQRTSSr_Int	= 2725,
-    X86_SQRT_F	= 2726,
-    X86_SQRT_Fp32	= 2727,
-    X86_SQRT_Fp64	= 2728,
-    X86_SQRT_Fp80	= 2729,
-    X86_STAC	= 2730,
-    X86_STC	= 2731,
-    X86_STD	= 2732,
-    X86_STGI	= 2733,
-    X86_STI	= 2734,
-    X86_STMXCSR	= 2735,
-    X86_STOSB	= 2736,
-    X86_STOSL	= 2737,
-    X86_STOSQ	= 2738,
-    X86_STOSW	= 2739,
-    X86_STR16r	= 2740,
-    X86_STR32r	= 2741,
-    X86_STR64r	= 2742,
-    X86_STRm	= 2743,
-    X86_ST_F32m	= 2744,
-    X86_ST_F64m	= 2745,
-    X86_ST_FCOMPST0r	= 2746,
-    X86_ST_FCOMPST0r_alt	= 2747,
-    X86_ST_FCOMST0r	= 2748,
-    X86_ST_FP32m	= 2749,
-    X86_ST_FP64m	= 2750,
-    X86_ST_FP80m	= 2751,
-    X86_ST_FPNCEST0r	= 2752,
-    X86_ST_FPST0r	= 2753,
-    X86_ST_FPST0r_alt	= 2754,
-    X86_ST_FPrr	= 2755,
-    X86_ST_FXCHST0r	= 2756,
-    X86_ST_FXCHST0r_alt	= 2757,
-    X86_ST_Fp32m	= 2758,
-    X86_ST_Fp64m	= 2759,
-    X86_ST_Fp64m32	= 2760,
-    X86_ST_Fp80m32	= 2761,
-    X86_ST_Fp80m64	= 2762,
-    X86_ST_FpP32m	= 2763,
-    X86_ST_FpP64m	= 2764,
-    X86_ST_FpP64m32	= 2765,
-    X86_ST_FpP80m	= 2766,
-    X86_ST_FpP80m32	= 2767,
-    X86_ST_FpP80m64	= 2768,
-    X86_ST_Frr	= 2769,
-    X86_SUB16i16	= 2770,
-    X86_SUB16mi	= 2771,
-    X86_SUB16mi8	= 2772,
-    X86_SUB16mr	= 2773,
-    X86_SUB16ri	= 2774,
-    X86_SUB16ri8	= 2775,
-    X86_SUB16rm	= 2776,
-    X86_SUB16rr	= 2777,
-    X86_SUB16rr_REV	= 2778,
-    X86_SUB32i32	= 2779,
-    X86_SUB32mi	= 2780,
-    X86_SUB32mi8	= 2781,
-    X86_SUB32mr	= 2782,
-    X86_SUB32ri	= 2783,
-    X86_SUB32ri8	= 2784,
-    X86_SUB32rm	= 2785,
-    X86_SUB32rr	= 2786,
-    X86_SUB32rr_REV	= 2787,
-    X86_SUB64i32	= 2788,
-    X86_SUB64mi32	= 2789,
-    X86_SUB64mi8	= 2790,
-    X86_SUB64mr	= 2791,
-    X86_SUB64ri32	= 2792,
-    X86_SUB64ri8	= 2793,
-    X86_SUB64rm	= 2794,
-    X86_SUB64rr	= 2795,
-    X86_SUB64rr_REV	= 2796,
-    X86_SUB8i8	= 2797,
-    X86_SUB8mi	= 2798,
-    X86_SUB8mr	= 2799,
-    X86_SUB8ri	= 2800,
-    X86_SUB8ri8	= 2801,
-    X86_SUB8rm	= 2802,
-    X86_SUB8rr	= 2803,
-    X86_SUB8rr_REV	= 2804,
-    X86_SUBPDrm	= 2805,
-    X86_SUBPDrr	= 2806,
-    X86_SUBPSrm	= 2807,
-    X86_SUBPSrr	= 2808,
-    X86_SUBR_F32m	= 2809,
-    X86_SUBR_F64m	= 2810,
-    X86_SUBR_FI16m	= 2811,
-    X86_SUBR_FI32m	= 2812,
-    X86_SUBR_FPrST0	= 2813,
-    X86_SUBR_FST0r	= 2814,
-    X86_SUBR_Fp32m	= 2815,
-    X86_SUBR_Fp64m	= 2816,
-    X86_SUBR_Fp64m32	= 2817,
-    X86_SUBR_Fp80m32	= 2818,
-    X86_SUBR_Fp80m64	= 2819,
-    X86_SUBR_FpI16m32	= 2820,
-    X86_SUBR_FpI16m64	= 2821,
-    X86_SUBR_FpI16m80	= 2822,
-    X86_SUBR_FpI32m32	= 2823,
-    X86_SUBR_FpI32m64	= 2824,
-    X86_SUBR_FpI32m80	= 2825,
-    X86_SUBR_FrST0	= 2826,
-    X86_SUBSDrm	= 2827,
-    X86_SUBSDrm_Int	= 2828,
-    X86_SUBSDrr	= 2829,
-    X86_SUBSDrr_Int	= 2830,
-    X86_SUBSSrm	= 2831,
-    X86_SUBSSrm_Int	= 2832,
-    X86_SUBSSrr	= 2833,
-    X86_SUBSSrr_Int	= 2834,
-    X86_SUB_F32m	= 2835,
-    X86_SUB_F64m	= 2836,
-    X86_SUB_FI16m	= 2837,
-    X86_SUB_FI32m	= 2838,
-    X86_SUB_FPrST0	= 2839,
-    X86_SUB_FST0r	= 2840,
-    X86_SUB_Fp32	= 2841,
-    X86_SUB_Fp32m	= 2842,
-    X86_SUB_Fp64	= 2843,
-    X86_SUB_Fp64m	= 2844,
-    X86_SUB_Fp64m32	= 2845,
-    X86_SUB_Fp80	= 2846,
-    X86_SUB_Fp80m32	= 2847,
-    X86_SUB_Fp80m64	= 2848,
-    X86_SUB_FpI16m32	= 2849,
-    X86_SUB_FpI16m64	= 2850,
-    X86_SUB_FpI16m80	= 2851,
-    X86_SUB_FpI32m32	= 2852,
-    X86_SUB_FpI32m64	= 2853,
-    X86_SUB_FpI32m80	= 2854,
-    X86_SUB_FrST0	= 2855,
-    X86_SWAPGS	= 2856,
-    X86_SYSCALL	= 2857,
-    X86_SYSENTER	= 2858,
-    X86_SYSEXIT	= 2859,
-    X86_SYSEXIT64	= 2860,
-    X86_SYSRET	= 2861,
-    X86_SYSRET64	= 2862,
-    X86_T1MSKC32rm	= 2863,
-    X86_T1MSKC32rr	= 2864,
-    X86_T1MSKC64rm	= 2865,
-    X86_T1MSKC64rr	= 2866,
-    X86_TAILJMPd	= 2867,
-    X86_TAILJMPd64	= 2868,
-    X86_TAILJMPm	= 2869,
-    X86_TAILJMPm64	= 2870,
-    X86_TAILJMPr	= 2871,
-    X86_TAILJMPr64	= 2872,
-    X86_TCRETURNdi	= 2873,
-    X86_TCRETURNdi64	= 2874,
-    X86_TCRETURNmi	= 2875,
-    X86_TCRETURNmi64	= 2876,
-    X86_TCRETURNri	= 2877,
-    X86_TCRETURNri64	= 2878,
-    X86_TEST16i16	= 2879,
-    X86_TEST16mi	= 2880,
-    X86_TEST16mi_alt	= 2881,
-    X86_TEST16ri	= 2882,
-    X86_TEST16ri_alt	= 2883,
-    X86_TEST16rm	= 2884,
-    X86_TEST16rr	= 2885,
-    X86_TEST32i32	= 2886,
-    X86_TEST32mi	= 2887,
-    X86_TEST32mi_alt	= 2888,
-    X86_TEST32ri	= 2889,
-    X86_TEST32ri_alt	= 2890,
-    X86_TEST32rm	= 2891,
-    X86_TEST32rr	= 2892,
-    X86_TEST64i32	= 2893,
-    X86_TEST64mi32	= 2894,
-    X86_TEST64mi32_alt	= 2895,
-    X86_TEST64ri32	= 2896,
-    X86_TEST64ri32_alt	= 2897,
-    X86_TEST64rm	= 2898,
-    X86_TEST64rr	= 2899,
-    X86_TEST8i8	= 2900,
-    X86_TEST8mi	= 2901,
-    X86_TEST8mi_alt	= 2902,
-    X86_TEST8ri	= 2903,
-    X86_TEST8ri_NOREX	= 2904,
-    X86_TEST8ri_alt	= 2905,
-    X86_TEST8rm	= 2906,
-    X86_TEST8rr	= 2907,
-    X86_TLSCall_32	= 2908,
-    X86_TLSCall_64	= 2909,
-    X86_TLS_addr32	= 2910,
-    X86_TLS_addr64	= 2911,
-    X86_TLS_base_addr32	= 2912,
-    X86_TLS_base_addr64	= 2913,
-    X86_TRAP	= 2914,
-    X86_TST_F	= 2915,
-    X86_TST_Fp32	= 2916,
-    X86_TST_Fp64	= 2917,
-    X86_TST_Fp80	= 2918,
-    X86_TZCNT16rm	= 2919,
-    X86_TZCNT16rr	= 2920,
-    X86_TZCNT32rm	= 2921,
-    X86_TZCNT32rr	= 2922,
-    X86_TZCNT64rm	= 2923,
-    X86_TZCNT64rr	= 2924,
-    X86_TZMSK32rm	= 2925,
-    X86_TZMSK32rr	= 2926,
-    X86_TZMSK64rm	= 2927,
-    X86_TZMSK64rr	= 2928,
-    X86_UCOMISDrm	= 2929,
-    X86_UCOMISDrr	= 2930,
-    X86_UCOMISSrm	= 2931,
-    X86_UCOMISSrr	= 2932,
-    X86_UCOM_FIPr	= 2933,
-    X86_UCOM_FIr	= 2934,
-    X86_UCOM_FPPr	= 2935,
-    X86_UCOM_FPr	= 2936,
-    X86_UCOM_FpIr32	= 2937,
-    X86_UCOM_FpIr64	= 2938,
-    X86_UCOM_FpIr80	= 2939,
-    X86_UCOM_Fpr32	= 2940,
-    X86_UCOM_Fpr64	= 2941,
-    X86_UCOM_Fpr80	= 2942,
-    X86_UCOM_Fr	= 2943,
-    X86_UD2B	= 2944,
-    X86_UNPCKHPDrm	= 2945,
-    X86_UNPCKHPDrr	= 2946,
-    X86_UNPCKHPSrm	= 2947,
-    X86_UNPCKHPSrr	= 2948,
-    X86_UNPCKLPDrm	= 2949,
-    X86_UNPCKLPDrr	= 2950,
-    X86_UNPCKLPSrm	= 2951,
-    X86_UNPCKLPSrr	= 2952,
-    X86_VAARG_64	= 2953,
-    X86_VADDPDYrm	= 2954,
-    X86_VADDPDYrr	= 2955,
-    X86_VADDPDZrm	= 2956,
-    X86_VADDPDZrmb	= 2957,
-    X86_VADDPDZrmbk	= 2958,
-    X86_VADDPDZrmbkz	= 2959,
-    X86_VADDPDZrmk	= 2960,
-    X86_VADDPDZrmkz	= 2961,
-    X86_VADDPDZrr	= 2962,
-    X86_VADDPDZrrk	= 2963,
-    X86_VADDPDZrrkz	= 2964,
-    X86_VADDPDrm	= 2965,
-    X86_VADDPDrr	= 2966,
-    X86_VADDPSYrm	= 2967,
-    X86_VADDPSYrr	= 2968,
-    X86_VADDPSZrm	= 2969,
-    X86_VADDPSZrmb	= 2970,
-    X86_VADDPSZrmbk	= 2971,
-    X86_VADDPSZrmbkz	= 2972,
-    X86_VADDPSZrmk	= 2973,
-    X86_VADDPSZrmkz	= 2974,
-    X86_VADDPSZrr	= 2975,
-    X86_VADDPSZrrk	= 2976,
-    X86_VADDPSZrrkz	= 2977,
-    X86_VADDPSrm	= 2978,
-    X86_VADDPSrr	= 2979,
-    X86_VADDSDZrm	= 2980,
-    X86_VADDSDZrr	= 2981,
-    X86_VADDSDrm	= 2982,
-    X86_VADDSDrm_Int	= 2983,
-    X86_VADDSDrr	= 2984,
-    X86_VADDSDrr_Int	= 2985,
-    X86_VADDSSZrm	= 2986,
-    X86_VADDSSZrr	= 2987,
-    X86_VADDSSrm	= 2988,
-    X86_VADDSSrm_Int	= 2989,
-    X86_VADDSSrr	= 2990,
-    X86_VADDSSrr_Int	= 2991,
-    X86_VADDSUBPDYrm	= 2992,
-    X86_VADDSUBPDYrr	= 2993,
-    X86_VADDSUBPDrm	= 2994,
-    X86_VADDSUBPDrr	= 2995,
-    X86_VADDSUBPSYrm	= 2996,
-    X86_VADDSUBPSYrr	= 2997,
-    X86_VADDSUBPSrm	= 2998,
-    X86_VADDSUBPSrr	= 2999,
-    X86_VAESDECLASTrm	= 3000,
-    X86_VAESDECLASTrr	= 3001,
-    X86_VAESDECrm	= 3002,
-    X86_VAESDECrr	= 3003,
-    X86_VAESENCLASTrm	= 3004,
-    X86_VAESENCLASTrr	= 3005,
-    X86_VAESENCrm	= 3006,
-    X86_VAESENCrr	= 3007,
-    X86_VAESIMCrm	= 3008,
-    X86_VAESIMCrr	= 3009,
-    X86_VAESKEYGENASSIST128rm	= 3010,
-    X86_VAESKEYGENASSIST128rr	= 3011,
-    X86_VALIGNDrmi	= 3012,
-    X86_VALIGNDrri	= 3013,
-    X86_VALIGNDrrik	= 3014,
-    X86_VALIGNDrrikz	= 3015,
-    X86_VALIGNQrmi	= 3016,
-    X86_VALIGNQrri	= 3017,
-    X86_VALIGNQrrik	= 3018,
-    X86_VALIGNQrrikz	= 3019,
-    X86_VANDNPDYrm	= 3020,
-    X86_VANDNPDYrr	= 3021,
-    X86_VANDNPDrm	= 3022,
-    X86_VANDNPDrr	= 3023,
-    X86_VANDNPSYrm	= 3024,
-    X86_VANDNPSYrr	= 3025,
-    X86_VANDNPSrm	= 3026,
-    X86_VANDNPSrr	= 3027,
-    X86_VANDPDYrm	= 3028,
-    X86_VANDPDYrr	= 3029,
-    X86_VANDPDrm	= 3030,
-    X86_VANDPDrr	= 3031,
-    X86_VANDPSYrm	= 3032,
-    X86_VANDPSYrr	= 3033,
-    X86_VANDPSrm	= 3034,
-    X86_VANDPSrr	= 3035,
-    X86_VASTART_SAVE_XMM_REGS	= 3036,
-    X86_VBLENDMPDZrm	= 3037,
-    X86_VBLENDMPDZrr	= 3038,
-    X86_VBLENDMPSZrm	= 3039,
-    X86_VBLENDMPSZrr	= 3040,
-    X86_VBLENDPDYrmi	= 3041,
-    X86_VBLENDPDYrri	= 3042,
-    X86_VBLENDPDrmi	= 3043,
-    X86_VBLENDPDrri	= 3044,
-    X86_VBLENDPSYrmi	= 3045,
-    X86_VBLENDPSYrri	= 3046,
-    X86_VBLENDPSrmi	= 3047,
-    X86_VBLENDPSrri	= 3048,
-    X86_VBLENDVPDYrm	= 3049,
-    X86_VBLENDVPDYrr	= 3050,
-    X86_VBLENDVPDrm	= 3051,
-    X86_VBLENDVPDrr	= 3052,
-    X86_VBLENDVPSYrm	= 3053,
-    X86_VBLENDVPSYrr	= 3054,
-    X86_VBLENDVPSrm	= 3055,
-    X86_VBLENDVPSrr	= 3056,
-    X86_VBROADCASTF128	= 3057,
-    X86_VBROADCASTI128	= 3058,
-    X86_VBROADCASTI32X4krm	= 3059,
-    X86_VBROADCASTI32X4rm	= 3060,
-    X86_VBROADCASTI64X4krm	= 3061,
-    X86_VBROADCASTI64X4rm	= 3062,
-    X86_VBROADCASTSDYrm	= 3063,
-    X86_VBROADCASTSDYrr	= 3064,
-    X86_VBROADCASTSDZrm	= 3065,
-    X86_VBROADCASTSDZrr	= 3066,
-    X86_VBROADCASTSSYrm	= 3067,
-    X86_VBROADCASTSSYrr	= 3068,
-    X86_VBROADCASTSSZrm	= 3069,
-    X86_VBROADCASTSSZrr	= 3070,
-    X86_VBROADCASTSSrm	= 3071,
-    X86_VBROADCASTSSrr	= 3072,
-    X86_VCMPPDYrmi	= 3073,
-    X86_VCMPPDYrmi_alt	= 3074,
-    X86_VCMPPDYrri	= 3075,
-    X86_VCMPPDYrri_alt	= 3076,
-    X86_VCMPPDZrmi	= 3077,
-    X86_VCMPPDZrmi_alt	= 3078,
-    X86_VCMPPDZrri	= 3079,
-    X86_VCMPPDZrri_alt	= 3080,
-    X86_VCMPPDZrrib	= 3081,
-    X86_VCMPPDrmi	= 3082,
-    X86_VCMPPDrmi_alt	= 3083,
-    X86_VCMPPDrri	= 3084,
-    X86_VCMPPDrri_alt	= 3085,
-    X86_VCMPPSYrmi	= 3086,
-    X86_VCMPPSYrmi_alt	= 3087,
-    X86_VCMPPSYrri	= 3088,
-    X86_VCMPPSYrri_alt	= 3089,
-    X86_VCMPPSZrmi	= 3090,
-    X86_VCMPPSZrmi_alt	= 3091,
-    X86_VCMPPSZrri	= 3092,
-    X86_VCMPPSZrri_alt	= 3093,
-    X86_VCMPPSZrrib	= 3094,
-    X86_VCMPPSrmi	= 3095,
-    X86_VCMPPSrmi_alt	= 3096,
-    X86_VCMPPSrri	= 3097,
-    X86_VCMPPSrri_alt	= 3098,
-    X86_VCMPSDZrm	= 3099,
-    X86_VCMPSDZrmi_alt	= 3100,
-    X86_VCMPSDZrr	= 3101,
-    X86_VCMPSDZrri_alt	= 3102,
-    X86_VCMPSDrm	= 3103,
-    X86_VCMPSDrm_alt	= 3104,
-    X86_VCMPSDrr	= 3105,
-    X86_VCMPSDrr_alt	= 3106,
-    X86_VCMPSSZrm	= 3107,
-    X86_VCMPSSZrmi_alt	= 3108,
-    X86_VCMPSSZrr	= 3109,
-    X86_VCMPSSZrri_alt	= 3110,
-    X86_VCMPSSrm	= 3111,
-    X86_VCMPSSrm_alt	= 3112,
-    X86_VCMPSSrr	= 3113,
-    X86_VCMPSSrr_alt	= 3114,
-    X86_VCOMISDZrm	= 3115,
-    X86_VCOMISDZrr	= 3116,
-    X86_VCOMISDrm	= 3117,
-    X86_VCOMISDrr	= 3118,
-    X86_VCOMISSZrm	= 3119,
-    X86_VCOMISSZrr	= 3120,
-    X86_VCOMISSrm	= 3121,
-    X86_VCOMISSrr	= 3122,
-    X86_VCVTDQ2PDYrm	= 3123,
-    X86_VCVTDQ2PDYrr	= 3124,
-    X86_VCVTDQ2PDZrm	= 3125,
-    X86_VCVTDQ2PDZrr	= 3126,
-    X86_VCVTDQ2PDrm	= 3127,
-    X86_VCVTDQ2PDrr	= 3128,
-    X86_VCVTDQ2PSYrm	= 3129,
-    X86_VCVTDQ2PSYrr	= 3130,
-    X86_VCVTDQ2PSZrm	= 3131,
-    X86_VCVTDQ2PSZrr	= 3132,
-    X86_VCVTDQ2PSZrrb	= 3133,
-    X86_VCVTDQ2PSrm	= 3134,
-    X86_VCVTDQ2PSrr	= 3135,
-    X86_VCVTPD2DQXrm	= 3136,
-    X86_VCVTPD2DQYrm	= 3137,
-    X86_VCVTPD2DQYrr	= 3138,
-    X86_VCVTPD2DQZrm	= 3139,
-    X86_VCVTPD2DQZrr	= 3140,
-    X86_VCVTPD2DQZrrb	= 3141,
-    X86_VCVTPD2DQrr	= 3142,
-    X86_VCVTPD2PSXrm	= 3143,
-    X86_VCVTPD2PSYrm	= 3144,
-    X86_VCVTPD2PSYrr	= 3145,
-    X86_VCVTPD2PSZrm	= 3146,
-    X86_VCVTPD2PSZrr	= 3147,
-    X86_VCVTPD2PSZrrb	= 3148,
-    X86_VCVTPD2PSrr	= 3149,
-    X86_VCVTPD2UDQZrm	= 3150,
-    X86_VCVTPD2UDQZrr	= 3151,
-    X86_VCVTPD2UDQZrrb	= 3152,
-    X86_VCVTPH2PSYrm	= 3153,
-    X86_VCVTPH2PSYrr	= 3154,
-    X86_VCVTPH2PSZrm	= 3155,
-    X86_VCVTPH2PSZrr	= 3156,
-    X86_VCVTPH2PSrm	= 3157,
-    X86_VCVTPH2PSrr	= 3158,
-    X86_VCVTPS2DQYrm	= 3159,
-    X86_VCVTPS2DQYrr	= 3160,
-    X86_VCVTPS2DQZrm	= 3161,
-    X86_VCVTPS2DQZrr	= 3162,
-    X86_VCVTPS2DQZrrb	= 3163,
-    X86_VCVTPS2DQrm	= 3164,
-    X86_VCVTPS2DQrr	= 3165,
-    X86_VCVTPS2PDYrm	= 3166,
-    X86_VCVTPS2PDYrr	= 3167,
-    X86_VCVTPS2PDZrm	= 3168,
-    X86_VCVTPS2PDZrr	= 3169,
-    X86_VCVTPS2PDrm	= 3170,
-    X86_VCVTPS2PDrr	= 3171,
-    X86_VCVTPS2PHYmr	= 3172,
-    X86_VCVTPS2PHYrr	= 3173,
-    X86_VCVTPS2PHZmr	= 3174,
-    X86_VCVTPS2PHZrr	= 3175,
-    X86_VCVTPS2PHmr	= 3176,
-    X86_VCVTPS2PHrr	= 3177,
-    X86_VCVTPS2UDQZrm	= 3178,
-    X86_VCVTPS2UDQZrr	= 3179,
-    X86_VCVTPS2UDQZrrb	= 3180,
-    X86_VCVTSD2SI64Zrm	= 3181,
-    X86_VCVTSD2SI64Zrr	= 3182,
-    X86_VCVTSD2SI64rm	= 3183,
-    X86_VCVTSD2SI64rr	= 3184,
-    X86_VCVTSD2SIZrm	= 3185,
-    X86_VCVTSD2SIZrr	= 3186,
-    X86_VCVTSD2SIrm	= 3187,
-    X86_VCVTSD2SIrr	= 3188,
-    X86_VCVTSD2SSZrm	= 3189,
-    X86_VCVTSD2SSZrr	= 3190,
-    X86_VCVTSD2SSrm	= 3191,
-    X86_VCVTSD2SSrr	= 3192,
-    X86_VCVTSD2USI64Zrm	= 3193,
-    X86_VCVTSD2USI64Zrr	= 3194,
-    X86_VCVTSD2USIZrm	= 3195,
-    X86_VCVTSD2USIZrr	= 3196,
-    X86_VCVTSI2SD64rm	= 3197,
-    X86_VCVTSI2SD64rr	= 3198,
-    X86_VCVTSI2SDZrm	= 3199,
-    X86_VCVTSI2SDZrr	= 3200,
-    X86_VCVTSI2SDrm	= 3201,
-    X86_VCVTSI2SDrr	= 3202,
-    X86_VCVTSI2SS64rm	= 3203,
-    X86_VCVTSI2SS64rr	= 3204,
-    X86_VCVTSI2SSZrm	= 3205,
-    X86_VCVTSI2SSZrr	= 3206,
-    X86_VCVTSI2SSrm	= 3207,
-    X86_VCVTSI2SSrr	= 3208,
-    X86_VCVTSI642SDZrm	= 3209,
-    X86_VCVTSI642SDZrr	= 3210,
-    X86_VCVTSI642SSZrm	= 3211,
-    X86_VCVTSI642SSZrr	= 3212,
-    X86_VCVTSS2SDZrm	= 3213,
-    X86_VCVTSS2SDZrr	= 3214,
-    X86_VCVTSS2SDrm	= 3215,
-    X86_VCVTSS2SDrr	= 3216,
-    X86_VCVTSS2SI64Zrm	= 3217,
-    X86_VCVTSS2SI64Zrr	= 3218,
-    X86_VCVTSS2SI64rm	= 3219,
-    X86_VCVTSS2SI64rr	= 3220,
-    X86_VCVTSS2SIZrm	= 3221,
-    X86_VCVTSS2SIZrr	= 3222,
-    X86_VCVTSS2SIrm	= 3223,
-    X86_VCVTSS2SIrr	= 3224,
-    X86_VCVTSS2USI64Zrm	= 3225,
-    X86_VCVTSS2USI64Zrr	= 3226,
-    X86_VCVTSS2USIZrm	= 3227,
-    X86_VCVTSS2USIZrr	= 3228,
-    X86_VCVTTPD2DQXrm	= 3229,
-    X86_VCVTTPD2DQYrm	= 3230,
-    X86_VCVTTPD2DQYrr	= 3231,
-    X86_VCVTTPD2DQZrm	= 3232,
-    X86_VCVTTPD2DQZrr	= 3233,
-    X86_VCVTTPD2DQrr	= 3234,
-    X86_VCVTTPD2UDQZrm	= 3235,
-    X86_VCVTTPD2UDQZrr	= 3236,
-    X86_VCVTTPS2DQYrm	= 3237,
-    X86_VCVTTPS2DQYrr	= 3238,
-    X86_VCVTTPS2DQZrm	= 3239,
-    X86_VCVTTPS2DQZrr	= 3240,
-    X86_VCVTTPS2DQrm	= 3241,
-    X86_VCVTTPS2DQrr	= 3242,
-    X86_VCVTTPS2UDQZrm	= 3243,
-    X86_VCVTTPS2UDQZrr	= 3244,
-    X86_VCVTTSD2SI64Zrm	= 3245,
-    X86_VCVTTSD2SI64Zrr	= 3246,
-    X86_VCVTTSD2SI64rm	= 3247,
-    X86_VCVTTSD2SI64rr	= 3248,
-    X86_VCVTTSD2SIZrm	= 3249,
-    X86_VCVTTSD2SIZrr	= 3250,
-    X86_VCVTTSD2SIrm	= 3251,
-    X86_VCVTTSD2SIrr	= 3252,
-    X86_VCVTTSD2USI64Zrm	= 3253,
-    X86_VCVTTSD2USI64Zrr	= 3254,
-    X86_VCVTTSD2USIZrm	= 3255,
-    X86_VCVTTSD2USIZrr	= 3256,
-    X86_VCVTTSS2SI64Zrm	= 3257,
-    X86_VCVTTSS2SI64Zrr	= 3258,
-    X86_VCVTTSS2SI64rm	= 3259,
-    X86_VCVTTSS2SI64rr	= 3260,
-    X86_VCVTTSS2SIZrm	= 3261,
-    X86_VCVTTSS2SIZrr	= 3262,
-    X86_VCVTTSS2SIrm	= 3263,
-    X86_VCVTTSS2SIrr	= 3264,
-    X86_VCVTTSS2USI64Zrm	= 3265,
-    X86_VCVTTSS2USI64Zrr	= 3266,
-    X86_VCVTTSS2USIZrm	= 3267,
-    X86_VCVTTSS2USIZrr	= 3268,
-    X86_VCVTUDQ2PDZrm	= 3269,
-    X86_VCVTUDQ2PDZrr	= 3270,
-    X86_VCVTUDQ2PSZrm	= 3271,
-    X86_VCVTUDQ2PSZrr	= 3272,
-    X86_VCVTUDQ2PSZrrb	= 3273,
-    X86_VCVTUSI2SDZrm	= 3274,
-    X86_VCVTUSI2SDZrr	= 3275,
-    X86_VCVTUSI2SSZrm	= 3276,
-    X86_VCVTUSI2SSZrr	= 3277,
-    X86_VCVTUSI642SDZrm	= 3278,
-    X86_VCVTUSI642SDZrr	= 3279,
-    X86_VCVTUSI642SSZrm	= 3280,
-    X86_VCVTUSI642SSZrr	= 3281,
-    X86_VDIVPDYrm	= 3282,
-    X86_VDIVPDYrr	= 3283,
-    X86_VDIVPDZrm	= 3284,
-    X86_VDIVPDZrmb	= 3285,
-    X86_VDIVPDZrmbk	= 3286,
-    X86_VDIVPDZrmbkz	= 3287,
-    X86_VDIVPDZrmk	= 3288,
-    X86_VDIVPDZrmkz	= 3289,
-    X86_VDIVPDZrr	= 3290,
-    X86_VDIVPDZrrk	= 3291,
-    X86_VDIVPDZrrkz	= 3292,
-    X86_VDIVPDrm	= 3293,
-    X86_VDIVPDrr	= 3294,
-    X86_VDIVPSYrm	= 3295,
-    X86_VDIVPSYrr	= 3296,
-    X86_VDIVPSZrm	= 3297,
-    X86_VDIVPSZrmb	= 3298,
-    X86_VDIVPSZrmbk	= 3299,
-    X86_VDIVPSZrmbkz	= 3300,
-    X86_VDIVPSZrmk	= 3301,
-    X86_VDIVPSZrmkz	= 3302,
-    X86_VDIVPSZrr	= 3303,
-    X86_VDIVPSZrrk	= 3304,
-    X86_VDIVPSZrrkz	= 3305,
-    X86_VDIVPSrm	= 3306,
-    X86_VDIVPSrr	= 3307,
-    X86_VDIVSDZrm	= 3308,
-    X86_VDIVSDZrr	= 3309,
-    X86_VDIVSDrm	= 3310,
-    X86_VDIVSDrm_Int	= 3311,
-    X86_VDIVSDrr	= 3312,
-    X86_VDIVSDrr_Int	= 3313,
-    X86_VDIVSSZrm	= 3314,
-    X86_VDIVSSZrr	= 3315,
-    X86_VDIVSSrm	= 3316,
-    X86_VDIVSSrm_Int	= 3317,
-    X86_VDIVSSrr	= 3318,
-    X86_VDIVSSrr_Int	= 3319,
-    X86_VDPPDrmi	= 3320,
-    X86_VDPPDrri	= 3321,
-    X86_VDPPSYrmi	= 3322,
-    X86_VDPPSYrri	= 3323,
-    X86_VDPPSrmi	= 3324,
-    X86_VDPPSrri	= 3325,
-    X86_VERRm	= 3326,
-    X86_VERRr	= 3327,
-    X86_VERWm	= 3328,
-    X86_VERWr	= 3329,
-    X86_VEXTRACTF128mr	= 3330,
-    X86_VEXTRACTF128rr	= 3331,
-    X86_VEXTRACTF32x4mr	= 3332,
-    X86_VEXTRACTF32x4rr	= 3333,
-    X86_VEXTRACTF64x4mr	= 3334,
-    X86_VEXTRACTF64x4rr	= 3335,
-    X86_VEXTRACTI128mr	= 3336,
-    X86_VEXTRACTI128rr	= 3337,
-    X86_VEXTRACTI32x4mr	= 3338,
-    X86_VEXTRACTI32x4rr	= 3339,
-    X86_VEXTRACTI64x4mr	= 3340,
-    X86_VEXTRACTI64x4rr	= 3341,
-    X86_VEXTRACTPSmr	= 3342,
-    X86_VEXTRACTPSrr	= 3343,
-    X86_VEXTRACTPSzmr	= 3344,
-    X86_VEXTRACTPSzrr	= 3345,
-    X86_VFMADD132PDZm	= 3346,
-    X86_VFMADD132PDZmb	= 3347,
-    X86_VFMADD132PSZm	= 3348,
-    X86_VFMADD132PSZmb	= 3349,
-    X86_VFMADD213PDZm	= 3350,
-    X86_VFMADD213PDZmb	= 3351,
-    X86_VFMADD213PDZr	= 3352,
-    X86_VFMADD213PDZrk	= 3353,
-    X86_VFMADD213PDZrkz	= 3354,
-    X86_VFMADD213PSZm	= 3355,
-    X86_VFMADD213PSZmb	= 3356,
-    X86_VFMADD213PSZr	= 3357,
-    X86_VFMADD213PSZrk	= 3358,
-    X86_VFMADD213PSZrkz	= 3359,
-    X86_VFMADDPD4mr	= 3360,
-    X86_VFMADDPD4mrY	= 3361,
-    X86_VFMADDPD4rm	= 3362,
-    X86_VFMADDPD4rmY	= 3363,
-    X86_VFMADDPD4rr	= 3364,
-    X86_VFMADDPD4rrY	= 3365,
-    X86_VFMADDPD4rrY_REV	= 3366,
-    X86_VFMADDPD4rr_REV	= 3367,
-    X86_VFMADDPDr132m	= 3368,
-    X86_VFMADDPDr132mY	= 3369,
-    X86_VFMADDPDr132r	= 3370,
-    X86_VFMADDPDr132rY	= 3371,
-    X86_VFMADDPDr213m	= 3372,
-    X86_VFMADDPDr213mY	= 3373,
-    X86_VFMADDPDr213r	= 3374,
-    X86_VFMADDPDr213rY	= 3375,
-    X86_VFMADDPDr231m	= 3376,
-    X86_VFMADDPDr231mY	= 3377,
-    X86_VFMADDPDr231r	= 3378,
-    X86_VFMADDPDr231rY	= 3379,
-    X86_VFMADDPS4mr	= 3380,
-    X86_VFMADDPS4mrY	= 3381,
-    X86_VFMADDPS4rm	= 3382,
-    X86_VFMADDPS4rmY	= 3383,
-    X86_VFMADDPS4rr	= 3384,
-    X86_VFMADDPS4rrY	= 3385,
-    X86_VFMADDPS4rrY_REV	= 3386,
-    X86_VFMADDPS4rr_REV	= 3387,
-    X86_VFMADDPSr132m	= 3388,
-    X86_VFMADDPSr132mY	= 3389,
-    X86_VFMADDPSr132r	= 3390,
-    X86_VFMADDPSr132rY	= 3391,
-    X86_VFMADDPSr213m	= 3392,
-    X86_VFMADDPSr213mY	= 3393,
-    X86_VFMADDPSr213r	= 3394,
-    X86_VFMADDPSr213rY	= 3395,
-    X86_VFMADDPSr231m	= 3396,
-    X86_VFMADDPSr231mY	= 3397,
-    X86_VFMADDPSr231r	= 3398,
-    X86_VFMADDPSr231rY	= 3399,
-    X86_VFMADDSD4mr	= 3400,
-    X86_VFMADDSD4mr_Int	= 3401,
-    X86_VFMADDSD4rm	= 3402,
-    X86_VFMADDSD4rm_Int	= 3403,
-    X86_VFMADDSD4rr	= 3404,
-    X86_VFMADDSD4rr_Int	= 3405,
-    X86_VFMADDSD4rr_REV	= 3406,
-    X86_VFMADDSDZm	= 3407,
-    X86_VFMADDSDZr	= 3408,
-    X86_VFMADDSDr132m	= 3409,
-    X86_VFMADDSDr132r	= 3410,
-    X86_VFMADDSDr213m	= 3411,
-    X86_VFMADDSDr213r	= 3412,
-    X86_VFMADDSDr231m	= 3413,
-    X86_VFMADDSDr231r	= 3414,
-    X86_VFMADDSS4mr	= 3415,
-    X86_VFMADDSS4mr_Int	= 3416,
-    X86_VFMADDSS4rm	= 3417,
-    X86_VFMADDSS4rm_Int	= 3418,
-    X86_VFMADDSS4rr	= 3419,
-    X86_VFMADDSS4rr_Int	= 3420,
-    X86_VFMADDSS4rr_REV	= 3421,
-    X86_VFMADDSSZm	= 3422,
-    X86_VFMADDSSZr	= 3423,
-    X86_VFMADDSSr132m	= 3424,
-    X86_VFMADDSSr132r	= 3425,
-    X86_VFMADDSSr213m	= 3426,
-    X86_VFMADDSSr213r	= 3427,
-    X86_VFMADDSSr231m	= 3428,
-    X86_VFMADDSSr231r	= 3429,
-    X86_VFMADDSUB132PDZm	= 3430,
-    X86_VFMADDSUB132PDZmb	= 3431,
-    X86_VFMADDSUB132PSZm	= 3432,
-    X86_VFMADDSUB132PSZmb	= 3433,
-    X86_VFMADDSUB213PDZm	= 3434,
-    X86_VFMADDSUB213PDZmb	= 3435,
-    X86_VFMADDSUB213PDZr	= 3436,
-    X86_VFMADDSUB213PDZrk	= 3437,
-    X86_VFMADDSUB213PDZrkz	= 3438,
-    X86_VFMADDSUB213PSZm	= 3439,
-    X86_VFMADDSUB213PSZmb	= 3440,
-    X86_VFMADDSUB213PSZr	= 3441,
-    X86_VFMADDSUB213PSZrk	= 3442,
-    X86_VFMADDSUB213PSZrkz	= 3443,
-    X86_VFMADDSUBPD4mr	= 3444,
-    X86_VFMADDSUBPD4mrY	= 3445,
-    X86_VFMADDSUBPD4rm	= 3446,
-    X86_VFMADDSUBPD4rmY	= 3447,
-    X86_VFMADDSUBPD4rr	= 3448,
-    X86_VFMADDSUBPD4rrY	= 3449,
-    X86_VFMADDSUBPD4rrY_REV	= 3450,
-    X86_VFMADDSUBPD4rr_REV	= 3451,
-    X86_VFMADDSUBPDr132m	= 3452,
-    X86_VFMADDSUBPDr132mY	= 3453,
-    X86_VFMADDSUBPDr132r	= 3454,
-    X86_VFMADDSUBPDr132rY	= 3455,
-    X86_VFMADDSUBPDr213m	= 3456,
-    X86_VFMADDSUBPDr213mY	= 3457,
-    X86_VFMADDSUBPDr213r	= 3458,
-    X86_VFMADDSUBPDr213rY	= 3459,
-    X86_VFMADDSUBPDr231m	= 3460,
-    X86_VFMADDSUBPDr231mY	= 3461,
-    X86_VFMADDSUBPDr231r	= 3462,
-    X86_VFMADDSUBPDr231rY	= 3463,
-    X86_VFMADDSUBPS4mr	= 3464,
-    X86_VFMADDSUBPS4mrY	= 3465,
-    X86_VFMADDSUBPS4rm	= 3466,
-    X86_VFMADDSUBPS4rmY	= 3467,
-    X86_VFMADDSUBPS4rr	= 3468,
-    X86_VFMADDSUBPS4rrY	= 3469,
-    X86_VFMADDSUBPS4rrY_REV	= 3470,
-    X86_VFMADDSUBPS4rr_REV	= 3471,
-    X86_VFMADDSUBPSr132m	= 3472,
-    X86_VFMADDSUBPSr132mY	= 3473,
-    X86_VFMADDSUBPSr132r	= 3474,
-    X86_VFMADDSUBPSr132rY	= 3475,
-    X86_VFMADDSUBPSr213m	= 3476,
-    X86_VFMADDSUBPSr213mY	= 3477,
-    X86_VFMADDSUBPSr213r	= 3478,
-    X86_VFMADDSUBPSr213rY	= 3479,
-    X86_VFMADDSUBPSr231m	= 3480,
-    X86_VFMADDSUBPSr231mY	= 3481,
-    X86_VFMADDSUBPSr231r	= 3482,
-    X86_VFMADDSUBPSr231rY	= 3483,
-    X86_VFMSUB132PDZm	= 3484,
-    X86_VFMSUB132PDZmb	= 3485,
-    X86_VFMSUB132PSZm	= 3486,
-    X86_VFMSUB132PSZmb	= 3487,
-    X86_VFMSUB213PDZm	= 3488,
-    X86_VFMSUB213PDZmb	= 3489,
-    X86_VFMSUB213PDZr	= 3490,
-    X86_VFMSUB213PDZrk	= 3491,
-    X86_VFMSUB213PDZrkz	= 3492,
-    X86_VFMSUB213PSZm	= 3493,
-    X86_VFMSUB213PSZmb	= 3494,
-    X86_VFMSUB213PSZr	= 3495,
-    X86_VFMSUB213PSZrk	= 3496,
-    X86_VFMSUB213PSZrkz	= 3497,
-    X86_VFMSUBADD132PDZm	= 3498,
-    X86_VFMSUBADD132PDZmb	= 3499,
-    X86_VFMSUBADD132PSZm	= 3500,
-    X86_VFMSUBADD132PSZmb	= 3501,
-    X86_VFMSUBADD213PDZm	= 3502,
-    X86_VFMSUBADD213PDZmb	= 3503,
-    X86_VFMSUBADD213PDZr	= 3504,
-    X86_VFMSUBADD213PDZrk	= 3505,
-    X86_VFMSUBADD213PDZrkz	= 3506,
-    X86_VFMSUBADD213PSZm	= 3507,
-    X86_VFMSUBADD213PSZmb	= 3508,
-    X86_VFMSUBADD213PSZr	= 3509,
-    X86_VFMSUBADD213PSZrk	= 3510,
-    X86_VFMSUBADD213PSZrkz	= 3511,
-    X86_VFMSUBADDPD4mr	= 3512,
-    X86_VFMSUBADDPD4mrY	= 3513,
-    X86_VFMSUBADDPD4rm	= 3514,
-    X86_VFMSUBADDPD4rmY	= 3515,
-    X86_VFMSUBADDPD4rr	= 3516,
-    X86_VFMSUBADDPD4rrY	= 3517,
-    X86_VFMSUBADDPD4rrY_REV	= 3518,
-    X86_VFMSUBADDPD4rr_REV	= 3519,
-    X86_VFMSUBADDPDr132m	= 3520,
-    X86_VFMSUBADDPDr132mY	= 3521,
-    X86_VFMSUBADDPDr132r	= 3522,
-    X86_VFMSUBADDPDr132rY	= 3523,
-    X86_VFMSUBADDPDr213m	= 3524,
-    X86_VFMSUBADDPDr213mY	= 3525,
-    X86_VFMSUBADDPDr213r	= 3526,
-    X86_VFMSUBADDPDr213rY	= 3527,
-    X86_VFMSUBADDPDr231m	= 3528,
-    X86_VFMSUBADDPDr231mY	= 3529,
-    X86_VFMSUBADDPDr231r	= 3530,
-    X86_VFMSUBADDPDr231rY	= 3531,
-    X86_VFMSUBADDPS4mr	= 3532,
-    X86_VFMSUBADDPS4mrY	= 3533,
-    X86_VFMSUBADDPS4rm	= 3534,
-    X86_VFMSUBADDPS4rmY	= 3535,
-    X86_VFMSUBADDPS4rr	= 3536,
-    X86_VFMSUBADDPS4rrY	= 3537,
-    X86_VFMSUBADDPS4rrY_REV	= 3538,
-    X86_VFMSUBADDPS4rr_REV	= 3539,
-    X86_VFMSUBADDPSr132m	= 3540,
-    X86_VFMSUBADDPSr132mY	= 3541,
-    X86_VFMSUBADDPSr132r	= 3542,
-    X86_VFMSUBADDPSr132rY	= 3543,
-    X86_VFMSUBADDPSr213m	= 3544,
-    X86_VFMSUBADDPSr213mY	= 3545,
-    X86_VFMSUBADDPSr213r	= 3546,
-    X86_VFMSUBADDPSr213rY	= 3547,
-    X86_VFMSUBADDPSr231m	= 3548,
-    X86_VFMSUBADDPSr231mY	= 3549,
-    X86_VFMSUBADDPSr231r	= 3550,
-    X86_VFMSUBADDPSr231rY	= 3551,
-    X86_VFMSUBPD4mr	= 3552,
-    X86_VFMSUBPD4mrY	= 3553,
-    X86_VFMSUBPD4rm	= 3554,
-    X86_VFMSUBPD4rmY	= 3555,
-    X86_VFMSUBPD4rr	= 3556,
-    X86_VFMSUBPD4rrY	= 3557,
-    X86_VFMSUBPD4rrY_REV	= 3558,
-    X86_VFMSUBPD4rr_REV	= 3559,
-    X86_VFMSUBPDr132m	= 3560,
-    X86_VFMSUBPDr132mY	= 3561,
-    X86_VFMSUBPDr132r	= 3562,
-    X86_VFMSUBPDr132rY	= 3563,
-    X86_VFMSUBPDr213m	= 3564,
-    X86_VFMSUBPDr213mY	= 3565,
-    X86_VFMSUBPDr213r	= 3566,
-    X86_VFMSUBPDr213rY	= 3567,
-    X86_VFMSUBPDr231m	= 3568,
-    X86_VFMSUBPDr231mY	= 3569,
-    X86_VFMSUBPDr231r	= 3570,
-    X86_VFMSUBPDr231rY	= 3571,
-    X86_VFMSUBPS4mr	= 3572,
-    X86_VFMSUBPS4mrY	= 3573,
-    X86_VFMSUBPS4rm	= 3574,
-    X86_VFMSUBPS4rmY	= 3575,
-    X86_VFMSUBPS4rr	= 3576,
-    X86_VFMSUBPS4rrY	= 3577,
-    X86_VFMSUBPS4rrY_REV	= 3578,
-    X86_VFMSUBPS4rr_REV	= 3579,
-    X86_VFMSUBPSr132m	= 3580,
-    X86_VFMSUBPSr132mY	= 3581,
-    X86_VFMSUBPSr132r	= 3582,
-    X86_VFMSUBPSr132rY	= 3583,
-    X86_VFMSUBPSr213m	= 3584,
-    X86_VFMSUBPSr213mY	= 3585,
-    X86_VFMSUBPSr213r	= 3586,
-    X86_VFMSUBPSr213rY	= 3587,
-    X86_VFMSUBPSr231m	= 3588,
-    X86_VFMSUBPSr231mY	= 3589,
-    X86_VFMSUBPSr231r	= 3590,
-    X86_VFMSUBPSr231rY	= 3591,
-    X86_VFMSUBSD4mr	= 3592,
-    X86_VFMSUBSD4mr_Int	= 3593,
-    X86_VFMSUBSD4rm	= 3594,
-    X86_VFMSUBSD4rm_Int	= 3595,
-    X86_VFMSUBSD4rr	= 3596,
-    X86_VFMSUBSD4rr_Int	= 3597,
-    X86_VFMSUBSD4rr_REV	= 3598,
-    X86_VFMSUBSDZm	= 3599,
-    X86_VFMSUBSDZr	= 3600,
-    X86_VFMSUBSDr132m	= 3601,
-    X86_VFMSUBSDr132r	= 3602,
-    X86_VFMSUBSDr213m	= 3603,
-    X86_VFMSUBSDr213r	= 3604,
-    X86_VFMSUBSDr231m	= 3605,
-    X86_VFMSUBSDr231r	= 3606,
-    X86_VFMSUBSS4mr	= 3607,
-    X86_VFMSUBSS4mr_Int	= 3608,
-    X86_VFMSUBSS4rm	= 3609,
-    X86_VFMSUBSS4rm_Int	= 3610,
-    X86_VFMSUBSS4rr	= 3611,
-    X86_VFMSUBSS4rr_Int	= 3612,
-    X86_VFMSUBSS4rr_REV	= 3613,
-    X86_VFMSUBSSZm	= 3614,
-    X86_VFMSUBSSZr	= 3615,
-    X86_VFMSUBSSr132m	= 3616,
-    X86_VFMSUBSSr132r	= 3617,
-    X86_VFMSUBSSr213m	= 3618,
-    X86_VFMSUBSSr213r	= 3619,
-    X86_VFMSUBSSr231m	= 3620,
-    X86_VFMSUBSSr231r	= 3621,
-    X86_VFNMADD132PDZm	= 3622,
-    X86_VFNMADD132PDZmb	= 3623,
-    X86_VFNMADD132PSZm	= 3624,
-    X86_VFNMADD132PSZmb	= 3625,
-    X86_VFNMADD213PDZm	= 3626,
-    X86_VFNMADD213PDZmb	= 3627,
-    X86_VFNMADD213PDZr	= 3628,
-    X86_VFNMADD213PDZrk	= 3629,
-    X86_VFNMADD213PDZrkz	= 3630,
-    X86_VFNMADD213PSZm	= 3631,
-    X86_VFNMADD213PSZmb	= 3632,
-    X86_VFNMADD213PSZr	= 3633,
-    X86_VFNMADD213PSZrk	= 3634,
-    X86_VFNMADD213PSZrkz	= 3635,
-    X86_VFNMADDPD4mr	= 3636,
-    X86_VFNMADDPD4mrY	= 3637,
-    X86_VFNMADDPD4rm	= 3638,
-    X86_VFNMADDPD4rmY	= 3639,
-    X86_VFNMADDPD4rr	= 3640,
-    X86_VFNMADDPD4rrY	= 3641,
-    X86_VFNMADDPD4rrY_REV	= 3642,
-    X86_VFNMADDPD4rr_REV	= 3643,
-    X86_VFNMADDPDr132m	= 3644,
-    X86_VFNMADDPDr132mY	= 3645,
-    X86_VFNMADDPDr132r	= 3646,
-    X86_VFNMADDPDr132rY	= 3647,
-    X86_VFNMADDPDr213m	= 3648,
-    X86_VFNMADDPDr213mY	= 3649,
-    X86_VFNMADDPDr213r	= 3650,
-    X86_VFNMADDPDr213rY	= 3651,
-    X86_VFNMADDPDr231m	= 3652,
-    X86_VFNMADDPDr231mY	= 3653,
-    X86_VFNMADDPDr231r	= 3654,
-    X86_VFNMADDPDr231rY	= 3655,
-    X86_VFNMADDPS4mr	= 3656,
-    X86_VFNMADDPS4mrY	= 3657,
-    X86_VFNMADDPS4rm	= 3658,
-    X86_VFNMADDPS4rmY	= 3659,
-    X86_VFNMADDPS4rr	= 3660,
-    X86_VFNMADDPS4rrY	= 3661,
-    X86_VFNMADDPS4rrY_REV	= 3662,
-    X86_VFNMADDPS4rr_REV	= 3663,
-    X86_VFNMADDPSr132m	= 3664,
-    X86_VFNMADDPSr132mY	= 3665,
-    X86_VFNMADDPSr132r	= 3666,
-    X86_VFNMADDPSr132rY	= 3667,
-    X86_VFNMADDPSr213m	= 3668,
-    X86_VFNMADDPSr213mY	= 3669,
-    X86_VFNMADDPSr213r	= 3670,
-    X86_VFNMADDPSr213rY	= 3671,
-    X86_VFNMADDPSr231m	= 3672,
-    X86_VFNMADDPSr231mY	= 3673,
-    X86_VFNMADDPSr231r	= 3674,
-    X86_VFNMADDPSr231rY	= 3675,
-    X86_VFNMADDSD4mr	= 3676,
-    X86_VFNMADDSD4mr_Int	= 3677,
-    X86_VFNMADDSD4rm	= 3678,
-    X86_VFNMADDSD4rm_Int	= 3679,
-    X86_VFNMADDSD4rr	= 3680,
-    X86_VFNMADDSD4rr_Int	= 3681,
-    X86_VFNMADDSD4rr_REV	= 3682,
-    X86_VFNMADDSDZm	= 3683,
-    X86_VFNMADDSDZr	= 3684,
-    X86_VFNMADDSDr132m	= 3685,
-    X86_VFNMADDSDr132r	= 3686,
-    X86_VFNMADDSDr213m	= 3687,
-    X86_VFNMADDSDr213r	= 3688,
-    X86_VFNMADDSDr231m	= 3689,
-    X86_VFNMADDSDr231r	= 3690,
-    X86_VFNMADDSS4mr	= 3691,
-    X86_VFNMADDSS4mr_Int	= 3692,
-    X86_VFNMADDSS4rm	= 3693,
-    X86_VFNMADDSS4rm_Int	= 3694,
-    X86_VFNMADDSS4rr	= 3695,
-    X86_VFNMADDSS4rr_Int	= 3696,
-    X86_VFNMADDSS4rr_REV	= 3697,
-    X86_VFNMADDSSZm	= 3698,
-    X86_VFNMADDSSZr	= 3699,
-    X86_VFNMADDSSr132m	= 3700,
-    X86_VFNMADDSSr132r	= 3701,
-    X86_VFNMADDSSr213m	= 3702,
-    X86_VFNMADDSSr213r	= 3703,
-    X86_VFNMADDSSr231m	= 3704,
-    X86_VFNMADDSSr231r	= 3705,
-    X86_VFNMSUB132PDZm	= 3706,
-    X86_VFNMSUB132PDZmb	= 3707,
-    X86_VFNMSUB132PSZm	= 3708,
-    X86_VFNMSUB132PSZmb	= 3709,
-    X86_VFNMSUB213PDZm	= 3710,
-    X86_VFNMSUB213PDZmb	= 3711,
-    X86_VFNMSUB213PDZr	= 3712,
-    X86_VFNMSUB213PDZrk	= 3713,
-    X86_VFNMSUB213PDZrkz	= 3714,
-    X86_VFNMSUB213PSZm	= 3715,
-    X86_VFNMSUB213PSZmb	= 3716,
-    X86_VFNMSUB213PSZr	= 3717,
-    X86_VFNMSUB213PSZrk	= 3718,
-    X86_VFNMSUB213PSZrkz	= 3719,
-    X86_VFNMSUBPD4mr	= 3720,
-    X86_VFNMSUBPD4mrY	= 3721,
-    X86_VFNMSUBPD4rm	= 3722,
-    X86_VFNMSUBPD4rmY	= 3723,
-    X86_VFNMSUBPD4rr	= 3724,
-    X86_VFNMSUBPD4rrY	= 3725,
-    X86_VFNMSUBPD4rrY_REV	= 3726,
-    X86_VFNMSUBPD4rr_REV	= 3727,
-    X86_VFNMSUBPDr132m	= 3728,
-    X86_VFNMSUBPDr132mY	= 3729,
-    X86_VFNMSUBPDr132r	= 3730,
-    X86_VFNMSUBPDr132rY	= 3731,
-    X86_VFNMSUBPDr213m	= 3732,
-    X86_VFNMSUBPDr213mY	= 3733,
-    X86_VFNMSUBPDr213r	= 3734,
-    X86_VFNMSUBPDr213rY	= 3735,
-    X86_VFNMSUBPDr231m	= 3736,
-    X86_VFNMSUBPDr231mY	= 3737,
-    X86_VFNMSUBPDr231r	= 3738,
-    X86_VFNMSUBPDr231rY	= 3739,
-    X86_VFNMSUBPS4mr	= 3740,
-    X86_VFNMSUBPS4mrY	= 3741,
-    X86_VFNMSUBPS4rm	= 3742,
-    X86_VFNMSUBPS4rmY	= 3743,
-    X86_VFNMSUBPS4rr	= 3744,
-    X86_VFNMSUBPS4rrY	= 3745,
-    X86_VFNMSUBPS4rrY_REV	= 3746,
-    X86_VFNMSUBPS4rr_REV	= 3747,
-    X86_VFNMSUBPSr132m	= 3748,
-    X86_VFNMSUBPSr132mY	= 3749,
-    X86_VFNMSUBPSr132r	= 3750,
-    X86_VFNMSUBPSr132rY	= 3751,
-    X86_VFNMSUBPSr213m	= 3752,
-    X86_VFNMSUBPSr213mY	= 3753,
-    X86_VFNMSUBPSr213r	= 3754,
-    X86_VFNMSUBPSr213rY	= 3755,
-    X86_VFNMSUBPSr231m	= 3756,
-    X86_VFNMSUBPSr231mY	= 3757,
-    X86_VFNMSUBPSr231r	= 3758,
-    X86_VFNMSUBPSr231rY	= 3759,
-    X86_VFNMSUBSD4mr	= 3760,
-    X86_VFNMSUBSD4mr_Int	= 3761,
-    X86_VFNMSUBSD4rm	= 3762,
-    X86_VFNMSUBSD4rm_Int	= 3763,
-    X86_VFNMSUBSD4rr	= 3764,
-    X86_VFNMSUBSD4rr_Int	= 3765,
-    X86_VFNMSUBSD4rr_REV	= 3766,
-    X86_VFNMSUBSDZm	= 3767,
-    X86_VFNMSUBSDZr	= 3768,
-    X86_VFNMSUBSDr132m	= 3769,
-    X86_VFNMSUBSDr132r	= 3770,
-    X86_VFNMSUBSDr213m	= 3771,
-    X86_VFNMSUBSDr213r	= 3772,
-    X86_VFNMSUBSDr231m	= 3773,
-    X86_VFNMSUBSDr231r	= 3774,
-    X86_VFNMSUBSS4mr	= 3775,
-    X86_VFNMSUBSS4mr_Int	= 3776,
-    X86_VFNMSUBSS4rm	= 3777,
-    X86_VFNMSUBSS4rm_Int	= 3778,
-    X86_VFNMSUBSS4rr	= 3779,
-    X86_VFNMSUBSS4rr_Int	= 3780,
-    X86_VFNMSUBSS4rr_REV	= 3781,
-    X86_VFNMSUBSSZm	= 3782,
-    X86_VFNMSUBSSZr	= 3783,
-    X86_VFNMSUBSSr132m	= 3784,
-    X86_VFNMSUBSSr132r	= 3785,
-    X86_VFNMSUBSSr213m	= 3786,
-    X86_VFNMSUBSSr213r	= 3787,
-    X86_VFNMSUBSSr231m	= 3788,
-    X86_VFNMSUBSSr231r	= 3789,
-    X86_VFRCZPDrm	= 3790,
-    X86_VFRCZPDrmY	= 3791,
-    X86_VFRCZPDrr	= 3792,
-    X86_VFRCZPDrrY	= 3793,
-    X86_VFRCZPSrm	= 3794,
-    X86_VFRCZPSrmY	= 3795,
-    X86_VFRCZPSrr	= 3796,
-    X86_VFRCZPSrrY	= 3797,
-    X86_VFRCZSDrm	= 3798,
-    X86_VFRCZSDrr	= 3799,
-    X86_VFRCZSSrm	= 3800,
-    X86_VFRCZSSrr	= 3801,
-    X86_VFsANDNPDrm	= 3802,
-    X86_VFsANDNPDrr	= 3803,
-    X86_VFsANDNPSrm	= 3804,
-    X86_VFsANDNPSrr	= 3805,
-    X86_VFsANDPDrm	= 3806,
-    X86_VFsANDPDrr	= 3807,
-    X86_VFsANDPSrm	= 3808,
-    X86_VFsANDPSrr	= 3809,
-    X86_VFsORPDrm	= 3810,
-    X86_VFsORPDrr	= 3811,
-    X86_VFsORPSrm	= 3812,
-    X86_VFsORPSrr	= 3813,
-    X86_VFsXORPDrm	= 3814,
-    X86_VFsXORPDrr	= 3815,
-    X86_VFsXORPSrm	= 3816,
-    X86_VFsXORPSrr	= 3817,
-    X86_VGATHERDPDYrm	= 3818,
-    X86_VGATHERDPDZrm	= 3819,
-    X86_VGATHERDPDrm	= 3820,
-    X86_VGATHERDPSYrm	= 3821,
-    X86_VGATHERDPSZrm	= 3822,
-    X86_VGATHERDPSrm	= 3823,
-    X86_VGATHERPF0DPDm	= 3824,
-    X86_VGATHERPF0DPSm	= 3825,
-    X86_VGATHERPF0QPDm	= 3826,
-    X86_VGATHERPF0QPSm	= 3827,
-    X86_VGATHERPF1DPDm	= 3828,
-    X86_VGATHERPF1DPSm	= 3829,
-    X86_VGATHERPF1QPDm	= 3830,
-    X86_VGATHERPF1QPSm	= 3831,
-    X86_VGATHERQPDYrm	= 3832,
-    X86_VGATHERQPDZrm	= 3833,
-    X86_VGATHERQPDrm	= 3834,
-    X86_VGATHERQPSYrm	= 3835,
-    X86_VGATHERQPSZrm	= 3836,
-    X86_VGATHERQPSrm	= 3837,
-    X86_VHADDPDYrm	= 3838,
-    X86_VHADDPDYrr	= 3839,
-    X86_VHADDPDrm	= 3840,
-    X86_VHADDPDrr	= 3841,
-    X86_VHADDPSYrm	= 3842,
-    X86_VHADDPSYrr	= 3843,
-    X86_VHADDPSrm	= 3844,
-    X86_VHADDPSrr	= 3845,
-    X86_VHSUBPDYrm	= 3846,
-    X86_VHSUBPDYrr	= 3847,
-    X86_VHSUBPDrm	= 3848,
-    X86_VHSUBPDrr	= 3849,
-    X86_VHSUBPSYrm	= 3850,
-    X86_VHSUBPSYrr	= 3851,
-    X86_VHSUBPSrm	= 3852,
-    X86_VHSUBPSrr	= 3853,
-    X86_VINSERTF128rm	= 3854,
-    X86_VINSERTF128rr	= 3855,
-    X86_VINSERTF32x4rm	= 3856,
-    X86_VINSERTF32x4rr	= 3857,
-    X86_VINSERTF64x4rm	= 3858,
-    X86_VINSERTF64x4rr	= 3859,
-    X86_VINSERTI128rm	= 3860,
-    X86_VINSERTI128rr	= 3861,
-    X86_VINSERTI32x4rm	= 3862,
-    X86_VINSERTI32x4rr	= 3863,
-    X86_VINSERTI64x4rm	= 3864,
-    X86_VINSERTI64x4rr	= 3865,
-    X86_VINSERTPSrm	= 3866,
-    X86_VINSERTPSrr	= 3867,
-    X86_VINSERTPSzrm	= 3868,
-    X86_VINSERTPSzrr	= 3869,
-    X86_VLDDQUYrm	= 3870,
-    X86_VLDDQUrm	= 3871,
-    X86_VLDMXCSR	= 3872,
-    X86_VMASKMOVDQU	= 3873,
-    X86_VMASKMOVDQU64	= 3874,
-    X86_VMASKMOVPDYmr	= 3875,
-    X86_VMASKMOVPDYrm	= 3876,
-    X86_VMASKMOVPDmr	= 3877,
-    X86_VMASKMOVPDrm	= 3878,
-    X86_VMASKMOVPSYmr	= 3879,
-    X86_VMASKMOVPSYrm	= 3880,
-    X86_VMASKMOVPSmr	= 3881,
-    X86_VMASKMOVPSrm	= 3882,
-    X86_VMAXCPDYrm	= 3883,
-    X86_VMAXCPDYrr	= 3884,
-    X86_VMAXCPDrm	= 3885,
-    X86_VMAXCPDrr	= 3886,
-    X86_VMAXCPSYrm	= 3887,
-    X86_VMAXCPSYrr	= 3888,
-    X86_VMAXCPSrm	= 3889,
-    X86_VMAXCPSrr	= 3890,
-    X86_VMAXCSDrm	= 3891,
-    X86_VMAXCSDrr	= 3892,
-    X86_VMAXCSSrm	= 3893,
-    X86_VMAXCSSrr	= 3894,
-    X86_VMAXPDYrm	= 3895,
-    X86_VMAXPDYrr	= 3896,
-    X86_VMAXPDZrm	= 3897,
-    X86_VMAXPDZrmb	= 3898,
-    X86_VMAXPDZrmbk	= 3899,
-    X86_VMAXPDZrmbkz	= 3900,
-    X86_VMAXPDZrmk	= 3901,
-    X86_VMAXPDZrmkz	= 3902,
-    X86_VMAXPDZrr	= 3903,
-    X86_VMAXPDZrrk	= 3904,
-    X86_VMAXPDZrrkz	= 3905,
-    X86_VMAXPDrm	= 3906,
-    X86_VMAXPDrr	= 3907,
-    X86_VMAXPSYrm	= 3908,
-    X86_VMAXPSYrr	= 3909,
-    X86_VMAXPSZrm	= 3910,
-    X86_VMAXPSZrmb	= 3911,
-    X86_VMAXPSZrmbk	= 3912,
-    X86_VMAXPSZrmbkz	= 3913,
-    X86_VMAXPSZrmk	= 3914,
-    X86_VMAXPSZrmkz	= 3915,
-    X86_VMAXPSZrr	= 3916,
-    X86_VMAXPSZrrk	= 3917,
-    X86_VMAXPSZrrkz	= 3918,
-    X86_VMAXPSrm	= 3919,
-    X86_VMAXPSrr	= 3920,
-    X86_VMAXSDZrm	= 3921,
-    X86_VMAXSDZrr	= 3922,
-    X86_VMAXSDrm	= 3923,
-    X86_VMAXSDrm_Int	= 3924,
-    X86_VMAXSDrr	= 3925,
-    X86_VMAXSDrr_Int	= 3926,
-    X86_VMAXSSZrm	= 3927,
-    X86_VMAXSSZrr	= 3928,
-    X86_VMAXSSrm	= 3929,
-    X86_VMAXSSrm_Int	= 3930,
-    X86_VMAXSSrr	= 3931,
-    X86_VMAXSSrr_Int	= 3932,
-    X86_VMCALL	= 3933,
-    X86_VMCLEARm	= 3934,
-    X86_VMFUNC	= 3935,
-    X86_VMINCPDYrm	= 3936,
-    X86_VMINCPDYrr	= 3937,
-    X86_VMINCPDrm	= 3938,
-    X86_VMINCPDrr	= 3939,
-    X86_VMINCPSYrm	= 3940,
-    X86_VMINCPSYrr	= 3941,
-    X86_VMINCPSrm	= 3942,
-    X86_VMINCPSrr	= 3943,
-    X86_VMINCSDrm	= 3944,
-    X86_VMINCSDrr	= 3945,
-    X86_VMINCSSrm	= 3946,
-    X86_VMINCSSrr	= 3947,
-    X86_VMINPDYrm	= 3948,
-    X86_VMINPDYrr	= 3949,
-    X86_VMINPDZrm	= 3950,
-    X86_VMINPDZrmb	= 3951,
-    X86_VMINPDZrmbk	= 3952,
-    X86_VMINPDZrmbkz	= 3953,
-    X86_VMINPDZrmk	= 3954,
-    X86_VMINPDZrmkz	= 3955,
-    X86_VMINPDZrr	= 3956,
-    X86_VMINPDZrrk	= 3957,
-    X86_VMINPDZrrkz	= 3958,
-    X86_VMINPDrm	= 3959,
-    X86_VMINPDrr	= 3960,
-    X86_VMINPSYrm	= 3961,
-    X86_VMINPSYrr	= 3962,
-    X86_VMINPSZrm	= 3963,
-    X86_VMINPSZrmb	= 3964,
-    X86_VMINPSZrmbk	= 3965,
-    X86_VMINPSZrmbkz	= 3966,
-    X86_VMINPSZrmk	= 3967,
-    X86_VMINPSZrmkz	= 3968,
-    X86_VMINPSZrr	= 3969,
-    X86_VMINPSZrrk	= 3970,
-    X86_VMINPSZrrkz	= 3971,
-    X86_VMINPSrm	= 3972,
-    X86_VMINPSrr	= 3973,
-    X86_VMINSDZrm	= 3974,
-    X86_VMINSDZrr	= 3975,
-    X86_VMINSDrm	= 3976,
-    X86_VMINSDrm_Int	= 3977,
-    X86_VMINSDrr	= 3978,
-    X86_VMINSDrr_Int	= 3979,
-    X86_VMINSSZrm	= 3980,
-    X86_VMINSSZrr	= 3981,
-    X86_VMINSSrm	= 3982,
-    X86_VMINSSrm_Int	= 3983,
-    X86_VMINSSrr	= 3984,
-    X86_VMINSSrr_Int	= 3985,
-    X86_VMLAUNCH	= 3986,
-    X86_VMLOAD32	= 3987,
-    X86_VMLOAD64	= 3988,
-    X86_VMMCALL	= 3989,
-    X86_VMOV64toPQIZrr	= 3990,
-    X86_VMOV64toPQIrr	= 3991,
-    X86_VMOV64toSDZrr	= 3992,
-    X86_VMOV64toSDrm	= 3993,
-    X86_VMOV64toSDrr	= 3994,
-    X86_VMOVAPDYmr	= 3995,
-    X86_VMOVAPDYrm	= 3996,
-    X86_VMOVAPDYrr	= 3997,
-    X86_VMOVAPDYrr_REV	= 3998,
-    X86_VMOVAPDZ128mr	= 3999,
-    X86_VMOVAPDZ128mrk	= 4000,
-    X86_VMOVAPDZ128rm	= 4001,
-    X86_VMOVAPDZ128rmk	= 4002,
-    X86_VMOVAPDZ128rmkz	= 4003,
-    X86_VMOVAPDZ128rr	= 4004,
-    X86_VMOVAPDZ128rr_alt	= 4005,
-    X86_VMOVAPDZ128rrk	= 4006,
-    X86_VMOVAPDZ128rrk_alt	= 4007,
-    X86_VMOVAPDZ128rrkz	= 4008,
-    X86_VMOVAPDZ128rrkz_alt	= 4009,
-    X86_VMOVAPDZ256mr	= 4010,
-    X86_VMOVAPDZ256mrk	= 4011,
-    X86_VMOVAPDZ256rm	= 4012,
-    X86_VMOVAPDZ256rmk	= 4013,
-    X86_VMOVAPDZ256rmkz	= 4014,
-    X86_VMOVAPDZ256rr	= 4015,
-    X86_VMOVAPDZ256rr_alt	= 4016,
-    X86_VMOVAPDZ256rrk	= 4017,
-    X86_VMOVAPDZ256rrk_alt	= 4018,
-    X86_VMOVAPDZ256rrkz	= 4019,
-    X86_VMOVAPDZ256rrkz_alt	= 4020,
-    X86_VMOVAPDZmr	= 4021,
-    X86_VMOVAPDZmrk	= 4022,
-    X86_VMOVAPDZrm	= 4023,
-    X86_VMOVAPDZrmk	= 4024,
-    X86_VMOVAPDZrmkz	= 4025,
-    X86_VMOVAPDZrr	= 4026,
-    X86_VMOVAPDZrr_alt	= 4027,
-    X86_VMOVAPDZrrk	= 4028,
-    X86_VMOVAPDZrrk_alt	= 4029,
-    X86_VMOVAPDZrrkz	= 4030,
-    X86_VMOVAPDZrrkz_alt	= 4031,
-    X86_VMOVAPDmr	= 4032,
-    X86_VMOVAPDrm	= 4033,
-    X86_VMOVAPDrr	= 4034,
-    X86_VMOVAPDrr_REV	= 4035,
-    X86_VMOVAPSYmr	= 4036,
-    X86_VMOVAPSYrm	= 4037,
-    X86_VMOVAPSYrr	= 4038,
-    X86_VMOVAPSYrr_REV	= 4039,
-    X86_VMOVAPSZ128mr	= 4040,
-    X86_VMOVAPSZ128mrk	= 4041,
-    X86_VMOVAPSZ128rm	= 4042,
-    X86_VMOVAPSZ128rmk	= 4043,
-    X86_VMOVAPSZ128rmkz	= 4044,
-    X86_VMOVAPSZ128rr	= 4045,
-    X86_VMOVAPSZ128rr_alt	= 4046,
-    X86_VMOVAPSZ128rrk	= 4047,
-    X86_VMOVAPSZ128rrk_alt	= 4048,
-    X86_VMOVAPSZ128rrkz	= 4049,
-    X86_VMOVAPSZ128rrkz_alt	= 4050,
-    X86_VMOVAPSZ256mr	= 4051,
-    X86_VMOVAPSZ256mrk	= 4052,
-    X86_VMOVAPSZ256rm	= 4053,
-    X86_VMOVAPSZ256rmk	= 4054,
-    X86_VMOVAPSZ256rmkz	= 4055,
-    X86_VMOVAPSZ256rr	= 4056,
-    X86_VMOVAPSZ256rr_alt	= 4057,
-    X86_VMOVAPSZ256rrk	= 4058,
-    X86_VMOVAPSZ256rrk_alt	= 4059,
-    X86_VMOVAPSZ256rrkz	= 4060,
-    X86_VMOVAPSZ256rrkz_alt	= 4061,
-    X86_VMOVAPSZmr	= 4062,
-    X86_VMOVAPSZmrk	= 4063,
-    X86_VMOVAPSZrm	= 4064,
-    X86_VMOVAPSZrmk	= 4065,
-    X86_VMOVAPSZrmkz	= 4066,
-    X86_VMOVAPSZrr	= 4067,
-    X86_VMOVAPSZrr_alt	= 4068,
-    X86_VMOVAPSZrrk	= 4069,
-    X86_VMOVAPSZrrk_alt	= 4070,
-    X86_VMOVAPSZrrkz	= 4071,
-    X86_VMOVAPSZrrkz_alt	= 4072,
-    X86_VMOVAPSmr	= 4073,
-    X86_VMOVAPSrm	= 4074,
-    X86_VMOVAPSrr	= 4075,
-    X86_VMOVAPSrr_REV	= 4076,
-    X86_VMOVDDUPYrm	= 4077,
-    X86_VMOVDDUPYrr	= 4078,
-    X86_VMOVDDUPZrm	= 4079,
-    X86_VMOVDDUPZrr	= 4080,
-    X86_VMOVDDUPrm	= 4081,
-    X86_VMOVDDUPrr	= 4082,
-    X86_VMOVDI2PDIZrm	= 4083,
-    X86_VMOVDI2PDIZrr	= 4084,
-    X86_VMOVDI2PDIrm	= 4085,
-    X86_VMOVDI2PDIrr	= 4086,
-    X86_VMOVDI2SSZrm	= 4087,
-    X86_VMOVDI2SSZrr	= 4088,
-    X86_VMOVDI2SSrm	= 4089,
-    X86_VMOVDI2SSrr	= 4090,
-    X86_VMOVDQA32Z128mr	= 4091,
-    X86_VMOVDQA32Z128mrk	= 4092,
-    X86_VMOVDQA32Z128rm	= 4093,
-    X86_VMOVDQA32Z128rmk	= 4094,
-    X86_VMOVDQA32Z128rmkz	= 4095,
-    X86_VMOVDQA32Z128rr	= 4096,
-    X86_VMOVDQA32Z128rr_alt	= 4097,
-    X86_VMOVDQA32Z128rrk	= 4098,
-    X86_VMOVDQA32Z128rrk_alt	= 4099,
-    X86_VMOVDQA32Z128rrkz	= 4100,
-    X86_VMOVDQA32Z128rrkz_alt	= 4101,
-    X86_VMOVDQA32Z256mr	= 4102,
-    X86_VMOVDQA32Z256mrk	= 4103,
-    X86_VMOVDQA32Z256rm	= 4104,
-    X86_VMOVDQA32Z256rmk	= 4105,
-    X86_VMOVDQA32Z256rmkz	= 4106,
-    X86_VMOVDQA32Z256rr	= 4107,
-    X86_VMOVDQA32Z256rr_alt	= 4108,
-    X86_VMOVDQA32Z256rrk	= 4109,
-    X86_VMOVDQA32Z256rrk_alt	= 4110,
-    X86_VMOVDQA32Z256rrkz	= 4111,
-    X86_VMOVDQA32Z256rrkz_alt	= 4112,
-    X86_VMOVDQA32Zmr	= 4113,
-    X86_VMOVDQA32Zmrk	= 4114,
-    X86_VMOVDQA32Zrm	= 4115,
-    X86_VMOVDQA32Zrmk	= 4116,
-    X86_VMOVDQA32Zrmkz	= 4117,
-    X86_VMOVDQA32Zrr	= 4118,
-    X86_VMOVDQA32Zrr_alt	= 4119,
-    X86_VMOVDQA32Zrrk	= 4120,
-    X86_VMOVDQA32Zrrk_alt	= 4121,
-    X86_VMOVDQA32Zrrkz	= 4122,
-    X86_VMOVDQA32Zrrkz_alt	= 4123,
-    X86_VMOVDQA64Z128mr	= 4124,
-    X86_VMOVDQA64Z128mrk	= 4125,
-    X86_VMOVDQA64Z128rm	= 4126,
-    X86_VMOVDQA64Z128rmk	= 4127,
-    X86_VMOVDQA64Z128rmkz	= 4128,
-    X86_VMOVDQA64Z128rr	= 4129,
-    X86_VMOVDQA64Z128rr_alt	= 4130,
-    X86_VMOVDQA64Z128rrk	= 4131,
-    X86_VMOVDQA64Z128rrk_alt	= 4132,
-    X86_VMOVDQA64Z128rrkz	= 4133,
-    X86_VMOVDQA64Z128rrkz_alt	= 4134,
-    X86_VMOVDQA64Z256mr	= 4135,
-    X86_VMOVDQA64Z256mrk	= 4136,
-    X86_VMOVDQA64Z256rm	= 4137,
-    X86_VMOVDQA64Z256rmk	= 4138,
-    X86_VMOVDQA64Z256rmkz	= 4139,
-    X86_VMOVDQA64Z256rr	= 4140,
-    X86_VMOVDQA64Z256rr_alt	= 4141,
-    X86_VMOVDQA64Z256rrk	= 4142,
-    X86_VMOVDQA64Z256rrk_alt	= 4143,
-    X86_VMOVDQA64Z256rrkz	= 4144,
-    X86_VMOVDQA64Z256rrkz_alt	= 4145,
-    X86_VMOVDQA64Zmr	= 4146,
-    X86_VMOVDQA64Zmrk	= 4147,
-    X86_VMOVDQA64Zrm	= 4148,
-    X86_VMOVDQA64Zrmk	= 4149,
-    X86_VMOVDQA64Zrmkz	= 4150,
-    X86_VMOVDQA64Zrr	= 4151,
-    X86_VMOVDQA64Zrr_alt	= 4152,
-    X86_VMOVDQA64Zrrk	= 4153,
-    X86_VMOVDQA64Zrrk_alt	= 4154,
-    X86_VMOVDQA64Zrrkz	= 4155,
-    X86_VMOVDQA64Zrrkz_alt	= 4156,
-    X86_VMOVDQAYmr	= 4157,
-    X86_VMOVDQAYrm	= 4158,
-    X86_VMOVDQAYrr	= 4159,
-    X86_VMOVDQAYrr_REV	= 4160,
-    X86_VMOVDQAmr	= 4161,
-    X86_VMOVDQArm	= 4162,
-    X86_VMOVDQArr	= 4163,
-    X86_VMOVDQArr_REV	= 4164,
-    X86_VMOVDQU16Z128mr	= 4165,
-    X86_VMOVDQU16Z128mrk	= 4166,
-    X86_VMOVDQU16Z128rm	= 4167,
-    X86_VMOVDQU16Z128rmk	= 4168,
-    X86_VMOVDQU16Z128rmkz	= 4169,
-    X86_VMOVDQU16Z128rr	= 4170,
-    X86_VMOVDQU16Z128rr_alt	= 4171,
-    X86_VMOVDQU16Z128rrk	= 4172,
-    X86_VMOVDQU16Z128rrk_alt	= 4173,
-    X86_VMOVDQU16Z128rrkz	= 4174,
-    X86_VMOVDQU16Z128rrkz_alt	= 4175,
-    X86_VMOVDQU16Z256mr	= 4176,
-    X86_VMOVDQU16Z256mrk	= 4177,
-    X86_VMOVDQU16Z256rm	= 4178,
-    X86_VMOVDQU16Z256rmk	= 4179,
-    X86_VMOVDQU16Z256rmkz	= 4180,
-    X86_VMOVDQU16Z256rr	= 4181,
-    X86_VMOVDQU16Z256rr_alt	= 4182,
-    X86_VMOVDQU16Z256rrk	= 4183,
-    X86_VMOVDQU16Z256rrk_alt	= 4184,
-    X86_VMOVDQU16Z256rrkz	= 4185,
-    X86_VMOVDQU16Z256rrkz_alt	= 4186,
-    X86_VMOVDQU16Zmr	= 4187,
-    X86_VMOVDQU16Zmrk	= 4188,
-    X86_VMOVDQU16Zrm	= 4189,
-    X86_VMOVDQU16Zrmk	= 4190,
-    X86_VMOVDQU16Zrmkz	= 4191,
-    X86_VMOVDQU16Zrr	= 4192,
-    X86_VMOVDQU16Zrr_alt	= 4193,
-    X86_VMOVDQU16Zrrk	= 4194,
-    X86_VMOVDQU16Zrrk_alt	= 4195,
-    X86_VMOVDQU16Zrrkz	= 4196,
-    X86_VMOVDQU16Zrrkz_alt	= 4197,
-    X86_VMOVDQU32Z128mr	= 4198,
-    X86_VMOVDQU32Z128mrk	= 4199,
-    X86_VMOVDQU32Z128rm	= 4200,
-    X86_VMOVDQU32Z128rmk	= 4201,
-    X86_VMOVDQU32Z128rmkz	= 4202,
-    X86_VMOVDQU32Z128rr	= 4203,
-    X86_VMOVDQU32Z128rr_alt	= 4204,
-    X86_VMOVDQU32Z128rrk	= 4205,
-    X86_VMOVDQU32Z128rrk_alt	= 4206,
-    X86_VMOVDQU32Z128rrkz	= 4207,
-    X86_VMOVDQU32Z128rrkz_alt	= 4208,
-    X86_VMOVDQU32Z256mr	= 4209,
-    X86_VMOVDQU32Z256mrk	= 4210,
-    X86_VMOVDQU32Z256rm	= 4211,
-    X86_VMOVDQU32Z256rmk	= 4212,
-    X86_VMOVDQU32Z256rmkz	= 4213,
-    X86_VMOVDQU32Z256rr	= 4214,
-    X86_VMOVDQU32Z256rr_alt	= 4215,
-    X86_VMOVDQU32Z256rrk	= 4216,
-    X86_VMOVDQU32Z256rrk_alt	= 4217,
-    X86_VMOVDQU32Z256rrkz	= 4218,
-    X86_VMOVDQU32Z256rrkz_alt	= 4219,
-    X86_VMOVDQU32Zmr	= 4220,
-    X86_VMOVDQU32Zmrk	= 4221,
-    X86_VMOVDQU32Zrm	= 4222,
-    X86_VMOVDQU32Zrmk	= 4223,
-    X86_VMOVDQU32Zrmkz	= 4224,
-    X86_VMOVDQU32Zrr	= 4225,
-    X86_VMOVDQU32Zrr_alt	= 4226,
-    X86_VMOVDQU32Zrrk	= 4227,
-    X86_VMOVDQU32Zrrk_alt	= 4228,
-    X86_VMOVDQU32Zrrkz	= 4229,
-    X86_VMOVDQU32Zrrkz_alt	= 4230,
-    X86_VMOVDQU64Z128mr	= 4231,
-    X86_VMOVDQU64Z128mrk	= 4232,
-    X86_VMOVDQU64Z128rm	= 4233,
-    X86_VMOVDQU64Z128rmk	= 4234,
-    X86_VMOVDQU64Z128rmkz	= 4235,
-    X86_VMOVDQU64Z128rr	= 4236,
-    X86_VMOVDQU64Z128rr_alt	= 4237,
-    X86_VMOVDQU64Z128rrk	= 4238,
-    X86_VMOVDQU64Z128rrk_alt	= 4239,
-    X86_VMOVDQU64Z128rrkz	= 4240,
-    X86_VMOVDQU64Z128rrkz_alt	= 4241,
-    X86_VMOVDQU64Z256mr	= 4242,
-    X86_VMOVDQU64Z256mrk	= 4243,
-    X86_VMOVDQU64Z256rm	= 4244,
-    X86_VMOVDQU64Z256rmk	= 4245,
-    X86_VMOVDQU64Z256rmkz	= 4246,
-    X86_VMOVDQU64Z256rr	= 4247,
-    X86_VMOVDQU64Z256rr_alt	= 4248,
-    X86_VMOVDQU64Z256rrk	= 4249,
-    X86_VMOVDQU64Z256rrk_alt	= 4250,
-    X86_VMOVDQU64Z256rrkz	= 4251,
-    X86_VMOVDQU64Z256rrkz_alt	= 4252,
-    X86_VMOVDQU64Zmr	= 4253,
-    X86_VMOVDQU64Zmrk	= 4254,
-    X86_VMOVDQU64Zrm	= 4255,
-    X86_VMOVDQU64Zrmk	= 4256,
-    X86_VMOVDQU64Zrmkz	= 4257,
-    X86_VMOVDQU64Zrr	= 4258,
-    X86_VMOVDQU64Zrr_alt	= 4259,
-    X86_VMOVDQU64Zrrk	= 4260,
-    X86_VMOVDQU64Zrrk_alt	= 4261,
-    X86_VMOVDQU64Zrrkz	= 4262,
-    X86_VMOVDQU64Zrrkz_alt	= 4263,
-    X86_VMOVDQU8Z128mr	= 4264,
-    X86_VMOVDQU8Z128mrk	= 4265,
-    X86_VMOVDQU8Z128rm	= 4266,
-    X86_VMOVDQU8Z128rmk	= 4267,
-    X86_VMOVDQU8Z128rmkz	= 4268,
-    X86_VMOVDQU8Z128rr	= 4269,
-    X86_VMOVDQU8Z128rr_alt	= 4270,
-    X86_VMOVDQU8Z128rrk	= 4271,
-    X86_VMOVDQU8Z128rrk_alt	= 4272,
-    X86_VMOVDQU8Z128rrkz	= 4273,
-    X86_VMOVDQU8Z128rrkz_alt	= 4274,
-    X86_VMOVDQU8Z256mr	= 4275,
-    X86_VMOVDQU8Z256mrk	= 4276,
-    X86_VMOVDQU8Z256rm	= 4277,
-    X86_VMOVDQU8Z256rmk	= 4278,
-    X86_VMOVDQU8Z256rmkz	= 4279,
-    X86_VMOVDQU8Z256rr	= 4280,
-    X86_VMOVDQU8Z256rr_alt	= 4281,
-    X86_VMOVDQU8Z256rrk	= 4282,
-    X86_VMOVDQU8Z256rrk_alt	= 4283,
-    X86_VMOVDQU8Z256rrkz	= 4284,
-    X86_VMOVDQU8Z256rrkz_alt	= 4285,
-    X86_VMOVDQU8Zmr	= 4286,
-    X86_VMOVDQU8Zmrk	= 4287,
-    X86_VMOVDQU8Zrm	= 4288,
-    X86_VMOVDQU8Zrmk	= 4289,
-    X86_VMOVDQU8Zrmkz	= 4290,
-    X86_VMOVDQU8Zrr	= 4291,
-    X86_VMOVDQU8Zrr_alt	= 4292,
-    X86_VMOVDQU8Zrrk	= 4293,
-    X86_VMOVDQU8Zrrk_alt	= 4294,
-    X86_VMOVDQU8Zrrkz	= 4295,
-    X86_VMOVDQU8Zrrkz_alt	= 4296,
-    X86_VMOVDQUYmr	= 4297,
-    X86_VMOVDQUYrm	= 4298,
-    X86_VMOVDQUYrr	= 4299,
-    X86_VMOVDQUYrr_REV	= 4300,
-    X86_VMOVDQUmr	= 4301,
-    X86_VMOVDQUrm	= 4302,
-    X86_VMOVDQUrr	= 4303,
-    X86_VMOVDQUrr_REV	= 4304,
-    X86_VMOVHLPSZrr	= 4305,
-    X86_VMOVHLPSrr	= 4306,
-    X86_VMOVHPDmr	= 4307,
-    X86_VMOVHPDrm	= 4308,
-    X86_VMOVHPSmr	= 4309,
-    X86_VMOVHPSrm	= 4310,
-    X86_VMOVLHPSZrr	= 4311,
-    X86_VMOVLHPSrr	= 4312,
-    X86_VMOVLPDmr	= 4313,
-    X86_VMOVLPDrm	= 4314,
-    X86_VMOVLPSmr	= 4315,
-    X86_VMOVLPSrm	= 4316,
-    X86_VMOVMSKPDYrr	= 4317,
-    X86_VMOVMSKPDrr	= 4318,
-    X86_VMOVMSKPSYrr	= 4319,
-    X86_VMOVMSKPSrr	= 4320,
-    X86_VMOVNTDQAYrm	= 4321,
-    X86_VMOVNTDQAZ128rm	= 4322,
-    X86_VMOVNTDQAZ256rm	= 4323,
-    X86_VMOVNTDQAZrm	= 4324,
-    X86_VMOVNTDQArm	= 4325,
-    X86_VMOVNTDQYmr	= 4326,
-    X86_VMOVNTDQZ128mr	= 4327,
-    X86_VMOVNTDQZ256mr	= 4328,
-    X86_VMOVNTDQZmr	= 4329,
-    X86_VMOVNTDQmr	= 4330,
-    X86_VMOVNTPDYmr	= 4331,
-    X86_VMOVNTPDZ128mr	= 4332,
-    X86_VMOVNTPDZ256mr	= 4333,
-    X86_VMOVNTPDZmr	= 4334,
-    X86_VMOVNTPDmr	= 4335,
-    X86_VMOVNTPSYmr	= 4336,
-    X86_VMOVNTPSZ128mr	= 4337,
-    X86_VMOVNTPSZ256mr	= 4338,
-    X86_VMOVNTPSZmr	= 4339,
-    X86_VMOVNTPSmr	= 4340,
-    X86_VMOVPDI2DIZmr	= 4341,
-    X86_VMOVPDI2DIZrr	= 4342,
-    X86_VMOVPDI2DImr	= 4343,
-    X86_VMOVPDI2DIrr	= 4344,
-    X86_VMOVPQI2QImr	= 4345,
-    X86_VMOVPQI2QIrr	= 4346,
-    X86_VMOVPQIto64Zmr	= 4347,
-    X86_VMOVPQIto64Zrr	= 4348,
-    X86_VMOVPQIto64rr	= 4349,
-    X86_VMOVQI2PQIZrm	= 4350,
-    X86_VMOVQI2PQIrm	= 4351,
-    X86_VMOVSDZmr	= 4352,
-    X86_VMOVSDZrm	= 4353,
-    X86_VMOVSDZrr	= 4354,
-    X86_VMOVSDZrr_REV	= 4355,
-    X86_VMOVSDZrrk	= 4356,
-    X86_VMOVSDmr	= 4357,
-    X86_VMOVSDrm	= 4358,
-    X86_VMOVSDrr	= 4359,
-    X86_VMOVSDrr_REV	= 4360,
-    X86_VMOVSDto64Zmr	= 4361,
-    X86_VMOVSDto64Zrr	= 4362,
-    X86_VMOVSDto64mr	= 4363,
-    X86_VMOVSDto64rr	= 4364,
-    X86_VMOVSHDUPYrm	= 4365,
-    X86_VMOVSHDUPYrr	= 4366,
-    X86_VMOVSHDUPZrm	= 4367,
-    X86_VMOVSHDUPZrr	= 4368,
-    X86_VMOVSHDUPrm	= 4369,
-    X86_VMOVSHDUPrr	= 4370,
-    X86_VMOVSLDUPYrm	= 4371,
-    X86_VMOVSLDUPYrr	= 4372,
-    X86_VMOVSLDUPZrm	= 4373,
-    X86_VMOVSLDUPZrr	= 4374,
-    X86_VMOVSLDUPrm	= 4375,
-    X86_VMOVSLDUPrr	= 4376,
-    X86_VMOVSS2DIZmr	= 4377,
-    X86_VMOVSS2DIZrr	= 4378,
-    X86_VMOVSS2DImr	= 4379,
-    X86_VMOVSS2DIrr	= 4380,
-    X86_VMOVSSZmr	= 4381,
-    X86_VMOVSSZrm	= 4382,
-    X86_VMOVSSZrr	= 4383,
-    X86_VMOVSSZrr_REV	= 4384,
-    X86_VMOVSSZrrk	= 4385,
-    X86_VMOVSSmr	= 4386,
-    X86_VMOVSSrm	= 4387,
-    X86_VMOVSSrr	= 4388,
-    X86_VMOVSSrr_REV	= 4389,
-    X86_VMOVUPDYmr	= 4390,
-    X86_VMOVUPDYrm	= 4391,
-    X86_VMOVUPDYrr	= 4392,
-    X86_VMOVUPDYrr_REV	= 4393,
-    X86_VMOVUPDZ128mr	= 4394,
-    X86_VMOVUPDZ128mrk	= 4395,
-    X86_VMOVUPDZ128rm	= 4396,
-    X86_VMOVUPDZ128rmk	= 4397,
-    X86_VMOVUPDZ128rmkz	= 4398,
-    X86_VMOVUPDZ128rr	= 4399,
-    X86_VMOVUPDZ128rr_alt	= 4400,
-    X86_VMOVUPDZ128rrk	= 4401,
-    X86_VMOVUPDZ128rrk_alt	= 4402,
-    X86_VMOVUPDZ128rrkz	= 4403,
-    X86_VMOVUPDZ128rrkz_alt	= 4404,
-    X86_VMOVUPDZ256mr	= 4405,
-    X86_VMOVUPDZ256mrk	= 4406,
-    X86_VMOVUPDZ256rm	= 4407,
-    X86_VMOVUPDZ256rmk	= 4408,
-    X86_VMOVUPDZ256rmkz	= 4409,
-    X86_VMOVUPDZ256rr	= 4410,
-    X86_VMOVUPDZ256rr_alt	= 4411,
-    X86_VMOVUPDZ256rrk	= 4412,
-    X86_VMOVUPDZ256rrk_alt	= 4413,
-    X86_VMOVUPDZ256rrkz	= 4414,
-    X86_VMOVUPDZ256rrkz_alt	= 4415,
-    X86_VMOVUPDZmr	= 4416,
-    X86_VMOVUPDZmrk	= 4417,
-    X86_VMOVUPDZrm	= 4418,
-    X86_VMOVUPDZrmk	= 4419,
-    X86_VMOVUPDZrmkz	= 4420,
-    X86_VMOVUPDZrr	= 4421,
-    X86_VMOVUPDZrr_alt	= 4422,
-    X86_VMOVUPDZrrk	= 4423,
-    X86_VMOVUPDZrrk_alt	= 4424,
-    X86_VMOVUPDZrrkz	= 4425,
-    X86_VMOVUPDZrrkz_alt	= 4426,
-    X86_VMOVUPDmr	= 4427,
-    X86_VMOVUPDrm	= 4428,
-    X86_VMOVUPDrr	= 4429,
-    X86_VMOVUPDrr_REV	= 4430,
-    X86_VMOVUPSYmr	= 4431,
-    X86_VMOVUPSYrm	= 4432,
-    X86_VMOVUPSYrr	= 4433,
-    X86_VMOVUPSYrr_REV	= 4434,
-    X86_VMOVUPSZ128mr	= 4435,
-    X86_VMOVUPSZ128mrk	= 4436,
-    X86_VMOVUPSZ128rm	= 4437,
-    X86_VMOVUPSZ128rmk	= 4438,
-    X86_VMOVUPSZ128rmkz	= 4439,
-    X86_VMOVUPSZ128rr	= 4440,
-    X86_VMOVUPSZ128rr_alt	= 4441,
-    X86_VMOVUPSZ128rrk	= 4442,
-    X86_VMOVUPSZ128rrk_alt	= 4443,
-    X86_VMOVUPSZ128rrkz	= 4444,
-    X86_VMOVUPSZ128rrkz_alt	= 4445,
-    X86_VMOVUPSZ256mr	= 4446,
-    X86_VMOVUPSZ256mrk	= 4447,
-    X86_VMOVUPSZ256rm	= 4448,
-    X86_VMOVUPSZ256rmk	= 4449,
-    X86_VMOVUPSZ256rmkz	= 4450,
-    X86_VMOVUPSZ256rr	= 4451,
-    X86_VMOVUPSZ256rr_alt	= 4452,
-    X86_VMOVUPSZ256rrk	= 4453,
-    X86_VMOVUPSZ256rrk_alt	= 4454,
-    X86_VMOVUPSZ256rrkz	= 4455,
-    X86_VMOVUPSZ256rrkz_alt	= 4456,
-    X86_VMOVUPSZmr	= 4457,
-    X86_VMOVUPSZmrk	= 4458,
-    X86_VMOVUPSZrm	= 4459,
-    X86_VMOVUPSZrmk	= 4460,
-    X86_VMOVUPSZrmkz	= 4461,
-    X86_VMOVUPSZrr	= 4462,
-    X86_VMOVUPSZrr_alt	= 4463,
-    X86_VMOVUPSZrrk	= 4464,
-    X86_VMOVUPSZrrk_alt	= 4465,
-    X86_VMOVUPSZrrkz	= 4466,
-    X86_VMOVUPSZrrkz_alt	= 4467,
-    X86_VMOVUPSmr	= 4468,
-    X86_VMOVUPSrm	= 4469,
-    X86_VMOVUPSrr	= 4470,
-    X86_VMOVUPSrr_REV	= 4471,
-    X86_VMOVZPQILo2PQIZrm	= 4472,
-    X86_VMOVZPQILo2PQIZrr	= 4473,
-    X86_VMOVZPQILo2PQIrm	= 4474,
-    X86_VMOVZPQILo2PQIrr	= 4475,
-    X86_VMOVZQI2PQIrm	= 4476,
-    X86_VMOVZQI2PQIrr	= 4477,
-    X86_VMPSADBWYrmi	= 4478,
-    X86_VMPSADBWYrri	= 4479,
-    X86_VMPSADBWrmi	= 4480,
-    X86_VMPSADBWrri	= 4481,
-    X86_VMPTRLDm	= 4482,
-    X86_VMPTRSTm	= 4483,
-    X86_VMREAD32rm	= 4484,
-    X86_VMREAD32rr	= 4485,
-    X86_VMREAD64rm	= 4486,
-    X86_VMREAD64rr	= 4487,
-    X86_VMRESUME	= 4488,
-    X86_VMRUN32	= 4489,
-    X86_VMRUN64	= 4490,
-    X86_VMSAVE32	= 4491,
-    X86_VMSAVE64	= 4492,
-    X86_VMULPDYrm	= 4493,
-    X86_VMULPDYrr	= 4494,
-    X86_VMULPDZrm	= 4495,
-    X86_VMULPDZrmb	= 4496,
-    X86_VMULPDZrmbk	= 4497,
-    X86_VMULPDZrmbkz	= 4498,
-    X86_VMULPDZrmk	= 4499,
-    X86_VMULPDZrmkz	= 4500,
-    X86_VMULPDZrr	= 4501,
-    X86_VMULPDZrrk	= 4502,
-    X86_VMULPDZrrkz	= 4503,
-    X86_VMULPDrm	= 4504,
-    X86_VMULPDrr	= 4505,
-    X86_VMULPSYrm	= 4506,
-    X86_VMULPSYrr	= 4507,
-    X86_VMULPSZrm	= 4508,
-    X86_VMULPSZrmb	= 4509,
-    X86_VMULPSZrmbk	= 4510,
-    X86_VMULPSZrmbkz	= 4511,
-    X86_VMULPSZrmk	= 4512,
-    X86_VMULPSZrmkz	= 4513,
-    X86_VMULPSZrr	= 4514,
-    X86_VMULPSZrrk	= 4515,
-    X86_VMULPSZrrkz	= 4516,
-    X86_VMULPSrm	= 4517,
-    X86_VMULPSrr	= 4518,
-    X86_VMULSDZrm	= 4519,
-    X86_VMULSDZrr	= 4520,
-    X86_VMULSDrm	= 4521,
-    X86_VMULSDrm_Int	= 4522,
-    X86_VMULSDrr	= 4523,
-    X86_VMULSDrr_Int	= 4524,
-    X86_VMULSSZrm	= 4525,
-    X86_VMULSSZrr	= 4526,
-    X86_VMULSSrm	= 4527,
-    X86_VMULSSrm_Int	= 4528,
-    X86_VMULSSrr	= 4529,
-    X86_VMULSSrr_Int	= 4530,
-    X86_VMWRITE32rm	= 4531,
-    X86_VMWRITE32rr	= 4532,
-    X86_VMWRITE64rm	= 4533,
-    X86_VMWRITE64rr	= 4534,
-    X86_VMXOFF	= 4535,
-    X86_VMXON	= 4536,
-    X86_VORPDYrm	= 4537,
-    X86_VORPDYrr	= 4538,
-    X86_VORPDrm	= 4539,
-    X86_VORPDrr	= 4540,
-    X86_VORPSYrm	= 4541,
-    X86_VORPSYrr	= 4542,
-    X86_VORPSrm	= 4543,
-    X86_VORPSrr	= 4544,
-    X86_VPABSBrm128	= 4545,
-    X86_VPABSBrm256	= 4546,
-    X86_VPABSBrr128	= 4547,
-    X86_VPABSBrr256	= 4548,
-    X86_VPABSDZrm	= 4549,
-    X86_VPABSDZrmb	= 4550,
-    X86_VPABSDZrmbk	= 4551,
-    X86_VPABSDZrmbkz	= 4552,
-    X86_VPABSDZrmk	= 4553,
-    X86_VPABSDZrmkz	= 4554,
-    X86_VPABSDZrr	= 4555,
-    X86_VPABSDZrrk	= 4556,
-    X86_VPABSDZrrkz	= 4557,
-    X86_VPABSDrm128	= 4558,
-    X86_VPABSDrm256	= 4559,
-    X86_VPABSDrr128	= 4560,
-    X86_VPABSDrr256	= 4561,
-    X86_VPABSQZrm	= 4562,
-    X86_VPABSQZrmb	= 4563,
-    X86_VPABSQZrmbk	= 4564,
-    X86_VPABSQZrmbkz	= 4565,
-    X86_VPABSQZrmk	= 4566,
-    X86_VPABSQZrmkz	= 4567,
-    X86_VPABSQZrr	= 4568,
-    X86_VPABSQZrrk	= 4569,
-    X86_VPABSQZrrkz	= 4570,
-    X86_VPABSWrm128	= 4571,
-    X86_VPABSWrm256	= 4572,
-    X86_VPABSWrr128	= 4573,
-    X86_VPABSWrr256	= 4574,
-    X86_VPACKSSDWYrm	= 4575,
-    X86_VPACKSSDWYrr	= 4576,
-    X86_VPACKSSDWrm	= 4577,
-    X86_VPACKSSDWrr	= 4578,
-    X86_VPACKSSWBYrm	= 4579,
-    X86_VPACKSSWBYrr	= 4580,
-    X86_VPACKSSWBrm	= 4581,
-    X86_VPACKSSWBrr	= 4582,
-    X86_VPACKUSDWYrm	= 4583,
-    X86_VPACKUSDWYrr	= 4584,
-    X86_VPACKUSDWrm	= 4585,
-    X86_VPACKUSDWrr	= 4586,
-    X86_VPACKUSWBYrm	= 4587,
-    X86_VPACKUSWBYrr	= 4588,
-    X86_VPACKUSWBrm	= 4589,
-    X86_VPACKUSWBrr	= 4590,
-    X86_VPADDBYrm	= 4591,
-    X86_VPADDBYrr	= 4592,
-    X86_VPADDBrm	= 4593,
-    X86_VPADDBrr	= 4594,
-    X86_VPADDDYrm	= 4595,
-    X86_VPADDDYrr	= 4596,
-    X86_VPADDDZrm	= 4597,
-    X86_VPADDDZrmb	= 4598,
-    X86_VPADDDZrmbk	= 4599,
-    X86_VPADDDZrmbkz	= 4600,
-    X86_VPADDDZrmk	= 4601,
-    X86_VPADDDZrmkz	= 4602,
-    X86_VPADDDZrr	= 4603,
-    X86_VPADDDZrrk	= 4604,
-    X86_VPADDDZrrkz	= 4605,
-    X86_VPADDDrm	= 4606,
-    X86_VPADDDrr	= 4607,
-    X86_VPADDQYrm	= 4608,
-    X86_VPADDQYrr	= 4609,
-    X86_VPADDQZrm	= 4610,
-    X86_VPADDQZrmb	= 4611,
-    X86_VPADDQZrmbk	= 4612,
-    X86_VPADDQZrmbkz	= 4613,
-    X86_VPADDQZrmk	= 4614,
-    X86_VPADDQZrmkz	= 4615,
-    X86_VPADDQZrr	= 4616,
-    X86_VPADDQZrrk	= 4617,
-    X86_VPADDQZrrkz	= 4618,
-    X86_VPADDQrm	= 4619,
-    X86_VPADDQrr	= 4620,
-    X86_VPADDSBYrm	= 4621,
-    X86_VPADDSBYrr	= 4622,
-    X86_VPADDSBrm	= 4623,
-    X86_VPADDSBrr	= 4624,
-    X86_VPADDSWYrm	= 4625,
-    X86_VPADDSWYrr	= 4626,
-    X86_VPADDSWrm	= 4627,
-    X86_VPADDSWrr	= 4628,
-    X86_VPADDUSBYrm	= 4629,
-    X86_VPADDUSBYrr	= 4630,
-    X86_VPADDUSBrm	= 4631,
-    X86_VPADDUSBrr	= 4632,
-    X86_VPADDUSWYrm	= 4633,
-    X86_VPADDUSWYrr	= 4634,
-    X86_VPADDUSWrm	= 4635,
-    X86_VPADDUSWrr	= 4636,
-    X86_VPADDWYrm	= 4637,
-    X86_VPADDWYrr	= 4638,
-    X86_VPADDWrm	= 4639,
-    X86_VPADDWrr	= 4640,
-    X86_VPALIGNR128rm	= 4641,
-    X86_VPALIGNR128rr	= 4642,
-    X86_VPALIGNR256rm	= 4643,
-    X86_VPALIGNR256rr	= 4644,
-    X86_VPANDDZrm	= 4645,
-    X86_VPANDDZrmb	= 4646,
-    X86_VPANDDZrmbk	= 4647,
-    X86_VPANDDZrmbkz	= 4648,
-    X86_VPANDDZrmk	= 4649,
-    X86_VPANDDZrmkz	= 4650,
-    X86_VPANDDZrr	= 4651,
-    X86_VPANDDZrrk	= 4652,
-    X86_VPANDDZrrkz	= 4653,
-    X86_VPANDNDZrm	= 4654,
-    X86_VPANDNDZrmb	= 4655,
-    X86_VPANDNDZrmbk	= 4656,
-    X86_VPANDNDZrmbkz	= 4657,
-    X86_VPANDNDZrmk	= 4658,
-    X86_VPANDNDZrmkz	= 4659,
-    X86_VPANDNDZrr	= 4660,
-    X86_VPANDNDZrrk	= 4661,
-    X86_VPANDNDZrrkz	= 4662,
-    X86_VPANDNQZrm	= 4663,
-    X86_VPANDNQZrmb	= 4664,
-    X86_VPANDNQZrmbk	= 4665,
-    X86_VPANDNQZrmbkz	= 4666,
-    X86_VPANDNQZrmk	= 4667,
-    X86_VPANDNQZrmkz	= 4668,
-    X86_VPANDNQZrr	= 4669,
-    X86_VPANDNQZrrk	= 4670,
-    X86_VPANDNQZrrkz	= 4671,
-    X86_VPANDNYrm	= 4672,
-    X86_VPANDNYrr	= 4673,
-    X86_VPANDNrm	= 4674,
-    X86_VPANDNrr	= 4675,
-    X86_VPANDQZrm	= 4676,
-    X86_VPANDQZrmb	= 4677,
-    X86_VPANDQZrmbk	= 4678,
-    X86_VPANDQZrmbkz	= 4679,
-    X86_VPANDQZrmk	= 4680,
-    X86_VPANDQZrmkz	= 4681,
-    X86_VPANDQZrr	= 4682,
-    X86_VPANDQZrrk	= 4683,
-    X86_VPANDQZrrkz	= 4684,
-    X86_VPANDYrm	= 4685,
-    X86_VPANDYrr	= 4686,
-    X86_VPANDrm	= 4687,
-    X86_VPANDrr	= 4688,
-    X86_VPAVGBYrm	= 4689,
-    X86_VPAVGBYrr	= 4690,
-    X86_VPAVGBrm	= 4691,
-    X86_VPAVGBrr	= 4692,
-    X86_VPAVGWYrm	= 4693,
-    X86_VPAVGWYrr	= 4694,
-    X86_VPAVGWrm	= 4695,
-    X86_VPAVGWrr	= 4696,
-    X86_VPBLENDDYrmi	= 4697,
-    X86_VPBLENDDYrri	= 4698,
-    X86_VPBLENDDrmi	= 4699,
-    X86_VPBLENDDrri	= 4700,
-    X86_VPBLENDMDZrm	= 4701,
-    X86_VPBLENDMDZrr	= 4702,
-    X86_VPBLENDMQZrm	= 4703,
-    X86_VPBLENDMQZrr	= 4704,
-    X86_VPBLENDVBYrm	= 4705,
-    X86_VPBLENDVBYrr	= 4706,
-    X86_VPBLENDVBrm	= 4707,
-    X86_VPBLENDVBrr	= 4708,
-    X86_VPBLENDWYrmi	= 4709,
-    X86_VPBLENDWYrri	= 4710,
-    X86_VPBLENDWrmi	= 4711,
-    X86_VPBLENDWrri	= 4712,
-    X86_VPBROADCASTBYrm	= 4713,
-    X86_VPBROADCASTBYrr	= 4714,
-    X86_VPBROADCASTBrm	= 4715,
-    X86_VPBROADCASTBrr	= 4716,
-    X86_VPBROADCASTDYrm	= 4717,
-    X86_VPBROADCASTDYrr	= 4718,
-    X86_VPBROADCASTDZkrm	= 4719,
-    X86_VPBROADCASTDZkrr	= 4720,
-    X86_VPBROADCASTDZrm	= 4721,
-    X86_VPBROADCASTDZrr	= 4722,
-    X86_VPBROADCASTDrZkrr	= 4723,
-    X86_VPBROADCASTDrZrr	= 4724,
-    X86_VPBROADCASTDrm	= 4725,
-    X86_VPBROADCASTDrr	= 4726,
-    X86_VPBROADCASTMB2Qrr	= 4727,
-    X86_VPBROADCASTMW2Drr	= 4728,
-    X86_VPBROADCASTQYrm	= 4729,
-    X86_VPBROADCASTQYrr	= 4730,
-    X86_VPBROADCASTQZkrm	= 4731,
-    X86_VPBROADCASTQZkrr	= 4732,
-    X86_VPBROADCASTQZrm	= 4733,
-    X86_VPBROADCASTQZrr	= 4734,
-    X86_VPBROADCASTQrZkrr	= 4735,
-    X86_VPBROADCASTQrZrr	= 4736,
-    X86_VPBROADCASTQrm	= 4737,
-    X86_VPBROADCASTQrr	= 4738,
-    X86_VPBROADCASTWYrm	= 4739,
-    X86_VPBROADCASTWYrr	= 4740,
-    X86_VPBROADCASTWrm	= 4741,
-    X86_VPBROADCASTWrr	= 4742,
-    X86_VPCLMULQDQrm	= 4743,
-    X86_VPCLMULQDQrr	= 4744,
-    X86_VPCMOVmr	= 4745,
-    X86_VPCMOVmrY	= 4746,
-    X86_VPCMOVrm	= 4747,
-    X86_VPCMOVrmY	= 4748,
-    X86_VPCMOVrr	= 4749,
-    X86_VPCMOVrrY	= 4750,
-    X86_VPCMPDZrmi	= 4751,
-    X86_VPCMPDZrmi_alt	= 4752,
-    X86_VPCMPDZrmik_alt	= 4753,
-    X86_VPCMPDZrri	= 4754,
-    X86_VPCMPDZrri_alt	= 4755,
-    X86_VPCMPDZrrik_alt	= 4756,
-    X86_VPCMPEQBYrm	= 4757,
-    X86_VPCMPEQBYrr	= 4758,
-    X86_VPCMPEQBZ128rm	= 4759,
-    X86_VPCMPEQBZ128rmk	= 4760,
-    X86_VPCMPEQBZ128rr	= 4761,
-    X86_VPCMPEQBZ128rrk	= 4762,
-    X86_VPCMPEQBZ256rm	= 4763,
-    X86_VPCMPEQBZ256rmk	= 4764,
-    X86_VPCMPEQBZ256rr	= 4765,
-    X86_VPCMPEQBZ256rrk	= 4766,
-    X86_VPCMPEQBZrm	= 4767,
-    X86_VPCMPEQBZrmk	= 4768,
-    X86_VPCMPEQBZrr	= 4769,
-    X86_VPCMPEQBZrrk	= 4770,
-    X86_VPCMPEQBrm	= 4771,
-    X86_VPCMPEQBrr	= 4772,
-    X86_VPCMPEQDYrm	= 4773,
-    X86_VPCMPEQDYrr	= 4774,
-    X86_VPCMPEQDZ128rm	= 4775,
-    X86_VPCMPEQDZ128rmb	= 4776,
-    X86_VPCMPEQDZ128rmbk	= 4777,
-    X86_VPCMPEQDZ128rmk	= 4778,
-    X86_VPCMPEQDZ128rr	= 4779,
-    X86_VPCMPEQDZ128rrk	= 4780,
-    X86_VPCMPEQDZ256rm	= 4781,
-    X86_VPCMPEQDZ256rmb	= 4782,
-    X86_VPCMPEQDZ256rmbk	= 4783,
-    X86_VPCMPEQDZ256rmk	= 4784,
-    X86_VPCMPEQDZ256rr	= 4785,
-    X86_VPCMPEQDZ256rrk	= 4786,
-    X86_VPCMPEQDZrm	= 4787,
-    X86_VPCMPEQDZrmb	= 4788,
-    X86_VPCMPEQDZrmbk	= 4789,
-    X86_VPCMPEQDZrmk	= 4790,
-    X86_VPCMPEQDZrr	= 4791,
-    X86_VPCMPEQDZrrk	= 4792,
-    X86_VPCMPEQDrm	= 4793,
-    X86_VPCMPEQDrr	= 4794,
-    X86_VPCMPEQQYrm	= 4795,
-    X86_VPCMPEQQYrr	= 4796,
-    X86_VPCMPEQQZ128rm	= 4797,
-    X86_VPCMPEQQZ128rmb	= 4798,
-    X86_VPCMPEQQZ128rmbk	= 4799,
-    X86_VPCMPEQQZ128rmk	= 4800,
-    X86_VPCMPEQQZ128rr	= 4801,
-    X86_VPCMPEQQZ128rrk	= 4802,
-    X86_VPCMPEQQZ256rm	= 4803,
-    X86_VPCMPEQQZ256rmb	= 4804,
-    X86_VPCMPEQQZ256rmbk	= 4805,
-    X86_VPCMPEQQZ256rmk	= 4806,
-    X86_VPCMPEQQZ256rr	= 4807,
-    X86_VPCMPEQQZ256rrk	= 4808,
-    X86_VPCMPEQQZrm	= 4809,
-    X86_VPCMPEQQZrmb	= 4810,
-    X86_VPCMPEQQZrmbk	= 4811,
-    X86_VPCMPEQQZrmk	= 4812,
-    X86_VPCMPEQQZrr	= 4813,
-    X86_VPCMPEQQZrrk	= 4814,
-    X86_VPCMPEQQrm	= 4815,
-    X86_VPCMPEQQrr	= 4816,
-    X86_VPCMPEQWYrm	= 4817,
-    X86_VPCMPEQWYrr	= 4818,
-    X86_VPCMPEQWZ128rm	= 4819,
-    X86_VPCMPEQWZ128rmk	= 4820,
-    X86_VPCMPEQWZ128rr	= 4821,
-    X86_VPCMPEQWZ128rrk	= 4822,
-    X86_VPCMPEQWZ256rm	= 4823,
-    X86_VPCMPEQWZ256rmk	= 4824,
-    X86_VPCMPEQWZ256rr	= 4825,
-    X86_VPCMPEQWZ256rrk	= 4826,
-    X86_VPCMPEQWZrm	= 4827,
-    X86_VPCMPEQWZrmk	= 4828,
-    X86_VPCMPEQWZrr	= 4829,
-    X86_VPCMPEQWZrrk	= 4830,
-    X86_VPCMPEQWrm	= 4831,
-    X86_VPCMPEQWrr	= 4832,
-    X86_VPCMPESTRIMEM	= 4833,
-    X86_VPCMPESTRIREG	= 4834,
-    X86_VPCMPESTRIrm	= 4835,
-    X86_VPCMPESTRIrr	= 4836,
-    X86_VPCMPESTRM128MEM	= 4837,
-    X86_VPCMPESTRM128REG	= 4838,
-    X86_VPCMPESTRM128rm	= 4839,
-    X86_VPCMPESTRM128rr	= 4840,
-    X86_VPCMPGTBYrm	= 4841,
-    X86_VPCMPGTBYrr	= 4842,
-    X86_VPCMPGTBZ128rm	= 4843,
-    X86_VPCMPGTBZ128rmk	= 4844,
-    X86_VPCMPGTBZ128rr	= 4845,
-    X86_VPCMPGTBZ128rrk	= 4846,
-    X86_VPCMPGTBZ256rm	= 4847,
-    X86_VPCMPGTBZ256rmk	= 4848,
-    X86_VPCMPGTBZ256rr	= 4849,
-    X86_VPCMPGTBZ256rrk	= 4850,
-    X86_VPCMPGTBZrm	= 4851,
-    X86_VPCMPGTBZrmk	= 4852,
-    X86_VPCMPGTBZrr	= 4853,
-    X86_VPCMPGTBZrrk	= 4854,
-    X86_VPCMPGTBrm	= 4855,
-    X86_VPCMPGTBrr	= 4856,
-    X86_VPCMPGTDYrm	= 4857,
-    X86_VPCMPGTDYrr	= 4858,
-    X86_VPCMPGTDZ128rm	= 4859,
-    X86_VPCMPGTDZ128rmb	= 4860,
-    X86_VPCMPGTDZ128rmbk	= 4861,
-    X86_VPCMPGTDZ128rmk	= 4862,
-    X86_VPCMPGTDZ128rr	= 4863,
-    X86_VPCMPGTDZ128rrk	= 4864,
-    X86_VPCMPGTDZ256rm	= 4865,
-    X86_VPCMPGTDZ256rmb	= 4866,
-    X86_VPCMPGTDZ256rmbk	= 4867,
-    X86_VPCMPGTDZ256rmk	= 4868,
-    X86_VPCMPGTDZ256rr	= 4869,
-    X86_VPCMPGTDZ256rrk	= 4870,
-    X86_VPCMPGTDZrm	= 4871,
-    X86_VPCMPGTDZrmb	= 4872,
-    X86_VPCMPGTDZrmbk	= 4873,
-    X86_VPCMPGTDZrmk	= 4874,
-    X86_VPCMPGTDZrr	= 4875,
-    X86_VPCMPGTDZrrk	= 4876,
-    X86_VPCMPGTDrm	= 4877,
-    X86_VPCMPGTDrr	= 4878,
-    X86_VPCMPGTQYrm	= 4879,
-    X86_VPCMPGTQYrr	= 4880,
-    X86_VPCMPGTQZ128rm	= 4881,
-    X86_VPCMPGTQZ128rmb	= 4882,
-    X86_VPCMPGTQZ128rmbk	= 4883,
-    X86_VPCMPGTQZ128rmk	= 4884,
-    X86_VPCMPGTQZ128rr	= 4885,
-    X86_VPCMPGTQZ128rrk	= 4886,
-    X86_VPCMPGTQZ256rm	= 4887,
-    X86_VPCMPGTQZ256rmb	= 4888,
-    X86_VPCMPGTQZ256rmbk	= 4889,
-    X86_VPCMPGTQZ256rmk	= 4890,
-    X86_VPCMPGTQZ256rr	= 4891,
-    X86_VPCMPGTQZ256rrk	= 4892,
-    X86_VPCMPGTQZrm	= 4893,
-    X86_VPCMPGTQZrmb	= 4894,
-    X86_VPCMPGTQZrmbk	= 4895,
-    X86_VPCMPGTQZrmk	= 4896,
-    X86_VPCMPGTQZrr	= 4897,
-    X86_VPCMPGTQZrrk	= 4898,
-    X86_VPCMPGTQrm	= 4899,
-    X86_VPCMPGTQrr	= 4900,
-    X86_VPCMPGTWYrm	= 4901,
-    X86_VPCMPGTWYrr	= 4902,
-    X86_VPCMPGTWZ128rm	= 4903,
-    X86_VPCMPGTWZ128rmk	= 4904,
-    X86_VPCMPGTWZ128rr	= 4905,
-    X86_VPCMPGTWZ128rrk	= 4906,
-    X86_VPCMPGTWZ256rm	= 4907,
-    X86_VPCMPGTWZ256rmk	= 4908,
-    X86_VPCMPGTWZ256rr	= 4909,
-    X86_VPCMPGTWZ256rrk	= 4910,
-    X86_VPCMPGTWZrm	= 4911,
-    X86_VPCMPGTWZrmk	= 4912,
-    X86_VPCMPGTWZrr	= 4913,
-    X86_VPCMPGTWZrrk	= 4914,
-    X86_VPCMPGTWrm	= 4915,
-    X86_VPCMPGTWrr	= 4916,
-    X86_VPCMPISTRIMEM	= 4917,
-    X86_VPCMPISTRIREG	= 4918,
-    X86_VPCMPISTRIrm	= 4919,
-    X86_VPCMPISTRIrr	= 4920,
-    X86_VPCMPISTRM128MEM	= 4921,
-    X86_VPCMPISTRM128REG	= 4922,
-    X86_VPCMPISTRM128rm	= 4923,
-    X86_VPCMPISTRM128rr	= 4924,
-    X86_VPCMPQZrmi	= 4925,
-    X86_VPCMPQZrmi_alt	= 4926,
-    X86_VPCMPQZrmik_alt	= 4927,
-    X86_VPCMPQZrri	= 4928,
-    X86_VPCMPQZrri_alt	= 4929,
-    X86_VPCMPQZrrik_alt	= 4930,
-    X86_VPCMPUDZrmi	= 4931,
-    X86_VPCMPUDZrmi_alt	= 4932,
-    X86_VPCMPUDZrmik_alt	= 4933,
-    X86_VPCMPUDZrri	= 4934,
-    X86_VPCMPUDZrri_alt	= 4935,
-    X86_VPCMPUDZrrik_alt	= 4936,
-    X86_VPCMPUQZrmi	= 4937,
-    X86_VPCMPUQZrmi_alt	= 4938,
-    X86_VPCMPUQZrmik_alt	= 4939,
-    X86_VPCMPUQZrri	= 4940,
-    X86_VPCMPUQZrri_alt	= 4941,
-    X86_VPCMPUQZrrik_alt	= 4942,
-    X86_VPCOMBmi	= 4943,
-    X86_VPCOMBri	= 4944,
-    X86_VPCOMDmi	= 4945,
-    X86_VPCOMDri	= 4946,
-    X86_VPCOMQmi	= 4947,
-    X86_VPCOMQri	= 4948,
-    X86_VPCOMUBmi	= 4949,
-    X86_VPCOMUBri	= 4950,
-    X86_VPCOMUDmi	= 4951,
-    X86_VPCOMUDri	= 4952,
-    X86_VPCOMUQmi	= 4953,
-    X86_VPCOMUQri	= 4954,
-    X86_VPCOMUWmi	= 4955,
-    X86_VPCOMUWri	= 4956,
-    X86_VPCOMWmi	= 4957,
-    X86_VPCOMWri	= 4958,
-    X86_VPCONFLICTDrm	= 4959,
-    X86_VPCONFLICTDrmb	= 4960,
-    X86_VPCONFLICTDrmbk	= 4961,
-    X86_VPCONFLICTDrmbkz	= 4962,
-    X86_VPCONFLICTDrmk	= 4963,
-    X86_VPCONFLICTDrmkz	= 4964,
-    X86_VPCONFLICTDrr	= 4965,
-    X86_VPCONFLICTDrrk	= 4966,
-    X86_VPCONFLICTDrrkz	= 4967,
-    X86_VPCONFLICTQrm	= 4968,
-    X86_VPCONFLICTQrmb	= 4969,
-    X86_VPCONFLICTQrmbk	= 4970,
-    X86_VPCONFLICTQrmbkz	= 4971,
-    X86_VPCONFLICTQrmk	= 4972,
-    X86_VPCONFLICTQrmkz	= 4973,
-    X86_VPCONFLICTQrr	= 4974,
-    X86_VPCONFLICTQrrk	= 4975,
-    X86_VPCONFLICTQrrkz	= 4976,
-    X86_VPERM2F128rm	= 4977,
-    X86_VPERM2F128rr	= 4978,
-    X86_VPERM2I128rm	= 4979,
-    X86_VPERM2I128rr	= 4980,
-    X86_VPERMDYrm	= 4981,
-    X86_VPERMDYrr	= 4982,
-    X86_VPERMDZrm	= 4983,
-    X86_VPERMDZrr	= 4984,
-    X86_VPERMI2Drm	= 4985,
-    X86_VPERMI2Drmk	= 4986,
-    X86_VPERMI2Drmkz	= 4987,
-    X86_VPERMI2Drr	= 4988,
-    X86_VPERMI2Drrk	= 4989,
-    X86_VPERMI2Drrkz	= 4990,
-    X86_VPERMI2PDrm	= 4991,
-    X86_VPERMI2PDrmk	= 4992,
-    X86_VPERMI2PDrmkz	= 4993,
-    X86_VPERMI2PDrr	= 4994,
-    X86_VPERMI2PDrrk	= 4995,
-    X86_VPERMI2PDrrkz	= 4996,
-    X86_VPERMI2PSrm	= 4997,
-    X86_VPERMI2PSrmk	= 4998,
-    X86_VPERMI2PSrmkz	= 4999,
-    X86_VPERMI2PSrr	= 5000,
-    X86_VPERMI2PSrrk	= 5001,
-    X86_VPERMI2PSrrkz	= 5002,
-    X86_VPERMI2Qrm	= 5003,
-    X86_VPERMI2Qrmk	= 5004,
-    X86_VPERMI2Qrmkz	= 5005,
-    X86_VPERMI2Qrr	= 5006,
-    X86_VPERMI2Qrrk	= 5007,
-    X86_VPERMI2Qrrkz	= 5008,
-    X86_VPERMIL2PDmr	= 5009,
-    X86_VPERMIL2PDmrY	= 5010,
-    X86_VPERMIL2PDrm	= 5011,
-    X86_VPERMIL2PDrmY	= 5012,
-    X86_VPERMIL2PDrr	= 5013,
-    X86_VPERMIL2PDrrY	= 5014,
-    X86_VPERMIL2PSmr	= 5015,
-    X86_VPERMIL2PSmrY	= 5016,
-    X86_VPERMIL2PSrm	= 5017,
-    X86_VPERMIL2PSrmY	= 5018,
-    X86_VPERMIL2PSrr	= 5019,
-    X86_VPERMIL2PSrrY	= 5020,
-    X86_VPERMILPDYmi	= 5021,
-    X86_VPERMILPDYri	= 5022,
-    X86_VPERMILPDYrm	= 5023,
-    X86_VPERMILPDYrr	= 5024,
-    X86_VPERMILPDZmi	= 5025,
-    X86_VPERMILPDZri	= 5026,
-    X86_VPERMILPDmi	= 5027,
-    X86_VPERMILPDri	= 5028,
-    X86_VPERMILPDrm	= 5029,
-    X86_VPERMILPDrr	= 5030,
-    X86_VPERMILPSYmi	= 5031,
-    X86_VPERMILPSYri	= 5032,
-    X86_VPERMILPSYrm	= 5033,
-    X86_VPERMILPSYrr	= 5034,
-    X86_VPERMILPSZmi	= 5035,
-    X86_VPERMILPSZri	= 5036,
-    X86_VPERMILPSmi	= 5037,
-    X86_VPERMILPSri	= 5038,
-    X86_VPERMILPSrm	= 5039,
-    X86_VPERMILPSrr	= 5040,
-    X86_VPERMPDYmi	= 5041,
-    X86_VPERMPDYri	= 5042,
-    X86_VPERMPDZmi	= 5043,
-    X86_VPERMPDZri	= 5044,
-    X86_VPERMPDZrm	= 5045,
-    X86_VPERMPDZrr	= 5046,
-    X86_VPERMPSYrm	= 5047,
-    X86_VPERMPSYrr	= 5048,
-    X86_VPERMPSZrm	= 5049,
-    X86_VPERMPSZrr	= 5050,
-    X86_VPERMQYmi	= 5051,
-    X86_VPERMQYri	= 5052,
-    X86_VPERMQZmi	= 5053,
-    X86_VPERMQZri	= 5054,
-    X86_VPERMQZrm	= 5055,
-    X86_VPERMQZrr	= 5056,
-    X86_VPERMT2Drm	= 5057,
-    X86_VPERMT2Drmk	= 5058,
-    X86_VPERMT2Drmkz	= 5059,
-    X86_VPERMT2Drr	= 5060,
-    X86_VPERMT2Drrk	= 5061,
-    X86_VPERMT2Drrkz	= 5062,
-    X86_VPERMT2PDrm	= 5063,
-    X86_VPERMT2PDrmk	= 5064,
-    X86_VPERMT2PDrmkz	= 5065,
-    X86_VPERMT2PDrr	= 5066,
-    X86_VPERMT2PDrrk	= 5067,
-    X86_VPERMT2PDrrkz	= 5068,
-    X86_VPERMT2PSrm	= 5069,
-    X86_VPERMT2PSrmk	= 5070,
-    X86_VPERMT2PSrmkz	= 5071,
-    X86_VPERMT2PSrr	= 5072,
-    X86_VPERMT2PSrrk	= 5073,
-    X86_VPERMT2PSrrkz	= 5074,
-    X86_VPERMT2Qrm	= 5075,
-    X86_VPERMT2Qrmk	= 5076,
-    X86_VPERMT2Qrmkz	= 5077,
-    X86_VPERMT2Qrr	= 5078,
-    X86_VPERMT2Qrrk	= 5079,
-    X86_VPERMT2Qrrkz	= 5080,
-    X86_VPEXTRBmr	= 5081,
-    X86_VPEXTRBrr	= 5082,
-    X86_VPEXTRDmr	= 5083,
-    X86_VPEXTRDrr	= 5084,
-    X86_VPEXTRQmr	= 5085,
-    X86_VPEXTRQrr	= 5086,
-    X86_VPEXTRWmr	= 5087,
-    X86_VPEXTRWri	= 5088,
-    X86_VPEXTRWrr_REV	= 5089,
-    X86_VPGATHERDDYrm	= 5090,
-    X86_VPGATHERDDZrm	= 5091,
-    X86_VPGATHERDDrm	= 5092,
-    X86_VPGATHERDQYrm	= 5093,
-    X86_VPGATHERDQZrm	= 5094,
-    X86_VPGATHERDQrm	= 5095,
-    X86_VPGATHERQDYrm	= 5096,
-    X86_VPGATHERQDZrm	= 5097,
-    X86_VPGATHERQDrm	= 5098,
-    X86_VPGATHERQQYrm	= 5099,
-    X86_VPGATHERQQZrm	= 5100,
-    X86_VPGATHERQQrm	= 5101,
-    X86_VPHADDBDrm	= 5102,
-    X86_VPHADDBDrr	= 5103,
-    X86_VPHADDBQrm	= 5104,
-    X86_VPHADDBQrr	= 5105,
-    X86_VPHADDBWrm	= 5106,
-    X86_VPHADDBWrr	= 5107,
-    X86_VPHADDDQrm	= 5108,
-    X86_VPHADDDQrr	= 5109,
-    X86_VPHADDDYrm	= 5110,
-    X86_VPHADDDYrr	= 5111,
-    X86_VPHADDDrm	= 5112,
-    X86_VPHADDDrr	= 5113,
-    X86_VPHADDSWrm128	= 5114,
-    X86_VPHADDSWrm256	= 5115,
-    X86_VPHADDSWrr128	= 5116,
-    X86_VPHADDSWrr256	= 5117,
-    X86_VPHADDUBDrm	= 5118,
-    X86_VPHADDUBDrr	= 5119,
-    X86_VPHADDUBQrm	= 5120,
-    X86_VPHADDUBQrr	= 5121,
-    X86_VPHADDUBWrm	= 5122,
-    X86_VPHADDUBWrr	= 5123,
-    X86_VPHADDUDQrm	= 5124,
-    X86_VPHADDUDQrr	= 5125,
-    X86_VPHADDUWDrm	= 5126,
-    X86_VPHADDUWDrr	= 5127,
-    X86_VPHADDUWQrm	= 5128,
-    X86_VPHADDUWQrr	= 5129,
-    X86_VPHADDWDrm	= 5130,
-    X86_VPHADDWDrr	= 5131,
-    X86_VPHADDWQrm	= 5132,
-    X86_VPHADDWQrr	= 5133,
-    X86_VPHADDWYrm	= 5134,
-    X86_VPHADDWYrr	= 5135,
-    X86_VPHADDWrm	= 5136,
-    X86_VPHADDWrr	= 5137,
-    X86_VPHMINPOSUWrm128	= 5138,
-    X86_VPHMINPOSUWrr128	= 5139,
-    X86_VPHSUBBWrm	= 5140,
-    X86_VPHSUBBWrr	= 5141,
-    X86_VPHSUBDQrm	= 5142,
-    X86_VPHSUBDQrr	= 5143,
-    X86_VPHSUBDYrm	= 5144,
-    X86_VPHSUBDYrr	= 5145,
-    X86_VPHSUBDrm	= 5146,
-    X86_VPHSUBDrr	= 5147,
-    X86_VPHSUBSWrm128	= 5148,
-    X86_VPHSUBSWrm256	= 5149,
-    X86_VPHSUBSWrr128	= 5150,
-    X86_VPHSUBSWrr256	= 5151,
-    X86_VPHSUBWDrm	= 5152,
-    X86_VPHSUBWDrr	= 5153,
-    X86_VPHSUBWYrm	= 5154,
-    X86_VPHSUBWYrr	= 5155,
-    X86_VPHSUBWrm	= 5156,
-    X86_VPHSUBWrr	= 5157,
-    X86_VPINSRBrm	= 5158,
-    X86_VPINSRBrr	= 5159,
-    X86_VPINSRDrm	= 5160,
-    X86_VPINSRDrr	= 5161,
-    X86_VPINSRQrm	= 5162,
-    X86_VPINSRQrr	= 5163,
-    X86_VPINSRWrmi	= 5164,
-    X86_VPINSRWrri	= 5165,
-    X86_VPLZCNTDrm	= 5166,
-    X86_VPLZCNTDrmb	= 5167,
-    X86_VPLZCNTDrmbk	= 5168,
-    X86_VPLZCNTDrmbkz	= 5169,
-    X86_VPLZCNTDrmk	= 5170,
-    X86_VPLZCNTDrmkz	= 5171,
-    X86_VPLZCNTDrr	= 5172,
-    X86_VPLZCNTDrrk	= 5173,
-    X86_VPLZCNTDrrkz	= 5174,
-    X86_VPLZCNTQrm	= 5175,
-    X86_VPLZCNTQrmb	= 5176,
-    X86_VPLZCNTQrmbk	= 5177,
-    X86_VPLZCNTQrmbkz	= 5178,
-    X86_VPLZCNTQrmk	= 5179,
-    X86_VPLZCNTQrmkz	= 5180,
-    X86_VPLZCNTQrr	= 5181,
-    X86_VPLZCNTQrrk	= 5182,
-    X86_VPLZCNTQrrkz	= 5183,
-    X86_VPMACSDDrm	= 5184,
-    X86_VPMACSDDrr	= 5185,
-    X86_VPMACSDQHrm	= 5186,
-    X86_VPMACSDQHrr	= 5187,
-    X86_VPMACSDQLrm	= 5188,
-    X86_VPMACSDQLrr	= 5189,
-    X86_VPMACSSDDrm	= 5190,
-    X86_VPMACSSDDrr	= 5191,
-    X86_VPMACSSDQHrm	= 5192,
-    X86_VPMACSSDQHrr	= 5193,
-    X86_VPMACSSDQLrm	= 5194,
-    X86_VPMACSSDQLrr	= 5195,
-    X86_VPMACSSWDrm	= 5196,
-    X86_VPMACSSWDrr	= 5197,
-    X86_VPMACSSWWrm	= 5198,
-    X86_VPMACSSWWrr	= 5199,
-    X86_VPMACSWDrm	= 5200,
-    X86_VPMACSWDrr	= 5201,
-    X86_VPMACSWWrm	= 5202,
-    X86_VPMACSWWrr	= 5203,
-    X86_VPMADCSSWDrm	= 5204,
-    X86_VPMADCSSWDrr	= 5205,
-    X86_VPMADCSWDrm	= 5206,
-    X86_VPMADCSWDrr	= 5207,
-    X86_VPMADDUBSWrm128	= 5208,
-    X86_VPMADDUBSWrm256	= 5209,
-    X86_VPMADDUBSWrr128	= 5210,
-    X86_VPMADDUBSWrr256	= 5211,
-    X86_VPMADDWDYrm	= 5212,
-    X86_VPMADDWDYrr	= 5213,
-    X86_VPMADDWDrm	= 5214,
-    X86_VPMADDWDrr	= 5215,
-    X86_VPMASKMOVDYmr	= 5216,
-    X86_VPMASKMOVDYrm	= 5217,
-    X86_VPMASKMOVDmr	= 5218,
-    X86_VPMASKMOVDrm	= 5219,
-    X86_VPMASKMOVQYmr	= 5220,
-    X86_VPMASKMOVQYrm	= 5221,
-    X86_VPMASKMOVQmr	= 5222,
-    X86_VPMASKMOVQrm	= 5223,
-    X86_VPMAXSBYrm	= 5224,
-    X86_VPMAXSBYrr	= 5225,
-    X86_VPMAXSBrm	= 5226,
-    X86_VPMAXSBrr	= 5227,
-    X86_VPMAXSDYrm	= 5228,
-    X86_VPMAXSDYrr	= 5229,
-    X86_VPMAXSDZrm	= 5230,
-    X86_VPMAXSDZrmb	= 5231,
-    X86_VPMAXSDZrmbk	= 5232,
-    X86_VPMAXSDZrmbkz	= 5233,
-    X86_VPMAXSDZrmk	= 5234,
-    X86_VPMAXSDZrmkz	= 5235,
-    X86_VPMAXSDZrr	= 5236,
-    X86_VPMAXSDZrrk	= 5237,
-    X86_VPMAXSDZrrkz	= 5238,
-    X86_VPMAXSDrm	= 5239,
-    X86_VPMAXSDrr	= 5240,
-    X86_VPMAXSQZrm	= 5241,
-    X86_VPMAXSQZrmb	= 5242,
-    X86_VPMAXSQZrmbk	= 5243,
-    X86_VPMAXSQZrmbkz	= 5244,
-    X86_VPMAXSQZrmk	= 5245,
-    X86_VPMAXSQZrmkz	= 5246,
-    X86_VPMAXSQZrr	= 5247,
-    X86_VPMAXSQZrrk	= 5248,
-    X86_VPMAXSQZrrkz	= 5249,
-    X86_VPMAXSWYrm	= 5250,
-    X86_VPMAXSWYrr	= 5251,
-    X86_VPMAXSWrm	= 5252,
-    X86_VPMAXSWrr	= 5253,
-    X86_VPMAXUBYrm	= 5254,
-    X86_VPMAXUBYrr	= 5255,
-    X86_VPMAXUBrm	= 5256,
-    X86_VPMAXUBrr	= 5257,
-    X86_VPMAXUDYrm	= 5258,
-    X86_VPMAXUDYrr	= 5259,
-    X86_VPMAXUDZrm	= 5260,
-    X86_VPMAXUDZrmb	= 5261,
-    X86_VPMAXUDZrmbk	= 5262,
-    X86_VPMAXUDZrmbkz	= 5263,
-    X86_VPMAXUDZrmk	= 5264,
-    X86_VPMAXUDZrmkz	= 5265,
-    X86_VPMAXUDZrr	= 5266,
-    X86_VPMAXUDZrrk	= 5267,
-    X86_VPMAXUDZrrkz	= 5268,
-    X86_VPMAXUDrm	= 5269,
-    X86_VPMAXUDrr	= 5270,
-    X86_VPMAXUQZrm	= 5271,
-    X86_VPMAXUQZrmb	= 5272,
-    X86_VPMAXUQZrmbk	= 5273,
-    X86_VPMAXUQZrmbkz	= 5274,
-    X86_VPMAXUQZrmk	= 5275,
-    X86_VPMAXUQZrmkz	= 5276,
-    X86_VPMAXUQZrr	= 5277,
-    X86_VPMAXUQZrrk	= 5278,
-    X86_VPMAXUQZrrkz	= 5279,
-    X86_VPMAXUWYrm	= 5280,
-    X86_VPMAXUWYrr	= 5281,
-    X86_VPMAXUWrm	= 5282,
-    X86_VPMAXUWrr	= 5283,
-    X86_VPMINSBYrm	= 5284,
-    X86_VPMINSBYrr	= 5285,
-    X86_VPMINSBrm	= 5286,
-    X86_VPMINSBrr	= 5287,
-    X86_VPMINSDYrm	= 5288,
-    X86_VPMINSDYrr	= 5289,
-    X86_VPMINSDZrm	= 5290,
-    X86_VPMINSDZrmb	= 5291,
-    X86_VPMINSDZrmbk	= 5292,
-    X86_VPMINSDZrmbkz	= 5293,
-    X86_VPMINSDZrmk	= 5294,
-    X86_VPMINSDZrmkz	= 5295,
-    X86_VPMINSDZrr	= 5296,
-    X86_VPMINSDZrrk	= 5297,
-    X86_VPMINSDZrrkz	= 5298,
-    X86_VPMINSDrm	= 5299,
-    X86_VPMINSDrr	= 5300,
-    X86_VPMINSQZrm	= 5301,
-    X86_VPMINSQZrmb	= 5302,
-    X86_VPMINSQZrmbk	= 5303,
-    X86_VPMINSQZrmbkz	= 5304,
-    X86_VPMINSQZrmk	= 5305,
-    X86_VPMINSQZrmkz	= 5306,
-    X86_VPMINSQZrr	= 5307,
-    X86_VPMINSQZrrk	= 5308,
-    X86_VPMINSQZrrkz	= 5309,
-    X86_VPMINSWYrm	= 5310,
-    X86_VPMINSWYrr	= 5311,
-    X86_VPMINSWrm	= 5312,
-    X86_VPMINSWrr	= 5313,
-    X86_VPMINUBYrm	= 5314,
-    X86_VPMINUBYrr	= 5315,
-    X86_VPMINUBrm	= 5316,
-    X86_VPMINUBrr	= 5317,
-    X86_VPMINUDYrm	= 5318,
-    X86_VPMINUDYrr	= 5319,
-    X86_VPMINUDZrm	= 5320,
-    X86_VPMINUDZrmb	= 5321,
-    X86_VPMINUDZrmbk	= 5322,
-    X86_VPMINUDZrmbkz	= 5323,
-    X86_VPMINUDZrmk	= 5324,
-    X86_VPMINUDZrmkz	= 5325,
-    X86_VPMINUDZrr	= 5326,
-    X86_VPMINUDZrrk	= 5327,
-    X86_VPMINUDZrrkz	= 5328,
-    X86_VPMINUDrm	= 5329,
-    X86_VPMINUDrr	= 5330,
-    X86_VPMINUQZrm	= 5331,
-    X86_VPMINUQZrmb	= 5332,
-    X86_VPMINUQZrmbk	= 5333,
-    X86_VPMINUQZrmbkz	= 5334,
-    X86_VPMINUQZrmk	= 5335,
-    X86_VPMINUQZrmkz	= 5336,
-    X86_VPMINUQZrr	= 5337,
-    X86_VPMINUQZrrk	= 5338,
-    X86_VPMINUQZrrkz	= 5339,
-    X86_VPMINUWYrm	= 5340,
-    X86_VPMINUWYrr	= 5341,
-    X86_VPMINUWrm	= 5342,
-    X86_VPMINUWrr	= 5343,
-    X86_VPMOVDBmr	= 5344,
-    X86_VPMOVDBmrk	= 5345,
-    X86_VPMOVDBrr	= 5346,
-    X86_VPMOVDBrrk	= 5347,
-    X86_VPMOVDBrrkz	= 5348,
-    X86_VPMOVDWmr	= 5349,
-    X86_VPMOVDWmrk	= 5350,
-    X86_VPMOVDWrr	= 5351,
-    X86_VPMOVDWrrk	= 5352,
-    X86_VPMOVDWrrkz	= 5353,
-    X86_VPMOVMSKBYrr	= 5354,
-    X86_VPMOVMSKBrr	= 5355,
-    X86_VPMOVQBmr	= 5356,
-    X86_VPMOVQBmrk	= 5357,
-    X86_VPMOVQBrr	= 5358,
-    X86_VPMOVQBrrk	= 5359,
-    X86_VPMOVQBrrkz	= 5360,
-    X86_VPMOVQDmr	= 5361,
-    X86_VPMOVQDmrk	= 5362,
-    X86_VPMOVQDrr	= 5363,
-    X86_VPMOVQDrrk	= 5364,
-    X86_VPMOVQDrrkz	= 5365,
-    X86_VPMOVQWmr	= 5366,
-    X86_VPMOVQWmrk	= 5367,
-    X86_VPMOVQWrr	= 5368,
-    X86_VPMOVQWrrk	= 5369,
-    X86_VPMOVQWrrkz	= 5370,
-    X86_VPMOVSDBmr	= 5371,
-    X86_VPMOVSDBmrk	= 5372,
-    X86_VPMOVSDBrr	= 5373,
-    X86_VPMOVSDBrrk	= 5374,
-    X86_VPMOVSDBrrkz	= 5375,
-    X86_VPMOVSDWmr	= 5376,
-    X86_VPMOVSDWmrk	= 5377,
-    X86_VPMOVSDWrr	= 5378,
-    X86_VPMOVSDWrrk	= 5379,
-    X86_VPMOVSDWrrkz	= 5380,
-    X86_VPMOVSQBmr	= 5381,
-    X86_VPMOVSQBmrk	= 5382,
-    X86_VPMOVSQBrr	= 5383,
-    X86_VPMOVSQBrrk	= 5384,
-    X86_VPMOVSQBrrkz	= 5385,
-    X86_VPMOVSQDmr	= 5386,
-    X86_VPMOVSQDmrk	= 5387,
-    X86_VPMOVSQDrr	= 5388,
-    X86_VPMOVSQDrrk	= 5389,
-    X86_VPMOVSQDrrkz	= 5390,
-    X86_VPMOVSQWmr	= 5391,
-    X86_VPMOVSQWmrk	= 5392,
-    X86_VPMOVSQWrr	= 5393,
-    X86_VPMOVSQWrrk	= 5394,
-    X86_VPMOVSQWrrkz	= 5395,
-    X86_VPMOVSXBDYrm	= 5396,
-    X86_VPMOVSXBDYrr	= 5397,
-    X86_VPMOVSXBDZrm	= 5398,
-    X86_VPMOVSXBDZrmk	= 5399,
-    X86_VPMOVSXBDZrmkz	= 5400,
-    X86_VPMOVSXBDZrr	= 5401,
-    X86_VPMOVSXBDZrrk	= 5402,
-    X86_VPMOVSXBDZrrkz	= 5403,
-    X86_VPMOVSXBDrm	= 5404,
-    X86_VPMOVSXBDrr	= 5405,
-    X86_VPMOVSXBQYrm	= 5406,
-    X86_VPMOVSXBQYrr	= 5407,
-    X86_VPMOVSXBQZrm	= 5408,
-    X86_VPMOVSXBQZrmk	= 5409,
-    X86_VPMOVSXBQZrmkz	= 5410,
-    X86_VPMOVSXBQZrr	= 5411,
-    X86_VPMOVSXBQZrrk	= 5412,
-    X86_VPMOVSXBQZrrkz	= 5413,
-    X86_VPMOVSXBQrm	= 5414,
-    X86_VPMOVSXBQrr	= 5415,
-    X86_VPMOVSXBWYrm	= 5416,
-    X86_VPMOVSXBWYrr	= 5417,
-    X86_VPMOVSXBWrm	= 5418,
-    X86_VPMOVSXBWrr	= 5419,
-    X86_VPMOVSXDQYrm	= 5420,
-    X86_VPMOVSXDQYrr	= 5421,
-    X86_VPMOVSXDQZrm	= 5422,
-    X86_VPMOVSXDQZrmk	= 5423,
-    X86_VPMOVSXDQZrmkz	= 5424,
-    X86_VPMOVSXDQZrr	= 5425,
-    X86_VPMOVSXDQZrrk	= 5426,
-    X86_VPMOVSXDQZrrkz	= 5427,
-    X86_VPMOVSXDQrm	= 5428,
-    X86_VPMOVSXDQrr	= 5429,
-    X86_VPMOVSXWDYrm	= 5430,
-    X86_VPMOVSXWDYrr	= 5431,
-    X86_VPMOVSXWDZrm	= 5432,
-    X86_VPMOVSXWDZrmk	= 5433,
-    X86_VPMOVSXWDZrmkz	= 5434,
-    X86_VPMOVSXWDZrr	= 5435,
-    X86_VPMOVSXWDZrrk	= 5436,
-    X86_VPMOVSXWDZrrkz	= 5437,
-    X86_VPMOVSXWDrm	= 5438,
-    X86_VPMOVSXWDrr	= 5439,
-    X86_VPMOVSXWQYrm	= 5440,
-    X86_VPMOVSXWQYrr	= 5441,
-    X86_VPMOVSXWQZrm	= 5442,
-    X86_VPMOVSXWQZrmk	= 5443,
-    X86_VPMOVSXWQZrmkz	= 5444,
-    X86_VPMOVSXWQZrr	= 5445,
-    X86_VPMOVSXWQZrrk	= 5446,
-    X86_VPMOVSXWQZrrkz	= 5447,
-    X86_VPMOVSXWQrm	= 5448,
-    X86_VPMOVSXWQrr	= 5449,
-    X86_VPMOVUSDBmr	= 5450,
-    X86_VPMOVUSDBmrk	= 5451,
-    X86_VPMOVUSDBrr	= 5452,
-    X86_VPMOVUSDBrrk	= 5453,
-    X86_VPMOVUSDBrrkz	= 5454,
-    X86_VPMOVUSDWmr	= 5455,
-    X86_VPMOVUSDWmrk	= 5456,
-    X86_VPMOVUSDWrr	= 5457,
-    X86_VPMOVUSDWrrk	= 5458,
-    X86_VPMOVUSDWrrkz	= 5459,
-    X86_VPMOVUSQBmr	= 5460,
-    X86_VPMOVUSQBmrk	= 5461,
-    X86_VPMOVUSQBrr	= 5462,
-    X86_VPMOVUSQBrrk	= 5463,
-    X86_VPMOVUSQBrrkz	= 5464,
-    X86_VPMOVUSQDmr	= 5465,
-    X86_VPMOVUSQDmrk	= 5466,
-    X86_VPMOVUSQDrr	= 5467,
-    X86_VPMOVUSQDrrk	= 5468,
-    X86_VPMOVUSQDrrkz	= 5469,
-    X86_VPMOVUSQWmr	= 5470,
-    X86_VPMOVUSQWmrk	= 5471,
-    X86_VPMOVUSQWrr	= 5472,
-    X86_VPMOVUSQWrrk	= 5473,
-    X86_VPMOVUSQWrrkz	= 5474,
-    X86_VPMOVZXBDYrm	= 5475,
-    X86_VPMOVZXBDYrr	= 5476,
-    X86_VPMOVZXBDZrm	= 5477,
-    X86_VPMOVZXBDZrmk	= 5478,
-    X86_VPMOVZXBDZrmkz	= 5479,
-    X86_VPMOVZXBDZrr	= 5480,
-    X86_VPMOVZXBDZrrk	= 5481,
-    X86_VPMOVZXBDZrrkz	= 5482,
-    X86_VPMOVZXBDrm	= 5483,
-    X86_VPMOVZXBDrr	= 5484,
-    X86_VPMOVZXBQYrm	= 5485,
-    X86_VPMOVZXBQYrr	= 5486,
-    X86_VPMOVZXBQZrm	= 5487,
-    X86_VPMOVZXBQZrmk	= 5488,
-    X86_VPMOVZXBQZrmkz	= 5489,
-    X86_VPMOVZXBQZrr	= 5490,
-    X86_VPMOVZXBQZrrk	= 5491,
-    X86_VPMOVZXBQZrrkz	= 5492,
-    X86_VPMOVZXBQrm	= 5493,
-    X86_VPMOVZXBQrr	= 5494,
-    X86_VPMOVZXBWYrm	= 5495,
-    X86_VPMOVZXBWYrr	= 5496,
-    X86_VPMOVZXBWrm	= 5497,
-    X86_VPMOVZXBWrr	= 5498,
-    X86_VPMOVZXDQYrm	= 5499,
-    X86_VPMOVZXDQYrr	= 5500,
-    X86_VPMOVZXDQZrm	= 5501,
-    X86_VPMOVZXDQZrmk	= 5502,
-    X86_VPMOVZXDQZrmkz	= 5503,
-    X86_VPMOVZXDQZrr	= 5504,
-    X86_VPMOVZXDQZrrk	= 5505,
-    X86_VPMOVZXDQZrrkz	= 5506,
-    X86_VPMOVZXDQrm	= 5507,
-    X86_VPMOVZXDQrr	= 5508,
-    X86_VPMOVZXWDYrm	= 5509,
-    X86_VPMOVZXWDYrr	= 5510,
-    X86_VPMOVZXWDZrm	= 5511,
-    X86_VPMOVZXWDZrmk	= 5512,
-    X86_VPMOVZXWDZrmkz	= 5513,
-    X86_VPMOVZXWDZrr	= 5514,
-    X86_VPMOVZXWDZrrk	= 5515,
-    X86_VPMOVZXWDZrrkz	= 5516,
-    X86_VPMOVZXWDrm	= 5517,
-    X86_VPMOVZXWDrr	= 5518,
-    X86_VPMOVZXWQYrm	= 5519,
-    X86_VPMOVZXWQYrr	= 5520,
-    X86_VPMOVZXWQZrm	= 5521,
-    X86_VPMOVZXWQZrmk	= 5522,
-    X86_VPMOVZXWQZrmkz	= 5523,
-    X86_VPMOVZXWQZrr	= 5524,
-    X86_VPMOVZXWQZrrk	= 5525,
-    X86_VPMOVZXWQZrrkz	= 5526,
-    X86_VPMOVZXWQrm	= 5527,
-    X86_VPMOVZXWQrr	= 5528,
-    X86_VPMULDQYrm	= 5529,
-    X86_VPMULDQYrr	= 5530,
-    X86_VPMULDQZrm	= 5531,
-    X86_VPMULDQZrmb	= 5532,
-    X86_VPMULDQZrmbk	= 5533,
-    X86_VPMULDQZrmbkz	= 5534,
-    X86_VPMULDQZrmk	= 5535,
-    X86_VPMULDQZrmkz	= 5536,
-    X86_VPMULDQZrr	= 5537,
-    X86_VPMULDQZrrk	= 5538,
-    X86_VPMULDQZrrkz	= 5539,
-    X86_VPMULDQrm	= 5540,
-    X86_VPMULDQrr	= 5541,
-    X86_VPMULHRSWrm128	= 5542,
-    X86_VPMULHRSWrm256	= 5543,
-    X86_VPMULHRSWrr128	= 5544,
-    X86_VPMULHRSWrr256	= 5545,
-    X86_VPMULHUWYrm	= 5546,
-    X86_VPMULHUWYrr	= 5547,
-    X86_VPMULHUWrm	= 5548,
-    X86_VPMULHUWrr	= 5549,
-    X86_VPMULHWYrm	= 5550,
-    X86_VPMULHWYrr	= 5551,
-    X86_VPMULHWrm	= 5552,
-    X86_VPMULHWrr	= 5553,
-    X86_VPMULLDYrm	= 5554,
-    X86_VPMULLDYrr	= 5555,
-    X86_VPMULLDZrm	= 5556,
-    X86_VPMULLDZrmb	= 5557,
-    X86_VPMULLDZrmbk	= 5558,
-    X86_VPMULLDZrmbkz	= 5559,
-    X86_VPMULLDZrmk	= 5560,
-    X86_VPMULLDZrmkz	= 5561,
-    X86_VPMULLDZrr	= 5562,
-    X86_VPMULLDZrrk	= 5563,
-    X86_VPMULLDZrrkz	= 5564,
-    X86_VPMULLDrm	= 5565,
-    X86_VPMULLDrr	= 5566,
-    X86_VPMULLWYrm	= 5567,
-    X86_VPMULLWYrr	= 5568,
-    X86_VPMULLWrm	= 5569,
-    X86_VPMULLWrr	= 5570,
-    X86_VPMULUDQYrm	= 5571,
-    X86_VPMULUDQYrr	= 5572,
-    X86_VPMULUDQZrm	= 5573,
-    X86_VPMULUDQZrmb	= 5574,
-    X86_VPMULUDQZrmbk	= 5575,
-    X86_VPMULUDQZrmbkz	= 5576,
-    X86_VPMULUDQZrmk	= 5577,
-    X86_VPMULUDQZrmkz	= 5578,
-    X86_VPMULUDQZrr	= 5579,
-    X86_VPMULUDQZrrk	= 5580,
-    X86_VPMULUDQZrrkz	= 5581,
-    X86_VPMULUDQrm	= 5582,
-    X86_VPMULUDQrr	= 5583,
-    X86_VPORDZrm	= 5584,
-    X86_VPORDZrmb	= 5585,
-    X86_VPORDZrmbk	= 5586,
-    X86_VPORDZrmbkz	= 5587,
-    X86_VPORDZrmk	= 5588,
-    X86_VPORDZrmkz	= 5589,
-    X86_VPORDZrr	= 5590,
-    X86_VPORDZrrk	= 5591,
-    X86_VPORDZrrkz	= 5592,
-    X86_VPORQZrm	= 5593,
-    X86_VPORQZrmb	= 5594,
-    X86_VPORQZrmbk	= 5595,
-    X86_VPORQZrmbkz	= 5596,
-    X86_VPORQZrmk	= 5597,
-    X86_VPORQZrmkz	= 5598,
-    X86_VPORQZrr	= 5599,
-    X86_VPORQZrrk	= 5600,
-    X86_VPORQZrrkz	= 5601,
-    X86_VPORYrm	= 5602,
-    X86_VPORYrr	= 5603,
-    X86_VPORrm	= 5604,
-    X86_VPORrr	= 5605,
-    X86_VPPERMmr	= 5606,
-    X86_VPPERMrm	= 5607,
-    X86_VPPERMrr	= 5608,
-    X86_VPROTBmi	= 5609,
-    X86_VPROTBmr	= 5610,
-    X86_VPROTBri	= 5611,
-    X86_VPROTBrm	= 5612,
-    X86_VPROTBrr	= 5613,
-    X86_VPROTDmi	= 5614,
-    X86_VPROTDmr	= 5615,
-    X86_VPROTDri	= 5616,
-    X86_VPROTDrm	= 5617,
-    X86_VPROTDrr	= 5618,
-    X86_VPROTQmi	= 5619,
-    X86_VPROTQmr	= 5620,
-    X86_VPROTQri	= 5621,
-    X86_VPROTQrm	= 5622,
-    X86_VPROTQrr	= 5623,
-    X86_VPROTWmi	= 5624,
-    X86_VPROTWmr	= 5625,
-    X86_VPROTWri	= 5626,
-    X86_VPROTWrm	= 5627,
-    X86_VPROTWrr	= 5628,
-    X86_VPSADBWYrm	= 5629,
-    X86_VPSADBWYrr	= 5630,
-    X86_VPSADBWrm	= 5631,
-    X86_VPSADBWrr	= 5632,
-    X86_VPSCATTERDDZmr	= 5633,
-    X86_VPSCATTERDQZmr	= 5634,
-    X86_VPSCATTERQDZmr	= 5635,
-    X86_VPSCATTERQQZmr	= 5636,
-    X86_VPSHABmr	= 5637,
-    X86_VPSHABrm	= 5638,
-    X86_VPSHABrr	= 5639,
-    X86_VPSHADmr	= 5640,
-    X86_VPSHADrm	= 5641,
-    X86_VPSHADrr	= 5642,
-    X86_VPSHAQmr	= 5643,
-    X86_VPSHAQrm	= 5644,
-    X86_VPSHAQrr	= 5645,
-    X86_VPSHAWmr	= 5646,
-    X86_VPSHAWrm	= 5647,
-    X86_VPSHAWrr	= 5648,
-    X86_VPSHLBmr	= 5649,
-    X86_VPSHLBrm	= 5650,
-    X86_VPSHLBrr	= 5651,
-    X86_VPSHLDmr	= 5652,
-    X86_VPSHLDrm	= 5653,
-    X86_VPSHLDrr	= 5654,
-    X86_VPSHLQmr	= 5655,
-    X86_VPSHLQrm	= 5656,
-    X86_VPSHLQrr	= 5657,
-    X86_VPSHLWmr	= 5658,
-    X86_VPSHLWrm	= 5659,
-    X86_VPSHLWrr	= 5660,
-    X86_VPSHUFBYrm	= 5661,
-    X86_VPSHUFBYrr	= 5662,
-    X86_VPSHUFBrm	= 5663,
-    X86_VPSHUFBrr	= 5664,
-    X86_VPSHUFDYmi	= 5665,
-    X86_VPSHUFDYri	= 5666,
-    X86_VPSHUFDZmi	= 5667,
-    X86_VPSHUFDZri	= 5668,
-    X86_VPSHUFDmi	= 5669,
-    X86_VPSHUFDri	= 5670,
-    X86_VPSHUFHWYmi	= 5671,
-    X86_VPSHUFHWYri	= 5672,
-    X86_VPSHUFHWmi	= 5673,
-    X86_VPSHUFHWri	= 5674,
-    X86_VPSHUFLWYmi	= 5675,
-    X86_VPSHUFLWYri	= 5676,
-    X86_VPSHUFLWmi	= 5677,
-    X86_VPSHUFLWri	= 5678,
-    X86_VPSIGNBYrm	= 5679,
-    X86_VPSIGNBYrr	= 5680,
-    X86_VPSIGNBrm	= 5681,
-    X86_VPSIGNBrr	= 5682,
-    X86_VPSIGNDYrm	= 5683,
-    X86_VPSIGNDYrr	= 5684,
-    X86_VPSIGNDrm	= 5685,
-    X86_VPSIGNDrr	= 5686,
-    X86_VPSIGNWYrm	= 5687,
-    X86_VPSIGNWYrr	= 5688,
-    X86_VPSIGNWrm	= 5689,
-    X86_VPSIGNWrr	= 5690,
-    X86_VPSLLDQYri	= 5691,
-    X86_VPSLLDQri	= 5692,
-    X86_VPSLLDYri	= 5693,
-    X86_VPSLLDYrm	= 5694,
-    X86_VPSLLDYrr	= 5695,
-    X86_VPSLLDZmi	= 5696,
-    X86_VPSLLDZmik	= 5697,
-    X86_VPSLLDZri	= 5698,
-    X86_VPSLLDZrik	= 5699,
-    X86_VPSLLDZrm	= 5700,
-    X86_VPSLLDZrmk	= 5701,
-    X86_VPSLLDZrr	= 5702,
-    X86_VPSLLDZrrk	= 5703,
-    X86_VPSLLDri	= 5704,
-    X86_VPSLLDrm	= 5705,
-    X86_VPSLLDrr	= 5706,
-    X86_VPSLLQYri	= 5707,
-    X86_VPSLLQYrm	= 5708,
-    X86_VPSLLQYrr	= 5709,
-    X86_VPSLLQZmi	= 5710,
-    X86_VPSLLQZmik	= 5711,
-    X86_VPSLLQZri	= 5712,
-    X86_VPSLLQZrik	= 5713,
-    X86_VPSLLQZrm	= 5714,
-    X86_VPSLLQZrmk	= 5715,
-    X86_VPSLLQZrr	= 5716,
-    X86_VPSLLQZrrk	= 5717,
-    X86_VPSLLQri	= 5718,
-    X86_VPSLLQrm	= 5719,
-    X86_VPSLLQrr	= 5720,
-    X86_VPSLLVDYrm	= 5721,
-    X86_VPSLLVDYrr	= 5722,
-    X86_VPSLLVDZrm	= 5723,
-    X86_VPSLLVDZrr	= 5724,
-    X86_VPSLLVDrm	= 5725,
-    X86_VPSLLVDrr	= 5726,
-    X86_VPSLLVQYrm	= 5727,
-    X86_VPSLLVQYrr	= 5728,
-    X86_VPSLLVQZrm	= 5729,
-    X86_VPSLLVQZrr	= 5730,
-    X86_VPSLLVQrm	= 5731,
-    X86_VPSLLVQrr	= 5732,
-    X86_VPSLLWYri	= 5733,
-    X86_VPSLLWYrm	= 5734,
-    X86_VPSLLWYrr	= 5735,
-    X86_VPSLLWri	= 5736,
-    X86_VPSLLWrm	= 5737,
-    X86_VPSLLWrr	= 5738,
-    X86_VPSRADYri	= 5739,
-    X86_VPSRADYrm	= 5740,
-    X86_VPSRADYrr	= 5741,
-    X86_VPSRADZmi	= 5742,
-    X86_VPSRADZmik	= 5743,
-    X86_VPSRADZri	= 5744,
-    X86_VPSRADZrik	= 5745,
-    X86_VPSRADZrm	= 5746,
-    X86_VPSRADZrmk	= 5747,
-    X86_VPSRADZrr	= 5748,
-    X86_VPSRADZrrk	= 5749,
-    X86_VPSRADri	= 5750,
-    X86_VPSRADrm	= 5751,
-    X86_VPSRADrr	= 5752,
-    X86_VPSRAQZmi	= 5753,
-    X86_VPSRAQZmik	= 5754,
-    X86_VPSRAQZri	= 5755,
-    X86_VPSRAQZrik	= 5756,
-    X86_VPSRAQZrm	= 5757,
-    X86_VPSRAQZrmk	= 5758,
-    X86_VPSRAQZrr	= 5759,
-    X86_VPSRAQZrrk	= 5760,
-    X86_VPSRAVDYrm	= 5761,
-    X86_VPSRAVDYrr	= 5762,
-    X86_VPSRAVDZrm	= 5763,
-    X86_VPSRAVDZrr	= 5764,
-    X86_VPSRAVDrm	= 5765,
-    X86_VPSRAVDrr	= 5766,
-    X86_VPSRAVQZrm	= 5767,
-    X86_VPSRAVQZrr	= 5768,
-    X86_VPSRAWYri	= 5769,
-    X86_VPSRAWYrm	= 5770,
-    X86_VPSRAWYrr	= 5771,
-    X86_VPSRAWri	= 5772,
-    X86_VPSRAWrm	= 5773,
-    X86_VPSRAWrr	= 5774,
-    X86_VPSRLDQYri	= 5775,
-    X86_VPSRLDQri	= 5776,
-    X86_VPSRLDYri	= 5777,
-    X86_VPSRLDYrm	= 5778,
-    X86_VPSRLDYrr	= 5779,
-    X86_VPSRLDZmi	= 5780,
-    X86_VPSRLDZmik	= 5781,
-    X86_VPSRLDZri	= 5782,
-    X86_VPSRLDZrik	= 5783,
-    X86_VPSRLDZrm	= 5784,
-    X86_VPSRLDZrmk	= 5785,
-    X86_VPSRLDZrr	= 5786,
-    X86_VPSRLDZrrk	= 5787,
-    X86_VPSRLDri	= 5788,
-    X86_VPSRLDrm	= 5789,
-    X86_VPSRLDrr	= 5790,
-    X86_VPSRLQYri	= 5791,
-    X86_VPSRLQYrm	= 5792,
-    X86_VPSRLQYrr	= 5793,
-    X86_VPSRLQZmi	= 5794,
-    X86_VPSRLQZmik	= 5795,
-    X86_VPSRLQZri	= 5796,
-    X86_VPSRLQZrik	= 5797,
-    X86_VPSRLQZrm	= 5798,
-    X86_VPSRLQZrmk	= 5799,
-    X86_VPSRLQZrr	= 5800,
-    X86_VPSRLQZrrk	= 5801,
-    X86_VPSRLQri	= 5802,
-    X86_VPSRLQrm	= 5803,
-    X86_VPSRLQrr	= 5804,
-    X86_VPSRLVDYrm	= 5805,
-    X86_VPSRLVDYrr	= 5806,
-    X86_VPSRLVDZrm	= 5807,
-    X86_VPSRLVDZrr	= 5808,
-    X86_VPSRLVDrm	= 5809,
-    X86_VPSRLVDrr	= 5810,
-    X86_VPSRLVQYrm	= 5811,
-    X86_VPSRLVQYrr	= 5812,
-    X86_VPSRLVQZrm	= 5813,
-    X86_VPSRLVQZrr	= 5814,
-    X86_VPSRLVQrm	= 5815,
-    X86_VPSRLVQrr	= 5816,
-    X86_VPSRLWYri	= 5817,
-    X86_VPSRLWYrm	= 5818,
-    X86_VPSRLWYrr	= 5819,
-    X86_VPSRLWri	= 5820,
-    X86_VPSRLWrm	= 5821,
-    X86_VPSRLWrr	= 5822,
-    X86_VPSUBBYrm	= 5823,
-    X86_VPSUBBYrr	= 5824,
-    X86_VPSUBBrm	= 5825,
-    X86_VPSUBBrr	= 5826,
-    X86_VPSUBDYrm	= 5827,
-    X86_VPSUBDYrr	= 5828,
-    X86_VPSUBDZrm	= 5829,
-    X86_VPSUBDZrmb	= 5830,
-    X86_VPSUBDZrmbk	= 5831,
-    X86_VPSUBDZrmbkz	= 5832,
-    X86_VPSUBDZrmk	= 5833,
-    X86_VPSUBDZrmkz	= 5834,
-    X86_VPSUBDZrr	= 5835,
-    X86_VPSUBDZrrk	= 5836,
-    X86_VPSUBDZrrkz	= 5837,
-    X86_VPSUBDrm	= 5838,
-    X86_VPSUBDrr	= 5839,
-    X86_VPSUBQYrm	= 5840,
-    X86_VPSUBQYrr	= 5841,
-    X86_VPSUBQZrm	= 5842,
-    X86_VPSUBQZrmb	= 5843,
-    X86_VPSUBQZrmbk	= 5844,
-    X86_VPSUBQZrmbkz	= 5845,
-    X86_VPSUBQZrmk	= 5846,
-    X86_VPSUBQZrmkz	= 5847,
-    X86_VPSUBQZrr	= 5848,
-    X86_VPSUBQZrrk	= 5849,
-    X86_VPSUBQZrrkz	= 5850,
-    X86_VPSUBQrm	= 5851,
-    X86_VPSUBQrr	= 5852,
-    X86_VPSUBSBYrm	= 5853,
-    X86_VPSUBSBYrr	= 5854,
-    X86_VPSUBSBrm	= 5855,
-    X86_VPSUBSBrr	= 5856,
-    X86_VPSUBSWYrm	= 5857,
-    X86_VPSUBSWYrr	= 5858,
-    X86_VPSUBSWrm	= 5859,
-    X86_VPSUBSWrr	= 5860,
-    X86_VPSUBUSBYrm	= 5861,
-    X86_VPSUBUSBYrr	= 5862,
-    X86_VPSUBUSBrm	= 5863,
-    X86_VPSUBUSBrr	= 5864,
-    X86_VPSUBUSWYrm	= 5865,
-    X86_VPSUBUSWYrr	= 5866,
-    X86_VPSUBUSWrm	= 5867,
-    X86_VPSUBUSWrr	= 5868,
-    X86_VPSUBWYrm	= 5869,
-    X86_VPSUBWYrr	= 5870,
-    X86_VPSUBWrm	= 5871,
-    X86_VPSUBWrr	= 5872,
-    X86_VPTESTMDZrm	= 5873,
-    X86_VPTESTMDZrr	= 5874,
-    X86_VPTESTMQZrm	= 5875,
-    X86_VPTESTMQZrr	= 5876,
-    X86_VPTESTNMDZrm	= 5877,
-    X86_VPTESTNMDZrr	= 5878,
-    X86_VPTESTNMQZrm	= 5879,
-    X86_VPTESTNMQZrr	= 5880,
-    X86_VPTESTYrm	= 5881,
-    X86_VPTESTYrr	= 5882,
-    X86_VPTESTrm	= 5883,
-    X86_VPTESTrr	= 5884,
-    X86_VPUNPCKHBWYrm	= 5885,
-    X86_VPUNPCKHBWYrr	= 5886,
-    X86_VPUNPCKHBWrm	= 5887,
-    X86_VPUNPCKHBWrr	= 5888,
-    X86_VPUNPCKHDQYrm	= 5889,
-    X86_VPUNPCKHDQYrr	= 5890,
-    X86_VPUNPCKHDQZrm	= 5891,
-    X86_VPUNPCKHDQZrr	= 5892,
-    X86_VPUNPCKHDQrm	= 5893,
-    X86_VPUNPCKHDQrr	= 5894,
-    X86_VPUNPCKHQDQYrm	= 5895,
-    X86_VPUNPCKHQDQYrr	= 5896,
-    X86_VPUNPCKHQDQZrm	= 5897,
-    X86_VPUNPCKHQDQZrr	= 5898,
-    X86_VPUNPCKHQDQrm	= 5899,
-    X86_VPUNPCKHQDQrr	= 5900,
-    X86_VPUNPCKHWDYrm	= 5901,
-    X86_VPUNPCKHWDYrr	= 5902,
-    X86_VPUNPCKHWDrm	= 5903,
-    X86_VPUNPCKHWDrr	= 5904,
-    X86_VPUNPCKLBWYrm	= 5905,
-    X86_VPUNPCKLBWYrr	= 5906,
-    X86_VPUNPCKLBWrm	= 5907,
-    X86_VPUNPCKLBWrr	= 5908,
-    X86_VPUNPCKLDQYrm	= 5909,
-    X86_VPUNPCKLDQYrr	= 5910,
-    X86_VPUNPCKLDQZrm	= 5911,
-    X86_VPUNPCKLDQZrr	= 5912,
-    X86_VPUNPCKLDQrm	= 5913,
-    X86_VPUNPCKLDQrr	= 5914,
-    X86_VPUNPCKLQDQYrm	= 5915,
-    X86_VPUNPCKLQDQYrr	= 5916,
-    X86_VPUNPCKLQDQZrm	= 5917,
-    X86_VPUNPCKLQDQZrr	= 5918,
-    X86_VPUNPCKLQDQrm	= 5919,
-    X86_VPUNPCKLQDQrr	= 5920,
-    X86_VPUNPCKLWDYrm	= 5921,
-    X86_VPUNPCKLWDYrr	= 5922,
-    X86_VPUNPCKLWDrm	= 5923,
-    X86_VPUNPCKLWDrr	= 5924,
-    X86_VPXORDZrm	= 5925,
-    X86_VPXORDZrmb	= 5926,
-    X86_VPXORDZrmbk	= 5927,
-    X86_VPXORDZrmbkz	= 5928,
-    X86_VPXORDZrmk	= 5929,
-    X86_VPXORDZrmkz	= 5930,
-    X86_VPXORDZrr	= 5931,
-    X86_VPXORDZrrk	= 5932,
-    X86_VPXORDZrrkz	= 5933,
-    X86_VPXORQZrm	= 5934,
-    X86_VPXORQZrmb	= 5935,
-    X86_VPXORQZrmbk	= 5936,
-    X86_VPXORQZrmbkz	= 5937,
-    X86_VPXORQZrmk	= 5938,
-    X86_VPXORQZrmkz	= 5939,
-    X86_VPXORQZrr	= 5940,
-    X86_VPXORQZrrk	= 5941,
-    X86_VPXORQZrrkz	= 5942,
-    X86_VPXORYrm	= 5943,
-    X86_VPXORYrr	= 5944,
-    X86_VPXORrm	= 5945,
-    X86_VPXORrr	= 5946,
-    X86_VRCP14PDZm	= 5947,
-    X86_VRCP14PDZr	= 5948,
-    X86_VRCP14PSZm	= 5949,
-    X86_VRCP14PSZr	= 5950,
-    X86_VRCP14SDrm	= 5951,
-    X86_VRCP14SDrr	= 5952,
-    X86_VRCP14SSrm	= 5953,
-    X86_VRCP14SSrr	= 5954,
-    X86_VRCP28PDZm	= 5955,
-    X86_VRCP28PDZr	= 5956,
-    X86_VRCP28PDZrb	= 5957,
-    X86_VRCP28PSZm	= 5958,
-    X86_VRCP28PSZr	= 5959,
-    X86_VRCP28PSZrb	= 5960,
-    X86_VRCP28SDrm	= 5961,
-    X86_VRCP28SDrr	= 5962,
-    X86_VRCP28SDrrb	= 5963,
-    X86_VRCP28SSrm	= 5964,
-    X86_VRCP28SSrr	= 5965,
-    X86_VRCP28SSrrb	= 5966,
-    X86_VRCPPSYm	= 5967,
-    X86_VRCPPSYm_Int	= 5968,
-    X86_VRCPPSYr	= 5969,
-    X86_VRCPPSYr_Int	= 5970,
-    X86_VRCPPSm	= 5971,
-    X86_VRCPPSm_Int	= 5972,
-    X86_VRCPPSr	= 5973,
-    X86_VRCPPSr_Int	= 5974,
-    X86_VRCPSSm	= 5975,
-    X86_VRCPSSm_Int	= 5976,
-    X86_VRCPSSr	= 5977,
-    X86_VRNDSCALEPDZm	= 5978,
-    X86_VRNDSCALEPDZr	= 5979,
-    X86_VRNDSCALEPSZm	= 5980,
-    X86_VRNDSCALEPSZr	= 5981,
-    X86_VRNDSCALESDm	= 5982,
-    X86_VRNDSCALESDr	= 5983,
-    X86_VRNDSCALESSm	= 5984,
-    X86_VRNDSCALESSr	= 5985,
-    X86_VROUNDPDm	= 5986,
-    X86_VROUNDPDr	= 5987,
-    X86_VROUNDPSm	= 5988,
-    X86_VROUNDPSr	= 5989,
-    X86_VROUNDSDm	= 5990,
-    X86_VROUNDSDr	= 5991,
-    X86_VROUNDSDr_Int	= 5992,
-    X86_VROUNDSSm	= 5993,
-    X86_VROUNDSSr	= 5994,
-    X86_VROUNDSSr_Int	= 5995,
-    X86_VROUNDYPDm	= 5996,
-    X86_VROUNDYPDr	= 5997,
-    X86_VROUNDYPSm	= 5998,
-    X86_VROUNDYPSr	= 5999,
-    X86_VRSQRT14PDZm	= 6000,
-    X86_VRSQRT14PDZr	= 6001,
-    X86_VRSQRT14PSZm	= 6002,
-    X86_VRSQRT14PSZr	= 6003,
-    X86_VRSQRT14SDrm	= 6004,
-    X86_VRSQRT14SDrr	= 6005,
-    X86_VRSQRT14SSrm	= 6006,
-    X86_VRSQRT14SSrr	= 6007,
-    X86_VRSQRT28PDZm	= 6008,
-    X86_VRSQRT28PDZr	= 6009,
-    X86_VRSQRT28PDZrb	= 6010,
-    X86_VRSQRT28PSZm	= 6011,
-    X86_VRSQRT28PSZr	= 6012,
-    X86_VRSQRT28PSZrb	= 6013,
-    X86_VRSQRT28SDrm	= 6014,
-    X86_VRSQRT28SDrr	= 6015,
-    X86_VRSQRT28SDrrb	= 6016,
-    X86_VRSQRT28SSrm	= 6017,
-    X86_VRSQRT28SSrr	= 6018,
-    X86_VRSQRT28SSrrb	= 6019,
-    X86_VRSQRTPSYm	= 6020,
-    X86_VRSQRTPSYm_Int	= 6021,
-    X86_VRSQRTPSYr	= 6022,
-    X86_VRSQRTPSYr_Int	= 6023,
-    X86_VRSQRTPSm	= 6024,
-    X86_VRSQRTPSm_Int	= 6025,
-    X86_VRSQRTPSr	= 6026,
-    X86_VRSQRTPSr_Int	= 6027,
-    X86_VRSQRTSSm	= 6028,
-    X86_VRSQRTSSm_Int	= 6029,
-    X86_VRSQRTSSr	= 6030,
-    X86_VSCATTERDPDZmr	= 6031,
-    X86_VSCATTERDPSZmr	= 6032,
-    X86_VSCATTERPF0DPDm	= 6033,
-    X86_VSCATTERPF0DPSm	= 6034,
-    X86_VSCATTERPF0QPDm	= 6035,
-    X86_VSCATTERPF0QPSm	= 6036,
-    X86_VSCATTERPF1DPDm	= 6037,
-    X86_VSCATTERPF1DPSm	= 6038,
-    X86_VSCATTERPF1QPDm	= 6039,
-    X86_VSCATTERPF1QPSm	= 6040,
-    X86_VSCATTERQPDZmr	= 6041,
-    X86_VSCATTERQPSZmr	= 6042,
-    X86_VSHUFPDYrmi	= 6043,
-    X86_VSHUFPDYrri	= 6044,
-    X86_VSHUFPDZrmi	= 6045,
-    X86_VSHUFPDZrri	= 6046,
-    X86_VSHUFPDrmi	= 6047,
-    X86_VSHUFPDrri	= 6048,
-    X86_VSHUFPSYrmi	= 6049,
-    X86_VSHUFPSYrri	= 6050,
-    X86_VSHUFPSZrmi	= 6051,
-    X86_VSHUFPSZrri	= 6052,
-    X86_VSHUFPSrmi	= 6053,
-    X86_VSHUFPSrri	= 6054,
-    X86_VSQRTPDYm	= 6055,
-    X86_VSQRTPDYr	= 6056,
-    X86_VSQRTPDZrm	= 6057,
-    X86_VSQRTPDZrr	= 6058,
-    X86_VSQRTPDm	= 6059,
-    X86_VSQRTPDr	= 6060,
-    X86_VSQRTPSYm	= 6061,
-    X86_VSQRTPSYr	= 6062,
-    X86_VSQRTPSZrm	= 6063,
-    X86_VSQRTPSZrr	= 6064,
-    X86_VSQRTPSm	= 6065,
-    X86_VSQRTPSr	= 6066,
-    X86_VSQRTSDZm	= 6067,
-    X86_VSQRTSDZm_Int	= 6068,
-    X86_VSQRTSDZr	= 6069,
-    X86_VSQRTSDZr_Int	= 6070,
-    X86_VSQRTSDm	= 6071,
-    X86_VSQRTSDm_Int	= 6072,
-    X86_VSQRTSDr	= 6073,
-    X86_VSQRTSSZm	= 6074,
-    X86_VSQRTSSZm_Int	= 6075,
-    X86_VSQRTSSZr	= 6076,
-    X86_VSQRTSSZr_Int	= 6077,
-    X86_VSQRTSSm	= 6078,
-    X86_VSQRTSSm_Int	= 6079,
-    X86_VSQRTSSr	= 6080,
-    X86_VSTMXCSR	= 6081,
-    X86_VSUBPDYrm	= 6082,
-    X86_VSUBPDYrr	= 6083,
-    X86_VSUBPDZrm	= 6084,
-    X86_VSUBPDZrmb	= 6085,
-    X86_VSUBPDZrmbk	= 6086,
-    X86_VSUBPDZrmbkz	= 6087,
-    X86_VSUBPDZrmk	= 6088,
-    X86_VSUBPDZrmkz	= 6089,
-    X86_VSUBPDZrr	= 6090,
-    X86_VSUBPDZrrk	= 6091,
-    X86_VSUBPDZrrkz	= 6092,
-    X86_VSUBPDrm	= 6093,
-    X86_VSUBPDrr	= 6094,
-    X86_VSUBPSYrm	= 6095,
-    X86_VSUBPSYrr	= 6096,
-    X86_VSUBPSZrm	= 6097,
-    X86_VSUBPSZrmb	= 6098,
-    X86_VSUBPSZrmbk	= 6099,
-    X86_VSUBPSZrmbkz	= 6100,
-    X86_VSUBPSZrmk	= 6101,
-    X86_VSUBPSZrmkz	= 6102,
-    X86_VSUBPSZrr	= 6103,
-    X86_VSUBPSZrrk	= 6104,
-    X86_VSUBPSZrrkz	= 6105,
-    X86_VSUBPSrm	= 6106,
-    X86_VSUBPSrr	= 6107,
-    X86_VSUBSDZrm	= 6108,
-    X86_VSUBSDZrr	= 6109,
-    X86_VSUBSDrm	= 6110,
-    X86_VSUBSDrm_Int	= 6111,
-    X86_VSUBSDrr	= 6112,
-    X86_VSUBSDrr_Int	= 6113,
-    X86_VSUBSSZrm	= 6114,
-    X86_VSUBSSZrr	= 6115,
-    X86_VSUBSSrm	= 6116,
-    X86_VSUBSSrm_Int	= 6117,
-    X86_VSUBSSrr	= 6118,
-    X86_VSUBSSrr_Int	= 6119,
-    X86_VTESTPDYrm	= 6120,
-    X86_VTESTPDYrr	= 6121,
-    X86_VTESTPDrm	= 6122,
-    X86_VTESTPDrr	= 6123,
-    X86_VTESTPSYrm	= 6124,
-    X86_VTESTPSYrr	= 6125,
-    X86_VTESTPSrm	= 6126,
-    X86_VTESTPSrr	= 6127,
-    X86_VUCOMISDZrm	= 6128,
-    X86_VUCOMISDZrr	= 6129,
-    X86_VUCOMISDrm	= 6130,
-    X86_VUCOMISDrr	= 6131,
-    X86_VUCOMISSZrm	= 6132,
-    X86_VUCOMISSZrr	= 6133,
-    X86_VUCOMISSrm	= 6134,
-    X86_VUCOMISSrr	= 6135,
-    X86_VUNPCKHPDYrm	= 6136,
-    X86_VUNPCKHPDYrr	= 6137,
-    X86_VUNPCKHPDZrm	= 6138,
-    X86_VUNPCKHPDZrr	= 6139,
-    X86_VUNPCKHPDrm	= 6140,
-    X86_VUNPCKHPDrr	= 6141,
-    X86_VUNPCKHPSYrm	= 6142,
-    X86_VUNPCKHPSYrr	= 6143,
-    X86_VUNPCKHPSZrm	= 6144,
-    X86_VUNPCKHPSZrr	= 6145,
-    X86_VUNPCKHPSrm	= 6146,
-    X86_VUNPCKHPSrr	= 6147,
-    X86_VUNPCKLPDYrm	= 6148,
-    X86_VUNPCKLPDYrr	= 6149,
-    X86_VUNPCKLPDZrm	= 6150,
-    X86_VUNPCKLPDZrr	= 6151,
-    X86_VUNPCKLPDrm	= 6152,
-    X86_VUNPCKLPDrr	= 6153,
-    X86_VUNPCKLPSYrm	= 6154,
-    X86_VUNPCKLPSYrr	= 6155,
-    X86_VUNPCKLPSZrm	= 6156,
-    X86_VUNPCKLPSZrr	= 6157,
-    X86_VUNPCKLPSrm	= 6158,
-    X86_VUNPCKLPSrr	= 6159,
-    X86_VXORPDYrm	= 6160,
-    X86_VXORPDYrr	= 6161,
-    X86_VXORPDrm	= 6162,
-    X86_VXORPDrr	= 6163,
-    X86_VXORPSYrm	= 6164,
-    X86_VXORPSYrr	= 6165,
-    X86_VXORPSrm	= 6166,
-    X86_VXORPSrr	= 6167,
-    X86_VZEROALL	= 6168,
-    X86_VZEROUPPER	= 6169,
-    X86_V_SET0	= 6170,
-    X86_V_SETALLONES	= 6171,
-    X86_W64ALLOCA	= 6172,
-    X86_WAIT	= 6173,
-    X86_WBINVD	= 6174,
-    X86_WIN_ALLOCA	= 6175,
-    X86_WIN_FTOL_32	= 6176,
-    X86_WIN_FTOL_64	= 6177,
-    X86_WRFSBASE	= 6178,
-    X86_WRFSBASE64	= 6179,
-    X86_WRGSBASE	= 6180,
-    X86_WRGSBASE64	= 6181,
-    X86_WRMSR	= 6182,
-    X86_XABORT	= 6183,
-    X86_XACQUIRE_PREFIX	= 6184,
-    X86_XADD16rm	= 6185,
-    X86_XADD16rr	= 6186,
-    X86_XADD32rm	= 6187,
-    X86_XADD32rr	= 6188,
-    X86_XADD64rm	= 6189,
-    X86_XADD64rr	= 6190,
-    X86_XADD8rm	= 6191,
-    X86_XADD8rr	= 6192,
-    X86_XBEGIN	= 6193,
-    X86_XBEGIN_4	= 6194,
-    X86_XCHG16ar	= 6195,
-    X86_XCHG16rm	= 6196,
-    X86_XCHG16rr	= 6197,
-    X86_XCHG32ar	= 6198,
-    X86_XCHG32ar64	= 6199,
-    X86_XCHG32rm	= 6200,
-    X86_XCHG32rr	= 6201,
-    X86_XCHG64ar	= 6202,
-    X86_XCHG64rm	= 6203,
-    X86_XCHG64rr	= 6204,
-    X86_XCHG8rm	= 6205,
-    X86_XCHG8rr	= 6206,
-    X86_XCH_F	= 6207,
-    X86_XCRYPTCBC	= 6208,
-    X86_XCRYPTCFB	= 6209,
-    X86_XCRYPTCTR	= 6210,
-    X86_XCRYPTECB	= 6211,
-    X86_XCRYPTOFB	= 6212,
-    X86_XEND	= 6213,
-    X86_XGETBV	= 6214,
-    X86_XLAT	= 6215,
-    X86_XOR16i16	= 6216,
-    X86_XOR16mi	= 6217,
-    X86_XOR16mi8	= 6218,
-    X86_XOR16mr	= 6219,
-    X86_XOR16ri	= 6220,
-    X86_XOR16ri8	= 6221,
-    X86_XOR16rm	= 6222,
-    X86_XOR16rr	= 6223,
-    X86_XOR16rr_REV	= 6224,
-    X86_XOR32i32	= 6225,
-    X86_XOR32mi	= 6226,
-    X86_XOR32mi8	= 6227,
-    X86_XOR32mr	= 6228,
-    X86_XOR32ri	= 6229,
-    X86_XOR32ri8	= 6230,
-    X86_XOR32rm	= 6231,
-    X86_XOR32rr	= 6232,
-    X86_XOR32rr_REV	= 6233,
-    X86_XOR64i32	= 6234,
-    X86_XOR64mi32	= 6235,
-    X86_XOR64mi8	= 6236,
-    X86_XOR64mr	= 6237,
-    X86_XOR64ri32	= 6238,
-    X86_XOR64ri8	= 6239,
-    X86_XOR64rm	= 6240,
-    X86_XOR64rr	= 6241,
-    X86_XOR64rr_REV	= 6242,
-    X86_XOR8i8	= 6243,
-    X86_XOR8mi	= 6244,
-    X86_XOR8mr	= 6245,
-    X86_XOR8ri	= 6246,
-    X86_XOR8ri8	= 6247,
-    X86_XOR8rm	= 6248,
-    X86_XOR8rr	= 6249,
-    X86_XOR8rr_REV	= 6250,
-    X86_XORPDrm	= 6251,
-    X86_XORPDrr	= 6252,
-    X86_XORPSrm	= 6253,
-    X86_XORPSrr	= 6254,
-    X86_XRELEASE_PREFIX	= 6255,
-    X86_XRSTOR	= 6256,
-    X86_XRSTOR64	= 6257,
-    X86_XSAVE	= 6258,
-    X86_XSAVE64	= 6259,
-    X86_XSAVEOPT	= 6260,
-    X86_XSAVEOPT64	= 6261,
-    X86_XSETBV	= 6262,
-    X86_XSHA1	= 6263,
-    X86_XSHA256	= 6264,
-    X86_XSTORE	= 6265,
-    X86_XTEST	= 6266,
-    X86_INSTRUCTION_LIST_END = 6267
+    X86_STATEPOINT	= 20,
+    X86_FRAME_ALLOC	= 21,
+    X86_AAA	= 22,
+    X86_AAD8i8	= 23,
+    X86_AAM8i8	= 24,
+    X86_AAS	= 25,
+    X86_ABS_F	= 26,
+    X86_ABS_Fp32	= 27,
+    X86_ABS_Fp64	= 28,
+    X86_ABS_Fp80	= 29,
+    X86_ACQUIRE_MOV16rm	= 30,
+    X86_ACQUIRE_MOV32rm	= 31,
+    X86_ACQUIRE_MOV64rm	= 32,
+    X86_ACQUIRE_MOV8rm	= 33,
+    X86_ADC16i16	= 34,
+    X86_ADC16mi	= 35,
+    X86_ADC16mi8	= 36,
+    X86_ADC16mr	= 37,
+    X86_ADC16ri	= 38,
+    X86_ADC16ri8	= 39,
+    X86_ADC16rm	= 40,
+    X86_ADC16rr	= 41,
+    X86_ADC16rr_REV	= 42,
+    X86_ADC32i32	= 43,
+    X86_ADC32mi	= 44,
+    X86_ADC32mi8	= 45,
+    X86_ADC32mr	= 46,
+    X86_ADC32ri	= 47,
+    X86_ADC32ri8	= 48,
+    X86_ADC32rm	= 49,
+    X86_ADC32rr	= 50,
+    X86_ADC32rr_REV	= 51,
+    X86_ADC64i32	= 52,
+    X86_ADC64mi32	= 53,
+    X86_ADC64mi8	= 54,
+    X86_ADC64mr	= 55,
+    X86_ADC64ri32	= 56,
+    X86_ADC64ri8	= 57,
+    X86_ADC64rm	= 58,
+    X86_ADC64rr	= 59,
+    X86_ADC64rr_REV	= 60,
+    X86_ADC8i8	= 61,
+    X86_ADC8mi	= 62,
+    X86_ADC8mi8	= 63,
+    X86_ADC8mr	= 64,
+    X86_ADC8ri	= 65,
+    X86_ADC8ri8	= 66,
+    X86_ADC8rm	= 67,
+    X86_ADC8rr	= 68,
+    X86_ADC8rr_REV	= 69,
+    X86_ADCX32rm	= 70,
+    X86_ADCX32rr	= 71,
+    X86_ADCX64rm	= 72,
+    X86_ADCX64rr	= 73,
+    X86_ADD16i16	= 74,
+    X86_ADD16mi	= 75,
+    X86_ADD16mi8	= 76,
+    X86_ADD16mr	= 77,
+    X86_ADD16ri	= 78,
+    X86_ADD16ri8	= 79,
+    X86_ADD16ri8_DB	= 80,
+    X86_ADD16ri_DB	= 81,
+    X86_ADD16rm	= 82,
+    X86_ADD16rr	= 83,
+    X86_ADD16rr_DB	= 84,
+    X86_ADD16rr_REV	= 85,
+    X86_ADD32i32	= 86,
+    X86_ADD32mi	= 87,
+    X86_ADD32mi8	= 88,
+    X86_ADD32mr	= 89,
+    X86_ADD32ri	= 90,
+    X86_ADD32ri8	= 91,
+    X86_ADD32ri8_DB	= 92,
+    X86_ADD32ri_DB	= 93,
+    X86_ADD32rm	= 94,
+    X86_ADD32rr	= 95,
+    X86_ADD32rr_DB	= 96,
+    X86_ADD32rr_REV	= 97,
+    X86_ADD64i32	= 98,
+    X86_ADD64mi32	= 99,
+    X86_ADD64mi8	= 100,
+    X86_ADD64mr	= 101,
+    X86_ADD64ri32	= 102,
+    X86_ADD64ri32_DB	= 103,
+    X86_ADD64ri8	= 104,
+    X86_ADD64ri8_DB	= 105,
+    X86_ADD64rm	= 106,
+    X86_ADD64rr	= 107,
+    X86_ADD64rr_DB	= 108,
+    X86_ADD64rr_REV	= 109,
+    X86_ADD8i8	= 110,
+    X86_ADD8mi	= 111,
+    X86_ADD8mi8	= 112,
+    X86_ADD8mr	= 113,
+    X86_ADD8ri	= 114,
+    X86_ADD8ri8	= 115,
+    X86_ADD8rm	= 116,
+    X86_ADD8rr	= 117,
+    X86_ADD8rr_REV	= 118,
+    X86_ADDPDrm	= 119,
+    X86_ADDPDrr	= 120,
+    X86_ADDPSrm	= 121,
+    X86_ADDPSrr	= 122,
+    X86_ADDSDrm	= 123,
+    X86_ADDSDrm_Int	= 124,
+    X86_ADDSDrr	= 125,
+    X86_ADDSDrr_Int	= 126,
+    X86_ADDSSrm	= 127,
+    X86_ADDSSrm_Int	= 128,
+    X86_ADDSSrr	= 129,
+    X86_ADDSSrr_Int	= 130,
+    X86_ADDSUBPDrm	= 131,
+    X86_ADDSUBPDrr	= 132,
+    X86_ADDSUBPSrm	= 133,
+    X86_ADDSUBPSrr	= 134,
+    X86_ADD_F32m	= 135,
+    X86_ADD_F64m	= 136,
+    X86_ADD_FI16m	= 137,
+    X86_ADD_FI32m	= 138,
+    X86_ADD_FPrST0	= 139,
+    X86_ADD_FST0r	= 140,
+    X86_ADD_Fp32	= 141,
+    X86_ADD_Fp32m	= 142,
+    X86_ADD_Fp64	= 143,
+    X86_ADD_Fp64m	= 144,
+    X86_ADD_Fp64m32	= 145,
+    X86_ADD_Fp80	= 146,
+    X86_ADD_Fp80m32	= 147,
+    X86_ADD_Fp80m64	= 148,
+    X86_ADD_FpI16m32	= 149,
+    X86_ADD_FpI16m64	= 150,
+    X86_ADD_FpI16m80	= 151,
+    X86_ADD_FpI32m32	= 152,
+    X86_ADD_FpI32m64	= 153,
+    X86_ADD_FpI32m80	= 154,
+    X86_ADD_FrST0	= 155,
+    X86_ADJCALLSTACKDOWN32	= 156,
+    X86_ADJCALLSTACKDOWN64	= 157,
+    X86_ADJCALLSTACKUP32	= 158,
+    X86_ADJCALLSTACKUP64	= 159,
+    X86_ADOX32rm	= 160,
+    X86_ADOX32rr	= 161,
+    X86_ADOX64rm	= 162,
+    X86_ADOX64rr	= 163,
+    X86_AESDECLASTrm	= 164,
+    X86_AESDECLASTrr	= 165,
+    X86_AESDECrm	= 166,
+    X86_AESDECrr	= 167,
+    X86_AESENCLASTrm	= 168,
+    X86_AESENCLASTrr	= 169,
+    X86_AESENCrm	= 170,
+    X86_AESENCrr	= 171,
+    X86_AESIMCrm	= 172,
+    X86_AESIMCrr	= 173,
+    X86_AESKEYGENASSIST128rm	= 174,
+    X86_AESKEYGENASSIST128rr	= 175,
+    X86_AND16i16	= 176,
+    X86_AND16mi	= 177,
+    X86_AND16mi8	= 178,
+    X86_AND16mr	= 179,
+    X86_AND16ri	= 180,
+    X86_AND16ri8	= 181,
+    X86_AND16rm	= 182,
+    X86_AND16rr	= 183,
+    X86_AND16rr_REV	= 184,
+    X86_AND32i32	= 185,
+    X86_AND32mi	= 186,
+    X86_AND32mi8	= 187,
+    X86_AND32mr	= 188,
+    X86_AND32ri	= 189,
+    X86_AND32ri8	= 190,
+    X86_AND32rm	= 191,
+    X86_AND32rr	= 192,
+    X86_AND32rr_REV	= 193,
+    X86_AND64i32	= 194,
+    X86_AND64mi32	= 195,
+    X86_AND64mi8	= 196,
+    X86_AND64mr	= 197,
+    X86_AND64ri32	= 198,
+    X86_AND64ri8	= 199,
+    X86_AND64rm	= 200,
+    X86_AND64rr	= 201,
+    X86_AND64rr_REV	= 202,
+    X86_AND8i8	= 203,
+    X86_AND8mi	= 204,
+    X86_AND8mi8	= 205,
+    X86_AND8mr	= 206,
+    X86_AND8ri	= 207,
+    X86_AND8ri8	= 208,
+    X86_AND8rm	= 209,
+    X86_AND8rr	= 210,
+    X86_AND8rr_REV	= 211,
+    X86_ANDN32rm	= 212,
+    X86_ANDN32rr	= 213,
+    X86_ANDN64rm	= 214,
+    X86_ANDN64rr	= 215,
+    X86_ANDNPDrm	= 216,
+    X86_ANDNPDrr	= 217,
+    X86_ANDNPSrm	= 218,
+    X86_ANDNPSrr	= 219,
+    X86_ANDPDrm	= 220,
+    X86_ANDPDrr	= 221,
+    X86_ANDPSrm	= 222,
+    X86_ANDPSrr	= 223,
+    X86_ARPL16mr	= 224,
+    X86_ARPL16rr	= 225,
+    X86_AVX2_SETALLONES	= 226,
+    X86_AVX512_512_SET0	= 227,
+    X86_AVX_SET0	= 228,
+    X86_BEXTR32rm	= 229,
+    X86_BEXTR32rr	= 230,
+    X86_BEXTR64rm	= 231,
+    X86_BEXTR64rr	= 232,
+    X86_BEXTRI32mi	= 233,
+    X86_BEXTRI32ri	= 234,
+    X86_BEXTRI64mi	= 235,
+    X86_BEXTRI64ri	= 236,
+    X86_BLCFILL32rm	= 237,
+    X86_BLCFILL32rr	= 238,
+    X86_BLCFILL64rm	= 239,
+    X86_BLCFILL64rr	= 240,
+    X86_BLCI32rm	= 241,
+    X86_BLCI32rr	= 242,
+    X86_BLCI64rm	= 243,
+    X86_BLCI64rr	= 244,
+    X86_BLCIC32rm	= 245,
+    X86_BLCIC32rr	= 246,
+    X86_BLCIC64rm	= 247,
+    X86_BLCIC64rr	= 248,
+    X86_BLCMSK32rm	= 249,
+    X86_BLCMSK32rr	= 250,
+    X86_BLCMSK64rm	= 251,
+    X86_BLCMSK64rr	= 252,
+    X86_BLCS32rm	= 253,
+    X86_BLCS32rr	= 254,
+    X86_BLCS64rm	= 255,
+    X86_BLCS64rr	= 256,
+    X86_BLENDPDrmi	= 257,
+    X86_BLENDPDrri	= 258,
+    X86_BLENDPSrmi	= 259,
+    X86_BLENDPSrri	= 260,
+    X86_BLENDVPDrm0	= 261,
+    X86_BLENDVPDrr0	= 262,
+    X86_BLENDVPSrm0	= 263,
+    X86_BLENDVPSrr0	= 264,
+    X86_BLSFILL32rm	= 265,
+    X86_BLSFILL32rr	= 266,
+    X86_BLSFILL64rm	= 267,
+    X86_BLSFILL64rr	= 268,
+    X86_BLSI32rm	= 269,
+    X86_BLSI32rr	= 270,
+    X86_BLSI64rm	= 271,
+    X86_BLSI64rr	= 272,
+    X86_BLSIC32rm	= 273,
+    X86_BLSIC32rr	= 274,
+    X86_BLSIC64rm	= 275,
+    X86_BLSIC64rr	= 276,
+    X86_BLSMSK32rm	= 277,
+    X86_BLSMSK32rr	= 278,
+    X86_BLSMSK64rm	= 279,
+    X86_BLSMSK64rr	= 280,
+    X86_BLSR32rm	= 281,
+    X86_BLSR32rr	= 282,
+    X86_BLSR64rm	= 283,
+    X86_BLSR64rr	= 284,
+    X86_BOUNDS16rm	= 285,
+    X86_BOUNDS32rm	= 286,
+    X86_BSF16rm	= 287,
+    X86_BSF16rr	= 288,
+    X86_BSF32rm	= 289,
+    X86_BSF32rr	= 290,
+    X86_BSF64rm	= 291,
+    X86_BSF64rr	= 292,
+    X86_BSR16rm	= 293,
+    X86_BSR16rr	= 294,
+    X86_BSR32rm	= 295,
+    X86_BSR32rr	= 296,
+    X86_BSR64rm	= 297,
+    X86_BSR64rr	= 298,
+    X86_BSWAP32r	= 299,
+    X86_BSWAP64r	= 300,
+    X86_BT16mi8	= 301,
+    X86_BT16mr	= 302,
+    X86_BT16ri8	= 303,
+    X86_BT16rr	= 304,
+    X86_BT32mi8	= 305,
+    X86_BT32mr	= 306,
+    X86_BT32ri8	= 307,
+    X86_BT32rr	= 308,
+    X86_BT64mi8	= 309,
+    X86_BT64mr	= 310,
+    X86_BT64ri8	= 311,
+    X86_BT64rr	= 312,
+    X86_BTC16mi8	= 313,
+    X86_BTC16mr	= 314,
+    X86_BTC16ri8	= 315,
+    X86_BTC16rr	= 316,
+    X86_BTC32mi8	= 317,
+    X86_BTC32mr	= 318,
+    X86_BTC32ri8	= 319,
+    X86_BTC32rr	= 320,
+    X86_BTC64mi8	= 321,
+    X86_BTC64mr	= 322,
+    X86_BTC64ri8	= 323,
+    X86_BTC64rr	= 324,
+    X86_BTR16mi8	= 325,
+    X86_BTR16mr	= 326,
+    X86_BTR16ri8	= 327,
+    X86_BTR16rr	= 328,
+    X86_BTR32mi8	= 329,
+    X86_BTR32mr	= 330,
+    X86_BTR32ri8	= 331,
+    X86_BTR32rr	= 332,
+    X86_BTR64mi8	= 333,
+    X86_BTR64mr	= 334,
+    X86_BTR64ri8	= 335,
+    X86_BTR64rr	= 336,
+    X86_BTS16mi8	= 337,
+    X86_BTS16mr	= 338,
+    X86_BTS16ri8	= 339,
+    X86_BTS16rr	= 340,
+    X86_BTS32mi8	= 341,
+    X86_BTS32mr	= 342,
+    X86_BTS32ri8	= 343,
+    X86_BTS32rr	= 344,
+    X86_BTS64mi8	= 345,
+    X86_BTS64mr	= 346,
+    X86_BTS64ri8	= 347,
+    X86_BTS64rr	= 348,
+    X86_BZHI32rm	= 349,
+    X86_BZHI32rr	= 350,
+    X86_BZHI64rm	= 351,
+    X86_BZHI64rr	= 352,
+    X86_CALL16m	= 353,
+    X86_CALL16r	= 354,
+    X86_CALL32m	= 355,
+    X86_CALL32r	= 356,
+    X86_CALL64m	= 357,
+    X86_CALL64pcrel32	= 358,
+    X86_CALL64r	= 359,
+    X86_CALLpcrel16	= 360,
+    X86_CALLpcrel32	= 361,
+    X86_CBW	= 362,
+    X86_CDQ	= 363,
+    X86_CDQE	= 364,
+    X86_CHS_F	= 365,
+    X86_CHS_Fp32	= 366,
+    X86_CHS_Fp64	= 367,
+    X86_CHS_Fp80	= 368,
+    X86_CLAC	= 369,
+    X86_CLC	= 370,
+    X86_CLD	= 371,
+    X86_CLFLUSH	= 372,
+    X86_CLFLUSHOPT	= 373,
+    X86_CLGI	= 374,
+    X86_CLI	= 375,
+    X86_CLTS	= 376,
+    X86_CLWB	= 377,
+    X86_CMC	= 378,
+    X86_CMOVA16rm	= 379,
+    X86_CMOVA16rr	= 380,
+    X86_CMOVA32rm	= 381,
+    X86_CMOVA32rr	= 382,
+    X86_CMOVA64rm	= 383,
+    X86_CMOVA64rr	= 384,
+    X86_CMOVAE16rm	= 385,
+    X86_CMOVAE16rr	= 386,
+    X86_CMOVAE32rm	= 387,
+    X86_CMOVAE32rr	= 388,
+    X86_CMOVAE64rm	= 389,
+    X86_CMOVAE64rr	= 390,
+    X86_CMOVB16rm	= 391,
+    X86_CMOVB16rr	= 392,
+    X86_CMOVB32rm	= 393,
+    X86_CMOVB32rr	= 394,
+    X86_CMOVB64rm	= 395,
+    X86_CMOVB64rr	= 396,
+    X86_CMOVBE16rm	= 397,
+    X86_CMOVBE16rr	= 398,
+    X86_CMOVBE32rm	= 399,
+    X86_CMOVBE32rr	= 400,
+    X86_CMOVBE64rm	= 401,
+    X86_CMOVBE64rr	= 402,
+    X86_CMOVBE_F	= 403,
+    X86_CMOVBE_Fp32	= 404,
+    X86_CMOVBE_Fp64	= 405,
+    X86_CMOVBE_Fp80	= 406,
+    X86_CMOVB_F	= 407,
+    X86_CMOVB_Fp32	= 408,
+    X86_CMOVB_Fp64	= 409,
+    X86_CMOVB_Fp80	= 410,
+    X86_CMOVE16rm	= 411,
+    X86_CMOVE16rr	= 412,
+    X86_CMOVE32rm	= 413,
+    X86_CMOVE32rr	= 414,
+    X86_CMOVE64rm	= 415,
+    X86_CMOVE64rr	= 416,
+    X86_CMOVE_F	= 417,
+    X86_CMOVE_Fp32	= 418,
+    X86_CMOVE_Fp64	= 419,
+    X86_CMOVE_Fp80	= 420,
+    X86_CMOVG16rm	= 421,
+    X86_CMOVG16rr	= 422,
+    X86_CMOVG32rm	= 423,
+    X86_CMOVG32rr	= 424,
+    X86_CMOVG64rm	= 425,
+    X86_CMOVG64rr	= 426,
+    X86_CMOVGE16rm	= 427,
+    X86_CMOVGE16rr	= 428,
+    X86_CMOVGE32rm	= 429,
+    X86_CMOVGE32rr	= 430,
+    X86_CMOVGE64rm	= 431,
+    X86_CMOVGE64rr	= 432,
+    X86_CMOVL16rm	= 433,
+    X86_CMOVL16rr	= 434,
+    X86_CMOVL32rm	= 435,
+    X86_CMOVL32rr	= 436,
+    X86_CMOVL64rm	= 437,
+    X86_CMOVL64rr	= 438,
+    X86_CMOVLE16rm	= 439,
+    X86_CMOVLE16rr	= 440,
+    X86_CMOVLE32rm	= 441,
+    X86_CMOVLE32rr	= 442,
+    X86_CMOVLE64rm	= 443,
+    X86_CMOVLE64rr	= 444,
+    X86_CMOVNBE_F	= 445,
+    X86_CMOVNBE_Fp32	= 446,
+    X86_CMOVNBE_Fp64	= 447,
+    X86_CMOVNBE_Fp80	= 448,
+    X86_CMOVNB_F	= 449,
+    X86_CMOVNB_Fp32	= 450,
+    X86_CMOVNB_Fp64	= 451,
+    X86_CMOVNB_Fp80	= 452,
+    X86_CMOVNE16rm	= 453,
+    X86_CMOVNE16rr	= 454,
+    X86_CMOVNE32rm	= 455,
+    X86_CMOVNE32rr	= 456,
+    X86_CMOVNE64rm	= 457,
+    X86_CMOVNE64rr	= 458,
+    X86_CMOVNE_F	= 459,
+    X86_CMOVNE_Fp32	= 460,
+    X86_CMOVNE_Fp64	= 461,
+    X86_CMOVNE_Fp80	= 462,
+    X86_CMOVNO16rm	= 463,
+    X86_CMOVNO16rr	= 464,
+    X86_CMOVNO32rm	= 465,
+    X86_CMOVNO32rr	= 466,
+    X86_CMOVNO64rm	= 467,
+    X86_CMOVNO64rr	= 468,
+    X86_CMOVNP16rm	= 469,
+    X86_CMOVNP16rr	= 470,
+    X86_CMOVNP32rm	= 471,
+    X86_CMOVNP32rr	= 472,
+    X86_CMOVNP64rm	= 473,
+    X86_CMOVNP64rr	= 474,
+    X86_CMOVNP_F	= 475,
+    X86_CMOVNP_Fp32	= 476,
+    X86_CMOVNP_Fp64	= 477,
+    X86_CMOVNP_Fp80	= 478,
+    X86_CMOVNS16rm	= 479,
+    X86_CMOVNS16rr	= 480,
+    X86_CMOVNS32rm	= 481,
+    X86_CMOVNS32rr	= 482,
+    X86_CMOVNS64rm	= 483,
+    X86_CMOVNS64rr	= 484,
+    X86_CMOVO16rm	= 485,
+    X86_CMOVO16rr	= 486,
+    X86_CMOVO32rm	= 487,
+    X86_CMOVO32rr	= 488,
+    X86_CMOVO64rm	= 489,
+    X86_CMOVO64rr	= 490,
+    X86_CMOVP16rm	= 491,
+    X86_CMOVP16rr	= 492,
+    X86_CMOVP32rm	= 493,
+    X86_CMOVP32rr	= 494,
+    X86_CMOVP64rm	= 495,
+    X86_CMOVP64rr	= 496,
+    X86_CMOVP_F	= 497,
+    X86_CMOVP_Fp32	= 498,
+    X86_CMOVP_Fp64	= 499,
+    X86_CMOVP_Fp80	= 500,
+    X86_CMOVS16rm	= 501,
+    X86_CMOVS16rr	= 502,
+    X86_CMOVS32rm	= 503,
+    X86_CMOVS32rr	= 504,
+    X86_CMOVS64rm	= 505,
+    X86_CMOVS64rr	= 506,
+    X86_CMOV_FR32	= 507,
+    X86_CMOV_FR64	= 508,
+    X86_CMOV_GR16	= 509,
+    X86_CMOV_GR32	= 510,
+    X86_CMOV_GR8	= 511,
+    X86_CMOV_RFP32	= 512,
+    X86_CMOV_RFP64	= 513,
+    X86_CMOV_RFP80	= 514,
+    X86_CMOV_V16F32	= 515,
+    X86_CMOV_V2F64	= 516,
+    X86_CMOV_V2I64	= 517,
+    X86_CMOV_V4F32	= 518,
+    X86_CMOV_V4F64	= 519,
+    X86_CMOV_V4I64	= 520,
+    X86_CMOV_V8F32	= 521,
+    X86_CMOV_V8F64	= 522,
+    X86_CMOV_V8I64	= 523,
+    X86_CMP16i16	= 524,
+    X86_CMP16mi	= 525,
+    X86_CMP16mi8	= 526,
+    X86_CMP16mr	= 527,
+    X86_CMP16ri	= 528,
+    X86_CMP16ri8	= 529,
+    X86_CMP16rm	= 530,
+    X86_CMP16rr	= 531,
+    X86_CMP16rr_REV	= 532,
+    X86_CMP32i32	= 533,
+    X86_CMP32mi	= 534,
+    X86_CMP32mi8	= 535,
+    X86_CMP32mr	= 536,
+    X86_CMP32ri	= 537,
+    X86_CMP32ri8	= 538,
+    X86_CMP32rm	= 539,
+    X86_CMP32rr	= 540,
+    X86_CMP32rr_REV	= 541,
+    X86_CMP64i32	= 542,
+    X86_CMP64mi32	= 543,
+    X86_CMP64mi8	= 544,
+    X86_CMP64mr	= 545,
+    X86_CMP64ri32	= 546,
+    X86_CMP64ri8	= 547,
+    X86_CMP64rm	= 548,
+    X86_CMP64rr	= 549,
+    X86_CMP64rr_REV	= 550,
+    X86_CMP8i8	= 551,
+    X86_CMP8mi	= 552,
+    X86_CMP8mi8	= 553,
+    X86_CMP8mr	= 554,
+    X86_CMP8ri	= 555,
+    X86_CMP8ri8	= 556,
+    X86_CMP8rm	= 557,
+    X86_CMP8rr	= 558,
+    X86_CMP8rr_REV	= 559,
+    X86_CMPPDrmi	= 560,
+    X86_CMPPDrmi_alt	= 561,
+    X86_CMPPDrri	= 562,
+    X86_CMPPDrri_alt	= 563,
+    X86_CMPPSrmi	= 564,
+    X86_CMPPSrmi_alt	= 565,
+    X86_CMPPSrri	= 566,
+    X86_CMPPSrri_alt	= 567,
+    X86_CMPSB	= 568,
+    X86_CMPSDrm	= 569,
+    X86_CMPSDrm_alt	= 570,
+    X86_CMPSDrr	= 571,
+    X86_CMPSDrr_alt	= 572,
+    X86_CMPSL	= 573,
+    X86_CMPSQ	= 574,
+    X86_CMPSSrm	= 575,
+    X86_CMPSSrm_alt	= 576,
+    X86_CMPSSrr	= 577,
+    X86_CMPSSrr_alt	= 578,
+    X86_CMPSW	= 579,
+    X86_CMPXCHG16B	= 580,
+    X86_CMPXCHG16rm	= 581,
+    X86_CMPXCHG16rr	= 582,
+    X86_CMPXCHG32rm	= 583,
+    X86_CMPXCHG32rr	= 584,
+    X86_CMPXCHG64rm	= 585,
+    X86_CMPXCHG64rr	= 586,
+    X86_CMPXCHG8B	= 587,
+    X86_CMPXCHG8rm	= 588,
+    X86_CMPXCHG8rr	= 589,
+    X86_COMISDrm	= 590,
+    X86_COMISDrr	= 591,
+    X86_COMISSrm	= 592,
+    X86_COMISSrr	= 593,
+    X86_COMP_FST0r	= 594,
+    X86_COM_FIPr	= 595,
+    X86_COM_FIr	= 596,
+    X86_COM_FST0r	= 597,
+    X86_COS_F	= 598,
+    X86_COS_Fp32	= 599,
+    X86_COS_Fp64	= 600,
+    X86_COS_Fp80	= 601,
+    X86_CPUID	= 602,
+    X86_CQO	= 603,
+    X86_CRC32r32m16	= 604,
+    X86_CRC32r32m32	= 605,
+    X86_CRC32r32m8	= 606,
+    X86_CRC32r32r16	= 607,
+    X86_CRC32r32r32	= 608,
+    X86_CRC32r32r8	= 609,
+    X86_CRC32r64m64	= 610,
+    X86_CRC32r64m8	= 611,
+    X86_CRC32r64r64	= 612,
+    X86_CRC32r64r8	= 613,
+    X86_CVTDQ2PDrm	= 614,
+    X86_CVTDQ2PDrr	= 615,
+    X86_CVTDQ2PSrm	= 616,
+    X86_CVTDQ2PSrr	= 617,
+    X86_CVTPD2DQrm	= 618,
+    X86_CVTPD2DQrr	= 619,
+    X86_CVTPD2PSrm	= 620,
+    X86_CVTPD2PSrr	= 621,
+    X86_CVTPS2DQrm	= 622,
+    X86_CVTPS2DQrr	= 623,
+    X86_CVTPS2PDrm	= 624,
+    X86_CVTPS2PDrr	= 625,
+    X86_CVTSD2SI64rm	= 626,
+    X86_CVTSD2SI64rr	= 627,
+    X86_CVTSD2SIrm	= 628,
+    X86_CVTSD2SIrr	= 629,
+    X86_CVTSD2SSrm	= 630,
+    X86_CVTSD2SSrr	= 631,
+    X86_CVTSI2SD64rm	= 632,
+    X86_CVTSI2SD64rr	= 633,
+    X86_CVTSI2SDrm	= 634,
+    X86_CVTSI2SDrr	= 635,
+    X86_CVTSI2SS64rm	= 636,
+    X86_CVTSI2SS64rr	= 637,
+    X86_CVTSI2SSrm	= 638,
+    X86_CVTSI2SSrr	= 639,
+    X86_CVTSS2SDrm	= 640,
+    X86_CVTSS2SDrr	= 641,
+    X86_CVTSS2SI64rm	= 642,
+    X86_CVTSS2SI64rr	= 643,
+    X86_CVTSS2SIrm	= 644,
+    X86_CVTSS2SIrr	= 645,
+    X86_CVTTPD2DQrm	= 646,
+    X86_CVTTPD2DQrr	= 647,
+    X86_CVTTPS2DQrm	= 648,
+    X86_CVTTPS2DQrr	= 649,
+    X86_CVTTSD2SI64rm	= 650,
+    X86_CVTTSD2SI64rr	= 651,
+    X86_CVTTSD2SIrm	= 652,
+    X86_CVTTSD2SIrr	= 653,
+    X86_CVTTSS2SI64rm	= 654,
+    X86_CVTTSS2SI64rr	= 655,
+    X86_CVTTSS2SIrm	= 656,
+    X86_CVTTSS2SIrr	= 657,
+    X86_CWD	= 658,
+    X86_CWDE	= 659,
+    X86_DAA	= 660,
+    X86_DAS	= 661,
+    X86_DATA16_PREFIX	= 662,
+    X86_DEC16m	= 663,
+    X86_DEC16r	= 664,
+    X86_DEC16r_alt	= 665,
+    X86_DEC32m	= 666,
+    X86_DEC32r	= 667,
+    X86_DEC32r_alt	= 668,
+    X86_DEC64m	= 669,
+    X86_DEC64r	= 670,
+    X86_DEC8m	= 671,
+    X86_DEC8r	= 672,
+    X86_DIV16m	= 673,
+    X86_DIV16r	= 674,
+    X86_DIV32m	= 675,
+    X86_DIV32r	= 676,
+    X86_DIV64m	= 677,
+    X86_DIV64r	= 678,
+    X86_DIV8m	= 679,
+    X86_DIV8r	= 680,
+    X86_DIVPDrm	= 681,
+    X86_DIVPDrr	= 682,
+    X86_DIVPSrm	= 683,
+    X86_DIVPSrr	= 684,
+    X86_DIVR_F32m	= 685,
+    X86_DIVR_F64m	= 686,
+    X86_DIVR_FI16m	= 687,
+    X86_DIVR_FI32m	= 688,
+    X86_DIVR_FPrST0	= 689,
+    X86_DIVR_FST0r	= 690,
+    X86_DIVR_Fp32m	= 691,
+    X86_DIVR_Fp64m	= 692,
+    X86_DIVR_Fp64m32	= 693,
+    X86_DIVR_Fp80m32	= 694,
+    X86_DIVR_Fp80m64	= 695,
+    X86_DIVR_FpI16m32	= 696,
+    X86_DIVR_FpI16m64	= 697,
+    X86_DIVR_FpI16m80	= 698,
+    X86_DIVR_FpI32m32	= 699,
+    X86_DIVR_FpI32m64	= 700,
+    X86_DIVR_FpI32m80	= 701,
+    X86_DIVR_FrST0	= 702,
+    X86_DIVSDrm	= 703,
+    X86_DIVSDrm_Int	= 704,
+    X86_DIVSDrr	= 705,
+    X86_DIVSDrr_Int	= 706,
+    X86_DIVSSrm	= 707,
+    X86_DIVSSrm_Int	= 708,
+    X86_DIVSSrr	= 709,
+    X86_DIVSSrr_Int	= 710,
+    X86_DIV_F32m	= 711,
+    X86_DIV_F64m	= 712,
+    X86_DIV_FI16m	= 713,
+    X86_DIV_FI32m	= 714,
+    X86_DIV_FPrST0	= 715,
+    X86_DIV_FST0r	= 716,
+    X86_DIV_Fp32	= 717,
+    X86_DIV_Fp32m	= 718,
+    X86_DIV_Fp64	= 719,
+    X86_DIV_Fp64m	= 720,
+    X86_DIV_Fp64m32	= 721,
+    X86_DIV_Fp80	= 722,
+    X86_DIV_Fp80m32	= 723,
+    X86_DIV_Fp80m64	= 724,
+    X86_DIV_FpI16m32	= 725,
+    X86_DIV_FpI16m64	= 726,
+    X86_DIV_FpI16m80	= 727,
+    X86_DIV_FpI32m32	= 728,
+    X86_DIV_FpI32m64	= 729,
+    X86_DIV_FpI32m80	= 730,
+    X86_DIV_FrST0	= 731,
+    X86_DPPDrmi	= 732,
+    X86_DPPDrri	= 733,
+    X86_DPPSrmi	= 734,
+    X86_DPPSrri	= 735,
+    X86_EH_RETURN	= 736,
+    X86_EH_RETURN64	= 737,
+    X86_EH_SjLj_LongJmp32	= 738,
+    X86_EH_SjLj_LongJmp64	= 739,
+    X86_EH_SjLj_SetJmp32	= 740,
+    X86_EH_SjLj_SetJmp64	= 741,
+    X86_EH_SjLj_Setup	= 742,
+    X86_ENCLS	= 743,
+    X86_ENCLU	= 744,
+    X86_ENTER	= 745,
+    X86_EXTRACTPSmr	= 746,
+    X86_EXTRACTPSrr	= 747,
+    X86_EXTRQ	= 748,
+    X86_EXTRQI	= 749,
+    X86_F2XM1	= 750,
+    X86_FARCALL16i	= 751,
+    X86_FARCALL16m	= 752,
+    X86_FARCALL32i	= 753,
+    X86_FARCALL32m	= 754,
+    X86_FARCALL64	= 755,
+    X86_FARJMP16i	= 756,
+    X86_FARJMP16m	= 757,
+    X86_FARJMP32i	= 758,
+    X86_FARJMP32m	= 759,
+    X86_FARJMP64	= 760,
+    X86_FBLDm	= 761,
+    X86_FBSTPm	= 762,
+    X86_FCOM32m	= 763,
+    X86_FCOM64m	= 764,
+    X86_FCOMP32m	= 765,
+    X86_FCOMP64m	= 766,
+    X86_FCOMPP	= 767,
+    X86_FDECSTP	= 768,
+    X86_FEMMS	= 769,
+    X86_FFREE	= 770,
+    X86_FICOM16m	= 771,
+    X86_FICOM32m	= 772,
+    X86_FICOMP16m	= 773,
+    X86_FICOMP32m	= 774,
+    X86_FINCSTP	= 775,
+    X86_FLDCW16m	= 776,
+    X86_FLDENVm	= 777,
+    X86_FLDL2E	= 778,
+    X86_FLDL2T	= 779,
+    X86_FLDLG2	= 780,
+    X86_FLDLN2	= 781,
+    X86_FLDPI	= 782,
+    X86_FNCLEX	= 783,
+    X86_FNINIT	= 784,
+    X86_FNOP	= 785,
+    X86_FNSTCW16m	= 786,
+    X86_FNSTSW16r	= 787,
+    X86_FNSTSWm	= 788,
+    X86_FP32_TO_INT16_IN_MEM	= 789,
+    X86_FP32_TO_INT32_IN_MEM	= 790,
+    X86_FP32_TO_INT64_IN_MEM	= 791,
+    X86_FP64_TO_INT16_IN_MEM	= 792,
+    X86_FP64_TO_INT32_IN_MEM	= 793,
+    X86_FP64_TO_INT64_IN_MEM	= 794,
+    X86_FP80_TO_INT16_IN_MEM	= 795,
+    X86_FP80_TO_INT32_IN_MEM	= 796,
+    X86_FP80_TO_INT64_IN_MEM	= 797,
+    X86_FPATAN	= 798,
+    X86_FPREM	= 799,
+    X86_FPREM1	= 800,
+    X86_FPTAN	= 801,
+    X86_FP_FFREEP	= 802,
+    X86_FRNDINT	= 803,
+    X86_FRSTORm	= 804,
+    X86_FSAVEm	= 805,
+    X86_FSCALE	= 806,
+    X86_FSETPM	= 807,
+    X86_FSINCOS	= 808,
+    X86_FSTENVm	= 809,
+    X86_FXAM	= 810,
+    X86_FXRSTOR	= 811,
+    X86_FXRSTOR64	= 812,
+    X86_FXSAVE	= 813,
+    X86_FXSAVE64	= 814,
+    X86_FXTRACT	= 815,
+    X86_FYL2X	= 816,
+    X86_FYL2XP1	= 817,
+    X86_FsANDNPDrm	= 818,
+    X86_FsANDNPDrr	= 819,
+    X86_FsANDNPSrm	= 820,
+    X86_FsANDNPSrr	= 821,
+    X86_FsANDPDrm	= 822,
+    X86_FsANDPDrr	= 823,
+    X86_FsANDPSrm	= 824,
+    X86_FsANDPSrr	= 825,
+    X86_FsFLD0SD	= 826,
+    X86_FsFLD0SS	= 827,
+    X86_FsMOVAPDrm	= 828,
+    X86_FsMOVAPSrm	= 829,
+    X86_FsORPDrm	= 830,
+    X86_FsORPDrr	= 831,
+    X86_FsORPSrm	= 832,
+    X86_FsORPSrr	= 833,
+    X86_FsVMOVAPDrm	= 834,
+    X86_FsVMOVAPSrm	= 835,
+    X86_FsXORPDrm	= 836,
+    X86_FsXORPDrr	= 837,
+    X86_FsXORPSrm	= 838,
+    X86_FsXORPSrr	= 839,
+    X86_FvANDNPDrm	= 840,
+    X86_FvANDNPDrr	= 841,
+    X86_FvANDNPSrm	= 842,
+    X86_FvANDNPSrr	= 843,
+    X86_FvANDPDrm	= 844,
+    X86_FvANDPDrr	= 845,
+    X86_FvANDPSrm	= 846,
+    X86_FvANDPSrr	= 847,
+    X86_FvORPDrm	= 848,
+    X86_FvORPDrr	= 849,
+    X86_FvORPSrm	= 850,
+    X86_FvORPSrr	= 851,
+    X86_FvXORPDrm	= 852,
+    X86_FvXORPDrr	= 853,
+    X86_FvXORPSrm	= 854,
+    X86_FvXORPSrr	= 855,
+    X86_GETSEC	= 856,
+    X86_HADDPDrm	= 857,
+    X86_HADDPDrr	= 858,
+    X86_HADDPSrm	= 859,
+    X86_HADDPSrr	= 860,
+    X86_HLT	= 861,
+    X86_HSUBPDrm	= 862,
+    X86_HSUBPDrr	= 863,
+    X86_HSUBPSrm	= 864,
+    X86_HSUBPSrr	= 865,
+    X86_IDIV16m	= 866,
+    X86_IDIV16r	= 867,
+    X86_IDIV32m	= 868,
+    X86_IDIV32r	= 869,
+    X86_IDIV64m	= 870,
+    X86_IDIV64r	= 871,
+    X86_IDIV8m	= 872,
+    X86_IDIV8r	= 873,
+    X86_ILD_F16m	= 874,
+    X86_ILD_F32m	= 875,
+    X86_ILD_F64m	= 876,
+    X86_ILD_Fp16m32	= 877,
+    X86_ILD_Fp16m64	= 878,
+    X86_ILD_Fp16m80	= 879,
+    X86_ILD_Fp32m32	= 880,
+    X86_ILD_Fp32m64	= 881,
+    X86_ILD_Fp32m80	= 882,
+    X86_ILD_Fp64m32	= 883,
+    X86_ILD_Fp64m64	= 884,
+    X86_ILD_Fp64m80	= 885,
+    X86_IMUL16m	= 886,
+    X86_IMUL16r	= 887,
+    X86_IMUL16rm	= 888,
+    X86_IMUL16rmi	= 889,
+    X86_IMUL16rmi8	= 890,
+    X86_IMUL16rr	= 891,
+    X86_IMUL16rri	= 892,
+    X86_IMUL16rri8	= 893,
+    X86_IMUL32m	= 894,
+    X86_IMUL32r	= 895,
+    X86_IMUL32rm	= 896,
+    X86_IMUL32rmi	= 897,
+    X86_IMUL32rmi8	= 898,
+    X86_IMUL32rr	= 899,
+    X86_IMUL32rri	= 900,
+    X86_IMUL32rri8	= 901,
+    X86_IMUL64m	= 902,
+    X86_IMUL64r	= 903,
+    X86_IMUL64rm	= 904,
+    X86_IMUL64rmi32	= 905,
+    X86_IMUL64rmi8	= 906,
+    X86_IMUL64rr	= 907,
+    X86_IMUL64rri32	= 908,
+    X86_IMUL64rri8	= 909,
+    X86_IMUL8m	= 910,
+    X86_IMUL8r	= 911,
+    X86_IN16ri	= 912,
+    X86_IN16rr	= 913,
+    X86_IN32ri	= 914,
+    X86_IN32rr	= 915,
+    X86_IN8ri	= 916,
+    X86_IN8rr	= 917,
+    X86_INC16m	= 918,
+    X86_INC16r	= 919,
+    X86_INC16r_alt	= 920,
+    X86_INC32m	= 921,
+    X86_INC32r	= 922,
+    X86_INC32r_alt	= 923,
+    X86_INC64m	= 924,
+    X86_INC64r	= 925,
+    X86_INC8m	= 926,
+    X86_INC8r	= 927,
+    X86_INSB	= 928,
+    X86_INSERTPSrm	= 929,
+    X86_INSERTPSrr	= 930,
+    X86_INSERTQ	= 931,
+    X86_INSERTQI	= 932,
+    X86_INSL	= 933,
+    X86_INSW	= 934,
+    X86_INT	= 935,
+    X86_INT1	= 936,
+    X86_INT3	= 937,
+    X86_INTO	= 938,
+    X86_INVD	= 939,
+    X86_INVEPT32	= 940,
+    X86_INVEPT64	= 941,
+    X86_INVLPG	= 942,
+    X86_INVLPGA32	= 943,
+    X86_INVLPGA64	= 944,
+    X86_INVPCID32	= 945,
+    X86_INVPCID64	= 946,
+    X86_INVVPID32	= 947,
+    X86_INVVPID64	= 948,
+    X86_IRET16	= 949,
+    X86_IRET32	= 950,
+    X86_IRET64	= 951,
+    X86_ISTT_FP16m	= 952,
+    X86_ISTT_FP32m	= 953,
+    X86_ISTT_FP64m	= 954,
+    X86_ISTT_Fp16m32	= 955,
+    X86_ISTT_Fp16m64	= 956,
+    X86_ISTT_Fp16m80	= 957,
+    X86_ISTT_Fp32m32	= 958,
+    X86_ISTT_Fp32m64	= 959,
+    X86_ISTT_Fp32m80	= 960,
+    X86_ISTT_Fp64m32	= 961,
+    X86_ISTT_Fp64m64	= 962,
+    X86_ISTT_Fp64m80	= 963,
+    X86_IST_F16m	= 964,
+    X86_IST_F32m	= 965,
+    X86_IST_FP16m	= 966,
+    X86_IST_FP32m	= 967,
+    X86_IST_FP64m	= 968,
+    X86_IST_Fp16m32	= 969,
+    X86_IST_Fp16m64	= 970,
+    X86_IST_Fp16m80	= 971,
+    X86_IST_Fp32m32	= 972,
+    X86_IST_Fp32m64	= 973,
+    X86_IST_Fp32m80	= 974,
+    X86_IST_Fp64m32	= 975,
+    X86_IST_Fp64m64	= 976,
+    X86_IST_Fp64m80	= 977,
+    X86_Int_CMPSDrm	= 978,
+    X86_Int_CMPSDrr	= 979,
+    X86_Int_CMPSSrm	= 980,
+    X86_Int_CMPSSrr	= 981,
+    X86_Int_COMISDrm	= 982,
+    X86_Int_COMISDrr	= 983,
+    X86_Int_COMISSrm	= 984,
+    X86_Int_COMISSrr	= 985,
+    X86_Int_CVTSD2SSrm	= 986,
+    X86_Int_CVTSD2SSrr	= 987,
+    X86_Int_CVTSI2SD64rm	= 988,
+    X86_Int_CVTSI2SD64rr	= 989,
+    X86_Int_CVTSI2SDrm	= 990,
+    X86_Int_CVTSI2SDrr	= 991,
+    X86_Int_CVTSI2SS64rm	= 992,
+    X86_Int_CVTSI2SS64rr	= 993,
+    X86_Int_CVTSI2SSrm	= 994,
+    X86_Int_CVTSI2SSrr	= 995,
+    X86_Int_CVTSS2SDrm	= 996,
+    X86_Int_CVTSS2SDrr	= 997,
+    X86_Int_CVTTSD2SI64rm	= 998,
+    X86_Int_CVTTSD2SI64rr	= 999,
+    X86_Int_CVTTSD2SIrm	= 1000,
+    X86_Int_CVTTSD2SIrr	= 1001,
+    X86_Int_CVTTSS2SI64rm	= 1002,
+    X86_Int_CVTTSS2SI64rr	= 1003,
+    X86_Int_CVTTSS2SIrm	= 1004,
+    X86_Int_CVTTSS2SIrr	= 1005,
+    X86_Int_MemBarrier	= 1006,
+    X86_Int_UCOMISDrm	= 1007,
+    X86_Int_UCOMISDrr	= 1008,
+    X86_Int_UCOMISSrm	= 1009,
+    X86_Int_UCOMISSrr	= 1010,
+    X86_Int_VCMPSDrm	= 1011,
+    X86_Int_VCMPSDrr	= 1012,
+    X86_Int_VCMPSSrm	= 1013,
+    X86_Int_VCMPSSrr	= 1014,
+    X86_Int_VCOMISDZrm	= 1015,
+    X86_Int_VCOMISDZrr	= 1016,
+    X86_Int_VCOMISDrm	= 1017,
+    X86_Int_VCOMISDrr	= 1018,
+    X86_Int_VCOMISSZrm	= 1019,
+    X86_Int_VCOMISSZrr	= 1020,
+    X86_Int_VCOMISSrm	= 1021,
+    X86_Int_VCOMISSrr	= 1022,
+    X86_Int_VCVTSD2SSrm	= 1023,
+    X86_Int_VCVTSD2SSrr	= 1024,
+    X86_Int_VCVTSI2SD64Zrm	= 1025,
+    X86_Int_VCVTSI2SD64Zrr	= 1026,
+    X86_Int_VCVTSI2SD64rm	= 1027,
+    X86_Int_VCVTSI2SD64rr	= 1028,
+    X86_Int_VCVTSI2SDZrm	= 1029,
+    X86_Int_VCVTSI2SDZrr	= 1030,
+    X86_Int_VCVTSI2SDrm	= 1031,
+    X86_Int_VCVTSI2SDrr	= 1032,
+    X86_Int_VCVTSI2SS64Zrm	= 1033,
+    X86_Int_VCVTSI2SS64Zrr	= 1034,
+    X86_Int_VCVTSI2SS64rm	= 1035,
+    X86_Int_VCVTSI2SS64rr	= 1036,
+    X86_Int_VCVTSI2SSZrm	= 1037,
+    X86_Int_VCVTSI2SSZrr	= 1038,
+    X86_Int_VCVTSI2SSrm	= 1039,
+    X86_Int_VCVTSI2SSrr	= 1040,
+    X86_Int_VCVTSS2SDrm	= 1041,
+    X86_Int_VCVTSS2SDrr	= 1042,
+    X86_Int_VCVTTSD2SI64Zrm	= 1043,
+    X86_Int_VCVTTSD2SI64Zrr	= 1044,
+    X86_Int_VCVTTSD2SI64rm	= 1045,
+    X86_Int_VCVTTSD2SI64rr	= 1046,
+    X86_Int_VCVTTSD2SIZrm	= 1047,
+    X86_Int_VCVTTSD2SIZrr	= 1048,
+    X86_Int_VCVTTSD2SIrm	= 1049,
+    X86_Int_VCVTTSD2SIrr	= 1050,
+    X86_Int_VCVTTSD2USI64Zrm	= 1051,
+    X86_Int_VCVTTSD2USI64Zrr	= 1052,
+    X86_Int_VCVTTSD2USIZrm	= 1053,
+    X86_Int_VCVTTSD2USIZrr	= 1054,
+    X86_Int_VCVTTSS2SI64Zrm	= 1055,
+    X86_Int_VCVTTSS2SI64Zrr	= 1056,
+    X86_Int_VCVTTSS2SI64rm	= 1057,
+    X86_Int_VCVTTSS2SI64rr	= 1058,
+    X86_Int_VCVTTSS2SIZrm	= 1059,
+    X86_Int_VCVTTSS2SIZrr	= 1060,
+    X86_Int_VCVTTSS2SIrm	= 1061,
+    X86_Int_VCVTTSS2SIrr	= 1062,
+    X86_Int_VCVTTSS2USI64Zrm	= 1063,
+    X86_Int_VCVTTSS2USI64Zrr	= 1064,
+    X86_Int_VCVTTSS2USIZrm	= 1065,
+    X86_Int_VCVTTSS2USIZrr	= 1066,
+    X86_Int_VCVTUSI2SD64Zrm	= 1067,
+    X86_Int_VCVTUSI2SD64Zrr	= 1068,
+    X86_Int_VCVTUSI2SDZrm	= 1069,
+    X86_Int_VCVTUSI2SDZrr	= 1070,
+    X86_Int_VCVTUSI2SS64Zrm	= 1071,
+    X86_Int_VCVTUSI2SS64Zrr	= 1072,
+    X86_Int_VCVTUSI2SSZrm	= 1073,
+    X86_Int_VCVTUSI2SSZrr	= 1074,
+    X86_Int_VUCOMISDZrm	= 1075,
+    X86_Int_VUCOMISDZrr	= 1076,
+    X86_Int_VUCOMISDrm	= 1077,
+    X86_Int_VUCOMISDrr	= 1078,
+    X86_Int_VUCOMISSZrm	= 1079,
+    X86_Int_VUCOMISSZrr	= 1080,
+    X86_Int_VUCOMISSrm	= 1081,
+    X86_Int_VUCOMISSrr	= 1082,
+    X86_JAE_1	= 1083,
+    X86_JAE_2	= 1084,
+    X86_JAE_4	= 1085,
+    X86_JA_1	= 1086,
+    X86_JA_2	= 1087,
+    X86_JA_4	= 1088,
+    X86_JBE_1	= 1089,
+    X86_JBE_2	= 1090,
+    X86_JBE_4	= 1091,
+    X86_JB_1	= 1092,
+    X86_JB_2	= 1093,
+    X86_JB_4	= 1094,
+    X86_JCXZ	= 1095,
+    X86_JECXZ	= 1096,
+    X86_JE_1	= 1097,
+    X86_JE_2	= 1098,
+    X86_JE_4	= 1099,
+    X86_JGE_1	= 1100,
+    X86_JGE_2	= 1101,
+    X86_JGE_4	= 1102,
+    X86_JG_1	= 1103,
+    X86_JG_2	= 1104,
+    X86_JG_4	= 1105,
+    X86_JLE_1	= 1106,
+    X86_JLE_2	= 1107,
+    X86_JLE_4	= 1108,
+    X86_JL_1	= 1109,
+    X86_JL_2	= 1110,
+    X86_JL_4	= 1111,
+    X86_JMP16m	= 1112,
+    X86_JMP16r	= 1113,
+    X86_JMP32m	= 1114,
+    X86_JMP32r	= 1115,
+    X86_JMP64m	= 1116,
+    X86_JMP64r	= 1117,
+    X86_JMP_1	= 1118,
+    X86_JMP_2	= 1119,
+    X86_JMP_4	= 1120,
+    X86_JNE_1	= 1121,
+    X86_JNE_2	= 1122,
+    X86_JNE_4	= 1123,
+    X86_JNO_1	= 1124,
+    X86_JNO_2	= 1125,
+    X86_JNO_4	= 1126,
+    X86_JNP_1	= 1127,
+    X86_JNP_2	= 1128,
+    X86_JNP_4	= 1129,
+    X86_JNS_1	= 1130,
+    X86_JNS_2	= 1131,
+    X86_JNS_4	= 1132,
+    X86_JO_1	= 1133,
+    X86_JO_2	= 1134,
+    X86_JO_4	= 1135,
+    X86_JP_1	= 1136,
+    X86_JP_2	= 1137,
+    X86_JP_4	= 1138,
+    X86_JRCXZ	= 1139,
+    X86_JS_1	= 1140,
+    X86_JS_2	= 1141,
+    X86_JS_4	= 1142,
+    X86_KANDBrr	= 1143,
+    X86_KANDDrr	= 1144,
+    X86_KANDNBrr	= 1145,
+    X86_KANDNDrr	= 1146,
+    X86_KANDNQrr	= 1147,
+    X86_KANDNWrr	= 1148,
+    X86_KANDQrr	= 1149,
+    X86_KANDWrr	= 1150,
+    X86_KMOVBkk	= 1151,
+    X86_KMOVBkm	= 1152,
+    X86_KMOVBkr	= 1153,
+    X86_KMOVBmk	= 1154,
+    X86_KMOVBrk	= 1155,
+    X86_KMOVDkk	= 1156,
+    X86_KMOVDkm	= 1157,
+    X86_KMOVDkr	= 1158,
+    X86_KMOVDmk	= 1159,
+    X86_KMOVDrk	= 1160,
+    X86_KMOVQkk	= 1161,
+    X86_KMOVQkm	= 1162,
+    X86_KMOVQkr	= 1163,
+    X86_KMOVQmk	= 1164,
+    X86_KMOVQrk	= 1165,
+    X86_KMOVWkk	= 1166,
+    X86_KMOVWkm	= 1167,
+    X86_KMOVWkr	= 1168,
+    X86_KMOVWmk	= 1169,
+    X86_KMOVWrk	= 1170,
+    X86_KNOTBrr	= 1171,
+    X86_KNOTDrr	= 1172,
+    X86_KNOTQrr	= 1173,
+    X86_KNOTWrr	= 1174,
+    X86_KORBrr	= 1175,
+    X86_KORDrr	= 1176,
+    X86_KORQrr	= 1177,
+    X86_KORTESTBrr	= 1178,
+    X86_KORTESTDrr	= 1179,
+    X86_KORTESTQrr	= 1180,
+    X86_KORTESTWrr	= 1181,
+    X86_KORWrr	= 1182,
+    X86_KSET0B	= 1183,
+    X86_KSET0W	= 1184,
+    X86_KSET1B	= 1185,
+    X86_KSET1W	= 1186,
+    X86_KSHIFTLBri	= 1187,
+    X86_KSHIFTLDri	= 1188,
+    X86_KSHIFTLQri	= 1189,
+    X86_KSHIFTLWri	= 1190,
+    X86_KSHIFTRBri	= 1191,
+    X86_KSHIFTRDri	= 1192,
+    X86_KSHIFTRQri	= 1193,
+    X86_KSHIFTRWri	= 1194,
+    X86_KUNPCKBWrr	= 1195,
+    X86_KXNORBrr	= 1196,
+    X86_KXNORDrr	= 1197,
+    X86_KXNORQrr	= 1198,
+    X86_KXNORWrr	= 1199,
+    X86_KXORBrr	= 1200,
+    X86_KXORDrr	= 1201,
+    X86_KXORQrr	= 1202,
+    X86_KXORWrr	= 1203,
+    X86_LAHF	= 1204,
+    X86_LAR16rm	= 1205,
+    X86_LAR16rr	= 1206,
+    X86_LAR32rm	= 1207,
+    X86_LAR32rr	= 1208,
+    X86_LAR64rm	= 1209,
+    X86_LAR64rr	= 1210,
+    X86_LCMPXCHG16	= 1211,
+    X86_LCMPXCHG16B	= 1212,
+    X86_LCMPXCHG32	= 1213,
+    X86_LCMPXCHG64	= 1214,
+    X86_LCMPXCHG8	= 1215,
+    X86_LCMPXCHG8B	= 1216,
+    X86_LDDQUrm	= 1217,
+    X86_LDMXCSR	= 1218,
+    X86_LDS16rm	= 1219,
+    X86_LDS32rm	= 1220,
+    X86_LD_F0	= 1221,
+    X86_LD_F1	= 1222,
+    X86_LD_F32m	= 1223,
+    X86_LD_F64m	= 1224,
+    X86_LD_F80m	= 1225,
+    X86_LD_Fp032	= 1226,
+    X86_LD_Fp064	= 1227,
+    X86_LD_Fp080	= 1228,
+    X86_LD_Fp132	= 1229,
+    X86_LD_Fp164	= 1230,
+    X86_LD_Fp180	= 1231,
+    X86_LD_Fp32m	= 1232,
+    X86_LD_Fp32m64	= 1233,
+    X86_LD_Fp32m80	= 1234,
+    X86_LD_Fp64m	= 1235,
+    X86_LD_Fp64m80	= 1236,
+    X86_LD_Fp80m	= 1237,
+    X86_LD_Frr	= 1238,
+    X86_LEA16r	= 1239,
+    X86_LEA32r	= 1240,
+    X86_LEA64_32r	= 1241,
+    X86_LEA64r	= 1242,
+    X86_LEAVE	= 1243,
+    X86_LEAVE64	= 1244,
+    X86_LES16rm	= 1245,
+    X86_LES32rm	= 1246,
+    X86_LFENCE	= 1247,
+    X86_LFS16rm	= 1248,
+    X86_LFS32rm	= 1249,
+    X86_LFS64rm	= 1250,
+    X86_LGDT16m	= 1251,
+    X86_LGDT32m	= 1252,
+    X86_LGDT64m	= 1253,
+    X86_LGS16rm	= 1254,
+    X86_LGS32rm	= 1255,
+    X86_LGS64rm	= 1256,
+    X86_LIDT16m	= 1257,
+    X86_LIDT32m	= 1258,
+    X86_LIDT64m	= 1259,
+    X86_LLDT16m	= 1260,
+    X86_LLDT16r	= 1261,
+    X86_LMSW16m	= 1262,
+    X86_LMSW16r	= 1263,
+    X86_LOCK_ADD16mi	= 1264,
+    X86_LOCK_ADD16mi8	= 1265,
+    X86_LOCK_ADD16mr	= 1266,
+    X86_LOCK_ADD32mi	= 1267,
+    X86_LOCK_ADD32mi8	= 1268,
+    X86_LOCK_ADD32mr	= 1269,
+    X86_LOCK_ADD64mi32	= 1270,
+    X86_LOCK_ADD64mi8	= 1271,
+    X86_LOCK_ADD64mr	= 1272,
+    X86_LOCK_ADD8mi	= 1273,
+    X86_LOCK_ADD8mr	= 1274,
+    X86_LOCK_AND16mi	= 1275,
+    X86_LOCK_AND16mi8	= 1276,
+    X86_LOCK_AND16mr	= 1277,
+    X86_LOCK_AND32mi	= 1278,
+    X86_LOCK_AND32mi8	= 1279,
+    X86_LOCK_AND32mr	= 1280,
+    X86_LOCK_AND64mi32	= 1281,
+    X86_LOCK_AND64mi8	= 1282,
+    X86_LOCK_AND64mr	= 1283,
+    X86_LOCK_AND8mi	= 1284,
+    X86_LOCK_AND8mr	= 1285,
+    X86_LOCK_DEC16m	= 1286,
+    X86_LOCK_DEC32m	= 1287,
+    X86_LOCK_DEC64m	= 1288,
+    X86_LOCK_DEC8m	= 1289,
+    X86_LOCK_INC16m	= 1290,
+    X86_LOCK_INC32m	= 1291,
+    X86_LOCK_INC64m	= 1292,
+    X86_LOCK_INC8m	= 1293,
+    X86_LOCK_OR16mi	= 1294,
+    X86_LOCK_OR16mi8	= 1295,
+    X86_LOCK_OR16mr	= 1296,
+    X86_LOCK_OR32mi	= 1297,
+    X86_LOCK_OR32mi8	= 1298,
+    X86_LOCK_OR32mr	= 1299,
+    X86_LOCK_OR64mi32	= 1300,
+    X86_LOCK_OR64mi8	= 1301,
+    X86_LOCK_OR64mr	= 1302,
+    X86_LOCK_OR8mi	= 1303,
+    X86_LOCK_OR8mr	= 1304,
+    X86_LOCK_PREFIX	= 1305,
+    X86_LOCK_SUB16mi	= 1306,
+    X86_LOCK_SUB16mi8	= 1307,
+    X86_LOCK_SUB16mr	= 1308,
+    X86_LOCK_SUB32mi	= 1309,
+    X86_LOCK_SUB32mi8	= 1310,
+    X86_LOCK_SUB32mr	= 1311,
+    X86_LOCK_SUB64mi32	= 1312,
+    X86_LOCK_SUB64mi8	= 1313,
+    X86_LOCK_SUB64mr	= 1314,
+    X86_LOCK_SUB8mi	= 1315,
+    X86_LOCK_SUB8mr	= 1316,
+    X86_LOCK_XOR16mi	= 1317,
+    X86_LOCK_XOR16mi8	= 1318,
+    X86_LOCK_XOR16mr	= 1319,
+    X86_LOCK_XOR32mi	= 1320,
+    X86_LOCK_XOR32mi8	= 1321,
+    X86_LOCK_XOR32mr	= 1322,
+    X86_LOCK_XOR64mi32	= 1323,
+    X86_LOCK_XOR64mi8	= 1324,
+    X86_LOCK_XOR64mr	= 1325,
+    X86_LOCK_XOR8mi	= 1326,
+    X86_LOCK_XOR8mr	= 1327,
+    X86_LODSB	= 1328,
+    X86_LODSL	= 1329,
+    X86_LODSQ	= 1330,
+    X86_LODSW	= 1331,
+    X86_LOOP	= 1332,
+    X86_LOOPE	= 1333,
+    X86_LOOPNE	= 1334,
+    X86_LRETIL	= 1335,
+    X86_LRETIQ	= 1336,
+    X86_LRETIW	= 1337,
+    X86_LRETL	= 1338,
+    X86_LRETQ	= 1339,
+    X86_LRETW	= 1340,
+    X86_LSL16rm	= 1341,
+    X86_LSL16rr	= 1342,
+    X86_LSL32rm	= 1343,
+    X86_LSL32rr	= 1344,
+    X86_LSL64rm	= 1345,
+    X86_LSL64rr	= 1346,
+    X86_LSS16rm	= 1347,
+    X86_LSS32rm	= 1348,
+    X86_LSS64rm	= 1349,
+    X86_LTRm	= 1350,
+    X86_LTRr	= 1351,
+    X86_LXADD16	= 1352,
+    X86_LXADD32	= 1353,
+    X86_LXADD64	= 1354,
+    X86_LXADD8	= 1355,
+    X86_LZCNT16rm	= 1356,
+    X86_LZCNT16rr	= 1357,
+    X86_LZCNT32rm	= 1358,
+    X86_LZCNT32rr	= 1359,
+    X86_LZCNT64rm	= 1360,
+    X86_LZCNT64rr	= 1361,
+    X86_MASKMOVDQU	= 1362,
+    X86_MASKMOVDQU64	= 1363,
+    X86_MAXCPDrm	= 1364,
+    X86_MAXCPDrr	= 1365,
+    X86_MAXCPSrm	= 1366,
+    X86_MAXCPSrr	= 1367,
+    X86_MAXCSDrm	= 1368,
+    X86_MAXCSDrr	= 1369,
+    X86_MAXCSSrm	= 1370,
+    X86_MAXCSSrr	= 1371,
+    X86_MAXPDrm	= 1372,
+    X86_MAXPDrr	= 1373,
+    X86_MAXPSrm	= 1374,
+    X86_MAXPSrr	= 1375,
+    X86_MAXSDrm	= 1376,
+    X86_MAXSDrm_Int	= 1377,
+    X86_MAXSDrr	= 1378,
+    X86_MAXSDrr_Int	= 1379,
+    X86_MAXSSrm	= 1380,
+    X86_MAXSSrm_Int	= 1381,
+    X86_MAXSSrr	= 1382,
+    X86_MAXSSrr_Int	= 1383,
+    X86_MFENCE	= 1384,
+    X86_MINCPDrm	= 1385,
+    X86_MINCPDrr	= 1386,
+    X86_MINCPSrm	= 1387,
+    X86_MINCPSrr	= 1388,
+    X86_MINCSDrm	= 1389,
+    X86_MINCSDrr	= 1390,
+    X86_MINCSSrm	= 1391,
+    X86_MINCSSrr	= 1392,
+    X86_MINPDrm	= 1393,
+    X86_MINPDrr	= 1394,
+    X86_MINPSrm	= 1395,
+    X86_MINPSrr	= 1396,
+    X86_MINSDrm	= 1397,
+    X86_MINSDrm_Int	= 1398,
+    X86_MINSDrr	= 1399,
+    X86_MINSDrr_Int	= 1400,
+    X86_MINSSrm	= 1401,
+    X86_MINSSrm_Int	= 1402,
+    X86_MINSSrr	= 1403,
+    X86_MINSSrr_Int	= 1404,
+    X86_MMX_CVTPD2PIirm	= 1405,
+    X86_MMX_CVTPD2PIirr	= 1406,
+    X86_MMX_CVTPI2PDirm	= 1407,
+    X86_MMX_CVTPI2PDirr	= 1408,
+    X86_MMX_CVTPI2PSirm	= 1409,
+    X86_MMX_CVTPI2PSirr	= 1410,
+    X86_MMX_CVTPS2PIirm	= 1411,
+    X86_MMX_CVTPS2PIirr	= 1412,
+    X86_MMX_CVTTPD2PIirm	= 1413,
+    X86_MMX_CVTTPD2PIirr	= 1414,
+    X86_MMX_CVTTPS2PIirm	= 1415,
+    X86_MMX_CVTTPS2PIirr	= 1416,
+    X86_MMX_EMMS	= 1417,
+    X86_MMX_MASKMOVQ	= 1418,
+    X86_MMX_MASKMOVQ64	= 1419,
+    X86_MMX_MOVD64from64rm	= 1420,
+    X86_MMX_MOVD64from64rr	= 1421,
+    X86_MMX_MOVD64grr	= 1422,
+    X86_MMX_MOVD64mr	= 1423,
+    X86_MMX_MOVD64rm	= 1424,
+    X86_MMX_MOVD64rr	= 1425,
+    X86_MMX_MOVD64to64rm	= 1426,
+    X86_MMX_MOVD64to64rr	= 1427,
+    X86_MMX_MOVDQ2Qrr	= 1428,
+    X86_MMX_MOVFR642Qrr	= 1429,
+    X86_MMX_MOVNTQmr	= 1430,
+    X86_MMX_MOVQ2DQrr	= 1431,
+    X86_MMX_MOVQ2FR64rr	= 1432,
+    X86_MMX_MOVQ64mr	= 1433,
+    X86_MMX_MOVQ64rm	= 1434,
+    X86_MMX_MOVQ64rr	= 1435,
+    X86_MMX_MOVQ64rr_REV	= 1436,
+    X86_MMX_PABSBrm64	= 1437,
+    X86_MMX_PABSBrr64	= 1438,
+    X86_MMX_PABSDrm64	= 1439,
+    X86_MMX_PABSDrr64	= 1440,
+    X86_MMX_PABSWrm64	= 1441,
+    X86_MMX_PABSWrr64	= 1442,
+    X86_MMX_PACKSSDWirm	= 1443,
+    X86_MMX_PACKSSDWirr	= 1444,
+    X86_MMX_PACKSSWBirm	= 1445,
+    X86_MMX_PACKSSWBirr	= 1446,
+    X86_MMX_PACKUSWBirm	= 1447,
+    X86_MMX_PACKUSWBirr	= 1448,
+    X86_MMX_PADDBirm	= 1449,
+    X86_MMX_PADDBirr	= 1450,
+    X86_MMX_PADDDirm	= 1451,
+    X86_MMX_PADDDirr	= 1452,
+    X86_MMX_PADDQirm	= 1453,
+    X86_MMX_PADDQirr	= 1454,
+    X86_MMX_PADDSBirm	= 1455,
+    X86_MMX_PADDSBirr	= 1456,
+    X86_MMX_PADDSWirm	= 1457,
+    X86_MMX_PADDSWirr	= 1458,
+    X86_MMX_PADDUSBirm	= 1459,
+    X86_MMX_PADDUSBirr	= 1460,
+    X86_MMX_PADDUSWirm	= 1461,
+    X86_MMX_PADDUSWirr	= 1462,
+    X86_MMX_PADDWirm	= 1463,
+    X86_MMX_PADDWirr	= 1464,
+    X86_MMX_PALIGNR64irm	= 1465,
+    X86_MMX_PALIGNR64irr	= 1466,
+    X86_MMX_PANDNirm	= 1467,
+    X86_MMX_PANDNirr	= 1468,
+    X86_MMX_PANDirm	= 1469,
+    X86_MMX_PANDirr	= 1470,
+    X86_MMX_PAVGBirm	= 1471,
+    X86_MMX_PAVGBirr	= 1472,
+    X86_MMX_PAVGWirm	= 1473,
+    X86_MMX_PAVGWirr	= 1474,
+    X86_MMX_PCMPEQBirm	= 1475,
+    X86_MMX_PCMPEQBirr	= 1476,
+    X86_MMX_PCMPEQDirm	= 1477,
+    X86_MMX_PCMPEQDirr	= 1478,
+    X86_MMX_PCMPEQWirm	= 1479,
+    X86_MMX_PCMPEQWirr	= 1480,
+    X86_MMX_PCMPGTBirm	= 1481,
+    X86_MMX_PCMPGTBirr	= 1482,
+    X86_MMX_PCMPGTDirm	= 1483,
+    X86_MMX_PCMPGTDirr	= 1484,
+    X86_MMX_PCMPGTWirm	= 1485,
+    X86_MMX_PCMPGTWirr	= 1486,
+    X86_MMX_PEXTRWirri	= 1487,
+    X86_MMX_PHADDSWrm64	= 1488,
+    X86_MMX_PHADDSWrr64	= 1489,
+    X86_MMX_PHADDWrm64	= 1490,
+    X86_MMX_PHADDWrr64	= 1491,
+    X86_MMX_PHADDrm64	= 1492,
+    X86_MMX_PHADDrr64	= 1493,
+    X86_MMX_PHSUBDrm64	= 1494,
+    X86_MMX_PHSUBDrr64	= 1495,
+    X86_MMX_PHSUBSWrm64	= 1496,
+    X86_MMX_PHSUBSWrr64	= 1497,
+    X86_MMX_PHSUBWrm64	= 1498,
+    X86_MMX_PHSUBWrr64	= 1499,
+    X86_MMX_PINSRWirmi	= 1500,
+    X86_MMX_PINSRWirri	= 1501,
+    X86_MMX_PMADDUBSWrm64	= 1502,
+    X86_MMX_PMADDUBSWrr64	= 1503,
+    X86_MMX_PMADDWDirm	= 1504,
+    X86_MMX_PMADDWDirr	= 1505,
+    X86_MMX_PMAXSWirm	= 1506,
+    X86_MMX_PMAXSWirr	= 1507,
+    X86_MMX_PMAXUBirm	= 1508,
+    X86_MMX_PMAXUBirr	= 1509,
+    X86_MMX_PMINSWirm	= 1510,
+    X86_MMX_PMINSWirr	= 1511,
+    X86_MMX_PMINUBirm	= 1512,
+    X86_MMX_PMINUBirr	= 1513,
+    X86_MMX_PMOVMSKBrr	= 1514,
+    X86_MMX_PMULHRSWrm64	= 1515,
+    X86_MMX_PMULHRSWrr64	= 1516,
+    X86_MMX_PMULHUWirm	= 1517,
+    X86_MMX_PMULHUWirr	= 1518,
+    X86_MMX_PMULHWirm	= 1519,
+    X86_MMX_PMULHWirr	= 1520,
+    X86_MMX_PMULLWirm	= 1521,
+    X86_MMX_PMULLWirr	= 1522,
+    X86_MMX_PMULUDQirm	= 1523,
+    X86_MMX_PMULUDQirr	= 1524,
+    X86_MMX_PORirm	= 1525,
+    X86_MMX_PORirr	= 1526,
+    X86_MMX_PSADBWirm	= 1527,
+    X86_MMX_PSADBWirr	= 1528,
+    X86_MMX_PSHUFBrm64	= 1529,
+    X86_MMX_PSHUFBrr64	= 1530,
+    X86_MMX_PSHUFWmi	= 1531,
+    X86_MMX_PSHUFWri	= 1532,
+    X86_MMX_PSIGNBrm64	= 1533,
+    X86_MMX_PSIGNBrr64	= 1534,
+    X86_MMX_PSIGNDrm64	= 1535,
+    X86_MMX_PSIGNDrr64	= 1536,
+    X86_MMX_PSIGNWrm64	= 1537,
+    X86_MMX_PSIGNWrr64	= 1538,
+    X86_MMX_PSLLDri	= 1539,
+    X86_MMX_PSLLDrm	= 1540,
+    X86_MMX_PSLLDrr	= 1541,
+    X86_MMX_PSLLQri	= 1542,
+    X86_MMX_PSLLQrm	= 1543,
+    X86_MMX_PSLLQrr	= 1544,
+    X86_MMX_PSLLWri	= 1545,
+    X86_MMX_PSLLWrm	= 1546,
+    X86_MMX_PSLLWrr	= 1547,
+    X86_MMX_PSRADri	= 1548,
+    X86_MMX_PSRADrm	= 1549,
+    X86_MMX_PSRADrr	= 1550,
+    X86_MMX_PSRAWri	= 1551,
+    X86_MMX_PSRAWrm	= 1552,
+    X86_MMX_PSRAWrr	= 1553,
+    X86_MMX_PSRLDri	= 1554,
+    X86_MMX_PSRLDrm	= 1555,
+    X86_MMX_PSRLDrr	= 1556,
+    X86_MMX_PSRLQri	= 1557,
+    X86_MMX_PSRLQrm	= 1558,
+    X86_MMX_PSRLQrr	= 1559,
+    X86_MMX_PSRLWri	= 1560,
+    X86_MMX_PSRLWrm	= 1561,
+    X86_MMX_PSRLWrr	= 1562,
+    X86_MMX_PSUBBirm	= 1563,
+    X86_MMX_PSUBBirr	= 1564,
+    X86_MMX_PSUBDirm	= 1565,
+    X86_MMX_PSUBDirr	= 1566,
+    X86_MMX_PSUBQirm	= 1567,
+    X86_MMX_PSUBQirr	= 1568,
+    X86_MMX_PSUBSBirm	= 1569,
+    X86_MMX_PSUBSBirr	= 1570,
+    X86_MMX_PSUBSWirm	= 1571,
+    X86_MMX_PSUBSWirr	= 1572,
+    X86_MMX_PSUBUSBirm	= 1573,
+    X86_MMX_PSUBUSBirr	= 1574,
+    X86_MMX_PSUBUSWirm	= 1575,
+    X86_MMX_PSUBUSWirr	= 1576,
+    X86_MMX_PSUBWirm	= 1577,
+    X86_MMX_PSUBWirr	= 1578,
+    X86_MMX_PUNPCKHBWirm	= 1579,
+    X86_MMX_PUNPCKHBWirr	= 1580,
+    X86_MMX_PUNPCKHDQirm	= 1581,
+    X86_MMX_PUNPCKHDQirr	= 1582,
+    X86_MMX_PUNPCKHWDirm	= 1583,
+    X86_MMX_PUNPCKHWDirr	= 1584,
+    X86_MMX_PUNPCKLBWirm	= 1585,
+    X86_MMX_PUNPCKLBWirr	= 1586,
+    X86_MMX_PUNPCKLDQirm	= 1587,
+    X86_MMX_PUNPCKLDQirr	= 1588,
+    X86_MMX_PUNPCKLWDirm	= 1589,
+    X86_MMX_PUNPCKLWDirr	= 1590,
+    X86_MMX_PXORirm	= 1591,
+    X86_MMX_PXORirr	= 1592,
+    X86_MONITOR	= 1593,
+    X86_MONITORrrr	= 1594,
+    X86_MONTMUL	= 1595,
+    X86_MORESTACK_RET	= 1596,
+    X86_MORESTACK_RET_RESTORE_R10	= 1597,
+    X86_MOV16ao16	= 1598,
+    X86_MOV16ao32	= 1599,
+    X86_MOV16ao64	= 1600,
+    X86_MOV16mi	= 1601,
+    X86_MOV16mr	= 1602,
+    X86_MOV16ms	= 1603,
+    X86_MOV16o16a	= 1604,
+    X86_MOV16o32a	= 1605,
+    X86_MOV16o64a	= 1606,
+    X86_MOV16ri	= 1607,
+    X86_MOV16ri_alt	= 1608,
+    X86_MOV16rm	= 1609,
+    X86_MOV16rr	= 1610,
+    X86_MOV16rr_REV	= 1611,
+    X86_MOV16rs	= 1612,
+    X86_MOV16sm	= 1613,
+    X86_MOV16sr	= 1614,
+    X86_MOV32ao16	= 1615,
+    X86_MOV32ao32	= 1616,
+    X86_MOV32ao64	= 1617,
+    X86_MOV32cr	= 1618,
+    X86_MOV32dr	= 1619,
+    X86_MOV32mi	= 1620,
+    X86_MOV32mr	= 1621,
+    X86_MOV32ms	= 1622,
+    X86_MOV32o16a	= 1623,
+    X86_MOV32o32a	= 1624,
+    X86_MOV32o64a	= 1625,
+    X86_MOV32r0	= 1626,
+    X86_MOV32rc	= 1627,
+    X86_MOV32rd	= 1628,
+    X86_MOV32ri	= 1629,
+    X86_MOV32ri64	= 1630,
+    X86_MOV32ri_alt	= 1631,
+    X86_MOV32rm	= 1632,
+    X86_MOV32rr	= 1633,
+    X86_MOV32rr_REV	= 1634,
+    X86_MOV32rs	= 1635,
+    X86_MOV32sm	= 1636,
+    X86_MOV32sr	= 1637,
+    X86_MOV64ao32	= 1638,
+    X86_MOV64ao64	= 1639,
+    X86_MOV64cr	= 1640,
+    X86_MOV64dr	= 1641,
+    X86_MOV64mi32	= 1642,
+    X86_MOV64mr	= 1643,
+    X86_MOV64ms	= 1644,
+    X86_MOV64o32a	= 1645,
+    X86_MOV64o64a	= 1646,
+    X86_MOV64rc	= 1647,
+    X86_MOV64rd	= 1648,
+    X86_MOV64ri	= 1649,
+    X86_MOV64ri32	= 1650,
+    X86_MOV64rm	= 1651,
+    X86_MOV64rr	= 1652,
+    X86_MOV64rr_REV	= 1653,
+    X86_MOV64rs	= 1654,
+    X86_MOV64sm	= 1655,
+    X86_MOV64sr	= 1656,
+    X86_MOV64toPQIrm	= 1657,
+    X86_MOV64toPQIrr	= 1658,
+    X86_MOV64toSDrm	= 1659,
+    X86_MOV64toSDrr	= 1660,
+    X86_MOV8ao16	= 1661,
+    X86_MOV8ao32	= 1662,
+    X86_MOV8ao64	= 1663,
+    X86_MOV8mi	= 1664,
+    X86_MOV8mr	= 1665,
+    X86_MOV8mr_NOREX	= 1666,
+    X86_MOV8o16a	= 1667,
+    X86_MOV8o32a	= 1668,
+    X86_MOV8o64a	= 1669,
+    X86_MOV8ri	= 1670,
+    X86_MOV8ri_alt	= 1671,
+    X86_MOV8rm	= 1672,
+    X86_MOV8rm_NOREX	= 1673,
+    X86_MOV8rr	= 1674,
+    X86_MOV8rr_NOREX	= 1675,
+    X86_MOV8rr_REV	= 1676,
+    X86_MOVAPDmr	= 1677,
+    X86_MOVAPDrm	= 1678,
+    X86_MOVAPDrr	= 1679,
+    X86_MOVAPDrr_REV	= 1680,
+    X86_MOVAPSmr	= 1681,
+    X86_MOVAPSrm	= 1682,
+    X86_MOVAPSrr	= 1683,
+    X86_MOVAPSrr_REV	= 1684,
+    X86_MOVBE16mr	= 1685,
+    X86_MOVBE16rm	= 1686,
+    X86_MOVBE32mr	= 1687,
+    X86_MOVBE32rm	= 1688,
+    X86_MOVBE64mr	= 1689,
+    X86_MOVBE64rm	= 1690,
+    X86_MOVDDUPrm	= 1691,
+    X86_MOVDDUPrr	= 1692,
+    X86_MOVDI2PDIrm	= 1693,
+    X86_MOVDI2PDIrr	= 1694,
+    X86_MOVDI2SSrm	= 1695,
+    X86_MOVDI2SSrr	= 1696,
+    X86_MOVDQAmr	= 1697,
+    X86_MOVDQArm	= 1698,
+    X86_MOVDQArr	= 1699,
+    X86_MOVDQArr_REV	= 1700,
+    X86_MOVDQUmr	= 1701,
+    X86_MOVDQUrm	= 1702,
+    X86_MOVDQUrr	= 1703,
+    X86_MOVDQUrr_REV	= 1704,
+    X86_MOVHLPSrr	= 1705,
+    X86_MOVHPDmr	= 1706,
+    X86_MOVHPDrm	= 1707,
+    X86_MOVHPSmr	= 1708,
+    X86_MOVHPSrm	= 1709,
+    X86_MOVLHPSrr	= 1710,
+    X86_MOVLPDmr	= 1711,
+    X86_MOVLPDrm	= 1712,
+    X86_MOVLPSmr	= 1713,
+    X86_MOVLPSrm	= 1714,
+    X86_MOVMSKPDrr	= 1715,
+    X86_MOVMSKPSrr	= 1716,
+    X86_MOVNTDQArm	= 1717,
+    X86_MOVNTDQmr	= 1718,
+    X86_MOVNTI_64mr	= 1719,
+    X86_MOVNTImr	= 1720,
+    X86_MOVNTPDmr	= 1721,
+    X86_MOVNTPSmr	= 1722,
+    X86_MOVNTSD	= 1723,
+    X86_MOVNTSS	= 1724,
+    X86_MOVPC32r	= 1725,
+    X86_MOVPDI2DImr	= 1726,
+    X86_MOVPDI2DIrr	= 1727,
+    X86_MOVPQI2QImr	= 1728,
+    X86_MOVPQI2QIrr	= 1729,
+    X86_MOVPQIto64rm	= 1730,
+    X86_MOVPQIto64rr	= 1731,
+    X86_MOVQI2PQIrm	= 1732,
+    X86_MOVSB	= 1733,
+    X86_MOVSDmr	= 1734,
+    X86_MOVSDrm	= 1735,
+    X86_MOVSDrr	= 1736,
+    X86_MOVSDrr_REV	= 1737,
+    X86_MOVSDto64mr	= 1738,
+    X86_MOVSDto64rr	= 1739,
+    X86_MOVSHDUPrm	= 1740,
+    X86_MOVSHDUPrr	= 1741,
+    X86_MOVSL	= 1742,
+    X86_MOVSLDUPrm	= 1743,
+    X86_MOVSLDUPrr	= 1744,
+    X86_MOVSQ	= 1745,
+    X86_MOVSS2DImr	= 1746,
+    X86_MOVSS2DIrr	= 1747,
+    X86_MOVSSmr	= 1748,
+    X86_MOVSSrm	= 1749,
+    X86_MOVSSrr	= 1750,
+    X86_MOVSSrr_REV	= 1751,
+    X86_MOVSW	= 1752,
+    X86_MOVSX16rm8	= 1753,
+    X86_MOVSX16rr8	= 1754,
+    X86_MOVSX32_NOREXrm8	= 1755,
+    X86_MOVSX32_NOREXrr8	= 1756,
+    X86_MOVSX32rm16	= 1757,
+    X86_MOVSX32rm8	= 1758,
+    X86_MOVSX32rr16	= 1759,
+    X86_MOVSX32rr8	= 1760,
+    X86_MOVSX64_NOREXrr32	= 1761,
+    X86_MOVSX64rm16	= 1762,
+    X86_MOVSX64rm32	= 1763,
+    X86_MOVSX64rm32_alt	= 1764,
+    X86_MOVSX64rm8	= 1765,
+    X86_MOVSX64rr16	= 1766,
+    X86_MOVSX64rr32	= 1767,
+    X86_MOVSX64rr8	= 1768,
+    X86_MOVUPDmr	= 1769,
+    X86_MOVUPDrm	= 1770,
+    X86_MOVUPDrr	= 1771,
+    X86_MOVUPDrr_REV	= 1772,
+    X86_MOVUPSmr	= 1773,
+    X86_MOVUPSrm	= 1774,
+    X86_MOVUPSrr	= 1775,
+    X86_MOVUPSrr_REV	= 1776,
+    X86_MOVZPQILo2PQIrm	= 1777,
+    X86_MOVZPQILo2PQIrr	= 1778,
+    X86_MOVZQI2PQIrm	= 1779,
+    X86_MOVZQI2PQIrr	= 1780,
+    X86_MOVZX16rm8	= 1781,
+    X86_MOVZX16rr8	= 1782,
+    X86_MOVZX32_NOREXrm8	= 1783,
+    X86_MOVZX32_NOREXrr8	= 1784,
+    X86_MOVZX32rm16	= 1785,
+    X86_MOVZX32rm8	= 1786,
+    X86_MOVZX32rr16	= 1787,
+    X86_MOVZX32rr8	= 1788,
+    X86_MOVZX64rm16_Q	= 1789,
+    X86_MOVZX64rm8_Q	= 1790,
+    X86_MOVZX64rr16_Q	= 1791,
+    X86_MOVZX64rr8_Q	= 1792,
+    X86_MPSADBWrmi	= 1793,
+    X86_MPSADBWrri	= 1794,
+    X86_MUL16m	= 1795,
+    X86_MUL16r	= 1796,
+    X86_MUL32m	= 1797,
+    X86_MUL32r	= 1798,
+    X86_MUL64m	= 1799,
+    X86_MUL64r	= 1800,
+    X86_MUL8m	= 1801,
+    X86_MUL8r	= 1802,
+    X86_MULPDrm	= 1803,
+    X86_MULPDrr	= 1804,
+    X86_MULPSrm	= 1805,
+    X86_MULPSrr	= 1806,
+    X86_MULSDrm	= 1807,
+    X86_MULSDrm_Int	= 1808,
+    X86_MULSDrr	= 1809,
+    X86_MULSDrr_Int	= 1810,
+    X86_MULSSrm	= 1811,
+    X86_MULSSrm_Int	= 1812,
+    X86_MULSSrr	= 1813,
+    X86_MULSSrr_Int	= 1814,
+    X86_MULX32rm	= 1815,
+    X86_MULX32rr	= 1816,
+    X86_MULX64rm	= 1817,
+    X86_MULX64rr	= 1818,
+    X86_MUL_F32m	= 1819,
+    X86_MUL_F64m	= 1820,
+    X86_MUL_FI16m	= 1821,
+    X86_MUL_FI32m	= 1822,
+    X86_MUL_FPrST0	= 1823,
+    X86_MUL_FST0r	= 1824,
+    X86_MUL_Fp32	= 1825,
+    X86_MUL_Fp32m	= 1826,
+    X86_MUL_Fp64	= 1827,
+    X86_MUL_Fp64m	= 1828,
+    X86_MUL_Fp64m32	= 1829,
+    X86_MUL_Fp80	= 1830,
+    X86_MUL_Fp80m32	= 1831,
+    X86_MUL_Fp80m64	= 1832,
+    X86_MUL_FpI16m32	= 1833,
+    X86_MUL_FpI16m64	= 1834,
+    X86_MUL_FpI16m80	= 1835,
+    X86_MUL_FpI32m32	= 1836,
+    X86_MUL_FpI32m64	= 1837,
+    X86_MUL_FpI32m80	= 1838,
+    X86_MUL_FrST0	= 1839,
+    X86_MWAITrr	= 1840,
+    X86_NEG16m	= 1841,
+    X86_NEG16r	= 1842,
+    X86_NEG32m	= 1843,
+    X86_NEG32r	= 1844,
+    X86_NEG64m	= 1845,
+    X86_NEG64r	= 1846,
+    X86_NEG8m	= 1847,
+    X86_NEG8r	= 1848,
+    X86_NOOP	= 1849,
+    X86_NOOP18_16m4	= 1850,
+    X86_NOOP18_16m5	= 1851,
+    X86_NOOP18_16m6	= 1852,
+    X86_NOOP18_16m7	= 1853,
+    X86_NOOP18_16r4	= 1854,
+    X86_NOOP18_16r5	= 1855,
+    X86_NOOP18_16r6	= 1856,
+    X86_NOOP18_16r7	= 1857,
+    X86_NOOP18_m4	= 1858,
+    X86_NOOP18_m5	= 1859,
+    X86_NOOP18_m6	= 1860,
+    X86_NOOP18_m7	= 1861,
+    X86_NOOP18_r4	= 1862,
+    X86_NOOP18_r5	= 1863,
+    X86_NOOP18_r6	= 1864,
+    X86_NOOP18_r7	= 1865,
+    X86_NOOP19rr	= 1866,
+    X86_NOOPL	= 1867,
+    X86_NOOPL_19	= 1868,
+    X86_NOOPL_1a	= 1869,
+    X86_NOOPL_1b	= 1870,
+    X86_NOOPL_1c	= 1871,
+    X86_NOOPL_1d	= 1872,
+    X86_NOOPL_1e	= 1873,
+    X86_NOOPW	= 1874,
+    X86_NOOPW_19	= 1875,
+    X86_NOOPW_1a	= 1876,
+    X86_NOOPW_1b	= 1877,
+    X86_NOOPW_1c	= 1878,
+    X86_NOOPW_1d	= 1879,
+    X86_NOOPW_1e	= 1880,
+    X86_NOT16m	= 1881,
+    X86_NOT16r	= 1882,
+    X86_NOT32m	= 1883,
+    X86_NOT32r	= 1884,
+    X86_NOT64m	= 1885,
+    X86_NOT64r	= 1886,
+    X86_NOT8m	= 1887,
+    X86_NOT8r	= 1888,
+    X86_OR16i16	= 1889,
+    X86_OR16mi	= 1890,
+    X86_OR16mi8	= 1891,
+    X86_OR16mr	= 1892,
+    X86_OR16ri	= 1893,
+    X86_OR16ri8	= 1894,
+    X86_OR16rm	= 1895,
+    X86_OR16rr	= 1896,
+    X86_OR16rr_REV	= 1897,
+    X86_OR32i32	= 1898,
+    X86_OR32mi	= 1899,
+    X86_OR32mi8	= 1900,
+    X86_OR32mr	= 1901,
+    X86_OR32mrLocked	= 1902,
+    X86_OR32ri	= 1903,
+    X86_OR32ri8	= 1904,
+    X86_OR32rm	= 1905,
+    X86_OR32rr	= 1906,
+    X86_OR32rr_REV	= 1907,
+    X86_OR64i32	= 1908,
+    X86_OR64mi32	= 1909,
+    X86_OR64mi8	= 1910,
+    X86_OR64mr	= 1911,
+    X86_OR64ri32	= 1912,
+    X86_OR64ri8	= 1913,
+    X86_OR64rm	= 1914,
+    X86_OR64rr	= 1915,
+    X86_OR64rr_REV	= 1916,
+    X86_OR8i8	= 1917,
+    X86_OR8mi	= 1918,
+    X86_OR8mi8	= 1919,
+    X86_OR8mr	= 1920,
+    X86_OR8ri	= 1921,
+    X86_OR8ri8	= 1922,
+    X86_OR8rm	= 1923,
+    X86_OR8rr	= 1924,
+    X86_OR8rr_REV	= 1925,
+    X86_ORPDrm	= 1926,
+    X86_ORPDrr	= 1927,
+    X86_ORPSrm	= 1928,
+    X86_ORPSrr	= 1929,
+    X86_OUT16ir	= 1930,
+    X86_OUT16rr	= 1931,
+    X86_OUT32ir	= 1932,
+    X86_OUT32rr	= 1933,
+    X86_OUT8ir	= 1934,
+    X86_OUT8rr	= 1935,
+    X86_OUTSB	= 1936,
+    X86_OUTSL	= 1937,
+    X86_OUTSW	= 1938,
+    X86_PABSBrm128	= 1939,
+    X86_PABSBrr128	= 1940,
+    X86_PABSDrm128	= 1941,
+    X86_PABSDrr128	= 1942,
+    X86_PABSWrm128	= 1943,
+    X86_PABSWrr128	= 1944,
+    X86_PACKSSDWrm	= 1945,
+    X86_PACKSSDWrr	= 1946,
+    X86_PACKSSWBrm	= 1947,
+    X86_PACKSSWBrr	= 1948,
+    X86_PACKUSDWrm	= 1949,
+    X86_PACKUSDWrr	= 1950,
+    X86_PACKUSWBrm	= 1951,
+    X86_PACKUSWBrr	= 1952,
+    X86_PADDBrm	= 1953,
+    X86_PADDBrr	= 1954,
+    X86_PADDDrm	= 1955,
+    X86_PADDDrr	= 1956,
+    X86_PADDQrm	= 1957,
+    X86_PADDQrr	= 1958,
+    X86_PADDSBrm	= 1959,
+    X86_PADDSBrr	= 1960,
+    X86_PADDSWrm	= 1961,
+    X86_PADDSWrr	= 1962,
+    X86_PADDUSBrm	= 1963,
+    X86_PADDUSBrr	= 1964,
+    X86_PADDUSWrm	= 1965,
+    X86_PADDUSWrr	= 1966,
+    X86_PADDWrm	= 1967,
+    X86_PADDWrr	= 1968,
+    X86_PALIGNR128rm	= 1969,
+    X86_PALIGNR128rr	= 1970,
+    X86_PANDNrm	= 1971,
+    X86_PANDNrr	= 1972,
+    X86_PANDrm	= 1973,
+    X86_PANDrr	= 1974,
+    X86_PAUSE	= 1975,
+    X86_PAVGBrm	= 1976,
+    X86_PAVGBrr	= 1977,
+    X86_PAVGUSBrm	= 1978,
+    X86_PAVGUSBrr	= 1979,
+    X86_PAVGWrm	= 1980,
+    X86_PAVGWrr	= 1981,
+    X86_PBLENDVBrm0	= 1982,
+    X86_PBLENDVBrr0	= 1983,
+    X86_PBLENDWrmi	= 1984,
+    X86_PBLENDWrri	= 1985,
+    X86_PCLMULQDQrm	= 1986,
+    X86_PCLMULQDQrr	= 1987,
+    X86_PCMPEQBrm	= 1988,
+    X86_PCMPEQBrr	= 1989,
+    X86_PCMPEQDrm	= 1990,
+    X86_PCMPEQDrr	= 1991,
+    X86_PCMPEQQrm	= 1992,
+    X86_PCMPEQQrr	= 1993,
+    X86_PCMPEQWrm	= 1994,
+    X86_PCMPEQWrr	= 1995,
+    X86_PCMPESTRIMEM	= 1996,
+    X86_PCMPESTRIREG	= 1997,
+    X86_PCMPESTRIrm	= 1998,
+    X86_PCMPESTRIrr	= 1999,
+    X86_PCMPESTRM128MEM	= 2000,
+    X86_PCMPESTRM128REG	= 2001,
+    X86_PCMPESTRM128rm	= 2002,
+    X86_PCMPESTRM128rr	= 2003,
+    X86_PCMPGTBrm	= 2004,
+    X86_PCMPGTBrr	= 2005,
+    X86_PCMPGTDrm	= 2006,
+    X86_PCMPGTDrr	= 2007,
+    X86_PCMPGTQrm	= 2008,
+    X86_PCMPGTQrr	= 2009,
+    X86_PCMPGTWrm	= 2010,
+    X86_PCMPGTWrr	= 2011,
+    X86_PCMPISTRIMEM	= 2012,
+    X86_PCMPISTRIREG	= 2013,
+    X86_PCMPISTRIrm	= 2014,
+    X86_PCMPISTRIrr	= 2015,
+    X86_PCMPISTRM128MEM	= 2016,
+    X86_PCMPISTRM128REG	= 2017,
+    X86_PCMPISTRM128rm	= 2018,
+    X86_PCMPISTRM128rr	= 2019,
+    X86_PCOMMIT	= 2020,
+    X86_PDEP32rm	= 2021,
+    X86_PDEP32rr	= 2022,
+    X86_PDEP64rm	= 2023,
+    X86_PDEP64rr	= 2024,
+    X86_PEXT32rm	= 2025,
+    X86_PEXT32rr	= 2026,
+    X86_PEXT64rm	= 2027,
+    X86_PEXT64rr	= 2028,
+    X86_PEXTRBmr	= 2029,
+    X86_PEXTRBrr	= 2030,
+    X86_PEXTRDmr	= 2031,
+    X86_PEXTRDrr	= 2032,
+    X86_PEXTRQmr	= 2033,
+    X86_PEXTRQrr	= 2034,
+    X86_PEXTRWmr	= 2035,
+    X86_PEXTRWri	= 2036,
+    X86_PEXTRWrr_REV	= 2037,
+    X86_PF2IDrm	= 2038,
+    X86_PF2IDrr	= 2039,
+    X86_PF2IWrm	= 2040,
+    X86_PF2IWrr	= 2041,
+    X86_PFACCrm	= 2042,
+    X86_PFACCrr	= 2043,
+    X86_PFADDrm	= 2044,
+    X86_PFADDrr	= 2045,
+    X86_PFCMPEQrm	= 2046,
+    X86_PFCMPEQrr	= 2047,
+    X86_PFCMPGErm	= 2048,
+    X86_PFCMPGErr	= 2049,
+    X86_PFCMPGTrm	= 2050,
+    X86_PFCMPGTrr	= 2051,
+    X86_PFMAXrm	= 2052,
+    X86_PFMAXrr	= 2053,
+    X86_PFMINrm	= 2054,
+    X86_PFMINrr	= 2055,
+    X86_PFMULrm	= 2056,
+    X86_PFMULrr	= 2057,
+    X86_PFNACCrm	= 2058,
+    X86_PFNACCrr	= 2059,
+    X86_PFPNACCrm	= 2060,
+    X86_PFPNACCrr	= 2061,
+    X86_PFRCPIT1rm	= 2062,
+    X86_PFRCPIT1rr	= 2063,
+    X86_PFRCPIT2rm	= 2064,
+    X86_PFRCPIT2rr	= 2065,
+    X86_PFRCPrm	= 2066,
+    X86_PFRCPrr	= 2067,
+    X86_PFRSQIT1rm	= 2068,
+    X86_PFRSQIT1rr	= 2069,
+    X86_PFRSQRTrm	= 2070,
+    X86_PFRSQRTrr	= 2071,
+    X86_PFSUBRrm	= 2072,
+    X86_PFSUBRrr	= 2073,
+    X86_PFSUBrm	= 2074,
+    X86_PFSUBrr	= 2075,
+    X86_PHADDDrm	= 2076,
+    X86_PHADDDrr	= 2077,
+    X86_PHADDSWrm128	= 2078,
+    X86_PHADDSWrr128	= 2079,
+    X86_PHADDWrm	= 2080,
+    X86_PHADDWrr	= 2081,
+    X86_PHMINPOSUWrm128	= 2082,
+    X86_PHMINPOSUWrr128	= 2083,
+    X86_PHSUBDrm	= 2084,
+    X86_PHSUBDrr	= 2085,
+    X86_PHSUBSWrm128	= 2086,
+    X86_PHSUBSWrr128	= 2087,
+    X86_PHSUBWrm	= 2088,
+    X86_PHSUBWrr	= 2089,
+    X86_PI2FDrm	= 2090,
+    X86_PI2FDrr	= 2091,
+    X86_PI2FWrm	= 2092,
+    X86_PI2FWrr	= 2093,
+    X86_PINSRBrm	= 2094,
+    X86_PINSRBrr	= 2095,
+    X86_PINSRDrm	= 2096,
+    X86_PINSRDrr	= 2097,
+    X86_PINSRQrm	= 2098,
+    X86_PINSRQrr	= 2099,
+    X86_PINSRWrmi	= 2100,
+    X86_PINSRWrri	= 2101,
+    X86_PMADDUBSWrm128	= 2102,
+    X86_PMADDUBSWrr128	= 2103,
+    X86_PMADDWDrm	= 2104,
+    X86_PMADDWDrr	= 2105,
+    X86_PMAXSBrm	= 2106,
+    X86_PMAXSBrr	= 2107,
+    X86_PMAXSDrm	= 2108,
+    X86_PMAXSDrr	= 2109,
+    X86_PMAXSWrm	= 2110,
+    X86_PMAXSWrr	= 2111,
+    X86_PMAXUBrm	= 2112,
+    X86_PMAXUBrr	= 2113,
+    X86_PMAXUDrm	= 2114,
+    X86_PMAXUDrr	= 2115,
+    X86_PMAXUWrm	= 2116,
+    X86_PMAXUWrr	= 2117,
+    X86_PMINSBrm	= 2118,
+    X86_PMINSBrr	= 2119,
+    X86_PMINSDrm	= 2120,
+    X86_PMINSDrr	= 2121,
+    X86_PMINSWrm	= 2122,
+    X86_PMINSWrr	= 2123,
+    X86_PMINUBrm	= 2124,
+    X86_PMINUBrr	= 2125,
+    X86_PMINUDrm	= 2126,
+    X86_PMINUDrr	= 2127,
+    X86_PMINUWrm	= 2128,
+    X86_PMINUWrr	= 2129,
+    X86_PMOVMSKBrr	= 2130,
+    X86_PMOVSXBDrm	= 2131,
+    X86_PMOVSXBDrr	= 2132,
+    X86_PMOVSXBQrm	= 2133,
+    X86_PMOVSXBQrr	= 2134,
+    X86_PMOVSXBWrm	= 2135,
+    X86_PMOVSXBWrr	= 2136,
+    X86_PMOVSXDQrm	= 2137,
+    X86_PMOVSXDQrr	= 2138,
+    X86_PMOVSXWDrm	= 2139,
+    X86_PMOVSXWDrr	= 2140,
+    X86_PMOVSXWQrm	= 2141,
+    X86_PMOVSXWQrr	= 2142,
+    X86_PMOVZXBDrm	= 2143,
+    X86_PMOVZXBDrr	= 2144,
+    X86_PMOVZXBQrm	= 2145,
+    X86_PMOVZXBQrr	= 2146,
+    X86_PMOVZXBWrm	= 2147,
+    X86_PMOVZXBWrr	= 2148,
+    X86_PMOVZXDQrm	= 2149,
+    X86_PMOVZXDQrr	= 2150,
+    X86_PMOVZXWDrm	= 2151,
+    X86_PMOVZXWDrr	= 2152,
+    X86_PMOVZXWQrm	= 2153,
+    X86_PMOVZXWQrr	= 2154,
+    X86_PMULDQrm	= 2155,
+    X86_PMULDQrr	= 2156,
+    X86_PMULHRSWrm128	= 2157,
+    X86_PMULHRSWrr128	= 2158,
+    X86_PMULHRWrm	= 2159,
+    X86_PMULHRWrr	= 2160,
+    X86_PMULHUWrm	= 2161,
+    X86_PMULHUWrr	= 2162,
+    X86_PMULHWrm	= 2163,
+    X86_PMULHWrr	= 2164,
+    X86_PMULLDrm	= 2165,
+    X86_PMULLDrr	= 2166,
+    X86_PMULLWrm	= 2167,
+    X86_PMULLWrr	= 2168,
+    X86_PMULUDQrm	= 2169,
+    X86_PMULUDQrr	= 2170,
+    X86_POP16r	= 2171,
+    X86_POP16rmm	= 2172,
+    X86_POP16rmr	= 2173,
+    X86_POP32r	= 2174,
+    X86_POP32rmm	= 2175,
+    X86_POP32rmr	= 2176,
+    X86_POP64r	= 2177,
+    X86_POP64rmm	= 2178,
+    X86_POP64rmr	= 2179,
+    X86_POPA16	= 2180,
+    X86_POPA32	= 2181,
+    X86_POPCNT16rm	= 2182,
+    X86_POPCNT16rr	= 2183,
+    X86_POPCNT32rm	= 2184,
+    X86_POPCNT32rr	= 2185,
+    X86_POPCNT64rm	= 2186,
+    X86_POPCNT64rr	= 2187,
+    X86_POPDS16	= 2188,
+    X86_POPDS32	= 2189,
+    X86_POPES16	= 2190,
+    X86_POPES32	= 2191,
+    X86_POPF16	= 2192,
+    X86_POPF32	= 2193,
+    X86_POPF64	= 2194,
+    X86_POPFS16	= 2195,
+    X86_POPFS32	= 2196,
+    X86_POPFS64	= 2197,
+    X86_POPGS16	= 2198,
+    X86_POPGS32	= 2199,
+    X86_POPGS64	= 2200,
+    X86_POPSS16	= 2201,
+    X86_POPSS32	= 2202,
+    X86_PORrm	= 2203,
+    X86_PORrr	= 2204,
+    X86_PREFETCH	= 2205,
+    X86_PREFETCHNTA	= 2206,
+    X86_PREFETCHT0	= 2207,
+    X86_PREFETCHT1	= 2208,
+    X86_PREFETCHT2	= 2209,
+    X86_PREFETCHW	= 2210,
+    X86_PSADBWrm	= 2211,
+    X86_PSADBWrr	= 2212,
+    X86_PSHUFBrm	= 2213,
+    X86_PSHUFBrr	= 2214,
+    X86_PSHUFDmi	= 2215,
+    X86_PSHUFDri	= 2216,
+    X86_PSHUFHWmi	= 2217,
+    X86_PSHUFHWri	= 2218,
+    X86_PSHUFLWmi	= 2219,
+    X86_PSHUFLWri	= 2220,
+    X86_PSIGNBrm	= 2221,
+    X86_PSIGNBrr	= 2222,
+    X86_PSIGNDrm	= 2223,
+    X86_PSIGNDrr	= 2224,
+    X86_PSIGNWrm	= 2225,
+    X86_PSIGNWrr	= 2226,
+    X86_PSLLDQri	= 2227,
+    X86_PSLLDri	= 2228,
+    X86_PSLLDrm	= 2229,
+    X86_PSLLDrr	= 2230,
+    X86_PSLLQri	= 2231,
+    X86_PSLLQrm	= 2232,
+    X86_PSLLQrr	= 2233,
+    X86_PSLLWri	= 2234,
+    X86_PSLLWrm	= 2235,
+    X86_PSLLWrr	= 2236,
+    X86_PSRADri	= 2237,
+    X86_PSRADrm	= 2238,
+    X86_PSRADrr	= 2239,
+    X86_PSRAWri	= 2240,
+    X86_PSRAWrm	= 2241,
+    X86_PSRAWrr	= 2242,
+    X86_PSRLDQri	= 2243,
+    X86_PSRLDri	= 2244,
+    X86_PSRLDrm	= 2245,
+    X86_PSRLDrr	= 2246,
+    X86_PSRLQri	= 2247,
+    X86_PSRLQrm	= 2248,
+    X86_PSRLQrr	= 2249,
+    X86_PSRLWri	= 2250,
+    X86_PSRLWrm	= 2251,
+    X86_PSRLWrr	= 2252,
+    X86_PSUBBrm	= 2253,
+    X86_PSUBBrr	= 2254,
+    X86_PSUBDrm	= 2255,
+    X86_PSUBDrr	= 2256,
+    X86_PSUBQrm	= 2257,
+    X86_PSUBQrr	= 2258,
+    X86_PSUBSBrm	= 2259,
+    X86_PSUBSBrr	= 2260,
+    X86_PSUBSWrm	= 2261,
+    X86_PSUBSWrr	= 2262,
+    X86_PSUBUSBrm	= 2263,
+    X86_PSUBUSBrr	= 2264,
+    X86_PSUBUSWrm	= 2265,
+    X86_PSUBUSWrr	= 2266,
+    X86_PSUBWrm	= 2267,
+    X86_PSUBWrr	= 2268,
+    X86_PSWAPDrm	= 2269,
+    X86_PSWAPDrr	= 2270,
+    X86_PTESTrm	= 2271,
+    X86_PTESTrr	= 2272,
+    X86_PUNPCKHBWrm	= 2273,
+    X86_PUNPCKHBWrr	= 2274,
+    X86_PUNPCKHDQrm	= 2275,
+    X86_PUNPCKHDQrr	= 2276,
+    X86_PUNPCKHQDQrm	= 2277,
+    X86_PUNPCKHQDQrr	= 2278,
+    X86_PUNPCKHWDrm	= 2279,
+    X86_PUNPCKHWDrr	= 2280,
+    X86_PUNPCKLBWrm	= 2281,
+    X86_PUNPCKLBWrr	= 2282,
+    X86_PUNPCKLDQrm	= 2283,
+    X86_PUNPCKLDQrr	= 2284,
+    X86_PUNPCKLQDQrm	= 2285,
+    X86_PUNPCKLQDQrr	= 2286,
+    X86_PUNPCKLWDrm	= 2287,
+    X86_PUNPCKLWDrr	= 2288,
+    X86_PUSH16i8	= 2289,
+    X86_PUSH16r	= 2290,
+    X86_PUSH16rmm	= 2291,
+    X86_PUSH16rmr	= 2292,
+    X86_PUSH32i8	= 2293,
+    X86_PUSH32r	= 2294,
+    X86_PUSH32rmm	= 2295,
+    X86_PUSH32rmr	= 2296,
+    X86_PUSH64i16	= 2297,
+    X86_PUSH64i32	= 2298,
+    X86_PUSH64i8	= 2299,
+    X86_PUSH64r	= 2300,
+    X86_PUSH64rmm	= 2301,
+    X86_PUSH64rmr	= 2302,
+    X86_PUSHA16	= 2303,
+    X86_PUSHA32	= 2304,
+    X86_PUSHCS16	= 2305,
+    X86_PUSHCS32	= 2306,
+    X86_PUSHDS16	= 2307,
+    X86_PUSHDS32	= 2308,
+    X86_PUSHES16	= 2309,
+    X86_PUSHES32	= 2310,
+    X86_PUSHF16	= 2311,
+    X86_PUSHF32	= 2312,
+    X86_PUSHF64	= 2313,
+    X86_PUSHFS16	= 2314,
+    X86_PUSHFS32	= 2315,
+    X86_PUSHFS64	= 2316,
+    X86_PUSHGS16	= 2317,
+    X86_PUSHGS32	= 2318,
+    X86_PUSHGS64	= 2319,
+    X86_PUSHSS16	= 2320,
+    X86_PUSHSS32	= 2321,
+    X86_PUSHi16	= 2322,
+    X86_PUSHi32	= 2323,
+    X86_PXORrm	= 2324,
+    X86_PXORrr	= 2325,
+    X86_RCL16m1	= 2326,
+    X86_RCL16mCL	= 2327,
+    X86_RCL16mi	= 2328,
+    X86_RCL16r1	= 2329,
+    X86_RCL16rCL	= 2330,
+    X86_RCL16ri	= 2331,
+    X86_RCL32m1	= 2332,
+    X86_RCL32mCL	= 2333,
+    X86_RCL32mi	= 2334,
+    X86_RCL32r1	= 2335,
+    X86_RCL32rCL	= 2336,
+    X86_RCL32ri	= 2337,
+    X86_RCL64m1	= 2338,
+    X86_RCL64mCL	= 2339,
+    X86_RCL64mi	= 2340,
+    X86_RCL64r1	= 2341,
+    X86_RCL64rCL	= 2342,
+    X86_RCL64ri	= 2343,
+    X86_RCL8m1	= 2344,
+    X86_RCL8mCL	= 2345,
+    X86_RCL8mi	= 2346,
+    X86_RCL8r1	= 2347,
+    X86_RCL8rCL	= 2348,
+    X86_RCL8ri	= 2349,
+    X86_RCPPSm	= 2350,
+    X86_RCPPSm_Int	= 2351,
+    X86_RCPPSr	= 2352,
+    X86_RCPPSr_Int	= 2353,
+    X86_RCPSSm	= 2354,
+    X86_RCPSSm_Int	= 2355,
+    X86_RCPSSr	= 2356,
+    X86_RCPSSr_Int	= 2357,
+    X86_RCR16m1	= 2358,
+    X86_RCR16mCL	= 2359,
+    X86_RCR16mi	= 2360,
+    X86_RCR16r1	= 2361,
+    X86_RCR16rCL	= 2362,
+    X86_RCR16ri	= 2363,
+    X86_RCR32m1	= 2364,
+    X86_RCR32mCL	= 2365,
+    X86_RCR32mi	= 2366,
+    X86_RCR32r1	= 2367,
+    X86_RCR32rCL	= 2368,
+    X86_RCR32ri	= 2369,
+    X86_RCR64m1	= 2370,
+    X86_RCR64mCL	= 2371,
+    X86_RCR64mi	= 2372,
+    X86_RCR64r1	= 2373,
+    X86_RCR64rCL	= 2374,
+    X86_RCR64ri	= 2375,
+    X86_RCR8m1	= 2376,
+    X86_RCR8mCL	= 2377,
+    X86_RCR8mi	= 2378,
+    X86_RCR8r1	= 2379,
+    X86_RCR8rCL	= 2380,
+    X86_RCR8ri	= 2381,
+    X86_RDFSBASE	= 2382,
+    X86_RDFSBASE64	= 2383,
+    X86_RDGSBASE	= 2384,
+    X86_RDGSBASE64	= 2385,
+    X86_RDMSR	= 2386,
+    X86_RDPMC	= 2387,
+    X86_RDRAND16r	= 2388,
+    X86_RDRAND32r	= 2389,
+    X86_RDRAND64r	= 2390,
+    X86_RDSEED16r	= 2391,
+    X86_RDSEED32r	= 2392,
+    X86_RDSEED64r	= 2393,
+    X86_RDTSC	= 2394,
+    X86_RDTSCP	= 2395,
+    X86_RELEASE_ADD32mi	= 2396,
+    X86_RELEASE_ADD64mi32	= 2397,
+    X86_RELEASE_ADD8mi	= 2398,
+    X86_RELEASE_AND32mi	= 2399,
+    X86_RELEASE_AND64mi32	= 2400,
+    X86_RELEASE_AND8mi	= 2401,
+    X86_RELEASE_DEC16m	= 2402,
+    X86_RELEASE_DEC32m	= 2403,
+    X86_RELEASE_DEC64m	= 2404,
+    X86_RELEASE_DEC8m	= 2405,
+    X86_RELEASE_INC16m	= 2406,
+    X86_RELEASE_INC32m	= 2407,
+    X86_RELEASE_INC64m	= 2408,
+    X86_RELEASE_INC8m	= 2409,
+    X86_RELEASE_MOV16mi	= 2410,
+    X86_RELEASE_MOV16mr	= 2411,
+    X86_RELEASE_MOV32mi	= 2412,
+    X86_RELEASE_MOV32mr	= 2413,
+    X86_RELEASE_MOV64mi32	= 2414,
+    X86_RELEASE_MOV64mr	= 2415,
+    X86_RELEASE_MOV8mi	= 2416,
+    X86_RELEASE_MOV8mr	= 2417,
+    X86_RELEASE_OR32mi	= 2418,
+    X86_RELEASE_OR64mi32	= 2419,
+    X86_RELEASE_OR8mi	= 2420,
+    X86_RELEASE_XOR32mi	= 2421,
+    X86_RELEASE_XOR64mi32	= 2422,
+    X86_RELEASE_XOR8mi	= 2423,
+    X86_REPNE_PREFIX	= 2424,
+    X86_REP_MOVSB_32	= 2425,
+    X86_REP_MOVSB_64	= 2426,
+    X86_REP_MOVSD_32	= 2427,
+    X86_REP_MOVSD_64	= 2428,
+    X86_REP_MOVSQ_64	= 2429,
+    X86_REP_MOVSW_32	= 2430,
+    X86_REP_MOVSW_64	= 2431,
+    X86_REP_PREFIX	= 2432,
+    X86_REP_STOSB_32	= 2433,
+    X86_REP_STOSB_64	= 2434,
+    X86_REP_STOSD_32	= 2435,
+    X86_REP_STOSD_64	= 2436,
+    X86_REP_STOSQ_64	= 2437,
+    X86_REP_STOSW_32	= 2438,
+    X86_REP_STOSW_64	= 2439,
+    X86_RETIL	= 2440,
+    X86_RETIQ	= 2441,
+    X86_RETIW	= 2442,
+    X86_RETL	= 2443,
+    X86_RETQ	= 2444,
+    X86_RETW	= 2445,
+    X86_REX64_PREFIX	= 2446,
+    X86_ROL16m1	= 2447,
+    X86_ROL16mCL	= 2448,
+    X86_ROL16mi	= 2449,
+    X86_ROL16r1	= 2450,
+    X86_ROL16rCL	= 2451,
+    X86_ROL16ri	= 2452,
+    X86_ROL32m1	= 2453,
+    X86_ROL32mCL	= 2454,
+    X86_ROL32mi	= 2455,
+    X86_ROL32r1	= 2456,
+    X86_ROL32rCL	= 2457,
+    X86_ROL32ri	= 2458,
+    X86_ROL64m1	= 2459,
+    X86_ROL64mCL	= 2460,
+    X86_ROL64mi	= 2461,
+    X86_ROL64r1	= 2462,
+    X86_ROL64rCL	= 2463,
+    X86_ROL64ri	= 2464,
+    X86_ROL8m1	= 2465,
+    X86_ROL8mCL	= 2466,
+    X86_ROL8mi	= 2467,
+    X86_ROL8r1	= 2468,
+    X86_ROL8rCL	= 2469,
+    X86_ROL8ri	= 2470,
+    X86_ROR16m1	= 2471,
+    X86_ROR16mCL	= 2472,
+    X86_ROR16mi	= 2473,
+    X86_ROR16r1	= 2474,
+    X86_ROR16rCL	= 2475,
+    X86_ROR16ri	= 2476,
+    X86_ROR32m1	= 2477,
+    X86_ROR32mCL	= 2478,
+    X86_ROR32mi	= 2479,
+    X86_ROR32r1	= 2480,
+    X86_ROR32rCL	= 2481,
+    X86_ROR32ri	= 2482,
+    X86_ROR64m1	= 2483,
+    X86_ROR64mCL	= 2484,
+    X86_ROR64mi	= 2485,
+    X86_ROR64r1	= 2486,
+    X86_ROR64rCL	= 2487,
+    X86_ROR64ri	= 2488,
+    X86_ROR8m1	= 2489,
+    X86_ROR8mCL	= 2490,
+    X86_ROR8mi	= 2491,
+    X86_ROR8r1	= 2492,
+    X86_ROR8rCL	= 2493,
+    X86_ROR8ri	= 2494,
+    X86_RORX32mi	= 2495,
+    X86_RORX32ri	= 2496,
+    X86_RORX64mi	= 2497,
+    X86_RORX64ri	= 2498,
+    X86_ROUNDPDm	= 2499,
+    X86_ROUNDPDr	= 2500,
+    X86_ROUNDPSm	= 2501,
+    X86_ROUNDPSr	= 2502,
+    X86_ROUNDSDm	= 2503,
+    X86_ROUNDSDr	= 2504,
+    X86_ROUNDSDr_Int	= 2505,
+    X86_ROUNDSSm	= 2506,
+    X86_ROUNDSSr	= 2507,
+    X86_ROUNDSSr_Int	= 2508,
+    X86_RSM	= 2509,
+    X86_RSQRTPSm	= 2510,
+    X86_RSQRTPSm_Int	= 2511,
+    X86_RSQRTPSr	= 2512,
+    X86_RSQRTPSr_Int	= 2513,
+    X86_RSQRTSSm	= 2514,
+    X86_RSQRTSSm_Int	= 2515,
+    X86_RSQRTSSr	= 2516,
+    X86_RSQRTSSr_Int	= 2517,
+    X86_SAHF	= 2518,
+    X86_SAL16m1	= 2519,
+    X86_SAL16mCL	= 2520,
+    X86_SAL16mi	= 2521,
+    X86_SAL16r1	= 2522,
+    X86_SAL16rCL	= 2523,
+    X86_SAL16ri	= 2524,
+    X86_SAL32m1	= 2525,
+    X86_SAL32mCL	= 2526,
+    X86_SAL32mi	= 2527,
+    X86_SAL32r1	= 2528,
+    X86_SAL32rCL	= 2529,
+    X86_SAL32ri	= 2530,
+    X86_SAL64m1	= 2531,
+    X86_SAL64mCL	= 2532,
+    X86_SAL64mi	= 2533,
+    X86_SAL64r1	= 2534,
+    X86_SAL64rCL	= 2535,
+    X86_SAL64ri	= 2536,
+    X86_SAL8m1	= 2537,
+    X86_SAL8mCL	= 2538,
+    X86_SAL8mi	= 2539,
+    X86_SAL8r1	= 2540,
+    X86_SAL8rCL	= 2541,
+    X86_SAL8ri	= 2542,
+    X86_SALC	= 2543,
+    X86_SAR16m1	= 2544,
+    X86_SAR16mCL	= 2545,
+    X86_SAR16mi	= 2546,
+    X86_SAR16r1	= 2547,
+    X86_SAR16rCL	= 2548,
+    X86_SAR16ri	= 2549,
+    X86_SAR32m1	= 2550,
+    X86_SAR32mCL	= 2551,
+    X86_SAR32mi	= 2552,
+    X86_SAR32r1	= 2553,
+    X86_SAR32rCL	= 2554,
+    X86_SAR32ri	= 2555,
+    X86_SAR64m1	= 2556,
+    X86_SAR64mCL	= 2557,
+    X86_SAR64mi	= 2558,
+    X86_SAR64r1	= 2559,
+    X86_SAR64rCL	= 2560,
+    X86_SAR64ri	= 2561,
+    X86_SAR8m1	= 2562,
+    X86_SAR8mCL	= 2563,
+    X86_SAR8mi	= 2564,
+    X86_SAR8r1	= 2565,
+    X86_SAR8rCL	= 2566,
+    X86_SAR8ri	= 2567,
+    X86_SARX32rm	= 2568,
+    X86_SARX32rr	= 2569,
+    X86_SARX64rm	= 2570,
+    X86_SARX64rr	= 2571,
+    X86_SBB16i16	= 2572,
+    X86_SBB16mi	= 2573,
+    X86_SBB16mi8	= 2574,
+    X86_SBB16mr	= 2575,
+    X86_SBB16ri	= 2576,
+    X86_SBB16ri8	= 2577,
+    X86_SBB16rm	= 2578,
+    X86_SBB16rr	= 2579,
+    X86_SBB16rr_REV	= 2580,
+    X86_SBB32i32	= 2581,
+    X86_SBB32mi	= 2582,
+    X86_SBB32mi8	= 2583,
+    X86_SBB32mr	= 2584,
+    X86_SBB32ri	= 2585,
+    X86_SBB32ri8	= 2586,
+    X86_SBB32rm	= 2587,
+    X86_SBB32rr	= 2588,
+    X86_SBB32rr_REV	= 2589,
+    X86_SBB64i32	= 2590,
+    X86_SBB64mi32	= 2591,
+    X86_SBB64mi8	= 2592,
+    X86_SBB64mr	= 2593,
+    X86_SBB64ri32	= 2594,
+    X86_SBB64ri8	= 2595,
+    X86_SBB64rm	= 2596,
+    X86_SBB64rr	= 2597,
+    X86_SBB64rr_REV	= 2598,
+    X86_SBB8i8	= 2599,
+    X86_SBB8mi	= 2600,
+    X86_SBB8mi8	= 2601,
+    X86_SBB8mr	= 2602,
+    X86_SBB8ri	= 2603,
+    X86_SBB8ri8	= 2604,
+    X86_SBB8rm	= 2605,
+    X86_SBB8rr	= 2606,
+    X86_SBB8rr_REV	= 2607,
+    X86_SCASB	= 2608,
+    X86_SCASL	= 2609,
+    X86_SCASQ	= 2610,
+    X86_SCASW	= 2611,
+    X86_SEG_ALLOCA_32	= 2612,
+    X86_SEG_ALLOCA_64	= 2613,
+    X86_SEH_EndPrologue	= 2614,
+    X86_SEH_Epilogue	= 2615,
+    X86_SEH_PushFrame	= 2616,
+    X86_SEH_PushReg	= 2617,
+    X86_SEH_SaveReg	= 2618,
+    X86_SEH_SaveXMM	= 2619,
+    X86_SEH_SetFrame	= 2620,
+    X86_SEH_StackAlloc	= 2621,
+    X86_SETAEm	= 2622,
+    X86_SETAEr	= 2623,
+    X86_SETAm	= 2624,
+    X86_SETAr	= 2625,
+    X86_SETBEm	= 2626,
+    X86_SETBEr	= 2627,
+    X86_SETB_C16r	= 2628,
+    X86_SETB_C32r	= 2629,
+    X86_SETB_C64r	= 2630,
+    X86_SETB_C8r	= 2631,
+    X86_SETBm	= 2632,
+    X86_SETBr	= 2633,
+    X86_SETEm	= 2634,
+    X86_SETEr	= 2635,
+    X86_SETGEm	= 2636,
+    X86_SETGEr	= 2637,
+    X86_SETGm	= 2638,
+    X86_SETGr	= 2639,
+    X86_SETLEm	= 2640,
+    X86_SETLEr	= 2641,
+    X86_SETLm	= 2642,
+    X86_SETLr	= 2643,
+    X86_SETNEm	= 2644,
+    X86_SETNEr	= 2645,
+    X86_SETNOm	= 2646,
+    X86_SETNOr	= 2647,
+    X86_SETNPm	= 2648,
+    X86_SETNPr	= 2649,
+    X86_SETNSm	= 2650,
+    X86_SETNSr	= 2651,
+    X86_SETOm	= 2652,
+    X86_SETOr	= 2653,
+    X86_SETPm	= 2654,
+    X86_SETPr	= 2655,
+    X86_SETSm	= 2656,
+    X86_SETSr	= 2657,
+    X86_SFENCE	= 2658,
+    X86_SGDT16m	= 2659,
+    X86_SGDT32m	= 2660,
+    X86_SGDT64m	= 2661,
+    X86_SHA1MSG1rm	= 2662,
+    X86_SHA1MSG1rr	= 2663,
+    X86_SHA1MSG2rm	= 2664,
+    X86_SHA1MSG2rr	= 2665,
+    X86_SHA1NEXTErm	= 2666,
+    X86_SHA1NEXTErr	= 2667,
+    X86_SHA1RNDS4rmi	= 2668,
+    X86_SHA1RNDS4rri	= 2669,
+    X86_SHA256MSG1rm	= 2670,
+    X86_SHA256MSG1rr	= 2671,
+    X86_SHA256MSG2rm	= 2672,
+    X86_SHA256MSG2rr	= 2673,
+    X86_SHA256RNDS2rm	= 2674,
+    X86_SHA256RNDS2rr	= 2675,
+    X86_SHL16m1	= 2676,
+    X86_SHL16mCL	= 2677,
+    X86_SHL16mi	= 2678,
+    X86_SHL16r1	= 2679,
+    X86_SHL16rCL	= 2680,
+    X86_SHL16ri	= 2681,
+    X86_SHL32m1	= 2682,
+    X86_SHL32mCL	= 2683,
+    X86_SHL32mi	= 2684,
+    X86_SHL32r1	= 2685,
+    X86_SHL32rCL	= 2686,
+    X86_SHL32ri	= 2687,
+    X86_SHL64m1	= 2688,
+    X86_SHL64mCL	= 2689,
+    X86_SHL64mi	= 2690,
+    X86_SHL64r1	= 2691,
+    X86_SHL64rCL	= 2692,
+    X86_SHL64ri	= 2693,
+    X86_SHL8m1	= 2694,
+    X86_SHL8mCL	= 2695,
+    X86_SHL8mi	= 2696,
+    X86_SHL8r1	= 2697,
+    X86_SHL8rCL	= 2698,
+    X86_SHL8ri	= 2699,
+    X86_SHLD16mrCL	= 2700,
+    X86_SHLD16mri8	= 2701,
+    X86_SHLD16rrCL	= 2702,
+    X86_SHLD16rri8	= 2703,
+    X86_SHLD32mrCL	= 2704,
+    X86_SHLD32mri8	= 2705,
+    X86_SHLD32rrCL	= 2706,
+    X86_SHLD32rri8	= 2707,
+    X86_SHLD64mrCL	= 2708,
+    X86_SHLD64mri8	= 2709,
+    X86_SHLD64rrCL	= 2710,
+    X86_SHLD64rri8	= 2711,
+    X86_SHLX32rm	= 2712,
+    X86_SHLX32rr	= 2713,
+    X86_SHLX64rm	= 2714,
+    X86_SHLX64rr	= 2715,
+    X86_SHR16m1	= 2716,
+    X86_SHR16mCL	= 2717,
+    X86_SHR16mi	= 2718,
+    X86_SHR16r1	= 2719,
+    X86_SHR16rCL	= 2720,
+    X86_SHR16ri	= 2721,
+    X86_SHR32m1	= 2722,
+    X86_SHR32mCL	= 2723,
+    X86_SHR32mi	= 2724,
+    X86_SHR32r1	= 2725,
+    X86_SHR32rCL	= 2726,
+    X86_SHR32ri	= 2727,
+    X86_SHR64m1	= 2728,
+    X86_SHR64mCL	= 2729,
+    X86_SHR64mi	= 2730,
+    X86_SHR64r1	= 2731,
+    X86_SHR64rCL	= 2732,
+    X86_SHR64ri	= 2733,
+    X86_SHR8m1	= 2734,
+    X86_SHR8mCL	= 2735,
+    X86_SHR8mi	= 2736,
+    X86_SHR8r1	= 2737,
+    X86_SHR8rCL	= 2738,
+    X86_SHR8ri	= 2739,
+    X86_SHRD16mrCL	= 2740,
+    X86_SHRD16mri8	= 2741,
+    X86_SHRD16rrCL	= 2742,
+    X86_SHRD16rri8	= 2743,
+    X86_SHRD32mrCL	= 2744,
+    X86_SHRD32mri8	= 2745,
+    X86_SHRD32rrCL	= 2746,
+    X86_SHRD32rri8	= 2747,
+    X86_SHRD64mrCL	= 2748,
+    X86_SHRD64mri8	= 2749,
+    X86_SHRD64rrCL	= 2750,
+    X86_SHRD64rri8	= 2751,
+    X86_SHRX32rm	= 2752,
+    X86_SHRX32rr	= 2753,
+    X86_SHRX64rm	= 2754,
+    X86_SHRX64rr	= 2755,
+    X86_SHUFPDrmi	= 2756,
+    X86_SHUFPDrri	= 2757,
+    X86_SHUFPSrmi	= 2758,
+    X86_SHUFPSrri	= 2759,
+    X86_SIDT16m	= 2760,
+    X86_SIDT32m	= 2761,
+    X86_SIDT64m	= 2762,
+    X86_SIN_F	= 2763,
+    X86_SIN_Fp32	= 2764,
+    X86_SIN_Fp64	= 2765,
+    X86_SIN_Fp80	= 2766,
+    X86_SKINIT	= 2767,
+    X86_SLDT16m	= 2768,
+    X86_SLDT16r	= 2769,
+    X86_SLDT32r	= 2770,
+    X86_SLDT64m	= 2771,
+    X86_SLDT64r	= 2772,
+    X86_SMSW16m	= 2773,
+    X86_SMSW16r	= 2774,
+    X86_SMSW32r	= 2775,
+    X86_SMSW64r	= 2776,
+    X86_SQRTPDm	= 2777,
+    X86_SQRTPDr	= 2778,
+    X86_SQRTPSm	= 2779,
+    X86_SQRTPSr	= 2780,
+    X86_SQRTSDm	= 2781,
+    X86_SQRTSDm_Int	= 2782,
+    X86_SQRTSDr	= 2783,
+    X86_SQRTSDr_Int	= 2784,
+    X86_SQRTSSm	= 2785,
+    X86_SQRTSSm_Int	= 2786,
+    X86_SQRTSSr	= 2787,
+    X86_SQRTSSr_Int	= 2788,
+    X86_SQRT_F	= 2789,
+    X86_SQRT_Fp32	= 2790,
+    X86_SQRT_Fp64	= 2791,
+    X86_SQRT_Fp80	= 2792,
+    X86_STAC	= 2793,
+    X86_STC	= 2794,
+    X86_STD	= 2795,
+    X86_STGI	= 2796,
+    X86_STI	= 2797,
+    X86_STMXCSR	= 2798,
+    X86_STOSB	= 2799,
+    X86_STOSL	= 2800,
+    X86_STOSQ	= 2801,
+    X86_STOSW	= 2802,
+    X86_STR16r	= 2803,
+    X86_STR32r	= 2804,
+    X86_STR64r	= 2805,
+    X86_STRm	= 2806,
+    X86_ST_F32m	= 2807,
+    X86_ST_F64m	= 2808,
+    X86_ST_FCOMPST0r	= 2809,
+    X86_ST_FCOMPST0r_alt	= 2810,
+    X86_ST_FCOMST0r	= 2811,
+    X86_ST_FP32m	= 2812,
+    X86_ST_FP64m	= 2813,
+    X86_ST_FP80m	= 2814,
+    X86_ST_FPNCEST0r	= 2815,
+    X86_ST_FPST0r	= 2816,
+    X86_ST_FPST0r_alt	= 2817,
+    X86_ST_FPrr	= 2818,
+    X86_ST_FXCHST0r	= 2819,
+    X86_ST_FXCHST0r_alt	= 2820,
+    X86_ST_Fp32m	= 2821,
+    X86_ST_Fp64m	= 2822,
+    X86_ST_Fp64m32	= 2823,
+    X86_ST_Fp80m32	= 2824,
+    X86_ST_Fp80m64	= 2825,
+    X86_ST_FpP32m	= 2826,
+    X86_ST_FpP64m	= 2827,
+    X86_ST_FpP64m32	= 2828,
+    X86_ST_FpP80m	= 2829,
+    X86_ST_FpP80m32	= 2830,
+    X86_ST_FpP80m64	= 2831,
+    X86_ST_Frr	= 2832,
+    X86_SUB16i16	= 2833,
+    X86_SUB16mi	= 2834,
+    X86_SUB16mi8	= 2835,
+    X86_SUB16mr	= 2836,
+    X86_SUB16ri	= 2837,
+    X86_SUB16ri8	= 2838,
+    X86_SUB16rm	= 2839,
+    X86_SUB16rr	= 2840,
+    X86_SUB16rr_REV	= 2841,
+    X86_SUB32i32	= 2842,
+    X86_SUB32mi	= 2843,
+    X86_SUB32mi8	= 2844,
+    X86_SUB32mr	= 2845,
+    X86_SUB32ri	= 2846,
+    X86_SUB32ri8	= 2847,
+    X86_SUB32rm	= 2848,
+    X86_SUB32rr	= 2849,
+    X86_SUB32rr_REV	= 2850,
+    X86_SUB64i32	= 2851,
+    X86_SUB64mi32	= 2852,
+    X86_SUB64mi8	= 2853,
+    X86_SUB64mr	= 2854,
+    X86_SUB64ri32	= 2855,
+    X86_SUB64ri8	= 2856,
+    X86_SUB64rm	= 2857,
+    X86_SUB64rr	= 2858,
+    X86_SUB64rr_REV	= 2859,
+    X86_SUB8i8	= 2860,
+    X86_SUB8mi	= 2861,
+    X86_SUB8mi8	= 2862,
+    X86_SUB8mr	= 2863,
+    X86_SUB8ri	= 2864,
+    X86_SUB8ri8	= 2865,
+    X86_SUB8rm	= 2866,
+    X86_SUB8rr	= 2867,
+    X86_SUB8rr_REV	= 2868,
+    X86_SUBPDrm	= 2869,
+    X86_SUBPDrr	= 2870,
+    X86_SUBPSrm	= 2871,
+    X86_SUBPSrr	= 2872,
+    X86_SUBR_F32m	= 2873,
+    X86_SUBR_F64m	= 2874,
+    X86_SUBR_FI16m	= 2875,
+    X86_SUBR_FI32m	= 2876,
+    X86_SUBR_FPrST0	= 2877,
+    X86_SUBR_FST0r	= 2878,
+    X86_SUBR_Fp32m	= 2879,
+    X86_SUBR_Fp64m	= 2880,
+    X86_SUBR_Fp64m32	= 2881,
+    X86_SUBR_Fp80m32	= 2882,
+    X86_SUBR_Fp80m64	= 2883,
+    X86_SUBR_FpI16m32	= 2884,
+    X86_SUBR_FpI16m64	= 2885,
+    X86_SUBR_FpI16m80	= 2886,
+    X86_SUBR_FpI32m32	= 2887,
+    X86_SUBR_FpI32m64	= 2888,
+    X86_SUBR_FpI32m80	= 2889,
+    X86_SUBR_FrST0	= 2890,
+    X86_SUBSDrm	= 2891,
+    X86_SUBSDrm_Int	= 2892,
+    X86_SUBSDrr	= 2893,
+    X86_SUBSDrr_Int	= 2894,
+    X86_SUBSSrm	= 2895,
+    X86_SUBSSrm_Int	= 2896,
+    X86_SUBSSrr	= 2897,
+    X86_SUBSSrr_Int	= 2898,
+    X86_SUB_F32m	= 2899,
+    X86_SUB_F64m	= 2900,
+    X86_SUB_FI16m	= 2901,
+    X86_SUB_FI32m	= 2902,
+    X86_SUB_FPrST0	= 2903,
+    X86_SUB_FST0r	= 2904,
+    X86_SUB_Fp32	= 2905,
+    X86_SUB_Fp32m	= 2906,
+    X86_SUB_Fp64	= 2907,
+    X86_SUB_Fp64m	= 2908,
+    X86_SUB_Fp64m32	= 2909,
+    X86_SUB_Fp80	= 2910,
+    X86_SUB_Fp80m32	= 2911,
+    X86_SUB_Fp80m64	= 2912,
+    X86_SUB_FpI16m32	= 2913,
+    X86_SUB_FpI16m64	= 2914,
+    X86_SUB_FpI16m80	= 2915,
+    X86_SUB_FpI32m32	= 2916,
+    X86_SUB_FpI32m64	= 2917,
+    X86_SUB_FpI32m80	= 2918,
+    X86_SUB_FrST0	= 2919,
+    X86_SWAPGS	= 2920,
+    X86_SYSCALL	= 2921,
+    X86_SYSENTER	= 2922,
+    X86_SYSEXIT	= 2923,
+    X86_SYSEXIT64	= 2924,
+    X86_SYSRET	= 2925,
+    X86_SYSRET64	= 2926,
+    X86_T1MSKC32rm	= 2927,
+    X86_T1MSKC32rr	= 2928,
+    X86_T1MSKC64rm	= 2929,
+    X86_T1MSKC64rr	= 2930,
+    X86_TAILJMPd	= 2931,
+    X86_TAILJMPd64	= 2932,
+    X86_TAILJMPd64_REX	= 2933,
+    X86_TAILJMPm	= 2934,
+    X86_TAILJMPm64	= 2935,
+    X86_TAILJMPm64_REX	= 2936,
+    X86_TAILJMPr	= 2937,
+    X86_TAILJMPr64	= 2938,
+    X86_TAILJMPr64_REX	= 2939,
+    X86_TCRETURNdi	= 2940,
+    X86_TCRETURNdi64	= 2941,
+    X86_TCRETURNmi	= 2942,
+    X86_TCRETURNmi64	= 2943,
+    X86_TCRETURNri	= 2944,
+    X86_TCRETURNri64	= 2945,
+    X86_TEST16i16	= 2946,
+    X86_TEST16mi	= 2947,
+    X86_TEST16mi_alt	= 2948,
+    X86_TEST16ri	= 2949,
+    X86_TEST16ri_alt	= 2950,
+    X86_TEST16rm	= 2951,
+    X86_TEST16rr	= 2952,
+    X86_TEST32i32	= 2953,
+    X86_TEST32mi	= 2954,
+    X86_TEST32mi_alt	= 2955,
+    X86_TEST32ri	= 2956,
+    X86_TEST32ri_alt	= 2957,
+    X86_TEST32rm	= 2958,
+    X86_TEST32rr	= 2959,
+    X86_TEST64i32	= 2960,
+    X86_TEST64mi32	= 2961,
+    X86_TEST64mi32_alt	= 2962,
+    X86_TEST64ri32	= 2963,
+    X86_TEST64ri32_alt	= 2964,
+    X86_TEST64rm	= 2965,
+    X86_TEST64rr	= 2966,
+    X86_TEST8i8	= 2967,
+    X86_TEST8mi	= 2968,
+    X86_TEST8mi_alt	= 2969,
+    X86_TEST8ri	= 2970,
+    X86_TEST8ri_NOREX	= 2971,
+    X86_TEST8ri_alt	= 2972,
+    X86_TEST8rm	= 2973,
+    X86_TEST8rr	= 2974,
+    X86_TLSCall_32	= 2975,
+    X86_TLSCall_64	= 2976,
+    X86_TLS_addr32	= 2977,
+    X86_TLS_addr64	= 2978,
+    X86_TLS_base_addr32	= 2979,
+    X86_TLS_base_addr64	= 2980,
+    X86_TRAP	= 2981,
+    X86_TST_F	= 2982,
+    X86_TST_Fp32	= 2983,
+    X86_TST_Fp64	= 2984,
+    X86_TST_Fp80	= 2985,
+    X86_TZCNT16rm	= 2986,
+    X86_TZCNT16rr	= 2987,
+    X86_TZCNT32rm	= 2988,
+    X86_TZCNT32rr	= 2989,
+    X86_TZCNT64rm	= 2990,
+    X86_TZCNT64rr	= 2991,
+    X86_TZMSK32rm	= 2992,
+    X86_TZMSK32rr	= 2993,
+    X86_TZMSK64rm	= 2994,
+    X86_TZMSK64rr	= 2995,
+    X86_UCOMISDrm	= 2996,
+    X86_UCOMISDrr	= 2997,
+    X86_UCOMISSrm	= 2998,
+    X86_UCOMISSrr	= 2999,
+    X86_UCOM_FIPr	= 3000,
+    X86_UCOM_FIr	= 3001,
+    X86_UCOM_FPPr	= 3002,
+    X86_UCOM_FPr	= 3003,
+    X86_UCOM_FpIr32	= 3004,
+    X86_UCOM_FpIr64	= 3005,
+    X86_UCOM_FpIr80	= 3006,
+    X86_UCOM_Fpr32	= 3007,
+    X86_UCOM_Fpr64	= 3008,
+    X86_UCOM_Fpr80	= 3009,
+    X86_UCOM_Fr	= 3010,
+    X86_UD2B	= 3011,
+    X86_UNPCKHPDrm	= 3012,
+    X86_UNPCKHPDrr	= 3013,
+    X86_UNPCKHPSrm	= 3014,
+    X86_UNPCKHPSrr	= 3015,
+    X86_UNPCKLPDrm	= 3016,
+    X86_UNPCKLPDrr	= 3017,
+    X86_UNPCKLPSrm	= 3018,
+    X86_UNPCKLPSrr	= 3019,
+    X86_VAARG_64	= 3020,
+    X86_VADDPDYrm	= 3021,
+    X86_VADDPDYrr	= 3022,
+    X86_VADDPDZ128rm	= 3023,
+    X86_VADDPDZ128rmb	= 3024,
+    X86_VADDPDZ128rmbk	= 3025,
+    X86_VADDPDZ128rmbkz	= 3026,
+    X86_VADDPDZ128rmk	= 3027,
+    X86_VADDPDZ128rmkz	= 3028,
+    X86_VADDPDZ128rr	= 3029,
+    X86_VADDPDZ128rrk	= 3030,
+    X86_VADDPDZ128rrkz	= 3031,
+    X86_VADDPDZ256rm	= 3032,
+    X86_VADDPDZ256rmb	= 3033,
+    X86_VADDPDZ256rmbk	= 3034,
+    X86_VADDPDZ256rmbkz	= 3035,
+    X86_VADDPDZ256rmk	= 3036,
+    X86_VADDPDZ256rmkz	= 3037,
+    X86_VADDPDZ256rr	= 3038,
+    X86_VADDPDZ256rrk	= 3039,
+    X86_VADDPDZ256rrkz	= 3040,
+    X86_VADDPDZrb	= 3041,
+    X86_VADDPDZrbk	= 3042,
+    X86_VADDPDZrbkz	= 3043,
+    X86_VADDPDZrm	= 3044,
+    X86_VADDPDZrmb	= 3045,
+    X86_VADDPDZrmbk	= 3046,
+    X86_VADDPDZrmbkz	= 3047,
+    X86_VADDPDZrmk	= 3048,
+    X86_VADDPDZrmkz	= 3049,
+    X86_VADDPDZrr	= 3050,
+    X86_VADDPDZrrk	= 3051,
+    X86_VADDPDZrrkz	= 3052,
+    X86_VADDPDrm	= 3053,
+    X86_VADDPDrr	= 3054,
+    X86_VADDPSYrm	= 3055,
+    X86_VADDPSYrr	= 3056,
+    X86_VADDPSZ128rm	= 3057,
+    X86_VADDPSZ128rmb	= 3058,
+    X86_VADDPSZ128rmbk	= 3059,
+    X86_VADDPSZ128rmbkz	= 3060,
+    X86_VADDPSZ128rmk	= 3061,
+    X86_VADDPSZ128rmkz	= 3062,
+    X86_VADDPSZ128rr	= 3063,
+    X86_VADDPSZ128rrk	= 3064,
+    X86_VADDPSZ128rrkz	= 3065,
+    X86_VADDPSZ256rm	= 3066,
+    X86_VADDPSZ256rmb	= 3067,
+    X86_VADDPSZ256rmbk	= 3068,
+    X86_VADDPSZ256rmbkz	= 3069,
+    X86_VADDPSZ256rmk	= 3070,
+    X86_VADDPSZ256rmkz	= 3071,
+    X86_VADDPSZ256rr	= 3072,
+    X86_VADDPSZ256rrk	= 3073,
+    X86_VADDPSZ256rrkz	= 3074,
+    X86_VADDPSZrb	= 3075,
+    X86_VADDPSZrbk	= 3076,
+    X86_VADDPSZrbkz	= 3077,
+    X86_VADDPSZrm	= 3078,
+    X86_VADDPSZrmb	= 3079,
+    X86_VADDPSZrmbk	= 3080,
+    X86_VADDPSZrmbkz	= 3081,
+    X86_VADDPSZrmk	= 3082,
+    X86_VADDPSZrmkz	= 3083,
+    X86_VADDPSZrr	= 3084,
+    X86_VADDPSZrrk	= 3085,
+    X86_VADDPSZrrkz	= 3086,
+    X86_VADDPSrm	= 3087,
+    X86_VADDPSrr	= 3088,
+    X86_VADDSDZrm	= 3089,
+    X86_VADDSDZrm_Int	= 3090,
+    X86_VADDSDZrm_Intk	= 3091,
+    X86_VADDSDZrm_Intkz	= 3092,
+    X86_VADDSDZrr	= 3093,
+    X86_VADDSDZrr_Int	= 3094,
+    X86_VADDSDZrr_Intk	= 3095,
+    X86_VADDSDZrr_Intkz	= 3096,
+    X86_VADDSDZrrb	= 3097,
+    X86_VADDSDZrrbk	= 3098,
+    X86_VADDSDZrrbkz	= 3099,
+    X86_VADDSDrm	= 3100,
+    X86_VADDSDrm_Int	= 3101,
+    X86_VADDSDrr	= 3102,
+    X86_VADDSDrr_Int	= 3103,
+    X86_VADDSSZrm	= 3104,
+    X86_VADDSSZrm_Int	= 3105,
+    X86_VADDSSZrm_Intk	= 3106,
+    X86_VADDSSZrm_Intkz	= 3107,
+    X86_VADDSSZrr	= 3108,
+    X86_VADDSSZrr_Int	= 3109,
+    X86_VADDSSZrr_Intk	= 3110,
+    X86_VADDSSZrr_Intkz	= 3111,
+    X86_VADDSSZrrb	= 3112,
+    X86_VADDSSZrrbk	= 3113,
+    X86_VADDSSZrrbkz	= 3114,
+    X86_VADDSSrm	= 3115,
+    X86_VADDSSrm_Int	= 3116,
+    X86_VADDSSrr	= 3117,
+    X86_VADDSSrr_Int	= 3118,
+    X86_VADDSUBPDYrm	= 3119,
+    X86_VADDSUBPDYrr	= 3120,
+    X86_VADDSUBPDrm	= 3121,
+    X86_VADDSUBPDrr	= 3122,
+    X86_VADDSUBPSYrm	= 3123,
+    X86_VADDSUBPSYrr	= 3124,
+    X86_VADDSUBPSrm	= 3125,
+    X86_VADDSUBPSrr	= 3126,
+    X86_VAESDECLASTrm	= 3127,
+    X86_VAESDECLASTrr	= 3128,
+    X86_VAESDECrm	= 3129,
+    X86_VAESDECrr	= 3130,
+    X86_VAESENCLASTrm	= 3131,
+    X86_VAESENCLASTrr	= 3132,
+    X86_VAESENCrm	= 3133,
+    X86_VAESENCrr	= 3134,
+    X86_VAESIMCrm	= 3135,
+    X86_VAESIMCrr	= 3136,
+    X86_VAESKEYGENASSIST128rm	= 3137,
+    X86_VAESKEYGENASSIST128rr	= 3138,
+    X86_VALIGNDrmi	= 3139,
+    X86_VALIGNDrri	= 3140,
+    X86_VALIGNDrrik	= 3141,
+    X86_VALIGNDrrikz	= 3142,
+    X86_VALIGNQrmi	= 3143,
+    X86_VALIGNQrri	= 3144,
+    X86_VALIGNQrrik	= 3145,
+    X86_VALIGNQrrikz	= 3146,
+    X86_VANDNPDYrm	= 3147,
+    X86_VANDNPDYrr	= 3148,
+    X86_VANDNPDrm	= 3149,
+    X86_VANDNPDrr	= 3150,
+    X86_VANDNPSYrm	= 3151,
+    X86_VANDNPSYrr	= 3152,
+    X86_VANDNPSrm	= 3153,
+    X86_VANDNPSrr	= 3154,
+    X86_VANDPDYrm	= 3155,
+    X86_VANDPDYrr	= 3156,
+    X86_VANDPDrm	= 3157,
+    X86_VANDPDrr	= 3158,
+    X86_VANDPSYrm	= 3159,
+    X86_VANDPSYrr	= 3160,
+    X86_VANDPSrm	= 3161,
+    X86_VANDPSrr	= 3162,
+    X86_VASTART_SAVE_XMM_REGS	= 3163,
+    X86_VBLENDMPDZ128rm	= 3164,
+    X86_VBLENDMPDZ128rmb	= 3165,
+    X86_VBLENDMPDZ128rmbk	= 3166,
+    X86_VBLENDMPDZ128rmk	= 3167,
+    X86_VBLENDMPDZ128rmkz	= 3168,
+    X86_VBLENDMPDZ128rr	= 3169,
+    X86_VBLENDMPDZ128rrk	= 3170,
+    X86_VBLENDMPDZ128rrkz	= 3171,
+    X86_VBLENDMPDZ256rm	= 3172,
+    X86_VBLENDMPDZ256rmb	= 3173,
+    X86_VBLENDMPDZ256rmbk	= 3174,
+    X86_VBLENDMPDZ256rmk	= 3175,
+    X86_VBLENDMPDZ256rmkz	= 3176,
+    X86_VBLENDMPDZ256rr	= 3177,
+    X86_VBLENDMPDZ256rrk	= 3178,
+    X86_VBLENDMPDZ256rrkz	= 3179,
+    X86_VBLENDMPDZrm	= 3180,
+    X86_VBLENDMPDZrmb	= 3181,
+    X86_VBLENDMPDZrmbk	= 3182,
+    X86_VBLENDMPDZrmk	= 3183,
+    X86_VBLENDMPDZrmkz	= 3184,
+    X86_VBLENDMPDZrr	= 3185,
+    X86_VBLENDMPDZrrk	= 3186,
+    X86_VBLENDMPDZrrkz	= 3187,
+    X86_VBLENDMPSZ128rm	= 3188,
+    X86_VBLENDMPSZ128rmb	= 3189,
+    X86_VBLENDMPSZ128rmbk	= 3190,
+    X86_VBLENDMPSZ128rmk	= 3191,
+    X86_VBLENDMPSZ128rmkz	= 3192,
+    X86_VBLENDMPSZ128rr	= 3193,
+    X86_VBLENDMPSZ128rrk	= 3194,
+    X86_VBLENDMPSZ128rrkz	= 3195,
+    X86_VBLENDMPSZ256rm	= 3196,
+    X86_VBLENDMPSZ256rmb	= 3197,
+    X86_VBLENDMPSZ256rmbk	= 3198,
+    X86_VBLENDMPSZ256rmk	= 3199,
+    X86_VBLENDMPSZ256rmkz	= 3200,
+    X86_VBLENDMPSZ256rr	= 3201,
+    X86_VBLENDMPSZ256rrk	= 3202,
+    X86_VBLENDMPSZ256rrkz	= 3203,
+    X86_VBLENDMPSZrm	= 3204,
+    X86_VBLENDMPSZrmb	= 3205,
+    X86_VBLENDMPSZrmbk	= 3206,
+    X86_VBLENDMPSZrmk	= 3207,
+    X86_VBLENDMPSZrmkz	= 3208,
+    X86_VBLENDMPSZrr	= 3209,
+    X86_VBLENDMPSZrrk	= 3210,
+    X86_VBLENDMPSZrrkz	= 3211,
+    X86_VBLENDPDYrmi	= 3212,
+    X86_VBLENDPDYrri	= 3213,
+    X86_VBLENDPDrmi	= 3214,
+    X86_VBLENDPDrri	= 3215,
+    X86_VBLENDPSYrmi	= 3216,
+    X86_VBLENDPSYrri	= 3217,
+    X86_VBLENDPSrmi	= 3218,
+    X86_VBLENDPSrri	= 3219,
+    X86_VBLENDVPDYrm	= 3220,
+    X86_VBLENDVPDYrr	= 3221,
+    X86_VBLENDVPDrm	= 3222,
+    X86_VBLENDVPDrr	= 3223,
+    X86_VBLENDVPSYrm	= 3224,
+    X86_VBLENDVPSYrr	= 3225,
+    X86_VBLENDVPSrm	= 3226,
+    X86_VBLENDVPSrr	= 3227,
+    X86_VBROADCASTF128	= 3228,
+    X86_VBROADCASTI32X4krm	= 3229,
+    X86_VBROADCASTI32X4rm	= 3230,
+    X86_VBROADCASTI64X4krm	= 3231,
+    X86_VBROADCASTI64X4rm	= 3232,
+    X86_VBROADCASTSDYrm	= 3233,
+    X86_VBROADCASTSDYrr	= 3234,
+    X86_VBROADCASTSDZ256m	= 3235,
+    X86_VBROADCASTSDZ256mk	= 3236,
+    X86_VBROADCASTSDZ256mkz	= 3237,
+    X86_VBROADCASTSDZ256r	= 3238,
+    X86_VBROADCASTSDZ256rk	= 3239,
+    X86_VBROADCASTSDZ256rkz	= 3240,
+    X86_VBROADCASTSDZm	= 3241,
+    X86_VBROADCASTSDZmk	= 3242,
+    X86_VBROADCASTSDZmkz	= 3243,
+    X86_VBROADCASTSDZr	= 3244,
+    X86_VBROADCASTSDZrk	= 3245,
+    X86_VBROADCASTSDZrkz	= 3246,
+    X86_VBROADCASTSSYrm	= 3247,
+    X86_VBROADCASTSSYrr	= 3248,
+    X86_VBROADCASTSSZ128m	= 3249,
+    X86_VBROADCASTSSZ128mk	= 3250,
+    X86_VBROADCASTSSZ128mkz	= 3251,
+    X86_VBROADCASTSSZ128r	= 3252,
+    X86_VBROADCASTSSZ128rk	= 3253,
+    X86_VBROADCASTSSZ128rkz	= 3254,
+    X86_VBROADCASTSSZ256m	= 3255,
+    X86_VBROADCASTSSZ256mk	= 3256,
+    X86_VBROADCASTSSZ256mkz	= 3257,
+    X86_VBROADCASTSSZ256r	= 3258,
+    X86_VBROADCASTSSZ256rk	= 3259,
+    X86_VBROADCASTSSZ256rkz	= 3260,
+    X86_VBROADCASTSSZm	= 3261,
+    X86_VBROADCASTSSZmk	= 3262,
+    X86_VBROADCASTSSZmkz	= 3263,
+    X86_VBROADCASTSSZr	= 3264,
+    X86_VBROADCASTSSZrk	= 3265,
+    X86_VBROADCASTSSZrkz	= 3266,
+    X86_VBROADCASTSSrm	= 3267,
+    X86_VBROADCASTSSrr	= 3268,
+    X86_VCMPPDYrmi	= 3269,
+    X86_VCMPPDYrmi_alt	= 3270,
+    X86_VCMPPDYrri	= 3271,
+    X86_VCMPPDYrri_alt	= 3272,
+    X86_VCMPPDZrmi	= 3273,
+    X86_VCMPPDZrmi_alt	= 3274,
+    X86_VCMPPDZrri	= 3275,
+    X86_VCMPPDZrri_alt	= 3276,
+    X86_VCMPPDZrrib	= 3277,
+    X86_VCMPPDZrrib_alt	= 3278,
+    X86_VCMPPDrmi	= 3279,
+    X86_VCMPPDrmi_alt	= 3280,
+    X86_VCMPPDrri	= 3281,
+    X86_VCMPPDrri_alt	= 3282,
+    X86_VCMPPSYrmi	= 3283,
+    X86_VCMPPSYrmi_alt	= 3284,
+    X86_VCMPPSYrri	= 3285,
+    X86_VCMPPSYrri_alt	= 3286,
+    X86_VCMPPSZrmi	= 3287,
+    X86_VCMPPSZrmi_alt	= 3288,
+    X86_VCMPPSZrri	= 3289,
+    X86_VCMPPSZrri_alt	= 3290,
+    X86_VCMPPSZrrib	= 3291,
+    X86_VCMPPSZrrib_alt	= 3292,
+    X86_VCMPPSrmi	= 3293,
+    X86_VCMPPSrmi_alt	= 3294,
+    X86_VCMPPSrri	= 3295,
+    X86_VCMPPSrri_alt	= 3296,
+    X86_VCMPSDZrm	= 3297,
+    X86_VCMPSDZrmi_alt	= 3298,
+    X86_VCMPSDZrr	= 3299,
+    X86_VCMPSDZrri_alt	= 3300,
+    X86_VCMPSDrm	= 3301,
+    X86_VCMPSDrm_alt	= 3302,
+    X86_VCMPSDrr	= 3303,
+    X86_VCMPSDrr_alt	= 3304,
+    X86_VCMPSSZrm	= 3305,
+    X86_VCMPSSZrmi_alt	= 3306,
+    X86_VCMPSSZrr	= 3307,
+    X86_VCMPSSZrri_alt	= 3308,
+    X86_VCMPSSrm	= 3309,
+    X86_VCMPSSrm_alt	= 3310,
+    X86_VCMPSSrr	= 3311,
+    X86_VCMPSSrr_alt	= 3312,
+    X86_VCOMISDZrm	= 3313,
+    X86_VCOMISDZrr	= 3314,
+    X86_VCOMISDrm	= 3315,
+    X86_VCOMISDrr	= 3316,
+    X86_VCOMISSZrm	= 3317,
+    X86_VCOMISSZrr	= 3318,
+    X86_VCOMISSrm	= 3319,
+    X86_VCOMISSrr	= 3320,
+    X86_VCOMPRESSPDZ128mrk	= 3321,
+    X86_VCOMPRESSPDZ128rrk	= 3322,
+    X86_VCOMPRESSPDZ128rrkz	= 3323,
+    X86_VCOMPRESSPDZ256mrk	= 3324,
+    X86_VCOMPRESSPDZ256rrk	= 3325,
+    X86_VCOMPRESSPDZ256rrkz	= 3326,
+    X86_VCOMPRESSPDZmrk	= 3327,
+    X86_VCOMPRESSPDZrrk	= 3328,
+    X86_VCOMPRESSPDZrrkz	= 3329,
+    X86_VCOMPRESSPSZ128mrk	= 3330,
+    X86_VCOMPRESSPSZ128rrk	= 3331,
+    X86_VCOMPRESSPSZ128rrkz	= 3332,
+    X86_VCOMPRESSPSZ256mrk	= 3333,
+    X86_VCOMPRESSPSZ256rrk	= 3334,
+    X86_VCOMPRESSPSZ256rrkz	= 3335,
+    X86_VCOMPRESSPSZmrk	= 3336,
+    X86_VCOMPRESSPSZrrk	= 3337,
+    X86_VCOMPRESSPSZrrkz	= 3338,
+    X86_VCVTDQ2PDYrm	= 3339,
+    X86_VCVTDQ2PDYrr	= 3340,
+    X86_VCVTDQ2PDZrm	= 3341,
+    X86_VCVTDQ2PDZrr	= 3342,
+    X86_VCVTDQ2PDrm	= 3343,
+    X86_VCVTDQ2PDrr	= 3344,
+    X86_VCVTDQ2PSYrm	= 3345,
+    X86_VCVTDQ2PSYrr	= 3346,
+    X86_VCVTDQ2PSZrm	= 3347,
+    X86_VCVTDQ2PSZrr	= 3348,
+    X86_VCVTDQ2PSZrrb	= 3349,
+    X86_VCVTDQ2PSrm	= 3350,
+    X86_VCVTDQ2PSrr	= 3351,
+    X86_VCVTPD2DQXrm	= 3352,
+    X86_VCVTPD2DQYrm	= 3353,
+    X86_VCVTPD2DQYrr	= 3354,
+    X86_VCVTPD2DQZrm	= 3355,
+    X86_VCVTPD2DQZrr	= 3356,
+    X86_VCVTPD2DQZrrb	= 3357,
+    X86_VCVTPD2DQrr	= 3358,
+    X86_VCVTPD2PSXrm	= 3359,
+    X86_VCVTPD2PSYrm	= 3360,
+    X86_VCVTPD2PSYrr	= 3361,
+    X86_VCVTPD2PSZrm	= 3362,
+    X86_VCVTPD2PSZrr	= 3363,
+    X86_VCVTPD2PSZrrb	= 3364,
+    X86_VCVTPD2PSrr	= 3365,
+    X86_VCVTPD2UDQZrm	= 3366,
+    X86_VCVTPD2UDQZrr	= 3367,
+    X86_VCVTPD2UDQZrrb	= 3368,
+    X86_VCVTPH2PSYrm	= 3369,
+    X86_VCVTPH2PSYrr	= 3370,
+    X86_VCVTPH2PSZrm	= 3371,
+    X86_VCVTPH2PSZrr	= 3372,
+    X86_VCVTPH2PSrm	= 3373,
+    X86_VCVTPH2PSrr	= 3374,
+    X86_VCVTPS2DQYrm	= 3375,
+    X86_VCVTPS2DQYrr	= 3376,
+    X86_VCVTPS2DQZrm	= 3377,
+    X86_VCVTPS2DQZrr	= 3378,
+    X86_VCVTPS2DQZrrb	= 3379,
+    X86_VCVTPS2DQrm	= 3380,
+    X86_VCVTPS2DQrr	= 3381,
+    X86_VCVTPS2PDYrm	= 3382,
+    X86_VCVTPS2PDYrr	= 3383,
+    X86_VCVTPS2PDZrm	= 3384,
+    X86_VCVTPS2PDZrr	= 3385,
+    X86_VCVTPS2PDrm	= 3386,
+    X86_VCVTPS2PDrr	= 3387,
+    X86_VCVTPS2PHYmr	= 3388,
+    X86_VCVTPS2PHYrr	= 3389,
+    X86_VCVTPS2PHZmr	= 3390,
+    X86_VCVTPS2PHZrr	= 3391,
+    X86_VCVTPS2PHmr	= 3392,
+    X86_VCVTPS2PHrr	= 3393,
+    X86_VCVTPS2UDQZrm	= 3394,
+    X86_VCVTPS2UDQZrr	= 3395,
+    X86_VCVTPS2UDQZrrb	= 3396,
+    X86_VCVTSD2SI64Zrm	= 3397,
+    X86_VCVTSD2SI64Zrr	= 3398,
+    X86_VCVTSD2SI64rm	= 3399,
+    X86_VCVTSD2SI64rr	= 3400,
+    X86_VCVTSD2SIZrm	= 3401,
+    X86_VCVTSD2SIZrr	= 3402,
+    X86_VCVTSD2SIrm	= 3403,
+    X86_VCVTSD2SIrr	= 3404,
+    X86_VCVTSD2SSZrm	= 3405,
+    X86_VCVTSD2SSZrr	= 3406,
+    X86_VCVTSD2SSrm	= 3407,
+    X86_VCVTSD2SSrr	= 3408,
+    X86_VCVTSD2USI64Zrm	= 3409,
+    X86_VCVTSD2USI64Zrr	= 3410,
+    X86_VCVTSD2USIZrm	= 3411,
+    X86_VCVTSD2USIZrr	= 3412,
+    X86_VCVTSI2SD64rm	= 3413,
+    X86_VCVTSI2SD64rr	= 3414,
+    X86_VCVTSI2SDZrm	= 3415,
+    X86_VCVTSI2SDZrr	= 3416,
+    X86_VCVTSI2SDrm	= 3417,
+    X86_VCVTSI2SDrr	= 3418,
+    X86_VCVTSI2SS64rm	= 3419,
+    X86_VCVTSI2SS64rr	= 3420,
+    X86_VCVTSI2SSZrm	= 3421,
+    X86_VCVTSI2SSZrr	= 3422,
+    X86_VCVTSI2SSrm	= 3423,
+    X86_VCVTSI2SSrr	= 3424,
+    X86_VCVTSI642SDZrm	= 3425,
+    X86_VCVTSI642SDZrr	= 3426,
+    X86_VCVTSI642SSZrm	= 3427,
+    X86_VCVTSI642SSZrr	= 3428,
+    X86_VCVTSS2SDZrm	= 3429,
+    X86_VCVTSS2SDZrr	= 3430,
+    X86_VCVTSS2SDrm	= 3431,
+    X86_VCVTSS2SDrr	= 3432,
+    X86_VCVTSS2SI64Zrm	= 3433,
+    X86_VCVTSS2SI64Zrr	= 3434,
+    X86_VCVTSS2SI64rm	= 3435,
+    X86_VCVTSS2SI64rr	= 3436,
+    X86_VCVTSS2SIZrm	= 3437,
+    X86_VCVTSS2SIZrr	= 3438,
+    X86_VCVTSS2SIrm	= 3439,
+    X86_VCVTSS2SIrr	= 3440,
+    X86_VCVTSS2USI64Zrm	= 3441,
+    X86_VCVTSS2USI64Zrr	= 3442,
+    X86_VCVTSS2USIZrm	= 3443,
+    X86_VCVTSS2USIZrr	= 3444,
+    X86_VCVTTPD2DQXrm	= 3445,
+    X86_VCVTTPD2DQYrm	= 3446,
+    X86_VCVTTPD2DQYrr	= 3447,
+    X86_VCVTTPD2DQZrm	= 3448,
+    X86_VCVTTPD2DQZrr	= 3449,
+    X86_VCVTTPD2DQrr	= 3450,
+    X86_VCVTTPD2UDQZrm	= 3451,
+    X86_VCVTTPD2UDQZrr	= 3452,
+    X86_VCVTTPS2DQYrm	= 3453,
+    X86_VCVTTPS2DQYrr	= 3454,
+    X86_VCVTTPS2DQZrm	= 3455,
+    X86_VCVTTPS2DQZrr	= 3456,
+    X86_VCVTTPS2DQrm	= 3457,
+    X86_VCVTTPS2DQrr	= 3458,
+    X86_VCVTTPS2UDQZrm	= 3459,
+    X86_VCVTTPS2UDQZrr	= 3460,
+    X86_VCVTTSD2SI64Zrm	= 3461,
+    X86_VCVTTSD2SI64Zrr	= 3462,
+    X86_VCVTTSD2SI64rm	= 3463,
+    X86_VCVTTSD2SI64rr	= 3464,
+    X86_VCVTTSD2SIZrm	= 3465,
+    X86_VCVTTSD2SIZrr	= 3466,
+    X86_VCVTTSD2SIrm	= 3467,
+    X86_VCVTTSD2SIrr	= 3468,
+    X86_VCVTTSD2USI64Zrm	= 3469,
+    X86_VCVTTSD2USI64Zrr	= 3470,
+    X86_VCVTTSD2USIZrm	= 3471,
+    X86_VCVTTSD2USIZrr	= 3472,
+    X86_VCVTTSS2SI64Zrm	= 3473,
+    X86_VCVTTSS2SI64Zrr	= 3474,
+    X86_VCVTTSS2SI64rm	= 3475,
+    X86_VCVTTSS2SI64rr	= 3476,
+    X86_VCVTTSS2SIZrm	= 3477,
+    X86_VCVTTSS2SIZrr	= 3478,
+    X86_VCVTTSS2SIrm	= 3479,
+    X86_VCVTTSS2SIrr	= 3480,
+    X86_VCVTTSS2USI64Zrm	= 3481,
+    X86_VCVTTSS2USI64Zrr	= 3482,
+    X86_VCVTTSS2USIZrm	= 3483,
+    X86_VCVTTSS2USIZrr	= 3484,
+    X86_VCVTUDQ2PDZrm	= 3485,
+    X86_VCVTUDQ2PDZrr	= 3486,
+    X86_VCVTUDQ2PSZrm	= 3487,
+    X86_VCVTUDQ2PSZrr	= 3488,
+    X86_VCVTUDQ2PSZrrb	= 3489,
+    X86_VCVTUSI2SDZrm	= 3490,
+    X86_VCVTUSI2SDZrr	= 3491,
+    X86_VCVTUSI2SSZrm	= 3492,
+    X86_VCVTUSI2SSZrr	= 3493,
+    X86_VCVTUSI642SDZrm	= 3494,
+    X86_VCVTUSI642SDZrr	= 3495,
+    X86_VCVTUSI642SSZrm	= 3496,
+    X86_VCVTUSI642SSZrr	= 3497,
+    X86_VDIVPDYrm	= 3498,
+    X86_VDIVPDYrr	= 3499,
+    X86_VDIVPDZ128rm	= 3500,
+    X86_VDIVPDZ128rmb	= 3501,
+    X86_VDIVPDZ128rmbk	= 3502,
+    X86_VDIVPDZ128rmbkz	= 3503,
+    X86_VDIVPDZ128rmk	= 3504,
+    X86_VDIVPDZ128rmkz	= 3505,
+    X86_VDIVPDZ128rr	= 3506,
+    X86_VDIVPDZ128rrk	= 3507,
+    X86_VDIVPDZ128rrkz	= 3508,
+    X86_VDIVPDZ256rm	= 3509,
+    X86_VDIVPDZ256rmb	= 3510,
+    X86_VDIVPDZ256rmbk	= 3511,
+    X86_VDIVPDZ256rmbkz	= 3512,
+    X86_VDIVPDZ256rmk	= 3513,
+    X86_VDIVPDZ256rmkz	= 3514,
+    X86_VDIVPDZ256rr	= 3515,
+    X86_VDIVPDZ256rrk	= 3516,
+    X86_VDIVPDZ256rrkz	= 3517,
+    X86_VDIVPDZrb	= 3518,
+    X86_VDIVPDZrbk	= 3519,
+    X86_VDIVPDZrbkz	= 3520,
+    X86_VDIVPDZrm	= 3521,
+    X86_VDIVPDZrmb	= 3522,
+    X86_VDIVPDZrmbk	= 3523,
+    X86_VDIVPDZrmbkz	= 3524,
+    X86_VDIVPDZrmk	= 3525,
+    X86_VDIVPDZrmkz	= 3526,
+    X86_VDIVPDZrr	= 3527,
+    X86_VDIVPDZrrk	= 3528,
+    X86_VDIVPDZrrkz	= 3529,
+    X86_VDIVPDrm	= 3530,
+    X86_VDIVPDrr	= 3531,
+    X86_VDIVPSYrm	= 3532,
+    X86_VDIVPSYrr	= 3533,
+    X86_VDIVPSZ128rm	= 3534,
+    X86_VDIVPSZ128rmb	= 3535,
+    X86_VDIVPSZ128rmbk	= 3536,
+    X86_VDIVPSZ128rmbkz	= 3537,
+    X86_VDIVPSZ128rmk	= 3538,
+    X86_VDIVPSZ128rmkz	= 3539,
+    X86_VDIVPSZ128rr	= 3540,
+    X86_VDIVPSZ128rrk	= 3541,
+    X86_VDIVPSZ128rrkz	= 3542,
+    X86_VDIVPSZ256rm	= 3543,
+    X86_VDIVPSZ256rmb	= 3544,
+    X86_VDIVPSZ256rmbk	= 3545,
+    X86_VDIVPSZ256rmbkz	= 3546,
+    X86_VDIVPSZ256rmk	= 3547,
+    X86_VDIVPSZ256rmkz	= 3548,
+    X86_VDIVPSZ256rr	= 3549,
+    X86_VDIVPSZ256rrk	= 3550,
+    X86_VDIVPSZ256rrkz	= 3551,
+    X86_VDIVPSZrb	= 3552,
+    X86_VDIVPSZrbk	= 3553,
+    X86_VDIVPSZrbkz	= 3554,
+    X86_VDIVPSZrm	= 3555,
+    X86_VDIVPSZrmb	= 3556,
+    X86_VDIVPSZrmbk	= 3557,
+    X86_VDIVPSZrmbkz	= 3558,
+    X86_VDIVPSZrmk	= 3559,
+    X86_VDIVPSZrmkz	= 3560,
+    X86_VDIVPSZrr	= 3561,
+    X86_VDIVPSZrrk	= 3562,
+    X86_VDIVPSZrrkz	= 3563,
+    X86_VDIVPSrm	= 3564,
+    X86_VDIVPSrr	= 3565,
+    X86_VDIVSDZrm	= 3566,
+    X86_VDIVSDZrm_Int	= 3567,
+    X86_VDIVSDZrm_Intk	= 3568,
+    X86_VDIVSDZrm_Intkz	= 3569,
+    X86_VDIVSDZrr	= 3570,
+    X86_VDIVSDZrr_Int	= 3571,
+    X86_VDIVSDZrr_Intk	= 3572,
+    X86_VDIVSDZrr_Intkz	= 3573,
+    X86_VDIVSDZrrb	= 3574,
+    X86_VDIVSDZrrbk	= 3575,
+    X86_VDIVSDZrrbkz	= 3576,
+    X86_VDIVSDrm	= 3577,
+    X86_VDIVSDrm_Int	= 3578,
+    X86_VDIVSDrr	= 3579,
+    X86_VDIVSDrr_Int	= 3580,
+    X86_VDIVSSZrm	= 3581,
+    X86_VDIVSSZrm_Int	= 3582,
+    X86_VDIVSSZrm_Intk	= 3583,
+    X86_VDIVSSZrm_Intkz	= 3584,
+    X86_VDIVSSZrr	= 3585,
+    X86_VDIVSSZrr_Int	= 3586,
+    X86_VDIVSSZrr_Intk	= 3587,
+    X86_VDIVSSZrr_Intkz	= 3588,
+    X86_VDIVSSZrrb	= 3589,
+    X86_VDIVSSZrrbk	= 3590,
+    X86_VDIVSSZrrbkz	= 3591,
+    X86_VDIVSSrm	= 3592,
+    X86_VDIVSSrm_Int	= 3593,
+    X86_VDIVSSrr	= 3594,
+    X86_VDIVSSrr_Int	= 3595,
+    X86_VDPPDrmi	= 3596,
+    X86_VDPPDrri	= 3597,
+    X86_VDPPSYrmi	= 3598,
+    X86_VDPPSYrri	= 3599,
+    X86_VDPPSrmi	= 3600,
+    X86_VDPPSrri	= 3601,
+    X86_VERRm	= 3602,
+    X86_VERRr	= 3603,
+    X86_VERWm	= 3604,
+    X86_VERWr	= 3605,
+    X86_VEXP2PDm	= 3606,
+    X86_VEXP2PDmb	= 3607,
+    X86_VEXP2PDmbk	= 3608,
+    X86_VEXP2PDmbkz	= 3609,
+    X86_VEXP2PDmk	= 3610,
+    X86_VEXP2PDmkz	= 3611,
+    X86_VEXP2PDr	= 3612,
+    X86_VEXP2PDrb	= 3613,
+    X86_VEXP2PDrbk	= 3614,
+    X86_VEXP2PDrbkz	= 3615,
+    X86_VEXP2PDrk	= 3616,
+    X86_VEXP2PDrkz	= 3617,
+    X86_VEXP2PSm	= 3618,
+    X86_VEXP2PSmb	= 3619,
+    X86_VEXP2PSmbk	= 3620,
+    X86_VEXP2PSmbkz	= 3621,
+    X86_VEXP2PSmk	= 3622,
+    X86_VEXP2PSmkz	= 3623,
+    X86_VEXP2PSr	= 3624,
+    X86_VEXP2PSrb	= 3625,
+    X86_VEXP2PSrbk	= 3626,
+    X86_VEXP2PSrbkz	= 3627,
+    X86_VEXP2PSrk	= 3628,
+    X86_VEXP2PSrkz	= 3629,
+    X86_VEXPANDPDZ128rmk	= 3630,
+    X86_VEXPANDPDZ128rmkz	= 3631,
+    X86_VEXPANDPDZ128rrk	= 3632,
+    X86_VEXPANDPDZ128rrkz	= 3633,
+    X86_VEXPANDPDZ256rmk	= 3634,
+    X86_VEXPANDPDZ256rmkz	= 3635,
+    X86_VEXPANDPDZ256rrk	= 3636,
+    X86_VEXPANDPDZ256rrkz	= 3637,
+    X86_VEXPANDPDZrmk	= 3638,
+    X86_VEXPANDPDZrmkz	= 3639,
+    X86_VEXPANDPDZrrk	= 3640,
+    X86_VEXPANDPDZrrkz	= 3641,
+    X86_VEXPANDPSZ128rmk	= 3642,
+    X86_VEXPANDPSZ128rmkz	= 3643,
+    X86_VEXPANDPSZ128rrk	= 3644,
+    X86_VEXPANDPSZ128rrkz	= 3645,
+    X86_VEXPANDPSZ256rmk	= 3646,
+    X86_VEXPANDPSZ256rmkz	= 3647,
+    X86_VEXPANDPSZ256rrk	= 3648,
+    X86_VEXPANDPSZ256rrkz	= 3649,
+    X86_VEXPANDPSZrmk	= 3650,
+    X86_VEXPANDPSZrmkz	= 3651,
+    X86_VEXPANDPSZrrk	= 3652,
+    X86_VEXPANDPSZrrkz	= 3653,
+    X86_VEXTRACTF128mr	= 3654,
+    X86_VEXTRACTF128rr	= 3655,
+    X86_VEXTRACTF32x4rm	= 3656,
+    X86_VEXTRACTF32x4rr	= 3657,
+    X86_VEXTRACTF32x4rrk	= 3658,
+    X86_VEXTRACTF32x4rrkz	= 3659,
+    X86_VEXTRACTF64x4rm	= 3660,
+    X86_VEXTRACTF64x4rr	= 3661,
+    X86_VEXTRACTF64x4rrk	= 3662,
+    X86_VEXTRACTF64x4rrkz	= 3663,
+    X86_VEXTRACTI128mr	= 3664,
+    X86_VEXTRACTI128rr	= 3665,
+    X86_VEXTRACTI32x4rm	= 3666,
+    X86_VEXTRACTI32x4rr	= 3667,
+    X86_VEXTRACTI32x4rrk	= 3668,
+    X86_VEXTRACTI32x4rrkz	= 3669,
+    X86_VEXTRACTI64x4rm	= 3670,
+    X86_VEXTRACTI64x4rr	= 3671,
+    X86_VEXTRACTI64x4rrk	= 3672,
+    X86_VEXTRACTI64x4rrkz	= 3673,
+    X86_VEXTRACTPSmr	= 3674,
+    X86_VEXTRACTPSrr	= 3675,
+    X86_VEXTRACTPSzmr	= 3676,
+    X86_VEXTRACTPSzrr	= 3677,
+    X86_VFMADD132PDZ128m	= 3678,
+    X86_VFMADD132PDZ128mb	= 3679,
+    X86_VFMADD132PDZ256m	= 3680,
+    X86_VFMADD132PDZ256mb	= 3681,
+    X86_VFMADD132PDZm	= 3682,
+    X86_VFMADD132PDZmb	= 3683,
+    X86_VFMADD132PSZ128m	= 3684,
+    X86_VFMADD132PSZ128mb	= 3685,
+    X86_VFMADD132PSZ256m	= 3686,
+    X86_VFMADD132PSZ256mb	= 3687,
+    X86_VFMADD132PSZm	= 3688,
+    X86_VFMADD132PSZmb	= 3689,
+    X86_VFMADDPD4mr	= 3690,
+    X86_VFMADDPD4mrY	= 3691,
+    X86_VFMADDPD4rm	= 3692,
+    X86_VFMADDPD4rmY	= 3693,
+    X86_VFMADDPD4rr	= 3694,
+    X86_VFMADDPD4rrY	= 3695,
+    X86_VFMADDPD4rrY_REV	= 3696,
+    X86_VFMADDPD4rr_REV	= 3697,
+    X86_VFMADDPDZ128v213rm	= 3698,
+    X86_VFMADDPDZ128v213rmb	= 3699,
+    X86_VFMADDPDZ128v213rmbk	= 3700,
+    X86_VFMADDPDZ128v213rmbkz	= 3701,
+    X86_VFMADDPDZ128v213rmk	= 3702,
+    X86_VFMADDPDZ128v213rmkz	= 3703,
+    X86_VFMADDPDZ128v213rr	= 3704,
+    X86_VFMADDPDZ128v213rrk	= 3705,
+    X86_VFMADDPDZ128v213rrkz	= 3706,
+    X86_VFMADDPDZ128v231rm	= 3707,
+    X86_VFMADDPDZ128v231rmb	= 3708,
+    X86_VFMADDPDZ128v231rmbk	= 3709,
+    X86_VFMADDPDZ128v231rmbkz	= 3710,
+    X86_VFMADDPDZ128v231rmk	= 3711,
+    X86_VFMADDPDZ128v231rmkz	= 3712,
+    X86_VFMADDPDZ128v231rr	= 3713,
+    X86_VFMADDPDZ128v231rrk	= 3714,
+    X86_VFMADDPDZ128v231rrkz	= 3715,
+    X86_VFMADDPDZ256v213rm	= 3716,
+    X86_VFMADDPDZ256v213rmb	= 3717,
+    X86_VFMADDPDZ256v213rmbk	= 3718,
+    X86_VFMADDPDZ256v213rmbkz	= 3719,
+    X86_VFMADDPDZ256v213rmk	= 3720,
+    X86_VFMADDPDZ256v213rmkz	= 3721,
+    X86_VFMADDPDZ256v213rr	= 3722,
+    X86_VFMADDPDZ256v213rrk	= 3723,
+    X86_VFMADDPDZ256v213rrkz	= 3724,
+    X86_VFMADDPDZ256v231rm	= 3725,
+    X86_VFMADDPDZ256v231rmb	= 3726,
+    X86_VFMADDPDZ256v231rmbk	= 3727,
+    X86_VFMADDPDZ256v231rmbkz	= 3728,
+    X86_VFMADDPDZ256v231rmk	= 3729,
+    X86_VFMADDPDZ256v231rmkz	= 3730,
+    X86_VFMADDPDZ256v231rr	= 3731,
+    X86_VFMADDPDZ256v231rrk	= 3732,
+    X86_VFMADDPDZ256v231rrkz	= 3733,
+    X86_VFMADDPDZv213rm	= 3734,
+    X86_VFMADDPDZv213rmb	= 3735,
+    X86_VFMADDPDZv213rmbk	= 3736,
+    X86_VFMADDPDZv213rmbkz	= 3737,
+    X86_VFMADDPDZv213rmk	= 3738,
+    X86_VFMADDPDZv213rmkz	= 3739,
+    X86_VFMADDPDZv213rr	= 3740,
+    X86_VFMADDPDZv213rrb	= 3741,
+    X86_VFMADDPDZv213rrbk	= 3742,
+    X86_VFMADDPDZv213rrbkz	= 3743,
+    X86_VFMADDPDZv213rrk	= 3744,
+    X86_VFMADDPDZv213rrkz	= 3745,
+    X86_VFMADDPDZv231rm	= 3746,
+    X86_VFMADDPDZv231rmb	= 3747,
+    X86_VFMADDPDZv231rmbk	= 3748,
+    X86_VFMADDPDZv231rmbkz	= 3749,
+    X86_VFMADDPDZv231rmk	= 3750,
+    X86_VFMADDPDZv231rmkz	= 3751,
+    X86_VFMADDPDZv231rr	= 3752,
+    X86_VFMADDPDZv231rrk	= 3753,
+    X86_VFMADDPDZv231rrkz	= 3754,
+    X86_VFMADDPDr132m	= 3755,
+    X86_VFMADDPDr132mY	= 3756,
+    X86_VFMADDPDr132r	= 3757,
+    X86_VFMADDPDr132rY	= 3758,
+    X86_VFMADDPDr213m	= 3759,
+    X86_VFMADDPDr213mY	= 3760,
+    X86_VFMADDPDr213r	= 3761,
+    X86_VFMADDPDr213rY	= 3762,
+    X86_VFMADDPDr231m	= 3763,
+    X86_VFMADDPDr231mY	= 3764,
+    X86_VFMADDPDr231r	= 3765,
+    X86_VFMADDPDr231rY	= 3766,
+    X86_VFMADDPS4mr	= 3767,
+    X86_VFMADDPS4mrY	= 3768,
+    X86_VFMADDPS4rm	= 3769,
+    X86_VFMADDPS4rmY	= 3770,
+    X86_VFMADDPS4rr	= 3771,
+    X86_VFMADDPS4rrY	= 3772,
+    X86_VFMADDPS4rrY_REV	= 3773,
+    X86_VFMADDPS4rr_REV	= 3774,
+    X86_VFMADDPSZ128v213rm	= 3775,
+    X86_VFMADDPSZ128v213rmb	= 3776,
+    X86_VFMADDPSZ128v213rmbk	= 3777,
+    X86_VFMADDPSZ128v213rmbkz	= 3778,
+    X86_VFMADDPSZ128v213rmk	= 3779,
+    X86_VFMADDPSZ128v213rmkz	= 3780,
+    X86_VFMADDPSZ128v213rr	= 3781,
+    X86_VFMADDPSZ128v213rrk	= 3782,
+    X86_VFMADDPSZ128v213rrkz	= 3783,
+    X86_VFMADDPSZ128v231rm	= 3784,
+    X86_VFMADDPSZ128v231rmb	= 3785,
+    X86_VFMADDPSZ128v231rmbk	= 3786,
+    X86_VFMADDPSZ128v231rmbkz	= 3787,
+    X86_VFMADDPSZ128v231rmk	= 3788,
+    X86_VFMADDPSZ128v231rmkz	= 3789,
+    X86_VFMADDPSZ128v231rr	= 3790,
+    X86_VFMADDPSZ128v231rrk	= 3791,
+    X86_VFMADDPSZ128v231rrkz	= 3792,
+    X86_VFMADDPSZ256v213rm	= 3793,
+    X86_VFMADDPSZ256v213rmb	= 3794,
+    X86_VFMADDPSZ256v213rmbk	= 3795,
+    X86_VFMADDPSZ256v213rmbkz	= 3796,
+    X86_VFMADDPSZ256v213rmk	= 3797,
+    X86_VFMADDPSZ256v213rmkz	= 3798,
+    X86_VFMADDPSZ256v213rr	= 3799,
+    X86_VFMADDPSZ256v213rrk	= 3800,
+    X86_VFMADDPSZ256v213rrkz	= 3801,
+    X86_VFMADDPSZ256v231rm	= 3802,
+    X86_VFMADDPSZ256v231rmb	= 3803,
+    X86_VFMADDPSZ256v231rmbk	= 3804,
+    X86_VFMADDPSZ256v231rmbkz	= 3805,
+    X86_VFMADDPSZ256v231rmk	= 3806,
+    X86_VFMADDPSZ256v231rmkz	= 3807,
+    X86_VFMADDPSZ256v231rr	= 3808,
+    X86_VFMADDPSZ256v231rrk	= 3809,
+    X86_VFMADDPSZ256v231rrkz	= 3810,
+    X86_VFMADDPSZv213rm	= 3811,
+    X86_VFMADDPSZv213rmb	= 3812,
+    X86_VFMADDPSZv213rmbk	= 3813,
+    X86_VFMADDPSZv213rmbkz	= 3814,
+    X86_VFMADDPSZv213rmk	= 3815,
+    X86_VFMADDPSZv213rmkz	= 3816,
+    X86_VFMADDPSZv213rr	= 3817,
+    X86_VFMADDPSZv213rrb	= 3818,
+    X86_VFMADDPSZv213rrbk	= 3819,
+    X86_VFMADDPSZv213rrbkz	= 3820,
+    X86_VFMADDPSZv213rrk	= 3821,
+    X86_VFMADDPSZv213rrkz	= 3822,
+    X86_VFMADDPSZv231rm	= 3823,
+    X86_VFMADDPSZv231rmb	= 3824,
+    X86_VFMADDPSZv231rmbk	= 3825,
+    X86_VFMADDPSZv231rmbkz	= 3826,
+    X86_VFMADDPSZv231rmk	= 3827,
+    X86_VFMADDPSZv231rmkz	= 3828,
+    X86_VFMADDPSZv231rr	= 3829,
+    X86_VFMADDPSZv231rrk	= 3830,
+    X86_VFMADDPSZv231rrkz	= 3831,
+    X86_VFMADDPSr132m	= 3832,
+    X86_VFMADDPSr132mY	= 3833,
+    X86_VFMADDPSr132r	= 3834,
+    X86_VFMADDPSr132rY	= 3835,
+    X86_VFMADDPSr213m	= 3836,
+    X86_VFMADDPSr213mY	= 3837,
+    X86_VFMADDPSr213r	= 3838,
+    X86_VFMADDPSr213rY	= 3839,
+    X86_VFMADDPSr231m	= 3840,
+    X86_VFMADDPSr231mY	= 3841,
+    X86_VFMADDPSr231r	= 3842,
+    X86_VFMADDPSr231rY	= 3843,
+    X86_VFMADDSD4mr	= 3844,
+    X86_VFMADDSD4mr_Int	= 3845,
+    X86_VFMADDSD4rm	= 3846,
+    X86_VFMADDSD4rm_Int	= 3847,
+    X86_VFMADDSD4rr	= 3848,
+    X86_VFMADDSD4rr_Int	= 3849,
+    X86_VFMADDSD4rr_REV	= 3850,
+    X86_VFMADDSDZm	= 3851,
+    X86_VFMADDSDZr	= 3852,
+    X86_VFMADDSDr132m	= 3853,
+    X86_VFMADDSDr132r	= 3854,
+    X86_VFMADDSDr213m	= 3855,
+    X86_VFMADDSDr213r	= 3856,
+    X86_VFMADDSDr231m	= 3857,
+    X86_VFMADDSDr231r	= 3858,
+    X86_VFMADDSS4mr	= 3859,
+    X86_VFMADDSS4mr_Int	= 3860,
+    X86_VFMADDSS4rm	= 3861,
+    X86_VFMADDSS4rm_Int	= 3862,
+    X86_VFMADDSS4rr	= 3863,
+    X86_VFMADDSS4rr_Int	= 3864,
+    X86_VFMADDSS4rr_REV	= 3865,
+    X86_VFMADDSSZm	= 3866,
+    X86_VFMADDSSZr	= 3867,
+    X86_VFMADDSSr132m	= 3868,
+    X86_VFMADDSSr132r	= 3869,
+    X86_VFMADDSSr213m	= 3870,
+    X86_VFMADDSSr213r	= 3871,
+    X86_VFMADDSSr231m	= 3872,
+    X86_VFMADDSSr231r	= 3873,
+    X86_VFMADDSUB132PDZ128m	= 3874,
+    X86_VFMADDSUB132PDZ128mb	= 3875,
+    X86_VFMADDSUB132PDZ256m	= 3876,
+    X86_VFMADDSUB132PDZ256mb	= 3877,
+    X86_VFMADDSUB132PDZm	= 3878,
+    X86_VFMADDSUB132PDZmb	= 3879,
+    X86_VFMADDSUB132PSZ128m	= 3880,
+    X86_VFMADDSUB132PSZ128mb	= 3881,
+    X86_VFMADDSUB132PSZ256m	= 3882,
+    X86_VFMADDSUB132PSZ256mb	= 3883,
+    X86_VFMADDSUB132PSZm	= 3884,
+    X86_VFMADDSUB132PSZmb	= 3885,
+    X86_VFMADDSUBPD4mr	= 3886,
+    X86_VFMADDSUBPD4mrY	= 3887,
+    X86_VFMADDSUBPD4rm	= 3888,
+    X86_VFMADDSUBPD4rmY	= 3889,
+    X86_VFMADDSUBPD4rr	= 3890,
+    X86_VFMADDSUBPD4rrY	= 3891,
+    X86_VFMADDSUBPD4rrY_REV	= 3892,
+    X86_VFMADDSUBPD4rr_REV	= 3893,
+    X86_VFMADDSUBPDZ128v213rm	= 3894,
+    X86_VFMADDSUBPDZ128v213rmb	= 3895,
+    X86_VFMADDSUBPDZ128v213rmbk	= 3896,
+    X86_VFMADDSUBPDZ128v213rmbkz	= 3897,
+    X86_VFMADDSUBPDZ128v213rmk	= 3898,
+    X86_VFMADDSUBPDZ128v213rmkz	= 3899,
+    X86_VFMADDSUBPDZ128v213rr	= 3900,
+    X86_VFMADDSUBPDZ128v213rrk	= 3901,
+    X86_VFMADDSUBPDZ128v213rrkz	= 3902,
+    X86_VFMADDSUBPDZ128v231rm	= 3903,
+    X86_VFMADDSUBPDZ128v231rmb	= 3904,
+    X86_VFMADDSUBPDZ128v231rmbk	= 3905,
+    X86_VFMADDSUBPDZ128v231rmbkz	= 3906,
+    X86_VFMADDSUBPDZ128v231rmk	= 3907,
+    X86_VFMADDSUBPDZ128v231rmkz	= 3908,
+    X86_VFMADDSUBPDZ128v231rr	= 3909,
+    X86_VFMADDSUBPDZ128v231rrk	= 3910,
+    X86_VFMADDSUBPDZ128v231rrkz	= 3911,
+    X86_VFMADDSUBPDZ256v213rm	= 3912,
+    X86_VFMADDSUBPDZ256v213rmb	= 3913,
+    X86_VFMADDSUBPDZ256v213rmbk	= 3914,
+    X86_VFMADDSUBPDZ256v213rmbkz	= 3915,
+    X86_VFMADDSUBPDZ256v213rmk	= 3916,
+    X86_VFMADDSUBPDZ256v213rmkz	= 3917,
+    X86_VFMADDSUBPDZ256v213rr	= 3918,
+    X86_VFMADDSUBPDZ256v213rrk	= 3919,
+    X86_VFMADDSUBPDZ256v213rrkz	= 3920,
+    X86_VFMADDSUBPDZ256v231rm	= 3921,
+    X86_VFMADDSUBPDZ256v231rmb	= 3922,
+    X86_VFMADDSUBPDZ256v231rmbk	= 3923,
+    X86_VFMADDSUBPDZ256v231rmbkz	= 3924,
+    X86_VFMADDSUBPDZ256v231rmk	= 3925,
+    X86_VFMADDSUBPDZ256v231rmkz	= 3926,
+    X86_VFMADDSUBPDZ256v231rr	= 3927,
+    X86_VFMADDSUBPDZ256v231rrk	= 3928,
+    X86_VFMADDSUBPDZ256v231rrkz	= 3929,
+    X86_VFMADDSUBPDZv213rm	= 3930,
+    X86_VFMADDSUBPDZv213rmb	= 3931,
+    X86_VFMADDSUBPDZv213rmbk	= 3932,
+    X86_VFMADDSUBPDZv213rmbkz	= 3933,
+    X86_VFMADDSUBPDZv213rmk	= 3934,
+    X86_VFMADDSUBPDZv213rmkz	= 3935,
+    X86_VFMADDSUBPDZv213rr	= 3936,
+    X86_VFMADDSUBPDZv213rrb	= 3937,
+    X86_VFMADDSUBPDZv213rrbk	= 3938,
+    X86_VFMADDSUBPDZv213rrbkz	= 3939,
+    X86_VFMADDSUBPDZv213rrk	= 3940,
+    X86_VFMADDSUBPDZv213rrkz	= 3941,
+    X86_VFMADDSUBPDZv231rm	= 3942,
+    X86_VFMADDSUBPDZv231rmb	= 3943,
+    X86_VFMADDSUBPDZv231rmbk	= 3944,
+    X86_VFMADDSUBPDZv231rmbkz	= 3945,
+    X86_VFMADDSUBPDZv231rmk	= 3946,
+    X86_VFMADDSUBPDZv231rmkz	= 3947,
+    X86_VFMADDSUBPDZv231rr	= 3948,
+    X86_VFMADDSUBPDZv231rrk	= 3949,
+    X86_VFMADDSUBPDZv231rrkz	= 3950,
+    X86_VFMADDSUBPDr132m	= 3951,
+    X86_VFMADDSUBPDr132mY	= 3952,
+    X86_VFMADDSUBPDr132r	= 3953,
+    X86_VFMADDSUBPDr132rY	= 3954,
+    X86_VFMADDSUBPDr213m	= 3955,
+    X86_VFMADDSUBPDr213mY	= 3956,
+    X86_VFMADDSUBPDr213r	= 3957,
+    X86_VFMADDSUBPDr213rY	= 3958,
+    X86_VFMADDSUBPDr231m	= 3959,
+    X86_VFMADDSUBPDr231mY	= 3960,
+    X86_VFMADDSUBPDr231r	= 3961,
+    X86_VFMADDSUBPDr231rY	= 3962,
+    X86_VFMADDSUBPS4mr	= 3963,
+    X86_VFMADDSUBPS4mrY	= 3964,
+    X86_VFMADDSUBPS4rm	= 3965,
+    X86_VFMADDSUBPS4rmY	= 3966,
+    X86_VFMADDSUBPS4rr	= 3967,
+    X86_VFMADDSUBPS4rrY	= 3968,
+    X86_VFMADDSUBPS4rrY_REV	= 3969,
+    X86_VFMADDSUBPS4rr_REV	= 3970,
+    X86_VFMADDSUBPSZ128v213rm	= 3971,
+    X86_VFMADDSUBPSZ128v213rmb	= 3972,
+    X86_VFMADDSUBPSZ128v213rmbk	= 3973,
+    X86_VFMADDSUBPSZ128v213rmbkz	= 3974,
+    X86_VFMADDSUBPSZ128v213rmk	= 3975,
+    X86_VFMADDSUBPSZ128v213rmkz	= 3976,
+    X86_VFMADDSUBPSZ128v213rr	= 3977,
+    X86_VFMADDSUBPSZ128v213rrk	= 3978,
+    X86_VFMADDSUBPSZ128v213rrkz	= 3979,
+    X86_VFMADDSUBPSZ128v231rm	= 3980,
+    X86_VFMADDSUBPSZ128v231rmb	= 3981,
+    X86_VFMADDSUBPSZ128v231rmbk	= 3982,
+    X86_VFMADDSUBPSZ128v231rmbkz	= 3983,
+    X86_VFMADDSUBPSZ128v231rmk	= 3984,
+    X86_VFMADDSUBPSZ128v231rmkz	= 3985,
+    X86_VFMADDSUBPSZ128v231rr	= 3986,
+    X86_VFMADDSUBPSZ128v231rrk	= 3987,
+    X86_VFMADDSUBPSZ128v231rrkz	= 3988,
+    X86_VFMADDSUBPSZ256v213rm	= 3989,
+    X86_VFMADDSUBPSZ256v213rmb	= 3990,
+    X86_VFMADDSUBPSZ256v213rmbk	= 3991,
+    X86_VFMADDSUBPSZ256v213rmbkz	= 3992,
+    X86_VFMADDSUBPSZ256v213rmk	= 3993,
+    X86_VFMADDSUBPSZ256v213rmkz	= 3994,
+    X86_VFMADDSUBPSZ256v213rr	= 3995,
+    X86_VFMADDSUBPSZ256v213rrk	= 3996,
+    X86_VFMADDSUBPSZ256v213rrkz	= 3997,
+    X86_VFMADDSUBPSZ256v231rm	= 3998,
+    X86_VFMADDSUBPSZ256v231rmb	= 3999,
+    X86_VFMADDSUBPSZ256v231rmbk	= 4000,
+    X86_VFMADDSUBPSZ256v231rmbkz	= 4001,
+    X86_VFMADDSUBPSZ256v231rmk	= 4002,
+    X86_VFMADDSUBPSZ256v231rmkz	= 4003,
+    X86_VFMADDSUBPSZ256v231rr	= 4004,
+    X86_VFMADDSUBPSZ256v231rrk	= 4005,
+    X86_VFMADDSUBPSZ256v231rrkz	= 4006,
+    X86_VFMADDSUBPSZv213rm	= 4007,
+    X86_VFMADDSUBPSZv213rmb	= 4008,
+    X86_VFMADDSUBPSZv213rmbk	= 4009,
+    X86_VFMADDSUBPSZv213rmbkz	= 4010,
+    X86_VFMADDSUBPSZv213rmk	= 4011,
+    X86_VFMADDSUBPSZv213rmkz	= 4012,
+    X86_VFMADDSUBPSZv213rr	= 4013,
+    X86_VFMADDSUBPSZv213rrb	= 4014,
+    X86_VFMADDSUBPSZv213rrbk	= 4015,
+    X86_VFMADDSUBPSZv213rrbkz	= 4016,
+    X86_VFMADDSUBPSZv213rrk	= 4017,
+    X86_VFMADDSUBPSZv213rrkz	= 4018,
+    X86_VFMADDSUBPSZv231rm	= 4019,
+    X86_VFMADDSUBPSZv231rmb	= 4020,
+    X86_VFMADDSUBPSZv231rmbk	= 4021,
+    X86_VFMADDSUBPSZv231rmbkz	= 4022,
+    X86_VFMADDSUBPSZv231rmk	= 4023,
+    X86_VFMADDSUBPSZv231rmkz	= 4024,
+    X86_VFMADDSUBPSZv231rr	= 4025,
+    X86_VFMADDSUBPSZv231rrk	= 4026,
+    X86_VFMADDSUBPSZv231rrkz	= 4027,
+    X86_VFMADDSUBPSr132m	= 4028,
+    X86_VFMADDSUBPSr132mY	= 4029,
+    X86_VFMADDSUBPSr132r	= 4030,
+    X86_VFMADDSUBPSr132rY	= 4031,
+    X86_VFMADDSUBPSr213m	= 4032,
+    X86_VFMADDSUBPSr213mY	= 4033,
+    X86_VFMADDSUBPSr213r	= 4034,
+    X86_VFMADDSUBPSr213rY	= 4035,
+    X86_VFMADDSUBPSr231m	= 4036,
+    X86_VFMADDSUBPSr231mY	= 4037,
+    X86_VFMADDSUBPSr231r	= 4038,
+    X86_VFMADDSUBPSr231rY	= 4039,
+    X86_VFMSUB132PDZ128m	= 4040,
+    X86_VFMSUB132PDZ128mb	= 4041,
+    X86_VFMSUB132PDZ256m	= 4042,
+    X86_VFMSUB132PDZ256mb	= 4043,
+    X86_VFMSUB132PDZm	= 4044,
+    X86_VFMSUB132PDZmb	= 4045,
+    X86_VFMSUB132PSZ128m	= 4046,
+    X86_VFMSUB132PSZ128mb	= 4047,
+    X86_VFMSUB132PSZ256m	= 4048,
+    X86_VFMSUB132PSZ256mb	= 4049,
+    X86_VFMSUB132PSZm	= 4050,
+    X86_VFMSUB132PSZmb	= 4051,
+    X86_VFMSUBADD132PDZ128m	= 4052,
+    X86_VFMSUBADD132PDZ128mb	= 4053,
+    X86_VFMSUBADD132PDZ256m	= 4054,
+    X86_VFMSUBADD132PDZ256mb	= 4055,
+    X86_VFMSUBADD132PDZm	= 4056,
+    X86_VFMSUBADD132PDZmb	= 4057,
+    X86_VFMSUBADD132PSZ128m	= 4058,
+    X86_VFMSUBADD132PSZ128mb	= 4059,
+    X86_VFMSUBADD132PSZ256m	= 4060,
+    X86_VFMSUBADD132PSZ256mb	= 4061,
+    X86_VFMSUBADD132PSZm	= 4062,
+    X86_VFMSUBADD132PSZmb	= 4063,
+    X86_VFMSUBADDPD4mr	= 4064,
+    X86_VFMSUBADDPD4mrY	= 4065,
+    X86_VFMSUBADDPD4rm	= 4066,
+    X86_VFMSUBADDPD4rmY	= 4067,
+    X86_VFMSUBADDPD4rr	= 4068,
+    X86_VFMSUBADDPD4rrY	= 4069,
+    X86_VFMSUBADDPD4rrY_REV	= 4070,
+    X86_VFMSUBADDPD4rr_REV	= 4071,
+    X86_VFMSUBADDPDZ128v213rm	= 4072,
+    X86_VFMSUBADDPDZ128v213rmb	= 4073,
+    X86_VFMSUBADDPDZ128v213rmbk	= 4074,
+    X86_VFMSUBADDPDZ128v213rmbkz	= 4075,
+    X86_VFMSUBADDPDZ128v213rmk	= 4076,
+    X86_VFMSUBADDPDZ128v213rmkz	= 4077,
+    X86_VFMSUBADDPDZ128v213rr	= 4078,
+    X86_VFMSUBADDPDZ128v213rrk	= 4079,
+    X86_VFMSUBADDPDZ128v213rrkz	= 4080,
+    X86_VFMSUBADDPDZ128v231rm	= 4081,
+    X86_VFMSUBADDPDZ128v231rmb	= 4082,
+    X86_VFMSUBADDPDZ128v231rmbk	= 4083,
+    X86_VFMSUBADDPDZ128v231rmbkz	= 4084,
+    X86_VFMSUBADDPDZ128v231rmk	= 4085,
+    X86_VFMSUBADDPDZ128v231rmkz	= 4086,
+    X86_VFMSUBADDPDZ128v231rr	= 4087,
+    X86_VFMSUBADDPDZ128v231rrk	= 4088,
+    X86_VFMSUBADDPDZ128v231rrkz	= 4089,
+    X86_VFMSUBADDPDZ256v213rm	= 4090,
+    X86_VFMSUBADDPDZ256v213rmb	= 4091,
+    X86_VFMSUBADDPDZ256v213rmbk	= 4092,
+    X86_VFMSUBADDPDZ256v213rmbkz	= 4093,
+    X86_VFMSUBADDPDZ256v213rmk	= 4094,
+    X86_VFMSUBADDPDZ256v213rmkz	= 4095,
+    X86_VFMSUBADDPDZ256v213rr	= 4096,
+    X86_VFMSUBADDPDZ256v213rrk	= 4097,
+    X86_VFMSUBADDPDZ256v213rrkz	= 4098,
+    X86_VFMSUBADDPDZ256v231rm	= 4099,
+    X86_VFMSUBADDPDZ256v231rmb	= 4100,
+    X86_VFMSUBADDPDZ256v231rmbk	= 4101,
+    X86_VFMSUBADDPDZ256v231rmbkz	= 4102,
+    X86_VFMSUBADDPDZ256v231rmk	= 4103,
+    X86_VFMSUBADDPDZ256v231rmkz	= 4104,
+    X86_VFMSUBADDPDZ256v231rr	= 4105,
+    X86_VFMSUBADDPDZ256v231rrk	= 4106,
+    X86_VFMSUBADDPDZ256v231rrkz	= 4107,
+    X86_VFMSUBADDPDZv213rm	= 4108,
+    X86_VFMSUBADDPDZv213rmb	= 4109,
+    X86_VFMSUBADDPDZv213rmbk	= 4110,
+    X86_VFMSUBADDPDZv213rmbkz	= 4111,
+    X86_VFMSUBADDPDZv213rmk	= 4112,
+    X86_VFMSUBADDPDZv213rmkz	= 4113,
+    X86_VFMSUBADDPDZv213rr	= 4114,
+    X86_VFMSUBADDPDZv213rrb	= 4115,
+    X86_VFMSUBADDPDZv213rrbk	= 4116,
+    X86_VFMSUBADDPDZv213rrbkz	= 4117,
+    X86_VFMSUBADDPDZv213rrk	= 4118,
+    X86_VFMSUBADDPDZv213rrkz	= 4119,
+    X86_VFMSUBADDPDZv231rm	= 4120,
+    X86_VFMSUBADDPDZv231rmb	= 4121,
+    X86_VFMSUBADDPDZv231rmbk	= 4122,
+    X86_VFMSUBADDPDZv231rmbkz	= 4123,
+    X86_VFMSUBADDPDZv231rmk	= 4124,
+    X86_VFMSUBADDPDZv231rmkz	= 4125,
+    X86_VFMSUBADDPDZv231rr	= 4126,
+    X86_VFMSUBADDPDZv231rrk	= 4127,
+    X86_VFMSUBADDPDZv231rrkz	= 4128,
+    X86_VFMSUBADDPDr132m	= 4129,
+    X86_VFMSUBADDPDr132mY	= 4130,
+    X86_VFMSUBADDPDr132r	= 4131,
+    X86_VFMSUBADDPDr132rY	= 4132,
+    X86_VFMSUBADDPDr213m	= 4133,
+    X86_VFMSUBADDPDr213mY	= 4134,
+    X86_VFMSUBADDPDr213r	= 4135,
+    X86_VFMSUBADDPDr213rY	= 4136,
+    X86_VFMSUBADDPDr231m	= 4137,
+    X86_VFMSUBADDPDr231mY	= 4138,
+    X86_VFMSUBADDPDr231r	= 4139,
+    X86_VFMSUBADDPDr231rY	= 4140,
+    X86_VFMSUBADDPS4mr	= 4141,
+    X86_VFMSUBADDPS4mrY	= 4142,
+    X86_VFMSUBADDPS4rm	= 4143,
+    X86_VFMSUBADDPS4rmY	= 4144,
+    X86_VFMSUBADDPS4rr	= 4145,
+    X86_VFMSUBADDPS4rrY	= 4146,
+    X86_VFMSUBADDPS4rrY_REV	= 4147,
+    X86_VFMSUBADDPS4rr_REV	= 4148,
+    X86_VFMSUBADDPSZ128v213rm	= 4149,
+    X86_VFMSUBADDPSZ128v213rmb	= 4150,
+    X86_VFMSUBADDPSZ128v213rmbk	= 4151,
+    X86_VFMSUBADDPSZ128v213rmbkz	= 4152,
+    X86_VFMSUBADDPSZ128v213rmk	= 4153,
+    X86_VFMSUBADDPSZ128v213rmkz	= 4154,
+    X86_VFMSUBADDPSZ128v213rr	= 4155,
+    X86_VFMSUBADDPSZ128v213rrk	= 4156,
+    X86_VFMSUBADDPSZ128v213rrkz	= 4157,
+    X86_VFMSUBADDPSZ128v231rm	= 4158,
+    X86_VFMSUBADDPSZ128v231rmb	= 4159,
+    X86_VFMSUBADDPSZ128v231rmbk	= 4160,
+    X86_VFMSUBADDPSZ128v231rmbkz	= 4161,
+    X86_VFMSUBADDPSZ128v231rmk	= 4162,
+    X86_VFMSUBADDPSZ128v231rmkz	= 4163,
+    X86_VFMSUBADDPSZ128v231rr	= 4164,
+    X86_VFMSUBADDPSZ128v231rrk	= 4165,
+    X86_VFMSUBADDPSZ128v231rrkz	= 4166,
+    X86_VFMSUBADDPSZ256v213rm	= 4167,
+    X86_VFMSUBADDPSZ256v213rmb	= 4168,
+    X86_VFMSUBADDPSZ256v213rmbk	= 4169,
+    X86_VFMSUBADDPSZ256v213rmbkz	= 4170,
+    X86_VFMSUBADDPSZ256v213rmk	= 4171,
+    X86_VFMSUBADDPSZ256v213rmkz	= 4172,
+    X86_VFMSUBADDPSZ256v213rr	= 4173,
+    X86_VFMSUBADDPSZ256v213rrk	= 4174,
+    X86_VFMSUBADDPSZ256v213rrkz	= 4175,
+    X86_VFMSUBADDPSZ256v231rm	= 4176,
+    X86_VFMSUBADDPSZ256v231rmb	= 4177,
+    X86_VFMSUBADDPSZ256v231rmbk	= 4178,
+    X86_VFMSUBADDPSZ256v231rmbkz	= 4179,
+    X86_VFMSUBADDPSZ256v231rmk	= 4180,
+    X86_VFMSUBADDPSZ256v231rmkz	= 4181,
+    X86_VFMSUBADDPSZ256v231rr	= 4182,
+    X86_VFMSUBADDPSZ256v231rrk	= 4183,
+    X86_VFMSUBADDPSZ256v231rrkz	= 4184,
+    X86_VFMSUBADDPSZv213rm	= 4185,
+    X86_VFMSUBADDPSZv213rmb	= 4186,
+    X86_VFMSUBADDPSZv213rmbk	= 4187,
+    X86_VFMSUBADDPSZv213rmbkz	= 4188,
+    X86_VFMSUBADDPSZv213rmk	= 4189,
+    X86_VFMSUBADDPSZv213rmkz	= 4190,
+    X86_VFMSUBADDPSZv213rr	= 4191,
+    X86_VFMSUBADDPSZv213rrb	= 4192,
+    X86_VFMSUBADDPSZv213rrbk	= 4193,
+    X86_VFMSUBADDPSZv213rrbkz	= 4194,
+    X86_VFMSUBADDPSZv213rrk	= 4195,
+    X86_VFMSUBADDPSZv213rrkz	= 4196,
+    X86_VFMSUBADDPSZv231rm	= 4197,
+    X86_VFMSUBADDPSZv231rmb	= 4198,
+    X86_VFMSUBADDPSZv231rmbk	= 4199,
+    X86_VFMSUBADDPSZv231rmbkz	= 4200,
+    X86_VFMSUBADDPSZv231rmk	= 4201,
+    X86_VFMSUBADDPSZv231rmkz	= 4202,
+    X86_VFMSUBADDPSZv231rr	= 4203,
+    X86_VFMSUBADDPSZv231rrk	= 4204,
+    X86_VFMSUBADDPSZv231rrkz	= 4205,
+    X86_VFMSUBADDPSr132m	= 4206,
+    X86_VFMSUBADDPSr132mY	= 4207,
+    X86_VFMSUBADDPSr132r	= 4208,
+    X86_VFMSUBADDPSr132rY	= 4209,
+    X86_VFMSUBADDPSr213m	= 4210,
+    X86_VFMSUBADDPSr213mY	= 4211,
+    X86_VFMSUBADDPSr213r	= 4212,
+    X86_VFMSUBADDPSr213rY	= 4213,
+    X86_VFMSUBADDPSr231m	= 4214,
+    X86_VFMSUBADDPSr231mY	= 4215,
+    X86_VFMSUBADDPSr231r	= 4216,
+    X86_VFMSUBADDPSr231rY	= 4217,
+    X86_VFMSUBPD4mr	= 4218,
+    X86_VFMSUBPD4mrY	= 4219,
+    X86_VFMSUBPD4rm	= 4220,
+    X86_VFMSUBPD4rmY	= 4221,
+    X86_VFMSUBPD4rr	= 4222,
+    X86_VFMSUBPD4rrY	= 4223,
+    X86_VFMSUBPD4rrY_REV	= 4224,
+    X86_VFMSUBPD4rr_REV	= 4225,
+    X86_VFMSUBPDZ128v213rm	= 4226,
+    X86_VFMSUBPDZ128v213rmb	= 4227,
+    X86_VFMSUBPDZ128v213rmbk	= 4228,
+    X86_VFMSUBPDZ128v213rmbkz	= 4229,
+    X86_VFMSUBPDZ128v213rmk	= 4230,
+    X86_VFMSUBPDZ128v213rmkz	= 4231,
+    X86_VFMSUBPDZ128v213rr	= 4232,
+    X86_VFMSUBPDZ128v213rrk	= 4233,
+    X86_VFMSUBPDZ128v213rrkz	= 4234,
+    X86_VFMSUBPDZ128v231rm	= 4235,
+    X86_VFMSUBPDZ128v231rmb	= 4236,
+    X86_VFMSUBPDZ128v231rmbk	= 4237,
+    X86_VFMSUBPDZ128v231rmbkz	= 4238,
+    X86_VFMSUBPDZ128v231rmk	= 4239,
+    X86_VFMSUBPDZ128v231rmkz	= 4240,
+    X86_VFMSUBPDZ128v231rr	= 4241,
+    X86_VFMSUBPDZ128v231rrk	= 4242,
+    X86_VFMSUBPDZ128v231rrkz	= 4243,
+    X86_VFMSUBPDZ256v213rm	= 4244,
+    X86_VFMSUBPDZ256v213rmb	= 4245,
+    X86_VFMSUBPDZ256v213rmbk	= 4246,
+    X86_VFMSUBPDZ256v213rmbkz	= 4247,
+    X86_VFMSUBPDZ256v213rmk	= 4248,
+    X86_VFMSUBPDZ256v213rmkz	= 4249,
+    X86_VFMSUBPDZ256v213rr	= 4250,
+    X86_VFMSUBPDZ256v213rrk	= 4251,
+    X86_VFMSUBPDZ256v213rrkz	= 4252,
+    X86_VFMSUBPDZ256v231rm	= 4253,
+    X86_VFMSUBPDZ256v231rmb	= 4254,
+    X86_VFMSUBPDZ256v231rmbk	= 4255,
+    X86_VFMSUBPDZ256v231rmbkz	= 4256,
+    X86_VFMSUBPDZ256v231rmk	= 4257,
+    X86_VFMSUBPDZ256v231rmkz	= 4258,
+    X86_VFMSUBPDZ256v231rr	= 4259,
+    X86_VFMSUBPDZ256v231rrk	= 4260,
+    X86_VFMSUBPDZ256v231rrkz	= 4261,
+    X86_VFMSUBPDZv213rm	= 4262,
+    X86_VFMSUBPDZv213rmb	= 4263,
+    X86_VFMSUBPDZv213rmbk	= 4264,
+    X86_VFMSUBPDZv213rmbkz	= 4265,
+    X86_VFMSUBPDZv213rmk	= 4266,
+    X86_VFMSUBPDZv213rmkz	= 4267,
+    X86_VFMSUBPDZv213rr	= 4268,
+    X86_VFMSUBPDZv213rrb	= 4269,
+    X86_VFMSUBPDZv213rrbk	= 4270,
+    X86_VFMSUBPDZv213rrbkz	= 4271,
+    X86_VFMSUBPDZv213rrk	= 4272,
+    X86_VFMSUBPDZv213rrkz	= 4273,
+    X86_VFMSUBPDZv231rm	= 4274,
+    X86_VFMSUBPDZv231rmb	= 4275,
+    X86_VFMSUBPDZv231rmbk	= 4276,
+    X86_VFMSUBPDZv231rmbkz	= 4277,
+    X86_VFMSUBPDZv231rmk	= 4278,
+    X86_VFMSUBPDZv231rmkz	= 4279,
+    X86_VFMSUBPDZv231rr	= 4280,
+    X86_VFMSUBPDZv231rrk	= 4281,
+    X86_VFMSUBPDZv231rrkz	= 4282,
+    X86_VFMSUBPDr132m	= 4283,
+    X86_VFMSUBPDr132mY	= 4284,
+    X86_VFMSUBPDr132r	= 4285,
+    X86_VFMSUBPDr132rY	= 4286,
+    X86_VFMSUBPDr213m	= 4287,
+    X86_VFMSUBPDr213mY	= 4288,
+    X86_VFMSUBPDr213r	= 4289,
+    X86_VFMSUBPDr213rY	= 4290,
+    X86_VFMSUBPDr231m	= 4291,
+    X86_VFMSUBPDr231mY	= 4292,
+    X86_VFMSUBPDr231r	= 4293,
+    X86_VFMSUBPDr231rY	= 4294,
+    X86_VFMSUBPS4mr	= 4295,
+    X86_VFMSUBPS4mrY	= 4296,
+    X86_VFMSUBPS4rm	= 4297,
+    X86_VFMSUBPS4rmY	= 4298,
+    X86_VFMSUBPS4rr	= 4299,
+    X86_VFMSUBPS4rrY	= 4300,
+    X86_VFMSUBPS4rrY_REV	= 4301,
+    X86_VFMSUBPS4rr_REV	= 4302,
+    X86_VFMSUBPSZ128v213rm	= 4303,
+    X86_VFMSUBPSZ128v213rmb	= 4304,
+    X86_VFMSUBPSZ128v213rmbk	= 4305,
+    X86_VFMSUBPSZ128v213rmbkz	= 4306,
+    X86_VFMSUBPSZ128v213rmk	= 4307,
+    X86_VFMSUBPSZ128v213rmkz	= 4308,
+    X86_VFMSUBPSZ128v213rr	= 4309,
+    X86_VFMSUBPSZ128v213rrk	= 4310,
+    X86_VFMSUBPSZ128v213rrkz	= 4311,
+    X86_VFMSUBPSZ128v231rm	= 4312,
+    X86_VFMSUBPSZ128v231rmb	= 4313,
+    X86_VFMSUBPSZ128v231rmbk	= 4314,
+    X86_VFMSUBPSZ128v231rmbkz	= 4315,
+    X86_VFMSUBPSZ128v231rmk	= 4316,
+    X86_VFMSUBPSZ128v231rmkz	= 4317,
+    X86_VFMSUBPSZ128v231rr	= 4318,
+    X86_VFMSUBPSZ128v231rrk	= 4319,
+    X86_VFMSUBPSZ128v231rrkz	= 4320,
+    X86_VFMSUBPSZ256v213rm	= 4321,
+    X86_VFMSUBPSZ256v213rmb	= 4322,
+    X86_VFMSUBPSZ256v213rmbk	= 4323,
+    X86_VFMSUBPSZ256v213rmbkz	= 4324,
+    X86_VFMSUBPSZ256v213rmk	= 4325,
+    X86_VFMSUBPSZ256v213rmkz	= 4326,
+    X86_VFMSUBPSZ256v213rr	= 4327,
+    X86_VFMSUBPSZ256v213rrk	= 4328,
+    X86_VFMSUBPSZ256v213rrkz	= 4329,
+    X86_VFMSUBPSZ256v231rm	= 4330,
+    X86_VFMSUBPSZ256v231rmb	= 4331,
+    X86_VFMSUBPSZ256v231rmbk	= 4332,
+    X86_VFMSUBPSZ256v231rmbkz	= 4333,
+    X86_VFMSUBPSZ256v231rmk	= 4334,
+    X86_VFMSUBPSZ256v231rmkz	= 4335,
+    X86_VFMSUBPSZ256v231rr	= 4336,
+    X86_VFMSUBPSZ256v231rrk	= 4337,
+    X86_VFMSUBPSZ256v231rrkz	= 4338,
+    X86_VFMSUBPSZv213rm	= 4339,
+    X86_VFMSUBPSZv213rmb	= 4340,
+    X86_VFMSUBPSZv213rmbk	= 4341,
+    X86_VFMSUBPSZv213rmbkz	= 4342,
+    X86_VFMSUBPSZv213rmk	= 4343,
+    X86_VFMSUBPSZv213rmkz	= 4344,
+    X86_VFMSUBPSZv213rr	= 4345,
+    X86_VFMSUBPSZv213rrb	= 4346,
+    X86_VFMSUBPSZv213rrbk	= 4347,
+    X86_VFMSUBPSZv213rrbkz	= 4348,
+    X86_VFMSUBPSZv213rrk	= 4349,
+    X86_VFMSUBPSZv213rrkz	= 4350,
+    X86_VFMSUBPSZv231rm	= 4351,
+    X86_VFMSUBPSZv231rmb	= 4352,
+    X86_VFMSUBPSZv231rmbk	= 4353,
+    X86_VFMSUBPSZv231rmbkz	= 4354,
+    X86_VFMSUBPSZv231rmk	= 4355,
+    X86_VFMSUBPSZv231rmkz	= 4356,
+    X86_VFMSUBPSZv231rr	= 4357,
+    X86_VFMSUBPSZv231rrk	= 4358,
+    X86_VFMSUBPSZv231rrkz	= 4359,
+    X86_VFMSUBPSr132m	= 4360,
+    X86_VFMSUBPSr132mY	= 4361,
+    X86_VFMSUBPSr132r	= 4362,
+    X86_VFMSUBPSr132rY	= 4363,
+    X86_VFMSUBPSr213m	= 4364,
+    X86_VFMSUBPSr213mY	= 4365,
+    X86_VFMSUBPSr213r	= 4366,
+    X86_VFMSUBPSr213rY	= 4367,
+    X86_VFMSUBPSr231m	= 4368,
+    X86_VFMSUBPSr231mY	= 4369,
+    X86_VFMSUBPSr231r	= 4370,
+    X86_VFMSUBPSr231rY	= 4371,
+    X86_VFMSUBSD4mr	= 4372,
+    X86_VFMSUBSD4mr_Int	= 4373,
+    X86_VFMSUBSD4rm	= 4374,
+    X86_VFMSUBSD4rm_Int	= 4375,
+    X86_VFMSUBSD4rr	= 4376,
+    X86_VFMSUBSD4rr_Int	= 4377,
+    X86_VFMSUBSD4rr_REV	= 4378,
+    X86_VFMSUBSDZm	= 4379,
+    X86_VFMSUBSDZr	= 4380,
+    X86_VFMSUBSDr132m	= 4381,
+    X86_VFMSUBSDr132r	= 4382,
+    X86_VFMSUBSDr213m	= 4383,
+    X86_VFMSUBSDr213r	= 4384,
+    X86_VFMSUBSDr231m	= 4385,
+    X86_VFMSUBSDr231r	= 4386,
+    X86_VFMSUBSS4mr	= 4387,
+    X86_VFMSUBSS4mr_Int	= 4388,
+    X86_VFMSUBSS4rm	= 4389,
+    X86_VFMSUBSS4rm_Int	= 4390,
+    X86_VFMSUBSS4rr	= 4391,
+    X86_VFMSUBSS4rr_Int	= 4392,
+    X86_VFMSUBSS4rr_REV	= 4393,
+    X86_VFMSUBSSZm	= 4394,
+    X86_VFMSUBSSZr	= 4395,
+    X86_VFMSUBSSr132m	= 4396,
+    X86_VFMSUBSSr132r	= 4397,
+    X86_VFMSUBSSr213m	= 4398,
+    X86_VFMSUBSSr213r	= 4399,
+    X86_VFMSUBSSr231m	= 4400,
+    X86_VFMSUBSSr231r	= 4401,
+    X86_VFNMADD132PDZ128m	= 4402,
+    X86_VFNMADD132PDZ128mb	= 4403,
+    X86_VFNMADD132PDZ256m	= 4404,
+    X86_VFNMADD132PDZ256mb	= 4405,
+    X86_VFNMADD132PDZm	= 4406,
+    X86_VFNMADD132PDZmb	= 4407,
+    X86_VFNMADD132PSZ128m	= 4408,
+    X86_VFNMADD132PSZ128mb	= 4409,
+    X86_VFNMADD132PSZ256m	= 4410,
+    X86_VFNMADD132PSZ256mb	= 4411,
+    X86_VFNMADD132PSZm	= 4412,
+    X86_VFNMADD132PSZmb	= 4413,
+    X86_VFNMADDPD4mr	= 4414,
+    X86_VFNMADDPD4mrY	= 4415,
+    X86_VFNMADDPD4rm	= 4416,
+    X86_VFNMADDPD4rmY	= 4417,
+    X86_VFNMADDPD4rr	= 4418,
+    X86_VFNMADDPD4rrY	= 4419,
+    X86_VFNMADDPD4rrY_REV	= 4420,
+    X86_VFNMADDPD4rr_REV	= 4421,
+    X86_VFNMADDPDZ128v213rm	= 4422,
+    X86_VFNMADDPDZ128v213rmb	= 4423,
+    X86_VFNMADDPDZ128v213rmbk	= 4424,
+    X86_VFNMADDPDZ128v213rmbkz	= 4425,
+    X86_VFNMADDPDZ128v213rmk	= 4426,
+    X86_VFNMADDPDZ128v213rmkz	= 4427,
+    X86_VFNMADDPDZ128v213rr	= 4428,
+    X86_VFNMADDPDZ128v213rrk	= 4429,
+    X86_VFNMADDPDZ128v213rrkz	= 4430,
+    X86_VFNMADDPDZ128v231rm	= 4431,
+    X86_VFNMADDPDZ128v231rmb	= 4432,
+    X86_VFNMADDPDZ128v231rmbk	= 4433,
+    X86_VFNMADDPDZ128v231rmbkz	= 4434,
+    X86_VFNMADDPDZ128v231rmk	= 4435,
+    X86_VFNMADDPDZ128v231rmkz	= 4436,
+    X86_VFNMADDPDZ128v231rr	= 4437,
+    X86_VFNMADDPDZ128v231rrk	= 4438,
+    X86_VFNMADDPDZ128v231rrkz	= 4439,
+    X86_VFNMADDPDZ256v213rm	= 4440,
+    X86_VFNMADDPDZ256v213rmb	= 4441,
+    X86_VFNMADDPDZ256v213rmbk	= 4442,
+    X86_VFNMADDPDZ256v213rmbkz	= 4443,
+    X86_VFNMADDPDZ256v213rmk	= 4444,
+    X86_VFNMADDPDZ256v213rmkz	= 4445,
+    X86_VFNMADDPDZ256v213rr	= 4446,
+    X86_VFNMADDPDZ256v213rrk	= 4447,
+    X86_VFNMADDPDZ256v213rrkz	= 4448,
+    X86_VFNMADDPDZ256v231rm	= 4449,
+    X86_VFNMADDPDZ256v231rmb	= 4450,
+    X86_VFNMADDPDZ256v231rmbk	= 4451,
+    X86_VFNMADDPDZ256v231rmbkz	= 4452,
+    X86_VFNMADDPDZ256v231rmk	= 4453,
+    X86_VFNMADDPDZ256v231rmkz	= 4454,
+    X86_VFNMADDPDZ256v231rr	= 4455,
+    X86_VFNMADDPDZ256v231rrk	= 4456,
+    X86_VFNMADDPDZ256v231rrkz	= 4457,
+    X86_VFNMADDPDZv213rm	= 4458,
+    X86_VFNMADDPDZv213rmb	= 4459,
+    X86_VFNMADDPDZv213rmbk	= 4460,
+    X86_VFNMADDPDZv213rmbkz	= 4461,
+    X86_VFNMADDPDZv213rmk	= 4462,
+    X86_VFNMADDPDZv213rmkz	= 4463,
+    X86_VFNMADDPDZv213rr	= 4464,
+    X86_VFNMADDPDZv213rrb	= 4465,
+    X86_VFNMADDPDZv213rrbk	= 4466,
+    X86_VFNMADDPDZv213rrbkz	= 4467,
+    X86_VFNMADDPDZv213rrk	= 4468,
+    X86_VFNMADDPDZv213rrkz	= 4469,
+    X86_VFNMADDPDZv231rm	= 4470,
+    X86_VFNMADDPDZv231rmb	= 4471,
+    X86_VFNMADDPDZv231rmbk	= 4472,
+    X86_VFNMADDPDZv231rmbkz	= 4473,
+    X86_VFNMADDPDZv231rmk	= 4474,
+    X86_VFNMADDPDZv231rmkz	= 4475,
+    X86_VFNMADDPDZv231rr	= 4476,
+    X86_VFNMADDPDZv231rrk	= 4477,
+    X86_VFNMADDPDZv231rrkz	= 4478,
+    X86_VFNMADDPDr132m	= 4479,
+    X86_VFNMADDPDr132mY	= 4480,
+    X86_VFNMADDPDr132r	= 4481,
+    X86_VFNMADDPDr132rY	= 4482,
+    X86_VFNMADDPDr213m	= 4483,
+    X86_VFNMADDPDr213mY	= 4484,
+    X86_VFNMADDPDr213r	= 4485,
+    X86_VFNMADDPDr213rY	= 4486,
+    X86_VFNMADDPDr231m	= 4487,
+    X86_VFNMADDPDr231mY	= 4488,
+    X86_VFNMADDPDr231r	= 4489,
+    X86_VFNMADDPDr231rY	= 4490,
+    X86_VFNMADDPS4mr	= 4491,
+    X86_VFNMADDPS4mrY	= 4492,
+    X86_VFNMADDPS4rm	= 4493,
+    X86_VFNMADDPS4rmY	= 4494,
+    X86_VFNMADDPS4rr	= 4495,
+    X86_VFNMADDPS4rrY	= 4496,
+    X86_VFNMADDPS4rrY_REV	= 4497,
+    X86_VFNMADDPS4rr_REV	= 4498,
+    X86_VFNMADDPSZ128v213rm	= 4499,
+    X86_VFNMADDPSZ128v213rmb	= 4500,
+    X86_VFNMADDPSZ128v213rmbk	= 4501,
+    X86_VFNMADDPSZ128v213rmbkz	= 4502,
+    X86_VFNMADDPSZ128v213rmk	= 4503,
+    X86_VFNMADDPSZ128v213rmkz	= 4504,
+    X86_VFNMADDPSZ128v213rr	= 4505,
+    X86_VFNMADDPSZ128v213rrk	= 4506,
+    X86_VFNMADDPSZ128v213rrkz	= 4507,
+    X86_VFNMADDPSZ128v231rm	= 4508,
+    X86_VFNMADDPSZ128v231rmb	= 4509,
+    X86_VFNMADDPSZ128v231rmbk	= 4510,
+    X86_VFNMADDPSZ128v231rmbkz	= 4511,
+    X86_VFNMADDPSZ128v231rmk	= 4512,
+    X86_VFNMADDPSZ128v231rmkz	= 4513,
+    X86_VFNMADDPSZ128v231rr	= 4514,
+    X86_VFNMADDPSZ128v231rrk	= 4515,
+    X86_VFNMADDPSZ128v231rrkz	= 4516,
+    X86_VFNMADDPSZ256v213rm	= 4517,
+    X86_VFNMADDPSZ256v213rmb	= 4518,
+    X86_VFNMADDPSZ256v213rmbk	= 4519,
+    X86_VFNMADDPSZ256v213rmbkz	= 4520,
+    X86_VFNMADDPSZ256v213rmk	= 4521,
+    X86_VFNMADDPSZ256v213rmkz	= 4522,
+    X86_VFNMADDPSZ256v213rr	= 4523,
+    X86_VFNMADDPSZ256v213rrk	= 4524,
+    X86_VFNMADDPSZ256v213rrkz	= 4525,
+    X86_VFNMADDPSZ256v231rm	= 4526,
+    X86_VFNMADDPSZ256v231rmb	= 4527,
+    X86_VFNMADDPSZ256v231rmbk	= 4528,
+    X86_VFNMADDPSZ256v231rmbkz	= 4529,
+    X86_VFNMADDPSZ256v231rmk	= 4530,
+    X86_VFNMADDPSZ256v231rmkz	= 4531,
+    X86_VFNMADDPSZ256v231rr	= 4532,
+    X86_VFNMADDPSZ256v231rrk	= 4533,
+    X86_VFNMADDPSZ256v231rrkz	= 4534,
+    X86_VFNMADDPSZv213rm	= 4535,
+    X86_VFNMADDPSZv213rmb	= 4536,
+    X86_VFNMADDPSZv213rmbk	= 4537,
+    X86_VFNMADDPSZv213rmbkz	= 4538,
+    X86_VFNMADDPSZv213rmk	= 4539,
+    X86_VFNMADDPSZv213rmkz	= 4540,
+    X86_VFNMADDPSZv213rr	= 4541,
+    X86_VFNMADDPSZv213rrb	= 4542,
+    X86_VFNMADDPSZv213rrbk	= 4543,
+    X86_VFNMADDPSZv213rrbkz	= 4544,
+    X86_VFNMADDPSZv213rrk	= 4545,
+    X86_VFNMADDPSZv213rrkz	= 4546,
+    X86_VFNMADDPSZv231rm	= 4547,
+    X86_VFNMADDPSZv231rmb	= 4548,
+    X86_VFNMADDPSZv231rmbk	= 4549,
+    X86_VFNMADDPSZv231rmbkz	= 4550,
+    X86_VFNMADDPSZv231rmk	= 4551,
+    X86_VFNMADDPSZv231rmkz	= 4552,
+    X86_VFNMADDPSZv231rr	= 4553,
+    X86_VFNMADDPSZv231rrk	= 4554,
+    X86_VFNMADDPSZv231rrkz	= 4555,
+    X86_VFNMADDPSr132m	= 4556,
+    X86_VFNMADDPSr132mY	= 4557,
+    X86_VFNMADDPSr132r	= 4558,
+    X86_VFNMADDPSr132rY	= 4559,
+    X86_VFNMADDPSr213m	= 4560,
+    X86_VFNMADDPSr213mY	= 4561,
+    X86_VFNMADDPSr213r	= 4562,
+    X86_VFNMADDPSr213rY	= 4563,
+    X86_VFNMADDPSr231m	= 4564,
+    X86_VFNMADDPSr231mY	= 4565,
+    X86_VFNMADDPSr231r	= 4566,
+    X86_VFNMADDPSr231rY	= 4567,
+    X86_VFNMADDSD4mr	= 4568,
+    X86_VFNMADDSD4mr_Int	= 4569,
+    X86_VFNMADDSD4rm	= 4570,
+    X86_VFNMADDSD4rm_Int	= 4571,
+    X86_VFNMADDSD4rr	= 4572,
+    X86_VFNMADDSD4rr_Int	= 4573,
+    X86_VFNMADDSD4rr_REV	= 4574,
+    X86_VFNMADDSDZm	= 4575,
+    X86_VFNMADDSDZr	= 4576,
+    X86_VFNMADDSDr132m	= 4577,
+    X86_VFNMADDSDr132r	= 4578,
+    X86_VFNMADDSDr213m	= 4579,
+    X86_VFNMADDSDr213r	= 4580,
+    X86_VFNMADDSDr231m	= 4581,
+    X86_VFNMADDSDr231r	= 4582,
+    X86_VFNMADDSS4mr	= 4583,
+    X86_VFNMADDSS4mr_Int	= 4584,
+    X86_VFNMADDSS4rm	= 4585,
+    X86_VFNMADDSS4rm_Int	= 4586,
+    X86_VFNMADDSS4rr	= 4587,
+    X86_VFNMADDSS4rr_Int	= 4588,
+    X86_VFNMADDSS4rr_REV	= 4589,
+    X86_VFNMADDSSZm	= 4590,
+    X86_VFNMADDSSZr	= 4591,
+    X86_VFNMADDSSr132m	= 4592,
+    X86_VFNMADDSSr132r	= 4593,
+    X86_VFNMADDSSr213m	= 4594,
+    X86_VFNMADDSSr213r	= 4595,
+    X86_VFNMADDSSr231m	= 4596,
+    X86_VFNMADDSSr231r	= 4597,
+    X86_VFNMSUB132PDZ128m	= 4598,
+    X86_VFNMSUB132PDZ128mb	= 4599,
+    X86_VFNMSUB132PDZ256m	= 4600,
+    X86_VFNMSUB132PDZ256mb	= 4601,
+    X86_VFNMSUB132PDZm	= 4602,
+    X86_VFNMSUB132PDZmb	= 4603,
+    X86_VFNMSUB132PSZ128m	= 4604,
+    X86_VFNMSUB132PSZ128mb	= 4605,
+    X86_VFNMSUB132PSZ256m	= 4606,
+    X86_VFNMSUB132PSZ256mb	= 4607,
+    X86_VFNMSUB132PSZm	= 4608,
+    X86_VFNMSUB132PSZmb	= 4609,
+    X86_VFNMSUBPD4mr	= 4610,
+    X86_VFNMSUBPD4mrY	= 4611,
+    X86_VFNMSUBPD4rm	= 4612,
+    X86_VFNMSUBPD4rmY	= 4613,
+    X86_VFNMSUBPD4rr	= 4614,
+    X86_VFNMSUBPD4rrY	= 4615,
+    X86_VFNMSUBPD4rrY_REV	= 4616,
+    X86_VFNMSUBPD4rr_REV	= 4617,
+    X86_VFNMSUBPDZ128v213rm	= 4618,
+    X86_VFNMSUBPDZ128v213rmb	= 4619,
+    X86_VFNMSUBPDZ128v213rmbk	= 4620,
+    X86_VFNMSUBPDZ128v213rmbkz	= 4621,
+    X86_VFNMSUBPDZ128v213rmk	= 4622,
+    X86_VFNMSUBPDZ128v213rmkz	= 4623,
+    X86_VFNMSUBPDZ128v213rr	= 4624,
+    X86_VFNMSUBPDZ128v213rrk	= 4625,
+    X86_VFNMSUBPDZ128v213rrkz	= 4626,
+    X86_VFNMSUBPDZ128v231rm	= 4627,
+    X86_VFNMSUBPDZ128v231rmb	= 4628,
+    X86_VFNMSUBPDZ128v231rmbk	= 4629,
+    X86_VFNMSUBPDZ128v231rmbkz	= 4630,
+    X86_VFNMSUBPDZ128v231rmk	= 4631,
+    X86_VFNMSUBPDZ128v231rmkz	= 4632,
+    X86_VFNMSUBPDZ128v231rr	= 4633,
+    X86_VFNMSUBPDZ128v231rrk	= 4634,
+    X86_VFNMSUBPDZ128v231rrkz	= 4635,
+    X86_VFNMSUBPDZ256v213rm	= 4636,
+    X86_VFNMSUBPDZ256v213rmb	= 4637,
+    X86_VFNMSUBPDZ256v213rmbk	= 4638,
+    X86_VFNMSUBPDZ256v213rmbkz	= 4639,
+    X86_VFNMSUBPDZ256v213rmk	= 4640,
+    X86_VFNMSUBPDZ256v213rmkz	= 4641,
+    X86_VFNMSUBPDZ256v213rr	= 4642,
+    X86_VFNMSUBPDZ256v213rrk	= 4643,
+    X86_VFNMSUBPDZ256v213rrkz	= 4644,
+    X86_VFNMSUBPDZ256v231rm	= 4645,
+    X86_VFNMSUBPDZ256v231rmb	= 4646,
+    X86_VFNMSUBPDZ256v231rmbk	= 4647,
+    X86_VFNMSUBPDZ256v231rmbkz	= 4648,
+    X86_VFNMSUBPDZ256v231rmk	= 4649,
+    X86_VFNMSUBPDZ256v231rmkz	= 4650,
+    X86_VFNMSUBPDZ256v231rr	= 4651,
+    X86_VFNMSUBPDZ256v231rrk	= 4652,
+    X86_VFNMSUBPDZ256v231rrkz	= 4653,
+    X86_VFNMSUBPDZv213rm	= 4654,
+    X86_VFNMSUBPDZv213rmb	= 4655,
+    X86_VFNMSUBPDZv213rmbk	= 4656,
+    X86_VFNMSUBPDZv213rmbkz	= 4657,
+    X86_VFNMSUBPDZv213rmk	= 4658,
+    X86_VFNMSUBPDZv213rmkz	= 4659,
+    X86_VFNMSUBPDZv213rr	= 4660,
+    X86_VFNMSUBPDZv213rrb	= 4661,
+    X86_VFNMSUBPDZv213rrbk	= 4662,
+    X86_VFNMSUBPDZv213rrbkz	= 4663,
+    X86_VFNMSUBPDZv213rrk	= 4664,
+    X86_VFNMSUBPDZv213rrkz	= 4665,
+    X86_VFNMSUBPDZv231rm	= 4666,
+    X86_VFNMSUBPDZv231rmb	= 4667,
+    X86_VFNMSUBPDZv231rmbk	= 4668,
+    X86_VFNMSUBPDZv231rmbkz	= 4669,
+    X86_VFNMSUBPDZv231rmk	= 4670,
+    X86_VFNMSUBPDZv231rmkz	= 4671,
+    X86_VFNMSUBPDZv231rr	= 4672,
+    X86_VFNMSUBPDZv231rrk	= 4673,
+    X86_VFNMSUBPDZv231rrkz	= 4674,
+    X86_VFNMSUBPDr132m	= 4675,
+    X86_VFNMSUBPDr132mY	= 4676,
+    X86_VFNMSUBPDr132r	= 4677,
+    X86_VFNMSUBPDr132rY	= 4678,
+    X86_VFNMSUBPDr213m	= 4679,
+    X86_VFNMSUBPDr213mY	= 4680,
+    X86_VFNMSUBPDr213r	= 4681,
+    X86_VFNMSUBPDr213rY	= 4682,
+    X86_VFNMSUBPDr231m	= 4683,
+    X86_VFNMSUBPDr231mY	= 4684,
+    X86_VFNMSUBPDr231r	= 4685,
+    X86_VFNMSUBPDr231rY	= 4686,
+    X86_VFNMSUBPS4mr	= 4687,
+    X86_VFNMSUBPS4mrY	= 4688,
+    X86_VFNMSUBPS4rm	= 4689,
+    X86_VFNMSUBPS4rmY	= 4690,
+    X86_VFNMSUBPS4rr	= 4691,
+    X86_VFNMSUBPS4rrY	= 4692,
+    X86_VFNMSUBPS4rrY_REV	= 4693,
+    X86_VFNMSUBPS4rr_REV	= 4694,
+    X86_VFNMSUBPSZ128v213rm	= 4695,
+    X86_VFNMSUBPSZ128v213rmb	= 4696,
+    X86_VFNMSUBPSZ128v213rmbk	= 4697,
+    X86_VFNMSUBPSZ128v213rmbkz	= 4698,
+    X86_VFNMSUBPSZ128v213rmk	= 4699,
+    X86_VFNMSUBPSZ128v213rmkz	= 4700,
+    X86_VFNMSUBPSZ128v213rr	= 4701,
+    X86_VFNMSUBPSZ128v213rrk	= 4702,
+    X86_VFNMSUBPSZ128v213rrkz	= 4703,
+    X86_VFNMSUBPSZ128v231rm	= 4704,
+    X86_VFNMSUBPSZ128v231rmb	= 4705,
+    X86_VFNMSUBPSZ128v231rmbk	= 4706,
+    X86_VFNMSUBPSZ128v231rmbkz	= 4707,
+    X86_VFNMSUBPSZ128v231rmk	= 4708,
+    X86_VFNMSUBPSZ128v231rmkz	= 4709,
+    X86_VFNMSUBPSZ128v231rr	= 4710,
+    X86_VFNMSUBPSZ128v231rrk	= 4711,
+    X86_VFNMSUBPSZ128v231rrkz	= 4712,
+    X86_VFNMSUBPSZ256v213rm	= 4713,
+    X86_VFNMSUBPSZ256v213rmb	= 4714,
+    X86_VFNMSUBPSZ256v213rmbk	= 4715,
+    X86_VFNMSUBPSZ256v213rmbkz	= 4716,
+    X86_VFNMSUBPSZ256v213rmk	= 4717,
+    X86_VFNMSUBPSZ256v213rmkz	= 4718,
+    X86_VFNMSUBPSZ256v213rr	= 4719,
+    X86_VFNMSUBPSZ256v213rrk	= 4720,
+    X86_VFNMSUBPSZ256v213rrkz	= 4721,
+    X86_VFNMSUBPSZ256v231rm	= 4722,
+    X86_VFNMSUBPSZ256v231rmb	= 4723,
+    X86_VFNMSUBPSZ256v231rmbk	= 4724,
+    X86_VFNMSUBPSZ256v231rmbkz	= 4725,
+    X86_VFNMSUBPSZ256v231rmk	= 4726,
+    X86_VFNMSUBPSZ256v231rmkz	= 4727,
+    X86_VFNMSUBPSZ256v231rr	= 4728,
+    X86_VFNMSUBPSZ256v231rrk	= 4729,
+    X86_VFNMSUBPSZ256v231rrkz	= 4730,
+    X86_VFNMSUBPSZv213rm	= 4731,
+    X86_VFNMSUBPSZv213rmb	= 4732,
+    X86_VFNMSUBPSZv213rmbk	= 4733,
+    X86_VFNMSUBPSZv213rmbkz	= 4734,
+    X86_VFNMSUBPSZv213rmk	= 4735,
+    X86_VFNMSUBPSZv213rmkz	= 4736,
+    X86_VFNMSUBPSZv213rr	= 4737,
+    X86_VFNMSUBPSZv213rrb	= 4738,
+    X86_VFNMSUBPSZv213rrbk	= 4739,
+    X86_VFNMSUBPSZv213rrbkz	= 4740,
+    X86_VFNMSUBPSZv213rrk	= 4741,
+    X86_VFNMSUBPSZv213rrkz	= 4742,
+    X86_VFNMSUBPSZv231rm	= 4743,
+    X86_VFNMSUBPSZv231rmb	= 4744,
+    X86_VFNMSUBPSZv231rmbk	= 4745,
+    X86_VFNMSUBPSZv231rmbkz	= 4746,
+    X86_VFNMSUBPSZv231rmk	= 4747,
+    X86_VFNMSUBPSZv231rmkz	= 4748,
+    X86_VFNMSUBPSZv231rr	= 4749,
+    X86_VFNMSUBPSZv231rrk	= 4750,
+    X86_VFNMSUBPSZv231rrkz	= 4751,
+    X86_VFNMSUBPSr132m	= 4752,
+    X86_VFNMSUBPSr132mY	= 4753,
+    X86_VFNMSUBPSr132r	= 4754,
+    X86_VFNMSUBPSr132rY	= 4755,
+    X86_VFNMSUBPSr213m	= 4756,
+    X86_VFNMSUBPSr213mY	= 4757,
+    X86_VFNMSUBPSr213r	= 4758,
+    X86_VFNMSUBPSr213rY	= 4759,
+    X86_VFNMSUBPSr231m	= 4760,
+    X86_VFNMSUBPSr231mY	= 4761,
+    X86_VFNMSUBPSr231r	= 4762,
+    X86_VFNMSUBPSr231rY	= 4763,
+    X86_VFNMSUBSD4mr	= 4764,
+    X86_VFNMSUBSD4mr_Int	= 4765,
+    X86_VFNMSUBSD4rm	= 4766,
+    X86_VFNMSUBSD4rm_Int	= 4767,
+    X86_VFNMSUBSD4rr	= 4768,
+    X86_VFNMSUBSD4rr_Int	= 4769,
+    X86_VFNMSUBSD4rr_REV	= 4770,
+    X86_VFNMSUBSDZm	= 4771,
+    X86_VFNMSUBSDZr	= 4772,
+    X86_VFNMSUBSDr132m	= 4773,
+    X86_VFNMSUBSDr132r	= 4774,
+    X86_VFNMSUBSDr213m	= 4775,
+    X86_VFNMSUBSDr213r	= 4776,
+    X86_VFNMSUBSDr231m	= 4777,
+    X86_VFNMSUBSDr231r	= 4778,
+    X86_VFNMSUBSS4mr	= 4779,
+    X86_VFNMSUBSS4mr_Int	= 4780,
+    X86_VFNMSUBSS4rm	= 4781,
+    X86_VFNMSUBSS4rm_Int	= 4782,
+    X86_VFNMSUBSS4rr	= 4783,
+    X86_VFNMSUBSS4rr_Int	= 4784,
+    X86_VFNMSUBSS4rr_REV	= 4785,
+    X86_VFNMSUBSSZm	= 4786,
+    X86_VFNMSUBSSZr	= 4787,
+    X86_VFNMSUBSSr132m	= 4788,
+    X86_VFNMSUBSSr132r	= 4789,
+    X86_VFNMSUBSSr213m	= 4790,
+    X86_VFNMSUBSSr213r	= 4791,
+    X86_VFNMSUBSSr231m	= 4792,
+    X86_VFNMSUBSSr231r	= 4793,
+    X86_VFRCZPDrm	= 4794,
+    X86_VFRCZPDrmY	= 4795,
+    X86_VFRCZPDrr	= 4796,
+    X86_VFRCZPDrrY	= 4797,
+    X86_VFRCZPSrm	= 4798,
+    X86_VFRCZPSrmY	= 4799,
+    X86_VFRCZPSrr	= 4800,
+    X86_VFRCZPSrrY	= 4801,
+    X86_VFRCZSDrm	= 4802,
+    X86_VFRCZSDrr	= 4803,
+    X86_VFRCZSSrm	= 4804,
+    X86_VFRCZSSrr	= 4805,
+    X86_VFsANDNPDrm	= 4806,
+    X86_VFsANDNPDrr	= 4807,
+    X86_VFsANDNPSrm	= 4808,
+    X86_VFsANDNPSrr	= 4809,
+    X86_VFsANDPDrm	= 4810,
+    X86_VFsANDPDrr	= 4811,
+    X86_VFsANDPSrm	= 4812,
+    X86_VFsANDPSrr	= 4813,
+    X86_VFsORPDrm	= 4814,
+    X86_VFsORPDrr	= 4815,
+    X86_VFsORPSrm	= 4816,
+    X86_VFsORPSrr	= 4817,
+    X86_VFsXORPDrm	= 4818,
+    X86_VFsXORPDrr	= 4819,
+    X86_VFsXORPSrm	= 4820,
+    X86_VFsXORPSrr	= 4821,
+    X86_VFvANDNPDrm	= 4822,
+    X86_VFvANDNPDrr	= 4823,
+    X86_VFvANDNPSrm	= 4824,
+    X86_VFvANDNPSrr	= 4825,
+    X86_VFvANDPDrm	= 4826,
+    X86_VFvANDPDrr	= 4827,
+    X86_VFvANDPSrm	= 4828,
+    X86_VFvANDPSrr	= 4829,
+    X86_VFvORPDrm	= 4830,
+    X86_VFvORPDrr	= 4831,
+    X86_VFvORPSrm	= 4832,
+    X86_VFvORPSrr	= 4833,
+    X86_VFvXORPDrm	= 4834,
+    X86_VFvXORPDrr	= 4835,
+    X86_VFvXORPSrm	= 4836,
+    X86_VFvXORPSrr	= 4837,
+    X86_VGATHERDPDYrm	= 4838,
+    X86_VGATHERDPDZrm	= 4839,
+    X86_VGATHERDPDrm	= 4840,
+    X86_VGATHERDPSYrm	= 4841,
+    X86_VGATHERDPSZrm	= 4842,
+    X86_VGATHERDPSrm	= 4843,
+    X86_VGATHERPF0DPDm	= 4844,
+    X86_VGATHERPF0DPSm	= 4845,
+    X86_VGATHERPF0QPDm	= 4846,
+    X86_VGATHERPF0QPSm	= 4847,
+    X86_VGATHERPF1DPDm	= 4848,
+    X86_VGATHERPF1DPSm	= 4849,
+    X86_VGATHERPF1QPDm	= 4850,
+    X86_VGATHERPF1QPSm	= 4851,
+    X86_VGATHERQPDYrm	= 4852,
+    X86_VGATHERQPDZrm	= 4853,
+    X86_VGATHERQPDrm	= 4854,
+    X86_VGATHERQPSYrm	= 4855,
+    X86_VGATHERQPSZrm	= 4856,
+    X86_VGATHERQPSrm	= 4857,
+    X86_VHADDPDYrm	= 4858,
+    X86_VHADDPDYrr	= 4859,
+    X86_VHADDPDrm	= 4860,
+    X86_VHADDPDrr	= 4861,
+    X86_VHADDPSYrm	= 4862,
+    X86_VHADDPSYrr	= 4863,
+    X86_VHADDPSrm	= 4864,
+    X86_VHADDPSrr	= 4865,
+    X86_VHSUBPDYrm	= 4866,
+    X86_VHSUBPDYrr	= 4867,
+    X86_VHSUBPDrm	= 4868,
+    X86_VHSUBPDrr	= 4869,
+    X86_VHSUBPSYrm	= 4870,
+    X86_VHSUBPSYrr	= 4871,
+    X86_VHSUBPSrm	= 4872,
+    X86_VHSUBPSrr	= 4873,
+    X86_VINSERTF128rm	= 4874,
+    X86_VINSERTF128rr	= 4875,
+    X86_VINSERTF32x4rm	= 4876,
+    X86_VINSERTF32x4rr	= 4877,
+    X86_VINSERTF32x8rm	= 4878,
+    X86_VINSERTF32x8rr	= 4879,
+    X86_VINSERTF64x2rm	= 4880,
+    X86_VINSERTF64x2rr	= 4881,
+    X86_VINSERTF64x4rm	= 4882,
+    X86_VINSERTF64x4rr	= 4883,
+    X86_VINSERTI128rm	= 4884,
+    X86_VINSERTI128rr	= 4885,
+    X86_VINSERTI32x4rm	= 4886,
+    X86_VINSERTI32x4rr	= 4887,
+    X86_VINSERTI32x8rm	= 4888,
+    X86_VINSERTI32x8rr	= 4889,
+    X86_VINSERTI64x2rm	= 4890,
+    X86_VINSERTI64x2rr	= 4891,
+    X86_VINSERTI64x4rm	= 4892,
+    X86_VINSERTI64x4rr	= 4893,
+    X86_VINSERTPSrm	= 4894,
+    X86_VINSERTPSrr	= 4895,
+    X86_VINSERTPSzrm	= 4896,
+    X86_VINSERTPSzrr	= 4897,
+    X86_VLDDQUYrm	= 4898,
+    X86_VLDDQUrm	= 4899,
+    X86_VLDMXCSR	= 4900,
+    X86_VMASKMOVDQU	= 4901,
+    X86_VMASKMOVDQU64	= 4902,
+    X86_VMASKMOVPDYmr	= 4903,
+    X86_VMASKMOVPDYrm	= 4904,
+    X86_VMASKMOVPDmr	= 4905,
+    X86_VMASKMOVPDrm	= 4906,
+    X86_VMASKMOVPSYmr	= 4907,
+    X86_VMASKMOVPSYrm	= 4908,
+    X86_VMASKMOVPSmr	= 4909,
+    X86_VMASKMOVPSrm	= 4910,
+    X86_VMAXCPDYrm	= 4911,
+    X86_VMAXCPDYrr	= 4912,
+    X86_VMAXCPDrm	= 4913,
+    X86_VMAXCPDrr	= 4914,
+    X86_VMAXCPSYrm	= 4915,
+    X86_VMAXCPSYrr	= 4916,
+    X86_VMAXCPSrm	= 4917,
+    X86_VMAXCPSrr	= 4918,
+    X86_VMAXCSDrm	= 4919,
+    X86_VMAXCSDrr	= 4920,
+    X86_VMAXCSSrm	= 4921,
+    X86_VMAXCSSrr	= 4922,
+    X86_VMAXPDYrm	= 4923,
+    X86_VMAXPDYrr	= 4924,
+    X86_VMAXPDZ128rm	= 4925,
+    X86_VMAXPDZ128rmb	= 4926,
+    X86_VMAXPDZ128rmbk	= 4927,
+    X86_VMAXPDZ128rmbkz	= 4928,
+    X86_VMAXPDZ128rmk	= 4929,
+    X86_VMAXPDZ128rmkz	= 4930,
+    X86_VMAXPDZ128rr	= 4931,
+    X86_VMAXPDZ128rrk	= 4932,
+    X86_VMAXPDZ128rrkz	= 4933,
+    X86_VMAXPDZ256rm	= 4934,
+    X86_VMAXPDZ256rmb	= 4935,
+    X86_VMAXPDZ256rmbk	= 4936,
+    X86_VMAXPDZ256rmbkz	= 4937,
+    X86_VMAXPDZ256rmk	= 4938,
+    X86_VMAXPDZ256rmkz	= 4939,
+    X86_VMAXPDZ256rr	= 4940,
+    X86_VMAXPDZ256rrk	= 4941,
+    X86_VMAXPDZ256rrkz	= 4942,
+    X86_VMAXPDZrm	= 4943,
+    X86_VMAXPDZrmb	= 4944,
+    X86_VMAXPDZrmbk	= 4945,
+    X86_VMAXPDZrmbkz	= 4946,
+    X86_VMAXPDZrmk	= 4947,
+    X86_VMAXPDZrmkz	= 4948,
+    X86_VMAXPDZrr	= 4949,
+    X86_VMAXPDZrrk	= 4950,
+    X86_VMAXPDZrrkz	= 4951,
+    X86_VMAXPDrm	= 4952,
+    X86_VMAXPDrr	= 4953,
+    X86_VMAXPSYrm	= 4954,
+    X86_VMAXPSYrr	= 4955,
+    X86_VMAXPSZ128rm	= 4956,
+    X86_VMAXPSZ128rmb	= 4957,
+    X86_VMAXPSZ128rmbk	= 4958,
+    X86_VMAXPSZ128rmbkz	= 4959,
+    X86_VMAXPSZ128rmk	= 4960,
+    X86_VMAXPSZ128rmkz	= 4961,
+    X86_VMAXPSZ128rr	= 4962,
+    X86_VMAXPSZ128rrk	= 4963,
+    X86_VMAXPSZ128rrkz	= 4964,
+    X86_VMAXPSZ256rm	= 4965,
+    X86_VMAXPSZ256rmb	= 4966,
+    X86_VMAXPSZ256rmbk	= 4967,
+    X86_VMAXPSZ256rmbkz	= 4968,
+    X86_VMAXPSZ256rmk	= 4969,
+    X86_VMAXPSZ256rmkz	= 4970,
+    X86_VMAXPSZ256rr	= 4971,
+    X86_VMAXPSZ256rrk	= 4972,
+    X86_VMAXPSZ256rrkz	= 4973,
+    X86_VMAXPSZrm	= 4974,
+    X86_VMAXPSZrmb	= 4975,
+    X86_VMAXPSZrmbk	= 4976,
+    X86_VMAXPSZrmbkz	= 4977,
+    X86_VMAXPSZrmk	= 4978,
+    X86_VMAXPSZrmkz	= 4979,
+    X86_VMAXPSZrr	= 4980,
+    X86_VMAXPSZrrk	= 4981,
+    X86_VMAXPSZrrkz	= 4982,
+    X86_VMAXPSrm	= 4983,
+    X86_VMAXPSrr	= 4984,
+    X86_VMAXSDZrm	= 4985,
+    X86_VMAXSDZrm_Int	= 4986,
+    X86_VMAXSDZrm_Intk	= 4987,
+    X86_VMAXSDZrm_Intkz	= 4988,
+    X86_VMAXSDZrr	= 4989,
+    X86_VMAXSDZrr_Int	= 4990,
+    X86_VMAXSDZrr_Intk	= 4991,
+    X86_VMAXSDZrr_Intkz	= 4992,
+    X86_VMAXSDZrrb	= 4993,
+    X86_VMAXSDZrrbk	= 4994,
+    X86_VMAXSDZrrbkz	= 4995,
+    X86_VMAXSDrm	= 4996,
+    X86_VMAXSDrm_Int	= 4997,
+    X86_VMAXSDrr	= 4998,
+    X86_VMAXSDrr_Int	= 4999,
+    X86_VMAXSSZrm	= 5000,
+    X86_VMAXSSZrm_Int	= 5001,
+    X86_VMAXSSZrm_Intk	= 5002,
+    X86_VMAXSSZrm_Intkz	= 5003,
+    X86_VMAXSSZrr	= 5004,
+    X86_VMAXSSZrr_Int	= 5005,
+    X86_VMAXSSZrr_Intk	= 5006,
+    X86_VMAXSSZrr_Intkz	= 5007,
+    X86_VMAXSSZrrb	= 5008,
+    X86_VMAXSSZrrbk	= 5009,
+    X86_VMAXSSZrrbkz	= 5010,
+    X86_VMAXSSrm	= 5011,
+    X86_VMAXSSrm_Int	= 5012,
+    X86_VMAXSSrr	= 5013,
+    X86_VMAXSSrr_Int	= 5014,
+    X86_VMCALL	= 5015,
+    X86_VMCLEARm	= 5016,
+    X86_VMFUNC	= 5017,
+    X86_VMINCPDYrm	= 5018,
+    X86_VMINCPDYrr	= 5019,
+    X86_VMINCPDrm	= 5020,
+    X86_VMINCPDrr	= 5021,
+    X86_VMINCPSYrm	= 5022,
+    X86_VMINCPSYrr	= 5023,
+    X86_VMINCPSrm	= 5024,
+    X86_VMINCPSrr	= 5025,
+    X86_VMINCSDrm	= 5026,
+    X86_VMINCSDrr	= 5027,
+    X86_VMINCSSrm	= 5028,
+    X86_VMINCSSrr	= 5029,
+    X86_VMINPDYrm	= 5030,
+    X86_VMINPDYrr	= 5031,
+    X86_VMINPDZ128rm	= 5032,
+    X86_VMINPDZ128rmb	= 5033,
+    X86_VMINPDZ128rmbk	= 5034,
+    X86_VMINPDZ128rmbkz	= 5035,
+    X86_VMINPDZ128rmk	= 5036,
+    X86_VMINPDZ128rmkz	= 5037,
+    X86_VMINPDZ128rr	= 5038,
+    X86_VMINPDZ128rrk	= 5039,
+    X86_VMINPDZ128rrkz	= 5040,
+    X86_VMINPDZ256rm	= 5041,
+    X86_VMINPDZ256rmb	= 5042,
+    X86_VMINPDZ256rmbk	= 5043,
+    X86_VMINPDZ256rmbkz	= 5044,
+    X86_VMINPDZ256rmk	= 5045,
+    X86_VMINPDZ256rmkz	= 5046,
+    X86_VMINPDZ256rr	= 5047,
+    X86_VMINPDZ256rrk	= 5048,
+    X86_VMINPDZ256rrkz	= 5049,
+    X86_VMINPDZrm	= 5050,
+    X86_VMINPDZrmb	= 5051,
+    X86_VMINPDZrmbk	= 5052,
+    X86_VMINPDZrmbkz	= 5053,
+    X86_VMINPDZrmk	= 5054,
+    X86_VMINPDZrmkz	= 5055,
+    X86_VMINPDZrr	= 5056,
+    X86_VMINPDZrrk	= 5057,
+    X86_VMINPDZrrkz	= 5058,
+    X86_VMINPDrm	= 5059,
+    X86_VMINPDrr	= 5060,
+    X86_VMINPSYrm	= 5061,
+    X86_VMINPSYrr	= 5062,
+    X86_VMINPSZ128rm	= 5063,
+    X86_VMINPSZ128rmb	= 5064,
+    X86_VMINPSZ128rmbk	= 5065,
+    X86_VMINPSZ128rmbkz	= 5066,
+    X86_VMINPSZ128rmk	= 5067,
+    X86_VMINPSZ128rmkz	= 5068,
+    X86_VMINPSZ128rr	= 5069,
+    X86_VMINPSZ128rrk	= 5070,
+    X86_VMINPSZ128rrkz	= 5071,
+    X86_VMINPSZ256rm	= 5072,
+    X86_VMINPSZ256rmb	= 5073,
+    X86_VMINPSZ256rmbk	= 5074,
+    X86_VMINPSZ256rmbkz	= 5075,
+    X86_VMINPSZ256rmk	= 5076,
+    X86_VMINPSZ256rmkz	= 5077,
+    X86_VMINPSZ256rr	= 5078,
+    X86_VMINPSZ256rrk	= 5079,
+    X86_VMINPSZ256rrkz	= 5080,
+    X86_VMINPSZrm	= 5081,
+    X86_VMINPSZrmb	= 5082,
+    X86_VMINPSZrmbk	= 5083,
+    X86_VMINPSZrmbkz	= 5084,
+    X86_VMINPSZrmk	= 5085,
+    X86_VMINPSZrmkz	= 5086,
+    X86_VMINPSZrr	= 5087,
+    X86_VMINPSZrrk	= 5088,
+    X86_VMINPSZrrkz	= 5089,
+    X86_VMINPSrm	= 5090,
+    X86_VMINPSrr	= 5091,
+    X86_VMINSDZrm	= 5092,
+    X86_VMINSDZrm_Int	= 5093,
+    X86_VMINSDZrm_Intk	= 5094,
+    X86_VMINSDZrm_Intkz	= 5095,
+    X86_VMINSDZrr	= 5096,
+    X86_VMINSDZrr_Int	= 5097,
+    X86_VMINSDZrr_Intk	= 5098,
+    X86_VMINSDZrr_Intkz	= 5099,
+    X86_VMINSDZrrb	= 5100,
+    X86_VMINSDZrrbk	= 5101,
+    X86_VMINSDZrrbkz	= 5102,
+    X86_VMINSDrm	= 5103,
+    X86_VMINSDrm_Int	= 5104,
+    X86_VMINSDrr	= 5105,
+    X86_VMINSDrr_Int	= 5106,
+    X86_VMINSSZrm	= 5107,
+    X86_VMINSSZrm_Int	= 5108,
+    X86_VMINSSZrm_Intk	= 5109,
+    X86_VMINSSZrm_Intkz	= 5110,
+    X86_VMINSSZrr	= 5111,
+    X86_VMINSSZrr_Int	= 5112,
+    X86_VMINSSZrr_Intk	= 5113,
+    X86_VMINSSZrr_Intkz	= 5114,
+    X86_VMINSSZrrb	= 5115,
+    X86_VMINSSZrrbk	= 5116,
+    X86_VMINSSZrrbkz	= 5117,
+    X86_VMINSSrm	= 5118,
+    X86_VMINSSrm_Int	= 5119,
+    X86_VMINSSrr	= 5120,
+    X86_VMINSSrr_Int	= 5121,
+    X86_VMLAUNCH	= 5122,
+    X86_VMLOAD32	= 5123,
+    X86_VMLOAD64	= 5124,
+    X86_VMMCALL	= 5125,
+    X86_VMOV64toPQIZrr	= 5126,
+    X86_VMOV64toPQIrm	= 5127,
+    X86_VMOV64toPQIrr	= 5128,
+    X86_VMOV64toSDZrr	= 5129,
+    X86_VMOV64toSDrm	= 5130,
+    X86_VMOV64toSDrr	= 5131,
+    X86_VMOVAPDYmr	= 5132,
+    X86_VMOVAPDYrm	= 5133,
+    X86_VMOVAPDYrr	= 5134,
+    X86_VMOVAPDYrr_REV	= 5135,
+    X86_VMOVAPDZ128mr	= 5136,
+    X86_VMOVAPDZ128mrk	= 5137,
+    X86_VMOVAPDZ128rm	= 5138,
+    X86_VMOVAPDZ128rmk	= 5139,
+    X86_VMOVAPDZ128rmkz	= 5140,
+    X86_VMOVAPDZ128rr	= 5141,
+    X86_VMOVAPDZ128rr_alt	= 5142,
+    X86_VMOVAPDZ128rrk	= 5143,
+    X86_VMOVAPDZ128rrk_alt	= 5144,
+    X86_VMOVAPDZ128rrkz	= 5145,
+    X86_VMOVAPDZ128rrkz_alt	= 5146,
+    X86_VMOVAPDZ256mr	= 5147,
+    X86_VMOVAPDZ256mrk	= 5148,
+    X86_VMOVAPDZ256rm	= 5149,
+    X86_VMOVAPDZ256rmk	= 5150,
+    X86_VMOVAPDZ256rmkz	= 5151,
+    X86_VMOVAPDZ256rr	= 5152,
+    X86_VMOVAPDZ256rr_alt	= 5153,
+    X86_VMOVAPDZ256rrk	= 5154,
+    X86_VMOVAPDZ256rrk_alt	= 5155,
+    X86_VMOVAPDZ256rrkz	= 5156,
+    X86_VMOVAPDZ256rrkz_alt	= 5157,
+    X86_VMOVAPDZmr	= 5158,
+    X86_VMOVAPDZmrk	= 5159,
+    X86_VMOVAPDZrm	= 5160,
+    X86_VMOVAPDZrmk	= 5161,
+    X86_VMOVAPDZrmkz	= 5162,
+    X86_VMOVAPDZrr	= 5163,
+    X86_VMOVAPDZrr_alt	= 5164,
+    X86_VMOVAPDZrrk	= 5165,
+    X86_VMOVAPDZrrk_alt	= 5166,
+    X86_VMOVAPDZrrkz	= 5167,
+    X86_VMOVAPDZrrkz_alt	= 5168,
+    X86_VMOVAPDmr	= 5169,
+    X86_VMOVAPDrm	= 5170,
+    X86_VMOVAPDrr	= 5171,
+    X86_VMOVAPDrr_REV	= 5172,
+    X86_VMOVAPSYmr	= 5173,
+    X86_VMOVAPSYrm	= 5174,
+    X86_VMOVAPSYrr	= 5175,
+    X86_VMOVAPSYrr_REV	= 5176,
+    X86_VMOVAPSZ128mr	= 5177,
+    X86_VMOVAPSZ128mrk	= 5178,
+    X86_VMOVAPSZ128rm	= 5179,
+    X86_VMOVAPSZ128rmk	= 5180,
+    X86_VMOVAPSZ128rmkz	= 5181,
+    X86_VMOVAPSZ128rr	= 5182,
+    X86_VMOVAPSZ128rr_alt	= 5183,
+    X86_VMOVAPSZ128rrk	= 5184,
+    X86_VMOVAPSZ128rrk_alt	= 5185,
+    X86_VMOVAPSZ128rrkz	= 5186,
+    X86_VMOVAPSZ128rrkz_alt	= 5187,
+    X86_VMOVAPSZ256mr	= 5188,
+    X86_VMOVAPSZ256mrk	= 5189,
+    X86_VMOVAPSZ256rm	= 5190,
+    X86_VMOVAPSZ256rmk	= 5191,
+    X86_VMOVAPSZ256rmkz	= 5192,
+    X86_VMOVAPSZ256rr	= 5193,
+    X86_VMOVAPSZ256rr_alt	= 5194,
+    X86_VMOVAPSZ256rrk	= 5195,
+    X86_VMOVAPSZ256rrk_alt	= 5196,
+    X86_VMOVAPSZ256rrkz	= 5197,
+    X86_VMOVAPSZ256rrkz_alt	= 5198,
+    X86_VMOVAPSZmr	= 5199,
+    X86_VMOVAPSZmrk	= 5200,
+    X86_VMOVAPSZrm	= 5201,
+    X86_VMOVAPSZrmk	= 5202,
+    X86_VMOVAPSZrmkz	= 5203,
+    X86_VMOVAPSZrr	= 5204,
+    X86_VMOVAPSZrr_alt	= 5205,
+    X86_VMOVAPSZrrk	= 5206,
+    X86_VMOVAPSZrrk_alt	= 5207,
+    X86_VMOVAPSZrrkz	= 5208,
+    X86_VMOVAPSZrrkz_alt	= 5209,
+    X86_VMOVAPSmr	= 5210,
+    X86_VMOVAPSrm	= 5211,
+    X86_VMOVAPSrr	= 5212,
+    X86_VMOVAPSrr_REV	= 5213,
+    X86_VMOVDDUPYrm	= 5214,
+    X86_VMOVDDUPYrr	= 5215,
+    X86_VMOVDDUPZrm	= 5216,
+    X86_VMOVDDUPZrr	= 5217,
+    X86_VMOVDDUPrm	= 5218,
+    X86_VMOVDDUPrr	= 5219,
+    X86_VMOVDI2PDIZrm	= 5220,
+    X86_VMOVDI2PDIZrr	= 5221,
+    X86_VMOVDI2PDIrm	= 5222,
+    X86_VMOVDI2PDIrr	= 5223,
+    X86_VMOVDI2SSZrm	= 5224,
+    X86_VMOVDI2SSZrr	= 5225,
+    X86_VMOVDI2SSrm	= 5226,
+    X86_VMOVDI2SSrr	= 5227,
+    X86_VMOVDQA32Z128mr	= 5228,
+    X86_VMOVDQA32Z128mrk	= 5229,
+    X86_VMOVDQA32Z128rm	= 5230,
+    X86_VMOVDQA32Z128rmk	= 5231,
+    X86_VMOVDQA32Z128rmkz	= 5232,
+    X86_VMOVDQA32Z128rr	= 5233,
+    X86_VMOVDQA32Z128rr_alt	= 5234,
+    X86_VMOVDQA32Z128rrk	= 5235,
+    X86_VMOVDQA32Z128rrk_alt	= 5236,
+    X86_VMOVDQA32Z128rrkz	= 5237,
+    X86_VMOVDQA32Z128rrkz_alt	= 5238,
+    X86_VMOVDQA32Z256mr	= 5239,
+    X86_VMOVDQA32Z256mrk	= 5240,
+    X86_VMOVDQA32Z256rm	= 5241,
+    X86_VMOVDQA32Z256rmk	= 5242,
+    X86_VMOVDQA32Z256rmkz	= 5243,
+    X86_VMOVDQA32Z256rr	= 5244,
+    X86_VMOVDQA32Z256rr_alt	= 5245,
+    X86_VMOVDQA32Z256rrk	= 5246,
+    X86_VMOVDQA32Z256rrk_alt	= 5247,
+    X86_VMOVDQA32Z256rrkz	= 5248,
+    X86_VMOVDQA32Z256rrkz_alt	= 5249,
+    X86_VMOVDQA32Zmr	= 5250,
+    X86_VMOVDQA32Zmrk	= 5251,
+    X86_VMOVDQA32Zrm	= 5252,
+    X86_VMOVDQA32Zrmk	= 5253,
+    X86_VMOVDQA32Zrmkz	= 5254,
+    X86_VMOVDQA32Zrr	= 5255,
+    X86_VMOVDQA32Zrr_alt	= 5256,
+    X86_VMOVDQA32Zrrk	= 5257,
+    X86_VMOVDQA32Zrrk_alt	= 5258,
+    X86_VMOVDQA32Zrrkz	= 5259,
+    X86_VMOVDQA32Zrrkz_alt	= 5260,
+    X86_VMOVDQA64Z128mr	= 5261,
+    X86_VMOVDQA64Z128mrk	= 5262,
+    X86_VMOVDQA64Z128rm	= 5263,
+    X86_VMOVDQA64Z128rmk	= 5264,
+    X86_VMOVDQA64Z128rmkz	= 5265,
+    X86_VMOVDQA64Z128rr	= 5266,
+    X86_VMOVDQA64Z128rr_alt	= 5267,
+    X86_VMOVDQA64Z128rrk	= 5268,
+    X86_VMOVDQA64Z128rrk_alt	= 5269,
+    X86_VMOVDQA64Z128rrkz	= 5270,
+    X86_VMOVDQA64Z128rrkz_alt	= 5271,
+    X86_VMOVDQA64Z256mr	= 5272,
+    X86_VMOVDQA64Z256mrk	= 5273,
+    X86_VMOVDQA64Z256rm	= 5274,
+    X86_VMOVDQA64Z256rmk	= 5275,
+    X86_VMOVDQA64Z256rmkz	= 5276,
+    X86_VMOVDQA64Z256rr	= 5277,
+    X86_VMOVDQA64Z256rr_alt	= 5278,
+    X86_VMOVDQA64Z256rrk	= 5279,
+    X86_VMOVDQA64Z256rrk_alt	= 5280,
+    X86_VMOVDQA64Z256rrkz	= 5281,
+    X86_VMOVDQA64Z256rrkz_alt	= 5282,
+    X86_VMOVDQA64Zmr	= 5283,
+    X86_VMOVDQA64Zmrk	= 5284,
+    X86_VMOVDQA64Zrm	= 5285,
+    X86_VMOVDQA64Zrmk	= 5286,
+    X86_VMOVDQA64Zrmkz	= 5287,
+    X86_VMOVDQA64Zrr	= 5288,
+    X86_VMOVDQA64Zrr_alt	= 5289,
+    X86_VMOVDQA64Zrrk	= 5290,
+    X86_VMOVDQA64Zrrk_alt	= 5291,
+    X86_VMOVDQA64Zrrkz	= 5292,
+    X86_VMOVDQA64Zrrkz_alt	= 5293,
+    X86_VMOVDQAYmr	= 5294,
+    X86_VMOVDQAYrm	= 5295,
+    X86_VMOVDQAYrr	= 5296,
+    X86_VMOVDQAYrr_REV	= 5297,
+    X86_VMOVDQAmr	= 5298,
+    X86_VMOVDQArm	= 5299,
+    X86_VMOVDQArr	= 5300,
+    X86_VMOVDQArr_REV	= 5301,
+    X86_VMOVDQU16Z128mr	= 5302,
+    X86_VMOVDQU16Z128mrk	= 5303,
+    X86_VMOVDQU16Z128rm	= 5304,
+    X86_VMOVDQU16Z128rmk	= 5305,
+    X86_VMOVDQU16Z128rmkz	= 5306,
+    X86_VMOVDQU16Z128rr	= 5307,
+    X86_VMOVDQU16Z128rr_alt	= 5308,
+    X86_VMOVDQU16Z128rrk	= 5309,
+    X86_VMOVDQU16Z128rrk_alt	= 5310,
+    X86_VMOVDQU16Z128rrkz	= 5311,
+    X86_VMOVDQU16Z128rrkz_alt	= 5312,
+    X86_VMOVDQU16Z256mr	= 5313,
+    X86_VMOVDQU16Z256mrk	= 5314,
+    X86_VMOVDQU16Z256rm	= 5315,
+    X86_VMOVDQU16Z256rmk	= 5316,
+    X86_VMOVDQU16Z256rmkz	= 5317,
+    X86_VMOVDQU16Z256rr	= 5318,
+    X86_VMOVDQU16Z256rr_alt	= 5319,
+    X86_VMOVDQU16Z256rrk	= 5320,
+    X86_VMOVDQU16Z256rrk_alt	= 5321,
+    X86_VMOVDQU16Z256rrkz	= 5322,
+    X86_VMOVDQU16Z256rrkz_alt	= 5323,
+    X86_VMOVDQU16Zmr	= 5324,
+    X86_VMOVDQU16Zmrk	= 5325,
+    X86_VMOVDQU16Zrm	= 5326,
+    X86_VMOVDQU16Zrmk	= 5327,
+    X86_VMOVDQU16Zrmkz	= 5328,
+    X86_VMOVDQU16Zrr	= 5329,
+    X86_VMOVDQU16Zrr_alt	= 5330,
+    X86_VMOVDQU16Zrrk	= 5331,
+    X86_VMOVDQU16Zrrk_alt	= 5332,
+    X86_VMOVDQU16Zrrkz	= 5333,
+    X86_VMOVDQU16Zrrkz_alt	= 5334,
+    X86_VMOVDQU32Z128mr	= 5335,
+    X86_VMOVDQU32Z128mrk	= 5336,
+    X86_VMOVDQU32Z128rm	= 5337,
+    X86_VMOVDQU32Z128rmk	= 5338,
+    X86_VMOVDQU32Z128rmkz	= 5339,
+    X86_VMOVDQU32Z128rr	= 5340,
+    X86_VMOVDQU32Z128rr_alt	= 5341,
+    X86_VMOVDQU32Z128rrk	= 5342,
+    X86_VMOVDQU32Z128rrk_alt	= 5343,
+    X86_VMOVDQU32Z128rrkz	= 5344,
+    X86_VMOVDQU32Z128rrkz_alt	= 5345,
+    X86_VMOVDQU32Z256mr	= 5346,
+    X86_VMOVDQU32Z256mrk	= 5347,
+    X86_VMOVDQU32Z256rm	= 5348,
+    X86_VMOVDQU32Z256rmk	= 5349,
+    X86_VMOVDQU32Z256rmkz	= 5350,
+    X86_VMOVDQU32Z256rr	= 5351,
+    X86_VMOVDQU32Z256rr_alt	= 5352,
+    X86_VMOVDQU32Z256rrk	= 5353,
+    X86_VMOVDQU32Z256rrk_alt	= 5354,
+    X86_VMOVDQU32Z256rrkz	= 5355,
+    X86_VMOVDQU32Z256rrkz_alt	= 5356,
+    X86_VMOVDQU32Zmr	= 5357,
+    X86_VMOVDQU32Zmrk	= 5358,
+    X86_VMOVDQU32Zrm	= 5359,
+    X86_VMOVDQU32Zrmk	= 5360,
+    X86_VMOVDQU32Zrmkz	= 5361,
+    X86_VMOVDQU32Zrr	= 5362,
+    X86_VMOVDQU32Zrr_alt	= 5363,
+    X86_VMOVDQU32Zrrk	= 5364,
+    X86_VMOVDQU32Zrrk_alt	= 5365,
+    X86_VMOVDQU32Zrrkz	= 5366,
+    X86_VMOVDQU32Zrrkz_alt	= 5367,
+    X86_VMOVDQU64Z128mr	= 5368,
+    X86_VMOVDQU64Z128mrk	= 5369,
+    X86_VMOVDQU64Z128rm	= 5370,
+    X86_VMOVDQU64Z128rmk	= 5371,
+    X86_VMOVDQU64Z128rmkz	= 5372,
+    X86_VMOVDQU64Z128rr	= 5373,
+    X86_VMOVDQU64Z128rr_alt	= 5374,
+    X86_VMOVDQU64Z128rrk	= 5375,
+    X86_VMOVDQU64Z128rrk_alt	= 5376,
+    X86_VMOVDQU64Z128rrkz	= 5377,
+    X86_VMOVDQU64Z128rrkz_alt	= 5378,
+    X86_VMOVDQU64Z256mr	= 5379,
+    X86_VMOVDQU64Z256mrk	= 5380,
+    X86_VMOVDQU64Z256rm	= 5381,
+    X86_VMOVDQU64Z256rmk	= 5382,
+    X86_VMOVDQU64Z256rmkz	= 5383,
+    X86_VMOVDQU64Z256rr	= 5384,
+    X86_VMOVDQU64Z256rr_alt	= 5385,
+    X86_VMOVDQU64Z256rrk	= 5386,
+    X86_VMOVDQU64Z256rrk_alt	= 5387,
+    X86_VMOVDQU64Z256rrkz	= 5388,
+    X86_VMOVDQU64Z256rrkz_alt	= 5389,
+    X86_VMOVDQU64Zmr	= 5390,
+    X86_VMOVDQU64Zmrk	= 5391,
+    X86_VMOVDQU64Zrm	= 5392,
+    X86_VMOVDQU64Zrmk	= 5393,
+    X86_VMOVDQU64Zrmkz	= 5394,
+    X86_VMOVDQU64Zrr	= 5395,
+    X86_VMOVDQU64Zrr_alt	= 5396,
+    X86_VMOVDQU64Zrrk	= 5397,
+    X86_VMOVDQU64Zrrk_alt	= 5398,
+    X86_VMOVDQU64Zrrkz	= 5399,
+    X86_VMOVDQU64Zrrkz_alt	= 5400,
+    X86_VMOVDQU8Z128mr	= 5401,
+    X86_VMOVDQU8Z128mrk	= 5402,
+    X86_VMOVDQU8Z128rm	= 5403,
+    X86_VMOVDQU8Z128rmk	= 5404,
+    X86_VMOVDQU8Z128rmkz	= 5405,
+    X86_VMOVDQU8Z128rr	= 5406,
+    X86_VMOVDQU8Z128rr_alt	= 5407,
+    X86_VMOVDQU8Z128rrk	= 5408,
+    X86_VMOVDQU8Z128rrk_alt	= 5409,
+    X86_VMOVDQU8Z128rrkz	= 5410,
+    X86_VMOVDQU8Z128rrkz_alt	= 5411,
+    X86_VMOVDQU8Z256mr	= 5412,
+    X86_VMOVDQU8Z256mrk	= 5413,
+    X86_VMOVDQU8Z256rm	= 5414,
+    X86_VMOVDQU8Z256rmk	= 5415,
+    X86_VMOVDQU8Z256rmkz	= 5416,
+    X86_VMOVDQU8Z256rr	= 5417,
+    X86_VMOVDQU8Z256rr_alt	= 5418,
+    X86_VMOVDQU8Z256rrk	= 5419,
+    X86_VMOVDQU8Z256rrk_alt	= 5420,
+    X86_VMOVDQU8Z256rrkz	= 5421,
+    X86_VMOVDQU8Z256rrkz_alt	= 5422,
+    X86_VMOVDQU8Zmr	= 5423,
+    X86_VMOVDQU8Zmrk	= 5424,
+    X86_VMOVDQU8Zrm	= 5425,
+    X86_VMOVDQU8Zrmk	= 5426,
+    X86_VMOVDQU8Zrmkz	= 5427,
+    X86_VMOVDQU8Zrr	= 5428,
+    X86_VMOVDQU8Zrr_alt	= 5429,
+    X86_VMOVDQU8Zrrk	= 5430,
+    X86_VMOVDQU8Zrrk_alt	= 5431,
+    X86_VMOVDQU8Zrrkz	= 5432,
+    X86_VMOVDQU8Zrrkz_alt	= 5433,
+    X86_VMOVDQUYmr	= 5434,
+    X86_VMOVDQUYrm	= 5435,
+    X86_VMOVDQUYrr	= 5436,
+    X86_VMOVDQUYrr_REV	= 5437,
+    X86_VMOVDQUmr	= 5438,
+    X86_VMOVDQUrm	= 5439,
+    X86_VMOVDQUrr	= 5440,
+    X86_VMOVDQUrr_REV	= 5441,
+    X86_VMOVHLPSZrr	= 5442,
+    X86_VMOVHLPSrr	= 5443,
+    X86_VMOVHPDmr	= 5444,
+    X86_VMOVHPDrm	= 5445,
+    X86_VMOVHPSmr	= 5446,
+    X86_VMOVHPSrm	= 5447,
+    X86_VMOVLHPSZrr	= 5448,
+    X86_VMOVLHPSrr	= 5449,
+    X86_VMOVLPDmr	= 5450,
+    X86_VMOVLPDrm	= 5451,
+    X86_VMOVLPSmr	= 5452,
+    X86_VMOVLPSrm	= 5453,
+    X86_VMOVMSKPDYrr	= 5454,
+    X86_VMOVMSKPDrr	= 5455,
+    X86_VMOVMSKPSYrr	= 5456,
+    X86_VMOVMSKPSrr	= 5457,
+    X86_VMOVNTDQAYrm	= 5458,
+    X86_VMOVNTDQAZ128rm	= 5459,
+    X86_VMOVNTDQAZ256rm	= 5460,
+    X86_VMOVNTDQAZrm	= 5461,
+    X86_VMOVNTDQArm	= 5462,
+    X86_VMOVNTDQYmr	= 5463,
+    X86_VMOVNTDQZ128mr	= 5464,
+    X86_VMOVNTDQZ256mr	= 5465,
+    X86_VMOVNTDQZmr	= 5466,
+    X86_VMOVNTDQmr	= 5467,
+    X86_VMOVNTPDYmr	= 5468,
+    X86_VMOVNTPDZ128mr	= 5469,
+    X86_VMOVNTPDZ256mr	= 5470,
+    X86_VMOVNTPDZmr	= 5471,
+    X86_VMOVNTPDmr	= 5472,
+    X86_VMOVNTPSYmr	= 5473,
+    X86_VMOVNTPSZ128mr	= 5474,
+    X86_VMOVNTPSZ256mr	= 5475,
+    X86_VMOVNTPSZmr	= 5476,
+    X86_VMOVNTPSmr	= 5477,
+    X86_VMOVPDI2DIZmr	= 5478,
+    X86_VMOVPDI2DIZrr	= 5479,
+    X86_VMOVPDI2DImr	= 5480,
+    X86_VMOVPDI2DIrr	= 5481,
+    X86_VMOVPQI2QImr	= 5482,
+    X86_VMOVPQI2QIrr	= 5483,
+    X86_VMOVPQIto64Zmr	= 5484,
+    X86_VMOVPQIto64Zrr	= 5485,
+    X86_VMOVPQIto64rm	= 5486,
+    X86_VMOVPQIto64rr	= 5487,
+    X86_VMOVQI2PQIZrm	= 5488,
+    X86_VMOVQI2PQIrm	= 5489,
+    X86_VMOVSDZmr	= 5490,
+    X86_VMOVSDZmrk	= 5491,
+    X86_VMOVSDZrm	= 5492,
+    X86_VMOVSDZrr	= 5493,
+    X86_VMOVSDZrr_REV	= 5494,
+    X86_VMOVSDZrrk	= 5495,
+    X86_VMOVSDmr	= 5496,
+    X86_VMOVSDrm	= 5497,
+    X86_VMOVSDrr	= 5498,
+    X86_VMOVSDrr_REV	= 5499,
+    X86_VMOVSDto64Zmr	= 5500,
+    X86_VMOVSDto64Zrr	= 5501,
+    X86_VMOVSDto64mr	= 5502,
+    X86_VMOVSDto64rr	= 5503,
+    X86_VMOVSHDUPYrm	= 5504,
+    X86_VMOVSHDUPYrr	= 5505,
+    X86_VMOVSHDUPZrm	= 5506,
+    X86_VMOVSHDUPZrr	= 5507,
+    X86_VMOVSHDUPrm	= 5508,
+    X86_VMOVSHDUPrr	= 5509,
+    X86_VMOVSLDUPYrm	= 5510,
+    X86_VMOVSLDUPYrr	= 5511,
+    X86_VMOVSLDUPZrm	= 5512,
+    X86_VMOVSLDUPZrr	= 5513,
+    X86_VMOVSLDUPrm	= 5514,
+    X86_VMOVSLDUPrr	= 5515,
+    X86_VMOVSS2DIZmr	= 5516,
+    X86_VMOVSS2DIZrr	= 5517,
+    X86_VMOVSS2DImr	= 5518,
+    X86_VMOVSS2DIrr	= 5519,
+    X86_VMOVSSZmr	= 5520,
+    X86_VMOVSSZmrk	= 5521,
+    X86_VMOVSSZrm	= 5522,
+    X86_VMOVSSZrr	= 5523,
+    X86_VMOVSSZrr_REV	= 5524,
+    X86_VMOVSSZrrk	= 5525,
+    X86_VMOVSSmr	= 5526,
+    X86_VMOVSSrm	= 5527,
+    X86_VMOVSSrr	= 5528,
+    X86_VMOVSSrr_REV	= 5529,
+    X86_VMOVUPDYmr	= 5530,
+    X86_VMOVUPDYrm	= 5531,
+    X86_VMOVUPDYrr	= 5532,
+    X86_VMOVUPDYrr_REV	= 5533,
+    X86_VMOVUPDZ128mr	= 5534,
+    X86_VMOVUPDZ128mrk	= 5535,
+    X86_VMOVUPDZ128rm	= 5536,
+    X86_VMOVUPDZ128rmk	= 5537,
+    X86_VMOVUPDZ128rmkz	= 5538,
+    X86_VMOVUPDZ128rr	= 5539,
+    X86_VMOVUPDZ128rr_alt	= 5540,
+    X86_VMOVUPDZ128rrk	= 5541,
+    X86_VMOVUPDZ128rrk_alt	= 5542,
+    X86_VMOVUPDZ128rrkz	= 5543,
+    X86_VMOVUPDZ128rrkz_alt	= 5544,
+    X86_VMOVUPDZ256mr	= 5545,
+    X86_VMOVUPDZ256mrk	= 5546,
+    X86_VMOVUPDZ256rm	= 5547,
+    X86_VMOVUPDZ256rmk	= 5548,
+    X86_VMOVUPDZ256rmkz	= 5549,
+    X86_VMOVUPDZ256rr	= 5550,
+    X86_VMOVUPDZ256rr_alt	= 5551,
+    X86_VMOVUPDZ256rrk	= 5552,
+    X86_VMOVUPDZ256rrk_alt	= 5553,
+    X86_VMOVUPDZ256rrkz	= 5554,
+    X86_VMOVUPDZ256rrkz_alt	= 5555,
+    X86_VMOVUPDZmr	= 5556,
+    X86_VMOVUPDZmrk	= 5557,
+    X86_VMOVUPDZrm	= 5558,
+    X86_VMOVUPDZrmk	= 5559,
+    X86_VMOVUPDZrmkz	= 5560,
+    X86_VMOVUPDZrr	= 5561,
+    X86_VMOVUPDZrr_alt	= 5562,
+    X86_VMOVUPDZrrk	= 5563,
+    X86_VMOVUPDZrrk_alt	= 5564,
+    X86_VMOVUPDZrrkz	= 5565,
+    X86_VMOVUPDZrrkz_alt	= 5566,
+    X86_VMOVUPDmr	= 5567,
+    X86_VMOVUPDrm	= 5568,
+    X86_VMOVUPDrr	= 5569,
+    X86_VMOVUPDrr_REV	= 5570,
+    X86_VMOVUPSYmr	= 5571,
+    X86_VMOVUPSYrm	= 5572,
+    X86_VMOVUPSYrr	= 5573,
+    X86_VMOVUPSYrr_REV	= 5574,
+    X86_VMOVUPSZ128mr	= 5575,
+    X86_VMOVUPSZ128mrk	= 5576,
+    X86_VMOVUPSZ128rm	= 5577,
+    X86_VMOVUPSZ128rmk	= 5578,
+    X86_VMOVUPSZ128rmkz	= 5579,
+    X86_VMOVUPSZ128rr	= 5580,
+    X86_VMOVUPSZ128rr_alt	= 5581,
+    X86_VMOVUPSZ128rrk	= 5582,
+    X86_VMOVUPSZ128rrk_alt	= 5583,
+    X86_VMOVUPSZ128rrkz	= 5584,
+    X86_VMOVUPSZ128rrkz_alt	= 5585,
+    X86_VMOVUPSZ256mr	= 5586,
+    X86_VMOVUPSZ256mrk	= 5587,
+    X86_VMOVUPSZ256rm	= 5588,
+    X86_VMOVUPSZ256rmk	= 5589,
+    X86_VMOVUPSZ256rmkz	= 5590,
+    X86_VMOVUPSZ256rr	= 5591,
+    X86_VMOVUPSZ256rr_alt	= 5592,
+    X86_VMOVUPSZ256rrk	= 5593,
+    X86_VMOVUPSZ256rrk_alt	= 5594,
+    X86_VMOVUPSZ256rrkz	= 5595,
+    X86_VMOVUPSZ256rrkz_alt	= 5596,
+    X86_VMOVUPSZmr	= 5597,
+    X86_VMOVUPSZmrk	= 5598,
+    X86_VMOVUPSZrm	= 5599,
+    X86_VMOVUPSZrmk	= 5600,
+    X86_VMOVUPSZrmkz	= 5601,
+    X86_VMOVUPSZrr	= 5602,
+    X86_VMOVUPSZrr_alt	= 5603,
+    X86_VMOVUPSZrrk	= 5604,
+    X86_VMOVUPSZrrk_alt	= 5605,
+    X86_VMOVUPSZrrkz	= 5606,
+    X86_VMOVUPSZrrkz_alt	= 5607,
+    X86_VMOVUPSmr	= 5608,
+    X86_VMOVUPSrm	= 5609,
+    X86_VMOVUPSrr	= 5610,
+    X86_VMOVUPSrr_REV	= 5611,
+    X86_VMOVZPQILo2PQIZrm	= 5612,
+    X86_VMOVZPQILo2PQIZrr	= 5613,
+    X86_VMOVZPQILo2PQIrm	= 5614,
+    X86_VMOVZPQILo2PQIrr	= 5615,
+    X86_VMOVZQI2PQIrm	= 5616,
+    X86_VMOVZQI2PQIrr	= 5617,
+    X86_VMPSADBWYrmi	= 5618,
+    X86_VMPSADBWYrri	= 5619,
+    X86_VMPSADBWrmi	= 5620,
+    X86_VMPSADBWrri	= 5621,
+    X86_VMPTRLDm	= 5622,
+    X86_VMPTRSTm	= 5623,
+    X86_VMREAD32rm	= 5624,
+    X86_VMREAD32rr	= 5625,
+    X86_VMREAD64rm	= 5626,
+    X86_VMREAD64rr	= 5627,
+    X86_VMRESUME	= 5628,
+    X86_VMRUN32	= 5629,
+    X86_VMRUN64	= 5630,
+    X86_VMSAVE32	= 5631,
+    X86_VMSAVE64	= 5632,
+    X86_VMULPDYrm	= 5633,
+    X86_VMULPDYrr	= 5634,
+    X86_VMULPDZ128rm	= 5635,
+    X86_VMULPDZ128rmb	= 5636,
+    X86_VMULPDZ128rmbk	= 5637,
+    X86_VMULPDZ128rmbkz	= 5638,
+    X86_VMULPDZ128rmk	= 5639,
+    X86_VMULPDZ128rmkz	= 5640,
+    X86_VMULPDZ128rr	= 5641,
+    X86_VMULPDZ128rrk	= 5642,
+    X86_VMULPDZ128rrkz	= 5643,
+    X86_VMULPDZ256rm	= 5644,
+    X86_VMULPDZ256rmb	= 5645,
+    X86_VMULPDZ256rmbk	= 5646,
+    X86_VMULPDZ256rmbkz	= 5647,
+    X86_VMULPDZ256rmk	= 5648,
+    X86_VMULPDZ256rmkz	= 5649,
+    X86_VMULPDZ256rr	= 5650,
+    X86_VMULPDZ256rrk	= 5651,
+    X86_VMULPDZ256rrkz	= 5652,
+    X86_VMULPDZrb	= 5653,
+    X86_VMULPDZrbk	= 5654,
+    X86_VMULPDZrbkz	= 5655,
+    X86_VMULPDZrm	= 5656,
+    X86_VMULPDZrmb	= 5657,
+    X86_VMULPDZrmbk	= 5658,
+    X86_VMULPDZrmbkz	= 5659,
+    X86_VMULPDZrmk	= 5660,
+    X86_VMULPDZrmkz	= 5661,
+    X86_VMULPDZrr	= 5662,
+    X86_VMULPDZrrk	= 5663,
+    X86_VMULPDZrrkz	= 5664,
+    X86_VMULPDrm	= 5665,
+    X86_VMULPDrr	= 5666,
+    X86_VMULPSYrm	= 5667,
+    X86_VMULPSYrr	= 5668,
+    X86_VMULPSZ128rm	= 5669,
+    X86_VMULPSZ128rmb	= 5670,
+    X86_VMULPSZ128rmbk	= 5671,
+    X86_VMULPSZ128rmbkz	= 5672,
+    X86_VMULPSZ128rmk	= 5673,
+    X86_VMULPSZ128rmkz	= 5674,
+    X86_VMULPSZ128rr	= 5675,
+    X86_VMULPSZ128rrk	= 5676,
+    X86_VMULPSZ128rrkz	= 5677,
+    X86_VMULPSZ256rm	= 5678,
+    X86_VMULPSZ256rmb	= 5679,
+    X86_VMULPSZ256rmbk	= 5680,
+    X86_VMULPSZ256rmbkz	= 5681,
+    X86_VMULPSZ256rmk	= 5682,
+    X86_VMULPSZ256rmkz	= 5683,
+    X86_VMULPSZ256rr	= 5684,
+    X86_VMULPSZ256rrk	= 5685,
+    X86_VMULPSZ256rrkz	= 5686,
+    X86_VMULPSZrb	= 5687,
+    X86_VMULPSZrbk	= 5688,
+    X86_VMULPSZrbkz	= 5689,
+    X86_VMULPSZrm	= 5690,
+    X86_VMULPSZrmb	= 5691,
+    X86_VMULPSZrmbk	= 5692,
+    X86_VMULPSZrmbkz	= 5693,
+    X86_VMULPSZrmk	= 5694,
+    X86_VMULPSZrmkz	= 5695,
+    X86_VMULPSZrr	= 5696,
+    X86_VMULPSZrrk	= 5697,
+    X86_VMULPSZrrkz	= 5698,
+    X86_VMULPSrm	= 5699,
+    X86_VMULPSrr	= 5700,
+    X86_VMULSDZrm	= 5701,
+    X86_VMULSDZrm_Int	= 5702,
+    X86_VMULSDZrm_Intk	= 5703,
+    X86_VMULSDZrm_Intkz	= 5704,
+    X86_VMULSDZrr	= 5705,
+    X86_VMULSDZrr_Int	= 5706,
+    X86_VMULSDZrr_Intk	= 5707,
+    X86_VMULSDZrr_Intkz	= 5708,
+    X86_VMULSDZrrb	= 5709,
+    X86_VMULSDZrrbk	= 5710,
+    X86_VMULSDZrrbkz	= 5711,
+    X86_VMULSDrm	= 5712,
+    X86_VMULSDrm_Int	= 5713,
+    X86_VMULSDrr	= 5714,
+    X86_VMULSDrr_Int	= 5715,
+    X86_VMULSSZrm	= 5716,
+    X86_VMULSSZrm_Int	= 5717,
+    X86_VMULSSZrm_Intk	= 5718,
+    X86_VMULSSZrm_Intkz	= 5719,
+    X86_VMULSSZrr	= 5720,
+    X86_VMULSSZrr_Int	= 5721,
+    X86_VMULSSZrr_Intk	= 5722,
+    X86_VMULSSZrr_Intkz	= 5723,
+    X86_VMULSSZrrb	= 5724,
+    X86_VMULSSZrrbk	= 5725,
+    X86_VMULSSZrrbkz	= 5726,
+    X86_VMULSSrm	= 5727,
+    X86_VMULSSrm_Int	= 5728,
+    X86_VMULSSrr	= 5729,
+    X86_VMULSSrr_Int	= 5730,
+    X86_VMWRITE32rm	= 5731,
+    X86_VMWRITE32rr	= 5732,
+    X86_VMWRITE64rm	= 5733,
+    X86_VMWRITE64rr	= 5734,
+    X86_VMXOFF	= 5735,
+    X86_VMXON	= 5736,
+    X86_VORPDYrm	= 5737,
+    X86_VORPDYrr	= 5738,
+    X86_VORPDrm	= 5739,
+    X86_VORPDrr	= 5740,
+    X86_VORPSYrm	= 5741,
+    X86_VORPSYrr	= 5742,
+    X86_VORPSrm	= 5743,
+    X86_VORPSrr	= 5744,
+    X86_VPABSBrm128	= 5745,
+    X86_VPABSBrm256	= 5746,
+    X86_VPABSBrr128	= 5747,
+    X86_VPABSBrr256	= 5748,
+    X86_VPABSDZrm	= 5749,
+    X86_VPABSDZrmb	= 5750,
+    X86_VPABSDZrmbk	= 5751,
+    X86_VPABSDZrmbkz	= 5752,
+    X86_VPABSDZrmk	= 5753,
+    X86_VPABSDZrmkz	= 5754,
+    X86_VPABSDZrr	= 5755,
+    X86_VPABSDZrrk	= 5756,
+    X86_VPABSDZrrkz	= 5757,
+    X86_VPABSDrm128	= 5758,
+    X86_VPABSDrm256	= 5759,
+    X86_VPABSDrr128	= 5760,
+    X86_VPABSDrr256	= 5761,
+    X86_VPABSQZrm	= 5762,
+    X86_VPABSQZrmb	= 5763,
+    X86_VPABSQZrmbk	= 5764,
+    X86_VPABSQZrmbkz	= 5765,
+    X86_VPABSQZrmk	= 5766,
+    X86_VPABSQZrmkz	= 5767,
+    X86_VPABSQZrr	= 5768,
+    X86_VPABSQZrrk	= 5769,
+    X86_VPABSQZrrkz	= 5770,
+    X86_VPABSWrm128	= 5771,
+    X86_VPABSWrm256	= 5772,
+    X86_VPABSWrr128	= 5773,
+    X86_VPABSWrr256	= 5774,
+    X86_VPACKSSDWYrm	= 5775,
+    X86_VPACKSSDWYrr	= 5776,
+    X86_VPACKSSDWrm	= 5777,
+    X86_VPACKSSDWrr	= 5778,
+    X86_VPACKSSWBYrm	= 5779,
+    X86_VPACKSSWBYrr	= 5780,
+    X86_VPACKSSWBrm	= 5781,
+    X86_VPACKSSWBrr	= 5782,
+    X86_VPACKUSDWYrm	= 5783,
+    X86_VPACKUSDWYrr	= 5784,
+    X86_VPACKUSDWrm	= 5785,
+    X86_VPACKUSDWrr	= 5786,
+    X86_VPACKUSWBYrm	= 5787,
+    X86_VPACKUSWBYrr	= 5788,
+    X86_VPACKUSWBrm	= 5789,
+    X86_VPACKUSWBrr	= 5790,
+    X86_VPADDBYrm	= 5791,
+    X86_VPADDBYrr	= 5792,
+    X86_VPADDBZ128rm	= 5793,
+    X86_VPADDBZ128rmk	= 5794,
+    X86_VPADDBZ128rmkz	= 5795,
+    X86_VPADDBZ128rr	= 5796,
+    X86_VPADDBZ128rrk	= 5797,
+    X86_VPADDBZ128rrkz	= 5798,
+    X86_VPADDBZ256rm	= 5799,
+    X86_VPADDBZ256rmk	= 5800,
+    X86_VPADDBZ256rmkz	= 5801,
+    X86_VPADDBZ256rr	= 5802,
+    X86_VPADDBZ256rrk	= 5803,
+    X86_VPADDBZ256rrkz	= 5804,
+    X86_VPADDBZrm	= 5805,
+    X86_VPADDBZrmk	= 5806,
+    X86_VPADDBZrmkz	= 5807,
+    X86_VPADDBZrr	= 5808,
+    X86_VPADDBZrrk	= 5809,
+    X86_VPADDBZrrkz	= 5810,
+    X86_VPADDBrm	= 5811,
+    X86_VPADDBrr	= 5812,
+    X86_VPADDDYrm	= 5813,
+    X86_VPADDDYrr	= 5814,
+    X86_VPADDDZ128rm	= 5815,
+    X86_VPADDDZ128rmb	= 5816,
+    X86_VPADDDZ128rmbk	= 5817,
+    X86_VPADDDZ128rmbkz	= 5818,
+    X86_VPADDDZ128rmk	= 5819,
+    X86_VPADDDZ128rmkz	= 5820,
+    X86_VPADDDZ128rr	= 5821,
+    X86_VPADDDZ128rrk	= 5822,
+    X86_VPADDDZ128rrkz	= 5823,
+    X86_VPADDDZ256rm	= 5824,
+    X86_VPADDDZ256rmb	= 5825,
+    X86_VPADDDZ256rmbk	= 5826,
+    X86_VPADDDZ256rmbkz	= 5827,
+    X86_VPADDDZ256rmk	= 5828,
+    X86_VPADDDZ256rmkz	= 5829,
+    X86_VPADDDZ256rr	= 5830,
+    X86_VPADDDZ256rrk	= 5831,
+    X86_VPADDDZ256rrkz	= 5832,
+    X86_VPADDDZrm	= 5833,
+    X86_VPADDDZrmb	= 5834,
+    X86_VPADDDZrmbk	= 5835,
+    X86_VPADDDZrmbkz	= 5836,
+    X86_VPADDDZrmk	= 5837,
+    X86_VPADDDZrmkz	= 5838,
+    X86_VPADDDZrr	= 5839,
+    X86_VPADDDZrrk	= 5840,
+    X86_VPADDDZrrkz	= 5841,
+    X86_VPADDDrm	= 5842,
+    X86_VPADDDrr	= 5843,
+    X86_VPADDQYrm	= 5844,
+    X86_VPADDQYrr	= 5845,
+    X86_VPADDQZ128rm	= 5846,
+    X86_VPADDQZ128rmb	= 5847,
+    X86_VPADDQZ128rmbk	= 5848,
+    X86_VPADDQZ128rmbkz	= 5849,
+    X86_VPADDQZ128rmk	= 5850,
+    X86_VPADDQZ128rmkz	= 5851,
+    X86_VPADDQZ128rr	= 5852,
+    X86_VPADDQZ128rrk	= 5853,
+    X86_VPADDQZ128rrkz	= 5854,
+    X86_VPADDQZ256rm	= 5855,
+    X86_VPADDQZ256rmb	= 5856,
+    X86_VPADDQZ256rmbk	= 5857,
+    X86_VPADDQZ256rmbkz	= 5858,
+    X86_VPADDQZ256rmk	= 5859,
+    X86_VPADDQZ256rmkz	= 5860,
+    X86_VPADDQZ256rr	= 5861,
+    X86_VPADDQZ256rrk	= 5862,
+    X86_VPADDQZ256rrkz	= 5863,
+    X86_VPADDQZrm	= 5864,
+    X86_VPADDQZrmb	= 5865,
+    X86_VPADDQZrmbk	= 5866,
+    X86_VPADDQZrmbkz	= 5867,
+    X86_VPADDQZrmk	= 5868,
+    X86_VPADDQZrmkz	= 5869,
+    X86_VPADDQZrr	= 5870,
+    X86_VPADDQZrrk	= 5871,
+    X86_VPADDQZrrkz	= 5872,
+    X86_VPADDQrm	= 5873,
+    X86_VPADDQrr	= 5874,
+    X86_VPADDSBYrm	= 5875,
+    X86_VPADDSBYrr	= 5876,
+    X86_VPADDSBrm	= 5877,
+    X86_VPADDSBrr	= 5878,
+    X86_VPADDSWYrm	= 5879,
+    X86_VPADDSWYrr	= 5880,
+    X86_VPADDSWrm	= 5881,
+    X86_VPADDSWrr	= 5882,
+    X86_VPADDUSBYrm	= 5883,
+    X86_VPADDUSBYrr	= 5884,
+    X86_VPADDUSBrm	= 5885,
+    X86_VPADDUSBrr	= 5886,
+    X86_VPADDUSWYrm	= 5887,
+    X86_VPADDUSWYrr	= 5888,
+    X86_VPADDUSWrm	= 5889,
+    X86_VPADDUSWrr	= 5890,
+    X86_VPADDWYrm	= 5891,
+    X86_VPADDWYrr	= 5892,
+    X86_VPADDWZ128rm	= 5893,
+    X86_VPADDWZ128rmk	= 5894,
+    X86_VPADDWZ128rmkz	= 5895,
+    X86_VPADDWZ128rr	= 5896,
+    X86_VPADDWZ128rrk	= 5897,
+    X86_VPADDWZ128rrkz	= 5898,
+    X86_VPADDWZ256rm	= 5899,
+    X86_VPADDWZ256rmk	= 5900,
+    X86_VPADDWZ256rmkz	= 5901,
+    X86_VPADDWZ256rr	= 5902,
+    X86_VPADDWZ256rrk	= 5903,
+    X86_VPADDWZ256rrkz	= 5904,
+    X86_VPADDWZrm	= 5905,
+    X86_VPADDWZrmk	= 5906,
+    X86_VPADDWZrmkz	= 5907,
+    X86_VPADDWZrr	= 5908,
+    X86_VPADDWZrrk	= 5909,
+    X86_VPADDWZrrkz	= 5910,
+    X86_VPADDWrm	= 5911,
+    X86_VPADDWrr	= 5912,
+    X86_VPALIGNR128rm	= 5913,
+    X86_VPALIGNR128rr	= 5914,
+    X86_VPALIGNR256rm	= 5915,
+    X86_VPALIGNR256rr	= 5916,
+    X86_VPANDDZ128rm	= 5917,
+    X86_VPANDDZ128rmb	= 5918,
+    X86_VPANDDZ128rmbk	= 5919,
+    X86_VPANDDZ128rmbkz	= 5920,
+    X86_VPANDDZ128rmk	= 5921,
+    X86_VPANDDZ128rmkz	= 5922,
+    X86_VPANDDZ128rr	= 5923,
+    X86_VPANDDZ128rrk	= 5924,
+    X86_VPANDDZ128rrkz	= 5925,
+    X86_VPANDDZ256rm	= 5926,
+    X86_VPANDDZ256rmb	= 5927,
+    X86_VPANDDZ256rmbk	= 5928,
+    X86_VPANDDZ256rmbkz	= 5929,
+    X86_VPANDDZ256rmk	= 5930,
+    X86_VPANDDZ256rmkz	= 5931,
+    X86_VPANDDZ256rr	= 5932,
+    X86_VPANDDZ256rrk	= 5933,
+    X86_VPANDDZ256rrkz	= 5934,
+    X86_VPANDDZrm	= 5935,
+    X86_VPANDDZrmb	= 5936,
+    X86_VPANDDZrmbk	= 5937,
+    X86_VPANDDZrmbkz	= 5938,
+    X86_VPANDDZrmk	= 5939,
+    X86_VPANDDZrmkz	= 5940,
+    X86_VPANDDZrr	= 5941,
+    X86_VPANDDZrrk	= 5942,
+    X86_VPANDDZrrkz	= 5943,
+    X86_VPANDNDZ128rm	= 5944,
+    X86_VPANDNDZ128rmb	= 5945,
+    X86_VPANDNDZ128rmbk	= 5946,
+    X86_VPANDNDZ128rmbkz	= 5947,
+    X86_VPANDNDZ128rmk	= 5948,
+    X86_VPANDNDZ128rmkz	= 5949,
+    X86_VPANDNDZ128rr	= 5950,
+    X86_VPANDNDZ128rrk	= 5951,
+    X86_VPANDNDZ128rrkz	= 5952,
+    X86_VPANDNDZ256rm	= 5953,
+    X86_VPANDNDZ256rmb	= 5954,
+    X86_VPANDNDZ256rmbk	= 5955,
+    X86_VPANDNDZ256rmbkz	= 5956,
+    X86_VPANDNDZ256rmk	= 5957,
+    X86_VPANDNDZ256rmkz	= 5958,
+    X86_VPANDNDZ256rr	= 5959,
+    X86_VPANDNDZ256rrk	= 5960,
+    X86_VPANDNDZ256rrkz	= 5961,
+    X86_VPANDNDZrm	= 5962,
+    X86_VPANDNDZrmb	= 5963,
+    X86_VPANDNDZrmbk	= 5964,
+    X86_VPANDNDZrmbkz	= 5965,
+    X86_VPANDNDZrmk	= 5966,
+    X86_VPANDNDZrmkz	= 5967,
+    X86_VPANDNDZrr	= 5968,
+    X86_VPANDNDZrrk	= 5969,
+    X86_VPANDNDZrrkz	= 5970,
+    X86_VPANDNQZ128rm	= 5971,
+    X86_VPANDNQZ128rmb	= 5972,
+    X86_VPANDNQZ128rmbk	= 5973,
+    X86_VPANDNQZ128rmbkz	= 5974,
+    X86_VPANDNQZ128rmk	= 5975,
+    X86_VPANDNQZ128rmkz	= 5976,
+    X86_VPANDNQZ128rr	= 5977,
+    X86_VPANDNQZ128rrk	= 5978,
+    X86_VPANDNQZ128rrkz	= 5979,
+    X86_VPANDNQZ256rm	= 5980,
+    X86_VPANDNQZ256rmb	= 5981,
+    X86_VPANDNQZ256rmbk	= 5982,
+    X86_VPANDNQZ256rmbkz	= 5983,
+    X86_VPANDNQZ256rmk	= 5984,
+    X86_VPANDNQZ256rmkz	= 5985,
+    X86_VPANDNQZ256rr	= 5986,
+    X86_VPANDNQZ256rrk	= 5987,
+    X86_VPANDNQZ256rrkz	= 5988,
+    X86_VPANDNQZrm	= 5989,
+    X86_VPANDNQZrmb	= 5990,
+    X86_VPANDNQZrmbk	= 5991,
+    X86_VPANDNQZrmbkz	= 5992,
+    X86_VPANDNQZrmk	= 5993,
+    X86_VPANDNQZrmkz	= 5994,
+    X86_VPANDNQZrr	= 5995,
+    X86_VPANDNQZrrk	= 5996,
+    X86_VPANDNQZrrkz	= 5997,
+    X86_VPANDNYrm	= 5998,
+    X86_VPANDNYrr	= 5999,
+    X86_VPANDNrm	= 6000,
+    X86_VPANDNrr	= 6001,
+    X86_VPANDQZ128rm	= 6002,
+    X86_VPANDQZ128rmb	= 6003,
+    X86_VPANDQZ128rmbk	= 6004,
+    X86_VPANDQZ128rmbkz	= 6005,
+    X86_VPANDQZ128rmk	= 6006,
+    X86_VPANDQZ128rmkz	= 6007,
+    X86_VPANDQZ128rr	= 6008,
+    X86_VPANDQZ128rrk	= 6009,
+    X86_VPANDQZ128rrkz	= 6010,
+    X86_VPANDQZ256rm	= 6011,
+    X86_VPANDQZ256rmb	= 6012,
+    X86_VPANDQZ256rmbk	= 6013,
+    X86_VPANDQZ256rmbkz	= 6014,
+    X86_VPANDQZ256rmk	= 6015,
+    X86_VPANDQZ256rmkz	= 6016,
+    X86_VPANDQZ256rr	= 6017,
+    X86_VPANDQZ256rrk	= 6018,
+    X86_VPANDQZ256rrkz	= 6019,
+    X86_VPANDQZrm	= 6020,
+    X86_VPANDQZrmb	= 6021,
+    X86_VPANDQZrmbk	= 6022,
+    X86_VPANDQZrmbkz	= 6023,
+    X86_VPANDQZrmk	= 6024,
+    X86_VPANDQZrmkz	= 6025,
+    X86_VPANDQZrr	= 6026,
+    X86_VPANDQZrrk	= 6027,
+    X86_VPANDQZrrkz	= 6028,
+    X86_VPANDYrm	= 6029,
+    X86_VPANDYrr	= 6030,
+    X86_VPANDrm	= 6031,
+    X86_VPANDrr	= 6032,
+    X86_VPAVGBYrm	= 6033,
+    X86_VPAVGBYrr	= 6034,
+    X86_VPAVGBrm	= 6035,
+    X86_VPAVGBrr	= 6036,
+    X86_VPAVGWYrm	= 6037,
+    X86_VPAVGWYrr	= 6038,
+    X86_VPAVGWrm	= 6039,
+    X86_VPAVGWrr	= 6040,
+    X86_VPBLENDDYrmi	= 6041,
+    X86_VPBLENDDYrri	= 6042,
+    X86_VPBLENDDrmi	= 6043,
+    X86_VPBLENDDrri	= 6044,
+    X86_VPBLENDMBZ128rm	= 6045,
+    X86_VPBLENDMBZ128rmk	= 6046,
+    X86_VPBLENDMBZ128rmkz	= 6047,
+    X86_VPBLENDMBZ128rr	= 6048,
+    X86_VPBLENDMBZ128rrk	= 6049,
+    X86_VPBLENDMBZ128rrkz	= 6050,
+    X86_VPBLENDMBZ256rm	= 6051,
+    X86_VPBLENDMBZ256rmk	= 6052,
+    X86_VPBLENDMBZ256rmkz	= 6053,
+    X86_VPBLENDMBZ256rr	= 6054,
+    X86_VPBLENDMBZ256rrk	= 6055,
+    X86_VPBLENDMBZ256rrkz	= 6056,
+    X86_VPBLENDMBZrm	= 6057,
+    X86_VPBLENDMBZrmk	= 6058,
+    X86_VPBLENDMBZrmkz	= 6059,
+    X86_VPBLENDMBZrr	= 6060,
+    X86_VPBLENDMBZrrk	= 6061,
+    X86_VPBLENDMBZrrkz	= 6062,
+    X86_VPBLENDMDZ128rm	= 6063,
+    X86_VPBLENDMDZ128rmb	= 6064,
+    X86_VPBLENDMDZ128rmbk	= 6065,
+    X86_VPBLENDMDZ128rmk	= 6066,
+    X86_VPBLENDMDZ128rmkz	= 6067,
+    X86_VPBLENDMDZ128rr	= 6068,
+    X86_VPBLENDMDZ128rrk	= 6069,
+    X86_VPBLENDMDZ128rrkz	= 6070,
+    X86_VPBLENDMDZ256rm	= 6071,
+    X86_VPBLENDMDZ256rmb	= 6072,
+    X86_VPBLENDMDZ256rmbk	= 6073,
+    X86_VPBLENDMDZ256rmk	= 6074,
+    X86_VPBLENDMDZ256rmkz	= 6075,
+    X86_VPBLENDMDZ256rr	= 6076,
+    X86_VPBLENDMDZ256rrk	= 6077,
+    X86_VPBLENDMDZ256rrkz	= 6078,
+    X86_VPBLENDMDZrm	= 6079,
+    X86_VPBLENDMDZrmb	= 6080,
+    X86_VPBLENDMDZrmbk	= 6081,
+    X86_VPBLENDMDZrmk	= 6082,
+    X86_VPBLENDMDZrmkz	= 6083,
+    X86_VPBLENDMDZrr	= 6084,
+    X86_VPBLENDMDZrrk	= 6085,
+    X86_VPBLENDMDZrrkz	= 6086,
+    X86_VPBLENDMQZ128rm	= 6087,
+    X86_VPBLENDMQZ128rmb	= 6088,
+    X86_VPBLENDMQZ128rmbk	= 6089,
+    X86_VPBLENDMQZ128rmk	= 6090,
+    X86_VPBLENDMQZ128rmkz	= 6091,
+    X86_VPBLENDMQZ128rr	= 6092,
+    X86_VPBLENDMQZ128rrk	= 6093,
+    X86_VPBLENDMQZ128rrkz	= 6094,
+    X86_VPBLENDMQZ256rm	= 6095,
+    X86_VPBLENDMQZ256rmb	= 6096,
+    X86_VPBLENDMQZ256rmbk	= 6097,
+    X86_VPBLENDMQZ256rmk	= 6098,
+    X86_VPBLENDMQZ256rmkz	= 6099,
+    X86_VPBLENDMQZ256rr	= 6100,
+    X86_VPBLENDMQZ256rrk	= 6101,
+    X86_VPBLENDMQZ256rrkz	= 6102,
+    X86_VPBLENDMQZrm	= 6103,
+    X86_VPBLENDMQZrmb	= 6104,
+    X86_VPBLENDMQZrmbk	= 6105,
+    X86_VPBLENDMQZrmk	= 6106,
+    X86_VPBLENDMQZrmkz	= 6107,
+    X86_VPBLENDMQZrr	= 6108,
+    X86_VPBLENDMQZrrk	= 6109,
+    X86_VPBLENDMQZrrkz	= 6110,
+    X86_VPBLENDMWZ128rm	= 6111,
+    X86_VPBLENDMWZ128rmk	= 6112,
+    X86_VPBLENDMWZ128rmkz	= 6113,
+    X86_VPBLENDMWZ128rr	= 6114,
+    X86_VPBLENDMWZ128rrk	= 6115,
+    X86_VPBLENDMWZ128rrkz	= 6116,
+    X86_VPBLENDMWZ256rm	= 6117,
+    X86_VPBLENDMWZ256rmk	= 6118,
+    X86_VPBLENDMWZ256rmkz	= 6119,
+    X86_VPBLENDMWZ256rr	= 6120,
+    X86_VPBLENDMWZ256rrk	= 6121,
+    X86_VPBLENDMWZ256rrkz	= 6122,
+    X86_VPBLENDMWZrm	= 6123,
+    X86_VPBLENDMWZrmk	= 6124,
+    X86_VPBLENDMWZrmkz	= 6125,
+    X86_VPBLENDMWZrr	= 6126,
+    X86_VPBLENDMWZrrk	= 6127,
+    X86_VPBLENDMWZrrkz	= 6128,
+    X86_VPBLENDVBYrm	= 6129,
+    X86_VPBLENDVBYrr	= 6130,
+    X86_VPBLENDVBrm	= 6131,
+    X86_VPBLENDVBrr	= 6132,
+    X86_VPBLENDWYrmi	= 6133,
+    X86_VPBLENDWYrri	= 6134,
+    X86_VPBLENDWrmi	= 6135,
+    X86_VPBLENDWrri	= 6136,
+    X86_VPBROADCASTBYrm	= 6137,
+    X86_VPBROADCASTBYrr	= 6138,
+    X86_VPBROADCASTBrZ128r	= 6139,
+    X86_VPBROADCASTBrZ128rk	= 6140,
+    X86_VPBROADCASTBrZ128rkz	= 6141,
+    X86_VPBROADCASTBrZ256r	= 6142,
+    X86_VPBROADCASTBrZ256rk	= 6143,
+    X86_VPBROADCASTBrZ256rkz	= 6144,
+    X86_VPBROADCASTBrZr	= 6145,
+    X86_VPBROADCASTBrZrk	= 6146,
+    X86_VPBROADCASTBrZrkz	= 6147,
+    X86_VPBROADCASTBrm	= 6148,
+    X86_VPBROADCASTBrr	= 6149,
+    X86_VPBROADCASTDYrm	= 6150,
+    X86_VPBROADCASTDYrr	= 6151,
+    X86_VPBROADCASTDZkrm	= 6152,
+    X86_VPBROADCASTDZkrr	= 6153,
+    X86_VPBROADCASTDZrm	= 6154,
+    X86_VPBROADCASTDZrr	= 6155,
+    X86_VPBROADCASTDrZ128r	= 6156,
+    X86_VPBROADCASTDrZ128rk	= 6157,
+    X86_VPBROADCASTDrZ128rkz	= 6158,
+    X86_VPBROADCASTDrZ256r	= 6159,
+    X86_VPBROADCASTDrZ256rk	= 6160,
+    X86_VPBROADCASTDrZ256rkz	= 6161,
+    X86_VPBROADCASTDrZr	= 6162,
+    X86_VPBROADCASTDrZrk	= 6163,
+    X86_VPBROADCASTDrZrkz	= 6164,
+    X86_VPBROADCASTDrm	= 6165,
+    X86_VPBROADCASTDrr	= 6166,
+    X86_VPBROADCASTMB2QZ128rr	= 6167,
+    X86_VPBROADCASTMB2QZ256rr	= 6168,
+    X86_VPBROADCASTMB2QZrr	= 6169,
+    X86_VPBROADCASTMW2DZ128rr	= 6170,
+    X86_VPBROADCASTMW2DZ256rr	= 6171,
+    X86_VPBROADCASTMW2DZrr	= 6172,
+    X86_VPBROADCASTQYrm	= 6173,
+    X86_VPBROADCASTQYrr	= 6174,
+    X86_VPBROADCASTQZkrm	= 6175,
+    X86_VPBROADCASTQZkrr	= 6176,
+    X86_VPBROADCASTQZrm	= 6177,
+    X86_VPBROADCASTQZrr	= 6178,
+    X86_VPBROADCASTQrZ128r	= 6179,
+    X86_VPBROADCASTQrZ128rk	= 6180,
+    X86_VPBROADCASTQrZ128rkz	= 6181,
+    X86_VPBROADCASTQrZ256r	= 6182,
+    X86_VPBROADCASTQrZ256rk	= 6183,
+    X86_VPBROADCASTQrZ256rkz	= 6184,
+    X86_VPBROADCASTQrZr	= 6185,
+    X86_VPBROADCASTQrZrk	= 6186,
+    X86_VPBROADCASTQrZrkz	= 6187,
+    X86_VPBROADCASTQrm	= 6188,
+    X86_VPBROADCASTQrr	= 6189,
+    X86_VPBROADCASTWYrm	= 6190,
+    X86_VPBROADCASTWYrr	= 6191,
+    X86_VPBROADCASTWrZ128r	= 6192,
+    X86_VPBROADCASTWrZ128rk	= 6193,
+    X86_VPBROADCASTWrZ128rkz	= 6194,
+    X86_VPBROADCASTWrZ256r	= 6195,
+    X86_VPBROADCASTWrZ256rk	= 6196,
+    X86_VPBROADCASTWrZ256rkz	= 6197,
+    X86_VPBROADCASTWrZr	= 6198,
+    X86_VPBROADCASTWrZrk	= 6199,
+    X86_VPBROADCASTWrZrkz	= 6200,
+    X86_VPBROADCASTWrm	= 6201,
+    X86_VPBROADCASTWrr	= 6202,
+    X86_VPCLMULQDQrm	= 6203,
+    X86_VPCLMULQDQrr	= 6204,
+    X86_VPCMOVmr	= 6205,
+    X86_VPCMOVmrY	= 6206,
+    X86_VPCMOVrm	= 6207,
+    X86_VPCMOVrmY	= 6208,
+    X86_VPCMOVrr	= 6209,
+    X86_VPCMOVrrY	= 6210,
+    X86_VPCMPBZ128rmi	= 6211,
+    X86_VPCMPBZ128rmi_alt	= 6212,
+    X86_VPCMPBZ128rmik	= 6213,
+    X86_VPCMPBZ128rmik_alt	= 6214,
+    X86_VPCMPBZ128rri	= 6215,
+    X86_VPCMPBZ128rri_alt	= 6216,
+    X86_VPCMPBZ128rrik	= 6217,
+    X86_VPCMPBZ128rrik_alt	= 6218,
+    X86_VPCMPBZ256rmi	= 6219,
+    X86_VPCMPBZ256rmi_alt	= 6220,
+    X86_VPCMPBZ256rmik	= 6221,
+    X86_VPCMPBZ256rmik_alt	= 6222,
+    X86_VPCMPBZ256rri	= 6223,
+    X86_VPCMPBZ256rri_alt	= 6224,
+    X86_VPCMPBZ256rrik	= 6225,
+    X86_VPCMPBZ256rrik_alt	= 6226,
+    X86_VPCMPBZrmi	= 6227,
+    X86_VPCMPBZrmi_alt	= 6228,
+    X86_VPCMPBZrmik	= 6229,
+    X86_VPCMPBZrmik_alt	= 6230,
+    X86_VPCMPBZrri	= 6231,
+    X86_VPCMPBZrri_alt	= 6232,
+    X86_VPCMPBZrrik	= 6233,
+    X86_VPCMPBZrrik_alt	= 6234,
+    X86_VPCMPDZ128rmi	= 6235,
+    X86_VPCMPDZ128rmi_alt	= 6236,
+    X86_VPCMPDZ128rmib	= 6237,
+    X86_VPCMPDZ128rmib_alt	= 6238,
+    X86_VPCMPDZ128rmibk	= 6239,
+    X86_VPCMPDZ128rmibk_alt	= 6240,
+    X86_VPCMPDZ128rmik	= 6241,
+    X86_VPCMPDZ128rmik_alt	= 6242,
+    X86_VPCMPDZ128rri	= 6243,
+    X86_VPCMPDZ128rri_alt	= 6244,
+    X86_VPCMPDZ128rrik	= 6245,
+    X86_VPCMPDZ128rrik_alt	= 6246,
+    X86_VPCMPDZ256rmi	= 6247,
+    X86_VPCMPDZ256rmi_alt	= 6248,
+    X86_VPCMPDZ256rmib	= 6249,
+    X86_VPCMPDZ256rmib_alt	= 6250,
+    X86_VPCMPDZ256rmibk	= 6251,
+    X86_VPCMPDZ256rmibk_alt	= 6252,
+    X86_VPCMPDZ256rmik	= 6253,
+    X86_VPCMPDZ256rmik_alt	= 6254,
+    X86_VPCMPDZ256rri	= 6255,
+    X86_VPCMPDZ256rri_alt	= 6256,
+    X86_VPCMPDZ256rrik	= 6257,
+    X86_VPCMPDZ256rrik_alt	= 6258,
+    X86_VPCMPDZrmi	= 6259,
+    X86_VPCMPDZrmi_alt	= 6260,
+    X86_VPCMPDZrmib	= 6261,
+    X86_VPCMPDZrmib_alt	= 6262,
+    X86_VPCMPDZrmibk	= 6263,
+    X86_VPCMPDZrmibk_alt	= 6264,
+    X86_VPCMPDZrmik	= 6265,
+    X86_VPCMPDZrmik_alt	= 6266,
+    X86_VPCMPDZrri	= 6267,
+    X86_VPCMPDZrri_alt	= 6268,
+    X86_VPCMPDZrrik	= 6269,
+    X86_VPCMPDZrrik_alt	= 6270,
+    X86_VPCMPEQBYrm	= 6271,
+    X86_VPCMPEQBYrr	= 6272,
+    X86_VPCMPEQBZ128rm	= 6273,
+    X86_VPCMPEQBZ128rmk	= 6274,
+    X86_VPCMPEQBZ128rr	= 6275,
+    X86_VPCMPEQBZ128rrk	= 6276,
+    X86_VPCMPEQBZ256rm	= 6277,
+    X86_VPCMPEQBZ256rmk	= 6278,
+    X86_VPCMPEQBZ256rr	= 6279,
+    X86_VPCMPEQBZ256rrk	= 6280,
+    X86_VPCMPEQBZrm	= 6281,
+    X86_VPCMPEQBZrmk	= 6282,
+    X86_VPCMPEQBZrr	= 6283,
+    X86_VPCMPEQBZrrk	= 6284,
+    X86_VPCMPEQBrm	= 6285,
+    X86_VPCMPEQBrr	= 6286,
+    X86_VPCMPEQDYrm	= 6287,
+    X86_VPCMPEQDYrr	= 6288,
+    X86_VPCMPEQDZ128rm	= 6289,
+    X86_VPCMPEQDZ128rmb	= 6290,
+    X86_VPCMPEQDZ128rmbk	= 6291,
+    X86_VPCMPEQDZ128rmk	= 6292,
+    X86_VPCMPEQDZ128rr	= 6293,
+    X86_VPCMPEQDZ128rrk	= 6294,
+    X86_VPCMPEQDZ256rm	= 6295,
+    X86_VPCMPEQDZ256rmb	= 6296,
+    X86_VPCMPEQDZ256rmbk	= 6297,
+    X86_VPCMPEQDZ256rmk	= 6298,
+    X86_VPCMPEQDZ256rr	= 6299,
+    X86_VPCMPEQDZ256rrk	= 6300,
+    X86_VPCMPEQDZrm	= 6301,
+    X86_VPCMPEQDZrmb	= 6302,
+    X86_VPCMPEQDZrmbk	= 6303,
+    X86_VPCMPEQDZrmk	= 6304,
+    X86_VPCMPEQDZrr	= 6305,
+    X86_VPCMPEQDZrrk	= 6306,
+    X86_VPCMPEQDrm	= 6307,
+    X86_VPCMPEQDrr	= 6308,
+    X86_VPCMPEQQYrm	= 6309,
+    X86_VPCMPEQQYrr	= 6310,
+    X86_VPCMPEQQZ128rm	= 6311,
+    X86_VPCMPEQQZ128rmb	= 6312,
+    X86_VPCMPEQQZ128rmbk	= 6313,
+    X86_VPCMPEQQZ128rmk	= 6314,
+    X86_VPCMPEQQZ128rr	= 6315,
+    X86_VPCMPEQQZ128rrk	= 6316,
+    X86_VPCMPEQQZ256rm	= 6317,
+    X86_VPCMPEQQZ256rmb	= 6318,
+    X86_VPCMPEQQZ256rmbk	= 6319,
+    X86_VPCMPEQQZ256rmk	= 6320,
+    X86_VPCMPEQQZ256rr	= 6321,
+    X86_VPCMPEQQZ256rrk	= 6322,
+    X86_VPCMPEQQZrm	= 6323,
+    X86_VPCMPEQQZrmb	= 6324,
+    X86_VPCMPEQQZrmbk	= 6325,
+    X86_VPCMPEQQZrmk	= 6326,
+    X86_VPCMPEQQZrr	= 6327,
+    X86_VPCMPEQQZrrk	= 6328,
+    X86_VPCMPEQQrm	= 6329,
+    X86_VPCMPEQQrr	= 6330,
+    X86_VPCMPEQWYrm	= 6331,
+    X86_VPCMPEQWYrr	= 6332,
+    X86_VPCMPEQWZ128rm	= 6333,
+    X86_VPCMPEQWZ128rmk	= 6334,
+    X86_VPCMPEQWZ128rr	= 6335,
+    X86_VPCMPEQWZ128rrk	= 6336,
+    X86_VPCMPEQWZ256rm	= 6337,
+    X86_VPCMPEQWZ256rmk	= 6338,
+    X86_VPCMPEQWZ256rr	= 6339,
+    X86_VPCMPEQWZ256rrk	= 6340,
+    X86_VPCMPEQWZrm	= 6341,
+    X86_VPCMPEQWZrmk	= 6342,
+    X86_VPCMPEQWZrr	= 6343,
+    X86_VPCMPEQWZrrk	= 6344,
+    X86_VPCMPEQWrm	= 6345,
+    X86_VPCMPEQWrr	= 6346,
+    X86_VPCMPESTRIMEM	= 6347,
+    X86_VPCMPESTRIREG	= 6348,
+    X86_VPCMPESTRIrm	= 6349,
+    X86_VPCMPESTRIrr	= 6350,
+    X86_VPCMPESTRM128MEM	= 6351,
+    X86_VPCMPESTRM128REG	= 6352,
+    X86_VPCMPESTRM128rm	= 6353,
+    X86_VPCMPESTRM128rr	= 6354,
+    X86_VPCMPGTBYrm	= 6355,
+    X86_VPCMPGTBYrr	= 6356,
+    X86_VPCMPGTBZ128rm	= 6357,
+    X86_VPCMPGTBZ128rmk	= 6358,
+    X86_VPCMPGTBZ128rr	= 6359,
+    X86_VPCMPGTBZ128rrk	= 6360,
+    X86_VPCMPGTBZ256rm	= 6361,
+    X86_VPCMPGTBZ256rmk	= 6362,
+    X86_VPCMPGTBZ256rr	= 6363,
+    X86_VPCMPGTBZ256rrk	= 6364,
+    X86_VPCMPGTBZrm	= 6365,
+    X86_VPCMPGTBZrmk	= 6366,
+    X86_VPCMPGTBZrr	= 6367,
+    X86_VPCMPGTBZrrk	= 6368,
+    X86_VPCMPGTBrm	= 6369,
+    X86_VPCMPGTBrr	= 6370,
+    X86_VPCMPGTDYrm	= 6371,
+    X86_VPCMPGTDYrr	= 6372,
+    X86_VPCMPGTDZ128rm	= 6373,
+    X86_VPCMPGTDZ128rmb	= 6374,
+    X86_VPCMPGTDZ128rmbk	= 6375,
+    X86_VPCMPGTDZ128rmk	= 6376,
+    X86_VPCMPGTDZ128rr	= 6377,
+    X86_VPCMPGTDZ128rrk	= 6378,
+    X86_VPCMPGTDZ256rm	= 6379,
+    X86_VPCMPGTDZ256rmb	= 6380,
+    X86_VPCMPGTDZ256rmbk	= 6381,
+    X86_VPCMPGTDZ256rmk	= 6382,
+    X86_VPCMPGTDZ256rr	= 6383,
+    X86_VPCMPGTDZ256rrk	= 6384,
+    X86_VPCMPGTDZrm	= 6385,
+    X86_VPCMPGTDZrmb	= 6386,
+    X86_VPCMPGTDZrmbk	= 6387,
+    X86_VPCMPGTDZrmk	= 6388,
+    X86_VPCMPGTDZrr	= 6389,
+    X86_VPCMPGTDZrrk	= 6390,
+    X86_VPCMPGTDrm	= 6391,
+    X86_VPCMPGTDrr	= 6392,
+    X86_VPCMPGTQYrm	= 6393,
+    X86_VPCMPGTQYrr	= 6394,
+    X86_VPCMPGTQZ128rm	= 6395,
+    X86_VPCMPGTQZ128rmb	= 6396,
+    X86_VPCMPGTQZ128rmbk	= 6397,
+    X86_VPCMPGTQZ128rmk	= 6398,
+    X86_VPCMPGTQZ128rr	= 6399,
+    X86_VPCMPGTQZ128rrk	= 6400,
+    X86_VPCMPGTQZ256rm	= 6401,
+    X86_VPCMPGTQZ256rmb	= 6402,
+    X86_VPCMPGTQZ256rmbk	= 6403,
+    X86_VPCMPGTQZ256rmk	= 6404,
+    X86_VPCMPGTQZ256rr	= 6405,
+    X86_VPCMPGTQZ256rrk	= 6406,
+    X86_VPCMPGTQZrm	= 6407,
+    X86_VPCMPGTQZrmb	= 6408,
+    X86_VPCMPGTQZrmbk	= 6409,
+    X86_VPCMPGTQZrmk	= 6410,
+    X86_VPCMPGTQZrr	= 6411,
+    X86_VPCMPGTQZrrk	= 6412,
+    X86_VPCMPGTQrm	= 6413,
+    X86_VPCMPGTQrr	= 6414,
+    X86_VPCMPGTWYrm	= 6415,
+    X86_VPCMPGTWYrr	= 6416,
+    X86_VPCMPGTWZ128rm	= 6417,
+    X86_VPCMPGTWZ128rmk	= 6418,
+    X86_VPCMPGTWZ128rr	= 6419,
+    X86_VPCMPGTWZ128rrk	= 6420,
+    X86_VPCMPGTWZ256rm	= 6421,
+    X86_VPCMPGTWZ256rmk	= 6422,
+    X86_VPCMPGTWZ256rr	= 6423,
+    X86_VPCMPGTWZ256rrk	= 6424,
+    X86_VPCMPGTWZrm	= 6425,
+    X86_VPCMPGTWZrmk	= 6426,
+    X86_VPCMPGTWZrr	= 6427,
+    X86_VPCMPGTWZrrk	= 6428,
+    X86_VPCMPGTWrm	= 6429,
+    X86_VPCMPGTWrr	= 6430,
+    X86_VPCMPISTRIMEM	= 6431,
+    X86_VPCMPISTRIREG	= 6432,
+    X86_VPCMPISTRIrm	= 6433,
+    X86_VPCMPISTRIrr	= 6434,
+    X86_VPCMPISTRM128MEM	= 6435,
+    X86_VPCMPISTRM128REG	= 6436,
+    X86_VPCMPISTRM128rm	= 6437,
+    X86_VPCMPISTRM128rr	= 6438,
+    X86_VPCMPQZ128rmi	= 6439,
+    X86_VPCMPQZ128rmi_alt	= 6440,
+    X86_VPCMPQZ128rmib	= 6441,
+    X86_VPCMPQZ128rmib_alt	= 6442,
+    X86_VPCMPQZ128rmibk	= 6443,
+    X86_VPCMPQZ128rmibk_alt	= 6444,
+    X86_VPCMPQZ128rmik	= 6445,
+    X86_VPCMPQZ128rmik_alt	= 6446,
+    X86_VPCMPQZ128rri	= 6447,
+    X86_VPCMPQZ128rri_alt	= 6448,
+    X86_VPCMPQZ128rrik	= 6449,
+    X86_VPCMPQZ128rrik_alt	= 6450,
+    X86_VPCMPQZ256rmi	= 6451,
+    X86_VPCMPQZ256rmi_alt	= 6452,
+    X86_VPCMPQZ256rmib	= 6453,
+    X86_VPCMPQZ256rmib_alt	= 6454,
+    X86_VPCMPQZ256rmibk	= 6455,
+    X86_VPCMPQZ256rmibk_alt	= 6456,
+    X86_VPCMPQZ256rmik	= 6457,
+    X86_VPCMPQZ256rmik_alt	= 6458,
+    X86_VPCMPQZ256rri	= 6459,
+    X86_VPCMPQZ256rri_alt	= 6460,
+    X86_VPCMPQZ256rrik	= 6461,
+    X86_VPCMPQZ256rrik_alt	= 6462,
+    X86_VPCMPQZrmi	= 6463,
+    X86_VPCMPQZrmi_alt	= 6464,
+    X86_VPCMPQZrmib	= 6465,
+    X86_VPCMPQZrmib_alt	= 6466,
+    X86_VPCMPQZrmibk	= 6467,
+    X86_VPCMPQZrmibk_alt	= 6468,
+    X86_VPCMPQZrmik	= 6469,
+    X86_VPCMPQZrmik_alt	= 6470,
+    X86_VPCMPQZrri	= 6471,
+    X86_VPCMPQZrri_alt	= 6472,
+    X86_VPCMPQZrrik	= 6473,
+    X86_VPCMPQZrrik_alt	= 6474,
+    X86_VPCMPUBZ128rmi	= 6475,
+    X86_VPCMPUBZ128rmi_alt	= 6476,
+    X86_VPCMPUBZ128rmik	= 6477,
+    X86_VPCMPUBZ128rmik_alt	= 6478,
+    X86_VPCMPUBZ128rri	= 6479,
+    X86_VPCMPUBZ128rri_alt	= 6480,
+    X86_VPCMPUBZ128rrik	= 6481,
+    X86_VPCMPUBZ128rrik_alt	= 6482,
+    X86_VPCMPUBZ256rmi	= 6483,
+    X86_VPCMPUBZ256rmi_alt	= 6484,
+    X86_VPCMPUBZ256rmik	= 6485,
+    X86_VPCMPUBZ256rmik_alt	= 6486,
+    X86_VPCMPUBZ256rri	= 6487,
+    X86_VPCMPUBZ256rri_alt	= 6488,
+    X86_VPCMPUBZ256rrik	= 6489,
+    X86_VPCMPUBZ256rrik_alt	= 6490,
+    X86_VPCMPUBZrmi	= 6491,
+    X86_VPCMPUBZrmi_alt	= 6492,
+    X86_VPCMPUBZrmik	= 6493,
+    X86_VPCMPUBZrmik_alt	= 6494,
+    X86_VPCMPUBZrri	= 6495,
+    X86_VPCMPUBZrri_alt	= 6496,
+    X86_VPCMPUBZrrik	= 6497,
+    X86_VPCMPUBZrrik_alt	= 6498,
+    X86_VPCMPUDZ128rmi	= 6499,
+    X86_VPCMPUDZ128rmi_alt	= 6500,
+    X86_VPCMPUDZ128rmib	= 6501,
+    X86_VPCMPUDZ128rmib_alt	= 6502,
+    X86_VPCMPUDZ128rmibk	= 6503,
+    X86_VPCMPUDZ128rmibk_alt	= 6504,
+    X86_VPCMPUDZ128rmik	= 6505,
+    X86_VPCMPUDZ128rmik_alt	= 6506,
+    X86_VPCMPUDZ128rri	= 6507,
+    X86_VPCMPUDZ128rri_alt	= 6508,
+    X86_VPCMPUDZ128rrik	= 6509,
+    X86_VPCMPUDZ128rrik_alt	= 6510,
+    X86_VPCMPUDZ256rmi	= 6511,
+    X86_VPCMPUDZ256rmi_alt	= 6512,
+    X86_VPCMPUDZ256rmib	= 6513,
+    X86_VPCMPUDZ256rmib_alt	= 6514,
+    X86_VPCMPUDZ256rmibk	= 6515,
+    X86_VPCMPUDZ256rmibk_alt	= 6516,
+    X86_VPCMPUDZ256rmik	= 6517,
+    X86_VPCMPUDZ256rmik_alt	= 6518,
+    X86_VPCMPUDZ256rri	= 6519,
+    X86_VPCMPUDZ256rri_alt	= 6520,
+    X86_VPCMPUDZ256rrik	= 6521,
+    X86_VPCMPUDZ256rrik_alt	= 6522,
+    X86_VPCMPUDZrmi	= 6523,
+    X86_VPCMPUDZrmi_alt	= 6524,
+    X86_VPCMPUDZrmib	= 6525,
+    X86_VPCMPUDZrmib_alt	= 6526,
+    X86_VPCMPUDZrmibk	= 6527,
+    X86_VPCMPUDZrmibk_alt	= 6528,
+    X86_VPCMPUDZrmik	= 6529,
+    X86_VPCMPUDZrmik_alt	= 6530,
+    X86_VPCMPUDZrri	= 6531,
+    X86_VPCMPUDZrri_alt	= 6532,
+    X86_VPCMPUDZrrik	= 6533,
+    X86_VPCMPUDZrrik_alt	= 6534,
+    X86_VPCMPUQZ128rmi	= 6535,
+    X86_VPCMPUQZ128rmi_alt	= 6536,
+    X86_VPCMPUQZ128rmib	= 6537,
+    X86_VPCMPUQZ128rmib_alt	= 6538,
+    X86_VPCMPUQZ128rmibk	= 6539,
+    X86_VPCMPUQZ128rmibk_alt	= 6540,
+    X86_VPCMPUQZ128rmik	= 6541,
+    X86_VPCMPUQZ128rmik_alt	= 6542,
+    X86_VPCMPUQZ128rri	= 6543,
+    X86_VPCMPUQZ128rri_alt	= 6544,
+    X86_VPCMPUQZ128rrik	= 6545,
+    X86_VPCMPUQZ128rrik_alt	= 6546,
+    X86_VPCMPUQZ256rmi	= 6547,
+    X86_VPCMPUQZ256rmi_alt	= 6548,
+    X86_VPCMPUQZ256rmib	= 6549,
+    X86_VPCMPUQZ256rmib_alt	= 6550,
+    X86_VPCMPUQZ256rmibk	= 6551,
+    X86_VPCMPUQZ256rmibk_alt	= 6552,
+    X86_VPCMPUQZ256rmik	= 6553,
+    X86_VPCMPUQZ256rmik_alt	= 6554,
+    X86_VPCMPUQZ256rri	= 6555,
+    X86_VPCMPUQZ256rri_alt	= 6556,
+    X86_VPCMPUQZ256rrik	= 6557,
+    X86_VPCMPUQZ256rrik_alt	= 6558,
+    X86_VPCMPUQZrmi	= 6559,
+    X86_VPCMPUQZrmi_alt	= 6560,
+    X86_VPCMPUQZrmib	= 6561,
+    X86_VPCMPUQZrmib_alt	= 6562,
+    X86_VPCMPUQZrmibk	= 6563,
+    X86_VPCMPUQZrmibk_alt	= 6564,
+    X86_VPCMPUQZrmik	= 6565,
+    X86_VPCMPUQZrmik_alt	= 6566,
+    X86_VPCMPUQZrri	= 6567,
+    X86_VPCMPUQZrri_alt	= 6568,
+    X86_VPCMPUQZrrik	= 6569,
+    X86_VPCMPUQZrrik_alt	= 6570,
+    X86_VPCMPUWZ128rmi	= 6571,
+    X86_VPCMPUWZ128rmi_alt	= 6572,
+    X86_VPCMPUWZ128rmik	= 6573,
+    X86_VPCMPUWZ128rmik_alt	= 6574,
+    X86_VPCMPUWZ128rri	= 6575,
+    X86_VPCMPUWZ128rri_alt	= 6576,
+    X86_VPCMPUWZ128rrik	= 6577,
+    X86_VPCMPUWZ128rrik_alt	= 6578,
+    X86_VPCMPUWZ256rmi	= 6579,
+    X86_VPCMPUWZ256rmi_alt	= 6580,
+    X86_VPCMPUWZ256rmik	= 6581,
+    X86_VPCMPUWZ256rmik_alt	= 6582,
+    X86_VPCMPUWZ256rri	= 6583,
+    X86_VPCMPUWZ256rri_alt	= 6584,
+    X86_VPCMPUWZ256rrik	= 6585,
+    X86_VPCMPUWZ256rrik_alt	= 6586,
+    X86_VPCMPUWZrmi	= 6587,
+    X86_VPCMPUWZrmi_alt	= 6588,
+    X86_VPCMPUWZrmik	= 6589,
+    X86_VPCMPUWZrmik_alt	= 6590,
+    X86_VPCMPUWZrri	= 6591,
+    X86_VPCMPUWZrri_alt	= 6592,
+    X86_VPCMPUWZrrik	= 6593,
+    X86_VPCMPUWZrrik_alt	= 6594,
+    X86_VPCMPWZ128rmi	= 6595,
+    X86_VPCMPWZ128rmi_alt	= 6596,
+    X86_VPCMPWZ128rmik	= 6597,
+    X86_VPCMPWZ128rmik_alt	= 6598,
+    X86_VPCMPWZ128rri	= 6599,
+    X86_VPCMPWZ128rri_alt	= 6600,
+    X86_VPCMPWZ128rrik	= 6601,
+    X86_VPCMPWZ128rrik_alt	= 6602,
+    X86_VPCMPWZ256rmi	= 6603,
+    X86_VPCMPWZ256rmi_alt	= 6604,
+    X86_VPCMPWZ256rmik	= 6605,
+    X86_VPCMPWZ256rmik_alt	= 6606,
+    X86_VPCMPWZ256rri	= 6607,
+    X86_VPCMPWZ256rri_alt	= 6608,
+    X86_VPCMPWZ256rrik	= 6609,
+    X86_VPCMPWZ256rrik_alt	= 6610,
+    X86_VPCMPWZrmi	= 6611,
+    X86_VPCMPWZrmi_alt	= 6612,
+    X86_VPCMPWZrmik	= 6613,
+    X86_VPCMPWZrmik_alt	= 6614,
+    X86_VPCMPWZrri	= 6615,
+    X86_VPCMPWZrri_alt	= 6616,
+    X86_VPCMPWZrrik	= 6617,
+    X86_VPCMPWZrrik_alt	= 6618,
+    X86_VPCOMBmi	= 6619,
+    X86_VPCOMBmi_alt	= 6620,
+    X86_VPCOMBri	= 6621,
+    X86_VPCOMBri_alt	= 6622,
+    X86_VPCOMDmi	= 6623,
+    X86_VPCOMDmi_alt	= 6624,
+    X86_VPCOMDri	= 6625,
+    X86_VPCOMDri_alt	= 6626,
+    X86_VPCOMPRESSDZ128mrk	= 6627,
+    X86_VPCOMPRESSDZ128rrk	= 6628,
+    X86_VPCOMPRESSDZ128rrkz	= 6629,
+    X86_VPCOMPRESSDZ256mrk	= 6630,
+    X86_VPCOMPRESSDZ256rrk	= 6631,
+    X86_VPCOMPRESSDZ256rrkz	= 6632,
+    X86_VPCOMPRESSDZmrk	= 6633,
+    X86_VPCOMPRESSDZrrk	= 6634,
+    X86_VPCOMPRESSDZrrkz	= 6635,
+    X86_VPCOMPRESSQZ128mrk	= 6636,
+    X86_VPCOMPRESSQZ128rrk	= 6637,
+    X86_VPCOMPRESSQZ128rrkz	= 6638,
+    X86_VPCOMPRESSQZ256mrk	= 6639,
+    X86_VPCOMPRESSQZ256rrk	= 6640,
+    X86_VPCOMPRESSQZ256rrkz	= 6641,
+    X86_VPCOMPRESSQZmrk	= 6642,
+    X86_VPCOMPRESSQZrrk	= 6643,
+    X86_VPCOMPRESSQZrrkz	= 6644,
+    X86_VPCOMQmi	= 6645,
+    X86_VPCOMQmi_alt	= 6646,
+    X86_VPCOMQri	= 6647,
+    X86_VPCOMQri_alt	= 6648,
+    X86_VPCOMUBmi	= 6649,
+    X86_VPCOMUBmi_alt	= 6650,
+    X86_VPCOMUBri	= 6651,
+    X86_VPCOMUBri_alt	= 6652,
+    X86_VPCOMUDmi	= 6653,
+    X86_VPCOMUDmi_alt	= 6654,
+    X86_VPCOMUDri	= 6655,
+    X86_VPCOMUDri_alt	= 6656,
+    X86_VPCOMUQmi	= 6657,
+    X86_VPCOMUQmi_alt	= 6658,
+    X86_VPCOMUQri	= 6659,
+    X86_VPCOMUQri_alt	= 6660,
+    X86_VPCOMUWmi	= 6661,
+    X86_VPCOMUWmi_alt	= 6662,
+    X86_VPCOMUWri	= 6663,
+    X86_VPCOMUWri_alt	= 6664,
+    X86_VPCOMWmi	= 6665,
+    X86_VPCOMWmi_alt	= 6666,
+    X86_VPCOMWri	= 6667,
+    X86_VPCOMWri_alt	= 6668,
+    X86_VPCONFLICTDrm	= 6669,
+    X86_VPCONFLICTDrmb	= 6670,
+    X86_VPCONFLICTDrmbk	= 6671,
+    X86_VPCONFLICTDrmbkz	= 6672,
+    X86_VPCONFLICTDrmk	= 6673,
+    X86_VPCONFLICTDrmkz	= 6674,
+    X86_VPCONFLICTDrr	= 6675,
+    X86_VPCONFLICTDrrk	= 6676,
+    X86_VPCONFLICTDrrkz	= 6677,
+    X86_VPCONFLICTQrm	= 6678,
+    X86_VPCONFLICTQrmb	= 6679,
+    X86_VPCONFLICTQrmbk	= 6680,
+    X86_VPCONFLICTQrmbkz	= 6681,
+    X86_VPCONFLICTQrmk	= 6682,
+    X86_VPCONFLICTQrmkz	= 6683,
+    X86_VPCONFLICTQrr	= 6684,
+    X86_VPCONFLICTQrrk	= 6685,
+    X86_VPCONFLICTQrrkz	= 6686,
+    X86_VPERM2F128rm	= 6687,
+    X86_VPERM2F128rr	= 6688,
+    X86_VPERM2I128rm	= 6689,
+    X86_VPERM2I128rr	= 6690,
+    X86_VPERMDYrm	= 6691,
+    X86_VPERMDYrr	= 6692,
+    X86_VPERMDZrm	= 6693,
+    X86_VPERMDZrr	= 6694,
+    X86_VPERMI2Drm	= 6695,
+    X86_VPERMI2Drmk	= 6696,
+    X86_VPERMI2Drmkz	= 6697,
+    X86_VPERMI2Drr	= 6698,
+    X86_VPERMI2Drrk	= 6699,
+    X86_VPERMI2Drrkz	= 6700,
+    X86_VPERMI2PDrm	= 6701,
+    X86_VPERMI2PDrmk	= 6702,
+    X86_VPERMI2PDrmkz	= 6703,
+    X86_VPERMI2PDrr	= 6704,
+    X86_VPERMI2PDrrk	= 6705,
+    X86_VPERMI2PDrrkz	= 6706,
+    X86_VPERMI2PSrm	= 6707,
+    X86_VPERMI2PSrmk	= 6708,
+    X86_VPERMI2PSrmkz	= 6709,
+    X86_VPERMI2PSrr	= 6710,
+    X86_VPERMI2PSrrk	= 6711,
+    X86_VPERMI2PSrrkz	= 6712,
+    X86_VPERMI2Qrm	= 6713,
+    X86_VPERMI2Qrmk	= 6714,
+    X86_VPERMI2Qrmkz	= 6715,
+    X86_VPERMI2Qrr	= 6716,
+    X86_VPERMI2Qrrk	= 6717,
+    X86_VPERMI2Qrrkz	= 6718,
+    X86_VPERMIL2PDmr	= 6719,
+    X86_VPERMIL2PDmrY	= 6720,
+    X86_VPERMIL2PDrm	= 6721,
+    X86_VPERMIL2PDrmY	= 6722,
+    X86_VPERMIL2PDrr	= 6723,
+    X86_VPERMIL2PDrrY	= 6724,
+    X86_VPERMIL2PSmr	= 6725,
+    X86_VPERMIL2PSmrY	= 6726,
+    X86_VPERMIL2PSrm	= 6727,
+    X86_VPERMIL2PSrmY	= 6728,
+    X86_VPERMIL2PSrr	= 6729,
+    X86_VPERMIL2PSrrY	= 6730,
+    X86_VPERMILPDYmi	= 6731,
+    X86_VPERMILPDYri	= 6732,
+    X86_VPERMILPDYrm	= 6733,
+    X86_VPERMILPDYrr	= 6734,
+    X86_VPERMILPDZmi	= 6735,
+    X86_VPERMILPDZri	= 6736,
+    X86_VPERMILPDZrm	= 6737,
+    X86_VPERMILPDZrr	= 6738,
+    X86_VPERMILPDmi	= 6739,
+    X86_VPERMILPDri	= 6740,
+    X86_VPERMILPDrm	= 6741,
+    X86_VPERMILPDrr	= 6742,
+    X86_VPERMILPSYmi	= 6743,
+    X86_VPERMILPSYri	= 6744,
+    X86_VPERMILPSYrm	= 6745,
+    X86_VPERMILPSYrr	= 6746,
+    X86_VPERMILPSZmi	= 6747,
+    X86_VPERMILPSZri	= 6748,
+    X86_VPERMILPSZrm	= 6749,
+    X86_VPERMILPSZrr	= 6750,
+    X86_VPERMILPSmi	= 6751,
+    X86_VPERMILPSri	= 6752,
+    X86_VPERMILPSrm	= 6753,
+    X86_VPERMILPSrr	= 6754,
+    X86_VPERMPDYmi	= 6755,
+    X86_VPERMPDYri	= 6756,
+    X86_VPERMPDZmi	= 6757,
+    X86_VPERMPDZri	= 6758,
+    X86_VPERMPDZrm	= 6759,
+    X86_VPERMPDZrr	= 6760,
+    X86_VPERMPSYrm	= 6761,
+    X86_VPERMPSYrr	= 6762,
+    X86_VPERMPSZrm	= 6763,
+    X86_VPERMPSZrr	= 6764,
+    X86_VPERMQYmi	= 6765,
+    X86_VPERMQYri	= 6766,
+    X86_VPERMQZmi	= 6767,
+    X86_VPERMQZri	= 6768,
+    X86_VPERMQZrm	= 6769,
+    X86_VPERMQZrr	= 6770,
+    X86_VPERMT2Drm	= 6771,
+    X86_VPERMT2Drmk	= 6772,
+    X86_VPERMT2Drmkz	= 6773,
+    X86_VPERMT2Drr	= 6774,
+    X86_VPERMT2Drrk	= 6775,
+    X86_VPERMT2Drrkz	= 6776,
+    X86_VPERMT2PDrm	= 6777,
+    X86_VPERMT2PDrmk	= 6778,
+    X86_VPERMT2PDrmkz	= 6779,
+    X86_VPERMT2PDrr	= 6780,
+    X86_VPERMT2PDrrk	= 6781,
+    X86_VPERMT2PDrrkz	= 6782,
+    X86_VPERMT2PSrm	= 6783,
+    X86_VPERMT2PSrmk	= 6784,
+    X86_VPERMT2PSrmkz	= 6785,
+    X86_VPERMT2PSrr	= 6786,
+    X86_VPERMT2PSrrk	= 6787,
+    X86_VPERMT2PSrrkz	= 6788,
+    X86_VPERMT2Qrm	= 6789,
+    X86_VPERMT2Qrmk	= 6790,
+    X86_VPERMT2Qrmkz	= 6791,
+    X86_VPERMT2Qrr	= 6792,
+    X86_VPERMT2Qrrk	= 6793,
+    X86_VPERMT2Qrrkz	= 6794,
+    X86_VPEXPANDDZ128rmk	= 6795,
+    X86_VPEXPANDDZ128rmkz	= 6796,
+    X86_VPEXPANDDZ128rrk	= 6797,
+    X86_VPEXPANDDZ128rrkz	= 6798,
+    X86_VPEXPANDDZ256rmk	= 6799,
+    X86_VPEXPANDDZ256rmkz	= 6800,
+    X86_VPEXPANDDZ256rrk	= 6801,
+    X86_VPEXPANDDZ256rrkz	= 6802,
+    X86_VPEXPANDDZrmk	= 6803,
+    X86_VPEXPANDDZrmkz	= 6804,
+    X86_VPEXPANDDZrrk	= 6805,
+    X86_VPEXPANDDZrrkz	= 6806,
+    X86_VPEXPANDQZ128rmk	= 6807,
+    X86_VPEXPANDQZ128rmkz	= 6808,
+    X86_VPEXPANDQZ128rrk	= 6809,
+    X86_VPEXPANDQZ128rrkz	= 6810,
+    X86_VPEXPANDQZ256rmk	= 6811,
+    X86_VPEXPANDQZ256rmkz	= 6812,
+    X86_VPEXPANDQZ256rrk	= 6813,
+    X86_VPEXPANDQZ256rrkz	= 6814,
+    X86_VPEXPANDQZrmk	= 6815,
+    X86_VPEXPANDQZrmkz	= 6816,
+    X86_VPEXPANDQZrrk	= 6817,
+    X86_VPEXPANDQZrrkz	= 6818,
+    X86_VPEXTRBmr	= 6819,
+    X86_VPEXTRBrr	= 6820,
+    X86_VPEXTRDmr	= 6821,
+    X86_VPEXTRDrr	= 6822,
+    X86_VPEXTRQmr	= 6823,
+    X86_VPEXTRQrr	= 6824,
+    X86_VPEXTRWmr	= 6825,
+    X86_VPEXTRWri	= 6826,
+    X86_VPEXTRWrr_REV	= 6827,
+    X86_VPGATHERDDYrm	= 6828,
+    X86_VPGATHERDDZrm	= 6829,
+    X86_VPGATHERDDrm	= 6830,
+    X86_VPGATHERDQYrm	= 6831,
+    X86_VPGATHERDQZrm	= 6832,
+    X86_VPGATHERDQrm	= 6833,
+    X86_VPGATHERQDYrm	= 6834,
+    X86_VPGATHERQDZrm	= 6835,
+    X86_VPGATHERQDrm	= 6836,
+    X86_VPGATHERQQYrm	= 6837,
+    X86_VPGATHERQQZrm	= 6838,
+    X86_VPGATHERQQrm	= 6839,
+    X86_VPHADDBDrm	= 6840,
+    X86_VPHADDBDrr	= 6841,
+    X86_VPHADDBQrm	= 6842,
+    X86_VPHADDBQrr	= 6843,
+    X86_VPHADDBWrm	= 6844,
+    X86_VPHADDBWrr	= 6845,
+    X86_VPHADDDQrm	= 6846,
+    X86_VPHADDDQrr	= 6847,
+    X86_VPHADDDYrm	= 6848,
+    X86_VPHADDDYrr	= 6849,
+    X86_VPHADDDrm	= 6850,
+    X86_VPHADDDrr	= 6851,
+    X86_VPHADDSWrm128	= 6852,
+    X86_VPHADDSWrm256	= 6853,
+    X86_VPHADDSWrr128	= 6854,
+    X86_VPHADDSWrr256	= 6855,
+    X86_VPHADDUBDrm	= 6856,
+    X86_VPHADDUBDrr	= 6857,
+    X86_VPHADDUBQrm	= 6858,
+    X86_VPHADDUBQrr	= 6859,
+    X86_VPHADDUBWrm	= 6860,
+    X86_VPHADDUBWrr	= 6861,
+    X86_VPHADDUDQrm	= 6862,
+    X86_VPHADDUDQrr	= 6863,
+    X86_VPHADDUWDrm	= 6864,
+    X86_VPHADDUWDrr	= 6865,
+    X86_VPHADDUWQrm	= 6866,
+    X86_VPHADDUWQrr	= 6867,
+    X86_VPHADDWDrm	= 6868,
+    X86_VPHADDWDrr	= 6869,
+    X86_VPHADDWQrm	= 6870,
+    X86_VPHADDWQrr	= 6871,
+    X86_VPHADDWYrm	= 6872,
+    X86_VPHADDWYrr	= 6873,
+    X86_VPHADDWrm	= 6874,
+    X86_VPHADDWrr	= 6875,
+    X86_VPHMINPOSUWrm128	= 6876,
+    X86_VPHMINPOSUWrr128	= 6877,
+    X86_VPHSUBBWrm	= 6878,
+    X86_VPHSUBBWrr	= 6879,
+    X86_VPHSUBDQrm	= 6880,
+    X86_VPHSUBDQrr	= 6881,
+    X86_VPHSUBDYrm	= 6882,
+    X86_VPHSUBDYrr	= 6883,
+    X86_VPHSUBDrm	= 6884,
+    X86_VPHSUBDrr	= 6885,
+    X86_VPHSUBSWrm128	= 6886,
+    X86_VPHSUBSWrm256	= 6887,
+    X86_VPHSUBSWrr128	= 6888,
+    X86_VPHSUBSWrr256	= 6889,
+    X86_VPHSUBWDrm	= 6890,
+    X86_VPHSUBWDrr	= 6891,
+    X86_VPHSUBWYrm	= 6892,
+    X86_VPHSUBWYrr	= 6893,
+    X86_VPHSUBWrm	= 6894,
+    X86_VPHSUBWrr	= 6895,
+    X86_VPINSRBrm	= 6896,
+    X86_VPINSRBrr	= 6897,
+    X86_VPINSRDrm	= 6898,
+    X86_VPINSRDrr	= 6899,
+    X86_VPINSRQrm	= 6900,
+    X86_VPINSRQrr	= 6901,
+    X86_VPINSRWrmi	= 6902,
+    X86_VPINSRWrri	= 6903,
+    X86_VPLZCNTDrm	= 6904,
+    X86_VPLZCNTDrmb	= 6905,
+    X86_VPLZCNTDrmbk	= 6906,
+    X86_VPLZCNTDrmbkz	= 6907,
+    X86_VPLZCNTDrmk	= 6908,
+    X86_VPLZCNTDrmkz	= 6909,
+    X86_VPLZCNTDrr	= 6910,
+    X86_VPLZCNTDrrk	= 6911,
+    X86_VPLZCNTDrrkz	= 6912,
+    X86_VPLZCNTQrm	= 6913,
+    X86_VPLZCNTQrmb	= 6914,
+    X86_VPLZCNTQrmbk	= 6915,
+    X86_VPLZCNTQrmbkz	= 6916,
+    X86_VPLZCNTQrmk	= 6917,
+    X86_VPLZCNTQrmkz	= 6918,
+    X86_VPLZCNTQrr	= 6919,
+    X86_VPLZCNTQrrk	= 6920,
+    X86_VPLZCNTQrrkz	= 6921,
+    X86_VPMACSDDrm	= 6922,
+    X86_VPMACSDDrr	= 6923,
+    X86_VPMACSDQHrm	= 6924,
+    X86_VPMACSDQHrr	= 6925,
+    X86_VPMACSDQLrm	= 6926,
+    X86_VPMACSDQLrr	= 6927,
+    X86_VPMACSSDDrm	= 6928,
+    X86_VPMACSSDDrr	= 6929,
+    X86_VPMACSSDQHrm	= 6930,
+    X86_VPMACSSDQHrr	= 6931,
+    X86_VPMACSSDQLrm	= 6932,
+    X86_VPMACSSDQLrr	= 6933,
+    X86_VPMACSSWDrm	= 6934,
+    X86_VPMACSSWDrr	= 6935,
+    X86_VPMACSSWWrm	= 6936,
+    X86_VPMACSSWWrr	= 6937,
+    X86_VPMACSWDrm	= 6938,
+    X86_VPMACSWDrr	= 6939,
+    X86_VPMACSWWrm	= 6940,
+    X86_VPMACSWWrr	= 6941,
+    X86_VPMADCSSWDrm	= 6942,
+    X86_VPMADCSSWDrr	= 6943,
+    X86_VPMADCSWDrm	= 6944,
+    X86_VPMADCSWDrr	= 6945,
+    X86_VPMADDUBSWrm128	= 6946,
+    X86_VPMADDUBSWrm256	= 6947,
+    X86_VPMADDUBSWrr128	= 6948,
+    X86_VPMADDUBSWrr256	= 6949,
+    X86_VPMADDWDYrm	= 6950,
+    X86_VPMADDWDYrr	= 6951,
+    X86_VPMADDWDrm	= 6952,
+    X86_VPMADDWDrr	= 6953,
+    X86_VPMASKMOVDYmr	= 6954,
+    X86_VPMASKMOVDYrm	= 6955,
+    X86_VPMASKMOVDmr	= 6956,
+    X86_VPMASKMOVDrm	= 6957,
+    X86_VPMASKMOVQYmr	= 6958,
+    X86_VPMASKMOVQYrm	= 6959,
+    X86_VPMASKMOVQmr	= 6960,
+    X86_VPMASKMOVQrm	= 6961,
+    X86_VPMAXSBYrm	= 6962,
+    X86_VPMAXSBYrr	= 6963,
+    X86_VPMAXSBZ128rm	= 6964,
+    X86_VPMAXSBZ128rmk	= 6965,
+    X86_VPMAXSBZ128rmkz	= 6966,
+    X86_VPMAXSBZ128rr	= 6967,
+    X86_VPMAXSBZ128rrk	= 6968,
+    X86_VPMAXSBZ128rrkz	= 6969,
+    X86_VPMAXSBZ256rm	= 6970,
+    X86_VPMAXSBZ256rmk	= 6971,
+    X86_VPMAXSBZ256rmkz	= 6972,
+    X86_VPMAXSBZ256rr	= 6973,
+    X86_VPMAXSBZ256rrk	= 6974,
+    X86_VPMAXSBZ256rrkz	= 6975,
+    X86_VPMAXSBZrm	= 6976,
+    X86_VPMAXSBZrmk	= 6977,
+    X86_VPMAXSBZrmkz	= 6978,
+    X86_VPMAXSBZrr	= 6979,
+    X86_VPMAXSBZrrk	= 6980,
+    X86_VPMAXSBZrrkz	= 6981,
+    X86_VPMAXSBrm	= 6982,
+    X86_VPMAXSBrr	= 6983,
+    X86_VPMAXSDYrm	= 6984,
+    X86_VPMAXSDYrr	= 6985,
+    X86_VPMAXSDZ128rm	= 6986,
+    X86_VPMAXSDZ128rmb	= 6987,
+    X86_VPMAXSDZ128rmbk	= 6988,
+    X86_VPMAXSDZ128rmbkz	= 6989,
+    X86_VPMAXSDZ128rmk	= 6990,
+    X86_VPMAXSDZ128rmkz	= 6991,
+    X86_VPMAXSDZ128rr	= 6992,
+    X86_VPMAXSDZ128rrk	= 6993,
+    X86_VPMAXSDZ128rrkz	= 6994,
+    X86_VPMAXSDZ256rm	= 6995,
+    X86_VPMAXSDZ256rmb	= 6996,
+    X86_VPMAXSDZ256rmbk	= 6997,
+    X86_VPMAXSDZ256rmbkz	= 6998,
+    X86_VPMAXSDZ256rmk	= 6999,
+    X86_VPMAXSDZ256rmkz	= 7000,
+    X86_VPMAXSDZ256rr	= 7001,
+    X86_VPMAXSDZ256rrk	= 7002,
+    X86_VPMAXSDZ256rrkz	= 7003,
+    X86_VPMAXSDZrm	= 7004,
+    X86_VPMAXSDZrmb	= 7005,
+    X86_VPMAXSDZrmbk	= 7006,
+    X86_VPMAXSDZrmbkz	= 7007,
+    X86_VPMAXSDZrmk	= 7008,
+    X86_VPMAXSDZrmkz	= 7009,
+    X86_VPMAXSDZrr	= 7010,
+    X86_VPMAXSDZrrk	= 7011,
+    X86_VPMAXSDZrrkz	= 7012,
+    X86_VPMAXSDrm	= 7013,
+    X86_VPMAXSDrr	= 7014,
+    X86_VPMAXSQZ128rm	= 7015,
+    X86_VPMAXSQZ128rmb	= 7016,
+    X86_VPMAXSQZ128rmbk	= 7017,
+    X86_VPMAXSQZ128rmbkz	= 7018,
+    X86_VPMAXSQZ128rmk	= 7019,
+    X86_VPMAXSQZ128rmkz	= 7020,
+    X86_VPMAXSQZ128rr	= 7021,
+    X86_VPMAXSQZ128rrk	= 7022,
+    X86_VPMAXSQZ128rrkz	= 7023,
+    X86_VPMAXSQZ256rm	= 7024,
+    X86_VPMAXSQZ256rmb	= 7025,
+    X86_VPMAXSQZ256rmbk	= 7026,
+    X86_VPMAXSQZ256rmbkz	= 7027,
+    X86_VPMAXSQZ256rmk	= 7028,
+    X86_VPMAXSQZ256rmkz	= 7029,
+    X86_VPMAXSQZ256rr	= 7030,
+    X86_VPMAXSQZ256rrk	= 7031,
+    X86_VPMAXSQZ256rrkz	= 7032,
+    X86_VPMAXSQZrm	= 7033,
+    X86_VPMAXSQZrmb	= 7034,
+    X86_VPMAXSQZrmbk	= 7035,
+    X86_VPMAXSQZrmbkz	= 7036,
+    X86_VPMAXSQZrmk	= 7037,
+    X86_VPMAXSQZrmkz	= 7038,
+    X86_VPMAXSQZrr	= 7039,
+    X86_VPMAXSQZrrk	= 7040,
+    X86_VPMAXSQZrrkz	= 7041,
+    X86_VPMAXSWYrm	= 7042,
+    X86_VPMAXSWYrr	= 7043,
+    X86_VPMAXSWZ128rm	= 7044,
+    X86_VPMAXSWZ128rmk	= 7045,
+    X86_VPMAXSWZ128rmkz	= 7046,
+    X86_VPMAXSWZ128rr	= 7047,
+    X86_VPMAXSWZ128rrk	= 7048,
+    X86_VPMAXSWZ128rrkz	= 7049,
+    X86_VPMAXSWZ256rm	= 7050,
+    X86_VPMAXSWZ256rmk	= 7051,
+    X86_VPMAXSWZ256rmkz	= 7052,
+    X86_VPMAXSWZ256rr	= 7053,
+    X86_VPMAXSWZ256rrk	= 7054,
+    X86_VPMAXSWZ256rrkz	= 7055,
+    X86_VPMAXSWZrm	= 7056,
+    X86_VPMAXSWZrmk	= 7057,
+    X86_VPMAXSWZrmkz	= 7058,
+    X86_VPMAXSWZrr	= 7059,
+    X86_VPMAXSWZrrk	= 7060,
+    X86_VPMAXSWZrrkz	= 7061,
+    X86_VPMAXSWrm	= 7062,
+    X86_VPMAXSWrr	= 7063,
+    X86_VPMAXUBYrm	= 7064,
+    X86_VPMAXUBYrr	= 7065,
+    X86_VPMAXUBZ128rm	= 7066,
+    X86_VPMAXUBZ128rmk	= 7067,
+    X86_VPMAXUBZ128rmkz	= 7068,
+    X86_VPMAXUBZ128rr	= 7069,
+    X86_VPMAXUBZ128rrk	= 7070,
+    X86_VPMAXUBZ128rrkz	= 7071,
+    X86_VPMAXUBZ256rm	= 7072,
+    X86_VPMAXUBZ256rmk	= 7073,
+    X86_VPMAXUBZ256rmkz	= 7074,
+    X86_VPMAXUBZ256rr	= 7075,
+    X86_VPMAXUBZ256rrk	= 7076,
+    X86_VPMAXUBZ256rrkz	= 7077,
+    X86_VPMAXUBZrm	= 7078,
+    X86_VPMAXUBZrmk	= 7079,
+    X86_VPMAXUBZrmkz	= 7080,
+    X86_VPMAXUBZrr	= 7081,
+    X86_VPMAXUBZrrk	= 7082,
+    X86_VPMAXUBZrrkz	= 7083,
+    X86_VPMAXUBrm	= 7084,
+    X86_VPMAXUBrr	= 7085,
+    X86_VPMAXUDYrm	= 7086,
+    X86_VPMAXUDYrr	= 7087,
+    X86_VPMAXUDZ128rm	= 7088,
+    X86_VPMAXUDZ128rmb	= 7089,
+    X86_VPMAXUDZ128rmbk	= 7090,
+    X86_VPMAXUDZ128rmbkz	= 7091,
+    X86_VPMAXUDZ128rmk	= 7092,
+    X86_VPMAXUDZ128rmkz	= 7093,
+    X86_VPMAXUDZ128rr	= 7094,
+    X86_VPMAXUDZ128rrk	= 7095,
+    X86_VPMAXUDZ128rrkz	= 7096,
+    X86_VPMAXUDZ256rm	= 7097,
+    X86_VPMAXUDZ256rmb	= 7098,
+    X86_VPMAXUDZ256rmbk	= 7099,
+    X86_VPMAXUDZ256rmbkz	= 7100,
+    X86_VPMAXUDZ256rmk	= 7101,
+    X86_VPMAXUDZ256rmkz	= 7102,
+    X86_VPMAXUDZ256rr	= 7103,
+    X86_VPMAXUDZ256rrk	= 7104,
+    X86_VPMAXUDZ256rrkz	= 7105,
+    X86_VPMAXUDZrm	= 7106,
+    X86_VPMAXUDZrmb	= 7107,
+    X86_VPMAXUDZrmbk	= 7108,
+    X86_VPMAXUDZrmbkz	= 7109,
+    X86_VPMAXUDZrmk	= 7110,
+    X86_VPMAXUDZrmkz	= 7111,
+    X86_VPMAXUDZrr	= 7112,
+    X86_VPMAXUDZrrk	= 7113,
+    X86_VPMAXUDZrrkz	= 7114,
+    X86_VPMAXUDrm	= 7115,
+    X86_VPMAXUDrr	= 7116,
+    X86_VPMAXUQZ128rm	= 7117,
+    X86_VPMAXUQZ128rmb	= 7118,
+    X86_VPMAXUQZ128rmbk	= 7119,
+    X86_VPMAXUQZ128rmbkz	= 7120,
+    X86_VPMAXUQZ128rmk	= 7121,
+    X86_VPMAXUQZ128rmkz	= 7122,
+    X86_VPMAXUQZ128rr	= 7123,
+    X86_VPMAXUQZ128rrk	= 7124,
+    X86_VPMAXUQZ128rrkz	= 7125,
+    X86_VPMAXUQZ256rm	= 7126,
+    X86_VPMAXUQZ256rmb	= 7127,
+    X86_VPMAXUQZ256rmbk	= 7128,
+    X86_VPMAXUQZ256rmbkz	= 7129,
+    X86_VPMAXUQZ256rmk	= 7130,
+    X86_VPMAXUQZ256rmkz	= 7131,
+    X86_VPMAXUQZ256rr	= 7132,
+    X86_VPMAXUQZ256rrk	= 7133,
+    X86_VPMAXUQZ256rrkz	= 7134,
+    X86_VPMAXUQZrm	= 7135,
+    X86_VPMAXUQZrmb	= 7136,
+    X86_VPMAXUQZrmbk	= 7137,
+    X86_VPMAXUQZrmbkz	= 7138,
+    X86_VPMAXUQZrmk	= 7139,
+    X86_VPMAXUQZrmkz	= 7140,
+    X86_VPMAXUQZrr	= 7141,
+    X86_VPMAXUQZrrk	= 7142,
+    X86_VPMAXUQZrrkz	= 7143,
+    X86_VPMAXUWYrm	= 7144,
+    X86_VPMAXUWYrr	= 7145,
+    X86_VPMAXUWZ128rm	= 7146,
+    X86_VPMAXUWZ128rmk	= 7147,
+    X86_VPMAXUWZ128rmkz	= 7148,
+    X86_VPMAXUWZ128rr	= 7149,
+    X86_VPMAXUWZ128rrk	= 7150,
+    X86_VPMAXUWZ128rrkz	= 7151,
+    X86_VPMAXUWZ256rm	= 7152,
+    X86_VPMAXUWZ256rmk	= 7153,
+    X86_VPMAXUWZ256rmkz	= 7154,
+    X86_VPMAXUWZ256rr	= 7155,
+    X86_VPMAXUWZ256rrk	= 7156,
+    X86_VPMAXUWZ256rrkz	= 7157,
+    X86_VPMAXUWZrm	= 7158,
+    X86_VPMAXUWZrmk	= 7159,
+    X86_VPMAXUWZrmkz	= 7160,
+    X86_VPMAXUWZrr	= 7161,
+    X86_VPMAXUWZrrk	= 7162,
+    X86_VPMAXUWZrrkz	= 7163,
+    X86_VPMAXUWrm	= 7164,
+    X86_VPMAXUWrr	= 7165,
+    X86_VPMINSBYrm	= 7166,
+    X86_VPMINSBYrr	= 7167,
+    X86_VPMINSBZ128rm	= 7168,
+    X86_VPMINSBZ128rmk	= 7169,
+    X86_VPMINSBZ128rmkz	= 7170,
+    X86_VPMINSBZ128rr	= 7171,
+    X86_VPMINSBZ128rrk	= 7172,
+    X86_VPMINSBZ128rrkz	= 7173,
+    X86_VPMINSBZ256rm	= 7174,
+    X86_VPMINSBZ256rmk	= 7175,
+    X86_VPMINSBZ256rmkz	= 7176,
+    X86_VPMINSBZ256rr	= 7177,
+    X86_VPMINSBZ256rrk	= 7178,
+    X86_VPMINSBZ256rrkz	= 7179,
+    X86_VPMINSBZrm	= 7180,
+    X86_VPMINSBZrmk	= 7181,
+    X86_VPMINSBZrmkz	= 7182,
+    X86_VPMINSBZrr	= 7183,
+    X86_VPMINSBZrrk	= 7184,
+    X86_VPMINSBZrrkz	= 7185,
+    X86_VPMINSBrm	= 7186,
+    X86_VPMINSBrr	= 7187,
+    X86_VPMINSDYrm	= 7188,
+    X86_VPMINSDYrr	= 7189,
+    X86_VPMINSDZ128rm	= 7190,
+    X86_VPMINSDZ128rmb	= 7191,
+    X86_VPMINSDZ128rmbk	= 7192,
+    X86_VPMINSDZ128rmbkz	= 7193,
+    X86_VPMINSDZ128rmk	= 7194,
+    X86_VPMINSDZ128rmkz	= 7195,
+    X86_VPMINSDZ128rr	= 7196,
+    X86_VPMINSDZ128rrk	= 7197,
+    X86_VPMINSDZ128rrkz	= 7198,
+    X86_VPMINSDZ256rm	= 7199,
+    X86_VPMINSDZ256rmb	= 7200,
+    X86_VPMINSDZ256rmbk	= 7201,
+    X86_VPMINSDZ256rmbkz	= 7202,
+    X86_VPMINSDZ256rmk	= 7203,
+    X86_VPMINSDZ256rmkz	= 7204,
+    X86_VPMINSDZ256rr	= 7205,
+    X86_VPMINSDZ256rrk	= 7206,
+    X86_VPMINSDZ256rrkz	= 7207,
+    X86_VPMINSDZrm	= 7208,
+    X86_VPMINSDZrmb	= 7209,
+    X86_VPMINSDZrmbk	= 7210,
+    X86_VPMINSDZrmbkz	= 7211,
+    X86_VPMINSDZrmk	= 7212,
+    X86_VPMINSDZrmkz	= 7213,
+    X86_VPMINSDZrr	= 7214,
+    X86_VPMINSDZrrk	= 7215,
+    X86_VPMINSDZrrkz	= 7216,
+    X86_VPMINSDrm	= 7217,
+    X86_VPMINSDrr	= 7218,
+    X86_VPMINSQZ128rm	= 7219,
+    X86_VPMINSQZ128rmb	= 7220,
+    X86_VPMINSQZ128rmbk	= 7221,
+    X86_VPMINSQZ128rmbkz	= 7222,
+    X86_VPMINSQZ128rmk	= 7223,
+    X86_VPMINSQZ128rmkz	= 7224,
+    X86_VPMINSQZ128rr	= 7225,
+    X86_VPMINSQZ128rrk	= 7226,
+    X86_VPMINSQZ128rrkz	= 7227,
+    X86_VPMINSQZ256rm	= 7228,
+    X86_VPMINSQZ256rmb	= 7229,
+    X86_VPMINSQZ256rmbk	= 7230,
+    X86_VPMINSQZ256rmbkz	= 7231,
+    X86_VPMINSQZ256rmk	= 7232,
+    X86_VPMINSQZ256rmkz	= 7233,
+    X86_VPMINSQZ256rr	= 7234,
+    X86_VPMINSQZ256rrk	= 7235,
+    X86_VPMINSQZ256rrkz	= 7236,
+    X86_VPMINSQZrm	= 7237,
+    X86_VPMINSQZrmb	= 7238,
+    X86_VPMINSQZrmbk	= 7239,
+    X86_VPMINSQZrmbkz	= 7240,
+    X86_VPMINSQZrmk	= 7241,
+    X86_VPMINSQZrmkz	= 7242,
+    X86_VPMINSQZrr	= 7243,
+    X86_VPMINSQZrrk	= 7244,
+    X86_VPMINSQZrrkz	= 7245,
+    X86_VPMINSWYrm	= 7246,
+    X86_VPMINSWYrr	= 7247,
+    X86_VPMINSWZ128rm	= 7248,
+    X86_VPMINSWZ128rmk	= 7249,
+    X86_VPMINSWZ128rmkz	= 7250,
+    X86_VPMINSWZ128rr	= 7251,
+    X86_VPMINSWZ128rrk	= 7252,
+    X86_VPMINSWZ128rrkz	= 7253,
+    X86_VPMINSWZ256rm	= 7254,
+    X86_VPMINSWZ256rmk	= 7255,
+    X86_VPMINSWZ256rmkz	= 7256,
+    X86_VPMINSWZ256rr	= 7257,
+    X86_VPMINSWZ256rrk	= 7258,
+    X86_VPMINSWZ256rrkz	= 7259,
+    X86_VPMINSWZrm	= 7260,
+    X86_VPMINSWZrmk	= 7261,
+    X86_VPMINSWZrmkz	= 7262,
+    X86_VPMINSWZrr	= 7263,
+    X86_VPMINSWZrrk	= 7264,
+    X86_VPMINSWZrrkz	= 7265,
+    X86_VPMINSWrm	= 7266,
+    X86_VPMINSWrr	= 7267,
+    X86_VPMINUBYrm	= 7268,
+    X86_VPMINUBYrr	= 7269,
+    X86_VPMINUBZ128rm	= 7270,
+    X86_VPMINUBZ128rmk	= 7271,
+    X86_VPMINUBZ128rmkz	= 7272,
+    X86_VPMINUBZ128rr	= 7273,
+    X86_VPMINUBZ128rrk	= 7274,
+    X86_VPMINUBZ128rrkz	= 7275,
+    X86_VPMINUBZ256rm	= 7276,
+    X86_VPMINUBZ256rmk	= 7277,
+    X86_VPMINUBZ256rmkz	= 7278,
+    X86_VPMINUBZ256rr	= 7279,
+    X86_VPMINUBZ256rrk	= 7280,
+    X86_VPMINUBZ256rrkz	= 7281,
+    X86_VPMINUBZrm	= 7282,
+    X86_VPMINUBZrmk	= 7283,
+    X86_VPMINUBZrmkz	= 7284,
+    X86_VPMINUBZrr	= 7285,
+    X86_VPMINUBZrrk	= 7286,
+    X86_VPMINUBZrrkz	= 7287,
+    X86_VPMINUBrm	= 7288,
+    X86_VPMINUBrr	= 7289,
+    X86_VPMINUDYrm	= 7290,
+    X86_VPMINUDYrr	= 7291,
+    X86_VPMINUDZ128rm	= 7292,
+    X86_VPMINUDZ128rmb	= 7293,
+    X86_VPMINUDZ128rmbk	= 7294,
+    X86_VPMINUDZ128rmbkz	= 7295,
+    X86_VPMINUDZ128rmk	= 7296,
+    X86_VPMINUDZ128rmkz	= 7297,
+    X86_VPMINUDZ128rr	= 7298,
+    X86_VPMINUDZ128rrk	= 7299,
+    X86_VPMINUDZ128rrkz	= 7300,
+    X86_VPMINUDZ256rm	= 7301,
+    X86_VPMINUDZ256rmb	= 7302,
+    X86_VPMINUDZ256rmbk	= 7303,
+    X86_VPMINUDZ256rmbkz	= 7304,
+    X86_VPMINUDZ256rmk	= 7305,
+    X86_VPMINUDZ256rmkz	= 7306,
+    X86_VPMINUDZ256rr	= 7307,
+    X86_VPMINUDZ256rrk	= 7308,
+    X86_VPMINUDZ256rrkz	= 7309,
+    X86_VPMINUDZrm	= 7310,
+    X86_VPMINUDZrmb	= 7311,
+    X86_VPMINUDZrmbk	= 7312,
+    X86_VPMINUDZrmbkz	= 7313,
+    X86_VPMINUDZrmk	= 7314,
+    X86_VPMINUDZrmkz	= 7315,
+    X86_VPMINUDZrr	= 7316,
+    X86_VPMINUDZrrk	= 7317,
+    X86_VPMINUDZrrkz	= 7318,
+    X86_VPMINUDrm	= 7319,
+    X86_VPMINUDrr	= 7320,
+    X86_VPMINUQZ128rm	= 7321,
+    X86_VPMINUQZ128rmb	= 7322,
+    X86_VPMINUQZ128rmbk	= 7323,
+    X86_VPMINUQZ128rmbkz	= 7324,
+    X86_VPMINUQZ128rmk	= 7325,
+    X86_VPMINUQZ128rmkz	= 7326,
+    X86_VPMINUQZ128rr	= 7327,
+    X86_VPMINUQZ128rrk	= 7328,
+    X86_VPMINUQZ128rrkz	= 7329,
+    X86_VPMINUQZ256rm	= 7330,
+    X86_VPMINUQZ256rmb	= 7331,
+    X86_VPMINUQZ256rmbk	= 7332,
+    X86_VPMINUQZ256rmbkz	= 7333,
+    X86_VPMINUQZ256rmk	= 7334,
+    X86_VPMINUQZ256rmkz	= 7335,
+    X86_VPMINUQZ256rr	= 7336,
+    X86_VPMINUQZ256rrk	= 7337,
+    X86_VPMINUQZ256rrkz	= 7338,
+    X86_VPMINUQZrm	= 7339,
+    X86_VPMINUQZrmb	= 7340,
+    X86_VPMINUQZrmbk	= 7341,
+    X86_VPMINUQZrmbkz	= 7342,
+    X86_VPMINUQZrmk	= 7343,
+    X86_VPMINUQZrmkz	= 7344,
+    X86_VPMINUQZrr	= 7345,
+    X86_VPMINUQZrrk	= 7346,
+    X86_VPMINUQZrrkz	= 7347,
+    X86_VPMINUWYrm	= 7348,
+    X86_VPMINUWYrr	= 7349,
+    X86_VPMINUWZ128rm	= 7350,
+    X86_VPMINUWZ128rmk	= 7351,
+    X86_VPMINUWZ128rmkz	= 7352,
+    X86_VPMINUWZ128rr	= 7353,
+    X86_VPMINUWZ128rrk	= 7354,
+    X86_VPMINUWZ128rrkz	= 7355,
+    X86_VPMINUWZ256rm	= 7356,
+    X86_VPMINUWZ256rmk	= 7357,
+    X86_VPMINUWZ256rmkz	= 7358,
+    X86_VPMINUWZ256rr	= 7359,
+    X86_VPMINUWZ256rrk	= 7360,
+    X86_VPMINUWZ256rrkz	= 7361,
+    X86_VPMINUWZrm	= 7362,
+    X86_VPMINUWZrmk	= 7363,
+    X86_VPMINUWZrmkz	= 7364,
+    X86_VPMINUWZrr	= 7365,
+    X86_VPMINUWZrrk	= 7366,
+    X86_VPMINUWZrrkz	= 7367,
+    X86_VPMINUWrm	= 7368,
+    X86_VPMINUWrr	= 7369,
+    X86_VPMOVDBmr	= 7370,
+    X86_VPMOVDBmrk	= 7371,
+    X86_VPMOVDBrr	= 7372,
+    X86_VPMOVDBrrk	= 7373,
+    X86_VPMOVDBrrkz	= 7374,
+    X86_VPMOVDWmr	= 7375,
+    X86_VPMOVDWmrk	= 7376,
+    X86_VPMOVDWrr	= 7377,
+    X86_VPMOVDWrrk	= 7378,
+    X86_VPMOVDWrrkz	= 7379,
+    X86_VPMOVM2BZ128rr	= 7380,
+    X86_VPMOVM2BZ256rr	= 7381,
+    X86_VPMOVM2BZrr	= 7382,
+    X86_VPMOVM2DZ128rr	= 7383,
+    X86_VPMOVM2DZ256rr	= 7384,
+    X86_VPMOVM2DZrr	= 7385,
+    X86_VPMOVM2QZ128rr	= 7386,
+    X86_VPMOVM2QZ256rr	= 7387,
+    X86_VPMOVM2QZrr	= 7388,
+    X86_VPMOVM2WZ128rr	= 7389,
+    X86_VPMOVM2WZ256rr	= 7390,
+    X86_VPMOVM2WZrr	= 7391,
+    X86_VPMOVMSKBYrr	= 7392,
+    X86_VPMOVMSKBrr	= 7393,
+    X86_VPMOVQBmr	= 7394,
+    X86_VPMOVQBmrk	= 7395,
+    X86_VPMOVQBrr	= 7396,
+    X86_VPMOVQBrrk	= 7397,
+    X86_VPMOVQBrrkz	= 7398,
+    X86_VPMOVQDmr	= 7399,
+    X86_VPMOVQDmrk	= 7400,
+    X86_VPMOVQDrr	= 7401,
+    X86_VPMOVQDrrk	= 7402,
+    X86_VPMOVQDrrkz	= 7403,
+    X86_VPMOVQWmr	= 7404,
+    X86_VPMOVQWmrk	= 7405,
+    X86_VPMOVQWrr	= 7406,
+    X86_VPMOVQWrrk	= 7407,
+    X86_VPMOVQWrrkz	= 7408,
+    X86_VPMOVSDBmr	= 7409,
+    X86_VPMOVSDBmrk	= 7410,
+    X86_VPMOVSDBrr	= 7411,
+    X86_VPMOVSDBrrk	= 7412,
+    X86_VPMOVSDBrrkz	= 7413,
+    X86_VPMOVSDWmr	= 7414,
+    X86_VPMOVSDWmrk	= 7415,
+    X86_VPMOVSDWrr	= 7416,
+    X86_VPMOVSDWrrk	= 7417,
+    X86_VPMOVSDWrrkz	= 7418,
+    X86_VPMOVSQBmr	= 7419,
+    X86_VPMOVSQBmrk	= 7420,
+    X86_VPMOVSQBrr	= 7421,
+    X86_VPMOVSQBrrk	= 7422,
+    X86_VPMOVSQBrrkz	= 7423,
+    X86_VPMOVSQDmr	= 7424,
+    X86_VPMOVSQDmrk	= 7425,
+    X86_VPMOVSQDrr	= 7426,
+    X86_VPMOVSQDrrk	= 7427,
+    X86_VPMOVSQDrrkz	= 7428,
+    X86_VPMOVSQWmr	= 7429,
+    X86_VPMOVSQWmrk	= 7430,
+    X86_VPMOVSQWrr	= 7431,
+    X86_VPMOVSQWrrk	= 7432,
+    X86_VPMOVSQWrrkz	= 7433,
+    X86_VPMOVSXBDYrm	= 7434,
+    X86_VPMOVSXBDYrr	= 7435,
+    X86_VPMOVSXBDZrm	= 7436,
+    X86_VPMOVSXBDZrmk	= 7437,
+    X86_VPMOVSXBDZrmkz	= 7438,
+    X86_VPMOVSXBDZrr	= 7439,
+    X86_VPMOVSXBDZrrk	= 7440,
+    X86_VPMOVSXBDZrrkz	= 7441,
+    X86_VPMOVSXBDrm	= 7442,
+    X86_VPMOVSXBDrr	= 7443,
+    X86_VPMOVSXBQYrm	= 7444,
+    X86_VPMOVSXBQYrr	= 7445,
+    X86_VPMOVSXBQZrm	= 7446,
+    X86_VPMOVSXBQZrmk	= 7447,
+    X86_VPMOVSXBQZrmkz	= 7448,
+    X86_VPMOVSXBQZrr	= 7449,
+    X86_VPMOVSXBQZrrk	= 7450,
+    X86_VPMOVSXBQZrrkz	= 7451,
+    X86_VPMOVSXBQrm	= 7452,
+    X86_VPMOVSXBQrr	= 7453,
+    X86_VPMOVSXBWYrm	= 7454,
+    X86_VPMOVSXBWYrr	= 7455,
+    X86_VPMOVSXBWrm	= 7456,
+    X86_VPMOVSXBWrr	= 7457,
+    X86_VPMOVSXDQYrm	= 7458,
+    X86_VPMOVSXDQYrr	= 7459,
+    X86_VPMOVSXDQZrm	= 7460,
+    X86_VPMOVSXDQZrmk	= 7461,
+    X86_VPMOVSXDQZrmkz	= 7462,
+    X86_VPMOVSXDQZrr	= 7463,
+    X86_VPMOVSXDQZrrk	= 7464,
+    X86_VPMOVSXDQZrrkz	= 7465,
+    X86_VPMOVSXDQrm	= 7466,
+    X86_VPMOVSXDQrr	= 7467,
+    X86_VPMOVSXWDYrm	= 7468,
+    X86_VPMOVSXWDYrr	= 7469,
+    X86_VPMOVSXWDZrm	= 7470,
+    X86_VPMOVSXWDZrmk	= 7471,
+    X86_VPMOVSXWDZrmkz	= 7472,
+    X86_VPMOVSXWDZrr	= 7473,
+    X86_VPMOVSXWDZrrk	= 7474,
+    X86_VPMOVSXWDZrrkz	= 7475,
+    X86_VPMOVSXWDrm	= 7476,
+    X86_VPMOVSXWDrr	= 7477,
+    X86_VPMOVSXWQYrm	= 7478,
+    X86_VPMOVSXWQYrr	= 7479,
+    X86_VPMOVSXWQZrm	= 7480,
+    X86_VPMOVSXWQZrmk	= 7481,
+    X86_VPMOVSXWQZrmkz	= 7482,
+    X86_VPMOVSXWQZrr	= 7483,
+    X86_VPMOVSXWQZrrk	= 7484,
+    X86_VPMOVSXWQZrrkz	= 7485,
+    X86_VPMOVSXWQrm	= 7486,
+    X86_VPMOVSXWQrr	= 7487,
+    X86_VPMOVUSDBmr	= 7488,
+    X86_VPMOVUSDBmrk	= 7489,
+    X86_VPMOVUSDBrr	= 7490,
+    X86_VPMOVUSDBrrk	= 7491,
+    X86_VPMOVUSDBrrkz	= 7492,
+    X86_VPMOVUSDWmr	= 7493,
+    X86_VPMOVUSDWmrk	= 7494,
+    X86_VPMOVUSDWrr	= 7495,
+    X86_VPMOVUSDWrrk	= 7496,
+    X86_VPMOVUSDWrrkz	= 7497,
+    X86_VPMOVUSQBmr	= 7498,
+    X86_VPMOVUSQBmrk	= 7499,
+    X86_VPMOVUSQBrr	= 7500,
+    X86_VPMOVUSQBrrk	= 7501,
+    X86_VPMOVUSQBrrkz	= 7502,
+    X86_VPMOVUSQDmr	= 7503,
+    X86_VPMOVUSQDmrk	= 7504,
+    X86_VPMOVUSQDrr	= 7505,
+    X86_VPMOVUSQDrrk	= 7506,
+    X86_VPMOVUSQDrrkz	= 7507,
+    X86_VPMOVUSQWmr	= 7508,
+    X86_VPMOVUSQWmrk	= 7509,
+    X86_VPMOVUSQWrr	= 7510,
+    X86_VPMOVUSQWrrk	= 7511,
+    X86_VPMOVUSQWrrkz	= 7512,
+    X86_VPMOVZXBDYrm	= 7513,
+    X86_VPMOVZXBDYrr	= 7514,
+    X86_VPMOVZXBDZrm	= 7515,
+    X86_VPMOVZXBDZrmk	= 7516,
+    X86_VPMOVZXBDZrmkz	= 7517,
+    X86_VPMOVZXBDZrr	= 7518,
+    X86_VPMOVZXBDZrrk	= 7519,
+    X86_VPMOVZXBDZrrkz	= 7520,
+    X86_VPMOVZXBDrm	= 7521,
+    X86_VPMOVZXBDrr	= 7522,
+    X86_VPMOVZXBQYrm	= 7523,
+    X86_VPMOVZXBQYrr	= 7524,
+    X86_VPMOVZXBQZrm	= 7525,
+    X86_VPMOVZXBQZrmk	= 7526,
+    X86_VPMOVZXBQZrmkz	= 7527,
+    X86_VPMOVZXBQZrr	= 7528,
+    X86_VPMOVZXBQZrrk	= 7529,
+    X86_VPMOVZXBQZrrkz	= 7530,
+    X86_VPMOVZXBQrm	= 7531,
+    X86_VPMOVZXBQrr	= 7532,
+    X86_VPMOVZXBWYrm	= 7533,
+    X86_VPMOVZXBWYrr	= 7534,
+    X86_VPMOVZXBWrm	= 7535,
+    X86_VPMOVZXBWrr	= 7536,
+    X86_VPMOVZXDQYrm	= 7537,
+    X86_VPMOVZXDQYrr	= 7538,
+    X86_VPMOVZXDQZrm	= 7539,
+    X86_VPMOVZXDQZrmk	= 7540,
+    X86_VPMOVZXDQZrmkz	= 7541,
+    X86_VPMOVZXDQZrr	= 7542,
+    X86_VPMOVZXDQZrrk	= 7543,
+    X86_VPMOVZXDQZrrkz	= 7544,
+    X86_VPMOVZXDQrm	= 7545,
+    X86_VPMOVZXDQrr	= 7546,
+    X86_VPMOVZXWDYrm	= 7547,
+    X86_VPMOVZXWDYrr	= 7548,
+    X86_VPMOVZXWDZrm	= 7549,
+    X86_VPMOVZXWDZrmk	= 7550,
+    X86_VPMOVZXWDZrmkz	= 7551,
+    X86_VPMOVZXWDZrr	= 7552,
+    X86_VPMOVZXWDZrrk	= 7553,
+    X86_VPMOVZXWDZrrkz	= 7554,
+    X86_VPMOVZXWDrm	= 7555,
+    X86_VPMOVZXWDrr	= 7556,
+    X86_VPMOVZXWQYrm	= 7557,
+    X86_VPMOVZXWQYrr	= 7558,
+    X86_VPMOVZXWQZrm	= 7559,
+    X86_VPMOVZXWQZrmk	= 7560,
+    X86_VPMOVZXWQZrmkz	= 7561,
+    X86_VPMOVZXWQZrr	= 7562,
+    X86_VPMOVZXWQZrrk	= 7563,
+    X86_VPMOVZXWQZrrkz	= 7564,
+    X86_VPMOVZXWQrm	= 7565,
+    X86_VPMOVZXWQrr	= 7566,
+    X86_VPMULDQYrm	= 7567,
+    X86_VPMULDQYrr	= 7568,
+    X86_VPMULDQZrm	= 7569,
+    X86_VPMULDQZrmb	= 7570,
+    X86_VPMULDQZrmbk	= 7571,
+    X86_VPMULDQZrmbkz	= 7572,
+    X86_VPMULDQZrmk	= 7573,
+    X86_VPMULDQZrmkz	= 7574,
+    X86_VPMULDQZrr	= 7575,
+    X86_VPMULDQZrrk	= 7576,
+    X86_VPMULDQZrrkz	= 7577,
+    X86_VPMULDQrm	= 7578,
+    X86_VPMULDQrr	= 7579,
+    X86_VPMULHRSWrm128	= 7580,
+    X86_VPMULHRSWrm256	= 7581,
+    X86_VPMULHRSWrr128	= 7582,
+    X86_VPMULHRSWrr256	= 7583,
+    X86_VPMULHUWYrm	= 7584,
+    X86_VPMULHUWYrr	= 7585,
+    X86_VPMULHUWrm	= 7586,
+    X86_VPMULHUWrr	= 7587,
+    X86_VPMULHWYrm	= 7588,
+    X86_VPMULHWYrr	= 7589,
+    X86_VPMULHWrm	= 7590,
+    X86_VPMULHWrr	= 7591,
+    X86_VPMULLDYrm	= 7592,
+    X86_VPMULLDYrr	= 7593,
+    X86_VPMULLDZ128rm	= 7594,
+    X86_VPMULLDZ128rmb	= 7595,
+    X86_VPMULLDZ128rmbk	= 7596,
+    X86_VPMULLDZ128rmbkz	= 7597,
+    X86_VPMULLDZ128rmk	= 7598,
+    X86_VPMULLDZ128rmkz	= 7599,
+    X86_VPMULLDZ128rr	= 7600,
+    X86_VPMULLDZ128rrk	= 7601,
+    X86_VPMULLDZ128rrkz	= 7602,
+    X86_VPMULLDZ256rm	= 7603,
+    X86_VPMULLDZ256rmb	= 7604,
+    X86_VPMULLDZ256rmbk	= 7605,
+    X86_VPMULLDZ256rmbkz	= 7606,
+    X86_VPMULLDZ256rmk	= 7607,
+    X86_VPMULLDZ256rmkz	= 7608,
+    X86_VPMULLDZ256rr	= 7609,
+    X86_VPMULLDZ256rrk	= 7610,
+    X86_VPMULLDZ256rrkz	= 7611,
+    X86_VPMULLDZrm	= 7612,
+    X86_VPMULLDZrmb	= 7613,
+    X86_VPMULLDZrmbk	= 7614,
+    X86_VPMULLDZrmbkz	= 7615,
+    X86_VPMULLDZrmk	= 7616,
+    X86_VPMULLDZrmkz	= 7617,
+    X86_VPMULLDZrr	= 7618,
+    X86_VPMULLDZrrk	= 7619,
+    X86_VPMULLDZrrkz	= 7620,
+    X86_VPMULLDrm	= 7621,
+    X86_VPMULLDrr	= 7622,
+    X86_VPMULLQZ128rm	= 7623,
+    X86_VPMULLQZ128rmb	= 7624,
+    X86_VPMULLQZ128rmbk	= 7625,
+    X86_VPMULLQZ128rmbkz	= 7626,
+    X86_VPMULLQZ128rmk	= 7627,
+    X86_VPMULLQZ128rmkz	= 7628,
+    X86_VPMULLQZ128rr	= 7629,
+    X86_VPMULLQZ128rrk	= 7630,
+    X86_VPMULLQZ128rrkz	= 7631,
+    X86_VPMULLQZ256rm	= 7632,
+    X86_VPMULLQZ256rmb	= 7633,
+    X86_VPMULLQZ256rmbk	= 7634,
+    X86_VPMULLQZ256rmbkz	= 7635,
+    X86_VPMULLQZ256rmk	= 7636,
+    X86_VPMULLQZ256rmkz	= 7637,
+    X86_VPMULLQZ256rr	= 7638,
+    X86_VPMULLQZ256rrk	= 7639,
+    X86_VPMULLQZ256rrkz	= 7640,
+    X86_VPMULLQZrm	= 7641,
+    X86_VPMULLQZrmb	= 7642,
+    X86_VPMULLQZrmbk	= 7643,
+    X86_VPMULLQZrmbkz	= 7644,
+    X86_VPMULLQZrmk	= 7645,
+    X86_VPMULLQZrmkz	= 7646,
+    X86_VPMULLQZrr	= 7647,
+    X86_VPMULLQZrrk	= 7648,
+    X86_VPMULLQZrrkz	= 7649,
+    X86_VPMULLWYrm	= 7650,
+    X86_VPMULLWYrr	= 7651,
+    X86_VPMULLWZ128rm	= 7652,
+    X86_VPMULLWZ128rmk	= 7653,
+    X86_VPMULLWZ128rmkz	= 7654,
+    X86_VPMULLWZ128rr	= 7655,
+    X86_VPMULLWZ128rrk	= 7656,
+    X86_VPMULLWZ128rrkz	= 7657,
+    X86_VPMULLWZ256rm	= 7658,
+    X86_VPMULLWZ256rmk	= 7659,
+    X86_VPMULLWZ256rmkz	= 7660,
+    X86_VPMULLWZ256rr	= 7661,
+    X86_VPMULLWZ256rrk	= 7662,
+    X86_VPMULLWZ256rrkz	= 7663,
+    X86_VPMULLWZrm	= 7664,
+    X86_VPMULLWZrmk	= 7665,
+    X86_VPMULLWZrmkz	= 7666,
+    X86_VPMULLWZrr	= 7667,
+    X86_VPMULLWZrrk	= 7668,
+    X86_VPMULLWZrrkz	= 7669,
+    X86_VPMULLWrm	= 7670,
+    X86_VPMULLWrr	= 7671,
+    X86_VPMULUDQYrm	= 7672,
+    X86_VPMULUDQYrr	= 7673,
+    X86_VPMULUDQZrm	= 7674,
+    X86_VPMULUDQZrmb	= 7675,
+    X86_VPMULUDQZrmbk	= 7676,
+    X86_VPMULUDQZrmbkz	= 7677,
+    X86_VPMULUDQZrmk	= 7678,
+    X86_VPMULUDQZrmkz	= 7679,
+    X86_VPMULUDQZrr	= 7680,
+    X86_VPMULUDQZrrk	= 7681,
+    X86_VPMULUDQZrrkz	= 7682,
+    X86_VPMULUDQrm	= 7683,
+    X86_VPMULUDQrr	= 7684,
+    X86_VPORDZ128rm	= 7685,
+    X86_VPORDZ128rmb	= 7686,
+    X86_VPORDZ128rmbk	= 7687,
+    X86_VPORDZ128rmbkz	= 7688,
+    X86_VPORDZ128rmk	= 7689,
+    X86_VPORDZ128rmkz	= 7690,
+    X86_VPORDZ128rr	= 7691,
+    X86_VPORDZ128rrk	= 7692,
+    X86_VPORDZ128rrkz	= 7693,
+    X86_VPORDZ256rm	= 7694,
+    X86_VPORDZ256rmb	= 7695,
+    X86_VPORDZ256rmbk	= 7696,
+    X86_VPORDZ256rmbkz	= 7697,
+    X86_VPORDZ256rmk	= 7698,
+    X86_VPORDZ256rmkz	= 7699,
+    X86_VPORDZ256rr	= 7700,
+    X86_VPORDZ256rrk	= 7701,
+    X86_VPORDZ256rrkz	= 7702,
+    X86_VPORDZrm	= 7703,
+    X86_VPORDZrmb	= 7704,
+    X86_VPORDZrmbk	= 7705,
+    X86_VPORDZrmbkz	= 7706,
+    X86_VPORDZrmk	= 7707,
+    X86_VPORDZrmkz	= 7708,
+    X86_VPORDZrr	= 7709,
+    X86_VPORDZrrk	= 7710,
+    X86_VPORDZrrkz	= 7711,
+    X86_VPORQZ128rm	= 7712,
+    X86_VPORQZ128rmb	= 7713,
+    X86_VPORQZ128rmbk	= 7714,
+    X86_VPORQZ128rmbkz	= 7715,
+    X86_VPORQZ128rmk	= 7716,
+    X86_VPORQZ128rmkz	= 7717,
+    X86_VPORQZ128rr	= 7718,
+    X86_VPORQZ128rrk	= 7719,
+    X86_VPORQZ128rrkz	= 7720,
+    X86_VPORQZ256rm	= 7721,
+    X86_VPORQZ256rmb	= 7722,
+    X86_VPORQZ256rmbk	= 7723,
+    X86_VPORQZ256rmbkz	= 7724,
+    X86_VPORQZ256rmk	= 7725,
+    X86_VPORQZ256rmkz	= 7726,
+    X86_VPORQZ256rr	= 7727,
+    X86_VPORQZ256rrk	= 7728,
+    X86_VPORQZ256rrkz	= 7729,
+    X86_VPORQZrm	= 7730,
+    X86_VPORQZrmb	= 7731,
+    X86_VPORQZrmbk	= 7732,
+    X86_VPORQZrmbkz	= 7733,
+    X86_VPORQZrmk	= 7734,
+    X86_VPORQZrmkz	= 7735,
+    X86_VPORQZrr	= 7736,
+    X86_VPORQZrrk	= 7737,
+    X86_VPORQZrrkz	= 7738,
+    X86_VPORYrm	= 7739,
+    X86_VPORYrr	= 7740,
+    X86_VPORrm	= 7741,
+    X86_VPORrr	= 7742,
+    X86_VPPERMmr	= 7743,
+    X86_VPPERMrm	= 7744,
+    X86_VPPERMrr	= 7745,
+    X86_VPROTBmi	= 7746,
+    X86_VPROTBmr	= 7747,
+    X86_VPROTBri	= 7748,
+    X86_VPROTBrm	= 7749,
+    X86_VPROTBrr	= 7750,
+    X86_VPROTDmi	= 7751,
+    X86_VPROTDmr	= 7752,
+    X86_VPROTDri	= 7753,
+    X86_VPROTDrm	= 7754,
+    X86_VPROTDrr	= 7755,
+    X86_VPROTQmi	= 7756,
+    X86_VPROTQmr	= 7757,
+    X86_VPROTQri	= 7758,
+    X86_VPROTQrm	= 7759,
+    X86_VPROTQrr	= 7760,
+    X86_VPROTWmi	= 7761,
+    X86_VPROTWmr	= 7762,
+    X86_VPROTWri	= 7763,
+    X86_VPROTWrm	= 7764,
+    X86_VPROTWrr	= 7765,
+    X86_VPSADBWYrm	= 7766,
+    X86_VPSADBWYrr	= 7767,
+    X86_VPSADBWrm	= 7768,
+    X86_VPSADBWrr	= 7769,
+    X86_VPSCATTERDDZmr	= 7770,
+    X86_VPSCATTERDQZmr	= 7771,
+    X86_VPSCATTERQDZmr	= 7772,
+    X86_VPSCATTERQQZmr	= 7773,
+    X86_VPSHABmr	= 7774,
+    X86_VPSHABrm	= 7775,
+    X86_VPSHABrr	= 7776,
+    X86_VPSHADmr	= 7777,
+    X86_VPSHADrm	= 7778,
+    X86_VPSHADrr	= 7779,
+    X86_VPSHAQmr	= 7780,
+    X86_VPSHAQrm	= 7781,
+    X86_VPSHAQrr	= 7782,
+    X86_VPSHAWmr	= 7783,
+    X86_VPSHAWrm	= 7784,
+    X86_VPSHAWrr	= 7785,
+    X86_VPSHLBmr	= 7786,
+    X86_VPSHLBrm	= 7787,
+    X86_VPSHLBrr	= 7788,
+    X86_VPSHLDmr	= 7789,
+    X86_VPSHLDrm	= 7790,
+    X86_VPSHLDrr	= 7791,
+    X86_VPSHLQmr	= 7792,
+    X86_VPSHLQrm	= 7793,
+    X86_VPSHLQrr	= 7794,
+    X86_VPSHLWmr	= 7795,
+    X86_VPSHLWrm	= 7796,
+    X86_VPSHLWrr	= 7797,
+    X86_VPSHUFBYrm	= 7798,
+    X86_VPSHUFBYrr	= 7799,
+    X86_VPSHUFBrm	= 7800,
+    X86_VPSHUFBrr	= 7801,
+    X86_VPSHUFDYmi	= 7802,
+    X86_VPSHUFDYri	= 7803,
+    X86_VPSHUFDZmi	= 7804,
+    X86_VPSHUFDZri	= 7805,
+    X86_VPSHUFDmi	= 7806,
+    X86_VPSHUFDri	= 7807,
+    X86_VPSHUFHWYmi	= 7808,
+    X86_VPSHUFHWYri	= 7809,
+    X86_VPSHUFHWmi	= 7810,
+    X86_VPSHUFHWri	= 7811,
+    X86_VPSHUFLWYmi	= 7812,
+    X86_VPSHUFLWYri	= 7813,
+    X86_VPSHUFLWmi	= 7814,
+    X86_VPSHUFLWri	= 7815,
+    X86_VPSIGNBYrm	= 7816,
+    X86_VPSIGNBYrr	= 7817,
+    X86_VPSIGNBrm	= 7818,
+    X86_VPSIGNBrr	= 7819,
+    X86_VPSIGNDYrm	= 7820,
+    X86_VPSIGNDYrr	= 7821,
+    X86_VPSIGNDrm	= 7822,
+    X86_VPSIGNDrr	= 7823,
+    X86_VPSIGNWYrm	= 7824,
+    X86_VPSIGNWYrr	= 7825,
+    X86_VPSIGNWrm	= 7826,
+    X86_VPSIGNWrr	= 7827,
+    X86_VPSLLDQYri	= 7828,
+    X86_VPSLLDQri	= 7829,
+    X86_VPSLLDYri	= 7830,
+    X86_VPSLLDYrm	= 7831,
+    X86_VPSLLDYrr	= 7832,
+    X86_VPSLLDZmi	= 7833,
+    X86_VPSLLDZmik	= 7834,
+    X86_VPSLLDZmikz	= 7835,
+    X86_VPSLLDZri	= 7836,
+    X86_VPSLLDZrik	= 7837,
+    X86_VPSLLDZrikz	= 7838,
+    X86_VPSLLDZrm	= 7839,
+    X86_VPSLLDZrmk	= 7840,
+    X86_VPSLLDZrmkz	= 7841,
+    X86_VPSLLDZrr	= 7842,
+    X86_VPSLLDZrrk	= 7843,
+    X86_VPSLLDZrrkz	= 7844,
+    X86_VPSLLDri	= 7845,
+    X86_VPSLLDrm	= 7846,
+    X86_VPSLLDrr	= 7847,
+    X86_VPSLLQYri	= 7848,
+    X86_VPSLLQYrm	= 7849,
+    X86_VPSLLQYrr	= 7850,
+    X86_VPSLLQZmi	= 7851,
+    X86_VPSLLQZmik	= 7852,
+    X86_VPSLLQZmikz	= 7853,
+    X86_VPSLLQZri	= 7854,
+    X86_VPSLLQZrik	= 7855,
+    X86_VPSLLQZrikz	= 7856,
+    X86_VPSLLQZrm	= 7857,
+    X86_VPSLLQZrmk	= 7858,
+    X86_VPSLLQZrmkz	= 7859,
+    X86_VPSLLQZrr	= 7860,
+    X86_VPSLLQZrrk	= 7861,
+    X86_VPSLLQZrrkz	= 7862,
+    X86_VPSLLQri	= 7863,
+    X86_VPSLLQrm	= 7864,
+    X86_VPSLLQrr	= 7865,
+    X86_VPSLLVDYrm	= 7866,
+    X86_VPSLLVDYrr	= 7867,
+    X86_VPSLLVDZrm	= 7868,
+    X86_VPSLLVDZrmk	= 7869,
+    X86_VPSLLVDZrmkz	= 7870,
+    X86_VPSLLVDZrr	= 7871,
+    X86_VPSLLVDZrrk	= 7872,
+    X86_VPSLLVDZrrkz	= 7873,
+    X86_VPSLLVDrm	= 7874,
+    X86_VPSLLVDrr	= 7875,
+    X86_VPSLLVQYrm	= 7876,
+    X86_VPSLLVQYrr	= 7877,
+    X86_VPSLLVQZrm	= 7878,
+    X86_VPSLLVQZrmk	= 7879,
+    X86_VPSLLVQZrmkz	= 7880,
+    X86_VPSLLVQZrr	= 7881,
+    X86_VPSLLVQZrrk	= 7882,
+    X86_VPSLLVQZrrkz	= 7883,
+    X86_VPSLLVQrm	= 7884,
+    X86_VPSLLVQrr	= 7885,
+    X86_VPSLLWYri	= 7886,
+    X86_VPSLLWYrm	= 7887,
+    X86_VPSLLWYrr	= 7888,
+    X86_VPSLLWri	= 7889,
+    X86_VPSLLWrm	= 7890,
+    X86_VPSLLWrr	= 7891,
+    X86_VPSRADYri	= 7892,
+    X86_VPSRADYrm	= 7893,
+    X86_VPSRADYrr	= 7894,
+    X86_VPSRADZmi	= 7895,
+    X86_VPSRADZmik	= 7896,
+    X86_VPSRADZmikz	= 7897,
+    X86_VPSRADZri	= 7898,
+    X86_VPSRADZrik	= 7899,
+    X86_VPSRADZrikz	= 7900,
+    X86_VPSRADZrm	= 7901,
+    X86_VPSRADZrmk	= 7902,
+    X86_VPSRADZrmkz	= 7903,
+    X86_VPSRADZrr	= 7904,
+    X86_VPSRADZrrk	= 7905,
+    X86_VPSRADZrrkz	= 7906,
+    X86_VPSRADri	= 7907,
+    X86_VPSRADrm	= 7908,
+    X86_VPSRADrr	= 7909,
+    X86_VPSRAQZmi	= 7910,
+    X86_VPSRAQZmik	= 7911,
+    X86_VPSRAQZmikz	= 7912,
+    X86_VPSRAQZri	= 7913,
+    X86_VPSRAQZrik	= 7914,
+    X86_VPSRAQZrikz	= 7915,
+    X86_VPSRAQZrm	= 7916,
+    X86_VPSRAQZrmk	= 7917,
+    X86_VPSRAQZrmkz	= 7918,
+    X86_VPSRAQZrr	= 7919,
+    X86_VPSRAQZrrk	= 7920,
+    X86_VPSRAQZrrkz	= 7921,
+    X86_VPSRAVDYrm	= 7922,
+    X86_VPSRAVDYrr	= 7923,
+    X86_VPSRAVDZrm	= 7924,
+    X86_VPSRAVDZrmk	= 7925,
+    X86_VPSRAVDZrmkz	= 7926,
+    X86_VPSRAVDZrr	= 7927,
+    X86_VPSRAVDZrrk	= 7928,
+    X86_VPSRAVDZrrkz	= 7929,
+    X86_VPSRAVDrm	= 7930,
+    X86_VPSRAVDrr	= 7931,
+    X86_VPSRAVQZrm	= 7932,
+    X86_VPSRAVQZrmk	= 7933,
+    X86_VPSRAVQZrmkz	= 7934,
+    X86_VPSRAVQZrr	= 7935,
+    X86_VPSRAVQZrrk	= 7936,
+    X86_VPSRAVQZrrkz	= 7937,
+    X86_VPSRAWYri	= 7938,
+    X86_VPSRAWYrm	= 7939,
+    X86_VPSRAWYrr	= 7940,
+    X86_VPSRAWri	= 7941,
+    X86_VPSRAWrm	= 7942,
+    X86_VPSRAWrr	= 7943,
+    X86_VPSRLDQYri	= 7944,
+    X86_VPSRLDQri	= 7945,
+    X86_VPSRLDYri	= 7946,
+    X86_VPSRLDYrm	= 7947,
+    X86_VPSRLDYrr	= 7948,
+    X86_VPSRLDZmi	= 7949,
+    X86_VPSRLDZmik	= 7950,
+    X86_VPSRLDZmikz	= 7951,
+    X86_VPSRLDZri	= 7952,
+    X86_VPSRLDZrik	= 7953,
+    X86_VPSRLDZrikz	= 7954,
+    X86_VPSRLDZrm	= 7955,
+    X86_VPSRLDZrmk	= 7956,
+    X86_VPSRLDZrmkz	= 7957,
+    X86_VPSRLDZrr	= 7958,
+    X86_VPSRLDZrrk	= 7959,
+    X86_VPSRLDZrrkz	= 7960,
+    X86_VPSRLDri	= 7961,
+    X86_VPSRLDrm	= 7962,
+    X86_VPSRLDrr	= 7963,
+    X86_VPSRLQYri	= 7964,
+    X86_VPSRLQYrm	= 7965,
+    X86_VPSRLQYrr	= 7966,
+    X86_VPSRLQZmi	= 7967,
+    X86_VPSRLQZmik	= 7968,
+    X86_VPSRLQZmikz	= 7969,
+    X86_VPSRLQZri	= 7970,
+    X86_VPSRLQZrik	= 7971,
+    X86_VPSRLQZrikz	= 7972,
+    X86_VPSRLQZrm	= 7973,
+    X86_VPSRLQZrmk	= 7974,
+    X86_VPSRLQZrmkz	= 7975,
+    X86_VPSRLQZrr	= 7976,
+    X86_VPSRLQZrrk	= 7977,
+    X86_VPSRLQZrrkz	= 7978,
+    X86_VPSRLQri	= 7979,
+    X86_VPSRLQrm	= 7980,
+    X86_VPSRLQrr	= 7981,
+    X86_VPSRLVDYrm	= 7982,
+    X86_VPSRLVDYrr	= 7983,
+    X86_VPSRLVDZrm	= 7984,
+    X86_VPSRLVDZrmk	= 7985,
+    X86_VPSRLVDZrmkz	= 7986,
+    X86_VPSRLVDZrr	= 7987,
+    X86_VPSRLVDZrrk	= 7988,
+    X86_VPSRLVDZrrkz	= 7989,
+    X86_VPSRLVDrm	= 7990,
+    X86_VPSRLVDrr	= 7991,
+    X86_VPSRLVQYrm	= 7992,
+    X86_VPSRLVQYrr	= 7993,
+    X86_VPSRLVQZrm	= 7994,
+    X86_VPSRLVQZrmk	= 7995,
+    X86_VPSRLVQZrmkz	= 7996,
+    X86_VPSRLVQZrr	= 7997,
+    X86_VPSRLVQZrrk	= 7998,
+    X86_VPSRLVQZrrkz	= 7999,
+    X86_VPSRLVQrm	= 8000,
+    X86_VPSRLVQrr	= 8001,
+    X86_VPSRLWYri	= 8002,
+    X86_VPSRLWYrm	= 8003,
+    X86_VPSRLWYrr	= 8004,
+    X86_VPSRLWri	= 8005,
+    X86_VPSRLWrm	= 8006,
+    X86_VPSRLWrr	= 8007,
+    X86_VPSUBBYrm	= 8008,
+    X86_VPSUBBYrr	= 8009,
+    X86_VPSUBBZ128rm	= 8010,
+    X86_VPSUBBZ128rmk	= 8011,
+    X86_VPSUBBZ128rmkz	= 8012,
+    X86_VPSUBBZ128rr	= 8013,
+    X86_VPSUBBZ128rrk	= 8014,
+    X86_VPSUBBZ128rrkz	= 8015,
+    X86_VPSUBBZ256rm	= 8016,
+    X86_VPSUBBZ256rmk	= 8017,
+    X86_VPSUBBZ256rmkz	= 8018,
+    X86_VPSUBBZ256rr	= 8019,
+    X86_VPSUBBZ256rrk	= 8020,
+    X86_VPSUBBZ256rrkz	= 8021,
+    X86_VPSUBBZrm	= 8022,
+    X86_VPSUBBZrmk	= 8023,
+    X86_VPSUBBZrmkz	= 8024,
+    X86_VPSUBBZrr	= 8025,
+    X86_VPSUBBZrrk	= 8026,
+    X86_VPSUBBZrrkz	= 8027,
+    X86_VPSUBBrm	= 8028,
+    X86_VPSUBBrr	= 8029,
+    X86_VPSUBDYrm	= 8030,
+    X86_VPSUBDYrr	= 8031,
+    X86_VPSUBDZ128rm	= 8032,
+    X86_VPSUBDZ128rmb	= 8033,
+    X86_VPSUBDZ128rmbk	= 8034,
+    X86_VPSUBDZ128rmbkz	= 8035,
+    X86_VPSUBDZ128rmk	= 8036,
+    X86_VPSUBDZ128rmkz	= 8037,
+    X86_VPSUBDZ128rr	= 8038,
+    X86_VPSUBDZ128rrk	= 8039,
+    X86_VPSUBDZ128rrkz	= 8040,
+    X86_VPSUBDZ256rm	= 8041,
+    X86_VPSUBDZ256rmb	= 8042,
+    X86_VPSUBDZ256rmbk	= 8043,
+    X86_VPSUBDZ256rmbkz	= 8044,
+    X86_VPSUBDZ256rmk	= 8045,
+    X86_VPSUBDZ256rmkz	= 8046,
+    X86_VPSUBDZ256rr	= 8047,
+    X86_VPSUBDZ256rrk	= 8048,
+    X86_VPSUBDZ256rrkz	= 8049,
+    X86_VPSUBDZrm	= 8050,
+    X86_VPSUBDZrmb	= 8051,
+    X86_VPSUBDZrmbk	= 8052,
+    X86_VPSUBDZrmbkz	= 8053,
+    X86_VPSUBDZrmk	= 8054,
+    X86_VPSUBDZrmkz	= 8055,
+    X86_VPSUBDZrr	= 8056,
+    X86_VPSUBDZrrk	= 8057,
+    X86_VPSUBDZrrkz	= 8058,
+    X86_VPSUBDrm	= 8059,
+    X86_VPSUBDrr	= 8060,
+    X86_VPSUBQYrm	= 8061,
+    X86_VPSUBQYrr	= 8062,
+    X86_VPSUBQZ128rm	= 8063,
+    X86_VPSUBQZ128rmb	= 8064,
+    X86_VPSUBQZ128rmbk	= 8065,
+    X86_VPSUBQZ128rmbkz	= 8066,
+    X86_VPSUBQZ128rmk	= 8067,
+    X86_VPSUBQZ128rmkz	= 8068,
+    X86_VPSUBQZ128rr	= 8069,
+    X86_VPSUBQZ128rrk	= 8070,
+    X86_VPSUBQZ128rrkz	= 8071,
+    X86_VPSUBQZ256rm	= 8072,
+    X86_VPSUBQZ256rmb	= 8073,
+    X86_VPSUBQZ256rmbk	= 8074,
+    X86_VPSUBQZ256rmbkz	= 8075,
+    X86_VPSUBQZ256rmk	= 8076,
+    X86_VPSUBQZ256rmkz	= 8077,
+    X86_VPSUBQZ256rr	= 8078,
+    X86_VPSUBQZ256rrk	= 8079,
+    X86_VPSUBQZ256rrkz	= 8080,
+    X86_VPSUBQZrm	= 8081,
+    X86_VPSUBQZrmb	= 8082,
+    X86_VPSUBQZrmbk	= 8083,
+    X86_VPSUBQZrmbkz	= 8084,
+    X86_VPSUBQZrmk	= 8085,
+    X86_VPSUBQZrmkz	= 8086,
+    X86_VPSUBQZrr	= 8087,
+    X86_VPSUBQZrrk	= 8088,
+    X86_VPSUBQZrrkz	= 8089,
+    X86_VPSUBQrm	= 8090,
+    X86_VPSUBQrr	= 8091,
+    X86_VPSUBSBYrm	= 8092,
+    X86_VPSUBSBYrr	= 8093,
+    X86_VPSUBSBrm	= 8094,
+    X86_VPSUBSBrr	= 8095,
+    X86_VPSUBSWYrm	= 8096,
+    X86_VPSUBSWYrr	= 8097,
+    X86_VPSUBSWrm	= 8098,
+    X86_VPSUBSWrr	= 8099,
+    X86_VPSUBUSBYrm	= 8100,
+    X86_VPSUBUSBYrr	= 8101,
+    X86_VPSUBUSBrm	= 8102,
+    X86_VPSUBUSBrr	= 8103,
+    X86_VPSUBUSWYrm	= 8104,
+    X86_VPSUBUSWYrr	= 8105,
+    X86_VPSUBUSWrm	= 8106,
+    X86_VPSUBUSWrr	= 8107,
+    X86_VPSUBWYrm	= 8108,
+    X86_VPSUBWYrr	= 8109,
+    X86_VPSUBWZ128rm	= 8110,
+    X86_VPSUBWZ128rmk	= 8111,
+    X86_VPSUBWZ128rmkz	= 8112,
+    X86_VPSUBWZ128rr	= 8113,
+    X86_VPSUBWZ128rrk	= 8114,
+    X86_VPSUBWZ128rrkz	= 8115,
+    X86_VPSUBWZ256rm	= 8116,
+    X86_VPSUBWZ256rmk	= 8117,
+    X86_VPSUBWZ256rmkz	= 8118,
+    X86_VPSUBWZ256rr	= 8119,
+    X86_VPSUBWZ256rrk	= 8120,
+    X86_VPSUBWZ256rrkz	= 8121,
+    X86_VPSUBWZrm	= 8122,
+    X86_VPSUBWZrmk	= 8123,
+    X86_VPSUBWZrmkz	= 8124,
+    X86_VPSUBWZrr	= 8125,
+    X86_VPSUBWZrrk	= 8126,
+    X86_VPSUBWZrrkz	= 8127,
+    X86_VPSUBWrm	= 8128,
+    X86_VPSUBWrr	= 8129,
+    X86_VPTESTMDZrm	= 8130,
+    X86_VPTESTMDZrr	= 8131,
+    X86_VPTESTMQZrm	= 8132,
+    X86_VPTESTMQZrr	= 8133,
+    X86_VPTESTNMDZrm	= 8134,
+    X86_VPTESTNMDZrr	= 8135,
+    X86_VPTESTNMQZrm	= 8136,
+    X86_VPTESTNMQZrr	= 8137,
+    X86_VPTESTYrm	= 8138,
+    X86_VPTESTYrr	= 8139,
+    X86_VPTESTrm	= 8140,
+    X86_VPTESTrr	= 8141,
+    X86_VPUNPCKHBWYrm	= 8142,
+    X86_VPUNPCKHBWYrr	= 8143,
+    X86_VPUNPCKHBWrm	= 8144,
+    X86_VPUNPCKHBWrr	= 8145,
+    X86_VPUNPCKHDQYrm	= 8146,
+    X86_VPUNPCKHDQYrr	= 8147,
+    X86_VPUNPCKHDQZrm	= 8148,
+    X86_VPUNPCKHDQZrr	= 8149,
+    X86_VPUNPCKHDQrm	= 8150,
+    X86_VPUNPCKHDQrr	= 8151,
+    X86_VPUNPCKHQDQYrm	= 8152,
+    X86_VPUNPCKHQDQYrr	= 8153,
+    X86_VPUNPCKHQDQZrm	= 8154,
+    X86_VPUNPCKHQDQZrr	= 8155,
+    X86_VPUNPCKHQDQrm	= 8156,
+    X86_VPUNPCKHQDQrr	= 8157,
+    X86_VPUNPCKHWDYrm	= 8158,
+    X86_VPUNPCKHWDYrr	= 8159,
+    X86_VPUNPCKHWDrm	= 8160,
+    X86_VPUNPCKHWDrr	= 8161,
+    X86_VPUNPCKLBWYrm	= 8162,
+    X86_VPUNPCKLBWYrr	= 8163,
+    X86_VPUNPCKLBWrm	= 8164,
+    X86_VPUNPCKLBWrr	= 8165,
+    X86_VPUNPCKLDQYrm	= 8166,
+    X86_VPUNPCKLDQYrr	= 8167,
+    X86_VPUNPCKLDQZrm	= 8168,
+    X86_VPUNPCKLDQZrr	= 8169,
+    X86_VPUNPCKLDQrm	= 8170,
+    X86_VPUNPCKLDQrr	= 8171,
+    X86_VPUNPCKLQDQYrm	= 8172,
+    X86_VPUNPCKLQDQYrr	= 8173,
+    X86_VPUNPCKLQDQZrm	= 8174,
+    X86_VPUNPCKLQDQZrr	= 8175,
+    X86_VPUNPCKLQDQrm	= 8176,
+    X86_VPUNPCKLQDQrr	= 8177,
+    X86_VPUNPCKLWDYrm	= 8178,
+    X86_VPUNPCKLWDYrr	= 8179,
+    X86_VPUNPCKLWDrm	= 8180,
+    X86_VPUNPCKLWDrr	= 8181,
+    X86_VPXORDZ128rm	= 8182,
+    X86_VPXORDZ128rmb	= 8183,
+    X86_VPXORDZ128rmbk	= 8184,
+    X86_VPXORDZ128rmbkz	= 8185,
+    X86_VPXORDZ128rmk	= 8186,
+    X86_VPXORDZ128rmkz	= 8187,
+    X86_VPXORDZ128rr	= 8188,
+    X86_VPXORDZ128rrk	= 8189,
+    X86_VPXORDZ128rrkz	= 8190,
+    X86_VPXORDZ256rm	= 8191,
+    X86_VPXORDZ256rmb	= 8192,
+    X86_VPXORDZ256rmbk	= 8193,
+    X86_VPXORDZ256rmbkz	= 8194,
+    X86_VPXORDZ256rmk	= 8195,
+    X86_VPXORDZ256rmkz	= 8196,
+    X86_VPXORDZ256rr	= 8197,
+    X86_VPXORDZ256rrk	= 8198,
+    X86_VPXORDZ256rrkz	= 8199,
+    X86_VPXORDZrm	= 8200,
+    X86_VPXORDZrmb	= 8201,
+    X86_VPXORDZrmbk	= 8202,
+    X86_VPXORDZrmbkz	= 8203,
+    X86_VPXORDZrmk	= 8204,
+    X86_VPXORDZrmkz	= 8205,
+    X86_VPXORDZrr	= 8206,
+    X86_VPXORDZrrk	= 8207,
+    X86_VPXORDZrrkz	= 8208,
+    X86_VPXORQZ128rm	= 8209,
+    X86_VPXORQZ128rmb	= 8210,
+    X86_VPXORQZ128rmbk	= 8211,
+    X86_VPXORQZ128rmbkz	= 8212,
+    X86_VPXORQZ128rmk	= 8213,
+    X86_VPXORQZ128rmkz	= 8214,
+    X86_VPXORQZ128rr	= 8215,
+    X86_VPXORQZ128rrk	= 8216,
+    X86_VPXORQZ128rrkz	= 8217,
+    X86_VPXORQZ256rm	= 8218,
+    X86_VPXORQZ256rmb	= 8219,
+    X86_VPXORQZ256rmbk	= 8220,
+    X86_VPXORQZ256rmbkz	= 8221,
+    X86_VPXORQZ256rmk	= 8222,
+    X86_VPXORQZ256rmkz	= 8223,
+    X86_VPXORQZ256rr	= 8224,
+    X86_VPXORQZ256rrk	= 8225,
+    X86_VPXORQZ256rrkz	= 8226,
+    X86_VPXORQZrm	= 8227,
+    X86_VPXORQZrmb	= 8228,
+    X86_VPXORQZrmbk	= 8229,
+    X86_VPXORQZrmbkz	= 8230,
+    X86_VPXORQZrmk	= 8231,
+    X86_VPXORQZrmkz	= 8232,
+    X86_VPXORQZrr	= 8233,
+    X86_VPXORQZrrk	= 8234,
+    X86_VPXORQZrrkz	= 8235,
+    X86_VPXORYrm	= 8236,
+    X86_VPXORYrr	= 8237,
+    X86_VPXORrm	= 8238,
+    X86_VPXORrr	= 8239,
+    X86_VRCP14PDZ128m	= 8240,
+    X86_VRCP14PDZ128mb	= 8241,
+    X86_VRCP14PDZ128mbk	= 8242,
+    X86_VRCP14PDZ128mbkz	= 8243,
+    X86_VRCP14PDZ128mk	= 8244,
+    X86_VRCP14PDZ128mkz	= 8245,
+    X86_VRCP14PDZ128r	= 8246,
+    X86_VRCP14PDZ128rk	= 8247,
+    X86_VRCP14PDZ128rkz	= 8248,
+    X86_VRCP14PDZ256m	= 8249,
+    X86_VRCP14PDZ256mb	= 8250,
+    X86_VRCP14PDZ256mbk	= 8251,
+    X86_VRCP14PDZ256mbkz	= 8252,
+    X86_VRCP14PDZ256mk	= 8253,
+    X86_VRCP14PDZ256mkz	= 8254,
+    X86_VRCP14PDZ256r	= 8255,
+    X86_VRCP14PDZ256rk	= 8256,
+    X86_VRCP14PDZ256rkz	= 8257,
+    X86_VRCP14PDZm	= 8258,
+    X86_VRCP14PDZmb	= 8259,
+    X86_VRCP14PDZmbk	= 8260,
+    X86_VRCP14PDZmbkz	= 8261,
+    X86_VRCP14PDZmk	= 8262,
+    X86_VRCP14PDZmkz	= 8263,
+    X86_VRCP14PDZr	= 8264,
+    X86_VRCP14PDZrk	= 8265,
+    X86_VRCP14PDZrkz	= 8266,
+    X86_VRCP14PSZ128m	= 8267,
+    X86_VRCP14PSZ128mb	= 8268,
+    X86_VRCP14PSZ128mbk	= 8269,
+    X86_VRCP14PSZ128mbkz	= 8270,
+    X86_VRCP14PSZ128mk	= 8271,
+    X86_VRCP14PSZ128mkz	= 8272,
+    X86_VRCP14PSZ128r	= 8273,
+    X86_VRCP14PSZ128rk	= 8274,
+    X86_VRCP14PSZ128rkz	= 8275,
+    X86_VRCP14PSZ256m	= 8276,
+    X86_VRCP14PSZ256mb	= 8277,
+    X86_VRCP14PSZ256mbk	= 8278,
+    X86_VRCP14PSZ256mbkz	= 8279,
+    X86_VRCP14PSZ256mk	= 8280,
+    X86_VRCP14PSZ256mkz	= 8281,
+    X86_VRCP14PSZ256r	= 8282,
+    X86_VRCP14PSZ256rk	= 8283,
+    X86_VRCP14PSZ256rkz	= 8284,
+    X86_VRCP14PSZm	= 8285,
+    X86_VRCP14PSZmb	= 8286,
+    X86_VRCP14PSZmbk	= 8287,
+    X86_VRCP14PSZmbkz	= 8288,
+    X86_VRCP14PSZmk	= 8289,
+    X86_VRCP14PSZmkz	= 8290,
+    X86_VRCP14PSZr	= 8291,
+    X86_VRCP14PSZrk	= 8292,
+    X86_VRCP14PSZrkz	= 8293,
+    X86_VRCP14SDrm	= 8294,
+    X86_VRCP14SDrr	= 8295,
+    X86_VRCP14SSrm	= 8296,
+    X86_VRCP14SSrr	= 8297,
+    X86_VRCP28PDm	= 8298,
+    X86_VRCP28PDmb	= 8299,
+    X86_VRCP28PDmbk	= 8300,
+    X86_VRCP28PDmbkz	= 8301,
+    X86_VRCP28PDmk	= 8302,
+    X86_VRCP28PDmkz	= 8303,
+    X86_VRCP28PDr	= 8304,
+    X86_VRCP28PDrb	= 8305,
+    X86_VRCP28PDrbk	= 8306,
+    X86_VRCP28PDrbkz	= 8307,
+    X86_VRCP28PDrk	= 8308,
+    X86_VRCP28PDrkz	= 8309,
+    X86_VRCP28PSm	= 8310,
+    X86_VRCP28PSmb	= 8311,
+    X86_VRCP28PSmbk	= 8312,
+    X86_VRCP28PSmbkz	= 8313,
+    X86_VRCP28PSmk	= 8314,
+    X86_VRCP28PSmkz	= 8315,
+    X86_VRCP28PSr	= 8316,
+    X86_VRCP28PSrb	= 8317,
+    X86_VRCP28PSrbk	= 8318,
+    X86_VRCP28PSrbkz	= 8319,
+    X86_VRCP28PSrk	= 8320,
+    X86_VRCP28PSrkz	= 8321,
+    X86_VRCP28SDm	= 8322,
+    X86_VRCP28SDmk	= 8323,
+    X86_VRCP28SDmkz	= 8324,
+    X86_VRCP28SDr	= 8325,
+    X86_VRCP28SDrb	= 8326,
+    X86_VRCP28SDrbk	= 8327,
+    X86_VRCP28SDrbkz	= 8328,
+    X86_VRCP28SDrk	= 8329,
+    X86_VRCP28SDrkz	= 8330,
+    X86_VRCP28SSm	= 8331,
+    X86_VRCP28SSmk	= 8332,
+    X86_VRCP28SSmkz	= 8333,
+    X86_VRCP28SSr	= 8334,
+    X86_VRCP28SSrb	= 8335,
+    X86_VRCP28SSrbk	= 8336,
+    X86_VRCP28SSrbkz	= 8337,
+    X86_VRCP28SSrk	= 8338,
+    X86_VRCP28SSrkz	= 8339,
+    X86_VRCPPSYm	= 8340,
+    X86_VRCPPSYm_Int	= 8341,
+    X86_VRCPPSYr	= 8342,
+    X86_VRCPPSYr_Int	= 8343,
+    X86_VRCPPSm	= 8344,
+    X86_VRCPPSm_Int	= 8345,
+    X86_VRCPPSr	= 8346,
+    X86_VRCPPSr_Int	= 8347,
+    X86_VRCPSSm	= 8348,
+    X86_VRCPSSm_Int	= 8349,
+    X86_VRCPSSr	= 8350,
+    X86_VRNDSCALEPDZm	= 8351,
+    X86_VRNDSCALEPDZr	= 8352,
+    X86_VRNDSCALEPSZm	= 8353,
+    X86_VRNDSCALEPSZr	= 8354,
+    X86_VRNDSCALESDm	= 8355,
+    X86_VRNDSCALESDmk	= 8356,
+    X86_VRNDSCALESDmkz	= 8357,
+    X86_VRNDSCALESDr	= 8358,
+    X86_VRNDSCALESDrb	= 8359,
+    X86_VRNDSCALESDrbk	= 8360,
+    X86_VRNDSCALESDrbkz	= 8361,
+    X86_VRNDSCALESDrk	= 8362,
+    X86_VRNDSCALESDrkz	= 8363,
+    X86_VRNDSCALESSm	= 8364,
+    X86_VRNDSCALESSmk	= 8365,
+    X86_VRNDSCALESSmkz	= 8366,
+    X86_VRNDSCALESSr	= 8367,
+    X86_VRNDSCALESSrb	= 8368,
+    X86_VRNDSCALESSrbk	= 8369,
+    X86_VRNDSCALESSrbkz	= 8370,
+    X86_VRNDSCALESSrk	= 8371,
+    X86_VRNDSCALESSrkz	= 8372,
+    X86_VROUNDPDm	= 8373,
+    X86_VROUNDPDr	= 8374,
+    X86_VROUNDPSm	= 8375,
+    X86_VROUNDPSr	= 8376,
+    X86_VROUNDSDm	= 8377,
+    X86_VROUNDSDr	= 8378,
+    X86_VROUNDSDr_Int	= 8379,
+    X86_VROUNDSSm	= 8380,
+    X86_VROUNDSSr	= 8381,
+    X86_VROUNDSSr_Int	= 8382,
+    X86_VROUNDYPDm	= 8383,
+    X86_VROUNDYPDr	= 8384,
+    X86_VROUNDYPSm	= 8385,
+    X86_VROUNDYPSr	= 8386,
+    X86_VRSQRT14PDZ128m	= 8387,
+    X86_VRSQRT14PDZ128mb	= 8388,
+    X86_VRSQRT14PDZ128mbk	= 8389,
+    X86_VRSQRT14PDZ128mbkz	= 8390,
+    X86_VRSQRT14PDZ128mk	= 8391,
+    X86_VRSQRT14PDZ128mkz	= 8392,
+    X86_VRSQRT14PDZ128r	= 8393,
+    X86_VRSQRT14PDZ128rk	= 8394,
+    X86_VRSQRT14PDZ128rkz	= 8395,
+    X86_VRSQRT14PDZ256m	= 8396,
+    X86_VRSQRT14PDZ256mb	= 8397,
+    X86_VRSQRT14PDZ256mbk	= 8398,
+    X86_VRSQRT14PDZ256mbkz	= 8399,
+    X86_VRSQRT14PDZ256mk	= 8400,
+    X86_VRSQRT14PDZ256mkz	= 8401,
+    X86_VRSQRT14PDZ256r	= 8402,
+    X86_VRSQRT14PDZ256rk	= 8403,
+    X86_VRSQRT14PDZ256rkz	= 8404,
+    X86_VRSQRT14PDZm	= 8405,
+    X86_VRSQRT14PDZmb	= 8406,
+    X86_VRSQRT14PDZmbk	= 8407,
+    X86_VRSQRT14PDZmbkz	= 8408,
+    X86_VRSQRT14PDZmk	= 8409,
+    X86_VRSQRT14PDZmkz	= 8410,
+    X86_VRSQRT14PDZr	= 8411,
+    X86_VRSQRT14PDZrk	= 8412,
+    X86_VRSQRT14PDZrkz	= 8413,
+    X86_VRSQRT14PSZ128m	= 8414,
+    X86_VRSQRT14PSZ128mb	= 8415,
+    X86_VRSQRT14PSZ128mbk	= 8416,
+    X86_VRSQRT14PSZ128mbkz	= 8417,
+    X86_VRSQRT14PSZ128mk	= 8418,
+    X86_VRSQRT14PSZ128mkz	= 8419,
+    X86_VRSQRT14PSZ128r	= 8420,
+    X86_VRSQRT14PSZ128rk	= 8421,
+    X86_VRSQRT14PSZ128rkz	= 8422,
+    X86_VRSQRT14PSZ256m	= 8423,
+    X86_VRSQRT14PSZ256mb	= 8424,
+    X86_VRSQRT14PSZ256mbk	= 8425,
+    X86_VRSQRT14PSZ256mbkz	= 8426,
+    X86_VRSQRT14PSZ256mk	= 8427,
+    X86_VRSQRT14PSZ256mkz	= 8428,
+    X86_VRSQRT14PSZ256r	= 8429,
+    X86_VRSQRT14PSZ256rk	= 8430,
+    X86_VRSQRT14PSZ256rkz	= 8431,
+    X86_VRSQRT14PSZm	= 8432,
+    X86_VRSQRT14PSZmb	= 8433,
+    X86_VRSQRT14PSZmbk	= 8434,
+    X86_VRSQRT14PSZmbkz	= 8435,
+    X86_VRSQRT14PSZmk	= 8436,
+    X86_VRSQRT14PSZmkz	= 8437,
+    X86_VRSQRT14PSZr	= 8438,
+    X86_VRSQRT14PSZrk	= 8439,
+    X86_VRSQRT14PSZrkz	= 8440,
+    X86_VRSQRT14SDrm	= 8441,
+    X86_VRSQRT14SDrr	= 8442,
+    X86_VRSQRT14SSrm	= 8443,
+    X86_VRSQRT14SSrr	= 8444,
+    X86_VRSQRT28PDm	= 8445,
+    X86_VRSQRT28PDmb	= 8446,
+    X86_VRSQRT28PDmbk	= 8447,
+    X86_VRSQRT28PDmbkz	= 8448,
+    X86_VRSQRT28PDmk	= 8449,
+    X86_VRSQRT28PDmkz	= 8450,
+    X86_VRSQRT28PDr	= 8451,
+    X86_VRSQRT28PDrb	= 8452,
+    X86_VRSQRT28PDrbk	= 8453,
+    X86_VRSQRT28PDrbkz	= 8454,
+    X86_VRSQRT28PDrk	= 8455,
+    X86_VRSQRT28PDrkz	= 8456,
+    X86_VRSQRT28PSm	= 8457,
+    X86_VRSQRT28PSmb	= 8458,
+    X86_VRSQRT28PSmbk	= 8459,
+    X86_VRSQRT28PSmbkz	= 8460,
+    X86_VRSQRT28PSmk	= 8461,
+    X86_VRSQRT28PSmkz	= 8462,
+    X86_VRSQRT28PSr	= 8463,
+    X86_VRSQRT28PSrb	= 8464,
+    X86_VRSQRT28PSrbk	= 8465,
+    X86_VRSQRT28PSrbkz	= 8466,
+    X86_VRSQRT28PSrk	= 8467,
+    X86_VRSQRT28PSrkz	= 8468,
+    X86_VRSQRT28SDm	= 8469,
+    X86_VRSQRT28SDmk	= 8470,
+    X86_VRSQRT28SDmkz	= 8471,
+    X86_VRSQRT28SDr	= 8472,
+    X86_VRSQRT28SDrb	= 8473,
+    X86_VRSQRT28SDrbk	= 8474,
+    X86_VRSQRT28SDrbkz	= 8475,
+    X86_VRSQRT28SDrk	= 8476,
+    X86_VRSQRT28SDrkz	= 8477,
+    X86_VRSQRT28SSm	= 8478,
+    X86_VRSQRT28SSmk	= 8479,
+    X86_VRSQRT28SSmkz	= 8480,
+    X86_VRSQRT28SSr	= 8481,
+    X86_VRSQRT28SSrb	= 8482,
+    X86_VRSQRT28SSrbk	= 8483,
+    X86_VRSQRT28SSrbkz	= 8484,
+    X86_VRSQRT28SSrk	= 8485,
+    X86_VRSQRT28SSrkz	= 8486,
+    X86_VRSQRTPSYm	= 8487,
+    X86_VRSQRTPSYm_Int	= 8488,
+    X86_VRSQRTPSYr	= 8489,
+    X86_VRSQRTPSYr_Int	= 8490,
+    X86_VRSQRTPSm	= 8491,
+    X86_VRSQRTPSm_Int	= 8492,
+    X86_VRSQRTPSr	= 8493,
+    X86_VRSQRTPSr_Int	= 8494,
+    X86_VRSQRTSSm	= 8495,
+    X86_VRSQRTSSm_Int	= 8496,
+    X86_VRSQRTSSr	= 8497,
+    X86_VSCATTERDPDZmr	= 8498,
+    X86_VSCATTERDPSZmr	= 8499,
+    X86_VSCATTERPF0DPDm	= 8500,
+    X86_VSCATTERPF0DPSm	= 8501,
+    X86_VSCATTERPF0QPDm	= 8502,
+    X86_VSCATTERPF0QPSm	= 8503,
+    X86_VSCATTERPF1DPDm	= 8504,
+    X86_VSCATTERPF1DPSm	= 8505,
+    X86_VSCATTERPF1QPDm	= 8506,
+    X86_VSCATTERPF1QPSm	= 8507,
+    X86_VSCATTERQPDZmr	= 8508,
+    X86_VSCATTERQPSZmr	= 8509,
+    X86_VSHUFPDYrmi	= 8510,
+    X86_VSHUFPDYrri	= 8511,
+    X86_VSHUFPDZrmi	= 8512,
+    X86_VSHUFPDZrri	= 8513,
+    X86_VSHUFPDrmi	= 8514,
+    X86_VSHUFPDrri	= 8515,
+    X86_VSHUFPSYrmi	= 8516,
+    X86_VSHUFPSYrri	= 8517,
+    X86_VSHUFPSZrmi	= 8518,
+    X86_VSHUFPSZrri	= 8519,
+    X86_VSHUFPSrmi	= 8520,
+    X86_VSHUFPSrri	= 8521,
+    X86_VSQRTPDYm	= 8522,
+    X86_VSQRTPDYr	= 8523,
+    X86_VSQRTPDZ128m	= 8524,
+    X86_VSQRTPDZ128mb	= 8525,
+    X86_VSQRTPDZ128mbk	= 8526,
+    X86_VSQRTPDZ128mbkz	= 8527,
+    X86_VSQRTPDZ128mk	= 8528,
+    X86_VSQRTPDZ128mkz	= 8529,
+    X86_VSQRTPDZ128r	= 8530,
+    X86_VSQRTPDZ128rk	= 8531,
+    X86_VSQRTPDZ128rkz	= 8532,
+    X86_VSQRTPDZ256m	= 8533,
+    X86_VSQRTPDZ256mb	= 8534,
+    X86_VSQRTPDZ256mbk	= 8535,
+    X86_VSQRTPDZ256mbkz	= 8536,
+    X86_VSQRTPDZ256mk	= 8537,
+    X86_VSQRTPDZ256mkz	= 8538,
+    X86_VSQRTPDZ256r	= 8539,
+    X86_VSQRTPDZ256rk	= 8540,
+    X86_VSQRTPDZ256rkz	= 8541,
+    X86_VSQRTPDZm	= 8542,
+    X86_VSQRTPDZmb	= 8543,
+    X86_VSQRTPDZmbk	= 8544,
+    X86_VSQRTPDZmbkz	= 8545,
+    X86_VSQRTPDZmk	= 8546,
+    X86_VSQRTPDZmkz	= 8547,
+    X86_VSQRTPDZr	= 8548,
+    X86_VSQRTPDZrk	= 8549,
+    X86_VSQRTPDZrkz	= 8550,
+    X86_VSQRTPDm	= 8551,
+    X86_VSQRTPDr	= 8552,
+    X86_VSQRTPSYm	= 8553,
+    X86_VSQRTPSYr	= 8554,
+    X86_VSQRTPSZ128m	= 8555,
+    X86_VSQRTPSZ128mb	= 8556,
+    X86_VSQRTPSZ128mbk	= 8557,
+    X86_VSQRTPSZ128mbkz	= 8558,
+    X86_VSQRTPSZ128mk	= 8559,
+    X86_VSQRTPSZ128mkz	= 8560,
+    X86_VSQRTPSZ128r	= 8561,
+    X86_VSQRTPSZ128rk	= 8562,
+    X86_VSQRTPSZ128rkz	= 8563,
+    X86_VSQRTPSZ256m	= 8564,
+    X86_VSQRTPSZ256mb	= 8565,
+    X86_VSQRTPSZ256mbk	= 8566,
+    X86_VSQRTPSZ256mbkz	= 8567,
+    X86_VSQRTPSZ256mk	= 8568,
+    X86_VSQRTPSZ256mkz	= 8569,
+    X86_VSQRTPSZ256r	= 8570,
+    X86_VSQRTPSZ256rk	= 8571,
+    X86_VSQRTPSZ256rkz	= 8572,
+    X86_VSQRTPSZm	= 8573,
+    X86_VSQRTPSZmb	= 8574,
+    X86_VSQRTPSZmbk	= 8575,
+    X86_VSQRTPSZmbkz	= 8576,
+    X86_VSQRTPSZmk	= 8577,
+    X86_VSQRTPSZmkz	= 8578,
+    X86_VSQRTPSZr	= 8579,
+    X86_VSQRTPSZrk	= 8580,
+    X86_VSQRTPSZrkz	= 8581,
+    X86_VSQRTPSm	= 8582,
+    X86_VSQRTPSr	= 8583,
+    X86_VSQRTSDZm	= 8584,
+    X86_VSQRTSDZm_Int	= 8585,
+    X86_VSQRTSDZr	= 8586,
+    X86_VSQRTSDZr_Int	= 8587,
+    X86_VSQRTSDm	= 8588,
+    X86_VSQRTSDm_Int	= 8589,
+    X86_VSQRTSDr	= 8590,
+    X86_VSQRTSSZm	= 8591,
+    X86_VSQRTSSZm_Int	= 8592,
+    X86_VSQRTSSZr	= 8593,
+    X86_VSQRTSSZr_Int	= 8594,
+    X86_VSQRTSSm	= 8595,
+    X86_VSQRTSSm_Int	= 8596,
+    X86_VSQRTSSr	= 8597,
+    X86_VSTMXCSR	= 8598,
+    X86_VSUBPDYrm	= 8599,
+    X86_VSUBPDYrr	= 8600,
+    X86_VSUBPDZ128rm	= 8601,
+    X86_VSUBPDZ128rmb	= 8602,
+    X86_VSUBPDZ128rmbk	= 8603,
+    X86_VSUBPDZ128rmbkz	= 8604,
+    X86_VSUBPDZ128rmk	= 8605,
+    X86_VSUBPDZ128rmkz	= 8606,
+    X86_VSUBPDZ128rr	= 8607,
+    X86_VSUBPDZ128rrk	= 8608,
+    X86_VSUBPDZ128rrkz	= 8609,
+    X86_VSUBPDZ256rm	= 8610,
+    X86_VSUBPDZ256rmb	= 8611,
+    X86_VSUBPDZ256rmbk	= 8612,
+    X86_VSUBPDZ256rmbkz	= 8613,
+    X86_VSUBPDZ256rmk	= 8614,
+    X86_VSUBPDZ256rmkz	= 8615,
+    X86_VSUBPDZ256rr	= 8616,
+    X86_VSUBPDZ256rrk	= 8617,
+    X86_VSUBPDZ256rrkz	= 8618,
+    X86_VSUBPDZrb	= 8619,
+    X86_VSUBPDZrbk	= 8620,
+    X86_VSUBPDZrbkz	= 8621,
+    X86_VSUBPDZrm	= 8622,
+    X86_VSUBPDZrmb	= 8623,
+    X86_VSUBPDZrmbk	= 8624,
+    X86_VSUBPDZrmbkz	= 8625,
+    X86_VSUBPDZrmk	= 8626,
+    X86_VSUBPDZrmkz	= 8627,
+    X86_VSUBPDZrr	= 8628,
+    X86_VSUBPDZrrk	= 8629,
+    X86_VSUBPDZrrkz	= 8630,
+    X86_VSUBPDrm	= 8631,
+    X86_VSUBPDrr	= 8632,
+    X86_VSUBPSYrm	= 8633,
+    X86_VSUBPSYrr	= 8634,
+    X86_VSUBPSZ128rm	= 8635,
+    X86_VSUBPSZ128rmb	= 8636,
+    X86_VSUBPSZ128rmbk	= 8637,
+    X86_VSUBPSZ128rmbkz	= 8638,
+    X86_VSUBPSZ128rmk	= 8639,
+    X86_VSUBPSZ128rmkz	= 8640,
+    X86_VSUBPSZ128rr	= 8641,
+    X86_VSUBPSZ128rrk	= 8642,
+    X86_VSUBPSZ128rrkz	= 8643,
+    X86_VSUBPSZ256rm	= 8644,
+    X86_VSUBPSZ256rmb	= 8645,
+    X86_VSUBPSZ256rmbk	= 8646,
+    X86_VSUBPSZ256rmbkz	= 8647,
+    X86_VSUBPSZ256rmk	= 8648,
+    X86_VSUBPSZ256rmkz	= 8649,
+    X86_VSUBPSZ256rr	= 8650,
+    X86_VSUBPSZ256rrk	= 8651,
+    X86_VSUBPSZ256rrkz	= 8652,
+    X86_VSUBPSZrb	= 8653,
+    X86_VSUBPSZrbk	= 8654,
+    X86_VSUBPSZrbkz	= 8655,
+    X86_VSUBPSZrm	= 8656,
+    X86_VSUBPSZrmb	= 8657,
+    X86_VSUBPSZrmbk	= 8658,
+    X86_VSUBPSZrmbkz	= 8659,
+    X86_VSUBPSZrmk	= 8660,
+    X86_VSUBPSZrmkz	= 8661,
+    X86_VSUBPSZrr	= 8662,
+    X86_VSUBPSZrrk	= 8663,
+    X86_VSUBPSZrrkz	= 8664,
+    X86_VSUBPSrm	= 8665,
+    X86_VSUBPSrr	= 8666,
+    X86_VSUBSDZrm	= 8667,
+    X86_VSUBSDZrm_Int	= 8668,
+    X86_VSUBSDZrm_Intk	= 8669,
+    X86_VSUBSDZrm_Intkz	= 8670,
+    X86_VSUBSDZrr	= 8671,
+    X86_VSUBSDZrr_Int	= 8672,
+    X86_VSUBSDZrr_Intk	= 8673,
+    X86_VSUBSDZrr_Intkz	= 8674,
+    X86_VSUBSDZrrb	= 8675,
+    X86_VSUBSDZrrbk	= 8676,
+    X86_VSUBSDZrrbkz	= 8677,
+    X86_VSUBSDrm	= 8678,
+    X86_VSUBSDrm_Int	= 8679,
+    X86_VSUBSDrr	= 8680,
+    X86_VSUBSDrr_Int	= 8681,
+    X86_VSUBSSZrm	= 8682,
+    X86_VSUBSSZrm_Int	= 8683,
+    X86_VSUBSSZrm_Intk	= 8684,
+    X86_VSUBSSZrm_Intkz	= 8685,
+    X86_VSUBSSZrr	= 8686,
+    X86_VSUBSSZrr_Int	= 8687,
+    X86_VSUBSSZrr_Intk	= 8688,
+    X86_VSUBSSZrr_Intkz	= 8689,
+    X86_VSUBSSZrrb	= 8690,
+    X86_VSUBSSZrrbk	= 8691,
+    X86_VSUBSSZrrbkz	= 8692,
+    X86_VSUBSSrm	= 8693,
+    X86_VSUBSSrm_Int	= 8694,
+    X86_VSUBSSrr	= 8695,
+    X86_VSUBSSrr_Int	= 8696,
+    X86_VTESTPDYrm	= 8697,
+    X86_VTESTPDYrr	= 8698,
+    X86_VTESTPDrm	= 8699,
+    X86_VTESTPDrr	= 8700,
+    X86_VTESTPSYrm	= 8701,
+    X86_VTESTPSYrr	= 8702,
+    X86_VTESTPSrm	= 8703,
+    X86_VTESTPSrr	= 8704,
+    X86_VUCOMISDZrm	= 8705,
+    X86_VUCOMISDZrr	= 8706,
+    X86_VUCOMISDrm	= 8707,
+    X86_VUCOMISDrr	= 8708,
+    X86_VUCOMISSZrm	= 8709,
+    X86_VUCOMISSZrr	= 8710,
+    X86_VUCOMISSrm	= 8711,
+    X86_VUCOMISSrr	= 8712,
+    X86_VUNPCKHPDYrm	= 8713,
+    X86_VUNPCKHPDYrr	= 8714,
+    X86_VUNPCKHPDZrm	= 8715,
+    X86_VUNPCKHPDZrr	= 8716,
+    X86_VUNPCKHPDrm	= 8717,
+    X86_VUNPCKHPDrr	= 8718,
+    X86_VUNPCKHPSYrm	= 8719,
+    X86_VUNPCKHPSYrr	= 8720,
+    X86_VUNPCKHPSZrm	= 8721,
+    X86_VUNPCKHPSZrr	= 8722,
+    X86_VUNPCKHPSrm	= 8723,
+    X86_VUNPCKHPSrr	= 8724,
+    X86_VUNPCKLPDYrm	= 8725,
+    X86_VUNPCKLPDYrr	= 8726,
+    X86_VUNPCKLPDZrm	= 8727,
+    X86_VUNPCKLPDZrr	= 8728,
+    X86_VUNPCKLPDrm	= 8729,
+    X86_VUNPCKLPDrr	= 8730,
+    X86_VUNPCKLPSYrm	= 8731,
+    X86_VUNPCKLPSYrr	= 8732,
+    X86_VUNPCKLPSZrm	= 8733,
+    X86_VUNPCKLPSZrr	= 8734,
+    X86_VUNPCKLPSrm	= 8735,
+    X86_VUNPCKLPSrr	= 8736,
+    X86_VXORPDYrm	= 8737,
+    X86_VXORPDYrr	= 8738,
+    X86_VXORPDrm	= 8739,
+    X86_VXORPDrr	= 8740,
+    X86_VXORPSYrm	= 8741,
+    X86_VXORPSYrr	= 8742,
+    X86_VXORPSrm	= 8743,
+    X86_VXORPSrr	= 8744,
+    X86_VZEROALL	= 8745,
+    X86_VZEROUPPER	= 8746,
+    X86_V_SET0	= 8747,
+    X86_V_SETALLONES	= 8748,
+    X86_WAIT	= 8749,
+    X86_WBINVD	= 8750,
+    X86_WIN_ALLOCA	= 8751,
+    X86_WIN_FTOL_32	= 8752,
+    X86_WIN_FTOL_64	= 8753,
+    X86_WRFSBASE	= 8754,
+    X86_WRFSBASE64	= 8755,
+    X86_WRGSBASE	= 8756,
+    X86_WRGSBASE64	= 8757,
+    X86_WRMSR	= 8758,
+    X86_XABORT	= 8759,
+    X86_XACQUIRE_PREFIX	= 8760,
+    X86_XADD16rm	= 8761,
+    X86_XADD16rr	= 8762,
+    X86_XADD32rm	= 8763,
+    X86_XADD32rr	= 8764,
+    X86_XADD64rm	= 8765,
+    X86_XADD64rr	= 8766,
+    X86_XADD8rm	= 8767,
+    X86_XADD8rr	= 8768,
+    X86_XBEGIN	= 8769,
+    X86_XBEGIN_2	= 8770,
+    X86_XBEGIN_4	= 8771,
+    X86_XCHG16ar	= 8772,
+    X86_XCHG16rm	= 8773,
+    X86_XCHG16rr	= 8774,
+    X86_XCHG32ar	= 8775,
+    X86_XCHG32ar64	= 8776,
+    X86_XCHG32rm	= 8777,
+    X86_XCHG32rr	= 8778,
+    X86_XCHG64ar	= 8779,
+    X86_XCHG64rm	= 8780,
+    X86_XCHG64rr	= 8781,
+    X86_XCHG8rm	= 8782,
+    X86_XCHG8rr	= 8783,
+    X86_XCH_F	= 8784,
+    X86_XCRYPTCBC	= 8785,
+    X86_XCRYPTCFB	= 8786,
+    X86_XCRYPTCTR	= 8787,
+    X86_XCRYPTECB	= 8788,
+    X86_XCRYPTOFB	= 8789,
+    X86_XEND	= 8790,
+    X86_XGETBV	= 8791,
+    X86_XLAT	= 8792,
+    X86_XOR16i16	= 8793,
+    X86_XOR16mi	= 8794,
+    X86_XOR16mi8	= 8795,
+    X86_XOR16mr	= 8796,
+    X86_XOR16ri	= 8797,
+    X86_XOR16ri8	= 8798,
+    X86_XOR16rm	= 8799,
+    X86_XOR16rr	= 8800,
+    X86_XOR16rr_REV	= 8801,
+    X86_XOR32i32	= 8802,
+    X86_XOR32mi	= 8803,
+    X86_XOR32mi8	= 8804,
+    X86_XOR32mr	= 8805,
+    X86_XOR32ri	= 8806,
+    X86_XOR32ri8	= 8807,
+    X86_XOR32rm	= 8808,
+    X86_XOR32rr	= 8809,
+    X86_XOR32rr_REV	= 8810,
+    X86_XOR64i32	= 8811,
+    X86_XOR64mi32	= 8812,
+    X86_XOR64mi8	= 8813,
+    X86_XOR64mr	= 8814,
+    X86_XOR64ri32	= 8815,
+    X86_XOR64ri8	= 8816,
+    X86_XOR64rm	= 8817,
+    X86_XOR64rr	= 8818,
+    X86_XOR64rr_REV	= 8819,
+    X86_XOR8i8	= 8820,
+    X86_XOR8mi	= 8821,
+    X86_XOR8mi8	= 8822,
+    X86_XOR8mr	= 8823,
+    X86_XOR8ri	= 8824,
+    X86_XOR8ri8	= 8825,
+    X86_XOR8rm	= 8826,
+    X86_XOR8rr	= 8827,
+    X86_XOR8rr_REV	= 8828,
+    X86_XORPDrm	= 8829,
+    X86_XORPDrr	= 8830,
+    X86_XORPSrm	= 8831,
+    X86_XORPSrr	= 8832,
+    X86_XRELEASE_PREFIX	= 8833,
+    X86_XRSTOR	= 8834,
+    X86_XRSTOR64	= 8835,
+    X86_XRSTORS	= 8836,
+    X86_XRSTORS64	= 8837,
+    X86_XSAVE	= 8838,
+    X86_XSAVE64	= 8839,
+    X86_XSAVEC	= 8840,
+    X86_XSAVEC64	= 8841,
+    X86_XSAVEOPT	= 8842,
+    X86_XSAVEOPT64	= 8843,
+    X86_XSAVES	= 8844,
+    X86_XSAVES64	= 8845,
+    X86_XSETBV	= 8846,
+    X86_XSHA1	= 8847,
+    X86_XSHA256	= 8848,
+    X86_XSTORE	= 8849,
+    X86_XTEST	= 8850,
+    X86_fdisi8087_nop	= 8851,
+    X86_feni8087_nop	= 8852,
+    X86_UD0	= 8853,
+    X86_ENDBR32 = 8854,
+    X86_ENDBR64 = 8855,
+    X86_INSTRUCTION_LIST_END = 8856
 };
 
 #endif // GET_INSTRINFO_ENUM
@@ -6296,10 +8885,8 @@ typedef struct x86_op_id_pair {
 } x86_op_id_pair;
 
 static const x86_op_id_pair x86_16_bit_eq_tbl[] = {
-	{ 29, 28 },
-	{ 30, 28 },
-	{ 41, 32 },
-	{ 42, 33 },
+	{ 31, 30 },
+	{ 32, 30 },
 	{ 43, 34 },
 	{ 44, 35 },
 	{ 45, 36 },
@@ -6307,17 +8894,15 @@ static const x86_op_id_pair x86_16_bit_e
 	{ 47, 38 },
 	{ 48, 39 },
 	{ 49, 40 },
-	{ 50, 32 },
+	{ 50, 41 },
+	{ 51, 42 },
 	{ 52, 34 },
-	{ 53, 35 },
+	{ 54, 36 },
 	{ 55, 37 },
-	{ 56, 38 },
 	{ 57, 39 },
 	{ 58, 40 },
-	{ 82, 70 },
-	{ 83, 71 },
-	{ 84, 72 },
-	{ 85, 73 },
+	{ 59, 41 },
+	{ 60, 42 },
 	{ 86, 74 },
 	{ 87, 75 },
 	{ 88, 76 },
@@ -6326,959 +8911,1190 @@ static const x86_op_id_pair x86_16_bit_e
 	{ 91, 79 },
 	{ 92, 80 },
 	{ 93, 81 },
-	{ 94, 70 },
-	{ 96, 72 },
-	{ 97, 73 },
-	{ 100, 75 },
-	{ 101, 76 },
-	{ 102, 78 },
-	{ 103, 79 },
-	{ 104, 80 },
-	{ 105, 81 },
-	{ 133, 132 },
-	{ 147, 144 },
-	{ 148, 145 },
-	{ 149, 146 },
-	{ 180, 171 },
-	{ 181, 172 },
-	{ 182, 173 },
-	{ 183, 174 },
-	{ 184, 175 },
+	{ 94, 82 },
+	{ 95, 83 },
+	{ 96, 84 },
+	{ 97, 85 },
+	{ 98, 74 },
+	{ 100, 76 },
+	{ 101, 77 },
+	{ 104, 79 },
+	{ 105, 80 },
+	{ 106, 82 },
+	{ 107, 83 },
+	{ 108, 84 },
+	{ 109, 85 },
+	{ 138, 137 },
+	{ 152, 149 },
+	{ 153, 150 },
+	{ 154, 151 },
 	{ 185, 176 },
 	{ 186, 177 },
 	{ 187, 178 },
 	{ 188, 179 },
-	{ 189, 171 },
-	{ 191, 173 },
-	{ 192, 174 },
+	{ 189, 180 },
+	{ 190, 181 },
+	{ 191, 182 },
+	{ 192, 183 },
+	{ 193, 184 },
 	{ 194, 176 },
-	{ 195, 177 },
 	{ 196, 178 },
 	{ 197, 179 },
-	{ 280, 279 },
-	{ 283, 281 },
-	{ 284, 282 },
-	{ 285, 281 },
-	{ 286, 282 },
+	{ 199, 181 },
+	{ 200, 182 },
+	{ 201, 183 },
+	{ 202, 184 },
+	{ 286, 285 },
 	{ 289, 287 },
 	{ 290, 288 },
 	{ 291, 287 },
 	{ 292, 288 },
-	{ 299, 295 },
-	{ 300, 296 },
-	{ 301, 297 },
-	{ 302, 298 },
-	{ 303, 295 },
-	{ 304, 296 },
-	{ 305, 297 },
-	{ 306, 298 },
-	{ 311, 307 },
-	{ 312, 308 },
-	{ 313, 309 },
-	{ 314, 310 },
-	{ 315, 307 },
-	{ 316, 308 },
-	{ 317, 309 },
-	{ 318, 310 },
-	{ 323, 319 },
-	{ 324, 320 },
-	{ 325, 321 },
-	{ 326, 322 },
-	{ 327, 319 },
-	{ 328, 320 },
-	{ 329, 321 },
-	{ 330, 322 },
-	{ 335, 331 },
-	{ 336, 332 },
-	{ 337, 333 },
-	{ 338, 334 },
-	{ 339, 331 },
-	{ 340, 332 },
-	{ 341, 333 },
-	{ 342, 334 },
-	{ 349, 347 },
-	{ 350, 348 },
-	{ 351, 347 },
-	{ 353, 348 },
-	{ 355, 354 },
-	{ 365, 649 },
-	{ 373, 371 },
-	{ 374, 372 },
-	{ 375, 371 },
-	{ 376, 372 },
-	{ 379, 377 },
-	{ 380, 378 },
-	{ 381, 377 },
-	{ 382, 378 },
-	{ 385, 383 },
-	{ 386, 384 },
-	{ 387, 383 },
-	{ 388, 384 },
-	{ 391, 389 },
-	{ 392, 390 },
-	{ 393, 389 },
-	{ 394, 390 },
-	{ 405, 403 },
-	{ 406, 404 },
-	{ 407, 403 },
-	{ 408, 404 },
-	{ 415, 413 },
-	{ 416, 414 },
-	{ 417, 413 },
-	{ 418, 414 },
-	{ 421, 419 },
-	{ 422, 420 },
-	{ 423, 419 },
-	{ 424, 420 },
-	{ 427, 425 },
-	{ 428, 426 },
-	{ 429, 425 },
-	{ 430, 426 },
-	{ 433, 431 },
-	{ 434, 432 },
-	{ 435, 431 },
-	{ 436, 432 },
-	{ 447, 445 },
-	{ 448, 446 },
-	{ 449, 445 },
-	{ 450, 446 },
-	{ 457, 455 },
-	{ 458, 456 },
-	{ 459, 455 },
-	{ 460, 456 },
-	{ 463, 461 },
-	{ 464, 462 },
-	{ 465, 461 },
-	{ 466, 462 },
-	{ 473, 471 },
-	{ 474, 472 },
-	{ 475, 471 },
-	{ 476, 472 },
-	{ 479, 477 },
-	{ 480, 478 },
-	{ 481, 477 },
-	{ 482, 478 },
-	{ 485, 483 },
-	{ 486, 484 },
-	{ 487, 483 },
-	{ 488, 484 },
-	{ 495, 493 },
-	{ 496, 494 },
-	{ 497, 493 },
-	{ 498, 494 },
-	{ 502, 501 },
-	{ 525, 516 },
-	{ 526, 517 },
-	{ 527, 518 },
-	{ 528, 519 },
-	{ 529, 520 },
-	{ 530, 521 },
-	{ 531, 522 },
-	{ 532, 523 },
+	{ 295, 293 },
+	{ 296, 294 },
+	{ 297, 293 },
+	{ 298, 294 },
+	{ 305, 301 },
+	{ 306, 302 },
+	{ 307, 303 },
+	{ 308, 304 },
+	{ 309, 301 },
+	{ 310, 302 },
+	{ 311, 303 },
+	{ 312, 304 },
+	{ 317, 313 },
+	{ 318, 314 },
+	{ 319, 315 },
+	{ 320, 316 },
+	{ 321, 313 },
+	{ 322, 314 },
+	{ 323, 315 },
+	{ 324, 316 },
+	{ 329, 325 },
+	{ 330, 326 },
+	{ 331, 327 },
+	{ 332, 328 },
+	{ 333, 325 },
+	{ 334, 326 },
+	{ 335, 327 },
+	{ 336, 328 },
+	{ 341, 337 },
+	{ 342, 338 },
+	{ 343, 339 },
+	{ 344, 340 },
+	{ 345, 337 },
+	{ 346, 338 },
+	{ 347, 339 },
+	{ 348, 340 },
+	{ 355, 353 },
+	{ 356, 354 },
+	{ 357, 353 },
+	{ 359, 354 },
+	{ 361, 360 },
+	{ 371, 658 },
+	{ 381, 379 },
+	{ 382, 380 },
+	{ 383, 379 },
+	{ 384, 380 },
+	{ 387, 385 },
+	{ 388, 386 },
+	{ 389, 385 },
+	{ 390, 386 },
+	{ 393, 391 },
+	{ 394, 392 },
+	{ 395, 391 },
+	{ 396, 392 },
+	{ 399, 397 },
+	{ 400, 398 },
+	{ 401, 397 },
+	{ 402, 398 },
+	{ 413, 411 },
+	{ 414, 412 },
+	{ 415, 411 },
+	{ 416, 412 },
+	{ 423, 421 },
+	{ 424, 422 },
+	{ 425, 421 },
+	{ 426, 422 },
+	{ 429, 427 },
+	{ 430, 428 },
+	{ 431, 427 },
+	{ 432, 428 },
+	{ 435, 433 },
+	{ 436, 434 },
+	{ 437, 433 },
+	{ 438, 434 },
+	{ 441, 439 },
+	{ 442, 440 },
+	{ 443, 439 },
+	{ 444, 440 },
+	{ 455, 453 },
+	{ 456, 454 },
+	{ 457, 453 },
+	{ 458, 454 },
+	{ 465, 463 },
+	{ 466, 464 },
+	{ 467, 463 },
+	{ 468, 464 },
+	{ 471, 469 },
+	{ 472, 470 },
+	{ 473, 469 },
+	{ 474, 470 },
+	{ 481, 479 },
+	{ 482, 480 },
+	{ 483, 479 },
+	{ 484, 480 },
+	{ 487, 485 },
+	{ 488, 486 },
+	{ 489, 485 },
+	{ 490, 486 },
+	{ 493, 491 },
+	{ 494, 492 },
+	{ 495, 491 },
+	{ 496, 492 },
+	{ 503, 501 },
+	{ 504, 502 },
+	{ 505, 501 },
+	{ 506, 502 },
+	{ 510, 509 },
 	{ 533, 524 },
-	{ 534, 516 },
-	{ 536, 518 },
-	{ 537, 519 },
-	{ 539, 521 },
-	{ 540, 522 },
-	{ 541, 523 },
+	{ 534, 525 },
+	{ 535, 526 },
+	{ 536, 527 },
+	{ 537, 528 },
+	{ 538, 529 },
+	{ 539, 530 },
+	{ 540, 531 },
+	{ 541, 532 },
 	{ 542, 524 },
-	{ 563, 569 },
-	{ 564, 569 },
-	{ 573, 571 },
-	{ 574, 572 },
-	{ 575, 571 },
-	{ 576, 572 },
-	{ 596, 595 },
-	{ 599, 598 },
-	{ 657, 656 },
-	{ 658, 654 },
-	{ 659, 655 },
-	{ 662, 660 },
-	{ 663, 661 },
-	{ 664, 654 },
-	{ 665, 655 },
-	{ 670, 668 },
-	{ 671, 669 },
-	{ 672, 668 },
-	{ 673, 669 },
-	{ 683, 682 },
-	{ 694, 691 },
-	{ 695, 692 },
-	{ 696, 693 },
-	{ 709, 708 },
-	{ 723, 720 },
-	{ 724, 721 },
-	{ 725, 722 },
-	{ 748, 746 },
-	{ 749, 747 },
+	{ 544, 526 },
+	{ 545, 527 },
+	{ 547, 529 },
+	{ 548, 530 },
+	{ 549, 531 },
+	{ 550, 532 },
+	{ 573, 579 },
+	{ 574, 579 },
+	{ 583, 581 },
+	{ 584, 582 },
+	{ 585, 581 },
+	{ 586, 582 },
+	{ 605, 604 },
+	{ 608, 607 },
+	{ 666, 663 },
+	{ 667, 664 },
+	{ 668, 665 },
+	{ 669, 663 },
+	{ 670, 664 },
+	{ 675, 673 },
+	{ 676, 674 },
+	{ 677, 673 },
+	{ 678, 674 },
+	{ 688, 687 },
+	{ 699, 696 },
+	{ 700, 697 },
+	{ 701, 698 },
+	{ 714, 713 },
+	{ 728, 725 },
+	{ 729, 726 },
+	{ 730, 727 },
 	{ 753, 751 },
 	{ 754, 752 },
-	{ 767, 766 },
-	{ 769, 768 },
-	{ 785, 784 },
-	{ 786, 784 },
-	{ 788, 787 },
-	{ 789, 787 },
-	{ 791, 790 },
-	{ 792, 790 },
-	{ 846, 844 },
-	{ 847, 845 },
-	{ 848, 844 },
-	{ 849, 845 },
-	{ 853, 852 },
-	{ 854, 852 },
-	{ 858, 855 },
-	{ 859, 856 },
-	{ 860, 857 },
-	{ 861, 855 },
-	{ 862, 856 },
-	{ 863, 857 },
-	{ 872, 864 },
-	{ 873, 865 },
-	{ 874, 866 },
-	{ 875, 867 },
-	{ 876, 868 },
-	{ 877, 869 },
-	{ 878, 870 },
-	{ 879, 871 },
-	{ 880, 864 },
-	{ 881, 865 },
-	{ 882, 866 },
-	{ 884, 868 },
-	{ 885, 869 },
-	{ 887, 871 },
-	{ 892, 890 },
-	{ 893, 891 },
-	{ 899, 898 },
-	{ 900, 896 },
-	{ 901, 897 },
-	{ 904, 902 },
-	{ 905, 903 },
-	{ 906, 896 },
-	{ 907, 897 },
-	{ 915, 916 },
-	{ 919, 918 },
-	{ 932, 931 },
-	{ 933, 931 },
-	{ 935, 934 },
-	{ 936, 934 },
-	{ 940, 937 },
-	{ 941, 938 },
-	{ 942, 939 },
-	{ 943, 937 },
-	{ 944, 938 },
-	{ 945, 939 },
-	{ 947, 946 },
-	{ 949, 948 },
-	{ 950, 948 },
-	{ 954, 951 },
-	{ 955, 952 },
-	{ 956, 953 },
-	{ 957, 951 },
-	{ 958, 952 },
-	{ 959, 953 },
-	{ 1097, 1095 },
-	{ 1098, 1096 },
-	{ 1099, 1095 },
-	{ 1100, 1096 },
-	{ 1130, 1131 },
-	{ 1132, 1133 },
-	{ 1144, 1149 },
-	{ 1145, 1150 },
-	{ 1146, 1151 },
-	{ 1147, 1152 },
-	{ 1148, 1153 },
-	{ 1156, 1157 },
-	{ 1160, 1162 },
-	{ 1172, 1173 },
-	{ 1176, 1177 },
-	{ 1181, 1179 },
-	{ 1182, 1180 },
-	{ 1183, 1179 },
-	{ 1184, 1180 },
-	{ 1187, 1185 },
-	{ 1188, 1185 },
-	{ 1194, 1193 },
-	{ 1214, 1213 },
-	{ 1216, 1213 },
+	{ 758, 756 },
+	{ 759, 757 },
+	{ 772, 771 },
+	{ 774, 773 },
+	{ 790, 789 },
+	{ 791, 789 },
+	{ 793, 792 },
+	{ 794, 792 },
+	{ 796, 795 },
+	{ 797, 795 },
+	{ 868, 866 },
+	{ 869, 867 },
+	{ 870, 866 },
+	{ 871, 867 },
+	{ 875, 874 },
+	{ 876, 874 },
+	{ 880, 877 },
+	{ 881, 878 },
+	{ 882, 879 },
+	{ 883, 877 },
+	{ 884, 878 },
+	{ 885, 879 },
+	{ 894, 886 },
+	{ 895, 887 },
+	{ 896, 888 },
+	{ 897, 889 },
+	{ 898, 890 },
+	{ 899, 891 },
+	{ 900, 892 },
+	{ 901, 893 },
+	{ 902, 886 },
+	{ 903, 887 },
+	{ 904, 888 },
+	{ 906, 890 },
+	{ 907, 891 },
+	{ 909, 893 },
+	{ 914, 912 },
+	{ 915, 913 },
+	{ 921, 918 },
+	{ 922, 919 },
+	{ 923, 920 },
+	{ 924, 918 },
+	{ 925, 919 },
+	{ 933, 934 },
+	{ 937, 936 },
+	{ 950, 949 },
+	{ 951, 949 },
+	{ 953, 952 },
+	{ 954, 952 },
+	{ 958, 955 },
+	{ 959, 956 },
+	{ 960, 957 },
+	{ 961, 955 },
+	{ 962, 956 },
+	{ 963, 957 },
+	{ 965, 964 },
+	{ 967, 966 },
+	{ 968, 966 },
+	{ 972, 969 },
+	{ 973, 970 },
+	{ 974, 971 },
+	{ 975, 969 },
+	{ 976, 970 },
+	{ 977, 971 },
+	{ 1114, 1112 },
+	{ 1115, 1113 },
+	{ 1116, 1112 },
+	{ 1117, 1113 },
+	{ 1147, 1148 },
+	{ 1149, 1150 },
+	{ 1161, 1166 },
+	{ 1162, 1167 },
+	{ 1163, 1168 },
+	{ 1164, 1169 },
+	{ 1165, 1170 },
+	{ 1173, 1174 },
+	{ 1177, 1182 },
+	{ 1180, 1181 },
+	{ 1189, 1190 },
+	{ 1193, 1194 },
+	{ 1198, 1199 },
+	{ 1202, 1203 },
+	{ 1207, 1205 },
+	{ 1208, 1206 },
+	{ 1209, 1205 },
+	{ 1210, 1206 },
+	{ 1213, 1211 },
+	{ 1214, 1211 },
 	{ 1220, 1219 },
-	{ 1223, 1222 },
-	{ 1224, 1222 },
-	{ 1226, 1225 },
-	{ 1227, 1225 },
-	{ 1229, 1228 },
-	{ 1230, 1228 },
-	{ 1232, 1231 },
-	{ 1233, 1231 },
-	{ 1241, 1238 },
+	{ 1240, 1239 },
 	{ 1242, 1239 },
-	{ 1243, 1240 },
-	{ 1245, 1239 },
-	{ 1246, 1240 },
-	{ 1252, 1249 },
-	{ 1253, 1250 },
-	{ 1254, 1251 },
-	{ 1256, 1250 },
-	{ 1257, 1251 },
-	{ 1261, 1260 },
-	{ 1262, 1260 },
-	{ 1265, 1264 },
-	{ 1266, 1264 },
-	{ 1271, 1268 },
-	{ 1272, 1269 },
-	{ 1273, 1270 },
-	{ 1275, 1269 },
-	{ 1276, 1270 },
-	{ 1283, 1280 },
-	{ 1284, 1281 },
-	{ 1285, 1282 },
-	{ 1287, 1281 },
-	{ 1288, 1282 },
-	{ 1294, 1291 },
-	{ 1295, 1292 },
-	{ 1296, 1293 },
-	{ 1298, 1292 },
-	{ 1299, 1293 },
-	{ 1303, 1305 },
-	{ 1304, 1305 },
-	{ 1309, 1311 },
-	{ 1310, 1311 },
-	{ 1312, 1314 },
-	{ 1313, 1314 },
-	{ 1317, 1315 },
-	{ 1318, 1316 },
-	{ 1319, 1315 },
-	{ 1320, 1316 },
-	{ 1322, 1321 },
-	{ 1323, 1321 },
-	{ 1327, 1326 },
-	{ 1328, 1326 },
-	{ 1332, 1330 },
-	{ 1333, 1331 },
-	{ 1334, 1330 },
-	{ 1335, 1331 },
-	{ 1425, 1435 },
-	{ 1426, 1436 },
-	{ 1514, 1517 },
-	{ 1515, 1518 },
-	{ 1516, 1519 },
-	{ 1529, 1532 },
-	{ 1530, 1533 },
-	{ 1531, 1534 },
-	{ 1539, 1549 },
-	{ 1540, 1550 },
-	{ 1585, 1570 },
-	{ 1586, 1571 },
-	{ 1589, 1572 },
-	{ 1590, 1573 },
-	{ 1591, 1574 },
-	{ 1592, 1575 },
-	{ 1593, 1576 },
-	{ 1597, 1577 },
-	{ 1599, 1578 },
-	{ 1600, 1579 },
-	{ 1601, 1580 },
-	{ 1602, 1581 },
-	{ 1603, 1582 },
-	{ 1604, 1583 },
-	{ 1605, 1584 },
-	{ 1606, 1570 },
-	{ 1607, 1570 },
-	{ 1607, 1606 },
-	{ 1608, 1570 },
-	{ 1608, 1606 },
-	{ 1613, 1573 },
-	{ 1614, 1574 },
-	{ 1615, 1575 },
-	{ 1616, 1575 },
+	{ 1246, 1245 },
+	{ 1249, 1248 },
+	{ 1250, 1248 },
+	{ 1252, 1251 },
+	{ 1253, 1251 },
+	{ 1255, 1254 },
+	{ 1256, 1254 },
+	{ 1258, 1257 },
+	{ 1259, 1257 },
+	{ 1267, 1264 },
+	{ 1268, 1265 },
+	{ 1269, 1266 },
+	{ 1271, 1265 },
+	{ 1272, 1266 },
+	{ 1278, 1275 },
+	{ 1279, 1276 },
+	{ 1280, 1277 },
+	{ 1282, 1276 },
+	{ 1283, 1277 },
+	{ 1287, 1286 },
+	{ 1288, 1286 },
+	{ 1291, 1290 },
+	{ 1292, 1290 },
+	{ 1297, 1294 },
+	{ 1298, 1295 },
+	{ 1299, 1296 },
+	{ 1301, 1295 },
+	{ 1302, 1296 },
+	{ 1309, 1306 },
+	{ 1310, 1307 },
+	{ 1311, 1308 },
+	{ 1313, 1307 },
+	{ 1314, 1308 },
+	{ 1320, 1317 },
+	{ 1321, 1318 },
+	{ 1322, 1319 },
+	{ 1324, 1318 },
+	{ 1325, 1319 },
+	{ 1329, 1331 },
+	{ 1330, 1331 },
+	{ 1335, 1337 },
+	{ 1336, 1337 },
+	{ 1338, 1340 },
+	{ 1339, 1340 },
+	{ 1343, 1341 },
+	{ 1344, 1342 },
+	{ 1345, 1341 },
+	{ 1346, 1342 },
+	{ 1348, 1347 },
+	{ 1349, 1347 },
+	{ 1353, 1352 },
+	{ 1354, 1352 },
+	{ 1358, 1356 },
+	{ 1359, 1357 },
+	{ 1360, 1356 },
+	{ 1361, 1357 },
+	{ 1453, 1463 },
+	{ 1454, 1464 },
+	{ 1542, 1545 },
+	{ 1543, 1546 },
+	{ 1544, 1547 },
+	{ 1557, 1560 },
+	{ 1558, 1561 },
+	{ 1559, 1562 },
+	{ 1567, 1577 },
+	{ 1568, 1578 },
+	{ 1599, 1598 },
+	{ 1600, 1598 },
+	{ 1605, 1604 },
+	{ 1606, 1604 },
+	{ 1615, 1598 },
+	{ 1616, 1598 },
+	{ 1616, 1599 },
 	{ 1616, 1615 },
-	{ 1617, 1575 },
+	{ 1617, 1598 },
+	{ 1617, 1600 },
 	{ 1617, 1615 },
-	{ 1621, 1577 },
-	{ 1623, 1579 },
-	{ 1624, 1580 },
-	{ 1625, 1581 },
-	{ 1626, 1582 },
-	{ 1627, 1583 },
-	{ 1628, 1584 },
-	{ 1656, 1654 },
-	{ 1657, 1655 },
-	{ 1658, 1654 },
-	{ 1659, 1655 },
-	{ 1710, 1720 },
-	{ 1713, 1720 },
-	{ 1724, 1721 },
-	{ 1726, 1722 },
-	{ 1729, 1728 },
-	{ 1730, 1721 },
-	{ 1732, 1731 },
-	{ 1733, 1722 },
-	{ 1751, 1746 },
-	{ 1753, 1747 },
-	{ 1762, 1760 },
-	{ 1763, 1761 },
-	{ 1764, 1760 },
-	{ 1765, 1761 },
-	{ 1787, 1786 },
-	{ 1801, 1798 },
-	{ 1802, 1799 },
-	{ 1803, 1800 },
-	{ 1808, 1806 },
-	{ 1809, 1807 },
-	{ 1810, 1806 },
-	{ 1811, 1807 },
-	{ 1815, 1817 },
-	{ 1819, 1821 },
-	{ 1823, 1825 },
-	{ 1827, 1829 },
-	{ 1832, 1839 },
-	{ 1833, 1840 },
-	{ 1834, 1841 },
-	{ 1835, 1842 },
-	{ 1836, 1843 },
-	{ 1837, 1844 },
-	{ 1838, 1845 },
-	{ 1848, 1846 },
-	{ 1849, 1847 },
-	{ 1850, 1846 },
-	{ 1851, 1847 },
-	{ 1863, 1854 },
-	{ 1864, 1855 },
-	{ 1865, 1856 },
-	{ 1866, 1857 },
-	{ 1868, 1858 },
-	{ 1869, 1859 },
-	{ 1870, 1860 },
-	{ 1871, 1861 },
-	{ 1872, 1862 },
-	{ 1873, 1854 },
-	{ 1875, 1856 },
-	{ 1876, 1857 },
-	{ 1878, 1859 },
-	{ 1879, 1860 },
-	{ 1880, 1861 },
-	{ 1881, 1862 },
-	{ 1896, 1894 },
-	{ 1897, 1895 },
-	{ 1901, 1902 },
-	{ 1921, 1931 },
-	{ 1922, 1932 },
-	{ 1956, 1958 },
-	{ 1957, 1959 },
-	{ 1972, 1974 },
-	{ 1973, 1975 },
-	{ 1996, 1998 },
-	{ 2096, 2098 },
-	{ 2097, 2099 },
-	{ 2108, 2110 },
-	{ 2109, 2111 },
-	{ 2137, 2134 },
-	{ 2138, 2135 },
-	{ 2139, 2136 },
-	{ 2140, 2134 },
-	{ 2141, 2135 },
-	{ 2142, 2136 },
-	{ 2144, 2143 },
-	{ 2147, 2145 },
-	{ 2148, 2146 },
-	{ 2149, 2145 },
-	{ 2150, 2146 },
-	{ 2152, 2151 },
-	{ 2154, 2153 },
-	{ 2156, 2155 },
-	{ 2157, 2155 },
-	{ 2159, 2158 },
-	{ 2160, 2158 },
-	{ 2162, 2161 },
-	{ 2163, 2161 },
-	{ 2165, 2164 },
-	{ 2194, 2197 },
-	{ 2195, 2198 },
-	{ 2196, 2199 },
-	{ 2210, 2213 },
-	{ 2211, 2214 },
-	{ 2212, 2215 },
-	{ 2220, 2230 },
-	{ 2221, 2231 },
-	{ 2256, 2252 },
-	{ 2257, 2253 },
-	{ 2258, 2254 },
-	{ 2259, 2255 },
-	{ 2261, 2260 },
-	{ 2262, 2252 },
-	{ 2263, 2253 },
-	{ 2264, 2254 },
-	{ 2265, 2255 },
-	{ 2267, 2266 },
-	{ 2269, 2268 },
-	{ 2271, 2270 },
-	{ 2273, 2272 },
-	{ 2275, 2274 },
-	{ 2276, 2274 },
-	{ 2278, 2277 },
-	{ 2279, 2277 },
-	{ 2281, 2280 },
-	{ 2282, 2280 },
-	{ 2284, 2283 },
-	{ 2286, 2285 },
-	{ 2295, 2289 },
-	{ 2296, 2290 },
-	{ 2297, 2291 },
-	{ 2298, 2292 },
-	{ 2299, 2293 },
-	{ 2300, 2294 },
-	{ 2301, 2289 },
-	{ 2302, 2290 },
-	{ 2303, 2291 },
-	{ 2304, 2292 },
-	{ 2305, 2293 },
-	{ 2306, 2294 },
-	{ 2327, 2321 },
-	{ 2328, 2322 },
-	{ 2329, 2323 },
-	{ 2330, 2324 },
-	{ 2331, 2325 },
+	{ 1620, 1601 },
+	{ 1621, 1602 },
+	{ 1622, 1603 },
+	{ 1623, 1604 },
+	{ 1624, 1604 },
+	{ 1624, 1605 },
+	{ 1624, 1623 },
+	{ 1625, 1604 },
+	{ 1625, 1606 },
+	{ 1625, 1623 },
+	{ 1629, 1607 },
+	{ 1631, 1608 },
+	{ 1632, 1609 },
+	{ 1633, 1610 },
+	{ 1634, 1611 },
+	{ 1635, 1612 },
+	{ 1636, 1613 },
+	{ 1637, 1614 },
+	{ 1638, 1598 },
+	{ 1638, 1599 },
+	{ 1639, 1598 },
+	{ 1639, 1600 },
+	{ 1643, 1602 },
+	{ 1644, 1603 },
+	{ 1645, 1604 },
+	{ 1645, 1605 },
+	{ 1646, 1604 },
+	{ 1646, 1606 },
+	{ 1649, 1607 },
+	{ 1651, 1609 },
+	{ 1652, 1610 },
+	{ 1653, 1611 },
+	{ 1654, 1612 },
+	{ 1655, 1613 },
+	{ 1656, 1614 },
+	{ 1662, 1661 },
+	{ 1663, 1661 },
+	{ 1668, 1667 },
+	{ 1669, 1667 },
+	{ 1687, 1685 },
+	{ 1688, 1686 },
+	{ 1689, 1685 },
+	{ 1690, 1686 },
+	{ 1742, 1752 },
+	{ 1745, 1752 },
+	{ 1758, 1753 },
+	{ 1760, 1754 },
+	{ 1763, 1762 },
+	{ 1765, 1753 },
+	{ 1767, 1766 },
+	{ 1768, 1754 },
+	{ 1786, 1781 },
+	{ 1788, 1782 },
+	{ 1797, 1795 },
+	{ 1798, 1796 },
+	{ 1799, 1795 },
+	{ 1800, 1796 },
+	{ 1822, 1821 },
+	{ 1836, 1833 },
+	{ 1837, 1834 },
+	{ 1838, 1835 },
+	{ 1843, 1841 },
+	{ 1844, 1842 },
+	{ 1845, 1841 },
+	{ 1846, 1842 },
+	{ 1850, 1852 },
+	{ 1854, 1856 },
+	{ 1858, 1860 },
+	{ 1862, 1864 },
+	{ 1867, 1874 },
+	{ 1868, 1875 },
+	{ 1869, 1876 },
+	{ 1870, 1877 },
+	{ 1871, 1878 },
+	{ 1872, 1879 },
+	{ 1873, 1880 },
+	{ 1883, 1881 },
+	{ 1884, 1882 },
+	{ 1885, 1881 },
+	{ 1886, 1882 },
+	{ 1898, 1889 },
+	{ 1899, 1890 },
+	{ 1900, 1891 },
+	{ 1901, 1892 },
+	{ 1903, 1893 },
+	{ 1904, 1894 },
+	{ 1905, 1895 },
+	{ 1906, 1896 },
+	{ 1907, 1897 },
+	{ 1908, 1889 },
+	{ 1910, 1891 },
+	{ 1911, 1892 },
+	{ 1913, 1894 },
+	{ 1914, 1895 },
+	{ 1915, 1896 },
+	{ 1916, 1897 },
+	{ 1932, 1930 },
+	{ 1933, 1931 },
+	{ 1937, 1938 },
+	{ 1957, 1967 },
+	{ 1958, 1968 },
+	{ 1992, 1994 },
+	{ 1993, 1995 },
+	{ 2008, 2010 },
+	{ 2009, 2011 },
+	{ 2033, 2035 },
+	{ 2133, 2135 },
+	{ 2134, 2136 },
+	{ 2145, 2147 },
+	{ 2146, 2148 },
+	{ 2174, 2171 },
+	{ 2175, 2172 },
+	{ 2176, 2173 },
+	{ 2177, 2171 },
+	{ 2178, 2172 },
+	{ 2179, 2173 },
+	{ 2181, 2180 },
+	{ 2184, 2182 },
+	{ 2185, 2183 },
+	{ 2186, 2182 },
+	{ 2187, 2183 },
+	{ 2189, 2188 },
+	{ 2191, 2190 },
+	{ 2193, 2192 },
+	{ 2194, 2192 },
+	{ 2196, 2195 },
+	{ 2197, 2195 },
+	{ 2199, 2198 },
+	{ 2200, 2198 },
+	{ 2202, 2201 },
+	{ 2231, 2234 },
+	{ 2232, 2235 },
+	{ 2233, 2236 },
+	{ 2247, 2250 },
+	{ 2248, 2251 },
+	{ 2249, 2252 },
+	{ 2257, 2267 },
+	{ 2258, 2268 },
+	{ 2293, 2289 },
+	{ 2294, 2290 },
+	{ 2295, 2291 },
+	{ 2296, 2292 },
+	{ 2298, 2297 },
+	{ 2299, 2289 },
+	{ 2300, 2290 },
+	{ 2301, 2291 },
+	{ 2302, 2292 },
+	{ 2304, 2303 },
+	{ 2306, 2305 },
+	{ 2308, 2307 },
+	{ 2310, 2309 },
+	{ 2312, 2311 },
+	{ 2313, 2311 },
+	{ 2315, 2314 },
+	{ 2316, 2314 },
+	{ 2318, 2317 },
+	{ 2319, 2317 },
+	{ 2321, 2320 },
+	{ 2323, 2322 },
 	{ 2332, 2326 },
-	{ 2333, 2321 },
-	{ 2334, 2322 },
-	{ 2335, 2323 },
-	{ 2336, 2324 },
-	{ 2337, 2325 },
+	{ 2333, 2327 },
+	{ 2334, 2328 },
+	{ 2335, 2329 },
+	{ 2336, 2330 },
+	{ 2337, 2331 },
 	{ 2338, 2326 },
-	{ 2352, 2351 },
-	{ 2353, 2351 },
-	{ 2355, 2354 },
-	{ 2356, 2354 },
-	{ 2360, 2359 },
-	{ 2361, 2359 },
-	{ 2368, 2370 },
-	{ 2376, 2378 },
-	{ 2379, 2381 },
-	{ 2380, 2381 },
-	{ 2382, 2384 },
-	{ 2383, 2384 },
-	{ 2392, 2386 },
-	{ 2393, 2387 },
-	{ 2394, 2388 },
-	{ 2395, 2389 },
-	{ 2396, 2390 },
-	{ 2397, 2391 },
-	{ 2398, 2386 },
-	{ 2399, 2387 },
-	{ 2400, 2388 },
-	{ 2401, 2389 },
-	{ 2402, 2390 },
-	{ 2403, 2391 },
-	{ 2416, 2410 },
-	{ 2417, 2411 },
-	{ 2418, 2412 },
-	{ 2419, 2413 },
-	{ 2420, 2414 },
-	{ 2421, 2415 },
-	{ 2422, 2410 },
-	{ 2423, 2411 },
-	{ 2424, 2412 },
-	{ 2425, 2413 },
-	{ 2426, 2414 },
-	{ 2427, 2415 },
-	{ 2464, 2458 },
-	{ 2465, 2459 },
-	{ 2466, 2460 },
-	{ 2467, 2461 },
-	{ 2468, 2462 },
-	{ 2469, 2463 },
-	{ 2470, 2458 },
-	{ 2471, 2459 },
-	{ 2472, 2460 },
-	{ 2473, 2461 },
-	{ 2474, 2462 },
-	{ 2475, 2463 },
-	{ 2489, 2483 },
-	{ 2490, 2484 },
-	{ 2491, 2485 },
-	{ 2492, 2486 },
-	{ 2493, 2487 },
-	{ 2494, 2488 },
-	{ 2495, 2483 },
-	{ 2496, 2484 },
-	{ 2497, 2485 },
-	{ 2498, 2486 },
-	{ 2499, 2487 },
-	{ 2500, 2488 },
-	{ 2520, 2511 },
-	{ 2521, 2512 },
-	{ 2522, 2513 },
-	{ 2523, 2514 },
-	{ 2524, 2515 },
-	{ 2525, 2516 },
-	{ 2526, 2517 },
-	{ 2527, 2518 },
-	{ 2528, 2519 },
-	{ 2529, 2511 },
-	{ 2531, 2513 },
-	{ 2532, 2514 },
-	{ 2534, 2516 },
-	{ 2535, 2517 },
-	{ 2536, 2518 },
-	{ 2537, 2519 },
-	{ 2546, 2548 },
-	{ 2547, 2548 },
-	{ 2566, 2565 },
-	{ 2567, 2565 },
-	{ 2597, 2596 },
-	{ 2598, 2596 },
-	{ 2619, 2613 },
-	{ 2620, 2614 },
-	{ 2621, 2615 },
-	{ 2622, 2616 },
-	{ 2623, 2617 },
-	{ 2624, 2618 },
-	{ 2625, 2613 },
-	{ 2626, 2614 },
-	{ 2627, 2615 },
-	{ 2628, 2616 },
-	{ 2629, 2617 },
-	{ 2630, 2618 },
-	{ 2641, 2637 },
-	{ 2642, 2638 },
-	{ 2643, 2639 },
-	{ 2644, 2640 },
-	{ 2645, 2637 },
-	{ 2646, 2638 },
-	{ 2647, 2639 },
-	{ 2648, 2640 },
-	{ 2659, 2653 },
-	{ 2660, 2654 },
-	{ 2661, 2655 },
-	{ 2662, 2656 },
-	{ 2663, 2657 },
-	{ 2664, 2658 },
-	{ 2665, 2653 },
-	{ 2666, 2654 },
-	{ 2667, 2655 },
-	{ 2668, 2656 },
-	{ 2669, 2657 },
-	{ 2670, 2658 },
-	{ 2681, 2677 },
-	{ 2682, 2678 },
-	{ 2683, 2679 },
-	{ 2684, 2680 },
-	{ 2685, 2677 },
-	{ 2686, 2678 },
-	{ 2687, 2679 },
-	{ 2688, 2680 },
-	{ 2698, 2697 },
-	{ 2699, 2697 },
-	{ 2707, 2706 },
-	{ 2708, 2705 },
-	{ 2709, 2706 },
-	{ 2712, 2711 },
-	{ 2713, 2711 },
-	{ 2737, 2739 },
-	{ 2738, 2739 },
-	{ 2741, 2740 },
-	{ 2742, 2740 },
-	{ 2779, 2770 },
-	{ 2780, 2771 },
-	{ 2781, 2772 },
-	{ 2782, 2773 },
-	{ 2783, 2774 },
-	{ 2784, 2775 },
-	{ 2785, 2776 },
-	{ 2786, 2777 },
-	{ 2787, 2778 },
-	{ 2788, 2770 },
-	{ 2790, 2772 },
-	{ 2791, 2773 },
-	{ 2793, 2775 },
-	{ 2794, 2776 },
-	{ 2795, 2777 },
-	{ 2796, 2778 },
-	{ 2812, 2811 },
-	{ 2823, 2820 },
-	{ 2824, 2821 },
-	{ 2825, 2822 },
-	{ 2838, 2837 },
-	{ 2852, 2849 },
-	{ 2853, 2850 },
-	{ 2854, 2851 },
-	{ 2886, 2879 },
-	{ 2887, 2880 },
-	{ 2888, 2881 },
-	{ 2889, 2882 },
-	{ 2890, 2883 },
-	{ 2891, 2884 },
-	{ 2892, 2885 },
-	{ 2893, 2879 },
-	{ 2898, 2884 },
-	{ 2899, 2885 },
-	{ 2921, 2919 },
-	{ 2922, 2920 },
-	{ 2923, 2919 },
-	{ 2924, 2920 },
-	{ 4198, 4165 },
-	{ 4199, 4166 },
-	{ 4200, 4167 },
-	{ 4201, 4168 },
-	{ 4202, 4169 },
-	{ 4203, 4170 },
-	{ 4204, 4171 },
-	{ 4205, 4172 },
-	{ 4206, 4173 },
-	{ 4207, 4174 },
-	{ 4208, 4175 },
-	{ 4209, 4176 },
-	{ 4210, 4177 },
-	{ 4211, 4178 },
-	{ 4212, 4179 },
-	{ 4213, 4180 },
-	{ 4214, 4181 },
-	{ 4215, 4182 },
-	{ 4216, 4183 },
-	{ 4217, 4184 },
-	{ 4218, 4185 },
-	{ 4219, 4186 },
-	{ 4220, 4187 },
-	{ 4221, 4188 },
-	{ 4222, 4189 },
-	{ 4223, 4190 },
-	{ 4224, 4191 },
-	{ 4225, 4192 },
-	{ 4226, 4193 },
-	{ 4227, 4194 },
-	{ 4228, 4195 },
-	{ 4229, 4196 },
-	{ 4230, 4197 },
-	{ 4231, 4165 },
-	{ 4232, 4166 },
-	{ 4233, 4167 },
-	{ 4234, 4168 },
-	{ 4235, 4169 },
-	{ 4236, 4170 },
-	{ 4237, 4171 },
-	{ 4238, 4172 },
-	{ 4239, 4173 },
-	{ 4240, 4174 },
-	{ 4241, 4175 },
-	{ 4242, 4176 },
-	{ 4243, 4177 },
-	{ 4244, 4178 },
-	{ 4245, 4179 },
-	{ 4246, 4180 },
-	{ 4247, 4181 },
-	{ 4248, 4182 },
-	{ 4249, 4183 },
-	{ 4250, 4184 },
-	{ 4251, 4185 },
-	{ 4252, 4186 },
-	{ 4253, 4187 },
-	{ 4254, 4188 },
-	{ 4255, 4189 },
-	{ 4256, 4190 },
-	{ 4257, 4191 },
-	{ 4258, 4192 },
-	{ 4259, 4193 },
-	{ 4260, 4194 },
-	{ 4261, 4195 },
-	{ 4262, 4196 },
-	{ 4263, 4197 },
-	{ 4608, 4637 },
-	{ 4609, 4638 },
-	{ 4619, 4639 },
-	{ 4620, 4640 },
-	{ 4729, 4739 },
-	{ 4730, 4740 },
-	{ 4737, 4741 },
-	{ 4738, 4742 },
-	{ 4795, 4817 },
-	{ 4796, 4818 },
-	{ 4797, 4819 },
-	{ 4800, 4820 },
-	{ 4801, 4821 },
-	{ 4802, 4822 },
-	{ 4803, 4823 },
-	{ 4806, 4824 },
-	{ 4807, 4825 },
-	{ 4808, 4826 },
-	{ 4809, 4827 },
-	{ 4812, 4828 },
-	{ 4813, 4829 },
-	{ 4814, 4830 },
-	{ 4815, 4831 },
-	{ 4816, 4832 },
-	{ 4879, 4901 },
-	{ 4880, 4902 },
-	{ 4881, 4903 },
-	{ 4884, 4904 },
-	{ 4885, 4905 },
-	{ 4886, 4906 },
-	{ 4887, 4907 },
-	{ 4890, 4908 },
-	{ 4891, 4909 },
-	{ 4892, 4910 },
-	{ 4893, 4911 },
-	{ 4896, 4912 },
-	{ 4897, 4913 },
-	{ 4898, 4914 },
-	{ 4899, 4915 },
-	{ 4900, 4916 },
-	{ 4947, 4957 },
-	{ 4948, 4958 },
-	{ 4953, 4955 },
-	{ 4954, 4956 },
-	{ 5085, 5087 },
-	{ 5104, 5106 },
-	{ 5105, 5107 },
-	{ 5120, 5122 },
-	{ 5121, 5123 },
-	{ 5406, 5416 },
-	{ 5407, 5417 },
-	{ 5414, 5418 },
-	{ 5415, 5419 },
-	{ 5485, 5495 },
-	{ 5486, 5496 },
-	{ 5493, 5497 },
-	{ 5494, 5498 },
-	{ 5619, 5624 },
-	{ 5620, 5625 },
-	{ 5621, 5626 },
-	{ 5622, 5627 },
-	{ 5623, 5628 },
-	{ 5643, 5646 },
-	{ 5644, 5647 },
-	{ 5645, 5648 },
-	{ 5655, 5658 },
-	{ 5656, 5659 },
-	{ 5657, 5660 },
-	{ 5707, 5733 },
-	{ 5708, 5734 },
-	{ 5709, 5735 },
-	{ 5718, 5736 },
-	{ 5719, 5737 },
-	{ 5720, 5738 },
-	{ 5791, 5817 },
-	{ 5792, 5818 },
-	{ 5793, 5819 },
-	{ 5802, 5820 },
-	{ 5803, 5821 },
-	{ 5804, 5822 },
-	{ 5840, 5869 },
-	{ 5841, 5870 },
-	{ 5851, 5871 },
-	{ 5852, 5872 },
-	{ 6187, 6185 },
-	{ 6188, 6186 },
-	{ 6189, 6185 },
-	{ 6190, 6186 },
-	{ 6198, 6195 },
-	{ 6200, 6196 },
-	{ 6201, 6197 },
-	{ 6202, 6195 },
-	{ 6203, 6196 },
-	{ 6204, 6197 },
-	{ 6225, 6216 },
-	{ 6226, 6217 },
-	{ 6227, 6218 },
-	{ 6228, 6219 },
-	{ 6229, 6220 },
-	{ 6230, 6221 },
-	{ 6231, 6222 },
-	{ 6232, 6223 },
-	{ 6233, 6224 },
-	{ 6234, 6216 },
-	{ 6236, 6218 },
-	{ 6237, 6219 },
-	{ 6239, 6221 },
-	{ 6240, 6222 },
-	{ 6241, 6223 },
-	{ 6242, 6224 },
+	{ 2339, 2327 },
+	{ 2340, 2328 },
+	{ 2341, 2329 },
+	{ 2342, 2330 },
+	{ 2343, 2331 },
+	{ 2364, 2358 },
+	{ 2365, 2359 },
+	{ 2366, 2360 },
+	{ 2367, 2361 },
+	{ 2368, 2362 },
+	{ 2369, 2363 },
+	{ 2370, 2358 },
+	{ 2371, 2359 },
+	{ 2372, 2360 },
+	{ 2373, 2361 },
+	{ 2374, 2362 },
+	{ 2375, 2363 },
+	{ 2389, 2388 },
+	{ 2390, 2388 },
+	{ 2392, 2391 },
+	{ 2393, 2391 },
+	{ 2403, 2402 },
+	{ 2404, 2402 },
+	{ 2407, 2406 },
+	{ 2408, 2406 },
+	{ 2412, 2410 },
+	{ 2413, 2411 },
+	{ 2415, 2411 },
+	{ 2429, 2431 },
+	{ 2437, 2439 },
+	{ 2440, 2442 },
+	{ 2441, 2442 },
+	{ 2443, 2445 },
+	{ 2444, 2445 },
+	{ 2453, 2447 },
+	{ 2454, 2448 },
+	{ 2455, 2449 },
+	{ 2456, 2450 },
+	{ 2457, 2451 },
+	{ 2458, 2452 },
+	{ 2459, 2447 },
+	{ 2460, 2448 },
+	{ 2461, 2449 },
+	{ 2462, 2450 },
+	{ 2463, 2451 },
+	{ 2464, 2452 },
+	{ 2477, 2471 },
+	{ 2478, 2472 },
+	{ 2479, 2473 },
+	{ 2480, 2474 },
+	{ 2481, 2475 },
+	{ 2482, 2476 },
+	{ 2483, 2471 },
+	{ 2484, 2472 },
+	{ 2485, 2473 },
+	{ 2486, 2474 },
+	{ 2487, 2475 },
+	{ 2488, 2476 },
+	{ 2525, 2519 },
+	{ 2526, 2520 },
+	{ 2527, 2521 },
+	{ 2528, 2522 },
+	{ 2529, 2523 },
+	{ 2530, 2524 },
+	{ 2531, 2519 },
+	{ 2532, 2520 },
+	{ 2533, 2521 },
+	{ 2534, 2522 },
+	{ 2535, 2523 },
+	{ 2536, 2524 },
+	{ 2550, 2544 },
+	{ 2551, 2545 },
+	{ 2552, 2546 },
+	{ 2553, 2547 },
+	{ 2554, 2548 },
+	{ 2555, 2549 },
+	{ 2556, 2544 },
+	{ 2557, 2545 },
+	{ 2558, 2546 },
+	{ 2559, 2547 },
+	{ 2560, 2548 },
+	{ 2561, 2549 },
+	{ 2581, 2572 },
+	{ 2582, 2573 },
+	{ 2583, 2574 },
+	{ 2584, 2575 },
+	{ 2585, 2576 },
+	{ 2586, 2577 },
+	{ 2587, 2578 },
+	{ 2588, 2579 },
+	{ 2589, 2580 },
+	{ 2590, 2572 },
+	{ 2592, 2574 },
+	{ 2593, 2575 },
+	{ 2595, 2577 },
+	{ 2596, 2578 },
+	{ 2597, 2579 },
+	{ 2598, 2580 },
+	{ 2609, 2611 },
+	{ 2610, 2611 },
+	{ 2629, 2628 },
+	{ 2630, 2628 },
+	{ 2660, 2659 },
+	{ 2661, 2659 },
+	{ 2682, 2676 },
+	{ 2683, 2677 },
+	{ 2684, 2678 },
+	{ 2685, 2679 },
+	{ 2686, 2680 },
+	{ 2687, 2681 },
+	{ 2688, 2676 },
+	{ 2689, 2677 },
+	{ 2690, 2678 },
+	{ 2691, 2679 },
+	{ 2692, 2680 },
+	{ 2693, 2681 },
+	{ 2704, 2700 },
+	{ 2705, 2701 },
+	{ 2706, 2702 },
+	{ 2707, 2703 },
+	{ 2708, 2700 },
+	{ 2709, 2701 },
+	{ 2710, 2702 },
+	{ 2711, 2703 },
+	{ 2722, 2716 },
+	{ 2723, 2717 },
+	{ 2724, 2718 },
+	{ 2725, 2719 },
+	{ 2726, 2720 },
+	{ 2727, 2721 },
+	{ 2728, 2716 },
+	{ 2729, 2717 },
+	{ 2730, 2718 },
+	{ 2731, 2719 },
+	{ 2732, 2720 },
+	{ 2733, 2721 },
+	{ 2744, 2740 },
+	{ 2745, 2741 },
+	{ 2746, 2742 },
+	{ 2747, 2743 },
+	{ 2748, 2740 },
+	{ 2749, 2741 },
+	{ 2750, 2742 },
+	{ 2751, 2743 },
+	{ 2761, 2760 },
+	{ 2762, 2760 },
+	{ 2770, 2769 },
+	{ 2771, 2768 },
+	{ 2772, 2769 },
+	{ 2775, 2774 },
+	{ 2776, 2774 },
+	{ 2800, 2802 },
+	{ 2801, 2802 },
+	{ 2804, 2803 },
+	{ 2805, 2803 },
+	{ 2842, 2833 },
+	{ 2843, 2834 },
+	{ 2844, 2835 },
+	{ 2845, 2836 },
+	{ 2846, 2837 },
+	{ 2847, 2838 },
+	{ 2848, 2839 },
+	{ 2849, 2840 },
+	{ 2850, 2841 },
+	{ 2851, 2833 },
+	{ 2853, 2835 },
+	{ 2854, 2836 },
+	{ 2856, 2838 },
+	{ 2857, 2839 },
+	{ 2858, 2840 },
+	{ 2859, 2841 },
+	{ 2876, 2875 },
+	{ 2887, 2884 },
+	{ 2888, 2885 },
+	{ 2889, 2886 },
+	{ 2902, 2901 },
+	{ 2916, 2913 },
+	{ 2917, 2914 },
+	{ 2918, 2915 },
+	{ 2953, 2946 },
+	{ 2954, 2947 },
+	{ 2955, 2948 },
+	{ 2956, 2949 },
+	{ 2957, 2950 },
+	{ 2958, 2951 },
+	{ 2959, 2952 },
+	{ 2960, 2946 },
+	{ 2965, 2951 },
+	{ 2966, 2952 },
+	{ 2988, 2986 },
+	{ 2989, 2987 },
+	{ 2990, 2986 },
+	{ 2991, 2987 },
+	{ 5335, 5302 },
+	{ 5336, 5303 },
+	{ 5337, 5304 },
+	{ 5338, 5305 },
+	{ 5339, 5306 },
+	{ 5340, 5307 },
+	{ 5341, 5308 },
+	{ 5342, 5309 },
+	{ 5343, 5310 },
+	{ 5344, 5311 },
+	{ 5345, 5312 },
+	{ 5346, 5313 },
+	{ 5347, 5314 },
+	{ 5348, 5315 },
+	{ 5349, 5316 },
+	{ 5350, 5317 },
+	{ 5351, 5318 },
+	{ 5352, 5319 },
+	{ 5353, 5320 },
+	{ 5354, 5321 },
+	{ 5355, 5322 },
+	{ 5356, 5323 },
+	{ 5357, 5324 },
+	{ 5358, 5325 },
+	{ 5359, 5326 },
+	{ 5360, 5327 },
+	{ 5361, 5328 },
+	{ 5362, 5329 },
+	{ 5363, 5330 },
+	{ 5364, 5331 },
+	{ 5365, 5332 },
+	{ 5366, 5333 },
+	{ 5367, 5334 },
+	{ 5368, 5302 },
+	{ 5369, 5303 },
+	{ 5370, 5304 },
+	{ 5371, 5305 },
+	{ 5372, 5306 },
+	{ 5373, 5307 },
+	{ 5374, 5308 },
+	{ 5375, 5309 },
+	{ 5376, 5310 },
+	{ 5377, 5311 },
+	{ 5378, 5312 },
+	{ 5379, 5313 },
+	{ 5380, 5314 },
+	{ 5381, 5315 },
+	{ 5382, 5316 },
+	{ 5383, 5317 },
+	{ 5384, 5318 },
+	{ 5385, 5319 },
+	{ 5386, 5320 },
+	{ 5387, 5321 },
+	{ 5388, 5322 },
+	{ 5389, 5323 },
+	{ 5390, 5324 },
+	{ 5391, 5325 },
+	{ 5392, 5326 },
+	{ 5393, 5327 },
+	{ 5394, 5328 },
+	{ 5395, 5329 },
+	{ 5396, 5330 },
+	{ 5397, 5331 },
+	{ 5398, 5332 },
+	{ 5399, 5333 },
+	{ 5400, 5334 },
+	{ 5844, 5891 },
+	{ 5845, 5892 },
+	{ 5846, 5893 },
+	{ 5850, 5894 },
+	{ 5851, 5895 },
+	{ 5852, 5896 },
+	{ 5853, 5897 },
+	{ 5854, 5898 },
+	{ 5855, 5899 },
+	{ 5859, 5900 },
+	{ 5860, 5901 },
+	{ 5861, 5902 },
+	{ 5862, 5903 },
+	{ 5863, 5904 },
+	{ 5864, 5905 },
+	{ 5868, 5906 },
+	{ 5869, 5907 },
+	{ 5870, 5908 },
+	{ 5871, 5909 },
+	{ 5872, 5910 },
+	{ 5873, 5911 },
+	{ 5874, 5912 },
+	{ 6087, 6111 },
+	{ 6090, 6112 },
+	{ 6091, 6113 },
+	{ 6092, 6114 },
+	{ 6093, 6115 },
+	{ 6094, 6116 },
+	{ 6095, 6117 },
+	{ 6098, 6118 },
+	{ 6099, 6119 },
+	{ 6100, 6120 },
+	{ 6101, 6121 },
+	{ 6102, 6122 },
+	{ 6103, 6123 },
+	{ 6106, 6124 },
+	{ 6107, 6125 },
+	{ 6108, 6126 },
+	{ 6109, 6127 },
+	{ 6110, 6128 },
+	{ 6173, 6190 },
+	{ 6174, 6191 },
+	{ 6179, 6192 },
+	{ 6180, 6193 },
+	{ 6181, 6194 },
+	{ 6182, 6195 },
+	{ 6183, 6196 },
+	{ 6184, 6197 },
+	{ 6185, 6198 },
+	{ 6186, 6199 },
+	{ 6187, 6200 },
+	{ 6188, 6201 },
+	{ 6189, 6202 },
+	{ 6309, 6331 },
+	{ 6310, 6332 },
+	{ 6311, 6333 },
+	{ 6314, 6334 },
+	{ 6315, 6335 },
+	{ 6316, 6336 },
+	{ 6317, 6337 },
+	{ 6320, 6338 },
+	{ 6321, 6339 },
+	{ 6322, 6340 },
+	{ 6323, 6341 },
+	{ 6326, 6342 },
+	{ 6327, 6343 },
+	{ 6328, 6344 },
+	{ 6329, 6345 },
+	{ 6330, 6346 },
+	{ 6393, 6415 },
+	{ 6394, 6416 },
+	{ 6395, 6417 },
+	{ 6398, 6418 },
+	{ 6399, 6419 },
+	{ 6400, 6420 },
+	{ 6401, 6421 },
+	{ 6404, 6422 },
+	{ 6405, 6423 },
+	{ 6406, 6424 },
+	{ 6407, 6425 },
+	{ 6410, 6426 },
+	{ 6411, 6427 },
+	{ 6412, 6428 },
+	{ 6413, 6429 },
+	{ 6414, 6430 },
+	{ 6439, 6595 },
+	{ 6440, 6596 },
+	{ 6445, 6597 },
+	{ 6446, 6598 },
+	{ 6447, 6599 },
+	{ 6448, 6600 },
+	{ 6449, 6601 },
+	{ 6450, 6602 },
+	{ 6451, 6603 },
+	{ 6452, 6604 },
+	{ 6457, 6605 },
+	{ 6458, 6606 },
+	{ 6459, 6607 },
+	{ 6460, 6608 },
+	{ 6461, 6609 },
+	{ 6462, 6610 },
+	{ 6463, 6611 },
+	{ 6464, 6612 },
+	{ 6469, 6613 },
+	{ 6470, 6614 },
+	{ 6471, 6615 },
+	{ 6472, 6616 },
+	{ 6473, 6617 },
+	{ 6474, 6618 },
+	{ 6535, 6571 },
+	{ 6536, 6572 },
+	{ 6541, 6573 },
+	{ 6542, 6574 },
+	{ 6543, 6575 },
+	{ 6544, 6576 },
+	{ 6545, 6577 },
+	{ 6546, 6578 },
+	{ 6547, 6579 },
+	{ 6548, 6580 },
+	{ 6553, 6581 },
+	{ 6554, 6582 },
+	{ 6555, 6583 },
+	{ 6556, 6584 },
+	{ 6557, 6585 },
+	{ 6558, 6586 },
+	{ 6559, 6587 },
+	{ 6560, 6588 },
+	{ 6565, 6589 },
+	{ 6566, 6590 },
+	{ 6567, 6591 },
+	{ 6568, 6592 },
+	{ 6569, 6593 },
+	{ 6570, 6594 },
+	{ 6645, 6665 },
+	{ 6646, 6666 },
+	{ 6647, 6667 },
+	{ 6648, 6668 },
+	{ 6657, 6661 },
+	{ 6658, 6662 },
+	{ 6659, 6663 },
+	{ 6660, 6664 },
+	{ 6823, 6825 },
+	{ 6842, 6844 },
+	{ 6843, 6845 },
+	{ 6858, 6860 },
+	{ 6859, 6861 },
+	{ 7015, 7044 },
+	{ 7019, 7045 },
+	{ 7020, 7046 },
+	{ 7021, 7047 },
+	{ 7022, 7048 },
+	{ 7023, 7049 },
+	{ 7024, 7050 },
+	{ 7028, 7051 },
+	{ 7029, 7052 },
+	{ 7030, 7053 },
+	{ 7031, 7054 },
+	{ 7032, 7055 },
+	{ 7033, 7056 },
+	{ 7037, 7057 },
+	{ 7038, 7058 },
+	{ 7039, 7059 },
+	{ 7040, 7060 },
+	{ 7041, 7061 },
+	{ 7117, 7146 },
+	{ 7121, 7147 },
+	{ 7122, 7148 },
+	{ 7123, 7149 },
+	{ 7124, 7150 },
+	{ 7125, 7151 },
+	{ 7126, 7152 },
+	{ 7130, 7153 },
+	{ 7131, 7154 },
+	{ 7132, 7155 },
+	{ 7133, 7156 },
+	{ 7134, 7157 },
+	{ 7135, 7158 },
+	{ 7139, 7159 },
+	{ 7140, 7160 },
+	{ 7141, 7161 },
+	{ 7142, 7162 },
+	{ 7143, 7163 },
+	{ 7219, 7248 },
+	{ 7223, 7249 },
+	{ 7224, 7250 },
+	{ 7225, 7251 },
+	{ 7226, 7252 },
+	{ 7227, 7253 },
+	{ 7228, 7254 },
+	{ 7232, 7255 },
+	{ 7233, 7256 },
+	{ 7234, 7257 },
+	{ 7235, 7258 },
+	{ 7236, 7259 },
+	{ 7237, 7260 },
+	{ 7241, 7261 },
+	{ 7242, 7262 },
+	{ 7243, 7263 },
+	{ 7244, 7264 },
+	{ 7245, 7265 },
+	{ 7321, 7350 },
+	{ 7325, 7351 },
+	{ 7326, 7352 },
+	{ 7327, 7353 },
+	{ 7328, 7354 },
+	{ 7329, 7355 },
+	{ 7330, 7356 },
+	{ 7334, 7357 },
+	{ 7335, 7358 },
+	{ 7336, 7359 },
+	{ 7337, 7360 },
+	{ 7338, 7361 },
+	{ 7339, 7362 },
+	{ 7343, 7363 },
+	{ 7344, 7364 },
+	{ 7345, 7365 },
+	{ 7346, 7366 },
+	{ 7347, 7367 },
+	{ 7386, 7389 },
+	{ 7387, 7390 },
+	{ 7388, 7391 },
+	{ 7444, 7454 },
+	{ 7445, 7455 },
+	{ 7452, 7456 },
+	{ 7453, 7457 },
+	{ 7523, 7533 },
+	{ 7524, 7534 },
+	{ 7531, 7535 },
+	{ 7532, 7536 },
+	{ 7623, 7652 },
+	{ 7627, 7653 },
+	{ 7628, 7654 },
+	{ 7629, 7655 },
+	{ 7630, 7656 },
+	{ 7631, 7657 },
+	{ 7632, 7658 },
+	{ 7636, 7659 },
+	{ 7637, 7660 },
+	{ 7638, 7661 },
+	{ 7639, 7662 },
+	{ 7640, 7663 },
+	{ 7641, 7664 },
+	{ 7645, 7665 },
+	{ 7646, 7666 },
+	{ 7647, 7667 },
+	{ 7648, 7668 },
+	{ 7649, 7669 },
+	{ 7756, 7761 },
+	{ 7757, 7762 },
+	{ 7758, 7763 },
+	{ 7759, 7764 },
+	{ 7760, 7765 },
+	{ 7780, 7783 },
+	{ 7781, 7784 },
+	{ 7782, 7785 },
+	{ 7792, 7795 },
+	{ 7793, 7796 },
+	{ 7794, 7797 },
+	{ 7848, 7886 },
+	{ 7849, 7887 },
+	{ 7850, 7888 },
+	{ 7863, 7889 },
+	{ 7864, 7890 },
+	{ 7865, 7891 },
+	{ 7964, 8002 },
+	{ 7965, 8003 },
+	{ 7966, 8004 },
+	{ 7979, 8005 },
+	{ 7980, 8006 },
+	{ 7981, 8007 },
+	{ 8061, 8108 },
+	{ 8062, 8109 },
+	{ 8063, 8110 },
+	{ 8067, 8111 },
+	{ 8068, 8112 },
+	{ 8069, 8113 },
+	{ 8070, 8114 },
+	{ 8071, 8115 },
+	{ 8072, 8116 },
+	{ 8076, 8117 },
+	{ 8077, 8118 },
+	{ 8078, 8119 },
+	{ 8079, 8120 },
+	{ 8080, 8121 },
+	{ 8081, 8122 },
+	{ 8085, 8123 },
+	{ 8086, 8124 },
+	{ 8087, 8125 },
+	{ 8088, 8126 },
+	{ 8089, 8127 },
+	{ 8090, 8128 },
+	{ 8091, 8129 },
+	{ 8763, 8761 },
+	{ 8764, 8762 },
+	{ 8765, 8761 },
+	{ 8766, 8762 },
+	{ 8775, 8772 },
+	{ 8777, 8773 },
+	{ 8778, 8774 },
+	{ 8779, 8772 },
+	{ 8780, 8773 },
+	{ 8781, 8774 },
+	{ 8802, 8793 },
+	{ 8803, 8794 },
+	{ 8804, 8795 },
+	{ 8805, 8796 },
+	{ 8806, 8797 },
+	{ 8807, 8798 },
+	{ 8808, 8799 },
+	{ 8809, 8800 },
+	{ 8810, 8801 },
+	{ 8811, 8793 },
+	{ 8813, 8795 },
+	{ 8814, 8796 },
+	{ 8816, 8798 },
+	{ 8817, 8799 },
+	{ 8818, 8800 },
+	{ 8819, 8801 },
 };
 
 static const uint16_t x86_16_bit_eq_lookup[] = {
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 3, 4, 5, 6, 7, 8, 9, 
-	10, 11, 12, 0, 13, 14, 0, 15, 16, 17, 18, 0, 
+	0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 3, 4, 5, 6, 7, 
+	8, 9, 10, 11, 12, 0, 13, 14, 0, 15, 16, 17, 
+	18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 20, 
-	21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 0, 
-	32, 33, 0, 0, 34, 35, 36, 37, 38, 39, 0, 0, 
+	0, 0, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 
+	29, 30, 31, 0, 32, 33, 0, 0, 34, 35, 36, 37, 
+	38, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 41, 42, 43, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 41, 42, 43, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 44, 45, 46, 47, 48, 49, 50, 
+	51, 52, 53, 0, 54, 55, 0, 56, 57, 58, 59, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 0, 54, 
-	55, 0, 56, 57, 58, 59, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 0, 
+	0, 61, 62, 63, 64, 0, 0, 65, 66, 67, 68, 0, 
+	0, 0, 0, 0, 0, 69, 70, 71, 72, 73, 74, 75, 
+	76, 0, 0, 0, 0, 77, 78, 79, 80, 81, 82, 83, 
+	84, 0, 0, 0, 0, 85, 86, 87, 88, 89, 90, 91, 
+	92, 0, 0, 0, 0, 93, 94, 95, 96, 97, 98, 99, 
+	100, 0, 0, 0, 0, 0, 0, 101, 102, 103, 0, 104, 
+	0, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 108, 109, 
+	110, 0, 0, 111, 112, 113, 114, 0, 0, 115, 116, 117, 
+	118, 0, 0, 119, 120, 121, 122, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 123, 124, 125, 126, 0, 0, 0, 
+	0, 0, 0, 127, 128, 129, 130, 0, 0, 131, 132, 133, 
+	134, 0, 0, 135, 136, 137, 138, 0, 0, 139, 140, 141, 
+	142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 143, 
+	144, 145, 146, 0, 0, 0, 0, 0, 0, 147, 148, 149, 
+	150, 0, 0, 151, 152, 153, 154, 0, 0, 0, 0, 0, 
+	0, 155, 156, 157, 158, 0, 0, 159, 160, 161, 162, 0, 
+	0, 163, 164, 165, 166, 0, 0, 0, 0, 0, 0, 167, 
+	168, 169, 170, 0, 0, 0, 171, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 60, 0, 0, 61, 62, 63, 64, 0, 
-	0, 65, 66, 67, 68, 0, 0, 0, 0, 0, 0, 69, 
-	70, 71, 72, 73, 74, 75, 76, 0, 0, 0, 0, 77, 
-	78, 79, 80, 81, 82, 83, 84, 0, 0, 0, 0, 85, 
-	86, 87, 88, 89, 90, 91, 92, 0, 0, 0, 0, 93, 
-	94, 95, 96, 97, 98, 99, 100, 0, 0, 0, 0, 0, 
-	0, 101, 102, 103, 0, 104, 0, 105, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 106, 0, 0, 0, 0, 0, 0, 
-	0, 107, 108, 109, 110, 0, 0, 111, 112, 113, 114, 0, 
-	0, 115, 116, 117, 118, 0, 0, 119, 120, 121, 122, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 124, 125, 
-	126, 0, 0, 0, 0, 0, 0, 127, 128, 129, 130, 0, 
-	0, 131, 132, 133, 134, 0, 0, 135, 136, 137, 138, 0, 
-	0, 139, 140, 141, 142, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 143, 144, 145, 146, 0, 0, 0, 0, 0, 
-	0, 147, 148, 149, 150, 0, 0, 151, 152, 153, 154, 0, 
-	0, 0, 0, 0, 0, 155, 156, 157, 158, 0, 0, 159, 
-	160, 161, 162, 0, 0, 163, 164, 165, 166, 0, 0, 0, 
-	0, 0, 0, 167, 168, 169, 170, 0, 0, 0, 171, 0, 
+	0, 0, 0, 0, 0, 172, 173, 174, 175, 176, 177, 178, 
+	179, 180, 181, 0, 182, 183, 0, 184, 185, 186, 187, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 173, 174, 
-	175, 176, 177, 178, 179, 180, 181, 0, 182, 183, 0, 184, 
-	185, 186, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 
-	189, 0, 0, 0, 0, 0, 0, 0, 0, 190, 191, 192, 
-	193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 194, 0, 0, 195, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 189, 0, 
+	0, 0, 0, 0, 0, 0, 0, 190, 191, 192, 193, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 194, 0, 0, 195, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 196, 197, 198, 
-	0, 0, 199, 200, 201, 202, 0, 0, 0, 0, 203, 204, 
-	205, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 209, 
-	210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 212, 213, 214, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 215, 216, 0, 0, 0, 217, 218, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 219, 
-	0, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 221, 222, 0, 223, 224, 0, 225, 
-	226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 196, 197, 198, 199, 200, 0, 
+	0, 0, 0, 201, 202, 203, 204, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 205, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 206, 207, 208, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 209, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 210, 211, 212, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 213, 214, 0, 
+	0, 0, 215, 216, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 217, 0, 218, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 219, 220, 
+	0, 221, 222, 0, 223, 224, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 227, 228, 229, 230, 0, 0, 
-	0, 231, 232, 0, 0, 0, 233, 234, 235, 236, 237, 238, 
-	0, 0, 0, 0, 0, 0, 0, 0, 239, 240, 241, 242, 
-	243, 244, 245, 246, 247, 248, 249, 0, 250, 251, 0, 252, 
-	0, 0, 0, 0, 253, 254, 0, 0, 0, 0, 0, 255, 
-	256, 257, 0, 0, 258, 259, 260, 261, 0, 0, 0, 0, 
-	0, 0, 0, 262, 0, 0, 0, 263, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 264, 265, 0, 266, 
-	267, 0, 0, 0, 268, 269, 270, 271, 272, 273, 0, 274, 
-	0, 275, 276, 0, 0, 0, 277, 278, 279, 280, 281, 282, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 225, 226, 227, 228, 0, 0, 0, 229, 
+	230, 0, 0, 0, 231, 232, 233, 234, 235, 236, 0, 0, 
+	0, 0, 0, 0, 0, 0, 237, 238, 239, 240, 241, 242, 
+	243, 244, 245, 246, 247, 0, 248, 249, 0, 250, 0, 0, 
+	0, 0, 251, 252, 0, 0, 0, 0, 0, 253, 254, 255, 
+	256, 257, 0, 0, 0, 0, 0, 0, 0, 258, 0, 0, 
+	0, 259, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 260, 261, 0, 262, 263, 0, 0, 0, 264, 265, 
+	266, 267, 268, 269, 0, 270, 0, 271, 272, 0, 0, 0, 
+	273, 274, 275, 276, 277, 278, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7287,160 +10103,166 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 283, 284, 285, 286, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 287, 0, 288, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 289, 290, 291, 292, 293, 0, 0, 0, 
-	0, 0, 0, 0, 294, 0, 0, 0, 295, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 296, 0, 0, 0, 
-	297, 0, 0, 0, 0, 298, 299, 300, 301, 0, 0, 302, 
-	303, 0, 0, 0, 0, 0, 304, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 279, 280, 
+	281, 282, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 305, 0, 306, 0, 0, 0, 307, 0, 0, 308, 
-	309, 0, 310, 311, 0, 312, 313, 0, 314, 315, 0, 0, 
-	0, 0, 0, 0, 0, 316, 317, 318, 0, 319, 320, 0, 
-	0, 0, 0, 0, 321, 322, 323, 0, 324, 325, 0, 0, 
-	0, 326, 327, 0, 0, 328, 329, 0, 0, 0, 0, 330, 
-	331, 332, 0, 333, 334, 0, 0, 0, 0, 0, 0, 335, 
-	336, 337, 0, 338, 339, 0, 0, 0, 0, 0, 340, 341, 
-	342, 0, 343, 344, 0, 0, 0, 345, 346, 0, 0, 0, 
-	0, 347, 348, 0, 349, 350, 0, 0, 0, 351, 352, 353, 
-	354, 0, 355, 356, 0, 0, 0, 357, 358, 0, 0, 0, 
-	359, 360, 361, 362, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 283, 0, 284, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 285, 286, 287, 
+	288, 289, 0, 0, 0, 0, 0, 0, 0, 290, 0, 0, 
+	0, 291, 0, 0, 292, 0, 0, 0, 0, 0, 0, 0, 
+	0, 293, 0, 0, 0, 294, 0, 0, 0, 0, 295, 0, 
+	0, 0, 296, 0, 0, 0, 0, 297, 298, 299, 300, 0, 
+	0, 301, 302, 0, 0, 0, 0, 0, 303, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 304, 0, 305, 0, 0, 0, 306, 0, 
+	0, 307, 308, 0, 309, 310, 0, 311, 312, 0, 313, 314, 
+	0, 0, 0, 0, 0, 0, 0, 315, 316, 317, 0, 318, 
+	319, 0, 0, 0, 0, 0, 320, 321, 322, 0, 323, 324, 
+	0, 0, 0, 325, 326, 0, 0, 327, 328, 0, 0, 0, 
+	0, 329, 330, 331, 0, 332, 333, 0, 0, 0, 0, 0, 
+	0, 334, 335, 336, 0, 337, 338, 0, 0, 0, 0, 0, 
+	339, 340, 341, 0, 342, 343, 0, 0, 0, 344, 345, 0, 
+	0, 0, 0, 346, 347, 0, 348, 349, 0, 0, 0, 350, 
+	351, 352, 353, 0, 354, 355, 0, 0, 0, 356, 357, 0, 
+	0, 0, 358, 359, 360, 361, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 363, 364, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 362, 363, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 365, 366, 367, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 368, 369, 370, 0, 0, 0, 0, 
-	0, 0, 0, 371, 372, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 364, 365, 366, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 367, 368, 369, 
+	0, 0, 0, 0, 0, 0, 0, 370, 371, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 373, 374, 0, 0, 375, 376, 377, 378, 379, 0, 0, 
-	0, 380, 0, 381, 382, 383, 384, 385, 386, 387, 388, 389, 
-	391, 0, 0, 0, 0, 393, 394, 395, 396, 398, 0, 0, 
-	0, 400, 0, 401, 402, 403, 404, 405, 406, 0, 0, 0, 
+	0, 0, 0, 372, 373, 0, 0, 0, 0, 374, 375, 0, 
+	0, 0, 0, 0, 0, 0, 0, 376, 377, 380, 0, 0, 
+	383, 384, 385, 386, 387, 390, 0, 0, 0, 393, 0, 394, 
+	395, 396, 397, 398, 399, 400, 401, 403, 0, 0, 0, 405, 
+	406, 407, 409, 0, 0, 411, 0, 412, 413, 414, 415, 416, 
+	417, 0, 0, 0, 0, 0, 418, 419, 0, 0, 0, 0, 
+	420, 421, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 422, 423, 424, 425, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	407, 408, 409, 410, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 426, 0, 0, 427, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 428, 0, 429, 0, 0, 430, 
+	0, 431, 0, 432, 433, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 434, 0, 
+	435, 0, 0, 0, 0, 0, 0, 0, 0, 436, 437, 438, 
+	439, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 440, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 411, 0, 0, 412, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 413, 0, 414, 0, 
-	0, 415, 416, 0, 417, 418, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 419, 
-	0, 420, 0, 0, 0, 0, 0, 0, 0, 0, 421, 422, 
-	423, 424, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 425, 
+	441, 442, 443, 0, 0, 0, 0, 444, 445, 446, 447, 0, 
+	0, 0, 448, 0, 0, 0, 449, 0, 0, 0, 450, 0, 
+	0, 0, 451, 0, 0, 0, 0, 452, 453, 454, 455, 456, 
+	457, 458, 0, 0, 0, 0, 0, 0, 0, 0, 0, 459, 
+	460, 461, 462, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 463, 464, 465, 466, 0, 467, 468, 469, 470, 471, 
+	472, 0, 473, 474, 0, 475, 476, 477, 478, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 426, 427, 428, 0, 0, 0, 0, 429, 430, 431, 432, 
-	0, 0, 0, 433, 0, 0, 0, 434, 0, 0, 0, 435, 
-	0, 0, 0, 436, 0, 0, 0, 0, 437, 438, 439, 440, 
-	441, 442, 443, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	444, 445, 446, 447, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 448, 449, 450, 451, 0, 452, 453, 454, 455, 
-	456, 457, 0, 458, 459, 0, 460, 461, 462, 463, 0, 0, 
+	479, 480, 0, 0, 0, 481, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	464, 465, 0, 0, 0, 466, 0, 0, 0, 0, 0, 0, 
+	0, 482, 483, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 467, 468, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	484, 485, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 486, 487, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	469, 470, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 471, 472, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 488, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 473, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 489, 490, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 491, 492, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 474, 475, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 476, 477, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 493, 494, 495, 496, 497, 498, 0, 499, 0, 0, 
+	500, 501, 502, 503, 0, 504, 0, 505, 0, 506, 507, 0, 
+	508, 509, 0, 510, 511, 0, 512, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 478, 479, 480, 481, 482, 483, 0, 484, 0, 0, 485, 
-	486, 487, 488, 0, 489, 0, 490, 0, 491, 492, 0, 493, 
-	494, 0, 495, 496, 0, 497, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 513, 
+	514, 515, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 516, 517, 518, 0, 0, 0, 0, 0, 0, 
+	0, 519, 520, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 498, 499, 
-	500, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 501, 502, 503, 0, 0, 0, 0, 0, 0, 0, 
-	504, 505, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 521, 522, 523, 524, 0, 525, 526, 527, 528, 529, 0, 
+	530, 0, 531, 0, 532, 0, 533, 0, 534, 535, 0, 536, 
+	537, 0, 538, 539, 0, 540, 0, 541, 0, 0, 0, 0, 
+	0, 0, 0, 0, 542, 543, 544, 545, 546, 547, 548, 549, 
+	550, 551, 552, 553, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	506, 507, 508, 509, 0, 510, 511, 512, 513, 514, 0, 515, 
-	0, 516, 0, 517, 0, 518, 0, 519, 520, 0, 521, 522, 
-	0, 523, 524, 0, 525, 0, 526, 0, 0, 0, 0, 0, 
-	0, 0, 0, 527, 528, 529, 530, 531, 532, 533, 534, 535, 
-	536, 537, 538, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 539, 
-	540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 550, 0, 
+	554, 555, 556, 557, 558, 559, 560, 561, 562, 563, 564, 565, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	551, 552, 0, 553, 554, 0, 0, 0, 555, 556, 0, 0, 
-	0, 0, 0, 0, 557, 0, 0, 0, 0, 0, 0, 0, 
-	558, 0, 0, 559, 560, 0, 561, 562, 0, 0, 0, 0, 
-	0, 0, 0, 0, 563, 564, 565, 566, 567, 568, 569, 570, 
-	571, 572, 573, 574, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 575, 576, 577, 578, 579, 580, 581, 582, 
-	583, 584, 585, 586, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 566, 567, 0, 568, 569, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 570, 571, 0, 0, 572, 573, 0, 0, 0, 
+	574, 575, 0, 576, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 577, 0, 0, 0, 0, 0, 0, 
+	0, 578, 0, 0, 579, 580, 0, 581, 582, 0, 0, 0, 
+	0, 0, 0, 0, 0, 583, 584, 585, 586, 587, 588, 589, 
+	590, 591, 592, 593, 594, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 595, 596, 597, 598, 599, 600, 601, 
+	602, 603, 604, 605, 606, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 587, 588, 589, 590, 591, 592, 593, 594, 
-	595, 596, 597, 598, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 599, 600, 601, 602, 603, 604, 605, 
-	606, 607, 608, 609, 610, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 607, 608, 609, 610, 611, 612, 613, 
+	614, 615, 616, 617, 618, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 619, 620, 621, 622, 623, 624, 
+	625, 626, 627, 628, 629, 630, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	611, 612, 613, 614, 615, 616, 617, 618, 619, 620, 0, 621, 
-	622, 0, 623, 624, 625, 626, 0, 0, 0, 0, 0, 0, 
-	0, 0, 627, 628, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 629, 630, 
+	0, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 0, 
+	641, 642, 0, 643, 644, 645, 646, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 647, 648, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 649, 650, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 631, 632, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 651, 652, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 633, 634, 635, 636, 637, 638, 639, 640, 641, 
-	642, 643, 644, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 645, 646, 647, 648, 649, 650, 651, 652, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 653, 654, 655, 656, 657, 
-	658, 659, 660, 661, 662, 663, 664, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 665, 666, 667, 668, 669, 670, 671, 
-	672, 0, 0, 0, 0, 0, 0, 0, 0, 0, 673, 674, 
-	0, 0, 0, 0, 0, 0, 0, 675, 676, 677, 0, 0, 
-	678, 679, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 653, 654, 655, 656, 657, 658, 
+	659, 660, 661, 662, 663, 664, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 665, 666, 667, 668, 669, 670, 671, 672, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 673, 674, 
+	675, 676, 677, 678, 679, 680, 681, 682, 683, 684, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 685, 686, 687, 688, 
+	689, 690, 691, 692, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 693, 694, 0, 0, 0, 0, 0, 0, 0, 695, 696, 
+	697, 0, 0, 698, 699, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 680, 681, 0, 0, 682, 683, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 700, 701, 0, 0, 702, 703, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 684, 685, 686, 687, 688, 
-	689, 690, 691, 692, 693, 0, 694, 695, 0, 696, 697, 698, 
-	699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 700, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 701, 702, 703, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 704, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 705, 706, 707, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 704, 705, 
+	706, 707, 708, 709, 710, 711, 712, 713, 0, 714, 715, 0, 
+	716, 717, 718, 719, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 720, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 721, 722, 723, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 724, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	725, 726, 727, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 708, 709, 710, 711, 712, 713, 
-	714, 715, 0, 0, 0, 0, 716, 717, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 718, 719, 720, 721, 0, 0, 0, 
+	0, 728, 729, 730, 731, 732, 733, 734, 735, 0, 0, 0, 
+	0, 736, 737, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	738, 739, 740, 741, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7545,13 +10367,6 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 722, 723, 
-	724, 725, 726, 727, 728, 729, 730, 731, 732, 733, 734, 735, 
-	736, 737, 738, 739, 740, 741, 742, 743, 744, 745, 746, 747, 
-	748, 749, 750, 751, 752, 753, 754, 755, 756, 757, 758, 759, 
-	760, 761, 762, 763, 764, 765, 766, 767, 768, 769, 770, 771, 
-	772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 
-	784, 785, 786, 787, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7580,8 +10395,6 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	788, 789, 0, 0, 0, 0, 0, 0, 0, 0, 0, 790, 
-	791, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7590,25 +10403,17 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 792, 793, 0, 0, 0, 0, 0, 0, 794, 795, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 796, 797, 798, 0, 0, 
-	799, 800, 801, 802, 0, 0, 803, 804, 805, 806, 0, 0, 
-	807, 808, 809, 810, 811, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 812, 813, 814, 0, 0, 
-	815, 816, 817, 818, 0, 0, 819, 820, 821, 822, 0, 0, 
-	823, 824, 825, 826, 827, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 828, 829, 0, 0, 0, 0, 830, 831, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7619,10 +10424,7 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 832, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 833, 834, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 835, 836, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7646,44 +10448,39 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 837, 838, 0, 0, 0, 0, 
-	0, 0, 839, 840, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 841, 842, 0, 0, 0, 0, 0, 0, 843, 844, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 742, 743, 744, 745, 746, 
+	747, 748, 749, 750, 751, 752, 753, 754, 755, 756, 757, 758, 
+	759, 760, 761, 762, 763, 764, 765, 766, 767, 768, 769, 770, 
+	771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 
+	783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 
+	795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 
+	807, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 845, 846, 847, 848, 849, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 850, 851, 852, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 853, 854, 855, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 856, 857, 858, 0, 0, 
-	0, 0, 0, 0, 0, 0, 859, 860, 861, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 862, 863, 864, 0, 0, 
-	0, 0, 0, 0, 0, 0, 865, 866, 867, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 868, 869, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 870, 871, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7703,6 +10500,9 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	808, 809, 810, 0, 0, 0, 811, 812, 813, 814, 815, 816, 
+	0, 0, 0, 817, 818, 819, 820, 821, 822, 0, 0, 0, 
+	823, 824, 825, 826, 827, 828, 829, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
@@ -7711,14 +10511,9101 @@ static const uint16_t x86_16_bit_eq_look
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 872, 873, 874, 875, 0, 
-	0, 0, 0, 0, 0, 0, 876, 0, 877, 878, 879, 880, 
-	881, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 882, 883, 884, 
-	885, 886, 887, 888, 889, 890, 891, 0, 892, 893, 0, 894, 
-	895, 896, 897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 830, 0, 0, 831, 832, 833, 834, 835, 836, 
+	0, 0, 837, 838, 839, 840, 841, 842, 0, 0, 843, 844, 
+	845, 846, 847, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 848, 849, 0, 0, 0, 0, 850, 
+	851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 861, 862, 863, 
+	0, 0, 864, 865, 866, 867, 0, 0, 868, 869, 870, 871, 
+	0, 0, 872, 873, 874, 875, 876, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 877, 878, 879, 
+	0, 0, 880, 881, 882, 883, 0, 0, 884, 885, 886, 887, 
+	0, 0, 888, 889, 890, 891, 892, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 893, 894, 0, 0, 0, 
+	0, 895, 896, 897, 898, 899, 900, 901, 902, 0, 0, 0, 
+	0, 903, 904, 905, 906, 907, 908, 909, 910, 0, 0, 0, 
+	0, 911, 912, 913, 914, 915, 916, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 917, 918, 0, 0, 0, 
+	0, 919, 920, 921, 922, 923, 924, 925, 926, 0, 0, 0, 
+	0, 927, 928, 929, 930, 931, 932, 933, 934, 0, 0, 0, 
+	0, 935, 936, 937, 938, 939, 940, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 941, 942, 943, 
+	944, 0, 0, 0, 0, 0, 0, 0, 0, 945, 946, 947, 
+	948, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 949, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 950, 951, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 952, 953, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 954, 0, 0, 0, 955, 
+	956, 957, 958, 959, 960, 0, 0, 0, 961, 962, 963, 964, 
+	965, 966, 0, 0, 0, 967, 968, 969, 970, 971, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 972, 0, 0, 0, 973, 974, 975, 976, 977, 978, 0, 
+	0, 0, 979, 980, 981, 982, 983, 984, 0, 0, 0, 985, 
+	986, 987, 988, 989, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 990, 0, 0, 0, 991, 
+	992, 993, 994, 995, 996, 0, 0, 0, 997, 998, 999, 1000, 
+	1001, 1002, 0, 0, 0, 1003, 1004, 1005, 1006, 1007, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 1008, 0, 0, 0, 1009, 1010, 1011, 1012, 1013, 1014, 0, 
+	0, 0, 1015, 1016, 1017, 1018, 1019, 1020, 0, 0, 0, 1021, 
+	1022, 1023, 1024, 1025, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 1026, 1027, 1028, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 1029, 1030, 0, 0, 0, 0, 0, 0, 
+	1031, 1032, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1033, 
+	1034, 0, 0, 0, 0, 0, 0, 1035, 1036, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 1037, 0, 0, 0, 1038, 1039, 1040, 1041, 1042, 
+	1043, 0, 0, 0, 1044, 1045, 1046, 1047, 1048, 1049, 0, 0, 
+	0, 1050, 1051, 1052, 1053, 1054, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 1055, 1056, 1057, 1058, 1059, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 1060, 1061, 1062, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 1063, 1064, 1065, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	1066, 1067, 1068, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 1069, 1070, 1071, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 1072, 1073, 1074, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1075, 
+	1076, 1077, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 1078, 1079, 1080, 
+	0, 0, 0, 1081, 1082, 1083, 1084, 1085, 1086, 0, 0, 0, 
+	1087, 1088, 1089, 1090, 1091, 1092, 0, 0, 0, 1093, 1094, 1095, 
+	1096, 1097, 1098, 1099, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 1100, 1101, 1102, 1103, 0, 0, 0, 0, 0, 
+	0, 0, 0, 1104, 0, 1105, 1106, 1107, 1108, 1109, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 1110, 1111, 1112, 1113, 1114, 1115, 
+	1116, 1117, 1118, 1119, 0, 1120, 1121, 0, 1122, 1123, 1124, 1125, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, };
+
+static const bool is_64bit_insn[] = {
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
 };
 
 #endif // GET_INSTRINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenInstrInfo_reduce.inc 4.0.2-3/arch/X86/X86GenInstrInfo_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenInstrInfo_reduce.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenInstrInfo_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,582 +34,582 @@ enum {
     X86_STACKMAP	= 17,
     X86_PATCHPOINT	= 18,
     X86_LOAD_STACK_GUARD	= 19,
-    X86_AAA	= 20,
-    X86_AAD8i8	= 21,
-    X86_AAM8i8	= 22,
-    X86_AAS	= 23,
-    X86_ACQUIRE_MOV16rm	= 24,
-    X86_ACQUIRE_MOV32rm	= 25,
-    X86_ACQUIRE_MOV64rm	= 26,
-    X86_ACQUIRE_MOV8rm	= 27,
-    X86_ADC16i16	= 28,
-    X86_ADC16mi	= 29,
-    X86_ADC16mi8	= 30,
-    X86_ADC16mr	= 31,
-    X86_ADC16ri	= 32,
-    X86_ADC16ri8	= 33,
-    X86_ADC16rm	= 34,
-    X86_ADC16rr	= 35,
-    X86_ADC16rr_REV	= 36,
-    X86_ADC32i32	= 37,
-    X86_ADC32mi	= 38,
-    X86_ADC32mi8	= 39,
-    X86_ADC32mr	= 40,
-    X86_ADC32ri	= 41,
-    X86_ADC32ri8	= 42,
-    X86_ADC32rm	= 43,
-    X86_ADC32rr	= 44,
-    X86_ADC32rr_REV	= 45,
-    X86_ADC64i32	= 46,
-    X86_ADC64mi32	= 47,
-    X86_ADC64mi8	= 48,
-    X86_ADC64mr	= 49,
-    X86_ADC64ri32	= 50,
-    X86_ADC64ri8	= 51,
-    X86_ADC64rm	= 52,
-    X86_ADC64rr	= 53,
-    X86_ADC64rr_REV	= 54,
-    X86_ADC8i8	= 55,
-    X86_ADC8mi	= 56,
-    X86_ADC8mr	= 57,
-    X86_ADC8ri	= 58,
-    X86_ADC8rm	= 59,
-    X86_ADC8rr	= 60,
-    X86_ADC8rr_REV	= 61,
-    X86_ADCX32rm	= 62,
-    X86_ADCX32rr	= 63,
-    X86_ADCX64rm	= 64,
-    X86_ADCX64rr	= 65,
-    X86_ADD16i16	= 66,
-    X86_ADD16mi	= 67,
-    X86_ADD16mi8	= 68,
-    X86_ADD16mr	= 69,
-    X86_ADD16ri	= 70,
-    X86_ADD16ri8	= 71,
-    X86_ADD16ri8_DB	= 72,
-    X86_ADD16ri_DB	= 73,
-    X86_ADD16rm	= 74,
-    X86_ADD16rr	= 75,
-    X86_ADD16rr_DB	= 76,
-    X86_ADD16rr_REV	= 77,
-    X86_ADD32i32	= 78,
-    X86_ADD32mi	= 79,
-    X86_ADD32mi8	= 80,
-    X86_ADD32mr	= 81,
-    X86_ADD32ri	= 82,
-    X86_ADD32ri8	= 83,
-    X86_ADD32ri8_DB	= 84,
-    X86_ADD32ri_DB	= 85,
-    X86_ADD32rm	= 86,
-    X86_ADD32rr	= 87,
-    X86_ADD32rr_DB	= 88,
-    X86_ADD32rr_REV	= 89,
-    X86_ADD64i32	= 90,
-    X86_ADD64mi32	= 91,
-    X86_ADD64mi8	= 92,
-    X86_ADD64mr	= 93,
-    X86_ADD64ri32	= 94,
-    X86_ADD64ri32_DB	= 95,
-    X86_ADD64ri8	= 96,
-    X86_ADD64ri8_DB	= 97,
-    X86_ADD64rm	= 98,
-    X86_ADD64rr	= 99,
-    X86_ADD64rr_DB	= 100,
-    X86_ADD64rr_REV	= 101,
-    X86_ADD8i8	= 102,
-    X86_ADD8mi	= 103,
-    X86_ADD8mr	= 104,
-    X86_ADD8ri	= 105,
-    X86_ADD8ri8	= 106,
-    X86_ADD8rm	= 107,
-    X86_ADD8rr	= 108,
-    X86_ADD8rr_REV	= 109,
-    X86_ADJCALLSTACKDOWN32	= 110,
-    X86_ADJCALLSTACKDOWN64	= 111,
-    X86_ADJCALLSTACKUP32	= 112,
-    X86_ADJCALLSTACKUP64	= 113,
-    X86_ADOX32rm	= 114,
-    X86_ADOX32rr	= 115,
-    X86_ADOX64rm	= 116,
-    X86_ADOX64rr	= 117,
-    X86_AND16i16	= 118,
-    X86_AND16mi	= 119,
-    X86_AND16mi8	= 120,
-    X86_AND16mr	= 121,
-    X86_AND16ri	= 122,
-    X86_AND16ri8	= 123,
-    X86_AND16rm	= 124,
-    X86_AND16rr	= 125,
-    X86_AND16rr_REV	= 126,
-    X86_AND32i32	= 127,
-    X86_AND32mi	= 128,
-    X86_AND32mi8	= 129,
-    X86_AND32mr	= 130,
-    X86_AND32ri	= 131,
-    X86_AND32ri8	= 132,
-    X86_AND32rm	= 133,
-    X86_AND32rr	= 134,
-    X86_AND32rr_REV	= 135,
-    X86_AND64i32	= 136,
-    X86_AND64mi32	= 137,
-    X86_AND64mi8	= 138,
-    X86_AND64mr	= 139,
-    X86_AND64ri32	= 140,
-    X86_AND64ri8	= 141,
-    X86_AND64rm	= 142,
-    X86_AND64rr	= 143,
-    X86_AND64rr_REV	= 144,
-    X86_AND8i8	= 145,
-    X86_AND8mi	= 146,
-    X86_AND8mr	= 147,
-    X86_AND8ri	= 148,
-    X86_AND8ri8	= 149,
-    X86_AND8rm	= 150,
-    X86_AND8rr	= 151,
-    X86_AND8rr_REV	= 152,
-    X86_ANDN32rm	= 153,
-    X86_ANDN32rr	= 154,
-    X86_ANDN64rm	= 155,
-    X86_ANDN64rr	= 156,
-    X86_ARPL16mr	= 157,
-    X86_ARPL16rr	= 158,
-    X86_BEXTR32rm	= 159,
-    X86_BEXTR32rr	= 160,
-    X86_BEXTR64rm	= 161,
-    X86_BEXTR64rr	= 162,
-    X86_BEXTRI32mi	= 163,
-    X86_BEXTRI32ri	= 164,
-    X86_BEXTRI64mi	= 165,
-    X86_BEXTRI64ri	= 166,
-    X86_BLCFILL32rm	= 167,
-    X86_BLCFILL32rr	= 168,
-    X86_BLCFILL64rm	= 169,
-    X86_BLCFILL64rr	= 170,
-    X86_BLCI32rm	= 171,
-    X86_BLCI32rr	= 172,
-    X86_BLCI64rm	= 173,
-    X86_BLCI64rr	= 174,
-    X86_BLCIC32rm	= 175,
-    X86_BLCIC32rr	= 176,
-    X86_BLCIC64rm	= 177,
-    X86_BLCIC64rr	= 178,
-    X86_BLCMSK32rm	= 179,
-    X86_BLCMSK32rr	= 180,
-    X86_BLCMSK64rm	= 181,
-    X86_BLCMSK64rr	= 182,
-    X86_BLCS32rm	= 183,
-    X86_BLCS32rr	= 184,
-    X86_BLCS64rm	= 185,
-    X86_BLCS64rr	= 186,
-    X86_BLSFILL32rm	= 187,
-    X86_BLSFILL32rr	= 188,
-    X86_BLSFILL64rm	= 189,
-    X86_BLSFILL64rr	= 190,
-    X86_BLSI32rm	= 191,
-    X86_BLSI32rr	= 192,
-    X86_BLSI64rm	= 193,
-    X86_BLSI64rr	= 194,
-    X86_BLSIC32rm	= 195,
-    X86_BLSIC32rr	= 196,
-    X86_BLSIC64rm	= 197,
-    X86_BLSIC64rr	= 198,
-    X86_BLSMSK32rm	= 199,
-    X86_BLSMSK32rr	= 200,
-    X86_BLSMSK64rm	= 201,
-    X86_BLSMSK64rr	= 202,
-    X86_BLSR32rm	= 203,
-    X86_BLSR32rr	= 204,
-    X86_BLSR64rm	= 205,
-    X86_BLSR64rr	= 206,
-    X86_BOUNDS16rm	= 207,
-    X86_BOUNDS32rm	= 208,
-    X86_BSF16rm	= 209,
-    X86_BSF16rr	= 210,
-    X86_BSF32rm	= 211,
-    X86_BSF32rr	= 212,
-    X86_BSF64rm	= 213,
-    X86_BSF64rr	= 214,
-    X86_BSR16rm	= 215,
-    X86_BSR16rr	= 216,
-    X86_BSR32rm	= 217,
-    X86_BSR32rr	= 218,
-    X86_BSR64rm	= 219,
-    X86_BSR64rr	= 220,
-    X86_BSWAP32r	= 221,
-    X86_BSWAP64r	= 222,
-    X86_BT16mi8	= 223,
-    X86_BT16mr	= 224,
-    X86_BT16ri8	= 225,
-    X86_BT16rr	= 226,
-    X86_BT32mi8	= 227,
-    X86_BT32mr	= 228,
-    X86_BT32ri8	= 229,
-    X86_BT32rr	= 230,
-    X86_BT64mi8	= 231,
-    X86_BT64mr	= 232,
-    X86_BT64ri8	= 233,
-    X86_BT64rr	= 234,
-    X86_BTC16mi8	= 235,
-    X86_BTC16mr	= 236,
-    X86_BTC16ri8	= 237,
-    X86_BTC16rr	= 238,
-    X86_BTC32mi8	= 239,
-    X86_BTC32mr	= 240,
-    X86_BTC32ri8	= 241,
-    X86_BTC32rr	= 242,
-    X86_BTC64mi8	= 243,
-    X86_BTC64mr	= 244,
-    X86_BTC64ri8	= 245,
-    X86_BTC64rr	= 246,
-    X86_BTR16mi8	= 247,
-    X86_BTR16mr	= 248,
-    X86_BTR16ri8	= 249,
-    X86_BTR16rr	= 250,
-    X86_BTR32mi8	= 251,
-    X86_BTR32mr	= 252,
-    X86_BTR32ri8	= 253,
-    X86_BTR32rr	= 254,
-    X86_BTR64mi8	= 255,
-    X86_BTR64mr	= 256,
-    X86_BTR64ri8	= 257,
-    X86_BTR64rr	= 258,
-    X86_BTS16mi8	= 259,
-    X86_BTS16mr	= 260,
-    X86_BTS16ri8	= 261,
-    X86_BTS16rr	= 262,
-    X86_BTS32mi8	= 263,
-    X86_BTS32mr	= 264,
-    X86_BTS32ri8	= 265,
-    X86_BTS32rr	= 266,
-    X86_BTS64mi8	= 267,
-    X86_BTS64mr	= 268,
-    X86_BTS64ri8	= 269,
-    X86_BTS64rr	= 270,
-    X86_BZHI32rm	= 271,
-    X86_BZHI32rr	= 272,
-    X86_BZHI64rm	= 273,
-    X86_BZHI64rr	= 274,
-    X86_CALL16m	= 275,
-    X86_CALL16r	= 276,
-    X86_CALL32m	= 277,
-    X86_CALL32r	= 278,
-    X86_CALL64m	= 279,
-    X86_CALL64pcrel32	= 280,
-    X86_CALL64r	= 281,
-    X86_CALLpcrel16	= 282,
-    X86_CALLpcrel32	= 283,
-    X86_CBW	= 284,
-    X86_CDQ	= 285,
-    X86_CDQE	= 286,
-    X86_CLAC	= 287,
-    X86_CLC	= 288,
-    X86_CLD	= 289,
-    X86_CLGI	= 290,
-    X86_CLI	= 291,
-    X86_CLTS	= 292,
-    X86_CMC	= 293,
-    X86_CMOVA16rm	= 294,
-    X86_CMOVA16rr	= 295,
-    X86_CMOVA32rm	= 296,
-    X86_CMOVA32rr	= 297,
-    X86_CMOVA64rm	= 298,
-    X86_CMOVA64rr	= 299,
-    X86_CMOVAE16rm	= 300,
-    X86_CMOVAE16rr	= 301,
-    X86_CMOVAE32rm	= 302,
-    X86_CMOVAE32rr	= 303,
-    X86_CMOVAE64rm	= 304,
-    X86_CMOVAE64rr	= 305,
-    X86_CMOVB16rm	= 306,
-    X86_CMOVB16rr	= 307,
-    X86_CMOVB32rm	= 308,
-    X86_CMOVB32rr	= 309,
-    X86_CMOVB64rm	= 310,
-    X86_CMOVB64rr	= 311,
-    X86_CMOVBE16rm	= 312,
-    X86_CMOVBE16rr	= 313,
-    X86_CMOVBE32rm	= 314,
-    X86_CMOVBE32rr	= 315,
-    X86_CMOVBE64rm	= 316,
-    X86_CMOVBE64rr	= 317,
-    X86_CMOVE16rm	= 318,
-    X86_CMOVE16rr	= 319,
-    X86_CMOVE32rm	= 320,
-    X86_CMOVE32rr	= 321,
-    X86_CMOVE64rm	= 322,
-    X86_CMOVE64rr	= 323,
-    X86_CMOVG16rm	= 324,
-    X86_CMOVG16rr	= 325,
-    X86_CMOVG32rm	= 326,
-    X86_CMOVG32rr	= 327,
-    X86_CMOVG64rm	= 328,
-    X86_CMOVG64rr	= 329,
-    X86_CMOVGE16rm	= 330,
-    X86_CMOVGE16rr	= 331,
-    X86_CMOVGE32rm	= 332,
-    X86_CMOVGE32rr	= 333,
-    X86_CMOVGE64rm	= 334,
-    X86_CMOVGE64rr	= 335,
-    X86_CMOVL16rm	= 336,
-    X86_CMOVL16rr	= 337,
-    X86_CMOVL32rm	= 338,
-    X86_CMOVL32rr	= 339,
-    X86_CMOVL64rm	= 340,
-    X86_CMOVL64rr	= 341,
-    X86_CMOVLE16rm	= 342,
-    X86_CMOVLE16rr	= 343,
-    X86_CMOVLE32rm	= 344,
-    X86_CMOVLE32rr	= 345,
-    X86_CMOVLE64rm	= 346,
-    X86_CMOVLE64rr	= 347,
-    X86_CMOVNE16rm	= 348,
-    X86_CMOVNE16rr	= 349,
-    X86_CMOVNE32rm	= 350,
-    X86_CMOVNE32rr	= 351,
-    X86_CMOVNE64rm	= 352,
-    X86_CMOVNE64rr	= 353,
-    X86_CMOVNO16rm	= 354,
-    X86_CMOVNO16rr	= 355,
-    X86_CMOVNO32rm	= 356,
-    X86_CMOVNO32rr	= 357,
-    X86_CMOVNO64rm	= 358,
-    X86_CMOVNO64rr	= 359,
-    X86_CMOVNP16rm	= 360,
-    X86_CMOVNP16rr	= 361,
-    X86_CMOVNP32rm	= 362,
-    X86_CMOVNP32rr	= 363,
-    X86_CMOVNP64rm	= 364,
-    X86_CMOVNP64rr	= 365,
-    X86_CMOVNS16rm	= 366,
-    X86_CMOVNS16rr	= 367,
-    X86_CMOVNS32rm	= 368,
-    X86_CMOVNS32rr	= 369,
-    X86_CMOVNS64rm	= 370,
-    X86_CMOVNS64rr	= 371,
-    X86_CMOVO16rm	= 372,
-    X86_CMOVO16rr	= 373,
-    X86_CMOVO32rm	= 374,
-    X86_CMOVO32rr	= 375,
-    X86_CMOVO64rm	= 376,
-    X86_CMOVO64rr	= 377,
-    X86_CMOVP16rm	= 378,
-    X86_CMOVP16rr	= 379,
-    X86_CMOVP32rm	= 380,
-    X86_CMOVP32rr	= 381,
-    X86_CMOVP64rm	= 382,
-    X86_CMOVP64rr	= 383,
-    X86_CMOVS16rm	= 384,
-    X86_CMOVS16rr	= 385,
-    X86_CMOVS32rm	= 386,
-    X86_CMOVS32rr	= 387,
-    X86_CMOVS64rm	= 388,
-    X86_CMOVS64rr	= 389,
-    X86_CMOV_FR32	= 390,
-    X86_CMOV_FR64	= 391,
-    X86_CMOV_GR16	= 392,
-    X86_CMOV_GR32	= 393,
-    X86_CMOV_GR8	= 394,
-    X86_CMOV_RFP32	= 395,
-    X86_CMOV_RFP64	= 396,
-    X86_CMOV_RFP80	= 397,
-    X86_CMOV_V16F32	= 398,
-    X86_CMOV_V2F64	= 399,
-    X86_CMOV_V2I64	= 400,
-    X86_CMOV_V4F32	= 401,
-    X86_CMOV_V4F64	= 402,
-    X86_CMOV_V4I64	= 403,
-    X86_CMOV_V8F32	= 404,
-    X86_CMOV_V8F64	= 405,
-    X86_CMOV_V8I64	= 406,
-    X86_CMP16i16	= 407,
-    X86_CMP16mi	= 408,
-    X86_CMP16mi8	= 409,
-    X86_CMP16mr	= 410,
-    X86_CMP16ri	= 411,
-    X86_CMP16ri8	= 412,
-    X86_CMP16rm	= 413,
-    X86_CMP16rr	= 414,
-    X86_CMP16rr_REV	= 415,
-    X86_CMP32i32	= 416,
-    X86_CMP32mi	= 417,
-    X86_CMP32mi8	= 418,
-    X86_CMP32mr	= 419,
-    X86_CMP32ri	= 420,
-    X86_CMP32ri8	= 421,
-    X86_CMP32rm	= 422,
-    X86_CMP32rr	= 423,
-    X86_CMP32rr_REV	= 424,
-    X86_CMP64i32	= 425,
-    X86_CMP64mi32	= 426,
-    X86_CMP64mi8	= 427,
-    X86_CMP64mr	= 428,
-    X86_CMP64ri32	= 429,
-    X86_CMP64ri8	= 430,
-    X86_CMP64rm	= 431,
-    X86_CMP64rr	= 432,
-    X86_CMP64rr_REV	= 433,
-    X86_CMP8i8	= 434,
-    X86_CMP8mi	= 435,
-    X86_CMP8mr	= 436,
-    X86_CMP8ri	= 437,
-    X86_CMP8rm	= 438,
-    X86_CMP8rr	= 439,
-    X86_CMP8rr_REV	= 440,
-    X86_CMPSB	= 441,
-    X86_CMPSL	= 442,
-    X86_CMPSQ	= 443,
-    X86_CMPSW	= 444,
-    X86_CMPXCHG16B	= 445,
-    X86_CMPXCHG16rm	= 446,
-    X86_CMPXCHG16rr	= 447,
-    X86_CMPXCHG32rm	= 448,
-    X86_CMPXCHG32rr	= 449,
-    X86_CMPXCHG64rm	= 450,
-    X86_CMPXCHG64rr	= 451,
-    X86_CMPXCHG8B	= 452,
-    X86_CMPXCHG8rm	= 453,
-    X86_CMPXCHG8rr	= 454,
-    X86_CPUID32	= 455,
-    X86_CPUID64	= 456,
-    X86_CQO	= 457,
-    X86_CWD	= 458,
-    X86_CWDE	= 459,
-    X86_DAA	= 460,
-    X86_DAS	= 461,
-    X86_DATA16_PREFIX	= 462,
-    X86_DEC16m	= 463,
-    X86_DEC16r	= 464,
-    X86_DEC32_16r	= 465,
-    X86_DEC32_32r	= 466,
-    X86_DEC32m	= 467,
-    X86_DEC32r	= 468,
-    X86_DEC64_16m	= 469,
-    X86_DEC64_16r	= 470,
-    X86_DEC64_32m	= 471,
-    X86_DEC64_32r	= 472,
-    X86_DEC64m	= 473,
-    X86_DEC64r	= 474,
-    X86_DEC8m	= 475,
-    X86_DEC8r	= 476,
-    X86_DIV16m	= 477,
-    X86_DIV16r	= 478,
-    X86_DIV32m	= 479,
-    X86_DIV32r	= 480,
-    X86_DIV64m	= 481,
-    X86_DIV64r	= 482,
-    X86_DIV8m	= 483,
-    X86_DIV8r	= 484,
-    X86_EH_RETURN	= 485,
-    X86_EH_RETURN64	= 486,
-    X86_EH_SjLj_LongJmp32	= 487,
-    X86_EH_SjLj_LongJmp64	= 488,
-    X86_EH_SjLj_SetJmp32	= 489,
-    X86_EH_SjLj_SetJmp64	= 490,
-    X86_EH_SjLj_Setup	= 491,
-    X86_ENTER	= 492,
-    X86_FARCALL16i	= 493,
-    X86_FARCALL16m	= 494,
-    X86_FARCALL32i	= 495,
-    X86_FARCALL32m	= 496,
-    X86_FARCALL64	= 497,
-    X86_FARJMP16i	= 498,
-    X86_FARJMP16m	= 499,
-    X86_FARJMP32i	= 500,
-    X86_FARJMP32m	= 501,
-    X86_FARJMP64	= 502,
-    X86_FSETPM	= 503,
-    X86_GETSEC	= 504,
-    X86_HLT	= 505,
-    X86_IDIV16m	= 506,
-    X86_IDIV16r	= 507,
-    X86_IDIV32m	= 508,
-    X86_IDIV32r	= 509,
-    X86_IDIV64m	= 510,
-    X86_IDIV64r	= 511,
-    X86_IDIV8m	= 512,
-    X86_IDIV8r	= 513,
-    X86_IMUL16m	= 514,
-    X86_IMUL16r	= 515,
-    X86_IMUL16rm	= 516,
-    X86_IMUL16rmi	= 517,
-    X86_IMUL16rmi8	= 518,
-    X86_IMUL16rr	= 519,
-    X86_IMUL16rri	= 520,
-    X86_IMUL16rri8	= 521,
-    X86_IMUL32m	= 522,
-    X86_IMUL32r	= 523,
-    X86_IMUL32rm	= 524,
-    X86_IMUL32rmi	= 525,
-    X86_IMUL32rmi8	= 526,
-    X86_IMUL32rr	= 527,
-    X86_IMUL32rri	= 528,
-    X86_IMUL32rri8	= 529,
-    X86_IMUL64m	= 530,
-    X86_IMUL64r	= 531,
-    X86_IMUL64rm	= 532,
-    X86_IMUL64rmi32	= 533,
-    X86_IMUL64rmi8	= 534,
-    X86_IMUL64rr	= 535,
-    X86_IMUL64rri32	= 536,
-    X86_IMUL64rri8	= 537,
-    X86_IMUL8m	= 538,
-    X86_IMUL8r	= 539,
-    X86_IN16ri	= 540,
-    X86_IN16rr	= 541,
-    X86_IN32ri	= 542,
-    X86_IN32rr	= 543,
-    X86_IN8ri	= 544,
-    X86_IN8rr	= 545,
-    X86_INC16m	= 546,
-    X86_INC16r	= 547,
-    X86_INC32_16r	= 548,
-    X86_INC32_32r	= 549,
-    X86_INC32m	= 550,
-    X86_INC32r	= 551,
-    X86_INC64_16m	= 552,
-    X86_INC64_16r	= 553,
-    X86_INC64_32m	= 554,
-    X86_INC64_32r	= 555,
-    X86_INC64m	= 556,
-    X86_INC64r	= 557,
-    X86_INC8m	= 558,
-    X86_INC8r	= 559,
-    X86_INSB	= 560,
-    X86_INSL	= 561,
-    X86_INSW	= 562,
-    X86_INT	= 563,
-    X86_INT1	= 564,
-    X86_INT3	= 565,
-    X86_INTO	= 566,
-    X86_INVD	= 567,
-    X86_INVEPT32	= 568,
-    X86_INVEPT64	= 569,
-    X86_INVLPG	= 570,
-    X86_INVLPGA32	= 571,
-    X86_INVLPGA64	= 572,
-    X86_INVPCID32	= 573,
-    X86_INVPCID64	= 574,
-    X86_INVVPID32	= 575,
-    X86_INVVPID64	= 576,
-    X86_IRET16	= 577,
-    X86_IRET32	= 578,
-    X86_IRET64	= 579,
-    X86_Int_MemBarrier	= 580,
-    X86_JAE_1	= 581,
-    X86_JAE_2	= 582,
-    X86_JAE_4	= 583,
-    X86_JA_1	= 584,
-    X86_JA_2	= 585,
-    X86_JA_4	= 586,
-    X86_JBE_1	= 587,
-    X86_JBE_2	= 588,
-    X86_JBE_4	= 589,
-    X86_JB_1	= 590,
-    X86_JB_2	= 591,
-    X86_JB_4	= 592,
-    X86_JCXZ	= 593,
-    X86_JECXZ_32	= 594,
-    X86_JECXZ_64	= 595,
+    X86_STATEPOINT	= 20,
+    X86_FRAME_ALLOC	= 21,
+    X86_AAA	= 22,
+    X86_AAD8i8	= 23,
+    X86_AAM8i8	= 24,
+    X86_AAS	= 25,
+    X86_ACQUIRE_MOV16rm	= 26,
+    X86_ACQUIRE_MOV32rm	= 27,
+    X86_ACQUIRE_MOV64rm	= 28,
+    X86_ACQUIRE_MOV8rm	= 29,
+    X86_ADC16i16	= 30,
+    X86_ADC16mi	= 31,
+    X86_ADC16mi8	= 32,
+    X86_ADC16mr	= 33,
+    X86_ADC16ri	= 34,
+    X86_ADC16ri8	= 35,
+    X86_ADC16rm	= 36,
+    X86_ADC16rr	= 37,
+    X86_ADC16rr_REV	= 38,
+    X86_ADC32i32	= 39,
+    X86_ADC32mi	= 40,
+    X86_ADC32mi8	= 41,
+    X86_ADC32mr	= 42,
+    X86_ADC32ri	= 43,
+    X86_ADC32ri8	= 44,
+    X86_ADC32rm	= 45,
+    X86_ADC32rr	= 46,
+    X86_ADC32rr_REV	= 47,
+    X86_ADC64i32	= 48,
+    X86_ADC64mi32	= 49,
+    X86_ADC64mi8	= 50,
+    X86_ADC64mr	= 51,
+    X86_ADC64ri32	= 52,
+    X86_ADC64ri8	= 53,
+    X86_ADC64rm	= 54,
+    X86_ADC64rr	= 55,
+    X86_ADC64rr_REV	= 56,
+    X86_ADC8i8	= 57,
+    X86_ADC8mi	= 58,
+    X86_ADC8mi8	= 59,
+    X86_ADC8mr	= 60,
+    X86_ADC8ri	= 61,
+    X86_ADC8ri8	= 62,
+    X86_ADC8rm	= 63,
+    X86_ADC8rr	= 64,
+    X86_ADC8rr_REV	= 65,
+    X86_ADCX32rm	= 66,
+    X86_ADCX32rr	= 67,
+    X86_ADCX64rm	= 68,
+    X86_ADCX64rr	= 69,
+    X86_ADD16i16	= 70,
+    X86_ADD16mi	= 71,
+    X86_ADD16mi8	= 72,
+    X86_ADD16mr	= 73,
+    X86_ADD16ri	= 74,
+    X86_ADD16ri8	= 75,
+    X86_ADD16ri8_DB	= 76,
+    X86_ADD16ri_DB	= 77,
+    X86_ADD16rm	= 78,
+    X86_ADD16rr	= 79,
+    X86_ADD16rr_DB	= 80,
+    X86_ADD16rr_REV	= 81,
+    X86_ADD32i32	= 82,
+    X86_ADD32mi	= 83,
+    X86_ADD32mi8	= 84,
+    X86_ADD32mr	= 85,
+    X86_ADD32ri	= 86,
+    X86_ADD32ri8	= 87,
+    X86_ADD32ri8_DB	= 88,
+    X86_ADD32ri_DB	= 89,
+    X86_ADD32rm	= 90,
+    X86_ADD32rr	= 91,
+    X86_ADD32rr_DB	= 92,
+    X86_ADD32rr_REV	= 93,
+    X86_ADD64i32	= 94,
+    X86_ADD64mi32	= 95,
+    X86_ADD64mi8	= 96,
+    X86_ADD64mr	= 97,
+    X86_ADD64ri32	= 98,
+    X86_ADD64ri32_DB	= 99,
+    X86_ADD64ri8	= 100,
+    X86_ADD64ri8_DB	= 101,
+    X86_ADD64rm	= 102,
+    X86_ADD64rr	= 103,
+    X86_ADD64rr_DB	= 104,
+    X86_ADD64rr_REV	= 105,
+    X86_ADD8i8	= 106,
+    X86_ADD8mi	= 107,
+    X86_ADD8mi8	= 108,
+    X86_ADD8mr	= 109,
+    X86_ADD8ri	= 110,
+    X86_ADD8ri8	= 111,
+    X86_ADD8rm	= 112,
+    X86_ADD8rr	= 113,
+    X86_ADD8rr_REV	= 114,
+    X86_ADJCALLSTACKDOWN32	= 115,
+    X86_ADJCALLSTACKDOWN64	= 116,
+    X86_ADJCALLSTACKUP32	= 117,
+    X86_ADJCALLSTACKUP64	= 118,
+    X86_ADOX32rm	= 119,
+    X86_ADOX32rr	= 120,
+    X86_ADOX64rm	= 121,
+    X86_ADOX64rr	= 122,
+    X86_AND16i16	= 123,
+    X86_AND16mi	= 124,
+    X86_AND16mi8	= 125,
+    X86_AND16mr	= 126,
+    X86_AND16ri	= 127,
+    X86_AND16ri8	= 128,
+    X86_AND16rm	= 129,
+    X86_AND16rr	= 130,
+    X86_AND16rr_REV	= 131,
+    X86_AND32i32	= 132,
+    X86_AND32mi	= 133,
+    X86_AND32mi8	= 134,
+    X86_AND32mr	= 135,
+    X86_AND32ri	= 136,
+    X86_AND32ri8	= 137,
+    X86_AND32rm	= 138,
+    X86_AND32rr	= 139,
+    X86_AND32rr_REV	= 140,
+    X86_AND64i32	= 141,
+    X86_AND64mi32	= 142,
+    X86_AND64mi8	= 143,
+    X86_AND64mr	= 144,
+    X86_AND64ri32	= 145,
+    X86_AND64ri8	= 146,
+    X86_AND64rm	= 147,
+    X86_AND64rr	= 148,
+    X86_AND64rr_REV	= 149,
+    X86_AND8i8	= 150,
+    X86_AND8mi	= 151,
+    X86_AND8mi8	= 152,
+    X86_AND8mr	= 153,
+    X86_AND8ri	= 154,
+    X86_AND8ri8	= 155,
+    X86_AND8rm	= 156,
+    X86_AND8rr	= 157,
+    X86_AND8rr_REV	= 158,
+    X86_ANDN32rm	= 159,
+    X86_ANDN32rr	= 160,
+    X86_ANDN64rm	= 161,
+    X86_ANDN64rr	= 162,
+    X86_ARPL16mr	= 163,
+    X86_ARPL16rr	= 164,
+    X86_BEXTR32rm	= 165,
+    X86_BEXTR32rr	= 166,
+    X86_BEXTR64rm	= 167,
+    X86_BEXTR64rr	= 168,
+    X86_BEXTRI32mi	= 169,
+    X86_BEXTRI32ri	= 170,
+    X86_BEXTRI64mi	= 171,
+    X86_BEXTRI64ri	= 172,
+    X86_BLCFILL32rm	= 173,
+    X86_BLCFILL32rr	= 174,
+    X86_BLCFILL64rm	= 175,
+    X86_BLCFILL64rr	= 176,
+    X86_BLCI32rm	= 177,
+    X86_BLCI32rr	= 178,
+    X86_BLCI64rm	= 179,
+    X86_BLCI64rr	= 180,
+    X86_BLCIC32rm	= 181,
+    X86_BLCIC32rr	= 182,
+    X86_BLCIC64rm	= 183,
+    X86_BLCIC64rr	= 184,
+    X86_BLCMSK32rm	= 185,
+    X86_BLCMSK32rr	= 186,
+    X86_BLCMSK64rm	= 187,
+    X86_BLCMSK64rr	= 188,
+    X86_BLCS32rm	= 189,
+    X86_BLCS32rr	= 190,
+    X86_BLCS64rm	= 191,
+    X86_BLCS64rr	= 192,
+    X86_BLSFILL32rm	= 193,
+    X86_BLSFILL32rr	= 194,
+    X86_BLSFILL64rm	= 195,
+    X86_BLSFILL64rr	= 196,
+    X86_BLSI32rm	= 197,
+    X86_BLSI32rr	= 198,
+    X86_BLSI64rm	= 199,
+    X86_BLSI64rr	= 200,
+    X86_BLSIC32rm	= 201,
+    X86_BLSIC32rr	= 202,
+    X86_BLSIC64rm	= 203,
+    X86_BLSIC64rr	= 204,
+    X86_BLSMSK32rm	= 205,
+    X86_BLSMSK32rr	= 206,
+    X86_BLSMSK64rm	= 207,
+    X86_BLSMSK64rr	= 208,
+    X86_BLSR32rm	= 209,
+    X86_BLSR32rr	= 210,
+    X86_BLSR64rm	= 211,
+    X86_BLSR64rr	= 212,
+    X86_BOUNDS16rm	= 213,
+    X86_BOUNDS32rm	= 214,
+    X86_BSF16rm	= 215,
+    X86_BSF16rr	= 216,
+    X86_BSF32rm	= 217,
+    X86_BSF32rr	= 218,
+    X86_BSF64rm	= 219,
+    X86_BSF64rr	= 220,
+    X86_BSR16rm	= 221,
+    X86_BSR16rr	= 222,
+    X86_BSR32rm	= 223,
+    X86_BSR32rr	= 224,
+    X86_BSR64rm	= 225,
+    X86_BSR64rr	= 226,
+    X86_BSWAP32r	= 227,
+    X86_BSWAP64r	= 228,
+    X86_BT16mi8	= 229,
+    X86_BT16mr	= 230,
+    X86_BT16ri8	= 231,
+    X86_BT16rr	= 232,
+    X86_BT32mi8	= 233,
+    X86_BT32mr	= 234,
+    X86_BT32ri8	= 235,
+    X86_BT32rr	= 236,
+    X86_BT64mi8	= 237,
+    X86_BT64mr	= 238,
+    X86_BT64ri8	= 239,
+    X86_BT64rr	= 240,
+    X86_BTC16mi8	= 241,
+    X86_BTC16mr	= 242,
+    X86_BTC16ri8	= 243,
+    X86_BTC16rr	= 244,
+    X86_BTC32mi8	= 245,
+    X86_BTC32mr	= 246,
+    X86_BTC32ri8	= 247,
+    X86_BTC32rr	= 248,
+    X86_BTC64mi8	= 249,
+    X86_BTC64mr	= 250,
+    X86_BTC64ri8	= 251,
+    X86_BTC64rr	= 252,
+    X86_BTR16mi8	= 253,
+    X86_BTR16mr	= 254,
+    X86_BTR16ri8	= 255,
+    X86_BTR16rr	= 256,
+    X86_BTR32mi8	= 257,
+    X86_BTR32mr	= 258,
+    X86_BTR32ri8	= 259,
+    X86_BTR32rr	= 260,
+    X86_BTR64mi8	= 261,
+    X86_BTR64mr	= 262,
+    X86_BTR64ri8	= 263,
+    X86_BTR64rr	= 264,
+    X86_BTS16mi8	= 265,
+    X86_BTS16mr	= 266,
+    X86_BTS16ri8	= 267,
+    X86_BTS16rr	= 268,
+    X86_BTS32mi8	= 269,
+    X86_BTS32mr	= 270,
+    X86_BTS32ri8	= 271,
+    X86_BTS32rr	= 272,
+    X86_BTS64mi8	= 273,
+    X86_BTS64mr	= 274,
+    X86_BTS64ri8	= 275,
+    X86_BTS64rr	= 276,
+    X86_BZHI32rm	= 277,
+    X86_BZHI32rr	= 278,
+    X86_BZHI64rm	= 279,
+    X86_BZHI64rr	= 280,
+    X86_CALL16m	= 281,
+    X86_CALL16r	= 282,
+    X86_CALL32m	= 283,
+    X86_CALL32r	= 284,
+    X86_CALL64m	= 285,
+    X86_CALL64pcrel32	= 286,
+    X86_CALL64r	= 287,
+    X86_CALLpcrel16	= 288,
+    X86_CALLpcrel32	= 289,
+    X86_CBW	= 290,
+    X86_CDQ	= 291,
+    X86_CDQE	= 292,
+    X86_CLAC	= 293,
+    X86_CLC	= 294,
+    X86_CLD	= 295,
+    X86_CLFLUSHOPT	= 296,
+    X86_CLGI	= 297,
+    X86_CLI	= 298,
+    X86_CLTS	= 299,
+    X86_CLWB	= 300,
+    X86_CMC	= 301,
+    X86_CMOVA16rm	= 302,
+    X86_CMOVA16rr	= 303,
+    X86_CMOVA32rm	= 304,
+    X86_CMOVA32rr	= 305,
+    X86_CMOVA64rm	= 306,
+    X86_CMOVA64rr	= 307,
+    X86_CMOVAE16rm	= 308,
+    X86_CMOVAE16rr	= 309,
+    X86_CMOVAE32rm	= 310,
+    X86_CMOVAE32rr	= 311,
+    X86_CMOVAE64rm	= 312,
+    X86_CMOVAE64rr	= 313,
+    X86_CMOVB16rm	= 314,
+    X86_CMOVB16rr	= 315,
+    X86_CMOVB32rm	= 316,
+    X86_CMOVB32rr	= 317,
+    X86_CMOVB64rm	= 318,
+    X86_CMOVB64rr	= 319,
+    X86_CMOVBE16rm	= 320,
+    X86_CMOVBE16rr	= 321,
+    X86_CMOVBE32rm	= 322,
+    X86_CMOVBE32rr	= 323,
+    X86_CMOVBE64rm	= 324,
+    X86_CMOVBE64rr	= 325,
+    X86_CMOVE16rm	= 326,
+    X86_CMOVE16rr	= 327,
+    X86_CMOVE32rm	= 328,
+    X86_CMOVE32rr	= 329,
+    X86_CMOVE64rm	= 330,
+    X86_CMOVE64rr	= 331,
+    X86_CMOVG16rm	= 332,
+    X86_CMOVG16rr	= 333,
+    X86_CMOVG32rm	= 334,
+    X86_CMOVG32rr	= 335,
+    X86_CMOVG64rm	= 336,
+    X86_CMOVG64rr	= 337,
+    X86_CMOVGE16rm	= 338,
+    X86_CMOVGE16rr	= 339,
+    X86_CMOVGE32rm	= 340,
+    X86_CMOVGE32rr	= 341,
+    X86_CMOVGE64rm	= 342,
+    X86_CMOVGE64rr	= 343,
+    X86_CMOVL16rm	= 344,
+    X86_CMOVL16rr	= 345,
+    X86_CMOVL32rm	= 346,
+    X86_CMOVL32rr	= 347,
+    X86_CMOVL64rm	= 348,
+    X86_CMOVL64rr	= 349,
+    X86_CMOVLE16rm	= 350,
+    X86_CMOVLE16rr	= 351,
+    X86_CMOVLE32rm	= 352,
+    X86_CMOVLE32rr	= 353,
+    X86_CMOVLE64rm	= 354,
+    X86_CMOVLE64rr	= 355,
+    X86_CMOVNE16rm	= 356,
+    X86_CMOVNE16rr	= 357,
+    X86_CMOVNE32rm	= 358,
+    X86_CMOVNE32rr	= 359,
+    X86_CMOVNE64rm	= 360,
+    X86_CMOVNE64rr	= 361,
+    X86_CMOVNO16rm	= 362,
+    X86_CMOVNO16rr	= 363,
+    X86_CMOVNO32rm	= 364,
+    X86_CMOVNO32rr	= 365,
+    X86_CMOVNO64rm	= 366,
+    X86_CMOVNO64rr	= 367,
+    X86_CMOVNP16rm	= 368,
+    X86_CMOVNP16rr	= 369,
+    X86_CMOVNP32rm	= 370,
+    X86_CMOVNP32rr	= 371,
+    X86_CMOVNP64rm	= 372,
+    X86_CMOVNP64rr	= 373,
+    X86_CMOVNS16rm	= 374,
+    X86_CMOVNS16rr	= 375,
+    X86_CMOVNS32rm	= 376,
+    X86_CMOVNS32rr	= 377,
+    X86_CMOVNS64rm	= 378,
+    X86_CMOVNS64rr	= 379,
+    X86_CMOVO16rm	= 380,
+    X86_CMOVO16rr	= 381,
+    X86_CMOVO32rm	= 382,
+    X86_CMOVO32rr	= 383,
+    X86_CMOVO64rm	= 384,
+    X86_CMOVO64rr	= 385,
+    X86_CMOVP16rm	= 386,
+    X86_CMOVP16rr	= 387,
+    X86_CMOVP32rm	= 388,
+    X86_CMOVP32rr	= 389,
+    X86_CMOVP64rm	= 390,
+    X86_CMOVP64rr	= 391,
+    X86_CMOVS16rm	= 392,
+    X86_CMOVS16rr	= 393,
+    X86_CMOVS32rm	= 394,
+    X86_CMOVS32rr	= 395,
+    X86_CMOVS64rm	= 396,
+    X86_CMOVS64rr	= 397,
+    X86_CMOV_FR32	= 398,
+    X86_CMOV_FR64	= 399,
+    X86_CMOV_GR16	= 400,
+    X86_CMOV_GR32	= 401,
+    X86_CMOV_GR8	= 402,
+    X86_CMOV_RFP32	= 403,
+    X86_CMOV_RFP64	= 404,
+    X86_CMOV_RFP80	= 405,
+    X86_CMOV_V16F32	= 406,
+    X86_CMOV_V2F64	= 407,
+    X86_CMOV_V2I64	= 408,
+    X86_CMOV_V4F32	= 409,
+    X86_CMOV_V4F64	= 410,
+    X86_CMOV_V4I64	= 411,
+    X86_CMOV_V8F32	= 412,
+    X86_CMOV_V8F64	= 413,
+    X86_CMOV_V8I64	= 414,
+    X86_CMP16i16	= 415,
+    X86_CMP16mi	= 416,
+    X86_CMP16mi8	= 417,
+    X86_CMP16mr	= 418,
+    X86_CMP16ri	= 419,
+    X86_CMP16ri8	= 420,
+    X86_CMP16rm	= 421,
+    X86_CMP16rr	= 422,
+    X86_CMP16rr_REV	= 423,
+    X86_CMP32i32	= 424,
+    X86_CMP32mi	= 425,
+    X86_CMP32mi8	= 426,
+    X86_CMP32mr	= 427,
+    X86_CMP32ri	= 428,
+    X86_CMP32ri8	= 429,
+    X86_CMP32rm	= 430,
+    X86_CMP32rr	= 431,
+    X86_CMP32rr_REV	= 432,
+    X86_CMP64i32	= 433,
+    X86_CMP64mi32	= 434,
+    X86_CMP64mi8	= 435,
+    X86_CMP64mr	= 436,
+    X86_CMP64ri32	= 437,
+    X86_CMP64ri8	= 438,
+    X86_CMP64rm	= 439,
+    X86_CMP64rr	= 440,
+    X86_CMP64rr_REV	= 441,
+    X86_CMP8i8	= 442,
+    X86_CMP8mi	= 443,
+    X86_CMP8mi8	= 444,
+    X86_CMP8mr	= 445,
+    X86_CMP8ri	= 446,
+    X86_CMP8ri8	= 447,
+    X86_CMP8rm	= 448,
+    X86_CMP8rr	= 449,
+    X86_CMP8rr_REV	= 450,
+    X86_CMPSB	= 451,
+    X86_CMPSL	= 452,
+    X86_CMPSQ	= 453,
+    X86_CMPSW	= 454,
+    X86_CMPXCHG16B	= 455,
+    X86_CMPXCHG16rm	= 456,
+    X86_CMPXCHG16rr	= 457,
+    X86_CMPXCHG32rm	= 458,
+    X86_CMPXCHG32rr	= 459,
+    X86_CMPXCHG64rm	= 460,
+    X86_CMPXCHG64rr	= 461,
+    X86_CMPXCHG8B	= 462,
+    X86_CMPXCHG8rm	= 463,
+    X86_CMPXCHG8rr	= 464,
+    X86_CPUID	= 465,
+    X86_CQO	= 466,
+    X86_CWD	= 467,
+    X86_CWDE	= 468,
+    X86_DAA	= 469,
+    X86_DAS	= 470,
+    X86_DATA16_PREFIX	= 471,
+    X86_DEC16m	= 472,
+    X86_DEC16r	= 473,
+    X86_DEC16r_alt	= 474,
+    X86_DEC32m	= 475,
+    X86_DEC32r	= 476,
+    X86_DEC32r_alt	= 477,
+    X86_DEC64m	= 478,
+    X86_DEC64r	= 479,
+    X86_DEC8m	= 480,
+    X86_DEC8r	= 481,
+    X86_DIV16m	= 482,
+    X86_DIV16r	= 483,
+    X86_DIV32m	= 484,
+    X86_DIV32r	= 485,
+    X86_DIV64m	= 486,
+    X86_DIV64r	= 487,
+    X86_DIV8m	= 488,
+    X86_DIV8r	= 489,
+    X86_EH_RETURN	= 490,
+    X86_EH_RETURN64	= 491,
+    X86_EH_SjLj_LongJmp32	= 492,
+    X86_EH_SjLj_LongJmp64	= 493,
+    X86_EH_SjLj_SetJmp32	= 494,
+    X86_EH_SjLj_SetJmp64	= 495,
+    X86_EH_SjLj_Setup	= 496,
+    X86_ENTER	= 497,
+    X86_FARCALL16i	= 498,
+    X86_FARCALL16m	= 499,
+    X86_FARCALL32i	= 500,
+    X86_FARCALL32m	= 501,
+    X86_FARCALL64	= 502,
+    X86_FARJMP16i	= 503,
+    X86_FARJMP16m	= 504,
+    X86_FARJMP32i	= 505,
+    X86_FARJMP32m	= 506,
+    X86_FARJMP64	= 507,
+    X86_FSETPM	= 508,
+    X86_GETSEC	= 509,
+    X86_HLT	= 510,
+    X86_IDIV16m	= 511,
+    X86_IDIV16r	= 512,
+    X86_IDIV32m	= 513,
+    X86_IDIV32r	= 514,
+    X86_IDIV64m	= 515,
+    X86_IDIV64r	= 516,
+    X86_IDIV8m	= 517,
+    X86_IDIV8r	= 518,
+    X86_IMUL16m	= 519,
+    X86_IMUL16r	= 520,
+    X86_IMUL16rm	= 521,
+    X86_IMUL16rmi	= 522,
+    X86_IMUL16rmi8	= 523,
+    X86_IMUL16rr	= 524,
+    X86_IMUL16rri	= 525,
+    X86_IMUL16rri8	= 526,
+    X86_IMUL32m	= 527,
+    X86_IMUL32r	= 528,
+    X86_IMUL32rm	= 529,
+    X86_IMUL32rmi	= 530,
+    X86_IMUL32rmi8	= 531,
+    X86_IMUL32rr	= 532,
+    X86_IMUL32rri	= 533,
+    X86_IMUL32rri8	= 534,
+    X86_IMUL64m	= 535,
+    X86_IMUL64r	= 536,
+    X86_IMUL64rm	= 537,
+    X86_IMUL64rmi32	= 538,
+    X86_IMUL64rmi8	= 539,
+    X86_IMUL64rr	= 540,
+    X86_IMUL64rri32	= 541,
+    X86_IMUL64rri8	= 542,
+    X86_IMUL8m	= 543,
+    X86_IMUL8r	= 544,
+    X86_IN16ri	= 545,
+    X86_IN16rr	= 546,
+    X86_IN32ri	= 547,
+    X86_IN32rr	= 548,
+    X86_IN8ri	= 549,
+    X86_IN8rr	= 550,
+    X86_INC16m	= 551,
+    X86_INC16r	= 552,
+    X86_INC16r_alt	= 553,
+    X86_INC32m	= 554,
+    X86_INC32r	= 555,
+    X86_INC32r_alt	= 556,
+    X86_INC64m	= 557,
+    X86_INC64r	= 558,
+    X86_INC8m	= 559,
+    X86_INC8r	= 560,
+    X86_INSB	= 561,
+    X86_INSL	= 562,
+    X86_INSW	= 563,
+    X86_INT	= 564,
+    X86_INT1	= 565,
+    X86_INT3	= 566,
+    X86_INTO	= 567,
+    X86_INVD	= 568,
+    X86_INVEPT32	= 569,
+    X86_INVEPT64	= 570,
+    X86_INVLPG	= 571,
+    X86_INVLPGA32	= 572,
+    X86_INVLPGA64	= 573,
+    X86_INVPCID32	= 574,
+    X86_INVPCID64	= 575,
+    X86_INVVPID32	= 576,
+    X86_INVVPID64	= 577,
+    X86_IRET16	= 578,
+    X86_IRET32	= 579,
+    X86_IRET64	= 580,
+    X86_Int_MemBarrier	= 581,
+    X86_JAE_1	= 582,
+    X86_JAE_2	= 583,
+    X86_JAE_4	= 584,
+    X86_JA_1	= 585,
+    X86_JA_2	= 586,
+    X86_JA_4	= 587,
+    X86_JBE_1	= 588,
+    X86_JBE_2	= 589,
+    X86_JBE_4	= 590,
+    X86_JB_1	= 591,
+    X86_JB_2	= 592,
+    X86_JB_4	= 593,
+    X86_JCXZ	= 594,
+    X86_JECXZ	= 595,
     X86_JE_1	= 596,
     X86_JE_2	= 597,
     X86_JE_4	= 598,
@@ -797,54 +797,54 @@ enum {
     X86_MORESTACK_RET	= 780,
     X86_MORESTACK_RET_RESTORE_R10	= 781,
     X86_MOV16ao16	= 782,
-    X86_MOV16ao16_16	= 783,
-    X86_MOV16mi	= 784,
-    X86_MOV16mr	= 785,
-    X86_MOV16ms	= 786,
-    X86_MOV16o16a	= 787,
-    X86_MOV16o16a_16	= 788,
-    X86_MOV16ri	= 789,
-    X86_MOV16ri_alt	= 790,
-    X86_MOV16rm	= 791,
-    X86_MOV16rr	= 792,
-    X86_MOV16rr_REV	= 793,
-    X86_MOV16rs	= 794,
-    X86_MOV16sm	= 795,
-    X86_MOV16sr	= 796,
-    X86_MOV32ao32	= 797,
-    X86_MOV32ao32_16	= 798,
-    X86_MOV32cr	= 799,
-    X86_MOV32dr	= 800,
-    X86_MOV32mi	= 801,
-    X86_MOV32mr	= 802,
-    X86_MOV32ms	= 803,
-    X86_MOV32o32a	= 804,
-    X86_MOV32o32a_16	= 805,
-    X86_MOV32r0	= 806,
-    X86_MOV32rc	= 807,
-    X86_MOV32rd	= 808,
-    X86_MOV32ri	= 809,
-    X86_MOV32ri64	= 810,
-    X86_MOV32ri_alt	= 811,
-    X86_MOV32rm	= 812,
-    X86_MOV32rr	= 813,
-    X86_MOV32rr_REV	= 814,
-    X86_MOV32rs	= 815,
-    X86_MOV32sm	= 816,
-    X86_MOV32sr	= 817,
-    X86_MOV64ao16	= 818,
-    X86_MOV64ao32	= 819,
-    X86_MOV64ao64	= 820,
-    X86_MOV64ao8	= 821,
-    X86_MOV64cr	= 822,
-    X86_MOV64dr	= 823,
-    X86_MOV64mi32	= 824,
-    X86_MOV64mr	= 825,
-    X86_MOV64ms	= 826,
-    X86_MOV64o16a	= 827,
-    X86_MOV64o32a	= 828,
-    X86_MOV64o64a	= 829,
-    X86_MOV64o8a	= 830,
+    X86_MOV16ao32	= 783,
+    X86_MOV16ao64	= 784,
+    X86_MOV16mi	= 785,
+    X86_MOV16mr	= 786,
+    X86_MOV16ms	= 787,
+    X86_MOV16o16a	= 788,
+    X86_MOV16o32a	= 789,
+    X86_MOV16o64a	= 790,
+    X86_MOV16ri	= 791,
+    X86_MOV16ri_alt	= 792,
+    X86_MOV16rm	= 793,
+    X86_MOV16rr	= 794,
+    X86_MOV16rr_REV	= 795,
+    X86_MOV16rs	= 796,
+    X86_MOV16sm	= 797,
+    X86_MOV16sr	= 798,
+    X86_MOV32ao16	= 799,
+    X86_MOV32ao32	= 800,
+    X86_MOV32ao64	= 801,
+    X86_MOV32cr	= 802,
+    X86_MOV32dr	= 803,
+    X86_MOV32mi	= 804,
+    X86_MOV32mr	= 805,
+    X86_MOV32ms	= 806,
+    X86_MOV32o16a	= 807,
+    X86_MOV32o32a	= 808,
+    X86_MOV32o64a	= 809,
+    X86_MOV32r0	= 810,
+    X86_MOV32rc	= 811,
+    X86_MOV32rd	= 812,
+    X86_MOV32ri	= 813,
+    X86_MOV32ri64	= 814,
+    X86_MOV32ri_alt	= 815,
+    X86_MOV32rm	= 816,
+    X86_MOV32rr	= 817,
+    X86_MOV32rr_REV	= 818,
+    X86_MOV32rs	= 819,
+    X86_MOV32sm	= 820,
+    X86_MOV32sr	= 821,
+    X86_MOV64ao32	= 822,
+    X86_MOV64ao64	= 823,
+    X86_MOV64cr	= 824,
+    X86_MOV64dr	= 825,
+    X86_MOV64mi32	= 826,
+    X86_MOV64mr	= 827,
+    X86_MOV64ms	= 828,
+    X86_MOV64o32a	= 829,
+    X86_MOV64o64a	= 830,
     X86_MOV64rc	= 831,
     X86_MOV64rd	= 832,
     X86_MOV64ri	= 833,
@@ -855,837 +855,883 @@ enum {
     X86_MOV64rs	= 838,
     X86_MOV64sm	= 839,
     X86_MOV64sr	= 840,
-    X86_MOV8ao8	= 841,
-    X86_MOV8ao8_16	= 842,
-    X86_MOV8mi	= 843,
-    X86_MOV8mr	= 844,
-    X86_MOV8mr_NOREX	= 845,
-    X86_MOV8o8a	= 846,
-    X86_MOV8o8a_16	= 847,
-    X86_MOV8ri	= 848,
-    X86_MOV8ri_alt	= 849,
-    X86_MOV8rm	= 850,
-    X86_MOV8rm_NOREX	= 851,
-    X86_MOV8rr	= 852,
-    X86_MOV8rr_NOREX	= 853,
-    X86_MOV8rr_REV	= 854,
-    X86_MOVBE16mr	= 855,
-    X86_MOVBE16rm	= 856,
-    X86_MOVBE32mr	= 857,
-    X86_MOVBE32rm	= 858,
-    X86_MOVBE64mr	= 859,
-    X86_MOVBE64rm	= 860,
-    X86_MOVPC32r	= 861,
-    X86_MOVSB	= 862,
-    X86_MOVSL	= 863,
-    X86_MOVSQ	= 864,
-    X86_MOVSW	= 865,
-    X86_MOVSX16rm8	= 866,
-    X86_MOVSX16rr8	= 867,
-    X86_MOVSX32rm16	= 868,
-    X86_MOVSX32rm8	= 869,
-    X86_MOVSX32rr16	= 870,
-    X86_MOVSX32rr8	= 871,
-    X86_MOVSX64_NOREXrr32	= 872,
-    X86_MOVSX64rm16	= 873,
-    X86_MOVSX64rm32	= 874,
-    X86_MOVSX64rm8	= 875,
-    X86_MOVSX64rr16	= 876,
-    X86_MOVSX64rr32	= 877,
-    X86_MOVSX64rr8	= 878,
-    X86_MOVZX16rm8	= 879,
-    X86_MOVZX16rr8	= 880,
-    X86_MOVZX32_NOREXrm8	= 881,
-    X86_MOVZX32_NOREXrr8	= 882,
-    X86_MOVZX32rm16	= 883,
-    X86_MOVZX32rm8	= 884,
-    X86_MOVZX32rr16	= 885,
-    X86_MOVZX32rr8	= 886,
-    X86_MOVZX64rm16_Q	= 887,
-    X86_MOVZX64rm8_Q	= 888,
-    X86_MOVZX64rr16_Q	= 889,
-    X86_MOVZX64rr8_Q	= 890,
-    X86_MUL16m	= 891,
-    X86_MUL16r	= 892,
-    X86_MUL32m	= 893,
-    X86_MUL32r	= 894,
-    X86_MUL64m	= 895,
-    X86_MUL64r	= 896,
-    X86_MUL8m	= 897,
-    X86_MUL8r	= 898,
-    X86_MULX32rm	= 899,
-    X86_MULX32rr	= 900,
-    X86_MULX64rm	= 901,
-    X86_MULX64rr	= 902,
-    X86_NEG16m	= 903,
-    X86_NEG16r	= 904,
-    X86_NEG32m	= 905,
-    X86_NEG32r	= 906,
-    X86_NEG64m	= 907,
-    X86_NEG64r	= 908,
-    X86_NEG8m	= 909,
-    X86_NEG8r	= 910,
-    X86_NOOP	= 911,
-    X86_NOOP18_16m4	= 912,
-    X86_NOOP18_16m5	= 913,
-    X86_NOOP18_16m6	= 914,
-    X86_NOOP18_16m7	= 915,
-    X86_NOOP18_16r4	= 916,
-    X86_NOOP18_16r5	= 917,
-    X86_NOOP18_16r6	= 918,
-    X86_NOOP18_16r7	= 919,
-    X86_NOOP18_m4	= 920,
-    X86_NOOP18_m5	= 921,
-    X86_NOOP18_m6	= 922,
-    X86_NOOP18_m7	= 923,
-    X86_NOOP18_r4	= 924,
-    X86_NOOP18_r5	= 925,
-    X86_NOOP18_r6	= 926,
-    X86_NOOP18_r7	= 927,
-    X86_NOOP19rr	= 928,
-    X86_NOOPL	= 929,
-    X86_NOOPL_19	= 930,
-    X86_NOOPL_1a	= 931,
-    X86_NOOPL_1b	= 932,
-    X86_NOOPL_1c	= 933,
-    X86_NOOPL_1d	= 934,
-    X86_NOOPL_1e	= 935,
-    X86_NOOPW	= 936,
-    X86_NOOPW_19	= 937,
-    X86_NOOPW_1a	= 938,
-    X86_NOOPW_1b	= 939,
-    X86_NOOPW_1c	= 940,
-    X86_NOOPW_1d	= 941,
-    X86_NOOPW_1e	= 942,
-    X86_NOT16m	= 943,
-    X86_NOT16r	= 944,
-    X86_NOT32m	= 945,
-    X86_NOT32r	= 946,
-    X86_NOT64m	= 947,
-    X86_NOT64r	= 948,
-    X86_NOT8m	= 949,
-    X86_NOT8r	= 950,
-    X86_OR16i16	= 951,
-    X86_OR16mi	= 952,
-    X86_OR16mi8	= 953,
-    X86_OR16mr	= 954,
-    X86_OR16ri	= 955,
-    X86_OR16ri8	= 956,
-    X86_OR16rm	= 957,
-    X86_OR16rr	= 958,
-    X86_OR16rr_REV	= 959,
-    X86_OR32i32	= 960,
-    X86_OR32mi	= 961,
-    X86_OR32mi8	= 962,
-    X86_OR32mr	= 963,
-    X86_OR32mrLocked	= 964,
-    X86_OR32ri	= 965,
-    X86_OR32ri8	= 966,
-    X86_OR32rm	= 967,
-    X86_OR32rr	= 968,
-    X86_OR32rr_REV	= 969,
-    X86_OR64i32	= 970,
-    X86_OR64mi32	= 971,
-    X86_OR64mi8	= 972,
-    X86_OR64mr	= 973,
-    X86_OR64ri32	= 974,
-    X86_OR64ri8	= 975,
-    X86_OR64rm	= 976,
-    X86_OR64rr	= 977,
-    X86_OR64rr_REV	= 978,
-    X86_OR8i8	= 979,
-    X86_OR8mi	= 980,
-    X86_OR8mr	= 981,
-    X86_OR8ri	= 982,
-    X86_OR8ri8	= 983,
-    X86_OR8rm	= 984,
-    X86_OR8rr	= 985,
-    X86_OR8rr_REV	= 986,
-    X86_OUT16ir	= 987,
-    X86_OUT16rr	= 988,
-    X86_OUT32ir	= 989,
-    X86_OUT32rr	= 990,
-    X86_OUT8ir	= 991,
-    X86_OUT8rr	= 992,
-    X86_OUTSB	= 993,
-    X86_OUTSL	= 994,
-    X86_OUTSW	= 995,
-    X86_PDEP32rm	= 996,
-    X86_PDEP32rr	= 997,
-    X86_PDEP64rm	= 998,
-    X86_PDEP64rr	= 999,
-    X86_PEXT32rm	= 1000,
-    X86_PEXT32rr	= 1001,
-    X86_PEXT64rm	= 1002,
-    X86_PEXT64rr	= 1003,
-    X86_POP16r	= 1004,
-    X86_POP16rmm	= 1005,
-    X86_POP16rmr	= 1006,
-    X86_POP32r	= 1007,
-    X86_POP32rmm	= 1008,
-    X86_POP32rmr	= 1009,
-    X86_POP64r	= 1010,
-    X86_POP64rmm	= 1011,
-    X86_POP64rmr	= 1012,
-    X86_POPA16	= 1013,
-    X86_POPA32	= 1014,
-    X86_POPDS16	= 1015,
-    X86_POPDS32	= 1016,
-    X86_POPES16	= 1017,
-    X86_POPES32	= 1018,
-    X86_POPF16	= 1019,
-    X86_POPF32	= 1020,
-    X86_POPF64	= 1021,
-    X86_POPFS16	= 1022,
-    X86_POPFS32	= 1023,
-    X86_POPFS64	= 1024,
-    X86_POPGS16	= 1025,
-    X86_POPGS32	= 1026,
-    X86_POPGS64	= 1027,
-    X86_POPSS16	= 1028,
-    X86_POPSS32	= 1029,
-    X86_PUSH16i8	= 1030,
-    X86_PUSH16r	= 1031,
-    X86_PUSH16rmm	= 1032,
-    X86_PUSH16rmr	= 1033,
-    X86_PUSH32i8	= 1034,
-    X86_PUSH32r	= 1035,
-    X86_PUSH32rmm	= 1036,
-    X86_PUSH32rmr	= 1037,
-    X86_PUSH64i16	= 1038,
-    X86_PUSH64i32	= 1039,
-    X86_PUSH64i8	= 1040,
-    X86_PUSH64r	= 1041,
-    X86_PUSH64rmm	= 1042,
-    X86_PUSH64rmr	= 1043,
-    X86_PUSHA16	= 1044,
-    X86_PUSHA32	= 1045,
-    X86_PUSHCS16	= 1046,
-    X86_PUSHCS32	= 1047,
-    X86_PUSHDS16	= 1048,
-    X86_PUSHDS32	= 1049,
-    X86_PUSHES16	= 1050,
-    X86_PUSHES32	= 1051,
-    X86_PUSHF16	= 1052,
-    X86_PUSHF32	= 1053,
-    X86_PUSHF64	= 1054,
-    X86_PUSHFS16	= 1055,
-    X86_PUSHFS32	= 1056,
-    X86_PUSHFS64	= 1057,
-    X86_PUSHGS16	= 1058,
-    X86_PUSHGS32	= 1059,
-    X86_PUSHGS64	= 1060,
-    X86_PUSHSS16	= 1061,
-    X86_PUSHSS32	= 1062,
-    X86_PUSHi16	= 1063,
-    X86_PUSHi32	= 1064,
-    X86_RCL16m1	= 1065,
-    X86_RCL16mCL	= 1066,
-    X86_RCL16mi	= 1067,
-    X86_RCL16r1	= 1068,
-    X86_RCL16rCL	= 1069,
-    X86_RCL16ri	= 1070,
-    X86_RCL32m1	= 1071,
-    X86_RCL32mCL	= 1072,
-    X86_RCL32mi	= 1073,
-    X86_RCL32r1	= 1074,
-    X86_RCL32rCL	= 1075,
-    X86_RCL32ri	= 1076,
-    X86_RCL64m1	= 1077,
-    X86_RCL64mCL	= 1078,
-    X86_RCL64mi	= 1079,
-    X86_RCL64r1	= 1080,
-    X86_RCL64rCL	= 1081,
-    X86_RCL64ri	= 1082,
-    X86_RCL8m1	= 1083,
-    X86_RCL8mCL	= 1084,
-    X86_RCL8mi	= 1085,
-    X86_RCL8r1	= 1086,
-    X86_RCL8rCL	= 1087,
-    X86_RCL8ri	= 1088,
-    X86_RCR16m1	= 1089,
-    X86_RCR16mCL	= 1090,
-    X86_RCR16mi	= 1091,
-    X86_RCR16r1	= 1092,
-    X86_RCR16rCL	= 1093,
-    X86_RCR16ri	= 1094,
-    X86_RCR32m1	= 1095,
-    X86_RCR32mCL	= 1096,
-    X86_RCR32mi	= 1097,
-    X86_RCR32r1	= 1098,
-    X86_RCR32rCL	= 1099,
-    X86_RCR32ri	= 1100,
-    X86_RCR64m1	= 1101,
-    X86_RCR64mCL	= 1102,
-    X86_RCR64mi	= 1103,
-    X86_RCR64r1	= 1104,
-    X86_RCR64rCL	= 1105,
-    X86_RCR64ri	= 1106,
-    X86_RCR8m1	= 1107,
-    X86_RCR8mCL	= 1108,
-    X86_RCR8mi	= 1109,
-    X86_RCR8r1	= 1110,
-    X86_RCR8rCL	= 1111,
-    X86_RCR8ri	= 1112,
-    X86_RDFSBASE	= 1113,
-    X86_RDFSBASE64	= 1114,
-    X86_RDGSBASE	= 1115,
-    X86_RDGSBASE64	= 1116,
-    X86_RDMSR	= 1117,
-    X86_RDPMC	= 1118,
-    X86_RDRAND16r	= 1119,
-    X86_RDRAND32r	= 1120,
-    X86_RDRAND64r	= 1121,
-    X86_RDSEED16r	= 1122,
-    X86_RDSEED32r	= 1123,
-    X86_RDSEED64r	= 1124,
-    X86_RDTSC	= 1125,
-    X86_RDTSCP	= 1126,
-    X86_RELEASE_MOV16mr	= 1127,
-    X86_RELEASE_MOV32mr	= 1128,
-    X86_RELEASE_MOV64mr	= 1129,
-    X86_RELEASE_MOV8mr	= 1130,
-    X86_REPNE_PREFIX	= 1131,
-    X86_REP_MOVSB_32	= 1132,
-    X86_REP_MOVSB_64	= 1133,
-    X86_REP_MOVSD_32	= 1134,
-    X86_REP_MOVSD_64	= 1135,
-    X86_REP_MOVSQ_64	= 1136,
-    X86_REP_MOVSW_32	= 1137,
-    X86_REP_MOVSW_64	= 1138,
-    X86_REP_PREFIX	= 1139,
-    X86_REP_STOSB_32	= 1140,
-    X86_REP_STOSB_64	= 1141,
-    X86_REP_STOSD_32	= 1142,
-    X86_REP_STOSD_64	= 1143,
-    X86_REP_STOSQ_64	= 1144,
-    X86_REP_STOSW_32	= 1145,
-    X86_REP_STOSW_64	= 1146,
-    X86_RETIL	= 1147,
-    X86_RETIQ	= 1148,
-    X86_RETIW	= 1149,
-    X86_RETL	= 1150,
-    X86_RETQ	= 1151,
-    X86_RETW	= 1152,
-    X86_REX64_PREFIX	= 1153,
-    X86_ROL16m1	= 1154,
-    X86_ROL16mCL	= 1155,
-    X86_ROL16mi	= 1156,
-    X86_ROL16r1	= 1157,
-    X86_ROL16rCL	= 1158,
-    X86_ROL16ri	= 1159,
-    X86_ROL32m1	= 1160,
-    X86_ROL32mCL	= 1161,
-    X86_ROL32mi	= 1162,
-    X86_ROL32r1	= 1163,
-    X86_ROL32rCL	= 1164,
-    X86_ROL32ri	= 1165,
-    X86_ROL64m1	= 1166,
-    X86_ROL64mCL	= 1167,
-    X86_ROL64mi	= 1168,
-    X86_ROL64r1	= 1169,
-    X86_ROL64rCL	= 1170,
-    X86_ROL64ri	= 1171,
-    X86_ROL8m1	= 1172,
-    X86_ROL8mCL	= 1173,
-    X86_ROL8mi	= 1174,
-    X86_ROL8r1	= 1175,
-    X86_ROL8rCL	= 1176,
-    X86_ROL8ri	= 1177,
-    X86_ROR16m1	= 1178,
-    X86_ROR16mCL	= 1179,
-    X86_ROR16mi	= 1180,
-    X86_ROR16r1	= 1181,
-    X86_ROR16rCL	= 1182,
-    X86_ROR16ri	= 1183,
-    X86_ROR32m1	= 1184,
-    X86_ROR32mCL	= 1185,
-    X86_ROR32mi	= 1186,
-    X86_ROR32r1	= 1187,
-    X86_ROR32rCL	= 1188,
-    X86_ROR32ri	= 1189,
-    X86_ROR64m1	= 1190,
-    X86_ROR64mCL	= 1191,
-    X86_ROR64mi	= 1192,
-    X86_ROR64r1	= 1193,
-    X86_ROR64rCL	= 1194,
-    X86_ROR64ri	= 1195,
-    X86_ROR8m1	= 1196,
-    X86_ROR8mCL	= 1197,
-    X86_ROR8mi	= 1198,
-    X86_ROR8r1	= 1199,
-    X86_ROR8rCL	= 1200,
-    X86_ROR8ri	= 1201,
-    X86_RORX32mi	= 1202,
-    X86_RORX32ri	= 1203,
-    X86_RORX64mi	= 1204,
-    X86_RORX64ri	= 1205,
-    X86_RSM	= 1206,
-    X86_SAHF	= 1207,
-    X86_SAL16m1	= 1208,
-    X86_SAL16mCL	= 1209,
-    X86_SAL16mi	= 1210,
-    X86_SAL16r1	= 1211,
-    X86_SAL16rCL	= 1212,
-    X86_SAL16ri	= 1213,
-    X86_SAL32m1	= 1214,
-    X86_SAL32mCL	= 1215,
-    X86_SAL32mi	= 1216,
-    X86_SAL32r1	= 1217,
-    X86_SAL32rCL	= 1218,
-    X86_SAL32ri	= 1219,
-    X86_SAL64m1	= 1220,
-    X86_SAL64mCL	= 1221,
-    X86_SAL64mi	= 1222,
-    X86_SAL64r1	= 1223,
-    X86_SAL64rCL	= 1224,
-    X86_SAL64ri	= 1225,
-    X86_SAL8m1	= 1226,
-    X86_SAL8mCL	= 1227,
-    X86_SAL8mi	= 1228,
-    X86_SAL8r1	= 1229,
-    X86_SAL8rCL	= 1230,
-    X86_SAL8ri	= 1231,
-    X86_SALC	= 1232,
-    X86_SAR16m1	= 1233,
-    X86_SAR16mCL	= 1234,
-    X86_SAR16mi	= 1235,
-    X86_SAR16r1	= 1236,
-    X86_SAR16rCL	= 1237,
-    X86_SAR16ri	= 1238,
-    X86_SAR32m1	= 1239,
-    X86_SAR32mCL	= 1240,
-    X86_SAR32mi	= 1241,
-    X86_SAR32r1	= 1242,
-    X86_SAR32rCL	= 1243,
-    X86_SAR32ri	= 1244,
-    X86_SAR64m1	= 1245,
-    X86_SAR64mCL	= 1246,
-    X86_SAR64mi	= 1247,
-    X86_SAR64r1	= 1248,
-    X86_SAR64rCL	= 1249,
-    X86_SAR64ri	= 1250,
-    X86_SAR8m1	= 1251,
-    X86_SAR8mCL	= 1252,
-    X86_SAR8mi	= 1253,
-    X86_SAR8r1	= 1254,
-    X86_SAR8rCL	= 1255,
-    X86_SAR8ri	= 1256,
-    X86_SARX32rm	= 1257,
-    X86_SARX32rr	= 1258,
-    X86_SARX64rm	= 1259,
-    X86_SARX64rr	= 1260,
-    X86_SBB16i16	= 1261,
-    X86_SBB16mi	= 1262,
-    X86_SBB16mi8	= 1263,
-    X86_SBB16mr	= 1264,
-    X86_SBB16ri	= 1265,
-    X86_SBB16ri8	= 1266,
-    X86_SBB16rm	= 1267,
-    X86_SBB16rr	= 1268,
-    X86_SBB16rr_REV	= 1269,
-    X86_SBB32i32	= 1270,
-    X86_SBB32mi	= 1271,
-    X86_SBB32mi8	= 1272,
-    X86_SBB32mr	= 1273,
-    X86_SBB32ri	= 1274,
-    X86_SBB32ri8	= 1275,
-    X86_SBB32rm	= 1276,
-    X86_SBB32rr	= 1277,
-    X86_SBB32rr_REV	= 1278,
-    X86_SBB64i32	= 1279,
-    X86_SBB64mi32	= 1280,
-    X86_SBB64mi8	= 1281,
-    X86_SBB64mr	= 1282,
-    X86_SBB64ri32	= 1283,
-    X86_SBB64ri8	= 1284,
-    X86_SBB64rm	= 1285,
-    X86_SBB64rr	= 1286,
-    X86_SBB64rr_REV	= 1287,
-    X86_SBB8i8	= 1288,
-    X86_SBB8mi	= 1289,
-    X86_SBB8mr	= 1290,
-    X86_SBB8ri	= 1291,
-    X86_SBB8rm	= 1292,
-    X86_SBB8rr	= 1293,
-    X86_SBB8rr_REV	= 1294,
-    X86_SCASB	= 1295,
-    X86_SCASL	= 1296,
-    X86_SCASQ	= 1297,
-    X86_SCASW	= 1298,
-    X86_SEG_ALLOCA_32	= 1299,
-    X86_SEG_ALLOCA_64	= 1300,
-    X86_SEH_EndPrologue	= 1301,
-    X86_SEH_Epilogue	= 1302,
-    X86_SEH_PushFrame	= 1303,
-    X86_SEH_PushReg	= 1304,
-    X86_SEH_SaveReg	= 1305,
-    X86_SEH_SaveXMM	= 1306,
-    X86_SEH_SetFrame	= 1307,
-    X86_SEH_StackAlloc	= 1308,
-    X86_SETAEm	= 1309,
-    X86_SETAEr	= 1310,
-    X86_SETAm	= 1311,
-    X86_SETAr	= 1312,
-    X86_SETBEm	= 1313,
-    X86_SETBEr	= 1314,
-    X86_SETB_C16r	= 1315,
-    X86_SETB_C32r	= 1316,
-    X86_SETB_C64r	= 1317,
-    X86_SETB_C8r	= 1318,
-    X86_SETBm	= 1319,
-    X86_SETBr	= 1320,
-    X86_SETEm	= 1321,
-    X86_SETEr	= 1322,
-    X86_SETGEm	= 1323,
-    X86_SETGEr	= 1324,
-    X86_SETGm	= 1325,
-    X86_SETGr	= 1326,
-    X86_SETLEm	= 1327,
-    X86_SETLEr	= 1328,
-    X86_SETLm	= 1329,
-    X86_SETLr	= 1330,
-    X86_SETNEm	= 1331,
-    X86_SETNEr	= 1332,
-    X86_SETNOm	= 1333,
-    X86_SETNOr	= 1334,
-    X86_SETNPm	= 1335,
-    X86_SETNPr	= 1336,
-    X86_SETNSm	= 1337,
-    X86_SETNSr	= 1338,
-    X86_SETOm	= 1339,
-    X86_SETOr	= 1340,
-    X86_SETPm	= 1341,
-    X86_SETPr	= 1342,
-    X86_SETSm	= 1343,
-    X86_SETSr	= 1344,
-    X86_SGDT16m	= 1345,
-    X86_SGDT32m	= 1346,
-    X86_SGDT64m	= 1347,
-    X86_SHL16m1	= 1348,
-    X86_SHL16mCL	= 1349,
-    X86_SHL16mi	= 1350,
-    X86_SHL16r1	= 1351,
-    X86_SHL16rCL	= 1352,
-    X86_SHL16ri	= 1353,
-    X86_SHL32m1	= 1354,
-    X86_SHL32mCL	= 1355,
-    X86_SHL32mi	= 1356,
-    X86_SHL32r1	= 1357,
-    X86_SHL32rCL	= 1358,
-    X86_SHL32ri	= 1359,
-    X86_SHL64m1	= 1360,
-    X86_SHL64mCL	= 1361,
-    X86_SHL64mi	= 1362,
-    X86_SHL64r1	= 1363,
-    X86_SHL64rCL	= 1364,
-    X86_SHL64ri	= 1365,
-    X86_SHL8m1	= 1366,
-    X86_SHL8mCL	= 1367,
-    X86_SHL8mi	= 1368,
-    X86_SHL8r1	= 1369,
-    X86_SHL8rCL	= 1370,
-    X86_SHL8ri	= 1371,
-    X86_SHLD16mrCL	= 1372,
-    X86_SHLD16mri8	= 1373,
-    X86_SHLD16rrCL	= 1374,
-    X86_SHLD16rri8	= 1375,
-    X86_SHLD32mrCL	= 1376,
-    X86_SHLD32mri8	= 1377,
-    X86_SHLD32rrCL	= 1378,
-    X86_SHLD32rri8	= 1379,
-    X86_SHLD64mrCL	= 1380,
-    X86_SHLD64mri8	= 1381,
-    X86_SHLD64rrCL	= 1382,
-    X86_SHLD64rri8	= 1383,
-    X86_SHLX32rm	= 1384,
-    X86_SHLX32rr	= 1385,
-    X86_SHLX64rm	= 1386,
-    X86_SHLX64rr	= 1387,
-    X86_SHR16m1	= 1388,
-    X86_SHR16mCL	= 1389,
-    X86_SHR16mi	= 1390,
-    X86_SHR16r1	= 1391,
-    X86_SHR16rCL	= 1392,
-    X86_SHR16ri	= 1393,
-    X86_SHR32m1	= 1394,
-    X86_SHR32mCL	= 1395,
-    X86_SHR32mi	= 1396,
-    X86_SHR32r1	= 1397,
-    X86_SHR32rCL	= 1398,
-    X86_SHR32ri	= 1399,
-    X86_SHR64m1	= 1400,
-    X86_SHR64mCL	= 1401,
-    X86_SHR64mi	= 1402,
-    X86_SHR64r1	= 1403,
-    X86_SHR64rCL	= 1404,
-    X86_SHR64ri	= 1405,
-    X86_SHR8m1	= 1406,
-    X86_SHR8mCL	= 1407,
-    X86_SHR8mi	= 1408,
-    X86_SHR8r1	= 1409,
-    X86_SHR8rCL	= 1410,
-    X86_SHR8ri	= 1411,
-    X86_SHRD16mrCL	= 1412,
-    X86_SHRD16mri8	= 1413,
-    X86_SHRD16rrCL	= 1414,
-    X86_SHRD16rri8	= 1415,
-    X86_SHRD32mrCL	= 1416,
-    X86_SHRD32mri8	= 1417,
-    X86_SHRD32rrCL	= 1418,
-    X86_SHRD32rri8	= 1419,
-    X86_SHRD64mrCL	= 1420,
-    X86_SHRD64mri8	= 1421,
-    X86_SHRD64rrCL	= 1422,
-    X86_SHRD64rri8	= 1423,
-    X86_SHRX32rm	= 1424,
-    X86_SHRX32rr	= 1425,
-    X86_SHRX64rm	= 1426,
-    X86_SHRX64rr	= 1427,
-    X86_SIDT16m	= 1428,
-    X86_SIDT32m	= 1429,
-    X86_SIDT64m	= 1430,
-    X86_SKINIT	= 1431,
-    X86_SLDT16m	= 1432,
-    X86_SLDT16r	= 1433,
-    X86_SLDT32r	= 1434,
-    X86_SLDT64m	= 1435,
-    X86_SLDT64r	= 1436,
-    X86_SMSW16m	= 1437,
-    X86_SMSW16r	= 1438,
-    X86_SMSW32r	= 1439,
-    X86_SMSW64r	= 1440,
-    X86_STAC	= 1441,
-    X86_STC	= 1442,
-    X86_STD	= 1443,
-    X86_STGI	= 1444,
-    X86_STI	= 1445,
-    X86_STOSB	= 1446,
-    X86_STOSL	= 1447,
-    X86_STOSQ	= 1448,
-    X86_STOSW	= 1449,
-    X86_STR16r	= 1450,
-    X86_STR32r	= 1451,
-    X86_STR64r	= 1452,
-    X86_STRm	= 1453,
-    X86_SUB16i16	= 1454,
-    X86_SUB16mi	= 1455,
-    X86_SUB16mi8	= 1456,
-    X86_SUB16mr	= 1457,
-    X86_SUB16ri	= 1458,
-    X86_SUB16ri8	= 1459,
-    X86_SUB16rm	= 1460,
-    X86_SUB16rr	= 1461,
-    X86_SUB16rr_REV	= 1462,
-    X86_SUB32i32	= 1463,
-    X86_SUB32mi	= 1464,
-    X86_SUB32mi8	= 1465,
-    X86_SUB32mr	= 1466,
-    X86_SUB32ri	= 1467,
-    X86_SUB32ri8	= 1468,
-    X86_SUB32rm	= 1469,
-    X86_SUB32rr	= 1470,
-    X86_SUB32rr_REV	= 1471,
-    X86_SUB64i32	= 1472,
-    X86_SUB64mi32	= 1473,
-    X86_SUB64mi8	= 1474,
-    X86_SUB64mr	= 1475,
-    X86_SUB64ri32	= 1476,
-    X86_SUB64ri8	= 1477,
-    X86_SUB64rm	= 1478,
-    X86_SUB64rr	= 1479,
-    X86_SUB64rr_REV	= 1480,
-    X86_SUB8i8	= 1481,
-    X86_SUB8mi	= 1482,
-    X86_SUB8mr	= 1483,
-    X86_SUB8ri	= 1484,
-    X86_SUB8ri8	= 1485,
-    X86_SUB8rm	= 1486,
-    X86_SUB8rr	= 1487,
-    X86_SUB8rr_REV	= 1488,
-    X86_SWAPGS	= 1489,
-    X86_SYSCALL	= 1490,
-    X86_SYSENTER	= 1491,
-    X86_SYSEXIT	= 1492,
-    X86_SYSEXIT64	= 1493,
-    X86_SYSRET	= 1494,
-    X86_SYSRET64	= 1495,
-    X86_T1MSKC32rm	= 1496,
-    X86_T1MSKC32rr	= 1497,
-    X86_T1MSKC64rm	= 1498,
-    X86_T1MSKC64rr	= 1499,
-    X86_TAILJMPd	= 1500,
-    X86_TAILJMPd64	= 1501,
-    X86_TAILJMPm	= 1502,
-    X86_TAILJMPm64	= 1503,
-    X86_TAILJMPr	= 1504,
-    X86_TAILJMPr64	= 1505,
-    X86_TCRETURNdi	= 1506,
-    X86_TCRETURNdi64	= 1507,
-    X86_TCRETURNmi	= 1508,
-    X86_TCRETURNmi64	= 1509,
-    X86_TCRETURNri	= 1510,
-    X86_TCRETURNri64	= 1511,
-    X86_TEST16i16	= 1512,
-    X86_TEST16mi	= 1513,
-    X86_TEST16mi_alt	= 1514,
-    X86_TEST16ri	= 1515,
-    X86_TEST16ri_alt	= 1516,
-    X86_TEST16rm	= 1517,
-    X86_TEST16rr	= 1518,
-    X86_TEST32i32	= 1519,
-    X86_TEST32mi	= 1520,
-    X86_TEST32mi_alt	= 1521,
-    X86_TEST32ri	= 1522,
-    X86_TEST32ri_alt	= 1523,
-    X86_TEST32rm	= 1524,
-    X86_TEST32rr	= 1525,
-    X86_TEST64i32	= 1526,
-    X86_TEST64mi32	= 1527,
-    X86_TEST64mi32_alt	= 1528,
-    X86_TEST64ri32	= 1529,
-    X86_TEST64ri32_alt	= 1530,
-    X86_TEST64rm	= 1531,
-    X86_TEST64rr	= 1532,
-    X86_TEST8i8	= 1533,
-    X86_TEST8mi	= 1534,
-    X86_TEST8mi_alt	= 1535,
-    X86_TEST8ri	= 1536,
-    X86_TEST8ri_NOREX	= 1537,
-    X86_TEST8ri_alt	= 1538,
-    X86_TEST8rm	= 1539,
-    X86_TEST8rr	= 1540,
-    X86_TLSCall_32	= 1541,
-    X86_TLSCall_64	= 1542,
-    X86_TLS_addr32	= 1543,
-    X86_TLS_addr64	= 1544,
-    X86_TLS_base_addr32	= 1545,
-    X86_TLS_base_addr64	= 1546,
-    X86_TRAP	= 1547,
-    X86_TZCNT16rm	= 1548,
-    X86_TZCNT16rr	= 1549,
-    X86_TZCNT32rm	= 1550,
-    X86_TZCNT32rr	= 1551,
-    X86_TZCNT64rm	= 1552,
-    X86_TZCNT64rr	= 1553,
-    X86_TZMSK32rm	= 1554,
-    X86_TZMSK32rr	= 1555,
-    X86_TZMSK64rm	= 1556,
-    X86_TZMSK64rr	= 1557,
-    X86_UD2B	= 1558,
-    X86_VAARG_64	= 1559,
-    X86_VASTART_SAVE_XMM_REGS	= 1560,
-    X86_VERRm	= 1561,
-    X86_VERRr	= 1562,
-    X86_VERWm	= 1563,
-    X86_VERWr	= 1564,
-    X86_VMCALL	= 1565,
-    X86_VMCLEARm	= 1566,
-    X86_VMFUNC	= 1567,
-    X86_VMLAUNCH	= 1568,
-    X86_VMLOAD32	= 1569,
-    X86_VMLOAD64	= 1570,
-    X86_VMMCALL	= 1571,
-    X86_VMPTRLDm	= 1572,
-    X86_VMPTRSTm	= 1573,
-    X86_VMREAD32rm	= 1574,
-    X86_VMREAD32rr	= 1575,
-    X86_VMREAD64rm	= 1576,
-    X86_VMREAD64rr	= 1577,
-    X86_VMRESUME	= 1578,
-    X86_VMRUN32	= 1579,
-    X86_VMRUN64	= 1580,
-    X86_VMSAVE32	= 1581,
-    X86_VMSAVE64	= 1582,
-    X86_VMWRITE32rm	= 1583,
-    X86_VMWRITE32rr	= 1584,
-    X86_VMWRITE64rm	= 1585,
-    X86_VMWRITE64rr	= 1586,
-    X86_VMXOFF	= 1587,
-    X86_VMXON	= 1588,
-    X86_W64ALLOCA	= 1589,
-    X86_WBINVD	= 1590,
-    X86_WIN_ALLOCA	= 1591,
-    X86_WIN_FTOL_32	= 1592,
-    X86_WIN_FTOL_64	= 1593,
-    X86_WRFSBASE	= 1594,
-    X86_WRFSBASE64	= 1595,
-    X86_WRGSBASE	= 1596,
-    X86_WRGSBASE64	= 1597,
-    X86_WRMSR	= 1598,
-    X86_XADD16rm	= 1599,
-    X86_XADD16rr	= 1600,
-    X86_XADD32rm	= 1601,
-    X86_XADD32rr	= 1602,
-    X86_XADD64rm	= 1603,
-    X86_XADD64rr	= 1604,
-    X86_XADD8rm	= 1605,
-    X86_XADD8rr	= 1606,
-    X86_XCHG16ar	= 1607,
-    X86_XCHG16rm	= 1608,
-    X86_XCHG16rr	= 1609,
-    X86_XCHG32ar	= 1610,
-    X86_XCHG32ar64	= 1611,
-    X86_XCHG32rm	= 1612,
-    X86_XCHG32rr	= 1613,
-    X86_XCHG64ar	= 1614,
-    X86_XCHG64rm	= 1615,
-    X86_XCHG64rr	= 1616,
-    X86_XCHG8rm	= 1617,
-    X86_XCHG8rr	= 1618,
-    X86_XCRYPTCBC	= 1619,
-    X86_XCRYPTCFB	= 1620,
-    X86_XCRYPTCTR	= 1621,
-    X86_XCRYPTECB	= 1622,
-    X86_XCRYPTOFB	= 1623,
-    X86_XGETBV	= 1624,
-    X86_XLAT	= 1625,
-    X86_XOR16i16	= 1626,
-    X86_XOR16mi	= 1627,
-    X86_XOR16mi8	= 1628,
-    X86_XOR16mr	= 1629,
-    X86_XOR16ri	= 1630,
-    X86_XOR16ri8	= 1631,
-    X86_XOR16rm	= 1632,
-    X86_XOR16rr	= 1633,
-    X86_XOR16rr_REV	= 1634,
-    X86_XOR32i32	= 1635,
-    X86_XOR32mi	= 1636,
-    X86_XOR32mi8	= 1637,
-    X86_XOR32mr	= 1638,
-    X86_XOR32ri	= 1639,
-    X86_XOR32ri8	= 1640,
-    X86_XOR32rm	= 1641,
-    X86_XOR32rr	= 1642,
-    X86_XOR32rr_REV	= 1643,
-    X86_XOR64i32	= 1644,
-    X86_XOR64mi32	= 1645,
-    X86_XOR64mi8	= 1646,
-    X86_XOR64mr	= 1647,
-    X86_XOR64ri32	= 1648,
-    X86_XOR64ri8	= 1649,
-    X86_XOR64rm	= 1650,
-    X86_XOR64rr	= 1651,
-    X86_XOR64rr_REV	= 1652,
-    X86_XOR8i8	= 1653,
-    X86_XOR8mi	= 1654,
-    X86_XOR8mr	= 1655,
-    X86_XOR8ri	= 1656,
-    X86_XOR8ri8	= 1657,
-    X86_XOR8rm	= 1658,
-    X86_XOR8rr	= 1659,
-    X86_XOR8rr_REV	= 1660,
-    X86_XRSTOR	= 1661,
-    X86_XRSTOR64	= 1662,
-    X86_XSAVE	= 1663,
-    X86_XSAVE64	= 1664,
-    X86_XSAVEOPT	= 1665,
-    X86_XSAVEOPT64	= 1666,
-    X86_XSETBV	= 1667,
-    X86_XSHA1	= 1668,
-    X86_XSHA256	= 1669,
-    X86_XSTORE	= 1670,
-    X86_INSTRUCTION_LIST_END = 1671
+    X86_MOV8ao16	= 841,
+    X86_MOV8ao32	= 842,
+    X86_MOV8ao64	= 843,
+    X86_MOV8mi	= 844,
+    X86_MOV8mr	= 845,
+    X86_MOV8mr_NOREX	= 846,
+    X86_MOV8o16a	= 847,
+    X86_MOV8o32a	= 848,
+    X86_MOV8o64a	= 849,
+    X86_MOV8ri	= 850,
+    X86_MOV8ri_alt	= 851,
+    X86_MOV8rm	= 852,
+    X86_MOV8rm_NOREX	= 853,
+    X86_MOV8rr	= 854,
+    X86_MOV8rr_NOREX	= 855,
+    X86_MOV8rr_REV	= 856,
+    X86_MOVBE16mr	= 857,
+    X86_MOVBE16rm	= 858,
+    X86_MOVBE32mr	= 859,
+    X86_MOVBE32rm	= 860,
+    X86_MOVBE64mr	= 861,
+    X86_MOVBE64rm	= 862,
+    X86_MOVPC32r	= 863,
+    X86_MOVSB	= 864,
+    X86_MOVSL	= 865,
+    X86_MOVSQ	= 866,
+    X86_MOVSW	= 867,
+    X86_MOVSX16rm8	= 868,
+    X86_MOVSX16rr8	= 869,
+    X86_MOVSX32_NOREXrm8	= 870,
+    X86_MOVSX32_NOREXrr8	= 871,
+    X86_MOVSX32rm16	= 872,
+    X86_MOVSX32rm8	= 873,
+    X86_MOVSX32rr16	= 874,
+    X86_MOVSX32rr8	= 875,
+    X86_MOVSX64_NOREXrr32	= 876,
+    X86_MOVSX64rm16	= 877,
+    X86_MOVSX64rm32	= 878,
+    X86_MOVSX64rm32_alt	= 879,
+    X86_MOVSX64rm8	= 880,
+    X86_MOVSX64rr16	= 881,
+    X86_MOVSX64rr32	= 882,
+    X86_MOVSX64rr8	= 883,
+    X86_MOVZX16rm8	= 884,
+    X86_MOVZX16rr8	= 885,
+    X86_MOVZX32_NOREXrm8	= 886,
+    X86_MOVZX32_NOREXrr8	= 887,
+    X86_MOVZX32rm16	= 888,
+    X86_MOVZX32rm8	= 889,
+    X86_MOVZX32rr16	= 890,
+    X86_MOVZX32rr8	= 891,
+    X86_MOVZX64rm16_Q	= 892,
+    X86_MOVZX64rm8_Q	= 893,
+    X86_MOVZX64rr16_Q	= 894,
+    X86_MOVZX64rr8_Q	= 895,
+    X86_MUL16m	= 896,
+    X86_MUL16r	= 897,
+    X86_MUL32m	= 898,
+    X86_MUL32r	= 899,
+    X86_MUL64m	= 900,
+    X86_MUL64r	= 901,
+    X86_MUL8m	= 902,
+    X86_MUL8r	= 903,
+    X86_MULX32rm	= 904,
+    X86_MULX32rr	= 905,
+    X86_MULX64rm	= 906,
+    X86_MULX64rr	= 907,
+    X86_NEG16m	= 908,
+    X86_NEG16r	= 909,
+    X86_NEG32m	= 910,
+    X86_NEG32r	= 911,
+    X86_NEG64m	= 912,
+    X86_NEG64r	= 913,
+    X86_NEG8m	= 914,
+    X86_NEG8r	= 915,
+    X86_NOOP	= 916,
+    X86_NOOP18_16m4	= 917,
+    X86_NOOP18_16m5	= 918,
+    X86_NOOP18_16m6	= 919,
+    X86_NOOP18_16m7	= 920,
+    X86_NOOP18_16r4	= 921,
+    X86_NOOP18_16r5	= 922,
+    X86_NOOP18_16r6	= 923,
+    X86_NOOP18_16r7	= 924,
+    X86_NOOP18_m4	= 925,
+    X86_NOOP18_m5	= 926,
+    X86_NOOP18_m6	= 927,
+    X86_NOOP18_m7	= 928,
+    X86_NOOP18_r4	= 929,
+    X86_NOOP18_r5	= 930,
+    X86_NOOP18_r6	= 931,
+    X86_NOOP18_r7	= 932,
+    X86_NOOP19rr	= 933,
+    X86_NOOPL	= 934,
+    X86_NOOPL_19	= 935,
+    X86_NOOPL_1a	= 936,
+    X86_NOOPL_1b	= 937,
+    X86_NOOPL_1c	= 938,
+    X86_NOOPL_1d	= 939,
+    X86_NOOPL_1e	= 940,
+    X86_NOOPW	= 941,
+    X86_NOOPW_19	= 942,
+    X86_NOOPW_1a	= 943,
+    X86_NOOPW_1b	= 944,
+    X86_NOOPW_1c	= 945,
+    X86_NOOPW_1d	= 946,
+    X86_NOOPW_1e	= 947,
+    X86_NOT16m	= 948,
+    X86_NOT16r	= 949,
+    X86_NOT32m	= 950,
+    X86_NOT32r	= 951,
+    X86_NOT64m	= 952,
+    X86_NOT64r	= 953,
+    X86_NOT8m	= 954,
+    X86_NOT8r	= 955,
+    X86_OR16i16	= 956,
+    X86_OR16mi	= 957,
+    X86_OR16mi8	= 958,
+    X86_OR16mr	= 959,
+    X86_OR16ri	= 960,
+    X86_OR16ri8	= 961,
+    X86_OR16rm	= 962,
+    X86_OR16rr	= 963,
+    X86_OR16rr_REV	= 964,
+    X86_OR32i32	= 965,
+    X86_OR32mi	= 966,
+    X86_OR32mi8	= 967,
+    X86_OR32mr	= 968,
+    X86_OR32mrLocked	= 969,
+    X86_OR32ri	= 970,
+    X86_OR32ri8	= 971,
+    X86_OR32rm	= 972,
+    X86_OR32rr	= 973,
+    X86_OR32rr_REV	= 974,
+    X86_OR64i32	= 975,
+    X86_OR64mi32	= 976,
+    X86_OR64mi8	= 977,
+    X86_OR64mr	= 978,
+    X86_OR64ri32	= 979,
+    X86_OR64ri8	= 980,
+    X86_OR64rm	= 981,
+    X86_OR64rr	= 982,
+    X86_OR64rr_REV	= 983,
+    X86_OR8i8	= 984,
+    X86_OR8mi	= 985,
+    X86_OR8mi8	= 986,
+    X86_OR8mr	= 987,
+    X86_OR8ri	= 988,
+    X86_OR8ri8	= 989,
+    X86_OR8rm	= 990,
+    X86_OR8rr	= 991,
+    X86_OR8rr_REV	= 992,
+    X86_OUT16ir	= 993,
+    X86_OUT16rr	= 994,
+    X86_OUT32ir	= 995,
+    X86_OUT32rr	= 996,
+    X86_OUT8ir	= 997,
+    X86_OUT8rr	= 998,
+    X86_OUTSB	= 999,
+    X86_OUTSL	= 1000,
+    X86_OUTSW	= 1001,
+    X86_PCOMMIT	= 1002,
+    X86_PDEP32rm	= 1003,
+    X86_PDEP32rr	= 1004,
+    X86_PDEP64rm	= 1005,
+    X86_PDEP64rr	= 1006,
+    X86_PEXT32rm	= 1007,
+    X86_PEXT32rr	= 1008,
+    X86_PEXT64rm	= 1009,
+    X86_PEXT64rr	= 1010,
+    X86_POP16r	= 1011,
+    X86_POP16rmm	= 1012,
+    X86_POP16rmr	= 1013,
+    X86_POP32r	= 1014,
+    X86_POP32rmm	= 1015,
+    X86_POP32rmr	= 1016,
+    X86_POP64r	= 1017,
+    X86_POP64rmm	= 1018,
+    X86_POP64rmr	= 1019,
+    X86_POPA16	= 1020,
+    X86_POPA32	= 1021,
+    X86_POPDS16	= 1022,
+    X86_POPDS32	= 1023,
+    X86_POPES16	= 1024,
+    X86_POPES32	= 1025,
+    X86_POPF16	= 1026,
+    X86_POPF32	= 1027,
+    X86_POPF64	= 1028,
+    X86_POPFS16	= 1029,
+    X86_POPFS32	= 1030,
+    X86_POPFS64	= 1031,
+    X86_POPGS16	= 1032,
+    X86_POPGS32	= 1033,
+    X86_POPGS64	= 1034,
+    X86_POPSS16	= 1035,
+    X86_POPSS32	= 1036,
+    X86_PUSH16i8	= 1037,
+    X86_PUSH16r	= 1038,
+    X86_PUSH16rmm	= 1039,
+    X86_PUSH16rmr	= 1040,
+    X86_PUSH32i8	= 1041,
+    X86_PUSH32r	= 1042,
+    X86_PUSH32rmm	= 1043,
+    X86_PUSH32rmr	= 1044,
+    X86_PUSH64i16	= 1045,
+    X86_PUSH64i32	= 1046,
+    X86_PUSH64i8	= 1047,
+    X86_PUSH64r	= 1048,
+    X86_PUSH64rmm	= 1049,
+    X86_PUSH64rmr	= 1050,
+    X86_PUSHA16	= 1051,
+    X86_PUSHA32	= 1052,
+    X86_PUSHCS16	= 1053,
+    X86_PUSHCS32	= 1054,
+    X86_PUSHDS16	= 1055,
+    X86_PUSHDS32	= 1056,
+    X86_PUSHES16	= 1057,
+    X86_PUSHES32	= 1058,
+    X86_PUSHF16	= 1059,
+    X86_PUSHF32	= 1060,
+    X86_PUSHF64	= 1061,
+    X86_PUSHFS16	= 1062,
+    X86_PUSHFS32	= 1063,
+    X86_PUSHFS64	= 1064,
+    X86_PUSHGS16	= 1065,
+    X86_PUSHGS32	= 1066,
+    X86_PUSHGS64	= 1067,
+    X86_PUSHSS16	= 1068,
+    X86_PUSHSS32	= 1069,
+    X86_PUSHi16	= 1070,
+    X86_PUSHi32	= 1071,
+    X86_RCL16m1	= 1072,
+    X86_RCL16mCL	= 1073,
+    X86_RCL16mi	= 1074,
+    X86_RCL16r1	= 1075,
+    X86_RCL16rCL	= 1076,
+    X86_RCL16ri	= 1077,
+    X86_RCL32m1	= 1078,
+    X86_RCL32mCL	= 1079,
+    X86_RCL32mi	= 1080,
+    X86_RCL32r1	= 1081,
+    X86_RCL32rCL	= 1082,
+    X86_RCL32ri	= 1083,
+    X86_RCL64m1	= 1084,
+    X86_RCL64mCL	= 1085,
+    X86_RCL64mi	= 1086,
+    X86_RCL64r1	= 1087,
+    X86_RCL64rCL	= 1088,
+    X86_RCL64ri	= 1089,
+    X86_RCL8m1	= 1090,
+    X86_RCL8mCL	= 1091,
+    X86_RCL8mi	= 1092,
+    X86_RCL8r1	= 1093,
+    X86_RCL8rCL	= 1094,
+    X86_RCL8ri	= 1095,
+    X86_RCR16m1	= 1096,
+    X86_RCR16mCL	= 1097,
+    X86_RCR16mi	= 1098,
+    X86_RCR16r1	= 1099,
+    X86_RCR16rCL	= 1100,
+    X86_RCR16ri	= 1101,
+    X86_RCR32m1	= 1102,
+    X86_RCR32mCL	= 1103,
+    X86_RCR32mi	= 1104,
+    X86_RCR32r1	= 1105,
+    X86_RCR32rCL	= 1106,
+    X86_RCR32ri	= 1107,
+    X86_RCR64m1	= 1108,
+    X86_RCR64mCL	= 1109,
+    X86_RCR64mi	= 1110,
+    X86_RCR64r1	= 1111,
+    X86_RCR64rCL	= 1112,
+    X86_RCR64ri	= 1113,
+    X86_RCR8m1	= 1114,
+    X86_RCR8mCL	= 1115,
+    X86_RCR8mi	= 1116,
+    X86_RCR8r1	= 1117,
+    X86_RCR8rCL	= 1118,
+    X86_RCR8ri	= 1119,
+    X86_RDFSBASE	= 1120,
+    X86_RDFSBASE64	= 1121,
+    X86_RDGSBASE	= 1122,
+    X86_RDGSBASE64	= 1123,
+    X86_RDMSR	= 1124,
+    X86_RDPMC	= 1125,
+    X86_RDRAND16r	= 1126,
+    X86_RDRAND32r	= 1127,
+    X86_RDRAND64r	= 1128,
+    X86_RDSEED16r	= 1129,
+    X86_RDSEED32r	= 1130,
+    X86_RDSEED64r	= 1131,
+    X86_RDTSC	= 1132,
+    X86_RDTSCP	= 1133,
+    X86_RELEASE_ADD32mi	= 1134,
+    X86_RELEASE_ADD64mi32	= 1135,
+    X86_RELEASE_ADD8mi	= 1136,
+    X86_RELEASE_AND32mi	= 1137,
+    X86_RELEASE_AND64mi32	= 1138,
+    X86_RELEASE_AND8mi	= 1139,
+    X86_RELEASE_DEC16m	= 1140,
+    X86_RELEASE_DEC32m	= 1141,
+    X86_RELEASE_DEC64m	= 1142,
+    X86_RELEASE_DEC8m	= 1143,
+    X86_RELEASE_INC16m	= 1144,
+    X86_RELEASE_INC32m	= 1145,
+    X86_RELEASE_INC64m	= 1146,
+    X86_RELEASE_INC8m	= 1147,
+    X86_RELEASE_MOV16mi	= 1148,
+    X86_RELEASE_MOV16mr	= 1149,
+    X86_RELEASE_MOV32mi	= 1150,
+    X86_RELEASE_MOV32mr	= 1151,
+    X86_RELEASE_MOV64mi32	= 1152,
+    X86_RELEASE_MOV64mr	= 1153,
+    X86_RELEASE_MOV8mi	= 1154,
+    X86_RELEASE_MOV8mr	= 1155,
+    X86_RELEASE_OR32mi	= 1156,
+    X86_RELEASE_OR64mi32	= 1157,
+    X86_RELEASE_OR8mi	= 1158,
+    X86_RELEASE_XOR32mi	= 1159,
+    X86_RELEASE_XOR64mi32	= 1160,
+    X86_RELEASE_XOR8mi	= 1161,
+    X86_REPNE_PREFIX	= 1162,
+    X86_REP_MOVSB_32	= 1163,
+    X86_REP_MOVSB_64	= 1164,
+    X86_REP_MOVSD_32	= 1165,
+    X86_REP_MOVSD_64	= 1166,
+    X86_REP_MOVSQ_64	= 1167,
+    X86_REP_MOVSW_32	= 1168,
+    X86_REP_MOVSW_64	= 1169,
+    X86_REP_PREFIX	= 1170,
+    X86_REP_STOSB_32	= 1171,
+    X86_REP_STOSB_64	= 1172,
+    X86_REP_STOSD_32	= 1173,
+    X86_REP_STOSD_64	= 1174,
+    X86_REP_STOSQ_64	= 1175,
+    X86_REP_STOSW_32	= 1176,
+    X86_REP_STOSW_64	= 1177,
+    X86_RETIL	= 1178,
+    X86_RETIQ	= 1179,
+    X86_RETIW	= 1180,
+    X86_RETL	= 1181,
+    X86_RETQ	= 1182,
+    X86_RETW	= 1183,
+    X86_REX64_PREFIX	= 1184,
+    X86_ROL16m1	= 1185,
+    X86_ROL16mCL	= 1186,
+    X86_ROL16mi	= 1187,
+    X86_ROL16r1	= 1188,
+    X86_ROL16rCL	= 1189,
+    X86_ROL16ri	= 1190,
+    X86_ROL32m1	= 1191,
+    X86_ROL32mCL	= 1192,
+    X86_ROL32mi	= 1193,
+    X86_ROL32r1	= 1194,
+    X86_ROL32rCL	= 1195,
+    X86_ROL32ri	= 1196,
+    X86_ROL64m1	= 1197,
+    X86_ROL64mCL	= 1198,
+    X86_ROL64mi	= 1199,
+    X86_ROL64r1	= 1200,
+    X86_ROL64rCL	= 1201,
+    X86_ROL64ri	= 1202,
+    X86_ROL8m1	= 1203,
+    X86_ROL8mCL	= 1204,
+    X86_ROL8mi	= 1205,
+    X86_ROL8r1	= 1206,
+    X86_ROL8rCL	= 1207,
+    X86_ROL8ri	= 1208,
+    X86_ROR16m1	= 1209,
+    X86_ROR16mCL	= 1210,
+    X86_ROR16mi	= 1211,
+    X86_ROR16r1	= 1212,
+    X86_ROR16rCL	= 1213,
+    X86_ROR16ri	= 1214,
+    X86_ROR32m1	= 1215,
+    X86_ROR32mCL	= 1216,
+    X86_ROR32mi	= 1217,
+    X86_ROR32r1	= 1218,
+    X86_ROR32rCL	= 1219,
+    X86_ROR32ri	= 1220,
+    X86_ROR64m1	= 1221,
+    X86_ROR64mCL	= 1222,
+    X86_ROR64mi	= 1223,
+    X86_ROR64r1	= 1224,
+    X86_ROR64rCL	= 1225,
+    X86_ROR64ri	= 1226,
+    X86_ROR8m1	= 1227,
+    X86_ROR8mCL	= 1228,
+    X86_ROR8mi	= 1229,
+    X86_ROR8r1	= 1230,
+    X86_ROR8rCL	= 1231,
+    X86_ROR8ri	= 1232,
+    X86_RORX32mi	= 1233,
+    X86_RORX32ri	= 1234,
+    X86_RORX64mi	= 1235,
+    X86_RORX64ri	= 1236,
+    X86_RSM	= 1237,
+    X86_SAHF	= 1238,
+    X86_SAL16m1	= 1239,
+    X86_SAL16mCL	= 1240,
+    X86_SAL16mi	= 1241,
+    X86_SAL16r1	= 1242,
+    X86_SAL16rCL	= 1243,
+    X86_SAL16ri	= 1244,
+    X86_SAL32m1	= 1245,
+    X86_SAL32mCL	= 1246,
+    X86_SAL32mi	= 1247,
+    X86_SAL32r1	= 1248,
+    X86_SAL32rCL	= 1249,
+    X86_SAL32ri	= 1250,
+    X86_SAL64m1	= 1251,
+    X86_SAL64mCL	= 1252,
+    X86_SAL64mi	= 1253,
+    X86_SAL64r1	= 1254,
+    X86_SAL64rCL	= 1255,
+    X86_SAL64ri	= 1256,
+    X86_SAL8m1	= 1257,
+    X86_SAL8mCL	= 1258,
+    X86_SAL8mi	= 1259,
+    X86_SAL8r1	= 1260,
+    X86_SAL8rCL	= 1261,
+    X86_SAL8ri	= 1262,
+    X86_SALC	= 1263,
+    X86_SAR16m1	= 1264,
+    X86_SAR16mCL	= 1265,
+    X86_SAR16mi	= 1266,
+    X86_SAR16r1	= 1267,
+    X86_SAR16rCL	= 1268,
+    X86_SAR16ri	= 1269,
+    X86_SAR32m1	= 1270,
+    X86_SAR32mCL	= 1271,
+    X86_SAR32mi	= 1272,
+    X86_SAR32r1	= 1273,
+    X86_SAR32rCL	= 1274,
+    X86_SAR32ri	= 1275,
+    X86_SAR64m1	= 1276,
+    X86_SAR64mCL	= 1277,
+    X86_SAR64mi	= 1278,
+    X86_SAR64r1	= 1279,
+    X86_SAR64rCL	= 1280,
+    X86_SAR64ri	= 1281,
+    X86_SAR8m1	= 1282,
+    X86_SAR8mCL	= 1283,
+    X86_SAR8mi	= 1284,
+    X86_SAR8r1	= 1285,
+    X86_SAR8rCL	= 1286,
+    X86_SAR8ri	= 1287,
+    X86_SARX32rm	= 1288,
+    X86_SARX32rr	= 1289,
+    X86_SARX64rm	= 1290,
+    X86_SARX64rr	= 1291,
+    X86_SBB16i16	= 1292,
+    X86_SBB16mi	= 1293,
+    X86_SBB16mi8	= 1294,
+    X86_SBB16mr	= 1295,
+    X86_SBB16ri	= 1296,
+    X86_SBB16ri8	= 1297,
+    X86_SBB16rm	= 1298,
+    X86_SBB16rr	= 1299,
+    X86_SBB16rr_REV	= 1300,
+    X86_SBB32i32	= 1301,
+    X86_SBB32mi	= 1302,
+    X86_SBB32mi8	= 1303,
+    X86_SBB32mr	= 1304,
+    X86_SBB32ri	= 1305,
+    X86_SBB32ri8	= 1306,
+    X86_SBB32rm	= 1307,
+    X86_SBB32rr	= 1308,
+    X86_SBB32rr_REV	= 1309,
+    X86_SBB64i32	= 1310,
+    X86_SBB64mi32	= 1311,
+    X86_SBB64mi8	= 1312,
+    X86_SBB64mr	= 1313,
+    X86_SBB64ri32	= 1314,
+    X86_SBB64ri8	= 1315,
+    X86_SBB64rm	= 1316,
+    X86_SBB64rr	= 1317,
+    X86_SBB64rr_REV	= 1318,
+    X86_SBB8i8	= 1319,
+    X86_SBB8mi	= 1320,
+    X86_SBB8mi8	= 1321,
+    X86_SBB8mr	= 1322,
+    X86_SBB8ri	= 1323,
+    X86_SBB8ri8	= 1324,
+    X86_SBB8rm	= 1325,
+    X86_SBB8rr	= 1326,
+    X86_SBB8rr_REV	= 1327,
+    X86_SCASB	= 1328,
+    X86_SCASL	= 1329,
+    X86_SCASQ	= 1330,
+    X86_SCASW	= 1331,
+    X86_SEG_ALLOCA_32	= 1332,
+    X86_SEG_ALLOCA_64	= 1333,
+    X86_SEH_EndPrologue	= 1334,
+    X86_SEH_Epilogue	= 1335,
+    X86_SEH_PushFrame	= 1336,
+    X86_SEH_PushReg	= 1337,
+    X86_SEH_SaveReg	= 1338,
+    X86_SEH_SaveXMM	= 1339,
+    X86_SEH_SetFrame	= 1340,
+    X86_SEH_StackAlloc	= 1341,
+    X86_SETAEm	= 1342,
+    X86_SETAEr	= 1343,
+    X86_SETAm	= 1344,
+    X86_SETAr	= 1345,
+    X86_SETBEm	= 1346,
+    X86_SETBEr	= 1347,
+    X86_SETB_C16r	= 1348,
+    X86_SETB_C32r	= 1349,
+    X86_SETB_C64r	= 1350,
+    X86_SETB_C8r	= 1351,
+    X86_SETBm	= 1352,
+    X86_SETBr	= 1353,
+    X86_SETEm	= 1354,
+    X86_SETEr	= 1355,
+    X86_SETGEm	= 1356,
+    X86_SETGEr	= 1357,
+    X86_SETGm	= 1358,
+    X86_SETGr	= 1359,
+    X86_SETLEm	= 1360,
+    X86_SETLEr	= 1361,
+    X86_SETLm	= 1362,
+    X86_SETLr	= 1363,
+    X86_SETNEm	= 1364,
+    X86_SETNEr	= 1365,
+    X86_SETNOm	= 1366,
+    X86_SETNOr	= 1367,
+    X86_SETNPm	= 1368,
+    X86_SETNPr	= 1369,
+    X86_SETNSm	= 1370,
+    X86_SETNSr	= 1371,
+    X86_SETOm	= 1372,
+    X86_SETOr	= 1373,
+    X86_SETPm	= 1374,
+    X86_SETPr	= 1375,
+    X86_SETSm	= 1376,
+    X86_SETSr	= 1377,
+    X86_SGDT16m	= 1378,
+    X86_SGDT32m	= 1379,
+    X86_SGDT64m	= 1380,
+    X86_SHL16m1	= 1381,
+    X86_SHL16mCL	= 1382,
+    X86_SHL16mi	= 1383,
+    X86_SHL16r1	= 1384,
+    X86_SHL16rCL	= 1385,
+    X86_SHL16ri	= 1386,
+    X86_SHL32m1	= 1387,
+    X86_SHL32mCL	= 1388,
+    X86_SHL32mi	= 1389,
+    X86_SHL32r1	= 1390,
+    X86_SHL32rCL	= 1391,
+    X86_SHL32ri	= 1392,
+    X86_SHL64m1	= 1393,
+    X86_SHL64mCL	= 1394,
+    X86_SHL64mi	= 1395,
+    X86_SHL64r1	= 1396,
+    X86_SHL64rCL	= 1397,
+    X86_SHL64ri	= 1398,
+    X86_SHL8m1	= 1399,
+    X86_SHL8mCL	= 1400,
+    X86_SHL8mi	= 1401,
+    X86_SHL8r1	= 1402,
+    X86_SHL8rCL	= 1403,
+    X86_SHL8ri	= 1404,
+    X86_SHLD16mrCL	= 1405,
+    X86_SHLD16mri8	= 1406,
+    X86_SHLD16rrCL	= 1407,
+    X86_SHLD16rri8	= 1408,
+    X86_SHLD32mrCL	= 1409,
+    X86_SHLD32mri8	= 1410,
+    X86_SHLD32rrCL	= 1411,
+    X86_SHLD32rri8	= 1412,
+    X86_SHLD64mrCL	= 1413,
+    X86_SHLD64mri8	= 1414,
+    X86_SHLD64rrCL	= 1415,
+    X86_SHLD64rri8	= 1416,
+    X86_SHLX32rm	= 1417,
+    X86_SHLX32rr	= 1418,
+    X86_SHLX64rm	= 1419,
+    X86_SHLX64rr	= 1420,
+    X86_SHR16m1	= 1421,
+    X86_SHR16mCL	= 1422,
+    X86_SHR16mi	= 1423,
+    X86_SHR16r1	= 1424,
+    X86_SHR16rCL	= 1425,
+    X86_SHR16ri	= 1426,
+    X86_SHR32m1	= 1427,
+    X86_SHR32mCL	= 1428,
+    X86_SHR32mi	= 1429,
+    X86_SHR32r1	= 1430,
+    X86_SHR32rCL	= 1431,
+    X86_SHR32ri	= 1432,
+    X86_SHR64m1	= 1433,
+    X86_SHR64mCL	= 1434,
+    X86_SHR64mi	= 1435,
+    X86_SHR64r1	= 1436,
+    X86_SHR64rCL	= 1437,
+    X86_SHR64ri	= 1438,
+    X86_SHR8m1	= 1439,
+    X86_SHR8mCL	= 1440,
+    X86_SHR8mi	= 1441,
+    X86_SHR8r1	= 1442,
+    X86_SHR8rCL	= 1443,
+    X86_SHR8ri	= 1444,
+    X86_SHRD16mrCL	= 1445,
+    X86_SHRD16mri8	= 1446,
+    X86_SHRD16rrCL	= 1447,
+    X86_SHRD16rri8	= 1448,
+    X86_SHRD32mrCL	= 1449,
+    X86_SHRD32mri8	= 1450,
+    X86_SHRD32rrCL	= 1451,
+    X86_SHRD32rri8	= 1452,
+    X86_SHRD64mrCL	= 1453,
+    X86_SHRD64mri8	= 1454,
+    X86_SHRD64rrCL	= 1455,
+    X86_SHRD64rri8	= 1456,
+    X86_SHRX32rm	= 1457,
+    X86_SHRX32rr	= 1458,
+    X86_SHRX64rm	= 1459,
+    X86_SHRX64rr	= 1460,
+    X86_SIDT16m	= 1461,
+    X86_SIDT32m	= 1462,
+    X86_SIDT64m	= 1463,
+    X86_SKINIT	= 1464,
+    X86_SLDT16m	= 1465,
+    X86_SLDT16r	= 1466,
+    X86_SLDT32r	= 1467,
+    X86_SLDT64m	= 1468,
+    X86_SLDT64r	= 1469,
+    X86_SMSW16m	= 1470,
+    X86_SMSW16r	= 1471,
+    X86_SMSW32r	= 1472,
+    X86_SMSW64r	= 1473,
+    X86_STAC	= 1474,
+    X86_STC	= 1475,
+    X86_STD	= 1476,
+    X86_STGI	= 1477,
+    X86_STI	= 1478,
+    X86_STOSB	= 1479,
+    X86_STOSL	= 1480,
+    X86_STOSQ	= 1481,
+    X86_STOSW	= 1482,
+    X86_STR16r	= 1483,
+    X86_STR32r	= 1484,
+    X86_STR64r	= 1485,
+    X86_STRm	= 1486,
+    X86_SUB16i16	= 1487,
+    X86_SUB16mi	= 1488,
+    X86_SUB16mi8	= 1489,
+    X86_SUB16mr	= 1490,
+    X86_SUB16ri	= 1491,
+    X86_SUB16ri8	= 1492,
+    X86_SUB16rm	= 1493,
+    X86_SUB16rr	= 1494,
+    X86_SUB16rr_REV	= 1495,
+    X86_SUB32i32	= 1496,
+    X86_SUB32mi	= 1497,
+    X86_SUB32mi8	= 1498,
+    X86_SUB32mr	= 1499,
+    X86_SUB32ri	= 1500,
+    X86_SUB32ri8	= 1501,
+    X86_SUB32rm	= 1502,
+    X86_SUB32rr	= 1503,
+    X86_SUB32rr_REV	= 1504,
+    X86_SUB64i32	= 1505,
+    X86_SUB64mi32	= 1506,
+    X86_SUB64mi8	= 1507,
+    X86_SUB64mr	= 1508,
+    X86_SUB64ri32	= 1509,
+    X86_SUB64ri8	= 1510,
+    X86_SUB64rm	= 1511,
+    X86_SUB64rr	= 1512,
+    X86_SUB64rr_REV	= 1513,
+    X86_SUB8i8	= 1514,
+    X86_SUB8mi	= 1515,
+    X86_SUB8mi8	= 1516,
+    X86_SUB8mr	= 1517,
+    X86_SUB8ri	= 1518,
+    X86_SUB8ri8	= 1519,
+    X86_SUB8rm	= 1520,
+    X86_SUB8rr	= 1521,
+    X86_SUB8rr_REV	= 1522,
+    X86_SWAPGS	= 1523,
+    X86_SYSCALL	= 1524,
+    X86_SYSENTER	= 1525,
+    X86_SYSEXIT	= 1526,
+    X86_SYSEXIT64	= 1527,
+    X86_SYSRET	= 1528,
+    X86_SYSRET64	= 1529,
+    X86_T1MSKC32rm	= 1530,
+    X86_T1MSKC32rr	= 1531,
+    X86_T1MSKC64rm	= 1532,
+    X86_T1MSKC64rr	= 1533,
+    X86_TAILJMPd	= 1534,
+    X86_TAILJMPd64	= 1535,
+    X86_TAILJMPd64_REX	= 1536,
+    X86_TAILJMPm	= 1537,
+    X86_TAILJMPm64	= 1538,
+    X86_TAILJMPm64_REX	= 1539,
+    X86_TAILJMPr	= 1540,
+    X86_TAILJMPr64	= 1541,
+    X86_TAILJMPr64_REX	= 1542,
+    X86_TCRETURNdi	= 1543,
+    X86_TCRETURNdi64	= 1544,
+    X86_TCRETURNmi	= 1545,
+    X86_TCRETURNmi64	= 1546,
+    X86_TCRETURNri	= 1547,
+    X86_TCRETURNri64	= 1548,
+    X86_TEST16i16	= 1549,
+    X86_TEST16mi	= 1550,
+    X86_TEST16mi_alt	= 1551,
+    X86_TEST16ri	= 1552,
+    X86_TEST16ri_alt	= 1553,
+    X86_TEST16rm	= 1554,
+    X86_TEST16rr	= 1555,
+    X86_TEST32i32	= 1556,
+    X86_TEST32mi	= 1557,
+    X86_TEST32mi_alt	= 1558,
+    X86_TEST32ri	= 1559,
+    X86_TEST32ri_alt	= 1560,
+    X86_TEST32rm	= 1561,
+    X86_TEST32rr	= 1562,
+    X86_TEST64i32	= 1563,
+    X86_TEST64mi32	= 1564,
+    X86_TEST64mi32_alt	= 1565,
+    X86_TEST64ri32	= 1566,
+    X86_TEST64ri32_alt	= 1567,
+    X86_TEST64rm	= 1568,
+    X86_TEST64rr	= 1569,
+    X86_TEST8i8	= 1570,
+    X86_TEST8mi	= 1571,
+    X86_TEST8mi_alt	= 1572,
+    X86_TEST8ri	= 1573,
+    X86_TEST8ri_NOREX	= 1574,
+    X86_TEST8ri_alt	= 1575,
+    X86_TEST8rm	= 1576,
+    X86_TEST8rr	= 1577,
+    X86_TLSCall_32	= 1578,
+    X86_TLSCall_64	= 1579,
+    X86_TLS_addr32	= 1580,
+    X86_TLS_addr64	= 1581,
+    X86_TLS_base_addr32	= 1582,
+    X86_TLS_base_addr64	= 1583,
+    X86_TRAP	= 1584,
+    X86_TZCNT16rm	= 1585,
+    X86_TZCNT16rr	= 1586,
+    X86_TZCNT32rm	= 1587,
+    X86_TZCNT32rr	= 1588,
+    X86_TZCNT64rm	= 1589,
+    X86_TZCNT64rr	= 1590,
+    X86_TZMSK32rm	= 1591,
+    X86_TZMSK32rr	= 1592,
+    X86_TZMSK64rm	= 1593,
+    X86_TZMSK64rr	= 1594,
+    X86_UD2B	= 1595,
+    X86_VAARG_64	= 1596,
+    X86_VASTART_SAVE_XMM_REGS	= 1597,
+    X86_VERRm	= 1598,
+    X86_VERRr	= 1599,
+    X86_VERWm	= 1600,
+    X86_VERWr	= 1601,
+    X86_VMCALL	= 1602,
+    X86_VMCLEARm	= 1603,
+    X86_VMFUNC	= 1604,
+    X86_VMLAUNCH	= 1605,
+    X86_VMLOAD32	= 1606,
+    X86_VMLOAD64	= 1607,
+    X86_VMMCALL	= 1608,
+    X86_VMPTRLDm	= 1609,
+    X86_VMPTRSTm	= 1610,
+    X86_VMREAD32rm	= 1611,
+    X86_VMREAD32rr	= 1612,
+    X86_VMREAD64rm	= 1613,
+    X86_VMREAD64rr	= 1614,
+    X86_VMRESUME	= 1615,
+    X86_VMRUN32	= 1616,
+    X86_VMRUN64	= 1617,
+    X86_VMSAVE32	= 1618,
+    X86_VMSAVE64	= 1619,
+    X86_VMWRITE32rm	= 1620,
+    X86_VMWRITE32rr	= 1621,
+    X86_VMWRITE64rm	= 1622,
+    X86_VMWRITE64rr	= 1623,
+    X86_VMXOFF	= 1624,
+    X86_VMXON	= 1625,
+    X86_WBINVD	= 1626,
+    X86_WIN_ALLOCA	= 1627,
+    X86_WIN_FTOL_32	= 1628,
+    X86_WIN_FTOL_64	= 1629,
+    X86_WRFSBASE	= 1630,
+    X86_WRFSBASE64	= 1631,
+    X86_WRGSBASE	= 1632,
+    X86_WRGSBASE64	= 1633,
+    X86_WRMSR	= 1634,
+    X86_XADD16rm	= 1635,
+    X86_XADD16rr	= 1636,
+    X86_XADD32rm	= 1637,
+    X86_XADD32rr	= 1638,
+    X86_XADD64rm	= 1639,
+    X86_XADD64rr	= 1640,
+    X86_XADD8rm	= 1641,
+    X86_XADD8rr	= 1642,
+    X86_XCHG16ar	= 1643,
+    X86_XCHG16rm	= 1644,
+    X86_XCHG16rr	= 1645,
+    X86_XCHG32ar	= 1646,
+    X86_XCHG32ar64	= 1647,
+    X86_XCHG32rm	= 1648,
+    X86_XCHG32rr	= 1649,
+    X86_XCHG64ar	= 1650,
+    X86_XCHG64rm	= 1651,
+    X86_XCHG64rr	= 1652,
+    X86_XCHG8rm	= 1653,
+    X86_XCHG8rr	= 1654,
+    X86_XCRYPTCBC	= 1655,
+    X86_XCRYPTCFB	= 1656,
+    X86_XCRYPTCTR	= 1657,
+    X86_XCRYPTECB	= 1658,
+    X86_XCRYPTOFB	= 1659,
+    X86_XGETBV	= 1660,
+    X86_XLAT	= 1661,
+    X86_XOR16i16	= 1662,
+    X86_XOR16mi	= 1663,
+    X86_XOR16mi8	= 1664,
+    X86_XOR16mr	= 1665,
+    X86_XOR16ri	= 1666,
+    X86_XOR16ri8	= 1667,
+    X86_XOR16rm	= 1668,
+    X86_XOR16rr	= 1669,
+    X86_XOR16rr_REV	= 1670,
+    X86_XOR32i32	= 1671,
+    X86_XOR32mi	= 1672,
+    X86_XOR32mi8	= 1673,
+    X86_XOR32mr	= 1674,
+    X86_XOR32ri	= 1675,
+    X86_XOR32ri8	= 1676,
+    X86_XOR32rm	= 1677,
+    X86_XOR32rr	= 1678,
+    X86_XOR32rr_REV	= 1679,
+    X86_XOR64i32	= 1680,
+    X86_XOR64mi32	= 1681,
+    X86_XOR64mi8	= 1682,
+    X86_XOR64mr	= 1683,
+    X86_XOR64ri32	= 1684,
+    X86_XOR64ri8	= 1685,
+    X86_XOR64rm	= 1686,
+    X86_XOR64rr	= 1687,
+    X86_XOR64rr_REV	= 1688,
+    X86_XOR8i8	= 1689,
+    X86_XOR8mi	= 1690,
+    X86_XOR8mi8	= 1691,
+    X86_XOR8mr	= 1692,
+    X86_XOR8ri	= 1693,
+    X86_XOR8ri8	= 1694,
+    X86_XOR8rm	= 1695,
+    X86_XOR8rr	= 1696,
+    X86_XOR8rr_REV	= 1697,
+    X86_XRSTOR	= 1698,
+    X86_XRSTOR64	= 1699,
+    X86_XRSTORS	= 1700,
+    X86_XRSTORS64	= 1701,
+    X86_XSAVE	= 1702,
+    X86_XSAVE64	= 1703,
+    X86_XSAVEC	= 1704,
+    X86_XSAVEC64	= 1705,
+    X86_XSAVEOPT	= 1706,
+    X86_XSAVEOPT64	= 1707,
+    X86_XSAVES	= 1708,
+    X86_XSAVES64	= 1709,
+    X86_XSETBV	= 1710,
+    X86_XSHA1	= 1711,
+    X86_XSHA256	= 1712,
+    X86_XSTORE	= 1713,
+    X86_UD0	= 1714,
+    X86_ENDBR32 = 8854,
+    X86_ENDBR64 = 8855,
+    X86_INSTRUCTION_LIST_END = 1715
 };
 
 #endif // GET_INSTRINFO_ENUM
@@ -1700,10 +1746,8 @@ typedef struct x86_op_id_pair {
 } x86_op_id_pair;
 
 static const x86_op_id_pair x86_16_bit_eq_tbl[] = {
-	{ 25, 24 },
-	{ 26, 24 },
-	{ 37, 28 },
-	{ 38, 29 },
+	{ 27, 26 },
+	{ 28, 26 },
 	{ 39, 30 },
 	{ 40, 31 },
 	{ 41, 32 },
@@ -1711,17 +1755,15 @@ static const x86_op_id_pair x86_16_bit_e
 	{ 43, 34 },
 	{ 44, 35 },
 	{ 45, 36 },
-	{ 46, 28 },
+	{ 46, 37 },
+	{ 47, 38 },
 	{ 48, 30 },
-	{ 49, 31 },
+	{ 50, 32 },
 	{ 51, 33 },
-	{ 52, 34 },
 	{ 53, 35 },
 	{ 54, 36 },
-	{ 78, 66 },
-	{ 79, 67 },
-	{ 80, 68 },
-	{ 81, 69 },
+	{ 55, 37 },
+	{ 56, 38 },
 	{ 82, 70 },
 	{ 83, 71 },
 	{ 84, 72 },
@@ -1730,211 +1772,211 @@ static const x86_op_id_pair x86_16_bit_e
 	{ 87, 75 },
 	{ 88, 76 },
 	{ 89, 77 },
-	{ 90, 66 },
-	{ 92, 68 },
-	{ 93, 69 },
-	{ 96, 71 },
-	{ 97, 72 },
-	{ 98, 74 },
-	{ 99, 75 },
-	{ 100, 76 },
-	{ 101, 77 },
-	{ 127, 118 },
-	{ 128, 119 },
-	{ 129, 120 },
-	{ 130, 121 },
-	{ 131, 122 },
+	{ 90, 78 },
+	{ 91, 79 },
+	{ 92, 80 },
+	{ 93, 81 },
+	{ 94, 70 },
+	{ 96, 72 },
+	{ 97, 73 },
+	{ 100, 75 },
+	{ 101, 76 },
+	{ 102, 78 },
+	{ 103, 79 },
+	{ 104, 80 },
+	{ 105, 81 },
 	{ 132, 123 },
 	{ 133, 124 },
 	{ 134, 125 },
 	{ 135, 126 },
-	{ 136, 118 },
-	{ 138, 120 },
-	{ 139, 121 },
+	{ 136, 127 },
+	{ 137, 128 },
+	{ 138, 129 },
+	{ 139, 130 },
+	{ 140, 131 },
 	{ 141, 123 },
-	{ 142, 124 },
 	{ 143, 125 },
 	{ 144, 126 },
-	{ 208, 207 },
-	{ 211, 209 },
-	{ 212, 210 },
-	{ 213, 209 },
-	{ 214, 210 },
+	{ 146, 128 },
+	{ 147, 129 },
+	{ 148, 130 },
+	{ 149, 131 },
+	{ 214, 213 },
 	{ 217, 215 },
 	{ 218, 216 },
 	{ 219, 215 },
 	{ 220, 216 },
-	{ 227, 223 },
-	{ 228, 224 },
-	{ 229, 225 },
-	{ 230, 226 },
-	{ 231, 223 },
-	{ 232, 224 },
-	{ 233, 225 },
-	{ 234, 226 },
-	{ 239, 235 },
-	{ 240, 236 },
-	{ 241, 237 },
-	{ 242, 238 },
-	{ 243, 235 },
-	{ 244, 236 },
-	{ 245, 237 },
-	{ 246, 238 },
-	{ 251, 247 },
-	{ 252, 248 },
-	{ 253, 249 },
-	{ 254, 250 },
-	{ 255, 247 },
-	{ 256, 248 },
-	{ 257, 249 },
-	{ 258, 250 },
-	{ 263, 259 },
-	{ 264, 260 },
-	{ 265, 261 },
-	{ 266, 262 },
-	{ 267, 259 },
-	{ 268, 260 },
-	{ 269, 261 },
-	{ 270, 262 },
-	{ 277, 275 },
-	{ 278, 276 },
-	{ 279, 275 },
-	{ 281, 276 },
-	{ 283, 282 },
-	{ 289, 458 },
-	{ 296, 294 },
-	{ 297, 295 },
-	{ 298, 294 },
-	{ 299, 295 },
-	{ 302, 300 },
-	{ 303, 301 },
-	{ 304, 300 },
-	{ 305, 301 },
-	{ 308, 306 },
-	{ 309, 307 },
-	{ 310, 306 },
-	{ 311, 307 },
-	{ 314, 312 },
-	{ 315, 313 },
-	{ 316, 312 },
-	{ 317, 313 },
-	{ 320, 318 },
-	{ 321, 319 },
-	{ 322, 318 },
-	{ 323, 319 },
-	{ 326, 324 },
-	{ 327, 325 },
-	{ 328, 324 },
-	{ 329, 325 },
-	{ 332, 330 },
-	{ 333, 331 },
-	{ 334, 330 },
-	{ 335, 331 },
-	{ 338, 336 },
-	{ 339, 337 },
-	{ 340, 336 },
-	{ 341, 337 },
-	{ 344, 342 },
-	{ 345, 343 },
-	{ 346, 342 },
-	{ 347, 343 },
-	{ 350, 348 },
-	{ 351, 349 },
-	{ 352, 348 },
-	{ 353, 349 },
-	{ 356, 354 },
-	{ 357, 355 },
-	{ 358, 354 },
-	{ 359, 355 },
-	{ 362, 360 },
-	{ 363, 361 },
-	{ 364, 360 },
-	{ 365, 361 },
-	{ 368, 366 },
-	{ 369, 367 },
-	{ 370, 366 },
-	{ 371, 367 },
-	{ 374, 372 },
-	{ 375, 373 },
-	{ 376, 372 },
-	{ 377, 373 },
-	{ 380, 378 },
-	{ 381, 379 },
-	{ 382, 378 },
-	{ 383, 379 },
-	{ 386, 384 },
-	{ 387, 385 },
-	{ 388, 384 },
-	{ 389, 385 },
-	{ 393, 392 },
-	{ 416, 407 },
-	{ 417, 408 },
-	{ 418, 409 },
-	{ 419, 410 },
-	{ 420, 411 },
-	{ 421, 412 },
-	{ 422, 413 },
-	{ 423, 414 },
+	{ 223, 221 },
+	{ 224, 222 },
+	{ 225, 221 },
+	{ 226, 222 },
+	{ 233, 229 },
+	{ 234, 230 },
+	{ 235, 231 },
+	{ 236, 232 },
+	{ 237, 229 },
+	{ 238, 230 },
+	{ 239, 231 },
+	{ 240, 232 },
+	{ 245, 241 },
+	{ 246, 242 },
+	{ 247, 243 },
+	{ 248, 244 },
+	{ 249, 241 },
+	{ 250, 242 },
+	{ 251, 243 },
+	{ 252, 244 },
+	{ 257, 253 },
+	{ 258, 254 },
+	{ 259, 255 },
+	{ 260, 256 },
+	{ 261, 253 },
+	{ 262, 254 },
+	{ 263, 255 },
+	{ 264, 256 },
+	{ 269, 265 },
+	{ 270, 266 },
+	{ 271, 267 },
+	{ 272, 268 },
+	{ 273, 265 },
+	{ 274, 266 },
+	{ 275, 267 },
+	{ 276, 268 },
+	{ 283, 281 },
+	{ 284, 282 },
+	{ 285, 281 },
+	{ 287, 282 },
+	{ 289, 288 },
+	{ 295, 467 },
+	{ 304, 302 },
+	{ 305, 303 },
+	{ 306, 302 },
+	{ 307, 303 },
+	{ 310, 308 },
+	{ 311, 309 },
+	{ 312, 308 },
+	{ 313, 309 },
+	{ 316, 314 },
+	{ 317, 315 },
+	{ 318, 314 },
+	{ 319, 315 },
+	{ 322, 320 },
+	{ 323, 321 },
+	{ 324, 320 },
+	{ 325, 321 },
+	{ 328, 326 },
+	{ 329, 327 },
+	{ 330, 326 },
+	{ 331, 327 },
+	{ 334, 332 },
+	{ 335, 333 },
+	{ 336, 332 },
+	{ 337, 333 },
+	{ 340, 338 },
+	{ 341, 339 },
+	{ 342, 338 },
+	{ 343, 339 },
+	{ 346, 344 },
+	{ 347, 345 },
+	{ 348, 344 },
+	{ 349, 345 },
+	{ 352, 350 },
+	{ 353, 351 },
+	{ 354, 350 },
+	{ 355, 351 },
+	{ 358, 356 },
+	{ 359, 357 },
+	{ 360, 356 },
+	{ 361, 357 },
+	{ 364, 362 },
+	{ 365, 363 },
+	{ 366, 362 },
+	{ 367, 363 },
+	{ 370, 368 },
+	{ 371, 369 },
+	{ 372, 368 },
+	{ 373, 369 },
+	{ 376, 374 },
+	{ 377, 375 },
+	{ 378, 374 },
+	{ 379, 375 },
+	{ 382, 380 },
+	{ 383, 381 },
+	{ 384, 380 },
+	{ 385, 381 },
+	{ 388, 386 },
+	{ 389, 387 },
+	{ 390, 386 },
+	{ 391, 387 },
+	{ 394, 392 },
+	{ 395, 393 },
+	{ 396, 392 },
+	{ 397, 393 },
+	{ 401, 400 },
 	{ 424, 415 },
-	{ 425, 407 },
-	{ 427, 409 },
-	{ 428, 410 },
-	{ 430, 412 },
-	{ 431, 413 },
-	{ 432, 414 },
+	{ 425, 416 },
+	{ 426, 417 },
+	{ 427, 418 },
+	{ 428, 419 },
+	{ 429, 420 },
+	{ 430, 421 },
+	{ 431, 422 },
+	{ 432, 423 },
 	{ 433, 415 },
-	{ 442, 444 },
-	{ 443, 444 },
-	{ 448, 446 },
-	{ 449, 447 },
-	{ 450, 446 },
-	{ 451, 447 },
-	{ 466, 465 },
-	{ 467, 463 },
-	{ 468, 464 },
-	{ 471, 469 },
-	{ 472, 470 },
-	{ 473, 463 },
-	{ 474, 464 },
-	{ 479, 477 },
-	{ 480, 478 },
-	{ 481, 477 },
-	{ 482, 478 },
-	{ 495, 493 },
-	{ 496, 494 },
+	{ 435, 417 },
+	{ 436, 418 },
+	{ 438, 420 },
+	{ 439, 421 },
+	{ 440, 422 },
+	{ 441, 423 },
+	{ 452, 454 },
+	{ 453, 454 },
+	{ 458, 456 },
+	{ 459, 457 },
+	{ 460, 456 },
+	{ 461, 457 },
+	{ 475, 472 },
+	{ 476, 473 },
+	{ 477, 474 },
+	{ 478, 472 },
+	{ 479, 473 },
+	{ 484, 482 },
+	{ 485, 483 },
+	{ 486, 482 },
+	{ 487, 483 },
 	{ 500, 498 },
 	{ 501, 499 },
-	{ 508, 506 },
-	{ 509, 507 },
-	{ 510, 506 },
-	{ 511, 507 },
-	{ 522, 514 },
-	{ 523, 515 },
-	{ 524, 516 },
-	{ 525, 517 },
-	{ 526, 518 },
+	{ 505, 503 },
+	{ 506, 504 },
+	{ 513, 511 },
+	{ 514, 512 },
+	{ 515, 511 },
+	{ 516, 512 },
 	{ 527, 519 },
 	{ 528, 520 },
 	{ 529, 521 },
-	{ 530, 514 },
-	{ 531, 515 },
-	{ 532, 516 },
-	{ 534, 518 },
+	{ 530, 522 },
+	{ 531, 523 },
+	{ 532, 524 },
+	{ 533, 525 },
+	{ 534, 526 },
 	{ 535, 519 },
+	{ 536, 520 },
 	{ 537, 521 },
-	{ 542, 540 },
-	{ 543, 541 },
-	{ 549, 548 },
-	{ 550, 546 },
-	{ 551, 547 },
-	{ 554, 552 },
-	{ 555, 553 },
-	{ 556, 546 },
-	{ 557, 547 },
-	{ 561, 562 },
-	{ 565, 564 },
-	{ 578, 577 },
-	{ 579, 577 },
+	{ 539, 523 },
+	{ 540, 524 },
+	{ 542, 526 },
+	{ 547, 545 },
+	{ 548, 546 },
+	{ 554, 551 },
+	{ 555, 552 },
+	{ 556, 553 },
+	{ 557, 551 },
+	{ 558, 552 },
+	{ 562, 563 },
+	{ 566, 565 },
+	{ 579, 578 },
+	{ 580, 578 },
 	{ 613, 611 },
 	{ 614, 612 },
 	{ 615, 611 },
@@ -2004,489 +2046,2229 @@ static const x86_op_id_pair x86_16_bit_e
 	{ 776, 774 },
 	{ 777, 773 },
 	{ 778, 774 },
-	{ 797, 782 },
-	{ 798, 783 },
+	{ 783, 782 },
+	{ 784, 782 },
+	{ 789, 788 },
+	{ 790, 788 },
+	{ 799, 782 },
+	{ 800, 782 },
+	{ 800, 783 },
+	{ 800, 799 },
+	{ 801, 782 },
 	{ 801, 784 },
-	{ 802, 785 },
-	{ 803, 786 },
-	{ 804, 787 },
-	{ 805, 788 },
-	{ 809, 789 },
-	{ 811, 790 },
-	{ 812, 791 },
-	{ 813, 792 },
-	{ 814, 793 },
-	{ 815, 794 },
-	{ 816, 795 },
-	{ 817, 796 },
-	{ 818, 782 },
-	{ 819, 782 },
-	{ 819, 818 },
-	{ 820, 782 },
-	{ 820, 818 },
-	{ 825, 785 },
-	{ 826, 786 },
-	{ 827, 787 },
+	{ 801, 799 },
+	{ 804, 785 },
+	{ 805, 786 },
+	{ 806, 787 },
+	{ 807, 788 },
+	{ 808, 788 },
+	{ 808, 789 },
+	{ 808, 807 },
+	{ 809, 788 },
+	{ 809, 790 },
+	{ 809, 807 },
+	{ 813, 791 },
+	{ 815, 792 },
+	{ 816, 793 },
+	{ 817, 794 },
+	{ 818, 795 },
+	{ 819, 796 },
+	{ 820, 797 },
+	{ 821, 798 },
+	{ 822, 782 },
+	{ 822, 783 },
+	{ 823, 782 },
+	{ 823, 784 },
+	{ 827, 786 },
 	{ 828, 787 },
-	{ 828, 827 },
-	{ 829, 787 },
-	{ 829, 827 },
-	{ 833, 789 },
-	{ 835, 791 },
-	{ 836, 792 },
-	{ 837, 793 },
-	{ 838, 794 },
-	{ 839, 795 },
-	{ 840, 796 },
-	{ 857, 855 },
-	{ 858, 856 },
-	{ 859, 855 },
-	{ 860, 856 },
-	{ 863, 865 },
-	{ 864, 865 },
-	{ 869, 866 },
-	{ 871, 867 },
-	{ 874, 873 },
-	{ 875, 866 },
-	{ 877, 876 },
-	{ 878, 867 },
-	{ 884, 879 },
-	{ 886, 880 },
-	{ 893, 891 },
-	{ 894, 892 },
-	{ 895, 891 },
-	{ 896, 892 },
-	{ 905, 903 },
-	{ 906, 904 },
-	{ 907, 903 },
-	{ 908, 904 },
-	{ 912, 914 },
-	{ 916, 918 },
-	{ 920, 922 },
-	{ 924, 926 },
-	{ 929, 936 },
-	{ 930, 937 },
-	{ 931, 938 },
-	{ 932, 939 },
-	{ 933, 940 },
+	{ 829, 788 },
+	{ 829, 789 },
+	{ 830, 788 },
+	{ 830, 790 },
+	{ 833, 791 },
+	{ 835, 793 },
+	{ 836, 794 },
+	{ 837, 795 },
+	{ 838, 796 },
+	{ 839, 797 },
+	{ 840, 798 },
+	{ 842, 841 },
+	{ 843, 841 },
+	{ 848, 847 },
+	{ 849, 847 },
+	{ 859, 857 },
+	{ 860, 858 },
+	{ 861, 857 },
+	{ 862, 858 },
+	{ 865, 867 },
+	{ 866, 867 },
+	{ 873, 868 },
+	{ 875, 869 },
+	{ 878, 877 },
+	{ 880, 868 },
+	{ 882, 881 },
+	{ 883, 869 },
+	{ 889, 884 },
+	{ 891, 885 },
+	{ 898, 896 },
+	{ 899, 897 },
+	{ 900, 896 },
+	{ 901, 897 },
+	{ 910, 908 },
+	{ 911, 909 },
+	{ 912, 908 },
+	{ 913, 909 },
+	{ 917, 919 },
+	{ 921, 923 },
+	{ 925, 927 },
+	{ 929, 931 },
 	{ 934, 941 },
 	{ 935, 942 },
-	{ 945, 943 },
-	{ 946, 944 },
-	{ 947, 943 },
-	{ 948, 944 },
-	{ 960, 951 },
-	{ 961, 952 },
-	{ 962, 953 },
-	{ 963, 954 },
-	{ 965, 955 },
-	{ 966, 956 },
-	{ 967, 957 },
-	{ 968, 958 },
-	{ 969, 959 },
-	{ 970, 951 },
-	{ 972, 953 },
-	{ 973, 954 },
+	{ 936, 943 },
+	{ 937, 944 },
+	{ 938, 945 },
+	{ 939, 946 },
+	{ 940, 947 },
+	{ 950, 948 },
+	{ 951, 949 },
+	{ 952, 948 },
+	{ 953, 949 },
+	{ 965, 956 },
+	{ 966, 957 },
+	{ 967, 958 },
+	{ 968, 959 },
+	{ 970, 960 },
+	{ 971, 961 },
+	{ 972, 962 },
+	{ 973, 963 },
+	{ 974, 964 },
 	{ 975, 956 },
-	{ 976, 957 },
 	{ 977, 958 },
 	{ 978, 959 },
-	{ 989, 987 },
-	{ 990, 988 },
-	{ 994, 995 },
-	{ 1007, 1004 },
-	{ 1008, 1005 },
-	{ 1009, 1006 },
-	{ 1010, 1004 },
-	{ 1011, 1005 },
-	{ 1012, 1006 },
-	{ 1014, 1013 },
-	{ 1016, 1015 },
-	{ 1018, 1017 },
-	{ 1020, 1019 },
-	{ 1021, 1019 },
+	{ 980, 961 },
+	{ 981, 962 },
+	{ 982, 963 },
+	{ 983, 964 },
+	{ 995, 993 },
+	{ 996, 994 },
+	{ 1000, 1001 },
+	{ 1014, 1011 },
+	{ 1015, 1012 },
+	{ 1016, 1013 },
+	{ 1017, 1011 },
+	{ 1018, 1012 },
+	{ 1019, 1013 },
+	{ 1021, 1020 },
 	{ 1023, 1022 },
-	{ 1024, 1022 },
-	{ 1026, 1025 },
-	{ 1027, 1025 },
-	{ 1029, 1028 },
-	{ 1034, 1030 },
-	{ 1035, 1031 },
-	{ 1036, 1032 },
-	{ 1037, 1033 },
-	{ 1039, 1038 },
-	{ 1040, 1030 },
-	{ 1041, 1031 },
-	{ 1042, 1032 },
-	{ 1043, 1033 },
-	{ 1045, 1044 },
-	{ 1047, 1046 },
-	{ 1049, 1048 },
-	{ 1051, 1050 },
-	{ 1053, 1052 },
-	{ 1054, 1052 },
+	{ 1025, 1024 },
+	{ 1027, 1026 },
+	{ 1028, 1026 },
+	{ 1030, 1029 },
+	{ 1031, 1029 },
+	{ 1033, 1032 },
+	{ 1034, 1032 },
+	{ 1036, 1035 },
+	{ 1041, 1037 },
+	{ 1042, 1038 },
+	{ 1043, 1039 },
+	{ 1044, 1040 },
+	{ 1046, 1045 },
+	{ 1047, 1037 },
+	{ 1048, 1038 },
+	{ 1049, 1039 },
+	{ 1050, 1040 },
+	{ 1052, 1051 },
+	{ 1054, 1053 },
 	{ 1056, 1055 },
-	{ 1057, 1055 },
-	{ 1059, 1058 },
-	{ 1060, 1058 },
-	{ 1062, 1061 },
-	{ 1064, 1063 },
-	{ 1071, 1065 },
-	{ 1072, 1066 },
-	{ 1073, 1067 },
-	{ 1074, 1068 },
-	{ 1075, 1069 },
-	{ 1076, 1070 },
-	{ 1077, 1065 },
-	{ 1078, 1066 },
-	{ 1079, 1067 },
-	{ 1080, 1068 },
-	{ 1081, 1069 },
-	{ 1082, 1070 },
-	{ 1095, 1089 },
-	{ 1096, 1090 },
-	{ 1097, 1091 },
-	{ 1098, 1092 },
-	{ 1099, 1093 },
-	{ 1100, 1094 },
-	{ 1101, 1089 },
-	{ 1102, 1090 },
-	{ 1103, 1091 },
-	{ 1104, 1092 },
-	{ 1105, 1093 },
-	{ 1106, 1094 },
-	{ 1120, 1119 },
-	{ 1121, 1119 },
-	{ 1123, 1122 },
-	{ 1124, 1122 },
-	{ 1128, 1127 },
-	{ 1129, 1127 },
-	{ 1136, 1138 },
-	{ 1144, 1146 },
-	{ 1147, 1149 },
-	{ 1148, 1149 },
-	{ 1150, 1152 },
-	{ 1151, 1152 },
-	{ 1160, 1154 },
-	{ 1161, 1155 },
-	{ 1162, 1156 },
-	{ 1163, 1157 },
-	{ 1164, 1158 },
-	{ 1165, 1159 },
-	{ 1166, 1154 },
-	{ 1167, 1155 },
-	{ 1168, 1156 },
-	{ 1169, 1157 },
-	{ 1170, 1158 },
-	{ 1171, 1159 },
-	{ 1184, 1178 },
-	{ 1185, 1179 },
-	{ 1186, 1180 },
-	{ 1187, 1181 },
-	{ 1188, 1182 },
-	{ 1189, 1183 },
-	{ 1190, 1178 },
-	{ 1191, 1179 },
-	{ 1192, 1180 },
-	{ 1193, 1181 },
-	{ 1194, 1182 },
-	{ 1195, 1183 },
-	{ 1214, 1208 },
+	{ 1058, 1057 },
+	{ 1060, 1059 },
+	{ 1061, 1059 },
+	{ 1063, 1062 },
+	{ 1064, 1062 },
+	{ 1066, 1065 },
+	{ 1067, 1065 },
+	{ 1069, 1068 },
+	{ 1071, 1070 },
+	{ 1078, 1072 },
+	{ 1079, 1073 },
+	{ 1080, 1074 },
+	{ 1081, 1075 },
+	{ 1082, 1076 },
+	{ 1083, 1077 },
+	{ 1084, 1072 },
+	{ 1085, 1073 },
+	{ 1086, 1074 },
+	{ 1087, 1075 },
+	{ 1088, 1076 },
+	{ 1089, 1077 },
+	{ 1102, 1096 },
+	{ 1103, 1097 },
+	{ 1104, 1098 },
+	{ 1105, 1099 },
+	{ 1106, 1100 },
+	{ 1107, 1101 },
+	{ 1108, 1096 },
+	{ 1109, 1097 },
+	{ 1110, 1098 },
+	{ 1111, 1099 },
+	{ 1112, 1100 },
+	{ 1113, 1101 },
+	{ 1127, 1126 },
+	{ 1128, 1126 },
+	{ 1130, 1129 },
+	{ 1131, 1129 },
+	{ 1141, 1140 },
+	{ 1142, 1140 },
+	{ 1145, 1144 },
+	{ 1146, 1144 },
+	{ 1150, 1148 },
+	{ 1151, 1149 },
+	{ 1153, 1149 },
+	{ 1167, 1169 },
+	{ 1175, 1177 },
+	{ 1178, 1180 },
+	{ 1179, 1180 },
+	{ 1181, 1183 },
+	{ 1182, 1183 },
+	{ 1191, 1185 },
+	{ 1192, 1186 },
+	{ 1193, 1187 },
+	{ 1194, 1188 },
+	{ 1195, 1189 },
+	{ 1196, 1190 },
+	{ 1197, 1185 },
+	{ 1198, 1186 },
+	{ 1199, 1187 },
+	{ 1200, 1188 },
+	{ 1201, 1189 },
+	{ 1202, 1190 },
 	{ 1215, 1209 },
 	{ 1216, 1210 },
 	{ 1217, 1211 },
 	{ 1218, 1212 },
 	{ 1219, 1213 },
-	{ 1220, 1208 },
+	{ 1220, 1214 },
 	{ 1221, 1209 },
 	{ 1222, 1210 },
 	{ 1223, 1211 },
 	{ 1224, 1212 },
 	{ 1225, 1213 },
-	{ 1239, 1233 },
-	{ 1240, 1234 },
-	{ 1241, 1235 },
-	{ 1242, 1236 },
-	{ 1243, 1237 },
-	{ 1244, 1238 },
-	{ 1245, 1233 },
-	{ 1246, 1234 },
-	{ 1247, 1235 },
-	{ 1248, 1236 },
-	{ 1249, 1237 },
-	{ 1250, 1238 },
-	{ 1270, 1261 },
-	{ 1271, 1262 },
-	{ 1272, 1263 },
-	{ 1273, 1264 },
-	{ 1274, 1265 },
-	{ 1275, 1266 },
-	{ 1276, 1267 },
-	{ 1277, 1268 },
-	{ 1278, 1269 },
-	{ 1279, 1261 },
-	{ 1281, 1263 },
-	{ 1282, 1264 },
-	{ 1284, 1266 },
-	{ 1285, 1267 },
-	{ 1286, 1268 },
-	{ 1287, 1269 },
-	{ 1296, 1298 },
-	{ 1297, 1298 },
-	{ 1316, 1315 },
-	{ 1317, 1315 },
-	{ 1346, 1345 },
-	{ 1347, 1345 },
-	{ 1354, 1348 },
-	{ 1355, 1349 },
-	{ 1356, 1350 },
-	{ 1357, 1351 },
-	{ 1358, 1352 },
-	{ 1359, 1353 },
-	{ 1360, 1348 },
-	{ 1361, 1349 },
-	{ 1362, 1350 },
-	{ 1363, 1351 },
-	{ 1364, 1352 },
-	{ 1365, 1353 },
-	{ 1376, 1372 },
-	{ 1377, 1373 },
-	{ 1378, 1374 },
-	{ 1379, 1375 },
-	{ 1380, 1372 },
-	{ 1381, 1373 },
-	{ 1382, 1374 },
-	{ 1383, 1375 },
-	{ 1394, 1388 },
-	{ 1395, 1389 },
-	{ 1396, 1390 },
-	{ 1397, 1391 },
-	{ 1398, 1392 },
-	{ 1399, 1393 },
-	{ 1400, 1388 },
-	{ 1401, 1389 },
-	{ 1402, 1390 },
-	{ 1403, 1391 },
-	{ 1404, 1392 },
-	{ 1405, 1393 },
-	{ 1416, 1412 },
-	{ 1417, 1413 },
-	{ 1418, 1414 },
-	{ 1419, 1415 },
-	{ 1420, 1412 },
-	{ 1421, 1413 },
-	{ 1422, 1414 },
-	{ 1423, 1415 },
-	{ 1429, 1428 },
-	{ 1430, 1428 },
-	{ 1434, 1433 },
-	{ 1435, 1432 },
-	{ 1436, 1433 },
-	{ 1439, 1438 },
-	{ 1440, 1438 },
-	{ 1447, 1449 },
-	{ 1448, 1449 },
-	{ 1451, 1450 },
-	{ 1452, 1450 },
-	{ 1463, 1454 },
-	{ 1464, 1455 },
-	{ 1465, 1456 },
-	{ 1466, 1457 },
-	{ 1467, 1458 },
-	{ 1468, 1459 },
-	{ 1469, 1460 },
-	{ 1470, 1461 },
-	{ 1471, 1462 },
-	{ 1472, 1454 },
-	{ 1474, 1456 },
-	{ 1475, 1457 },
-	{ 1477, 1459 },
-	{ 1478, 1460 },
-	{ 1479, 1461 },
-	{ 1480, 1462 },
-	{ 1519, 1512 },
-	{ 1520, 1513 },
-	{ 1521, 1514 },
-	{ 1522, 1515 },
-	{ 1523, 1516 },
-	{ 1524, 1517 },
-	{ 1525, 1518 },
-	{ 1526, 1512 },
-	{ 1531, 1517 },
-	{ 1532, 1518 },
-	{ 1550, 1548 },
-	{ 1551, 1549 },
-	{ 1552, 1548 },
-	{ 1553, 1549 },
-	{ 1601, 1599 },
-	{ 1602, 1600 },
-	{ 1603, 1599 },
-	{ 1604, 1600 },
-	{ 1610, 1607 },
-	{ 1612, 1608 },
-	{ 1613, 1609 },
-	{ 1614, 1607 },
-	{ 1615, 1608 },
-	{ 1616, 1609 },
-	{ 1635, 1626 },
-	{ 1636, 1627 },
-	{ 1637, 1628 },
-	{ 1638, 1629 },
-	{ 1639, 1630 },
-	{ 1640, 1631 },
-	{ 1641, 1632 },
-	{ 1642, 1633 },
-	{ 1643, 1634 },
-	{ 1644, 1626 },
-	{ 1646, 1628 },
-	{ 1647, 1629 },
-	{ 1649, 1631 },
-	{ 1650, 1632 },
-	{ 1651, 1633 },
-	{ 1652, 1634 },
+	{ 1226, 1214 },
+	{ 1245, 1239 },
+	{ 1246, 1240 },
+	{ 1247, 1241 },
+	{ 1248, 1242 },
+	{ 1249, 1243 },
+	{ 1250, 1244 },
+	{ 1251, 1239 },
+	{ 1252, 1240 },
+	{ 1253, 1241 },
+	{ 1254, 1242 },
+	{ 1255, 1243 },
+	{ 1256, 1244 },
+	{ 1270, 1264 },
+	{ 1271, 1265 },
+	{ 1272, 1266 },
+	{ 1273, 1267 },
+	{ 1274, 1268 },
+	{ 1275, 1269 },
+	{ 1276, 1264 },
+	{ 1277, 1265 },
+	{ 1278, 1266 },
+	{ 1279, 1267 },
+	{ 1280, 1268 },
+	{ 1281, 1269 },
+	{ 1301, 1292 },
+	{ 1302, 1293 },
+	{ 1303, 1294 },
+	{ 1304, 1295 },
+	{ 1305, 1296 },
+	{ 1306, 1297 },
+	{ 1307, 1298 },
+	{ 1308, 1299 },
+	{ 1309, 1300 },
+	{ 1310, 1292 },
+	{ 1312, 1294 },
+	{ 1313, 1295 },
+	{ 1315, 1297 },
+	{ 1316, 1298 },
+	{ 1317, 1299 },
+	{ 1318, 1300 },
+	{ 1329, 1331 },
+	{ 1330, 1331 },
+	{ 1349, 1348 },
+	{ 1350, 1348 },
+	{ 1379, 1378 },
+	{ 1380, 1378 },
+	{ 1387, 1381 },
+	{ 1388, 1382 },
+	{ 1389, 1383 },
+	{ 1390, 1384 },
+	{ 1391, 1385 },
+	{ 1392, 1386 },
+	{ 1393, 1381 },
+	{ 1394, 1382 },
+	{ 1395, 1383 },
+	{ 1396, 1384 },
+	{ 1397, 1385 },
+	{ 1398, 1386 },
+	{ 1409, 1405 },
+	{ 1410, 1406 },
+	{ 1411, 1407 },
+	{ 1412, 1408 },
+	{ 1413, 1405 },
+	{ 1414, 1406 },
+	{ 1415, 1407 },
+	{ 1416, 1408 },
+	{ 1427, 1421 },
+	{ 1428, 1422 },
+	{ 1429, 1423 },
+	{ 1430, 1424 },
+	{ 1431, 1425 },
+	{ 1432, 1426 },
+	{ 1433, 1421 },
+	{ 1434, 1422 },
+	{ 1435, 1423 },
+	{ 1436, 1424 },
+	{ 1437, 1425 },
+	{ 1438, 1426 },
+	{ 1449, 1445 },
+	{ 1450, 1446 },
+	{ 1451, 1447 },
+	{ 1452, 1448 },
+	{ 1453, 1445 },
+	{ 1454, 1446 },
+	{ 1455, 1447 },
+	{ 1456, 1448 },
+	{ 1462, 1461 },
+	{ 1463, 1461 },
+	{ 1467, 1466 },
+	{ 1468, 1465 },
+	{ 1469, 1466 },
+	{ 1472, 1471 },
+	{ 1473, 1471 },
+	{ 1480, 1482 },
+	{ 1481, 1482 },
+	{ 1484, 1483 },
+	{ 1485, 1483 },
+	{ 1496, 1487 },
+	{ 1497, 1488 },
+	{ 1498, 1489 },
+	{ 1499, 1490 },
+	{ 1500, 1491 },
+	{ 1501, 1492 },
+	{ 1502, 1493 },
+	{ 1503, 1494 },
+	{ 1504, 1495 },
+	{ 1505, 1487 },
+	{ 1507, 1489 },
+	{ 1508, 1490 },
+	{ 1510, 1492 },
+	{ 1511, 1493 },
+	{ 1512, 1494 },
+	{ 1513, 1495 },
+	{ 1556, 1549 },
+	{ 1557, 1550 },
+	{ 1558, 1551 },
+	{ 1559, 1552 },
+	{ 1560, 1553 },
+	{ 1561, 1554 },
+	{ 1562, 1555 },
+	{ 1563, 1549 },
+	{ 1568, 1554 },
+	{ 1569, 1555 },
+	{ 1587, 1585 },
+	{ 1588, 1586 },
+	{ 1589, 1585 },
+	{ 1590, 1586 },
+	{ 1637, 1635 },
+	{ 1638, 1636 },
+	{ 1639, 1635 },
+	{ 1640, 1636 },
+	{ 1646, 1643 },
+	{ 1648, 1644 },
+	{ 1649, 1645 },
+	{ 1650, 1643 },
+	{ 1651, 1644 },
+	{ 1652, 1645 },
+	{ 1671, 1662 },
+	{ 1672, 1663 },
+	{ 1673, 1664 },
+	{ 1674, 1665 },
+	{ 1675, 1666 },
+	{ 1676, 1667 },
+	{ 1677, 1668 },
+	{ 1678, 1669 },
+	{ 1679, 1670 },
+	{ 1680, 1662 },
+	{ 1682, 1664 },
+	{ 1683, 1665 },
+	{ 1685, 1667 },
+	{ 1686, 1668 },
+	{ 1687, 1669 },
+	{ 1688, 1670 },
 };
 
 static const uint16_t x86_16_bit_eq_lookup[] = {
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0, 
-	13, 14, 0, 15, 16, 17, 18, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 19, 20, 21, 22, 23, 24, 
-	25, 26, 27, 28, 29, 30, 31, 0, 32, 33, 0, 0, 
-	34, 35, 36, 37, 38, 39, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 40, 41, 42, 43, 44, 
-	45, 46, 47, 48, 49, 0, 50, 51, 0, 52, 53, 54, 
-	55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 56, 0, 0, 57, 58, 59, 60, 0, 
-	0, 61, 62, 63, 64, 0, 0, 0, 0, 0, 0, 65, 
-	66, 67, 68, 69, 70, 71, 72, 0, 0, 0, 0, 73, 
-	74, 75, 76, 77, 78, 79, 80, 0, 0, 0, 0, 81, 
-	82, 83, 84, 85, 86, 87, 88, 0, 0, 0, 0, 89, 
-	90, 91, 92, 93, 94, 95, 96, 0, 0, 0, 0, 0, 
-	0, 97, 98, 99, 0, 100, 0, 101, 0, 0, 0, 0, 
-	0, 102, 0, 0, 0, 0, 0, 0, 103, 104, 105, 106, 
-	0, 0, 107, 108, 109, 110, 0, 0, 111, 112, 113, 114, 
-	0, 0, 115, 116, 117, 118, 0, 0, 119, 120, 121, 122, 
-	0, 0, 123, 124, 125, 126, 0, 0, 127, 128, 129, 130, 
-	0, 0, 131, 132, 133, 134, 0, 0, 135, 136, 137, 138, 
-	0, 0, 139, 140, 141, 142, 0, 0, 143, 144, 145, 146, 
-	0, 0, 147, 148, 149, 150, 0, 0, 151, 152, 153, 154, 
-	0, 0, 155, 156, 157, 158, 0, 0, 159, 160, 161, 162, 
-	0, 0, 163, 164, 165, 166, 0, 0, 0, 167, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 168, 169, 170, 171, 
-	172, 173, 174, 175, 176, 177, 0, 178, 179, 0, 180, 181, 
-	182, 183, 0, 0, 0, 0, 0, 0, 0, 0, 184, 185, 
-	0, 0, 0, 0, 186, 187, 188, 189, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 191, 
-	192, 0, 0, 193, 194, 195, 196, 0, 0, 0, 0, 197, 
-	198, 199, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 201, 202, 0, 0, 0, 203, 204, 0, 0, 
-	0, 0, 0, 0, 205, 206, 207, 208, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 209, 210, 211, 212, 213, 214, 
-	215, 216, 217, 218, 219, 0, 220, 221, 0, 222, 0, 0, 
-	0, 0, 223, 224, 0, 0, 0, 0, 0, 225, 226, 227, 
-	0, 0, 228, 229, 230, 231, 0, 0, 0, 232, 0, 0, 
-	0, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 234, 235, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 236, 237, 238, 239, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 241, 242, 
-	243, 0, 0, 244, 245, 0, 0, 0, 246, 0, 247, 0, 
-	248, 0, 0, 0, 249, 0, 250, 251, 0, 252, 253, 0, 
-	254, 255, 0, 256, 257, 0, 0, 0, 0, 0, 0, 0, 
-	258, 259, 260, 0, 261, 262, 0, 0, 0, 0, 0, 263, 
-	264, 265, 0, 266, 267, 0, 0, 0, 268, 269, 0, 0, 
-	270, 271, 0, 0, 0, 0, 272, 273, 274, 0, 275, 276, 
-	0, 0, 0, 0, 0, 0, 277, 278, 279, 0, 280, 281, 
-	0, 0, 0, 0, 0, 282, 283, 284, 0, 285, 286, 0, 
-	0, 0, 287, 288, 0, 0, 0, 0, 289, 290, 0, 291, 
-	292, 0, 0, 0, 293, 294, 295, 296, 0, 297, 298, 0, 
-	0, 0, 299, 300, 0, 0, 0, 301, 302, 303, 304, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 305, 306, 0, 0, 307, 308, 309, 
-	310, 311, 0, 0, 0, 312, 0, 313, 314, 315, 316, 317, 
-	318, 319, 320, 321, 323, 0, 0, 0, 0, 325, 326, 327, 
-	328, 330, 0, 0, 0, 332, 0, 333, 334, 335, 336, 337, 
-	338, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 339, 340, 341, 342, 0, 0, 343, 
-	344, 0, 0, 0, 0, 345, 0, 346, 0, 0, 347, 348, 
-	0, 349, 350, 0, 0, 0, 0, 0, 351, 0, 352, 0, 
-	0, 0, 0, 0, 0, 353, 354, 355, 356, 0, 0, 0, 
-	0, 0, 0, 0, 0, 357, 358, 359, 360, 0, 0, 0, 
-	361, 0, 0, 0, 362, 0, 0, 0, 363, 0, 0, 0, 
-	364, 0, 0, 0, 0, 365, 366, 367, 368, 369, 370, 371, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 372, 373, 374, 
-	375, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	376, 377, 378, 379, 0, 380, 381, 382, 383, 384, 385, 0, 
-	386, 387, 0, 388, 389, 390, 391, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 392, 393, 0, 0, 0, 394, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 395, 
-	396, 397, 398, 399, 400, 0, 401, 0, 402, 0, 403, 0, 
-	404, 405, 0, 406, 407, 0, 408, 409, 0, 410, 0, 0, 
-	0, 0, 411, 412, 413, 414, 0, 415, 416, 417, 418, 419, 
-	0, 420, 0, 421, 0, 422, 0, 423, 0, 424, 425, 0, 
-	426, 427, 0, 428, 429, 0, 430, 0, 431, 0, 0, 0, 
-	0, 0, 0, 432, 433, 434, 435, 436, 437, 438, 439, 440, 
-	441, 442, 443, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 444, 445, 446, 447, 448, 449, 450, 451, 452, 
-	453, 454, 455, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 456, 457, 0, 458, 459, 0, 0, 0, 
-	460, 461, 0, 0, 0, 0, 0, 0, 462, 0, 0, 0, 
-	0, 0, 0, 0, 463, 0, 0, 464, 465, 0, 466, 467, 
-	0, 0, 0, 0, 0, 0, 0, 0, 468, 469, 470, 471, 
-	472, 473, 474, 475, 476, 477, 478, 479, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 480, 481, 482, 483, 
-	484, 485, 486, 487, 488, 489, 490, 491, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 
-	502, 503, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 504, 505, 506, 507, 508, 509, 510, 511, 512, 
-	513, 514, 515, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 516, 517, 
-	518, 519, 520, 521, 522, 523, 524, 525, 0, 526, 527, 0, 
-	528, 529, 530, 531, 0, 0, 0, 0, 0, 0, 0, 0, 
-	532, 533, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 534, 535, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 536, 537, 0, 0, 0, 0, 0, 0, 538, 539, 
-	540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 550, 551, 552, 553, 
-	554, 555, 556, 557, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 558, 559, 560, 561, 562, 563, 564, 565, 566, 567, 
-	568, 569, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	570, 571, 572, 573, 574, 575, 576, 577, 0, 0, 0, 0, 
-	0, 578, 579, 0, 0, 0, 580, 581, 582, 0, 0, 583, 
-	584, 0, 0, 0, 0, 0, 0, 585, 586, 0, 0, 587, 
-	588, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 589, 
-	590, 591, 592, 593, 594, 595, 596, 597, 598, 0, 599, 600, 
-	0, 601, 602, 603, 604, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 605, 606, 607, 608, 609, 
-	610, 611, 612, 0, 0, 0, 0, 613, 614, 0, 0, 0, 
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 615, 616, 617, 618, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 3, 4, 5, 6, 7, 8, 9, 10, 11, 
+	12, 0, 13, 14, 0, 15, 16, 17, 18, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 20, 
+	21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 0, 
+	32, 33, 0, 0, 34, 35, 36, 37, 38, 39, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 0, 0, 619, 620, 621, 622, 0, 0, 0, 
-	0, 0, 623, 0, 624, 625, 626, 627, 628, 0, 0, 0, 
+	40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0, 50, 
+	51, 0, 52, 53, 54, 55, 0, 0, 0, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0, 629, 630, 631, 632, 633, 634, 635, 636, 637, 
-	638, 0, 639, 640, 0, 641, 642, 643, 644, 0, 0, 0, 
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
-	0, 0, 0,
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 0, 
+	0, 57, 58, 59, 60, 0, 0, 61, 62, 63, 64, 0, 
+	0, 0, 0, 0, 0, 65, 66, 67, 68, 69, 70, 71, 
+	72, 0, 0, 0, 0, 73, 74, 75, 76, 77, 78, 79, 
+	80, 0, 0, 0, 0, 81, 82, 83, 84, 85, 86, 87, 
+	88, 0, 0, 0, 0, 89, 90, 91, 92, 93, 94, 95, 
+	96, 0, 0, 0, 0, 0, 0, 97, 98, 99, 0, 100, 
+	0, 101, 0, 0, 0, 0, 0, 102, 0, 0, 0, 0, 
+	0, 0, 0, 0, 103, 104, 105, 106, 0, 0, 107, 108, 
+	109, 110, 0, 0, 111, 112, 113, 114, 0, 0, 115, 116, 
+	117, 118, 0, 0, 119, 120, 121, 122, 0, 0, 123, 124, 
+	125, 126, 0, 0, 127, 128, 129, 130, 0, 0, 131, 132, 
+	133, 134, 0, 0, 135, 136, 137, 138, 0, 0, 139, 140, 
+	141, 142, 0, 0, 143, 144, 145, 146, 0, 0, 147, 148, 
+	149, 150, 0, 0, 151, 152, 153, 154, 0, 0, 155, 156, 
+	157, 158, 0, 0, 159, 160, 161, 162, 0, 0, 163, 164, 
+	165, 166, 0, 0, 0, 167, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 168, 169, 170, 171, 172, 173, 174, 175, 
+	176, 177, 0, 178, 179, 0, 180, 181, 182, 183, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 184, 185, 0, 0, 
+	0, 0, 186, 187, 188, 189, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 190, 191, 192, 193, 194, 
+	0, 0, 0, 0, 195, 196, 197, 198, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 199, 200, 0, 0, 
+	0, 201, 202, 0, 0, 0, 0, 0, 0, 203, 204, 205, 
+	206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 
+	208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 0, 218, 
+	219, 0, 220, 0, 0, 0, 0, 221, 222, 0, 0, 0, 
+	0, 0, 223, 224, 225, 226, 227, 0, 0, 0, 228, 0, 
+	0, 0, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 230, 231, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 232, 233, 234, 235, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 236, 237, 238, 
+	239, 0, 0, 240, 241, 0, 0, 0, 242, 0, 243, 0, 
+	244, 0, 0, 0, 245, 0, 246, 247, 0, 248, 249, 0, 
+	250, 251, 0, 252, 253, 0, 0, 0, 0, 0, 0, 0, 
+	254, 255, 256, 0, 257, 258, 0, 0, 0, 0, 0, 259, 
+	260, 261, 0, 262, 263, 0, 0, 0, 264, 265, 0, 0, 
+	266, 267, 0, 0, 0, 0, 268, 269, 270, 0, 271, 272, 
+	0, 0, 0, 0, 0, 0, 273, 274, 275, 0, 276, 277, 
+	0, 0, 0, 0, 0, 278, 279, 280, 0, 281, 282, 0, 
+	0, 0, 283, 284, 0, 0, 0, 0, 285, 286, 0, 287, 
+	288, 0, 0, 0, 289, 290, 291, 292, 0, 293, 294, 0, 
+	0, 0, 295, 296, 0, 0, 0, 297, 298, 299, 300, 0, 
+	0, 0, 0, 301, 302, 0, 0, 0, 0, 303, 304, 0, 
+	0, 0, 0, 0, 0, 0, 0, 305, 306, 309, 0, 0, 
+	312, 313, 314, 315, 316, 319, 0, 0, 0, 322, 0, 323, 
+	324, 325, 326, 327, 328, 329, 330, 332, 0, 0, 0, 334, 
+	335, 336, 338, 0, 0, 340, 0, 341, 342, 343, 344, 345, 
+	346, 0, 347, 348, 0, 0, 0, 0, 349, 350, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 351, 352, 353, 354, 0, 
+	0, 355, 356, 0, 0, 0, 0, 0, 0, 357, 0, 358, 
+	0, 0, 359, 0, 360, 0, 361, 362, 0, 0, 0, 0, 
+	0, 363, 0, 364, 0, 0, 0, 0, 0, 0, 365, 366, 
+	367, 368, 0, 0, 0, 0, 0, 0, 0, 0, 369, 370, 
+	371, 372, 0, 0, 0, 373, 0, 0, 0, 374, 0, 0, 
+	0, 375, 0, 0, 0, 376, 0, 0, 0, 0, 377, 378, 
+	379, 380, 381, 382, 383, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 384, 385, 386, 387, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 388, 389, 390, 391, 0, 392, 393, 
+	394, 395, 396, 397, 0, 398, 399, 0, 400, 401, 402, 403, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 404, 
+	405, 0, 0, 0, 406, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 407, 408, 409, 410, 411, 412, 
+	0, 413, 0, 414, 0, 415, 0, 416, 417, 0, 418, 419, 
+	0, 420, 421, 0, 422, 0, 0, 0, 0, 423, 424, 425, 
+	426, 0, 427, 428, 429, 430, 431, 0, 432, 0, 433, 0, 
+	434, 0, 435, 0, 436, 437, 0, 438, 439, 0, 440, 441, 
+	0, 442, 0, 443, 0, 0, 0, 0, 0, 0, 444, 445, 
+	446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 456, 457, 
+	458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 468, 
+	469, 0, 470, 471, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 472, 473, 0, 0, 474, 475, 0, 0, 0, 476, 477, 
+	0, 478, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 479, 0, 0, 0, 0, 0, 0, 0, 480, 
+	0, 0, 481, 482, 0, 483, 484, 0, 0, 0, 0, 0, 
+	0, 0, 0, 485, 486, 487, 488, 489, 490, 491, 492, 493, 
+	494, 495, 496, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 497, 498, 499, 500, 501, 502, 503, 504, 505, 
+	506, 507, 508, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 509, 510, 511, 
+	512, 513, 514, 515, 516, 517, 518, 519, 520, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 521, 522, 
+	523, 524, 525, 526, 527, 528, 529, 530, 531, 532, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 533, 534, 535, 536, 537, 538, 539, 
+	540, 541, 542, 0, 543, 544, 0, 545, 546, 547, 548, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 549, 550, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 551, 552, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 553, 
+	554, 0, 0, 0, 0, 0, 0, 555, 556, 557, 558, 559, 
+	560, 561, 562, 563, 564, 565, 566, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 567, 568, 569, 570, 571, 572, 573, 
+	574, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 575, 
+	576, 577, 578, 579, 580, 581, 582, 583, 584, 585, 586, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 587, 588, 589, 
+	590, 591, 592, 593, 594, 0, 0, 0, 0, 0, 595, 596, 
+	0, 0, 0, 597, 598, 599, 0, 0, 600, 601, 0, 0, 
+	0, 0, 0, 0, 602, 603, 0, 0, 604, 605, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 606, 607, 608, 609, 
+	610, 611, 612, 613, 614, 615, 0, 616, 617, 0, 618, 619, 
+	620, 621, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 622, 623, 624, 625, 
+	626, 627, 628, 629, 0, 0, 0, 0, 630, 631, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 632, 633, 634, 635, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 636, 637, 638, 639, 0, 0, 0, 
+	0, 0, 640, 0, 641, 642, 643, 644, 645, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 646, 647, 648, 649, 650, 651, 652, 653, 654, 
+	655, 0, 656, 657, 0, 658, 659, 660, 661, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
+	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, };
+
+static const bool is_64bit_insn[] = {
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	false,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	true,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	true,
+	false,
+	false,
+	false,
+	false,
 };
 
 #endif // GET_INSTRINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86GenRegisterInfo.inc 4.0.2-3/arch/X86/X86GenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86GenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86GenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine, http://www.capstone-engine.org */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -88,187 +88,195 @@ enum {
   X86_DR5 = 71,
   X86_DR6 = 72,
   X86_DR7 = 73,
-  X86_FP0 = 74,
-  X86_FP1 = 75,
-  X86_FP2 = 76,
-  X86_FP3 = 77,
-  X86_FP4 = 78,
-  X86_FP5 = 79,
-  X86_FP6 = 80,
-  X86_FP7 = 81,
-  X86_K0 = 82,
-  X86_K1 = 83,
-  X86_K2 = 84,
-  X86_K3 = 85,
-  X86_K4 = 86,
-  X86_K5 = 87,
-  X86_K6 = 88,
-  X86_K7 = 89,
-  X86_MM0 = 90,
-  X86_MM1 = 91,
-  X86_MM2 = 92,
-  X86_MM3 = 93,
-  X86_MM4 = 94,
-  X86_MM5 = 95,
-  X86_MM6 = 96,
-  X86_MM7 = 97,
-  X86_R8 = 98,
-  X86_R9 = 99,
-  X86_R10 = 100,
-  X86_R11 = 101,
-  X86_R12 = 102,
-  X86_R13 = 103,
-  X86_R14 = 104,
-  X86_R15 = 105,
-  X86_ST0 = 106,
-  X86_ST1 = 107,
-  X86_ST2 = 108,
-  X86_ST3 = 109,
-  X86_ST4 = 110,
-  X86_ST5 = 111,
-  X86_ST6 = 112,
-  X86_ST7 = 113,
-  X86_XMM0 = 114,
-  X86_XMM1 = 115,
-  X86_XMM2 = 116,
-  X86_XMM3 = 117,
-  X86_XMM4 = 118,
-  X86_XMM5 = 119,
-  X86_XMM6 = 120,
-  X86_XMM7 = 121,
-  X86_XMM8 = 122,
-  X86_XMM9 = 123,
-  X86_XMM10 = 124,
-  X86_XMM11 = 125,
-  X86_XMM12 = 126,
-  X86_XMM13 = 127,
-  X86_XMM14 = 128,
-  X86_XMM15 = 129,
-  X86_XMM16 = 130,
-  X86_XMM17 = 131,
-  X86_XMM18 = 132,
-  X86_XMM19 = 133,
-  X86_XMM20 = 134,
-  X86_XMM21 = 135,
-  X86_XMM22 = 136,
-  X86_XMM23 = 137,
-  X86_XMM24 = 138,
-  X86_XMM25 = 139,
-  X86_XMM26 = 140,
-  X86_XMM27 = 141,
-  X86_XMM28 = 142,
-  X86_XMM29 = 143,
-  X86_XMM30 = 144,
-  X86_XMM31 = 145,
-  X86_YMM0 = 146,
-  X86_YMM1 = 147,
-  X86_YMM2 = 148,
-  X86_YMM3 = 149,
-  X86_YMM4 = 150,
-  X86_YMM5 = 151,
-  X86_YMM6 = 152,
-  X86_YMM7 = 153,
-  X86_YMM8 = 154,
-  X86_YMM9 = 155,
-  X86_YMM10 = 156,
-  X86_YMM11 = 157,
-  X86_YMM12 = 158,
-  X86_YMM13 = 159,
-  X86_YMM14 = 160,
-  X86_YMM15 = 161,
-  X86_YMM16 = 162,
-  X86_YMM17 = 163,
-  X86_YMM18 = 164,
-  X86_YMM19 = 165,
-  X86_YMM20 = 166,
-  X86_YMM21 = 167,
-  X86_YMM22 = 168,
-  X86_YMM23 = 169,
-  X86_YMM24 = 170,
-  X86_YMM25 = 171,
-  X86_YMM26 = 172,
-  X86_YMM27 = 173,
-  X86_YMM28 = 174,
-  X86_YMM29 = 175,
-  X86_YMM30 = 176,
-  X86_YMM31 = 177,
-  X86_ZMM0 = 178,
-  X86_ZMM1 = 179,
-  X86_ZMM2 = 180,
-  X86_ZMM3 = 181,
-  X86_ZMM4 = 182,
-  X86_ZMM5 = 183,
-  X86_ZMM6 = 184,
-  X86_ZMM7 = 185,
-  X86_ZMM8 = 186,
-  X86_ZMM9 = 187,
-  X86_ZMM10 = 188,
-  X86_ZMM11 = 189,
-  X86_ZMM12 = 190,
-  X86_ZMM13 = 191,
-  X86_ZMM14 = 192,
-  X86_ZMM15 = 193,
-  X86_ZMM16 = 194,
-  X86_ZMM17 = 195,
-  X86_ZMM18 = 196,
-  X86_ZMM19 = 197,
-  X86_ZMM20 = 198,
-  X86_ZMM21 = 199,
-  X86_ZMM22 = 200,
-  X86_ZMM23 = 201,
-  X86_ZMM24 = 202,
-  X86_ZMM25 = 203,
-  X86_ZMM26 = 204,
-  X86_ZMM27 = 205,
-  X86_ZMM28 = 206,
-  X86_ZMM29 = 207,
-  X86_ZMM30 = 208,
-  X86_ZMM31 = 209,
-  X86_R8B = 210,
-  X86_R9B = 211,
-  X86_R10B = 212,
-  X86_R11B = 213,
-  X86_R12B = 214,
-  X86_R13B = 215,
-  X86_R14B = 216,
-  X86_R15B = 217,
-  X86_R8D = 218,
-  X86_R9D = 219,
-  X86_R10D = 220,
-  X86_R11D = 221,
-  X86_R12D = 222,
-  X86_R13D = 223,
-  X86_R14D = 224,
-  X86_R15D = 225,
-  X86_R8W = 226,
-  X86_R9W = 227,
-  X86_R10W = 228,
-  X86_R11W = 229,
-  X86_R12W = 230,
-  X86_R13W = 231,
-  X86_R14W = 232,
-  X86_R15W = 233,
-  X86_NUM_TARGET_REGS 	// 234
+  X86_DR8 = 74,
+  X86_DR9 = 75,
+  X86_DR10 = 76,
+  X86_DR11 = 77,
+  X86_DR12 = 78,
+  X86_DR13 = 79,
+  X86_DR14 = 80,
+  X86_DR15 = 81,
+  X86_FP0 = 82,
+  X86_FP1 = 83,
+  X86_FP2 = 84,
+  X86_FP3 = 85,
+  X86_FP4 = 86,
+  X86_FP5 = 87,
+  X86_FP6 = 88,
+  X86_FP7 = 89,
+  X86_K0 = 90,
+  X86_K1 = 91,
+  X86_K2 = 92,
+  X86_K3 = 93,
+  X86_K4 = 94,
+  X86_K5 = 95,
+  X86_K6 = 96,
+  X86_K7 = 97,
+  X86_MM0 = 98,
+  X86_MM1 = 99,
+  X86_MM2 = 100,
+  X86_MM3 = 101,
+  X86_MM4 = 102,
+  X86_MM5 = 103,
+  X86_MM6 = 104,
+  X86_MM7 = 105,
+  X86_R8 = 106,
+  X86_R9 = 107,
+  X86_R10 = 108,
+  X86_R11 = 109,
+  X86_R12 = 110,
+  X86_R13 = 111,
+  X86_R14 = 112,
+  X86_R15 = 113,
+  X86_ST0 = 114,
+  X86_ST1 = 115,
+  X86_ST2 = 116,
+  X86_ST3 = 117,
+  X86_ST4 = 118,
+  X86_ST5 = 119,
+  X86_ST6 = 120,
+  X86_ST7 = 121,
+  X86_XMM0 = 122,
+  X86_XMM1 = 123,
+  X86_XMM2 = 124,
+  X86_XMM3 = 125,
+  X86_XMM4 = 126,
+  X86_XMM5 = 127,
+  X86_XMM6 = 128,
+  X86_XMM7 = 129,
+  X86_XMM8 = 130,
+  X86_XMM9 = 131,
+  X86_XMM10 = 132,
+  X86_XMM11 = 133,
+  X86_XMM12 = 134,
+  X86_XMM13 = 135,
+  X86_XMM14 = 136,
+  X86_XMM15 = 137,
+  X86_XMM16 = 138,
+  X86_XMM17 = 139,
+  X86_XMM18 = 140,
+  X86_XMM19 = 141,
+  X86_XMM20 = 142,
+  X86_XMM21 = 143,
+  X86_XMM22 = 144,
+  X86_XMM23 = 145,
+  X86_XMM24 = 146,
+  X86_XMM25 = 147,
+  X86_XMM26 = 148,
+  X86_XMM27 = 149,
+  X86_XMM28 = 150,
+  X86_XMM29 = 151,
+  X86_XMM30 = 152,
+  X86_XMM31 = 153,
+  X86_YMM0 = 154,
+  X86_YMM1 = 155,
+  X86_YMM2 = 156,
+  X86_YMM3 = 157,
+  X86_YMM4 = 158,
+  X86_YMM5 = 159,
+  X86_YMM6 = 160,
+  X86_YMM7 = 161,
+  X86_YMM8 = 162,
+  X86_YMM9 = 163,
+  X86_YMM10 = 164,
+  X86_YMM11 = 165,
+  X86_YMM12 = 166,
+  X86_YMM13 = 167,
+  X86_YMM14 = 168,
+  X86_YMM15 = 169,
+  X86_YMM16 = 170,
+  X86_YMM17 = 171,
+  X86_YMM18 = 172,
+  X86_YMM19 = 173,
+  X86_YMM20 = 174,
+  X86_YMM21 = 175,
+  X86_YMM22 = 176,
+  X86_YMM23 = 177,
+  X86_YMM24 = 178,
+  X86_YMM25 = 179,
+  X86_YMM26 = 180,
+  X86_YMM27 = 181,
+  X86_YMM28 = 182,
+  X86_YMM29 = 183,
+  X86_YMM30 = 184,
+  X86_YMM31 = 185,
+  X86_ZMM0 = 186,
+  X86_ZMM1 = 187,
+  X86_ZMM2 = 188,
+  X86_ZMM3 = 189,
+  X86_ZMM4 = 190,
+  X86_ZMM5 = 191,
+  X86_ZMM6 = 192,
+  X86_ZMM7 = 193,
+  X86_ZMM8 = 194,
+  X86_ZMM9 = 195,
+  X86_ZMM10 = 196,
+  X86_ZMM11 = 197,
+  X86_ZMM12 = 198,
+  X86_ZMM13 = 199,
+  X86_ZMM14 = 200,
+  X86_ZMM15 = 201,
+  X86_ZMM16 = 202,
+  X86_ZMM17 = 203,
+  X86_ZMM18 = 204,
+  X86_ZMM19 = 205,
+  X86_ZMM20 = 206,
+  X86_ZMM21 = 207,
+  X86_ZMM22 = 208,
+  X86_ZMM23 = 209,
+  X86_ZMM24 = 210,
+  X86_ZMM25 = 211,
+  X86_ZMM26 = 212,
+  X86_ZMM27 = 213,
+  X86_ZMM28 = 214,
+  X86_ZMM29 = 215,
+  X86_ZMM30 = 216,
+  X86_ZMM31 = 217,
+  X86_R8B = 218,
+  X86_R9B = 219,
+  X86_R10B = 220,
+  X86_R11B = 221,
+  X86_R12B = 222,
+  X86_R13B = 223,
+  X86_R14B = 224,
+  X86_R15B = 225,
+  X86_R8D = 226,
+  X86_R9D = 227,
+  X86_R10D = 228,
+  X86_R11D = 229,
+  X86_R12D = 230,
+  X86_R13D = 231,
+  X86_R14D = 232,
+  X86_R15D = 233,
+  X86_R8W = 234,
+  X86_R9W = 235,
+  X86_R10W = 236,
+  X86_R11W = 237,
+  X86_R12W = 238,
+  X86_R13W = 239,
+  X86_R14W = 240,
+  X86_R15W = 241,
+  X86_NUM_TARGET_REGS 	// 242
 };
 
 // Register classes
 enum {
   X86_GR8RegClassID = 0,
   X86_GR8_NOREXRegClassID = 1,
-  X86_GR8_ABCD_HRegClassID = 2,
-  X86_GR8_ABCD_LRegClassID = 3,
-  X86_GR16RegClassID = 4,
-  X86_GR16_NOREXRegClassID = 5,
-  X86_VK1RegClassID = 6,
-  X86_VK16RegClassID = 7,
-  X86_VK2RegClassID = 8,
-  X86_VK4RegClassID = 9,
-  X86_VK8RegClassID = 10,
-  X86_VK16WMRegClassID = 11,
-  X86_VK1WMRegClassID = 12,
-  X86_VK2WMRegClassID = 13,
-  X86_VK4WMRegClassID = 14,
-  X86_VK8WMRegClassID = 15,
+  X86_VK1RegClassID = 2,
+  X86_VK2RegClassID = 3,
+  X86_VK4RegClassID = 4,
+  X86_VK8RegClassID = 5,
+  X86_VK1WMRegClassID = 6,
+  X86_VK2WMRegClassID = 7,
+  X86_VK4WMRegClassID = 8,
+  X86_VK8WMRegClassID = 9,
+  X86_GR8_ABCD_HRegClassID = 10,
+  X86_GR8_ABCD_LRegClassID = 11,
+  X86_GR16RegClassID = 12,
+  X86_GR16_NOREXRegClassID = 13,
+  X86_VK16RegClassID = 14,
+  X86_VK16WMRegClassID = 15,
   X86_SEGMENT_REGRegClassID = 16,
   X86_GR16_ABCDRegClassID = 17,
   X86_FPCCRRegClassID = 18,
@@ -331,7 +339,7 @@ enum {
   X86_VR256XRegClassID = 75,
   X86_VR256RegClassID = 76,
   X86_VR512RegClassID = 77,
-  X86_VR512_with_sub_xmm_in_FR32RegClassID = 78
+  X86_VR512_with_sub_xmm_in_FR32RegClassID = 78,
 };
 
 #endif // GET_REGINFO_ENUM
@@ -397,241 +405,249 @@ static const uint16_t X86SubRegIdxLists[
   /* 12 */ 6, 5, 0,
 };
 
-static const MCRegisterDesc X86RegDesc[] = { // Descriptors
-  { 5, 0, 0, 0, 0 },
-  { 812, 2, 90, 3, 2273 },
-  { 840, 2, 86, 3, 2273 },
-  { 958, 151, 87, 6, 0 },
-  { 815, 2, 78, 3, 2193 },
-  { 843, 2, 74, 3, 2193 },
-  { 869, 1, 83, 2, 544 },
-  { 860, 2, 82, 3, 544 },
-  { 966, 141, 75, 6, 48 },
-  { 818, 2, 70, 3, 2081 },
-  { 846, 2, 66, 3, 2081 },
-  { 892, 2, 2, 3, 2081 },
-  { 974, 146, 67, 6, 96 },
-  { 821, 2, 58, 3, 2049 },
-  { 825, 1, 63, 2, 624 },
-  { 852, 2, 62, 3, 624 },
-  { 849, 2, 54, 3, 2017 },
-  { 895, 2, 2, 3, 2017 },
-  { 982, 134, 55, 6, 496 },
-  { 957, 150, 56, 5, 0 },
-  { 868, 24, 56, 1, 544 },
-  { 965, 140, 56, 5, 323 },
-  { 973, 145, 56, 5, 323 },
-  { 824, 28, 56, 1, 624 },
-  { 981, 133, 56, 5, 496 },
-  { 904, 2, 2, 3, 1985 },
-  { 876, 37, 52, 10, 1985 },
-  { 989, 2, 2, 3, 1985 },
-  { 898, 2, 2, 3, 1985 },
-  { 832, 10, 45, 1, 1985 },
-  { 884, 14, 45, 1, 1985 },
-  { 952, 2, 2, 3, 1985 },
-  { 901, 2, 2, 3, 1985 },
-  { 908, 2, 2, 3, 1985 },
-  { 877, 2, 51, 3, 656 },
-  { 961, 149, 2, 4, 0 },
-  { 872, 23, 2, 0, 544 },
-  { 969, 139, 2, 4, 275 },
-  { 977, 144, 2, 4, 275 },
-  { 828, 27, 2, 0, 624 },
-  { 985, 132, 2, 4, 496 },
-  { 880, 36, 2, 9, 1592 },
-  { 993, 2, 2, 3, 1592 },
-  { 836, 9, 2, 0, 1889 },
-  { 888, 13, 2, 0, 1889 },
-  { 833, 1, 48, 2, 896 },
-  { 856, 2, 47, 3, 896 },
-  { 885, 1, 44, 2, 1504 },
-  { 864, 2, 43, 3, 1504 },
-  { 911, 2, 2, 3, 1889 },
-  { 81, 2, 2, 3, 1889 },
-  { 174, 2, 2, 3, 1889 },
-  { 249, 2, 2, 3, 1889 },
-  { 324, 2, 2, 3, 1889 },
-  { 399, 2, 2, 3, 1889 },
-  { 474, 2, 2, 3, 1889 },
-  { 544, 2, 2, 3, 1889 },
-  { 614, 2, 2, 3, 1889 },
-  { 677, 2, 2, 3, 1889 },
-  { 732, 2, 2, 3, 1889 },
-  { 18, 2, 2, 3, 1889 },
-  { 111, 2, 2, 3, 1889 },
-  { 204, 2, 2, 3, 1889 },
-  { 279, 2, 2, 3, 1889 },
-  { 354, 2, 2, 3, 1889 },
-  { 429, 2, 2, 3, 1889 },
-  { 85, 2, 2, 3, 1889 },
-  { 178, 2, 2, 3, 1889 },
-  { 253, 2, 2, 3, 1889 },
-  { 328, 2, 2, 3, 1889 },
-  { 403, 2, 2, 3, 1889 },
-  { 478, 2, 2, 3, 1889 },
-  { 548, 2, 2, 3, 1889 },
-  { 618, 2, 2, 3, 1889 },
-  { 77, 2, 2, 3, 1889 },
-  { 170, 2, 2, 3, 1889 },
-  { 245, 2, 2, 3, 1889 },
-  { 320, 2, 2, 3, 1889 },
-  { 395, 2, 2, 3, 1889 },
-  { 470, 2, 2, 3, 1889 },
-  { 540, 2, 2, 3, 1889 },
-  { 610, 2, 2, 3, 1889 },
-  { 59, 2, 2, 3, 1889 },
-  { 152, 2, 2, 3, 1889 },
-  { 227, 2, 2, 3, 1889 },
-  { 302, 2, 2, 3, 1889 },
-  { 377, 2, 2, 3, 1889 },
-  { 452, 2, 2, 3, 1889 },
-  { 522, 2, 2, 3, 1889 },
-  { 592, 2, 2, 3, 1889 },
-  { 63, 2, 2, 3, 1889 },
-  { 156, 2, 2, 3, 1889 },
-  { 231, 2, 2, 3, 1889 },
-  { 306, 2, 2, 3, 1889 },
-  { 381, 2, 2, 3, 1889 },
-  { 456, 2, 2, 3, 1889 },
-  { 526, 2, 2, 3, 1889 },
-  { 596, 2, 2, 3, 1889 },
-  { 678, 120, 2, 0, 1889 },
-  { 733, 120, 2, 0, 1889 },
-  { 19, 120, 2, 0, 1889 },
-  { 112, 120, 2, 0, 1889 },
-  { 205, 120, 2, 0, 1889 },
-  { 280, 120, 2, 0, 1889 },
-  { 355, 120, 2, 0, 1889 },
-  { 430, 120, 2, 0, 1889 },
-  { 89, 2, 2, 3, 1889 },
-  { 182, 2, 2, 3, 1889 },
-  { 257, 2, 2, 3, 1889 },
-  { 332, 2, 2, 3, 1889 },
-  { 407, 2, 2, 3, 1889 },
-  { 482, 2, 2, 3, 1889 },
-  { 552, 2, 2, 3, 1889 },
-  { 622, 2, 2, 3, 1889 },
-  { 62, 2, 96, 3, 1889 },
-  { 155, 2, 96, 3, 1889 },
-  { 230, 2, 96, 3, 1889 },
-  { 305, 2, 96, 3, 1889 },
-  { 380, 2, 96, 3, 1889 },
-  { 455, 2, 96, 3, 1889 },
-  { 525, 2, 96, 3, 1889 },
-  { 595, 2, 96, 3, 1889 },
-  { 662, 2, 96, 3, 1889 },
-  { 717, 2, 96, 3, 1889 },
-  { 0, 2, 96, 3, 1889 },
-  { 93, 2, 96, 3, 1889 },
-  { 186, 2, 96, 3, 1889 },
-  { 261, 2, 96, 3, 1889 },
-  { 336, 2, 96, 3, 1889 },
-  { 411, 2, 96, 3, 1889 },
-  { 486, 2, 96, 3, 1889 },
-  { 556, 2, 96, 3, 1889 },
-  { 626, 2, 96, 3, 1889 },
-  { 681, 2, 96, 3, 1889 },
-  { 23, 2, 96, 3, 1889 },
-  { 116, 2, 96, 3, 1889 },
-  { 209, 2, 96, 3, 1889 },
-  { 284, 2, 96, 3, 1889 },
-  { 359, 2, 96, 3, 1889 },
-  { 434, 2, 96, 3, 1889 },
-  { 504, 2, 96, 3, 1889 },
-  { 574, 2, 96, 3, 1889 },
-  { 644, 2, 96, 3, 1889 },
-  { 699, 2, 96, 3, 1889 },
-  { 41, 2, 96, 3, 1889 },
-  { 134, 2, 96, 3, 1889 },
-  { 67, 116, 97, 13, 1809 },
-  { 160, 116, 97, 13, 1809 },
-  { 235, 116, 97, 13, 1809 },
-  { 310, 116, 97, 13, 1809 },
-  { 385, 116, 97, 13, 1809 },
-  { 460, 116, 97, 13, 1809 },
-  { 530, 116, 97, 13, 1809 },
-  { 600, 116, 97, 13, 1809 },
-  { 667, 116, 97, 13, 1809 },
-  { 722, 116, 97, 13, 1809 },
-  { 6, 116, 97, 13, 1809 },
-  { 99, 116, 97, 13, 1809 },
-  { 192, 116, 97, 13, 1809 },
-  { 267, 116, 97, 13, 1809 },
-  { 342, 116, 97, 13, 1809 },
-  { 417, 116, 97, 13, 1809 },
-  { 492, 116, 97, 13, 1809 },
-  { 562, 116, 97, 13, 1809 },
-  { 632, 116, 97, 13, 1809 },
-  { 687, 116, 97, 13, 1809 },
-  { 29, 116, 97, 13, 1809 },
-  { 122, 116, 97, 13, 1809 },
-  { 215, 116, 97, 13, 1809 },
-  { 290, 116, 97, 13, 1809 },
-  { 365, 116, 97, 13, 1809 },
-  { 440, 116, 97, 13, 1809 },
-  { 510, 116, 97, 13, 1809 },
-  { 580, 116, 97, 13, 1809 },
-  { 650, 116, 97, 13, 1809 },
-  { 705, 116, 97, 13, 1809 },
-  { 47, 116, 97, 13, 1809 },
-  { 140, 116, 97, 13, 1809 },
-  { 72, 115, 2, 12, 1777 },
-  { 165, 115, 2, 12, 1777 },
-  { 240, 115, 2, 12, 1777 },
-  { 315, 115, 2, 12, 1777 },
-  { 390, 115, 2, 12, 1777 },
-  { 465, 115, 2, 12, 1777 },
-  { 535, 115, 2, 12, 1777 },
-  { 605, 115, 2, 12, 1777 },
-  { 672, 115, 2, 12, 1777 },
-  { 727, 115, 2, 12, 1777 },
-  { 12, 115, 2, 12, 1777 },
-  { 105, 115, 2, 12, 1777 },
-  { 198, 115, 2, 12, 1777 },
-  { 273, 115, 2, 12, 1777 },
-  { 348, 115, 2, 12, 1777 },
-  { 423, 115, 2, 12, 1777 },
-  { 498, 115, 2, 12, 1777 },
-  { 568, 115, 2, 12, 1777 },
-  { 638, 115, 2, 12, 1777 },
-  { 693, 115, 2, 12, 1777 },
-  { 35, 115, 2, 12, 1777 },
-  { 128, 115, 2, 12, 1777 },
-  { 221, 115, 2, 12, 1777 },
-  { 296, 115, 2, 12, 1777 },
-  { 371, 115, 2, 12, 1777 },
-  { 446, 115, 2, 12, 1777 },
-  { 516, 115, 2, 12, 1777 },
-  { 586, 115, 2, 12, 1777 },
-  { 656, 115, 2, 12, 1777 },
-  { 711, 115, 2, 12, 1777 },
-  { 53, 115, 2, 12, 1777 },
-  { 146, 115, 2, 12, 1777 },
-  { 766, 2, 107, 3, 1681 },
-  { 770, 2, 107, 3, 1681 },
-  { 736, 2, 107, 3, 1681 },
-  { 741, 2, 107, 3, 1681 },
-  { 746, 2, 107, 3, 1681 },
-  { 751, 2, 107, 3, 1681 },
-  { 756, 2, 107, 3, 1681 },
-  { 761, 2, 107, 3, 1681 },
-  { 804, 121, 109, 1, 1649 },
-  { 808, 121, 109, 1, 1649 },
-  { 774, 121, 109, 1, 1649 },
-  { 779, 121, 109, 1, 1649 },
-  { 784, 121, 109, 1, 1649 },
-  { 789, 121, 109, 1, 1649 },
-  { 794, 121, 109, 1, 1649 },
-  { 799, 121, 109, 1, 1649 },
-  { 944, 122, 108, 2, 1617 },
-  { 948, 122, 108, 2, 1617 },
-  { 914, 122, 108, 2, 1617 },
-  { 919, 122, 108, 2, 1617 },
-  { 924, 122, 108, 2, 1617 },
-  { 929, 122, 108, 2, 1617 },
-  { 934, 122, 108, 2, 1617 },
-  { 939, 122, 108, 2, 1617 },
+static MCRegisterDesc X86RegDesc[] = { // Descriptors
+  { 5, 0, 0, 0, 0, 0 },
+  { 850, 2, 90, 3, 2273, 0 },
+  { 878, 2, 86, 3, 2273, 0 },
+  { 996, 151, 87, 6, 0, 2 },
+  { 853, 2, 78, 3, 2193, 0 },
+  { 881, 2, 74, 3, 2193, 0 },
+  { 907, 1, 83, 2, 544, 3 },
+  { 898, 2, 82, 3, 544, 0 },
+  { 1004, 141, 75, 6, 48, 2 },
+  { 856, 2, 70, 3, 2081, 0 },
+  { 884, 2, 66, 3, 2081, 0 },
+  { 930, 2, 2, 3, 2081, 0 },
+  { 1012, 146, 67, 6, 96, 2 },
+  { 859, 2, 58, 3, 2049, 0 },
+  { 863, 1, 63, 2, 624, 3 },
+  { 890, 2, 62, 3, 624, 0 },
+  { 887, 2, 54, 3, 2017, 0 },
+  { 933, 2, 2, 3, 2017, 0 },
+  { 1020, 134, 55, 6, 496, 2 },
+  { 995, 150, 56, 5, 0, 2 },
+  { 906, 24, 56, 1, 544, 3 },
+  { 1003, 140, 56, 5, 323, 2 },
+  { 1011, 145, 56, 5, 323, 2 },
+  { 862, 28, 56, 1, 624, 3 },
+  { 1019, 133, 56, 5, 496, 2 },
+  { 942, 2, 2, 3, 1985, 0 },
+  { 914, 37, 52, 10, 1985, 5 },
+  { 1027, 2, 2, 3, 1985, 0 },
+  { 936, 2, 2, 3, 1985, 0 },
+  { 870, 10, 45, 1, 1985, 3 },
+  { 922, 14, 45, 1, 1985, 3 },
+  { 990, 2, 2, 3, 1985, 0 },
+  { 939, 2, 2, 3, 1985, 0 },
+  { 946, 2, 2, 3, 1985, 0 },
+  { 915, 2, 51, 3, 656, 0 },
+  { 999, 149, 2, 4, 0, 2 },
+  { 910, 23, 2, 0, 544, 3 },
+  { 1007, 139, 2, 4, 275, 2 },
+  { 1015, 144, 2, 4, 275, 2 },
+  { 866, 27, 2, 0, 624, 3 },
+  { 1023, 132, 2, 4, 496, 2 },
+  { 918, 36, 2, 9, 1592, 5 },
+  { 1031, 2, 2, 3, 1592, 0 },
+  { 874, 9, 2, 0, 1889, 3 },
+  { 926, 13, 2, 0, 1889, 3 },
+  { 871, 1, 48, 2, 896, 3 },
+  { 894, 2, 47, 3, 896, 0 },
+  { 923, 1, 44, 2, 1504, 3 },
+  { 902, 2, 43, 3, 1504, 0 },
+  { 949, 2, 2, 3, 1889, 0 },
+  { 86, 2, 2, 3, 1889, 0 },
+  { 184, 2, 2, 3, 1889, 0 },
+  { 264, 2, 2, 3, 1889, 0 },
+  { 344, 2, 2, 3, 1889, 0 },
+  { 424, 2, 2, 3, 1889, 0 },
+  { 504, 2, 2, 3, 1889, 0 },
+  { 574, 2, 2, 3, 1889, 0 },
+  { 644, 2, 2, 3, 1889, 0 },
+  { 707, 2, 2, 3, 1889, 0 },
+  { 766, 2, 2, 3, 1889, 0 },
+  { 18, 2, 2, 3, 1889, 0 },
+  { 116, 2, 2, 3, 1889, 0 },
+  { 214, 2, 2, 3, 1889, 0 },
+  { 294, 2, 2, 3, 1889, 0 },
+  { 374, 2, 2, 3, 1889, 0 },
+  { 454, 2, 2, 3, 1889, 0 },
+  { 90, 2, 2, 3, 1889, 0 },
+  { 188, 2, 2, 3, 1889, 0 },
+  { 268, 2, 2, 3, 1889, 0 },
+  { 348, 2, 2, 3, 1889, 0 },
+  { 428, 2, 2, 3, 1889, 0 },
+  { 508, 2, 2, 3, 1889, 0 },
+  { 578, 2, 2, 3, 1889, 0 },
+  { 648, 2, 2, 3, 1889, 0 },
+  { 711, 2, 2, 3, 1889, 0 },
+  { 770, 2, 2, 3, 1889, 0 },
+  { 23, 2, 2, 3, 1889, 0 },
+  { 121, 2, 2, 3, 1889, 0 },
+  { 219, 2, 2, 3, 1889, 0 },
+  { 299, 2, 2, 3, 1889, 0 },
+  { 379, 2, 2, 3, 1889, 0 },
+  { 459, 2, 2, 3, 1889, 0 },
+  { 82, 2, 2, 3, 1889, 0 },
+  { 180, 2, 2, 3, 1889, 0 },
+  { 260, 2, 2, 3, 1889, 0 },
+  { 340, 2, 2, 3, 1889, 0 },
+  { 420, 2, 2, 3, 1889, 0 },
+  { 500, 2, 2, 3, 1889, 0 },
+  { 570, 2, 2, 3, 1889, 0 },
+  { 640, 2, 2, 3, 1889, 0 },
+  { 64, 2, 2, 3, 1889, 0 },
+  { 162, 2, 2, 3, 1889, 0 },
+  { 242, 2, 2, 3, 1889, 0 },
+  { 322, 2, 2, 3, 1889, 0 },
+  { 402, 2, 2, 3, 1889, 0 },
+  { 482, 2, 2, 3, 1889, 0 },
+  { 552, 2, 2, 3, 1889, 0 },
+  { 622, 2, 2, 3, 1889, 0 },
+  { 68, 2, 2, 3, 1889, 0 },
+  { 166, 2, 2, 3, 1889, 0 },
+  { 246, 2, 2, 3, 1889, 0 },
+  { 326, 2, 2, 3, 1889, 0 },
+  { 406, 2, 2, 3, 1889, 0 },
+  { 486, 2, 2, 3, 1889, 0 },
+  { 556, 2, 2, 3, 1889, 0 },
+  { 626, 2, 2, 3, 1889, 0 },
+  { 708, 120, 2, 0, 1889, 3 },
+  { 767, 120, 2, 0, 1889, 3 },
+  { 19, 120, 2, 0, 1889, 3 },
+  { 117, 120, 2, 0, 1889, 3 },
+  { 215, 120, 2, 0, 1889, 3 },
+  { 295, 120, 2, 0, 1889, 3 },
+  { 375, 120, 2, 0, 1889, 3 },
+  { 455, 120, 2, 0, 1889, 3 },
+  { 94, 2, 2, 3, 1889, 0 },
+  { 192, 2, 2, 3, 1889, 0 },
+  { 272, 2, 2, 3, 1889, 0 },
+  { 352, 2, 2, 3, 1889, 0 },
+  { 432, 2, 2, 3, 1889, 0 },
+  { 512, 2, 2, 3, 1889, 0 },
+  { 582, 2, 2, 3, 1889, 0 },
+  { 652, 2, 2, 3, 1889, 0 },
+  { 67, 2, 96, 3, 1889, 0 },
+  { 165, 2, 96, 3, 1889, 0 },
+  { 245, 2, 96, 3, 1889, 0 },
+  { 325, 2, 96, 3, 1889, 0 },
+  { 405, 2, 96, 3, 1889, 0 },
+  { 485, 2, 96, 3, 1889, 0 },
+  { 555, 2, 96, 3, 1889, 0 },
+  { 625, 2, 96, 3, 1889, 0 },
+  { 692, 2, 96, 3, 1889, 0 },
+  { 751, 2, 96, 3, 1889, 0 },
+  { 0, 2, 96, 3, 1889, 0 },
+  { 98, 2, 96, 3, 1889, 0 },
+  { 196, 2, 96, 3, 1889, 0 },
+  { 276, 2, 96, 3, 1889, 0 },
+  { 356, 2, 96, 3, 1889, 0 },
+  { 436, 2, 96, 3, 1889, 0 },
+  { 516, 2, 96, 3, 1889, 0 },
+  { 586, 2, 96, 3, 1889, 0 },
+  { 656, 2, 96, 3, 1889, 0 },
+  { 715, 2, 96, 3, 1889, 0 },
+  { 28, 2, 96, 3, 1889, 0 },
+  { 126, 2, 96, 3, 1889, 0 },
+  { 224, 2, 96, 3, 1889, 0 },
+  { 304, 2, 96, 3, 1889, 0 },
+  { 384, 2, 96, 3, 1889, 0 },
+  { 464, 2, 96, 3, 1889, 0 },
+  { 534, 2, 96, 3, 1889, 0 },
+  { 604, 2, 96, 3, 1889, 0 },
+  { 674, 2, 96, 3, 1889, 0 },
+  { 733, 2, 96, 3, 1889, 0 },
+  { 46, 2, 96, 3, 1889, 0 },
+  { 144, 2, 96, 3, 1889, 0 },
+  { 72, 116, 97, 13, 1809, 7 },
+  { 170, 116, 97, 13, 1809, 7 },
+  { 250, 116, 97, 13, 1809, 7 },
+  { 330, 116, 97, 13, 1809, 7 },
+  { 410, 116, 97, 13, 1809, 7 },
+  { 490, 116, 97, 13, 1809, 7 },
+  { 560, 116, 97, 13, 1809, 7 },
+  { 630, 116, 97, 13, 1809, 7 },
+  { 697, 116, 97, 13, 1809, 7 },
+  { 756, 116, 97, 13, 1809, 7 },
+  { 6, 116, 97, 13, 1809, 7 },
+  { 104, 116, 97, 13, 1809, 7 },
+  { 202, 116, 97, 13, 1809, 7 },
+  { 282, 116, 97, 13, 1809, 7 },
+  { 362, 116, 97, 13, 1809, 7 },
+  { 442, 116, 97, 13, 1809, 7 },
+  { 522, 116, 97, 13, 1809, 7 },
+  { 592, 116, 97, 13, 1809, 7 },
+  { 662, 116, 97, 13, 1809, 7 },
+  { 721, 116, 97, 13, 1809, 7 },
+  { 34, 116, 97, 13, 1809, 7 },
+  { 132, 116, 97, 13, 1809, 7 },
+  { 230, 116, 97, 13, 1809, 7 },
+  { 310, 116, 97, 13, 1809, 7 },
+  { 390, 116, 97, 13, 1809, 7 },
+  { 470, 116, 97, 13, 1809, 7 },
+  { 540, 116, 97, 13, 1809, 7 },
+  { 610, 116, 97, 13, 1809, 7 },
+  { 680, 116, 97, 13, 1809, 7 },
+  { 739, 116, 97, 13, 1809, 7 },
+  { 52, 116, 97, 13, 1809, 7 },
+  { 150, 116, 97, 13, 1809, 7 },
+  { 77, 115, 2, 12, 1777, 7 },
+  { 175, 115, 2, 12, 1777, 7 },
+  { 255, 115, 2, 12, 1777, 7 },
+  { 335, 115, 2, 12, 1777, 7 },
+  { 415, 115, 2, 12, 1777, 7 },
+  { 495, 115, 2, 12, 1777, 7 },
+  { 565, 115, 2, 12, 1777, 7 },
+  { 635, 115, 2, 12, 1777, 7 },
+  { 702, 115, 2, 12, 1777, 7 },
+  { 761, 115, 2, 12, 1777, 7 },
+  { 12, 115, 2, 12, 1777, 7 },
+  { 110, 115, 2, 12, 1777, 7 },
+  { 208, 115, 2, 12, 1777, 7 },
+  { 288, 115, 2, 12, 1777, 7 },
+  { 368, 115, 2, 12, 1777, 7 },
+  { 448, 115, 2, 12, 1777, 7 },
+  { 528, 115, 2, 12, 1777, 7 },
+  { 598, 115, 2, 12, 1777, 7 },
+  { 668, 115, 2, 12, 1777, 7 },
+  { 727, 115, 2, 12, 1777, 7 },
+  { 40, 115, 2, 12, 1777, 7 },
+  { 138, 115, 2, 12, 1777, 7 },
+  { 236, 115, 2, 12, 1777, 7 },
+  { 316, 115, 2, 12, 1777, 7 },
+  { 396, 115, 2, 12, 1777, 7 },
+  { 476, 115, 2, 12, 1777, 7 },
+  { 546, 115, 2, 12, 1777, 7 },
+  { 616, 115, 2, 12, 1777, 7 },
+  { 686, 115, 2, 12, 1777, 7 },
+  { 745, 115, 2, 12, 1777, 7 },
+  { 58, 115, 2, 12, 1777, 7 },
+  { 156, 115, 2, 12, 1777, 7 },
+  { 804, 2, 107, 3, 1681, 0 },
+  { 808, 2, 107, 3, 1681, 0 },
+  { 774, 2, 107, 3, 1681, 0 },
+  { 779, 2, 107, 3, 1681, 0 },
+  { 784, 2, 107, 3, 1681, 0 },
+  { 789, 2, 107, 3, 1681, 0 },
+  { 794, 2, 107, 3, 1681, 0 },
+  { 799, 2, 107, 3, 1681, 0 },
+  { 842, 121, 109, 1, 1649, 3 },
+  { 846, 121, 109, 1, 1649, 3 },
+  { 812, 121, 109, 1, 1649, 3 },
+  { 817, 121, 109, 1, 1649, 3 },
+  { 822, 121, 109, 1, 1649, 3 },
+  { 827, 121, 109, 1, 1649, 3 },
+  { 832, 121, 109, 1, 1649, 3 },
+  { 837, 121, 109, 1, 1649, 3 },
+  { 982, 122, 108, 2, 1617, 3 },
+  { 986, 122, 108, 2, 1617, 3 },
+  { 952, 122, 108, 2, 1617, 3 },
+  { 957, 122, 108, 2, 1617, 3 },
+  { 962, 122, 108, 2, 1617, 3 },
+  { 967, 122, 108, 2, 1617, 3 },
+  { 972, 122, 108, 2, 1617, 3 },
+  { 977, 122, 108, 2, 1617, 3 },
 };
 
   // GR8 Register Class...
@@ -640,8 +656,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR8 Bit set.
-  static const uint8_t GR8Bits[] = {
-    0xb6, 0xa6, 0x01, 0x00, 0x00, 0x40, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR8Bits[] = {
+    0xb6, 0xa6, 0x01, 0x00, 0x00, 0x40, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR8_NOREX Register Class...
@@ -654,64 +670,14 @@ static const MCRegisterDesc X86RegDesc[]
     0x36, 0x26, 0x01, 
   };
 
-  // GR8_ABCD_H Register Class...
-  static const MCPhysReg GR8_ABCD_H[] = {
-    X86_AH, X86_CH, X86_DH, X86_BH, 
-  };
-
-  // GR8_ABCD_H Bit set.
-  static const uint8_t GR8_ABCD_HBits[] = {
-    0x12, 0x22, 
-  };
-
-  // GR8_ABCD_L Register Class...
-  static const MCPhysReg GR8_ABCD_L[] = {
-    X86_AL, X86_CL, X86_DL, X86_BL, 
-  };
-
-  // GR8_ABCD_L Bit set.
-  static const uint8_t GR8_ABCD_LBits[] = {
-    0x24, 0x04, 0x01, 
-  };
-
-  // GR16 Register Class...
-  static const MCPhysReg GR16[] = {
-    X86_AX, X86_CX, X86_DX, X86_SI, X86_DI, X86_BX, X86_BP, X86_SP, X86_R8W, X86_R9W, X86_R10W, X86_R11W, X86_R14W, X86_R15W, X86_R12W, X86_R13W, 
-  };
-
-  // GR16 Bit set.
-  static const uint8_t GR16Bits[] = {
-    0x48, 0x51, 0x04, 0x00, 0x00, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
-  };
-
-  // GR16_NOREX Register Class...
-  static const MCPhysReg GR16_NOREX[] = {
-    X86_AX, X86_CX, X86_DX, X86_SI, X86_DI, X86_BX, X86_BP, X86_SP, 
-  };
-
-  // GR16_NOREX Bit set.
-  static const uint8_t GR16_NOREXBits[] = {
-    0x48, 0x51, 0x04, 0x00, 0x00, 0xa0, 
-  };
-
   // VK1 Register Class...
   static const MCPhysReg VK1[] = {
     X86_K0, X86_K1, X86_K2, X86_K3, X86_K4, X86_K5, X86_K6, X86_K7, 
   };
 
   // VK1 Bit set.
-  static const uint8_t VK1Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
-  };
-
-  // VK16 Register Class...
-  static const MCPhysReg VK16[] = {
-    X86_K0, X86_K1, X86_K2, X86_K3, X86_K4, X86_K5, X86_K6, X86_K7, 
-  };
-
-  // VK16 Bit set.
-  static const uint8_t VK16Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VK1Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // VK2 Register Class...
@@ -720,8 +686,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK2 Bit set.
-  static const uint8_t VK2Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VK2Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // VK4 Register Class...
@@ -730,8 +696,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK4 Bit set.
-  static const uint8_t VK4Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VK4Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // VK8 Register Class...
@@ -740,18 +706,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK8 Bit set.
-  static const uint8_t VK8Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
-  };
-
-  // VK16WM Register Class...
-  static const MCPhysReg VK16WM[] = {
-    X86_K1, X86_K2, X86_K3, X86_K4, X86_K5, X86_K6, X86_K7, 
-  };
-
-  // VK16WM Bit set.
-  static const uint8_t VK16WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK8Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // VK1WM Register Class...
@@ -760,8 +716,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK1WM Bit set.
-  static const uint8_t VK1WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK1WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // VK2WM Register Class...
@@ -770,8 +726,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK2WM Bit set.
-  static const uint8_t VK2WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK2WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // VK4WM Register Class...
@@ -780,8 +736,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK4WM Bit set.
-  static const uint8_t VK4WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK4WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // VK8WM Register Class...
@@ -790,8 +746,68 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK8WM Bit set.
-  static const uint8_t VK8WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK8WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  };
+
+  // GR8_ABCD_H Register Class...
+  static MCPhysReg GR8_ABCD_H[] = {
+    X86_AH, X86_CH, X86_DH, X86_BH, 
+  };
+
+  // GR8_ABCD_H Bit set.
+  static uint8_t GR8_ABCD_HBits[] = {
+    0x12, 0x22, 
+  };
+
+  // GR8_ABCD_L Register Class...
+  static MCPhysReg GR8_ABCD_L[] = {
+    X86_AL, X86_CL, X86_DL, X86_BL, 
+  };
+
+  // GR8_ABCD_L Bit set.
+  static uint8_t GR8_ABCD_LBits[] = {
+    0x24, 0x04, 0x01, 
+  };
+
+  // GR16 Register Class...
+  static MCPhysReg GR16[] = {
+    X86_AX, X86_CX, X86_DX, X86_SI, X86_DI, X86_BX, X86_BP, X86_SP, X86_R8W, X86_R9W, X86_R10W, X86_R11W, X86_R14W, X86_R15W, X86_R12W, X86_R13W, 
+  };
+
+  // GR16 Bit set.
+  static uint8_t GR16Bits[] = {
+    0x48, 0x51, 0x04, 0x00, 0x00, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  };
+
+  // GR16_NOREX Register Class...
+  static MCPhysReg GR16_NOREX[] = {
+    X86_AX, X86_CX, X86_DX, X86_SI, X86_DI, X86_BX, X86_BP, X86_SP, 
+  };
+
+  // GR16_NOREX Bit set.
+  static uint8_t GR16_NOREXBits[] = {
+    0x48, 0x51, 0x04, 0x00, 0x00, 0xa0, 
+  };
+
+  // VK16 Register Class...
+  static MCPhysReg VK16[] = {
+    X86_K0, X86_K1, X86_K2, X86_K3, X86_K4, X86_K5, X86_K6, X86_K7, 
+  };
+
+  // VK16 Bit set.
+  static uint8_t VK16Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  };
+
+  // VK16WM Register Class...
+  static MCPhysReg VK16WM[] = {
+    X86_K1, X86_K2, X86_K3, X86_K4, X86_K5, X86_K6, X86_K7, 
+  };
+
+  // VK16WM Bit set.
+  static uint8_t VK16WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // SEGMENT_REG Register Class...
@@ -830,8 +846,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // FR32X Bit set.
-  static const uint8_t FR32XBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
+  static uint8_t FR32XBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
   };
 
   // FR32 Register Class...
@@ -840,8 +856,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // FR32 Bit set.
-  static const uint8_t FR32Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
+  static uint8_t FR32Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
   };
 
   // GR32 Register Class...
@@ -850,8 +866,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR32 Bit set.
-  static const uint8_t GR32Bits[] = {
-    0x00, 0x00, 0xf8, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR32Bits[] = {
+    0x00, 0x00, 0xf8, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR32_NOAX Register Class...
@@ -860,8 +876,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR32_NOAX Bit set.
-  static const uint8_t GR32_NOAXBits[] = {
-    0x00, 0x00, 0xf0, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR32_NOAXBits[] = {
+    0x00, 0x00, 0xf0, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR32_NOSP Register Class...
@@ -870,8 +886,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR32_NOSP Bit set.
-  static const uint8_t GR32_NOSPBits[] = {
-    0x00, 0x00, 0xf8, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR32_NOSPBits[] = {
+    0x00, 0x00, 0xf8, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR32_NOAX_and_GR32_NOSP Register Class...
@@ -880,8 +896,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR32_NOAX_and_GR32_NOSP Bit set.
-  static const uint8_t GR32_NOAX_and_GR32_NOSPBits[] = {
-    0x00, 0x00, 0xf0, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR32_NOAX_and_GR32_NOSPBits[] = {
+    0x00, 0x00, 0xf0, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // DEBUG_REG Register Class...
@@ -910,8 +926,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK32 Bit set.
-  static const uint8_t VK32Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VK32Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR32_NOAX_and_GR32_NOREX Register Class...
@@ -940,8 +956,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // RFP32 Bit set.
-  static const uint8_t RFP32Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
+  static uint8_t RFP32Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
   };
 
   // VK32WM Register Class...
@@ -950,8 +966,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK32WM Bit set.
-  static const uint8_t VK32WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK32WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // GR32_NOAX_and_GR32_NOREX_NOSP Register Class...
@@ -1040,8 +1056,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // RFP64 Bit set.
-  static const uint8_t RFP64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
+  static uint8_t RFP64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
   };
 
   // FR64X Register Class...
@@ -1050,8 +1066,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // FR64X Bit set.
-  static const uint8_t FR64XBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
+  static uint8_t FR64XBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
   };
 
   // GR64 Register Class...
@@ -1060,8 +1076,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64 Bit set.
-  static const uint8_t GR64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xf8, 0x1b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xf8, 0x1b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // CONTROL_REG Register Class...
@@ -1080,8 +1096,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // FR64 Bit set.
-  static const uint8_t FR64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
+  static uint8_t FR64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
   };
 
   // GR64_with_sub_8bit Register Class...
@@ -1090,8 +1106,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_with_sub_8bit Bit set.
-  static const uint8_t GR64_with_sub_8bitBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xf8, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR64_with_sub_8bitBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xf8, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR64_NOSP Register Class...
@@ -1100,8 +1116,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_NOSP Bit set.
-  static const uint8_t GR64_NOSPBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xf8, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR64_NOSPBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xf8, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX Register Class...
@@ -1110,8 +1126,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX Bit set.
-  static const uint8_t GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xf0, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xf0, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSP Register Class...
@@ -1120,8 +1136,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSP Bit set.
-  static const uint8_t GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xf0, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xf0, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR64_NOREX Register Class...
@@ -1140,8 +1156,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_TC Bit set.
-  static const uint8_t GR64_TCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xc8, 0x0b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
+  static uint8_t GR64_TCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xc8, 0x0b, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
   };
 
   // GR64_NOSP_and_GR64_TC Register Class...
@@ -1150,8 +1166,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_NOSP_and_GR64_TC Bit set.
-  static const uint8_t GR64_NOSP_and_GR64_TCBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xc8, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
+  static uint8_t GR64_NOSP_and_GR64_TCBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xc8, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
   };
 
   // GR64_with_sub_16bit_in_GR16_NOREX Register Class...
@@ -1170,8 +1186,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK64 Bit set.
-  static const uint8_t VK64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VK64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // VR64 Register Class...
@@ -1180,8 +1196,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR64 Bit set.
-  static const uint8_t VR64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t VR64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // GR64_NOREX_NOSP Register Class...
@@ -1200,8 +1216,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX Bit set.
-  static const uint8_t GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0xc0, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
+  static uint8_t GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0xc0, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX Register Class...
@@ -1220,8 +1236,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VK64WM Bit set.
-  static const uint8_t VK64WMBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
+  static uint8_t VK64WMBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x03, 
   };
 
   // GR64_NOREX_and_GR64_TC Register Class...
@@ -1240,8 +1256,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_TCW64 Bit set.
-  static const uint8_t GR64_TCW64Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x48, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
+  static uint8_t GR64_TCW64Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x48, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
   };
 
   // GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSP Register Class...
@@ -1270,8 +1286,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAX Bit set.
-  static const uint8_t GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x40, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
+  static uint8_t GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x40, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 
   };
 
   // GR64_ABCD Register Class...
@@ -1350,8 +1366,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // RST Bit set.
-  static const uint8_t RSTBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
+  static uint8_t RSTBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x03, 
   };
 
   // RFP80 Register Class...
@@ -1360,8 +1376,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // RFP80 Bit set.
-  static const uint8_t RFP80Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
+  static uint8_t RFP80Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0x01, 
   };
 
   // VR128X Register Class...
@@ -1370,8 +1386,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR128X Bit set.
-  static const uint8_t VR128XBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
+  static uint8_t VR128XBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
   };
 
   // VR128 Register Class...
@@ -1380,8 +1396,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR128 Bit set.
-  static const uint8_t VR128Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
+  static uint8_t VR128Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
   };
 
   // VR256X Register Class...
@@ -1390,8 +1406,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR256X Bit set.
-  static const uint8_t VR256XBits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
+  static uint8_t VR256XBits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
   };
 
   // VR256 Register Class...
@@ -1400,8 +1416,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR256 Bit set.
-  static const uint8_t VR256Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
+  static uint8_t VR256Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
   };
 
   // VR512 Register Class...
@@ -1410,8 +1426,8 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR512 Bit set.
-  static const uint8_t VR512Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
+  static uint8_t VR512Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x03, 
   };
 
   // VR512_with_sub_xmm_in_FR32 Register Class...
@@ -1420,96 +1436,90 @@ static const MCRegisterDesc X86RegDesc[]
   };
 
   // VR512_with_sub_xmm_in_FR32 Bit set.
-  static const uint8_t VR512_with_sub_xmm_in_FR32Bits[] = {
-    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
+  static uint8_t VR512_with_sub_xmm_in_FR32Bits[] = {
+    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x03, 
   };
 
-#ifdef CAPSTONE_DIET
-#define CAPSTONE_REGISTER_CLASS(x) NULL
-#else
-#define CAPSTONE_REGISTER_CLASS(x) x
-#endif
-
-static const MCRegisterClass X86MCRegisterClasses[] = {
-  { CAPSTONE_REGISTER_CLASS("GR8"), GR8, GR8Bits, 20, sizeof(GR8Bits), X86_GR8RegClassID, 1, 1, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR8_NOREX"), GR8_NOREX, GR8_NOREXBits, 8, sizeof(GR8_NOREXBits), X86_GR8_NOREXRegClassID, 1, 1, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR8_ABCD_H"), GR8_ABCD_H, GR8_ABCD_HBits, 4, sizeof(GR8_ABCD_HBits), X86_GR8_ABCD_HRegClassID, 1, 1, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR8_ABCD_L"), GR8_ABCD_L, GR8_ABCD_LBits, 4, sizeof(GR8_ABCD_LBits), X86_GR8_ABCD_LRegClassID, 1, 1, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR16"), GR16, GR16Bits, 16, sizeof(GR16Bits), X86_GR16RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR16_NOREX"), GR16_NOREX, GR16_NOREXBits, 8, sizeof(GR16_NOREXBits), X86_GR16_NOREXRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK1"), VK1, VK1Bits, 8, sizeof(VK1Bits), X86_VK1RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK16"), VK16, VK16Bits, 8, sizeof(VK16Bits), X86_VK16RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK2"), VK2, VK2Bits, 8, sizeof(VK2Bits), X86_VK2RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK4"), VK4, VK4Bits, 8, sizeof(VK4Bits), X86_VK4RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK8"), VK8, VK8Bits, 8, sizeof(VK8Bits), X86_VK8RegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK16WM"), VK16WM, VK16WMBits, 7, sizeof(VK16WMBits), X86_VK16WMRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK1WM"), VK1WM, VK1WMBits, 7, sizeof(VK1WMBits), X86_VK1WMRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK2WM"), VK2WM, VK2WMBits, 7, sizeof(VK2WMBits), X86_VK2WMRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK4WM"), VK4WM, VK4WMBits, 7, sizeof(VK4WMBits), X86_VK4WMRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK8WM"), VK8WM, VK8WMBits, 7, sizeof(VK8WMBits), X86_VK8WMRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("SEGMENT_REG"), SEGMENT_REG, SEGMENT_REGBits, 6, sizeof(SEGMENT_REGBits), X86_SEGMENT_REGRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR16_ABCD"), GR16_ABCD, GR16_ABCDBits, 4, sizeof(GR16_ABCDBits), X86_GR16_ABCDRegClassID, 2, 2, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("FPCCR"), FPCCR, FPCCRBits, 1, sizeof(FPCCRBits), X86_FPCCRRegClassID, 2, 2, -1, 0 },
-  { CAPSTONE_REGISTER_CLASS("FR32X"), FR32X, FR32XBits, 32, sizeof(FR32XBits), X86_FR32XRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("FR32"), FR32, FR32Bits, 16, sizeof(FR32Bits), X86_FR32RegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32"), GR32, GR32Bits, 16, sizeof(GR32Bits), X86_GR32RegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOAX"), GR32_NOAX, GR32_NOAXBits, 15, sizeof(GR32_NOAXBits), X86_GR32_NOAXRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOSP"), GR32_NOSP, GR32_NOSPBits, 15, sizeof(GR32_NOSPBits), X86_GR32_NOSPRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOAX_and_GR32_NOSP"), GR32_NOAX_and_GR32_NOSP, GR32_NOAX_and_GR32_NOSPBits, 14, sizeof(GR32_NOAX_and_GR32_NOSPBits), X86_GR32_NOAX_and_GR32_NOSPRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("DEBUG_REG"), DEBUG_REG, DEBUG_REGBits, 8, sizeof(DEBUG_REGBits), X86_DEBUG_REGRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOREX"), GR32_NOREX, GR32_NOREXBits, 8, sizeof(GR32_NOREXBits), X86_GR32_NOREXRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK32"), VK32, VK32Bits, 8, sizeof(VK32Bits), X86_VK32RegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOAX_and_GR32_NOREX"), GR32_NOAX_and_GR32_NOREX, GR32_NOAX_and_GR32_NOREXBits, 7, sizeof(GR32_NOAX_and_GR32_NOREXBits), X86_GR32_NOAX_and_GR32_NOREXRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOREX_NOSP"), GR32_NOREX_NOSP, GR32_NOREX_NOSPBits, 7, sizeof(GR32_NOREX_NOSPBits), X86_GR32_NOREX_NOSPRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("RFP32"), RFP32, RFP32Bits, 7, sizeof(RFP32Bits), X86_RFP32RegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK32WM"), VK32WM, VK32WMBits, 7, sizeof(VK32WMBits), X86_VK32WMRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOAX_and_GR32_NOREX_NOSP"), GR32_NOAX_and_GR32_NOREX_NOSP, GR32_NOAX_and_GR32_NOREX_NOSPBits, 6, sizeof(GR32_NOAX_and_GR32_NOREX_NOSPBits), X86_GR32_NOAX_and_GR32_NOREX_NOSPRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_ABCD"), GR32_ABCD, GR32_ABCDBits, 4, sizeof(GR32_ABCDBits), X86_GR32_ABCDRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_ABCD_and_GR32_NOAX"), GR32_ABCD_and_GR32_NOAX, GR32_ABCD_and_GR32_NOAXBits, 3, sizeof(GR32_ABCD_and_GR32_NOAXBits), X86_GR32_ABCD_and_GR32_NOAXRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_TC"), GR32_TC, GR32_TCBits, 3, sizeof(GR32_TCBits), X86_GR32_TCRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_AD"), GR32_AD, GR32_ADBits, 2, sizeof(GR32_ADBits), X86_GR32_ADRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR32_NOAX_and_GR32_TC"), GR32_NOAX_and_GR32_TC, GR32_NOAX_and_GR32_TCBits, 2, sizeof(GR32_NOAX_and_GR32_TCBits), X86_GR32_NOAX_and_GR32_TCRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("CCR"), CCR, CCRBits, 1, sizeof(CCRBits), X86_CCRRegClassID, 4, 4, -1, 0 },
-  { CAPSTONE_REGISTER_CLASS("GR32_AD_and_GR32_NOAX"), GR32_AD_and_GR32_NOAX, GR32_AD_and_GR32_NOAXBits, 1, sizeof(GR32_AD_and_GR32_NOAXBits), X86_GR32_AD_and_GR32_NOAXRegClassID, 4, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("RFP64"), RFP64, RFP64Bits, 7, sizeof(RFP64Bits), X86_RFP64RegClassID, 8, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("FR64X"), FR64X, FR64XBits, 32, sizeof(FR64XBits), X86_FR64XRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64"), GR64, GR64Bits, 17, sizeof(GR64Bits), X86_GR64RegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("CONTROL_REG"), CONTROL_REG, CONTROL_REGBits, 16, sizeof(CONTROL_REGBits), X86_CONTROL_REGRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("FR64"), FR64, FR64Bits, 16, sizeof(FR64Bits), X86_FR64RegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_8bit"), GR64_with_sub_8bit, GR64_with_sub_8bitBits, 16, sizeof(GR64_with_sub_8bitBits), X86_GR64_with_sub_8bitRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOSP"), GR64_NOSP, GR64_NOSPBits, 15, sizeof(GR64_NOSPBits), X86_GR64_NOSPRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_NOAX"), GR64_with_sub_32bit_in_GR32_NOAX, GR64_with_sub_32bit_in_GR32_NOAXBits, 15, sizeof(GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSP"), GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSP, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits, 14, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOREX"), GR64_NOREX, GR64_NOREXBits, 9, sizeof(GR64_NOREXBits), X86_GR64_NOREXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_TC"), GR64_TC, GR64_TCBits, 9, sizeof(GR64_TCBits), X86_GR64_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOSP_and_GR64_TC"), GR64_NOSP_and_GR64_TC, GR64_NOSP_and_GR64_TCBits, 8, sizeof(GR64_NOSP_and_GR64_TCBits), X86_GR64_NOSP_and_GR64_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_16bit_in_GR16_NOREX"), GR64_with_sub_16bit_in_GR16_NOREX, GR64_with_sub_16bit_in_GR16_NOREXBits, 8, sizeof(GR64_with_sub_16bit_in_GR16_NOREXBits), X86_GR64_with_sub_16bit_in_GR16_NOREXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK64"), VK64, VK64Bits, 8, sizeof(VK64Bits), X86_VK64RegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR64"), VR64, VR64Bits, 8, sizeof(VR64Bits), X86_VR64RegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOREX_NOSP"), GR64_NOREX_NOSP, GR64_NOREX_NOSPBits, 7, sizeof(GR64_NOREX_NOSPBits), X86_GR64_NOREX_NOSPRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX"), GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX, GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits, 7, sizeof(GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX"), GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits, 7, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VK64WM"), VK64WM, VK64WMBits, 7, sizeof(VK64WMBits), X86_VK64WMRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOREX_and_GR64_TC"), GR64_NOREX_and_GR64_TC, GR64_NOREX_and_GR64_TCBits, 6, sizeof(GR64_NOREX_and_GR64_TCBits), X86_GR64_NOREX_and_GR64_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_TCW64"), GR64_TCW64, GR64_TCW64Bits, 6, sizeof(GR64_TCW64Bits), X86_GR64_TCW64RegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSP"), GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSP, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPBits, 6, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_NOREX_NOSP_and_GR64_TC"), GR64_NOREX_NOSP_and_GR64_TC, GR64_NOREX_NOSP_and_GR64_TCBits, 5, sizeof(GR64_NOREX_NOSP_and_GR64_TCBits), X86_GR64_NOREX_NOSP_and_GR64_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAX"), GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAX, GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits, 5, sizeof(GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_ABCD"), GR64_ABCD, GR64_ABCDBits, 4, sizeof(GR64_ABCDBits), X86_GR64_ABCDRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX"), GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX, GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits, 4, sizeof(GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits), X86_GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAX"), GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAX, GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXBits, 3, sizeof(GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_TC"), GR64_with_sub_32bit_in_GR32_TC, GR64_with_sub_32bit_in_GR32_TCBits, 3, sizeof(GR64_with_sub_32bit_in_GR32_TCBits), X86_GR64_with_sub_32bit_in_GR32_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_AD"), GR64_with_sub_32bit_in_GR32_AD, GR64_with_sub_32bit_in_GR32_ADBits, 2, sizeof(GR64_with_sub_32bit_in_GR32_ADBits), X86_GR64_with_sub_32bit_in_GR32_ADRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TC"), GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TC, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCBits, 2, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAX"), GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAX, GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXBits, 1, sizeof(GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXRegClassID, 8, 8, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("RST"), RST, RSTBits, 8, sizeof(RSTBits), X86_RSTRegClassID, 10, 4, 1, 0 },
-  { CAPSTONE_REGISTER_CLASS("RFP80"), RFP80, RFP80Bits, 7, sizeof(RFP80Bits), X86_RFP80RegClassID, 10, 4, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR128X"), VR128X, VR128XBits, 32, sizeof(VR128XBits), X86_VR128XRegClassID, 16, 16, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR128"), VR128, VR128Bits, 16, sizeof(VR128Bits), X86_VR128RegClassID, 16, 16, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR256X"), VR256X, VR256XBits, 32, sizeof(VR256XBits), X86_VR256XRegClassID, 32, 32, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR256"), VR256, VR256Bits, 16, sizeof(VR256Bits), X86_VR256RegClassID, 32, 32, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR512"), VR512, VR512Bits, 32, sizeof(VR512Bits), X86_VR512RegClassID, 64, 64, 1, 1 },
-  { CAPSTONE_REGISTER_CLASS("VR512_with_sub_xmm_in_FR32"), VR512_with_sub_xmm_in_FR32, VR512_with_sub_xmm_in_FR32Bits, 16, sizeof(VR512_with_sub_xmm_in_FR32Bits), X86_VR512_with_sub_xmm_in_FR32RegClassID, 64, 64, 1, 1 },
+static MCRegisterClass X86MCRegisterClasses[] = {
+  { GR8, GR8Bits, 130, 20, sizeof(GR8Bits), X86_GR8RegClassID, 1, 1, 1, 1 },
+  { GR8_NOREX, GR8_NOREXBits, 897, 8, sizeof(GR8_NOREXBits), X86_GR8_NOREXRegClassID, 1, 1, 1, 1 },
+  { VK1, VK1Bits, 6, 8, sizeof(VK1Bits), X86_VK1RegClassID, 1, 1, 1, 1 },
+  { VK2, VK2Bits, 59, 8, sizeof(VK2Bits), X86_VK2RegClassID, 1, 1, 1, 1 },
+  { VK4, VK4Bits, 100, 8, sizeof(VK4Bits), X86_VK4RegClassID, 1, 1, 1, 1 },
+  { VK8, VK8Bits, 126, 8, sizeof(VK8Bits), X86_VK8RegClassID, 1, 1, 1, 1 },
+  { VK1WM, VK1WMBits, 400, 7, sizeof(VK1WMBits), X86_VK1WMRegClassID, 1, 1, 1, 1 },
+  { VK2WM, VK2WMBits, 413, 7, sizeof(VK2WMBits), X86_VK2WMRegClassID, 1, 1, 1, 1 },
+  { VK4WM, VK4WMBits, 426, 7, sizeof(VK4WMBits), X86_VK4WMRegClassID, 1, 1, 1, 1 },
+  { VK8WM, VK8WMBits, 439, 7, sizeof(VK8WMBits), X86_VK8WMRegClassID, 1, 1, 1, 1 },
+  { GR8_ABCD_H, GR8_ABCD_HBits, 378, 4, sizeof(GR8_ABCD_HBits), X86_GR8_ABCD_HRegClassID, 1, 1, 1, 1 },
+  { GR8_ABCD_L, GR8_ABCD_LBits, 389, 4, sizeof(GR8_ABCD_LBits), X86_GR8_ABCD_LRegClassID, 1, 1, 1, 1 },
+  { GR16, GR16Bits, 109, 16, sizeof(GR16Bits), X86_GR16RegClassID, 2, 2, 1, 1 },
+  { GR16_NOREX, GR16_NOREXBits, 886, 8, sizeof(GR16_NOREXBits), X86_GR16_NOREXRegClassID, 2, 2, 1, 1 },
+  { VK16, VK16Bits, 104, 8, sizeof(VK16Bits), X86_VK16RegClassID, 2, 2, 1, 1 },
+  { VK16WM, VK16WMBits, 432, 7, sizeof(VK16WMBits), X86_VK16WMRegClassID, 2, 2, 1, 1 },
+  { SEGMENT_REG, SEGMENT_REGBits, 366, 6, sizeof(SEGMENT_REGBits), X86_SEGMENT_REGRegClassID, 2, 2, 1, 1 },
+  { GR16_ABCD, GR16_ABCDBits, 334, 4, sizeof(GR16_ABCDBits), X86_GR16_ABCDRegClassID, 2, 2, 1, 1 },
+  { FPCCR, FPCCRBits, 571, 1, sizeof(FPCCRBits), X86_FPCCRRegClassID, 2, 2, -1, 0 },
+  { FR32X, FR32XBits, 581, 32, sizeof(FR32XBits), X86_FR32XRegClassID, 4, 4, 1, 1 },
+  { FR32, FR32Bits, 49, 16, sizeof(FR32Bits), X86_FR32RegClassID, 4, 4, 1, 1 },
+  { GR32, GR32Bits, 54, 16, sizeof(GR32Bits), X86_GR32RegClassID, 4, 4, 1, 1 },
+  { GR32_NOAX, GR32_NOAXBits, 642, 15, sizeof(GR32_NOAXBits), X86_GR32_NOAXRegClassID, 4, 4, 1, 1 },
+  { GR32_NOSP, GR32_NOSPBits, 482, 15, sizeof(GR32_NOSPBits), X86_GR32_NOSPRegClassID, 4, 4, 1, 1 },
+  { GR32_NOAX_and_GR32_NOSP, GR32_NOAX_and_GR32_NOSPBits, 468, 14, sizeof(GR32_NOAX_and_GR32_NOSPBits), X86_GR32_NOAX_and_GR32_NOSPRegClassID, 4, 4, 1, 1 },
+  { DEBUG_REG, DEBUG_REGBits, 344, 8, sizeof(DEBUG_REGBits), X86_DEBUG_REGRegClassID, 4, 4, 1, 1 },
+  { GR32_NOREX, GR32_NOREXBits, 841, 8, sizeof(GR32_NOREXBits), X86_GR32_NOREXRegClassID, 4, 4, 1, 1 },
+  { VK32, VK32Bits, 16, 8, sizeof(VK32Bits), X86_VK32RegClassID, 4, 4, 1, 1 },
+  { GR32_NOAX_and_GR32_NOREX, GR32_NOAX_and_GR32_NOREXBits, 827, 7, sizeof(GR32_NOAX_and_GR32_NOREXBits), X86_GR32_NOAX_and_GR32_NOREXRegClassID, 4, 4, 1, 1 },
+  { GR32_NOREX_NOSP, GR32_NOREX_NOSPBits, 539, 7, sizeof(GR32_NOREX_NOSPBits), X86_GR32_NOREX_NOSPRegClassID, 4, 4, 1, 1 },
+  { RFP32, RFP32Bits, 21, 7, sizeof(RFP32Bits), X86_RFP32RegClassID, 4, 4, 1, 1 },
+  { VK32WM, VK32WMBits, 406, 7, sizeof(VK32WMBits), X86_VK32WMRegClassID, 4, 4, 1, 1 },
+  { GR32_NOAX_and_GR32_NOREX_NOSP, GR32_NOAX_and_GR32_NOREX_NOSPBits, 525, 6, sizeof(GR32_NOAX_and_GR32_NOREX_NOSPBits), X86_GR32_NOAX_and_GR32_NOREX_NOSPRegClassID, 4, 4, 1, 1 },
+  { GR32_ABCD, GR32_ABCDBits, 314, 4, sizeof(GR32_ABCDBits), X86_GR32_ABCDRegClassID, 4, 4, 1, 1 },
+  { GR32_ABCD_and_GR32_NOAX, GR32_ABCD_and_GR32_NOAXBits, 675, 3, sizeof(GR32_ABCD_and_GR32_NOAXBits), X86_GR32_ABCD_and_GR32_NOAXRegClassID, 4, 4, 1, 1 },
+  { GR32_TC, GR32_TCBits, 171, 3, sizeof(GR32_TCBits), X86_GR32_TCRegClassID, 4, 4, 1, 1 },
+  { GR32_AD, GR32_ADBits, 306, 2, sizeof(GR32_ADBits), X86_GR32_ADRegClassID, 4, 4, 1, 1 },
+  { GR32_NOAX_and_GR32_TC, GR32_NOAX_and_GR32_TCBits, 157, 2, sizeof(GR32_NOAX_and_GR32_TCBits), X86_GR32_NOAX_and_GR32_TCRegClassID, 4, 4, 1, 1 },
+  { CCR, CCRBits, 573, 1, sizeof(CCRBits), X86_CCRRegClassID, 4, 4, -1, 0 },
+  { GR32_AD_and_GR32_NOAX, GR32_AD_and_GR32_NOAXBits, 630, 1, sizeof(GR32_AD_and_GR32_NOAXBits), X86_GR32_AD_and_GR32_NOAXRegClassID, 4, 4, 1, 1 },
+  { RFP64, RFP64Bits, 68, 7, sizeof(RFP64Bits), X86_RFP64RegClassID, 8, 4, 1, 1 },
+  { FR64X, FR64XBits, 587, 32, sizeof(FR64XBits), X86_FR64XRegClassID, 8, 8, 1, 1 },
+  { GR64, GR64Bits, 79, 17, sizeof(GR64Bits), X86_GR64RegClassID, 8, 8, 1, 1 },
+  { CONTROL_REG, CONTROL_REGBits, 354, 16, sizeof(CONTROL_REGBits), X86_CONTROL_REGRegClassID, 8, 8, 1, 1 },
+  { FR64, FR64Bits, 74, 16, sizeof(FR64Bits), X86_FR64RegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_8bit, GR64_with_sub_8bitBits, 907, 16, sizeof(GR64_with_sub_8bitBits), X86_GR64_with_sub_8bitRegClassID, 8, 8, 1, 1 },
+  { GR64_NOSP, GR64_NOSPBits, 492, 15, sizeof(GR64_NOSPBits), X86_GR64_NOSPRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_NOAX, GR64_with_sub_32bit_in_GR32_NOAXBits, 714, 15, sizeof(GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSP, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits, 445, 14, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOSPRegClassID, 8, 8, 1, 1 },
+  { GR64_NOREX, GR64_NOREXBits, 852, 9, sizeof(GR64_NOREXBits), X86_GR64_NOREXRegClassID, 8, 8, 1, 1 },
+  { GR64_TC, GR64_TCBits, 224, 9, sizeof(GR64_TCBits), X86_GR64_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_NOSP_and_GR64_TC, GR64_NOSP_and_GR64_TCBits, 210, 8, sizeof(GR64_NOSP_and_GR64_TCBits), X86_GR64_NOSP_and_GR64_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_16bit_in_GR16_NOREX, GR64_with_sub_16bit_in_GR16_NOREXBits, 863, 8, sizeof(GR64_with_sub_16bit_in_GR16_NOREXBits), X86_GR64_with_sub_16bit_in_GR16_NOREXRegClassID, 8, 8, 1, 1 },
+  { VK64, VK64Bits, 63, 8, sizeof(VK64Bits), X86_VK64RegClassID, 8, 8, 1, 1 },
+  { VR64, VR64Bits, 84, 8, sizeof(VR64Bits), X86_VR64RegClassID, 8, 8, 1, 1 },
+  { GR64_NOREX_NOSP, GR64_NOREX_NOSPBits, 555, 7, sizeof(GR64_NOREX_NOSPBits), X86_GR64_NOREX_NOSPRegClassID, 8, 8, 1, 1 },
+  { GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX, GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits, 747, 7, sizeof(GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits, 804, 7, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXRegClassID, 8, 8, 1, 1 },
+  { VK64WM, VK64WMBits, 419, 7, sizeof(VK64WMBits), X86_VK64WMRegClassID, 8, 8, 1, 1 },
+  { GR64_NOREX_and_GR64_TC, GR64_NOREX_and_GR64_TCBits, 260, 6, sizeof(GR64_NOREX_and_GR64_TCBits), X86_GR64_NOREX_and_GR64_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_TCW64, GR64_TCW64Bits, 89, 6, sizeof(GR64_TCW64Bits), X86_GR64_TCW64RegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSP, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPBits, 502, 6, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX_NOSPRegClassID, 8, 8, 1, 1 },
+  { GR64_NOREX_NOSP_and_GR64_TC, GR64_NOREX_NOSP_and_GR64_TCBits, 232, 5, sizeof(GR64_NOREX_NOSP_and_GR64_TCBits), X86_GR64_NOREX_NOSP_and_GR64_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAX, GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits, 699, 5, sizeof(GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXBits), X86_GR64_TCW64_and_GR64_with_sub_32bit_in_GR32_NOAXRegClassID, 8, 8, 1, 1 },
+  { GR64_ABCD, GR64_ABCDBits, 324, 4, sizeof(GR64_ABCDBits), X86_GR64_ABCDRegClassID, 8, 8, 1, 1 },
+  { GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREX, GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits, 792, 4, sizeof(GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXBits), X86_GR64_TC_and_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_NOREXRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAX, GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXBits, 652, 3, sizeof(GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_ABCD_and_GR32_NOAXRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_TC, GR64_with_sub_32bit_in_GR32_TCBits, 179, 3, sizeof(GR64_with_sub_32bit_in_GR32_TCBits), X86_GR64_with_sub_32bit_in_GR32_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_AD, GR64_with_sub_32bit_in_GR32_ADBits, 283, 2, sizeof(GR64_with_sub_32bit_in_GR32_ADBits), X86_GR64_with_sub_32bit_in_GR32_ADRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TC, GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCBits, 134, 2, sizeof(GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCBits), X86_GR64_with_sub_32bit_in_GR32_NOAX_and_GR32_TCRegClassID, 8, 8, 1, 1 },
+  { GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAX, GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXBits, 607, 1, sizeof(GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXBits), X86_GR64_with_sub_32bit_in_GR32_AD_and_GR32_NOAXRegClassID, 8, 8, 1, 1 },
+  { RST, RSTBits, 577, 8, sizeof(RSTBits), X86_RSTRegClassID, 10, 4, 1, 0 },
+  { RFP80, RFP80Bits, 0, 7, sizeof(RFP80Bits), X86_RFP80RegClassID, 10, 4, 1, 1 },
+  { VR128X, VR128XBits, 600, 32, sizeof(VR128XBits), X86_VR128XRegClassID, 16, 16, 1, 1 },
+  { VR128, VR128Bits, 120, 16, sizeof(VR128Bits), X86_VR128RegClassID, 16, 16, 1, 1 },
+  { VR256X, VR256XBits, 593, 32, sizeof(VR256XBits), X86_VR256XRegClassID, 32, 32, 1, 1 },
+  { VR256, VR256Bits, 114, 16, sizeof(VR256Bits), X86_VR256RegClassID, 32, 32, 1, 1 },
+  { VR512, VR512Bits, 10, 32, sizeof(VR512Bits), X86_VR512RegClassID, 64, 64, 1, 1 },
+  { VR512_with_sub_xmm_in_FR32, VR512_with_sub_xmm_in_FR32Bits, 27, 16, sizeof(VR512_with_sub_xmm_in_FR32Bits), X86_VR512_with_sub_xmm_in_FR32RegClassID, 64, 64, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86ImmSize.inc 4.0.2-3/arch/X86/X86ImmSize.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86ImmSize.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86ImmSize.inc	2020-05-08 10:03:30.000000000 +0000
@@ -1,312 +1,339 @@
-{1, X86_AAD8i8},
-{1, X86_AAM8i8},
-{2, X86_ADC16i16},
-{2, X86_ADC16mi},
-{2, X86_ADC16mi8},
-{2, X86_ADC16ri},
-{2, X86_ADC16ri8},
-{4, X86_ADC32i32},
-{4, X86_ADC32mi},
-{4, X86_ADC32mi8},
-{4, X86_ADC32ri},
-{4, X86_ADC32ri8},
-{8, X86_ADC64i32},
-{8, X86_ADC64mi32},
-{8, X86_ADC64mi8},
-{8, X86_ADC64ri32},
-{8, X86_ADC64ri8},
-{1, X86_ADC8i8},
-{1, X86_ADC8mi},
-{1, X86_ADC8ri},
-{2, X86_ADD16i16},
-{2, X86_ADD16mi},
-{2, X86_ADD16mi8},
-{2, X86_ADD16ri},
-{2, X86_ADD16ri8},
-{4, X86_ADD32i32},
-{4, X86_ADD32mi},
-{4, X86_ADD32mi8},
-{4, X86_ADD32ri},
-{4, X86_ADD32ri8},
-{8, X86_ADD64i32},
-{8, X86_ADD64mi32},
-{8, X86_ADD64mi8},
-{8, X86_ADD64ri32},
-{8, X86_ADD64ri8},
-{1, X86_ADD8i8},
-{1, X86_ADD8mi},
-{1, X86_ADD8ri},
-{1, X86_ADD8ri8},
-{2, X86_AND16i16},
-{2, X86_AND16mi},
-{2, X86_AND16mi8},
-{2, X86_AND16ri},
-{2, X86_AND16ri8},
-{4, X86_AND32i32},
-{4, X86_AND32mi},
-{4, X86_AND32mi8},
-{4, X86_AND32ri},
-{4, X86_AND32ri8},
-{8, X86_AND64i32},
-{8, X86_AND64mi32},
-{8, X86_AND64mi8},
-{8, X86_AND64ri32},
-{8, X86_AND64ri8},
-{1, X86_AND8i8},
-{1, X86_AND8mi},
-{1, X86_AND8ri},
-{1, X86_AND8ri8},
-{2, X86_BT16mi8},
-{2, X86_BT16ri8},
-{4, X86_BT32mi8},
-{4, X86_BT32ri8},
-{8, X86_BT64mi8},
-{8, X86_BT64ri8},
-{2, X86_BTC16mi8},
-{2, X86_BTC16ri8},
-{4, X86_BTC32mi8},
-{4, X86_BTC32ri8},
-{8, X86_BTC64mi8},
-{8, X86_BTC64ri8},
-{2, X86_BTR16mi8},
-{2, X86_BTR16ri8},
-{4, X86_BTR32mi8},
-{4, X86_BTR32ri8},
-{8, X86_BTR64mi8},
-{8, X86_BTR64ri8},
-{2, X86_BTS16mi8},
-{2, X86_BTS16ri8},
-{4, X86_BTS32mi8},
-{4, X86_BTS32ri8},
-{8, X86_BTS64mi8},
-{8, X86_BTS64ri8},
-{2, X86_CALLpcrel16},
-{2, X86_CMP16i16},
-{2, X86_CMP16mi},
-{2, X86_CMP16mi8},
-{2, X86_CMP16ri},
-{2, X86_CMP16ri8},
-{4, X86_CMP32i32},
-{4, X86_CMP32mi},
-{4, X86_CMP32mi8},
-{4, X86_CMP32ri},
-{4, X86_CMP32ri8},
-{8, X86_CMP64i32},
-{8, X86_CMP64mi32},
-{8, X86_CMP64mi8},
-{8, X86_CMP64ri32},
-{8, X86_CMP64ri8},
-{1, X86_CMP8i8},
-{1, X86_CMP8mi},
-{1, X86_CMP8ri},
-{2, X86_IMUL16rmi8},
-{2, X86_IMUL16rri8},
-{4, X86_IMUL32rmi8},
-{4, X86_IMUL32rri8},
-{8, X86_IMUL64rmi32},
-{8, X86_IMUL64rmi8},
-{8, X86_IMUL64rri32},
-{8, X86_IMUL64rri8},
-{2, X86_IN16ri},
-{4, X86_IN32ri},
-{1, X86_IN8ri},
-{2, X86_JMP_2},
-{2, X86_MOV16mi},
-{2, X86_MOV16ri},
-{2, X86_MOV16ri_alt},
-{4, X86_MOV32mi},
-{4, X86_MOV32ri},
-{8, X86_MOV32ri64},
-{4, X86_MOV32ri_alt},
-{8, X86_MOV64mi32},
-{8, X86_MOV64ri},
-{8, X86_MOV64ri32},
-{1, X86_MOV8mi},
-{1, X86_MOV8ri},
-{1, X86_MOV8ri_alt},
-{2, X86_OR16i16},
-{2, X86_OR16mi},
-{2, X86_OR16mi8},
-{2, X86_OR16ri},
-{2, X86_OR16ri8},
-{4, X86_OR32i32},
-{4, X86_OR32mi},
-{4, X86_OR32mi8},
-{4, X86_OR32ri},
-{4, X86_OR32ri8},
-{8, X86_OR64i32},
-{8, X86_OR64mi32},
-{8, X86_OR64mi8},
-{8, X86_OR64ri32},
-{8, X86_OR64ri8},
-{1, X86_OR8i8},
-{1, X86_OR8mi},
-{1, X86_OR8ri},
-{1, X86_OR8ri8},
-{2, X86_PUSH16i8},
-{4, X86_PUSH32i8},
-{8, X86_PUSH64i16},
-{8, X86_PUSH64i32},
-{8, X86_PUSH64i8},
-{2, X86_PUSHi16},
-{4, X86_PUSHi32},
-{2, X86_RCL16mi},
-{2, X86_RCL16ri},
-{4, X86_RCL32mi},
-{4, X86_RCL32ri},
-{8, X86_RCL64mi},
-{8, X86_RCL64ri},
-{1, X86_RCL8mi},
-{1, X86_RCL8ri},
-{2, X86_RCR16mi},
-{2, X86_RCR16ri},
-{4, X86_RCR32mi},
-{4, X86_RCR32ri},
-{8, X86_RCR64mi},
-{8, X86_RCR64ri},
-{1, X86_RCR8mi},
-{1, X86_RCR8ri},
-{2, X86_ROL16mi},
-{2, X86_ROL16ri},
-{4, X86_ROL32mi},
-{4, X86_ROL32ri},
-{8, X86_ROL64mi},
-{8, X86_ROL64ri},
-{1, X86_ROL8mi},
-{1, X86_ROL8ri},
-{2, X86_ROR16mi},
-{2, X86_ROR16ri},
-{4, X86_ROR32mi},
-{4, X86_ROR32ri},
-{8, X86_ROR64mi},
-{8, X86_ROR64ri},
-{1, X86_ROR8mi},
-{1, X86_ROR8ri},
-{4, X86_RORX32mi},
-{4, X86_RORX32ri},
-{8, X86_RORX64mi},
-{8, X86_RORX64ri},
-{2, X86_SAL16mi},
-{2, X86_SAL16ri},
-{4, X86_SAL32mi},
-{4, X86_SAL32ri},
-{8, X86_SAL64mi},
-{8, X86_SAL64ri},
-{1, X86_SAL8mi},
-{1, X86_SAL8ri},
-{2, X86_SAR16mi},
-{2, X86_SAR16ri},
-{4, X86_SAR32mi},
-{4, X86_SAR32ri},
-{8, X86_SAR64mi},
-{8, X86_SAR64ri},
-{1, X86_SAR8mi},
-{1, X86_SAR8ri},
-{2, X86_SBB16i16},
-{2, X86_SBB16mi},
-{2, X86_SBB16mi8},
-{2, X86_SBB16ri},
-{2, X86_SBB16ri8},
-{4, X86_SBB32i32},
-{4, X86_SBB32mi},
-{4, X86_SBB32mi8},
-{4, X86_SBB32ri},
-{4, X86_SBB32ri8},
-{8, X86_SBB64i32},
-{8, X86_SBB64mi32},
-{8, X86_SBB64mi8},
-{8, X86_SBB64ri32},
-{8, X86_SBB64ri8},
-{1, X86_SBB8i8},
-{1, X86_SBB8mi},
-{1, X86_SBB8ri},
-{2, X86_SHL16mi},
-{2, X86_SHL16ri},
-{4, X86_SHL32mi},
-{4, X86_SHL32ri},
-{8, X86_SHL64mi},
-{8, X86_SHL64ri},
-{1, X86_SHL8mi},
-{1, X86_SHL8ri},
-{1, X86_SHLD16mri8},
-{2, X86_SHLD16rri8},
-{1, X86_SHLD32mri8},
-{4, X86_SHLD32rri8},
-{1, X86_SHLD64mri8},
-{8, X86_SHLD64rri8},
-{2, X86_SHR16mi},
-{2, X86_SHR16ri},
-{4, X86_SHR32mi},
-{4, X86_SHR32ri},
-{8, X86_SHR64mi},
-{8, X86_SHR64ri},
-{1, X86_SHR8mi},
-{1, X86_SHR8ri},
-{1, X86_SHRD16mri8},
-{2, X86_SHRD16rri8},
-{1, X86_SHRD32mri8},
-{4, X86_SHRD32rri8},
-{1, X86_SHRD64mri8},
-{8, X86_SHRD64rri8},
-{2, X86_SUB16i16},
-{2, X86_SUB16mi},
-{2, X86_SUB16mi8},
-{2, X86_SUB16ri},
-{2, X86_SUB16ri8},
-{4, X86_SUB32i32},
-{4, X86_SUB32mi},
-{4, X86_SUB32mi8},
-{4, X86_SUB32ri},
-{4, X86_SUB32ri8},
-{8, X86_SUB64i32},
-{8, X86_SUB64mi32},
-{8, X86_SUB64mi8},
-{8, X86_SUB64ri32},
-{8, X86_SUB64ri8},
-{1, X86_SUB8i8},
-{1, X86_SUB8mi},
-{1, X86_SUB8ri},
-{1, X86_SUB8ri8},
-{8, X86_TCRETURNdi64},
-{8, X86_TCRETURNmi64},
-{8, X86_TCRETURNri64},
-{2, X86_TEST16i16},
-{2, X86_TEST16mi},
-{2, X86_TEST16mi_alt},
-{2, X86_TEST16ri},
-{2, X86_TEST16ri_alt},
-{4, X86_TEST32i32},
-{4, X86_TEST32mi},
-{4, X86_TEST32mi_alt},
-{4, X86_TEST32ri},
-{4, X86_TEST32ri_alt},
-{8, X86_TEST64i32},
-{8, X86_TEST64mi32},
-{4, X86_TEST64mi32_alt},
-{8, X86_TEST64ri32},
-{4, X86_TEST64ri32_alt},
-{1, X86_TEST8i8},
-{1, X86_TEST8mi},
-{1, X86_TEST8mi_alt},
-{1, X86_TEST8ri},
-{1, X86_TEST8ri_NOREX},
-{1, X86_TEST8ri_alt},
-{2, X86_XOR16i16},
-{2, X86_XOR16mi},
-{2, X86_XOR16mi8},
-{2, X86_XOR16ri},
-{2, X86_XOR16ri8},
-{4, X86_XOR32i32},
-{4, X86_XOR32mi},
-{4, X86_XOR32mi8},
-{4, X86_XOR32ri},
-{4, X86_XOR32ri8},
-{8, X86_XOR64i32},
-{8, X86_XOR64mi32},
-{8, X86_XOR64mi8},
-{8, X86_XOR64ri32},
-{8, X86_XOR64ri8},
-{1, X86_XOR8i8},
-{1, X86_XOR8mi},
-{1, X86_XOR8ri},
-{1, X86_XOR8ri8},
+{1, 1, X86_AAD8i8},
+{1, 1, X86_AAM8i8},
+{2, 2, X86_ADC16i16},
+{2, 2, X86_ADC16mi},
+{1, 2, X86_ADC16mi8},
+{2, 2, X86_ADC16ri},
+{1, 2, X86_ADC16ri8},
+{4, 4, X86_ADC32i32},
+{4, 4, X86_ADC32mi},
+{1, 4, X86_ADC32mi8},
+{4, 4, X86_ADC32ri},
+{1, 4, X86_ADC32ri8},
+{4, 8, X86_ADC64i32},
+{4, 8, X86_ADC64mi32},
+{1, 8, X86_ADC64mi8},
+{4, 8, X86_ADC64ri32},
+{1, 8, X86_ADC64ri8},
+{1, 1, X86_ADC8i8},
+{1, 1, X86_ADC8mi},
+{1, 1, X86_ADC8mi8},
+{1, 1, X86_ADC8ri},
+{1, 1, X86_ADC8ri8},
+{2, 2, X86_ADD16i16},
+{2, 2, X86_ADD16mi},
+{1, 2, X86_ADD16mi8},
+{2, 2, X86_ADD16ri},
+{1, 2, X86_ADD16ri8},
+{4, 4, X86_ADD32i32},
+{4, 4, X86_ADD32mi},
+{1, 4, X86_ADD32mi8},
+{4, 4, X86_ADD32ri},
+{1, 4, X86_ADD32ri8},
+{4, 8, X86_ADD64i32},
+{4, 8, X86_ADD64mi32},
+{1, 8, X86_ADD64mi8},
+{4, 8, X86_ADD64ri32},
+{1, 8, X86_ADD64ri8},
+{1, 1, X86_ADD8i8},
+{1, 1, X86_ADD8mi},
+{1, 1, X86_ADD8mi8},
+{1, 1, X86_ADD8ri},
+{1, 1, X86_ADD8ri8},
+{2, 2, X86_AND16i16},
+{2, 2, X86_AND16mi},
+{1, 2, X86_AND16mi8},
+{2, 2, X86_AND16ri},
+{1, 2, X86_AND16ri8},
+{4, 4, X86_AND32i32},
+{4, 4, X86_AND32mi},
+{1, 4, X86_AND32mi8},
+{4, 4, X86_AND32ri},
+{1, 4, X86_AND32ri8},
+{4, 8, X86_AND64i32},
+{4, 8, X86_AND64mi32},
+{1, 8, X86_AND64mi8},
+{4, 8, X86_AND64ri32},
+{1, 8, X86_AND64ri8},
+{1, 1, X86_AND8i8},
+{1, 1, X86_AND8mi},
+{1, 1, X86_AND8mi8},
+{1, 1, X86_AND8ri},
+{1, 1, X86_AND8ri8},
+{1, 1, X86_BT16mi8},
+{1, 1, X86_BT16ri8},
+{1, 1, X86_BT32mi8},
+{1, 1, X86_BT32ri8},
+{1, 1, X86_BT64mi8},
+{1, 1, X86_BT64ri8},
+{1, 1, X86_BTC16mi8},
+{1, 1, X86_BTC16ri8},
+{1, 1, X86_BTC32mi8},
+{1, 1, X86_BTC32ri8},
+{1, 1, X86_BTC64mi8},
+{1, 1, X86_BTC64ri8},
+{1, 1, X86_BTR16mi8},
+{1, 1, X86_BTR16ri8},
+{1, 1, X86_BTR32mi8},
+{1, 1, X86_BTR32ri8},
+{1, 1, X86_BTR64mi8},
+{1, 1, X86_BTR64ri8},
+{1, 1, X86_BTS16mi8},
+{1, 1, X86_BTS16ri8},
+{1, 1, X86_BTS32mi8},
+{1, 1, X86_BTS32ri8},
+{1, 1, X86_BTS64mi8},
+{1, 1, X86_BTS64ri8},
+{2, 2, X86_CALLpcrel16},
+{2, 2, X86_CMP16i16},
+{2, 2, X86_CMP16mi},
+{1, 2, X86_CMP16mi8},
+{2, 2, X86_CMP16ri},
+{1, 2, X86_CMP16ri8},
+{4, 4, X86_CMP32i32},
+{4, 4, X86_CMP32mi},
+{1, 4, X86_CMP32mi8},
+{4, 4, X86_CMP32ri},
+{1, 4, X86_CMP32ri8},
+{4, 8, X86_CMP64i32},
+{4, 8, X86_CMP64mi32},
+{1, 8, X86_CMP64mi8},
+{4, 8, X86_CMP64ri32},
+{1, 8, X86_CMP64ri8},
+{1, 1, X86_CMP8i8},
+{1, 1, X86_CMP8mi},
+{1, 1, X86_CMP8mi8},
+{1, 1, X86_CMP8ri},
+{1, 1, X86_CMP8ri8},
+{1, 2, X86_IMUL16rmi8},
+{1, 2, X86_IMUL16rri8},
+{1, 4, X86_IMUL32rmi8},
+{1, 4, X86_IMUL32rri8},
+{4, 8, X86_IMUL64rmi32},
+{1, 8, X86_IMUL64rmi8},
+{4, 8, X86_IMUL64rri32},
+{1, 8, X86_IMUL64rri8},
+{2, 2, X86_IN16ri},
+{4, 4, X86_IN32ri},
+{1, 1, X86_IN8ri},
+{2, 2, X86_JMP_2},
+{2, 2, X86_MOV16mi},
+{2, 2, X86_MOV16ri},
+{2, 2, X86_MOV16ri_alt},
+{4, 4, X86_MOV32mi},
+{4, 4, X86_MOV32ri},
+{8, 8, X86_MOV32ri64},
+{4, 4, X86_MOV32ri_alt},
+{4, 8, X86_MOV64mi32},
+{8, 8, X86_MOV64ri},
+{4, 8, X86_MOV64ri32},
+{1, 1, X86_MOV8mi},
+{1, 1, X86_MOV8ri},
+{1, 1, X86_MOV8ri_alt},
+{2, 2, X86_OR16i16},
+{2, 2, X86_OR16mi},
+{1, 2, X86_OR16mi8},
+{2, 2, X86_OR16ri},
+{1, 2, X86_OR16ri8},
+{4, 4, X86_OR32i32},
+{4, 4, X86_OR32mi},
+{1, 4, X86_OR32mi8},
+{4, 4, X86_OR32ri},
+{1, 4, X86_OR32ri8},
+{4, 8, X86_OR64i32},
+{4, 8, X86_OR64mi32},
+{1, 8, X86_OR64mi8},
+{4, 8, X86_OR64ri32},
+{1, 8, X86_OR64ri8},
+{1, 1, X86_OR8i8},
+{1, 1, X86_OR8mi},
+{1, 1, X86_OR8mi8},
+{1, 1, X86_OR8ri},
+{1, 1, X86_OR8ri8},
+{1, 2, X86_PUSH16i8},
+{1, 4, X86_PUSH32i8},
+{2, 8, X86_PUSH64i16},
+{4, 8, X86_PUSH64i32},
+{1, 8, X86_PUSH64i8},
+{2, 2, X86_PUSHi16},
+{4, 4, X86_PUSHi32},
+{1, 1, X86_RCL16mi},
+{1, 1, X86_RCL16ri},
+{1, 1, X86_RCL32mi},
+{1, 1, X86_RCL32ri},
+{1, 1, X86_RCL64mi},
+{1, 1, X86_RCL64ri},
+{1, 1, X86_RCL8mi},
+{1, 1, X86_RCL8ri},
+{1, 1, X86_RCR16mi},
+{1, 1, X86_RCR16ri},
+{1, 1, X86_RCR32mi},
+{1, 1, X86_RCR32ri},
+{1, 1, X86_RCR64mi},
+{1, 1, X86_RCR64ri},
+{1, 1, X86_RCR8mi},
+{1, 1, X86_RCR8ri},
+{4, 4, X86_RELEASE_ADD32mi},
+{4, 8, X86_RELEASE_ADD64mi32},
+{1, 1, X86_RELEASE_ADD8mi},
+{4, 4, X86_RELEASE_AND32mi},
+{4, 8, X86_RELEASE_AND64mi32},
+{1, 1, X86_RELEASE_AND8mi},
+{2, 2, X86_RELEASE_MOV16mi},
+{4, 4, X86_RELEASE_MOV32mi},
+{4, 8, X86_RELEASE_MOV64mi32},
+{1, 1, X86_RELEASE_MOV8mi},
+{4, 4, X86_RELEASE_OR32mi},
+{4, 8, X86_RELEASE_OR64mi32},
+{1, 1, X86_RELEASE_OR8mi},
+{4, 4, X86_RELEASE_XOR32mi},
+{4, 8, X86_RELEASE_XOR64mi32},
+{1, 1, X86_RELEASE_XOR8mi},
+{1, 1, X86_ROL16mi},
+{1, 1, X86_ROL16ri},
+{1, 1, X86_ROL32mi},
+{1, 1, X86_ROL32ri},
+{1, 1, X86_ROL64mi},
+{1, 1, X86_ROL64ri},
+{1, 1, X86_ROL8mi},
+{1, 1, X86_ROL8ri},
+{1, 1, X86_ROR16mi},
+{1, 1, X86_ROR16ri},
+{1, 1, X86_ROR32mi},
+{1, 1, X86_ROR32ri},
+{1, 1, X86_ROR64mi},
+{1, 1, X86_ROR64ri},
+{1, 1, X86_ROR8mi},
+{1, 1, X86_ROR8ri},
+{4, 4, X86_RORX32mi},
+{4, 4, X86_RORX32ri},
+{8, 8, X86_RORX64mi},
+{8, 8, X86_RORX64ri},
+{1, 1, X86_SAL16mi},
+{1, 1, X86_SAL16ri},
+{1, 1, X86_SAL32mi},
+{1, 1, X86_SAL32ri},
+{1, 1, X86_SAL64mi},
+{1, 1, X86_SAL64ri},
+{1, 1, X86_SAL8mi},
+{1, 1, X86_SAL8ri},
+{1, 1, X86_SAR16mi},
+{1, 1, X86_SAR16ri},
+{1, 1, X86_SAR32mi},
+{1, 1, X86_SAR32ri},
+{1, 1, X86_SAR64mi},
+{1, 1, X86_SAR64ri},
+{1, 1, X86_SAR8mi},
+{1, 1, X86_SAR8ri},
+{2, 2, X86_SBB16i16},
+{2, 2, X86_SBB16mi},
+{1, 2, X86_SBB16mi8},
+{2, 2, X86_SBB16ri},
+{1, 2, X86_SBB16ri8},
+{4, 4, X86_SBB32i32},
+{4, 4, X86_SBB32mi},
+{1, 4, X86_SBB32mi8},
+{4, 4, X86_SBB32ri},
+{1, 4, X86_SBB32ri8},
+{4, 8, X86_SBB64i32},
+{4, 8, X86_SBB64mi32},
+{1, 8, X86_SBB64mi8},
+{4, 8, X86_SBB64ri32},
+{1, 8, X86_SBB64ri8},
+{1, 1, X86_SBB8i8},
+{1, 1, X86_SBB8mi},
+{1, 1, X86_SBB8mi8},
+{1, 1, X86_SBB8ri},
+{1, 1, X86_SBB8ri8},
+{1, 1, X86_SHL16mi},
+{1, 1, X86_SHL16ri},
+{1, 1, X86_SHL32mi},
+{1, 1, X86_SHL32ri},
+{1, 1, X86_SHL64mi},
+{1, 1, X86_SHL64ri},
+{1, 1, X86_SHL8mi},
+{1, 1, X86_SHL8ri},
+{1, 1, X86_SHLD16mri8},
+{1, 1, X86_SHLD16rri8},
+{1, 1, X86_SHLD32mri8},
+{1, 1, X86_SHLD32rri8},
+{1, 1, X86_SHLD64mri8},
+{1, 1, X86_SHLD64rri8},
+{1, 1, X86_SHR16mi},
+{1, 1, X86_SHR16ri},
+{1, 1, X86_SHR32mi},
+{1, 1, X86_SHR32ri},
+{1, 1, X86_SHR64mi},
+{1, 1, X86_SHR64ri},
+{1, 1, X86_SHR8mi},
+{1, 1, X86_SHR8ri},
+{1, 1, X86_SHRD16mri8},
+{1, 1, X86_SHRD16rri8},
+{1, 1, X86_SHRD32mri8},
+{1, 1, X86_SHRD32rri8},
+{1, 1, X86_SHRD64mri8},
+{1, 1, X86_SHRD64rri8},
+{2, 2, X86_SUB16i16},
+{2, 2, X86_SUB16mi},
+{1, 2, X86_SUB16mi8},
+{2, 2, X86_SUB16ri},
+{1, 2, X86_SUB16ri8},
+{4, 4, X86_SUB32i32},
+{4, 4, X86_SUB32mi},
+{1, 4, X86_SUB32mi8},
+{4, 4, X86_SUB32ri},
+{1, 4, X86_SUB32ri8},
+{4, 8, X86_SUB64i32},
+{4, 8, X86_SUB64mi32},
+{1, 8, X86_SUB64mi8},
+{4, 8, X86_SUB64ri32},
+{1, 8, X86_SUB64ri8},
+{1, 1, X86_SUB8i8},
+{1, 1, X86_SUB8mi},
+{1, 1, X86_SUB8mi8},
+{1, 1, X86_SUB8ri},
+{1, 1, X86_SUB8ri8},
+{8, 8, X86_TCRETURNdi64},
+{8, 8, X86_TCRETURNmi64},
+{8, 8, X86_TCRETURNri64},
+{2, 2, X86_TEST16i16},
+{2, 2, X86_TEST16mi},
+{2, 2, X86_TEST16mi_alt},
+{2, 2, X86_TEST16ri},
+{2, 2, X86_TEST16ri_alt},
+{4, 4, X86_TEST32i32},
+{4, 4, X86_TEST32mi},
+{4, 4, X86_TEST32mi_alt},
+{4, 4, X86_TEST32ri},
+{4, 4, X86_TEST32ri_alt},
+{4, 8, X86_TEST64i32},
+{4, 8, X86_TEST64mi32},
+{4, 4, X86_TEST64mi32_alt},
+{4, 8, X86_TEST64ri32},
+{4, 4, X86_TEST64ri32_alt},
+{1, 1, X86_TEST8i8},
+{1, 1, X86_TEST8mi},
+{1, 1, X86_TEST8mi_alt},
+{1, 1, X86_TEST8ri},
+{1, 1, X86_TEST8ri_NOREX},
+{1, 1, X86_TEST8ri_alt},
+{2, 2, X86_XOR16i16},
+{2, 2, X86_XOR16mi},
+{1, 2, X86_XOR16mi8},
+{2, 2, X86_XOR16ri},
+{1, 2, X86_XOR16ri8},
+{4, 4, X86_XOR32i32},
+{4, 4, X86_XOR32mi},
+{1, 4, X86_XOR32mi8},
+{4, 4, X86_XOR32ri},
+{1, 4, X86_XOR32ri8},
+{4, 8, X86_XOR64i32},
+{4, 8, X86_XOR64mi32},
+{1, 8, X86_XOR64mi8},
+{4, 8, X86_XOR64ri32},
+{1, 8, X86_XOR64ri8},
+{1, 1, X86_XOR8i8},
+{1, 1, X86_XOR8mi},
+{1, 1, X86_XOR8mi8},
+{1, 1, X86_XOR8ri},
+{1, 1, X86_XOR8ri8},
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86InstPrinter.h 4.0.2-3/arch/X86/X86InstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86InstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86InstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_X86_INSTPRINTER_H
 #define CS_X86_INSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86IntelInstPrinter.c 4.0.2-3/arch/X86/X86IntelInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86IntelInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86IntelInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -13,14 +13,20 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_X86
 
+#if defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64)
+#pragma warning(disable:4996)			// disable MSVC's warning on strncpy()
+#pragma warning(disable:28719)		// disable MSVC's warning on strncpy()
+#endif
+
 #if !defined(CAPSTONE_HAS_OSXKERNEL)
 #include <ctype.h>
 #endif
-#include <platform.h>
+#include <capstone/platform.h>
+
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
 #include <libkern/libkern.h>
@@ -35,6 +41,7 @@
 #include "../../SStream.h"
 #include "../../MCRegisterInfo.h"
 
+#include "X86InstPrinter.h"
 #include "X86Mapping.h"
 
 #define GET_INSTRINFO_ENUM
@@ -64,26 +71,71 @@ static void set_mem_access(MCInst *MI, b
 
 static void printopaquemem(MCInst *MI, unsigned OpNo, SStream *O)
 {
-	SStream_concat0(O, "ptr ");
+	// FIXME: do this with autogen
+	// printf(">>> ID = %u\n", MI->flat_insn->id);
+	switch(MI->flat_insn->id) {
+		default:
+			SStream_concat0(O, "ptr ");
+			break;
+		case X86_INS_SGDT:
+		case X86_INS_SIDT:
+		case X86_INS_LGDT:
+		case X86_INS_LIDT:
+		case X86_INS_FXRSTOR:
+		case X86_INS_FXSAVE:
+		case X86_INS_LJMP:
+		case X86_INS_LCALL:
+			// do not print "ptr"
+			break;
+	}
 
 	switch(MI->csh->mode) {
 		case CS_MODE_16:
-			if (MI->flat_insn->id == X86_INS_LJMP || MI->flat_insn->id == X86_INS_LCALL)
-				MI->x86opsize = 4;
-			else
-				MI->x86opsize = 2;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 2;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+					MI->x86opsize = 4;
+					break;
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 6;
+					break;
+			}
 			break;
 		case CS_MODE_32:
-			if (MI->flat_insn->id == X86_INS_LJMP || MI->flat_insn->id == X86_INS_LCALL)
-				MI->x86opsize = 6;
-			else
-				MI->x86opsize = 4;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 4;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 6;
+					break;
+			}
 			break;
 		case CS_MODE_64:
-			if (MI->flat_insn->id == X86_INS_LJMP || MI->flat_insn->id == X86_INS_LCALL)
-				MI->x86opsize = 10;
-			else
-				MI->x86opsize = 8;
+			switch(MI->flat_insn->id) {
+				default:
+					MI->x86opsize = 8;
+					break;
+				case X86_INS_LJMP:
+				case X86_INS_LCALL:
+				case X86_INS_SGDT:
+				case X86_INS_SIDT:
+				case X86_INS_LGDT:
+				case X86_INS_LIDT:
+					MI->x86opsize = 10;
+					break;
+			}
 			break;
 		default:	// never reach
 			break;
@@ -144,8 +196,34 @@ static void printi512mem(MCInst *MI, uns
 
 static void printf32mem(MCInst *MI, unsigned OpNo, SStream *O)
 {
-	SStream_concat0(O, "dword ptr ");
-	MI->x86opsize = 4;
+	switch(MCInst_getOpcode(MI)) {
+		default:
+			SStream_concat0(O, "dword ptr ");
+			MI->x86opsize = 4;
+			break;
+		case X86_FBSTPm:
+		case X86_FBLDm:
+			// TODO: fix this in tablegen instead
+			SStream_concat0(O, "tbyte ptr ");
+			MI->x86opsize = 10;
+			break;
+		case X86_FSTENVm:
+		case X86_FLDENVm:
+			// TODO: fix this in tablegen instead
+			switch(MI->csh->mode) {
+				default:    // never reach
+					break;
+				case CS_MODE_16:
+					MI->x86opsize = 14;
+					break;
+				case CS_MODE_32:
+				case CS_MODE_64:
+					MI->x86opsize = 28;
+					break;
+			}
+			break;
+	}
+
 	printMemReference(MI, OpNo, O);
 }
 
@@ -186,7 +264,7 @@ static void printf512mem(MCInst *MI, uns
 
 static void printSSECC(MCInst *MI, unsigned Op, SStream *OS)
 {
-	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 7;
+	uint8_t Imm = (uint8_t)(MCOperand_getImm(MCInst_getOperand(MI, Op)) & 7);
 	switch (Imm) {
 		default: break;	// never reach
 		case    0: SStream_concat0(OS, "eq"); op_addSseCC(MI, X86_SSE_CC_EQ); break;
@@ -197,20 +275,14 @@ static void printSSECC(MCInst *MI, unsig
 		case    5: SStream_concat0(OS, "nlt"); op_addSseCC(MI, X86_SSE_CC_NLT); break;
 		case    6: SStream_concat0(OS, "nle"); op_addSseCC(MI, X86_SSE_CC_NLE); break;
 		case    7: SStream_concat0(OS, "ord"); op_addSseCC(MI, X86_SSE_CC_ORD); break;
-		case    8: SStream_concat0(OS, "eq_uq"); op_addSseCC(MI, X86_SSE_CC_EQ_UQ); break;
-		case    9: SStream_concat0(OS, "nge"); op_addSseCC(MI, X86_SSE_CC_NGE); break;
-		case  0xa: SStream_concat0(OS, "ngt"); op_addSseCC(MI, X86_SSE_CC_NGT); break;
-		case  0xb: SStream_concat0(OS, "false"); op_addSseCC(MI, X86_SSE_CC_FALSE); break;
-		case  0xc: SStream_concat0(OS, "neq_oq"); op_addSseCC(MI, X86_SSE_CC_NEQ_OQ); break;
-		case  0xd: SStream_concat0(OS, "ge"); op_addSseCC(MI, X86_SSE_CC_GE); break;
-		case  0xe: SStream_concat0(OS, "gt"); op_addSseCC(MI, X86_SSE_CC_GT); break;
-		case  0xf: SStream_concat0(OS, "true"); op_addSseCC(MI, X86_SSE_CC_TRUE); break;
 	}
+
+	MI->popcode_adjust = Imm + 1;
 }
 
 static void printAVXCC(MCInst *MI, unsigned Op, SStream *O)
 {
-	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0x1f;
+	uint8_t Imm = (uint8_t)(MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0x1f);
 	switch (Imm) {
 		default: break;//printf("Invalid avxcc argument!\n"); break;
 		case    0: SStream_concat0(O, "eq"); op_addAvxCC(MI, X86_AVX_CC_EQ); break;
@@ -246,6 +318,25 @@ static void printAVXCC(MCInst *MI, unsig
 		case 0x1e: SStream_concat0(O, "gt_oq"); op_addAvxCC(MI, X86_AVX_CC_GT_OQ); break;
 		case 0x1f: SStream_concat0(O, "true_us"); op_addAvxCC(MI, X86_AVX_CC_TRUE_US); break;
 	}
+
+	MI->popcode_adjust = Imm + 1;
+}
+
+static void printXOPCC(MCInst *MI, unsigned Op, SStream *O)
+{
+	int64_t Imm = MCOperand_getImm(MCInst_getOperand(MI, Op));
+
+	switch (Imm) {
+		default: // llvm_unreachable("Invalid xopcc argument!");
+		case 0: SStream_concat0(O, "lt"); op_addXopCC(MI, X86_XOP_CC_LT); break;
+		case 1: SStream_concat0(O, "le"); op_addXopCC(MI, X86_XOP_CC_LE); break;
+		case 2: SStream_concat0(O, "gt"); op_addXopCC(MI, X86_XOP_CC_GT); break;
+		case 3: SStream_concat0(O, "ge"); op_addXopCC(MI, X86_XOP_CC_GE); break;
+		case 4: SStream_concat0(O, "eq"); op_addXopCC(MI, X86_XOP_CC_EQ); break;
+		case 5: SStream_concat0(O, "neq"); op_addXopCC(MI, X86_XOP_CC_NEQ); break;
+		case 6: SStream_concat0(O, "false"); op_addXopCC(MI, X86_XOP_CC_FALSE); break;
+		case 7: SStream_concat0(O, "true"); op_addXopCC(MI, X86_XOP_CC_TRUE); break;
+	}
 }
 
 static void printRoundingControl(MCInst *MI, unsigned Op, SStream *O)
@@ -268,6 +359,123 @@ static void printRegName(SStream *OS, un
 	SStream_concat0(OS, getRegisterName(RegNo));
 }
 
+// for MASM syntax, 0x123 = 123h, 0xA123 = 0A123h
+// this function tell us if we need to have prefix 0 in front of a number
+static bool need_zero_prefix(uint64_t imm)
+{
+	// find the first hex letter representing imm
+	while(imm >= 0x10)
+		imm >>= 4;
+
+	if (imm < 0xa)
+		return false;
+	else	// this need 0 prefix
+		return true;
+}
+
+static void printImm(MCInst *MI, SStream *O, int64_t imm, bool positive)
+{
+	if (positive) {
+		// always print this number in positive form
+		if (MI->csh->syntax == CS_OPT_SYNTAX_MASM) {
+			if (imm < 0) {
+				if (MI->op1_size) {
+					switch(MI->op1_size) {
+						default:
+							break;
+						case 1:
+							imm &= 0xff;
+							break;
+						case 2:
+							imm &= 0xffff;
+							break;
+						case 4:
+							imm &= 0xffffffff;
+							break;
+					}
+				}
+
+				if (imm == 0x8000000000000000LL)  // imm == -imm
+					SStream_concat0(O, "8000000000000000h");
+				else if (need_zero_prefix(imm))
+					SStream_concat(O, "0%"PRIx64"h", imm);
+				else
+					SStream_concat(O, "%"PRIx64"h", imm);
+			} else {
+				if (imm > HEX_THRESHOLD) {
+					if (need_zero_prefix(imm))
+						SStream_concat(O, "0%"PRIx64"h", imm);
+					else
+						SStream_concat(O, "%"PRIx64"h", imm);
+				} else
+					SStream_concat(O, "%"PRIu64, imm);
+			}
+		} else {	// Intel syntax
+			if (imm < 0) {
+				if (MI->op1_size) {
+					switch(MI->op1_size) {
+						default:
+							break;
+						case 1:
+							imm &= 0xff;
+							break;
+						case 2:
+							imm &= 0xffff;
+							break;
+						case 4:
+							imm &= 0xffffffff;
+							break;
+					}
+				}
+
+				SStream_concat(O, "0x%"PRIx64, imm);
+			} else {
+				if (imm > HEX_THRESHOLD)
+					SStream_concat(O, "0x%"PRIx64, imm);
+				else
+					SStream_concat(O, "%"PRIu64, imm);
+			}
+		}
+	} else {
+		if (MI->csh->syntax == CS_OPT_SYNTAX_MASM) {
+			if (imm < 0) {
+				if (imm == 0x8000000000000000LL)  // imm == -imm
+					SStream_concat0(O, "8000000000000000h");
+				else if (imm < -HEX_THRESHOLD) {
+					if (need_zero_prefix(imm))
+						SStream_concat(O, "-0%"PRIx64"h", -imm);
+					else
+						SStream_concat(O, "-%"PRIx64"h", -imm);
+				} else
+					SStream_concat(O, "-%"PRIu64, -imm);
+			} else {
+				if (imm > HEX_THRESHOLD) {
+					if (need_zero_prefix(imm))
+						SStream_concat(O, "0%"PRIx64"h", imm);
+					else
+						SStream_concat(O, "%"PRIx64"h", imm);
+				} else
+					SStream_concat(O, "%"PRIu64, imm);
+			}
+		} else {	// Intel syntax
+			if (imm < 0) {
+				if (imm == 0x8000000000000000LL)  // imm == -imm
+					SStream_concat0(O, "0x8000000000000000");
+				else if (imm < -HEX_THRESHOLD)
+					SStream_concat(O, "-0x%"PRIx64, -imm);
+				else
+					SStream_concat(O, "-%"PRIu64, -imm);
+
+			} else {
+				if (imm > HEX_THRESHOLD)
+					SStream_concat(O, "0x%"PRIx64, imm);
+				else
+					SStream_concat(O, "%"PRIu64, imm);
+			}
+		}
+	}
+}
+
 // local printOperand, without updating public operands
 static void _printOperand(MCInst *MI, unsigned OpNo, SStream *O)
 {
@@ -276,9 +484,36 @@ static void _printOperand(MCInst *MI, un
 		printRegName(O, MCOperand_getReg(Op));
 	} else if (MCOperand_isImm(Op)) {
 		int64_t imm = MCOperand_getImm(Op);
-		printInt64(O, imm);
+		printImm(MI, O, imm, MI->csh->imm_unsigned);
+	}
+}
+
+#ifndef CAPSTONE_DIET
+// copy & normalize access info
+static void get_op_access(cs_struct *h, unsigned int id, uint8_t *access, uint64_t *eflags)
+{
+#ifndef CAPSTONE_DIET
+	uint8_t i;
+	uint8_t *arr = X86_get_op_access(h, id, eflags);
+
+	if (!arr) {
+		access[0] = 0;
+		return;
+	}
+
+	// copy to access but zero out CS_AC_IGNORE
+	for(i = 0; arr[i]; i++) {
+		if (arr[i] != CS_AC_IGNORE)
+			access[i] = arr[i];
+		else
+			access[i] = 0;
 	}
+
+	// mark the end of array
+	access[i] = 0;
+#endif
 }
+#endif
 
 static void printSrcIdx(MCInst *MI, unsigned Op, SStream *O)
 {
@@ -286,6 +521,10 @@ static void printSrcIdx(MCInst *MI, unsi
 	int reg;
 
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6];
+#endif
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -293,6 +532,11 @@ static void printSrcIdx(MCInst *MI, unsi
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
 	}
 
 	SegReg = MCInst_getOperand(MI, Op+1);
@@ -317,6 +561,10 @@ static void printSrcIdx(MCInst *MI, unsi
 static void printDstIdx(MCInst *MI, unsigned Op, SStream *O)
 {
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6];
+#endif
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -324,6 +572,11 @@ static void printDstIdx(MCInst *MI, unsi
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
 	}
 
 	// DI accesses are always ES-based on non-64bit mode
@@ -341,56 +594,56 @@ static void printDstIdx(MCInst *MI, unsi
 	set_mem_access(MI, false);
 }
 
-void printSrcIdx8(MCInst *MI, unsigned OpNo, SStream *O)
+static void printSrcIdx8(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "byte ptr ");
 	MI->x86opsize = 1;
 	printSrcIdx(MI, OpNo, O);
 }
 
-void printSrcIdx16(MCInst *MI, unsigned OpNo, SStream *O)
+static void printSrcIdx16(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "word ptr ");
 	MI->x86opsize = 2;
 	printSrcIdx(MI, OpNo, O);
 }
 
-void printSrcIdx32(MCInst *MI, unsigned OpNo, SStream *O)
+static void printSrcIdx32(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "dword ptr ");
 	MI->x86opsize = 4;
 	printSrcIdx(MI, OpNo, O);
 }
 
-void printSrcIdx64(MCInst *MI, unsigned OpNo, SStream *O)
+static void printSrcIdx64(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "qword ptr ");
 	MI->x86opsize = 8;
 	printSrcIdx(MI, OpNo, O);
 }
 
-void printDstIdx8(MCInst *MI, unsigned OpNo, SStream *O)
+static void printDstIdx8(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "byte ptr ");
 	MI->x86opsize = 1;
 	printDstIdx(MI, OpNo, O);
 }
 
-void printDstIdx16(MCInst *MI, unsigned OpNo, SStream *O)
+static void printDstIdx16(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "word ptr ");
 	MI->x86opsize = 2;
 	printDstIdx(MI, OpNo, O);
 }
 
-void printDstIdx32(MCInst *MI, unsigned OpNo, SStream *O)
+static void printDstIdx32(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "dword ptr ");
 	MI->x86opsize = 4;
 	printDstIdx(MI, OpNo, O);
 }
 
-void printDstIdx64(MCInst *MI, unsigned OpNo, SStream *O)
+static void printDstIdx64(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "qword ptr ");
 	MI->x86opsize = 8;
@@ -404,6 +657,10 @@ static void printMemOffset(MCInst *MI, u
 	int reg;
 
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6];
+#endif
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -411,6 +668,11 @@ static void printMemOffset(MCInst *MI, u
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = X86_REG_INVALID;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = 1;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
 	}
 
 	// If this has a segment register, print it.
@@ -429,14 +691,11 @@ static void printMemOffset(MCInst *MI, u
 		int64_t imm = MCOperand_getImm(DispSpec);
 		if (MI->csh->detail)
 			MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = imm;
-		if (imm < 0) {
-			SStream_concat(O, "0x%"PRIx64, arch_masks[MI->csh->mode] & imm);
-		} else {
-			if (imm > HEX_THRESHOLD)
-				SStream_concat(O, "0x%"PRIx64, imm);
-			else
-				SStream_concat(O, "%"PRIu64, imm);
-		}
+
+		if (imm < 0)
+			printImm(MI, O, arch_masks[MI->csh->mode] & imm, true);
+		else
+			printImm(MI, O, imm, true);
 	}
 
 	SStream_concat0(O, "]");
@@ -448,6 +707,32 @@ static void printMemOffset(MCInst *MI, u
 		MI->op1_size = MI->x86opsize;
 }
 
+#ifndef CAPSTONE_X86_REDUCE
+static void printU8Imm(MCInst *MI, unsigned Op, SStream *O)
+{
+	uint8_t val = MCOperand_getImm(MCInst_getOperand(MI, Op)) & 0xff;
+
+	printImm(MI, O, val, true);
+
+	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6];
+#endif
+
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_IMM;
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = val;
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = 1;
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
+
+		MI->flat_insn->detail->x86.op_count++;
+	}
+}
+#endif
+
 static void printMemOffs8(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	SStream_concat0(O, "byte ptr ");
@@ -483,10 +768,19 @@ static void printInstruction(MCInst *MI,
 
 void X86_Intel_printInst(MCInst *MI, SStream *O, void *Info)
 {
-	x86_reg reg, reg2;
 #ifndef CAPSTONE_DIET
 	char *mnem;
-	
+#endif
+	x86_reg reg, reg2;
+	enum cs_ac_type access1, access2;
+
+	// perhaps this instruction does not need printer
+	if (MI->assembly[0]) {
+		strncpy(O->buffer, MI->assembly, sizeof(O->buffer));
+		return;
+	}
+
+#ifndef CAPSTONE_DIET
 	// Try to print any aliases first.
 	mnem = printAliasInstr(MI, O, Info);
 	if (mnem)
@@ -495,8 +789,12 @@ void X86_Intel_printInst(MCInst *MI, SSt
 #endif
 		printInstruction(MI, O, Info);
 
-	reg = X86_insn_reg_intel(MCInst_getOpcode(MI));
+	reg = X86_insn_reg_intel(MCInst_getOpcode(MI), &access1);
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6] = {0};
+#endif
+
 		// first op can be embedded in the asm by llvm.
 		// so we have to add the missing register as the first operand
 		if (reg) {
@@ -506,19 +804,27 @@ void X86_Intel_printInst(MCInst *MI, SSt
 			MI->flat_insn->detail->x86.operands[0].type = X86_OP_REG;
 			MI->flat_insn->detail->x86.operands[0].reg = reg;
 			MI->flat_insn->detail->x86.operands[0].size = MI->csh->regsize_map[reg];
-			MI->flat_insn->detail->x86.operands[1].size = MI->csh->regsize_map[reg];
+			MI->flat_insn->detail->x86.operands[0].access = access1;
 			MI->flat_insn->detail->x86.op_count++;
 		} else {
-			if (X86_insn_reg_intel2(MCInst_getOpcode(MI), &reg, &reg2)) {
+			if (X86_insn_reg_intel2(MCInst_getOpcode(MI), &reg, &access1, &reg2, &access2)) {
 				MI->flat_insn->detail->x86.operands[0].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[0].reg = reg;
 				MI->flat_insn->detail->x86.operands[0].size = MI->csh->regsize_map[reg];
+				MI->flat_insn->detail->x86.operands[0].access = access1;
 				MI->flat_insn->detail->x86.operands[1].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[1].reg = reg2;
 				MI->flat_insn->detail->x86.operands[1].size = MI->csh->regsize_map[reg2];
+				MI->flat_insn->detail->x86.operands[1].access = access2;
 				MI->flat_insn->detail->x86.op_count = 2;
 			}
 		}
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[0].access = access[0];
+		MI->flat_insn->detail->x86.operands[1].access = access[1];
+#endif
 	}
 
 	if (MI->op1_size == 0 && reg)
@@ -532,6 +838,7 @@ static void printPCRelImm(MCInst *MI, un
 	MCOperand *Op = MCInst_getOperand(MI, OpNo);
 	if (MCOperand_isImm(Op)) {
 		int64_t imm = MCOperand_getImm(Op) + MI->flat_insn->size + MI->address;
+		uint8_t opsize = X86_immediate_size(MI->Opcode, NULL);
 
 		// truncat imm for non-64bit
 		if (MI->csh->mode != CS_MODE_64) {
@@ -551,22 +858,28 @@ static void printPCRelImm(MCInst *MI, un
 		if (MI->Opcode == X86_CALLpcrel16 || MI->Opcode == X86_JMP_2)
 			imm = imm & 0xffff;
 
-		if (imm < 0) {
-			SStream_concat(O, "0x%"PRIx64, imm);
-		} else {
-			if (imm > HEX_THRESHOLD)
-				SStream_concat(O, "0x%"PRIx64, imm);
-			else
-				SStream_concat(O, "%"PRIu64, imm);
-		}
+		printImm(MI, O, imm, true);
+
 		if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+			uint8_t access[6];
+#endif
+
 			MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_IMM;
 			// if op_count > 0, then this operand's size is taken from the destination op
 			if (MI->flat_insn->detail->x86.op_count > 0)
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->flat_insn->detail->x86.operands[0].size;
+			else if (opsize > 0)
+				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = opsize;
 			else
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->imm_size;
 			MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = imm;
+
+#ifndef CAPSTONE_DIET
+			get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+			MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
+
 			MI->flat_insn->detail->x86.op_count++;
 		}
 
@@ -575,22 +888,6 @@ static void printPCRelImm(MCInst *MI, un
 	}
 }
 
-static void printImm(int syntax, SStream *O, int64_t imm, bool positive)
-{
-	if (positive) {
-		if (imm < 0) {
-			SStream_concat(O, "0x%"PRIx64, imm);
-		} else {
-			if (imm > HEX_THRESHOLD)
-				SStream_concat(O, "0x%"PRIx64, imm);
-			else
-				SStream_concat(O, "%"PRIu64, imm);
-		}
-	} else {
-		printInt64(O, imm);
-	}
-}
-
 static void printOperand(MCInst *MI, unsigned OpNo, SStream *O)
 {
 	MCOperand *Op  = MCInst_getOperand(MI, OpNo);
@@ -603,10 +900,19 @@ static void printOperand(MCInst *MI, uns
 			if (MI->csh->doing_mem) {
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.base = reg;
 			} else {
+#ifndef CAPSTONE_DIET
+				uint8_t access[6];
+#endif
+
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_REG;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].reg = reg;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->csh->regsize_map[reg];
 
+#ifndef CAPSTONE_DIET
+				get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
+
 				MI->flat_insn->detail->x86.op_count++;
 			}
 		}
@@ -614,20 +920,22 @@ static void printOperand(MCInst *MI, uns
 		if (MI->op1_size == 0)
 			MI->op1_size = MI->csh->regsize_map[reg];
 	} else if (MCOperand_isImm(Op)) {
+		uint8_t encsize;
 		int64_t imm = MCOperand_getImm(Op);
-		int opsize = X86_immediate_size(MCInst_getOpcode(MI));
+		uint8_t opsize = X86_immediate_size(MCInst_getOpcode(MI), &encsize);
+
 		if (opsize == 1)    // print 1 byte immediate in positive form
 			imm = imm & 0xff;
 
 		// printf(">>> id = %u\n", MI->flat_insn->id);
 		switch(MI->flat_insn->id) {
 			default:
-				printImm(MI->csh->syntax, O, imm, false);
+				printImm(MI, O, imm, MI->csh->imm_unsigned);
 				break;
 
 			case X86_INS_MOVABS:
 				// do not print number in negative form
-				printImm(MI->csh->syntax, O, imm, true);
+				printImm(MI, O, imm, true);
 				break;
 
 			case X86_INS_IN:
@@ -635,7 +943,7 @@ static void printOperand(MCInst *MI, uns
 			case X86_INS_INT:
 				// do not print number in negative form
 				imm = imm & 0xff;
-				printImm(MI->csh->syntax, O, imm, true);
+				printImm(MI, O, imm, true);
 				break;
 
 			case X86_INS_LCALL:
@@ -645,7 +953,7 @@ static void printOperand(MCInst *MI, uns
 					imm = imm & 0xffff;
 					opsize = 2;
 				}
-				printImm(MI->csh->syntax, O, imm, true);
+				printImm(MI, O, imm, true);
 				break;
 
 			case X86_INS_AND:
@@ -653,10 +961,10 @@ static void printOperand(MCInst *MI, uns
 			case X86_INS_XOR:
 				// do not print number in negative form
 				if (imm >= 0 && imm <= HEX_THRESHOLD)
-					printImm(MI->csh->syntax, O, imm, true);
+					printImm(MI, O, imm, true);
 				else {
 					imm = arch_masks[opsize? opsize : MI->imm_size] & imm;
-					printImm(MI->csh->syntax, O, imm, true);
+					printImm(MI, O, imm, true);
 				}
 				break;
 
@@ -664,10 +972,10 @@ static void printOperand(MCInst *MI, uns
 			case X86_INS_RETF:
 				// RET imm16
 				if (imm >= 0 && imm <= HEX_THRESHOLD)
-					printImm(MI->csh->syntax, O, imm, true);
+					printImm(MI, O, imm, true);
 				else {
 					imm = 0xffff & imm;
-					printImm(MI->csh->syntax, O, imm, true);
+					printImm(MI, O, imm, true);
 				}
 				break;
 		}
@@ -676,10 +984,15 @@ static void printOperand(MCInst *MI, uns
 			if (MI->csh->doing_mem) {
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = imm;
 			} else {
+#ifndef CAPSTONE_DIET
+				uint8_t access[6];
+#endif
+
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_IMM;
-				if (opsize > 0)
-					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = (uint8_t)opsize;
-				else if (MI->flat_insn->detail->x86.op_count > 0) {
+				if (opsize > 0) {
+					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = opsize;
+					MI->flat_insn->detail->x86.encoding.imm_size = encsize;
+				} else if (MI->flat_insn->detail->x86.op_count > 0) {
 					if (MI->flat_insn->id != X86_INS_LCALL && MI->flat_insn->id != X86_INS_LJMP) {
 						MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size =
 							MI->flat_insn->detail->x86.operands[0].size;
@@ -689,6 +1002,11 @@ static void printOperand(MCInst *MI, uns
 					MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->imm_size;
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = imm;
 
+#ifndef CAPSTONE_DIET
+				get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
+
 				MI->flat_insn->detail->x86.op_count++;
 			}
 		}
@@ -706,6 +1024,10 @@ static void printMemReference(MCInst *MI
 	int reg;
 
 	if (MI->csh->detail) {
+#ifndef CAPSTONE_DIET
+		uint8_t access[6];
+#endif
+
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_MEM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->x86opsize;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.segment = X86_REG_INVALID;
@@ -713,6 +1035,11 @@ static void printMemReference(MCInst *MI
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.index = MCOperand_getReg(IndexReg);
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.scale = (int)ScaleVal;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].mem.disp = 0;
+
+#ifndef CAPSTONE_DIET
+		get_op_access(MI->csh, MCInst_getOpcode(MI), access, &MI->flat_insn->detail->x86.eflags);
+		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].access = access[MI->flat_insn->detail->x86.op_count];
+#endif
 	}
 
 	// If this has a segment register, print it.
@@ -747,25 +1074,18 @@ static void printMemReference(MCInst *MI
 		if (DispVal) {
 			if (NeedPlus) {
 				if (DispVal < 0) {
-					if (DispVal <  -HEX_THRESHOLD)
-						SStream_concat(O, " - 0x%"PRIx64, -DispVal);
-					else
-						SStream_concat(O, " - %"PRIu64, -DispVal);
+					SStream_concat0(O, " - ");
+					printImm(MI, O, -DispVal, true);
 				} else {
-					if (DispVal > HEX_THRESHOLD)
-						SStream_concat(O, " + 0x%"PRIx64, DispVal);
-					else
-						SStream_concat(O, " + %"PRIu64, DispVal);
+					SStream_concat0(O, " + ");
+					printImm(MI, O, DispVal, true);
 				}
 			} else {
 				// memory reference to an immediate address
 				if (DispVal < 0) {
-					SStream_concat(O, "0x%"PRIx64, arch_masks[MI->csh->mode] & DispVal);
+					printImm(MI, O, arch_masks[MI->csh->mode] & DispVal, true);
 				} else {
-					if (DispVal > HEX_THRESHOLD)
-						SStream_concat(O, "0x%"PRIx64, DispVal);
-					else
-						SStream_concat(O, "%"PRIu64, DispVal);
+					printImm(MI, O, DispVal, true);
 				}
 			}
 
@@ -785,6 +1105,24 @@ static void printMemReference(MCInst *MI
 		MI->op1_size = MI->x86opsize;
 }
 
+static void printanymem(MCInst *MI, unsigned OpNo, SStream *O)
+{
+	switch(MI->Opcode) {
+		default: break;
+		case X86_LEA16r:
+				 MI->x86opsize = 2;
+				 break;
+		case X86_LEA32r:
+		case X86_LEA64_32r:
+				 MI->x86opsize = 4;
+				 break;
+		case X86_LEA64r:
+				 MI->x86opsize = 8;
+				 break;
+	}
+	printMemReference(MI, OpNo, O);
+}
+
 #define GET_REGINFO_ENUM
 #include "X86GenRegisterInfo.inc"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86Mapping.c 4.0.2-3/arch/X86/X86Mapping.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86Mapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86Mapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_X86
 
@@ -8,6 +8,11 @@
 #endif
 
 #include <string.h>
+#ifndef CAPSTONE_HAS_OSXKERNEL
+#include <stdlib.h>
+#else
+#include "qsort.h"
+#endif
 
 #include "X86Mapping.h"
 #include "X86DisassemblerDecoder.h"
@@ -21,7 +26,7 @@ const uint64_t arch_masks[9] = {
 	0,
 	0xffffffff,
 	0, 0, 0,
-	0xffffffffffffffff
+	0xffffffffffffffffLL
 };
 
 static const x86_reg sib_base_map[] = {
@@ -155,6 +160,14 @@ static const name_map reg_name_maps[] =
 	{ X86_REG_DR5, "dr5" },
 	{ X86_REG_DR6, "dr6" },
 	{ X86_REG_DR7, "dr7" },
+	{ X86_REG_DR8, "dr8" },
+	{ X86_REG_DR9, "dr9" },
+	{ X86_REG_DR10, "dr10" },
+	{ X86_REG_DR11, "dr11" },
+	{ X86_REG_DR12, "dr12" },
+	{ X86_REG_DR13, "dr13" },
+	{ X86_REG_DR14, "dr14" },
+	{ X86_REG_DR15, "dr15" },
 	{ X86_REG_FP0, "fp0" },
 	{ X86_REG_FP1, "fp1" },
 	{ X86_REG_FP2, "fp2" },
@@ -187,7 +200,7 @@ static const name_map reg_name_maps[] =
 	{ X86_REG_R13, "r13" },
 	{ X86_REG_R14, "r14" },
 	{ X86_REG_R15, "r15" },
-	{ X86_REG_ST0, "st(0" },
+	{ X86_REG_ST0, "st(0)" },
 	{ X86_REG_ST1, "st(1)" },
 	{ X86_REG_ST2, "st(2)" },
 	{ X86_REG_ST3, "st(3)" },
@@ -394,6 +407,14 @@ const uint8_t regsize_map_32 [] = {
 	4,	// { X86_REG_DR5, "dr5" },
 	4,	// { X86_REG_DR6, "dr6" },
 	4,	// { X86_REG_DR7, "dr7" },
+	4,	// { X86_REG_DR8, "dr8" },
+	4,	// { X86_REG_DR9, "dr9" },
+	4,	// { X86_REG_DR10, "dr10" },
+	4,	// { X86_REG_DR11, "dr11" },
+	4,	// { X86_REG_DR12, "dr12" },
+	4,	// { X86_REG_DR13, "dr13" },
+	4,	// { X86_REG_DR14, "dr14" },
+	4,	// { X86_REG_DR15, "dr15" },
 	10,	// { X86_REG_FP0, "fp0" },
 	10,	// { X86_REG_FP1, "fp1" },
 	10,	// { X86_REG_FP2, "fp2" },
@@ -632,6 +653,14 @@ const uint8_t regsize_map_64 [] = {
 	8,	// { X86_REG_DR5, "dr5" },
 	8,	// { X86_REG_DR6, "dr6" },
 	8,	// { X86_REG_DR7, "dr7" },
+	8,	// { X86_REG_DR8, "dr8" },
+	8,	// { X86_REG_DR9, "dr9" },
+	8,	// { X86_REG_DR10, "dr10" },
+	8,	// { X86_REG_DR11, "dr11" },
+	8,	// { X86_REG_DR12, "dr12" },
+	8,	// { X86_REG_DR13, "dr13" },
+	8,	// { X86_REG_DR14, "dr14" },
+	8,	// { X86_REG_DR15, "dr15" },
 	10,	// { X86_REG_FP0, "fp0" },
 	10,	// { X86_REG_FP1, "fp1" },
 	10,	// { X86_REG_FP2, "fp2" },
@@ -799,7 +828,7 @@ const char *X86_reg_name(csh handle, uns
 #ifndef CAPSTONE_DIET
 	cs_struct *ud = (cs_struct *)handle;
 
-	if (reg >= X86_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	if (reg == X86_REG_EFLAGS) {
@@ -883,9 +912,11 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_CLC, "clc" },
 	{ X86_INS_CLD, "cld" },
 	{ X86_INS_CLFLUSH, "clflush" },
+	{ X86_INS_CLFLUSHOPT, "clflushopt" },
 	{ X86_INS_CLGI, "clgi" },
 	{ X86_INS_CLI, "cli" },
 	{ X86_INS_CLTS, "clts" },
+	{ X86_INS_CLWB, "clwb" },
 	{ X86_INS_CMC, "cmc" },
 	{ X86_INS_CMOVA, "cmova" },
 	{ X86_INS_CMOVAE, "cmovae" },
@@ -912,12 +943,8 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_FCMOVU, "fcmovu" },
 	{ X86_INS_CMOVS, "cmovs" },
 	{ X86_INS_CMP, "cmp" },
-	{ X86_INS_CMPPD, "cmppd" },
-	{ X86_INS_CMPPS, "cmpps" },
 	{ X86_INS_CMPSB, "cmpsb" },
-	{ X86_INS_CMPSD, "cmpsd" },
 	{ X86_INS_CMPSQ, "cmpsq" },
-	{ X86_INS_CMPSS, "cmpss" },
 	{ X86_INS_CMPSW, "cmpsw" },
 	{ X86_INS_CMPXCHG16B, "cmpxchg16b" },
 	{ X86_INS_CMPXCHG, "cmpxchg" },
@@ -925,7 +952,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_COMISD, "comisd" },
 	{ X86_INS_COMISS, "comiss" },
 	{ X86_INS_FCOMP, "fcomp" },
-	{ X86_INS_FCOMPI, "fcompi" },
+	{ X86_INS_FCOMIP, "fcomip" },
 	{ X86_INS_FCOMI, "fcomi" },
 	{ X86_INS_FCOM, "fcom" },
 	{ X86_INS_FCOS, "fcos" },
@@ -1001,6 +1028,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_FPREM, "fprem" },
 	{ X86_INS_FPREM1, "fprem1" },
 	{ X86_INS_FPTAN, "fptan" },
+	{ X86_INS_FFREEP, "ffreep" },
 	{ X86_INS_FRNDINT, "frndint" },
 	{ X86_INS_FRSTOR, "frstor" },
 	{ X86_INS_FNSAVE, "fnsave" },
@@ -1058,7 +1086,6 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_FISTP, "fistp" },
 	{ X86_INS_UCOMISD, "ucomisd" },
 	{ X86_INS_UCOMISS, "ucomiss" },
-	{ X86_INS_VCMP, "vcmp" },
 	{ X86_INS_VCOMISD, "vcomisd" },
 	{ X86_INS_VCOMISS, "vcomiss" },
 	{ X86_INS_VCVTSD2SS, "vcvtsd2ss" },
@@ -1112,9 +1139,18 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_KORB, "korb" },
 	{ X86_INS_KORD, "kord" },
 	{ X86_INS_KORQ, "korq" },
+	{ X86_INS_KORTESTB, "kortestb" },
+	{ X86_INS_KORTESTD, "kortestd" },
+	{ X86_INS_KORTESTQ, "kortestq" },
 	{ X86_INS_KORTESTW, "kortestw" },
 	{ X86_INS_KORW, "korw" },
+	{ X86_INS_KSHIFTLB, "kshiftlb" },
+	{ X86_INS_KSHIFTLD, "kshiftld" },
+	{ X86_INS_KSHIFTLQ, "kshiftlq" },
 	{ X86_INS_KSHIFTLW, "kshiftlw" },
+	{ X86_INS_KSHIFTRB, "kshiftrb" },
+	{ X86_INS_KSHIFTRD, "kshiftrd" },
+	{ X86_INS_KSHIFTRQ, "kshiftrq" },
 	{ X86_INS_KSHIFTRW, "kshiftrw" },
 	{ X86_INS_KUNPCKBW, "kunpckbw" },
 	{ X86_INS_KXNORB, "kxnorb" },
@@ -1323,6 +1359,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_PCMPGTQ, "pcmpgtq" },
 	{ X86_INS_PCMPISTRI, "pcmpistri" },
 	{ X86_INS_PCMPISTRM, "pcmpistrm" },
+	{ X86_INS_PCOMMIT, "pcommit" },
 	{ X86_INS_PDEP, "pdep" },
 	{ X86_INS_PEXT, "pext" },
 	{ X86_INS_PEXTRB, "pextrb" },
@@ -1493,6 +1530,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_FST, "fst" },
 	{ X86_INS_FSTP, "fstp" },
 	{ X86_INS_FSTPNCE, "fstpnce" },
+	{ X86_INS_FXCH, "fxch" },
 	{ X86_INS_SUBPD, "subpd" },
 	{ X86_INS_SUBPS, "subps" },
 	{ X86_INS_FSUBR, "fsubr" },
@@ -1514,7 +1552,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_FTST, "ftst" },
 	{ X86_INS_TZCNT, "tzcnt" },
 	{ X86_INS_TZMSK, "tzmsk" },
-	{ X86_INS_FUCOMPI, "fucompi" },
+	{ X86_INS_FUCOMIP, "fucomip" },
 	{ X86_INS_FUCOMI, "fucomi" },
 	{ X86_INS_FUCOMPP, "fucompp" },
 	{ X86_INS_FUCOMP, "fucomp" },
@@ -1549,15 +1587,12 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VBLENDVPD, "vblendvpd" },
 	{ X86_INS_VBLENDVPS, "vblendvps" },
 	{ X86_INS_VBROADCASTF128, "vbroadcastf128" },
-	{ X86_INS_VBROADCASTI128, "vbroadcasti128" },
 	{ X86_INS_VBROADCASTI32X4, "vbroadcasti32x4" },
 	{ X86_INS_VBROADCASTI64X4, "vbroadcasti64x4" },
 	{ X86_INS_VBROADCASTSD, "vbroadcastsd" },
 	{ X86_INS_VBROADCASTSS, "vbroadcastss" },
-	{ X86_INS_VCMPPD, "vcmppd" },
-	{ X86_INS_VCMPPS, "vcmpps" },
-	{ X86_INS_VCMPSD, "vcmpsd" },
-	{ X86_INS_VCMPSS, "vcmpss" },
+	{ X86_INS_VCOMPRESSPD, "vcompresspd" },
+	{ X86_INS_VCOMPRESSPS, "vcompressps" },
 	{ X86_INS_VCVTDQ2PD, "vcvtdq2pd" },
 	{ X86_INS_VCVTDQ2PS, "vcvtdq2ps" },
 	{ X86_INS_VCVTPD2DQX, "vcvtpd2dqx" },
@@ -1589,6 +1624,10 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VDPPS, "vdpps" },
 	{ X86_INS_VERR, "verr" },
 	{ X86_INS_VERW, "verw" },
+	{ X86_INS_VEXP2PD, "vexp2pd" },
+	{ X86_INS_VEXP2PS, "vexp2ps" },
+	{ X86_INS_VEXPANDPD, "vexpandpd" },
+	{ X86_INS_VEXPANDPS, "vexpandps" },
 	{ X86_INS_VEXTRACTF128, "vextractf128" },
 	{ X86_INS_VEXTRACTF32X4, "vextractf32x4" },
 	{ X86_INS_VEXTRACTF64X4, "vextractf64x4" },
@@ -1598,11 +1637,11 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VEXTRACTPS, "vextractps" },
 	{ X86_INS_VFMADD132PD, "vfmadd132pd" },
 	{ X86_INS_VFMADD132PS, "vfmadd132ps" },
-	{ X86_INS_VFMADD213PD, "vfmadd213pd" },
-	{ X86_INS_VFMADD213PS, "vfmadd213ps" },
 	{ X86_INS_VFMADDPD, "vfmaddpd" },
+	{ X86_INS_VFMADD213PD, "vfmadd213pd" },
 	{ X86_INS_VFMADD231PD, "vfmadd231pd" },
 	{ X86_INS_VFMADDPS, "vfmaddps" },
+	{ X86_INS_VFMADD213PS, "vfmadd213ps" },
 	{ X86_INS_VFMADD231PS, "vfmadd231ps" },
 	{ X86_INS_VFMADDSD, "vfmaddsd" },
 	{ X86_INS_VFMADD213SD, "vfmadd213sd" },
@@ -1614,27 +1653,27 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VFMADD231SS, "vfmadd231ss" },
 	{ X86_INS_VFMADDSUB132PD, "vfmaddsub132pd" },
 	{ X86_INS_VFMADDSUB132PS, "vfmaddsub132ps" },
-	{ X86_INS_VFMADDSUB213PD, "vfmaddsub213pd" },
-	{ X86_INS_VFMADDSUB213PS, "vfmaddsub213ps" },
 	{ X86_INS_VFMADDSUBPD, "vfmaddsubpd" },
+	{ X86_INS_VFMADDSUB213PD, "vfmaddsub213pd" },
 	{ X86_INS_VFMADDSUB231PD, "vfmaddsub231pd" },
 	{ X86_INS_VFMADDSUBPS, "vfmaddsubps" },
+	{ X86_INS_VFMADDSUB213PS, "vfmaddsub213ps" },
 	{ X86_INS_VFMADDSUB231PS, "vfmaddsub231ps" },
 	{ X86_INS_VFMSUB132PD, "vfmsub132pd" },
 	{ X86_INS_VFMSUB132PS, "vfmsub132ps" },
-	{ X86_INS_VFMSUB213PD, "vfmsub213pd" },
-	{ X86_INS_VFMSUB213PS, "vfmsub213ps" },
 	{ X86_INS_VFMSUBADD132PD, "vfmsubadd132pd" },
 	{ X86_INS_VFMSUBADD132PS, "vfmsubadd132ps" },
-	{ X86_INS_VFMSUBADD213PD, "vfmsubadd213pd" },
-	{ X86_INS_VFMSUBADD213PS, "vfmsubadd213ps" },
 	{ X86_INS_VFMSUBADDPD, "vfmsubaddpd" },
+	{ X86_INS_VFMSUBADD213PD, "vfmsubadd213pd" },
 	{ X86_INS_VFMSUBADD231PD, "vfmsubadd231pd" },
 	{ X86_INS_VFMSUBADDPS, "vfmsubaddps" },
+	{ X86_INS_VFMSUBADD213PS, "vfmsubadd213ps" },
 	{ X86_INS_VFMSUBADD231PS, "vfmsubadd231ps" },
 	{ X86_INS_VFMSUBPD, "vfmsubpd" },
+	{ X86_INS_VFMSUB213PD, "vfmsub213pd" },
 	{ X86_INS_VFMSUB231PD, "vfmsub231pd" },
 	{ X86_INS_VFMSUBPS, "vfmsubps" },
+	{ X86_INS_VFMSUB213PS, "vfmsub213ps" },
 	{ X86_INS_VFMSUB231PS, "vfmsub231ps" },
 	{ X86_INS_VFMSUBSD, "vfmsubsd" },
 	{ X86_INS_VFMSUB213SD, "vfmsub213sd" },
@@ -1646,11 +1685,11 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VFMSUB231SS, "vfmsub231ss" },
 	{ X86_INS_VFNMADD132PD, "vfnmadd132pd" },
 	{ X86_INS_VFNMADD132PS, "vfnmadd132ps" },
-	{ X86_INS_VFNMADD213PD, "vfnmadd213pd" },
-	{ X86_INS_VFNMADD213PS, "vfnmadd213ps" },
 	{ X86_INS_VFNMADDPD, "vfnmaddpd" },
+	{ X86_INS_VFNMADD213PD, "vfnmadd213pd" },
 	{ X86_INS_VFNMADD231PD, "vfnmadd231pd" },
 	{ X86_INS_VFNMADDPS, "vfnmaddps" },
+	{ X86_INS_VFNMADD213PS, "vfnmadd213ps" },
 	{ X86_INS_VFNMADD231PS, "vfnmadd231ps" },
 	{ X86_INS_VFNMADDSD, "vfnmaddsd" },
 	{ X86_INS_VFNMADD213SD, "vfnmadd213sd" },
@@ -1662,11 +1701,11 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VFNMADD231SS, "vfnmadd231ss" },
 	{ X86_INS_VFNMSUB132PD, "vfnmsub132pd" },
 	{ X86_INS_VFNMSUB132PS, "vfnmsub132ps" },
-	{ X86_INS_VFNMSUB213PD, "vfnmsub213pd" },
-	{ X86_INS_VFNMSUB213PS, "vfnmsub213ps" },
 	{ X86_INS_VFNMSUBPD, "vfnmsubpd" },
+	{ X86_INS_VFNMSUB213PD, "vfnmsub213pd" },
 	{ X86_INS_VFNMSUB231PD, "vfnmsub231pd" },
 	{ X86_INS_VFNMSUBPS, "vfnmsubps" },
+	{ X86_INS_VFNMSUB213PS, "vfnmsub213ps" },
 	{ X86_INS_VFNMSUB231PS, "vfnmsub231ps" },
 	{ X86_INS_VFNMSUBSD, "vfnmsubsd" },
 	{ X86_INS_VFNMSUB213SD, "vfnmsub213sd" },
@@ -1702,9 +1741,13 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VHSUBPS, "vhsubps" },
 	{ X86_INS_VINSERTF128, "vinsertf128" },
 	{ X86_INS_VINSERTF32X4, "vinsertf32x4" },
+	{ X86_INS_VINSERTF32X8, "vinsertf32x8" },
+	{ X86_INS_VINSERTF64X2, "vinsertf64x2" },
 	{ X86_INS_VINSERTF64X4, "vinsertf64x4" },
 	{ X86_INS_VINSERTI128, "vinserti128" },
 	{ X86_INS_VINSERTI32X4, "vinserti32x4" },
+	{ X86_INS_VINSERTI32X8, "vinserti32x8" },
+	{ X86_INS_VINSERTI64X2, "vinserti64x2" },
 	{ X86_INS_VINSERTI64X4, "vinserti64x4" },
 	{ X86_INS_VINSERTPS, "vinsertps" },
 	{ X86_INS_VLDDQU, "vlddqu" },
@@ -1795,8 +1838,10 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPAVGB, "vpavgb" },
 	{ X86_INS_VPAVGW, "vpavgw" },
 	{ X86_INS_VPBLENDD, "vpblendd" },
+	{ X86_INS_VPBLENDMB, "vpblendmb" },
 	{ X86_INS_VPBLENDMD, "vpblendmd" },
 	{ X86_INS_VPBLENDMQ, "vpblendmq" },
+	{ X86_INS_VPBLENDMW, "vpblendmw" },
 	{ X86_INS_VPBLENDVB, "vpblendvb" },
 	{ X86_INS_VPBLENDW, "vpblendw" },
 	{ X86_INS_VPBROADCASTB, "vpbroadcastb" },
@@ -1807,7 +1852,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPBROADCASTW, "vpbroadcastw" },
 	{ X86_INS_VPCLMULQDQ, "vpclmulqdq" },
 	{ X86_INS_VPCMOV, "vpcmov" },
-	{ X86_INS_VPCMP, "vpcmp" },
+	{ X86_INS_VPCMPB, "vpcmpb" },
 	{ X86_INS_VPCMPD, "vpcmpd" },
 	{ X86_INS_VPCMPEQB, "vpcmpeqb" },
 	{ X86_INS_VPCMPEQD, "vpcmpeqd" },
@@ -1822,10 +1867,15 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPCMPISTRI, "vpcmpistri" },
 	{ X86_INS_VPCMPISTRM, "vpcmpistrm" },
 	{ X86_INS_VPCMPQ, "vpcmpq" },
+	{ X86_INS_VPCMPUB, "vpcmpub" },
 	{ X86_INS_VPCMPUD, "vpcmpud" },
 	{ X86_INS_VPCMPUQ, "vpcmpuq" },
+	{ X86_INS_VPCMPUW, "vpcmpuw" },
+	{ X86_INS_VPCMPW, "vpcmpw" },
 	{ X86_INS_VPCOMB, "vpcomb" },
 	{ X86_INS_VPCOMD, "vpcomd" },
+	{ X86_INS_VPCOMPRESSD, "vpcompressd" },
+	{ X86_INS_VPCOMPRESSQ, "vpcompressq" },
 	{ X86_INS_VPCOMQ, "vpcomq" },
 	{ X86_INS_VPCOMUB, "vpcomub" },
 	{ X86_INS_VPCOMUD, "vpcomud" },
@@ -1852,6 +1902,8 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPERMT2PD, "vpermt2pd" },
 	{ X86_INS_VPERMT2PS, "vpermt2ps" },
 	{ X86_INS_VPERMT2Q, "vpermt2q" },
+	{ X86_INS_VPEXPANDD, "vpexpandd" },
+	{ X86_INS_VPEXPANDQ, "vpexpandq" },
 	{ X86_INS_VPEXTRB, "vpextrb" },
 	{ X86_INS_VPEXTRD, "vpextrd" },
 	{ X86_INS_VPEXTRQ, "vpextrq" },
@@ -1922,6 +1974,10 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPMINUW, "vpminuw" },
 	{ X86_INS_VPMOVDB, "vpmovdb" },
 	{ X86_INS_VPMOVDW, "vpmovdw" },
+	{ X86_INS_VPMOVM2B, "vpmovm2b" },
+	{ X86_INS_VPMOVM2D, "vpmovm2d" },
+	{ X86_INS_VPMOVM2Q, "vpmovm2q" },
+	{ X86_INS_VPMOVM2W, "vpmovm2w" },
 	{ X86_INS_VPMOVMSKB, "vpmovmskb" },
 	{ X86_INS_VPMOVQB, "vpmovqb" },
 	{ X86_INS_VPMOVQD, "vpmovqd" },
@@ -1953,6 +2009,7 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_VPMULHUW, "vpmulhuw" },
 	{ X86_INS_VPMULHW, "vpmulhw" },
 	{ X86_INS_VPMULLD, "vpmulld" },
+	{ X86_INS_VPMULLQ, "vpmullq" },
 	{ X86_INS_VPMULLW, "vpmullw" },
 	{ X86_INS_VPMULUDQ, "vpmuludq" },
 	{ X86_INS_VPORD, "vpord" },
@@ -2092,7 +2149,6 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_XACQUIRE, "xacquire" },
 	{ X86_INS_XBEGIN, "xbegin" },
 	{ X86_INS_XCHG, "xchg" },
-	{ X86_INS_FXCH, "fxch" },
 	{ X86_INS_XCRYPTCBC, "xcryptcbc" },
 	{ X86_INS_XCRYPTCFB, "xcryptcfb" },
 	{ X86_INS_XCRYPTCTR, "xcryptctr" },
@@ -2104,15 +2160,204 @@ static const name_map insn_name_maps[] =
 	{ X86_INS_XRELEASE, "xrelease" },
 	{ X86_INS_XRSTOR, "xrstor" },
 	{ X86_INS_XRSTOR64, "xrstor64" },
+	{ X86_INS_XRSTORS, "xrstors" },
+	{ X86_INS_XRSTORS64, "xrstors64" },
 	{ X86_INS_XSAVE, "xsave" },
 	{ X86_INS_XSAVE64, "xsave64" },
+	{ X86_INS_XSAVEC, "xsavec" },
+	{ X86_INS_XSAVEC64, "xsavec64" },
 	{ X86_INS_XSAVEOPT, "xsaveopt" },
 	{ X86_INS_XSAVEOPT64, "xsaveopt64" },
+	{ X86_INS_XSAVES, "xsaves" },
+	{ X86_INS_XSAVES64, "xsaves64" },
 	{ X86_INS_XSETBV, "xsetbv" },
 	{ X86_INS_XSHA1, "xsha1" },
 	{ X86_INS_XSHA256, "xsha256" },
 	{ X86_INS_XSTORE, "xstore" },
 	{ X86_INS_XTEST, "xtest" },
+	{ X86_INS_FDISI8087_NOP, "fdisi8087_nop" },
+	{ X86_INS_FENI8087_NOP, "feni8087_nop" },
+
+	// pseudo instructions
+	{ X86_INS_CMPSS, "cmpss" },
+	{ X86_INS_CMPEQSS, "cmpeqss" },
+	{ X86_INS_CMPLTSS, "cmpltss" },
+	{ X86_INS_CMPLESS, "cmpless" },
+	{ X86_INS_CMPUNORDSS, "cmpunordss" },
+	{ X86_INS_CMPNEQSS, "cmpneqss" },
+	{ X86_INS_CMPNLTSS, "cmpnltss" },
+	{ X86_INS_CMPNLESS, "cmpnless" },
+	{ X86_INS_CMPORDSS, "cmpordss" },
+
+	{ X86_INS_CMPSD, "cmpsd" },
+	{ X86_INS_CMPEQSD, "cmpeqsd" },
+	{ X86_INS_CMPLTSD, "cmpltsd" },
+	{ X86_INS_CMPLESD, "cmplesd" },
+	{ X86_INS_CMPUNORDSD, "cmpunordsd" },
+	{ X86_INS_CMPNEQSD, "cmpneqsd" },
+	{ X86_INS_CMPNLTSD, "cmpnltsd" },
+	{ X86_INS_CMPNLESD, "cmpnlesd" },
+	{ X86_INS_CMPORDSD, "cmpordsd" },
+
+	{ X86_INS_CMPPS, "cmpps" },
+	{ X86_INS_CMPEQPS, "cmpeqps" },
+	{ X86_INS_CMPLTPS, "cmpltps" },
+	{ X86_INS_CMPLEPS, "cmpleps" },
+	{ X86_INS_CMPUNORDPS, "cmpunordps" },
+	{ X86_INS_CMPNEQPS, "cmpneqps" },
+	{ X86_INS_CMPNLTPS, "cmpnltps" },
+	{ X86_INS_CMPNLEPS, "cmpnleps" },
+	{ X86_INS_CMPORDPS, "cmpordps" },
+
+	{ X86_INS_CMPPD, "cmppd" },
+	{ X86_INS_CMPEQPD, "cmpeqpd" },
+	{ X86_INS_CMPLTPD, "cmpltpd" },
+	{ X86_INS_CMPLEPD, "cmplepd" },
+	{ X86_INS_CMPUNORDPD, "cmpunordpd" },
+	{ X86_INS_CMPNEQPD, "cmpneqpd" },
+	{ X86_INS_CMPNLTPD, "cmpnltpd" },
+	{ X86_INS_CMPNLEPD, "cmpnlepd" },
+	{ X86_INS_CMPORDPD, "cmpordpd" },
+
+	{ X86_INS_VCMPSS, "vcmpss" },
+	{ X86_INS_VCMPEQSS, "vcmpeqss" },
+	{ X86_INS_VCMPLTSS, "vcmpltss" },
+	{ X86_INS_VCMPLESS, "vcmpless" },
+	{ X86_INS_VCMPUNORDSS, "vcmpunordss" },
+	{ X86_INS_VCMPNEQSS, "vcmpneqss" },
+	{ X86_INS_VCMPNLTSS, "vcmpnltss" },
+	{ X86_INS_VCMPNLESS, "vcmpnless" },
+	{ X86_INS_VCMPORDSS, "vcmpordss" },
+	{ X86_INS_VCMPEQ_UQSS, "vcmpeq_uqss" },
+	{ X86_INS_VCMPNGESS, "vcmpngess" },
+	{ X86_INS_VCMPNGTSS, "vcmpngtss" },
+	{ X86_INS_VCMPFALSESS, "vcmpfalsess" },
+	{ X86_INS_VCMPNEQ_OQSS, "vcmpneq_oqss" },
+	{ X86_INS_VCMPGESS, "vcmpgess" },
+	{ X86_INS_VCMPGTSS, "vcmpgtss" },
+	{ X86_INS_VCMPTRUESS, "vcmptruess" },
+	{ X86_INS_VCMPEQ_OSSS, "vcmpeq_osss" },
+	{ X86_INS_VCMPLT_OQSS, "vcmplt_oqss" },
+	{ X86_INS_VCMPLE_OQSS, "vcmple_oqss" },
+	{ X86_INS_VCMPUNORD_SSS, "vcmpunord_sss" },
+	{ X86_INS_VCMPNEQ_USSS, "vcmpneq_usss" },
+	{ X86_INS_VCMPNLT_UQSS, "vcmpnlt_uqss" },
+	{ X86_INS_VCMPNLE_UQSS, "vcmpnle_uqss" },
+	{ X86_INS_VCMPORD_SSS, "vcmpord_sss" },
+	{ X86_INS_VCMPEQ_USSS, "vcmpeq_usss" },
+	{ X86_INS_VCMPNGE_UQSS, "vcmpnge_uqss" },
+	{ X86_INS_VCMPNGT_UQSS, "vcmpngt_uqss" },
+	{ X86_INS_VCMPFALSE_OSSS, "vcmpfalse_osss" },
+	{ X86_INS_VCMPNEQ_OSSS, "vcmpneq_osss" },
+	{ X86_INS_VCMPGE_OQSS, "vcmpge_oqss" },
+	{ X86_INS_VCMPGT_OQSS, "vcmpgt_oqss" },
+	{ X86_INS_VCMPTRUE_USSS, "vcmptrue_usss" },
+
+	{ X86_INS_VCMPSD, "vcmpsd" },
+	{ X86_INS_VCMPEQSD, "vcmpeqsd" },
+	{ X86_INS_VCMPLTSD, "vcmpltsd" },
+	{ X86_INS_VCMPLESD, "vcmplesd" },
+	{ X86_INS_VCMPUNORDSD, "vcmpunordsd" },
+	{ X86_INS_VCMPNEQSD, "vcmpneqsd" },
+	{ X86_INS_VCMPNLTSD, "vcmpnltsd" },
+	{ X86_INS_VCMPNLESD, "vcmpnlesd" },
+	{ X86_INS_VCMPORDSD, "vcmpordsd" },
+	{ X86_INS_VCMPEQ_UQSD, "vcmpeq_uqsd" },
+	{ X86_INS_VCMPNGESD, "vcmpngesd" },
+	{ X86_INS_VCMPNGTSD, "vcmpngtsd" },
+	{ X86_INS_VCMPFALSESD, "vcmpfalsesd" },
+	{ X86_INS_VCMPNEQ_OQSD, "vcmpneq_oqsd" },
+	{ X86_INS_VCMPGESD, "vcmpgesd" },
+	{ X86_INS_VCMPGTSD, "vcmpgtsd" },
+	{ X86_INS_VCMPTRUESD, "vcmptruesd" },
+	{ X86_INS_VCMPEQ_OSSD, "vcmpeq_ossd" },
+	{ X86_INS_VCMPLT_OQSD, "vcmplt_oqsd" },
+	{ X86_INS_VCMPLE_OQSD, "vcmple_oqsd" },
+	{ X86_INS_VCMPUNORD_SSD, "vcmpunord_ssd" },
+	{ X86_INS_VCMPNEQ_USSD, "vcmpneq_ussd" },
+	{ X86_INS_VCMPNLT_UQSD, "vcmpnlt_uqsd" },
+	{ X86_INS_VCMPNLE_UQSD, "vcmpnle_uqsd" },
+	{ X86_INS_VCMPORD_SSD, "vcmpord_ssd" },
+	{ X86_INS_VCMPEQ_USSD, "vcmpeq_ussd" },
+	{ X86_INS_VCMPNGE_UQSD, "vcmpnge_uqsd" },
+	{ X86_INS_VCMPNGT_UQSD, "vcmpngt_uqsd" },
+	{ X86_INS_VCMPFALSE_OSSD, "vcmpfalse_ossd" },
+	{ X86_INS_VCMPNEQ_OSSD, "vcmpneq_ossd" },
+	{ X86_INS_VCMPGE_OQSD, "vcmpge_oqsd" },
+	{ X86_INS_VCMPGT_OQSD, "vcmpgt_oqsd" },
+	{ X86_INS_VCMPTRUE_USSD, "vcmptrue_ussd" },
+
+	{ X86_INS_VCMPPS, "vcmpps" },
+	{ X86_INS_VCMPEQPS, "vcmpeqps" },
+	{ X86_INS_VCMPLTPS, "vcmpltps" },
+	{ X86_INS_VCMPLEPS, "vcmpleps" },
+	{ X86_INS_VCMPUNORDPS, "vcmpunordps" },
+	{ X86_INS_VCMPNEQPS, "vcmpneqps" },
+	{ X86_INS_VCMPNLTPS, "vcmpnltps" },
+	{ X86_INS_VCMPNLEPS, "vcmpnleps" },
+	{ X86_INS_VCMPORDPS, "vcmpordps" },
+	{ X86_INS_VCMPEQ_UQPS, "vcmpeq_uqps" },
+	{ X86_INS_VCMPNGEPS, "vcmpngeps" },
+	{ X86_INS_VCMPNGTPS, "vcmpngtps" },
+	{ X86_INS_VCMPFALSEPS, "vcmpfalseps" },
+	{ X86_INS_VCMPNEQ_OQPS, "vcmpneq_oqps" },
+	{ X86_INS_VCMPGEPS, "vcmpgeps" },
+	{ X86_INS_VCMPGTPS, "vcmpgtps" },
+	{ X86_INS_VCMPTRUEPS, "vcmptrueps" },
+	{ X86_INS_VCMPEQ_OSPS, "vcmpeq_osps" },
+	{ X86_INS_VCMPLT_OQPS, "vcmplt_oqps" },
+	{ X86_INS_VCMPLE_OQPS, "vcmple_oqps" },
+	{ X86_INS_VCMPUNORD_SPS, "vcmpunord_sps" },
+	{ X86_INS_VCMPNEQ_USPS, "vcmpneq_usps" },
+	{ X86_INS_VCMPNLT_UQPS, "vcmpnlt_uqps" },
+	{ X86_INS_VCMPNLE_UQPS, "vcmpnle_uqps" },
+	{ X86_INS_VCMPORD_SPS, "vcmpord_sps" },
+	{ X86_INS_VCMPEQ_USPS, "vcmpeq_usps" },
+	{ X86_INS_VCMPNGE_UQPS, "vcmpnge_uqps" },
+	{ X86_INS_VCMPNGT_UQPS, "vcmpngt_uqps" },
+	{ X86_INS_VCMPFALSE_OSPS, "vcmpfalse_osps" },
+	{ X86_INS_VCMPNEQ_OSPS, "vcmpneq_osps" },
+	{ X86_INS_VCMPGE_OQPS, "vcmpge_oqps" },
+	{ X86_INS_VCMPGT_OQPS, "vcmpgt_oqps" },
+	{ X86_INS_VCMPTRUE_USPS, "vcmptrue_usps" },
+
+	{ X86_INS_VCMPPD, "vcmppd" },
+	{ X86_INS_VCMPEQPD, "vcmpeqpd" },
+	{ X86_INS_VCMPLTPD, "vcmpltpd" },
+	{ X86_INS_VCMPLEPD, "vcmplepd" },
+	{ X86_INS_VCMPUNORDPD, "vcmpunordpd" },
+	{ X86_INS_VCMPNEQPD, "vcmpneqpd" },
+	{ X86_INS_VCMPNLTPD, "vcmpnltpd" },
+	{ X86_INS_VCMPNLEPD, "vcmpnlepd" },
+	{ X86_INS_VCMPORDPD, "vcmpordpd" },
+	{ X86_INS_VCMPEQ_UQPD, "vcmpeq_uqpd" },
+	{ X86_INS_VCMPNGEPD, "vcmpngepd" },
+	{ X86_INS_VCMPNGTPD, "vcmpngtpd" },
+	{ X86_INS_VCMPFALSEPD, "vcmpfalsepd" },
+	{ X86_INS_VCMPNEQ_OQPD, "vcmpneq_oqpd" },
+	{ X86_INS_VCMPGEPD, "vcmpgepd" },
+	{ X86_INS_VCMPGTPD, "vcmpgtpd" },
+	{ X86_INS_VCMPTRUEPD, "vcmptruepd" },
+	{ X86_INS_VCMPEQ_OSPD, "vcmpeq_ospd" },
+	{ X86_INS_VCMPLT_OQPD, "vcmplt_oqpd" },
+	{ X86_INS_VCMPLE_OQPD, "vcmple_oqpd" },
+	{ X86_INS_VCMPUNORD_SPD, "vcmpunord_spd" },
+	{ X86_INS_VCMPNEQ_USPD, "vcmpneq_uspd" },
+	{ X86_INS_VCMPNLT_UQPD, "vcmpnlt_uqpd" },
+	{ X86_INS_VCMPNLE_UQPD, "vcmpnle_uqpd" },
+	{ X86_INS_VCMPORD_SPD, "vcmpord_spd" },
+	{ X86_INS_VCMPEQ_USPD, "vcmpeq_uspd" },
+	{ X86_INS_VCMPNGE_UQPD, "vcmpnge_uqpd" },
+	{ X86_INS_VCMPNGT_UQPD, "vcmpngt_uqpd" },
+	{ X86_INS_VCMPFALSE_OSPD, "vcmpfalse_ospd" },
+	{ X86_INS_VCMPNEQ_OSPD, "vcmpneq_ospd" },
+	{ X86_INS_VCMPGE_OQPD, "vcmpge_oqpd" },
+	{ X86_INS_VCMPGT_OQPD, "vcmpgt_oqpd" },
+	{ X86_INS_VCMPTRUE_USPD, "vcmptrue_uspd" },
+
+	{ X86_INS_UD0, "ud0" },
+	{ X86_INS_ENDBR32, "endbr32" },
+	{ X86_INS_ENDBR64, "endbr64" },
 };
 #endif
 
@@ -2137,6 +2382,8 @@ static const name_map group_name_maps[]
 	{ X86_GRP_RET, "ret" },
 	{ X86_GRP_INT, "int" },
 	{ X86_GRP_IRET,	"iret" },
+	{ X86_GRP_PRIVILEGE, "privilege" },
+	{ X86_GRP_BRANCH_RELATIVE, "branch_relative" },
 
 	// architecture-specific groups
 	{ X86_GRP_VM, "vm" },
@@ -2180,21 +2427,14 @@ static const name_map group_name_maps[]
 	{ X86_GRP_VLX,	"vlx" },
 	{ X86_GRP_SMAP,	"smap" },
 	{ X86_GRP_NOVLX, "novlx" },
+	{ X86_GRP_FPU, "fpu" },
 };
 #endif
 
 const char *X86_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	// verify group id
-	if (id >= X86_GRP_ENDING || (id > X86_GRP_IRET && id < X86_GRP_VM))
-		return NULL;
-
-	// NOTE: when new generic groups are added, 6 must be changed accordingly
-	if (id >= 128)
-		return group_name_maps[id - 128 + 6].name;
-	else
-		return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
@@ -2217,45011 +2457,224 @@ static const insn_map insns[] = {	// ful
 #endif
 	},
 
+#include "X86MappingInsn.inc"
+};
+#else	// X86 reduce (defined CAPSTONE_X86_REDUCE)
+static insn_map insns[] = {	// reduce x86 instructions
+	// dummy item
 	{
-		X86_AAA, X86_INS_AAA,
+		0, 0,
 #ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+		{ 0 }, { 0 }, { 0 }, 0, 0
 #endif
 	},
-	{
-		X86_AAD8i8, X86_INS_AAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+
+#include "X86MappingInsn_reduce.inc"
+};
 #endif
-	},
-	{
-		X86_AAM8i8, X86_INS_AAM,
+
 #ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+// replace r1 = r2
+static void arr_replace(uint16_t *arr, uint8_t max, x86_reg r1, x86_reg r2)
+{
+	uint8_t i;
+
+	for(i = 0; i < max; i++) {
+		if (arr[i] == r1) {
+			arr[i] = r2;
+			break;
+		}
+	}
+}
 #endif
-	},
-	{
-		X86_AAS, X86_INS_AAS,
+
+// given internal insn id, return public instruction info
+void X86_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
+{
+	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	if (i != 0) {
+		insn->id = insns[i].mapid;
+
+		if (h->detail) {
 #ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ABS_F, X86_INS_FABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16i16, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32i32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64i32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mi32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64ri32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8i8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX32rm, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX32rr, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX64rm, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX64rr, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16i16, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32i32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64i32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mi32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64ri32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8i8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDPDrm, X86_INS_ADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDPDrr, X86_INS_ADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDPSrm, X86_INS_ADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDPSrr, X86_INS_ADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSDrm, X86_INS_ADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSDrm_Int, X86_INS_ADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSDrr, X86_INS_ADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSDrr_Int, X86_INS_ADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSSrm, X86_INS_ADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSSrm_Int, X86_INS_ADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSSrr, X86_INS_ADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSSrr_Int, X86_INS_ADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSUBPDrm, X86_INS_ADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSUBPDrr, X86_INS_ADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSUBPSrm, X86_INS_ADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADDSUBPSrr, X86_INS_ADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_F32m, X86_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_F64m, X86_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_FI16m, X86_INS_FIADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_FI32m, X86_INS_FIADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_FPrST0, X86_INS_FADDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_FST0r, X86_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD_FrST0, X86_INS_FADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX32rm, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX32rr, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX64rm, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX64rr, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESDECLASTrm, X86_INS_AESDECLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESDECLASTrr, X86_INS_AESDECLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESDECrm, X86_INS_AESDEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESDECrr, X86_INS_AESDEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESENCLASTrm, X86_INS_AESENCLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESENCLASTrr, X86_INS_AESENCLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESENCrm, X86_INS_AESENC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESENCrr, X86_INS_AESENC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESIMCrm, X86_INS_AESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESIMCrr, X86_INS_AESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESKEYGENASSIST128rm, X86_INS_AESKEYGENASSIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AESKEYGENASSIST128rr, X86_INS_AESKEYGENASSIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16i16, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32i32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64i32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mi32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64ri32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8i8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN32rm, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN32rr, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN64rm, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN64rr, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDNPDrm, X86_INS_ANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDNPDrr, X86_INS_ANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDNPSrm, X86_INS_ANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDNPSrr, X86_INS_ANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDPDrm, X86_INS_ANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDPDrr, X86_INS_ANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDPSrm, X86_INS_ANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDPSrr, X86_INS_ANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ARPL16mr, X86_INS_ARPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ARPL16rr, X86_INS_ARPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR32rm, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR32rr, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR64rm, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR64rr, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI32mi, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI32ri, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI64mi, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI64ri, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL32rm, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL32rr, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL64rm, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL64rr, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI32rm, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI32rr, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI64rm, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI64rr, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC32rm, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC32rr, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC64rm, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC64rr, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK32rm, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK32rr, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK64rm, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK64rr, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS32rm, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS32rr, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS64rm, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS64rr, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDPDrmi, X86_INS_BLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDPDrri, X86_INS_BLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDPSrmi, X86_INS_BLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDPSrri, X86_INS_BLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDVPDrm0, X86_INS_BLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDVPDrr0, X86_INS_BLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDVPSrm0, X86_INS_BLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLENDVPSrr0, X86_INS_BLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL32rm, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL32rr, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL64rm, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL64rr, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI32rm, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI32rr, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI64rm, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI64rr, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC32rm, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC32rr, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC64rm, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC64rr, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK32rm, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK32rr, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK64rm, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK64rr, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR32rm, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR32rr, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR64rm, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR64rr, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BOUNDS16rm, X86_INS_BOUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BOUNDS32rm, X86_INS_BOUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF16rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF16rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF32rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF32rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF64rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF64rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR16rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR16rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR32rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR32rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR64rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR64rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSWAP32r, X86_INS_BSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSWAP64r, X86_INS_BSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI32rm, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI32rr, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI64rm, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI64rr, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL16m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL16r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL32m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL32r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64pcrel32, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALLpcrel16, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALLpcrel32, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CBW, X86_INS_CBW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CDQ, X86_INS_CDQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CDQE, X86_INS_CDQE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_RAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CHS_F, X86_INS_FCHS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLAC, X86_INS_CLAC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SMAP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLC, X86_INS_CLC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLD, X86_INS_CLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLFLUSH, X86_INS_CLFLUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLGI, X86_INS_CLGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLI, X86_INS_CLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLTS, X86_INS_CLTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMC, X86_INS_CMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA16rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA16rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA32rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA32rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA64rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA64rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE16rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE16rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE32rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE32rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE64rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE64rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB16rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB16rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB32rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB32rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB64rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB64rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE16rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE16rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE32rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE32rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE64rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE64rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE_F, X86_INS_FCMOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB_F, X86_INS_FCMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE16rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE16rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE32rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE32rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE64rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE64rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE_F, X86_INS_FCMOVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG16rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG16rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG32rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG32rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG64rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG64rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE16rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE16rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE32rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE32rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE64rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE64rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL16rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL16rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL32rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL32rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL64rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL64rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE16rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE16rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE32rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE32rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE64rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE64rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNBE_F, X86_INS_FCMOVNBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNB_F, X86_INS_FCMOVNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE16rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE16rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE32rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE32rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE64rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE64rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE_F, X86_INS_FCMOVNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO16rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO16rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO32rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO32rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO64rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO64rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP16rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP16rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP32rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP32rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP64rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP64rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP_F, X86_INS_FCMOVNU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS16rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS16rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS32rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS32rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS64rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS64rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO16rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO16rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO32rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO32rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO64rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO64rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP16rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP16rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP32rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP32rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP64rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP64rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP_F, X86_INS_FCMOVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS16rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS16rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS32rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS32rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS64rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS64rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16i16, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32i32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64i32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mi32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64ri32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8i8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPDrmi, X86_INS_CMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPDrmi_alt, X86_INS_CMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPDrri, X86_INS_CMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPDrri_alt, X86_INS_CMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPSrmi, X86_INS_CMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPSrmi_alt, X86_INS_CMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPSrri, X86_INS_CMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPPSrri_alt, X86_INS_CMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSB, X86_INS_CMPSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSDrm, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSDrm_alt, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSDrr, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSDrr_alt, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSL, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSQ, X86_INS_CMPSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSSrm, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSSrm_alt, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSSrr, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSSrr_alt, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSW, X86_INS_CMPSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16B, X86_INS_CMPXCHG16B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG32rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG32rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG64rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG64rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8B, X86_INS_CMPXCHG8B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COMISDrm, X86_INS_COMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COMISDrr, X86_INS_COMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COMISSrm, X86_INS_COMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COMISSrr, X86_INS_COMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COMP_FST0r, X86_INS_FCOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COM_FIPr, X86_INS_FCOMPI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COM_FIr, X86_INS_FCOMI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COM_FST0r, X86_INS_FCOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_COS_F, X86_INS_FCOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CPUID32, X86_INS_CPUID,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CPUID64, X86_INS_CPUID,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RCX, 0 }, { X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CQO, X86_INS_CQO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32m16, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32m32, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32m8, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32r16, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32r32, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r32r8, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r64m64, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r64m8, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r64r64, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CRC32r64r8, X86_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTDQ2PDrm, X86_INS_CVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTDQ2PDrr, X86_INS_CVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTDQ2PSrm, X86_INS_CVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTDQ2PSrr, X86_INS_CVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPD2DQrm, X86_INS_CVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPD2DQrr, X86_INS_CVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPD2PSrm, X86_INS_CVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPD2PSrr, X86_INS_CVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPS2DQrm, X86_INS_CVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPS2DQrr, X86_INS_CVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPS2PDrm, X86_INS_CVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTPS2PDrr, X86_INS_CVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SI64rm, X86_INS_CVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SI64rr, X86_INS_CVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SIrm, X86_INS_CVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SIrr, X86_INS_CVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SSrm, X86_INS_CVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSD2SSrr, X86_INS_CVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SD64rm, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SD64rr, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SDrm, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SDrr, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SS64rm, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SS64rr, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SSrm, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSI2SSrr, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SDrm, X86_INS_CVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SDrr, X86_INS_CVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SI64rm, X86_INS_CVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SI64rr, X86_INS_CVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SIrm, X86_INS_CVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTSS2SIrr, X86_INS_CVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTPD2DQrm, X86_INS_CVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTPD2DQrr, X86_INS_CVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTPS2DQrm, X86_INS_CVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTPS2DQrr, X86_INS_CVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSD2SI64rm, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSD2SI64rr, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSD2SIrm, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSD2SIrr, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSS2SI64rm, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSS2SI64rr, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSS2SIrm, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CVTTSS2SIrr, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CWD, X86_INS_CWD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CWDE, X86_INS_CWDE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DAA, X86_INS_DAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DAS, X86_INS_DAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DATA16_PREFIX, X86_INS_DATA16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32_16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32_32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC8m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC8r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV16m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV16r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV32m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV32r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV64m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV64r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV8m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV8r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVPDrm, X86_INS_DIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVPDrr, X86_INS_DIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVPSrm, X86_INS_DIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVPSrr, X86_INS_DIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_F32m, X86_INS_FDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_F64m, X86_INS_FDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_FI16m, X86_INS_FIDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_FI32m, X86_INS_FIDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_FPrST0, X86_INS_FDIVRP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_FST0r, X86_INS_FDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVR_FrST0, X86_INS_FDIVR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSDrm, X86_INS_DIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSDrm_Int, X86_INS_DIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSDrr, X86_INS_DIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSDrr_Int, X86_INS_DIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSSrm, X86_INS_DIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSSrm_Int, X86_INS_DIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSSrr, X86_INS_DIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIVSSrr_Int, X86_INS_DIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_F32m, X86_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_F64m, X86_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_FI16m, X86_INS_FIDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_FI32m, X86_INS_FIDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_FPrST0, X86_INS_FDIVP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_FST0r, X86_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV_FrST0, X86_INS_FDIV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DPPDrmi, X86_INS_DPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DPPDrri, X86_INS_DPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DPPSrmi, X86_INS_DPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DPPSrri, X86_INS_DPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ENCLS, X86_INS_ENCLS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SGX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ENCLU, X86_INS_ENCLU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SGX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ENTER, X86_INS_ENTER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_EXTRACTPSmr, X86_INS_EXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_EXTRACTPSrr, X86_INS_EXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_EXTRQ, X86_INS_EXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_EXTRQI, X86_INS_EXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_F2XM1, X86_INS_F2XM1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL16i, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL16m, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL32i, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL32m, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL64, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARJMP16i, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP16m, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP32i, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP32m, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP64, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FBLDm, X86_INS_FBLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FBSTPm, X86_INS_FBSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FCOM32m, X86_INS_FCOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FCOM64m, X86_INS_FCOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FCOMP32m, X86_INS_FCOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FCOMP64m, X86_INS_FCOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FCOMPP, X86_INS_FCOMPP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FDECSTP, X86_INS_FDECSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FEMMS, X86_INS_FEMMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FFREE, X86_INS_FFREE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FICOM16m, X86_INS_FICOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FICOM32m, X86_INS_FICOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FICOMP16m, X86_INS_FICOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FICOMP32m, X86_INS_FICOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FINCSTP, X86_INS_FINCSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDCW16m, X86_INS_FLDCW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDENVm, X86_INS_FLDENV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDL2E, X86_INS_FLDL2E,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDL2T, X86_INS_FLDL2T,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDLG2, X86_INS_FLDLG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDLN2, X86_INS_FLDLN2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FLDPI, X86_INS_FLDPI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNCLEX, X86_INS_FNCLEX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNINIT, X86_INS_FNINIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNOP, X86_INS_FNOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNSTCW16m, X86_INS_FNSTCW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNSTSW16r, X86_INS_FNSTSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_FPSW, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FNSTSWm, X86_INS_FNSTSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FPATAN, X86_INS_FPATAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FPREM, X86_INS_FPREM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FPREM1, X86_INS_FPREM1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FPTAN, X86_INS_FPTAN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FRNDINT, X86_INS_FRNDINT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FRSTORm, X86_INS_FRSTOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FSAVEm, X86_INS_FNSAVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FSCALE, X86_INS_FSCALE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FSETPM, X86_INS_FSETPM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FSINCOS, X86_INS_FSINCOS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FSTENVm, X86_INS_FNSTENV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXAM, X86_INS_FXAM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXRSTOR, X86_INS_FXRSTOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXRSTOR64, X86_INS_FXRSTOR64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXSAVE, X86_INS_FXSAVE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXSAVE64, X86_INS_FXSAVE64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FXTRACT, X86_INS_FXTRACT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FYL2X, X86_INS_FYL2X,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FYL2XP1, X86_INS_FYL2XP1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDNPDrm, X86_INS_ANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDNPDrr, X86_INS_ANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDNPSrm, X86_INS_ANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDNPSrr, X86_INS_ANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDPDrm, X86_INS_ANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDPDrr, X86_INS_ANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDPSrm, X86_INS_ANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsANDPSrr, X86_INS_ANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsMOVAPDrm, X86_INS_MOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsMOVAPSrm, X86_INS_MOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsORPDrm, X86_INS_ORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsORPDrr, X86_INS_ORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsORPSrm, X86_INS_ORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsORPSrr, X86_INS_ORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsVMOVAPDrm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsVMOVAPSrm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsXORPDrm, X86_INS_XORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsXORPDrr, X86_INS_XORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsXORPSrm, X86_INS_XORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FsXORPSrr, X86_INS_XORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_GETSEC, X86_INS_GETSEC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HADDPDrm, X86_INS_HADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HADDPDrr, X86_INS_HADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HADDPSrm, X86_INS_HADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HADDPSrr, X86_INS_HADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HLT, X86_INS_HLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HSUBPDrm, X86_INS_HSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HSUBPDrr, X86_INS_HSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HSUBPSrm, X86_INS_HSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HSUBPSrr, X86_INS_HSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV16m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV16r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV32m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV32r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV64m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV64r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV8m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV8r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ILD_F16m, X86_INS_FILD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ILD_F32m, X86_INS_FILD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ILD_F64m, X86_INS_FILD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rmi, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rri, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rmi, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rri, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rmi32, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rri32, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL8m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL8r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN16ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN16rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN32ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN32rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN8ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN8rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32_16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32_32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC8m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC8r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSB, X86_INS_INSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSERTPSrm, X86_INS_INSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSERTPSrr, X86_INS_INSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSERTQ, X86_INS_INSERTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSERTQI, X86_INS_INSERTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSL, X86_INS_INSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSW, X86_INS_INSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT, X86_INS_INT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT1, X86_INS_INT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT3, X86_INS_INT3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INTO, X86_INS_INTO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_INT, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVD, X86_INS_INVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVEPT32, X86_INS_INVEPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVEPT64, X86_INS_INVEPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPG, X86_INS_INVLPG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPGA32, X86_INS_INVLPGA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPGA64, X86_INS_INVLPGA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVPCID32, X86_INS_INVPCID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVPCID64, X86_INS_INVPCID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVVPID32, X86_INS_INVVPID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVVPID64, X86_INS_INVVPID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET16, X86_INS_IRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET32, X86_INS_IRETD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET64, X86_INS_IRETQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ISTT_FP16m, X86_INS_FISTTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ISTT_FP32m, X86_INS_FISTTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ISTT_FP64m, X86_INS_FISTTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IST_F16m, X86_INS_FIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IST_F32m, X86_INS_FIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IST_FP16m, X86_INS_FISTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IST_FP32m, X86_INS_FISTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IST_FP64m, X86_INS_FISTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CMPSDrm, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CMPSDrr, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CMPSSrm, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CMPSSrr, X86_INS_CMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_COMISDrm, X86_INS_COMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_COMISDrr, X86_INS_COMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_COMISSrm, X86_INS_COMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_COMISSrr, X86_INS_COMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSD2SSrm, X86_INS_CVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSD2SSrr, X86_INS_CVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SD64rm, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SD64rr, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SDrm, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SDrr, X86_INS_CVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SS64rm, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SS64rr, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SSrm, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSI2SSrr, X86_INS_CVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSS2SDrm, X86_INS_CVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTSS2SDrr, X86_INS_CVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSD2SI64rm, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSD2SI64rr, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSD2SIrm, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSD2SIrr, X86_INS_CVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSS2SI64rm, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSS2SI64rr, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSS2SIrm, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_CVTTSS2SIrr, X86_INS_CVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_UCOMISDrm, X86_INS_UCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_UCOMISDrr, X86_INS_UCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_UCOMISSrm, X86_INS_UCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_UCOMISSrr, X86_INS_UCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCMPSDrm, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCMPSDrr, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCMPSSrm, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCMPSSrr, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISDZrm, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISDZrr, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISDrm, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISDrr, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISSZrm, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISSZrr, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISSrm, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCOMISSrr, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSD2SSrm, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSD2SSrr, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SD64Zrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SD64Zrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SD64rm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SD64rr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SDZrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SDZrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SDrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SDrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SS64Zrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SS64Zrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SS64rm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SS64rr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SSZrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SSZrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SSrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSI2SSrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSS2SDrm, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTSS2SDrr, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SD64Zrm, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SD64Zrr, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SS64Zrm, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SS64Zrr, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISDZrm, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISDZrr, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISDrm, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISDrr, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISSZrm, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISSZrr, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISSrm, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_Int_VUCOMISSrr, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_JAE_1, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JAE_2, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JAE_4, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_1, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_2, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_4, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_1, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_2, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_4, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_1, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_2, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_4, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JCXZ, X86_INS_JCXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CX, 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JECXZ_32, X86_INS_JECXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JECXZ_64, X86_INS_JECXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_1, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_2, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_4, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_1, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_2, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_4, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_1, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_2, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_4, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_1, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_2, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_4, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_1, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_2, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_4, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP16m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP16r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP32m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP32r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP64m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP64r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP_1, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP_2, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP_4, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_1, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_2, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_4, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_1, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_2, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_4, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_1, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_2, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_4, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_1, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_2, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_4, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_1, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_2, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_4, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_1, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_2, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_4, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JRCXZ, X86_INS_JRCXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RCX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_1, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_2, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_4, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_KANDBrr, X86_INS_KANDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDDrr, X86_INS_KANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDNBrr, X86_INS_KANDNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDNDrr, X86_INS_KANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDNQrr, X86_INS_KANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDNWrr, X86_INS_KANDNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDQrr, X86_INS_KANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KANDWrr, X86_INS_KANDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVBkk, X86_INS_KMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVBkm, X86_INS_KMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVBkr, X86_INS_KMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVBmk, X86_INS_KMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVBrk, X86_INS_KMOVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVDkk, X86_INS_KMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVDkm, X86_INS_KMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVDkr, X86_INS_KMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVDmk, X86_INS_KMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVDrk, X86_INS_KMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVQkk, X86_INS_KMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVQkm, X86_INS_KMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVQkr, X86_INS_KMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVQmk, X86_INS_KMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVQrk, X86_INS_KMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVWkk, X86_INS_KMOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVWkm, X86_INS_KMOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVWkr, X86_INS_KMOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVWmk, X86_INS_KMOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KMOVWrk, X86_INS_KMOVW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KNOTBrr, X86_INS_KNOTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KNOTDrr, X86_INS_KNOTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KNOTQrr, X86_INS_KNOTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KNOTWrr, X86_INS_KNOTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KORBrr, X86_INS_KORB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KORDrr, X86_INS_KORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KORQrr, X86_INS_KORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KORTESTWrr, X86_INS_KORTESTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KORWrr, X86_INS_KORW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KSHIFTLWri, X86_INS_KSHIFTLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KSHIFTRWri, X86_INS_KSHIFTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KUNPCKBWrr, X86_INS_KUNPCKBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXNORBrr, X86_INS_KXNORB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXNORDrr, X86_INS_KXNORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXNORQrr, X86_INS_KXNORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXNORWrr, X86_INS_KXNORW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXORBrr, X86_INS_KXORB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXORDrr, X86_INS_KXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXORQrr, X86_INS_KXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_KXORWrr, X86_INS_KXORW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAHF, X86_INS_LAHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_AH, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR16rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR16rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR32rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR32rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR64rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR64rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG16, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG16B, X86_INS_CMPXCHG16B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG32, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG64, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG8, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG8B, X86_INS_CMPXCHG8B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDDQUrm, X86_INS_LDDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDMXCSR, X86_INS_LDMXCSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDS16rm, X86_INS_LDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDS32rm, X86_INS_LDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_F0, X86_INS_FLDZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_F1, X86_INS_FLD1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_F32m, X86_INS_FLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_F64m, X86_INS_FLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_F80m, X86_INS_FLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LD_Frr, X86_INS_FLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA16r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA32r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA64_32r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA64r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEAVE, X86_INS_LEAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EBP, X86_REG_ESP, 0 }, { X86_REG_EBP, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEAVE64, X86_INS_LEAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBP, X86_REG_RSP, 0 }, { X86_REG_RBP, X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LES16rm, X86_INS_LES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LES32rm, X86_INS_LES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFENCE, X86_INS_LFENCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS16rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS32rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS64rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT16m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT32m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT64m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS16rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS32rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS64rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT16m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT32m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT64m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LLDT16m, X86_INS_LLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LLDT16r, X86_INS_LLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LMSW16m, X86_INS_LMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LMSW16r, X86_INS_LMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mi32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD8mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD8mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mi32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND8mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND8mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC64m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC8m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC64m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC8m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mi32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR8mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR8mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mi32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB8mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB8mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mi32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR8mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR8mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSB, X86_INS_LODSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AL, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSL, X86_INS_LODSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSQ, X86_INS_LODSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_RAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSW, X86_INS_LODSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOOP, X86_INS_LOOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LOOPE, X86_INS_LOOPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LOOPNE, X86_INS_LOOPNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LRETIL, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETIQ, X86_INS_RETFQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETIW, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETL, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETQ, X86_INS_RETFQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETW, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL16rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL16rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL32rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL32rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL64rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL64rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS16rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS32rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS64rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LTRm, X86_INS_LTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LTRr, X86_INS_LTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD16, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD32, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD64, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD8, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT16rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT16rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT32rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT32rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT64rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT64rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MASKMOVDQU, X86_INS_MASKMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_SSE2, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MASKMOVDQU64, X86_INS_MASKMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_SSE2, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCPDrm, X86_INS_MAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCPDrr, X86_INS_MAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCPSrm, X86_INS_MAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCPSrr, X86_INS_MAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCSDrm, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCSDrr, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCSSrm, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXCSSrr, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXPDrm, X86_INS_MAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXPDrr, X86_INS_MAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXPSrm, X86_INS_MAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXPSrr, X86_INS_MAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSDrm, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSDrm_Int, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSDrr, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSDrr_Int, X86_INS_MAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSSrm, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSSrm_Int, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSSrr, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MAXSSrr_Int, X86_INS_MAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MFENCE, X86_INS_MFENCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCPDrm, X86_INS_MINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCPDrr, X86_INS_MINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCPSrm, X86_INS_MINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCPSrr, X86_INS_MINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCSDrm, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCSDrr, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCSSrm, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINCSSrr, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINPDrm, X86_INS_MINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINPDrr, X86_INS_MINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINPSrm, X86_INS_MINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINPSrr, X86_INS_MINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSDrm, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSDrm_Int, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSDrr, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSDrr_Int, X86_INS_MINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSSrm, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSSrm_Int, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSSrr, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MINSSrr_Int, X86_INS_MINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPD2PIirm, X86_INS_CVTPD2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPD2PIirr, X86_INS_CVTPD2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPI2PDirm, X86_INS_CVTPI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPI2PDirr, X86_INS_CVTPI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPI2PSirm, X86_INS_CVTPI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPI2PSirr, X86_INS_CVTPI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPS2PIirm, X86_INS_CVTPS2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTPS2PIirr, X86_INS_CVTPS2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTTPD2PIirm, X86_INS_CVTTPD2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTTPD2PIirr, X86_INS_CVTTPD2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTTPS2PIirm, X86_INS_CVTTPS2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_CVTTPS2PIirr, X86_INS_CVTTPS2PI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_EMMS, X86_INS_EMMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MASKMOVQ, X86_INS_MASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_MMX, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MASKMOVQ64, X86_INS_MASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_MMX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64from64rr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64grr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64mr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64rm, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64rr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVD64to64rr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVDQ2Qrr, X86_INS_MOVDQ2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVFR642Qrr, X86_INS_MOVDQ2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVNTQmr, X86_INS_MOVNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ2DQrr, X86_INS_MOVQ2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ2FR64rr, X86_INS_MOVQ2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ64mr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ64rm, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ64rr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_MOVQ64rr_REV, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSBrm64, X86_INS_PABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSBrr64, X86_INS_PABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSDrm64, X86_INS_PABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSDrr64, X86_INS_PABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSWrm64, X86_INS_PABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PABSWrr64, X86_INS_PABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKSSDWirm, X86_INS_PACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKSSDWirr, X86_INS_PACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKSSWBirm, X86_INS_PACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKSSWBirr, X86_INS_PACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKUSWBirm, X86_INS_PACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PACKUSWBirr, X86_INS_PACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDBirm, X86_INS_PADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDBirr, X86_INS_PADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDDirm, X86_INS_PADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDDirr, X86_INS_PADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDQirm, X86_INS_PADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDQirr, X86_INS_PADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDSBirm, X86_INS_PADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDSBirr, X86_INS_PADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDSWirm, X86_INS_PADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDSWirr, X86_INS_PADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDUSBirm, X86_INS_PADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDUSBirr, X86_INS_PADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDUSWirm, X86_INS_PADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDUSWirr, X86_INS_PADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDWirm, X86_INS_PADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PADDWirr, X86_INS_PADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PALIGNR64irm, X86_INS_PALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PALIGNR64irr, X86_INS_PALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PANDNirm, X86_INS_PANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PANDNirr, X86_INS_PANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PANDirm, X86_INS_PAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PANDirr, X86_INS_PAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PAVGBirm, X86_INS_PAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PAVGBirr, X86_INS_PAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PAVGWirm, X86_INS_PAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PAVGWirr, X86_INS_PAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQBirm, X86_INS_PCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQBirr, X86_INS_PCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQDirm, X86_INS_PCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQDirr, X86_INS_PCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQWirm, X86_INS_PCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPEQWirr, X86_INS_PCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTBirm, X86_INS_PCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTBirr, X86_INS_PCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTDirm, X86_INS_PCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTDirr, X86_INS_PCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTWirm, X86_INS_PCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PCMPGTWirr, X86_INS_PCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PEXTRWirri, X86_INS_PEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDSWrm64, X86_INS_PHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDSWrr64, X86_INS_PHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDWrm64, X86_INS_PHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDWrr64, X86_INS_PHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDrm64, X86_INS_PHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHADDrr64, X86_INS_PHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBDrm64, X86_INS_PHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBDrr64, X86_INS_PHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBSWrm64, X86_INS_PHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBSWrr64, X86_INS_PHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBWrm64, X86_INS_PHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PHSUBWrr64, X86_INS_PHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PINSRWirmi, X86_INS_PINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PINSRWirri, X86_INS_PINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMADDUBSWrm64, X86_INS_PMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMADDUBSWrr64, X86_INS_PMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMADDWDirm, X86_INS_PMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMADDWDirr, X86_INS_PMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMAXSWirm, X86_INS_PMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMAXSWirr, X86_INS_PMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMAXUBirm, X86_INS_PMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMAXUBirr, X86_INS_PMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMINSWirm, X86_INS_PMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMINSWirr, X86_INS_PMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMINUBirm, X86_INS_PMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMINUBirr, X86_INS_PMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMOVMSKBrr, X86_INS_PMOVMSKB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHRSWrm64, X86_INS_PMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHRSWrr64, X86_INS_PMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHUWirm, X86_INS_PMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHUWirr, X86_INS_PMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHWirm, X86_INS_PMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULHWirr, X86_INS_PMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULLWirm, X86_INS_PMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULLWirr, X86_INS_PMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULUDQirm, X86_INS_PMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PMULUDQirr, X86_INS_PMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PORirm, X86_INS_POR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PORirr, X86_INS_POR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSADBWirm, X86_INS_PSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSADBWirr, X86_INS_PSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSHUFBrm64, X86_INS_PSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSHUFBrr64, X86_INS_PSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSHUFWmi, X86_INS_PSHUFW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSHUFWri, X86_INS_PSHUFW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNBrm64, X86_INS_PSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNBrr64, X86_INS_PSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNDrm64, X86_INS_PSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNDrr64, X86_INS_PSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNWrm64, X86_INS_PSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSIGNWrr64, X86_INS_PSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLDri, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLDrm, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLDrr, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLQri, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLQrm, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLQrr, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLWri, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLWrm, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSLLWrr, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRADri, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRADrm, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRADrr, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRAWri, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRAWrm, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRAWrr, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLDri, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLDrm, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLDrr, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLQri, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLQrm, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLQrr, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLWri, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLWrm, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSRLWrr, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBBirm, X86_INS_PSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBBirr, X86_INS_PSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBDirm, X86_INS_PSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBDirr, X86_INS_PSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBQirm, X86_INS_PSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBQirr, X86_INS_PSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBSBirm, X86_INS_PSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBSBirr, X86_INS_PSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBSWirm, X86_INS_PSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBSWirr, X86_INS_PSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBUSBirm, X86_INS_PSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBUSBirr, X86_INS_PSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBUSWirm, X86_INS_PSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBUSWirr, X86_INS_PSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBWirm, X86_INS_PSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PSUBWirr, X86_INS_PSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHBWirm, X86_INS_PUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHBWirr, X86_INS_PUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHDQirm, X86_INS_PUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHDQirr, X86_INS_PUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHWDirm, X86_INS_PUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKHWDirr, X86_INS_PUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLBWirm, X86_INS_PUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLBWirr, X86_INS_PUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLDQirm, X86_INS_PUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLDQirr, X86_INS_PUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLWDirm, X86_INS_PUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PUNPCKLWDirr, X86_INS_PUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PXORirm, X86_INS_PXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MMX_PXORirr, X86_INS_PXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MONITORrrr, X86_INS_MONITOR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MONTMUL, X86_INS_MONTMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_RSI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ao16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ao16_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16o16a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16o16a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ao32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ao32_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32cr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32dr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32o32a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32o32a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rc, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rd, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao16, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao32, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao64, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao8, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64cr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64dr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64mi32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o16a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o32a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o64a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o8a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rc, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rd, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ri, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ri32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64toPQIrr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64toSDrm, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64toSDrr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ao8, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ao8_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mr_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8o8a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8o8a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rm_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPDmr, X86_INS_MOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPDrm, X86_INS_MOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPDrr, X86_INS_MOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPDrr_REV, X86_INS_MOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPSmr, X86_INS_MOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPSrm, X86_INS_MOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPSrr, X86_INS_MOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVAPSrr_REV, X86_INS_MOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE16mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE16rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE32mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE32rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE64mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE64rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDDUPrm, X86_INS_MOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDDUPrr, X86_INS_MOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDI2PDIrm, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDI2PDIrr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDI2SSrm, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDI2SSrr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQAmr, X86_INS_MOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQArm, X86_INS_MOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQArr, X86_INS_MOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQArr_REV, X86_INS_MOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQUmr, X86_INS_MOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQUrm, X86_INS_MOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQUrr, X86_INS_MOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVDQUrr_REV, X86_INS_MOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVHLPSrr, X86_INS_MOVHLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVHPDmr, X86_INS_MOVHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVHPDrm, X86_INS_MOVHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVHPSmr, X86_INS_MOVHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVHPSrm, X86_INS_MOVHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVLHPSrr, X86_INS_MOVLHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVLPDmr, X86_INS_MOVLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVLPDrm, X86_INS_MOVLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVLPSmr, X86_INS_MOVLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVLPSrm, X86_INS_MOVLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVMSKPDrr, X86_INS_MOVMSKPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVMSKPSrr, X86_INS_MOVMSKPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTDQArm, X86_INS_MOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTDQmr, X86_INS_MOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTI_64mr, X86_INS_MOVNTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTImr, X86_INS_MOVNTI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTPDmr, X86_INS_MOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTPSmr, X86_INS_MOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTSD, X86_INS_MOVNTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVNTSS, X86_INS_MOVNTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVPDI2DImr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVPDI2DIrr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVPQI2QImr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVPQI2QIrr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVPQIto64rr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVQI2PQIrm, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSB, X86_INS_MOVSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDmr, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDrm, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDrr, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDrr_REV, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDto64mr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSDto64rr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSHDUPrm, X86_INS_MOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSHDUPrr, X86_INS_MOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSL, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSLDUPrm, X86_INS_MOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSLDUPrr, X86_INS_MOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSQ, X86_INS_MOVSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSS2DImr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSS2DIrr, X86_INS_MOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSSmr, X86_INS_MOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSSrm, X86_INS_MOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSSrr, X86_INS_MOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSSrr_REV, X86_INS_MOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSW, X86_INS_MOVSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX16rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX16rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rm16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rr16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPDmr, X86_INS_MOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPDrm, X86_INS_MOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPDrr, X86_INS_MOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPDrr_REV, X86_INS_MOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPSmr, X86_INS_MOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPSrm, X86_INS_MOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPSrr, X86_INS_MOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVUPSrr_REV, X86_INS_MOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZPQILo2PQIrm, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZPQILo2PQIrr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZQI2PQIrm, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZQI2PQIrr, X86_INS_MOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX16rm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX16rr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32_NOREXrm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32_NOREXrr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rm16, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rr16, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rm16_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rm8_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rr16_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rr8_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MPSADBWrmi, X86_INS_MPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MPSADBWrri, X86_INS_MPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL16m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL16r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL32m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL32r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL64m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL64r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL8m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL8r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULPDrm, X86_INS_MULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULPDrr, X86_INS_MULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULPSrm, X86_INS_MULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULPSrr, X86_INS_MULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSDrm, X86_INS_MULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSDrm_Int, X86_INS_MULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSDrr, X86_INS_MULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSDrr_Int, X86_INS_MULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSSrm, X86_INS_MULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSSrm_Int, X86_INS_MULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSSrr, X86_INS_MULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULSSrr_Int, X86_INS_MULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX32rm, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX32rr, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX64rm, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX64rr, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_F32m, X86_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_F64m, X86_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_FI16m, X86_INS_FIMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_FI32m, X86_INS_FIMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_FPrST0, X86_INS_FMULP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_FST0r, X86_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL_FrST0, X86_INS_FMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MWAITrr, X86_INS_MWAIT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, X86_REG_EAX, 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG16m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG16r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG32m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG32r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG64m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG64r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG8m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG8r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP19rr, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_19, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1a, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1b, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1c, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1d, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1e, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_19, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1a, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1b, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1c, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1d, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1e, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT16m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT16r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT32m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT32r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT64m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT64r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT8m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT8r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16i16, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32i32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mrLocked, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64i32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mi32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64ri32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8i8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ORPDrm, X86_INS_ORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ORPDrr, X86_INS_ORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ORPSrm, X86_INS_ORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ORPSrr, X86_INS_ORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT16ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT16rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT32ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT32rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT8ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT8rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSB, X86_INS_OUTSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSL, X86_INS_OUTSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSW, X86_INS_OUTSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSBrm128, X86_INS_PABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSBrr128, X86_INS_PABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSDrm128, X86_INS_PABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSDrr128, X86_INS_PABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSWrm128, X86_INS_PABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PABSWrr128, X86_INS_PABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKSSDWrm, X86_INS_PACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKSSDWrr, X86_INS_PACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKSSWBrm, X86_INS_PACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKSSWBrr, X86_INS_PACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKUSDWrm, X86_INS_PACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKUSDWrr, X86_INS_PACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKUSWBrm, X86_INS_PACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PACKUSWBrr, X86_INS_PACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDBrm, X86_INS_PADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDBrr, X86_INS_PADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDDrm, X86_INS_PADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDDrr, X86_INS_PADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDQrm, X86_INS_PADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDQrr, X86_INS_PADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDSBrm, X86_INS_PADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDSBrr, X86_INS_PADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDSWrm, X86_INS_PADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDSWrr, X86_INS_PADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDUSBrm, X86_INS_PADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDUSBrr, X86_INS_PADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDUSWrm, X86_INS_PADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDUSWrr, X86_INS_PADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDWrm, X86_INS_PADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PADDWrr, X86_INS_PADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PALIGNR128rm, X86_INS_PALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PALIGNR128rr, X86_INS_PALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PANDNrm, X86_INS_PANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PANDNrr, X86_INS_PANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PANDrm, X86_INS_PAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PANDrr, X86_INS_PAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAUSE, X86_INS_PAUSE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGBrm, X86_INS_PAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGBrr, X86_INS_PAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGUSBrm, X86_INS_PAVGUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGUSBrr, X86_INS_PAVGUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGWrm, X86_INS_PAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PAVGWrr, X86_INS_PAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PBLENDVBrm0, X86_INS_PBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PBLENDVBrr0, X86_INS_PBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PBLENDWrmi, X86_INS_PBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PBLENDWrri, X86_INS_PBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCLMULQDQrm, X86_INS_PCLMULQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PCLMUL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCLMULQDQrr, X86_INS_PCLMULQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PCLMUL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQBrm, X86_INS_PCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQBrr, X86_INS_PCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQDrm, X86_INS_PCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQDrr, X86_INS_PCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQQrm, X86_INS_PCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQQrr, X86_INS_PCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQWrm, X86_INS_PCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPEQWrr, X86_INS_PCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPESTRIrm, X86_INS_PCMPESTRI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPESTRIrr, X86_INS_PCMPESTRI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPESTRM128rm, X86_INS_PCMPESTRM,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPESTRM128rr, X86_INS_PCMPESTRM,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTBrm, X86_INS_PCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTBrr, X86_INS_PCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTDrm, X86_INS_PCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTDrr, X86_INS_PCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTQrm, X86_INS_PCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTQrr, X86_INS_PCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTWrm, X86_INS_PCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPGTWrr, X86_INS_PCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPISTRIrm, X86_INS_PCMPISTRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPISTRIrr, X86_INS_PCMPISTRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPISTRM128rm, X86_INS_PCMPISTRM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PCMPISTRM128rr, X86_INS_PCMPISTRM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP32rm, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP32rr, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP64rm, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP64rr, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT32rm, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT32rr, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT64rm, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT64rr, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRBmr, X86_INS_PEXTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRBrr, X86_INS_PEXTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRDmr, X86_INS_PEXTRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRDrr, X86_INS_PEXTRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRQmr, X86_INS_PEXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRQrr, X86_INS_PEXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRWmr, X86_INS_PEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRWri, X86_INS_PEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXTRWrr_REV, X86_INS_PEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PF2IDrm, X86_INS_PF2ID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PF2IDrr, X86_INS_PF2ID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PF2IWrm, X86_INS_PF2IW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PF2IWrr, X86_INS_PF2IW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFACCrm, X86_INS_PFACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFACCrr, X86_INS_PFACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFADDrm, X86_INS_PFADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFADDrr, X86_INS_PFADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPEQrm, X86_INS_PFCMPEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPEQrr, X86_INS_PFCMPEQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPGErm, X86_INS_PFCMPGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPGErr, X86_INS_PFCMPGE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPGTrm, X86_INS_PFCMPGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFCMPGTrr, X86_INS_PFCMPGT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMAXrm, X86_INS_PFMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMAXrr, X86_INS_PFMAX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMINrm, X86_INS_PFMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMINrr, X86_INS_PFMIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMULrm, X86_INS_PFMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFMULrr, X86_INS_PFMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFNACCrm, X86_INS_PFNACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFNACCrr, X86_INS_PFNACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFPNACCrm, X86_INS_PFPNACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFPNACCrr, X86_INS_PFPNACC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPIT1rm, X86_INS_PFRCPIT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPIT1rr, X86_INS_PFRCPIT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPIT2rm, X86_INS_PFRCPIT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPIT2rr, X86_INS_PFRCPIT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPrm, X86_INS_PFRCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRCPrr, X86_INS_PFRCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRSQIT1rm, X86_INS_PFRSQIT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRSQIT1rr, X86_INS_PFRSQIT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRSQRTrm, X86_INS_PFRSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFRSQRTrr, X86_INS_PFRSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFSUBRrm, X86_INS_PFSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFSUBRrr, X86_INS_PFSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFSUBrm, X86_INS_PFSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PFSUBrr, X86_INS_PFSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDDrm, X86_INS_PHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDDrr, X86_INS_PHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDSWrm128, X86_INS_PHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDSWrr128, X86_INS_PHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDWrm, X86_INS_PHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHADDWrr, X86_INS_PHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHMINPOSUWrm128, X86_INS_PHMINPOSUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHMINPOSUWrr128, X86_INS_PHMINPOSUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBDrm, X86_INS_PHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBDrr, X86_INS_PHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBSWrm128, X86_INS_PHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBSWrr128, X86_INS_PHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBWrm, X86_INS_PHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PHSUBWrr, X86_INS_PHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PI2FDrm, X86_INS_PI2FD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PI2FDrr, X86_INS_PI2FD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PI2FWrm, X86_INS_PI2FW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PI2FWrr, X86_INS_PI2FW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRBrm, X86_INS_PINSRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRBrr, X86_INS_PINSRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRDrm, X86_INS_PINSRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRDrr, X86_INS_PINSRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRQrm, X86_INS_PINSRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRQrr, X86_INS_PINSRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRWrmi, X86_INS_PINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PINSRWrri, X86_INS_PINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMADDUBSWrm128, X86_INS_PMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMADDUBSWrr128, X86_INS_PMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMADDWDrm, X86_INS_PMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMADDWDrr, X86_INS_PMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSBrm, X86_INS_PMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSBrr, X86_INS_PMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSDrm, X86_INS_PMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSDrr, X86_INS_PMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSWrm, X86_INS_PMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXSWrr, X86_INS_PMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUBrm, X86_INS_PMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUBrr, X86_INS_PMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUDrm, X86_INS_PMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUDrr, X86_INS_PMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUWrm, X86_INS_PMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMAXUWrr, X86_INS_PMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSBrm, X86_INS_PMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSBrr, X86_INS_PMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSDrm, X86_INS_PMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSDrr, X86_INS_PMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSWrm, X86_INS_PMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINSWrr, X86_INS_PMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUBrm, X86_INS_PMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUBrr, X86_INS_PMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUDrm, X86_INS_PMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUDrr, X86_INS_PMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUWrm, X86_INS_PMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMINUWrr, X86_INS_PMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVMSKBrr, X86_INS_PMOVMSKB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBDrm, X86_INS_PMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBDrr, X86_INS_PMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBQrm, X86_INS_PMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBQrr, X86_INS_PMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBWrm, X86_INS_PMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXBWrr, X86_INS_PMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXDQrm, X86_INS_PMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXDQrr, X86_INS_PMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXWDrm, X86_INS_PMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXWDrr, X86_INS_PMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXWQrm, X86_INS_PMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVSXWQrr, X86_INS_PMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBDrm, X86_INS_PMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBDrr, X86_INS_PMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBQrm, X86_INS_PMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBQrr, X86_INS_PMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBWrm, X86_INS_PMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXBWrr, X86_INS_PMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXDQrm, X86_INS_PMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXDQrr, X86_INS_PMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXWDrm, X86_INS_PMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXWDrr, X86_INS_PMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXWQrm, X86_INS_PMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMOVZXWQrr, X86_INS_PMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULDQrm, X86_INS_PMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULDQrr, X86_INS_PMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHRSWrm128, X86_INS_PMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHRSWrr128, X86_INS_PMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHRWrm, X86_INS_PMULHRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHRWrr, X86_INS_PMULHRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHUWrm, X86_INS_PMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHUWrr, X86_INS_PMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHWrm, X86_INS_PMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULHWrr, X86_INS_PMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULLDrm, X86_INS_PMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULLDrr, X86_INS_PMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULLWrm, X86_INS_PMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULLWrr, X86_INS_PMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULUDQrm, X86_INS_PMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PMULUDQrr, X86_INS_PMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPA16, X86_INS_POPAW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPA32, X86_INS_POPAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT16rm, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT16rr, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT32rm, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT32rr, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT64rm, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPCNT64rr, X86_INS_POPCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPDS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPDS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPES16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPES32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF16, X86_INS_POPF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF32, X86_INS_POPFD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF64, X86_INS_POPFQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS64, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS64, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPSS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPSS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PORrm, X86_INS_POR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PORrr, X86_INS_POR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCH, X86_INS_PREFETCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCHNTA, X86_INS_PREFETCHNTA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCHT0, X86_INS_PREFETCHT0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCHT1, X86_INS_PREFETCHT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCHT2, X86_INS_PREFETCHT2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PREFETCHW, X86_INS_PREFETCHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSADBWrm, X86_INS_PSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSADBWrr, X86_INS_PSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFBrm, X86_INS_PSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFBrr, X86_INS_PSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFDmi, X86_INS_PSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFDri, X86_INS_PSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFHWmi, X86_INS_PSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFHWri, X86_INS_PSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFLWmi, X86_INS_PSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSHUFLWri, X86_INS_PSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNBrm, X86_INS_PSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNBrr, X86_INS_PSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNDrm, X86_INS_PSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNDrr, X86_INS_PSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNWrm, X86_INS_PSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSIGNWrr, X86_INS_PSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLDQri, X86_INS_PSLLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLDri, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLDrm, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLDrr, X86_INS_PSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLQri, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLQrm, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLQrr, X86_INS_PSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLWri, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLWrm, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSLLWrr, X86_INS_PSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRADri, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRADrm, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRADrr, X86_INS_PSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRAWri, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRAWrm, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRAWrr, X86_INS_PSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLDQri, X86_INS_PSRLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLDri, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLDrm, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLDrr, X86_INS_PSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLQri, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLQrm, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLQrr, X86_INS_PSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLWri, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLWrm, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSRLWrr, X86_INS_PSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBBrm, X86_INS_PSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBBrr, X86_INS_PSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBDrm, X86_INS_PSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBDrr, X86_INS_PSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBQrm, X86_INS_PSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBQrr, X86_INS_PSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBSBrm, X86_INS_PSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBSBrr, X86_INS_PSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBSWrm, X86_INS_PSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBSWrr, X86_INS_PSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBUSBrm, X86_INS_PSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBUSBrr, X86_INS_PSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBUSWrm, X86_INS_PSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBUSWrr, X86_INS_PSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBWrm, X86_INS_PSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSUBWrr, X86_INS_PSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSWAPDrm, X86_INS_PSWAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PSWAPDrr, X86_INS_PSWAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PTESTrm, X86_INS_PTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PTESTrr, X86_INS_PTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHBWrm, X86_INS_PUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHBWrr, X86_INS_PUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHDQrm, X86_INS_PUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHDQrr, X86_INS_PUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHQDQrm, X86_INS_PUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHQDQrr, X86_INS_PUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHWDrm, X86_INS_PUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKHWDrr, X86_INS_PUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLBWrm, X86_INS_PUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLBWrr, X86_INS_PUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLDQrm, X86_INS_PUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLDQrr, X86_INS_PUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLQDQrm, X86_INS_PUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLQDQrr, X86_INS_PUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLWDrm, X86_INS_PUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUNPCKLWDrr, X86_INS_PUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHA16, X86_INS_PUSHAW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHA32, X86_INS_PUSHAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHCS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHCS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHDS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHDS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHES16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHES32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF16, X86_INS_PUSHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF32, X86_INS_PUSHFD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF64, X86_INS_PUSHFQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS64, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS64, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHSS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHSS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHi16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHi32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PXORrm, X86_INS_PXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PXORrr, X86_INS_PXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPPSm, X86_INS_RCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPPSm_Int, X86_INS_RCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPPSr, X86_INS_RCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPPSr_Int, X86_INS_RCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPSSm, X86_INS_RCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPSSm_Int, X86_INS_RCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPSSr, X86_INS_RCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCPSSr_Int, X86_INS_RCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDFSBASE, X86_INS_RDFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDFSBASE64, X86_INS_RDFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDGSBASE, X86_INS_RDGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDGSBASE64, X86_INS_RDGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDMSR, X86_INS_RDMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDPMC, X86_INS_RDPMC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND16r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND32r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND64r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED16r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED32r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED64r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDTSC, X86_INS_RDTSC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDTSCP, X86_INS_RDTSCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_RAX, X86_REG_RCX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIL, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIQ, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIW, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETL, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETQ, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETW, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX32mi, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX32ri, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX64mi, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX64ri, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDPDm, X86_INS_ROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDPDr, X86_INS_ROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDPSm, X86_INS_ROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDPSr, X86_INS_ROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSDm, X86_INS_ROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSDr, X86_INS_ROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSDr_Int, X86_INS_ROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSSm, X86_INS_ROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSSr, X86_INS_ROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROUNDSSr_Int, X86_INS_ROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSM, X86_INS_RSM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTPSm, X86_INS_RSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTPSm_Int, X86_INS_RSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTPSr, X86_INS_RSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTPSr_Int, X86_INS_RSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTSSm, X86_INS_RSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTSSm_Int, X86_INS_RSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTSSr, X86_INS_RSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSQRTSSr_Int, X86_INS_RSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAHF, X86_INS_SAHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AH, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SALC, X86_INS_SALC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_AL, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX32rm, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX32rr, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX64rm, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX64rr, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16i16, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32i32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64i32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mi32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64ri32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8i8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASB, X86_INS_SCASB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASL, X86_INS_SCASD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASQ, X86_INS_SCASQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASW, X86_INS_SCASW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAEm, X86_INS_SETAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAEr, X86_INS_SETAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAm, X86_INS_SETA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAr, X86_INS_SETA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBEm, X86_INS_SETBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBEr, X86_INS_SETBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBm, X86_INS_SETB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBr, X86_INS_SETB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETEm, X86_INS_SETE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETEr, X86_INS_SETE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGEm, X86_INS_SETGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGEr, X86_INS_SETGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGm, X86_INS_SETG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGr, X86_INS_SETG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLEm, X86_INS_SETLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLEr, X86_INS_SETLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLm, X86_INS_SETL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLr, X86_INS_SETL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNEm, X86_INS_SETNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNEr, X86_INS_SETNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNOm, X86_INS_SETNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNOr, X86_INS_SETNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNPm, X86_INS_SETNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNPr, X86_INS_SETNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNSm, X86_INS_SETNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNSr, X86_INS_SETNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETOm, X86_INS_SETO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETOr, X86_INS_SETO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETPm, X86_INS_SETP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETPr, X86_INS_SETP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETSm, X86_INS_SETS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETSr, X86_INS_SETS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SFENCE, X86_INS_SFENCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT16m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT32m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT64m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1MSG1rm, X86_INS_SHA1MSG1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1MSG1rr, X86_INS_SHA1MSG1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1MSG2rm, X86_INS_SHA1MSG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1MSG2rr, X86_INS_SHA1MSG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1NEXTErm, X86_INS_SHA1NEXTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1NEXTErr, X86_INS_SHA1NEXTE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1RNDS4rmi, X86_INS_SHA1RNDS4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA1RNDS4rri, X86_INS_SHA1RNDS4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256MSG1rm, X86_INS_SHA256MSG1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256MSG1rr, X86_INS_SHA256MSG1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256MSG2rm, X86_INS_SHA256MSG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256MSG2rr, X86_INS_SHA256MSG2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256RNDS2rm, X86_INS_SHA256RNDS2,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHA256RNDS2rr, X86_INS_SHA256RNDS2,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX32rm, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX32rr, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX64rm, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX64rr, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX32rm, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX32rr, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX64rm, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX64rr, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHUFPDrmi, X86_INS_SHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHUFPDrri, X86_INS_SHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHUFPSrmi, X86_INS_SHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHUFPSrri, X86_INS_SHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT16m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT32m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT64m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIN_F, X86_INS_FSIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SKINIT, X86_INS_SKINIT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT16m, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT16r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT32r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT64m, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT64r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW16m, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW16r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW32r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW64r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTPDm, X86_INS_SQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTPDr, X86_INS_SQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTPSm, X86_INS_SQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTPSr, X86_INS_SQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSDm, X86_INS_SQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSDm_Int, X86_INS_SQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSDr, X86_INS_SQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSDr_Int, X86_INS_SQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSSm, X86_INS_SQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSSm_Int, X86_INS_SQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSSr, X86_INS_SQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRTSSr_Int, X86_INS_SQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SQRT_F, X86_INS_FSQRT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STAC, X86_INS_STAC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SMAP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STC, X86_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STD, X86_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STGI, X86_INS_STGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STI, X86_INS_STI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STMXCSR, X86_INS_STMXCSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSB, X86_INS_STOSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSL, X86_INS_STOSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSQ, X86_INS_STOSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RCX, X86_REG_RDI, X86_REG_EFLAGS, 0 }, { X86_REG_RCX, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSW, X86_INS_STOSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR16r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR32r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR64r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STRm, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_F32m, X86_INS_FST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_F64m, X86_INS_FST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FCOMPST0r, X86_INS_FCOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FCOMPST0r_alt, X86_INS_FCOMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FCOMST0r, X86_INS_FCOM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FP32m, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FP64m, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FP80m, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FPNCEST0r, X86_INS_FSTPNCE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FPST0r, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FPST0r_alt, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FPrr, X86_INS_FSTP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FXCHST0r, X86_INS_FXCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_FXCHST0r_alt, X86_INS_FXCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ST_Frr, X86_INS_FST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16i16, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32i32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64i32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mi32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64ri32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8i8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBPDrm, X86_INS_SUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBPDrr, X86_INS_SUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBPSrm, X86_INS_SUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBPSrr, X86_INS_SUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_F32m, X86_INS_FSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_F64m, X86_INS_FSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_FI16m, X86_INS_FISUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_FI32m, X86_INS_FISUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_FPrST0, X86_INS_FSUBRP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_FST0r, X86_INS_FSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBR_FrST0, X86_INS_FSUBR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSDrm, X86_INS_SUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSDrm_Int, X86_INS_SUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSDrr, X86_INS_SUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSDrr_Int, X86_INS_SUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSSrm, X86_INS_SUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSSrm_Int, X86_INS_SUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSSrr, X86_INS_SUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUBSSrr_Int, X86_INS_SUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_F32m, X86_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_F64m, X86_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_FI16m, X86_INS_FISUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_FI32m, X86_INS_FISUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_FPrST0, X86_INS_FSUBP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_FST0r, X86_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB_FrST0, X86_INS_FSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SWAPGS, X86_INS_SWAPGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSCALL, X86_INS_SYSCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSENTER, X86_INS_SYSENTER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSEXIT, X86_INS_SYSEXIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSEXIT64, X86_INS_SYSEXIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSRET, X86_INS_SYSRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSRET64, X86_INS_SYSRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC32rm, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC32rr, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC64rm, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC64rr, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16i16, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32i32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64i32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64mi32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64mi32_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64ri32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64ri32_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8i8, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TRAP, X86_INS_UD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TST_F, X86_INS_FTST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT16rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT16rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT32rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT32rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT64rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT64rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK32rm, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK32rr, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK64rm, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK64rr, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOMISDrm, X86_INS_UCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOMISDrr, X86_INS_UCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOMISSrm, X86_INS_UCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOMISSrr, X86_INS_UCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOM_FIPr, X86_INS_FUCOMPI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ST0, 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOM_FIr, X86_INS_FUCOMI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ST0, 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOM_FPPr, X86_INS_FUCOMPP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOM_FPr, X86_INS_FUCOMP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UCOM_Fr, X86_INS_FUCOM,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UD2B, X86_INS_UD2B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKHPDrm, X86_INS_UNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKHPDrr, X86_INS_UNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKHPSrm, X86_INS_UNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKHPSrr, X86_INS_UNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKLPDrm, X86_INS_UNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKLPDrr, X86_INS_UNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKLPSrm, X86_INS_UNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UNPCKLPSrr, X86_INS_UNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDYrm, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDYrr, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrm, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrmb, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrmbk, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrmbkz, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrmk, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrmkz, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrr, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrrk, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDZrrkz, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDrm, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPDrr, X86_INS_VADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSYrm, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSYrr, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrm, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrmb, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrmbk, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrmbkz, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrmk, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrmkz, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrr, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrrk, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSZrrkz, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSrm, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDPSrr, X86_INS_VADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDZrm, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDZrr, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDrm, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDrm_Int, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDrr, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSDrr_Int, X86_INS_VADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSZrm, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSZrr, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSrm, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSrm_Int, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSrr, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSSrr_Int, X86_INS_VADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPDYrm, X86_INS_VADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPDYrr, X86_INS_VADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPDrm, X86_INS_VADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPDrr, X86_INS_VADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPSYrm, X86_INS_VADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPSYrr, X86_INS_VADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPSrm, X86_INS_VADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VADDSUBPSrr, X86_INS_VADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESDECLASTrm, X86_INS_VAESDECLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESDECLASTrr, X86_INS_VAESDECLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESDECrm, X86_INS_VAESDEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESDECrr, X86_INS_VAESDEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESENCLASTrm, X86_INS_VAESENCLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESENCLASTrr, X86_INS_VAESENCLAST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESENCrm, X86_INS_VAESENC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESENCrr, X86_INS_VAESENC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESIMCrm, X86_INS_VAESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESIMCrr, X86_INS_VAESIMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESKEYGENASSIST128rm, X86_INS_VAESKEYGENASSIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VAESKEYGENASSIST128rr, X86_INS_VAESKEYGENASSIST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNDrmi, X86_INS_VALIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNDrri, X86_INS_VALIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNDrrik, X86_INS_VALIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNDrrikz, X86_INS_VALIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNQrmi, X86_INS_VALIGNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNQrri, X86_INS_VALIGNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNQrrik, X86_INS_VALIGNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VALIGNQrrikz, X86_INS_VALIGNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPDYrm, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPDYrr, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPDrm, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPDrr, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPSYrm, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPSYrr, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPSrm, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDNPSrr, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPDYrm, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPDYrr, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPDrm, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPDrr, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPSYrm, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPSYrr, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPSrm, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VANDPSrr, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDMPDZrm, X86_INS_VBLENDMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDMPDZrr, X86_INS_VBLENDMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDMPSZrm, X86_INS_VBLENDMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDMPSZrr, X86_INS_VBLENDMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPDYrmi, X86_INS_VBLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPDYrri, X86_INS_VBLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPDrmi, X86_INS_VBLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPDrri, X86_INS_VBLENDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPSYrmi, X86_INS_VBLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPSYrri, X86_INS_VBLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPSrmi, X86_INS_VBLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDPSrri, X86_INS_VBLENDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPDYrm, X86_INS_VBLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPDYrr, X86_INS_VBLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPDrm, X86_INS_VBLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPDrr, X86_INS_VBLENDVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPSYrm, X86_INS_VBLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPSYrr, X86_INS_VBLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPSrm, X86_INS_VBLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBLENDVPSrr, X86_INS_VBLENDVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTF128, X86_INS_VBROADCASTF128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTI128, X86_INS_VBROADCASTI128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTI32X4krm, X86_INS_VBROADCASTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTI32X4rm, X86_INS_VBROADCASTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTI64X4krm, X86_INS_VBROADCASTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTI64X4rm, X86_INS_VBROADCASTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSDYrm, X86_INS_VBROADCASTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSDYrr, X86_INS_VBROADCASTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSDZrm, X86_INS_VBROADCASTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSDZrr, X86_INS_VBROADCASTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSYrm, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSYrr, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSZrm, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSZrr, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSrm, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VBROADCASTSSrr, X86_INS_VBROADCASTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDYrmi, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDYrmi_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDYrri, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDYrri_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDZrmi, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDZrmi_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDZrri, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDZrri_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDZrrib, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDrmi, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDrmi_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDrri, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPDrri_alt, X86_INS_VCMPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSYrmi, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSYrmi_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSYrri, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSYrri_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSZrmi, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSZrmi_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSZrri, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSZrri_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSZrrib, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSrmi, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSrmi_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSrri, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPPSrri_alt, X86_INS_VCMPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDZrm, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDZrmi_alt, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDZrr, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDZrri_alt, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDrm, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDrm_alt, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDrr, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSDrr_alt, X86_INS_VCMPSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSZrm, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSZrmi_alt, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSZrr, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSZrri_alt, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSrm, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSrm_alt, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSrr, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCMPSSrr_alt, X86_INS_VCMPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISDZrm, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISDZrr, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISDrm, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISDrr, X86_INS_VCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISSZrm, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISSZrr, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISSrm, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCOMISSrr, X86_INS_VCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDYrm, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDYrr, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDZrm, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDZrr, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDrm, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PDrr, X86_INS_VCVTDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSYrm, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSYrr, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSZrm, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSZrr, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSZrrb, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSrm, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTDQ2PSrr, X86_INS_VCVTDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQXrm, X86_INS_VCVTPD2DQX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQYrm, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQYrr, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQZrm, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQZrr, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQZrrb, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2DQrr, X86_INS_VCVTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSXrm, X86_INS_VCVTPD2PSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSYrm, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSYrr, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSZrm, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSZrr, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSZrrb, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2PSrr, X86_INS_VCVTPD2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2UDQZrm, X86_INS_VCVTPD2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2UDQZrr, X86_INS_VCVTPD2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPD2UDQZrrb, X86_INS_VCVTPD2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSYrm, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSYrr, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSZrm, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSZrr, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSrm, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPH2PSrr, X86_INS_VCVTPH2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQYrm, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQYrr, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQZrm, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQZrr, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQZrrb, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQrm, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2DQrr, X86_INS_VCVTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDYrm, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDYrr, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDZrm, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDZrr, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDrm, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PDrr, X86_INS_VCVTPS2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHYmr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHYrr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHZmr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHZrr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHmr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2PHrr, X86_INS_VCVTPS2PH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2UDQZrm, X86_INS_VCVTPS2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2UDQZrr, X86_INS_VCVTPS2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTPS2UDQZrrb, X86_INS_VCVTPS2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SI64Zrm, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SI64Zrr, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SI64rm, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SI64rr, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SIZrm, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SIZrr, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SIrm, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SIrr, X86_INS_VCVTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SSZrm, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SSZrr, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SSrm, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2SSrr, X86_INS_VCVTSD2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2USI64Zrm, X86_INS_VCVTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2USI64Zrr, X86_INS_VCVTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2USIZrm, X86_INS_VCVTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSD2USIZrr, X86_INS_VCVTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SD64rm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SD64rr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SDZrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SDZrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SDrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SDrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SS64rm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SS64rr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SSZrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SSZrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SSrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI2SSrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI642SDZrm, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI642SDZrr, X86_INS_VCVTSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI642SSZrm, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSI642SSZrr, X86_INS_VCVTSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SDZrm, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SDZrr, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SDrm, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SDrr, X86_INS_VCVTSS2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SI64Zrm, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SI64Zrr, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SI64rm, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SI64rr, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SIZrm, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SIZrr, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SIrm, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2SIrr, X86_INS_VCVTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2USI64Zrm, X86_INS_VCVTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2USI64Zrr, X86_INS_VCVTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2USIZrm, X86_INS_VCVTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTSS2USIZrr, X86_INS_VCVTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQXrm, X86_INS_VCVTTPD2DQX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQYrm, X86_INS_VCVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQYrr, X86_INS_VCVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQZrm, X86_INS_VCVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQZrr, X86_INS_VCVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2DQrr, X86_INS_VCVTTPD2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2UDQZrm, X86_INS_VCVTTPD2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPD2UDQZrr, X86_INS_VCVTTPD2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQYrm, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQYrr, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQZrm, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQZrr, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQrm, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2DQrr, X86_INS_VCVTTPS2DQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2UDQZrm, X86_INS_VCVTTPS2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTPS2UDQZrr, X86_INS_VCVTTPS2UDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUDQ2PDZrm, X86_INS_VCVTUDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUDQ2PDZrr, X86_INS_VCVTUDQ2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUDQ2PSZrm, X86_INS_VCVTUDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUDQ2PSZrr, X86_INS_VCVTUDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUDQ2PSZrrb, X86_INS_VCVTUDQ2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI642SDZrm, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI642SDZrr, X86_INS_VCVTUSI2SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI642SSZrm, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VCVTUSI642SSZrr, X86_INS_VCVTUSI2SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDYrm, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDYrr, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrm, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrmb, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrmbk, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrmbkz, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrmk, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrmkz, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrr, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrrk, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDZrrkz, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDrm, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPDrr, X86_INS_VDIVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSYrm, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSYrr, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrm, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrmb, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrmbk, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrmbkz, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrmk, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrmkz, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrr, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrrk, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSZrrkz, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSrm, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVPSrr, X86_INS_VDIVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDZrm, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDZrr, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDrm, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDrm_Int, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDrr, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSDrr_Int, X86_INS_VDIVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSZrm, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSZrr, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSrm, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSrm_Int, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSrr, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDIVSSrr_Int, X86_INS_VDIVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPDrmi, X86_INS_VDPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPDrri, X86_INS_VDPPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPSYrmi, X86_INS_VDPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPSYrri, X86_INS_VDPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPSrmi, X86_INS_VDPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VDPPSrri, X86_INS_VDPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERRm, X86_INS_VERR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERRr, X86_INS_VERR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERWm, X86_INS_VERW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERWr, X86_INS_VERW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF128mr, X86_INS_VEXTRACTF128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF128rr, X86_INS_VEXTRACTF128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF32x4mr, X86_INS_VEXTRACTF32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF32x4rr, X86_INS_VEXTRACTF32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF64x4mr, X86_INS_VEXTRACTF64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTF64x4rr, X86_INS_VEXTRACTF64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI128mr, X86_INS_VEXTRACTI128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI128rr, X86_INS_VEXTRACTI128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI32x4mr, X86_INS_VEXTRACTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI32x4rr, X86_INS_VEXTRACTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI64x4mr, X86_INS_VEXTRACTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTI64x4rr, X86_INS_VEXTRACTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTPSmr, X86_INS_VEXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTPSrr, X86_INS_VEXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTPSzmr, X86_INS_VEXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VEXTRACTPSzrr, X86_INS_VEXTRACTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD132PDZm, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD132PDZmb, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD132PSZm, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD132PSZmb, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PDZm, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PDZmb, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PDZr, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PDZrk, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PDZrkz, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PSZm, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PSZmb, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PSZr, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PSZrk, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADD213PSZrkz, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4mr, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4mrY, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rm, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rmY, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rr, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rrY, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rrY_REV, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPD4rr_REV, X86_INS_VFMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr132m, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr132mY, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr132r, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr132rY, X86_INS_VFMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr213m, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr213mY, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr213r, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr213rY, X86_INS_VFMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr231m, X86_INS_VFMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr231mY, X86_INS_VFMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr231r, X86_INS_VFMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPDr231rY, X86_INS_VFMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4mr, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4mrY, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rm, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rmY, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rr, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rrY, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rrY_REV, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPS4rr_REV, X86_INS_VFMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr132m, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr132mY, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr132r, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr132rY, X86_INS_VFMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr213m, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr213mY, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr213r, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr213rY, X86_INS_VFMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr231m, X86_INS_VFMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr231mY, X86_INS_VFMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr231r, X86_INS_VFMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDPSr231rY, X86_INS_VFMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4mr, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4mr_Int, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4rm, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4rm_Int, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4rr, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4rr_Int, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSD4rr_REV, X86_INS_VFMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDZm, X86_INS_VFMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDZr, X86_INS_VFMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr132m, X86_INS_VFMADD132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr132r, X86_INS_VFMADD132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr213m, X86_INS_VFMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr213r, X86_INS_VFMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr231m, X86_INS_VFMADD231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSDr231r, X86_INS_VFMADD231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4mr, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4mr_Int, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4rm, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4rm_Int, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4rr, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4rr_Int, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSS4rr_REV, X86_INS_VFMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSZm, X86_INS_VFMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSZr, X86_INS_VFMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr132m, X86_INS_VFMADD132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr132r, X86_INS_VFMADD132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr213m, X86_INS_VFMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr213r, X86_INS_VFMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr231m, X86_INS_VFMADD231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSSr231r, X86_INS_VFMADD231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB132PDZm, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB132PDZmb, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB132PSZm, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB132PSZmb, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PDZm, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PDZmb, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PDZr, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PDZrk, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PDZrkz, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PSZm, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PSZmb, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PSZr, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PSZrk, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUB213PSZrkz, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4mr, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4mrY, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rm, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rmY, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rr, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rrY, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rrY_REV, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPD4rr_REV, X86_INS_VFMADDSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr132m, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr132mY, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr132r, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr132rY, X86_INS_VFMADDSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr213m, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr213mY, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr213r, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr213rY, X86_INS_VFMADDSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr231m, X86_INS_VFMADDSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr231mY, X86_INS_VFMADDSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr231r, X86_INS_VFMADDSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPDr231rY, X86_INS_VFMADDSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4mr, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4mrY, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rm, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rmY, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rr, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rrY, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rrY_REV, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPS4rr_REV, X86_INS_VFMADDSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr132m, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr132mY, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr132r, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr132rY, X86_INS_VFMADDSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr213m, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr213mY, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr213r, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr213rY, X86_INS_VFMADDSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr231m, X86_INS_VFMADDSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr231mY, X86_INS_VFMADDSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr231r, X86_INS_VFMADDSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMADDSUBPSr231rY, X86_INS_VFMADDSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB132PDZm, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB132PDZmb, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB132PSZm, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB132PSZmb, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PDZm, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PDZmb, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PDZr, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PDZrk, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PDZrkz, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PSZm, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PSZmb, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PSZr, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PSZrk, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUB213PSZrkz, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD132PDZm, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD132PDZmb, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD132PSZm, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD132PSZmb, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PDZm, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PDZmb, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PDZr, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PDZrk, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PDZrkz, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PSZm, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PSZmb, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PSZr, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PSZrk, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADD213PSZrkz, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4mr, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4mrY, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rm, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rmY, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rr, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rrY, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rrY_REV, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPD4rr_REV, X86_INS_VFMSUBADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr132m, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr132mY, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr132r, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr132rY, X86_INS_VFMSUBADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr213m, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr213mY, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr213r, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr213rY, X86_INS_VFMSUBADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr231m, X86_INS_VFMSUBADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr231mY, X86_INS_VFMSUBADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr231r, X86_INS_VFMSUBADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPDr231rY, X86_INS_VFMSUBADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4mr, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4mrY, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rm, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rmY, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rr, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rrY, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rrY_REV, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPS4rr_REV, X86_INS_VFMSUBADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr132m, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr132mY, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr132r, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr132rY, X86_INS_VFMSUBADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr213m, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr213mY, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr213r, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr213rY, X86_INS_VFMSUBADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr231m, X86_INS_VFMSUBADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr231mY, X86_INS_VFMSUBADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr231r, X86_INS_VFMSUBADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBADDPSr231rY, X86_INS_VFMSUBADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4mr, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4mrY, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rm, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rmY, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rr, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rrY, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rrY_REV, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPD4rr_REV, X86_INS_VFMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr132m, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr132mY, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr132r, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr132rY, X86_INS_VFMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr213m, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr213mY, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr213r, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr213rY, X86_INS_VFMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr231m, X86_INS_VFMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr231mY, X86_INS_VFMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr231r, X86_INS_VFMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPDr231rY, X86_INS_VFMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4mr, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4mrY, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rm, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rmY, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rr, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rrY, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rrY_REV, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPS4rr_REV, X86_INS_VFMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr132m, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr132mY, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr132r, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr132rY, X86_INS_VFMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr213m, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr213mY, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr213r, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr213rY, X86_INS_VFMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr231m, X86_INS_VFMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr231mY, X86_INS_VFMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr231r, X86_INS_VFMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBPSr231rY, X86_INS_VFMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4mr, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4mr_Int, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4rm, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4rm_Int, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4rr, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4rr_Int, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSD4rr_REV, X86_INS_VFMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDZm, X86_INS_VFMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDZr, X86_INS_VFMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr132m, X86_INS_VFMSUB132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr132r, X86_INS_VFMSUB132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr213m, X86_INS_VFMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr213r, X86_INS_VFMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr231m, X86_INS_VFMSUB231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSDr231r, X86_INS_VFMSUB231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4mr, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4mr_Int, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4rm, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4rm_Int, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4rr, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4rr_Int, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSS4rr_REV, X86_INS_VFMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSZm, X86_INS_VFMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSZr, X86_INS_VFMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr132m, X86_INS_VFMSUB132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr132r, X86_INS_VFMSUB132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr213m, X86_INS_VFMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr213r, X86_INS_VFMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr231m, X86_INS_VFMSUB231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFMSUBSSr231r, X86_INS_VFMSUB231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD132PDZm, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD132PDZmb, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD132PSZm, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD132PSZmb, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PDZm, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PDZmb, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PDZr, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PDZrk, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PDZrkz, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PSZm, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PSZmb, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PSZr, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PSZrk, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADD213PSZrkz, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4mr, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4mrY, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rm, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rmY, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rr, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rrY, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rrY_REV, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPD4rr_REV, X86_INS_VFNMADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr132m, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr132mY, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr132r, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr132rY, X86_INS_VFNMADD132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr213m, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr213mY, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr213r, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr213rY, X86_INS_VFNMADD213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr231m, X86_INS_VFNMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr231mY, X86_INS_VFNMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr231r, X86_INS_VFNMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPDr231rY, X86_INS_VFNMADD231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4mr, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4mrY, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rm, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rmY, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rr, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rrY, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rrY_REV, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPS4rr_REV, X86_INS_VFNMADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr132m, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr132mY, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr132r, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr132rY, X86_INS_VFNMADD132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr213m, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr213mY, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr213r, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr213rY, X86_INS_VFNMADD213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr231m, X86_INS_VFNMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr231mY, X86_INS_VFNMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr231r, X86_INS_VFNMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDPSr231rY, X86_INS_VFNMADD231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4mr, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4mr_Int, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4rm, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4rm_Int, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4rr, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4rr_Int, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSD4rr_REV, X86_INS_VFNMADDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDZm, X86_INS_VFNMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDZr, X86_INS_VFNMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr132m, X86_INS_VFNMADD132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr132r, X86_INS_VFNMADD132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr213m, X86_INS_VFNMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr213r, X86_INS_VFNMADD213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr231m, X86_INS_VFNMADD231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSDr231r, X86_INS_VFNMADD231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4mr, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4mr_Int, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4rm, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4rm_Int, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4rr, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4rr_Int, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSS4rr_REV, X86_INS_VFNMADDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSZm, X86_INS_VFNMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSZr, X86_INS_VFNMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr132m, X86_INS_VFNMADD132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr132r, X86_INS_VFNMADD132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr213m, X86_INS_VFNMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr213r, X86_INS_VFNMADD213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr231m, X86_INS_VFNMADD231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMADDSSr231r, X86_INS_VFNMADD231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB132PDZm, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB132PDZmb, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB132PSZm, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB132PSZmb, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PDZm, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PDZmb, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PDZr, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PDZrk, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PDZrkz, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PSZm, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PSZmb, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PSZr, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PSZrk, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUB213PSZrkz, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4mr, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4mrY, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rm, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rmY, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rr, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rrY, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rrY_REV, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPD4rr_REV, X86_INS_VFNMSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr132m, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr132mY, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr132r, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr132rY, X86_INS_VFNMSUB132PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr213m, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr213mY, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr213r, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr213rY, X86_INS_VFNMSUB213PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr231m, X86_INS_VFNMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr231mY, X86_INS_VFNMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr231r, X86_INS_VFNMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPDr231rY, X86_INS_VFNMSUB231PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4mr, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4mrY, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rm, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rmY, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rr, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rrY, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rrY_REV, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPS4rr_REV, X86_INS_VFNMSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr132m, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr132mY, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr132r, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr132rY, X86_INS_VFNMSUB132PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr213m, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr213mY, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr213r, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr213rY, X86_INS_VFNMSUB213PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr231m, X86_INS_VFNMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr231mY, X86_INS_VFNMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr231r, X86_INS_VFNMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBPSr231rY, X86_INS_VFNMSUB231PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4mr, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4mr_Int, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4rm, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4rm_Int, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4rr, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4rr_Int, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSD4rr_REV, X86_INS_VFNMSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDZm, X86_INS_VFNMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDZr, X86_INS_VFNMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr132m, X86_INS_VFNMSUB132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr132r, X86_INS_VFNMSUB132SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr213m, X86_INS_VFNMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr213r, X86_INS_VFNMSUB213SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr231m, X86_INS_VFNMSUB231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSDr231r, X86_INS_VFNMSUB231SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4mr, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4mr_Int, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4rm, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4rm_Int, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4rr, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4rr_Int, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSS4rr_REV, X86_INS_VFNMSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSZm, X86_INS_VFNMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSZr, X86_INS_VFNMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr132m, X86_INS_VFNMSUB132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr132r, X86_INS_VFNMSUB132SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr213m, X86_INS_VFNMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr213r, X86_INS_VFNMSUB213SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr231m, X86_INS_VFNMSUB231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFNMSUBSSr231r, X86_INS_VFNMSUB231SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPDrm, X86_INS_VFRCZPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPDrmY, X86_INS_VFRCZPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPDrr, X86_INS_VFRCZPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPDrrY, X86_INS_VFRCZPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPSrm, X86_INS_VFRCZPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPSrmY, X86_INS_VFRCZPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPSrr, X86_INS_VFRCZPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZPSrrY, X86_INS_VFRCZPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZSDrm, X86_INS_VFRCZSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZSDrr, X86_INS_VFRCZSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZSSrm, X86_INS_VFRCZSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFRCZSSrr, X86_INS_VFRCZSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDNPDrm, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDNPDrr, X86_INS_VANDNPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDNPSrm, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDNPSrr, X86_INS_VANDNPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDPDrm, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDPDrr, X86_INS_VANDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDPSrm, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsANDPSrr, X86_INS_VANDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsORPDrm, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsORPDrr, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsORPSrm, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsORPSrr, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsXORPDrm, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsXORPDrr, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsXORPSrm, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VFsXORPSrr, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPDYrm, X86_INS_VGATHERDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPDZrm, X86_INS_VGATHERDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPDrm, X86_INS_VGATHERDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPSYrm, X86_INS_VGATHERDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPSZrm, X86_INS_VGATHERDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERDPSrm, X86_INS_VGATHERDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF0DPDm, X86_INS_VGATHERPF0DPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF0DPSm, X86_INS_VGATHERPF0DPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF0QPDm, X86_INS_VGATHERPF0QPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF0QPSm, X86_INS_VGATHERPF0QPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF1DPDm, X86_INS_VGATHERPF1DPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF1DPSm, X86_INS_VGATHERPF1DPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF1QPDm, X86_INS_VGATHERPF1QPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERPF1QPSm, X86_INS_VGATHERPF1QPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPDYrm, X86_INS_VGATHERQPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPDZrm, X86_INS_VGATHERQPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPDrm, X86_INS_VGATHERQPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPSYrm, X86_INS_VGATHERQPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPSZrm, X86_INS_VGATHERQPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VGATHERQPSrm, X86_INS_VGATHERQPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPDYrm, X86_INS_VHADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPDYrr, X86_INS_VHADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPDrm, X86_INS_VHADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPDrr, X86_INS_VHADDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPSYrm, X86_INS_VHADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPSYrr, X86_INS_VHADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPSrm, X86_INS_VHADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHADDPSrr, X86_INS_VHADDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPDYrm, X86_INS_VHSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPDYrr, X86_INS_VHSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPDrm, X86_INS_VHSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPDrr, X86_INS_VHSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPSYrm, X86_INS_VHSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPSYrr, X86_INS_VHSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPSrm, X86_INS_VHSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VHSUBPSrr, X86_INS_VHSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF128rm, X86_INS_VINSERTF128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF128rr, X86_INS_VINSERTF128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF32x4rm, X86_INS_VINSERTF32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF32x4rr, X86_INS_VINSERTF32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF64x4rm, X86_INS_VINSERTF64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTF64x4rr, X86_INS_VINSERTF64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI128rm, X86_INS_VINSERTI128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI128rr, X86_INS_VINSERTI128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI32x4rm, X86_INS_VINSERTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI32x4rr, X86_INS_VINSERTI32X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI64x4rm, X86_INS_VINSERTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTI64x4rr, X86_INS_VINSERTI64X4,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTPSrm, X86_INS_VINSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTPSrr, X86_INS_VINSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTPSzrm, X86_INS_VINSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VINSERTPSzrr, X86_INS_VINSERTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VLDDQUYrm, X86_INS_VLDDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VLDDQUrm, X86_INS_VLDDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VLDMXCSR, X86_INS_VLDMXCSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVDQU, X86_INS_VMASKMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVDQU64, X86_INS_VMASKMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPDYmr, X86_INS_VMASKMOVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPDYrm, X86_INS_VMASKMOVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPDmr, X86_INS_VMASKMOVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPDrm, X86_INS_VMASKMOVPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPSYmr, X86_INS_VMASKMOVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPSYrm, X86_INS_VMASKMOVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPSmr, X86_INS_VMASKMOVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMASKMOVPSrm, X86_INS_VMASKMOVPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPDYrm, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPDYrr, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPDrm, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPDrr, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPSYrm, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPSYrr, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPSrm, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCPSrr, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCSDrm, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCSDrr, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCSSrm, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXCSSrr, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDYrm, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDYrr, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrm, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrmb, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrmbk, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrmbkz, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrmk, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrmkz, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrr, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrrk, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDZrrkz, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDrm, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPDrr, X86_INS_VMAXPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSYrm, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSYrr, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrm, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrmb, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrmbk, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrmbkz, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrmk, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrmkz, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrr, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrrk, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSZrrkz, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSrm, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXPSrr, X86_INS_VMAXPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDZrm, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDZrr, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDrm, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDrm_Int, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDrr, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSDrr_Int, X86_INS_VMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSZrm, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSZrr, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSrm, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSrm_Int, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSrr, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMAXSSrr_Int, X86_INS_VMAXSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMCALL, X86_INS_VMCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMCLEARm, X86_INS_VMCLEAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMFUNC, X86_INS_VMFUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPDYrm, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPDYrr, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPDrm, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPDrr, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPSYrm, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPSYrr, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPSrm, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCPSrr, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCSDrm, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCSDrr, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCSSrm, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINCSSrr, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDYrm, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDYrr, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrm, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrmb, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrmbk, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrmbkz, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrmk, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrmkz, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrr, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrrk, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDZrrkz, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDrm, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPDrr, X86_INS_VMINPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSYrm, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSYrr, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrm, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrmb, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrmbk, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrmbkz, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrmk, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrmkz, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrr, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrrk, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSZrrkz, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSrm, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINPSrr, X86_INS_VMINPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDZrm, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDZrr, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDrm, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDrm_Int, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDrr, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSDrr_Int, X86_INS_VMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSZrm, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSZrr, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSrm, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSrm_Int, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSrr, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMINSSrr_Int, X86_INS_VMINSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLAUNCH, X86_INS_VMLAUNCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLOAD32, X86_INS_VMLOAD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLOAD64, X86_INS_VMLOAD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMMCALL, X86_INS_VMMCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOV64toPQIZrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOV64toPQIrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOV64toSDZrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOV64toSDrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOV64toSDrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDYmr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDYrm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDYrr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDYrr_REV, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128mr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128mrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rmk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rmkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rr_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rrk_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rrkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ128rrkz_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256mr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256mrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rmk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rmkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rr_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rrk_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rrkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZ256rrkz_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZmr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZmrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrmk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrmkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrr_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrrk, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrrk_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrrkz, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDZrrkz_alt, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDmr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDrm, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDrr, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPDrr_REV, X86_INS_VMOVAPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSYmr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSYrm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSYrr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSYrr_REV, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128mr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128mrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rmk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rmkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rr_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rrk_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rrkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ128rrkz_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256mr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256mrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rmk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rmkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rr_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rrk_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rrkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZ256rrkz_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZmr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZmrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrmk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrmkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrr_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrrk, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrrk_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrrkz, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSZrrkz_alt, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSmr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSrm, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSrr, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVAPSrr_REV, X86_INS_VMOVAPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPYrm, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPYrr, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPZrm, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPZrr, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPrm, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDDUPrr, X86_INS_VMOVDDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2PDIZrm, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2PDIZrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2PDIrm, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2PDIrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2SSZrm, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2SSZrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2SSrm, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDI2SSrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128mr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128mrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rm, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rmk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rmkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rr_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rrk_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rrkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z128rrkz_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256mr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256mrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rm, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rmk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rmkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rr_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rrk_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rrkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Z256rrkz_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zmr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zmrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrm, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrmk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrmkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrr, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrr_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrrk, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrrk_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrrkz, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA32Zrrkz_alt, X86_INS_VMOVDQA32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128mr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128mrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rm, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rmk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rmkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rr_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rrk_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rrkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z128rrkz_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256mr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256mrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rm, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rmk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rmkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rr_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rrk_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rrkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Z256rrkz_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zmr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zmrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrm, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrmk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrmkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrr, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrr_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrrk, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrrk_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrrkz, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQA64Zrrkz_alt, X86_INS_VMOVDQA64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQAYmr, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQAYrm, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQAYrr, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQAYrr_REV, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQAmr, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQArm, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQArr, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQArr_REV, X86_INS_VMOVDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128mr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128mrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rm, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rmk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rmkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rr_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rrk_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rrkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z128rrkz_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256mr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256mrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rm, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rmk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rmkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rr_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rrk_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rrkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Z256rrkz_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zmr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zmrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrm, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrmk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrmkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrr, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrr_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrrk, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrrk_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrrkz, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU16Zrrkz_alt, X86_INS_VMOVDQU16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128mr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128mrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rm, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rmk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rmkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rr_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rrk_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rrkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z128rrkz_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256mr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256mrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rm, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rmk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rmkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rr_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rrk_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rrkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Z256rrkz_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zmr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zmrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrm, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrmk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrmkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrr, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrr_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrrk, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrrk_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrrkz, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU32Zrrkz_alt, X86_INS_VMOVDQU32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128mr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128mrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rm, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rmk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rmkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rr_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rrk_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rrkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z128rrkz_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256mr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256mrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rm, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rmk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rmkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rr_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rrk_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rrkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Z256rrkz_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zmr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zmrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrm, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrmk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrmkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrr, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrr_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrrk, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrrk_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrrkz, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU64Zrrkz_alt, X86_INS_VMOVDQU64,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128mr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128mrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rm, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rmk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rmkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rr_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rrk_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rrkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z128rrkz_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256mr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256mrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rm, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rmk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rmkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rr_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rrk_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rrkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Z256rrkz_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zmr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zmrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrm, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrmk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrmkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrr, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrr_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrrk, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrrk_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrrkz, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQU8Zrrkz_alt, X86_INS_VMOVDQU8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUYmr, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUYrm, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUYrr, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUYrr_REV, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUmr, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUrm, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUrr, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVDQUrr_REV, X86_INS_VMOVDQU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHLPSZrr, X86_INS_VMOVHLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHLPSrr, X86_INS_VMOVHLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHPDmr, X86_INS_VMOVHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHPDrm, X86_INS_VMOVHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHPSmr, X86_INS_VMOVHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVHPSrm, X86_INS_VMOVHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLHPSZrr, X86_INS_VMOVLHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLHPSrr, X86_INS_VMOVLHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLPDmr, X86_INS_VMOVLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLPDrm, X86_INS_VMOVLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLPSmr, X86_INS_VMOVLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVLPSrm, X86_INS_VMOVLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVMSKPDYrr, X86_INS_VMOVMSKPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVMSKPDrr, X86_INS_VMOVMSKPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVMSKPSYrr, X86_INS_VMOVMSKPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVMSKPSrr, X86_INS_VMOVMSKPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQAYrm, X86_INS_VMOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQAZ128rm, X86_INS_VMOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQAZ256rm, X86_INS_VMOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQAZrm, X86_INS_VMOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQArm, X86_INS_VMOVNTDQA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQYmr, X86_INS_VMOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQZ128mr, X86_INS_VMOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQZ256mr, X86_INS_VMOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQZmr, X86_INS_VMOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTDQmr, X86_INS_VMOVNTDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPDYmr, X86_INS_VMOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPDZ128mr, X86_INS_VMOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPDZ256mr, X86_INS_VMOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPDZmr, X86_INS_VMOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPDmr, X86_INS_VMOVNTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPSYmr, X86_INS_VMOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPSZ128mr, X86_INS_VMOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPSZ256mr, X86_INS_VMOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPSZmr, X86_INS_VMOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVNTPSmr, X86_INS_VMOVNTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPDI2DIZmr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPDI2DIZrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPDI2DImr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPDI2DIrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPQI2QImr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPQI2QIrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPQIto64Zmr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPQIto64Zrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVPQIto64rr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVQI2PQIZrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVQI2PQIrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDZmr, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDZrm, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDZrr, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDZrr_REV, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDZrrk, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDmr, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDrm, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDrr, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDrr_REV, X86_INS_VMOVSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDto64Zmr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDto64Zrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDto64mr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSDto64rr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPYrm, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPYrr, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPZrm, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPZrr, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPrm, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSHDUPrr, X86_INS_VMOVSHDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPYrm, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPYrr, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPZrm, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPZrr, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPrm, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSLDUPrr, X86_INS_VMOVSLDUP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSS2DIZmr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSS2DIZrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSS2DImr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSS2DIrr, X86_INS_VMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSZmr, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSZrm, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSZrr, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSZrr_REV, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSZrrk, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSmr, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSrm, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSrr, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVSSrr_REV, X86_INS_VMOVSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDYmr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDYrm, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDYrr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDYrr_REV, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128mr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128mrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rm, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rmk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rmkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rr_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rrk_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rrkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ128rrkz_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256mr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256mrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rm, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rmk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rmkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rr_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rrk_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rrkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZ256rrkz_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZmr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZmrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrm, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrmk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrmkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrr_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrrk, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrrk_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrrkz, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDZrrkz_alt, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDmr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDrm, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDrr, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPDrr_REV, X86_INS_VMOVUPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSYmr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSYrm, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSYrr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSYrr_REV, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128mr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128mrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rm, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rmk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rmkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rr_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rrk_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rrkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ128rrkz_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256mr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256mrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rm, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rmk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rmkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rr_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rrk_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rrkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZ256rrkz_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZmr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZmrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrm, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrmk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrmkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrr_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrrk, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrrk_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrrkz, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSZrrkz_alt, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSmr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSrm, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSrr, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVUPSrr_REV, X86_INS_VMOVUPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZPQILo2PQIZrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZPQILo2PQIZrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZPQILo2PQIrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZPQILo2PQIrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZQI2PQIrm, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMOVZQI2PQIrr, X86_INS_VMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPSADBWYrmi, X86_INS_VMPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPSADBWYrri, X86_INS_VMPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPSADBWrmi, X86_INS_VMPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPSADBWrri, X86_INS_VMPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPTRLDm, X86_INS_VMPTRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPTRSTm, X86_INS_VMPTRST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD32rm, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD32rr, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD64rm, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD64rr, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRESUME, X86_INS_VMRESUME,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRUN32, X86_INS_VMRUN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRUN64, X86_INS_VMRUN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMSAVE32, X86_INS_VMSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMSAVE64, X86_INS_VMSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDYrm, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDYrr, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrm, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrmb, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrmbk, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrmbkz, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrmk, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrmkz, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrr, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrrk, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDZrrkz, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDrm, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPDrr, X86_INS_VMULPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSYrm, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSYrr, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrm, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrmb, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrmbk, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrmbkz, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrmk, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrmkz, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrr, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrrk, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSZrrkz, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSrm, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULPSrr, X86_INS_VMULPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDZrm, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDZrr, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDrm, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDrm_Int, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDrr, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSDrr_Int, X86_INS_VMULSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSZrm, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSZrr, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSrm, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSrm_Int, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSrr, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMULSSrr_Int, X86_INS_VMULSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE32rm, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE32rr, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE64rm, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE64rr, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMXOFF, X86_INS_VMXOFF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMXON, X86_INS_VMXON,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPDYrm, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPDYrr, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPDrm, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPDrr, X86_INS_VORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPSYrm, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPSYrr, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPSrm, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VORPSrr, X86_INS_VORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSBrm128, X86_INS_VPABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSBrm256, X86_INS_VPABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSBrr128, X86_INS_VPABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSBrr256, X86_INS_VPABSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrm, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrmb, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrmbk, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrmbkz, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrmk, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrmkz, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrr, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrrk, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDZrrkz, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDrm128, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDrm256, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDrr128, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSDrr256, X86_INS_VPABSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrm, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrmb, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrmbk, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrmbkz, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrmk, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrmkz, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrr, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrrk, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSQZrrkz, X86_INS_VPABSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSWrm128, X86_INS_VPABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSWrm256, X86_INS_VPABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSWrr128, X86_INS_VPABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPABSWrr256, X86_INS_VPABSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSDWYrm, X86_INS_VPACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSDWYrr, X86_INS_VPACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSDWrm, X86_INS_VPACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSDWrr, X86_INS_VPACKSSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSWBYrm, X86_INS_VPACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSWBYrr, X86_INS_VPACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSWBrm, X86_INS_VPACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKSSWBrr, X86_INS_VPACKSSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSDWYrm, X86_INS_VPACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSDWYrr, X86_INS_VPACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSDWrm, X86_INS_VPACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSDWrr, X86_INS_VPACKUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSWBYrm, X86_INS_VPACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSWBYrr, X86_INS_VPACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSWBrm, X86_INS_VPACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPACKUSWBrr, X86_INS_VPACKUSWB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDBYrm, X86_INS_VPADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDBYrr, X86_INS_VPADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDBrm, X86_INS_VPADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDBrr, X86_INS_VPADDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDYrm, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDYrr, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrm, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrmb, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrmbk, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrmbkz, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrmk, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrmkz, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrr, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrrk, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDZrrkz, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDrm, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDDrr, X86_INS_VPADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQYrm, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQYrr, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrm, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrmb, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrmbk, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrmbkz, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrmk, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrmkz, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrr, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrrk, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQZrrkz, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQrm, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDQrr, X86_INS_VPADDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSBYrm, X86_INS_VPADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSBYrr, X86_INS_VPADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSBrm, X86_INS_VPADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSBrr, X86_INS_VPADDSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSWYrm, X86_INS_VPADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSWYrr, X86_INS_VPADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSWrm, X86_INS_VPADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDSWrr, X86_INS_VPADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSBYrm, X86_INS_VPADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSBYrr, X86_INS_VPADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSBrm, X86_INS_VPADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSBrr, X86_INS_VPADDUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSWYrm, X86_INS_VPADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSWYrr, X86_INS_VPADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSWrm, X86_INS_VPADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDUSWrr, X86_INS_VPADDUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDWYrm, X86_INS_VPADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDWYrr, X86_INS_VPADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDWrm, X86_INS_VPADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPADDWrr, X86_INS_VPADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPALIGNR128rm, X86_INS_VPALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPALIGNR128rr, X86_INS_VPALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPALIGNR256rm, X86_INS_VPALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPALIGNR256rr, X86_INS_VPALIGNR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrm, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrmb, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrmbk, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrmbkz, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrmk, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrmkz, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrr, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrrk, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDDZrrkz, X86_INS_VPANDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrm, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrmb, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrmbk, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrmbkz, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrmk, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrmkz, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrr, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrrk, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNDZrrkz, X86_INS_VPANDND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrm, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrmb, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrmbk, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrmbkz, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrmk, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrmkz, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrr, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrrk, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNQZrrkz, X86_INS_VPANDNQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNYrm, X86_INS_VPANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNYrr, X86_INS_VPANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNrm, X86_INS_VPANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDNrr, X86_INS_VPANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrm, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrmb, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrmbk, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrmbkz, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrmk, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrmkz, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrr, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrrk, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDQZrrkz, X86_INS_VPANDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDYrm, X86_INS_VPAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDYrr, X86_INS_VPAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDrm, X86_INS_VPAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPANDrr, X86_INS_VPAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGBYrm, X86_INS_VPAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGBYrr, X86_INS_VPAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGBrm, X86_INS_VPAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGBrr, X86_INS_VPAVGB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGWYrm, X86_INS_VPAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGWYrr, X86_INS_VPAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGWrm, X86_INS_VPAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPAVGWrr, X86_INS_VPAVGW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDDYrmi, X86_INS_VPBLENDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDDYrri, X86_INS_VPBLENDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDDrmi, X86_INS_VPBLENDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDDrri, X86_INS_VPBLENDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDMDZrm, X86_INS_VPBLENDMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDMDZrr, X86_INS_VPBLENDMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDMQZrm, X86_INS_VPBLENDMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDMQZrr, X86_INS_VPBLENDMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDVBYrm, X86_INS_VPBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDVBYrr, X86_INS_VPBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDVBrm, X86_INS_VPBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDVBrr, X86_INS_VPBLENDVB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDWYrmi, X86_INS_VPBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDWYrri, X86_INS_VPBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDWrmi, X86_INS_VPBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBLENDWrri, X86_INS_VPBLENDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTBYrm, X86_INS_VPBROADCASTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTBYrr, X86_INS_VPBROADCASTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTBrm, X86_INS_VPBROADCASTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTBrr, X86_INS_VPBROADCASTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDYrm, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDYrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDZkrm, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDZkrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDZrm, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDZrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDrZkrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDrZrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDrm, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTDrr, X86_INS_VPBROADCASTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTMB2Qrr, X86_INS_VPBROADCASTMB2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTMW2Drr, X86_INS_VPBROADCASTMW2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQYrm, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQYrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQZkrm, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQZkrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQZrm, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQZrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQrZkrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQrZrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQrm, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTQrr, X86_INS_VPBROADCASTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTWYrm, X86_INS_VPBROADCASTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTWYrr, X86_INS_VPBROADCASTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTWrm, X86_INS_VPBROADCASTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPBROADCASTWrr, X86_INS_VPBROADCASTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCLMULQDQrm, X86_INS_VPCLMULQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_PCLMUL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCLMULQDQrr, X86_INS_VPCLMULQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_PCLMUL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVmr, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVmrY, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVrm, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVrmY, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVrr, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMOVrrY, X86_INS_VPCMOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrmi, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrmi_alt, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrmik_alt, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrri, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrri_alt, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPDZrrik_alt, X86_INS_VPCMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBYrm, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBYrr, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ128rm, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ128rmk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ128rr, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ128rrk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ256rm, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ256rmk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ256rr, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZ256rrk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZrm, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZrmk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZrr, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBZrrk, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBrm, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQBrr, X86_INS_VPCMPEQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDYrm, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDYrr, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rm, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rmb, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rmbk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rmk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rr, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ128rrk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rm, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rmb, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rmbk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rmk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rr, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZ256rrk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrm, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrmb, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrmbk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrmk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrr, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDZrrk, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDrm, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQDrr, X86_INS_VPCMPEQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQYrm, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQYrr, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rm, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rmb, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rmbk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rmk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rr, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ128rrk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rm, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rmb, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rmbk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rmk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rr, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZ256rrk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrm, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrmb, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrmbk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrmk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrr, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQZrrk, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQrm, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQQrr, X86_INS_VPCMPEQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWYrm, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWYrr, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ128rm, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ128rmk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ128rr, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ128rrk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ256rm, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ256rmk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ256rr, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZ256rrk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZrm, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZrmk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZrr, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWZrrk, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWrm, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPEQWrr, X86_INS_VPCMPEQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPESTRIrm, X86_INS_VPCMPESTRI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPESTRIrr, X86_INS_VPCMPESTRI,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPESTRM128rm, X86_INS_VPCMPESTRM,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPESTRM128rr, X86_INS_VPCMPESTRM,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBYrm, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBYrr, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ128rm, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ128rmk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ128rr, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ128rrk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ256rm, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ256rmk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ256rr, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZ256rrk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZrm, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZrmk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZrr, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBZrrk, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBrm, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTBrr, X86_INS_VPCMPGTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDYrm, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDYrr, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rm, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rmb, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rmbk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rmk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rr, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ128rrk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rm, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rmb, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rmbk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rmk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rr, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZ256rrk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrm, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrmb, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrmbk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrmk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrr, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDZrrk, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDrm, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTDrr, X86_INS_VPCMPGTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQYrm, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQYrr, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rm, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rmb, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rmbk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rmk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rr, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ128rrk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rm, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rmb, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rmbk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rmk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rr, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZ256rrk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrm, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrmb, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrmbk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrmk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrr, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQZrrk, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQrm, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTQrr, X86_INS_VPCMPGTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWYrm, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWYrr, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ128rm, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ128rmk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ128rr, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ128rrk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ256rm, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ256rmk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ256rr, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZ256rrk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZrm, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZrmk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZrr, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWZrrk, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWrm, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPGTWrr, X86_INS_VPCMPGTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPISTRIrm, X86_INS_VPCMPISTRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPISTRIrr, X86_INS_VPCMPISTRI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPISTRM128rm, X86_INS_VPCMPISTRM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPISTRM128rr, X86_INS_VPCMPISTRM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrmi, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrmi_alt, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrmik_alt, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrri, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrri_alt, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPQZrrik_alt, X86_INS_VPCMPQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrmi, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrmi_alt, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrmik_alt, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrri, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrri_alt, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUDZrrik_alt, X86_INS_VPCMPUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrmi, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrmi_alt, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrmik_alt, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrri, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrri_alt, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCMPUQZrrik_alt, X86_INS_VPCMPUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMBmi, X86_INS_VPCOMB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMBri, X86_INS_VPCOMB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMDmi, X86_INS_VPCOMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMDri, X86_INS_VPCOMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMQmi, X86_INS_VPCOMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMQri, X86_INS_VPCOMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUBmi, X86_INS_VPCOMUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUBri, X86_INS_VPCOMUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUDmi, X86_INS_VPCOMUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUDri, X86_INS_VPCOMUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUQmi, X86_INS_VPCOMUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUQri, X86_INS_VPCOMUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUWmi, X86_INS_VPCOMUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMUWri, X86_INS_VPCOMUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMWmi, X86_INS_VPCOMW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCOMWri, X86_INS_VPCOMW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrm, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrmb, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrmbk, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrmbkz, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrmk, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrmkz, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrr, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrrk, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTDrrkz, X86_INS_VPCONFLICTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrm, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrmb, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrmbk, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrmbkz, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrmk, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrmkz, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrr, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrrk, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPCONFLICTQrrkz, X86_INS_VPCONFLICTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERM2F128rm, X86_INS_VPERM2F128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERM2F128rr, X86_INS_VPERM2F128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERM2I128rm, X86_INS_VPERM2I128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERM2I128rr, X86_INS_VPERM2I128,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMDYrm, X86_INS_VPERMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMDYrr, X86_INS_VPERMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMDZrm, X86_INS_VPERMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMDZrr, X86_INS_VPERMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drm, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drmk, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drmkz, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drr, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drrk, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Drrkz, X86_INS_VPERMI2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrm, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrmk, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrmkz, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrr, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrrk, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PDrrkz, X86_INS_VPERMI2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrm, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrmk, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrmkz, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrr, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrrk, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2PSrrkz, X86_INS_VPERMI2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrm, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrmk, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrmkz, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrr, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrrk, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMI2Qrrkz, X86_INS_VPERMI2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDmr, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDmrY, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDrm, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDrmY, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDrr, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PDrrY, X86_INS_VPERMIL2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSmr, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSmrY, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSrm, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSrmY, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSrr, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMIL2PSrrY, X86_INS_VPERMIL2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDYmi, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDYri, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDYrm, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDYrr, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDZmi, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDZri, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDmi, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDri, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDrm, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPDrr, X86_INS_VPERMILPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSYmi, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSYri, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSYrm, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSYrr, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSZmi, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSZri, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSmi, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSri, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSrm, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMILPSrr, X86_INS_VPERMILPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDYmi, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDYri, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDZmi, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDZri, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDZrm, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPDZrr, X86_INS_VPERMPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPSYrm, X86_INS_VPERMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPSYrr, X86_INS_VPERMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPSZrm, X86_INS_VPERMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMPSZrr, X86_INS_VPERMPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQYmi, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQYri, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQZmi, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQZri, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQZrm, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMQZrr, X86_INS_VPERMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drm, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drmk, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drmkz, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drr, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drrk, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Drrkz, X86_INS_VPERMT2D,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrm, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrmk, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrmkz, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrr, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrrk, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PDrrkz, X86_INS_VPERMT2PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrm, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrmk, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrmkz, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrr, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrrk, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2PSrrkz, X86_INS_VPERMT2PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrm, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrmk, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrmkz, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrr, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrrk, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPERMT2Qrrkz, X86_INS_VPERMT2Q,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRBmr, X86_INS_VPEXTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRBrr, X86_INS_VPEXTRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRDmr, X86_INS_VPEXTRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRDrr, X86_INS_VPEXTRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRQmr, X86_INS_VPEXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRQrr, X86_INS_VPEXTRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRWmr, X86_INS_VPEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRWri, X86_INS_VPEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPEXTRWrr_REV, X86_INS_VPEXTRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDDYrm, X86_INS_VPGATHERDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDDZrm, X86_INS_VPGATHERDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDDrm, X86_INS_VPGATHERDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDQYrm, X86_INS_VPGATHERDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDQZrm, X86_INS_VPGATHERDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERDQrm, X86_INS_VPGATHERDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQDYrm, X86_INS_VPGATHERQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQDZrm, X86_INS_VPGATHERQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQDrm, X86_INS_VPGATHERQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQQYrm, X86_INS_VPGATHERQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQQZrm, X86_INS_VPGATHERQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPGATHERQQrm, X86_INS_VPGATHERQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBDrm, X86_INS_VPHADDBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBDrr, X86_INS_VPHADDBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBQrm, X86_INS_VPHADDBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBQrr, X86_INS_VPHADDBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBWrm, X86_INS_VPHADDBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDBWrr, X86_INS_VPHADDBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDQrm, X86_INS_VPHADDDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDQrr, X86_INS_VPHADDDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDYrm, X86_INS_VPHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDYrr, X86_INS_VPHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDrm, X86_INS_VPHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDDrr, X86_INS_VPHADDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDSWrm128, X86_INS_VPHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDSWrm256, X86_INS_VPHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDSWrr128, X86_INS_VPHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDSWrr256, X86_INS_VPHADDSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBDrm, X86_INS_VPHADDUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBDrr, X86_INS_VPHADDUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBQrm, X86_INS_VPHADDUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBQrr, X86_INS_VPHADDUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBWrm, X86_INS_VPHADDUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUBWrr, X86_INS_VPHADDUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUDQrm, X86_INS_VPHADDUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUDQrr, X86_INS_VPHADDUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUWDrm, X86_INS_VPHADDUWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUWDrr, X86_INS_VPHADDUWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUWQrm, X86_INS_VPHADDUWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDUWQrr, X86_INS_VPHADDUWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWDrm, X86_INS_VPHADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWDrr, X86_INS_VPHADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWQrm, X86_INS_VPHADDWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWQrr, X86_INS_VPHADDWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWYrm, X86_INS_VPHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWYrr, X86_INS_VPHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWrm, X86_INS_VPHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHADDWrr, X86_INS_VPHADDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHMINPOSUWrm128, X86_INS_VPHMINPOSUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHMINPOSUWrr128, X86_INS_VPHMINPOSUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBBWrm, X86_INS_VPHSUBBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBBWrr, X86_INS_VPHSUBBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDQrm, X86_INS_VPHSUBDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDQrr, X86_INS_VPHSUBDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDYrm, X86_INS_VPHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDYrr, X86_INS_VPHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDrm, X86_INS_VPHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBDrr, X86_INS_VPHSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBSWrm128, X86_INS_VPHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBSWrm256, X86_INS_VPHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBSWrr128, X86_INS_VPHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBSWrr256, X86_INS_VPHSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWDrm, X86_INS_VPHSUBWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWDrr, X86_INS_VPHSUBWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWYrm, X86_INS_VPHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWYrr, X86_INS_VPHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWrm, X86_INS_VPHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPHSUBWrr, X86_INS_VPHSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRBrm, X86_INS_VPINSRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRBrr, X86_INS_VPINSRB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRDrm, X86_INS_VPINSRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRDrr, X86_INS_VPINSRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRQrm, X86_INS_VPINSRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRQrr, X86_INS_VPINSRQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRWrmi, X86_INS_VPINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPINSRWrri, X86_INS_VPINSRW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrm, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrmb, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrmbk, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrmbkz, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrmk, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrmkz, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrr, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrrk, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTDrrkz, X86_INS_VPLZCNTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrm, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrmb, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrmbk, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrmbkz, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrmk, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrmkz, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrr, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrrk, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPLZCNTQrrkz, X86_INS_VPLZCNTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDDrm, X86_INS_VPMACSDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDDrr, X86_INS_VPMACSDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDQHrm, X86_INS_VPMACSDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDQHrr, X86_INS_VPMACSDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDQLrm, X86_INS_VPMACSDQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSDQLrr, X86_INS_VPMACSDQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDDrm, X86_INS_VPMACSSDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDDrr, X86_INS_VPMACSSDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDQHrm, X86_INS_VPMACSSDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDQHrr, X86_INS_VPMACSSDQH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDQLrm, X86_INS_VPMACSSDQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSDQLrr, X86_INS_VPMACSSDQL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSWDrm, X86_INS_VPMACSSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSWDrr, X86_INS_VPMACSSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSWWrm, X86_INS_VPMACSSWW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSSWWrr, X86_INS_VPMACSSWW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSWDrm, X86_INS_VPMACSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSWDrr, X86_INS_VPMACSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSWWrm, X86_INS_VPMACSWW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMACSWWrr, X86_INS_VPMACSWW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADCSSWDrm, X86_INS_VPMADCSSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADCSSWDrr, X86_INS_VPMADCSSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADCSWDrm, X86_INS_VPMADCSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADCSWDrr, X86_INS_VPMADCSWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDUBSWrm128, X86_INS_VPMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDUBSWrm256, X86_INS_VPMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDUBSWrr128, X86_INS_VPMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDUBSWrr256, X86_INS_VPMADDUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDWDYrm, X86_INS_VPMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDWDYrr, X86_INS_VPMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDWDrm, X86_INS_VPMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMADDWDrr, X86_INS_VPMADDWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVDYmr, X86_INS_VPMASKMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVDYrm, X86_INS_VPMASKMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVDmr, X86_INS_VPMASKMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVDrm, X86_INS_VPMASKMOVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVQYmr, X86_INS_VPMASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVQYrm, X86_INS_VPMASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVQmr, X86_INS_VPMASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMASKMOVQrm, X86_INS_VPMASKMOVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSBYrm, X86_INS_VPMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSBYrr, X86_INS_VPMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSBrm, X86_INS_VPMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSBrr, X86_INS_VPMAXSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDYrm, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDYrr, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrm, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrmb, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrmbk, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrmbkz, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrmk, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrmkz, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrr, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrrk, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDZrrkz, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDrm, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSDrr, X86_INS_VPMAXSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrm, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrmb, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrmbk, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrmbkz, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrmk, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrmkz, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrr, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrrk, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSQZrrkz, X86_INS_VPMAXSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSWYrm, X86_INS_VPMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSWYrr, X86_INS_VPMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSWrm, X86_INS_VPMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXSWrr, X86_INS_VPMAXSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUBYrm, X86_INS_VPMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUBYrr, X86_INS_VPMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUBrm, X86_INS_VPMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUBrr, X86_INS_VPMAXUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDYrm, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDYrr, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrm, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrmb, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrmbk, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrmbkz, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrmk, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrmkz, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrr, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrrk, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDZrrkz, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDrm, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUDrr, X86_INS_VPMAXUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrm, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrmb, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrmbk, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrmbkz, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrmk, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrmkz, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrr, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrrk, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUQZrrkz, X86_INS_VPMAXUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUWYrm, X86_INS_VPMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUWYrr, X86_INS_VPMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUWrm, X86_INS_VPMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMAXUWrr, X86_INS_VPMAXUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSBYrm, X86_INS_VPMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSBYrr, X86_INS_VPMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSBrm, X86_INS_VPMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSBrr, X86_INS_VPMINSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDYrm, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDYrr, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrm, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrmb, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrmbk, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrmbkz, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrmk, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrmkz, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrr, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrrk, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDZrrkz, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDrm, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSDrr, X86_INS_VPMINSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrm, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrmb, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrmbk, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrmbkz, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrmk, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrmkz, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrr, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrrk, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSQZrrkz, X86_INS_VPMINSQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSWYrm, X86_INS_VPMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSWYrr, X86_INS_VPMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSWrm, X86_INS_VPMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINSWrr, X86_INS_VPMINSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUBYrm, X86_INS_VPMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUBYrr, X86_INS_VPMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUBrm, X86_INS_VPMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUBrr, X86_INS_VPMINUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDYrm, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDYrr, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrm, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrmb, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrmbk, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrmbkz, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrmk, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrmkz, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrr, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrrk, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDZrrkz, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDrm, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUDrr, X86_INS_VPMINUD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrm, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrmb, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrmbk, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrmbkz, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrmk, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrmkz, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrr, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrrk, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUQZrrkz, X86_INS_VPMINUQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUWYrm, X86_INS_VPMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUWYrr, X86_INS_VPMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUWrm, X86_INS_VPMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMINUWrr, X86_INS_VPMINUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDBmr, X86_INS_VPMOVDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDBmrk, X86_INS_VPMOVDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDBrr, X86_INS_VPMOVDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDBrrk, X86_INS_VPMOVDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDBrrkz, X86_INS_VPMOVDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDWmr, X86_INS_VPMOVDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDWmrk, X86_INS_VPMOVDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDWrr, X86_INS_VPMOVDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDWrrk, X86_INS_VPMOVDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVDWrrkz, X86_INS_VPMOVDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVMSKBYrr, X86_INS_VPMOVMSKB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVMSKBrr, X86_INS_VPMOVMSKB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQBmr, X86_INS_VPMOVQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQBmrk, X86_INS_VPMOVQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQBrr, X86_INS_VPMOVQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQBrrk, X86_INS_VPMOVQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQBrrkz, X86_INS_VPMOVQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQDmr, X86_INS_VPMOVQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQDmrk, X86_INS_VPMOVQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQDrr, X86_INS_VPMOVQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQDrrk, X86_INS_VPMOVQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQDrrkz, X86_INS_VPMOVQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQWmr, X86_INS_VPMOVQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQWmrk, X86_INS_VPMOVQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQWrr, X86_INS_VPMOVQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQWrrk, X86_INS_VPMOVQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVQWrrkz, X86_INS_VPMOVQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDBmr, X86_INS_VPMOVSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDBmrk, X86_INS_VPMOVSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDBrr, X86_INS_VPMOVSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDBrrk, X86_INS_VPMOVSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDBrrkz, X86_INS_VPMOVSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDWmr, X86_INS_VPMOVSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDWmrk, X86_INS_VPMOVSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDWrr, X86_INS_VPMOVSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDWrrk, X86_INS_VPMOVSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSDWrrkz, X86_INS_VPMOVSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQBmr, X86_INS_VPMOVSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQBmrk, X86_INS_VPMOVSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQBrr, X86_INS_VPMOVSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQBrrk, X86_INS_VPMOVSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQBrrkz, X86_INS_VPMOVSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQDmr, X86_INS_VPMOVSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQDmrk, X86_INS_VPMOVSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQDrr, X86_INS_VPMOVSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQDrrk, X86_INS_VPMOVSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQDrrkz, X86_INS_VPMOVSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQWmr, X86_INS_VPMOVSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQWmrk, X86_INS_VPMOVSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQWrr, X86_INS_VPMOVSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQWrrk, X86_INS_VPMOVSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSQWrrkz, X86_INS_VPMOVSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDYrm, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDYrr, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrm, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrmk, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrmkz, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrr, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrrk, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDZrrkz, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDrm, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBDrr, X86_INS_VPMOVSXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQYrm, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQYrr, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrm, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrmk, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrmkz, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrr, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrrk, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQZrrkz, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQrm, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBQrr, X86_INS_VPMOVSXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBWYrm, X86_INS_VPMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBWYrr, X86_INS_VPMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBWrm, X86_INS_VPMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXBWrr, X86_INS_VPMOVSXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQYrm, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQYrr, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrm, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrmk, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrmkz, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrr, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrrk, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQZrrkz, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQrm, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXDQrr, X86_INS_VPMOVSXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDYrm, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDYrr, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrm, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrmk, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrmkz, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrr, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrrk, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDZrrkz, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDrm, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWDrr, X86_INS_VPMOVSXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQYrm, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQYrr, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrm, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrmk, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrmkz, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrr, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrrk, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQZrrkz, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQrm, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVSXWQrr, X86_INS_VPMOVSXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDBmr, X86_INS_VPMOVUSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDBmrk, X86_INS_VPMOVUSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDBrr, X86_INS_VPMOVUSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDBrrk, X86_INS_VPMOVUSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDBrrkz, X86_INS_VPMOVUSDB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDWmr, X86_INS_VPMOVUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDWmrk, X86_INS_VPMOVUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDWrr, X86_INS_VPMOVUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDWrrk, X86_INS_VPMOVUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSDWrrkz, X86_INS_VPMOVUSDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQBmr, X86_INS_VPMOVUSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQBmrk, X86_INS_VPMOVUSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQBrr, X86_INS_VPMOVUSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQBrrk, X86_INS_VPMOVUSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQBrrkz, X86_INS_VPMOVUSQB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQDmr, X86_INS_VPMOVUSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQDmrk, X86_INS_VPMOVUSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQDrr, X86_INS_VPMOVUSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQDrrk, X86_INS_VPMOVUSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQDrrkz, X86_INS_VPMOVUSQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQWmr, X86_INS_VPMOVUSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQWmrk, X86_INS_VPMOVUSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQWrr, X86_INS_VPMOVUSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQWrrk, X86_INS_VPMOVUSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVUSQWrrkz, X86_INS_VPMOVUSQW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDYrm, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDYrr, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrm, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrmk, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrmkz, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrr, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrrk, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDZrrkz, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDrm, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBDrr, X86_INS_VPMOVZXBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQYrm, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQYrr, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrm, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrmk, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrmkz, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrr, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrrk, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQZrrkz, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQrm, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBQrr, X86_INS_VPMOVZXBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBWYrm, X86_INS_VPMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBWYrr, X86_INS_VPMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBWrm, X86_INS_VPMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXBWrr, X86_INS_VPMOVZXBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQYrm, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQYrr, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrm, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrmk, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrmkz, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrr, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrrk, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQZrrkz, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQrm, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXDQrr, X86_INS_VPMOVZXDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDYrm, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDYrr, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrm, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrmk, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrmkz, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrr, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrrk, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDZrrkz, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDrm, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWDrr, X86_INS_VPMOVZXWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQYrm, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQYrr, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrm, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrmk, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrmkz, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrr, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrrk, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQZrrkz, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQrm, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMOVZXWQrr, X86_INS_VPMOVZXWQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQYrm, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQYrr, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrm, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrmb, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrmbk, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrmbkz, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrmk, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrmkz, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrr, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrrk, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQZrrkz, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQrm, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULDQrr, X86_INS_VPMULDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHRSWrm128, X86_INS_VPMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHRSWrm256, X86_INS_VPMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHRSWrr128, X86_INS_VPMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHRSWrr256, X86_INS_VPMULHRSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHUWYrm, X86_INS_VPMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHUWYrr, X86_INS_VPMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHUWrm, X86_INS_VPMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHUWrr, X86_INS_VPMULHUW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHWYrm, X86_INS_VPMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHWYrr, X86_INS_VPMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHWrm, X86_INS_VPMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULHWrr, X86_INS_VPMULHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDYrm, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDYrr, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrm, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrmb, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrmbk, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrmbkz, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrmk, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrmkz, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrr, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrrk, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDZrrkz, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDrm, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLDrr, X86_INS_VPMULLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLWYrm, X86_INS_VPMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLWYrr, X86_INS_VPMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLWrm, X86_INS_VPMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULLWrr, X86_INS_VPMULLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQYrm, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQYrr, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrm, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrmb, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrmbk, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrmbkz, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrmk, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrmkz, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrr, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrrk, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQZrrkz, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQrm, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPMULUDQrr, X86_INS_VPMULUDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrm, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrmb, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrmbk, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrmbkz, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrmk, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrmkz, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrr, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrrk, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORDZrrkz, X86_INS_VPORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrm, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrmb, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrmbk, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrmbkz, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrmk, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrmkz, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrr, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrrk, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORQZrrkz, X86_INS_VPORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORYrm, X86_INS_VPOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORYrr, X86_INS_VPOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORrm, X86_INS_VPOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPORrr, X86_INS_VPOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPPERMmr, X86_INS_VPPERM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPPERMrm, X86_INS_VPPERM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPPERMrr, X86_INS_VPPERM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTBmi, X86_INS_VPROTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTBmr, X86_INS_VPROTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTBri, X86_INS_VPROTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTBrm, X86_INS_VPROTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTBrr, X86_INS_VPROTB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTDmi, X86_INS_VPROTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTDmr, X86_INS_VPROTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTDri, X86_INS_VPROTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTDrm, X86_INS_VPROTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTDrr, X86_INS_VPROTD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTQmi, X86_INS_VPROTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTQmr, X86_INS_VPROTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTQri, X86_INS_VPROTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTQrm, X86_INS_VPROTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTQrr, X86_INS_VPROTQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTWmi, X86_INS_VPROTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTWmr, X86_INS_VPROTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTWri, X86_INS_VPROTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTWrm, X86_INS_VPROTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPROTWrr, X86_INS_VPROTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSADBWYrm, X86_INS_VPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSADBWYrr, X86_INS_VPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSADBWrm, X86_INS_VPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSADBWrr, X86_INS_VPSADBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSCATTERDDZmr, X86_INS_VPSCATTERDD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSCATTERDQZmr, X86_INS_VPSCATTERDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSCATTERQDZmr, X86_INS_VPSCATTERQD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSCATTERQQZmr, X86_INS_VPSCATTERQQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHABmr, X86_INS_VPSHAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHABrm, X86_INS_VPSHAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHABrr, X86_INS_VPSHAB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHADmr, X86_INS_VPSHAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHADrm, X86_INS_VPSHAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHADrr, X86_INS_VPSHAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAQmr, X86_INS_VPSHAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAQrm, X86_INS_VPSHAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAQrr, X86_INS_VPSHAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAWmr, X86_INS_VPSHAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAWrm, X86_INS_VPSHAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHAWrr, X86_INS_VPSHAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLBmr, X86_INS_VPSHLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLBrm, X86_INS_VPSHLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLBrr, X86_INS_VPSHLB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLDmr, X86_INS_VPSHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLDrm, X86_INS_VPSHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLDrr, X86_INS_VPSHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLQmr, X86_INS_VPSHLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLQrm, X86_INS_VPSHLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLQrr, X86_INS_VPSHLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLWmr, X86_INS_VPSHLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLWrm, X86_INS_VPSHLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHLWrr, X86_INS_VPSHLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFBYrm, X86_INS_VPSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFBYrr, X86_INS_VPSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFBrm, X86_INS_VPSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFBrr, X86_INS_VPSHUFB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDYmi, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDYri, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDZmi, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDZri, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDmi, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFDri, X86_INS_VPSHUFD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFHWYmi, X86_INS_VPSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFHWYri, X86_INS_VPSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFHWmi, X86_INS_VPSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFHWri, X86_INS_VPSHUFHW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFLWYmi, X86_INS_VPSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFLWYri, X86_INS_VPSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFLWmi, X86_INS_VPSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSHUFLWri, X86_INS_VPSHUFLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNBYrm, X86_INS_VPSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNBYrr, X86_INS_VPSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNBrm, X86_INS_VPSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNBrr, X86_INS_VPSIGNB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNDYrm, X86_INS_VPSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNDYrr, X86_INS_VPSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNDrm, X86_INS_VPSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNDrr, X86_INS_VPSIGND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNWYrm, X86_INS_VPSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNWYrr, X86_INS_VPSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNWrm, X86_INS_VPSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSIGNWrr, X86_INS_VPSIGNW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDQYri, X86_INS_VPSLLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDQri, X86_INS_VPSLLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDYri, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDYrm, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDYrr, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZmi, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZmik, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZri, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZrik, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZrm, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZrmk, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZrr, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDZrrk, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDri, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDrm, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLDrr, X86_INS_VPSLLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQYri, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQYrm, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQYrr, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZmi, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZmik, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZri, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZrik, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZrm, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZrmk, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZrr, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQZrrk, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQri, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQrm, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLQrr, X86_INS_VPSLLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDYrm, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDYrr, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDZrm, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDZrr, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDrm, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVDrr, X86_INS_VPSLLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQYrm, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQYrr, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQZrm, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQZrr, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQrm, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLVQrr, X86_INS_VPSLLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWYri, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWYrm, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWYrr, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWri, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWrm, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSLLWrr, X86_INS_VPSLLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADYri, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADYrm, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADYrr, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZmi, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZmik, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZri, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZrik, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZrm, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZrmk, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZrr, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADZrrk, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADri, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADrm, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRADrr, X86_INS_VPSRAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZmi, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZmik, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZri, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZrik, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZrm, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZrmk, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZrr, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAQZrrk, X86_INS_VPSRAQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDYrm, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDYrr, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDZrm, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDZrr, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDrm, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVDrr, X86_INS_VPSRAVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVQZrm, X86_INS_VPSRAVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAVQZrr, X86_INS_VPSRAVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWYri, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWYrm, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWYrr, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWri, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWrm, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRAWrr, X86_INS_VPSRAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDQYri, X86_INS_VPSRLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDQri, X86_INS_VPSRLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDYri, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDYrm, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDYrr, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZmi, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZmik, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZri, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZrik, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZrm, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZrmk, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZrr, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDZrrk, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDri, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDrm, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLDrr, X86_INS_VPSRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQYri, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQYrm, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQYrr, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZmi, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZmik, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZri, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZrik, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZrm, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZrmk, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZrr, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQZrrk, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQri, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQrm, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLQrr, X86_INS_VPSRLQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDYrm, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDYrr, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDZrm, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDZrr, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDrm, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVDrr, X86_INS_VPSRLVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQYrm, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQYrr, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQZrm, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQZrr, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQrm, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLVQrr, X86_INS_VPSRLVQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWYri, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWYrm, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWYrr, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWri, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWrm, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSRLWrr, X86_INS_VPSRLW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBBYrm, X86_INS_VPSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBBYrr, X86_INS_VPSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBBrm, X86_INS_VPSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBBrr, X86_INS_VPSUBB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDYrm, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDYrr, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrm, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrmb, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrmbk, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrmbkz, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrmk, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrmkz, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrr, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrrk, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDZrrkz, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDrm, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBDrr, X86_INS_VPSUBD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQYrm, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQYrr, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrm, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrmb, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrmbk, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrmbkz, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrmk, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrmkz, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrr, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrrk, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQZrrkz, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQrm, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBQrr, X86_INS_VPSUBQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSBYrm, X86_INS_VPSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSBYrr, X86_INS_VPSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSBrm, X86_INS_VPSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSBrr, X86_INS_VPSUBSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSWYrm, X86_INS_VPSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSWYrr, X86_INS_VPSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSWrm, X86_INS_VPSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBSWrr, X86_INS_VPSUBSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSBYrm, X86_INS_VPSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSBYrr, X86_INS_VPSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSBrm, X86_INS_VPSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSBrr, X86_INS_VPSUBUSB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSWYrm, X86_INS_VPSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSWYrr, X86_INS_VPSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSWrm, X86_INS_VPSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBUSWrr, X86_INS_VPSUBUSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBWYrm, X86_INS_VPSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBWYrr, X86_INS_VPSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBWrm, X86_INS_VPSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPSUBWrr, X86_INS_VPSUBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTMDZrm, X86_INS_VPTESTMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTMDZrr, X86_INS_VPTESTMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTMQZrm, X86_INS_VPTESTMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTMQZrr, X86_INS_VPTESTMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTNMDZrm, X86_INS_VPTESTNMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTNMDZrr, X86_INS_VPTESTNMD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTNMQZrm, X86_INS_VPTESTNMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTNMQZrr, X86_INS_VPTESTNMQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTYrm, X86_INS_VPTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTYrr, X86_INS_VPTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTrm, X86_INS_VPTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPTESTrr, X86_INS_VPTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHBWYrm, X86_INS_VPUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHBWYrr, X86_INS_VPUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHBWrm, X86_INS_VPUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHBWrr, X86_INS_VPUNPCKHBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQYrm, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQYrr, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQZrm, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQZrr, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQrm, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHDQrr, X86_INS_VPUNPCKHDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQYrm, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQYrr, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQZrm, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQZrr, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQrm, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHQDQrr, X86_INS_VPUNPCKHQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHWDYrm, X86_INS_VPUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHWDYrr, X86_INS_VPUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHWDrm, X86_INS_VPUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKHWDrr, X86_INS_VPUNPCKHWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLBWYrm, X86_INS_VPUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLBWYrr, X86_INS_VPUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLBWrm, X86_INS_VPUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLBWrr, X86_INS_VPUNPCKLBW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQYrm, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQYrr, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQZrm, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQZrr, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQrm, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLDQrr, X86_INS_VPUNPCKLDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQYrm, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQYrr, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQZrm, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQZrr, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQrm, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLQDQrr, X86_INS_VPUNPCKLQDQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLWDYrm, X86_INS_VPUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLWDYrr, X86_INS_VPUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLWDrm, X86_INS_VPUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPUNPCKLWDrr, X86_INS_VPUNPCKLWD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrm, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrmb, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrmbk, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrmbkz, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrmk, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrmkz, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrr, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrrk, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORDZrrkz, X86_INS_VPXORD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrm, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrmb, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrmbk, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrmbkz, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrmk, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrmkz, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrr, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrrk, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORQZrrkz, X86_INS_VPXORQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORYrm, X86_INS_VPXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORYrr, X86_INS_VPXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORrm, X86_INS_VPXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VPXORrr, X86_INS_VPXOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14PDZm, X86_INS_VRCP14PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14PDZr, X86_INS_VRCP14PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14PSZm, X86_INS_VRCP14PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14PSZr, X86_INS_VRCP14PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14SDrm, X86_INS_VRCP14SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14SDrr, X86_INS_VRCP14SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14SSrm, X86_INS_VRCP14SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP14SSrr, X86_INS_VRCP14SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PDZm, X86_INS_VRCP28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PDZr, X86_INS_VRCP28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PDZrb, X86_INS_VRCP28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PSZm, X86_INS_VRCP28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PSZr, X86_INS_VRCP28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28PSZrb, X86_INS_VRCP28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SDrm, X86_INS_VRCP28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SDrr, X86_INS_VRCP28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SDrrb, X86_INS_VRCP28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SSrm, X86_INS_VRCP28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SSrr, X86_INS_VRCP28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCP28SSrrb, X86_INS_VRCP28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSYm, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSYm_Int, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSYr, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSYr_Int, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSm, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSm_Int, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSr, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPPSr_Int, X86_INS_VRCPPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPSSm, X86_INS_VRCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPSSm_Int, X86_INS_VRCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRCPSSr, X86_INS_VRCPSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALEPDZm, X86_INS_VRNDSCALEPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALEPDZr, X86_INS_VRNDSCALEPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALEPSZm, X86_INS_VRNDSCALEPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALEPSZr, X86_INS_VRNDSCALEPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALESDm, X86_INS_VRNDSCALESD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALESDr, X86_INS_VRNDSCALESD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALESSm, X86_INS_VRNDSCALESS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRNDSCALESSr, X86_INS_VRNDSCALESS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDPDm, X86_INS_VROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDPDr, X86_INS_VROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDPSm, X86_INS_VROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDPSr, X86_INS_VROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSDm, X86_INS_VROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSDr, X86_INS_VROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSDr_Int, X86_INS_VROUNDSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSSm, X86_INS_VROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSSr, X86_INS_VROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDSSr_Int, X86_INS_VROUNDSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDYPDm, X86_INS_VROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDYPDr, X86_INS_VROUNDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDYPSm, X86_INS_VROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VROUNDYPSr, X86_INS_VROUNDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14PDZm, X86_INS_VRSQRT14PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14PDZr, X86_INS_VRSQRT14PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14PSZm, X86_INS_VRSQRT14PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14PSZr, X86_INS_VRSQRT14PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14SDrm, X86_INS_VRSQRT14SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14SDrr, X86_INS_VRSQRT14SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14SSrm, X86_INS_VRSQRT14SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT14SSrr, X86_INS_VRSQRT14SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PDZm, X86_INS_VRSQRT28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PDZr, X86_INS_VRSQRT28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PDZrb, X86_INS_VRSQRT28PD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PSZm, X86_INS_VRSQRT28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PSZr, X86_INS_VRSQRT28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28PSZrb, X86_INS_VRSQRT28PS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SDrm, X86_INS_VRSQRT28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SDrr, X86_INS_VRSQRT28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SDrrb, X86_INS_VRSQRT28SD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SSrm, X86_INS_VRSQRT28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SSrr, X86_INS_VRSQRT28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRT28SSrrb, X86_INS_VRSQRT28SS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSYm, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSYm_Int, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSYr, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSYr_Int, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSm, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSm_Int, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSr, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTPSr_Int, X86_INS_VRSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTSSm, X86_INS_VRSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTSSm_Int, X86_INS_VRSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VRSQRTSSr, X86_INS_VRSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERDPDZmr, X86_INS_VSCATTERDPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERDPSZmr, X86_INS_VSCATTERDPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF0DPDm, X86_INS_VSCATTERPF0DPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF0DPSm, X86_INS_VSCATTERPF0DPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF0QPDm, X86_INS_VSCATTERPF0QPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF0QPSm, X86_INS_VSCATTERPF0QPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF1DPDm, X86_INS_VSCATTERPF1DPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF1DPSm, X86_INS_VSCATTERPF1DPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF1QPDm, X86_INS_VSCATTERPF1QPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERPF1QPSm, X86_INS_VSCATTERPF1QPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERQPDZmr, X86_INS_VSCATTERQPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSCATTERQPSZmr, X86_INS_VSCATTERQPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDYrmi, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDYrri, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDZrmi, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDZrri, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDrmi, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPDrri, X86_INS_VSHUFPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSYrmi, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSYrri, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSZrmi, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSZrri, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSrmi, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSHUFPSrri, X86_INS_VSHUFPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDYm, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDYr, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDZrm, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDZrr, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDm, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPDr, X86_INS_VSQRTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSYm, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSYr, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSZrm, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSZrr, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSm, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTPSr, X86_INS_VSQRTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDZm, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDZm_Int, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDZr, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDZr_Int, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDm, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDm_Int, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSDr, X86_INS_VSQRTSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSZm, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSZm_Int, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSZr, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSZr_Int, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSm, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSm_Int, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSQRTSSr, X86_INS_VSQRTSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSTMXCSR, X86_INS_VSTMXCSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDYrm, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDYrr, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrm, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrmb, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrmbk, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrmbkz, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrmk, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrmkz, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrr, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrrk, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDZrrkz, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDrm, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPDrr, X86_INS_VSUBPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSYrm, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSYrr, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrm, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrmb, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrmbk, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrmbkz, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrmk, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrmkz, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrr, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrrk, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSZrrkz, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSrm, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBPSrr, X86_INS_VSUBPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDZrm, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDZrr, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDrm, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDrm_Int, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDrr, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSDrr_Int, X86_INS_VSUBSD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSZrm, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSZrr, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSrm, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSrm_Int, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSrr, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VSUBSSrr_Int, X86_INS_VSUBSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPDYrm, X86_INS_VTESTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPDYrr, X86_INS_VTESTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPDrm, X86_INS_VTESTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPDrr, X86_INS_VTESTPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPSYrm, X86_INS_VTESTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPSYrr, X86_INS_VTESTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPSrm, X86_INS_VTESTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VTESTPSrr, X86_INS_VTESTPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISDZrm, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISDZrr, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISDrm, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISDrr, X86_INS_VUCOMISD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISSZrm, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISSZrr, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISSrm, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUCOMISSrr, X86_INS_VUCOMISS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDYrm, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDYrr, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDZrm, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDZrr, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDrm, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPDrr, X86_INS_VUNPCKHPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSYrm, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSYrr, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSZrm, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSZrr, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSrm, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKHPSrr, X86_INS_VUNPCKHPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDYrm, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDYrr, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDZrm, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDZrr, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDrm, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPDrr, X86_INS_VUNPCKLPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSYrm, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSYrr, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSZrm, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSZrr, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSrm, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VUNPCKLPSrr, X86_INS_VUNPCKLPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPDYrm, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPDYrr, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPDrm, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPDrr, X86_INS_VXORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPSYrm, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPSYrr, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPSrm, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VXORPSrr, X86_INS_VXORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VZEROALL, X86_INS_VZEROALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2, X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7, X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12, X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VZEROUPPER, X86_INS_VZEROUPPER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2, X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7, X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12, X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, 0 }, { X86_GRP_AVX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WAIT, X86_INS_WAIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WBINVD, X86_INS_WBINVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRFSBASE, X86_INS_WRFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRFSBASE64, X86_INS_WRFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRGSBASE, X86_INS_WRGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRGSBASE64, X86_INS_WRGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRMSR, X86_INS_WRMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XABORT, X86_INS_XABORT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RTM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XACQUIRE_PREFIX, X86_INS_XACQUIRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_HLE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD16rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD16rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD32rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD32rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD64rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD64rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD8rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD8rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XBEGIN_4, X86_INS_XBEGIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EAX, 0 }, { X86_GRP_RTM, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_XCHG16ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG16rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG16rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32ar64, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG8rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG8rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCH_F, X86_INS_FXCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCBC, X86_INS_XCRYPTCBC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCFB, X86_INS_XCRYPTCFB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCTR, X86_INS_XCRYPTCTR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTECB, X86_INS_XCRYPTECB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTOFB, X86_INS_XCRYPTOFB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XEND, X86_INS_XEND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RTM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XGETBV, X86_INS_XGETBV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RCX, 0 }, { X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XLAT, X86_INS_XLATB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16i16, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32i32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64i32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mi32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64ri32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8i8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XORPDrm, X86_INS_XORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XORPDrr, X86_INS_XORPD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XORPSrm, X86_INS_XORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XORPSrr, X86_INS_XORPS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XRELEASE_PREFIX, X86_INS_XRELEASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_HLE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XRSTOR, X86_INS_XRSTOR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XRSTOR64, X86_INS_XRSTOR64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVE, X86_INS_XSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVE64, X86_INS_XSAVE64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVEOPT, X86_INS_XSAVEOPT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVEOPT64, X86_INS_XSAVEOPT64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSETBV, X86_INS_XSETBV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, X86_REG_RCX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSHA1, X86_INS_XSHA1,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSHA256, X86_INS_XSHA256,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSTORE, X86_INS_XSTORE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XTEST, X86_INS_XTEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-};
-#else	// X86 reduce (defined CAPSTONE_X86_REDUCE)
-static const insn_map insns[] = {	// reduce x86 instructions
-	// dummy item
-	{
-		0, 0,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-
-	{
-		X86_AAA, X86_INS_AAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AAD8i8, X86_INS_AAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AAM8i8, X86_INS_AAM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AAS, X86_INS_AAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16i16, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC16rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32i32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC32rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64i32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mi32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mi8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64ri32, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64ri8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC64rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8i8, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8mi, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8mr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8ri, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rm, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rr, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADC8rr_REV, X86_INS_ADC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX32rm, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX32rr, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX64rm, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADCX64rr, X86_INS_ADCX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16i16, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD16rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32i32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD32rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64i32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mi32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64ri32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD64rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8i8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8ri, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8ri8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rm, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADD8rr_REV, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX32rm, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX32rr, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX64rm, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ADOX64rr, X86_INS_ADOX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16i16, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND16rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32i32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND32rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64i32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mi32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64ri32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND64rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8i8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8ri, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8ri8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rm, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_AND8rr_REV, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN32rm, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN32rr, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN64rm, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ANDN64rr, X86_INS_ANDN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ARPL16mr, X86_INS_ARPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ARPL16rr, X86_INS_ARPL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR32rm, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR32rr, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR64rm, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTR64rr, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI32mi, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI32ri, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI64mi, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BEXTRI64ri, X86_INS_BEXTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL32rm, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL32rr, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL64rm, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCFILL64rr, X86_INS_BLCFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI32rm, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI32rr, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI64rm, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCI64rr, X86_INS_BLCI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC32rm, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC32rr, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC64rm, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCIC64rr, X86_INS_BLCIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK32rm, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK32rr, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK64rm, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCMSK64rr, X86_INS_BLCMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS32rm, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS32rr, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS64rm, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLCS64rr, X86_INS_BLCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL32rm, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL32rr, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL64rm, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSFILL64rr, X86_INS_BLSFILL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI32rm, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI32rr, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI64rm, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSI64rr, X86_INS_BLSI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC32rm, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC32rr, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC64rm, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSIC64rr, X86_INS_BLSIC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK32rm, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK32rr, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK64rm, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSMSK64rr, X86_INS_BLSMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR32rm, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR32rr, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR64rm, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BLSR64rr, X86_INS_BLSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BOUNDS16rm, X86_INS_BOUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BOUNDS32rm, X86_INS_BOUND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF16rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF16rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF32rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF32rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF64rm, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSF64rr, X86_INS_BSF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR16rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR16rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR32rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR32rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR64rm, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSR64rr, X86_INS_BSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSWAP32r, X86_INS_BSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BSWAP64r, X86_INS_BSWAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT16rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT32rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64mi8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64mr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64ri8, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BT64rr, X86_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC16rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC32rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64mi8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64mr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64ri8, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTC64rr, X86_INS_BTC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR16rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR32rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64mi8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64mr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64ri8, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTR64rr, X86_INS_BTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS16rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS32rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64mi8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64mr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64ri8, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BTS64rr, X86_INS_BTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI32rm, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI32rr, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI64rm, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_BZHI64rr, X86_INS_BZHI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL16m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL16r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL32m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL32r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64m, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64pcrel32, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALL64r, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALLpcrel16, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CALLpcrel32, X86_INS_CALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CBW, X86_INS_CBW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CDQ, X86_INS_CDQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CDQE, X86_INS_CDQE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_RAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLAC, X86_INS_CLAC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SMAP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLC, X86_INS_CLC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLD, X86_INS_CLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLGI, X86_INS_CLGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLI, X86_INS_CLI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CLTS, X86_INS_CLTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMC, X86_INS_CMC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA16rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA16rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA32rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA32rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA64rm, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVA64rr, X86_INS_CMOVA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE16rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE16rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE32rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE32rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE64rm, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVAE64rr, X86_INS_CMOVAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB16rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB16rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB32rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB32rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB64rm, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVB64rr, X86_INS_CMOVB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE16rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE16rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE32rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE32rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE64rm, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVBE64rr, X86_INS_CMOVBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE16rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE16rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE32rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE32rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE64rm, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVE64rr, X86_INS_CMOVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG16rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG16rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG32rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG32rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG64rm, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVG64rr, X86_INS_CMOVG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE16rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE16rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE32rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE32rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE64rm, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVGE64rr, X86_INS_CMOVGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL16rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL16rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL32rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL32rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL64rm, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVL64rr, X86_INS_CMOVL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE16rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE16rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE32rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE32rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE64rm, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVLE64rr, X86_INS_CMOVLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE16rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE16rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE32rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE32rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE64rm, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNE64rr, X86_INS_CMOVNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO16rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO16rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO32rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO32rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO64rm, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNO64rr, X86_INS_CMOVNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP16rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP16rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP32rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP32rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP64rm, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNP64rr, X86_INS_CMOVNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS16rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS16rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS32rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS32rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS64rm, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVNS64rr, X86_INS_CMOVNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO16rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO16rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO32rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO32rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO64rm, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVO64rr, X86_INS_CMOVO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP16rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP16rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP32rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP32rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP64rm, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVP64rr, X86_INS_CMOVP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS16rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS16rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS32rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS32rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS64rm, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMOVS64rr, X86_INS_CMOVS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16i16, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP16rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32i32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP32rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64i32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mi32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mi8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64ri32, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64ri8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP64rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8i8, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8mi, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8mr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8ri, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rm, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rr, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMP8rr_REV, X86_INS_CMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSB, X86_INS_CMPSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSL, X86_INS_CMPSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSQ, X86_INS_CMPSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPSW, X86_INS_CMPSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16B, X86_INS_CMPXCHG16B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG16rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG32rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG32rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG64rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG64rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8B, X86_INS_CMPXCHG8B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8rm, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CMPXCHG8rr, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CPUID32, X86_INS_CPUID,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CPUID64, X86_INS_CPUID,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RCX, 0 }, { X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CQO, X86_INS_CQO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CWD, X86_INS_CWD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_CWDE, X86_INS_CWDE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DAA, X86_INS_DAA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DAS, X86_INS_DAS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DATA16_PREFIX, X86_INS_DATA16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32_16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32_32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_16r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64_32r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC64r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC8m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DEC8r, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV16m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV16r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV32m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV32r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV64m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV64r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV8m, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_DIV8r, X86_INS_DIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ENTER, X86_INS_ENTER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL16i, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL16m, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL32i, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL32m, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARCALL64, X86_INS_LCALL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_FARJMP16i, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP16m, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP32i, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP32m, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FARJMP64, X86_INS_LJMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		X86_FSETPM, X86_INS_FSETPM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_GETSEC, X86_INS_GETSEC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_HLT, X86_INS_HLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV16m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV16r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV32m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV32r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV64m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV64r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV8m, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IDIV8r, X86_INS_IDIV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rmi, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rri, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL16rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rmi, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rri, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL32rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rm, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rmi32, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rmi8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rr, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rri32, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL64rri8, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL8m, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IMUL8r, X86_INS_IMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN16ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN16rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN32ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN32rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN8ri, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IN8rr, X86_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32_16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32_32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_16r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64_32r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC64r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC8m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INC8r, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSB, X86_INS_INSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSL, X86_INS_INSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INSW, X86_INS_INSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT, X86_INS_INT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT1, X86_INS_INT1,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INT3, X86_INS_INT3,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INTO, X86_INS_INTO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_INT, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVD, X86_INS_INVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVEPT32, X86_INS_INVEPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVEPT64, X86_INS_INVEPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPG, X86_INS_INVLPG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPGA32, X86_INS_INVLPGA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVLPGA64, X86_INS_INVLPGA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVPCID32, X86_INS_INVPCID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVPCID64, X86_INS_INVPCID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVVPID32, X86_INS_INVVPID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_INVVPID64, X86_INS_INVVPID,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET16, X86_INS_IRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET32, X86_INS_IRETD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_IRET64, X86_INS_IRETQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_JAE_1, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JAE_2, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JAE_4, X86_INS_JAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_1, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_2, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JA_4, X86_INS_JA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_1, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_2, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JBE_4, X86_INS_JBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_1, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_2, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JB_4, X86_INS_JB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JCXZ, X86_INS_JCXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CX, 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JECXZ_32, X86_INS_JECXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JECXZ_64, X86_INS_JECXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_1, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_2, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JE_4, X86_INS_JE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_1, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_2, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JGE_4, X86_INS_JGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_1, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_2, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JG_4, X86_INS_JG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_1, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_2, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JLE_4, X86_INS_JLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_1, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_2, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JL_4, X86_INS_JL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP16m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP16r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP32m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP32r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP64m, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP64r, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
-#endif
-	},
-	{
-		X86_JMP_1, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP_2, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JMP_4, X86_INS_JMP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_1, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_2, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNE_4, X86_INS_JNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_1, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_2, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNO_4, X86_INS_JNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_1, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_2, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNP_4, X86_INS_JNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_1, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_2, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JNS_4, X86_INS_JNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_1, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_2, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JO_4, X86_INS_JO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_1, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_2, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JP_4, X86_INS_JP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JRCXZ, X86_INS_JRCXZ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RCX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_1, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_2, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 1, 0
-#endif
-	},
-	{
-		X86_JS_4, X86_INS_JS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LAHF, X86_INS_LAHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_AH, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR16rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR16rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR32rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR32rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR64rm, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LAR64rr, X86_INS_LAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG16, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG16B, X86_INS_CMPXCHG16B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG32, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG64, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG8, X86_INS_CMPXCHG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LCMPXCHG8B, X86_INS_CMPXCHG8B,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDS16rm, X86_INS_LDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LDS32rm, X86_INS_LDS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA16r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA32r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA64_32r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEA64r, X86_INS_LEA,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEAVE, X86_INS_LEAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EBP, X86_REG_ESP, 0 }, { X86_REG_EBP, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LEAVE64, X86_INS_LEAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBP, X86_REG_RSP, 0 }, { X86_REG_RBP, X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LES16rm, X86_INS_LES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LES32rm, X86_INS_LES,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS16rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS32rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LFS64rm, X86_INS_LFS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT16m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT32m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGDT64m, X86_INS_LGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS16rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS32rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LGS64rm, X86_INS_LGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT16m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT32m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LIDT64m, X86_INS_LIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LLDT16m, X86_INS_LLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LLDT16r, X86_INS_LLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LMSW16m, X86_INS_LMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LMSW16r, X86_INS_LMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD16mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD32mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mi32, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mi8, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD64mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD8mi, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_ADD8mr, X86_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND16mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND32mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mi32, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mi8, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND64mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND8mi, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_AND8mr, X86_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC16m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC32m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC64m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_DEC8m, X86_INS_DEC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC16m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC32m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC64m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_INC8m, X86_INS_INC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR16mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR32mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mi32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR64mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR8mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_OR8mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB16mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB32mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mi32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB64mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB8mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_SUB8mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR16mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR32mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mi32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR64mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR8mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOCK_XOR8mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSB, X86_INS_LODSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AL, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSL, X86_INS_LODSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSQ, X86_INS_LODSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_RAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LODSW, X86_INS_LODSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AX, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LOOP, X86_INS_LOOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LOOPE, X86_INS_LOOPE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LOOPNE, X86_INS_LOOPNE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		X86_LRETIL, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETIQ, X86_INS_RETFQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETIW, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETL, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETQ, X86_INS_RETFQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LRETW, X86_INS_RETF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL16rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL16rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL32rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL32rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL64rm, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSL64rr, X86_INS_LSL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS16rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS32rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LSS64rm, X86_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LTRm, X86_INS_LTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LTRr, X86_INS_LTR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD16, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD32, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD64, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LXADD8, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT16rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT16rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT32rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT32rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT64rm, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_LZCNT64rr, X86_INS_LZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MONTMUL, X86_INS_MONTMUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_RSI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ao16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ao16_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16o16a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16o16a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV16sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ao32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ao32_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32cr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32dr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32o32a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32o32a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rc, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rd, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV32sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao16, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao32, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao64, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ao8, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64cr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64dr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64mi32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ms, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o16a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o32a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o64a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64o8a, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rc, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rd, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ri, X86_INS_MOVABS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64ri32, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64rs, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64sm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV64sr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ao8, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ao8_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mi, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8mr_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8o8a, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE32, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8o8a_16, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_16BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ri, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8ri_alt, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rm, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rm_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr_NOREX, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOV8rr_REV, X86_INS_MOV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE16mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE16rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE32mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE32rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE64mr, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVBE64rm, X86_INS_MOVBE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSB, X86_INS_MOVSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSL, X86_INS_MOVSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSQ, X86_INS_MOVSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSW, X86_INS_MOVSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX16rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX16rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rm16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rr16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX32rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rm8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr16, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr32, X86_INS_MOVSXD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVSX64rr8, X86_INS_MOVSX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX16rm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX16rr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32_NOREXrm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32_NOREXrr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rm16, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rm8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rr16, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX32rr8, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rm16_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rm8_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rr16_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MOVZX64rr8_Q, X86_INS_MOVZX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL16m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL16r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL32m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL32r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL64m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL64r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL8m, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MUL8r, X86_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX32rm, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX32rr, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX64rm, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_MULX64rr, X86_INS_MULX,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG16m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG16r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG32m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG32r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG64m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG64r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG8m, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NEG8r, X86_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16m7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_16r7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_m7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r4, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r5, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r6, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP18_r7, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOP19rr, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_19, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1a, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1b, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1c, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1d, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPL_1e, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_19, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1a, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1b, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1c, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1d, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOOPW_1e, X86_INS_NOP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT16m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT16r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT32m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT32r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT64m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT64r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT8m, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_NOT8r, X86_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16i16, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR16rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32i32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32mrLocked, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR32rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64i32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mi32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mi8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64ri32, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR64rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8i8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8mi, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8mr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8ri, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8ri8, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rm, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rr, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OR8rr_REV, X86_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT16ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT16rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT32ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT32rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT8ir, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUT8rr, X86_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSB, X86_INS_OUTSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSL, X86_INS_OUTSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_OUTSW, X86_INS_OUTSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP32rm, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP32rr, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP64rm, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PDEP64rr, X86_INS_PDEP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT32rm, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT32rr, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT64rm, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PEXT64rr, X86_INS_PEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP16rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP32rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64r, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64rmm, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POP64rmr, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPA16, X86_INS_POPAW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPA32, X86_INS_POPAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPDS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPDS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPES16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPES32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF16, X86_INS_POPF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF32, X86_INS_POPFD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPF64, X86_INS_POPFQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPFS64, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPGS64, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPSS16, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_POPSS32, X86_INS_POP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH16rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH32rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64i8, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64r, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64rmm, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSH64rmr, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHA16, X86_INS_PUSHAW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHA32, X86_INS_PUSHAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHCS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHCS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHDS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHDS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHES16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHES32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF16, X86_INS_PUSHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF32, X86_INS_PUSHFD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHF64, X86_INS_PUSHFQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHFS64, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHGS64, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHSS16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHSS32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHi16, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_PUSHi32, X86_INS_PUSH,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL16ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL32ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL64ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8m1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8mCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8mi, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8r1, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8rCL, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCL8ri, X86_INS_RCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR16ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR32ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR64ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8m1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8mCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8mi, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8r1, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8rCL, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RCR8ri, X86_INS_RCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDFSBASE, X86_INS_RDFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDFSBASE64, X86_INS_RDFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDGSBASE, X86_INS_RDGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDGSBASE64, X86_INS_RDGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDMSR, X86_INS_RDMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDPMC, X86_INS_RDPMC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_ECX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND16r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND32r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDRAND64r, X86_INS_RDRAND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED16r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED32r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDSEED64r, X86_INS_RDSEED,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDTSC, X86_INS_RDTSC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RDTSCP, X86_INS_RDTSCP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_RAX, X86_REG_RCX, X86_REG_RDX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIL, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIQ, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETIW, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETL, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETQ, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RETW, X86_INS_RET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL16ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL32ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL64ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8m1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8mCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8mi, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8r1, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8rCL, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROL8ri, X86_INS_ROL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR16ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR32ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR64ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8m1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8mCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8mi, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8r1, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8rCL, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_ROR8ri, X86_INS_ROR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX32mi, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX32ri, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX64mi, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RORX64ri, X86_INS_RORX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_RSM, X86_INS_RSM,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAHF, X86_INS_SAHF,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AH, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL16ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL32ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL64ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8m1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8mCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8mi, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8r1, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8rCL, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAL8ri, X86_INS_SAL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SALC, X86_INS_SALC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_AL, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR16ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR32ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR64ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8m1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8mCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8mi, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8r1, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8rCL, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SAR8ri, X86_INS_SAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX32rm, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX32rr, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX64rm, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SARX64rr, X86_INS_SARX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16i16, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB16rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32i32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB32rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64i32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mi32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mi8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64ri32, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64ri8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB64rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8i8, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8mi, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8mr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8ri, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rm, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rr, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SBB8rr_REV, X86_INS_SBB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASB, X86_INS_SCASB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASL, X86_INS_SCASD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASQ, X86_INS_SCASQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SCASW, X86_INS_SCASW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAEm, X86_INS_SETAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAEr, X86_INS_SETAE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAm, X86_INS_SETA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETAr, X86_INS_SETA,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBEm, X86_INS_SETBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBEr, X86_INS_SETBE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBm, X86_INS_SETB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETBr, X86_INS_SETB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETEm, X86_INS_SETE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETEr, X86_INS_SETE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGEm, X86_INS_SETGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGEr, X86_INS_SETGE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGm, X86_INS_SETG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETGr, X86_INS_SETG,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLEm, X86_INS_SETLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLEr, X86_INS_SETLE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLm, X86_INS_SETL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETLr, X86_INS_SETL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNEm, X86_INS_SETNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNEr, X86_INS_SETNE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNOm, X86_INS_SETNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNOr, X86_INS_SETNO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNPm, X86_INS_SETNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNPr, X86_INS_SETNP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNSm, X86_INS_SETNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETNSr, X86_INS_SETNS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETOm, X86_INS_SETO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETOr, X86_INS_SETO,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETPm, X86_INS_SETP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETPr, X86_INS_SETP,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETSm, X86_INS_SETS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SETSr, X86_INS_SETS,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT16m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT32m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SGDT64m, X86_INS_SGDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL16ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL32ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL64ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8m1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8mCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8mi, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8r1, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8rCL, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHL8ri, X86_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD16rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD32rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64mrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64mri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64rrCL, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLD64rri8, X86_INS_SHLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX32rm, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX32rr, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX64rm, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHLX64rr, X86_INS_SHLX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR16ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR32ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR64ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8m1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8mCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8mi, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8r1, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8rCL, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHR8ri, X86_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD16rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD32rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64mrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64mri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64rrCL, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRD64rri8, X86_INS_SHRD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX32rm, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX32rr, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX64rm, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SHRX64rr, X86_INS_SHRX,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT16m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT32m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SIDT64m, X86_INS_SIDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SKINIT, X86_INS_SKINIT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT16m, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT16r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT32r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT64m, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SLDT64r, X86_INS_SLDT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW16m, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW16r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW32r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SMSW64r, X86_INS_SMSW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STAC, X86_INS_STAC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SMAP, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STC, X86_INS_STC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STD, X86_INS_STD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STGI, X86_INS_STGI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STI, X86_INS_STI,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSB, X86_INS_STOSB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSL, X86_INS_STOSD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSQ, X86_INS_STOSQ,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RCX, X86_REG_RDI, X86_REG_EFLAGS, 0 }, { X86_REG_RCX, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STOSW, X86_INS_STOSW,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR16r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR32r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STR64r, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_STRm, X86_INS_STR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16i16, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB16rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32i32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB32rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64i32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mi32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mi8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64ri32, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB64rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8i8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8mi, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8mr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8ri, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8ri8, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rm, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rr, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SUB8rr_REV, X86_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SWAPGS, X86_INS_SWAPGS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSCALL, X86_INS_SYSCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSENTER, X86_INS_SYSENTER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSEXIT, X86_INS_SYSEXIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSEXIT64, X86_INS_SYSEXIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSRET, X86_INS_SYSRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_SYSRET64, X86_INS_SYSRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC32rm, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC32rr, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC64rm, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_T1MSKC64rr, X86_INS_T1MSKC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16i16, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST16rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32i32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST32rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64i32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64mi32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64mi32_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64ri32, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64ri32_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST64rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8i8, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8mi, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8mi_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8ri, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8ri_alt, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8rm, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TEST8rr, X86_INS_TEST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TRAP, X86_INS_UD2,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT16rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT16rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT32rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT32rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT64rm, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZCNT64rr, X86_INS_TZCNT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK32rm, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK32rr, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK64rm, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_TZMSK64rr, X86_INS_TZMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_UD2B, X86_INS_UD2B,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERRm, X86_INS_VERR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERRr, X86_INS_VERR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERWm, X86_INS_VERW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VERWr, X86_INS_VERW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMCALL, X86_INS_VMCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMCLEARm, X86_INS_VMCLEAR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMFUNC, X86_INS_VMFUNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLAUNCH, X86_INS_VMLAUNCH,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLOAD32, X86_INS_VMLOAD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMLOAD64, X86_INS_VMLOAD,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMMCALL, X86_INS_VMMCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPTRLDm, X86_INS_VMPTRLD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMPTRSTm, X86_INS_VMPTRST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD32rm, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD32rr, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD64rm, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMREAD64rr, X86_INS_VMREAD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRESUME, X86_INS_VMRESUME,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRUN32, X86_INS_VMRUN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMRUN64, X86_INS_VMRUN,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMSAVE32, X86_INS_VMSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMSAVE64, X86_INS_VMSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE32rm, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE32rr, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE64rm, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMWRITE64rr, X86_INS_VMWRITE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMXOFF, X86_INS_VMXOFF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_VMXON, X86_INS_VMXON,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_VM, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WBINVD, X86_INS_WBINVD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRFSBASE, X86_INS_WRFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRFSBASE64, X86_INS_WRFSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRGSBASE, X86_INS_WRGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRGSBASE64, X86_INS_WRGSBASE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_WRMSR, X86_INS_WRMSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD16rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD16rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD32rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD32rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD64rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD64rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD8rm, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XADD8rr, X86_INS_XADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG16ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG16rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG16rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32ar64, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG32rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64ar, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG64rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG8rm, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCHG8rr, X86_INS_XCHG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCBC, X86_INS_XCRYPTCBC,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCFB, X86_INS_XCRYPTCFB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTCTR, X86_INS_XCRYPTCTR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTECB, X86_INS_XCRYPTECB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XCRYPTOFB, X86_INS_XCRYPTOFB,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XGETBV, X86_INS_XGETBV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RCX, 0 }, { X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XLAT, X86_INS_XLATB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16i16, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR16rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32i32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR32rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64i32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mi32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mi8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64ri32, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR64rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8i8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8mi, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8mr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8ri, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8ri8, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rm, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rr, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XOR8rr_REV, X86_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XRSTOR, X86_INS_XRSTOR,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XRSTOR64, X86_INS_XRSTOR64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVE, X86_INS_XSAVE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVE64, X86_INS_XSAVE64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVEOPT, X86_INS_XSAVEOPT,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSAVEOPT64, X86_INS_XSAVEOPT64,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSETBV, X86_INS_XSETBV,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RAX, X86_REG_RCX, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSHA1, X86_INS_XSHA1,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSHA256, X86_INS_XSHA256,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		X86_XSTORE, X86_INS_XSTORE,
-#ifndef CAPSTONE_DIET
-		{ X86_REG_RDX, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RDI, 0 }, { 0 }, 0, 0
-#endif
-	},
-};
-#endif
-
-#ifndef CAPSTONE_DIET
-// replace r1 = r2
-static void arr_replace(uint8_t *arr, uint8_t max, x86_reg r1, x86_reg r2)
-{
-	uint8_t i;
-
-	for(i = 0; i < max; i++) {
-		if (arr[i] == r1) {
-			arr[i] = r2;
-			break;
-		}
-	}
-}
-#endif
-
-// given internal insn id, return public instruction info
-void X86_get_insn_id(cs_struct *h, cs_insn *insn, unsigned int id)
-{
-	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
-	if (i != 0) {
-		insn->id = insns[i].mapid;
-
-		if (h->detail) {
-#ifndef CAPSTONE_DIET
-			memcpy(insn->detail->regs_read, insns[i].regs_use, sizeof(insns[i].regs_use));
-			insn->detail->regs_read_count = (uint8_t)count_positive(insns[i].regs_use);
-
-			// special cases when regs_write[] depends on arch
-			switch(id) {
-				default:
-					memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
-					insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
-					break;
-				case X86_RDTSC:
-					if (h->mode == CS_MODE_64) {
-						memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
-						insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
-					} else {
-						insn->detail->regs_write[0] = X86_REG_EAX;
-						insn->detail->regs_write[1] = X86_REG_EDX;
-						insn->detail->regs_write_count = 2;
-					}
-					break;
-				case X86_RDTSCP:
-					if (h->mode == CS_MODE_64) {
-						memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
-						insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
-					} else {
-						insn->detail->regs_write[0] = X86_REG_EAX;
-						insn->detail->regs_write[1] = X86_REG_ECX;
-						insn->detail->regs_write[2] = X86_REG_EDX;
-						insn->detail->regs_write_count = 3;
-					}
-					break;
-			}
-
-			switch(insn->id) {
-				default:
-					break;
-
-				case X86_INS_LOOP:
-				case X86_INS_LOOPE:
-				case X86_INS_LOOPNE:
-					switch(h->mode) {
-						default: break;
-						case CS_MODE_16:
-								 insn->detail->regs_read[0] = X86_REG_CX;
-								 insn->detail->regs_read_count = 1;
-								 insn->detail->regs_write[0] = X86_REG_CX;
-								 insn->detail->regs_write_count = 1;
-								 break;
-						case CS_MODE_32:
-								 insn->detail->regs_read[0] = X86_REG_ECX;
-								 insn->detail->regs_read_count = 1;
-								 insn->detail->regs_write[0] = X86_REG_ECX;
-								 insn->detail->regs_write_count = 1;
-								 break;
-						case CS_MODE_64:
-								 insn->detail->regs_read[0] = X86_REG_RCX;
-								 insn->detail->regs_read_count = 1;
-								 insn->detail->regs_write[0] = X86_REG_RCX;
-								 insn->detail->regs_write_count = 1;
-								 break;
-					}
-
-					// LOOPE & LOOPNE also read EFLAGS
-					if (insn->id != X86_INS_LOOP) {
-						insn->detail->regs_read[1] = X86_REG_EFLAGS;
-						insn->detail->regs_read_count = 2;
-					}
-
-					break;
-
-				case X86_INS_LODSB:
-				case X86_INS_LODSD:
-				case X86_INS_LODSQ:
-				case X86_INS_LODSW:
-					switch(h->mode) {
-						default:
-							break;
-						case CS_MODE_16:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_SI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_SI);
-							break;
-						case CS_MODE_64:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_RSI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_RSI);
-							break;
-					}
-					break;
-
-				case X86_INS_SCASB:
-				case X86_INS_SCASW:
-				case X86_INS_SCASQ:
-				case X86_INS_STOSB:
-				case X86_INS_STOSD:
-				case X86_INS_STOSQ:
-				case X86_INS_STOSW:
-					switch(h->mode) {
-						default:
-							break;
-						case CS_MODE_16:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_DI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_DI);
-							break;
-						case CS_MODE_64:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_RDI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_RDI);
-							break;
-					}
-					break;
-
-				case X86_INS_CMPSB:
-				case X86_INS_CMPSD:
-				case X86_INS_CMPSQ:
-				case X86_INS_CMPSW:
-				case X86_INS_MOVSB:
-				case X86_INS_MOVSW:
-				case X86_INS_MOVSD:
-				case X86_INS_MOVSQ:
-					switch(h->mode) {
-						default:
-							break;
-						case CS_MODE_16:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_DI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_DI);
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_SI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_SI);
-							break;
-						case CS_MODE_64:
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_RDI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_RDI);
-							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_RSI);
-							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_RSI);
-							break;
-					}
-					break;
-			}
-
-			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
-
-			if (insns[i].branch || insns[i].indirect_branch) {
-				// this insn also belongs to JUMP group. add JUMP group
-				insn->detail->groups[insn->detail->groups_count] = X86_GRP_JUMP;
-				insn->detail->groups_count++;
-			}
-
-			switch (insns[i].id) {
-				case X86_OUT8ir:
-				case X86_OUT16ir:
-				case X86_OUT32ir:
-					if (insn->detail->x86.operands[0].imm == -78) {
-						// Writing to port 0xb2 causes an SMI on most platforms
-						// See: http://cs.gmu.edu/~tr-admin/papers/GMU-CS-TR-2011-8.pdf
-						insn->detail->groups[insn->detail->groups_count] = X86_GRP_INT;
-						insn->detail->groups_count++;
-					}
-					break;
-
-				default:
-					break;
-			}
+			memcpy(insn->detail->regs_read, insns[i].regs_use, sizeof(insns[i].regs_use));
+			insn->detail->regs_read_count = (uint8_t)count_positive(insns[i].regs_use);
+
+			// special cases when regs_write[] depends on arch
+			switch(id) {
+				default:
+					memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
+					insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
+					break;
+				case X86_RDTSC:
+					if (h->mode == CS_MODE_64) {
+						memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
+						insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
+					} else {
+						insn->detail->regs_write[0] = X86_REG_EAX;
+						insn->detail->regs_write[1] = X86_REG_EDX;
+						insn->detail->regs_write_count = 2;
+					}
+					break;
+				case X86_RDTSCP:
+					if (h->mode == CS_MODE_64) {
+						memcpy(insn->detail->regs_write, insns[i].regs_mod, sizeof(insns[i].regs_mod));
+						insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
+					} else {
+						insn->detail->regs_write[0] = X86_REG_EAX;
+						insn->detail->regs_write[1] = X86_REG_ECX;
+						insn->detail->regs_write[2] = X86_REG_EDX;
+						insn->detail->regs_write_count = 3;
+					}
+					break;
+			}
+
+			switch(insn->id) {
+				default:
+					break;
+
+				case X86_INS_LOOP:
+				case X86_INS_LOOPE:
+				case X86_INS_LOOPNE:
+					switch(h->mode) {
+						default: break;
+						case CS_MODE_16:
+								 insn->detail->regs_read[0] = X86_REG_CX;
+								 insn->detail->regs_read_count = 1;
+								 insn->detail->regs_write[0] = X86_REG_CX;
+								 insn->detail->regs_write_count = 1;
+								 break;
+						case CS_MODE_32:
+								 insn->detail->regs_read[0] = X86_REG_ECX;
+								 insn->detail->regs_read_count = 1;
+								 insn->detail->regs_write[0] = X86_REG_ECX;
+								 insn->detail->regs_write_count = 1;
+								 break;
+						case CS_MODE_64:
+								 insn->detail->regs_read[0] = X86_REG_RCX;
+								 insn->detail->regs_read_count = 1;
+								 insn->detail->regs_write[0] = X86_REG_RCX;
+								 insn->detail->regs_write_count = 1;
+								 break;
+					}
+
+					// LOOPE & LOOPNE also read EFLAGS
+					if (insn->id != X86_INS_LOOP) {
+						insn->detail->regs_read[1] = X86_REG_EFLAGS;
+						insn->detail->regs_read_count = 2;
+					}
+
+					break;
+
+				case X86_INS_LODSB:
+				case X86_INS_LODSD:
+				case X86_INS_LODSQ:
+				case X86_INS_LODSW:
+					switch(h->mode) {
+						default:
+							break;
+						case CS_MODE_16:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_SI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_SI);
+							break;
+						case CS_MODE_64:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_RSI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_RSI);
+							break;
+					}
+					break;
+
+				case X86_INS_SCASB:
+				case X86_INS_SCASW:
+				case X86_INS_SCASQ:
+				case X86_INS_STOSB:
+				case X86_INS_STOSD:
+				case X86_INS_STOSQ:
+				case X86_INS_STOSW:
+					switch(h->mode) {
+						default:
+							break;
+						case CS_MODE_16:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_DI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_DI);
+							break;
+						case CS_MODE_64:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_RDI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_RDI);
+							break;
+					}
+					break;
+
+				case X86_INS_CMPSB:
+				case X86_INS_CMPSD:
+				case X86_INS_CMPSQ:
+				case X86_INS_CMPSW:
+				case X86_INS_MOVSB:
+				case X86_INS_MOVSW:
+				case X86_INS_MOVSD:
+				case X86_INS_MOVSQ:
+					switch(h->mode) {
+						default:
+							break;
+						case CS_MODE_16:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_DI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_DI);
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_SI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_SI);
+							break;
+						case CS_MODE_64:
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_EDI, X86_REG_RDI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_EDI, X86_REG_RDI);
+							arr_replace(insn->detail->regs_read, insn->detail->regs_read_count, X86_REG_ESI, X86_REG_RSI);
+							arr_replace(insn->detail->regs_write, insn->detail->regs_write_count, X86_REG_ESI, X86_REG_RSI);
+							break;
+					}
+					break;
+
+				case X86_INS_RET:
+					switch(h->mode) {
+						case CS_MODE_16:
+							insn->detail->regs_write[0] = X86_REG_SP;
+							insn->detail->regs_read[0] = X86_REG_SP;
+							break;
+						case CS_MODE_32:
+							insn->detail->regs_write[0] = X86_REG_ESP;
+							insn->detail->regs_read[0] = X86_REG_ESP;
+							break;
+						default:	// 64-bit
+							insn->detail->regs_write[0] = X86_REG_RSP;
+							insn->detail->regs_read[0] = X86_REG_RSP;
+							break;
+					}
+					insn->detail->regs_write_count = 1;
+					insn->detail->regs_read_count = 1;
+					break;
+			}
+
+			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
+
+			if (insns[i].branch || insns[i].indirect_branch) {
+				// this insn also belongs to JUMP group. add JUMP group
+				insn->detail->groups[insn->detail->groups_count] = X86_GRP_JUMP;
+				insn->detail->groups_count++;
+			}
+
+			switch (insns[i].id) {
+				case X86_OUT8ir:
+				case X86_OUT16ir:
+				case X86_OUT32ir:
+					if (insn->detail->x86.operands[0].imm == -78) {
+						// Writing to port 0xb2 causes an SMI on most platforms
+						// See: http://cs.gmu.edu/~tr-admin/papers/GMU-CS-TR-2011-8.pdf
+						insn->detail->groups[insn->detail->groups_count] = X86_GRP_INT;
+						insn->detail->groups_count++;
+					}
+					break;
+
+				default:
+					break;
+			}
 #endif
 		}
 	}
@@ -47233,21 +2686,33 @@ void X86_get_insn_id(cs_struct *h, cs_in
 struct insn_reg {
 	uint16_t insn;
 	x86_reg reg;
+	enum cs_ac_type access;
 };
 
 struct insn_reg2 {
 	uint16_t insn;
 	x86_reg reg1, reg2;
+	enum cs_ac_type access1, access2;
 };
 
-static const struct insn_reg insn_regs_att[] = {
+static struct insn_reg insn_regs_att[] = {
 	{ X86_INSB, X86_REG_DX },
 	{ X86_INSW, X86_REG_DX },
 	{ X86_INSL, X86_REG_DX },
 
-	{ X86_MOV16ao16, X86_REG_AX },
+	{ X86_MOV8o16a, X86_REG_AL },
+	{ X86_MOV8o32a, X86_REG_AL },
+	{ X86_MOV8o64a, X86_REG_AL },
+
+	{ X86_MOV16o16a, X86_REG_AX },
+	{ X86_MOV16o32a, X86_REG_AX },
+	{ X86_MOV16o64a, X86_REG_AX },
+
+	{ X86_MOV32o16a, X86_REG_EAX },
+	{ X86_MOV32o32a, X86_REG_EAX },
+	{ X86_MOV32o64a, X86_REG_EAX },
 
-	{ X86_MOV32ao32, X86_REG_EAX },
+	{ X86_MOV64o32a, X86_REG_RAX },
 	{ X86_MOV64o64a, X86_REG_RAX },
 
 	{ X86_PUSHCS32, X86_REG_CS },
@@ -47352,153 +2817,202 @@ static const struct insn_reg insn_regs_a
 #endif
 };
 
-static const struct insn_reg insn_regs_intel[] = {
-	{ X86_OUTSB, X86_REG_DX },
-	{ X86_OUTSW, X86_REG_DX },
-	{ X86_OUTSL, X86_REG_DX },
-
-	{ X86_MOV8o8a, X86_REG_AL },   // a02857887c = mov al, byte ptr[0x7c885728]
-	{ X86_MOV32o32a, X86_REG_EAX },
-	{ X86_MOV16o16a, X86_REG_AX },
-	{ X86_MOV64o64a, X86_REG_RAX },
-	{ X86_MOV64o32a, X86_REG_EAX },
-
-	{ X86_MOV64ao32, X86_REG_RAX },   // 64-bit 48 8B04 10203040         // mov     rax, qword ptr [0x40302010]
-
-	{ X86_LODSQ, X86_REG_RAX },
-	{ X86_OR32i32, X86_REG_EAX },
-	{ X86_SUB32i32, X86_REG_EAX },
-	{ X86_TEST32i32, X86_REG_EAX },
-	{ X86_ADD32i32, X86_REG_EAX },
-	{ X86_XCHG64ar, X86_REG_RAX },
-	{ X86_LODSB, X86_REG_AL },
-	{ X86_AND32i32, X86_REG_EAX },
-	{ X86_IN16ri, X86_REG_AX },
-	{ X86_CMP64i32, X86_REG_RAX },
-	{ X86_XOR32i32, X86_REG_EAX },
-	{ X86_XCHG16ar, X86_REG_AX },
-	{ X86_LODSW, X86_REG_AX },
-	{ X86_AND16i16, X86_REG_AX },
-	{ X86_ADC16i16, X86_REG_AX },
-	{ X86_XCHG32ar64, X86_REG_EAX },
-	{ X86_ADC8i8, X86_REG_AL },
-	{ X86_CMP32i32, X86_REG_EAX },
-	{ X86_AND8i8, X86_REG_AL },
-	{ X86_SCASW, X86_REG_AX },
-	{ X86_XOR8i8, X86_REG_AL },
-	{ X86_SUB16i16, X86_REG_AX },
-	{ X86_OR16i16, X86_REG_AX },
-	{ X86_XCHG32ar, X86_REG_EAX },
-	{ X86_SBB8i8, X86_REG_AL },
-	{ X86_SCASQ, X86_REG_RAX },
-	{ X86_SBB32i32, X86_REG_EAX },
-	{ X86_XOR64i32, X86_REG_RAX },
-	{ X86_SUB64i32, X86_REG_RAX },
-	{ X86_ADD64i32, X86_REG_RAX },
-	{ X86_OR8i8, X86_REG_AL },
-	{ X86_TEST64i32, X86_REG_RAX },
-	{ X86_SBB16i16, X86_REG_AX },
-	{ X86_TEST8i8, X86_REG_AL },
-	{ X86_IN8ri, X86_REG_AL },
-	{ X86_TEST16i16, X86_REG_AX },
-	{ X86_SCASL, X86_REG_EAX },
-	{ X86_SUB8i8, X86_REG_AL },
-	{ X86_ADD8i8, X86_REG_AL },
-	{ X86_OR64i32, X86_REG_RAX },
-	{ X86_SCASB, X86_REG_AL },
-	{ X86_SBB64i32, X86_REG_RAX },
-	{ X86_ADD16i16, X86_REG_AX },
-	{ X86_XOR16i16, X86_REG_AX },
-	{ X86_AND64i32, X86_REG_RAX },
-	{ X86_LODSL, X86_REG_EAX },
-	{ X86_CMP8i8, X86_REG_AL },
-	{ X86_ADC64i32, X86_REG_RAX },
-	{ X86_CMP16i16, X86_REG_AX },
-	{ X86_ADC32i32, X86_REG_EAX },
-	{ X86_IN32ri, X86_REG_EAX },
-
-	{ X86_PUSHCS32, X86_REG_CS },
-	{ X86_PUSHDS32, X86_REG_DS },
-	{ X86_PUSHES32, X86_REG_ES },
-	{ X86_PUSHFS32, X86_REG_FS },
-	{ X86_PUSHGS32, X86_REG_GS },
-	{ X86_PUSHSS32, X86_REG_SS },
-
-	{ X86_PUSHFS64, X86_REG_FS },
-	{ X86_PUSHGS64, X86_REG_GS },
-
-	{ X86_PUSHCS16, X86_REG_CS },
-	{ X86_PUSHDS16, X86_REG_DS },
-	{ X86_PUSHES16, X86_REG_ES },
-	{ X86_PUSHFS16, X86_REG_FS },
-	{ X86_PUSHGS16, X86_REG_GS },
-	{ X86_PUSHSS16, X86_REG_SS },
-
-	{ X86_POPDS32, X86_REG_DS },
-	{ X86_POPES32, X86_REG_ES },
-	{ X86_POPFS32, X86_REG_FS },
-	{ X86_POPGS32, X86_REG_GS },
-	{ X86_POPSS32, X86_REG_SS },
-
-	{ X86_POPFS64, X86_REG_FS },
-	{ X86_POPGS64, X86_REG_GS },
-
-	{ X86_POPDS16, X86_REG_DS },
-	{ X86_POPES16, X86_REG_ES },
-	{ X86_POPFS16, X86_REG_FS },
-	{ X86_POPGS16, X86_REG_GS },
-	{ X86_POPSS16, X86_REG_SS },
+static struct insn_reg insn_regs_intel[] = {
+	{ X86_OUTSB, X86_REG_DX, CS_AC_WRITE },
+	{ X86_OUTSW, X86_REG_DX, CS_AC_WRITE },
+	{ X86_OUTSL, X86_REG_DX, CS_AC_WRITE },
+
+	{ X86_MOV8ao16, X86_REG_AL, CS_AC_WRITE },     // 16-bit A0 1020                  // mov     al, byte ptr [0x2010]
+	{ X86_MOV8ao32, X86_REG_AL, CS_AC_WRITE },     // 32-bit A0 10203040              // mov     al, byte ptr [0x40302010]
+	{ X86_MOV8ao64, X86_REG_AL, CS_AC_WRITE },     // 64-bit 66 A0 1020304050607080   // movabs  al, byte ptr [0x8070605040302010]
+
+	{ X86_MOV16ao16, X86_REG_AX, CS_AC_WRITE },    // 16-bit A1 1020                  // mov     ax, word ptr [0x2010]
+	{ X86_MOV16ao32, X86_REG_AX, CS_AC_WRITE },    // 32-bit A1 10203040              // mov     ax, word ptr [0x40302010]
+	{ X86_MOV16ao64, X86_REG_AX, CS_AC_WRITE },    // 64-bit 66 A1 1020304050607080   // movabs  ax, word ptr [0x8070605040302010]
+
+	{ X86_MOV32ao16, X86_REG_EAX, CS_AC_WRITE },   // 32-bit 67 A1 1020               // mov     eax, dword ptr [0x2010]
+	{ X86_MOV32ao32, X86_REG_EAX, CS_AC_WRITE },   // 32-bit A1 10203040              // mov     eax, dword ptr [0x40302010]
+	{ X86_MOV32ao64, X86_REG_EAX, CS_AC_WRITE },   // 64-bit A1 1020304050607080      // movabs  eax, dword ptr [0x8070605040302010]
+
+	{ X86_MOV64ao32, X86_REG_RAX, CS_AC_WRITE },   // 64-bit 48 8B04 10203040         // mov     rax, qword ptr [0x40302010]
+	{ X86_MOV64ao64, X86_REG_RAX, CS_AC_WRITE },   // 64-bit 48 A1 1020304050607080   // movabs  rax, qword ptr [0x8070605040302010]
+
+	{ X86_LODSQ, X86_REG_RAX, CS_AC_WRITE },
+	{ X86_OR32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SUB32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_TEST32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADD32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XCHG64ar, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_LODSB, X86_REG_AL, CS_AC_WRITE },
+	{ X86_AND32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_IN16ri, X86_REG_AX, CS_AC_WRITE },
+	{ X86_CMP64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XOR32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XCHG16ar, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_LODSW, X86_REG_AX, CS_AC_WRITE },
+	{ X86_AND16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADC16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XCHG32ar64, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADC8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_CMP32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_AND8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SCASW, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XOR8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SUB16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_OR16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XCHG32ar, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SBB8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SCASQ, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SBB32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XOR64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SUB64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADD64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_OR8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_TEST64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SBB16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_TEST8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_IN8ri, X86_REG_AL, CS_AC_WRITE },
+	{ X86_TEST16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SCASL, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SUB8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADD8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_OR64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SCASB, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_SBB64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADD16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_XOR16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_AND64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_LODSL, X86_REG_EAX, CS_AC_WRITE },
+	{ X86_CMP8i8, X86_REG_AL, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADC64i32, X86_REG_RAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_CMP16i16, X86_REG_AX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_ADC32i32, X86_REG_EAX, CS_AC_WRITE | CS_AC_READ },
+	{ X86_IN32ri, X86_REG_EAX, CS_AC_WRITE },
+
+	{ X86_PUSHCS32, X86_REG_CS, CS_AC_READ },
+	{ X86_PUSHDS32, X86_REG_DS, CS_AC_READ },
+	{ X86_PUSHES32, X86_REG_ES, CS_AC_READ },
+	{ X86_PUSHFS32, X86_REG_FS, CS_AC_READ },
+	{ X86_PUSHGS32, X86_REG_GS, CS_AC_READ },
+	{ X86_PUSHSS32, X86_REG_SS, CS_AC_READ },
+
+	{ X86_PUSHFS64, X86_REG_FS, CS_AC_READ },
+	{ X86_PUSHGS64, X86_REG_GS, CS_AC_READ },
+
+	{ X86_PUSHCS16, X86_REG_CS, CS_AC_READ },
+	{ X86_PUSHDS16, X86_REG_DS, CS_AC_READ },
+	{ X86_PUSHES16, X86_REG_ES, CS_AC_READ },
+	{ X86_PUSHFS16, X86_REG_FS, CS_AC_READ },
+	{ X86_PUSHGS16, X86_REG_GS, CS_AC_READ },
+	{ X86_PUSHSS16, X86_REG_SS, CS_AC_READ },
+
+	{ X86_POPDS32, X86_REG_DS, CS_AC_WRITE },
+	{ X86_POPES32, X86_REG_ES, CS_AC_WRITE },
+	{ X86_POPFS32, X86_REG_FS, CS_AC_WRITE },
+	{ X86_POPGS32, X86_REG_GS, CS_AC_WRITE },
+	{ X86_POPSS32, X86_REG_SS, CS_AC_WRITE },
+
+	{ X86_POPFS64, X86_REG_FS, CS_AC_WRITE },
+	{ X86_POPGS64, X86_REG_GS, CS_AC_WRITE },
+
+	{ X86_POPDS16, X86_REG_DS, CS_AC_WRITE },
+	{ X86_POPES16, X86_REG_ES, CS_AC_WRITE },
+	{ X86_POPFS16, X86_REG_FS, CS_AC_WRITE },
+	{ X86_POPGS16, X86_REG_GS, CS_AC_WRITE },
+	{ X86_POPSS16, X86_REG_SS, CS_AC_WRITE },
 
 #ifndef CAPSTONE_X86_REDUCE
-	{ X86_SKINIT, X86_REG_EAX },
-	{ X86_VMRUN32, X86_REG_EAX },
-	{ X86_VMRUN64, X86_REG_RAX },
-	{ X86_VMLOAD32, X86_REG_EAX },
-	{ X86_VMLOAD64, X86_REG_RAX },
-	{ X86_VMSAVE32, X86_REG_EAX },
-	{ X86_VMSAVE64, X86_REG_RAX },
-
-	{ X86_FNSTSW16r, X86_REG_AX },
-
-	{ X86_CMOVB_F, X86_REG_ST0 },
-	{ X86_CMOVBE_F, X86_REG_ST0 },
-	{ X86_CMOVE_F, X86_REG_ST0 },
-	{ X86_CMOVP_F, X86_REG_ST0 },
-	{ X86_CMOVNB_F, X86_REG_ST0 },
-	{ X86_CMOVNBE_F, X86_REG_ST0 },
-	{ X86_CMOVNE_F, X86_REG_ST0 },
-	{ X86_CMOVNP_F, X86_REG_ST0 },
-	{ X86_ST_FXCHST0r, X86_REG_ST0 },
-	{ X86_ST_FXCHST0r_alt, X86_REG_ST0 },
-	{ X86_ST_FCOMST0r, X86_REG_ST0 },
-	{ X86_ST_FCOMPST0r, X86_REG_ST0 },
-	{ X86_ST_FCOMPST0r_alt, X86_REG_ST0 },
-	{ X86_ST_FPST0r, X86_REG_ST0 },
-	{ X86_ST_FPST0r_alt, X86_REG_ST0 },
-	{ X86_ST_FPNCEST0r, X86_REG_ST0 },
+	{ X86_SKINIT, X86_REG_EAX, CS_AC_WRITE },
+	{ X86_VMRUN32, X86_REG_EAX, CS_AC_WRITE },
+	{ X86_VMRUN64, X86_REG_RAX, CS_AC_WRITE },
+	{ X86_VMLOAD32, X86_REG_EAX, CS_AC_WRITE },
+	{ X86_VMLOAD64, X86_REG_RAX, CS_AC_WRITE },
+	{ X86_VMSAVE32, X86_REG_EAX, CS_AC_READ },
+	{ X86_VMSAVE64, X86_REG_RAX, CS_AC_READ },
+
+	{ X86_FNSTSW16r, X86_REG_AX, CS_AC_WRITE },
+
+	{ X86_CMOVB_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVBE_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVE_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVP_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVNB_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVNBE_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVNE_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_CMOVNP_F, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FXCHST0r, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FXCHST0r_alt, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FCOMST0r, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FCOMPST0r, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FCOMPST0r_alt, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FPST0r, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FPST0r_alt, X86_REG_ST0, CS_AC_WRITE },
+	{ X86_ST_FPNCEST0r, X86_REG_ST0, CS_AC_WRITE },
 #endif
 };
 
-static const struct insn_reg2 insn_regs_intel2[] = {
-	{ X86_IN8rr, X86_REG_AL, X86_REG_DX },
-	{ X86_IN16rr, X86_REG_AX, X86_REG_DX },
-	{ X86_IN32rr, X86_REG_EAX, X86_REG_DX },
-
-	{ X86_OUT8rr, X86_REG_DX, X86_REG_AL },
-	{ X86_OUT16rr, X86_REG_DX, X86_REG_AX },
-	{ X86_OUT32rr, X86_REG_DX, X86_REG_EAX },
+static struct insn_reg2 insn_regs_intel2[] = {
+	{ X86_IN8rr, X86_REG_AL, X86_REG_DX, CS_AC_WRITE, CS_AC_READ },
+	{ X86_IN16rr, X86_REG_AX, X86_REG_DX, CS_AC_WRITE, CS_AC_READ },
+	{ X86_IN32rr, X86_REG_EAX, X86_REG_DX, CS_AC_WRITE, CS_AC_READ },
+
+	{ X86_OUT8rr, X86_REG_DX, X86_REG_AL, CS_AC_READ, CS_AC_READ },
+	{ X86_OUT16rr, X86_REG_DX, X86_REG_AX, CS_AC_READ, CS_AC_READ },
+	{ X86_OUT32rr, X86_REG_DX, X86_REG_EAX, CS_AC_READ, CS_AC_READ },
+
+	{ X86_INVLPGA32, X86_REG_EAX, X86_REG_ECX, CS_AC_READ, CS_AC_READ },
+	{ X86_INVLPGA64, X86_REG_RAX, X86_REG_ECX, CS_AC_READ, CS_AC_READ },
 };
 
+static struct insn_reg insn_regs_intel_sorted [ARR_SIZE(insn_regs_intel)];
+
+// Explicitly specified calling convention with CAPSTONE_API so that it is always
+// compiled as __cdecl on MSVC and does not cause a compile error even when
+// default calling convention is __stdcall (eg. capstone_static_winkernel project)
+static int CAPSTONE_API regs_cmp(const void *a, const void *b)
+{
+	uint16_t l = ((struct insn_reg *)a)->insn;
+	uint16_t r = ((struct insn_reg *)b)->insn;
+	return (l - r);
+}
+
 // return register of given instruction id
 // return 0 if not found
 // this is to handle instructions embedding accumulate registers into AsmStrs[]
-x86_reg X86_insn_reg_intel(unsigned int id)
+x86_reg X86_insn_reg_intel(unsigned int id, enum cs_ac_type *access)
 {
-	unsigned int i;
-
-	for (i = 0; i < ARR_SIZE(insn_regs_intel); i++) {
-		if (insn_regs_intel[i].insn == id) {
-			return insn_regs_intel[i].reg;
+	static bool intel_regs_sorted = false;
+	unsigned int first = 0;
+	unsigned int last = ARR_SIZE(insn_regs_intel) - 1;
+	unsigned int mid;
+
+	if (!intel_regs_sorted) {
+		memcpy(insn_regs_intel_sorted, insn_regs_intel,
+				sizeof(insn_regs_intel_sorted));
+		qsort(insn_regs_intel_sorted,
+				ARR_SIZE(insn_regs_intel_sorted),
+				sizeof(struct insn_reg), regs_cmp);
+		intel_regs_sorted = true;
+	}
+
+	if (insn_regs_intel_sorted[0].insn > id ||
+			insn_regs_intel_sorted[last].insn < id) {
+		return 0;
+	}
+
+	while (first <= last) {
+		mid = (first + last) / 2;
+		if (insn_regs_intel_sorted[mid].insn < id) {
+			first = mid + 1;
+		} else if (insn_regs_intel_sorted[mid].insn == id) {
+			if (access) {
+				*access = insn_regs_intel_sorted[mid].access;
+			}
+			return insn_regs_intel_sorted[mid].reg;
+		} else {
+			if (mid == 0)
+				break;
+			last = mid - 1;
 		}
 	}
 
@@ -47506,7 +3020,7 @@ x86_reg X86_insn_reg_intel(unsigned int
 	return 0;
 }
 
-bool X86_insn_reg_intel2(unsigned int id, x86_reg *reg1, x86_reg *reg2)
+bool X86_insn_reg_intel2(unsigned int id, x86_reg *reg1, enum cs_ac_type *access1, x86_reg *reg2, enum cs_ac_type *access2)
 {
 	unsigned int i;
 
@@ -47514,6 +3028,10 @@ bool X86_insn_reg_intel2(unsigned int id
 		if (insn_regs_intel2[i].insn == id) {
 			*reg1 = insn_regs_intel2[i].reg1;
 			*reg2 = insn_regs_intel2[i].reg2;
+			if (access1)
+				*access1 = insn_regs_intel2[i].access1;
+			if (access2)
+				*access2 = insn_regs_intel2[i].access2;
 			return true;
 		}
 	}
@@ -47523,7 +3041,7 @@ bool X86_insn_reg_intel2(unsigned int id
 }
 
 // ATT just reuses Intel data, but with the order of registers reversed
-bool X86_insn_reg_att2(unsigned int id, x86_reg *reg1, x86_reg *reg2)
+bool X86_insn_reg_att2(unsigned int id, x86_reg *reg1, enum cs_ac_type *access1, x86_reg *reg2, enum cs_ac_type *access2)
 {
 	unsigned int i;
 
@@ -47532,6 +3050,10 @@ bool X86_insn_reg_att2(unsigned int id,
 			// reverse order of Intel syntax registers
 			*reg1 = insn_regs_intel2[i].reg2;
 			*reg2 = insn_regs_intel2[i].reg1;
+            if (access1)
+                *access1 = insn_regs_intel2[i].access2;
+            if (access2)
+                *access2 = insn_regs_intel2[i].access1;
 			return true;
 		}
 	}
@@ -47540,12 +3062,14 @@ bool X86_insn_reg_att2(unsigned int id,
 	return false;
 }
 
-x86_reg X86_insn_reg_att(unsigned int id)
+x86_reg X86_insn_reg_att(unsigned int id, enum cs_ac_type *access)
 {
 	unsigned int i;
 
 	for (i = 0; i < ARR_SIZE(insn_regs_att); i++) {
 		if (insn_regs_att[i].insn == id) {
+			if (access)
+				*access = insn_regs_att[i].access;
 			return insn_regs_att[i].reg;
 		}
 	}
@@ -47575,7 +3099,6 @@ static bool valid_repne(cs_struct *h, un
 
 			case X86_INS_MOVSB:
 			case X86_INS_MOVSW:
-			case X86_INS_MOVSD:
 			case X86_INS_MOVSQ:
 
 			case X86_INS_LODSB:
@@ -47598,6 +3121,11 @@ static bool valid_repne(cs_struct *h, un
 
 				return true;
 
+			case X86_INS_MOVSD:
+				if (opcode == X86_MOVSW) // REP MOVSB
+					return true;
+				return false;
+
 			case X86_INS_CMPSD:
 				if (opcode == X86_CMPSL) // REP CMPSD
 					return true;
@@ -47661,6 +3189,20 @@ static bool valid_bnd(cs_struct *h, unsi
 }
 #endif
 
+// return true if the opcode is XCHG [mem]
+static bool xchg_mem(unsigned int opcode)
+{
+	switch(opcode) {
+		default:
+			return false;
+		case X86_XCHG8rm:
+		case X86_XCHG16rm:
+		case X86_XCHG32rm:
+		case X86_XCHG64rm:
+				 return true;
+	}
+}
+
 // given MCInst's id, find out if this insn is valid for REP prefix
 static bool valid_rep(cs_struct *h, unsigned int opcode)
 {
@@ -47788,13 +3330,21 @@ bool X86_lockrep(MCInst *MI, SStream *O)
 			break;
 		case 0xf0:
 #ifndef CAPSTONE_DIET
-			SStream_concat(O, "lock|");
+			if (MI->xAcquireRelease == 0xf2)
+				SStream_concat(O, "xacquire|lock|");
+			else if (MI->xAcquireRelease == 0xf3)
+				SStream_concat(O, "xrelease|lock|");
+			else
+				SStream_concat(O, "lock|");
 #endif
 			break;
 		case 0xf2:	// repne
 			opcode = MCInst_getOpcode(MI);
+
 #ifndef CAPSTONE_DIET	// only care about memonic in standard (non-diet) mode
-			if (valid_repne(MI->csh, opcode)) {
+			if (xchg_mem(opcode) && MI->xAcquireRelease) {
+				SStream_concat(O, "xacquire|");
+			} else if (valid_repne(MI->csh, opcode)) {
 				SStream_concat(O, "repne|");
 				add_cx(MI);
 			} else if (valid_bnd(MI->csh, opcode)) {
@@ -47827,8 +3377,11 @@ bool X86_lockrep(MCInst *MI, SStream *O)
 
 		case 0xf3:
 			opcode = MCInst_getOpcode(MI);
+
 #ifndef CAPSTONE_DIET	// only care about memonic in standard (non-diet) mode
-			if (valid_rep(MI->csh, opcode)) {
+			if (xchg_mem(opcode) && MI->xAcquireRelease) {
+				SStream_concat(O, "xrelease|");
+			} else if (valid_rep(MI->csh, opcode)) {
 				SStream_concat(O, "rep|");
 				add_cx(MI);
 			} else if (valid_repe(MI->csh, opcode)) {
@@ -47887,7 +3440,7 @@ void op_addImm(MCInst *MI, int v)
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].type = X86_OP_IMM;
 		MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].imm = v;
 		// if op_count > 0, then this operand's size is taken from the destination op
-		if (MI->csh->syntax == CS_OPT_SYNTAX_INTEL) {
+		if (MI->csh->syntax != CS_OPT_SYNTAX_ATT) {
 			if (MI->flat_insn->detail->x86.op_count > 0)
 				MI->flat_insn->detail->x86.operands[MI->flat_insn->detail->x86.op_count].size = MI->flat_insn->detail->x86.operands[0].size;
 			else
@@ -47901,6 +3454,13 @@ void op_addImm(MCInst *MI, int v)
 		MI->op1_size = MI->imm_size;
 }
 
+void op_addXopCC(MCInst *MI, int v)
+{
+	if (MI->csh->detail) {
+		MI->flat_insn->detail->x86.xop_cc = v;
+	}
+}
+
 void op_addSseCC(MCInst *MI, int v)
 {
 	if (MI->csh->detail) {
@@ -47946,18 +3506,115 @@ void op_addAvxBroadcast(MCInst *MI, x86_
 	}
 }
 
+#ifndef CAPSTONE_DIET
+// map instruction to its characteristics
+typedef struct insn_op {
+	uint64_t flags;	// how this instruction update EFLAGS(arithmetic instrcutions) of FPU FLAGS(for FPU instructions)
+	uint8_t access[6];
+} insn_op;
+
+static insn_op insn_ops[] = {
+	{	/* NULL item  */
+		0,
+		{ 0 }
+	},
+
+#ifdef CAPSTONE_X86_REDUCE
+#include "X86MappingInsnOp_reduce.inc"
+#else
+#include "X86MappingInsnOp.inc"
+#endif
+};
+
+// given internal insn id, return operand access info
+uint8_t *X86_get_op_access(cs_struct *h, unsigned int id, uint64_t *eflags)
+{
+	int i = insn_find(insns, ARR_SIZE(insns), id, &h->insn_cache);
+	if (i != 0) {
+		*eflags = insn_ops[i].flags;
+		return insn_ops[i].access;
+	}
+
+	return NULL;
+}
+
+void X86_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count)
+{
+	uint8_t i;
+	uint8_t read_count, write_count;
+	cs_x86 *x86 = &(insn->detail->x86);
+
+	read_count = insn->detail->regs_read_count;
+	write_count = insn->detail->regs_write_count;
+
+	// implicit registers
+	memcpy(regs_read, insn->detail->regs_read, read_count * sizeof(insn->detail->regs_read[0]));
+	memcpy(regs_write, insn->detail->regs_write, write_count * sizeof(insn->detail->regs_write[0]));
+
+	// explicit registers
+	for (i = 0; i < x86->op_count; i++) {
+		cs_x86_op *op = &(x86->operands[i]);
+		switch((int)op->type) {
+			case X86_OP_REG:
+				if ((op->access & CS_AC_READ) && !arr_exist(regs_read, read_count, op->reg)) {
+					regs_read[read_count] = op->reg;
+					read_count++;
+				}
+				if ((op->access & CS_AC_WRITE) && !arr_exist(regs_write, write_count, op->reg)) {
+					regs_write[write_count] = op->reg;
+					write_count++;
+				}
+				break;
+			case X86_OP_MEM:
+				// registers appeared in memory references always being read
+				if ((op->mem.segment != X86_REG_INVALID)) {
+					regs_read[read_count] = op->mem.segment;
+					read_count++;
+				}
+				if ((op->mem.base != X86_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.base)) {
+					regs_read[read_count] = op->mem.base;
+					read_count++;
+				}
+				if ((op->mem.index != X86_REG_INVALID) && !arr_exist(regs_read, read_count, op->mem.index)) {
+					regs_read[read_count] = op->mem.index;
+					read_count++;
+				}
+			default:
+				break;
+		}
+	}
+
+	*regs_read_count = read_count;
+	*regs_write_count = write_count;
+}
+#endif
+
 // map immediate size to instruction id
 static struct size_id {
-	unsigned char size;
-	unsigned short id;
+	uint8_t		enc_size;
+	uint8_t		size;
+	uint16_t 	id;
 } x86_imm_size[] = {
 #include "X86ImmSize.inc"
 };
 
 // given the instruction name, return the size of its immediate operand (or 0)
-int X86_immediate_size(unsigned int id)
+uint8_t X86_immediate_size(unsigned int id, uint8_t *enc_size)
 {
-	// binary searching since the IDs is sorted in order
+#if 0
+	// linear searching
+	unsigned int i;
+
+	for (i = 0; i < ARR_SIZE(x86_imm_size); i++) {
+		if (id == x86_imm_size[i].id) {
+			return x86_imm_size[i].size;
+		}
+	}
+#endif
+
+	// binary searching since the IDs are sorted in order
 	unsigned int left, right, m;
 
 	left = 0;
@@ -47965,8 +3622,12 @@ int X86_immediate_size(unsigned int id)
 
 	while(left <= right) {
 		m = (left + right) / 2;
-		if (id == x86_imm_size[m].id)
+		if (id == x86_imm_size[m].id) {
+			if (enc_size != NULL)
+				*enc_size = x86_imm_size[m].enc_size;
+
 			return x86_imm_size[m].size;
+		}
 
 		if (id < x86_imm_size[m].id)
 			right = m - 1;
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86Mapping.h 4.0.2-3/arch/X86/X86Mapping.h
--- 4.0.1+really+3.0.5-2/arch/X86/X86Mapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86Mapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_X86_MAP_H
 #define CS_X86_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../cs_priv.h"
 
 // map sib_base to x86_reg
@@ -31,10 +31,10 @@ const char *X86_group_name(csh handle, u
 // return register of given instruction id
 // return 0 if not found
 // this is to handle instructions embedding accumulate registers into AsmStrs[]
-x86_reg X86_insn_reg_intel(unsigned int id);
-x86_reg X86_insn_reg_att(unsigned int id);
-bool X86_insn_reg_intel2(unsigned int id, x86_reg *reg1, x86_reg *reg2);
-bool X86_insn_reg_att2(unsigned int id, x86_reg *reg1, x86_reg *reg2);
+x86_reg X86_insn_reg_intel(unsigned int id, enum cs_ac_type *access);
+x86_reg X86_insn_reg_att(unsigned int id, enum cs_ac_type *access);
+bool X86_insn_reg_intel2(unsigned int id, x86_reg *reg1, enum cs_ac_type *access1, x86_reg *reg2, enum cs_ac_type *access2);
+bool X86_insn_reg_att2(unsigned int id, x86_reg *reg1, enum cs_ac_type *access1, x86_reg *reg2, enum cs_ac_type *access2);
 
 extern const uint64_t arch_masks[9];
 
@@ -51,6 +51,7 @@ void op_addImm(MCInst *MI, int v);
 
 void op_addAvxBroadcast(MCInst *MI, x86_avx_bcast v);
 
+void op_addXopCC(MCInst *MI, int v);
 void op_addSseCC(MCInst *MI, int v);
 void op_addAvxCC(MCInst *MI, int v);
 
@@ -60,6 +61,14 @@ void op_addAvxSae(MCInst *MI);
 
 void op_addAvxRoundingMode(MCInst *MI, int v);
 
-int X86_immediate_size(unsigned int id);
+// given internal insn id, return operand access info
+uint8_t *X86_get_op_access(cs_struct *h, unsigned int id, uint64_t *eflags);
+
+void X86_reg_access(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count);
+
+// given the instruction id, return the size of its immediate operand (or 0)
+uint8_t X86_immediate_size(unsigned int id, uint8_t *enc_size);
 
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsn.inc 4.0.2-3/arch/X86/X86MappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/X86/X86MappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,50919 @@
+// This is auto-gen data for Capstone disassembly engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	X86_AAA, X86_INS_AAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAD8i8, X86_INS_AAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAM8i8, X86_INS_AAM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAS, X86_INS_AAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ABS_F, X86_INS_FABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16i16, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32i32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64i32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mi32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64ri32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8i8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX32rm, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX32rr, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX64rm, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX64rr, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16i16, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32i32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64i32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mi32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64ri32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8i8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDPDrm, X86_INS_ADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDPDrr, X86_INS_ADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDPSrm, X86_INS_ADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDPSrr, X86_INS_ADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSDrm, X86_INS_ADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSDrm_Int, X86_INS_ADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSDrr, X86_INS_ADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSDrr_Int, X86_INS_ADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSSrm, X86_INS_ADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSSrm_Int, X86_INS_ADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSSrr, X86_INS_ADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSSrr_Int, X86_INS_ADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSUBPDrm, X86_INS_ADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSUBPDrr, X86_INS_ADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSUBPSrm, X86_INS_ADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADDSUBPSrr, X86_INS_ADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_F32m, X86_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_F64m, X86_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_FI16m, X86_INS_FIADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_FI32m, X86_INS_FIADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_FPrST0, X86_INS_FADDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_FST0r, X86_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD_FrST0, X86_INS_FADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX32rm, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX32rr, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX64rm, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX64rr, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESDECLASTrm, X86_INS_AESDECLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESDECLASTrr, X86_INS_AESDECLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESDECrm, X86_INS_AESDEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESDECrr, X86_INS_AESDEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESENCLASTrm, X86_INS_AESENCLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESENCLASTrr, X86_INS_AESENCLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESENCrm, X86_INS_AESENC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESENCrr, X86_INS_AESENC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESIMCrm, X86_INS_AESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESIMCrr, X86_INS_AESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESKEYGENASSIST128rm, X86_INS_AESKEYGENASSIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AESKEYGENASSIST128rr, X86_INS_AESKEYGENASSIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16i16, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32i32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64i32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mi32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64ri32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8i8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN32rm, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN32rr, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN64rm, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN64rr, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDNPDrm, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDNPDrr, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDNPSrm, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDNPSrr, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDPDrm, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDPDrr, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDPSrm, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDPSrr, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ARPL16mr, X86_INS_ARPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ARPL16rr, X86_INS_ARPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR32rm, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR32rr, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR64rm, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR64rr, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI32mi, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI32ri, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI64mi, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI64ri, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL32rm, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL32rr, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL64rm, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL64rr, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI32rm, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI32rr, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI64rm, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI64rr, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC32rm, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC32rr, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC64rm, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC64rr, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK32rm, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK32rr, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK64rm, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK64rr, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS32rm, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS32rr, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS64rm, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS64rr, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDPDrmi, X86_INS_BLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDPDrri, X86_INS_BLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDPSrmi, X86_INS_BLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDPSrri, X86_INS_BLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDVPDrm0, X86_INS_BLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDVPDrr0, X86_INS_BLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDVPSrm0, X86_INS_BLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLENDVPSrr0, X86_INS_BLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL32rm, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL32rr, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL64rm, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL64rr, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI32rm, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI32rr, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI64rm, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI64rr, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC32rm, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC32rr, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC64rm, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC64rr, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK32rm, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK32rr, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK64rm, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK64rr, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR32rm, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR32rr, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR64rm, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR64rr, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BOUNDS16rm, X86_INS_BOUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BOUNDS32rm, X86_INS_BOUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF16rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF16rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF32rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF32rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF64rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF64rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR16rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR16rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR32rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR32rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR64rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR64rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSWAP32r, X86_INS_BSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSWAP64r, X86_INS_BSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI32rm, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI32rr, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI64rm, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI64rr, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL16m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL16r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL32m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL32r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64pcrel32, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, X86_REG_RIP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_BRANCH_RELATIVE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALLpcrel16, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EIP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_BRANCH_RELATIVE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALLpcrel32, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EIP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_BRANCH_RELATIVE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CBW, X86_INS_CBW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CDQ, X86_INS_CDQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CDQE, X86_INS_CDQE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_RAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CHS_F, X86_INS_FCHS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLAC, X86_INS_CLAC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLC, X86_INS_CLC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLD, X86_INS_CLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLFLUSH, X86_INS_CLFLUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLFLUSHOPT, X86_INS_CLFLUSHOPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLGI, X86_INS_CLGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLI, X86_INS_CLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLTS, X86_INS_CLTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLWB, X86_INS_CLWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMC, X86_INS_CMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA16rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA16rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA32rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA32rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA64rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA64rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE16rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE16rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE32rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE32rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE64rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE64rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB16rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB16rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB32rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB32rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB64rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB64rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE16rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE16rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE32rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE32rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE64rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE64rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE_F, X86_INS_FCMOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB_F, X86_INS_FCMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE16rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE16rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE32rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE32rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE64rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE64rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE_F, X86_INS_FCMOVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG16rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG16rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG32rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG32rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG64rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG64rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE16rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE16rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE32rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE32rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE64rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE64rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL16rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL16rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL32rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL32rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL64rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL64rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE16rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE16rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE32rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE32rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE64rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE64rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNBE_F, X86_INS_FCMOVNBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNB_F, X86_INS_FCMOVNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE16rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE16rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE32rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE32rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE64rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE64rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE_F, X86_INS_FCMOVNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO16rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO16rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO32rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO32rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO64rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO64rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP16rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP16rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP32rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP32rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP64rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP64rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP_F, X86_INS_FCMOVNU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS16rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS16rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS32rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS32rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS64rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS64rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO16rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO16rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO32rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO32rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO64rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO64rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP16rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP16rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP32rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP32rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP64rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP64rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP_F, X86_INS_FCMOVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_CMOV, X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS16rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS16rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS32rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS32rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS64rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS64rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16i16, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32i32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64i32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mi32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64ri32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8i8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPDrmi, X86_INS_CMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPDrmi_alt, X86_INS_CMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPDrri, X86_INS_CMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPDrri_alt, X86_INS_CMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPSrmi, X86_INS_CMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPSrmi_alt, X86_INS_CMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPSrri, X86_INS_CMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPPSrri_alt, X86_INS_CMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSB, X86_INS_CMPSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSDrm, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSDrm_alt, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSDrr, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSDrr_alt, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSL, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSQ, X86_INS_CMPSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSSrm, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSSrm_alt, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSSrr, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSSrr_alt, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSW, X86_INS_CMPSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16B, X86_INS_CMPXCHG16B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG32rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG32rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG64rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG64rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8B, X86_INS_CMPXCHG8B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_COMISDrm, X86_INS_COMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_COMISDrr, X86_INS_COMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_COMISSrm, X86_INS_COMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_COMISSrr, X86_INS_COMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_COMP_FST0r, X86_INS_FCOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_COM_FIPr, X86_INS_FCOMIP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_COM_FIr, X86_INS_FCOMI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_COM_FST0r, X86_INS_FCOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_COS_F, X86_INS_FCOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_CPUID, X86_INS_CPUID,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CQO, X86_INS_CQO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32m16, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32m32, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32m8, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32r16, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32r32, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r32r8, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r64m64, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r64m8, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r64r64, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CRC32r64r8, X86_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTDQ2PDrm, X86_INS_CVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTDQ2PDrr, X86_INS_CVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTDQ2PSrm, X86_INS_CVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTDQ2PSrr, X86_INS_CVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPD2DQrm, X86_INS_CVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPD2DQrr, X86_INS_CVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPD2PSrm, X86_INS_CVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPD2PSrr, X86_INS_CVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPS2DQrm, X86_INS_CVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPS2DQrr, X86_INS_CVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPS2PDrm, X86_INS_CVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTPS2PDrr, X86_INS_CVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SI64rm, X86_INS_CVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SI64rr, X86_INS_CVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SIrm, X86_INS_CVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SIrr, X86_INS_CVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SSrm, X86_INS_CVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSD2SSrr, X86_INS_CVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SD64rm, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SD64rr, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SDrm, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SDrr, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SS64rm, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SS64rr, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SSrm, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSI2SSrr, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SDrm, X86_INS_CVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SDrr, X86_INS_CVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SI64rm, X86_INS_CVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SI64rr, X86_INS_CVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SIrm, X86_INS_CVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTSS2SIrr, X86_INS_CVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTPD2DQrm, X86_INS_CVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTPD2DQrr, X86_INS_CVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTPS2DQrm, X86_INS_CVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTPS2DQrr, X86_INS_CVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSD2SI64rm, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSD2SI64rr, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSD2SIrm, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSD2SIrr, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSS2SI64rm, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSS2SI64rr, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSS2SIrm, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CVTTSS2SIrr, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_CWD, X86_INS_CWD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CWDE, X86_INS_CWDE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DAA, X86_INS_DAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DAS, X86_INS_DAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DATA16_PREFIX, X86_INS_DATA16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16r_alt, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32r_alt, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC64m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC64r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC8m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC8r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV16m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV16r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV32m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV32r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV64m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV64r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV8m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV8r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVPDrm, X86_INS_DIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVPDrr, X86_INS_DIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVPSrm, X86_INS_DIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVPSrr, X86_INS_DIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_F32m, X86_INS_FDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_F64m, X86_INS_FDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_FI16m, X86_INS_FIDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_FI32m, X86_INS_FIDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_FPrST0, X86_INS_FDIVRP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_FST0r, X86_INS_FDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVR_FrST0, X86_INS_FDIVR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSDrm, X86_INS_DIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSDrm_Int, X86_INS_DIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSDrr, X86_INS_DIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSDrr_Int, X86_INS_DIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSSrm, X86_INS_DIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSSrm_Int, X86_INS_DIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSSrr, X86_INS_DIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIVSSrr_Int, X86_INS_DIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_F32m, X86_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_F64m, X86_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_FI16m, X86_INS_FIDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_FI32m, X86_INS_FIDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_FPrST0, X86_INS_FDIVP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_FST0r, X86_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV_FrST0, X86_INS_FDIV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_DPPDrmi, X86_INS_DPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_DPPDrri, X86_INS_DPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_DPPSrmi, X86_INS_DPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_DPPSrri, X86_INS_DPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ENCLS, X86_INS_ENCLS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENCLU, X86_INS_ENCLU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENTER, X86_INS_ENTER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_EXTRACTPSmr, X86_INS_EXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_EXTRACTPSrr, X86_INS_EXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_EXTRQ, X86_INS_EXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_EXTRQI, X86_INS_EXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_F2XM1, X86_INS_F2XM1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL16i, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL16m, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL32i, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL32m, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL64, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARJMP16i, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP16m, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP32i, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP32m, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP64, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FBLDm, X86_INS_FBLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FBSTPm, X86_INS_FBSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FCOM32m, X86_INS_FCOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FCOM64m, X86_INS_FCOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FCOMP32m, X86_INS_FCOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FCOMP64m, X86_INS_FCOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FCOMPP, X86_INS_FCOMPP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FDECSTP, X86_INS_FDECSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FEMMS, X86_INS_FEMMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_FFREE, X86_INS_FFREE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FICOM16m, X86_INS_FICOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FICOM32m, X86_INS_FICOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FICOMP16m, X86_INS_FICOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FICOMP32m, X86_INS_FICOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FINCSTP, X86_INS_FINCSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDCW16m, X86_INS_FLDCW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDENVm, X86_INS_FLDENV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDL2E, X86_INS_FLDL2E,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDL2T, X86_INS_FLDL2T,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDLG2, X86_INS_FLDLG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDLN2, X86_INS_FLDLN2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FLDPI, X86_INS_FLDPI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FNCLEX, X86_INS_FNCLEX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FNINIT, X86_INS_FNINIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FNOP, X86_INS_FNOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FNSTCW16m, X86_INS_FNSTCW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FNSTSW16r, X86_INS_FNSTSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_FPSW, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FNSTSWm, X86_INS_FNSTSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FPATAN, X86_INS_FPATAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FPREM, X86_INS_FPREM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FPREM1, X86_INS_FPREM1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FPTAN, X86_INS_FPTAN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FP_FFREEP, X86_INS_FFREEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FRNDINT, X86_INS_FRNDINT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FRSTORm, X86_INS_FRSTOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FSAVEm, X86_INS_FNSAVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FSCALE, X86_INS_FSCALE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FSETPM, X86_INS_FSETPM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FSINCOS, X86_INS_FSINCOS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FSTENVm, X86_INS_FNSTENV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FXAM, X86_INS_FXAM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FXRSTOR, X86_INS_FXRSTOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FXRSTOR64, X86_INS_FXRSTOR64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_FXSAVE, X86_INS_FXSAVE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FXSAVE64, X86_INS_FXSAVE64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_FXTRACT, X86_INS_FXTRACT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FYL2X, X86_INS_FYL2X,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FYL2XP1, X86_INS_FYL2XP1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDNPDrm, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDNPDrr, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDNPSrm, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDNPSrr, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDPDrm, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDPDrr, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDPSrm, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsANDPSrr, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsMOVAPDrm, X86_INS_MOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsMOVAPSrm, X86_INS_MOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsORPDrm, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsORPDrr, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsORPSrm, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsORPSrr, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsVMOVAPDrm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsVMOVAPSrm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsXORPDrm, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsXORPDrr, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsXORPSrm, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FsXORPSrr, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDNPDrm, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDNPDrr, X86_INS_ANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDNPSrm, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDNPSrr, X86_INS_ANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDPDrm, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDPDrr, X86_INS_ANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDPSrm, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvANDPSrr, X86_INS_ANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvORPDrm, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvORPDrr, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvORPSrm, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvORPSrr, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvXORPDrm, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvXORPDrr, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvXORPSrm, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_FvXORPSrr, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_GETSEC, X86_INS_GETSEC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_HADDPDrm, X86_INS_HADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HADDPDrr, X86_INS_HADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HADDPSrm, X86_INS_HADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HADDPSrr, X86_INS_HADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HLT, X86_INS_HLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_HSUBPDrm, X86_INS_HSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HSUBPDrr, X86_INS_HSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HSUBPSrm, X86_INS_HSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_HSUBPSrr, X86_INS_HSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV16m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV16r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV32m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV32r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV64m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV64r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV8m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV8r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ILD_F16m, X86_INS_FILD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ILD_F32m, X86_INS_FILD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ILD_F64m, X86_INS_FILD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rmi, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rri, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rmi, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rri, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rmi32, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rri32, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL8m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL8r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN16ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN16rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN32ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN32rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN8ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN8rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16r_alt, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32r_alt, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INC64m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC64r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC8m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC8r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSB, X86_INS_INSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSERTPSrm, X86_INS_INSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_INSERTPSrr, X86_INS_INSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_INSERTQ, X86_INS_INSERTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_INSERTQI, X86_INS_INSERTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_INSL, X86_INS_INSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSW, X86_INS_INSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INT, X86_INS_INT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INT1, X86_INS_INT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INT3, X86_INS_INT3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INTO, X86_INS_INTO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_INT, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVD, X86_INS_INVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVEPT32, X86_INS_INVEPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVEPT64, X86_INS_INVEPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPG, X86_INS_INVLPG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPGA32, X86_INS_INVLPGA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPGA64, X86_INS_INVLPGA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVPCID32, X86_INS_INVPCID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVPCID64, X86_INS_INVPCID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVVPID32, X86_INS_INVVPID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVVPID64, X86_INS_INVVPID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET16, X86_INS_IRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET32, X86_INS_IRETD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET64, X86_INS_IRETQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_ISTT_FP16m, X86_INS_FISTTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ISTT_FP32m, X86_INS_FISTTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ISTT_FP64m, X86_INS_FISTTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IST_F16m, X86_INS_FIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IST_F32m, X86_INS_FIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IST_FP16m, X86_INS_FISTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IST_FP32m, X86_INS_FISTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_IST_FP64m, X86_INS_FISTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CMPSDrm, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CMPSDrr, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CMPSSrm, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CMPSSrr, X86_INS_CMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_COMISDrm, X86_INS_COMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_COMISDrr, X86_INS_COMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_COMISSrm, X86_INS_COMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_COMISSrr, X86_INS_COMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSD2SSrm, X86_INS_CVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSD2SSrr, X86_INS_CVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SD64rm, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SD64rr, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SDrm, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SDrr, X86_INS_CVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SS64rm, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SS64rr, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SSrm, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSI2SSrr, X86_INS_CVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSS2SDrm, X86_INS_CVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTSS2SDrr, X86_INS_CVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSD2SI64rm, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSD2SI64rr, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSD2SIrm, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSD2SIrr, X86_INS_CVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSS2SI64rm, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSS2SI64rr, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSS2SIrm, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_CVTTSS2SIrr, X86_INS_CVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_UCOMISDrm, X86_INS_UCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_UCOMISDrr, X86_INS_UCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_UCOMISSrm, X86_INS_UCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_UCOMISSrr, X86_INS_UCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCMPSDrm, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCMPSDrr, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCMPSSrm, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCMPSSrr, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISDZrm, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISDZrr, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISDrm, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISDrr, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISSZrm, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISSZrr, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISSrm, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCOMISSrr, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSD2SSrm, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSD2SSrr, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SD64Zrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SD64Zrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SD64rm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SD64rr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SDZrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SDZrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SDrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SDrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SS64Zrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SS64Zrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SS64rm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SS64rr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SSZrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SSZrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SSrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSI2SSrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSS2SDrm, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTSS2SDrr, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SD64Zrm, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SD64Zrr, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SS64Zrm, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SS64Zrr, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISDZrm, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISDZrr, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISDrm, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISDrr, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISSZrm, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISSZrr, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISSrm, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_Int_VUCOMISSrr, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_JAE_1, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JAE_2, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JAE_4, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_1, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_2, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_4, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_1, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_2, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_4, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_1, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_2, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_4, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JCXZ, X86_INS_JCXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CX, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JECXZ, X86_INS_JECXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_1, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_2, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_4, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_1, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_2, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_4, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_1, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_2, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_4, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_1, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_2, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_4, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_1, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_2, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_4, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP16m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP16r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP32m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP32r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP64m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP64r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP_1, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP_2, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP_4, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_1, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_2, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_4, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_1, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_2, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_4, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_1, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_2, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_4, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_1, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_2, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_4, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_1, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_2, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_4, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_1, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_2, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_4, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JRCXZ, X86_INS_JRCXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RCX, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_1, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_2, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_4, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 1, 0
+#endif
+},
+{
+	X86_KANDBrr, X86_INS_KANDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDDrr, X86_INS_KANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDNBrr, X86_INS_KANDNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDNDrr, X86_INS_KANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDNQrr, X86_INS_KANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDNWrr, X86_INS_KANDNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDQrr, X86_INS_KANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KANDWrr, X86_INS_KANDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVBkk, X86_INS_KMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVBkm, X86_INS_KMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVBkr, X86_INS_KMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVBmk, X86_INS_KMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVBrk, X86_INS_KMOVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVDkk, X86_INS_KMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVDkm, X86_INS_KMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVDkr, X86_INS_KMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVDmk, X86_INS_KMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVDrk, X86_INS_KMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVQkk, X86_INS_KMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVQkm, X86_INS_KMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVQkr, X86_INS_KMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVQmk, X86_INS_KMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVQrk, X86_INS_KMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVWkk, X86_INS_KMOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVWkm, X86_INS_KMOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVWkr, X86_INS_KMOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVWmk, X86_INS_KMOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KMOVWrk, X86_INS_KMOVW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KNOTBrr, X86_INS_KNOTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KNOTDrr, X86_INS_KNOTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KNOTQrr, X86_INS_KNOTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KNOTWrr, X86_INS_KNOTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORBrr, X86_INS_KORB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORDrr, X86_INS_KORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORQrr, X86_INS_KORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORTESTBrr, X86_INS_KORTESTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORTESTDrr, X86_INS_KORTESTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORTESTQrr, X86_INS_KORTESTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORTESTWrr, X86_INS_KORTESTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KORWrr, X86_INS_KORW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTLBri, X86_INS_KSHIFTLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTLDri, X86_INS_KSHIFTLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTLQri, X86_INS_KSHIFTLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTLWri, X86_INS_KSHIFTLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTRBri, X86_INS_KSHIFTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTRDri, X86_INS_KSHIFTRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTRQri, X86_INS_KSHIFTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KSHIFTRWri, X86_INS_KSHIFTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KUNPCKBWrr, X86_INS_KUNPCKBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXNORBrr, X86_INS_KXNORB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXNORDrr, X86_INS_KXNORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXNORQrr, X86_INS_KXNORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXNORWrr, X86_INS_KXNORW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXORBrr, X86_INS_KXORB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXORDrr, X86_INS_KXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXORQrr, X86_INS_KXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_KXORWrr, X86_INS_KXORW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_LAHF, X86_INS_LAHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_AH, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR16rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR16rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR32rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR32rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR64rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR64rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG16, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG16B, X86_INS_CMPXCHG16B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG32, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG64, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG8, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG8B, X86_INS_CMPXCHG8B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LDDQUrm, X86_INS_LDDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_LDMXCSR, X86_INS_LDMXCSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_LDS16rm, X86_INS_LDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LDS32rm, X86_INS_LDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_F0, X86_INS_FLDZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_F1, X86_INS_FLD1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_F32m, X86_INS_FLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_F64m, X86_INS_FLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_F80m, X86_INS_FLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LD_Frr, X86_INS_FLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA16r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA32r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA64_32r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA64r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LEAVE, X86_INS_LEAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EBP, X86_REG_ESP, 0 }, { X86_REG_EBP, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEAVE64, X86_INS_LEAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBP, X86_REG_RSP, 0 }, { X86_REG_RBP, X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LES16rm, X86_INS_LES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LES32rm, X86_INS_LES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFENCE, X86_INS_LFENCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS16rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS32rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS64rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT16m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT32m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT64m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS16rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS32rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS64rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT16m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT32m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT64m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LLDT16m, X86_INS_LLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LLDT16r, X86_INS_LLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LMSW16m, X86_INS_LMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LMSW16r, X86_INS_LMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mi32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD8mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD8mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mi32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND8mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND8mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC16m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC32m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC64m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC8m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC16m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC32m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC64m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC8m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mi32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR8mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR8mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mi32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB8mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB8mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mi32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR8mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR8mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSB, X86_INS_LODSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AL, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSL, X86_INS_LODSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSQ, X86_INS_LODSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_RAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSW, X86_INS_LODSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOP, X86_INS_LOOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOPE, X86_INS_LOOPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOPNE, X86_INS_LOOPNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BRANCH_RELATIVE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIL, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIQ, X86_INS_RETFQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIW, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETL, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETQ, X86_INS_RETFQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETW, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL16rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL16rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL32rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL32rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL64rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL64rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS16rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS32rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS64rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LTRm, X86_INS_LTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LTRr, X86_INS_LTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD16, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD32, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD64, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD8, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT16rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT16rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT32rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT32rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT64rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT64rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MASKMOVDQU, X86_INS_MASKMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_SSE2, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MASKMOVDQU64, X86_INS_MASKMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_SSE2, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCPDrm, X86_INS_MAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCPDrr, X86_INS_MAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCPSrm, X86_INS_MAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCPSrr, X86_INS_MAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCSDrm, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCSDrr, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCSSrm, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXCSSrr, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXPDrm, X86_INS_MAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXPDrr, X86_INS_MAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXPSrm, X86_INS_MAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXPSrr, X86_INS_MAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSDrm, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSDrm_Int, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSDrr, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSDrr_Int, X86_INS_MAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSSrm, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSSrm_Int, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSSrr, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MAXSSrr_Int, X86_INS_MAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MFENCE, X86_INS_MFENCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCPDrm, X86_INS_MINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCPDrr, X86_INS_MINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCPSrm, X86_INS_MINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCPSrr, X86_INS_MINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCSDrm, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCSDrr, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCSSrm, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINCSSrr, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINPDrm, X86_INS_MINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINPDrr, X86_INS_MINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINPSrm, X86_INS_MINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINPSrr, X86_INS_MINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSDrm, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSDrm_Int, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSDrr, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSDrr_Int, X86_INS_MINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSSrm, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSSrm_Int, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSSrr, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MINSSrr_Int, X86_INS_MINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPD2PIirm, X86_INS_CVTPD2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPD2PIirr, X86_INS_CVTPD2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPI2PDirm, X86_INS_CVTPI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPI2PDirr, X86_INS_CVTPI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPI2PSirm, X86_INS_CVTPI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPI2PSirr, X86_INS_CVTPI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPS2PIirm, X86_INS_CVTPS2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTPS2PIirr, X86_INS_CVTPS2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTTPD2PIirm, X86_INS_CVTTPD2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTTPD2PIirr, X86_INS_CVTTPD2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTTPS2PIirm, X86_INS_CVTTPS2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_CVTTPS2PIirr, X86_INS_CVTTPS2PI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_EMMS, X86_INS_EMMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MASKMOVQ, X86_INS_MASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_MMX, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MASKMOVQ64, X86_INS_MASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_MMX, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64from64rm, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64from64rr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64grr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64mr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64rm, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64rr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64to64rm, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVD64to64rr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVDQ2Qrr, X86_INS_MOVDQ2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVFR642Qrr, X86_INS_MOVDQ2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVNTQmr, X86_INS_MOVNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ2DQrr, X86_INS_MOVQ2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ2FR64rr, X86_INS_MOVQ2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ64mr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ64rm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ64rr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_MOVQ64rr_REV, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSBrm64, X86_INS_PABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSBrr64, X86_INS_PABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSDrm64, X86_INS_PABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSDrr64, X86_INS_PABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSWrm64, X86_INS_PABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PABSWrr64, X86_INS_PABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKSSDWirm, X86_INS_PACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKSSDWirr, X86_INS_PACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKSSWBirm, X86_INS_PACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKSSWBirr, X86_INS_PACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKUSWBirm, X86_INS_PACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PACKUSWBirr, X86_INS_PACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDBirm, X86_INS_PADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDBirr, X86_INS_PADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDDirm, X86_INS_PADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDDirr, X86_INS_PADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDQirm, X86_INS_PADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDQirr, X86_INS_PADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDSBirm, X86_INS_PADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDSBirr, X86_INS_PADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDSWirm, X86_INS_PADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDSWirr, X86_INS_PADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDUSBirm, X86_INS_PADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDUSBirr, X86_INS_PADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDUSWirm, X86_INS_PADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDUSWirr, X86_INS_PADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDWirm, X86_INS_PADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PADDWirr, X86_INS_PADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PALIGNR64irm, X86_INS_PALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PALIGNR64irr, X86_INS_PALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PANDNirm, X86_INS_PANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PANDNirr, X86_INS_PANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PANDirm, X86_INS_PAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PANDirr, X86_INS_PAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PAVGBirm, X86_INS_PAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PAVGBirr, X86_INS_PAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PAVGWirm, X86_INS_PAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PAVGWirr, X86_INS_PAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQBirm, X86_INS_PCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQBirr, X86_INS_PCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQDirm, X86_INS_PCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQDirr, X86_INS_PCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQWirm, X86_INS_PCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPEQWirr, X86_INS_PCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTBirm, X86_INS_PCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTBirr, X86_INS_PCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTDirm, X86_INS_PCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTDirr, X86_INS_PCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTWirm, X86_INS_PCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PCMPGTWirr, X86_INS_PCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PEXTRWirri, X86_INS_PEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDSWrm64, X86_INS_PHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDSWrr64, X86_INS_PHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDWrm64, X86_INS_PHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDWrr64, X86_INS_PHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDrm64, X86_INS_PHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHADDrr64, X86_INS_PHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBDrm64, X86_INS_PHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBDrr64, X86_INS_PHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBSWrm64, X86_INS_PHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBSWrr64, X86_INS_PHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBWrm64, X86_INS_PHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PHSUBWrr64, X86_INS_PHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PINSRWirmi, X86_INS_PINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PINSRWirri, X86_INS_PINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMADDUBSWrm64, X86_INS_PMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMADDUBSWrr64, X86_INS_PMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMADDWDirm, X86_INS_PMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMADDWDirr, X86_INS_PMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMAXSWirm, X86_INS_PMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMAXSWirr, X86_INS_PMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMAXUBirm, X86_INS_PMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMAXUBirr, X86_INS_PMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMINSWirm, X86_INS_PMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMINSWirr, X86_INS_PMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMINUBirm, X86_INS_PMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMINUBirr, X86_INS_PMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMOVMSKBrr, X86_INS_PMOVMSKB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHRSWrm64, X86_INS_PMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHRSWrr64, X86_INS_PMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHUWirm, X86_INS_PMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHUWirr, X86_INS_PMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHWirm, X86_INS_PMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULHWirr, X86_INS_PMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULLWirm, X86_INS_PMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULLWirr, X86_INS_PMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULUDQirm, X86_INS_PMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PMULUDQirr, X86_INS_PMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PORirm, X86_INS_POR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PORirr, X86_INS_POR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSADBWirm, X86_INS_PSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSADBWirr, X86_INS_PSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSHUFBrm64, X86_INS_PSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSHUFBrr64, X86_INS_PSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSHUFWmi, X86_INS_PSHUFW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSHUFWri, X86_INS_PSHUFW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNBrm64, X86_INS_PSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNBrr64, X86_INS_PSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNDrm64, X86_INS_PSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNDrr64, X86_INS_PSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNWrm64, X86_INS_PSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSIGNWrr64, X86_INS_PSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLDri, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLDrm, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLDrr, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLQri, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLQrm, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLQrr, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLWri, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLWrm, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSLLWrr, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRADri, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRADrm, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRADrr, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRAWri, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRAWrm, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRAWrr, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLDri, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLDrm, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLDrr, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLQri, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLQrm, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLQrr, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLWri, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLWrm, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSRLWrr, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBBirm, X86_INS_PSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBBirr, X86_INS_PSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBDirm, X86_INS_PSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBDirr, X86_INS_PSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBQirm, X86_INS_PSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBQirr, X86_INS_PSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBSBirm, X86_INS_PSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBSBirr, X86_INS_PSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBSWirm, X86_INS_PSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBSWirr, X86_INS_PSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBUSBirm, X86_INS_PSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBUSBirr, X86_INS_PSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBUSWirm, X86_INS_PSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBUSWirr, X86_INS_PSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBWirm, X86_INS_PSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PSUBWirr, X86_INS_PSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHBWirm, X86_INS_PUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHBWirr, X86_INS_PUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHDQirm, X86_INS_PUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHDQirr, X86_INS_PUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHWDirm, X86_INS_PUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKHWDirr, X86_INS_PUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLBWirm, X86_INS_PUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLBWirr, X86_INS_PUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLDQirm, X86_INS_PUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLDQirr, X86_INS_PUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLWDirm, X86_INS_PUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PUNPCKLWDirr, X86_INS_PUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PXORirm, X86_INS_PXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MMX_PXORirr, X86_INS_PXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MMX, 0 }, 0, 0
+#endif
+},
+{
+	X86_MONITORrrr, X86_INS_MONITOR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MONTMUL, X86_INS_MONTMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_RSI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32cr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32dr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rc, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rd, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64cr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64dr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64mi32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rc, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rd, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ri, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ri32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64toPQIrm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64toPQIrr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64toSDrm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64toSDrr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mr_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rm_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPDmr, X86_INS_MOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPDrm, X86_INS_MOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPDrr, X86_INS_MOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPDrr_REV, X86_INS_MOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPSmr, X86_INS_MOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPSrm, X86_INS_MOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPSrr, X86_INS_MOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVAPSrr_REV, X86_INS_MOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE16mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE16rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE32mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE32rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE64mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE64rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDDUPrm, X86_INS_MOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDDUPrr, X86_INS_MOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDI2PDIrm, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDI2PDIrr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDI2SSrm, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDI2SSrr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQAmr, X86_INS_MOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQArm, X86_INS_MOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQArr, X86_INS_MOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQArr_REV, X86_INS_MOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQUmr, X86_INS_MOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQUrm, X86_INS_MOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQUrr, X86_INS_MOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVDQUrr_REV, X86_INS_MOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVHLPSrr, X86_INS_MOVHLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVHPDmr, X86_INS_MOVHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVHPDrm, X86_INS_MOVHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVHPSmr, X86_INS_MOVHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVHPSrm, X86_INS_MOVHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVLHPSrr, X86_INS_MOVLHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVLPDmr, X86_INS_MOVLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVLPDrm, X86_INS_MOVLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVLPSmr, X86_INS_MOVLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVLPSrm, X86_INS_MOVLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVMSKPDrr, X86_INS_MOVMSKPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVMSKPSrr, X86_INS_MOVMSKPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTDQArm, X86_INS_MOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTDQmr, X86_INS_MOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTI_64mr, X86_INS_MOVNTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTImr, X86_INS_MOVNTI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTPDmr, X86_INS_MOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTPSmr, X86_INS_MOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTSD, X86_INS_MOVNTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVNTSS, X86_INS_MOVNTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE4A, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPDI2DImr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPDI2DIrr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPQI2QImr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPQI2QIrr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPQIto64rm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVPQIto64rr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVQI2PQIrm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSB, X86_INS_MOVSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDmr, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDrm, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDrr, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDrr_REV, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDto64mr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSDto64rr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSHDUPrm, X86_INS_MOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSHDUPrr, X86_INS_MOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSL, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSLDUPrm, X86_INS_MOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSLDUPrr, X86_INS_MOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSQ, X86_INS_MOVSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSS2DImr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSS2DIrr, X86_INS_MOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSSmr, X86_INS_MOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSSrm, X86_INS_MOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSSrr, X86_INS_MOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSSrr_REV, X86_INS_MOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSW, X86_INS_MOVSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX16rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX16rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32_NOREXrm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32_NOREXrr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rm16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rr16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm32_alt, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPDmr, X86_INS_MOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPDrm, X86_INS_MOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPDrr, X86_INS_MOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPDrr_REV, X86_INS_MOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPSmr, X86_INS_MOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPSrm, X86_INS_MOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPSrr, X86_INS_MOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVUPSrr_REV, X86_INS_MOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZPQILo2PQIrm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZPQILo2PQIrr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZQI2PQIrm, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZQI2PQIrr, X86_INS_MOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX16rm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX16rr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32_NOREXrm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32_NOREXrr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rm16, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rr16, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rm16_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rm8_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rr16_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rr8_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MPSADBWrmi, X86_INS_MPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_MPSADBWrri, X86_INS_MPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL16m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL16r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL32m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL32r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL64m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL64r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL8m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL8r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MULPDrm, X86_INS_MULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULPDrr, X86_INS_MULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULPSrm, X86_INS_MULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULPSrr, X86_INS_MULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSDrm, X86_INS_MULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSDrm_Int, X86_INS_MULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSDrr, X86_INS_MULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSDrr_Int, X86_INS_MULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSSrm, X86_INS_MULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSSrm_Int, X86_INS_MULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSSrr, X86_INS_MULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULSSrr_Int, X86_INS_MULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX32rm, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX32rr, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX64rm, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX64rr, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_F32m, X86_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_F64m, X86_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_FI16m, X86_INS_FIMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_FI32m, X86_INS_FIMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_FPrST0, X86_INS_FMULP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_FST0r, X86_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL_FrST0, X86_INS_FMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_MWAITrr, X86_INS_MWAIT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, X86_REG_EAX, 0 }, { 0 }, { X86_GRP_SSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG16m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG16r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG32m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG32r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG64m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG64r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG8m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG8r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP19rr, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_19, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1a, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1b, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1c, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1d, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1e, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_19, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1a, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1b, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1c, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1d, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1e, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT16m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT16r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT32m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT32r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT64m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT64r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT8m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT8r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16i16, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32i32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mrLocked, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64i32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mi32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64ri32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8i8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ORPDrm, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ORPDrr, X86_INS_ORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ORPSrm, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_ORPSrr, X86_INS_ORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT16ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT16rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT32ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT32rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT8ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT8rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSB, X86_INS_OUTSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSL, X86_INS_OUTSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSW, X86_INS_OUTSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSBrm128, X86_INS_PABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSBrr128, X86_INS_PABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSDrm128, X86_INS_PABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSDrr128, X86_INS_PABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSWrm128, X86_INS_PABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PABSWrr128, X86_INS_PABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKSSDWrm, X86_INS_PACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKSSDWrr, X86_INS_PACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKSSWBrm, X86_INS_PACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKSSWBrr, X86_INS_PACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKUSDWrm, X86_INS_PACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKUSDWrr, X86_INS_PACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKUSWBrm, X86_INS_PACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PACKUSWBrr, X86_INS_PACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDBrm, X86_INS_PADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDBrr, X86_INS_PADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDDrm, X86_INS_PADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDDrr, X86_INS_PADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDQrm, X86_INS_PADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDQrr, X86_INS_PADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDSBrm, X86_INS_PADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDSBrr, X86_INS_PADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDSWrm, X86_INS_PADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDSWrr, X86_INS_PADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDUSBrm, X86_INS_PADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDUSBrr, X86_INS_PADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDUSWrm, X86_INS_PADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDUSWrr, X86_INS_PADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDWrm, X86_INS_PADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PADDWrr, X86_INS_PADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PALIGNR128rm, X86_INS_PALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PALIGNR128rr, X86_INS_PALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PANDNrm, X86_INS_PANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PANDNrr, X86_INS_PANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PANDrm, X86_INS_PAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PANDrr, X86_INS_PAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAUSE, X86_INS_PAUSE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGBrm, X86_INS_PAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGBrr, X86_INS_PAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGUSBrm, X86_INS_PAVGUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGUSBrr, X86_INS_PAVGUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGWrm, X86_INS_PAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PAVGWrr, X86_INS_PAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PBLENDVBrm0, X86_INS_PBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PBLENDVBrr0, X86_INS_PBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PBLENDWrmi, X86_INS_PBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PBLENDWrri, X86_INS_PBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCLMULQDQrm, X86_INS_PCLMULQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PCLMUL, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCLMULQDQrr, X86_INS_PCLMULQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PCLMUL, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQBrm, X86_INS_PCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQBrr, X86_INS_PCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQDrm, X86_INS_PCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQDrr, X86_INS_PCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQQrm, X86_INS_PCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQQrr, X86_INS_PCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQWrm, X86_INS_PCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPEQWrr, X86_INS_PCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPESTRIrm, X86_INS_PCMPESTRI,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPESTRIrr, X86_INS_PCMPESTRI,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPESTRM128rm, X86_INS_PCMPESTRM,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPESTRM128rr, X86_INS_PCMPESTRM,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTBrm, X86_INS_PCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTBrr, X86_INS_PCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTDrm, X86_INS_PCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTDrr, X86_INS_PCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTQrm, X86_INS_PCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTQrr, X86_INS_PCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTWrm, X86_INS_PCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPGTWrr, X86_INS_PCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPISTRIrm, X86_INS_PCMPISTRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPISTRIrr, X86_INS_PCMPISTRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPISTRM128rm, X86_INS_PCMPISTRM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCMPISTRM128rr, X86_INS_PCMPISTRM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_SSE42, 0 }, 0, 0
+#endif
+},
+{
+	X86_PCOMMIT, X86_INS_PCOMMIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP32rm, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP32rr, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP64rm, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP64rr, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT32rm, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT32rr, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT64rm, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT64rr, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRBmr, X86_INS_PEXTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRBrr, X86_INS_PEXTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRDmr, X86_INS_PEXTRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRDrr, X86_INS_PEXTRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRQmr, X86_INS_PEXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRQrr, X86_INS_PEXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRWmr, X86_INS_PEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRWri, X86_INS_PEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXTRWrr_REV, X86_INS_PEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PF2IDrm, X86_INS_PF2ID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PF2IDrr, X86_INS_PF2ID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PF2IWrm, X86_INS_PF2IW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PF2IWrr, X86_INS_PF2IW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFACCrm, X86_INS_PFACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFACCrr, X86_INS_PFACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFADDrm, X86_INS_PFADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFADDrr, X86_INS_PFADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPEQrm, X86_INS_PFCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPEQrr, X86_INS_PFCMPEQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPGErm, X86_INS_PFCMPGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPGErr, X86_INS_PFCMPGE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPGTrm, X86_INS_PFCMPGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFCMPGTrr, X86_INS_PFCMPGT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMAXrm, X86_INS_PFMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMAXrr, X86_INS_PFMAX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMINrm, X86_INS_PFMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMINrr, X86_INS_PFMIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMULrm, X86_INS_PFMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFMULrr, X86_INS_PFMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFNACCrm, X86_INS_PFNACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFNACCrr, X86_INS_PFNACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFPNACCrm, X86_INS_PFPNACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFPNACCrr, X86_INS_PFPNACC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPIT1rm, X86_INS_PFRCPIT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPIT1rr, X86_INS_PFRCPIT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPIT2rm, X86_INS_PFRCPIT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPIT2rr, X86_INS_PFRCPIT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPrm, X86_INS_PFRCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRCPrr, X86_INS_PFRCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRSQIT1rm, X86_INS_PFRSQIT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRSQIT1rr, X86_INS_PFRSQIT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRSQRTrm, X86_INS_PFRSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFRSQRTrr, X86_INS_PFRSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFSUBRrm, X86_INS_PFSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFSUBRrr, X86_INS_PFSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFSUBrm, X86_INS_PFSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PFSUBrr, X86_INS_PFSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDDrm, X86_INS_PHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDDrr, X86_INS_PHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDSWrm128, X86_INS_PHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDSWrr128, X86_INS_PHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDWrm, X86_INS_PHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHADDWrr, X86_INS_PHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHMINPOSUWrm128, X86_INS_PHMINPOSUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHMINPOSUWrr128, X86_INS_PHMINPOSUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBDrm, X86_INS_PHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBDrr, X86_INS_PHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBSWrm128, X86_INS_PHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBSWrr128, X86_INS_PHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBWrm, X86_INS_PHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PHSUBWrr, X86_INS_PHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PI2FDrm, X86_INS_PI2FD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PI2FDrr, X86_INS_PI2FD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PI2FWrm, X86_INS_PI2FW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PI2FWrr, X86_INS_PI2FW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRBrm, X86_INS_PINSRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRBrr, X86_INS_PINSRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRDrm, X86_INS_PINSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRDrr, X86_INS_PINSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRQrm, X86_INS_PINSRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRQrr, X86_INS_PINSRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRWrmi, X86_INS_PINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PINSRWrri, X86_INS_PINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMADDUBSWrm128, X86_INS_PMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMADDUBSWrr128, X86_INS_PMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMADDWDrm, X86_INS_PMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMADDWDrr, X86_INS_PMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSBrm, X86_INS_PMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSBrr, X86_INS_PMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSDrm, X86_INS_PMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSDrr, X86_INS_PMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSWrm, X86_INS_PMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXSWrr, X86_INS_PMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUBrm, X86_INS_PMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUBrr, X86_INS_PMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUDrm, X86_INS_PMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUDrr, X86_INS_PMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUWrm, X86_INS_PMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMAXUWrr, X86_INS_PMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSBrm, X86_INS_PMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSBrr, X86_INS_PMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSDrm, X86_INS_PMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSDrr, X86_INS_PMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSWrm, X86_INS_PMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINSWrr, X86_INS_PMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUBrm, X86_INS_PMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUBrr, X86_INS_PMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUDrm, X86_INS_PMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUDrr, X86_INS_PMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUWrm, X86_INS_PMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMINUWrr, X86_INS_PMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVMSKBrr, X86_INS_PMOVMSKB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBDrm, X86_INS_PMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBDrr, X86_INS_PMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBQrm, X86_INS_PMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBQrr, X86_INS_PMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBWrm, X86_INS_PMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXBWrr, X86_INS_PMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXDQrm, X86_INS_PMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXDQrr, X86_INS_PMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXWDrm, X86_INS_PMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXWDrr, X86_INS_PMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXWQrm, X86_INS_PMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVSXWQrr, X86_INS_PMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBDrm, X86_INS_PMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBDrr, X86_INS_PMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBQrm, X86_INS_PMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBQrr, X86_INS_PMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBWrm, X86_INS_PMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXBWrr, X86_INS_PMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXDQrm, X86_INS_PMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXDQrr, X86_INS_PMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXWDrm, X86_INS_PMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXWDrr, X86_INS_PMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXWQrm, X86_INS_PMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMOVZXWQrr, X86_INS_PMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULDQrm, X86_INS_PMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULDQrr, X86_INS_PMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHRSWrm128, X86_INS_PMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHRSWrr128, X86_INS_PMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHRWrm, X86_INS_PMULHRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHRWrr, X86_INS_PMULHRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHUWrm, X86_INS_PMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHUWrr, X86_INS_PMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHWrm, X86_INS_PMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULHWrr, X86_INS_PMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULLDrm, X86_INS_PMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULLDrr, X86_INS_PMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULLWrm, X86_INS_PMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULLWrr, X86_INS_PMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULUDQrm, X86_INS_PMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PMULUDQrr, X86_INS_PMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPA16, X86_INS_POPAW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPA32, X86_INS_POPAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT16rm, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT16rr, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT32rm, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT32rr, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT64rm, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPCNT64rr, X86_INS_POPCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPDS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPDS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPES16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPES32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF16, X86_INS_POPF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF32, X86_INS_POPFD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF64, X86_INS_POPFQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS64, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS64, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPSS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPSS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PORrm, X86_INS_POR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PORrr, X86_INS_POR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCH, X86_INS_PREFETCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCHNTA, X86_INS_PREFETCHNTA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCHT0, X86_INS_PREFETCHT0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCHT1, X86_INS_PREFETCHT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCHT2, X86_INS_PREFETCHT2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_PREFETCHW, X86_INS_PREFETCHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PSADBWrm, X86_INS_PSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSADBWrr, X86_INS_PSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFBrm, X86_INS_PSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFBrr, X86_INS_PSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFDmi, X86_INS_PSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFDri, X86_INS_PSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFHWmi, X86_INS_PSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFHWri, X86_INS_PSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFLWmi, X86_INS_PSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSHUFLWri, X86_INS_PSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNBrm, X86_INS_PSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNBrr, X86_INS_PSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNDrm, X86_INS_PSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNDrr, X86_INS_PSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNWrm, X86_INS_PSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSIGNWrr, X86_INS_PSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSSE3, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLDQri, X86_INS_PSLLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLDri, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLDrm, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLDrr, X86_INS_PSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLQri, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLQrm, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLQrr, X86_INS_PSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLWri, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLWrm, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSLLWrr, X86_INS_PSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRADri, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRADrm, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRADrr, X86_INS_PSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRAWri, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRAWrm, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRAWrr, X86_INS_PSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLDQri, X86_INS_PSRLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLDri, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLDrm, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLDrr, X86_INS_PSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLQri, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLQrm, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLQrr, X86_INS_PSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLWri, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLWrm, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSRLWrr, X86_INS_PSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBBrm, X86_INS_PSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBBrr, X86_INS_PSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBDrm, X86_INS_PSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBDrr, X86_INS_PSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBQrm, X86_INS_PSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBQrr, X86_INS_PSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBSBrm, X86_INS_PSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBSBrr, X86_INS_PSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBSWrm, X86_INS_PSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBSWrr, X86_INS_PSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBUSBrm, X86_INS_PSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBUSBrr, X86_INS_PSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBUSWrm, X86_INS_PSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBUSWrr, X86_INS_PSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBWrm, X86_INS_PSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSUBWrr, X86_INS_PSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSWAPDrm, X86_INS_PSWAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PSWAPDrr, X86_INS_PSWAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_3DNOW, 0 }, 0, 0
+#endif
+},
+{
+	X86_PTESTrm, X86_INS_PTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PTESTrr, X86_INS_PTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHBWrm, X86_INS_PUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHBWrr, X86_INS_PUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHDQrm, X86_INS_PUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHDQrr, X86_INS_PUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHQDQrm, X86_INS_PUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHQDQrr, X86_INS_PUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHWDrm, X86_INS_PUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKHWDrr, X86_INS_PUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLBWrm, X86_INS_PUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLBWrr, X86_INS_PUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLDQrm, X86_INS_PUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLDQrr, X86_INS_PUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLQDQrm, X86_INS_PUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLQDQrr, X86_INS_PUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLWDrm, X86_INS_PUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUNPCKLWDrr, X86_INS_PUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHA16, X86_INS_PUSHAW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHA32, X86_INS_PUSHAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHCS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHCS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHDS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHDS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHES16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHES32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF16, X86_INS_PUSHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF32, X86_INS_PUSHFD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF64, X86_INS_PUSHFQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS64, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS64, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHSS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHSS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHi16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHi32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PXORrm, X86_INS_PXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PXORrr, X86_INS_PXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPPSm, X86_INS_RCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPPSm_Int, X86_INS_RCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPPSr, X86_INS_RCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPPSr_Int, X86_INS_RCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPSSm, X86_INS_RCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPSSm_Int, X86_INS_RCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPSSr, X86_INS_RCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCPSSr_Int, X86_INS_RCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDFSBASE, X86_INS_RDFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDFSBASE64, X86_INS_RDFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDGSBASE, X86_INS_RDGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDGSBASE64, X86_INS_RDGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDMSR, X86_INS_RDMSR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDPMC, X86_INS_RDPMC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND16r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND32r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND64r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED16r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED32r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED64r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDTSC, X86_INS_RDTSC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDTSCP, X86_INS_RDTSCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_RAX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIL, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIQ, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIW, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETL, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETQ, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETW, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX32mi, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX32ri, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX64mi, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX64ri, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDPDm, X86_INS_ROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDPDr, X86_INS_ROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDPSm, X86_INS_ROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDPSr, X86_INS_ROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSDm, X86_INS_ROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSDr, X86_INS_ROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSDr_Int, X86_INS_ROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSSm, X86_INS_ROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSSr, X86_INS_ROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROUNDSSr_Int, X86_INS_ROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE41, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSM, X86_INS_RSM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTPSm, X86_INS_RSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTPSm_Int, X86_INS_RSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTPSr, X86_INS_RSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTPSr_Int, X86_INS_RSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTSSm, X86_INS_RSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTSSm_Int, X86_INS_RSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTSSr, X86_INS_RSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSQRTSSr_Int, X86_INS_RSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAHF, X86_INS_SAHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AH, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SALC, X86_INS_SALC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_AL, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX32rm, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX32rr, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX64rm, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX64rr, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16i16, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32i32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64i32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mi32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64ri32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8i8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASB, X86_INS_SCASB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASL, X86_INS_SCASD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASQ, X86_INS_SCASQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASW, X86_INS_SCASW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAEm, X86_INS_SETAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAEr, X86_INS_SETAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAm, X86_INS_SETA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAr, X86_INS_SETA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBEm, X86_INS_SETBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBEr, X86_INS_SETBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBm, X86_INS_SETB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBr, X86_INS_SETB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETEm, X86_INS_SETE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETEr, X86_INS_SETE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGEm, X86_INS_SETGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGEr, X86_INS_SETGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGm, X86_INS_SETG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGr, X86_INS_SETG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLEm, X86_INS_SETLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLEr, X86_INS_SETLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLm, X86_INS_SETL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLr, X86_INS_SETL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNEm, X86_INS_SETNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNEr, X86_INS_SETNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNOm, X86_INS_SETNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNOr, X86_INS_SETNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNPm, X86_INS_SETNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNPr, X86_INS_SETNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNSm, X86_INS_SETNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNSr, X86_INS_SETNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETOm, X86_INS_SETO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETOr, X86_INS_SETO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETPm, X86_INS_SETP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETPr, X86_INS_SETP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETSm, X86_INS_SETS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETSr, X86_INS_SETS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SFENCE, X86_INS_SFENCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT16m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT32m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT64m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1MSG1rm, X86_INS_SHA1MSG1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1MSG1rr, X86_INS_SHA1MSG1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1MSG2rm, X86_INS_SHA1MSG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1MSG2rr, X86_INS_SHA1MSG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1NEXTErm, X86_INS_SHA1NEXTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1NEXTErr, X86_INS_SHA1NEXTE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1RNDS4rmi, X86_INS_SHA1RNDS4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA1RNDS4rri, X86_INS_SHA1RNDS4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256MSG1rm, X86_INS_SHA256MSG1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256MSG1rr, X86_INS_SHA256MSG1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256MSG2rm, X86_INS_SHA256MSG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256MSG2rr, X86_INS_SHA256MSG2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256RNDS2rm, X86_INS_SHA256RNDS2,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHA256RNDS2rr, X86_INS_SHA256RNDS2,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_XMM0, 0 }, { 0 }, { X86_GRP_SHA, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX32rm, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX32rr, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX64rm, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX64rr, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX32rm, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX32rr, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX64rm, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX64rr, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHUFPDrmi, X86_INS_SHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHUFPDrri, X86_INS_SHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHUFPSrmi, X86_INS_SHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHUFPSrri, X86_INS_SHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT16m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT32m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT64m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIN_F, X86_INS_FSIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SKINIT, X86_INS_SKINIT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT16m, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT16r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT32r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT64m, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT64r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW16m, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW16r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW32r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW64r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTPDm, X86_INS_SQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTPDr, X86_INS_SQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTPSm, X86_INS_SQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTPSr, X86_INS_SQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSDm, X86_INS_SQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSDm_Int, X86_INS_SQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSDr, X86_INS_SQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSDr_Int, X86_INS_SQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSSm, X86_INS_SQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSSm_Int, X86_INS_SQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSSr, X86_INS_SQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRTSSr_Int, X86_INS_SQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SQRT_F, X86_INS_FSQRT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_STAC, X86_INS_STAC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STC, X86_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STD, X86_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STGI, X86_INS_STGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_STI, X86_INS_STI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STMXCSR, X86_INS_STMXCSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSB, X86_INS_STOSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSL, X86_INS_STOSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSQ, X86_INS_STOSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RCX, X86_REG_RDI, X86_REG_EFLAGS, 0 }, { X86_REG_RCX, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSW, X86_INS_STOSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STR16r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STR32r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STR64r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STRm, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_F32m, X86_INS_FST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_F64m, X86_INS_FST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FCOMPST0r, X86_INS_FCOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FCOMPST0r_alt, X86_INS_FCOMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FCOMST0r, X86_INS_FCOM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FP32m, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FP64m, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FP80m, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FPNCEST0r, X86_INS_FSTPNCE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FPST0r, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FPST0r_alt, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FPrr, X86_INS_FSTP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FXCHST0r, X86_INS_FXCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_FXCHST0r_alt, X86_INS_FXCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_ST_Frr, X86_INS_FST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16i16, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32i32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64i32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mi32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64ri32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8i8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBPDrm, X86_INS_SUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBPDrr, X86_INS_SUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBPSrm, X86_INS_SUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBPSrr, X86_INS_SUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_F32m, X86_INS_FSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_F64m, X86_INS_FSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_FI16m, X86_INS_FISUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_FI32m, X86_INS_FISUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_FPrST0, X86_INS_FSUBRP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_FST0r, X86_INS_FSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBR_FrST0, X86_INS_FSUBR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSDrm, X86_INS_SUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSDrm_Int, X86_INS_SUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSDrr, X86_INS_SUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSDrr_Int, X86_INS_SUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSSrm, X86_INS_SUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSSrm_Int, X86_INS_SUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSSrr, X86_INS_SUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUBSSrr_Int, X86_INS_SUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_F32m, X86_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_F64m, X86_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_FI16m, X86_INS_FISUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_FI32m, X86_INS_FISUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_FPrST0, X86_INS_FSUBP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_FST0r, X86_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB_FrST0, X86_INS_FSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_SWAPGS, X86_INS_SWAPGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSCALL, X86_INS_SYSCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSENTER, X86_INS_SYSENTER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSEXIT, X86_INS_SYSEXIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSEXIT64, X86_INS_SYSEXIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSRET, X86_INS_SYSRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSRET64, X86_INS_SYSRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC32rm, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC32rr, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC64rm, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC64rr, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16i16, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32i32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64i32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64mi32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64mi32_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64ri32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64ri32_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8i8, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TRAP, X86_INS_UD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TST_F, X86_INS_FTST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT16rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT16rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT32rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT32rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT64rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT64rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK32rm, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK32rr, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK64rm, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK64rr, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOMISDrm, X86_INS_UCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOMISDrr, X86_INS_UCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOMISSrm, X86_INS_UCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOMISSrr, X86_INS_UCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOM_FIPr, X86_INS_FUCOMIP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ST0, 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOM_FIr, X86_INS_FUCOMI,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ST0, 0 }, { X86_REG_EFLAGS, X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOM_FPPr, X86_INS_FUCOMPP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOM_FPr, X86_INS_FUCOMP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_UCOM_Fr, X86_INS_FUCOM,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ST0, 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_UD2B, X86_INS_UD2B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKHPDrm, X86_INS_UNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKHPDrr, X86_INS_UNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKHPSrm, X86_INS_UNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKHPSrr, X86_INS_UNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKLPDrm, X86_INS_UNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKLPDrr, X86_INS_UNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKLPSrm, X86_INS_UNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_UNPCKLPSrr, X86_INS_UNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDYrm, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDYrr, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rm, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rmb, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rmbk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rmbkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rmk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rmkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rr, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rrk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ128rrkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rm, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rmb, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rmbk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rmbkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rmk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rmkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rr, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rrk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZ256rrkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrb, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrbk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrbkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrm, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrmb, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrmbk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrmbkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrmk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrmkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrr, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrrk, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDZrrkz, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDrm, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPDrr, X86_INS_VADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSYrm, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSYrr, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rm, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rmb, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rmbk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rmbkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rmk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rmkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rr, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rrk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ128rrkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rm, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rmb, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rmbk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rmbkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rmk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rmkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rr, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rrk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZ256rrkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrb, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrbk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrbkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrm, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrmb, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrmbk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrmbkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrmk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrmkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrr, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrrk, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSZrrkz, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSrm, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDPSrr, X86_INS_VADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrm, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrm_Int, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrm_Intk, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrm_Intkz, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrr, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrr_Int, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrr_Intk, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrr_Intkz, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrrb, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrrbk, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDZrrbkz, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDrm, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDrm_Int, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDrr, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSDrr_Int, X86_INS_VADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrm, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrm_Int, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrm_Intk, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrm_Intkz, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrr, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrr_Int, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrr_Intk, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrr_Intkz, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrrb, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrrbk, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSZrrbkz, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSrm, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSrm_Int, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSrr, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSSrr_Int, X86_INS_VADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPDYrm, X86_INS_VADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPDYrr, X86_INS_VADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPDrm, X86_INS_VADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPDrr, X86_INS_VADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPSYrm, X86_INS_VADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPSYrr, X86_INS_VADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPSrm, X86_INS_VADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VADDSUBPSrr, X86_INS_VADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESDECLASTrm, X86_INS_VAESDECLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESDECLASTrr, X86_INS_VAESDECLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESDECrm, X86_INS_VAESDEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESDECrr, X86_INS_VAESDEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESENCLASTrm, X86_INS_VAESENCLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESENCLASTrr, X86_INS_VAESENCLAST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESENCrm, X86_INS_VAESENC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESENCrr, X86_INS_VAESENC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESIMCrm, X86_INS_VAESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESIMCrr, X86_INS_VAESIMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESKEYGENASSIST128rm, X86_INS_VAESKEYGENASSIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VAESKEYGENASSIST128rr, X86_INS_VAESKEYGENASSIST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_AES, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNDrmi, X86_INS_VALIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNDrri, X86_INS_VALIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNDrrik, X86_INS_VALIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNDrrikz, X86_INS_VALIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNQrmi, X86_INS_VALIGNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNQrri, X86_INS_VALIGNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNQrrik, X86_INS_VALIGNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VALIGNQrrikz, X86_INS_VALIGNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPDYrm, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPDYrr, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPDrm, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPDrr, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPSYrm, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPSYrr, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPSrm, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDNPSrr, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPDYrm, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPDYrr, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPDrm, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPDrr, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPSYrm, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPSYrr, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPSrm, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VANDPSrr, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rm, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rmb, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rmbk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rmk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rmkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rr, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rrk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ128rrkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rm, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rmb, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rmbk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rmk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rmkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rr, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rrk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZ256rrkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrm, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrmb, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrmbk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrmk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrmkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrr, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrrk, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPDZrrkz, X86_INS_VBLENDMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rm, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rmb, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rmbk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rmk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rmkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rr, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rrk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ128rrkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rm, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rmb, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rmbk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rmk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rmkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rr, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rrk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZ256rrkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrm, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrmb, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrmbk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrmk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrmkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrr, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrrk, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDMPSZrrkz, X86_INS_VBLENDMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPDYrmi, X86_INS_VBLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPDYrri, X86_INS_VBLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPDrmi, X86_INS_VBLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPDrri, X86_INS_VBLENDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPSYrmi, X86_INS_VBLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPSYrri, X86_INS_VBLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPSrmi, X86_INS_VBLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDPSrri, X86_INS_VBLENDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPDYrm, X86_INS_VBLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPDYrr, X86_INS_VBLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPDrm, X86_INS_VBLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPDrr, X86_INS_VBLENDVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPSYrm, X86_INS_VBLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPSYrr, X86_INS_VBLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPSrm, X86_INS_VBLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBLENDVPSrr, X86_INS_VBLENDVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTF128, X86_INS_VBROADCASTF128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTI32X4krm, X86_INS_VBROADCASTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTI32X4rm, X86_INS_VBROADCASTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTI64X4krm, X86_INS_VBROADCASTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTI64X4rm, X86_INS_VBROADCASTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDYrm, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDYrr, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256m, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256mk, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256mkz, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256r, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256rk, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZ256rkz, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZm, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZmk, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZmkz, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZr, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZrk, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSDZrkz, X86_INS_VBROADCASTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSYrm, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSYrr, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128m, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128mk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128mkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128r, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128rk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ128rkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256m, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256mk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256mkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256r, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256rk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZ256rkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZm, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZmk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZmkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZr, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZrk, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSZrkz, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSrm, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VBROADCASTSSrr, X86_INS_VBROADCASTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDYrmi, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDYrmi_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDYrri, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDYrri_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrmi, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrmi_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrri, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrri_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrrib, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDZrrib_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDrmi, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDrmi_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDrri, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPDrri_alt, X86_INS_VCMPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSYrmi, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSYrmi_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSYrri, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSYrri_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrmi, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrmi_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrri, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrri_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrrib, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSZrrib_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSrmi, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSrmi_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSrri, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPPSrri_alt, X86_INS_VCMPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDZrm, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDZrmi_alt, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDZrr, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDZrri_alt, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDrm, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDrm_alt, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDrr, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSDrr_alt, X86_INS_VCMPSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSZrm, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSZrmi_alt, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSZrr, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSZrri_alt, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSrm, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSrm_alt, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSrr, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCMPSSrr_alt, X86_INS_VCMPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISDZrm, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISDZrr, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISDrm, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISDrr, X86_INS_VCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISSZrm, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISSZrr, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISSrm, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMISSrr, X86_INS_VCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ128mrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ128rrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ128rrkz, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ256mrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ256rrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZ256rrkz, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZmrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZrrk, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPDZrrkz, X86_INS_VCOMPRESSPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ128mrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ128rrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ128rrkz, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ256mrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ256rrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZ256rrkz, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZmrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZrrk, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCOMPRESSPSZrrkz, X86_INS_VCOMPRESSPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDYrm, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDYrr, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDZrm, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDZrr, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDrm, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PDrr, X86_INS_VCVTDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSYrm, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSYrr, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSZrm, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSZrr, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSZrrb, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSrm, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTDQ2PSrr, X86_INS_VCVTDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQXrm, X86_INS_VCVTPD2DQX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQYrm, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQYrr, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQZrm, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQZrr, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQZrrb, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2DQrr, X86_INS_VCVTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSXrm, X86_INS_VCVTPD2PSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSYrm, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSYrr, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSZrm, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSZrr, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSZrrb, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2PSrr, X86_INS_VCVTPD2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2UDQZrm, X86_INS_VCVTPD2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2UDQZrr, X86_INS_VCVTPD2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPD2UDQZrrb, X86_INS_VCVTPD2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSYrm, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSYrr, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSZrm, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSZrr, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSrm, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPH2PSrr, X86_INS_VCVTPH2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQYrm, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQYrr, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQZrm, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQZrr, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQZrrb, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQrm, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2DQrr, X86_INS_VCVTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDYrm, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDYrr, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDZrm, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDZrr, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDrm, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PDrr, X86_INS_VCVTPS2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHYmr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHYrr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHZmr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHZrr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHmr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2PHrr, X86_INS_VCVTPS2PH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_F16C, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2UDQZrm, X86_INS_VCVTPS2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2UDQZrr, X86_INS_VCVTPS2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTPS2UDQZrrb, X86_INS_VCVTPS2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SI64Zrm, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SI64Zrr, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SI64rm, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SI64rr, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SIZrm, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SIZrr, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SIrm, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SIrr, X86_INS_VCVTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SSZrm, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SSZrr, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SSrm, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2SSrr, X86_INS_VCVTSD2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2USI64Zrm, X86_INS_VCVTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2USI64Zrr, X86_INS_VCVTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2USIZrm, X86_INS_VCVTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSD2USIZrr, X86_INS_VCVTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SD64rm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SD64rr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SDZrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SDZrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SDrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SDrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SS64rm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SS64rr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SSZrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SSZrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SSrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI2SSrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI642SDZrm, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI642SDZrr, X86_INS_VCVTSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI642SSZrm, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSI642SSZrr, X86_INS_VCVTSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SDZrm, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SDZrr, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SDrm, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SDrr, X86_INS_VCVTSS2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SI64Zrm, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SI64Zrr, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SI64rm, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SI64rr, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SIZrm, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SIZrr, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SIrm, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2SIrr, X86_INS_VCVTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2USI64Zrm, X86_INS_VCVTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2USI64Zrr, X86_INS_VCVTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2USIZrm, X86_INS_VCVTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTSS2USIZrr, X86_INS_VCVTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQXrm, X86_INS_VCVTTPD2DQX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQYrm, X86_INS_VCVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQYrr, X86_INS_VCVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQZrm, X86_INS_VCVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQZrr, X86_INS_VCVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2DQrr, X86_INS_VCVTTPD2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2UDQZrm, X86_INS_VCVTTPD2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPD2UDQZrr, X86_INS_VCVTTPD2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQYrm, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQYrr, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQZrm, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQZrr, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQrm, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2DQrr, X86_INS_VCVTTPS2DQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2UDQZrm, X86_INS_VCVTTPS2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTPS2UDQZrr, X86_INS_VCVTTPS2UDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUDQ2PDZrm, X86_INS_VCVTUDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUDQ2PDZrr, X86_INS_VCVTUDQ2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUDQ2PSZrm, X86_INS_VCVTUDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUDQ2PSZrr, X86_INS_VCVTUDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUDQ2PSZrrb, X86_INS_VCVTUDQ2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI642SDZrm, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI642SDZrr, X86_INS_VCVTUSI2SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI642SSZrm, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VCVTUSI642SSZrr, X86_INS_VCVTUSI2SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDYrm, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDYrr, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rm, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rmb, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rmbk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rmbkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rmk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rmkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rr, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rrk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ128rrkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rm, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rmb, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rmbk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rmbkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rmk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rmkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rr, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rrk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZ256rrkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrb, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrbk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrbkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrm, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrmb, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrmbk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrmbkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrmk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrmkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrr, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrrk, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDZrrkz, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDrm, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPDrr, X86_INS_VDIVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSYrm, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSYrr, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rm, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rmb, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rmbk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rmbkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rmk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rmkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rr, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rrk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ128rrkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rm, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rmb, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rmbk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rmbkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rmk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rmkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rr, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rrk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZ256rrkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrb, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrbk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrbkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrm, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrmb, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrmbk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrmbkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrmk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrmkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrr, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrrk, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSZrrkz, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSrm, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVPSrr, X86_INS_VDIVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrm, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrm_Int, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrm_Intk, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrm_Intkz, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrr, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrr_Int, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrr_Intk, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrr_Intkz, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrrb, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrrbk, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDZrrbkz, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDrm, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDrm_Int, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDrr, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSDrr_Int, X86_INS_VDIVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrm, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrm_Int, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrm_Intk, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrm_Intkz, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrr, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrr_Int, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrr_Intk, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrr_Intkz, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrrb, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrrbk, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSZrrbkz, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSrm, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSrm_Int, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSrr, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDIVSSrr_Int, X86_INS_VDIVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPDrmi, X86_INS_VDPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPDrri, X86_INS_VDPPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPSYrmi, X86_INS_VDPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPSYrri, X86_INS_VDPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPSrmi, X86_INS_VDPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VDPPSrri, X86_INS_VDPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VERRm, X86_INS_VERR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERRr, X86_INS_VERR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERWm, X86_INS_VERW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERWr, X86_INS_VERW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDm, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDmb, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDmbk, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDmbkz, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDmk, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDmkz, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDr, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDrb, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDrbk, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDrbkz, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDrk, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PDrkz, X86_INS_VEXP2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSm, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSmb, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSmbk, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSmbkz, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSmk, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSmkz, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSr, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSrb, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSrbk, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSrbkz, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSrk, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXP2PSrkz, X86_INS_VEXP2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ128rmk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ128rmkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ128rrk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ128rrkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ256rmk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ256rmkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ256rrk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZ256rrkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZrmk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZrmkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZrrk, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPDZrrkz, X86_INS_VEXPANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ128rmk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ128rmkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ128rrk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ128rrkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ256rmk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ256rmkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ256rrk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZ256rrkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZrmk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZrmkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZrrk, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXPANDPSZrrkz, X86_INS_VEXPANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF128mr, X86_INS_VEXTRACTF128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF128rr, X86_INS_VEXTRACTF128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF32x4rm, X86_INS_VEXTRACTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF32x4rr, X86_INS_VEXTRACTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF32x4rrk, X86_INS_VEXTRACTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF32x4rrkz, X86_INS_VEXTRACTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF64x4rm, X86_INS_VEXTRACTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF64x4rr, X86_INS_VEXTRACTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF64x4rrk, X86_INS_VEXTRACTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTF64x4rrkz, X86_INS_VEXTRACTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI128mr, X86_INS_VEXTRACTI128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI128rr, X86_INS_VEXTRACTI128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI32x4rm, X86_INS_VEXTRACTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI32x4rr, X86_INS_VEXTRACTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI32x4rrk, X86_INS_VEXTRACTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI32x4rrkz, X86_INS_VEXTRACTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI64x4rm, X86_INS_VEXTRACTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI64x4rr, X86_INS_VEXTRACTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI64x4rrk, X86_INS_VEXTRACTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTI64x4rrkz, X86_INS_VEXTRACTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTPSmr, X86_INS_VEXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTPSrr, X86_INS_VEXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTPSzmr, X86_INS_VEXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VEXTRACTPSzrr, X86_INS_VEXTRACTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZ128m, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZ128mb, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZ256m, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZ256mb, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZm, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PDZmb, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZ128m, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZ128mb, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZ256m, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZ256mb, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZm, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADD132PSZmb, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4mr, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4mrY, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rm, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rmY, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rr, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rrY, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rrY_REV, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPD4rr_REV, X86_INS_VFMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rm, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rmb, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rmbk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rmbkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rmk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rmkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rr, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rrk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v213rrkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rm, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rmb, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rmbk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rmbkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rmk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rmkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rr, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rrk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ128v231rrkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rm, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rmb, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rmbk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rmbkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rmk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rmkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rr, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rrk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v213rrkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rm, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rmb, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rmbk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rmbkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rmk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rmkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rr, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rrk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZ256v231rrkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rm, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rmb, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rmbk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rmbkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rmk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rmkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rr, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rrb, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rrbk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rrbkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rrk, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv213rrkz, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rm, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rmb, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rmbk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rmbkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rmk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rmkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rr, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rrk, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDZv231rrkz, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr132m, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr132mY, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr132r, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr132rY, X86_INS_VFMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr213m, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr213mY, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr213r, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr213rY, X86_INS_VFMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr231m, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr231mY, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr231r, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPDr231rY, X86_INS_VFMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4mr, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4mrY, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rm, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rmY, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rr, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rrY, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rrY_REV, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPS4rr_REV, X86_INS_VFMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rm, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rmb, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rmbk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rmbkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rmk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rmkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rr, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rrk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v213rrkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rm, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rmb, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rmbk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rmbkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rmk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rmkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rr, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rrk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ128v231rrkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rm, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rmb, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rmbk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rmbkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rmk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rmkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rr, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rrk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v213rrkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rm, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rmb, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rmbk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rmbkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rmk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rmkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rr, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rrk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZ256v231rrkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rm, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rmb, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rmbk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rmbkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rmk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rmkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rr, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rrb, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rrbk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rrbkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rrk, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv213rrkz, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rm, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rmb, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rmbk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rmbkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rmk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rmkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rr, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rrk, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSZv231rrkz, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr132m, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr132mY, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr132r, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr132rY, X86_INS_VFMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr213m, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr213mY, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr213r, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr213rY, X86_INS_VFMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr231m, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr231mY, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr231r, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDPSr231rY, X86_INS_VFMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4mr, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4mr_Int, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4rm, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4rm_Int, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4rr, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4rr_Int, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSD4rr_REV, X86_INS_VFMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDZm, X86_INS_VFMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDZr, X86_INS_VFMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr132m, X86_INS_VFMADD132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr132r, X86_INS_VFMADD132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr213m, X86_INS_VFMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr213r, X86_INS_VFMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr231m, X86_INS_VFMADD231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSDr231r, X86_INS_VFMADD231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4mr, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4mr_Int, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4rm, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4rm_Int, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4rr, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4rr_Int, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSS4rr_REV, X86_INS_VFMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSZm, X86_INS_VFMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSZr, X86_INS_VFMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr132m, X86_INS_VFMADD132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr132r, X86_INS_VFMADD132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr213m, X86_INS_VFMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr213r, X86_INS_VFMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr231m, X86_INS_VFMADD231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSSr231r, X86_INS_VFMADD231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZ128m, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZ128mb, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZ256m, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZ256mb, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZm, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PDZmb, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZ128m, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZ128mb, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZ256m, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZ256mb, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZm, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUB132PSZmb, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4mr, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4mrY, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rm, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rmY, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rr, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rrY, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rrY_REV, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPD4rr_REV, X86_INS_VFMADDSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rm, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rmb, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rmbk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rmbkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rmk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rmkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rr, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rrk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v213rrkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rm, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rmb, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rmbk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rmbkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rmk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rmkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rr, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rrk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ128v231rrkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rm, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rmb, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rmbk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rmbkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rmk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rmkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rr, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rrk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v213rrkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rm, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rmb, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rmbk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rmbkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rmk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rmkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rr, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rrk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZ256v231rrkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rm, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rmb, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rmbk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rmbkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rmk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rmkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rr, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rrb, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rrbk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rrbkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rrk, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv213rrkz, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rm, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rmb, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rmbk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rmbkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rmk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rmkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rr, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rrk, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDZv231rrkz, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr132m, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr132mY, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr132r, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr132rY, X86_INS_VFMADDSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr213m, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr213mY, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr213r, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr213rY, X86_INS_VFMADDSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr231m, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr231mY, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr231r, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPDr231rY, X86_INS_VFMADDSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4mr, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4mrY, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rm, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rmY, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rr, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rrY, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rrY_REV, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPS4rr_REV, X86_INS_VFMADDSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rm, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rmb, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rmbk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rmbkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rmk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rmkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rr, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rrk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v213rrkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rm, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rmb, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rmbk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rmbkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rmk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rmkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rr, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rrk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ128v231rrkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rm, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rmb, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rmbk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rmbkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rmk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rmkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rr, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rrk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v213rrkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rm, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rmb, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rmbk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rmbkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rmk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rmkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rr, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rrk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZ256v231rrkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rm, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rmb, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rmbk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rmbkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rmk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rmkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rr, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rrb, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rrbk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rrbkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rrk, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv213rrkz, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rm, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rmb, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rmbk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rmbkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rmk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rmkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rr, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rrk, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSZv231rrkz, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr132m, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr132mY, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr132r, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr132rY, X86_INS_VFMADDSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr213m, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr213mY, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr213r, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr213rY, X86_INS_VFMADDSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr231m, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr231mY, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr231r, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMADDSUBPSr231rY, X86_INS_VFMADDSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZ128m, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZ128mb, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZ256m, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZ256mb, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZm, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PDZmb, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZ128m, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZ128mb, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZ256m, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZ256mb, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZm, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUB132PSZmb, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZ128m, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZ128mb, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZ256m, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZ256mb, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZm, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PDZmb, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZ128m, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZ128mb, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZ256m, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZ256mb, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZm, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADD132PSZmb, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4mr, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4mrY, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rm, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rmY, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rr, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rrY, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rrY_REV, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPD4rr_REV, X86_INS_VFMSUBADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rm, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rmb, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rmbk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rmbkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rmk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rmkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rr, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rrk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v213rrkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rm, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rmb, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rmbk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rmbkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rmk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rmkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rr, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rrk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ128v231rrkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rm, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rmb, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rmbk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rmbkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rmk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rmkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rr, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rrk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v213rrkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rm, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rmb, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rmbk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rmbkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rmk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rmkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rr, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rrk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZ256v231rrkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rm, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rmb, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rmbk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rmbkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rmk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rmkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rr, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rrb, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rrbk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rrbkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rrk, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv213rrkz, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rm, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rmb, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rmbk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rmbkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rmk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rmkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rr, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rrk, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDZv231rrkz, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr132m, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr132mY, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr132r, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr132rY, X86_INS_VFMSUBADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr213m, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr213mY, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr213r, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr213rY, X86_INS_VFMSUBADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr231m, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr231mY, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr231r, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPDr231rY, X86_INS_VFMSUBADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4mr, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4mrY, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rm, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rmY, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rr, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rrY, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rrY_REV, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPS4rr_REV, X86_INS_VFMSUBADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rm, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rmb, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rmbk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rmbkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rmk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rmkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rr, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rrk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v213rrkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rm, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rmb, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rmbk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rmbkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rmk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rmkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rr, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rrk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ128v231rrkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rm, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rmb, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rmbk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rmbkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rmk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rmkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rr, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rrk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v213rrkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rm, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rmb, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rmbk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rmbkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rmk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rmkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rr, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rrk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZ256v231rrkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rm, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rmb, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rmbk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rmbkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rmk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rmkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rr, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rrb, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rrbk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rrbkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rrk, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv213rrkz, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rm, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rmb, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rmbk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rmbkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rmk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rmkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rr, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rrk, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSZv231rrkz, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr132m, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr132mY, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr132r, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr132rY, X86_INS_VFMSUBADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr213m, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr213mY, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr213r, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr213rY, X86_INS_VFMSUBADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr231m, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr231mY, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr231r, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBADDPSr231rY, X86_INS_VFMSUBADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4mr, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4mrY, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rm, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rmY, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rr, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rrY, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rrY_REV, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPD4rr_REV, X86_INS_VFMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rm, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rmb, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rmbk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rmbkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rmk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rmkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rr, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rrk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v213rrkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rm, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rmb, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rmbk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rmbkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rmk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rmkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rr, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rrk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ128v231rrkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rm, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rmb, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rmbk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rmbkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rmk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rmkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rr, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rrk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v213rrkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rm, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rmb, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rmbk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rmbkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rmk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rmkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rr, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rrk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZ256v231rrkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rm, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rmb, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rmbk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rmbkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rmk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rmkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rr, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rrb, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rrbk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rrbkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rrk, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv213rrkz, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rm, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rmb, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rmbk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rmbkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rmk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rmkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rr, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rrk, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDZv231rrkz, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr132m, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr132mY, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr132r, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr132rY, X86_INS_VFMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr213m, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr213mY, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr213r, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr213rY, X86_INS_VFMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr231m, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr231mY, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr231r, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPDr231rY, X86_INS_VFMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4mr, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4mrY, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rm, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rmY, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rr, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rrY, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rrY_REV, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPS4rr_REV, X86_INS_VFMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rm, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rmb, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rmbk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rmbkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rmk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rmkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rr, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rrk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v213rrkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rm, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rmb, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rmbk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rmbkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rmk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rmkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rr, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rrk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ128v231rrkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rm, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rmb, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rmbk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rmbkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rmk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rmkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rr, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rrk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v213rrkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rm, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rmb, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rmbk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rmbkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rmk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rmkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rr, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rrk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZ256v231rrkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rm, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rmb, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rmbk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rmbkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rmk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rmkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rr, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rrb, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rrbk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rrbkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rrk, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv213rrkz, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rm, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rmb, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rmbk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rmbkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rmk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rmkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rr, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rrk, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSZv231rrkz, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr132m, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr132mY, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr132r, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr132rY, X86_INS_VFMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr213m, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr213mY, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr213r, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr213rY, X86_INS_VFMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr231m, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr231mY, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr231r, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBPSr231rY, X86_INS_VFMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4mr, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4mr_Int, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4rm, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4rm_Int, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4rr, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4rr_Int, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSD4rr_REV, X86_INS_VFMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDZm, X86_INS_VFMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDZr, X86_INS_VFMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr132m, X86_INS_VFMSUB132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr132r, X86_INS_VFMSUB132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr213m, X86_INS_VFMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr213r, X86_INS_VFMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr231m, X86_INS_VFMSUB231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSDr231r, X86_INS_VFMSUB231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4mr, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4mr_Int, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4rm, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4rm_Int, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4rr, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4rr_Int, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSS4rr_REV, X86_INS_VFMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSZm, X86_INS_VFMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSZr, X86_INS_VFMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr132m, X86_INS_VFMSUB132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr132r, X86_INS_VFMSUB132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr213m, X86_INS_VFMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr213r, X86_INS_VFMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr231m, X86_INS_VFMSUB231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFMSUBSSr231r, X86_INS_VFMSUB231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZ128m, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZ128mb, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZ256m, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZ256mb, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZm, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PDZmb, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZ128m, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZ128mb, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZ256m, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZ256mb, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZm, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADD132PSZmb, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4mr, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4mrY, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rm, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rmY, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rr, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rrY, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rrY_REV, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPD4rr_REV, X86_INS_VFNMADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rm, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rmb, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rmbk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rmbkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rmk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rmkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rr, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rrk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v213rrkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rm, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rmb, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rmbk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rmbkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rmk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rmkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rr, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rrk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ128v231rrkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rm, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rmb, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rmbk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rmbkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rmk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rmkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rr, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rrk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v213rrkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rm, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rmb, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rmbk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rmbkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rmk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rmkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rr, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rrk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZ256v231rrkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rm, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rmb, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rmbk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rmbkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rmk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rmkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rr, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rrb, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rrbk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rrbkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rrk, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv213rrkz, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rm, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rmb, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rmbk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rmbkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rmk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rmkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rr, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rrk, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDZv231rrkz, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr132m, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr132mY, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr132r, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr132rY, X86_INS_VFNMADD132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr213m, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr213mY, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr213r, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr213rY, X86_INS_VFNMADD213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr231m, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr231mY, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr231r, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPDr231rY, X86_INS_VFNMADD231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4mr, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4mrY, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rm, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rmY, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rr, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rrY, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rrY_REV, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPS4rr_REV, X86_INS_VFNMADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rm, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rmb, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rmbk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rmbkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rmk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rmkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rr, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rrk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v213rrkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rm, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rmb, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rmbk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rmbkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rmk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rmkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rr, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rrk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ128v231rrkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rm, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rmb, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rmbk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rmbkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rmk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rmkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rr, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rrk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v213rrkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rm, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rmb, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rmbk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rmbkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rmk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rmkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rr, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rrk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZ256v231rrkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rm, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rmb, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rmbk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rmbkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rmk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rmkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rr, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rrb, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rrbk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rrbkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rrk, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv213rrkz, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rm, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rmb, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rmbk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rmbkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rmk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rmkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rr, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rrk, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSZv231rrkz, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr132m, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr132mY, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr132r, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr132rY, X86_INS_VFNMADD132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr213m, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr213mY, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr213r, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr213rY, X86_INS_VFNMADD213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr231m, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr231mY, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr231r, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDPSr231rY, X86_INS_VFNMADD231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4mr, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4mr_Int, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4rm, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4rm_Int, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4rr, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4rr_Int, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSD4rr_REV, X86_INS_VFNMADDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDZm, X86_INS_VFNMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDZr, X86_INS_VFNMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr132m, X86_INS_VFNMADD132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr132r, X86_INS_VFNMADD132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr213m, X86_INS_VFNMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr213r, X86_INS_VFNMADD213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr231m, X86_INS_VFNMADD231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSDr231r, X86_INS_VFNMADD231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4mr, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4mr_Int, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4rm, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4rm_Int, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4rr, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4rr_Int, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSS4rr_REV, X86_INS_VFNMADDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSZm, X86_INS_VFNMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSZr, X86_INS_VFNMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr132m, X86_INS_VFNMADD132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr132r, X86_INS_VFNMADD132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr213m, X86_INS_VFNMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr213r, X86_INS_VFNMADD213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr231m, X86_INS_VFNMADD231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMADDSSr231r, X86_INS_VFNMADD231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZ128m, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZ128mb, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZ256m, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZ256mb, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZm, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PDZmb, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZ128m, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZ128mb, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZ256m, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZ256mb, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZm, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUB132PSZmb, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4mr, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4mrY, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rm, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rmY, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rr, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rrY, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rrY_REV, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPD4rr_REV, X86_INS_VFNMSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rm, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rmb, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rmbk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rmbkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rmk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rmkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rr, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rrk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v213rrkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rm, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rmb, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rmbk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rmbkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rmk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rmkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rr, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rrk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ128v231rrkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rm, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rmb, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rmbk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rmbkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rmk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rmkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rr, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rrk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v213rrkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rm, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rmb, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rmbk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rmbkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rmk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rmkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rr, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rrk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZ256v231rrkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rm, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rmb, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rmbk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rmbkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rmk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rmkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rr, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rrb, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rrbk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rrbkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rrk, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv213rrkz, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rm, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rmb, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rmbk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rmbkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rmk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rmkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rr, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rrk, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDZv231rrkz, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr132m, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr132mY, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr132r, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr132rY, X86_INS_VFNMSUB132PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr213m, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr213mY, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr213r, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr213rY, X86_INS_VFNMSUB213PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr231m, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr231mY, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr231r, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPDr231rY, X86_INS_VFNMSUB231PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4mr, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4mrY, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rm, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rmY, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rr, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rrY, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rrY_REV, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPS4rr_REV, X86_INS_VFNMSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rm, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rmb, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rmbk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rmbkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rmk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rmkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rr, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rrk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v213rrkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rm, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rmb, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rmbk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rmbkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rmk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rmkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rr, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rrk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ128v231rrkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rm, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rmb, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rmbk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rmbkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rmk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rmkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rr, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rrk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v213rrkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rm, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rmb, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rmbk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rmbkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rmk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rmkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rr, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rrk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZ256v231rrkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rm, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rmb, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rmbk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rmbkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rmk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rmkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rr, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rrb, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rrbk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rrbkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rrk, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv213rrkz, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rm, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rmb, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rmbk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rmbkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rmk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rmkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rr, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rrk, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSZv231rrkz, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr132m, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr132mY, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr132r, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr132rY, X86_INS_VFNMSUB132PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr213m, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr213mY, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr213r, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr213rY, X86_INS_VFNMSUB213PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr231m, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr231mY, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr231r, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBPSr231rY, X86_INS_VFNMSUB231PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4mr, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4mr_Int, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4rm, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4rm_Int, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4rr, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4rr_Int, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSD4rr_REV, X86_INS_VFNMSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDZm, X86_INS_VFNMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDZr, X86_INS_VFNMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr132m, X86_INS_VFNMSUB132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr132r, X86_INS_VFNMSUB132SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr213m, X86_INS_VFNMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr213r, X86_INS_VFNMSUB213SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr231m, X86_INS_VFNMSUB231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSDr231r, X86_INS_VFNMSUB231SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4mr, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4mr_Int, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4rm, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4rm_Int, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4rr, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4rr_Int, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSS4rr_REV, X86_INS_VFNMSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA4, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSZm, X86_INS_VFNMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSZr, X86_INS_VFNMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr132m, X86_INS_VFNMSUB132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr132r, X86_INS_VFNMSUB132SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr213m, X86_INS_VFNMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr213r, X86_INS_VFNMSUB213SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr231m, X86_INS_VFNMSUB231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFNMSUBSSr231r, X86_INS_VFNMSUB231SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FMA, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPDrm, X86_INS_VFRCZPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPDrmY, X86_INS_VFRCZPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPDrr, X86_INS_VFRCZPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPDrrY, X86_INS_VFRCZPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPSrm, X86_INS_VFRCZPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPSrmY, X86_INS_VFRCZPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPSrr, X86_INS_VFRCZPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZPSrrY, X86_INS_VFRCZPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZSDrm, X86_INS_VFRCZSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZSDrr, X86_INS_VFRCZSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZSSrm, X86_INS_VFRCZSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFRCZSSrr, X86_INS_VFRCZSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDNPDrm, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDNPDrr, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDNPSrm, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDNPSrr, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDPDrm, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDPDrr, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDPSrm, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsANDPSrr, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsORPDrm, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsORPDrr, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsORPSrm, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsORPSrr, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsXORPDrm, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsXORPDrr, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsXORPSrm, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFsXORPSrr, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDNPDrm, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDNPDrr, X86_INS_VANDNPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDNPSrm, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDNPSrr, X86_INS_VANDNPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDPDrm, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDPDrr, X86_INS_VANDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDPSrm, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvANDPSrr, X86_INS_VANDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvORPDrm, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvORPDrr, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvORPSrm, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvORPSrr, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvXORPDrm, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvXORPDrr, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvXORPSrm, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VFvXORPSrr, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPDYrm, X86_INS_VGATHERDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPDZrm, X86_INS_VGATHERDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPDrm, X86_INS_VGATHERDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPSYrm, X86_INS_VGATHERDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPSZrm, X86_INS_VGATHERDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERDPSrm, X86_INS_VGATHERDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF0DPDm, X86_INS_VGATHERPF0DPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF0DPSm, X86_INS_VGATHERPF0DPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF0QPDm, X86_INS_VGATHERPF0QPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF0QPSm, X86_INS_VGATHERPF0QPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF1DPDm, X86_INS_VGATHERPF1DPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF1DPSm, X86_INS_VGATHERPF1DPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF1QPDm, X86_INS_VGATHERPF1QPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERPF1QPSm, X86_INS_VGATHERPF1QPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPDYrm, X86_INS_VGATHERQPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPDZrm, X86_INS_VGATHERQPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPDrm, X86_INS_VGATHERQPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPSYrm, X86_INS_VGATHERQPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPSZrm, X86_INS_VGATHERQPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VGATHERQPSrm, X86_INS_VGATHERQPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPDYrm, X86_INS_VHADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPDYrr, X86_INS_VHADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPDrm, X86_INS_VHADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPDrr, X86_INS_VHADDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPSYrm, X86_INS_VHADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPSYrr, X86_INS_VHADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPSrm, X86_INS_VHADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHADDPSrr, X86_INS_VHADDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPDYrm, X86_INS_VHSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPDYrr, X86_INS_VHSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPDrm, X86_INS_VHSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPDrr, X86_INS_VHSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPSYrm, X86_INS_VHSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPSYrr, X86_INS_VHSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPSrm, X86_INS_VHSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VHSUBPSrr, X86_INS_VHSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF128rm, X86_INS_VINSERTF128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF128rr, X86_INS_VINSERTF128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF32x4rm, X86_INS_VINSERTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF32x4rr, X86_INS_VINSERTF32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF32x8rm, X86_INS_VINSERTF32X8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF32x8rr, X86_INS_VINSERTF32X8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF64x2rm, X86_INS_VINSERTF64X2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF64x2rr, X86_INS_VINSERTF64X2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF64x4rm, X86_INS_VINSERTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTF64x4rr, X86_INS_VINSERTF64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI128rm, X86_INS_VINSERTI128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI128rr, X86_INS_VINSERTI128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI32x4rm, X86_INS_VINSERTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI32x4rr, X86_INS_VINSERTI32X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI32x8rm, X86_INS_VINSERTI32X8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI32x8rr, X86_INS_VINSERTI32X8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI64x2rm, X86_INS_VINSERTI64X2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI64x2rr, X86_INS_VINSERTI64X2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI64x4rm, X86_INS_VINSERTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTI64x4rr, X86_INS_VINSERTI64X4,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTPSrm, X86_INS_VINSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTPSrr, X86_INS_VINSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTPSzrm, X86_INS_VINSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VINSERTPSzrr, X86_INS_VINSERTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VLDDQUYrm, X86_INS_VLDDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VLDDQUrm, X86_INS_VLDDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VLDMXCSR, X86_INS_VLDMXCSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVDQU, X86_INS_VMASKMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVDQU64, X86_INS_VMASKMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDI, 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPDYmr, X86_INS_VMASKMOVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPDYrm, X86_INS_VMASKMOVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPDmr, X86_INS_VMASKMOVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPDrm, X86_INS_VMASKMOVPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPSYmr, X86_INS_VMASKMOVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPSYrm, X86_INS_VMASKMOVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPSmr, X86_INS_VMASKMOVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMASKMOVPSrm, X86_INS_VMASKMOVPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPDYrm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPDYrr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPDrm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPDrr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPSYrm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPSYrr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPSrm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCPSrr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCSDrm, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCSDrr, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCSSrm, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXCSSrr, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDYrm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDYrr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rmb, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rmbk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rmbkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rmk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rmkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rrk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ128rrkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rmb, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rmbk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rmbkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rmk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rmkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rrk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZ256rrkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrmb, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrmbk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrmbkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrmk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrmkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrrk, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDZrrkz, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDrm, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPDrr, X86_INS_VMAXPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSYrm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSYrr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rmb, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rmbk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rmbkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rmk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rmkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rrk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ128rrkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rmb, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rmbk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rmbkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rmk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rmkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rrk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZ256rrkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrmb, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrmbk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrmbkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrmk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrmkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrrk, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSZrrkz, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSrm, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXPSrr, X86_INS_VMAXPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrm, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrm_Int, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrm_Intk, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrm_Intkz, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrr, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrr_Int, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrr_Intk, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrr_Intkz, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrrb, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrrbk, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDZrrbkz, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDrm, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDrm_Int, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDrr, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSDrr_Int, X86_INS_VMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrm, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrm_Int, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrm_Intk, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrm_Intkz, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrr, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrr_Int, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrr_Intk, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrr_Intkz, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrrb, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrrbk, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSZrrbkz, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSrm, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSrm_Int, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSrr, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMAXSSrr_Int, X86_INS_VMAXSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMCALL, X86_INS_VMCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMCLEARm, X86_INS_VMCLEAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMFUNC, X86_INS_VMFUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPDYrm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPDYrr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPDrm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPDrr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPSYrm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPSYrr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPSrm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCPSrr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCSDrm, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCSDrr, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCSSrm, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINCSSrr, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDYrm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDYrr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rmb, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rmbk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rmbkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rmk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rmkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rrk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ128rrkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rmb, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rmbk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rmbkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rmk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rmkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rrk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZ256rrkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrmb, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrmbk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrmbkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrmk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrmkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrrk, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDZrrkz, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDrm, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPDrr, X86_INS_VMINPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSYrm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSYrr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rmb, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rmbk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rmbkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rmk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rmkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rrk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ128rrkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rmb, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rmbk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rmbkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rmk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rmkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rrk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZ256rrkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrmb, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrmbk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrmbkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrmk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrmkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrrk, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSZrrkz, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSrm, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINPSrr, X86_INS_VMINPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrm, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrm_Int, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrm_Intk, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrm_Intkz, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrr, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrr_Int, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrr_Intk, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrr_Intkz, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrrb, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrrbk, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDZrrbkz, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDrm, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDrm_Int, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDrr, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSDrr_Int, X86_INS_VMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrm, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrm_Int, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrm_Intk, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrm_Intkz, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrr, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrr_Int, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrr_Intk, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrr_Intkz, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrrb, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrrbk, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSZrrbkz, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSrm, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSrm_Int, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSrr, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMINSSrr_Int, X86_INS_VMINSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLAUNCH, X86_INS_VMLAUNCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLOAD32, X86_INS_VMLOAD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLOAD64, X86_INS_VMLOAD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMMCALL, X86_INS_VMMCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toPQIZrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toPQIrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toPQIrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toSDZrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toSDrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOV64toSDrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDYmr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDYrm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDYrr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDYrr_REV, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128mr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128mrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rmk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rmkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rr_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rrk_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rrkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ128rrkz_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256mr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256mrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rmk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rmkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rr_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rrk_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rrkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZ256rrkz_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZmr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZmrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrmk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrmkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrr_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrrk, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrrk_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrrkz, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDZrrkz_alt, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDmr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDrm, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDrr, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPDrr_REV, X86_INS_VMOVAPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSYmr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSYrm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSYrr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSYrr_REV, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128mr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128mrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rmk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rmkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rr_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rrk_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rrkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ128rrkz_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256mr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256mrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rmk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rmkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rr_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rrk_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rrkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZ256rrkz_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZmr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZmrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrmk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrmkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrr_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrrk, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrrk_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrrkz, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSZrrkz_alt, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSmr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSrm, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSrr, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVAPSrr_REV, X86_INS_VMOVAPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPYrm, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPYrr, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPZrm, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPZrr, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPrm, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDDUPrr, X86_INS_VMOVDDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2PDIZrm, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2PDIZrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2PDIrm, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2PDIrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2SSZrm, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2SSZrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2SSrm, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDI2SSrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128mr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128mrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rm, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rmk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rmkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rr_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rrk_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rrkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z128rrkz_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256mr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256mrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rm, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rmk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rmkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rr_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rrk_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rrkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Z256rrkz_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zmr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zmrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrm, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrmk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrmkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrr, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrr_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrrk, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrrk_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrrkz, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA32Zrrkz_alt, X86_INS_VMOVDQA32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128mr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128mrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rm, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rmk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rmkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rr_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rrk_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rrkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z128rrkz_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256mr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256mrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rm, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rmk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rmkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rr_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rrk_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rrkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Z256rrkz_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zmr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zmrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrm, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrmk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrmkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrr, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrr_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrrk, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrrk_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrrkz, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQA64Zrrkz_alt, X86_INS_VMOVDQA64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQAYmr, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQAYrm, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQAYrr, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQAYrr_REV, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQAmr, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQArm, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQArr, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQArr_REV, X86_INS_VMOVDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128mr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128mrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rm, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rmk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rmkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rr_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rrk_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rrkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z128rrkz_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256mr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256mrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rm, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rmk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rmkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rr_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rrk_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rrkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Z256rrkz_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zmr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zmrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrm, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrmk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrmkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrr, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrr_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrrk, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrrk_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrrkz, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU16Zrrkz_alt, X86_INS_VMOVDQU16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128mr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128mrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rm, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rmk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rmkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rr_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rrk_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rrkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z128rrkz_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256mr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256mrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rm, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rmk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rmkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rr_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rrk_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rrkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Z256rrkz_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zmr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zmrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrm, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrmk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrmkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrr, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrr_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrrk, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrrk_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrrkz, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU32Zrrkz_alt, X86_INS_VMOVDQU32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128mr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128mrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rm, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rmk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rmkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rr_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rrk_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rrkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z128rrkz_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256mr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256mrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rm, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rmk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rmkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rr_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rrk_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rrkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Z256rrkz_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zmr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zmrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrm, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrmk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrmkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrr, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrr_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrrk, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrrk_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrrkz, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU64Zrrkz_alt, X86_INS_VMOVDQU64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128mr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128mrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rm, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rmk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rmkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rr_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rrk_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rrkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z128rrkz_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256mr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256mrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rm, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rmk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rmkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rr_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rrk_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rrkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Z256rrkz_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zmr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zmrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrm, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrmk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrmkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrr, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrr_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrrk, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrrk_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrrkz, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQU8Zrrkz_alt, X86_INS_VMOVDQU8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUYmr, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUYrm, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUYrr, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUYrr_REV, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUmr, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUrm, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUrr, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVDQUrr_REV, X86_INS_VMOVDQU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHLPSZrr, X86_INS_VMOVHLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHLPSrr, X86_INS_VMOVHLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHPDmr, X86_INS_VMOVHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHPDrm, X86_INS_VMOVHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHPSmr, X86_INS_VMOVHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVHPSrm, X86_INS_VMOVHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLHPSZrr, X86_INS_VMOVLHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLHPSrr, X86_INS_VMOVLHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLPDmr, X86_INS_VMOVLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLPDrm, X86_INS_VMOVLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLPSmr, X86_INS_VMOVLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVLPSrm, X86_INS_VMOVLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVMSKPDYrr, X86_INS_VMOVMSKPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVMSKPDrr, X86_INS_VMOVMSKPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVMSKPSYrr, X86_INS_VMOVMSKPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVMSKPSrr, X86_INS_VMOVMSKPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQAYrm, X86_INS_VMOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQAZ128rm, X86_INS_VMOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQAZ256rm, X86_INS_VMOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQAZrm, X86_INS_VMOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQArm, X86_INS_VMOVNTDQA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQYmr, X86_INS_VMOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQZ128mr, X86_INS_VMOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQZ256mr, X86_INS_VMOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQZmr, X86_INS_VMOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTDQmr, X86_INS_VMOVNTDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPDYmr, X86_INS_VMOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPDZ128mr, X86_INS_VMOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPDZ256mr, X86_INS_VMOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPDZmr, X86_INS_VMOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPDmr, X86_INS_VMOVNTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPSYmr, X86_INS_VMOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPSZ128mr, X86_INS_VMOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPSZ256mr, X86_INS_VMOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPSZmr, X86_INS_VMOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVNTPSmr, X86_INS_VMOVNTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPDI2DIZmr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPDI2DIZrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPDI2DImr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPDI2DIrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQI2QImr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQI2QIrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQIto64Zmr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQIto64Zrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQIto64rm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVPQIto64rr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVQI2PQIZrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVQI2PQIrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZmr, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZmrk, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZrm, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZrr, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZrr_REV, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDZrrk, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDmr, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDrm, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDrr, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDrr_REV, X86_INS_VMOVSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDto64Zmr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDto64Zrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDto64mr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSDto64rr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPYrm, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPYrr, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPZrm, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPZrr, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPrm, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSHDUPrr, X86_INS_VMOVSHDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPYrm, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPYrr, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPZrm, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPZrr, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPrm, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSLDUPrr, X86_INS_VMOVSLDUP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSS2DIZmr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSS2DIZrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSS2DImr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSS2DIrr, X86_INS_VMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZmr, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZmrk, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZrm, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZrr, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZrr_REV, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSZrrk, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSmr, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSrm, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSrr, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVSSrr_REV, X86_INS_VMOVSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDYmr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDYrm, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDYrr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDYrr_REV, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128mr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128mrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rm, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rmk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rmkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rr_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rrk_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rrkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ128rrkz_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256mr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256mrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rm, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rmk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rmkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rr_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rrk_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rrkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZ256rrkz_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZmr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZmrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrm, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrmk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrmkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrr_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrrk, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrrk_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrrkz, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDZrrkz_alt, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDmr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDrm, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDrr, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPDrr_REV, X86_INS_VMOVUPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSYmr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSYrm, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSYrr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSYrr_REV, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128mr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128mrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rm, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rmk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rmkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rr_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rrk_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rrkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ128rrkz_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256mr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256mrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rm, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rmk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rmkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rr_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rrk_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rrkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZ256rrkz_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZmr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZmrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrm, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrmk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrmkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrr_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrrk, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrrk_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrrkz, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSZrrkz_alt, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSmr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSrm, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSrr, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVUPSrr_REV, X86_INS_VMOVUPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZPQILo2PQIZrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZPQILo2PQIZrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZPQILo2PQIrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZPQILo2PQIrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZQI2PQIrm, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMOVZQI2PQIrr, X86_INS_VMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPSADBWYrmi, X86_INS_VMPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPSADBWYrri, X86_INS_VMPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPSADBWrmi, X86_INS_VMPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPSADBWrri, X86_INS_VMPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPTRLDm, X86_INS_VMPTRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPTRSTm, X86_INS_VMPTRST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD32rm, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD32rr, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD64rm, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD64rr, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRESUME, X86_INS_VMRESUME,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRUN32, X86_INS_VMRUN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRUN64, X86_INS_VMRUN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMSAVE32, X86_INS_VMSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMSAVE64, X86_INS_VMSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDYrm, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDYrr, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rm, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rmb, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rmbk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rmbkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rmk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rmkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rr, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rrk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ128rrkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rm, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rmb, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rmbk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rmbkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rmk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rmkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rr, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rrk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZ256rrkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrb, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrbk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrbkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrm, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrmb, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrmbk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrmbkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrmk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrmkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrr, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrrk, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDZrrkz, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDrm, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPDrr, X86_INS_VMULPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSYrm, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSYrr, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rm, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rmb, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rmbk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rmbkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rmk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rmkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rr, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rrk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ128rrkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rm, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rmb, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rmbk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rmbkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rmk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rmkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rr, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rrk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZ256rrkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrb, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrbk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrbkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrm, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrmb, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrmbk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrmbkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrmk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrmkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrr, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrrk, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSZrrkz, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSrm, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULPSrr, X86_INS_VMULPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrm, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrm_Int, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrm_Intk, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrm_Intkz, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrr, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrr_Int, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrr_Intk, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrr_Intkz, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrrb, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrrbk, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDZrrbkz, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDrm, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDrm_Int, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDrr, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSDrr_Int, X86_INS_VMULSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrm, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrm_Int, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrm_Intk, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrm_Intkz, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrr, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrr_Int, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrr_Intk, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrr_Intkz, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrrb, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrrbk, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSZrrbkz, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSrm, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSrm_Int, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSrr, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMULSSrr_Int, X86_INS_VMULSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE32rm, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE32rr, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE64rm, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE64rr, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMXOFF, X86_INS_VMXOFF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMXON, X86_INS_VMXON,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPDYrm, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPDYrr, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPDrm, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPDrr, X86_INS_VORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPSYrm, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPSYrr, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPSrm, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VORPSrr, X86_INS_VORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSBrm128, X86_INS_VPABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSBrm256, X86_INS_VPABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSBrr128, X86_INS_VPABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSBrr256, X86_INS_VPABSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrm, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrmb, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrmbk, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrmbkz, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrmk, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrmkz, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrr, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrrk, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDZrrkz, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDrm128, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDrm256, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDrr128, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSDrr256, X86_INS_VPABSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrm, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrmb, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrmbk, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrmbkz, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrmk, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrmkz, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrr, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrrk, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSQZrrkz, X86_INS_VPABSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSWrm128, X86_INS_VPABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSWrm256, X86_INS_VPABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSWrr128, X86_INS_VPABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPABSWrr256, X86_INS_VPABSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSDWYrm, X86_INS_VPACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSDWYrr, X86_INS_VPACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSDWrm, X86_INS_VPACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSDWrr, X86_INS_VPACKSSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSWBYrm, X86_INS_VPACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSWBYrr, X86_INS_VPACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSWBrm, X86_INS_VPACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKSSWBrr, X86_INS_VPACKSSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSDWYrm, X86_INS_VPACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSDWYrr, X86_INS_VPACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSDWrm, X86_INS_VPACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSDWrr, X86_INS_VPACKUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSWBYrm, X86_INS_VPACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSWBYrr, X86_INS_VPACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSWBrm, X86_INS_VPACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPACKUSWBrr, X86_INS_VPACKUSWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBYrm, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBYrr, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rm, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rmk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rmkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rr, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rrk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ128rrkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rm, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rmk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rmkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rr, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rrk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZ256rrkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrm, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrmk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrmkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrr, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrrk, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBZrrkz, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBrm, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDBrr, X86_INS_VPADDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDYrm, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDYrr, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rm, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rmb, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rmbk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rmbkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rmk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rmkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rr, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rrk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ128rrkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rm, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rmb, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rmbk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rmbkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rmk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rmkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rr, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rrk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZ256rrkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrm, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrmb, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrmbk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrmbkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrmk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrmkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrr, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrrk, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDZrrkz, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDrm, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDDrr, X86_INS_VPADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQYrm, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQYrr, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rm, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rmb, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rmbk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rmbkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rmk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rmkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rr, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rrk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ128rrkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rm, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rmb, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rmbk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rmbkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rmk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rmkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rr, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rrk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZ256rrkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrm, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrmb, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrmbk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrmbkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrmk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrmkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrr, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrrk, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQZrrkz, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQrm, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDQrr, X86_INS_VPADDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSBYrm, X86_INS_VPADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSBYrr, X86_INS_VPADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSBrm, X86_INS_VPADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSBrr, X86_INS_VPADDSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSWYrm, X86_INS_VPADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSWYrr, X86_INS_VPADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSWrm, X86_INS_VPADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDSWrr, X86_INS_VPADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSBYrm, X86_INS_VPADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSBYrr, X86_INS_VPADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSBrm, X86_INS_VPADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSBrr, X86_INS_VPADDUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSWYrm, X86_INS_VPADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSWYrr, X86_INS_VPADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSWrm, X86_INS_VPADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDUSWrr, X86_INS_VPADDUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWYrm, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWYrr, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rm, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rmk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rmkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rr, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rrk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ128rrkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rm, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rmk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rmkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rr, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rrk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZ256rrkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrm, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrmk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrmkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrr, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrrk, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWZrrkz, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWrm, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPADDWrr, X86_INS_VPADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPALIGNR128rm, X86_INS_VPALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPALIGNR128rr, X86_INS_VPALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPALIGNR256rm, X86_INS_VPALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPALIGNR256rr, X86_INS_VPALIGNR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rm, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rmb, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rmbk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rmbkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rmk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rmkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rr, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rrk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ128rrkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rm, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rmb, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rmbk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rmbkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rmk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rmkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rr, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rrk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZ256rrkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrm, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrmb, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrmbk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrmbkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrmk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrmkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrr, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrrk, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDDZrrkz, X86_INS_VPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rm, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rmb, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rmbk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rmbkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rmk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rmkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rr, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rrk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ128rrkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rm, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rmb, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rmbk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rmbkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rmk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rmkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rr, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rrk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZ256rrkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrm, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrmb, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrmbk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrmbkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrmk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrmkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrr, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrrk, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNDZrrkz, X86_INS_VPANDND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rm, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rmb, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rmbk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rmbkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rmk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rmkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rr, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rrk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ128rrkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rm, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rmb, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rmbk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rmbkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rmk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rmkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rr, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rrk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZ256rrkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrm, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrmb, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrmbk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrmbkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrmk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrmkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrr, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrrk, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNQZrrkz, X86_INS_VPANDNQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNYrm, X86_INS_VPANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNYrr, X86_INS_VPANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNrm, X86_INS_VPANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDNrr, X86_INS_VPANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rm, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rmb, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rmbk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rmbkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rmk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rmkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rr, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rrk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ128rrkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rm, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rmb, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rmbk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rmbkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rmk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rmkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rr, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rrk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZ256rrkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrm, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrmb, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrmbk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrmbkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrmk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrmkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrr, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrrk, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDQZrrkz, X86_INS_VPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDYrm, X86_INS_VPAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDYrr, X86_INS_VPAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDrm, X86_INS_VPAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPANDrr, X86_INS_VPAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGBYrm, X86_INS_VPAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGBYrr, X86_INS_VPAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGBrm, X86_INS_VPAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGBrr, X86_INS_VPAVGB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGWYrm, X86_INS_VPAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGWYrr, X86_INS_VPAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGWrm, X86_INS_VPAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPAVGWrr, X86_INS_VPAVGW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDDYrmi, X86_INS_VPBLENDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDDYrri, X86_INS_VPBLENDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDDrmi, X86_INS_VPBLENDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDDrri, X86_INS_VPBLENDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rm, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rmk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rmkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rr, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rrk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ128rrkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rm, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rmk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rmkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rr, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rrk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZ256rrkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrm, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrmk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrmkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrr, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrrk, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMBZrrkz, X86_INS_VPBLENDMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rm, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rmb, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rmbk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rmk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rmkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rr, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rrk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ128rrkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rm, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rmb, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rmbk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rmk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rmkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rr, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rrk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZ256rrkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrm, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrmb, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrmbk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrmk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrmkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrr, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrrk, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMDZrrkz, X86_INS_VPBLENDMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rm, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rmb, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rmbk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rmk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rmkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rr, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rrk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ128rrkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rm, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rmb, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rmbk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rmk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rmkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rr, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rrk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZ256rrkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrm, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrmb, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrmbk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrmk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrmkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrr, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrrk, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMQZrrkz, X86_INS_VPBLENDMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rm, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rmk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rmkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rr, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rrk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ128rrkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rm, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rmk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rmkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rr, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rrk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZ256rrkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrm, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrmk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrmkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrr, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrrk, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDMWZrrkz, X86_INS_VPBLENDMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDVBYrm, X86_INS_VPBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDVBYrr, X86_INS_VPBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDVBrm, X86_INS_VPBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDVBrr, X86_INS_VPBLENDVB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDWYrmi, X86_INS_VPBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDWYrri, X86_INS_VPBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDWrmi, X86_INS_VPBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBLENDWrri, X86_INS_VPBLENDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBYrm, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBYrr, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ128r, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ128rk, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ128rkz, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ256r, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ256rk, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZ256rkz, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZr, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZrk, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrZrkz, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrm, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTBrr, X86_INS_VPBROADCASTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDYrm, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDYrr, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDZkrm, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDZkrr, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDZrm, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDZrr, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ128r, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ128rk, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ128rkz, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ256r, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ256rk, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZ256rkz, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZr, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZrk, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrZrkz, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrm, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTDrr, X86_INS_VPBROADCASTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMB2QZ128rr, X86_INS_VPBROADCASTMB2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMB2QZ256rr, X86_INS_VPBROADCASTMB2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMB2QZrr, X86_INS_VPBROADCASTMB2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMW2DZ128rr, X86_INS_VPBROADCASTMW2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMW2DZ256rr, X86_INS_VPBROADCASTMW2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTMW2DZrr, X86_INS_VPBROADCASTMW2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQYrm, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQYrr, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQZkrm, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQZkrr, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQZrm, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQZrr, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ128r, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ128rk, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ128rkz, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ256r, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ256rk, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZ256rkz, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZr, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZrk, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrZrkz, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrm, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTQrr, X86_INS_VPBROADCASTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWYrm, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWYrr, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ128r, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ128rk, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ128rkz, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ256r, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ256rk, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZ256rkz, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZr, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZrk, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrZrkz, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrm, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPBROADCASTWrr, X86_INS_VPBROADCASTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCLMULQDQrm, X86_INS_VPCLMULQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_PCLMUL, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCLMULQDQrr, X86_INS_VPCLMULQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_PCLMUL, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVmr, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVmrY, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVrm, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVrmY, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVrr, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMOVrrY, X86_INS_VPCMOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rmi, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rmi_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rmik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rmik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rri, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rri_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rrik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ128rrik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rmi, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rmi_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rmik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rmik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rri, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rri_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rrik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZ256rrik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrmi, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrmi_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrmik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrmik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrri, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrri_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrrik, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPBZrrik_alt, X86_INS_VPCMPB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmi, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmi_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmib, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmib_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmibk, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmibk_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rmik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rri, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rri_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rrik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ128rrik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmi, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmi_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmib, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmib_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmibk, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmibk_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rmik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rri, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rri_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rrik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZ256rrik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmi, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmi_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmib, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmib_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmibk, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmibk_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrmik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrri, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrri_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrrik, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPDZrrik_alt, X86_INS_VPCMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBYrm, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBYrr, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ128rm, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ128rmk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ128rr, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ128rrk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ256rm, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ256rmk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ256rr, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZ256rrk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZrm, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZrmk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZrr, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBZrrk, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBrm, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQBrr, X86_INS_VPCMPEQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDYrm, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDYrr, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rm, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rmb, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rmbk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rmk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rr, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ128rrk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rm, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rmb, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rmbk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rmk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rr, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZ256rrk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrm, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrmb, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrmbk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrmk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrr, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDZrrk, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDrm, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQDrr, X86_INS_VPCMPEQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQYrm, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQYrr, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rm, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rmb, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rmbk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rmk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rr, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ128rrk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rm, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rmb, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rmbk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rmk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rr, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZ256rrk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrm, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrmb, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrmbk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrmk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrr, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQZrrk, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQrm, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQQrr, X86_INS_VPCMPEQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWYrm, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWYrr, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ128rm, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ128rmk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ128rr, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ128rrk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ256rm, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ256rmk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ256rr, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZ256rrk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZrm, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZrmk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZrr, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWZrrk, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWrm, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPEQWrr, X86_INS_VPCMPEQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPESTRIrm, X86_INS_VPCMPESTRI,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPESTRIrr, X86_INS_VPCMPESTRI,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPESTRM128rm, X86_INS_VPCMPESTRM,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPESTRM128rr, X86_INS_VPCMPESTRM,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBYrm, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBYrr, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ128rm, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ128rmk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ128rr, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ128rrk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ256rm, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ256rmk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ256rr, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZ256rrk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZrm, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZrmk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZrr, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBZrrk, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBrm, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTBrr, X86_INS_VPCMPGTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDYrm, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDYrr, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rm, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rmb, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rmbk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rmk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rr, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ128rrk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rm, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rmb, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rmbk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rmk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rr, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZ256rrk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrm, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrmb, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrmbk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrmk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrr, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDZrrk, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDrm, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTDrr, X86_INS_VPCMPGTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQYrm, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQYrr, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rm, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rmb, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rmbk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rmk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rr, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ128rrk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rm, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rmb, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rmbk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rmk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rr, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZ256rrk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrm, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrmb, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrmbk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrmk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrr, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQZrrk, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQrm, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTQrr, X86_INS_VPCMPGTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWYrm, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWYrr, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ128rm, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ128rmk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ128rr, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ128rrk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ256rm, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ256rmk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ256rr, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZ256rrk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZrm, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZrmk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZrr, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWZrrk, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWrm, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPGTWrr, X86_INS_VPCMPGTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPISTRIrm, X86_INS_VPCMPISTRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPISTRIrr, X86_INS_VPCMPISTRI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_ECX, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPISTRM128rm, X86_INS_VPCMPISTRM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPISTRM128rr, X86_INS_VPCMPISTRM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_XMM0, X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmi, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmi_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmib, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmib_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmibk, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmibk_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rmik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rri, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rri_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rrik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ128rrik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmi, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmi_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmib, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmib_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmibk, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmibk_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rmik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rri, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rri_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rrik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZ256rrik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmi, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmi_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmib, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmib_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmibk, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmibk_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrmik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrri, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrri_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrrik, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPQZrrik_alt, X86_INS_VPCMPQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rmi, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rmi_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rmik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rmik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rri, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rri_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rrik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ128rrik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rmi, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rmi_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rmik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rmik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rri, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rri_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rrik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZ256rrik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrmi, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrmi_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrmik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrmik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrri, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrri_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrrik, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUBZrrik_alt, X86_INS_VPCMPUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmi, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmi_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmib, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmib_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmibk, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmibk_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rmik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rri, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rri_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rrik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ128rrik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmi, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmi_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmib, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmib_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmibk, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmibk_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rmik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rri, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rri_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rrik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZ256rrik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmi, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmi_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmib, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmib_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmibk, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmibk_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrmik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrri, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrri_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrrik, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUDZrrik_alt, X86_INS_VPCMPUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmi, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmi_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmib, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmib_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmibk, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmibk_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rmik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rri, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rri_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rrik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ128rrik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmi, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmi_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmib, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmib_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmibk, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmibk_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rmik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rri, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rri_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rrik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZ256rrik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmi, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmi_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmib, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmib_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmibk, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmibk_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrmik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrri, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrri_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrrik, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUQZrrik_alt, X86_INS_VPCMPUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rmi, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rmi_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rmik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rmik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rri, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rri_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rrik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ128rrik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rmi, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rmi_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rmik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rmik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rri, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rri_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rrik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZ256rrik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrmi, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrmi_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrmik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrmik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrri, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrri_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrrik, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPUWZrrik_alt, X86_INS_VPCMPUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rmi, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rmi_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rmik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rmik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rri, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rri_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rrik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ128rrik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rmi, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rmi_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rmik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rmik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rri, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rri_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rrik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZ256rrik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrmi, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrmi_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrmik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrmik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrri, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrri_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrrik, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCMPWZrrik_alt, X86_INS_VPCMPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMBmi, X86_INS_VPCOMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMBmi_alt, X86_INS_VPCOMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMBri, X86_INS_VPCOMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMBri_alt, X86_INS_VPCOMB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMDmi, X86_INS_VPCOMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMDmi_alt, X86_INS_VPCOMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMDri, X86_INS_VPCOMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMDri_alt, X86_INS_VPCOMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ128mrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ128rrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ128rrkz, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ256mrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ256rrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZ256rrkz, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZmrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZrrk, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSDZrrkz, X86_INS_VPCOMPRESSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ128mrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ128rrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ128rrkz, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ256mrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ256rrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZ256rrkz, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZmrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZrrk, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMPRESSQZrrkz, X86_INS_VPCOMPRESSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMQmi, X86_INS_VPCOMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMQmi_alt, X86_INS_VPCOMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMQri, X86_INS_VPCOMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMQri_alt, X86_INS_VPCOMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUBmi, X86_INS_VPCOMUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUBmi_alt, X86_INS_VPCOMUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUBri, X86_INS_VPCOMUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUBri_alt, X86_INS_VPCOMUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUDmi, X86_INS_VPCOMUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUDmi_alt, X86_INS_VPCOMUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUDri, X86_INS_VPCOMUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUDri_alt, X86_INS_VPCOMUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUQmi, X86_INS_VPCOMUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUQmi_alt, X86_INS_VPCOMUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUQri, X86_INS_VPCOMUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUQri_alt, X86_INS_VPCOMUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUWmi, X86_INS_VPCOMUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUWmi_alt, X86_INS_VPCOMUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUWri, X86_INS_VPCOMUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMUWri_alt, X86_INS_VPCOMUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMWmi, X86_INS_VPCOMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMWmi_alt, X86_INS_VPCOMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMWri, X86_INS_VPCOMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCOMWri_alt, X86_INS_VPCOMW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrm, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrmb, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrmbk, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrmbkz, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrmk, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrmkz, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrr, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrrk, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTDrrkz, X86_INS_VPCONFLICTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrm, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrmb, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrmbk, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrmbkz, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrmk, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrmkz, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrr, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrrk, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPCONFLICTQrrkz, X86_INS_VPCONFLICTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERM2F128rm, X86_INS_VPERM2F128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERM2F128rr, X86_INS_VPERM2F128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERM2I128rm, X86_INS_VPERM2I128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERM2I128rr, X86_INS_VPERM2I128,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMDYrm, X86_INS_VPERMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMDYrr, X86_INS_VPERMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMDZrm, X86_INS_VPERMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMDZrr, X86_INS_VPERMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drm, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drmk, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drmkz, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drr, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drrk, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Drrkz, X86_INS_VPERMI2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrm, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrmk, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrmkz, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrr, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrrk, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PDrrkz, X86_INS_VPERMI2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrm, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrmk, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrmkz, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrr, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrrk, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2PSrrkz, X86_INS_VPERMI2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrm, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrmk, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrmkz, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrr, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrrk, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMI2Qrrkz, X86_INS_VPERMI2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDmr, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDmrY, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDrm, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDrmY, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDrr, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PDrrY, X86_INS_VPERMIL2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSmr, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSmrY, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSrm, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSrmY, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSrr, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMIL2PSrrY, X86_INS_VPERMIL2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDYmi, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDYri, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDYrm, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDYrr, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDZmi, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDZri, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDZrm, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDZrr, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDmi, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDri, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDrm, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPDrr, X86_INS_VPERMILPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSYmi, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSYri, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSYrm, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSYrr, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSZmi, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSZri, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSZrm, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSZrr, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSmi, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSri, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSrm, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMILPSrr, X86_INS_VPERMILPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDYmi, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDYri, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDZmi, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDZri, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDZrm, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPDZrr, X86_INS_VPERMPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPSYrm, X86_INS_VPERMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPSYrr, X86_INS_VPERMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPSZrm, X86_INS_VPERMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMPSZrr, X86_INS_VPERMPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQYmi, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQYri, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQZmi, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQZri, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQZrm, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMQZrr, X86_INS_VPERMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drm, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drmk, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drmkz, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drr, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drrk, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Drrkz, X86_INS_VPERMT2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrm, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrmk, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrmkz, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrr, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrrk, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PDrrkz, X86_INS_VPERMT2PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrm, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrmk, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrmkz, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrr, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrrk, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2PSrrkz, X86_INS_VPERMT2PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrm, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrmk, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrmkz, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrr, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrrk, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPERMT2Qrrkz, X86_INS_VPERMT2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ128rmk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ128rmkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ128rrk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ128rrkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ256rmk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ256rmkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ256rrk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZ256rrkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZrmk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZrmkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZrrk, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDDZrrkz, X86_INS_VPEXPANDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ128rmk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ128rmkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ128rrk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ128rrkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ256rmk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ256rmkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ256rrk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZ256rrkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZrmk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZrmkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZrrk, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXPANDQZrrkz, X86_INS_VPEXPANDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRBmr, X86_INS_VPEXTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRBrr, X86_INS_VPEXTRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRDmr, X86_INS_VPEXTRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRDrr, X86_INS_VPEXTRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRQmr, X86_INS_VPEXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRQrr, X86_INS_VPEXTRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRWmr, X86_INS_VPEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRWri, X86_INS_VPEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPEXTRWrr_REV, X86_INS_VPEXTRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDDYrm, X86_INS_VPGATHERDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDDZrm, X86_INS_VPGATHERDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDDrm, X86_INS_VPGATHERDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDQYrm, X86_INS_VPGATHERDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDQZrm, X86_INS_VPGATHERDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERDQrm, X86_INS_VPGATHERDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQDYrm, X86_INS_VPGATHERQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQDZrm, X86_INS_VPGATHERQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQDrm, X86_INS_VPGATHERQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQQYrm, X86_INS_VPGATHERQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQQZrm, X86_INS_VPGATHERQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPGATHERQQrm, X86_INS_VPGATHERQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBDrm, X86_INS_VPHADDBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBDrr, X86_INS_VPHADDBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBQrm, X86_INS_VPHADDBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBQrr, X86_INS_VPHADDBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBWrm, X86_INS_VPHADDBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDBWrr, X86_INS_VPHADDBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDQrm, X86_INS_VPHADDDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDQrr, X86_INS_VPHADDDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDYrm, X86_INS_VPHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDYrr, X86_INS_VPHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDrm, X86_INS_VPHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDDrr, X86_INS_VPHADDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDSWrm128, X86_INS_VPHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDSWrm256, X86_INS_VPHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDSWrr128, X86_INS_VPHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDSWrr256, X86_INS_VPHADDSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBDrm, X86_INS_VPHADDUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBDrr, X86_INS_VPHADDUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBQrm, X86_INS_VPHADDUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBQrr, X86_INS_VPHADDUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBWrm, X86_INS_VPHADDUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUBWrr, X86_INS_VPHADDUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUDQrm, X86_INS_VPHADDUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUDQrr, X86_INS_VPHADDUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUWDrm, X86_INS_VPHADDUWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUWDrr, X86_INS_VPHADDUWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUWQrm, X86_INS_VPHADDUWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDUWQrr, X86_INS_VPHADDUWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWDrm, X86_INS_VPHADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWDrr, X86_INS_VPHADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWQrm, X86_INS_VPHADDWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWQrr, X86_INS_VPHADDWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWYrm, X86_INS_VPHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWYrr, X86_INS_VPHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWrm, X86_INS_VPHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHADDWrr, X86_INS_VPHADDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHMINPOSUWrm128, X86_INS_VPHMINPOSUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHMINPOSUWrr128, X86_INS_VPHMINPOSUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBBWrm, X86_INS_VPHSUBBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBBWrr, X86_INS_VPHSUBBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDQrm, X86_INS_VPHSUBDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDQrr, X86_INS_VPHSUBDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDYrm, X86_INS_VPHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDYrr, X86_INS_VPHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDrm, X86_INS_VPHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBDrr, X86_INS_VPHSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBSWrm128, X86_INS_VPHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBSWrm256, X86_INS_VPHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBSWrr128, X86_INS_VPHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBSWrr256, X86_INS_VPHSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWDrm, X86_INS_VPHSUBWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWDrr, X86_INS_VPHSUBWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWYrm, X86_INS_VPHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWYrr, X86_INS_VPHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWrm, X86_INS_VPHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPHSUBWrr, X86_INS_VPHSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRBrm, X86_INS_VPINSRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRBrr, X86_INS_VPINSRB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRDrm, X86_INS_VPINSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRDrr, X86_INS_VPINSRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRQrm, X86_INS_VPINSRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRQrr, X86_INS_VPINSRQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRWrmi, X86_INS_VPINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPINSRWrri, X86_INS_VPINSRW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrm, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrmb, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrmbk, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrmbkz, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrmk, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrmkz, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrr, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrrk, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTDrrkz, X86_INS_VPLZCNTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrm, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrmb, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrmbk, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrmbkz, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrmk, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrmkz, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrr, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrrk, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPLZCNTQrrkz, X86_INS_VPLZCNTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDDrm, X86_INS_VPMACSDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDDrr, X86_INS_VPMACSDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDQHrm, X86_INS_VPMACSDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDQHrr, X86_INS_VPMACSDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDQLrm, X86_INS_VPMACSDQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSDQLrr, X86_INS_VPMACSDQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDDrm, X86_INS_VPMACSSDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDDrr, X86_INS_VPMACSSDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDQHrm, X86_INS_VPMACSSDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDQHrr, X86_INS_VPMACSSDQH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDQLrm, X86_INS_VPMACSSDQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSDQLrr, X86_INS_VPMACSSDQL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSWDrm, X86_INS_VPMACSSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSWDrr, X86_INS_VPMACSSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSWWrm, X86_INS_VPMACSSWW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSSWWrr, X86_INS_VPMACSSWW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSWDrm, X86_INS_VPMACSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSWDrr, X86_INS_VPMACSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSWWrm, X86_INS_VPMACSWW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMACSWWrr, X86_INS_VPMACSWW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADCSSWDrm, X86_INS_VPMADCSSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADCSSWDrr, X86_INS_VPMADCSSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADCSWDrm, X86_INS_VPMADCSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADCSWDrr, X86_INS_VPMADCSWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDUBSWrm128, X86_INS_VPMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDUBSWrm256, X86_INS_VPMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDUBSWrr128, X86_INS_VPMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDUBSWrr256, X86_INS_VPMADDUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDWDYrm, X86_INS_VPMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDWDYrr, X86_INS_VPMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDWDrm, X86_INS_VPMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMADDWDrr, X86_INS_VPMADDWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVDYmr, X86_INS_VPMASKMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVDYrm, X86_INS_VPMASKMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVDmr, X86_INS_VPMASKMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVDrm, X86_INS_VPMASKMOVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVQYmr, X86_INS_VPMASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVQYrm, X86_INS_VPMASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVQmr, X86_INS_VPMASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMASKMOVQrm, X86_INS_VPMASKMOVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBYrm, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBYrr, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rm, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rmk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rmkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rr, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rrk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ128rrkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rm, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rmk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rmkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rr, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rrk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZ256rrkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrm, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrmk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrmkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrr, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrrk, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBZrrkz, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBrm, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSBrr, X86_INS_VPMAXSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDYrm, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDYrr, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rm, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rmb, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rmbk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rmbkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rmk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rmkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rr, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rrk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ128rrkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rm, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rmb, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rmbk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rmbkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rmk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rmkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rr, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rrk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZ256rrkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrm, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrmb, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrmbk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrmbkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrmk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrmkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrr, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrrk, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDZrrkz, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDrm, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSDrr, X86_INS_VPMAXSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rm, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rmb, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rmbk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rmbkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rmk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rmkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rr, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rrk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ128rrkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rm, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rmb, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rmbk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rmbkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rmk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rmkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rr, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rrk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZ256rrkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrm, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrmb, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrmbk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrmbkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrmk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrmkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrr, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrrk, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSQZrrkz, X86_INS_VPMAXSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWYrm, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWYrr, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rm, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rmk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rmkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rr, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rrk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ128rrkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rm, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rmk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rmkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rr, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rrk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZ256rrkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrm, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrmk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrmkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrr, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrrk, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWZrrkz, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWrm, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXSWrr, X86_INS_VPMAXSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBYrm, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBYrr, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rm, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rmk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rmkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rr, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rrk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ128rrkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rm, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rmk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rmkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rr, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rrk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZ256rrkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrm, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrmk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrmkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrr, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrrk, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBZrrkz, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBrm, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUBrr, X86_INS_VPMAXUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDYrm, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDYrr, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rm, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rmb, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rmbk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rmbkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rmk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rmkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rr, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rrk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ128rrkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rm, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rmb, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rmbk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rmbkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rmk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rmkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rr, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rrk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZ256rrkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrm, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrmb, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrmbk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrmbkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrmk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrmkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrr, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrrk, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDZrrkz, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDrm, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUDrr, X86_INS_VPMAXUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rm, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rmb, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rmbk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rmbkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rmk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rmkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rr, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rrk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ128rrkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rm, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rmb, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rmbk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rmbkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rmk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rmkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rr, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rrk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZ256rrkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrm, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrmb, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrmbk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrmbkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrmk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrmkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrr, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrrk, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUQZrrkz, X86_INS_VPMAXUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWYrm, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWYrr, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rm, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rmk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rmkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rr, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rrk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ128rrkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rm, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rmk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rmkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rr, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rrk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZ256rrkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrm, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrmk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrmkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrr, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrrk, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWZrrkz, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWrm, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMAXUWrr, X86_INS_VPMAXUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBYrm, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBYrr, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rm, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rmk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rmkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rr, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rrk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ128rrkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rm, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rmk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rmkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rr, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rrk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZ256rrkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrm, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrmk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrmkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrr, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrrk, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBZrrkz, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBrm, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSBrr, X86_INS_VPMINSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDYrm, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDYrr, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rm, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rmb, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rmbk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rmbkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rmk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rmkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rr, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rrk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ128rrkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rm, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rmb, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rmbk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rmbkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rmk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rmkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rr, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rrk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZ256rrkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrm, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrmb, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrmbk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrmbkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrmk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrmkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrr, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrrk, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDZrrkz, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDrm, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSDrr, X86_INS_VPMINSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rm, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rmb, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rmbk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rmbkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rmk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rmkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rr, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rrk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ128rrkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rm, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rmb, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rmbk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rmbkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rmk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rmkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rr, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rrk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZ256rrkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrm, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrmb, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrmbk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrmbkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrmk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrmkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrr, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrrk, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSQZrrkz, X86_INS_VPMINSQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWYrm, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWYrr, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rm, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rmk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rmkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rr, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rrk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ128rrkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rm, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rmk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rmkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rr, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rrk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZ256rrkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrm, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrmk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrmkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrr, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrrk, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWZrrkz, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWrm, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINSWrr, X86_INS_VPMINSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBYrm, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBYrr, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rm, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rmk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rmkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rr, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rrk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ128rrkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rm, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rmk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rmkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rr, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rrk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZ256rrkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrm, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrmk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrmkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrr, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrrk, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBZrrkz, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBrm, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUBrr, X86_INS_VPMINUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDYrm, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDYrr, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rm, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rmb, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rmbk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rmbkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rmk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rmkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rr, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rrk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ128rrkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rm, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rmb, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rmbk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rmbkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rmk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rmkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rr, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rrk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZ256rrkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrm, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrmb, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrmbk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrmbkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrmk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrmkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrr, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrrk, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDZrrkz, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDrm, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUDrr, X86_INS_VPMINUD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rm, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rmb, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rmbk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rmbkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rmk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rmkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rr, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rrk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ128rrkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rm, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rmb, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rmbk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rmbkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rmk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rmkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rr, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rrk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZ256rrkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrm, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrmb, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrmbk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrmbkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrmk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrmkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrr, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrrk, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUQZrrkz, X86_INS_VPMINUQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWYrm, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWYrr, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rm, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rmk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rmkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rr, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rrk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ128rrkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rm, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rmk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rmkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rr, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rrk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZ256rrkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrm, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrmk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrmkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrr, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrrk, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWZrrkz, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWrm, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMINUWrr, X86_INS_VPMINUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDBmr, X86_INS_VPMOVDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDBmrk, X86_INS_VPMOVDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDBrr, X86_INS_VPMOVDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDBrrk, X86_INS_VPMOVDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDBrrkz, X86_INS_VPMOVDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDWmr, X86_INS_VPMOVDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDWmrk, X86_INS_VPMOVDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDWrr, X86_INS_VPMOVDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDWrrk, X86_INS_VPMOVDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVDWrrkz, X86_INS_VPMOVDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2BZ128rr, X86_INS_VPMOVM2B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2BZ256rr, X86_INS_VPMOVM2B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2BZrr, X86_INS_VPMOVM2B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2DZ128rr, X86_INS_VPMOVM2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2DZ256rr, X86_INS_VPMOVM2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2DZrr, X86_INS_VPMOVM2D,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2QZ128rr, X86_INS_VPMOVM2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2QZ256rr, X86_INS_VPMOVM2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2QZrr, X86_INS_VPMOVM2Q,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2WZ128rr, X86_INS_VPMOVM2W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2WZ256rr, X86_INS_VPMOVM2W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVM2WZrr, X86_INS_VPMOVM2W,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVMSKBYrr, X86_INS_VPMOVMSKB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVMSKBrr, X86_INS_VPMOVMSKB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQBmr, X86_INS_VPMOVQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQBmrk, X86_INS_VPMOVQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQBrr, X86_INS_VPMOVQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQBrrk, X86_INS_VPMOVQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQBrrkz, X86_INS_VPMOVQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQDmr, X86_INS_VPMOVQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQDmrk, X86_INS_VPMOVQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQDrr, X86_INS_VPMOVQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQDrrk, X86_INS_VPMOVQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQDrrkz, X86_INS_VPMOVQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQWmr, X86_INS_VPMOVQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQWmrk, X86_INS_VPMOVQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQWrr, X86_INS_VPMOVQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQWrrk, X86_INS_VPMOVQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVQWrrkz, X86_INS_VPMOVQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDBmr, X86_INS_VPMOVSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDBmrk, X86_INS_VPMOVSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDBrr, X86_INS_VPMOVSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDBrrk, X86_INS_VPMOVSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDBrrkz, X86_INS_VPMOVSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDWmr, X86_INS_VPMOVSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDWmrk, X86_INS_VPMOVSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDWrr, X86_INS_VPMOVSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDWrrk, X86_INS_VPMOVSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSDWrrkz, X86_INS_VPMOVSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQBmr, X86_INS_VPMOVSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQBmrk, X86_INS_VPMOVSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQBrr, X86_INS_VPMOVSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQBrrk, X86_INS_VPMOVSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQBrrkz, X86_INS_VPMOVSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQDmr, X86_INS_VPMOVSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQDmrk, X86_INS_VPMOVSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQDrr, X86_INS_VPMOVSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQDrrk, X86_INS_VPMOVSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQDrrkz, X86_INS_VPMOVSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQWmr, X86_INS_VPMOVSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQWmrk, X86_INS_VPMOVSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQWrr, X86_INS_VPMOVSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQWrrk, X86_INS_VPMOVSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSQWrrkz, X86_INS_VPMOVSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDYrm, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDYrr, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrm, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrmk, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrmkz, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrr, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrrk, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDZrrkz, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDrm, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBDrr, X86_INS_VPMOVSXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQYrm, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQYrr, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrm, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrmk, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrmkz, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrr, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrrk, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQZrrkz, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQrm, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBQrr, X86_INS_VPMOVSXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBWYrm, X86_INS_VPMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBWYrr, X86_INS_VPMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBWrm, X86_INS_VPMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXBWrr, X86_INS_VPMOVSXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQYrm, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQYrr, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrm, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrmk, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrmkz, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrr, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrrk, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQZrrkz, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQrm, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXDQrr, X86_INS_VPMOVSXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDYrm, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDYrr, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrm, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrmk, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrmkz, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrr, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrrk, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDZrrkz, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDrm, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWDrr, X86_INS_VPMOVSXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQYrm, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQYrr, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrm, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrmk, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrmkz, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrr, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrrk, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQZrrkz, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQrm, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVSXWQrr, X86_INS_VPMOVSXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDBmr, X86_INS_VPMOVUSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDBmrk, X86_INS_VPMOVUSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDBrr, X86_INS_VPMOVUSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDBrrk, X86_INS_VPMOVUSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDBrrkz, X86_INS_VPMOVUSDB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDWmr, X86_INS_VPMOVUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDWmrk, X86_INS_VPMOVUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDWrr, X86_INS_VPMOVUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDWrrk, X86_INS_VPMOVUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSDWrrkz, X86_INS_VPMOVUSDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQBmr, X86_INS_VPMOVUSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQBmrk, X86_INS_VPMOVUSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQBrr, X86_INS_VPMOVUSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQBrrk, X86_INS_VPMOVUSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQBrrkz, X86_INS_VPMOVUSQB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQDmr, X86_INS_VPMOVUSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQDmrk, X86_INS_VPMOVUSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQDrr, X86_INS_VPMOVUSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQDrrk, X86_INS_VPMOVUSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQDrrkz, X86_INS_VPMOVUSQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQWmr, X86_INS_VPMOVUSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQWmrk, X86_INS_VPMOVUSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQWrr, X86_INS_VPMOVUSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQWrrk, X86_INS_VPMOVUSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVUSQWrrkz, X86_INS_VPMOVUSQW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDYrm, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDYrr, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrm, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrmk, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrmkz, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrr, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrrk, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDZrrkz, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDrm, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBDrr, X86_INS_VPMOVZXBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQYrm, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQYrr, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrm, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrmk, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrmkz, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrr, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrrk, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQZrrkz, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQrm, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBQrr, X86_INS_VPMOVZXBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBWYrm, X86_INS_VPMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBWYrr, X86_INS_VPMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBWrm, X86_INS_VPMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXBWrr, X86_INS_VPMOVZXBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQYrm, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQYrr, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrm, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrmk, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrmkz, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrr, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrrk, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQZrrkz, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQrm, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXDQrr, X86_INS_VPMOVZXDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDYrm, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDYrr, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrm, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrmk, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrmkz, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrr, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrrk, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDZrrkz, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDrm, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWDrr, X86_INS_VPMOVZXWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQYrm, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQYrr, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrm, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrmk, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrmkz, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrr, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrrk, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQZrrkz, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQrm, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMOVZXWQrr, X86_INS_VPMOVZXWQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQYrm, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQYrr, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrm, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrmb, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrmbk, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrmbkz, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrmk, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrmkz, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrr, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrrk, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQZrrkz, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQrm, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULDQrr, X86_INS_VPMULDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHRSWrm128, X86_INS_VPMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHRSWrm256, X86_INS_VPMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHRSWrr128, X86_INS_VPMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHRSWrr256, X86_INS_VPMULHRSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHUWYrm, X86_INS_VPMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHUWYrr, X86_INS_VPMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHUWrm, X86_INS_VPMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHUWrr, X86_INS_VPMULHUW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHWYrm, X86_INS_VPMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHWYrr, X86_INS_VPMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHWrm, X86_INS_VPMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULHWrr, X86_INS_VPMULHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDYrm, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDYrr, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rm, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rmb, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rmbk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rmbkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rmk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rmkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rr, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rrk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ128rrkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rm, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rmb, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rmbk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rmbkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rmk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rmkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rr, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rrk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZ256rrkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrm, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrmb, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrmbk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrmbkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrmk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrmkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrr, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrrk, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDZrrkz, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDrm, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLDrr, X86_INS_VPMULLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rm, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rmb, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rmbk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rmbkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rmk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rmkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rr, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rrk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ128rrkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rm, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rmb, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rmbk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rmbkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rmk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rmkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rr, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rrk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZ256rrkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrm, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrmb, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrmbk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrmbkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrmk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrmkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrr, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrrk, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLQZrrkz, X86_INS_VPMULLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_DQI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWYrm, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWYrr, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rm, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rmk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rmkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rr, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rrk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ128rrkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rm, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rmk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rmkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rr, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rrk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZ256rrkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrm, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrmk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrmkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrr, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrrk, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWZrrkz, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWrm, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULLWrr, X86_INS_VPMULLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQYrm, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQYrr, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrm, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrmb, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrmbk, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrmbkz, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrmk, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrmkz, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrr, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrrk, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQZrrkz, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQrm, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPMULUDQrr, X86_INS_VPMULUDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rm, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rmb, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rmbk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rmbkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rmk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rmkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rr, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rrk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ128rrkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rm, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rmb, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rmbk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rmbkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rmk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rmkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rr, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rrk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZ256rrkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrm, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrmb, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrmbk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrmbkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrmk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrmkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrr, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrrk, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORDZrrkz, X86_INS_VPORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rm, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rmb, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rmbk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rmbkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rmk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rmkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rr, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rrk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ128rrkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rm, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rmb, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rmbk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rmbkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rmk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rmkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rr, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rrk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZ256rrkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrm, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrmb, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrmbk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrmbkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrmk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrmkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrr, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrrk, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORQZrrkz, X86_INS_VPORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORYrm, X86_INS_VPOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORYrr, X86_INS_VPOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORrm, X86_INS_VPOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPORrr, X86_INS_VPOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPPERMmr, X86_INS_VPPERM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPPERMrm, X86_INS_VPPERM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPPERMrr, X86_INS_VPPERM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTBmi, X86_INS_VPROTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTBmr, X86_INS_VPROTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTBri, X86_INS_VPROTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTBrm, X86_INS_VPROTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTBrr, X86_INS_VPROTB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTDmi, X86_INS_VPROTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTDmr, X86_INS_VPROTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTDri, X86_INS_VPROTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTDrm, X86_INS_VPROTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTDrr, X86_INS_VPROTD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTQmi, X86_INS_VPROTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTQmr, X86_INS_VPROTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTQri, X86_INS_VPROTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTQrm, X86_INS_VPROTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTQrr, X86_INS_VPROTQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTWmi, X86_INS_VPROTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTWmr, X86_INS_VPROTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTWri, X86_INS_VPROTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTWrm, X86_INS_VPROTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPROTWrr, X86_INS_VPROTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSADBWYrm, X86_INS_VPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSADBWYrr, X86_INS_VPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSADBWrm, X86_INS_VPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSADBWrr, X86_INS_VPSADBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSCATTERDDZmr, X86_INS_VPSCATTERDD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSCATTERDQZmr, X86_INS_VPSCATTERDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSCATTERQDZmr, X86_INS_VPSCATTERQD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSCATTERQQZmr, X86_INS_VPSCATTERQQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHABmr, X86_INS_VPSHAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHABrm, X86_INS_VPSHAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHABrr, X86_INS_VPSHAB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHADmr, X86_INS_VPSHAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHADrm, X86_INS_VPSHAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHADrr, X86_INS_VPSHAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAQmr, X86_INS_VPSHAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAQrm, X86_INS_VPSHAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAQrr, X86_INS_VPSHAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAWmr, X86_INS_VPSHAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAWrm, X86_INS_VPSHAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHAWrr, X86_INS_VPSHAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLBmr, X86_INS_VPSHLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLBrm, X86_INS_VPSHLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLBrr, X86_INS_VPSHLB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLDmr, X86_INS_VPSHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLDrm, X86_INS_VPSHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLDrr, X86_INS_VPSHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLQmr, X86_INS_VPSHLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLQrm, X86_INS_VPSHLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLQrr, X86_INS_VPSHLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLWmr, X86_INS_VPSHLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLWrm, X86_INS_VPSHLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHLWrr, X86_INS_VPSHLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_XOP, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFBYrm, X86_INS_VPSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFBYrr, X86_INS_VPSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFBrm, X86_INS_VPSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFBrr, X86_INS_VPSHUFB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDYmi, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDYri, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDZmi, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDZri, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDmi, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFDri, X86_INS_VPSHUFD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFHWYmi, X86_INS_VPSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFHWYri, X86_INS_VPSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFHWmi, X86_INS_VPSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFHWri, X86_INS_VPSHUFHW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFLWYmi, X86_INS_VPSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFLWYri, X86_INS_VPSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFLWmi, X86_INS_VPSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSHUFLWri, X86_INS_VPSHUFLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNBYrm, X86_INS_VPSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNBYrr, X86_INS_VPSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNBrm, X86_INS_VPSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNBrr, X86_INS_VPSIGNB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNDYrm, X86_INS_VPSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNDYrr, X86_INS_VPSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNDrm, X86_INS_VPSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNDrr, X86_INS_VPSIGND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNWYrm, X86_INS_VPSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNWYrr, X86_INS_VPSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNWrm, X86_INS_VPSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSIGNWrr, X86_INS_VPSIGNW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDQYri, X86_INS_VPSLLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDQri, X86_INS_VPSLLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDYri, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDYrm, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDYrr, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZmi, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZmik, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZmikz, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZri, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrik, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrikz, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrm, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrmk, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrmkz, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrr, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrrk, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDZrrkz, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDri, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDrm, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLDrr, X86_INS_VPSLLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQYri, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQYrm, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQYrr, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZmi, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZmik, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZmikz, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZri, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrik, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrikz, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrm, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrmk, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrmkz, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrr, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrrk, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQZrrkz, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQri, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQrm, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLQrr, X86_INS_VPSLLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDYrm, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDYrr, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrm, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrmk, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrmkz, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrr, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrrk, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDZrrkz, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDrm, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVDrr, X86_INS_VPSLLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQYrm, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQYrr, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrm, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrmk, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrmkz, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrr, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrrk, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQZrrkz, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQrm, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLVQrr, X86_INS_VPSLLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWYri, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWYrm, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWYrr, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWri, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWrm, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSLLWrr, X86_INS_VPSLLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADYri, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADYrm, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADYrr, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZmi, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZmik, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZmikz, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZri, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrik, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrikz, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrm, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrmk, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrmkz, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrr, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrrk, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADZrrkz, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADri, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADrm, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRADrr, X86_INS_VPSRAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZmi, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZmik, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZmikz, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZri, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrik, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrikz, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrm, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrmk, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrmkz, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrr, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrrk, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAQZrrkz, X86_INS_VPSRAQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDYrm, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDYrr, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrm, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrmk, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrmkz, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrr, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrrk, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDZrrkz, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDrm, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVDrr, X86_INS_VPSRAVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrm, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrmk, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrmkz, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrr, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrrk, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAVQZrrkz, X86_INS_VPSRAVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWYri, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWYrm, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWYrr, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWri, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWrm, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRAWrr, X86_INS_VPSRAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDQYri, X86_INS_VPSRLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDQri, X86_INS_VPSRLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDYri, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDYrm, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDYrr, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZmi, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZmik, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZmikz, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZri, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrik, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrikz, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrm, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrmk, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrmkz, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrr, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrrk, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDZrrkz, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDri, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDrm, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLDrr, X86_INS_VPSRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQYri, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQYrm, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQYrr, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZmi, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZmik, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZmikz, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZri, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrik, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrikz, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrm, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrmk, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrmkz, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrr, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrrk, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQZrrkz, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQri, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQrm, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLQrr, X86_INS_VPSRLQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDYrm, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDYrr, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrm, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrmk, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrmkz, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrr, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrrk, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDZrrkz, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDrm, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVDrr, X86_INS_VPSRLVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQYrm, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQYrr, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrm, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrmk, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrmkz, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrr, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrrk, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQZrrkz, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQrm, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLVQrr, X86_INS_VPSRLVQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWYri, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWYrm, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWYrr, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWri, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWrm, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSRLWrr, X86_INS_VPSRLW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBYrm, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBYrr, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rm, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rmk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rmkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rr, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rrk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ128rrkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rm, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rmk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rmkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rr, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rrk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZ256rrkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrm, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrmk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrmkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrr, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrrk, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBZrrkz, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBrm, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBBrr, X86_INS_VPSUBB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDYrm, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDYrr, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rm, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rmb, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rmbk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rmbkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rmk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rmkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rr, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rrk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ128rrkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rm, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rmb, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rmbk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rmbkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rmk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rmkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rr, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rrk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZ256rrkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrm, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrmb, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrmbk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrmbkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrmk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrmkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrr, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrrk, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDZrrkz, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDrm, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBDrr, X86_INS_VPSUBD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQYrm, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQYrr, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rm, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rmb, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rmbk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rmbkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rmk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rmkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rr, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rrk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ128rrkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rm, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rmb, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rmbk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rmbkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rmk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rmkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rr, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rrk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZ256rrkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrm, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrmb, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrmbk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrmbkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrmk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrmkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrr, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrrk, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQZrrkz, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQrm, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBQrr, X86_INS_VPSUBQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSBYrm, X86_INS_VPSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSBYrr, X86_INS_VPSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSBrm, X86_INS_VPSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSBrr, X86_INS_VPSUBSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSWYrm, X86_INS_VPSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSWYrr, X86_INS_VPSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSWrm, X86_INS_VPSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBSWrr, X86_INS_VPSUBSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSBYrm, X86_INS_VPSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSBYrr, X86_INS_VPSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSBrm, X86_INS_VPSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSBrr, X86_INS_VPSUBUSB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSWYrm, X86_INS_VPSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSWYrr, X86_INS_VPSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSWrm, X86_INS_VPSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBUSWrr, X86_INS_VPSUBUSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWYrm, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWYrr, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rm, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rmk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rmkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rr, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rrk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ128rrkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rm, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rmk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rmkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rr, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rrk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZ256rrkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrm, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrmk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrmkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrr, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrrk, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWZrrkz, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BWI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWrm, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPSUBWrr, X86_INS_VPSUBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTMDZrm, X86_INS_VPTESTMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTMDZrr, X86_INS_VPTESTMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTMQZrm, X86_INS_VPTESTMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTMQZrr, X86_INS_VPTESTMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTNMDZrm, X86_INS_VPTESTNMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTNMDZrr, X86_INS_VPTESTNMD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTNMQZrm, X86_INS_VPTESTNMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTNMQZrr, X86_INS_VPTESTNMQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_CDI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTYrm, X86_INS_VPTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTYrr, X86_INS_VPTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTrm, X86_INS_VPTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPTESTrr, X86_INS_VPTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHBWYrm, X86_INS_VPUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHBWYrr, X86_INS_VPUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHBWrm, X86_INS_VPUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHBWrr, X86_INS_VPUNPCKHBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQYrm, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQYrr, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQZrm, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQZrr, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQrm, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHDQrr, X86_INS_VPUNPCKHDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQYrm, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQYrr, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQZrm, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQZrr, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQrm, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHQDQrr, X86_INS_VPUNPCKHQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHWDYrm, X86_INS_VPUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHWDYrr, X86_INS_VPUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHWDrm, X86_INS_VPUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKHWDrr, X86_INS_VPUNPCKHWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLBWYrm, X86_INS_VPUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLBWYrr, X86_INS_VPUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLBWrm, X86_INS_VPUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLBWrr, X86_INS_VPUNPCKLBW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQYrm, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQYrr, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQZrm, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQZrr, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQrm, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLDQrr, X86_INS_VPUNPCKLDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQYrm, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQYrr, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQZrm, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQZrr, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQrm, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLQDQrr, X86_INS_VPUNPCKLQDQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLWDYrm, X86_INS_VPUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLWDYrr, X86_INS_VPUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLWDrm, X86_INS_VPUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPUNPCKLWDrr, X86_INS_VPUNPCKLWD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rm, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rmb, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rmbk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rmbkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rmk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rmkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rr, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rrk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ128rrkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rm, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rmb, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rmbk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rmbkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rmk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rmkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rr, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rrk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZ256rrkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrm, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrmb, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrmbk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrmbkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrmk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrmkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrr, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrrk, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORDZrrkz, X86_INS_VPXORD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rm, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rmb, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rmbk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rmbkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rmk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rmkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rr, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rrk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ128rrkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rm, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rmb, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rmbk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rmbkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rmk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rmkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rr, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rrk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZ256rrkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrm, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrmb, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrmbk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrmbkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrmk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrmkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrr, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrrk, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORQZrrkz, X86_INS_VPXORQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORYrm, X86_INS_VPXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORYrr, X86_INS_VPXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX2, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORrm, X86_INS_VPXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VPXORrr, X86_INS_VPXOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128m, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128mb, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128mbk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128mbkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128mk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128mkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128r, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128rk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ128rkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256m, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256mb, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256mbk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256mbkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256mk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256mkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256r, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256rk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZ256rkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZm, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZmb, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZmbk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZmbkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZmk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZmkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZr, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZrk, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PDZrkz, X86_INS_VRCP14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128m, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128mb, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128mbk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128mbkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128mk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128mkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128r, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128rk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ128rkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256m, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256mb, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256mbk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256mbkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256mk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256mkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256r, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256rk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZ256rkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZm, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZmb, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZmbk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZmbkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZmk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZmkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZr, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZrk, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14PSZrkz, X86_INS_VRCP14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14SDrm, X86_INS_VRCP14SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14SDrr, X86_INS_VRCP14SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14SSrm, X86_INS_VRCP14SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP14SSrr, X86_INS_VRCP14SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDm, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDmb, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDmbk, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDmbkz, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDmk, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDmkz, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDr, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDrb, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDrbk, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDrbkz, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDrk, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PDrkz, X86_INS_VRCP28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSm, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSmb, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSmbk, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSmbkz, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSmk, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSmkz, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSr, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSrb, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSrbk, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSrbkz, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSrk, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28PSrkz, X86_INS_VRCP28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDm, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDmk, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDmkz, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDr, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDrb, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDrbk, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDrbkz, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDrk, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SDrkz, X86_INS_VRCP28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSm, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSmk, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSmkz, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSr, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSrb, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSrbk, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSrbkz, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSrk, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCP28SSrkz, X86_INS_VRCP28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSYm, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSYm_Int, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSYr, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSYr_Int, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSm, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSm_Int, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSr, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPPSr_Int, X86_INS_VRCPPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPSSm, X86_INS_VRCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPSSm_Int, X86_INS_VRCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VRCPSSr, X86_INS_VRCPSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALEPDZm, X86_INS_VRNDSCALEPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALEPDZr, X86_INS_VRNDSCALEPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALEPSZm, X86_INS_VRNDSCALEPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALEPSZr, X86_INS_VRNDSCALEPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDm, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDmk, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDmkz, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDr, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDrb, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDrbk, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDrbkz, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDrk, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESDrkz, X86_INS_VRNDSCALESD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSm, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSmk, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSmkz, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSr, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSrb, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSrbk, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSrbkz, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSrk, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRNDSCALESSrkz, X86_INS_VRNDSCALESS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDPDm, X86_INS_VROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDPDr, X86_INS_VROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDPSm, X86_INS_VROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDPSr, X86_INS_VROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSDm, X86_INS_VROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSDr, X86_INS_VROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSDr_Int, X86_INS_VROUNDSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSSm, X86_INS_VROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSSr, X86_INS_VROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDSSr_Int, X86_INS_VROUNDSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDYPDm, X86_INS_VROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDYPDr, X86_INS_VROUNDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDYPSm, X86_INS_VROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VROUNDYPSr, X86_INS_VROUNDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128m, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128mb, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128mbk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128mbkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128mk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128mkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128r, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128rk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ128rkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256m, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256mb, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256mbk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256mbkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256mk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256mkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256r, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256rk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZ256rkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZm, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZmb, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZmbk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZmbkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZmk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZmkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZr, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZrk, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PDZrkz, X86_INS_VRSQRT14PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128m, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128mb, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128mbk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128mbkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128mk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128mkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128r, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128rk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ128rkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256m, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256mb, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256mbk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256mbkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256mk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256mkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256r, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256rk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZ256rkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZm, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZmb, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZmbk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZmbkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZmk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZmkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZr, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZrk, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14PSZrkz, X86_INS_VRSQRT14PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14SDrm, X86_INS_VRSQRT14SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14SDrr, X86_INS_VRSQRT14SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14SSrm, X86_INS_VRSQRT14SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT14SSrr, X86_INS_VRSQRT14SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDm, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDmb, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDmbk, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDmbkz, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDmk, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDmkz, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDr, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDrb, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDrbk, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDrbkz, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDrk, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PDrkz, X86_INS_VRSQRT28PD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSm, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSmb, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSmbk, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSmbkz, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSmk, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSmkz, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSr, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSrb, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSrbk, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSrbkz, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSrk, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28PSrkz, X86_INS_VRSQRT28PS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDm, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDmk, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDmkz, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDr, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDrb, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDrbk, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDrbkz, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDrk, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SDrkz, X86_INS_VRSQRT28SD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSm, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSmk, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSmkz, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSr, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSrb, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSrbk, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSrbkz, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSrk, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRT28SSrkz, X86_INS_VRSQRT28SS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_ERI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSYm, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSYm_Int, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSYr, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSYr_Int, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSm, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSm_Int, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSr, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTPSr_Int, X86_INS_VRSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTSSm, X86_INS_VRSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTSSm_Int, X86_INS_VRSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VRSQRTSSr, X86_INS_VRSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERDPDZmr, X86_INS_VSCATTERDPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERDPSZmr, X86_INS_VSCATTERDPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF0DPDm, X86_INS_VSCATTERPF0DPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF0DPSm, X86_INS_VSCATTERPF0DPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF0QPDm, X86_INS_VSCATTERPF0QPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF0QPSm, X86_INS_VSCATTERPF0QPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF1DPDm, X86_INS_VSCATTERPF1DPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF1DPSm, X86_INS_VSCATTERPF1DPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF1QPDm, X86_INS_VSCATTERPF1QPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERPF1QPSm, X86_INS_VSCATTERPF1QPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PFI, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERQPDZmr, X86_INS_VSCATTERQPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSCATTERQPSZmr, X86_INS_VSCATTERQPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDYrmi, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDYrri, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDZrmi, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDZrri, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDrmi, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPDrri, X86_INS_VSHUFPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSYrmi, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSYrri, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSZrmi, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSZrri, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSrmi, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSHUFPSrri, X86_INS_VSHUFPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDYm, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDYr, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128m, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128mb, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128mbk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128mbkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128mk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128mkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128r, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128rk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ128rkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256m, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256mb, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256mbk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256mbkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256mk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256mkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256r, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256rk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZ256rkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZm, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZmb, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZmbk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZmbkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZmk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZmkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZr, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZrk, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDZrkz, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDm, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPDr, X86_INS_VSQRTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSYm, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSYr, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128m, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128mb, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128mbk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128mbkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128mk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128mkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128r, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128rk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ128rkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256m, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256mb, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256mbk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256mbkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256mk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256mkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256r, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256rk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZ256rkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZm, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZmb, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZmbk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZmbkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZmk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZmkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZr, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZrk, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSZrkz, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSm, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTPSr, X86_INS_VSQRTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDZm, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDZm_Int, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDZr, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDZr_Int, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDm, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDm_Int, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSDr, X86_INS_VSQRTSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSZm, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSZm_Int, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSZr, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSZr_Int, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSm, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSm_Int, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSQRTSSr, X86_INS_VSQRTSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VSTMXCSR, X86_INS_VSTMXCSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDYrm, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDYrr, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rm, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rmb, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rmbk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rmbkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rmk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rmkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rr, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rrk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ128rrkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rm, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rmb, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rmbk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rmbkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rmk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rmkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rr, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rrk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZ256rrkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrb, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrbk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrbkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrm, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrmb, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrmbk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrmbkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrmk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrmkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrr, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrrk, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDZrrkz, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDrm, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPDrr, X86_INS_VSUBPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSYrm, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSYrr, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rm, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rmb, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rmbk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rmbkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rmk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rmkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rr, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rrk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ128rrkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rm, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rmb, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rmbk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rmbkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rmk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rmkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rr, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rrk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZ256rrkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_VLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrb, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrbk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrbkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrm, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrmb, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrmbk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrmbkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrmk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrmkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrr, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrrk, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSZrrkz, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSrm, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBPSrr, X86_INS_VSUBPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrm, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrm_Int, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrm_Intk, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrm_Intkz, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrr, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrr_Int, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrr_Intk, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrr_Intkz, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrrb, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrrbk, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDZrrbkz, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDrm, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDrm_Int, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDrr, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSDrr_Int, X86_INS_VSUBSD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrm, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrm_Int, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrm_Intk, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrm_Intkz, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrr, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrr_Int, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrr_Intk, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrr_Intkz, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrrb, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrrbk, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSZrrbkz, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSrm, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSrm_Int, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSrr, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VSUBSSrr_Int, X86_INS_VSUBSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPDYrm, X86_INS_VTESTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPDYrr, X86_INS_VTESTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPDrm, X86_INS_VTESTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPDrr, X86_INS_VTESTPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPSYrm, X86_INS_VTESTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPSYrr, X86_INS_VTESTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPSrm, X86_INS_VTESTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VTESTPSrr, X86_INS_VTESTPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISDZrm, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISDZrr, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISDrm, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISDrr, X86_INS_VUCOMISD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISSZrm, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISSZrr, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISSrm, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUCOMISSrr, X86_INS_VUCOMISS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDYrm, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDYrr, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDZrm, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDZrr, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDrm, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPDrr, X86_INS_VUNPCKHPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSYrm, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSYrr, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSZrm, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSZrr, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSrm, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKHPSrr, X86_INS_VUNPCKHPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDYrm, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDYrr, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDZrm, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDZrr, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDrm, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPDrr, X86_INS_VUNPCKLPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSYrm, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSYrr, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSZrm, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSZrr, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX512, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSrm, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VUNPCKLPSrr, X86_INS_VUNPCKLPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPDYrm, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPDYrr, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPDrm, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPDrr, X86_INS_VXORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPSYrm, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPSYrr, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPSrm, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VXORPSrr, X86_INS_VXORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_AVX, X86_GRP_NOVLX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VZEROALL, X86_INS_VZEROALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2, X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7, X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12, X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_VZEROUPPER, X86_INS_VZEROUPPER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2, X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7, X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12, X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, 0 }, { X86_GRP_AVX, 0 }, 0, 0
+#endif
+},
+{
+	X86_WAIT, X86_INS_WAIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_WBINVD, X86_INS_WBINVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRFSBASE, X86_INS_WRFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRFSBASE64, X86_INS_WRFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRGSBASE, X86_INS_WRGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRGSBASE64, X86_INS_WRGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRMSR, X86_INS_WRMSR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XABORT, X86_INS_XABORT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RTM, 0 }, 0, 0
+#endif
+},
+{
+	X86_XACQUIRE_PREFIX, X86_INS_XACQUIRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_HLE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD16rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD16rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD32rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD32rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD64rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD64rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD8rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD8rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XBEGIN_2, X86_INS_XBEGIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EAX, 0 }, { X86_GRP_BRANCH_RELATIVE, X86_GRP_RTM, 0 }, 1, 0
+#endif
+},
+{
+	X86_XBEGIN_4, X86_INS_XBEGIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EAX, 0 }, { X86_GRP_BRANCH_RELATIVE, X86_GRP_RTM, 0 }, 1, 0
+#endif
+},
+{
+	X86_XCHG16ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG16rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG16rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32ar64, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG8rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG8rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCH_F, X86_INS_FXCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { X86_GRP_FPU, 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCBC, X86_INS_XCRYPTCBC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCFB, X86_INS_XCRYPTCFB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCTR, X86_INS_XCRYPTCTR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTECB, X86_INS_XCRYPTECB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTOFB, X86_INS_XCRYPTOFB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XEND, X86_INS_XEND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RTM, 0 }, 0, 0
+#endif
+},
+{
+	X86_XGETBV, X86_INS_XGETBV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_EDX, X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XLAT, X86_INS_XLATB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16i16, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32i32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64i32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mi32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64ri32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8i8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XORPDrm, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_XORPDrr, X86_INS_XORPD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE2, 0 }, 0, 0
+#endif
+},
+{
+	X86_XORPSrm, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_XORPSrr, X86_INS_XORPS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_SSE1, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRELEASE_PREFIX, X86_INS_XRELEASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_HLE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTOR, X86_INS_XRSTOR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTOR64, X86_INS_XRSTOR64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTORS, X86_INS_XRSTORS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTORS64, X86_INS_XRSTORS64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVE, X86_INS_XSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVE64, X86_INS_XSAVE64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEC, X86_INS_XSAVEC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEC64, X86_INS_XSAVEC64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEOPT, X86_INS_XSAVEOPT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEOPT64, X86_INS_XSAVEOPT64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVES, X86_INS_XSAVES,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVES64, X86_INS_XSAVES64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSETBV, X86_INS_XSETBV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSHA1, X86_INS_XSHA1,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSHA256, X86_INS_XSHA256,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSTORE, X86_INS_XSTORE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XTEST, X86_INS_XTEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_fdisi8087_nop, X86_INS_FDISI8087_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_feni8087_nop, X86_INS_FENI8087_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_FPSW, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_UD0, X86_INS_UD0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENDBR32, X86_INS_ENDBR32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENDBR64, X86_INS_ENDBR64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsnOp.inc 4.0.2-3/arch/X86/X86MappingInsnOp.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsnOp.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/X86/X86MappingInsnOp.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,33935 @@
+// This is auto-gen data for Capstone disassembly engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{	/* X86_AAA, X86_INS_AAA: aaa */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_AAD8i8, X86_INS_AAD: aad	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_AAM8i8, X86_INS_AAM: aam	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_AAS, X86_INS_AAS: aas */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_ABS_F, X86_INS_FABS: fabs */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_ADC16i16, X86_INS_ADC: adc{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mi, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mi8, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mr, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16ri, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16ri8, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16rm, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16rr, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16rr_REV, X86_INS_ADC: adc{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32i32, X86_INS_ADC: adc{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mi, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mi8, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mr, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32ri, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32ri8, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32rm, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32rr, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32rr_REV, X86_INS_ADC: adc{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64i32, X86_INS_ADC: adc{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mi32, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mi8, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mr, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64ri32, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64ri8, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64rm, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64rr, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64rr_REV, X86_INS_ADC: adc{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8i8, X86_INS_ADC: adc{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mi, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mi8, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mr, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8ri, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8ri8, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8rm, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8rr, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8rr_REV, X86_INS_ADC: adc{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX32rm, X86_INS_ADCX: adcx{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX32rr, X86_INS_ADCX: adcx{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX64rm, X86_INS_ADCX: adcx{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX64rr, X86_INS_ADCX: adcx{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16i16, X86_INS_ADD: add{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mi, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mi8, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mr, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16ri, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16ri8, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16rm, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16rr, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16rr_REV, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32i32, X86_INS_ADD: add{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mi, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mi8, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mr, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32ri, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32ri8, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32rm, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32rr, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32rr_REV, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64i32, X86_INS_ADD: add{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mi32, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mi8, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mr, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64ri32, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64ri8, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64rm, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64rr, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64rr_REV, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8i8, X86_INS_ADD: add{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mi, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mi8, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mr, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8ri, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8ri8, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8rm, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8rr, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8rr_REV, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDPDrm, X86_INS_ADDPD: addpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDPDrr, X86_INS_ADDPD: addpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDPSrm, X86_INS_ADDPS: addps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDPSrr, X86_INS_ADDPS: addps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSDrm, X86_INS_ADDSD: addsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSDrm_Int, X86_INS_ADDSD: addsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADDSDrr, X86_INS_ADDSD: addsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSDrr_Int, X86_INS_ADDSD: addsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSSrm, X86_INS_ADDSS: addss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSSrm_Int, X86_INS_ADDSS: addss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADDSSrr, X86_INS_ADDSS: addss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSSrr_Int, X86_INS_ADDSS: addss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSUBPDrm, X86_INS_ADDSUBPD: addsubpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSUBPDrr, X86_INS_ADDSUBPD: addsubpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSUBPSrm, X86_INS_ADDSUBPS: addsubps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADDSUBPSrr, X86_INS_ADDSUBPS: addsubps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD_F32m, X86_INS_FADD: fadd{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_F64m, X86_INS_FADD: fadd{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_FI16m, X86_INS_FIADD: fiadd{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_FI32m, X86_INS_FIADD: fiadd{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_FPrST0, X86_INS_FADDP: faddp	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_FST0r, X86_INS_FADD: fadd	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ADD_FrST0, X86_INS_FADD: fadd	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX32rm, X86_INS_ADOX: adox{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX32rr, X86_INS_ADOX: adox{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX64rm, X86_INS_ADOX: adox{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX64rr, X86_INS_ADOX: adox{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESDECLASTrm, X86_INS_AESDECLAST: aesdeclast	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESDECLASTrr, X86_INS_AESDECLAST: aesdeclast	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESDECrm, X86_INS_AESDEC: aesdec	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESDECrr, X86_INS_AESDEC: aesdec	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESENCLASTrm, X86_INS_AESENCLAST: aesenclast	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESENCLASTrr, X86_INS_AESENCLAST: aesenclast	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESENCrm, X86_INS_AESENC: aesenc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESENCrr, X86_INS_AESENC: aesenc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESIMCrm, X86_INS_AESIMC: aesimc	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESIMCrr, X86_INS_AESIMC: aesimc	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AESKEYGENASSIST128rm, X86_INS_AESKEYGENASSIST: aeskeygenassist	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AESKEYGENASSIST128rr, X86_INS_AESKEYGENASSIST: aeskeygenassist	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16i16, X86_INS_AND: and{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mi, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mi8, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mr, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16ri, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16ri8, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16rm, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16rr, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16rr_REV, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32i32, X86_INS_AND: and{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mi, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mi8, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mr, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32ri, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32ri8, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32rm, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32rr, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32rr_REV, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64i32, X86_INS_AND: and{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mi32, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mi8, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mr, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64ri32, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64ri8, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64rm, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64rr, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64rr_REV, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8i8, X86_INS_AND: and{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mi, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mi8, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mr, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8ri, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8ri8, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8rm, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8rr, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8rr_REV, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN32rm, X86_INS_ANDN: andn{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN32rr, X86_INS_ANDN: andn{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN64rm, X86_INS_ANDN: andn{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN64rr, X86_INS_ANDN: andn{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDNPDrm, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDNPDrr, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDNPSrm, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDNPSrr, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDPDrm, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDPDrr, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDPSrm, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDPSrr, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ARPL16mr, X86_INS_ARPL: arpl	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ARPL16rr, X86_INS_ARPL: arpl	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR32rm, X86_INS_BEXTR: bextr{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR32rr, X86_INS_BEXTR: bextr{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR64rm, X86_INS_BEXTR: bextr{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR64rr, X86_INS_BEXTR: bextr{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTRI32mi, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI32ri, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI64mi, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI64ri, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BLCFILL32rm, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL32rr, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL64rm, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL64rr, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI32rm, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI32rr, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI64rm, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI64rr, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC32rm, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC32rr, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC64rm, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC64rr, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK32rm, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK32rr, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK64rm, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK64rr, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS32rm, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS32rr, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS64rm, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS64rr, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLENDPDrmi, X86_INS_BLENDPD: blendpd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BLENDPDrri, X86_INS_BLENDPD: blendpd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BLENDPSrmi, X86_INS_BLENDPS: blendps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BLENDPSrri, X86_INS_BLENDPS: blendps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BLENDVPDrm0, X86_INS_BLENDVPD: blendvpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLENDVPDrr0, X86_INS_BLENDVPD: blendvpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLENDVPSrm0, X86_INS_BLENDVPS: blendvps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLENDVPSrr0, X86_INS_BLENDVPS: blendvps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL32rm, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL32rr, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL64rm, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL64rr, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI32rm, X86_INS_BLSI: blsi{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI32rr, X86_INS_BLSI: blsi{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI64rm, X86_INS_BLSI: blsi{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI64rr, X86_INS_BLSI: blsi{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC32rm, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC32rr, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC64rm, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC64rr, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK32rm, X86_INS_BLSMSK: blsmsk{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK32rr, X86_INS_BLSMSK: blsmsk{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK64rm, X86_INS_BLSMSK: blsmsk{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK64rr, X86_INS_BLSMSK: blsmsk{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR32rm, X86_INS_BLSR: blsr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR32rr, X86_INS_BLSR: blsr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR64rm, X86_INS_BLSR: blsr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR64rr, X86_INS_BLSR: blsr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BOUNDS16rm, X86_INS_BOUND: bound	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BOUNDS32rm, X86_INS_BOUND: bound	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF16rm, X86_INS_BSF: bsf{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF16rr, X86_INS_BSF: bsf{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF32rm, X86_INS_BSF: bsf{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF32rr, X86_INS_BSF: bsf{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF64rm, X86_INS_BSF: bsf{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF64rr, X86_INS_BSF: bsf{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR16rm, X86_INS_BSR: bsr{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR16rr, X86_INS_BSR: bsr{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR32rm, X86_INS_BSR: bsr{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR32rr, X86_INS_BSR: bsr{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR64rm, X86_INS_BSR: bsr{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR64rr, X86_INS_BSR: bsr{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSWAP32r, X86_INS_BSWAP: bswap{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_BSWAP64r, X86_INS_BSWAP: bswap{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_BT16mi8, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT16mr, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT16ri8, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT16rr, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT32mi8, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT32mr, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT32ri8, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT32rr, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT64mi8, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT64mr, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT64ri8, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT64rr, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BTC16mi8, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC16mr, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC16ri8, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC16rr, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC32mi8, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC32mr, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC32ri8, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC32rr, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC64mi8, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC64mr, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC64ri8, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC64rr, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR16mi8, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR16mr, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR16ri8, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR16rr, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR32mi8, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR32mr, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR32ri8, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR32rr, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR64mi8, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR64mr, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR64ri8, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR64rr, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS16mi8, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS16mr, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS16ri8, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS16rr, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS32mi8, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS32mr, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS32ri8, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS32rr, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS64mi8, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS64mr, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS64ri8, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS64rr, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI32rm, X86_INS_BZHI: bzhi{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI32rr, X86_INS_BZHI: bzhi{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI64rm, X86_INS_BZHI: bzhi{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI64rr, X86_INS_BZHI: bzhi{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CALL16m, X86_INS_CALL: call{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL16r, X86_INS_CALL: call{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL32m, X86_INS_CALL: call{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL32r, X86_INS_CALL: call{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL64m, X86_INS_CALL: call{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL64pcrel32, X86_INS_CALL: call{q}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALL64r, X86_INS_CALL: call{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALLpcrel16, X86_INS_CALL: call{w}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALLpcrel32, X86_INS_CALL: call{l}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CBW, X86_INS_CBW: cbw */
+	0,
+	{ 0 }
+},
+{	/* X86_CDQ, X86_INS_CDQ: cdq */
+	0,
+	{ 0 }
+},
+{	/* X86_CDQE, X86_INS_CDQE: cdqe */
+	0,
+	{ 0 }
+},
+{	/* X86_CHS_F, X86_INS_FCHS: fchs */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_CLAC, X86_INS_CLAC: clac */
+	X86_EFLAGS_RESET_AC,
+	{ 0 }
+},
+{	/* X86_CLC, X86_INS_CLC: clc */
+	X86_EFLAGS_RESET_CF,
+	{ 0 }
+},
+{	/* X86_CLD, X86_INS_CLD: cld */
+	X86_EFLAGS_RESET_DF,
+	{ 0 }
+},
+{	/* X86_CLFLUSH, X86_INS_CLFLUSH: clflush	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CLFLUSHOPT, X86_INS_CLFLUSHOPT: clflushopt	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CLGI, X86_INS_CLGI: clgi */
+	0,
+	{ 0 }
+},
+{	/* X86_CLI, X86_INS_CLI: cli */
+	X86_EFLAGS_RESET_IF,
+	{ 0 }
+},
+{	/* X86_CLTS, X86_INS_CLTS: clts */
+	0,
+	{ 0 }
+},
+{	/* X86_CLWB, X86_INS_CLWB: clwb	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMC, X86_INS_CMC: cmc */
+	X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_CMOVA16rm, X86_INS_CMOVA: cmova{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA16rr, X86_INS_CMOVA: cmova{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA32rm, X86_INS_CMOVA: cmova{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA32rr, X86_INS_CMOVA: cmova{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA64rm, X86_INS_CMOVA: cmova{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA64rr, X86_INS_CMOVA: cmova{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE16rm, X86_INS_CMOVAE: cmovae{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE16rr, X86_INS_CMOVAE: cmovae{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE32rm, X86_INS_CMOVAE: cmovae{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE32rr, X86_INS_CMOVAE: cmovae{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE64rm, X86_INS_CMOVAE: cmovae{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE64rr, X86_INS_CMOVAE: cmovae{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB16rm, X86_INS_CMOVB: cmovb{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB16rr, X86_INS_CMOVB: cmovb{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB32rm, X86_INS_CMOVB: cmovb{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB32rr, X86_INS_CMOVB: cmovb{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB64rm, X86_INS_CMOVB: cmovb{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB64rr, X86_INS_CMOVB: cmovb{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE16rm, X86_INS_CMOVBE: cmovbe{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE16rr, X86_INS_CMOVBE: cmovbe{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE32rm, X86_INS_CMOVBE: cmovbe{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE32rr, X86_INS_CMOVBE: cmovbe{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE64rm, X86_INS_CMOVBE: cmovbe{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE64rr, X86_INS_CMOVBE: cmovbe{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE_F, X86_INS_FCMOVBE: fcmovbe	st(0), $op */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVB_F, X86_INS_FCMOVB: fcmovb	st(0), $op */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVE16rm, X86_INS_CMOVE: cmove{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE16rr, X86_INS_CMOVE: cmove{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE32rm, X86_INS_CMOVE: cmove{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE32rr, X86_INS_CMOVE: cmove{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE64rm, X86_INS_CMOVE: cmove{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE64rr, X86_INS_CMOVE: cmove{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE_F, X86_INS_FCMOVE: fcmove	st(0), $op */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVG16rm, X86_INS_CMOVG: cmovg{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG16rr, X86_INS_CMOVG: cmovg{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG32rm, X86_INS_CMOVG: cmovg{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG32rr, X86_INS_CMOVG: cmovg{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG64rm, X86_INS_CMOVG: cmovg{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG64rr, X86_INS_CMOVG: cmovg{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE16rm, X86_INS_CMOVGE: cmovge{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE16rr, X86_INS_CMOVGE: cmovge{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE32rm, X86_INS_CMOVGE: cmovge{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE32rr, X86_INS_CMOVGE: cmovge{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE64rm, X86_INS_CMOVGE: cmovge{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE64rr, X86_INS_CMOVGE: cmovge{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL16rm, X86_INS_CMOVL: cmovl{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL16rr, X86_INS_CMOVL: cmovl{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL32rm, X86_INS_CMOVL: cmovl{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL32rr, X86_INS_CMOVL: cmovl{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL64rm, X86_INS_CMOVL: cmovl{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL64rr, X86_INS_CMOVL: cmovl{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE16rm, X86_INS_CMOVLE: cmovle{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE16rr, X86_INS_CMOVLE: cmovle{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE32rm, X86_INS_CMOVLE: cmovle{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE32rr, X86_INS_CMOVLE: cmovle{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE64rm, X86_INS_CMOVLE: cmovle{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE64rr, X86_INS_CMOVLE: cmovle{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNBE_F, X86_INS_FCMOVNBE: fcmovnbe	st(0), $op */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVNB_F, X86_INS_FCMOVNB: fcmovnb	st(0), $op */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVNE16rm, X86_INS_CMOVNE: cmovne{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE16rr, X86_INS_CMOVNE: cmovne{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE32rm, X86_INS_CMOVNE: cmovne{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE32rr, X86_INS_CMOVNE: cmovne{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE64rm, X86_INS_CMOVNE: cmovne{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE64rr, X86_INS_CMOVNE: cmovne{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE_F, X86_INS_FCMOVNE: fcmovne	st(0), $op */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVNO16rm, X86_INS_CMOVNO: cmovno{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO16rr, X86_INS_CMOVNO: cmovno{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO32rm, X86_INS_CMOVNO: cmovno{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO32rr, X86_INS_CMOVNO: cmovno{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO64rm, X86_INS_CMOVNO: cmovno{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO64rr, X86_INS_CMOVNO: cmovno{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP16rm, X86_INS_CMOVNP: cmovnp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP16rr, X86_INS_CMOVNP: cmovnp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP32rm, X86_INS_CMOVNP: cmovnp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP32rr, X86_INS_CMOVNP: cmovnp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP64rm, X86_INS_CMOVNP: cmovnp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP64rr, X86_INS_CMOVNP: cmovnp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP_F, X86_INS_FCMOVNU: fcmovnu	st(0), $op */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVNS16rm, X86_INS_CMOVNS: cmovns{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS16rr, X86_INS_CMOVNS: cmovns{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS32rm, X86_INS_CMOVNS: cmovns{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS32rr, X86_INS_CMOVNS: cmovns{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS64rm, X86_INS_CMOVNS: cmovns{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS64rr, X86_INS_CMOVNS: cmovns{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO16rm, X86_INS_CMOVO: cmovo{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO16rr, X86_INS_CMOVO: cmovo{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO32rm, X86_INS_CMOVO: cmovo{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO32rr, X86_INS_CMOVO: cmovo{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO64rm, X86_INS_CMOVO: cmovo{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO64rr, X86_INS_CMOVO: cmovo{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP16rm, X86_INS_CMOVP: cmovp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP16rr, X86_INS_CMOVP: cmovp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP32rm, X86_INS_CMOVP: cmovp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP32rr, X86_INS_CMOVP: cmovp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP64rm, X86_INS_CMOVP: cmovp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP64rr, X86_INS_CMOVP: cmovp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP_F, X86_INS_FCMOVU: fcmovu	st(0), $op */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, CS_AC_WRITE, 0 }
+},
+{	/* X86_CMOVS16rm, X86_INS_CMOVS: cmovs{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS16rr, X86_INS_CMOVS: cmovs{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS32rm, X86_INS_CMOVS: cmovs{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS32rr, X86_INS_CMOVS: cmovs{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS64rm, X86_INS_CMOVS: cmovs{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS64rr, X86_INS_CMOVS: cmovs{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16i16, X86_INS_CMP: cmp{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mi, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mi8, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mr, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16ri, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16ri8, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16rm, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16rr, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16rr_REV, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32i32, X86_INS_CMP: cmp{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mi, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mi8, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mr, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32ri, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32ri8, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32rm, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32rr, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32rr_REV, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64i32, X86_INS_CMP: cmp{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mi32, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mi8, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mr, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64ri32, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64ri8, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64rm, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64rr, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64rr_REV, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8i8, X86_INS_CMP: cmp{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mi, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mi8, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mr, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8ri, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8ri8, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8rm, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8rr, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8rr_REV, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPPDrmi, X86_INS_CMPPD: cmp${cc}pd	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPPDrmi_alt, X86_INS_CMPPD: cmppd	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPPDrri, X86_INS_CMPPD: cmp${cc}pd	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPPDrri_alt, X86_INS_CMPPD: cmppd	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPPSrmi, X86_INS_CMPPS: cmp${cc}ps	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPPSrmi_alt, X86_INS_CMPPS: cmpps	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPPSrri, X86_INS_CMPPS: cmp${cc}ps	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPPSrri_alt, X86_INS_CMPPS: cmpps	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSB, X86_INS_CMPSB: cmpsb	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSDrm, X86_INS_CMPSD: cmp${cc}sd	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSDrm_alt, X86_INS_CMPSD: cmpsd	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSDrr, X86_INS_CMPSD: cmp${cc}sd	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSDrr_alt, X86_INS_CMPSD: cmpsd	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSL, X86_INS_CMPSD: cmps{l|d}	{$dst, $src|$src, $dst} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSQ, X86_INS_CMPSQ: cmpsq	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSSrm, X86_INS_CMPSS: cmp${cc}ss	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSSrm_alt, X86_INS_CMPSS: cmpss	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSSrr, X86_INS_CMPSS: cmp${cc}ss	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSSrr_alt, X86_INS_CMPSS: cmpss	$dst, $src2, $cc */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSW, X86_INS_CMPSW: cmpsw	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16B, X86_INS_CMPXCHG16B: cmpxchg16b	$dst */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16rm, X86_INS_CMPXCHG: cmpxchg{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16rr, X86_INS_CMPXCHG: cmpxchg{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG32rm, X86_INS_CMPXCHG: cmpxchg{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG32rr, X86_INS_CMPXCHG: cmpxchg{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG64rm, X86_INS_CMPXCHG: cmpxchg{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG64rr, X86_INS_CMPXCHG: cmpxchg{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8B, X86_INS_CMPXCHG8B: cmpxchg8b	$dst */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8rm, X86_INS_CMPXCHG: cmpxchg{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8rr, X86_INS_CMPXCHG: cmpxchg{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_COMISDrm, X86_INS_COMISD: comisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_COMISDrr, X86_INS_COMISD: comisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_COMISSrm, X86_INS_COMISS: comiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_COMISSrr, X86_INS_COMISS: comiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_COMP_FST0r, X86_INS_FCOMP: fcomp	$op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_COM_FIPr, X86_INS_FCOMIP: fcomip	$reg */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_COM_FIr, X86_INS_FCOMI: fcomi	$reg */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_COM_FST0r, X86_INS_FCOM: fcom	$op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_COS_F, X86_INS_FCOS: fcos */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_CPUID, X86_INS_CPUID: cpuid */
+	0,
+	{ 0 }
+},
+{	/* X86_CQO, X86_INS_CQO: cqo */
+	0,
+	{ 0 }
+},
+{	/* X86_CRC32r32m16, X86_INS_CRC32: crc32{w}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r32m32, X86_INS_CRC32: crc32{l}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r32m8, X86_INS_CRC32: crc32{b}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r32r16, X86_INS_CRC32: crc32{w}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r32r32, X86_INS_CRC32: crc32{l}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r32r8, X86_INS_CRC32: crc32{b}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r64m64, X86_INS_CRC32: crc32{q}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r64m8, X86_INS_CRC32: crc32{b}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r64r64, X86_INS_CRC32: crc32{q}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CRC32r64r8, X86_INS_CRC32: crc32{b}	$src1, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTDQ2PDrm, X86_INS_CVTDQ2PD: cvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTDQ2PDrr, X86_INS_CVTDQ2PD: cvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTDQ2PSrm, X86_INS_CVTDQ2PS: cvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTDQ2PSrr, X86_INS_CVTDQ2PS: cvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPD2DQrm, X86_INS_CVTPD2DQ: cvtpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPD2DQrr, X86_INS_CVTPD2DQ: cvtpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPD2PSrm, X86_INS_CVTPD2PS: cvtpd2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPD2PSrr, X86_INS_CVTPD2PS: cvtpd2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPS2DQrm, X86_INS_CVTPS2DQ: cvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPS2DQrr, X86_INS_CVTPS2DQ: cvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPS2PDrm, X86_INS_CVTPS2PD: cvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTPS2PDrr, X86_INS_CVTPS2PD: cvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSD2SI64rm, X86_INS_CVTSD2SI: cvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CVTSD2SI64rr, X86_INS_CVTSD2SI: cvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSD2SIrm, X86_INS_CVTSD2SI: cvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CVTSD2SIrr, X86_INS_CVTSD2SI: cvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSD2SSrm, X86_INS_CVTSD2SS: cvtsd2ss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSD2SSrr, X86_INS_CVTSD2SS: cvtsd2ss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SD64rm, X86_INS_CVTSI2SD: cvtsi2sd{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SD64rr, X86_INS_CVTSI2SD: cvtsi2sd{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SDrm, X86_INS_CVTSI2SD: cvtsi2sd{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SDrr, X86_INS_CVTSI2SD: cvtsi2sd{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SS64rm, X86_INS_CVTSI2SS: cvtsi2ss{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SS64rr, X86_INS_CVTSI2SS: cvtsi2ss{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SSrm, X86_INS_CVTSI2SS: cvtsi2ss{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSI2SSrr, X86_INS_CVTSI2SS: cvtsi2ss{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSS2SDrm, X86_INS_CVTSS2SD: cvtss2sd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSS2SDrr, X86_INS_CVTSS2SD: cvtss2sd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSS2SI64rm, X86_INS_CVTSS2SI: cvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CVTSS2SI64rr, X86_INS_CVTSS2SI: cvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTSS2SIrm, X86_INS_CVTSS2SI: cvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CVTSS2SIrr, X86_INS_CVTSS2SI: cvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTPD2DQrm, X86_INS_CVTTPD2DQ: cvttpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTPD2DQrr, X86_INS_CVTTPD2DQ: cvttpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTPS2DQrm, X86_INS_CVTTPS2DQ: cvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTPS2DQrr, X86_INS_CVTTPS2DQ: cvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSD2SI64rm, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSD2SI64rr, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSD2SIrm, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSD2SIrr, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSS2SI64rm, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSS2SI64rr, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSS2SIrm, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CVTTSS2SIrr, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CWD, X86_INS_CWD: cwd */
+	0,
+	{ 0 }
+},
+{	/* X86_CWDE, X86_INS_CWDE: cwde */
+	0,
+	{ 0 }
+},
+{	/* X86_DAA, X86_INS_DAA: daa */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_DAS, X86_INS_DAS: das */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_DATA16_PREFIX, X86_INS_DATA16: data16 */
+	0,
+	{ 0 }
+},
+{	/* X86_DEC16m, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC16r, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC16r_alt, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32m, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32r, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32r_alt, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC64m, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC64r, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC8m, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC8r, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DIV16m, X86_INS_DIV: div{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV16r, X86_INS_DIV: div{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV32m, X86_INS_DIV: div{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV32r, X86_INS_DIV: div{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV64m, X86_INS_DIV: div{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV64r, X86_INS_DIV: div{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV8m, X86_INS_DIV: div{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV8r, X86_INS_DIV: div{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVPDrm, X86_INS_DIVPD: divpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVPDrr, X86_INS_DIVPD: divpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVPSrm, X86_INS_DIVPS: divps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVPSrr, X86_INS_DIVPS: divps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_F32m, X86_INS_FDIVR: fdivr{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_F64m, X86_INS_FDIVR: fdivr{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_FI16m, X86_INS_FIDIVR: fidivr{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_FI32m, X86_INS_FIDIVR: fidivr{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_FPrST0, X86_INS_FDIVRP: fdivrp	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_FST0r, X86_INS_FDIVR: fdivr	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIVR_FrST0, X86_INS_FDIVR: fdiv{|r}	{%st(0), $op|$op, st(0)} */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSDrm, X86_INS_DIVSD: divsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSDrm_Int, X86_INS_DIVSD: divsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_DIVSDrr, X86_INS_DIVSD: divsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSDrr_Int, X86_INS_DIVSD: divsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSSrm, X86_INS_DIVSS: divss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSSrm_Int, X86_INS_DIVSS: divss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_DIVSSrr, X86_INS_DIVSS: divss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIVSSrr_Int, X86_INS_DIVSS: divss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_DIV_F32m, X86_INS_FDIV: fdiv{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_F64m, X86_INS_FDIV: fdiv{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_FI16m, X86_INS_FIDIV: fidiv{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_FI32m, X86_INS_FIDIV: fidiv{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_FPrST0, X86_INS_FDIVP: fdiv{r}p	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_FST0r, X86_INS_FDIV: fdiv	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV_FrST0, X86_INS_FDIV: fdiv{r}	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_DPPDrmi, X86_INS_DPPD: dppd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_DPPDrri, X86_INS_DPPD: dppd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_DPPSrmi, X86_INS_DPPS: dpps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_DPPSrri, X86_INS_DPPS: dpps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ENCLS, X86_INS_ENCLS: encls */
+	0,
+	{ 0 }
+},
+{	/* X86_ENCLU, X86_INS_ENCLU: enclu */
+	0,
+	{ 0 }
+},
+{	/* X86_ENTER, X86_INS_ENTER: enter	$len, $lvl */
+	0,
+	{ CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_EXTRACTPSmr, X86_INS_EXTRACTPS: extractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_EXTRACTPSrr, X86_INS_EXTRACTPS: extractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_EXTRQ, X86_INS_EXTRQ: extrq	$src, $mask */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_EXTRQI, X86_INS_EXTRQ: extrq	$src, $len, $idx */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_F2XM1, X86_INS_F2XM1: f2xm1 */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FARCALL16i, X86_INS_LCALL: lcall{w}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARCALL16m, X86_INS_LCALL: lcall{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARCALL32i, X86_INS_LCALL: lcall{l}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARCALL32m, X86_INS_LCALL: lcall{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARCALL64, X86_INS_LCALL: lcall{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP16i, X86_INS_LJMP: ljmp{w}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP16m, X86_INS_LJMP: ljmp{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARJMP32i, X86_INS_LJMP: ljmp{l}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP32m, X86_INS_LJMP: ljmp{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARJMP64, X86_INS_LJMP: ljmp{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FBLDm, X86_INS_FBLD: fbld	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FBSTPm, X86_INS_FBSTP: fbstp	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FCOM32m, X86_INS_FCOM: fcom{s}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FCOM64m, X86_INS_FCOM: fcom{l}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FCOMP32m, X86_INS_FCOMP: fcomp{s}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FCOMP64m, X86_INS_FCOMP: fcomp{l}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FCOMPP, X86_INS_FCOMPP: fcompp */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_FDECSTP, X86_INS_FDECSTP: fdecstp */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FEMMS, X86_INS_FEMMS: femms */
+	0,
+	{ 0 }
+},
+{	/* X86_FFREE, X86_INS_FFREE: ffree	$reg */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FICOM16m, X86_INS_FICOM: ficom{s}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FICOM32m, X86_INS_FICOM: ficom{l}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FICOMP16m, X86_INS_FICOMP: ficomp{s}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FICOMP32m, X86_INS_FICOMP: ficomp{l}	$src */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FINCSTP, X86_INS_FINCSTP: fincstp */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FLDCW16m, X86_INS_FLDCW: fldcw	$dst */
+	X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FLDENVm, X86_INS_FLDENV: fldenv	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FLDL2E, X86_INS_FLDL2E: fldl2e */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FLDL2T, X86_INS_FLDL2T: fldl2t */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FLDLG2, X86_INS_FLDLG2: fldlg2 */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FLDLN2, X86_INS_FLDLN2: fldln2 */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FLDPI, X86_INS_FLDPI: fldpi */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FNCLEX, X86_INS_FNCLEX: fnclex */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FNINIT, X86_INS_FNINIT: fninit */
+	X86_FPU_FLAGS_RESET_C0 | X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_RESET_C2 | X86_FPU_FLAGS_RESET_C3,
+	{ 0 }
+},
+{	/* X86_FNOP, X86_INS_FNOP: fnop */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FNSTCW16m, X86_INS_FNSTCW: fnstcw	$dst */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FNSTSW16r, X86_INS_FNSTSW: fnstsw	ax */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FNSTSWm, X86_INS_FNSTSW: fnstsw	$dst */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FPATAN, X86_INS_FPATAN: fpatan */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FPREM, X86_INS_FPREM: fprem */
+	X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_FPREM1, X86_INS_FPREM1: fprem1 */
+	X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_FPTAN, X86_INS_FPTAN: fptan */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FP_FFREEP, X86_INS_FFREEP: ffreep	$op */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FRNDINT, X86_INS_FRNDINT: frndint */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FRSTORm, X86_INS_FRSTOR: frstor	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FSAVEm, X86_INS_FNSAVE: fnsave	$dst */
+	X86_FPU_FLAGS_RESET_C0 | X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_RESET_C2 | X86_FPU_FLAGS_RESET_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FSCALE, X86_INS_FSCALE: fscale */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FSETPM, X86_INS_FSETPM: fsetpm */
+	0,
+	{ 0 }
+},
+{	/* X86_FSINCOS, X86_INS_FSINCOS: fsincos */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FSTENVm, X86_INS_FNSTENV: fnstenv	$dst */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FXAM, X86_INS_FXAM: fxam */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_FXRSTOR, X86_INS_FXRSTOR: fxrstor	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FXRSTOR64, X86_INS_FXRSTOR64: fxrstor64	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FXSAVE, X86_INS_FXSAVE: fxsave	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FXSAVE64, X86_INS_FXSAVE64: fxsave64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_FXTRACT, X86_INS_FXTRACT: fxtract */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FYL2X, X86_INS_FYL2X: fyl2x */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FYL2XP1, X86_INS_FYL2XP1: fyl2xp1 */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_FsANDNPDrm, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDNPDrr, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDNPSrm, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDNPSrr, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDPDrm, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDPDrr, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDPSrm, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsANDPSrr, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsMOVAPDrm, X86_INS_MOVAPD: movapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsMOVAPSrm, X86_INS_MOVAPS: movaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsORPDrm, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsORPDrr, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsORPSrm, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsORPSrr, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsVMOVAPDrm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsVMOVAPSrm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsXORPDrm, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsXORPDrr, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsXORPSrm, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FsXORPSrr, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDNPDrm, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDNPDrr, X86_INS_ANDNPD: andnpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDNPSrm, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDNPSrr, X86_INS_ANDNPS: andnps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDPDrm, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDPDrr, X86_INS_ANDPD: andpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDPSrm, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvANDPSrr, X86_INS_ANDPS: andps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvORPDrm, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvORPDrr, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvORPSrm, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvORPSrr, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvXORPDrm, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvXORPDrr, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvXORPSrm, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_FvXORPSrr, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_GETSEC, X86_INS_GETSEC: getsec */
+	0,
+	{ 0 }
+},
+{	/* X86_HADDPDrm, X86_INS_HADDPD: haddpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HADDPDrr, X86_INS_HADDPD: haddpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HADDPSrm, X86_INS_HADDPS: haddps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HADDPSrr, X86_INS_HADDPS: haddps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HLT, X86_INS_HLT: hlt */
+	0,
+	{ 0 }
+},
+{	/* X86_HSUBPDrm, X86_INS_HSUBPD: hsubpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HSUBPDrr, X86_INS_HSUBPD: hsubpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HSUBPSrm, X86_INS_HSUBPS: hsubps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_HSUBPSrr, X86_INS_HSUBPS: hsubps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IDIV16m, X86_INS_IDIV: idiv{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV16r, X86_INS_IDIV: idiv{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV32m, X86_INS_IDIV: idiv{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV32r, X86_INS_IDIV: idiv{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV64m, X86_INS_IDIV: idiv{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV64r, X86_INS_IDIV: idiv{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV8m, X86_INS_IDIV: idiv{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV8r, X86_INS_IDIV: idiv{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ILD_F16m, X86_INS_FILD: fild{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ILD_F32m, X86_INS_FILD: fild{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ILD_F64m, X86_INS_FILD: fild{ll}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16m, X86_INS_IMUL: imul{w}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16r, X86_INS_IMUL: imul{w}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rm, X86_INS_IMUL: imul{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rmi, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rmi8, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rr, X86_INS_IMUL: imul{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rri, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rri8, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32m, X86_INS_IMUL: imul{l}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32r, X86_INS_IMUL: imul{l}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rm, X86_INS_IMUL: imul{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rmi, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rmi8, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rr, X86_INS_IMUL: imul{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rri, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rri8, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64m, X86_INS_IMUL: imul{q}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64r, X86_INS_IMUL: imul{q}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rm, X86_INS_IMUL: imul{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rmi32, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rmi8, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rr, X86_INS_IMUL: imul{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rri32, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rri8, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL8m, X86_INS_IMUL: imul{b}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL8r, X86_INS_IMUL: imul{b}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IN16ri, X86_INS_IN: in{w}	ax, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN16rr, X86_INS_IN: in{w}	ax, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IN32ri, X86_INS_IN: in{l}	eax, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN32rr, X86_INS_IN: in{l}	eax, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IN8ri, X86_INS_IN: in{b}	al, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN8rr, X86_INS_IN: in{b}	al, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_INC16m, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC16r, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC16r_alt, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32m, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32r, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32r_alt, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC64m, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC64r, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC8m, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC8r, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INSB, X86_INS_INSB: insb	$dst, dx */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_INSERTPSrm, X86_INS_INSERTPS: insertps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_INSERTPSrr, X86_INS_INSERTPS: insertps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_INSERTQ, X86_INS_INSERTQ: insertq	$src, $mask */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_INSERTQI, X86_INS_INSERTQ: insertq	$src, $src2, $len, $idx */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_INSL, X86_INS_INSD: ins{l|d}	{%dx, $dst|$dst, dx} */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_INSW, X86_INS_INSW: insw	$dst, dx */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_INT, X86_INS_INT: int	$trap */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_INT1, X86_INS_INT1: int1 */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INT3, X86_INS_INT3: int3 */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INTO, X86_INS_INTO: into */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INVD, X86_INS_INVD: invd */
+	0,
+	{ 0 }
+},
+{	/* X86_INVEPT32, X86_INS_INVEPT: invept	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVEPT64, X86_INS_INVEPT: invept	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVLPG, X86_INS_INVLPG: invlpg	$addr */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_INVLPGA32, X86_INS_INVLPGA: invlpga	eax, ecx */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVLPGA64, X86_INS_INVLPGA: invlpga	rax, ecx */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVPCID32, X86_INS_INVPCID: invpcid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVPCID64, X86_INS_INVPCID: invpcid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVVPID32, X86_INS_INVVPID: invvpid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVVPID64, X86_INS_INVVPID: invvpid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_IRET16, X86_INS_IRET: iret{w} */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_IRET32, X86_INS_IRETD: iretd */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_IRET64, X86_INS_IRETQ: iretq */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_ISTT_FP16m, X86_INS_FISTTP: fisttp{s}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ISTT_FP32m, X86_INS_FISTTP: fisttp{l}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ISTT_FP64m, X86_INS_FISTTP: fisttp{ll}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IST_F16m, X86_INS_FIST: fist{s}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IST_F32m, X86_INS_FIST: fist{l}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IST_FP16m, X86_INS_FISTP: fistp{s}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IST_FP32m, X86_INS_FISTP: fistp{l}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IST_FP64m, X86_INS_FISTP: fistp{ll}	$dst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_Int_CMPSDrm, X86_INS_CMPSD: cmp${cc}sd	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CMPSDrr, X86_INS_CMPSD: cmp${cc}sd	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CMPSSrm, X86_INS_CMPSS: cmp${cc}ss	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CMPSSrr, X86_INS_CMPSS: cmp${cc}ss	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_COMISDrm, X86_INS_COMISD: comisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_COMISDrr, X86_INS_COMISD: comisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_COMISSrm, X86_INS_COMISS: comiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_COMISSrr, X86_INS_COMISS: comiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSD2SSrm, X86_INS_CVTSD2SS: cvtsd2ss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTSD2SSrr, X86_INS_CVTSD2SS: cvtsd2ss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SD64rm, X86_INS_CVTSI2SD: cvtsi2sd{q}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SD64rr, X86_INS_CVTSI2SD: cvtsi2sd{q}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SDrm, X86_INS_CVTSI2SD: cvtsi2sd{l}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SDrr, X86_INS_CVTSI2SD: cvtsi2sd{l}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SS64rm, X86_INS_CVTSI2SS: cvtsi2ss{q}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SS64rr, X86_INS_CVTSI2SS: cvtsi2ss{q}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SSrm, X86_INS_CVTSI2SS: cvtsi2ss{l}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSI2SSrr, X86_INS_CVTSI2SS: cvtsi2ss{l}	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTSS2SDrm, X86_INS_CVTSS2SD: cvtss2sd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTSS2SDrr, X86_INS_CVTSS2SD: cvtss2sd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTTSD2SI64rm, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTTSD2SI64rr, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTTSD2SIrm, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTTSD2SIrr, X86_INS_CVTTSD2SI: cvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTTSS2SI64rm, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTTSS2SI64rr, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_CVTTSS2SIrm, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_CVTTSS2SIrr, X86_INS_CVTTSS2SI: cvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_UCOMISDrm, X86_INS_UCOMISD: ucomisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_UCOMISDrr, X86_INS_UCOMISD: ucomisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_UCOMISSrm, X86_INS_UCOMISS: ucomiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_UCOMISSrr, X86_INS_UCOMISS: ucomiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCMPSDrm, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCMPSDrr, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCMPSSrm, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCMPSSrr, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISDZrm, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISDZrr, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISDrm, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISDrr, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISSZrm, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISSZrr, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISSrm, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCOMISSrr, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSD2SSrm, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTSD2SSrr, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SD64Zrm, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SD64Zrr, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SD64rm, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SD64rr, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SDZrm, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SDZrr, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SDrm, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SDrr, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SS64Zrm, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SS64Zrr, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SS64rm, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SS64rr, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SSZrm, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SSZrr, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SSrm, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSI2SSrr, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTSS2SDrm, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTSS2SDrr, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_Int_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SD64Zrm, X86_INS_VCVTUSI2SD: vcvtusi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SD64Zrr, X86_INS_VCVTUSI2SD: vcvtusi2sd{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD: vcvtusi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD: vcvtusi2sd{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SS64Zrm, X86_INS_VCVTUSI2SS: vcvtusi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SS64Zrr, X86_INS_VCVTUSI2SS: vcvtusi2ss{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS: vcvtusi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS: vcvtusi2ss{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISDZrm, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISDZrr, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISDrm, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISDrr, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISSZrm, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISSZrr, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISSrm, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_Int_VUCOMISSrr, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_JAE_1, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JAE_2, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JAE_4, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_1, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_2, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_4, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_1, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_2, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_4, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_1, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_2, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_4, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JCXZ, X86_INS_JCXZ: jcxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JECXZ, X86_INS_JECXZ: jecxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_1, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_2, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_4, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_1, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_2, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_4, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_1, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_2, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_4, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_1, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_2, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_4, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_1, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_2, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_4, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP16m, X86_INS_JMP: jmp{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP16r, X86_INS_JMP: jmp{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP32m, X86_INS_JMP: jmp{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP32r, X86_INS_JMP: jmp{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP64m, X86_INS_JMP: jmp{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP64r, X86_INS_JMP: jmp{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP_1, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP_2, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP_4, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_1, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_2, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_4, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_1, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_2, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_4, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_1, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_2, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_4, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_1, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_2, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_4, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_1, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_2, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_4, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_1, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_2, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_4, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JRCXZ, X86_INS_JRCXZ: jrcxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_1, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_2, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_4, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_KANDBrr, X86_INS_KANDB: kandb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDDrr, X86_INS_KANDD: kandd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDNBrr, X86_INS_KANDNB: kandnb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDNDrr, X86_INS_KANDND: kandnd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDNQrr, X86_INS_KANDNQ: kandnq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDNWrr, X86_INS_KANDNW: kandnw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDQrr, X86_INS_KANDQ: kandq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KANDWrr, X86_INS_KANDW: kandw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVBkk, X86_INS_KMOVB: kmovb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVBkm, X86_INS_KMOVB: kmovb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVBkr, X86_INS_KMOVB: kmovb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVBmk, X86_INS_KMOVB: kmovb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVBrk, X86_INS_KMOVB: kmovb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVDkk, X86_INS_KMOVD: kmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVDkm, X86_INS_KMOVD: kmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVDkr, X86_INS_KMOVD: kmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVDmk, X86_INS_KMOVD: kmovd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVDrk, X86_INS_KMOVD: kmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVQkk, X86_INS_KMOVQ: kmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVQkm, X86_INS_KMOVQ: kmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVQkr, X86_INS_KMOVQ: kmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVQmk, X86_INS_KMOVQ: kmovq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVQrk, X86_INS_KMOVQ: kmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVWkk, X86_INS_KMOVW: kmovw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVWkm, X86_INS_KMOVW: kmovw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVWkr, X86_INS_KMOVW: kmovw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVWmk, X86_INS_KMOVW: kmovw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KMOVWrk, X86_INS_KMOVW: kmovw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KNOTBrr, X86_INS_KNOTB: knotb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KNOTDrr, X86_INS_KNOTD: knotd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KNOTQrr, X86_INS_KNOTQ: knotq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KNOTWrr, X86_INS_KNOTW: knotw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_KORBrr, X86_INS_KORB: korb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORDrr, X86_INS_KORD: kord	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORQrr, X86_INS_KORQ: korq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORTESTBrr, X86_INS_KORTESTB: kortestb	$src1, $src2 */
+	X86_REG_EFLAGS,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORTESTDrr, X86_INS_KORTESTD: kortestd	$src1, $src2 */
+	X86_REG_EFLAGS,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORTESTQrr, X86_INS_KORTESTQ: kortestq	$src1, $src2 */
+	X86_REG_EFLAGS,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORTESTWrr, X86_INS_KORTESTW: kortestw	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KORWrr, X86_INS_KORW: korw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KSHIFTLBri, X86_INS_KSHIFTLB: kshiftlb	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTLDri, X86_INS_KSHIFTLD: kshiftld	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTLQri, X86_INS_KSHIFTLQ: kshiftlq	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTLWri, X86_INS_KSHIFTLW: kshiftlw	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTRBri, X86_INS_KSHIFTRB: kshiftrb	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTRDri, X86_INS_KSHIFTRD: kshiftrd	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTRQri, X86_INS_KSHIFTRQ: kshiftrq	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KSHIFTRWri, X86_INS_KSHIFTRW: kshiftrw	$dst, $src, $imm */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_KUNPCKBWrr, X86_INS_KUNPCKBW: kunpckbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXNORBrr, X86_INS_KXNORB: kxnorb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXNORDrr, X86_INS_KXNORD: kxnord	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXNORQrr, X86_INS_KXNORQ: kxnorq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXNORWrr, X86_INS_KXNORW: kxnorw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXORBrr, X86_INS_KXORB: kxorb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXORDrr, X86_INS_KXORD: kxord	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXORQrr, X86_INS_KXORQ: kxorq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_KXORWrr, X86_INS_KXORW: kxorw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LAHF, X86_INS_LAHF: lahf */
+	0,
+	{ 0 }
+},
+{	/* X86_LAR16rm, X86_INS_LAR: lar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR16rr, X86_INS_LAR: lar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR32rm, X86_INS_LAR: lar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR32rr, X86_INS_LAR: lar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR64rm, X86_INS_LAR: lar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR64rr, X86_INS_LAR: lar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG16, X86_INS_CMPXCHG: cmpxchg{w}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG16B, X86_INS_CMPXCHG16B: cmpxchg16b	$ptr */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG32, X86_INS_CMPXCHG: cmpxchg{l}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG64, X86_INS_CMPXCHG: cmpxchg{q}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG8, X86_INS_CMPXCHG: cmpxchg{b}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG8B, X86_INS_CMPXCHG8B: cmpxchg8b	$ptr */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LDDQUrm, X86_INS_LDDQU: lddqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LDMXCSR, X86_INS_LDMXCSR: ldmxcsr	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LDS16rm, X86_INS_LDS: lds{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LDS32rm, X86_INS_LDS: lds{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LD_F0, X86_INS_FLDZ: fldz */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_LD_F1, X86_INS_FLD1: fld1 */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_LD_F32m, X86_INS_FLD: fld{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LD_F64m, X86_INS_FLD: fld{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LD_F80m, X86_INS_FLD: fld{t}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LD_Frr, X86_INS_FLD: fld	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LEA16r, X86_INS_LEA: lea{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LEA32r, X86_INS_LEA: lea{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LEA64_32r, X86_INS_LEA: lea{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LEA64r, X86_INS_LEA: lea{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LEAVE, X86_INS_LEAVE: leave */
+	0,
+	{ 0 }
+},
+{	/* X86_LEAVE64, X86_INS_LEAVE: leave */
+	0,
+	{ 0 }
+},
+{	/* X86_LES16rm, X86_INS_LES: les{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LES32rm, X86_INS_LES: les{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFENCE, X86_INS_LFENCE: lfence */
+	0,
+	{ 0 }
+},
+{	/* X86_LFS16rm, X86_INS_LFS: lfs{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFS32rm, X86_INS_LFS: lfs{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFS64rm, X86_INS_LFS: lfs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGDT16m, X86_INS_LGDT: lgdt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGDT32m, X86_INS_LGDT: lgdt{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGDT64m, X86_INS_LGDT: lgdt{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGS16rm, X86_INS_LGS: lgs{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGS32rm, X86_INS_LGS: lgs{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGS64rm, X86_INS_LGS: lgs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LIDT16m, X86_INS_LIDT: lidt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LIDT32m, X86_INS_LIDT: lidt{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LIDT64m, X86_INS_LIDT: lidt{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LLDT16m, X86_INS_LLDT: lldt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LLDT16r, X86_INS_LLDT: lldt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LMSW16m, X86_INS_LMSW: lmsw{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LMSW16r, X86_INS_LMSW: lmsw{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD16mi, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD16mi8, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD16mr, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD32mi, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD32mi8, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD32mr, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD64mi32, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD64mi8, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD64mr, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD8mi, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD8mr, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND16mi, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND16mi8, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND16mr, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND32mi, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND32mi8, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND32mr, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND64mi32, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND64mi8, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND64mr, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND8mi, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND8mr, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC16m, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC32m, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC64m, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC8m, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC16m, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC32m, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC64m, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC8m, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR16mi, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR16mi8, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR16mr, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR32mi, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR32mi8, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR32mr, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR64mi32, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR64mi8, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR64mr, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR8mi, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR8mr, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB16mi, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB16mi8, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB16mr, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB32mi, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB32mi8, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB32mr, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB64mi32, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB64mi8, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB64mr, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB8mi, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB8mr, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR16mi, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR16mi8, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR16mr, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR32mi, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR32mi8, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR32mr, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR64mi32, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR64mi8, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR64mr, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR8mi, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR8mr, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LODSB, X86_INS_LODSB: lodsb	al, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSL, X86_INS_LODSD: lods{l|d}	{$src, %eax|eax, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSQ, X86_INS_LODSQ: lodsq	rax, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSW, X86_INS_LODSW: lodsw	ax, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LOOP, X86_INS_LOOP: loop	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOOPE, X86_INS_LOOPE: loope	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOOPNE, X86_INS_LOOPNE: loopne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIL, X86_INS_RETF: {l}retf	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIQ, X86_INS_RETFQ: {l}retfq	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIW, X86_INS_RETF: {l}retf	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETL, X86_INS_RETF: {l}retf */
+	0,
+	{ 0 }
+},
+{	/* X86_LRETQ, X86_INS_RETFQ: {l}retfq */
+	0,
+	{ 0 }
+},
+{	/* X86_LRETW, X86_INS_RETF: {l}retf */
+	0,
+	{ 0 }
+},
+{	/* X86_LSL16rm, X86_INS_LSL: lsl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL16rr, X86_INS_LSL: lsl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL32rm, X86_INS_LSL: lsl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL32rr, X86_INS_LSL: lsl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL64rm, X86_INS_LSL: lsl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL64rr, X86_INS_LSL: lsl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS16rm, X86_INS_LSS: lss{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS32rm, X86_INS_LSS: lss{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS64rm, X86_INS_LSS: lss{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LTRm, X86_INS_LTR: ltr{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LTRr, X86_INS_LTR: ltr{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LXADD16, X86_INS_XADD: xadd{w}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD32, X86_INS_XADD: xadd{l}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD64, X86_INS_XADD: xadd{q}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD8, X86_INS_XADD: xadd{b}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LZCNT16rm, X86_INS_LZCNT: lzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT16rr, X86_INS_LZCNT: lzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT32rm, X86_INS_LZCNT: lzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT32rr, X86_INS_LZCNT: lzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT64rm, X86_INS_LZCNT: lzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT64rr, X86_INS_LZCNT: lzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MASKMOVDQU, X86_INS_MASKMOVDQU: maskmovdqu	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MASKMOVDQU64, X86_INS_MASKMOVDQU: maskmovdqu	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCPDrm, X86_INS_MAXPD: maxpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCPDrr, X86_INS_MAXPD: maxpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCPSrm, X86_INS_MAXPS: maxps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCPSrr, X86_INS_MAXPS: maxps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCSDrm, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCSDrr, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCSSrm, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXCSSrr, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXPDrm, X86_INS_MAXPD: maxpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXPDrr, X86_INS_MAXPD: maxpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXPSrm, X86_INS_MAXPS: maxps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXPSrr, X86_INS_MAXPS: maxps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSDrm, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSDrm_Int, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MAXSDrr, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSDrr_Int, X86_INS_MAXSD: maxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSSrm, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSSrm_Int, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MAXSSrr, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MAXSSrr_Int, X86_INS_MAXSS: maxss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MFENCE, X86_INS_MFENCE: mfence */
+	0,
+	{ 0 }
+},
+{	/* X86_MINCPDrm, X86_INS_MINPD: minpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCPDrr, X86_INS_MINPD: minpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCPSrm, X86_INS_MINPS: minps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCPSrr, X86_INS_MINPS: minps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCSDrm, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCSDrr, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCSSrm, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINCSSrr, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINPDrm, X86_INS_MINPD: minpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINPDrr, X86_INS_MINPD: minpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINPSrm, X86_INS_MINPS: minps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINPSrr, X86_INS_MINPS: minps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSDrm, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSDrm_Int, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MINSDrr, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSDrr_Int, X86_INS_MINSD: minsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSSrm, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSSrm_Int, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MINSSrr, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MINSSrr_Int, X86_INS_MINSS: minss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPD2PIirm, X86_INS_CVTPD2PI: cvtpd2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPD2PIirr, X86_INS_CVTPD2PI: cvtpd2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPI2PDirm, X86_INS_CVTPI2PD: cvtpi2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPI2PDirr, X86_INS_CVTPI2PD: cvtpi2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPI2PSirm, X86_INS_CVTPI2PS: cvtpi2ps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPI2PSirr, X86_INS_CVTPI2PS: cvtpi2ps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPS2PIirm, X86_INS_CVTPS2PI: cvtps2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTPS2PIirr, X86_INS_CVTPS2PI: cvtps2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTTPD2PIirm, X86_INS_CVTTPD2PI: cvttpd2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTTPD2PIirr, X86_INS_CVTTPD2PI: cvttpd2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTTPS2PIirm, X86_INS_CVTTPS2PI: cvttps2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_CVTTPS2PIirr, X86_INS_CVTTPS2PI: cvttps2pi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_EMMS, X86_INS_EMMS: emms */
+	0,
+	{ 0 }
+},
+{	/* X86_MMX_MASKMOVQ, X86_INS_MASKMOVQ: maskmovq	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MASKMOVQ64, X86_INS_MASKMOVQ: maskmovq	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64from64rm, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64from64rr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64grr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64mr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64rm, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64rr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64to64rm, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVD64to64rr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVDQ2Qrr, X86_INS_MOVDQ2Q: movdq2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVFR642Qrr, X86_INS_MOVDQ2Q: movdq2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVNTQmr, X86_INS_MOVNTQ: movntq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ2DQrr, X86_INS_MOVQ2DQ: movq2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ2FR64rr, X86_INS_MOVQ2DQ: movq2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ64mr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ64rm, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ64rr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_MOVQ64rr_REV, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSBrm64, X86_INS_PABSB: pabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSBrr64, X86_INS_PABSB: pabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSDrm64, X86_INS_PABSD: pabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSDrr64, X86_INS_PABSD: pabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSWrm64, X86_INS_PABSW: pabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PABSWrr64, X86_INS_PABSW: pabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKSSDWirm, X86_INS_PACKSSDW: packssdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKSSDWirr, X86_INS_PACKSSDW: packssdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKSSWBirm, X86_INS_PACKSSWB: packsswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKSSWBirr, X86_INS_PACKSSWB: packsswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKUSWBirm, X86_INS_PACKUSWB: packuswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PACKUSWBirr, X86_INS_PACKUSWB: packuswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDBirm, X86_INS_PADDB: paddb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDBirr, X86_INS_PADDB: paddb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDDirm, X86_INS_PADDD: paddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDDirr, X86_INS_PADDD: paddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDQirm, X86_INS_PADDQ: paddq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDQirr, X86_INS_PADDQ: paddq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDSBirm, X86_INS_PADDSB: paddsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDSBirr, X86_INS_PADDSB: paddsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDSWirm, X86_INS_PADDSW: paddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDSWirr, X86_INS_PADDSW: paddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDUSBirm, X86_INS_PADDUSB: paddusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDUSBirr, X86_INS_PADDUSB: paddusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDUSWirm, X86_INS_PADDUSW: paddusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDUSWirr, X86_INS_PADDUSW: paddusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDWirm, X86_INS_PADDW: paddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PADDWirr, X86_INS_PADDW: paddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PALIGNR64irm, X86_INS_PALIGNR: palignr	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PALIGNR64irr, X86_INS_PALIGNR: palignr	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PANDNirm, X86_INS_PANDN: pandn	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PANDNirr, X86_INS_PANDN: pandn	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PANDirm, X86_INS_PAND: pand	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PANDirr, X86_INS_PAND: pand	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PAVGBirm, X86_INS_PAVGB: pavgb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PAVGBirr, X86_INS_PAVGB: pavgb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PAVGWirm, X86_INS_PAVGW: pavgw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PAVGWirr, X86_INS_PAVGW: pavgw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQBirm, X86_INS_PCMPEQB: pcmpeqb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQBirr, X86_INS_PCMPEQB: pcmpeqb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQDirm, X86_INS_PCMPEQD: pcmpeqd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQDirr, X86_INS_PCMPEQD: pcmpeqd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQWirm, X86_INS_PCMPEQW: pcmpeqw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPEQWirr, X86_INS_PCMPEQW: pcmpeqw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTBirm, X86_INS_PCMPGTB: pcmpgtb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTBirr, X86_INS_PCMPGTB: pcmpgtb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTDirm, X86_INS_PCMPGTD: pcmpgtd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTDirr, X86_INS_PCMPGTD: pcmpgtd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTWirm, X86_INS_PCMPGTW: pcmpgtw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PCMPGTWirr, X86_INS_PCMPGTW: pcmpgtw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PEXTRWirri, X86_INS_PEXTRW: pextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PHADDSWrm64, X86_INS_PHADDSW: phaddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHADDSWrr64, X86_INS_PHADDSW: phaddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHADDWrm64, X86_INS_PHADDW: phaddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHADDWrr64, X86_INS_PHADDW: phaddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHADDrm64, X86_INS_PHADDD: phaddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHADDrr64, X86_INS_PHADDD: phaddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBDrm64, X86_INS_PHSUBD: phsubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBDrr64, X86_INS_PHSUBD: phsubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBSWrm64, X86_INS_PHSUBSW: phsubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBSWrr64, X86_INS_PHSUBSW: phsubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBWrm64, X86_INS_PHSUBW: phsubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PHSUBWrr64, X86_INS_PHSUBW: phsubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PINSRWirmi, X86_INS_PINSRW: pinsrw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PINSRWirri, X86_INS_PINSRW: pinsrw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PMADDUBSWrm64, X86_INS_PMADDUBSW: pmaddubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMADDUBSWrr64, X86_INS_PMADDUBSW: pmaddubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMADDWDirm, X86_INS_PMADDWD: pmaddwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMADDWDirr, X86_INS_PMADDWD: pmaddwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMAXSWirm, X86_INS_PMAXSW: pmaxsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMAXSWirr, X86_INS_PMAXSW: pmaxsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMAXUBirm, X86_INS_PMAXUB: pmaxub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMAXUBirr, X86_INS_PMAXUB: pmaxub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMINSWirm, X86_INS_PMINSW: pminsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMINSWirr, X86_INS_PMINSW: pminsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMINUBirm, X86_INS_PMINUB: pminub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMINUBirr, X86_INS_PMINUB: pminub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMOVMSKBrr, X86_INS_PMOVMSKB: pmovmskb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHRSWrm64, X86_INS_PMULHRSW: pmulhrsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHRSWrr64, X86_INS_PMULHRSW: pmulhrsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHUWirm, X86_INS_PMULHUW: pmulhuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHUWirr, X86_INS_PMULHUW: pmulhuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHWirm, X86_INS_PMULHW: pmulhw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULHWirr, X86_INS_PMULHW: pmulhw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULLWirm, X86_INS_PMULLW: pmullw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULLWirr, X86_INS_PMULLW: pmullw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULUDQirm, X86_INS_PMULUDQ: pmuludq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PMULUDQirr, X86_INS_PMULUDQ: pmuludq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PORirm, X86_INS_POR: por	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PORirr, X86_INS_POR: por	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSADBWirm, X86_INS_PSADBW: psadbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSADBWirr, X86_INS_PSADBW: psadbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSHUFBrm64, X86_INS_PSHUFB: pshufb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSHUFBrr64, X86_INS_PSHUFB: pshufb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSHUFWmi, X86_INS_PSHUFW: pshufw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSHUFWri, X86_INS_PSHUFW: pshufw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSIGNBrm64, X86_INS_PSIGNB: psignb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSIGNBrr64, X86_INS_PSIGNB: psignb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSIGNDrm64, X86_INS_PSIGND: psignd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSIGNDrr64, X86_INS_PSIGND: psignd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSIGNWrm64, X86_INS_PSIGNW: psignw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSIGNWrr64, X86_INS_PSIGNW: psignw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLDri, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSLLDrm, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLDrr, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLQri, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSLLQrm, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLQrr, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLWri, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSLLWrm, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSLLWrr, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRADri, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSRADrm, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRADrr, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRAWri, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSRAWrm, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRAWrr, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLDri, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSRLDrm, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLDrr, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLQri, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSRLQrm, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLQrr, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLWri, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MMX_PSRLWrm, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSRLWrr, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBBirm, X86_INS_PSUBB: psubb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBBirr, X86_INS_PSUBB: psubb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBDirm, X86_INS_PSUBD: psubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBDirr, X86_INS_PSUBD: psubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBQirm, X86_INS_PSUBQ: psubq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBQirr, X86_INS_PSUBQ: psubq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBSBirm, X86_INS_PSUBSB: psubsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBSBirr, X86_INS_PSUBSB: psubsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBSWirm, X86_INS_PSUBSW: psubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBSWirr, X86_INS_PSUBSW: psubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBUSBirm, X86_INS_PSUBUSB: psubusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBUSBirr, X86_INS_PSUBUSB: psubusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBUSWirm, X86_INS_PSUBUSW: psubusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBUSWirr, X86_INS_PSUBUSW: psubusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBWirm, X86_INS_PSUBW: psubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PSUBWirr, X86_INS_PSUBW: psubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHBWirm, X86_INS_PUNPCKHBW: punpckhbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHBWirr, X86_INS_PUNPCKHBW: punpckhbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHDQirm, X86_INS_PUNPCKHDQ: punpckhdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHDQirr, X86_INS_PUNPCKHDQ: punpckhdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHWDirm, X86_INS_PUNPCKHWD: punpckhwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKHWDirr, X86_INS_PUNPCKHWD: punpckhwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLBWirm, X86_INS_PUNPCKLBW: punpcklbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLBWirr, X86_INS_PUNPCKLBW: punpcklbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLDQirm, X86_INS_PUNPCKLDQ: punpckldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLDQirr, X86_INS_PUNPCKLDQ: punpckldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLWDirm, X86_INS_PUNPCKLWD: punpcklwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PUNPCKLWDirr, X86_INS_PUNPCKLWD: punpcklwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PXORirm, X86_INS_PXOR: pxor	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MMX_PXORirr, X86_INS_PXOR: pxor	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MONITORrrr, X86_INS_MONITOR: monitor */
+	0,
+	{ 0 }
+},
+{	/* X86_MONTMUL, X86_INS_MONTMUL: montmul */
+	0,
+	{ 0 }
+},
+{	/* X86_MOV16ao16, X86_INS_MOV: mov{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ao32, X86_INS_MOV: mov{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ao64, X86_INS_MOVABS: movabs{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16mi, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16mr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ms, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o16a, X86_INS_MOV: mov{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o32a, X86_INS_MOV: mov{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o64a, X86_INS_MOVABS: movabs{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ri, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16ri_alt, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16rm, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rr_REV, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rs, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16sm, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16sr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao16, X86_INS_MOV: mov{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao32, X86_INS_MOV: mov{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao64, X86_INS_MOVABS: movabs{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32cr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32dr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32mi, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32mr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ms, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o16a, X86_INS_MOV: mov{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o32a, X86_INS_MOV: mov{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o64a, X86_INS_MOVABS: movabs{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rc, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rd, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ri, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32ri_alt, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32rm, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rr_REV, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rs, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32sm, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32sr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ao32, X86_INS_MOV: mov{q}	rax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ao64, X86_INS_MOVABS: movabs{q}	rax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64cr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64dr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64mi32, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64mr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ms, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64o32a, X86_INS_MOV: mov{q}	$dst, rax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64o64a, X86_INS_MOVABS: movabs{q}	$dst, rax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rc, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rd, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ri, X86_INS_MOVABS: movabs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64ri32, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64rm, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rr_REV, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rs, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64sm, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64sr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64toPQIrm, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64toPQIrr, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64toSDrm, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64toSDrr, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao16, X86_INS_MOV: mov{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao32, X86_INS_MOV: mov{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao64, X86_INS_MOVABS: movabs{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8mi, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8mr, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8mr_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o16a, X86_INS_MOV: mov{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o32a, X86_INS_MOV: mov{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o64a, X86_INS_MOVABS: movabs{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ri, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8ri_alt, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8rm, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rm_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr_REV, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPDmr, X86_INS_MOVAPD: movapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPDrm, X86_INS_MOVAPD: movapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPDrr, X86_INS_MOVAPD: movapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPDrr_REV, X86_INS_MOVAPD: movapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPSmr, X86_INS_MOVAPS: movaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPSrm, X86_INS_MOVAPS: movaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPSrr, X86_INS_MOVAPS: movaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVAPSrr_REV, X86_INS_MOVAPS: movaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE16mr, X86_INS_MOVBE: movbe{w}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE16rm, X86_INS_MOVBE: movbe{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE32mr, X86_INS_MOVBE: movbe{l}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE32rm, X86_INS_MOVBE: movbe{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE64mr, X86_INS_MOVBE: movbe{q}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE64rm, X86_INS_MOVBE: movbe{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDDUPrm, X86_INS_MOVDDUP: movddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDDUPrr, X86_INS_MOVDDUP: movddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDI2PDIrm, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDI2PDIrr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDI2SSrm, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDI2SSrr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQAmr, X86_INS_MOVDQA: movdqa	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQArm, X86_INS_MOVDQA: movdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQArr, X86_INS_MOVDQA: movdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQArr_REV, X86_INS_MOVDQA: movdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQUmr, X86_INS_MOVDQU: movdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQUrm, X86_INS_MOVDQU: movdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQUrr, X86_INS_MOVDQU: movdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVDQUrr_REV, X86_INS_MOVDQU: movdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVHLPSrr, X86_INS_MOVHLPS: movhlps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVHPDmr, X86_INS_MOVHPD: movhpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVHPDrm, X86_INS_MOVHPD: movhpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVHPSmr, X86_INS_MOVHPS: movhps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVHPSrm, X86_INS_MOVHPS: movhps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVLHPSrr, X86_INS_MOVLHPS: movlhps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVLPDmr, X86_INS_MOVLPD: movlpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVLPDrm, X86_INS_MOVLPD: movlpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVLPSmr, X86_INS_MOVLPS: movlps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVLPSrm, X86_INS_MOVLPS: movlps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVMSKPDrr, X86_INS_MOVMSKPD: movmskpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVMSKPSrr, X86_INS_MOVMSKPS: movmskps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTDQArm, X86_INS_MOVNTDQA: movntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTDQmr, X86_INS_MOVNTDQ: movntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTI_64mr, X86_INS_MOVNTI: movnti{q}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTImr, X86_INS_MOVNTI: movnti{l}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTPDmr, X86_INS_MOVNTPD: movntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTPSmr, X86_INS_MOVNTPS: movntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTSD, X86_INS_MOVNTSD: movntsd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVNTSS, X86_INS_MOVNTSS: movntss	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPDI2DImr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPDI2DIrr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPQI2QImr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPQI2QIrr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPQIto64rm, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVPQIto64rr, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVQI2PQIrm, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSB, X86_INS_MOVSB: movsb	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDmr, X86_INS_MOVSD: movsd	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDrm, X86_INS_MOVSD: movsd	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDrr, X86_INS_MOVSD: movsd	$dst, $src2 */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDrr_REV, X86_INS_MOVSD: movsd	$dst, $src2 */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDto64mr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSDto64rr, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSHDUPrm, X86_INS_MOVSHDUP: movshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSHDUPrr, X86_INS_MOVSHDUP: movshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSL, X86_INS_MOVSD: movs{l|d}	{$src, $dst|$dst, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSLDUPrm, X86_INS_MOVSLDUP: movsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSLDUPrr, X86_INS_MOVSLDUP: movsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSQ, X86_INS_MOVSQ: movsq	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSS2DImr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSS2DIrr, X86_INS_MOVD: movd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSSmr, X86_INS_MOVSS: movss	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSSrm, X86_INS_MOVSS: movss	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSSrr, X86_INS_MOVSS: movss	$dst, $src2 */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSSrr_REV, X86_INS_MOVSS: movss	$dst, $src2 */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSW, X86_INS_MOVSW: movsw	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX16rm8, X86_INS_MOVSX: movs{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX16rr8, X86_INS_MOVSX: movs{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32_NOREXrm8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32_NOREXrr8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rm16, X86_INS_MOVSX: movs{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rm8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rr16, X86_INS_MOVSX: movs{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rr8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm16, X86_INS_MOVSX: movs{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm32_alt, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm8, X86_INS_MOVSX: movs{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr16, X86_INS_MOVSX: movs{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr8, X86_INS_MOVSX: movs{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPDmr, X86_INS_MOVUPD: movupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPDrm, X86_INS_MOVUPD: movupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPDrr, X86_INS_MOVUPD: movupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPDrr_REV, X86_INS_MOVUPD: movupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPSmr, X86_INS_MOVUPS: movups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPSrm, X86_INS_MOVUPS: movups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPSrr, X86_INS_MOVUPS: movups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVUPSrr_REV, X86_INS_MOVUPS: movups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZPQILo2PQIrm, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZPQILo2PQIrr, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZQI2PQIrm, X86_INS_MOVQ: movq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZQI2PQIrr, X86_INS_MOVQ: mov{d|q}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX16rm8, X86_INS_MOVZX: movz{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX16rr8, X86_INS_MOVZX: movz{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32_NOREXrm8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32_NOREXrr8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rm16, X86_INS_MOVZX: movz{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rm8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rr16, X86_INS_MOVZX: movz{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rr8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rm16_Q, X86_INS_MOVZX: movz{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rm8_Q, X86_INS_MOVZX: movz{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rr16_Q, X86_INS_MOVZX: movz{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rr8_Q, X86_INS_MOVZX: movz{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MPSADBWrmi, X86_INS_MPSADBW: mpsadbw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MPSADBWrri, X86_INS_MPSADBW: mpsadbw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MUL16m, X86_INS_MUL: mul{w}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL16r, X86_INS_MUL: mul{w}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL32m, X86_INS_MUL: mul{l}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL32r, X86_INS_MUL: mul{l}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL64m, X86_INS_MUL: mul{q}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL64r, X86_INS_MUL: mul{q}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL8m, X86_INS_MUL: mul{b}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL8r, X86_INS_MUL: mul{b}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MULPDrm, X86_INS_MULPD: mulpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULPDrr, X86_INS_MULPD: mulpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULPSrm, X86_INS_MULPS: mulps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULPSrr, X86_INS_MULPS: mulps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSDrm, X86_INS_MULSD: mulsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSDrm_Int, X86_INS_MULSD: mulsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MULSDrr, X86_INS_MULSD: mulsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSDrr_Int, X86_INS_MULSD: mulsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSSrm, X86_INS_MULSS: mulss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSSrm_Int, X86_INS_MULSS: mulss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MULSSrr, X86_INS_MULSS: mulss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULSSrr_Int, X86_INS_MULSS: mulss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX32rm, X86_INS_MULX: mulx{l}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX32rr, X86_INS_MULX: mulx{l}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX64rm, X86_INS_MULX: mulx{q}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX64rr, X86_INS_MULX: mulx{q}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MUL_F32m, X86_INS_FMUL: fmul{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_F64m, X86_INS_FMUL: fmul{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_FI16m, X86_INS_FIMUL: fimul{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_FI32m, X86_INS_FIMUL: fimul{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_FPrST0, X86_INS_FMULP: fmulp	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_FST0r, X86_INS_FMUL: fmul	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL_FrST0, X86_INS_FMUL: fmul	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MWAITrr, X86_INS_MWAIT: mwait */
+	0,
+	{ 0 }
+},
+{	/* X86_NEG16m, X86_INS_NEG: neg{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG16r, X86_INS_NEG: neg{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG32m, X86_INS_NEG: neg{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG32r, X86_INS_NEG: neg{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG64m, X86_INS_NEG: neg{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG64r, X86_INS_NEG: neg{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG8m, X86_INS_NEG: neg{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG8r, X86_INS_NEG: neg{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOOP, X86_INS_NOP: nop */
+	0,
+	{ 0 }
+},
+{	/* X86_NOOP18_16m4, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m5, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m6, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m7, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r4, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r5, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r6, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r7, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m4, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m5, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m6, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m7, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r4, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r5, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r6, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r7, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP19rr, X86_INS_NOP: nop	$src, $val */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_19, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1a, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1b, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1c, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1d, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1e, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_19, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1a, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1b, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1c, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1d, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1e, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOT16m, X86_INS_NOT: not{w}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT16r, X86_INS_NOT: not{w}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT32m, X86_INS_NOT: not{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT32r, X86_INS_NOT: not{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT64m, X86_INS_NOT: not{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT64r, X86_INS_NOT: not{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT8m, X86_INS_NOT: not{b}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT8r, X86_INS_NOT: not{b}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_OR16i16, X86_INS_OR: or{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mi, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mi8, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mr, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16ri, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16ri8, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16rm, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16rr, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16rr_REV, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32i32, X86_INS_OR: or{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mi, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mi8, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mr, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32mrLocked, X86_INS_OR: or{l}	$dst, $zero */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OR32ri, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32ri8, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32rm, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32rr, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32rr_REV, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64i32, X86_INS_OR: or{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mi32, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mi8, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mr, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64ri32, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64ri8, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64rm, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64rr, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64rr_REV, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8i8, X86_INS_OR: or{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mi, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mi8, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mr, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8ri, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8ri8, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8rm, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8rr, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8rr_REV, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ORPDrm, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ORPDrr, X86_INS_ORPD: orpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ORPSrm, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ORPSrr, X86_INS_ORPS: orps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT16ir, X86_INS_OUT: out{w}	$port, ax */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT16rr, X86_INS_OUT: out{w}	dx, ax */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUT32ir, X86_INS_OUT: out{l}	$port, eax */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT32rr, X86_INS_OUT: out{l}	dx, eax */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUT8ir, X86_INS_OUT: out{b}	$port, al */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT8rr, X86_INS_OUT: out{b}	dx, al */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUTSB, X86_INS_OUTSB: outsb	dx, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OUTSL, X86_INS_OUTSD: outs{l|d}	{$src, %dx|dx, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_OUTSW, X86_INS_OUTSW: outsw	dx, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PABSBrm128, X86_INS_PABSB: pabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PABSBrr128, X86_INS_PABSB: pabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PABSDrm128, X86_INS_PABSD: pabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PABSDrr128, X86_INS_PABSD: pabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PABSWrm128, X86_INS_PABSW: pabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PABSWrr128, X86_INS_PABSW: pabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKSSDWrm, X86_INS_PACKSSDW: packssdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKSSDWrr, X86_INS_PACKSSDW: packssdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKSSWBrm, X86_INS_PACKSSWB: packsswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKSSWBrr, X86_INS_PACKSSWB: packsswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKUSDWrm, X86_INS_PACKUSDW: packusdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKUSDWrr, X86_INS_PACKUSDW: packusdw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKUSWBrm, X86_INS_PACKUSWB: packuswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PACKUSWBrr, X86_INS_PACKUSWB: packuswb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDBrm, X86_INS_PADDB: paddb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDBrr, X86_INS_PADDB: paddb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDDrm, X86_INS_PADDD: paddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDDrr, X86_INS_PADDD: paddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDQrm, X86_INS_PADDQ: paddq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDQrr, X86_INS_PADDQ: paddq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDSBrm, X86_INS_PADDSB: paddsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDSBrr, X86_INS_PADDSB: paddsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDSWrm, X86_INS_PADDSW: paddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDSWrr, X86_INS_PADDSW: paddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDUSBrm, X86_INS_PADDUSB: paddusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDUSBrr, X86_INS_PADDUSB: paddusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDUSWrm, X86_INS_PADDUSW: paddusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDUSWrr, X86_INS_PADDUSW: paddusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDWrm, X86_INS_PADDW: paddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PADDWrr, X86_INS_PADDW: paddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PALIGNR128rm, X86_INS_PALIGNR: palignr	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PALIGNR128rr, X86_INS_PALIGNR: palignr	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PANDNrm, X86_INS_PANDN: pandn	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PANDNrr, X86_INS_PANDN: pandn	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PANDrm, X86_INS_PAND: pand	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PANDrr, X86_INS_PAND: pand	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAUSE, X86_INS_PAUSE: pause */
+	0,
+	{ 0 }
+},
+{	/* X86_PAVGBrm, X86_INS_PAVGB: pavgb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAVGBrr, X86_INS_PAVGB: pavgb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAVGUSBrm, X86_INS_PAVGUSB: pavgusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAVGUSBrr, X86_INS_PAVGUSB: pavgusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAVGWrm, X86_INS_PAVGW: pavgw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PAVGWrr, X86_INS_PAVGW: pavgw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PBLENDVBrm0, X86_INS_PBLENDVB: pblendvb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PBLENDVBrr0, X86_INS_PBLENDVB: pblendvb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PBLENDWrmi, X86_INS_PBLENDW: pblendw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PBLENDWrri, X86_INS_PBLENDW: pblendw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCLMULQDQrm, X86_INS_PCLMULQDQ: pclmulqdq	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCLMULQDQrr, X86_INS_PCLMULQDQ: pclmulqdq	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPEQBrm, X86_INS_PCMPEQB: pcmpeqb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQBrr, X86_INS_PCMPEQB: pcmpeqb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQDrm, X86_INS_PCMPEQD: pcmpeqd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQDrr, X86_INS_PCMPEQD: pcmpeqd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQQrm, X86_INS_PCMPEQQ: pcmpeqq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQQrr, X86_INS_PCMPEQQ: pcmpeqq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQWrm, X86_INS_PCMPEQW: pcmpeqw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPEQWrr, X86_INS_PCMPEQW: pcmpeqw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPESTRIrm, X86_INS_PCMPESTRI: pcmpestri	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPESTRIrr, X86_INS_PCMPESTRI: pcmpestri	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPESTRM128rm, X86_INS_PCMPESTRM: pcmpestrm	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPESTRM128rr, X86_INS_PCMPESTRM: pcmpestrm	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPGTBrm, X86_INS_PCMPGTB: pcmpgtb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTBrr, X86_INS_PCMPGTB: pcmpgtb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTDrm, X86_INS_PCMPGTD: pcmpgtd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTDrr, X86_INS_PCMPGTD: pcmpgtd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTQrm, X86_INS_PCMPGTQ: pcmpgtq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTQrr, X86_INS_PCMPGTQ: pcmpgtq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTWrm, X86_INS_PCMPGTW: pcmpgtw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPGTWrr, X86_INS_PCMPGTW: pcmpgtw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PCMPISTRIrm, X86_INS_PCMPISTRI: pcmpistri	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPISTRIrr, X86_INS_PCMPISTRI: pcmpistri	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPISTRM128rm, X86_INS_PCMPISTRM: pcmpistrm	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCMPISTRM128rr, X86_INS_PCMPISTRM: pcmpistrm	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCOMMIT, X86_INS_PCOMMIT: pcommit */
+	0,
+	{ 0 }
+},
+{	/* X86_PDEP32rm, X86_INS_PDEP: pdep{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP32rr, X86_INS_PDEP: pdep{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP64rm, X86_INS_PDEP: pdep{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP64rr, X86_INS_PDEP: pdep{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT32rm, X86_INS_PEXT: pext{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT32rr, X86_INS_PEXT: pext{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT64rm, X86_INS_PEXT: pext{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT64rr, X86_INS_PEXT: pext{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXTRBmr, X86_INS_PEXTRB: pextrb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRBrr, X86_INS_PEXTRB: pextrb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRDmr, X86_INS_PEXTRD: pextrd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRDrr, X86_INS_PEXTRD: pextrd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRQmr, X86_INS_PEXTRQ: pextrq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRQrr, X86_INS_PEXTRQ: pextrq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRWmr, X86_INS_PEXTRW: pextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRWri, X86_INS_PEXTRW: pextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PEXTRWrr_REV, X86_INS_PEXTRW: pextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PF2IDrm, X86_INS_PF2ID: pf2id	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PF2IDrr, X86_INS_PF2ID: pf2id	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PF2IWrm, X86_INS_PF2IW: pf2iw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PF2IWrr, X86_INS_PF2IW: pf2iw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFACCrm, X86_INS_PFACC: pfacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFACCrr, X86_INS_PFACC: pfacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFADDrm, X86_INS_PFADD: pfadd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFADDrr, X86_INS_PFADD: pfadd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPEQrm, X86_INS_PFCMPEQ: pfcmpeq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPEQrr, X86_INS_PFCMPEQ: pfcmpeq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPGErm, X86_INS_PFCMPGE: pfcmpge	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPGErr, X86_INS_PFCMPGE: pfcmpge	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPGTrm, X86_INS_PFCMPGT: pfcmpgt	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFCMPGTrr, X86_INS_PFCMPGT: pfcmpgt	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMAXrm, X86_INS_PFMAX: pfmax	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMAXrr, X86_INS_PFMAX: pfmax	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMINrm, X86_INS_PFMIN: pfmin	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMINrr, X86_INS_PFMIN: pfmin	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMULrm, X86_INS_PFMUL: pfmul	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFMULrr, X86_INS_PFMUL: pfmul	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFNACCrm, X86_INS_PFNACC: pfnacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFNACCrr, X86_INS_PFNACC: pfnacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFPNACCrm, X86_INS_PFPNACC: pfpnacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFPNACCrr, X86_INS_PFPNACC: pfpnacc	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPIT1rm, X86_INS_PFRCPIT1: pfrcpit1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPIT1rr, X86_INS_PFRCPIT1: pfrcpit1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPIT2rm, X86_INS_PFRCPIT2: pfrcpit2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPIT2rr, X86_INS_PFRCPIT2: pfrcpit2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPrm, X86_INS_PFRCP: pfrcp	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRCPrr, X86_INS_PFRCP: pfrcp	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRSQIT1rm, X86_INS_PFRSQIT1: pfrsqit1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRSQIT1rr, X86_INS_PFRSQIT1: pfrsqit1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRSQRTrm, X86_INS_PFRSQRT: pfrsqrt	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFRSQRTrr, X86_INS_PFRSQRT: pfrsqrt	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFSUBRrm, X86_INS_PFSUBR: pfsubr	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFSUBRrr, X86_INS_PFSUBR: pfsubr	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFSUBrm, X86_INS_PFSUB: pfsub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PFSUBrr, X86_INS_PFSUB: pfsub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDDrm, X86_INS_PHADDD: phaddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDDrr, X86_INS_PHADDD: phaddd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDSWrm128, X86_INS_PHADDSW: phaddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDSWrr128, X86_INS_PHADDSW: phaddsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDWrm, X86_INS_PHADDW: phaddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHADDWrr, X86_INS_PHADDW: phaddw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHMINPOSUWrm128, X86_INS_PHMINPOSUW: phminposuw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHMINPOSUWrr128, X86_INS_PHMINPOSUW: phminposuw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBDrm, X86_INS_PHSUBD: phsubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBDrr, X86_INS_PHSUBD: phsubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBSWrm128, X86_INS_PHSUBSW: phsubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBSWrr128, X86_INS_PHSUBSW: phsubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBWrm, X86_INS_PHSUBW: phsubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PHSUBWrr, X86_INS_PHSUBW: phsubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PI2FDrm, X86_INS_PI2FD: pi2fd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PI2FDrr, X86_INS_PI2FD: pi2fd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PI2FWrm, X86_INS_PI2FW: pi2fw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PI2FWrr, X86_INS_PI2FW: pi2fw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PINSRBrm, X86_INS_PINSRB: pinsrb	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRBrr, X86_INS_PINSRB: pinsrb	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRDrm, X86_INS_PINSRD: pinsrd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRDrr, X86_INS_PINSRD: pinsrd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRQrm, X86_INS_PINSRQ: pinsrq	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRQrr, X86_INS_PINSRQ: pinsrq	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRWrmi, X86_INS_PINSRW: pinsrw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PINSRWrri, X86_INS_PINSRW: pinsrw	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PMADDUBSWrm128, X86_INS_PMADDUBSW: pmaddubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMADDUBSWrr128, X86_INS_PMADDUBSW: pmaddubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMADDWDrm, X86_INS_PMADDWD: pmaddwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMADDWDrr, X86_INS_PMADDWD: pmaddwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSBrm, X86_INS_PMAXSB: pmaxsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSBrr, X86_INS_PMAXSB: pmaxsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSDrm, X86_INS_PMAXSD: pmaxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSDrr, X86_INS_PMAXSD: pmaxsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSWrm, X86_INS_PMAXSW: pmaxsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXSWrr, X86_INS_PMAXSW: pmaxsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUBrm, X86_INS_PMAXUB: pmaxub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUBrr, X86_INS_PMAXUB: pmaxub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUDrm, X86_INS_PMAXUD: pmaxud	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUDrr, X86_INS_PMAXUD: pmaxud	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUWrm, X86_INS_PMAXUW: pmaxuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMAXUWrr, X86_INS_PMAXUW: pmaxuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSBrm, X86_INS_PMINSB: pminsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSBrr, X86_INS_PMINSB: pminsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSDrm, X86_INS_PMINSD: pminsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSDrr, X86_INS_PMINSD: pminsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSWrm, X86_INS_PMINSW: pminsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINSWrr, X86_INS_PMINSW: pminsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUBrm, X86_INS_PMINUB: pminub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUBrr, X86_INS_PMINUB: pminub	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUDrm, X86_INS_PMINUD: pminud	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUDrr, X86_INS_PMINUD: pminud	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUWrm, X86_INS_PMINUW: pminuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMINUWrr, X86_INS_PMINUW: pminuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVMSKBrr, X86_INS_PMOVMSKB: pmovmskb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBDrm, X86_INS_PMOVSXBD: pmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBDrr, X86_INS_PMOVSXBD: pmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBQrm, X86_INS_PMOVSXBQ: pmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBQrr, X86_INS_PMOVSXBQ: pmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBWrm, X86_INS_PMOVSXBW: pmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXBWrr, X86_INS_PMOVSXBW: pmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXDQrm, X86_INS_PMOVSXDQ: pmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXDQrr, X86_INS_PMOVSXDQ: pmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXWDrm, X86_INS_PMOVSXWD: pmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXWDrr, X86_INS_PMOVSXWD: pmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXWQrm, X86_INS_PMOVSXWQ: pmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVSXWQrr, X86_INS_PMOVSXWQ: pmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBDrm, X86_INS_PMOVZXBD: pmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBDrr, X86_INS_PMOVZXBD: pmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBQrm, X86_INS_PMOVZXBQ: pmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBQrr, X86_INS_PMOVZXBQ: pmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBWrm, X86_INS_PMOVZXBW: pmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXBWrr, X86_INS_PMOVZXBW: pmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXDQrm, X86_INS_PMOVZXDQ: pmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXDQrr, X86_INS_PMOVZXDQ: pmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXWDrm, X86_INS_PMOVZXWD: pmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXWDrr, X86_INS_PMOVZXWD: pmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXWQrm, X86_INS_PMOVZXWQ: pmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMOVZXWQrr, X86_INS_PMOVZXWQ: pmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULDQrm, X86_INS_PMULDQ: pmuldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULDQrr, X86_INS_PMULDQ: pmuldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHRSWrm128, X86_INS_PMULHRSW: pmulhrsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHRSWrr128, X86_INS_PMULHRSW: pmulhrsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHRWrm, X86_INS_PMULHRW: pmulhrw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHRWrr, X86_INS_PMULHRW: pmulhrw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHUWrm, X86_INS_PMULHUW: pmulhuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHUWrr, X86_INS_PMULHUW: pmulhuw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHWrm, X86_INS_PMULHW: pmulhw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULHWrr, X86_INS_PMULHW: pmulhw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULLDrm, X86_INS_PMULLD: pmulld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULLDrr, X86_INS_PMULLD: pmulld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULLWrm, X86_INS_PMULLW: pmullw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULLWrr, X86_INS_PMULLW: pmullw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULUDQrm, X86_INS_PMULUDQ: pmuludq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PMULUDQrr, X86_INS_PMULUDQ: pmuludq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POP16r, X86_INS_POP: pop{w}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP16rmm, X86_INS_POP: pop{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP16rmr, X86_INS_POP: pop{w}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32r, X86_INS_POP: pop{l}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32rmm, X86_INS_POP: pop{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32rmr, X86_INS_POP: pop{l}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64r, X86_INS_POP: pop{q}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64rmm, X86_INS_POP: pop{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64rmr, X86_INS_POP: pop{q}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POPA16, X86_INS_POPAW: popaw */
+	0,
+	{ 0 }
+},
+{	/* X86_POPA32, X86_INS_POPAL: popal */
+	0,
+	{ 0 }
+},
+{	/* X86_POPCNT16rm, X86_INS_POPCNT: popcnt{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPCNT16rr, X86_INS_POPCNT: popcnt{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPCNT32rm, X86_INS_POPCNT: popcnt{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPCNT32rr, X86_INS_POPCNT: popcnt{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPCNT64rm, X86_INS_POPCNT: popcnt{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPCNT64rr, X86_INS_POPCNT: popcnt{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_POPDS16, X86_INS_POP: pop{w}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPDS32, X86_INS_POP: pop{l}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPES16, X86_INS_POP: pop{w}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPES32, X86_INS_POP: pop{l}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPF16, X86_INS_POPF: popf{w} */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPF32, X86_INS_POPFD: popfd */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPF64, X86_INS_POPFQ: popfq */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPFS16, X86_INS_POP: pop{w}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPFS32, X86_INS_POP: pop{l}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPFS64, X86_INS_POP: pop{q}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS16, X86_INS_POP: pop{w}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS32, X86_INS_POP: pop{l}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS64, X86_INS_POP: pop{q}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPSS16, X86_INS_POP: pop{w}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPSS32, X86_INS_POP: pop{l}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PORrm, X86_INS_POR: por	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PORrr, X86_INS_POR: por	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCH, X86_INS_PREFETCH: prefetch	$addr */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCHNTA, X86_INS_PREFETCHNTA: prefetchnta	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCHT0, X86_INS_PREFETCHT0: prefetcht0	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCHT1, X86_INS_PREFETCHT1: prefetcht1	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCHT2, X86_INS_PREFETCHT2: prefetcht2	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PREFETCHW, X86_INS_PREFETCHW: prefetchw	$addr */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PSADBWrm, X86_INS_PSADBW: psadbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSADBWrr, X86_INS_PSADBW: psadbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSHUFBrm, X86_INS_PSHUFB: pshufb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSHUFBrr, X86_INS_PSHUFB: pshufb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSHUFDmi, X86_INS_PSHUFD: pshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSHUFDri, X86_INS_PSHUFD: pshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSHUFHWmi, X86_INS_PSHUFHW: pshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSHUFHWri, X86_INS_PSHUFHW: pshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSHUFLWmi, X86_INS_PSHUFLW: pshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSHUFLWri, X86_INS_PSHUFLW: pshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSIGNBrm, X86_INS_PSIGNB: psignb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSIGNBrr, X86_INS_PSIGNB: psignb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSIGNDrm, X86_INS_PSIGND: psignd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSIGNDrr, X86_INS_PSIGND: psignd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSIGNWrm, X86_INS_PSIGNW: psignw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSIGNWrr, X86_INS_PSIGNW: psignw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLDQri, X86_INS_PSLLDQ: pslldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSLLDri, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSLLDrm, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLDrr, X86_INS_PSLLD: pslld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLQri, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSLLQrm, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLQrr, X86_INS_PSLLQ: psllq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLWri, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSLLWrm, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSLLWrr, X86_INS_PSLLW: psllw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRADri, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRADrm, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRADrr, X86_INS_PSRAD: psrad	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRAWri, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRAWrm, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRAWrr, X86_INS_PSRAW: psraw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLDQri, X86_INS_PSRLDQ: psrldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRLDri, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRLDrm, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLDrr, X86_INS_PSRLD: psrld	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLQri, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRLQrm, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLQrr, X86_INS_PSRLQ: psrlq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLWri, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PSRLWrm, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSRLWrr, X86_INS_PSRLW: psrlw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBBrm, X86_INS_PSUBB: psubb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBBrr, X86_INS_PSUBB: psubb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBDrm, X86_INS_PSUBD: psubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBDrr, X86_INS_PSUBD: psubd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBQrm, X86_INS_PSUBQ: psubq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBQrr, X86_INS_PSUBQ: psubq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBSBrm, X86_INS_PSUBSB: psubsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBSBrr, X86_INS_PSUBSB: psubsb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBSWrm, X86_INS_PSUBSW: psubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBSWrr, X86_INS_PSUBSW: psubsw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBUSBrm, X86_INS_PSUBUSB: psubusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBUSBrr, X86_INS_PSUBUSB: psubusb	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBUSWrm, X86_INS_PSUBUSW: psubusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBUSWrr, X86_INS_PSUBUSW: psubusw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBWrm, X86_INS_PSUBW: psubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSUBWrr, X86_INS_PSUBW: psubw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSWAPDrm, X86_INS_PSWAPD: pswapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PSWAPDrr, X86_INS_PSWAPD: pswapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PTESTrm, X86_INS_PTEST: ptest	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PTESTrr, X86_INS_PTEST: ptest	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHBWrm, X86_INS_PUNPCKHBW: punpckhbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHBWrr, X86_INS_PUNPCKHBW: punpckhbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHDQrm, X86_INS_PUNPCKHDQ: punpckhdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHDQrr, X86_INS_PUNPCKHDQ: punpckhdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHQDQrm, X86_INS_PUNPCKHQDQ: punpckhqdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHQDQrr, X86_INS_PUNPCKHQDQ: punpckhqdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHWDrm, X86_INS_PUNPCKHWD: punpckhwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKHWDrr, X86_INS_PUNPCKHWD: punpckhwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLBWrm, X86_INS_PUNPCKLBW: punpcklbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLBWrr, X86_INS_PUNPCKLBW: punpcklbw	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLDQrm, X86_INS_PUNPCKLDQ: punpckldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLDQrr, X86_INS_PUNPCKLDQ: punpckldq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLQDQrm, X86_INS_PUNPCKLQDQ: punpcklqdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLQDQrr, X86_INS_PUNPCKLQDQ: punpcklqdq	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLWDrm, X86_INS_PUNPCKLWD: punpcklwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUNPCKLWDrr, X86_INS_PUNPCKLWD: punpcklwd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PUSH16i8, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH16r, X86_INS_PUSH: push{w}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH16rmm, X86_INS_PUSH: push{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH16rmr, X86_INS_PUSH: push{w}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32i8, X86_INS_PUSH: push{l}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH32r, X86_INS_PUSH: push{l}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32rmm, X86_INS_PUSH: push{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32rmr, X86_INS_PUSH: push{l}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64i16, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64i32, X86_INS_PUSH: push{q}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64i8, X86_INS_PUSH: push{q}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64r, X86_INS_PUSH: push{q}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64rmm, X86_INS_PUSH: push{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64rmr, X86_INS_PUSH: push{q}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSHA16, X86_INS_PUSHAW: pushaw */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHA32, X86_INS_PUSHAL: pushal */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHCS16, X86_INS_PUSH: push{w}	cs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHCS32, X86_INS_PUSH: push{l}	cs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHDS16, X86_INS_PUSH: push{w}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHDS32, X86_INS_PUSH: push{l}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHES16, X86_INS_PUSH: push{w}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHES32, X86_INS_PUSH: push{l}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHF16, X86_INS_PUSHF: pushf{w} */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHF32, X86_INS_PUSHFD: pushfd */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHF64, X86_INS_PUSHFQ: pushfq */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHFS16, X86_INS_PUSH: push{w}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHFS32, X86_INS_PUSH: push{l}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHFS64, X86_INS_PUSH: push{q}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS16, X86_INS_PUSH: push{w}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS32, X86_INS_PUSH: push{l}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS64, X86_INS_PUSH: push{q}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHSS16, X86_INS_PUSH: push{w}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHSS32, X86_INS_PUSH: push{l}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHi16, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHi32, X86_INS_PUSH: push{l}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PXORrm, X86_INS_PXOR: pxor	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_PXORrr, X86_INS_PXOR: pxor	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL16m1, X86_INS_RCL: rcl{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16mCL, X86_INS_RCL: rcl{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL16mi, X86_INS_RCL: rcl{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16r1, X86_INS_RCL: rcl{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16rCL, X86_INS_RCL: rcl{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL16ri, X86_INS_RCL: rcl{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32m1, X86_INS_RCL: rcl{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32mCL, X86_INS_RCL: rcl{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL32mi, X86_INS_RCL: rcl{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32r1, X86_INS_RCL: rcl{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32rCL, X86_INS_RCL: rcl{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL32ri, X86_INS_RCL: rcl{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64m1, X86_INS_RCL: rcl{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64mCL, X86_INS_RCL: rcl{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL64mi, X86_INS_RCL: rcl{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64r1, X86_INS_RCL: rcl{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64rCL, X86_INS_RCL: rcl{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL64ri, X86_INS_RCL: rcl{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8m1, X86_INS_RCL: rcl{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8mCL, X86_INS_RCL: rcl{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL8mi, X86_INS_RCL: rcl{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8r1, X86_INS_RCL: rcl{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8rCL, X86_INS_RCL: rcl{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL8ri, X86_INS_RCL: rcl{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCPPSm, X86_INS_RCPPS: rcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPPSm_Int, X86_INS_RCPPS: rcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPPSr, X86_INS_RCPPS: rcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPPSr_Int, X86_INS_RCPPS: rcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPSSm, X86_INS_RCPSS: rcpss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPSSm_Int, X86_INS_RCPSS: rcpss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCPSSr, X86_INS_RCPSS: rcpss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCPSSr_Int, X86_INS_RCPSS: rcpss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR16m1, X86_INS_RCR: rcr{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16mCL, X86_INS_RCR: rcr{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR16mi, X86_INS_RCR: rcr{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16r1, X86_INS_RCR: rcr{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16rCL, X86_INS_RCR: rcr{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR16ri, X86_INS_RCR: rcr{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32m1, X86_INS_RCR: rcr{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32mCL, X86_INS_RCR: rcr{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR32mi, X86_INS_RCR: rcr{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32r1, X86_INS_RCR: rcr{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32rCL, X86_INS_RCR: rcr{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR32ri, X86_INS_RCR: rcr{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64m1, X86_INS_RCR: rcr{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64mCL, X86_INS_RCR: rcr{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR64mi, X86_INS_RCR: rcr{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64r1, X86_INS_RCR: rcr{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64rCL, X86_INS_RCR: rcr{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR64ri, X86_INS_RCR: rcr{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8m1, X86_INS_RCR: rcr{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8mCL, X86_INS_RCR: rcr{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR8mi, X86_INS_RCR: rcr{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8r1, X86_INS_RCR: rcr{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8rCL, X86_INS_RCR: rcr{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR8ri, X86_INS_RCR: rcr{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RDFSBASE, X86_INS_RDFSBASE: rdfsbase{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDFSBASE64, X86_INS_RDFSBASE: rdfsbase{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDGSBASE, X86_INS_RDGSBASE: rdgsbase{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDGSBASE64, X86_INS_RDGSBASE: rdgsbase{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDMSR, X86_INS_RDMSR: rdmsr */
+	0,
+	{ 0 }
+},
+{	/* X86_RDPMC, X86_INS_RDPMC: rdpmc */
+	0,
+	{ 0 }
+},
+{	/* X86_RDRAND16r, X86_INS_RDRAND: rdrand{w}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDRAND32r, X86_INS_RDRAND: rdrand{l}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDRAND64r, X86_INS_RDRAND: rdrand{q}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED16r, X86_INS_RDSEED: rdseed{w}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED32r, X86_INS_RDSEED: rdseed{l}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED64r, X86_INS_RDSEED: rdseed{q}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDTSC, X86_INS_RDTSC: rdtsc */
+	0,
+	{ 0 }
+},
+{	/* X86_RDTSCP, X86_INS_RDTSCP: rdtscp */
+	0,
+	{ 0 }
+},
+{	/* X86_RETIL, X86_INS_RET: ret{l}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETIQ, X86_INS_RET: ret{q}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETIW, X86_INS_RET: ret{w}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETL, X86_INS_RET: ret{l} */
+	0,
+	{ 0 }
+},
+{	/* X86_RETQ, X86_INS_RET: ret{q} */
+	0,
+	{ 0 }
+},
+{	/* X86_RETW, X86_INS_RET: ret{w} */
+	0,
+	{ 0 }
+},
+{	/* X86_ROL16m1, X86_INS_ROL: rol{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16mCL, X86_INS_ROL: rol{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL16mi, X86_INS_ROL: rol{w}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16r1, X86_INS_ROL: rol{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16rCL, X86_INS_ROL: rol{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL16ri, X86_INS_ROL: rol{w}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32m1, X86_INS_ROL: rol{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32mCL, X86_INS_ROL: rol{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL32mi, X86_INS_ROL: rol{l}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32r1, X86_INS_ROL: rol{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32rCL, X86_INS_ROL: rol{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL32ri, X86_INS_ROL: rol{l}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64m1, X86_INS_ROL: rol{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64mCL, X86_INS_ROL: rol{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL64mi, X86_INS_ROL: rol{q}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64r1, X86_INS_ROL: rol{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64rCL, X86_INS_ROL: rol{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL64ri, X86_INS_ROL: rol{q}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8m1, X86_INS_ROL: rol{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8mCL, X86_INS_ROL: rol{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL8mi, X86_INS_ROL: rol{b}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8r1, X86_INS_ROL: rol{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8rCL, X86_INS_ROL: rol{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL8ri, X86_INS_ROL: rol{b}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16m1, X86_INS_ROR: ror{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16mCL, X86_INS_ROR: ror{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR16mi, X86_INS_ROR: ror{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16r1, X86_INS_ROR: ror{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16rCL, X86_INS_ROR: ror{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR16ri, X86_INS_ROR: ror{w}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32m1, X86_INS_ROR: ror{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32mCL, X86_INS_ROR: ror{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR32mi, X86_INS_ROR: ror{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32r1, X86_INS_ROR: ror{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32rCL, X86_INS_ROR: ror{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR32ri, X86_INS_ROR: ror{l}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64m1, X86_INS_ROR: ror{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64mCL, X86_INS_ROR: ror{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR64mi, X86_INS_ROR: ror{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64r1, X86_INS_ROR: ror{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64rCL, X86_INS_ROR: ror{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR64ri, X86_INS_ROR: ror{q}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8m1, X86_INS_ROR: ror{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8mCL, X86_INS_ROR: ror{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR8mi, X86_INS_ROR: ror{b}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8r1, X86_INS_ROR: ror{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8rCL, X86_INS_ROR: ror{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR8ri, X86_INS_ROR: ror{b}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX32mi, X86_INS_RORX: rorx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX32ri, X86_INS_RORX: rorx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX64mi, X86_INS_RORX: rorx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX64ri, X86_INS_RORX: rorx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDPDm, X86_INS_ROUNDPD: roundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDPDr, X86_INS_ROUNDPD: roundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDPSm, X86_INS_ROUNDPS: roundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDPSr, X86_INS_ROUNDPS: roundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSDm, X86_INS_ROUNDSD: roundsd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSDr, X86_INS_ROUNDSD: roundsd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSDr_Int, X86_INS_ROUNDSD: roundsd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSSm, X86_INS_ROUNDSS: roundss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSSr, X86_INS_ROUNDSS: roundss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROUNDSSr_Int, X86_INS_ROUNDSS: roundss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RSM, X86_INS_RSM: rsm */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_RSQRTPSm, X86_INS_RSQRTPS: rsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTPSm_Int, X86_INS_RSQRTPS: rsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTPSr, X86_INS_RSQRTPS: rsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTPSr_Int, X86_INS_RSQRTPS: rsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTSSm, X86_INS_RSQRTSS: rsqrtss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTSSm_Int, X86_INS_RSQRTSS: rsqrtss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RSQRTSSr, X86_INS_RSQRTSS: rsqrtss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RSQRTSSr_Int, X86_INS_RSQRTSS: rsqrtss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAHF, X86_INS_SAHF: sahf */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_SAL16m1, X86_INS_SAL: sal{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16mCL, X86_INS_SAL: sal{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL16mi, X86_INS_SAL: sal{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16r1, X86_INS_SAL: sal{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16rCL, X86_INS_SAL: sal{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL16ri, X86_INS_SAL: sal{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32m1, X86_INS_SAL: sal{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32mCL, X86_INS_SAL: sal{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL32mi, X86_INS_SAL: sal{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32r1, X86_INS_SAL: sal{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32rCL, X86_INS_SAL: sal{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL32ri, X86_INS_SAL: sal{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64m1, X86_INS_SAL: sal{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64mCL, X86_INS_SAL: sal{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL64mi, X86_INS_SAL: sal{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64r1, X86_INS_SAL: sal{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64rCL, X86_INS_SAL: sal{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL64ri, X86_INS_SAL: sal{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8m1, X86_INS_SAL: sal{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8mCL, X86_INS_SAL: sal{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL8mi, X86_INS_SAL: sal{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8r1, X86_INS_SAL: sal{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8rCL, X86_INS_SAL: sal{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL8ri, X86_INS_SAL: sal{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SALC, X86_INS_SALC: salc */
+	0,
+	{ 0 }
+},
+{	/* X86_SAR16m1, X86_INS_SAR: sar{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16mCL, X86_INS_SAR: sar{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR16mi, X86_INS_SAR: sar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16r1, X86_INS_SAR: sar{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16rCL, X86_INS_SAR: sar{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR16ri, X86_INS_SAR: sar{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32m1, X86_INS_SAR: sar{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32mCL, X86_INS_SAR: sar{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR32mi, X86_INS_SAR: sar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32r1, X86_INS_SAR: sar{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32rCL, X86_INS_SAR: sar{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR32ri, X86_INS_SAR: sar{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64m1, X86_INS_SAR: sar{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64mCL, X86_INS_SAR: sar{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR64mi, X86_INS_SAR: sar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64r1, X86_INS_SAR: sar{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64rCL, X86_INS_SAR: sar{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR64ri, X86_INS_SAR: sar{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8m1, X86_INS_SAR: sar{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8mCL, X86_INS_SAR: sar{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR8mi, X86_INS_SAR: sar{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8r1, X86_INS_SAR: sar{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8rCL, X86_INS_SAR: sar{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR8ri, X86_INS_SAR: sar{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SARX32rm, X86_INS_SARX: sarx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX32rr, X86_INS_SARX: sarx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX64rm, X86_INS_SARX: sarx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX64rr, X86_INS_SARX: sarx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16i16, X86_INS_SBB: sbb{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mi, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mi8, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mr, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16ri, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16ri8, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16rm, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16rr, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16rr_REV, X86_INS_SBB: sbb{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32i32, X86_INS_SBB: sbb{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mi, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mi8, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mr, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32ri, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32ri8, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32rm, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32rr, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32rr_REV, X86_INS_SBB: sbb{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64i32, X86_INS_SBB: sbb{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mi32, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mi8, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mr, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64ri32, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64ri8, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64rm, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64rr, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64rr_REV, X86_INS_SBB: sbb{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8i8, X86_INS_SBB: sbb{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mi, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mi8, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mr, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8ri, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8ri8, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8rm, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8rr, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8rr_REV, X86_INS_SBB: sbb{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SCASB, X86_INS_SCASB: scasb	al, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASL, X86_INS_SCASD: scas{l|d}	{$dst, %eax|eax, $dst} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASQ, X86_INS_SCASQ: scasq	rax, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASW, X86_INS_SCASW: scasw	ax, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SETAEm, X86_INS_SETAE: setae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETAEr, X86_INS_SETAE: setae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETAm, X86_INS_SETA: seta	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETAr, X86_INS_SETA: seta	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETBEm, X86_INS_SETBE: setbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETBEr, X86_INS_SETBE: setbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETBm, X86_INS_SETB: setb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETBr, X86_INS_SETB: setb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETEm, X86_INS_SETE: sete	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETEr, X86_INS_SETE: sete	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETGEm, X86_INS_SETGE: setge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETGEr, X86_INS_SETGE: setge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETGm, X86_INS_SETG: setg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETGr, X86_INS_SETG: setg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETLEm, X86_INS_SETLE: setle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETLEr, X86_INS_SETLE: setle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETLm, X86_INS_SETL: setl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETLr, X86_INS_SETL: setl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNEm, X86_INS_SETNE: setne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNEr, X86_INS_SETNE: setne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNOm, X86_INS_SETNO: setno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNOr, X86_INS_SETNO: setno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNPm, X86_INS_SETNP: setnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNPr, X86_INS_SETNP: setnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNSm, X86_INS_SETNS: setns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNSr, X86_INS_SETNS: setns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETOm, X86_INS_SETO: seto	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETOr, X86_INS_SETO: seto	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETPm, X86_INS_SETP: setp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETPr, X86_INS_SETP: setp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETSm, X86_INS_SETS: sets	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETSr, X86_INS_SETS: sets	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SFENCE, X86_INS_SFENCE: sfence */
+	0,
+	{ 0 }
+},
+{	/* X86_SGDT16m, X86_INS_SGDT: sgdt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SGDT32m, X86_INS_SGDT: sgdt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SGDT64m, X86_INS_SGDT: sgdt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SHA1MSG1rm, X86_INS_SHA1MSG1: sha1msg1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1MSG1rr, X86_INS_SHA1MSG1: sha1msg1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1MSG2rm, X86_INS_SHA1MSG2: sha1msg2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1MSG2rr, X86_INS_SHA1MSG2: sha1msg2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1NEXTErm, X86_INS_SHA1NEXTE: sha1nexte	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1NEXTErr, X86_INS_SHA1NEXTE: sha1nexte	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA1RNDS4rmi, X86_INS_SHA1RNDS4: sha1rnds4	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHA1RNDS4rri, X86_INS_SHA1RNDS4: sha1rnds4	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHA256MSG1rm, X86_INS_SHA256MSG1: sha256msg1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA256MSG1rr, X86_INS_SHA256MSG1: sha256msg1	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA256MSG2rm, X86_INS_SHA256MSG2: sha256msg2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA256MSG2rr, X86_INS_SHA256MSG2: sha256msg2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA256RNDS2rm, X86_INS_SHA256RNDS2: sha256rnds2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHA256RNDS2rr, X86_INS_SHA256RNDS2: sha256rnds2	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL16m1, X86_INS_SHL: shl{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16mCL, X86_INS_SHL: shl{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL16mi, X86_INS_SHL: shl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16r1, X86_INS_SHL: shl{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16rCL, X86_INS_SHL: shl{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL16ri, X86_INS_SHL: shl{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32m1, X86_INS_SHL: shl{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32mCL, X86_INS_SHL: shl{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL32mi, X86_INS_SHL: shl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32r1, X86_INS_SHL: shl{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32rCL, X86_INS_SHL: shl{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL32ri, X86_INS_SHL: shl{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64m1, X86_INS_SHL: shl{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64mCL, X86_INS_SHL: shl{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL64mi, X86_INS_SHL: shl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64r1, X86_INS_SHL: shl{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64rCL, X86_INS_SHL: shl{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL64ri, X86_INS_SHL: shl{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8m1, X86_INS_SHL: shl{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8mCL, X86_INS_SHL: shl{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL8mi, X86_INS_SHL: shl{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8r1, X86_INS_SHL: shl{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8rCL, X86_INS_SHL: shl{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL8ri, X86_INS_SHL: shl{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD16mrCL, X86_INS_SHLD: shld{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD16mri8, X86_INS_SHLD: shld{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD16rrCL, X86_INS_SHLD: shld{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD16rri8, X86_INS_SHLD: shld{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD32mrCL, X86_INS_SHLD: shld{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD32mri8, X86_INS_SHLD: shld{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD32rrCL, X86_INS_SHLD: shld{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD32rri8, X86_INS_SHLD: shld{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD64mrCL, X86_INS_SHLD: shld{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD64mri8, X86_INS_SHLD: shld{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD64rrCL, X86_INS_SHLD: shld{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD64rri8, X86_INS_SHLD: shld{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLX32rm, X86_INS_SHLX: shlx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX32rr, X86_INS_SHLX: shlx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX64rm, X86_INS_SHLX: shlx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX64rr, X86_INS_SHLX: shlx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16m1, X86_INS_SHR: shr{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16mCL, X86_INS_SHR: shr{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16mi, X86_INS_SHR: shr{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16r1, X86_INS_SHR: shr{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16rCL, X86_INS_SHR: shr{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16ri, X86_INS_SHR: shr{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32m1, X86_INS_SHR: shr{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32mCL, X86_INS_SHR: shr{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR32mi, X86_INS_SHR: shr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32r1, X86_INS_SHR: shr{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32rCL, X86_INS_SHR: shr{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR32ri, X86_INS_SHR: shr{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64m1, X86_INS_SHR: shr{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64mCL, X86_INS_SHR: shr{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR64mi, X86_INS_SHR: shr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64r1, X86_INS_SHR: shr{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64rCL, X86_INS_SHR: shr{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR64ri, X86_INS_SHR: shr{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8m1, X86_INS_SHR: shr{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8mCL, X86_INS_SHR: shr{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR8mi, X86_INS_SHR: shr{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8r1, X86_INS_SHR: shr{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8rCL, X86_INS_SHR: shr{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR8ri, X86_INS_SHR: shr{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD16mrCL, X86_INS_SHRD: shrd{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD16mri8, X86_INS_SHRD: shrd{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD16rrCL, X86_INS_SHRD: shrd{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD16rri8, X86_INS_SHRD: shrd{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD32mrCL, X86_INS_SHRD: shrd{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD32mri8, X86_INS_SHRD: shrd{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD32rrCL, X86_INS_SHRD: shrd{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD32rri8, X86_INS_SHRD: shrd{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD64mrCL, X86_INS_SHRD: shrd{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD64mri8, X86_INS_SHRD: shrd{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD64rrCL, X86_INS_SHRD: shrd{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD64rri8, X86_INS_SHRD: shrd{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRX32rm, X86_INS_SHRX: shrx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX32rr, X86_INS_SHRX: shrx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX64rm, X86_INS_SHRX: shrx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX64rr, X86_INS_SHRX: shrx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHUFPDrmi, X86_INS_SHUFPD: shufpd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHUFPDrri, X86_INS_SHUFPD: shufpd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHUFPSrmi, X86_INS_SHUFPS: shufps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHUFPSrri, X86_INS_SHUFPS: shufps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SIDT16m, X86_INS_SIDT: sidt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SIDT32m, X86_INS_SIDT: sidt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SIDT64m, X86_INS_SIDT: sidt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SIN_F, X86_INS_FSIN: fsin */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_SKINIT, X86_INS_SKINIT: skinit	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SLDT16m, X86_INS_SLDT: sldt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT16r, X86_INS_SLDT: sldt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT32r, X86_INS_SLDT: sldt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT64m, X86_INS_SLDT: sldt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT64r, X86_INS_SLDT: sldt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW16m, X86_INS_SMSW: smsw{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW16r, X86_INS_SMSW: smsw{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW32r, X86_INS_SMSW: smsw{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW64r, X86_INS_SMSW: smsw{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SQRTPDm, X86_INS_SQRTPD: sqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTPDr, X86_INS_SQRTPD: sqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTPSm, X86_INS_SQRTPS: sqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTPSr, X86_INS_SQRTPS: sqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSDm, X86_INS_SQRTSD: sqrtsd	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSDm_Int, X86_INS_SQRTSD: sqrtsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SQRTSDr, X86_INS_SQRTSD: sqrtsd	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSDr_Int, X86_INS_SQRTSD: sqrtsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSSm, X86_INS_SQRTSS: sqrtss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSSm_Int, X86_INS_SQRTSS: sqrtss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SQRTSSr, X86_INS_SQRTSS: sqrtss	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRTSSr_Int, X86_INS_SQRTSS: sqrtss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SQRT_F, X86_INS_FSQRT: fsqrt */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_STAC, X86_INS_STAC: stac */
+	0,
+	{ 0 }
+},
+{	/* X86_STC, X86_INS_STC: stc */
+	X86_EFLAGS_SET_CF,
+	{ 0 }
+},
+{	/* X86_STD, X86_INS_STD: std */
+	X86_EFLAGS_SET_DF,
+	{ 0 }
+},
+{	/* X86_STGI, X86_INS_STGI: stgi */
+	0,
+	{ 0 }
+},
+{	/* X86_STI, X86_INS_STI: sti */
+	X86_EFLAGS_SET_IF,
+	{ 0 }
+},
+{	/* X86_STMXCSR, X86_INS_STMXCSR: stmxcsr	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_STOSB, X86_INS_STOSB: stosb	$dst, al */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSL, X86_INS_STOSD: stos{l|d}	{%eax, $dst|$dst, eax} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSQ, X86_INS_STOSQ: stosq	$dst, rax */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSW, X86_INS_STOSW: stosw	$dst, ax */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STR16r, X86_INS_STR: str{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STR32r, X86_INS_STR: str{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STR64r, X86_INS_STR: str{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STRm, X86_INS_STR: str{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_ST_F32m, X86_INS_FST: fst{s}	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ST_F64m, X86_INS_FST: fst{l}	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ST_FCOMPST0r, X86_INS_FCOMP: fcomp	st(0), $op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FCOMPST0r_alt, X86_INS_FCOMP: fcomp	st(0), $op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FCOMST0r, X86_INS_FCOM: fcom	st(0), $op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FP32m, X86_INS_FSTP: fstp{s}	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ST_FP64m, X86_INS_FSTP: fstp{l}	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ST_FP80m, X86_INS_FSTP: fstp{t}	$dst */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_ST_FPNCEST0r, X86_INS_FSTPNCE: fstpnce	$op, st(0) */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FPST0r, X86_INS_FSTP: fstp	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FPST0r_alt, X86_INS_FSTP: fstp	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FPrr, X86_INS_FSTP: fstp	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_ST_FXCHST0r, X86_INS_FXCH: fxch	st(0), $op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ST_FXCHST0r_alt, X86_INS_FXCH: fxch	st(0), $op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ST_Frr, X86_INS_FST: fst	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB16i16, X86_INS_SUB: sub{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mi, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mi8, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mr, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16ri, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16ri8, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16rm, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16rr, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16rr_REV, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32i32, X86_INS_SUB: sub{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mi, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mi8, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mr, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32ri, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32ri8, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32rm, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32rr, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32rr_REV, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64i32, X86_INS_SUB: sub{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mi32, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mi8, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mr, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64ri32, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64ri8, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64rm, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64rr, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64rr_REV, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8i8, X86_INS_SUB: sub{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mi, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mi8, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mr, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8ri, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8ri8, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8rm, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8rr, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8rr_REV, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBPDrm, X86_INS_SUBPD: subpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBPDrr, X86_INS_SUBPD: subpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBPSrm, X86_INS_SUBPS: subps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBPSrr, X86_INS_SUBPS: subps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_F32m, X86_INS_FSUBR: fsubr{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_F64m, X86_INS_FSUBR: fsubr{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_FI16m, X86_INS_FISUBR: fisubr{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_FI32m, X86_INS_FISUBR: fisubr{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_FPrST0, X86_INS_FSUBRP: fsubrp	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_FST0r, X86_INS_FSUBR: fsubr	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUBR_FrST0, X86_INS_FSUBR: fsub{|r}	{%st(0), $op|$op, st(0)} */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSDrm, X86_INS_SUBSD: subsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSDrm_Int, X86_INS_SUBSD: subsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUBSDrr, X86_INS_SUBSD: subsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSDrr_Int, X86_INS_SUBSD: subsd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSSrm, X86_INS_SUBSS: subss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSSrm_Int, X86_INS_SUBSS: subss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUBSSrr, X86_INS_SUBSS: subss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUBSSrr_Int, X86_INS_SUBSS: subss	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB_F32m, X86_INS_FSUB: fsub{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_F64m, X86_INS_FSUB: fsub{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_FI16m, X86_INS_FISUB: fisub{s}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_FI32m, X86_INS_FISUB: fisub{l}	$src */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_FPrST0, X86_INS_FSUBP: fsub{r}p	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_FST0r, X86_INS_FSUB: fsub	$op */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SUB_FrST0, X86_INS_FSUB: fsub{r}	$op, st(0) */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SWAPGS, X86_INS_SWAPGS: swapgs */
+	0,
+	{ 0 }
+},
+{	/* X86_SYSCALL, X86_INS_SYSCALL: syscall */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSENTER, X86_INS_SYSENTER: sysenter */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSEXIT, X86_INS_SYSEXIT: sysexit{l} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSEXIT64, X86_INS_SYSEXIT: sysexit{q} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSRET, X86_INS_SYSRET: sysret{l} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSRET64, X86_INS_SYSRET: sysret{q} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_T1MSKC32rm, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC32rr, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC64rm, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC64rr, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TEST16i16, X86_INS_TEST: test{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16mi, X86_INS_TEST: test{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16mi_alt, X86_INS_TEST: test{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16ri, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16ri_alt, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16rm, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST16rr, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST32i32, X86_INS_TEST: test{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32mi, X86_INS_TEST: test{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32mi_alt, X86_INS_TEST: test{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32ri, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32ri_alt, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32rm, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST32rr, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST64i32, X86_INS_TEST: test{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64mi32, X86_INS_TEST: test{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64mi32_alt, X86_INS_TEST: test{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64ri32, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64ri32_alt, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64rm, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST64rr, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST8i8, X86_INS_TEST: test{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8mi, X86_INS_TEST: test{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8mi_alt, X86_INS_TEST: test{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8ri, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8ri_alt, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8rm, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST8rr, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TRAP, X86_INS_UD2: ud2 */
+	0,
+	{ 0 }
+},
+{	/* X86_TST_F, X86_INS_FTST: ftst */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_TZCNT16rm, X86_INS_TZCNT: tzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT16rr, X86_INS_TZCNT: tzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT32rm, X86_INS_TZCNT: tzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT32rr, X86_INS_TZCNT: tzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT64rm, X86_INS_TZCNT: tzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT64rr, X86_INS_TZCNT: tzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK32rm, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK32rr, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK64rm, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK64rr, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UCOMISDrm, X86_INS_UCOMISD: ucomisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_UCOMISDrr, X86_INS_UCOMISD: ucomisd	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_UCOMISSrm, X86_INS_UCOMISS: ucomiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_UCOMISSrr, X86_INS_UCOMISS: ucomiss	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_UCOM_FIPr, X86_INS_FUCOMIP: fucomip	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_UCOM_FIr, X86_INS_FUCOMI: fucomi	$reg */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_UCOM_FPPr, X86_INS_FUCOMPP: fucompp */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ 0 }
+},
+{	/* X86_UCOM_FPr, X86_INS_FUCOMP: fucomp	$reg */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_UCOM_Fr, X86_INS_FUCOM: fucom	$reg */
+	X86_FPU_FLAGS_MODIFY_C1 | X86_FPU_FLAGS_MODIFY_C0 | X86_FPU_FLAGS_MODIFY_C2 | X86_FPU_FLAGS_MODIFY_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_UD2B, X86_INS_UD2B: ud2b */
+	0,
+	{ 0 }
+},
+{	/* X86_UNPCKHPDrm, X86_INS_UNPCKHPD: unpckhpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKHPDrr, X86_INS_UNPCKHPD: unpckhpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKHPSrm, X86_INS_UNPCKHPS: unpckhps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKHPSrr, X86_INS_UNPCKHPS: unpckhps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKLPDrm, X86_INS_UNPCKLPD: unpcklpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKLPDrr, X86_INS_UNPCKLPD: unpcklpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKLPSrm, X86_INS_UNPCKLPS: unpcklps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UNPCKLPSrr, X86_INS_UNPCKLPS: unpcklps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDYrm, X86_INS_VADDPD: vaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDYrr, X86_INS_VADDPD: vaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rm, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rmb, X86_INS_VADDPD: vaddpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rmbk, X86_INS_VADDPD: vaddpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rmbkz, X86_INS_VADDPD: vaddpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rmk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rmkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rr, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rrk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ128rrkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rm, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rmb, X86_INS_VADDPD: vaddpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rmbk, X86_INS_VADDPD: vaddpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rmbkz, X86_INS_VADDPD: vaddpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rmk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rmkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rr, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rrk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZ256rrkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrb, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPDZrbk, X86_INS_VADDPD: vaddpd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPDZrbkz, X86_INS_VADDPD: vaddpd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPDZrm, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrmb, X86_INS_VADDPD: vaddpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrmbk, X86_INS_VADDPD: vaddpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrmbkz, X86_INS_VADDPD: vaddpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrmk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrmkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrr, X86_INS_VADDPD: vaddpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrrk, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDZrrkz, X86_INS_VADDPD: vaddpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDrm, X86_INS_VADDPD: vaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPDrr, X86_INS_VADDPD: vaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSYrm, X86_INS_VADDPS: vaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSYrr, X86_INS_VADDPS: vaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rm, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rmb, X86_INS_VADDPS: vaddps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rmbk, X86_INS_VADDPS: vaddps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rmbkz, X86_INS_VADDPS: vaddps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rmk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rmkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rr, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rrk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ128rrkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rm, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rmb, X86_INS_VADDPS: vaddps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rmbk, X86_INS_VADDPS: vaddps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rmbkz, X86_INS_VADDPS: vaddps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rmk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rmkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rr, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rrk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZ256rrkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrb, X86_INS_VADDPS: vaddps	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPSZrbk, X86_INS_VADDPS: vaddps	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPSZrbkz, X86_INS_VADDPS: vaddps	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDPSZrm, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrmb, X86_INS_VADDPS: vaddps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrmbk, X86_INS_VADDPS: vaddps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrmbkz, X86_INS_VADDPS: vaddps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrmk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrmkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrr, X86_INS_VADDPS: vaddps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrrk, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSZrrkz, X86_INS_VADDPS: vaddps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSrm, X86_INS_VADDPS: vaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDPSrr, X86_INS_VADDPS: vaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrm, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrm_Int, X86_INS_VADDSD: vaddsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrm_Intk, X86_INS_VADDSD: vaddsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrm_Intkz, X86_INS_VADDSD: vaddsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrr, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrr_Int, X86_INS_VADDSD: vaddsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrr_Intk, X86_INS_VADDSD: vaddsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrr_Intkz, X86_INS_VADDSD: vaddsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDZrrb, X86_INS_VADDSD: vaddsd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSDZrrbk, X86_INS_VADDSD: vaddsd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSDZrrbkz, X86_INS_VADDSD: vaddsd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSDrm, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDrm_Int, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSDrr, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSDrr_Int, X86_INS_VADDSD: vaddsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrm, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrm_Int, X86_INS_VADDSS: vaddss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrm_Intk, X86_INS_VADDSS: vaddss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrm_Intkz, X86_INS_VADDSS: vaddss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrr, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrr_Int, X86_INS_VADDSS: vaddss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrr_Intk, X86_INS_VADDSS: vaddss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrr_Intkz, X86_INS_VADDSS: vaddss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSZrrb, X86_INS_VADDSS: vaddss	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSSZrrbk, X86_INS_VADDSS: vaddss	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSSZrrbkz, X86_INS_VADDSS: vaddss	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSSrm, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSrm_Int, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VADDSSrr, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSSrr_Int, X86_INS_VADDSS: vaddss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPDYrm, X86_INS_VADDSUBPD: vaddsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPDYrr, X86_INS_VADDSUBPD: vaddsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPDrm, X86_INS_VADDSUBPD: vaddsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPDrr, X86_INS_VADDSUBPD: vaddsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPSYrm, X86_INS_VADDSUBPS: vaddsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPSYrr, X86_INS_VADDSUBPS: vaddsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPSrm, X86_INS_VADDSUBPS: vaddsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VADDSUBPSrr, X86_INS_VADDSUBPS: vaddsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESDECLASTrm, X86_INS_VAESDECLAST: vaesdeclast	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESDECLASTrr, X86_INS_VAESDECLAST: vaesdeclast	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESDECrm, X86_INS_VAESDEC: vaesdec	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESDECrr, X86_INS_VAESDEC: vaesdec	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESENCLASTrm, X86_INS_VAESENCLAST: vaesenclast	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESENCLASTrr, X86_INS_VAESENCLAST: vaesenclast	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESENCrm, X86_INS_VAESENC: vaesenc	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESENCrr, X86_INS_VAESENC: vaesenc	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VAESIMCrm, X86_INS_VAESIMC: vaesimc	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VAESIMCrr, X86_INS_VAESIMC: vaesimc	$dst, $src1 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VAESKEYGENASSIST128rm, X86_INS_VAESKEYGENASSIST: vaeskeygenassist	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VAESKEYGENASSIST128rr, X86_INS_VAESKEYGENASSIST: vaeskeygenassist	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNDrmi, X86_INS_VALIGND: valignd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNDrri, X86_INS_VALIGND: valignd	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNDrrik, X86_INS_VALIGND: valignd	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNDrrikz, X86_INS_VALIGND: valignd	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNQrmi, X86_INS_VALIGNQ: valignq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNQrri, X86_INS_VALIGNQ: valignq	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNQrrik, X86_INS_VALIGNQ: valignq	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VALIGNQrrikz, X86_INS_VALIGNQ: valignq	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VANDNPDYrm, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPDYrr, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPDrm, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPDrr, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPSYrm, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPSYrr, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPSrm, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDNPSrr, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPDYrm, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPDYrr, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPDrm, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPDrr, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPSYrm, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPSYrr, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPSrm, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VANDPSrr, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rm, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rmb, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rmbk, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rmk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rmkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rr, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rrk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ128rrkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rm, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rmb, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rmbk, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rmk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rmkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rr, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rrk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZ256rrkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrm, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrmb, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrmbk, X86_INS_VBLENDMPD: vblendmpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrmk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrmkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrr, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrrk, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPDZrrkz, X86_INS_VBLENDMPD: vblendmpd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rm, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rmb, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rmbk, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rmk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rmkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rr, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rrk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ128rrkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rm, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rmb, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rmbk, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rmk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rmkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rr, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rrk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZ256rrkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrm, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrmb, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrmbk, X86_INS_VBLENDMPS: vblendmps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrmk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrmkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrr, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrrk, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDMPSZrrkz, X86_INS_VBLENDMPS: vblendmps	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDPDYrmi, X86_INS_VBLENDPD: vblendpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPDYrri, X86_INS_VBLENDPD: vblendpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPDrmi, X86_INS_VBLENDPD: vblendpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPDrri, X86_INS_VBLENDPD: vblendpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPSYrmi, X86_INS_VBLENDPS: vblendps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPSYrri, X86_INS_VBLENDPS: vblendps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPSrmi, X86_INS_VBLENDPS: vblendps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDPSrri, X86_INS_VBLENDPS: vblendps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VBLENDVPDYrm, X86_INS_VBLENDVPD: vblendvpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPDYrr, X86_INS_VBLENDVPD: vblendvpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPDrm, X86_INS_VBLENDVPD: vblendvpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPDrr, X86_INS_VBLENDVPD: vblendvpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPSYrm, X86_INS_VBLENDVPS: vblendvps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPSYrr, X86_INS_VBLENDVPS: vblendvps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPSrm, X86_INS_VBLENDVPS: vblendvps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBLENDVPSrr, X86_INS_VBLENDVPS: vblendvps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTF128, X86_INS_VBROADCASTF128: vbroadcastf128	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTI32X4krm, X86_INS_VBROADCASTI32X4: vbroadcasti32x4	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTI32X4rm, X86_INS_VBROADCASTI32X4: vbroadcasti32x4	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTI64X4krm, X86_INS_VBROADCASTI64X4: vbroadcasti64x4	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTI64X4rm, X86_INS_VBROADCASTI64X4: vbroadcasti64x4	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDYrm, X86_INS_VBROADCASTSD: vbroadcastsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDYrr, X86_INS_VBROADCASTSD: vbroadcastsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256m, X86_INS_VBROADCASTSD: vbroadcastsd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256mk, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256mkz, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256r, X86_INS_VBROADCASTSD: vbroadcastsd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256rk, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZ256rkz, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZm, X86_INS_VBROADCASTSD: vbroadcastsd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZmk, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZmkz, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZr, X86_INS_VBROADCASTSD: vbroadcastsd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZrk, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSDZrkz, X86_INS_VBROADCASTSD: vbroadcastsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSYrm, X86_INS_VBROADCASTSS: vbroadcastss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSYrr, X86_INS_VBROADCASTSS: vbroadcastss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128m, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128mk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128mkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128r, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128rk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ128rkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256m, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256mk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256mkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256r, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256rk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZ256rkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZm, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZmk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZmkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZr, X86_INS_VBROADCASTSS: vbroadcastss	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZrk, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSZrkz, X86_INS_VBROADCASTSS: vbroadcastss	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSrm, X86_INS_VBROADCASTSS: vbroadcastss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VBROADCASTSSrr, X86_INS_VBROADCASTSS: vbroadcastss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDYrmi, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDYrmi_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDYrri, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDYrri_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDZrmi, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDZrmi_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDZrri, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDZrri_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDZrrib, X86_INS_VCMPPD: vcmp${cc}pd	{{sae}, $src2, $src1, $dst|$dst, $src1, $src2, {sae}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDZrrib_alt, X86_INS_VCMPPD: vcmppd	{{sae}, $cc, $src2, $src1, $dst|$dst, $src1, $src2, $cc, {sae}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDrmi, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDrmi_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPDrri, X86_INS_VCMPPD: vcmp${cc}pd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPDrri_alt, X86_INS_VCMPPD: vcmppd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSYrmi, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSYrmi_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSYrri, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSYrri_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSZrmi, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSZrmi_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSZrri, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSZrri_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSZrrib, X86_INS_VCMPPS: vcmp${cc}ps	{{sae}, $src2, $src1, $dst|$dst, $src1, $src2, {sae}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSZrrib_alt, X86_INS_VCMPPS: vcmpps	{{sae}, $cc, $src2, $src1, $dst|$dst, $src1, $src2, $cc, {sae}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSrmi, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSrmi_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPPSrri, X86_INS_VCMPPS: vcmp${cc}ps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPPSrri_alt, X86_INS_VCMPPS: vcmpps	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSDZrm, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSDZrmi_alt, X86_INS_VCMPSD: vcmpsd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSDZrr, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSDZrri_alt, X86_INS_VCMPSD: vcmpsd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSDrm, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSDrm_alt, X86_INS_VCMPSD: vcmpsd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSDrr, X86_INS_VCMPSD: vcmp${cc}sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSDrr_alt, X86_INS_VCMPSD: vcmpsd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSSZrm, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSSZrmi_alt, X86_INS_VCMPSS: vcmpss	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSSZrr, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSSZrri_alt, X86_INS_VCMPSS: vcmpss	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSSrm, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSSrm_alt, X86_INS_VCMPSS: vcmpss	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCMPSSrr, X86_INS_VCMPSS: vcmp${cc}ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCMPSSrr_alt, X86_INS_VCMPSS: vcmpss	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCOMISDZrm, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISDZrr, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISDrm, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISDrr, X86_INS_VCOMISD: vcomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISSZrm, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISSZrr, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISSrm, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMISSrr, X86_INS_VCOMISS: vcomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ128mrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ128rrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ128rrkz, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ256mrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ256rrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZ256rrkz, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZmrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZrrk, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPDZrrkz, X86_INS_VCOMPRESSPD: vcompresspd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ128mrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ128rrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ128rrkz, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ256mrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ256rrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZ256rrkz, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZmrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZrrk, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCOMPRESSPSZrrkz, X86_INS_VCOMPRESSPS: vcompressps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDYrm, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDYrr, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDZrm, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDZrr, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDrm, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PDrr, X86_INS_VCVTDQ2PD: vcvtdq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSYrm, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSYrr, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSZrm, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSZrr, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSZrrb, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTDQ2PSrm, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTDQ2PSrr, X86_INS_VCVTDQ2PS: vcvtdq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQXrm, X86_INS_VCVTPD2DQX: vcvtpd2dqx	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQYrm, X86_INS_VCVTPD2DQ: vcvtpd2dq{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQYrr, X86_INS_VCVTPD2DQ: vcvtpd2dq{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQZrm, X86_INS_VCVTPD2DQ: vcvtpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQZrr, X86_INS_VCVTPD2DQ: vcvtpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2DQZrrb, X86_INS_VCVTPD2DQ: vcvtpd2dq	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPD2DQrr, X86_INS_VCVTPD2DQ: vcvtpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSXrm, X86_INS_VCVTPD2PSX: vcvtpd2psx	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSYrm, X86_INS_VCVTPD2PS: vcvtpd2ps{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSYrr, X86_INS_VCVTPD2PS: vcvtpd2ps{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSZrm, X86_INS_VCVTPD2PS: vcvtpd2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSZrr, X86_INS_VCVTPD2PS: vcvtpd2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2PSZrrb, X86_INS_VCVTPD2PS: vcvtpd2ps	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPD2PSrr, X86_INS_VCVTPD2PS: vcvtpd2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2UDQZrm, X86_INS_VCVTPD2UDQ: vcvtpd2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2UDQZrr, X86_INS_VCVTPD2UDQ: vcvtpd2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPD2UDQZrrb, X86_INS_VCVTPD2UDQ: vcvtpd2udq	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPH2PSYrm, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPH2PSYrr, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPH2PSZrm, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPH2PSZrr, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPH2PSrm, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPH2PSrr, X86_INS_VCVTPH2PS: vcvtph2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQYrm, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQYrr, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQZrm, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQZrr, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQZrrb, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2DQrm, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2DQrr, X86_INS_VCVTPS2DQ: vcvtps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDYrm, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDYrr, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDZrm, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDZrr, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDrm, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PDrr, X86_INS_VCVTPS2PD: vcvtps2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2PHYmr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2PHYrr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2PHZmr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2PHZrr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2PHmr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2PHrr, X86_INS_VCVTPS2PH: vcvtps2ph	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTPS2UDQZrm, X86_INS_VCVTPS2UDQ: vcvtps2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2UDQZrr, X86_INS_VCVTPS2UDQ: vcvtps2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTPS2UDQZrrb, X86_INS_VCVTPS2UDQ: vcvtps2udq	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2SI64Zrm, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2SI64Zrr, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SI64rm, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2SI64rr, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SIZrm, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2SIZrr, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SIrm, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2SIrr, X86_INS_VCVTSD2SI: vcvtsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SSZrm, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SSZrr, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SSrm, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2SSrr, X86_INS_VCVTSD2SS: vcvtsd2ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2USI64Zrm, X86_INS_VCVTSD2USI: vcvtsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2USI64Zrr, X86_INS_VCVTSD2USI: vcvtsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSD2USIZrm, X86_INS_VCVTSD2USI: vcvtsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSD2USIZrr, X86_INS_VCVTSD2USI: vcvtsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SD64rm, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SD64rr, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SDZrm, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SDZrr, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SDrm, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SDrr, X86_INS_VCVTSI2SD: vcvtsi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SS64rm, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SS64rr, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SSZrm, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SSZrr, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SSrm, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI2SSrr, X86_INS_VCVTSI2SS: vcvtsi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI642SDZrm, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI642SDZrr, X86_INS_VCVTSI2SD: vcvtsi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI642SSZrm, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSI642SSZrr, X86_INS_VCVTSI2SS: vcvtsi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SDZrm, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SDZrr, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SDrm, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SDrr, X86_INS_VCVTSS2SD: vcvtss2sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SI64Zrm, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2SI64Zrr, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SI64rm, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2SI64rr, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SIZrm, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2SIZrr, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2SIrm, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2SIrr, X86_INS_VCVTSS2SI: vcvtss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2USI64Zrm, X86_INS_VCVTSS2USI: vcvtss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2USI64Zrr, X86_INS_VCVTSS2USI: vcvtss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTSS2USIZrm, X86_INS_VCVTSS2USI: vcvtss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTSS2USIZrr, X86_INS_VCVTSS2USI: vcvtss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQXrm, X86_INS_VCVTTPD2DQX: vcvttpd2dqx	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQYrm, X86_INS_VCVTTPD2DQ: vcvttpd2dq{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQYrr, X86_INS_VCVTTPD2DQ: vcvttpd2dq{y}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQZrm, X86_INS_VCVTTPD2DQ: vcvttpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQZrr, X86_INS_VCVTTPD2DQ: vcvttpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2DQrr, X86_INS_VCVTTPD2DQ: vcvttpd2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2UDQZrm, X86_INS_VCVTTPD2UDQ: vcvttpd2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPD2UDQZrr, X86_INS_VCVTTPD2UDQ: vcvttpd2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQYrm, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQYrr, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQZrm, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQZrr, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQrm, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2DQrr, X86_INS_VCVTTPS2DQ: vcvttps2dq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2UDQZrm, X86_INS_VCVTTPS2UDQ: vcvttps2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTPS2UDQZrr, X86_INS_VCVTTPS2UDQ: vcvttps2udq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SI64Zrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SI64Zrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SI64rm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SI64rr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SIZrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SIZrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SIrm, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2SIrr, X86_INS_VCVTTSD2SI: vcvttsd2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2USI64Zrm, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2USI64Zrr, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2USIZrm, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSD2USIZrr, X86_INS_VCVTTSD2USI: vcvttsd2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SI64Zrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SI64Zrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SI64rm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SI64rr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SIZrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SIZrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SIrm, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2SIrr, X86_INS_VCVTTSS2SI: vcvttss2si	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2USI64Zrm, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2USI64Zrr, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2USIZrm, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTTSS2USIZrr, X86_INS_VCVTTSS2USI: vcvttss2usi	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUDQ2PDZrm, X86_INS_VCVTUDQ2PD: vcvtudq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUDQ2PDZrr, X86_INS_VCVTUDQ2PD: vcvtudq2pd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUDQ2PSZrm, X86_INS_VCVTUDQ2PS: vcvtudq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUDQ2PSZrr, X86_INS_VCVTUDQ2PS: vcvtudq2ps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUDQ2PSZrrb, X86_INS_VCVTUDQ2PS: vcvtudq2ps	$dst, $src, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VCVTUSI2SDZrm, X86_INS_VCVTUSI2SD: vcvtusi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI2SDZrr, X86_INS_VCVTUSI2SD: vcvtusi2sd{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI2SSZrm, X86_INS_VCVTUSI2SS: vcvtusi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI2SSZrr, X86_INS_VCVTUSI2SS: vcvtusi2ss{l}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI642SDZrm, X86_INS_VCVTUSI2SD: vcvtusi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI642SDZrr, X86_INS_VCVTUSI2SD: vcvtusi2sd{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI642SSZrm, X86_INS_VCVTUSI2SS: vcvtusi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VCVTUSI642SSZrr, X86_INS_VCVTUSI2SS: vcvtusi2ss{q}	$dst, $src1, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDYrm, X86_INS_VDIVPD: vdivpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDYrr, X86_INS_VDIVPD: vdivpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rm, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rmb, X86_INS_VDIVPD: vdivpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rmbk, X86_INS_VDIVPD: vdivpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rmbkz, X86_INS_VDIVPD: vdivpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rmk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rmkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rr, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rrk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ128rrkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rm, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rmb, X86_INS_VDIVPD: vdivpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rmbk, X86_INS_VDIVPD: vdivpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rmbkz, X86_INS_VDIVPD: vdivpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rmk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rmkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rr, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rrk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZ256rrkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrb, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPDZrbk, X86_INS_VDIVPD: vdivpd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPDZrbkz, X86_INS_VDIVPD: vdivpd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPDZrm, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrmb, X86_INS_VDIVPD: vdivpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrmbk, X86_INS_VDIVPD: vdivpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrmbkz, X86_INS_VDIVPD: vdivpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrmk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrmkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrr, X86_INS_VDIVPD: vdivpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrrk, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDZrrkz, X86_INS_VDIVPD: vdivpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDrm, X86_INS_VDIVPD: vdivpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPDrr, X86_INS_VDIVPD: vdivpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSYrm, X86_INS_VDIVPS: vdivps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSYrr, X86_INS_VDIVPS: vdivps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rm, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rmb, X86_INS_VDIVPS: vdivps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rmbk, X86_INS_VDIVPS: vdivps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rmbkz, X86_INS_VDIVPS: vdivps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rmk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rmkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rr, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rrk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ128rrkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rm, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rmb, X86_INS_VDIVPS: vdivps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rmbk, X86_INS_VDIVPS: vdivps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rmbkz, X86_INS_VDIVPS: vdivps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rmk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rmkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rr, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rrk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZ256rrkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrb, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPSZrbk, X86_INS_VDIVPS: vdivps	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPSZrbkz, X86_INS_VDIVPS: vdivps	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVPSZrm, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrmb, X86_INS_VDIVPS: vdivps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrmbk, X86_INS_VDIVPS: vdivps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrmbkz, X86_INS_VDIVPS: vdivps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrmk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrmkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrr, X86_INS_VDIVPS: vdivps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrrk, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSZrrkz, X86_INS_VDIVPS: vdivps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSrm, X86_INS_VDIVPS: vdivps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVPSrr, X86_INS_VDIVPS: vdivps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrm, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrm_Int, X86_INS_VDIVSD: vdivsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrm_Intk, X86_INS_VDIVSD: vdivsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrm_Intkz, X86_INS_VDIVSD: vdivsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrr, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrr_Int, X86_INS_VDIVSD: vdivsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrr_Intk, X86_INS_VDIVSD: vdivsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrr_Intkz, X86_INS_VDIVSD: vdivsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDZrrb, X86_INS_VDIVSD: vdivsd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSDZrrbk, X86_INS_VDIVSD: vdivsd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSDZrrbkz, X86_INS_VDIVSD: vdivsd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSDrm, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDrm_Int, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSDrr, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSDrr_Int, X86_INS_VDIVSD: vdivsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrm, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrm_Int, X86_INS_VDIVSS: vdivss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrm_Intk, X86_INS_VDIVSS: vdivss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrm_Intkz, X86_INS_VDIVSS: vdivss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrr, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrr_Int, X86_INS_VDIVSS: vdivss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrr_Intk, X86_INS_VDIVSS: vdivss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrr_Intkz, X86_INS_VDIVSS: vdivss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSZrrb, X86_INS_VDIVSS: vdivss	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSSZrrbk, X86_INS_VDIVSS: vdivss	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSSZrrbkz, X86_INS_VDIVSS: vdivss	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSSrm, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSrm_Int, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDIVSSrr, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDIVSSrr_Int, X86_INS_VDIVSS: vdivss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VDPPDrmi, X86_INS_VDPPD: vdppd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDPPDrri, X86_INS_VDPPD: vdppd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDPPSYrmi, X86_INS_VDPPS: vdpps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDPPSYrri, X86_INS_VDPPS: vdpps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDPPSrmi, X86_INS_VDPPS: vdpps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VDPPSrri, X86_INS_VDPPS: vdpps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VERRm, X86_INS_VERR: verr	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERRr, X86_INS_VERR: verr	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERWm, X86_INS_VERW: verw	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERWr, X86_INS_VERW: verw	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDm, X86_INS_VEXP2PD: vexp2pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDmb, X86_INS_VEXP2PD: vexp2pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDmbk, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDmbkz, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDmk, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDmkz, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDr, X86_INS_VEXP2PD: vexp2pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDrb, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDrbk, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDrbkz, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDrk, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PDrkz, X86_INS_VEXP2PD: vexp2pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSm, X86_INS_VEXP2PS: vexp2ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSmb, X86_INS_VEXP2PS: vexp2ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSmbk, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSmbkz, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSmk, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSmkz, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSr, X86_INS_VEXP2PS: vexp2ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSrb, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSrbk, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSrbkz, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSrk, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXP2PSrkz, X86_INS_VEXP2PS: vexp2ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ128rmk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ128rmkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ128rrk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ128rrkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ256rmk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ256rmkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ256rrk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZ256rrkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZrmk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZrmkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZrrk, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPDZrrkz, X86_INS_VEXPANDPD: vexpandpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ128rmk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ128rmkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ128rrk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ128rrkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ256rmk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ256rmkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ256rrk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZ256rrkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZrmk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZrmkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZrrk, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXPANDPSZrrkz, X86_INS_VEXPANDPS: vexpandps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VEXTRACTF128mr, X86_INS_VEXTRACTF128: vextractf128	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF128rr, X86_INS_VEXTRACTF128: vextractf128	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF32x4rm, X86_INS_VEXTRACTF32X4: vextractf32x4	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF32x4rr, X86_INS_VEXTRACTF32X4: vextractf32x4	$dst , $src1, $idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF32x4rrk, X86_INS_VEXTRACTF32X4: vextractf32x4	{$idx, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $idx} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF32x4rrkz, X86_INS_VEXTRACTF32X4: vextractf32x4	{$idx, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $idx} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF64x4rm, X86_INS_VEXTRACTF64X4: vextractf64x4	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF64x4rr, X86_INS_VEXTRACTF64X4: vextractf64x4	$dst , $src1, $idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF64x4rrk, X86_INS_VEXTRACTF64X4: vextractf64x4	{$idx, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $idx} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTF64x4rrkz, X86_INS_VEXTRACTF64X4: vextractf64x4	{$idx, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $idx} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI128mr, X86_INS_VEXTRACTI128: vextracti128	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI128rr, X86_INS_VEXTRACTI128: vextracti128	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI32x4rm, X86_INS_VEXTRACTI32X4: vextracti32x4	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI32x4rr, X86_INS_VEXTRACTI32X4: vextracti32x4	$dst , $src1, $idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI32x4rrk, X86_INS_VEXTRACTI32X4: vextracti32x4	{$idx, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $idx} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI32x4rrkz, X86_INS_VEXTRACTI32X4: vextracti32x4	{$idx, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $idx} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI64x4rm, X86_INS_VEXTRACTI64X4: vextracti64x4	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI64x4rr, X86_INS_VEXTRACTI64X4: vextracti64x4	$dst , $src1, $idx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI64x4rrk, X86_INS_VEXTRACTI64X4: vextracti64x4	{$idx, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $idx} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTI64x4rrkz, X86_INS_VEXTRACTI64X4: vextracti64x4	{$idx, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $idx} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTPSmr, X86_INS_VEXTRACTPS: vextractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTPSrr, X86_INS_VEXTRACTPS: vextractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTPSzmr, X86_INS_VEXTRACTPS: vextractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VEXTRACTPSzrr, X86_INS_VEXTRACTPS: vextractps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADD132PDZ128m, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PDZ128mb, X86_INS_VFMADD132PD: vfmadd132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PDZ256m, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PDZ256mb, X86_INS_VFMADD132PD: vfmadd132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PDZm, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PDZmb, X86_INS_VFMADD132PD: vfmadd132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZ128m, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZ128mb, X86_INS_VFMADD132PS: vfmadd132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZ256m, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZ256mb, X86_INS_VFMADD132PS: vfmadd132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZm, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADD132PSZmb, X86_INS_VFMADD132PS: vfmadd132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4mr, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4mrY, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rm, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rmY, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rr, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rrY, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rrY_REV, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPD4rr_REV, X86_INS_VFMADDPD: vfmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rm, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rmb, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rmbk, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rmbkz, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rmk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rmkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rr, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rrk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v213rrkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rm, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rmb, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rmbk, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rmbkz, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rmk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rmkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rr, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rrk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ128v231rrkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rm, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rmb, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rmbk, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rmbkz, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rmk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rmkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rr, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rrk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v213rrkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rm, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rmb, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rmbk, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rmbkz, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rmk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rmkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rr, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rrk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZ256v231rrkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rm, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rmb, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rmbk, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rmbkz, X86_INS_VFMADD213PD: vfmadd213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rmk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rmkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rr, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rrb, X86_INS_VFMADD213PD: vfmadd213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPDZv213rrbk, X86_INS_VFMADD213PD: vfmadd213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPDZv213rrbkz, X86_INS_VFMADD213PD: vfmadd213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPDZv213rrk, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv213rrkz, X86_INS_VFMADD213PD: vfmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rm, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rmb, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rmbk, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rmbkz, X86_INS_VFMADD231PD: vfmadd231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rmk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rmkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rr, X86_INS_VFMADD231PD: vfmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rrk, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDZv231rrkz, X86_INS_VFMADD231PD: vfmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr132m, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr132mY, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr132r, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr132rY, X86_INS_VFMADD132PD: vfmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr213m, X86_INS_VFMADD213PD: vfmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr213mY, X86_INS_VFMADD213PD: vfmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr213r, X86_INS_VFMADD213PD: vfmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr213rY, X86_INS_VFMADD213PD: vfmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr231m, X86_INS_VFMADD231PD: vfmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr231mY, X86_INS_VFMADD231PD: vfmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr231r, X86_INS_VFMADD231PD: vfmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPDr231rY, X86_INS_VFMADD231PD: vfmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4mr, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4mrY, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rm, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rmY, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rr, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rrY, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rrY_REV, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPS4rr_REV, X86_INS_VFMADDPS: vfmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rm, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rmb, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rmbk, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rmbkz, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rmk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rmkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rr, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rrk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v213rrkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rm, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rmb, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rmbk, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rmbkz, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rmk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rmkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rr, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rrk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ128v231rrkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rm, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rmb, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rmbk, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rmbkz, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rmk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rmkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rr, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rrk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v213rrkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rm, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rmb, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rmbk, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rmbkz, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rmk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rmkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rr, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rrk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZ256v231rrkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rm, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rmb, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rmbk, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rmbkz, X86_INS_VFMADD213PS: vfmadd213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rmk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rmkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rr, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rrb, X86_INS_VFMADD213PS: vfmadd213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPSZv213rrbk, X86_INS_VFMADD213PS: vfmadd213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPSZv213rrbkz, X86_INS_VFMADD213PS: vfmadd213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDPSZv213rrk, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv213rrkz, X86_INS_VFMADD213PS: vfmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rm, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rmb, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rmbk, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rmbkz, X86_INS_VFMADD231PS: vfmadd231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rmk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rmkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rr, X86_INS_VFMADD231PS: vfmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rrk, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSZv231rrkz, X86_INS_VFMADD231PS: vfmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr132m, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr132mY, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr132r, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr132rY, X86_INS_VFMADD132PS: vfmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr213m, X86_INS_VFMADD213PS: vfmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr213mY, X86_INS_VFMADD213PS: vfmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr213r, X86_INS_VFMADD213PS: vfmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr213rY, X86_INS_VFMADD213PS: vfmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr231m, X86_INS_VFMADD231PS: vfmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr231mY, X86_INS_VFMADD231PS: vfmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr231r, X86_INS_VFMADD231PS: vfmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDPSr231rY, X86_INS_VFMADD231PS: vfmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4mr, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4mr_Int, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4rm, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4rm_Int, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSD4rr, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4rr_Int, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSD4rr_REV, X86_INS_VFMADDSD: vfmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDZm, X86_INS_VFMADD213SD: vfmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDZr, X86_INS_VFMADD213SD: vfmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr132m, X86_INS_VFMADD132SD: vfmadd132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr132r, X86_INS_VFMADD132SD: vfmadd132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr213m, X86_INS_VFMADD213SD: vfmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr213r, X86_INS_VFMADD213SD: vfmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr231m, X86_INS_VFMADD231SD: vfmadd231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSDr231r, X86_INS_VFMADD231SD: vfmadd231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4mr, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4mr_Int, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4rm, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4rm_Int, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSS4rr, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4rr_Int, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSS4rr_REV, X86_INS_VFMADDSS: vfmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSZm, X86_INS_VFMADD213SS: vfmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSZr, X86_INS_VFMADD213SS: vfmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr132m, X86_INS_VFMADD132SS: vfmadd132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr132r, X86_INS_VFMADD132SS: vfmadd132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr213m, X86_INS_VFMADD213SS: vfmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr213r, X86_INS_VFMADD213SS: vfmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr231m, X86_INS_VFMADD231SS: vfmadd231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSSr231r, X86_INS_VFMADD231SS: vfmadd231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZ128m, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZ128mb, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZ256m, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZ256mb, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZm, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PDZmb, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZ128m, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZ128mb, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZ256m, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZ256mb, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZm, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUB132PSZmb, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4mr, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4mrY, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rm, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rmY, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rr, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rrY, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rrY_REV, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPD4rr_REV, X86_INS_VFMADDSUBPD: vfmaddsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rm, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rmb, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rmbk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rmbkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rmk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rmkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rr, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rrk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v213rrkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rm, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rmb, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rmbk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rmbkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rmk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rmkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rr, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rrk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ128v231rrkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rm, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rmb, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rmbk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rmbkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rmk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rmkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rr, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rrk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v213rrkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rm, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rmb, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rmbk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rmbkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rmk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rmkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rr, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rrk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZ256v231rrkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rm, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rmb, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rmbk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rmbkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rmk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rmkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rr, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rrb, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rrbk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rrbkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rrk, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv213rrkz, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rm, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rmb, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rmbk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rmbkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rmk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rmkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rr, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rrk, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDZv231rrkz, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr132m, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr132mY, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr132r, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr132rY, X86_INS_VFMADDSUB132PD: vfmaddsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr213m, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr213mY, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr213r, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr213rY, X86_INS_VFMADDSUB213PD: vfmaddsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr231m, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr231mY, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr231r, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPDr231rY, X86_INS_VFMADDSUB231PD: vfmaddsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4mr, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4mrY, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rm, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rmY, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rr, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rrY, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rrY_REV, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPS4rr_REV, X86_INS_VFMADDSUBPS: vfmaddsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rm, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rmb, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rmbk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rmbkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rmk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rmkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rr, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rrk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v213rrkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rm, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rmb, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rmbk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rmbkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rmk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rmkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rr, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rrk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ128v231rrkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rm, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rmb, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rmbk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rmbkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rmk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rmkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rr, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rrk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v213rrkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rm, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rmb, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rmbk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rmbkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rmk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rmkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rr, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rrk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZ256v231rrkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rm, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rmb, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rmbk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rmbkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rmk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rmkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rr, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rrb, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rrbk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rrbkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rrk, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv213rrkz, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rm, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rmb, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rmbk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rmbkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rmk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rmkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rr, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rrk, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSZv231rrkz, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr132m, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr132mY, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr132r, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr132rY, X86_INS_VFMADDSUB132PS: vfmaddsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr213m, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr213mY, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr213r, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr213rY, X86_INS_VFMADDSUB213PS: vfmaddsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr231m, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr231mY, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr231r, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMADDSUBPSr231rY, X86_INS_VFMADDSUB231PS: vfmaddsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZ128m, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZ128mb, X86_INS_VFMSUB132PD: vfmsub132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZ256m, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZ256mb, X86_INS_VFMSUB132PD: vfmsub132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZm, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PDZmb, X86_INS_VFMSUB132PD: vfmsub132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZ128m, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZ128mb, X86_INS_VFMSUB132PS: vfmsub132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZ256m, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZ256mb, X86_INS_VFMSUB132PS: vfmsub132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZm, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUB132PSZmb, X86_INS_VFMSUB132PS: vfmsub132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZ128m, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZ128mb, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZ256m, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZ256mb, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZm, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PDZmb, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZ128m, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZ128mb, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZ256m, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZ256mb, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZm, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADD132PSZmb, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4mr, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4mrY, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rm, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rmY, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rr, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rrY, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rrY_REV, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPD4rr_REV, X86_INS_VFMSUBADDPD: vfmsubaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rm, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rmb, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rmbk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rmbkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rmk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rmkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rr, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rrk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v213rrkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rm, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rmb, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rmbk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rmbkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rmk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rmkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rr, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rrk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ128v231rrkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rm, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rmb, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rmbk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rmbkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rmk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rmkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rr, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rrk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v213rrkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rm, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rmb, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rmbk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rmbkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rmk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rmkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rr, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rrk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZ256v231rrkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rm, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rmb, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rmbk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rmbkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rmk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rmkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rr, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rrb, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rrbk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rrbkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rrk, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv213rrkz, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rm, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rmb, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rmbk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rmbkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rmk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rmkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rr, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rrk, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDZv231rrkz, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr132m, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr132mY, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr132r, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr132rY, X86_INS_VFMSUBADD132PD: vfmsubadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr213m, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr213mY, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr213r, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr213rY, X86_INS_VFMSUBADD213PD: vfmsubadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr231m, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr231mY, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr231r, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPDr231rY, X86_INS_VFMSUBADD231PD: vfmsubadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4mr, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4mrY, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rm, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rmY, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rr, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rrY, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rrY_REV, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPS4rr_REV, X86_INS_VFMSUBADDPS: vfmsubaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rm, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rmb, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rmbk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rmbkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rmk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rmkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rr, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rrk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v213rrkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rm, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rmb, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rmbk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rmbkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rmk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rmkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rr, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rrk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ128v231rrkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rm, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rmb, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rmbk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rmbkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rmk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rmkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rr, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rrk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v213rrkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rm, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rmb, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rmbk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rmbkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rmk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rmkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rr, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rrk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZ256v231rrkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rm, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rmb, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rmbk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rmbkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rmk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rmkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rr, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rrb, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rrbk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rrbkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rrk, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv213rrkz, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rm, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rmb, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rmbk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rmbkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rmk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rmkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rr, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rrk, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSZv231rrkz, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr132m, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr132mY, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr132r, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr132rY, X86_INS_VFMSUBADD132PS: vfmsubadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr213m, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr213mY, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr213r, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr213rY, X86_INS_VFMSUBADD213PS: vfmsubadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr231m, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr231mY, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr231r, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBADDPSr231rY, X86_INS_VFMSUBADD231PS: vfmsubadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4mr, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4mrY, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rm, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rmY, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rr, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rrY, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rrY_REV, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPD4rr_REV, X86_INS_VFMSUBPD: vfmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rm, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rmb, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rmbk, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rmbkz, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rmk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rmkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rr, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rrk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v213rrkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rm, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rmb, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rmbk, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rmbkz, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rmk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rmkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rr, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rrk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ128v231rrkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rm, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rmb, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rmbk, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rmbkz, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rmk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rmkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rr, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rrk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v213rrkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rm, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rmb, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rmbk, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rmbkz, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rmk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rmkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rr, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rrk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZ256v231rrkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rm, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rmb, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rmbk, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rmbkz, X86_INS_VFMSUB213PD: vfmsub213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rmk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rmkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rr, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rrb, X86_INS_VFMSUB213PD: vfmsub213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPDZv213rrbk, X86_INS_VFMSUB213PD: vfmsub213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPDZv213rrbkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPDZv213rrk, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv213rrkz, X86_INS_VFMSUB213PD: vfmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rm, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rmb, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rmbk, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rmbkz, X86_INS_VFMSUB231PD: vfmsub231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rmk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rmkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rr, X86_INS_VFMSUB231PD: vfmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rrk, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDZv231rrkz, X86_INS_VFMSUB231PD: vfmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr132m, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr132mY, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr132r, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr132rY, X86_INS_VFMSUB132PD: vfmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr213m, X86_INS_VFMSUB213PD: vfmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr213mY, X86_INS_VFMSUB213PD: vfmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr213r, X86_INS_VFMSUB213PD: vfmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr213rY, X86_INS_VFMSUB213PD: vfmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr231m, X86_INS_VFMSUB231PD: vfmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr231mY, X86_INS_VFMSUB231PD: vfmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr231r, X86_INS_VFMSUB231PD: vfmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPDr231rY, X86_INS_VFMSUB231PD: vfmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4mr, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4mrY, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rm, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rmY, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rr, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rrY, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rrY_REV, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPS4rr_REV, X86_INS_VFMSUBPS: vfmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rm, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rmb, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rmbk, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rmbkz, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rmk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rmkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rr, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rrk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v213rrkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rm, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rmb, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rmbk, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rmbkz, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rmk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rmkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rr, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rrk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ128v231rrkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rm, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rmb, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rmbk, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rmbkz, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rmk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rmkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rr, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rrk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v213rrkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rm, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rmb, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rmbk, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rmbkz, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rmk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rmkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rr, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rrk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZ256v231rrkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rm, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rmb, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rmbk, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rmbkz, X86_INS_VFMSUB213PS: vfmsub213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rmk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rmkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rr, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rrb, X86_INS_VFMSUB213PS: vfmsub213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPSZv213rrbk, X86_INS_VFMSUB213PS: vfmsub213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPSZv213rrbkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBPSZv213rrk, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv213rrkz, X86_INS_VFMSUB213PS: vfmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rm, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rmb, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rmbk, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rmbkz, X86_INS_VFMSUB231PS: vfmsub231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rmk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rmkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rr, X86_INS_VFMSUB231PS: vfmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rrk, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSZv231rrkz, X86_INS_VFMSUB231PS: vfmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr132m, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr132mY, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr132r, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr132rY, X86_INS_VFMSUB132PS: vfmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr213m, X86_INS_VFMSUB213PS: vfmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr213mY, X86_INS_VFMSUB213PS: vfmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr213r, X86_INS_VFMSUB213PS: vfmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr213rY, X86_INS_VFMSUB213PS: vfmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr231m, X86_INS_VFMSUB231PS: vfmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr231mY, X86_INS_VFMSUB231PS: vfmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr231r, X86_INS_VFMSUB231PS: vfmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBPSr231rY, X86_INS_VFMSUB231PS: vfmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4mr, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4mr_Int, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4rm, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4rm_Int, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBSD4rr, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4rr_Int, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSD4rr_REV, X86_INS_VFMSUBSD: vfmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDZm, X86_INS_VFMSUB213SD: vfmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDZr, X86_INS_VFMSUB213SD: vfmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr132m, X86_INS_VFMSUB132SD: vfmsub132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr132r, X86_INS_VFMSUB132SD: vfmsub132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr213m, X86_INS_VFMSUB213SD: vfmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr213r, X86_INS_VFMSUB213SD: vfmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr231m, X86_INS_VFMSUB231SD: vfmsub231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSDr231r, X86_INS_VFMSUB231SD: vfmsub231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4mr, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4mr_Int, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4rm, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4rm_Int, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFMSUBSS4rr, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4rr_Int, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSS4rr_REV, X86_INS_VFMSUBSS: vfmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSZm, X86_INS_VFMSUB213SS: vfmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSZr, X86_INS_VFMSUB213SS: vfmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr132m, X86_INS_VFMSUB132SS: vfmsub132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr132r, X86_INS_VFMSUB132SS: vfmsub132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr213m, X86_INS_VFMSUB213SS: vfmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr213r, X86_INS_VFMSUB213SS: vfmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr231m, X86_INS_VFMSUB231SS: vfmsub231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFMSUBSSr231r, X86_INS_VFMSUB231SS: vfmsub231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZ128m, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZ128mb, X86_INS_VFNMADD132PD: vfnmadd132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZ256m, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZ256mb, X86_INS_VFNMADD132PD: vfnmadd132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZm, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PDZmb, X86_INS_VFNMADD132PD: vfnmadd132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZ128m, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZ128mb, X86_INS_VFNMADD132PS: vfnmadd132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZ256m, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZ256mb, X86_INS_VFNMADD132PS: vfnmadd132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZm, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADD132PSZmb, X86_INS_VFNMADD132PS: vfnmadd132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4mr, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4mrY, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rm, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rmY, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rr, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rrY, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rrY_REV, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPD4rr_REV, X86_INS_VFNMADDPD: vfnmaddpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rm, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rmb, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rmbk, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rmbkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rmk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rmkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rr, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rrk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v213rrkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rm, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rmb, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rmbk, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rmbkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rmk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rmkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rr, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rrk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ128v231rrkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rm, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rmb, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rmbk, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rmbkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rmk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rmkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rr, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rrk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v213rrkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rm, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rmb, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rmbk, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rmbkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rmk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rmkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rr, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rrk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZ256v231rrkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rm, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rmb, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rmbk, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rmbkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rmk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rmkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rr, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rrb, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPDZv213rrbk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPDZv213rrbkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPDZv213rrk, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv213rrkz, X86_INS_VFNMADD213PD: vfnmadd213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rm, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rmb, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rmbk, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rmbkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rmk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rmkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rr, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rrk, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDZv231rrkz, X86_INS_VFNMADD231PD: vfnmadd231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr132m, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr132mY, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr132r, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr132rY, X86_INS_VFNMADD132PD: vfnmadd132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr213m, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr213mY, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr213r, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr213rY, X86_INS_VFNMADD213PD: vfnmadd213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr231m, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr231mY, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr231r, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPDr231rY, X86_INS_VFNMADD231PD: vfnmadd231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4mr, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4mrY, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rm, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rmY, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rr, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rrY, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rrY_REV, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPS4rr_REV, X86_INS_VFNMADDPS: vfnmaddps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rm, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rmb, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rmbk, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rmbkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rmk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rmkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rr, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rrk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v213rrkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rm, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rmb, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rmbk, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rmbkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rmk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rmkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rr, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rrk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ128v231rrkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rm, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rmb, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rmbk, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rmbkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rmk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rmkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rr, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rrk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v213rrkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rm, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rmb, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rmbk, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rmbkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rmk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rmkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rr, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rrk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZ256v231rrkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rm, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rmb, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rmbk, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rmbkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rmk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rmkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rr, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rrb, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPSZv213rrbk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPSZv213rrbkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDPSZv213rrk, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv213rrkz, X86_INS_VFNMADD213PS: vfnmadd213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rm, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rmb, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rmbk, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rmbkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rmk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rmkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rr, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rrk, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSZv231rrkz, X86_INS_VFNMADD231PS: vfnmadd231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr132m, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr132mY, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr132r, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr132rY, X86_INS_VFNMADD132PS: vfnmadd132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr213m, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr213mY, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr213r, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr213rY, X86_INS_VFNMADD213PS: vfnmadd213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr231m, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr231mY, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr231r, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDPSr231rY, X86_INS_VFNMADD231PS: vfnmadd231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4mr, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4mr_Int, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4rm, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4rm_Int, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDSD4rr, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4rr_Int, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSD4rr_REV, X86_INS_VFNMADDSD: vfnmaddsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDZm, X86_INS_VFNMADD213SD: vfnmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDZr, X86_INS_VFNMADD213SD: vfnmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr132m, X86_INS_VFNMADD132SD: vfnmadd132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr132r, X86_INS_VFNMADD132SD: vfnmadd132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr213m, X86_INS_VFNMADD213SD: vfnmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr213r, X86_INS_VFNMADD213SD: vfnmadd213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr231m, X86_INS_VFNMADD231SD: vfnmadd231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSDr231r, X86_INS_VFNMADD231SD: vfnmadd231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4mr, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4mr_Int, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4rm, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4rm_Int, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMADDSS4rr, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4rr_Int, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSS4rr_REV, X86_INS_VFNMADDSS: vfnmaddss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSZm, X86_INS_VFNMADD213SS: vfnmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSZr, X86_INS_VFNMADD213SS: vfnmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr132m, X86_INS_VFNMADD132SS: vfnmadd132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr132r, X86_INS_VFNMADD132SS: vfnmadd132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr213m, X86_INS_VFNMADD213SS: vfnmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr213r, X86_INS_VFNMADD213SS: vfnmadd213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr231m, X86_INS_VFNMADD231SS: vfnmadd231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMADDSSr231r, X86_INS_VFNMADD231SS: vfnmadd231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZ128m, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZ128mb, X86_INS_VFNMSUB132PD: vfnmsub132pd	{${src2}{1to2}, $src3, $dst|$dst, $src3, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZ256m, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZ256mb, X86_INS_VFNMSUB132PD: vfnmsub132pd	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZm, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PDZmb, X86_INS_VFNMSUB132PD: vfnmsub132pd	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZ128m, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZ128mb, X86_INS_VFNMSUB132PS: vfnmsub132ps	{${src2}{1to4}, $src3, $dst|$dst, $src3, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZ256m, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZ256mb, X86_INS_VFNMSUB132PS: vfnmsub132ps	{${src2}{1to8}, $src3, $dst|$dst, $src3, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZm, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src3, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUB132PSZmb, X86_INS_VFNMSUB132PS: vfnmsub132ps	{${src2}{1to16}, $src3, $dst|$dst, $src3, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4mr, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4mrY, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rm, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rmY, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rr, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rrY, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rrY_REV, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPD4rr_REV, X86_INS_VFNMSUBPD: vfnmsubpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rm, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rmb, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rmbk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rmbkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rmk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rmkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rr, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rrk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v213rrkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rm, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rmb, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to2}, $src2, $dst |$dst , $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rmbk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to2}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rmbkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to2}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rmk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rmkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rr, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rrk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ128v231rrkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rm, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rmb, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rmbk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rmbkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rmk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rmkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rr, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rrk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v213rrkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rm, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rmb, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rmbk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rmbkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rmk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rmkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rr, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rrk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZ256v231rrkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rm, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rmb, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rmbk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rmbkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rmk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rmkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rr, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rrb, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rrbk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rrbkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rrk, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv213rrkz, X86_INS_VFNMSUB213PD: vfnmsub213pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rm, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rmb, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rmbk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rmbkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rmk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rmkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rr, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rrk, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDZv231rrkz, X86_INS_VFNMSUB231PD: vfnmsub231pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr132m, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr132mY, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr132r, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr132rY, X86_INS_VFNMSUB132PD: vfnmsub132pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr213m, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr213mY, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr213r, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr213rY, X86_INS_VFNMSUB213PD: vfnmsub213pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr231m, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr231mY, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr231r, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPDr231rY, X86_INS_VFNMSUB231PD: vfnmsub231pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4mr, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4mrY, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rm, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rmY, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rr, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rrY, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rrY_REV, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPS4rr_REV, X86_INS_VFNMSUBPS: vfnmsubps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rm, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rmb, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rmbk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rmbkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rmk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rmkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rr, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rrk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v213rrkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rm, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rmb, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to4}, $src2, $dst |$dst , $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rmbk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to4}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rmbkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to4}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rmk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rmkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rr, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rrk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ128v231rrkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rm, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rmb, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rmbk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rmbkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rmk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rmkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rr, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rrk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v213rrkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rm, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rmb, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to8}, $src2, $dst |$dst , $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rmbk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to8}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rmbkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to8}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rmk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rmkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rr, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rrk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZ256v231rrkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rm, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rmb, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rmbk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rmbkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rmk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rmkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rr, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rrb, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst , $src2, $src3, $rc */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rrbk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$rc, $src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rrbkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$rc, $src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rrk, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv213rrkz, X86_INS_VFNMSUB213PS: vfnmsub213ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rm, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rmb, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to16}, $src2, $dst |$dst , $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rmbk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to16}, $src2, $dst {${mask}}|$dst {${mask}}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rmbkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{${src3}{1to16}, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, ${src3}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rmk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rmkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rr, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst , $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rrk, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSZv231rrkz, X86_INS_VFNMSUB231PS: vfnmsub231ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr132m, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr132mY, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr132r, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr132rY, X86_INS_VFNMSUB132PS: vfnmsub132ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr213m, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr213mY, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr213r, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr213rY, X86_INS_VFNMSUB213PS: vfnmsub213ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr231m, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr231mY, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr231r, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBPSr231rY, X86_INS_VFNMSUB231PS: vfnmsub231ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4mr, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4mr_Int, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4rm, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4rm_Int, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBSD4rr, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4rr_Int, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSD4rr_REV, X86_INS_VFNMSUBSD: vfnmsubsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDZm, X86_INS_VFNMSUB213SD: vfnmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDZr, X86_INS_VFNMSUB213SD: vfnmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr132m, X86_INS_VFNMSUB132SD: vfnmsub132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr132r, X86_INS_VFNMSUB132SD: vfnmsub132sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr213m, X86_INS_VFNMSUB213SD: vfnmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr213r, X86_INS_VFNMSUB213SD: vfnmsub213sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr231m, X86_INS_VFNMSUB231SD: vfnmsub231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSDr231r, X86_INS_VFNMSUB231SD: vfnmsub231sd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4mr, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4mr_Int, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4rm, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4rm_Int, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFNMSUBSS4rr, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4rr_Int, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSS4rr_REV, X86_INS_VFNMSUBSS: vfnmsubss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSZm, X86_INS_VFNMSUB213SS: vfnmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSZr, X86_INS_VFNMSUB213SS: vfnmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr132m, X86_INS_VFNMSUB132SS: vfnmsub132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr132r, X86_INS_VFNMSUB132SS: vfnmsub132ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr213m, X86_INS_VFNMSUB213SS: vfnmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr213r, X86_INS_VFNMSUB213SS: vfnmsub213ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr231m, X86_INS_VFNMSUB231SS: vfnmsub231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFNMSUBSSr231r, X86_INS_VFNMSUB231SS: vfnmsub231ss	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPDrm, X86_INS_VFRCZPD: vfrczpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPDrmY, X86_INS_VFRCZPD: vfrczpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPDrr, X86_INS_VFRCZPD: vfrczpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPDrrY, X86_INS_VFRCZPD: vfrczpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPSrm, X86_INS_VFRCZPS: vfrczps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPSrmY, X86_INS_VFRCZPS: vfrczps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPSrr, X86_INS_VFRCZPS: vfrczps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZPSrrY, X86_INS_VFRCZPS: vfrczps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZSDrm, X86_INS_VFRCZSD: vfrczsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFRCZSDrr, X86_INS_VFRCZSD: vfrczsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFRCZSSrm, X86_INS_VFRCZSS: vfrczss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VFRCZSSrr, X86_INS_VFRCZSS: vfrczss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDNPDrm, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDNPDrr, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDNPSrm, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDNPSrr, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDPDrm, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDPDrr, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDPSrm, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsANDPSrr, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsORPDrm, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsORPDrr, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsORPSrm, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsORPSrr, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsXORPDrm, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsXORPDrr, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsXORPSrm, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFsXORPSrr, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDNPDrm, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDNPDrr, X86_INS_VANDNPD: vandnpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDNPSrm, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDNPSrr, X86_INS_VANDNPS: vandnps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDPDrm, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDPDrr, X86_INS_VANDPD: vandpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDPSrm, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvANDPSrr, X86_INS_VANDPS: vandps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvORPDrm, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvORPDrr, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvORPSrm, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvORPSrr, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvXORPDrm, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvXORPDrr, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvXORPSrm, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VFvXORPSrr, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPDYrm, X86_INS_VGATHERDPD: vgatherdpd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPDZrm, X86_INS_VGATHERDPD: vgatherdpd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPDrm, X86_INS_VGATHERDPD: vgatherdpd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPSYrm, X86_INS_VGATHERDPS: vgatherdps	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPSZrm, X86_INS_VGATHERDPS: vgatherdps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERDPSrm, X86_INS_VGATHERDPS: vgatherdps	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF0DPDm, X86_INS_VGATHERPF0DPD: vgatherpf0dpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF0DPSm, X86_INS_VGATHERPF0DPS: vgatherpf0dps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF0QPDm, X86_INS_VGATHERPF0QPD: vgatherpf0qpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF0QPSm, X86_INS_VGATHERPF0QPS: vgatherpf0qps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF1DPDm, X86_INS_VGATHERPF1DPD: vgatherpf1dpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF1DPSm, X86_INS_VGATHERPF1DPS: vgatherpf1dps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF1QPDm, X86_INS_VGATHERPF1QPD: vgatherpf1qpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERPF1QPSm, X86_INS_VGATHERPF1QPS: vgatherpf1qps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPDYrm, X86_INS_VGATHERQPD: vgatherqpd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPDZrm, X86_INS_VGATHERQPD: vgatherqpd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPDrm, X86_INS_VGATHERQPD: vgatherqpd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPSYrm, X86_INS_VGATHERQPS: vgatherqps	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPSZrm, X86_INS_VGATHERQPS: vgatherqps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VGATHERQPSrm, X86_INS_VGATHERQPS: vgatherqps	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPDYrm, X86_INS_VHADDPD: vhaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPDYrr, X86_INS_VHADDPD: vhaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPDrm, X86_INS_VHADDPD: vhaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPDrr, X86_INS_VHADDPD: vhaddpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPSYrm, X86_INS_VHADDPS: vhaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPSYrr, X86_INS_VHADDPS: vhaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPSrm, X86_INS_VHADDPS: vhaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHADDPSrr, X86_INS_VHADDPS: vhaddps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPDYrm, X86_INS_VHSUBPD: vhsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPDYrr, X86_INS_VHSUBPD: vhsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPDrm, X86_INS_VHSUBPD: vhsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPDrr, X86_INS_VHSUBPD: vhsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPSYrm, X86_INS_VHSUBPS: vhsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPSYrr, X86_INS_VHSUBPS: vhsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPSrm, X86_INS_VHSUBPS: vhsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VHSUBPSrr, X86_INS_VHSUBPS: vhsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VINSERTF128rm, X86_INS_VINSERTF128: vinsertf128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF128rr, X86_INS_VINSERTF128: vinsertf128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF32x4rm, X86_INS_VINSERTF32X4: vinsertf32x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF32x4rr, X86_INS_VINSERTF32X4: vinsertf32x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF32x8rm, X86_INS_VINSERTF32X8: vinsertf32x8	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF32x8rr, X86_INS_VINSERTF32X8: vinsertf32x8	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF64x2rm, X86_INS_VINSERTF64X2: vinsertf64x2	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF64x2rr, X86_INS_VINSERTF64X2: vinsertf64x2	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF64x4rm, X86_INS_VINSERTF64X4: vinsertf64x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTF64x4rr, X86_INS_VINSERTF64X4: vinsertf64x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI128rm, X86_INS_VINSERTI128: vinserti128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI128rr, X86_INS_VINSERTI128: vinserti128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI32x4rm, X86_INS_VINSERTI32X4: vinserti32x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI32x4rr, X86_INS_VINSERTI32X4: vinserti32x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI32x8rm, X86_INS_VINSERTI32X8: vinserti32x8	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI32x8rr, X86_INS_VINSERTI32X8: vinserti32x8	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI64x2rm, X86_INS_VINSERTI64X2: vinserti64x2	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI64x2rr, X86_INS_VINSERTI64X2: vinserti64x2	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI64x4rm, X86_INS_VINSERTI64X4: vinserti64x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTI64x4rr, X86_INS_VINSERTI64X4: vinserti64x4	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTPSrm, X86_INS_VINSERTPS: vinsertps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTPSrr, X86_INS_VINSERTPS: vinsertps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTPSzrm, X86_INS_VINSERTPS: vinsertps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VINSERTPSzrr, X86_INS_VINSERTPS: vinsertps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VLDDQUYrm, X86_INS_VLDDQU: vlddqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VLDDQUrm, X86_INS_VLDDQU: vlddqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VLDMXCSR, X86_INS_VLDMXCSR: vldmxcsr	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVDQU, X86_INS_VMASKMOVDQU: vmaskmovdqu	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVDQU64, X86_INS_VMASKMOVDQU: vmaskmovdqu	$src, $mask */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPDYmr, X86_INS_VMASKMOVPD: vmaskmovpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPDYrm, X86_INS_VMASKMOVPD: vmaskmovpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPDmr, X86_INS_VMASKMOVPD: vmaskmovpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPDrm, X86_INS_VMASKMOVPD: vmaskmovpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPSYmr, X86_INS_VMASKMOVPS: vmaskmovps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPSYrm, X86_INS_VMASKMOVPS: vmaskmovps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPSmr, X86_INS_VMASKMOVPS: vmaskmovps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMASKMOVPSrm, X86_INS_VMASKMOVPS: vmaskmovps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPDYrm, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPDYrr, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPDrm, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPDrr, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPSYrm, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPSYrr, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPSrm, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCPSrr, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCSDrm, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCSDrr, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCSSrm, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXCSSrr, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDYrm, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDYrr, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rm, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rmb, X86_INS_VMAXPD: vmaxpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rmbk, X86_INS_VMAXPD: vmaxpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rmbkz, X86_INS_VMAXPD: vmaxpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rmk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rmkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rr, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rrk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ128rrkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rm, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rmb, X86_INS_VMAXPD: vmaxpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rmbk, X86_INS_VMAXPD: vmaxpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rmbkz, X86_INS_VMAXPD: vmaxpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rmk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rmkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rr, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rrk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZ256rrkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrm, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrmb, X86_INS_VMAXPD: vmaxpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrmbk, X86_INS_VMAXPD: vmaxpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrmbkz, X86_INS_VMAXPD: vmaxpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrmk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrmkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrr, X86_INS_VMAXPD: vmaxpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrrk, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDZrrkz, X86_INS_VMAXPD: vmaxpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDrm, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPDrr, X86_INS_VMAXPD: vmaxpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSYrm, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSYrr, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rm, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rmb, X86_INS_VMAXPS: vmaxps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rmbk, X86_INS_VMAXPS: vmaxps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rmbkz, X86_INS_VMAXPS: vmaxps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rmk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rmkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rr, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rrk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ128rrkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rm, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rmb, X86_INS_VMAXPS: vmaxps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rmbk, X86_INS_VMAXPS: vmaxps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rmbkz, X86_INS_VMAXPS: vmaxps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rmk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rmkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rr, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rrk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZ256rrkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrm, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrmb, X86_INS_VMAXPS: vmaxps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrmbk, X86_INS_VMAXPS: vmaxps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrmbkz, X86_INS_VMAXPS: vmaxps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrmk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrmkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrr, X86_INS_VMAXPS: vmaxps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrrk, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSZrrkz, X86_INS_VMAXPS: vmaxps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSrm, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXPSrr, X86_INS_VMAXPS: vmaxps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrm, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrm_Int, X86_INS_VMAXSD: vmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrm_Intk, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrm_Intkz, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrr, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrr_Int, X86_INS_VMAXSD: vmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrr_Intk, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrr_Intkz, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrrb, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrrbk, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDZrrbkz, X86_INS_VMAXSD: vmaxsd	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDrm, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDrm_Int, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMAXSDrr, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSDrr_Int, X86_INS_VMAXSD: vmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrm, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrm_Int, X86_INS_VMAXSS: vmaxss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrm_Intk, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrm_Intkz, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrr, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrr_Int, X86_INS_VMAXSS: vmaxss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrr_Intk, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrr_Intkz, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrrb, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrrbk, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSZrrbkz, X86_INS_VMAXSS: vmaxss	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSrm, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSrm_Int, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMAXSSrr, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMAXSSrr_Int, X86_INS_VMAXSS: vmaxss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMCALL, X86_INS_VMCALL: vmcall */
+	0,
+	{ 0 }
+},
+{	/* X86_VMCLEARm, X86_INS_VMCLEAR: vmclear	$vmcs */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMFUNC, X86_INS_VMFUNC: vmfunc */
+	0,
+	{ 0 }
+},
+{	/* X86_VMINCPDYrm, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPDYrr, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPDrm, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPDrr, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPSYrm, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPSYrr, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPSrm, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCPSrr, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCSDrm, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCSDrr, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCSSrm, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINCSSrr, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDYrm, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDYrr, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rm, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rmb, X86_INS_VMINPD: vminpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rmbk, X86_INS_VMINPD: vminpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rmbkz, X86_INS_VMINPD: vminpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rmk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rmkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rr, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rrk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ128rrkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rm, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rmb, X86_INS_VMINPD: vminpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rmbk, X86_INS_VMINPD: vminpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rmbkz, X86_INS_VMINPD: vminpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rmk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rmkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rr, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rrk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZ256rrkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrm, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrmb, X86_INS_VMINPD: vminpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrmbk, X86_INS_VMINPD: vminpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrmbkz, X86_INS_VMINPD: vminpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrmk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrmkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrr, X86_INS_VMINPD: vminpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrrk, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDZrrkz, X86_INS_VMINPD: vminpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDrm, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPDrr, X86_INS_VMINPD: vminpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSYrm, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSYrr, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rm, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rmb, X86_INS_VMINPS: vminps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rmbk, X86_INS_VMINPS: vminps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rmbkz, X86_INS_VMINPS: vminps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rmk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rmkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rr, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rrk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ128rrkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rm, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rmb, X86_INS_VMINPS: vminps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rmbk, X86_INS_VMINPS: vminps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rmbkz, X86_INS_VMINPS: vminps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rmk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rmkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rr, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rrk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZ256rrkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrm, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrmb, X86_INS_VMINPS: vminps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrmbk, X86_INS_VMINPS: vminps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrmbkz, X86_INS_VMINPS: vminps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrmk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrmkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrr, X86_INS_VMINPS: vminps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrrk, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSZrrkz, X86_INS_VMINPS: vminps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSrm, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINPSrr, X86_INS_VMINPS: vminps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrm, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrm_Int, X86_INS_VMINSD: vminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrm_Intk, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrm_Intkz, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrr, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrr_Int, X86_INS_VMINSD: vminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrr_Intk, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrr_Intkz, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrrb, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrrbk, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDZrrbkz, X86_INS_VMINSD: vminsd	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDrm, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDrm_Int, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMINSDrr, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSDrr_Int, X86_INS_VMINSD: vminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrm, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrm_Int, X86_INS_VMINSS: vminss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrm_Intk, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrm_Intkz, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrr, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrr_Int, X86_INS_VMINSS: vminss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrr_Intk, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrr_Intkz, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrrb, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrrbk, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSZrrbkz, X86_INS_VMINSS: vminss	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSrm, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSrm_Int, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMINSSrr, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMINSSrr_Int, X86_INS_VMINSS: vminss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMLAUNCH, X86_INS_VMLAUNCH: vmlaunch */
+	0,
+	{ 0 }
+},
+{	/* X86_VMLOAD32, X86_INS_VMLOAD: vmload	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMLOAD64, X86_INS_VMLOAD: vmload	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMMCALL, X86_INS_VMMCALL: vmmcall */
+	0,
+	{ 0 }
+},
+{	/* X86_VMOV64toPQIZrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOV64toPQIrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOV64toPQIrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOV64toSDZrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOV64toSDrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOV64toSDrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDYmr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDYrm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDYrr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDYrr_REV, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128mr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128mrk, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rmk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rmkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rr_alt, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rrk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rrk_alt, X86_INS_VMOVAPD: vmovapd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rrkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ128rrkz_alt, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256mr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256mrk, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rmk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rmkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rr_alt, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rrk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rrk_alt, X86_INS_VMOVAPD: vmovapd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rrkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZ256rrkz_alt, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZmr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZmrk, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrmk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrmkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrr_alt, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrrk, X86_INS_VMOVAPD: vmovapd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrrk_alt, X86_INS_VMOVAPD: vmovapd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrrkz, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDZrrkz_alt, X86_INS_VMOVAPD: vmovapd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDmr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDrm, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDrr, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPDrr_REV, X86_INS_VMOVAPD: vmovapd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSYmr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSYrm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSYrr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSYrr_REV, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128mr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128mrk, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rmk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rmkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rr_alt, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rrk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rrk_alt, X86_INS_VMOVAPS: vmovaps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rrkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ128rrkz_alt, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256mr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256mrk, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rmk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rmkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rr_alt, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rrk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rrk_alt, X86_INS_VMOVAPS: vmovaps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rrkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZ256rrkz_alt, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZmr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZmrk, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrmk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrmkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrr_alt, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrrk, X86_INS_VMOVAPS: vmovaps	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrrk_alt, X86_INS_VMOVAPS: vmovaps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrrkz, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSZrrkz_alt, X86_INS_VMOVAPS: vmovaps	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSmr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSrm, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSrr, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVAPSrr_REV, X86_INS_VMOVAPS: vmovaps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPYrm, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPYrr, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPZrm, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPZrr, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPrm, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDDUPrr, X86_INS_VMOVDDUP: vmovddup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2PDIZrm, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2PDIZrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2PDIrm, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2PDIrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2SSZrm, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2SSZrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2SSrm, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDI2SSrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128mr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128mrk, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rm, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rmk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rmkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rr_alt, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rrk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rrk_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rrkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z128rrkz_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256mr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256mrk, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rm, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rmk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rmkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rr_alt, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rrk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rrk_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rrkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Z256rrkz_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zmr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zmrk, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrm, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrmk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrmkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrr, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrr_alt, X86_INS_VMOVDQA32: vmovdqa32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrrk, X86_INS_VMOVDQA32: vmovdqa32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrrk_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrrkz, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA32Zrrkz_alt, X86_INS_VMOVDQA32: vmovdqa32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128mr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128mrk, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rm, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rmk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rmkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rr_alt, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rrk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rrk_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rrkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z128rrkz_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256mr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256mrk, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rm, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rmk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rmkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rr_alt, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rrk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rrk_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rrkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Z256rrkz_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zmr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zmrk, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrm, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrmk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrmkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrr, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrr_alt, X86_INS_VMOVDQA64: vmovdqa64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrrk, X86_INS_VMOVDQA64: vmovdqa64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrrk_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrrkz, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQA64Zrrkz_alt, X86_INS_VMOVDQA64: vmovdqa64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQAYmr, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQAYrm, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQAYrr, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQAYrr_REV, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQAmr, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQArm, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQArr, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQArr_REV, X86_INS_VMOVDQA: vmovdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128mr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128mrk, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rm, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rmk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rmkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rr_alt, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rrk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rrk_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rrkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z128rrkz_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256mr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256mrk, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rm, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rmk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rmkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rr_alt, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rrk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rrk_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rrkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Z256rrkz_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zmr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zmrk, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrm, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrmk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrmkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrr, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrr_alt, X86_INS_VMOVDQU16: vmovdqu16	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrrk, X86_INS_VMOVDQU16: vmovdqu16	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrrk_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrrkz, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU16Zrrkz_alt, X86_INS_VMOVDQU16: vmovdqu16	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128mr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128mrk, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rm, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rmk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rmkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rr_alt, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rrk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rrk_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rrkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z128rrkz_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256mr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256mrk, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rm, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rmk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rmkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rr_alt, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rrk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rrk_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rrkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Z256rrkz_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zmr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zmrk, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrm, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrmk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrmkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrr, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrr_alt, X86_INS_VMOVDQU32: vmovdqu32	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrrk, X86_INS_VMOVDQU32: vmovdqu32	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrrk_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrrkz, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU32Zrrkz_alt, X86_INS_VMOVDQU32: vmovdqu32	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128mr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128mrk, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rm, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rmk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rmkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rr_alt, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rrk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rrk_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rrkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z128rrkz_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256mr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256mrk, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rm, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rmk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rmkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rr_alt, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rrk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rrk_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rrkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Z256rrkz_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zmr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zmrk, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrm, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrmk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrmkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrr, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrr_alt, X86_INS_VMOVDQU64: vmovdqu64	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrrk, X86_INS_VMOVDQU64: vmovdqu64	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrrk_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrrkz, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU64Zrrkz_alt, X86_INS_VMOVDQU64: vmovdqu64	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128mr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128mrk, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rm, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rmk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rmkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rr_alt, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rrk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rrk_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rrkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z128rrkz_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256mr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256mrk, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rm, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rmk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rmkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rr_alt, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rrk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rrk_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rrkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Z256rrkz_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zmr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zmrk, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrm, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrmk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrmkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrr, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrr_alt, X86_INS_VMOVDQU8: vmovdqu8	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrrk, X86_INS_VMOVDQU8: vmovdqu8	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrrk_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrrkz, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQU8Zrrkz_alt, X86_INS_VMOVDQU8: vmovdqu8	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUYmr, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUYrm, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUYrr, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUYrr_REV, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUmr, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUrm, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUrr, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVDQUrr_REV, X86_INS_VMOVDQU: vmovdqu	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHLPSZrr, X86_INS_VMOVHLPS: vmovhlps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHLPSrr, X86_INS_VMOVHLPS: vmovhlps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHPDmr, X86_INS_VMOVHPD: vmovhpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHPDrm, X86_INS_VMOVHPD: vmovhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHPSmr, X86_INS_VMOVHPS: vmovhps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVHPSrm, X86_INS_VMOVHPS: vmovhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLHPSZrr, X86_INS_VMOVLHPS: vmovlhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLHPSrr, X86_INS_VMOVLHPS: vmovlhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLPDmr, X86_INS_VMOVLPD: vmovlpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLPDrm, X86_INS_VMOVLPD: vmovlpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLPSmr, X86_INS_VMOVLPS: vmovlps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVLPSrm, X86_INS_VMOVLPS: vmovlps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVMSKPDYrr, X86_INS_VMOVMSKPD: vmovmskpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVMSKPDrr, X86_INS_VMOVMSKPD: vmovmskpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVMSKPSYrr, X86_INS_VMOVMSKPS: vmovmskps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVMSKPSrr, X86_INS_VMOVMSKPS: vmovmskps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQAYrm, X86_INS_VMOVNTDQA: vmovntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQAZ128rm, X86_INS_VMOVNTDQA: vmovntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQAZ256rm, X86_INS_VMOVNTDQA: vmovntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQAZrm, X86_INS_VMOVNTDQA: vmovntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQArm, X86_INS_VMOVNTDQA: vmovntdqa	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQYmr, X86_INS_VMOVNTDQ: vmovntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQZ128mr, X86_INS_VMOVNTDQ: vmovntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQZ256mr, X86_INS_VMOVNTDQ: vmovntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQZmr, X86_INS_VMOVNTDQ: vmovntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTDQmr, X86_INS_VMOVNTDQ: vmovntdq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPDYmr, X86_INS_VMOVNTPD: vmovntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPDZ128mr, X86_INS_VMOVNTPD: vmovntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPDZ256mr, X86_INS_VMOVNTPD: vmovntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPDZmr, X86_INS_VMOVNTPD: vmovntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPDmr, X86_INS_VMOVNTPD: vmovntpd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPSYmr, X86_INS_VMOVNTPS: vmovntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPSZ128mr, X86_INS_VMOVNTPS: vmovntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPSZ256mr, X86_INS_VMOVNTPS: vmovntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPSZmr, X86_INS_VMOVNTPS: vmovntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVNTPSmr, X86_INS_VMOVNTPS: vmovntps	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPDI2DIZmr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPDI2DIZrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPDI2DImr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPDI2DIrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQI2QImr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQI2QIrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQIto64Zmr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQIto64Zrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQIto64rm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVPQIto64rr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVQI2PQIZrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVQI2PQIrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZmr, X86_INS_VMOVSD: vmovsd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZmrk, X86_INS_VMOVSD: vmovsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZrm, X86_INS_VMOVSD: vmovsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZrr, X86_INS_VMOVSD: vmovsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZrr_REV, X86_INS_VMOVSD: vmovsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDZrrk, X86_INS_VMOVSD: vmovsd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDmr, X86_INS_VMOVSD: vmovsd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDrm, X86_INS_VMOVSD: vmovsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDrr, X86_INS_VMOVSD: vmovsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDrr_REV, X86_INS_VMOVSD: vmovsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDto64Zmr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDto64Zrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDto64mr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSDto64rr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPYrm, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPYrr, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPZrm, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPZrr, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPrm, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSHDUPrr, X86_INS_VMOVSHDUP: vmovshdup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPYrm, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPYrr, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPZrm, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPZrr, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPrm, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSLDUPrr, X86_INS_VMOVSLDUP: vmovsldup	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSS2DIZmr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSS2DIZrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSS2DImr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSS2DIrr, X86_INS_VMOVD: vmovd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZmr, X86_INS_VMOVSS: vmovss	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZmrk, X86_INS_VMOVSS: vmovss	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZrm, X86_INS_VMOVSS: vmovss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZrr, X86_INS_VMOVSS: vmovss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZrr_REV, X86_INS_VMOVSS: vmovss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSZrrk, X86_INS_VMOVSS: vmovss	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSmr, X86_INS_VMOVSS: vmovss	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSrm, X86_INS_VMOVSS: vmovss	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSrr, X86_INS_VMOVSS: vmovss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVSSrr_REV, X86_INS_VMOVSS: vmovss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDYmr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDYrm, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDYrr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDYrr_REV, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128mr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128mrk, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rm, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rmk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rmkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rr_alt, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rrk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rrk_alt, X86_INS_VMOVUPD: vmovupd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rrkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ128rrkz_alt, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256mr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256mrk, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rm, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rmk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rmkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rr_alt, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rrk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rrk_alt, X86_INS_VMOVUPD: vmovupd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rrkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZ256rrkz_alt, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZmr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZmrk, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrm, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrmk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrmkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrr_alt, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrrk, X86_INS_VMOVUPD: vmovupd	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrrk_alt, X86_INS_VMOVUPD: vmovupd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrrkz, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDZrrkz_alt, X86_INS_VMOVUPD: vmovupd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDmr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDrm, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDrr, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPDrr_REV, X86_INS_VMOVUPD: vmovupd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSYmr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSYrm, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSYrr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSYrr_REV, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128mr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128mrk, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rm, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rmk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rmkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rr_alt, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rrk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rrk_alt, X86_INS_VMOVUPS: vmovups	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rrkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ128rrkz_alt, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256mr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256mrk, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rm, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rmk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rmkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rr_alt, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rrk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rrk_alt, X86_INS_VMOVUPS: vmovups	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rrkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZ256rrkz_alt, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZmr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZmrk, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrm, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrmk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrmkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrr_alt, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrrk, X86_INS_VMOVUPS: vmovups	{$src1, ${dst} {${mask}}|${dst} {${mask}}, $src1} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrrk_alt, X86_INS_VMOVUPS: vmovups	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrrkz, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSZrrkz_alt, X86_INS_VMOVUPS: vmovups	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSmr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSrm, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSrr, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVUPSrr_REV, X86_INS_VMOVUPS: vmovups	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZPQILo2PQIZrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZPQILo2PQIZrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZPQILo2PQIrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZPQILo2PQIrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZQI2PQIrm, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMOVZQI2PQIrr, X86_INS_VMOVQ: vmovq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMPSADBWYrmi, X86_INS_VMPSADBW: vmpsadbw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMPSADBWYrri, X86_INS_VMPSADBW: vmpsadbw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMPSADBWrmi, X86_INS_VMPSADBW: vmpsadbw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMPSADBWrri, X86_INS_VMPSADBW: vmpsadbw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMPTRLDm, X86_INS_VMPTRLD: vmptrld	$vmcs */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMPTRSTm, X86_INS_VMPTRST: vmptrst	$vmcs */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_VMREAD32rm, X86_INS_VMREAD: vmread{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD32rr, X86_INS_VMREAD: vmread{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD64rm, X86_INS_VMREAD: vmread{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD64rr, X86_INS_VMREAD: vmread{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMRESUME, X86_INS_VMRESUME: vmresume */
+	0,
+	{ 0 }
+},
+{	/* X86_VMRUN32, X86_INS_VMRUN: vmrun	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMRUN64, X86_INS_VMRUN: vmrun	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMSAVE32, X86_INS_VMSAVE: vmsave	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMSAVE64, X86_INS_VMSAVE: vmsave	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDYrm, X86_INS_VMULPD: vmulpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDYrr, X86_INS_VMULPD: vmulpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rm, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rmb, X86_INS_VMULPD: vmulpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rmbk, X86_INS_VMULPD: vmulpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rmbkz, X86_INS_VMULPD: vmulpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rmk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rmkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rr, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rrk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ128rrkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rm, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rmb, X86_INS_VMULPD: vmulpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rmbk, X86_INS_VMULPD: vmulpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rmbkz, X86_INS_VMULPD: vmulpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rmk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rmkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rr, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rrk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZ256rrkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrb, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPDZrbk, X86_INS_VMULPD: vmulpd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPDZrbkz, X86_INS_VMULPD: vmulpd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPDZrm, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrmb, X86_INS_VMULPD: vmulpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrmbk, X86_INS_VMULPD: vmulpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrmbkz, X86_INS_VMULPD: vmulpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrmk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrmkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrr, X86_INS_VMULPD: vmulpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrrk, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDZrrkz, X86_INS_VMULPD: vmulpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDrm, X86_INS_VMULPD: vmulpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPDrr, X86_INS_VMULPD: vmulpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSYrm, X86_INS_VMULPS: vmulps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSYrr, X86_INS_VMULPS: vmulps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rm, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rmb, X86_INS_VMULPS: vmulps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rmbk, X86_INS_VMULPS: vmulps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rmbkz, X86_INS_VMULPS: vmulps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rmk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rmkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rr, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rrk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ128rrkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rm, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rmb, X86_INS_VMULPS: vmulps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rmbk, X86_INS_VMULPS: vmulps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rmbkz, X86_INS_VMULPS: vmulps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rmk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rmkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rr, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rrk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZ256rrkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrb, X86_INS_VMULPS: vmulps	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPSZrbk, X86_INS_VMULPS: vmulps	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPSZrbkz, X86_INS_VMULPS: vmulps	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULPSZrm, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrmb, X86_INS_VMULPS: vmulps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrmbk, X86_INS_VMULPS: vmulps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrmbkz, X86_INS_VMULPS: vmulps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrmk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrmkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrr, X86_INS_VMULPS: vmulps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrrk, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSZrrkz, X86_INS_VMULPS: vmulps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSrm, X86_INS_VMULPS: vmulps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULPSrr, X86_INS_VMULPS: vmulps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrm, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrm_Int, X86_INS_VMULSD: vmulsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrm_Intk, X86_INS_VMULSD: vmulsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrm_Intkz, X86_INS_VMULSD: vmulsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrr, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrr_Int, X86_INS_VMULSD: vmulsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrr_Intk, X86_INS_VMULSD: vmulsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrr_Intkz, X86_INS_VMULSD: vmulsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDZrrb, X86_INS_VMULSD: vmulsd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSDZrrbk, X86_INS_VMULSD: vmulsd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSDZrrbkz, X86_INS_VMULSD: vmulsd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSDrm, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDrm_Int, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSDrr, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSDrr_Int, X86_INS_VMULSD: vmulsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrm, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrm_Int, X86_INS_VMULSS: vmulss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrm_Intk, X86_INS_VMULSS: vmulss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrm_Intkz, X86_INS_VMULSS: vmulss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrr, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrr_Int, X86_INS_VMULSS: vmulss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrr_Intk, X86_INS_VMULSS: vmulss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrr_Intkz, X86_INS_VMULSS: vmulss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSZrrb, X86_INS_VMULSS: vmulss	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSSZrrbk, X86_INS_VMULSS: vmulss	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSSZrrbkz, X86_INS_VMULSS: vmulss	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSSrm, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSrm_Int, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VMULSSrr, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMULSSrr_Int, X86_INS_VMULSS: vmulss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE32rm, X86_INS_VMWRITE: vmwrite{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE32rr, X86_INS_VMWRITE: vmwrite{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE64rm, X86_INS_VMWRITE: vmwrite{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE64rr, X86_INS_VMWRITE: vmwrite{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMXOFF, X86_INS_VMXOFF: vmxoff */
+	0,
+	{ 0 }
+},
+{	/* X86_VMXON, X86_INS_VMXON: vmxon	$vmxon */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VORPDYrm, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPDYrr, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPDrm, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPDrr, X86_INS_VORPD: vorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPSYrm, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPSYrr, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPSrm, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VORPSrr, X86_INS_VORPS: vorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSBrm128, X86_INS_VPABSB: vpabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSBrm256, X86_INS_VPABSB: vpabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSBrr128, X86_INS_VPABSB: vpabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSBrr256, X86_INS_VPABSB: vpabsb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrm, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrmb, X86_INS_VPABSD: vpabsd	{${src}{1to16}, $dst|$dst, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrmbk, X86_INS_VPABSD: vpabsd	{${src}{1to16}, $dst {${mask}}|$dst {${mask}}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrmbkz, X86_INS_VPABSD: vpabsd	{${src}{1to16}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrmk, X86_INS_VPABSD: vpabsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrmkz, X86_INS_VPABSD: vpabsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrr, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrrk, X86_INS_VPABSD: vpabsd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDZrrkz, X86_INS_VPABSD: vpabsd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDrm128, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDrm256, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDrr128, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSDrr256, X86_INS_VPABSD: vpabsd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrm, X86_INS_VPABSQ: vpabsq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrmb, X86_INS_VPABSQ: vpabsq	{${src}{1to8}, $dst|$dst, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrmbk, X86_INS_VPABSQ: vpabsq	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrmbkz, X86_INS_VPABSQ: vpabsq	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrmk, X86_INS_VPABSQ: vpabsq	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrmkz, X86_INS_VPABSQ: vpabsq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrr, X86_INS_VPABSQ: vpabsq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrrk, X86_INS_VPABSQ: vpabsq	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSQZrrkz, X86_INS_VPABSQ: vpabsq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSWrm128, X86_INS_VPABSW: vpabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSWrm256, X86_INS_VPABSW: vpabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSWrr128, X86_INS_VPABSW: vpabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPABSWrr256, X86_INS_VPABSW: vpabsw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSDWYrm, X86_INS_VPACKSSDW: vpackssdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSDWYrr, X86_INS_VPACKSSDW: vpackssdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSDWrm, X86_INS_VPACKSSDW: vpackssdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSDWrr, X86_INS_VPACKSSDW: vpackssdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSWBYrm, X86_INS_VPACKSSWB: vpacksswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSWBYrr, X86_INS_VPACKSSWB: vpacksswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSWBrm, X86_INS_VPACKSSWB: vpacksswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKSSWBrr, X86_INS_VPACKSSWB: vpacksswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSDWYrm, X86_INS_VPACKUSDW: vpackusdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSDWYrr, X86_INS_VPACKUSDW: vpackusdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSDWrm, X86_INS_VPACKUSDW: vpackusdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSDWrr, X86_INS_VPACKUSDW: vpackusdw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSWBYrm, X86_INS_VPACKUSWB: vpackuswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSWBYrr, X86_INS_VPACKUSWB: vpackuswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSWBrm, X86_INS_VPACKUSWB: vpackuswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPACKUSWBrr, X86_INS_VPACKUSWB: vpackuswb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBYrm, X86_INS_VPADDB: vpaddb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBYrr, X86_INS_VPADDB: vpaddb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rm, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rmk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rmkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rr, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rrk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ128rrkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rm, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rmk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rmkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rr, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rrk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZ256rrkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrm, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrmk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrmkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrr, X86_INS_VPADDB: vpaddb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrrk, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBZrrkz, X86_INS_VPADDB: vpaddb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBrm, X86_INS_VPADDB: vpaddb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDBrr, X86_INS_VPADDB: vpaddb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDYrm, X86_INS_VPADDD: vpaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDYrr, X86_INS_VPADDD: vpaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rm, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rmb, X86_INS_VPADDD: vpaddd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rmbk, X86_INS_VPADDD: vpaddd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rmbkz, X86_INS_VPADDD: vpaddd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rmk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rmkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rr, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rrk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ128rrkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rm, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rmb, X86_INS_VPADDD: vpaddd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rmbk, X86_INS_VPADDD: vpaddd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rmbkz, X86_INS_VPADDD: vpaddd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rmk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rmkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rr, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rrk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZ256rrkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrm, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrmb, X86_INS_VPADDD: vpaddd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrmbk, X86_INS_VPADDD: vpaddd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrmbkz, X86_INS_VPADDD: vpaddd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrmk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrmkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrr, X86_INS_VPADDD: vpaddd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrrk, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDZrrkz, X86_INS_VPADDD: vpaddd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDrm, X86_INS_VPADDD: vpaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDDrr, X86_INS_VPADDD: vpaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQYrm, X86_INS_VPADDQ: vpaddq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQYrr, X86_INS_VPADDQ: vpaddq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rm, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rmb, X86_INS_VPADDQ: vpaddq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rmbk, X86_INS_VPADDQ: vpaddq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rmbkz, X86_INS_VPADDQ: vpaddq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rmk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rmkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rr, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rrk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ128rrkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rm, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rmb, X86_INS_VPADDQ: vpaddq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rmbk, X86_INS_VPADDQ: vpaddq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rmbkz, X86_INS_VPADDQ: vpaddq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rmk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rmkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rr, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rrk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZ256rrkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrm, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrmb, X86_INS_VPADDQ: vpaddq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrmbk, X86_INS_VPADDQ: vpaddq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrmbkz, X86_INS_VPADDQ: vpaddq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrmk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrmkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrr, X86_INS_VPADDQ: vpaddq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrrk, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQZrrkz, X86_INS_VPADDQ: vpaddq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQrm, X86_INS_VPADDQ: vpaddq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDQrr, X86_INS_VPADDQ: vpaddq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSBYrm, X86_INS_VPADDSB: vpaddsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSBYrr, X86_INS_VPADDSB: vpaddsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSBrm, X86_INS_VPADDSB: vpaddsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSBrr, X86_INS_VPADDSB: vpaddsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSWYrm, X86_INS_VPADDSW: vpaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSWYrr, X86_INS_VPADDSW: vpaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSWrm, X86_INS_VPADDSW: vpaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDSWrr, X86_INS_VPADDSW: vpaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSBYrm, X86_INS_VPADDUSB: vpaddusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSBYrr, X86_INS_VPADDUSB: vpaddusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSBrm, X86_INS_VPADDUSB: vpaddusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSBrr, X86_INS_VPADDUSB: vpaddusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSWYrm, X86_INS_VPADDUSW: vpaddusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSWYrr, X86_INS_VPADDUSW: vpaddusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSWrm, X86_INS_VPADDUSW: vpaddusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDUSWrr, X86_INS_VPADDUSW: vpaddusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWYrm, X86_INS_VPADDW: vpaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWYrr, X86_INS_VPADDW: vpaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rm, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rmk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rmkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rr, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rrk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ128rrkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rm, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rmk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rmkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rr, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rrk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZ256rrkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrm, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrmk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrmkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrr, X86_INS_VPADDW: vpaddw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrrk, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWZrrkz, X86_INS_VPADDW: vpaddw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWrm, X86_INS_VPADDW: vpaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPADDWrr, X86_INS_VPADDW: vpaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPALIGNR128rm, X86_INS_VPALIGNR: vpalignr	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPALIGNR128rr, X86_INS_VPALIGNR: vpalignr	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPALIGNR256rm, X86_INS_VPALIGNR: vpalignr	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPALIGNR256rr, X86_INS_VPALIGNR: vpalignr	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPANDDZ128rm, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rmb, X86_INS_VPANDD: vpandd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rmbk, X86_INS_VPANDD: vpandd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rmbkz, X86_INS_VPANDD: vpandd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rmk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rmkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rr, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rrk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ128rrkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rm, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rmb, X86_INS_VPANDD: vpandd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rmbk, X86_INS_VPANDD: vpandd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rmbkz, X86_INS_VPANDD: vpandd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rmk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rmkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rr, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rrk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZ256rrkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrm, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrmb, X86_INS_VPANDD: vpandd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrmbk, X86_INS_VPANDD: vpandd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrmbkz, X86_INS_VPANDD: vpandd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrmk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrmkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrr, X86_INS_VPANDD: vpandd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrrk, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDDZrrkz, X86_INS_VPANDD: vpandd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rm, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rmb, X86_INS_VPANDND: vpandnd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rmbk, X86_INS_VPANDND: vpandnd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rmbkz, X86_INS_VPANDND: vpandnd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rmk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rmkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rr, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rrk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ128rrkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rm, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rmb, X86_INS_VPANDND: vpandnd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rmbk, X86_INS_VPANDND: vpandnd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rmbkz, X86_INS_VPANDND: vpandnd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rmk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rmkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rr, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rrk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZ256rrkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrm, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrmb, X86_INS_VPANDND: vpandnd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrmbk, X86_INS_VPANDND: vpandnd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrmbkz, X86_INS_VPANDND: vpandnd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrmk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrmkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrr, X86_INS_VPANDND: vpandnd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrrk, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNDZrrkz, X86_INS_VPANDND: vpandnd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rm, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rmb, X86_INS_VPANDNQ: vpandnq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rmbk, X86_INS_VPANDNQ: vpandnq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rmbkz, X86_INS_VPANDNQ: vpandnq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rmk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rmkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rr, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rrk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ128rrkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rm, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rmb, X86_INS_VPANDNQ: vpandnq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rmbk, X86_INS_VPANDNQ: vpandnq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rmbkz, X86_INS_VPANDNQ: vpandnq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rmk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rmkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rr, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rrk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZ256rrkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrm, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrmb, X86_INS_VPANDNQ: vpandnq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrmbk, X86_INS_VPANDNQ: vpandnq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrmbkz, X86_INS_VPANDNQ: vpandnq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrmk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrmkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrr, X86_INS_VPANDNQ: vpandnq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrrk, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNQZrrkz, X86_INS_VPANDNQ: vpandnq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNYrm, X86_INS_VPANDN: vpandn	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNYrr, X86_INS_VPANDN: vpandn	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNrm, X86_INS_VPANDN: vpandn	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDNrr, X86_INS_VPANDN: vpandn	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rm, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rmb, X86_INS_VPANDQ: vpandq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rmbk, X86_INS_VPANDQ: vpandq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rmbkz, X86_INS_VPANDQ: vpandq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rmk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rmkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rr, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rrk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ128rrkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rm, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rmb, X86_INS_VPANDQ: vpandq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rmbk, X86_INS_VPANDQ: vpandq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rmbkz, X86_INS_VPANDQ: vpandq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rmk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rmkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rr, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rrk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZ256rrkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrm, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrmb, X86_INS_VPANDQ: vpandq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrmbk, X86_INS_VPANDQ: vpandq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrmbkz, X86_INS_VPANDQ: vpandq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrmk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrmkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrr, X86_INS_VPANDQ: vpandq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrrk, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDQZrrkz, X86_INS_VPANDQ: vpandq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDYrm, X86_INS_VPAND: vpand	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDYrr, X86_INS_VPAND: vpand	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDrm, X86_INS_VPAND: vpand	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPANDrr, X86_INS_VPAND: vpand	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGBYrm, X86_INS_VPAVGB: vpavgb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGBYrr, X86_INS_VPAVGB: vpavgb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGBrm, X86_INS_VPAVGB: vpavgb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGBrr, X86_INS_VPAVGB: vpavgb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGWYrm, X86_INS_VPAVGW: vpavgw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGWYrr, X86_INS_VPAVGW: vpavgw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGWrm, X86_INS_VPAVGW: vpavgw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPAVGWrr, X86_INS_VPAVGW: vpavgw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDDYrmi, X86_INS_VPBLENDD: vpblendd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDDYrri, X86_INS_VPBLENDD: vpblendd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDDrmi, X86_INS_VPBLENDD: vpblendd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDDrri, X86_INS_VPBLENDD: vpblendd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDMBZ128rm, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ128rmk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ128rmkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ128rr, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ128rrk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ128rrkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rm, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rmk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rmkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rr, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rrk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZ256rrkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrm, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrmk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrmkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrr, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrrk, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMBZrrkz, X86_INS_VPBLENDMB: vpblendmb	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rm, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rmb, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rmbk, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rmk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rmkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rr, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rrk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ128rrkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rm, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rmb, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rmbk, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rmk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rmkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rr, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rrk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZ256rrkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrm, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrmb, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrmbk, X86_INS_VPBLENDMD: vpblendmd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrmk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrmkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrr, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrrk, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMDZrrkz, X86_INS_VPBLENDMD: vpblendmd	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rm, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rmb, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rmbk, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rmk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rmkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rr, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rrk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ128rrkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rm, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rmb, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rmbk, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rmk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rmkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rr, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rrk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZ256rrkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrm, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrmb, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrmbk, X86_INS_VPBLENDMQ: vpblendmq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrmk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrmkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrr, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrrk, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMQZrrkz, X86_INS_VPBLENDMQ: vpblendmq	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rm, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rmk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rmkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rr, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rrk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ128rrkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rm, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rmk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rmkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rr, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rrk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZ256rrkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrm, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst},  $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrmk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrmkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrr, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} |${dst}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrrk, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}}|${dst} {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDMWZrrkz, X86_INS_VPBLENDMW: vpblendmw	{$src2, $src1, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDVBYrm, X86_INS_VPBLENDVB: vpblendvb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDVBYrr, X86_INS_VPBLENDVB: vpblendvb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDVBrm, X86_INS_VPBLENDVB: vpblendvb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDVBrr, X86_INS_VPBLENDVB: vpblendvb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPBLENDWYrmi, X86_INS_VPBLENDW: vpblendw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDWYrri, X86_INS_VPBLENDW: vpblendw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDWrmi, X86_INS_VPBLENDW: vpblendw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBLENDWrri, X86_INS_VPBLENDW: vpblendw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPBROADCASTBYrm, X86_INS_VPBROADCASTB: vpbroadcastb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBYrr, X86_INS_VPBROADCASTB: vpbroadcastb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ128r, X86_INS_VPBROADCASTB: vpbroadcastb	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ128rk, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ128rkz, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ256r, X86_INS_VPBROADCASTB: vpbroadcastb	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ256rk, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZ256rkz, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZr, X86_INS_VPBROADCASTB: vpbroadcastb	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZrk, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrZrkz, X86_INS_VPBROADCASTB: vpbroadcastb	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrm, X86_INS_VPBROADCASTB: vpbroadcastb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTBrr, X86_INS_VPBROADCASTB: vpbroadcastb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDYrm, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDYrr, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDZkrm, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDZkrr, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDZrm, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDZrr, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ128r, X86_INS_VPBROADCASTD: vpbroadcastd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ128rk, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ128rkz, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ256r, X86_INS_VPBROADCASTD: vpbroadcastd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ256rk, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZ256rkz, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZr, X86_INS_VPBROADCASTD: vpbroadcastd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZrk, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrZrkz, X86_INS_VPBROADCASTD: vpbroadcastd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrm, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTDrr, X86_INS_VPBROADCASTD: vpbroadcastd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMB2QZ128rr, X86_INS_VPBROADCASTMB2Q: vpbroadcastmb2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMB2QZ256rr, X86_INS_VPBROADCASTMB2Q: vpbroadcastmb2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMB2QZrr, X86_INS_VPBROADCASTMB2Q: vpbroadcastmb2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMW2DZ128rr, X86_INS_VPBROADCASTMW2D: vpbroadcastmw2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMW2DZ256rr, X86_INS_VPBROADCASTMW2D: vpbroadcastmw2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTMW2DZrr, X86_INS_VPBROADCASTMW2D: vpbroadcastmw2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQYrm, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQYrr, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQZkrm, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQZkrr, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQZrm, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQZrr, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ128r, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ128rk, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ128rkz, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ256r, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ256rk, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZ256rkz, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZr, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZrk, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrZrkz, X86_INS_VPBROADCASTQ: vpbroadcastq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrm, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTQrr, X86_INS_VPBROADCASTQ: vpbroadcastq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWYrm, X86_INS_VPBROADCASTW: vpbroadcastw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWYrr, X86_INS_VPBROADCASTW: vpbroadcastw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ128r, X86_INS_VPBROADCASTW: vpbroadcastw	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ128rk, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ128rkz, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ256r, X86_INS_VPBROADCASTW: vpbroadcastw	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ256rk, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZ256rkz, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZr, X86_INS_VPBROADCASTW: vpbroadcastw	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZrk, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrZrkz, X86_INS_VPBROADCASTW: vpbroadcastw	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrm, X86_INS_VPBROADCASTW: vpbroadcastw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPBROADCASTWrr, X86_INS_VPBROADCASTW: vpbroadcastw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCLMULQDQrm, X86_INS_VPCLMULQDQ: vpclmulqdq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCLMULQDQrr, X86_INS_VPCLMULQDQ: vpclmulqdq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMOVmr, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMOVmrY, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMOVrm, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMOVrmY, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMOVrr, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMOVrrY, X86_INS_VPCMOV: vpcmov	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ128rmi, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ128rmi_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ128rmik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ128rmik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ128rri, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ128rri_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ128rrik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ128rrik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ256rmi, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ256rmi_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ256rmik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ256rmik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ256rri, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ256rri_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZ256rrik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZ256rrik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZrmi, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZrmi_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZrmik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZrmik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZrri, X86_INS_VPCMPB: vpcmp${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZrri_alt, X86_INS_VPCMPB: vpcmpb	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPBZrrik, X86_INS_VPCMPB: vpcmp${cc}b	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPBZrrik_alt, X86_INS_VPCMPB: vpcmpb	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rmi, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rmi_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rmib, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rmib_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rmibk, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rmibk_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rmik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rmik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rri, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rri_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ128rrik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ128rrik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rmi, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rmi_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rmib, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rmib_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rmibk, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rmibk_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rmik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rmik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rri, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rri_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZ256rrik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZ256rrik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrmi, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrmi_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrmib, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrmib_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrmibk, X86_INS_VPCMPD: vpcmp${cc}d	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrmibk_alt, X86_INS_VPCMPD: vpcmpd	{$cc, ${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrmik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrmik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrri, X86_INS_VPCMPD: vpcmp${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrri_alt, X86_INS_VPCMPD: vpcmpd	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPDZrrik, X86_INS_VPCMPD: vpcmp${cc}d	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPDZrrik_alt, X86_INS_VPCMPD: vpcmpd	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPEQBYrm, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBYrr, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ128rm, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ128rmk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ128rr, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ128rrk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ256rm, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ256rmk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ256rr, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZ256rrk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZrm, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZrmk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZrr, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBZrrk, X86_INS_VPCMPEQB: vpcmpeqb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBrm, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQBrr, X86_INS_VPCMPEQB: vpcmpeqb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDYrm, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDYrr, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rm, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rmb, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rmbk, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rmk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rr, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ128rrk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rm, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rmb, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rmbk, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rmk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rr, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZ256rrk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrm, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrmb, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrmbk, X86_INS_VPCMPEQD: vpcmpeqd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrmk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrr, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDZrrk, X86_INS_VPCMPEQD: vpcmpeqd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDrm, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQDrr, X86_INS_VPCMPEQD: vpcmpeqd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQYrm, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQYrr, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rm, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rmb, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rmbk, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rmk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rr, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ128rrk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rm, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rmb, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rmbk, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rmk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rr, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZ256rrk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrm, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrmb, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrmbk, X86_INS_VPCMPEQQ: vpcmpeqq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrmk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrr, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQZrrk, X86_INS_VPCMPEQQ: vpcmpeqq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQrm, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQQrr, X86_INS_VPCMPEQQ: vpcmpeqq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWYrm, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWYrr, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ128rm, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ128rmk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ128rr, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ128rrk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ256rm, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ256rmk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ256rr, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZ256rrk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZrm, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZrmk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZrr, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWZrrk, X86_INS_VPCMPEQW: vpcmpeqw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWrm, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPEQWrr, X86_INS_VPCMPEQW: vpcmpeqw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPESTRIrm, X86_INS_VPCMPESTRI: vpcmpestri	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPESTRIrr, X86_INS_VPCMPESTRI: vpcmpestri	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPESTRM128rm, X86_INS_VPCMPESTRM: vpcmpestrm	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPESTRM128rr, X86_INS_VPCMPESTRM: vpcmpestrm	$src1, $src3, $src5 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPGTBYrm, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBYrr, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ128rm, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ128rmk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ128rr, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ128rrk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ256rm, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ256rmk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ256rr, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZ256rrk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZrm, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZrmk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZrr, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBZrrk, X86_INS_VPCMPGTB: vpcmpgtb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBrm, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTBrr, X86_INS_VPCMPGTB: vpcmpgtb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDYrm, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDYrr, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rm, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rmb, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rmbk, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rmk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rr, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ128rrk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rm, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rmb, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rmbk, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rmk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rr, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZ256rrk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrm, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrmb, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrmbk, X86_INS_VPCMPGTD: vpcmpgtd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrmk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrr, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDZrrk, X86_INS_VPCMPGTD: vpcmpgtd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDrm, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTDrr, X86_INS_VPCMPGTD: vpcmpgtd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQYrm, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQYrr, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rm, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rmb, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rmbk, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rmk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rr, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ128rrk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rm, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rmb, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rmbk, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rmk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rr, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZ256rrk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrm, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrmb, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrmbk, X86_INS_VPCMPGTQ: vpcmpgtq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrmk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrr, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQZrrk, X86_INS_VPCMPGTQ: vpcmpgtq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQrm, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTQrr, X86_INS_VPCMPGTQ: vpcmpgtq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWYrm, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWYrr, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ128rm, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ128rmk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ128rr, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ128rrk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ256rm, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ256rmk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ256rr, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZ256rrk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZrm, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZrmk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZrr, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWZrrk, X86_INS_VPCMPGTW: vpcmpgtw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWrm, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPGTWrr, X86_INS_VPCMPGTW: vpcmpgtw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPISTRIrm, X86_INS_VPCMPISTRI: vpcmpistri	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPISTRIrr, X86_INS_VPCMPISTRI: vpcmpistri	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPISTRM128rm, X86_INS_VPCMPISTRM: vpcmpistrm	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPISTRM128rr, X86_INS_VPCMPISTRM: vpcmpistrm	$src1, $src2, $src3 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rmi, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rmi_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rmib, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rmib_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rmibk, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rmibk_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rmik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rmik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rri, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rri_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ128rrik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ128rrik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rmi, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rmi_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rmib, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rmib_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rmibk, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rmibk_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rmik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rmik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rri, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rri_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZ256rrik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZ256rrik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrmi, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrmi_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrmib, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrmib_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrmibk, X86_INS_VPCMPQ: vpcmp${cc}q	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrmibk_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, ${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrmik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrmik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrri, X86_INS_VPCMPQ: vpcmp${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrri_alt, X86_INS_VPCMPQ: vpcmpq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPQZrrik, X86_INS_VPCMPQ: vpcmp${cc}q	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPQZrrik_alt, X86_INS_VPCMPQ: vpcmpq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ128rmi, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ128rmi_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ128rmik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ128rmik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ128rri, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ128rri_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ128rrik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ128rrik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ256rmi, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ256rmi_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ256rmik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ256rmik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ256rri, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ256rri_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZ256rrik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZ256rrik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZrmi, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZrmi_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZrmik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZrmik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZrri, X86_INS_VPCMPUB: vpcmp${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZrri_alt, X86_INS_VPCMPUB: vpcmpub	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUBZrrik, X86_INS_VPCMPUB: vpcmp${cc}ub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUBZrrik_alt, X86_INS_VPCMPUB: vpcmpub	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rmi, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rmi_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rmib, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rmib_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rmibk, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rmibk_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rmik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rmik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rri, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rri_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ128rrik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ128rrik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rmi, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rmi_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rmib, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rmib_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rmibk, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rmibk_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rmik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rmik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rri, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rri_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZ256rrik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZ256rrik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrmi, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrmi_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrmib, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrmib_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to16}, $src1, $dst|$dst, $src1, ${src2}{1to16}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrmibk, X86_INS_VPCMPUD: vpcmp${cc}ud	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrmibk_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, ${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrmik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrmik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrri, X86_INS_VPCMPUD: vpcmp${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrri_alt, X86_INS_VPCMPUD: vpcmpud	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUDZrrik, X86_INS_VPCMPUD: vpcmp${cc}ud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUDZrrik_alt, X86_INS_VPCMPUD: vpcmpud	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rmi, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rmi_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rmib, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rmib_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to2}, $src1, $dst|$dst, $src1, ${src2}{1to2}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rmibk, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rmibk_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rmik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rmik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rri, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rri_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ128rrik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ128rrik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rmi, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rmi_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rmib, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rmib_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to4}, $src1, $dst|$dst, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rmibk, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rmibk_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rmik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rmik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rri, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rri_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZ256rrik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZ256rrik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrmi, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrmi_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrmib, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrmib_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrmibk, X86_INS_VPCMPUQ: vpcmp${cc}uq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrmibk_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, ${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrmik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrmik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrri, X86_INS_VPCMPUQ: vpcmp${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrri_alt, X86_INS_VPCMPUQ: vpcmpuq	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUQZrrik, X86_INS_VPCMPUQ: vpcmp${cc}uq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUQZrrik_alt, X86_INS_VPCMPUQ: vpcmpuq	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ128rmi, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ128rmi_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ128rmik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ128rmik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ128rri, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ128rri_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ128rrik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ128rrik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ256rmi, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ256rmi_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ256rmik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ256rmik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ256rri, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ256rri_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZ256rrik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZ256rrik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZrmi, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZrmi_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZrmik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZrmik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZrri, X86_INS_VPCMPUW: vpcmp${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZrri_alt, X86_INS_VPCMPUW: vpcmpuw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPUWZrrik, X86_INS_VPCMPUW: vpcmp${cc}uw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPUWZrrik_alt, X86_INS_VPCMPUW: vpcmpuw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ128rmi, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ128rmi_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ128rmik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ128rmik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ128rri, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ128rri_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ128rrik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ128rrik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ256rmi, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ256rmi_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ256rmik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ256rmik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ256rri, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ256rri_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZ256rrik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZ256rrik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZrmi, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZrmi_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZrmik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZrmik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZrri, X86_INS_VPCMPW: vpcmp${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZrri_alt, X86_INS_VPCMPW: vpcmpw	$dst, $src1, $src2, $cc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCMPWZrrik, X86_INS_VPCMPW: vpcmp${cc}w	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCMPWZrrik_alt, X86_INS_VPCMPW: vpcmpw	{$cc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $cc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMBmi, X86_INS_VPCOMB: vpcom${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMBmi_alt, X86_INS_VPCOMB: vpcomb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMBri, X86_INS_VPCOMB: vpcom${cc}b	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMBri_alt, X86_INS_VPCOMB: vpcomb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMDmi, X86_INS_VPCOMD: vpcom${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMDmi_alt, X86_INS_VPCOMD: vpcomd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMDri, X86_INS_VPCOMD: vpcom${cc}d	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMDri_alt, X86_INS_VPCOMD: vpcomd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMPRESSDZ128mrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZ128rrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZ128rrkz, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZ256mrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZ256rrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZ256rrkz, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZmrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZrrk, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSDZrrkz, X86_INS_VPCOMPRESSD: vpcompressd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ128mrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ128rrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ128rrkz, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ256mrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ256rrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZ256rrkz, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZmrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZrrk, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMPRESSQZrrkz, X86_INS_VPCOMPRESSQ: vpcompressq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMQmi, X86_INS_VPCOMQ: vpcom${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMQmi_alt, X86_INS_VPCOMQ: vpcomq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMQri, X86_INS_VPCOMQ: vpcom${cc}q	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMQri_alt, X86_INS_VPCOMQ: vpcomq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUBmi, X86_INS_VPCOMUB: vpcom${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUBmi_alt, X86_INS_VPCOMUB: vpcomub	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUBri, X86_INS_VPCOMUB: vpcom${cc}ub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUBri_alt, X86_INS_VPCOMUB: vpcomub	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUDmi, X86_INS_VPCOMUD: vpcom${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUDmi_alt, X86_INS_VPCOMUD: vpcomud	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUDri, X86_INS_VPCOMUD: vpcom${cc}ud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUDri_alt, X86_INS_VPCOMUD: vpcomud	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUQmi, X86_INS_VPCOMUQ: vpcom${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUQmi_alt, X86_INS_VPCOMUQ: vpcomuq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUQri, X86_INS_VPCOMUQ: vpcom${cc}uq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUQri_alt, X86_INS_VPCOMUQ: vpcomuq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUWmi, X86_INS_VPCOMUW: vpcom${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUWmi_alt, X86_INS_VPCOMUW: vpcomuw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMUWri, X86_INS_VPCOMUW: vpcom${cc}uw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMUWri_alt, X86_INS_VPCOMUW: vpcomuw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMWmi, X86_INS_VPCOMW: vpcom${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMWmi_alt, X86_INS_VPCOMW: vpcomw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCOMWri, X86_INS_VPCOMW: vpcom${cc}w	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPCOMWri_alt, X86_INS_VPCOMW: vpcomw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPCONFLICTDrm, X86_INS_VPCONFLICTD: vpconflictd	{$src, ${dst}|${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrmb, X86_INS_VPCONFLICTD: vpconflictd	{${src}{1to16}, ${dst}|${dst}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrmbk, X86_INS_VPCONFLICTD: vpconflictd	{${src2}{1to16}, ${dst} {${mask}}|${dst} {${mask}}, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrmbkz, X86_INS_VPCONFLICTD: vpconflictd	{${src}{1to16}, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrmk, X86_INS_VPCONFLICTD: vpconflictd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrmkz, X86_INS_VPCONFLICTD: vpconflictd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrr, X86_INS_VPCONFLICTD: vpconflictd	{$src, ${dst} |${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrrk, X86_INS_VPCONFLICTD: vpconflictd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTDrrkz, X86_INS_VPCONFLICTD: vpconflictd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrm, X86_INS_VPCONFLICTQ: vpconflictq	{$src, ${dst}|${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrmb, X86_INS_VPCONFLICTQ: vpconflictq	{${src}{1to8}, ${dst}|${dst}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrmbk, X86_INS_VPCONFLICTQ: vpconflictq	{${src2}{1to8}, ${dst} {${mask}}|${dst} {${mask}}, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrmbkz, X86_INS_VPCONFLICTQ: vpconflictq	{${src}{1to8}, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrmk, X86_INS_VPCONFLICTQ: vpconflictq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrmkz, X86_INS_VPCONFLICTQ: vpconflictq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrr, X86_INS_VPCONFLICTQ: vpconflictq	{$src, ${dst} |${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrrk, X86_INS_VPCONFLICTQ: vpconflictq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPCONFLICTQrrkz, X86_INS_VPCONFLICTQ: vpconflictq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPERM2F128rm, X86_INS_VPERM2F128: vperm2f128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERM2F128rr, X86_INS_VPERM2F128: vperm2f128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERM2I128rm, X86_INS_VPERM2I128: vperm2i128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERM2I128rr, X86_INS_VPERM2I128: vperm2i128	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMDYrm, X86_INS_VPERMD: vpermd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMDYrr, X86_INS_VPERMD: vpermd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMDZrm, X86_INS_VPERMD: vpermd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMDZrr, X86_INS_VPERMD: vpermd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drm, X86_INS_VPERMI2D: vpermi2d	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drmk, X86_INS_VPERMI2D: vpermi2d	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drmkz, X86_INS_VPERMI2D: vpermi2d	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drr, X86_INS_VPERMI2D: vpermi2d	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drrk, X86_INS_VPERMI2D: vpermi2d	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Drrkz, X86_INS_VPERMI2D: vpermi2d	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrm, X86_INS_VPERMI2PD: vpermi2pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrmk, X86_INS_VPERMI2PD: vpermi2pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrmkz, X86_INS_VPERMI2PD: vpermi2pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrr, X86_INS_VPERMI2PD: vpermi2pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrrk, X86_INS_VPERMI2PD: vpermi2pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PDrrkz, X86_INS_VPERMI2PD: vpermi2pd	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrm, X86_INS_VPERMI2PS: vpermi2ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrmk, X86_INS_VPERMI2PS: vpermi2ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrmkz, X86_INS_VPERMI2PS: vpermi2ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrr, X86_INS_VPERMI2PS: vpermi2ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrrk, X86_INS_VPERMI2PS: vpermi2ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2PSrrkz, X86_INS_VPERMI2PS: vpermi2ps	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrm, X86_INS_VPERMI2Q: vpermi2q	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrmk, X86_INS_VPERMI2Q: vpermi2q	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrmkz, X86_INS_VPERMI2Q: vpermi2q	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrr, X86_INS_VPERMI2Q: vpermi2q	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrrk, X86_INS_VPERMI2Q: vpermi2q	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMI2Qrrkz, X86_INS_VPERMI2Q: vpermi2q	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMIL2PDmr, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PDmrY, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PDrm, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PDrmY, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PDrr, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PDrrY, X86_INS_VPERMIL2PD: vpermil2pd	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSmr, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSmrY, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSrm, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSrmY, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSrr, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMIL2PSrrY, X86_INS_VPERMIL2PS: vpermil2ps	$dst, $src1, $src2, $src3, $src4 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDYmi, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDYri, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDYrm, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPDYrr, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPDZmi, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDZri, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDZrm, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPDZrr, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPDmi, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDri, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPDrm, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPDrr, X86_INS_VPERMILPD: vpermilpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSYmi, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSYri, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSYrm, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSYrr, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSZmi, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSZri, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSZrm, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSZrr, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSmi, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSri, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMILPSrm, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMILPSrr, X86_INS_VPERMILPS: vpermilps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPDYmi, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMPDYri, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMPDZmi, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMPDZri, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMPDZrm, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPDZrr, X86_INS_VPERMPD: vpermpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPSYrm, X86_INS_VPERMPS: vpermps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPSYrr, X86_INS_VPERMPS: vpermps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPSZrm, X86_INS_VPERMPS: vpermps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMPSZrr, X86_INS_VPERMPS: vpermps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMQYmi, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMQYri, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMQZmi, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMQZri, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPERMQZrm, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMQZrr, X86_INS_VPERMQ: vpermq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drm, X86_INS_VPERMT2D: vpermt2d	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drmk, X86_INS_VPERMT2D: vpermt2d	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drmkz, X86_INS_VPERMT2D: vpermt2d	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drr, X86_INS_VPERMT2D: vpermt2d	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drrk, X86_INS_VPERMT2D: vpermt2d	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Drrkz, X86_INS_VPERMT2D: vpermt2d	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrm, X86_INS_VPERMT2PD: vpermt2pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrmk, X86_INS_VPERMT2PD: vpermt2pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrmkz, X86_INS_VPERMT2PD: vpermt2pd	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrr, X86_INS_VPERMT2PD: vpermt2pd	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrrk, X86_INS_VPERMT2PD: vpermt2pd	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PDrrkz, X86_INS_VPERMT2PD: vpermt2pd	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrm, X86_INS_VPERMT2PS: vpermt2ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrmk, X86_INS_VPERMT2PS: vpermt2ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrmkz, X86_INS_VPERMT2PS: vpermt2ps	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrr, X86_INS_VPERMT2PS: vpermt2ps	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrrk, X86_INS_VPERMT2PS: vpermt2ps	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2PSrrkz, X86_INS_VPERMT2PS: vpermt2ps	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrm, X86_INS_VPERMT2Q: vpermt2q	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrmk, X86_INS_VPERMT2Q: vpermt2q	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrmkz, X86_INS_VPERMT2Q: vpermt2q	{$src3, $src2, $dst {${mask}} {z}|$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrr, X86_INS_VPERMT2Q: vpermt2q	$dst, $src2, $src3 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrrk, X86_INS_VPERMT2Q: vpermt2q	{$src3, $src2, $dst {${mask}}|$dst {${mask}}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPERMT2Qrrkz, X86_INS_VPERMT2Q: vpermt2q	{$src3, $src2, $dst {${mask}} {z} |$dst {${mask}} {z}, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ128rmk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ128rmkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ128rrk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ128rrkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ256rmk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ256rmkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ256rrk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZ256rrkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZrmk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZrmkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZrrk, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDDZrrkz, X86_INS_VPEXPANDD: vpexpandd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ128rmk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ128rmkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ128rrk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ128rrkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ256rmk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ256rmkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ256rrk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZ256rrkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZrmk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZrmkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZrrk, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXPANDQZrrkz, X86_INS_VPEXPANDQ: vpexpandq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPEXTRBmr, X86_INS_VPEXTRB: vpextrb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRBrr, X86_INS_VPEXTRB: vpextrb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRDmr, X86_INS_VPEXTRD: vpextrd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRDrr, X86_INS_VPEXTRD: vpextrd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRQmr, X86_INS_VPEXTRQ: vpextrq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRQrr, X86_INS_VPEXTRQ: vpextrq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRWmr, X86_INS_VPEXTRW: vpextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRWri, X86_INS_VPEXTRW: vpextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPEXTRWrr_REV, X86_INS_VPEXTRW: vpextrw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPGATHERDDYrm, X86_INS_VPGATHERDD: vpgatherdd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERDDZrm, X86_INS_VPGATHERDD: vpgatherdd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERDDrm, X86_INS_VPGATHERDD: vpgatherdd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERDQYrm, X86_INS_VPGATHERDQ: vpgatherdq	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERDQZrm, X86_INS_VPGATHERDQ: vpgatherdq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERDQrm, X86_INS_VPGATHERDQ: vpgatherdq	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQDYrm, X86_INS_VPGATHERQD: vpgatherqd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQDZrm, X86_INS_VPGATHERQD: vpgatherqd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQDrm, X86_INS_VPGATHERQD: vpgatherqd	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQQYrm, X86_INS_VPGATHERQQ: vpgatherqq	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQQZrm, X86_INS_VPGATHERQQ: vpgatherqq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPGATHERQQrm, X86_INS_VPGATHERQQ: vpgatherqq	$dst, $src2, $mask */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBDrm, X86_INS_VPHADDBD: vphaddbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBDrr, X86_INS_VPHADDBD: vphaddbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBQrm, X86_INS_VPHADDBQ: vphaddbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBQrr, X86_INS_VPHADDBQ: vphaddbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBWrm, X86_INS_VPHADDBW: vphaddbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDBWrr, X86_INS_VPHADDBW: vphaddbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDQrm, X86_INS_VPHADDDQ: vphadddq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDQrr, X86_INS_VPHADDDQ: vphadddq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDYrm, X86_INS_VPHADDD: vphaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDYrr, X86_INS_VPHADDD: vphaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDrm, X86_INS_VPHADDD: vphaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDDrr, X86_INS_VPHADDD: vphaddd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDSWrm128, X86_INS_VPHADDSW: vphaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDSWrm256, X86_INS_VPHADDSW: vphaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDSWrr128, X86_INS_VPHADDSW: vphaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDSWrr256, X86_INS_VPHADDSW: vphaddsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBDrm, X86_INS_VPHADDUBD: vphaddubd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBDrr, X86_INS_VPHADDUBD: vphaddubd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBQrm, X86_INS_VPHADDUBQ: vphaddubq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBQrr, X86_INS_VPHADDUBQ: vphaddubq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBWrm, X86_INS_VPHADDUBW: vphaddubw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUBWrr, X86_INS_VPHADDUBW: vphaddubw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUDQrm, X86_INS_VPHADDUDQ: vphaddudq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUDQrr, X86_INS_VPHADDUDQ: vphaddudq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUWDrm, X86_INS_VPHADDUWD: vphadduwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUWDrr, X86_INS_VPHADDUWD: vphadduwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUWQrm, X86_INS_VPHADDUWQ: vphadduwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDUWQrr, X86_INS_VPHADDUWQ: vphadduwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWDrm, X86_INS_VPHADDWD: vphaddwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWDrr, X86_INS_VPHADDWD: vphaddwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWQrm, X86_INS_VPHADDWQ: vphaddwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWQrr, X86_INS_VPHADDWQ: vphaddwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWYrm, X86_INS_VPHADDW: vphaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWYrr, X86_INS_VPHADDW: vphaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWrm, X86_INS_VPHADDW: vphaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHADDWrr, X86_INS_VPHADDW: vphaddw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHMINPOSUWrm128, X86_INS_VPHMINPOSUW: vphminposuw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHMINPOSUWrr128, X86_INS_VPHMINPOSUW: vphminposuw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBBWrm, X86_INS_VPHSUBBW: vphsubbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBBWrr, X86_INS_VPHSUBBW: vphsubbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDQrm, X86_INS_VPHSUBDQ: vphsubdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDQrr, X86_INS_VPHSUBDQ: vphsubdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDYrm, X86_INS_VPHSUBD: vphsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDYrr, X86_INS_VPHSUBD: vphsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDrm, X86_INS_VPHSUBD: vphsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBDrr, X86_INS_VPHSUBD: vphsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBSWrm128, X86_INS_VPHSUBSW: vphsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBSWrm256, X86_INS_VPHSUBSW: vphsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBSWrr128, X86_INS_VPHSUBSW: vphsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBSWrr256, X86_INS_VPHSUBSW: vphsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWDrm, X86_INS_VPHSUBWD: vphsubwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWDrr, X86_INS_VPHSUBWD: vphsubwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWYrm, X86_INS_VPHSUBW: vphsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWYrr, X86_INS_VPHSUBW: vphsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWrm, X86_INS_VPHSUBW: vphsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPHSUBWrr, X86_INS_VPHSUBW: vphsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPINSRBrm, X86_INS_VPINSRB: vpinsrb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRBrr, X86_INS_VPINSRB: vpinsrb	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRDrm, X86_INS_VPINSRD: vpinsrd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRDrr, X86_INS_VPINSRD: vpinsrd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRQrm, X86_INS_VPINSRQ: vpinsrq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRQrr, X86_INS_VPINSRQ: vpinsrq	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRWrmi, X86_INS_VPINSRW: vpinsrw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPINSRWrri, X86_INS_VPINSRW: vpinsrw	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPLZCNTDrm, X86_INS_VPLZCNTD: vplzcntd	{$src, ${dst}|${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrmb, X86_INS_VPLZCNTD: vplzcntd	{${src}{1to16}, ${dst}|${dst}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrmbk, X86_INS_VPLZCNTD: vplzcntd	{${src2}{1to16}, ${dst} {${mask}}|${dst} {${mask}}, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrmbkz, X86_INS_VPLZCNTD: vplzcntd	{${src}{1to16}, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrmk, X86_INS_VPLZCNTD: vplzcntd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrmkz, X86_INS_VPLZCNTD: vplzcntd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrr, X86_INS_VPLZCNTD: vplzcntd	{$src, ${dst} |${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrrk, X86_INS_VPLZCNTD: vplzcntd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTDrrkz, X86_INS_VPLZCNTD: vplzcntd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrm, X86_INS_VPLZCNTQ: vplzcntq	{$src, ${dst}|${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrmb, X86_INS_VPLZCNTQ: vplzcntq	{${src}{1to8}, ${dst}|${dst}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrmbk, X86_INS_VPLZCNTQ: vplzcntq	{${src2}{1to8}, ${dst} {${mask}}|${dst} {${mask}}, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrmbkz, X86_INS_VPLZCNTQ: vplzcntq	{${src}{1to8}, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrmk, X86_INS_VPLZCNTQ: vplzcntq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrmkz, X86_INS_VPLZCNTQ: vplzcntq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrr, X86_INS_VPLZCNTQ: vplzcntq	{$src, ${dst} |${dst}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrrk, X86_INS_VPLZCNTQ: vplzcntq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPLZCNTQrrkz, X86_INS_VPLZCNTQ: vplzcntq	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDDrm, X86_INS_VPMACSDD: vpmacsdd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDDrr, X86_INS_VPMACSDD: vpmacsdd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDQHrm, X86_INS_VPMACSDQH: vpmacsdqh	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDQHrr, X86_INS_VPMACSDQH: vpmacsdqh	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDQLrm, X86_INS_VPMACSDQL: vpmacsdql	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSDQLrr, X86_INS_VPMACSDQL: vpmacsdql	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDDrm, X86_INS_VPMACSSDD: vpmacssdd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDDrr, X86_INS_VPMACSSDD: vpmacssdd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDQHrm, X86_INS_VPMACSSDQH: vpmacssdqh	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDQHrr, X86_INS_VPMACSSDQH: vpmacssdqh	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDQLrm, X86_INS_VPMACSSDQL: vpmacssdql	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSDQLrr, X86_INS_VPMACSSDQL: vpmacssdql	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSWDrm, X86_INS_VPMACSSWD: vpmacsswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSWDrr, X86_INS_VPMACSSWD: vpmacsswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSWWrm, X86_INS_VPMACSSWW: vpmacssww	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSSWWrr, X86_INS_VPMACSSWW: vpmacssww	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSWDrm, X86_INS_VPMACSWD: vpmacswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSWDrr, X86_INS_VPMACSWD: vpmacswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSWWrm, X86_INS_VPMACSWW: vpmacsww	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMACSWWrr, X86_INS_VPMACSWW: vpmacsww	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADCSSWDrm, X86_INS_VPMADCSSWD: vpmadcsswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADCSSWDrr, X86_INS_VPMADCSSWD: vpmadcsswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADCSWDrm, X86_INS_VPMADCSWD: vpmadcswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADCSWDrr, X86_INS_VPMADCSWD: vpmadcswd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDUBSWrm128, X86_INS_VPMADDUBSW: vpmaddubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDUBSWrm256, X86_INS_VPMADDUBSW: vpmaddubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDUBSWrr128, X86_INS_VPMADDUBSW: vpmaddubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDUBSWrr256, X86_INS_VPMADDUBSW: vpmaddubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDWDYrm, X86_INS_VPMADDWD: vpmaddwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDWDYrr, X86_INS_VPMADDWD: vpmaddwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDWDrm, X86_INS_VPMADDWD: vpmaddwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMADDWDrr, X86_INS_VPMADDWD: vpmaddwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVDYmr, X86_INS_VPMASKMOVD: vpmaskmovd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVDYrm, X86_INS_VPMASKMOVD: vpmaskmovd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVDmr, X86_INS_VPMASKMOVD: vpmaskmovd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVDrm, X86_INS_VPMASKMOVD: vpmaskmovd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVQYmr, X86_INS_VPMASKMOVQ: vpmaskmovq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVQYrm, X86_INS_VPMASKMOVQ: vpmaskmovq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVQmr, X86_INS_VPMASKMOVQ: vpmaskmovq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMASKMOVQrm, X86_INS_VPMASKMOVQ: vpmaskmovq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBYrm, X86_INS_VPMAXSB: vpmaxsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBYrr, X86_INS_VPMAXSB: vpmaxsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rm, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rmk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rmkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rr, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rrk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ128rrkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rm, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rmk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rmkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rr, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rrk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZ256rrkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrm, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrmk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrmkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrr, X86_INS_VPMAXSB: vpmaxsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrrk, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBZrrkz, X86_INS_VPMAXSB: vpmaxsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBrm, X86_INS_VPMAXSB: vpmaxsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSBrr, X86_INS_VPMAXSB: vpmaxsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDYrm, X86_INS_VPMAXSD: vpmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDYrr, X86_INS_VPMAXSD: vpmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rm, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rmb, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rmbk, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rmbkz, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rmk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rmkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rr, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rrk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ128rrkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rm, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rmb, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rmbk, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rmbkz, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rmk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rmkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rr, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rrk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZ256rrkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrm, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrmb, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrmbk, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrmbkz, X86_INS_VPMAXSD: vpmaxsd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrmk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrmkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrr, X86_INS_VPMAXSD: vpmaxsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrrk, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDZrrkz, X86_INS_VPMAXSD: vpmaxsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDrm, X86_INS_VPMAXSD: vpmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSDrr, X86_INS_VPMAXSD: vpmaxsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rm, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rmb, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rmbk, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rmbkz, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rmk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rmkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rr, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rrk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ128rrkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rm, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rmb, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rmbk, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rmbkz, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rmk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rmkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rr, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rrk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZ256rrkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrm, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrmb, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrmbk, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrmbkz, X86_INS_VPMAXSQ: vpmaxsq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrmk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrmkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrr, X86_INS_VPMAXSQ: vpmaxsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrrk, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSQZrrkz, X86_INS_VPMAXSQ: vpmaxsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWYrm, X86_INS_VPMAXSW: vpmaxsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWYrr, X86_INS_VPMAXSW: vpmaxsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rm, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rmk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rmkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rr, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rrk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ128rrkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rm, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rmk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rmkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rr, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rrk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZ256rrkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrm, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrmk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrmkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrr, X86_INS_VPMAXSW: vpmaxsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrrk, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWZrrkz, X86_INS_VPMAXSW: vpmaxsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWrm, X86_INS_VPMAXSW: vpmaxsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXSWrr, X86_INS_VPMAXSW: vpmaxsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBYrm, X86_INS_VPMAXUB: vpmaxub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBYrr, X86_INS_VPMAXUB: vpmaxub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rm, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rmk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rmkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rr, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rrk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ128rrkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rm, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rmk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rmkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rr, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rrk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZ256rrkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrm, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrmk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrmkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrr, X86_INS_VPMAXUB: vpmaxub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrrk, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBZrrkz, X86_INS_VPMAXUB: vpmaxub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBrm, X86_INS_VPMAXUB: vpmaxub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUBrr, X86_INS_VPMAXUB: vpmaxub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDYrm, X86_INS_VPMAXUD: vpmaxud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDYrr, X86_INS_VPMAXUD: vpmaxud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rm, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rmb, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rmbk, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rmbkz, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rmk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rmkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rr, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rrk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ128rrkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rm, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rmb, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rmbk, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rmbkz, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rmk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rmkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rr, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rrk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZ256rrkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrm, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrmb, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrmbk, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrmbkz, X86_INS_VPMAXUD: vpmaxud	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrmk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrmkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrr, X86_INS_VPMAXUD: vpmaxud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrrk, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDZrrkz, X86_INS_VPMAXUD: vpmaxud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDrm, X86_INS_VPMAXUD: vpmaxud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUDrr, X86_INS_VPMAXUD: vpmaxud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rm, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rmb, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rmbk, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rmbkz, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rmk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rmkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rr, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rrk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ128rrkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rm, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rmb, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rmbk, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rmbkz, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rmk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rmkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rr, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rrk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZ256rrkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrm, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrmb, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrmbk, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrmbkz, X86_INS_VPMAXUQ: vpmaxuq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrmk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrmkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrr, X86_INS_VPMAXUQ: vpmaxuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrrk, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUQZrrkz, X86_INS_VPMAXUQ: vpmaxuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWYrm, X86_INS_VPMAXUW: vpmaxuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWYrr, X86_INS_VPMAXUW: vpmaxuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rm, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rmk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rmkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rr, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rrk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ128rrkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rm, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rmk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rmkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rr, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rrk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZ256rrkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrm, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrmk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrmkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrr, X86_INS_VPMAXUW: vpmaxuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrrk, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWZrrkz, X86_INS_VPMAXUW: vpmaxuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWrm, X86_INS_VPMAXUW: vpmaxuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMAXUWrr, X86_INS_VPMAXUW: vpmaxuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBYrm, X86_INS_VPMINSB: vpminsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBYrr, X86_INS_VPMINSB: vpminsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rm, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rmk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rmkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rr, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rrk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ128rrkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rm, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rmk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rmkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rr, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rrk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZ256rrkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrm, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrmk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrmkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrr, X86_INS_VPMINSB: vpminsb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrrk, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBZrrkz, X86_INS_VPMINSB: vpminsb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBrm, X86_INS_VPMINSB: vpminsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSBrr, X86_INS_VPMINSB: vpminsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDYrm, X86_INS_VPMINSD: vpminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDYrr, X86_INS_VPMINSD: vpminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rm, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rmb, X86_INS_VPMINSD: vpminsd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rmbk, X86_INS_VPMINSD: vpminsd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rmbkz, X86_INS_VPMINSD: vpminsd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rmk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rmkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rr, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rrk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ128rrkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rm, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rmb, X86_INS_VPMINSD: vpminsd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rmbk, X86_INS_VPMINSD: vpminsd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rmbkz, X86_INS_VPMINSD: vpminsd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rmk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rmkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rr, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rrk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZ256rrkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrm, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrmb, X86_INS_VPMINSD: vpminsd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrmbk, X86_INS_VPMINSD: vpminsd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrmbkz, X86_INS_VPMINSD: vpminsd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrmk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrmkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrr, X86_INS_VPMINSD: vpminsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrrk, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDZrrkz, X86_INS_VPMINSD: vpminsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDrm, X86_INS_VPMINSD: vpminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSDrr, X86_INS_VPMINSD: vpminsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rm, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rmb, X86_INS_VPMINSQ: vpminsq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rmbk, X86_INS_VPMINSQ: vpminsq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rmbkz, X86_INS_VPMINSQ: vpminsq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rmk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rmkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rr, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rrk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ128rrkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rm, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rmb, X86_INS_VPMINSQ: vpminsq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rmbk, X86_INS_VPMINSQ: vpminsq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rmbkz, X86_INS_VPMINSQ: vpminsq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rmk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rmkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rr, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rrk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZ256rrkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrm, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrmb, X86_INS_VPMINSQ: vpminsq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrmbk, X86_INS_VPMINSQ: vpminsq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrmbkz, X86_INS_VPMINSQ: vpminsq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrmk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrmkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrr, X86_INS_VPMINSQ: vpminsq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrrk, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSQZrrkz, X86_INS_VPMINSQ: vpminsq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWYrm, X86_INS_VPMINSW: vpminsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWYrr, X86_INS_VPMINSW: vpminsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rm, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rmk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rmkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rr, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rrk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ128rrkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rm, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rmk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rmkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rr, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rrk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZ256rrkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrm, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrmk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrmkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrr, X86_INS_VPMINSW: vpminsw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrrk, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWZrrkz, X86_INS_VPMINSW: vpminsw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWrm, X86_INS_VPMINSW: vpminsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINSWrr, X86_INS_VPMINSW: vpminsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBYrm, X86_INS_VPMINUB: vpminub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBYrr, X86_INS_VPMINUB: vpminub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rm, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rmk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rmkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rr, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rrk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ128rrkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rm, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rmk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rmkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rr, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rrk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZ256rrkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrm, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrmk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrmkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrr, X86_INS_VPMINUB: vpminub	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrrk, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBZrrkz, X86_INS_VPMINUB: vpminub	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBrm, X86_INS_VPMINUB: vpminub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUBrr, X86_INS_VPMINUB: vpminub	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDYrm, X86_INS_VPMINUD: vpminud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDYrr, X86_INS_VPMINUD: vpminud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rm, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rmb, X86_INS_VPMINUD: vpminud	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rmbk, X86_INS_VPMINUD: vpminud	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rmbkz, X86_INS_VPMINUD: vpminud	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rmk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rmkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rr, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rrk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ128rrkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rm, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rmb, X86_INS_VPMINUD: vpminud	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rmbk, X86_INS_VPMINUD: vpminud	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rmbkz, X86_INS_VPMINUD: vpminud	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rmk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rmkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rr, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rrk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZ256rrkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrm, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrmb, X86_INS_VPMINUD: vpminud	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrmbk, X86_INS_VPMINUD: vpminud	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrmbkz, X86_INS_VPMINUD: vpminud	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrmk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrmkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrr, X86_INS_VPMINUD: vpminud	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrrk, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDZrrkz, X86_INS_VPMINUD: vpminud	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDrm, X86_INS_VPMINUD: vpminud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUDrr, X86_INS_VPMINUD: vpminud	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rm, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rmb, X86_INS_VPMINUQ: vpminuq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rmbk, X86_INS_VPMINUQ: vpminuq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rmbkz, X86_INS_VPMINUQ: vpminuq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rmk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rmkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rr, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rrk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ128rrkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rm, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rmb, X86_INS_VPMINUQ: vpminuq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rmbk, X86_INS_VPMINUQ: vpminuq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rmbkz, X86_INS_VPMINUQ: vpminuq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rmk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rmkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rr, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rrk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZ256rrkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrm, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrmb, X86_INS_VPMINUQ: vpminuq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrmbk, X86_INS_VPMINUQ: vpminuq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrmbkz, X86_INS_VPMINUQ: vpminuq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrmk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrmkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrr, X86_INS_VPMINUQ: vpminuq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrrk, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUQZrrkz, X86_INS_VPMINUQ: vpminuq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWYrm, X86_INS_VPMINUW: vpminuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWYrr, X86_INS_VPMINUW: vpminuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rm, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rmk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rmkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rr, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rrk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ128rrkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rm, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rmk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rmkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rr, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rrk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZ256rrkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrm, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrmk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrmkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrr, X86_INS_VPMINUW: vpminuw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrrk, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWZrrkz, X86_INS_VPMINUW: vpminuw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWrm, X86_INS_VPMINUW: vpminuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMINUWrr, X86_INS_VPMINUW: vpminuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDBmr, X86_INS_VPMOVDB: vpmovdb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDBmrk, X86_INS_VPMOVDB: vpmovdb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDBrr, X86_INS_VPMOVDB: vpmovdb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDBrrk, X86_INS_VPMOVDB: vpmovdb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDBrrkz, X86_INS_VPMOVDB: vpmovdb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDWmr, X86_INS_VPMOVDW: vpmovdw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDWmrk, X86_INS_VPMOVDW: vpmovdw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDWrr, X86_INS_VPMOVDW: vpmovdw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDWrrk, X86_INS_VPMOVDW: vpmovdw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVDWrrkz, X86_INS_VPMOVDW: vpmovdw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2BZ128rr, X86_INS_VPMOVM2B: vpmovm2b	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2BZ256rr, X86_INS_VPMOVM2B: vpmovm2b	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2BZrr, X86_INS_VPMOVM2B: vpmovm2b	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2DZ128rr, X86_INS_VPMOVM2D: vpmovm2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2DZ256rr, X86_INS_VPMOVM2D: vpmovm2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2DZrr, X86_INS_VPMOVM2D: vpmovm2d	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2QZ128rr, X86_INS_VPMOVM2Q: vpmovm2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2QZ256rr, X86_INS_VPMOVM2Q: vpmovm2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2QZrr, X86_INS_VPMOVM2Q: vpmovm2q	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2WZ128rr, X86_INS_VPMOVM2W: vpmovm2w	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2WZ256rr, X86_INS_VPMOVM2W: vpmovm2w	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVM2WZrr, X86_INS_VPMOVM2W: vpmovm2w	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVMSKBYrr, X86_INS_VPMOVMSKB: vpmovmskb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVMSKBrr, X86_INS_VPMOVMSKB: vpmovmskb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQBmr, X86_INS_VPMOVQB: vpmovqb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQBmrk, X86_INS_VPMOVQB: vpmovqb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQBrr, X86_INS_VPMOVQB: vpmovqb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQBrrk, X86_INS_VPMOVQB: vpmovqb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQBrrkz, X86_INS_VPMOVQB: vpmovqb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQDmr, X86_INS_VPMOVQD: vpmovqd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQDmrk, X86_INS_VPMOVQD: vpmovqd	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQDrr, X86_INS_VPMOVQD: vpmovqd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQDrrk, X86_INS_VPMOVQD: vpmovqd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQDrrkz, X86_INS_VPMOVQD: vpmovqd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQWmr, X86_INS_VPMOVQW: vpmovqw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQWmrk, X86_INS_VPMOVQW: vpmovqw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQWrr, X86_INS_VPMOVQW: vpmovqw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQWrrk, X86_INS_VPMOVQW: vpmovqw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVQWrrkz, X86_INS_VPMOVQW: vpmovqw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDBmr, X86_INS_VPMOVSDB: vpmovsdb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDBmrk, X86_INS_VPMOVSDB: vpmovsdb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDBrr, X86_INS_VPMOVSDB: vpmovsdb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDBrrk, X86_INS_VPMOVSDB: vpmovsdb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDBrrkz, X86_INS_VPMOVSDB: vpmovsdb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDWmr, X86_INS_VPMOVSDW: vpmovsdw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDWmrk, X86_INS_VPMOVSDW: vpmovsdw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDWrr, X86_INS_VPMOVSDW: vpmovsdw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDWrrk, X86_INS_VPMOVSDW: vpmovsdw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSDWrrkz, X86_INS_VPMOVSDW: vpmovsdw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQBmr, X86_INS_VPMOVSQB: vpmovsqb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQBmrk, X86_INS_VPMOVSQB: vpmovsqb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQBrr, X86_INS_VPMOVSQB: vpmovsqb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQBrrk, X86_INS_VPMOVSQB: vpmovsqb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQBrrkz, X86_INS_VPMOVSQB: vpmovsqb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQDmr, X86_INS_VPMOVSQD: vpmovsqd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQDmrk, X86_INS_VPMOVSQD: vpmovsqd	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQDrr, X86_INS_VPMOVSQD: vpmovsqd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQDrrk, X86_INS_VPMOVSQD: vpmovsqd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQDrrkz, X86_INS_VPMOVSQD: vpmovsqd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQWmr, X86_INS_VPMOVSQW: vpmovsqw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQWmrk, X86_INS_VPMOVSQW: vpmovsqw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQWrr, X86_INS_VPMOVSQW: vpmovsqw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQWrrk, X86_INS_VPMOVSQW: vpmovsqw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSQWrrkz, X86_INS_VPMOVSQW: vpmovsqw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDYrm, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDYrr, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrm, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrmk, X86_INS_VPMOVSXBD: vpmovsxbd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrmkz, X86_INS_VPMOVSXBD: vpmovsxbd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrr, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrrk, X86_INS_VPMOVSXBD: vpmovsxbd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDZrrkz, X86_INS_VPMOVSXBD: vpmovsxbd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDrm, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBDrr, X86_INS_VPMOVSXBD: vpmovsxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQYrm, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQYrr, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrm, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrmk, X86_INS_VPMOVSXBQ: vpmovsxbq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrmkz, X86_INS_VPMOVSXBQ: vpmovsxbq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrr, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrrk, X86_INS_VPMOVSXBQ: vpmovsxbq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQZrrkz, X86_INS_VPMOVSXBQ: vpmovsxbq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQrm, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBQrr, X86_INS_VPMOVSXBQ: vpmovsxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBWYrm, X86_INS_VPMOVSXBW: vpmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBWYrr, X86_INS_VPMOVSXBW: vpmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBWrm, X86_INS_VPMOVSXBW: vpmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXBWrr, X86_INS_VPMOVSXBW: vpmovsxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQYrm, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQYrr, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrm, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrmk, X86_INS_VPMOVSXDQ: vpmovsxdq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrmkz, X86_INS_VPMOVSXDQ: vpmovsxdq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrr, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrrk, X86_INS_VPMOVSXDQ: vpmovsxdq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQZrrkz, X86_INS_VPMOVSXDQ: vpmovsxdq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQrm, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXDQrr, X86_INS_VPMOVSXDQ: vpmovsxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDYrm, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDYrr, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrm, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrmk, X86_INS_VPMOVSXWD: vpmovsxwd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrmkz, X86_INS_VPMOVSXWD: vpmovsxwd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrr, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrrk, X86_INS_VPMOVSXWD: vpmovsxwd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDZrrkz, X86_INS_VPMOVSXWD: vpmovsxwd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDrm, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWDrr, X86_INS_VPMOVSXWD: vpmovsxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQYrm, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQYrr, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrm, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrmk, X86_INS_VPMOVSXWQ: vpmovsxwq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrmkz, X86_INS_VPMOVSXWQ: vpmovsxwq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrr, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrrk, X86_INS_VPMOVSXWQ: vpmovsxwq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQZrrkz, X86_INS_VPMOVSXWQ: vpmovsxwq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQrm, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVSXWQrr, X86_INS_VPMOVSXWQ: vpmovsxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDBmr, X86_INS_VPMOVUSDB: vpmovusdb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDBmrk, X86_INS_VPMOVUSDB: vpmovusdb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDBrr, X86_INS_VPMOVUSDB: vpmovusdb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDBrrk, X86_INS_VPMOVUSDB: vpmovusdb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDBrrkz, X86_INS_VPMOVUSDB: vpmovusdb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDWmr, X86_INS_VPMOVUSDW: vpmovusdw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDWmrk, X86_INS_VPMOVUSDW: vpmovusdw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDWrr, X86_INS_VPMOVUSDW: vpmovusdw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDWrrk, X86_INS_VPMOVUSDW: vpmovusdw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSDWrrkz, X86_INS_VPMOVUSDW: vpmovusdw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQBmr, X86_INS_VPMOVUSQB: vpmovusqb	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQBmrk, X86_INS_VPMOVUSQB: vpmovusqb	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQBrr, X86_INS_VPMOVUSQB: vpmovusqb	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQBrrk, X86_INS_VPMOVUSQB: vpmovusqb	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQBrrkz, X86_INS_VPMOVUSQB: vpmovusqb	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQDmr, X86_INS_VPMOVUSQD: vpmovusqd	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQDmrk, X86_INS_VPMOVUSQD: vpmovusqd	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQDrr, X86_INS_VPMOVUSQD: vpmovusqd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQDrrk, X86_INS_VPMOVUSQD: vpmovusqd	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQDrrkz, X86_INS_VPMOVUSQD: vpmovusqd	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQWmr, X86_INS_VPMOVUSQW: vpmovusqw	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQWmrk, X86_INS_VPMOVUSQW: vpmovusqw	{$src, $dst {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQWrr, X86_INS_VPMOVUSQW: vpmovusqw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQWrrk, X86_INS_VPMOVUSQW: vpmovusqw	{$src, ${dst} {${mask}}|${dst} {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVUSQWrrkz, X86_INS_VPMOVUSQW: vpmovusqw	{$src, ${dst} {${mask}} {z}|${dst} {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDYrm, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDYrr, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrm, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrmk, X86_INS_VPMOVZXBD: vpmovzxbd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrmkz, X86_INS_VPMOVZXBD: vpmovzxbd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrr, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrrk, X86_INS_VPMOVZXBD: vpmovzxbd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDZrrkz, X86_INS_VPMOVZXBD: vpmovzxbd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDrm, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBDrr, X86_INS_VPMOVZXBD: vpmovzxbd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQYrm, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQYrr, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrm, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrmk, X86_INS_VPMOVZXBQ: vpmovzxbq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrmkz, X86_INS_VPMOVZXBQ: vpmovzxbq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrr, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrrk, X86_INS_VPMOVZXBQ: vpmovzxbq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQZrrkz, X86_INS_VPMOVZXBQ: vpmovzxbq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQrm, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBQrr, X86_INS_VPMOVZXBQ: vpmovzxbq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBWYrm, X86_INS_VPMOVZXBW: vpmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBWYrr, X86_INS_VPMOVZXBW: vpmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBWrm, X86_INS_VPMOVZXBW: vpmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXBWrr, X86_INS_VPMOVZXBW: vpmovzxbw	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQYrm, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQYrr, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrm, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrmk, X86_INS_VPMOVZXDQ: vpmovzxdq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrmkz, X86_INS_VPMOVZXDQ: vpmovzxdq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrr, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrrk, X86_INS_VPMOVZXDQ: vpmovzxdq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQZrrkz, X86_INS_VPMOVZXDQ: vpmovzxdq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQrm, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXDQrr, X86_INS_VPMOVZXDQ: vpmovzxdq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDYrm, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDYrr, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrm, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrmk, X86_INS_VPMOVZXWD: vpmovzxwd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrmkz, X86_INS_VPMOVZXWD: vpmovzxwd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrr, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrrk, X86_INS_VPMOVZXWD: vpmovzxwd	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDZrrkz, X86_INS_VPMOVZXWD: vpmovzxwd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDrm, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWDrr, X86_INS_VPMOVZXWD: vpmovzxwd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQYrm, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQYrr, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrm, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrmk, X86_INS_VPMOVZXWQ: vpmovzxwq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrmkz, X86_INS_VPMOVZXWQ: vpmovzxwq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrr, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrrk, X86_INS_VPMOVZXWQ: vpmovzxwq	{$src, $dst {${mask}} |$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQZrrkz, X86_INS_VPMOVZXWQ: vpmovzxwq	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQrm, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMOVZXWQrr, X86_INS_VPMOVZXWQ: vpmovzxwq	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQYrm, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQYrr, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrm, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrmb, X86_INS_VPMULDQ: vpmuldq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrmbk, X86_INS_VPMULDQ: vpmuldq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrmbkz, X86_INS_VPMULDQ: vpmuldq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrmk, X86_INS_VPMULDQ: vpmuldq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrmkz, X86_INS_VPMULDQ: vpmuldq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrr, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrrk, X86_INS_VPMULDQ: vpmuldq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQZrrkz, X86_INS_VPMULDQ: vpmuldq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQrm, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULDQrr, X86_INS_VPMULDQ: vpmuldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHRSWrm128, X86_INS_VPMULHRSW: vpmulhrsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHRSWrm256, X86_INS_VPMULHRSW: vpmulhrsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHRSWrr128, X86_INS_VPMULHRSW: vpmulhrsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHRSWrr256, X86_INS_VPMULHRSW: vpmulhrsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHUWYrm, X86_INS_VPMULHUW: vpmulhuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHUWYrr, X86_INS_VPMULHUW: vpmulhuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHUWrm, X86_INS_VPMULHUW: vpmulhuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHUWrr, X86_INS_VPMULHUW: vpmulhuw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHWYrm, X86_INS_VPMULHW: vpmulhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHWYrr, X86_INS_VPMULHW: vpmulhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHWrm, X86_INS_VPMULHW: vpmulhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULHWrr, X86_INS_VPMULHW: vpmulhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDYrm, X86_INS_VPMULLD: vpmulld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDYrr, X86_INS_VPMULLD: vpmulld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rm, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rmb, X86_INS_VPMULLD: vpmulld	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rmbk, X86_INS_VPMULLD: vpmulld	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rmbkz, X86_INS_VPMULLD: vpmulld	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rmk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rmkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rr, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rrk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ128rrkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rm, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rmb, X86_INS_VPMULLD: vpmulld	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rmbk, X86_INS_VPMULLD: vpmulld	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rmbkz, X86_INS_VPMULLD: vpmulld	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rmk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rmkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rr, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rrk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZ256rrkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrm, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrmb, X86_INS_VPMULLD: vpmulld	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrmbk, X86_INS_VPMULLD: vpmulld	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrmbkz, X86_INS_VPMULLD: vpmulld	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrmk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrmkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrr, X86_INS_VPMULLD: vpmulld	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrrk, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDZrrkz, X86_INS_VPMULLD: vpmulld	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDrm, X86_INS_VPMULLD: vpmulld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLDrr, X86_INS_VPMULLD: vpmulld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rm, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rmb, X86_INS_VPMULLQ: vpmullq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rmbk, X86_INS_VPMULLQ: vpmullq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rmbkz, X86_INS_VPMULLQ: vpmullq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rmk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rmkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rr, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rrk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ128rrkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rm, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rmb, X86_INS_VPMULLQ: vpmullq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rmbk, X86_INS_VPMULLQ: vpmullq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rmbkz, X86_INS_VPMULLQ: vpmullq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rmk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rmkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rr, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rrk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZ256rrkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrm, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrmb, X86_INS_VPMULLQ: vpmullq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrmbk, X86_INS_VPMULLQ: vpmullq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrmbkz, X86_INS_VPMULLQ: vpmullq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrmk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrmkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrr, X86_INS_VPMULLQ: vpmullq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrrk, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLQZrrkz, X86_INS_VPMULLQ: vpmullq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWYrm, X86_INS_VPMULLW: vpmullw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWYrr, X86_INS_VPMULLW: vpmullw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rm, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rmk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rmkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rr, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rrk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ128rrkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rm, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rmk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rmkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rr, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rrk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZ256rrkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrm, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrmk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrmkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrr, X86_INS_VPMULLW: vpmullw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrrk, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWZrrkz, X86_INS_VPMULLW: vpmullw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWrm, X86_INS_VPMULLW: vpmullw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULLWrr, X86_INS_VPMULLW: vpmullw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQYrm, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQYrr, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrm, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrmb, X86_INS_VPMULUDQ: vpmuludq	{${src2}{1to8}, $src1, $dst|$dst, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrmbk, X86_INS_VPMULUDQ: vpmuludq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrmbkz, X86_INS_VPMULUDQ: vpmuludq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrmk, X86_INS_VPMULUDQ: vpmuludq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrmkz, X86_INS_VPMULUDQ: vpmuludq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrr, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrrk, X86_INS_VPMULUDQ: vpmuludq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQZrrkz, X86_INS_VPMULUDQ: vpmuludq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQrm, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPMULUDQrr, X86_INS_VPMULUDQ: vpmuludq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rm, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rmb, X86_INS_VPORD: vpord	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rmbk, X86_INS_VPORD: vpord	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rmbkz, X86_INS_VPORD: vpord	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rmk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rmkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rr, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rrk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ128rrkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rm, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rmb, X86_INS_VPORD: vpord	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rmbk, X86_INS_VPORD: vpord	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rmbkz, X86_INS_VPORD: vpord	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rmk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rmkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rr, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rrk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZ256rrkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrm, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrmb, X86_INS_VPORD: vpord	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrmbk, X86_INS_VPORD: vpord	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrmbkz, X86_INS_VPORD: vpord	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrmk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrmkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrr, X86_INS_VPORD: vpord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrrk, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORDZrrkz, X86_INS_VPORD: vpord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rm, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rmb, X86_INS_VPORQ: vporq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rmbk, X86_INS_VPORQ: vporq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rmbkz, X86_INS_VPORQ: vporq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rmk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rmkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rr, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rrk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ128rrkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rm, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rmb, X86_INS_VPORQ: vporq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rmbk, X86_INS_VPORQ: vporq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rmbkz, X86_INS_VPORQ: vporq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rmk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rmkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rr, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rrk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZ256rrkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrm, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrmb, X86_INS_VPORQ: vporq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrmbk, X86_INS_VPORQ: vporq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrmbkz, X86_INS_VPORQ: vporq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrmk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrmkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrr, X86_INS_VPORQ: vporq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrrk, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORQZrrkz, X86_INS_VPORQ: vporq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORYrm, X86_INS_VPOR: vpor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORYrr, X86_INS_VPOR: vpor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORrm, X86_INS_VPOR: vpor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPORrr, X86_INS_VPOR: vpor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPPERMmr, X86_INS_VPPERM: vpperm	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPPERMrm, X86_INS_VPPERM: vpperm	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPPERMrr, X86_INS_VPPERM: vpperm	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTBmi, X86_INS_VPROTB: vprotb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTBmr, X86_INS_VPROTB: vprotb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTBri, X86_INS_VPROTB: vprotb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTBrm, X86_INS_VPROTB: vprotb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTBrr, X86_INS_VPROTB: vprotb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTDmi, X86_INS_VPROTD: vprotd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTDmr, X86_INS_VPROTD: vprotd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTDri, X86_INS_VPROTD: vprotd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTDrm, X86_INS_VPROTD: vprotd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTDrr, X86_INS_VPROTD: vprotd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTQmi, X86_INS_VPROTQ: vprotq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTQmr, X86_INS_VPROTQ: vprotq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTQri, X86_INS_VPROTQ: vprotq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTQrm, X86_INS_VPROTQ: vprotq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTQrr, X86_INS_VPROTQ: vprotq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTWmi, X86_INS_VPROTW: vprotw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTWmr, X86_INS_VPROTW: vprotw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTWri, X86_INS_VPROTW: vprotw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPROTWrm, X86_INS_VPROTW: vprotw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPROTWrr, X86_INS_VPROTW: vprotw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSADBWYrm, X86_INS_VPSADBW: vpsadbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSADBWYrr, X86_INS_VPSADBW: vpsadbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSADBWrm, X86_INS_VPSADBW: vpsadbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSADBWrr, X86_INS_VPSADBW: vpsadbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSCATTERDDZmr, X86_INS_VPSCATTERDD: vpscatterdd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSCATTERDQZmr, X86_INS_VPSCATTERDQ: vpscatterdq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSCATTERQDZmr, X86_INS_VPSCATTERQD: vpscatterqd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSCATTERQQZmr, X86_INS_VPSCATTERQQ: vpscatterqq	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHABmr, X86_INS_VPSHAB: vpshab	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHABrm, X86_INS_VPSHAB: vpshab	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHABrr, X86_INS_VPSHAB: vpshab	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHADmr, X86_INS_VPSHAD: vpshad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHADrm, X86_INS_VPSHAD: vpshad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHADrr, X86_INS_VPSHAD: vpshad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAQmr, X86_INS_VPSHAQ: vpshaq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAQrm, X86_INS_VPSHAQ: vpshaq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAQrr, X86_INS_VPSHAQ: vpshaq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAWmr, X86_INS_VPSHAW: vpshaw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAWrm, X86_INS_VPSHAW: vpshaw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHAWrr, X86_INS_VPSHAW: vpshaw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLBmr, X86_INS_VPSHLB: vpshlb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLBrm, X86_INS_VPSHLB: vpshlb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLBrr, X86_INS_VPSHLB: vpshlb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLDmr, X86_INS_VPSHLD: vpshld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLDrm, X86_INS_VPSHLD: vpshld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLDrr, X86_INS_VPSHLD: vpshld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLQmr, X86_INS_VPSHLQ: vpshlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLQrm, X86_INS_VPSHLQ: vpshlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLQrr, X86_INS_VPSHLQ: vpshlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLWmr, X86_INS_VPSHLW: vpshlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLWrm, X86_INS_VPSHLW: vpshlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHLWrr, X86_INS_VPSHLW: vpshlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHUFBYrm, X86_INS_VPSHUFB: vpshufb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHUFBYrr, X86_INS_VPSHUFB: vpshufb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHUFBrm, X86_INS_VPSHUFB: vpshufb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHUFBrr, X86_INS_VPSHUFB: vpshufb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSHUFDYmi, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFDYri, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFDZmi, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFDZri, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFDmi, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFDri, X86_INS_VPSHUFD: vpshufd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFHWYmi, X86_INS_VPSHUFHW: vpshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFHWYri, X86_INS_VPSHUFHW: vpshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFHWmi, X86_INS_VPSHUFHW: vpshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFHWri, X86_INS_VPSHUFHW: vpshufhw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFLWYmi, X86_INS_VPSHUFLW: vpshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFLWYri, X86_INS_VPSHUFLW: vpshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFLWmi, X86_INS_VPSHUFLW: vpshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSHUFLWri, X86_INS_VPSHUFLW: vpshuflw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSIGNBYrm, X86_INS_VPSIGNB: vpsignb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNBYrr, X86_INS_VPSIGNB: vpsignb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNBrm, X86_INS_VPSIGNB: vpsignb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNBrr, X86_INS_VPSIGNB: vpsignb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNDYrm, X86_INS_VPSIGND: vpsignd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNDYrr, X86_INS_VPSIGND: vpsignd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNDrm, X86_INS_VPSIGND: vpsignd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNDrr, X86_INS_VPSIGND: vpsignd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNWYrm, X86_INS_VPSIGNW: vpsignw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNWYrr, X86_INS_VPSIGNW: vpsignw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNWrm, X86_INS_VPSIGNW: vpsignw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSIGNWrr, X86_INS_VPSIGNW: vpsignw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDQYri, X86_INS_VPSLLDQ: vpslldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDQri, X86_INS_VPSLLDQ: vpslldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDYri, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDYrm, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDYrr, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZmi, X86_INS_VPSLLD: vpslld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZmik, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZmikz, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZri, X86_INS_VPSLLD: vpslld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZrik, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZrikz, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDZrm, X86_INS_VPSLLD: vpslld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZrmk, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZrmkz, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZrr, X86_INS_VPSLLD: vpslld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZrrk, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDZrrkz, X86_INS_VPSLLD: vpslld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDri, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLDrm, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLDrr, X86_INS_VPSLLD: vpslld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQYri, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQYrm, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQYrr, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZmi, X86_INS_VPSLLQ: vpsllq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZmik, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZmikz, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZri, X86_INS_VPSLLQ: vpsllq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZrik, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZrikz, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQZrm, X86_INS_VPSLLQ: vpsllq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZrmk, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZrmkz, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZrr, X86_INS_VPSLLQ: vpsllq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZrrk, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQZrrkz, X86_INS_VPSLLQ: vpsllq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQri, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLQrm, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLQrr, X86_INS_VPSLLQ: vpsllq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDYrm, X86_INS_VPSLLVD: vpsllvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDYrr, X86_INS_VPSLLVD: vpsllvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrm, X86_INS_VPSLLVD: vpsllvd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrmk, X86_INS_VPSLLVD: vpsllvd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrmkz, X86_INS_VPSLLVD: vpsllvd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrr, X86_INS_VPSLLVD: vpsllvd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrrk, X86_INS_VPSLLVD: vpsllvd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDZrrkz, X86_INS_VPSLLVD: vpsllvd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDrm, X86_INS_VPSLLVD: vpsllvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVDrr, X86_INS_VPSLLVD: vpsllvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQYrm, X86_INS_VPSLLVQ: vpsllvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQYrr, X86_INS_VPSLLVQ: vpsllvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrm, X86_INS_VPSLLVQ: vpsllvq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrmk, X86_INS_VPSLLVQ: vpsllvq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrmkz, X86_INS_VPSLLVQ: vpsllvq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrr, X86_INS_VPSLLVQ: vpsllvq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrrk, X86_INS_VPSLLVQ: vpsllvq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQZrrkz, X86_INS_VPSLLVQ: vpsllvq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQrm, X86_INS_VPSLLVQ: vpsllvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLVQrr, X86_INS_VPSLLVQ: vpsllvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLWYri, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLWYrm, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLWYrr, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLWri, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSLLWrm, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSLLWrr, X86_INS_VPSLLW: vpsllw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADYri, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADYrm, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADYrr, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZmi, X86_INS_VPSRAD: vpsrad	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZmik, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZmikz, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZri, X86_INS_VPSRAD: vpsrad	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZrik, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZrikz, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADZrm, X86_INS_VPSRAD: vpsrad	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZrmk, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZrmkz, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZrr, X86_INS_VPSRAD: vpsrad	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZrrk, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADZrrkz, X86_INS_VPSRAD: vpsrad	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADri, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRADrm, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRADrr, X86_INS_VPSRAD: vpsrad	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZmi, X86_INS_VPSRAQ: vpsraq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZmik, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZmikz, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZri, X86_INS_VPSRAQ: vpsraq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZrik, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZrikz, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAQZrm, X86_INS_VPSRAQ: vpsraq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZrmk, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZrmkz, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZrr, X86_INS_VPSRAQ: vpsraq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZrrk, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAQZrrkz, X86_INS_VPSRAQ: vpsraq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDYrm, X86_INS_VPSRAVD: vpsravd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDYrr, X86_INS_VPSRAVD: vpsravd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrm, X86_INS_VPSRAVD: vpsravd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrmk, X86_INS_VPSRAVD: vpsravd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrmkz, X86_INS_VPSRAVD: vpsravd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrr, X86_INS_VPSRAVD: vpsravd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrrk, X86_INS_VPSRAVD: vpsravd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDZrrkz, X86_INS_VPSRAVD: vpsravd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDrm, X86_INS_VPSRAVD: vpsravd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVDrr, X86_INS_VPSRAVD: vpsravd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrm, X86_INS_VPSRAVQ: vpsravq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrmk, X86_INS_VPSRAVQ: vpsravq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrmkz, X86_INS_VPSRAVQ: vpsravq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrr, X86_INS_VPSRAVQ: vpsravq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrrk, X86_INS_VPSRAVQ: vpsravq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAVQZrrkz, X86_INS_VPSRAVQ: vpsravq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAWYri, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAWYrm, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAWYrr, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAWri, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRAWrm, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRAWrr, X86_INS_VPSRAW: vpsraw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDQYri, X86_INS_VPSRLDQ: vpsrldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDQri, X86_INS_VPSRLDQ: vpsrldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDYri, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDYrm, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDYrr, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZmi, X86_INS_VPSRLD: vpsrld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZmik, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZmikz, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZri, X86_INS_VPSRLD: vpsrld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZrik, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZrikz, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDZrm, X86_INS_VPSRLD: vpsrld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZrmk, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZrmkz, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZrr, X86_INS_VPSRLD: vpsrld	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZrrk, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDZrrkz, X86_INS_VPSRLD: vpsrld	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDri, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLDrm, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLDrr, X86_INS_VPSRLD: vpsrld	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQYri, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQYrm, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQYrr, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZmi, X86_INS_VPSRLQ: vpsrlq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZmik, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZmikz, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZri, X86_INS_VPSRLQ: vpsrlq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZrik, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZrikz, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQZrm, X86_INS_VPSRLQ: vpsrlq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZrmk, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZrmkz, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZrr, X86_INS_VPSRLQ: vpsrlq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZrrk, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQZrrkz, X86_INS_VPSRLQ: vpsrlq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQri, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLQrm, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLQrr, X86_INS_VPSRLQ: vpsrlq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDYrm, X86_INS_VPSRLVD: vpsrlvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDYrr, X86_INS_VPSRLVD: vpsrlvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrm, X86_INS_VPSRLVD: vpsrlvd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrmk, X86_INS_VPSRLVD: vpsrlvd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrmkz, X86_INS_VPSRLVD: vpsrlvd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrr, X86_INS_VPSRLVD: vpsrlvd	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrrk, X86_INS_VPSRLVD: vpsrlvd	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDZrrkz, X86_INS_VPSRLVD: vpsrlvd	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDrm, X86_INS_VPSRLVD: vpsrlvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVDrr, X86_INS_VPSRLVD: vpsrlvd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQYrm, X86_INS_VPSRLVQ: vpsrlvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQYrr, X86_INS_VPSRLVQ: vpsrlvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrm, X86_INS_VPSRLVQ: vpsrlvq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrmk, X86_INS_VPSRLVQ: vpsrlvq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrmkz, X86_INS_VPSRLVQ: vpsrlvq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrr, X86_INS_VPSRLVQ: vpsrlvq	$dst  , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrrk, X86_INS_VPSRLVQ: vpsrlvq	{$src2, $src1, $dst {${mask}} |$dst {${mask}} , $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQZrrkz, X86_INS_VPSRLVQ: vpsrlvq	{$src2, $src1, $dst {${mask}} {z} |$dst {${mask}} {z} , $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQrm, X86_INS_VPSRLVQ: vpsrlvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLVQrr, X86_INS_VPSRLVQ: vpsrlvq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLWYri, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLWYrm, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLWYrr, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLWri, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VPSRLWrm, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSRLWrr, X86_INS_VPSRLW: vpsrlw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBYrm, X86_INS_VPSUBB: vpsubb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBYrr, X86_INS_VPSUBB: vpsubb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rm, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rmk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rmkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rr, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rrk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ128rrkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rm, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rmk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rmkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rr, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rrk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZ256rrkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrm, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrmk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrmkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrr, X86_INS_VPSUBB: vpsubb	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrrk, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBZrrkz, X86_INS_VPSUBB: vpsubb	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBrm, X86_INS_VPSUBB: vpsubb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBBrr, X86_INS_VPSUBB: vpsubb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDYrm, X86_INS_VPSUBD: vpsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDYrr, X86_INS_VPSUBD: vpsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rm, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rmb, X86_INS_VPSUBD: vpsubd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rmbk, X86_INS_VPSUBD: vpsubd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rmbkz, X86_INS_VPSUBD: vpsubd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rmk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rmkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rr, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rrk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ128rrkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rm, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rmb, X86_INS_VPSUBD: vpsubd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rmbk, X86_INS_VPSUBD: vpsubd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rmbkz, X86_INS_VPSUBD: vpsubd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rmk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rmkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rr, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rrk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZ256rrkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrm, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrmb, X86_INS_VPSUBD: vpsubd	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrmbk, X86_INS_VPSUBD: vpsubd	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrmbkz, X86_INS_VPSUBD: vpsubd	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrmk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrmkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrr, X86_INS_VPSUBD: vpsubd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrrk, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDZrrkz, X86_INS_VPSUBD: vpsubd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDrm, X86_INS_VPSUBD: vpsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBDrr, X86_INS_VPSUBD: vpsubd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQYrm, X86_INS_VPSUBQ: vpsubq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQYrr, X86_INS_VPSUBQ: vpsubq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rm, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rmb, X86_INS_VPSUBQ: vpsubq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rmbk, X86_INS_VPSUBQ: vpsubq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rmbkz, X86_INS_VPSUBQ: vpsubq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rmk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rmkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rr, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rrk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ128rrkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rm, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rmb, X86_INS_VPSUBQ: vpsubq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rmbk, X86_INS_VPSUBQ: vpsubq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rmbkz, X86_INS_VPSUBQ: vpsubq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rmk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rmkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rr, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rrk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZ256rrkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrm, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrmb, X86_INS_VPSUBQ: vpsubq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrmbk, X86_INS_VPSUBQ: vpsubq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrmbkz, X86_INS_VPSUBQ: vpsubq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrmk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrmkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrr, X86_INS_VPSUBQ: vpsubq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrrk, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQZrrkz, X86_INS_VPSUBQ: vpsubq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQrm, X86_INS_VPSUBQ: vpsubq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBQrr, X86_INS_VPSUBQ: vpsubq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSBYrm, X86_INS_VPSUBSB: vpsubsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSBYrr, X86_INS_VPSUBSB: vpsubsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSBrm, X86_INS_VPSUBSB: vpsubsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSBrr, X86_INS_VPSUBSB: vpsubsb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSWYrm, X86_INS_VPSUBSW: vpsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSWYrr, X86_INS_VPSUBSW: vpsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSWrm, X86_INS_VPSUBSW: vpsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBSWrr, X86_INS_VPSUBSW: vpsubsw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSBYrm, X86_INS_VPSUBUSB: vpsubusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSBYrr, X86_INS_VPSUBUSB: vpsubusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSBrm, X86_INS_VPSUBUSB: vpsubusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSBrr, X86_INS_VPSUBUSB: vpsubusb	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSWYrm, X86_INS_VPSUBUSW: vpsubusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSWYrr, X86_INS_VPSUBUSW: vpsubusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSWrm, X86_INS_VPSUBUSW: vpsubusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBUSWrr, X86_INS_VPSUBUSW: vpsubusw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWYrm, X86_INS_VPSUBW: vpsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWYrr, X86_INS_VPSUBW: vpsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rm, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rmk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rmkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rr, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rrk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ128rrkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rm, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rmk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rmkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rr, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rrk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZ256rrkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrm, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrmk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrmkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrr, X86_INS_VPSUBW: vpsubw	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrrk, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWZrrkz, X86_INS_VPSUBW: vpsubw	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWrm, X86_INS_VPSUBW: vpsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPSUBWrr, X86_INS_VPSUBW: vpsubw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTMDZrm, X86_INS_VPTESTMD: vptestmd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTMDZrr, X86_INS_VPTESTMD: vptestmd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTMQZrm, X86_INS_VPTESTMQ: vptestmq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTMQZrr, X86_INS_VPTESTMQ: vptestmq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTNMDZrm, X86_INS_VPTESTNMD: vptestnmd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTNMDZrr, X86_INS_VPTESTNMD: vptestnmd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTNMQZrm, X86_INS_VPTESTNMQ: vptestnmq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTNMQZrr, X86_INS_VPTESTNMQ: vptestnmq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTYrm, X86_INS_VPTEST: vptest	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTYrr, X86_INS_VPTEST: vptest	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTrm, X86_INS_VPTEST: vptest	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPTESTrr, X86_INS_VPTEST: vptest	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHBWYrm, X86_INS_VPUNPCKHBW: vpunpckhbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHBWYrr, X86_INS_VPUNPCKHBW: vpunpckhbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHBWrm, X86_INS_VPUNPCKHBW: vpunpckhbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHBWrr, X86_INS_VPUNPCKHBW: vpunpckhbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQYrm, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQYrr, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQZrm, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQZrr, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQrm, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHDQrr, X86_INS_VPUNPCKHDQ: vpunpckhdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQYrm, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQYrr, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQZrm, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQZrr, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQrm, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHQDQrr, X86_INS_VPUNPCKHQDQ: vpunpckhqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHWDYrm, X86_INS_VPUNPCKHWD: vpunpckhwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHWDYrr, X86_INS_VPUNPCKHWD: vpunpckhwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHWDrm, X86_INS_VPUNPCKHWD: vpunpckhwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKHWDrr, X86_INS_VPUNPCKHWD: vpunpckhwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLBWYrm, X86_INS_VPUNPCKLBW: vpunpcklbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLBWYrr, X86_INS_VPUNPCKLBW: vpunpcklbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLBWrm, X86_INS_VPUNPCKLBW: vpunpcklbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLBWrr, X86_INS_VPUNPCKLBW: vpunpcklbw	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQYrm, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQYrr, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQZrm, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQZrr, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQrm, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLDQrr, X86_INS_VPUNPCKLDQ: vpunpckldq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQYrm, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQYrr, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQZrm, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQZrr, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQrm, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLQDQrr, X86_INS_VPUNPCKLQDQ: vpunpcklqdq	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLWDYrm, X86_INS_VPUNPCKLWD: vpunpcklwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLWDYrr, X86_INS_VPUNPCKLWD: vpunpcklwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLWDrm, X86_INS_VPUNPCKLWD: vpunpcklwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPUNPCKLWDrr, X86_INS_VPUNPCKLWD: vpunpcklwd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rm, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rmb, X86_INS_VPXORD: vpxord	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rmbk, X86_INS_VPXORD: vpxord	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rmbkz, X86_INS_VPXORD: vpxord	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rmk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rmkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rr, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rrk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ128rrkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rm, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rmb, X86_INS_VPXORD: vpxord	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rmbk, X86_INS_VPXORD: vpxord	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rmbkz, X86_INS_VPXORD: vpxord	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rmk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rmkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rr, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rrk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZ256rrkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrm, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrmb, X86_INS_VPXORD: vpxord	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrmbk, X86_INS_VPXORD: vpxord	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrmbkz, X86_INS_VPXORD: vpxord	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrmk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrmkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrr, X86_INS_VPXORD: vpxord	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrrk, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORDZrrkz, X86_INS_VPXORD: vpxord	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rm, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rmb, X86_INS_VPXORQ: vpxorq	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rmbk, X86_INS_VPXORQ: vpxorq	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rmbkz, X86_INS_VPXORQ: vpxorq	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rmk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rmkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rr, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rrk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ128rrkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rm, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rmb, X86_INS_VPXORQ: vpxorq	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rmbk, X86_INS_VPXORQ: vpxorq	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rmbkz, X86_INS_VPXORQ: vpxorq	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rmk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rmkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rr, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rrk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZ256rrkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrm, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrmb, X86_INS_VPXORQ: vpxorq	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrmbk, X86_INS_VPXORQ: vpxorq	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrmbkz, X86_INS_VPXORQ: vpxorq	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrmk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrmkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrr, X86_INS_VPXORQ: vpxorq	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrrk, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORQZrrkz, X86_INS_VPXORQ: vpxorq	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORYrm, X86_INS_VPXOR: vpxor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORYrr, X86_INS_VPXOR: vpxor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORrm, X86_INS_VPXOR: vpxor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VPXORrr, X86_INS_VPXOR: vpxor	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128m, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128mb, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to2}, $dst |$dst , ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128mbk, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to2}, $dst {${mask}}|$dst {${mask}}, ${src}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128mbkz, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to2}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128mk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128mkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128r, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128rk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ128rkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256m, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256mb, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256mbk, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256mbkz, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256mk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256mkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256r, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256rk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZ256rkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZm, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZmb, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZmbk, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZmbkz, X86_INS_VRCP14PD: vrcp14pd	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZmk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZmkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZr, X86_INS_VRCP14PD: vrcp14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZrk, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PDZrkz, X86_INS_VRCP14PD: vrcp14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128m, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128mb, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128mbk, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128mbkz, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128mk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128mkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128r, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128rk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ128rkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256m, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256mb, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256mbk, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256mbkz, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256mk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256mkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256r, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256rk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZ256rkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZm, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZmb, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to16}, $dst |$dst , ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZmbk, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to16}, $dst {${mask}}|$dst {${mask}}, ${src}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZmbkz, X86_INS_VRCP14PS: vrcp14ps	{${src}{1to16}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZmk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZmkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZr, X86_INS_VRCP14PS: vrcp14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZrk, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14PSZrkz, X86_INS_VRCP14PS: vrcp14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14SDrm, X86_INS_VRCP14SD: vrcp14sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14SDrr, X86_INS_VRCP14SD: vrcp14sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14SSrm, X86_INS_VRCP14SS: vrcp14ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP14SSrr, X86_INS_VRCP14SS: vrcp14ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDm, X86_INS_VRCP28PD: vrcp28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDmb, X86_INS_VRCP28PD: vrcp28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDmbk, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDmbkz, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDmk, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDmkz, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDr, X86_INS_VRCP28PD: vrcp28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDrb, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDrbk, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDrbkz, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDrk, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PDrkz, X86_INS_VRCP28PD: vrcp28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSm, X86_INS_VRCP28PS: vrcp28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSmb, X86_INS_VRCP28PS: vrcp28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSmbk, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSmbkz, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSmk, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSmkz, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSr, X86_INS_VRCP28PS: vrcp28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSrb, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSrbk, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSrbkz, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSrk, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28PSrkz, X86_INS_VRCP28PS: vrcp28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDm, X86_INS_VRCP28SD: vrcp28sd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDmk, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDmkz, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDr, X86_INS_VRCP28SD: vrcp28sd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDrb, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDrbk, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDrbkz, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDrk, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SDrkz, X86_INS_VRCP28SD: vrcp28sd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSm, X86_INS_VRCP28SS: vrcp28ss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSmk, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSmkz, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSr, X86_INS_VRCP28SS: vrcp28ss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSrb, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSrbk, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSrbkz, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSrk, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCP28SSrkz, X86_INS_VRCP28SS: vrcp28ss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSYm, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSYm_Int, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSYr, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSYr_Int, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSm, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSm_Int, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSr, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPPSr_Int, X86_INS_VRCPPS: vrcpps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPSSm, X86_INS_VRCPSS: vrcpss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRCPSSm_Int, X86_INS_VRCPSS: vrcpss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRCPSSr, X86_INS_VRCPSS: vrcpss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRNDSCALEPDZm, X86_INS_VRNDSCALEPD: vrndscalepd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALEPDZr, X86_INS_VRNDSCALEPD: vrndscalepd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALEPSZm, X86_INS_VRNDSCALEPS: vrndscaleps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALEPSZr, X86_INS_VRNDSCALEPS: vrndscaleps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDm, X86_INS_VRNDSCALESD: vrndscalesd	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDmk, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDmkz, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDr, X86_INS_VRNDSCALESD: vrndscalesd	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDrb, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDrbk, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDrbkz, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDrk, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESDrkz, X86_INS_VRNDSCALESD: vrndscalesd	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSm, X86_INS_VRNDSCALESS: vrndscaless	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSmk, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSmkz, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSr, X86_INS_VRNDSCALESS: vrndscaless	$dst , $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSrb, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSrbk, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSrbkz, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSrk, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRNDSCALESSrkz, X86_INS_VRNDSCALESS: vrndscaless	{$src3, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $src3} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDPDm, X86_INS_VROUNDPD: vroundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDPDr, X86_INS_VROUNDPD: vroundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDPSm, X86_INS_VROUNDPS: vroundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDPSr, X86_INS_VROUNDPS: vroundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSDm, X86_INS_VROUNDSD: vroundsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSDr, X86_INS_VROUNDSD: vroundsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSDr_Int, X86_INS_VROUNDSD: vroundsd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSSm, X86_INS_VROUNDSS: vroundss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSSr, X86_INS_VROUNDSS: vroundss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDSSr_Int, X86_INS_VROUNDSS: vroundss	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDYPDm, X86_INS_VROUNDPD: vroundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDYPDr, X86_INS_VROUNDPD: vroundpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDYPSm, X86_INS_VROUNDPS: vroundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VROUNDYPSr, X86_INS_VROUNDPS: vroundps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRSQRT14PDZ128m, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128mb, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to2}, $dst |$dst , ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128mbk, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to2}, $dst {${mask}}|$dst {${mask}}, ${src}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128mbkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to2}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128mk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128mkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128r, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128rk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ128rkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256m, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256mb, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256mbk, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256mbkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256mk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256mkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256r, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256rk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZ256rkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZm, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZmb, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZmbk, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZmbkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZmk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZmkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZr, X86_INS_VRSQRT14PD: vrsqrt14pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZrk, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PDZrkz, X86_INS_VRSQRT14PD: vrsqrt14pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128m, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128mb, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128mbk, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128mbkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128mk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128mkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128r, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128rk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ128rkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256m, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256mb, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256mbk, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256mbkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256mk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256mkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256r, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256rk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZ256rkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZm, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZmb, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to16}, $dst |$dst , ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZmbk, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to16}, $dst {${mask}}|$dst {${mask}}, ${src}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZmbkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{${src}{1to16}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZmk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZmkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZr, X86_INS_VRSQRT14PS: vrsqrt14ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZrk, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14PSZrkz, X86_INS_VRSQRT14PS: vrsqrt14ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14SDrm, X86_INS_VRSQRT14SD: vrsqrt14sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14SDrr, X86_INS_VRSQRT14SD: vrsqrt14sd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14SSrm, X86_INS_VRSQRT14SS: vrsqrt14ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT14SSrr, X86_INS_VRSQRT14SS: vrsqrt14ss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDm, X86_INS_VRSQRT28PD: vrsqrt28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDmb, X86_INS_VRSQRT28PD: vrsqrt28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDmbk, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDmbkz, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDmk, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDmkz, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDr, X86_INS_VRSQRT28PD: vrsqrt28pd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDrb, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDrbk, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDrbkz, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDrk, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PDrkz, X86_INS_VRSQRT28PD: vrsqrt28pd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSm, X86_INS_VRSQRT28PS: vrsqrt28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSmb, X86_INS_VRSQRT28PS: vrsqrt28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSmbk, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSmbkz, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSmk, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSmkz, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSr, X86_INS_VRSQRT28PS: vrsqrt28ps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSrb, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {sae}|$dst {sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSrbk, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSrbkz, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSrk, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28PSrkz, X86_INS_VRSQRT28PS: vrsqrt28ps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDm, X86_INS_VRSQRT28SD: vrsqrt28sd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDmk, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDmkz, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDr, X86_INS_VRSQRT28SD: vrsqrt28sd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDrb, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDrbk, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDrbkz, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDrk, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SDrkz, X86_INS_VRSQRT28SD: vrsqrt28sd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSm, X86_INS_VRSQRT28SS: vrsqrt28ss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSmk, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSmkz, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSr, X86_INS_VRSQRT28SS: vrsqrt28ss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSrb, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {sae}|$dst {sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSrbk, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}}{sae}|$dst {${mask}}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSrbkz, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}} {z}{sae}|$dst {${mask}} {z}{sae}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSrk, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRT28SSrkz, X86_INS_VRSQRT28SS: vrsqrt28ss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSYm, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSYm_Int, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSYr, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSYr_Int, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSm, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSm_Int, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSr, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTPSr_Int, X86_INS_VRSQRTPS: vrsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTSSm, X86_INS_VRSQRTSS: vrsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VRSQRTSSm_Int, X86_INS_VRSQRTSS: vrsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VRSQRTSSr, X86_INS_VRSQRTSS: vrsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERDPDZmr, X86_INS_VSCATTERDPD: vscatterdpd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERDPSZmr, X86_INS_VSCATTERDPS: vscatterdps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF0DPDm, X86_INS_VSCATTERPF0DPD: vscatterpf0dpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF0DPSm, X86_INS_VSCATTERPF0DPS: vscatterpf0dps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF0QPDm, X86_INS_VSCATTERPF0QPD: vscatterpf0qpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF0QPSm, X86_INS_VSCATTERPF0QPS: vscatterpf0qps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF1DPDm, X86_INS_VSCATTERPF1DPD: vscatterpf1dpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF1DPSm, X86_INS_VSCATTERPF1DPS: vscatterpf1dps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF1QPDm, X86_INS_VSCATTERPF1QPD: vscatterpf1qpd	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERPF1QPSm, X86_INS_VSCATTERPF1QPS: vscatterpf1qps	{$src {${mask}}|{${mask}}, $src} */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERQPDZmr, X86_INS_VSCATTERQPD: vscatterqpd	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSCATTERQPSZmr, X86_INS_VSCATTERQPS: vscatterqps	{$src2, ${dst} {${mask}}|${dst} {${mask}}, $src2} */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSHUFPDYrmi, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPDYrri, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPDZrmi, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPDZrri, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPDrmi, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPDrri, X86_INS_VSHUFPD: vshufpd	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSYrmi, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSYrri, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSZrmi, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSZrri, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSrmi, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSHUFPSrri, X86_INS_VSHUFPS: vshufps	$dst, $src1, $src2, $src3 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSQRTPDYm, X86_INS_VSQRTPD: vsqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDYr, X86_INS_VSQRTPD: vsqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128m, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128mb, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to2}, $dst |$dst , ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128mbk, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to2}, $dst {${mask}}|$dst {${mask}}, ${src}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128mbkz, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to2}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128mk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128mkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128r, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128rk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ128rkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256m, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256mb, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256mbk, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256mbkz, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256mk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256mkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256r, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256rk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZ256rkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZm, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZmb, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZmbk, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZmbkz, X86_INS_VSQRTPD: vsqrtpd	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZmk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZmkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZr, X86_INS_VSQRTPD: vsqrtpd	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZrk, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDZrkz, X86_INS_VSQRTPD: vsqrtpd	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDm, X86_INS_VSQRTPD: vsqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPDr, X86_INS_VSQRTPD: vsqrtpd	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSYm, X86_INS_VSQRTPS: vsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSYr, X86_INS_VSQRTPS: vsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128m, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128mb, X86_INS_VSQRTPS: vsqrtps	{${src}{1to4}, $dst |$dst , ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128mbk, X86_INS_VSQRTPS: vsqrtps	{${src}{1to4}, $dst {${mask}}|$dst {${mask}}, ${src}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128mbkz, X86_INS_VSQRTPS: vsqrtps	{${src}{1to4}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128mk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128mkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128r, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128rk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ128rkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256m, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256mb, X86_INS_VSQRTPS: vsqrtps	{${src}{1to8}, $dst |$dst , ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256mbk, X86_INS_VSQRTPS: vsqrtps	{${src}{1to8}, $dst {${mask}}|$dst {${mask}}, ${src}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256mbkz, X86_INS_VSQRTPS: vsqrtps	{${src}{1to8}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256mk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256mkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256r, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256rk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZ256rkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZm, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZmb, X86_INS_VSQRTPS: vsqrtps	{${src}{1to16}, $dst |$dst , ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZmbk, X86_INS_VSQRTPS: vsqrtps	{${src}{1to16}, $dst {${mask}}|$dst {${mask}}, ${src}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZmbkz, X86_INS_VSQRTPS: vsqrtps	{${src}{1to16}, $dst {${mask}} {z}|$dst {${mask}} {z}, ${src}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZmk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZmkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZr, X86_INS_VSQRTPS: vsqrtps	$dst , $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZrk, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}}|$dst {${mask}}, $src} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSZrkz, X86_INS_VSQRTPS: vsqrtps	{$src, $dst {${mask}} {z}|$dst {${mask}} {z}, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSm, X86_INS_VSQRTPS: vsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTPSr, X86_INS_VSQRTPS: vsqrtps	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSDZm, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSDZm_Int, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSQRTSDZr, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSDZr_Int, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSDm, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSDm_Int, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSQRTSDr, X86_INS_VSQRTSD: vsqrtsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSSZm, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSSZm_Int, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSQRTSSZr, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSSZr_Int, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSSm, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSQRTSSm_Int, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSQRTSSr, X86_INS_VSQRTSS: vsqrtss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSTMXCSR, X86_INS_VSTMXCSR: vstmxcsr	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDYrm, X86_INS_VSUBPD: vsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDYrr, X86_INS_VSUBPD: vsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rm, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rmb, X86_INS_VSUBPD: vsubpd	{${src2}{1to2}, $src1, $dst |$dst , $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rmbk, X86_INS_VSUBPD: vsubpd	{${src2}{1to2}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rmbkz, X86_INS_VSUBPD: vsubpd	{${src2}{1to2}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to2}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rmk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rmkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rr, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rrk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ128rrkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rm, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rmb, X86_INS_VSUBPD: vsubpd	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rmbk, X86_INS_VSUBPD: vsubpd	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rmbkz, X86_INS_VSUBPD: vsubpd	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rmk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rmkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rr, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rrk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZ256rrkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrb, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPDZrbk, X86_INS_VSUBPD: vsubpd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPDZrbkz, X86_INS_VSUBPD: vsubpd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPDZrm, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrmb, X86_INS_VSUBPD: vsubpd	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrmbk, X86_INS_VSUBPD: vsubpd	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrmbkz, X86_INS_VSUBPD: vsubpd	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrmk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrmkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrr, X86_INS_VSUBPD: vsubpd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrrk, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDZrrkz, X86_INS_VSUBPD: vsubpd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDrm, X86_INS_VSUBPD: vsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPDrr, X86_INS_VSUBPD: vsubpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSYrm, X86_INS_VSUBPS: vsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSYrr, X86_INS_VSUBPS: vsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rm, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rmb, X86_INS_VSUBPS: vsubps	{${src2}{1to4}, $src1, $dst |$dst , $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rmbk, X86_INS_VSUBPS: vsubps	{${src2}{1to4}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rmbkz, X86_INS_VSUBPS: vsubps	{${src2}{1to4}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to4}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rmk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rmkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rr, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rrk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ128rrkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rm, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rmb, X86_INS_VSUBPS: vsubps	{${src2}{1to8}, $src1, $dst |$dst , $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rmbk, X86_INS_VSUBPS: vsubps	{${src2}{1to8}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rmbkz, X86_INS_VSUBPS: vsubps	{${src2}{1to8}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to8}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rmk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rmkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rr, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rrk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZ256rrkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrb, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPSZrbk, X86_INS_VSUBPS: vsubps	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPSZrbkz, X86_INS_VSUBPS: vsubps	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBPSZrm, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrmb, X86_INS_VSUBPS: vsubps	{${src2}{1to16}, $src1, $dst |$dst , $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrmbk, X86_INS_VSUBPS: vsubps	{${src2}{1to16}, $src1, $dst {${mask}}|$dst {${mask}}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrmbkz, X86_INS_VSUBPS: vsubps	{${src2}{1to16}, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, ${src2}{1to16}} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrmk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrmkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrr, X86_INS_VSUBPS: vsubps	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrrk, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSZrrkz, X86_INS_VSUBPS: vsubps	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSrm, X86_INS_VSUBPS: vsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBPSrr, X86_INS_VSUBPS: vsubps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrm, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrm_Int, X86_INS_VSUBSD: vsubsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrm_Intk, X86_INS_VSUBSD: vsubsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrm_Intkz, X86_INS_VSUBSD: vsubsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrr, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrr_Int, X86_INS_VSUBSD: vsubsd	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrr_Intk, X86_INS_VSUBSD: vsubsd	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrr_Intkz, X86_INS_VSUBSD: vsubsd	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDZrrb, X86_INS_VSUBSD: vsubsd	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSDZrrbk, X86_INS_VSUBSD: vsubsd	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSDZrrbkz, X86_INS_VSUBSD: vsubsd	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSDrm, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDrm_Int, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSDrr, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSDrr_Int, X86_INS_VSUBSD: vsubsd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrm, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrm_Int, X86_INS_VSUBSS: vsubss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrm_Intk, X86_INS_VSUBSS: vsubss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrm_Intkz, X86_INS_VSUBSS: vsubss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrr, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrr_Int, X86_INS_VSUBSS: vsubss	$dst , $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrr_Intk, X86_INS_VSUBSS: vsubss	{$src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrr_Intkz, X86_INS_VSUBSS: vsubss	{$src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSZrrb, X86_INS_VSUBSS: vsubss	$dst , $src1, $src2, $rc */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSSZrrbk, X86_INS_VSUBSS: vsubss	{$rc, $src2, $src1, $dst {${mask}}|$dst {${mask}}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSSZrrbkz, X86_INS_VSUBSS: vsubss	{$rc, $src2, $src1, $dst {${mask}} {z}|$dst {${mask}} {z}, $src1, $src2, $rc} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSSrm, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSrm_Int, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_VSUBSSrr, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VSUBSSrr_Int, X86_INS_VSUBSS: vsubss	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPDYrm, X86_INS_VTESTPD: vtestpd	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPDYrr, X86_INS_VTESTPD: vtestpd	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPDrm, X86_INS_VTESTPD: vtestpd	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPDrr, X86_INS_VTESTPD: vtestpd	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPSYrm, X86_INS_VTESTPS: vtestps	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPSYrr, X86_INS_VTESTPS: vtestps	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPSrm, X86_INS_VTESTPS: vtestps	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VTESTPSrr, X86_INS_VTESTPS: vtestps	$src1, $src2 */
+	X86_EFLAGS_RESET_0F | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISDZrm, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISDZrr, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISDrm, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISDrr, X86_INS_VUCOMISD: vucomisd	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISSZrm, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISSZrr, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISSrm, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUCOMISSrr, X86_INS_VUCOMISS: vucomiss	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDYrm, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDYrr, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDZrm, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDZrr, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDrm, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPDrr, X86_INS_VUNPCKHPD: vunpckhpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSYrm, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSYrr, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSZrm, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSZrr, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSrm, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKHPSrr, X86_INS_VUNPCKHPS: vunpckhps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDYrm, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDYrr, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDZrm, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDZrr, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDrm, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPDrr, X86_INS_VUNPCKLPD: vunpcklpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSYrm, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSYrr, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSZrm, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSZrr, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSrm, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VUNPCKLPSrr, X86_INS_VUNPCKLPS: vunpcklps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPDYrm, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPDYrr, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPDrm, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPDrr, X86_INS_VXORPD: vxorpd	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPSYrm, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPSYrr, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPSrm, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VXORPSrr, X86_INS_VXORPS: vxorps	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_VZEROALL, X86_INS_VZEROALL: vzeroall */
+	0,
+	{ 0 }
+},
+{	/* X86_VZEROUPPER, X86_INS_VZEROUPPER: vzeroupper */
+	0,
+	{ 0 }
+},
+{	/* X86_WAIT, X86_INS_WAIT: wait */
+	X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C1 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ 0 }
+},
+{	/* X86_WBINVD, X86_INS_WBINVD: wbinvd */
+	0,
+	{ 0 }
+},
+{	/* X86_WRFSBASE, X86_INS_WRFSBASE: wrfsbase{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRFSBASE64, X86_INS_WRFSBASE: wrfsbase{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRGSBASE, X86_INS_WRGSBASE: wrgsbase{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRGSBASE64, X86_INS_WRGSBASE: wrgsbase{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRMSR, X86_INS_WRMSR: wrmsr */
+	0,
+	{ 0 }
+},
+{	/* X86_XABORT, X86_INS_XABORT: xabort	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_XACQUIRE_PREFIX, X86_INS_XACQUIRE: xacquire */
+	0,
+	{ 0 }
+},
+{	/* X86_XADD16rm, X86_INS_XADD: xadd{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD16rr, X86_INS_XADD: xadd{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD32rm, X86_INS_XADD: xadd{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD32rr, X86_INS_XADD: xadd{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD64rm, X86_INS_XADD: xadd{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD64rr, X86_INS_XADD: xadd{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD8rm, X86_INS_XADD: xadd{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD8rr, X86_INS_XADD: xadd{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XBEGIN_2, X86_INS_XBEGIN: xbegin	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_XBEGIN_4, X86_INS_XBEGIN: xbegin	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_XCHG16ar, X86_INS_XCHG: xchg{w}	ax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG16rm, X86_INS_XCHG: xchg{w}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG16rr, X86_INS_XCHG: xchg{w}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32ar, X86_INS_XCHG: xchg{l}	eax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32ar64, X86_INS_XCHG: xchg{l}	eax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32rm, X86_INS_XCHG: xchg{l}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32rr, X86_INS_XCHG: xchg{l}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64ar, X86_INS_XCHG: xchg{q}	rax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64rm, X86_INS_XCHG: xchg{q}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64rr, X86_INS_XCHG: xchg{q}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG8rm, X86_INS_XCHG: xchg{b}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG8rr, X86_INS_XCHG: xchg{b}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCH_F, X86_INS_FXCH: fxch	$op */
+	X86_FPU_FLAGS_RESET_C1 | X86_FPU_FLAGS_UNDEFINED_C0 | X86_FPU_FLAGS_UNDEFINED_C2 | X86_FPU_FLAGS_UNDEFINED_C3,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XCRYPTCBC, X86_INS_XCRYPTCBC: xcryptcbc */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTCFB, X86_INS_XCRYPTCFB: xcryptcfb */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTCTR, X86_INS_XCRYPTCTR: xcryptctr */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTECB, X86_INS_XCRYPTECB: xcryptecb */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTOFB, X86_INS_XCRYPTOFB: xcryptofb */
+	0,
+	{ 0 }
+},
+{	/* X86_XEND, X86_INS_XEND: xend */
+	0,
+	{ 0 }
+},
+{	/* X86_XGETBV, X86_INS_XGETBV: xgetbv */
+	0,
+	{ 0 }
+},
+{	/* X86_XLAT, X86_INS_XLATB: xlatb */
+	0,
+	{ 0 }
+},
+{	/* X86_XOR16i16, X86_INS_XOR: xor{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mi, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mi8, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mr, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16ri, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16ri8, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16rm, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16rr, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16rr_REV, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32i32, X86_INS_XOR: xor{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mi, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mi8, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mr, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32ri, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32ri8, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32rm, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32rr, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32rr_REV, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64i32, X86_INS_XOR: xor{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mi32, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mi8, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mr, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64ri32, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64ri8, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64rm, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64rr, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64rr_REV, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8i8, X86_INS_XOR: xor{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mi, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mi8, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mr, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8ri, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8ri8, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8rm, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8rr, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8rr_REV, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XORPDrm, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XORPDrr, X86_INS_XORPD: xorpd	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XORPSrm, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XORPSrr, X86_INS_XORPS: xorps	$dst, $src2 */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XRELEASE_PREFIX, X86_INS_XRELEASE: xrelease */
+	0,
+	{ 0 }
+},
+{	/* X86_XRSTOR, X86_INS_XRSTOR: xrstor	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTOR64, X86_INS_XRSTOR64: xrstor64	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTORS, X86_INS_XRSTORS: xrstors	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTORS64, X86_INS_XRSTORS64: xrstors64	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XSAVE, X86_INS_XSAVE: xsave	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVE64, X86_INS_XSAVE64: xsave64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEC, X86_INS_XSAVEC: xsavec	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEC64, X86_INS_XSAVEC64: xsavec64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEOPT, X86_INS_XSAVEOPT: xsaveopt	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEOPT64, X86_INS_XSAVEOPT64: xsaveopt64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVES, X86_INS_XSAVES: xsaves	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVES64, X86_INS_XSAVES64: xsaves64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSETBV, X86_INS_XSETBV: xsetbv */
+	0,
+	{ 0 }
+},
+{	/* X86_XSHA1, X86_INS_XSHA1: xsha1 */
+	0,
+	{ 0 }
+},
+{	/* X86_XSHA256, X86_INS_XSHA256: xsha256 */
+	0,
+	{ 0 }
+},
+{	/* X86_XSTORE, X86_INS_XSTORE: xstore */
+	0,
+	{ 0 }
+},
+{	/* X86_XTEST, X86_INS_XTEST: xtest */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_PF | X86_EFLAGS_RESET_AF,
+	{ 0 }
+},
+{	/* X86_fdisi8087_nop, X86_INS_FDISI8087_NOP: fdisi8087_nop */
+	0,
+	{ 0 }
+},
+{	/* X86_feni8087_nop, X86_INS_FENI8087_NOP: feni8087_nop */
+	0,
+	{ 0 }
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsnOp_reduce.inc 4.0.2-3/arch/X86/X86MappingInsnOp_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsnOp_reduce.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/X86/X86MappingInsnOp_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,6235 @@
+// This is auto-gen data for Capstone disassembly engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{	/* X86_AAA, X86_INS_AAA: aaa */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_AAD8i8, X86_INS_AAD: aad	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_AAM8i8, X86_INS_AAM: aam	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_AAS, X86_INS_AAS: aas */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_ADC16i16, X86_INS_ADC: adc{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mi, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mi8, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16mr, X86_INS_ADC: adc{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16ri, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16ri8, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC16rm, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16rr, X86_INS_ADC: adc{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC16rr_REV, X86_INS_ADC: adc{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32i32, X86_INS_ADC: adc{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mi, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mi8, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32mr, X86_INS_ADC: adc{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32ri, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32ri8, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC32rm, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32rr, X86_INS_ADC: adc{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC32rr_REV, X86_INS_ADC: adc{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64i32, X86_INS_ADC: adc{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mi32, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mi8, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64mr, X86_INS_ADC: adc{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64ri32, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64ri8, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC64rm, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64rr, X86_INS_ADC: adc{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC64rr_REV, X86_INS_ADC: adc{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8i8, X86_INS_ADC: adc{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mi, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mi8, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8mr, X86_INS_ADC: adc{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8ri, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8ri8, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADC8rm, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8rr, X86_INS_ADC: adc{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADC8rr_REV, X86_INS_ADC: adc{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX32rm, X86_INS_ADCX: adcx{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX32rr, X86_INS_ADCX: adcx{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX64rm, X86_INS_ADCX: adcx{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADCX64rr, X86_INS_ADCX: adcx{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16i16, X86_INS_ADD: add{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mi, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mi8, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16mr, X86_INS_ADD: add{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16ri, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16ri8, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD16rm, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16rr, X86_INS_ADD: add{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD16rr_REV, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32i32, X86_INS_ADD: add{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mi, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mi8, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32mr, X86_INS_ADD: add{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32ri, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32ri8, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD32rm, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32rr, X86_INS_ADD: add{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD32rr_REV, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64i32, X86_INS_ADD: add{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mi32, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mi8, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64mr, X86_INS_ADD: add{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64ri32, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64ri8, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD64rm, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64rr, X86_INS_ADD: add{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD64rr_REV, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8i8, X86_INS_ADD: add{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mi, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mi8, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8mr, X86_INS_ADD: add{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8ri, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8ri8, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ADD8rm, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8rr, X86_INS_ADD: add{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADD8rr_REV, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX32rm, X86_INS_ADOX: adox{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX32rr, X86_INS_ADOX: adox{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX64rm, X86_INS_ADOX: adox{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ADOX64rr, X86_INS_ADOX: adox{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16i16, X86_INS_AND: and{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mi, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mi8, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16mr, X86_INS_AND: and{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16ri, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16ri8, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND16rm, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16rr, X86_INS_AND: and{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND16rr_REV, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32i32, X86_INS_AND: and{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mi, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mi8, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32mr, X86_INS_AND: and{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32ri, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32ri8, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND32rm, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32rr, X86_INS_AND: and{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND32rr_REV, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64i32, X86_INS_AND: and{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mi32, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mi8, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64mr, X86_INS_AND: and{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64ri32, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64ri8, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND64rm, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64rr, X86_INS_AND: and{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND64rr_REV, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8i8, X86_INS_AND: and{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mi, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mi8, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8mr, X86_INS_AND: and{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8ri, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8ri8, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_AND8rm, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8rr, X86_INS_AND: and{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_AND8rr_REV, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN32rm, X86_INS_ANDN: andn{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN32rr, X86_INS_ANDN: andn{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN64rm, X86_INS_ANDN: andn{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ANDN64rr, X86_INS_ANDN: andn{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_CF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ARPL16mr, X86_INS_ARPL: arpl	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ARPL16rr, X86_INS_ARPL: arpl	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR32rm, X86_INS_BEXTR: bextr{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR32rr, X86_INS_BEXTR: bextr{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR64rm, X86_INS_BEXTR: bextr{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTR64rr, X86_INS_BEXTR: bextr{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BEXTRI32mi, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI32ri, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI64mi, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BEXTRI64ri, X86_INS_BEXTR: bextr	$dst, $src1, $cntl */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_RESET_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_TF | X86_EFLAGS_RESET_IF | X86_EFLAGS_RESET_DF | X86_EFLAGS_RESET_NT | X86_EFLAGS_RESET_RF,
+	{ 0 },
+},
+{	/* X86_BLCFILL32rm, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL32rr, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL64rm, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCFILL64rr, X86_INS_BLCFILL: blcfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI32rm, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI32rr, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI64rm, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCI64rr, X86_INS_BLCI: blci	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC32rm, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC32rr, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC64rm, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCIC64rr, X86_INS_BLCIC: blcic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK32rm, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK32rr, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK64rm, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCMSK64rr, X86_INS_BLCMSK: blcmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS32rm, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS32rr, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS64rm, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLCS64rr, X86_INS_BLCS: blcs	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL32rm, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL32rr, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL64rm, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSFILL64rr, X86_INS_BLSFILL: blsfill	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI32rm, X86_INS_BLSI: blsi{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI32rr, X86_INS_BLSI: blsi{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI64rm, X86_INS_BLSI: blsi{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSI64rr, X86_INS_BLSI: blsi{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC32rm, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC32rr, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC64rm, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSIC64rr, X86_INS_BLSIC: blsic	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK32rm, X86_INS_BLSMSK: blsmsk{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK32rr, X86_INS_BLSMSK: blsmsk{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK64rm, X86_INS_BLSMSK: blsmsk{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSMSK64rr, X86_INS_BLSMSK: blsmsk{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR32rm, X86_INS_BLSR: blsr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR32rr, X86_INS_BLSR: blsr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR64rm, X86_INS_BLSR: blsr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BLSR64rr, X86_INS_BLSR: blsr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BOUNDS16rm, X86_INS_BOUND: bound	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BOUNDS32rm, X86_INS_BOUND: bound	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF16rm, X86_INS_BSF: bsf{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF16rr, X86_INS_BSF: bsf{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF32rm, X86_INS_BSF: bsf{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF32rr, X86_INS_BSF: bsf{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF64rm, X86_INS_BSF: bsf{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSF64rr, X86_INS_BSF: bsf{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR16rm, X86_INS_BSR: bsr{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR16rr, X86_INS_BSR: bsr{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR32rm, X86_INS_BSR: bsr{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR32rr, X86_INS_BSR: bsr{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR64rm, X86_INS_BSR: bsr{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSR64rr, X86_INS_BSR: bsr{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BSWAP32r, X86_INS_BSWAP: bswap{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_BSWAP64r, X86_INS_BSWAP: bswap{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_BT16mi8, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT16mr, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT16ri8, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT16rr, X86_INS_BT: bt{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT32mi8, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT32mr, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT32ri8, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT32rr, X86_INS_BT: bt{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT64mi8, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT64mr, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BT64ri8, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BT64rr, X86_INS_BT: bt{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BTC16mi8, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC16mr, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC16ri8, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC16rr, X86_INS_BTC: btc{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC32mi8, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC32mr, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC32ri8, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC32rr, X86_INS_BTC: btc{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC64mi8, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC64mr, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTC64ri8, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTC64rr, X86_INS_BTC: btc{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR16mi8, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR16mr, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR16ri8, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR16rr, X86_INS_BTR: btr{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR32mi8, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR32mr, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR32ri8, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR32rr, X86_INS_BTR: btr{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR64mi8, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR64mr, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTR64ri8, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTR64rr, X86_INS_BTR: btr{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS16mi8, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS16mr, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS16ri8, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS16rr, X86_INS_BTS: bts{w}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS32mi8, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS32mr, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS32ri8, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS32rr, X86_INS_BTS: bts{l}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS64mi8, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS64mr, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BTS64ri8, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_BTS64rr, X86_INS_BTS: bts{q}	$src1, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI32rm, X86_INS_BZHI: bzhi{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI32rr, X86_INS_BZHI: bzhi{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI64rm, X86_INS_BZHI: bzhi{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_BZHI64rr, X86_INS_BZHI: bzhi{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_RESET_OF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CALL16m, X86_INS_CALL: call{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL16r, X86_INS_CALL: call{w}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALL32m, X86_INS_CALL: call{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL32r, X86_INS_CALL: call{l}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALL64m, X86_INS_CALL: call{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CALL64pcrel32, X86_INS_CALL: call{q}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALL64r, X86_INS_CALL: call{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALLpcrel16, X86_INS_CALL: call{w}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CALLpcrel32, X86_INS_CALL: call{l}	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_CBW, X86_INS_CBW: cbw */
+	0,
+	{ 0 }
+},
+{	/* X86_CDQ, X86_INS_CDQ: cdq */
+	0,
+	{ 0 }
+},
+{	/* X86_CDQE, X86_INS_CDQE: cdqe */
+	0,
+	{ 0 }
+},
+{	/* X86_CLAC, X86_INS_CLAC: clac */
+	X86_EFLAGS_RESET_AC,
+	{ 0 }
+},
+{	/* X86_CLC, X86_INS_CLC: clc */
+	X86_EFLAGS_RESET_CF,
+	{ 0 }
+},
+{	/* X86_CLD, X86_INS_CLD: cld */
+	X86_EFLAGS_RESET_DF,
+	{ 0 }
+},
+{	/* X86_CLFLUSHOPT, X86_INS_CLFLUSHOPT: clflushopt	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CLGI, X86_INS_CLGI: clgi */
+	0,
+	{ 0 }
+},
+{	/* X86_CLI, X86_INS_CLI: cli */
+	X86_EFLAGS_RESET_IF,
+	{ 0 }
+},
+{	/* X86_CLTS, X86_INS_CLTS: clts */
+	0,
+	{ 0 }
+},
+{	/* X86_CLWB, X86_INS_CLWB: clwb	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMC, X86_INS_CMC: cmc */
+	X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_CMOVA16rm, X86_INS_CMOVA: cmova{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA16rr, X86_INS_CMOVA: cmova{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA32rm, X86_INS_CMOVA: cmova{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA32rr, X86_INS_CMOVA: cmova{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA64rm, X86_INS_CMOVA: cmova{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVA64rr, X86_INS_CMOVA: cmova{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE16rm, X86_INS_CMOVAE: cmovae{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE16rr, X86_INS_CMOVAE: cmovae{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE32rm, X86_INS_CMOVAE: cmovae{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE32rr, X86_INS_CMOVAE: cmovae{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE64rm, X86_INS_CMOVAE: cmovae{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVAE64rr, X86_INS_CMOVAE: cmovae{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB16rm, X86_INS_CMOVB: cmovb{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB16rr, X86_INS_CMOVB: cmovb{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB32rm, X86_INS_CMOVB: cmovb{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB32rr, X86_INS_CMOVB: cmovb{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB64rm, X86_INS_CMOVB: cmovb{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVB64rr, X86_INS_CMOVB: cmovb{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE16rm, X86_INS_CMOVBE: cmovbe{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE16rr, X86_INS_CMOVBE: cmovbe{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE32rm, X86_INS_CMOVBE: cmovbe{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE32rr, X86_INS_CMOVBE: cmovbe{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE64rm, X86_INS_CMOVBE: cmovbe{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVBE64rr, X86_INS_CMOVBE: cmovbe{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE16rm, X86_INS_CMOVE: cmove{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE16rr, X86_INS_CMOVE: cmove{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE32rm, X86_INS_CMOVE: cmove{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE32rr, X86_INS_CMOVE: cmove{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE64rm, X86_INS_CMOVE: cmove{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVE64rr, X86_INS_CMOVE: cmove{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG16rm, X86_INS_CMOVG: cmovg{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG16rr, X86_INS_CMOVG: cmovg{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG32rm, X86_INS_CMOVG: cmovg{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG32rr, X86_INS_CMOVG: cmovg{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG64rm, X86_INS_CMOVG: cmovg{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVG64rr, X86_INS_CMOVG: cmovg{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE16rm, X86_INS_CMOVGE: cmovge{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE16rr, X86_INS_CMOVGE: cmovge{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE32rm, X86_INS_CMOVGE: cmovge{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE32rr, X86_INS_CMOVGE: cmovge{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE64rm, X86_INS_CMOVGE: cmovge{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVGE64rr, X86_INS_CMOVGE: cmovge{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL16rm, X86_INS_CMOVL: cmovl{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL16rr, X86_INS_CMOVL: cmovl{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL32rm, X86_INS_CMOVL: cmovl{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL32rr, X86_INS_CMOVL: cmovl{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL64rm, X86_INS_CMOVL: cmovl{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVL64rr, X86_INS_CMOVL: cmovl{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE16rm, X86_INS_CMOVLE: cmovle{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE16rr, X86_INS_CMOVLE: cmovle{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE32rm, X86_INS_CMOVLE: cmovle{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE32rr, X86_INS_CMOVLE: cmovle{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE64rm, X86_INS_CMOVLE: cmovle{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVLE64rr, X86_INS_CMOVLE: cmovle{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE16rm, X86_INS_CMOVNE: cmovne{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE16rr, X86_INS_CMOVNE: cmovne{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE32rm, X86_INS_CMOVNE: cmovne{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE32rr, X86_INS_CMOVNE: cmovne{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE64rm, X86_INS_CMOVNE: cmovne{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNE64rr, X86_INS_CMOVNE: cmovne{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO16rm, X86_INS_CMOVNO: cmovno{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO16rr, X86_INS_CMOVNO: cmovno{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO32rm, X86_INS_CMOVNO: cmovno{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO32rr, X86_INS_CMOVNO: cmovno{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO64rm, X86_INS_CMOVNO: cmovno{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNO64rr, X86_INS_CMOVNO: cmovno{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP16rm, X86_INS_CMOVNP: cmovnp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP16rr, X86_INS_CMOVNP: cmovnp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP32rm, X86_INS_CMOVNP: cmovnp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP32rr, X86_INS_CMOVNP: cmovnp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP64rm, X86_INS_CMOVNP: cmovnp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNP64rr, X86_INS_CMOVNP: cmovnp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS16rm, X86_INS_CMOVNS: cmovns{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS16rr, X86_INS_CMOVNS: cmovns{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS32rm, X86_INS_CMOVNS: cmovns{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS32rr, X86_INS_CMOVNS: cmovns{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS64rm, X86_INS_CMOVNS: cmovns{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVNS64rr, X86_INS_CMOVNS: cmovns{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO16rm, X86_INS_CMOVO: cmovo{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO16rr, X86_INS_CMOVO: cmovo{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO32rm, X86_INS_CMOVO: cmovo{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO32rr, X86_INS_CMOVO: cmovo{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO64rm, X86_INS_CMOVO: cmovo{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVO64rr, X86_INS_CMOVO: cmovo{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP16rm, X86_INS_CMOVP: cmovp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP16rr, X86_INS_CMOVP: cmovp{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP32rm, X86_INS_CMOVP: cmovp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP32rr, X86_INS_CMOVP: cmovp{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP64rm, X86_INS_CMOVP: cmovp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVP64rr, X86_INS_CMOVP: cmovp{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS16rm, X86_INS_CMOVS: cmovs{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS16rr, X86_INS_CMOVS: cmovs{w}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS32rm, X86_INS_CMOVS: cmovs{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS32rr, X86_INS_CMOVS: cmovs{l}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS64rm, X86_INS_CMOVS: cmovs{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMOVS64rr, X86_INS_CMOVS: cmovs{q}	$dst, $src2 */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_PF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16i16, X86_INS_CMP: cmp{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mi, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mi8, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16mr, X86_INS_CMP: cmp{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16ri, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16ri8, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP16rm, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16rr, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP16rr_REV, X86_INS_CMP: cmp{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32i32, X86_INS_CMP: cmp{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mi, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mi8, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32mr, X86_INS_CMP: cmp{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32ri, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32ri8, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP32rm, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32rr, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP32rr_REV, X86_INS_CMP: cmp{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64i32, X86_INS_CMP: cmp{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mi32, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mi8, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64mr, X86_INS_CMP: cmp{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64ri32, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64ri8, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP64rm, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64rr, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP64rr_REV, X86_INS_CMP: cmp{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8i8, X86_INS_CMP: cmp{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mi, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mi8, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8mr, X86_INS_CMP: cmp{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8ri, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8ri8, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMP8rm, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8rr, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMP8rr_REV, X86_INS_CMP: cmp{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSB, X86_INS_CMPSB: cmpsb	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSL, X86_INS_CMPSD: cmps{l|d}	{$dst, $src|$src, $dst} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_CMPSQ, X86_INS_CMPSQ: cmpsq	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPSW, X86_INS_CMPSW: cmpsw	$src, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16B, X86_INS_CMPXCHG16B: cmpxchg16b	$dst */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16rm, X86_INS_CMPXCHG: cmpxchg{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG16rr, X86_INS_CMPXCHG: cmpxchg{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG32rm, X86_INS_CMPXCHG: cmpxchg{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG32rr, X86_INS_CMPXCHG: cmpxchg{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG64rm, X86_INS_CMPXCHG: cmpxchg{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG64rr, X86_INS_CMPXCHG: cmpxchg{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8B, X86_INS_CMPXCHG8B: cmpxchg8b	$dst */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8rm, X86_INS_CMPXCHG: cmpxchg{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_CMPXCHG8rr, X86_INS_CMPXCHG: cmpxchg{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_CPUID, X86_INS_CPUID: cpuid */
+	0,
+	{ 0 }
+},
+{	/* X86_CQO, X86_INS_CQO: cqo */
+	0,
+	{ 0 }
+},
+{	/* X86_CWD, X86_INS_CWD: cwd */
+	0,
+	{ 0 }
+},
+{	/* X86_CWDE, X86_INS_CWDE: cwde */
+	0,
+	{ 0 }
+},
+{	/* X86_DAA, X86_INS_DAA: daa */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_DAS, X86_INS_DAS: das */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_DATA16_PREFIX, X86_INS_DATA16: data16 */
+	0,
+	{ 0 }
+},
+{	/* X86_DEC16m, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC16r, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC16r_alt, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32m, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32r, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC32r_alt, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC64m, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC64r, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC8m, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DEC8r, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_DIV16m, X86_INS_DIV: div{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV16r, X86_INS_DIV: div{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV32m, X86_INS_DIV: div{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV32r, X86_INS_DIV: div{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV64m, X86_INS_DIV: div{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV64r, X86_INS_DIV: div{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV8m, X86_INS_DIV: div{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_DIV8r, X86_INS_DIV: div{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_ENTER, X86_INS_ENTER: enter	$len, $lvl */
+	0,
+	{ CS_AC_IGNORE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARCALL16i, X86_INS_LCALL: lcall{w}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARCALL16m, X86_INS_LCALL: lcall{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARCALL32i, X86_INS_LCALL: lcall{l}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARCALL32m, X86_INS_LCALL: lcall{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARCALL64, X86_INS_LCALL: lcall{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP16i, X86_INS_LJMP: ljmp{w}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP16m, X86_INS_LJMP: ljmp{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARJMP32i, X86_INS_LJMP: ljmp{l}	$seg : $off */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FARJMP32m, X86_INS_LJMP: ljmp{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_FARJMP64, X86_INS_LJMP: ljmp{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_FSETPM, X86_INS_FSETPM: fsetpm */
+	0,
+	{ 0 }
+},
+{	/* X86_GETSEC, X86_INS_GETSEC: getsec */
+	0,
+	{ 0 }
+},
+{	/* X86_HLT, X86_INS_HLT: hlt */
+	0,
+	{ 0 }
+},
+{	/* X86_IDIV16m, X86_INS_IDIV: idiv{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV16r, X86_INS_IDIV: idiv{w}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV32m, X86_INS_IDIV: idiv{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV32r, X86_INS_IDIV: idiv{l}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV64m, X86_INS_IDIV: idiv{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV64r, X86_INS_IDIV: idiv{q}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV8m, X86_INS_IDIV: idiv{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IDIV8r, X86_INS_IDIV: idiv{b}	$src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16m, X86_INS_IMUL: imul{w}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16r, X86_INS_IMUL: imul{w}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rm, X86_INS_IMUL: imul{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rmi, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rmi8, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rr, X86_INS_IMUL: imul{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL16rri, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL16rri8, X86_INS_IMUL: imul{w}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32m, X86_INS_IMUL: imul{l}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32r, X86_INS_IMUL: imul{l}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rm, X86_INS_IMUL: imul{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rmi, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rmi8, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rr, X86_INS_IMUL: imul{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL32rri, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL32rri8, X86_INS_IMUL: imul{l}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64m, X86_INS_IMUL: imul{q}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64r, X86_INS_IMUL: imul{q}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rm, X86_INS_IMUL: imul{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rmi32, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rmi8, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rr, X86_INS_IMUL: imul{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IMUL64rri32, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL64rri8, X86_INS_IMUL: imul{q}	$dst, $src1, $src2 */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IMUL8m, X86_INS_IMUL: imul{b}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IMUL8r, X86_INS_IMUL: imul{b}	$src */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_IN16ri, X86_INS_IN: in{w}	ax, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN16rr, X86_INS_IN: in{w}	ax, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IN32ri, X86_INS_IN: in{l}	eax, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN32rr, X86_INS_IN: in{l}	eax, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_IN8ri, X86_INS_IN: in{b}	al, $port */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_IN8rr, X86_INS_IN: in{b}	al, dx */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_INC16m, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC16r, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC16r_alt, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32m, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32r, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC32r_alt, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC64m, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC64r, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC8m, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INC8r, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_INSB, X86_INS_INSB: insb	$dst, dx */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_INSL, X86_INS_INSD: ins{l|d}	{%dx, $dst|$dst, dx} */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_INSW, X86_INS_INSW: insw	$dst, dx */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_INT, X86_INS_INT: int	$trap */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_INT1, X86_INS_INT1: int1 */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INT3, X86_INS_INT3: int3 */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INTO, X86_INS_INTO: into */
+	X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_INVD, X86_INS_INVD: invd */
+	0,
+	{ 0 }
+},
+{	/* X86_INVEPT32, X86_INS_INVEPT: invept	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVEPT64, X86_INS_INVEPT: invept	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVLPG, X86_INS_INVLPG: invlpg	$addr */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_INVLPGA32, X86_INS_INVLPGA: invlpga	eax, ecx */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVLPGA64, X86_INS_INVLPGA: invlpga	rax, ecx */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVPCID32, X86_INS_INVPCID: invpcid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVPCID64, X86_INS_INVPCID: invpcid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVVPID32, X86_INS_INVVPID: invvpid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_INVVPID64, X86_INS_INVVPID: invvpid	$src1, $src2 */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_IRET16, X86_INS_IRET: iret{w} */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_IRET32, X86_INS_IRETD: iretd */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_IRET64, X86_INS_IRETQ: iretq */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_JAE_1, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JAE_2, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JAE_4, X86_INS_JAE: jae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_1, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_2, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JA_4, X86_INS_JA: ja	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_1, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_2, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JBE_4, X86_INS_JBE: jbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_1, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_2, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JB_4, X86_INS_JB: jb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JCXZ, X86_INS_JCXZ: jcxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JECXZ, X86_INS_JECXZ: jecxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_1, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_2, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JE_4, X86_INS_JE: je	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_1, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_2, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JGE_4, X86_INS_JGE: jge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_1, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_2, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JG_4, X86_INS_JG: jg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_1, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_2, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JLE_4, X86_INS_JLE: jle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_1, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_2, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JL_4, X86_INS_JL: jl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP16m, X86_INS_JMP: jmp{w}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP16r, X86_INS_JMP: jmp{w}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP32m, X86_INS_JMP: jmp{l}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP32r, X86_INS_JMP: jmp{l}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP64m, X86_INS_JMP: jmp{q}	{*}$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_JMP64r, X86_INS_JMP: jmp{q}	{*}$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP_1, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP_2, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JMP_4, X86_INS_JMP: jmp	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_1, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_2, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNE_4, X86_INS_JNE: jne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_1, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_2, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNO_4, X86_INS_JNO: jno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_1, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_2, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNP_4, X86_INS_JNP: jnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_1, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_2, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JNS_4, X86_INS_JNS: jns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_1, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_2, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JO_4, X86_INS_JO: jo	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_1, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_2, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JP_4, X86_INS_JP: jp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JRCXZ, X86_INS_JRCXZ: jrcxz	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_1, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_2, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_JS_4, X86_INS_JS: js	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LAHF, X86_INS_LAHF: lahf */
+	0,
+	{ 0 }
+},
+{	/* X86_LAR16rm, X86_INS_LAR: lar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR16rr, X86_INS_LAR: lar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR32rm, X86_INS_LAR: lar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR32rr, X86_INS_LAR: lar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR64rm, X86_INS_LAR: lar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LAR64rr, X86_INS_LAR: lar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG16, X86_INS_CMPXCHG: cmpxchg{w}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG16B, X86_INS_CMPXCHG16B: cmpxchg16b	$ptr */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG32, X86_INS_CMPXCHG: cmpxchg{l}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG64, X86_INS_CMPXCHG: cmpxchg{q}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG8, X86_INS_CMPXCHG: cmpxchg{b}	$ptr, $swap */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LCMPXCHG8B, X86_INS_CMPXCHG8B: cmpxchg8b	$ptr */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LDS16rm, X86_INS_LDS: lds{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LDS32rm, X86_INS_LDS: lds{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LEA16r, X86_INS_LEA: lea{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LEA32r, X86_INS_LEA: lea{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LEA64_32r, X86_INS_LEA: lea{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LEA64r, X86_INS_LEA: lea{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LEAVE, X86_INS_LEAVE: leave */
+	0,
+	{ 0 }
+},
+{	/* X86_LEAVE64, X86_INS_LEAVE: leave */
+	0,
+	{ 0 }
+},
+{	/* X86_LES16rm, X86_INS_LES: les{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LES32rm, X86_INS_LES: les{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFS16rm, X86_INS_LFS: lfs{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFS32rm, X86_INS_LFS: lfs{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LFS64rm, X86_INS_LFS: lfs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGDT16m, X86_INS_LGDT: lgdt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGDT32m, X86_INS_LGDT: lgdt{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGDT64m, X86_INS_LGDT: lgdt{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LGS16rm, X86_INS_LGS: lgs{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGS32rm, X86_INS_LGS: lgs{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LGS64rm, X86_INS_LGS: lgs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LIDT16m, X86_INS_LIDT: lidt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LIDT32m, X86_INS_LIDT: lidt{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LIDT64m, X86_INS_LIDT: lidt{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LLDT16m, X86_INS_LLDT: lldt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LLDT16r, X86_INS_LLDT: lldt{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LMSW16m, X86_INS_LMSW: lmsw{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LMSW16r, X86_INS_LMSW: lmsw{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD16mi, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD16mi8, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD16mr, X86_INS_ADD: add{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD32mi, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD32mi8, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD32mr, X86_INS_ADD: add{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD64mi32, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD64mi8, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD64mr, X86_INS_ADD: add{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_ADD8mi, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_ADD8mr, X86_INS_ADD: add{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND16mi, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND16mi8, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND16mr, X86_INS_AND: and{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND32mi, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND32mi8, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND32mr, X86_INS_AND: and{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND64mi32, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND64mi8, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND64mr, X86_INS_AND: and{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_AND8mi, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_AND8mr, X86_INS_AND: and{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC16m, X86_INS_DEC: dec{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC32m, X86_INS_DEC: dec{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC64m, X86_INS_DEC: dec{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_DEC8m, X86_INS_DEC: dec{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC16m, X86_INS_INC: inc{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC32m, X86_INS_INC: inc{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC64m, X86_INS_INC: inc{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_INC8m, X86_INS_INC: inc{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR16mi, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR16mi8, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR16mr, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR32mi, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR32mi8, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR32mr, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR64mi32, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR64mi8, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR64mr, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_OR8mi, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_OR8mr, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB16mi, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB16mi8, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB16mr, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB32mi, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB32mi8, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB32mr, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB64mi32, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB64mi8, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB64mr, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_SUB8mi, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_SUB8mr, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR16mi, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR16mi8, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR16mr, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR32mi, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR32mi8, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR32mr, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR64mi32, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR64mi8, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR64mr, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LOCK_XOR8mi, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOCK_XOR8mr, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_LODSB, X86_INS_LODSB: lodsb	al, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSL, X86_INS_LODSD: lods{l|d}	{$src, %eax|eax, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSQ, X86_INS_LODSQ: lodsq	rax, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LODSW, X86_INS_LODSW: lodsw	ax, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LOOP, X86_INS_LOOP: loop	$dst */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOOPE, X86_INS_LOOPE: loope	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LOOPNE, X86_INS_LOOPNE: loopne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIL, X86_INS_RETF: {l}retf	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIQ, X86_INS_RETFQ: {l}retfq	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETIW, X86_INS_RETF: {l}retf	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_LRETL, X86_INS_RETF: {l}retf */
+	0,
+	{ 0 }
+},
+{	/* X86_LRETQ, X86_INS_RETFQ: {l}retfq */
+	0,
+	{ 0 }
+},
+{	/* X86_LRETW, X86_INS_RETF: {l}retf */
+	0,
+	{ 0 }
+},
+{	/* X86_LSL16rm, X86_INS_LSL: lsl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL16rr, X86_INS_LSL: lsl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL32rm, X86_INS_LSL: lsl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL32rr, X86_INS_LSL: lsl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL64rm, X86_INS_LSL: lsl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSL64rr, X86_INS_LSL: lsl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS16rm, X86_INS_LSS: lss{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS32rm, X86_INS_LSS: lss{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LSS64rm, X86_INS_LSS: lss{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LTRm, X86_INS_LTR: ltr{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LTRr, X86_INS_LTR: ltr{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_LXADD16, X86_INS_XADD: xadd{w}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD32, X86_INS_XADD: xadd{l}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD64, X86_INS_XADD: xadd{q}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LXADD8, X86_INS_XADD: xadd{b}	$ptr, $val */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_LZCNT16rm, X86_INS_LZCNT: lzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT16rr, X86_INS_LZCNT: lzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT32rm, X86_INS_LZCNT: lzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT32rr, X86_INS_LZCNT: lzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT64rm, X86_INS_LZCNT: lzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_LZCNT64rr, X86_INS_LZCNT: lzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,	
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MONTMUL, X86_INS_MONTMUL: montmul */
+	0,
+	{ 0 }
+},
+{	/* X86_MOV16ao16, X86_INS_MOV: mov{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ao32, X86_INS_MOV: mov{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ao64, X86_INS_MOVABS: movabs{w}	ax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16mi, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16mr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ms, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o16a, X86_INS_MOV: mov{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o32a, X86_INS_MOV: mov{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16o64a, X86_INS_MOVABS: movabs{w}	$dst, ax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16ri, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16ri_alt, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV16rm, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rr_REV, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16rs, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16sm, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV16sr, X86_INS_MOV: mov{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao16, X86_INS_MOV: mov{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao32, X86_INS_MOV: mov{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ao64, X86_INS_MOVABS: movabs{l}	eax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32cr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32dr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32mi, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32mr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ms, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o16a, X86_INS_MOV: mov{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o32a, X86_INS_MOV: mov{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32o64a, X86_INS_MOVABS: movabs{l}	$dst, eax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rc, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rd, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32ri, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32ri_alt, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV32rm, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rr_REV, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32rs, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32sm, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV32sr, X86_INS_MOV: mov{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ao32, X86_INS_MOV: mov{q}	rax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ao64, X86_INS_MOVABS: movabs{q}	rax, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64cr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64dr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64mi32, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64mr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ms, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64o32a, X86_INS_MOV: mov{q}	$dst, rax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64o64a, X86_INS_MOVABS: movabs{q}	$dst, rax */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rc, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rd, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64ri, X86_INS_MOVABS: movabs{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64ri32, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV64rm, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rr_REV, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64rs, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64sm, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV64sr, X86_INS_MOV: mov{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao16, X86_INS_MOV: mov{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao32, X86_INS_MOV: mov{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ao64, X86_INS_MOVABS: movabs{b}	al, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8mi, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8mr, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8mr_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o16a, X86_INS_MOV: mov{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o32a, X86_INS_MOV: mov{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8o64a, X86_INS_MOVABS: movabs{b}	$dst, al */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8ri, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8ri_alt, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_MOV8rm, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rm_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr_NOREX, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOV8rr_REV, X86_INS_MOV: mov{b}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE16mr, X86_INS_MOVBE: movbe{w}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE16rm, X86_INS_MOVBE: movbe{w}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE32mr, X86_INS_MOVBE: movbe{l}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE32rm, X86_INS_MOVBE: movbe{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE64mr, X86_INS_MOVBE: movbe{q}	$dst, $src */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_MOVBE64rm, X86_INS_MOVBE: movbe{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSB, X86_INS_MOVSB: movsb	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSL, X86_INS_MOVSD: movs{l|d}	{$src, $dst|$dst, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSQ, X86_INS_MOVSQ: movsq	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSW, X86_INS_MOVSW: movsw	$dst, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX16rm8, X86_INS_MOVSX: movs{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX16rr8, X86_INS_MOVSX: movs{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32_NOREXrm8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32_NOREXrr8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rm16, X86_INS_MOVSX: movs{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rm8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rr16, X86_INS_MOVSX: movs{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX32rr8, X86_INS_MOVSX: movs{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm16, X86_INS_MOVSX: movs{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm32_alt, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rm8, X86_INS_MOVSX: movs{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr16, X86_INS_MOVSX: movs{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr32, X86_INS_MOVSXD: movs{lq|xd}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVSX64rr8, X86_INS_MOVSX: movs{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX16rm8, X86_INS_MOVZX: movz{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX16rr8, X86_INS_MOVZX: movz{bw|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32_NOREXrm8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32_NOREXrr8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rm16, X86_INS_MOVZX: movz{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rm8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rr16, X86_INS_MOVZX: movz{wl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX32rr8, X86_INS_MOVZX: movz{bl|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rm16_Q, X86_INS_MOVZX: movz{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rm8_Q, X86_INS_MOVZX: movz{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rr16_Q, X86_INS_MOVZX: movz{wq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MOVZX64rr8_Q, X86_INS_MOVZX: movz{bq|x}	{$src, $dst|$dst, $src} */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MUL16m, X86_INS_MUL: mul{w}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL16r, X86_INS_MUL: mul{w}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL32m, X86_INS_MUL: mul{l}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL32r, X86_INS_MUL: mul{l}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL64m, X86_INS_MUL: mul{q}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL64r, X86_INS_MUL: mul{q}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL8m, X86_INS_MUL: mul{b}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MUL8r, X86_INS_MUL: mul{b}	$src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_MULX32rm, X86_INS_MULX: mulx{l}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX32rr, X86_INS_MULX: mulx{l}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX64rm, X86_INS_MULX: mulx{q}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_MULX64rr, X86_INS_MULX: mulx{q}	$dst1, $dst2, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_NEG16m, X86_INS_NEG: neg{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG16r, X86_INS_NEG: neg{w}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG32m, X86_INS_NEG: neg{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG32r, X86_INS_NEG: neg{l}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG64m, X86_INS_NEG: neg{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG64r, X86_INS_NEG: neg{q}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG8m, X86_INS_NEG: neg{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NEG8r, X86_INS_NEG: neg{b}	$dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOOP, X86_INS_NOP: nop */
+	0,
+	{ 0 }
+},
+{	/* X86_NOOP18_16m4, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m5, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m6, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16m7, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r4, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r5, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r6, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_16r7, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m4, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m5, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m6, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_m7, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r4, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r5, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r6, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP18_r7, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOP19rr, X86_INS_NOP: nop	$src, $val */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_19, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1a, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1b, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1c, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1d, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPL_1e, X86_INS_NOP: nop{l}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_19, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1a, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1b, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1c, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1d, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOOPW_1e, X86_INS_NOP: nop{w}	$zero */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_NOT16m, X86_INS_NOT: not{w}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT16r, X86_INS_NOT: not{w}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT32m, X86_INS_NOT: not{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT32r, X86_INS_NOT: not{l}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT64m, X86_INS_NOT: not{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT64r, X86_INS_NOT: not{q}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT8m, X86_INS_NOT: not{b}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_NOT8r, X86_INS_NOT: not{b}	$dst */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_OR16i16, X86_INS_OR: or{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mi, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mi8, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16mr, X86_INS_OR: or{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16ri, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16ri8, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR16rm, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16rr, X86_INS_OR: or{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR16rr_REV, X86_INS_OR: or{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32i32, X86_INS_OR: or{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mi, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mi8, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32mr, X86_INS_OR: or{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32mrLocked, X86_INS_OR: or{l}	$dst, $zero */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OR32ri, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32ri8, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR32rm, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32rr, X86_INS_OR: or{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR32rr_REV, X86_INS_OR: or{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64i32, X86_INS_OR: or{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mi32, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mi8, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64mr, X86_INS_OR: or{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64ri32, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64ri8, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR64rm, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64rr, X86_INS_OR: or{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR64rr_REV, X86_INS_OR: or{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8i8, X86_INS_OR: or{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mi, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mi8, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8mr, X86_INS_OR: or{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8ri, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8ri8, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OR8rm, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8rr, X86_INS_OR: or{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OR8rr_REV, X86_INS_OR: or{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT16ir, X86_INS_OUT: out{w}	$port, ax */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT16rr, X86_INS_OUT: out{w}	dx, ax */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUT32ir, X86_INS_OUT: out{l}	$port, eax */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT32rr, X86_INS_OUT: out{l}	dx, eax */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUT8ir, X86_INS_OUT: out{b}	$port, al */
+	0,
+	{ CS_AC_IGNORE, CS_AC_READ, 0 }
+},
+{	/* X86_OUT8rr, X86_INS_OUT: out{b}	dx, al */
+	0,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_OUTSB, X86_INS_OUTSB: outsb	dx, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_OUTSL, X86_INS_OUTSD: outs{l|d}	{$src, %dx|dx, $src} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_OUTSW, X86_INS_OUTSW: outsw	dx, $src */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_PCOMMIT, X86_INS_PCOMMIT: pcommit */
+	0,
+	{ 0 }
+},
+{	/* X86_PDEP32rm, X86_INS_PDEP: pdep{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP32rr, X86_INS_PDEP: pdep{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP64rm, X86_INS_PDEP: pdep{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PDEP64rr, X86_INS_PDEP: pdep{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT32rm, X86_INS_PEXT: pext{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT32rr, X86_INS_PEXT: pext{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT64rm, X86_INS_PEXT: pext{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_PEXT64rr, X86_INS_PEXT: pext{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_POP16r, X86_INS_POP: pop{w}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP16rmm, X86_INS_POP: pop{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP16rmr, X86_INS_POP: pop{w}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32r, X86_INS_POP: pop{l}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32rmm, X86_INS_POP: pop{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP32rmr, X86_INS_POP: pop{l}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64r, X86_INS_POP: pop{q}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64rmm, X86_INS_POP: pop{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POP64rmr, X86_INS_POP: pop{q}	$reg */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_POPA16, X86_INS_POPAW: popaw */
+	0,
+	{ 0 }
+},
+{	/* X86_POPA32, X86_INS_POPAL: popal */
+	0,
+	{ 0 }
+},
+{	/* X86_POPDS16, X86_INS_POP: pop{w}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPDS32, X86_INS_POP: pop{l}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPES16, X86_INS_POP: pop{w}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPES32, X86_INS_POP: pop{l}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPF16, X86_INS_POPF: popf{w} */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPF32, X86_INS_POPFD: popfd */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPF64, X86_INS_POPFQ: popfq */
+	X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_POPFS16, X86_INS_POP: pop{w}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPFS32, X86_INS_POP: pop{l}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPFS64, X86_INS_POP: pop{q}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS16, X86_INS_POP: pop{w}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS32, X86_INS_POP: pop{l}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPGS64, X86_INS_POP: pop{q}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPSS16, X86_INS_POP: pop{w}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_POPSS32, X86_INS_POP: pop{l}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH16i8, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH16r, X86_INS_PUSH: push{w}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH16rmm, X86_INS_PUSH: push{w}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH16rmr, X86_INS_PUSH: push{w}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32i8, X86_INS_PUSH: push{l}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH32r, X86_INS_PUSH: push{l}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32rmm, X86_INS_PUSH: push{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH32rmr, X86_INS_PUSH: push{l}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64i16, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64i32, X86_INS_PUSH: push{q}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64i8, X86_INS_PUSH: push{q}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSH64r, X86_INS_PUSH: push{q}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64rmm, X86_INS_PUSH: push{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSH64rmr, X86_INS_PUSH: push{q}	$reg */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_PUSHA16, X86_INS_PUSHAW: pushaw */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHA32, X86_INS_PUSHAL: pushal */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHCS16, X86_INS_PUSH: push{w}	cs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHCS32, X86_INS_PUSH: push{l}	cs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHDS16, X86_INS_PUSH: push{w}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHDS32, X86_INS_PUSH: push{l}	ds */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHES16, X86_INS_PUSH: push{w}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHES32, X86_INS_PUSH: push{l}	es */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHF16, X86_INS_PUSHF: pushf{w} */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHF32, X86_INS_PUSHFD: pushfd */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHF64, X86_INS_PUSHFQ: pushfq */
+	0,
+	{ 0 }
+},
+{	/* X86_PUSHFS16, X86_INS_PUSH: push{w}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHFS32, X86_INS_PUSH: push{l}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHFS64, X86_INS_PUSH: push{q}	fs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS16, X86_INS_PUSH: push{w}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS32, X86_INS_PUSH: push{l}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHGS64, X86_INS_PUSH: push{q}	gs */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHSS16, X86_INS_PUSH: push{w}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHSS32, X86_INS_PUSH: push{l}	ss */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHi16, X86_INS_PUSH: push{w}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_PUSHi32, X86_INS_PUSH: push{l}	$imm */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16m1, X86_INS_RCL: rcl{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16mCL, X86_INS_RCL: rcl{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL16mi, X86_INS_RCL: rcl{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16r1, X86_INS_RCL: rcl{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL16rCL, X86_INS_RCL: rcl{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL16ri, X86_INS_RCL: rcl{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32m1, X86_INS_RCL: rcl{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32mCL, X86_INS_RCL: rcl{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL32mi, X86_INS_RCL: rcl{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32r1, X86_INS_RCL: rcl{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL32rCL, X86_INS_RCL: rcl{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL32ri, X86_INS_RCL: rcl{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64m1, X86_INS_RCL: rcl{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64mCL, X86_INS_RCL: rcl{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL64mi, X86_INS_RCL: rcl{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64r1, X86_INS_RCL: rcl{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL64rCL, X86_INS_RCL: rcl{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL64ri, X86_INS_RCL: rcl{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8m1, X86_INS_RCL: rcl{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8mCL, X86_INS_RCL: rcl{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCL8mi, X86_INS_RCL: rcl{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8r1, X86_INS_RCL: rcl{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCL8rCL, X86_INS_RCL: rcl{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCL8ri, X86_INS_RCL: rcl{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16m1, X86_INS_RCR: rcr{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16mCL, X86_INS_RCR: rcr{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR16mi, X86_INS_RCR: rcr{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16r1, X86_INS_RCR: rcr{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR16rCL, X86_INS_RCR: rcr{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR16ri, X86_INS_RCR: rcr{w}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32m1, X86_INS_RCR: rcr{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32mCL, X86_INS_RCR: rcr{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR32mi, X86_INS_RCR: rcr{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32r1, X86_INS_RCR: rcr{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR32rCL, X86_INS_RCR: rcr{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR32ri, X86_INS_RCR: rcr{l}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64m1, X86_INS_RCR: rcr{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64mCL, X86_INS_RCR: rcr{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR64mi, X86_INS_RCR: rcr{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64r1, X86_INS_RCR: rcr{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR64rCL, X86_INS_RCR: rcr{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR64ri, X86_INS_RCR: rcr{q}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8m1, X86_INS_RCR: rcr{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8mCL, X86_INS_RCR: rcr{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_RCR8mi, X86_INS_RCR: rcr{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8r1, X86_INS_RCR: rcr{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RCR8rCL, X86_INS_RCR: rcr{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_RCR8ri, X86_INS_RCR: rcr{b}	$dst, $cnt */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RDFSBASE, X86_INS_RDFSBASE: rdfsbase{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDFSBASE64, X86_INS_RDFSBASE: rdfsbase{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDGSBASE, X86_INS_RDGSBASE: rdgsbase{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDGSBASE64, X86_INS_RDGSBASE: rdgsbase{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDMSR, X86_INS_RDMSR: rdmsr */
+	0,
+	{ 0 }
+},
+{	/* X86_RDPMC, X86_INS_RDPMC: rdpmc */
+	0,
+	{ 0 }
+},
+{	/* X86_RDRAND16r, X86_INS_RDRAND: rdrand{w}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDRAND32r, X86_INS_RDRAND: rdrand{l}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDRAND64r, X86_INS_RDRAND: rdrand{q}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED16r, X86_INS_RDSEED: rdseed{w}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED32r, X86_INS_RDSEED: rdseed{l}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDSEED64r, X86_INS_RDSEED: rdseed{q}	$dst */
+	X86_EFLAGS_MODIFY_CF | X86_EFLAGS_RESET_OF | X86_EFLAGS_RESET_SF | X86_EFLAGS_RESET_ZF | X86_EFLAGS_RESET_AF | X86_EFLAGS_RESET_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_RDTSC, X86_INS_RDTSC: rdtsc */
+	0,
+	{ 0 }
+},
+{	/* X86_RDTSCP, X86_INS_RDTSCP: rdtscp */
+	0,
+	{ 0 }
+},
+{	/* X86_RETIL, X86_INS_RET: ret{l}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETIQ, X86_INS_RET: ret{q}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETIW, X86_INS_RET: ret{w}	$amt */
+	0,
+	{ CS_AC_IGNORE, 0 }
+},
+{	/* X86_RETL, X86_INS_RET: ret{l} */
+	0,
+	{ 0 }
+},
+{	/* X86_RETQ, X86_INS_RET: ret{q} */
+	0,
+	{ 0 }
+},
+{	/* X86_RETW, X86_INS_RET: ret{w} */
+	0,
+	{ 0 }
+},
+{	/* X86_ROL16m1, X86_INS_ROL: rol{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16mCL, X86_INS_ROL: rol{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL16mi, X86_INS_ROL: rol{w}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16r1, X86_INS_ROL: rol{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL16rCL, X86_INS_ROL: rol{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL16ri, X86_INS_ROL: rol{w}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32m1, X86_INS_ROL: rol{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32mCL, X86_INS_ROL: rol{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL32mi, X86_INS_ROL: rol{l}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32r1, X86_INS_ROL: rol{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL32rCL, X86_INS_ROL: rol{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL32ri, X86_INS_ROL: rol{l}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64m1, X86_INS_ROL: rol{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64mCL, X86_INS_ROL: rol{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL64mi, X86_INS_ROL: rol{q}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64r1, X86_INS_ROL: rol{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL64rCL, X86_INS_ROL: rol{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL64ri, X86_INS_ROL: rol{q}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8m1, X86_INS_ROL: rol{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8mCL, X86_INS_ROL: rol{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROL8mi, X86_INS_ROL: rol{b}	$dst, $src1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8r1, X86_INS_ROL: rol{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROL8rCL, X86_INS_ROL: rol{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROL8ri, X86_INS_ROL: rol{b}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16m1, X86_INS_ROR: ror{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16mCL, X86_INS_ROR: ror{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR16mi, X86_INS_ROR: ror{w}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16r1, X86_INS_ROR: ror{w}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR16rCL, X86_INS_ROR: ror{w}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR16ri, X86_INS_ROR: ror{w}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32m1, X86_INS_ROR: ror{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32mCL, X86_INS_ROR: ror{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR32mi, X86_INS_ROR: ror{l}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32r1, X86_INS_ROR: ror{l}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR32rCL, X86_INS_ROR: ror{l}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR32ri, X86_INS_ROR: ror{l}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64m1, X86_INS_ROR: ror{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64mCL, X86_INS_ROR: ror{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR64mi, X86_INS_ROR: ror{q}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64r1, X86_INS_ROR: ror{q}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR64rCL, X86_INS_ROR: ror{q}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR64ri, X86_INS_ROR: ror{q}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8m1, X86_INS_ROR: ror{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8mCL, X86_INS_ROR: ror{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_ROR8mi, X86_INS_ROR: ror{b}	$dst, $src */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8r1, X86_INS_ROR: ror{b}	$dst, 1 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_ROR8rCL, X86_INS_ROR: ror{b}	$dst, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_ROR8ri, X86_INS_ROR: ror{b}	$dst, $src2 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX32mi, X86_INS_RORX: rorx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX32ri, X86_INS_RORX: rorx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX64mi, X86_INS_RORX: rorx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RORX64ri, X86_INS_RORX: rorx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_RSM, X86_INS_RSM: rsm */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SAHF, X86_INS_SAHF: sahf */
+	X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ 0 }
+},
+{	/* X86_SAL16m1, X86_INS_SAL: sal{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16mCL, X86_INS_SAL: sal{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL16mi, X86_INS_SAL: sal{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16r1, X86_INS_SAL: sal{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL16rCL, X86_INS_SAL: sal{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL16ri, X86_INS_SAL: sal{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32m1, X86_INS_SAL: sal{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32mCL, X86_INS_SAL: sal{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL32mi, X86_INS_SAL: sal{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32r1, X86_INS_SAL: sal{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL32rCL, X86_INS_SAL: sal{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL32ri, X86_INS_SAL: sal{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64m1, X86_INS_SAL: sal{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64mCL, X86_INS_SAL: sal{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL64mi, X86_INS_SAL: sal{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64r1, X86_INS_SAL: sal{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL64rCL, X86_INS_SAL: sal{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL64ri, X86_INS_SAL: sal{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8m1, X86_INS_SAL: sal{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8mCL, X86_INS_SAL: sal{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL8mi, X86_INS_SAL: sal{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8r1, X86_INS_SAL: sal{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAL8rCL, X86_INS_SAL: sal{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAL8ri, X86_INS_SAL: sal{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SALC, X86_INS_SALC: salc */
+	0,
+	{ 0 }
+},
+{	/* X86_SAR16m1, X86_INS_SAR: sar{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16mCL, X86_INS_SAR: sar{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR16mi, X86_INS_SAR: sar{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16r1, X86_INS_SAR: sar{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR16rCL, X86_INS_SAR: sar{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR16ri, X86_INS_SAR: sar{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32m1, X86_INS_SAR: sar{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32mCL, X86_INS_SAR: sar{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR32mi, X86_INS_SAR: sar{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32r1, X86_INS_SAR: sar{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR32rCL, X86_INS_SAR: sar{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR32ri, X86_INS_SAR: sar{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64m1, X86_INS_SAR: sar{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64mCL, X86_INS_SAR: sar{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR64mi, X86_INS_SAR: sar{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64r1, X86_INS_SAR: sar{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR64rCL, X86_INS_SAR: sar{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR64ri, X86_INS_SAR: sar{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8m1, X86_INS_SAR: sar{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8mCL, X86_INS_SAR: sar{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR8mi, X86_INS_SAR: sar{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8r1, X86_INS_SAR: sar{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SAR8rCL, X86_INS_SAR: sar{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SAR8ri, X86_INS_SAR: sar{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SARX32rm, X86_INS_SARX: sarx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX32rr, X86_INS_SARX: sarx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX64rm, X86_INS_SARX: sarx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SARX64rr, X86_INS_SARX: sarx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16i16, X86_INS_SBB: sbb{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mi, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mi8, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16mr, X86_INS_SBB: sbb{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16ri, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16ri8, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB16rm, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16rr, X86_INS_SBB: sbb{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB16rr_REV, X86_INS_SBB: sbb{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32i32, X86_INS_SBB: sbb{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mi, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mi8, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32mr, X86_INS_SBB: sbb{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32ri, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32ri8, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB32rm, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32rr, X86_INS_SBB: sbb{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB32rr_REV, X86_INS_SBB: sbb{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64i32, X86_INS_SBB: sbb{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mi32, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mi8, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64mr, X86_INS_SBB: sbb{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64ri32, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64ri8, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB64rm, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64rr, X86_INS_SBB: sbb{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB64rr_REV, X86_INS_SBB: sbb{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8i8, X86_INS_SBB: sbb{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mi, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mi8, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8mr, X86_INS_SBB: sbb{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8ri, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8ri8, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SBB8rm, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8rr, X86_INS_SBB: sbb{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SBB8rr_REV, X86_INS_SBB: sbb{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SCASB, X86_INS_SCASB: scasb	al, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASL, X86_INS_SCASD: scas{l|d}	{$dst, %eax|eax, $dst} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASQ, X86_INS_SCASQ: scasq	rax, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SCASW, X86_INS_SCASW: scasw	ax, $dst */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SETAEm, X86_INS_SETAE: setae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETAEr, X86_INS_SETAE: setae	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETAm, X86_INS_SETA: seta	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETAr, X86_INS_SETA: seta	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETBEm, X86_INS_SETBE: setbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETBEr, X86_INS_SETBE: setbe	$dst */
+	X86_EFLAGS_TEST_ZF | X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETBm, X86_INS_SETB: setb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETBr, X86_INS_SETB: setb	$dst */
+	X86_EFLAGS_TEST_CF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETEm, X86_INS_SETE: sete	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETEr, X86_INS_SETE: sete	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETGEm, X86_INS_SETGE: setge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETGEr, X86_INS_SETGE: setge	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETGm, X86_INS_SETG: setg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETGr, X86_INS_SETG: setg	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETLEm, X86_INS_SETLE: setle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETLEr, X86_INS_SETLE: setle	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF | X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETLm, X86_INS_SETL: setl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETLr, X86_INS_SETL: setl	$dst */
+	X86_EFLAGS_TEST_OF | X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNEm, X86_INS_SETNE: setne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNEr, X86_INS_SETNE: setne	$dst */
+	X86_EFLAGS_TEST_ZF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNOm, X86_INS_SETNO: setno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNOr, X86_INS_SETNO: setno	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNPm, X86_INS_SETNP: setnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNPr, X86_INS_SETNP: setnp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETNSm, X86_INS_SETNS: setns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETNSr, X86_INS_SETNS: setns	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETOm, X86_INS_SETO: seto	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETOr, X86_INS_SETO: seto	$dst */
+	X86_EFLAGS_TEST_OF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETPm, X86_INS_SETP: setp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETPr, X86_INS_SETP: setp	$dst */
+	X86_EFLAGS_TEST_PF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SETSm, X86_INS_SETS: sets	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SETSr, X86_INS_SETS: sets	$dst */
+	X86_EFLAGS_TEST_SF,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SGDT16m, X86_INS_SGDT: sgdt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SGDT32m, X86_INS_SGDT: sgdt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SGDT64m, X86_INS_SGDT: sgdt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SHL16m1, X86_INS_SHL: shl{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16mCL, X86_INS_SHL: shl{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL16mi, X86_INS_SHL: shl{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16r1, X86_INS_SHL: shl{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL16rCL, X86_INS_SHL: shl{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL16ri, X86_INS_SHL: shl{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32m1, X86_INS_SHL: shl{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32mCL, X86_INS_SHL: shl{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL32mi, X86_INS_SHL: shl{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32r1, X86_INS_SHL: shl{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL32rCL, X86_INS_SHL: shl{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL32ri, X86_INS_SHL: shl{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64m1, X86_INS_SHL: shl{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64mCL, X86_INS_SHL: shl{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL64mi, X86_INS_SHL: shl{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64r1, X86_INS_SHL: shl{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL64rCL, X86_INS_SHL: shl{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL64ri, X86_INS_SHL: shl{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8m1, X86_INS_SHL: shl{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8mCL, X86_INS_SHL: shl{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL8mi, X86_INS_SHL: shl{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8r1, X86_INS_SHL: shl{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHL8rCL, X86_INS_SHL: shl{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHL8ri, X86_INS_SHL: shl{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD16mrCL, X86_INS_SHLD: shld{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD16mri8, X86_INS_SHLD: shld{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD16rrCL, X86_INS_SHLD: shld{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD16rri8, X86_INS_SHLD: shld{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD32mrCL, X86_INS_SHLD: shld{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD32mri8, X86_INS_SHLD: shld{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD32rrCL, X86_INS_SHLD: shld{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD32rri8, X86_INS_SHLD: shld{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD64mrCL, X86_INS_SHLD: shld{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD64mri8, X86_INS_SHLD: shld{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLD64rrCL, X86_INS_SHLD: shld{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLD64rri8, X86_INS_SHLD: shld{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHLX32rm, X86_INS_SHLX: shlx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX32rr, X86_INS_SHLX: shlx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX64rm, X86_INS_SHLX: shlx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHLX64rr, X86_INS_SHLX: shlx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16m1, X86_INS_SHR: shr{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16mCL, X86_INS_SHR: shr{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16mi, X86_INS_SHR: shr{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16r1, X86_INS_SHR: shr{w}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR16rCL, X86_INS_SHR: shr{w}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR16ri, X86_INS_SHR: shr{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32m1, X86_INS_SHR: shr{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32mCL, X86_INS_SHR: shr{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR32mi, X86_INS_SHR: shr{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32r1, X86_INS_SHR: shr{l}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR32rCL, X86_INS_SHR: shr{l}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR32ri, X86_INS_SHR: shr{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64m1, X86_INS_SHR: shr{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64mCL, X86_INS_SHR: shr{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR64mi, X86_INS_SHR: shr{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64r1, X86_INS_SHR: shr{q}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR64rCL, X86_INS_SHR: shr{q}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR64ri, X86_INS_SHR: shr{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8m1, X86_INS_SHR: shr{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8mCL, X86_INS_SHR: shr{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR8mi, X86_INS_SHR: shr{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8r1, X86_INS_SHR: shr{b}	$dst, 1 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHR8rCL, X86_INS_SHR: shr{b}	$dst, cl */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SHR8ri, X86_INS_SHR: shr{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD16mrCL, X86_INS_SHRD: shrd{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD16mri8, X86_INS_SHRD: shrd{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD16rrCL, X86_INS_SHRD: shrd{w}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD16rri8, X86_INS_SHRD: shrd{w}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD32mrCL, X86_INS_SHRD: shrd{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD32mri8, X86_INS_SHRD: shrd{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD32rrCL, X86_INS_SHRD: shrd{l}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD32rri8, X86_INS_SHRD: shrd{l}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD64mrCL, X86_INS_SHRD: shrd{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD64mri8, X86_INS_SHRD: shrd{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRD64rrCL, X86_INS_SHRD: shrd{q}	$dst, $src2, cl */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRD64rri8, X86_INS_SHRD: shrd{q}	$dst, $src2, $src3 */
+	X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SHRX32rm, X86_INS_SHRX: shrx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX32rr, X86_INS_SHRX: shrx{l}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX64rm, X86_INS_SHRX: shrx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SHRX64rr, X86_INS_SHRX: shrx{q}	$dst, $src1, $src2 */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_SIDT16m, X86_INS_SIDT: sidt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SIDT32m, X86_INS_SIDT: sidt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SIDT64m, X86_INS_SIDT: sidt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SKINIT, X86_INS_SKINIT: skinit	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_SLDT16m, X86_INS_SLDT: sldt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT16r, X86_INS_SLDT: sldt{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT32r, X86_INS_SLDT: sldt{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT64m, X86_INS_SLDT: sldt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SLDT64r, X86_INS_SLDT: sldt{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW16m, X86_INS_SMSW: smsw{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW16r, X86_INS_SMSW: smsw{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW32r, X86_INS_SMSW: smsw{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SMSW64r, X86_INS_SMSW: smsw{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STAC, X86_INS_STAC: stac */
+	0,
+	{ 0 }
+},
+{	/* X86_STC, X86_INS_STC: stc */
+	X86_EFLAGS_SET_CF,
+	{ 0 }
+},
+{	/* X86_STD, X86_INS_STD: std */
+	X86_EFLAGS_SET_DF,
+	{ 0 }
+},
+{	/* X86_STGI, X86_INS_STGI: stgi */
+	0,
+	{ 0 }
+},
+{	/* X86_STI, X86_INS_STI: sti */
+	X86_EFLAGS_SET_IF,
+	{ 0 }
+},
+{	/* X86_STOSB, X86_INS_STOSB: stosb	$dst, al */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSL, X86_INS_STOSD: stos{l|d}	{%eax, $dst|$dst, eax} */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSQ, X86_INS_STOSQ: stosq	$dst, rax */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STOSW, X86_INS_STOSW: stosw	$dst, ax */
+	X86_EFLAGS_TEST_DF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_STR16r, X86_INS_STR: str{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STR32r, X86_INS_STR: str{l}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STR64r, X86_INS_STR: str{q}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_STRm, X86_INS_STR: str{w}	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_SUB16i16, X86_INS_SUB: sub{w}	ax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mi, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mi8, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16mr, X86_INS_SUB: sub{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16ri, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16ri8, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB16rm, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16rr, X86_INS_SUB: sub{w}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB16rr_REV, X86_INS_SUB: sub{w}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32i32, X86_INS_SUB: sub{l}	eax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mi, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mi8, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32mr, X86_INS_SUB: sub{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32ri, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32ri8, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB32rm, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32rr, X86_INS_SUB: sub{l}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB32rr_REV, X86_INS_SUB: sub{l}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64i32, X86_INS_SUB: sub{q}	rax, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mi32, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mi8, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64mr, X86_INS_SUB: sub{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64ri32, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64ri8, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB64rm, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64rr, X86_INS_SUB: sub{q}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB64rr_REV, X86_INS_SUB: sub{q}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8i8, X86_INS_SUB: sub{b}	al, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mi, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mi8, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8mr, X86_INS_SUB: sub{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8ri, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8ri8, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_SUB8rm, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8rr, X86_INS_SUB: sub{b}	$src1, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SUB8rr_REV, X86_INS_SUB: sub{b}	$dst, $src2 */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_SWAPGS, X86_INS_SWAPGS: swapgs */
+	0,
+	{ 0 }
+},
+{	/* X86_SYSCALL, X86_INS_SYSCALL: syscall */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSENTER, X86_INS_SYSENTER: sysenter */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSEXIT, X86_INS_SYSEXIT: sysexit{l} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSEXIT64, X86_INS_SYSEXIT: sysexit{q} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSRET, X86_INS_SYSRET: sysret{l} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_SYSRET64, X86_INS_SYSRET: sysret{q} */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_MODIFY_TF | X86_EFLAGS_MODIFY_IF | X86_EFLAGS_MODIFY_DF | X86_EFLAGS_MODIFY_NT | X86_EFLAGS_MODIFY_RF,
+	{ 0 }
+},
+{	/* X86_T1MSKC32rm, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC32rr, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC64rm, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_T1MSKC64rr, X86_INS_T1MSKC: t1mskc	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TEST16i16, X86_INS_TEST: test{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16mi, X86_INS_TEST: test{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16mi_alt, X86_INS_TEST: test{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16ri, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16ri_alt, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST16rm, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST16rr, X86_INS_TEST: test{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST32i32, X86_INS_TEST: test{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32mi, X86_INS_TEST: test{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32mi_alt, X86_INS_TEST: test{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32ri, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32ri_alt, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST32rm, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST32rr, X86_INS_TEST: test{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST64i32, X86_INS_TEST: test{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64mi32, X86_INS_TEST: test{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64mi32_alt, X86_INS_TEST: test{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64ri32, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64ri32_alt, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST64rm, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST64rr, X86_INS_TEST: test{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST8i8, X86_INS_TEST: test{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8mi, X86_INS_TEST: test{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8mi_alt, X86_INS_TEST: test{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8ri, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8ri_alt, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_IGNORE, 0 }
+},
+{	/* X86_TEST8rm, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TEST8rr, X86_INS_TEST: test{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ, CS_AC_READ, 0 }
+},
+{	/* X86_TRAP, X86_INS_UD2: ud2 */
+	0,
+	{ 0 }
+},
+{	/* X86_TZCNT16rm, X86_INS_TZCNT: tzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT16rr, X86_INS_TZCNT: tzcnt{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT32rm, X86_INS_TZCNT: tzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT32rr, X86_INS_TZCNT: tzcnt{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT64rm, X86_INS_TZCNT: tzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZCNT64rr, X86_INS_TZCNT: tzcnt{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_CF | X86_EFLAGS_UNDEFINED_OF | X86_EFLAGS_UNDEFINED_SF | X86_EFLAGS_UNDEFINED_PF | X86_EFLAGS_UNDEFINED_AF,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK32rm, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK32rr, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK64rm, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_TZMSK64rr, X86_INS_TZMSK: tzmsk	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_UD2B, X86_INS_UD2B: ud2b */
+	0,
+	{ 0 }
+},
+{	/* X86_VERRm, X86_INS_VERR: verr	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERRr, X86_INS_VERR: verr	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERWm, X86_INS_VERW: verw	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VERWr, X86_INS_VERW: verw	$seg */
+	X86_EFLAGS_MODIFY_ZF,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMCALL, X86_INS_VMCALL: vmcall */
+	0,
+	{ 0 }
+},
+{	/* X86_VMCLEARm, X86_INS_VMCLEAR: vmclear	$vmcs */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMFUNC, X86_INS_VMFUNC: vmfunc */
+	0,
+	{ 0 }
+},
+{	/* X86_VMLAUNCH, X86_INS_VMLAUNCH: vmlaunch */
+	0,
+	{ 0 }
+},
+{	/* X86_VMLOAD32, X86_INS_VMLOAD: vmload	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMLOAD64, X86_INS_VMLOAD: vmload	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMMCALL, X86_INS_VMMCALL: vmmcall */
+	0,
+	{ 0 }
+},
+{	/* X86_VMPTRLDm, X86_INS_VMPTRLD: vmptrld	$vmcs */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMPTRSTm, X86_INS_VMPTRST: vmptrst	$vmcs */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_VMREAD32rm, X86_INS_VMREAD: vmread{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD32rr, X86_INS_VMREAD: vmread{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD64rm, X86_INS_VMREAD: vmread{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMREAD64rr, X86_INS_VMREAD: vmread{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMRESUME, X86_INS_VMRESUME: vmresume */
+	0,
+	{ 0 }
+},
+{	/* X86_VMRUN32, X86_INS_VMRUN: vmrun	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMRUN64, X86_INS_VMRUN: vmrun	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMSAVE32, X86_INS_VMSAVE: vmsave	eax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMSAVE64, X86_INS_VMSAVE: vmsave	rax */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE32rm, X86_INS_VMWRITE: vmwrite{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE32rr, X86_INS_VMWRITE: vmwrite{l}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE64rm, X86_INS_VMWRITE: vmwrite{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMWRITE64rr, X86_INS_VMWRITE: vmwrite{q}	$dst, $src */
+	0,
+	{ CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_VMXOFF, X86_INS_VMXOFF: vmxoff */
+	0,
+	{ 0 }
+},
+{	/* X86_VMXON, X86_INS_VMXON: vmxon	$vmxon */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WBINVD, X86_INS_WBINVD: wbinvd */
+	0,
+	{ 0 }
+},
+{	/* X86_WRFSBASE, X86_INS_WRFSBASE: wrfsbase{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRFSBASE64, X86_INS_WRFSBASE: wrfsbase{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRGSBASE, X86_INS_WRGSBASE: wrgsbase{l}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRGSBASE64, X86_INS_WRGSBASE: wrgsbase{q}	$src */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_WRMSR, X86_INS_WRMSR: wrmsr */
+	0,
+	{ 0 }
+},
+{	/* X86_XADD16rm, X86_INS_XADD: xadd{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD16rr, X86_INS_XADD: xadd{w}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD32rm, X86_INS_XADD: xadd{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD32rr, X86_INS_XADD: xadd{l}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD64rm, X86_INS_XADD: xadd{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD64rr, X86_INS_XADD: xadd{q}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD8rm, X86_INS_XADD: xadd{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XADD8rr, X86_INS_XADD: xadd{b}	$dst, $src */
+	X86_EFLAGS_MODIFY_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_MODIFY_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_MODIFY_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG16ar, X86_INS_XCHG: xchg{w}	ax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG16rm, X86_INS_XCHG: xchg{w}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG16rr, X86_INS_XCHG: xchg{w}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32ar, X86_INS_XCHG: xchg{l}	eax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32ar64, X86_INS_XCHG: xchg{l}	eax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32rm, X86_INS_XCHG: xchg{l}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG32rr, X86_INS_XCHG: xchg{l}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64ar, X86_INS_XCHG: xchg{q}	rax, $src */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64rm, X86_INS_XCHG: xchg{q}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG64rr, X86_INS_XCHG: xchg{q}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG8rm, X86_INS_XCHG: xchg{b}	$ptr, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCHG8rr, X86_INS_XCHG: xchg{b}	$src, $val */
+	0,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ | CS_AC_WRITE, 0 }
+},
+{	/* X86_XCRYPTCBC, X86_INS_XCRYPTCBC: xcryptcbc */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTCFB, X86_INS_XCRYPTCFB: xcryptcfb */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTCTR, X86_INS_XCRYPTCTR: xcryptctr */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTECB, X86_INS_XCRYPTECB: xcryptecb */
+	0,
+	{ 0 }
+},
+{	/* X86_XCRYPTOFB, X86_INS_XCRYPTOFB: xcryptofb */
+	0,
+	{ 0 }
+},
+{	/* X86_XGETBV, X86_INS_XGETBV: xgetbv */
+	0,
+	{ 0 }
+},
+{	/* X86_XLAT, X86_INS_XLATB: xlatb */
+	0,
+	{ 0 }
+},
+{	/* X86_XOR16i16, X86_INS_XOR: xor{w}	ax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mi, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mi8, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16mr, X86_INS_XOR: xor{w}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16ri, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16ri8, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR16rm, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16rr, X86_INS_XOR: xor{w}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR16rr_REV, X86_INS_XOR: xor{w}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32i32, X86_INS_XOR: xor{l}	eax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mi, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mi8, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32mr, X86_INS_XOR: xor{l}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32ri, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32ri8, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR32rm, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32rr, X86_INS_XOR: xor{l}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR32rr_REV, X86_INS_XOR: xor{l}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64i32, X86_INS_XOR: xor{q}	rax, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mi32, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mi8, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64mr, X86_INS_XOR: xor{q}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64ri32, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64ri8, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR64rm, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64rr, X86_INS_XOR: xor{q}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR64rr_REV, X86_INS_XOR: xor{q}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8i8, X86_INS_XOR: xor{b}	al, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mi, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mi8, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8mr, X86_INS_XOR: xor{b}	$dst, $src */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8ri, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8ri8, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_IGNORE, 0 }
+},
+{	/* X86_XOR8rm, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8rr, X86_INS_XOR: xor{b}	$src1, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XOR8rr_REV, X86_INS_XOR: xor{b}	$dst, $src2 */
+	X86_EFLAGS_RESET_OF | X86_EFLAGS_MODIFY_SF | X86_EFLAGS_MODIFY_ZF | X86_EFLAGS_UNDEFINED_AF | X86_EFLAGS_MODIFY_PF | X86_EFLAGS_RESET_CF,
+	{ CS_AC_READ | CS_AC_WRITE, CS_AC_READ, 0 }
+},
+{	/* X86_XRSTOR, X86_INS_XRSTOR: xrstor	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTOR64, X86_INS_XRSTOR64: xrstor64	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTORS, X86_INS_XRSTORS: xrstors	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XRSTORS64, X86_INS_XRSTORS64: xrstors64	$dst */
+	0,
+	{ CS_AC_READ, 0 }
+},
+{	/* X86_XSAVE, X86_INS_XSAVE: xsave	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVE64, X86_INS_XSAVE64: xsave64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEC, X86_INS_XSAVEC: xsavec	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEC64, X86_INS_XSAVEC64: xsavec64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEOPT, X86_INS_XSAVEOPT: xsaveopt	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVEOPT64, X86_INS_XSAVEOPT64: xsaveopt64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVES, X86_INS_XSAVES: xsaves	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSAVES64, X86_INS_XSAVES64: xsaves64	$dst */
+	0,
+	{ CS_AC_WRITE, 0 }
+},
+{	/* X86_XSETBV, X86_INS_XSETBV: xsetbv */
+	0,
+	{ 0 }
+},
+{	/* X86_XSHA1, X86_INS_XSHA1: xsha1 */
+	0,
+	{ 0 }
+},
+{	/* X86_XSHA256, X86_INS_XSHA256: xsha256 */
+	0,
+	{ 0 }
+},
+{	/* X86_XSTORE, X86_INS_XSTORE: xstore */
+	0,
+	{ 0 }
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsn_reduce.inc 4.0.2-3/arch/X86/X86MappingInsn_reduce.inc
--- 4.0.1+really+3.0.5-2/arch/X86/X86MappingInsn_reduce.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/X86/X86MappingInsn_reduce.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,9369 @@
+// This is auto-gen data for Capstone disassembly engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	X86_AAA, X86_INS_AAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAD8i8, X86_INS_AAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAM8i8, X86_INS_AAM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AAS, X86_INS_AAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16i16, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC16rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32i32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC32rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64i32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mi32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64ri32, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC64rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8i8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mi, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mi8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8mr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8ri, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8ri8, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rm, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rr, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADC8rr_REV, X86_INS_ADC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX32rm, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX32rr, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX64rm, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADCX64rr, X86_INS_ADCX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16i16, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD16rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32i32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD32rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64i32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mi32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64ri32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD64rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8i8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8ri, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8ri8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rm, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADD8rr_REV, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX32rm, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX32rr, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX64rm, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_ADOX64rr, X86_INS_ADOX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_ADX, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16i16, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND16rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32i32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND32rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64i32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mi32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64ri32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND64rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8i8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8ri, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8ri8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rm, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_AND8rr_REV, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN32rm, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN32rr, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN64rm, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ANDN64rr, X86_INS_ANDN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_ARPL16mr, X86_INS_ARPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_ARPL16rr, X86_INS_ARPL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR32rm, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR32rr, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR64rm, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTR64rr, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI32mi, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI32ri, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI64mi, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BEXTRI64ri, X86_INS_BEXTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL32rm, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL32rr, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL64rm, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCFILL64rr, X86_INS_BLCFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI32rm, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI32rr, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI64rm, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCI64rr, X86_INS_BLCI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC32rm, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC32rr, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC64rm, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCIC64rr, X86_INS_BLCIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK32rm, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK32rr, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK64rm, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCMSK64rr, X86_INS_BLCMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS32rm, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS32rr, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS64rm, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLCS64rr, X86_INS_BLCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL32rm, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL32rr, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL64rm, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSFILL64rr, X86_INS_BLSFILL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI32rm, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI32rr, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI64rm, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSI64rr, X86_INS_BLSI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC32rm, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC32rr, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC64rm, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSIC64rr, X86_INS_BLSIC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK32rm, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK32rr, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK64rm, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSMSK64rr, X86_INS_BLSMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR32rm, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR32rr, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR64rm, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BLSR64rr, X86_INS_BLSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_BOUNDS16rm, X86_INS_BOUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BOUNDS32rm, X86_INS_BOUND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF16rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF16rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF32rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF32rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF64rm, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSF64rr, X86_INS_BSF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR16rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR16rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR32rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR32rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR64rm, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSR64rr, X86_INS_BSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSWAP32r, X86_INS_BSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BSWAP64r, X86_INS_BSWAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT16rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT32rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64mi8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64mr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64ri8, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BT64rr, X86_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC16rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC32rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64mi8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64mr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64ri8, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTC64rr, X86_INS_BTC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR16rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR32rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64mi8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64mr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64ri8, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTR64rr, X86_INS_BTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS16rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS32rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64mi8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64mr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64ri8, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BTS64rr, X86_INS_BTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI32rm, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI32rr, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI64rm, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_BZHI64rr, X86_INS_BZHI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL16m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL16r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL32m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL32r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64m, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64pcrel32, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, X86_REG_RIP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALL64r, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_CALL, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALLpcrel16, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EIP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_CALLpcrel32, X86_INS_CALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EIP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CBW, X86_INS_CBW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CDQ, X86_INS_CDQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CDQE, X86_INS_CDQE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_RAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLAC, X86_INS_CLAC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLC, X86_INS_CLC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLD, X86_INS_CLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLFLUSHOPT, X86_INS_CLFLUSHOPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLGI, X86_INS_CLGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLI, X86_INS_CLI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CLTS, X86_INS_CLTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CLWB, X86_INS_CLWB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMC, X86_INS_CMC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA16rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA16rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA32rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA32rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA64rm, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVA64rr, X86_INS_CMOVA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE16rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE16rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE32rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE32rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE64rm, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVAE64rr, X86_INS_CMOVAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB16rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB16rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB32rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB32rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB64rm, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVB64rr, X86_INS_CMOVB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE16rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE16rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE32rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE32rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE64rm, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVBE64rr, X86_INS_CMOVBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE16rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE16rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE32rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE32rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE64rm, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVE64rr, X86_INS_CMOVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG16rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG16rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG32rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG32rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG64rm, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVG64rr, X86_INS_CMOVG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE16rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE16rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE32rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE32rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE64rm, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVGE64rr, X86_INS_CMOVGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL16rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL16rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL32rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL32rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL64rm, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVL64rr, X86_INS_CMOVL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE16rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE16rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE32rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE32rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE64rm, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVLE64rr, X86_INS_CMOVLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE16rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE16rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE32rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE32rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE64rm, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNE64rr, X86_INS_CMOVNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO16rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO16rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO32rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO32rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO64rm, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNO64rr, X86_INS_CMOVNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP16rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP16rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP32rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP32rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP64rm, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNP64rr, X86_INS_CMOVNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS16rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS16rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS32rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS32rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS64rm, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVNS64rr, X86_INS_CMOVNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO16rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO16rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO32rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO32rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO64rm, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVO64rr, X86_INS_CMOVO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP16rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP16rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP32rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP32rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP64rm, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVP64rr, X86_INS_CMOVP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS16rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS16rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS32rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS32rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS64rm, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMOVS64rr, X86_INS_CMOVS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_CMOV, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16i16, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP16rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32i32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP32rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64i32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mi32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64ri32, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP64rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8i8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mi, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mi8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8mr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8ri, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8ri8, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rm, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rr, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMP8rr_REV, X86_INS_CMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSB, X86_INS_CMPSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSL, X86_INS_CMPSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSQ, X86_INS_CMPSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPSW, X86_INS_CMPSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16B, X86_INS_CMPXCHG16B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG16rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG32rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG32rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG64rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG64rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8B, X86_INS_CMPXCHG8B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8rm, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CMPXCHG8rr, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CPUID, X86_INS_CPUID,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CQO, X86_INS_CQO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CWD, X86_INS_CWD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_CWDE, X86_INS_CWDE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DAA, X86_INS_DAA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DAS, X86_INS_DAS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DATA16_PREFIX, X86_INS_DATA16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC16r_alt, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC32r_alt, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC64m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC64r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC8m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DEC8r, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV16m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV16r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV32m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV32r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV64m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV64r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV8m, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_DIV8r, X86_INS_DIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENTER, X86_INS_ENTER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL16i, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL16m, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL32i, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL32m, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARCALL64, X86_INS_LCALL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { 0 }, { X86_GRP_CALL, 0 }, 0, 0
+#endif
+},
+{
+	X86_FARJMP16i, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP16m, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP32i, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP32m, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FARJMP64, X86_INS_LJMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	X86_FSETPM, X86_INS_FSETPM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_GETSEC, X86_INS_GETSEC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_HLT, X86_INS_HLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV16m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV16r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_DX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV32m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV32r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV64m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV64r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV8m, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IDIV8r, X86_INS_IDIV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AL, X86_REG_AH, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rmi, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rri, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL16rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rmi, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rri, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL32rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rm, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rmi32, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rmi8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rr, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rri32, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL64rri8, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL8m, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IMUL8r, X86_INS_IMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN16ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN16rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN32ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN32rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN8ri, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_IN8rr, X86_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, 0 }, { X86_REG_AL, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC16r_alt, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC32r_alt, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INC64m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC64r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC8m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INC8r, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSB, X86_INS_INSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSL, X86_INS_INSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INSW, X86_INS_INSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_INT, X86_INS_INT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INT1, X86_INS_INT1,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INT3, X86_INS_INT3,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_INTO, X86_INS_INTO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { X86_GRP_INT, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVD, X86_INS_INVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVEPT32, X86_INS_INVEPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVEPT64, X86_INS_INVEPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPG, X86_INS_INVLPG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPGA32, X86_INS_INVLPGA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVLPGA64, X86_INS_INVLPGA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVPCID32, X86_INS_INVPCID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVPCID64, X86_INS_INVPCID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVVPID32, X86_INS_INVVPID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_INVVPID64, X86_INS_INVVPID,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET16, X86_INS_IRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET32, X86_INS_IRETD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_IRET64, X86_INS_IRETQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_JAE_1, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JAE_2, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JAE_4, X86_INS_JAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_1, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_2, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JA_4, X86_INS_JA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_1, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_2, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JBE_4, X86_INS_JBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_1, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_2, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JB_4, X86_INS_JB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JCXZ, X86_INS_JCXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CX, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JECXZ, X86_INS_JECXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_1, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_2, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JE_4, X86_INS_JE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_1, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_2, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JGE_4, X86_INS_JGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_1, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_2, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JG_4, X86_INS_JG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_1, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_2, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JLE_4, X86_INS_JLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_1, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_2, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JL_4, X86_INS_JL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP16m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP16r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP32m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP32r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP64m, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP64r, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 1, 1
+#endif
+},
+{
+	X86_JMP_1, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP_2, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JMP_4, X86_INS_JMP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_1, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_2, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNE_4, X86_INS_JNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_1, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_2, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNO_4, X86_INS_JNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_1, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_2, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNP_4, X86_INS_JNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_1, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_2, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JNS_4, X86_INS_JNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_1, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_2, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JO_4, X86_INS_JO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_1, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_2, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JP_4, X86_INS_JP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JRCXZ, X86_INS_JRCXZ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RCX, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_1, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_2, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_JS_4, X86_INS_JS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	X86_LAHF, X86_INS_LAHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_AH, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR16rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR16rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR32rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR32rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR64rm, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LAR64rr, X86_INS_LAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG16, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG16B, X86_INS_CMPXCHG16B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RBX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG32, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG64, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG8, X86_INS_CMPXCHG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LCMPXCHG8B, X86_INS_CMPXCHG8B,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EBX, X86_REG_ECX, X86_REG_EDX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LDS16rm, X86_INS_LDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LDS32rm, X86_INS_LDS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA16r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA32r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA64_32r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEA64r, X86_INS_LEA,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LEAVE, X86_INS_LEAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EBP, X86_REG_ESP, 0 }, { X86_REG_EBP, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LEAVE64, X86_INS_LEAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBP, X86_REG_RSP, 0 }, { X86_REG_RBP, X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LES16rm, X86_INS_LES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LES32rm, X86_INS_LES,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS16rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS32rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LFS64rm, X86_INS_LFS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT16m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT32m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGDT64m, X86_INS_LGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS16rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS32rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LGS64rm, X86_INS_LGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT16m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT32m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LIDT64m, X86_INS_LIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LLDT16m, X86_INS_LLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LLDT16r, X86_INS_LLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LMSW16m, X86_INS_LMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LMSW16r, X86_INS_LMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD16mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD32mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mi32, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mi8, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD64mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD8mi, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_ADD8mr, X86_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND16mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND32mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mi32, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mi8, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND64mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND8mi, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_AND8mr, X86_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC16m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC32m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC64m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_DEC8m, X86_INS_DEC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC16m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC32m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC64m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_INC8m, X86_INS_INC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR16mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR32mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mi32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR64mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR8mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_OR8mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB16mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB32mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mi32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB64mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB8mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_SUB8mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR16mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR32mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mi32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR64mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR8mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOCK_XOR8mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSB, X86_INS_LODSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AL, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSL, X86_INS_LODSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSQ, X86_INS_LODSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_RAX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LODSW, X86_INS_LODSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_AX, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOP, X86_INS_LOOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOPE, X86_INS_LOOPE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LOOPNE, X86_INS_LOOPNE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIL, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIQ, X86_INS_RETFQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETIW, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETL, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETQ, X86_INS_RETFQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_LRETW, X86_INS_RETF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL16rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL16rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL32rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL32rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL64rm, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSL64rr, X86_INS_LSL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS16rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS32rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LSS64rm, X86_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LTRm, X86_INS_LTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LTRr, X86_INS_LTR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD16, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD32, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD64, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LXADD8, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT16rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT16rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT32rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT32rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT64rm, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_LZCNT64rr, X86_INS_LZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MONTMUL, X86_INS_MONTMUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_RSI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV16sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32cr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32dr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rc, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rd, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV32sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64cr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64dr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64mi32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ms, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rc, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rd, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ri, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64ri32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64rs, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64sm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV64sr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao16, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao32, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ao64, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mi, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8mr_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o16a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o32a, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8o64a, X86_INS_MOVABS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ri, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8ri_alt, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rm, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rm_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr_NOREX, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOV8rr_REV, X86_INS_MOV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE16mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE16rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE32mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE32rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE64mr, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVBE64rm, X86_INS_MOVBE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSB, X86_INS_MOVSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSL, X86_INS_MOVSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSQ, X86_INS_MOVSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSW, X86_INS_MOVSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX16rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX16rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32_NOREXrm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32_NOREXrr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rm16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rr16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX32rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64_NOREXrr32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm32_alt, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rm8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr16, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr32, X86_INS_MOVSXD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVSX64rr8, X86_INS_MOVSX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX16rm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX16rr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32_NOREXrm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32_NOREXrr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rm16, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rm8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rr16, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX32rr8, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rm16_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rm8_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rr16_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MOVZX64rr8_Q, X86_INS_MOVZX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL16m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL16r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { X86_REG_AX, X86_REG_DX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL32m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL32r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { X86_REG_EAX, X86_REG_EDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL64m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL64r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { X86_REG_RAX, X86_REG_RDX, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL8m, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MUL8r, X86_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { X86_REG_AL, X86_REG_EFLAGS, X86_REG_AX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX32rm, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX32rr, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX64rm, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_MULX64rr, X86_INS_MULX,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG16m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG16r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG32m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG32r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG64m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG64r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG8m, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NEG8r, X86_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16m7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_16r7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_m7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r4, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r5, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r6, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP18_r7, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOP19rr, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_19, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1a, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1b, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1c, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1d, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPL_1e, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_19, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1a, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1b, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1c, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1d, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOOPW_1e, X86_INS_NOP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT16m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT16r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT32m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT32r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT64m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT64r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT8m, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_NOT8r, X86_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16i16, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR16rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32i32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32mrLocked, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR32rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64i32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mi32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64ri32, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR64rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8i8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mi, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mi8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8mr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8ri, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8ri8, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rm, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rr, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OR8rr_REV, X86_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT16ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT16rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_AX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT32ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT32rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_EAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT8ir, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUT8rr, X86_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_AL, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSB, X86_INS_OUTSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSL, X86_INS_OUTSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_OUTSW, X86_INS_OUTSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_DX, X86_REG_ESI, X86_REG_EFLAGS, 0 }, { X86_REG_ESI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PCOMMIT, X86_INS_PCOMMIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP32rm, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP32rr, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP64rm, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PDEP64rr, X86_INS_PDEP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT32rm, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT32rr, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT64rm, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_PEXT64rr, X86_INS_PEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP16rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP32rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64r, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64rmm, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POP64rmr, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPA16, X86_INS_POPAW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPA32, X86_INS_POPAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPDS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPDS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPES16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPES32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF16, X86_INS_POPF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF32, X86_INS_POPFD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPF64, X86_INS_POPFQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPFS64, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPGS64, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPSS16, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_POPSS32, X86_INS_POP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH16rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH32rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64i8, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64r, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64rmm, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSH64rmr, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHA16, X86_INS_PUSHAW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHA32, X86_INS_PUSHAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDI, X86_REG_ESI, X86_REG_EBP, X86_REG_EBX, X86_REG_EDX, X86_REG_ECX, X86_REG_EAX, X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHCS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHCS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHDS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHDS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHES16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHES32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF16, X86_INS_PUSHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_REG_ESP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF32, X86_INS_PUSHFD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, X86_REG_EFLAGS, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHF64, X86_INS_PUSHFQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RSP, X86_REG_EFLAGS, 0 }, { X86_REG_RSP, 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHFS64, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHGS64, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHSS16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHSS32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHi16, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_PUSHi32, X86_INS_PUSH,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ESP, 0 }, { X86_REG_ESP, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL16ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL32ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL64ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8m1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8mCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8mi, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8r1, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8rCL, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCL8ri, X86_INS_RCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR16ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR32ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR64ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8m1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8mCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8mi, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8r1, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8rCL, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RCR8ri, X86_INS_RCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDFSBASE, X86_INS_RDFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDFSBASE64, X86_INS_RDFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDGSBASE, X86_INS_RDGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDGSBASE64, X86_INS_RDGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDMSR, X86_INS_RDMSR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_EAX, X86_REG_EDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDPMC, X86_INS_RDPMC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND16r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND32r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDRAND64r, X86_INS_RDRAND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED16r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED32r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDSEED64r, X86_INS_RDSEED,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDTSC, X86_INS_RDTSC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_RAX, X86_REG_RDX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RDTSCP, X86_INS_RDTSCP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_RAX, X86_REG_RCX, X86_REG_RDX, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIL, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIQ, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETIW, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETL, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETQ, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_RETW, X86_INS_RET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_RET, 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL16ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL32ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL64ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8m1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8mCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8mi, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8r1, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8rCL, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROL8ri, X86_INS_ROL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR16ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR32ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR64ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8m1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8mCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8mi, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8r1, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8rCL, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ROR8ri, X86_INS_ROR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX32mi, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX32ri, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX64mi, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RORX64ri, X86_INS_RORX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_RSM, X86_INS_RSM,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SAHF, X86_INS_SAHF,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AH, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL16ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL32ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL64ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8m1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8mCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8mi, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8r1, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8rCL, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAL8ri, X86_INS_SAL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SALC, X86_INS_SALC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_AL, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR16ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR32ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR64ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8m1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8mCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8mi, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8r1, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8rCL, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SAR8ri, X86_INS_SAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX32rm, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX32rr, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX64rm, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SARX64rr, X86_INS_SARX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16i16, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB16rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32i32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB32rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64i32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mi32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64ri32, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB64rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8i8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mi, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mi8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8mr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8ri, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8ri8, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rm, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rr, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SBB8rr_REV, X86_INS_SBB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASB, X86_INS_SCASB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASL, X86_INS_SCASD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASQ, X86_INS_SCASQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SCASW, X86_INS_SCASW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAEm, X86_INS_SETAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAEr, X86_INS_SETAE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAm, X86_INS_SETA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETAr, X86_INS_SETA,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBEm, X86_INS_SETBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBEr, X86_INS_SETBE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBm, X86_INS_SETB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETBr, X86_INS_SETB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETEm, X86_INS_SETE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETEr, X86_INS_SETE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGEm, X86_INS_SETGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGEr, X86_INS_SETGE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGm, X86_INS_SETG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETGr, X86_INS_SETG,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLEm, X86_INS_SETLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLEr, X86_INS_SETLE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLm, X86_INS_SETL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETLr, X86_INS_SETL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNEm, X86_INS_SETNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNEr, X86_INS_SETNE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNOm, X86_INS_SETNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNOr, X86_INS_SETNO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNPm, X86_INS_SETNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNPr, X86_INS_SETNP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNSm, X86_INS_SETNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETNSr, X86_INS_SETNS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETOm, X86_INS_SETO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETOr, X86_INS_SETO,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETPm, X86_INS_SETP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETPr, X86_INS_SETP,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETSm, X86_INS_SETS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SETSr, X86_INS_SETS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EFLAGS, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT16m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT32m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SGDT64m, X86_INS_SGDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL16ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL32ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL64ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8m1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8mCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8mi, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8r1, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8rCL, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHL8ri, X86_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD16rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD32rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64mrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64mri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64rrCL, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLD64rri8, X86_INS_SHLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX32rm, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX32rr, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX64rm, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHLX64rr, X86_INS_SHLX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR16ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR32ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR64ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8m1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8mCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8mi, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8r1, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8rCL, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHR8ri, X86_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD16rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD32rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64mrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64mri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64rrCL, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_CL, 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRD64rri8, X86_INS_SHRD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX32rm, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX32rr, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX64rm, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SHRX64rr, X86_INS_SHRX,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_BMI2, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT16m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT32m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SIDT64m, X86_INS_SIDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SKINIT, X86_INS_SKINIT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT16m, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT16r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT32r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT64m, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SLDT64r, X86_INS_SLDT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW16m, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW16r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW32r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SMSW64r, X86_INS_SMSW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STAC, X86_INS_STAC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STC, X86_INS_STC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STD, X86_INS_STD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STGI, X86_INS_STGI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_STI, X86_INS_STI,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSB, X86_INS_STOSB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AL, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSL, X86_INS_STOSD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSQ, X86_INS_STOSQ,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RCX, X86_REG_RDI, X86_REG_EFLAGS, 0 }, { X86_REG_RCX, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STOSW, X86_INS_STOSW,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_AX, X86_REG_EDI, X86_REG_EFLAGS, 0 }, { X86_REG_EDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_STR16r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STR32r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STR64r, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_STRm, X86_INS_STR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16i16, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB16rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32i32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB32rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64i32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mi32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64ri32, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB64rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8i8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mi, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mi8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8mr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8ri, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8ri8, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rm, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rr, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SUB8rr_REV, X86_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_SWAPGS, X86_INS_SWAPGS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSCALL, X86_INS_SYSCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSENTER, X86_INS_SYSENTER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_INT, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSEXIT, X86_INS_SYSEXIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSEXIT64, X86_INS_SYSEXIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSRET, X86_INS_SYSRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_IRET, 0 }, 0, 0
+#endif
+},
+{
+	X86_SYSRET64, X86_INS_SYSRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_IRET, X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC32rm, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC32rr, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC64rm, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_T1MSKC64rr, X86_INS_T1MSKC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16i16, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST16rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32i32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST32rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64i32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64mi32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64mi32_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64ri32, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64ri32_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST64rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8i8, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8mi, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8mi_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8ri, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8ri_alt, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8rm, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TEST8rr, X86_INS_TEST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TRAP, X86_INS_UD2,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT16rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT16rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT32rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT32rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT64rm, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZCNT64rr, X86_INS_TZCNT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_BMI, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK32rm, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK32rr, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK64rm, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_TZMSK64rr, X86_INS_TZMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_TBM, 0 }, 0, 0
+#endif
+},
+{
+	X86_UD2B, X86_INS_UD2B,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERRm, X86_INS_VERR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERRr, X86_INS_VERR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERWm, X86_INS_VERW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VERWr, X86_INS_VERW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_VMCALL, X86_INS_VMCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMCLEARm, X86_INS_VMCLEAR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMFUNC, X86_INS_VMFUNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLAUNCH, X86_INS_VMLAUNCH,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLOAD32, X86_INS_VMLOAD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMLOAD64, X86_INS_VMLOAD,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMMCALL, X86_INS_VMMCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPTRLDm, X86_INS_VMPTRLD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMPTRSTm, X86_INS_VMPTRST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD32rm, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD32rr, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD64rm, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMREAD64rr, X86_INS_VMREAD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRESUME, X86_INS_VMRESUME,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRUN32, X86_INS_VMRUN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMRUN64, X86_INS_VMRUN,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMSAVE32, X86_INS_VMSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMSAVE64, X86_INS_VMSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE32rm, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE32rr, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE64rm, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMWRITE64rr, X86_INS_VMWRITE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMXOFF, X86_INS_VMXOFF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_VMXON, X86_INS_VMXON,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_VM, 0 }, 0, 0
+#endif
+},
+{
+	X86_WBINVD, X86_INS_WBINVD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRFSBASE, X86_INS_WRFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRFSBASE64, X86_INS_WRFSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRGSBASE, X86_INS_WRGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRGSBASE64, X86_INS_WRGSBASE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_FSGSBASE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_WRMSR, X86_INS_WRMSR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EAX, X86_REG_ECX, X86_REG_EDX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD16rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD16rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD32rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD32rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD64rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD64rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD8rm, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XADD8rr, X86_INS_XADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG16ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG16rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG16rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32ar64, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG32rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64ar, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG64rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG8rm, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCHG8rr, X86_INS_XCHG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCBC, X86_INS_XCRYPTCBC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCFB, X86_INS_XCRYPTCFB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTCTR, X86_INS_XCRYPTCTR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTECB, X86_INS_XCRYPTECB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XCRYPTOFB, X86_INS_XCRYPTOFB,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RBX, X86_REG_RDX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XGETBV, X86_INS_XGETBV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_ECX, 0 }, { X86_REG_EDX, X86_REG_EAX, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XLAT, X86_INS_XLATB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16i16, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR16rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32i32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR32rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64i32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mi32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64ri32, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR64rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8i8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mi, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mi8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8mr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8ri, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8ri8, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { X86_GRP_NOT64BITMODE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rm, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rr, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XOR8rr_REV, X86_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { X86_REG_EFLAGS, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTOR, X86_INS_XRSTOR,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTOR64, X86_INS_XRSTOR64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTORS, X86_INS_XRSTORS,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XRSTORS64, X86_INS_XRSTORS64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVE, X86_INS_XSAVE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVE64, X86_INS_XSAVE64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEC, X86_INS_XSAVEC,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEC64, X86_INS_XSAVEC64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEOPT, X86_INS_XSAVEOPT,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVEOPT64, X86_INS_XSAVEOPT64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVES, X86_INS_XSAVES,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSAVES64, X86_INS_XSAVES64,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RAX, 0 }, { 0 }, { X86_GRP_MODE64, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSETBV, X86_INS_XSETBV,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_EDX, X86_REG_EAX, X86_REG_ECX, 0 }, { 0 }, { X86_GRP_PRIVILEGE, 0 }, 0, 0
+#endif
+},
+{
+	X86_XSHA1, X86_INS_XSHA1,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSHA256, X86_INS_XSHA256,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RSI, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_XSTORE, X86_INS_XSTORE,
+#ifndef CAPSTONE_DIET
+	{ X86_REG_RDX, X86_REG_RDI, 0 }, { X86_REG_RAX, X86_REG_RDI, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_UD0, X86_INS_UD0,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENDBR32, X86_INS_ENDBR32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	X86_ENDBR64, X86_INS_ENDBR64,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/X86/X86Module.c 4.0.2-3/arch/X86/X86Module.c
--- 4.0.1+really+3.0.5-2/arch/X86/X86Module.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/X86/X86Module.c	2020-05-08 10:03:30.000000000 +0000
@@ -27,6 +27,9 @@ cs_err X86_global_init(cs_struct *ud)
 	ud->insn_name = X86_insn_name;
 	ud->group_name = X86_group_name;
 	ud->post_printer = NULL;;
+#ifndef CAPSTONE_DIET
+	ud->reg_access = X86_reg_access;
+#endif
 
 	if (ud->mode == CS_MODE_64)
 		ud->regsize_map = regsize_map_64;
@@ -58,8 +61,13 @@ cs_err X86_option(cs_struct *handle, cs_
 
 				case CS_OPT_SYNTAX_DEFAULT:
 				case CS_OPT_SYNTAX_INTEL:
-					handle->printer = X86_Intel_printInst;
 					handle->syntax = CS_OPT_SYNTAX_INTEL;
+					handle->printer = X86_Intel_printInst;
+					break;
+
+				case CS_OPT_SYNTAX_MASM:
+					handle->printer = X86_Intel_printInst;
+					handle->syntax = (int)value;
 					break;
 
 				case CS_OPT_SYNTAX_ATT:
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreDisassembler.c 4.0.2-3/arch/XCore/XCoreDisassembler.c
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreDisassembler.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreDisassembler.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_XCORE
 
@@ -19,6 +19,8 @@
 #include "../../cs_priv.h"
 #include "../../utils.h"
 
+#include "XCoreDisassembler.h"
+
 #include "../../MCInst.h"
 #include "../../MCInstrDesc.h"
 #include "../../MCFixedLenDisassembler.h"
@@ -50,7 +52,8 @@ static bool readInstruction32(const uint
 		return false;
 
 	// Encoded as a little-endian 32-bit word in the stream.
-	*insn = (code[0] << 0) | (code[1] << 8) | (code[2] << 16) | (((uint32_t) code[3]) << 24);
+	*insn = (code[0] << 0) | (code[1] << 8) | (code[2] << 16) | ((uint32_t) code[3] << 24);
+
 	return true;
 }
 
@@ -738,7 +741,7 @@ bool XCore_getInstruction(csh ud, const
 	}
 
 	if (MI->flat_insn->detail) {
-		memset(MI->flat_insn->detail, 0, sizeof(cs_detail));
+		memset(MI->flat_insn->detail, 0, offsetof(cs_detail, xcore)+sizeof(cs_xcore));
 	}
 
 	// Calling the auto-generated decoder function.
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreDisassembler.h 4.0.2-3/arch/XCore/XCoreDisassembler.h
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_XCOREDISASSEMBLER_H
 #define CS_XCOREDISASSEMBLER_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 #include "../../MCRegisterInfo.h"
 #include "../../MCInst.h"
 
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenAsmWriter.inc 4.0.2-3/arch/XCore/XCoreGenAsmWriter.inc
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenAsmWriter.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreGenAsmWriter.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,10 +7,10 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include <stdio.h>	// debug
-#include <platform.h>
+#include <capstone/platform.h>
 
 
 /// printInstruction - This method is automatically generated by tablegen
@@ -38,6 +38,8 @@ static void printInstruction(MCInst *MI,
     0U,	// STACKMAP
     0U,	// PATCHPOINT
     0U,	// LOAD_STACK_GUARD
+    0U,	// STATEPOINT
+    0U,	// FRAME_ALLOC
     2250U,	// ADD_2rus
     2250U,	// ADD_3r
     10363U,	// ADJCALLSTACKDOWN
@@ -754,13 +756,13 @@ static const char *getRegisterName(unsig
   /* 47 */ 'l', 'r', 0,
   };
 
-  static const uint32_t RegAsmOffset[] = {
+  static const uint8_t RegAsmOffset[] = {
     38, 41, 47, 44, 4, 11, 14, 17, 20, 23, 26, 29, 32, 35, 
     0, 7, 
   };
 
   //int i;
-  //for (i = 0; i < sizeof(RegAsmOffset)/4; i++)
+  //for (i = 0; i < sizeof(RegAsmOffset); i++)
   //     printf("%s = %u\n", AsmStrs+RegAsmOffset[i], i + 1);
   //printf("*************************\n");
   return AsmStrs+RegAsmOffset[RegNo-1];
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenDisassemblerTables.inc 4.0.2-3/arch/XCore/XCoreGenDisassemblerTables.inc
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenDisassemblerTables.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreGenDisassemblerTables.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "../../MCInst.h"
 #include "../../LEB128.h"
@@ -29,329 +29,329 @@ static const uint8_t DecoderTable16[] =
 /* 3 */       MCD_OPC_FilterValue, 0, 108, 0, // Skip to: 115
 /* 7 */       MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
 /* 10 */      MCD_OPC_FilterValue, 236, 15, 4, 0, // Skip to: 19
-/* 15 */      MCD_OPC_Decode, 241, 1, 0, // Opcode: WAITEU_0R
+/* 15 */      MCD_OPC_Decode, 243, 1, 0, // Opcode: WAITEU_0R
 /* 19 */      MCD_OPC_FilterValue, 237, 15, 3, 0, // Skip to: 27
-/* 24 */      MCD_OPC_Decode, 57, 0, // Opcode: CLRE_0R
+/* 24 */      MCD_OPC_Decode, 59, 0, // Opcode: CLRE_0R
 /* 27 */      MCD_OPC_FilterValue, 238, 15, 4, 0, // Skip to: 36
-/* 32 */      MCD_OPC_Decode, 216, 1, 0, // Opcode: SSYNC_0r
+/* 32 */      MCD_OPC_Decode, 218, 1, 0, // Opcode: SSYNC_0r
 /* 36 */      MCD_OPC_FilterValue, 239, 15, 3, 0, // Skip to: 44
-/* 41 */      MCD_OPC_Decode, 91, 0, // Opcode: FREET_0R
+/* 41 */      MCD_OPC_Decode, 93, 0, // Opcode: FREET_0R
 /* 44 */      MCD_OPC_FilterValue, 252, 15, 3, 0, // Skip to: 52
-/* 49 */      MCD_OPC_Decode, 66, 0, // Opcode: DCALL_0R
+/* 49 */      MCD_OPC_Decode, 68, 0, // Opcode: DCALL_0R
 /* 52 */      MCD_OPC_FilterValue, 253, 15, 3, 0, // Skip to: 60
-/* 57 */      MCD_OPC_Decode, 123, 0, // Opcode: KRET_0R
+/* 57 */      MCD_OPC_Decode, 125, 0, // Opcode: KRET_0R
 /* 60 */      MCD_OPC_FilterValue, 254, 15, 3, 0, // Skip to: 68
-/* 65 */      MCD_OPC_Decode, 72, 0, // Opcode: DRET_0R
+/* 65 */      MCD_OPC_Decode, 74, 0, // Opcode: DRET_0R
 /* 68 */      MCD_OPC_FilterValue, 255, 15, 4, 0, // Skip to: 77
-/* 73 */      MCD_OPC_Decode, 197, 1, 0, // Opcode: SETKEP_0R
+/* 73 */      MCD_OPC_Decode, 199, 1, 0, // Opcode: SETKEP_0R
 /* 77 */      MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 80 */      MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 87
-/* 84 */      MCD_OPC_Decode, 75, 1, // Opcode: EDU_1r
+/* 84 */      MCD_OPC_Decode, 77, 1, // Opcode: EDU_1r
 /* 87 */      MCD_OPC_FilterValue, 127, 3, 0, // Skip to: 94
-/* 91 */      MCD_OPC_Decode, 78, 1, // Opcode: EEU_1r
+/* 91 */      MCD_OPC_Decode, 80, 1, // Opcode: EEU_1r
 /* 94 */      MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 97 */      MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 104
-/* 101 */     MCD_OPC_Decode, 109, 2, // Opcode: INITPC_2r
+/* 101 */     MCD_OPC_Decode, 111, 2, // Opcode: INITPC_2r
 /* 104 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 111
-/* 108 */     MCD_OPC_Decode, 103, 2, // Opcode: GETST_2r
-/* 111 */     MCD_OPC_Decode, 228, 1, 3, // Opcode: STW_2rus
+/* 108 */     MCD_OPC_Decode, 105, 2, // Opcode: GETST_2r
+/* 111 */     MCD_OPC_Decode, 230, 1, 3, // Opcode: STW_2rus
 /* 115 */     MCD_OPC_FilterValue, 1, 114, 0, // Skip to: 233
 /* 119 */     MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
 /* 122 */     MCD_OPC_FilterValue, 236, 15, 4, 0, // Skip to: 131
-/* 127 */     MCD_OPC_Decode, 150, 1, 0, // Opcode: LDSPC_0R
+/* 127 */     MCD_OPC_Decode, 152, 1, 0, // Opcode: LDSPC_0R
 /* 131 */     MCD_OPC_FilterValue, 237, 15, 4, 0, // Skip to: 140
-/* 136 */     MCD_OPC_Decode, 221, 1, 0, // Opcode: STSPC_0R
+/* 136 */     MCD_OPC_Decode, 223, 1, 0, // Opcode: STSPC_0R
 /* 140 */     MCD_OPC_FilterValue, 238, 15, 4, 0, // Skip to: 149
-/* 145 */     MCD_OPC_Decode, 151, 1, 0, // Opcode: LDSSR_0R
+/* 145 */     MCD_OPC_Decode, 153, 1, 0, // Opcode: LDSSR_0R
 /* 149 */     MCD_OPC_FilterValue, 239, 15, 4, 0, // Skip to: 158
-/* 154 */     MCD_OPC_Decode, 222, 1, 0, // Opcode: STSSR_0R
+/* 154 */     MCD_OPC_Decode, 224, 1, 0, // Opcode: STSSR_0R
 /* 158 */     MCD_OPC_FilterValue, 252, 15, 4, 0, // Skip to: 167
-/* 163 */     MCD_OPC_Decode, 220, 1, 0, // Opcode: STSED_0R
+/* 163 */     MCD_OPC_Decode, 222, 1, 0, // Opcode: STSED_0R
 /* 167 */     MCD_OPC_FilterValue, 253, 15, 4, 0, // Skip to: 176
-/* 172 */     MCD_OPC_Decode, 219, 1, 0, // Opcode: STET_0R
+/* 172 */     MCD_OPC_Decode, 221, 1, 0, // Opcode: STET_0R
 /* 176 */     MCD_OPC_FilterValue, 254, 15, 3, 0, // Skip to: 184
-/* 181 */     MCD_OPC_Decode, 93, 0, // Opcode: GETED_0R
+/* 181 */     MCD_OPC_Decode, 95, 0, // Opcode: GETED_0R
 /* 184 */     MCD_OPC_FilterValue, 255, 15, 3, 0, // Skip to: 192
-/* 189 */     MCD_OPC_Decode, 94, 0, // Opcode: GETET_0R
+/* 189 */     MCD_OPC_Decode, 96, 0, // Opcode: GETET_0R
 /* 192 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 195 */     MCD_OPC_FilterValue, 126, 4, 0, // Skip to: 203
-/* 199 */     MCD_OPC_Decode, 240, 1, 1, // Opcode: WAITET_1R
+/* 199 */     MCD_OPC_Decode, 242, 1, 1, // Opcode: WAITET_1R
 /* 203 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 211
-/* 207 */     MCD_OPC_Decode, 239, 1, 1, // Opcode: WAITEF_1R
+/* 207 */     MCD_OPC_Decode, 241, 1, 1, // Opcode: WAITEF_1R
 /* 211 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 214 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 221
-/* 218 */     MCD_OPC_Decode, 107, 2, // Opcode: INITDP_2r
+/* 218 */     MCD_OPC_Decode, 109, 2, // Opcode: INITDP_2r
 /* 221 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 229
-/* 225 */     MCD_OPC_Decode, 181, 1, 4, // Opcode: OUTT_2r
-/* 229 */     MCD_OPC_Decode, 161, 1, 3, // Opcode: LDW_2rus
+/* 225 */     MCD_OPC_Decode, 183, 1, 4, // Opcode: OUTT_2r
+/* 229 */     MCD_OPC_Decode, 163, 1, 3, // Opcode: LDW_2rus
 /* 233 */     MCD_OPC_FilterValue, 2, 100, 0, // Skip to: 337
 /* 237 */     MCD_OPC_ExtractField, 0, 11,  // Inst{10-0} ...
 /* 240 */     MCD_OPC_FilterValue, 236, 15, 3, 0, // Skip to: 248
-/* 245 */     MCD_OPC_Decode, 67, 0, // Opcode: DENTSP_0R
+/* 245 */     MCD_OPC_Decode, 69, 0, // Opcode: DENTSP_0R
 /* 248 */     MCD_OPC_FilterValue, 237, 15, 3, 0, // Skip to: 256
-/* 253 */     MCD_OPC_Decode, 71, 0, // Opcode: DRESTSP_0R
+/* 253 */     MCD_OPC_Decode, 73, 0, // Opcode: DRESTSP_0R
 /* 256 */     MCD_OPC_FilterValue, 238, 15, 3, 0, // Skip to: 264
-/* 261 */     MCD_OPC_Decode, 95, 0, // Opcode: GETID_0R
+/* 261 */     MCD_OPC_Decode, 97, 0, // Opcode: GETID_0R
 /* 264 */     MCD_OPC_FilterValue, 239, 15, 3, 0, // Skip to: 272
-/* 269 */     MCD_OPC_Decode, 96, 0, // Opcode: GETKEP_0R
+/* 269 */     MCD_OPC_Decode, 98, 0, // Opcode: GETKEP_0R
 /* 272 */     MCD_OPC_FilterValue, 252, 15, 3, 0, // Skip to: 280
-/* 277 */     MCD_OPC_Decode, 97, 0, // Opcode: GETKSP_0R
+/* 277 */     MCD_OPC_Decode, 99, 0, // Opcode: GETKSP_0R
 /* 280 */     MCD_OPC_FilterValue, 253, 15, 4, 0, // Skip to: 289
-/* 285 */     MCD_OPC_Decode, 149, 1, 0, // Opcode: LDSED_0R
+/* 285 */     MCD_OPC_Decode, 151, 1, 0, // Opcode: LDSED_0R
 /* 289 */     MCD_OPC_FilterValue, 254, 15, 4, 0, // Skip to: 298
-/* 294 */     MCD_OPC_Decode, 147, 1, 0, // Opcode: LDET_0R
+/* 294 */     MCD_OPC_Decode, 149, 1, 0, // Opcode: LDET_0R
 /* 298 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 301 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 308
-/* 305 */     MCD_OPC_Decode, 90, 1, // Opcode: FREER_1r
+/* 305 */     MCD_OPC_Decode, 92, 1, // Opcode: FREER_1r
 /* 308 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 316
-/* 312 */     MCD_OPC_Decode, 169, 1, 1, // Opcode: MJOIN_1r
+/* 312 */     MCD_OPC_Decode, 171, 1, 1, // Opcode: MJOIN_1r
 /* 316 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 319 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 326
-/* 323 */     MCD_OPC_Decode, 110, 2, // Opcode: INITSP_2r
+/* 323 */     MCD_OPC_Decode, 112, 2, // Opcode: INITSP_2r
 /* 326 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 334
-/* 330 */     MCD_OPC_Decode, 195, 1, 4, // Opcode: SETD_2r
-/* 334 */     MCD_OPC_Decode, 21, 5, // Opcode: ADD_3r
+/* 330 */     MCD_OPC_Decode, 197, 1, 4, // Opcode: SETD_2r
+/* 334 */     MCD_OPC_Decode, 23, 5, // Opcode: ADD_3r
 /* 337 */     MCD_OPC_FilterValue, 3, 41, 0, // Skip to: 382
 /* 341 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 344 */     MCD_OPC_FilterValue, 126, 4, 0, // Skip to: 352
-/* 348 */     MCD_OPC_Decode, 238, 1, 1, // Opcode: TSTART_1R
+/* 348 */     MCD_OPC_Decode, 240, 1, 1, // Opcode: TSTART_1R
 /* 352 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 360
-/* 356 */     MCD_OPC_Decode, 172, 1, 1, // Opcode: MSYNC_1r
+/* 356 */     MCD_OPC_Decode, 174, 1, 1, // Opcode: MSYNC_1r
 /* 360 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 363 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 370
-/* 367 */     MCD_OPC_Decode, 106, 2, // Opcode: INITCP_2r
+/* 367 */     MCD_OPC_Decode, 108, 2, // Opcode: INITCP_2r
 /* 370 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 378
-/* 374 */     MCD_OPC_Decode, 236, 1, 6, // Opcode: TSETMR_2r
-/* 378 */     MCD_OPC_Decode, 231, 1, 5, // Opcode: SUB_3r
+/* 374 */     MCD_OPC_Decode, 238, 1, 6, // Opcode: TSETMR_2r
+/* 378 */     MCD_OPC_Decode, 233, 1, 5, // Opcode: SUB_3r
 /* 382 */     MCD_OPC_FilterValue, 4, 30, 0, // Skip to: 416
 /* 386 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 389 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 396
-/* 393 */     MCD_OPC_Decode, 34, 1, // Opcode: BLA_1r
+/* 393 */     MCD_OPC_Decode, 36, 1, // Opcode: BLA_1r
 /* 396 */     MCD_OPC_FilterValue, 127, 3, 0, // Skip to: 403
-/* 400 */     MCD_OPC_Decode, 28, 1, // Opcode: BAU_1r
+/* 400 */     MCD_OPC_Decode, 30, 1, // Opcode: BAU_1r
 /* 403 */     MCD_OPC_CheckField, 4, 1, 1, 3, 0, // Skip to: 412
-/* 409 */     MCD_OPC_Decode, 77, 2, // Opcode: EET_2r
-/* 412 */     MCD_OPC_Decode, 213, 1, 5, // Opcode: SHL_3r
+/* 409 */     MCD_OPC_Decode, 79, 2, // Opcode: EET_2r
+/* 412 */     MCD_OPC_Decode, 215, 1, 5, // Opcode: SHL_3r
 /* 416 */     MCD_OPC_FilterValue, 5, 39, 0, // Skip to: 459
 /* 420 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 423 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 430
-/* 427 */     MCD_OPC_Decode, 51, 1, // Opcode: BRU_1r
+/* 427 */     MCD_OPC_Decode, 53, 1, // Opcode: BRU_1r
 /* 430 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 438
-/* 434 */     MCD_OPC_Decode, 203, 1, 1, // Opcode: SETSP_1r
+/* 434 */     MCD_OPC_Decode, 205, 1, 1, // Opcode: SETSP_1r
 /* 438 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 441 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 448
-/* 445 */     MCD_OPC_Decode, 24, 7, // Opcode: ANDNOT_2r
+/* 445 */     MCD_OPC_Decode, 26, 7, // Opcode: ANDNOT_2r
 /* 448 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 455
-/* 452 */     MCD_OPC_Decode, 76, 2, // Opcode: EEF_2r
-/* 455 */     MCD_OPC_Decode, 215, 1, 5, // Opcode: SHR_3r
+/* 452 */     MCD_OPC_Decode, 78, 2, // Opcode: EEF_2r
+/* 455 */     MCD_OPC_Decode, 217, 1, 5, // Opcode: SHR_3r
 /* 459 */     MCD_OPC_FilterValue, 6, 41, 0, // Skip to: 504
 /* 463 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 466 */     MCD_OPC_FilterValue, 126, 4, 0, // Skip to: 474
-/* 470 */     MCD_OPC_Decode, 194, 1, 1, // Opcode: SETDP_1r
+/* 470 */     MCD_OPC_Decode, 196, 1, 1, // Opcode: SETDP_1r
 /* 474 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 482
-/* 478 */     MCD_OPC_Decode, 190, 1, 1, // Opcode: SETCP_1r
+/* 478 */     MCD_OPC_Decode, 192, 1, 1, // Opcode: SETCP_1r
 /* 482 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 485 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 493
-/* 489 */     MCD_OPC_Decode, 210, 1, 7, // Opcode: SEXT_2r
+/* 489 */     MCD_OPC_Decode, 212, 1, 7, // Opcode: SEXT_2r
 /* 493 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 501
-/* 497 */     MCD_OPC_Decode, 211, 1, 8, // Opcode: SEXT_rus
-/* 501 */     MCD_OPC_Decode, 84, 5, // Opcode: EQ_3r
+/* 497 */     MCD_OPC_Decode, 213, 1, 8, // Opcode: SEXT_rus
+/* 501 */     MCD_OPC_Decode, 86, 5, // Opcode: EQ_3r
 /* 504 */     MCD_OPC_FilterValue, 7, 39, 0, // Skip to: 547
 /* 508 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 511 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 518
-/* 515 */     MCD_OPC_Decode, 68, 1, // Opcode: DGETREG_1r
+/* 515 */     MCD_OPC_Decode, 70, 1, // Opcode: DGETREG_1r
 /* 518 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 526
-/* 522 */     MCD_OPC_Decode, 196, 1, 1, // Opcode: SETEV_1r
+/* 522 */     MCD_OPC_Decode, 198, 1, 1, // Opcode: SETEV_1r
 /* 526 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 529 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 536
-/* 533 */     MCD_OPC_Decode, 104, 2, // Opcode: GETTS_2r
+/* 533 */     MCD_OPC_Decode, 106, 2, // Opcode: GETTS_2r
 /* 536 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 544
-/* 540 */     MCD_OPC_Decode, 201, 1, 4, // Opcode: SETPT_2r
-/* 544 */     MCD_OPC_Decode, 25, 5, // Opcode: AND_3r
+/* 540 */     MCD_OPC_Decode, 203, 1, 4, // Opcode: SETPT_2r
+/* 544 */     MCD_OPC_Decode, 27, 5, // Opcode: AND_3r
 /* 547 */     MCD_OPC_FilterValue, 8, 41, 0, // Skip to: 592
 /* 551 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 554 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 561
-/* 558 */     MCD_OPC_Decode, 116, 1, // Opcode: KCALL_1r
+/* 558 */     MCD_OPC_Decode, 118, 1, // Opcode: KCALL_1r
 /* 561 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 569
-/* 565 */     MCD_OPC_Decode, 209, 1, 1, // Opcode: SETV_1r
+/* 565 */     MCD_OPC_Decode, 211, 1, 1, // Opcode: SETV_1r
 /* 569 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 572 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 580
-/* 576 */     MCD_OPC_Decode, 243, 1, 7, // Opcode: ZEXT_2r
+/* 576 */     MCD_OPC_Decode, 245, 1, 7, // Opcode: ZEXT_2r
 /* 580 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 588
-/* 584 */     MCD_OPC_Decode, 244, 1, 8, // Opcode: ZEXT_rus
-/* 588 */     MCD_OPC_Decode, 176, 1, 5, // Opcode: OR_3r
+/* 584 */     MCD_OPC_Decode, 246, 1, 8, // Opcode: ZEXT_rus
+/* 588 */     MCD_OPC_Decode, 178, 1, 5, // Opcode: OR_3r
 /* 592 */     MCD_OPC_FilterValue, 9, 40, 0, // Skip to: 636
 /* 596 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 599 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 606
-/* 603 */     MCD_OPC_Decode, 73, 1, // Opcode: ECALLF_1r
+/* 603 */     MCD_OPC_Decode, 75, 1, // Opcode: ECALLF_1r
 /* 606 */     MCD_OPC_FilterValue, 127, 3, 0, // Skip to: 613
-/* 610 */     MCD_OPC_Decode, 74, 1, // Opcode: ECALLT_1r
+/* 610 */     MCD_OPC_Decode, 76, 1, // Opcode: ECALLT_1r
 /* 613 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 616 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 624
-/* 620 */     MCD_OPC_Decode, 177, 1, 2, // Opcode: OUTCT_2r
+/* 620 */     MCD_OPC_Decode, 179, 1, 2, // Opcode: OUTCT_2r
 /* 624 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 632
-/* 628 */     MCD_OPC_Decode, 178, 1, 9, // Opcode: OUTCT_rus
-/* 632 */     MCD_OPC_Decode, 162, 1, 5, // Opcode: LDW_3r
+/* 628 */     MCD_OPC_Decode, 180, 1, 9, // Opcode: OUTCT_rus
+/* 632 */     MCD_OPC_Decode, 164, 1, 5, // Opcode: LDW_3r
 /* 636 */     MCD_OPC_FilterValue, 10, 19, 0, // Skip to: 659
 /* 640 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 643 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 651
-/* 647 */     MCD_OPC_Decode, 224, 1, 10, // Opcode: STWDP_ru6
-/* 651 */     MCD_OPC_FilterValue, 1, 53, 2, // Skip to: 1220
-/* 655 */     MCD_OPC_Decode, 227, 1, 10, // Opcode: STWSP_ru6
+/* 647 */     MCD_OPC_Decode, 226, 1, 10, // Opcode: STWDP_ru6
+/* 651 */     MCD_OPC_FilterValue, 1, 54, 2, // Skip to: 1221
+/* 655 */     MCD_OPC_Decode, 229, 1, 10, // Opcode: STWSP_ru6
 /* 659 */     MCD_OPC_FilterValue, 11, 19, 0, // Skip to: 682
 /* 663 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 666 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 674
-/* 670 */     MCD_OPC_Decode, 157, 1, 10, // Opcode: LDWDP_ru6
-/* 674 */     MCD_OPC_FilterValue, 1, 30, 2, // Skip to: 1220
-/* 678 */     MCD_OPC_Decode, 160, 1, 10, // Opcode: LDWSP_ru6
+/* 670 */     MCD_OPC_Decode, 159, 1, 10, // Opcode: LDWDP_ru6
+/* 674 */     MCD_OPC_FilterValue, 1, 31, 2, // Skip to: 1221
+/* 678 */     MCD_OPC_Decode, 162, 1, 10, // Opcode: LDWSP_ru6
 /* 682 */     MCD_OPC_FilterValue, 12, 19, 0, // Skip to: 705
 /* 686 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 689 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 697
-/* 693 */     MCD_OPC_Decode, 139, 1, 10, // Opcode: LDAWDP_ru6
-/* 697 */     MCD_OPC_FilterValue, 1, 7, 2, // Skip to: 1220
-/* 701 */     MCD_OPC_Decode, 144, 1, 10, // Opcode: LDAWSP_ru6
+/* 693 */     MCD_OPC_Decode, 141, 1, 10, // Opcode: LDAWDP_ru6
+/* 697 */     MCD_OPC_FilterValue, 1, 8, 2, // Skip to: 1221
+/* 701 */     MCD_OPC_Decode, 146, 1, 10, // Opcode: LDAWSP_ru6
 /* 705 */     MCD_OPC_FilterValue, 13, 19, 0, // Skip to: 728
 /* 709 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 712 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 720
-/* 716 */     MCD_OPC_Decode, 146, 1, 10, // Opcode: LDC_ru6
-/* 720 */     MCD_OPC_FilterValue, 1, 240, 1, // Skip to: 1220
-/* 724 */     MCD_OPC_Decode, 154, 1, 10, // Opcode: LDWCP_ru6
+/* 716 */     MCD_OPC_Decode, 148, 1, 10, // Opcode: LDC_ru6
+/* 720 */     MCD_OPC_FilterValue, 1, 241, 1, // Skip to: 1221
+/* 724 */     MCD_OPC_Decode, 156, 1, 10, // Opcode: LDWCP_ru6
 /* 728 */     MCD_OPC_FilterValue, 14, 80, 0, // Skip to: 812
 /* 732 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 735 */     MCD_OPC_FilterValue, 0, 34, 0, // Skip to: 773
 /* 739 */     MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
 /* 742 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 749
-/* 746 */     MCD_OPC_Decode, 50, 11, // Opcode: BRFU_u6
+/* 746 */     MCD_OPC_Decode, 52, 11, // Opcode: BRFU_u6
 /* 749 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 756
-/* 753 */     MCD_OPC_Decode, 33, 11, // Opcode: BLAT_u6
+/* 753 */     MCD_OPC_Decode, 35, 11, // Opcode: BLAT_u6
 /* 756 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 763
-/* 760 */     MCD_OPC_Decode, 86, 11, // Opcode: EXTDP_u6
+/* 760 */     MCD_OPC_Decode, 88, 11, // Opcode: EXTDP_u6
 /* 763 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 770
-/* 767 */     MCD_OPC_Decode, 118, 11, // Opcode: KCALL_u6
-/* 770 */     MCD_OPC_Decode, 48, 12, // Opcode: BRFT_ru6
-/* 773 */     MCD_OPC_FilterValue, 1, 187, 1, // Skip to: 1220
+/* 767 */     MCD_OPC_Decode, 120, 11, // Opcode: KCALL_u6
+/* 770 */     MCD_OPC_Decode, 50, 12, // Opcode: BRFT_ru6
+/* 773 */     MCD_OPC_FilterValue, 1, 188, 1, // Skip to: 1221
 /* 777 */     MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
 /* 780 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 787
-/* 784 */     MCD_OPC_Decode, 44, 13, // Opcode: BRBU_u6
+/* 784 */     MCD_OPC_Decode, 46, 13, // Opcode: BRBU_u6
 /* 787 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 794
-/* 791 */     MCD_OPC_Decode, 82, 11, // Opcode: ENTSP_u6
+/* 791 */     MCD_OPC_Decode, 84, 11, // Opcode: ENTSP_u6
 /* 794 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 801
-/* 798 */     MCD_OPC_Decode, 88, 11, // Opcode: EXTSP_u6
+/* 798 */     MCD_OPC_Decode, 90, 11, // Opcode: EXTSP_u6
 /* 801 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 809
-/* 805 */     MCD_OPC_Decode, 187, 1, 11, // Opcode: RETSP_u6
-/* 809 */     MCD_OPC_Decode, 42, 14, // Opcode: BRBT_ru6
+/* 805 */     MCD_OPC_Decode, 189, 1, 11, // Opcode: RETSP_u6
+/* 809 */     MCD_OPC_Decode, 44, 14, // Opcode: BRBT_ru6
 /* 812 */     MCD_OPC_FilterValue, 15, 67, 0, // Skip to: 883
 /* 816 */     MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
 /* 819 */     MCD_OPC_FilterValue, 0, 35, 0, // Skip to: 858
 /* 823 */     MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
 /* 826 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 833
-/* 830 */     MCD_OPC_Decode, 62, 11, // Opcode: CLRSR_u6
+/* 830 */     MCD_OPC_Decode, 64, 11, // Opcode: CLRSR_u6
 /* 833 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 841
-/* 837 */     MCD_OPC_Decode, 207, 1, 11, // Opcode: SETSR_u6
+/* 837 */     MCD_OPC_Decode, 209, 1, 11, // Opcode: SETSR_u6
 /* 841 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 848
-/* 845 */     MCD_OPC_Decode, 120, 11, // Opcode: KENTSP_u6
+/* 845 */     MCD_OPC_Decode, 122, 11, // Opcode: KENTSP_u6
 /* 848 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 855
-/* 852 */     MCD_OPC_Decode, 122, 11, // Opcode: KRESTSP_u6
-/* 855 */     MCD_OPC_Decode, 46, 12, // Opcode: BRFF_ru6
-/* 858 */     MCD_OPC_FilterValue, 1, 102, 1, // Skip to: 1220
+/* 852 */     MCD_OPC_Decode, 124, 11, // Opcode: KRESTSP_u6
+/* 855 */     MCD_OPC_Decode, 48, 12, // Opcode: BRFF_ru6
+/* 858 */     MCD_OPC_FilterValue, 1, 103, 1, // Skip to: 1221
 /* 862 */     MCD_OPC_ExtractField, 6, 4,  // Inst{9-6} ...
 /* 865 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 872
-/* 869 */     MCD_OPC_Decode, 102, 11, // Opcode: GETSR_u6
+/* 869 */     MCD_OPC_Decode, 104, 11, // Opcode: GETSR_u6
 /* 872 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 880
-/* 876 */     MCD_OPC_Decode, 137, 1, 11, // Opcode: LDAWCP_u6
-/* 880 */     MCD_OPC_Decode, 40, 14, // Opcode: BRBF_ru6
+/* 876 */     MCD_OPC_Decode, 139, 1, 11, // Opcode: LDAWCP_u6
+/* 880 */     MCD_OPC_Decode, 42, 14, // Opcode: BRBF_ru6
 /* 883 */     MCD_OPC_FilterValue, 16, 38, 0, // Skip to: 925
 /* 887 */     MCD_OPC_ExtractField, 4, 7,  // Inst{10-4} ...
 /* 890 */     MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 897
-/* 894 */     MCD_OPC_Decode, 58, 1, // Opcode: CLRPT_1R
+/* 894 */     MCD_OPC_Decode, 60, 1, // Opcode: CLRPT_1R
 /* 897 */     MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 905
-/* 901 */     MCD_OPC_Decode, 232, 1, 1, // Opcode: SYNCR_1r
+/* 901 */     MCD_OPC_Decode, 234, 1, 1, // Opcode: SYNCR_1r
 /* 905 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 908 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 915
-/* 912 */     MCD_OPC_Decode, 100, 9, // Opcode: GETR_rus
+/* 912 */     MCD_OPC_Decode, 102, 9, // Opcode: GETR_rus
 /* 915 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 922
-/* 919 */     MCD_OPC_Decode, 105, 2, // Opcode: INCT_2r
-/* 922 */     MCD_OPC_Decode, 125, 5, // Opcode: LD16S_3r
-/* 925 */     MCD_OPC_FilterValue, 17, 21, 0, // Skip to: 950
+/* 919 */     MCD_OPC_Decode, 107, 2, // Opcode: INCT_2r
+/* 922 */     MCD_OPC_Decode, 127, 5, // Opcode: LD16S_3r
+/* 925 */     MCD_OPC_FilterValue, 17, 22, 0, // Skip to: 951
 /* 929 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 932 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 940
-/* 936 */     MCD_OPC_Decode, 175, 1, 2, // Opcode: NOT
+/* 936 */     MCD_OPC_Decode, 177, 1, 2, // Opcode: NOT
 /* 940 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 947
-/* 944 */     MCD_OPC_Decode, 113, 2, // Opcode: INT_2r
-/* 947 */     MCD_OPC_Decode, 126, 5, // Opcode: LD8U_3r
-/* 950 */     MCD_OPC_FilterValue, 18, 21, 0, // Skip to: 975
-/* 954 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 957 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 965
-/* 961 */     MCD_OPC_Decode, 174, 1, 2, // Opcode: NEG
-/* 965 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 972
-/* 969 */     MCD_OPC_Decode, 80, 2, // Opcode: ENDIN_2r
-/* 972 */     MCD_OPC_Decode, 20, 3, // Opcode: ADD_2rus
-/* 975 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 983
-/* 979 */     MCD_OPC_Decode, 230, 1, 3, // Opcode: SUB_2rus
-/* 983 */     MCD_OPC_FilterValue, 20, 23, 0, // Skip to: 1010
-/* 987 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 990 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 998
-/* 994 */     MCD_OPC_Decode, 170, 1, 2, // Opcode: MKMSK_2r
-/* 998 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1006
-/* 1002 */    MCD_OPC_Decode, 171, 1, 15, // Opcode: MKMSK_rus
-/* 1006 */    MCD_OPC_Decode, 212, 1, 16, // Opcode: SHL_2rus
-/* 1010 */    MCD_OPC_FilterValue, 21, 23, 0, // Skip to: 1037
-/* 1014 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1017 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1025
-/* 1021 */    MCD_OPC_Decode, 182, 1, 4, // Opcode: OUT_2r
-/* 1025 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1033
-/* 1029 */    MCD_OPC_Decode, 180, 1, 7, // Opcode: OUTSHR_2r
-/* 1033 */    MCD_OPC_Decode, 214, 1, 16, // Opcode: SHR_2rus
-/* 1037 */    MCD_OPC_FilterValue, 22, 20, 0, // Skip to: 1061
-/* 1041 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1044 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1051
-/* 1048 */    MCD_OPC_Decode, 114, 2, // Opcode: IN_2r
-/* 1051 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 1058
-/* 1055 */    MCD_OPC_Decode, 112, 7, // Opcode: INSHR_2r
-/* 1058 */    MCD_OPC_Decode, 83, 3, // Opcode: EQ_2rus
-/* 1061 */    MCD_OPC_FilterValue, 23, 23, 0, // Skip to: 1088
-/* 1065 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1068 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1076
-/* 1072 */    MCD_OPC_Decode, 183, 1, 2, // Opcode: PEEK_2r
-/* 1076 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1084
-/* 1080 */    MCD_OPC_Decode, 233, 1, 2, // Opcode: TESTCT_2r
-/* 1084 */    MCD_OPC_Decode, 237, 1, 17, // Opcode: TSETR_3r
-/* 1088 */    MCD_OPC_FilterValue, 24, 23, 0, // Skip to: 1115
-/* 1092 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1095 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1103
-/* 1099 */    MCD_OPC_Decode, 199, 1, 4, // Opcode: SETPSC_2r
-/* 1103 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1111
-/* 1107 */    MCD_OPC_Decode, 235, 1, 2, // Opcode: TESTWCT_2r
-/* 1111 */    MCD_OPC_Decode, 164, 1, 5, // Opcode: LSS_3r
-/* 1115 */    MCD_OPC_FilterValue, 25, 21, 0, // Skip to: 1140
-/* 1119 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
-/* 1122 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1129
-/* 1126 */    MCD_OPC_Decode, 55, 2, // Opcode: CHKCT_2r
-/* 1129 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 1136
-/* 1133 */    MCD_OPC_Decode, 56, 15, // Opcode: CHKCT_rus
-/* 1136 */    MCD_OPC_Decode, 166, 1, 5, // Opcode: LSU_3r
-/* 1140 */    MCD_OPC_FilterValue, 26, 17, 0, // Skip to: 1161
-/* 1144 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 1147 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1154
-/* 1151 */    MCD_OPC_Decode, 38, 18, // Opcode: BLRF_u10
-/* 1154 */    MCD_OPC_FilterValue, 1, 62, 0, // Skip to: 1220
-/* 1158 */    MCD_OPC_Decode, 36, 19, // Opcode: BLRB_u10
-/* 1161 */    MCD_OPC_FilterValue, 27, 19, 0, // Skip to: 1184
-/* 1165 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 1168 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1176
-/* 1172 */    MCD_OPC_Decode, 133, 1, 18, // Opcode: LDAPF_u10
-/* 1176 */    MCD_OPC_FilterValue, 1, 40, 0, // Skip to: 1220
-/* 1180 */    MCD_OPC_Decode, 130, 1, 19, // Opcode: LDAPB_u10
-/* 1184 */    MCD_OPC_FilterValue, 28, 18, 0, // Skip to: 1206
-/* 1188 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
-/* 1191 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1198
-/* 1195 */    MCD_OPC_Decode, 31, 18, // Opcode: BLACP_u10
-/* 1198 */    MCD_OPC_FilterValue, 1, 18, 0, // Skip to: 1220
-/* 1202 */    MCD_OPC_Decode, 155, 1, 18, // Opcode: LDWCP_u10
-/* 1206 */    MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 1220
-/* 1210 */    MCD_OPC_CheckField, 10, 1, 0, 4, 0, // Skip to: 1220
-/* 1216 */    MCD_OPC_Decode, 193, 1, 12, // Opcode: SETC_ru6
-/* 1220 */    MCD_OPC_Fail,
+/* 944 */     MCD_OPC_Decode, 115, 2, // Opcode: INT_2r
+/* 947 */     MCD_OPC_Decode, 128, 1, 5, // Opcode: LD8U_3r
+/* 951 */     MCD_OPC_FilterValue, 18, 21, 0, // Skip to: 976
+/* 955 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 958 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 966
+/* 962 */     MCD_OPC_Decode, 176, 1, 2, // Opcode: NEG
+/* 966 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 973
+/* 970 */     MCD_OPC_Decode, 82, 2, // Opcode: ENDIN_2r
+/* 973 */     MCD_OPC_Decode, 22, 3, // Opcode: ADD_2rus
+/* 976 */     MCD_OPC_FilterValue, 19, 4, 0, // Skip to: 984
+/* 980 */     MCD_OPC_Decode, 232, 1, 3, // Opcode: SUB_2rus
+/* 984 */     MCD_OPC_FilterValue, 20, 23, 0, // Skip to: 1011
+/* 988 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 991 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 999
+/* 995 */     MCD_OPC_Decode, 172, 1, 2, // Opcode: MKMSK_2r
+/* 999 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1007
+/* 1003 */    MCD_OPC_Decode, 173, 1, 15, // Opcode: MKMSK_rus
+/* 1007 */    MCD_OPC_Decode, 214, 1, 16, // Opcode: SHL_2rus
+/* 1011 */    MCD_OPC_FilterValue, 21, 23, 0, // Skip to: 1038
+/* 1015 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1018 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1026
+/* 1022 */    MCD_OPC_Decode, 184, 1, 4, // Opcode: OUT_2r
+/* 1026 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1034
+/* 1030 */    MCD_OPC_Decode, 182, 1, 7, // Opcode: OUTSHR_2r
+/* 1034 */    MCD_OPC_Decode, 216, 1, 16, // Opcode: SHR_2rus
+/* 1038 */    MCD_OPC_FilterValue, 22, 20, 0, // Skip to: 1062
+/* 1042 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1045 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1052
+/* 1049 */    MCD_OPC_Decode, 116, 2, // Opcode: IN_2r
+/* 1052 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 1059
+/* 1056 */    MCD_OPC_Decode, 114, 7, // Opcode: INSHR_2r
+/* 1059 */    MCD_OPC_Decode, 85, 3, // Opcode: EQ_2rus
+/* 1062 */    MCD_OPC_FilterValue, 23, 23, 0, // Skip to: 1089
+/* 1066 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1069 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1077
+/* 1073 */    MCD_OPC_Decode, 185, 1, 2, // Opcode: PEEK_2r
+/* 1077 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1085
+/* 1081 */    MCD_OPC_Decode, 235, 1, 2, // Opcode: TESTCT_2r
+/* 1085 */    MCD_OPC_Decode, 239, 1, 17, // Opcode: TSETR_3r
+/* 1089 */    MCD_OPC_FilterValue, 24, 23, 0, // Skip to: 1116
+/* 1093 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1096 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1104
+/* 1100 */    MCD_OPC_Decode, 201, 1, 4, // Opcode: SETPSC_2r
+/* 1104 */    MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 1112
+/* 1108 */    MCD_OPC_Decode, 237, 1, 2, // Opcode: TESTWCT_2r
+/* 1112 */    MCD_OPC_Decode, 166, 1, 5, // Opcode: LSS_3r
+/* 1116 */    MCD_OPC_FilterValue, 25, 21, 0, // Skip to: 1141
+/* 1120 */    MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
+/* 1123 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1130
+/* 1127 */    MCD_OPC_Decode, 57, 2, // Opcode: CHKCT_2r
+/* 1130 */    MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 1137
+/* 1134 */    MCD_OPC_Decode, 58, 15, // Opcode: CHKCT_rus
+/* 1137 */    MCD_OPC_Decode, 168, 1, 5, // Opcode: LSU_3r
+/* 1141 */    MCD_OPC_FilterValue, 26, 17, 0, // Skip to: 1162
+/* 1145 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 1148 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1155
+/* 1152 */    MCD_OPC_Decode, 40, 18, // Opcode: BLRF_u10
+/* 1155 */    MCD_OPC_FilterValue, 1, 62, 0, // Skip to: 1221
+/* 1159 */    MCD_OPC_Decode, 38, 19, // Opcode: BLRB_u10
+/* 1162 */    MCD_OPC_FilterValue, 27, 19, 0, // Skip to: 1185
+/* 1166 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 1169 */    MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 1177
+/* 1173 */    MCD_OPC_Decode, 135, 1, 18, // Opcode: LDAPF_u10
+/* 1177 */    MCD_OPC_FilterValue, 1, 40, 0, // Skip to: 1221
+/* 1181 */    MCD_OPC_Decode, 132, 1, 19, // Opcode: LDAPB_u10
+/* 1185 */    MCD_OPC_FilterValue, 28, 18, 0, // Skip to: 1207
+/* 1189 */    MCD_OPC_ExtractField, 10, 1,  // Inst{10} ...
+/* 1192 */    MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 1199
+/* 1196 */    MCD_OPC_Decode, 33, 18, // Opcode: BLACP_u10
+/* 1199 */    MCD_OPC_FilterValue, 1, 18, 0, // Skip to: 1221
+/* 1203 */    MCD_OPC_Decode, 157, 1, 18, // Opcode: LDWCP_u10
+/* 1207 */    MCD_OPC_FilterValue, 29, 10, 0, // Skip to: 1221
+/* 1211 */    MCD_OPC_CheckField, 10, 1, 0, 4, 0, // Skip to: 1221
+/* 1217 */    MCD_OPC_Decode, 195, 1, 12, // Opcode: SETC_ru6
+/* 1221 */    MCD_OPC_Fail,
   0
 };
 
@@ -359,243 +359,243 @@ static const uint8_t DecoderTable32[] =
 /* 0 */       MCD_OPC_ExtractField, 27, 5,  // Inst{31-27} ...
 /* 3 */       MCD_OPC_FilterValue, 0, 89, 0, // Skip to: 96
 /* 7 */       MCD_OPC_ExtractField, 11, 5,  // Inst{15-11} ...
-/* 10 */      MCD_OPC_FilterValue, 31, 215, 3, // Skip to: 997
+/* 10 */      MCD_OPC_FilterValue, 31, 216, 3, // Skip to: 998
 /* 14 */      MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 17 */      MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 31
 /* 21 */      MCD_OPC_CheckField, 16, 11, 236, 15, 17, 0, // Skip to: 45
-/* 28 */      MCD_OPC_Decode, 29, 20, // Opcode: BITREV_l2r
+/* 28 */      MCD_OPC_Decode, 31, 20, // Opcode: BITREV_l2r
 /* 31 */      MCD_OPC_FilterValue, 1, 10, 0, // Skip to: 45
 /* 35 */      MCD_OPC_CheckField, 16, 11, 236, 15, 3, 0, // Skip to: 45
-/* 42 */      MCD_OPC_Decode, 54, 20, // Opcode: BYTEREV_l2r
+/* 42 */      MCD_OPC_Decode, 56, 20, // Opcode: BYTEREV_l2r
 /* 45 */      MCD_OPC_CheckField, 16, 11, 236, 15, 4, 0, // Skip to: 56
-/* 52 */      MCD_OPC_Decode, 229, 1, 21, // Opcode: STW_l3r
+/* 52 */      MCD_OPC_Decode, 231, 1, 21, // Opcode: STW_l3r
 /* 56 */      MCD_OPC_ExtractField, 20, 7,  // Inst{26-20} ...
 /* 59 */      MCD_OPC_FilterValue, 126, 3, 0, // Skip to: 66
-/* 63 */      MCD_OPC_Decode, 64, 22, // Opcode: CRC8_l4r
+/* 63 */      MCD_OPC_Decode, 66, 22, // Opcode: CRC8_l4r
 /* 66 */      MCD_OPC_FilterValue, 127, 4, 0, // Skip to: 74
-/* 70 */      MCD_OPC_Decode, 168, 1, 23, // Opcode: MACCU_l4r
+/* 70 */      MCD_OPC_Decode, 170, 1, 23, // Opcode: MACCU_l4r
 /* 74 */      MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
 /* 77 */      MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 85
-/* 81 */      MCD_OPC_Decode, 148, 1, 24, // Opcode: LDIVU_l5r
+/* 81 */      MCD_OPC_Decode, 150, 1, 24, // Opcode: LDIVU_l5r
 /* 85 */      MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 92
-/* 89 */      MCD_OPC_Decode, 124, 24, // Opcode: LADD_l5r
-/* 92 */      MCD_OPC_Decode, 163, 1, 25, // Opcode: LMUL_l6r
+/* 89 */      MCD_OPC_Decode, 126, 24, // Opcode: LADD_l5r
+/* 92 */      MCD_OPC_Decode, 165, 1, 25, // Opcode: LMUL_l6r
 /* 96 */      MCD_OPC_FilterValue, 1, 86, 0, // Skip to: 186
 /* 100 */     MCD_OPC_ExtractField, 11, 5,  // Inst{15-11} ...
-/* 103 */     MCD_OPC_FilterValue, 31, 122, 3, // Skip to: 997
+/* 103 */     MCD_OPC_FilterValue, 31, 123, 3, // Skip to: 998
 /* 107 */     MCD_OPC_ExtractField, 20, 1,  // Inst{20} ...
-/* 110 */     MCD_OPC_FilterValue, 0, 115, 3, // Skip to: 997
+/* 110 */     MCD_OPC_FilterValue, 0, 116, 3, // Skip to: 998
 /* 114 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 117 */     MCD_OPC_FilterValue, 0, 15, 0, // Skip to: 136
 /* 121 */     MCD_OPC_CheckField, 21, 6, 63, 29, 0, // Skip to: 156
 /* 127 */     MCD_OPC_CheckField, 16, 4, 12, 23, 0, // Skip to: 156
-/* 133 */     MCD_OPC_Decode, 63, 20, // Opcode: CLZ_l2r
+/* 133 */     MCD_OPC_Decode, 65, 20, // Opcode: CLZ_l2r
 /* 136 */     MCD_OPC_FilterValue, 1, 16, 0, // Skip to: 156
 /* 140 */     MCD_OPC_CheckField, 21, 6, 63, 10, 0, // Skip to: 156
 /* 146 */     MCD_OPC_CheckField, 16, 4, 12, 4, 0, // Skip to: 156
-/* 152 */     MCD_OPC_Decode, 189, 1, 26, // Opcode: SETCLK_l2r
+/* 152 */     MCD_OPC_Decode, 191, 1, 26, // Opcode: SETCLK_l2r
 /* 156 */     MCD_OPC_CheckField, 21, 6, 63, 10, 0, // Skip to: 172
 /* 162 */     MCD_OPC_CheckField, 16, 4, 12, 4, 0, // Skip to: 172
-/* 168 */     MCD_OPC_Decode, 242, 1, 21, // Opcode: XOR_l3r
+/* 168 */     MCD_OPC_Decode, 244, 1, 21, // Opcode: XOR_l3r
 /* 172 */     MCD_OPC_CheckField, 21, 6, 63, 4, 0, // Skip to: 182
-/* 178 */     MCD_OPC_Decode, 167, 1, 23, // Opcode: MACCS_l4r
-/* 182 */     MCD_OPC_Decode, 165, 1, 24, // Opcode: LSUB_l5r
+/* 178 */     MCD_OPC_Decode, 169, 1, 23, // Opcode: MACCS_l4r
+/* 182 */     MCD_OPC_Decode, 167, 1, 24, // Opcode: LSUB_l5r
 /* 186 */     MCD_OPC_FilterValue, 2, 29, 0, // Skip to: 219
 /* 190 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 193 */     MCD_OPC_FilterValue, 159, 251, 3, 30, 3, // Skip to: 997
+/* 193 */     MCD_OPC_FilterValue, 159, 251, 3, 31, 3, // Skip to: 998
 /* 199 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 202 */     MCD_OPC_FilterValue, 0, 3, 0, // Skip to: 209
-/* 206 */     MCD_OPC_Decode, 108, 20, // Opcode: INITLR_l2r
+/* 206 */     MCD_OPC_Decode, 110, 20, // Opcode: INITLR_l2r
 /* 209 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 216
-/* 213 */     MCD_OPC_Decode, 99, 20, // Opcode: GETPS_l2r
-/* 216 */     MCD_OPC_Decode, 27, 21, // Opcode: ASHR_l3r
+/* 213 */     MCD_OPC_Decode, 101, 20, // Opcode: GETPS_l2r
+/* 216 */     MCD_OPC_Decode, 29, 21, // Opcode: ASHR_l3r
 /* 219 */     MCD_OPC_FilterValue, 3, 31, 0, // Skip to: 254
 /* 223 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 226 */     MCD_OPC_FilterValue, 159, 251, 3, 253, 2, // Skip to: 997
+/* 226 */     MCD_OPC_FilterValue, 159, 251, 3, 254, 2, // Skip to: 998
 /* 232 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 235 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 243
-/* 239 */     MCD_OPC_Decode, 200, 1, 26, // Opcode: SETPS_l2r
+/* 239 */     MCD_OPC_Decode, 202, 1, 26, // Opcode: SETPS_l2r
 /* 243 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 250
-/* 247 */     MCD_OPC_Decode, 92, 20, // Opcode: GETD_l2r
-/* 250 */     MCD_OPC_Decode, 142, 1, 21, // Opcode: LDAWF_l3r
+/* 247 */     MCD_OPC_Decode, 94, 20, // Opcode: GETD_l2r
+/* 250 */     MCD_OPC_Decode, 144, 1, 21, // Opcode: LDAWF_l3r
 /* 254 */     MCD_OPC_FilterValue, 4, 32, 0, // Skip to: 290
 /* 258 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 261 */     MCD_OPC_FilterValue, 159, 251, 3, 218, 2, // Skip to: 997
+/* 261 */     MCD_OPC_FilterValue, 159, 251, 3, 219, 2, // Skip to: 998
 /* 267 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 270 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 278
-/* 274 */     MCD_OPC_Decode, 234, 1, 20, // Opcode: TESTLCL_l2r
+/* 274 */     MCD_OPC_Decode, 236, 1, 20, // Opcode: TESTLCL_l2r
 /* 278 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 286
-/* 282 */     MCD_OPC_Decode, 208, 1, 26, // Opcode: SETTW_l2r
-/* 286 */     MCD_OPC_Decode, 135, 1, 21, // Opcode: LDAWB_l3r
+/* 282 */     MCD_OPC_Decode, 210, 1, 26, // Opcode: SETTW_l2r
+/* 286 */     MCD_OPC_Decode, 137, 1, 21, // Opcode: LDAWB_l3r
 /* 290 */     MCD_OPC_FilterValue, 5, 32, 0, // Skip to: 326
 /* 294 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 297 */     MCD_OPC_FilterValue, 159, 251, 3, 182, 2, // Skip to: 997
+/* 297 */     MCD_OPC_FilterValue, 159, 251, 3, 183, 2, // Skip to: 998
 /* 303 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 306 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 314
-/* 310 */     MCD_OPC_Decode, 202, 1, 26, // Opcode: SETRDY_l2r
+/* 310 */     MCD_OPC_Decode, 204, 1, 26, // Opcode: SETRDY_l2r
 /* 314 */     MCD_OPC_FilterValue, 1, 4, 0, // Skip to: 322
-/* 318 */     MCD_OPC_Decode, 191, 1, 20, // Opcode: SETC_l2r
-/* 322 */     MCD_OPC_Decode, 128, 1, 21, // Opcode: LDA16F_l3r
-/* 326 */     MCD_OPC_FilterValue, 6, 30, 0, // Skip to: 360
+/* 318 */     MCD_OPC_Decode, 193, 1, 20, // Opcode: SETC_l2r
+/* 322 */     MCD_OPC_Decode, 130, 1, 21, // Opcode: LDA16F_l3r
+/* 326 */     MCD_OPC_FilterValue, 6, 31, 0, // Skip to: 361
 /* 330 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 333 */     MCD_OPC_FilterValue, 159, 251, 3, 146, 2, // Skip to: 997
+/* 333 */     MCD_OPC_FilterValue, 159, 251, 3, 147, 2, // Skip to: 998
 /* 339 */     MCD_OPC_ExtractField, 4, 1,  // Inst{4} ...
 /* 342 */     MCD_OPC_FilterValue, 0, 4, 0, // Skip to: 350
-/* 346 */     MCD_OPC_Decode, 198, 1, 26, // Opcode: SETN_l2r
+/* 346 */     MCD_OPC_Decode, 200, 1, 26, // Opcode: SETN_l2r
 /* 350 */     MCD_OPC_FilterValue, 1, 3, 0, // Skip to: 357
-/* 354 */     MCD_OPC_Decode, 98, 20, // Opcode: GETN_l2r
-/* 357 */     MCD_OPC_Decode, 127, 21, // Opcode: LDA16B_l3r
-/* 360 */     MCD_OPC_FilterValue, 7, 12, 0, // Skip to: 376
-/* 364 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 113, 2, // Skip to: 997
-/* 372 */     MCD_OPC_Decode, 173, 1, 21, // Opcode: MUL_l3r
-/* 376 */     MCD_OPC_FilterValue, 8, 11, 0, // Skip to: 391
-/* 380 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 97, 2, // Skip to: 997
-/* 388 */     MCD_OPC_Decode, 69, 21, // Opcode: DIVS_l3r
-/* 391 */     MCD_OPC_FilterValue, 9, 11, 0, // Skip to: 406
-/* 395 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 82, 2, // Skip to: 997
-/* 403 */     MCD_OPC_Decode, 70, 21, // Opcode: DIVU_l3r
-/* 406 */     MCD_OPC_FilterValue, 10, 31, 0, // Skip to: 441
-/* 410 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 413 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 427
-/* 417 */     MCD_OPC_CheckField, 10, 6, 60, 62, 2, // Skip to: 997
-/* 423 */     MCD_OPC_Decode, 223, 1, 27, // Opcode: STWDP_lru6
-/* 427 */     MCD_OPC_FilterValue, 1, 54, 2, // Skip to: 997
-/* 431 */     MCD_OPC_CheckField, 10, 6, 60, 48, 2, // Skip to: 997
-/* 437 */     MCD_OPC_Decode, 226, 1, 27, // Opcode: STWSP_lru6
-/* 441 */     MCD_OPC_FilterValue, 11, 31, 0, // Skip to: 476
-/* 445 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 448 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 462
-/* 452 */     MCD_OPC_CheckField, 10, 6, 60, 27, 2, // Skip to: 997
-/* 458 */     MCD_OPC_Decode, 156, 1, 27, // Opcode: LDWDP_lru6
-/* 462 */     MCD_OPC_FilterValue, 1, 19, 2, // Skip to: 997
-/* 466 */     MCD_OPC_CheckField, 10, 6, 60, 13, 2, // Skip to: 997
-/* 472 */     MCD_OPC_Decode, 159, 1, 27, // Opcode: LDWSP_lru6
-/* 476 */     MCD_OPC_FilterValue, 12, 31, 0, // Skip to: 511
-/* 480 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 483 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 497
-/* 487 */     MCD_OPC_CheckField, 10, 6, 60, 248, 1, // Skip to: 997
-/* 493 */     MCD_OPC_Decode, 138, 1, 27, // Opcode: LDAWDP_lru6
-/* 497 */     MCD_OPC_FilterValue, 1, 240, 1, // Skip to: 997
-/* 501 */     MCD_OPC_CheckField, 10, 6, 60, 234, 1, // Skip to: 997
-/* 507 */     MCD_OPC_Decode, 143, 1, 27, // Opcode: LDAWSP_lru6
-/* 511 */     MCD_OPC_FilterValue, 13, 31, 0, // Skip to: 546
-/* 515 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 518 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 532
-/* 522 */     MCD_OPC_CheckField, 10, 6, 60, 213, 1, // Skip to: 997
-/* 528 */     MCD_OPC_Decode, 145, 1, 27, // Opcode: LDC_lru6
-/* 532 */     MCD_OPC_FilterValue, 1, 205, 1, // Skip to: 997
-/* 536 */     MCD_OPC_CheckField, 10, 6, 60, 199, 1, // Skip to: 997
-/* 542 */     MCD_OPC_Decode, 152, 1, 27, // Opcode: LDWCP_lru6
-/* 546 */     MCD_OPC_FilterValue, 14, 94, 0, // Skip to: 644
-/* 550 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 553 */     MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 598
-/* 557 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 560 */     MCD_OPC_FilterValue, 60, 177, 1, // Skip to: 997
-/* 564 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 567 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 574
-/* 571 */     MCD_OPC_Decode, 49, 28, // Opcode: BRFU_lu6
-/* 574 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 581
-/* 578 */     MCD_OPC_Decode, 32, 28, // Opcode: BLAT_lu6
-/* 581 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 588
-/* 585 */     MCD_OPC_Decode, 85, 28, // Opcode: EXTDP_lu6
-/* 588 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 595
-/* 592 */     MCD_OPC_Decode, 117, 28, // Opcode: KCALL_lu6
-/* 595 */     MCD_OPC_Decode, 47, 29, // Opcode: BRFT_lru6
-/* 598 */     MCD_OPC_FilterValue, 1, 139, 1, // Skip to: 997
-/* 602 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 605 */     MCD_OPC_FilterValue, 60, 132, 1, // Skip to: 997
-/* 609 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 612 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 619
-/* 616 */     MCD_OPC_Decode, 43, 30, // Opcode: BRBU_lu6
-/* 619 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 626
-/* 623 */     MCD_OPC_Decode, 81, 28, // Opcode: ENTSP_lu6
-/* 626 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 633
-/* 630 */     MCD_OPC_Decode, 87, 28, // Opcode: EXTSP_lu6
-/* 633 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 641
-/* 637 */     MCD_OPC_Decode, 186, 1, 28, // Opcode: RETSP_lu6
-/* 641 */     MCD_OPC_Decode, 41, 31, // Opcode: BRBT_lru6
-/* 644 */     MCD_OPC_FilterValue, 15, 81, 0, // Skip to: 729
-/* 648 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 651 */     MCD_OPC_FilterValue, 0, 42, 0, // Skip to: 697
-/* 655 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 658 */     MCD_OPC_FilterValue, 60, 79, 1, // Skip to: 997
-/* 662 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 665 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 672
-/* 669 */     MCD_OPC_Decode, 61, 28, // Opcode: CLRSR_lu6
-/* 672 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 680
-/* 676 */     MCD_OPC_Decode, 206, 1, 28, // Opcode: SETSR_lu6
-/* 680 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 687
-/* 684 */     MCD_OPC_Decode, 119, 28, // Opcode: KENTSP_lu6
-/* 687 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 694
-/* 691 */     MCD_OPC_Decode, 121, 28, // Opcode: KRESTSP_lu6
-/* 694 */     MCD_OPC_Decode, 45, 29, // Opcode: BRFF_lru6
-/* 697 */     MCD_OPC_FilterValue, 1, 40, 1, // Skip to: 997
-/* 701 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
-/* 704 */     MCD_OPC_FilterValue, 60, 33, 1, // Skip to: 997
-/* 708 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
-/* 711 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 718
-/* 715 */     MCD_OPC_Decode, 101, 28, // Opcode: GETSR_lu6
-/* 718 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 726
-/* 722 */     MCD_OPC_Decode, 136, 1, 28, // Opcode: LDAWCP_lu6
-/* 726 */     MCD_OPC_Decode, 39, 31, // Opcode: BRBF_lru6
-/* 729 */     MCD_OPC_FilterValue, 16, 12, 0, // Skip to: 745
-/* 733 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 0, 1, // Skip to: 997
-/* 741 */     MCD_OPC_Decode, 217, 1, 21, // Opcode: ST16_l3r
-/* 745 */     MCD_OPC_FilterValue, 17, 12, 0, // Skip to: 761
-/* 749 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 240, 0, // Skip to: 997
-/* 757 */     MCD_OPC_Decode, 218, 1, 21, // Opcode: ST8_l3r
-/* 761 */     MCD_OPC_FilterValue, 18, 31, 0, // Skip to: 796
-/* 765 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
-/* 768 */     MCD_OPC_FilterValue, 159, 251, 3, 3, 0, // Skip to: 777
-/* 774 */     MCD_OPC_Decode, 26, 32, // Opcode: ASHR_l2rus
-/* 777 */     MCD_OPC_FilterValue, 191, 251, 3, 4, 0, // Skip to: 787
-/* 783 */     MCD_OPC_Decode, 179, 1, 32, // Opcode: OUTPW_l2rus
-/* 787 */     MCD_OPC_FilterValue, 223, 251, 3, 204, 0, // Skip to: 997
-/* 793 */     MCD_OPC_Decode, 111, 32, // Opcode: INPW_l2rus
-/* 796 */     MCD_OPC_FilterValue, 19, 12, 0, // Skip to: 812
-/* 800 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 189, 0, // Skip to: 997
-/* 808 */     MCD_OPC_Decode, 141, 1, 33, // Opcode: LDAWF_l2rus
-/* 812 */     MCD_OPC_FilterValue, 20, 12, 0, // Skip to: 828
-/* 816 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 173, 0, // Skip to: 997
-/* 824 */     MCD_OPC_Decode, 134, 1, 33, // Opcode: LDAWB_l2rus
-/* 828 */     MCD_OPC_FilterValue, 21, 11, 0, // Skip to: 843
-/* 832 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 157, 0, // Skip to: 997
-/* 840 */     MCD_OPC_Decode, 65, 34, // Opcode: CRC_l3r
-/* 843 */     MCD_OPC_FilterValue, 24, 12, 0, // Skip to: 859
-/* 847 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 142, 0, // Skip to: 997
-/* 855 */     MCD_OPC_Decode, 184, 1, 21, // Opcode: REMS_l3r
-/* 859 */     MCD_OPC_FilterValue, 25, 12, 0, // Skip to: 875
-/* 863 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 126, 0, // Skip to: 997
-/* 871 */     MCD_OPC_Decode, 185, 1, 21, // Opcode: REMU_l3r
-/* 875 */     MCD_OPC_FilterValue, 26, 29, 0, // Skip to: 908
-/* 879 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 882 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 895
-/* 886 */     MCD_OPC_CheckField, 10, 6, 60, 105, 0, // Skip to: 997
-/* 892 */     MCD_OPC_Decode, 37, 35, // Opcode: BLRF_lu10
-/* 895 */     MCD_OPC_FilterValue, 1, 98, 0, // Skip to: 997
-/* 899 */     MCD_OPC_CheckField, 10, 6, 60, 92, 0, // Skip to: 997
-/* 905 */     MCD_OPC_Decode, 35, 36, // Opcode: BLRB_lu10
-/* 908 */     MCD_OPC_FilterValue, 27, 31, 0, // Skip to: 943
-/* 912 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 915 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 929
-/* 919 */     MCD_OPC_CheckField, 10, 6, 60, 72, 0, // Skip to: 997
-/* 925 */     MCD_OPC_Decode, 131, 1, 35, // Opcode: LDAPF_lu10
-/* 929 */     MCD_OPC_FilterValue, 1, 64, 0, // Skip to: 997
-/* 933 */     MCD_OPC_CheckField, 10, 6, 60, 58, 0, // Skip to: 997
-/* 939 */     MCD_OPC_Decode, 129, 1, 36, // Opcode: LDAPB_lu10
-/* 943 */     MCD_OPC_FilterValue, 28, 30, 0, // Skip to: 977
-/* 947 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
-/* 950 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 963
-/* 954 */     MCD_OPC_CheckField, 10, 6, 60, 37, 0, // Skip to: 997
-/* 960 */     MCD_OPC_Decode, 30, 35, // Opcode: BLACP_lu10
-/* 963 */     MCD_OPC_FilterValue, 1, 30, 0, // Skip to: 997
-/* 967 */     MCD_OPC_CheckField, 10, 6, 60, 24, 0, // Skip to: 997
-/* 973 */     MCD_OPC_Decode, 153, 1, 35, // Opcode: LDWCP_lu10
-/* 977 */     MCD_OPC_FilterValue, 29, 16, 0, // Skip to: 997
-/* 981 */     MCD_OPC_CheckField, 26, 1, 0, 10, 0, // Skip to: 997
-/* 987 */     MCD_OPC_CheckField, 10, 6, 60, 4, 0, // Skip to: 997
-/* 993 */     MCD_OPC_Decode, 192, 1, 29, // Opcode: SETC_lru6
-/* 997 */     MCD_OPC_Fail,
+/* 354 */     MCD_OPC_Decode, 100, 20, // Opcode: GETN_l2r
+/* 357 */     MCD_OPC_Decode, 129, 1, 21, // Opcode: LDA16B_l3r
+/* 361 */     MCD_OPC_FilterValue, 7, 12, 0, // Skip to: 377
+/* 365 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 113, 2, // Skip to: 998
+/* 373 */     MCD_OPC_Decode, 175, 1, 21, // Opcode: MUL_l3r
+/* 377 */     MCD_OPC_FilterValue, 8, 11, 0, // Skip to: 392
+/* 381 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 97, 2, // Skip to: 998
+/* 389 */     MCD_OPC_Decode, 71, 21, // Opcode: DIVS_l3r
+/* 392 */     MCD_OPC_FilterValue, 9, 11, 0, // Skip to: 407
+/* 396 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 82, 2, // Skip to: 998
+/* 404 */     MCD_OPC_Decode, 72, 21, // Opcode: DIVU_l3r
+/* 407 */     MCD_OPC_FilterValue, 10, 31, 0, // Skip to: 442
+/* 411 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 414 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 428
+/* 418 */     MCD_OPC_CheckField, 10, 6, 60, 62, 2, // Skip to: 998
+/* 424 */     MCD_OPC_Decode, 225, 1, 27, // Opcode: STWDP_lru6
+/* 428 */     MCD_OPC_FilterValue, 1, 54, 2, // Skip to: 998
+/* 432 */     MCD_OPC_CheckField, 10, 6, 60, 48, 2, // Skip to: 998
+/* 438 */     MCD_OPC_Decode, 228, 1, 27, // Opcode: STWSP_lru6
+/* 442 */     MCD_OPC_FilterValue, 11, 31, 0, // Skip to: 477
+/* 446 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 449 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 463
+/* 453 */     MCD_OPC_CheckField, 10, 6, 60, 27, 2, // Skip to: 998
+/* 459 */     MCD_OPC_Decode, 158, 1, 27, // Opcode: LDWDP_lru6
+/* 463 */     MCD_OPC_FilterValue, 1, 19, 2, // Skip to: 998
+/* 467 */     MCD_OPC_CheckField, 10, 6, 60, 13, 2, // Skip to: 998
+/* 473 */     MCD_OPC_Decode, 161, 1, 27, // Opcode: LDWSP_lru6
+/* 477 */     MCD_OPC_FilterValue, 12, 31, 0, // Skip to: 512
+/* 481 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 484 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 498
+/* 488 */     MCD_OPC_CheckField, 10, 6, 60, 248, 1, // Skip to: 998
+/* 494 */     MCD_OPC_Decode, 140, 1, 27, // Opcode: LDAWDP_lru6
+/* 498 */     MCD_OPC_FilterValue, 1, 240, 1, // Skip to: 998
+/* 502 */     MCD_OPC_CheckField, 10, 6, 60, 234, 1, // Skip to: 998
+/* 508 */     MCD_OPC_Decode, 145, 1, 27, // Opcode: LDAWSP_lru6
+/* 512 */     MCD_OPC_FilterValue, 13, 31, 0, // Skip to: 547
+/* 516 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 519 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 533
+/* 523 */     MCD_OPC_CheckField, 10, 6, 60, 213, 1, // Skip to: 998
+/* 529 */     MCD_OPC_Decode, 147, 1, 27, // Opcode: LDC_lru6
+/* 533 */     MCD_OPC_FilterValue, 1, 205, 1, // Skip to: 998
+/* 537 */     MCD_OPC_CheckField, 10, 6, 60, 199, 1, // Skip to: 998
+/* 543 */     MCD_OPC_Decode, 154, 1, 27, // Opcode: LDWCP_lru6
+/* 547 */     MCD_OPC_FilterValue, 14, 94, 0, // Skip to: 645
+/* 551 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 554 */     MCD_OPC_FilterValue, 0, 41, 0, // Skip to: 599
+/* 558 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 561 */     MCD_OPC_FilterValue, 60, 177, 1, // Skip to: 998
+/* 565 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 568 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 575
+/* 572 */     MCD_OPC_Decode, 51, 28, // Opcode: BRFU_lu6
+/* 575 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 582
+/* 579 */     MCD_OPC_Decode, 34, 28, // Opcode: BLAT_lu6
+/* 582 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 589
+/* 586 */     MCD_OPC_Decode, 87, 28, // Opcode: EXTDP_lu6
+/* 589 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 596
+/* 593 */     MCD_OPC_Decode, 119, 28, // Opcode: KCALL_lu6
+/* 596 */     MCD_OPC_Decode, 49, 29, // Opcode: BRFT_lru6
+/* 599 */     MCD_OPC_FilterValue, 1, 139, 1, // Skip to: 998
+/* 603 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 606 */     MCD_OPC_FilterValue, 60, 132, 1, // Skip to: 998
+/* 610 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 613 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 620
+/* 617 */     MCD_OPC_Decode, 45, 30, // Opcode: BRBU_lu6
+/* 620 */     MCD_OPC_FilterValue, 13, 3, 0, // Skip to: 627
+/* 624 */     MCD_OPC_Decode, 83, 28, // Opcode: ENTSP_lu6
+/* 627 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 634
+/* 631 */     MCD_OPC_Decode, 89, 28, // Opcode: EXTSP_lu6
+/* 634 */     MCD_OPC_FilterValue, 15, 4, 0, // Skip to: 642
+/* 638 */     MCD_OPC_Decode, 188, 1, 28, // Opcode: RETSP_lu6
+/* 642 */     MCD_OPC_Decode, 43, 31, // Opcode: BRBT_lru6
+/* 645 */     MCD_OPC_FilterValue, 15, 81, 0, // Skip to: 730
+/* 649 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 652 */     MCD_OPC_FilterValue, 0, 42, 0, // Skip to: 698
+/* 656 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 659 */     MCD_OPC_FilterValue, 60, 79, 1, // Skip to: 998
+/* 663 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 666 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 673
+/* 670 */     MCD_OPC_Decode, 63, 28, // Opcode: CLRSR_lu6
+/* 673 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 681
+/* 677 */     MCD_OPC_Decode, 208, 1, 28, // Opcode: SETSR_lu6
+/* 681 */     MCD_OPC_FilterValue, 14, 3, 0, // Skip to: 688
+/* 685 */     MCD_OPC_Decode, 121, 28, // Opcode: KENTSP_lu6
+/* 688 */     MCD_OPC_FilterValue, 15, 3, 0, // Skip to: 695
+/* 692 */     MCD_OPC_Decode, 123, 28, // Opcode: KRESTSP_lu6
+/* 695 */     MCD_OPC_Decode, 47, 29, // Opcode: BRFF_lru6
+/* 698 */     MCD_OPC_FilterValue, 1, 40, 1, // Skip to: 998
+/* 702 */     MCD_OPC_ExtractField, 10, 6,  // Inst{15-10} ...
+/* 705 */     MCD_OPC_FilterValue, 60, 33, 1, // Skip to: 998
+/* 709 */     MCD_OPC_ExtractField, 22, 4,  // Inst{25-22} ...
+/* 712 */     MCD_OPC_FilterValue, 12, 3, 0, // Skip to: 719
+/* 716 */     MCD_OPC_Decode, 103, 28, // Opcode: GETSR_lu6
+/* 719 */     MCD_OPC_FilterValue, 13, 4, 0, // Skip to: 727
+/* 723 */     MCD_OPC_Decode, 138, 1, 28, // Opcode: LDAWCP_lu6
+/* 727 */     MCD_OPC_Decode, 41, 31, // Opcode: BRBF_lru6
+/* 730 */     MCD_OPC_FilterValue, 16, 12, 0, // Skip to: 746
+/* 734 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 0, 1, // Skip to: 998
+/* 742 */     MCD_OPC_Decode, 219, 1, 21, // Opcode: ST16_l3r
+/* 746 */     MCD_OPC_FilterValue, 17, 12, 0, // Skip to: 762
+/* 750 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 240, 0, // Skip to: 998
+/* 758 */     MCD_OPC_Decode, 220, 1, 21, // Opcode: ST8_l3r
+/* 762 */     MCD_OPC_FilterValue, 18, 31, 0, // Skip to: 797
+/* 766 */     MCD_OPC_ExtractField, 11, 16,  // Inst{26-11} ...
+/* 769 */     MCD_OPC_FilterValue, 159, 251, 3, 3, 0, // Skip to: 778
+/* 775 */     MCD_OPC_Decode, 28, 32, // Opcode: ASHR_l2rus
+/* 778 */     MCD_OPC_FilterValue, 191, 251, 3, 4, 0, // Skip to: 788
+/* 784 */     MCD_OPC_Decode, 181, 1, 32, // Opcode: OUTPW_l2rus
+/* 788 */     MCD_OPC_FilterValue, 223, 251, 3, 204, 0, // Skip to: 998
+/* 794 */     MCD_OPC_Decode, 113, 32, // Opcode: INPW_l2rus
+/* 797 */     MCD_OPC_FilterValue, 19, 12, 0, // Skip to: 813
+/* 801 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 189, 0, // Skip to: 998
+/* 809 */     MCD_OPC_Decode, 143, 1, 33, // Opcode: LDAWF_l2rus
+/* 813 */     MCD_OPC_FilterValue, 20, 12, 0, // Skip to: 829
+/* 817 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 173, 0, // Skip to: 998
+/* 825 */     MCD_OPC_Decode, 136, 1, 33, // Opcode: LDAWB_l2rus
+/* 829 */     MCD_OPC_FilterValue, 21, 11, 0, // Skip to: 844
+/* 833 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 157, 0, // Skip to: 998
+/* 841 */     MCD_OPC_Decode, 67, 34, // Opcode: CRC_l3r
+/* 844 */     MCD_OPC_FilterValue, 24, 12, 0, // Skip to: 860
+/* 848 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 142, 0, // Skip to: 998
+/* 856 */     MCD_OPC_Decode, 186, 1, 21, // Opcode: REMS_l3r
+/* 860 */     MCD_OPC_FilterValue, 25, 12, 0, // Skip to: 876
+/* 864 */     MCD_OPC_CheckField, 11, 16, 159, 251, 3, 126, 0, // Skip to: 998
+/* 872 */     MCD_OPC_Decode, 187, 1, 21, // Opcode: REMU_l3r
+/* 876 */     MCD_OPC_FilterValue, 26, 29, 0, // Skip to: 909
+/* 880 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 883 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 896
+/* 887 */     MCD_OPC_CheckField, 10, 6, 60, 105, 0, // Skip to: 998
+/* 893 */     MCD_OPC_Decode, 39, 35, // Opcode: BLRF_lu10
+/* 896 */     MCD_OPC_FilterValue, 1, 98, 0, // Skip to: 998
+/* 900 */     MCD_OPC_CheckField, 10, 6, 60, 92, 0, // Skip to: 998
+/* 906 */     MCD_OPC_Decode, 37, 36, // Opcode: BLRB_lu10
+/* 909 */     MCD_OPC_FilterValue, 27, 31, 0, // Skip to: 944
+/* 913 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 916 */     MCD_OPC_FilterValue, 0, 10, 0, // Skip to: 930
+/* 920 */     MCD_OPC_CheckField, 10, 6, 60, 72, 0, // Skip to: 998
+/* 926 */     MCD_OPC_Decode, 133, 1, 35, // Opcode: LDAPF_lu10
+/* 930 */     MCD_OPC_FilterValue, 1, 64, 0, // Skip to: 998
+/* 934 */     MCD_OPC_CheckField, 10, 6, 60, 58, 0, // Skip to: 998
+/* 940 */     MCD_OPC_Decode, 131, 1, 36, // Opcode: LDAPB_lu10
+/* 944 */     MCD_OPC_FilterValue, 28, 30, 0, // Skip to: 978
+/* 948 */     MCD_OPC_ExtractField, 26, 1,  // Inst{26} ...
+/* 951 */     MCD_OPC_FilterValue, 0, 9, 0, // Skip to: 964
+/* 955 */     MCD_OPC_CheckField, 10, 6, 60, 37, 0, // Skip to: 998
+/* 961 */     MCD_OPC_Decode, 32, 35, // Opcode: BLACP_lu10
+/* 964 */     MCD_OPC_FilterValue, 1, 30, 0, // Skip to: 998
+/* 968 */     MCD_OPC_CheckField, 10, 6, 60, 24, 0, // Skip to: 998
+/* 974 */     MCD_OPC_Decode, 155, 1, 35, // Opcode: LDWCP_lu10
+/* 978 */     MCD_OPC_FilterValue, 29, 16, 0, // Skip to: 998
+/* 982 */     MCD_OPC_CheckField, 26, 1, 0, 10, 0, // Skip to: 998
+/* 988 */     MCD_OPC_CheckField, 10, 6, 60, 4, 0, // Skip to: 998
+/* 994 */     MCD_OPC_Decode, 194, 1, 29, // Opcode: SETC_lru6
+/* 998 */     MCD_OPC_Fail,
   0
 };
 
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenInstrInfo.inc 4.0.2-3/arch/XCore/XCoreGenInstrInfo.inc
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenInstrInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreGenInstrInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_INSTRINFO_ENUM
@@ -34,232 +34,234 @@ enum {
     XCore_STACKMAP	= 17,
     XCore_PATCHPOINT	= 18,
     XCore_LOAD_STACK_GUARD	= 19,
-    XCore_ADD_2rus	= 20,
-    XCore_ADD_3r	= 21,
-    XCore_ADJCALLSTACKDOWN	= 22,
-    XCore_ADJCALLSTACKUP	= 23,
-    XCore_ANDNOT_2r	= 24,
-    XCore_AND_3r	= 25,
-    XCore_ASHR_l2rus	= 26,
-    XCore_ASHR_l3r	= 27,
-    XCore_BAU_1r	= 28,
-    XCore_BITREV_l2r	= 29,
-    XCore_BLACP_lu10	= 30,
-    XCore_BLACP_u10	= 31,
-    XCore_BLAT_lu6	= 32,
-    XCore_BLAT_u6	= 33,
-    XCore_BLA_1r	= 34,
-    XCore_BLRB_lu10	= 35,
-    XCore_BLRB_u10	= 36,
-    XCore_BLRF_lu10	= 37,
-    XCore_BLRF_u10	= 38,
-    XCore_BRBF_lru6	= 39,
-    XCore_BRBF_ru6	= 40,
-    XCore_BRBT_lru6	= 41,
-    XCore_BRBT_ru6	= 42,
-    XCore_BRBU_lu6	= 43,
-    XCore_BRBU_u6	= 44,
-    XCore_BRFF_lru6	= 45,
-    XCore_BRFF_ru6	= 46,
-    XCore_BRFT_lru6	= 47,
-    XCore_BRFT_ru6	= 48,
-    XCore_BRFU_lu6	= 49,
-    XCore_BRFU_u6	= 50,
-    XCore_BRU_1r	= 51,
-    XCore_BR_JT	= 52,
-    XCore_BR_JT32	= 53,
-    XCore_BYTEREV_l2r	= 54,
-    XCore_CHKCT_2r	= 55,
-    XCore_CHKCT_rus	= 56,
-    XCore_CLRE_0R	= 57,
-    XCore_CLRPT_1R	= 58,
-    XCore_CLRSR_branch_lu6	= 59,
-    XCore_CLRSR_branch_u6	= 60,
-    XCore_CLRSR_lu6	= 61,
-    XCore_CLRSR_u6	= 62,
-    XCore_CLZ_l2r	= 63,
-    XCore_CRC8_l4r	= 64,
-    XCore_CRC_l3r	= 65,
-    XCore_DCALL_0R	= 66,
-    XCore_DENTSP_0R	= 67,
-    XCore_DGETREG_1r	= 68,
-    XCore_DIVS_l3r	= 69,
-    XCore_DIVU_l3r	= 70,
-    XCore_DRESTSP_0R	= 71,
-    XCore_DRET_0R	= 72,
-    XCore_ECALLF_1r	= 73,
-    XCore_ECALLT_1r	= 74,
-    XCore_EDU_1r	= 75,
-    XCore_EEF_2r	= 76,
-    XCore_EET_2r	= 77,
-    XCore_EEU_1r	= 78,
-    XCore_EH_RETURN	= 79,
-    XCore_ENDIN_2r	= 80,
-    XCore_ENTSP_lu6	= 81,
-    XCore_ENTSP_u6	= 82,
-    XCore_EQ_2rus	= 83,
-    XCore_EQ_3r	= 84,
-    XCore_EXTDP_lu6	= 85,
-    XCore_EXTDP_u6	= 86,
-    XCore_EXTSP_lu6	= 87,
-    XCore_EXTSP_u6	= 88,
-    XCore_FRAME_TO_ARGS_OFFSET	= 89,
-    XCore_FREER_1r	= 90,
-    XCore_FREET_0R	= 91,
-    XCore_GETD_l2r	= 92,
-    XCore_GETED_0R	= 93,
-    XCore_GETET_0R	= 94,
-    XCore_GETID_0R	= 95,
-    XCore_GETKEP_0R	= 96,
-    XCore_GETKSP_0R	= 97,
-    XCore_GETN_l2r	= 98,
-    XCore_GETPS_l2r	= 99,
-    XCore_GETR_rus	= 100,
-    XCore_GETSR_lu6	= 101,
-    XCore_GETSR_u6	= 102,
-    XCore_GETST_2r	= 103,
-    XCore_GETTS_2r	= 104,
-    XCore_INCT_2r	= 105,
-    XCore_INITCP_2r	= 106,
-    XCore_INITDP_2r	= 107,
-    XCore_INITLR_l2r	= 108,
-    XCore_INITPC_2r	= 109,
-    XCore_INITSP_2r	= 110,
-    XCore_INPW_l2rus	= 111,
-    XCore_INSHR_2r	= 112,
-    XCore_INT_2r	= 113,
-    XCore_IN_2r	= 114,
-    XCore_Int_MemBarrier	= 115,
-    XCore_KCALL_1r	= 116,
-    XCore_KCALL_lu6	= 117,
-    XCore_KCALL_u6	= 118,
-    XCore_KENTSP_lu6	= 119,
-    XCore_KENTSP_u6	= 120,
-    XCore_KRESTSP_lu6	= 121,
-    XCore_KRESTSP_u6	= 122,
-    XCore_KRET_0R	= 123,
-    XCore_LADD_l5r	= 124,
-    XCore_LD16S_3r	= 125,
-    XCore_LD8U_3r	= 126,
-    XCore_LDA16B_l3r	= 127,
-    XCore_LDA16F_l3r	= 128,
-    XCore_LDAPB_lu10	= 129,
-    XCore_LDAPB_u10	= 130,
-    XCore_LDAPF_lu10	= 131,
-    XCore_LDAPF_lu10_ba	= 132,
-    XCore_LDAPF_u10	= 133,
-    XCore_LDAWB_l2rus	= 134,
-    XCore_LDAWB_l3r	= 135,
-    XCore_LDAWCP_lu6	= 136,
-    XCore_LDAWCP_u6	= 137,
-    XCore_LDAWDP_lru6	= 138,
-    XCore_LDAWDP_ru6	= 139,
-    XCore_LDAWFI	= 140,
-    XCore_LDAWF_l2rus	= 141,
-    XCore_LDAWF_l3r	= 142,
-    XCore_LDAWSP_lru6	= 143,
-    XCore_LDAWSP_ru6	= 144,
-    XCore_LDC_lru6	= 145,
-    XCore_LDC_ru6	= 146,
-    XCore_LDET_0R	= 147,
-    XCore_LDIVU_l5r	= 148,
-    XCore_LDSED_0R	= 149,
-    XCore_LDSPC_0R	= 150,
-    XCore_LDSSR_0R	= 151,
-    XCore_LDWCP_lru6	= 152,
-    XCore_LDWCP_lu10	= 153,
-    XCore_LDWCP_ru6	= 154,
-    XCore_LDWCP_u10	= 155,
-    XCore_LDWDP_lru6	= 156,
-    XCore_LDWDP_ru6	= 157,
-    XCore_LDWFI	= 158,
-    XCore_LDWSP_lru6	= 159,
-    XCore_LDWSP_ru6	= 160,
-    XCore_LDW_2rus	= 161,
-    XCore_LDW_3r	= 162,
-    XCore_LMUL_l6r	= 163,
-    XCore_LSS_3r	= 164,
-    XCore_LSUB_l5r	= 165,
-    XCore_LSU_3r	= 166,
-    XCore_MACCS_l4r	= 167,
-    XCore_MACCU_l4r	= 168,
-    XCore_MJOIN_1r	= 169,
-    XCore_MKMSK_2r	= 170,
-    XCore_MKMSK_rus	= 171,
-    XCore_MSYNC_1r	= 172,
-    XCore_MUL_l3r	= 173,
-    XCore_NEG	= 174,
-    XCore_NOT	= 175,
-    XCore_OR_3r	= 176,
-    XCore_OUTCT_2r	= 177,
-    XCore_OUTCT_rus	= 178,
-    XCore_OUTPW_l2rus	= 179,
-    XCore_OUTSHR_2r	= 180,
-    XCore_OUTT_2r	= 181,
-    XCore_OUT_2r	= 182,
-    XCore_PEEK_2r	= 183,
-    XCore_REMS_l3r	= 184,
-    XCore_REMU_l3r	= 185,
-    XCore_RETSP_lu6	= 186,
-    XCore_RETSP_u6	= 187,
-    XCore_SELECT_CC	= 188,
-    XCore_SETCLK_l2r	= 189,
-    XCore_SETCP_1r	= 190,
-    XCore_SETC_l2r	= 191,
-    XCore_SETC_lru6	= 192,
-    XCore_SETC_ru6	= 193,
-    XCore_SETDP_1r	= 194,
-    XCore_SETD_2r	= 195,
-    XCore_SETEV_1r	= 196,
-    XCore_SETKEP_0R	= 197,
-    XCore_SETN_l2r	= 198,
-    XCore_SETPSC_2r	= 199,
-    XCore_SETPS_l2r	= 200,
-    XCore_SETPT_2r	= 201,
-    XCore_SETRDY_l2r	= 202,
-    XCore_SETSP_1r	= 203,
-    XCore_SETSR_branch_lu6	= 204,
-    XCore_SETSR_branch_u6	= 205,
-    XCore_SETSR_lu6	= 206,
-    XCore_SETSR_u6	= 207,
-    XCore_SETTW_l2r	= 208,
-    XCore_SETV_1r	= 209,
-    XCore_SEXT_2r	= 210,
-    XCore_SEXT_rus	= 211,
-    XCore_SHL_2rus	= 212,
-    XCore_SHL_3r	= 213,
-    XCore_SHR_2rus	= 214,
-    XCore_SHR_3r	= 215,
-    XCore_SSYNC_0r	= 216,
-    XCore_ST16_l3r	= 217,
-    XCore_ST8_l3r	= 218,
-    XCore_STET_0R	= 219,
-    XCore_STSED_0R	= 220,
-    XCore_STSPC_0R	= 221,
-    XCore_STSSR_0R	= 222,
-    XCore_STWDP_lru6	= 223,
-    XCore_STWDP_ru6	= 224,
-    XCore_STWFI	= 225,
-    XCore_STWSP_lru6	= 226,
-    XCore_STWSP_ru6	= 227,
-    XCore_STW_2rus	= 228,
-    XCore_STW_l3r	= 229,
-    XCore_SUB_2rus	= 230,
-    XCore_SUB_3r	= 231,
-    XCore_SYNCR_1r	= 232,
-    XCore_TESTCT_2r	= 233,
-    XCore_TESTLCL_l2r	= 234,
-    XCore_TESTWCT_2r	= 235,
-    XCore_TSETMR_2r	= 236,
-    XCore_TSETR_3r	= 237,
-    XCore_TSTART_1R	= 238,
-    XCore_WAITEF_1R	= 239,
-    XCore_WAITET_1R	= 240,
-    XCore_WAITEU_0R	= 241,
-    XCore_XOR_l3r	= 242,
-    XCore_ZEXT_2r	= 243,
-    XCore_ZEXT_rus	= 244,
-    XCore_INSTRUCTION_LIST_END = 245
+    XCore_STATEPOINT	= 20,
+    XCore_FRAME_ALLOC	= 21,
+    XCore_ADD_2rus	= 22,
+    XCore_ADD_3r	= 23,
+    XCore_ADJCALLSTACKDOWN	= 24,
+    XCore_ADJCALLSTACKUP	= 25,
+    XCore_ANDNOT_2r	= 26,
+    XCore_AND_3r	= 27,
+    XCore_ASHR_l2rus	= 28,
+    XCore_ASHR_l3r	= 29,
+    XCore_BAU_1r	= 30,
+    XCore_BITREV_l2r	= 31,
+    XCore_BLACP_lu10	= 32,
+    XCore_BLACP_u10	= 33,
+    XCore_BLAT_lu6	= 34,
+    XCore_BLAT_u6	= 35,
+    XCore_BLA_1r	= 36,
+    XCore_BLRB_lu10	= 37,
+    XCore_BLRB_u10	= 38,
+    XCore_BLRF_lu10	= 39,
+    XCore_BLRF_u10	= 40,
+    XCore_BRBF_lru6	= 41,
+    XCore_BRBF_ru6	= 42,
+    XCore_BRBT_lru6	= 43,
+    XCore_BRBT_ru6	= 44,
+    XCore_BRBU_lu6	= 45,
+    XCore_BRBU_u6	= 46,
+    XCore_BRFF_lru6	= 47,
+    XCore_BRFF_ru6	= 48,
+    XCore_BRFT_lru6	= 49,
+    XCore_BRFT_ru6	= 50,
+    XCore_BRFU_lu6	= 51,
+    XCore_BRFU_u6	= 52,
+    XCore_BRU_1r	= 53,
+    XCore_BR_JT	= 54,
+    XCore_BR_JT32	= 55,
+    XCore_BYTEREV_l2r	= 56,
+    XCore_CHKCT_2r	= 57,
+    XCore_CHKCT_rus	= 58,
+    XCore_CLRE_0R	= 59,
+    XCore_CLRPT_1R	= 60,
+    XCore_CLRSR_branch_lu6	= 61,
+    XCore_CLRSR_branch_u6	= 62,
+    XCore_CLRSR_lu6	= 63,
+    XCore_CLRSR_u6	= 64,
+    XCore_CLZ_l2r	= 65,
+    XCore_CRC8_l4r	= 66,
+    XCore_CRC_l3r	= 67,
+    XCore_DCALL_0R	= 68,
+    XCore_DENTSP_0R	= 69,
+    XCore_DGETREG_1r	= 70,
+    XCore_DIVS_l3r	= 71,
+    XCore_DIVU_l3r	= 72,
+    XCore_DRESTSP_0R	= 73,
+    XCore_DRET_0R	= 74,
+    XCore_ECALLF_1r	= 75,
+    XCore_ECALLT_1r	= 76,
+    XCore_EDU_1r	= 77,
+    XCore_EEF_2r	= 78,
+    XCore_EET_2r	= 79,
+    XCore_EEU_1r	= 80,
+    XCore_EH_RETURN	= 81,
+    XCore_ENDIN_2r	= 82,
+    XCore_ENTSP_lu6	= 83,
+    XCore_ENTSP_u6	= 84,
+    XCore_EQ_2rus	= 85,
+    XCore_EQ_3r	= 86,
+    XCore_EXTDP_lu6	= 87,
+    XCore_EXTDP_u6	= 88,
+    XCore_EXTSP_lu6	= 89,
+    XCore_EXTSP_u6	= 90,
+    XCore_FRAME_TO_ARGS_OFFSET	= 91,
+    XCore_FREER_1r	= 92,
+    XCore_FREET_0R	= 93,
+    XCore_GETD_l2r	= 94,
+    XCore_GETED_0R	= 95,
+    XCore_GETET_0R	= 96,
+    XCore_GETID_0R	= 97,
+    XCore_GETKEP_0R	= 98,
+    XCore_GETKSP_0R	= 99,
+    XCore_GETN_l2r	= 100,
+    XCore_GETPS_l2r	= 101,
+    XCore_GETR_rus	= 102,
+    XCore_GETSR_lu6	= 103,
+    XCore_GETSR_u6	= 104,
+    XCore_GETST_2r	= 105,
+    XCore_GETTS_2r	= 106,
+    XCore_INCT_2r	= 107,
+    XCore_INITCP_2r	= 108,
+    XCore_INITDP_2r	= 109,
+    XCore_INITLR_l2r	= 110,
+    XCore_INITPC_2r	= 111,
+    XCore_INITSP_2r	= 112,
+    XCore_INPW_l2rus	= 113,
+    XCore_INSHR_2r	= 114,
+    XCore_INT_2r	= 115,
+    XCore_IN_2r	= 116,
+    XCore_Int_MemBarrier	= 117,
+    XCore_KCALL_1r	= 118,
+    XCore_KCALL_lu6	= 119,
+    XCore_KCALL_u6	= 120,
+    XCore_KENTSP_lu6	= 121,
+    XCore_KENTSP_u6	= 122,
+    XCore_KRESTSP_lu6	= 123,
+    XCore_KRESTSP_u6	= 124,
+    XCore_KRET_0R	= 125,
+    XCore_LADD_l5r	= 126,
+    XCore_LD16S_3r	= 127,
+    XCore_LD8U_3r	= 128,
+    XCore_LDA16B_l3r	= 129,
+    XCore_LDA16F_l3r	= 130,
+    XCore_LDAPB_lu10	= 131,
+    XCore_LDAPB_u10	= 132,
+    XCore_LDAPF_lu10	= 133,
+    XCore_LDAPF_lu10_ba	= 134,
+    XCore_LDAPF_u10	= 135,
+    XCore_LDAWB_l2rus	= 136,
+    XCore_LDAWB_l3r	= 137,
+    XCore_LDAWCP_lu6	= 138,
+    XCore_LDAWCP_u6	= 139,
+    XCore_LDAWDP_lru6	= 140,
+    XCore_LDAWDP_ru6	= 141,
+    XCore_LDAWFI	= 142,
+    XCore_LDAWF_l2rus	= 143,
+    XCore_LDAWF_l3r	= 144,
+    XCore_LDAWSP_lru6	= 145,
+    XCore_LDAWSP_ru6	= 146,
+    XCore_LDC_lru6	= 147,
+    XCore_LDC_ru6	= 148,
+    XCore_LDET_0R	= 149,
+    XCore_LDIVU_l5r	= 150,
+    XCore_LDSED_0R	= 151,
+    XCore_LDSPC_0R	= 152,
+    XCore_LDSSR_0R	= 153,
+    XCore_LDWCP_lru6	= 154,
+    XCore_LDWCP_lu10	= 155,
+    XCore_LDWCP_ru6	= 156,
+    XCore_LDWCP_u10	= 157,
+    XCore_LDWDP_lru6	= 158,
+    XCore_LDWDP_ru6	= 159,
+    XCore_LDWFI	= 160,
+    XCore_LDWSP_lru6	= 161,
+    XCore_LDWSP_ru6	= 162,
+    XCore_LDW_2rus	= 163,
+    XCore_LDW_3r	= 164,
+    XCore_LMUL_l6r	= 165,
+    XCore_LSS_3r	= 166,
+    XCore_LSUB_l5r	= 167,
+    XCore_LSU_3r	= 168,
+    XCore_MACCS_l4r	= 169,
+    XCore_MACCU_l4r	= 170,
+    XCore_MJOIN_1r	= 171,
+    XCore_MKMSK_2r	= 172,
+    XCore_MKMSK_rus	= 173,
+    XCore_MSYNC_1r	= 174,
+    XCore_MUL_l3r	= 175,
+    XCore_NEG	= 176,
+    XCore_NOT	= 177,
+    XCore_OR_3r	= 178,
+    XCore_OUTCT_2r	= 179,
+    XCore_OUTCT_rus	= 180,
+    XCore_OUTPW_l2rus	= 181,
+    XCore_OUTSHR_2r	= 182,
+    XCore_OUTT_2r	= 183,
+    XCore_OUT_2r	= 184,
+    XCore_PEEK_2r	= 185,
+    XCore_REMS_l3r	= 186,
+    XCore_REMU_l3r	= 187,
+    XCore_RETSP_lu6	= 188,
+    XCore_RETSP_u6	= 189,
+    XCore_SELECT_CC	= 190,
+    XCore_SETCLK_l2r	= 191,
+    XCore_SETCP_1r	= 192,
+    XCore_SETC_l2r	= 193,
+    XCore_SETC_lru6	= 194,
+    XCore_SETC_ru6	= 195,
+    XCore_SETDP_1r	= 196,
+    XCore_SETD_2r	= 197,
+    XCore_SETEV_1r	= 198,
+    XCore_SETKEP_0R	= 199,
+    XCore_SETN_l2r	= 200,
+    XCore_SETPSC_2r	= 201,
+    XCore_SETPS_l2r	= 202,
+    XCore_SETPT_2r	= 203,
+    XCore_SETRDY_l2r	= 204,
+    XCore_SETSP_1r	= 205,
+    XCore_SETSR_branch_lu6	= 206,
+    XCore_SETSR_branch_u6	= 207,
+    XCore_SETSR_lu6	= 208,
+    XCore_SETSR_u6	= 209,
+    XCore_SETTW_l2r	= 210,
+    XCore_SETV_1r	= 211,
+    XCore_SEXT_2r	= 212,
+    XCore_SEXT_rus	= 213,
+    XCore_SHL_2rus	= 214,
+    XCore_SHL_3r	= 215,
+    XCore_SHR_2rus	= 216,
+    XCore_SHR_3r	= 217,
+    XCore_SSYNC_0r	= 218,
+    XCore_ST16_l3r	= 219,
+    XCore_ST8_l3r	= 220,
+    XCore_STET_0R	= 221,
+    XCore_STSED_0R	= 222,
+    XCore_STSPC_0R	= 223,
+    XCore_STSSR_0R	= 224,
+    XCore_STWDP_lru6	= 225,
+    XCore_STWDP_ru6	= 226,
+    XCore_STWFI	= 227,
+    XCore_STWSP_lru6	= 228,
+    XCore_STWSP_ru6	= 229,
+    XCore_STW_2rus	= 230,
+    XCore_STW_l3r	= 231,
+    XCore_SUB_2rus	= 232,
+    XCore_SUB_3r	= 233,
+    XCore_SYNCR_1r	= 234,
+    XCore_TESTCT_2r	= 235,
+    XCore_TESTLCL_l2r	= 236,
+    XCore_TESTWCT_2r	= 237,
+    XCore_TSETMR_2r	= 238,
+    XCore_TSETR_3r	= 239,
+    XCore_TSTART_1R	= 240,
+    XCore_WAITEF_1R	= 241,
+    XCore_WAITET_1R	= 242,
+    XCore_WAITEU_0R	= 243,
+    XCore_XOR_l3r	= 244,
+    XCore_ZEXT_2r	= 245,
+    XCore_ZEXT_rus	= 246,
+    XCore_INSTRUCTION_LIST_END = 247
 };
 
 #endif // GET_INSTRINFO_ENUM
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenRegisterInfo.inc 4.0.2-3/arch/XCore/XCoreGenRegisterInfo.inc
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreGenRegisterInfo.inc	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreGenRegisterInfo.inc	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 \*===----------------------------------------------------------------------===*/
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 
 #ifdef GET_REGINFO_ENUM
@@ -62,24 +62,24 @@ static const uint16_t XCoreSubRegIdxList
   /* 0 */ 0,
 };
 
-static const MCRegisterDesc XCoreRegDesc[] = { // Descriptors
-  { 3, 0, 0, 0, 0 },
-  { 38, 1, 1, 0, 1 },
-  { 41, 1, 1, 0, 1 },
-  { 47, 1, 1, 0, 1 },
-  { 44, 1, 1, 0, 1 },
-  { 4, 1, 1, 0, 1 },
-  { 11, 1, 1, 0, 1 },
-  { 14, 1, 1, 0, 1 },
-  { 17, 1, 1, 0, 1 },
-  { 20, 1, 1, 0, 1 },
-  { 23, 1, 1, 0, 1 },
-  { 26, 1, 1, 0, 1 },
-  { 29, 1, 1, 0, 1 },
-  { 32, 1, 1, 0, 1 },
-  { 35, 1, 1, 0, 1 },
-  { 0, 1, 1, 0, 1 },
-  { 7, 1, 1, 0, 1 },
+static MCRegisterDesc XCoreRegDesc[] = { // Descriptors
+  { 3, 0, 0, 0, 0, 0 },
+  { 38, 1, 1, 0, 1, 0 },
+  { 41, 1, 1, 0, 1, 0 },
+  { 47, 1, 1, 0, 1, 0 },
+  { 44, 1, 1, 0, 1, 0 },
+  { 4, 1, 1, 0, 1, 0 },
+  { 11, 1, 1, 0, 1, 0 },
+  { 14, 1, 1, 0, 1, 0 },
+  { 17, 1, 1, 0, 1, 0 },
+  { 20, 1, 1, 0, 1, 0 },
+  { 23, 1, 1, 0, 1, 0 },
+  { 26, 1, 1, 0, 1, 0 },
+  { 29, 1, 1, 0, 1, 0 },
+  { 32, 1, 1, 0, 1, 0 },
+  { 35, 1, 1, 0, 1, 0 },
+  { 0, 1, 1, 0, 1, 0 },
+  { 7, 1, 1, 0, 1, 0 },
 };
 
   // RRegs Register Class...
@@ -102,9 +102,9 @@ static const MCRegisterDesc XCoreRegDesc
     0xe0, 0xff, 0x01, 
   };
 
-static const MCRegisterClass XCoreMCRegisterClasses[] = {
-  { "RRegs", RRegs, RRegsBits, 16, sizeof(RRegsBits), XCore_RRegsRegClassID, 4, 4, 1, 0 },
-  { "GRRegs", GRRegs, GRRegsBits, 12, sizeof(GRRegsBits), XCore_GRRegsRegClassID, 4, 4, 1, 1 },
+static MCRegisterClass XCoreMCRegisterClasses[] = {
+  { RRegs, RRegsBits, 1, 16, sizeof(RRegsBits), XCore_RRegsRegClassID, 4, 4, 1, 0 },
+  { GRRegs, GRRegsBits, 0, 12, sizeof(GRRegsBits), XCore_GRRegsRegClassID, 4, 4, 1, 1 },
 };
 
 #endif // GET_REGINFO_MC_DESC
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreInstPrinter.c 4.0.2-3/arch/XCore/XCoreInstPrinter.c
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreInstPrinter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreInstPrinter.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_XCORE
 
@@ -24,7 +24,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <platform.h>
+#include <capstone/platform.h>
 
 #include "XCoreInstPrinter.h"
 #include "../../MCInst.h"
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreInstPrinter.h 4.0.2-3/arch/XCore/XCoreInstPrinter.h
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreInstPrinter.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreInstPrinter.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_XCOREINSTPRINTER_H
 #define CS_XCOREINSTPRINTER_H
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreMapping.c 4.0.2-3/arch/XCore/XCoreMapping.c
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreMapping.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreMapping.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_XCORE
 
@@ -49,7 +49,7 @@ static const name_map reg_name_maps[] =
 const char *XCore_reg_name(csh handle, unsigned int reg)
 {
 #ifndef CAPSTONE_DIET
-	if (reg >= XCORE_REG_ENDING)
+	if (reg >= ARR_SIZE(reg_name_maps))
 		return NULL;
 
 	return reg_name_maps[reg].name;
@@ -80,1290 +80,7 @@ static const insn_map insns[] = {
 #endif
 	},
 
-	{
-		XCore_ADD_2rus, XCORE_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ADD_3r, XCORE_INS_ADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ANDNOT_2r, XCORE_INS_ANDNOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_AND_3r, XCORE_INS_AND,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ASHR_l2rus, XCORE_INS_ASHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ASHR_l3r, XCORE_INS_ASHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BAU_1r, XCORE_INS_BAU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_BITREV_l2r, XCORE_INS_BITREV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLACP_lu10, XCORE_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLACP_u10, XCORE_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLAT_lu6, XCORE_INS_BLAT,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLAT_u6, XCORE_INS_BLAT,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLA_1r, XCORE_INS_BLA,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLRB_lu10, XCORE_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLRB_u10, XCORE_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLRF_lu10, XCORE_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BLRF_u10, XCORE_INS_BL,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_BRBF_lru6, XCORE_INS_BF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRBF_ru6, XCORE_INS_BF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRBT_lru6, XCORE_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRBT_ru6, XCORE_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRBU_lu6, XCORE_INS_BU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRBU_u6, XCORE_INS_BU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFF_lru6, XCORE_INS_BF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFF_ru6, XCORE_INS_BF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFT_lru6, XCORE_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFT_ru6, XCORE_INS_BT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFU_lu6, XCORE_INS_BU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRFU_u6, XCORE_INS_BU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 0
-#endif
-	},
-	{
-		XCore_BRU_1r, XCORE_INS_BRU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_BYTEREV_l2r, XCORE_INS_BYTEREV,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CHKCT_2r, XCORE_INS_CHKCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CHKCT_rus, XCORE_INS_CHKCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CLRE_0R, XCORE_INS_CLRE,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CLRPT_1R, XCORE_INS_CLRPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CLRSR_branch_lu6, XCORE_INS_CLRSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_CLRSR_branch_u6, XCORE_INS_CLRSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_CLRSR_lu6, XCORE_INS_CLRSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CLRSR_u6, XCORE_INS_CLRSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CLZ_l2r, XCORE_INS_CLZ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CRC8_l4r, XCORE_INS_CRC8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_CRC_l3r, XCORE_INS_CRC32,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DCALL_0R, XCORE_INS_DCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DENTSP_0R, XCORE_INS_DENTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DGETREG_1r, XCORE_INS_DGETREG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DIVS_l3r, XCORE_INS_DIVS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DIVU_l3r, XCORE_INS_DIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DRESTSP_0R, XCORE_INS_DRESTSP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_DRET_0R, XCORE_INS_DRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ECALLF_1r, XCORE_INS_ECALLF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ECALLT_1r, XCORE_INS_ECALLT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EDU_1r, XCORE_INS_EDU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EEF_2r, XCORE_INS_EEF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EET_2r, XCORE_INS_EET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EEU_1r, XCORE_INS_EEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ENDIN_2r, XCORE_INS_ENDIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ENTSP_lu6, XCORE_INS_ENTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ENTSP_u6, XCORE_INS_ENTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EQ_2rus, XCORE_INS_EQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EQ_3r, XCORE_INS_EQ,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EXTDP_lu6, XCORE_INS_EXTDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EXTDP_u6, XCORE_INS_EXTDP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EXTSP_lu6, XCORE_INS_EXTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_EXTSP_u6, XCORE_INS_EXTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_FREER_1r, XCORE_INS_FREER,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_FREET_0R, XCORE_INS_FREET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETD_l2r, XCORE_INS_GETD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETED_0R, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETET_0R, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETID_0R, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETKEP_0R, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETKSP_0R, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETN_l2r, XCORE_INS_GETN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETPS_l2r, XCORE_INS_GET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETR_rus, XCORE_INS_GETR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETSR_lu6, XCORE_INS_GETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETSR_u6, XCORE_INS_GETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETST_2r, XCORE_INS_GETST,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_GETTS_2r, XCORE_INS_GETTS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INCT_2r, XCORE_INS_INCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INITCP_2r, XCORE_INS_INIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INITDP_2r, XCORE_INS_INIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INITLR_l2r, XCORE_INS_INIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INITPC_2r, XCORE_INS_INIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INITSP_2r, XCORE_INS_INIT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INPW_l2rus, XCORE_INS_INPW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INSHR_2r, XCORE_INS_INSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_INT_2r, XCORE_INS_INT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_IN_2r, XCORE_INS_IN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KCALL_1r, XCORE_INS_KCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KCALL_lu6, XCORE_INS_KCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KCALL_u6, XCORE_INS_KCALL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KENTSP_lu6, XCORE_INS_KENTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KENTSP_u6, XCORE_INS_KENTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KRESTSP_lu6, XCORE_INS_KRESTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KRESTSP_u6, XCORE_INS_KRESTSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_KRET_0R, XCORE_INS_KRET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LADD_l5r, XCORE_INS_LADD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LD16S_3r, XCORE_INS_LD16S,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LD8U_3r, XCORE_INS_LD8U,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDA16B_l3r, XCORE_INS_LDA16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDA16F_l3r, XCORE_INS_LDA16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAPB_lu10, XCORE_INS_LDAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAPB_u10, XCORE_INS_LDAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAPF_lu10, XCORE_INS_LDAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAPF_lu10_ba, XCORE_INS_LDAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAPF_u10, XCORE_INS_LDAP,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWB_l2rus, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWB_l3r, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWCP_lu6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWCP_u6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWDP_lru6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWDP_ru6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWF_l2rus, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWF_l3r, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWSP_lru6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDAWSP_ru6, XCORE_INS_LDAW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDC_lru6, XCORE_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDC_ru6, XCORE_INS_LDC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDET_0R, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDIVU_l5r, XCORE_INS_LDIVU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDSED_0R, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDSPC_0R, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDSSR_0R, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWCP_lru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWCP_lu10, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWCP_ru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWCP_u10, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWDP_lru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWDP_ru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWSP_lru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDWSP_ru6, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDW_2rus, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LDW_3r, XCORE_INS_LDW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LMUL_l6r, XCORE_INS_LMUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LSS_3r, XCORE_INS_LSS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LSUB_l5r, XCORE_INS_LSUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_LSU_3r, XCORE_INS_LSU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MACCS_l4r, XCORE_INS_MACCS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MACCU_l4r, XCORE_INS_MACCU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MJOIN_1r, XCORE_INS_MJOIN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MKMSK_2r, XCORE_INS_MKMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MKMSK_rus, XCORE_INS_MKMSK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MSYNC_1r, XCORE_INS_MSYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_MUL_l3r, XCORE_INS_MUL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_NEG, XCORE_INS_NEG,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_NOT, XCORE_INS_NOT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OR_3r, XCORE_INS_OR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUTCT_2r, XCORE_INS_OUTCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUTCT_rus, XCORE_INS_OUTCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUTPW_l2rus, XCORE_INS_OUTPW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUTSHR_2r, XCORE_INS_OUTSHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUTT_2r, XCORE_INS_OUTT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_OUT_2r, XCORE_INS_OUT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_PEEK_2r, XCORE_INS_PEEK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_REMS_l3r, XCORE_INS_REMS,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_REMU_l3r, XCORE_INS_REMU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_RETSP_lu6, XCORE_INS_RETSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_RETSP_u6, XCORE_INS_RETSP,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETCLK_l2r, XCORE_INS_SETCLK,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETCP_1r, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETC_l2r, XCORE_INS_SETC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETC_lru6, XCORE_INS_SETC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETC_ru6, XCORE_INS_SETC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETDP_1r, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETD_2r, XCORE_INS_SETD,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETEV_1r, XCORE_INS_SETEV,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETKEP_0R, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETN_l2r, XCORE_INS_SETN,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETPSC_2r, XCORE_INS_SETPSC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETPS_l2r, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETPT_2r, XCORE_INS_SETPT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETRDY_l2r, XCORE_INS_SETRDY,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETSP_1r, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETSR_branch_lu6, XCORE_INS_SETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_SETSR_branch_u6, XCORE_INS_SETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_SETSR_lu6, XCORE_INS_SETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETSR_u6, XCORE_INS_SETSR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETTW_l2r, XCORE_INS_SETTW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SETV_1r, XCORE_INS_SETV,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SEXT_2r, XCORE_INS_SEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SEXT_rus, XCORE_INS_SEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SHL_2rus, XCORE_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SHL_3r, XCORE_INS_SHL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SHR_2rus, XCORE_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SHR_3r, XCORE_INS_SHR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SSYNC_0r, XCORE_INS_SSYNC,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ST16_l3r, XCORE_INS_ST16,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ST8_l3r, XCORE_INS_ST8,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STET_0R, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STSED_0R, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STSPC_0R, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STSSR_0R, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STWDP_lru6, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STWDP_ru6, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STWSP_lru6, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STWSP_ru6, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STW_2rus, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_STW_l3r, XCORE_INS_STW,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SUB_2rus, XCORE_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SUB_3r, XCORE_INS_SUB,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_SYNCR_1r, XCORE_INS_SYNCR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TESTCT_2r, XCORE_INS_TESTCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TESTLCL_l2r, XCORE_INS_TESTLCL,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TESTWCT_2r, XCORE_INS_TESTWCT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TSETMR_2r, XCORE_INS_TSETMR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TSETR_3r, XCORE_INS_SET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_TSTART_1R, XCORE_INS_START,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_WAITEF_1R, XCORE_INS_WAITEF,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_WAITET_1R, XCORE_INS_WAITET,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_WAITEU_0R, XCORE_INS_WAITEU,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 1, 1
-#endif
-	},
-	{
-		XCore_XOR_l3r, XCORE_INS_XOR,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ZEXT_2r, XCORE_INS_ZEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
-	{
-		XCore_ZEXT_rus, XCORE_INS_ZEXT,
-#ifndef CAPSTONE_DIET
-		{ 0 }, { 0 }, { 0 }, 0, 0
-#endif
-	},
+#include "XCoreMappingInsn.inc"
 };
 
 // given internal insn id, return public instruction info
@@ -1384,7 +101,7 @@ void XCore_get_insn_id(cs_struct *h, cs_
 			insn->detail->regs_write_count = (uint8_t)count_positive(insns[i].regs_mod);
 
 			memcpy(insn->detail->groups, insns[i].groups, sizeof(insns[i].groups));
-			insn->detail->groups_count = (uint8_t)count_positive(insns[i].groups);
+			insn->detail->groups_count = (uint8_t)count_positive8(insns[i].groups);
 
 			if (insns[i].branch || insns[i].indirect_branch) {
 				// this insn also belongs to JUMP group. add JUMP group
@@ -1558,10 +275,7 @@ static const name_map group_name_maps[]
 const char *XCore_group_name(csh handle, unsigned int id)
 {
 #ifndef CAPSTONE_DIET
-	if (id >= XCORE_GRP_ENDING)
-		return NULL;
-
-	return group_name_maps[id].name;
+	return id2name(group_name_maps, ARR_SIZE(group_name_maps), id);
 #else
 	return NULL;
 #endif
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreMapping.h 4.0.2-3/arch/XCore/XCoreMapping.h
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreMapping.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreMapping.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_XCORE_MAP_H
 #define CS_XCORE_MAP_H
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 // return name of regiser in friendly string
 const char *XCore_reg_name(csh handle, unsigned int reg);
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreMappingInsn.inc 4.0.2-3/arch/XCore/XCoreMappingInsn.inc
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreMappingInsn.inc	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreMappingInsn.inc	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1287 @@
+// This is auto-gen data for Capstone engine (www.capstone-engine.org)
+// By Nguyen Anh Quynh <aquynh@gmail.com>
+
+{
+	XCore_ADD_2rus, XCORE_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ADD_3r, XCORE_INS_ADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ANDNOT_2r, XCORE_INS_ANDNOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_AND_3r, XCORE_INS_AND,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ASHR_l2rus, XCORE_INS_ASHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ASHR_l3r, XCORE_INS_ASHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BAU_1r, XCORE_INS_BAU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_BITREV_l2r, XCORE_INS_BITREV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLACP_lu10, XCORE_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLACP_u10, XCORE_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLAT_lu6, XCORE_INS_BLAT,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLAT_u6, XCORE_INS_BLAT,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLA_1r, XCORE_INS_BLA,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLRB_lu10, XCORE_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLRB_u10, XCORE_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLRF_lu10, XCORE_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BLRF_u10, XCORE_INS_BL,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_R0, XCORE_REG_R1, XCORE_REG_R2, XCORE_REG_R3, XCORE_REG_R11, XCORE_REG_LR, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_BRBF_lru6, XCORE_INS_BF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRBF_ru6, XCORE_INS_BF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRBT_lru6, XCORE_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRBT_ru6, XCORE_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRBU_lu6, XCORE_INS_BU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRBU_u6, XCORE_INS_BU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFF_lru6, XCORE_INS_BF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFF_ru6, XCORE_INS_BF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFT_lru6, XCORE_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFT_ru6, XCORE_INS_BT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFU_lu6, XCORE_INS_BU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRFU_u6, XCORE_INS_BU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 0
+#endif
+},
+{
+	XCore_BRU_1r, XCORE_INS_BRU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_BYTEREV_l2r, XCORE_INS_BYTEREV,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CHKCT_2r, XCORE_INS_CHKCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CHKCT_rus, XCORE_INS_CHKCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CLRE_0R, XCORE_INS_CLRE,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CLRPT_1R, XCORE_INS_CLRPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CLRSR_branch_lu6, XCORE_INS_CLRSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_CLRSR_branch_u6, XCORE_INS_CLRSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_CLRSR_lu6, XCORE_INS_CLRSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CLRSR_u6, XCORE_INS_CLRSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CLZ_l2r, XCORE_INS_CLZ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CRC8_l4r, XCORE_INS_CRC8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_CRC_l3r, XCORE_INS_CRC32,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DCALL_0R, XCORE_INS_DCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DENTSP_0R, XCORE_INS_DENTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DGETREG_1r, XCORE_INS_DGETREG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DIVS_l3r, XCORE_INS_DIVS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DIVU_l3r, XCORE_INS_DIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DRESTSP_0R, XCORE_INS_DRESTSP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_DRET_0R, XCORE_INS_DRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ECALLF_1r, XCORE_INS_ECALLF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ECALLT_1r, XCORE_INS_ECALLT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EDU_1r, XCORE_INS_EDU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EEF_2r, XCORE_INS_EEF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EET_2r, XCORE_INS_EET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EEU_1r, XCORE_INS_EEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ENDIN_2r, XCORE_INS_ENDIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ENTSP_lu6, XCORE_INS_ENTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ENTSP_u6, XCORE_INS_ENTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EQ_2rus, XCORE_INS_EQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EQ_3r, XCORE_INS_EQ,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EXTDP_lu6, XCORE_INS_EXTDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EXTDP_u6, XCORE_INS_EXTDP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EXTSP_lu6, XCORE_INS_EXTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_EXTSP_u6, XCORE_INS_EXTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_FREER_1r, XCORE_INS_FREER,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_FREET_0R, XCORE_INS_FREET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETD_l2r, XCORE_INS_GETD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETED_0R, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETET_0R, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETID_0R, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETKEP_0R, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETKSP_0R, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETN_l2r, XCORE_INS_GETN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETPS_l2r, XCORE_INS_GET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETR_rus, XCORE_INS_GETR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETSR_lu6, XCORE_INS_GETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETSR_u6, XCORE_INS_GETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETST_2r, XCORE_INS_GETST,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_GETTS_2r, XCORE_INS_GETTS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INCT_2r, XCORE_INS_INCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INITCP_2r, XCORE_INS_INIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INITDP_2r, XCORE_INS_INIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INITLR_l2r, XCORE_INS_INIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INITPC_2r, XCORE_INS_INIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INITSP_2r, XCORE_INS_INIT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INPW_l2rus, XCORE_INS_INPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INSHR_2r, XCORE_INS_INSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_INT_2r, XCORE_INS_INT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_IN_2r, XCORE_INS_IN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KCALL_1r, XCORE_INS_KCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KCALL_lu6, XCORE_INS_KCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KCALL_u6, XCORE_INS_KCALL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KENTSP_lu6, XCORE_INS_KENTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KENTSP_u6, XCORE_INS_KENTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KRESTSP_lu6, XCORE_INS_KRESTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KRESTSP_u6, XCORE_INS_KRESTSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_KRET_0R, XCORE_INS_KRET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LADD_l5r, XCORE_INS_LADD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LD16S_3r, XCORE_INS_LD16S,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LD8U_3r, XCORE_INS_LD8U,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDA16B_l3r, XCORE_INS_LDA16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDA16F_l3r, XCORE_INS_LDA16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAPB_lu10, XCORE_INS_LDAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAPB_u10, XCORE_INS_LDAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAPF_lu10, XCORE_INS_LDAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAPF_lu10_ba, XCORE_INS_LDAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAPF_u10, XCORE_INS_LDAP,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWB_l2rus, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWB_l3r, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWCP_lu6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWCP_u6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWDP_lru6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWDP_ru6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWF_l2rus, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWF_l3r, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWSP_lru6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDAWSP_ru6, XCORE_INS_LDAW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDC_lru6, XCORE_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDC_ru6, XCORE_INS_LDC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDET_0R, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDIVU_l5r, XCORE_INS_LDIVU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDSED_0R, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDSPC_0R, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDSSR_0R, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWCP_lru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWCP_lu10, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWCP_ru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWCP_u10, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_R11, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWDP_lru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWDP_ru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWSP_lru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDWSP_ru6, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDW_2rus, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LDW_3r, XCORE_INS_LDW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LMUL_l6r, XCORE_INS_LMUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LSS_3r, XCORE_INS_LSS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LSUB_l5r, XCORE_INS_LSUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_LSU_3r, XCORE_INS_LSU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MACCS_l4r, XCORE_INS_MACCS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MACCU_l4r, XCORE_INS_MACCU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MJOIN_1r, XCORE_INS_MJOIN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MKMSK_2r, XCORE_INS_MKMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MKMSK_rus, XCORE_INS_MKMSK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MSYNC_1r, XCORE_INS_MSYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_MUL_l3r, XCORE_INS_MUL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_NEG, XCORE_INS_NEG,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_NOT, XCORE_INS_NOT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OR_3r, XCORE_INS_OR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUTCT_2r, XCORE_INS_OUTCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUTCT_rus, XCORE_INS_OUTCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUTPW_l2rus, XCORE_INS_OUTPW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUTSHR_2r, XCORE_INS_OUTSHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUTT_2r, XCORE_INS_OUTT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_OUT_2r, XCORE_INS_OUT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_PEEK_2r, XCORE_INS_PEEK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_REMS_l3r, XCORE_INS_REMS,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_REMU_l3r, XCORE_INS_REMU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_RETSP_lu6, XCORE_INS_RETSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_RETSP_u6, XCORE_INS_RETSP,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETCLK_l2r, XCORE_INS_SETCLK,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETCP_1r, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETC_l2r, XCORE_INS_SETC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETC_lru6, XCORE_INS_SETC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETC_ru6, XCORE_INS_SETC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETDP_1r, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETD_2r, XCORE_INS_SETD,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETEV_1r, XCORE_INS_SETEV,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETKEP_0R, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETN_l2r, XCORE_INS_SETN,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETPSC_2r, XCORE_INS_SETPSC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETPS_l2r, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETPT_2r, XCORE_INS_SETPT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETRDY_l2r, XCORE_INS_SETRDY,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETSP_1r, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { XCORE_REG_SP, 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETSR_branch_lu6, XCORE_INS_SETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_SETSR_branch_u6, XCORE_INS_SETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_SETSR_lu6, XCORE_INS_SETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETSR_u6, XCORE_INS_SETSR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETTW_l2r, XCORE_INS_SETTW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SETV_1r, XCORE_INS_SETV,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_R11, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SEXT_2r, XCORE_INS_SEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SEXT_rus, XCORE_INS_SEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SHL_2rus, XCORE_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SHL_3r, XCORE_INS_SHL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SHR_2rus, XCORE_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SHR_3r, XCORE_INS_SHR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SSYNC_0r, XCORE_INS_SSYNC,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ST16_l3r, XCORE_INS_ST16,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ST8_l3r, XCORE_INS_ST8,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STET_0R, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STSED_0R, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STSPC_0R, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STSSR_0R, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STWDP_lru6, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STWDP_ru6, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STWSP_lru6, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STWSP_ru6, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ XCORE_REG_SP, 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STW_2rus, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_STW_l3r, XCORE_INS_STW,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SUB_2rus, XCORE_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SUB_3r, XCORE_INS_SUB,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_SYNCR_1r, XCORE_INS_SYNCR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TESTCT_2r, XCORE_INS_TESTCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TESTLCL_l2r, XCORE_INS_TESTLCL,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TESTWCT_2r, XCORE_INS_TESTWCT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TSETMR_2r, XCORE_INS_TSETMR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TSETR_3r, XCORE_INS_SET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_TSTART_1R, XCORE_INS_START,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_WAITEF_1R, XCORE_INS_WAITEF,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_WAITET_1R, XCORE_INS_WAITET,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_WAITEU_0R, XCORE_INS_WAITEU,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 1, 1
+#endif
+},
+{
+	XCore_XOR_l3r, XCORE_INS_XOR,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ZEXT_2r, XCORE_INS_ZEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
+{
+	XCore_ZEXT_rus, XCORE_INS_ZEXT,
+#ifndef CAPSTONE_DIET
+	{ 0 }, { 0 }, { 0 }, 0, 0
+#endif
+},
diff -pruN 4.0.1+really+3.0.5-2/arch/XCore/XCoreModule.c 4.0.2-3/arch/XCore/XCoreModule.c
--- 4.0.1+really+3.0.5-2/arch/XCore/XCoreModule.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/arch/XCore/XCoreModule.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifdef CAPSTONE_HAS_XCORE
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/const_generator.py 4.0.2-3/bindings/const_generator.py
--- 4.0.1+really+3.0.5-2/bindings/const_generator.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/const_generator.py	2020-05-08 10:03:30.000000000 +0000
@@ -3,9 +3,9 @@
 from __future__ import print_function
 import sys, re
 
-INCL_DIR = '../include/'
+INCL_DIR = '../include/capstone/'
 
-include = [ 'arm.h', 'arm64.h', 'mips.h', 'x86.h', 'ppc.h', 'sparc.h', 'systemz.h', 'xcore.h' ]
+include = [ 'arm.h', 'arm64.h', 'm68k.h', 'mips.h', 'x86.h', 'ppc.h', 'sparc.h', 'systemz.h', 'xcore.h', 'tms320c64x.h', 'm680x.h', 'evm.h' ]
 
 template = {
     'java': {
@@ -16,12 +16,16 @@ template = {
             # prefixes for constant filenames of all archs - case sensitive
             'arm.h': 'Arm',
             'arm64.h': 'Arm64',
+            'm68k.h': 'M68k',
             'mips.h': 'Mips',
             'x86.h': 'X86',
             'ppc.h': 'Ppc',
             'sparc.h': 'Sparc',
             'systemz.h': 'Sysz',
             'xcore.h': 'Xcore',
+            'tms320c64x.h': 'TMS320C64x',
+            'm680x.h': 'M680x',
+            'evm.h': 'Evm',
             'comment_open': '\t//',
             'comment_close': '',
         },
@@ -33,12 +37,16 @@ template = {
             # prefixes for constant filenames of all archs - case sensitive
             'arm.h': 'arm',
             'arm64.h': 'arm64',
+            'm68k.h': 'm68k',
             'mips.h': 'mips',
             'x86.h': 'x86',
             'ppc.h': 'ppc',
             'sparc.h': 'sparc',
             'systemz.h': 'sysz',
             'xcore.h': 'xcore',
+            'tms320c64x.h': 'tms320c64x',
+            'm680x.h': 'm680x',
+            'evm.h': 'evm',
             'comment_open': '#',
             'comment_close': '',
         },
@@ -51,11 +59,15 @@ template = {
             'arm.h': 'arm',
             'arm64.h': 'arm64',
             'mips.h': 'mips',
+            'm68k.h': 'm68k',
             'x86.h': 'x86',
             'ppc.h': 'ppc',
             'sparc.h': 'sparc',
             'systemz.h': 'sysz',
             'xcore.h': 'xcore',
+            'tms320c64x.h': 'tms320c64x',
+            'm680x.h': 'm680x',
+            'evm.h': 'evm',
             'comment_open': '(*',
             'comment_close': ' *)',
         },
@@ -68,6 +80,7 @@ def gen(lang):
     global include, INCL_DIR
     print('Generating bindings for', lang)
     templ = template[lang]
+    print('Generating bindings for', lang)
     for target in include:
         prefix = templ[target]
         outfile = open(templ['out_file'] %(prefix), 'wb')   # open as binary prevents windows newlines
@@ -88,6 +101,16 @@ def gen(lang):
             if line == '' or line.startswith('//'):
                 continue
 
+            if line.startswith('#define '):
+                line = line[8:]     #cut off define
+                xline = re.split('\s+', line, 1)     #split to at most 2 express
+                if len(xline) != 2:
+                    continue
+                if '(' in xline[0] or ')' in xline[0]:      #does it look like a function
+                    continue
+                xline.insert(1, '=')            # insert an = so the expression below can parse it
+                line = ' '.join(xline)
+
             if not line.startswith(prefix.upper()):
                 continue
 
@@ -95,10 +118,13 @@ def gen(lang):
             for t in tmp:
                 t = t.strip()
                 if not t or t.startswith('//'): continue
+                # hacky: remove type cast (uint64_t)
+                t = t.replace('(uint64_t)', '')
+                t = re.sub(r'\((\d+)ULL << (\d+)\)', r'\1 << \2', t)    # (1ULL<<1) to 1 << 1
                 f = re.split('\s+', t)
 
                 if f[0].startswith(prefix.upper()):
-                    if len(f) > 1 and f[1] not in '//=':
+                    if len(f) > 1 and f[1] not in ('//', '///<', '='):
                         print("Error: Unable to convert %s" % f)
                         continue
                     elif len(f) > 1 and f[1] == '=':
@@ -127,12 +153,16 @@ def gen(lang):
 
 def main():
     try:
-        gen(sys.argv[1])
+        if sys.argv[1] == 'all':
+            for key in template.keys():
+                gen(key)
+        else:
+            gen(sys.argv[1])
     except:
         raise RuntimeError("Unsupported binding %s" % sys.argv[1])
 
 if __name__ == "__main__":
     if len(sys.argv) < 2:
-        print("Usage:", sys.argv[0], " <bindings: java|python|ocaml>")
+        print("Usage:", sys.argv[0], " <bindings: java|python|ocaml|all>")
         sys.exit(1)
     main()
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm64_const.java 4.0.2-3/bindings/java/capstone/Arm64_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm64_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Arm64_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,8 +3,6 @@ package capstone;
 
 public class Arm64_const {
 
-	// ARM64 shift type
-
 	public static final int ARM64_SFT_INVALID = 0;
 	public static final int ARM64_SFT_LSL = 1;
 	public static final int ARM64_SFT_MSL = 2;
@@ -12,8 +10,6 @@ public class Arm64_const {
 	public static final int ARM64_SFT_ASR = 4;
 	public static final int ARM64_SFT_ROR = 5;
 
-	// ARM64 extender type
-
 	public static final int ARM64_EXT_INVALID = 0;
 	public static final int ARM64_EXT_UXTB = 1;
 	public static final int ARM64_EXT_UXTH = 2;
@@ -24,8 +20,6 @@ public class Arm64_const {
 	public static final int ARM64_EXT_SXTW = 7;
 	public static final int ARM64_EXT_SXTX = 8;
 
-	// ARM64 condition code
-
 	public static final int ARM64_CC_INVALID = 0;
 	public static final int ARM64_CC_EQ = 1;
 	public static final int ARM64_CC_NE = 2;
@@ -44,10 +38,6 @@ public class Arm64_const {
 	public static final int ARM64_CC_AL = 15;
 	public static final int ARM64_CC_NV = 16;
 
-	// System registers
-
-	// System registers for MRS
-
 	public static final int ARM64_SYSREG_INVALID = 0;
 	public static final int ARM64_SYSREG_MDCCSR_EL0 = 0x9808;
 	public static final int ARM64_SYSREG_DBGDTRRX_EL0 = 0x9828;
@@ -141,8 +131,6 @@ public class Arm64_const {
 	public static final int ARM64_SYSREG_ICH_VTR_EL2 = 0xe659;
 	public static final int ARM64_SYSREG_ICH_EISR_EL2 = 0xe65b;
 	public static final int ARM64_SYSREG_ICH_ELSR_EL2 = 0xe65d;
-
-	// System registers for MSR
 	public static final int ARM64_SYSREG_DBGDTRTX_EL0 = 0x9828;
 	public static final int ARM64_SYSREG_OSLAR_EL1 = 0x8084;
 	public static final int ARM64_SYSREG_PMSWINC_EL0 = 0xdce4;
@@ -155,15 +143,11 @@ public class Arm64_const {
 	public static final int ARM64_SYSREG_ICC_ASGI1R_EL1 = 0xc65e;
 	public static final int ARM64_SYSREG_ICC_SGI0R_EL1 = 0xc65f;
 
-	// System PState Field (MSR instruction)
-
 	public static final int ARM64_PSTATE_INVALID = 0;
 	public static final int ARM64_PSTATE_SPSEL = 0x05;
 	public static final int ARM64_PSTATE_DAIFSET = 0x1e;
 	public static final int ARM64_PSTATE_DAIFCLR = 0x1f;
 
-	// Vector arrangement specifier (for FloatingPoint/Advanced SIMD insn)
-
 	public static final int ARM64_VAS_INVALID = 0;
 	public static final int ARM64_VAS_8B = 1;
 	public static final int ARM64_VAS_16B = 2;
@@ -175,16 +159,12 @@ public class Arm64_const {
 	public static final int ARM64_VAS_2D = 8;
 	public static final int ARM64_VAS_1Q = 9;
 
-	// Vector element size specifier
-
 	public static final int ARM64_VESS_INVALID = 0;
 	public static final int ARM64_VESS_B = 1;
 	public static final int ARM64_VESS_H = 2;
 	public static final int ARM64_VESS_S = 3;
 	public static final int ARM64_VESS_D = 4;
 
-	// Memory barrier operands
-
 	public static final int ARM64_BARRIER_INVALID = 0;
 	public static final int ARM64_BARRIER_OSHLD = 0x1;
 	public static final int ARM64_BARRIER_OSHST = 0x2;
@@ -199,8 +179,6 @@ public class Arm64_const {
 	public static final int ARM64_BARRIER_ST = 0xe;
 	public static final int ARM64_BARRIER_SY = 0xf;
 
-	// Operand type for instruction's operands
-
 	public static final int ARM64_OP_INVALID = 0;
 	public static final int ARM64_OP_REG = 1;
 	public static final int ARM64_OP_IMM = 2;
@@ -214,8 +192,6 @@ public class Arm64_const {
 	public static final int ARM64_OP_PREFETCH = 69;
 	public static final int ARM64_OP_BARRIER = 70;
 
-	// TLBI operations
-
 	public static final int ARM64_TLBI_INVALID = 0;
 	public static final int ARM64_TLBI_VMALLE1IS = 1;
 	public static final int ARM64_TLBI_VAE1IS = 2;
@@ -249,8 +225,6 @@ public class Arm64_const {
 	public static final int ARM64_TLBI_ALLE3 = 30;
 	public static final int ARM64_TLBI_VAE3 = 31;
 	public static final int ARM64_TLBI_VALE3 = 32;
-
-	// AT operations
 	public static final int ARM64_AT_S1E1R = 33;
 	public static final int ARM64_AT_S1E1W = 34;
 	public static final int ARM64_AT_S1E0R = 35;
@@ -264,8 +238,6 @@ public class Arm64_const {
 	public static final int ARM64_AT_S1E3R = 43;
 	public static final int ARM64_AT_S1E3W = 44;
 
-	// DC operations
-
 	public static final int ARM64_DC_INVALID = 0;
 	public static final int ARM64_DC_ZVA = 1;
 	public static final int ARM64_DC_IVAC = 2;
@@ -276,15 +248,11 @@ public class Arm64_const {
 	public static final int ARM64_DC_CIVAC = 7;
 	public static final int ARM64_DC_CISW = 8;
 
-	// IC operations
-
 	public static final int ARM64_IC_INVALID = 0;
 	public static final int ARM64_IC_IALLUIS = 1;
 	public static final int ARM64_IC_IALLU = 2;
 	public static final int ARM64_IC_IVAU = 3;
 
-	// Prefetch operations (PRFM)
-
 	public static final int ARM64_PRFM_INVALID = 0;
 	public static final int ARM64_PRFM_PLDL1KEEP = 0x00+1;
 	public static final int ARM64_PRFM_PLDL1STRM = 0x01+1;
@@ -305,8 +273,6 @@ public class Arm64_const {
 	public static final int ARM64_PRFM_PSTL3KEEP = 0x14+1;
 	public static final int ARM64_PRFM_PSTL3STRM = 0x15+1;
 
-	// ARM64 registers
-
 	public static final int ARM64_REG_INVALID = 0;
 	public static final int ARM64_REG_X29 = 1;
 	public static final int ARM64_REG_X30 = 2;
@@ -568,15 +534,11 @@ public class Arm64_const {
 	public static final int ARM64_REG_V30 = 258;
 	public static final int ARM64_REG_V31 = 259;
 	public static final int ARM64_REG_ENDING = 260;
-
-	// alias registers
 	public static final int ARM64_REG_IP0 = ARM64_REG_X16;
 	public static final int ARM64_REG_IP1 = ARM64_REG_X17;
 	public static final int ARM64_REG_FP = ARM64_REG_X29;
 	public static final int ARM64_REG_LR = ARM64_REG_X30;
 
-	// ARM64 instruction
-
 	public static final int ARM64_INS_INVALID = 0;
 	public static final int ARM64_INS_ABS = 1;
 	public static final int ARM64_INS_ADC = 2;
@@ -1029,16 +991,17 @@ public class Arm64_const {
 	public static final int ARM64_INS_DC = 449;
 	public static final int ARM64_INS_AT = 450;
 	public static final int ARM64_INS_TLBI = 451;
-	public static final int ARM64_INS_ENDING = 452;
-
-	// Group of ARM64 instructions
+	public static final int ARM64_INS_NEGS = 452;
+	public static final int ARM64_INS_NGCS = 453;
+	public static final int ARM64_INS_ENDING = 454;
 
 	public static final int ARM64_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int ARM64_GRP_JUMP = 1;
-
-	// Architecture-specific groups
+	public static final int ARM64_GRP_CALL = 2;
+	public static final int ARM64_GRP_RET = 3;
+	public static final int ARM64_GRP_INT = 4;
+	public static final int ARM64_GRP_PRIVILEGE = 6;
+	public static final int ARM64_GRP_BRANCH_RELATIVE = 7;
 	public static final int ARM64_GRP_CRYPTO = 128;
 	public static final int ARM64_GRP_FPARMV8 = 129;
 	public static final int ARM64_GRP_NEON = 130;
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm_const.java 4.0.2-3/bindings/java/capstone/Arm_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Arm_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,8 +3,6 @@ package capstone;
 
 public class Arm_const {
 
-	// ARM shift type
-
 	public static final int ARM_SFT_INVALID = 0;
 	public static final int ARM_SFT_ASR = 1;
 	public static final int ARM_SFT_LSL = 2;
@@ -17,8 +15,6 @@ public class Arm_const {
 	public static final int ARM_SFT_ROR_REG = 9;
 	public static final int ARM_SFT_RRX_REG = 10;
 
-	// ARM condition code
-
 	public static final int ARM_CC_INVALID = 0;
 	public static final int ARM_CC_EQ = 1;
 	public static final int ARM_CC_NE = 2;
@@ -36,8 +32,6 @@ public class Arm_const {
 	public static final int ARM_CC_LE = 14;
 	public static final int ARM_CC_AL = 15;
 
-	// Special registers for MSR
-
 	public static final int ARM_SYSREG_INVALID = 0;
 	public static final int ARM_SYSREG_SPSR_C = 1;
 	public static final int ARM_SYSREG_SPSR_X = 2;
@@ -54,26 +48,58 @@ public class Arm_const {
 	public static final int ARM_SYSREG_IAPSR = 260;
 	public static final int ARM_SYSREG_IAPSR_G = 261;
 	public static final int ARM_SYSREG_IAPSR_NZCVQG = 262;
-	public static final int ARM_SYSREG_EAPSR = 263;
-	public static final int ARM_SYSREG_EAPSR_G = 264;
-	public static final int ARM_SYSREG_EAPSR_NZCVQG = 265;
-	public static final int ARM_SYSREG_XPSR = 266;
-	public static final int ARM_SYSREG_XPSR_G = 267;
-	public static final int ARM_SYSREG_XPSR_NZCVQG = 268;
-	public static final int ARM_SYSREG_IPSR = 269;
-	public static final int ARM_SYSREG_EPSR = 270;
-	public static final int ARM_SYSREG_IEPSR = 271;
-	public static final int ARM_SYSREG_MSP = 272;
-	public static final int ARM_SYSREG_PSP = 273;
-	public static final int ARM_SYSREG_PRIMASK = 274;
-	public static final int ARM_SYSREG_BASEPRI = 275;
-	public static final int ARM_SYSREG_BASEPRI_MAX = 276;
-	public static final int ARM_SYSREG_FAULTMASK = 277;
-	public static final int ARM_SYSREG_CONTROL = 278;
-
-	// The memory barrier constants map directly to the 4-bit encoding of
-
-	// the option field for Memory Barrier operations.
+	public static final int ARM_SYSREG_IAPSR_NZCVQ = 263;
+	public static final int ARM_SYSREG_EAPSR = 264;
+	public static final int ARM_SYSREG_EAPSR_G = 265;
+	public static final int ARM_SYSREG_EAPSR_NZCVQG = 266;
+	public static final int ARM_SYSREG_EAPSR_NZCVQ = 267;
+	public static final int ARM_SYSREG_XPSR = 268;
+	public static final int ARM_SYSREG_XPSR_G = 269;
+	public static final int ARM_SYSREG_XPSR_NZCVQG = 270;
+	public static final int ARM_SYSREG_XPSR_NZCVQ = 271;
+	public static final int ARM_SYSREG_IPSR = 272;
+	public static final int ARM_SYSREG_EPSR = 273;
+	public static final int ARM_SYSREG_IEPSR = 274;
+	public static final int ARM_SYSREG_MSP = 275;
+	public static final int ARM_SYSREG_PSP = 276;
+	public static final int ARM_SYSREG_PRIMASK = 277;
+	public static final int ARM_SYSREG_BASEPRI = 278;
+	public static final int ARM_SYSREG_BASEPRI_MAX = 279;
+	public static final int ARM_SYSREG_FAULTMASK = 280;
+	public static final int ARM_SYSREG_CONTROL = 281;
+	public static final int ARM_SYSREG_R8_USR = 282;
+	public static final int ARM_SYSREG_R9_USR = 283;
+	public static final int ARM_SYSREG_R10_USR = 284;
+	public static final int ARM_SYSREG_R11_USR = 285;
+	public static final int ARM_SYSREG_R12_USR = 286;
+	public static final int ARM_SYSREG_SP_USR = 287;
+	public static final int ARM_SYSREG_LR_USR = 288;
+	public static final int ARM_SYSREG_R8_FIQ = 289;
+	public static final int ARM_SYSREG_R9_FIQ = 290;
+	public static final int ARM_SYSREG_R10_FIQ = 291;
+	public static final int ARM_SYSREG_R11_FIQ = 292;
+	public static final int ARM_SYSREG_R12_FIQ = 293;
+	public static final int ARM_SYSREG_SP_FIQ = 294;
+	public static final int ARM_SYSREG_LR_FIQ = 295;
+	public static final int ARM_SYSREG_LR_IRQ = 296;
+	public static final int ARM_SYSREG_SP_IRQ = 297;
+	public static final int ARM_SYSREG_LR_SVC = 298;
+	public static final int ARM_SYSREG_SP_SVC = 299;
+	public static final int ARM_SYSREG_LR_ABT = 300;
+	public static final int ARM_SYSREG_SP_ABT = 301;
+	public static final int ARM_SYSREG_LR_UND = 302;
+	public static final int ARM_SYSREG_SP_UND = 303;
+	public static final int ARM_SYSREG_LR_MON = 304;
+	public static final int ARM_SYSREG_SP_MON = 305;
+	public static final int ARM_SYSREG_ELR_HYP = 306;
+	public static final int ARM_SYSREG_SP_HYP = 307;
+	public static final int ARM_SYSREG_SPSR_FIQ = 308;
+	public static final int ARM_SYSREG_SPSR_IRQ = 309;
+	public static final int ARM_SYSREG_SPSR_SVC = 310;
+	public static final int ARM_SYSREG_SPSR_ABT = 311;
+	public static final int ARM_SYSREG_SPSR_UND = 312;
+	public static final int ARM_SYSREG_SPSR_MON = 313;
+	public static final int ARM_SYSREG_SPSR_HYP = 314;
 
 	public static final int ARM_MB_INVALID = 0;
 	public static final int ARM_MB_RESERVED_0 = 1;
@@ -93,8 +119,6 @@ public class Arm_const {
 	public static final int ARM_MB_ST = 15;
 	public static final int ARM_MB_SY = 16;
 
-	// Operand type for instruction's operands
-
 	public static final int ARM_OP_INVALID = 0;
 	public static final int ARM_OP_REG = 1;
 	public static final int ARM_OP_IMM = 2;
@@ -105,8 +129,6 @@ public class Arm_const {
 	public static final int ARM_OP_SETEND = 66;
 	public static final int ARM_OP_SYSREG = 67;
 
-	// Operand type for SETEND instruction
-
 	public static final int ARM_SETEND_INVALID = 0;
 	public static final int ARM_SETEND_BE = 1;
 	public static final int ARM_SETEND_LE = 2;
@@ -115,16 +137,12 @@ public class Arm_const {
 	public static final int ARM_CPSMODE_IE = 2;
 	public static final int ARM_CPSMODE_ID = 3;
 
-	// Operand type for SETEND instruction
-
 	public static final int ARM_CPSFLAG_INVALID = 0;
 	public static final int ARM_CPSFLAG_F = 1;
 	public static final int ARM_CPSFLAG_I = 2;
 	public static final int ARM_CPSFLAG_A = 4;
 	public static final int ARM_CPSFLAG_NONE = 16;
 
-	// Data type for elements of vector instructions.
-
 	public static final int ARM_VECTORDATA_INVALID = 0;
 	public static final int ARM_VECTORDATA_I8 = 1;
 	public static final int ARM_VECTORDATA_I16 = 2;
@@ -164,8 +182,6 @@ public class Arm_const {
 	public static final int ARM_VECTORDATA_F32U16 = 36;
 	public static final int ARM_VECTORDATA_F64U32 = 37;
 
-	// ARM registers
-
 	public static final int ARM_REG_INVALID = 0;
 	public static final int ARM_REG_APSR = 1;
 	public static final int ARM_REG_APSR_NZCV = 2;
@@ -278,8 +294,6 @@ public class Arm_const {
 	public static final int ARM_REG_S30 = 109;
 	public static final int ARM_REG_S31 = 110;
 	public static final int ARM_REG_ENDING = 111;
-
-	// alias registers
 	public static final int ARM_REG_R13 = ARM_REG_SP;
 	public static final int ARM_REG_R14 = ARM_REG_LR;
 	public static final int ARM_REG_R15 = ARM_REG_PC;
@@ -288,8 +302,6 @@ public class Arm_const {
 	public static final int ARM_REG_FP = ARM_REG_R11;
 	public static final int ARM_REG_IP = ARM_REG_R12;
 
-	// ARM instruction
-
 	public static final int ARM_INS_INVALID = 0;
 	public static final int ARM_INS_ADC = 1;
 	public static final int ARM_INS_ADD = 2;
@@ -325,416 +337,412 @@ public class Arm_const {
 	public static final int ARM_INS_DMB = 32;
 	public static final int ARM_INS_DSB = 33;
 	public static final int ARM_INS_EOR = 34;
-	public static final int ARM_INS_VMOV = 35;
-	public static final int ARM_INS_FLDMDBX = 36;
-	public static final int ARM_INS_FLDMIAX = 37;
-	public static final int ARM_INS_VMRS = 38;
-	public static final int ARM_INS_FSTMDBX = 39;
-	public static final int ARM_INS_FSTMIAX = 40;
-	public static final int ARM_INS_HINT = 41;
-	public static final int ARM_INS_HLT = 42;
-	public static final int ARM_INS_ISB = 43;
-	public static final int ARM_INS_LDA = 44;
-	public static final int ARM_INS_LDAB = 45;
-	public static final int ARM_INS_LDAEX = 46;
-	public static final int ARM_INS_LDAEXB = 47;
-	public static final int ARM_INS_LDAEXD = 48;
-	public static final int ARM_INS_LDAEXH = 49;
-	public static final int ARM_INS_LDAH = 50;
-	public static final int ARM_INS_LDC2L = 51;
-	public static final int ARM_INS_LDC2 = 52;
-	public static final int ARM_INS_LDCL = 53;
-	public static final int ARM_INS_LDC = 54;
-	public static final int ARM_INS_LDMDA = 55;
-	public static final int ARM_INS_LDMDB = 56;
-	public static final int ARM_INS_LDM = 57;
-	public static final int ARM_INS_LDMIB = 58;
-	public static final int ARM_INS_LDRBT = 59;
-	public static final int ARM_INS_LDRB = 60;
-	public static final int ARM_INS_LDRD = 61;
-	public static final int ARM_INS_LDREX = 62;
-	public static final int ARM_INS_LDREXB = 63;
-	public static final int ARM_INS_LDREXD = 64;
-	public static final int ARM_INS_LDREXH = 65;
-	public static final int ARM_INS_LDRH = 66;
-	public static final int ARM_INS_LDRHT = 67;
-	public static final int ARM_INS_LDRSB = 68;
-	public static final int ARM_INS_LDRSBT = 69;
-	public static final int ARM_INS_LDRSH = 70;
-	public static final int ARM_INS_LDRSHT = 71;
-	public static final int ARM_INS_LDRT = 72;
-	public static final int ARM_INS_LDR = 73;
-	public static final int ARM_INS_MCR = 74;
-	public static final int ARM_INS_MCR2 = 75;
-	public static final int ARM_INS_MCRR = 76;
-	public static final int ARM_INS_MCRR2 = 77;
-	public static final int ARM_INS_MLA = 78;
-	public static final int ARM_INS_MLS = 79;
-	public static final int ARM_INS_MOV = 80;
-	public static final int ARM_INS_MOVT = 81;
-	public static final int ARM_INS_MOVW = 82;
-	public static final int ARM_INS_MRC = 83;
-	public static final int ARM_INS_MRC2 = 84;
-	public static final int ARM_INS_MRRC = 85;
-	public static final int ARM_INS_MRRC2 = 86;
-	public static final int ARM_INS_MRS = 87;
-	public static final int ARM_INS_MSR = 88;
-	public static final int ARM_INS_MUL = 89;
-	public static final int ARM_INS_MVN = 90;
-	public static final int ARM_INS_ORR = 91;
-	public static final int ARM_INS_PKHBT = 92;
-	public static final int ARM_INS_PKHTB = 93;
-	public static final int ARM_INS_PLDW = 94;
-	public static final int ARM_INS_PLD = 95;
-	public static final int ARM_INS_PLI = 96;
-	public static final int ARM_INS_QADD = 97;
-	public static final int ARM_INS_QADD16 = 98;
-	public static final int ARM_INS_QADD8 = 99;
-	public static final int ARM_INS_QASX = 100;
-	public static final int ARM_INS_QDADD = 101;
-	public static final int ARM_INS_QDSUB = 102;
-	public static final int ARM_INS_QSAX = 103;
-	public static final int ARM_INS_QSUB = 104;
-	public static final int ARM_INS_QSUB16 = 105;
-	public static final int ARM_INS_QSUB8 = 106;
-	public static final int ARM_INS_RBIT = 107;
-	public static final int ARM_INS_REV = 108;
-	public static final int ARM_INS_REV16 = 109;
-	public static final int ARM_INS_REVSH = 110;
-	public static final int ARM_INS_RFEDA = 111;
-	public static final int ARM_INS_RFEDB = 112;
-	public static final int ARM_INS_RFEIA = 113;
-	public static final int ARM_INS_RFEIB = 114;
-	public static final int ARM_INS_RSB = 115;
-	public static final int ARM_INS_RSC = 116;
-	public static final int ARM_INS_SADD16 = 117;
-	public static final int ARM_INS_SADD8 = 118;
-	public static final int ARM_INS_SASX = 119;
-	public static final int ARM_INS_SBC = 120;
-	public static final int ARM_INS_SBFX = 121;
-	public static final int ARM_INS_SDIV = 122;
-	public static final int ARM_INS_SEL = 123;
-	public static final int ARM_INS_SETEND = 124;
-	public static final int ARM_INS_SHA1C = 125;
-	public static final int ARM_INS_SHA1H = 126;
-	public static final int ARM_INS_SHA1M = 127;
-	public static final int ARM_INS_SHA1P = 128;
-	public static final int ARM_INS_SHA1SU0 = 129;
-	public static final int ARM_INS_SHA1SU1 = 130;
-	public static final int ARM_INS_SHA256H = 131;
-	public static final int ARM_INS_SHA256H2 = 132;
-	public static final int ARM_INS_SHA256SU0 = 133;
-	public static final int ARM_INS_SHA256SU1 = 134;
-	public static final int ARM_INS_SHADD16 = 135;
-	public static final int ARM_INS_SHADD8 = 136;
-	public static final int ARM_INS_SHASX = 137;
-	public static final int ARM_INS_SHSAX = 138;
-	public static final int ARM_INS_SHSUB16 = 139;
-	public static final int ARM_INS_SHSUB8 = 140;
-	public static final int ARM_INS_SMC = 141;
-	public static final int ARM_INS_SMLABB = 142;
-	public static final int ARM_INS_SMLABT = 143;
-	public static final int ARM_INS_SMLAD = 144;
-	public static final int ARM_INS_SMLADX = 145;
-	public static final int ARM_INS_SMLAL = 146;
-	public static final int ARM_INS_SMLALBB = 147;
-	public static final int ARM_INS_SMLALBT = 148;
-	public static final int ARM_INS_SMLALD = 149;
-	public static final int ARM_INS_SMLALDX = 150;
-	public static final int ARM_INS_SMLALTB = 151;
-	public static final int ARM_INS_SMLALTT = 152;
-	public static final int ARM_INS_SMLATB = 153;
-	public static final int ARM_INS_SMLATT = 154;
-	public static final int ARM_INS_SMLAWB = 155;
-	public static final int ARM_INS_SMLAWT = 156;
-	public static final int ARM_INS_SMLSD = 157;
-	public static final int ARM_INS_SMLSDX = 158;
-	public static final int ARM_INS_SMLSLD = 159;
-	public static final int ARM_INS_SMLSLDX = 160;
-	public static final int ARM_INS_SMMLA = 161;
-	public static final int ARM_INS_SMMLAR = 162;
-	public static final int ARM_INS_SMMLS = 163;
-	public static final int ARM_INS_SMMLSR = 164;
-	public static final int ARM_INS_SMMUL = 165;
-	public static final int ARM_INS_SMMULR = 166;
-	public static final int ARM_INS_SMUAD = 167;
-	public static final int ARM_INS_SMUADX = 168;
-	public static final int ARM_INS_SMULBB = 169;
-	public static final int ARM_INS_SMULBT = 170;
-	public static final int ARM_INS_SMULL = 171;
-	public static final int ARM_INS_SMULTB = 172;
-	public static final int ARM_INS_SMULTT = 173;
-	public static final int ARM_INS_SMULWB = 174;
-	public static final int ARM_INS_SMULWT = 175;
-	public static final int ARM_INS_SMUSD = 176;
-	public static final int ARM_INS_SMUSDX = 177;
-	public static final int ARM_INS_SRSDA = 178;
-	public static final int ARM_INS_SRSDB = 179;
-	public static final int ARM_INS_SRSIA = 180;
-	public static final int ARM_INS_SRSIB = 181;
-	public static final int ARM_INS_SSAT = 182;
-	public static final int ARM_INS_SSAT16 = 183;
-	public static final int ARM_INS_SSAX = 184;
-	public static final int ARM_INS_SSUB16 = 185;
-	public static final int ARM_INS_SSUB8 = 186;
-	public static final int ARM_INS_STC2L = 187;
-	public static final int ARM_INS_STC2 = 188;
-	public static final int ARM_INS_STCL = 189;
-	public static final int ARM_INS_STC = 190;
-	public static final int ARM_INS_STL = 191;
-	public static final int ARM_INS_STLB = 192;
-	public static final int ARM_INS_STLEX = 193;
-	public static final int ARM_INS_STLEXB = 194;
-	public static final int ARM_INS_STLEXD = 195;
-	public static final int ARM_INS_STLEXH = 196;
-	public static final int ARM_INS_STLH = 197;
-	public static final int ARM_INS_STMDA = 198;
-	public static final int ARM_INS_STMDB = 199;
-	public static final int ARM_INS_STM = 200;
-	public static final int ARM_INS_STMIB = 201;
-	public static final int ARM_INS_STRBT = 202;
-	public static final int ARM_INS_STRB = 203;
-	public static final int ARM_INS_STRD = 204;
-	public static final int ARM_INS_STREX = 205;
-	public static final int ARM_INS_STREXB = 206;
-	public static final int ARM_INS_STREXD = 207;
-	public static final int ARM_INS_STREXH = 208;
-	public static final int ARM_INS_STRH = 209;
-	public static final int ARM_INS_STRHT = 210;
-	public static final int ARM_INS_STRT = 211;
-	public static final int ARM_INS_STR = 212;
-	public static final int ARM_INS_SUB = 213;
-	public static final int ARM_INS_SVC = 214;
-	public static final int ARM_INS_SWP = 215;
-	public static final int ARM_INS_SWPB = 216;
-	public static final int ARM_INS_SXTAB = 217;
-	public static final int ARM_INS_SXTAB16 = 218;
-	public static final int ARM_INS_SXTAH = 219;
-	public static final int ARM_INS_SXTB = 220;
-	public static final int ARM_INS_SXTB16 = 221;
-	public static final int ARM_INS_SXTH = 222;
-	public static final int ARM_INS_TEQ = 223;
-	public static final int ARM_INS_TRAP = 224;
-	public static final int ARM_INS_TST = 225;
-	public static final int ARM_INS_UADD16 = 226;
-	public static final int ARM_INS_UADD8 = 227;
-	public static final int ARM_INS_UASX = 228;
-	public static final int ARM_INS_UBFX = 229;
-	public static final int ARM_INS_UDF = 230;
-	public static final int ARM_INS_UDIV = 231;
-	public static final int ARM_INS_UHADD16 = 232;
-	public static final int ARM_INS_UHADD8 = 233;
-	public static final int ARM_INS_UHASX = 234;
-	public static final int ARM_INS_UHSAX = 235;
-	public static final int ARM_INS_UHSUB16 = 236;
-	public static final int ARM_INS_UHSUB8 = 237;
-	public static final int ARM_INS_UMAAL = 238;
-	public static final int ARM_INS_UMLAL = 239;
-	public static final int ARM_INS_UMULL = 240;
-	public static final int ARM_INS_UQADD16 = 241;
-	public static final int ARM_INS_UQADD8 = 242;
-	public static final int ARM_INS_UQASX = 243;
-	public static final int ARM_INS_UQSAX = 244;
-	public static final int ARM_INS_UQSUB16 = 245;
-	public static final int ARM_INS_UQSUB8 = 246;
-	public static final int ARM_INS_USAD8 = 247;
-	public static final int ARM_INS_USADA8 = 248;
-	public static final int ARM_INS_USAT = 249;
-	public static final int ARM_INS_USAT16 = 250;
-	public static final int ARM_INS_USAX = 251;
-	public static final int ARM_INS_USUB16 = 252;
-	public static final int ARM_INS_USUB8 = 253;
-	public static final int ARM_INS_UXTAB = 254;
-	public static final int ARM_INS_UXTAB16 = 255;
-	public static final int ARM_INS_UXTAH = 256;
-	public static final int ARM_INS_UXTB = 257;
-	public static final int ARM_INS_UXTB16 = 258;
-	public static final int ARM_INS_UXTH = 259;
-	public static final int ARM_INS_VABAL = 260;
-	public static final int ARM_INS_VABA = 261;
-	public static final int ARM_INS_VABDL = 262;
-	public static final int ARM_INS_VABD = 263;
-	public static final int ARM_INS_VABS = 264;
-	public static final int ARM_INS_VACGE = 265;
-	public static final int ARM_INS_VACGT = 266;
-	public static final int ARM_INS_VADD = 267;
-	public static final int ARM_INS_VADDHN = 268;
-	public static final int ARM_INS_VADDL = 269;
-	public static final int ARM_INS_VADDW = 270;
-	public static final int ARM_INS_VAND = 271;
-	public static final int ARM_INS_VBIC = 272;
-	public static final int ARM_INS_VBIF = 273;
-	public static final int ARM_INS_VBIT = 274;
-	public static final int ARM_INS_VBSL = 275;
-	public static final int ARM_INS_VCEQ = 276;
-	public static final int ARM_INS_VCGE = 277;
-	public static final int ARM_INS_VCGT = 278;
-	public static final int ARM_INS_VCLE = 279;
-	public static final int ARM_INS_VCLS = 280;
-	public static final int ARM_INS_VCLT = 281;
-	public static final int ARM_INS_VCLZ = 282;
-	public static final int ARM_INS_VCMP = 283;
-	public static final int ARM_INS_VCMPE = 284;
-	public static final int ARM_INS_VCNT = 285;
-	public static final int ARM_INS_VCVTA = 286;
-	public static final int ARM_INS_VCVTB = 287;
-	public static final int ARM_INS_VCVT = 288;
-	public static final int ARM_INS_VCVTM = 289;
-	public static final int ARM_INS_VCVTN = 290;
-	public static final int ARM_INS_VCVTP = 291;
-	public static final int ARM_INS_VCVTT = 292;
-	public static final int ARM_INS_VDIV = 293;
-	public static final int ARM_INS_VDUP = 294;
-	public static final int ARM_INS_VEOR = 295;
-	public static final int ARM_INS_VEXT = 296;
-	public static final int ARM_INS_VFMA = 297;
-	public static final int ARM_INS_VFMS = 298;
-	public static final int ARM_INS_VFNMA = 299;
-	public static final int ARM_INS_VFNMS = 300;
-	public static final int ARM_INS_VHADD = 301;
-	public static final int ARM_INS_VHSUB = 302;
-	public static final int ARM_INS_VLD1 = 303;
-	public static final int ARM_INS_VLD2 = 304;
-	public static final int ARM_INS_VLD3 = 305;
-	public static final int ARM_INS_VLD4 = 306;
-	public static final int ARM_INS_VLDMDB = 307;
-	public static final int ARM_INS_VLDMIA = 308;
-	public static final int ARM_INS_VLDR = 309;
-	public static final int ARM_INS_VMAXNM = 310;
-	public static final int ARM_INS_VMAX = 311;
-	public static final int ARM_INS_VMINNM = 312;
-	public static final int ARM_INS_VMIN = 313;
-	public static final int ARM_INS_VMLA = 314;
-	public static final int ARM_INS_VMLAL = 315;
-	public static final int ARM_INS_VMLS = 316;
-	public static final int ARM_INS_VMLSL = 317;
-	public static final int ARM_INS_VMOVL = 318;
-	public static final int ARM_INS_VMOVN = 319;
-	public static final int ARM_INS_VMSR = 320;
-	public static final int ARM_INS_VMUL = 321;
-	public static final int ARM_INS_VMULL = 322;
-	public static final int ARM_INS_VMVN = 323;
-	public static final int ARM_INS_VNEG = 324;
-	public static final int ARM_INS_VNMLA = 325;
-	public static final int ARM_INS_VNMLS = 326;
-	public static final int ARM_INS_VNMUL = 327;
-	public static final int ARM_INS_VORN = 328;
-	public static final int ARM_INS_VORR = 329;
-	public static final int ARM_INS_VPADAL = 330;
-	public static final int ARM_INS_VPADDL = 331;
-	public static final int ARM_INS_VPADD = 332;
-	public static final int ARM_INS_VPMAX = 333;
-	public static final int ARM_INS_VPMIN = 334;
-	public static final int ARM_INS_VQABS = 335;
-	public static final int ARM_INS_VQADD = 336;
-	public static final int ARM_INS_VQDMLAL = 337;
-	public static final int ARM_INS_VQDMLSL = 338;
-	public static final int ARM_INS_VQDMULH = 339;
-	public static final int ARM_INS_VQDMULL = 340;
-	public static final int ARM_INS_VQMOVUN = 341;
-	public static final int ARM_INS_VQMOVN = 342;
-	public static final int ARM_INS_VQNEG = 343;
-	public static final int ARM_INS_VQRDMULH = 344;
-	public static final int ARM_INS_VQRSHL = 345;
-	public static final int ARM_INS_VQRSHRN = 346;
-	public static final int ARM_INS_VQRSHRUN = 347;
-	public static final int ARM_INS_VQSHL = 348;
-	public static final int ARM_INS_VQSHLU = 349;
-	public static final int ARM_INS_VQSHRN = 350;
-	public static final int ARM_INS_VQSHRUN = 351;
-	public static final int ARM_INS_VQSUB = 352;
-	public static final int ARM_INS_VRADDHN = 353;
-	public static final int ARM_INS_VRECPE = 354;
-	public static final int ARM_INS_VRECPS = 355;
-	public static final int ARM_INS_VREV16 = 356;
-	public static final int ARM_INS_VREV32 = 357;
-	public static final int ARM_INS_VREV64 = 358;
-	public static final int ARM_INS_VRHADD = 359;
-	public static final int ARM_INS_VRINTA = 360;
-	public static final int ARM_INS_VRINTM = 361;
-	public static final int ARM_INS_VRINTN = 362;
-	public static final int ARM_INS_VRINTP = 363;
-	public static final int ARM_INS_VRINTR = 364;
-	public static final int ARM_INS_VRINTX = 365;
-	public static final int ARM_INS_VRINTZ = 366;
-	public static final int ARM_INS_VRSHL = 367;
-	public static final int ARM_INS_VRSHRN = 368;
-	public static final int ARM_INS_VRSHR = 369;
-	public static final int ARM_INS_VRSQRTE = 370;
-	public static final int ARM_INS_VRSQRTS = 371;
-	public static final int ARM_INS_VRSRA = 372;
-	public static final int ARM_INS_VRSUBHN = 373;
-	public static final int ARM_INS_VSELEQ = 374;
-	public static final int ARM_INS_VSELGE = 375;
-	public static final int ARM_INS_VSELGT = 376;
-	public static final int ARM_INS_VSELVS = 377;
-	public static final int ARM_INS_VSHLL = 378;
-	public static final int ARM_INS_VSHL = 379;
-	public static final int ARM_INS_VSHRN = 380;
-	public static final int ARM_INS_VSHR = 381;
-	public static final int ARM_INS_VSLI = 382;
-	public static final int ARM_INS_VSQRT = 383;
-	public static final int ARM_INS_VSRA = 384;
-	public static final int ARM_INS_VSRI = 385;
-	public static final int ARM_INS_VST1 = 386;
-	public static final int ARM_INS_VST2 = 387;
-	public static final int ARM_INS_VST3 = 388;
-	public static final int ARM_INS_VST4 = 389;
-	public static final int ARM_INS_VSTMDB = 390;
-	public static final int ARM_INS_VSTMIA = 391;
-	public static final int ARM_INS_VSTR = 392;
-	public static final int ARM_INS_VSUB = 393;
-	public static final int ARM_INS_VSUBHN = 394;
-	public static final int ARM_INS_VSUBL = 395;
-	public static final int ARM_INS_VSUBW = 396;
-	public static final int ARM_INS_VSWP = 397;
-	public static final int ARM_INS_VTBL = 398;
-	public static final int ARM_INS_VTBX = 399;
-	public static final int ARM_INS_VCVTR = 400;
-	public static final int ARM_INS_VTRN = 401;
-	public static final int ARM_INS_VTST = 402;
-	public static final int ARM_INS_VUZP = 403;
-	public static final int ARM_INS_VZIP = 404;
-	public static final int ARM_INS_ADDW = 405;
-	public static final int ARM_INS_ASR = 406;
-	public static final int ARM_INS_DCPS1 = 407;
-	public static final int ARM_INS_DCPS2 = 408;
-	public static final int ARM_INS_DCPS3 = 409;
-	public static final int ARM_INS_IT = 410;
-	public static final int ARM_INS_LSL = 411;
-	public static final int ARM_INS_LSR = 412;
-	public static final int ARM_INS_ASRS = 413;
-	public static final int ARM_INS_LSRS = 414;
+	public static final int ARM_INS_ERET = 35;
+	public static final int ARM_INS_VMOV = 36;
+	public static final int ARM_INS_FLDMDBX = 37;
+	public static final int ARM_INS_FLDMIAX = 38;
+	public static final int ARM_INS_VMRS = 39;
+	public static final int ARM_INS_FSTMDBX = 40;
+	public static final int ARM_INS_FSTMIAX = 41;
+	public static final int ARM_INS_HINT = 42;
+	public static final int ARM_INS_HLT = 43;
+	public static final int ARM_INS_HVC = 44;
+	public static final int ARM_INS_ISB = 45;
+	public static final int ARM_INS_LDA = 46;
+	public static final int ARM_INS_LDAB = 47;
+	public static final int ARM_INS_LDAEX = 48;
+	public static final int ARM_INS_LDAEXB = 49;
+	public static final int ARM_INS_LDAEXD = 50;
+	public static final int ARM_INS_LDAEXH = 51;
+	public static final int ARM_INS_LDAH = 52;
+	public static final int ARM_INS_LDC2L = 53;
+	public static final int ARM_INS_LDC2 = 54;
+	public static final int ARM_INS_LDCL = 55;
+	public static final int ARM_INS_LDC = 56;
+	public static final int ARM_INS_LDMDA = 57;
+	public static final int ARM_INS_LDMDB = 58;
+	public static final int ARM_INS_LDM = 59;
+	public static final int ARM_INS_LDMIB = 60;
+	public static final int ARM_INS_LDRBT = 61;
+	public static final int ARM_INS_LDRB = 62;
+	public static final int ARM_INS_LDRD = 63;
+	public static final int ARM_INS_LDREX = 64;
+	public static final int ARM_INS_LDREXB = 65;
+	public static final int ARM_INS_LDREXD = 66;
+	public static final int ARM_INS_LDREXH = 67;
+	public static final int ARM_INS_LDRH = 68;
+	public static final int ARM_INS_LDRHT = 69;
+	public static final int ARM_INS_LDRSB = 70;
+	public static final int ARM_INS_LDRSBT = 71;
+	public static final int ARM_INS_LDRSH = 72;
+	public static final int ARM_INS_LDRSHT = 73;
+	public static final int ARM_INS_LDRT = 74;
+	public static final int ARM_INS_LDR = 75;
+	public static final int ARM_INS_MCR = 76;
+	public static final int ARM_INS_MCR2 = 77;
+	public static final int ARM_INS_MCRR = 78;
+	public static final int ARM_INS_MCRR2 = 79;
+	public static final int ARM_INS_MLA = 80;
+	public static final int ARM_INS_MLS = 81;
+	public static final int ARM_INS_MOV = 82;
+	public static final int ARM_INS_MOVT = 83;
+	public static final int ARM_INS_MOVW = 84;
+	public static final int ARM_INS_MRC = 85;
+	public static final int ARM_INS_MRC2 = 86;
+	public static final int ARM_INS_MRRC = 87;
+	public static final int ARM_INS_MRRC2 = 88;
+	public static final int ARM_INS_MRS = 89;
+	public static final int ARM_INS_MSR = 90;
+	public static final int ARM_INS_MUL = 91;
+	public static final int ARM_INS_MVN = 92;
+	public static final int ARM_INS_ORR = 93;
+	public static final int ARM_INS_PKHBT = 94;
+	public static final int ARM_INS_PKHTB = 95;
+	public static final int ARM_INS_PLDW = 96;
+	public static final int ARM_INS_PLD = 97;
+	public static final int ARM_INS_PLI = 98;
+	public static final int ARM_INS_QADD = 99;
+	public static final int ARM_INS_QADD16 = 100;
+	public static final int ARM_INS_QADD8 = 101;
+	public static final int ARM_INS_QASX = 102;
+	public static final int ARM_INS_QDADD = 103;
+	public static final int ARM_INS_QDSUB = 104;
+	public static final int ARM_INS_QSAX = 105;
+	public static final int ARM_INS_QSUB = 106;
+	public static final int ARM_INS_QSUB16 = 107;
+	public static final int ARM_INS_QSUB8 = 108;
+	public static final int ARM_INS_RBIT = 109;
+	public static final int ARM_INS_REV = 110;
+	public static final int ARM_INS_REV16 = 111;
+	public static final int ARM_INS_REVSH = 112;
+	public static final int ARM_INS_RFEDA = 113;
+	public static final int ARM_INS_RFEDB = 114;
+	public static final int ARM_INS_RFEIA = 115;
+	public static final int ARM_INS_RFEIB = 116;
+	public static final int ARM_INS_RSB = 117;
+	public static final int ARM_INS_RSC = 118;
+	public static final int ARM_INS_SADD16 = 119;
+	public static final int ARM_INS_SADD8 = 120;
+	public static final int ARM_INS_SASX = 121;
+	public static final int ARM_INS_SBC = 122;
+	public static final int ARM_INS_SBFX = 123;
+	public static final int ARM_INS_SDIV = 124;
+	public static final int ARM_INS_SEL = 125;
+	public static final int ARM_INS_SETEND = 126;
+	public static final int ARM_INS_SHA1C = 127;
+	public static final int ARM_INS_SHA1H = 128;
+	public static final int ARM_INS_SHA1M = 129;
+	public static final int ARM_INS_SHA1P = 130;
+	public static final int ARM_INS_SHA1SU0 = 131;
+	public static final int ARM_INS_SHA1SU1 = 132;
+	public static final int ARM_INS_SHA256H = 133;
+	public static final int ARM_INS_SHA256H2 = 134;
+	public static final int ARM_INS_SHA256SU0 = 135;
+	public static final int ARM_INS_SHA256SU1 = 136;
+	public static final int ARM_INS_SHADD16 = 137;
+	public static final int ARM_INS_SHADD8 = 138;
+	public static final int ARM_INS_SHASX = 139;
+	public static final int ARM_INS_SHSAX = 140;
+	public static final int ARM_INS_SHSUB16 = 141;
+	public static final int ARM_INS_SHSUB8 = 142;
+	public static final int ARM_INS_SMC = 143;
+	public static final int ARM_INS_SMLABB = 144;
+	public static final int ARM_INS_SMLABT = 145;
+	public static final int ARM_INS_SMLAD = 146;
+	public static final int ARM_INS_SMLADX = 147;
+	public static final int ARM_INS_SMLAL = 148;
+	public static final int ARM_INS_SMLALBB = 149;
+	public static final int ARM_INS_SMLALBT = 150;
+	public static final int ARM_INS_SMLALD = 151;
+	public static final int ARM_INS_SMLALDX = 152;
+	public static final int ARM_INS_SMLALTB = 153;
+	public static final int ARM_INS_SMLALTT = 154;
+	public static final int ARM_INS_SMLATB = 155;
+	public static final int ARM_INS_SMLATT = 156;
+	public static final int ARM_INS_SMLAWB = 157;
+	public static final int ARM_INS_SMLAWT = 158;
+	public static final int ARM_INS_SMLSD = 159;
+	public static final int ARM_INS_SMLSDX = 160;
+	public static final int ARM_INS_SMLSLD = 161;
+	public static final int ARM_INS_SMLSLDX = 162;
+	public static final int ARM_INS_SMMLA = 163;
+	public static final int ARM_INS_SMMLAR = 164;
+	public static final int ARM_INS_SMMLS = 165;
+	public static final int ARM_INS_SMMLSR = 166;
+	public static final int ARM_INS_SMMUL = 167;
+	public static final int ARM_INS_SMMULR = 168;
+	public static final int ARM_INS_SMUAD = 169;
+	public static final int ARM_INS_SMUADX = 170;
+	public static final int ARM_INS_SMULBB = 171;
+	public static final int ARM_INS_SMULBT = 172;
+	public static final int ARM_INS_SMULL = 173;
+	public static final int ARM_INS_SMULTB = 174;
+	public static final int ARM_INS_SMULTT = 175;
+	public static final int ARM_INS_SMULWB = 176;
+	public static final int ARM_INS_SMULWT = 177;
+	public static final int ARM_INS_SMUSD = 178;
+	public static final int ARM_INS_SMUSDX = 179;
+	public static final int ARM_INS_SRSDA = 180;
+	public static final int ARM_INS_SRSDB = 181;
+	public static final int ARM_INS_SRSIA = 182;
+	public static final int ARM_INS_SRSIB = 183;
+	public static final int ARM_INS_SSAT = 184;
+	public static final int ARM_INS_SSAT16 = 185;
+	public static final int ARM_INS_SSAX = 186;
+	public static final int ARM_INS_SSUB16 = 187;
+	public static final int ARM_INS_SSUB8 = 188;
+	public static final int ARM_INS_STC2L = 189;
+	public static final int ARM_INS_STC2 = 190;
+	public static final int ARM_INS_STCL = 191;
+	public static final int ARM_INS_STC = 192;
+	public static final int ARM_INS_STL = 193;
+	public static final int ARM_INS_STLB = 194;
+	public static final int ARM_INS_STLEX = 195;
+	public static final int ARM_INS_STLEXB = 196;
+	public static final int ARM_INS_STLEXD = 197;
+	public static final int ARM_INS_STLEXH = 198;
+	public static final int ARM_INS_STLH = 199;
+	public static final int ARM_INS_STMDA = 200;
+	public static final int ARM_INS_STMDB = 201;
+	public static final int ARM_INS_STM = 202;
+	public static final int ARM_INS_STMIB = 203;
+	public static final int ARM_INS_STRBT = 204;
+	public static final int ARM_INS_STRB = 205;
+	public static final int ARM_INS_STRD = 206;
+	public static final int ARM_INS_STREX = 207;
+	public static final int ARM_INS_STREXB = 208;
+	public static final int ARM_INS_STREXD = 209;
+	public static final int ARM_INS_STREXH = 210;
+	public static final int ARM_INS_STRH = 211;
+	public static final int ARM_INS_STRHT = 212;
+	public static final int ARM_INS_STRT = 213;
+	public static final int ARM_INS_STR = 214;
+	public static final int ARM_INS_SUB = 215;
+	public static final int ARM_INS_SVC = 216;
+	public static final int ARM_INS_SWP = 217;
+	public static final int ARM_INS_SWPB = 218;
+	public static final int ARM_INS_SXTAB = 219;
+	public static final int ARM_INS_SXTAB16 = 220;
+	public static final int ARM_INS_SXTAH = 221;
+	public static final int ARM_INS_SXTB = 222;
+	public static final int ARM_INS_SXTB16 = 223;
+	public static final int ARM_INS_SXTH = 224;
+	public static final int ARM_INS_TEQ = 225;
+	public static final int ARM_INS_TRAP = 226;
+	public static final int ARM_INS_TST = 227;
+	public static final int ARM_INS_UADD16 = 228;
+	public static final int ARM_INS_UADD8 = 229;
+	public static final int ARM_INS_UASX = 230;
+	public static final int ARM_INS_UBFX = 231;
+	public static final int ARM_INS_UDF = 232;
+	public static final int ARM_INS_UDIV = 233;
+	public static final int ARM_INS_UHADD16 = 234;
+	public static final int ARM_INS_UHADD8 = 235;
+	public static final int ARM_INS_UHASX = 236;
+	public static final int ARM_INS_UHSAX = 237;
+	public static final int ARM_INS_UHSUB16 = 238;
+	public static final int ARM_INS_UHSUB8 = 239;
+	public static final int ARM_INS_UMAAL = 240;
+	public static final int ARM_INS_UMLAL = 241;
+	public static final int ARM_INS_UMULL = 242;
+	public static final int ARM_INS_UQADD16 = 243;
+	public static final int ARM_INS_UQADD8 = 244;
+	public static final int ARM_INS_UQASX = 245;
+	public static final int ARM_INS_UQSAX = 246;
+	public static final int ARM_INS_UQSUB16 = 247;
+	public static final int ARM_INS_UQSUB8 = 248;
+	public static final int ARM_INS_USAD8 = 249;
+	public static final int ARM_INS_USADA8 = 250;
+	public static final int ARM_INS_USAT = 251;
+	public static final int ARM_INS_USAT16 = 252;
+	public static final int ARM_INS_USAX = 253;
+	public static final int ARM_INS_USUB16 = 254;
+	public static final int ARM_INS_USUB8 = 255;
+	public static final int ARM_INS_UXTAB = 256;
+	public static final int ARM_INS_UXTAB16 = 257;
+	public static final int ARM_INS_UXTAH = 258;
+	public static final int ARM_INS_UXTB = 259;
+	public static final int ARM_INS_UXTB16 = 260;
+	public static final int ARM_INS_UXTH = 261;
+	public static final int ARM_INS_VABAL = 262;
+	public static final int ARM_INS_VABA = 263;
+	public static final int ARM_INS_VABDL = 264;
+	public static final int ARM_INS_VABD = 265;
+	public static final int ARM_INS_VABS = 266;
+	public static final int ARM_INS_VACGE = 267;
+	public static final int ARM_INS_VACGT = 268;
+	public static final int ARM_INS_VADD = 269;
+	public static final int ARM_INS_VADDHN = 270;
+	public static final int ARM_INS_VADDL = 271;
+	public static final int ARM_INS_VADDW = 272;
+	public static final int ARM_INS_VAND = 273;
+	public static final int ARM_INS_VBIC = 274;
+	public static final int ARM_INS_VBIF = 275;
+	public static final int ARM_INS_VBIT = 276;
+	public static final int ARM_INS_VBSL = 277;
+	public static final int ARM_INS_VCEQ = 278;
+	public static final int ARM_INS_VCGE = 279;
+	public static final int ARM_INS_VCGT = 280;
+	public static final int ARM_INS_VCLE = 281;
+	public static final int ARM_INS_VCLS = 282;
+	public static final int ARM_INS_VCLT = 283;
+	public static final int ARM_INS_VCLZ = 284;
+	public static final int ARM_INS_VCMP = 285;
+	public static final int ARM_INS_VCMPE = 286;
+	public static final int ARM_INS_VCNT = 287;
+	public static final int ARM_INS_VCVTA = 288;
+	public static final int ARM_INS_VCVTB = 289;
+	public static final int ARM_INS_VCVT = 290;
+	public static final int ARM_INS_VCVTM = 291;
+	public static final int ARM_INS_VCVTN = 292;
+	public static final int ARM_INS_VCVTP = 293;
+	public static final int ARM_INS_VCVTT = 294;
+	public static final int ARM_INS_VDIV = 295;
+	public static final int ARM_INS_VDUP = 296;
+	public static final int ARM_INS_VEOR = 297;
+	public static final int ARM_INS_VEXT = 298;
+	public static final int ARM_INS_VFMA = 299;
+	public static final int ARM_INS_VFMS = 300;
+	public static final int ARM_INS_VFNMA = 301;
+	public static final int ARM_INS_VFNMS = 302;
+	public static final int ARM_INS_VHADD = 303;
+	public static final int ARM_INS_VHSUB = 304;
+	public static final int ARM_INS_VLD1 = 305;
+	public static final int ARM_INS_VLD2 = 306;
+	public static final int ARM_INS_VLD3 = 307;
+	public static final int ARM_INS_VLD4 = 308;
+	public static final int ARM_INS_VLDMDB = 309;
+	public static final int ARM_INS_VLDMIA = 310;
+	public static final int ARM_INS_VLDR = 311;
+	public static final int ARM_INS_VMAXNM = 312;
+	public static final int ARM_INS_VMAX = 313;
+	public static final int ARM_INS_VMINNM = 314;
+	public static final int ARM_INS_VMIN = 315;
+	public static final int ARM_INS_VMLA = 316;
+	public static final int ARM_INS_VMLAL = 317;
+	public static final int ARM_INS_VMLS = 318;
+	public static final int ARM_INS_VMLSL = 319;
+	public static final int ARM_INS_VMOVL = 320;
+	public static final int ARM_INS_VMOVN = 321;
+	public static final int ARM_INS_VMSR = 322;
+	public static final int ARM_INS_VMUL = 323;
+	public static final int ARM_INS_VMULL = 324;
+	public static final int ARM_INS_VMVN = 325;
+	public static final int ARM_INS_VNEG = 326;
+	public static final int ARM_INS_VNMLA = 327;
+	public static final int ARM_INS_VNMLS = 328;
+	public static final int ARM_INS_VNMUL = 329;
+	public static final int ARM_INS_VORN = 330;
+	public static final int ARM_INS_VORR = 331;
+	public static final int ARM_INS_VPADAL = 332;
+	public static final int ARM_INS_VPADDL = 333;
+	public static final int ARM_INS_VPADD = 334;
+	public static final int ARM_INS_VPMAX = 335;
+	public static final int ARM_INS_VPMIN = 336;
+	public static final int ARM_INS_VQABS = 337;
+	public static final int ARM_INS_VQADD = 338;
+	public static final int ARM_INS_VQDMLAL = 339;
+	public static final int ARM_INS_VQDMLSL = 340;
+	public static final int ARM_INS_VQDMULH = 341;
+	public static final int ARM_INS_VQDMULL = 342;
+	public static final int ARM_INS_VQMOVUN = 343;
+	public static final int ARM_INS_VQMOVN = 344;
+	public static final int ARM_INS_VQNEG = 345;
+	public static final int ARM_INS_VQRDMULH = 346;
+	public static final int ARM_INS_VQRSHL = 347;
+	public static final int ARM_INS_VQRSHRN = 348;
+	public static final int ARM_INS_VQRSHRUN = 349;
+	public static final int ARM_INS_VQSHL = 350;
+	public static final int ARM_INS_VQSHLU = 351;
+	public static final int ARM_INS_VQSHRN = 352;
+	public static final int ARM_INS_VQSHRUN = 353;
+	public static final int ARM_INS_VQSUB = 354;
+	public static final int ARM_INS_VRADDHN = 355;
+	public static final int ARM_INS_VRECPE = 356;
+	public static final int ARM_INS_VRECPS = 357;
+	public static final int ARM_INS_VREV16 = 358;
+	public static final int ARM_INS_VREV32 = 359;
+	public static final int ARM_INS_VREV64 = 360;
+	public static final int ARM_INS_VRHADD = 361;
+	public static final int ARM_INS_VRINTA = 362;
+	public static final int ARM_INS_VRINTM = 363;
+	public static final int ARM_INS_VRINTN = 364;
+	public static final int ARM_INS_VRINTP = 365;
+	public static final int ARM_INS_VRINTR = 366;
+	public static final int ARM_INS_VRINTX = 367;
+	public static final int ARM_INS_VRINTZ = 368;
+	public static final int ARM_INS_VRSHL = 369;
+	public static final int ARM_INS_VRSHRN = 370;
+	public static final int ARM_INS_VRSHR = 371;
+	public static final int ARM_INS_VRSQRTE = 372;
+	public static final int ARM_INS_VRSQRTS = 373;
+	public static final int ARM_INS_VRSRA = 374;
+	public static final int ARM_INS_VRSUBHN = 375;
+	public static final int ARM_INS_VSELEQ = 376;
+	public static final int ARM_INS_VSELGE = 377;
+	public static final int ARM_INS_VSELGT = 378;
+	public static final int ARM_INS_VSELVS = 379;
+	public static final int ARM_INS_VSHLL = 380;
+	public static final int ARM_INS_VSHL = 381;
+	public static final int ARM_INS_VSHRN = 382;
+	public static final int ARM_INS_VSHR = 383;
+	public static final int ARM_INS_VSLI = 384;
+	public static final int ARM_INS_VSQRT = 385;
+	public static final int ARM_INS_VSRA = 386;
+	public static final int ARM_INS_VSRI = 387;
+	public static final int ARM_INS_VST1 = 388;
+	public static final int ARM_INS_VST2 = 389;
+	public static final int ARM_INS_VST3 = 390;
+	public static final int ARM_INS_VST4 = 391;
+	public static final int ARM_INS_VSTMDB = 392;
+	public static final int ARM_INS_VSTMIA = 393;
+	public static final int ARM_INS_VSTR = 394;
+	public static final int ARM_INS_VSUB = 395;
+	public static final int ARM_INS_VSUBHN = 396;
+	public static final int ARM_INS_VSUBL = 397;
+	public static final int ARM_INS_VSUBW = 398;
+	public static final int ARM_INS_VSWP = 399;
+	public static final int ARM_INS_VTBL = 400;
+	public static final int ARM_INS_VTBX = 401;
+	public static final int ARM_INS_VCVTR = 402;
+	public static final int ARM_INS_VTRN = 403;
+	public static final int ARM_INS_VTST = 404;
+	public static final int ARM_INS_VUZP = 405;
+	public static final int ARM_INS_VZIP = 406;
+	public static final int ARM_INS_ADDW = 407;
+	public static final int ARM_INS_ASR = 408;
+	public static final int ARM_INS_DCPS1 = 409;
+	public static final int ARM_INS_DCPS2 = 410;
+	public static final int ARM_INS_DCPS3 = 411;
+	public static final int ARM_INS_IT = 412;
+	public static final int ARM_INS_LSL = 413;
+	public static final int ARM_INS_LSR = 414;
 	public static final int ARM_INS_ORN = 415;
 	public static final int ARM_INS_ROR = 416;
 	public static final int ARM_INS_RRX = 417;
-	public static final int ARM_INS_SUBS = 418;
-	public static final int ARM_INS_SUBW = 419;
-	public static final int ARM_INS_TBB = 420;
-	public static final int ARM_INS_TBH = 421;
-	public static final int ARM_INS_CBNZ = 422;
-	public static final int ARM_INS_CBZ = 423;
-	public static final int ARM_INS_MOVS = 424;
-	public static final int ARM_INS_POP = 425;
-	public static final int ARM_INS_PUSH = 426;
-	public static final int ARM_INS_NOP = 427;
-	public static final int ARM_INS_YIELD = 428;
-	public static final int ARM_INS_WFE = 429;
-	public static final int ARM_INS_WFI = 430;
-	public static final int ARM_INS_SEV = 431;
-	public static final int ARM_INS_SEVL = 432;
-	public static final int ARM_INS_VPUSH = 433;
-	public static final int ARM_INS_VPOP = 434;
-	public static final int ARM_INS_ENDING = 435;
-
-	// Group of ARM instructions
+	public static final int ARM_INS_SUBW = 418;
+	public static final int ARM_INS_TBB = 419;
+	public static final int ARM_INS_TBH = 420;
+	public static final int ARM_INS_CBNZ = 421;
+	public static final int ARM_INS_CBZ = 422;
+	public static final int ARM_INS_POP = 423;
+	public static final int ARM_INS_PUSH = 424;
+	public static final int ARM_INS_NOP = 425;
+	public static final int ARM_INS_YIELD = 426;
+	public static final int ARM_INS_WFE = 427;
+	public static final int ARM_INS_WFI = 428;
+	public static final int ARM_INS_SEV = 429;
+	public static final int ARM_INS_SEVL = 430;
+	public static final int ARM_INS_VPUSH = 431;
+	public static final int ARM_INS_VPOP = 432;
+	public static final int ARM_INS_ENDING = 433;
 
 	public static final int ARM_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int ARM_GRP_JUMP = 1;
-
-	// Architecture-specific groups
+	public static final int ARM_GRP_CALL = 2;
+	public static final int ARM_GRP_INT = 4;
+	public static final int ARM_GRP_PRIVILEGE = 6;
+	public static final int ARM_GRP_BRANCH_RELATIVE = 7;
 	public static final int ARM_GRP_CRYPTO = 128;
 	public static final int ARM_GRP_DATABARRIER = 129;
 	public static final int ARM_GRP_DIVIDE = 130;
@@ -766,5 +774,6 @@ public class Arm_const {
 	public static final int ARM_GRP_CRC = 156;
 	public static final int ARM_GRP_DPVFP = 157;
 	public static final int ARM_GRP_V6M = 158;
-	public static final int ARM_GRP_ENDING = 159;
+	public static final int ARM_GRP_VIRTUALIZATION = 159;
+	public static final int ARM_GRP_ENDING = 160;
 }
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm.java 4.0.2-3/bindings/java/capstone/Arm.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Arm.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Arm.java	2020-05-08 10:03:30.000000000 +0000
@@ -18,10 +18,11 @@ public class Arm {
     public int index;
     public int scale;
     public int disp;
+    public int lshift;
 
     @Override
     public List getFieldOrder() {
-      return Arrays.asList("base", "index", "scale", "disp");
+      return Arrays.asList("base", "index", "scale", "disp", "lshift");
     }
   }
 
@@ -54,6 +55,8 @@ public class Arm {
     public int type;
     public OpValue value;
     public boolean subtracted;
+    public byte access;
+    public byte neon_lane;
 
     public void read() {
       readField("vector_index");
@@ -71,11 +74,13 @@ public class Arm {
       readField("value");
       readField("shift");
       readField("subtracted");
+      readField("access");
+      readField("neon_lane");
     }
 
     @Override
     public List getFieldOrder() {
-      return Arrays.asList("vector_index", "shift", "type", "value", "subtracted");
+      return Arrays.asList("vector_index", "shift", "type", "value", "subtracted", "access", "neon_lane");
     }
   }
 
@@ -88,7 +93,7 @@ public class Arm {
     public int cc;
     public byte update_flags;
     public byte writeback;
-    public byte mem_barrier;
+    public int mem_barrier;
     public byte op_count;
 
     public Operand [] op;
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Capstone.java 4.0.2-3/bindings/java/capstone/Capstone.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Capstone.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Capstone.java	2020-05-08 10:03:30.000000000 +0000
@@ -4,8 +4,10 @@
 package capstone;
 
 import com.sun.jna.Library;
+import com.sun.jna.Memory;
 import com.sun.jna.Native;
 import com.sun.jna.NativeLong;
+import com.sun.jna.ptr.ByteByReference;
 import com.sun.jna.ptr.NativeLongByReference;
 import com.sun.jna.Structure;
 import com.sun.jna.Union;
@@ -33,6 +35,7 @@ public class Capstone {
     public Sparc.UnionOpInfo sparc;
     public Systemz.UnionOpInfo sysz;
     public Xcore.UnionOpInfo xcore;
+    public M680x.UnionOpInfo m680x;
   }
 
   protected static class _cs_insn extends Structure {
@@ -75,10 +78,10 @@ public class Capstone {
     public static class ByReference extends _cs_detail implements Structure.ByReference {};
 
     // list of all implicit registers being read.
-    public byte[] regs_read = new byte[12];
+    public short[] regs_read = new short[12];
     public byte regs_read_count;
     // list of all implicit registers being written.
-    public byte[] regs_write = new byte[20];
+    public short[] regs_write = new short[20];
     public byte regs_write_count;
     // list of semantic groups this instruction belongs to.
     public byte[] groups = new byte[8];
@@ -93,7 +96,7 @@ public class Capstone {
   }
 
   public static class CsInsn {
-    private NativeLong csh;
+    private Pointer csh;
     private CS cs;
     private _cs_insn raw;
     private int arch;
@@ -104,19 +107,21 @@ public class Capstone {
     public long address;
     // instruction size.
     public short size;
+    // Machine bytes of this instruction, with number of bytes indicated by size above
+    public byte[] bytes;
     // instruction mnemonic. NOTE: irrelevant for diet engine.
     public String mnemonic;
     // instruction operands. NOTE: irrelevant for diet engine.
     public String opStr;
     // list of all implicit registers being read.
-    public byte[] regsRead;
+    public short[] regsRead;
     // list of all implicit registers being written.
-    public byte[] regsWrite;
+    public short[] regsWrite;
     // list of semantic groups this instruction belongs to.
     public byte[] groups;
     public OpInfo operands;
 
-    public CsInsn (_cs_insn insn, int _arch, NativeLong _csh, CS _cs, boolean diet) {
+    public CsInsn (_cs_insn insn, int _arch, Pointer _csh, CS _cs, boolean diet) {
       id = insn.id;
       address = insn.address;
       size = insn.size;
@@ -128,6 +133,7 @@ public class Capstone {
         while (insn.op_str[lo++] != 0);
         mnemonic = new String(insn.mnemonic, 0, lm-1);
         opStr = new String(insn.op_str, 0, lo-1);
+        bytes = Arrays.copyOf(insn.bytes, insn.size);
       }
 
       cs = _cs;
@@ -137,10 +143,10 @@ public class Capstone {
 
       if (insn.cs_detail != null) {
         if (!diet) {
-          regsRead = new byte[insn.cs_detail.regs_read_count];
+          regsRead = new short[insn.cs_detail.regs_read_count];
           for (int i=0; i<regsRead.length; i++)
             regsRead[i] = insn.cs_detail.regs_read[i];
-          regsWrite = new byte[insn.cs_detail.regs_write_count];
+          regsWrite = new short[insn.cs_detail.regs_write_count];
           for (int i=0; i<regsWrite.length; i++)
             regsWrite[i] = insn.cs_detail.regs_write[i];
           groups = new byte[insn.cs_detail.groups_count];
@@ -196,6 +202,11 @@ public class Capstone {
           detail.arch.read();
           op_info = new Xcore.OpInfo((Xcore.UnionOpInfo) detail.arch.xcore);
           break;
+        case CS_ARCH_M680X:
+          detail.arch.setType(M680x.UnionOpInfo.class);
+          detail.arch.read();
+          op_info = new M680x.OpInfo((M680x.UnionOpInfo) detail.arch.m680x);
+          break;
         default:
       }
 
@@ -238,6 +249,38 @@ public class Capstone {
       return cs.cs_insn_group(csh, raw.getPointer(), gid) != 0;
     }
 
+    public CsRegsAccess regsAccess() {
+      Memory regsReadMemory = new Memory(64*2);
+      ByteByReference regsReadCountRef = new ByteByReference();
+      Memory regsWriteMemory = new Memory(64*2);
+      ByteByReference regsWriteCountRef = new ByteByReference();
+
+      int c = cs.cs_regs_access(csh, raw.getPointer(), regsReadMemory, regsReadCountRef, regsWriteMemory, regsWriteCountRef);
+      if (c != CS_ERR_OK) {
+        return null;
+      }
+
+      byte regsReadCount = regsReadCountRef.getValue();
+      byte regsWriteCount = regsWriteCountRef.getValue();
+
+      short[] regsRead = new short[regsReadCount];
+      regsReadMemory.read(0, regsRead, 0, regsReadCount);
+
+      short[] regsWrite = new short[regsWriteCount];
+      regsWriteMemory.read(0, regsWrite, 0, regsWriteCount);
+
+      return new CsRegsAccess(regsRead, regsWrite);
+    }
+  }
+
+  public static class CsRegsAccess {
+    public short[] regsRead;
+    public short[] regsWrite;
+
+    public CsRegsAccess(short[] regsRead, short[] regsWrite) {
+      this.regsRead = regsRead;
+      this.regsWrite = regsWrite;
+    }
   }
 
   private CsInsn[] fromArrayRaw(_cs_insn[] arr_raw) {
@@ -251,29 +294,31 @@ public class Capstone {
   }
 
   private interface CS extends Library {
-    public int cs_open(int arch, int mode, NativeLongByReference handle);
-    public NativeLong cs_disasm(NativeLong handle, byte[] code, NativeLong code_len,
+    public int cs_open(int arch, int mode, PointerByReference handle);
+    public NativeLong cs_disasm(Pointer handle, byte[] code, NativeLong code_len,
         long addr, NativeLong count, PointerByReference insn);
     public void cs_free(Pointer p, NativeLong count);
-    public int cs_close(NativeLongByReference handle);
-    public int cs_option(NativeLong handle, int option, NativeLong optionValue);
+    public int cs_close(PointerByReference handle);
+    public int cs_option(Pointer handle, int option, NativeLong optionValue);
 
-    public String cs_reg_name(NativeLong csh, int id);
-    public int cs_op_count(NativeLong csh, Pointer insn, int type);
-    public int cs_op_index(NativeLong csh, Pointer insn, int type, int index);
-
-    public String cs_insn_name(NativeLong csh, int id);
-    public String cs_group_name(NativeLong csh, int id);
-    public byte cs_insn_group(NativeLong csh, Pointer insn, int id);
-    public byte cs_reg_read(NativeLong csh, Pointer insn, int id);
-    public byte cs_reg_write(NativeLong csh, Pointer insn, int id);
-    public int cs_errno(NativeLong csh);
+    public String cs_reg_name(Pointer csh, int id);
+    public int cs_op_count(Pointer csh, Pointer insn, int type);
+    public int cs_op_index(Pointer csh, Pointer insn, int type, int index);
+
+    public String cs_insn_name(Pointer csh, int id);
+    public String cs_group_name(Pointer csh, int id);
+    public byte cs_insn_group(Pointer csh, Pointer insn, int id);
+    public byte cs_reg_read(Pointer csh, Pointer insn, int id);
+    public byte cs_reg_write(Pointer csh, Pointer insn, int id);
+    public int cs_errno(Pointer csh);
     public int cs_version(IntByReference major, IntByReference minor);
     public boolean cs_support(int query);
+    public String cs_strerror(int code);
+    public int cs_regs_access(Pointer handle, Pointer insn, Pointer regs_read, ByteByReference regs_read_count, Pointer regs_write, ByteByReference regs_write_count);
   }
 
   // Capstone API version
-  public static final int CS_API_MAJOR = 3;
+  public static final int CS_API_MAJOR = 5;
   public static final int CS_API_MINOR = 0;
 
   // architectures
@@ -285,7 +330,10 @@ public class Capstone {
   public static final int CS_ARCH_SPARC = 5;
   public static final int CS_ARCH_SYSZ = 6;
   public static final int CS_ARCH_XCORE = 7;
-  public static final int CS_ARCH_MAX = 8;
+  public static final int CS_ARCH_M68K = 8;
+  public static final int CS_ARCH_TMS320C64X = 9;
+  public static final int CS_ARCH_M680X = 10;
+  public static final int CS_ARCH_MAX = 11;
   public static final int CS_ARCH_ALL = 0xFFFF; // query id for cs_support()
 
   // disasm mode
@@ -300,11 +348,22 @@ public class Capstone {
   public static final int CS_MODE_MICRO = 1 << 4;	  // MicroMips mode (Mips arch)
   public static final int CS_MODE_MIPS3 = 1 << 5;     // Mips III ISA
   public static final int CS_MODE_MIPS32R6 = 1 << 6;  // Mips32r6 ISA
-  public static final int CS_MODE_MIPSGP64 = 1 << 7;  // General Purpose Registers are 64-bit wide (MIPS arch)
+  public static final int CS_MODE_MIPS2 = 1 << 7;  // Mips II ISA
   public static final int CS_MODE_BIG_ENDIAN = 1 << 31; // big-endian mode
   public static final int CS_MODE_V9 = 1 << 4;	      // SparcV9 mode (Sparc arch)
   public static final int CS_MODE_MIPS32 = CS_MODE_32; // Mips32 ISA
   public static final int CS_MODE_MIPS64 = CS_MODE_64; // Mips64 ISA
+  public static final int CS_MODE_QPX = 1 << 4; // Quad Processing eXtensions mode (PPC)
+  public static final int CS_MODE_M680X_6301 = 1 << 1; // M680X Hitachi 6301,6303 mode
+  public static final int CS_MODE_M680X_6309 = 1 << 2; // M680X Hitachi 6309 mode
+  public static final int CS_MODE_M680X_6800 = 1 << 3; // M680X Motorola 6800,6802 mode
+  public static final int CS_MODE_M680X_6801 = 1 << 4; // M680X Motorola 6801,6803 mode
+  public static final int CS_MODE_M680X_6805 = 1 << 5; // M680X Motorola 6805 mode
+  public static final int CS_MODE_M680X_6808 = 1 << 6; // M680X Motorola 6808 mode
+  public static final int CS_MODE_M680X_6809 = 1 << 7; // M680X Motorola 6809 mode
+  public static final int CS_MODE_M680X_6811 = 1 << 8; // M680X Motorola/Freescale 68HC11 mode
+  public static final int CS_MODE_M680X_CPU12 = 1 << 9; // M680X Motorola/Freescale/NXP CPU12 mode
+  public static final int CS_MODE_M680X_HCS08 = 1 << 10; // M680X Freescale HCS08 mode
 
   // Capstone error
   public static final int CS_ERR_OK = 0;
@@ -341,6 +400,12 @@ public class Capstone {
   public static final int CS_OP_MEM = 3;
   public static final int CS_OP_FP  = 4;
 
+  // Common instruction operand access types - to be consistent across all architectures.
+  // It is possible to combine access types, for example: CS_AC_READ | CS_AC_WRITE
+  public static final int CS_AC_INVALID = 0;
+  public static final int CS_AC_READ = 1 << 0;
+  public static final int CS_AC_WRITE = 1 << 1;
+
   // Common instruction groups - to be consistent across all architectures.
   public static final int CS_GRP_INVALID = 0;  // uninitialized/invalid group.
   public static final int CS_GRP_JUMP    = 1;  // all jump instructions (conditional+direct+indirect jumps)
@@ -348,14 +413,15 @@ public class Capstone {
   public static final int CS_GRP_RET     = 3;  // all return instructions
   public static final int CS_GRP_INT     = 4;  // all interrupt instructions (int+syscall)
   public static final int CS_GRP_IRET    = 5;  // all interrupt return instructions
+  public static final int CS_GRP_PRIVILEGE = 6;  // all privileged instructions
 
   // Query id for cs_support()
   public static final int CS_SUPPORT_DIET = CS_ARCH_ALL+1;	  // diet mode
   public static final int CS_SUPPORT_X86_REDUCE = CS_ARCH_ALL+2;  // X86 reduce mode
 
   protected class NativeStruct {
-      private NativeLong csh;
-      private NativeLongByReference handleRef;
+      private Pointer csh;
+      private PointerByReference handleRef;
   }
 
   private static final CsInsn[] EMPTY_INSN = new CsInsn[0];
@@ -370,15 +436,17 @@ public class Capstone {
 
   public Capstone(int arch, int mode) {
     cs = (CS)Native.loadLibrary("capstone", CS.class);
-    int version = cs.cs_version(null, null);
-    if (version != (CS_API_MAJOR << 8) + CS_API_MINOR) {
-      throw new RuntimeException("Different API version between core & binding (CS_ERR_VERSION)");
+    int coreVersion = cs.cs_version(null, null);
+    int bindingVersion = (CS_API_MAJOR << 8) + CS_API_MINOR;
+    if (coreVersion != bindingVersion) {
+      throw  new RuntimeException("Different API version between core " + coreVersion +
+              " & binding " + bindingVersion + " (CS_ERR_VERSION)");
     }
 
     this.arch = arch;
     this.mode = mode;
     ns = new NativeStruct();
-    ns.handleRef = new NativeLongByReference();
+    ns.handleRef = new PointerByReference();
     if (cs.cs_open(arch, mode, ns.handleRef) != CS_ERR_OK) {
       throw new RuntimeException("ERROR: Wrong arch or mode");
     }
@@ -471,4 +539,8 @@ public class Capstone {
 
     return allInsn;
   }
+
+  public String strerror(int code) {
+    return cs.cs_strerror(code);
+  }
 }
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Evm_const.java 4.0.2-3/bindings/java/capstone/Evm_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Evm_const.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Evm_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,155 @@
+// For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT
+package capstone;
+
+public class Evm_const {
+
+	public static final int EVM_INS_STOP = 0;
+	public static final int EVM_INS_ADD = 1;
+	public static final int EVM_INS_MUL = 2;
+	public static final int EVM_INS_SUB = 3;
+	public static final int EVM_INS_DIV = 4;
+	public static final int EVM_INS_SDIV = 5;
+	public static final int EVM_INS_MOD = 6;
+	public static final int EVM_INS_SMOD = 7;
+	public static final int EVM_INS_ADDMOD = 8;
+	public static final int EVM_INS_MULMOD = 9;
+	public static final int EVM_INS_EXP = 10;
+	public static final int EVM_INS_SIGNEXTEND = 11;
+	public static final int EVM_INS_LT = 16;
+	public static final int EVM_INS_GT = 17;
+	public static final int EVM_INS_SLT = 18;
+	public static final int EVM_INS_SGT = 19;
+	public static final int EVM_INS_EQ = 20;
+	public static final int EVM_INS_ISZERO = 21;
+	public static final int EVM_INS_AND = 22;
+	public static final int EVM_INS_OR = 23;
+	public static final int EVM_INS_XOR = 24;
+	public static final int EVM_INS_NOT = 25;
+	public static final int EVM_INS_BYTE = 26;
+	public static final int EVM_INS_SHA3 = 32;
+	public static final int EVM_INS_ADDRESS = 48;
+	public static final int EVM_INS_BALANCE = 49;
+	public static final int EVM_INS_ORIGIN = 50;
+	public static final int EVM_INS_CALLER = 51;
+	public static final int EVM_INS_CALLVALUE = 52;
+	public static final int EVM_INS_CALLDATALOAD = 53;
+	public static final int EVM_INS_CALLDATASIZE = 54;
+	public static final int EVM_INS_CALLDATACOPY = 55;
+	public static final int EVM_INS_CODESIZE = 56;
+	public static final int EVM_INS_CODECOPY = 57;
+	public static final int EVM_INS_GASPRICE = 58;
+	public static final int EVM_INS_EXTCODESIZE = 59;
+	public static final int EVM_INS_EXTCODECOPY = 60;
+	public static final int EVM_INS_RETURNDATASIZE = 61;
+	public static final int EVM_INS_RETURNDATACOPY = 62;
+	public static final int EVM_INS_BLOCKHASH = 64;
+	public static final int EVM_INS_COINBASE = 65;
+	public static final int EVM_INS_TIMESTAMP = 66;
+	public static final int EVM_INS_NUMBER = 67;
+	public static final int EVM_INS_DIFFICULTY = 68;
+	public static final int EVM_INS_GASLIMIT = 69;
+	public static final int EVM_INS_POP = 80;
+	public static final int EVM_INS_MLOAD = 81;
+	public static final int EVM_INS_MSTORE = 82;
+	public static final int EVM_INS_MSTORE8 = 83;
+	public static final int EVM_INS_SLOAD = 84;
+	public static final int EVM_INS_SSTORE = 85;
+	public static final int EVM_INS_JUMP = 86;
+	public static final int EVM_INS_JUMPI = 87;
+	public static final int EVM_INS_PC = 88;
+	public static final int EVM_INS_MSIZE = 89;
+	public static final int EVM_INS_GAS = 90;
+	public static final int EVM_INS_JUMPDEST = 91;
+	public static final int EVM_INS_PUSH1 = 96;
+	public static final int EVM_INS_PUSH2 = 97;
+	public static final int EVM_INS_PUSH3 = 98;
+	public static final int EVM_INS_PUSH4 = 99;
+	public static final int EVM_INS_PUSH5 = 100;
+	public static final int EVM_INS_PUSH6 = 101;
+	public static final int EVM_INS_PUSH7 = 102;
+	public static final int EVM_INS_PUSH8 = 103;
+	public static final int EVM_INS_PUSH9 = 104;
+	public static final int EVM_INS_PUSH10 = 105;
+	public static final int EVM_INS_PUSH11 = 106;
+	public static final int EVM_INS_PUSH12 = 107;
+	public static final int EVM_INS_PUSH13 = 108;
+	public static final int EVM_INS_PUSH14 = 109;
+	public static final int EVM_INS_PUSH15 = 110;
+	public static final int EVM_INS_PUSH16 = 111;
+	public static final int EVM_INS_PUSH17 = 112;
+	public static final int EVM_INS_PUSH18 = 113;
+	public static final int EVM_INS_PUSH19 = 114;
+	public static final int EVM_INS_PUSH20 = 115;
+	public static final int EVM_INS_PUSH21 = 116;
+	public static final int EVM_INS_PUSH22 = 117;
+	public static final int EVM_INS_PUSH23 = 118;
+	public static final int EVM_INS_PUSH24 = 119;
+	public static final int EVM_INS_PUSH25 = 120;
+	public static final int EVM_INS_PUSH26 = 121;
+	public static final int EVM_INS_PUSH27 = 122;
+	public static final int EVM_INS_PUSH28 = 123;
+	public static final int EVM_INS_PUSH29 = 124;
+	public static final int EVM_INS_PUSH30 = 125;
+	public static final int EVM_INS_PUSH31 = 126;
+	public static final int EVM_INS_PUSH32 = 127;
+	public static final int EVM_INS_DUP1 = 128;
+	public static final int EVM_INS_DUP2 = 129;
+	public static final int EVM_INS_DUP3 = 130;
+	public static final int EVM_INS_DUP4 = 131;
+	public static final int EVM_INS_DUP5 = 132;
+	public static final int EVM_INS_DUP6 = 133;
+	public static final int EVM_INS_DUP7 = 134;
+	public static final int EVM_INS_DUP8 = 135;
+	public static final int EVM_INS_DUP9 = 136;
+	public static final int EVM_INS_DUP10 = 137;
+	public static final int EVM_INS_DUP11 = 138;
+	public static final int EVM_INS_DUP12 = 139;
+	public static final int EVM_INS_DUP13 = 140;
+	public static final int EVM_INS_DUP14 = 141;
+	public static final int EVM_INS_DUP15 = 142;
+	public static final int EVM_INS_DUP16 = 143;
+	public static final int EVM_INS_SWAP1 = 144;
+	public static final int EVM_INS_SWAP2 = 145;
+	public static final int EVM_INS_SWAP3 = 146;
+	public static final int EVM_INS_SWAP4 = 147;
+	public static final int EVM_INS_SWAP5 = 148;
+	public static final int EVM_INS_SWAP6 = 149;
+	public static final int EVM_INS_SWAP7 = 150;
+	public static final int EVM_INS_SWAP8 = 151;
+	public static final int EVM_INS_SWAP9 = 152;
+	public static final int EVM_INS_SWAP10 = 153;
+	public static final int EVM_INS_SWAP11 = 154;
+	public static final int EVM_INS_SWAP12 = 155;
+	public static final int EVM_INS_SWAP13 = 156;
+	public static final int EVM_INS_SWAP14 = 157;
+	public static final int EVM_INS_SWAP15 = 158;
+	public static final int EVM_INS_SWAP16 = 159;
+	public static final int EVM_INS_LOG0 = 160;
+	public static final int EVM_INS_LOG1 = 161;
+	public static final int EVM_INS_LOG2 = 162;
+	public static final int EVM_INS_LOG3 = 163;
+	public static final int EVM_INS_LOG4 = 164;
+	public static final int EVM_INS_CREATE = 240;
+	public static final int EVM_INS_CALL = 241;
+	public static final int EVM_INS_CALLCODE = 242;
+	public static final int EVM_INS_RETURN = 243;
+	public static final int EVM_INS_DELEGATECALL = 244;
+	public static final int EVM_INS_CALLBLACKBOX = 245;
+	public static final int EVM_INS_STATICCALL = 250;
+	public static final int EVM_INS_REVERT = 253;
+	public static final int EVM_INS_SUICIDE = 255;
+	public static final int EVM_INS_INVALID = 512;
+	public static final int EVM_INS_ENDING = 513;
+
+	public static final int EVM_GRP_INVALID = 0;
+	public static final int EVM_GRP_JUMP = 1;
+	public static final int EVM_GRP_MATH = 8;
+	public static final int EVM_GRP_STACK_WRITE = 9;
+	public static final int EVM_GRP_STACK_READ = 10;
+	public static final int EVM_GRP_MEM_WRITE = 11;
+	public static final int EVM_GRP_MEM_READ = 12;
+	public static final int EVM_GRP_STORE_WRITE = 13;
+	public static final int EVM_GRP_STORE_READ = 14;
+	public static final int EVM_GRP_HALT = 15;
+	public static final int EVM_GRP_ENDING = 16;
+}
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/M680x_const.java 4.0.2-3/bindings/java/capstone/M680x_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/M680x_const.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/M680x_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,419 @@
+// For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT
+package capstone;
+
+public class M680x_const {
+	public static final int M680X_OPERAND_COUNT = 9;
+
+	public static final int M680X_REG_INVALID = 0;
+	public static final int M680X_REG_A = 1;
+	public static final int M680X_REG_B = 2;
+	public static final int M680X_REG_E = 3;
+	public static final int M680X_REG_F = 4;
+	public static final int M680X_REG_0 = 5;
+	public static final int M680X_REG_D = 6;
+	public static final int M680X_REG_W = 7;
+	public static final int M680X_REG_CC = 8;
+	public static final int M680X_REG_DP = 9;
+	public static final int M680X_REG_MD = 10;
+	public static final int M680X_REG_HX = 11;
+	public static final int M680X_REG_H = 12;
+	public static final int M680X_REG_X = 13;
+	public static final int M680X_REG_Y = 14;
+	public static final int M680X_REG_S = 15;
+	public static final int M680X_REG_U = 16;
+	public static final int M680X_REG_V = 17;
+	public static final int M680X_REG_Q = 18;
+	public static final int M680X_REG_PC = 19;
+	public static final int M680X_REG_TMP2 = 20;
+	public static final int M680X_REG_TMP3 = 21;
+	public static final int M680X_REG_ENDING = 22;
+
+	public static final int M680X_OP_INVALID = 0;
+	public static final int M680X_OP_REGISTER = 1;
+	public static final int M680X_OP_IMMEDIATE = 2;
+	public static final int M680X_OP_INDEXED = 3;
+	public static final int M680X_OP_EXTENDED = 4;
+	public static final int M680X_OP_DIRECT = 5;
+	public static final int M680X_OP_RELATIVE = 6;
+	public static final int M680X_OP_CONSTANT = 7;
+
+	public static final int M680X_OFFSET_NONE = 0;
+	public static final int M680X_OFFSET_BITS_5 = 5;
+	public static final int M680X_OFFSET_BITS_8 = 8;
+	public static final int M680X_OFFSET_BITS_9 = 9;
+	public static final int M680X_OFFSET_BITS_16 = 16;
+	public static final int M680X_IDX_INDIRECT = 1;
+	public static final int M680X_IDX_NO_COMMA = 2;
+	public static final int M680X_IDX_POST_INC_DEC = 4;
+
+	public static final int M680X_GRP_INVALID = 0;
+	public static final int M680X_GRP_JUMP = 1;
+	public static final int M680X_GRP_CALL = 2;
+	public static final int M680X_GRP_RET = 3;
+	public static final int M680X_GRP_INT = 4;
+	public static final int M680X_GRP_IRET = 5;
+	public static final int M680X_GRP_PRIV = 6;
+	public static final int M680X_GRP_BRAREL = 7;
+	public static final int M680X_GRP_ENDING = 8;
+	public static final int M680X_FIRST_OP_IN_MNEM = 1;
+	public static final int M680X_SECOND_OP_IN_MNEM = 2;
+
+	public static final int M680X_INS_INVLD = 0;
+	public static final int M680X_INS_ABA = 1;
+	public static final int M680X_INS_ABX = 2;
+	public static final int M680X_INS_ABY = 3;
+	public static final int M680X_INS_ADC = 4;
+	public static final int M680X_INS_ADCA = 5;
+	public static final int M680X_INS_ADCB = 6;
+	public static final int M680X_INS_ADCD = 7;
+	public static final int M680X_INS_ADCR = 8;
+	public static final int M680X_INS_ADD = 9;
+	public static final int M680X_INS_ADDA = 10;
+	public static final int M680X_INS_ADDB = 11;
+	public static final int M680X_INS_ADDD = 12;
+	public static final int M680X_INS_ADDE = 13;
+	public static final int M680X_INS_ADDF = 14;
+	public static final int M680X_INS_ADDR = 15;
+	public static final int M680X_INS_ADDW = 16;
+	public static final int M680X_INS_AIM = 17;
+	public static final int M680X_INS_AIS = 18;
+	public static final int M680X_INS_AIX = 19;
+	public static final int M680X_INS_AND = 20;
+	public static final int M680X_INS_ANDA = 21;
+	public static final int M680X_INS_ANDB = 22;
+	public static final int M680X_INS_ANDCC = 23;
+	public static final int M680X_INS_ANDD = 24;
+	public static final int M680X_INS_ANDR = 25;
+	public static final int M680X_INS_ASL = 26;
+	public static final int M680X_INS_ASLA = 27;
+	public static final int M680X_INS_ASLB = 28;
+	public static final int M680X_INS_ASLD = 29;
+	public static final int M680X_INS_ASR = 30;
+	public static final int M680X_INS_ASRA = 31;
+	public static final int M680X_INS_ASRB = 32;
+	public static final int M680X_INS_ASRD = 33;
+	public static final int M680X_INS_ASRX = 34;
+	public static final int M680X_INS_BAND = 35;
+	public static final int M680X_INS_BCC = 36;
+	public static final int M680X_INS_BCLR = 37;
+	public static final int M680X_INS_BCS = 38;
+	public static final int M680X_INS_BEOR = 39;
+	public static final int M680X_INS_BEQ = 40;
+	public static final int M680X_INS_BGE = 41;
+	public static final int M680X_INS_BGND = 42;
+	public static final int M680X_INS_BGT = 43;
+	public static final int M680X_INS_BHCC = 44;
+	public static final int M680X_INS_BHCS = 45;
+	public static final int M680X_INS_BHI = 46;
+	public static final int M680X_INS_BIAND = 47;
+	public static final int M680X_INS_BIEOR = 48;
+	public static final int M680X_INS_BIH = 49;
+	public static final int M680X_INS_BIL = 50;
+	public static final int M680X_INS_BIOR = 51;
+	public static final int M680X_INS_BIT = 52;
+	public static final int M680X_INS_BITA = 53;
+	public static final int M680X_INS_BITB = 54;
+	public static final int M680X_INS_BITD = 55;
+	public static final int M680X_INS_BITMD = 56;
+	public static final int M680X_INS_BLE = 57;
+	public static final int M680X_INS_BLS = 58;
+	public static final int M680X_INS_BLT = 59;
+	public static final int M680X_INS_BMC = 60;
+	public static final int M680X_INS_BMI = 61;
+	public static final int M680X_INS_BMS = 62;
+	public static final int M680X_INS_BNE = 63;
+	public static final int M680X_INS_BOR = 64;
+	public static final int M680X_INS_BPL = 65;
+	public static final int M680X_INS_BRCLR = 66;
+	public static final int M680X_INS_BRSET = 67;
+	public static final int M680X_INS_BRA = 68;
+	public static final int M680X_INS_BRN = 69;
+	public static final int M680X_INS_BSET = 70;
+	public static final int M680X_INS_BSR = 71;
+	public static final int M680X_INS_BVC = 72;
+	public static final int M680X_INS_BVS = 73;
+	public static final int M680X_INS_CALL = 74;
+	public static final int M680X_INS_CBA = 75;
+	public static final int M680X_INS_CBEQ = 76;
+	public static final int M680X_INS_CBEQA = 77;
+	public static final int M680X_INS_CBEQX = 78;
+	public static final int M680X_INS_CLC = 79;
+	public static final int M680X_INS_CLI = 80;
+	public static final int M680X_INS_CLR = 81;
+	public static final int M680X_INS_CLRA = 82;
+	public static final int M680X_INS_CLRB = 83;
+	public static final int M680X_INS_CLRD = 84;
+	public static final int M680X_INS_CLRE = 85;
+	public static final int M680X_INS_CLRF = 86;
+	public static final int M680X_INS_CLRH = 87;
+	public static final int M680X_INS_CLRW = 88;
+	public static final int M680X_INS_CLRX = 89;
+	public static final int M680X_INS_CLV = 90;
+	public static final int M680X_INS_CMP = 91;
+	public static final int M680X_INS_CMPA = 92;
+	public static final int M680X_INS_CMPB = 93;
+	public static final int M680X_INS_CMPD = 94;
+	public static final int M680X_INS_CMPE = 95;
+	public static final int M680X_INS_CMPF = 96;
+	public static final int M680X_INS_CMPR = 97;
+	public static final int M680X_INS_CMPS = 98;
+	public static final int M680X_INS_CMPU = 99;
+	public static final int M680X_INS_CMPW = 100;
+	public static final int M680X_INS_CMPX = 101;
+	public static final int M680X_INS_CMPY = 102;
+	public static final int M680X_INS_COM = 103;
+	public static final int M680X_INS_COMA = 104;
+	public static final int M680X_INS_COMB = 105;
+	public static final int M680X_INS_COMD = 106;
+	public static final int M680X_INS_COME = 107;
+	public static final int M680X_INS_COMF = 108;
+	public static final int M680X_INS_COMW = 109;
+	public static final int M680X_INS_COMX = 110;
+	public static final int M680X_INS_CPD = 111;
+	public static final int M680X_INS_CPHX = 112;
+	public static final int M680X_INS_CPS = 113;
+	public static final int M680X_INS_CPX = 114;
+	public static final int M680X_INS_CPY = 115;
+	public static final int M680X_INS_CWAI = 116;
+	public static final int M680X_INS_DAA = 117;
+	public static final int M680X_INS_DBEQ = 118;
+	public static final int M680X_INS_DBNE = 119;
+	public static final int M680X_INS_DBNZ = 120;
+	public static final int M680X_INS_DBNZA = 121;
+	public static final int M680X_INS_DBNZX = 122;
+	public static final int M680X_INS_DEC = 123;
+	public static final int M680X_INS_DECA = 124;
+	public static final int M680X_INS_DECB = 125;
+	public static final int M680X_INS_DECD = 126;
+	public static final int M680X_INS_DECE = 127;
+	public static final int M680X_INS_DECF = 128;
+	public static final int M680X_INS_DECW = 129;
+	public static final int M680X_INS_DECX = 130;
+	public static final int M680X_INS_DES = 131;
+	public static final int M680X_INS_DEX = 132;
+	public static final int M680X_INS_DEY = 133;
+	public static final int M680X_INS_DIV = 134;
+	public static final int M680X_INS_DIVD = 135;
+	public static final int M680X_INS_DIVQ = 136;
+	public static final int M680X_INS_EDIV = 137;
+	public static final int M680X_INS_EDIVS = 138;
+	public static final int M680X_INS_EIM = 139;
+	public static final int M680X_INS_EMACS = 140;
+	public static final int M680X_INS_EMAXD = 141;
+	public static final int M680X_INS_EMAXM = 142;
+	public static final int M680X_INS_EMIND = 143;
+	public static final int M680X_INS_EMINM = 144;
+	public static final int M680X_INS_EMUL = 145;
+	public static final int M680X_INS_EMULS = 146;
+	public static final int M680X_INS_EOR = 147;
+	public static final int M680X_INS_EORA = 148;
+	public static final int M680X_INS_EORB = 149;
+	public static final int M680X_INS_EORD = 150;
+	public static final int M680X_INS_EORR = 151;
+	public static final int M680X_INS_ETBL = 152;
+	public static final int M680X_INS_EXG = 153;
+	public static final int M680X_INS_FDIV = 154;
+	public static final int M680X_INS_IBEQ = 155;
+	public static final int M680X_INS_IBNE = 156;
+	public static final int M680X_INS_IDIV = 157;
+	public static final int M680X_INS_IDIVS = 158;
+	public static final int M680X_INS_ILLGL = 159;
+	public static final int M680X_INS_INC = 160;
+	public static final int M680X_INS_INCA = 161;
+	public static final int M680X_INS_INCB = 162;
+	public static final int M680X_INS_INCD = 163;
+	public static final int M680X_INS_INCE = 164;
+	public static final int M680X_INS_INCF = 165;
+	public static final int M680X_INS_INCW = 166;
+	public static final int M680X_INS_INCX = 167;
+	public static final int M680X_INS_INS = 168;
+	public static final int M680X_INS_INX = 169;
+	public static final int M680X_INS_INY = 170;
+	public static final int M680X_INS_JMP = 171;
+	public static final int M680X_INS_JSR = 172;
+	public static final int M680X_INS_LBCC = 173;
+	public static final int M680X_INS_LBCS = 174;
+	public static final int M680X_INS_LBEQ = 175;
+	public static final int M680X_INS_LBGE = 176;
+	public static final int M680X_INS_LBGT = 177;
+	public static final int M680X_INS_LBHI = 178;
+	public static final int M680X_INS_LBLE = 179;
+	public static final int M680X_INS_LBLS = 180;
+	public static final int M680X_INS_LBLT = 181;
+	public static final int M680X_INS_LBMI = 182;
+	public static final int M680X_INS_LBNE = 183;
+	public static final int M680X_INS_LBPL = 184;
+	public static final int M680X_INS_LBRA = 185;
+	public static final int M680X_INS_LBRN = 186;
+	public static final int M680X_INS_LBSR = 187;
+	public static final int M680X_INS_LBVC = 188;
+	public static final int M680X_INS_LBVS = 189;
+	public static final int M680X_INS_LDA = 190;
+	public static final int M680X_INS_LDAA = 191;
+	public static final int M680X_INS_LDAB = 192;
+	public static final int M680X_INS_LDB = 193;
+	public static final int M680X_INS_LDBT = 194;
+	public static final int M680X_INS_LDD = 195;
+	public static final int M680X_INS_LDE = 196;
+	public static final int M680X_INS_LDF = 197;
+	public static final int M680X_INS_LDHX = 198;
+	public static final int M680X_INS_LDMD = 199;
+	public static final int M680X_INS_LDQ = 200;
+	public static final int M680X_INS_LDS = 201;
+	public static final int M680X_INS_LDU = 202;
+	public static final int M680X_INS_LDW = 203;
+	public static final int M680X_INS_LDX = 204;
+	public static final int M680X_INS_LDY = 205;
+	public static final int M680X_INS_LEAS = 206;
+	public static final int M680X_INS_LEAU = 207;
+	public static final int M680X_INS_LEAX = 208;
+	public static final int M680X_INS_LEAY = 209;
+	public static final int M680X_INS_LSL = 210;
+	public static final int M680X_INS_LSLA = 211;
+	public static final int M680X_INS_LSLB = 212;
+	public static final int M680X_INS_LSLD = 213;
+	public static final int M680X_INS_LSLX = 214;
+	public static final int M680X_INS_LSR = 215;
+	public static final int M680X_INS_LSRA = 216;
+	public static final int M680X_INS_LSRB = 217;
+	public static final int M680X_INS_LSRD = 218;
+	public static final int M680X_INS_LSRW = 219;
+	public static final int M680X_INS_LSRX = 220;
+	public static final int M680X_INS_MAXA = 221;
+	public static final int M680X_INS_MAXM = 222;
+	public static final int M680X_INS_MEM = 223;
+	public static final int M680X_INS_MINA = 224;
+	public static final int M680X_INS_MINM = 225;
+	public static final int M680X_INS_MOV = 226;
+	public static final int M680X_INS_MOVB = 227;
+	public static final int M680X_INS_MOVW = 228;
+	public static final int M680X_INS_MUL = 229;
+	public static final int M680X_INS_MULD = 230;
+	public static final int M680X_INS_NEG = 231;
+	public static final int M680X_INS_NEGA = 232;
+	public static final int M680X_INS_NEGB = 233;
+	public static final int M680X_INS_NEGD = 234;
+	public static final int M680X_INS_NEGX = 235;
+	public static final int M680X_INS_NOP = 236;
+	public static final int M680X_INS_NSA = 237;
+	public static final int M680X_INS_OIM = 238;
+	public static final int M680X_INS_ORA = 239;
+	public static final int M680X_INS_ORAA = 240;
+	public static final int M680X_INS_ORAB = 241;
+	public static final int M680X_INS_ORB = 242;
+	public static final int M680X_INS_ORCC = 243;
+	public static final int M680X_INS_ORD = 244;
+	public static final int M680X_INS_ORR = 245;
+	public static final int M680X_INS_PSHA = 246;
+	public static final int M680X_INS_PSHB = 247;
+	public static final int M680X_INS_PSHC = 248;
+	public static final int M680X_INS_PSHD = 249;
+	public static final int M680X_INS_PSHH = 250;
+	public static final int M680X_INS_PSHS = 251;
+	public static final int M680X_INS_PSHSW = 252;
+	public static final int M680X_INS_PSHU = 253;
+	public static final int M680X_INS_PSHUW = 254;
+	public static final int M680X_INS_PSHX = 255;
+	public static final int M680X_INS_PSHY = 256;
+	public static final int M680X_INS_PULA = 257;
+	public static final int M680X_INS_PULB = 258;
+	public static final int M680X_INS_PULC = 259;
+	public static final int M680X_INS_PULD = 260;
+	public static final int M680X_INS_PULH = 261;
+	public static final int M680X_INS_PULS = 262;
+	public static final int M680X_INS_PULSW = 263;
+	public static final int M680X_INS_PULU = 264;
+	public static final int M680X_INS_PULUW = 265;
+	public static final int M680X_INS_PULX = 266;
+	public static final int M680X_INS_PULY = 267;
+	public static final int M680X_INS_REV = 268;
+	public static final int M680X_INS_REVW = 269;
+	public static final int M680X_INS_ROL = 270;
+	public static final int M680X_INS_ROLA = 271;
+	public static final int M680X_INS_ROLB = 272;
+	public static final int M680X_INS_ROLD = 273;
+	public static final int M680X_INS_ROLW = 274;
+	public static final int M680X_INS_ROLX = 275;
+	public static final int M680X_INS_ROR = 276;
+	public static final int M680X_INS_RORA = 277;
+	public static final int M680X_INS_RORB = 278;
+	public static final int M680X_INS_RORD = 279;
+	public static final int M680X_INS_RORW = 280;
+	public static final int M680X_INS_RORX = 281;
+	public static final int M680X_INS_RSP = 282;
+	public static final int M680X_INS_RTC = 283;
+	public static final int M680X_INS_RTI = 284;
+	public static final int M680X_INS_RTS = 285;
+	public static final int M680X_INS_SBA = 286;
+	public static final int M680X_INS_SBC = 287;
+	public static final int M680X_INS_SBCA = 288;
+	public static final int M680X_INS_SBCB = 289;
+	public static final int M680X_INS_SBCD = 290;
+	public static final int M680X_INS_SBCR = 291;
+	public static final int M680X_INS_SEC = 292;
+	public static final int M680X_INS_SEI = 293;
+	public static final int M680X_INS_SEV = 294;
+	public static final int M680X_INS_SEX = 295;
+	public static final int M680X_INS_SEXW = 296;
+	public static final int M680X_INS_SLP = 297;
+	public static final int M680X_INS_STA = 298;
+	public static final int M680X_INS_STAA = 299;
+	public static final int M680X_INS_STAB = 300;
+	public static final int M680X_INS_STB = 301;
+	public static final int M680X_INS_STBT = 302;
+	public static final int M680X_INS_STD = 303;
+	public static final int M680X_INS_STE = 304;
+	public static final int M680X_INS_STF = 305;
+	public static final int M680X_INS_STOP = 306;
+	public static final int M680X_INS_STHX = 307;
+	public static final int M680X_INS_STQ = 308;
+	public static final int M680X_INS_STS = 309;
+	public static final int M680X_INS_STU = 310;
+	public static final int M680X_INS_STW = 311;
+	public static final int M680X_INS_STX = 312;
+	public static final int M680X_INS_STY = 313;
+	public static final int M680X_INS_SUB = 314;
+	public static final int M680X_INS_SUBA = 315;
+	public static final int M680X_INS_SUBB = 316;
+	public static final int M680X_INS_SUBD = 317;
+	public static final int M680X_INS_SUBE = 318;
+	public static final int M680X_INS_SUBF = 319;
+	public static final int M680X_INS_SUBR = 320;
+	public static final int M680X_INS_SUBW = 321;
+	public static final int M680X_INS_SWI = 322;
+	public static final int M680X_INS_SWI2 = 323;
+	public static final int M680X_INS_SWI3 = 324;
+	public static final int M680X_INS_SYNC = 325;
+	public static final int M680X_INS_TAB = 326;
+	public static final int M680X_INS_TAP = 327;
+	public static final int M680X_INS_TAX = 328;
+	public static final int M680X_INS_TBA = 329;
+	public static final int M680X_INS_TBEQ = 330;
+	public static final int M680X_INS_TBL = 331;
+	public static final int M680X_INS_TBNE = 332;
+	public static final int M680X_INS_TEST = 333;
+	public static final int M680X_INS_TFM = 334;
+	public static final int M680X_INS_TFR = 335;
+	public static final int M680X_INS_TIM = 336;
+	public static final int M680X_INS_TPA = 337;
+	public static final int M680X_INS_TST = 338;
+	public static final int M680X_INS_TSTA = 339;
+	public static final int M680X_INS_TSTB = 340;
+	public static final int M680X_INS_TSTD = 341;
+	public static final int M680X_INS_TSTE = 342;
+	public static final int M680X_INS_TSTF = 343;
+	public static final int M680X_INS_TSTW = 344;
+	public static final int M680X_INS_TSTX = 345;
+	public static final int M680X_INS_TSX = 346;
+	public static final int M680X_INS_TSY = 347;
+	public static final int M680X_INS_TXA = 348;
+	public static final int M680X_INS_TXS = 349;
+	public static final int M680X_INS_TYS = 350;
+	public static final int M680X_INS_WAI = 351;
+	public static final int M680X_INS_WAIT = 352;
+	public static final int M680X_INS_WAV = 353;
+	public static final int M680X_INS_WAVR = 354;
+	public static final int M680X_INS_XGDX = 355;
+	public static final int M680X_INS_XGDY = 356;
+	public static final int M680X_INS_ENDING = 357;
+}
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/M680x.java 4.0.2-3/bindings/java/capstone/M680x.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/M680x.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/M680x.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,132 @@
+// Capstone Java binding
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+package capstone;
+
+import com.sun.jna.Structure;
+import com.sun.jna.Union;
+
+import java.util.List;
+import java.util.Arrays;
+
+import static capstone.M680x_const.*;
+
+public class M680x {
+
+  public static class OpIndexed extends Structure {
+    public int base_reg;
+    public int offset_reg;
+    public short offset;
+    public short offset_addr;
+    public byte offset_bits;
+    public byte inc_dec;
+    public byte flags;
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("base_reg", "offset_reg", "offset", "offset_addr", "offset_bits", "inc_dec", "flags");
+    }
+  }
+
+  public static class OpRelative extends Structure {
+    public short address;
+    public short offset;
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("address", "offset");
+    }
+  }
+
+  public static class OpExtended extends Structure {
+    public short address;
+    public byte indirect;
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("address", "indirect");
+    }
+  }
+
+  public static class OpValue extends Union {
+    public int imm;
+    public int reg;
+    public OpIndexed idx;
+    public OpRelative rel;
+    public OpExtended ext;
+    public byte direct_addr;
+    public byte const_val;
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("imm", "reg", "idx", "rel", "ext", "direct_addr", "const_val");
+    }
+  }
+
+  public static class Operand extends Structure {
+    public int type;
+    public OpValue value;
+    public byte size;
+    public byte access;
+
+    public void read() {
+      readField("type");
+      if (type == M680X_OP_IMMEDIATE)
+        value.setType(Integer.TYPE);
+      if (type == M680X_OP_REGISTER)
+        value.setType(Integer.TYPE);
+      if (type == M680X_OP_INDEXED)
+        value.setType(OpIndexed.class);
+      if (type == M680X_OP_RELATIVE)
+        value.setType(OpRelative.class);
+      if (type == M680X_OP_EXTENDED)
+        value.setType(OpExtended.class);
+      if (type == M680X_OP_DIRECT)
+        value.setType(Integer.TYPE);
+      if (type == M680X_OP_INVALID)
+        return;
+      readField("value");
+      readField("size");
+      readField("access");
+    }
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("type", "value", "size", "access");
+    }
+  }
+
+  public static class UnionOpInfo extends Capstone.UnionOpInfo {
+    public byte flags;
+    public byte op_count;
+
+    public Operand [] op;
+
+    public UnionOpInfo() {
+      op = new Operand[9];
+    }
+
+    public void read() {
+      readField("flags");
+      readField("op_count");
+      op = new Operand[op_count];
+      if (op_count != 0)
+        readField("op");
+    }
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("flags", "op_count", "op");
+    }
+  }
+
+  public static class OpInfo extends Capstone.OpInfo {
+    public byte flags;
+    public Operand [] op = null;
+
+    public OpInfo(UnionOpInfo op_info) {
+      flags = op_info.flags;
+      op = op_info.op;
+    }
+  }
+}
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/M68k_const.java 4.0.2-3/bindings/java/capstone/M68k_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/M68k_const.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/M68k_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,489 @@
+// For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT
+package capstone;
+
+public class M68k_const {
+	public static final int M68K_OPERAND_COUNT = 4;
+
+	public static final int M68K_REG_INVALID = 0;
+	public static final int M68K_REG_D0 = 1;
+	public static final int M68K_REG_D1 = 2;
+	public static final int M68K_REG_D2 = 3;
+	public static final int M68K_REG_D3 = 4;
+	public static final int M68K_REG_D4 = 5;
+	public static final int M68K_REG_D5 = 6;
+	public static final int M68K_REG_D6 = 7;
+	public static final int M68K_REG_D7 = 8;
+	public static final int M68K_REG_A0 = 9;
+	public static final int M68K_REG_A1 = 10;
+	public static final int M68K_REG_A2 = 11;
+	public static final int M68K_REG_A3 = 12;
+	public static final int M68K_REG_A4 = 13;
+	public static final int M68K_REG_A5 = 14;
+	public static final int M68K_REG_A6 = 15;
+	public static final int M68K_REG_A7 = 16;
+	public static final int M68K_REG_FP0 = 17;
+	public static final int M68K_REG_FP1 = 18;
+	public static final int M68K_REG_FP2 = 19;
+	public static final int M68K_REG_FP3 = 20;
+	public static final int M68K_REG_FP4 = 21;
+	public static final int M68K_REG_FP5 = 22;
+	public static final int M68K_REG_FP6 = 23;
+	public static final int M68K_REG_FP7 = 24;
+	public static final int M68K_REG_PC = 25;
+	public static final int M68K_REG_SR = 26;
+	public static final int M68K_REG_CCR = 27;
+	public static final int M68K_REG_SFC = 28;
+	public static final int M68K_REG_DFC = 29;
+	public static final int M68K_REG_USP = 30;
+	public static final int M68K_REG_VBR = 31;
+	public static final int M68K_REG_CACR = 32;
+	public static final int M68K_REG_CAAR = 33;
+	public static final int M68K_REG_MSP = 34;
+	public static final int M68K_REG_ISP = 35;
+	public static final int M68K_REG_TC = 36;
+	public static final int M68K_REG_ITT0 = 37;
+	public static final int M68K_REG_ITT1 = 38;
+	public static final int M68K_REG_DTT0 = 39;
+	public static final int M68K_REG_DTT1 = 40;
+	public static final int M68K_REG_MMUSR = 41;
+	public static final int M68K_REG_URP = 42;
+	public static final int M68K_REG_SRP = 43;
+	public static final int M68K_REG_FPCR = 44;
+	public static final int M68K_REG_FPSR = 45;
+	public static final int M68K_REG_FPIAR = 46;
+	public static final int M68K_REG_ENDING = 47;
+
+	public static final int M68K_AM_NONE = 0;
+	public static final int M68K_AM_REG_DIRECT_DATA = 1;
+	public static final int M68K_AM_REG_DIRECT_ADDR = 2;
+	public static final int M68K_AM_REGI_ADDR = 3;
+	public static final int M68K_AM_REGI_ADDR_POST_INC = 4;
+	public static final int M68K_AM_REGI_ADDR_PRE_DEC = 5;
+	public static final int M68K_AM_REGI_ADDR_DISP = 6;
+	public static final int M68K_AM_AREGI_INDEX_8_BIT_DISP = 7;
+	public static final int M68K_AM_AREGI_INDEX_BASE_DISP = 8;
+	public static final int M68K_AM_MEMI_POST_INDEX = 9;
+	public static final int M68K_AM_MEMI_PRE_INDEX = 10;
+	public static final int M68K_AM_PCI_DISP = 11;
+	public static final int M68K_AM_PCI_INDEX_8_BIT_DISP = 12;
+	public static final int M68K_AM_PCI_INDEX_BASE_DISP = 13;
+	public static final int M68K_AM_PC_MEMI_POST_INDEX = 14;
+	public static final int M68K_AM_PC_MEMI_PRE_INDEX = 15;
+	public static final int M68K_AM_ABSOLUTE_DATA_SHORT = 16;
+	public static final int M68K_AM_ABSOLUTE_DATA_LONG = 17;
+	public static final int M68K_AM_IMMEDIATE = 18;
+	public static final int M68K_AM_BRANCH_DISPLACEMENT = 19;
+
+	public static final int M68K_OP_INVALID = 0;
+	public static final int M68K_OP_REG = 1;
+	public static final int M68K_OP_IMM = 2;
+	public static final int M68K_OP_MEM = 3;
+	public static final int M68K_OP_FP_SINGLE = 4;
+	public static final int M68K_OP_FP_DOUBLE = 5;
+	public static final int M68K_OP_REG_BITS = 6;
+	public static final int M68K_OP_REG_PAIR = 7;
+	public static final int M68K_OP_BR_DISP = 8;
+
+	public static final int M68K_OP_BR_DISP_SIZE_INVALID = 0;
+	public static final int M68K_OP_BR_DISP_SIZE_BYTE = 1;
+	public static final int M68K_OP_BR_DISP_SIZE_WORD = 2;
+	public static final int M68K_OP_BR_DISP_SIZE_LONG = 4;
+
+	public static final int M68K_CPU_SIZE_NONE = 0;
+	public static final int M68K_CPU_SIZE_BYTE = 1;
+	public static final int M68K_CPU_SIZE_WORD = 2;
+	public static final int M68K_CPU_SIZE_LONG = 4;
+
+	public static final int M68K_FPU_SIZE_NONE = 0;
+	public static final int M68K_FPU_SIZE_SINGLE = 4;
+	public static final int M68K_FPU_SIZE_DOUBLE = 8;
+	public static final int M68K_FPU_SIZE_EXTENDED = 12;
+
+	public static final int M68K_SIZE_TYPE_INVALID = 0;
+	public static final int M68K_SIZE_TYPE_CPU = 1;
+	public static final int M68K_SIZE_TYPE_FPU = 2;
+
+	public static final int M68K_INS_INVALID = 0;
+	public static final int M68K_INS_ABCD = 1;
+	public static final int M68K_INS_ADD = 2;
+	public static final int M68K_INS_ADDA = 3;
+	public static final int M68K_INS_ADDI = 4;
+	public static final int M68K_INS_ADDQ = 5;
+	public static final int M68K_INS_ADDX = 6;
+	public static final int M68K_INS_AND = 7;
+	public static final int M68K_INS_ANDI = 8;
+	public static final int M68K_INS_ASL = 9;
+	public static final int M68K_INS_ASR = 10;
+	public static final int M68K_INS_BHS = 11;
+	public static final int M68K_INS_BLO = 12;
+	public static final int M68K_INS_BHI = 13;
+	public static final int M68K_INS_BLS = 14;
+	public static final int M68K_INS_BCC = 15;
+	public static final int M68K_INS_BCS = 16;
+	public static final int M68K_INS_BNE = 17;
+	public static final int M68K_INS_BEQ = 18;
+	public static final int M68K_INS_BVC = 19;
+	public static final int M68K_INS_BVS = 20;
+	public static final int M68K_INS_BPL = 21;
+	public static final int M68K_INS_BMI = 22;
+	public static final int M68K_INS_BGE = 23;
+	public static final int M68K_INS_BLT = 24;
+	public static final int M68K_INS_BGT = 25;
+	public static final int M68K_INS_BLE = 26;
+	public static final int M68K_INS_BRA = 27;
+	public static final int M68K_INS_BSR = 28;
+	public static final int M68K_INS_BCHG = 29;
+	public static final int M68K_INS_BCLR = 30;
+	public static final int M68K_INS_BSET = 31;
+	public static final int M68K_INS_BTST = 32;
+	public static final int M68K_INS_BFCHG = 33;
+	public static final int M68K_INS_BFCLR = 34;
+	public static final int M68K_INS_BFEXTS = 35;
+	public static final int M68K_INS_BFEXTU = 36;
+	public static final int M68K_INS_BFFFO = 37;
+	public static final int M68K_INS_BFINS = 38;
+	public static final int M68K_INS_BFSET = 39;
+	public static final int M68K_INS_BFTST = 40;
+	public static final int M68K_INS_BKPT = 41;
+	public static final int M68K_INS_CALLM = 42;
+	public static final int M68K_INS_CAS = 43;
+	public static final int M68K_INS_CAS2 = 44;
+	public static final int M68K_INS_CHK = 45;
+	public static final int M68K_INS_CHK2 = 46;
+	public static final int M68K_INS_CLR = 47;
+	public static final int M68K_INS_CMP = 48;
+	public static final int M68K_INS_CMPA = 49;
+	public static final int M68K_INS_CMPI = 50;
+	public static final int M68K_INS_CMPM = 51;
+	public static final int M68K_INS_CMP2 = 52;
+	public static final int M68K_INS_CINVL = 53;
+	public static final int M68K_INS_CINVP = 54;
+	public static final int M68K_INS_CINVA = 55;
+	public static final int M68K_INS_CPUSHL = 56;
+	public static final int M68K_INS_CPUSHP = 57;
+	public static final int M68K_INS_CPUSHA = 58;
+	public static final int M68K_INS_DBT = 59;
+	public static final int M68K_INS_DBF = 60;
+	public static final int M68K_INS_DBHI = 61;
+	public static final int M68K_INS_DBLS = 62;
+	public static final int M68K_INS_DBCC = 63;
+	public static final int M68K_INS_DBCS = 64;
+	public static final int M68K_INS_DBNE = 65;
+	public static final int M68K_INS_DBEQ = 66;
+	public static final int M68K_INS_DBVC = 67;
+	public static final int M68K_INS_DBVS = 68;
+	public static final int M68K_INS_DBPL = 69;
+	public static final int M68K_INS_DBMI = 70;
+	public static final int M68K_INS_DBGE = 71;
+	public static final int M68K_INS_DBLT = 72;
+	public static final int M68K_INS_DBGT = 73;
+	public static final int M68K_INS_DBLE = 74;
+	public static final int M68K_INS_DBRA = 75;
+	public static final int M68K_INS_DIVS = 76;
+	public static final int M68K_INS_DIVSL = 77;
+	public static final int M68K_INS_DIVU = 78;
+	public static final int M68K_INS_DIVUL = 79;
+	public static final int M68K_INS_EOR = 80;
+	public static final int M68K_INS_EORI = 81;
+	public static final int M68K_INS_EXG = 82;
+	public static final int M68K_INS_EXT = 83;
+	public static final int M68K_INS_EXTB = 84;
+	public static final int M68K_INS_FABS = 85;
+	public static final int M68K_INS_FSABS = 86;
+	public static final int M68K_INS_FDABS = 87;
+	public static final int M68K_INS_FACOS = 88;
+	public static final int M68K_INS_FADD = 89;
+	public static final int M68K_INS_FSADD = 90;
+	public static final int M68K_INS_FDADD = 91;
+	public static final int M68K_INS_FASIN = 92;
+	public static final int M68K_INS_FATAN = 93;
+	public static final int M68K_INS_FATANH = 94;
+	public static final int M68K_INS_FBF = 95;
+	public static final int M68K_INS_FBEQ = 96;
+	public static final int M68K_INS_FBOGT = 97;
+	public static final int M68K_INS_FBOGE = 98;
+	public static final int M68K_INS_FBOLT = 99;
+	public static final int M68K_INS_FBOLE = 100;
+	public static final int M68K_INS_FBOGL = 101;
+	public static final int M68K_INS_FBOR = 102;
+	public static final int M68K_INS_FBUN = 103;
+	public static final int M68K_INS_FBUEQ = 104;
+	public static final int M68K_INS_FBUGT = 105;
+	public static final int M68K_INS_FBUGE = 106;
+	public static final int M68K_INS_FBULT = 107;
+	public static final int M68K_INS_FBULE = 108;
+	public static final int M68K_INS_FBNE = 109;
+	public static final int M68K_INS_FBT = 110;
+	public static final int M68K_INS_FBSF = 111;
+	public static final int M68K_INS_FBSEQ = 112;
+	public static final int M68K_INS_FBGT = 113;
+	public static final int M68K_INS_FBGE = 114;
+	public static final int M68K_INS_FBLT = 115;
+	public static final int M68K_INS_FBLE = 116;
+	public static final int M68K_INS_FBGL = 117;
+	public static final int M68K_INS_FBGLE = 118;
+	public static final int M68K_INS_FBNGLE = 119;
+	public static final int M68K_INS_FBNGL = 120;
+	public static final int M68K_INS_FBNLE = 121;
+	public static final int M68K_INS_FBNLT = 122;
+	public static final int M68K_INS_FBNGE = 123;
+	public static final int M68K_INS_FBNGT = 124;
+	public static final int M68K_INS_FBSNE = 125;
+	public static final int M68K_INS_FBST = 126;
+	public static final int M68K_INS_FCMP = 127;
+	public static final int M68K_INS_FCOS = 128;
+	public static final int M68K_INS_FCOSH = 129;
+	public static final int M68K_INS_FDBF = 130;
+	public static final int M68K_INS_FDBEQ = 131;
+	public static final int M68K_INS_FDBOGT = 132;
+	public static final int M68K_INS_FDBOGE = 133;
+	public static final int M68K_INS_FDBOLT = 134;
+	public static final int M68K_INS_FDBOLE = 135;
+	public static final int M68K_INS_FDBOGL = 136;
+	public static final int M68K_INS_FDBOR = 137;
+	public static final int M68K_INS_FDBUN = 138;
+	public static final int M68K_INS_FDBUEQ = 139;
+	public static final int M68K_INS_FDBUGT = 140;
+	public static final int M68K_INS_FDBUGE = 141;
+	public static final int M68K_INS_FDBULT = 142;
+	public static final int M68K_INS_FDBULE = 143;
+	public static final int M68K_INS_FDBNE = 144;
+	public static final int M68K_INS_FDBT = 145;
+	public static final int M68K_INS_FDBSF = 146;
+	public static final int M68K_INS_FDBSEQ = 147;
+	public static final int M68K_INS_FDBGT = 148;
+	public static final int M68K_INS_FDBGE = 149;
+	public static final int M68K_INS_FDBLT = 150;
+	public static final int M68K_INS_FDBLE = 151;
+	public static final int M68K_INS_FDBGL = 152;
+	public static final int M68K_INS_FDBGLE = 153;
+	public static final int M68K_INS_FDBNGLE = 154;
+	public static final int M68K_INS_FDBNGL = 155;
+	public static final int M68K_INS_FDBNLE = 156;
+	public static final int M68K_INS_FDBNLT = 157;
+	public static final int M68K_INS_FDBNGE = 158;
+	public static final int M68K_INS_FDBNGT = 159;
+	public static final int M68K_INS_FDBSNE = 160;
+	public static final int M68K_INS_FDBST = 161;
+	public static final int M68K_INS_FDIV = 162;
+	public static final int M68K_INS_FSDIV = 163;
+	public static final int M68K_INS_FDDIV = 164;
+	public static final int M68K_INS_FETOX = 165;
+	public static final int M68K_INS_FETOXM1 = 166;
+	public static final int M68K_INS_FGETEXP = 167;
+	public static final int M68K_INS_FGETMAN = 168;
+	public static final int M68K_INS_FINT = 169;
+	public static final int M68K_INS_FINTRZ = 170;
+	public static final int M68K_INS_FLOG10 = 171;
+	public static final int M68K_INS_FLOG2 = 172;
+	public static final int M68K_INS_FLOGN = 173;
+	public static final int M68K_INS_FLOGNP1 = 174;
+	public static final int M68K_INS_FMOD = 175;
+	public static final int M68K_INS_FMOVE = 176;
+	public static final int M68K_INS_FSMOVE = 177;
+	public static final int M68K_INS_FDMOVE = 178;
+	public static final int M68K_INS_FMOVECR = 179;
+	public static final int M68K_INS_FMOVEM = 180;
+	public static final int M68K_INS_FMUL = 181;
+	public static final int M68K_INS_FSMUL = 182;
+	public static final int M68K_INS_FDMUL = 183;
+	public static final int M68K_INS_FNEG = 184;
+	public static final int M68K_INS_FSNEG = 185;
+	public static final int M68K_INS_FDNEG = 186;
+	public static final int M68K_INS_FNOP = 187;
+	public static final int M68K_INS_FREM = 188;
+	public static final int M68K_INS_FRESTORE = 189;
+	public static final int M68K_INS_FSAVE = 190;
+	public static final int M68K_INS_FSCALE = 191;
+	public static final int M68K_INS_FSGLDIV = 192;
+	public static final int M68K_INS_FSGLMUL = 193;
+	public static final int M68K_INS_FSIN = 194;
+	public static final int M68K_INS_FSINCOS = 195;
+	public static final int M68K_INS_FSINH = 196;
+	public static final int M68K_INS_FSQRT = 197;
+	public static final int M68K_INS_FSSQRT = 198;
+	public static final int M68K_INS_FDSQRT = 199;
+	public static final int M68K_INS_FSF = 200;
+	public static final int M68K_INS_FSBEQ = 201;
+	public static final int M68K_INS_FSOGT = 202;
+	public static final int M68K_INS_FSOGE = 203;
+	public static final int M68K_INS_FSOLT = 204;
+	public static final int M68K_INS_FSOLE = 205;
+	public static final int M68K_INS_FSOGL = 206;
+	public static final int M68K_INS_FSOR = 207;
+	public static final int M68K_INS_FSUN = 208;
+	public static final int M68K_INS_FSUEQ = 209;
+	public static final int M68K_INS_FSUGT = 210;
+	public static final int M68K_INS_FSUGE = 211;
+	public static final int M68K_INS_FSULT = 212;
+	public static final int M68K_INS_FSULE = 213;
+	public static final int M68K_INS_FSNE = 214;
+	public static final int M68K_INS_FST = 215;
+	public static final int M68K_INS_FSSF = 216;
+	public static final int M68K_INS_FSSEQ = 217;
+	public static final int M68K_INS_FSGT = 218;
+	public static final int M68K_INS_FSGE = 219;
+	public static final int M68K_INS_FSLT = 220;
+	public static final int M68K_INS_FSLE = 221;
+	public static final int M68K_INS_FSGL = 222;
+	public static final int M68K_INS_FSGLE = 223;
+	public static final int M68K_INS_FSNGLE = 224;
+	public static final int M68K_INS_FSNGL = 225;
+	public static final int M68K_INS_FSNLE = 226;
+	public static final int M68K_INS_FSNLT = 227;
+	public static final int M68K_INS_FSNGE = 228;
+	public static final int M68K_INS_FSNGT = 229;
+	public static final int M68K_INS_FSSNE = 230;
+	public static final int M68K_INS_FSST = 231;
+	public static final int M68K_INS_FSUB = 232;
+	public static final int M68K_INS_FSSUB = 233;
+	public static final int M68K_INS_FDSUB = 234;
+	public static final int M68K_INS_FTAN = 235;
+	public static final int M68K_INS_FTANH = 236;
+	public static final int M68K_INS_FTENTOX = 237;
+	public static final int M68K_INS_FTRAPF = 238;
+	public static final int M68K_INS_FTRAPEQ = 239;
+	public static final int M68K_INS_FTRAPOGT = 240;
+	public static final int M68K_INS_FTRAPOGE = 241;
+	public static final int M68K_INS_FTRAPOLT = 242;
+	public static final int M68K_INS_FTRAPOLE = 243;
+	public static final int M68K_INS_FTRAPOGL = 244;
+	public static final int M68K_INS_FTRAPOR = 245;
+	public static final int M68K_INS_FTRAPUN = 246;
+	public static final int M68K_INS_FTRAPUEQ = 247;
+	public static final int M68K_INS_FTRAPUGT = 248;
+	public static final int M68K_INS_FTRAPUGE = 249;
+	public static final int M68K_INS_FTRAPULT = 250;
+	public static final int M68K_INS_FTRAPULE = 251;
+	public static final int M68K_INS_FTRAPNE = 252;
+	public static final int M68K_INS_FTRAPT = 253;
+	public static final int M68K_INS_FTRAPSF = 254;
+	public static final int M68K_INS_FTRAPSEQ = 255;
+	public static final int M68K_INS_FTRAPGT = 256;
+	public static final int M68K_INS_FTRAPGE = 257;
+	public static final int M68K_INS_FTRAPLT = 258;
+	public static final int M68K_INS_FTRAPLE = 259;
+	public static final int M68K_INS_FTRAPGL = 260;
+	public static final int M68K_INS_FTRAPGLE = 261;
+	public static final int M68K_INS_FTRAPNGLE = 262;
+	public static final int M68K_INS_FTRAPNGL = 263;
+	public static final int M68K_INS_FTRAPNLE = 264;
+	public static final int M68K_INS_FTRAPNLT = 265;
+	public static final int M68K_INS_FTRAPNGE = 266;
+	public static final int M68K_INS_FTRAPNGT = 267;
+	public static final int M68K_INS_FTRAPSNE = 268;
+	public static final int M68K_INS_FTRAPST = 269;
+	public static final int M68K_INS_FTST = 270;
+	public static final int M68K_INS_FTWOTOX = 271;
+	public static final int M68K_INS_HALT = 272;
+	public static final int M68K_INS_ILLEGAL = 273;
+	public static final int M68K_INS_JMP = 274;
+	public static final int M68K_INS_JSR = 275;
+	public static final int M68K_INS_LEA = 276;
+	public static final int M68K_INS_LINK = 277;
+	public static final int M68K_INS_LPSTOP = 278;
+	public static final int M68K_INS_LSL = 279;
+	public static final int M68K_INS_LSR = 280;
+	public static final int M68K_INS_MOVE = 281;
+	public static final int M68K_INS_MOVEA = 282;
+	public static final int M68K_INS_MOVEC = 283;
+	public static final int M68K_INS_MOVEM = 284;
+	public static final int M68K_INS_MOVEP = 285;
+	public static final int M68K_INS_MOVEQ = 286;
+	public static final int M68K_INS_MOVES = 287;
+	public static final int M68K_INS_MOVE16 = 288;
+	public static final int M68K_INS_MULS = 289;
+	public static final int M68K_INS_MULU = 290;
+	public static final int M68K_INS_NBCD = 291;
+	public static final int M68K_INS_NEG = 292;
+	public static final int M68K_INS_NEGX = 293;
+	public static final int M68K_INS_NOP = 294;
+	public static final int M68K_INS_NOT = 295;
+	public static final int M68K_INS_OR = 296;
+	public static final int M68K_INS_ORI = 297;
+	public static final int M68K_INS_PACK = 298;
+	public static final int M68K_INS_PEA = 299;
+	public static final int M68K_INS_PFLUSH = 300;
+	public static final int M68K_INS_PFLUSHA = 301;
+	public static final int M68K_INS_PFLUSHAN = 302;
+	public static final int M68K_INS_PFLUSHN = 303;
+	public static final int M68K_INS_PLOADR = 304;
+	public static final int M68K_INS_PLOADW = 305;
+	public static final int M68K_INS_PLPAR = 306;
+	public static final int M68K_INS_PLPAW = 307;
+	public static final int M68K_INS_PMOVE = 308;
+	public static final int M68K_INS_PMOVEFD = 309;
+	public static final int M68K_INS_PTESTR = 310;
+	public static final int M68K_INS_PTESTW = 311;
+	public static final int M68K_INS_PULSE = 312;
+	public static final int M68K_INS_REMS = 313;
+	public static final int M68K_INS_REMU = 314;
+	public static final int M68K_INS_RESET = 315;
+	public static final int M68K_INS_ROL = 316;
+	public static final int M68K_INS_ROR = 317;
+	public static final int M68K_INS_ROXL = 318;
+	public static final int M68K_INS_ROXR = 319;
+	public static final int M68K_INS_RTD = 320;
+	public static final int M68K_INS_RTE = 321;
+	public static final int M68K_INS_RTM = 322;
+	public static final int M68K_INS_RTR = 323;
+	public static final int M68K_INS_RTS = 324;
+	public static final int M68K_INS_SBCD = 325;
+	public static final int M68K_INS_ST = 326;
+	public static final int M68K_INS_SF = 327;
+	public static final int M68K_INS_SHI = 328;
+	public static final int M68K_INS_SLS = 329;
+	public static final int M68K_INS_SCC = 330;
+	public static final int M68K_INS_SHS = 331;
+	public static final int M68K_INS_SCS = 332;
+	public static final int M68K_INS_SLO = 333;
+	public static final int M68K_INS_SNE = 334;
+	public static final int M68K_INS_SEQ = 335;
+	public static final int M68K_INS_SVC = 336;
+	public static final int M68K_INS_SVS = 337;
+	public static final int M68K_INS_SPL = 338;
+	public static final int M68K_INS_SMI = 339;
+	public static final int M68K_INS_SGE = 340;
+	public static final int M68K_INS_SLT = 341;
+	public static final int M68K_INS_SGT = 342;
+	public static final int M68K_INS_SLE = 343;
+	public static final int M68K_INS_STOP = 344;
+	public static final int M68K_INS_SUB = 345;
+	public static final int M68K_INS_SUBA = 346;
+	public static final int M68K_INS_SUBI = 347;
+	public static final int M68K_INS_SUBQ = 348;
+	public static final int M68K_INS_SUBX = 349;
+	public static final int M68K_INS_SWAP = 350;
+	public static final int M68K_INS_TAS = 351;
+	public static final int M68K_INS_TRAP = 352;
+	public static final int M68K_INS_TRAPV = 353;
+	public static final int M68K_INS_TRAPT = 354;
+	public static final int M68K_INS_TRAPF = 355;
+	public static final int M68K_INS_TRAPHI = 356;
+	public static final int M68K_INS_TRAPLS = 357;
+	public static final int M68K_INS_TRAPCC = 358;
+	public static final int M68K_INS_TRAPHS = 359;
+	public static final int M68K_INS_TRAPCS = 360;
+	public static final int M68K_INS_TRAPLO = 361;
+	public static final int M68K_INS_TRAPNE = 362;
+	public static final int M68K_INS_TRAPEQ = 363;
+	public static final int M68K_INS_TRAPVC = 364;
+	public static final int M68K_INS_TRAPVS = 365;
+	public static final int M68K_INS_TRAPPL = 366;
+	public static final int M68K_INS_TRAPMI = 367;
+	public static final int M68K_INS_TRAPGE = 368;
+	public static final int M68K_INS_TRAPLT = 369;
+	public static final int M68K_INS_TRAPGT = 370;
+	public static final int M68K_INS_TRAPLE = 371;
+	public static final int M68K_INS_TST = 372;
+	public static final int M68K_INS_UNLK = 373;
+	public static final int M68K_INS_UNPK = 374;
+	public static final int M68K_INS_ENDING = 375;
+
+	public static final int M68K_GRP_INVALID = 0;
+	public static final int M68K_GRP_JUMP = 1;
+	public static final int M68K_GRP_RET = 3;
+	public static final int M68K_GRP_IRET = 5;
+	public static final int M68K_GRP_BRANCH_RELATIVE = 7;
+	public static final int M68K_GRP_ENDING = 8;
+}
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Mips_const.java 4.0.2-3/bindings/java/capstone/Mips_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Mips_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Mips_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,164 +3,149 @@ package capstone;
 
 public class Mips_const {
 
-	// Operand type for instruction's operands
-
 	public static final int MIPS_OP_INVALID = 0;
 	public static final int MIPS_OP_REG = 1;
 	public static final int MIPS_OP_IMM = 2;
 	public static final int MIPS_OP_MEM = 3;
 
-	// MIPS registers
-
 	public static final int MIPS_REG_INVALID = 0;
-
-	// General purpose registers
-	public static final int MIPS_REG_0 = 1;
-	public static final int MIPS_REG_1 = 2;
-	public static final int MIPS_REG_2 = 3;
-	public static final int MIPS_REG_3 = 4;
-	public static final int MIPS_REG_4 = 5;
-	public static final int MIPS_REG_5 = 6;
-	public static final int MIPS_REG_6 = 7;
-	public static final int MIPS_REG_7 = 8;
-	public static final int MIPS_REG_8 = 9;
-	public static final int MIPS_REG_9 = 10;
-	public static final int MIPS_REG_10 = 11;
-	public static final int MIPS_REG_11 = 12;
-	public static final int MIPS_REG_12 = 13;
-	public static final int MIPS_REG_13 = 14;
-	public static final int MIPS_REG_14 = 15;
-	public static final int MIPS_REG_15 = 16;
-	public static final int MIPS_REG_16 = 17;
-	public static final int MIPS_REG_17 = 18;
-	public static final int MIPS_REG_18 = 19;
-	public static final int MIPS_REG_19 = 20;
-	public static final int MIPS_REG_20 = 21;
-	public static final int MIPS_REG_21 = 22;
-	public static final int MIPS_REG_22 = 23;
-	public static final int MIPS_REG_23 = 24;
-	public static final int MIPS_REG_24 = 25;
-	public static final int MIPS_REG_25 = 26;
-	public static final int MIPS_REG_26 = 27;
-	public static final int MIPS_REG_27 = 28;
-	public static final int MIPS_REG_28 = 29;
-	public static final int MIPS_REG_29 = 30;
-	public static final int MIPS_REG_30 = 31;
-	public static final int MIPS_REG_31 = 32;
-
-	// DSP registers
-	public static final int MIPS_REG_DSPCCOND = 33;
-	public static final int MIPS_REG_DSPCARRY = 34;
-	public static final int MIPS_REG_DSPEFI = 35;
-	public static final int MIPS_REG_DSPOUTFLAG = 36;
-	public static final int MIPS_REG_DSPOUTFLAG16_19 = 37;
-	public static final int MIPS_REG_DSPOUTFLAG20 = 38;
-	public static final int MIPS_REG_DSPOUTFLAG21 = 39;
-	public static final int MIPS_REG_DSPOUTFLAG22 = 40;
-	public static final int MIPS_REG_DSPOUTFLAG23 = 41;
-	public static final int MIPS_REG_DSPPOS = 42;
-	public static final int MIPS_REG_DSPSCOUNT = 43;
-
-	// ACC registers
-	public static final int MIPS_REG_AC0 = 44;
-	public static final int MIPS_REG_AC1 = 45;
-	public static final int MIPS_REG_AC2 = 46;
-	public static final int MIPS_REG_AC3 = 47;
-
-	// COP registers
-	public static final int MIPS_REG_CC0 = 48;
-	public static final int MIPS_REG_CC1 = 49;
-	public static final int MIPS_REG_CC2 = 50;
-	public static final int MIPS_REG_CC3 = 51;
-	public static final int MIPS_REG_CC4 = 52;
-	public static final int MIPS_REG_CC5 = 53;
-	public static final int MIPS_REG_CC6 = 54;
-	public static final int MIPS_REG_CC7 = 55;
-
-	// FPU registers
-	public static final int MIPS_REG_F0 = 56;
-	public static final int MIPS_REG_F1 = 57;
-	public static final int MIPS_REG_F2 = 58;
-	public static final int MIPS_REG_F3 = 59;
-	public static final int MIPS_REG_F4 = 60;
-	public static final int MIPS_REG_F5 = 61;
-	public static final int MIPS_REG_F6 = 62;
-	public static final int MIPS_REG_F7 = 63;
-	public static final int MIPS_REG_F8 = 64;
-	public static final int MIPS_REG_F9 = 65;
-	public static final int MIPS_REG_F10 = 66;
-	public static final int MIPS_REG_F11 = 67;
-	public static final int MIPS_REG_F12 = 68;
-	public static final int MIPS_REG_F13 = 69;
-	public static final int MIPS_REG_F14 = 70;
-	public static final int MIPS_REG_F15 = 71;
-	public static final int MIPS_REG_F16 = 72;
-	public static final int MIPS_REG_F17 = 73;
-	public static final int MIPS_REG_F18 = 74;
-	public static final int MIPS_REG_F19 = 75;
-	public static final int MIPS_REG_F20 = 76;
-	public static final int MIPS_REG_F21 = 77;
-	public static final int MIPS_REG_F22 = 78;
-	public static final int MIPS_REG_F23 = 79;
-	public static final int MIPS_REG_F24 = 80;
-	public static final int MIPS_REG_F25 = 81;
-	public static final int MIPS_REG_F26 = 82;
-	public static final int MIPS_REG_F27 = 83;
-	public static final int MIPS_REG_F28 = 84;
-	public static final int MIPS_REG_F29 = 85;
-	public static final int MIPS_REG_F30 = 86;
-	public static final int MIPS_REG_F31 = 87;
-	public static final int MIPS_REG_FCC0 = 88;
-	public static final int MIPS_REG_FCC1 = 89;
-	public static final int MIPS_REG_FCC2 = 90;
-	public static final int MIPS_REG_FCC3 = 91;
-	public static final int MIPS_REG_FCC4 = 92;
-	public static final int MIPS_REG_FCC5 = 93;
-	public static final int MIPS_REG_FCC6 = 94;
-	public static final int MIPS_REG_FCC7 = 95;
-
-	// AFPR128
-	public static final int MIPS_REG_W0 = 96;
-	public static final int MIPS_REG_W1 = 97;
-	public static final int MIPS_REG_W2 = 98;
-	public static final int MIPS_REG_W3 = 99;
-	public static final int MIPS_REG_W4 = 100;
-	public static final int MIPS_REG_W5 = 101;
-	public static final int MIPS_REG_W6 = 102;
-	public static final int MIPS_REG_W7 = 103;
-	public static final int MIPS_REG_W8 = 104;
-	public static final int MIPS_REG_W9 = 105;
-	public static final int MIPS_REG_W10 = 106;
-	public static final int MIPS_REG_W11 = 107;
-	public static final int MIPS_REG_W12 = 108;
-	public static final int MIPS_REG_W13 = 109;
-	public static final int MIPS_REG_W14 = 110;
-	public static final int MIPS_REG_W15 = 111;
-	public static final int MIPS_REG_W16 = 112;
-	public static final int MIPS_REG_W17 = 113;
-	public static final int MIPS_REG_W18 = 114;
-	public static final int MIPS_REG_W19 = 115;
-	public static final int MIPS_REG_W20 = 116;
-	public static final int MIPS_REG_W21 = 117;
-	public static final int MIPS_REG_W22 = 118;
-	public static final int MIPS_REG_W23 = 119;
-	public static final int MIPS_REG_W24 = 120;
-	public static final int MIPS_REG_W25 = 121;
-	public static final int MIPS_REG_W26 = 122;
-	public static final int MIPS_REG_W27 = 123;
-	public static final int MIPS_REG_W28 = 124;
-	public static final int MIPS_REG_W29 = 125;
-	public static final int MIPS_REG_W30 = 126;
-	public static final int MIPS_REG_W31 = 127;
-	public static final int MIPS_REG_HI = 128;
-	public static final int MIPS_REG_LO = 129;
-	public static final int MIPS_REG_P0 = 130;
-	public static final int MIPS_REG_P1 = 131;
-	public static final int MIPS_REG_P2 = 132;
-	public static final int MIPS_REG_MPL0 = 133;
-	public static final int MIPS_REG_MPL1 = 134;
-	public static final int MIPS_REG_MPL2 = 135;
-	public static final int MIPS_REG_ENDING = 136;
+	public static final int MIPS_REG_PC = 1;
+	public static final int MIPS_REG_0 = 2;
+	public static final int MIPS_REG_1 = 3;
+	public static final int MIPS_REG_2 = 4;
+	public static final int MIPS_REG_3 = 5;
+	public static final int MIPS_REG_4 = 6;
+	public static final int MIPS_REG_5 = 7;
+	public static final int MIPS_REG_6 = 8;
+	public static final int MIPS_REG_7 = 9;
+	public static final int MIPS_REG_8 = 10;
+	public static final int MIPS_REG_9 = 11;
+	public static final int MIPS_REG_10 = 12;
+	public static final int MIPS_REG_11 = 13;
+	public static final int MIPS_REG_12 = 14;
+	public static final int MIPS_REG_13 = 15;
+	public static final int MIPS_REG_14 = 16;
+	public static final int MIPS_REG_15 = 17;
+	public static final int MIPS_REG_16 = 18;
+	public static final int MIPS_REG_17 = 19;
+	public static final int MIPS_REG_18 = 20;
+	public static final int MIPS_REG_19 = 21;
+	public static final int MIPS_REG_20 = 22;
+	public static final int MIPS_REG_21 = 23;
+	public static final int MIPS_REG_22 = 24;
+	public static final int MIPS_REG_23 = 25;
+	public static final int MIPS_REG_24 = 26;
+	public static final int MIPS_REG_25 = 27;
+	public static final int MIPS_REG_26 = 28;
+	public static final int MIPS_REG_27 = 29;
+	public static final int MIPS_REG_28 = 30;
+	public static final int MIPS_REG_29 = 31;
+	public static final int MIPS_REG_30 = 32;
+	public static final int MIPS_REG_31 = 33;
+	public static final int MIPS_REG_DSPCCOND = 34;
+	public static final int MIPS_REG_DSPCARRY = 35;
+	public static final int MIPS_REG_DSPEFI = 36;
+	public static final int MIPS_REG_DSPOUTFLAG = 37;
+	public static final int MIPS_REG_DSPOUTFLAG16_19 = 38;
+	public static final int MIPS_REG_DSPOUTFLAG20 = 39;
+	public static final int MIPS_REG_DSPOUTFLAG21 = 40;
+	public static final int MIPS_REG_DSPOUTFLAG22 = 41;
+	public static final int MIPS_REG_DSPOUTFLAG23 = 42;
+	public static final int MIPS_REG_DSPPOS = 43;
+	public static final int MIPS_REG_DSPSCOUNT = 44;
+	public static final int MIPS_REG_AC0 = 45;
+	public static final int MIPS_REG_AC1 = 46;
+	public static final int MIPS_REG_AC2 = 47;
+	public static final int MIPS_REG_AC3 = 48;
+	public static final int MIPS_REG_CC0 = 49;
+	public static final int MIPS_REG_CC1 = 50;
+	public static final int MIPS_REG_CC2 = 51;
+	public static final int MIPS_REG_CC3 = 52;
+	public static final int MIPS_REG_CC4 = 53;
+	public static final int MIPS_REG_CC5 = 54;
+	public static final int MIPS_REG_CC6 = 55;
+	public static final int MIPS_REG_CC7 = 56;
+	public static final int MIPS_REG_F0 = 57;
+	public static final int MIPS_REG_F1 = 58;
+	public static final int MIPS_REG_F2 = 59;
+	public static final int MIPS_REG_F3 = 60;
+	public static final int MIPS_REG_F4 = 61;
+	public static final int MIPS_REG_F5 = 62;
+	public static final int MIPS_REG_F6 = 63;
+	public static final int MIPS_REG_F7 = 64;
+	public static final int MIPS_REG_F8 = 65;
+	public static final int MIPS_REG_F9 = 66;
+	public static final int MIPS_REG_F10 = 67;
+	public static final int MIPS_REG_F11 = 68;
+	public static final int MIPS_REG_F12 = 69;
+	public static final int MIPS_REG_F13 = 70;
+	public static final int MIPS_REG_F14 = 71;
+	public static final int MIPS_REG_F15 = 72;
+	public static final int MIPS_REG_F16 = 73;
+	public static final int MIPS_REG_F17 = 74;
+	public static final int MIPS_REG_F18 = 75;
+	public static final int MIPS_REG_F19 = 76;
+	public static final int MIPS_REG_F20 = 77;
+	public static final int MIPS_REG_F21 = 78;
+	public static final int MIPS_REG_F22 = 79;
+	public static final int MIPS_REG_F23 = 80;
+	public static final int MIPS_REG_F24 = 81;
+	public static final int MIPS_REG_F25 = 82;
+	public static final int MIPS_REG_F26 = 83;
+	public static final int MIPS_REG_F27 = 84;
+	public static final int MIPS_REG_F28 = 85;
+	public static final int MIPS_REG_F29 = 86;
+	public static final int MIPS_REG_F30 = 87;
+	public static final int MIPS_REG_F31 = 88;
+	public static final int MIPS_REG_FCC0 = 89;
+	public static final int MIPS_REG_FCC1 = 90;
+	public static final int MIPS_REG_FCC2 = 91;
+	public static final int MIPS_REG_FCC3 = 92;
+	public static final int MIPS_REG_FCC4 = 93;
+	public static final int MIPS_REG_FCC5 = 94;
+	public static final int MIPS_REG_FCC6 = 95;
+	public static final int MIPS_REG_FCC7 = 96;
+	public static final int MIPS_REG_W0 = 97;
+	public static final int MIPS_REG_W1 = 98;
+	public static final int MIPS_REG_W2 = 99;
+	public static final int MIPS_REG_W3 = 100;
+	public static final int MIPS_REG_W4 = 101;
+	public static final int MIPS_REG_W5 = 102;
+	public static final int MIPS_REG_W6 = 103;
+	public static final int MIPS_REG_W7 = 104;
+	public static final int MIPS_REG_W8 = 105;
+	public static final int MIPS_REG_W9 = 106;
+	public static final int MIPS_REG_W10 = 107;
+	public static final int MIPS_REG_W11 = 108;
+	public static final int MIPS_REG_W12 = 109;
+	public static final int MIPS_REG_W13 = 110;
+	public static final int MIPS_REG_W14 = 111;
+	public static final int MIPS_REG_W15 = 112;
+	public static final int MIPS_REG_W16 = 113;
+	public static final int MIPS_REG_W17 = 114;
+	public static final int MIPS_REG_W18 = 115;
+	public static final int MIPS_REG_W19 = 116;
+	public static final int MIPS_REG_W20 = 117;
+	public static final int MIPS_REG_W21 = 118;
+	public static final int MIPS_REG_W22 = 119;
+	public static final int MIPS_REG_W23 = 120;
+	public static final int MIPS_REG_W24 = 121;
+	public static final int MIPS_REG_W25 = 122;
+	public static final int MIPS_REG_W26 = 123;
+	public static final int MIPS_REG_W27 = 124;
+	public static final int MIPS_REG_W28 = 125;
+	public static final int MIPS_REG_W29 = 126;
+	public static final int MIPS_REG_W30 = 127;
+	public static final int MIPS_REG_W31 = 128;
+	public static final int MIPS_REG_HI = 129;
+	public static final int MIPS_REG_LO = 130;
+	public static final int MIPS_REG_P0 = 131;
+	public static final int MIPS_REG_P1 = 132;
+	public static final int MIPS_REG_P2 = 133;
+	public static final int MIPS_REG_MPL0 = 134;
+	public static final int MIPS_REG_MPL1 = 135;
+	public static final int MIPS_REG_MPL2 = 136;
+	public static final int MIPS_REG_ENDING = 137;
 	public static final int MIPS_REG_ZERO = MIPS_REG_0;
 	public static final int MIPS_REG_AT = MIPS_REG_1;
 	public static final int MIPS_REG_V0 = MIPS_REG_2;
@@ -203,608 +188,646 @@ public class Mips_const {
 	public static final int MIPS_REG_LO2 = MIPS_REG_HI2;
 	public static final int MIPS_REG_LO3 = MIPS_REG_HI3;
 
-	// MIPS instruction
-
 	public static final int MIPS_INS_INVALID = 0;
 	public static final int MIPS_INS_ABSQ_S = 1;
 	public static final int MIPS_INS_ADD = 2;
 	public static final int MIPS_INS_ADDIUPC = 3;
-	public static final int MIPS_INS_ADDQH = 4;
-	public static final int MIPS_INS_ADDQH_R = 5;
-	public static final int MIPS_INS_ADDQ = 6;
-	public static final int MIPS_INS_ADDQ_S = 7;
-	public static final int MIPS_INS_ADDSC = 8;
-	public static final int MIPS_INS_ADDS_A = 9;
-	public static final int MIPS_INS_ADDS_S = 10;
-	public static final int MIPS_INS_ADDS_U = 11;
-	public static final int MIPS_INS_ADDUH = 12;
-	public static final int MIPS_INS_ADDUH_R = 13;
-	public static final int MIPS_INS_ADDU = 14;
-	public static final int MIPS_INS_ADDU_S = 15;
-	public static final int MIPS_INS_ADDVI = 16;
-	public static final int MIPS_INS_ADDV = 17;
-	public static final int MIPS_INS_ADDWC = 18;
-	public static final int MIPS_INS_ADD_A = 19;
-	public static final int MIPS_INS_ADDI = 20;
-	public static final int MIPS_INS_ADDIU = 21;
-	public static final int MIPS_INS_ALIGN = 22;
-	public static final int MIPS_INS_ALUIPC = 23;
-	public static final int MIPS_INS_AND = 24;
-	public static final int MIPS_INS_ANDI = 25;
-	public static final int MIPS_INS_APPEND = 26;
-	public static final int MIPS_INS_ASUB_S = 27;
-	public static final int MIPS_INS_ASUB_U = 28;
-	public static final int MIPS_INS_AUI = 29;
-	public static final int MIPS_INS_AUIPC = 30;
-	public static final int MIPS_INS_AVER_S = 31;
-	public static final int MIPS_INS_AVER_U = 32;
-	public static final int MIPS_INS_AVE_S = 33;
-	public static final int MIPS_INS_AVE_U = 34;
-	public static final int MIPS_INS_BADDU = 35;
-	public static final int MIPS_INS_BAL = 36;
-	public static final int MIPS_INS_BALC = 37;
-	public static final int MIPS_INS_BALIGN = 38;
-	public static final int MIPS_INS_BC = 39;
-	public static final int MIPS_INS_BC0F = 40;
-	public static final int MIPS_INS_BC0FL = 41;
-	public static final int MIPS_INS_BC0T = 42;
-	public static final int MIPS_INS_BC0TL = 43;
-	public static final int MIPS_INS_BC1EQZ = 44;
-	public static final int MIPS_INS_BC1F = 45;
-	public static final int MIPS_INS_BC1FL = 46;
-	public static final int MIPS_INS_BC1NEZ = 47;
-	public static final int MIPS_INS_BC1T = 48;
-	public static final int MIPS_INS_BC1TL = 49;
-	public static final int MIPS_INS_BC2EQZ = 50;
-	public static final int MIPS_INS_BC2F = 51;
-	public static final int MIPS_INS_BC2FL = 52;
-	public static final int MIPS_INS_BC2NEZ = 53;
-	public static final int MIPS_INS_BC2T = 54;
-	public static final int MIPS_INS_BC2TL = 55;
-	public static final int MIPS_INS_BC3F = 56;
-	public static final int MIPS_INS_BC3FL = 57;
-	public static final int MIPS_INS_BC3T = 58;
-	public static final int MIPS_INS_BC3TL = 59;
-	public static final int MIPS_INS_BCLRI = 60;
-	public static final int MIPS_INS_BCLR = 61;
-	public static final int MIPS_INS_BEQ = 62;
-	public static final int MIPS_INS_BEQC = 63;
-	public static final int MIPS_INS_BEQL = 64;
-	public static final int MIPS_INS_BEQZALC = 65;
-	public static final int MIPS_INS_BEQZC = 66;
-	public static final int MIPS_INS_BGEC = 67;
-	public static final int MIPS_INS_BGEUC = 68;
-	public static final int MIPS_INS_BGEZ = 69;
-	public static final int MIPS_INS_BGEZAL = 70;
-	public static final int MIPS_INS_BGEZALC = 71;
-	public static final int MIPS_INS_BGEZALL = 72;
-	public static final int MIPS_INS_BGEZALS = 73;
-	public static final int MIPS_INS_BGEZC = 74;
-	public static final int MIPS_INS_BGEZL = 75;
-	public static final int MIPS_INS_BGTZ = 76;
-	public static final int MIPS_INS_BGTZALC = 77;
-	public static final int MIPS_INS_BGTZC = 78;
-	public static final int MIPS_INS_BGTZL = 79;
-	public static final int MIPS_INS_BINSLI = 80;
-	public static final int MIPS_INS_BINSL = 81;
-	public static final int MIPS_INS_BINSRI = 82;
-	public static final int MIPS_INS_BINSR = 83;
-	public static final int MIPS_INS_BITREV = 84;
-	public static final int MIPS_INS_BITSWAP = 85;
-	public static final int MIPS_INS_BLEZ = 86;
-	public static final int MIPS_INS_BLEZALC = 87;
-	public static final int MIPS_INS_BLEZC = 88;
-	public static final int MIPS_INS_BLEZL = 89;
-	public static final int MIPS_INS_BLTC = 90;
-	public static final int MIPS_INS_BLTUC = 91;
-	public static final int MIPS_INS_BLTZ = 92;
-	public static final int MIPS_INS_BLTZAL = 93;
-	public static final int MIPS_INS_BLTZALC = 94;
-	public static final int MIPS_INS_BLTZALL = 95;
-	public static final int MIPS_INS_BLTZALS = 96;
-	public static final int MIPS_INS_BLTZC = 97;
-	public static final int MIPS_INS_BLTZL = 98;
-	public static final int MIPS_INS_BMNZI = 99;
-	public static final int MIPS_INS_BMNZ = 100;
-	public static final int MIPS_INS_BMZI = 101;
-	public static final int MIPS_INS_BMZ = 102;
-	public static final int MIPS_INS_BNE = 103;
-	public static final int MIPS_INS_BNEC = 104;
-	public static final int MIPS_INS_BNEGI = 105;
-	public static final int MIPS_INS_BNEG = 106;
-	public static final int MIPS_INS_BNEL = 107;
-	public static final int MIPS_INS_BNEZALC = 108;
-	public static final int MIPS_INS_BNEZC = 109;
-	public static final int MIPS_INS_BNVC = 110;
-	public static final int MIPS_INS_BNZ = 111;
-	public static final int MIPS_INS_BOVC = 112;
-	public static final int MIPS_INS_BPOSGE32 = 113;
-	public static final int MIPS_INS_BREAK = 114;
-	public static final int MIPS_INS_BSELI = 115;
-	public static final int MIPS_INS_BSEL = 116;
-	public static final int MIPS_INS_BSETI = 117;
-	public static final int MIPS_INS_BSET = 118;
-	public static final int MIPS_INS_BZ = 119;
-	public static final int MIPS_INS_BEQZ = 120;
-	public static final int MIPS_INS_B = 121;
-	public static final int MIPS_INS_BNEZ = 122;
-	public static final int MIPS_INS_BTEQZ = 123;
-	public static final int MIPS_INS_BTNEZ = 124;
-	public static final int MIPS_INS_CACHE = 125;
-	public static final int MIPS_INS_CEIL = 126;
-	public static final int MIPS_INS_CEQI = 127;
-	public static final int MIPS_INS_CEQ = 128;
-	public static final int MIPS_INS_CFC1 = 129;
-	public static final int MIPS_INS_CFCMSA = 130;
-	public static final int MIPS_INS_CINS = 131;
-	public static final int MIPS_INS_CINS32 = 132;
-	public static final int MIPS_INS_CLASS = 133;
-	public static final int MIPS_INS_CLEI_S = 134;
-	public static final int MIPS_INS_CLEI_U = 135;
-	public static final int MIPS_INS_CLE_S = 136;
-	public static final int MIPS_INS_CLE_U = 137;
-	public static final int MIPS_INS_CLO = 138;
-	public static final int MIPS_INS_CLTI_S = 139;
-	public static final int MIPS_INS_CLTI_U = 140;
-	public static final int MIPS_INS_CLT_S = 141;
-	public static final int MIPS_INS_CLT_U = 142;
-	public static final int MIPS_INS_CLZ = 143;
-	public static final int MIPS_INS_CMPGDU = 144;
-	public static final int MIPS_INS_CMPGU = 145;
-	public static final int MIPS_INS_CMPU = 146;
-	public static final int MIPS_INS_CMP = 147;
-	public static final int MIPS_INS_COPY_S = 148;
-	public static final int MIPS_INS_COPY_U = 149;
-	public static final int MIPS_INS_CTC1 = 150;
-	public static final int MIPS_INS_CTCMSA = 151;
-	public static final int MIPS_INS_CVT = 152;
-	public static final int MIPS_INS_C = 153;
-	public static final int MIPS_INS_CMPI = 154;
-	public static final int MIPS_INS_DADD = 155;
-	public static final int MIPS_INS_DADDI = 156;
-	public static final int MIPS_INS_DADDIU = 157;
-	public static final int MIPS_INS_DADDU = 158;
-	public static final int MIPS_INS_DAHI = 159;
-	public static final int MIPS_INS_DALIGN = 160;
-	public static final int MIPS_INS_DATI = 161;
-	public static final int MIPS_INS_DAUI = 162;
-	public static final int MIPS_INS_DBITSWAP = 163;
-	public static final int MIPS_INS_DCLO = 164;
-	public static final int MIPS_INS_DCLZ = 165;
-	public static final int MIPS_INS_DDIV = 166;
-	public static final int MIPS_INS_DDIVU = 167;
-	public static final int MIPS_INS_DERET = 168;
-	public static final int MIPS_INS_DEXT = 169;
-	public static final int MIPS_INS_DEXTM = 170;
-	public static final int MIPS_INS_DEXTU = 171;
-	public static final int MIPS_INS_DI = 172;
-	public static final int MIPS_INS_DINS = 173;
-	public static final int MIPS_INS_DINSM = 174;
-	public static final int MIPS_INS_DINSU = 175;
-	public static final int MIPS_INS_DIV = 176;
-	public static final int MIPS_INS_DIVU = 177;
-	public static final int MIPS_INS_DIV_S = 178;
-	public static final int MIPS_INS_DIV_U = 179;
-	public static final int MIPS_INS_DLSA = 180;
-	public static final int MIPS_INS_DMFC0 = 181;
-	public static final int MIPS_INS_DMFC1 = 182;
-	public static final int MIPS_INS_DMFC2 = 183;
-	public static final int MIPS_INS_DMOD = 184;
-	public static final int MIPS_INS_DMODU = 185;
-	public static final int MIPS_INS_DMTC0 = 186;
-	public static final int MIPS_INS_DMTC1 = 187;
-	public static final int MIPS_INS_DMTC2 = 188;
-	public static final int MIPS_INS_DMUH = 189;
-	public static final int MIPS_INS_DMUHU = 190;
-	public static final int MIPS_INS_DMUL = 191;
-	public static final int MIPS_INS_DMULT = 192;
-	public static final int MIPS_INS_DMULTU = 193;
-	public static final int MIPS_INS_DMULU = 194;
-	public static final int MIPS_INS_DOTP_S = 195;
-	public static final int MIPS_INS_DOTP_U = 196;
-	public static final int MIPS_INS_DPADD_S = 197;
-	public static final int MIPS_INS_DPADD_U = 198;
-	public static final int MIPS_INS_DPAQX_SA = 199;
-	public static final int MIPS_INS_DPAQX_S = 200;
-	public static final int MIPS_INS_DPAQ_SA = 201;
-	public static final int MIPS_INS_DPAQ_S = 202;
-	public static final int MIPS_INS_DPAU = 203;
-	public static final int MIPS_INS_DPAX = 204;
-	public static final int MIPS_INS_DPA = 205;
-	public static final int MIPS_INS_DPOP = 206;
-	public static final int MIPS_INS_DPSQX_SA = 207;
-	public static final int MIPS_INS_DPSQX_S = 208;
-	public static final int MIPS_INS_DPSQ_SA = 209;
-	public static final int MIPS_INS_DPSQ_S = 210;
-	public static final int MIPS_INS_DPSUB_S = 211;
-	public static final int MIPS_INS_DPSUB_U = 212;
-	public static final int MIPS_INS_DPSU = 213;
-	public static final int MIPS_INS_DPSX = 214;
-	public static final int MIPS_INS_DPS = 215;
-	public static final int MIPS_INS_DROTR = 216;
-	public static final int MIPS_INS_DROTR32 = 217;
-	public static final int MIPS_INS_DROTRV = 218;
-	public static final int MIPS_INS_DSBH = 219;
-	public static final int MIPS_INS_DSHD = 220;
-	public static final int MIPS_INS_DSLL = 221;
-	public static final int MIPS_INS_DSLL32 = 222;
-	public static final int MIPS_INS_DSLLV = 223;
-	public static final int MIPS_INS_DSRA = 224;
-	public static final int MIPS_INS_DSRA32 = 225;
-	public static final int MIPS_INS_DSRAV = 226;
-	public static final int MIPS_INS_DSRL = 227;
-	public static final int MIPS_INS_DSRL32 = 228;
-	public static final int MIPS_INS_DSRLV = 229;
-	public static final int MIPS_INS_DSUB = 230;
-	public static final int MIPS_INS_DSUBU = 231;
-	public static final int MIPS_INS_EHB = 232;
-	public static final int MIPS_INS_EI = 233;
-	public static final int MIPS_INS_ERET = 234;
-	public static final int MIPS_INS_EXT = 235;
-	public static final int MIPS_INS_EXTP = 236;
-	public static final int MIPS_INS_EXTPDP = 237;
-	public static final int MIPS_INS_EXTPDPV = 238;
-	public static final int MIPS_INS_EXTPV = 239;
-	public static final int MIPS_INS_EXTRV_RS = 240;
-	public static final int MIPS_INS_EXTRV_R = 241;
-	public static final int MIPS_INS_EXTRV_S = 242;
-	public static final int MIPS_INS_EXTRV = 243;
-	public static final int MIPS_INS_EXTR_RS = 244;
-	public static final int MIPS_INS_EXTR_R = 245;
-	public static final int MIPS_INS_EXTR_S = 246;
-	public static final int MIPS_INS_EXTR = 247;
-	public static final int MIPS_INS_EXTS = 248;
-	public static final int MIPS_INS_EXTS32 = 249;
-	public static final int MIPS_INS_ABS = 250;
-	public static final int MIPS_INS_FADD = 251;
-	public static final int MIPS_INS_FCAF = 252;
-	public static final int MIPS_INS_FCEQ = 253;
-	public static final int MIPS_INS_FCLASS = 254;
-	public static final int MIPS_INS_FCLE = 255;
-	public static final int MIPS_INS_FCLT = 256;
-	public static final int MIPS_INS_FCNE = 257;
-	public static final int MIPS_INS_FCOR = 258;
-	public static final int MIPS_INS_FCUEQ = 259;
-	public static final int MIPS_INS_FCULE = 260;
-	public static final int MIPS_INS_FCULT = 261;
-	public static final int MIPS_INS_FCUNE = 262;
-	public static final int MIPS_INS_FCUN = 263;
-	public static final int MIPS_INS_FDIV = 264;
-	public static final int MIPS_INS_FEXDO = 265;
-	public static final int MIPS_INS_FEXP2 = 266;
-	public static final int MIPS_INS_FEXUPL = 267;
-	public static final int MIPS_INS_FEXUPR = 268;
-	public static final int MIPS_INS_FFINT_S = 269;
-	public static final int MIPS_INS_FFINT_U = 270;
-	public static final int MIPS_INS_FFQL = 271;
-	public static final int MIPS_INS_FFQR = 272;
-	public static final int MIPS_INS_FILL = 273;
-	public static final int MIPS_INS_FLOG2 = 274;
-	public static final int MIPS_INS_FLOOR = 275;
-	public static final int MIPS_INS_FMADD = 276;
-	public static final int MIPS_INS_FMAX_A = 277;
-	public static final int MIPS_INS_FMAX = 278;
-	public static final int MIPS_INS_FMIN_A = 279;
-	public static final int MIPS_INS_FMIN = 280;
-	public static final int MIPS_INS_MOV = 281;
-	public static final int MIPS_INS_FMSUB = 282;
-	public static final int MIPS_INS_FMUL = 283;
-	public static final int MIPS_INS_MUL = 284;
-	public static final int MIPS_INS_NEG = 285;
-	public static final int MIPS_INS_FRCP = 286;
-	public static final int MIPS_INS_FRINT = 287;
-	public static final int MIPS_INS_FRSQRT = 288;
-	public static final int MIPS_INS_FSAF = 289;
-	public static final int MIPS_INS_FSEQ = 290;
-	public static final int MIPS_INS_FSLE = 291;
-	public static final int MIPS_INS_FSLT = 292;
-	public static final int MIPS_INS_FSNE = 293;
-	public static final int MIPS_INS_FSOR = 294;
-	public static final int MIPS_INS_FSQRT = 295;
-	public static final int MIPS_INS_SQRT = 296;
-	public static final int MIPS_INS_FSUB = 297;
-	public static final int MIPS_INS_SUB = 298;
-	public static final int MIPS_INS_FSUEQ = 299;
-	public static final int MIPS_INS_FSULE = 300;
-	public static final int MIPS_INS_FSULT = 301;
-	public static final int MIPS_INS_FSUNE = 302;
-	public static final int MIPS_INS_FSUN = 303;
-	public static final int MIPS_INS_FTINT_S = 304;
-	public static final int MIPS_INS_FTINT_U = 305;
-	public static final int MIPS_INS_FTQ = 306;
-	public static final int MIPS_INS_FTRUNC_S = 307;
-	public static final int MIPS_INS_FTRUNC_U = 308;
-	public static final int MIPS_INS_HADD_S = 309;
-	public static final int MIPS_INS_HADD_U = 310;
-	public static final int MIPS_INS_HSUB_S = 311;
-	public static final int MIPS_INS_HSUB_U = 312;
-	public static final int MIPS_INS_ILVEV = 313;
-	public static final int MIPS_INS_ILVL = 314;
-	public static final int MIPS_INS_ILVOD = 315;
-	public static final int MIPS_INS_ILVR = 316;
-	public static final int MIPS_INS_INS = 317;
-	public static final int MIPS_INS_INSERT = 318;
-	public static final int MIPS_INS_INSV = 319;
-	public static final int MIPS_INS_INSVE = 320;
-	public static final int MIPS_INS_J = 321;
-	public static final int MIPS_INS_JAL = 322;
-	public static final int MIPS_INS_JALR = 323;
-	public static final int MIPS_INS_JALRS = 324;
-	public static final int MIPS_INS_JALS = 325;
-	public static final int MIPS_INS_JALX = 326;
-	public static final int MIPS_INS_JIALC = 327;
-	public static final int MIPS_INS_JIC = 328;
-	public static final int MIPS_INS_JR = 329;
-	public static final int MIPS_INS_JRADDIUSP = 330;
-	public static final int MIPS_INS_JRC = 331;
-	public static final int MIPS_INS_JALRC = 332;
-	public static final int MIPS_INS_LB = 333;
-	public static final int MIPS_INS_LBUX = 334;
-	public static final int MIPS_INS_LBU = 335;
-	public static final int MIPS_INS_LD = 336;
-	public static final int MIPS_INS_LDC1 = 337;
-	public static final int MIPS_INS_LDC2 = 338;
-	public static final int MIPS_INS_LDC3 = 339;
-	public static final int MIPS_INS_LDI = 340;
-	public static final int MIPS_INS_LDL = 341;
-	public static final int MIPS_INS_LDPC = 342;
-	public static final int MIPS_INS_LDR = 343;
-	public static final int MIPS_INS_LDXC1 = 344;
-	public static final int MIPS_INS_LH = 345;
-	public static final int MIPS_INS_LHX = 346;
-	public static final int MIPS_INS_LHU = 347;
-	public static final int MIPS_INS_LL = 348;
-	public static final int MIPS_INS_LLD = 349;
-	public static final int MIPS_INS_LSA = 350;
-	public static final int MIPS_INS_LUXC1 = 351;
-	public static final int MIPS_INS_LUI = 352;
-	public static final int MIPS_INS_LW = 353;
-	public static final int MIPS_INS_LWC1 = 354;
-	public static final int MIPS_INS_LWC2 = 355;
-	public static final int MIPS_INS_LWC3 = 356;
-	public static final int MIPS_INS_LWL = 357;
-	public static final int MIPS_INS_LWPC = 358;
-	public static final int MIPS_INS_LWR = 359;
-	public static final int MIPS_INS_LWUPC = 360;
-	public static final int MIPS_INS_LWU = 361;
-	public static final int MIPS_INS_LWX = 362;
-	public static final int MIPS_INS_LWXC1 = 363;
-	public static final int MIPS_INS_LI = 364;
-	public static final int MIPS_INS_MADD = 365;
-	public static final int MIPS_INS_MADDF = 366;
-	public static final int MIPS_INS_MADDR_Q = 367;
-	public static final int MIPS_INS_MADDU = 368;
-	public static final int MIPS_INS_MADDV = 369;
-	public static final int MIPS_INS_MADD_Q = 370;
-	public static final int MIPS_INS_MAQ_SA = 371;
-	public static final int MIPS_INS_MAQ_S = 372;
-	public static final int MIPS_INS_MAXA = 373;
-	public static final int MIPS_INS_MAXI_S = 374;
-	public static final int MIPS_INS_MAXI_U = 375;
-	public static final int MIPS_INS_MAX_A = 376;
-	public static final int MIPS_INS_MAX = 377;
-	public static final int MIPS_INS_MAX_S = 378;
-	public static final int MIPS_INS_MAX_U = 379;
-	public static final int MIPS_INS_MFC0 = 380;
-	public static final int MIPS_INS_MFC1 = 381;
-	public static final int MIPS_INS_MFC2 = 382;
-	public static final int MIPS_INS_MFHC1 = 383;
-	public static final int MIPS_INS_MFHI = 384;
-	public static final int MIPS_INS_MFLO = 385;
-	public static final int MIPS_INS_MINA = 386;
-	public static final int MIPS_INS_MINI_S = 387;
-	public static final int MIPS_INS_MINI_U = 388;
-	public static final int MIPS_INS_MIN_A = 389;
-	public static final int MIPS_INS_MIN = 390;
-	public static final int MIPS_INS_MIN_S = 391;
-	public static final int MIPS_INS_MIN_U = 392;
-	public static final int MIPS_INS_MOD = 393;
-	public static final int MIPS_INS_MODSUB = 394;
-	public static final int MIPS_INS_MODU = 395;
-	public static final int MIPS_INS_MOD_S = 396;
-	public static final int MIPS_INS_MOD_U = 397;
-	public static final int MIPS_INS_MOVE = 398;
-	public static final int MIPS_INS_MOVF = 399;
-	public static final int MIPS_INS_MOVN = 400;
-	public static final int MIPS_INS_MOVT = 401;
-	public static final int MIPS_INS_MOVZ = 402;
-	public static final int MIPS_INS_MSUB = 403;
-	public static final int MIPS_INS_MSUBF = 404;
-	public static final int MIPS_INS_MSUBR_Q = 405;
-	public static final int MIPS_INS_MSUBU = 406;
-	public static final int MIPS_INS_MSUBV = 407;
-	public static final int MIPS_INS_MSUB_Q = 408;
-	public static final int MIPS_INS_MTC0 = 409;
-	public static final int MIPS_INS_MTC1 = 410;
-	public static final int MIPS_INS_MTC2 = 411;
-	public static final int MIPS_INS_MTHC1 = 412;
-	public static final int MIPS_INS_MTHI = 413;
-	public static final int MIPS_INS_MTHLIP = 414;
-	public static final int MIPS_INS_MTLO = 415;
-	public static final int MIPS_INS_MTM0 = 416;
-	public static final int MIPS_INS_MTM1 = 417;
-	public static final int MIPS_INS_MTM2 = 418;
-	public static final int MIPS_INS_MTP0 = 419;
-	public static final int MIPS_INS_MTP1 = 420;
-	public static final int MIPS_INS_MTP2 = 421;
-	public static final int MIPS_INS_MUH = 422;
-	public static final int MIPS_INS_MUHU = 423;
-	public static final int MIPS_INS_MULEQ_S = 424;
-	public static final int MIPS_INS_MULEU_S = 425;
-	public static final int MIPS_INS_MULQ_RS = 426;
-	public static final int MIPS_INS_MULQ_S = 427;
-	public static final int MIPS_INS_MULR_Q = 428;
-	public static final int MIPS_INS_MULSAQ_S = 429;
-	public static final int MIPS_INS_MULSA = 430;
-	public static final int MIPS_INS_MULT = 431;
-	public static final int MIPS_INS_MULTU = 432;
-	public static final int MIPS_INS_MULU = 433;
-	public static final int MIPS_INS_MULV = 434;
-	public static final int MIPS_INS_MUL_Q = 435;
-	public static final int MIPS_INS_MUL_S = 436;
-	public static final int MIPS_INS_NLOC = 437;
-	public static final int MIPS_INS_NLZC = 438;
-	public static final int MIPS_INS_NMADD = 439;
-	public static final int MIPS_INS_NMSUB = 440;
-	public static final int MIPS_INS_NOR = 441;
-	public static final int MIPS_INS_NORI = 442;
-	public static final int MIPS_INS_NOT = 443;
-	public static final int MIPS_INS_OR = 444;
-	public static final int MIPS_INS_ORI = 445;
-	public static final int MIPS_INS_PACKRL = 446;
-	public static final int MIPS_INS_PAUSE = 447;
-	public static final int MIPS_INS_PCKEV = 448;
-	public static final int MIPS_INS_PCKOD = 449;
-	public static final int MIPS_INS_PCNT = 450;
-	public static final int MIPS_INS_PICK = 451;
-	public static final int MIPS_INS_POP = 452;
-	public static final int MIPS_INS_PRECEQU = 453;
-	public static final int MIPS_INS_PRECEQ = 454;
-	public static final int MIPS_INS_PRECEU = 455;
-	public static final int MIPS_INS_PRECRQU_S = 456;
-	public static final int MIPS_INS_PRECRQ = 457;
-	public static final int MIPS_INS_PRECRQ_RS = 458;
-	public static final int MIPS_INS_PRECR = 459;
-	public static final int MIPS_INS_PRECR_SRA = 460;
-	public static final int MIPS_INS_PRECR_SRA_R = 461;
-	public static final int MIPS_INS_PREF = 462;
-	public static final int MIPS_INS_PREPEND = 463;
-	public static final int MIPS_INS_RADDU = 464;
-	public static final int MIPS_INS_RDDSP = 465;
-	public static final int MIPS_INS_RDHWR = 466;
-	public static final int MIPS_INS_REPLV = 467;
-	public static final int MIPS_INS_REPL = 468;
-	public static final int MIPS_INS_RINT = 469;
-	public static final int MIPS_INS_ROTR = 470;
-	public static final int MIPS_INS_ROTRV = 471;
-	public static final int MIPS_INS_ROUND = 472;
-	public static final int MIPS_INS_SAT_S = 473;
-	public static final int MIPS_INS_SAT_U = 474;
-	public static final int MIPS_INS_SB = 475;
-	public static final int MIPS_INS_SC = 476;
-	public static final int MIPS_INS_SCD = 477;
-	public static final int MIPS_INS_SD = 478;
-	public static final int MIPS_INS_SDBBP = 479;
-	public static final int MIPS_INS_SDC1 = 480;
-	public static final int MIPS_INS_SDC2 = 481;
-	public static final int MIPS_INS_SDC3 = 482;
-	public static final int MIPS_INS_SDL = 483;
-	public static final int MIPS_INS_SDR = 484;
-	public static final int MIPS_INS_SDXC1 = 485;
-	public static final int MIPS_INS_SEB = 486;
-	public static final int MIPS_INS_SEH = 487;
-	public static final int MIPS_INS_SELEQZ = 488;
-	public static final int MIPS_INS_SELNEZ = 489;
-	public static final int MIPS_INS_SEL = 490;
-	public static final int MIPS_INS_SEQ = 491;
-	public static final int MIPS_INS_SEQI = 492;
-	public static final int MIPS_INS_SH = 493;
-	public static final int MIPS_INS_SHF = 494;
-	public static final int MIPS_INS_SHILO = 495;
-	public static final int MIPS_INS_SHILOV = 496;
-	public static final int MIPS_INS_SHLLV = 497;
-	public static final int MIPS_INS_SHLLV_S = 498;
-	public static final int MIPS_INS_SHLL = 499;
-	public static final int MIPS_INS_SHLL_S = 500;
-	public static final int MIPS_INS_SHRAV = 501;
-	public static final int MIPS_INS_SHRAV_R = 502;
-	public static final int MIPS_INS_SHRA = 503;
-	public static final int MIPS_INS_SHRA_R = 504;
-	public static final int MIPS_INS_SHRLV = 505;
-	public static final int MIPS_INS_SHRL = 506;
-	public static final int MIPS_INS_SLDI = 507;
-	public static final int MIPS_INS_SLD = 508;
-	public static final int MIPS_INS_SLL = 509;
-	public static final int MIPS_INS_SLLI = 510;
-	public static final int MIPS_INS_SLLV = 511;
-	public static final int MIPS_INS_SLT = 512;
-	public static final int MIPS_INS_SLTI = 513;
-	public static final int MIPS_INS_SLTIU = 514;
-	public static final int MIPS_INS_SLTU = 515;
-	public static final int MIPS_INS_SNE = 516;
-	public static final int MIPS_INS_SNEI = 517;
-	public static final int MIPS_INS_SPLATI = 518;
-	public static final int MIPS_INS_SPLAT = 519;
-	public static final int MIPS_INS_SRA = 520;
-	public static final int MIPS_INS_SRAI = 521;
-	public static final int MIPS_INS_SRARI = 522;
-	public static final int MIPS_INS_SRAR = 523;
-	public static final int MIPS_INS_SRAV = 524;
-	public static final int MIPS_INS_SRL = 525;
-	public static final int MIPS_INS_SRLI = 526;
-	public static final int MIPS_INS_SRLRI = 527;
-	public static final int MIPS_INS_SRLR = 528;
-	public static final int MIPS_INS_SRLV = 529;
-	public static final int MIPS_INS_SSNOP = 530;
-	public static final int MIPS_INS_ST = 531;
-	public static final int MIPS_INS_SUBQH = 532;
-	public static final int MIPS_INS_SUBQH_R = 533;
-	public static final int MIPS_INS_SUBQ = 534;
-	public static final int MIPS_INS_SUBQ_S = 535;
-	public static final int MIPS_INS_SUBSUS_U = 536;
-	public static final int MIPS_INS_SUBSUU_S = 537;
-	public static final int MIPS_INS_SUBS_S = 538;
-	public static final int MIPS_INS_SUBS_U = 539;
-	public static final int MIPS_INS_SUBUH = 540;
-	public static final int MIPS_INS_SUBUH_R = 541;
-	public static final int MIPS_INS_SUBU = 542;
-	public static final int MIPS_INS_SUBU_S = 543;
-	public static final int MIPS_INS_SUBVI = 544;
-	public static final int MIPS_INS_SUBV = 545;
-	public static final int MIPS_INS_SUXC1 = 546;
-	public static final int MIPS_INS_SW = 547;
-	public static final int MIPS_INS_SWC1 = 548;
-	public static final int MIPS_INS_SWC2 = 549;
-	public static final int MIPS_INS_SWC3 = 550;
-	public static final int MIPS_INS_SWL = 551;
-	public static final int MIPS_INS_SWR = 552;
-	public static final int MIPS_INS_SWXC1 = 553;
-	public static final int MIPS_INS_SYNC = 554;
-	public static final int MIPS_INS_SYSCALL = 555;
-	public static final int MIPS_INS_TEQ = 556;
-	public static final int MIPS_INS_TEQI = 557;
-	public static final int MIPS_INS_TGE = 558;
-	public static final int MIPS_INS_TGEI = 559;
-	public static final int MIPS_INS_TGEIU = 560;
-	public static final int MIPS_INS_TGEU = 561;
-	public static final int MIPS_INS_TLBP = 562;
-	public static final int MIPS_INS_TLBR = 563;
-	public static final int MIPS_INS_TLBWI = 564;
-	public static final int MIPS_INS_TLBWR = 565;
-	public static final int MIPS_INS_TLT = 566;
-	public static final int MIPS_INS_TLTI = 567;
-	public static final int MIPS_INS_TLTIU = 568;
-	public static final int MIPS_INS_TLTU = 569;
-	public static final int MIPS_INS_TNE = 570;
-	public static final int MIPS_INS_TNEI = 571;
-	public static final int MIPS_INS_TRUNC = 572;
-	public static final int MIPS_INS_V3MULU = 573;
-	public static final int MIPS_INS_VMM0 = 574;
-	public static final int MIPS_INS_VMULU = 575;
-	public static final int MIPS_INS_VSHF = 576;
-	public static final int MIPS_INS_WAIT = 577;
-	public static final int MIPS_INS_WRDSP = 578;
-	public static final int MIPS_INS_WSBH = 579;
-	public static final int MIPS_INS_XOR = 580;
-	public static final int MIPS_INS_XORI = 581;
+	public static final int MIPS_INS_ADDIUR1SP = 4;
+	public static final int MIPS_INS_ADDIUR2 = 5;
+	public static final int MIPS_INS_ADDIUS5 = 6;
+	public static final int MIPS_INS_ADDIUSP = 7;
+	public static final int MIPS_INS_ADDQH = 8;
+	public static final int MIPS_INS_ADDQH_R = 9;
+	public static final int MIPS_INS_ADDQ = 10;
+	public static final int MIPS_INS_ADDQ_S = 11;
+	public static final int MIPS_INS_ADDSC = 12;
+	public static final int MIPS_INS_ADDS_A = 13;
+	public static final int MIPS_INS_ADDS_S = 14;
+	public static final int MIPS_INS_ADDS_U = 15;
+	public static final int MIPS_INS_ADDU16 = 16;
+	public static final int MIPS_INS_ADDUH = 17;
+	public static final int MIPS_INS_ADDUH_R = 18;
+	public static final int MIPS_INS_ADDU = 19;
+	public static final int MIPS_INS_ADDU_S = 20;
+	public static final int MIPS_INS_ADDVI = 21;
+	public static final int MIPS_INS_ADDV = 22;
+	public static final int MIPS_INS_ADDWC = 23;
+	public static final int MIPS_INS_ADD_A = 24;
+	public static final int MIPS_INS_ADDI = 25;
+	public static final int MIPS_INS_ADDIU = 26;
+	public static final int MIPS_INS_ALIGN = 27;
+	public static final int MIPS_INS_ALUIPC = 28;
+	public static final int MIPS_INS_AND = 29;
+	public static final int MIPS_INS_AND16 = 30;
+	public static final int MIPS_INS_ANDI16 = 31;
+	public static final int MIPS_INS_ANDI = 32;
+	public static final int MIPS_INS_APPEND = 33;
+	public static final int MIPS_INS_ASUB_S = 34;
+	public static final int MIPS_INS_ASUB_U = 35;
+	public static final int MIPS_INS_AUI = 36;
+	public static final int MIPS_INS_AUIPC = 37;
+	public static final int MIPS_INS_AVER_S = 38;
+	public static final int MIPS_INS_AVER_U = 39;
+	public static final int MIPS_INS_AVE_S = 40;
+	public static final int MIPS_INS_AVE_U = 41;
+	public static final int MIPS_INS_B16 = 42;
+	public static final int MIPS_INS_BADDU = 43;
+	public static final int MIPS_INS_BAL = 44;
+	public static final int MIPS_INS_BALC = 45;
+	public static final int MIPS_INS_BALIGN = 46;
+	public static final int MIPS_INS_BBIT0 = 47;
+	public static final int MIPS_INS_BBIT032 = 48;
+	public static final int MIPS_INS_BBIT1 = 49;
+	public static final int MIPS_INS_BBIT132 = 50;
+	public static final int MIPS_INS_BC = 51;
+	public static final int MIPS_INS_BC0F = 52;
+	public static final int MIPS_INS_BC0FL = 53;
+	public static final int MIPS_INS_BC0T = 54;
+	public static final int MIPS_INS_BC0TL = 55;
+	public static final int MIPS_INS_BC1EQZ = 56;
+	public static final int MIPS_INS_BC1F = 57;
+	public static final int MIPS_INS_BC1FL = 58;
+	public static final int MIPS_INS_BC1NEZ = 59;
+	public static final int MIPS_INS_BC1T = 60;
+	public static final int MIPS_INS_BC1TL = 61;
+	public static final int MIPS_INS_BC2EQZ = 62;
+	public static final int MIPS_INS_BC2F = 63;
+	public static final int MIPS_INS_BC2FL = 64;
+	public static final int MIPS_INS_BC2NEZ = 65;
+	public static final int MIPS_INS_BC2T = 66;
+	public static final int MIPS_INS_BC2TL = 67;
+	public static final int MIPS_INS_BC3F = 68;
+	public static final int MIPS_INS_BC3FL = 69;
+	public static final int MIPS_INS_BC3T = 70;
+	public static final int MIPS_INS_BC3TL = 71;
+	public static final int MIPS_INS_BCLRI = 72;
+	public static final int MIPS_INS_BCLR = 73;
+	public static final int MIPS_INS_BEQ = 74;
+	public static final int MIPS_INS_BEQC = 75;
+	public static final int MIPS_INS_BEQL = 76;
+	public static final int MIPS_INS_BEQZ16 = 77;
+	public static final int MIPS_INS_BEQZALC = 78;
+	public static final int MIPS_INS_BEQZC = 79;
+	public static final int MIPS_INS_BGEC = 80;
+	public static final int MIPS_INS_BGEUC = 81;
+	public static final int MIPS_INS_BGEZ = 82;
+	public static final int MIPS_INS_BGEZAL = 83;
+	public static final int MIPS_INS_BGEZALC = 84;
+	public static final int MIPS_INS_BGEZALL = 85;
+	public static final int MIPS_INS_BGEZALS = 86;
+	public static final int MIPS_INS_BGEZC = 87;
+	public static final int MIPS_INS_BGEZL = 88;
+	public static final int MIPS_INS_BGTZ = 89;
+	public static final int MIPS_INS_BGTZALC = 90;
+	public static final int MIPS_INS_BGTZC = 91;
+	public static final int MIPS_INS_BGTZL = 92;
+	public static final int MIPS_INS_BINSLI = 93;
+	public static final int MIPS_INS_BINSL = 94;
+	public static final int MIPS_INS_BINSRI = 95;
+	public static final int MIPS_INS_BINSR = 96;
+	public static final int MIPS_INS_BITREV = 97;
+	public static final int MIPS_INS_BITSWAP = 98;
+	public static final int MIPS_INS_BLEZ = 99;
+	public static final int MIPS_INS_BLEZALC = 100;
+	public static final int MIPS_INS_BLEZC = 101;
+	public static final int MIPS_INS_BLEZL = 102;
+	public static final int MIPS_INS_BLTC = 103;
+	public static final int MIPS_INS_BLTUC = 104;
+	public static final int MIPS_INS_BLTZ = 105;
+	public static final int MIPS_INS_BLTZAL = 106;
+	public static final int MIPS_INS_BLTZALC = 107;
+	public static final int MIPS_INS_BLTZALL = 108;
+	public static final int MIPS_INS_BLTZALS = 109;
+	public static final int MIPS_INS_BLTZC = 110;
+	public static final int MIPS_INS_BLTZL = 111;
+	public static final int MIPS_INS_BMNZI = 112;
+	public static final int MIPS_INS_BMNZ = 113;
+	public static final int MIPS_INS_BMZI = 114;
+	public static final int MIPS_INS_BMZ = 115;
+	public static final int MIPS_INS_BNE = 116;
+	public static final int MIPS_INS_BNEC = 117;
+	public static final int MIPS_INS_BNEGI = 118;
+	public static final int MIPS_INS_BNEG = 119;
+	public static final int MIPS_INS_BNEL = 120;
+	public static final int MIPS_INS_BNEZ16 = 121;
+	public static final int MIPS_INS_BNEZALC = 122;
+	public static final int MIPS_INS_BNEZC = 123;
+	public static final int MIPS_INS_BNVC = 124;
+	public static final int MIPS_INS_BNZ = 125;
+	public static final int MIPS_INS_BOVC = 126;
+	public static final int MIPS_INS_BPOSGE32 = 127;
+	public static final int MIPS_INS_BREAK = 128;
+	public static final int MIPS_INS_BREAK16 = 129;
+	public static final int MIPS_INS_BSELI = 130;
+	public static final int MIPS_INS_BSEL = 131;
+	public static final int MIPS_INS_BSETI = 132;
+	public static final int MIPS_INS_BSET = 133;
+	public static final int MIPS_INS_BZ = 134;
+	public static final int MIPS_INS_BEQZ = 135;
+	public static final int MIPS_INS_B = 136;
+	public static final int MIPS_INS_BNEZ = 137;
+	public static final int MIPS_INS_BTEQZ = 138;
+	public static final int MIPS_INS_BTNEZ = 139;
+	public static final int MIPS_INS_CACHE = 140;
+	public static final int MIPS_INS_CEIL = 141;
+	public static final int MIPS_INS_CEQI = 142;
+	public static final int MIPS_INS_CEQ = 143;
+	public static final int MIPS_INS_CFC1 = 144;
+	public static final int MIPS_INS_CFCMSA = 145;
+	public static final int MIPS_INS_CINS = 146;
+	public static final int MIPS_INS_CINS32 = 147;
+	public static final int MIPS_INS_CLASS = 148;
+	public static final int MIPS_INS_CLEI_S = 149;
+	public static final int MIPS_INS_CLEI_U = 150;
+	public static final int MIPS_INS_CLE_S = 151;
+	public static final int MIPS_INS_CLE_U = 152;
+	public static final int MIPS_INS_CLO = 153;
+	public static final int MIPS_INS_CLTI_S = 154;
+	public static final int MIPS_INS_CLTI_U = 155;
+	public static final int MIPS_INS_CLT_S = 156;
+	public static final int MIPS_INS_CLT_U = 157;
+	public static final int MIPS_INS_CLZ = 158;
+	public static final int MIPS_INS_CMPGDU = 159;
+	public static final int MIPS_INS_CMPGU = 160;
+	public static final int MIPS_INS_CMPU = 161;
+	public static final int MIPS_INS_CMP = 162;
+	public static final int MIPS_INS_COPY_S = 163;
+	public static final int MIPS_INS_COPY_U = 164;
+	public static final int MIPS_INS_CTC1 = 165;
+	public static final int MIPS_INS_CTCMSA = 166;
+	public static final int MIPS_INS_CVT = 167;
+	public static final int MIPS_INS_C = 168;
+	public static final int MIPS_INS_CMPI = 169;
+	public static final int MIPS_INS_DADD = 170;
+	public static final int MIPS_INS_DADDI = 171;
+	public static final int MIPS_INS_DADDIU = 172;
+	public static final int MIPS_INS_DADDU = 173;
+	public static final int MIPS_INS_DAHI = 174;
+	public static final int MIPS_INS_DALIGN = 175;
+	public static final int MIPS_INS_DATI = 176;
+	public static final int MIPS_INS_DAUI = 177;
+	public static final int MIPS_INS_DBITSWAP = 178;
+	public static final int MIPS_INS_DCLO = 179;
+	public static final int MIPS_INS_DCLZ = 180;
+	public static final int MIPS_INS_DDIV = 181;
+	public static final int MIPS_INS_DDIVU = 182;
+	public static final int MIPS_INS_DERET = 183;
+	public static final int MIPS_INS_DEXT = 184;
+	public static final int MIPS_INS_DEXTM = 185;
+	public static final int MIPS_INS_DEXTU = 186;
+	public static final int MIPS_INS_DI = 187;
+	public static final int MIPS_INS_DINS = 188;
+	public static final int MIPS_INS_DINSM = 189;
+	public static final int MIPS_INS_DINSU = 190;
+	public static final int MIPS_INS_DIV = 191;
+	public static final int MIPS_INS_DIVU = 192;
+	public static final int MIPS_INS_DIV_S = 193;
+	public static final int MIPS_INS_DIV_U = 194;
+	public static final int MIPS_INS_DLSA = 195;
+	public static final int MIPS_INS_DMFC0 = 196;
+	public static final int MIPS_INS_DMFC1 = 197;
+	public static final int MIPS_INS_DMFC2 = 198;
+	public static final int MIPS_INS_DMOD = 199;
+	public static final int MIPS_INS_DMODU = 200;
+	public static final int MIPS_INS_DMTC0 = 201;
+	public static final int MIPS_INS_DMTC1 = 202;
+	public static final int MIPS_INS_DMTC2 = 203;
+	public static final int MIPS_INS_DMUH = 204;
+	public static final int MIPS_INS_DMUHU = 205;
+	public static final int MIPS_INS_DMUL = 206;
+	public static final int MIPS_INS_DMULT = 207;
+	public static final int MIPS_INS_DMULTU = 208;
+	public static final int MIPS_INS_DMULU = 209;
+	public static final int MIPS_INS_DOTP_S = 210;
+	public static final int MIPS_INS_DOTP_U = 211;
+	public static final int MIPS_INS_DPADD_S = 212;
+	public static final int MIPS_INS_DPADD_U = 213;
+	public static final int MIPS_INS_DPAQX_SA = 214;
+	public static final int MIPS_INS_DPAQX_S = 215;
+	public static final int MIPS_INS_DPAQ_SA = 216;
+	public static final int MIPS_INS_DPAQ_S = 217;
+	public static final int MIPS_INS_DPAU = 218;
+	public static final int MIPS_INS_DPAX = 219;
+	public static final int MIPS_INS_DPA = 220;
+	public static final int MIPS_INS_DPOP = 221;
+	public static final int MIPS_INS_DPSQX_SA = 222;
+	public static final int MIPS_INS_DPSQX_S = 223;
+	public static final int MIPS_INS_DPSQ_SA = 224;
+	public static final int MIPS_INS_DPSQ_S = 225;
+	public static final int MIPS_INS_DPSUB_S = 226;
+	public static final int MIPS_INS_DPSUB_U = 227;
+	public static final int MIPS_INS_DPSU = 228;
+	public static final int MIPS_INS_DPSX = 229;
+	public static final int MIPS_INS_DPS = 230;
+	public static final int MIPS_INS_DROTR = 231;
+	public static final int MIPS_INS_DROTR32 = 232;
+	public static final int MIPS_INS_DROTRV = 233;
+	public static final int MIPS_INS_DSBH = 234;
+	public static final int MIPS_INS_DSHD = 235;
+	public static final int MIPS_INS_DSLL = 236;
+	public static final int MIPS_INS_DSLL32 = 237;
+	public static final int MIPS_INS_DSLLV = 238;
+	public static final int MIPS_INS_DSRA = 239;
+	public static final int MIPS_INS_DSRA32 = 240;
+	public static final int MIPS_INS_DSRAV = 241;
+	public static final int MIPS_INS_DSRL = 242;
+	public static final int MIPS_INS_DSRL32 = 243;
+	public static final int MIPS_INS_DSRLV = 244;
+	public static final int MIPS_INS_DSUB = 245;
+	public static final int MIPS_INS_DSUBU = 246;
+	public static final int MIPS_INS_EHB = 247;
+	public static final int MIPS_INS_EI = 248;
+	public static final int MIPS_INS_ERET = 249;
+	public static final int MIPS_INS_EXT = 250;
+	public static final int MIPS_INS_EXTP = 251;
+	public static final int MIPS_INS_EXTPDP = 252;
+	public static final int MIPS_INS_EXTPDPV = 253;
+	public static final int MIPS_INS_EXTPV = 254;
+	public static final int MIPS_INS_EXTRV_RS = 255;
+	public static final int MIPS_INS_EXTRV_R = 256;
+	public static final int MIPS_INS_EXTRV_S = 257;
+	public static final int MIPS_INS_EXTRV = 258;
+	public static final int MIPS_INS_EXTR_RS = 259;
+	public static final int MIPS_INS_EXTR_R = 260;
+	public static final int MIPS_INS_EXTR_S = 261;
+	public static final int MIPS_INS_EXTR = 262;
+	public static final int MIPS_INS_EXTS = 263;
+	public static final int MIPS_INS_EXTS32 = 264;
+	public static final int MIPS_INS_ABS = 265;
+	public static final int MIPS_INS_FADD = 266;
+	public static final int MIPS_INS_FCAF = 267;
+	public static final int MIPS_INS_FCEQ = 268;
+	public static final int MIPS_INS_FCLASS = 269;
+	public static final int MIPS_INS_FCLE = 270;
+	public static final int MIPS_INS_FCLT = 271;
+	public static final int MIPS_INS_FCNE = 272;
+	public static final int MIPS_INS_FCOR = 273;
+	public static final int MIPS_INS_FCUEQ = 274;
+	public static final int MIPS_INS_FCULE = 275;
+	public static final int MIPS_INS_FCULT = 276;
+	public static final int MIPS_INS_FCUNE = 277;
+	public static final int MIPS_INS_FCUN = 278;
+	public static final int MIPS_INS_FDIV = 279;
+	public static final int MIPS_INS_FEXDO = 280;
+	public static final int MIPS_INS_FEXP2 = 281;
+	public static final int MIPS_INS_FEXUPL = 282;
+	public static final int MIPS_INS_FEXUPR = 283;
+	public static final int MIPS_INS_FFINT_S = 284;
+	public static final int MIPS_INS_FFINT_U = 285;
+	public static final int MIPS_INS_FFQL = 286;
+	public static final int MIPS_INS_FFQR = 287;
+	public static final int MIPS_INS_FILL = 288;
+	public static final int MIPS_INS_FLOG2 = 289;
+	public static final int MIPS_INS_FLOOR = 290;
+	public static final int MIPS_INS_FMADD = 291;
+	public static final int MIPS_INS_FMAX_A = 292;
+	public static final int MIPS_INS_FMAX = 293;
+	public static final int MIPS_INS_FMIN_A = 294;
+	public static final int MIPS_INS_FMIN = 295;
+	public static final int MIPS_INS_MOV = 296;
+	public static final int MIPS_INS_FMSUB = 297;
+	public static final int MIPS_INS_FMUL = 298;
+	public static final int MIPS_INS_MUL = 299;
+	public static final int MIPS_INS_NEG = 300;
+	public static final int MIPS_INS_FRCP = 301;
+	public static final int MIPS_INS_FRINT = 302;
+	public static final int MIPS_INS_FRSQRT = 303;
+	public static final int MIPS_INS_FSAF = 304;
+	public static final int MIPS_INS_FSEQ = 305;
+	public static final int MIPS_INS_FSLE = 306;
+	public static final int MIPS_INS_FSLT = 307;
+	public static final int MIPS_INS_FSNE = 308;
+	public static final int MIPS_INS_FSOR = 309;
+	public static final int MIPS_INS_FSQRT = 310;
+	public static final int MIPS_INS_SQRT = 311;
+	public static final int MIPS_INS_FSUB = 312;
+	public static final int MIPS_INS_SUB = 313;
+	public static final int MIPS_INS_FSUEQ = 314;
+	public static final int MIPS_INS_FSULE = 315;
+	public static final int MIPS_INS_FSULT = 316;
+	public static final int MIPS_INS_FSUNE = 317;
+	public static final int MIPS_INS_FSUN = 318;
+	public static final int MIPS_INS_FTINT_S = 319;
+	public static final int MIPS_INS_FTINT_U = 320;
+	public static final int MIPS_INS_FTQ = 321;
+	public static final int MIPS_INS_FTRUNC_S = 322;
+	public static final int MIPS_INS_FTRUNC_U = 323;
+	public static final int MIPS_INS_HADD_S = 324;
+	public static final int MIPS_INS_HADD_U = 325;
+	public static final int MIPS_INS_HSUB_S = 326;
+	public static final int MIPS_INS_HSUB_U = 327;
+	public static final int MIPS_INS_ILVEV = 328;
+	public static final int MIPS_INS_ILVL = 329;
+	public static final int MIPS_INS_ILVOD = 330;
+	public static final int MIPS_INS_ILVR = 331;
+	public static final int MIPS_INS_INS = 332;
+	public static final int MIPS_INS_INSERT = 333;
+	public static final int MIPS_INS_INSV = 334;
+	public static final int MIPS_INS_INSVE = 335;
+	public static final int MIPS_INS_J = 336;
+	public static final int MIPS_INS_JAL = 337;
+	public static final int MIPS_INS_JALR = 338;
+	public static final int MIPS_INS_JALRS16 = 339;
+	public static final int MIPS_INS_JALRS = 340;
+	public static final int MIPS_INS_JALS = 341;
+	public static final int MIPS_INS_JALX = 342;
+	public static final int MIPS_INS_JIALC = 343;
+	public static final int MIPS_INS_JIC = 344;
+	public static final int MIPS_INS_JR = 345;
+	public static final int MIPS_INS_JR16 = 346;
+	public static final int MIPS_INS_JRADDIUSP = 347;
+	public static final int MIPS_INS_JRC = 348;
+	public static final int MIPS_INS_JALRC = 349;
+	public static final int MIPS_INS_LB = 350;
+	public static final int MIPS_INS_LBU16 = 351;
+	public static final int MIPS_INS_LBUX = 352;
+	public static final int MIPS_INS_LBU = 353;
+	public static final int MIPS_INS_LD = 354;
+	public static final int MIPS_INS_LDC1 = 355;
+	public static final int MIPS_INS_LDC2 = 356;
+	public static final int MIPS_INS_LDC3 = 357;
+	public static final int MIPS_INS_LDI = 358;
+	public static final int MIPS_INS_LDL = 359;
+	public static final int MIPS_INS_LDPC = 360;
+	public static final int MIPS_INS_LDR = 361;
+	public static final int MIPS_INS_LDXC1 = 362;
+	public static final int MIPS_INS_LH = 363;
+	public static final int MIPS_INS_LHU16 = 364;
+	public static final int MIPS_INS_LHX = 365;
+	public static final int MIPS_INS_LHU = 366;
+	public static final int MIPS_INS_LI16 = 367;
+	public static final int MIPS_INS_LL = 368;
+	public static final int MIPS_INS_LLD = 369;
+	public static final int MIPS_INS_LSA = 370;
+	public static final int MIPS_INS_LUXC1 = 371;
+	public static final int MIPS_INS_LUI = 372;
+	public static final int MIPS_INS_LW = 373;
+	public static final int MIPS_INS_LW16 = 374;
+	public static final int MIPS_INS_LWC1 = 375;
+	public static final int MIPS_INS_LWC2 = 376;
+	public static final int MIPS_INS_LWC3 = 377;
+	public static final int MIPS_INS_LWL = 378;
+	public static final int MIPS_INS_LWM16 = 379;
+	public static final int MIPS_INS_LWM32 = 380;
+	public static final int MIPS_INS_LWPC = 381;
+	public static final int MIPS_INS_LWP = 382;
+	public static final int MIPS_INS_LWR = 383;
+	public static final int MIPS_INS_LWUPC = 384;
+	public static final int MIPS_INS_LWU = 385;
+	public static final int MIPS_INS_LWX = 386;
+	public static final int MIPS_INS_LWXC1 = 387;
+	public static final int MIPS_INS_LWXS = 388;
+	public static final int MIPS_INS_LI = 389;
+	public static final int MIPS_INS_MADD = 390;
+	public static final int MIPS_INS_MADDF = 391;
+	public static final int MIPS_INS_MADDR_Q = 392;
+	public static final int MIPS_INS_MADDU = 393;
+	public static final int MIPS_INS_MADDV = 394;
+	public static final int MIPS_INS_MADD_Q = 395;
+	public static final int MIPS_INS_MAQ_SA = 396;
+	public static final int MIPS_INS_MAQ_S = 397;
+	public static final int MIPS_INS_MAXA = 398;
+	public static final int MIPS_INS_MAXI_S = 399;
+	public static final int MIPS_INS_MAXI_U = 400;
+	public static final int MIPS_INS_MAX_A = 401;
+	public static final int MIPS_INS_MAX = 402;
+	public static final int MIPS_INS_MAX_S = 403;
+	public static final int MIPS_INS_MAX_U = 404;
+	public static final int MIPS_INS_MFC0 = 405;
+	public static final int MIPS_INS_MFC1 = 406;
+	public static final int MIPS_INS_MFC2 = 407;
+	public static final int MIPS_INS_MFHC1 = 408;
+	public static final int MIPS_INS_MFHI = 409;
+	public static final int MIPS_INS_MFLO = 410;
+	public static final int MIPS_INS_MINA = 411;
+	public static final int MIPS_INS_MINI_S = 412;
+	public static final int MIPS_INS_MINI_U = 413;
+	public static final int MIPS_INS_MIN_A = 414;
+	public static final int MIPS_INS_MIN = 415;
+	public static final int MIPS_INS_MIN_S = 416;
+	public static final int MIPS_INS_MIN_U = 417;
+	public static final int MIPS_INS_MOD = 418;
+	public static final int MIPS_INS_MODSUB = 419;
+	public static final int MIPS_INS_MODU = 420;
+	public static final int MIPS_INS_MOD_S = 421;
+	public static final int MIPS_INS_MOD_U = 422;
+	public static final int MIPS_INS_MOVE = 423;
+	public static final int MIPS_INS_MOVEP = 424;
+	public static final int MIPS_INS_MOVF = 425;
+	public static final int MIPS_INS_MOVN = 426;
+	public static final int MIPS_INS_MOVT = 427;
+	public static final int MIPS_INS_MOVZ = 428;
+	public static final int MIPS_INS_MSUB = 429;
+	public static final int MIPS_INS_MSUBF = 430;
+	public static final int MIPS_INS_MSUBR_Q = 431;
+	public static final int MIPS_INS_MSUBU = 432;
+	public static final int MIPS_INS_MSUBV = 433;
+	public static final int MIPS_INS_MSUB_Q = 434;
+	public static final int MIPS_INS_MTC0 = 435;
+	public static final int MIPS_INS_MTC1 = 436;
+	public static final int MIPS_INS_MTC2 = 437;
+	public static final int MIPS_INS_MTHC1 = 438;
+	public static final int MIPS_INS_MTHI = 439;
+	public static final int MIPS_INS_MTHLIP = 440;
+	public static final int MIPS_INS_MTLO = 441;
+	public static final int MIPS_INS_MTM0 = 442;
+	public static final int MIPS_INS_MTM1 = 443;
+	public static final int MIPS_INS_MTM2 = 444;
+	public static final int MIPS_INS_MTP0 = 445;
+	public static final int MIPS_INS_MTP1 = 446;
+	public static final int MIPS_INS_MTP2 = 447;
+	public static final int MIPS_INS_MUH = 448;
+	public static final int MIPS_INS_MUHU = 449;
+	public static final int MIPS_INS_MULEQ_S = 450;
+	public static final int MIPS_INS_MULEU_S = 451;
+	public static final int MIPS_INS_MULQ_RS = 452;
+	public static final int MIPS_INS_MULQ_S = 453;
+	public static final int MIPS_INS_MULR_Q = 454;
+	public static final int MIPS_INS_MULSAQ_S = 455;
+	public static final int MIPS_INS_MULSA = 456;
+	public static final int MIPS_INS_MULT = 457;
+	public static final int MIPS_INS_MULTU = 458;
+	public static final int MIPS_INS_MULU = 459;
+	public static final int MIPS_INS_MULV = 460;
+	public static final int MIPS_INS_MUL_Q = 461;
+	public static final int MIPS_INS_MUL_S = 462;
+	public static final int MIPS_INS_NLOC = 463;
+	public static final int MIPS_INS_NLZC = 464;
+	public static final int MIPS_INS_NMADD = 465;
+	public static final int MIPS_INS_NMSUB = 466;
+	public static final int MIPS_INS_NOR = 467;
+	public static final int MIPS_INS_NORI = 468;
+	public static final int MIPS_INS_NOT16 = 469;
+	public static final int MIPS_INS_NOT = 470;
+	public static final int MIPS_INS_OR = 471;
+	public static final int MIPS_INS_OR16 = 472;
+	public static final int MIPS_INS_ORI = 473;
+	public static final int MIPS_INS_PACKRL = 474;
+	public static final int MIPS_INS_PAUSE = 475;
+	public static final int MIPS_INS_PCKEV = 476;
+	public static final int MIPS_INS_PCKOD = 477;
+	public static final int MIPS_INS_PCNT = 478;
+	public static final int MIPS_INS_PICK = 479;
+	public static final int MIPS_INS_POP = 480;
+	public static final int MIPS_INS_PRECEQU = 481;
+	public static final int MIPS_INS_PRECEQ = 482;
+	public static final int MIPS_INS_PRECEU = 483;
+	public static final int MIPS_INS_PRECRQU_S = 484;
+	public static final int MIPS_INS_PRECRQ = 485;
+	public static final int MIPS_INS_PRECRQ_RS = 486;
+	public static final int MIPS_INS_PRECR = 487;
+	public static final int MIPS_INS_PRECR_SRA = 488;
+	public static final int MIPS_INS_PRECR_SRA_R = 489;
+	public static final int MIPS_INS_PREF = 490;
+	public static final int MIPS_INS_PREPEND = 491;
+	public static final int MIPS_INS_RADDU = 492;
+	public static final int MIPS_INS_RDDSP = 493;
+	public static final int MIPS_INS_RDHWR = 494;
+	public static final int MIPS_INS_REPLV = 495;
+	public static final int MIPS_INS_REPL = 496;
+	public static final int MIPS_INS_RINT = 497;
+	public static final int MIPS_INS_ROTR = 498;
+	public static final int MIPS_INS_ROTRV = 499;
+	public static final int MIPS_INS_ROUND = 500;
+	public static final int MIPS_INS_SAT_S = 501;
+	public static final int MIPS_INS_SAT_U = 502;
+	public static final int MIPS_INS_SB = 503;
+	public static final int MIPS_INS_SB16 = 504;
+	public static final int MIPS_INS_SC = 505;
+	public static final int MIPS_INS_SCD = 506;
+	public static final int MIPS_INS_SD = 507;
+	public static final int MIPS_INS_SDBBP = 508;
+	public static final int MIPS_INS_SDBBP16 = 509;
+	public static final int MIPS_INS_SDC1 = 510;
+	public static final int MIPS_INS_SDC2 = 511;
+	public static final int MIPS_INS_SDC3 = 512;
+	public static final int MIPS_INS_SDL = 513;
+	public static final int MIPS_INS_SDR = 514;
+	public static final int MIPS_INS_SDXC1 = 515;
+	public static final int MIPS_INS_SEB = 516;
+	public static final int MIPS_INS_SEH = 517;
+	public static final int MIPS_INS_SELEQZ = 518;
+	public static final int MIPS_INS_SELNEZ = 519;
+	public static final int MIPS_INS_SEL = 520;
+	public static final int MIPS_INS_SEQ = 521;
+	public static final int MIPS_INS_SEQI = 522;
+	public static final int MIPS_INS_SH = 523;
+	public static final int MIPS_INS_SH16 = 524;
+	public static final int MIPS_INS_SHF = 525;
+	public static final int MIPS_INS_SHILO = 526;
+	public static final int MIPS_INS_SHILOV = 527;
+	public static final int MIPS_INS_SHLLV = 528;
+	public static final int MIPS_INS_SHLLV_S = 529;
+	public static final int MIPS_INS_SHLL = 530;
+	public static final int MIPS_INS_SHLL_S = 531;
+	public static final int MIPS_INS_SHRAV = 532;
+	public static final int MIPS_INS_SHRAV_R = 533;
+	public static final int MIPS_INS_SHRA = 534;
+	public static final int MIPS_INS_SHRA_R = 535;
+	public static final int MIPS_INS_SHRLV = 536;
+	public static final int MIPS_INS_SHRL = 537;
+	public static final int MIPS_INS_SLDI = 538;
+	public static final int MIPS_INS_SLD = 539;
+	public static final int MIPS_INS_SLL = 540;
+	public static final int MIPS_INS_SLL16 = 541;
+	public static final int MIPS_INS_SLLI = 542;
+	public static final int MIPS_INS_SLLV = 543;
+	public static final int MIPS_INS_SLT = 544;
+	public static final int MIPS_INS_SLTI = 545;
+	public static final int MIPS_INS_SLTIU = 546;
+	public static final int MIPS_INS_SLTU = 547;
+	public static final int MIPS_INS_SNE = 548;
+	public static final int MIPS_INS_SNEI = 549;
+	public static final int MIPS_INS_SPLATI = 550;
+	public static final int MIPS_INS_SPLAT = 551;
+	public static final int MIPS_INS_SRA = 552;
+	public static final int MIPS_INS_SRAI = 553;
+	public static final int MIPS_INS_SRARI = 554;
+	public static final int MIPS_INS_SRAR = 555;
+	public static final int MIPS_INS_SRAV = 556;
+	public static final int MIPS_INS_SRL = 557;
+	public static final int MIPS_INS_SRL16 = 558;
+	public static final int MIPS_INS_SRLI = 559;
+	public static final int MIPS_INS_SRLRI = 560;
+	public static final int MIPS_INS_SRLR = 561;
+	public static final int MIPS_INS_SRLV = 562;
+	public static final int MIPS_INS_SSNOP = 563;
+	public static final int MIPS_INS_ST = 564;
+	public static final int MIPS_INS_SUBQH = 565;
+	public static final int MIPS_INS_SUBQH_R = 566;
+	public static final int MIPS_INS_SUBQ = 567;
+	public static final int MIPS_INS_SUBQ_S = 568;
+	public static final int MIPS_INS_SUBSUS_U = 569;
+	public static final int MIPS_INS_SUBSUU_S = 570;
+	public static final int MIPS_INS_SUBS_S = 571;
+	public static final int MIPS_INS_SUBS_U = 572;
+	public static final int MIPS_INS_SUBU16 = 573;
+	public static final int MIPS_INS_SUBUH = 574;
+	public static final int MIPS_INS_SUBUH_R = 575;
+	public static final int MIPS_INS_SUBU = 576;
+	public static final int MIPS_INS_SUBU_S = 577;
+	public static final int MIPS_INS_SUBVI = 578;
+	public static final int MIPS_INS_SUBV = 579;
+	public static final int MIPS_INS_SUXC1 = 580;
+	public static final int MIPS_INS_SW = 581;
+	public static final int MIPS_INS_SW16 = 582;
+	public static final int MIPS_INS_SWC1 = 583;
+	public static final int MIPS_INS_SWC2 = 584;
+	public static final int MIPS_INS_SWC3 = 585;
+	public static final int MIPS_INS_SWL = 586;
+	public static final int MIPS_INS_SWM16 = 587;
+	public static final int MIPS_INS_SWM32 = 588;
+	public static final int MIPS_INS_SWP = 589;
+	public static final int MIPS_INS_SWR = 590;
+	public static final int MIPS_INS_SWXC1 = 591;
+	public static final int MIPS_INS_SYNC = 592;
+	public static final int MIPS_INS_SYNCI = 593;
+	public static final int MIPS_INS_SYSCALL = 594;
+	public static final int MIPS_INS_TEQ = 595;
+	public static final int MIPS_INS_TEQI = 596;
+	public static final int MIPS_INS_TGE = 597;
+	public static final int MIPS_INS_TGEI = 598;
+	public static final int MIPS_INS_TGEIU = 599;
+	public static final int MIPS_INS_TGEU = 600;
+	public static final int MIPS_INS_TLBP = 601;
+	public static final int MIPS_INS_TLBR = 602;
+	public static final int MIPS_INS_TLBWI = 603;
+	public static final int MIPS_INS_TLBWR = 604;
+	public static final int MIPS_INS_TLT = 605;
+	public static final int MIPS_INS_TLTI = 606;
+	public static final int MIPS_INS_TLTIU = 607;
+	public static final int MIPS_INS_TLTU = 608;
+	public static final int MIPS_INS_TNE = 609;
+	public static final int MIPS_INS_TNEI = 610;
+	public static final int MIPS_INS_TRUNC = 611;
+	public static final int MIPS_INS_V3MULU = 612;
+	public static final int MIPS_INS_VMM0 = 613;
+	public static final int MIPS_INS_VMULU = 614;
+	public static final int MIPS_INS_VSHF = 615;
+	public static final int MIPS_INS_WAIT = 616;
+	public static final int MIPS_INS_WRDSP = 617;
+	public static final int MIPS_INS_WSBH = 618;
+	public static final int MIPS_INS_XOR = 619;
+	public static final int MIPS_INS_XOR16 = 620;
+	public static final int MIPS_INS_XORI = 621;
 
 	// some alias instructions
-	public static final int MIPS_INS_NOP = 582;
-	public static final int MIPS_INS_NEGU = 583;
+	public static final int MIPS_INS_NOP = 622;
+	public static final int MIPS_INS_NEGU = 623;
 
 	// special instructions
-	public static final int MIPS_INS_JALR_HB = 584;
-	public static final int MIPS_INS_JR_HB = 585;
-	public static final int MIPS_INS_ENDING = 586;
-
-	// Group of MIPS instructions
+	public static final int MIPS_INS_JALR_HB = 624;
+	public static final int MIPS_INS_JR_HB = 625;
+	public static final int MIPS_INS_ENDING = 626;
 
 	public static final int MIPS_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int MIPS_GRP_JUMP = 1;
-
-	// Architecture-specific groups
+	public static final int MIPS_GRP_CALL = 2;
+	public static final int MIPS_GRP_RET = 3;
+	public static final int MIPS_GRP_INT = 4;
+	public static final int MIPS_GRP_IRET = 5;
+	public static final int MIPS_GRP_PRIVILEGE = 6;
+	public static final int MIPS_GRP_BRANCH_RELATIVE = 7;
 	public static final int MIPS_GRP_BITCOUNT = 128;
 	public static final int MIPS_GRP_DSP = 129;
 	public static final int MIPS_GRP_DSPR2 = 130;
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Mips.java 4.0.2-3/bindings/java/capstone/Mips.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Mips.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Mips.java	2020-05-08 10:03:30.000000000 +0000
@@ -61,7 +61,7 @@ public class Mips {
     public Operand [] op;
 
     public UnionOpInfo() {
-      op = new Operand[8];
+      op = new Operand[10];
     }
 
     public void read() {
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Ppc_const.java 4.0.2-3/bindings/java/capstone/Ppc_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Ppc_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Ppc_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,8 +3,6 @@ package capstone;
 
 public class Ppc_const {
 
-	// PPC branch codes for some branch instructions
-
 	public static final int PPC_BC_INVALID = 0;
 	public static final int PPC_BC_LT = (0<<5)|12;
 	public static final int PPC_BC_LE = (1<<5)|4;
@@ -17,203 +15,227 @@ public class Ppc_const {
 	public static final int PPC_BC_SO = (4<<5)|12;
 	public static final int PPC_BC_NS = (4<<5)|4;
 
-	// PPC branch hint for some branch instructions
-
 	public static final int PPC_BH_INVALID = 0;
 	public static final int PPC_BH_PLUS = 1;
 	public static final int PPC_BH_MINUS = 2;
 
-	// PPC registers
-
-	public static final int PPC_REG_INVALID = 0;
-	public static final int PPC_REG_CARRY = 1;
-	public static final int PPC_REG_CC = 2;
-	public static final int PPC_REG_CR0 = 3;
-	public static final int PPC_REG_CR1 = 4;
-	public static final int PPC_REG_CR2 = 5;
-	public static final int PPC_REG_CR3 = 6;
-	public static final int PPC_REG_CR4 = 7;
-	public static final int PPC_REG_CR5 = 8;
-	public static final int PPC_REG_CR6 = 9;
-	public static final int PPC_REG_CR7 = 10;
-	public static final int PPC_REG_CTR = 11;
-	public static final int PPC_REG_F0 = 12;
-	public static final int PPC_REG_F1 = 13;
-	public static final int PPC_REG_F2 = 14;
-	public static final int PPC_REG_F3 = 15;
-	public static final int PPC_REG_F4 = 16;
-	public static final int PPC_REG_F5 = 17;
-	public static final int PPC_REG_F6 = 18;
-	public static final int PPC_REG_F7 = 19;
-	public static final int PPC_REG_F8 = 20;
-	public static final int PPC_REG_F9 = 21;
-	public static final int PPC_REG_F10 = 22;
-	public static final int PPC_REG_F11 = 23;
-	public static final int PPC_REG_F12 = 24;
-	public static final int PPC_REG_F13 = 25;
-	public static final int PPC_REG_F14 = 26;
-	public static final int PPC_REG_F15 = 27;
-	public static final int PPC_REG_F16 = 28;
-	public static final int PPC_REG_F17 = 29;
-	public static final int PPC_REG_F18 = 30;
-	public static final int PPC_REG_F19 = 31;
-	public static final int PPC_REG_F20 = 32;
-	public static final int PPC_REG_F21 = 33;
-	public static final int PPC_REG_F22 = 34;
-	public static final int PPC_REG_F23 = 35;
-	public static final int PPC_REG_F24 = 36;
-	public static final int PPC_REG_F25 = 37;
-	public static final int PPC_REG_F26 = 38;
-	public static final int PPC_REG_F27 = 39;
-	public static final int PPC_REG_F28 = 40;
-	public static final int PPC_REG_F29 = 41;
-	public static final int PPC_REG_F30 = 42;
-	public static final int PPC_REG_F31 = 43;
-	public static final int PPC_REG_LR = 44;
-	public static final int PPC_REG_R0 = 45;
-	public static final int PPC_REG_R1 = 46;
-	public static final int PPC_REG_R2 = 47;
-	public static final int PPC_REG_R3 = 48;
-	public static final int PPC_REG_R4 = 49;
-	public static final int PPC_REG_R5 = 50;
-	public static final int PPC_REG_R6 = 51;
-	public static final int PPC_REG_R7 = 52;
-	public static final int PPC_REG_R8 = 53;
-	public static final int PPC_REG_R9 = 54;
-	public static final int PPC_REG_R10 = 55;
-	public static final int PPC_REG_R11 = 56;
-	public static final int PPC_REG_R12 = 57;
-	public static final int PPC_REG_R13 = 58;
-	public static final int PPC_REG_R14 = 59;
-	public static final int PPC_REG_R15 = 60;
-	public static final int PPC_REG_R16 = 61;
-	public static final int PPC_REG_R17 = 62;
-	public static final int PPC_REG_R18 = 63;
-	public static final int PPC_REG_R19 = 64;
-	public static final int PPC_REG_R20 = 65;
-	public static final int PPC_REG_R21 = 66;
-	public static final int PPC_REG_R22 = 67;
-	public static final int PPC_REG_R23 = 68;
-	public static final int PPC_REG_R24 = 69;
-	public static final int PPC_REG_R25 = 70;
-	public static final int PPC_REG_R26 = 71;
-	public static final int PPC_REG_R27 = 72;
-	public static final int PPC_REG_R28 = 73;
-	public static final int PPC_REG_R29 = 74;
-	public static final int PPC_REG_R30 = 75;
-	public static final int PPC_REG_R31 = 76;
-	public static final int PPC_REG_V0 = 77;
-	public static final int PPC_REG_V1 = 78;
-	public static final int PPC_REG_V2 = 79;
-	public static final int PPC_REG_V3 = 80;
-	public static final int PPC_REG_V4 = 81;
-	public static final int PPC_REG_V5 = 82;
-	public static final int PPC_REG_V6 = 83;
-	public static final int PPC_REG_V7 = 84;
-	public static final int PPC_REG_V8 = 85;
-	public static final int PPC_REG_V9 = 86;
-	public static final int PPC_REG_V10 = 87;
-	public static final int PPC_REG_V11 = 88;
-	public static final int PPC_REG_V12 = 89;
-	public static final int PPC_REG_V13 = 90;
-	public static final int PPC_REG_V14 = 91;
-	public static final int PPC_REG_V15 = 92;
-	public static final int PPC_REG_V16 = 93;
-	public static final int PPC_REG_V17 = 94;
-	public static final int PPC_REG_V18 = 95;
-	public static final int PPC_REG_V19 = 96;
-	public static final int PPC_REG_V20 = 97;
-	public static final int PPC_REG_V21 = 98;
-	public static final int PPC_REG_V22 = 99;
-	public static final int PPC_REG_V23 = 100;
-	public static final int PPC_REG_V24 = 101;
-	public static final int PPC_REG_V25 = 102;
-	public static final int PPC_REG_V26 = 103;
-	public static final int PPC_REG_V27 = 104;
-	public static final int PPC_REG_V28 = 105;
-	public static final int PPC_REG_V29 = 106;
-	public static final int PPC_REG_V30 = 107;
-	public static final int PPC_REG_V31 = 108;
-	public static final int PPC_REG_VRSAVE = 109;
-	public static final int PPC_REG_VS0 = 110;
-	public static final int PPC_REG_VS1 = 111;
-	public static final int PPC_REG_VS2 = 112;
-	public static final int PPC_REG_VS3 = 113;
-	public static final int PPC_REG_VS4 = 114;
-	public static final int PPC_REG_VS5 = 115;
-	public static final int PPC_REG_VS6 = 116;
-	public static final int PPC_REG_VS7 = 117;
-	public static final int PPC_REG_VS8 = 118;
-	public static final int PPC_REG_VS9 = 119;
-	public static final int PPC_REG_VS10 = 120;
-	public static final int PPC_REG_VS11 = 121;
-	public static final int PPC_REG_VS12 = 122;
-	public static final int PPC_REG_VS13 = 123;
-	public static final int PPC_REG_VS14 = 124;
-	public static final int PPC_REG_VS15 = 125;
-	public static final int PPC_REG_VS16 = 126;
-	public static final int PPC_REG_VS17 = 127;
-	public static final int PPC_REG_VS18 = 128;
-	public static final int PPC_REG_VS19 = 129;
-	public static final int PPC_REG_VS20 = 130;
-	public static final int PPC_REG_VS21 = 131;
-	public static final int PPC_REG_VS22 = 132;
-	public static final int PPC_REG_VS23 = 133;
-	public static final int PPC_REG_VS24 = 134;
-	public static final int PPC_REG_VS25 = 135;
-	public static final int PPC_REG_VS26 = 136;
-	public static final int PPC_REG_VS27 = 137;
-	public static final int PPC_REG_VS28 = 138;
-	public static final int PPC_REG_VS29 = 139;
-	public static final int PPC_REG_VS30 = 140;
-	public static final int PPC_REG_VS31 = 141;
-	public static final int PPC_REG_VS32 = 142;
-	public static final int PPC_REG_VS33 = 143;
-	public static final int PPC_REG_VS34 = 144;
-	public static final int PPC_REG_VS35 = 145;
-	public static final int PPC_REG_VS36 = 146;
-	public static final int PPC_REG_VS37 = 147;
-	public static final int PPC_REG_VS38 = 148;
-	public static final int PPC_REG_VS39 = 149;
-	public static final int PPC_REG_VS40 = 150;
-	public static final int PPC_REG_VS41 = 151;
-	public static final int PPC_REG_VS42 = 152;
-	public static final int PPC_REG_VS43 = 153;
-	public static final int PPC_REG_VS44 = 154;
-	public static final int PPC_REG_VS45 = 155;
-	public static final int PPC_REG_VS46 = 156;
-	public static final int PPC_REG_VS47 = 157;
-	public static final int PPC_REG_VS48 = 158;
-	public static final int PPC_REG_VS49 = 159;
-	public static final int PPC_REG_VS50 = 160;
-	public static final int PPC_REG_VS51 = 161;
-	public static final int PPC_REG_VS52 = 162;
-	public static final int PPC_REG_VS53 = 163;
-	public static final int PPC_REG_VS54 = 164;
-	public static final int PPC_REG_VS55 = 165;
-	public static final int PPC_REG_VS56 = 166;
-	public static final int PPC_REG_VS57 = 167;
-	public static final int PPC_REG_VS58 = 168;
-	public static final int PPC_REG_VS59 = 169;
-	public static final int PPC_REG_VS60 = 170;
-	public static final int PPC_REG_VS61 = 171;
-	public static final int PPC_REG_VS62 = 172;
-	public static final int PPC_REG_VS63 = 173;
-	public static final int PPC_REG_RM = 174;
-	public static final int PPC_REG_CTR8 = 175;
-	public static final int PPC_REG_LR8 = 176;
-	public static final int PPC_REG_CR1EQ = 177;
-	public static final int PPC_REG_ENDING = 178;
-
-	// Operand type for instruction's operands
-
 	public static final int PPC_OP_INVALID = 0;
 	public static final int PPC_OP_REG = 1;
 	public static final int PPC_OP_IMM = 2;
 	public static final int PPC_OP_MEM = 3;
 	public static final int PPC_OP_CRX = 64;
 
-	// PPC instruction
+	public static final int PPC_REG_INVALID = 0;
+	public static final int PPC_REG_CARRY = 1;
+	public static final int PPC_REG_CR0 = 2;
+	public static final int PPC_REG_CR1 = 3;
+	public static final int PPC_REG_CR2 = 4;
+	public static final int PPC_REG_CR3 = 5;
+	public static final int PPC_REG_CR4 = 6;
+	public static final int PPC_REG_CR5 = 7;
+	public static final int PPC_REG_CR6 = 8;
+	public static final int PPC_REG_CR7 = 9;
+	public static final int PPC_REG_CTR = 10;
+	public static final int PPC_REG_F0 = 11;
+	public static final int PPC_REG_F1 = 12;
+	public static final int PPC_REG_F2 = 13;
+	public static final int PPC_REG_F3 = 14;
+	public static final int PPC_REG_F4 = 15;
+	public static final int PPC_REG_F5 = 16;
+	public static final int PPC_REG_F6 = 17;
+	public static final int PPC_REG_F7 = 18;
+	public static final int PPC_REG_F8 = 19;
+	public static final int PPC_REG_F9 = 20;
+	public static final int PPC_REG_F10 = 21;
+	public static final int PPC_REG_F11 = 22;
+	public static final int PPC_REG_F12 = 23;
+	public static final int PPC_REG_F13 = 24;
+	public static final int PPC_REG_F14 = 25;
+	public static final int PPC_REG_F15 = 26;
+	public static final int PPC_REG_F16 = 27;
+	public static final int PPC_REG_F17 = 28;
+	public static final int PPC_REG_F18 = 29;
+	public static final int PPC_REG_F19 = 30;
+	public static final int PPC_REG_F20 = 31;
+	public static final int PPC_REG_F21 = 32;
+	public static final int PPC_REG_F22 = 33;
+	public static final int PPC_REG_F23 = 34;
+	public static final int PPC_REG_F24 = 35;
+	public static final int PPC_REG_F25 = 36;
+	public static final int PPC_REG_F26 = 37;
+	public static final int PPC_REG_F27 = 38;
+	public static final int PPC_REG_F28 = 39;
+	public static final int PPC_REG_F29 = 40;
+	public static final int PPC_REG_F30 = 41;
+	public static final int PPC_REG_F31 = 42;
+	public static final int PPC_REG_LR = 43;
+	public static final int PPC_REG_R0 = 44;
+	public static final int PPC_REG_R1 = 45;
+	public static final int PPC_REG_R2 = 46;
+	public static final int PPC_REG_R3 = 47;
+	public static final int PPC_REG_R4 = 48;
+	public static final int PPC_REG_R5 = 49;
+	public static final int PPC_REG_R6 = 50;
+	public static final int PPC_REG_R7 = 51;
+	public static final int PPC_REG_R8 = 52;
+	public static final int PPC_REG_R9 = 53;
+	public static final int PPC_REG_R10 = 54;
+	public static final int PPC_REG_R11 = 55;
+	public static final int PPC_REG_R12 = 56;
+	public static final int PPC_REG_R13 = 57;
+	public static final int PPC_REG_R14 = 58;
+	public static final int PPC_REG_R15 = 59;
+	public static final int PPC_REG_R16 = 60;
+	public static final int PPC_REG_R17 = 61;
+	public static final int PPC_REG_R18 = 62;
+	public static final int PPC_REG_R19 = 63;
+	public static final int PPC_REG_R20 = 64;
+	public static final int PPC_REG_R21 = 65;
+	public static final int PPC_REG_R22 = 66;
+	public static final int PPC_REG_R23 = 67;
+	public static final int PPC_REG_R24 = 68;
+	public static final int PPC_REG_R25 = 69;
+	public static final int PPC_REG_R26 = 70;
+	public static final int PPC_REG_R27 = 71;
+	public static final int PPC_REG_R28 = 72;
+	public static final int PPC_REG_R29 = 73;
+	public static final int PPC_REG_R30 = 74;
+	public static final int PPC_REG_R31 = 75;
+	public static final int PPC_REG_V0 = 76;
+	public static final int PPC_REG_V1 = 77;
+	public static final int PPC_REG_V2 = 78;
+	public static final int PPC_REG_V3 = 79;
+	public static final int PPC_REG_V4 = 80;
+	public static final int PPC_REG_V5 = 81;
+	public static final int PPC_REG_V6 = 82;
+	public static final int PPC_REG_V7 = 83;
+	public static final int PPC_REG_V8 = 84;
+	public static final int PPC_REG_V9 = 85;
+	public static final int PPC_REG_V10 = 86;
+	public static final int PPC_REG_V11 = 87;
+	public static final int PPC_REG_V12 = 88;
+	public static final int PPC_REG_V13 = 89;
+	public static final int PPC_REG_V14 = 90;
+	public static final int PPC_REG_V15 = 91;
+	public static final int PPC_REG_V16 = 92;
+	public static final int PPC_REG_V17 = 93;
+	public static final int PPC_REG_V18 = 94;
+	public static final int PPC_REG_V19 = 95;
+	public static final int PPC_REG_V20 = 96;
+	public static final int PPC_REG_V21 = 97;
+	public static final int PPC_REG_V22 = 98;
+	public static final int PPC_REG_V23 = 99;
+	public static final int PPC_REG_V24 = 100;
+	public static final int PPC_REG_V25 = 101;
+	public static final int PPC_REG_V26 = 102;
+	public static final int PPC_REG_V27 = 103;
+	public static final int PPC_REG_V28 = 104;
+	public static final int PPC_REG_V29 = 105;
+	public static final int PPC_REG_V30 = 106;
+	public static final int PPC_REG_V31 = 107;
+	public static final int PPC_REG_VRSAVE = 108;
+	public static final int PPC_REG_VS0 = 109;
+	public static final int PPC_REG_VS1 = 110;
+	public static final int PPC_REG_VS2 = 111;
+	public static final int PPC_REG_VS3 = 112;
+	public static final int PPC_REG_VS4 = 113;
+	public static final int PPC_REG_VS5 = 114;
+	public static final int PPC_REG_VS6 = 115;
+	public static final int PPC_REG_VS7 = 116;
+	public static final int PPC_REG_VS8 = 117;
+	public static final int PPC_REG_VS9 = 118;
+	public static final int PPC_REG_VS10 = 119;
+	public static final int PPC_REG_VS11 = 120;
+	public static final int PPC_REG_VS12 = 121;
+	public static final int PPC_REG_VS13 = 122;
+	public static final int PPC_REG_VS14 = 123;
+	public static final int PPC_REG_VS15 = 124;
+	public static final int PPC_REG_VS16 = 125;
+	public static final int PPC_REG_VS17 = 126;
+	public static final int PPC_REG_VS18 = 127;
+	public static final int PPC_REG_VS19 = 128;
+	public static final int PPC_REG_VS20 = 129;
+	public static final int PPC_REG_VS21 = 130;
+	public static final int PPC_REG_VS22 = 131;
+	public static final int PPC_REG_VS23 = 132;
+	public static final int PPC_REG_VS24 = 133;
+	public static final int PPC_REG_VS25 = 134;
+	public static final int PPC_REG_VS26 = 135;
+	public static final int PPC_REG_VS27 = 136;
+	public static final int PPC_REG_VS28 = 137;
+	public static final int PPC_REG_VS29 = 138;
+	public static final int PPC_REG_VS30 = 139;
+	public static final int PPC_REG_VS31 = 140;
+	public static final int PPC_REG_VS32 = 141;
+	public static final int PPC_REG_VS33 = 142;
+	public static final int PPC_REG_VS34 = 143;
+	public static final int PPC_REG_VS35 = 144;
+	public static final int PPC_REG_VS36 = 145;
+	public static final int PPC_REG_VS37 = 146;
+	public static final int PPC_REG_VS38 = 147;
+	public static final int PPC_REG_VS39 = 148;
+	public static final int PPC_REG_VS40 = 149;
+	public static final int PPC_REG_VS41 = 150;
+	public static final int PPC_REG_VS42 = 151;
+	public static final int PPC_REG_VS43 = 152;
+	public static final int PPC_REG_VS44 = 153;
+	public static final int PPC_REG_VS45 = 154;
+	public static final int PPC_REG_VS46 = 155;
+	public static final int PPC_REG_VS47 = 156;
+	public static final int PPC_REG_VS48 = 157;
+	public static final int PPC_REG_VS49 = 158;
+	public static final int PPC_REG_VS50 = 159;
+	public static final int PPC_REG_VS51 = 160;
+	public static final int PPC_REG_VS52 = 161;
+	public static final int PPC_REG_VS53 = 162;
+	public static final int PPC_REG_VS54 = 163;
+	public static final int PPC_REG_VS55 = 164;
+	public static final int PPC_REG_VS56 = 165;
+	public static final int PPC_REG_VS57 = 166;
+	public static final int PPC_REG_VS58 = 167;
+	public static final int PPC_REG_VS59 = 168;
+	public static final int PPC_REG_VS60 = 169;
+	public static final int PPC_REG_VS61 = 170;
+	public static final int PPC_REG_VS62 = 171;
+	public static final int PPC_REG_VS63 = 172;
+	public static final int PPC_REG_Q0 = 173;
+	public static final int PPC_REG_Q1 = 174;
+	public static final int PPC_REG_Q2 = 175;
+	public static final int PPC_REG_Q3 = 176;
+	public static final int PPC_REG_Q4 = 177;
+	public static final int PPC_REG_Q5 = 178;
+	public static final int PPC_REG_Q6 = 179;
+	public static final int PPC_REG_Q7 = 180;
+	public static final int PPC_REG_Q8 = 181;
+	public static final int PPC_REG_Q9 = 182;
+	public static final int PPC_REG_Q10 = 183;
+	public static final int PPC_REG_Q11 = 184;
+	public static final int PPC_REG_Q12 = 185;
+	public static final int PPC_REG_Q13 = 186;
+	public static final int PPC_REG_Q14 = 187;
+	public static final int PPC_REG_Q15 = 188;
+	public static final int PPC_REG_Q16 = 189;
+	public static final int PPC_REG_Q17 = 190;
+	public static final int PPC_REG_Q18 = 191;
+	public static final int PPC_REG_Q19 = 192;
+	public static final int PPC_REG_Q20 = 193;
+	public static final int PPC_REG_Q21 = 194;
+	public static final int PPC_REG_Q22 = 195;
+	public static final int PPC_REG_Q23 = 196;
+	public static final int PPC_REG_Q24 = 197;
+	public static final int PPC_REG_Q25 = 198;
+	public static final int PPC_REG_Q26 = 199;
+	public static final int PPC_REG_Q27 = 200;
+	public static final int PPC_REG_Q28 = 201;
+	public static final int PPC_REG_Q29 = 202;
+	public static final int PPC_REG_Q30 = 203;
+	public static final int PPC_REG_Q31 = 204;
+	public static final int PPC_REG_RM = 205;
+	public static final int PPC_REG_CTR8 = 206;
+	public static final int PPC_REG_LR8 = 207;
+	public static final int PPC_REG_CR1EQ = 208;
+	public static final int PPC_REG_X2 = 209;
+	public static final int PPC_REG_ENDING = 210;
 
 	public static final int PPC_INS_INVALID = 0;
 	public static final int PPC_INS_ADD = 1;
@@ -228,937 +250,1107 @@ public class Ppc_const {
 	public static final int PPC_INS_ANDC = 10;
 	public static final int PPC_INS_ANDIS = 11;
 	public static final int PPC_INS_ANDI = 12;
-	public static final int PPC_INS_B = 13;
-	public static final int PPC_INS_BA = 14;
-	public static final int PPC_INS_BC = 15;
-	public static final int PPC_INS_BCCTR = 16;
-	public static final int PPC_INS_BCCTRL = 17;
-	public static final int PPC_INS_BCL = 18;
-	public static final int PPC_INS_BCLR = 19;
-	public static final int PPC_INS_BCLRL = 20;
-	public static final int PPC_INS_BCTR = 21;
-	public static final int PPC_INS_BCTRL = 22;
-	public static final int PPC_INS_BDNZ = 23;
-	public static final int PPC_INS_BDNZA = 24;
-	public static final int PPC_INS_BDNZL = 25;
-	public static final int PPC_INS_BDNZLA = 26;
-	public static final int PPC_INS_BDNZLR = 27;
-	public static final int PPC_INS_BDNZLRL = 28;
-	public static final int PPC_INS_BDZ = 29;
-	public static final int PPC_INS_BDZA = 30;
-	public static final int PPC_INS_BDZL = 31;
-	public static final int PPC_INS_BDZLA = 32;
-	public static final int PPC_INS_BDZLR = 33;
-	public static final int PPC_INS_BDZLRL = 34;
-	public static final int PPC_INS_BL = 35;
-	public static final int PPC_INS_BLA = 36;
-	public static final int PPC_INS_BLR = 37;
-	public static final int PPC_INS_BLRL = 38;
-	public static final int PPC_INS_BRINC = 39;
-	public static final int PPC_INS_CMPD = 40;
-	public static final int PPC_INS_CMPDI = 41;
-	public static final int PPC_INS_CMPLD = 42;
-	public static final int PPC_INS_CMPLDI = 43;
-	public static final int PPC_INS_CMPLW = 44;
-	public static final int PPC_INS_CMPLWI = 45;
-	public static final int PPC_INS_CMPW = 46;
-	public static final int PPC_INS_CMPWI = 47;
-	public static final int PPC_INS_CNTLZD = 48;
-	public static final int PPC_INS_CNTLZW = 49;
-	public static final int PPC_INS_CREQV = 50;
-	public static final int PPC_INS_CRXOR = 51;
-	public static final int PPC_INS_CRAND = 52;
-	public static final int PPC_INS_CRANDC = 53;
-	public static final int PPC_INS_CRNAND = 54;
-	public static final int PPC_INS_CRNOR = 55;
-	public static final int PPC_INS_CROR = 56;
-	public static final int PPC_INS_CRORC = 57;
-	public static final int PPC_INS_DCBA = 58;
-	public static final int PPC_INS_DCBF = 59;
-	public static final int PPC_INS_DCBI = 60;
-	public static final int PPC_INS_DCBST = 61;
-	public static final int PPC_INS_DCBT = 62;
-	public static final int PPC_INS_DCBTST = 63;
-	public static final int PPC_INS_DCBZ = 64;
-	public static final int PPC_INS_DCBZL = 65;
-	public static final int PPC_INS_DCCCI = 66;
-	public static final int PPC_INS_DIVD = 67;
-	public static final int PPC_INS_DIVDU = 68;
-	public static final int PPC_INS_DIVW = 69;
-	public static final int PPC_INS_DIVWU = 70;
-	public static final int PPC_INS_DSS = 71;
-	public static final int PPC_INS_DSSALL = 72;
-	public static final int PPC_INS_DST = 73;
-	public static final int PPC_INS_DSTST = 74;
-	public static final int PPC_INS_DSTSTT = 75;
-	public static final int PPC_INS_DSTT = 76;
-	public static final int PPC_INS_EIEIO = 77;
-	public static final int PPC_INS_EQV = 78;
-	public static final int PPC_INS_EVABS = 79;
-	public static final int PPC_INS_EVADDIW = 80;
-	public static final int PPC_INS_EVADDSMIAAW = 81;
-	public static final int PPC_INS_EVADDSSIAAW = 82;
-	public static final int PPC_INS_EVADDUMIAAW = 83;
-	public static final int PPC_INS_EVADDUSIAAW = 84;
-	public static final int PPC_INS_EVADDW = 85;
-	public static final int PPC_INS_EVAND = 86;
-	public static final int PPC_INS_EVANDC = 87;
-	public static final int PPC_INS_EVCMPEQ = 88;
-	public static final int PPC_INS_EVCMPGTS = 89;
-	public static final int PPC_INS_EVCMPGTU = 90;
-	public static final int PPC_INS_EVCMPLTS = 91;
-	public static final int PPC_INS_EVCMPLTU = 92;
-	public static final int PPC_INS_EVCNTLSW = 93;
-	public static final int PPC_INS_EVCNTLZW = 94;
-	public static final int PPC_INS_EVDIVWS = 95;
-	public static final int PPC_INS_EVDIVWU = 96;
-	public static final int PPC_INS_EVEQV = 97;
-	public static final int PPC_INS_EVEXTSB = 98;
-	public static final int PPC_INS_EVEXTSH = 99;
-	public static final int PPC_INS_EVLDD = 100;
-	public static final int PPC_INS_EVLDDX = 101;
-	public static final int PPC_INS_EVLDH = 102;
-	public static final int PPC_INS_EVLDHX = 103;
-	public static final int PPC_INS_EVLDW = 104;
-	public static final int PPC_INS_EVLDWX = 105;
-	public static final int PPC_INS_EVLHHESPLAT = 106;
-	public static final int PPC_INS_EVLHHESPLATX = 107;
-	public static final int PPC_INS_EVLHHOSSPLAT = 108;
-	public static final int PPC_INS_EVLHHOSSPLATX = 109;
-	public static final int PPC_INS_EVLHHOUSPLAT = 110;
-	public static final int PPC_INS_EVLHHOUSPLATX = 111;
-	public static final int PPC_INS_EVLWHE = 112;
-	public static final int PPC_INS_EVLWHEX = 113;
-	public static final int PPC_INS_EVLWHOS = 114;
-	public static final int PPC_INS_EVLWHOSX = 115;
-	public static final int PPC_INS_EVLWHOU = 116;
-	public static final int PPC_INS_EVLWHOUX = 117;
-	public static final int PPC_INS_EVLWHSPLAT = 118;
-	public static final int PPC_INS_EVLWHSPLATX = 119;
-	public static final int PPC_INS_EVLWWSPLAT = 120;
-	public static final int PPC_INS_EVLWWSPLATX = 121;
-	public static final int PPC_INS_EVMERGEHI = 122;
-	public static final int PPC_INS_EVMERGEHILO = 123;
-	public static final int PPC_INS_EVMERGELO = 124;
-	public static final int PPC_INS_EVMERGELOHI = 125;
-	public static final int PPC_INS_EVMHEGSMFAA = 126;
-	public static final int PPC_INS_EVMHEGSMFAN = 127;
-	public static final int PPC_INS_EVMHEGSMIAA = 128;
-	public static final int PPC_INS_EVMHEGSMIAN = 129;
-	public static final int PPC_INS_EVMHEGUMIAA = 130;
-	public static final int PPC_INS_EVMHEGUMIAN = 131;
-	public static final int PPC_INS_EVMHESMF = 132;
-	public static final int PPC_INS_EVMHESMFA = 133;
-	public static final int PPC_INS_EVMHESMFAAW = 134;
-	public static final int PPC_INS_EVMHESMFANW = 135;
-	public static final int PPC_INS_EVMHESMI = 136;
-	public static final int PPC_INS_EVMHESMIA = 137;
-	public static final int PPC_INS_EVMHESMIAAW = 138;
-	public static final int PPC_INS_EVMHESMIANW = 139;
-	public static final int PPC_INS_EVMHESSF = 140;
-	public static final int PPC_INS_EVMHESSFA = 141;
-	public static final int PPC_INS_EVMHESSFAAW = 142;
-	public static final int PPC_INS_EVMHESSFANW = 143;
-	public static final int PPC_INS_EVMHESSIAAW = 144;
-	public static final int PPC_INS_EVMHESSIANW = 145;
-	public static final int PPC_INS_EVMHEUMI = 146;
-	public static final int PPC_INS_EVMHEUMIA = 147;
-	public static final int PPC_INS_EVMHEUMIAAW = 148;
-	public static final int PPC_INS_EVMHEUMIANW = 149;
-	public static final int PPC_INS_EVMHEUSIAAW = 150;
-	public static final int PPC_INS_EVMHEUSIANW = 151;
-	public static final int PPC_INS_EVMHOGSMFAA = 152;
-	public static final int PPC_INS_EVMHOGSMFAN = 153;
-	public static final int PPC_INS_EVMHOGSMIAA = 154;
-	public static final int PPC_INS_EVMHOGSMIAN = 155;
-	public static final int PPC_INS_EVMHOGUMIAA = 156;
-	public static final int PPC_INS_EVMHOGUMIAN = 157;
-	public static final int PPC_INS_EVMHOSMF = 158;
-	public static final int PPC_INS_EVMHOSMFA = 159;
-	public static final int PPC_INS_EVMHOSMFAAW = 160;
-	public static final int PPC_INS_EVMHOSMFANW = 161;
-	public static final int PPC_INS_EVMHOSMI = 162;
-	public static final int PPC_INS_EVMHOSMIA = 163;
-	public static final int PPC_INS_EVMHOSMIAAW = 164;
-	public static final int PPC_INS_EVMHOSMIANW = 165;
-	public static final int PPC_INS_EVMHOSSF = 166;
-	public static final int PPC_INS_EVMHOSSFA = 167;
-	public static final int PPC_INS_EVMHOSSFAAW = 168;
-	public static final int PPC_INS_EVMHOSSFANW = 169;
-	public static final int PPC_INS_EVMHOSSIAAW = 170;
-	public static final int PPC_INS_EVMHOSSIANW = 171;
-	public static final int PPC_INS_EVMHOUMI = 172;
-	public static final int PPC_INS_EVMHOUMIA = 173;
-	public static final int PPC_INS_EVMHOUMIAAW = 174;
-	public static final int PPC_INS_EVMHOUMIANW = 175;
-	public static final int PPC_INS_EVMHOUSIAAW = 176;
-	public static final int PPC_INS_EVMHOUSIANW = 177;
-	public static final int PPC_INS_EVMRA = 178;
-	public static final int PPC_INS_EVMWHSMF = 179;
-	public static final int PPC_INS_EVMWHSMFA = 180;
-	public static final int PPC_INS_EVMWHSMI = 181;
-	public static final int PPC_INS_EVMWHSMIA = 182;
-	public static final int PPC_INS_EVMWHSSF = 183;
-	public static final int PPC_INS_EVMWHSSFA = 184;
-	public static final int PPC_INS_EVMWHUMI = 185;
-	public static final int PPC_INS_EVMWHUMIA = 186;
-	public static final int PPC_INS_EVMWLSMIAAW = 187;
-	public static final int PPC_INS_EVMWLSMIANW = 188;
-	public static final int PPC_INS_EVMWLSSIAAW = 189;
-	public static final int PPC_INS_EVMWLSSIANW = 190;
-	public static final int PPC_INS_EVMWLUMI = 191;
-	public static final int PPC_INS_EVMWLUMIA = 192;
-	public static final int PPC_INS_EVMWLUMIAAW = 193;
-	public static final int PPC_INS_EVMWLUMIANW = 194;
-	public static final int PPC_INS_EVMWLUSIAAW = 195;
-	public static final int PPC_INS_EVMWLUSIANW = 196;
-	public static final int PPC_INS_EVMWSMF = 197;
-	public static final int PPC_INS_EVMWSMFA = 198;
-	public static final int PPC_INS_EVMWSMFAA = 199;
-	public static final int PPC_INS_EVMWSMFAN = 200;
-	public static final int PPC_INS_EVMWSMI = 201;
-	public static final int PPC_INS_EVMWSMIA = 202;
-	public static final int PPC_INS_EVMWSMIAA = 203;
-	public static final int PPC_INS_EVMWSMIAN = 204;
-	public static final int PPC_INS_EVMWSSF = 205;
-	public static final int PPC_INS_EVMWSSFA = 206;
-	public static final int PPC_INS_EVMWSSFAA = 207;
-	public static final int PPC_INS_EVMWSSFAN = 208;
-	public static final int PPC_INS_EVMWUMI = 209;
-	public static final int PPC_INS_EVMWUMIA = 210;
-	public static final int PPC_INS_EVMWUMIAA = 211;
-	public static final int PPC_INS_EVMWUMIAN = 212;
-	public static final int PPC_INS_EVNAND = 213;
-	public static final int PPC_INS_EVNEG = 214;
-	public static final int PPC_INS_EVNOR = 215;
-	public static final int PPC_INS_EVOR = 216;
-	public static final int PPC_INS_EVORC = 217;
-	public static final int PPC_INS_EVRLW = 218;
-	public static final int PPC_INS_EVRLWI = 219;
-	public static final int PPC_INS_EVRNDW = 220;
-	public static final int PPC_INS_EVSLW = 221;
-	public static final int PPC_INS_EVSLWI = 222;
-	public static final int PPC_INS_EVSPLATFI = 223;
-	public static final int PPC_INS_EVSPLATI = 224;
-	public static final int PPC_INS_EVSRWIS = 225;
-	public static final int PPC_INS_EVSRWIU = 226;
-	public static final int PPC_INS_EVSRWS = 227;
-	public static final int PPC_INS_EVSRWU = 228;
-	public static final int PPC_INS_EVSTDD = 229;
-	public static final int PPC_INS_EVSTDDX = 230;
-	public static final int PPC_INS_EVSTDH = 231;
-	public static final int PPC_INS_EVSTDHX = 232;
-	public static final int PPC_INS_EVSTDW = 233;
-	public static final int PPC_INS_EVSTDWX = 234;
-	public static final int PPC_INS_EVSTWHE = 235;
-	public static final int PPC_INS_EVSTWHEX = 236;
-	public static final int PPC_INS_EVSTWHO = 237;
-	public static final int PPC_INS_EVSTWHOX = 238;
-	public static final int PPC_INS_EVSTWWE = 239;
-	public static final int PPC_INS_EVSTWWEX = 240;
-	public static final int PPC_INS_EVSTWWO = 241;
-	public static final int PPC_INS_EVSTWWOX = 242;
-	public static final int PPC_INS_EVSUBFSMIAAW = 243;
-	public static final int PPC_INS_EVSUBFSSIAAW = 244;
-	public static final int PPC_INS_EVSUBFUMIAAW = 245;
-	public static final int PPC_INS_EVSUBFUSIAAW = 246;
-	public static final int PPC_INS_EVSUBFW = 247;
-	public static final int PPC_INS_EVSUBIFW = 248;
-	public static final int PPC_INS_EVXOR = 249;
-	public static final int PPC_INS_EXTSB = 250;
-	public static final int PPC_INS_EXTSH = 251;
-	public static final int PPC_INS_EXTSW = 252;
-	public static final int PPC_INS_FABS = 253;
-	public static final int PPC_INS_FADD = 254;
-	public static final int PPC_INS_FADDS = 255;
-	public static final int PPC_INS_FCFID = 256;
-	public static final int PPC_INS_FCFIDS = 257;
-	public static final int PPC_INS_FCFIDU = 258;
-	public static final int PPC_INS_FCFIDUS = 259;
-	public static final int PPC_INS_FCMPU = 260;
-	public static final int PPC_INS_FCPSGN = 261;
-	public static final int PPC_INS_FCTID = 262;
-	public static final int PPC_INS_FCTIDUZ = 263;
-	public static final int PPC_INS_FCTIDZ = 264;
-	public static final int PPC_INS_FCTIW = 265;
-	public static final int PPC_INS_FCTIWUZ = 266;
-	public static final int PPC_INS_FCTIWZ = 267;
-	public static final int PPC_INS_FDIV = 268;
-	public static final int PPC_INS_FDIVS = 269;
-	public static final int PPC_INS_FMADD = 270;
-	public static final int PPC_INS_FMADDS = 271;
-	public static final int PPC_INS_FMR = 272;
-	public static final int PPC_INS_FMSUB = 273;
-	public static final int PPC_INS_FMSUBS = 274;
-	public static final int PPC_INS_FMUL = 275;
-	public static final int PPC_INS_FMULS = 276;
-	public static final int PPC_INS_FNABS = 277;
-	public static final int PPC_INS_FNEG = 278;
-	public static final int PPC_INS_FNMADD = 279;
-	public static final int PPC_INS_FNMADDS = 280;
-	public static final int PPC_INS_FNMSUB = 281;
-	public static final int PPC_INS_FNMSUBS = 282;
-	public static final int PPC_INS_FRE = 283;
-	public static final int PPC_INS_FRES = 284;
-	public static final int PPC_INS_FRIM = 285;
-	public static final int PPC_INS_FRIN = 286;
-	public static final int PPC_INS_FRIP = 287;
-	public static final int PPC_INS_FRIZ = 288;
-	public static final int PPC_INS_FRSP = 289;
-	public static final int PPC_INS_FRSQRTE = 290;
-	public static final int PPC_INS_FRSQRTES = 291;
-	public static final int PPC_INS_FSEL = 292;
-	public static final int PPC_INS_FSQRT = 293;
-	public static final int PPC_INS_FSQRTS = 294;
-	public static final int PPC_INS_FSUB = 295;
-	public static final int PPC_INS_FSUBS = 296;
-	public static final int PPC_INS_ICBI = 297;
-	public static final int PPC_INS_ICCCI = 298;
-	public static final int PPC_INS_ISEL = 299;
-	public static final int PPC_INS_ISYNC = 300;
-	public static final int PPC_INS_LA = 301;
-	public static final int PPC_INS_LBZ = 302;
-	public static final int PPC_INS_LBZU = 303;
-	public static final int PPC_INS_LBZUX = 304;
-	public static final int PPC_INS_LBZX = 305;
-	public static final int PPC_INS_LD = 306;
-	public static final int PPC_INS_LDARX = 307;
-	public static final int PPC_INS_LDBRX = 308;
-	public static final int PPC_INS_LDU = 309;
-	public static final int PPC_INS_LDUX = 310;
-	public static final int PPC_INS_LDX = 311;
-	public static final int PPC_INS_LFD = 312;
-	public static final int PPC_INS_LFDU = 313;
-	public static final int PPC_INS_LFDUX = 314;
-	public static final int PPC_INS_LFDX = 315;
-	public static final int PPC_INS_LFIWAX = 316;
-	public static final int PPC_INS_LFIWZX = 317;
-	public static final int PPC_INS_LFS = 318;
-	public static final int PPC_INS_LFSU = 319;
-	public static final int PPC_INS_LFSUX = 320;
-	public static final int PPC_INS_LFSX = 321;
-	public static final int PPC_INS_LHA = 322;
-	public static final int PPC_INS_LHAU = 323;
-	public static final int PPC_INS_LHAUX = 324;
-	public static final int PPC_INS_LHAX = 325;
-	public static final int PPC_INS_LHBRX = 326;
-	public static final int PPC_INS_LHZ = 327;
-	public static final int PPC_INS_LHZU = 328;
-	public static final int PPC_INS_LHZUX = 329;
-	public static final int PPC_INS_LHZX = 330;
-	public static final int PPC_INS_LI = 331;
-	public static final int PPC_INS_LIS = 332;
-	public static final int PPC_INS_LMW = 333;
-	public static final int PPC_INS_LSWI = 334;
-	public static final int PPC_INS_LVEBX = 335;
-	public static final int PPC_INS_LVEHX = 336;
-	public static final int PPC_INS_LVEWX = 337;
-	public static final int PPC_INS_LVSL = 338;
-	public static final int PPC_INS_LVSR = 339;
-	public static final int PPC_INS_LVX = 340;
-	public static final int PPC_INS_LVXL = 341;
-	public static final int PPC_INS_LWA = 342;
-	public static final int PPC_INS_LWARX = 343;
-	public static final int PPC_INS_LWAUX = 344;
-	public static final int PPC_INS_LWAX = 345;
-	public static final int PPC_INS_LWBRX = 346;
-	public static final int PPC_INS_LWZ = 347;
-	public static final int PPC_INS_LWZU = 348;
-	public static final int PPC_INS_LWZUX = 349;
-	public static final int PPC_INS_LWZX = 350;
-	public static final int PPC_INS_LXSDX = 351;
-	public static final int PPC_INS_LXVD2X = 352;
-	public static final int PPC_INS_LXVDSX = 353;
-	public static final int PPC_INS_LXVW4X = 354;
-	public static final int PPC_INS_MBAR = 355;
-	public static final int PPC_INS_MCRF = 356;
-	public static final int PPC_INS_MFCR = 357;
-	public static final int PPC_INS_MFCTR = 358;
-	public static final int PPC_INS_MFDCR = 359;
-	public static final int PPC_INS_MFFS = 360;
-	public static final int PPC_INS_MFLR = 361;
-	public static final int PPC_INS_MFMSR = 362;
-	public static final int PPC_INS_MFOCRF = 363;
-	public static final int PPC_INS_MFSPR = 364;
-	public static final int PPC_INS_MFSR = 365;
-	public static final int PPC_INS_MFSRIN = 366;
-	public static final int PPC_INS_MFTB = 367;
-	public static final int PPC_INS_MFVSCR = 368;
-	public static final int PPC_INS_MSYNC = 369;
-	public static final int PPC_INS_MTCRF = 370;
-	public static final int PPC_INS_MTCTR = 371;
-	public static final int PPC_INS_MTDCR = 372;
-	public static final int PPC_INS_MTFSB0 = 373;
-	public static final int PPC_INS_MTFSB1 = 374;
-	public static final int PPC_INS_MTFSF = 375;
-	public static final int PPC_INS_MTLR = 376;
-	public static final int PPC_INS_MTMSR = 377;
-	public static final int PPC_INS_MTMSRD = 378;
-	public static final int PPC_INS_MTOCRF = 379;
-	public static final int PPC_INS_MTSPR = 380;
-	public static final int PPC_INS_MTSR = 381;
-	public static final int PPC_INS_MTSRIN = 382;
-	public static final int PPC_INS_MTVSCR = 383;
-	public static final int PPC_INS_MULHD = 384;
-	public static final int PPC_INS_MULHDU = 385;
-	public static final int PPC_INS_MULHW = 386;
-	public static final int PPC_INS_MULHWU = 387;
-	public static final int PPC_INS_MULLD = 388;
-	public static final int PPC_INS_MULLI = 389;
-	public static final int PPC_INS_MULLW = 390;
-	public static final int PPC_INS_NAND = 391;
-	public static final int PPC_INS_NEG = 392;
-	public static final int PPC_INS_NOP = 393;
-	public static final int PPC_INS_ORI = 394;
-	public static final int PPC_INS_NOR = 395;
-	public static final int PPC_INS_OR = 396;
-	public static final int PPC_INS_ORC = 397;
-	public static final int PPC_INS_ORIS = 398;
-	public static final int PPC_INS_POPCNTD = 399;
-	public static final int PPC_INS_POPCNTW = 400;
-	public static final int PPC_INS_RFCI = 401;
-	public static final int PPC_INS_RFDI = 402;
-	public static final int PPC_INS_RFI = 403;
-	public static final int PPC_INS_RFID = 404;
-	public static final int PPC_INS_RFMCI = 405;
-	public static final int PPC_INS_RLDCL = 406;
-	public static final int PPC_INS_RLDCR = 407;
-	public static final int PPC_INS_RLDIC = 408;
-	public static final int PPC_INS_RLDICL = 409;
-	public static final int PPC_INS_RLDICR = 410;
-	public static final int PPC_INS_RLDIMI = 411;
-	public static final int PPC_INS_RLWIMI = 412;
-	public static final int PPC_INS_RLWINM = 413;
-	public static final int PPC_INS_RLWNM = 414;
-	public static final int PPC_INS_SC = 415;
-	public static final int PPC_INS_SLBIA = 416;
-	public static final int PPC_INS_SLBIE = 417;
-	public static final int PPC_INS_SLBMFEE = 418;
-	public static final int PPC_INS_SLBMTE = 419;
-	public static final int PPC_INS_SLD = 420;
-	public static final int PPC_INS_SLW = 421;
-	public static final int PPC_INS_SRAD = 422;
-	public static final int PPC_INS_SRADI = 423;
-	public static final int PPC_INS_SRAW = 424;
-	public static final int PPC_INS_SRAWI = 425;
-	public static final int PPC_INS_SRD = 426;
-	public static final int PPC_INS_SRW = 427;
-	public static final int PPC_INS_STB = 428;
-	public static final int PPC_INS_STBU = 429;
-	public static final int PPC_INS_STBUX = 430;
-	public static final int PPC_INS_STBX = 431;
-	public static final int PPC_INS_STD = 432;
-	public static final int PPC_INS_STDBRX = 433;
-	public static final int PPC_INS_STDCX = 434;
-	public static final int PPC_INS_STDU = 435;
-	public static final int PPC_INS_STDUX = 436;
-	public static final int PPC_INS_STDX = 437;
-	public static final int PPC_INS_STFD = 438;
-	public static final int PPC_INS_STFDU = 439;
-	public static final int PPC_INS_STFDUX = 440;
-	public static final int PPC_INS_STFDX = 441;
-	public static final int PPC_INS_STFIWX = 442;
-	public static final int PPC_INS_STFS = 443;
-	public static final int PPC_INS_STFSU = 444;
-	public static final int PPC_INS_STFSUX = 445;
-	public static final int PPC_INS_STFSX = 446;
-	public static final int PPC_INS_STH = 447;
-	public static final int PPC_INS_STHBRX = 448;
-	public static final int PPC_INS_STHU = 449;
-	public static final int PPC_INS_STHUX = 450;
-	public static final int PPC_INS_STHX = 451;
-	public static final int PPC_INS_STMW = 452;
-	public static final int PPC_INS_STSWI = 453;
-	public static final int PPC_INS_STVEBX = 454;
-	public static final int PPC_INS_STVEHX = 455;
-	public static final int PPC_INS_STVEWX = 456;
-	public static final int PPC_INS_STVX = 457;
-	public static final int PPC_INS_STVXL = 458;
-	public static final int PPC_INS_STW = 459;
-	public static final int PPC_INS_STWBRX = 460;
-	public static final int PPC_INS_STWCX = 461;
-	public static final int PPC_INS_STWU = 462;
-	public static final int PPC_INS_STWUX = 463;
-	public static final int PPC_INS_STWX = 464;
-	public static final int PPC_INS_STXSDX = 465;
-	public static final int PPC_INS_STXVD2X = 466;
-	public static final int PPC_INS_STXVW4X = 467;
-	public static final int PPC_INS_SUBF = 468;
-	public static final int PPC_INS_SUBFC = 469;
-	public static final int PPC_INS_SUBFE = 470;
-	public static final int PPC_INS_SUBFIC = 471;
-	public static final int PPC_INS_SUBFME = 472;
-	public static final int PPC_INS_SUBFZE = 473;
-	public static final int PPC_INS_SYNC = 474;
-	public static final int PPC_INS_TD = 475;
-	public static final int PPC_INS_TDI = 476;
-	public static final int PPC_INS_TLBIA = 477;
-	public static final int PPC_INS_TLBIE = 478;
-	public static final int PPC_INS_TLBIEL = 479;
-	public static final int PPC_INS_TLBIVAX = 480;
-	public static final int PPC_INS_TLBLD = 481;
-	public static final int PPC_INS_TLBLI = 482;
-	public static final int PPC_INS_TLBRE = 483;
-	public static final int PPC_INS_TLBSX = 484;
-	public static final int PPC_INS_TLBSYNC = 485;
-	public static final int PPC_INS_TLBWE = 486;
-	public static final int PPC_INS_TRAP = 487;
-	public static final int PPC_INS_TW = 488;
-	public static final int PPC_INS_TWI = 489;
-	public static final int PPC_INS_VADDCUW = 490;
-	public static final int PPC_INS_VADDFP = 491;
-	public static final int PPC_INS_VADDSBS = 492;
-	public static final int PPC_INS_VADDSHS = 493;
-	public static final int PPC_INS_VADDSWS = 494;
-	public static final int PPC_INS_VADDUBM = 495;
-	public static final int PPC_INS_VADDUBS = 496;
-	public static final int PPC_INS_VADDUHM = 497;
-	public static final int PPC_INS_VADDUHS = 498;
-	public static final int PPC_INS_VADDUWM = 499;
-	public static final int PPC_INS_VADDUWS = 500;
-	public static final int PPC_INS_VAND = 501;
-	public static final int PPC_INS_VANDC = 502;
-	public static final int PPC_INS_VAVGSB = 503;
-	public static final int PPC_INS_VAVGSH = 504;
-	public static final int PPC_INS_VAVGSW = 505;
-	public static final int PPC_INS_VAVGUB = 506;
-	public static final int PPC_INS_VAVGUH = 507;
-	public static final int PPC_INS_VAVGUW = 508;
-	public static final int PPC_INS_VCFSX = 509;
-	public static final int PPC_INS_VCFUX = 510;
-	public static final int PPC_INS_VCMPBFP = 511;
-	public static final int PPC_INS_VCMPEQFP = 512;
-	public static final int PPC_INS_VCMPEQUB = 513;
-	public static final int PPC_INS_VCMPEQUH = 514;
-	public static final int PPC_INS_VCMPEQUW = 515;
-	public static final int PPC_INS_VCMPGEFP = 516;
-	public static final int PPC_INS_VCMPGTFP = 517;
-	public static final int PPC_INS_VCMPGTSB = 518;
-	public static final int PPC_INS_VCMPGTSH = 519;
-	public static final int PPC_INS_VCMPGTSW = 520;
-	public static final int PPC_INS_VCMPGTUB = 521;
-	public static final int PPC_INS_VCMPGTUH = 522;
-	public static final int PPC_INS_VCMPGTUW = 523;
-	public static final int PPC_INS_VCTSXS = 524;
-	public static final int PPC_INS_VCTUXS = 525;
-	public static final int PPC_INS_VEXPTEFP = 526;
-	public static final int PPC_INS_VLOGEFP = 527;
-	public static final int PPC_INS_VMADDFP = 528;
-	public static final int PPC_INS_VMAXFP = 529;
-	public static final int PPC_INS_VMAXSB = 530;
-	public static final int PPC_INS_VMAXSH = 531;
-	public static final int PPC_INS_VMAXSW = 532;
-	public static final int PPC_INS_VMAXUB = 533;
-	public static final int PPC_INS_VMAXUH = 534;
-	public static final int PPC_INS_VMAXUW = 535;
-	public static final int PPC_INS_VMHADDSHS = 536;
-	public static final int PPC_INS_VMHRADDSHS = 537;
-	public static final int PPC_INS_VMINFP = 538;
-	public static final int PPC_INS_VMINSB = 539;
-	public static final int PPC_INS_VMINSH = 540;
-	public static final int PPC_INS_VMINSW = 541;
-	public static final int PPC_INS_VMINUB = 542;
-	public static final int PPC_INS_VMINUH = 543;
-	public static final int PPC_INS_VMINUW = 544;
-	public static final int PPC_INS_VMLADDUHM = 545;
-	public static final int PPC_INS_VMRGHB = 546;
-	public static final int PPC_INS_VMRGHH = 547;
-	public static final int PPC_INS_VMRGHW = 548;
-	public static final int PPC_INS_VMRGLB = 549;
-	public static final int PPC_INS_VMRGLH = 550;
-	public static final int PPC_INS_VMRGLW = 551;
-	public static final int PPC_INS_VMSUMMBM = 552;
-	public static final int PPC_INS_VMSUMSHM = 553;
-	public static final int PPC_INS_VMSUMSHS = 554;
-	public static final int PPC_INS_VMSUMUBM = 555;
-	public static final int PPC_INS_VMSUMUHM = 556;
-	public static final int PPC_INS_VMSUMUHS = 557;
-	public static final int PPC_INS_VMULESB = 558;
-	public static final int PPC_INS_VMULESH = 559;
-	public static final int PPC_INS_VMULEUB = 560;
-	public static final int PPC_INS_VMULEUH = 561;
-	public static final int PPC_INS_VMULOSB = 562;
-	public static final int PPC_INS_VMULOSH = 563;
-	public static final int PPC_INS_VMULOUB = 564;
-	public static final int PPC_INS_VMULOUH = 565;
-	public static final int PPC_INS_VNMSUBFP = 566;
-	public static final int PPC_INS_VNOR = 567;
-	public static final int PPC_INS_VOR = 568;
-	public static final int PPC_INS_VPERM = 569;
-	public static final int PPC_INS_VPKPX = 570;
-	public static final int PPC_INS_VPKSHSS = 571;
-	public static final int PPC_INS_VPKSHUS = 572;
-	public static final int PPC_INS_VPKSWSS = 573;
-	public static final int PPC_INS_VPKSWUS = 574;
-	public static final int PPC_INS_VPKUHUM = 575;
-	public static final int PPC_INS_VPKUHUS = 576;
-	public static final int PPC_INS_VPKUWUM = 577;
-	public static final int PPC_INS_VPKUWUS = 578;
-	public static final int PPC_INS_VREFP = 579;
-	public static final int PPC_INS_VRFIM = 580;
-	public static final int PPC_INS_VRFIN = 581;
-	public static final int PPC_INS_VRFIP = 582;
-	public static final int PPC_INS_VRFIZ = 583;
-	public static final int PPC_INS_VRLB = 584;
-	public static final int PPC_INS_VRLH = 585;
-	public static final int PPC_INS_VRLW = 586;
-	public static final int PPC_INS_VRSQRTEFP = 587;
-	public static final int PPC_INS_VSEL = 588;
-	public static final int PPC_INS_VSL = 589;
-	public static final int PPC_INS_VSLB = 590;
-	public static final int PPC_INS_VSLDOI = 591;
-	public static final int PPC_INS_VSLH = 592;
-	public static final int PPC_INS_VSLO = 593;
-	public static final int PPC_INS_VSLW = 594;
-	public static final int PPC_INS_VSPLTB = 595;
-	public static final int PPC_INS_VSPLTH = 596;
-	public static final int PPC_INS_VSPLTISB = 597;
-	public static final int PPC_INS_VSPLTISH = 598;
-	public static final int PPC_INS_VSPLTISW = 599;
-	public static final int PPC_INS_VSPLTW = 600;
-	public static final int PPC_INS_VSR = 601;
-	public static final int PPC_INS_VSRAB = 602;
-	public static final int PPC_INS_VSRAH = 603;
-	public static final int PPC_INS_VSRAW = 604;
-	public static final int PPC_INS_VSRB = 605;
-	public static final int PPC_INS_VSRH = 606;
-	public static final int PPC_INS_VSRO = 607;
-	public static final int PPC_INS_VSRW = 608;
-	public static final int PPC_INS_VSUBCUW = 609;
-	public static final int PPC_INS_VSUBFP = 610;
-	public static final int PPC_INS_VSUBSBS = 611;
-	public static final int PPC_INS_VSUBSHS = 612;
-	public static final int PPC_INS_VSUBSWS = 613;
-	public static final int PPC_INS_VSUBUBM = 614;
-	public static final int PPC_INS_VSUBUBS = 615;
-	public static final int PPC_INS_VSUBUHM = 616;
-	public static final int PPC_INS_VSUBUHS = 617;
-	public static final int PPC_INS_VSUBUWM = 618;
-	public static final int PPC_INS_VSUBUWS = 619;
-	public static final int PPC_INS_VSUM2SWS = 620;
-	public static final int PPC_INS_VSUM4SBS = 621;
-	public static final int PPC_INS_VSUM4SHS = 622;
-	public static final int PPC_INS_VSUM4UBS = 623;
-	public static final int PPC_INS_VSUMSWS = 624;
-	public static final int PPC_INS_VUPKHPX = 625;
-	public static final int PPC_INS_VUPKHSB = 626;
-	public static final int PPC_INS_VUPKHSH = 627;
-	public static final int PPC_INS_VUPKLPX = 628;
-	public static final int PPC_INS_VUPKLSB = 629;
-	public static final int PPC_INS_VUPKLSH = 630;
-	public static final int PPC_INS_VXOR = 631;
-	public static final int PPC_INS_WAIT = 632;
-	public static final int PPC_INS_WRTEE = 633;
-	public static final int PPC_INS_WRTEEI = 634;
-	public static final int PPC_INS_XOR = 635;
-	public static final int PPC_INS_XORI = 636;
-	public static final int PPC_INS_XORIS = 637;
-	public static final int PPC_INS_XSABSDP = 638;
-	public static final int PPC_INS_XSADDDP = 639;
-	public static final int PPC_INS_XSCMPODP = 640;
-	public static final int PPC_INS_XSCMPUDP = 641;
-	public static final int PPC_INS_XSCPSGNDP = 642;
-	public static final int PPC_INS_XSCVDPSP = 643;
-	public static final int PPC_INS_XSCVDPSXDS = 644;
-	public static final int PPC_INS_XSCVDPSXWS = 645;
-	public static final int PPC_INS_XSCVDPUXDS = 646;
-	public static final int PPC_INS_XSCVDPUXWS = 647;
-	public static final int PPC_INS_XSCVSPDP = 648;
-	public static final int PPC_INS_XSCVSXDDP = 649;
-	public static final int PPC_INS_XSCVUXDDP = 650;
-	public static final int PPC_INS_XSDIVDP = 651;
-	public static final int PPC_INS_XSMADDADP = 652;
-	public static final int PPC_INS_XSMADDMDP = 653;
-	public static final int PPC_INS_XSMAXDP = 654;
-	public static final int PPC_INS_XSMINDP = 655;
-	public static final int PPC_INS_XSMSUBADP = 656;
-	public static final int PPC_INS_XSMSUBMDP = 657;
-	public static final int PPC_INS_XSMULDP = 658;
-	public static final int PPC_INS_XSNABSDP = 659;
-	public static final int PPC_INS_XSNEGDP = 660;
-	public static final int PPC_INS_XSNMADDADP = 661;
-	public static final int PPC_INS_XSNMADDMDP = 662;
-	public static final int PPC_INS_XSNMSUBADP = 663;
-	public static final int PPC_INS_XSNMSUBMDP = 664;
-	public static final int PPC_INS_XSRDPI = 665;
-	public static final int PPC_INS_XSRDPIC = 666;
-	public static final int PPC_INS_XSRDPIM = 667;
-	public static final int PPC_INS_XSRDPIP = 668;
-	public static final int PPC_INS_XSRDPIZ = 669;
-	public static final int PPC_INS_XSREDP = 670;
-	public static final int PPC_INS_XSRSQRTEDP = 671;
-	public static final int PPC_INS_XSSQRTDP = 672;
-	public static final int PPC_INS_XSSUBDP = 673;
-	public static final int PPC_INS_XSTDIVDP = 674;
-	public static final int PPC_INS_XSTSQRTDP = 675;
-	public static final int PPC_INS_XVABSDP = 676;
-	public static final int PPC_INS_XVABSSP = 677;
-	public static final int PPC_INS_XVADDDP = 678;
-	public static final int PPC_INS_XVADDSP = 679;
-	public static final int PPC_INS_XVCMPEQDP = 680;
-	public static final int PPC_INS_XVCMPEQSP = 681;
-	public static final int PPC_INS_XVCMPGEDP = 682;
-	public static final int PPC_INS_XVCMPGESP = 683;
-	public static final int PPC_INS_XVCMPGTDP = 684;
-	public static final int PPC_INS_XVCMPGTSP = 685;
-	public static final int PPC_INS_XVCPSGNDP = 686;
-	public static final int PPC_INS_XVCPSGNSP = 687;
-	public static final int PPC_INS_XVCVDPSP = 688;
-	public static final int PPC_INS_XVCVDPSXDS = 689;
-	public static final int PPC_INS_XVCVDPSXWS = 690;
-	public static final int PPC_INS_XVCVDPUXDS = 691;
-	public static final int PPC_INS_XVCVDPUXWS = 692;
-	public static final int PPC_INS_XVCVSPDP = 693;
-	public static final int PPC_INS_XVCVSPSXDS = 694;
-	public static final int PPC_INS_XVCVSPSXWS = 695;
-	public static final int PPC_INS_XVCVSPUXDS = 696;
-	public static final int PPC_INS_XVCVSPUXWS = 697;
-	public static final int PPC_INS_XVCVSXDDP = 698;
-	public static final int PPC_INS_XVCVSXDSP = 699;
-	public static final int PPC_INS_XVCVSXWDP = 700;
-	public static final int PPC_INS_XVCVSXWSP = 701;
-	public static final int PPC_INS_XVCVUXDDP = 702;
-	public static final int PPC_INS_XVCVUXDSP = 703;
-	public static final int PPC_INS_XVCVUXWDP = 704;
-	public static final int PPC_INS_XVCVUXWSP = 705;
-	public static final int PPC_INS_XVDIVDP = 706;
-	public static final int PPC_INS_XVDIVSP = 707;
-	public static final int PPC_INS_XVMADDADP = 708;
-	public static final int PPC_INS_XVMADDASP = 709;
-	public static final int PPC_INS_XVMADDMDP = 710;
-	public static final int PPC_INS_XVMADDMSP = 711;
-	public static final int PPC_INS_XVMAXDP = 712;
-	public static final int PPC_INS_XVMAXSP = 713;
-	public static final int PPC_INS_XVMINDP = 714;
-	public static final int PPC_INS_XVMINSP = 715;
-	public static final int PPC_INS_XVMSUBADP = 716;
-	public static final int PPC_INS_XVMSUBASP = 717;
-	public static final int PPC_INS_XVMSUBMDP = 718;
-	public static final int PPC_INS_XVMSUBMSP = 719;
-	public static final int PPC_INS_XVMULDP = 720;
-	public static final int PPC_INS_XVMULSP = 721;
-	public static final int PPC_INS_XVNABSDP = 722;
-	public static final int PPC_INS_XVNABSSP = 723;
-	public static final int PPC_INS_XVNEGDP = 724;
-	public static final int PPC_INS_XVNEGSP = 725;
-	public static final int PPC_INS_XVNMADDADP = 726;
-	public static final int PPC_INS_XVNMADDASP = 727;
-	public static final int PPC_INS_XVNMADDMDP = 728;
-	public static final int PPC_INS_XVNMADDMSP = 729;
-	public static final int PPC_INS_XVNMSUBADP = 730;
-	public static final int PPC_INS_XVNMSUBASP = 731;
-	public static final int PPC_INS_XVNMSUBMDP = 732;
-	public static final int PPC_INS_XVNMSUBMSP = 733;
-	public static final int PPC_INS_XVRDPI = 734;
-	public static final int PPC_INS_XVRDPIC = 735;
-	public static final int PPC_INS_XVRDPIM = 736;
-	public static final int PPC_INS_XVRDPIP = 737;
-	public static final int PPC_INS_XVRDPIZ = 738;
-	public static final int PPC_INS_XVREDP = 739;
-	public static final int PPC_INS_XVRESP = 740;
-	public static final int PPC_INS_XVRSPI = 741;
-	public static final int PPC_INS_XVRSPIC = 742;
-	public static final int PPC_INS_XVRSPIM = 743;
-	public static final int PPC_INS_XVRSPIP = 744;
-	public static final int PPC_INS_XVRSPIZ = 745;
-	public static final int PPC_INS_XVRSQRTEDP = 746;
-	public static final int PPC_INS_XVRSQRTESP = 747;
-	public static final int PPC_INS_XVSQRTDP = 748;
-	public static final int PPC_INS_XVSQRTSP = 749;
-	public static final int PPC_INS_XVSUBDP = 750;
-	public static final int PPC_INS_XVSUBSP = 751;
-	public static final int PPC_INS_XVTDIVDP = 752;
-	public static final int PPC_INS_XVTDIVSP = 753;
-	public static final int PPC_INS_XVTSQRTDP = 754;
-	public static final int PPC_INS_XVTSQRTSP = 755;
-	public static final int PPC_INS_XXLAND = 756;
-	public static final int PPC_INS_XXLANDC = 757;
-	public static final int PPC_INS_XXLNOR = 758;
-	public static final int PPC_INS_XXLOR = 759;
-	public static final int PPC_INS_XXLXOR = 760;
-	public static final int PPC_INS_XXMRGHW = 761;
-	public static final int PPC_INS_XXMRGLW = 762;
-	public static final int PPC_INS_XXPERMDI = 763;
-	public static final int PPC_INS_XXSEL = 764;
-	public static final int PPC_INS_XXSLDWI = 765;
-	public static final int PPC_INS_XXSPLTW = 766;
-	public static final int PPC_INS_BCA = 767;
-	public static final int PPC_INS_BCLA = 768;
-	public static final int PPC_INS_SLWI = 769;
-	public static final int PPC_INS_SRWI = 770;
-	public static final int PPC_INS_SLDI = 771;
-	public static final int PPC_INS_BTA = 772;
-	public static final int PPC_INS_CRSET = 773;
-	public static final int PPC_INS_CRNOT = 774;
-	public static final int PPC_INS_CRMOVE = 775;
-	public static final int PPC_INS_CRCLR = 776;
-	public static final int PPC_INS_MFBR0 = 777;
-	public static final int PPC_INS_MFBR1 = 778;
-	public static final int PPC_INS_MFBR2 = 779;
-	public static final int PPC_INS_MFBR3 = 780;
-	public static final int PPC_INS_MFBR4 = 781;
-	public static final int PPC_INS_MFBR5 = 782;
-	public static final int PPC_INS_MFBR6 = 783;
-	public static final int PPC_INS_MFBR7 = 784;
-	public static final int PPC_INS_MFXER = 785;
-	public static final int PPC_INS_MFRTCU = 786;
-	public static final int PPC_INS_MFRTCL = 787;
-	public static final int PPC_INS_MFDSCR = 788;
-	public static final int PPC_INS_MFDSISR = 789;
-	public static final int PPC_INS_MFDAR = 790;
-	public static final int PPC_INS_MFSRR2 = 791;
-	public static final int PPC_INS_MFSRR3 = 792;
-	public static final int PPC_INS_MFCFAR = 793;
-	public static final int PPC_INS_MFAMR = 794;
-	public static final int PPC_INS_MFPID = 795;
-	public static final int PPC_INS_MFTBLO = 796;
-	public static final int PPC_INS_MFTBHI = 797;
-	public static final int PPC_INS_MFDBATU = 798;
-	public static final int PPC_INS_MFDBATL = 799;
-	public static final int PPC_INS_MFIBATU = 800;
-	public static final int PPC_INS_MFIBATL = 801;
-	public static final int PPC_INS_MFDCCR = 802;
-	public static final int PPC_INS_MFICCR = 803;
-	public static final int PPC_INS_MFDEAR = 804;
-	public static final int PPC_INS_MFESR = 805;
-	public static final int PPC_INS_MFSPEFSCR = 806;
-	public static final int PPC_INS_MFTCR = 807;
-	public static final int PPC_INS_MFASR = 808;
-	public static final int PPC_INS_MFPVR = 809;
-	public static final int PPC_INS_MFTBU = 810;
-	public static final int PPC_INS_MTCR = 811;
-	public static final int PPC_INS_MTBR0 = 812;
-	public static final int PPC_INS_MTBR1 = 813;
-	public static final int PPC_INS_MTBR2 = 814;
-	public static final int PPC_INS_MTBR3 = 815;
-	public static final int PPC_INS_MTBR4 = 816;
-	public static final int PPC_INS_MTBR5 = 817;
-	public static final int PPC_INS_MTBR6 = 818;
-	public static final int PPC_INS_MTBR7 = 819;
-	public static final int PPC_INS_MTXER = 820;
-	public static final int PPC_INS_MTDSCR = 821;
-	public static final int PPC_INS_MTDSISR = 822;
-	public static final int PPC_INS_MTDAR = 823;
-	public static final int PPC_INS_MTSRR2 = 824;
-	public static final int PPC_INS_MTSRR3 = 825;
-	public static final int PPC_INS_MTCFAR = 826;
-	public static final int PPC_INS_MTAMR = 827;
-	public static final int PPC_INS_MTPID = 828;
-	public static final int PPC_INS_MTTBL = 829;
-	public static final int PPC_INS_MTTBU = 830;
-	public static final int PPC_INS_MTTBLO = 831;
-	public static final int PPC_INS_MTTBHI = 832;
-	public static final int PPC_INS_MTDBATU = 833;
-	public static final int PPC_INS_MTDBATL = 834;
-	public static final int PPC_INS_MTIBATU = 835;
-	public static final int PPC_INS_MTIBATL = 836;
-	public static final int PPC_INS_MTDCCR = 837;
-	public static final int PPC_INS_MTICCR = 838;
-	public static final int PPC_INS_MTDEAR = 839;
-	public static final int PPC_INS_MTESR = 840;
-	public static final int PPC_INS_MTSPEFSCR = 841;
-	public static final int PPC_INS_MTTCR = 842;
-	public static final int PPC_INS_NOT = 843;
-	public static final int PPC_INS_MR = 844;
-	public static final int PPC_INS_ROTLD = 845;
-	public static final int PPC_INS_ROTLDI = 846;
-	public static final int PPC_INS_CLRLDI = 847;
-	public static final int PPC_INS_ROTLWI = 848;
-	public static final int PPC_INS_CLRLWI = 849;
-	public static final int PPC_INS_ROTLW = 850;
-	public static final int PPC_INS_SUB = 851;
-	public static final int PPC_INS_SUBC = 852;
-	public static final int PPC_INS_LWSYNC = 853;
-	public static final int PPC_INS_PTESYNC = 854;
-	public static final int PPC_INS_TDLT = 855;
-	public static final int PPC_INS_TDEQ = 856;
-	public static final int PPC_INS_TDGT = 857;
-	public static final int PPC_INS_TDNE = 858;
-	public static final int PPC_INS_TDLLT = 859;
-	public static final int PPC_INS_TDLGT = 860;
-	public static final int PPC_INS_TDU = 861;
-	public static final int PPC_INS_TDLTI = 862;
-	public static final int PPC_INS_TDEQI = 863;
-	public static final int PPC_INS_TDGTI = 864;
-	public static final int PPC_INS_TDNEI = 865;
-	public static final int PPC_INS_TDLLTI = 866;
-	public static final int PPC_INS_TDLGTI = 867;
-	public static final int PPC_INS_TDUI = 868;
-	public static final int PPC_INS_TLBREHI = 869;
-	public static final int PPC_INS_TLBRELO = 870;
-	public static final int PPC_INS_TLBWEHI = 871;
-	public static final int PPC_INS_TLBWELO = 872;
-	public static final int PPC_INS_TWLT = 873;
-	public static final int PPC_INS_TWEQ = 874;
-	public static final int PPC_INS_TWGT = 875;
-	public static final int PPC_INS_TWNE = 876;
-	public static final int PPC_INS_TWLLT = 877;
-	public static final int PPC_INS_TWLGT = 878;
-	public static final int PPC_INS_TWU = 879;
-	public static final int PPC_INS_TWLTI = 880;
-	public static final int PPC_INS_TWEQI = 881;
-	public static final int PPC_INS_TWGTI = 882;
-	public static final int PPC_INS_TWNEI = 883;
-	public static final int PPC_INS_TWLLTI = 884;
-	public static final int PPC_INS_TWLGTI = 885;
-	public static final int PPC_INS_TWUI = 886;
-	public static final int PPC_INS_WAITRSV = 887;
-	public static final int PPC_INS_WAITIMPL = 888;
-	public static final int PPC_INS_XNOP = 889;
-	public static final int PPC_INS_XVMOVDP = 890;
-	public static final int PPC_INS_XVMOVSP = 891;
-	public static final int PPC_INS_XXSPLTD = 892;
-	public static final int PPC_INS_XXMRGHD = 893;
-	public static final int PPC_INS_XXMRGLD = 894;
-	public static final int PPC_INS_XXSWAPD = 895;
-	public static final int PPC_INS_BT = 896;
-	public static final int PPC_INS_BF = 897;
-	public static final int PPC_INS_BDNZT = 898;
-	public static final int PPC_INS_BDNZF = 899;
-	public static final int PPC_INS_BDZF = 900;
-	public static final int PPC_INS_BDZT = 901;
-	public static final int PPC_INS_BFA = 902;
-	public static final int PPC_INS_BDNZTA = 903;
-	public static final int PPC_INS_BDNZFA = 904;
-	public static final int PPC_INS_BDZTA = 905;
-	public static final int PPC_INS_BDZFA = 906;
-	public static final int PPC_INS_BTCTR = 907;
-	public static final int PPC_INS_BFCTR = 908;
-	public static final int PPC_INS_BTCTRL = 909;
-	public static final int PPC_INS_BFCTRL = 910;
-	public static final int PPC_INS_BTL = 911;
-	public static final int PPC_INS_BFL = 912;
-	public static final int PPC_INS_BDNZTL = 913;
-	public static final int PPC_INS_BDNZFL = 914;
-	public static final int PPC_INS_BDZTL = 915;
-	public static final int PPC_INS_BDZFL = 916;
-	public static final int PPC_INS_BTLA = 917;
-	public static final int PPC_INS_BFLA = 918;
-	public static final int PPC_INS_BDNZTLA = 919;
-	public static final int PPC_INS_BDNZFLA = 920;
-	public static final int PPC_INS_BDZTLA = 921;
-	public static final int PPC_INS_BDZFLA = 922;
-	public static final int PPC_INS_BTLR = 923;
-	public static final int PPC_INS_BFLR = 924;
-	public static final int PPC_INS_BDNZTLR = 925;
-	public static final int PPC_INS_BDZTLR = 926;
-	public static final int PPC_INS_BDZFLR = 927;
-	public static final int PPC_INS_BTLRL = 928;
-	public static final int PPC_INS_BFLRL = 929;
-	public static final int PPC_INS_BDNZTLRL = 930;
-	public static final int PPC_INS_BDNZFLRL = 931;
-	public static final int PPC_INS_BDZTLRL = 932;
-	public static final int PPC_INS_BDZFLRL = 933;
-	public static final int PPC_INS_ENDING = 934;
-
-	// Group of PPC instructions
+	public static final int PPC_INS_ATTN = 13;
+	public static final int PPC_INS_B = 14;
+	public static final int PPC_INS_BA = 15;
+	public static final int PPC_INS_BC = 16;
+	public static final int PPC_INS_BCCTR = 17;
+	public static final int PPC_INS_BCCTRL = 18;
+	public static final int PPC_INS_BCL = 19;
+	public static final int PPC_INS_BCLR = 20;
+	public static final int PPC_INS_BCLRL = 21;
+	public static final int PPC_INS_BCTR = 22;
+	public static final int PPC_INS_BCTRL = 23;
+	public static final int PPC_INS_BCT = 24;
+	public static final int PPC_INS_BDNZ = 25;
+	public static final int PPC_INS_BDNZA = 26;
+	public static final int PPC_INS_BDNZL = 27;
+	public static final int PPC_INS_BDNZLA = 28;
+	public static final int PPC_INS_BDNZLR = 29;
+	public static final int PPC_INS_BDNZLRL = 30;
+	public static final int PPC_INS_BDZ = 31;
+	public static final int PPC_INS_BDZA = 32;
+	public static final int PPC_INS_BDZL = 33;
+	public static final int PPC_INS_BDZLA = 34;
+	public static final int PPC_INS_BDZLR = 35;
+	public static final int PPC_INS_BDZLRL = 36;
+	public static final int PPC_INS_BL = 37;
+	public static final int PPC_INS_BLA = 38;
+	public static final int PPC_INS_BLR = 39;
+	public static final int PPC_INS_BLRL = 40;
+	public static final int PPC_INS_BRINC = 41;
+	public static final int PPC_INS_CMPB = 42;
+	public static final int PPC_INS_CMPD = 43;
+	public static final int PPC_INS_CMPDI = 44;
+	public static final int PPC_INS_CMPLD = 45;
+	public static final int PPC_INS_CMPLDI = 46;
+	public static final int PPC_INS_CMPLW = 47;
+	public static final int PPC_INS_CMPLWI = 48;
+	public static final int PPC_INS_CMPW = 49;
+	public static final int PPC_INS_CMPWI = 50;
+	public static final int PPC_INS_CNTLZD = 51;
+	public static final int PPC_INS_CNTLZW = 52;
+	public static final int PPC_INS_CREQV = 53;
+	public static final int PPC_INS_CRXOR = 54;
+	public static final int PPC_INS_CRAND = 55;
+	public static final int PPC_INS_CRANDC = 56;
+	public static final int PPC_INS_CRNAND = 57;
+	public static final int PPC_INS_CRNOR = 58;
+	public static final int PPC_INS_CROR = 59;
+	public static final int PPC_INS_CRORC = 60;
+	public static final int PPC_INS_DCBA = 61;
+	public static final int PPC_INS_DCBF = 62;
+	public static final int PPC_INS_DCBI = 63;
+	public static final int PPC_INS_DCBST = 64;
+	public static final int PPC_INS_DCBT = 65;
+	public static final int PPC_INS_DCBTST = 66;
+	public static final int PPC_INS_DCBZ = 67;
+	public static final int PPC_INS_DCBZL = 68;
+	public static final int PPC_INS_DCCCI = 69;
+	public static final int PPC_INS_DIVD = 70;
+	public static final int PPC_INS_DIVDU = 71;
+	public static final int PPC_INS_DIVW = 72;
+	public static final int PPC_INS_DIVWU = 73;
+	public static final int PPC_INS_DSS = 74;
+	public static final int PPC_INS_DSSALL = 75;
+	public static final int PPC_INS_DST = 76;
+	public static final int PPC_INS_DSTST = 77;
+	public static final int PPC_INS_DSTSTT = 78;
+	public static final int PPC_INS_DSTT = 79;
+	public static final int PPC_INS_EQV = 80;
+	public static final int PPC_INS_EVABS = 81;
+	public static final int PPC_INS_EVADDIW = 82;
+	public static final int PPC_INS_EVADDSMIAAW = 83;
+	public static final int PPC_INS_EVADDSSIAAW = 84;
+	public static final int PPC_INS_EVADDUMIAAW = 85;
+	public static final int PPC_INS_EVADDUSIAAW = 86;
+	public static final int PPC_INS_EVADDW = 87;
+	public static final int PPC_INS_EVAND = 88;
+	public static final int PPC_INS_EVANDC = 89;
+	public static final int PPC_INS_EVCMPEQ = 90;
+	public static final int PPC_INS_EVCMPGTS = 91;
+	public static final int PPC_INS_EVCMPGTU = 92;
+	public static final int PPC_INS_EVCMPLTS = 93;
+	public static final int PPC_INS_EVCMPLTU = 94;
+	public static final int PPC_INS_EVCNTLSW = 95;
+	public static final int PPC_INS_EVCNTLZW = 96;
+	public static final int PPC_INS_EVDIVWS = 97;
+	public static final int PPC_INS_EVDIVWU = 98;
+	public static final int PPC_INS_EVEQV = 99;
+	public static final int PPC_INS_EVEXTSB = 100;
+	public static final int PPC_INS_EVEXTSH = 101;
+	public static final int PPC_INS_EVLDD = 102;
+	public static final int PPC_INS_EVLDDX = 103;
+	public static final int PPC_INS_EVLDH = 104;
+	public static final int PPC_INS_EVLDHX = 105;
+	public static final int PPC_INS_EVLDW = 106;
+	public static final int PPC_INS_EVLDWX = 107;
+	public static final int PPC_INS_EVLHHESPLAT = 108;
+	public static final int PPC_INS_EVLHHESPLATX = 109;
+	public static final int PPC_INS_EVLHHOSSPLAT = 110;
+	public static final int PPC_INS_EVLHHOSSPLATX = 111;
+	public static final int PPC_INS_EVLHHOUSPLAT = 112;
+	public static final int PPC_INS_EVLHHOUSPLATX = 113;
+	public static final int PPC_INS_EVLWHE = 114;
+	public static final int PPC_INS_EVLWHEX = 115;
+	public static final int PPC_INS_EVLWHOS = 116;
+	public static final int PPC_INS_EVLWHOSX = 117;
+	public static final int PPC_INS_EVLWHOU = 118;
+	public static final int PPC_INS_EVLWHOUX = 119;
+	public static final int PPC_INS_EVLWHSPLAT = 120;
+	public static final int PPC_INS_EVLWHSPLATX = 121;
+	public static final int PPC_INS_EVLWWSPLAT = 122;
+	public static final int PPC_INS_EVLWWSPLATX = 123;
+	public static final int PPC_INS_EVMERGEHI = 124;
+	public static final int PPC_INS_EVMERGEHILO = 125;
+	public static final int PPC_INS_EVMERGELO = 126;
+	public static final int PPC_INS_EVMERGELOHI = 127;
+	public static final int PPC_INS_EVMHEGSMFAA = 128;
+	public static final int PPC_INS_EVMHEGSMFAN = 129;
+	public static final int PPC_INS_EVMHEGSMIAA = 130;
+	public static final int PPC_INS_EVMHEGSMIAN = 131;
+	public static final int PPC_INS_EVMHEGUMIAA = 132;
+	public static final int PPC_INS_EVMHEGUMIAN = 133;
+	public static final int PPC_INS_EVMHESMF = 134;
+	public static final int PPC_INS_EVMHESMFA = 135;
+	public static final int PPC_INS_EVMHESMFAAW = 136;
+	public static final int PPC_INS_EVMHESMFANW = 137;
+	public static final int PPC_INS_EVMHESMI = 138;
+	public static final int PPC_INS_EVMHESMIA = 139;
+	public static final int PPC_INS_EVMHESMIAAW = 140;
+	public static final int PPC_INS_EVMHESMIANW = 141;
+	public static final int PPC_INS_EVMHESSF = 142;
+	public static final int PPC_INS_EVMHESSFA = 143;
+	public static final int PPC_INS_EVMHESSFAAW = 144;
+	public static final int PPC_INS_EVMHESSFANW = 145;
+	public static final int PPC_INS_EVMHESSIAAW = 146;
+	public static final int PPC_INS_EVMHESSIANW = 147;
+	public static final int PPC_INS_EVMHEUMI = 148;
+	public static final int PPC_INS_EVMHEUMIA = 149;
+	public static final int PPC_INS_EVMHEUMIAAW = 150;
+	public static final int PPC_INS_EVMHEUMIANW = 151;
+	public static final int PPC_INS_EVMHEUSIAAW = 152;
+	public static final int PPC_INS_EVMHEUSIANW = 153;
+	public static final int PPC_INS_EVMHOGSMFAA = 154;
+	public static final int PPC_INS_EVMHOGSMFAN = 155;
+	public static final int PPC_INS_EVMHOGSMIAA = 156;
+	public static final int PPC_INS_EVMHOGSMIAN = 157;
+	public static final int PPC_INS_EVMHOGUMIAA = 158;
+	public static final int PPC_INS_EVMHOGUMIAN = 159;
+	public static final int PPC_INS_EVMHOSMF = 160;
+	public static final int PPC_INS_EVMHOSMFA = 161;
+	public static final int PPC_INS_EVMHOSMFAAW = 162;
+	public static final int PPC_INS_EVMHOSMFANW = 163;
+	public static final int PPC_INS_EVMHOSMI = 164;
+	public static final int PPC_INS_EVMHOSMIA = 165;
+	public static final int PPC_INS_EVMHOSMIAAW = 166;
+	public static final int PPC_INS_EVMHOSMIANW = 167;
+	public static final int PPC_INS_EVMHOSSF = 168;
+	public static final int PPC_INS_EVMHOSSFA = 169;
+	public static final int PPC_INS_EVMHOSSFAAW = 170;
+	public static final int PPC_INS_EVMHOSSFANW = 171;
+	public static final int PPC_INS_EVMHOSSIAAW = 172;
+	public static final int PPC_INS_EVMHOSSIANW = 173;
+	public static final int PPC_INS_EVMHOUMI = 174;
+	public static final int PPC_INS_EVMHOUMIA = 175;
+	public static final int PPC_INS_EVMHOUMIAAW = 176;
+	public static final int PPC_INS_EVMHOUMIANW = 177;
+	public static final int PPC_INS_EVMHOUSIAAW = 178;
+	public static final int PPC_INS_EVMHOUSIANW = 179;
+	public static final int PPC_INS_EVMRA = 180;
+	public static final int PPC_INS_EVMWHSMF = 181;
+	public static final int PPC_INS_EVMWHSMFA = 182;
+	public static final int PPC_INS_EVMWHSMI = 183;
+	public static final int PPC_INS_EVMWHSMIA = 184;
+	public static final int PPC_INS_EVMWHSSF = 185;
+	public static final int PPC_INS_EVMWHSSFA = 186;
+	public static final int PPC_INS_EVMWHUMI = 187;
+	public static final int PPC_INS_EVMWHUMIA = 188;
+	public static final int PPC_INS_EVMWLSMIAAW = 189;
+	public static final int PPC_INS_EVMWLSMIANW = 190;
+	public static final int PPC_INS_EVMWLSSIAAW = 191;
+	public static final int PPC_INS_EVMWLSSIANW = 192;
+	public static final int PPC_INS_EVMWLUMI = 193;
+	public static final int PPC_INS_EVMWLUMIA = 194;
+	public static final int PPC_INS_EVMWLUMIAAW = 195;
+	public static final int PPC_INS_EVMWLUMIANW = 196;
+	public static final int PPC_INS_EVMWLUSIAAW = 197;
+	public static final int PPC_INS_EVMWLUSIANW = 198;
+	public static final int PPC_INS_EVMWSMF = 199;
+	public static final int PPC_INS_EVMWSMFA = 200;
+	public static final int PPC_INS_EVMWSMFAA = 201;
+	public static final int PPC_INS_EVMWSMFAN = 202;
+	public static final int PPC_INS_EVMWSMI = 203;
+	public static final int PPC_INS_EVMWSMIA = 204;
+	public static final int PPC_INS_EVMWSMIAA = 205;
+	public static final int PPC_INS_EVMWSMIAN = 206;
+	public static final int PPC_INS_EVMWSSF = 207;
+	public static final int PPC_INS_EVMWSSFA = 208;
+	public static final int PPC_INS_EVMWSSFAA = 209;
+	public static final int PPC_INS_EVMWSSFAN = 210;
+	public static final int PPC_INS_EVMWUMI = 211;
+	public static final int PPC_INS_EVMWUMIA = 212;
+	public static final int PPC_INS_EVMWUMIAA = 213;
+	public static final int PPC_INS_EVMWUMIAN = 214;
+	public static final int PPC_INS_EVNAND = 215;
+	public static final int PPC_INS_EVNEG = 216;
+	public static final int PPC_INS_EVNOR = 217;
+	public static final int PPC_INS_EVOR = 218;
+	public static final int PPC_INS_EVORC = 219;
+	public static final int PPC_INS_EVRLW = 220;
+	public static final int PPC_INS_EVRLWI = 221;
+	public static final int PPC_INS_EVRNDW = 222;
+	public static final int PPC_INS_EVSLW = 223;
+	public static final int PPC_INS_EVSLWI = 224;
+	public static final int PPC_INS_EVSPLATFI = 225;
+	public static final int PPC_INS_EVSPLATI = 226;
+	public static final int PPC_INS_EVSRWIS = 227;
+	public static final int PPC_INS_EVSRWIU = 228;
+	public static final int PPC_INS_EVSRWS = 229;
+	public static final int PPC_INS_EVSRWU = 230;
+	public static final int PPC_INS_EVSTDD = 231;
+	public static final int PPC_INS_EVSTDDX = 232;
+	public static final int PPC_INS_EVSTDH = 233;
+	public static final int PPC_INS_EVSTDHX = 234;
+	public static final int PPC_INS_EVSTDW = 235;
+	public static final int PPC_INS_EVSTDWX = 236;
+	public static final int PPC_INS_EVSTWHE = 237;
+	public static final int PPC_INS_EVSTWHEX = 238;
+	public static final int PPC_INS_EVSTWHO = 239;
+	public static final int PPC_INS_EVSTWHOX = 240;
+	public static final int PPC_INS_EVSTWWE = 241;
+	public static final int PPC_INS_EVSTWWEX = 242;
+	public static final int PPC_INS_EVSTWWO = 243;
+	public static final int PPC_INS_EVSTWWOX = 244;
+	public static final int PPC_INS_EVSUBFSMIAAW = 245;
+	public static final int PPC_INS_EVSUBFSSIAAW = 246;
+	public static final int PPC_INS_EVSUBFUMIAAW = 247;
+	public static final int PPC_INS_EVSUBFUSIAAW = 248;
+	public static final int PPC_INS_EVSUBFW = 249;
+	public static final int PPC_INS_EVSUBIFW = 250;
+	public static final int PPC_INS_EVXOR = 251;
+	public static final int PPC_INS_EXTSB = 252;
+	public static final int PPC_INS_EXTSH = 253;
+	public static final int PPC_INS_EXTSW = 254;
+	public static final int PPC_INS_EIEIO = 255;
+	public static final int PPC_INS_FABS = 256;
+	public static final int PPC_INS_FADD = 257;
+	public static final int PPC_INS_FADDS = 258;
+	public static final int PPC_INS_FCFID = 259;
+	public static final int PPC_INS_FCFIDS = 260;
+	public static final int PPC_INS_FCFIDU = 261;
+	public static final int PPC_INS_FCFIDUS = 262;
+	public static final int PPC_INS_FCMPU = 263;
+	public static final int PPC_INS_FCPSGN = 264;
+	public static final int PPC_INS_FCTID = 265;
+	public static final int PPC_INS_FCTIDUZ = 266;
+	public static final int PPC_INS_FCTIDZ = 267;
+	public static final int PPC_INS_FCTIW = 268;
+	public static final int PPC_INS_FCTIWUZ = 269;
+	public static final int PPC_INS_FCTIWZ = 270;
+	public static final int PPC_INS_FDIV = 271;
+	public static final int PPC_INS_FDIVS = 272;
+	public static final int PPC_INS_FMADD = 273;
+	public static final int PPC_INS_FMADDS = 274;
+	public static final int PPC_INS_FMR = 275;
+	public static final int PPC_INS_FMSUB = 276;
+	public static final int PPC_INS_FMSUBS = 277;
+	public static final int PPC_INS_FMUL = 278;
+	public static final int PPC_INS_FMULS = 279;
+	public static final int PPC_INS_FNABS = 280;
+	public static final int PPC_INS_FNEG = 281;
+	public static final int PPC_INS_FNMADD = 282;
+	public static final int PPC_INS_FNMADDS = 283;
+	public static final int PPC_INS_FNMSUB = 284;
+	public static final int PPC_INS_FNMSUBS = 285;
+	public static final int PPC_INS_FRE = 286;
+	public static final int PPC_INS_FRES = 287;
+	public static final int PPC_INS_FRIM = 288;
+	public static final int PPC_INS_FRIN = 289;
+	public static final int PPC_INS_FRIP = 290;
+	public static final int PPC_INS_FRIZ = 291;
+	public static final int PPC_INS_FRSP = 292;
+	public static final int PPC_INS_FRSQRTE = 293;
+	public static final int PPC_INS_FRSQRTES = 294;
+	public static final int PPC_INS_FSEL = 295;
+	public static final int PPC_INS_FSQRT = 296;
+	public static final int PPC_INS_FSQRTS = 297;
+	public static final int PPC_INS_FSUB = 298;
+	public static final int PPC_INS_FSUBS = 299;
+	public static final int PPC_INS_ICBI = 300;
+	public static final int PPC_INS_ICBT = 301;
+	public static final int PPC_INS_ICCCI = 302;
+	public static final int PPC_INS_ISEL = 303;
+	public static final int PPC_INS_ISYNC = 304;
+	public static final int PPC_INS_LA = 305;
+	public static final int PPC_INS_LBZ = 306;
+	public static final int PPC_INS_LBZCIX = 307;
+	public static final int PPC_INS_LBZU = 308;
+	public static final int PPC_INS_LBZUX = 309;
+	public static final int PPC_INS_LBZX = 310;
+	public static final int PPC_INS_LD = 311;
+	public static final int PPC_INS_LDARX = 312;
+	public static final int PPC_INS_LDBRX = 313;
+	public static final int PPC_INS_LDCIX = 314;
+	public static final int PPC_INS_LDU = 315;
+	public static final int PPC_INS_LDUX = 316;
+	public static final int PPC_INS_LDX = 317;
+	public static final int PPC_INS_LFD = 318;
+	public static final int PPC_INS_LFDU = 319;
+	public static final int PPC_INS_LFDUX = 320;
+	public static final int PPC_INS_LFDX = 321;
+	public static final int PPC_INS_LFIWAX = 322;
+	public static final int PPC_INS_LFIWZX = 323;
+	public static final int PPC_INS_LFS = 324;
+	public static final int PPC_INS_LFSU = 325;
+	public static final int PPC_INS_LFSUX = 326;
+	public static final int PPC_INS_LFSX = 327;
+	public static final int PPC_INS_LHA = 328;
+	public static final int PPC_INS_LHAU = 329;
+	public static final int PPC_INS_LHAUX = 330;
+	public static final int PPC_INS_LHAX = 331;
+	public static final int PPC_INS_LHBRX = 332;
+	public static final int PPC_INS_LHZ = 333;
+	public static final int PPC_INS_LHZCIX = 334;
+	public static final int PPC_INS_LHZU = 335;
+	public static final int PPC_INS_LHZUX = 336;
+	public static final int PPC_INS_LHZX = 337;
+	public static final int PPC_INS_LI = 338;
+	public static final int PPC_INS_LIS = 339;
+	public static final int PPC_INS_LMW = 340;
+	public static final int PPC_INS_LSWI = 341;
+	public static final int PPC_INS_LVEBX = 342;
+	public static final int PPC_INS_LVEHX = 343;
+	public static final int PPC_INS_LVEWX = 344;
+	public static final int PPC_INS_LVSL = 345;
+	public static final int PPC_INS_LVSR = 346;
+	public static final int PPC_INS_LVX = 347;
+	public static final int PPC_INS_LVXL = 348;
+	public static final int PPC_INS_LWA = 349;
+	public static final int PPC_INS_LWARX = 350;
+	public static final int PPC_INS_LWAUX = 351;
+	public static final int PPC_INS_LWAX = 352;
+	public static final int PPC_INS_LWBRX = 353;
+	public static final int PPC_INS_LWZ = 354;
+	public static final int PPC_INS_LWZCIX = 355;
+	public static final int PPC_INS_LWZU = 356;
+	public static final int PPC_INS_LWZUX = 357;
+	public static final int PPC_INS_LWZX = 358;
+	public static final int PPC_INS_LXSDX = 359;
+	public static final int PPC_INS_LXVD2X = 360;
+	public static final int PPC_INS_LXVDSX = 361;
+	public static final int PPC_INS_LXVW4X = 362;
+	public static final int PPC_INS_MBAR = 363;
+	public static final int PPC_INS_MCRF = 364;
+	public static final int PPC_INS_MCRFS = 365;
+	public static final int PPC_INS_MFCR = 366;
+	public static final int PPC_INS_MFCTR = 367;
+	public static final int PPC_INS_MFDCR = 368;
+	public static final int PPC_INS_MFFS = 369;
+	public static final int PPC_INS_MFLR = 370;
+	public static final int PPC_INS_MFMSR = 371;
+	public static final int PPC_INS_MFOCRF = 372;
+	public static final int PPC_INS_MFSPR = 373;
+	public static final int PPC_INS_MFSR = 374;
+	public static final int PPC_INS_MFSRIN = 375;
+	public static final int PPC_INS_MFTB = 376;
+	public static final int PPC_INS_MFVSCR = 377;
+	public static final int PPC_INS_MSYNC = 378;
+	public static final int PPC_INS_MTCRF = 379;
+	public static final int PPC_INS_MTCTR = 380;
+	public static final int PPC_INS_MTDCR = 381;
+	public static final int PPC_INS_MTFSB0 = 382;
+	public static final int PPC_INS_MTFSB1 = 383;
+	public static final int PPC_INS_MTFSF = 384;
+	public static final int PPC_INS_MTFSFI = 385;
+	public static final int PPC_INS_MTLR = 386;
+	public static final int PPC_INS_MTMSR = 387;
+	public static final int PPC_INS_MTMSRD = 388;
+	public static final int PPC_INS_MTOCRF = 389;
+	public static final int PPC_INS_MTSPR = 390;
+	public static final int PPC_INS_MTSR = 391;
+	public static final int PPC_INS_MTSRIN = 392;
+	public static final int PPC_INS_MTVSCR = 393;
+	public static final int PPC_INS_MULHD = 394;
+	public static final int PPC_INS_MULHDU = 395;
+	public static final int PPC_INS_MULHW = 396;
+	public static final int PPC_INS_MULHWU = 397;
+	public static final int PPC_INS_MULLD = 398;
+	public static final int PPC_INS_MULLI = 399;
+	public static final int PPC_INS_MULLW = 400;
+	public static final int PPC_INS_NAND = 401;
+	public static final int PPC_INS_NEG = 402;
+	public static final int PPC_INS_NOP = 403;
+	public static final int PPC_INS_ORI = 404;
+	public static final int PPC_INS_NOR = 405;
+	public static final int PPC_INS_OR = 406;
+	public static final int PPC_INS_ORC = 407;
+	public static final int PPC_INS_ORIS = 408;
+	public static final int PPC_INS_POPCNTD = 409;
+	public static final int PPC_INS_POPCNTW = 410;
+	public static final int PPC_INS_QVALIGNI = 411;
+	public static final int PPC_INS_QVESPLATI = 412;
+	public static final int PPC_INS_QVFABS = 413;
+	public static final int PPC_INS_QVFADD = 414;
+	public static final int PPC_INS_QVFADDS = 415;
+	public static final int PPC_INS_QVFCFID = 416;
+	public static final int PPC_INS_QVFCFIDS = 417;
+	public static final int PPC_INS_QVFCFIDU = 418;
+	public static final int PPC_INS_QVFCFIDUS = 419;
+	public static final int PPC_INS_QVFCMPEQ = 420;
+	public static final int PPC_INS_QVFCMPGT = 421;
+	public static final int PPC_INS_QVFCMPLT = 422;
+	public static final int PPC_INS_QVFCPSGN = 423;
+	public static final int PPC_INS_QVFCTID = 424;
+	public static final int PPC_INS_QVFCTIDU = 425;
+	public static final int PPC_INS_QVFCTIDUZ = 426;
+	public static final int PPC_INS_QVFCTIDZ = 427;
+	public static final int PPC_INS_QVFCTIW = 428;
+	public static final int PPC_INS_QVFCTIWU = 429;
+	public static final int PPC_INS_QVFCTIWUZ = 430;
+	public static final int PPC_INS_QVFCTIWZ = 431;
+	public static final int PPC_INS_QVFLOGICAL = 432;
+	public static final int PPC_INS_QVFMADD = 433;
+	public static final int PPC_INS_QVFMADDS = 434;
+	public static final int PPC_INS_QVFMR = 435;
+	public static final int PPC_INS_QVFMSUB = 436;
+	public static final int PPC_INS_QVFMSUBS = 437;
+	public static final int PPC_INS_QVFMUL = 438;
+	public static final int PPC_INS_QVFMULS = 439;
+	public static final int PPC_INS_QVFNABS = 440;
+	public static final int PPC_INS_QVFNEG = 441;
+	public static final int PPC_INS_QVFNMADD = 442;
+	public static final int PPC_INS_QVFNMADDS = 443;
+	public static final int PPC_INS_QVFNMSUB = 444;
+	public static final int PPC_INS_QVFNMSUBS = 445;
+	public static final int PPC_INS_QVFPERM = 446;
+	public static final int PPC_INS_QVFRE = 447;
+	public static final int PPC_INS_QVFRES = 448;
+	public static final int PPC_INS_QVFRIM = 449;
+	public static final int PPC_INS_QVFRIN = 450;
+	public static final int PPC_INS_QVFRIP = 451;
+	public static final int PPC_INS_QVFRIZ = 452;
+	public static final int PPC_INS_QVFRSP = 453;
+	public static final int PPC_INS_QVFRSQRTE = 454;
+	public static final int PPC_INS_QVFRSQRTES = 455;
+	public static final int PPC_INS_QVFSEL = 456;
+	public static final int PPC_INS_QVFSUB = 457;
+	public static final int PPC_INS_QVFSUBS = 458;
+	public static final int PPC_INS_QVFTSTNAN = 459;
+	public static final int PPC_INS_QVFXMADD = 460;
+	public static final int PPC_INS_QVFXMADDS = 461;
+	public static final int PPC_INS_QVFXMUL = 462;
+	public static final int PPC_INS_QVFXMULS = 463;
+	public static final int PPC_INS_QVFXXCPNMADD = 464;
+	public static final int PPC_INS_QVFXXCPNMADDS = 465;
+	public static final int PPC_INS_QVFXXMADD = 466;
+	public static final int PPC_INS_QVFXXMADDS = 467;
+	public static final int PPC_INS_QVFXXNPMADD = 468;
+	public static final int PPC_INS_QVFXXNPMADDS = 469;
+	public static final int PPC_INS_QVGPCI = 470;
+	public static final int PPC_INS_QVLFCDUX = 471;
+	public static final int PPC_INS_QVLFCDUXA = 472;
+	public static final int PPC_INS_QVLFCDX = 473;
+	public static final int PPC_INS_QVLFCDXA = 474;
+	public static final int PPC_INS_QVLFCSUX = 475;
+	public static final int PPC_INS_QVLFCSUXA = 476;
+	public static final int PPC_INS_QVLFCSX = 477;
+	public static final int PPC_INS_QVLFCSXA = 478;
+	public static final int PPC_INS_QVLFDUX = 479;
+	public static final int PPC_INS_QVLFDUXA = 480;
+	public static final int PPC_INS_QVLFDX = 481;
+	public static final int PPC_INS_QVLFDXA = 482;
+	public static final int PPC_INS_QVLFIWAX = 483;
+	public static final int PPC_INS_QVLFIWAXA = 484;
+	public static final int PPC_INS_QVLFIWZX = 485;
+	public static final int PPC_INS_QVLFIWZXA = 486;
+	public static final int PPC_INS_QVLFSUX = 487;
+	public static final int PPC_INS_QVLFSUXA = 488;
+	public static final int PPC_INS_QVLFSX = 489;
+	public static final int PPC_INS_QVLFSXA = 490;
+	public static final int PPC_INS_QVLPCLDX = 491;
+	public static final int PPC_INS_QVLPCLSX = 492;
+	public static final int PPC_INS_QVLPCRDX = 493;
+	public static final int PPC_INS_QVLPCRSX = 494;
+	public static final int PPC_INS_QVSTFCDUX = 495;
+	public static final int PPC_INS_QVSTFCDUXA = 496;
+	public static final int PPC_INS_QVSTFCDUXI = 497;
+	public static final int PPC_INS_QVSTFCDUXIA = 498;
+	public static final int PPC_INS_QVSTFCDX = 499;
+	public static final int PPC_INS_QVSTFCDXA = 500;
+	public static final int PPC_INS_QVSTFCDXI = 501;
+	public static final int PPC_INS_QVSTFCDXIA = 502;
+	public static final int PPC_INS_QVSTFCSUX = 503;
+	public static final int PPC_INS_QVSTFCSUXA = 504;
+	public static final int PPC_INS_QVSTFCSUXI = 505;
+	public static final int PPC_INS_QVSTFCSUXIA = 506;
+	public static final int PPC_INS_QVSTFCSX = 507;
+	public static final int PPC_INS_QVSTFCSXA = 508;
+	public static final int PPC_INS_QVSTFCSXI = 509;
+	public static final int PPC_INS_QVSTFCSXIA = 510;
+	public static final int PPC_INS_QVSTFDUX = 511;
+	public static final int PPC_INS_QVSTFDUXA = 512;
+	public static final int PPC_INS_QVSTFDUXI = 513;
+	public static final int PPC_INS_QVSTFDUXIA = 514;
+	public static final int PPC_INS_QVSTFDX = 515;
+	public static final int PPC_INS_QVSTFDXA = 516;
+	public static final int PPC_INS_QVSTFDXI = 517;
+	public static final int PPC_INS_QVSTFDXIA = 518;
+	public static final int PPC_INS_QVSTFIWX = 519;
+	public static final int PPC_INS_QVSTFIWXA = 520;
+	public static final int PPC_INS_QVSTFSUX = 521;
+	public static final int PPC_INS_QVSTFSUXA = 522;
+	public static final int PPC_INS_QVSTFSUXI = 523;
+	public static final int PPC_INS_QVSTFSUXIA = 524;
+	public static final int PPC_INS_QVSTFSX = 525;
+	public static final int PPC_INS_QVSTFSXA = 526;
+	public static final int PPC_INS_QVSTFSXI = 527;
+	public static final int PPC_INS_QVSTFSXIA = 528;
+	public static final int PPC_INS_RFCI = 529;
+	public static final int PPC_INS_RFDI = 530;
+	public static final int PPC_INS_RFI = 531;
+	public static final int PPC_INS_RFID = 532;
+	public static final int PPC_INS_RFMCI = 533;
+	public static final int PPC_INS_RLDCL = 534;
+	public static final int PPC_INS_RLDCR = 535;
+	public static final int PPC_INS_RLDIC = 536;
+	public static final int PPC_INS_RLDICL = 537;
+	public static final int PPC_INS_RLDICR = 538;
+	public static final int PPC_INS_RLDIMI = 539;
+	public static final int PPC_INS_RLWIMI = 540;
+	public static final int PPC_INS_RLWINM = 541;
+	public static final int PPC_INS_RLWNM = 542;
+	public static final int PPC_INS_SC = 543;
+	public static final int PPC_INS_SLBIA = 544;
+	public static final int PPC_INS_SLBIE = 545;
+	public static final int PPC_INS_SLBMFEE = 546;
+	public static final int PPC_INS_SLBMTE = 547;
+	public static final int PPC_INS_SLD = 548;
+	public static final int PPC_INS_SLW = 549;
+	public static final int PPC_INS_SRAD = 550;
+	public static final int PPC_INS_SRADI = 551;
+	public static final int PPC_INS_SRAW = 552;
+	public static final int PPC_INS_SRAWI = 553;
+	public static final int PPC_INS_SRD = 554;
+	public static final int PPC_INS_SRW = 555;
+	public static final int PPC_INS_STB = 556;
+	public static final int PPC_INS_STBCIX = 557;
+	public static final int PPC_INS_STBU = 558;
+	public static final int PPC_INS_STBUX = 559;
+	public static final int PPC_INS_STBX = 560;
+	public static final int PPC_INS_STD = 561;
+	public static final int PPC_INS_STDBRX = 562;
+	public static final int PPC_INS_STDCIX = 563;
+	public static final int PPC_INS_STDCX = 564;
+	public static final int PPC_INS_STDU = 565;
+	public static final int PPC_INS_STDUX = 566;
+	public static final int PPC_INS_STDX = 567;
+	public static final int PPC_INS_STFD = 568;
+	public static final int PPC_INS_STFDU = 569;
+	public static final int PPC_INS_STFDUX = 570;
+	public static final int PPC_INS_STFDX = 571;
+	public static final int PPC_INS_STFIWX = 572;
+	public static final int PPC_INS_STFS = 573;
+	public static final int PPC_INS_STFSU = 574;
+	public static final int PPC_INS_STFSUX = 575;
+	public static final int PPC_INS_STFSX = 576;
+	public static final int PPC_INS_STH = 577;
+	public static final int PPC_INS_STHBRX = 578;
+	public static final int PPC_INS_STHCIX = 579;
+	public static final int PPC_INS_STHU = 580;
+	public static final int PPC_INS_STHUX = 581;
+	public static final int PPC_INS_STHX = 582;
+	public static final int PPC_INS_STMW = 583;
+	public static final int PPC_INS_STSWI = 584;
+	public static final int PPC_INS_STVEBX = 585;
+	public static final int PPC_INS_STVEHX = 586;
+	public static final int PPC_INS_STVEWX = 587;
+	public static final int PPC_INS_STVX = 588;
+	public static final int PPC_INS_STVXL = 589;
+	public static final int PPC_INS_STW = 590;
+	public static final int PPC_INS_STWBRX = 591;
+	public static final int PPC_INS_STWCIX = 592;
+	public static final int PPC_INS_STWCX = 593;
+	public static final int PPC_INS_STWU = 594;
+	public static final int PPC_INS_STWUX = 595;
+	public static final int PPC_INS_STWX = 596;
+	public static final int PPC_INS_STXSDX = 597;
+	public static final int PPC_INS_STXVD2X = 598;
+	public static final int PPC_INS_STXVW4X = 599;
+	public static final int PPC_INS_SUBF = 600;
+	public static final int PPC_INS_SUBFC = 601;
+	public static final int PPC_INS_SUBFE = 602;
+	public static final int PPC_INS_SUBFIC = 603;
+	public static final int PPC_INS_SUBFME = 604;
+	public static final int PPC_INS_SUBFZE = 605;
+	public static final int PPC_INS_SYNC = 606;
+	public static final int PPC_INS_TD = 607;
+	public static final int PPC_INS_TDI = 608;
+	public static final int PPC_INS_TLBIA = 609;
+	public static final int PPC_INS_TLBIE = 610;
+	public static final int PPC_INS_TLBIEL = 611;
+	public static final int PPC_INS_TLBIVAX = 612;
+	public static final int PPC_INS_TLBLD = 613;
+	public static final int PPC_INS_TLBLI = 614;
+	public static final int PPC_INS_TLBRE = 615;
+	public static final int PPC_INS_TLBSX = 616;
+	public static final int PPC_INS_TLBSYNC = 617;
+	public static final int PPC_INS_TLBWE = 618;
+	public static final int PPC_INS_TRAP = 619;
+	public static final int PPC_INS_TW = 620;
+	public static final int PPC_INS_TWI = 621;
+	public static final int PPC_INS_VADDCUW = 622;
+	public static final int PPC_INS_VADDFP = 623;
+	public static final int PPC_INS_VADDSBS = 624;
+	public static final int PPC_INS_VADDSHS = 625;
+	public static final int PPC_INS_VADDSWS = 626;
+	public static final int PPC_INS_VADDUBM = 627;
+	public static final int PPC_INS_VADDUBS = 628;
+	public static final int PPC_INS_VADDUDM = 629;
+	public static final int PPC_INS_VADDUHM = 630;
+	public static final int PPC_INS_VADDUHS = 631;
+	public static final int PPC_INS_VADDUWM = 632;
+	public static final int PPC_INS_VADDUWS = 633;
+	public static final int PPC_INS_VAND = 634;
+	public static final int PPC_INS_VANDC = 635;
+	public static final int PPC_INS_VAVGSB = 636;
+	public static final int PPC_INS_VAVGSH = 637;
+	public static final int PPC_INS_VAVGSW = 638;
+	public static final int PPC_INS_VAVGUB = 639;
+	public static final int PPC_INS_VAVGUH = 640;
+	public static final int PPC_INS_VAVGUW = 641;
+	public static final int PPC_INS_VCFSX = 642;
+	public static final int PPC_INS_VCFUX = 643;
+	public static final int PPC_INS_VCLZB = 644;
+	public static final int PPC_INS_VCLZD = 645;
+	public static final int PPC_INS_VCLZH = 646;
+	public static final int PPC_INS_VCLZW = 647;
+	public static final int PPC_INS_VCMPBFP = 648;
+	public static final int PPC_INS_VCMPEQFP = 649;
+	public static final int PPC_INS_VCMPEQUB = 650;
+	public static final int PPC_INS_VCMPEQUD = 651;
+	public static final int PPC_INS_VCMPEQUH = 652;
+	public static final int PPC_INS_VCMPEQUW = 653;
+	public static final int PPC_INS_VCMPGEFP = 654;
+	public static final int PPC_INS_VCMPGTFP = 655;
+	public static final int PPC_INS_VCMPGTSB = 656;
+	public static final int PPC_INS_VCMPGTSD = 657;
+	public static final int PPC_INS_VCMPGTSH = 658;
+	public static final int PPC_INS_VCMPGTSW = 659;
+	public static final int PPC_INS_VCMPGTUB = 660;
+	public static final int PPC_INS_VCMPGTUD = 661;
+	public static final int PPC_INS_VCMPGTUH = 662;
+	public static final int PPC_INS_VCMPGTUW = 663;
+	public static final int PPC_INS_VCTSXS = 664;
+	public static final int PPC_INS_VCTUXS = 665;
+	public static final int PPC_INS_VEQV = 666;
+	public static final int PPC_INS_VEXPTEFP = 667;
+	public static final int PPC_INS_VLOGEFP = 668;
+	public static final int PPC_INS_VMADDFP = 669;
+	public static final int PPC_INS_VMAXFP = 670;
+	public static final int PPC_INS_VMAXSB = 671;
+	public static final int PPC_INS_VMAXSD = 672;
+	public static final int PPC_INS_VMAXSH = 673;
+	public static final int PPC_INS_VMAXSW = 674;
+	public static final int PPC_INS_VMAXUB = 675;
+	public static final int PPC_INS_VMAXUD = 676;
+	public static final int PPC_INS_VMAXUH = 677;
+	public static final int PPC_INS_VMAXUW = 678;
+	public static final int PPC_INS_VMHADDSHS = 679;
+	public static final int PPC_INS_VMHRADDSHS = 680;
+	public static final int PPC_INS_VMINUD = 681;
+	public static final int PPC_INS_VMINFP = 682;
+	public static final int PPC_INS_VMINSB = 683;
+	public static final int PPC_INS_VMINSD = 684;
+	public static final int PPC_INS_VMINSH = 685;
+	public static final int PPC_INS_VMINSW = 686;
+	public static final int PPC_INS_VMINUB = 687;
+	public static final int PPC_INS_VMINUH = 688;
+	public static final int PPC_INS_VMINUW = 689;
+	public static final int PPC_INS_VMLADDUHM = 690;
+	public static final int PPC_INS_VMRGHB = 691;
+	public static final int PPC_INS_VMRGHH = 692;
+	public static final int PPC_INS_VMRGHW = 693;
+	public static final int PPC_INS_VMRGLB = 694;
+	public static final int PPC_INS_VMRGLH = 695;
+	public static final int PPC_INS_VMRGLW = 696;
+	public static final int PPC_INS_VMSUMMBM = 697;
+	public static final int PPC_INS_VMSUMSHM = 698;
+	public static final int PPC_INS_VMSUMSHS = 699;
+	public static final int PPC_INS_VMSUMUBM = 700;
+	public static final int PPC_INS_VMSUMUHM = 701;
+	public static final int PPC_INS_VMSUMUHS = 702;
+	public static final int PPC_INS_VMULESB = 703;
+	public static final int PPC_INS_VMULESH = 704;
+	public static final int PPC_INS_VMULESW = 705;
+	public static final int PPC_INS_VMULEUB = 706;
+	public static final int PPC_INS_VMULEUH = 707;
+	public static final int PPC_INS_VMULEUW = 708;
+	public static final int PPC_INS_VMULOSB = 709;
+	public static final int PPC_INS_VMULOSH = 710;
+	public static final int PPC_INS_VMULOSW = 711;
+	public static final int PPC_INS_VMULOUB = 712;
+	public static final int PPC_INS_VMULOUH = 713;
+	public static final int PPC_INS_VMULOUW = 714;
+	public static final int PPC_INS_VMULUWM = 715;
+	public static final int PPC_INS_VNAND = 716;
+	public static final int PPC_INS_VNMSUBFP = 717;
+	public static final int PPC_INS_VNOR = 718;
+	public static final int PPC_INS_VOR = 719;
+	public static final int PPC_INS_VORC = 720;
+	public static final int PPC_INS_VPERM = 721;
+	public static final int PPC_INS_VPKPX = 722;
+	public static final int PPC_INS_VPKSHSS = 723;
+	public static final int PPC_INS_VPKSHUS = 724;
+	public static final int PPC_INS_VPKSWSS = 725;
+	public static final int PPC_INS_VPKSWUS = 726;
+	public static final int PPC_INS_VPKUHUM = 727;
+	public static final int PPC_INS_VPKUHUS = 728;
+	public static final int PPC_INS_VPKUWUM = 729;
+	public static final int PPC_INS_VPKUWUS = 730;
+	public static final int PPC_INS_VPOPCNTB = 731;
+	public static final int PPC_INS_VPOPCNTD = 732;
+	public static final int PPC_INS_VPOPCNTH = 733;
+	public static final int PPC_INS_VPOPCNTW = 734;
+	public static final int PPC_INS_VREFP = 735;
+	public static final int PPC_INS_VRFIM = 736;
+	public static final int PPC_INS_VRFIN = 737;
+	public static final int PPC_INS_VRFIP = 738;
+	public static final int PPC_INS_VRFIZ = 739;
+	public static final int PPC_INS_VRLB = 740;
+	public static final int PPC_INS_VRLD = 741;
+	public static final int PPC_INS_VRLH = 742;
+	public static final int PPC_INS_VRLW = 743;
+	public static final int PPC_INS_VRSQRTEFP = 744;
+	public static final int PPC_INS_VSEL = 745;
+	public static final int PPC_INS_VSL = 746;
+	public static final int PPC_INS_VSLB = 747;
+	public static final int PPC_INS_VSLD = 748;
+	public static final int PPC_INS_VSLDOI = 749;
+	public static final int PPC_INS_VSLH = 750;
+	public static final int PPC_INS_VSLO = 751;
+	public static final int PPC_INS_VSLW = 752;
+	public static final int PPC_INS_VSPLTB = 753;
+	public static final int PPC_INS_VSPLTH = 754;
+	public static final int PPC_INS_VSPLTISB = 755;
+	public static final int PPC_INS_VSPLTISH = 756;
+	public static final int PPC_INS_VSPLTISW = 757;
+	public static final int PPC_INS_VSPLTW = 758;
+	public static final int PPC_INS_VSR = 759;
+	public static final int PPC_INS_VSRAB = 760;
+	public static final int PPC_INS_VSRAD = 761;
+	public static final int PPC_INS_VSRAH = 762;
+	public static final int PPC_INS_VSRAW = 763;
+	public static final int PPC_INS_VSRB = 764;
+	public static final int PPC_INS_VSRD = 765;
+	public static final int PPC_INS_VSRH = 766;
+	public static final int PPC_INS_VSRO = 767;
+	public static final int PPC_INS_VSRW = 768;
+	public static final int PPC_INS_VSUBCUW = 769;
+	public static final int PPC_INS_VSUBFP = 770;
+	public static final int PPC_INS_VSUBSBS = 771;
+	public static final int PPC_INS_VSUBSHS = 772;
+	public static final int PPC_INS_VSUBSWS = 773;
+	public static final int PPC_INS_VSUBUBM = 774;
+	public static final int PPC_INS_VSUBUBS = 775;
+	public static final int PPC_INS_VSUBUDM = 776;
+	public static final int PPC_INS_VSUBUHM = 777;
+	public static final int PPC_INS_VSUBUHS = 778;
+	public static final int PPC_INS_VSUBUWM = 779;
+	public static final int PPC_INS_VSUBUWS = 780;
+	public static final int PPC_INS_VSUM2SWS = 781;
+	public static final int PPC_INS_VSUM4SBS = 782;
+	public static final int PPC_INS_VSUM4SHS = 783;
+	public static final int PPC_INS_VSUM4UBS = 784;
+	public static final int PPC_INS_VSUMSWS = 785;
+	public static final int PPC_INS_VUPKHPX = 786;
+	public static final int PPC_INS_VUPKHSB = 787;
+	public static final int PPC_INS_VUPKHSH = 788;
+	public static final int PPC_INS_VUPKLPX = 789;
+	public static final int PPC_INS_VUPKLSB = 790;
+	public static final int PPC_INS_VUPKLSH = 791;
+	public static final int PPC_INS_VXOR = 792;
+	public static final int PPC_INS_WAIT = 793;
+	public static final int PPC_INS_WRTEE = 794;
+	public static final int PPC_INS_WRTEEI = 795;
+	public static final int PPC_INS_XOR = 796;
+	public static final int PPC_INS_XORI = 797;
+	public static final int PPC_INS_XORIS = 798;
+	public static final int PPC_INS_XSABSDP = 799;
+	public static final int PPC_INS_XSADDDP = 800;
+	public static final int PPC_INS_XSCMPODP = 801;
+	public static final int PPC_INS_XSCMPUDP = 802;
+	public static final int PPC_INS_XSCPSGNDP = 803;
+	public static final int PPC_INS_XSCVDPSP = 804;
+	public static final int PPC_INS_XSCVDPSXDS = 805;
+	public static final int PPC_INS_XSCVDPSXWS = 806;
+	public static final int PPC_INS_XSCVDPUXDS = 807;
+	public static final int PPC_INS_XSCVDPUXWS = 808;
+	public static final int PPC_INS_XSCVSPDP = 809;
+	public static final int PPC_INS_XSCVSXDDP = 810;
+	public static final int PPC_INS_XSCVUXDDP = 811;
+	public static final int PPC_INS_XSDIVDP = 812;
+	public static final int PPC_INS_XSMADDADP = 813;
+	public static final int PPC_INS_XSMADDMDP = 814;
+	public static final int PPC_INS_XSMAXDP = 815;
+	public static final int PPC_INS_XSMINDP = 816;
+	public static final int PPC_INS_XSMSUBADP = 817;
+	public static final int PPC_INS_XSMSUBMDP = 818;
+	public static final int PPC_INS_XSMULDP = 819;
+	public static final int PPC_INS_XSNABSDP = 820;
+	public static final int PPC_INS_XSNEGDP = 821;
+	public static final int PPC_INS_XSNMADDADP = 822;
+	public static final int PPC_INS_XSNMADDMDP = 823;
+	public static final int PPC_INS_XSNMSUBADP = 824;
+	public static final int PPC_INS_XSNMSUBMDP = 825;
+	public static final int PPC_INS_XSRDPI = 826;
+	public static final int PPC_INS_XSRDPIC = 827;
+	public static final int PPC_INS_XSRDPIM = 828;
+	public static final int PPC_INS_XSRDPIP = 829;
+	public static final int PPC_INS_XSRDPIZ = 830;
+	public static final int PPC_INS_XSREDP = 831;
+	public static final int PPC_INS_XSRSQRTEDP = 832;
+	public static final int PPC_INS_XSSQRTDP = 833;
+	public static final int PPC_INS_XSSUBDP = 834;
+	public static final int PPC_INS_XSTDIVDP = 835;
+	public static final int PPC_INS_XSTSQRTDP = 836;
+	public static final int PPC_INS_XVABSDP = 837;
+	public static final int PPC_INS_XVABSSP = 838;
+	public static final int PPC_INS_XVADDDP = 839;
+	public static final int PPC_INS_XVADDSP = 840;
+	public static final int PPC_INS_XVCMPEQDP = 841;
+	public static final int PPC_INS_XVCMPEQSP = 842;
+	public static final int PPC_INS_XVCMPGEDP = 843;
+	public static final int PPC_INS_XVCMPGESP = 844;
+	public static final int PPC_INS_XVCMPGTDP = 845;
+	public static final int PPC_INS_XVCMPGTSP = 846;
+	public static final int PPC_INS_XVCPSGNDP = 847;
+	public static final int PPC_INS_XVCPSGNSP = 848;
+	public static final int PPC_INS_XVCVDPSP = 849;
+	public static final int PPC_INS_XVCVDPSXDS = 850;
+	public static final int PPC_INS_XVCVDPSXWS = 851;
+	public static final int PPC_INS_XVCVDPUXDS = 852;
+	public static final int PPC_INS_XVCVDPUXWS = 853;
+	public static final int PPC_INS_XVCVSPDP = 854;
+	public static final int PPC_INS_XVCVSPSXDS = 855;
+	public static final int PPC_INS_XVCVSPSXWS = 856;
+	public static final int PPC_INS_XVCVSPUXDS = 857;
+	public static final int PPC_INS_XVCVSPUXWS = 858;
+	public static final int PPC_INS_XVCVSXDDP = 859;
+	public static final int PPC_INS_XVCVSXDSP = 860;
+	public static final int PPC_INS_XVCVSXWDP = 861;
+	public static final int PPC_INS_XVCVSXWSP = 862;
+	public static final int PPC_INS_XVCVUXDDP = 863;
+	public static final int PPC_INS_XVCVUXDSP = 864;
+	public static final int PPC_INS_XVCVUXWDP = 865;
+	public static final int PPC_INS_XVCVUXWSP = 866;
+	public static final int PPC_INS_XVDIVDP = 867;
+	public static final int PPC_INS_XVDIVSP = 868;
+	public static final int PPC_INS_XVMADDADP = 869;
+	public static final int PPC_INS_XVMADDASP = 870;
+	public static final int PPC_INS_XVMADDMDP = 871;
+	public static final int PPC_INS_XVMADDMSP = 872;
+	public static final int PPC_INS_XVMAXDP = 873;
+	public static final int PPC_INS_XVMAXSP = 874;
+	public static final int PPC_INS_XVMINDP = 875;
+	public static final int PPC_INS_XVMINSP = 876;
+	public static final int PPC_INS_XVMSUBADP = 877;
+	public static final int PPC_INS_XVMSUBASP = 878;
+	public static final int PPC_INS_XVMSUBMDP = 879;
+	public static final int PPC_INS_XVMSUBMSP = 880;
+	public static final int PPC_INS_XVMULDP = 881;
+	public static final int PPC_INS_XVMULSP = 882;
+	public static final int PPC_INS_XVNABSDP = 883;
+	public static final int PPC_INS_XVNABSSP = 884;
+	public static final int PPC_INS_XVNEGDP = 885;
+	public static final int PPC_INS_XVNEGSP = 886;
+	public static final int PPC_INS_XVNMADDADP = 887;
+	public static final int PPC_INS_XVNMADDASP = 888;
+	public static final int PPC_INS_XVNMADDMDP = 889;
+	public static final int PPC_INS_XVNMADDMSP = 890;
+	public static final int PPC_INS_XVNMSUBADP = 891;
+	public static final int PPC_INS_XVNMSUBASP = 892;
+	public static final int PPC_INS_XVNMSUBMDP = 893;
+	public static final int PPC_INS_XVNMSUBMSP = 894;
+	public static final int PPC_INS_XVRDPI = 895;
+	public static final int PPC_INS_XVRDPIC = 896;
+	public static final int PPC_INS_XVRDPIM = 897;
+	public static final int PPC_INS_XVRDPIP = 898;
+	public static final int PPC_INS_XVRDPIZ = 899;
+	public static final int PPC_INS_XVREDP = 900;
+	public static final int PPC_INS_XVRESP = 901;
+	public static final int PPC_INS_XVRSPI = 902;
+	public static final int PPC_INS_XVRSPIC = 903;
+	public static final int PPC_INS_XVRSPIM = 904;
+	public static final int PPC_INS_XVRSPIP = 905;
+	public static final int PPC_INS_XVRSPIZ = 906;
+	public static final int PPC_INS_XVRSQRTEDP = 907;
+	public static final int PPC_INS_XVRSQRTESP = 908;
+	public static final int PPC_INS_XVSQRTDP = 909;
+	public static final int PPC_INS_XVSQRTSP = 910;
+	public static final int PPC_INS_XVSUBDP = 911;
+	public static final int PPC_INS_XVSUBSP = 912;
+	public static final int PPC_INS_XVTDIVDP = 913;
+	public static final int PPC_INS_XVTDIVSP = 914;
+	public static final int PPC_INS_XVTSQRTDP = 915;
+	public static final int PPC_INS_XVTSQRTSP = 916;
+	public static final int PPC_INS_XXLAND = 917;
+	public static final int PPC_INS_XXLANDC = 918;
+	public static final int PPC_INS_XXLEQV = 919;
+	public static final int PPC_INS_XXLNAND = 920;
+	public static final int PPC_INS_XXLNOR = 921;
+	public static final int PPC_INS_XXLOR = 922;
+	public static final int PPC_INS_XXLORC = 923;
+	public static final int PPC_INS_XXLXOR = 924;
+	public static final int PPC_INS_XXMRGHW = 925;
+	public static final int PPC_INS_XXMRGLW = 926;
+	public static final int PPC_INS_XXPERMDI = 927;
+	public static final int PPC_INS_XXSEL = 928;
+	public static final int PPC_INS_XXSLDWI = 929;
+	public static final int PPC_INS_XXSPLTW = 930;
+	public static final int PPC_INS_BCA = 931;
+	public static final int PPC_INS_BCLA = 932;
+	public static final int PPC_INS_SLWI = 933;
+	public static final int PPC_INS_SRWI = 934;
+	public static final int PPC_INS_SLDI = 935;
+	public static final int PPC_INS_BTA = 936;
+	public static final int PPC_INS_CRSET = 937;
+	public static final int PPC_INS_CRNOT = 938;
+	public static final int PPC_INS_CRMOVE = 939;
+	public static final int PPC_INS_CRCLR = 940;
+	public static final int PPC_INS_MFBR0 = 941;
+	public static final int PPC_INS_MFBR1 = 942;
+	public static final int PPC_INS_MFBR2 = 943;
+	public static final int PPC_INS_MFBR3 = 944;
+	public static final int PPC_INS_MFBR4 = 945;
+	public static final int PPC_INS_MFBR5 = 946;
+	public static final int PPC_INS_MFBR6 = 947;
+	public static final int PPC_INS_MFBR7 = 948;
+	public static final int PPC_INS_MFXER = 949;
+	public static final int PPC_INS_MFRTCU = 950;
+	public static final int PPC_INS_MFRTCL = 951;
+	public static final int PPC_INS_MFDSCR = 952;
+	public static final int PPC_INS_MFDSISR = 953;
+	public static final int PPC_INS_MFDAR = 954;
+	public static final int PPC_INS_MFSRR2 = 955;
+	public static final int PPC_INS_MFSRR3 = 956;
+	public static final int PPC_INS_MFCFAR = 957;
+	public static final int PPC_INS_MFAMR = 958;
+	public static final int PPC_INS_MFPID = 959;
+	public static final int PPC_INS_MFTBLO = 960;
+	public static final int PPC_INS_MFTBHI = 961;
+	public static final int PPC_INS_MFDBATU = 962;
+	public static final int PPC_INS_MFDBATL = 963;
+	public static final int PPC_INS_MFIBATU = 964;
+	public static final int PPC_INS_MFIBATL = 965;
+	public static final int PPC_INS_MFDCCR = 966;
+	public static final int PPC_INS_MFICCR = 967;
+	public static final int PPC_INS_MFDEAR = 968;
+	public static final int PPC_INS_MFESR = 969;
+	public static final int PPC_INS_MFSPEFSCR = 970;
+	public static final int PPC_INS_MFTCR = 971;
+	public static final int PPC_INS_MFASR = 972;
+	public static final int PPC_INS_MFPVR = 973;
+	public static final int PPC_INS_MFTBU = 974;
+	public static final int PPC_INS_MTCR = 975;
+	public static final int PPC_INS_MTBR0 = 976;
+	public static final int PPC_INS_MTBR1 = 977;
+	public static final int PPC_INS_MTBR2 = 978;
+	public static final int PPC_INS_MTBR3 = 979;
+	public static final int PPC_INS_MTBR4 = 980;
+	public static final int PPC_INS_MTBR5 = 981;
+	public static final int PPC_INS_MTBR6 = 982;
+	public static final int PPC_INS_MTBR7 = 983;
+	public static final int PPC_INS_MTXER = 984;
+	public static final int PPC_INS_MTDSCR = 985;
+	public static final int PPC_INS_MTDSISR = 986;
+	public static final int PPC_INS_MTDAR = 987;
+	public static final int PPC_INS_MTSRR2 = 988;
+	public static final int PPC_INS_MTSRR3 = 989;
+	public static final int PPC_INS_MTCFAR = 990;
+	public static final int PPC_INS_MTAMR = 991;
+	public static final int PPC_INS_MTPID = 992;
+	public static final int PPC_INS_MTTBL = 993;
+	public static final int PPC_INS_MTTBU = 994;
+	public static final int PPC_INS_MTTBLO = 995;
+	public static final int PPC_INS_MTTBHI = 996;
+	public static final int PPC_INS_MTDBATU = 997;
+	public static final int PPC_INS_MTDBATL = 998;
+	public static final int PPC_INS_MTIBATU = 999;
+	public static final int PPC_INS_MTIBATL = 1000;
+	public static final int PPC_INS_MTDCCR = 1001;
+	public static final int PPC_INS_MTICCR = 1002;
+	public static final int PPC_INS_MTDEAR = 1003;
+	public static final int PPC_INS_MTESR = 1004;
+	public static final int PPC_INS_MTSPEFSCR = 1005;
+	public static final int PPC_INS_MTTCR = 1006;
+	public static final int PPC_INS_NOT = 1007;
+	public static final int PPC_INS_MR = 1008;
+	public static final int PPC_INS_ROTLD = 1009;
+	public static final int PPC_INS_ROTLDI = 1010;
+	public static final int PPC_INS_CLRLDI = 1011;
+	public static final int PPC_INS_ROTLWI = 1012;
+	public static final int PPC_INS_CLRLWI = 1013;
+	public static final int PPC_INS_ROTLW = 1014;
+	public static final int PPC_INS_SUB = 1015;
+	public static final int PPC_INS_SUBC = 1016;
+	public static final int PPC_INS_LWSYNC = 1017;
+	public static final int PPC_INS_PTESYNC = 1018;
+	public static final int PPC_INS_TDLT = 1019;
+	public static final int PPC_INS_TDEQ = 1020;
+	public static final int PPC_INS_TDGT = 1021;
+	public static final int PPC_INS_TDNE = 1022;
+	public static final int PPC_INS_TDLLT = 1023;
+	public static final int PPC_INS_TDLGT = 1024;
+	public static final int PPC_INS_TDU = 1025;
+	public static final int PPC_INS_TDLTI = 1026;
+	public static final int PPC_INS_TDEQI = 1027;
+	public static final int PPC_INS_TDGTI = 1028;
+	public static final int PPC_INS_TDNEI = 1029;
+	public static final int PPC_INS_TDLLTI = 1030;
+	public static final int PPC_INS_TDLGTI = 1031;
+	public static final int PPC_INS_TDUI = 1032;
+	public static final int PPC_INS_TLBREHI = 1033;
+	public static final int PPC_INS_TLBRELO = 1034;
+	public static final int PPC_INS_TLBWEHI = 1035;
+	public static final int PPC_INS_TLBWELO = 1036;
+	public static final int PPC_INS_TWLT = 1037;
+	public static final int PPC_INS_TWEQ = 1038;
+	public static final int PPC_INS_TWGT = 1039;
+	public static final int PPC_INS_TWNE = 1040;
+	public static final int PPC_INS_TWLLT = 1041;
+	public static final int PPC_INS_TWLGT = 1042;
+	public static final int PPC_INS_TWU = 1043;
+	public static final int PPC_INS_TWLTI = 1044;
+	public static final int PPC_INS_TWEQI = 1045;
+	public static final int PPC_INS_TWGTI = 1046;
+	public static final int PPC_INS_TWNEI = 1047;
+	public static final int PPC_INS_TWLLTI = 1048;
+	public static final int PPC_INS_TWLGTI = 1049;
+	public static final int PPC_INS_TWUI = 1050;
+	public static final int PPC_INS_WAITRSV = 1051;
+	public static final int PPC_INS_WAITIMPL = 1052;
+	public static final int PPC_INS_XNOP = 1053;
+	public static final int PPC_INS_XVMOVDP = 1054;
+	public static final int PPC_INS_XVMOVSP = 1055;
+	public static final int PPC_INS_XXSPLTD = 1056;
+	public static final int PPC_INS_XXMRGHD = 1057;
+	public static final int PPC_INS_XXMRGLD = 1058;
+	public static final int PPC_INS_XXSWAPD = 1059;
+	public static final int PPC_INS_BT = 1060;
+	public static final int PPC_INS_BF = 1061;
+	public static final int PPC_INS_BDNZT = 1062;
+	public static final int PPC_INS_BDNZF = 1063;
+	public static final int PPC_INS_BDZF = 1064;
+	public static final int PPC_INS_BDZT = 1065;
+	public static final int PPC_INS_BFA = 1066;
+	public static final int PPC_INS_BDNZTA = 1067;
+	public static final int PPC_INS_BDNZFA = 1068;
+	public static final int PPC_INS_BDZTA = 1069;
+	public static final int PPC_INS_BDZFA = 1070;
+	public static final int PPC_INS_BTCTR = 1071;
+	public static final int PPC_INS_BFCTR = 1072;
+	public static final int PPC_INS_BTCTRL = 1073;
+	public static final int PPC_INS_BFCTRL = 1074;
+	public static final int PPC_INS_BTL = 1075;
+	public static final int PPC_INS_BFL = 1076;
+	public static final int PPC_INS_BDNZTL = 1077;
+	public static final int PPC_INS_BDNZFL = 1078;
+	public static final int PPC_INS_BDZTL = 1079;
+	public static final int PPC_INS_BDZFL = 1080;
+	public static final int PPC_INS_BTLA = 1081;
+	public static final int PPC_INS_BFLA = 1082;
+	public static final int PPC_INS_BDNZTLA = 1083;
+	public static final int PPC_INS_BDNZFLA = 1084;
+	public static final int PPC_INS_BDZTLA = 1085;
+	public static final int PPC_INS_BDZFLA = 1086;
+	public static final int PPC_INS_BTLR = 1087;
+	public static final int PPC_INS_BFLR = 1088;
+	public static final int PPC_INS_BDNZTLR = 1089;
+	public static final int PPC_INS_BDZTLR = 1090;
+	public static final int PPC_INS_BDZFLR = 1091;
+	public static final int PPC_INS_BTLRL = 1092;
+	public static final int PPC_INS_BFLRL = 1093;
+	public static final int PPC_INS_BDNZTLRL = 1094;
+	public static final int PPC_INS_BDNZFLRL = 1095;
+	public static final int PPC_INS_BDZTLRL = 1096;
+	public static final int PPC_INS_BDZFLRL = 1097;
+	public static final int PPC_INS_QVFAND = 1098;
+	public static final int PPC_INS_QVFCLR = 1099;
+	public static final int PPC_INS_QVFANDC = 1100;
+	public static final int PPC_INS_QVFCTFB = 1101;
+	public static final int PPC_INS_QVFXOR = 1102;
+	public static final int PPC_INS_QVFOR = 1103;
+	public static final int PPC_INS_QVFNOR = 1104;
+	public static final int PPC_INS_QVFEQU = 1105;
+	public static final int PPC_INS_QVFNOT = 1106;
+	public static final int PPC_INS_QVFORC = 1107;
+	public static final int PPC_INS_QVFNAND = 1108;
+	public static final int PPC_INS_QVFSET = 1109;
+	public static final int PPC_INS_ENDING = 1110;
 
 	public static final int PPC_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int PPC_GRP_JUMP = 1;
-
-	// Architecture-specific groups
 	public static final int PPC_GRP_ALTIVEC = 128;
 	public static final int PPC_GRP_MODE32 = 129;
 	public static final int PPC_GRP_MODE64 = 130;
@@ -1169,5 +1361,9 @@ public class Ppc_const {
 	public static final int PPC_GRP_E500 = 135;
 	public static final int PPC_GRP_PPC4XX = 136;
 	public static final int PPC_GRP_PPC6XX = 137;
-	public static final int PPC_GRP_ENDING = 138;
+	public static final int PPC_GRP_ICBT = 138;
+	public static final int PPC_GRP_P8ALTIVEC = 139;
+	public static final int PPC_GRP_P8VECTOR = 140;
+	public static final int PPC_GRP_QPX = 141;
+	public static final int PPC_GRP_ENDING = 142;
 }
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Ppc.java 4.0.2-3/bindings/java/capstone/Ppc.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Ppc.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Ppc.java	2020-05-08 10:03:30.000000000 +0000
@@ -36,7 +36,7 @@ public class Ppc {
 
   public static class OpValue extends Union {
     public int reg;
-    public int imm;
+    public long imm;
     public MemType mem;
     public CrxType crx;
   }
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Sparc_const.java 4.0.2-3/bindings/java/capstone/Sparc_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Sparc_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Sparc_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,11 +3,7 @@ package capstone;
 
 public class Sparc_const {
 
-	// Enums corresponding to Sparc condition codes, both icc's and fcc's.
-
 	public static final int SPARC_CC_INVALID = 0;
-
-	// Integer condition codes
 	public static final int SPARC_CC_ICC_A = 8+256;
 	public static final int SPARC_CC_ICC_N = 0+256;
 	public static final int SPARC_CC_ICC_NE = 9+256;
@@ -24,8 +20,6 @@ public class Sparc_const {
 	public static final int SPARC_CC_ICC_NEG = 6+256;
 	public static final int SPARC_CC_ICC_VC = 15+256;
 	public static final int SPARC_CC_ICC_VS = 7+256;
-
-	// Floating condition codes
 	public static final int SPARC_CC_FCC_A = 8+16+256;
 	public static final int SPARC_CC_FCC_N = 0+16+256;
 	public static final int SPARC_CC_FCC_U = 7+16+256;
@@ -43,22 +37,16 @@ public class Sparc_const {
 	public static final int SPARC_CC_FCC_ULE = 14+16+256;
 	public static final int SPARC_CC_FCC_O = 15+16+256;
 
-	// Branch hint
-
 	public static final int SPARC_HINT_INVALID = 0;
 	public static final int SPARC_HINT_A = 1<<0;
 	public static final int SPARC_HINT_PT = 1<<1;
 	public static final int SPARC_HINT_PN = 1<<2;
 
-	// Operand type for instruction's operands
-
 	public static final int SPARC_OP_INVALID = 0;
 	public static final int SPARC_OP_REG = 1;
 	public static final int SPARC_OP_IMM = 2;
 	public static final int SPARC_OP_MEM = 3;
 
-	// SPARC registers
-
 	public static final int SPARC_REG_INVALID = 0;
 	public static final int SPARC_REG_F0 = 1;
 	public static final int SPARC_REG_F1 = 2;
@@ -151,8 +139,6 @@ public class Sparc_const {
 	public static final int SPARC_REG_O6 = SPARC_REG_SP;
 	public static final int SPARC_REG_I6 = SPARC_REG_FP;
 
-	// SPARC instruction
-
 	public static final int SPARC_INS_INVALID = 0;
 	public static final int SPARC_INS_ADDCC = 1;
 	public static final int SPARC_INS_ADDX = 2;
@@ -434,14 +420,8 @@ public class Sparc_const {
 	public static final int SPARC_INS_RETL = 278;
 	public static final int SPARC_INS_ENDING = 279;
 
-	// Group of SPARC instructions
-
 	public static final int SPARC_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int SPARC_GRP_JUMP = 1;
-
-	// Architecture-specific groups
 	public static final int SPARC_GRP_HARDQUAD = 128;
 	public static final int SPARC_GRP_V9 = 129;
 	public static final int SPARC_GRP_VIS = 130;
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Sysz_const.java 4.0.2-3/bindings/java/capstone/Sysz_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Sysz_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Sysz_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,8 +3,6 @@ package capstone;
 
 public class Sysz_const {
 
-	// Enums corresponding to SystemZ condition codes
-
 	public static final int SYSZ_CC_INVALID = 0;
 	public static final int SYSZ_CC_O = 1;
 	public static final int SYSZ_CC_H = 2;
@@ -21,16 +19,12 @@ public class Sysz_const {
 	public static final int SYSZ_CC_NH = 13;
 	public static final int SYSZ_CC_NO = 14;
 
-	// Operand type for instruction's operands
-
 	public static final int SYSZ_OP_INVALID = 0;
 	public static final int SYSZ_OP_REG = 1;
 	public static final int SYSZ_OP_IMM = 2;
 	public static final int SYSZ_OP_MEM = 3;
 	public static final int SYSZ_OP_ACREG = 64;
 
-	// SystemZ registers
-
 	public static final int SYSZ_REG_INVALID = 0;
 	public static final int SYSZ_REG_0 = 1;
 	public static final int SYSZ_REG_1 = 2;
@@ -68,8 +62,6 @@ public class Sysz_const {
 	public static final int SYSZ_REG_R0L = 34;
 	public static final int SYSZ_REG_ENDING = 35;
 
-	// SystemZ instruction
-
 	public static final int SYSZ_INS_INVALID = 0;
 	public static final int SYSZ_INS_A = 1;
 	public static final int SYSZ_INS_ADB = 2;
@@ -754,14 +746,8 @@ public class Sysz_const {
 	public static final int SYSZ_INS_XY = 681;
 	public static final int SYSZ_INS_ENDING = 682;
 
-	// Group of SystemZ instructions
-
 	public static final int SYSZ_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int SYSZ_GRP_JUMP = 1;
-
-	// Architecture-specific groups
 	public static final int SYSZ_GRP_DISTINCTOPS = 128;
 	public static final int SYSZ_GRP_FPEXTENSION = 129;
 	public static final int SYSZ_GRP_HIGHWORD = 130;
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/TMS320C64x_const.java 4.0.2-3/bindings/java/capstone/TMS320C64x_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/TMS320C64x_const.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/TMS320C64x_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,281 @@
+// For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT
+package capstone;
+
+public class TMS320C64x_const {
+
+	public static final int TMS320C64X_OP_INVALID = 0;
+	public static final int TMS320C64X_OP_REG = 1;
+	public static final int TMS320C64X_OP_IMM = 2;
+	public static final int TMS320C64X_OP_MEM = 3;
+	public static final int TMS320C64X_OP_REGPAIR = 64;
+
+	public static final int TMS320C64X_MEM_DISP_INVALID = 0;
+	public static final int TMS320C64X_MEM_DISP_CONSTANT = 1;
+	public static final int TMS320C64X_MEM_DISP_REGISTER = 2;
+
+	public static final int TMS320C64X_MEM_DIR_INVALID = 0;
+	public static final int TMS320C64X_MEM_DIR_FW = 1;
+	public static final int TMS320C64X_MEM_DIR_BW = 2;
+
+	public static final int TMS320C64X_MEM_MOD_INVALID = 0;
+	public static final int TMS320C64X_MEM_MOD_NO = 1;
+	public static final int TMS320C64X_MEM_MOD_PRE = 2;
+	public static final int TMS320C64X_MEM_MOD_POST = 3;
+
+	public static final int TMS320C64X_REG_INVALID = 0;
+	public static final int TMS320C64X_REG_AMR = 1;
+	public static final int TMS320C64X_REG_CSR = 2;
+	public static final int TMS320C64X_REG_DIER = 3;
+	public static final int TMS320C64X_REG_DNUM = 4;
+	public static final int TMS320C64X_REG_ECR = 5;
+	public static final int TMS320C64X_REG_GFPGFR = 6;
+	public static final int TMS320C64X_REG_GPLYA = 7;
+	public static final int TMS320C64X_REG_GPLYB = 8;
+	public static final int TMS320C64X_REG_ICR = 9;
+	public static final int TMS320C64X_REG_IER = 10;
+	public static final int TMS320C64X_REG_IERR = 11;
+	public static final int TMS320C64X_REG_ILC = 12;
+	public static final int TMS320C64X_REG_IRP = 13;
+	public static final int TMS320C64X_REG_ISR = 14;
+	public static final int TMS320C64X_REG_ISTP = 15;
+	public static final int TMS320C64X_REG_ITSR = 16;
+	public static final int TMS320C64X_REG_NRP = 17;
+	public static final int TMS320C64X_REG_NTSR = 18;
+	public static final int TMS320C64X_REG_REP = 19;
+	public static final int TMS320C64X_REG_RILC = 20;
+	public static final int TMS320C64X_REG_SSR = 21;
+	public static final int TMS320C64X_REG_TSCH = 22;
+	public static final int TMS320C64X_REG_TSCL = 23;
+	public static final int TMS320C64X_REG_TSR = 24;
+	public static final int TMS320C64X_REG_A0 = 25;
+	public static final int TMS320C64X_REG_A1 = 26;
+	public static final int TMS320C64X_REG_A2 = 27;
+	public static final int TMS320C64X_REG_A3 = 28;
+	public static final int TMS320C64X_REG_A4 = 29;
+	public static final int TMS320C64X_REG_A5 = 30;
+	public static final int TMS320C64X_REG_A6 = 31;
+	public static final int TMS320C64X_REG_A7 = 32;
+	public static final int TMS320C64X_REG_A8 = 33;
+	public static final int TMS320C64X_REG_A9 = 34;
+	public static final int TMS320C64X_REG_A10 = 35;
+	public static final int TMS320C64X_REG_A11 = 36;
+	public static final int TMS320C64X_REG_A12 = 37;
+	public static final int TMS320C64X_REG_A13 = 38;
+	public static final int TMS320C64X_REG_A14 = 39;
+	public static final int TMS320C64X_REG_A15 = 40;
+	public static final int TMS320C64X_REG_A16 = 41;
+	public static final int TMS320C64X_REG_A17 = 42;
+	public static final int TMS320C64X_REG_A18 = 43;
+	public static final int TMS320C64X_REG_A19 = 44;
+	public static final int TMS320C64X_REG_A20 = 45;
+	public static final int TMS320C64X_REG_A21 = 46;
+	public static final int TMS320C64X_REG_A22 = 47;
+	public static final int TMS320C64X_REG_A23 = 48;
+	public static final int TMS320C64X_REG_A24 = 49;
+	public static final int TMS320C64X_REG_A25 = 50;
+	public static final int TMS320C64X_REG_A26 = 51;
+	public static final int TMS320C64X_REG_A27 = 52;
+	public static final int TMS320C64X_REG_A28 = 53;
+	public static final int TMS320C64X_REG_A29 = 54;
+	public static final int TMS320C64X_REG_A30 = 55;
+	public static final int TMS320C64X_REG_A31 = 56;
+	public static final int TMS320C64X_REG_B0 = 57;
+	public static final int TMS320C64X_REG_B1 = 58;
+	public static final int TMS320C64X_REG_B2 = 59;
+	public static final int TMS320C64X_REG_B3 = 60;
+	public static final int TMS320C64X_REG_B4 = 61;
+	public static final int TMS320C64X_REG_B5 = 62;
+	public static final int TMS320C64X_REG_B6 = 63;
+	public static final int TMS320C64X_REG_B7 = 64;
+	public static final int TMS320C64X_REG_B8 = 65;
+	public static final int TMS320C64X_REG_B9 = 66;
+	public static final int TMS320C64X_REG_B10 = 67;
+	public static final int TMS320C64X_REG_B11 = 68;
+	public static final int TMS320C64X_REG_B12 = 69;
+	public static final int TMS320C64X_REG_B13 = 70;
+	public static final int TMS320C64X_REG_B14 = 71;
+	public static final int TMS320C64X_REG_B15 = 72;
+	public static final int TMS320C64X_REG_B16 = 73;
+	public static final int TMS320C64X_REG_B17 = 74;
+	public static final int TMS320C64X_REG_B18 = 75;
+	public static final int TMS320C64X_REG_B19 = 76;
+	public static final int TMS320C64X_REG_B20 = 77;
+	public static final int TMS320C64X_REG_B21 = 78;
+	public static final int TMS320C64X_REG_B22 = 79;
+	public static final int TMS320C64X_REG_B23 = 80;
+	public static final int TMS320C64X_REG_B24 = 81;
+	public static final int TMS320C64X_REG_B25 = 82;
+	public static final int TMS320C64X_REG_B26 = 83;
+	public static final int TMS320C64X_REG_B27 = 84;
+	public static final int TMS320C64X_REG_B28 = 85;
+	public static final int TMS320C64X_REG_B29 = 86;
+	public static final int TMS320C64X_REG_B30 = 87;
+	public static final int TMS320C64X_REG_B31 = 88;
+	public static final int TMS320C64X_REG_PCE1 = 89;
+	public static final int TMS320C64X_REG_ENDING = 90;
+	public static final int TMS320C64X_REG_EFR = TMS320C64X_REG_ECR;
+	public static final int TMS320C64X_REG_IFR = TMS320C64X_REG_ISR;
+
+	public static final int TMS320C64X_INS_INVALID = 0;
+	public static final int TMS320C64X_INS_ABS = 1;
+	public static final int TMS320C64X_INS_ABS2 = 2;
+	public static final int TMS320C64X_INS_ADD = 3;
+	public static final int TMS320C64X_INS_ADD2 = 4;
+	public static final int TMS320C64X_INS_ADD4 = 5;
+	public static final int TMS320C64X_INS_ADDAB = 6;
+	public static final int TMS320C64X_INS_ADDAD = 7;
+	public static final int TMS320C64X_INS_ADDAH = 8;
+	public static final int TMS320C64X_INS_ADDAW = 9;
+	public static final int TMS320C64X_INS_ADDK = 10;
+	public static final int TMS320C64X_INS_ADDKPC = 11;
+	public static final int TMS320C64X_INS_ADDU = 12;
+	public static final int TMS320C64X_INS_AND = 13;
+	public static final int TMS320C64X_INS_ANDN = 14;
+	public static final int TMS320C64X_INS_AVG2 = 15;
+	public static final int TMS320C64X_INS_AVGU4 = 16;
+	public static final int TMS320C64X_INS_B = 17;
+	public static final int TMS320C64X_INS_BDEC = 18;
+	public static final int TMS320C64X_INS_BITC4 = 19;
+	public static final int TMS320C64X_INS_BNOP = 20;
+	public static final int TMS320C64X_INS_BPOS = 21;
+	public static final int TMS320C64X_INS_CLR = 22;
+	public static final int TMS320C64X_INS_CMPEQ = 23;
+	public static final int TMS320C64X_INS_CMPEQ2 = 24;
+	public static final int TMS320C64X_INS_CMPEQ4 = 25;
+	public static final int TMS320C64X_INS_CMPGT = 26;
+	public static final int TMS320C64X_INS_CMPGT2 = 27;
+	public static final int TMS320C64X_INS_CMPGTU4 = 28;
+	public static final int TMS320C64X_INS_CMPLT = 29;
+	public static final int TMS320C64X_INS_CMPLTU = 30;
+	public static final int TMS320C64X_INS_DEAL = 31;
+	public static final int TMS320C64X_INS_DOTP2 = 32;
+	public static final int TMS320C64X_INS_DOTPN2 = 33;
+	public static final int TMS320C64X_INS_DOTPNRSU2 = 34;
+	public static final int TMS320C64X_INS_DOTPRSU2 = 35;
+	public static final int TMS320C64X_INS_DOTPSU4 = 36;
+	public static final int TMS320C64X_INS_DOTPU4 = 37;
+	public static final int TMS320C64X_INS_EXT = 38;
+	public static final int TMS320C64X_INS_EXTU = 39;
+	public static final int TMS320C64X_INS_GMPGTU = 40;
+	public static final int TMS320C64X_INS_GMPY4 = 41;
+	public static final int TMS320C64X_INS_LDB = 42;
+	public static final int TMS320C64X_INS_LDBU = 43;
+	public static final int TMS320C64X_INS_LDDW = 44;
+	public static final int TMS320C64X_INS_LDH = 45;
+	public static final int TMS320C64X_INS_LDHU = 46;
+	public static final int TMS320C64X_INS_LDNDW = 47;
+	public static final int TMS320C64X_INS_LDNW = 48;
+	public static final int TMS320C64X_INS_LDW = 49;
+	public static final int TMS320C64X_INS_LMBD = 50;
+	public static final int TMS320C64X_INS_MAX2 = 51;
+	public static final int TMS320C64X_INS_MAXU4 = 52;
+	public static final int TMS320C64X_INS_MIN2 = 53;
+	public static final int TMS320C64X_INS_MINU4 = 54;
+	public static final int TMS320C64X_INS_MPY = 55;
+	public static final int TMS320C64X_INS_MPY2 = 56;
+	public static final int TMS320C64X_INS_MPYH = 57;
+	public static final int TMS320C64X_INS_MPYHI = 58;
+	public static final int TMS320C64X_INS_MPYHIR = 59;
+	public static final int TMS320C64X_INS_MPYHL = 60;
+	public static final int TMS320C64X_INS_MPYHLU = 61;
+	public static final int TMS320C64X_INS_MPYHSLU = 62;
+	public static final int TMS320C64X_INS_MPYHSU = 63;
+	public static final int TMS320C64X_INS_MPYHU = 64;
+	public static final int TMS320C64X_INS_MPYHULS = 65;
+	public static final int TMS320C64X_INS_MPYHUS = 66;
+	public static final int TMS320C64X_INS_MPYLH = 67;
+	public static final int TMS320C64X_INS_MPYLHU = 68;
+	public static final int TMS320C64X_INS_MPYLI = 69;
+	public static final int TMS320C64X_INS_MPYLIR = 70;
+	public static final int TMS320C64X_INS_MPYLSHU = 71;
+	public static final int TMS320C64X_INS_MPYLUHS = 72;
+	public static final int TMS320C64X_INS_MPYSU = 73;
+	public static final int TMS320C64X_INS_MPYSU4 = 74;
+	public static final int TMS320C64X_INS_MPYU = 75;
+	public static final int TMS320C64X_INS_MPYU4 = 76;
+	public static final int TMS320C64X_INS_MPYUS = 77;
+	public static final int TMS320C64X_INS_MVC = 78;
+	public static final int TMS320C64X_INS_MVD = 79;
+	public static final int TMS320C64X_INS_MVK = 80;
+	public static final int TMS320C64X_INS_MVKL = 81;
+	public static final int TMS320C64X_INS_MVKLH = 82;
+	public static final int TMS320C64X_INS_NOP = 83;
+	public static final int TMS320C64X_INS_NORM = 84;
+	public static final int TMS320C64X_INS_OR = 85;
+	public static final int TMS320C64X_INS_PACK2 = 86;
+	public static final int TMS320C64X_INS_PACKH2 = 87;
+	public static final int TMS320C64X_INS_PACKH4 = 88;
+	public static final int TMS320C64X_INS_PACKHL2 = 89;
+	public static final int TMS320C64X_INS_PACKL4 = 90;
+	public static final int TMS320C64X_INS_PACKLH2 = 91;
+	public static final int TMS320C64X_INS_ROTL = 92;
+	public static final int TMS320C64X_INS_SADD = 93;
+	public static final int TMS320C64X_INS_SADD2 = 94;
+	public static final int TMS320C64X_INS_SADDU4 = 95;
+	public static final int TMS320C64X_INS_SADDUS2 = 96;
+	public static final int TMS320C64X_INS_SAT = 97;
+	public static final int TMS320C64X_INS_SET = 98;
+	public static final int TMS320C64X_INS_SHFL = 99;
+	public static final int TMS320C64X_INS_SHL = 100;
+	public static final int TMS320C64X_INS_SHLMB = 101;
+	public static final int TMS320C64X_INS_SHR = 102;
+	public static final int TMS320C64X_INS_SHR2 = 103;
+	public static final int TMS320C64X_INS_SHRMB = 104;
+	public static final int TMS320C64X_INS_SHRU = 105;
+	public static final int TMS320C64X_INS_SHRU2 = 106;
+	public static final int TMS320C64X_INS_SMPY = 107;
+	public static final int TMS320C64X_INS_SMPY2 = 108;
+	public static final int TMS320C64X_INS_SMPYH = 109;
+	public static final int TMS320C64X_INS_SMPYHL = 110;
+	public static final int TMS320C64X_INS_SMPYLH = 111;
+	public static final int TMS320C64X_INS_SPACK2 = 112;
+	public static final int TMS320C64X_INS_SPACKU4 = 113;
+	public static final int TMS320C64X_INS_SSHL = 114;
+	public static final int TMS320C64X_INS_SSHVL = 115;
+	public static final int TMS320C64X_INS_SSHVR = 116;
+	public static final int TMS320C64X_INS_SSUB = 117;
+	public static final int TMS320C64X_INS_STB = 118;
+	public static final int TMS320C64X_INS_STDW = 119;
+	public static final int TMS320C64X_INS_STH = 120;
+	public static final int TMS320C64X_INS_STNDW = 121;
+	public static final int TMS320C64X_INS_STNW = 122;
+	public static final int TMS320C64X_INS_STW = 123;
+	public static final int TMS320C64X_INS_SUB = 124;
+	public static final int TMS320C64X_INS_SUB2 = 125;
+	public static final int TMS320C64X_INS_SUB4 = 126;
+	public static final int TMS320C64X_INS_SUBAB = 127;
+	public static final int TMS320C64X_INS_SUBABS4 = 128;
+	public static final int TMS320C64X_INS_SUBAH = 129;
+	public static final int TMS320C64X_INS_SUBAW = 130;
+	public static final int TMS320C64X_INS_SUBC = 131;
+	public static final int TMS320C64X_INS_SUBU = 132;
+	public static final int TMS320C64X_INS_SWAP4 = 133;
+	public static final int TMS320C64X_INS_UNPKHU4 = 134;
+	public static final int TMS320C64X_INS_UNPKLU4 = 135;
+	public static final int TMS320C64X_INS_XOR = 136;
+	public static final int TMS320C64X_INS_XPND2 = 137;
+	public static final int TMS320C64X_INS_XPND4 = 138;
+	public static final int TMS320C64X_INS_IDLE = 139;
+	public static final int TMS320C64X_INS_MV = 140;
+	public static final int TMS320C64X_INS_NEG = 141;
+	public static final int TMS320C64X_INS_NOT = 142;
+	public static final int TMS320C64X_INS_SWAP2 = 143;
+	public static final int TMS320C64X_INS_ZERO = 144;
+	public static final int TMS320C64X_INS_ENDING = 145;
+
+	public static final int TMS320C64X_GRP_INVALID = 0;
+	public static final int TMS320C64X_GRP_JUMP = 1;
+	public static final int TMS320C64X_GRP_FUNIT_D = 128;
+	public static final int TMS320C64X_GRP_FUNIT_L = 129;
+	public static final int TMS320C64X_GRP_FUNIT_M = 130;
+	public static final int TMS320C64X_GRP_FUNIT_S = 131;
+	public static final int TMS320C64X_GRP_FUNIT_NO = 132;
+	public static final int TMS320C64X_GRP_ENDING = 133;
+
+	public static final int TMS320C64X_FUNIT_INVALID = 0;
+	public static final int TMS320C64X_FUNIT_D = 1;
+	public static final int TMS320C64X_FUNIT_L = 2;
+	public static final int TMS320C64X_FUNIT_M = 3;
+	public static final int TMS320C64X_FUNIT_S = 4;
+	public static final int TMS320C64X_FUNIT_NO = 5;
+}
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/X86_const.java 4.0.2-3/bindings/java/capstone/X86_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/X86_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/X86_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,8 +3,6 @@ package capstone;
 
 public class X86_const {
 
-	// X86 registers
-
 	public static final int X86_REG_INVALID = 0;
 	public static final int X86_REG_AH = 1;
 	public static final int X86_REG_AL = 2;
@@ -79,177 +77,269 @@ public class X86_const {
 	public static final int X86_REG_DR5 = 71;
 	public static final int X86_REG_DR6 = 72;
 	public static final int X86_REG_DR7 = 73;
-	public static final int X86_REG_FP0 = 74;
-	public static final int X86_REG_FP1 = 75;
-	public static final int X86_REG_FP2 = 76;
-	public static final int X86_REG_FP3 = 77;
-	public static final int X86_REG_FP4 = 78;
-	public static final int X86_REG_FP5 = 79;
-	public static final int X86_REG_FP6 = 80;
-	public static final int X86_REG_FP7 = 81;
-	public static final int X86_REG_K0 = 82;
-	public static final int X86_REG_K1 = 83;
-	public static final int X86_REG_K2 = 84;
-	public static final int X86_REG_K3 = 85;
-	public static final int X86_REG_K4 = 86;
-	public static final int X86_REG_K5 = 87;
-	public static final int X86_REG_K6 = 88;
-	public static final int X86_REG_K7 = 89;
-	public static final int X86_REG_MM0 = 90;
-	public static final int X86_REG_MM1 = 91;
-	public static final int X86_REG_MM2 = 92;
-	public static final int X86_REG_MM3 = 93;
-	public static final int X86_REG_MM4 = 94;
-	public static final int X86_REG_MM5 = 95;
-	public static final int X86_REG_MM6 = 96;
-	public static final int X86_REG_MM7 = 97;
-	public static final int X86_REG_R8 = 98;
-	public static final int X86_REG_R9 = 99;
-	public static final int X86_REG_R10 = 100;
-	public static final int X86_REG_R11 = 101;
-	public static final int X86_REG_R12 = 102;
-	public static final int X86_REG_R13 = 103;
-	public static final int X86_REG_R14 = 104;
-	public static final int X86_REG_R15 = 105;
-	public static final int X86_REG_ST0 = 106;
-	public static final int X86_REG_ST1 = 107;
-	public static final int X86_REG_ST2 = 108;
-	public static final int X86_REG_ST3 = 109;
-	public static final int X86_REG_ST4 = 110;
-	public static final int X86_REG_ST5 = 111;
-	public static final int X86_REG_ST6 = 112;
-	public static final int X86_REG_ST7 = 113;
-	public static final int X86_REG_XMM0 = 114;
-	public static final int X86_REG_XMM1 = 115;
-	public static final int X86_REG_XMM2 = 116;
-	public static final int X86_REG_XMM3 = 117;
-	public static final int X86_REG_XMM4 = 118;
-	public static final int X86_REG_XMM5 = 119;
-	public static final int X86_REG_XMM6 = 120;
-	public static final int X86_REG_XMM7 = 121;
-	public static final int X86_REG_XMM8 = 122;
-	public static final int X86_REG_XMM9 = 123;
-	public static final int X86_REG_XMM10 = 124;
-	public static final int X86_REG_XMM11 = 125;
-	public static final int X86_REG_XMM12 = 126;
-	public static final int X86_REG_XMM13 = 127;
-	public static final int X86_REG_XMM14 = 128;
-	public static final int X86_REG_XMM15 = 129;
-	public static final int X86_REG_XMM16 = 130;
-	public static final int X86_REG_XMM17 = 131;
-	public static final int X86_REG_XMM18 = 132;
-	public static final int X86_REG_XMM19 = 133;
-	public static final int X86_REG_XMM20 = 134;
-	public static final int X86_REG_XMM21 = 135;
-	public static final int X86_REG_XMM22 = 136;
-	public static final int X86_REG_XMM23 = 137;
-	public static final int X86_REG_XMM24 = 138;
-	public static final int X86_REG_XMM25 = 139;
-	public static final int X86_REG_XMM26 = 140;
-	public static final int X86_REG_XMM27 = 141;
-	public static final int X86_REG_XMM28 = 142;
-	public static final int X86_REG_XMM29 = 143;
-	public static final int X86_REG_XMM30 = 144;
-	public static final int X86_REG_XMM31 = 145;
-	public static final int X86_REG_YMM0 = 146;
-	public static final int X86_REG_YMM1 = 147;
-	public static final int X86_REG_YMM2 = 148;
-	public static final int X86_REG_YMM3 = 149;
-	public static final int X86_REG_YMM4 = 150;
-	public static final int X86_REG_YMM5 = 151;
-	public static final int X86_REG_YMM6 = 152;
-	public static final int X86_REG_YMM7 = 153;
-	public static final int X86_REG_YMM8 = 154;
-	public static final int X86_REG_YMM9 = 155;
-	public static final int X86_REG_YMM10 = 156;
-	public static final int X86_REG_YMM11 = 157;
-	public static final int X86_REG_YMM12 = 158;
-	public static final int X86_REG_YMM13 = 159;
-	public static final int X86_REG_YMM14 = 160;
-	public static final int X86_REG_YMM15 = 161;
-	public static final int X86_REG_YMM16 = 162;
-	public static final int X86_REG_YMM17 = 163;
-	public static final int X86_REG_YMM18 = 164;
-	public static final int X86_REG_YMM19 = 165;
-	public static final int X86_REG_YMM20 = 166;
-	public static final int X86_REG_YMM21 = 167;
-	public static final int X86_REG_YMM22 = 168;
-	public static final int X86_REG_YMM23 = 169;
-	public static final int X86_REG_YMM24 = 170;
-	public static final int X86_REG_YMM25 = 171;
-	public static final int X86_REG_YMM26 = 172;
-	public static final int X86_REG_YMM27 = 173;
-	public static final int X86_REG_YMM28 = 174;
-	public static final int X86_REG_YMM29 = 175;
-	public static final int X86_REG_YMM30 = 176;
-	public static final int X86_REG_YMM31 = 177;
-	public static final int X86_REG_ZMM0 = 178;
-	public static final int X86_REG_ZMM1 = 179;
-	public static final int X86_REG_ZMM2 = 180;
-	public static final int X86_REG_ZMM3 = 181;
-	public static final int X86_REG_ZMM4 = 182;
-	public static final int X86_REG_ZMM5 = 183;
-	public static final int X86_REG_ZMM6 = 184;
-	public static final int X86_REG_ZMM7 = 185;
-	public static final int X86_REG_ZMM8 = 186;
-	public static final int X86_REG_ZMM9 = 187;
-	public static final int X86_REG_ZMM10 = 188;
-	public static final int X86_REG_ZMM11 = 189;
-	public static final int X86_REG_ZMM12 = 190;
-	public static final int X86_REG_ZMM13 = 191;
-	public static final int X86_REG_ZMM14 = 192;
-	public static final int X86_REG_ZMM15 = 193;
-	public static final int X86_REG_ZMM16 = 194;
-	public static final int X86_REG_ZMM17 = 195;
-	public static final int X86_REG_ZMM18 = 196;
-	public static final int X86_REG_ZMM19 = 197;
-	public static final int X86_REG_ZMM20 = 198;
-	public static final int X86_REG_ZMM21 = 199;
-	public static final int X86_REG_ZMM22 = 200;
-	public static final int X86_REG_ZMM23 = 201;
-	public static final int X86_REG_ZMM24 = 202;
-	public static final int X86_REG_ZMM25 = 203;
-	public static final int X86_REG_ZMM26 = 204;
-	public static final int X86_REG_ZMM27 = 205;
-	public static final int X86_REG_ZMM28 = 206;
-	public static final int X86_REG_ZMM29 = 207;
-	public static final int X86_REG_ZMM30 = 208;
-	public static final int X86_REG_ZMM31 = 209;
-	public static final int X86_REG_R8B = 210;
-	public static final int X86_REG_R9B = 211;
-	public static final int X86_REG_R10B = 212;
-	public static final int X86_REG_R11B = 213;
-	public static final int X86_REG_R12B = 214;
-	public static final int X86_REG_R13B = 215;
-	public static final int X86_REG_R14B = 216;
-	public static final int X86_REG_R15B = 217;
-	public static final int X86_REG_R8D = 218;
-	public static final int X86_REG_R9D = 219;
-	public static final int X86_REG_R10D = 220;
-	public static final int X86_REG_R11D = 221;
-	public static final int X86_REG_R12D = 222;
-	public static final int X86_REG_R13D = 223;
-	public static final int X86_REG_R14D = 224;
-	public static final int X86_REG_R15D = 225;
-	public static final int X86_REG_R8W = 226;
-	public static final int X86_REG_R9W = 227;
-	public static final int X86_REG_R10W = 228;
-	public static final int X86_REG_R11W = 229;
-	public static final int X86_REG_R12W = 230;
-	public static final int X86_REG_R13W = 231;
-	public static final int X86_REG_R14W = 232;
-	public static final int X86_REG_R15W = 233;
-	public static final int X86_REG_ENDING = 234;
-
-	// Operand type for instruction's operands
+	public static final int X86_REG_DR8 = 74;
+	public static final int X86_REG_DR9 = 75;
+	public static final int X86_REG_DR10 = 76;
+	public static final int X86_REG_DR11 = 77;
+	public static final int X86_REG_DR12 = 78;
+	public static final int X86_REG_DR13 = 79;
+	public static final int X86_REG_DR14 = 80;
+	public static final int X86_REG_DR15 = 81;
+	public static final int X86_REG_FP0 = 82;
+	public static final int X86_REG_FP1 = 83;
+	public static final int X86_REG_FP2 = 84;
+	public static final int X86_REG_FP3 = 85;
+	public static final int X86_REG_FP4 = 86;
+	public static final int X86_REG_FP5 = 87;
+	public static final int X86_REG_FP6 = 88;
+	public static final int X86_REG_FP7 = 89;
+	public static final int X86_REG_K0 = 90;
+	public static final int X86_REG_K1 = 91;
+	public static final int X86_REG_K2 = 92;
+	public static final int X86_REG_K3 = 93;
+	public static final int X86_REG_K4 = 94;
+	public static final int X86_REG_K5 = 95;
+	public static final int X86_REG_K6 = 96;
+	public static final int X86_REG_K7 = 97;
+	public static final int X86_REG_MM0 = 98;
+	public static final int X86_REG_MM1 = 99;
+	public static final int X86_REG_MM2 = 100;
+	public static final int X86_REG_MM3 = 101;
+	public static final int X86_REG_MM4 = 102;
+	public static final int X86_REG_MM5 = 103;
+	public static final int X86_REG_MM6 = 104;
+	public static final int X86_REG_MM7 = 105;
+	public static final int X86_REG_R8 = 106;
+	public static final int X86_REG_R9 = 107;
+	public static final int X86_REG_R10 = 108;
+	public static final int X86_REG_R11 = 109;
+	public static final int X86_REG_R12 = 110;
+	public static final int X86_REG_R13 = 111;
+	public static final int X86_REG_R14 = 112;
+	public static final int X86_REG_R15 = 113;
+	public static final int X86_REG_ST0 = 114;
+	public static final int X86_REG_ST1 = 115;
+	public static final int X86_REG_ST2 = 116;
+	public static final int X86_REG_ST3 = 117;
+	public static final int X86_REG_ST4 = 118;
+	public static final int X86_REG_ST5 = 119;
+	public static final int X86_REG_ST6 = 120;
+	public static final int X86_REG_ST7 = 121;
+	public static final int X86_REG_XMM0 = 122;
+	public static final int X86_REG_XMM1 = 123;
+	public static final int X86_REG_XMM2 = 124;
+	public static final int X86_REG_XMM3 = 125;
+	public static final int X86_REG_XMM4 = 126;
+	public static final int X86_REG_XMM5 = 127;
+	public static final int X86_REG_XMM6 = 128;
+	public static final int X86_REG_XMM7 = 129;
+	public static final int X86_REG_XMM8 = 130;
+	public static final int X86_REG_XMM9 = 131;
+	public static final int X86_REG_XMM10 = 132;
+	public static final int X86_REG_XMM11 = 133;
+	public static final int X86_REG_XMM12 = 134;
+	public static final int X86_REG_XMM13 = 135;
+	public static final int X86_REG_XMM14 = 136;
+	public static final int X86_REG_XMM15 = 137;
+	public static final int X86_REG_XMM16 = 138;
+	public static final int X86_REG_XMM17 = 139;
+	public static final int X86_REG_XMM18 = 140;
+	public static final int X86_REG_XMM19 = 141;
+	public static final int X86_REG_XMM20 = 142;
+	public static final int X86_REG_XMM21 = 143;
+	public static final int X86_REG_XMM22 = 144;
+	public static final int X86_REG_XMM23 = 145;
+	public static final int X86_REG_XMM24 = 146;
+	public static final int X86_REG_XMM25 = 147;
+	public static final int X86_REG_XMM26 = 148;
+	public static final int X86_REG_XMM27 = 149;
+	public static final int X86_REG_XMM28 = 150;
+	public static final int X86_REG_XMM29 = 151;
+	public static final int X86_REG_XMM30 = 152;
+	public static final int X86_REG_XMM31 = 153;
+	public static final int X86_REG_YMM0 = 154;
+	public static final int X86_REG_YMM1 = 155;
+	public static final int X86_REG_YMM2 = 156;
+	public static final int X86_REG_YMM3 = 157;
+	public static final int X86_REG_YMM4 = 158;
+	public static final int X86_REG_YMM5 = 159;
+	public static final int X86_REG_YMM6 = 160;
+	public static final int X86_REG_YMM7 = 161;
+	public static final int X86_REG_YMM8 = 162;
+	public static final int X86_REG_YMM9 = 163;
+	public static final int X86_REG_YMM10 = 164;
+	public static final int X86_REG_YMM11 = 165;
+	public static final int X86_REG_YMM12 = 166;
+	public static final int X86_REG_YMM13 = 167;
+	public static final int X86_REG_YMM14 = 168;
+	public static final int X86_REG_YMM15 = 169;
+	public static final int X86_REG_YMM16 = 170;
+	public static final int X86_REG_YMM17 = 171;
+	public static final int X86_REG_YMM18 = 172;
+	public static final int X86_REG_YMM19 = 173;
+	public static final int X86_REG_YMM20 = 174;
+	public static final int X86_REG_YMM21 = 175;
+	public static final int X86_REG_YMM22 = 176;
+	public static final int X86_REG_YMM23 = 177;
+	public static final int X86_REG_YMM24 = 178;
+	public static final int X86_REG_YMM25 = 179;
+	public static final int X86_REG_YMM26 = 180;
+	public static final int X86_REG_YMM27 = 181;
+	public static final int X86_REG_YMM28 = 182;
+	public static final int X86_REG_YMM29 = 183;
+	public static final int X86_REG_YMM30 = 184;
+	public static final int X86_REG_YMM31 = 185;
+	public static final int X86_REG_ZMM0 = 186;
+	public static final int X86_REG_ZMM1 = 187;
+	public static final int X86_REG_ZMM2 = 188;
+	public static final int X86_REG_ZMM3 = 189;
+	public static final int X86_REG_ZMM4 = 190;
+	public static final int X86_REG_ZMM5 = 191;
+	public static final int X86_REG_ZMM6 = 192;
+	public static final int X86_REG_ZMM7 = 193;
+	public static final int X86_REG_ZMM8 = 194;
+	public static final int X86_REG_ZMM9 = 195;
+	public static final int X86_REG_ZMM10 = 196;
+	public static final int X86_REG_ZMM11 = 197;
+	public static final int X86_REG_ZMM12 = 198;
+	public static final int X86_REG_ZMM13 = 199;
+	public static final int X86_REG_ZMM14 = 200;
+	public static final int X86_REG_ZMM15 = 201;
+	public static final int X86_REG_ZMM16 = 202;
+	public static final int X86_REG_ZMM17 = 203;
+	public static final int X86_REG_ZMM18 = 204;
+	public static final int X86_REG_ZMM19 = 205;
+	public static final int X86_REG_ZMM20 = 206;
+	public static final int X86_REG_ZMM21 = 207;
+	public static final int X86_REG_ZMM22 = 208;
+	public static final int X86_REG_ZMM23 = 209;
+	public static final int X86_REG_ZMM24 = 210;
+	public static final int X86_REG_ZMM25 = 211;
+	public static final int X86_REG_ZMM26 = 212;
+	public static final int X86_REG_ZMM27 = 213;
+	public static final int X86_REG_ZMM28 = 214;
+	public static final int X86_REG_ZMM29 = 215;
+	public static final int X86_REG_ZMM30 = 216;
+	public static final int X86_REG_ZMM31 = 217;
+	public static final int X86_REG_R8B = 218;
+	public static final int X86_REG_R9B = 219;
+	public static final int X86_REG_R10B = 220;
+	public static final int X86_REG_R11B = 221;
+	public static final int X86_REG_R12B = 222;
+	public static final int X86_REG_R13B = 223;
+	public static final int X86_REG_R14B = 224;
+	public static final int X86_REG_R15B = 225;
+	public static final int X86_REG_R8D = 226;
+	public static final int X86_REG_R9D = 227;
+	public static final int X86_REG_R10D = 228;
+	public static final int X86_REG_R11D = 229;
+	public static final int X86_REG_R12D = 230;
+	public static final int X86_REG_R13D = 231;
+	public static final int X86_REG_R14D = 232;
+	public static final int X86_REG_R15D = 233;
+	public static final int X86_REG_R8W = 234;
+	public static final int X86_REG_R9W = 235;
+	public static final int X86_REG_R10W = 236;
+	public static final int X86_REG_R11W = 237;
+	public static final int X86_REG_R12W = 238;
+	public static final int X86_REG_R13W = 239;
+	public static final int X86_REG_R14W = 240;
+	public static final int X86_REG_R15W = 241;
+	public static final int X86_REG_ENDING = 242;
+	public static final int X86_EFLAGS_MODIFY_AF = 1<<0;
+	public static final int X86_EFLAGS_MODIFY_CF = 1<<1;
+	public static final int X86_EFLAGS_MODIFY_SF = 1<<2;
+	public static final int X86_EFLAGS_MODIFY_ZF = 1<<3;
+	public static final int X86_EFLAGS_MODIFY_PF = 1<<4;
+	public static final int X86_EFLAGS_MODIFY_OF = 1<<5;
+	public static final int X86_EFLAGS_MODIFY_TF = 1<<6;
+	public static final int X86_EFLAGS_MODIFY_IF = 1<<7;
+	public static final int X86_EFLAGS_MODIFY_DF = 1<<8;
+	public static final int X86_EFLAGS_MODIFY_NT = 1<<9;
+	public static final int X86_EFLAGS_MODIFY_RF = 1<<10;
+	public static final int X86_EFLAGS_PRIOR_OF = 1<<11;
+	public static final int X86_EFLAGS_PRIOR_SF = 1<<12;
+	public static final int X86_EFLAGS_PRIOR_ZF = 1<<13;
+	public static final int X86_EFLAGS_PRIOR_AF = 1<<14;
+	public static final int X86_EFLAGS_PRIOR_PF = 1<<15;
+	public static final int X86_EFLAGS_PRIOR_CF = 1<<16;
+	public static final int X86_EFLAGS_PRIOR_TF = 1<<17;
+	public static final int X86_EFLAGS_PRIOR_IF = 1<<18;
+	public static final int X86_EFLAGS_PRIOR_DF = 1<<19;
+	public static final int X86_EFLAGS_PRIOR_NT = 1<<20;
+	public static final int X86_EFLAGS_RESET_OF = 1<<21;
+	public static final int X86_EFLAGS_RESET_CF = 1<<22;
+	public static final int X86_EFLAGS_RESET_DF = 1<<23;
+	public static final int X86_EFLAGS_RESET_IF = 1<<24;
+	public static final int X86_EFLAGS_RESET_SF = 1<<25;
+	public static final int X86_EFLAGS_RESET_AF = 1<<26;
+	public static final int X86_EFLAGS_RESET_TF = 1<<27;
+	public static final int X86_EFLAGS_RESET_NT = 1<<28;
+	public static final int X86_EFLAGS_RESET_PF = 1<<29;
+	public static final int X86_EFLAGS_SET_CF = 1<<30;
+	public static final int X86_EFLAGS_SET_DF = 1<<31;
+	public static final int X86_EFLAGS_SET_IF = 1<<32;
+	public static final int X86_EFLAGS_TEST_OF = 1<<33;
+	public static final int X86_EFLAGS_TEST_SF = 1<<34;
+	public static final int X86_EFLAGS_TEST_ZF = 1<<35;
+	public static final int X86_EFLAGS_TEST_PF = 1<<36;
+	public static final int X86_EFLAGS_TEST_CF = 1<<37;
+	public static final int X86_EFLAGS_TEST_NT = 1<<38;
+	public static final int X86_EFLAGS_TEST_DF = 1<<39;
+	public static final int X86_EFLAGS_UNDEFINED_OF = 1<<40;
+	public static final int X86_EFLAGS_UNDEFINED_SF = 1<<41;
+	public static final int X86_EFLAGS_UNDEFINED_ZF = 1<<42;
+	public static final int X86_EFLAGS_UNDEFINED_PF = 1<<43;
+	public static final int X86_EFLAGS_UNDEFINED_AF = 1<<44;
+	public static final int X86_EFLAGS_UNDEFINED_CF = 1<<45;
+	public static final int X86_EFLAGS_RESET_RF = 1<<46;
+	public static final int X86_EFLAGS_TEST_RF = 1<<47;
+	public static final int X86_EFLAGS_TEST_IF = 1<<48;
+	public static final int X86_EFLAGS_TEST_TF = 1<<49;
+	public static final int X86_EFLAGS_TEST_AF = 1<<50;
+	public static final int X86_EFLAGS_RESET_ZF = 1<<51;
+	public static final int X86_EFLAGS_SET_OF = 1<<52;
+	public static final int X86_EFLAGS_SET_SF = 1<<53;
+	public static final int X86_EFLAGS_SET_ZF = 1<<54;
+	public static final int X86_EFLAGS_SET_AF = 1<<55;
+	public static final int X86_EFLAGS_SET_PF = 1<<56;
+	public static final int X86_EFLAGS_RESET_0F = 1<<57;
+	public static final int X86_EFLAGS_RESET_AC = 1<<58;
+	public static final int X86_FPU_FLAGS_MODIFY_C0 = 1<<0;
+	public static final int X86_FPU_FLAGS_MODIFY_C1 = 1<<1;
+	public static final int X86_FPU_FLAGS_MODIFY_C2 = 1<<2;
+	public static final int X86_FPU_FLAGS_MODIFY_C3 = 1<<3;
+	public static final int X86_FPU_FLAGS_RESET_C0 = 1<<4;
+	public static final int X86_FPU_FLAGS_RESET_C1 = 1<<5;
+	public static final int X86_FPU_FLAGS_RESET_C2 = 1<<6;
+	public static final int X86_FPU_FLAGS_RESET_C3 = 1<<7;
+	public static final int X86_FPU_FLAGS_SET_C0 = 1<<8;
+	public static final int X86_FPU_FLAGS_SET_C1 = 1<<9;
+	public static final int X86_FPU_FLAGS_SET_C2 = 1<<10;
+	public static final int X86_FPU_FLAGS_SET_C3 = 1<<11;
+	public static final int X86_FPU_FLAGS_UNDEFINED_C0 = 1<<12;
+	public static final int X86_FPU_FLAGS_UNDEFINED_C1 = 1<<13;
+	public static final int X86_FPU_FLAGS_UNDEFINED_C2 = 1<<14;
+	public static final int X86_FPU_FLAGS_UNDEFINED_C3 = 1<<15;
+	public static final int X86_FPU_FLAGS_TEST_C0 = 1<<16;
+	public static final int X86_FPU_FLAGS_TEST_C1 = 1<<17;
+	public static final int X86_FPU_FLAGS_TEST_C2 = 1<<18;
+	public static final int X86_FPU_FLAGS_TEST_C3 = 1<<19;
 
 	public static final int X86_OP_INVALID = 0;
 	public static final int X86_OP_REG = 1;
 	public static final int X86_OP_IMM = 2;
 	public static final int X86_OP_MEM = 3;
-	public static final int X86_OP_FP = 4;
 
-	// AVX broadcast type
+	public static final int X86_XOP_CC_INVALID = 0;
+	public static final int X86_XOP_CC_LT = 1;
+	public static final int X86_XOP_CC_LE = 2;
+	public static final int X86_XOP_CC_GT = 3;
+	public static final int X86_XOP_CC_GE = 4;
+	public static final int X86_XOP_CC_EQ = 5;
+	public static final int X86_XOP_CC_NEQ = 6;
+	public static final int X86_XOP_CC_FALSE = 7;
+	public static final int X86_XOP_CC_TRUE = 8;
 
 	public static final int X86_AVX_BCAST_INVALID = 0;
 	public static final int X86_AVX_BCAST_2 = 1;
@@ -257,8 +347,6 @@ public class X86_const {
 	public static final int X86_AVX_BCAST_8 = 3;
 	public static final int X86_AVX_BCAST_16 = 4;
 
-	// SSE Code Condition type
-
 	public static final int X86_SSE_CC_INVALID = 0;
 	public static final int X86_SSE_CC_EQ = 1;
 	public static final int X86_SSE_CC_LT = 2;
@@ -268,16 +356,6 @@ public class X86_const {
 	public static final int X86_SSE_CC_NLT = 6;
 	public static final int X86_SSE_CC_NLE = 7;
 	public static final int X86_SSE_CC_ORD = 8;
-	public static final int X86_SSE_CC_EQ_UQ = 9;
-	public static final int X86_SSE_CC_NGE = 10;
-	public static final int X86_SSE_CC_NGT = 11;
-	public static final int X86_SSE_CC_FALSE = 12;
-	public static final int X86_SSE_CC_NEQ_OQ = 13;
-	public static final int X86_SSE_CC_GE = 14;
-	public static final int X86_SSE_CC_GT = 15;
-	public static final int X86_SSE_CC_TRUE = 16;
-
-	// AVX Code Condition type
 
 	public static final int X86_AVX_CC_INVALID = 0;
 	public static final int X86_AVX_CC_EQ = 1;
@@ -313,17 +391,14 @@ public class X86_const {
 	public static final int X86_AVX_CC_GT_OQ = 31;
 	public static final int X86_AVX_CC_TRUE_US = 32;
 
-	// AVX static rounding mode type
-
 	public static final int X86_AVX_RM_INVALID = 0;
 	public static final int X86_AVX_RM_RN = 1;
 	public static final int X86_AVX_RM_RD = 2;
 	public static final int X86_AVX_RM_RU = 3;
 	public static final int X86_AVX_RM_RZ = 4;
-
-	// Instruction prefixes - to be used in cs_x86.prefix[]
 	public static final int X86_PREFIX_LOCK = 0xf0;
 	public static final int X86_PREFIX_REP = 0xf3;
+	public static final int X86_PREFIX_REPE = 0xf3;
 	public static final int X86_PREFIX_REPNE = 0xf2;
 	public static final int X86_PREFIX_CS = 0x2e;
 	public static final int X86_PREFIX_SS = 0x36;
@@ -334,8 +409,6 @@ public class X86_const {
 	public static final int X86_PREFIX_OPSIZE = 0x66;
 	public static final int X86_PREFIX_ADDRSIZE = 0x67;
 
-	// X86 instructions
-
 	public static final int X86_INS_INVALID = 0;
 	public static final int X86_INS_AAA = 1;
 	public static final int X86_INS_AAD = 2;
@@ -401,1250 +474,1452 @@ public class X86_const {
 	public static final int X86_INS_CLC = 62;
 	public static final int X86_INS_CLD = 63;
 	public static final int X86_INS_CLFLUSH = 64;
-	public static final int X86_INS_CLGI = 65;
-	public static final int X86_INS_CLI = 66;
-	public static final int X86_INS_CLTS = 67;
-	public static final int X86_INS_CMC = 68;
-	public static final int X86_INS_CMOVA = 69;
-	public static final int X86_INS_CMOVAE = 70;
-	public static final int X86_INS_CMOVB = 71;
-	public static final int X86_INS_CMOVBE = 72;
-	public static final int X86_INS_FCMOVBE = 73;
-	public static final int X86_INS_FCMOVB = 74;
-	public static final int X86_INS_CMOVE = 75;
-	public static final int X86_INS_FCMOVE = 76;
-	public static final int X86_INS_CMOVG = 77;
-	public static final int X86_INS_CMOVGE = 78;
-	public static final int X86_INS_CMOVL = 79;
-	public static final int X86_INS_CMOVLE = 80;
-	public static final int X86_INS_FCMOVNBE = 81;
-	public static final int X86_INS_FCMOVNB = 82;
-	public static final int X86_INS_CMOVNE = 83;
-	public static final int X86_INS_FCMOVNE = 84;
-	public static final int X86_INS_CMOVNO = 85;
-	public static final int X86_INS_CMOVNP = 86;
-	public static final int X86_INS_FCMOVNU = 87;
-	public static final int X86_INS_CMOVNS = 88;
-	public static final int X86_INS_CMOVO = 89;
-	public static final int X86_INS_CMOVP = 90;
-	public static final int X86_INS_FCMOVU = 91;
-	public static final int X86_INS_CMOVS = 92;
-	public static final int X86_INS_CMP = 93;
-	public static final int X86_INS_CMPPD = 94;
-	public static final int X86_INS_CMPPS = 95;
+	public static final int X86_INS_CLFLUSHOPT = 65;
+	public static final int X86_INS_CLGI = 66;
+	public static final int X86_INS_CLI = 67;
+	public static final int X86_INS_CLTS = 68;
+	public static final int X86_INS_CLWB = 69;
+	public static final int X86_INS_CMC = 70;
+	public static final int X86_INS_CMOVA = 71;
+	public static final int X86_INS_CMOVAE = 72;
+	public static final int X86_INS_CMOVB = 73;
+	public static final int X86_INS_CMOVBE = 74;
+	public static final int X86_INS_FCMOVBE = 75;
+	public static final int X86_INS_FCMOVB = 76;
+	public static final int X86_INS_CMOVE = 77;
+	public static final int X86_INS_FCMOVE = 78;
+	public static final int X86_INS_CMOVG = 79;
+	public static final int X86_INS_CMOVGE = 80;
+	public static final int X86_INS_CMOVL = 81;
+	public static final int X86_INS_CMOVLE = 82;
+	public static final int X86_INS_FCMOVNBE = 83;
+	public static final int X86_INS_FCMOVNB = 84;
+	public static final int X86_INS_CMOVNE = 85;
+	public static final int X86_INS_FCMOVNE = 86;
+	public static final int X86_INS_CMOVNO = 87;
+	public static final int X86_INS_CMOVNP = 88;
+	public static final int X86_INS_FCMOVNU = 89;
+	public static final int X86_INS_CMOVNS = 90;
+	public static final int X86_INS_CMOVO = 91;
+	public static final int X86_INS_CMOVP = 92;
+	public static final int X86_INS_FCMOVU = 93;
+	public static final int X86_INS_CMOVS = 94;
+	public static final int X86_INS_CMP = 95;
 	public static final int X86_INS_CMPSB = 96;
-	public static final int X86_INS_CMPSD = 97;
-	public static final int X86_INS_CMPSQ = 98;
-	public static final int X86_INS_CMPSS = 99;
-	public static final int X86_INS_CMPSW = 100;
-	public static final int X86_INS_CMPXCHG16B = 101;
-	public static final int X86_INS_CMPXCHG = 102;
-	public static final int X86_INS_CMPXCHG8B = 103;
-	public static final int X86_INS_COMISD = 104;
-	public static final int X86_INS_COMISS = 105;
-	public static final int X86_INS_FCOMP = 106;
-	public static final int X86_INS_FCOMPI = 107;
-	public static final int X86_INS_FCOMI = 108;
-	public static final int X86_INS_FCOM = 109;
-	public static final int X86_INS_FCOS = 110;
-	public static final int X86_INS_CPUID = 111;
-	public static final int X86_INS_CQO = 112;
-	public static final int X86_INS_CRC32 = 113;
-	public static final int X86_INS_CVTDQ2PD = 114;
-	public static final int X86_INS_CVTDQ2PS = 115;
-	public static final int X86_INS_CVTPD2DQ = 116;
-	public static final int X86_INS_CVTPD2PS = 117;
-	public static final int X86_INS_CVTPS2DQ = 118;
-	public static final int X86_INS_CVTPS2PD = 119;
-	public static final int X86_INS_CVTSD2SI = 120;
-	public static final int X86_INS_CVTSD2SS = 121;
-	public static final int X86_INS_CVTSI2SD = 122;
-	public static final int X86_INS_CVTSI2SS = 123;
-	public static final int X86_INS_CVTSS2SD = 124;
-	public static final int X86_INS_CVTSS2SI = 125;
-	public static final int X86_INS_CVTTPD2DQ = 126;
-	public static final int X86_INS_CVTTPS2DQ = 127;
-	public static final int X86_INS_CVTTSD2SI = 128;
-	public static final int X86_INS_CVTTSS2SI = 129;
-	public static final int X86_INS_CWD = 130;
-	public static final int X86_INS_CWDE = 131;
-	public static final int X86_INS_DAA = 132;
-	public static final int X86_INS_DAS = 133;
-	public static final int X86_INS_DATA16 = 134;
-	public static final int X86_INS_DEC = 135;
-	public static final int X86_INS_DIV = 136;
-	public static final int X86_INS_DIVPD = 137;
-	public static final int X86_INS_DIVPS = 138;
-	public static final int X86_INS_FDIVR = 139;
-	public static final int X86_INS_FIDIVR = 140;
-	public static final int X86_INS_FDIVRP = 141;
-	public static final int X86_INS_DIVSD = 142;
-	public static final int X86_INS_DIVSS = 143;
-	public static final int X86_INS_FDIV = 144;
-	public static final int X86_INS_FIDIV = 145;
-	public static final int X86_INS_FDIVP = 146;
-	public static final int X86_INS_DPPD = 147;
-	public static final int X86_INS_DPPS = 148;
-	public static final int X86_INS_RET = 149;
-	public static final int X86_INS_ENCLS = 150;
-	public static final int X86_INS_ENCLU = 151;
-	public static final int X86_INS_ENTER = 152;
-	public static final int X86_INS_EXTRACTPS = 153;
-	public static final int X86_INS_EXTRQ = 154;
-	public static final int X86_INS_F2XM1 = 155;
-	public static final int X86_INS_LCALL = 156;
-	public static final int X86_INS_LJMP = 157;
-	public static final int X86_INS_FBLD = 158;
-	public static final int X86_INS_FBSTP = 159;
-	public static final int X86_INS_FCOMPP = 160;
-	public static final int X86_INS_FDECSTP = 161;
-	public static final int X86_INS_FEMMS = 162;
-	public static final int X86_INS_FFREE = 163;
-	public static final int X86_INS_FICOM = 164;
-	public static final int X86_INS_FICOMP = 165;
-	public static final int X86_INS_FINCSTP = 166;
-	public static final int X86_INS_FLDCW = 167;
-	public static final int X86_INS_FLDENV = 168;
-	public static final int X86_INS_FLDL2E = 169;
-	public static final int X86_INS_FLDL2T = 170;
-	public static final int X86_INS_FLDLG2 = 171;
-	public static final int X86_INS_FLDLN2 = 172;
-	public static final int X86_INS_FLDPI = 173;
-	public static final int X86_INS_FNCLEX = 174;
-	public static final int X86_INS_FNINIT = 175;
-	public static final int X86_INS_FNOP = 176;
-	public static final int X86_INS_FNSTCW = 177;
-	public static final int X86_INS_FNSTSW = 178;
-	public static final int X86_INS_FPATAN = 179;
-	public static final int X86_INS_FPREM = 180;
-	public static final int X86_INS_FPREM1 = 181;
-	public static final int X86_INS_FPTAN = 182;
-	public static final int X86_INS_FRNDINT = 183;
-	public static final int X86_INS_FRSTOR = 184;
-	public static final int X86_INS_FNSAVE = 185;
-	public static final int X86_INS_FSCALE = 186;
-	public static final int X86_INS_FSETPM = 187;
-	public static final int X86_INS_FSINCOS = 188;
-	public static final int X86_INS_FNSTENV = 189;
-	public static final int X86_INS_FXAM = 190;
-	public static final int X86_INS_FXRSTOR = 191;
-	public static final int X86_INS_FXRSTOR64 = 192;
-	public static final int X86_INS_FXSAVE = 193;
-	public static final int X86_INS_FXSAVE64 = 194;
-	public static final int X86_INS_FXTRACT = 195;
-	public static final int X86_INS_FYL2X = 196;
-	public static final int X86_INS_FYL2XP1 = 197;
-	public static final int X86_INS_MOVAPD = 198;
-	public static final int X86_INS_MOVAPS = 199;
-	public static final int X86_INS_ORPD = 200;
-	public static final int X86_INS_ORPS = 201;
-	public static final int X86_INS_VMOVAPD = 202;
-	public static final int X86_INS_VMOVAPS = 203;
-	public static final int X86_INS_XORPD = 204;
-	public static final int X86_INS_XORPS = 205;
-	public static final int X86_INS_GETSEC = 206;
-	public static final int X86_INS_HADDPD = 207;
-	public static final int X86_INS_HADDPS = 208;
-	public static final int X86_INS_HLT = 209;
-	public static final int X86_INS_HSUBPD = 210;
-	public static final int X86_INS_HSUBPS = 211;
-	public static final int X86_INS_IDIV = 212;
-	public static final int X86_INS_FILD = 213;
-	public static final int X86_INS_IMUL = 214;
-	public static final int X86_INS_IN = 215;
-	public static final int X86_INS_INC = 216;
-	public static final int X86_INS_INSB = 217;
-	public static final int X86_INS_INSERTPS = 218;
-	public static final int X86_INS_INSERTQ = 219;
-	public static final int X86_INS_INSD = 220;
-	public static final int X86_INS_INSW = 221;
-	public static final int X86_INS_INT = 222;
-	public static final int X86_INS_INT1 = 223;
-	public static final int X86_INS_INT3 = 224;
-	public static final int X86_INS_INTO = 225;
-	public static final int X86_INS_INVD = 226;
-	public static final int X86_INS_INVEPT = 227;
-	public static final int X86_INS_INVLPG = 228;
-	public static final int X86_INS_INVLPGA = 229;
-	public static final int X86_INS_INVPCID = 230;
-	public static final int X86_INS_INVVPID = 231;
-	public static final int X86_INS_IRET = 232;
-	public static final int X86_INS_IRETD = 233;
-	public static final int X86_INS_IRETQ = 234;
-	public static final int X86_INS_FISTTP = 235;
-	public static final int X86_INS_FIST = 236;
-	public static final int X86_INS_FISTP = 237;
-	public static final int X86_INS_UCOMISD = 238;
-	public static final int X86_INS_UCOMISS = 239;
-	public static final int X86_INS_VCMP = 240;
-	public static final int X86_INS_VCOMISD = 241;
-	public static final int X86_INS_VCOMISS = 242;
-	public static final int X86_INS_VCVTSD2SS = 243;
-	public static final int X86_INS_VCVTSI2SD = 244;
-	public static final int X86_INS_VCVTSI2SS = 245;
-	public static final int X86_INS_VCVTSS2SD = 246;
-	public static final int X86_INS_VCVTTSD2SI = 247;
-	public static final int X86_INS_VCVTTSD2USI = 248;
-	public static final int X86_INS_VCVTTSS2SI = 249;
-	public static final int X86_INS_VCVTTSS2USI = 250;
-	public static final int X86_INS_VCVTUSI2SD = 251;
-	public static final int X86_INS_VCVTUSI2SS = 252;
-	public static final int X86_INS_VUCOMISD = 253;
-	public static final int X86_INS_VUCOMISS = 254;
-	public static final int X86_INS_JAE = 255;
-	public static final int X86_INS_JA = 256;
-	public static final int X86_INS_JBE = 257;
-	public static final int X86_INS_JB = 258;
-	public static final int X86_INS_JCXZ = 259;
-	public static final int X86_INS_JECXZ = 260;
-	public static final int X86_INS_JE = 261;
-	public static final int X86_INS_JGE = 262;
-	public static final int X86_INS_JG = 263;
-	public static final int X86_INS_JLE = 264;
-	public static final int X86_INS_JL = 265;
-	public static final int X86_INS_JMP = 266;
-	public static final int X86_INS_JNE = 267;
-	public static final int X86_INS_JNO = 268;
-	public static final int X86_INS_JNP = 269;
-	public static final int X86_INS_JNS = 270;
-	public static final int X86_INS_JO = 271;
-	public static final int X86_INS_JP = 272;
-	public static final int X86_INS_JRCXZ = 273;
-	public static final int X86_INS_JS = 274;
-	public static final int X86_INS_KANDB = 275;
-	public static final int X86_INS_KANDD = 276;
-	public static final int X86_INS_KANDNB = 277;
-	public static final int X86_INS_KANDND = 278;
-	public static final int X86_INS_KANDNQ = 279;
-	public static final int X86_INS_KANDNW = 280;
-	public static final int X86_INS_KANDQ = 281;
-	public static final int X86_INS_KANDW = 282;
-	public static final int X86_INS_KMOVB = 283;
-	public static final int X86_INS_KMOVD = 284;
-	public static final int X86_INS_KMOVQ = 285;
-	public static final int X86_INS_KMOVW = 286;
-	public static final int X86_INS_KNOTB = 287;
-	public static final int X86_INS_KNOTD = 288;
-	public static final int X86_INS_KNOTQ = 289;
-	public static final int X86_INS_KNOTW = 290;
-	public static final int X86_INS_KORB = 291;
-	public static final int X86_INS_KORD = 292;
-	public static final int X86_INS_KORQ = 293;
-	public static final int X86_INS_KORTESTW = 294;
-	public static final int X86_INS_KORW = 295;
-	public static final int X86_INS_KSHIFTLW = 296;
-	public static final int X86_INS_KSHIFTRW = 297;
-	public static final int X86_INS_KUNPCKBW = 298;
-	public static final int X86_INS_KXNORB = 299;
-	public static final int X86_INS_KXNORD = 300;
-	public static final int X86_INS_KXNORQ = 301;
-	public static final int X86_INS_KXNORW = 302;
-	public static final int X86_INS_KXORB = 303;
-	public static final int X86_INS_KXORD = 304;
-	public static final int X86_INS_KXORQ = 305;
-	public static final int X86_INS_KXORW = 306;
-	public static final int X86_INS_LAHF = 307;
-	public static final int X86_INS_LAR = 308;
-	public static final int X86_INS_LDDQU = 309;
-	public static final int X86_INS_LDMXCSR = 310;
-	public static final int X86_INS_LDS = 311;
-	public static final int X86_INS_FLDZ = 312;
-	public static final int X86_INS_FLD1 = 313;
-	public static final int X86_INS_FLD = 314;
-	public static final int X86_INS_LEA = 315;
-	public static final int X86_INS_LEAVE = 316;
-	public static final int X86_INS_LES = 317;
-	public static final int X86_INS_LFENCE = 318;
-	public static final int X86_INS_LFS = 319;
-	public static final int X86_INS_LGDT = 320;
-	public static final int X86_INS_LGS = 321;
-	public static final int X86_INS_LIDT = 322;
-	public static final int X86_INS_LLDT = 323;
-	public static final int X86_INS_LMSW = 324;
-	public static final int X86_INS_OR = 325;
-	public static final int X86_INS_SUB = 326;
-	public static final int X86_INS_XOR = 327;
-	public static final int X86_INS_LODSB = 328;
-	public static final int X86_INS_LODSD = 329;
-	public static final int X86_INS_LODSQ = 330;
-	public static final int X86_INS_LODSW = 331;
-	public static final int X86_INS_LOOP = 332;
-	public static final int X86_INS_LOOPE = 333;
-	public static final int X86_INS_LOOPNE = 334;
-	public static final int X86_INS_RETF = 335;
-	public static final int X86_INS_RETFQ = 336;
-	public static final int X86_INS_LSL = 337;
-	public static final int X86_INS_LSS = 338;
-	public static final int X86_INS_LTR = 339;
-	public static final int X86_INS_XADD = 340;
-	public static final int X86_INS_LZCNT = 341;
-	public static final int X86_INS_MASKMOVDQU = 342;
-	public static final int X86_INS_MAXPD = 343;
-	public static final int X86_INS_MAXPS = 344;
-	public static final int X86_INS_MAXSD = 345;
-	public static final int X86_INS_MAXSS = 346;
-	public static final int X86_INS_MFENCE = 347;
-	public static final int X86_INS_MINPD = 348;
-	public static final int X86_INS_MINPS = 349;
-	public static final int X86_INS_MINSD = 350;
-	public static final int X86_INS_MINSS = 351;
-	public static final int X86_INS_CVTPD2PI = 352;
-	public static final int X86_INS_CVTPI2PD = 353;
-	public static final int X86_INS_CVTPI2PS = 354;
-	public static final int X86_INS_CVTPS2PI = 355;
-	public static final int X86_INS_CVTTPD2PI = 356;
-	public static final int X86_INS_CVTTPS2PI = 357;
-	public static final int X86_INS_EMMS = 358;
-	public static final int X86_INS_MASKMOVQ = 359;
-	public static final int X86_INS_MOVD = 360;
-	public static final int X86_INS_MOVDQ2Q = 361;
-	public static final int X86_INS_MOVNTQ = 362;
-	public static final int X86_INS_MOVQ2DQ = 363;
-	public static final int X86_INS_MOVQ = 364;
-	public static final int X86_INS_PABSB = 365;
-	public static final int X86_INS_PABSD = 366;
-	public static final int X86_INS_PABSW = 367;
-	public static final int X86_INS_PACKSSDW = 368;
-	public static final int X86_INS_PACKSSWB = 369;
-	public static final int X86_INS_PACKUSWB = 370;
-	public static final int X86_INS_PADDB = 371;
-	public static final int X86_INS_PADDD = 372;
-	public static final int X86_INS_PADDQ = 373;
-	public static final int X86_INS_PADDSB = 374;
-	public static final int X86_INS_PADDSW = 375;
-	public static final int X86_INS_PADDUSB = 376;
-	public static final int X86_INS_PADDUSW = 377;
-	public static final int X86_INS_PADDW = 378;
-	public static final int X86_INS_PALIGNR = 379;
-	public static final int X86_INS_PANDN = 380;
-	public static final int X86_INS_PAND = 381;
-	public static final int X86_INS_PAVGB = 382;
-	public static final int X86_INS_PAVGW = 383;
-	public static final int X86_INS_PCMPEQB = 384;
-	public static final int X86_INS_PCMPEQD = 385;
-	public static final int X86_INS_PCMPEQW = 386;
-	public static final int X86_INS_PCMPGTB = 387;
-	public static final int X86_INS_PCMPGTD = 388;
-	public static final int X86_INS_PCMPGTW = 389;
-	public static final int X86_INS_PEXTRW = 390;
-	public static final int X86_INS_PHADDSW = 391;
-	public static final int X86_INS_PHADDW = 392;
-	public static final int X86_INS_PHADDD = 393;
-	public static final int X86_INS_PHSUBD = 394;
-	public static final int X86_INS_PHSUBSW = 395;
-	public static final int X86_INS_PHSUBW = 396;
-	public static final int X86_INS_PINSRW = 397;
-	public static final int X86_INS_PMADDUBSW = 398;
-	public static final int X86_INS_PMADDWD = 399;
-	public static final int X86_INS_PMAXSW = 400;
-	public static final int X86_INS_PMAXUB = 401;
-	public static final int X86_INS_PMINSW = 402;
-	public static final int X86_INS_PMINUB = 403;
-	public static final int X86_INS_PMOVMSKB = 404;
-	public static final int X86_INS_PMULHRSW = 405;
-	public static final int X86_INS_PMULHUW = 406;
-	public static final int X86_INS_PMULHW = 407;
-	public static final int X86_INS_PMULLW = 408;
-	public static final int X86_INS_PMULUDQ = 409;
-	public static final int X86_INS_POR = 410;
-	public static final int X86_INS_PSADBW = 411;
-	public static final int X86_INS_PSHUFB = 412;
-	public static final int X86_INS_PSHUFW = 413;
-	public static final int X86_INS_PSIGNB = 414;
-	public static final int X86_INS_PSIGND = 415;
-	public static final int X86_INS_PSIGNW = 416;
-	public static final int X86_INS_PSLLD = 417;
-	public static final int X86_INS_PSLLQ = 418;
-	public static final int X86_INS_PSLLW = 419;
-	public static final int X86_INS_PSRAD = 420;
-	public static final int X86_INS_PSRAW = 421;
-	public static final int X86_INS_PSRLD = 422;
-	public static final int X86_INS_PSRLQ = 423;
-	public static final int X86_INS_PSRLW = 424;
-	public static final int X86_INS_PSUBB = 425;
-	public static final int X86_INS_PSUBD = 426;
-	public static final int X86_INS_PSUBQ = 427;
-	public static final int X86_INS_PSUBSB = 428;
-	public static final int X86_INS_PSUBSW = 429;
-	public static final int X86_INS_PSUBUSB = 430;
-	public static final int X86_INS_PSUBUSW = 431;
-	public static final int X86_INS_PSUBW = 432;
-	public static final int X86_INS_PUNPCKHBW = 433;
-	public static final int X86_INS_PUNPCKHDQ = 434;
-	public static final int X86_INS_PUNPCKHWD = 435;
-	public static final int X86_INS_PUNPCKLBW = 436;
-	public static final int X86_INS_PUNPCKLDQ = 437;
-	public static final int X86_INS_PUNPCKLWD = 438;
-	public static final int X86_INS_PXOR = 439;
-	public static final int X86_INS_MONITOR = 440;
-	public static final int X86_INS_MONTMUL = 441;
-	public static final int X86_INS_MOV = 442;
-	public static final int X86_INS_MOVABS = 443;
-	public static final int X86_INS_MOVBE = 444;
-	public static final int X86_INS_MOVDDUP = 445;
-	public static final int X86_INS_MOVDQA = 446;
-	public static final int X86_INS_MOVDQU = 447;
-	public static final int X86_INS_MOVHLPS = 448;
-	public static final int X86_INS_MOVHPD = 449;
-	public static final int X86_INS_MOVHPS = 450;
-	public static final int X86_INS_MOVLHPS = 451;
-	public static final int X86_INS_MOVLPD = 452;
-	public static final int X86_INS_MOVLPS = 453;
-	public static final int X86_INS_MOVMSKPD = 454;
-	public static final int X86_INS_MOVMSKPS = 455;
-	public static final int X86_INS_MOVNTDQA = 456;
-	public static final int X86_INS_MOVNTDQ = 457;
-	public static final int X86_INS_MOVNTI = 458;
-	public static final int X86_INS_MOVNTPD = 459;
-	public static final int X86_INS_MOVNTPS = 460;
-	public static final int X86_INS_MOVNTSD = 461;
-	public static final int X86_INS_MOVNTSS = 462;
-	public static final int X86_INS_MOVSB = 463;
-	public static final int X86_INS_MOVSD = 464;
-	public static final int X86_INS_MOVSHDUP = 465;
-	public static final int X86_INS_MOVSLDUP = 466;
-	public static final int X86_INS_MOVSQ = 467;
-	public static final int X86_INS_MOVSS = 468;
-	public static final int X86_INS_MOVSW = 469;
-	public static final int X86_INS_MOVSX = 470;
-	public static final int X86_INS_MOVSXD = 471;
-	public static final int X86_INS_MOVUPD = 472;
-	public static final int X86_INS_MOVUPS = 473;
-	public static final int X86_INS_MOVZX = 474;
-	public static final int X86_INS_MPSADBW = 475;
-	public static final int X86_INS_MUL = 476;
-	public static final int X86_INS_MULPD = 477;
-	public static final int X86_INS_MULPS = 478;
-	public static final int X86_INS_MULSD = 479;
-	public static final int X86_INS_MULSS = 480;
-	public static final int X86_INS_MULX = 481;
-	public static final int X86_INS_FMUL = 482;
-	public static final int X86_INS_FIMUL = 483;
-	public static final int X86_INS_FMULP = 484;
-	public static final int X86_INS_MWAIT = 485;
-	public static final int X86_INS_NEG = 486;
-	public static final int X86_INS_NOP = 487;
-	public static final int X86_INS_NOT = 488;
-	public static final int X86_INS_OUT = 489;
-	public static final int X86_INS_OUTSB = 490;
-	public static final int X86_INS_OUTSD = 491;
-	public static final int X86_INS_OUTSW = 492;
-	public static final int X86_INS_PACKUSDW = 493;
-	public static final int X86_INS_PAUSE = 494;
-	public static final int X86_INS_PAVGUSB = 495;
-	public static final int X86_INS_PBLENDVB = 496;
-	public static final int X86_INS_PBLENDW = 497;
-	public static final int X86_INS_PCLMULQDQ = 498;
-	public static final int X86_INS_PCMPEQQ = 499;
-	public static final int X86_INS_PCMPESTRI = 500;
-	public static final int X86_INS_PCMPESTRM = 501;
-	public static final int X86_INS_PCMPGTQ = 502;
-	public static final int X86_INS_PCMPISTRI = 503;
-	public static final int X86_INS_PCMPISTRM = 504;
-	public static final int X86_INS_PDEP = 505;
-	public static final int X86_INS_PEXT = 506;
-	public static final int X86_INS_PEXTRB = 507;
-	public static final int X86_INS_PEXTRD = 508;
-	public static final int X86_INS_PEXTRQ = 509;
-	public static final int X86_INS_PF2ID = 510;
-	public static final int X86_INS_PF2IW = 511;
-	public static final int X86_INS_PFACC = 512;
-	public static final int X86_INS_PFADD = 513;
-	public static final int X86_INS_PFCMPEQ = 514;
-	public static final int X86_INS_PFCMPGE = 515;
-	public static final int X86_INS_PFCMPGT = 516;
-	public static final int X86_INS_PFMAX = 517;
-	public static final int X86_INS_PFMIN = 518;
-	public static final int X86_INS_PFMUL = 519;
-	public static final int X86_INS_PFNACC = 520;
-	public static final int X86_INS_PFPNACC = 521;
-	public static final int X86_INS_PFRCPIT1 = 522;
-	public static final int X86_INS_PFRCPIT2 = 523;
-	public static final int X86_INS_PFRCP = 524;
-	public static final int X86_INS_PFRSQIT1 = 525;
-	public static final int X86_INS_PFRSQRT = 526;
-	public static final int X86_INS_PFSUBR = 527;
-	public static final int X86_INS_PFSUB = 528;
-	public static final int X86_INS_PHMINPOSUW = 529;
-	public static final int X86_INS_PI2FD = 530;
-	public static final int X86_INS_PI2FW = 531;
-	public static final int X86_INS_PINSRB = 532;
-	public static final int X86_INS_PINSRD = 533;
-	public static final int X86_INS_PINSRQ = 534;
-	public static final int X86_INS_PMAXSB = 535;
-	public static final int X86_INS_PMAXSD = 536;
-	public static final int X86_INS_PMAXUD = 537;
-	public static final int X86_INS_PMAXUW = 538;
-	public static final int X86_INS_PMINSB = 539;
-	public static final int X86_INS_PMINSD = 540;
-	public static final int X86_INS_PMINUD = 541;
-	public static final int X86_INS_PMINUW = 542;
-	public static final int X86_INS_PMOVSXBD = 543;
-	public static final int X86_INS_PMOVSXBQ = 544;
-	public static final int X86_INS_PMOVSXBW = 545;
-	public static final int X86_INS_PMOVSXDQ = 546;
-	public static final int X86_INS_PMOVSXWD = 547;
-	public static final int X86_INS_PMOVSXWQ = 548;
-	public static final int X86_INS_PMOVZXBD = 549;
-	public static final int X86_INS_PMOVZXBQ = 550;
-	public static final int X86_INS_PMOVZXBW = 551;
-	public static final int X86_INS_PMOVZXDQ = 552;
-	public static final int X86_INS_PMOVZXWD = 553;
-	public static final int X86_INS_PMOVZXWQ = 554;
-	public static final int X86_INS_PMULDQ = 555;
-	public static final int X86_INS_PMULHRW = 556;
-	public static final int X86_INS_PMULLD = 557;
-	public static final int X86_INS_POP = 558;
-	public static final int X86_INS_POPAW = 559;
-	public static final int X86_INS_POPAL = 560;
-	public static final int X86_INS_POPCNT = 561;
-	public static final int X86_INS_POPF = 562;
-	public static final int X86_INS_POPFD = 563;
-	public static final int X86_INS_POPFQ = 564;
-	public static final int X86_INS_PREFETCH = 565;
-	public static final int X86_INS_PREFETCHNTA = 566;
-	public static final int X86_INS_PREFETCHT0 = 567;
-	public static final int X86_INS_PREFETCHT1 = 568;
-	public static final int X86_INS_PREFETCHT2 = 569;
-	public static final int X86_INS_PREFETCHW = 570;
-	public static final int X86_INS_PSHUFD = 571;
-	public static final int X86_INS_PSHUFHW = 572;
-	public static final int X86_INS_PSHUFLW = 573;
-	public static final int X86_INS_PSLLDQ = 574;
-	public static final int X86_INS_PSRLDQ = 575;
-	public static final int X86_INS_PSWAPD = 576;
-	public static final int X86_INS_PTEST = 577;
-	public static final int X86_INS_PUNPCKHQDQ = 578;
-	public static final int X86_INS_PUNPCKLQDQ = 579;
-	public static final int X86_INS_PUSH = 580;
-	public static final int X86_INS_PUSHAW = 581;
-	public static final int X86_INS_PUSHAL = 582;
-	public static final int X86_INS_PUSHF = 583;
-	public static final int X86_INS_PUSHFD = 584;
-	public static final int X86_INS_PUSHFQ = 585;
-	public static final int X86_INS_RCL = 586;
-	public static final int X86_INS_RCPPS = 587;
-	public static final int X86_INS_RCPSS = 588;
-	public static final int X86_INS_RCR = 589;
-	public static final int X86_INS_RDFSBASE = 590;
-	public static final int X86_INS_RDGSBASE = 591;
-	public static final int X86_INS_RDMSR = 592;
-	public static final int X86_INS_RDPMC = 593;
-	public static final int X86_INS_RDRAND = 594;
-	public static final int X86_INS_RDSEED = 595;
-	public static final int X86_INS_RDTSC = 596;
-	public static final int X86_INS_RDTSCP = 597;
-	public static final int X86_INS_ROL = 598;
-	public static final int X86_INS_ROR = 599;
-	public static final int X86_INS_RORX = 600;
-	public static final int X86_INS_ROUNDPD = 601;
-	public static final int X86_INS_ROUNDPS = 602;
-	public static final int X86_INS_ROUNDSD = 603;
-	public static final int X86_INS_ROUNDSS = 604;
-	public static final int X86_INS_RSM = 605;
-	public static final int X86_INS_RSQRTPS = 606;
-	public static final int X86_INS_RSQRTSS = 607;
-	public static final int X86_INS_SAHF = 608;
-	public static final int X86_INS_SAL = 609;
-	public static final int X86_INS_SALC = 610;
-	public static final int X86_INS_SAR = 611;
-	public static final int X86_INS_SARX = 612;
-	public static final int X86_INS_SBB = 613;
-	public static final int X86_INS_SCASB = 614;
-	public static final int X86_INS_SCASD = 615;
-	public static final int X86_INS_SCASQ = 616;
-	public static final int X86_INS_SCASW = 617;
-	public static final int X86_INS_SETAE = 618;
-	public static final int X86_INS_SETA = 619;
-	public static final int X86_INS_SETBE = 620;
-	public static final int X86_INS_SETB = 621;
-	public static final int X86_INS_SETE = 622;
-	public static final int X86_INS_SETGE = 623;
-	public static final int X86_INS_SETG = 624;
-	public static final int X86_INS_SETLE = 625;
-	public static final int X86_INS_SETL = 626;
-	public static final int X86_INS_SETNE = 627;
-	public static final int X86_INS_SETNO = 628;
-	public static final int X86_INS_SETNP = 629;
-	public static final int X86_INS_SETNS = 630;
-	public static final int X86_INS_SETO = 631;
-	public static final int X86_INS_SETP = 632;
-	public static final int X86_INS_SETS = 633;
-	public static final int X86_INS_SFENCE = 634;
-	public static final int X86_INS_SGDT = 635;
-	public static final int X86_INS_SHA1MSG1 = 636;
-	public static final int X86_INS_SHA1MSG2 = 637;
-	public static final int X86_INS_SHA1NEXTE = 638;
-	public static final int X86_INS_SHA1RNDS4 = 639;
-	public static final int X86_INS_SHA256MSG1 = 640;
-	public static final int X86_INS_SHA256MSG2 = 641;
-	public static final int X86_INS_SHA256RNDS2 = 642;
-	public static final int X86_INS_SHL = 643;
-	public static final int X86_INS_SHLD = 644;
-	public static final int X86_INS_SHLX = 645;
-	public static final int X86_INS_SHR = 646;
-	public static final int X86_INS_SHRD = 647;
-	public static final int X86_INS_SHRX = 648;
-	public static final int X86_INS_SHUFPD = 649;
-	public static final int X86_INS_SHUFPS = 650;
-	public static final int X86_INS_SIDT = 651;
-	public static final int X86_INS_FSIN = 652;
-	public static final int X86_INS_SKINIT = 653;
-	public static final int X86_INS_SLDT = 654;
-	public static final int X86_INS_SMSW = 655;
-	public static final int X86_INS_SQRTPD = 656;
-	public static final int X86_INS_SQRTPS = 657;
-	public static final int X86_INS_SQRTSD = 658;
-	public static final int X86_INS_SQRTSS = 659;
-	public static final int X86_INS_FSQRT = 660;
-	public static final int X86_INS_STAC = 661;
-	public static final int X86_INS_STC = 662;
-	public static final int X86_INS_STD = 663;
-	public static final int X86_INS_STGI = 664;
-	public static final int X86_INS_STI = 665;
-	public static final int X86_INS_STMXCSR = 666;
-	public static final int X86_INS_STOSB = 667;
-	public static final int X86_INS_STOSD = 668;
-	public static final int X86_INS_STOSQ = 669;
-	public static final int X86_INS_STOSW = 670;
-	public static final int X86_INS_STR = 671;
-	public static final int X86_INS_FST = 672;
-	public static final int X86_INS_FSTP = 673;
-	public static final int X86_INS_FSTPNCE = 674;
-	public static final int X86_INS_SUBPD = 675;
-	public static final int X86_INS_SUBPS = 676;
-	public static final int X86_INS_FSUBR = 677;
-	public static final int X86_INS_FISUBR = 678;
-	public static final int X86_INS_FSUBRP = 679;
-	public static final int X86_INS_SUBSD = 680;
-	public static final int X86_INS_SUBSS = 681;
-	public static final int X86_INS_FSUB = 682;
-	public static final int X86_INS_FISUB = 683;
-	public static final int X86_INS_FSUBP = 684;
-	public static final int X86_INS_SWAPGS = 685;
-	public static final int X86_INS_SYSCALL = 686;
-	public static final int X86_INS_SYSENTER = 687;
-	public static final int X86_INS_SYSEXIT = 688;
-	public static final int X86_INS_SYSRET = 689;
-	public static final int X86_INS_T1MSKC = 690;
-	public static final int X86_INS_TEST = 691;
-	public static final int X86_INS_UD2 = 692;
-	public static final int X86_INS_FTST = 693;
-	public static final int X86_INS_TZCNT = 694;
-	public static final int X86_INS_TZMSK = 695;
-	public static final int X86_INS_FUCOMPI = 696;
-	public static final int X86_INS_FUCOMI = 697;
-	public static final int X86_INS_FUCOMPP = 698;
-	public static final int X86_INS_FUCOMP = 699;
-	public static final int X86_INS_FUCOM = 700;
-	public static final int X86_INS_UD2B = 701;
-	public static final int X86_INS_UNPCKHPD = 702;
-	public static final int X86_INS_UNPCKHPS = 703;
-	public static final int X86_INS_UNPCKLPD = 704;
-	public static final int X86_INS_UNPCKLPS = 705;
-	public static final int X86_INS_VADDPD = 706;
-	public static final int X86_INS_VADDPS = 707;
-	public static final int X86_INS_VADDSD = 708;
-	public static final int X86_INS_VADDSS = 709;
-	public static final int X86_INS_VADDSUBPD = 710;
-	public static final int X86_INS_VADDSUBPS = 711;
-	public static final int X86_INS_VAESDECLAST = 712;
-	public static final int X86_INS_VAESDEC = 713;
-	public static final int X86_INS_VAESENCLAST = 714;
-	public static final int X86_INS_VAESENC = 715;
-	public static final int X86_INS_VAESIMC = 716;
-	public static final int X86_INS_VAESKEYGENASSIST = 717;
-	public static final int X86_INS_VALIGND = 718;
-	public static final int X86_INS_VALIGNQ = 719;
-	public static final int X86_INS_VANDNPD = 720;
-	public static final int X86_INS_VANDNPS = 721;
-	public static final int X86_INS_VANDPD = 722;
-	public static final int X86_INS_VANDPS = 723;
-	public static final int X86_INS_VBLENDMPD = 724;
-	public static final int X86_INS_VBLENDMPS = 725;
-	public static final int X86_INS_VBLENDPD = 726;
-	public static final int X86_INS_VBLENDPS = 727;
-	public static final int X86_INS_VBLENDVPD = 728;
-	public static final int X86_INS_VBLENDVPS = 729;
-	public static final int X86_INS_VBROADCASTF128 = 730;
-	public static final int X86_INS_VBROADCASTI128 = 731;
-	public static final int X86_INS_VBROADCASTI32X4 = 732;
-	public static final int X86_INS_VBROADCASTI64X4 = 733;
-	public static final int X86_INS_VBROADCASTSD = 734;
-	public static final int X86_INS_VBROADCASTSS = 735;
-	public static final int X86_INS_VCMPPD = 736;
-	public static final int X86_INS_VCMPPS = 737;
-	public static final int X86_INS_VCMPSD = 738;
-	public static final int X86_INS_VCMPSS = 739;
-	public static final int X86_INS_VCVTDQ2PD = 740;
-	public static final int X86_INS_VCVTDQ2PS = 741;
-	public static final int X86_INS_VCVTPD2DQX = 742;
-	public static final int X86_INS_VCVTPD2DQ = 743;
-	public static final int X86_INS_VCVTPD2PSX = 744;
-	public static final int X86_INS_VCVTPD2PS = 745;
-	public static final int X86_INS_VCVTPD2UDQ = 746;
-	public static final int X86_INS_VCVTPH2PS = 747;
-	public static final int X86_INS_VCVTPS2DQ = 748;
-	public static final int X86_INS_VCVTPS2PD = 749;
-	public static final int X86_INS_VCVTPS2PH = 750;
-	public static final int X86_INS_VCVTPS2UDQ = 751;
-	public static final int X86_INS_VCVTSD2SI = 752;
-	public static final int X86_INS_VCVTSD2USI = 753;
-	public static final int X86_INS_VCVTSS2SI = 754;
-	public static final int X86_INS_VCVTSS2USI = 755;
-	public static final int X86_INS_VCVTTPD2DQX = 756;
-	public static final int X86_INS_VCVTTPD2DQ = 757;
-	public static final int X86_INS_VCVTTPD2UDQ = 758;
-	public static final int X86_INS_VCVTTPS2DQ = 759;
-	public static final int X86_INS_VCVTTPS2UDQ = 760;
-	public static final int X86_INS_VCVTUDQ2PD = 761;
-	public static final int X86_INS_VCVTUDQ2PS = 762;
-	public static final int X86_INS_VDIVPD = 763;
-	public static final int X86_INS_VDIVPS = 764;
-	public static final int X86_INS_VDIVSD = 765;
-	public static final int X86_INS_VDIVSS = 766;
-	public static final int X86_INS_VDPPD = 767;
-	public static final int X86_INS_VDPPS = 768;
-	public static final int X86_INS_VERR = 769;
-	public static final int X86_INS_VERW = 770;
-	public static final int X86_INS_VEXTRACTF128 = 771;
-	public static final int X86_INS_VEXTRACTF32X4 = 772;
-	public static final int X86_INS_VEXTRACTF64X4 = 773;
-	public static final int X86_INS_VEXTRACTI128 = 774;
-	public static final int X86_INS_VEXTRACTI32X4 = 775;
-	public static final int X86_INS_VEXTRACTI64X4 = 776;
-	public static final int X86_INS_VEXTRACTPS = 777;
-	public static final int X86_INS_VFMADD132PD = 778;
-	public static final int X86_INS_VFMADD132PS = 779;
-	public static final int X86_INS_VFMADD213PD = 780;
-	public static final int X86_INS_VFMADD213PS = 781;
-	public static final int X86_INS_VFMADDPD = 782;
-	public static final int X86_INS_VFMADD231PD = 783;
-	public static final int X86_INS_VFMADDPS = 784;
-	public static final int X86_INS_VFMADD231PS = 785;
-	public static final int X86_INS_VFMADDSD = 786;
-	public static final int X86_INS_VFMADD213SD = 787;
-	public static final int X86_INS_VFMADD132SD = 788;
-	public static final int X86_INS_VFMADD231SD = 789;
-	public static final int X86_INS_VFMADDSS = 790;
-	public static final int X86_INS_VFMADD213SS = 791;
-	public static final int X86_INS_VFMADD132SS = 792;
-	public static final int X86_INS_VFMADD231SS = 793;
-	public static final int X86_INS_VFMADDSUB132PD = 794;
-	public static final int X86_INS_VFMADDSUB132PS = 795;
-	public static final int X86_INS_VFMADDSUB213PD = 796;
-	public static final int X86_INS_VFMADDSUB213PS = 797;
-	public static final int X86_INS_VFMADDSUBPD = 798;
-	public static final int X86_INS_VFMADDSUB231PD = 799;
-	public static final int X86_INS_VFMADDSUBPS = 800;
-	public static final int X86_INS_VFMADDSUB231PS = 801;
-	public static final int X86_INS_VFMSUB132PD = 802;
-	public static final int X86_INS_VFMSUB132PS = 803;
-	public static final int X86_INS_VFMSUB213PD = 804;
-	public static final int X86_INS_VFMSUB213PS = 805;
-	public static final int X86_INS_VFMSUBADD132PD = 806;
-	public static final int X86_INS_VFMSUBADD132PS = 807;
-	public static final int X86_INS_VFMSUBADD213PD = 808;
-	public static final int X86_INS_VFMSUBADD213PS = 809;
-	public static final int X86_INS_VFMSUBADDPD = 810;
-	public static final int X86_INS_VFMSUBADD231PD = 811;
-	public static final int X86_INS_VFMSUBADDPS = 812;
-	public static final int X86_INS_VFMSUBADD231PS = 813;
-	public static final int X86_INS_VFMSUBPD = 814;
-	public static final int X86_INS_VFMSUB231PD = 815;
-	public static final int X86_INS_VFMSUBPS = 816;
-	public static final int X86_INS_VFMSUB231PS = 817;
-	public static final int X86_INS_VFMSUBSD = 818;
-	public static final int X86_INS_VFMSUB213SD = 819;
-	public static final int X86_INS_VFMSUB132SD = 820;
-	public static final int X86_INS_VFMSUB231SD = 821;
-	public static final int X86_INS_VFMSUBSS = 822;
-	public static final int X86_INS_VFMSUB213SS = 823;
-	public static final int X86_INS_VFMSUB132SS = 824;
-	public static final int X86_INS_VFMSUB231SS = 825;
-	public static final int X86_INS_VFNMADD132PD = 826;
-	public static final int X86_INS_VFNMADD132PS = 827;
-	public static final int X86_INS_VFNMADD213PD = 828;
-	public static final int X86_INS_VFNMADD213PS = 829;
-	public static final int X86_INS_VFNMADDPD = 830;
-	public static final int X86_INS_VFNMADD231PD = 831;
-	public static final int X86_INS_VFNMADDPS = 832;
-	public static final int X86_INS_VFNMADD231PS = 833;
-	public static final int X86_INS_VFNMADDSD = 834;
-	public static final int X86_INS_VFNMADD213SD = 835;
-	public static final int X86_INS_VFNMADD132SD = 836;
-	public static final int X86_INS_VFNMADD231SD = 837;
-	public static final int X86_INS_VFNMADDSS = 838;
-	public static final int X86_INS_VFNMADD213SS = 839;
-	public static final int X86_INS_VFNMADD132SS = 840;
-	public static final int X86_INS_VFNMADD231SS = 841;
-	public static final int X86_INS_VFNMSUB132PD = 842;
-	public static final int X86_INS_VFNMSUB132PS = 843;
-	public static final int X86_INS_VFNMSUB213PD = 844;
-	public static final int X86_INS_VFNMSUB213PS = 845;
-	public static final int X86_INS_VFNMSUBPD = 846;
-	public static final int X86_INS_VFNMSUB231PD = 847;
-	public static final int X86_INS_VFNMSUBPS = 848;
-	public static final int X86_INS_VFNMSUB231PS = 849;
-	public static final int X86_INS_VFNMSUBSD = 850;
-	public static final int X86_INS_VFNMSUB213SD = 851;
-	public static final int X86_INS_VFNMSUB132SD = 852;
-	public static final int X86_INS_VFNMSUB231SD = 853;
-	public static final int X86_INS_VFNMSUBSS = 854;
-	public static final int X86_INS_VFNMSUB213SS = 855;
-	public static final int X86_INS_VFNMSUB132SS = 856;
-	public static final int X86_INS_VFNMSUB231SS = 857;
-	public static final int X86_INS_VFRCZPD = 858;
-	public static final int X86_INS_VFRCZPS = 859;
-	public static final int X86_INS_VFRCZSD = 860;
-	public static final int X86_INS_VFRCZSS = 861;
-	public static final int X86_INS_VORPD = 862;
-	public static final int X86_INS_VORPS = 863;
-	public static final int X86_INS_VXORPD = 864;
-	public static final int X86_INS_VXORPS = 865;
-	public static final int X86_INS_VGATHERDPD = 866;
-	public static final int X86_INS_VGATHERDPS = 867;
-	public static final int X86_INS_VGATHERPF0DPD = 868;
-	public static final int X86_INS_VGATHERPF0DPS = 869;
-	public static final int X86_INS_VGATHERPF0QPD = 870;
-	public static final int X86_INS_VGATHERPF0QPS = 871;
-	public static final int X86_INS_VGATHERPF1DPD = 872;
-	public static final int X86_INS_VGATHERPF1DPS = 873;
-	public static final int X86_INS_VGATHERPF1QPD = 874;
-	public static final int X86_INS_VGATHERPF1QPS = 875;
-	public static final int X86_INS_VGATHERQPD = 876;
-	public static final int X86_INS_VGATHERQPS = 877;
-	public static final int X86_INS_VHADDPD = 878;
-	public static final int X86_INS_VHADDPS = 879;
-	public static final int X86_INS_VHSUBPD = 880;
-	public static final int X86_INS_VHSUBPS = 881;
-	public static final int X86_INS_VINSERTF128 = 882;
-	public static final int X86_INS_VINSERTF32X4 = 883;
-	public static final int X86_INS_VINSERTF64X4 = 884;
-	public static final int X86_INS_VINSERTI128 = 885;
-	public static final int X86_INS_VINSERTI32X4 = 886;
-	public static final int X86_INS_VINSERTI64X4 = 887;
-	public static final int X86_INS_VINSERTPS = 888;
-	public static final int X86_INS_VLDDQU = 889;
-	public static final int X86_INS_VLDMXCSR = 890;
-	public static final int X86_INS_VMASKMOVDQU = 891;
-	public static final int X86_INS_VMASKMOVPD = 892;
-	public static final int X86_INS_VMASKMOVPS = 893;
-	public static final int X86_INS_VMAXPD = 894;
-	public static final int X86_INS_VMAXPS = 895;
-	public static final int X86_INS_VMAXSD = 896;
-	public static final int X86_INS_VMAXSS = 897;
-	public static final int X86_INS_VMCALL = 898;
-	public static final int X86_INS_VMCLEAR = 899;
-	public static final int X86_INS_VMFUNC = 900;
-	public static final int X86_INS_VMINPD = 901;
-	public static final int X86_INS_VMINPS = 902;
-	public static final int X86_INS_VMINSD = 903;
-	public static final int X86_INS_VMINSS = 904;
-	public static final int X86_INS_VMLAUNCH = 905;
-	public static final int X86_INS_VMLOAD = 906;
-	public static final int X86_INS_VMMCALL = 907;
-	public static final int X86_INS_VMOVQ = 908;
-	public static final int X86_INS_VMOVDDUP = 909;
-	public static final int X86_INS_VMOVD = 910;
-	public static final int X86_INS_VMOVDQA32 = 911;
-	public static final int X86_INS_VMOVDQA64 = 912;
-	public static final int X86_INS_VMOVDQA = 913;
-	public static final int X86_INS_VMOVDQU16 = 914;
-	public static final int X86_INS_VMOVDQU32 = 915;
-	public static final int X86_INS_VMOVDQU64 = 916;
-	public static final int X86_INS_VMOVDQU8 = 917;
-	public static final int X86_INS_VMOVDQU = 918;
-	public static final int X86_INS_VMOVHLPS = 919;
-	public static final int X86_INS_VMOVHPD = 920;
-	public static final int X86_INS_VMOVHPS = 921;
-	public static final int X86_INS_VMOVLHPS = 922;
-	public static final int X86_INS_VMOVLPD = 923;
-	public static final int X86_INS_VMOVLPS = 924;
-	public static final int X86_INS_VMOVMSKPD = 925;
-	public static final int X86_INS_VMOVMSKPS = 926;
-	public static final int X86_INS_VMOVNTDQA = 927;
-	public static final int X86_INS_VMOVNTDQ = 928;
-	public static final int X86_INS_VMOVNTPD = 929;
-	public static final int X86_INS_VMOVNTPS = 930;
-	public static final int X86_INS_VMOVSD = 931;
-	public static final int X86_INS_VMOVSHDUP = 932;
-	public static final int X86_INS_VMOVSLDUP = 933;
-	public static final int X86_INS_VMOVSS = 934;
-	public static final int X86_INS_VMOVUPD = 935;
-	public static final int X86_INS_VMOVUPS = 936;
-	public static final int X86_INS_VMPSADBW = 937;
-	public static final int X86_INS_VMPTRLD = 938;
-	public static final int X86_INS_VMPTRST = 939;
-	public static final int X86_INS_VMREAD = 940;
-	public static final int X86_INS_VMRESUME = 941;
-	public static final int X86_INS_VMRUN = 942;
-	public static final int X86_INS_VMSAVE = 943;
-	public static final int X86_INS_VMULPD = 944;
-	public static final int X86_INS_VMULPS = 945;
-	public static final int X86_INS_VMULSD = 946;
-	public static final int X86_INS_VMULSS = 947;
-	public static final int X86_INS_VMWRITE = 948;
-	public static final int X86_INS_VMXOFF = 949;
-	public static final int X86_INS_VMXON = 950;
-	public static final int X86_INS_VPABSB = 951;
-	public static final int X86_INS_VPABSD = 952;
-	public static final int X86_INS_VPABSQ = 953;
-	public static final int X86_INS_VPABSW = 954;
-	public static final int X86_INS_VPACKSSDW = 955;
-	public static final int X86_INS_VPACKSSWB = 956;
-	public static final int X86_INS_VPACKUSDW = 957;
-	public static final int X86_INS_VPACKUSWB = 958;
-	public static final int X86_INS_VPADDB = 959;
-	public static final int X86_INS_VPADDD = 960;
-	public static final int X86_INS_VPADDQ = 961;
-	public static final int X86_INS_VPADDSB = 962;
-	public static final int X86_INS_VPADDSW = 963;
-	public static final int X86_INS_VPADDUSB = 964;
-	public static final int X86_INS_VPADDUSW = 965;
-	public static final int X86_INS_VPADDW = 966;
-	public static final int X86_INS_VPALIGNR = 967;
-	public static final int X86_INS_VPANDD = 968;
-	public static final int X86_INS_VPANDND = 969;
-	public static final int X86_INS_VPANDNQ = 970;
-	public static final int X86_INS_VPANDN = 971;
-	public static final int X86_INS_VPANDQ = 972;
-	public static final int X86_INS_VPAND = 973;
-	public static final int X86_INS_VPAVGB = 974;
-	public static final int X86_INS_VPAVGW = 975;
-	public static final int X86_INS_VPBLENDD = 976;
-	public static final int X86_INS_VPBLENDMD = 977;
-	public static final int X86_INS_VPBLENDMQ = 978;
-	public static final int X86_INS_VPBLENDVB = 979;
-	public static final int X86_INS_VPBLENDW = 980;
-	public static final int X86_INS_VPBROADCASTB = 981;
-	public static final int X86_INS_VPBROADCASTD = 982;
-	public static final int X86_INS_VPBROADCASTMB2Q = 983;
-	public static final int X86_INS_VPBROADCASTMW2D = 984;
-	public static final int X86_INS_VPBROADCASTQ = 985;
-	public static final int X86_INS_VPBROADCASTW = 986;
-	public static final int X86_INS_VPCLMULQDQ = 987;
-	public static final int X86_INS_VPCMOV = 988;
-	public static final int X86_INS_VPCMP = 989;
-	public static final int X86_INS_VPCMPD = 990;
-	public static final int X86_INS_VPCMPEQB = 991;
-	public static final int X86_INS_VPCMPEQD = 992;
-	public static final int X86_INS_VPCMPEQQ = 993;
-	public static final int X86_INS_VPCMPEQW = 994;
-	public static final int X86_INS_VPCMPESTRI = 995;
-	public static final int X86_INS_VPCMPESTRM = 996;
-	public static final int X86_INS_VPCMPGTB = 997;
-	public static final int X86_INS_VPCMPGTD = 998;
-	public static final int X86_INS_VPCMPGTQ = 999;
-	public static final int X86_INS_VPCMPGTW = 1000;
-	public static final int X86_INS_VPCMPISTRI = 1001;
-	public static final int X86_INS_VPCMPISTRM = 1002;
-	public static final int X86_INS_VPCMPQ = 1003;
-	public static final int X86_INS_VPCMPUD = 1004;
-	public static final int X86_INS_VPCMPUQ = 1005;
-	public static final int X86_INS_VPCOMB = 1006;
-	public static final int X86_INS_VPCOMD = 1007;
-	public static final int X86_INS_VPCOMQ = 1008;
-	public static final int X86_INS_VPCOMUB = 1009;
-	public static final int X86_INS_VPCOMUD = 1010;
-	public static final int X86_INS_VPCOMUQ = 1011;
-	public static final int X86_INS_VPCOMUW = 1012;
-	public static final int X86_INS_VPCOMW = 1013;
-	public static final int X86_INS_VPCONFLICTD = 1014;
-	public static final int X86_INS_VPCONFLICTQ = 1015;
-	public static final int X86_INS_VPERM2F128 = 1016;
-	public static final int X86_INS_VPERM2I128 = 1017;
-	public static final int X86_INS_VPERMD = 1018;
-	public static final int X86_INS_VPERMI2D = 1019;
-	public static final int X86_INS_VPERMI2PD = 1020;
-	public static final int X86_INS_VPERMI2PS = 1021;
-	public static final int X86_INS_VPERMI2Q = 1022;
-	public static final int X86_INS_VPERMIL2PD = 1023;
-	public static final int X86_INS_VPERMIL2PS = 1024;
-	public static final int X86_INS_VPERMILPD = 1025;
-	public static final int X86_INS_VPERMILPS = 1026;
-	public static final int X86_INS_VPERMPD = 1027;
-	public static final int X86_INS_VPERMPS = 1028;
-	public static final int X86_INS_VPERMQ = 1029;
-	public static final int X86_INS_VPERMT2D = 1030;
-	public static final int X86_INS_VPERMT2PD = 1031;
-	public static final int X86_INS_VPERMT2PS = 1032;
-	public static final int X86_INS_VPERMT2Q = 1033;
-	public static final int X86_INS_VPEXTRB = 1034;
-	public static final int X86_INS_VPEXTRD = 1035;
-	public static final int X86_INS_VPEXTRQ = 1036;
-	public static final int X86_INS_VPEXTRW = 1037;
-	public static final int X86_INS_VPGATHERDD = 1038;
-	public static final int X86_INS_VPGATHERDQ = 1039;
-	public static final int X86_INS_VPGATHERQD = 1040;
-	public static final int X86_INS_VPGATHERQQ = 1041;
-	public static final int X86_INS_VPHADDBD = 1042;
-	public static final int X86_INS_VPHADDBQ = 1043;
-	public static final int X86_INS_VPHADDBW = 1044;
-	public static final int X86_INS_VPHADDDQ = 1045;
-	public static final int X86_INS_VPHADDD = 1046;
-	public static final int X86_INS_VPHADDSW = 1047;
-	public static final int X86_INS_VPHADDUBD = 1048;
-	public static final int X86_INS_VPHADDUBQ = 1049;
-	public static final int X86_INS_VPHADDUBW = 1050;
-	public static final int X86_INS_VPHADDUDQ = 1051;
-	public static final int X86_INS_VPHADDUWD = 1052;
-	public static final int X86_INS_VPHADDUWQ = 1053;
-	public static final int X86_INS_VPHADDWD = 1054;
-	public static final int X86_INS_VPHADDWQ = 1055;
-	public static final int X86_INS_VPHADDW = 1056;
-	public static final int X86_INS_VPHMINPOSUW = 1057;
-	public static final int X86_INS_VPHSUBBW = 1058;
-	public static final int X86_INS_VPHSUBDQ = 1059;
-	public static final int X86_INS_VPHSUBD = 1060;
-	public static final int X86_INS_VPHSUBSW = 1061;
-	public static final int X86_INS_VPHSUBWD = 1062;
-	public static final int X86_INS_VPHSUBW = 1063;
-	public static final int X86_INS_VPINSRB = 1064;
-	public static final int X86_INS_VPINSRD = 1065;
-	public static final int X86_INS_VPINSRQ = 1066;
-	public static final int X86_INS_VPINSRW = 1067;
-	public static final int X86_INS_VPLZCNTD = 1068;
-	public static final int X86_INS_VPLZCNTQ = 1069;
-	public static final int X86_INS_VPMACSDD = 1070;
-	public static final int X86_INS_VPMACSDQH = 1071;
-	public static final int X86_INS_VPMACSDQL = 1072;
-	public static final int X86_INS_VPMACSSDD = 1073;
-	public static final int X86_INS_VPMACSSDQH = 1074;
-	public static final int X86_INS_VPMACSSDQL = 1075;
-	public static final int X86_INS_VPMACSSWD = 1076;
-	public static final int X86_INS_VPMACSSWW = 1077;
-	public static final int X86_INS_VPMACSWD = 1078;
-	public static final int X86_INS_VPMACSWW = 1079;
-	public static final int X86_INS_VPMADCSSWD = 1080;
-	public static final int X86_INS_VPMADCSWD = 1081;
-	public static final int X86_INS_VPMADDUBSW = 1082;
-	public static final int X86_INS_VPMADDWD = 1083;
-	public static final int X86_INS_VPMASKMOVD = 1084;
-	public static final int X86_INS_VPMASKMOVQ = 1085;
-	public static final int X86_INS_VPMAXSB = 1086;
-	public static final int X86_INS_VPMAXSD = 1087;
-	public static final int X86_INS_VPMAXSQ = 1088;
-	public static final int X86_INS_VPMAXSW = 1089;
-	public static final int X86_INS_VPMAXUB = 1090;
-	public static final int X86_INS_VPMAXUD = 1091;
-	public static final int X86_INS_VPMAXUQ = 1092;
-	public static final int X86_INS_VPMAXUW = 1093;
-	public static final int X86_INS_VPMINSB = 1094;
-	public static final int X86_INS_VPMINSD = 1095;
-	public static final int X86_INS_VPMINSQ = 1096;
-	public static final int X86_INS_VPMINSW = 1097;
-	public static final int X86_INS_VPMINUB = 1098;
-	public static final int X86_INS_VPMINUD = 1099;
-	public static final int X86_INS_VPMINUQ = 1100;
-	public static final int X86_INS_VPMINUW = 1101;
-	public static final int X86_INS_VPMOVDB = 1102;
-	public static final int X86_INS_VPMOVDW = 1103;
-	public static final int X86_INS_VPMOVMSKB = 1104;
-	public static final int X86_INS_VPMOVQB = 1105;
-	public static final int X86_INS_VPMOVQD = 1106;
-	public static final int X86_INS_VPMOVQW = 1107;
-	public static final int X86_INS_VPMOVSDB = 1108;
-	public static final int X86_INS_VPMOVSDW = 1109;
-	public static final int X86_INS_VPMOVSQB = 1110;
-	public static final int X86_INS_VPMOVSQD = 1111;
-	public static final int X86_INS_VPMOVSQW = 1112;
-	public static final int X86_INS_VPMOVSXBD = 1113;
-	public static final int X86_INS_VPMOVSXBQ = 1114;
-	public static final int X86_INS_VPMOVSXBW = 1115;
-	public static final int X86_INS_VPMOVSXDQ = 1116;
-	public static final int X86_INS_VPMOVSXWD = 1117;
-	public static final int X86_INS_VPMOVSXWQ = 1118;
-	public static final int X86_INS_VPMOVUSDB = 1119;
-	public static final int X86_INS_VPMOVUSDW = 1120;
-	public static final int X86_INS_VPMOVUSQB = 1121;
-	public static final int X86_INS_VPMOVUSQD = 1122;
-	public static final int X86_INS_VPMOVUSQW = 1123;
-	public static final int X86_INS_VPMOVZXBD = 1124;
-	public static final int X86_INS_VPMOVZXBQ = 1125;
-	public static final int X86_INS_VPMOVZXBW = 1126;
-	public static final int X86_INS_VPMOVZXDQ = 1127;
-	public static final int X86_INS_VPMOVZXWD = 1128;
-	public static final int X86_INS_VPMOVZXWQ = 1129;
-	public static final int X86_INS_VPMULDQ = 1130;
-	public static final int X86_INS_VPMULHRSW = 1131;
-	public static final int X86_INS_VPMULHUW = 1132;
-	public static final int X86_INS_VPMULHW = 1133;
-	public static final int X86_INS_VPMULLD = 1134;
-	public static final int X86_INS_VPMULLW = 1135;
-	public static final int X86_INS_VPMULUDQ = 1136;
-	public static final int X86_INS_VPORD = 1137;
-	public static final int X86_INS_VPORQ = 1138;
-	public static final int X86_INS_VPOR = 1139;
-	public static final int X86_INS_VPPERM = 1140;
-	public static final int X86_INS_VPROTB = 1141;
-	public static final int X86_INS_VPROTD = 1142;
-	public static final int X86_INS_VPROTQ = 1143;
-	public static final int X86_INS_VPROTW = 1144;
-	public static final int X86_INS_VPSADBW = 1145;
-	public static final int X86_INS_VPSCATTERDD = 1146;
-	public static final int X86_INS_VPSCATTERDQ = 1147;
-	public static final int X86_INS_VPSCATTERQD = 1148;
-	public static final int X86_INS_VPSCATTERQQ = 1149;
-	public static final int X86_INS_VPSHAB = 1150;
-	public static final int X86_INS_VPSHAD = 1151;
-	public static final int X86_INS_VPSHAQ = 1152;
-	public static final int X86_INS_VPSHAW = 1153;
-	public static final int X86_INS_VPSHLB = 1154;
-	public static final int X86_INS_VPSHLD = 1155;
-	public static final int X86_INS_VPSHLQ = 1156;
-	public static final int X86_INS_VPSHLW = 1157;
-	public static final int X86_INS_VPSHUFB = 1158;
-	public static final int X86_INS_VPSHUFD = 1159;
-	public static final int X86_INS_VPSHUFHW = 1160;
-	public static final int X86_INS_VPSHUFLW = 1161;
-	public static final int X86_INS_VPSIGNB = 1162;
-	public static final int X86_INS_VPSIGND = 1163;
-	public static final int X86_INS_VPSIGNW = 1164;
-	public static final int X86_INS_VPSLLDQ = 1165;
-	public static final int X86_INS_VPSLLD = 1166;
-	public static final int X86_INS_VPSLLQ = 1167;
-	public static final int X86_INS_VPSLLVD = 1168;
-	public static final int X86_INS_VPSLLVQ = 1169;
-	public static final int X86_INS_VPSLLW = 1170;
-	public static final int X86_INS_VPSRAD = 1171;
-	public static final int X86_INS_VPSRAQ = 1172;
-	public static final int X86_INS_VPSRAVD = 1173;
-	public static final int X86_INS_VPSRAVQ = 1174;
-	public static final int X86_INS_VPSRAW = 1175;
-	public static final int X86_INS_VPSRLDQ = 1176;
-	public static final int X86_INS_VPSRLD = 1177;
-	public static final int X86_INS_VPSRLQ = 1178;
-	public static final int X86_INS_VPSRLVD = 1179;
-	public static final int X86_INS_VPSRLVQ = 1180;
-	public static final int X86_INS_VPSRLW = 1181;
-	public static final int X86_INS_VPSUBB = 1182;
-	public static final int X86_INS_VPSUBD = 1183;
-	public static final int X86_INS_VPSUBQ = 1184;
-	public static final int X86_INS_VPSUBSB = 1185;
-	public static final int X86_INS_VPSUBSW = 1186;
-	public static final int X86_INS_VPSUBUSB = 1187;
-	public static final int X86_INS_VPSUBUSW = 1188;
-	public static final int X86_INS_VPSUBW = 1189;
-	public static final int X86_INS_VPTESTMD = 1190;
-	public static final int X86_INS_VPTESTMQ = 1191;
-	public static final int X86_INS_VPTESTNMD = 1192;
-	public static final int X86_INS_VPTESTNMQ = 1193;
-	public static final int X86_INS_VPTEST = 1194;
-	public static final int X86_INS_VPUNPCKHBW = 1195;
-	public static final int X86_INS_VPUNPCKHDQ = 1196;
-	public static final int X86_INS_VPUNPCKHQDQ = 1197;
-	public static final int X86_INS_VPUNPCKHWD = 1198;
-	public static final int X86_INS_VPUNPCKLBW = 1199;
-	public static final int X86_INS_VPUNPCKLDQ = 1200;
-	public static final int X86_INS_VPUNPCKLQDQ = 1201;
-	public static final int X86_INS_VPUNPCKLWD = 1202;
-	public static final int X86_INS_VPXORD = 1203;
-	public static final int X86_INS_VPXORQ = 1204;
-	public static final int X86_INS_VPXOR = 1205;
-	public static final int X86_INS_VRCP14PD = 1206;
-	public static final int X86_INS_VRCP14PS = 1207;
-	public static final int X86_INS_VRCP14SD = 1208;
-	public static final int X86_INS_VRCP14SS = 1209;
-	public static final int X86_INS_VRCP28PD = 1210;
-	public static final int X86_INS_VRCP28PS = 1211;
-	public static final int X86_INS_VRCP28SD = 1212;
-	public static final int X86_INS_VRCP28SS = 1213;
-	public static final int X86_INS_VRCPPS = 1214;
-	public static final int X86_INS_VRCPSS = 1215;
-	public static final int X86_INS_VRNDSCALEPD = 1216;
-	public static final int X86_INS_VRNDSCALEPS = 1217;
-	public static final int X86_INS_VRNDSCALESD = 1218;
-	public static final int X86_INS_VRNDSCALESS = 1219;
-	public static final int X86_INS_VROUNDPD = 1220;
-	public static final int X86_INS_VROUNDPS = 1221;
-	public static final int X86_INS_VROUNDSD = 1222;
-	public static final int X86_INS_VROUNDSS = 1223;
-	public static final int X86_INS_VRSQRT14PD = 1224;
-	public static final int X86_INS_VRSQRT14PS = 1225;
-	public static final int X86_INS_VRSQRT14SD = 1226;
-	public static final int X86_INS_VRSQRT14SS = 1227;
-	public static final int X86_INS_VRSQRT28PD = 1228;
-	public static final int X86_INS_VRSQRT28PS = 1229;
-	public static final int X86_INS_VRSQRT28SD = 1230;
-	public static final int X86_INS_VRSQRT28SS = 1231;
-	public static final int X86_INS_VRSQRTPS = 1232;
-	public static final int X86_INS_VRSQRTSS = 1233;
-	public static final int X86_INS_VSCATTERDPD = 1234;
-	public static final int X86_INS_VSCATTERDPS = 1235;
-	public static final int X86_INS_VSCATTERPF0DPD = 1236;
-	public static final int X86_INS_VSCATTERPF0DPS = 1237;
-	public static final int X86_INS_VSCATTERPF0QPD = 1238;
-	public static final int X86_INS_VSCATTERPF0QPS = 1239;
-	public static final int X86_INS_VSCATTERPF1DPD = 1240;
-	public static final int X86_INS_VSCATTERPF1DPS = 1241;
-	public static final int X86_INS_VSCATTERPF1QPD = 1242;
-	public static final int X86_INS_VSCATTERPF1QPS = 1243;
-	public static final int X86_INS_VSCATTERQPD = 1244;
-	public static final int X86_INS_VSCATTERQPS = 1245;
-	public static final int X86_INS_VSHUFPD = 1246;
-	public static final int X86_INS_VSHUFPS = 1247;
-	public static final int X86_INS_VSQRTPD = 1248;
-	public static final int X86_INS_VSQRTPS = 1249;
-	public static final int X86_INS_VSQRTSD = 1250;
-	public static final int X86_INS_VSQRTSS = 1251;
-	public static final int X86_INS_VSTMXCSR = 1252;
-	public static final int X86_INS_VSUBPD = 1253;
-	public static final int X86_INS_VSUBPS = 1254;
-	public static final int X86_INS_VSUBSD = 1255;
-	public static final int X86_INS_VSUBSS = 1256;
-	public static final int X86_INS_VTESTPD = 1257;
-	public static final int X86_INS_VTESTPS = 1258;
-	public static final int X86_INS_VUNPCKHPD = 1259;
-	public static final int X86_INS_VUNPCKHPS = 1260;
-	public static final int X86_INS_VUNPCKLPD = 1261;
-	public static final int X86_INS_VUNPCKLPS = 1262;
-	public static final int X86_INS_VZEROALL = 1263;
-	public static final int X86_INS_VZEROUPPER = 1264;
-	public static final int X86_INS_WAIT = 1265;
-	public static final int X86_INS_WBINVD = 1266;
-	public static final int X86_INS_WRFSBASE = 1267;
-	public static final int X86_INS_WRGSBASE = 1268;
-	public static final int X86_INS_WRMSR = 1269;
-	public static final int X86_INS_XABORT = 1270;
-	public static final int X86_INS_XACQUIRE = 1271;
-	public static final int X86_INS_XBEGIN = 1272;
-	public static final int X86_INS_XCHG = 1273;
-	public static final int X86_INS_FXCH = 1274;
-	public static final int X86_INS_XCRYPTCBC = 1275;
-	public static final int X86_INS_XCRYPTCFB = 1276;
-	public static final int X86_INS_XCRYPTCTR = 1277;
-	public static final int X86_INS_XCRYPTECB = 1278;
-	public static final int X86_INS_XCRYPTOFB = 1279;
-	public static final int X86_INS_XEND = 1280;
-	public static final int X86_INS_XGETBV = 1281;
-	public static final int X86_INS_XLATB = 1282;
-	public static final int X86_INS_XRELEASE = 1283;
-	public static final int X86_INS_XRSTOR = 1284;
-	public static final int X86_INS_XRSTOR64 = 1285;
-	public static final int X86_INS_XSAVE = 1286;
-	public static final int X86_INS_XSAVE64 = 1287;
-	public static final int X86_INS_XSAVEOPT = 1288;
-	public static final int X86_INS_XSAVEOPT64 = 1289;
-	public static final int X86_INS_XSETBV = 1290;
-	public static final int X86_INS_XSHA1 = 1291;
-	public static final int X86_INS_XSHA256 = 1292;
-	public static final int X86_INS_XSTORE = 1293;
-	public static final int X86_INS_XTEST = 1294;
-	public static final int X86_INS_ENDING = 1295;
-
-	// Group of X86 instructions
+	public static final int X86_INS_CMPSQ = 97;
+	public static final int X86_INS_CMPSW = 98;
+	public static final int X86_INS_CMPXCHG16B = 99;
+	public static final int X86_INS_CMPXCHG = 100;
+	public static final int X86_INS_CMPXCHG8B = 101;
+	public static final int X86_INS_COMISD = 102;
+	public static final int X86_INS_COMISS = 103;
+	public static final int X86_INS_FCOMP = 104;
+	public static final int X86_INS_FCOMIP = 105;
+	public static final int X86_INS_FCOMI = 106;
+	public static final int X86_INS_FCOM = 107;
+	public static final int X86_INS_FCOS = 108;
+	public static final int X86_INS_CPUID = 109;
+	public static final int X86_INS_CQO = 110;
+	public static final int X86_INS_CRC32 = 111;
+	public static final int X86_INS_CVTDQ2PD = 112;
+	public static final int X86_INS_CVTDQ2PS = 113;
+	public static final int X86_INS_CVTPD2DQ = 114;
+	public static final int X86_INS_CVTPD2PS = 115;
+	public static final int X86_INS_CVTPS2DQ = 116;
+	public static final int X86_INS_CVTPS2PD = 117;
+	public static final int X86_INS_CVTSD2SI = 118;
+	public static final int X86_INS_CVTSD2SS = 119;
+	public static final int X86_INS_CVTSI2SD = 120;
+	public static final int X86_INS_CVTSI2SS = 121;
+	public static final int X86_INS_CVTSS2SD = 122;
+	public static final int X86_INS_CVTSS2SI = 123;
+	public static final int X86_INS_CVTTPD2DQ = 124;
+	public static final int X86_INS_CVTTPS2DQ = 125;
+	public static final int X86_INS_CVTTSD2SI = 126;
+	public static final int X86_INS_CVTTSS2SI = 127;
+	public static final int X86_INS_CWD = 128;
+	public static final int X86_INS_CWDE = 129;
+	public static final int X86_INS_DAA = 130;
+	public static final int X86_INS_DAS = 131;
+	public static final int X86_INS_DATA16 = 132;
+	public static final int X86_INS_DEC = 133;
+	public static final int X86_INS_DIV = 134;
+	public static final int X86_INS_DIVPD = 135;
+	public static final int X86_INS_DIVPS = 136;
+	public static final int X86_INS_FDIVR = 137;
+	public static final int X86_INS_FIDIVR = 138;
+	public static final int X86_INS_FDIVRP = 139;
+	public static final int X86_INS_DIVSD = 140;
+	public static final int X86_INS_DIVSS = 141;
+	public static final int X86_INS_FDIV = 142;
+	public static final int X86_INS_FIDIV = 143;
+	public static final int X86_INS_FDIVP = 144;
+	public static final int X86_INS_DPPD = 145;
+	public static final int X86_INS_DPPS = 146;
+	public static final int X86_INS_RET = 147;
+	public static final int X86_INS_ENCLS = 148;
+	public static final int X86_INS_ENCLU = 149;
+	public static final int X86_INS_ENTER = 150;
+	public static final int X86_INS_EXTRACTPS = 151;
+	public static final int X86_INS_EXTRQ = 152;
+	public static final int X86_INS_F2XM1 = 153;
+	public static final int X86_INS_LCALL = 154;
+	public static final int X86_INS_LJMP = 155;
+	public static final int X86_INS_FBLD = 156;
+	public static final int X86_INS_FBSTP = 157;
+	public static final int X86_INS_FCOMPP = 158;
+	public static final int X86_INS_FDECSTP = 159;
+	public static final int X86_INS_FEMMS = 160;
+	public static final int X86_INS_FFREE = 161;
+	public static final int X86_INS_FICOM = 162;
+	public static final int X86_INS_FICOMP = 163;
+	public static final int X86_INS_FINCSTP = 164;
+	public static final int X86_INS_FLDCW = 165;
+	public static final int X86_INS_FLDENV = 166;
+	public static final int X86_INS_FLDL2E = 167;
+	public static final int X86_INS_FLDL2T = 168;
+	public static final int X86_INS_FLDLG2 = 169;
+	public static final int X86_INS_FLDLN2 = 170;
+	public static final int X86_INS_FLDPI = 171;
+	public static final int X86_INS_FNCLEX = 172;
+	public static final int X86_INS_FNINIT = 173;
+	public static final int X86_INS_FNOP = 174;
+	public static final int X86_INS_FNSTCW = 175;
+	public static final int X86_INS_FNSTSW = 176;
+	public static final int X86_INS_FPATAN = 177;
+	public static final int X86_INS_FPREM = 178;
+	public static final int X86_INS_FPREM1 = 179;
+	public static final int X86_INS_FPTAN = 180;
+	public static final int X86_INS_FFREEP = 181;
+	public static final int X86_INS_FRNDINT = 182;
+	public static final int X86_INS_FRSTOR = 183;
+	public static final int X86_INS_FNSAVE = 184;
+	public static final int X86_INS_FSCALE = 185;
+	public static final int X86_INS_FSETPM = 186;
+	public static final int X86_INS_FSINCOS = 187;
+	public static final int X86_INS_FNSTENV = 188;
+	public static final int X86_INS_FXAM = 189;
+	public static final int X86_INS_FXRSTOR = 190;
+	public static final int X86_INS_FXRSTOR64 = 191;
+	public static final int X86_INS_FXSAVE = 192;
+	public static final int X86_INS_FXSAVE64 = 193;
+	public static final int X86_INS_FXTRACT = 194;
+	public static final int X86_INS_FYL2X = 195;
+	public static final int X86_INS_FYL2XP1 = 196;
+	public static final int X86_INS_MOVAPD = 197;
+	public static final int X86_INS_MOVAPS = 198;
+	public static final int X86_INS_ORPD = 199;
+	public static final int X86_INS_ORPS = 200;
+	public static final int X86_INS_VMOVAPD = 201;
+	public static final int X86_INS_VMOVAPS = 202;
+	public static final int X86_INS_XORPD = 203;
+	public static final int X86_INS_XORPS = 204;
+	public static final int X86_INS_GETSEC = 205;
+	public static final int X86_INS_HADDPD = 206;
+	public static final int X86_INS_HADDPS = 207;
+	public static final int X86_INS_HLT = 208;
+	public static final int X86_INS_HSUBPD = 209;
+	public static final int X86_INS_HSUBPS = 210;
+	public static final int X86_INS_IDIV = 211;
+	public static final int X86_INS_FILD = 212;
+	public static final int X86_INS_IMUL = 213;
+	public static final int X86_INS_IN = 214;
+	public static final int X86_INS_INC = 215;
+	public static final int X86_INS_INSB = 216;
+	public static final int X86_INS_INSERTPS = 217;
+	public static final int X86_INS_INSERTQ = 218;
+	public static final int X86_INS_INSD = 219;
+	public static final int X86_INS_INSW = 220;
+	public static final int X86_INS_INT = 221;
+	public static final int X86_INS_INT1 = 222;
+	public static final int X86_INS_INT3 = 223;
+	public static final int X86_INS_INTO = 224;
+	public static final int X86_INS_INVD = 225;
+	public static final int X86_INS_INVEPT = 226;
+	public static final int X86_INS_INVLPG = 227;
+	public static final int X86_INS_INVLPGA = 228;
+	public static final int X86_INS_INVPCID = 229;
+	public static final int X86_INS_INVVPID = 230;
+	public static final int X86_INS_IRET = 231;
+	public static final int X86_INS_IRETD = 232;
+	public static final int X86_INS_IRETQ = 233;
+	public static final int X86_INS_FISTTP = 234;
+	public static final int X86_INS_FIST = 235;
+	public static final int X86_INS_FISTP = 236;
+	public static final int X86_INS_UCOMISD = 237;
+	public static final int X86_INS_UCOMISS = 238;
+	public static final int X86_INS_VCOMISD = 239;
+	public static final int X86_INS_VCOMISS = 240;
+	public static final int X86_INS_VCVTSD2SS = 241;
+	public static final int X86_INS_VCVTSI2SD = 242;
+	public static final int X86_INS_VCVTSI2SS = 243;
+	public static final int X86_INS_VCVTSS2SD = 244;
+	public static final int X86_INS_VCVTTSD2SI = 245;
+	public static final int X86_INS_VCVTTSD2USI = 246;
+	public static final int X86_INS_VCVTTSS2SI = 247;
+	public static final int X86_INS_VCVTTSS2USI = 248;
+	public static final int X86_INS_VCVTUSI2SD = 249;
+	public static final int X86_INS_VCVTUSI2SS = 250;
+	public static final int X86_INS_VUCOMISD = 251;
+	public static final int X86_INS_VUCOMISS = 252;
+	public static final int X86_INS_JAE = 253;
+	public static final int X86_INS_JA = 254;
+	public static final int X86_INS_JBE = 255;
+	public static final int X86_INS_JB = 256;
+	public static final int X86_INS_JCXZ = 257;
+	public static final int X86_INS_JECXZ = 258;
+	public static final int X86_INS_JE = 259;
+	public static final int X86_INS_JGE = 260;
+	public static final int X86_INS_JG = 261;
+	public static final int X86_INS_JLE = 262;
+	public static final int X86_INS_JL = 263;
+	public static final int X86_INS_JMP = 264;
+	public static final int X86_INS_JNE = 265;
+	public static final int X86_INS_JNO = 266;
+	public static final int X86_INS_JNP = 267;
+	public static final int X86_INS_JNS = 268;
+	public static final int X86_INS_JO = 269;
+	public static final int X86_INS_JP = 270;
+	public static final int X86_INS_JRCXZ = 271;
+	public static final int X86_INS_JS = 272;
+	public static final int X86_INS_KANDB = 273;
+	public static final int X86_INS_KANDD = 274;
+	public static final int X86_INS_KANDNB = 275;
+	public static final int X86_INS_KANDND = 276;
+	public static final int X86_INS_KANDNQ = 277;
+	public static final int X86_INS_KANDNW = 278;
+	public static final int X86_INS_KANDQ = 279;
+	public static final int X86_INS_KANDW = 280;
+	public static final int X86_INS_KMOVB = 281;
+	public static final int X86_INS_KMOVD = 282;
+	public static final int X86_INS_KMOVQ = 283;
+	public static final int X86_INS_KMOVW = 284;
+	public static final int X86_INS_KNOTB = 285;
+	public static final int X86_INS_KNOTD = 286;
+	public static final int X86_INS_KNOTQ = 287;
+	public static final int X86_INS_KNOTW = 288;
+	public static final int X86_INS_KORB = 289;
+	public static final int X86_INS_KORD = 290;
+	public static final int X86_INS_KORQ = 291;
+	public static final int X86_INS_KORTESTB = 292;
+	public static final int X86_INS_KORTESTD = 293;
+	public static final int X86_INS_KORTESTQ = 294;
+	public static final int X86_INS_KORTESTW = 295;
+	public static final int X86_INS_KORW = 296;
+	public static final int X86_INS_KSHIFTLB = 297;
+	public static final int X86_INS_KSHIFTLD = 298;
+	public static final int X86_INS_KSHIFTLQ = 299;
+	public static final int X86_INS_KSHIFTLW = 300;
+	public static final int X86_INS_KSHIFTRB = 301;
+	public static final int X86_INS_KSHIFTRD = 302;
+	public static final int X86_INS_KSHIFTRQ = 303;
+	public static final int X86_INS_KSHIFTRW = 304;
+	public static final int X86_INS_KUNPCKBW = 305;
+	public static final int X86_INS_KXNORB = 306;
+	public static final int X86_INS_KXNORD = 307;
+	public static final int X86_INS_KXNORQ = 308;
+	public static final int X86_INS_KXNORW = 309;
+	public static final int X86_INS_KXORB = 310;
+	public static final int X86_INS_KXORD = 311;
+	public static final int X86_INS_KXORQ = 312;
+	public static final int X86_INS_KXORW = 313;
+	public static final int X86_INS_LAHF = 314;
+	public static final int X86_INS_LAR = 315;
+	public static final int X86_INS_LDDQU = 316;
+	public static final int X86_INS_LDMXCSR = 317;
+	public static final int X86_INS_LDS = 318;
+	public static final int X86_INS_FLDZ = 319;
+	public static final int X86_INS_FLD1 = 320;
+	public static final int X86_INS_FLD = 321;
+	public static final int X86_INS_LEA = 322;
+	public static final int X86_INS_LEAVE = 323;
+	public static final int X86_INS_LES = 324;
+	public static final int X86_INS_LFENCE = 325;
+	public static final int X86_INS_LFS = 326;
+	public static final int X86_INS_LGDT = 327;
+	public static final int X86_INS_LGS = 328;
+	public static final int X86_INS_LIDT = 329;
+	public static final int X86_INS_LLDT = 330;
+	public static final int X86_INS_LMSW = 331;
+	public static final int X86_INS_OR = 332;
+	public static final int X86_INS_SUB = 333;
+	public static final int X86_INS_XOR = 334;
+	public static final int X86_INS_LODSB = 335;
+	public static final int X86_INS_LODSD = 336;
+	public static final int X86_INS_LODSQ = 337;
+	public static final int X86_INS_LODSW = 338;
+	public static final int X86_INS_LOOP = 339;
+	public static final int X86_INS_LOOPE = 340;
+	public static final int X86_INS_LOOPNE = 341;
+	public static final int X86_INS_RETF = 342;
+	public static final int X86_INS_RETFQ = 343;
+	public static final int X86_INS_LSL = 344;
+	public static final int X86_INS_LSS = 345;
+	public static final int X86_INS_LTR = 346;
+	public static final int X86_INS_XADD = 347;
+	public static final int X86_INS_LZCNT = 348;
+	public static final int X86_INS_MASKMOVDQU = 349;
+	public static final int X86_INS_MAXPD = 350;
+	public static final int X86_INS_MAXPS = 351;
+	public static final int X86_INS_MAXSD = 352;
+	public static final int X86_INS_MAXSS = 353;
+	public static final int X86_INS_MFENCE = 354;
+	public static final int X86_INS_MINPD = 355;
+	public static final int X86_INS_MINPS = 356;
+	public static final int X86_INS_MINSD = 357;
+	public static final int X86_INS_MINSS = 358;
+	public static final int X86_INS_CVTPD2PI = 359;
+	public static final int X86_INS_CVTPI2PD = 360;
+	public static final int X86_INS_CVTPI2PS = 361;
+	public static final int X86_INS_CVTPS2PI = 362;
+	public static final int X86_INS_CVTTPD2PI = 363;
+	public static final int X86_INS_CVTTPS2PI = 364;
+	public static final int X86_INS_EMMS = 365;
+	public static final int X86_INS_MASKMOVQ = 366;
+	public static final int X86_INS_MOVD = 367;
+	public static final int X86_INS_MOVDQ2Q = 368;
+	public static final int X86_INS_MOVNTQ = 369;
+	public static final int X86_INS_MOVQ2DQ = 370;
+	public static final int X86_INS_MOVQ = 371;
+	public static final int X86_INS_PABSB = 372;
+	public static final int X86_INS_PABSD = 373;
+	public static final int X86_INS_PABSW = 374;
+	public static final int X86_INS_PACKSSDW = 375;
+	public static final int X86_INS_PACKSSWB = 376;
+	public static final int X86_INS_PACKUSWB = 377;
+	public static final int X86_INS_PADDB = 378;
+	public static final int X86_INS_PADDD = 379;
+	public static final int X86_INS_PADDQ = 380;
+	public static final int X86_INS_PADDSB = 381;
+	public static final int X86_INS_PADDSW = 382;
+	public static final int X86_INS_PADDUSB = 383;
+	public static final int X86_INS_PADDUSW = 384;
+	public static final int X86_INS_PADDW = 385;
+	public static final int X86_INS_PALIGNR = 386;
+	public static final int X86_INS_PANDN = 387;
+	public static final int X86_INS_PAND = 388;
+	public static final int X86_INS_PAVGB = 389;
+	public static final int X86_INS_PAVGW = 390;
+	public static final int X86_INS_PCMPEQB = 391;
+	public static final int X86_INS_PCMPEQD = 392;
+	public static final int X86_INS_PCMPEQW = 393;
+	public static final int X86_INS_PCMPGTB = 394;
+	public static final int X86_INS_PCMPGTD = 395;
+	public static final int X86_INS_PCMPGTW = 396;
+	public static final int X86_INS_PEXTRW = 397;
+	public static final int X86_INS_PHADDSW = 398;
+	public static final int X86_INS_PHADDW = 399;
+	public static final int X86_INS_PHADDD = 400;
+	public static final int X86_INS_PHSUBD = 401;
+	public static final int X86_INS_PHSUBSW = 402;
+	public static final int X86_INS_PHSUBW = 403;
+	public static final int X86_INS_PINSRW = 404;
+	public static final int X86_INS_PMADDUBSW = 405;
+	public static final int X86_INS_PMADDWD = 406;
+	public static final int X86_INS_PMAXSW = 407;
+	public static final int X86_INS_PMAXUB = 408;
+	public static final int X86_INS_PMINSW = 409;
+	public static final int X86_INS_PMINUB = 410;
+	public static final int X86_INS_PMOVMSKB = 411;
+	public static final int X86_INS_PMULHRSW = 412;
+	public static final int X86_INS_PMULHUW = 413;
+	public static final int X86_INS_PMULHW = 414;
+	public static final int X86_INS_PMULLW = 415;
+	public static final int X86_INS_PMULUDQ = 416;
+	public static final int X86_INS_POR = 417;
+	public static final int X86_INS_PSADBW = 418;
+	public static final int X86_INS_PSHUFB = 419;
+	public static final int X86_INS_PSHUFW = 420;
+	public static final int X86_INS_PSIGNB = 421;
+	public static final int X86_INS_PSIGND = 422;
+	public static final int X86_INS_PSIGNW = 423;
+	public static final int X86_INS_PSLLD = 424;
+	public static final int X86_INS_PSLLQ = 425;
+	public static final int X86_INS_PSLLW = 426;
+	public static final int X86_INS_PSRAD = 427;
+	public static final int X86_INS_PSRAW = 428;
+	public static final int X86_INS_PSRLD = 429;
+	public static final int X86_INS_PSRLQ = 430;
+	public static final int X86_INS_PSRLW = 431;
+	public static final int X86_INS_PSUBB = 432;
+	public static final int X86_INS_PSUBD = 433;
+	public static final int X86_INS_PSUBQ = 434;
+	public static final int X86_INS_PSUBSB = 435;
+	public static final int X86_INS_PSUBSW = 436;
+	public static final int X86_INS_PSUBUSB = 437;
+	public static final int X86_INS_PSUBUSW = 438;
+	public static final int X86_INS_PSUBW = 439;
+	public static final int X86_INS_PUNPCKHBW = 440;
+	public static final int X86_INS_PUNPCKHDQ = 441;
+	public static final int X86_INS_PUNPCKHWD = 442;
+	public static final int X86_INS_PUNPCKLBW = 443;
+	public static final int X86_INS_PUNPCKLDQ = 444;
+	public static final int X86_INS_PUNPCKLWD = 445;
+	public static final int X86_INS_PXOR = 446;
+	public static final int X86_INS_MONITOR = 447;
+	public static final int X86_INS_MONTMUL = 448;
+	public static final int X86_INS_MOV = 449;
+	public static final int X86_INS_MOVABS = 450;
+	public static final int X86_INS_MOVBE = 451;
+	public static final int X86_INS_MOVDDUP = 452;
+	public static final int X86_INS_MOVDQA = 453;
+	public static final int X86_INS_MOVDQU = 454;
+	public static final int X86_INS_MOVHLPS = 455;
+	public static final int X86_INS_MOVHPD = 456;
+	public static final int X86_INS_MOVHPS = 457;
+	public static final int X86_INS_MOVLHPS = 458;
+	public static final int X86_INS_MOVLPD = 459;
+	public static final int X86_INS_MOVLPS = 460;
+	public static final int X86_INS_MOVMSKPD = 461;
+	public static final int X86_INS_MOVMSKPS = 462;
+	public static final int X86_INS_MOVNTDQA = 463;
+	public static final int X86_INS_MOVNTDQ = 464;
+	public static final int X86_INS_MOVNTI = 465;
+	public static final int X86_INS_MOVNTPD = 466;
+	public static final int X86_INS_MOVNTPS = 467;
+	public static final int X86_INS_MOVNTSD = 468;
+	public static final int X86_INS_MOVNTSS = 469;
+	public static final int X86_INS_MOVSB = 470;
+	public static final int X86_INS_MOVSD = 471;
+	public static final int X86_INS_MOVSHDUP = 472;
+	public static final int X86_INS_MOVSLDUP = 473;
+	public static final int X86_INS_MOVSQ = 474;
+	public static final int X86_INS_MOVSS = 475;
+	public static final int X86_INS_MOVSW = 476;
+	public static final int X86_INS_MOVSX = 477;
+	public static final int X86_INS_MOVSXD = 478;
+	public static final int X86_INS_MOVUPD = 479;
+	public static final int X86_INS_MOVUPS = 480;
+	public static final int X86_INS_MOVZX = 481;
+	public static final int X86_INS_MPSADBW = 482;
+	public static final int X86_INS_MUL = 483;
+	public static final int X86_INS_MULPD = 484;
+	public static final int X86_INS_MULPS = 485;
+	public static final int X86_INS_MULSD = 486;
+	public static final int X86_INS_MULSS = 487;
+	public static final int X86_INS_MULX = 488;
+	public static final int X86_INS_FMUL = 489;
+	public static final int X86_INS_FIMUL = 490;
+	public static final int X86_INS_FMULP = 491;
+	public static final int X86_INS_MWAIT = 492;
+	public static final int X86_INS_NEG = 493;
+	public static final int X86_INS_NOP = 494;
+	public static final int X86_INS_NOT = 495;
+	public static final int X86_INS_OUT = 496;
+	public static final int X86_INS_OUTSB = 497;
+	public static final int X86_INS_OUTSD = 498;
+	public static final int X86_INS_OUTSW = 499;
+	public static final int X86_INS_PACKUSDW = 500;
+	public static final int X86_INS_PAUSE = 501;
+	public static final int X86_INS_PAVGUSB = 502;
+	public static final int X86_INS_PBLENDVB = 503;
+	public static final int X86_INS_PBLENDW = 504;
+	public static final int X86_INS_PCLMULQDQ = 505;
+	public static final int X86_INS_PCMPEQQ = 506;
+	public static final int X86_INS_PCMPESTRI = 507;
+	public static final int X86_INS_PCMPESTRM = 508;
+	public static final int X86_INS_PCMPGTQ = 509;
+	public static final int X86_INS_PCMPISTRI = 510;
+	public static final int X86_INS_PCMPISTRM = 511;
+	public static final int X86_INS_PCOMMIT = 512;
+	public static final int X86_INS_PDEP = 513;
+	public static final int X86_INS_PEXT = 514;
+	public static final int X86_INS_PEXTRB = 515;
+	public static final int X86_INS_PEXTRD = 516;
+	public static final int X86_INS_PEXTRQ = 517;
+	public static final int X86_INS_PF2ID = 518;
+	public static final int X86_INS_PF2IW = 519;
+	public static final int X86_INS_PFACC = 520;
+	public static final int X86_INS_PFADD = 521;
+	public static final int X86_INS_PFCMPEQ = 522;
+	public static final int X86_INS_PFCMPGE = 523;
+	public static final int X86_INS_PFCMPGT = 524;
+	public static final int X86_INS_PFMAX = 525;
+	public static final int X86_INS_PFMIN = 526;
+	public static final int X86_INS_PFMUL = 527;
+	public static final int X86_INS_PFNACC = 528;
+	public static final int X86_INS_PFPNACC = 529;
+	public static final int X86_INS_PFRCPIT1 = 530;
+	public static final int X86_INS_PFRCPIT2 = 531;
+	public static final int X86_INS_PFRCP = 532;
+	public static final int X86_INS_PFRSQIT1 = 533;
+	public static final int X86_INS_PFRSQRT = 534;
+	public static final int X86_INS_PFSUBR = 535;
+	public static final int X86_INS_PFSUB = 536;
+	public static final int X86_INS_PHMINPOSUW = 537;
+	public static final int X86_INS_PI2FD = 538;
+	public static final int X86_INS_PI2FW = 539;
+	public static final int X86_INS_PINSRB = 540;
+	public static final int X86_INS_PINSRD = 541;
+	public static final int X86_INS_PINSRQ = 542;
+	public static final int X86_INS_PMAXSB = 543;
+	public static final int X86_INS_PMAXSD = 544;
+	public static final int X86_INS_PMAXUD = 545;
+	public static final int X86_INS_PMAXUW = 546;
+	public static final int X86_INS_PMINSB = 547;
+	public static final int X86_INS_PMINSD = 548;
+	public static final int X86_INS_PMINUD = 549;
+	public static final int X86_INS_PMINUW = 550;
+	public static final int X86_INS_PMOVSXBD = 551;
+	public static final int X86_INS_PMOVSXBQ = 552;
+	public static final int X86_INS_PMOVSXBW = 553;
+	public static final int X86_INS_PMOVSXDQ = 554;
+	public static final int X86_INS_PMOVSXWD = 555;
+	public static final int X86_INS_PMOVSXWQ = 556;
+	public static final int X86_INS_PMOVZXBD = 557;
+	public static final int X86_INS_PMOVZXBQ = 558;
+	public static final int X86_INS_PMOVZXBW = 559;
+	public static final int X86_INS_PMOVZXDQ = 560;
+	public static final int X86_INS_PMOVZXWD = 561;
+	public static final int X86_INS_PMOVZXWQ = 562;
+	public static final int X86_INS_PMULDQ = 563;
+	public static final int X86_INS_PMULHRW = 564;
+	public static final int X86_INS_PMULLD = 565;
+	public static final int X86_INS_POP = 566;
+	public static final int X86_INS_POPAW = 567;
+	public static final int X86_INS_POPAL = 568;
+	public static final int X86_INS_POPCNT = 569;
+	public static final int X86_INS_POPF = 570;
+	public static final int X86_INS_POPFD = 571;
+	public static final int X86_INS_POPFQ = 572;
+	public static final int X86_INS_PREFETCH = 573;
+	public static final int X86_INS_PREFETCHNTA = 574;
+	public static final int X86_INS_PREFETCHT0 = 575;
+	public static final int X86_INS_PREFETCHT1 = 576;
+	public static final int X86_INS_PREFETCHT2 = 577;
+	public static final int X86_INS_PREFETCHW = 578;
+	public static final int X86_INS_PSHUFD = 579;
+	public static final int X86_INS_PSHUFHW = 580;
+	public static final int X86_INS_PSHUFLW = 581;
+	public static final int X86_INS_PSLLDQ = 582;
+	public static final int X86_INS_PSRLDQ = 583;
+	public static final int X86_INS_PSWAPD = 584;
+	public static final int X86_INS_PTEST = 585;
+	public static final int X86_INS_PUNPCKHQDQ = 586;
+	public static final int X86_INS_PUNPCKLQDQ = 587;
+	public static final int X86_INS_PUSH = 588;
+	public static final int X86_INS_PUSHAW = 589;
+	public static final int X86_INS_PUSHAL = 590;
+	public static final int X86_INS_PUSHF = 591;
+	public static final int X86_INS_PUSHFD = 592;
+	public static final int X86_INS_PUSHFQ = 593;
+	public static final int X86_INS_RCL = 594;
+	public static final int X86_INS_RCPPS = 595;
+	public static final int X86_INS_RCPSS = 596;
+	public static final int X86_INS_RCR = 597;
+	public static final int X86_INS_RDFSBASE = 598;
+	public static final int X86_INS_RDGSBASE = 599;
+	public static final int X86_INS_RDMSR = 600;
+	public static final int X86_INS_RDPMC = 601;
+	public static final int X86_INS_RDRAND = 602;
+	public static final int X86_INS_RDSEED = 603;
+	public static final int X86_INS_RDTSC = 604;
+	public static final int X86_INS_RDTSCP = 605;
+	public static final int X86_INS_ROL = 606;
+	public static final int X86_INS_ROR = 607;
+	public static final int X86_INS_RORX = 608;
+	public static final int X86_INS_ROUNDPD = 609;
+	public static final int X86_INS_ROUNDPS = 610;
+	public static final int X86_INS_ROUNDSD = 611;
+	public static final int X86_INS_ROUNDSS = 612;
+	public static final int X86_INS_RSM = 613;
+	public static final int X86_INS_RSQRTPS = 614;
+	public static final int X86_INS_RSQRTSS = 615;
+	public static final int X86_INS_SAHF = 616;
+	public static final int X86_INS_SAL = 617;
+	public static final int X86_INS_SALC = 618;
+	public static final int X86_INS_SAR = 619;
+	public static final int X86_INS_SARX = 620;
+	public static final int X86_INS_SBB = 621;
+	public static final int X86_INS_SCASB = 622;
+	public static final int X86_INS_SCASD = 623;
+	public static final int X86_INS_SCASQ = 624;
+	public static final int X86_INS_SCASW = 625;
+	public static final int X86_INS_SETAE = 626;
+	public static final int X86_INS_SETA = 627;
+	public static final int X86_INS_SETBE = 628;
+	public static final int X86_INS_SETB = 629;
+	public static final int X86_INS_SETE = 630;
+	public static final int X86_INS_SETGE = 631;
+	public static final int X86_INS_SETG = 632;
+	public static final int X86_INS_SETLE = 633;
+	public static final int X86_INS_SETL = 634;
+	public static final int X86_INS_SETNE = 635;
+	public static final int X86_INS_SETNO = 636;
+	public static final int X86_INS_SETNP = 637;
+	public static final int X86_INS_SETNS = 638;
+	public static final int X86_INS_SETO = 639;
+	public static final int X86_INS_SETP = 640;
+	public static final int X86_INS_SETS = 641;
+	public static final int X86_INS_SFENCE = 642;
+	public static final int X86_INS_SGDT = 643;
+	public static final int X86_INS_SHA1MSG1 = 644;
+	public static final int X86_INS_SHA1MSG2 = 645;
+	public static final int X86_INS_SHA1NEXTE = 646;
+	public static final int X86_INS_SHA1RNDS4 = 647;
+	public static final int X86_INS_SHA256MSG1 = 648;
+	public static final int X86_INS_SHA256MSG2 = 649;
+	public static final int X86_INS_SHA256RNDS2 = 650;
+	public static final int X86_INS_SHL = 651;
+	public static final int X86_INS_SHLD = 652;
+	public static final int X86_INS_SHLX = 653;
+	public static final int X86_INS_SHR = 654;
+	public static final int X86_INS_SHRD = 655;
+	public static final int X86_INS_SHRX = 656;
+	public static final int X86_INS_SHUFPD = 657;
+	public static final int X86_INS_SHUFPS = 658;
+	public static final int X86_INS_SIDT = 659;
+	public static final int X86_INS_FSIN = 660;
+	public static final int X86_INS_SKINIT = 661;
+	public static final int X86_INS_SLDT = 662;
+	public static final int X86_INS_SMSW = 663;
+	public static final int X86_INS_SQRTPD = 664;
+	public static final int X86_INS_SQRTPS = 665;
+	public static final int X86_INS_SQRTSD = 666;
+	public static final int X86_INS_SQRTSS = 667;
+	public static final int X86_INS_FSQRT = 668;
+	public static final int X86_INS_STAC = 669;
+	public static final int X86_INS_STC = 670;
+	public static final int X86_INS_STD = 671;
+	public static final int X86_INS_STGI = 672;
+	public static final int X86_INS_STI = 673;
+	public static final int X86_INS_STMXCSR = 674;
+	public static final int X86_INS_STOSB = 675;
+	public static final int X86_INS_STOSD = 676;
+	public static final int X86_INS_STOSQ = 677;
+	public static final int X86_INS_STOSW = 678;
+	public static final int X86_INS_STR = 679;
+	public static final int X86_INS_FST = 680;
+	public static final int X86_INS_FSTP = 681;
+	public static final int X86_INS_FSTPNCE = 682;
+	public static final int X86_INS_FXCH = 683;
+	public static final int X86_INS_SUBPD = 684;
+	public static final int X86_INS_SUBPS = 685;
+	public static final int X86_INS_FSUBR = 686;
+	public static final int X86_INS_FISUBR = 687;
+	public static final int X86_INS_FSUBRP = 688;
+	public static final int X86_INS_SUBSD = 689;
+	public static final int X86_INS_SUBSS = 690;
+	public static final int X86_INS_FSUB = 691;
+	public static final int X86_INS_FISUB = 692;
+	public static final int X86_INS_FSUBP = 693;
+	public static final int X86_INS_SWAPGS = 694;
+	public static final int X86_INS_SYSCALL = 695;
+	public static final int X86_INS_SYSENTER = 696;
+	public static final int X86_INS_SYSEXIT = 697;
+	public static final int X86_INS_SYSRET = 698;
+	public static final int X86_INS_T1MSKC = 699;
+	public static final int X86_INS_TEST = 700;
+	public static final int X86_INS_UD2 = 701;
+	public static final int X86_INS_FTST = 702;
+	public static final int X86_INS_TZCNT = 703;
+	public static final int X86_INS_TZMSK = 704;
+	public static final int X86_INS_FUCOMIP = 705;
+	public static final int X86_INS_FUCOMI = 706;
+	public static final int X86_INS_FUCOMPP = 707;
+	public static final int X86_INS_FUCOMP = 708;
+	public static final int X86_INS_FUCOM = 709;
+	public static final int X86_INS_UD2B = 710;
+	public static final int X86_INS_UNPCKHPD = 711;
+	public static final int X86_INS_UNPCKHPS = 712;
+	public static final int X86_INS_UNPCKLPD = 713;
+	public static final int X86_INS_UNPCKLPS = 714;
+	public static final int X86_INS_VADDPD = 715;
+	public static final int X86_INS_VADDPS = 716;
+	public static final int X86_INS_VADDSD = 717;
+	public static final int X86_INS_VADDSS = 718;
+	public static final int X86_INS_VADDSUBPD = 719;
+	public static final int X86_INS_VADDSUBPS = 720;
+	public static final int X86_INS_VAESDECLAST = 721;
+	public static final int X86_INS_VAESDEC = 722;
+	public static final int X86_INS_VAESENCLAST = 723;
+	public static final int X86_INS_VAESENC = 724;
+	public static final int X86_INS_VAESIMC = 725;
+	public static final int X86_INS_VAESKEYGENASSIST = 726;
+	public static final int X86_INS_VALIGND = 727;
+	public static final int X86_INS_VALIGNQ = 728;
+	public static final int X86_INS_VANDNPD = 729;
+	public static final int X86_INS_VANDNPS = 730;
+	public static final int X86_INS_VANDPD = 731;
+	public static final int X86_INS_VANDPS = 732;
+	public static final int X86_INS_VBLENDMPD = 733;
+	public static final int X86_INS_VBLENDMPS = 734;
+	public static final int X86_INS_VBLENDPD = 735;
+	public static final int X86_INS_VBLENDPS = 736;
+	public static final int X86_INS_VBLENDVPD = 737;
+	public static final int X86_INS_VBLENDVPS = 738;
+	public static final int X86_INS_VBROADCASTF128 = 739;
+	public static final int X86_INS_VBROADCASTI32X4 = 740;
+	public static final int X86_INS_VBROADCASTI64X4 = 741;
+	public static final int X86_INS_VBROADCASTSD = 742;
+	public static final int X86_INS_VBROADCASTSS = 743;
+	public static final int X86_INS_VCOMPRESSPD = 744;
+	public static final int X86_INS_VCOMPRESSPS = 745;
+	public static final int X86_INS_VCVTDQ2PD = 746;
+	public static final int X86_INS_VCVTDQ2PS = 747;
+	public static final int X86_INS_VCVTPD2DQX = 748;
+	public static final int X86_INS_VCVTPD2DQ = 749;
+	public static final int X86_INS_VCVTPD2PSX = 750;
+	public static final int X86_INS_VCVTPD2PS = 751;
+	public static final int X86_INS_VCVTPD2UDQ = 752;
+	public static final int X86_INS_VCVTPH2PS = 753;
+	public static final int X86_INS_VCVTPS2DQ = 754;
+	public static final int X86_INS_VCVTPS2PD = 755;
+	public static final int X86_INS_VCVTPS2PH = 756;
+	public static final int X86_INS_VCVTPS2UDQ = 757;
+	public static final int X86_INS_VCVTSD2SI = 758;
+	public static final int X86_INS_VCVTSD2USI = 759;
+	public static final int X86_INS_VCVTSS2SI = 760;
+	public static final int X86_INS_VCVTSS2USI = 761;
+	public static final int X86_INS_VCVTTPD2DQX = 762;
+	public static final int X86_INS_VCVTTPD2DQ = 763;
+	public static final int X86_INS_VCVTTPD2UDQ = 764;
+	public static final int X86_INS_VCVTTPS2DQ = 765;
+	public static final int X86_INS_VCVTTPS2UDQ = 766;
+	public static final int X86_INS_VCVTUDQ2PD = 767;
+	public static final int X86_INS_VCVTUDQ2PS = 768;
+	public static final int X86_INS_VDIVPD = 769;
+	public static final int X86_INS_VDIVPS = 770;
+	public static final int X86_INS_VDIVSD = 771;
+	public static final int X86_INS_VDIVSS = 772;
+	public static final int X86_INS_VDPPD = 773;
+	public static final int X86_INS_VDPPS = 774;
+	public static final int X86_INS_VERR = 775;
+	public static final int X86_INS_VERW = 776;
+	public static final int X86_INS_VEXP2PD = 777;
+	public static final int X86_INS_VEXP2PS = 778;
+	public static final int X86_INS_VEXPANDPD = 779;
+	public static final int X86_INS_VEXPANDPS = 780;
+	public static final int X86_INS_VEXTRACTF128 = 781;
+	public static final int X86_INS_VEXTRACTF32X4 = 782;
+	public static final int X86_INS_VEXTRACTF64X4 = 783;
+	public static final int X86_INS_VEXTRACTI128 = 784;
+	public static final int X86_INS_VEXTRACTI32X4 = 785;
+	public static final int X86_INS_VEXTRACTI64X4 = 786;
+	public static final int X86_INS_VEXTRACTPS = 787;
+	public static final int X86_INS_VFMADD132PD = 788;
+	public static final int X86_INS_VFMADD132PS = 789;
+	public static final int X86_INS_VFMADDPD = 790;
+	public static final int X86_INS_VFMADD213PD = 791;
+	public static final int X86_INS_VFMADD231PD = 792;
+	public static final int X86_INS_VFMADDPS = 793;
+	public static final int X86_INS_VFMADD213PS = 794;
+	public static final int X86_INS_VFMADD231PS = 795;
+	public static final int X86_INS_VFMADDSD = 796;
+	public static final int X86_INS_VFMADD213SD = 797;
+	public static final int X86_INS_VFMADD132SD = 798;
+	public static final int X86_INS_VFMADD231SD = 799;
+	public static final int X86_INS_VFMADDSS = 800;
+	public static final int X86_INS_VFMADD213SS = 801;
+	public static final int X86_INS_VFMADD132SS = 802;
+	public static final int X86_INS_VFMADD231SS = 803;
+	public static final int X86_INS_VFMADDSUB132PD = 804;
+	public static final int X86_INS_VFMADDSUB132PS = 805;
+	public static final int X86_INS_VFMADDSUBPD = 806;
+	public static final int X86_INS_VFMADDSUB213PD = 807;
+	public static final int X86_INS_VFMADDSUB231PD = 808;
+	public static final int X86_INS_VFMADDSUBPS = 809;
+	public static final int X86_INS_VFMADDSUB213PS = 810;
+	public static final int X86_INS_VFMADDSUB231PS = 811;
+	public static final int X86_INS_VFMSUB132PD = 812;
+	public static final int X86_INS_VFMSUB132PS = 813;
+	public static final int X86_INS_VFMSUBADD132PD = 814;
+	public static final int X86_INS_VFMSUBADD132PS = 815;
+	public static final int X86_INS_VFMSUBADDPD = 816;
+	public static final int X86_INS_VFMSUBADD213PD = 817;
+	public static final int X86_INS_VFMSUBADD231PD = 818;
+	public static final int X86_INS_VFMSUBADDPS = 819;
+	public static final int X86_INS_VFMSUBADD213PS = 820;
+	public static final int X86_INS_VFMSUBADD231PS = 821;
+	public static final int X86_INS_VFMSUBPD = 822;
+	public static final int X86_INS_VFMSUB213PD = 823;
+	public static final int X86_INS_VFMSUB231PD = 824;
+	public static final int X86_INS_VFMSUBPS = 825;
+	public static final int X86_INS_VFMSUB213PS = 826;
+	public static final int X86_INS_VFMSUB231PS = 827;
+	public static final int X86_INS_VFMSUBSD = 828;
+	public static final int X86_INS_VFMSUB213SD = 829;
+	public static final int X86_INS_VFMSUB132SD = 830;
+	public static final int X86_INS_VFMSUB231SD = 831;
+	public static final int X86_INS_VFMSUBSS = 832;
+	public static final int X86_INS_VFMSUB213SS = 833;
+	public static final int X86_INS_VFMSUB132SS = 834;
+	public static final int X86_INS_VFMSUB231SS = 835;
+	public static final int X86_INS_VFNMADD132PD = 836;
+	public static final int X86_INS_VFNMADD132PS = 837;
+	public static final int X86_INS_VFNMADDPD = 838;
+	public static final int X86_INS_VFNMADD213PD = 839;
+	public static final int X86_INS_VFNMADD231PD = 840;
+	public static final int X86_INS_VFNMADDPS = 841;
+	public static final int X86_INS_VFNMADD213PS = 842;
+	public static final int X86_INS_VFNMADD231PS = 843;
+	public static final int X86_INS_VFNMADDSD = 844;
+	public static final int X86_INS_VFNMADD213SD = 845;
+	public static final int X86_INS_VFNMADD132SD = 846;
+	public static final int X86_INS_VFNMADD231SD = 847;
+	public static final int X86_INS_VFNMADDSS = 848;
+	public static final int X86_INS_VFNMADD213SS = 849;
+	public static final int X86_INS_VFNMADD132SS = 850;
+	public static final int X86_INS_VFNMADD231SS = 851;
+	public static final int X86_INS_VFNMSUB132PD = 852;
+	public static final int X86_INS_VFNMSUB132PS = 853;
+	public static final int X86_INS_VFNMSUBPD = 854;
+	public static final int X86_INS_VFNMSUB213PD = 855;
+	public static final int X86_INS_VFNMSUB231PD = 856;
+	public static final int X86_INS_VFNMSUBPS = 857;
+	public static final int X86_INS_VFNMSUB213PS = 858;
+	public static final int X86_INS_VFNMSUB231PS = 859;
+	public static final int X86_INS_VFNMSUBSD = 860;
+	public static final int X86_INS_VFNMSUB213SD = 861;
+	public static final int X86_INS_VFNMSUB132SD = 862;
+	public static final int X86_INS_VFNMSUB231SD = 863;
+	public static final int X86_INS_VFNMSUBSS = 864;
+	public static final int X86_INS_VFNMSUB213SS = 865;
+	public static final int X86_INS_VFNMSUB132SS = 866;
+	public static final int X86_INS_VFNMSUB231SS = 867;
+	public static final int X86_INS_VFRCZPD = 868;
+	public static final int X86_INS_VFRCZPS = 869;
+	public static final int X86_INS_VFRCZSD = 870;
+	public static final int X86_INS_VFRCZSS = 871;
+	public static final int X86_INS_VORPD = 872;
+	public static final int X86_INS_VORPS = 873;
+	public static final int X86_INS_VXORPD = 874;
+	public static final int X86_INS_VXORPS = 875;
+	public static final int X86_INS_VGATHERDPD = 876;
+	public static final int X86_INS_VGATHERDPS = 877;
+	public static final int X86_INS_VGATHERPF0DPD = 878;
+	public static final int X86_INS_VGATHERPF0DPS = 879;
+	public static final int X86_INS_VGATHERPF0QPD = 880;
+	public static final int X86_INS_VGATHERPF0QPS = 881;
+	public static final int X86_INS_VGATHERPF1DPD = 882;
+	public static final int X86_INS_VGATHERPF1DPS = 883;
+	public static final int X86_INS_VGATHERPF1QPD = 884;
+	public static final int X86_INS_VGATHERPF1QPS = 885;
+	public static final int X86_INS_VGATHERQPD = 886;
+	public static final int X86_INS_VGATHERQPS = 887;
+	public static final int X86_INS_VHADDPD = 888;
+	public static final int X86_INS_VHADDPS = 889;
+	public static final int X86_INS_VHSUBPD = 890;
+	public static final int X86_INS_VHSUBPS = 891;
+	public static final int X86_INS_VINSERTF128 = 892;
+	public static final int X86_INS_VINSERTF32X4 = 893;
+	public static final int X86_INS_VINSERTF32X8 = 894;
+	public static final int X86_INS_VINSERTF64X2 = 895;
+	public static final int X86_INS_VINSERTF64X4 = 896;
+	public static final int X86_INS_VINSERTI128 = 897;
+	public static final int X86_INS_VINSERTI32X4 = 898;
+	public static final int X86_INS_VINSERTI32X8 = 899;
+	public static final int X86_INS_VINSERTI64X2 = 900;
+	public static final int X86_INS_VINSERTI64X4 = 901;
+	public static final int X86_INS_VINSERTPS = 902;
+	public static final int X86_INS_VLDDQU = 903;
+	public static final int X86_INS_VLDMXCSR = 904;
+	public static final int X86_INS_VMASKMOVDQU = 905;
+	public static final int X86_INS_VMASKMOVPD = 906;
+	public static final int X86_INS_VMASKMOVPS = 907;
+	public static final int X86_INS_VMAXPD = 908;
+	public static final int X86_INS_VMAXPS = 909;
+	public static final int X86_INS_VMAXSD = 910;
+	public static final int X86_INS_VMAXSS = 911;
+	public static final int X86_INS_VMCALL = 912;
+	public static final int X86_INS_VMCLEAR = 913;
+	public static final int X86_INS_VMFUNC = 914;
+	public static final int X86_INS_VMINPD = 915;
+	public static final int X86_INS_VMINPS = 916;
+	public static final int X86_INS_VMINSD = 917;
+	public static final int X86_INS_VMINSS = 918;
+	public static final int X86_INS_VMLAUNCH = 919;
+	public static final int X86_INS_VMLOAD = 920;
+	public static final int X86_INS_VMMCALL = 921;
+	public static final int X86_INS_VMOVQ = 922;
+	public static final int X86_INS_VMOVDDUP = 923;
+	public static final int X86_INS_VMOVD = 924;
+	public static final int X86_INS_VMOVDQA32 = 925;
+	public static final int X86_INS_VMOVDQA64 = 926;
+	public static final int X86_INS_VMOVDQA = 927;
+	public static final int X86_INS_VMOVDQU16 = 928;
+	public static final int X86_INS_VMOVDQU32 = 929;
+	public static final int X86_INS_VMOVDQU64 = 930;
+	public static final int X86_INS_VMOVDQU8 = 931;
+	public static final int X86_INS_VMOVDQU = 932;
+	public static final int X86_INS_VMOVHLPS = 933;
+	public static final int X86_INS_VMOVHPD = 934;
+	public static final int X86_INS_VMOVHPS = 935;
+	public static final int X86_INS_VMOVLHPS = 936;
+	public static final int X86_INS_VMOVLPD = 937;
+	public static final int X86_INS_VMOVLPS = 938;
+	public static final int X86_INS_VMOVMSKPD = 939;
+	public static final int X86_INS_VMOVMSKPS = 940;
+	public static final int X86_INS_VMOVNTDQA = 941;
+	public static final int X86_INS_VMOVNTDQ = 942;
+	public static final int X86_INS_VMOVNTPD = 943;
+	public static final int X86_INS_VMOVNTPS = 944;
+	public static final int X86_INS_VMOVSD = 945;
+	public static final int X86_INS_VMOVSHDUP = 946;
+	public static final int X86_INS_VMOVSLDUP = 947;
+	public static final int X86_INS_VMOVSS = 948;
+	public static final int X86_INS_VMOVUPD = 949;
+	public static final int X86_INS_VMOVUPS = 950;
+	public static final int X86_INS_VMPSADBW = 951;
+	public static final int X86_INS_VMPTRLD = 952;
+	public static final int X86_INS_VMPTRST = 953;
+	public static final int X86_INS_VMREAD = 954;
+	public static final int X86_INS_VMRESUME = 955;
+	public static final int X86_INS_VMRUN = 956;
+	public static final int X86_INS_VMSAVE = 957;
+	public static final int X86_INS_VMULPD = 958;
+	public static final int X86_INS_VMULPS = 959;
+	public static final int X86_INS_VMULSD = 960;
+	public static final int X86_INS_VMULSS = 961;
+	public static final int X86_INS_VMWRITE = 962;
+	public static final int X86_INS_VMXOFF = 963;
+	public static final int X86_INS_VMXON = 964;
+	public static final int X86_INS_VPABSB = 965;
+	public static final int X86_INS_VPABSD = 966;
+	public static final int X86_INS_VPABSQ = 967;
+	public static final int X86_INS_VPABSW = 968;
+	public static final int X86_INS_VPACKSSDW = 969;
+	public static final int X86_INS_VPACKSSWB = 970;
+	public static final int X86_INS_VPACKUSDW = 971;
+	public static final int X86_INS_VPACKUSWB = 972;
+	public static final int X86_INS_VPADDB = 973;
+	public static final int X86_INS_VPADDD = 974;
+	public static final int X86_INS_VPADDQ = 975;
+	public static final int X86_INS_VPADDSB = 976;
+	public static final int X86_INS_VPADDSW = 977;
+	public static final int X86_INS_VPADDUSB = 978;
+	public static final int X86_INS_VPADDUSW = 979;
+	public static final int X86_INS_VPADDW = 980;
+	public static final int X86_INS_VPALIGNR = 981;
+	public static final int X86_INS_VPANDD = 982;
+	public static final int X86_INS_VPANDND = 983;
+	public static final int X86_INS_VPANDNQ = 984;
+	public static final int X86_INS_VPANDN = 985;
+	public static final int X86_INS_VPANDQ = 986;
+	public static final int X86_INS_VPAND = 987;
+	public static final int X86_INS_VPAVGB = 988;
+	public static final int X86_INS_VPAVGW = 989;
+	public static final int X86_INS_VPBLENDD = 990;
+	public static final int X86_INS_VPBLENDMB = 991;
+	public static final int X86_INS_VPBLENDMD = 992;
+	public static final int X86_INS_VPBLENDMQ = 993;
+	public static final int X86_INS_VPBLENDMW = 994;
+	public static final int X86_INS_VPBLENDVB = 995;
+	public static final int X86_INS_VPBLENDW = 996;
+	public static final int X86_INS_VPBROADCASTB = 997;
+	public static final int X86_INS_VPBROADCASTD = 998;
+	public static final int X86_INS_VPBROADCASTMB2Q = 999;
+	public static final int X86_INS_VPBROADCASTMW2D = 1000;
+	public static final int X86_INS_VPBROADCASTQ = 1001;
+	public static final int X86_INS_VPBROADCASTW = 1002;
+	public static final int X86_INS_VPCLMULQDQ = 1003;
+	public static final int X86_INS_VPCMOV = 1004;
+	public static final int X86_INS_VPCMPB = 1005;
+	public static final int X86_INS_VPCMPD = 1006;
+	public static final int X86_INS_VPCMPEQB = 1007;
+	public static final int X86_INS_VPCMPEQD = 1008;
+	public static final int X86_INS_VPCMPEQQ = 1009;
+	public static final int X86_INS_VPCMPEQW = 1010;
+	public static final int X86_INS_VPCMPESTRI = 1011;
+	public static final int X86_INS_VPCMPESTRM = 1012;
+	public static final int X86_INS_VPCMPGTB = 1013;
+	public static final int X86_INS_VPCMPGTD = 1014;
+	public static final int X86_INS_VPCMPGTQ = 1015;
+	public static final int X86_INS_VPCMPGTW = 1016;
+	public static final int X86_INS_VPCMPISTRI = 1017;
+	public static final int X86_INS_VPCMPISTRM = 1018;
+	public static final int X86_INS_VPCMPQ = 1019;
+	public static final int X86_INS_VPCMPUB = 1020;
+	public static final int X86_INS_VPCMPUD = 1021;
+	public static final int X86_INS_VPCMPUQ = 1022;
+	public static final int X86_INS_VPCMPUW = 1023;
+	public static final int X86_INS_VPCMPW = 1024;
+	public static final int X86_INS_VPCOMB = 1025;
+	public static final int X86_INS_VPCOMD = 1026;
+	public static final int X86_INS_VPCOMPRESSD = 1027;
+	public static final int X86_INS_VPCOMPRESSQ = 1028;
+	public static final int X86_INS_VPCOMQ = 1029;
+	public static final int X86_INS_VPCOMUB = 1030;
+	public static final int X86_INS_VPCOMUD = 1031;
+	public static final int X86_INS_VPCOMUQ = 1032;
+	public static final int X86_INS_VPCOMUW = 1033;
+	public static final int X86_INS_VPCOMW = 1034;
+	public static final int X86_INS_VPCONFLICTD = 1035;
+	public static final int X86_INS_VPCONFLICTQ = 1036;
+	public static final int X86_INS_VPERM2F128 = 1037;
+	public static final int X86_INS_VPERM2I128 = 1038;
+	public static final int X86_INS_VPERMD = 1039;
+	public static final int X86_INS_VPERMI2D = 1040;
+	public static final int X86_INS_VPERMI2PD = 1041;
+	public static final int X86_INS_VPERMI2PS = 1042;
+	public static final int X86_INS_VPERMI2Q = 1043;
+	public static final int X86_INS_VPERMIL2PD = 1044;
+	public static final int X86_INS_VPERMIL2PS = 1045;
+	public static final int X86_INS_VPERMILPD = 1046;
+	public static final int X86_INS_VPERMILPS = 1047;
+	public static final int X86_INS_VPERMPD = 1048;
+	public static final int X86_INS_VPERMPS = 1049;
+	public static final int X86_INS_VPERMQ = 1050;
+	public static final int X86_INS_VPERMT2D = 1051;
+	public static final int X86_INS_VPERMT2PD = 1052;
+	public static final int X86_INS_VPERMT2PS = 1053;
+	public static final int X86_INS_VPERMT2Q = 1054;
+	public static final int X86_INS_VPEXPANDD = 1055;
+	public static final int X86_INS_VPEXPANDQ = 1056;
+	public static final int X86_INS_VPEXTRB = 1057;
+	public static final int X86_INS_VPEXTRD = 1058;
+	public static final int X86_INS_VPEXTRQ = 1059;
+	public static final int X86_INS_VPEXTRW = 1060;
+	public static final int X86_INS_VPGATHERDD = 1061;
+	public static final int X86_INS_VPGATHERDQ = 1062;
+	public static final int X86_INS_VPGATHERQD = 1063;
+	public static final int X86_INS_VPGATHERQQ = 1064;
+	public static final int X86_INS_VPHADDBD = 1065;
+	public static final int X86_INS_VPHADDBQ = 1066;
+	public static final int X86_INS_VPHADDBW = 1067;
+	public static final int X86_INS_VPHADDDQ = 1068;
+	public static final int X86_INS_VPHADDD = 1069;
+	public static final int X86_INS_VPHADDSW = 1070;
+	public static final int X86_INS_VPHADDUBD = 1071;
+	public static final int X86_INS_VPHADDUBQ = 1072;
+	public static final int X86_INS_VPHADDUBW = 1073;
+	public static final int X86_INS_VPHADDUDQ = 1074;
+	public static final int X86_INS_VPHADDUWD = 1075;
+	public static final int X86_INS_VPHADDUWQ = 1076;
+	public static final int X86_INS_VPHADDWD = 1077;
+	public static final int X86_INS_VPHADDWQ = 1078;
+	public static final int X86_INS_VPHADDW = 1079;
+	public static final int X86_INS_VPHMINPOSUW = 1080;
+	public static final int X86_INS_VPHSUBBW = 1081;
+	public static final int X86_INS_VPHSUBDQ = 1082;
+	public static final int X86_INS_VPHSUBD = 1083;
+	public static final int X86_INS_VPHSUBSW = 1084;
+	public static final int X86_INS_VPHSUBWD = 1085;
+	public static final int X86_INS_VPHSUBW = 1086;
+	public static final int X86_INS_VPINSRB = 1087;
+	public static final int X86_INS_VPINSRD = 1088;
+	public static final int X86_INS_VPINSRQ = 1089;
+	public static final int X86_INS_VPINSRW = 1090;
+	public static final int X86_INS_VPLZCNTD = 1091;
+	public static final int X86_INS_VPLZCNTQ = 1092;
+	public static final int X86_INS_VPMACSDD = 1093;
+	public static final int X86_INS_VPMACSDQH = 1094;
+	public static final int X86_INS_VPMACSDQL = 1095;
+	public static final int X86_INS_VPMACSSDD = 1096;
+	public static final int X86_INS_VPMACSSDQH = 1097;
+	public static final int X86_INS_VPMACSSDQL = 1098;
+	public static final int X86_INS_VPMACSSWD = 1099;
+	public static final int X86_INS_VPMACSSWW = 1100;
+	public static final int X86_INS_VPMACSWD = 1101;
+	public static final int X86_INS_VPMACSWW = 1102;
+	public static final int X86_INS_VPMADCSSWD = 1103;
+	public static final int X86_INS_VPMADCSWD = 1104;
+	public static final int X86_INS_VPMADDUBSW = 1105;
+	public static final int X86_INS_VPMADDWD = 1106;
+	public static final int X86_INS_VPMASKMOVD = 1107;
+	public static final int X86_INS_VPMASKMOVQ = 1108;
+	public static final int X86_INS_VPMAXSB = 1109;
+	public static final int X86_INS_VPMAXSD = 1110;
+	public static final int X86_INS_VPMAXSQ = 1111;
+	public static final int X86_INS_VPMAXSW = 1112;
+	public static final int X86_INS_VPMAXUB = 1113;
+	public static final int X86_INS_VPMAXUD = 1114;
+	public static final int X86_INS_VPMAXUQ = 1115;
+	public static final int X86_INS_VPMAXUW = 1116;
+	public static final int X86_INS_VPMINSB = 1117;
+	public static final int X86_INS_VPMINSD = 1118;
+	public static final int X86_INS_VPMINSQ = 1119;
+	public static final int X86_INS_VPMINSW = 1120;
+	public static final int X86_INS_VPMINUB = 1121;
+	public static final int X86_INS_VPMINUD = 1122;
+	public static final int X86_INS_VPMINUQ = 1123;
+	public static final int X86_INS_VPMINUW = 1124;
+	public static final int X86_INS_VPMOVDB = 1125;
+	public static final int X86_INS_VPMOVDW = 1126;
+	public static final int X86_INS_VPMOVM2B = 1127;
+	public static final int X86_INS_VPMOVM2D = 1128;
+	public static final int X86_INS_VPMOVM2Q = 1129;
+	public static final int X86_INS_VPMOVM2W = 1130;
+	public static final int X86_INS_VPMOVMSKB = 1131;
+	public static final int X86_INS_VPMOVQB = 1132;
+	public static final int X86_INS_VPMOVQD = 1133;
+	public static final int X86_INS_VPMOVQW = 1134;
+	public static final int X86_INS_VPMOVSDB = 1135;
+	public static final int X86_INS_VPMOVSDW = 1136;
+	public static final int X86_INS_VPMOVSQB = 1137;
+	public static final int X86_INS_VPMOVSQD = 1138;
+	public static final int X86_INS_VPMOVSQW = 1139;
+	public static final int X86_INS_VPMOVSXBD = 1140;
+	public static final int X86_INS_VPMOVSXBQ = 1141;
+	public static final int X86_INS_VPMOVSXBW = 1142;
+	public static final int X86_INS_VPMOVSXDQ = 1143;
+	public static final int X86_INS_VPMOVSXWD = 1144;
+	public static final int X86_INS_VPMOVSXWQ = 1145;
+	public static final int X86_INS_VPMOVUSDB = 1146;
+	public static final int X86_INS_VPMOVUSDW = 1147;
+	public static final int X86_INS_VPMOVUSQB = 1148;
+	public static final int X86_INS_VPMOVUSQD = 1149;
+	public static final int X86_INS_VPMOVUSQW = 1150;
+	public static final int X86_INS_VPMOVZXBD = 1151;
+	public static final int X86_INS_VPMOVZXBQ = 1152;
+	public static final int X86_INS_VPMOVZXBW = 1153;
+	public static final int X86_INS_VPMOVZXDQ = 1154;
+	public static final int X86_INS_VPMOVZXWD = 1155;
+	public static final int X86_INS_VPMOVZXWQ = 1156;
+	public static final int X86_INS_VPMULDQ = 1157;
+	public static final int X86_INS_VPMULHRSW = 1158;
+	public static final int X86_INS_VPMULHUW = 1159;
+	public static final int X86_INS_VPMULHW = 1160;
+	public static final int X86_INS_VPMULLD = 1161;
+	public static final int X86_INS_VPMULLQ = 1162;
+	public static final int X86_INS_VPMULLW = 1163;
+	public static final int X86_INS_VPMULUDQ = 1164;
+	public static final int X86_INS_VPORD = 1165;
+	public static final int X86_INS_VPORQ = 1166;
+	public static final int X86_INS_VPOR = 1167;
+	public static final int X86_INS_VPPERM = 1168;
+	public static final int X86_INS_VPROTB = 1169;
+	public static final int X86_INS_VPROTD = 1170;
+	public static final int X86_INS_VPROTQ = 1171;
+	public static final int X86_INS_VPROTW = 1172;
+	public static final int X86_INS_VPSADBW = 1173;
+	public static final int X86_INS_VPSCATTERDD = 1174;
+	public static final int X86_INS_VPSCATTERDQ = 1175;
+	public static final int X86_INS_VPSCATTERQD = 1176;
+	public static final int X86_INS_VPSCATTERQQ = 1177;
+	public static final int X86_INS_VPSHAB = 1178;
+	public static final int X86_INS_VPSHAD = 1179;
+	public static final int X86_INS_VPSHAQ = 1180;
+	public static final int X86_INS_VPSHAW = 1181;
+	public static final int X86_INS_VPSHLB = 1182;
+	public static final int X86_INS_VPSHLD = 1183;
+	public static final int X86_INS_VPSHLQ = 1184;
+	public static final int X86_INS_VPSHLW = 1185;
+	public static final int X86_INS_VPSHUFB = 1186;
+	public static final int X86_INS_VPSHUFD = 1187;
+	public static final int X86_INS_VPSHUFHW = 1188;
+	public static final int X86_INS_VPSHUFLW = 1189;
+	public static final int X86_INS_VPSIGNB = 1190;
+	public static final int X86_INS_VPSIGND = 1191;
+	public static final int X86_INS_VPSIGNW = 1192;
+	public static final int X86_INS_VPSLLDQ = 1193;
+	public static final int X86_INS_VPSLLD = 1194;
+	public static final int X86_INS_VPSLLQ = 1195;
+	public static final int X86_INS_VPSLLVD = 1196;
+	public static final int X86_INS_VPSLLVQ = 1197;
+	public static final int X86_INS_VPSLLW = 1198;
+	public static final int X86_INS_VPSRAD = 1199;
+	public static final int X86_INS_VPSRAQ = 1200;
+	public static final int X86_INS_VPSRAVD = 1201;
+	public static final int X86_INS_VPSRAVQ = 1202;
+	public static final int X86_INS_VPSRAW = 1203;
+	public static final int X86_INS_VPSRLDQ = 1204;
+	public static final int X86_INS_VPSRLD = 1205;
+	public static final int X86_INS_VPSRLQ = 1206;
+	public static final int X86_INS_VPSRLVD = 1207;
+	public static final int X86_INS_VPSRLVQ = 1208;
+	public static final int X86_INS_VPSRLW = 1209;
+	public static final int X86_INS_VPSUBB = 1210;
+	public static final int X86_INS_VPSUBD = 1211;
+	public static final int X86_INS_VPSUBQ = 1212;
+	public static final int X86_INS_VPSUBSB = 1213;
+	public static final int X86_INS_VPSUBSW = 1214;
+	public static final int X86_INS_VPSUBUSB = 1215;
+	public static final int X86_INS_VPSUBUSW = 1216;
+	public static final int X86_INS_VPSUBW = 1217;
+	public static final int X86_INS_VPTESTMD = 1218;
+	public static final int X86_INS_VPTESTMQ = 1219;
+	public static final int X86_INS_VPTESTNMD = 1220;
+	public static final int X86_INS_VPTESTNMQ = 1221;
+	public static final int X86_INS_VPTEST = 1222;
+	public static final int X86_INS_VPUNPCKHBW = 1223;
+	public static final int X86_INS_VPUNPCKHDQ = 1224;
+	public static final int X86_INS_VPUNPCKHQDQ = 1225;
+	public static final int X86_INS_VPUNPCKHWD = 1226;
+	public static final int X86_INS_VPUNPCKLBW = 1227;
+	public static final int X86_INS_VPUNPCKLDQ = 1228;
+	public static final int X86_INS_VPUNPCKLQDQ = 1229;
+	public static final int X86_INS_VPUNPCKLWD = 1230;
+	public static final int X86_INS_VPXORD = 1231;
+	public static final int X86_INS_VPXORQ = 1232;
+	public static final int X86_INS_VPXOR = 1233;
+	public static final int X86_INS_VRCP14PD = 1234;
+	public static final int X86_INS_VRCP14PS = 1235;
+	public static final int X86_INS_VRCP14SD = 1236;
+	public static final int X86_INS_VRCP14SS = 1237;
+	public static final int X86_INS_VRCP28PD = 1238;
+	public static final int X86_INS_VRCP28PS = 1239;
+	public static final int X86_INS_VRCP28SD = 1240;
+	public static final int X86_INS_VRCP28SS = 1241;
+	public static final int X86_INS_VRCPPS = 1242;
+	public static final int X86_INS_VRCPSS = 1243;
+	public static final int X86_INS_VRNDSCALEPD = 1244;
+	public static final int X86_INS_VRNDSCALEPS = 1245;
+	public static final int X86_INS_VRNDSCALESD = 1246;
+	public static final int X86_INS_VRNDSCALESS = 1247;
+	public static final int X86_INS_VROUNDPD = 1248;
+	public static final int X86_INS_VROUNDPS = 1249;
+	public static final int X86_INS_VROUNDSD = 1250;
+	public static final int X86_INS_VROUNDSS = 1251;
+	public static final int X86_INS_VRSQRT14PD = 1252;
+	public static final int X86_INS_VRSQRT14PS = 1253;
+	public static final int X86_INS_VRSQRT14SD = 1254;
+	public static final int X86_INS_VRSQRT14SS = 1255;
+	public static final int X86_INS_VRSQRT28PD = 1256;
+	public static final int X86_INS_VRSQRT28PS = 1257;
+	public static final int X86_INS_VRSQRT28SD = 1258;
+	public static final int X86_INS_VRSQRT28SS = 1259;
+	public static final int X86_INS_VRSQRTPS = 1260;
+	public static final int X86_INS_VRSQRTSS = 1261;
+	public static final int X86_INS_VSCATTERDPD = 1262;
+	public static final int X86_INS_VSCATTERDPS = 1263;
+	public static final int X86_INS_VSCATTERPF0DPD = 1264;
+	public static final int X86_INS_VSCATTERPF0DPS = 1265;
+	public static final int X86_INS_VSCATTERPF0QPD = 1266;
+	public static final int X86_INS_VSCATTERPF0QPS = 1267;
+	public static final int X86_INS_VSCATTERPF1DPD = 1268;
+	public static final int X86_INS_VSCATTERPF1DPS = 1269;
+	public static final int X86_INS_VSCATTERPF1QPD = 1270;
+	public static final int X86_INS_VSCATTERPF1QPS = 1271;
+	public static final int X86_INS_VSCATTERQPD = 1272;
+	public static final int X86_INS_VSCATTERQPS = 1273;
+	public static final int X86_INS_VSHUFPD = 1274;
+	public static final int X86_INS_VSHUFPS = 1275;
+	public static final int X86_INS_VSQRTPD = 1276;
+	public static final int X86_INS_VSQRTPS = 1277;
+	public static final int X86_INS_VSQRTSD = 1278;
+	public static final int X86_INS_VSQRTSS = 1279;
+	public static final int X86_INS_VSTMXCSR = 1280;
+	public static final int X86_INS_VSUBPD = 1281;
+	public static final int X86_INS_VSUBPS = 1282;
+	public static final int X86_INS_VSUBSD = 1283;
+	public static final int X86_INS_VSUBSS = 1284;
+	public static final int X86_INS_VTESTPD = 1285;
+	public static final int X86_INS_VTESTPS = 1286;
+	public static final int X86_INS_VUNPCKHPD = 1287;
+	public static final int X86_INS_VUNPCKHPS = 1288;
+	public static final int X86_INS_VUNPCKLPD = 1289;
+	public static final int X86_INS_VUNPCKLPS = 1290;
+	public static final int X86_INS_VZEROALL = 1291;
+	public static final int X86_INS_VZEROUPPER = 1292;
+	public static final int X86_INS_WAIT = 1293;
+	public static final int X86_INS_WBINVD = 1294;
+	public static final int X86_INS_WRFSBASE = 1295;
+	public static final int X86_INS_WRGSBASE = 1296;
+	public static final int X86_INS_WRMSR = 1297;
+	public static final int X86_INS_XABORT = 1298;
+	public static final int X86_INS_XACQUIRE = 1299;
+	public static final int X86_INS_XBEGIN = 1300;
+	public static final int X86_INS_XCHG = 1301;
+	public static final int X86_INS_XCRYPTCBC = 1302;
+	public static final int X86_INS_XCRYPTCFB = 1303;
+	public static final int X86_INS_XCRYPTCTR = 1304;
+	public static final int X86_INS_XCRYPTECB = 1305;
+	public static final int X86_INS_XCRYPTOFB = 1306;
+	public static final int X86_INS_XEND = 1307;
+	public static final int X86_INS_XGETBV = 1308;
+	public static final int X86_INS_XLATB = 1309;
+	public static final int X86_INS_XRELEASE = 1310;
+	public static final int X86_INS_XRSTOR = 1311;
+	public static final int X86_INS_XRSTOR64 = 1312;
+	public static final int X86_INS_XRSTORS = 1313;
+	public static final int X86_INS_XRSTORS64 = 1314;
+	public static final int X86_INS_XSAVE = 1315;
+	public static final int X86_INS_XSAVE64 = 1316;
+	public static final int X86_INS_XSAVEC = 1317;
+	public static final int X86_INS_XSAVEC64 = 1318;
+	public static final int X86_INS_XSAVEOPT = 1319;
+	public static final int X86_INS_XSAVEOPT64 = 1320;
+	public static final int X86_INS_XSAVES = 1321;
+	public static final int X86_INS_XSAVES64 = 1322;
+	public static final int X86_INS_XSETBV = 1323;
+	public static final int X86_INS_XSHA1 = 1324;
+	public static final int X86_INS_XSHA256 = 1325;
+	public static final int X86_INS_XSTORE = 1326;
+	public static final int X86_INS_XTEST = 1327;
+	public static final int X86_INS_FDISI8087_NOP = 1328;
+	public static final int X86_INS_FENI8087_NOP = 1329;
+	public static final int X86_INS_CMPSS = 1330;
+	public static final int X86_INS_CMPEQSS = 1331;
+	public static final int X86_INS_CMPLTSS = 1332;
+	public static final int X86_INS_CMPLESS = 1333;
+	public static final int X86_INS_CMPUNORDSS = 1334;
+	public static final int X86_INS_CMPNEQSS = 1335;
+	public static final int X86_INS_CMPNLTSS = 1336;
+	public static final int X86_INS_CMPNLESS = 1337;
+	public static final int X86_INS_CMPORDSS = 1338;
+	public static final int X86_INS_CMPSD = 1339;
+	public static final int X86_INS_CMPEQSD = 1340;
+	public static final int X86_INS_CMPLTSD = 1341;
+	public static final int X86_INS_CMPLESD = 1342;
+	public static final int X86_INS_CMPUNORDSD = 1343;
+	public static final int X86_INS_CMPNEQSD = 1344;
+	public static final int X86_INS_CMPNLTSD = 1345;
+	public static final int X86_INS_CMPNLESD = 1346;
+	public static final int X86_INS_CMPORDSD = 1347;
+	public static final int X86_INS_CMPPS = 1348;
+	public static final int X86_INS_CMPEQPS = 1349;
+	public static final int X86_INS_CMPLTPS = 1350;
+	public static final int X86_INS_CMPLEPS = 1351;
+	public static final int X86_INS_CMPUNORDPS = 1352;
+	public static final int X86_INS_CMPNEQPS = 1353;
+	public static final int X86_INS_CMPNLTPS = 1354;
+	public static final int X86_INS_CMPNLEPS = 1355;
+	public static final int X86_INS_CMPORDPS = 1356;
+	public static final int X86_INS_CMPPD = 1357;
+	public static final int X86_INS_CMPEQPD = 1358;
+	public static final int X86_INS_CMPLTPD = 1359;
+	public static final int X86_INS_CMPLEPD = 1360;
+	public static final int X86_INS_CMPUNORDPD = 1361;
+	public static final int X86_INS_CMPNEQPD = 1362;
+	public static final int X86_INS_CMPNLTPD = 1363;
+	public static final int X86_INS_CMPNLEPD = 1364;
+	public static final int X86_INS_CMPORDPD = 1365;
+	public static final int X86_INS_VCMPSS = 1366;
+	public static final int X86_INS_VCMPEQSS = 1367;
+	public static final int X86_INS_VCMPLTSS = 1368;
+	public static final int X86_INS_VCMPLESS = 1369;
+	public static final int X86_INS_VCMPUNORDSS = 1370;
+	public static final int X86_INS_VCMPNEQSS = 1371;
+	public static final int X86_INS_VCMPNLTSS = 1372;
+	public static final int X86_INS_VCMPNLESS = 1373;
+	public static final int X86_INS_VCMPORDSS = 1374;
+	public static final int X86_INS_VCMPEQ_UQSS = 1375;
+	public static final int X86_INS_VCMPNGESS = 1376;
+	public static final int X86_INS_VCMPNGTSS = 1377;
+	public static final int X86_INS_VCMPFALSESS = 1378;
+	public static final int X86_INS_VCMPNEQ_OQSS = 1379;
+	public static final int X86_INS_VCMPGESS = 1380;
+	public static final int X86_INS_VCMPGTSS = 1381;
+	public static final int X86_INS_VCMPTRUESS = 1382;
+	public static final int X86_INS_VCMPEQ_OSSS = 1383;
+	public static final int X86_INS_VCMPLT_OQSS = 1384;
+	public static final int X86_INS_VCMPLE_OQSS = 1385;
+	public static final int X86_INS_VCMPUNORD_SSS = 1386;
+	public static final int X86_INS_VCMPNEQ_USSS = 1387;
+	public static final int X86_INS_VCMPNLT_UQSS = 1388;
+	public static final int X86_INS_VCMPNLE_UQSS = 1389;
+	public static final int X86_INS_VCMPORD_SSS = 1390;
+	public static final int X86_INS_VCMPEQ_USSS = 1391;
+	public static final int X86_INS_VCMPNGE_UQSS = 1392;
+	public static final int X86_INS_VCMPNGT_UQSS = 1393;
+	public static final int X86_INS_VCMPFALSE_OSSS = 1394;
+	public static final int X86_INS_VCMPNEQ_OSSS = 1395;
+	public static final int X86_INS_VCMPGE_OQSS = 1396;
+	public static final int X86_INS_VCMPGT_OQSS = 1397;
+	public static final int X86_INS_VCMPTRUE_USSS = 1398;
+	public static final int X86_INS_VCMPSD = 1399;
+	public static final int X86_INS_VCMPEQSD = 1400;
+	public static final int X86_INS_VCMPLTSD = 1401;
+	public static final int X86_INS_VCMPLESD = 1402;
+	public static final int X86_INS_VCMPUNORDSD = 1403;
+	public static final int X86_INS_VCMPNEQSD = 1404;
+	public static final int X86_INS_VCMPNLTSD = 1405;
+	public static final int X86_INS_VCMPNLESD = 1406;
+	public static final int X86_INS_VCMPORDSD = 1407;
+	public static final int X86_INS_VCMPEQ_UQSD = 1408;
+	public static final int X86_INS_VCMPNGESD = 1409;
+	public static final int X86_INS_VCMPNGTSD = 1410;
+	public static final int X86_INS_VCMPFALSESD = 1411;
+	public static final int X86_INS_VCMPNEQ_OQSD = 1412;
+	public static final int X86_INS_VCMPGESD = 1413;
+	public static final int X86_INS_VCMPGTSD = 1414;
+	public static final int X86_INS_VCMPTRUESD = 1415;
+	public static final int X86_INS_VCMPEQ_OSSD = 1416;
+	public static final int X86_INS_VCMPLT_OQSD = 1417;
+	public static final int X86_INS_VCMPLE_OQSD = 1418;
+	public static final int X86_INS_VCMPUNORD_SSD = 1419;
+	public static final int X86_INS_VCMPNEQ_USSD = 1420;
+	public static final int X86_INS_VCMPNLT_UQSD = 1421;
+	public static final int X86_INS_VCMPNLE_UQSD = 1422;
+	public static final int X86_INS_VCMPORD_SSD = 1423;
+	public static final int X86_INS_VCMPEQ_USSD = 1424;
+	public static final int X86_INS_VCMPNGE_UQSD = 1425;
+	public static final int X86_INS_VCMPNGT_UQSD = 1426;
+	public static final int X86_INS_VCMPFALSE_OSSD = 1427;
+	public static final int X86_INS_VCMPNEQ_OSSD = 1428;
+	public static final int X86_INS_VCMPGE_OQSD = 1429;
+	public static final int X86_INS_VCMPGT_OQSD = 1430;
+	public static final int X86_INS_VCMPTRUE_USSD = 1431;
+	public static final int X86_INS_VCMPPS = 1432;
+	public static final int X86_INS_VCMPEQPS = 1433;
+	public static final int X86_INS_VCMPLTPS = 1434;
+	public static final int X86_INS_VCMPLEPS = 1435;
+	public static final int X86_INS_VCMPUNORDPS = 1436;
+	public static final int X86_INS_VCMPNEQPS = 1437;
+	public static final int X86_INS_VCMPNLTPS = 1438;
+	public static final int X86_INS_VCMPNLEPS = 1439;
+	public static final int X86_INS_VCMPORDPS = 1440;
+	public static final int X86_INS_VCMPEQ_UQPS = 1441;
+	public static final int X86_INS_VCMPNGEPS = 1442;
+	public static final int X86_INS_VCMPNGTPS = 1443;
+	public static final int X86_INS_VCMPFALSEPS = 1444;
+	public static final int X86_INS_VCMPNEQ_OQPS = 1445;
+	public static final int X86_INS_VCMPGEPS = 1446;
+	public static final int X86_INS_VCMPGTPS = 1447;
+	public static final int X86_INS_VCMPTRUEPS = 1448;
+	public static final int X86_INS_VCMPEQ_OSPS = 1449;
+	public static final int X86_INS_VCMPLT_OQPS = 1450;
+	public static final int X86_INS_VCMPLE_OQPS = 1451;
+	public static final int X86_INS_VCMPUNORD_SPS = 1452;
+	public static final int X86_INS_VCMPNEQ_USPS = 1453;
+	public static final int X86_INS_VCMPNLT_UQPS = 1454;
+	public static final int X86_INS_VCMPNLE_UQPS = 1455;
+	public static final int X86_INS_VCMPORD_SPS = 1456;
+	public static final int X86_INS_VCMPEQ_USPS = 1457;
+	public static final int X86_INS_VCMPNGE_UQPS = 1458;
+	public static final int X86_INS_VCMPNGT_UQPS = 1459;
+	public static final int X86_INS_VCMPFALSE_OSPS = 1460;
+	public static final int X86_INS_VCMPNEQ_OSPS = 1461;
+	public static final int X86_INS_VCMPGE_OQPS = 1462;
+	public static final int X86_INS_VCMPGT_OQPS = 1463;
+	public static final int X86_INS_VCMPTRUE_USPS = 1464;
+	public static final int X86_INS_VCMPPD = 1465;
+	public static final int X86_INS_VCMPEQPD = 1466;
+	public static final int X86_INS_VCMPLTPD = 1467;
+	public static final int X86_INS_VCMPLEPD = 1468;
+	public static final int X86_INS_VCMPUNORDPD = 1469;
+	public static final int X86_INS_VCMPNEQPD = 1470;
+	public static final int X86_INS_VCMPNLTPD = 1471;
+	public static final int X86_INS_VCMPNLEPD = 1472;
+	public static final int X86_INS_VCMPORDPD = 1473;
+	public static final int X86_INS_VCMPEQ_UQPD = 1474;
+	public static final int X86_INS_VCMPNGEPD = 1475;
+	public static final int X86_INS_VCMPNGTPD = 1476;
+	public static final int X86_INS_VCMPFALSEPD = 1477;
+	public static final int X86_INS_VCMPNEQ_OQPD = 1478;
+	public static final int X86_INS_VCMPGEPD = 1479;
+	public static final int X86_INS_VCMPGTPD = 1480;
+	public static final int X86_INS_VCMPTRUEPD = 1481;
+	public static final int X86_INS_VCMPEQ_OSPD = 1482;
+	public static final int X86_INS_VCMPLT_OQPD = 1483;
+	public static final int X86_INS_VCMPLE_OQPD = 1484;
+	public static final int X86_INS_VCMPUNORD_SPD = 1485;
+	public static final int X86_INS_VCMPNEQ_USPD = 1486;
+	public static final int X86_INS_VCMPNLT_UQPD = 1487;
+	public static final int X86_INS_VCMPNLE_UQPD = 1488;
+	public static final int X86_INS_VCMPORD_SPD = 1489;
+	public static final int X86_INS_VCMPEQ_USPD = 1490;
+	public static final int X86_INS_VCMPNGE_UQPD = 1491;
+	public static final int X86_INS_VCMPNGT_UQPD = 1492;
+	public static final int X86_INS_VCMPFALSE_OSPD = 1493;
+	public static final int X86_INS_VCMPNEQ_OSPD = 1494;
+	public static final int X86_INS_VCMPGE_OQPD = 1495;
+	public static final int X86_INS_VCMPGT_OQPD = 1496;
+	public static final int X86_INS_VCMPTRUE_USPD = 1497;
+	public static final int X86_INS_UD0 = 1498;
+	public static final int X86_INS_ENDBR32 = 1499;
+	public static final int X86_INS_ENDBR64 = 1500;
+	public static final int X86_INS_ENDING = 1501;
 
 	public static final int X86_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int X86_GRP_JUMP = 1;
 	public static final int X86_GRP_CALL = 2;
 	public static final int X86_GRP_RET = 3;
 	public static final int X86_GRP_INT = 4;
 	public static final int X86_GRP_IRET = 5;
-
-	// Architecture-specific groups
+	public static final int X86_GRP_PRIVILEGE = 6;
+	public static final int X86_GRP_BRANCH_RELATIVE = 7;
 	public static final int X86_GRP_VM = 128;
 	public static final int X86_GRP_3DNOW = 129;
 	public static final int X86_GRP_AES = 130;
@@ -1686,5 +1961,6 @@ public class X86_const {
 	public static final int X86_GRP_VLX = 166;
 	public static final int X86_GRP_SMAP = 167;
 	public static final int X86_GRP_NOVLX = 168;
-	public static final int X86_GRP_ENDING = 169;
+	public static final int X86_GRP_FPU = 169;
+	public static final int X86_GRP_ENDING = 170;
 }
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/X86.java 4.0.2-3/bindings/java/capstone/X86.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/X86.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/X86.java	2020-05-08 10:03:30.000000000 +0000
@@ -25,16 +25,28 @@ public class X86 {
       return Arrays.asList("segment", "base", "index", "scale", "disp");
     }
   }
+  
+  public static class Encoding extends Structure {
+    public byte modrmOffset;
+    public byte dispOffset;
+    public byte dispSize;
+    public byte immOffset;
+    public byte immSize;
+
+    @Override
+    public List getFieldOrder() {
+      return Arrays.asList("modrmOffset", "dispOffset", "dispSize", "immOffset", "immSize");
+    }
+  }
 
   public static class OpValue extends Union {
     public int reg;
     public long imm;
-    public double fp;
     public MemType mem;
 
     @Override
     public List getFieldOrder() {
-      return Arrays.asList("reg", "imm", "fp", "mem");
+      return Arrays.asList("reg", "imm", "mem");
     }
   }
 
@@ -42,6 +54,7 @@ public class X86 {
     public int type;
     public OpValue value;
     public byte size;
+    public byte access;
     public int avx_bcast;
     public boolean avx_zero_opmask;
 
@@ -49,8 +62,6 @@ public class X86 {
       super.read();
       if (type == X86_OP_MEM)
         value.setType(MemType.class);
-      if (type == X86_OP_FP)
-        value.setType(Double.TYPE);
       if (type == X86_OP_IMM)
         value.setType(Long.TYPE);
       if (type == X86_OP_REG)
@@ -62,7 +73,7 @@ public class X86 {
 
     @Override
     public List getFieldOrder() {
-      return Arrays.asList("type", "value", "size", "avx_bcast", "avx_zero_opmask");
+      return Arrays.asList("type", "value", "size", "access", "avx_bcast", "avx_zero_opmask");
     }
   }
 
@@ -73,18 +84,22 @@ public class X86 {
     public byte addr_size;
     public byte modrm;
     public byte sib;
-    public int disp;
+    public long disp;
     public int sib_index;
     public byte sib_scale;
     public int sib_base;
+    public int xop_cc;
     public int sse_cc;
     public int avx_cc;
     public byte avx_sae;
     public int avx_rm;
+    public long eflags;
 
     public byte op_count;
 
     public Operand [] op;
+    
+    public Encoding encoding;
 
     public UnionOpInfo() {
       op = new Operand[8];
@@ -95,7 +110,7 @@ public class X86 {
     @Override
     public List getFieldOrder() {
       return Arrays.asList("prefix", "opcode", "rex", "addr_size",
-          "modrm", "sib", "disp", "sib_index", "sib_scale", "sib_base", "sse_cc", "avx_cc", "avx_sae", "avx_rm", "op_count", "op");
+          "modrm", "sib", "disp", "sib_index", "sib_scale", "sib_base", "xop_cc", "sse_cc", "avx_cc", "avx_sae", "avx_rm", "eflags", "op_count", "op", "encoding");
     }
   }
 
@@ -109,16 +124,20 @@ public class X86 {
     public byte immSize;
     public byte modrm;
     public byte sib;
-    public int disp;
+    public long disp;
     public int sibIndex;
     public byte sibScale;
     public int sibBase;
+    public int xopCC;
     public int sseCC;
     public int avxCC;
     public boolean avxSae;
     public int avxRm;
+    public long eflags;
 
     public Operand[] op;
+    
+    public Encoding encoding;
 
     public OpInfo(UnionOpInfo e) {
       prefix = e.prefix;
@@ -131,13 +150,16 @@ public class X86 {
       sibIndex = e.sib_index;
       sibScale = e.sib_scale;
       sibBase = e.sib_base;
+      xopCC = e.xop_cc;
       sseCC = e.sse_cc;
       avxCC = e.avx_cc;
       avxSae = e.avx_sae > 0;
       avxRm = e.avx_rm;
+      eflags = e.eflags;
       op = new Operand[e.op_count];
       for (int i=0; i<e.op_count; i++)
         op[i] = e.op[i];
+      encoding = e.encoding;
     }
   }
 }
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/capstone/Xcore_const.java 4.0.2-3/bindings/java/capstone/Xcore_const.java
--- 4.0.1+really+3.0.5-2/bindings/java/capstone/Xcore_const.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/capstone/Xcore_const.java	2020-05-08 10:03:30.000000000 +0000
@@ -3,15 +3,11 @@ package capstone;
 
 public class Xcore_const {
 
-	// Operand type for instruction's operands
-
 	public static final int XCORE_OP_INVALID = 0;
 	public static final int XCORE_OP_REG = 1;
 	public static final int XCORE_OP_IMM = 2;
 	public static final int XCORE_OP_MEM = 3;
 
-	// XCore registers
-
 	public static final int XCORE_REG_INVALID = 0;
 	public static final int XCORE_REG_CP = 1;
 	public static final int XCORE_REG_DP = 2;
@@ -29,8 +25,6 @@ public class Xcore_const {
 	public static final int XCORE_REG_R9 = 14;
 	public static final int XCORE_REG_R10 = 15;
 	public static final int XCORE_REG_R11 = 16;
-
-	// pseudo registers
 	public static final int XCORE_REG_PC = 17;
 	public static final int XCORE_REG_SCP = 18;
 	public static final int XCORE_REG_SSR = 19;
@@ -42,8 +36,6 @@ public class Xcore_const {
 	public static final int XCORE_REG_ID = 25;
 	public static final int XCORE_REG_ENDING = 26;
 
-	// XCore instruction
-
 	public static final int XCORE_INS_INVALID = 0;
 	public static final int XCORE_INS_ADD = 1;
 	public static final int XCORE_INS_ANDNOT = 2;
@@ -167,11 +159,7 @@ public class Xcore_const {
 	public static final int XCORE_INS_ZEXT = 120;
 	public static final int XCORE_INS_ENDING = 121;
 
-	// Group of XCore instructions
-
 	public static final int XCORE_GRP_INVALID = 0;
-
-	// Generic groups
 	public static final int XCORE_GRP_JUMP = 1;
 	public static final int XCORE_GRP_ENDING = 2;
 }
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/Makefile 4.0.2-3/bindings/java/Makefile
--- 4.0.1+really+3.0.5-2/bindings/java/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -20,11 +20,13 @@ else
   endif
 endif
 
+PYTHON2 = python
+
 CAPSTONE_JAVA = Capstone.java Arm_const.java Arm64_const.java Mips_const.java \
 				X86_const.java Xcore_const.java Ppc_const.java Sparc_const.java\
-				Sysz_const.java \
+				Sysz_const.java M680x_const.java \
 				Arm.java Arm64.java Mips.java X86.java Xcore.java Ppc.java\
-				Sparc.java Systemz.java
+				Sparc.java Systemz.java M680x.java
 
 all: gen_const capstone tests
 
@@ -42,12 +44,12 @@ endif
 
 tests: capstone_class jna
 	@mkdir -p $(OBJDIR)
-	javac -d $(OBJDIR) -classpath "$(JNA):$(BLDIR)/capstone.jar" Test.java\
+	javac -d $(OBJDIR) -classpath "$(JNA):$(BLDIR)/capstone.jar" TestBasic.java\
 		TestArm.java TestArm64.java TestMips.java TestX86.java TestXcore.java\
-		TestPpc.java TestSparc.java TestSystemz.java
+		TestPpc.java TestSparc.java TestSystemz.java TestM680x.java
 
 gen_const:
-	cd ../ && python const_generator.py java
+	cd ../ && $(PYTHON2) const_generator.py java
 
 jna:
 	@if [ ! $(JNA) ]; then echo "*** Unable to find JNA ***"; exit 1; fi
@@ -60,7 +62,7 @@ ifdef BUILDDIR
 	rm -rf $(OBJDIR)
 endif
 
-TESTS = test arm arm64 mips ppc sparc systemz x86 xcore
+TESTS = testbasic arm arm64 m680x mips ppc sparc systemz x86 xcore
 check:
 	@for t in $(TESTS); do \
 		echo Check $$t ... ; \
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/README 4.0.2-3/bindings/java/README
--- 4.0.1+really+3.0.5-2/bindings/java/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/README	2020-05-08 10:03:30.000000000 +0000
@@ -18,11 +18,11 @@ Arch Linux-3.11, 64-bit.
 
 This directory contains some test code to show how to use Capstone API.
 
-- Test.java
+- TestBasic.java
   This code shows the most simple form of API where we only want to get basic
   information out of disassembled instruction, such as address, mnemonic and
   operand string.
 
-- Test_<arch>.java
+- Test<arch>.java
   These code show how to retrieve architecture-specific information for each
   architecture.
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/run.sh 4.0.2-3/bindings/java/run.sh
--- 4.0.1+really+3.0.5-2/bindings/java/run.sh	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/run.sh	2020-05-08 10:03:30.000000000 +0000
@@ -11,8 +11,8 @@ if [ ! -f ${JNA} ]; then
 fi
 
 case "$1" in
-  "") java -classpath ${JNA}:. Test ;;
-  "test") java -classpath ${JNA}:. Test ;;
+  "") java -classpath ${JNA}:. TestBasic ;;
+  "testbasic") java -classpath ${JNA}:. TestBasic ;;
   "arm") java -classpath ${JNA}:. TestArm ;;
   "arm64") java -classpath ${JNA}:. TestArm64 ;;
   "mips") java -classpath ${JNA}:. TestMips ;;
@@ -21,5 +21,6 @@ case "$1" in
   "ppc") java -classpath ${JNA}:. TestPpc ;;
   "sparc") java -classpath ${JNA}:. TestSparc ;;
   "systemz") java -classpath ${JNA}:. TestSystemz ;;
-  * ) echo "Usage: ./run.sh [arm|arm64|mips|ppc|sparc|systemz|x86]"; exit 1;;
+  "m680x") java -classpath ${JNA}:. TestM680x ;;
+  * ) echo "Usage: ./run.sh [arm|arm64|m680x|mips|ppc|sparc|systemz|x86]"; exit 1;;
 esac
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestArm64.java 4.0.2-3/bindings/java/TestArm64.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestArm64.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestArm64.java	2020-05-08 10:03:30.000000000 +0000
@@ -96,15 +96,15 @@ public class TestArm64 {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_ARM64, Capstone.CS_MODE_ARM, hexString2Byte(ARM64_CODE), "ARM-64"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_ARM64, Capstone.CS_MODE_ARM, hexString2Byte(ARM64_CODE), "ARM-64"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestArm.java 4.0.2-3/bindings/java/TestArm.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestArm.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestArm.java	2020-05-08 10:03:30.000000000 +0000
@@ -70,6 +70,8 @@ public class TestArm {
             System.out.printf("\t\t\toperands[%d].mem.scale: %d\n", c, (i.value.mem.scale));
           if (i.value.mem.disp != 0)
             System.out.printf("\t\t\toperands[%d].mem.disp: 0x%x\n", c, (i.value.mem.disp));
+          if (i.value.mem.lshift != 0)
+            System.out.printf("\t\t\toperands[%d].mem.lshift: 0x%x\n", c, (i.value.mem.lshift));
         }
         if (i.vector_index > 0)
           System.out.printf("\t\t\toperands[%d].vector_index = %d\n", c, (i.vector_index));
@@ -106,18 +108,18 @@ public class TestArm {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_ARM, hexString2Byte(ARM_CODE), "ARM"),
-      new Test.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, hexString2Byte(THUMB_CODE), "Thumb"),
-      new Test.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, hexString2Byte(ARM_CODE2), "Thumb-mixed"),
-      new Test.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, Capstone.CS_OPT_SYNTAX_NOREGNAME, hexString2Byte(THUMB_CODE2), "Thumb-2 & register named with numbers"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_ARM, hexString2Byte(ARM_CODE), "ARM"),
+      new TestBasic.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, hexString2Byte(THUMB_CODE), "Thumb"),
+      new TestBasic.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, hexString2Byte(ARM_CODE2), "Thumb-mixed"),
+      new TestBasic.platform(Capstone.CS_ARCH_ARM, Capstone.CS_MODE_THUMB, Capstone.CS_OPT_SYNTAX_NOREGNAME, hexString2Byte(THUMB_CODE2), "Thumb-2 & register named with numbers"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestBasic.java 4.0.2-3/bindings/java/TestBasic.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestBasic.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/TestBasic.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,178 @@
+/* Capstone Disassembler Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+
+import capstone.Capstone;
+
+public class TestBasic {
+  public static class platform {
+    public int arch;
+    public int mode;
+    public int syntax;
+    public byte[] code;
+    public String comment;
+
+    public platform(int a, int m, int syt, byte[] c, String s) {
+      arch = a;
+      mode = m;
+      code = c;
+      comment = s;
+      syntax = syt;
+    }
+
+    public platform(int a, int m, byte[] c, String s) {
+      arch = a;
+      mode = m;
+      code = c;
+      comment = s;
+    }
+  };
+
+  static public String stringToHex(byte[] code) {
+    StringBuilder buf = new StringBuilder(200);
+    for (byte ch: code) {
+      if (buf.length() > 0)
+        buf.append(' ');
+      buf.append(String.format("0x%02x", ch));
+    }
+    return buf.toString();
+  }
+
+  public static final byte[] PPC_CODE = new byte[] {(byte)0x80, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x43, (byte)0x23, (byte)0x0e, (byte)0xd0, (byte)0x44, (byte)0x00, (byte)0x80, (byte)0x4c, (byte)0x43, (byte)0x22, (byte)0x02, (byte)0x2d, (byte)0x03, (byte)0x00, (byte)0x80, (byte)0x7c, (byte)0x43, (byte)0x20, (byte)0x14, (byte)0x7c, (byte)0x43, (byte)0x20, (byte)0x93, (byte)0x4f, (byte)0x20, (byte)0x00, (byte)0x21, (byte)0x4c, (byte)0xc8, (byte)0x00, (byte)0x21 };
+  public static final byte[] X86_CODE = new byte[] { (byte)0x8d, (byte)0x4c, (byte)0x32, (byte)0x08, (byte)0x01, (byte)0xd8, (byte)0x81, (byte)0xc6, (byte)0x34, (byte)0x12, (byte)0x00, (byte)0x00 };
+  public static final byte[] SPARC_CODE = new byte[] { (byte)0x80, (byte)0xa0, (byte)0x40, (byte)0x02, (byte)0x85, (byte)0xc2, (byte)0x60, (byte)0x08, (byte)0x85, (byte)0xe8, (byte)0x20, (byte)0x01, (byte)0x81, (byte)0xe8, (byte)0x00, (byte)0x00, (byte)0x90, (byte)0x10, (byte)0x20, (byte)0x01, (byte)0xd5, (byte)0xf6, (byte)0x10, (byte)0x16, (byte)0x21, (byte)0x00, (byte)0x00, (byte)0x0a, (byte)0x86, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x12, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0x10, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0xa0, (byte)0x02, (byte)0x00, (byte)0x09, (byte)0x0d, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0xd4, (byte)0x20, (byte)0x60, (byte)0x00, (byte)0xd4, (byte)0x4e, (byte)0x00, (byte)0x16, (byte)0x2a, (byte)0xc2, (byte)0x80, (byte)0x03 };
+  public static final byte[] SYSZ_CODE = new byte[] { (byte)0xed, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x1a, (byte)0x5a, (byte)0x0f, (byte)0x1f, (byte)0xff, (byte)0xc2, (byte)0x09, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0xf7, (byte)0xeb, (byte)0x2a, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x57, (byte)0xe3, (byte)0x01, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x57, (byte)0xeb, (byte)0x00, (byte)0xf0, (byte)0x00, (byte)0x00, (byte)0x24, (byte)0xb2, (byte)0x4f, (byte)0x00, (byte)0x78 };
+  public static final byte[] SPARCV9_CODE = new byte[] { (byte)0x81, (byte)0xa8, (byte)0x0a, (byte)0x24, (byte)0x89, (byte)0xa0, (byte)0x10, (byte)0x20, (byte)0x89, (byte)0xa0, (byte)0x1a, (byte)0x60, (byte)0x89, (byte)0xa0, (byte)0x00, (byte)0xe0 };
+  public static final byte[] XCORE_CODE = new byte[] { (byte)0xfe, (byte)0x0f, (byte)0xfe, (byte)0x17, (byte)0x13, (byte)0x17, (byte)0xc6, (byte)0xfe, (byte)0xec, (byte)0x17, (byte)0x97, (byte)0xf8, (byte)0xec, (byte)0x4f, (byte)0x1f, (byte)0xfd, (byte)0xec, (byte)0x37, (byte)0x07, (byte)0xf2, (byte)0x45, (byte)0x5b, (byte)0xf9, (byte)0xfa, (byte)0x02, (byte)0x06, (byte)0x1b, (byte)0x10 };
+
+  static public void main(String argv[]) {
+    platform[] platforms = {
+      new platform(
+          Capstone.CS_ARCH_X86,
+          Capstone.CS_MODE_16,
+          Capstone.CS_OPT_SYNTAX_INTEL,
+          new byte[] { (byte)0x8d, (byte)0x4c, (byte)0x32, (byte)0x08, (byte)0x01, (byte)0xd8, (byte)0x81, (byte)0xc6, (byte)0x34, (byte)0x12, (byte)0x00, (byte)0x00 },
+          "X86 16bit (Intel syntax)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_X86,
+          Capstone.CS_MODE_32,
+          Capstone.CS_OPT_SYNTAX_ATT,
+          X86_CODE,
+          "X86 32bit (ATT syntax)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_X86,
+          Capstone.CS_MODE_32,
+          X86_CODE,
+          "X86 32 (Intel syntax)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_X86,
+          Capstone.CS_MODE_64,
+          new byte[] {(byte)0x55, (byte)0x48, (byte)0x8b, (byte)0x05, (byte)0xb8, (byte)0x13, (byte)0x00, (byte)0x00 },
+          "X86 64 (Intel syntax)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_ARM,
+          Capstone.CS_MODE_ARM,
+          new byte[] { (byte)0xED, (byte)0xFF, (byte)0xFF, (byte)0xEB, (byte)0x04, (byte)0xe0, (byte)0x2d, (byte)0xe5, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x83, (byte)0x22, (byte)0xe5, (byte)0xf1, (byte)0x02, (byte)0x03, (byte)0x0e, (byte)0x00, (byte)0x00, (byte)0xa0, (byte)0xe3, (byte)0x02, (byte)0x30, (byte)0xc1, (byte)0xe7, (byte)0x00, (byte)0x00, (byte)0x53, (byte)0xe3 },
+          "ARM"
+          ),
+      new platform(
+          Capstone.CS_ARCH_ARM,
+          Capstone.CS_MODE_THUMB,
+          new byte[] {(byte)0x4f, (byte)0xf0, (byte)0x00, (byte)0x01, (byte)0xbd, (byte)0xe8, (byte)0x00, (byte)0x88, (byte)0xd1, (byte)0xe8, (byte)0x00, (byte)0xf0 },
+          "THUMB-2"
+          ),
+      new platform(
+          Capstone.CS_ARCH_ARM,
+          Capstone.CS_MODE_ARM,
+          new byte[] {(byte)0x10, (byte)0xf1, (byte)0x10, (byte)0xe7, (byte)0x11, (byte)0xf2, (byte)0x31, (byte)0xe7, (byte)0xdc, (byte)0xa1, (byte)0x2e, (byte)0xf3, (byte)0xe8, (byte)0x4e, (byte)0x62, (byte)0xf3 },
+          "ARM: Cortex-A15 + NEON"
+          ),
+      new platform(
+          Capstone.CS_ARCH_ARM,
+          Capstone.CS_MODE_THUMB,
+          new byte[] {(byte)0x70, (byte)0x47, (byte)0xeb, (byte)0x46, (byte)0x83, (byte)0xb0, (byte)0xc9, (byte)0x68 },
+          "THUMB"
+          ),
+      new platform(
+          Capstone.CS_ARCH_MIPS,
+          Capstone.CS_MODE_MIPS32 + Capstone.CS_MODE_BIG_ENDIAN,
+          new byte[] {(byte)0x0C, (byte)0x10, (byte)0x00, (byte)0x97, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x24, (byte)0x02, (byte)0x00, (byte)0x0c, (byte)0x8f, (byte)0xa2, (byte)0x00, (byte)0x00, (byte)0x34, (byte)0x21, (byte)0x34, (byte)0x56 },
+          "MIPS-32 (Big-endian)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_MIPS,
+          Capstone.CS_MODE_MIPS64+ Capstone.CS_MODE_LITTLE_ENDIAN,
+          new byte[] {(byte)0x56, (byte)0x34, (byte)0x21, (byte)0x34, (byte)0xc2, (byte)0x17, (byte)0x01, (byte)0x00 },
+          "MIPS-64-EL (Little-endian)"
+          ),
+      new platform(
+          Capstone.CS_ARCH_ARM64,
+          Capstone.CS_MODE_ARM,
+          new byte [] { 0x21, 0x7c, 0x02, (byte)0x9b, 0x21, 0x7c, 0x00, 0x53, 0x00, 0x40, 0x21, 0x4b, (byte)0xe1, 0x0b, 0x40, (byte)0xb9 },
+          "ARM-64"
+          ),
+      new platform (
+          Capstone.CS_ARCH_PPC,
+          Capstone.CS_MODE_BIG_ENDIAN,
+          PPC_CODE,
+          "PPC-64"
+          ),
+      new platform (
+          Capstone.CS_ARCH_PPC,
+          Capstone.CS_MODE_BIG_ENDIAN,
+          Capstone.CS_OPT_SYNTAX_NOREGNAME,
+          PPC_CODE,
+          "PPC-64, print register with number only"
+          ),
+      new platform (
+          Capstone.CS_ARCH_SPARC,
+          Capstone.CS_MODE_BIG_ENDIAN,
+          SPARC_CODE,
+          "Sparc"
+          ),
+      new platform (
+          Capstone.CS_ARCH_SPARC,
+          Capstone.CS_MODE_BIG_ENDIAN + Capstone.CS_MODE_V9,
+          SPARCV9_CODE,
+          "SparcV9"
+          ),
+      new platform (
+          Capstone.CS_ARCH_SYSZ,
+          0,
+          SYSZ_CODE,
+          "SystemZ"
+          ),
+      new platform (
+          Capstone.CS_ARCH_XCORE,
+          0,
+          XCORE_CODE,
+          "XCore"
+          ),
+    };
+
+    for (int j = 0; j < platforms.length; j++) {
+      System.out.println("****************");
+      System.out.println(String.format("Platform: %s", platforms[j].comment));
+      System.out.println(String.format("Code: %s", stringToHex(platforms[j].code)));
+      System.out.println("Disasm:");
+
+      Capstone cs = new Capstone(platforms[j].arch, platforms[j].mode);
+      if (platforms[j].syntax != 0)
+        cs.setSyntax(platforms[j].syntax);
+
+      Capstone.CsInsn[] all_insn = cs.disasm(platforms[j].code, 0x1000);
+
+      for (int i = 0; i < all_insn.length; i++) {
+        System.out.println(String.format("0x%x: \t%s\t%s", all_insn[i].address,
+              all_insn[i].mnemonic, all_insn[i].opStr));
+      }
+      System.out.printf("0x%x:\n\n", all_insn[all_insn.length-1].address + all_insn[all_insn.length-1].size);
+
+      // Close when done
+      cs.close();
+    }
+  }
+}
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/Test.java 4.0.2-3/bindings/java/Test.java
--- 4.0.1+really+3.0.5-2/bindings/java/Test.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/Test.java	1970-01-01 00:00:00.000000000 +0000
@@ -1,178 +0,0 @@
-/* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
-
-import capstone.Capstone;
-
-public class Test {
-  public static class platform {
-    public int arch;
-    public int mode;
-    public int syntax;
-    public byte[] code;
-    public String comment;
-
-    public platform(int a, int m, int syt, byte[] c, String s) {
-      arch = a;
-      mode = m;
-      code = c;
-      comment = s;
-      syntax = syt;
-    }
-
-    public platform(int a, int m, byte[] c, String s) {
-      arch = a;
-      mode = m;
-      code = c;
-      comment = s;
-    }
-  };
-
-  static public String stringToHex(byte[] code) {
-    StringBuilder buf = new StringBuilder(200);
-    for (byte ch: code) {
-      if (buf.length() > 0)
-        buf.append(' ');
-      buf.append(String.format("0x%02x", ch));
-    }
-    return buf.toString();
-  }
-
-  public static final byte[] PPC_CODE = new byte[] {(byte)0x80, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x43, (byte)0x23, (byte)0x0e, (byte)0xd0, (byte)0x44, (byte)0x00, (byte)0x80, (byte)0x4c, (byte)0x43, (byte)0x22, (byte)0x02, (byte)0x2d, (byte)0x03, (byte)0x00, (byte)0x80, (byte)0x7c, (byte)0x43, (byte)0x20, (byte)0x14, (byte)0x7c, (byte)0x43, (byte)0x20, (byte)0x93, (byte)0x4f, (byte)0x20, (byte)0x00, (byte)0x21, (byte)0x4c, (byte)0xc8, (byte)0x00, (byte)0x21 };
-  public static final byte[] X86_CODE = new byte[] { (byte)0x8d, (byte)0x4c, (byte)0x32, (byte)0x08, (byte)0x01, (byte)0xd8, (byte)0x81, (byte)0xc6, (byte)0x34, (byte)0x12, (byte)0x00, (byte)0x00 };
-  public static final byte[] SPARC_CODE = new byte[] { (byte)0x80, (byte)0xa0, (byte)0x40, (byte)0x02, (byte)0x85, (byte)0xc2, (byte)0x60, (byte)0x08, (byte)0x85, (byte)0xe8, (byte)0x20, (byte)0x01, (byte)0x81, (byte)0xe8, (byte)0x00, (byte)0x00, (byte)0x90, (byte)0x10, (byte)0x20, (byte)0x01, (byte)0xd5, (byte)0xf6, (byte)0x10, (byte)0x16, (byte)0x21, (byte)0x00, (byte)0x00, (byte)0x0a, (byte)0x86, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x12, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0x10, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0xa0, (byte)0x02, (byte)0x00, (byte)0x09, (byte)0x0d, (byte)0xbf, (byte)0xff, (byte)0xff, (byte)0xd4, (byte)0x20, (byte)0x60, (byte)0x00, (byte)0xd4, (byte)0x4e, (byte)0x00, (byte)0x16, (byte)0x2a, (byte)0xc2, (byte)0x80, (byte)0x03 };
-  public static final byte[] SYSZ_CODE = new byte[] { (byte)0xed, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x1a, (byte)0x5a, (byte)0x0f, (byte)0x1f, (byte)0xff, (byte)0xc2, (byte)0x09, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0xf7, (byte)0xeb, (byte)0x2a, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x57, (byte)0xe3, (byte)0x01, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x57, (byte)0xeb, (byte)0x00, (byte)0xf0, (byte)0x00, (byte)0x00, (byte)0x24, (byte)0xb2, (byte)0x4f, (byte)0x00, (byte)0x78 };
-  public static final byte[] SPARCV9_CODE = new byte[] { (byte)0x81, (byte)0xa8, (byte)0x0a, (byte)0x24, (byte)0x89, (byte)0xa0, (byte)0x10, (byte)0x20, (byte)0x89, (byte)0xa0, (byte)0x1a, (byte)0x60, (byte)0x89, (byte)0xa0, (byte)0x00, (byte)0xe0 };
-  public static final byte[] XCORE_CODE = new byte[] { (byte)0xfe, (byte)0x0f, (byte)0xfe, (byte)0x17, (byte)0x13, (byte)0x17, (byte)0xc6, (byte)0xfe, (byte)0xec, (byte)0x17, (byte)0x97, (byte)0xf8, (byte)0xec, (byte)0x4f, (byte)0x1f, (byte)0xfd, (byte)0xec, (byte)0x37, (byte)0x07, (byte)0xf2, (byte)0x45, (byte)0x5b, (byte)0xf9, (byte)0xfa, (byte)0x02, (byte)0x06, (byte)0x1b, (byte)0x10 };
-
-  static public void main(String argv[]) {
-    platform[] platforms = {
-      new platform(
-          Capstone.CS_ARCH_X86,
-          Capstone.CS_MODE_16,
-          Capstone.CS_OPT_SYNTAX_INTEL,
-          new byte[] { (byte)0x8d, (byte)0x4c, (byte)0x32, (byte)0x08, (byte)0x01, (byte)0xd8, (byte)0x81, (byte)0xc6, (byte)0x34, (byte)0x12, (byte)0x00, (byte)0x00 },
-          "X86 16bit (Intel syntax)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_X86,
-          Capstone.CS_MODE_32,
-          Capstone.CS_OPT_SYNTAX_ATT,
-          X86_CODE,
-          "X86 32bit (ATT syntax)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_X86,
-          Capstone.CS_MODE_32,
-          X86_CODE,
-          "X86 32 (Intel syntax)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_X86,
-          Capstone.CS_MODE_64,
-          new byte[] {(byte)0x55, (byte)0x48, (byte)0x8b, (byte)0x05, (byte)0xb8, (byte)0x13, (byte)0x00, (byte)0x00 },
-          "X86 64 (Intel syntax)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_ARM,
-          Capstone.CS_MODE_ARM,
-          new byte[] { (byte)0xED, (byte)0xFF, (byte)0xFF, (byte)0xEB, (byte)0x04, (byte)0xe0, (byte)0x2d, (byte)0xe5, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x83, (byte)0x22, (byte)0xe5, (byte)0xf1, (byte)0x02, (byte)0x03, (byte)0x0e, (byte)0x00, (byte)0x00, (byte)0xa0, (byte)0xe3, (byte)0x02, (byte)0x30, (byte)0xc1, (byte)0xe7, (byte)0x00, (byte)0x00, (byte)0x53, (byte)0xe3 },
-          "ARM"
-          ),
-      new platform(
-          Capstone.CS_ARCH_ARM,
-          Capstone.CS_MODE_THUMB,
-          new byte[] {(byte)0x4f, (byte)0xf0, (byte)0x00, (byte)0x01, (byte)0xbd, (byte)0xe8, (byte)0x00, (byte)0x88, (byte)0xd1, (byte)0xe8, (byte)0x00, (byte)0xf0 },
-          "THUMB-2"
-          ),
-      new platform(
-          Capstone.CS_ARCH_ARM,
-          Capstone.CS_MODE_ARM,
-          new byte[] {(byte)0x10, (byte)0xf1, (byte)0x10, (byte)0xe7, (byte)0x11, (byte)0xf2, (byte)0x31, (byte)0xe7, (byte)0xdc, (byte)0xa1, (byte)0x2e, (byte)0xf3, (byte)0xe8, (byte)0x4e, (byte)0x62, (byte)0xf3 },
-          "ARM: Cortex-A15 + NEON"
-          ),
-      new platform(
-          Capstone.CS_ARCH_ARM,
-          Capstone.CS_MODE_THUMB,
-          new byte[] {(byte)0x70, (byte)0x47, (byte)0xeb, (byte)0x46, (byte)0x83, (byte)0xb0, (byte)0xc9, (byte)0x68 },
-          "THUMB"
-          ),
-      new platform(
-          Capstone.CS_ARCH_MIPS,
-          Capstone.CS_MODE_MIPS32 + Capstone.CS_MODE_BIG_ENDIAN,
-          new byte[] {(byte)0x0C, (byte)0x10, (byte)0x00, (byte)0x97, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x24, (byte)0x02, (byte)0x00, (byte)0x0c, (byte)0x8f, (byte)0xa2, (byte)0x00, (byte)0x00, (byte)0x34, (byte)0x21, (byte)0x34, (byte)0x56 },
-          "MIPS-32 (Big-endian)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_MIPS,
-          Capstone.CS_MODE_MIPS64+ Capstone.CS_MODE_LITTLE_ENDIAN,
-          new byte[] {(byte)0x56, (byte)0x34, (byte)0x21, (byte)0x34, (byte)0xc2, (byte)0x17, (byte)0x01, (byte)0x00 },
-          "MIPS-64-EL (Little-endian)"
-          ),
-      new platform(
-          Capstone.CS_ARCH_ARM64,
-          Capstone.CS_MODE_ARM,
-          new byte [] { 0x21, 0x7c, 0x02, (byte)0x9b, 0x21, 0x7c, 0x00, 0x53, 0x00, 0x40, 0x21, 0x4b, (byte)0xe1, 0x0b, 0x40, (byte)0xb9 },
-          "ARM-64"
-          ),
-      new platform (
-          Capstone.CS_ARCH_PPC,
-          Capstone.CS_MODE_BIG_ENDIAN,
-          PPC_CODE,
-          "PPC-64"
-          ),
-      new platform (
-          Capstone.CS_ARCH_PPC,
-          Capstone.CS_MODE_BIG_ENDIAN,
-          Capstone.CS_OPT_SYNTAX_NOREGNAME,
-          PPC_CODE,
-          "PPC-64, print register with number only"
-          ),
-      new platform (
-          Capstone.CS_ARCH_SPARC,
-          Capstone.CS_MODE_BIG_ENDIAN,
-          SPARC_CODE,
-          "Sparc"
-          ),
-      new platform (
-          Capstone.CS_ARCH_SPARC,
-          Capstone.CS_MODE_BIG_ENDIAN + Capstone.CS_MODE_V9,
-          SPARCV9_CODE,
-          "SparcV9"
-          ),
-      new platform (
-          Capstone.CS_ARCH_SYSZ,
-          0,
-          SYSZ_CODE,
-          "SystemZ"
-          ),
-      new platform (
-          Capstone.CS_ARCH_XCORE,
-          0,
-          XCORE_CODE,
-          "XCore"
-          ),
-    };
-
-    for (int j = 0; j < platforms.length; j++) {
-      System.out.println("****************");
-      System.out.println(String.format("Platform: %s", platforms[j].comment));
-      System.out.println(String.format("Code: %s", stringToHex(platforms[j].code)));
-      System.out.println("Disasm:");
-
-      Capstone cs = new Capstone(platforms[j].arch, platforms[j].mode);
-      if (platforms[j].syntax != 0)
-        cs.setSyntax(platforms[j].syntax);
-
-      Capstone.CsInsn[] all_insn = cs.disasm(platforms[j].code, 0x1000);
-
-      for (int i = 0; i < all_insn.length; i++) {
-        System.out.println(String.format("0x%x: \t%s\t%s", all_insn[i].address,
-              all_insn[i].mnemonic, all_insn[i].opStr));
-      }
-      System.out.printf("0x%x:\n\n", all_insn[all_insn.length-1].address + all_insn[all_insn.length-1].size);
-
-      // Close when done
-      cs.close();
-    }
-  }
-}
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestM680x.java 4.0.2-3/bindings/java/TestM680x.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestM680x.java	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/java/TestM680x.java	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,207 @@
+// Capstone Java binding
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+import java.lang.*;
+import capstone.Capstone;
+import capstone.M680x;
+
+import static capstone.M680x_const.*;
+
+public class TestM680x {
+
+  static final String sAccess[] = {
+    "UNCHANGED", "READ", "WRITE", "READ | WRITE",
+  };
+
+  static final String M6800_CODE = "010936647f7410009010A410b6100039";
+  static final String M6801_CODE = "04053c3d389310ec10ed1039";
+  static final String M6805_CODE = "047f00172228002e0040425a708e979ca015ad00c31000da1234e57ffe";
+  static final String M6808_CODE = "31220035224510004b005110525e226265123472848586878a8b8c9495a710af109e607f9e6b7f009ed610009ee67f";
+  static final String HD6301_CODE = "6b100071100072101039";
+  static final String M6809_CODE = "0610191a551e0123e931063455a681a7897fffa69d1000a791a69f100011ac99100039A607A627A647A667A60FA610A680A681A682A683A684A685A686A6887FA68880A6897FFFA6898000A68BA68C10A68D1000A691A693A694A695A696A6987FA69880A6997FFFA6998000A69BA69C10A69D1000A69F1000";
+  static final String M6811_CODE = "0203127f100013990800147f02157f011e7f20008fcf18081830183c1867188c1000188f18ce100018ff10001aa37f1aac1aee7f1aef7fcdac7f";
+  static final String CPU12_CODE = "000401000c00800e008000111e100080003b4a1000044b01044f7f80008f1000b752b7b1a667a6fea6f71802e23039e21000180c30391000181118121000181900181e00183e183f00";
+  static final String HD6309_CODE = "0110106210107b101000cd499602d21030231038103b1053105d1130431011372510113812113923113b34118e100011af1011ab1011f68000";
+  static final String HCS08_CODE = "3210009eae9ece7f9ebe10009efe7f3e10009ef37f9610009eff7f82";
+
+  static byte[] hexString2Byte(String s) {
+    // from http://stackoverflow.com/questions/140131/convert-a-string-representation-of-a-hex-dump-to-a-byte-array-using-java
+    int len = s.length();
+    byte[] data = new byte[len / 2];
+    for (int i = 0; i < len; i += 2) {
+      data[i / 2] = (byte) ((Character.digit(s.charAt(i), 16) << 4)
+          + Character.digit(s.charAt(i+1), 16));
+    }
+    return data;
+  }
+
+  static public String stringToHexUc(byte[] code) {
+    StringBuilder buf = new StringBuilder(800);
+    for (byte ch: code) {
+      buf.append(String.format(" 0x%02x", ch));
+    }
+    return buf.toString();
+  }
+
+  static public String stringToHexShortUc(byte[] code) {
+    StringBuilder buf = new StringBuilder(800);
+    for (byte ch: code) {
+      buf.append(String.format("%02x", ch));
+    }
+    return buf.toString();
+  }
+
+  public static Capstone cs;
+/*
+  private static String hex(int i) {
+    return Integer.toString(i, 16);
+  }
+
+  private static String hex(long i) {
+    return Long.toString(i, 16);
+  }
+*/
+  public static void print_ins_detail(Capstone.CsInsn ins) {
+    String bytes = stringToHexShortUc(ins.bytes);
+    System.out.printf("0x%04x:\t%s\t%s\t%s\n", ins.address, bytes, ins.mnemonic, ins.opStr);
+
+    M680x.OpInfo operands = (M680x.OpInfo) ins.operands;
+
+    if (operands.op.length != 0) {
+      System.out.printf("\top_count: %d\n", operands.op.length);
+      for (int c = 0; c < operands.op.length; c++) {
+        M680x.Operand i = (M680x.Operand) operands.op[c];
+        if (i.type == M680X_OP_REGISTER) {
+          String comment = "";
+          if ((c == 0 && ((operands.flags & M680X_FIRST_OP_IN_MNEM) != 0)) ||
+              (c == 1 && ((operands.flags & M680X_SECOND_OP_IN_MNEM) != 0)))
+            comment = " (in mnemonic)";
+          System.out.printf("\t\toperands[%d].type: REGISTER = %s%s\n", c, ins.regName(i.value.reg), comment);
+        }
+        if (i.type == M680X_OP_CONSTANT)
+          System.out.printf("\t\toperands[%d].type: CONSTANT = %d\n", c, i.value.const_val);
+        if (i.type == M680X_OP_IMMEDIATE)
+          System.out.printf("\t\toperands[%d].type: IMMEDIATE = #%d\n", c, i.value.imm);
+        if (i.type == M680X_OP_DIRECT)
+          System.out.printf("\t\toperands[%d].type: DIRECT = 0x%02x\n", c, i.value.direct_addr);
+        if (i.type == M680X_OP_EXTENDED)
+          System.out.printf("\t\toperands[%d].type: EXTENDED %s = 0x%04x\n", c,
+            i.value.ext.indirect != 0 ? "INDIRECT" : "", i.value.ext.address);
+        if (i.type == M680X_OP_RELATIVE)
+          System.out.printf("\t\toperands[%d].type: RELATIVE = 0x%04x\n", c, i.value.rel.address );
+        if (i.type == M680X_OP_INDEXED) {
+          System.out.printf("\t\toperands[%d].type: INDEXED%s\n", c,
+            (i.value.idx.flags & M680X_IDX_INDIRECT) != 0 ? " INDIRECT" : "");
+          if (i.value.idx.base_reg != M680X_REG_INVALID) {
+            String regName = ins.regName(i.value.idx.base_reg);
+            if (regName != null)
+              System.out.printf("\t\t\tbase register: %s\n", regName);
+          }
+          if (i.value.idx.offset_reg != M680X_REG_INVALID) {
+            String regName = ins.regName(i.value.idx.offset_reg);
+            if (regName != null)
+              System.out.printf("\t\t\toffset register: %s\n", regName);
+          }
+          if ((i.value.idx.offset_bits != 0) &&
+              (i.value.idx.offset_reg == M680X_REG_INVALID) &&
+              (i.value.idx.inc_dec == 0)) {
+            System.out.printf("\t\t\toffset: %d\n", i.value.idx.offset);
+            if (i.value.idx.base_reg == M680X_REG_PC)
+              System.out.printf("\t\t\toffset address: 0x%04x\n", i.value.idx.offset_addr);
+            System.out.printf("\t\t\toffset bits: %d\n", i.value.idx.offset_bits);
+          }
+          if (i.value.idx.inc_dec != 0) {
+            String post_pre =
+               (i.value.idx.flags & M680X_IDX_POST_INC_DEC) != 0 ?
+		"post" : "pre";
+            String inc_dec =
+               i.value.idx.inc_dec > 0 ? "increment" : "decrement";
+
+            System.out.printf("\t\t\t%s %s: %d\n", post_pre, inc_dec,
+			Math.abs(i.value.idx.inc_dec));
+          }
+        }
+        if (i.size != 0)
+          System.out.printf("\t\t\tsize: %d\n", i.size);
+        if (i.access != Capstone.CS_AC_INVALID)
+          System.out.printf("\t\t\taccess: %s\n", sAccess[i.access]);
+      }
+    }
+
+    if (ins.regsRead.length > 0) {
+      System.out.printf("\tRegisters read:");
+      for (int c = 0; c < ins.regsRead.length; c++) {
+        System.out.printf(" %s", ins.regName(ins.regsRead[c]));
+      }
+      System.out.printf("\n");
+    }
+
+    if (ins.regsWrite.length > 0) {
+      System.out.printf("\tRegisters modified:");
+      for (int c = 0; c < ins.regsWrite.length; c++) {
+        System.out.printf(" %s", ins.regName(ins.regsWrite[c]));
+      }
+      System.out.printf("\n");
+    }
+
+    if (ins.groups.length > 0)
+      System.out.printf("\tgroups_count: %d\n", ins.groups.length);
+  }
+
+  public static void main(String argv[]) {
+
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6301,
+          hexString2Byte(HD6301_CODE), "M680X_HD6301"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6309,
+          hexString2Byte(HD6309_CODE), "M680X_HD6309"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6800,
+          hexString2Byte(M6800_CODE), "M680X_M6800"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6801,
+          hexString2Byte(M6801_CODE), "M680X_M6801"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6805,
+          hexString2Byte(M6805_CODE), "M680X_M68HC05"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6808,
+          hexString2Byte(M6808_CODE), "M680X_M68HC08"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6809,
+          hexString2Byte(M6809_CODE), "M680X_M6809"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_6811,
+          hexString2Byte(M6811_CODE), "M680X_M68HC11"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_CPU12,
+          hexString2Byte(CPU12_CODE), "M680X_CPU12"),
+      new TestBasic.platform(Capstone.CS_ARCH_M680X,
+          Capstone.CS_MODE_M680X_HCS08,
+          hexString2Byte(HCS08_CODE), "M680X_HCS08"),
+    };
+
+    for (int i=0; i<all_tests.length; i++) {
+      TestBasic.platform test = all_tests[i];
+      System.out.println(new String(new char[20]).replace("\0", "*"));
+      System.out.println("Platform: " + test.comment);
+      System.out.println("Code: " + stringToHexUc(test.code));
+      System.out.println("Disasm:");
+
+      cs = new Capstone(test.arch, test.mode);
+      cs.setDetail(Capstone.CS_OPT_ON);
+      Capstone.CsInsn[] all_ins = cs.disasm(test.code, 0x1000);
+
+      for (int j = 0; j < all_ins.length; j++) {
+        print_ins_detail(all_ins[j]);
+        System.out.println();
+      }
+
+      // Close when done
+      cs.close();
+    }
+  }
+
+}
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestMips.java 4.0.2-3/bindings/java/TestMips.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestMips.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestMips.java	2020-05-08 10:03:30.000000000 +0000
@@ -60,16 +60,16 @@ public class TestMips {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_MIPS, Capstone.CS_MODE_MIPS32 + Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(MIPS_CODE), "MIPS-32 (Big-endian)"),
-      new Test.platform(Capstone.CS_ARCH_MIPS, Capstone.CS_MODE_MIPS64 + Capstone.CS_MODE_LITTLE_ENDIAN, hexString2Byte(MIPS_CODE2), "MIPS-64-EL (Little-endian)"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_MIPS, Capstone.CS_MODE_MIPS32 + Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(MIPS_CODE), "MIPS-32 (Big-endian)"),
+      new TestBasic.platform(Capstone.CS_ARCH_MIPS, Capstone.CS_MODE_MIPS64 + Capstone.CS_MODE_LITTLE_ENDIAN, hexString2Byte(MIPS_CODE2), "MIPS-64-EL (Little-endian)"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestPpc.java 4.0.2-3/bindings/java/TestPpc.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestPpc.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestPpc.java	2020-05-08 10:03:30.000000000 +0000
@@ -67,15 +67,15 @@ public class TestPpc {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_PPC, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(PPC_CODE), "PPC-64"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_PPC, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(PPC_CODE), "PPC-64"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestSparc.java 4.0.2-3/bindings/java/TestSparc.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestSparc.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestSparc.java	2020-05-08 10:03:30.000000000 +0000
@@ -67,16 +67,16 @@ public class TestSparc {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_SPARC, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(SPARC_CODE), "Sparc"),
-      new Test.platform(Capstone.CS_ARCH_SPARC, Capstone.CS_MODE_BIG_ENDIAN + Capstone.CS_MODE_V9, hexString2Byte(SPARCV9_CODE), "SparcV9"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_SPARC, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(SPARC_CODE), "Sparc"),
+      new TestBasic.platform(Capstone.CS_ARCH_SPARC, Capstone.CS_MODE_BIG_ENDIAN + Capstone.CS_MODE_V9, hexString2Byte(SPARCV9_CODE), "SparcV9"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestSystemz.java 4.0.2-3/bindings/java/TestSystemz.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestSystemz.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestSystemz.java	2020-05-08 10:03:30.000000000 +0000
@@ -67,15 +67,15 @@ public class TestSystemz {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_SYSZ, 0, hexString2Byte(SYSZ_CODE), "SystemZ"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_SYSZ, 0, hexString2Byte(SYSZ_CODE), "SystemZ"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestX86.java 4.0.2-3/bindings/java/TestX86.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestX86.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestX86.java	2020-05-08 10:03:30.000000000 +0000
@@ -2,6 +2,9 @@
 // By Nguyen Anh Quynh & Dang Hoang Vu,  2013
 
 import capstone.Capstone;
+import static capstone.Capstone.CS_AC_READ;
+import static capstone.Capstone.CS_AC_WRITE;
+import capstone.Capstone.CsRegsAccess;
 import capstone.X86;
 
 import static capstone.X86_const.*;
@@ -58,9 +61,24 @@ public class TestX86 {
     // print modRM byte
     System.out.printf("\tmodrm: 0x%x\n", operands.modrm);
 
+    // print modRM offset
+    if (operands.encoding.modrmOffset != 0) {
+      System.out.printf("\tmodrm offset: 0x%x\n", operands.encoding.modrmOffset);
+    }
+
     // print displacement value
     System.out.printf("\tdisp: 0x%x\n", operands.disp);
 
+    // print displacement offset
+    if (operands.encoding.dispOffset != 0) {
+      System.out.printf("\tdisp offset: 0x%x\n", operands.encoding.dispOffset);
+    }
+
+    //print displacement size
+    if (operands.encoding.dispSize != 0) {
+      System.out.printf("\tdisp size: 0x%x\n", operands.encoding.dispSize);
+    }
+
     // SIB is not available in 16-bit mode
     if ( (cs.mode & Capstone.CS_MODE_16) == 0) {
       // print SIB byte
@@ -70,6 +88,9 @@ public class TestX86 {
           ins.regName(operands.sibBase), ins.regName(operands.sibIndex), operands.sibScale);
     }
 
+    if (operands.xopCC != 0)
+        System.out.printf("\txop_cc: %u\n", operands.xopCC);
+
     if (operands.sseCC != 0)
         System.out.printf("\tsse_cc: %u\n", operands.sseCC);
 
@@ -85,6 +106,8 @@ public class TestX86 {
     int count = ins.opCount(X86_OP_IMM);
     if (count > 0) {
       System.out.printf("\timm_count: %d\n", count);
+      System.out.printf("\timm offset: 0x%x\n", operands.encoding.immOffset);
+      System.out.printf("\timm size: 0x%x\n", operands.encoding.immSize);
       for (int i=0; i<count; i++) {
         int index = ins.opIndex(X86_OP_IMM, i + 1);
         System.out.printf("\t\timms[%d]: 0x%x\n", i+1, (operands.op[index].value.imm));
@@ -100,8 +123,6 @@ public class TestX86 {
           System.out.printf("\t\toperands[%d].type: REG = %s\n", c, ins.regName(i.value.reg));
         if (i.type == X86_OP_IMM)
           System.out.printf("\t\toperands[%d].type: IMM = 0x%x\n", c, i.value.imm);
-        if (i.type == X86_OP_FP)
-          System.out.printf("\t\toperands[%d].type: FP = %f\n", c, i.value.fp);
         if (i.type == X86_OP_MEM) {
           System.out.printf("\t\toperands[%d].type: MEM\n",c);
           String segment = ins.regName(i.value.mem.segment);
@@ -130,24 +151,58 @@ public class TestX86 {
         }
 
         System.out.printf("\t\toperands[%d].size: %d\n", c, i.size);
+        switch(i.access) {
+          case CS_AC_READ:
+            System.out.printf("\t\toperands[%d].access: READ\n", c);
+            break;
+          case CS_AC_WRITE:
+            System.out.printf("\t\toperands[%d].access: WRITE\n", c);
+            break;
+          case CS_AC_READ | CS_AC_WRITE:
+            System.out.printf("\t\toperands[%d].access: READ | WRITE\n", c);
+            break;
+        }
+      }
+
+      // Print out all registers accessed by this instruction (either implicit or explicit)
+      CsRegsAccess regsAccess = ins.regsAccess();
+      if (regsAccess != null) {
+        short[] regsRead = regsAccess.regsRead;
+        short[] regsWrite = regsAccess.regsWrite;
+
+        if (regsRead.length > 0) {
+          System.out.printf("\tRegisters read:");
+          for (int i = 0; i < regsRead.length; i++) {
+            System.out.printf(" %s", ins.regName(regsRead[i]));
+          }
+          System.out.print("\n");
+        }
+
+        if (regsWrite.length > 0) {
+          System.out.printf("\tRegister modified:");
+          for (int i = 0; i < regsWrite.length; i++) {
+            System.out.printf(" %s", ins.regName(regsWrite[i]));
+          }
+          System.out.print("\n");
+        }
       }
     }
   }
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_16, hexString2Byte(X86_CODE16), "X86 16bit (Intel syntax)"),
-      new Test.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_32, Capstone.CS_OPT_SYNTAX_ATT, hexString2Byte(X86_CODE32), "X86 32 (AT&T syntax)"),
-      new Test.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_32, hexString2Byte(X86_CODE32), "X86 32 (Intel syntax)"),
-      new Test.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_64, hexString2Byte(X86_CODE64), "X86 64 (Intel syntax)"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_16, hexString2Byte(X86_CODE16), "X86 16bit (Intel syntax)"),
+      new TestBasic.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_32, Capstone.CS_OPT_SYNTAX_ATT, hexString2Byte(X86_CODE32), "X86 32 (AT&T syntax)"),
+      new TestBasic.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_32, hexString2Byte(X86_CODE32), "X86 32 (Intel syntax)"),
+      new TestBasic.platform(Capstone.CS_ARCH_X86, Capstone.CS_MODE_64, hexString2Byte(X86_CODE64), "X86 64 (Intel syntax)"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/java/TestXcore.java 4.0.2-3/bindings/java/TestXcore.java
--- 4.0.1+really+3.0.5-2/bindings/java/TestXcore.java	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/java/TestXcore.java	2020-05-08 10:03:30.000000000 +0000
@@ -60,15 +60,15 @@ public class TestXcore {
 
   public static void main(String argv[]) {
 
-    final Test.platform[] all_tests = {
-      new Test.platform(Capstone.CS_ARCH_XCORE, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(XCORE_CODE), "XCore"),
+    final TestBasic.platform[] all_tests = {
+      new TestBasic.platform(Capstone.CS_ARCH_XCORE, Capstone.CS_MODE_BIG_ENDIAN, hexString2Byte(XCORE_CODE), "XCore"),
     };
 
     for (int i=0; i<all_tests.length; i++) {
-      Test.platform test = all_tests[i];
+      TestBasic.platform test = all_tests[i];
       System.out.println(new String(new char[16]).replace("\0", "*"));
       System.out.println("Platform: " + test.comment);
-      System.out.println("Code: " + Test.stringToHex(test.code));
+      System.out.println("Code: " + TestBasic.stringToHex(test.code));
       System.out.println("Disasm:");
 
       cs = new Capstone(test.arch, test.mode);
diff -pruN 4.0.1+really+3.0.5-2/bindings/Makefile 4.0.2-3/bindings/Makefile
--- 4.0.1+really+3.0.5-2/bindings/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -5,6 +5,7 @@ DIFF = diff -u -w
 TEST = $(TMPDIR)/test
 TEST_ARM = $(TMPDIR)/test_arm
 TEST_ARM64 = $(TMPDIR)/test_arm64
+TEST_M68K = $(TMPDIR)/test_m68k
 TEST_MIPS = $(TMPDIR)/test_mips
 TEST_PPC = $(TMPDIR)/test_ppc
 TEST_SPARC = $(TMPDIR)/test_sparc
@@ -12,6 +13,8 @@ TEST_SYSZ = $(TMPDIR)/test_systemz
 TEST_X86 = $(TMPDIR)/test_x86
 TEST_XCORE = $(TMPDIR)/test_xcore
 
+PYTHON2 = python
+
 .PHONY: all expected python java ocaml
 
 all:
@@ -30,6 +33,7 @@ expected:
 	../tests/test > $(TEST)_e
 	../tests/test_arm > $(TEST_ARM)_e
 	../tests/test_arm64 > $(TEST_ARM64)_e
+	../tests/test_m68k > $(TEST_M68K)_e
 	../tests/test_mips > $(TEST_MIPS)_e
 	../tests/test_ppc > $(TEST_PPC)_e
 	../tests/test_sparc > $(TEST_SPARC)_e
@@ -39,15 +43,16 @@ expected:
 
 python: FORCE
 	cd python && $(MAKE)
-	python python/test.py > $(TEST)_o
-	python python/test_arm.py > $(TEST_ARM)_o
-	python python/test_arm64.py > $(TEST_ARM64)_o
-	python python/test_mips.py > $(TEST_MIPS)_o
-	python python/test_ppc.py > $(TEST_PPC)_o
-	python python/test_sparc.py > $(TEST_SPARC)_o
-	python python/test_systemz.py > $(TEST_SYSZ)_o
-	python python/test_x86.py > $(TEST_X86)_o
-	python python/test_xcore.py > $(TEST_XCORE)_o
+	$(PYTHON2) python/test.py > $(TEST)_o
+	$(PYTHON2) python/test_arm.py > $(TEST_ARM)_o
+	$(PYTHON2) python/test_arm64.py > $(TEST_ARM64)_o
+	$(PYTHON2) python/test_m68k.py > $(TEST_M68K)_o
+	$(PYTHON2) python/test_mips.py > $(TEST_MIPS)_o
+	$(PYTHON2) python/test_ppc.py > $(TEST_PPC)_o
+	$(PYTHON2) python/test_sparc.py > $(TEST_SPARC)_o
+	$(PYTHON2) python/test_systemz.py > $(TEST_SYSZ)_o
+	$(PYTHON2) python/test_x86.py > $(TEST_X86)_o
+	$(PYTHON2) python/test_xcore.py > $(TEST_XCORE)_o
 	$(MAKE) test_diff
 
 java: FORCE
@@ -69,6 +74,7 @@ test_diff: FORCE
 	$(DIFF) $(TEST)_e $(TEST)_o
 	$(DIFF) $(TEST_ARM)_e $(TEST_ARM)_o
 	$(DIFF) $(TEST_ARM64)_e $(TEST_ARM64)_o
+	$(DIFF) $(TEST_M68K)_e $(TEST_M68K)_o
 	$(DIFF) $(TEST_MIPS)_e $(TEST_MIPS)_o
 	$(DIFF) $(TEST_PPC)_e $(TEST_PPC)_o
 	$(DIFF) $(TEST_SPARC)_e $(TEST_SPARC)_o
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/arm64_const.ml 4.0.2-3/bindings/ocaml/arm64_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/arm64_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/arm64_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [arm64_const.ml] *)
 
-(* ARM64 shift type *)
-
 let _ARM64_SFT_INVALID = 0;;
 let _ARM64_SFT_LSL = 1;;
 let _ARM64_SFT_MSL = 2;;
@@ -9,8 +7,6 @@ let _ARM64_SFT_LSR = 3;;
 let _ARM64_SFT_ASR = 4;;
 let _ARM64_SFT_ROR = 5;;
 
-(* ARM64 extender type *)
-
 let _ARM64_EXT_INVALID = 0;;
 let _ARM64_EXT_UXTB = 1;;
 let _ARM64_EXT_UXTH = 2;;
@@ -21,8 +17,6 @@ let _ARM64_EXT_SXTH = 6;;
 let _ARM64_EXT_SXTW = 7;;
 let _ARM64_EXT_SXTX = 8;;
 
-(* ARM64 condition code *)
-
 let _ARM64_CC_INVALID = 0;;
 let _ARM64_CC_EQ = 1;;
 let _ARM64_CC_NE = 2;;
@@ -41,10 +35,6 @@ let _ARM64_CC_LE = 14;;
 let _ARM64_CC_AL = 15;;
 let _ARM64_CC_NV = 16;;
 
-(* System registers *)
-
-(* System registers for MRS *)
-
 let _ARM64_SYSREG_INVALID = 0;;
 let _ARM64_SYSREG_MDCCSR_EL0 = 0x9808;;
 let _ARM64_SYSREG_DBGDTRRX_EL0 = 0x9828;;
@@ -138,8 +128,6 @@ let _ARM64_SYSREG_ICC_RPR_EL1 = 0xc65b;;
 let _ARM64_SYSREG_ICH_VTR_EL2 = 0xe659;;
 let _ARM64_SYSREG_ICH_EISR_EL2 = 0xe65b;;
 let _ARM64_SYSREG_ICH_ELSR_EL2 = 0xe65d;;
-
-(* System registers for MSR *)
 let _ARM64_SYSREG_DBGDTRTX_EL0 = 0x9828;;
 let _ARM64_SYSREG_OSLAR_EL1 = 0x8084;;
 let _ARM64_SYSREG_PMSWINC_EL0 = 0xdce4;;
@@ -152,15 +140,11 @@ let _ARM64_SYSREG_ICC_SGI1R_EL1 = 0xc65d
 let _ARM64_SYSREG_ICC_ASGI1R_EL1 = 0xc65e;;
 let _ARM64_SYSREG_ICC_SGI0R_EL1 = 0xc65f;;
 
-(* System PState Field (MSR instruction) *)
-
 let _ARM64_PSTATE_INVALID = 0;;
 let _ARM64_PSTATE_SPSEL = 0x05;;
 let _ARM64_PSTATE_DAIFSET = 0x1e;;
 let _ARM64_PSTATE_DAIFCLR = 0x1f;;
 
-(* Vector arrangement specifier (for FloatingPoint/Advanced SIMD insn) *)
-
 let _ARM64_VAS_INVALID = 0;;
 let _ARM64_VAS_8B = 1;;
 let _ARM64_VAS_16B = 2;;
@@ -172,16 +156,12 @@ let _ARM64_VAS_1D = 7;;
 let _ARM64_VAS_2D = 8;;
 let _ARM64_VAS_1Q = 9;;
 
-(* Vector element size specifier *)
-
 let _ARM64_VESS_INVALID = 0;;
 let _ARM64_VESS_B = 1;;
 let _ARM64_VESS_H = 2;;
 let _ARM64_VESS_S = 3;;
 let _ARM64_VESS_D = 4;;
 
-(* Memory barrier operands *)
-
 let _ARM64_BARRIER_INVALID = 0;;
 let _ARM64_BARRIER_OSHLD = 0x1;;
 let _ARM64_BARRIER_OSHST = 0x2;;
@@ -196,8 +176,6 @@ let _ARM64_BARRIER_LD = 0xd;;
 let _ARM64_BARRIER_ST = 0xe;;
 let _ARM64_BARRIER_SY = 0xf;;
 
-(* Operand type for instruction's operands *)
-
 let _ARM64_OP_INVALID = 0;;
 let _ARM64_OP_REG = 1;;
 let _ARM64_OP_IMM = 2;;
@@ -211,8 +189,6 @@ let _ARM64_OP_SYS = 68;;
 let _ARM64_OP_PREFETCH = 69;;
 let _ARM64_OP_BARRIER = 70;;
 
-(* TLBI operations *)
-
 let _ARM64_TLBI_INVALID = 0;;
 let _ARM64_TLBI_VMALLE1IS = 1;;
 let _ARM64_TLBI_VAE1IS = 2;;
@@ -246,8 +222,6 @@ let _ARM64_TLBI_VMALLS12E1 = 29;;
 let _ARM64_TLBI_ALLE3 = 30;;
 let _ARM64_TLBI_VAE3 = 31;;
 let _ARM64_TLBI_VALE3 = 32;;
-
-(* AT operations *)
 let _ARM64_AT_S1E1R = 33;;
 let _ARM64_AT_S1E1W = 34;;
 let _ARM64_AT_S1E0R = 35;;
@@ -261,8 +235,6 @@ let _ARM64_AT_S12E0W = 42;;
 let _ARM64_AT_S1E3R = 43;;
 let _ARM64_AT_S1E3W = 44;;
 
-(* DC operations *)
-
 let _ARM64_DC_INVALID = 0;;
 let _ARM64_DC_ZVA = 1;;
 let _ARM64_DC_IVAC = 2;;
@@ -273,15 +245,11 @@ let _ARM64_DC_CVAU = 6;;
 let _ARM64_DC_CIVAC = 7;;
 let _ARM64_DC_CISW = 8;;
 
-(* IC operations *)
-
 let _ARM64_IC_INVALID = 0;;
 let _ARM64_IC_IALLUIS = 1;;
 let _ARM64_IC_IALLU = 2;;
 let _ARM64_IC_IVAU = 3;;
 
-(* Prefetch operations (PRFM) *)
-
 let _ARM64_PRFM_INVALID = 0;;
 let _ARM64_PRFM_PLDL1KEEP = 0x00+1;;
 let _ARM64_PRFM_PLDL1STRM = 0x01+1;;
@@ -302,8 +270,6 @@ let _ARM64_PRFM_PSTL2STRM = 0x13+1;;
 let _ARM64_PRFM_PSTL3KEEP = 0x14+1;;
 let _ARM64_PRFM_PSTL3STRM = 0x15+1;;
 
-(* ARM64 registers *)
-
 let _ARM64_REG_INVALID = 0;;
 let _ARM64_REG_X29 = 1;;
 let _ARM64_REG_X30 = 2;;
@@ -565,15 +531,11 @@ let _ARM64_REG_V29 = 257;;
 let _ARM64_REG_V30 = 258;;
 let _ARM64_REG_V31 = 259;;
 let _ARM64_REG_ENDING = 260;;
-
-(* alias registers *)
 let _ARM64_REG_IP0 = _ARM64_REG_X16;;
 let _ARM64_REG_IP1 = _ARM64_REG_X17;;
 let _ARM64_REG_FP = _ARM64_REG_X29;;
 let _ARM64_REG_LR = _ARM64_REG_X30;;
 
-(* ARM64 instruction *)
-
 let _ARM64_INS_INVALID = 0;;
 let _ARM64_INS_ABS = 1;;
 let _ARM64_INS_ADC = 2;;
@@ -1026,16 +988,17 @@ let _ARM64_INS_IC = 448;;
 let _ARM64_INS_DC = 449;;
 let _ARM64_INS_AT = 450;;
 let _ARM64_INS_TLBI = 451;;
-let _ARM64_INS_ENDING = 452;;
-
-(* Group of ARM64 instructions *)
+let _ARM64_INS_NEGS = 452;;
+let _ARM64_INS_NGCS = 453;;
+let _ARM64_INS_ENDING = 454;;
 
 let _ARM64_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _ARM64_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
+let _ARM64_GRP_CALL = 2;;
+let _ARM64_GRP_RET = 3;;
+let _ARM64_GRP_INT = 4;;
+let _ARM64_GRP_PRIVILEGE = 6;;
+let _ARM64_GRP_BRANCH_RELATIVE = 7;;
 let _ARM64_GRP_CRYPTO = 128;;
 let _ARM64_GRP_FPARMV8 = 129;;
 let _ARM64_GRP_NEON = 130;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/arm_const.ml 4.0.2-3/bindings/ocaml/arm_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/arm_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/arm_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [arm_const.ml] *)
 
-(* ARM shift type *)
-
 let _ARM_SFT_INVALID = 0;;
 let _ARM_SFT_ASR = 1;;
 let _ARM_SFT_LSL = 2;;
@@ -14,8 +12,6 @@ let _ARM_SFT_LSR_REG = 8;;
 let _ARM_SFT_ROR_REG = 9;;
 let _ARM_SFT_RRX_REG = 10;;
 
-(* ARM condition code *)
-
 let _ARM_CC_INVALID = 0;;
 let _ARM_CC_EQ = 1;;
 let _ARM_CC_NE = 2;;
@@ -33,8 +29,6 @@ let _ARM_CC_GT = 13;;
 let _ARM_CC_LE = 14;;
 let _ARM_CC_AL = 15;;
 
-(* Special registers for MSR *)
-
 let _ARM_SYSREG_INVALID = 0;;
 let _ARM_SYSREG_SPSR_C = 1;;
 let _ARM_SYSREG_SPSR_X = 2;;
@@ -51,26 +45,58 @@ let _ARM_SYSREG_APSR_NZCVQG = 259;;
 let _ARM_SYSREG_IAPSR = 260;;
 let _ARM_SYSREG_IAPSR_G = 261;;
 let _ARM_SYSREG_IAPSR_NZCVQG = 262;;
-let _ARM_SYSREG_EAPSR = 263;;
-let _ARM_SYSREG_EAPSR_G = 264;;
-let _ARM_SYSREG_EAPSR_NZCVQG = 265;;
-let _ARM_SYSREG_XPSR = 266;;
-let _ARM_SYSREG_XPSR_G = 267;;
-let _ARM_SYSREG_XPSR_NZCVQG = 268;;
-let _ARM_SYSREG_IPSR = 269;;
-let _ARM_SYSREG_EPSR = 270;;
-let _ARM_SYSREG_IEPSR = 271;;
-let _ARM_SYSREG_MSP = 272;;
-let _ARM_SYSREG_PSP = 273;;
-let _ARM_SYSREG_PRIMASK = 274;;
-let _ARM_SYSREG_BASEPRI = 275;;
-let _ARM_SYSREG_BASEPRI_MAX = 276;;
-let _ARM_SYSREG_FAULTMASK = 277;;
-let _ARM_SYSREG_CONTROL = 278;;
-
-(* The memory barrier constants map directly to the 4-bit encoding of *)
-
-(* the option field for Memory Barrier operations. *)
+let _ARM_SYSREG_IAPSR_NZCVQ = 263;;
+let _ARM_SYSREG_EAPSR = 264;;
+let _ARM_SYSREG_EAPSR_G = 265;;
+let _ARM_SYSREG_EAPSR_NZCVQG = 266;;
+let _ARM_SYSREG_EAPSR_NZCVQ = 267;;
+let _ARM_SYSREG_XPSR = 268;;
+let _ARM_SYSREG_XPSR_G = 269;;
+let _ARM_SYSREG_XPSR_NZCVQG = 270;;
+let _ARM_SYSREG_XPSR_NZCVQ = 271;;
+let _ARM_SYSREG_IPSR = 272;;
+let _ARM_SYSREG_EPSR = 273;;
+let _ARM_SYSREG_IEPSR = 274;;
+let _ARM_SYSREG_MSP = 275;;
+let _ARM_SYSREG_PSP = 276;;
+let _ARM_SYSREG_PRIMASK = 277;;
+let _ARM_SYSREG_BASEPRI = 278;;
+let _ARM_SYSREG_BASEPRI_MAX = 279;;
+let _ARM_SYSREG_FAULTMASK = 280;;
+let _ARM_SYSREG_CONTROL = 281;;
+let _ARM_SYSREG_R8_USR = 282;;
+let _ARM_SYSREG_R9_USR = 283;;
+let _ARM_SYSREG_R10_USR = 284;;
+let _ARM_SYSREG_R11_USR = 285;;
+let _ARM_SYSREG_R12_USR = 286;;
+let _ARM_SYSREG_SP_USR = 287;;
+let _ARM_SYSREG_LR_USR = 288;;
+let _ARM_SYSREG_R8_FIQ = 289;;
+let _ARM_SYSREG_R9_FIQ = 290;;
+let _ARM_SYSREG_R10_FIQ = 291;;
+let _ARM_SYSREG_R11_FIQ = 292;;
+let _ARM_SYSREG_R12_FIQ = 293;;
+let _ARM_SYSREG_SP_FIQ = 294;;
+let _ARM_SYSREG_LR_FIQ = 295;;
+let _ARM_SYSREG_LR_IRQ = 296;;
+let _ARM_SYSREG_SP_IRQ = 297;;
+let _ARM_SYSREG_LR_SVC = 298;;
+let _ARM_SYSREG_SP_SVC = 299;;
+let _ARM_SYSREG_LR_ABT = 300;;
+let _ARM_SYSREG_SP_ABT = 301;;
+let _ARM_SYSREG_LR_UND = 302;;
+let _ARM_SYSREG_SP_UND = 303;;
+let _ARM_SYSREG_LR_MON = 304;;
+let _ARM_SYSREG_SP_MON = 305;;
+let _ARM_SYSREG_ELR_HYP = 306;;
+let _ARM_SYSREG_SP_HYP = 307;;
+let _ARM_SYSREG_SPSR_FIQ = 308;;
+let _ARM_SYSREG_SPSR_IRQ = 309;;
+let _ARM_SYSREG_SPSR_SVC = 310;;
+let _ARM_SYSREG_SPSR_ABT = 311;;
+let _ARM_SYSREG_SPSR_UND = 312;;
+let _ARM_SYSREG_SPSR_MON = 313;;
+let _ARM_SYSREG_SPSR_HYP = 314;;
 
 let _ARM_MB_INVALID = 0;;
 let _ARM_MB_RESERVED_0 = 1;;
@@ -90,8 +116,6 @@ let _ARM_MB_LD = 14;;
 let _ARM_MB_ST = 15;;
 let _ARM_MB_SY = 16;;
 
-(* Operand type for instruction's operands *)
-
 let _ARM_OP_INVALID = 0;;
 let _ARM_OP_REG = 1;;
 let _ARM_OP_IMM = 2;;
@@ -102,8 +126,6 @@ let _ARM_OP_PIMM = 65;;
 let _ARM_OP_SETEND = 66;;
 let _ARM_OP_SYSREG = 67;;
 
-(* Operand type for SETEND instruction *)
-
 let _ARM_SETEND_INVALID = 0;;
 let _ARM_SETEND_BE = 1;;
 let _ARM_SETEND_LE = 2;;
@@ -112,16 +134,12 @@ let _ARM_CPSMODE_INVALID = 0;;
 let _ARM_CPSMODE_IE = 2;;
 let _ARM_CPSMODE_ID = 3;;
 
-(* Operand type for SETEND instruction *)
-
 let _ARM_CPSFLAG_INVALID = 0;;
 let _ARM_CPSFLAG_F = 1;;
 let _ARM_CPSFLAG_I = 2;;
 let _ARM_CPSFLAG_A = 4;;
 let _ARM_CPSFLAG_NONE = 16;;
 
-(* Data type for elements of vector instructions. *)
-
 let _ARM_VECTORDATA_INVALID = 0;;
 let _ARM_VECTORDATA_I8 = 1;;
 let _ARM_VECTORDATA_I16 = 2;;
@@ -161,8 +179,6 @@ let _ARM_VECTORDATA_F64U16 = 35;;
 let _ARM_VECTORDATA_F32U16 = 36;;
 let _ARM_VECTORDATA_F64U32 = 37;;
 
-(* ARM registers *)
-
 let _ARM_REG_INVALID = 0;;
 let _ARM_REG_APSR = 1;;
 let _ARM_REG_APSR_NZCV = 2;;
@@ -275,8 +291,6 @@ let _ARM_REG_S29 = 108;;
 let _ARM_REG_S30 = 109;;
 let _ARM_REG_S31 = 110;;
 let _ARM_REG_ENDING = 111;;
-
-(* alias registers *)
 let _ARM_REG_R13 = _ARM_REG_SP;;
 let _ARM_REG_R14 = _ARM_REG_LR;;
 let _ARM_REG_R15 = _ARM_REG_PC;;
@@ -285,8 +299,6 @@ let _ARM_REG_SL = _ARM_REG_R10;;
 let _ARM_REG_FP = _ARM_REG_R11;;
 let _ARM_REG_IP = _ARM_REG_R12;;
 
-(* ARM instruction *)
-
 let _ARM_INS_INVALID = 0;;
 let _ARM_INS_ADC = 1;;
 let _ARM_INS_ADD = 2;;
@@ -322,416 +334,412 @@ let _ARM_INS_DBG = 31;;
 let _ARM_INS_DMB = 32;;
 let _ARM_INS_DSB = 33;;
 let _ARM_INS_EOR = 34;;
-let _ARM_INS_VMOV = 35;;
-let _ARM_INS_FLDMDBX = 36;;
-let _ARM_INS_FLDMIAX = 37;;
-let _ARM_INS_VMRS = 38;;
-let _ARM_INS_FSTMDBX = 39;;
-let _ARM_INS_FSTMIAX = 40;;
-let _ARM_INS_HINT = 41;;
-let _ARM_INS_HLT = 42;;
-let _ARM_INS_ISB = 43;;
-let _ARM_INS_LDA = 44;;
-let _ARM_INS_LDAB = 45;;
-let _ARM_INS_LDAEX = 46;;
-let _ARM_INS_LDAEXB = 47;;
-let _ARM_INS_LDAEXD = 48;;
-let _ARM_INS_LDAEXH = 49;;
-let _ARM_INS_LDAH = 50;;
-let _ARM_INS_LDC2L = 51;;
-let _ARM_INS_LDC2 = 52;;
-let _ARM_INS_LDCL = 53;;
-let _ARM_INS_LDC = 54;;
-let _ARM_INS_LDMDA = 55;;
-let _ARM_INS_LDMDB = 56;;
-let _ARM_INS_LDM = 57;;
-let _ARM_INS_LDMIB = 58;;
-let _ARM_INS_LDRBT = 59;;
-let _ARM_INS_LDRB = 60;;
-let _ARM_INS_LDRD = 61;;
-let _ARM_INS_LDREX = 62;;
-let _ARM_INS_LDREXB = 63;;
-let _ARM_INS_LDREXD = 64;;
-let _ARM_INS_LDREXH = 65;;
-let _ARM_INS_LDRH = 66;;
-let _ARM_INS_LDRHT = 67;;
-let _ARM_INS_LDRSB = 68;;
-let _ARM_INS_LDRSBT = 69;;
-let _ARM_INS_LDRSH = 70;;
-let _ARM_INS_LDRSHT = 71;;
-let _ARM_INS_LDRT = 72;;
-let _ARM_INS_LDR = 73;;
-let _ARM_INS_MCR = 74;;
-let _ARM_INS_MCR2 = 75;;
-let _ARM_INS_MCRR = 76;;
-let _ARM_INS_MCRR2 = 77;;
-let _ARM_INS_MLA = 78;;
-let _ARM_INS_MLS = 79;;
-let _ARM_INS_MOV = 80;;
-let _ARM_INS_MOVT = 81;;
-let _ARM_INS_MOVW = 82;;
-let _ARM_INS_MRC = 83;;
-let _ARM_INS_MRC2 = 84;;
-let _ARM_INS_MRRC = 85;;
-let _ARM_INS_MRRC2 = 86;;
-let _ARM_INS_MRS = 87;;
-let _ARM_INS_MSR = 88;;
-let _ARM_INS_MUL = 89;;
-let _ARM_INS_MVN = 90;;
-let _ARM_INS_ORR = 91;;
-let _ARM_INS_PKHBT = 92;;
-let _ARM_INS_PKHTB = 93;;
-let _ARM_INS_PLDW = 94;;
-let _ARM_INS_PLD = 95;;
-let _ARM_INS_PLI = 96;;
-let _ARM_INS_QADD = 97;;
-let _ARM_INS_QADD16 = 98;;
-let _ARM_INS_QADD8 = 99;;
-let _ARM_INS_QASX = 100;;
-let _ARM_INS_QDADD = 101;;
-let _ARM_INS_QDSUB = 102;;
-let _ARM_INS_QSAX = 103;;
-let _ARM_INS_QSUB = 104;;
-let _ARM_INS_QSUB16 = 105;;
-let _ARM_INS_QSUB8 = 106;;
-let _ARM_INS_RBIT = 107;;
-let _ARM_INS_REV = 108;;
-let _ARM_INS_REV16 = 109;;
-let _ARM_INS_REVSH = 110;;
-let _ARM_INS_RFEDA = 111;;
-let _ARM_INS_RFEDB = 112;;
-let _ARM_INS_RFEIA = 113;;
-let _ARM_INS_RFEIB = 114;;
-let _ARM_INS_RSB = 115;;
-let _ARM_INS_RSC = 116;;
-let _ARM_INS_SADD16 = 117;;
-let _ARM_INS_SADD8 = 118;;
-let _ARM_INS_SASX = 119;;
-let _ARM_INS_SBC = 120;;
-let _ARM_INS_SBFX = 121;;
-let _ARM_INS_SDIV = 122;;
-let _ARM_INS_SEL = 123;;
-let _ARM_INS_SETEND = 124;;
-let _ARM_INS_SHA1C = 125;;
-let _ARM_INS_SHA1H = 126;;
-let _ARM_INS_SHA1M = 127;;
-let _ARM_INS_SHA1P = 128;;
-let _ARM_INS_SHA1SU0 = 129;;
-let _ARM_INS_SHA1SU1 = 130;;
-let _ARM_INS_SHA256H = 131;;
-let _ARM_INS_SHA256H2 = 132;;
-let _ARM_INS_SHA256SU0 = 133;;
-let _ARM_INS_SHA256SU1 = 134;;
-let _ARM_INS_SHADD16 = 135;;
-let _ARM_INS_SHADD8 = 136;;
-let _ARM_INS_SHASX = 137;;
-let _ARM_INS_SHSAX = 138;;
-let _ARM_INS_SHSUB16 = 139;;
-let _ARM_INS_SHSUB8 = 140;;
-let _ARM_INS_SMC = 141;;
-let _ARM_INS_SMLABB = 142;;
-let _ARM_INS_SMLABT = 143;;
-let _ARM_INS_SMLAD = 144;;
-let _ARM_INS_SMLADX = 145;;
-let _ARM_INS_SMLAL = 146;;
-let _ARM_INS_SMLALBB = 147;;
-let _ARM_INS_SMLALBT = 148;;
-let _ARM_INS_SMLALD = 149;;
-let _ARM_INS_SMLALDX = 150;;
-let _ARM_INS_SMLALTB = 151;;
-let _ARM_INS_SMLALTT = 152;;
-let _ARM_INS_SMLATB = 153;;
-let _ARM_INS_SMLATT = 154;;
-let _ARM_INS_SMLAWB = 155;;
-let _ARM_INS_SMLAWT = 156;;
-let _ARM_INS_SMLSD = 157;;
-let _ARM_INS_SMLSDX = 158;;
-let _ARM_INS_SMLSLD = 159;;
-let _ARM_INS_SMLSLDX = 160;;
-let _ARM_INS_SMMLA = 161;;
-let _ARM_INS_SMMLAR = 162;;
-let _ARM_INS_SMMLS = 163;;
-let _ARM_INS_SMMLSR = 164;;
-let _ARM_INS_SMMUL = 165;;
-let _ARM_INS_SMMULR = 166;;
-let _ARM_INS_SMUAD = 167;;
-let _ARM_INS_SMUADX = 168;;
-let _ARM_INS_SMULBB = 169;;
-let _ARM_INS_SMULBT = 170;;
-let _ARM_INS_SMULL = 171;;
-let _ARM_INS_SMULTB = 172;;
-let _ARM_INS_SMULTT = 173;;
-let _ARM_INS_SMULWB = 174;;
-let _ARM_INS_SMULWT = 175;;
-let _ARM_INS_SMUSD = 176;;
-let _ARM_INS_SMUSDX = 177;;
-let _ARM_INS_SRSDA = 178;;
-let _ARM_INS_SRSDB = 179;;
-let _ARM_INS_SRSIA = 180;;
-let _ARM_INS_SRSIB = 181;;
-let _ARM_INS_SSAT = 182;;
-let _ARM_INS_SSAT16 = 183;;
-let _ARM_INS_SSAX = 184;;
-let _ARM_INS_SSUB16 = 185;;
-let _ARM_INS_SSUB8 = 186;;
-let _ARM_INS_STC2L = 187;;
-let _ARM_INS_STC2 = 188;;
-let _ARM_INS_STCL = 189;;
-let _ARM_INS_STC = 190;;
-let _ARM_INS_STL = 191;;
-let _ARM_INS_STLB = 192;;
-let _ARM_INS_STLEX = 193;;
-let _ARM_INS_STLEXB = 194;;
-let _ARM_INS_STLEXD = 195;;
-let _ARM_INS_STLEXH = 196;;
-let _ARM_INS_STLH = 197;;
-let _ARM_INS_STMDA = 198;;
-let _ARM_INS_STMDB = 199;;
-let _ARM_INS_STM = 200;;
-let _ARM_INS_STMIB = 201;;
-let _ARM_INS_STRBT = 202;;
-let _ARM_INS_STRB = 203;;
-let _ARM_INS_STRD = 204;;
-let _ARM_INS_STREX = 205;;
-let _ARM_INS_STREXB = 206;;
-let _ARM_INS_STREXD = 207;;
-let _ARM_INS_STREXH = 208;;
-let _ARM_INS_STRH = 209;;
-let _ARM_INS_STRHT = 210;;
-let _ARM_INS_STRT = 211;;
-let _ARM_INS_STR = 212;;
-let _ARM_INS_SUB = 213;;
-let _ARM_INS_SVC = 214;;
-let _ARM_INS_SWP = 215;;
-let _ARM_INS_SWPB = 216;;
-let _ARM_INS_SXTAB = 217;;
-let _ARM_INS_SXTAB16 = 218;;
-let _ARM_INS_SXTAH = 219;;
-let _ARM_INS_SXTB = 220;;
-let _ARM_INS_SXTB16 = 221;;
-let _ARM_INS_SXTH = 222;;
-let _ARM_INS_TEQ = 223;;
-let _ARM_INS_TRAP = 224;;
-let _ARM_INS_TST = 225;;
-let _ARM_INS_UADD16 = 226;;
-let _ARM_INS_UADD8 = 227;;
-let _ARM_INS_UASX = 228;;
-let _ARM_INS_UBFX = 229;;
-let _ARM_INS_UDF = 230;;
-let _ARM_INS_UDIV = 231;;
-let _ARM_INS_UHADD16 = 232;;
-let _ARM_INS_UHADD8 = 233;;
-let _ARM_INS_UHASX = 234;;
-let _ARM_INS_UHSAX = 235;;
-let _ARM_INS_UHSUB16 = 236;;
-let _ARM_INS_UHSUB8 = 237;;
-let _ARM_INS_UMAAL = 238;;
-let _ARM_INS_UMLAL = 239;;
-let _ARM_INS_UMULL = 240;;
-let _ARM_INS_UQADD16 = 241;;
-let _ARM_INS_UQADD8 = 242;;
-let _ARM_INS_UQASX = 243;;
-let _ARM_INS_UQSAX = 244;;
-let _ARM_INS_UQSUB16 = 245;;
-let _ARM_INS_UQSUB8 = 246;;
-let _ARM_INS_USAD8 = 247;;
-let _ARM_INS_USADA8 = 248;;
-let _ARM_INS_USAT = 249;;
-let _ARM_INS_USAT16 = 250;;
-let _ARM_INS_USAX = 251;;
-let _ARM_INS_USUB16 = 252;;
-let _ARM_INS_USUB8 = 253;;
-let _ARM_INS_UXTAB = 254;;
-let _ARM_INS_UXTAB16 = 255;;
-let _ARM_INS_UXTAH = 256;;
-let _ARM_INS_UXTB = 257;;
-let _ARM_INS_UXTB16 = 258;;
-let _ARM_INS_UXTH = 259;;
-let _ARM_INS_VABAL = 260;;
-let _ARM_INS_VABA = 261;;
-let _ARM_INS_VABDL = 262;;
-let _ARM_INS_VABD = 263;;
-let _ARM_INS_VABS = 264;;
-let _ARM_INS_VACGE = 265;;
-let _ARM_INS_VACGT = 266;;
-let _ARM_INS_VADD = 267;;
-let _ARM_INS_VADDHN = 268;;
-let _ARM_INS_VADDL = 269;;
-let _ARM_INS_VADDW = 270;;
-let _ARM_INS_VAND = 271;;
-let _ARM_INS_VBIC = 272;;
-let _ARM_INS_VBIF = 273;;
-let _ARM_INS_VBIT = 274;;
-let _ARM_INS_VBSL = 275;;
-let _ARM_INS_VCEQ = 276;;
-let _ARM_INS_VCGE = 277;;
-let _ARM_INS_VCGT = 278;;
-let _ARM_INS_VCLE = 279;;
-let _ARM_INS_VCLS = 280;;
-let _ARM_INS_VCLT = 281;;
-let _ARM_INS_VCLZ = 282;;
-let _ARM_INS_VCMP = 283;;
-let _ARM_INS_VCMPE = 284;;
-let _ARM_INS_VCNT = 285;;
-let _ARM_INS_VCVTA = 286;;
-let _ARM_INS_VCVTB = 287;;
-let _ARM_INS_VCVT = 288;;
-let _ARM_INS_VCVTM = 289;;
-let _ARM_INS_VCVTN = 290;;
-let _ARM_INS_VCVTP = 291;;
-let _ARM_INS_VCVTT = 292;;
-let _ARM_INS_VDIV = 293;;
-let _ARM_INS_VDUP = 294;;
-let _ARM_INS_VEOR = 295;;
-let _ARM_INS_VEXT = 296;;
-let _ARM_INS_VFMA = 297;;
-let _ARM_INS_VFMS = 298;;
-let _ARM_INS_VFNMA = 299;;
-let _ARM_INS_VFNMS = 300;;
-let _ARM_INS_VHADD = 301;;
-let _ARM_INS_VHSUB = 302;;
-let _ARM_INS_VLD1 = 303;;
-let _ARM_INS_VLD2 = 304;;
-let _ARM_INS_VLD3 = 305;;
-let _ARM_INS_VLD4 = 306;;
-let _ARM_INS_VLDMDB = 307;;
-let _ARM_INS_VLDMIA = 308;;
-let _ARM_INS_VLDR = 309;;
-let _ARM_INS_VMAXNM = 310;;
-let _ARM_INS_VMAX = 311;;
-let _ARM_INS_VMINNM = 312;;
-let _ARM_INS_VMIN = 313;;
-let _ARM_INS_VMLA = 314;;
-let _ARM_INS_VMLAL = 315;;
-let _ARM_INS_VMLS = 316;;
-let _ARM_INS_VMLSL = 317;;
-let _ARM_INS_VMOVL = 318;;
-let _ARM_INS_VMOVN = 319;;
-let _ARM_INS_VMSR = 320;;
-let _ARM_INS_VMUL = 321;;
-let _ARM_INS_VMULL = 322;;
-let _ARM_INS_VMVN = 323;;
-let _ARM_INS_VNEG = 324;;
-let _ARM_INS_VNMLA = 325;;
-let _ARM_INS_VNMLS = 326;;
-let _ARM_INS_VNMUL = 327;;
-let _ARM_INS_VORN = 328;;
-let _ARM_INS_VORR = 329;;
-let _ARM_INS_VPADAL = 330;;
-let _ARM_INS_VPADDL = 331;;
-let _ARM_INS_VPADD = 332;;
-let _ARM_INS_VPMAX = 333;;
-let _ARM_INS_VPMIN = 334;;
-let _ARM_INS_VQABS = 335;;
-let _ARM_INS_VQADD = 336;;
-let _ARM_INS_VQDMLAL = 337;;
-let _ARM_INS_VQDMLSL = 338;;
-let _ARM_INS_VQDMULH = 339;;
-let _ARM_INS_VQDMULL = 340;;
-let _ARM_INS_VQMOVUN = 341;;
-let _ARM_INS_VQMOVN = 342;;
-let _ARM_INS_VQNEG = 343;;
-let _ARM_INS_VQRDMULH = 344;;
-let _ARM_INS_VQRSHL = 345;;
-let _ARM_INS_VQRSHRN = 346;;
-let _ARM_INS_VQRSHRUN = 347;;
-let _ARM_INS_VQSHL = 348;;
-let _ARM_INS_VQSHLU = 349;;
-let _ARM_INS_VQSHRN = 350;;
-let _ARM_INS_VQSHRUN = 351;;
-let _ARM_INS_VQSUB = 352;;
-let _ARM_INS_VRADDHN = 353;;
-let _ARM_INS_VRECPE = 354;;
-let _ARM_INS_VRECPS = 355;;
-let _ARM_INS_VREV16 = 356;;
-let _ARM_INS_VREV32 = 357;;
-let _ARM_INS_VREV64 = 358;;
-let _ARM_INS_VRHADD = 359;;
-let _ARM_INS_VRINTA = 360;;
-let _ARM_INS_VRINTM = 361;;
-let _ARM_INS_VRINTN = 362;;
-let _ARM_INS_VRINTP = 363;;
-let _ARM_INS_VRINTR = 364;;
-let _ARM_INS_VRINTX = 365;;
-let _ARM_INS_VRINTZ = 366;;
-let _ARM_INS_VRSHL = 367;;
-let _ARM_INS_VRSHRN = 368;;
-let _ARM_INS_VRSHR = 369;;
-let _ARM_INS_VRSQRTE = 370;;
-let _ARM_INS_VRSQRTS = 371;;
-let _ARM_INS_VRSRA = 372;;
-let _ARM_INS_VRSUBHN = 373;;
-let _ARM_INS_VSELEQ = 374;;
-let _ARM_INS_VSELGE = 375;;
-let _ARM_INS_VSELGT = 376;;
-let _ARM_INS_VSELVS = 377;;
-let _ARM_INS_VSHLL = 378;;
-let _ARM_INS_VSHL = 379;;
-let _ARM_INS_VSHRN = 380;;
-let _ARM_INS_VSHR = 381;;
-let _ARM_INS_VSLI = 382;;
-let _ARM_INS_VSQRT = 383;;
-let _ARM_INS_VSRA = 384;;
-let _ARM_INS_VSRI = 385;;
-let _ARM_INS_VST1 = 386;;
-let _ARM_INS_VST2 = 387;;
-let _ARM_INS_VST3 = 388;;
-let _ARM_INS_VST4 = 389;;
-let _ARM_INS_VSTMDB = 390;;
-let _ARM_INS_VSTMIA = 391;;
-let _ARM_INS_VSTR = 392;;
-let _ARM_INS_VSUB = 393;;
-let _ARM_INS_VSUBHN = 394;;
-let _ARM_INS_VSUBL = 395;;
-let _ARM_INS_VSUBW = 396;;
-let _ARM_INS_VSWP = 397;;
-let _ARM_INS_VTBL = 398;;
-let _ARM_INS_VTBX = 399;;
-let _ARM_INS_VCVTR = 400;;
-let _ARM_INS_VTRN = 401;;
-let _ARM_INS_VTST = 402;;
-let _ARM_INS_VUZP = 403;;
-let _ARM_INS_VZIP = 404;;
-let _ARM_INS_ADDW = 405;;
-let _ARM_INS_ASR = 406;;
-let _ARM_INS_DCPS1 = 407;;
-let _ARM_INS_DCPS2 = 408;;
-let _ARM_INS_DCPS3 = 409;;
-let _ARM_INS_IT = 410;;
-let _ARM_INS_LSL = 411;;
-let _ARM_INS_LSR = 412;;
-let _ARM_INS_ASRS = 413;;
-let _ARM_INS_LSRS = 414;;
+let _ARM_INS_ERET = 35;;
+let _ARM_INS_VMOV = 36;;
+let _ARM_INS_FLDMDBX = 37;;
+let _ARM_INS_FLDMIAX = 38;;
+let _ARM_INS_VMRS = 39;;
+let _ARM_INS_FSTMDBX = 40;;
+let _ARM_INS_FSTMIAX = 41;;
+let _ARM_INS_HINT = 42;;
+let _ARM_INS_HLT = 43;;
+let _ARM_INS_HVC = 44;;
+let _ARM_INS_ISB = 45;;
+let _ARM_INS_LDA = 46;;
+let _ARM_INS_LDAB = 47;;
+let _ARM_INS_LDAEX = 48;;
+let _ARM_INS_LDAEXB = 49;;
+let _ARM_INS_LDAEXD = 50;;
+let _ARM_INS_LDAEXH = 51;;
+let _ARM_INS_LDAH = 52;;
+let _ARM_INS_LDC2L = 53;;
+let _ARM_INS_LDC2 = 54;;
+let _ARM_INS_LDCL = 55;;
+let _ARM_INS_LDC = 56;;
+let _ARM_INS_LDMDA = 57;;
+let _ARM_INS_LDMDB = 58;;
+let _ARM_INS_LDM = 59;;
+let _ARM_INS_LDMIB = 60;;
+let _ARM_INS_LDRBT = 61;;
+let _ARM_INS_LDRB = 62;;
+let _ARM_INS_LDRD = 63;;
+let _ARM_INS_LDREX = 64;;
+let _ARM_INS_LDREXB = 65;;
+let _ARM_INS_LDREXD = 66;;
+let _ARM_INS_LDREXH = 67;;
+let _ARM_INS_LDRH = 68;;
+let _ARM_INS_LDRHT = 69;;
+let _ARM_INS_LDRSB = 70;;
+let _ARM_INS_LDRSBT = 71;;
+let _ARM_INS_LDRSH = 72;;
+let _ARM_INS_LDRSHT = 73;;
+let _ARM_INS_LDRT = 74;;
+let _ARM_INS_LDR = 75;;
+let _ARM_INS_MCR = 76;;
+let _ARM_INS_MCR2 = 77;;
+let _ARM_INS_MCRR = 78;;
+let _ARM_INS_MCRR2 = 79;;
+let _ARM_INS_MLA = 80;;
+let _ARM_INS_MLS = 81;;
+let _ARM_INS_MOV = 82;;
+let _ARM_INS_MOVT = 83;;
+let _ARM_INS_MOVW = 84;;
+let _ARM_INS_MRC = 85;;
+let _ARM_INS_MRC2 = 86;;
+let _ARM_INS_MRRC = 87;;
+let _ARM_INS_MRRC2 = 88;;
+let _ARM_INS_MRS = 89;;
+let _ARM_INS_MSR = 90;;
+let _ARM_INS_MUL = 91;;
+let _ARM_INS_MVN = 92;;
+let _ARM_INS_ORR = 93;;
+let _ARM_INS_PKHBT = 94;;
+let _ARM_INS_PKHTB = 95;;
+let _ARM_INS_PLDW = 96;;
+let _ARM_INS_PLD = 97;;
+let _ARM_INS_PLI = 98;;
+let _ARM_INS_QADD = 99;;
+let _ARM_INS_QADD16 = 100;;
+let _ARM_INS_QADD8 = 101;;
+let _ARM_INS_QASX = 102;;
+let _ARM_INS_QDADD = 103;;
+let _ARM_INS_QDSUB = 104;;
+let _ARM_INS_QSAX = 105;;
+let _ARM_INS_QSUB = 106;;
+let _ARM_INS_QSUB16 = 107;;
+let _ARM_INS_QSUB8 = 108;;
+let _ARM_INS_RBIT = 109;;
+let _ARM_INS_REV = 110;;
+let _ARM_INS_REV16 = 111;;
+let _ARM_INS_REVSH = 112;;
+let _ARM_INS_RFEDA = 113;;
+let _ARM_INS_RFEDB = 114;;
+let _ARM_INS_RFEIA = 115;;
+let _ARM_INS_RFEIB = 116;;
+let _ARM_INS_RSB = 117;;
+let _ARM_INS_RSC = 118;;
+let _ARM_INS_SADD16 = 119;;
+let _ARM_INS_SADD8 = 120;;
+let _ARM_INS_SASX = 121;;
+let _ARM_INS_SBC = 122;;
+let _ARM_INS_SBFX = 123;;
+let _ARM_INS_SDIV = 124;;
+let _ARM_INS_SEL = 125;;
+let _ARM_INS_SETEND = 126;;
+let _ARM_INS_SHA1C = 127;;
+let _ARM_INS_SHA1H = 128;;
+let _ARM_INS_SHA1M = 129;;
+let _ARM_INS_SHA1P = 130;;
+let _ARM_INS_SHA1SU0 = 131;;
+let _ARM_INS_SHA1SU1 = 132;;
+let _ARM_INS_SHA256H = 133;;
+let _ARM_INS_SHA256H2 = 134;;
+let _ARM_INS_SHA256SU0 = 135;;
+let _ARM_INS_SHA256SU1 = 136;;
+let _ARM_INS_SHADD16 = 137;;
+let _ARM_INS_SHADD8 = 138;;
+let _ARM_INS_SHASX = 139;;
+let _ARM_INS_SHSAX = 140;;
+let _ARM_INS_SHSUB16 = 141;;
+let _ARM_INS_SHSUB8 = 142;;
+let _ARM_INS_SMC = 143;;
+let _ARM_INS_SMLABB = 144;;
+let _ARM_INS_SMLABT = 145;;
+let _ARM_INS_SMLAD = 146;;
+let _ARM_INS_SMLADX = 147;;
+let _ARM_INS_SMLAL = 148;;
+let _ARM_INS_SMLALBB = 149;;
+let _ARM_INS_SMLALBT = 150;;
+let _ARM_INS_SMLALD = 151;;
+let _ARM_INS_SMLALDX = 152;;
+let _ARM_INS_SMLALTB = 153;;
+let _ARM_INS_SMLALTT = 154;;
+let _ARM_INS_SMLATB = 155;;
+let _ARM_INS_SMLATT = 156;;
+let _ARM_INS_SMLAWB = 157;;
+let _ARM_INS_SMLAWT = 158;;
+let _ARM_INS_SMLSD = 159;;
+let _ARM_INS_SMLSDX = 160;;
+let _ARM_INS_SMLSLD = 161;;
+let _ARM_INS_SMLSLDX = 162;;
+let _ARM_INS_SMMLA = 163;;
+let _ARM_INS_SMMLAR = 164;;
+let _ARM_INS_SMMLS = 165;;
+let _ARM_INS_SMMLSR = 166;;
+let _ARM_INS_SMMUL = 167;;
+let _ARM_INS_SMMULR = 168;;
+let _ARM_INS_SMUAD = 169;;
+let _ARM_INS_SMUADX = 170;;
+let _ARM_INS_SMULBB = 171;;
+let _ARM_INS_SMULBT = 172;;
+let _ARM_INS_SMULL = 173;;
+let _ARM_INS_SMULTB = 174;;
+let _ARM_INS_SMULTT = 175;;
+let _ARM_INS_SMULWB = 176;;
+let _ARM_INS_SMULWT = 177;;
+let _ARM_INS_SMUSD = 178;;
+let _ARM_INS_SMUSDX = 179;;
+let _ARM_INS_SRSDA = 180;;
+let _ARM_INS_SRSDB = 181;;
+let _ARM_INS_SRSIA = 182;;
+let _ARM_INS_SRSIB = 183;;
+let _ARM_INS_SSAT = 184;;
+let _ARM_INS_SSAT16 = 185;;
+let _ARM_INS_SSAX = 186;;
+let _ARM_INS_SSUB16 = 187;;
+let _ARM_INS_SSUB8 = 188;;
+let _ARM_INS_STC2L = 189;;
+let _ARM_INS_STC2 = 190;;
+let _ARM_INS_STCL = 191;;
+let _ARM_INS_STC = 192;;
+let _ARM_INS_STL = 193;;
+let _ARM_INS_STLB = 194;;
+let _ARM_INS_STLEX = 195;;
+let _ARM_INS_STLEXB = 196;;
+let _ARM_INS_STLEXD = 197;;
+let _ARM_INS_STLEXH = 198;;
+let _ARM_INS_STLH = 199;;
+let _ARM_INS_STMDA = 200;;
+let _ARM_INS_STMDB = 201;;
+let _ARM_INS_STM = 202;;
+let _ARM_INS_STMIB = 203;;
+let _ARM_INS_STRBT = 204;;
+let _ARM_INS_STRB = 205;;
+let _ARM_INS_STRD = 206;;
+let _ARM_INS_STREX = 207;;
+let _ARM_INS_STREXB = 208;;
+let _ARM_INS_STREXD = 209;;
+let _ARM_INS_STREXH = 210;;
+let _ARM_INS_STRH = 211;;
+let _ARM_INS_STRHT = 212;;
+let _ARM_INS_STRT = 213;;
+let _ARM_INS_STR = 214;;
+let _ARM_INS_SUB = 215;;
+let _ARM_INS_SVC = 216;;
+let _ARM_INS_SWP = 217;;
+let _ARM_INS_SWPB = 218;;
+let _ARM_INS_SXTAB = 219;;
+let _ARM_INS_SXTAB16 = 220;;
+let _ARM_INS_SXTAH = 221;;
+let _ARM_INS_SXTB = 222;;
+let _ARM_INS_SXTB16 = 223;;
+let _ARM_INS_SXTH = 224;;
+let _ARM_INS_TEQ = 225;;
+let _ARM_INS_TRAP = 226;;
+let _ARM_INS_TST = 227;;
+let _ARM_INS_UADD16 = 228;;
+let _ARM_INS_UADD8 = 229;;
+let _ARM_INS_UASX = 230;;
+let _ARM_INS_UBFX = 231;;
+let _ARM_INS_UDF = 232;;
+let _ARM_INS_UDIV = 233;;
+let _ARM_INS_UHADD16 = 234;;
+let _ARM_INS_UHADD8 = 235;;
+let _ARM_INS_UHASX = 236;;
+let _ARM_INS_UHSAX = 237;;
+let _ARM_INS_UHSUB16 = 238;;
+let _ARM_INS_UHSUB8 = 239;;
+let _ARM_INS_UMAAL = 240;;
+let _ARM_INS_UMLAL = 241;;
+let _ARM_INS_UMULL = 242;;
+let _ARM_INS_UQADD16 = 243;;
+let _ARM_INS_UQADD8 = 244;;
+let _ARM_INS_UQASX = 245;;
+let _ARM_INS_UQSAX = 246;;
+let _ARM_INS_UQSUB16 = 247;;
+let _ARM_INS_UQSUB8 = 248;;
+let _ARM_INS_USAD8 = 249;;
+let _ARM_INS_USADA8 = 250;;
+let _ARM_INS_USAT = 251;;
+let _ARM_INS_USAT16 = 252;;
+let _ARM_INS_USAX = 253;;
+let _ARM_INS_USUB16 = 254;;
+let _ARM_INS_USUB8 = 255;;
+let _ARM_INS_UXTAB = 256;;
+let _ARM_INS_UXTAB16 = 257;;
+let _ARM_INS_UXTAH = 258;;
+let _ARM_INS_UXTB = 259;;
+let _ARM_INS_UXTB16 = 260;;
+let _ARM_INS_UXTH = 261;;
+let _ARM_INS_VABAL = 262;;
+let _ARM_INS_VABA = 263;;
+let _ARM_INS_VABDL = 264;;
+let _ARM_INS_VABD = 265;;
+let _ARM_INS_VABS = 266;;
+let _ARM_INS_VACGE = 267;;
+let _ARM_INS_VACGT = 268;;
+let _ARM_INS_VADD = 269;;
+let _ARM_INS_VADDHN = 270;;
+let _ARM_INS_VADDL = 271;;
+let _ARM_INS_VADDW = 272;;
+let _ARM_INS_VAND = 273;;
+let _ARM_INS_VBIC = 274;;
+let _ARM_INS_VBIF = 275;;
+let _ARM_INS_VBIT = 276;;
+let _ARM_INS_VBSL = 277;;
+let _ARM_INS_VCEQ = 278;;
+let _ARM_INS_VCGE = 279;;
+let _ARM_INS_VCGT = 280;;
+let _ARM_INS_VCLE = 281;;
+let _ARM_INS_VCLS = 282;;
+let _ARM_INS_VCLT = 283;;
+let _ARM_INS_VCLZ = 284;;
+let _ARM_INS_VCMP = 285;;
+let _ARM_INS_VCMPE = 286;;
+let _ARM_INS_VCNT = 287;;
+let _ARM_INS_VCVTA = 288;;
+let _ARM_INS_VCVTB = 289;;
+let _ARM_INS_VCVT = 290;;
+let _ARM_INS_VCVTM = 291;;
+let _ARM_INS_VCVTN = 292;;
+let _ARM_INS_VCVTP = 293;;
+let _ARM_INS_VCVTT = 294;;
+let _ARM_INS_VDIV = 295;;
+let _ARM_INS_VDUP = 296;;
+let _ARM_INS_VEOR = 297;;
+let _ARM_INS_VEXT = 298;;
+let _ARM_INS_VFMA = 299;;
+let _ARM_INS_VFMS = 300;;
+let _ARM_INS_VFNMA = 301;;
+let _ARM_INS_VFNMS = 302;;
+let _ARM_INS_VHADD = 303;;
+let _ARM_INS_VHSUB = 304;;
+let _ARM_INS_VLD1 = 305;;
+let _ARM_INS_VLD2 = 306;;
+let _ARM_INS_VLD3 = 307;;
+let _ARM_INS_VLD4 = 308;;
+let _ARM_INS_VLDMDB = 309;;
+let _ARM_INS_VLDMIA = 310;;
+let _ARM_INS_VLDR = 311;;
+let _ARM_INS_VMAXNM = 312;;
+let _ARM_INS_VMAX = 313;;
+let _ARM_INS_VMINNM = 314;;
+let _ARM_INS_VMIN = 315;;
+let _ARM_INS_VMLA = 316;;
+let _ARM_INS_VMLAL = 317;;
+let _ARM_INS_VMLS = 318;;
+let _ARM_INS_VMLSL = 319;;
+let _ARM_INS_VMOVL = 320;;
+let _ARM_INS_VMOVN = 321;;
+let _ARM_INS_VMSR = 322;;
+let _ARM_INS_VMUL = 323;;
+let _ARM_INS_VMULL = 324;;
+let _ARM_INS_VMVN = 325;;
+let _ARM_INS_VNEG = 326;;
+let _ARM_INS_VNMLA = 327;;
+let _ARM_INS_VNMLS = 328;;
+let _ARM_INS_VNMUL = 329;;
+let _ARM_INS_VORN = 330;;
+let _ARM_INS_VORR = 331;;
+let _ARM_INS_VPADAL = 332;;
+let _ARM_INS_VPADDL = 333;;
+let _ARM_INS_VPADD = 334;;
+let _ARM_INS_VPMAX = 335;;
+let _ARM_INS_VPMIN = 336;;
+let _ARM_INS_VQABS = 337;;
+let _ARM_INS_VQADD = 338;;
+let _ARM_INS_VQDMLAL = 339;;
+let _ARM_INS_VQDMLSL = 340;;
+let _ARM_INS_VQDMULH = 341;;
+let _ARM_INS_VQDMULL = 342;;
+let _ARM_INS_VQMOVUN = 343;;
+let _ARM_INS_VQMOVN = 344;;
+let _ARM_INS_VQNEG = 345;;
+let _ARM_INS_VQRDMULH = 346;;
+let _ARM_INS_VQRSHL = 347;;
+let _ARM_INS_VQRSHRN = 348;;
+let _ARM_INS_VQRSHRUN = 349;;
+let _ARM_INS_VQSHL = 350;;
+let _ARM_INS_VQSHLU = 351;;
+let _ARM_INS_VQSHRN = 352;;
+let _ARM_INS_VQSHRUN = 353;;
+let _ARM_INS_VQSUB = 354;;
+let _ARM_INS_VRADDHN = 355;;
+let _ARM_INS_VRECPE = 356;;
+let _ARM_INS_VRECPS = 357;;
+let _ARM_INS_VREV16 = 358;;
+let _ARM_INS_VREV32 = 359;;
+let _ARM_INS_VREV64 = 360;;
+let _ARM_INS_VRHADD = 361;;
+let _ARM_INS_VRINTA = 362;;
+let _ARM_INS_VRINTM = 363;;
+let _ARM_INS_VRINTN = 364;;
+let _ARM_INS_VRINTP = 365;;
+let _ARM_INS_VRINTR = 366;;
+let _ARM_INS_VRINTX = 367;;
+let _ARM_INS_VRINTZ = 368;;
+let _ARM_INS_VRSHL = 369;;
+let _ARM_INS_VRSHRN = 370;;
+let _ARM_INS_VRSHR = 371;;
+let _ARM_INS_VRSQRTE = 372;;
+let _ARM_INS_VRSQRTS = 373;;
+let _ARM_INS_VRSRA = 374;;
+let _ARM_INS_VRSUBHN = 375;;
+let _ARM_INS_VSELEQ = 376;;
+let _ARM_INS_VSELGE = 377;;
+let _ARM_INS_VSELGT = 378;;
+let _ARM_INS_VSELVS = 379;;
+let _ARM_INS_VSHLL = 380;;
+let _ARM_INS_VSHL = 381;;
+let _ARM_INS_VSHRN = 382;;
+let _ARM_INS_VSHR = 383;;
+let _ARM_INS_VSLI = 384;;
+let _ARM_INS_VSQRT = 385;;
+let _ARM_INS_VSRA = 386;;
+let _ARM_INS_VSRI = 387;;
+let _ARM_INS_VST1 = 388;;
+let _ARM_INS_VST2 = 389;;
+let _ARM_INS_VST3 = 390;;
+let _ARM_INS_VST4 = 391;;
+let _ARM_INS_VSTMDB = 392;;
+let _ARM_INS_VSTMIA = 393;;
+let _ARM_INS_VSTR = 394;;
+let _ARM_INS_VSUB = 395;;
+let _ARM_INS_VSUBHN = 396;;
+let _ARM_INS_VSUBL = 397;;
+let _ARM_INS_VSUBW = 398;;
+let _ARM_INS_VSWP = 399;;
+let _ARM_INS_VTBL = 400;;
+let _ARM_INS_VTBX = 401;;
+let _ARM_INS_VCVTR = 402;;
+let _ARM_INS_VTRN = 403;;
+let _ARM_INS_VTST = 404;;
+let _ARM_INS_VUZP = 405;;
+let _ARM_INS_VZIP = 406;;
+let _ARM_INS_ADDW = 407;;
+let _ARM_INS_ASR = 408;;
+let _ARM_INS_DCPS1 = 409;;
+let _ARM_INS_DCPS2 = 410;;
+let _ARM_INS_DCPS3 = 411;;
+let _ARM_INS_IT = 412;;
+let _ARM_INS_LSL = 413;;
+let _ARM_INS_LSR = 414;;
 let _ARM_INS_ORN = 415;;
 let _ARM_INS_ROR = 416;;
 let _ARM_INS_RRX = 417;;
-let _ARM_INS_SUBS = 418;;
-let _ARM_INS_SUBW = 419;;
-let _ARM_INS_TBB = 420;;
-let _ARM_INS_TBH = 421;;
-let _ARM_INS_CBNZ = 422;;
-let _ARM_INS_CBZ = 423;;
-let _ARM_INS_MOVS = 424;;
-let _ARM_INS_POP = 425;;
-let _ARM_INS_PUSH = 426;;
-let _ARM_INS_NOP = 427;;
-let _ARM_INS_YIELD = 428;;
-let _ARM_INS_WFE = 429;;
-let _ARM_INS_WFI = 430;;
-let _ARM_INS_SEV = 431;;
-let _ARM_INS_SEVL = 432;;
-let _ARM_INS_VPUSH = 433;;
-let _ARM_INS_VPOP = 434;;
-let _ARM_INS_ENDING = 435;;
-
-(* Group of ARM instructions *)
+let _ARM_INS_SUBW = 418;;
+let _ARM_INS_TBB = 419;;
+let _ARM_INS_TBH = 420;;
+let _ARM_INS_CBNZ = 421;;
+let _ARM_INS_CBZ = 422;;
+let _ARM_INS_POP = 423;;
+let _ARM_INS_PUSH = 424;;
+let _ARM_INS_NOP = 425;;
+let _ARM_INS_YIELD = 426;;
+let _ARM_INS_WFE = 427;;
+let _ARM_INS_WFI = 428;;
+let _ARM_INS_SEV = 429;;
+let _ARM_INS_SEVL = 430;;
+let _ARM_INS_VPUSH = 431;;
+let _ARM_INS_VPOP = 432;;
+let _ARM_INS_ENDING = 433;;
 
 let _ARM_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _ARM_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
+let _ARM_GRP_CALL = 2;;
+let _ARM_GRP_INT = 4;;
+let _ARM_GRP_PRIVILEGE = 6;;
+let _ARM_GRP_BRANCH_RELATIVE = 7;;
 let _ARM_GRP_CRYPTO = 128;;
 let _ARM_GRP_DATABARRIER = 129;;
 let _ARM_GRP_DIVIDE = 130;;
@@ -763,4 +771,5 @@ let _ARM_GRP_MULOPS = 155;;
 let _ARM_GRP_CRC = 156;;
 let _ARM_GRP_DPVFP = 157;;
 let _ARM_GRP_V6M = 158;;
-let _ARM_GRP_ENDING = 159;;
+let _ARM_GRP_VIRTUALIZATION = 159;;
+let _ARM_GRP_ENDING = 160;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/arm.ml 4.0.2-3/bindings/ocaml/arm.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/arm.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/arm.ml	2020-05-08 10:03:30.000000000 +0000
@@ -18,7 +18,8 @@ type arm_op_mem = {
 	base: int;
 	index: int;
 	scale: int;
-	disp: int
+	disp: int;
+	lshift: int;
 }
 
 type arm_op_value =
@@ -36,6 +37,8 @@ type arm_op = {
 	shift: arm_op_shift;
 	value: arm_op_value;
 	subtracted: bool;
+	access: int;
+	neon_lane: int;
 }
 
 type cs_arm = {
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/capstone.ml 4.0.2-3/bindings/ocaml/capstone.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/capstone.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/capstone.ml	2020-05-08 10:03:30.000000000 +0000
@@ -9,6 +9,7 @@ open X86
 open Sparc
 open Systemz
 open Xcore
+open M680x
 open Printf	(* debug *)
 
 (* Hardware architectures *)
@@ -21,6 +22,9 @@ type arch =
   | CS_ARCH_SPARC
   | CS_ARCH_SYSZ
   | CS_ARCH_XCORE
+  | CS_ARCH_M68K
+  | CS_ARCH_TMS320C64X
+  | CS_ARCH_M680X
 
 (* Hardware modes *)
 type mode =
@@ -35,11 +39,23 @@ type mode =
   |	CS_MODE_MICRO		(* MicroMips mode (MIPS architecture) *)
   |	CS_MODE_MIPS3		(* Mips3 mode (MIPS architecture) *)
   |	CS_MODE_MIPS32R6	(* Mips32-R6 mode (MIPS architecture) *)
-  |	CS_MODE_MIPSGP64	(* MipsGP64 mode (MIPS architecture) *)
+  |	CS_MODE_MIPS2	    (* Mips2 mode (MIPS architecture) *)
   |	CS_MODE_V9			(* SparcV9 mode (Sparc architecture) *)
   |	CS_MODE_BIG_ENDIAN	(* big-endian mode *)
   |	CS_MODE_MIPS32		(* Mips32 mode (for Mips) *)
   |	CS_MODE_MIPS64		(* Mips64 mode (for Mips) *)
+  |	CS_MODE_QPX         (* Quad Processing eXtensions mode (PowerPC) *)
+  |	CS_MODE_M680X_6301	(* M680X Hitachi 6301,6303 mode *)
+  |	CS_MODE_M680X_6309	(* M680X Hitachi 6309 mode *)
+  |	CS_MODE_M680X_6800	(* M680X Motorola 6800,6802 mode *)
+  |	CS_MODE_M680X_6801	(* M680X Motorola 6801,6803 mode *)
+  |	CS_MODE_M680X_6805	(* M680X Motorola 6805 mode *)
+  |	CS_MODE_M680X_6808	(* M680X Motorola 6808 mode *)
+  |	CS_MODE_M680X_6809	(* M680X Motorola 6809 mode *)
+  |	CS_MODE_M680X_6811	(* M680X Motorola/Freescale 68HC11 mode *)
+  |	CS_MODE_M680X_CPU12	(* M680X Motorola/Freescale/NXP CPU12 mode *)
+  |	CS_MODE_M680X_HCS08	(* M680X Freescale HCS08 mode *)
+
 
 
 (* Runtime option for the disassembled engine *)
@@ -52,6 +68,12 @@ type opt_type =
   |	CS_OPT_SKIPDATA_SETUP 	(* Setup user-defined function for SKIPDATA option *)
 
 
+(* Common instruction operand access types - to be consistent across all architectures. *)
+(* It is possible to combine access types, for example: CS_AC_READ | CS_AC_WRITE *)
+let _CS_AC_INVALID = 0;;	(* Uninitialized/invalid access type. *)
+let _CS_AC_READ    = 1 lsl 0;; (* Operand read from memory or register. *)
+let _CS_AC_WRITE   = 1 lsl 1;; (* Operand write to memory or register. *)
+
 (* Runtime option value (associated with option type above) *)
 let _CS_OPT_OFF = 0L;; (* Turn OFF an option - default option of CS_OPT_DETAIL, CS_OPT_SKIPDATA. *)
 let _CS_OPT_ON = 3L;;  (* Turn ON an option (CS_OPT_DETAIL, CS_OPT_SKIPDATA). *)
@@ -74,6 +96,7 @@ let _CS_GRP_CALL    = 2;;  (* all call i
 let _CS_GRP_RET     = 3;;  (* all return instructions *)
 let _CS_GRP_INT     = 4;;  (* all interrupt instructions (int+syscall) *)
 let _CS_GRP_IRET    = 5;;  (* all interrupt return instructions *)
+let _CS_GRP_PRIVILEGE = 6;;  (* all privileged instructions *)
 
 type cs_arch =
 	| CS_INFO_ARM of cs_arm
@@ -84,6 +107,7 @@ type cs_arch =
 	| CS_INFO_SPARC of cs_sparc
 	| CS_INFO_SYSZ of cs_sysz
 	| CS_INFO_XCORE of cs_xcore
+	| CS_INFO_M680X of cs_m680x
 
 
 type csh = {
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/evm_const.ml 4.0.2-3/bindings/ocaml/evm_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/evm_const.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/evm_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,151 @@
+(* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [evm_const.ml] *)
+
+let _EVM_INS_STOP = 0;;
+let _EVM_INS_ADD = 1;;
+let _EVM_INS_MUL = 2;;
+let _EVM_INS_SUB = 3;;
+let _EVM_INS_DIV = 4;;
+let _EVM_INS_SDIV = 5;;
+let _EVM_INS_MOD = 6;;
+let _EVM_INS_SMOD = 7;;
+let _EVM_INS_ADDMOD = 8;;
+let _EVM_INS_MULMOD = 9;;
+let _EVM_INS_EXP = 10;;
+let _EVM_INS_SIGNEXTEND = 11;;
+let _EVM_INS_LT = 16;;
+let _EVM_INS_GT = 17;;
+let _EVM_INS_SLT = 18;;
+let _EVM_INS_SGT = 19;;
+let _EVM_INS_EQ = 20;;
+let _EVM_INS_ISZERO = 21;;
+let _EVM_INS_AND = 22;;
+let _EVM_INS_OR = 23;;
+let _EVM_INS_XOR = 24;;
+let _EVM_INS_NOT = 25;;
+let _EVM_INS_BYTE = 26;;
+let _EVM_INS_SHA3 = 32;;
+let _EVM_INS_ADDRESS = 48;;
+let _EVM_INS_BALANCE = 49;;
+let _EVM_INS_ORIGIN = 50;;
+let _EVM_INS_CALLER = 51;;
+let _EVM_INS_CALLVALUE = 52;;
+let _EVM_INS_CALLDATALOAD = 53;;
+let _EVM_INS_CALLDATASIZE = 54;;
+let _EVM_INS_CALLDATACOPY = 55;;
+let _EVM_INS_CODESIZE = 56;;
+let _EVM_INS_CODECOPY = 57;;
+let _EVM_INS_GASPRICE = 58;;
+let _EVM_INS_EXTCODESIZE = 59;;
+let _EVM_INS_EXTCODECOPY = 60;;
+let _EVM_INS_RETURNDATASIZE = 61;;
+let _EVM_INS_RETURNDATACOPY = 62;;
+let _EVM_INS_BLOCKHASH = 64;;
+let _EVM_INS_COINBASE = 65;;
+let _EVM_INS_TIMESTAMP = 66;;
+let _EVM_INS_NUMBER = 67;;
+let _EVM_INS_DIFFICULTY = 68;;
+let _EVM_INS_GASLIMIT = 69;;
+let _EVM_INS_POP = 80;;
+let _EVM_INS_MLOAD = 81;;
+let _EVM_INS_MSTORE = 82;;
+let _EVM_INS_MSTORE8 = 83;;
+let _EVM_INS_SLOAD = 84;;
+let _EVM_INS_SSTORE = 85;;
+let _EVM_INS_JUMP = 86;;
+let _EVM_INS_JUMPI = 87;;
+let _EVM_INS_PC = 88;;
+let _EVM_INS_MSIZE = 89;;
+let _EVM_INS_GAS = 90;;
+let _EVM_INS_JUMPDEST = 91;;
+let _EVM_INS_PUSH1 = 96;;
+let _EVM_INS_PUSH2 = 97;;
+let _EVM_INS_PUSH3 = 98;;
+let _EVM_INS_PUSH4 = 99;;
+let _EVM_INS_PUSH5 = 100;;
+let _EVM_INS_PUSH6 = 101;;
+let _EVM_INS_PUSH7 = 102;;
+let _EVM_INS_PUSH8 = 103;;
+let _EVM_INS_PUSH9 = 104;;
+let _EVM_INS_PUSH10 = 105;;
+let _EVM_INS_PUSH11 = 106;;
+let _EVM_INS_PUSH12 = 107;;
+let _EVM_INS_PUSH13 = 108;;
+let _EVM_INS_PUSH14 = 109;;
+let _EVM_INS_PUSH15 = 110;;
+let _EVM_INS_PUSH16 = 111;;
+let _EVM_INS_PUSH17 = 112;;
+let _EVM_INS_PUSH18 = 113;;
+let _EVM_INS_PUSH19 = 114;;
+let _EVM_INS_PUSH20 = 115;;
+let _EVM_INS_PUSH21 = 116;;
+let _EVM_INS_PUSH22 = 117;;
+let _EVM_INS_PUSH23 = 118;;
+let _EVM_INS_PUSH24 = 119;;
+let _EVM_INS_PUSH25 = 120;;
+let _EVM_INS_PUSH26 = 121;;
+let _EVM_INS_PUSH27 = 122;;
+let _EVM_INS_PUSH28 = 123;;
+let _EVM_INS_PUSH29 = 124;;
+let _EVM_INS_PUSH30 = 125;;
+let _EVM_INS_PUSH31 = 126;;
+let _EVM_INS_PUSH32 = 127;;
+let _EVM_INS_DUP1 = 128;;
+let _EVM_INS_DUP2 = 129;;
+let _EVM_INS_DUP3 = 130;;
+let _EVM_INS_DUP4 = 131;;
+let _EVM_INS_DUP5 = 132;;
+let _EVM_INS_DUP6 = 133;;
+let _EVM_INS_DUP7 = 134;;
+let _EVM_INS_DUP8 = 135;;
+let _EVM_INS_DUP9 = 136;;
+let _EVM_INS_DUP10 = 137;;
+let _EVM_INS_DUP11 = 138;;
+let _EVM_INS_DUP12 = 139;;
+let _EVM_INS_DUP13 = 140;;
+let _EVM_INS_DUP14 = 141;;
+let _EVM_INS_DUP15 = 142;;
+let _EVM_INS_DUP16 = 143;;
+let _EVM_INS_SWAP1 = 144;;
+let _EVM_INS_SWAP2 = 145;;
+let _EVM_INS_SWAP3 = 146;;
+let _EVM_INS_SWAP4 = 147;;
+let _EVM_INS_SWAP5 = 148;;
+let _EVM_INS_SWAP6 = 149;;
+let _EVM_INS_SWAP7 = 150;;
+let _EVM_INS_SWAP8 = 151;;
+let _EVM_INS_SWAP9 = 152;;
+let _EVM_INS_SWAP10 = 153;;
+let _EVM_INS_SWAP11 = 154;;
+let _EVM_INS_SWAP12 = 155;;
+let _EVM_INS_SWAP13 = 156;;
+let _EVM_INS_SWAP14 = 157;;
+let _EVM_INS_SWAP15 = 158;;
+let _EVM_INS_SWAP16 = 159;;
+let _EVM_INS_LOG0 = 160;;
+let _EVM_INS_LOG1 = 161;;
+let _EVM_INS_LOG2 = 162;;
+let _EVM_INS_LOG3 = 163;;
+let _EVM_INS_LOG4 = 164;;
+let _EVM_INS_CREATE = 240;;
+let _EVM_INS_CALL = 241;;
+let _EVM_INS_CALLCODE = 242;;
+let _EVM_INS_RETURN = 243;;
+let _EVM_INS_DELEGATECALL = 244;;
+let _EVM_INS_CALLBLACKBOX = 245;;
+let _EVM_INS_STATICCALL = 250;;
+let _EVM_INS_REVERT = 253;;
+let _EVM_INS_SUICIDE = 255;;
+let _EVM_INS_INVALID = 512;;
+let _EVM_INS_ENDING = 513;;
+
+let _EVM_GRP_INVALID = 0;;
+let _EVM_GRP_JUMP = 1;;
+let _EVM_GRP_MATH = 8;;
+let _EVM_GRP_STACK_WRITE = 9;;
+let _EVM_GRP_STACK_READ = 10;;
+let _EVM_GRP_MEM_WRITE = 11;;
+let _EVM_GRP_MEM_READ = 12;;
+let _EVM_GRP_STORE_WRITE = 13;;
+let _EVM_GRP_STORE_READ = 14;;
+let _EVM_GRP_HALT = 15;;
+let _EVM_GRP_ENDING = 16;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/m680x_const.ml 4.0.2-3/bindings/ocaml/m680x_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/m680x_const.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/m680x_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,415 @@
+(* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [m680x_const.ml] *)
+let _M680X_OPERAND_COUNT = 9;;
+
+let _M680X_REG_INVALID = 0;;
+let _M680X_REG_A = 1;;
+let _M680X_REG_B = 2;;
+let _M680X_REG_E = 3;;
+let _M680X_REG_F = 4;;
+let _M680X_REG_0 = 5;;
+let _M680X_REG_D = 6;;
+let _M680X_REG_W = 7;;
+let _M680X_REG_CC = 8;;
+let _M680X_REG_DP = 9;;
+let _M680X_REG_MD = 10;;
+let _M680X_REG_HX = 11;;
+let _M680X_REG_H = 12;;
+let _M680X_REG_X = 13;;
+let _M680X_REG_Y = 14;;
+let _M680X_REG_S = 15;;
+let _M680X_REG_U = 16;;
+let _M680X_REG_V = 17;;
+let _M680X_REG_Q = 18;;
+let _M680X_REG_PC = 19;;
+let _M680X_REG_TMP2 = 20;;
+let _M680X_REG_TMP3 = 21;;
+let _M680X_REG_ENDING = 22;;
+
+let _M680X_OP_INVALID = 0;;
+let _M680X_OP_REGISTER = 1;;
+let _M680X_OP_IMMEDIATE = 2;;
+let _M680X_OP_INDEXED = 3;;
+let _M680X_OP_EXTENDED = 4;;
+let _M680X_OP_DIRECT = 5;;
+let _M680X_OP_RELATIVE = 6;;
+let _M680X_OP_CONSTANT = 7;;
+
+let _M680X_OFFSET_NONE = 0;;
+let _M680X_OFFSET_BITS_5 = 5;;
+let _M680X_OFFSET_BITS_8 = 8;;
+let _M680X_OFFSET_BITS_9 = 9;;
+let _M680X_OFFSET_BITS_16 = 16;;
+let _M680X_IDX_INDIRECT = 1;;
+let _M680X_IDX_NO_COMMA = 2;;
+let _M680X_IDX_POST_INC_DEC = 4;;
+
+let _M680X_GRP_INVALID = 0;;
+let _M680X_GRP_JUMP = 1;;
+let _M680X_GRP_CALL = 2;;
+let _M680X_GRP_RET = 3;;
+let _M680X_GRP_INT = 4;;
+let _M680X_GRP_IRET = 5;;
+let _M680X_GRP_PRIV = 6;;
+let _M680X_GRP_BRAREL = 7;;
+let _M680X_GRP_ENDING = 8;;
+let _M680X_FIRST_OP_IN_MNEM = 1;;
+let _M680X_SECOND_OP_IN_MNEM = 2;;
+
+let _M680X_INS_INVLD = 0;;
+let _M680X_INS_ABA = 1;;
+let _M680X_INS_ABX = 2;;
+let _M680X_INS_ABY = 3;;
+let _M680X_INS_ADC = 4;;
+let _M680X_INS_ADCA = 5;;
+let _M680X_INS_ADCB = 6;;
+let _M680X_INS_ADCD = 7;;
+let _M680X_INS_ADCR = 8;;
+let _M680X_INS_ADD = 9;;
+let _M680X_INS_ADDA = 10;;
+let _M680X_INS_ADDB = 11;;
+let _M680X_INS_ADDD = 12;;
+let _M680X_INS_ADDE = 13;;
+let _M680X_INS_ADDF = 14;;
+let _M680X_INS_ADDR = 15;;
+let _M680X_INS_ADDW = 16;;
+let _M680X_INS_AIM = 17;;
+let _M680X_INS_AIS = 18;;
+let _M680X_INS_AIX = 19;;
+let _M680X_INS_AND = 20;;
+let _M680X_INS_ANDA = 21;;
+let _M680X_INS_ANDB = 22;;
+let _M680X_INS_ANDCC = 23;;
+let _M680X_INS_ANDD = 24;;
+let _M680X_INS_ANDR = 25;;
+let _M680X_INS_ASL = 26;;
+let _M680X_INS_ASLA = 27;;
+let _M680X_INS_ASLB = 28;;
+let _M680X_INS_ASLD = 29;;
+let _M680X_INS_ASR = 30;;
+let _M680X_INS_ASRA = 31;;
+let _M680X_INS_ASRB = 32;;
+let _M680X_INS_ASRD = 33;;
+let _M680X_INS_ASRX = 34;;
+let _M680X_INS_BAND = 35;;
+let _M680X_INS_BCC = 36;;
+let _M680X_INS_BCLR = 37;;
+let _M680X_INS_BCS = 38;;
+let _M680X_INS_BEOR = 39;;
+let _M680X_INS_BEQ = 40;;
+let _M680X_INS_BGE = 41;;
+let _M680X_INS_BGND = 42;;
+let _M680X_INS_BGT = 43;;
+let _M680X_INS_BHCC = 44;;
+let _M680X_INS_BHCS = 45;;
+let _M680X_INS_BHI = 46;;
+let _M680X_INS_BIAND = 47;;
+let _M680X_INS_BIEOR = 48;;
+let _M680X_INS_BIH = 49;;
+let _M680X_INS_BIL = 50;;
+let _M680X_INS_BIOR = 51;;
+let _M680X_INS_BIT = 52;;
+let _M680X_INS_BITA = 53;;
+let _M680X_INS_BITB = 54;;
+let _M680X_INS_BITD = 55;;
+let _M680X_INS_BITMD = 56;;
+let _M680X_INS_BLE = 57;;
+let _M680X_INS_BLS = 58;;
+let _M680X_INS_BLT = 59;;
+let _M680X_INS_BMC = 60;;
+let _M680X_INS_BMI = 61;;
+let _M680X_INS_BMS = 62;;
+let _M680X_INS_BNE = 63;;
+let _M680X_INS_BOR = 64;;
+let _M680X_INS_BPL = 65;;
+let _M680X_INS_BRCLR = 66;;
+let _M680X_INS_BRSET = 67;;
+let _M680X_INS_BRA = 68;;
+let _M680X_INS_BRN = 69;;
+let _M680X_INS_BSET = 70;;
+let _M680X_INS_BSR = 71;;
+let _M680X_INS_BVC = 72;;
+let _M680X_INS_BVS = 73;;
+let _M680X_INS_CALL = 74;;
+let _M680X_INS_CBA = 75;;
+let _M680X_INS_CBEQ = 76;;
+let _M680X_INS_CBEQA = 77;;
+let _M680X_INS_CBEQX = 78;;
+let _M680X_INS_CLC = 79;;
+let _M680X_INS_CLI = 80;;
+let _M680X_INS_CLR = 81;;
+let _M680X_INS_CLRA = 82;;
+let _M680X_INS_CLRB = 83;;
+let _M680X_INS_CLRD = 84;;
+let _M680X_INS_CLRE = 85;;
+let _M680X_INS_CLRF = 86;;
+let _M680X_INS_CLRH = 87;;
+let _M680X_INS_CLRW = 88;;
+let _M680X_INS_CLRX = 89;;
+let _M680X_INS_CLV = 90;;
+let _M680X_INS_CMP = 91;;
+let _M680X_INS_CMPA = 92;;
+let _M680X_INS_CMPB = 93;;
+let _M680X_INS_CMPD = 94;;
+let _M680X_INS_CMPE = 95;;
+let _M680X_INS_CMPF = 96;;
+let _M680X_INS_CMPR = 97;;
+let _M680X_INS_CMPS = 98;;
+let _M680X_INS_CMPU = 99;;
+let _M680X_INS_CMPW = 100;;
+let _M680X_INS_CMPX = 101;;
+let _M680X_INS_CMPY = 102;;
+let _M680X_INS_COM = 103;;
+let _M680X_INS_COMA = 104;;
+let _M680X_INS_COMB = 105;;
+let _M680X_INS_COMD = 106;;
+let _M680X_INS_COME = 107;;
+let _M680X_INS_COMF = 108;;
+let _M680X_INS_COMW = 109;;
+let _M680X_INS_COMX = 110;;
+let _M680X_INS_CPD = 111;;
+let _M680X_INS_CPHX = 112;;
+let _M680X_INS_CPS = 113;;
+let _M680X_INS_CPX = 114;;
+let _M680X_INS_CPY = 115;;
+let _M680X_INS_CWAI = 116;;
+let _M680X_INS_DAA = 117;;
+let _M680X_INS_DBEQ = 118;;
+let _M680X_INS_DBNE = 119;;
+let _M680X_INS_DBNZ = 120;;
+let _M680X_INS_DBNZA = 121;;
+let _M680X_INS_DBNZX = 122;;
+let _M680X_INS_DEC = 123;;
+let _M680X_INS_DECA = 124;;
+let _M680X_INS_DECB = 125;;
+let _M680X_INS_DECD = 126;;
+let _M680X_INS_DECE = 127;;
+let _M680X_INS_DECF = 128;;
+let _M680X_INS_DECW = 129;;
+let _M680X_INS_DECX = 130;;
+let _M680X_INS_DES = 131;;
+let _M680X_INS_DEX = 132;;
+let _M680X_INS_DEY = 133;;
+let _M680X_INS_DIV = 134;;
+let _M680X_INS_DIVD = 135;;
+let _M680X_INS_DIVQ = 136;;
+let _M680X_INS_EDIV = 137;;
+let _M680X_INS_EDIVS = 138;;
+let _M680X_INS_EIM = 139;;
+let _M680X_INS_EMACS = 140;;
+let _M680X_INS_EMAXD = 141;;
+let _M680X_INS_EMAXM = 142;;
+let _M680X_INS_EMIND = 143;;
+let _M680X_INS_EMINM = 144;;
+let _M680X_INS_EMUL = 145;;
+let _M680X_INS_EMULS = 146;;
+let _M680X_INS_EOR = 147;;
+let _M680X_INS_EORA = 148;;
+let _M680X_INS_EORB = 149;;
+let _M680X_INS_EORD = 150;;
+let _M680X_INS_EORR = 151;;
+let _M680X_INS_ETBL = 152;;
+let _M680X_INS_EXG = 153;;
+let _M680X_INS_FDIV = 154;;
+let _M680X_INS_IBEQ = 155;;
+let _M680X_INS_IBNE = 156;;
+let _M680X_INS_IDIV = 157;;
+let _M680X_INS_IDIVS = 158;;
+let _M680X_INS_ILLGL = 159;;
+let _M680X_INS_INC = 160;;
+let _M680X_INS_INCA = 161;;
+let _M680X_INS_INCB = 162;;
+let _M680X_INS_INCD = 163;;
+let _M680X_INS_INCE = 164;;
+let _M680X_INS_INCF = 165;;
+let _M680X_INS_INCW = 166;;
+let _M680X_INS_INCX = 167;;
+let _M680X_INS_INS = 168;;
+let _M680X_INS_INX = 169;;
+let _M680X_INS_INY = 170;;
+let _M680X_INS_JMP = 171;;
+let _M680X_INS_JSR = 172;;
+let _M680X_INS_LBCC = 173;;
+let _M680X_INS_LBCS = 174;;
+let _M680X_INS_LBEQ = 175;;
+let _M680X_INS_LBGE = 176;;
+let _M680X_INS_LBGT = 177;;
+let _M680X_INS_LBHI = 178;;
+let _M680X_INS_LBLE = 179;;
+let _M680X_INS_LBLS = 180;;
+let _M680X_INS_LBLT = 181;;
+let _M680X_INS_LBMI = 182;;
+let _M680X_INS_LBNE = 183;;
+let _M680X_INS_LBPL = 184;;
+let _M680X_INS_LBRA = 185;;
+let _M680X_INS_LBRN = 186;;
+let _M680X_INS_LBSR = 187;;
+let _M680X_INS_LBVC = 188;;
+let _M680X_INS_LBVS = 189;;
+let _M680X_INS_LDA = 190;;
+let _M680X_INS_LDAA = 191;;
+let _M680X_INS_LDAB = 192;;
+let _M680X_INS_LDB = 193;;
+let _M680X_INS_LDBT = 194;;
+let _M680X_INS_LDD = 195;;
+let _M680X_INS_LDE = 196;;
+let _M680X_INS_LDF = 197;;
+let _M680X_INS_LDHX = 198;;
+let _M680X_INS_LDMD = 199;;
+let _M680X_INS_LDQ = 200;;
+let _M680X_INS_LDS = 201;;
+let _M680X_INS_LDU = 202;;
+let _M680X_INS_LDW = 203;;
+let _M680X_INS_LDX = 204;;
+let _M680X_INS_LDY = 205;;
+let _M680X_INS_LEAS = 206;;
+let _M680X_INS_LEAU = 207;;
+let _M680X_INS_LEAX = 208;;
+let _M680X_INS_LEAY = 209;;
+let _M680X_INS_LSL = 210;;
+let _M680X_INS_LSLA = 211;;
+let _M680X_INS_LSLB = 212;;
+let _M680X_INS_LSLD = 213;;
+let _M680X_INS_LSLX = 214;;
+let _M680X_INS_LSR = 215;;
+let _M680X_INS_LSRA = 216;;
+let _M680X_INS_LSRB = 217;;
+let _M680X_INS_LSRD = 218;;
+let _M680X_INS_LSRW = 219;;
+let _M680X_INS_LSRX = 220;;
+let _M680X_INS_MAXA = 221;;
+let _M680X_INS_MAXM = 222;;
+let _M680X_INS_MEM = 223;;
+let _M680X_INS_MINA = 224;;
+let _M680X_INS_MINM = 225;;
+let _M680X_INS_MOV = 226;;
+let _M680X_INS_MOVB = 227;;
+let _M680X_INS_MOVW = 228;;
+let _M680X_INS_MUL = 229;;
+let _M680X_INS_MULD = 230;;
+let _M680X_INS_NEG = 231;;
+let _M680X_INS_NEGA = 232;;
+let _M680X_INS_NEGB = 233;;
+let _M680X_INS_NEGD = 234;;
+let _M680X_INS_NEGX = 235;;
+let _M680X_INS_NOP = 236;;
+let _M680X_INS_NSA = 237;;
+let _M680X_INS_OIM = 238;;
+let _M680X_INS_ORA = 239;;
+let _M680X_INS_ORAA = 240;;
+let _M680X_INS_ORAB = 241;;
+let _M680X_INS_ORB = 242;;
+let _M680X_INS_ORCC = 243;;
+let _M680X_INS_ORD = 244;;
+let _M680X_INS_ORR = 245;;
+let _M680X_INS_PSHA = 246;;
+let _M680X_INS_PSHB = 247;;
+let _M680X_INS_PSHC = 248;;
+let _M680X_INS_PSHD = 249;;
+let _M680X_INS_PSHH = 250;;
+let _M680X_INS_PSHS = 251;;
+let _M680X_INS_PSHSW = 252;;
+let _M680X_INS_PSHU = 253;;
+let _M680X_INS_PSHUW = 254;;
+let _M680X_INS_PSHX = 255;;
+let _M680X_INS_PSHY = 256;;
+let _M680X_INS_PULA = 257;;
+let _M680X_INS_PULB = 258;;
+let _M680X_INS_PULC = 259;;
+let _M680X_INS_PULD = 260;;
+let _M680X_INS_PULH = 261;;
+let _M680X_INS_PULS = 262;;
+let _M680X_INS_PULSW = 263;;
+let _M680X_INS_PULU = 264;;
+let _M680X_INS_PULUW = 265;;
+let _M680X_INS_PULX = 266;;
+let _M680X_INS_PULY = 267;;
+let _M680X_INS_REV = 268;;
+let _M680X_INS_REVW = 269;;
+let _M680X_INS_ROL = 270;;
+let _M680X_INS_ROLA = 271;;
+let _M680X_INS_ROLB = 272;;
+let _M680X_INS_ROLD = 273;;
+let _M680X_INS_ROLW = 274;;
+let _M680X_INS_ROLX = 275;;
+let _M680X_INS_ROR = 276;;
+let _M680X_INS_RORA = 277;;
+let _M680X_INS_RORB = 278;;
+let _M680X_INS_RORD = 279;;
+let _M680X_INS_RORW = 280;;
+let _M680X_INS_RORX = 281;;
+let _M680X_INS_RSP = 282;;
+let _M680X_INS_RTC = 283;;
+let _M680X_INS_RTI = 284;;
+let _M680X_INS_RTS = 285;;
+let _M680X_INS_SBA = 286;;
+let _M680X_INS_SBC = 287;;
+let _M680X_INS_SBCA = 288;;
+let _M680X_INS_SBCB = 289;;
+let _M680X_INS_SBCD = 290;;
+let _M680X_INS_SBCR = 291;;
+let _M680X_INS_SEC = 292;;
+let _M680X_INS_SEI = 293;;
+let _M680X_INS_SEV = 294;;
+let _M680X_INS_SEX = 295;;
+let _M680X_INS_SEXW = 296;;
+let _M680X_INS_SLP = 297;;
+let _M680X_INS_STA = 298;;
+let _M680X_INS_STAA = 299;;
+let _M680X_INS_STAB = 300;;
+let _M680X_INS_STB = 301;;
+let _M680X_INS_STBT = 302;;
+let _M680X_INS_STD = 303;;
+let _M680X_INS_STE = 304;;
+let _M680X_INS_STF = 305;;
+let _M680X_INS_STOP = 306;;
+let _M680X_INS_STHX = 307;;
+let _M680X_INS_STQ = 308;;
+let _M680X_INS_STS = 309;;
+let _M680X_INS_STU = 310;;
+let _M680X_INS_STW = 311;;
+let _M680X_INS_STX = 312;;
+let _M680X_INS_STY = 313;;
+let _M680X_INS_SUB = 314;;
+let _M680X_INS_SUBA = 315;;
+let _M680X_INS_SUBB = 316;;
+let _M680X_INS_SUBD = 317;;
+let _M680X_INS_SUBE = 318;;
+let _M680X_INS_SUBF = 319;;
+let _M680X_INS_SUBR = 320;;
+let _M680X_INS_SUBW = 321;;
+let _M680X_INS_SWI = 322;;
+let _M680X_INS_SWI2 = 323;;
+let _M680X_INS_SWI3 = 324;;
+let _M680X_INS_SYNC = 325;;
+let _M680X_INS_TAB = 326;;
+let _M680X_INS_TAP = 327;;
+let _M680X_INS_TAX = 328;;
+let _M680X_INS_TBA = 329;;
+let _M680X_INS_TBEQ = 330;;
+let _M680X_INS_TBL = 331;;
+let _M680X_INS_TBNE = 332;;
+let _M680X_INS_TEST = 333;;
+let _M680X_INS_TFM = 334;;
+let _M680X_INS_TFR = 335;;
+let _M680X_INS_TIM = 336;;
+let _M680X_INS_TPA = 337;;
+let _M680X_INS_TST = 338;;
+let _M680X_INS_TSTA = 339;;
+let _M680X_INS_TSTB = 340;;
+let _M680X_INS_TSTD = 341;;
+let _M680X_INS_TSTE = 342;;
+let _M680X_INS_TSTF = 343;;
+let _M680X_INS_TSTW = 344;;
+let _M680X_INS_TSTX = 345;;
+let _M680X_INS_TSX = 346;;
+let _M680X_INS_TSY = 347;;
+let _M680X_INS_TXA = 348;;
+let _M680X_INS_TXS = 349;;
+let _M680X_INS_TYS = 350;;
+let _M680X_INS_WAI = 351;;
+let _M680X_INS_WAIT = 352;;
+let _M680X_INS_WAV = 353;;
+let _M680X_INS_WAVR = 354;;
+let _M680X_INS_XGDX = 355;;
+let _M680X_INS_XGDY = 356;;
+let _M680X_INS_ENDING = 357;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/m680x.ml 4.0.2-3/bindings/ocaml/m680x.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/m680x.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/m680x.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,48 @@
+(* Capstone Disassembly Engine
+ * M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 *)
+
+open M680x_const
+
+
+(* architecture specific info of instruction *)
+type m680x_op_idx = {
+	base_reg: int;
+	offset_reg: int;
+	offset: int;
+	offset_addr: int;
+	offset_bits: int;
+	inc_dec: int;
+	flags: int;
+}
+
+type m680x_op_rel = {
+	addr_rel: int;
+	offset: int;
+}
+
+type m680x_op_ext = {
+	addr_ext: int;
+	indirect: bool;
+}
+
+type m680x_op_value =
+	| M680X_OP_INVALID of int
+	| M680X_OP_IMMEDIATE of int
+	| M680X_OP_REGISTER of int
+	| M680X_OP_INDEXED of m680x_op_idx
+	| M680X_OP_RELATIVE of m680x_op_rel
+	| M680X_OP_EXTENDED of m680x_op_ext
+	| M680X_OP_DIRECT of int
+	| M680X_OP_CONSTANT of int
+
+type m680x_op = {
+	value: m680x_op_value;
+	size: int;
+	access: int;
+}
+
+type cs_m680x = {
+	flags: int;
+	operands: m680x_op array;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/m68k_const.ml 4.0.2-3/bindings/ocaml/m68k_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/m68k_const.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/m68k_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,485 @@
+(* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [m68k_const.ml] *)
+let _M68K_OPERAND_COUNT = 4;;
+
+let _M68K_REG_INVALID = 0;;
+let _M68K_REG_D0 = 1;;
+let _M68K_REG_D1 = 2;;
+let _M68K_REG_D2 = 3;;
+let _M68K_REG_D3 = 4;;
+let _M68K_REG_D4 = 5;;
+let _M68K_REG_D5 = 6;;
+let _M68K_REG_D6 = 7;;
+let _M68K_REG_D7 = 8;;
+let _M68K_REG_A0 = 9;;
+let _M68K_REG_A1 = 10;;
+let _M68K_REG_A2 = 11;;
+let _M68K_REG_A3 = 12;;
+let _M68K_REG_A4 = 13;;
+let _M68K_REG_A5 = 14;;
+let _M68K_REG_A6 = 15;;
+let _M68K_REG_A7 = 16;;
+let _M68K_REG_FP0 = 17;;
+let _M68K_REG_FP1 = 18;;
+let _M68K_REG_FP2 = 19;;
+let _M68K_REG_FP3 = 20;;
+let _M68K_REG_FP4 = 21;;
+let _M68K_REG_FP5 = 22;;
+let _M68K_REG_FP6 = 23;;
+let _M68K_REG_FP7 = 24;;
+let _M68K_REG_PC = 25;;
+let _M68K_REG_SR = 26;;
+let _M68K_REG_CCR = 27;;
+let _M68K_REG_SFC = 28;;
+let _M68K_REG_DFC = 29;;
+let _M68K_REG_USP = 30;;
+let _M68K_REG_VBR = 31;;
+let _M68K_REG_CACR = 32;;
+let _M68K_REG_CAAR = 33;;
+let _M68K_REG_MSP = 34;;
+let _M68K_REG_ISP = 35;;
+let _M68K_REG_TC = 36;;
+let _M68K_REG_ITT0 = 37;;
+let _M68K_REG_ITT1 = 38;;
+let _M68K_REG_DTT0 = 39;;
+let _M68K_REG_DTT1 = 40;;
+let _M68K_REG_MMUSR = 41;;
+let _M68K_REG_URP = 42;;
+let _M68K_REG_SRP = 43;;
+let _M68K_REG_FPCR = 44;;
+let _M68K_REG_FPSR = 45;;
+let _M68K_REG_FPIAR = 46;;
+let _M68K_REG_ENDING = 47;;
+
+let _M68K_AM_NONE = 0;;
+let _M68K_AM_REG_DIRECT_DATA = 1;;
+let _M68K_AM_REG_DIRECT_ADDR = 2;;
+let _M68K_AM_REGI_ADDR = 3;;
+let _M68K_AM_REGI_ADDR_POST_INC = 4;;
+let _M68K_AM_REGI_ADDR_PRE_DEC = 5;;
+let _M68K_AM_REGI_ADDR_DISP = 6;;
+let _M68K_AM_AREGI_INDEX_8_BIT_DISP = 7;;
+let _M68K_AM_AREGI_INDEX_BASE_DISP = 8;;
+let _M68K_AM_MEMI_POST_INDEX = 9;;
+let _M68K_AM_MEMI_PRE_INDEX = 10;;
+let _M68K_AM_PCI_DISP = 11;;
+let _M68K_AM_PCI_INDEX_8_BIT_DISP = 12;;
+let _M68K_AM_PCI_INDEX_BASE_DISP = 13;;
+let _M68K_AM_PC_MEMI_POST_INDEX = 14;;
+let _M68K_AM_PC_MEMI_PRE_INDEX = 15;;
+let _M68K_AM_ABSOLUTE_DATA_SHORT = 16;;
+let _M68K_AM_ABSOLUTE_DATA_LONG = 17;;
+let _M68K_AM_IMMEDIATE = 18;;
+let _M68K_AM_BRANCH_DISPLACEMENT = 19;;
+
+let _M68K_OP_INVALID = 0;;
+let _M68K_OP_REG = 1;;
+let _M68K_OP_IMM = 2;;
+let _M68K_OP_MEM = 3;;
+let _M68K_OP_FP_SINGLE = 4;;
+let _M68K_OP_FP_DOUBLE = 5;;
+let _M68K_OP_REG_BITS = 6;;
+let _M68K_OP_REG_PAIR = 7;;
+let _M68K_OP_BR_DISP = 8;;
+
+let _M68K_OP_BR_DISP_SIZE_INVALID = 0;;
+let _M68K_OP_BR_DISP_SIZE_BYTE = 1;;
+let _M68K_OP_BR_DISP_SIZE_WORD = 2;;
+let _M68K_OP_BR_DISP_SIZE_LONG = 4;;
+
+let _M68K_CPU_SIZE_NONE = 0;;
+let _M68K_CPU_SIZE_BYTE = 1;;
+let _M68K_CPU_SIZE_WORD = 2;;
+let _M68K_CPU_SIZE_LONG = 4;;
+
+let _M68K_FPU_SIZE_NONE = 0;;
+let _M68K_FPU_SIZE_SINGLE = 4;;
+let _M68K_FPU_SIZE_DOUBLE = 8;;
+let _M68K_FPU_SIZE_EXTENDED = 12;;
+
+let _M68K_SIZE_TYPE_INVALID = 0;;
+let _M68K_SIZE_TYPE_CPU = 1;;
+let _M68K_SIZE_TYPE_FPU = 2;;
+
+let _M68K_INS_INVALID = 0;;
+let _M68K_INS_ABCD = 1;;
+let _M68K_INS_ADD = 2;;
+let _M68K_INS_ADDA = 3;;
+let _M68K_INS_ADDI = 4;;
+let _M68K_INS_ADDQ = 5;;
+let _M68K_INS_ADDX = 6;;
+let _M68K_INS_AND = 7;;
+let _M68K_INS_ANDI = 8;;
+let _M68K_INS_ASL = 9;;
+let _M68K_INS_ASR = 10;;
+let _M68K_INS_BHS = 11;;
+let _M68K_INS_BLO = 12;;
+let _M68K_INS_BHI = 13;;
+let _M68K_INS_BLS = 14;;
+let _M68K_INS_BCC = 15;;
+let _M68K_INS_BCS = 16;;
+let _M68K_INS_BNE = 17;;
+let _M68K_INS_BEQ = 18;;
+let _M68K_INS_BVC = 19;;
+let _M68K_INS_BVS = 20;;
+let _M68K_INS_BPL = 21;;
+let _M68K_INS_BMI = 22;;
+let _M68K_INS_BGE = 23;;
+let _M68K_INS_BLT = 24;;
+let _M68K_INS_BGT = 25;;
+let _M68K_INS_BLE = 26;;
+let _M68K_INS_BRA = 27;;
+let _M68K_INS_BSR = 28;;
+let _M68K_INS_BCHG = 29;;
+let _M68K_INS_BCLR = 30;;
+let _M68K_INS_BSET = 31;;
+let _M68K_INS_BTST = 32;;
+let _M68K_INS_BFCHG = 33;;
+let _M68K_INS_BFCLR = 34;;
+let _M68K_INS_BFEXTS = 35;;
+let _M68K_INS_BFEXTU = 36;;
+let _M68K_INS_BFFFO = 37;;
+let _M68K_INS_BFINS = 38;;
+let _M68K_INS_BFSET = 39;;
+let _M68K_INS_BFTST = 40;;
+let _M68K_INS_BKPT = 41;;
+let _M68K_INS_CALLM = 42;;
+let _M68K_INS_CAS = 43;;
+let _M68K_INS_CAS2 = 44;;
+let _M68K_INS_CHK = 45;;
+let _M68K_INS_CHK2 = 46;;
+let _M68K_INS_CLR = 47;;
+let _M68K_INS_CMP = 48;;
+let _M68K_INS_CMPA = 49;;
+let _M68K_INS_CMPI = 50;;
+let _M68K_INS_CMPM = 51;;
+let _M68K_INS_CMP2 = 52;;
+let _M68K_INS_CINVL = 53;;
+let _M68K_INS_CINVP = 54;;
+let _M68K_INS_CINVA = 55;;
+let _M68K_INS_CPUSHL = 56;;
+let _M68K_INS_CPUSHP = 57;;
+let _M68K_INS_CPUSHA = 58;;
+let _M68K_INS_DBT = 59;;
+let _M68K_INS_DBF = 60;;
+let _M68K_INS_DBHI = 61;;
+let _M68K_INS_DBLS = 62;;
+let _M68K_INS_DBCC = 63;;
+let _M68K_INS_DBCS = 64;;
+let _M68K_INS_DBNE = 65;;
+let _M68K_INS_DBEQ = 66;;
+let _M68K_INS_DBVC = 67;;
+let _M68K_INS_DBVS = 68;;
+let _M68K_INS_DBPL = 69;;
+let _M68K_INS_DBMI = 70;;
+let _M68K_INS_DBGE = 71;;
+let _M68K_INS_DBLT = 72;;
+let _M68K_INS_DBGT = 73;;
+let _M68K_INS_DBLE = 74;;
+let _M68K_INS_DBRA = 75;;
+let _M68K_INS_DIVS = 76;;
+let _M68K_INS_DIVSL = 77;;
+let _M68K_INS_DIVU = 78;;
+let _M68K_INS_DIVUL = 79;;
+let _M68K_INS_EOR = 80;;
+let _M68K_INS_EORI = 81;;
+let _M68K_INS_EXG = 82;;
+let _M68K_INS_EXT = 83;;
+let _M68K_INS_EXTB = 84;;
+let _M68K_INS_FABS = 85;;
+let _M68K_INS_FSABS = 86;;
+let _M68K_INS_FDABS = 87;;
+let _M68K_INS_FACOS = 88;;
+let _M68K_INS_FADD = 89;;
+let _M68K_INS_FSADD = 90;;
+let _M68K_INS_FDADD = 91;;
+let _M68K_INS_FASIN = 92;;
+let _M68K_INS_FATAN = 93;;
+let _M68K_INS_FATANH = 94;;
+let _M68K_INS_FBF = 95;;
+let _M68K_INS_FBEQ = 96;;
+let _M68K_INS_FBOGT = 97;;
+let _M68K_INS_FBOGE = 98;;
+let _M68K_INS_FBOLT = 99;;
+let _M68K_INS_FBOLE = 100;;
+let _M68K_INS_FBOGL = 101;;
+let _M68K_INS_FBOR = 102;;
+let _M68K_INS_FBUN = 103;;
+let _M68K_INS_FBUEQ = 104;;
+let _M68K_INS_FBUGT = 105;;
+let _M68K_INS_FBUGE = 106;;
+let _M68K_INS_FBULT = 107;;
+let _M68K_INS_FBULE = 108;;
+let _M68K_INS_FBNE = 109;;
+let _M68K_INS_FBT = 110;;
+let _M68K_INS_FBSF = 111;;
+let _M68K_INS_FBSEQ = 112;;
+let _M68K_INS_FBGT = 113;;
+let _M68K_INS_FBGE = 114;;
+let _M68K_INS_FBLT = 115;;
+let _M68K_INS_FBLE = 116;;
+let _M68K_INS_FBGL = 117;;
+let _M68K_INS_FBGLE = 118;;
+let _M68K_INS_FBNGLE = 119;;
+let _M68K_INS_FBNGL = 120;;
+let _M68K_INS_FBNLE = 121;;
+let _M68K_INS_FBNLT = 122;;
+let _M68K_INS_FBNGE = 123;;
+let _M68K_INS_FBNGT = 124;;
+let _M68K_INS_FBSNE = 125;;
+let _M68K_INS_FBST = 126;;
+let _M68K_INS_FCMP = 127;;
+let _M68K_INS_FCOS = 128;;
+let _M68K_INS_FCOSH = 129;;
+let _M68K_INS_FDBF = 130;;
+let _M68K_INS_FDBEQ = 131;;
+let _M68K_INS_FDBOGT = 132;;
+let _M68K_INS_FDBOGE = 133;;
+let _M68K_INS_FDBOLT = 134;;
+let _M68K_INS_FDBOLE = 135;;
+let _M68K_INS_FDBOGL = 136;;
+let _M68K_INS_FDBOR = 137;;
+let _M68K_INS_FDBUN = 138;;
+let _M68K_INS_FDBUEQ = 139;;
+let _M68K_INS_FDBUGT = 140;;
+let _M68K_INS_FDBUGE = 141;;
+let _M68K_INS_FDBULT = 142;;
+let _M68K_INS_FDBULE = 143;;
+let _M68K_INS_FDBNE = 144;;
+let _M68K_INS_FDBT = 145;;
+let _M68K_INS_FDBSF = 146;;
+let _M68K_INS_FDBSEQ = 147;;
+let _M68K_INS_FDBGT = 148;;
+let _M68K_INS_FDBGE = 149;;
+let _M68K_INS_FDBLT = 150;;
+let _M68K_INS_FDBLE = 151;;
+let _M68K_INS_FDBGL = 152;;
+let _M68K_INS_FDBGLE = 153;;
+let _M68K_INS_FDBNGLE = 154;;
+let _M68K_INS_FDBNGL = 155;;
+let _M68K_INS_FDBNLE = 156;;
+let _M68K_INS_FDBNLT = 157;;
+let _M68K_INS_FDBNGE = 158;;
+let _M68K_INS_FDBNGT = 159;;
+let _M68K_INS_FDBSNE = 160;;
+let _M68K_INS_FDBST = 161;;
+let _M68K_INS_FDIV = 162;;
+let _M68K_INS_FSDIV = 163;;
+let _M68K_INS_FDDIV = 164;;
+let _M68K_INS_FETOX = 165;;
+let _M68K_INS_FETOXM1 = 166;;
+let _M68K_INS_FGETEXP = 167;;
+let _M68K_INS_FGETMAN = 168;;
+let _M68K_INS_FINT = 169;;
+let _M68K_INS_FINTRZ = 170;;
+let _M68K_INS_FLOG10 = 171;;
+let _M68K_INS_FLOG2 = 172;;
+let _M68K_INS_FLOGN = 173;;
+let _M68K_INS_FLOGNP1 = 174;;
+let _M68K_INS_FMOD = 175;;
+let _M68K_INS_FMOVE = 176;;
+let _M68K_INS_FSMOVE = 177;;
+let _M68K_INS_FDMOVE = 178;;
+let _M68K_INS_FMOVECR = 179;;
+let _M68K_INS_FMOVEM = 180;;
+let _M68K_INS_FMUL = 181;;
+let _M68K_INS_FSMUL = 182;;
+let _M68K_INS_FDMUL = 183;;
+let _M68K_INS_FNEG = 184;;
+let _M68K_INS_FSNEG = 185;;
+let _M68K_INS_FDNEG = 186;;
+let _M68K_INS_FNOP = 187;;
+let _M68K_INS_FREM = 188;;
+let _M68K_INS_FRESTORE = 189;;
+let _M68K_INS_FSAVE = 190;;
+let _M68K_INS_FSCALE = 191;;
+let _M68K_INS_FSGLDIV = 192;;
+let _M68K_INS_FSGLMUL = 193;;
+let _M68K_INS_FSIN = 194;;
+let _M68K_INS_FSINCOS = 195;;
+let _M68K_INS_FSINH = 196;;
+let _M68K_INS_FSQRT = 197;;
+let _M68K_INS_FSSQRT = 198;;
+let _M68K_INS_FDSQRT = 199;;
+let _M68K_INS_FSF = 200;;
+let _M68K_INS_FSBEQ = 201;;
+let _M68K_INS_FSOGT = 202;;
+let _M68K_INS_FSOGE = 203;;
+let _M68K_INS_FSOLT = 204;;
+let _M68K_INS_FSOLE = 205;;
+let _M68K_INS_FSOGL = 206;;
+let _M68K_INS_FSOR = 207;;
+let _M68K_INS_FSUN = 208;;
+let _M68K_INS_FSUEQ = 209;;
+let _M68K_INS_FSUGT = 210;;
+let _M68K_INS_FSUGE = 211;;
+let _M68K_INS_FSULT = 212;;
+let _M68K_INS_FSULE = 213;;
+let _M68K_INS_FSNE = 214;;
+let _M68K_INS_FST = 215;;
+let _M68K_INS_FSSF = 216;;
+let _M68K_INS_FSSEQ = 217;;
+let _M68K_INS_FSGT = 218;;
+let _M68K_INS_FSGE = 219;;
+let _M68K_INS_FSLT = 220;;
+let _M68K_INS_FSLE = 221;;
+let _M68K_INS_FSGL = 222;;
+let _M68K_INS_FSGLE = 223;;
+let _M68K_INS_FSNGLE = 224;;
+let _M68K_INS_FSNGL = 225;;
+let _M68K_INS_FSNLE = 226;;
+let _M68K_INS_FSNLT = 227;;
+let _M68K_INS_FSNGE = 228;;
+let _M68K_INS_FSNGT = 229;;
+let _M68K_INS_FSSNE = 230;;
+let _M68K_INS_FSST = 231;;
+let _M68K_INS_FSUB = 232;;
+let _M68K_INS_FSSUB = 233;;
+let _M68K_INS_FDSUB = 234;;
+let _M68K_INS_FTAN = 235;;
+let _M68K_INS_FTANH = 236;;
+let _M68K_INS_FTENTOX = 237;;
+let _M68K_INS_FTRAPF = 238;;
+let _M68K_INS_FTRAPEQ = 239;;
+let _M68K_INS_FTRAPOGT = 240;;
+let _M68K_INS_FTRAPOGE = 241;;
+let _M68K_INS_FTRAPOLT = 242;;
+let _M68K_INS_FTRAPOLE = 243;;
+let _M68K_INS_FTRAPOGL = 244;;
+let _M68K_INS_FTRAPOR = 245;;
+let _M68K_INS_FTRAPUN = 246;;
+let _M68K_INS_FTRAPUEQ = 247;;
+let _M68K_INS_FTRAPUGT = 248;;
+let _M68K_INS_FTRAPUGE = 249;;
+let _M68K_INS_FTRAPULT = 250;;
+let _M68K_INS_FTRAPULE = 251;;
+let _M68K_INS_FTRAPNE = 252;;
+let _M68K_INS_FTRAPT = 253;;
+let _M68K_INS_FTRAPSF = 254;;
+let _M68K_INS_FTRAPSEQ = 255;;
+let _M68K_INS_FTRAPGT = 256;;
+let _M68K_INS_FTRAPGE = 257;;
+let _M68K_INS_FTRAPLT = 258;;
+let _M68K_INS_FTRAPLE = 259;;
+let _M68K_INS_FTRAPGL = 260;;
+let _M68K_INS_FTRAPGLE = 261;;
+let _M68K_INS_FTRAPNGLE = 262;;
+let _M68K_INS_FTRAPNGL = 263;;
+let _M68K_INS_FTRAPNLE = 264;;
+let _M68K_INS_FTRAPNLT = 265;;
+let _M68K_INS_FTRAPNGE = 266;;
+let _M68K_INS_FTRAPNGT = 267;;
+let _M68K_INS_FTRAPSNE = 268;;
+let _M68K_INS_FTRAPST = 269;;
+let _M68K_INS_FTST = 270;;
+let _M68K_INS_FTWOTOX = 271;;
+let _M68K_INS_HALT = 272;;
+let _M68K_INS_ILLEGAL = 273;;
+let _M68K_INS_JMP = 274;;
+let _M68K_INS_JSR = 275;;
+let _M68K_INS_LEA = 276;;
+let _M68K_INS_LINK = 277;;
+let _M68K_INS_LPSTOP = 278;;
+let _M68K_INS_LSL = 279;;
+let _M68K_INS_LSR = 280;;
+let _M68K_INS_MOVE = 281;;
+let _M68K_INS_MOVEA = 282;;
+let _M68K_INS_MOVEC = 283;;
+let _M68K_INS_MOVEM = 284;;
+let _M68K_INS_MOVEP = 285;;
+let _M68K_INS_MOVEQ = 286;;
+let _M68K_INS_MOVES = 287;;
+let _M68K_INS_MOVE16 = 288;;
+let _M68K_INS_MULS = 289;;
+let _M68K_INS_MULU = 290;;
+let _M68K_INS_NBCD = 291;;
+let _M68K_INS_NEG = 292;;
+let _M68K_INS_NEGX = 293;;
+let _M68K_INS_NOP = 294;;
+let _M68K_INS_NOT = 295;;
+let _M68K_INS_OR = 296;;
+let _M68K_INS_ORI = 297;;
+let _M68K_INS_PACK = 298;;
+let _M68K_INS_PEA = 299;;
+let _M68K_INS_PFLUSH = 300;;
+let _M68K_INS_PFLUSHA = 301;;
+let _M68K_INS_PFLUSHAN = 302;;
+let _M68K_INS_PFLUSHN = 303;;
+let _M68K_INS_PLOADR = 304;;
+let _M68K_INS_PLOADW = 305;;
+let _M68K_INS_PLPAR = 306;;
+let _M68K_INS_PLPAW = 307;;
+let _M68K_INS_PMOVE = 308;;
+let _M68K_INS_PMOVEFD = 309;;
+let _M68K_INS_PTESTR = 310;;
+let _M68K_INS_PTESTW = 311;;
+let _M68K_INS_PULSE = 312;;
+let _M68K_INS_REMS = 313;;
+let _M68K_INS_REMU = 314;;
+let _M68K_INS_RESET = 315;;
+let _M68K_INS_ROL = 316;;
+let _M68K_INS_ROR = 317;;
+let _M68K_INS_ROXL = 318;;
+let _M68K_INS_ROXR = 319;;
+let _M68K_INS_RTD = 320;;
+let _M68K_INS_RTE = 321;;
+let _M68K_INS_RTM = 322;;
+let _M68K_INS_RTR = 323;;
+let _M68K_INS_RTS = 324;;
+let _M68K_INS_SBCD = 325;;
+let _M68K_INS_ST = 326;;
+let _M68K_INS_SF = 327;;
+let _M68K_INS_SHI = 328;;
+let _M68K_INS_SLS = 329;;
+let _M68K_INS_SCC = 330;;
+let _M68K_INS_SHS = 331;;
+let _M68K_INS_SCS = 332;;
+let _M68K_INS_SLO = 333;;
+let _M68K_INS_SNE = 334;;
+let _M68K_INS_SEQ = 335;;
+let _M68K_INS_SVC = 336;;
+let _M68K_INS_SVS = 337;;
+let _M68K_INS_SPL = 338;;
+let _M68K_INS_SMI = 339;;
+let _M68K_INS_SGE = 340;;
+let _M68K_INS_SLT = 341;;
+let _M68K_INS_SGT = 342;;
+let _M68K_INS_SLE = 343;;
+let _M68K_INS_STOP = 344;;
+let _M68K_INS_SUB = 345;;
+let _M68K_INS_SUBA = 346;;
+let _M68K_INS_SUBI = 347;;
+let _M68K_INS_SUBQ = 348;;
+let _M68K_INS_SUBX = 349;;
+let _M68K_INS_SWAP = 350;;
+let _M68K_INS_TAS = 351;;
+let _M68K_INS_TRAP = 352;;
+let _M68K_INS_TRAPV = 353;;
+let _M68K_INS_TRAPT = 354;;
+let _M68K_INS_TRAPF = 355;;
+let _M68K_INS_TRAPHI = 356;;
+let _M68K_INS_TRAPLS = 357;;
+let _M68K_INS_TRAPCC = 358;;
+let _M68K_INS_TRAPHS = 359;;
+let _M68K_INS_TRAPCS = 360;;
+let _M68K_INS_TRAPLO = 361;;
+let _M68K_INS_TRAPNE = 362;;
+let _M68K_INS_TRAPEQ = 363;;
+let _M68K_INS_TRAPVC = 364;;
+let _M68K_INS_TRAPVS = 365;;
+let _M68K_INS_TRAPPL = 366;;
+let _M68K_INS_TRAPMI = 367;;
+let _M68K_INS_TRAPGE = 368;;
+let _M68K_INS_TRAPLT = 369;;
+let _M68K_INS_TRAPGT = 370;;
+let _M68K_INS_TRAPLE = 371;;
+let _M68K_INS_TST = 372;;
+let _M68K_INS_UNLK = 373;;
+let _M68K_INS_UNPK = 374;;
+let _M68K_INS_ENDING = 375;;
+
+let _M68K_GRP_INVALID = 0;;
+let _M68K_GRP_JUMP = 1;;
+let _M68K_GRP_RET = 3;;
+let _M68K_GRP_IRET = 5;;
+let _M68K_GRP_BRANCH_RELATIVE = 7;;
+let _M68K_GRP_ENDING = 8;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/Makefile 4.0.2-3/bindings/ocaml/Makefile
--- 4.0.1+really+3.0.5-2/bindings/ocaml/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,11 @@
 # Capstone Disassembler Engine
-# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013>
+# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015
 
 LIB = capstone
 FLAGS = '-Wall -Wextra -Wwrite-strings'
+PYTHON2 = python
 
-all: arm_const.cmxa arm64_const.cmxa mips_const.cmxa ppc_const.cmxa sparc_const.cmxa sysz_const.cmxa x86_const.cmxa xcore_const.cmxa arm.cmxa arm64.cmxa mips.cmxa ppc.cmxa x86.cmxa sparc.cmxa systemz.cmxa xcore.cmxa capstone.cmxa test_basic.cmx test_detail.cmx test_x86.cmx test_arm.cmx test_arm64.cmx test_mips.cmx test_ppc.cmx test_sparc.cmx test_systemz.cmx test_xcore.cmx ocaml.o
+all: arm_const.cmxa arm64_const.cmxa m680x_const.cmxa mips_const.cmxa ppc_const.cmxa sparc_const.cmxa sysz_const.cmxa x86_const.cmxa xcore_const.cmxa arm.cmxa arm64.cmxa m680x.cmxa mips.cmxa ppc.cmxa x86.cmxa sparc.cmxa systemz.cmxa xcore.cmxa capstone.cmxa test_basic.cmx test_detail.cmx test_x86.cmx test_arm.cmx test_arm64.cmx test_mips.cmx test_ppc.cmx test_sparc.cmx test_systemz.cmx test_xcore.cmx test_m680x.cmx ocaml.o
 	ocamlopt -o test_basic -ccopt $(FLAGS) ocaml.o capstone.cmx test_basic.cmx -cclib -l$(LIB)
 	ocamlopt -o test_detail -ccopt $(FLAGS) capstone.cmx ocaml.o test_detail.cmx -cclib -l$(LIB)
 	ocamlopt -o test_x86 -ccopt $(FLAGS) capstone.cmx ocaml.o x86.cmx x86_const.cmx test_x86.cmx -cclib -l$(LIB)
@@ -15,6 +16,7 @@ all: arm_const.cmxa arm64_const.cmxa mip
 	ocamlopt -o test_sparc -ccopt $(FLAGS) capstone.cmx ocaml.o sparc.cmx sparc_const.cmx test_sparc.cmx -cclib -l$(LIB)
 	ocamlopt -o test_systemz -ccopt $(FLAGS) capstone.cmx ocaml.o systemz.cmx sysz_const.cmx test_systemz.cmx -cclib -l$(LIB)
 	ocamlopt -o test_xcore -ccopt $(FLAGS) capstone.cmx ocaml.o xcore.cmx xcore_const.cmx test_xcore.cmx -cclib -l$(LIB)
+	ocamlopt -o test_m680x -ccopt $(FLAGS) capstone.cmx ocaml.o m680x.cmx m680x_const.cmx test_m680x.cmx -cclib -l$(LIB)
 
 
 test_basic.cmx: test_basic.ml
@@ -47,6 +49,9 @@ test_systemz.cmx: test_systemz.ml
 test_xcore.cmx: test_xcore.ml
 	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)
 
+test_m680x.cmx: test_m680x.ml
+	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)
+
 ocaml.o: ocaml.c
 	ocamlc -ccopt $(FLAGS) -c $<
 
@@ -134,6 +139,30 @@ arm64_const.cmx: arm64_const.ml arm64_co
 arm64_const.cmxa: arm64_const.cmx
 	ocamlopt -ccopt $(FLAGS) -a -o $@ $<
 
+m680x.mli: m680x.ml
+	ocamlc -ccopt $(FLAGS) -i $< > $@
+
+m680x.cmi: m680x.mli
+	ocamlc -ccopt $(FLAGS) -c $<
+
+m680x.cmx: m680x.ml m680x.cmi
+	ocamlopt -ccopt $(FLAGS) -c $<
+
+m680x.cmxa: m680x.cmx
+	ocamlopt -ccopt $(FLAGS) -a -o $@ $<
+
+m680x_const.mli: m680x_const.ml
+	ocamlc -ccopt $(FLAGS) -i $< > $@
+
+m680x_const.cmi: m680x_const.mli
+	ocamlc -ccopt $(FLAGS) -c $<
+
+m680x_const.cmx: m680x_const.ml m680x_const.cmi
+	ocamlopt -ccopt $(FLAGS) -c $<
+
+m680x_const.cmxa: m680x_const.cmx
+	ocamlopt -ccopt $(FLAGS) -a -o $@ $<
+
 mips.mli: mips.ml
 	ocamlc -ccopt $(FLAGS) -i $< > $@
 
@@ -255,12 +284,12 @@ xcore_const.cmxa: xcore_const.cmx
 	ocamlopt -ccopt $(FLAGS) -a -o $@ $<
 
 clean:
-	rm -f *.[oa] *.so *.cm[ixoa] *.cmxa *.mli test_basic test_detail test_x86 test_arm test_arm64 test_mips test_ppc test_sparc test_systemz test_xcore
+	rm -f *.[oa] *.so *.cm[ixoa] *.cmxa *.mli test_basic test_detail test_x86 test_arm test_arm64 test_mips test_ppc test_sparc test_systemz test_xcore test_m680x
 
 gen_const:
-	cd .. && python const_generator.py ocaml
+	cd .. && $(PYTHON2) const_generator.py ocaml
 
-TESTS = test_basic test_detail test_arm test_arm64 test_mips test_ppc
+TESTS = test_basic test_detail test_arm test_arm64 test_m680x test_mips test_ppc
 TESTS += test_sparc test_systemz test_x86 test_xcore
 check:
 	@for t in $(TESTS); do \
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/mips_const.ml 4.0.2-3/bindings/ocaml/mips_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/mips_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/mips_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,163 +1,148 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [mips_const.ml] *)
 
-(* Operand type for instruction's operands *)
-
 let _MIPS_OP_INVALID = 0;;
 let _MIPS_OP_REG = 1;;
 let _MIPS_OP_IMM = 2;;
 let _MIPS_OP_MEM = 3;;
 
-(* MIPS registers *)
-
 let _MIPS_REG_INVALID = 0;;
-
-(* General purpose registers *)
-let _MIPS_REG_0 = 1;;
-let _MIPS_REG_1 = 2;;
-let _MIPS_REG_2 = 3;;
-let _MIPS_REG_3 = 4;;
-let _MIPS_REG_4 = 5;;
-let _MIPS_REG_5 = 6;;
-let _MIPS_REG_6 = 7;;
-let _MIPS_REG_7 = 8;;
-let _MIPS_REG_8 = 9;;
-let _MIPS_REG_9 = 10;;
-let _MIPS_REG_10 = 11;;
-let _MIPS_REG_11 = 12;;
-let _MIPS_REG_12 = 13;;
-let _MIPS_REG_13 = 14;;
-let _MIPS_REG_14 = 15;;
-let _MIPS_REG_15 = 16;;
-let _MIPS_REG_16 = 17;;
-let _MIPS_REG_17 = 18;;
-let _MIPS_REG_18 = 19;;
-let _MIPS_REG_19 = 20;;
-let _MIPS_REG_20 = 21;;
-let _MIPS_REG_21 = 22;;
-let _MIPS_REG_22 = 23;;
-let _MIPS_REG_23 = 24;;
-let _MIPS_REG_24 = 25;;
-let _MIPS_REG_25 = 26;;
-let _MIPS_REG_26 = 27;;
-let _MIPS_REG_27 = 28;;
-let _MIPS_REG_28 = 29;;
-let _MIPS_REG_29 = 30;;
-let _MIPS_REG_30 = 31;;
-let _MIPS_REG_31 = 32;;
-
-(* DSP registers *)
-let _MIPS_REG_DSPCCOND = 33;;
-let _MIPS_REG_DSPCARRY = 34;;
-let _MIPS_REG_DSPEFI = 35;;
-let _MIPS_REG_DSPOUTFLAG = 36;;
-let _MIPS_REG_DSPOUTFLAG16_19 = 37;;
-let _MIPS_REG_DSPOUTFLAG20 = 38;;
-let _MIPS_REG_DSPOUTFLAG21 = 39;;
-let _MIPS_REG_DSPOUTFLAG22 = 40;;
-let _MIPS_REG_DSPOUTFLAG23 = 41;;
-let _MIPS_REG_DSPPOS = 42;;
-let _MIPS_REG_DSPSCOUNT = 43;;
-
-(* ACC registers *)
-let _MIPS_REG_AC0 = 44;;
-let _MIPS_REG_AC1 = 45;;
-let _MIPS_REG_AC2 = 46;;
-let _MIPS_REG_AC3 = 47;;
-
-(* COP registers *)
-let _MIPS_REG_CC0 = 48;;
-let _MIPS_REG_CC1 = 49;;
-let _MIPS_REG_CC2 = 50;;
-let _MIPS_REG_CC3 = 51;;
-let _MIPS_REG_CC4 = 52;;
-let _MIPS_REG_CC5 = 53;;
-let _MIPS_REG_CC6 = 54;;
-let _MIPS_REG_CC7 = 55;;
-
-(* FPU registers *)
-let _MIPS_REG_F0 = 56;;
-let _MIPS_REG_F1 = 57;;
-let _MIPS_REG_F2 = 58;;
-let _MIPS_REG_F3 = 59;;
-let _MIPS_REG_F4 = 60;;
-let _MIPS_REG_F5 = 61;;
-let _MIPS_REG_F6 = 62;;
-let _MIPS_REG_F7 = 63;;
-let _MIPS_REG_F8 = 64;;
-let _MIPS_REG_F9 = 65;;
-let _MIPS_REG_F10 = 66;;
-let _MIPS_REG_F11 = 67;;
-let _MIPS_REG_F12 = 68;;
-let _MIPS_REG_F13 = 69;;
-let _MIPS_REG_F14 = 70;;
-let _MIPS_REG_F15 = 71;;
-let _MIPS_REG_F16 = 72;;
-let _MIPS_REG_F17 = 73;;
-let _MIPS_REG_F18 = 74;;
-let _MIPS_REG_F19 = 75;;
-let _MIPS_REG_F20 = 76;;
-let _MIPS_REG_F21 = 77;;
-let _MIPS_REG_F22 = 78;;
-let _MIPS_REG_F23 = 79;;
-let _MIPS_REG_F24 = 80;;
-let _MIPS_REG_F25 = 81;;
-let _MIPS_REG_F26 = 82;;
-let _MIPS_REG_F27 = 83;;
-let _MIPS_REG_F28 = 84;;
-let _MIPS_REG_F29 = 85;;
-let _MIPS_REG_F30 = 86;;
-let _MIPS_REG_F31 = 87;;
-let _MIPS_REG_FCC0 = 88;;
-let _MIPS_REG_FCC1 = 89;;
-let _MIPS_REG_FCC2 = 90;;
-let _MIPS_REG_FCC3 = 91;;
-let _MIPS_REG_FCC4 = 92;;
-let _MIPS_REG_FCC5 = 93;;
-let _MIPS_REG_FCC6 = 94;;
-let _MIPS_REG_FCC7 = 95;;
-
-(* AFPR128 *)
-let _MIPS_REG_W0 = 96;;
-let _MIPS_REG_W1 = 97;;
-let _MIPS_REG_W2 = 98;;
-let _MIPS_REG_W3 = 99;;
-let _MIPS_REG_W4 = 100;;
-let _MIPS_REG_W5 = 101;;
-let _MIPS_REG_W6 = 102;;
-let _MIPS_REG_W7 = 103;;
-let _MIPS_REG_W8 = 104;;
-let _MIPS_REG_W9 = 105;;
-let _MIPS_REG_W10 = 106;;
-let _MIPS_REG_W11 = 107;;
-let _MIPS_REG_W12 = 108;;
-let _MIPS_REG_W13 = 109;;
-let _MIPS_REG_W14 = 110;;
-let _MIPS_REG_W15 = 111;;
-let _MIPS_REG_W16 = 112;;
-let _MIPS_REG_W17 = 113;;
-let _MIPS_REG_W18 = 114;;
-let _MIPS_REG_W19 = 115;;
-let _MIPS_REG_W20 = 116;;
-let _MIPS_REG_W21 = 117;;
-let _MIPS_REG_W22 = 118;;
-let _MIPS_REG_W23 = 119;;
-let _MIPS_REG_W24 = 120;;
-let _MIPS_REG_W25 = 121;;
-let _MIPS_REG_W26 = 122;;
-let _MIPS_REG_W27 = 123;;
-let _MIPS_REG_W28 = 124;;
-let _MIPS_REG_W29 = 125;;
-let _MIPS_REG_W30 = 126;;
-let _MIPS_REG_W31 = 127;;
-let _MIPS_REG_HI = 128;;
-let _MIPS_REG_LO = 129;;
-let _MIPS_REG_P0 = 130;;
-let _MIPS_REG_P1 = 131;;
-let _MIPS_REG_P2 = 132;;
-let _MIPS_REG_MPL0 = 133;;
-let _MIPS_REG_MPL1 = 134;;
-let _MIPS_REG_MPL2 = 135;;
-let _MIPS_REG_ENDING = 136;;
+let _MIPS_REG_PC = 1;;
+let _MIPS_REG_0 = 2;;
+let _MIPS_REG_1 = 3;;
+let _MIPS_REG_2 = 4;;
+let _MIPS_REG_3 = 5;;
+let _MIPS_REG_4 = 6;;
+let _MIPS_REG_5 = 7;;
+let _MIPS_REG_6 = 8;;
+let _MIPS_REG_7 = 9;;
+let _MIPS_REG_8 = 10;;
+let _MIPS_REG_9 = 11;;
+let _MIPS_REG_10 = 12;;
+let _MIPS_REG_11 = 13;;
+let _MIPS_REG_12 = 14;;
+let _MIPS_REG_13 = 15;;
+let _MIPS_REG_14 = 16;;
+let _MIPS_REG_15 = 17;;
+let _MIPS_REG_16 = 18;;
+let _MIPS_REG_17 = 19;;
+let _MIPS_REG_18 = 20;;
+let _MIPS_REG_19 = 21;;
+let _MIPS_REG_20 = 22;;
+let _MIPS_REG_21 = 23;;
+let _MIPS_REG_22 = 24;;
+let _MIPS_REG_23 = 25;;
+let _MIPS_REG_24 = 26;;
+let _MIPS_REG_25 = 27;;
+let _MIPS_REG_26 = 28;;
+let _MIPS_REG_27 = 29;;
+let _MIPS_REG_28 = 30;;
+let _MIPS_REG_29 = 31;;
+let _MIPS_REG_30 = 32;;
+let _MIPS_REG_31 = 33;;
+let _MIPS_REG_DSPCCOND = 34;;
+let _MIPS_REG_DSPCARRY = 35;;
+let _MIPS_REG_DSPEFI = 36;;
+let _MIPS_REG_DSPOUTFLAG = 37;;
+let _MIPS_REG_DSPOUTFLAG16_19 = 38;;
+let _MIPS_REG_DSPOUTFLAG20 = 39;;
+let _MIPS_REG_DSPOUTFLAG21 = 40;;
+let _MIPS_REG_DSPOUTFLAG22 = 41;;
+let _MIPS_REG_DSPOUTFLAG23 = 42;;
+let _MIPS_REG_DSPPOS = 43;;
+let _MIPS_REG_DSPSCOUNT = 44;;
+let _MIPS_REG_AC0 = 45;;
+let _MIPS_REG_AC1 = 46;;
+let _MIPS_REG_AC2 = 47;;
+let _MIPS_REG_AC3 = 48;;
+let _MIPS_REG_CC0 = 49;;
+let _MIPS_REG_CC1 = 50;;
+let _MIPS_REG_CC2 = 51;;
+let _MIPS_REG_CC3 = 52;;
+let _MIPS_REG_CC4 = 53;;
+let _MIPS_REG_CC5 = 54;;
+let _MIPS_REG_CC6 = 55;;
+let _MIPS_REG_CC7 = 56;;
+let _MIPS_REG_F0 = 57;;
+let _MIPS_REG_F1 = 58;;
+let _MIPS_REG_F2 = 59;;
+let _MIPS_REG_F3 = 60;;
+let _MIPS_REG_F4 = 61;;
+let _MIPS_REG_F5 = 62;;
+let _MIPS_REG_F6 = 63;;
+let _MIPS_REG_F7 = 64;;
+let _MIPS_REG_F8 = 65;;
+let _MIPS_REG_F9 = 66;;
+let _MIPS_REG_F10 = 67;;
+let _MIPS_REG_F11 = 68;;
+let _MIPS_REG_F12 = 69;;
+let _MIPS_REG_F13 = 70;;
+let _MIPS_REG_F14 = 71;;
+let _MIPS_REG_F15 = 72;;
+let _MIPS_REG_F16 = 73;;
+let _MIPS_REG_F17 = 74;;
+let _MIPS_REG_F18 = 75;;
+let _MIPS_REG_F19 = 76;;
+let _MIPS_REG_F20 = 77;;
+let _MIPS_REG_F21 = 78;;
+let _MIPS_REG_F22 = 79;;
+let _MIPS_REG_F23 = 80;;
+let _MIPS_REG_F24 = 81;;
+let _MIPS_REG_F25 = 82;;
+let _MIPS_REG_F26 = 83;;
+let _MIPS_REG_F27 = 84;;
+let _MIPS_REG_F28 = 85;;
+let _MIPS_REG_F29 = 86;;
+let _MIPS_REG_F30 = 87;;
+let _MIPS_REG_F31 = 88;;
+let _MIPS_REG_FCC0 = 89;;
+let _MIPS_REG_FCC1 = 90;;
+let _MIPS_REG_FCC2 = 91;;
+let _MIPS_REG_FCC3 = 92;;
+let _MIPS_REG_FCC4 = 93;;
+let _MIPS_REG_FCC5 = 94;;
+let _MIPS_REG_FCC6 = 95;;
+let _MIPS_REG_FCC7 = 96;;
+let _MIPS_REG_W0 = 97;;
+let _MIPS_REG_W1 = 98;;
+let _MIPS_REG_W2 = 99;;
+let _MIPS_REG_W3 = 100;;
+let _MIPS_REG_W4 = 101;;
+let _MIPS_REG_W5 = 102;;
+let _MIPS_REG_W6 = 103;;
+let _MIPS_REG_W7 = 104;;
+let _MIPS_REG_W8 = 105;;
+let _MIPS_REG_W9 = 106;;
+let _MIPS_REG_W10 = 107;;
+let _MIPS_REG_W11 = 108;;
+let _MIPS_REG_W12 = 109;;
+let _MIPS_REG_W13 = 110;;
+let _MIPS_REG_W14 = 111;;
+let _MIPS_REG_W15 = 112;;
+let _MIPS_REG_W16 = 113;;
+let _MIPS_REG_W17 = 114;;
+let _MIPS_REG_W18 = 115;;
+let _MIPS_REG_W19 = 116;;
+let _MIPS_REG_W20 = 117;;
+let _MIPS_REG_W21 = 118;;
+let _MIPS_REG_W22 = 119;;
+let _MIPS_REG_W23 = 120;;
+let _MIPS_REG_W24 = 121;;
+let _MIPS_REG_W25 = 122;;
+let _MIPS_REG_W26 = 123;;
+let _MIPS_REG_W27 = 124;;
+let _MIPS_REG_W28 = 125;;
+let _MIPS_REG_W29 = 126;;
+let _MIPS_REG_W30 = 127;;
+let _MIPS_REG_W31 = 128;;
+let _MIPS_REG_HI = 129;;
+let _MIPS_REG_LO = 130;;
+let _MIPS_REG_P0 = 131;;
+let _MIPS_REG_P1 = 132;;
+let _MIPS_REG_P2 = 133;;
+let _MIPS_REG_MPL0 = 134;;
+let _MIPS_REG_MPL1 = 135;;
+let _MIPS_REG_MPL2 = 136;;
+let _MIPS_REG_ENDING = 137;;
 let _MIPS_REG_ZERO = _MIPS_REG_0;;
 let _MIPS_REG_AT = _MIPS_REG_1;;
 let _MIPS_REG_V0 = _MIPS_REG_2;;
@@ -200,608 +185,646 @@ let _MIPS_REG_LO1 = _MIPS_REG_HI1;;
 let _MIPS_REG_LO2 = _MIPS_REG_HI2;;
 let _MIPS_REG_LO3 = _MIPS_REG_HI3;;
 
-(* MIPS instruction *)
-
 let _MIPS_INS_INVALID = 0;;
 let _MIPS_INS_ABSQ_S = 1;;
 let _MIPS_INS_ADD = 2;;
 let _MIPS_INS_ADDIUPC = 3;;
-let _MIPS_INS_ADDQH = 4;;
-let _MIPS_INS_ADDQH_R = 5;;
-let _MIPS_INS_ADDQ = 6;;
-let _MIPS_INS_ADDQ_S = 7;;
-let _MIPS_INS_ADDSC = 8;;
-let _MIPS_INS_ADDS_A = 9;;
-let _MIPS_INS_ADDS_S = 10;;
-let _MIPS_INS_ADDS_U = 11;;
-let _MIPS_INS_ADDUH = 12;;
-let _MIPS_INS_ADDUH_R = 13;;
-let _MIPS_INS_ADDU = 14;;
-let _MIPS_INS_ADDU_S = 15;;
-let _MIPS_INS_ADDVI = 16;;
-let _MIPS_INS_ADDV = 17;;
-let _MIPS_INS_ADDWC = 18;;
-let _MIPS_INS_ADD_A = 19;;
-let _MIPS_INS_ADDI = 20;;
-let _MIPS_INS_ADDIU = 21;;
-let _MIPS_INS_ALIGN = 22;;
-let _MIPS_INS_ALUIPC = 23;;
-let _MIPS_INS_AND = 24;;
-let _MIPS_INS_ANDI = 25;;
-let _MIPS_INS_APPEND = 26;;
-let _MIPS_INS_ASUB_S = 27;;
-let _MIPS_INS_ASUB_U = 28;;
-let _MIPS_INS_AUI = 29;;
-let _MIPS_INS_AUIPC = 30;;
-let _MIPS_INS_AVER_S = 31;;
-let _MIPS_INS_AVER_U = 32;;
-let _MIPS_INS_AVE_S = 33;;
-let _MIPS_INS_AVE_U = 34;;
-let _MIPS_INS_BADDU = 35;;
-let _MIPS_INS_BAL = 36;;
-let _MIPS_INS_BALC = 37;;
-let _MIPS_INS_BALIGN = 38;;
-let _MIPS_INS_BC = 39;;
-let _MIPS_INS_BC0F = 40;;
-let _MIPS_INS_BC0FL = 41;;
-let _MIPS_INS_BC0T = 42;;
-let _MIPS_INS_BC0TL = 43;;
-let _MIPS_INS_BC1EQZ = 44;;
-let _MIPS_INS_BC1F = 45;;
-let _MIPS_INS_BC1FL = 46;;
-let _MIPS_INS_BC1NEZ = 47;;
-let _MIPS_INS_BC1T = 48;;
-let _MIPS_INS_BC1TL = 49;;
-let _MIPS_INS_BC2EQZ = 50;;
-let _MIPS_INS_BC2F = 51;;
-let _MIPS_INS_BC2FL = 52;;
-let _MIPS_INS_BC2NEZ = 53;;
-let _MIPS_INS_BC2T = 54;;
-let _MIPS_INS_BC2TL = 55;;
-let _MIPS_INS_BC3F = 56;;
-let _MIPS_INS_BC3FL = 57;;
-let _MIPS_INS_BC3T = 58;;
-let _MIPS_INS_BC3TL = 59;;
-let _MIPS_INS_BCLRI = 60;;
-let _MIPS_INS_BCLR = 61;;
-let _MIPS_INS_BEQ = 62;;
-let _MIPS_INS_BEQC = 63;;
-let _MIPS_INS_BEQL = 64;;
-let _MIPS_INS_BEQZALC = 65;;
-let _MIPS_INS_BEQZC = 66;;
-let _MIPS_INS_BGEC = 67;;
-let _MIPS_INS_BGEUC = 68;;
-let _MIPS_INS_BGEZ = 69;;
-let _MIPS_INS_BGEZAL = 70;;
-let _MIPS_INS_BGEZALC = 71;;
-let _MIPS_INS_BGEZALL = 72;;
-let _MIPS_INS_BGEZALS = 73;;
-let _MIPS_INS_BGEZC = 74;;
-let _MIPS_INS_BGEZL = 75;;
-let _MIPS_INS_BGTZ = 76;;
-let _MIPS_INS_BGTZALC = 77;;
-let _MIPS_INS_BGTZC = 78;;
-let _MIPS_INS_BGTZL = 79;;
-let _MIPS_INS_BINSLI = 80;;
-let _MIPS_INS_BINSL = 81;;
-let _MIPS_INS_BINSRI = 82;;
-let _MIPS_INS_BINSR = 83;;
-let _MIPS_INS_BITREV = 84;;
-let _MIPS_INS_BITSWAP = 85;;
-let _MIPS_INS_BLEZ = 86;;
-let _MIPS_INS_BLEZALC = 87;;
-let _MIPS_INS_BLEZC = 88;;
-let _MIPS_INS_BLEZL = 89;;
-let _MIPS_INS_BLTC = 90;;
-let _MIPS_INS_BLTUC = 91;;
-let _MIPS_INS_BLTZ = 92;;
-let _MIPS_INS_BLTZAL = 93;;
-let _MIPS_INS_BLTZALC = 94;;
-let _MIPS_INS_BLTZALL = 95;;
-let _MIPS_INS_BLTZALS = 96;;
-let _MIPS_INS_BLTZC = 97;;
-let _MIPS_INS_BLTZL = 98;;
-let _MIPS_INS_BMNZI = 99;;
-let _MIPS_INS_BMNZ = 100;;
-let _MIPS_INS_BMZI = 101;;
-let _MIPS_INS_BMZ = 102;;
-let _MIPS_INS_BNE = 103;;
-let _MIPS_INS_BNEC = 104;;
-let _MIPS_INS_BNEGI = 105;;
-let _MIPS_INS_BNEG = 106;;
-let _MIPS_INS_BNEL = 107;;
-let _MIPS_INS_BNEZALC = 108;;
-let _MIPS_INS_BNEZC = 109;;
-let _MIPS_INS_BNVC = 110;;
-let _MIPS_INS_BNZ = 111;;
-let _MIPS_INS_BOVC = 112;;
-let _MIPS_INS_BPOSGE32 = 113;;
-let _MIPS_INS_BREAK = 114;;
-let _MIPS_INS_BSELI = 115;;
-let _MIPS_INS_BSEL = 116;;
-let _MIPS_INS_BSETI = 117;;
-let _MIPS_INS_BSET = 118;;
-let _MIPS_INS_BZ = 119;;
-let _MIPS_INS_BEQZ = 120;;
-let _MIPS_INS_B = 121;;
-let _MIPS_INS_BNEZ = 122;;
-let _MIPS_INS_BTEQZ = 123;;
-let _MIPS_INS_BTNEZ = 124;;
-let _MIPS_INS_CACHE = 125;;
-let _MIPS_INS_CEIL = 126;;
-let _MIPS_INS_CEQI = 127;;
-let _MIPS_INS_CEQ = 128;;
-let _MIPS_INS_CFC1 = 129;;
-let _MIPS_INS_CFCMSA = 130;;
-let _MIPS_INS_CINS = 131;;
-let _MIPS_INS_CINS32 = 132;;
-let _MIPS_INS_CLASS = 133;;
-let _MIPS_INS_CLEI_S = 134;;
-let _MIPS_INS_CLEI_U = 135;;
-let _MIPS_INS_CLE_S = 136;;
-let _MIPS_INS_CLE_U = 137;;
-let _MIPS_INS_CLO = 138;;
-let _MIPS_INS_CLTI_S = 139;;
-let _MIPS_INS_CLTI_U = 140;;
-let _MIPS_INS_CLT_S = 141;;
-let _MIPS_INS_CLT_U = 142;;
-let _MIPS_INS_CLZ = 143;;
-let _MIPS_INS_CMPGDU = 144;;
-let _MIPS_INS_CMPGU = 145;;
-let _MIPS_INS_CMPU = 146;;
-let _MIPS_INS_CMP = 147;;
-let _MIPS_INS_COPY_S = 148;;
-let _MIPS_INS_COPY_U = 149;;
-let _MIPS_INS_CTC1 = 150;;
-let _MIPS_INS_CTCMSA = 151;;
-let _MIPS_INS_CVT = 152;;
-let _MIPS_INS_C = 153;;
-let _MIPS_INS_CMPI = 154;;
-let _MIPS_INS_DADD = 155;;
-let _MIPS_INS_DADDI = 156;;
-let _MIPS_INS_DADDIU = 157;;
-let _MIPS_INS_DADDU = 158;;
-let _MIPS_INS_DAHI = 159;;
-let _MIPS_INS_DALIGN = 160;;
-let _MIPS_INS_DATI = 161;;
-let _MIPS_INS_DAUI = 162;;
-let _MIPS_INS_DBITSWAP = 163;;
-let _MIPS_INS_DCLO = 164;;
-let _MIPS_INS_DCLZ = 165;;
-let _MIPS_INS_DDIV = 166;;
-let _MIPS_INS_DDIVU = 167;;
-let _MIPS_INS_DERET = 168;;
-let _MIPS_INS_DEXT = 169;;
-let _MIPS_INS_DEXTM = 170;;
-let _MIPS_INS_DEXTU = 171;;
-let _MIPS_INS_DI = 172;;
-let _MIPS_INS_DINS = 173;;
-let _MIPS_INS_DINSM = 174;;
-let _MIPS_INS_DINSU = 175;;
-let _MIPS_INS_DIV = 176;;
-let _MIPS_INS_DIVU = 177;;
-let _MIPS_INS_DIV_S = 178;;
-let _MIPS_INS_DIV_U = 179;;
-let _MIPS_INS_DLSA = 180;;
-let _MIPS_INS_DMFC0 = 181;;
-let _MIPS_INS_DMFC1 = 182;;
-let _MIPS_INS_DMFC2 = 183;;
-let _MIPS_INS_DMOD = 184;;
-let _MIPS_INS_DMODU = 185;;
-let _MIPS_INS_DMTC0 = 186;;
-let _MIPS_INS_DMTC1 = 187;;
-let _MIPS_INS_DMTC2 = 188;;
-let _MIPS_INS_DMUH = 189;;
-let _MIPS_INS_DMUHU = 190;;
-let _MIPS_INS_DMUL = 191;;
-let _MIPS_INS_DMULT = 192;;
-let _MIPS_INS_DMULTU = 193;;
-let _MIPS_INS_DMULU = 194;;
-let _MIPS_INS_DOTP_S = 195;;
-let _MIPS_INS_DOTP_U = 196;;
-let _MIPS_INS_DPADD_S = 197;;
-let _MIPS_INS_DPADD_U = 198;;
-let _MIPS_INS_DPAQX_SA = 199;;
-let _MIPS_INS_DPAQX_S = 200;;
-let _MIPS_INS_DPAQ_SA = 201;;
-let _MIPS_INS_DPAQ_S = 202;;
-let _MIPS_INS_DPAU = 203;;
-let _MIPS_INS_DPAX = 204;;
-let _MIPS_INS_DPA = 205;;
-let _MIPS_INS_DPOP = 206;;
-let _MIPS_INS_DPSQX_SA = 207;;
-let _MIPS_INS_DPSQX_S = 208;;
-let _MIPS_INS_DPSQ_SA = 209;;
-let _MIPS_INS_DPSQ_S = 210;;
-let _MIPS_INS_DPSUB_S = 211;;
-let _MIPS_INS_DPSUB_U = 212;;
-let _MIPS_INS_DPSU = 213;;
-let _MIPS_INS_DPSX = 214;;
-let _MIPS_INS_DPS = 215;;
-let _MIPS_INS_DROTR = 216;;
-let _MIPS_INS_DROTR32 = 217;;
-let _MIPS_INS_DROTRV = 218;;
-let _MIPS_INS_DSBH = 219;;
-let _MIPS_INS_DSHD = 220;;
-let _MIPS_INS_DSLL = 221;;
-let _MIPS_INS_DSLL32 = 222;;
-let _MIPS_INS_DSLLV = 223;;
-let _MIPS_INS_DSRA = 224;;
-let _MIPS_INS_DSRA32 = 225;;
-let _MIPS_INS_DSRAV = 226;;
-let _MIPS_INS_DSRL = 227;;
-let _MIPS_INS_DSRL32 = 228;;
-let _MIPS_INS_DSRLV = 229;;
-let _MIPS_INS_DSUB = 230;;
-let _MIPS_INS_DSUBU = 231;;
-let _MIPS_INS_EHB = 232;;
-let _MIPS_INS_EI = 233;;
-let _MIPS_INS_ERET = 234;;
-let _MIPS_INS_EXT = 235;;
-let _MIPS_INS_EXTP = 236;;
-let _MIPS_INS_EXTPDP = 237;;
-let _MIPS_INS_EXTPDPV = 238;;
-let _MIPS_INS_EXTPV = 239;;
-let _MIPS_INS_EXTRV_RS = 240;;
-let _MIPS_INS_EXTRV_R = 241;;
-let _MIPS_INS_EXTRV_S = 242;;
-let _MIPS_INS_EXTRV = 243;;
-let _MIPS_INS_EXTR_RS = 244;;
-let _MIPS_INS_EXTR_R = 245;;
-let _MIPS_INS_EXTR_S = 246;;
-let _MIPS_INS_EXTR = 247;;
-let _MIPS_INS_EXTS = 248;;
-let _MIPS_INS_EXTS32 = 249;;
-let _MIPS_INS_ABS = 250;;
-let _MIPS_INS_FADD = 251;;
-let _MIPS_INS_FCAF = 252;;
-let _MIPS_INS_FCEQ = 253;;
-let _MIPS_INS_FCLASS = 254;;
-let _MIPS_INS_FCLE = 255;;
-let _MIPS_INS_FCLT = 256;;
-let _MIPS_INS_FCNE = 257;;
-let _MIPS_INS_FCOR = 258;;
-let _MIPS_INS_FCUEQ = 259;;
-let _MIPS_INS_FCULE = 260;;
-let _MIPS_INS_FCULT = 261;;
-let _MIPS_INS_FCUNE = 262;;
-let _MIPS_INS_FCUN = 263;;
-let _MIPS_INS_FDIV = 264;;
-let _MIPS_INS_FEXDO = 265;;
-let _MIPS_INS_FEXP2 = 266;;
-let _MIPS_INS_FEXUPL = 267;;
-let _MIPS_INS_FEXUPR = 268;;
-let _MIPS_INS_FFINT_S = 269;;
-let _MIPS_INS_FFINT_U = 270;;
-let _MIPS_INS_FFQL = 271;;
-let _MIPS_INS_FFQR = 272;;
-let _MIPS_INS_FILL = 273;;
-let _MIPS_INS_FLOG2 = 274;;
-let _MIPS_INS_FLOOR = 275;;
-let _MIPS_INS_FMADD = 276;;
-let _MIPS_INS_FMAX_A = 277;;
-let _MIPS_INS_FMAX = 278;;
-let _MIPS_INS_FMIN_A = 279;;
-let _MIPS_INS_FMIN = 280;;
-let _MIPS_INS_MOV = 281;;
-let _MIPS_INS_FMSUB = 282;;
-let _MIPS_INS_FMUL = 283;;
-let _MIPS_INS_MUL = 284;;
-let _MIPS_INS_NEG = 285;;
-let _MIPS_INS_FRCP = 286;;
-let _MIPS_INS_FRINT = 287;;
-let _MIPS_INS_FRSQRT = 288;;
-let _MIPS_INS_FSAF = 289;;
-let _MIPS_INS_FSEQ = 290;;
-let _MIPS_INS_FSLE = 291;;
-let _MIPS_INS_FSLT = 292;;
-let _MIPS_INS_FSNE = 293;;
-let _MIPS_INS_FSOR = 294;;
-let _MIPS_INS_FSQRT = 295;;
-let _MIPS_INS_SQRT = 296;;
-let _MIPS_INS_FSUB = 297;;
-let _MIPS_INS_SUB = 298;;
-let _MIPS_INS_FSUEQ = 299;;
-let _MIPS_INS_FSULE = 300;;
-let _MIPS_INS_FSULT = 301;;
-let _MIPS_INS_FSUNE = 302;;
-let _MIPS_INS_FSUN = 303;;
-let _MIPS_INS_FTINT_S = 304;;
-let _MIPS_INS_FTINT_U = 305;;
-let _MIPS_INS_FTQ = 306;;
-let _MIPS_INS_FTRUNC_S = 307;;
-let _MIPS_INS_FTRUNC_U = 308;;
-let _MIPS_INS_HADD_S = 309;;
-let _MIPS_INS_HADD_U = 310;;
-let _MIPS_INS_HSUB_S = 311;;
-let _MIPS_INS_HSUB_U = 312;;
-let _MIPS_INS_ILVEV = 313;;
-let _MIPS_INS_ILVL = 314;;
-let _MIPS_INS_ILVOD = 315;;
-let _MIPS_INS_ILVR = 316;;
-let _MIPS_INS_INS = 317;;
-let _MIPS_INS_INSERT = 318;;
-let _MIPS_INS_INSV = 319;;
-let _MIPS_INS_INSVE = 320;;
-let _MIPS_INS_J = 321;;
-let _MIPS_INS_JAL = 322;;
-let _MIPS_INS_JALR = 323;;
-let _MIPS_INS_JALRS = 324;;
-let _MIPS_INS_JALS = 325;;
-let _MIPS_INS_JALX = 326;;
-let _MIPS_INS_JIALC = 327;;
-let _MIPS_INS_JIC = 328;;
-let _MIPS_INS_JR = 329;;
-let _MIPS_INS_JRADDIUSP = 330;;
-let _MIPS_INS_JRC = 331;;
-let _MIPS_INS_JALRC = 332;;
-let _MIPS_INS_LB = 333;;
-let _MIPS_INS_LBUX = 334;;
-let _MIPS_INS_LBU = 335;;
-let _MIPS_INS_LD = 336;;
-let _MIPS_INS_LDC1 = 337;;
-let _MIPS_INS_LDC2 = 338;;
-let _MIPS_INS_LDC3 = 339;;
-let _MIPS_INS_LDI = 340;;
-let _MIPS_INS_LDL = 341;;
-let _MIPS_INS_LDPC = 342;;
-let _MIPS_INS_LDR = 343;;
-let _MIPS_INS_LDXC1 = 344;;
-let _MIPS_INS_LH = 345;;
-let _MIPS_INS_LHX = 346;;
-let _MIPS_INS_LHU = 347;;
-let _MIPS_INS_LL = 348;;
-let _MIPS_INS_LLD = 349;;
-let _MIPS_INS_LSA = 350;;
-let _MIPS_INS_LUXC1 = 351;;
-let _MIPS_INS_LUI = 352;;
-let _MIPS_INS_LW = 353;;
-let _MIPS_INS_LWC1 = 354;;
-let _MIPS_INS_LWC2 = 355;;
-let _MIPS_INS_LWC3 = 356;;
-let _MIPS_INS_LWL = 357;;
-let _MIPS_INS_LWPC = 358;;
-let _MIPS_INS_LWR = 359;;
-let _MIPS_INS_LWUPC = 360;;
-let _MIPS_INS_LWU = 361;;
-let _MIPS_INS_LWX = 362;;
-let _MIPS_INS_LWXC1 = 363;;
-let _MIPS_INS_LI = 364;;
-let _MIPS_INS_MADD = 365;;
-let _MIPS_INS_MADDF = 366;;
-let _MIPS_INS_MADDR_Q = 367;;
-let _MIPS_INS_MADDU = 368;;
-let _MIPS_INS_MADDV = 369;;
-let _MIPS_INS_MADD_Q = 370;;
-let _MIPS_INS_MAQ_SA = 371;;
-let _MIPS_INS_MAQ_S = 372;;
-let _MIPS_INS_MAXA = 373;;
-let _MIPS_INS_MAXI_S = 374;;
-let _MIPS_INS_MAXI_U = 375;;
-let _MIPS_INS_MAX_A = 376;;
-let _MIPS_INS_MAX = 377;;
-let _MIPS_INS_MAX_S = 378;;
-let _MIPS_INS_MAX_U = 379;;
-let _MIPS_INS_MFC0 = 380;;
-let _MIPS_INS_MFC1 = 381;;
-let _MIPS_INS_MFC2 = 382;;
-let _MIPS_INS_MFHC1 = 383;;
-let _MIPS_INS_MFHI = 384;;
-let _MIPS_INS_MFLO = 385;;
-let _MIPS_INS_MINA = 386;;
-let _MIPS_INS_MINI_S = 387;;
-let _MIPS_INS_MINI_U = 388;;
-let _MIPS_INS_MIN_A = 389;;
-let _MIPS_INS_MIN = 390;;
-let _MIPS_INS_MIN_S = 391;;
-let _MIPS_INS_MIN_U = 392;;
-let _MIPS_INS_MOD = 393;;
-let _MIPS_INS_MODSUB = 394;;
-let _MIPS_INS_MODU = 395;;
-let _MIPS_INS_MOD_S = 396;;
-let _MIPS_INS_MOD_U = 397;;
-let _MIPS_INS_MOVE = 398;;
-let _MIPS_INS_MOVF = 399;;
-let _MIPS_INS_MOVN = 400;;
-let _MIPS_INS_MOVT = 401;;
-let _MIPS_INS_MOVZ = 402;;
-let _MIPS_INS_MSUB = 403;;
-let _MIPS_INS_MSUBF = 404;;
-let _MIPS_INS_MSUBR_Q = 405;;
-let _MIPS_INS_MSUBU = 406;;
-let _MIPS_INS_MSUBV = 407;;
-let _MIPS_INS_MSUB_Q = 408;;
-let _MIPS_INS_MTC0 = 409;;
-let _MIPS_INS_MTC1 = 410;;
-let _MIPS_INS_MTC2 = 411;;
-let _MIPS_INS_MTHC1 = 412;;
-let _MIPS_INS_MTHI = 413;;
-let _MIPS_INS_MTHLIP = 414;;
-let _MIPS_INS_MTLO = 415;;
-let _MIPS_INS_MTM0 = 416;;
-let _MIPS_INS_MTM1 = 417;;
-let _MIPS_INS_MTM2 = 418;;
-let _MIPS_INS_MTP0 = 419;;
-let _MIPS_INS_MTP1 = 420;;
-let _MIPS_INS_MTP2 = 421;;
-let _MIPS_INS_MUH = 422;;
-let _MIPS_INS_MUHU = 423;;
-let _MIPS_INS_MULEQ_S = 424;;
-let _MIPS_INS_MULEU_S = 425;;
-let _MIPS_INS_MULQ_RS = 426;;
-let _MIPS_INS_MULQ_S = 427;;
-let _MIPS_INS_MULR_Q = 428;;
-let _MIPS_INS_MULSAQ_S = 429;;
-let _MIPS_INS_MULSA = 430;;
-let _MIPS_INS_MULT = 431;;
-let _MIPS_INS_MULTU = 432;;
-let _MIPS_INS_MULU = 433;;
-let _MIPS_INS_MULV = 434;;
-let _MIPS_INS_MUL_Q = 435;;
-let _MIPS_INS_MUL_S = 436;;
-let _MIPS_INS_NLOC = 437;;
-let _MIPS_INS_NLZC = 438;;
-let _MIPS_INS_NMADD = 439;;
-let _MIPS_INS_NMSUB = 440;;
-let _MIPS_INS_NOR = 441;;
-let _MIPS_INS_NORI = 442;;
-let _MIPS_INS_NOT = 443;;
-let _MIPS_INS_OR = 444;;
-let _MIPS_INS_ORI = 445;;
-let _MIPS_INS_PACKRL = 446;;
-let _MIPS_INS_PAUSE = 447;;
-let _MIPS_INS_PCKEV = 448;;
-let _MIPS_INS_PCKOD = 449;;
-let _MIPS_INS_PCNT = 450;;
-let _MIPS_INS_PICK = 451;;
-let _MIPS_INS_POP = 452;;
-let _MIPS_INS_PRECEQU = 453;;
-let _MIPS_INS_PRECEQ = 454;;
-let _MIPS_INS_PRECEU = 455;;
-let _MIPS_INS_PRECRQU_S = 456;;
-let _MIPS_INS_PRECRQ = 457;;
-let _MIPS_INS_PRECRQ_RS = 458;;
-let _MIPS_INS_PRECR = 459;;
-let _MIPS_INS_PRECR_SRA = 460;;
-let _MIPS_INS_PRECR_SRA_R = 461;;
-let _MIPS_INS_PREF = 462;;
-let _MIPS_INS_PREPEND = 463;;
-let _MIPS_INS_RADDU = 464;;
-let _MIPS_INS_RDDSP = 465;;
-let _MIPS_INS_RDHWR = 466;;
-let _MIPS_INS_REPLV = 467;;
-let _MIPS_INS_REPL = 468;;
-let _MIPS_INS_RINT = 469;;
-let _MIPS_INS_ROTR = 470;;
-let _MIPS_INS_ROTRV = 471;;
-let _MIPS_INS_ROUND = 472;;
-let _MIPS_INS_SAT_S = 473;;
-let _MIPS_INS_SAT_U = 474;;
-let _MIPS_INS_SB = 475;;
-let _MIPS_INS_SC = 476;;
-let _MIPS_INS_SCD = 477;;
-let _MIPS_INS_SD = 478;;
-let _MIPS_INS_SDBBP = 479;;
-let _MIPS_INS_SDC1 = 480;;
-let _MIPS_INS_SDC2 = 481;;
-let _MIPS_INS_SDC3 = 482;;
-let _MIPS_INS_SDL = 483;;
-let _MIPS_INS_SDR = 484;;
-let _MIPS_INS_SDXC1 = 485;;
-let _MIPS_INS_SEB = 486;;
-let _MIPS_INS_SEH = 487;;
-let _MIPS_INS_SELEQZ = 488;;
-let _MIPS_INS_SELNEZ = 489;;
-let _MIPS_INS_SEL = 490;;
-let _MIPS_INS_SEQ = 491;;
-let _MIPS_INS_SEQI = 492;;
-let _MIPS_INS_SH = 493;;
-let _MIPS_INS_SHF = 494;;
-let _MIPS_INS_SHILO = 495;;
-let _MIPS_INS_SHILOV = 496;;
-let _MIPS_INS_SHLLV = 497;;
-let _MIPS_INS_SHLLV_S = 498;;
-let _MIPS_INS_SHLL = 499;;
-let _MIPS_INS_SHLL_S = 500;;
-let _MIPS_INS_SHRAV = 501;;
-let _MIPS_INS_SHRAV_R = 502;;
-let _MIPS_INS_SHRA = 503;;
-let _MIPS_INS_SHRA_R = 504;;
-let _MIPS_INS_SHRLV = 505;;
-let _MIPS_INS_SHRL = 506;;
-let _MIPS_INS_SLDI = 507;;
-let _MIPS_INS_SLD = 508;;
-let _MIPS_INS_SLL = 509;;
-let _MIPS_INS_SLLI = 510;;
-let _MIPS_INS_SLLV = 511;;
-let _MIPS_INS_SLT = 512;;
-let _MIPS_INS_SLTI = 513;;
-let _MIPS_INS_SLTIU = 514;;
-let _MIPS_INS_SLTU = 515;;
-let _MIPS_INS_SNE = 516;;
-let _MIPS_INS_SNEI = 517;;
-let _MIPS_INS_SPLATI = 518;;
-let _MIPS_INS_SPLAT = 519;;
-let _MIPS_INS_SRA = 520;;
-let _MIPS_INS_SRAI = 521;;
-let _MIPS_INS_SRARI = 522;;
-let _MIPS_INS_SRAR = 523;;
-let _MIPS_INS_SRAV = 524;;
-let _MIPS_INS_SRL = 525;;
-let _MIPS_INS_SRLI = 526;;
-let _MIPS_INS_SRLRI = 527;;
-let _MIPS_INS_SRLR = 528;;
-let _MIPS_INS_SRLV = 529;;
-let _MIPS_INS_SSNOP = 530;;
-let _MIPS_INS_ST = 531;;
-let _MIPS_INS_SUBQH = 532;;
-let _MIPS_INS_SUBQH_R = 533;;
-let _MIPS_INS_SUBQ = 534;;
-let _MIPS_INS_SUBQ_S = 535;;
-let _MIPS_INS_SUBSUS_U = 536;;
-let _MIPS_INS_SUBSUU_S = 537;;
-let _MIPS_INS_SUBS_S = 538;;
-let _MIPS_INS_SUBS_U = 539;;
-let _MIPS_INS_SUBUH = 540;;
-let _MIPS_INS_SUBUH_R = 541;;
-let _MIPS_INS_SUBU = 542;;
-let _MIPS_INS_SUBU_S = 543;;
-let _MIPS_INS_SUBVI = 544;;
-let _MIPS_INS_SUBV = 545;;
-let _MIPS_INS_SUXC1 = 546;;
-let _MIPS_INS_SW = 547;;
-let _MIPS_INS_SWC1 = 548;;
-let _MIPS_INS_SWC2 = 549;;
-let _MIPS_INS_SWC3 = 550;;
-let _MIPS_INS_SWL = 551;;
-let _MIPS_INS_SWR = 552;;
-let _MIPS_INS_SWXC1 = 553;;
-let _MIPS_INS_SYNC = 554;;
-let _MIPS_INS_SYSCALL = 555;;
-let _MIPS_INS_TEQ = 556;;
-let _MIPS_INS_TEQI = 557;;
-let _MIPS_INS_TGE = 558;;
-let _MIPS_INS_TGEI = 559;;
-let _MIPS_INS_TGEIU = 560;;
-let _MIPS_INS_TGEU = 561;;
-let _MIPS_INS_TLBP = 562;;
-let _MIPS_INS_TLBR = 563;;
-let _MIPS_INS_TLBWI = 564;;
-let _MIPS_INS_TLBWR = 565;;
-let _MIPS_INS_TLT = 566;;
-let _MIPS_INS_TLTI = 567;;
-let _MIPS_INS_TLTIU = 568;;
-let _MIPS_INS_TLTU = 569;;
-let _MIPS_INS_TNE = 570;;
-let _MIPS_INS_TNEI = 571;;
-let _MIPS_INS_TRUNC = 572;;
-let _MIPS_INS_V3MULU = 573;;
-let _MIPS_INS_VMM0 = 574;;
-let _MIPS_INS_VMULU = 575;;
-let _MIPS_INS_VSHF = 576;;
-let _MIPS_INS_WAIT = 577;;
-let _MIPS_INS_WRDSP = 578;;
-let _MIPS_INS_WSBH = 579;;
-let _MIPS_INS_XOR = 580;;
-let _MIPS_INS_XORI = 581;;
+let _MIPS_INS_ADDIUR1SP = 4;;
+let _MIPS_INS_ADDIUR2 = 5;;
+let _MIPS_INS_ADDIUS5 = 6;;
+let _MIPS_INS_ADDIUSP = 7;;
+let _MIPS_INS_ADDQH = 8;;
+let _MIPS_INS_ADDQH_R = 9;;
+let _MIPS_INS_ADDQ = 10;;
+let _MIPS_INS_ADDQ_S = 11;;
+let _MIPS_INS_ADDSC = 12;;
+let _MIPS_INS_ADDS_A = 13;;
+let _MIPS_INS_ADDS_S = 14;;
+let _MIPS_INS_ADDS_U = 15;;
+let _MIPS_INS_ADDU16 = 16;;
+let _MIPS_INS_ADDUH = 17;;
+let _MIPS_INS_ADDUH_R = 18;;
+let _MIPS_INS_ADDU = 19;;
+let _MIPS_INS_ADDU_S = 20;;
+let _MIPS_INS_ADDVI = 21;;
+let _MIPS_INS_ADDV = 22;;
+let _MIPS_INS_ADDWC = 23;;
+let _MIPS_INS_ADD_A = 24;;
+let _MIPS_INS_ADDI = 25;;
+let _MIPS_INS_ADDIU = 26;;
+let _MIPS_INS_ALIGN = 27;;
+let _MIPS_INS_ALUIPC = 28;;
+let _MIPS_INS_AND = 29;;
+let _MIPS_INS_AND16 = 30;;
+let _MIPS_INS_ANDI16 = 31;;
+let _MIPS_INS_ANDI = 32;;
+let _MIPS_INS_APPEND = 33;;
+let _MIPS_INS_ASUB_S = 34;;
+let _MIPS_INS_ASUB_U = 35;;
+let _MIPS_INS_AUI = 36;;
+let _MIPS_INS_AUIPC = 37;;
+let _MIPS_INS_AVER_S = 38;;
+let _MIPS_INS_AVER_U = 39;;
+let _MIPS_INS_AVE_S = 40;;
+let _MIPS_INS_AVE_U = 41;;
+let _MIPS_INS_B16 = 42;;
+let _MIPS_INS_BADDU = 43;;
+let _MIPS_INS_BAL = 44;;
+let _MIPS_INS_BALC = 45;;
+let _MIPS_INS_BALIGN = 46;;
+let _MIPS_INS_BBIT0 = 47;;
+let _MIPS_INS_BBIT032 = 48;;
+let _MIPS_INS_BBIT1 = 49;;
+let _MIPS_INS_BBIT132 = 50;;
+let _MIPS_INS_BC = 51;;
+let _MIPS_INS_BC0F = 52;;
+let _MIPS_INS_BC0FL = 53;;
+let _MIPS_INS_BC0T = 54;;
+let _MIPS_INS_BC0TL = 55;;
+let _MIPS_INS_BC1EQZ = 56;;
+let _MIPS_INS_BC1F = 57;;
+let _MIPS_INS_BC1FL = 58;;
+let _MIPS_INS_BC1NEZ = 59;;
+let _MIPS_INS_BC1T = 60;;
+let _MIPS_INS_BC1TL = 61;;
+let _MIPS_INS_BC2EQZ = 62;;
+let _MIPS_INS_BC2F = 63;;
+let _MIPS_INS_BC2FL = 64;;
+let _MIPS_INS_BC2NEZ = 65;;
+let _MIPS_INS_BC2T = 66;;
+let _MIPS_INS_BC2TL = 67;;
+let _MIPS_INS_BC3F = 68;;
+let _MIPS_INS_BC3FL = 69;;
+let _MIPS_INS_BC3T = 70;;
+let _MIPS_INS_BC3TL = 71;;
+let _MIPS_INS_BCLRI = 72;;
+let _MIPS_INS_BCLR = 73;;
+let _MIPS_INS_BEQ = 74;;
+let _MIPS_INS_BEQC = 75;;
+let _MIPS_INS_BEQL = 76;;
+let _MIPS_INS_BEQZ16 = 77;;
+let _MIPS_INS_BEQZALC = 78;;
+let _MIPS_INS_BEQZC = 79;;
+let _MIPS_INS_BGEC = 80;;
+let _MIPS_INS_BGEUC = 81;;
+let _MIPS_INS_BGEZ = 82;;
+let _MIPS_INS_BGEZAL = 83;;
+let _MIPS_INS_BGEZALC = 84;;
+let _MIPS_INS_BGEZALL = 85;;
+let _MIPS_INS_BGEZALS = 86;;
+let _MIPS_INS_BGEZC = 87;;
+let _MIPS_INS_BGEZL = 88;;
+let _MIPS_INS_BGTZ = 89;;
+let _MIPS_INS_BGTZALC = 90;;
+let _MIPS_INS_BGTZC = 91;;
+let _MIPS_INS_BGTZL = 92;;
+let _MIPS_INS_BINSLI = 93;;
+let _MIPS_INS_BINSL = 94;;
+let _MIPS_INS_BINSRI = 95;;
+let _MIPS_INS_BINSR = 96;;
+let _MIPS_INS_BITREV = 97;;
+let _MIPS_INS_BITSWAP = 98;;
+let _MIPS_INS_BLEZ = 99;;
+let _MIPS_INS_BLEZALC = 100;;
+let _MIPS_INS_BLEZC = 101;;
+let _MIPS_INS_BLEZL = 102;;
+let _MIPS_INS_BLTC = 103;;
+let _MIPS_INS_BLTUC = 104;;
+let _MIPS_INS_BLTZ = 105;;
+let _MIPS_INS_BLTZAL = 106;;
+let _MIPS_INS_BLTZALC = 107;;
+let _MIPS_INS_BLTZALL = 108;;
+let _MIPS_INS_BLTZALS = 109;;
+let _MIPS_INS_BLTZC = 110;;
+let _MIPS_INS_BLTZL = 111;;
+let _MIPS_INS_BMNZI = 112;;
+let _MIPS_INS_BMNZ = 113;;
+let _MIPS_INS_BMZI = 114;;
+let _MIPS_INS_BMZ = 115;;
+let _MIPS_INS_BNE = 116;;
+let _MIPS_INS_BNEC = 117;;
+let _MIPS_INS_BNEGI = 118;;
+let _MIPS_INS_BNEG = 119;;
+let _MIPS_INS_BNEL = 120;;
+let _MIPS_INS_BNEZ16 = 121;;
+let _MIPS_INS_BNEZALC = 122;;
+let _MIPS_INS_BNEZC = 123;;
+let _MIPS_INS_BNVC = 124;;
+let _MIPS_INS_BNZ = 125;;
+let _MIPS_INS_BOVC = 126;;
+let _MIPS_INS_BPOSGE32 = 127;;
+let _MIPS_INS_BREAK = 128;;
+let _MIPS_INS_BREAK16 = 129;;
+let _MIPS_INS_BSELI = 130;;
+let _MIPS_INS_BSEL = 131;;
+let _MIPS_INS_BSETI = 132;;
+let _MIPS_INS_BSET = 133;;
+let _MIPS_INS_BZ = 134;;
+let _MIPS_INS_BEQZ = 135;;
+let _MIPS_INS_B = 136;;
+let _MIPS_INS_BNEZ = 137;;
+let _MIPS_INS_BTEQZ = 138;;
+let _MIPS_INS_BTNEZ = 139;;
+let _MIPS_INS_CACHE = 140;;
+let _MIPS_INS_CEIL = 141;;
+let _MIPS_INS_CEQI = 142;;
+let _MIPS_INS_CEQ = 143;;
+let _MIPS_INS_CFC1 = 144;;
+let _MIPS_INS_CFCMSA = 145;;
+let _MIPS_INS_CINS = 146;;
+let _MIPS_INS_CINS32 = 147;;
+let _MIPS_INS_CLASS = 148;;
+let _MIPS_INS_CLEI_S = 149;;
+let _MIPS_INS_CLEI_U = 150;;
+let _MIPS_INS_CLE_S = 151;;
+let _MIPS_INS_CLE_U = 152;;
+let _MIPS_INS_CLO = 153;;
+let _MIPS_INS_CLTI_S = 154;;
+let _MIPS_INS_CLTI_U = 155;;
+let _MIPS_INS_CLT_S = 156;;
+let _MIPS_INS_CLT_U = 157;;
+let _MIPS_INS_CLZ = 158;;
+let _MIPS_INS_CMPGDU = 159;;
+let _MIPS_INS_CMPGU = 160;;
+let _MIPS_INS_CMPU = 161;;
+let _MIPS_INS_CMP = 162;;
+let _MIPS_INS_COPY_S = 163;;
+let _MIPS_INS_COPY_U = 164;;
+let _MIPS_INS_CTC1 = 165;;
+let _MIPS_INS_CTCMSA = 166;;
+let _MIPS_INS_CVT = 167;;
+let _MIPS_INS_C = 168;;
+let _MIPS_INS_CMPI = 169;;
+let _MIPS_INS_DADD = 170;;
+let _MIPS_INS_DADDI = 171;;
+let _MIPS_INS_DADDIU = 172;;
+let _MIPS_INS_DADDU = 173;;
+let _MIPS_INS_DAHI = 174;;
+let _MIPS_INS_DALIGN = 175;;
+let _MIPS_INS_DATI = 176;;
+let _MIPS_INS_DAUI = 177;;
+let _MIPS_INS_DBITSWAP = 178;;
+let _MIPS_INS_DCLO = 179;;
+let _MIPS_INS_DCLZ = 180;;
+let _MIPS_INS_DDIV = 181;;
+let _MIPS_INS_DDIVU = 182;;
+let _MIPS_INS_DERET = 183;;
+let _MIPS_INS_DEXT = 184;;
+let _MIPS_INS_DEXTM = 185;;
+let _MIPS_INS_DEXTU = 186;;
+let _MIPS_INS_DI = 187;;
+let _MIPS_INS_DINS = 188;;
+let _MIPS_INS_DINSM = 189;;
+let _MIPS_INS_DINSU = 190;;
+let _MIPS_INS_DIV = 191;;
+let _MIPS_INS_DIVU = 192;;
+let _MIPS_INS_DIV_S = 193;;
+let _MIPS_INS_DIV_U = 194;;
+let _MIPS_INS_DLSA = 195;;
+let _MIPS_INS_DMFC0 = 196;;
+let _MIPS_INS_DMFC1 = 197;;
+let _MIPS_INS_DMFC2 = 198;;
+let _MIPS_INS_DMOD = 199;;
+let _MIPS_INS_DMODU = 200;;
+let _MIPS_INS_DMTC0 = 201;;
+let _MIPS_INS_DMTC1 = 202;;
+let _MIPS_INS_DMTC2 = 203;;
+let _MIPS_INS_DMUH = 204;;
+let _MIPS_INS_DMUHU = 205;;
+let _MIPS_INS_DMUL = 206;;
+let _MIPS_INS_DMULT = 207;;
+let _MIPS_INS_DMULTU = 208;;
+let _MIPS_INS_DMULU = 209;;
+let _MIPS_INS_DOTP_S = 210;;
+let _MIPS_INS_DOTP_U = 211;;
+let _MIPS_INS_DPADD_S = 212;;
+let _MIPS_INS_DPADD_U = 213;;
+let _MIPS_INS_DPAQX_SA = 214;;
+let _MIPS_INS_DPAQX_S = 215;;
+let _MIPS_INS_DPAQ_SA = 216;;
+let _MIPS_INS_DPAQ_S = 217;;
+let _MIPS_INS_DPAU = 218;;
+let _MIPS_INS_DPAX = 219;;
+let _MIPS_INS_DPA = 220;;
+let _MIPS_INS_DPOP = 221;;
+let _MIPS_INS_DPSQX_SA = 222;;
+let _MIPS_INS_DPSQX_S = 223;;
+let _MIPS_INS_DPSQ_SA = 224;;
+let _MIPS_INS_DPSQ_S = 225;;
+let _MIPS_INS_DPSUB_S = 226;;
+let _MIPS_INS_DPSUB_U = 227;;
+let _MIPS_INS_DPSU = 228;;
+let _MIPS_INS_DPSX = 229;;
+let _MIPS_INS_DPS = 230;;
+let _MIPS_INS_DROTR = 231;;
+let _MIPS_INS_DROTR32 = 232;;
+let _MIPS_INS_DROTRV = 233;;
+let _MIPS_INS_DSBH = 234;;
+let _MIPS_INS_DSHD = 235;;
+let _MIPS_INS_DSLL = 236;;
+let _MIPS_INS_DSLL32 = 237;;
+let _MIPS_INS_DSLLV = 238;;
+let _MIPS_INS_DSRA = 239;;
+let _MIPS_INS_DSRA32 = 240;;
+let _MIPS_INS_DSRAV = 241;;
+let _MIPS_INS_DSRL = 242;;
+let _MIPS_INS_DSRL32 = 243;;
+let _MIPS_INS_DSRLV = 244;;
+let _MIPS_INS_DSUB = 245;;
+let _MIPS_INS_DSUBU = 246;;
+let _MIPS_INS_EHB = 247;;
+let _MIPS_INS_EI = 248;;
+let _MIPS_INS_ERET = 249;;
+let _MIPS_INS_EXT = 250;;
+let _MIPS_INS_EXTP = 251;;
+let _MIPS_INS_EXTPDP = 252;;
+let _MIPS_INS_EXTPDPV = 253;;
+let _MIPS_INS_EXTPV = 254;;
+let _MIPS_INS_EXTRV_RS = 255;;
+let _MIPS_INS_EXTRV_R = 256;;
+let _MIPS_INS_EXTRV_S = 257;;
+let _MIPS_INS_EXTRV = 258;;
+let _MIPS_INS_EXTR_RS = 259;;
+let _MIPS_INS_EXTR_R = 260;;
+let _MIPS_INS_EXTR_S = 261;;
+let _MIPS_INS_EXTR = 262;;
+let _MIPS_INS_EXTS = 263;;
+let _MIPS_INS_EXTS32 = 264;;
+let _MIPS_INS_ABS = 265;;
+let _MIPS_INS_FADD = 266;;
+let _MIPS_INS_FCAF = 267;;
+let _MIPS_INS_FCEQ = 268;;
+let _MIPS_INS_FCLASS = 269;;
+let _MIPS_INS_FCLE = 270;;
+let _MIPS_INS_FCLT = 271;;
+let _MIPS_INS_FCNE = 272;;
+let _MIPS_INS_FCOR = 273;;
+let _MIPS_INS_FCUEQ = 274;;
+let _MIPS_INS_FCULE = 275;;
+let _MIPS_INS_FCULT = 276;;
+let _MIPS_INS_FCUNE = 277;;
+let _MIPS_INS_FCUN = 278;;
+let _MIPS_INS_FDIV = 279;;
+let _MIPS_INS_FEXDO = 280;;
+let _MIPS_INS_FEXP2 = 281;;
+let _MIPS_INS_FEXUPL = 282;;
+let _MIPS_INS_FEXUPR = 283;;
+let _MIPS_INS_FFINT_S = 284;;
+let _MIPS_INS_FFINT_U = 285;;
+let _MIPS_INS_FFQL = 286;;
+let _MIPS_INS_FFQR = 287;;
+let _MIPS_INS_FILL = 288;;
+let _MIPS_INS_FLOG2 = 289;;
+let _MIPS_INS_FLOOR = 290;;
+let _MIPS_INS_FMADD = 291;;
+let _MIPS_INS_FMAX_A = 292;;
+let _MIPS_INS_FMAX = 293;;
+let _MIPS_INS_FMIN_A = 294;;
+let _MIPS_INS_FMIN = 295;;
+let _MIPS_INS_MOV = 296;;
+let _MIPS_INS_FMSUB = 297;;
+let _MIPS_INS_FMUL = 298;;
+let _MIPS_INS_MUL = 299;;
+let _MIPS_INS_NEG = 300;;
+let _MIPS_INS_FRCP = 301;;
+let _MIPS_INS_FRINT = 302;;
+let _MIPS_INS_FRSQRT = 303;;
+let _MIPS_INS_FSAF = 304;;
+let _MIPS_INS_FSEQ = 305;;
+let _MIPS_INS_FSLE = 306;;
+let _MIPS_INS_FSLT = 307;;
+let _MIPS_INS_FSNE = 308;;
+let _MIPS_INS_FSOR = 309;;
+let _MIPS_INS_FSQRT = 310;;
+let _MIPS_INS_SQRT = 311;;
+let _MIPS_INS_FSUB = 312;;
+let _MIPS_INS_SUB = 313;;
+let _MIPS_INS_FSUEQ = 314;;
+let _MIPS_INS_FSULE = 315;;
+let _MIPS_INS_FSULT = 316;;
+let _MIPS_INS_FSUNE = 317;;
+let _MIPS_INS_FSUN = 318;;
+let _MIPS_INS_FTINT_S = 319;;
+let _MIPS_INS_FTINT_U = 320;;
+let _MIPS_INS_FTQ = 321;;
+let _MIPS_INS_FTRUNC_S = 322;;
+let _MIPS_INS_FTRUNC_U = 323;;
+let _MIPS_INS_HADD_S = 324;;
+let _MIPS_INS_HADD_U = 325;;
+let _MIPS_INS_HSUB_S = 326;;
+let _MIPS_INS_HSUB_U = 327;;
+let _MIPS_INS_ILVEV = 328;;
+let _MIPS_INS_ILVL = 329;;
+let _MIPS_INS_ILVOD = 330;;
+let _MIPS_INS_ILVR = 331;;
+let _MIPS_INS_INS = 332;;
+let _MIPS_INS_INSERT = 333;;
+let _MIPS_INS_INSV = 334;;
+let _MIPS_INS_INSVE = 335;;
+let _MIPS_INS_J = 336;;
+let _MIPS_INS_JAL = 337;;
+let _MIPS_INS_JALR = 338;;
+let _MIPS_INS_JALRS16 = 339;;
+let _MIPS_INS_JALRS = 340;;
+let _MIPS_INS_JALS = 341;;
+let _MIPS_INS_JALX = 342;;
+let _MIPS_INS_JIALC = 343;;
+let _MIPS_INS_JIC = 344;;
+let _MIPS_INS_JR = 345;;
+let _MIPS_INS_JR16 = 346;;
+let _MIPS_INS_JRADDIUSP = 347;;
+let _MIPS_INS_JRC = 348;;
+let _MIPS_INS_JALRC = 349;;
+let _MIPS_INS_LB = 350;;
+let _MIPS_INS_LBU16 = 351;;
+let _MIPS_INS_LBUX = 352;;
+let _MIPS_INS_LBU = 353;;
+let _MIPS_INS_LD = 354;;
+let _MIPS_INS_LDC1 = 355;;
+let _MIPS_INS_LDC2 = 356;;
+let _MIPS_INS_LDC3 = 357;;
+let _MIPS_INS_LDI = 358;;
+let _MIPS_INS_LDL = 359;;
+let _MIPS_INS_LDPC = 360;;
+let _MIPS_INS_LDR = 361;;
+let _MIPS_INS_LDXC1 = 362;;
+let _MIPS_INS_LH = 363;;
+let _MIPS_INS_LHU16 = 364;;
+let _MIPS_INS_LHX = 365;;
+let _MIPS_INS_LHU = 366;;
+let _MIPS_INS_LI16 = 367;;
+let _MIPS_INS_LL = 368;;
+let _MIPS_INS_LLD = 369;;
+let _MIPS_INS_LSA = 370;;
+let _MIPS_INS_LUXC1 = 371;;
+let _MIPS_INS_LUI = 372;;
+let _MIPS_INS_LW = 373;;
+let _MIPS_INS_LW16 = 374;;
+let _MIPS_INS_LWC1 = 375;;
+let _MIPS_INS_LWC2 = 376;;
+let _MIPS_INS_LWC3 = 377;;
+let _MIPS_INS_LWL = 378;;
+let _MIPS_INS_LWM16 = 379;;
+let _MIPS_INS_LWM32 = 380;;
+let _MIPS_INS_LWPC = 381;;
+let _MIPS_INS_LWP = 382;;
+let _MIPS_INS_LWR = 383;;
+let _MIPS_INS_LWUPC = 384;;
+let _MIPS_INS_LWU = 385;;
+let _MIPS_INS_LWX = 386;;
+let _MIPS_INS_LWXC1 = 387;;
+let _MIPS_INS_LWXS = 388;;
+let _MIPS_INS_LI = 389;;
+let _MIPS_INS_MADD = 390;;
+let _MIPS_INS_MADDF = 391;;
+let _MIPS_INS_MADDR_Q = 392;;
+let _MIPS_INS_MADDU = 393;;
+let _MIPS_INS_MADDV = 394;;
+let _MIPS_INS_MADD_Q = 395;;
+let _MIPS_INS_MAQ_SA = 396;;
+let _MIPS_INS_MAQ_S = 397;;
+let _MIPS_INS_MAXA = 398;;
+let _MIPS_INS_MAXI_S = 399;;
+let _MIPS_INS_MAXI_U = 400;;
+let _MIPS_INS_MAX_A = 401;;
+let _MIPS_INS_MAX = 402;;
+let _MIPS_INS_MAX_S = 403;;
+let _MIPS_INS_MAX_U = 404;;
+let _MIPS_INS_MFC0 = 405;;
+let _MIPS_INS_MFC1 = 406;;
+let _MIPS_INS_MFC2 = 407;;
+let _MIPS_INS_MFHC1 = 408;;
+let _MIPS_INS_MFHI = 409;;
+let _MIPS_INS_MFLO = 410;;
+let _MIPS_INS_MINA = 411;;
+let _MIPS_INS_MINI_S = 412;;
+let _MIPS_INS_MINI_U = 413;;
+let _MIPS_INS_MIN_A = 414;;
+let _MIPS_INS_MIN = 415;;
+let _MIPS_INS_MIN_S = 416;;
+let _MIPS_INS_MIN_U = 417;;
+let _MIPS_INS_MOD = 418;;
+let _MIPS_INS_MODSUB = 419;;
+let _MIPS_INS_MODU = 420;;
+let _MIPS_INS_MOD_S = 421;;
+let _MIPS_INS_MOD_U = 422;;
+let _MIPS_INS_MOVE = 423;;
+let _MIPS_INS_MOVEP = 424;;
+let _MIPS_INS_MOVF = 425;;
+let _MIPS_INS_MOVN = 426;;
+let _MIPS_INS_MOVT = 427;;
+let _MIPS_INS_MOVZ = 428;;
+let _MIPS_INS_MSUB = 429;;
+let _MIPS_INS_MSUBF = 430;;
+let _MIPS_INS_MSUBR_Q = 431;;
+let _MIPS_INS_MSUBU = 432;;
+let _MIPS_INS_MSUBV = 433;;
+let _MIPS_INS_MSUB_Q = 434;;
+let _MIPS_INS_MTC0 = 435;;
+let _MIPS_INS_MTC1 = 436;;
+let _MIPS_INS_MTC2 = 437;;
+let _MIPS_INS_MTHC1 = 438;;
+let _MIPS_INS_MTHI = 439;;
+let _MIPS_INS_MTHLIP = 440;;
+let _MIPS_INS_MTLO = 441;;
+let _MIPS_INS_MTM0 = 442;;
+let _MIPS_INS_MTM1 = 443;;
+let _MIPS_INS_MTM2 = 444;;
+let _MIPS_INS_MTP0 = 445;;
+let _MIPS_INS_MTP1 = 446;;
+let _MIPS_INS_MTP2 = 447;;
+let _MIPS_INS_MUH = 448;;
+let _MIPS_INS_MUHU = 449;;
+let _MIPS_INS_MULEQ_S = 450;;
+let _MIPS_INS_MULEU_S = 451;;
+let _MIPS_INS_MULQ_RS = 452;;
+let _MIPS_INS_MULQ_S = 453;;
+let _MIPS_INS_MULR_Q = 454;;
+let _MIPS_INS_MULSAQ_S = 455;;
+let _MIPS_INS_MULSA = 456;;
+let _MIPS_INS_MULT = 457;;
+let _MIPS_INS_MULTU = 458;;
+let _MIPS_INS_MULU = 459;;
+let _MIPS_INS_MULV = 460;;
+let _MIPS_INS_MUL_Q = 461;;
+let _MIPS_INS_MUL_S = 462;;
+let _MIPS_INS_NLOC = 463;;
+let _MIPS_INS_NLZC = 464;;
+let _MIPS_INS_NMADD = 465;;
+let _MIPS_INS_NMSUB = 466;;
+let _MIPS_INS_NOR = 467;;
+let _MIPS_INS_NORI = 468;;
+let _MIPS_INS_NOT16 = 469;;
+let _MIPS_INS_NOT = 470;;
+let _MIPS_INS_OR = 471;;
+let _MIPS_INS_OR16 = 472;;
+let _MIPS_INS_ORI = 473;;
+let _MIPS_INS_PACKRL = 474;;
+let _MIPS_INS_PAUSE = 475;;
+let _MIPS_INS_PCKEV = 476;;
+let _MIPS_INS_PCKOD = 477;;
+let _MIPS_INS_PCNT = 478;;
+let _MIPS_INS_PICK = 479;;
+let _MIPS_INS_POP = 480;;
+let _MIPS_INS_PRECEQU = 481;;
+let _MIPS_INS_PRECEQ = 482;;
+let _MIPS_INS_PRECEU = 483;;
+let _MIPS_INS_PRECRQU_S = 484;;
+let _MIPS_INS_PRECRQ = 485;;
+let _MIPS_INS_PRECRQ_RS = 486;;
+let _MIPS_INS_PRECR = 487;;
+let _MIPS_INS_PRECR_SRA = 488;;
+let _MIPS_INS_PRECR_SRA_R = 489;;
+let _MIPS_INS_PREF = 490;;
+let _MIPS_INS_PREPEND = 491;;
+let _MIPS_INS_RADDU = 492;;
+let _MIPS_INS_RDDSP = 493;;
+let _MIPS_INS_RDHWR = 494;;
+let _MIPS_INS_REPLV = 495;;
+let _MIPS_INS_REPL = 496;;
+let _MIPS_INS_RINT = 497;;
+let _MIPS_INS_ROTR = 498;;
+let _MIPS_INS_ROTRV = 499;;
+let _MIPS_INS_ROUND = 500;;
+let _MIPS_INS_SAT_S = 501;;
+let _MIPS_INS_SAT_U = 502;;
+let _MIPS_INS_SB = 503;;
+let _MIPS_INS_SB16 = 504;;
+let _MIPS_INS_SC = 505;;
+let _MIPS_INS_SCD = 506;;
+let _MIPS_INS_SD = 507;;
+let _MIPS_INS_SDBBP = 508;;
+let _MIPS_INS_SDBBP16 = 509;;
+let _MIPS_INS_SDC1 = 510;;
+let _MIPS_INS_SDC2 = 511;;
+let _MIPS_INS_SDC3 = 512;;
+let _MIPS_INS_SDL = 513;;
+let _MIPS_INS_SDR = 514;;
+let _MIPS_INS_SDXC1 = 515;;
+let _MIPS_INS_SEB = 516;;
+let _MIPS_INS_SEH = 517;;
+let _MIPS_INS_SELEQZ = 518;;
+let _MIPS_INS_SELNEZ = 519;;
+let _MIPS_INS_SEL = 520;;
+let _MIPS_INS_SEQ = 521;;
+let _MIPS_INS_SEQI = 522;;
+let _MIPS_INS_SH = 523;;
+let _MIPS_INS_SH16 = 524;;
+let _MIPS_INS_SHF = 525;;
+let _MIPS_INS_SHILO = 526;;
+let _MIPS_INS_SHILOV = 527;;
+let _MIPS_INS_SHLLV = 528;;
+let _MIPS_INS_SHLLV_S = 529;;
+let _MIPS_INS_SHLL = 530;;
+let _MIPS_INS_SHLL_S = 531;;
+let _MIPS_INS_SHRAV = 532;;
+let _MIPS_INS_SHRAV_R = 533;;
+let _MIPS_INS_SHRA = 534;;
+let _MIPS_INS_SHRA_R = 535;;
+let _MIPS_INS_SHRLV = 536;;
+let _MIPS_INS_SHRL = 537;;
+let _MIPS_INS_SLDI = 538;;
+let _MIPS_INS_SLD = 539;;
+let _MIPS_INS_SLL = 540;;
+let _MIPS_INS_SLL16 = 541;;
+let _MIPS_INS_SLLI = 542;;
+let _MIPS_INS_SLLV = 543;;
+let _MIPS_INS_SLT = 544;;
+let _MIPS_INS_SLTI = 545;;
+let _MIPS_INS_SLTIU = 546;;
+let _MIPS_INS_SLTU = 547;;
+let _MIPS_INS_SNE = 548;;
+let _MIPS_INS_SNEI = 549;;
+let _MIPS_INS_SPLATI = 550;;
+let _MIPS_INS_SPLAT = 551;;
+let _MIPS_INS_SRA = 552;;
+let _MIPS_INS_SRAI = 553;;
+let _MIPS_INS_SRARI = 554;;
+let _MIPS_INS_SRAR = 555;;
+let _MIPS_INS_SRAV = 556;;
+let _MIPS_INS_SRL = 557;;
+let _MIPS_INS_SRL16 = 558;;
+let _MIPS_INS_SRLI = 559;;
+let _MIPS_INS_SRLRI = 560;;
+let _MIPS_INS_SRLR = 561;;
+let _MIPS_INS_SRLV = 562;;
+let _MIPS_INS_SSNOP = 563;;
+let _MIPS_INS_ST = 564;;
+let _MIPS_INS_SUBQH = 565;;
+let _MIPS_INS_SUBQH_R = 566;;
+let _MIPS_INS_SUBQ = 567;;
+let _MIPS_INS_SUBQ_S = 568;;
+let _MIPS_INS_SUBSUS_U = 569;;
+let _MIPS_INS_SUBSUU_S = 570;;
+let _MIPS_INS_SUBS_S = 571;;
+let _MIPS_INS_SUBS_U = 572;;
+let _MIPS_INS_SUBU16 = 573;;
+let _MIPS_INS_SUBUH = 574;;
+let _MIPS_INS_SUBUH_R = 575;;
+let _MIPS_INS_SUBU = 576;;
+let _MIPS_INS_SUBU_S = 577;;
+let _MIPS_INS_SUBVI = 578;;
+let _MIPS_INS_SUBV = 579;;
+let _MIPS_INS_SUXC1 = 580;;
+let _MIPS_INS_SW = 581;;
+let _MIPS_INS_SW16 = 582;;
+let _MIPS_INS_SWC1 = 583;;
+let _MIPS_INS_SWC2 = 584;;
+let _MIPS_INS_SWC3 = 585;;
+let _MIPS_INS_SWL = 586;;
+let _MIPS_INS_SWM16 = 587;;
+let _MIPS_INS_SWM32 = 588;;
+let _MIPS_INS_SWP = 589;;
+let _MIPS_INS_SWR = 590;;
+let _MIPS_INS_SWXC1 = 591;;
+let _MIPS_INS_SYNC = 592;;
+let _MIPS_INS_SYNCI = 593;;
+let _MIPS_INS_SYSCALL = 594;;
+let _MIPS_INS_TEQ = 595;;
+let _MIPS_INS_TEQI = 596;;
+let _MIPS_INS_TGE = 597;;
+let _MIPS_INS_TGEI = 598;;
+let _MIPS_INS_TGEIU = 599;;
+let _MIPS_INS_TGEU = 600;;
+let _MIPS_INS_TLBP = 601;;
+let _MIPS_INS_TLBR = 602;;
+let _MIPS_INS_TLBWI = 603;;
+let _MIPS_INS_TLBWR = 604;;
+let _MIPS_INS_TLT = 605;;
+let _MIPS_INS_TLTI = 606;;
+let _MIPS_INS_TLTIU = 607;;
+let _MIPS_INS_TLTU = 608;;
+let _MIPS_INS_TNE = 609;;
+let _MIPS_INS_TNEI = 610;;
+let _MIPS_INS_TRUNC = 611;;
+let _MIPS_INS_V3MULU = 612;;
+let _MIPS_INS_VMM0 = 613;;
+let _MIPS_INS_VMULU = 614;;
+let _MIPS_INS_VSHF = 615;;
+let _MIPS_INS_WAIT = 616;;
+let _MIPS_INS_WRDSP = 617;;
+let _MIPS_INS_WSBH = 618;;
+let _MIPS_INS_XOR = 619;;
+let _MIPS_INS_XOR16 = 620;;
+let _MIPS_INS_XORI = 621;;
 
 (* some alias instructions *)
-let _MIPS_INS_NOP = 582;;
-let _MIPS_INS_NEGU = 583;;
+let _MIPS_INS_NOP = 622;;
+let _MIPS_INS_NEGU = 623;;
 
 (* special instructions *)
-let _MIPS_INS_JALR_HB = 584;;
-let _MIPS_INS_JR_HB = 585;;
-let _MIPS_INS_ENDING = 586;;
-
-(* Group of MIPS instructions *)
+let _MIPS_INS_JALR_HB = 624;;
+let _MIPS_INS_JR_HB = 625;;
+let _MIPS_INS_ENDING = 626;;
 
 let _MIPS_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _MIPS_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
+let _MIPS_GRP_CALL = 2;;
+let _MIPS_GRP_RET = 3;;
+let _MIPS_GRP_INT = 4;;
+let _MIPS_GRP_IRET = 5;;
+let _MIPS_GRP_PRIVILEGE = 6;;
+let _MIPS_GRP_BRANCH_RELATIVE = 7;;
 let _MIPS_GRP_BITCOUNT = 128;;
 let _MIPS_GRP_DSP = 129;;
 let _MIPS_GRP_DSPR2 = 130;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/ocaml.c 4.0.2-3/bindings/ocaml/ocaml.c
--- 4.0.1+really+3.0.5-2/bindings/ocaml/ocaml.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/ocaml.c	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 #include <caml/alloc.h>
 #include <caml/fail.h>
 
-#include "../../include/capstone.h"
+#include "capstone/capstone.h"
 
 #define ARR_SIZE(a) (sizeof(a)/sizeof(a[0]))
 
@@ -122,7 +122,7 @@ CAMLprim value _cs_disasm(cs_arch arch,
 						if (lcount > 0) {
 							array = caml_alloc(lcount, 0);
 							for (i = 0; i < lcount; i++) {
-								tmp2 = caml_alloc(4, 0);
+								tmp2 = caml_alloc(6, 0);
 								switch(insn[j-1].detail->arm.operands[i].type) {
 									case ARM_OP_REG:
 									case ARM_OP_SYSREG:
@@ -147,11 +147,12 @@ CAMLprim value _cs_disasm(cs_arch arch,
 										break;
 									case ARM_OP_MEM:
 										tmp = caml_alloc(1, 6);
-										tmp3 = caml_alloc(4, 0);
+										tmp3 = caml_alloc(5, 0);
 										Store_field(tmp3, 0, Val_int(insn[j-1].detail->arm.operands[i].mem.base));
 										Store_field(tmp3, 1, Val_int(insn[j-1].detail->arm.operands[i].mem.index));
 										Store_field(tmp3, 2, Val_int(insn[j-1].detail->arm.operands[i].mem.scale));
 										Store_field(tmp3, 3, Val_int(insn[j-1].detail->arm.operands[i].mem.disp));
+										Store_field(tmp3, 4, Val_int(insn[j-1].detail->arm.operands[i].mem.lshift));
 										Store_field(tmp, 0, tmp3);
 										break;
 									case ARM_OP_SETEND:
@@ -167,6 +168,8 @@ CAMLprim value _cs_disasm(cs_arch arch,
 								Store_field(tmp2, 1, tmp3);
 								Store_field(tmp2, 2, tmp);
 								Store_field(tmp2, 3, Val_bool(insn[j-1].detail->arm.operands[i].subtracted));
+								Store_field(tmp2, 4, Val_int(insn[j-1].detail->arm.operands[i].access));
+								Store_field(tmp2, 5, Val_int(insn[j-1].detail->arm.operands[i].neon_lane));
 								Store_field(array, i, tmp2);
 							}
 						} else	// empty list
@@ -313,7 +316,7 @@ CAMLprim value _cs_disasm(cs_arch arch,
 					case CS_ARCH_X86:
 						arch_info = caml_alloc(1, 3);
 
-						op_info_val = caml_alloc(15, 0);
+						op_info_val = caml_alloc(17, 0);
 
 						// fill prefix
 						lcount = list_count(insn[j-1].detail->x86.prefix, ARR_SIZE(insn[j-1].detail->x86.prefix));
@@ -353,10 +356,12 @@ CAMLprim value _cs_disasm(cs_arch arch,
 
 						Store_field(op_info_val, 9, Val_int(insn[j-1].detail->x86.sib_base));
 
-						Store_field(op_info_val, 10, Val_int(insn[j-1].detail->x86.sse_cc));
-						Store_field(op_info_val, 11, Val_int(insn[j-1].detail->x86.avx_cc));
-						Store_field(op_info_val, 12, Val_int(insn[j-1].detail->x86.avx_sae));
-						Store_field(op_info_val, 13, Val_int(insn[j-1].detail->x86.avx_rm));
+						Store_field(op_info_val, 10, Val_int(insn[j-1].detail->x86.xop_cc));
+						Store_field(op_info_val, 11, Val_int(insn[j-1].detail->x86.sse_cc));
+						Store_field(op_info_val, 12, Val_int(insn[j-1].detail->x86.avx_cc));
+						Store_field(op_info_val, 13, Val_int(insn[j-1].detail->x86.avx_sae));
+						Store_field(op_info_val, 14, Val_int(insn[j-1].detail->x86.avx_rm));
+						Store_field(op_info_val, 15, Val_int(insn[j-1].detail->x86.eflags));
 
 						lcount = insn[j-1].detail->x86.op_count;
 						if (lcount > 0) {
@@ -364,19 +369,15 @@ CAMLprim value _cs_disasm(cs_arch arch,
 							for (i = 0; i < lcount; i++) {
 								switch(insn[j-1].detail->x86.operands[i].type) {
 									case X86_OP_REG:
-										tmp = caml_alloc(4, 1);
+										tmp = caml_alloc(1, 1);
 										Store_field(tmp, 0, Val_int(insn[j-1].detail->x86.operands[i].reg));
 										break;
 									case X86_OP_IMM:
-										tmp = caml_alloc(4, 2);
+										tmp = caml_alloc(1, 2);
 										Store_field(tmp, 0, Val_int(insn[j-1].detail->x86.operands[i].imm));
 										break;
-									case X86_OP_FP:
-										tmp = caml_alloc(4, 3);
-										Store_field(tmp, 0, caml_copy_double(insn[j-1].detail->x86.operands[i].fp));
-										break;
 									case X86_OP_MEM:
-										tmp = caml_alloc(4, 4);
+										tmp = caml_alloc(1, 3);
 										tmp2 = caml_alloc(5, 0);
 										Store_field(tmp2, 0, Val_int(insn[j-1].detail->x86.operands[i].mem.segment));
 										Store_field(tmp2, 1, Val_int(insn[j-1].detail->x86.operands[i].mem.base));
@@ -387,18 +388,21 @@ CAMLprim value _cs_disasm(cs_arch arch,
 										Store_field(tmp, 0, tmp2);
 										break;
 									default:
+										tmp = caml_alloc(1, 0); // X86_OP_INVALID
 										break;
 								}
-								Store_field(tmp, 1, Val_int(insn[j-1].detail->x86.operands[i].size));
-								Store_field(tmp, 2, Val_int(insn[j-1].detail->x86.operands[i].avx_bcast));
-								Store_field(tmp, 3, Val_int(insn[j-1].detail->x86.operands[i].avx_zero_opmask));
-								tmp2 = caml_alloc(1, 0);
+
+								tmp2 = caml_alloc(5, 0);
 								Store_field(tmp2, 0, tmp);
+								Store_field(tmp2, 1, Val_int(insn[j-1].detail->x86.operands[i].size));
+								Store_field(tmp2, 2, Val_int(insn[j-1].detail->x86.operands[i].access));
+								Store_field(tmp2, 3, Val_int(insn[j-1].detail->x86.operands[i].avx_bcast));
+								Store_field(tmp2, 4, Val_int(insn[j-1].detail->x86.operands[i].avx_zero_opmask));
 								Store_field(array, i, tmp2);
 							}
 						} else	// empty array
 							array = Atom(0);
-						Store_field(op_info_val, 14, array);
+						Store_field(op_info_val, 16, array);
 
 						// finally, insert this into arch_info
 						Store_field(arch_info, 0, op_info_val);
@@ -604,6 +608,79 @@ CAMLprim value _cs_disasm(cs_arch arch,
 
 						break;
 
+					case CS_ARCH_M680X:
+						arch_info = caml_alloc(1, 8);
+
+						op_info_val = caml_alloc(2, 0); // struct cs_m680x
+						Store_field(op_info_val, 0, Val_int(insn[j-1].detail->m680x.flags));
+
+						lcount = insn[j-1].detail->m680x.op_count;
+						if (lcount > 0) {
+							array = caml_alloc(lcount, 0);
+							for (i = 0; i < lcount; i++) {
+								tmp2 = caml_alloc(3, 0); // m680x_op
+								switch(insn[j-1].detail->m680x.operands[i].type) {
+									case M680X_OP_IMMEDIATE:
+										tmp = caml_alloc(1, 1); // imm
+										Store_field(tmp, 0, Val_int(insn[j-1].detail->m680x.operands[i].imm));
+										break;
+									case M680X_OP_REGISTER:
+										tmp = caml_alloc(1, 2); // reg
+										Store_field(tmp, 0, Val_int(insn[j-1].detail->m680x.operands[i].reg));
+										break;
+									case M680X_OP_INDEXED:
+										tmp = caml_alloc(1, 3);
+										tmp3 = caml_alloc(7, 0); // m680x_op_idx
+										Store_field(tmp3, 0, Val_int(insn[j-1].detail->m680x.operands[i].idx.base_reg));
+										Store_field(tmp3, 1, Val_int(insn[j-1].detail->m680x.operands[i].idx.offset_reg));
+										Store_field(tmp3, 2, Val_int(insn[j-1].detail->m680x.operands[i].idx.offset));
+										Store_field(tmp3, 3, Val_int(insn[j-1].detail->m680x.operands[i].idx.offset_addr));
+										Store_field(tmp3, 4, Val_int(insn[j-1].detail->m680x.operands[i].idx.offset_bits));
+										Store_field(tmp3, 5, Val_int(insn[j-1].detail->m680x.operands[i].idx.inc_dec));
+										Store_field(tmp3, 6, Val_int(insn[j-1].detail->m680x.operands[i].idx.flags));
+										Store_field(tmp, 0, tmp3);
+										break;
+									case M680X_OP_RELATIVE:
+										tmp = caml_alloc(1, 4);
+										tmp3 = caml_alloc(2, 0); // m680x_op_rel
+										Store_field(tmp3, 0, Val_int(insn[j-1].detail->m680x.operands[i].rel.address));
+										Store_field(tmp3, 1, Val_int(insn[j-1].detail->m680x.operands[i].rel.offset));
+										Store_field(tmp, 0, tmp3);
+										break;
+									case M680X_OP_EXTENDED:
+										tmp = caml_alloc(1, 5);
+										tmp3 = caml_alloc(2, 0); // m680x_op_ext
+										Store_field(tmp3, 0, Val_int(insn[j-1].detail->m680x.operands[i].ext.address));
+										Store_field(tmp3, 1, Val_bool(insn[j-1].detail->m680x.operands[i].ext.indirect));
+										Store_field(tmp, 0, tmp3);
+										break;
+									case M680X_OP_DIRECT:
+										tmp = caml_alloc(1, 6); // direct_addr
+										Store_field(tmp, 0, Val_int(insn[j-1].detail->m680x.operands[i].direct_addr));
+										break;
+									case M680X_OP_CONSTANT:
+										tmp = caml_alloc(1, 7); // const_val
+										Store_field(tmp, 0, Val_int(insn[j-1].detail->m680x.operands[i].const_val));
+										break;
+									default: break;
+								}
+								Store_field(tmp2, 0, tmp); // add union
+								Store_field(tmp2, 1, Val_int(insn[j-1].detail->m680x.operands[i].size));
+								Store_field(tmp2, 2, Val_int(insn[j-1].detail->m680x.operands[i].access));
+								Store_field(array, i, tmp2); // add operand to operand array
+							}
+						} else // empty list
+							array = Atom(0);
+
+						Store_field(op_info_val, 1, array);
+
+						// finally, insert this into arch_info
+						Store_field(arch_info, 0, op_info_val);
+
+						Store_field(rec_insn, 9, arch_info);
+
+						break;
+
 					default: break;
 				}
 			}
@@ -656,6 +733,15 @@ CAMLprim value ocaml_cs_disasm(value _ar
 		case 7:
 			arch = CS_ARCH_XCORE;
 			break;
+		case 8:
+			arch = CS_ARCH_M68K;
+			break;
+		case 9:
+			arch = CS_ARCH_TMS320C64X;
+			break;
+		case 10:
+			arch = CS_ARCH_M680X;
+			break;
 		default:
 			caml_invalid_argument("Invalid arch");
 			return Val_emptylist;
@@ -698,7 +784,7 @@ CAMLprim value ocaml_cs_disasm(value _ar
 				mode |= CS_MODE_MIPS32R6;
 				break;
 			case 11:
-				mode |= CS_MODE_MIPSGP64;
+				mode |= CS_MODE_MIPS2;
 				break;
 			case 12:
 				mode |= CS_MODE_V9;
@@ -712,6 +798,39 @@ CAMLprim value ocaml_cs_disasm(value _ar
 			case 15:
 				mode |= CS_MODE_MIPS64;
 				break;
+			case 16:
+				mode |= CS_MODE_QPX;
+				break;
+			case 17:
+				mode |= CS_MODE_M680X_6301;
+				break;
+			case 18:
+				mode |= CS_MODE_M680X_6309;
+				break;
+			case 19:
+				mode |= CS_MODE_M680X_6800;
+				break;
+			case 20:
+				mode |= CS_MODE_M680X_6801;
+				break;
+			case 21:
+				mode |= CS_MODE_M680X_6805;
+				break;
+			case 22:
+				mode |= CS_MODE_M680X_6808;
+				break;
+			case 23:
+				mode |= CS_MODE_M680X_6809;
+				break;
+			case 24:
+				mode |= CS_MODE_M680X_6811;
+				break;
+			case 25:
+				mode |= CS_MODE_M680X_CPU12;
+				break;
+			case 26:
+				mode |= CS_MODE_M680X_HCS08;
+				break;
 			default:
 				caml_invalid_argument("Invalid mode");
 				return Val_emptylist;
@@ -786,6 +905,15 @@ CAMLprim value ocaml_open(value _arch, v
 		case 7:
 			arch = CS_ARCH_XCORE;
 			break;
+		case 8:
+			arch = CS_ARCH_M68K;
+			break;
+		case 9:
+			arch = CS_ARCH_TMS320C64X;
+			break;
+		case 10:
+			arch = CS_ARCH_M680X;
+			break;
 		default:
 			caml_invalid_argument("Invalid arch");
 			return Val_emptylist;
@@ -829,7 +957,7 @@ CAMLprim value ocaml_open(value _arch, v
 				mode |= CS_MODE_MIPS32R6;
 				break;
 			case 11:
-				mode |= CS_MODE_MIPSGP64;
+				mode |= CS_MODE_MIPS2;
 				break;
 			case 12:
 				mode |= CS_MODE_V9;
@@ -843,6 +971,39 @@ CAMLprim value ocaml_open(value _arch, v
 			case 15:
 				mode |= CS_MODE_MIPS64;
 				break;
+			case 16:
+				mode |= CS_MODE_QPX;
+				break;
+			case 17:
+				mode |= CS_MODE_M680X_6301;
+				break;
+			case 18:
+				mode |= CS_MODE_M680X_6309;
+				break;
+			case 19:
+				mode |= CS_MODE_M680X_6800;
+				break;
+			case 20:
+				mode |= CS_MODE_M680X_6801;
+				break;
+			case 21:
+				mode |= CS_MODE_M680X_6805;
+				break;
+			case 22:
+				mode |= CS_MODE_M680X_6808;
+				break;
+			case 23:
+				mode |= CS_MODE_M680X_6809;
+				break;
+			case 24:
+				mode |= CS_MODE_M680X_6811;
+				break;
+			case 25:
+				mode |= CS_MODE_M680X_CPU12;
+				break;
+			case 26:
+				mode |= CS_MODE_M680X_HCS08;
+				break;
 			default:
 				caml_invalid_argument("Invalid mode");
 				return Val_emptylist;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/ppc_const.ml 4.0.2-3/bindings/ocaml/ppc_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/ppc_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/ppc_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [ppc_const.ml] *)
 
-(* PPC branch codes for some branch instructions *)
-
 let _PPC_BC_INVALID = 0;;
 let _PPC_BC_LT = (0 lsl 5) lor 12;;
 let _PPC_BC_LE = (1 lsl 5) lor 4;;
@@ -14,203 +12,227 @@ let _PPC_BC_NU = (3 lsl 5) lor 4;;
 let _PPC_BC_SO = (4 lsl 5) lor 12;;
 let _PPC_BC_NS = (4 lsl 5) lor 4;;
 
-(* PPC branch hint for some branch instructions *)
-
 let _PPC_BH_INVALID = 0;;
 let _PPC_BH_PLUS = 1;;
 let _PPC_BH_MINUS = 2;;
 
-(* PPC registers *)
-
-let _PPC_REG_INVALID = 0;;
-let _PPC_REG_CARRY = 1;;
-let _PPC_REG_CC = 2;;
-let _PPC_REG_CR0 = 3;;
-let _PPC_REG_CR1 = 4;;
-let _PPC_REG_CR2 = 5;;
-let _PPC_REG_CR3 = 6;;
-let _PPC_REG_CR4 = 7;;
-let _PPC_REG_CR5 = 8;;
-let _PPC_REG_CR6 = 9;;
-let _PPC_REG_CR7 = 10;;
-let _PPC_REG_CTR = 11;;
-let _PPC_REG_F0 = 12;;
-let _PPC_REG_F1 = 13;;
-let _PPC_REG_F2 = 14;;
-let _PPC_REG_F3 = 15;;
-let _PPC_REG_F4 = 16;;
-let _PPC_REG_F5 = 17;;
-let _PPC_REG_F6 = 18;;
-let _PPC_REG_F7 = 19;;
-let _PPC_REG_F8 = 20;;
-let _PPC_REG_F9 = 21;;
-let _PPC_REG_F10 = 22;;
-let _PPC_REG_F11 = 23;;
-let _PPC_REG_F12 = 24;;
-let _PPC_REG_F13 = 25;;
-let _PPC_REG_F14 = 26;;
-let _PPC_REG_F15 = 27;;
-let _PPC_REG_F16 = 28;;
-let _PPC_REG_F17 = 29;;
-let _PPC_REG_F18 = 30;;
-let _PPC_REG_F19 = 31;;
-let _PPC_REG_F20 = 32;;
-let _PPC_REG_F21 = 33;;
-let _PPC_REG_F22 = 34;;
-let _PPC_REG_F23 = 35;;
-let _PPC_REG_F24 = 36;;
-let _PPC_REG_F25 = 37;;
-let _PPC_REG_F26 = 38;;
-let _PPC_REG_F27 = 39;;
-let _PPC_REG_F28 = 40;;
-let _PPC_REG_F29 = 41;;
-let _PPC_REG_F30 = 42;;
-let _PPC_REG_F31 = 43;;
-let _PPC_REG_LR = 44;;
-let _PPC_REG_R0 = 45;;
-let _PPC_REG_R1 = 46;;
-let _PPC_REG_R2 = 47;;
-let _PPC_REG_R3 = 48;;
-let _PPC_REG_R4 = 49;;
-let _PPC_REG_R5 = 50;;
-let _PPC_REG_R6 = 51;;
-let _PPC_REG_R7 = 52;;
-let _PPC_REG_R8 = 53;;
-let _PPC_REG_R9 = 54;;
-let _PPC_REG_R10 = 55;;
-let _PPC_REG_R11 = 56;;
-let _PPC_REG_R12 = 57;;
-let _PPC_REG_R13 = 58;;
-let _PPC_REG_R14 = 59;;
-let _PPC_REG_R15 = 60;;
-let _PPC_REG_R16 = 61;;
-let _PPC_REG_R17 = 62;;
-let _PPC_REG_R18 = 63;;
-let _PPC_REG_R19 = 64;;
-let _PPC_REG_R20 = 65;;
-let _PPC_REG_R21 = 66;;
-let _PPC_REG_R22 = 67;;
-let _PPC_REG_R23 = 68;;
-let _PPC_REG_R24 = 69;;
-let _PPC_REG_R25 = 70;;
-let _PPC_REG_R26 = 71;;
-let _PPC_REG_R27 = 72;;
-let _PPC_REG_R28 = 73;;
-let _PPC_REG_R29 = 74;;
-let _PPC_REG_R30 = 75;;
-let _PPC_REG_R31 = 76;;
-let _PPC_REG_V0 = 77;;
-let _PPC_REG_V1 = 78;;
-let _PPC_REG_V2 = 79;;
-let _PPC_REG_V3 = 80;;
-let _PPC_REG_V4 = 81;;
-let _PPC_REG_V5 = 82;;
-let _PPC_REG_V6 = 83;;
-let _PPC_REG_V7 = 84;;
-let _PPC_REG_V8 = 85;;
-let _PPC_REG_V9 = 86;;
-let _PPC_REG_V10 = 87;;
-let _PPC_REG_V11 = 88;;
-let _PPC_REG_V12 = 89;;
-let _PPC_REG_V13 = 90;;
-let _PPC_REG_V14 = 91;;
-let _PPC_REG_V15 = 92;;
-let _PPC_REG_V16 = 93;;
-let _PPC_REG_V17 = 94;;
-let _PPC_REG_V18 = 95;;
-let _PPC_REG_V19 = 96;;
-let _PPC_REG_V20 = 97;;
-let _PPC_REG_V21 = 98;;
-let _PPC_REG_V22 = 99;;
-let _PPC_REG_V23 = 100;;
-let _PPC_REG_V24 = 101;;
-let _PPC_REG_V25 = 102;;
-let _PPC_REG_V26 = 103;;
-let _PPC_REG_V27 = 104;;
-let _PPC_REG_V28 = 105;;
-let _PPC_REG_V29 = 106;;
-let _PPC_REG_V30 = 107;;
-let _PPC_REG_V31 = 108;;
-let _PPC_REG_VRSAVE = 109;;
-let _PPC_REG_VS0 = 110;;
-let _PPC_REG_VS1 = 111;;
-let _PPC_REG_VS2 = 112;;
-let _PPC_REG_VS3 = 113;;
-let _PPC_REG_VS4 = 114;;
-let _PPC_REG_VS5 = 115;;
-let _PPC_REG_VS6 = 116;;
-let _PPC_REG_VS7 = 117;;
-let _PPC_REG_VS8 = 118;;
-let _PPC_REG_VS9 = 119;;
-let _PPC_REG_VS10 = 120;;
-let _PPC_REG_VS11 = 121;;
-let _PPC_REG_VS12 = 122;;
-let _PPC_REG_VS13 = 123;;
-let _PPC_REG_VS14 = 124;;
-let _PPC_REG_VS15 = 125;;
-let _PPC_REG_VS16 = 126;;
-let _PPC_REG_VS17 = 127;;
-let _PPC_REG_VS18 = 128;;
-let _PPC_REG_VS19 = 129;;
-let _PPC_REG_VS20 = 130;;
-let _PPC_REG_VS21 = 131;;
-let _PPC_REG_VS22 = 132;;
-let _PPC_REG_VS23 = 133;;
-let _PPC_REG_VS24 = 134;;
-let _PPC_REG_VS25 = 135;;
-let _PPC_REG_VS26 = 136;;
-let _PPC_REG_VS27 = 137;;
-let _PPC_REG_VS28 = 138;;
-let _PPC_REG_VS29 = 139;;
-let _PPC_REG_VS30 = 140;;
-let _PPC_REG_VS31 = 141;;
-let _PPC_REG_VS32 = 142;;
-let _PPC_REG_VS33 = 143;;
-let _PPC_REG_VS34 = 144;;
-let _PPC_REG_VS35 = 145;;
-let _PPC_REG_VS36 = 146;;
-let _PPC_REG_VS37 = 147;;
-let _PPC_REG_VS38 = 148;;
-let _PPC_REG_VS39 = 149;;
-let _PPC_REG_VS40 = 150;;
-let _PPC_REG_VS41 = 151;;
-let _PPC_REG_VS42 = 152;;
-let _PPC_REG_VS43 = 153;;
-let _PPC_REG_VS44 = 154;;
-let _PPC_REG_VS45 = 155;;
-let _PPC_REG_VS46 = 156;;
-let _PPC_REG_VS47 = 157;;
-let _PPC_REG_VS48 = 158;;
-let _PPC_REG_VS49 = 159;;
-let _PPC_REG_VS50 = 160;;
-let _PPC_REG_VS51 = 161;;
-let _PPC_REG_VS52 = 162;;
-let _PPC_REG_VS53 = 163;;
-let _PPC_REG_VS54 = 164;;
-let _PPC_REG_VS55 = 165;;
-let _PPC_REG_VS56 = 166;;
-let _PPC_REG_VS57 = 167;;
-let _PPC_REG_VS58 = 168;;
-let _PPC_REG_VS59 = 169;;
-let _PPC_REG_VS60 = 170;;
-let _PPC_REG_VS61 = 171;;
-let _PPC_REG_VS62 = 172;;
-let _PPC_REG_VS63 = 173;;
-let _PPC_REG_RM = 174;;
-let _PPC_REG_CTR8 = 175;;
-let _PPC_REG_LR8 = 176;;
-let _PPC_REG_CR1EQ = 177;;
-let _PPC_REG_ENDING = 178;;
-
-(* Operand type for instruction's operands *)
-
 let _PPC_OP_INVALID = 0;;
 let _PPC_OP_REG = 1;;
 let _PPC_OP_IMM = 2;;
 let _PPC_OP_MEM = 3;;
 let _PPC_OP_CRX = 64;;
 
-(* PPC instruction *)
+let _PPC_REG_INVALID = 0;;
+let _PPC_REG_CARRY = 1;;
+let _PPC_REG_CR0 = 2;;
+let _PPC_REG_CR1 = 3;;
+let _PPC_REG_CR2 = 4;;
+let _PPC_REG_CR3 = 5;;
+let _PPC_REG_CR4 = 6;;
+let _PPC_REG_CR5 = 7;;
+let _PPC_REG_CR6 = 8;;
+let _PPC_REG_CR7 = 9;;
+let _PPC_REG_CTR = 10;;
+let _PPC_REG_F0 = 11;;
+let _PPC_REG_F1 = 12;;
+let _PPC_REG_F2 = 13;;
+let _PPC_REG_F3 = 14;;
+let _PPC_REG_F4 = 15;;
+let _PPC_REG_F5 = 16;;
+let _PPC_REG_F6 = 17;;
+let _PPC_REG_F7 = 18;;
+let _PPC_REG_F8 = 19;;
+let _PPC_REG_F9 = 20;;
+let _PPC_REG_F10 = 21;;
+let _PPC_REG_F11 = 22;;
+let _PPC_REG_F12 = 23;;
+let _PPC_REG_F13 = 24;;
+let _PPC_REG_F14 = 25;;
+let _PPC_REG_F15 = 26;;
+let _PPC_REG_F16 = 27;;
+let _PPC_REG_F17 = 28;;
+let _PPC_REG_F18 = 29;;
+let _PPC_REG_F19 = 30;;
+let _PPC_REG_F20 = 31;;
+let _PPC_REG_F21 = 32;;
+let _PPC_REG_F22 = 33;;
+let _PPC_REG_F23 = 34;;
+let _PPC_REG_F24 = 35;;
+let _PPC_REG_F25 = 36;;
+let _PPC_REG_F26 = 37;;
+let _PPC_REG_F27 = 38;;
+let _PPC_REG_F28 = 39;;
+let _PPC_REG_F29 = 40;;
+let _PPC_REG_F30 = 41;;
+let _PPC_REG_F31 = 42;;
+let _PPC_REG_LR = 43;;
+let _PPC_REG_R0 = 44;;
+let _PPC_REG_R1 = 45;;
+let _PPC_REG_R2 = 46;;
+let _PPC_REG_R3 = 47;;
+let _PPC_REG_R4 = 48;;
+let _PPC_REG_R5 = 49;;
+let _PPC_REG_R6 = 50;;
+let _PPC_REG_R7 = 51;;
+let _PPC_REG_R8 = 52;;
+let _PPC_REG_R9 = 53;;
+let _PPC_REG_R10 = 54;;
+let _PPC_REG_R11 = 55;;
+let _PPC_REG_R12 = 56;;
+let _PPC_REG_R13 = 57;;
+let _PPC_REG_R14 = 58;;
+let _PPC_REG_R15 = 59;;
+let _PPC_REG_R16 = 60;;
+let _PPC_REG_R17 = 61;;
+let _PPC_REG_R18 = 62;;
+let _PPC_REG_R19 = 63;;
+let _PPC_REG_R20 = 64;;
+let _PPC_REG_R21 = 65;;
+let _PPC_REG_R22 = 66;;
+let _PPC_REG_R23 = 67;;
+let _PPC_REG_R24 = 68;;
+let _PPC_REG_R25 = 69;;
+let _PPC_REG_R26 = 70;;
+let _PPC_REG_R27 = 71;;
+let _PPC_REG_R28 = 72;;
+let _PPC_REG_R29 = 73;;
+let _PPC_REG_R30 = 74;;
+let _PPC_REG_R31 = 75;;
+let _PPC_REG_V0 = 76;;
+let _PPC_REG_V1 = 77;;
+let _PPC_REG_V2 = 78;;
+let _PPC_REG_V3 = 79;;
+let _PPC_REG_V4 = 80;;
+let _PPC_REG_V5 = 81;;
+let _PPC_REG_V6 = 82;;
+let _PPC_REG_V7 = 83;;
+let _PPC_REG_V8 = 84;;
+let _PPC_REG_V9 = 85;;
+let _PPC_REG_V10 = 86;;
+let _PPC_REG_V11 = 87;;
+let _PPC_REG_V12 = 88;;
+let _PPC_REG_V13 = 89;;
+let _PPC_REG_V14 = 90;;
+let _PPC_REG_V15 = 91;;
+let _PPC_REG_V16 = 92;;
+let _PPC_REG_V17 = 93;;
+let _PPC_REG_V18 = 94;;
+let _PPC_REG_V19 = 95;;
+let _PPC_REG_V20 = 96;;
+let _PPC_REG_V21 = 97;;
+let _PPC_REG_V22 = 98;;
+let _PPC_REG_V23 = 99;;
+let _PPC_REG_V24 = 100;;
+let _PPC_REG_V25 = 101;;
+let _PPC_REG_V26 = 102;;
+let _PPC_REG_V27 = 103;;
+let _PPC_REG_V28 = 104;;
+let _PPC_REG_V29 = 105;;
+let _PPC_REG_V30 = 106;;
+let _PPC_REG_V31 = 107;;
+let _PPC_REG_VRSAVE = 108;;
+let _PPC_REG_VS0 = 109;;
+let _PPC_REG_VS1 = 110;;
+let _PPC_REG_VS2 = 111;;
+let _PPC_REG_VS3 = 112;;
+let _PPC_REG_VS4 = 113;;
+let _PPC_REG_VS5 = 114;;
+let _PPC_REG_VS6 = 115;;
+let _PPC_REG_VS7 = 116;;
+let _PPC_REG_VS8 = 117;;
+let _PPC_REG_VS9 = 118;;
+let _PPC_REG_VS10 = 119;;
+let _PPC_REG_VS11 = 120;;
+let _PPC_REG_VS12 = 121;;
+let _PPC_REG_VS13 = 122;;
+let _PPC_REG_VS14 = 123;;
+let _PPC_REG_VS15 = 124;;
+let _PPC_REG_VS16 = 125;;
+let _PPC_REG_VS17 = 126;;
+let _PPC_REG_VS18 = 127;;
+let _PPC_REG_VS19 = 128;;
+let _PPC_REG_VS20 = 129;;
+let _PPC_REG_VS21 = 130;;
+let _PPC_REG_VS22 = 131;;
+let _PPC_REG_VS23 = 132;;
+let _PPC_REG_VS24 = 133;;
+let _PPC_REG_VS25 = 134;;
+let _PPC_REG_VS26 = 135;;
+let _PPC_REG_VS27 = 136;;
+let _PPC_REG_VS28 = 137;;
+let _PPC_REG_VS29 = 138;;
+let _PPC_REG_VS30 = 139;;
+let _PPC_REG_VS31 = 140;;
+let _PPC_REG_VS32 = 141;;
+let _PPC_REG_VS33 = 142;;
+let _PPC_REG_VS34 = 143;;
+let _PPC_REG_VS35 = 144;;
+let _PPC_REG_VS36 = 145;;
+let _PPC_REG_VS37 = 146;;
+let _PPC_REG_VS38 = 147;;
+let _PPC_REG_VS39 = 148;;
+let _PPC_REG_VS40 = 149;;
+let _PPC_REG_VS41 = 150;;
+let _PPC_REG_VS42 = 151;;
+let _PPC_REG_VS43 = 152;;
+let _PPC_REG_VS44 = 153;;
+let _PPC_REG_VS45 = 154;;
+let _PPC_REG_VS46 = 155;;
+let _PPC_REG_VS47 = 156;;
+let _PPC_REG_VS48 = 157;;
+let _PPC_REG_VS49 = 158;;
+let _PPC_REG_VS50 = 159;;
+let _PPC_REG_VS51 = 160;;
+let _PPC_REG_VS52 = 161;;
+let _PPC_REG_VS53 = 162;;
+let _PPC_REG_VS54 = 163;;
+let _PPC_REG_VS55 = 164;;
+let _PPC_REG_VS56 = 165;;
+let _PPC_REG_VS57 = 166;;
+let _PPC_REG_VS58 = 167;;
+let _PPC_REG_VS59 = 168;;
+let _PPC_REG_VS60 = 169;;
+let _PPC_REG_VS61 = 170;;
+let _PPC_REG_VS62 = 171;;
+let _PPC_REG_VS63 = 172;;
+let _PPC_REG_Q0 = 173;;
+let _PPC_REG_Q1 = 174;;
+let _PPC_REG_Q2 = 175;;
+let _PPC_REG_Q3 = 176;;
+let _PPC_REG_Q4 = 177;;
+let _PPC_REG_Q5 = 178;;
+let _PPC_REG_Q6 = 179;;
+let _PPC_REG_Q7 = 180;;
+let _PPC_REG_Q8 = 181;;
+let _PPC_REG_Q9 = 182;;
+let _PPC_REG_Q10 = 183;;
+let _PPC_REG_Q11 = 184;;
+let _PPC_REG_Q12 = 185;;
+let _PPC_REG_Q13 = 186;;
+let _PPC_REG_Q14 = 187;;
+let _PPC_REG_Q15 = 188;;
+let _PPC_REG_Q16 = 189;;
+let _PPC_REG_Q17 = 190;;
+let _PPC_REG_Q18 = 191;;
+let _PPC_REG_Q19 = 192;;
+let _PPC_REG_Q20 = 193;;
+let _PPC_REG_Q21 = 194;;
+let _PPC_REG_Q22 = 195;;
+let _PPC_REG_Q23 = 196;;
+let _PPC_REG_Q24 = 197;;
+let _PPC_REG_Q25 = 198;;
+let _PPC_REG_Q26 = 199;;
+let _PPC_REG_Q27 = 200;;
+let _PPC_REG_Q28 = 201;;
+let _PPC_REG_Q29 = 202;;
+let _PPC_REG_Q30 = 203;;
+let _PPC_REG_Q31 = 204;;
+let _PPC_REG_RM = 205;;
+let _PPC_REG_CTR8 = 206;;
+let _PPC_REG_LR8 = 207;;
+let _PPC_REG_CR1EQ = 208;;
+let _PPC_REG_X2 = 209;;
+let _PPC_REG_ENDING = 210;;
 
 let _PPC_INS_INVALID = 0;;
 let _PPC_INS_ADD = 1;;
@@ -225,937 +247,1107 @@ let _PPC_INS_AND = 9;;
 let _PPC_INS_ANDC = 10;;
 let _PPC_INS_ANDIS = 11;;
 let _PPC_INS_ANDI = 12;;
-let _PPC_INS_B = 13;;
-let _PPC_INS_BA = 14;;
-let _PPC_INS_BC = 15;;
-let _PPC_INS_BCCTR = 16;;
-let _PPC_INS_BCCTRL = 17;;
-let _PPC_INS_BCL = 18;;
-let _PPC_INS_BCLR = 19;;
-let _PPC_INS_BCLRL = 20;;
-let _PPC_INS_BCTR = 21;;
-let _PPC_INS_BCTRL = 22;;
-let _PPC_INS_BDNZ = 23;;
-let _PPC_INS_BDNZA = 24;;
-let _PPC_INS_BDNZL = 25;;
-let _PPC_INS_BDNZLA = 26;;
-let _PPC_INS_BDNZLR = 27;;
-let _PPC_INS_BDNZLRL = 28;;
-let _PPC_INS_BDZ = 29;;
-let _PPC_INS_BDZA = 30;;
-let _PPC_INS_BDZL = 31;;
-let _PPC_INS_BDZLA = 32;;
-let _PPC_INS_BDZLR = 33;;
-let _PPC_INS_BDZLRL = 34;;
-let _PPC_INS_BL = 35;;
-let _PPC_INS_BLA = 36;;
-let _PPC_INS_BLR = 37;;
-let _PPC_INS_BLRL = 38;;
-let _PPC_INS_BRINC = 39;;
-let _PPC_INS_CMPD = 40;;
-let _PPC_INS_CMPDI = 41;;
-let _PPC_INS_CMPLD = 42;;
-let _PPC_INS_CMPLDI = 43;;
-let _PPC_INS_CMPLW = 44;;
-let _PPC_INS_CMPLWI = 45;;
-let _PPC_INS_CMPW = 46;;
-let _PPC_INS_CMPWI = 47;;
-let _PPC_INS_CNTLZD = 48;;
-let _PPC_INS_CNTLZW = 49;;
-let _PPC_INS_CREQV = 50;;
-let _PPC_INS_CRXOR = 51;;
-let _PPC_INS_CRAND = 52;;
-let _PPC_INS_CRANDC = 53;;
-let _PPC_INS_CRNAND = 54;;
-let _PPC_INS_CRNOR = 55;;
-let _PPC_INS_CROR = 56;;
-let _PPC_INS_CRORC = 57;;
-let _PPC_INS_DCBA = 58;;
-let _PPC_INS_DCBF = 59;;
-let _PPC_INS_DCBI = 60;;
-let _PPC_INS_DCBST = 61;;
-let _PPC_INS_DCBT = 62;;
-let _PPC_INS_DCBTST = 63;;
-let _PPC_INS_DCBZ = 64;;
-let _PPC_INS_DCBZL = 65;;
-let _PPC_INS_DCCCI = 66;;
-let _PPC_INS_DIVD = 67;;
-let _PPC_INS_DIVDU = 68;;
-let _PPC_INS_DIVW = 69;;
-let _PPC_INS_DIVWU = 70;;
-let _PPC_INS_DSS = 71;;
-let _PPC_INS_DSSALL = 72;;
-let _PPC_INS_DST = 73;;
-let _PPC_INS_DSTST = 74;;
-let _PPC_INS_DSTSTT = 75;;
-let _PPC_INS_DSTT = 76;;
-let _PPC_INS_EIEIO = 77;;
-let _PPC_INS_EQV = 78;;
-let _PPC_INS_EVABS = 79;;
-let _PPC_INS_EVADDIW = 80;;
-let _PPC_INS_EVADDSMIAAW = 81;;
-let _PPC_INS_EVADDSSIAAW = 82;;
-let _PPC_INS_EVADDUMIAAW = 83;;
-let _PPC_INS_EVADDUSIAAW = 84;;
-let _PPC_INS_EVADDW = 85;;
-let _PPC_INS_EVAND = 86;;
-let _PPC_INS_EVANDC = 87;;
-let _PPC_INS_EVCMPEQ = 88;;
-let _PPC_INS_EVCMPGTS = 89;;
-let _PPC_INS_EVCMPGTU = 90;;
-let _PPC_INS_EVCMPLTS = 91;;
-let _PPC_INS_EVCMPLTU = 92;;
-let _PPC_INS_EVCNTLSW = 93;;
-let _PPC_INS_EVCNTLZW = 94;;
-let _PPC_INS_EVDIVWS = 95;;
-let _PPC_INS_EVDIVWU = 96;;
-let _PPC_INS_EVEQV = 97;;
-let _PPC_INS_EVEXTSB = 98;;
-let _PPC_INS_EVEXTSH = 99;;
-let _PPC_INS_EVLDD = 100;;
-let _PPC_INS_EVLDDX = 101;;
-let _PPC_INS_EVLDH = 102;;
-let _PPC_INS_EVLDHX = 103;;
-let _PPC_INS_EVLDW = 104;;
-let _PPC_INS_EVLDWX = 105;;
-let _PPC_INS_EVLHHESPLAT = 106;;
-let _PPC_INS_EVLHHESPLATX = 107;;
-let _PPC_INS_EVLHHOSSPLAT = 108;;
-let _PPC_INS_EVLHHOSSPLATX = 109;;
-let _PPC_INS_EVLHHOUSPLAT = 110;;
-let _PPC_INS_EVLHHOUSPLATX = 111;;
-let _PPC_INS_EVLWHE = 112;;
-let _PPC_INS_EVLWHEX = 113;;
-let _PPC_INS_EVLWHOS = 114;;
-let _PPC_INS_EVLWHOSX = 115;;
-let _PPC_INS_EVLWHOU = 116;;
-let _PPC_INS_EVLWHOUX = 117;;
-let _PPC_INS_EVLWHSPLAT = 118;;
-let _PPC_INS_EVLWHSPLATX = 119;;
-let _PPC_INS_EVLWWSPLAT = 120;;
-let _PPC_INS_EVLWWSPLATX = 121;;
-let _PPC_INS_EVMERGEHI = 122;;
-let _PPC_INS_EVMERGEHILO = 123;;
-let _PPC_INS_EVMERGELO = 124;;
-let _PPC_INS_EVMERGELOHI = 125;;
-let _PPC_INS_EVMHEGSMFAA = 126;;
-let _PPC_INS_EVMHEGSMFAN = 127;;
-let _PPC_INS_EVMHEGSMIAA = 128;;
-let _PPC_INS_EVMHEGSMIAN = 129;;
-let _PPC_INS_EVMHEGUMIAA = 130;;
-let _PPC_INS_EVMHEGUMIAN = 131;;
-let _PPC_INS_EVMHESMF = 132;;
-let _PPC_INS_EVMHESMFA = 133;;
-let _PPC_INS_EVMHESMFAAW = 134;;
-let _PPC_INS_EVMHESMFANW = 135;;
-let _PPC_INS_EVMHESMI = 136;;
-let _PPC_INS_EVMHESMIA = 137;;
-let _PPC_INS_EVMHESMIAAW = 138;;
-let _PPC_INS_EVMHESMIANW = 139;;
-let _PPC_INS_EVMHESSF = 140;;
-let _PPC_INS_EVMHESSFA = 141;;
-let _PPC_INS_EVMHESSFAAW = 142;;
-let _PPC_INS_EVMHESSFANW = 143;;
-let _PPC_INS_EVMHESSIAAW = 144;;
-let _PPC_INS_EVMHESSIANW = 145;;
-let _PPC_INS_EVMHEUMI = 146;;
-let _PPC_INS_EVMHEUMIA = 147;;
-let _PPC_INS_EVMHEUMIAAW = 148;;
-let _PPC_INS_EVMHEUMIANW = 149;;
-let _PPC_INS_EVMHEUSIAAW = 150;;
-let _PPC_INS_EVMHEUSIANW = 151;;
-let _PPC_INS_EVMHOGSMFAA = 152;;
-let _PPC_INS_EVMHOGSMFAN = 153;;
-let _PPC_INS_EVMHOGSMIAA = 154;;
-let _PPC_INS_EVMHOGSMIAN = 155;;
-let _PPC_INS_EVMHOGUMIAA = 156;;
-let _PPC_INS_EVMHOGUMIAN = 157;;
-let _PPC_INS_EVMHOSMF = 158;;
-let _PPC_INS_EVMHOSMFA = 159;;
-let _PPC_INS_EVMHOSMFAAW = 160;;
-let _PPC_INS_EVMHOSMFANW = 161;;
-let _PPC_INS_EVMHOSMI = 162;;
-let _PPC_INS_EVMHOSMIA = 163;;
-let _PPC_INS_EVMHOSMIAAW = 164;;
-let _PPC_INS_EVMHOSMIANW = 165;;
-let _PPC_INS_EVMHOSSF = 166;;
-let _PPC_INS_EVMHOSSFA = 167;;
-let _PPC_INS_EVMHOSSFAAW = 168;;
-let _PPC_INS_EVMHOSSFANW = 169;;
-let _PPC_INS_EVMHOSSIAAW = 170;;
-let _PPC_INS_EVMHOSSIANW = 171;;
-let _PPC_INS_EVMHOUMI = 172;;
-let _PPC_INS_EVMHOUMIA = 173;;
-let _PPC_INS_EVMHOUMIAAW = 174;;
-let _PPC_INS_EVMHOUMIANW = 175;;
-let _PPC_INS_EVMHOUSIAAW = 176;;
-let _PPC_INS_EVMHOUSIANW = 177;;
-let _PPC_INS_EVMRA = 178;;
-let _PPC_INS_EVMWHSMF = 179;;
-let _PPC_INS_EVMWHSMFA = 180;;
-let _PPC_INS_EVMWHSMI = 181;;
-let _PPC_INS_EVMWHSMIA = 182;;
-let _PPC_INS_EVMWHSSF = 183;;
-let _PPC_INS_EVMWHSSFA = 184;;
-let _PPC_INS_EVMWHUMI = 185;;
-let _PPC_INS_EVMWHUMIA = 186;;
-let _PPC_INS_EVMWLSMIAAW = 187;;
-let _PPC_INS_EVMWLSMIANW = 188;;
-let _PPC_INS_EVMWLSSIAAW = 189;;
-let _PPC_INS_EVMWLSSIANW = 190;;
-let _PPC_INS_EVMWLUMI = 191;;
-let _PPC_INS_EVMWLUMIA = 192;;
-let _PPC_INS_EVMWLUMIAAW = 193;;
-let _PPC_INS_EVMWLUMIANW = 194;;
-let _PPC_INS_EVMWLUSIAAW = 195;;
-let _PPC_INS_EVMWLUSIANW = 196;;
-let _PPC_INS_EVMWSMF = 197;;
-let _PPC_INS_EVMWSMFA = 198;;
-let _PPC_INS_EVMWSMFAA = 199;;
-let _PPC_INS_EVMWSMFAN = 200;;
-let _PPC_INS_EVMWSMI = 201;;
-let _PPC_INS_EVMWSMIA = 202;;
-let _PPC_INS_EVMWSMIAA = 203;;
-let _PPC_INS_EVMWSMIAN = 204;;
-let _PPC_INS_EVMWSSF = 205;;
-let _PPC_INS_EVMWSSFA = 206;;
-let _PPC_INS_EVMWSSFAA = 207;;
-let _PPC_INS_EVMWSSFAN = 208;;
-let _PPC_INS_EVMWUMI = 209;;
-let _PPC_INS_EVMWUMIA = 210;;
-let _PPC_INS_EVMWUMIAA = 211;;
-let _PPC_INS_EVMWUMIAN = 212;;
-let _PPC_INS_EVNAND = 213;;
-let _PPC_INS_EVNEG = 214;;
-let _PPC_INS_EVNOR = 215;;
-let _PPC_INS_EVOR = 216;;
-let _PPC_INS_EVORC = 217;;
-let _PPC_INS_EVRLW = 218;;
-let _PPC_INS_EVRLWI = 219;;
-let _PPC_INS_EVRNDW = 220;;
-let _PPC_INS_EVSLW = 221;;
-let _PPC_INS_EVSLWI = 222;;
-let _PPC_INS_EVSPLATFI = 223;;
-let _PPC_INS_EVSPLATI = 224;;
-let _PPC_INS_EVSRWIS = 225;;
-let _PPC_INS_EVSRWIU = 226;;
-let _PPC_INS_EVSRWS = 227;;
-let _PPC_INS_EVSRWU = 228;;
-let _PPC_INS_EVSTDD = 229;;
-let _PPC_INS_EVSTDDX = 230;;
-let _PPC_INS_EVSTDH = 231;;
-let _PPC_INS_EVSTDHX = 232;;
-let _PPC_INS_EVSTDW = 233;;
-let _PPC_INS_EVSTDWX = 234;;
-let _PPC_INS_EVSTWHE = 235;;
-let _PPC_INS_EVSTWHEX = 236;;
-let _PPC_INS_EVSTWHO = 237;;
-let _PPC_INS_EVSTWHOX = 238;;
-let _PPC_INS_EVSTWWE = 239;;
-let _PPC_INS_EVSTWWEX = 240;;
-let _PPC_INS_EVSTWWO = 241;;
-let _PPC_INS_EVSTWWOX = 242;;
-let _PPC_INS_EVSUBFSMIAAW = 243;;
-let _PPC_INS_EVSUBFSSIAAW = 244;;
-let _PPC_INS_EVSUBFUMIAAW = 245;;
-let _PPC_INS_EVSUBFUSIAAW = 246;;
-let _PPC_INS_EVSUBFW = 247;;
-let _PPC_INS_EVSUBIFW = 248;;
-let _PPC_INS_EVXOR = 249;;
-let _PPC_INS_EXTSB = 250;;
-let _PPC_INS_EXTSH = 251;;
-let _PPC_INS_EXTSW = 252;;
-let _PPC_INS_FABS = 253;;
-let _PPC_INS_FADD = 254;;
-let _PPC_INS_FADDS = 255;;
-let _PPC_INS_FCFID = 256;;
-let _PPC_INS_FCFIDS = 257;;
-let _PPC_INS_FCFIDU = 258;;
-let _PPC_INS_FCFIDUS = 259;;
-let _PPC_INS_FCMPU = 260;;
-let _PPC_INS_FCPSGN = 261;;
-let _PPC_INS_FCTID = 262;;
-let _PPC_INS_FCTIDUZ = 263;;
-let _PPC_INS_FCTIDZ = 264;;
-let _PPC_INS_FCTIW = 265;;
-let _PPC_INS_FCTIWUZ = 266;;
-let _PPC_INS_FCTIWZ = 267;;
-let _PPC_INS_FDIV = 268;;
-let _PPC_INS_FDIVS = 269;;
-let _PPC_INS_FMADD = 270;;
-let _PPC_INS_FMADDS = 271;;
-let _PPC_INS_FMR = 272;;
-let _PPC_INS_FMSUB = 273;;
-let _PPC_INS_FMSUBS = 274;;
-let _PPC_INS_FMUL = 275;;
-let _PPC_INS_FMULS = 276;;
-let _PPC_INS_FNABS = 277;;
-let _PPC_INS_FNEG = 278;;
-let _PPC_INS_FNMADD = 279;;
-let _PPC_INS_FNMADDS = 280;;
-let _PPC_INS_FNMSUB = 281;;
-let _PPC_INS_FNMSUBS = 282;;
-let _PPC_INS_FRE = 283;;
-let _PPC_INS_FRES = 284;;
-let _PPC_INS_FRIM = 285;;
-let _PPC_INS_FRIN = 286;;
-let _PPC_INS_FRIP = 287;;
-let _PPC_INS_FRIZ = 288;;
-let _PPC_INS_FRSP = 289;;
-let _PPC_INS_FRSQRTE = 290;;
-let _PPC_INS_FRSQRTES = 291;;
-let _PPC_INS_FSEL = 292;;
-let _PPC_INS_FSQRT = 293;;
-let _PPC_INS_FSQRTS = 294;;
-let _PPC_INS_FSUB = 295;;
-let _PPC_INS_FSUBS = 296;;
-let _PPC_INS_ICBI = 297;;
-let _PPC_INS_ICCCI = 298;;
-let _PPC_INS_ISEL = 299;;
-let _PPC_INS_ISYNC = 300;;
-let _PPC_INS_LA = 301;;
-let _PPC_INS_LBZ = 302;;
-let _PPC_INS_LBZU = 303;;
-let _PPC_INS_LBZUX = 304;;
-let _PPC_INS_LBZX = 305;;
-let _PPC_INS_LD = 306;;
-let _PPC_INS_LDARX = 307;;
-let _PPC_INS_LDBRX = 308;;
-let _PPC_INS_LDU = 309;;
-let _PPC_INS_LDUX = 310;;
-let _PPC_INS_LDX = 311;;
-let _PPC_INS_LFD = 312;;
-let _PPC_INS_LFDU = 313;;
-let _PPC_INS_LFDUX = 314;;
-let _PPC_INS_LFDX = 315;;
-let _PPC_INS_LFIWAX = 316;;
-let _PPC_INS_LFIWZX = 317;;
-let _PPC_INS_LFS = 318;;
-let _PPC_INS_LFSU = 319;;
-let _PPC_INS_LFSUX = 320;;
-let _PPC_INS_LFSX = 321;;
-let _PPC_INS_LHA = 322;;
-let _PPC_INS_LHAU = 323;;
-let _PPC_INS_LHAUX = 324;;
-let _PPC_INS_LHAX = 325;;
-let _PPC_INS_LHBRX = 326;;
-let _PPC_INS_LHZ = 327;;
-let _PPC_INS_LHZU = 328;;
-let _PPC_INS_LHZUX = 329;;
-let _PPC_INS_LHZX = 330;;
-let _PPC_INS_LI = 331;;
-let _PPC_INS_LIS = 332;;
-let _PPC_INS_LMW = 333;;
-let _PPC_INS_LSWI = 334;;
-let _PPC_INS_LVEBX = 335;;
-let _PPC_INS_LVEHX = 336;;
-let _PPC_INS_LVEWX = 337;;
-let _PPC_INS_LVSL = 338;;
-let _PPC_INS_LVSR = 339;;
-let _PPC_INS_LVX = 340;;
-let _PPC_INS_LVXL = 341;;
-let _PPC_INS_LWA = 342;;
-let _PPC_INS_LWARX = 343;;
-let _PPC_INS_LWAUX = 344;;
-let _PPC_INS_LWAX = 345;;
-let _PPC_INS_LWBRX = 346;;
-let _PPC_INS_LWZ = 347;;
-let _PPC_INS_LWZU = 348;;
-let _PPC_INS_LWZUX = 349;;
-let _PPC_INS_LWZX = 350;;
-let _PPC_INS_LXSDX = 351;;
-let _PPC_INS_LXVD2X = 352;;
-let _PPC_INS_LXVDSX = 353;;
-let _PPC_INS_LXVW4X = 354;;
-let _PPC_INS_MBAR = 355;;
-let _PPC_INS_MCRF = 356;;
-let _PPC_INS_MFCR = 357;;
-let _PPC_INS_MFCTR = 358;;
-let _PPC_INS_MFDCR = 359;;
-let _PPC_INS_MFFS = 360;;
-let _PPC_INS_MFLR = 361;;
-let _PPC_INS_MFMSR = 362;;
-let _PPC_INS_MFOCRF = 363;;
-let _PPC_INS_MFSPR = 364;;
-let _PPC_INS_MFSR = 365;;
-let _PPC_INS_MFSRIN = 366;;
-let _PPC_INS_MFTB = 367;;
-let _PPC_INS_MFVSCR = 368;;
-let _PPC_INS_MSYNC = 369;;
-let _PPC_INS_MTCRF = 370;;
-let _PPC_INS_MTCTR = 371;;
-let _PPC_INS_MTDCR = 372;;
-let _PPC_INS_MTFSB0 = 373;;
-let _PPC_INS_MTFSB1 = 374;;
-let _PPC_INS_MTFSF = 375;;
-let _PPC_INS_MTLR = 376;;
-let _PPC_INS_MTMSR = 377;;
-let _PPC_INS_MTMSRD = 378;;
-let _PPC_INS_MTOCRF = 379;;
-let _PPC_INS_MTSPR = 380;;
-let _PPC_INS_MTSR = 381;;
-let _PPC_INS_MTSRIN = 382;;
-let _PPC_INS_MTVSCR = 383;;
-let _PPC_INS_MULHD = 384;;
-let _PPC_INS_MULHDU = 385;;
-let _PPC_INS_MULHW = 386;;
-let _PPC_INS_MULHWU = 387;;
-let _PPC_INS_MULLD = 388;;
-let _PPC_INS_MULLI = 389;;
-let _PPC_INS_MULLW = 390;;
-let _PPC_INS_NAND = 391;;
-let _PPC_INS_NEG = 392;;
-let _PPC_INS_NOP = 393;;
-let _PPC_INS_ORI = 394;;
-let _PPC_INS_NOR = 395;;
-let _PPC_INS_OR = 396;;
-let _PPC_INS_ORC = 397;;
-let _PPC_INS_ORIS = 398;;
-let _PPC_INS_POPCNTD = 399;;
-let _PPC_INS_POPCNTW = 400;;
-let _PPC_INS_RFCI = 401;;
-let _PPC_INS_RFDI = 402;;
-let _PPC_INS_RFI = 403;;
-let _PPC_INS_RFID = 404;;
-let _PPC_INS_RFMCI = 405;;
-let _PPC_INS_RLDCL = 406;;
-let _PPC_INS_RLDCR = 407;;
-let _PPC_INS_RLDIC = 408;;
-let _PPC_INS_RLDICL = 409;;
-let _PPC_INS_RLDICR = 410;;
-let _PPC_INS_RLDIMI = 411;;
-let _PPC_INS_RLWIMI = 412;;
-let _PPC_INS_RLWINM = 413;;
-let _PPC_INS_RLWNM = 414;;
-let _PPC_INS_SC = 415;;
-let _PPC_INS_SLBIA = 416;;
-let _PPC_INS_SLBIE = 417;;
-let _PPC_INS_SLBMFEE = 418;;
-let _PPC_INS_SLBMTE = 419;;
-let _PPC_INS_SLD = 420;;
-let _PPC_INS_SLW = 421;;
-let _PPC_INS_SRAD = 422;;
-let _PPC_INS_SRADI = 423;;
-let _PPC_INS_SRAW = 424;;
-let _PPC_INS_SRAWI = 425;;
-let _PPC_INS_SRD = 426;;
-let _PPC_INS_SRW = 427;;
-let _PPC_INS_STB = 428;;
-let _PPC_INS_STBU = 429;;
-let _PPC_INS_STBUX = 430;;
-let _PPC_INS_STBX = 431;;
-let _PPC_INS_STD = 432;;
-let _PPC_INS_STDBRX = 433;;
-let _PPC_INS_STDCX = 434;;
-let _PPC_INS_STDU = 435;;
-let _PPC_INS_STDUX = 436;;
-let _PPC_INS_STDX = 437;;
-let _PPC_INS_STFD = 438;;
-let _PPC_INS_STFDU = 439;;
-let _PPC_INS_STFDUX = 440;;
-let _PPC_INS_STFDX = 441;;
-let _PPC_INS_STFIWX = 442;;
-let _PPC_INS_STFS = 443;;
-let _PPC_INS_STFSU = 444;;
-let _PPC_INS_STFSUX = 445;;
-let _PPC_INS_STFSX = 446;;
-let _PPC_INS_STH = 447;;
-let _PPC_INS_STHBRX = 448;;
-let _PPC_INS_STHU = 449;;
-let _PPC_INS_STHUX = 450;;
-let _PPC_INS_STHX = 451;;
-let _PPC_INS_STMW = 452;;
-let _PPC_INS_STSWI = 453;;
-let _PPC_INS_STVEBX = 454;;
-let _PPC_INS_STVEHX = 455;;
-let _PPC_INS_STVEWX = 456;;
-let _PPC_INS_STVX = 457;;
-let _PPC_INS_STVXL = 458;;
-let _PPC_INS_STW = 459;;
-let _PPC_INS_STWBRX = 460;;
-let _PPC_INS_STWCX = 461;;
-let _PPC_INS_STWU = 462;;
-let _PPC_INS_STWUX = 463;;
-let _PPC_INS_STWX = 464;;
-let _PPC_INS_STXSDX = 465;;
-let _PPC_INS_STXVD2X = 466;;
-let _PPC_INS_STXVW4X = 467;;
-let _PPC_INS_SUBF = 468;;
-let _PPC_INS_SUBFC = 469;;
-let _PPC_INS_SUBFE = 470;;
-let _PPC_INS_SUBFIC = 471;;
-let _PPC_INS_SUBFME = 472;;
-let _PPC_INS_SUBFZE = 473;;
-let _PPC_INS_SYNC = 474;;
-let _PPC_INS_TD = 475;;
-let _PPC_INS_TDI = 476;;
-let _PPC_INS_TLBIA = 477;;
-let _PPC_INS_TLBIE = 478;;
-let _PPC_INS_TLBIEL = 479;;
-let _PPC_INS_TLBIVAX = 480;;
-let _PPC_INS_TLBLD = 481;;
-let _PPC_INS_TLBLI = 482;;
-let _PPC_INS_TLBRE = 483;;
-let _PPC_INS_TLBSX = 484;;
-let _PPC_INS_TLBSYNC = 485;;
-let _PPC_INS_TLBWE = 486;;
-let _PPC_INS_TRAP = 487;;
-let _PPC_INS_TW = 488;;
-let _PPC_INS_TWI = 489;;
-let _PPC_INS_VADDCUW = 490;;
-let _PPC_INS_VADDFP = 491;;
-let _PPC_INS_VADDSBS = 492;;
-let _PPC_INS_VADDSHS = 493;;
-let _PPC_INS_VADDSWS = 494;;
-let _PPC_INS_VADDUBM = 495;;
-let _PPC_INS_VADDUBS = 496;;
-let _PPC_INS_VADDUHM = 497;;
-let _PPC_INS_VADDUHS = 498;;
-let _PPC_INS_VADDUWM = 499;;
-let _PPC_INS_VADDUWS = 500;;
-let _PPC_INS_VAND = 501;;
-let _PPC_INS_VANDC = 502;;
-let _PPC_INS_VAVGSB = 503;;
-let _PPC_INS_VAVGSH = 504;;
-let _PPC_INS_VAVGSW = 505;;
-let _PPC_INS_VAVGUB = 506;;
-let _PPC_INS_VAVGUH = 507;;
-let _PPC_INS_VAVGUW = 508;;
-let _PPC_INS_VCFSX = 509;;
-let _PPC_INS_VCFUX = 510;;
-let _PPC_INS_VCMPBFP = 511;;
-let _PPC_INS_VCMPEQFP = 512;;
-let _PPC_INS_VCMPEQUB = 513;;
-let _PPC_INS_VCMPEQUH = 514;;
-let _PPC_INS_VCMPEQUW = 515;;
-let _PPC_INS_VCMPGEFP = 516;;
-let _PPC_INS_VCMPGTFP = 517;;
-let _PPC_INS_VCMPGTSB = 518;;
-let _PPC_INS_VCMPGTSH = 519;;
-let _PPC_INS_VCMPGTSW = 520;;
-let _PPC_INS_VCMPGTUB = 521;;
-let _PPC_INS_VCMPGTUH = 522;;
-let _PPC_INS_VCMPGTUW = 523;;
-let _PPC_INS_VCTSXS = 524;;
-let _PPC_INS_VCTUXS = 525;;
-let _PPC_INS_VEXPTEFP = 526;;
-let _PPC_INS_VLOGEFP = 527;;
-let _PPC_INS_VMADDFP = 528;;
-let _PPC_INS_VMAXFP = 529;;
-let _PPC_INS_VMAXSB = 530;;
-let _PPC_INS_VMAXSH = 531;;
-let _PPC_INS_VMAXSW = 532;;
-let _PPC_INS_VMAXUB = 533;;
-let _PPC_INS_VMAXUH = 534;;
-let _PPC_INS_VMAXUW = 535;;
-let _PPC_INS_VMHADDSHS = 536;;
-let _PPC_INS_VMHRADDSHS = 537;;
-let _PPC_INS_VMINFP = 538;;
-let _PPC_INS_VMINSB = 539;;
-let _PPC_INS_VMINSH = 540;;
-let _PPC_INS_VMINSW = 541;;
-let _PPC_INS_VMINUB = 542;;
-let _PPC_INS_VMINUH = 543;;
-let _PPC_INS_VMINUW = 544;;
-let _PPC_INS_VMLADDUHM = 545;;
-let _PPC_INS_VMRGHB = 546;;
-let _PPC_INS_VMRGHH = 547;;
-let _PPC_INS_VMRGHW = 548;;
-let _PPC_INS_VMRGLB = 549;;
-let _PPC_INS_VMRGLH = 550;;
-let _PPC_INS_VMRGLW = 551;;
-let _PPC_INS_VMSUMMBM = 552;;
-let _PPC_INS_VMSUMSHM = 553;;
-let _PPC_INS_VMSUMSHS = 554;;
-let _PPC_INS_VMSUMUBM = 555;;
-let _PPC_INS_VMSUMUHM = 556;;
-let _PPC_INS_VMSUMUHS = 557;;
-let _PPC_INS_VMULESB = 558;;
-let _PPC_INS_VMULESH = 559;;
-let _PPC_INS_VMULEUB = 560;;
-let _PPC_INS_VMULEUH = 561;;
-let _PPC_INS_VMULOSB = 562;;
-let _PPC_INS_VMULOSH = 563;;
-let _PPC_INS_VMULOUB = 564;;
-let _PPC_INS_VMULOUH = 565;;
-let _PPC_INS_VNMSUBFP = 566;;
-let _PPC_INS_VNOR = 567;;
-let _PPC_INS_VOR = 568;;
-let _PPC_INS_VPERM = 569;;
-let _PPC_INS_VPKPX = 570;;
-let _PPC_INS_VPKSHSS = 571;;
-let _PPC_INS_VPKSHUS = 572;;
-let _PPC_INS_VPKSWSS = 573;;
-let _PPC_INS_VPKSWUS = 574;;
-let _PPC_INS_VPKUHUM = 575;;
-let _PPC_INS_VPKUHUS = 576;;
-let _PPC_INS_VPKUWUM = 577;;
-let _PPC_INS_VPKUWUS = 578;;
-let _PPC_INS_VREFP = 579;;
-let _PPC_INS_VRFIM = 580;;
-let _PPC_INS_VRFIN = 581;;
-let _PPC_INS_VRFIP = 582;;
-let _PPC_INS_VRFIZ = 583;;
-let _PPC_INS_VRLB = 584;;
-let _PPC_INS_VRLH = 585;;
-let _PPC_INS_VRLW = 586;;
-let _PPC_INS_VRSQRTEFP = 587;;
-let _PPC_INS_VSEL = 588;;
-let _PPC_INS_VSL = 589;;
-let _PPC_INS_VSLB = 590;;
-let _PPC_INS_VSLDOI = 591;;
-let _PPC_INS_VSLH = 592;;
-let _PPC_INS_VSLO = 593;;
-let _PPC_INS_VSLW = 594;;
-let _PPC_INS_VSPLTB = 595;;
-let _PPC_INS_VSPLTH = 596;;
-let _PPC_INS_VSPLTISB = 597;;
-let _PPC_INS_VSPLTISH = 598;;
-let _PPC_INS_VSPLTISW = 599;;
-let _PPC_INS_VSPLTW = 600;;
-let _PPC_INS_VSR = 601;;
-let _PPC_INS_VSRAB = 602;;
-let _PPC_INS_VSRAH = 603;;
-let _PPC_INS_VSRAW = 604;;
-let _PPC_INS_VSRB = 605;;
-let _PPC_INS_VSRH = 606;;
-let _PPC_INS_VSRO = 607;;
-let _PPC_INS_VSRW = 608;;
-let _PPC_INS_VSUBCUW = 609;;
-let _PPC_INS_VSUBFP = 610;;
-let _PPC_INS_VSUBSBS = 611;;
-let _PPC_INS_VSUBSHS = 612;;
-let _PPC_INS_VSUBSWS = 613;;
-let _PPC_INS_VSUBUBM = 614;;
-let _PPC_INS_VSUBUBS = 615;;
-let _PPC_INS_VSUBUHM = 616;;
-let _PPC_INS_VSUBUHS = 617;;
-let _PPC_INS_VSUBUWM = 618;;
-let _PPC_INS_VSUBUWS = 619;;
-let _PPC_INS_VSUM2SWS = 620;;
-let _PPC_INS_VSUM4SBS = 621;;
-let _PPC_INS_VSUM4SHS = 622;;
-let _PPC_INS_VSUM4UBS = 623;;
-let _PPC_INS_VSUMSWS = 624;;
-let _PPC_INS_VUPKHPX = 625;;
-let _PPC_INS_VUPKHSB = 626;;
-let _PPC_INS_VUPKHSH = 627;;
-let _PPC_INS_VUPKLPX = 628;;
-let _PPC_INS_VUPKLSB = 629;;
-let _PPC_INS_VUPKLSH = 630;;
-let _PPC_INS_VXOR = 631;;
-let _PPC_INS_WAIT = 632;;
-let _PPC_INS_WRTEE = 633;;
-let _PPC_INS_WRTEEI = 634;;
-let _PPC_INS_XOR = 635;;
-let _PPC_INS_XORI = 636;;
-let _PPC_INS_XORIS = 637;;
-let _PPC_INS_XSABSDP = 638;;
-let _PPC_INS_XSADDDP = 639;;
-let _PPC_INS_XSCMPODP = 640;;
-let _PPC_INS_XSCMPUDP = 641;;
-let _PPC_INS_XSCPSGNDP = 642;;
-let _PPC_INS_XSCVDPSP = 643;;
-let _PPC_INS_XSCVDPSXDS = 644;;
-let _PPC_INS_XSCVDPSXWS = 645;;
-let _PPC_INS_XSCVDPUXDS = 646;;
-let _PPC_INS_XSCVDPUXWS = 647;;
-let _PPC_INS_XSCVSPDP = 648;;
-let _PPC_INS_XSCVSXDDP = 649;;
-let _PPC_INS_XSCVUXDDP = 650;;
-let _PPC_INS_XSDIVDP = 651;;
-let _PPC_INS_XSMADDADP = 652;;
-let _PPC_INS_XSMADDMDP = 653;;
-let _PPC_INS_XSMAXDP = 654;;
-let _PPC_INS_XSMINDP = 655;;
-let _PPC_INS_XSMSUBADP = 656;;
-let _PPC_INS_XSMSUBMDP = 657;;
-let _PPC_INS_XSMULDP = 658;;
-let _PPC_INS_XSNABSDP = 659;;
-let _PPC_INS_XSNEGDP = 660;;
-let _PPC_INS_XSNMADDADP = 661;;
-let _PPC_INS_XSNMADDMDP = 662;;
-let _PPC_INS_XSNMSUBADP = 663;;
-let _PPC_INS_XSNMSUBMDP = 664;;
-let _PPC_INS_XSRDPI = 665;;
-let _PPC_INS_XSRDPIC = 666;;
-let _PPC_INS_XSRDPIM = 667;;
-let _PPC_INS_XSRDPIP = 668;;
-let _PPC_INS_XSRDPIZ = 669;;
-let _PPC_INS_XSREDP = 670;;
-let _PPC_INS_XSRSQRTEDP = 671;;
-let _PPC_INS_XSSQRTDP = 672;;
-let _PPC_INS_XSSUBDP = 673;;
-let _PPC_INS_XSTDIVDP = 674;;
-let _PPC_INS_XSTSQRTDP = 675;;
-let _PPC_INS_XVABSDP = 676;;
-let _PPC_INS_XVABSSP = 677;;
-let _PPC_INS_XVADDDP = 678;;
-let _PPC_INS_XVADDSP = 679;;
-let _PPC_INS_XVCMPEQDP = 680;;
-let _PPC_INS_XVCMPEQSP = 681;;
-let _PPC_INS_XVCMPGEDP = 682;;
-let _PPC_INS_XVCMPGESP = 683;;
-let _PPC_INS_XVCMPGTDP = 684;;
-let _PPC_INS_XVCMPGTSP = 685;;
-let _PPC_INS_XVCPSGNDP = 686;;
-let _PPC_INS_XVCPSGNSP = 687;;
-let _PPC_INS_XVCVDPSP = 688;;
-let _PPC_INS_XVCVDPSXDS = 689;;
-let _PPC_INS_XVCVDPSXWS = 690;;
-let _PPC_INS_XVCVDPUXDS = 691;;
-let _PPC_INS_XVCVDPUXWS = 692;;
-let _PPC_INS_XVCVSPDP = 693;;
-let _PPC_INS_XVCVSPSXDS = 694;;
-let _PPC_INS_XVCVSPSXWS = 695;;
-let _PPC_INS_XVCVSPUXDS = 696;;
-let _PPC_INS_XVCVSPUXWS = 697;;
-let _PPC_INS_XVCVSXDDP = 698;;
-let _PPC_INS_XVCVSXDSP = 699;;
-let _PPC_INS_XVCVSXWDP = 700;;
-let _PPC_INS_XVCVSXWSP = 701;;
-let _PPC_INS_XVCVUXDDP = 702;;
-let _PPC_INS_XVCVUXDSP = 703;;
-let _PPC_INS_XVCVUXWDP = 704;;
-let _PPC_INS_XVCVUXWSP = 705;;
-let _PPC_INS_XVDIVDP = 706;;
-let _PPC_INS_XVDIVSP = 707;;
-let _PPC_INS_XVMADDADP = 708;;
-let _PPC_INS_XVMADDASP = 709;;
-let _PPC_INS_XVMADDMDP = 710;;
-let _PPC_INS_XVMADDMSP = 711;;
-let _PPC_INS_XVMAXDP = 712;;
-let _PPC_INS_XVMAXSP = 713;;
-let _PPC_INS_XVMINDP = 714;;
-let _PPC_INS_XVMINSP = 715;;
-let _PPC_INS_XVMSUBADP = 716;;
-let _PPC_INS_XVMSUBASP = 717;;
-let _PPC_INS_XVMSUBMDP = 718;;
-let _PPC_INS_XVMSUBMSP = 719;;
-let _PPC_INS_XVMULDP = 720;;
-let _PPC_INS_XVMULSP = 721;;
-let _PPC_INS_XVNABSDP = 722;;
-let _PPC_INS_XVNABSSP = 723;;
-let _PPC_INS_XVNEGDP = 724;;
-let _PPC_INS_XVNEGSP = 725;;
-let _PPC_INS_XVNMADDADP = 726;;
-let _PPC_INS_XVNMADDASP = 727;;
-let _PPC_INS_XVNMADDMDP = 728;;
-let _PPC_INS_XVNMADDMSP = 729;;
-let _PPC_INS_XVNMSUBADP = 730;;
-let _PPC_INS_XVNMSUBASP = 731;;
-let _PPC_INS_XVNMSUBMDP = 732;;
-let _PPC_INS_XVNMSUBMSP = 733;;
-let _PPC_INS_XVRDPI = 734;;
-let _PPC_INS_XVRDPIC = 735;;
-let _PPC_INS_XVRDPIM = 736;;
-let _PPC_INS_XVRDPIP = 737;;
-let _PPC_INS_XVRDPIZ = 738;;
-let _PPC_INS_XVREDP = 739;;
-let _PPC_INS_XVRESP = 740;;
-let _PPC_INS_XVRSPI = 741;;
-let _PPC_INS_XVRSPIC = 742;;
-let _PPC_INS_XVRSPIM = 743;;
-let _PPC_INS_XVRSPIP = 744;;
-let _PPC_INS_XVRSPIZ = 745;;
-let _PPC_INS_XVRSQRTEDP = 746;;
-let _PPC_INS_XVRSQRTESP = 747;;
-let _PPC_INS_XVSQRTDP = 748;;
-let _PPC_INS_XVSQRTSP = 749;;
-let _PPC_INS_XVSUBDP = 750;;
-let _PPC_INS_XVSUBSP = 751;;
-let _PPC_INS_XVTDIVDP = 752;;
-let _PPC_INS_XVTDIVSP = 753;;
-let _PPC_INS_XVTSQRTDP = 754;;
-let _PPC_INS_XVTSQRTSP = 755;;
-let _PPC_INS_XXLAND = 756;;
-let _PPC_INS_XXLANDC = 757;;
-let _PPC_INS_XXLNOR = 758;;
-let _PPC_INS_XXLOR = 759;;
-let _PPC_INS_XXLXOR = 760;;
-let _PPC_INS_XXMRGHW = 761;;
-let _PPC_INS_XXMRGLW = 762;;
-let _PPC_INS_XXPERMDI = 763;;
-let _PPC_INS_XXSEL = 764;;
-let _PPC_INS_XXSLDWI = 765;;
-let _PPC_INS_XXSPLTW = 766;;
-let _PPC_INS_BCA = 767;;
-let _PPC_INS_BCLA = 768;;
-let _PPC_INS_SLWI = 769;;
-let _PPC_INS_SRWI = 770;;
-let _PPC_INS_SLDI = 771;;
-let _PPC_INS_BTA = 772;;
-let _PPC_INS_CRSET = 773;;
-let _PPC_INS_CRNOT = 774;;
-let _PPC_INS_CRMOVE = 775;;
-let _PPC_INS_CRCLR = 776;;
-let _PPC_INS_MFBR0 = 777;;
-let _PPC_INS_MFBR1 = 778;;
-let _PPC_INS_MFBR2 = 779;;
-let _PPC_INS_MFBR3 = 780;;
-let _PPC_INS_MFBR4 = 781;;
-let _PPC_INS_MFBR5 = 782;;
-let _PPC_INS_MFBR6 = 783;;
-let _PPC_INS_MFBR7 = 784;;
-let _PPC_INS_MFXER = 785;;
-let _PPC_INS_MFRTCU = 786;;
-let _PPC_INS_MFRTCL = 787;;
-let _PPC_INS_MFDSCR = 788;;
-let _PPC_INS_MFDSISR = 789;;
-let _PPC_INS_MFDAR = 790;;
-let _PPC_INS_MFSRR2 = 791;;
-let _PPC_INS_MFSRR3 = 792;;
-let _PPC_INS_MFCFAR = 793;;
-let _PPC_INS_MFAMR = 794;;
-let _PPC_INS_MFPID = 795;;
-let _PPC_INS_MFTBLO = 796;;
-let _PPC_INS_MFTBHI = 797;;
-let _PPC_INS_MFDBATU = 798;;
-let _PPC_INS_MFDBATL = 799;;
-let _PPC_INS_MFIBATU = 800;;
-let _PPC_INS_MFIBATL = 801;;
-let _PPC_INS_MFDCCR = 802;;
-let _PPC_INS_MFICCR = 803;;
-let _PPC_INS_MFDEAR = 804;;
-let _PPC_INS_MFESR = 805;;
-let _PPC_INS_MFSPEFSCR = 806;;
-let _PPC_INS_MFTCR = 807;;
-let _PPC_INS_MFASR = 808;;
-let _PPC_INS_MFPVR = 809;;
-let _PPC_INS_MFTBU = 810;;
-let _PPC_INS_MTCR = 811;;
-let _PPC_INS_MTBR0 = 812;;
-let _PPC_INS_MTBR1 = 813;;
-let _PPC_INS_MTBR2 = 814;;
-let _PPC_INS_MTBR3 = 815;;
-let _PPC_INS_MTBR4 = 816;;
-let _PPC_INS_MTBR5 = 817;;
-let _PPC_INS_MTBR6 = 818;;
-let _PPC_INS_MTBR7 = 819;;
-let _PPC_INS_MTXER = 820;;
-let _PPC_INS_MTDSCR = 821;;
-let _PPC_INS_MTDSISR = 822;;
-let _PPC_INS_MTDAR = 823;;
-let _PPC_INS_MTSRR2 = 824;;
-let _PPC_INS_MTSRR3 = 825;;
-let _PPC_INS_MTCFAR = 826;;
-let _PPC_INS_MTAMR = 827;;
-let _PPC_INS_MTPID = 828;;
-let _PPC_INS_MTTBL = 829;;
-let _PPC_INS_MTTBU = 830;;
-let _PPC_INS_MTTBLO = 831;;
-let _PPC_INS_MTTBHI = 832;;
-let _PPC_INS_MTDBATU = 833;;
-let _PPC_INS_MTDBATL = 834;;
-let _PPC_INS_MTIBATU = 835;;
-let _PPC_INS_MTIBATL = 836;;
-let _PPC_INS_MTDCCR = 837;;
-let _PPC_INS_MTICCR = 838;;
-let _PPC_INS_MTDEAR = 839;;
-let _PPC_INS_MTESR = 840;;
-let _PPC_INS_MTSPEFSCR = 841;;
-let _PPC_INS_MTTCR = 842;;
-let _PPC_INS_NOT = 843;;
-let _PPC_INS_MR = 844;;
-let _PPC_INS_ROTLD = 845;;
-let _PPC_INS_ROTLDI = 846;;
-let _PPC_INS_CLRLDI = 847;;
-let _PPC_INS_ROTLWI = 848;;
-let _PPC_INS_CLRLWI = 849;;
-let _PPC_INS_ROTLW = 850;;
-let _PPC_INS_SUB = 851;;
-let _PPC_INS_SUBC = 852;;
-let _PPC_INS_LWSYNC = 853;;
-let _PPC_INS_PTESYNC = 854;;
-let _PPC_INS_TDLT = 855;;
-let _PPC_INS_TDEQ = 856;;
-let _PPC_INS_TDGT = 857;;
-let _PPC_INS_TDNE = 858;;
-let _PPC_INS_TDLLT = 859;;
-let _PPC_INS_TDLGT = 860;;
-let _PPC_INS_TDU = 861;;
-let _PPC_INS_TDLTI = 862;;
-let _PPC_INS_TDEQI = 863;;
-let _PPC_INS_TDGTI = 864;;
-let _PPC_INS_TDNEI = 865;;
-let _PPC_INS_TDLLTI = 866;;
-let _PPC_INS_TDLGTI = 867;;
-let _PPC_INS_TDUI = 868;;
-let _PPC_INS_TLBREHI = 869;;
-let _PPC_INS_TLBRELO = 870;;
-let _PPC_INS_TLBWEHI = 871;;
-let _PPC_INS_TLBWELO = 872;;
-let _PPC_INS_TWLT = 873;;
-let _PPC_INS_TWEQ = 874;;
-let _PPC_INS_TWGT = 875;;
-let _PPC_INS_TWNE = 876;;
-let _PPC_INS_TWLLT = 877;;
-let _PPC_INS_TWLGT = 878;;
-let _PPC_INS_TWU = 879;;
-let _PPC_INS_TWLTI = 880;;
-let _PPC_INS_TWEQI = 881;;
-let _PPC_INS_TWGTI = 882;;
-let _PPC_INS_TWNEI = 883;;
-let _PPC_INS_TWLLTI = 884;;
-let _PPC_INS_TWLGTI = 885;;
-let _PPC_INS_TWUI = 886;;
-let _PPC_INS_WAITRSV = 887;;
-let _PPC_INS_WAITIMPL = 888;;
-let _PPC_INS_XNOP = 889;;
-let _PPC_INS_XVMOVDP = 890;;
-let _PPC_INS_XVMOVSP = 891;;
-let _PPC_INS_XXSPLTD = 892;;
-let _PPC_INS_XXMRGHD = 893;;
-let _PPC_INS_XXMRGLD = 894;;
-let _PPC_INS_XXSWAPD = 895;;
-let _PPC_INS_BT = 896;;
-let _PPC_INS_BF = 897;;
-let _PPC_INS_BDNZT = 898;;
-let _PPC_INS_BDNZF = 899;;
-let _PPC_INS_BDZF = 900;;
-let _PPC_INS_BDZT = 901;;
-let _PPC_INS_BFA = 902;;
-let _PPC_INS_BDNZTA = 903;;
-let _PPC_INS_BDNZFA = 904;;
-let _PPC_INS_BDZTA = 905;;
-let _PPC_INS_BDZFA = 906;;
-let _PPC_INS_BTCTR = 907;;
-let _PPC_INS_BFCTR = 908;;
-let _PPC_INS_BTCTRL = 909;;
-let _PPC_INS_BFCTRL = 910;;
-let _PPC_INS_BTL = 911;;
-let _PPC_INS_BFL = 912;;
-let _PPC_INS_BDNZTL = 913;;
-let _PPC_INS_BDNZFL = 914;;
-let _PPC_INS_BDZTL = 915;;
-let _PPC_INS_BDZFL = 916;;
-let _PPC_INS_BTLA = 917;;
-let _PPC_INS_BFLA = 918;;
-let _PPC_INS_BDNZTLA = 919;;
-let _PPC_INS_BDNZFLA = 920;;
-let _PPC_INS_BDZTLA = 921;;
-let _PPC_INS_BDZFLA = 922;;
-let _PPC_INS_BTLR = 923;;
-let _PPC_INS_BFLR = 924;;
-let _PPC_INS_BDNZTLR = 925;;
-let _PPC_INS_BDZTLR = 926;;
-let _PPC_INS_BDZFLR = 927;;
-let _PPC_INS_BTLRL = 928;;
-let _PPC_INS_BFLRL = 929;;
-let _PPC_INS_BDNZTLRL = 930;;
-let _PPC_INS_BDNZFLRL = 931;;
-let _PPC_INS_BDZTLRL = 932;;
-let _PPC_INS_BDZFLRL = 933;;
-let _PPC_INS_ENDING = 934;;
-
-(* Group of PPC instructions *)
+let _PPC_INS_ATTN = 13;;
+let _PPC_INS_B = 14;;
+let _PPC_INS_BA = 15;;
+let _PPC_INS_BC = 16;;
+let _PPC_INS_BCCTR = 17;;
+let _PPC_INS_BCCTRL = 18;;
+let _PPC_INS_BCL = 19;;
+let _PPC_INS_BCLR = 20;;
+let _PPC_INS_BCLRL = 21;;
+let _PPC_INS_BCTR = 22;;
+let _PPC_INS_BCTRL = 23;;
+let _PPC_INS_BCT = 24;;
+let _PPC_INS_BDNZ = 25;;
+let _PPC_INS_BDNZA = 26;;
+let _PPC_INS_BDNZL = 27;;
+let _PPC_INS_BDNZLA = 28;;
+let _PPC_INS_BDNZLR = 29;;
+let _PPC_INS_BDNZLRL = 30;;
+let _PPC_INS_BDZ = 31;;
+let _PPC_INS_BDZA = 32;;
+let _PPC_INS_BDZL = 33;;
+let _PPC_INS_BDZLA = 34;;
+let _PPC_INS_BDZLR = 35;;
+let _PPC_INS_BDZLRL = 36;;
+let _PPC_INS_BL = 37;;
+let _PPC_INS_BLA = 38;;
+let _PPC_INS_BLR = 39;;
+let _PPC_INS_BLRL = 40;;
+let _PPC_INS_BRINC = 41;;
+let _PPC_INS_CMPB = 42;;
+let _PPC_INS_CMPD = 43;;
+let _PPC_INS_CMPDI = 44;;
+let _PPC_INS_CMPLD = 45;;
+let _PPC_INS_CMPLDI = 46;;
+let _PPC_INS_CMPLW = 47;;
+let _PPC_INS_CMPLWI = 48;;
+let _PPC_INS_CMPW = 49;;
+let _PPC_INS_CMPWI = 50;;
+let _PPC_INS_CNTLZD = 51;;
+let _PPC_INS_CNTLZW = 52;;
+let _PPC_INS_CREQV = 53;;
+let _PPC_INS_CRXOR = 54;;
+let _PPC_INS_CRAND = 55;;
+let _PPC_INS_CRANDC = 56;;
+let _PPC_INS_CRNAND = 57;;
+let _PPC_INS_CRNOR = 58;;
+let _PPC_INS_CROR = 59;;
+let _PPC_INS_CRORC = 60;;
+let _PPC_INS_DCBA = 61;;
+let _PPC_INS_DCBF = 62;;
+let _PPC_INS_DCBI = 63;;
+let _PPC_INS_DCBST = 64;;
+let _PPC_INS_DCBT = 65;;
+let _PPC_INS_DCBTST = 66;;
+let _PPC_INS_DCBZ = 67;;
+let _PPC_INS_DCBZL = 68;;
+let _PPC_INS_DCCCI = 69;;
+let _PPC_INS_DIVD = 70;;
+let _PPC_INS_DIVDU = 71;;
+let _PPC_INS_DIVW = 72;;
+let _PPC_INS_DIVWU = 73;;
+let _PPC_INS_DSS = 74;;
+let _PPC_INS_DSSALL = 75;;
+let _PPC_INS_DST = 76;;
+let _PPC_INS_DSTST = 77;;
+let _PPC_INS_DSTSTT = 78;;
+let _PPC_INS_DSTT = 79;;
+let _PPC_INS_EQV = 80;;
+let _PPC_INS_EVABS = 81;;
+let _PPC_INS_EVADDIW = 82;;
+let _PPC_INS_EVADDSMIAAW = 83;;
+let _PPC_INS_EVADDSSIAAW = 84;;
+let _PPC_INS_EVADDUMIAAW = 85;;
+let _PPC_INS_EVADDUSIAAW = 86;;
+let _PPC_INS_EVADDW = 87;;
+let _PPC_INS_EVAND = 88;;
+let _PPC_INS_EVANDC = 89;;
+let _PPC_INS_EVCMPEQ = 90;;
+let _PPC_INS_EVCMPGTS = 91;;
+let _PPC_INS_EVCMPGTU = 92;;
+let _PPC_INS_EVCMPLTS = 93;;
+let _PPC_INS_EVCMPLTU = 94;;
+let _PPC_INS_EVCNTLSW = 95;;
+let _PPC_INS_EVCNTLZW = 96;;
+let _PPC_INS_EVDIVWS = 97;;
+let _PPC_INS_EVDIVWU = 98;;
+let _PPC_INS_EVEQV = 99;;
+let _PPC_INS_EVEXTSB = 100;;
+let _PPC_INS_EVEXTSH = 101;;
+let _PPC_INS_EVLDD = 102;;
+let _PPC_INS_EVLDDX = 103;;
+let _PPC_INS_EVLDH = 104;;
+let _PPC_INS_EVLDHX = 105;;
+let _PPC_INS_EVLDW = 106;;
+let _PPC_INS_EVLDWX = 107;;
+let _PPC_INS_EVLHHESPLAT = 108;;
+let _PPC_INS_EVLHHESPLATX = 109;;
+let _PPC_INS_EVLHHOSSPLAT = 110;;
+let _PPC_INS_EVLHHOSSPLATX = 111;;
+let _PPC_INS_EVLHHOUSPLAT = 112;;
+let _PPC_INS_EVLHHOUSPLATX = 113;;
+let _PPC_INS_EVLWHE = 114;;
+let _PPC_INS_EVLWHEX = 115;;
+let _PPC_INS_EVLWHOS = 116;;
+let _PPC_INS_EVLWHOSX = 117;;
+let _PPC_INS_EVLWHOU = 118;;
+let _PPC_INS_EVLWHOUX = 119;;
+let _PPC_INS_EVLWHSPLAT = 120;;
+let _PPC_INS_EVLWHSPLATX = 121;;
+let _PPC_INS_EVLWWSPLAT = 122;;
+let _PPC_INS_EVLWWSPLATX = 123;;
+let _PPC_INS_EVMERGEHI = 124;;
+let _PPC_INS_EVMERGEHILO = 125;;
+let _PPC_INS_EVMERGELO = 126;;
+let _PPC_INS_EVMERGELOHI = 127;;
+let _PPC_INS_EVMHEGSMFAA = 128;;
+let _PPC_INS_EVMHEGSMFAN = 129;;
+let _PPC_INS_EVMHEGSMIAA = 130;;
+let _PPC_INS_EVMHEGSMIAN = 131;;
+let _PPC_INS_EVMHEGUMIAA = 132;;
+let _PPC_INS_EVMHEGUMIAN = 133;;
+let _PPC_INS_EVMHESMF = 134;;
+let _PPC_INS_EVMHESMFA = 135;;
+let _PPC_INS_EVMHESMFAAW = 136;;
+let _PPC_INS_EVMHESMFANW = 137;;
+let _PPC_INS_EVMHESMI = 138;;
+let _PPC_INS_EVMHESMIA = 139;;
+let _PPC_INS_EVMHESMIAAW = 140;;
+let _PPC_INS_EVMHESMIANW = 141;;
+let _PPC_INS_EVMHESSF = 142;;
+let _PPC_INS_EVMHESSFA = 143;;
+let _PPC_INS_EVMHESSFAAW = 144;;
+let _PPC_INS_EVMHESSFANW = 145;;
+let _PPC_INS_EVMHESSIAAW = 146;;
+let _PPC_INS_EVMHESSIANW = 147;;
+let _PPC_INS_EVMHEUMI = 148;;
+let _PPC_INS_EVMHEUMIA = 149;;
+let _PPC_INS_EVMHEUMIAAW = 150;;
+let _PPC_INS_EVMHEUMIANW = 151;;
+let _PPC_INS_EVMHEUSIAAW = 152;;
+let _PPC_INS_EVMHEUSIANW = 153;;
+let _PPC_INS_EVMHOGSMFAA = 154;;
+let _PPC_INS_EVMHOGSMFAN = 155;;
+let _PPC_INS_EVMHOGSMIAA = 156;;
+let _PPC_INS_EVMHOGSMIAN = 157;;
+let _PPC_INS_EVMHOGUMIAA = 158;;
+let _PPC_INS_EVMHOGUMIAN = 159;;
+let _PPC_INS_EVMHOSMF = 160;;
+let _PPC_INS_EVMHOSMFA = 161;;
+let _PPC_INS_EVMHOSMFAAW = 162;;
+let _PPC_INS_EVMHOSMFANW = 163;;
+let _PPC_INS_EVMHOSMI = 164;;
+let _PPC_INS_EVMHOSMIA = 165;;
+let _PPC_INS_EVMHOSMIAAW = 166;;
+let _PPC_INS_EVMHOSMIANW = 167;;
+let _PPC_INS_EVMHOSSF = 168;;
+let _PPC_INS_EVMHOSSFA = 169;;
+let _PPC_INS_EVMHOSSFAAW = 170;;
+let _PPC_INS_EVMHOSSFANW = 171;;
+let _PPC_INS_EVMHOSSIAAW = 172;;
+let _PPC_INS_EVMHOSSIANW = 173;;
+let _PPC_INS_EVMHOUMI = 174;;
+let _PPC_INS_EVMHOUMIA = 175;;
+let _PPC_INS_EVMHOUMIAAW = 176;;
+let _PPC_INS_EVMHOUMIANW = 177;;
+let _PPC_INS_EVMHOUSIAAW = 178;;
+let _PPC_INS_EVMHOUSIANW = 179;;
+let _PPC_INS_EVMRA = 180;;
+let _PPC_INS_EVMWHSMF = 181;;
+let _PPC_INS_EVMWHSMFA = 182;;
+let _PPC_INS_EVMWHSMI = 183;;
+let _PPC_INS_EVMWHSMIA = 184;;
+let _PPC_INS_EVMWHSSF = 185;;
+let _PPC_INS_EVMWHSSFA = 186;;
+let _PPC_INS_EVMWHUMI = 187;;
+let _PPC_INS_EVMWHUMIA = 188;;
+let _PPC_INS_EVMWLSMIAAW = 189;;
+let _PPC_INS_EVMWLSMIANW = 190;;
+let _PPC_INS_EVMWLSSIAAW = 191;;
+let _PPC_INS_EVMWLSSIANW = 192;;
+let _PPC_INS_EVMWLUMI = 193;;
+let _PPC_INS_EVMWLUMIA = 194;;
+let _PPC_INS_EVMWLUMIAAW = 195;;
+let _PPC_INS_EVMWLUMIANW = 196;;
+let _PPC_INS_EVMWLUSIAAW = 197;;
+let _PPC_INS_EVMWLUSIANW = 198;;
+let _PPC_INS_EVMWSMF = 199;;
+let _PPC_INS_EVMWSMFA = 200;;
+let _PPC_INS_EVMWSMFAA = 201;;
+let _PPC_INS_EVMWSMFAN = 202;;
+let _PPC_INS_EVMWSMI = 203;;
+let _PPC_INS_EVMWSMIA = 204;;
+let _PPC_INS_EVMWSMIAA = 205;;
+let _PPC_INS_EVMWSMIAN = 206;;
+let _PPC_INS_EVMWSSF = 207;;
+let _PPC_INS_EVMWSSFA = 208;;
+let _PPC_INS_EVMWSSFAA = 209;;
+let _PPC_INS_EVMWSSFAN = 210;;
+let _PPC_INS_EVMWUMI = 211;;
+let _PPC_INS_EVMWUMIA = 212;;
+let _PPC_INS_EVMWUMIAA = 213;;
+let _PPC_INS_EVMWUMIAN = 214;;
+let _PPC_INS_EVNAND = 215;;
+let _PPC_INS_EVNEG = 216;;
+let _PPC_INS_EVNOR = 217;;
+let _PPC_INS_EVOR = 218;;
+let _PPC_INS_EVORC = 219;;
+let _PPC_INS_EVRLW = 220;;
+let _PPC_INS_EVRLWI = 221;;
+let _PPC_INS_EVRNDW = 222;;
+let _PPC_INS_EVSLW = 223;;
+let _PPC_INS_EVSLWI = 224;;
+let _PPC_INS_EVSPLATFI = 225;;
+let _PPC_INS_EVSPLATI = 226;;
+let _PPC_INS_EVSRWIS = 227;;
+let _PPC_INS_EVSRWIU = 228;;
+let _PPC_INS_EVSRWS = 229;;
+let _PPC_INS_EVSRWU = 230;;
+let _PPC_INS_EVSTDD = 231;;
+let _PPC_INS_EVSTDDX = 232;;
+let _PPC_INS_EVSTDH = 233;;
+let _PPC_INS_EVSTDHX = 234;;
+let _PPC_INS_EVSTDW = 235;;
+let _PPC_INS_EVSTDWX = 236;;
+let _PPC_INS_EVSTWHE = 237;;
+let _PPC_INS_EVSTWHEX = 238;;
+let _PPC_INS_EVSTWHO = 239;;
+let _PPC_INS_EVSTWHOX = 240;;
+let _PPC_INS_EVSTWWE = 241;;
+let _PPC_INS_EVSTWWEX = 242;;
+let _PPC_INS_EVSTWWO = 243;;
+let _PPC_INS_EVSTWWOX = 244;;
+let _PPC_INS_EVSUBFSMIAAW = 245;;
+let _PPC_INS_EVSUBFSSIAAW = 246;;
+let _PPC_INS_EVSUBFUMIAAW = 247;;
+let _PPC_INS_EVSUBFUSIAAW = 248;;
+let _PPC_INS_EVSUBFW = 249;;
+let _PPC_INS_EVSUBIFW = 250;;
+let _PPC_INS_EVXOR = 251;;
+let _PPC_INS_EXTSB = 252;;
+let _PPC_INS_EXTSH = 253;;
+let _PPC_INS_EXTSW = 254;;
+let _PPC_INS_EIEIO = 255;;
+let _PPC_INS_FABS = 256;;
+let _PPC_INS_FADD = 257;;
+let _PPC_INS_FADDS = 258;;
+let _PPC_INS_FCFID = 259;;
+let _PPC_INS_FCFIDS = 260;;
+let _PPC_INS_FCFIDU = 261;;
+let _PPC_INS_FCFIDUS = 262;;
+let _PPC_INS_FCMPU = 263;;
+let _PPC_INS_FCPSGN = 264;;
+let _PPC_INS_FCTID = 265;;
+let _PPC_INS_FCTIDUZ = 266;;
+let _PPC_INS_FCTIDZ = 267;;
+let _PPC_INS_FCTIW = 268;;
+let _PPC_INS_FCTIWUZ = 269;;
+let _PPC_INS_FCTIWZ = 270;;
+let _PPC_INS_FDIV = 271;;
+let _PPC_INS_FDIVS = 272;;
+let _PPC_INS_FMADD = 273;;
+let _PPC_INS_FMADDS = 274;;
+let _PPC_INS_FMR = 275;;
+let _PPC_INS_FMSUB = 276;;
+let _PPC_INS_FMSUBS = 277;;
+let _PPC_INS_FMUL = 278;;
+let _PPC_INS_FMULS = 279;;
+let _PPC_INS_FNABS = 280;;
+let _PPC_INS_FNEG = 281;;
+let _PPC_INS_FNMADD = 282;;
+let _PPC_INS_FNMADDS = 283;;
+let _PPC_INS_FNMSUB = 284;;
+let _PPC_INS_FNMSUBS = 285;;
+let _PPC_INS_FRE = 286;;
+let _PPC_INS_FRES = 287;;
+let _PPC_INS_FRIM = 288;;
+let _PPC_INS_FRIN = 289;;
+let _PPC_INS_FRIP = 290;;
+let _PPC_INS_FRIZ = 291;;
+let _PPC_INS_FRSP = 292;;
+let _PPC_INS_FRSQRTE = 293;;
+let _PPC_INS_FRSQRTES = 294;;
+let _PPC_INS_FSEL = 295;;
+let _PPC_INS_FSQRT = 296;;
+let _PPC_INS_FSQRTS = 297;;
+let _PPC_INS_FSUB = 298;;
+let _PPC_INS_FSUBS = 299;;
+let _PPC_INS_ICBI = 300;;
+let _PPC_INS_ICBT = 301;;
+let _PPC_INS_ICCCI = 302;;
+let _PPC_INS_ISEL = 303;;
+let _PPC_INS_ISYNC = 304;;
+let _PPC_INS_LA = 305;;
+let _PPC_INS_LBZ = 306;;
+let _PPC_INS_LBZCIX = 307;;
+let _PPC_INS_LBZU = 308;;
+let _PPC_INS_LBZUX = 309;;
+let _PPC_INS_LBZX = 310;;
+let _PPC_INS_LD = 311;;
+let _PPC_INS_LDARX = 312;;
+let _PPC_INS_LDBRX = 313;;
+let _PPC_INS_LDCIX = 314;;
+let _PPC_INS_LDU = 315;;
+let _PPC_INS_LDUX = 316;;
+let _PPC_INS_LDX = 317;;
+let _PPC_INS_LFD = 318;;
+let _PPC_INS_LFDU = 319;;
+let _PPC_INS_LFDUX = 320;;
+let _PPC_INS_LFDX = 321;;
+let _PPC_INS_LFIWAX = 322;;
+let _PPC_INS_LFIWZX = 323;;
+let _PPC_INS_LFS = 324;;
+let _PPC_INS_LFSU = 325;;
+let _PPC_INS_LFSUX = 326;;
+let _PPC_INS_LFSX = 327;;
+let _PPC_INS_LHA = 328;;
+let _PPC_INS_LHAU = 329;;
+let _PPC_INS_LHAUX = 330;;
+let _PPC_INS_LHAX = 331;;
+let _PPC_INS_LHBRX = 332;;
+let _PPC_INS_LHZ = 333;;
+let _PPC_INS_LHZCIX = 334;;
+let _PPC_INS_LHZU = 335;;
+let _PPC_INS_LHZUX = 336;;
+let _PPC_INS_LHZX = 337;;
+let _PPC_INS_LI = 338;;
+let _PPC_INS_LIS = 339;;
+let _PPC_INS_LMW = 340;;
+let _PPC_INS_LSWI = 341;;
+let _PPC_INS_LVEBX = 342;;
+let _PPC_INS_LVEHX = 343;;
+let _PPC_INS_LVEWX = 344;;
+let _PPC_INS_LVSL = 345;;
+let _PPC_INS_LVSR = 346;;
+let _PPC_INS_LVX = 347;;
+let _PPC_INS_LVXL = 348;;
+let _PPC_INS_LWA = 349;;
+let _PPC_INS_LWARX = 350;;
+let _PPC_INS_LWAUX = 351;;
+let _PPC_INS_LWAX = 352;;
+let _PPC_INS_LWBRX = 353;;
+let _PPC_INS_LWZ = 354;;
+let _PPC_INS_LWZCIX = 355;;
+let _PPC_INS_LWZU = 356;;
+let _PPC_INS_LWZUX = 357;;
+let _PPC_INS_LWZX = 358;;
+let _PPC_INS_LXSDX = 359;;
+let _PPC_INS_LXVD2X = 360;;
+let _PPC_INS_LXVDSX = 361;;
+let _PPC_INS_LXVW4X = 362;;
+let _PPC_INS_MBAR = 363;;
+let _PPC_INS_MCRF = 364;;
+let _PPC_INS_MCRFS = 365;;
+let _PPC_INS_MFCR = 366;;
+let _PPC_INS_MFCTR = 367;;
+let _PPC_INS_MFDCR = 368;;
+let _PPC_INS_MFFS = 369;;
+let _PPC_INS_MFLR = 370;;
+let _PPC_INS_MFMSR = 371;;
+let _PPC_INS_MFOCRF = 372;;
+let _PPC_INS_MFSPR = 373;;
+let _PPC_INS_MFSR = 374;;
+let _PPC_INS_MFSRIN = 375;;
+let _PPC_INS_MFTB = 376;;
+let _PPC_INS_MFVSCR = 377;;
+let _PPC_INS_MSYNC = 378;;
+let _PPC_INS_MTCRF = 379;;
+let _PPC_INS_MTCTR = 380;;
+let _PPC_INS_MTDCR = 381;;
+let _PPC_INS_MTFSB0 = 382;;
+let _PPC_INS_MTFSB1 = 383;;
+let _PPC_INS_MTFSF = 384;;
+let _PPC_INS_MTFSFI = 385;;
+let _PPC_INS_MTLR = 386;;
+let _PPC_INS_MTMSR = 387;;
+let _PPC_INS_MTMSRD = 388;;
+let _PPC_INS_MTOCRF = 389;;
+let _PPC_INS_MTSPR = 390;;
+let _PPC_INS_MTSR = 391;;
+let _PPC_INS_MTSRIN = 392;;
+let _PPC_INS_MTVSCR = 393;;
+let _PPC_INS_MULHD = 394;;
+let _PPC_INS_MULHDU = 395;;
+let _PPC_INS_MULHW = 396;;
+let _PPC_INS_MULHWU = 397;;
+let _PPC_INS_MULLD = 398;;
+let _PPC_INS_MULLI = 399;;
+let _PPC_INS_MULLW = 400;;
+let _PPC_INS_NAND = 401;;
+let _PPC_INS_NEG = 402;;
+let _PPC_INS_NOP = 403;;
+let _PPC_INS_ORI = 404;;
+let _PPC_INS_NOR = 405;;
+let _PPC_INS_OR = 406;;
+let _PPC_INS_ORC = 407;;
+let _PPC_INS_ORIS = 408;;
+let _PPC_INS_POPCNTD = 409;;
+let _PPC_INS_POPCNTW = 410;;
+let _PPC_INS_QVALIGNI = 411;;
+let _PPC_INS_QVESPLATI = 412;;
+let _PPC_INS_QVFABS = 413;;
+let _PPC_INS_QVFADD = 414;;
+let _PPC_INS_QVFADDS = 415;;
+let _PPC_INS_QVFCFID = 416;;
+let _PPC_INS_QVFCFIDS = 417;;
+let _PPC_INS_QVFCFIDU = 418;;
+let _PPC_INS_QVFCFIDUS = 419;;
+let _PPC_INS_QVFCMPEQ = 420;;
+let _PPC_INS_QVFCMPGT = 421;;
+let _PPC_INS_QVFCMPLT = 422;;
+let _PPC_INS_QVFCPSGN = 423;;
+let _PPC_INS_QVFCTID = 424;;
+let _PPC_INS_QVFCTIDU = 425;;
+let _PPC_INS_QVFCTIDUZ = 426;;
+let _PPC_INS_QVFCTIDZ = 427;;
+let _PPC_INS_QVFCTIW = 428;;
+let _PPC_INS_QVFCTIWU = 429;;
+let _PPC_INS_QVFCTIWUZ = 430;;
+let _PPC_INS_QVFCTIWZ = 431;;
+let _PPC_INS_QVFLOGICAL = 432;;
+let _PPC_INS_QVFMADD = 433;;
+let _PPC_INS_QVFMADDS = 434;;
+let _PPC_INS_QVFMR = 435;;
+let _PPC_INS_QVFMSUB = 436;;
+let _PPC_INS_QVFMSUBS = 437;;
+let _PPC_INS_QVFMUL = 438;;
+let _PPC_INS_QVFMULS = 439;;
+let _PPC_INS_QVFNABS = 440;;
+let _PPC_INS_QVFNEG = 441;;
+let _PPC_INS_QVFNMADD = 442;;
+let _PPC_INS_QVFNMADDS = 443;;
+let _PPC_INS_QVFNMSUB = 444;;
+let _PPC_INS_QVFNMSUBS = 445;;
+let _PPC_INS_QVFPERM = 446;;
+let _PPC_INS_QVFRE = 447;;
+let _PPC_INS_QVFRES = 448;;
+let _PPC_INS_QVFRIM = 449;;
+let _PPC_INS_QVFRIN = 450;;
+let _PPC_INS_QVFRIP = 451;;
+let _PPC_INS_QVFRIZ = 452;;
+let _PPC_INS_QVFRSP = 453;;
+let _PPC_INS_QVFRSQRTE = 454;;
+let _PPC_INS_QVFRSQRTES = 455;;
+let _PPC_INS_QVFSEL = 456;;
+let _PPC_INS_QVFSUB = 457;;
+let _PPC_INS_QVFSUBS = 458;;
+let _PPC_INS_QVFTSTNAN = 459;;
+let _PPC_INS_QVFXMADD = 460;;
+let _PPC_INS_QVFXMADDS = 461;;
+let _PPC_INS_QVFXMUL = 462;;
+let _PPC_INS_QVFXMULS = 463;;
+let _PPC_INS_QVFXXCPNMADD = 464;;
+let _PPC_INS_QVFXXCPNMADDS = 465;;
+let _PPC_INS_QVFXXMADD = 466;;
+let _PPC_INS_QVFXXMADDS = 467;;
+let _PPC_INS_QVFXXNPMADD = 468;;
+let _PPC_INS_QVFXXNPMADDS = 469;;
+let _PPC_INS_QVGPCI = 470;;
+let _PPC_INS_QVLFCDUX = 471;;
+let _PPC_INS_QVLFCDUXA = 472;;
+let _PPC_INS_QVLFCDX = 473;;
+let _PPC_INS_QVLFCDXA = 474;;
+let _PPC_INS_QVLFCSUX = 475;;
+let _PPC_INS_QVLFCSUXA = 476;;
+let _PPC_INS_QVLFCSX = 477;;
+let _PPC_INS_QVLFCSXA = 478;;
+let _PPC_INS_QVLFDUX = 479;;
+let _PPC_INS_QVLFDUXA = 480;;
+let _PPC_INS_QVLFDX = 481;;
+let _PPC_INS_QVLFDXA = 482;;
+let _PPC_INS_QVLFIWAX = 483;;
+let _PPC_INS_QVLFIWAXA = 484;;
+let _PPC_INS_QVLFIWZX = 485;;
+let _PPC_INS_QVLFIWZXA = 486;;
+let _PPC_INS_QVLFSUX = 487;;
+let _PPC_INS_QVLFSUXA = 488;;
+let _PPC_INS_QVLFSX = 489;;
+let _PPC_INS_QVLFSXA = 490;;
+let _PPC_INS_QVLPCLDX = 491;;
+let _PPC_INS_QVLPCLSX = 492;;
+let _PPC_INS_QVLPCRDX = 493;;
+let _PPC_INS_QVLPCRSX = 494;;
+let _PPC_INS_QVSTFCDUX = 495;;
+let _PPC_INS_QVSTFCDUXA = 496;;
+let _PPC_INS_QVSTFCDUXI = 497;;
+let _PPC_INS_QVSTFCDUXIA = 498;;
+let _PPC_INS_QVSTFCDX = 499;;
+let _PPC_INS_QVSTFCDXA = 500;;
+let _PPC_INS_QVSTFCDXI = 501;;
+let _PPC_INS_QVSTFCDXIA = 502;;
+let _PPC_INS_QVSTFCSUX = 503;;
+let _PPC_INS_QVSTFCSUXA = 504;;
+let _PPC_INS_QVSTFCSUXI = 505;;
+let _PPC_INS_QVSTFCSUXIA = 506;;
+let _PPC_INS_QVSTFCSX = 507;;
+let _PPC_INS_QVSTFCSXA = 508;;
+let _PPC_INS_QVSTFCSXI = 509;;
+let _PPC_INS_QVSTFCSXIA = 510;;
+let _PPC_INS_QVSTFDUX = 511;;
+let _PPC_INS_QVSTFDUXA = 512;;
+let _PPC_INS_QVSTFDUXI = 513;;
+let _PPC_INS_QVSTFDUXIA = 514;;
+let _PPC_INS_QVSTFDX = 515;;
+let _PPC_INS_QVSTFDXA = 516;;
+let _PPC_INS_QVSTFDXI = 517;;
+let _PPC_INS_QVSTFDXIA = 518;;
+let _PPC_INS_QVSTFIWX = 519;;
+let _PPC_INS_QVSTFIWXA = 520;;
+let _PPC_INS_QVSTFSUX = 521;;
+let _PPC_INS_QVSTFSUXA = 522;;
+let _PPC_INS_QVSTFSUXI = 523;;
+let _PPC_INS_QVSTFSUXIA = 524;;
+let _PPC_INS_QVSTFSX = 525;;
+let _PPC_INS_QVSTFSXA = 526;;
+let _PPC_INS_QVSTFSXI = 527;;
+let _PPC_INS_QVSTFSXIA = 528;;
+let _PPC_INS_RFCI = 529;;
+let _PPC_INS_RFDI = 530;;
+let _PPC_INS_RFI = 531;;
+let _PPC_INS_RFID = 532;;
+let _PPC_INS_RFMCI = 533;;
+let _PPC_INS_RLDCL = 534;;
+let _PPC_INS_RLDCR = 535;;
+let _PPC_INS_RLDIC = 536;;
+let _PPC_INS_RLDICL = 537;;
+let _PPC_INS_RLDICR = 538;;
+let _PPC_INS_RLDIMI = 539;;
+let _PPC_INS_RLWIMI = 540;;
+let _PPC_INS_RLWINM = 541;;
+let _PPC_INS_RLWNM = 542;;
+let _PPC_INS_SC = 543;;
+let _PPC_INS_SLBIA = 544;;
+let _PPC_INS_SLBIE = 545;;
+let _PPC_INS_SLBMFEE = 546;;
+let _PPC_INS_SLBMTE = 547;;
+let _PPC_INS_SLD = 548;;
+let _PPC_INS_SLW = 549;;
+let _PPC_INS_SRAD = 550;;
+let _PPC_INS_SRADI = 551;;
+let _PPC_INS_SRAW = 552;;
+let _PPC_INS_SRAWI = 553;;
+let _PPC_INS_SRD = 554;;
+let _PPC_INS_SRW = 555;;
+let _PPC_INS_STB = 556;;
+let _PPC_INS_STBCIX = 557;;
+let _PPC_INS_STBU = 558;;
+let _PPC_INS_STBUX = 559;;
+let _PPC_INS_STBX = 560;;
+let _PPC_INS_STD = 561;;
+let _PPC_INS_STDBRX = 562;;
+let _PPC_INS_STDCIX = 563;;
+let _PPC_INS_STDCX = 564;;
+let _PPC_INS_STDU = 565;;
+let _PPC_INS_STDUX = 566;;
+let _PPC_INS_STDX = 567;;
+let _PPC_INS_STFD = 568;;
+let _PPC_INS_STFDU = 569;;
+let _PPC_INS_STFDUX = 570;;
+let _PPC_INS_STFDX = 571;;
+let _PPC_INS_STFIWX = 572;;
+let _PPC_INS_STFS = 573;;
+let _PPC_INS_STFSU = 574;;
+let _PPC_INS_STFSUX = 575;;
+let _PPC_INS_STFSX = 576;;
+let _PPC_INS_STH = 577;;
+let _PPC_INS_STHBRX = 578;;
+let _PPC_INS_STHCIX = 579;;
+let _PPC_INS_STHU = 580;;
+let _PPC_INS_STHUX = 581;;
+let _PPC_INS_STHX = 582;;
+let _PPC_INS_STMW = 583;;
+let _PPC_INS_STSWI = 584;;
+let _PPC_INS_STVEBX = 585;;
+let _PPC_INS_STVEHX = 586;;
+let _PPC_INS_STVEWX = 587;;
+let _PPC_INS_STVX = 588;;
+let _PPC_INS_STVXL = 589;;
+let _PPC_INS_STW = 590;;
+let _PPC_INS_STWBRX = 591;;
+let _PPC_INS_STWCIX = 592;;
+let _PPC_INS_STWCX = 593;;
+let _PPC_INS_STWU = 594;;
+let _PPC_INS_STWUX = 595;;
+let _PPC_INS_STWX = 596;;
+let _PPC_INS_STXSDX = 597;;
+let _PPC_INS_STXVD2X = 598;;
+let _PPC_INS_STXVW4X = 599;;
+let _PPC_INS_SUBF = 600;;
+let _PPC_INS_SUBFC = 601;;
+let _PPC_INS_SUBFE = 602;;
+let _PPC_INS_SUBFIC = 603;;
+let _PPC_INS_SUBFME = 604;;
+let _PPC_INS_SUBFZE = 605;;
+let _PPC_INS_SYNC = 606;;
+let _PPC_INS_TD = 607;;
+let _PPC_INS_TDI = 608;;
+let _PPC_INS_TLBIA = 609;;
+let _PPC_INS_TLBIE = 610;;
+let _PPC_INS_TLBIEL = 611;;
+let _PPC_INS_TLBIVAX = 612;;
+let _PPC_INS_TLBLD = 613;;
+let _PPC_INS_TLBLI = 614;;
+let _PPC_INS_TLBRE = 615;;
+let _PPC_INS_TLBSX = 616;;
+let _PPC_INS_TLBSYNC = 617;;
+let _PPC_INS_TLBWE = 618;;
+let _PPC_INS_TRAP = 619;;
+let _PPC_INS_TW = 620;;
+let _PPC_INS_TWI = 621;;
+let _PPC_INS_VADDCUW = 622;;
+let _PPC_INS_VADDFP = 623;;
+let _PPC_INS_VADDSBS = 624;;
+let _PPC_INS_VADDSHS = 625;;
+let _PPC_INS_VADDSWS = 626;;
+let _PPC_INS_VADDUBM = 627;;
+let _PPC_INS_VADDUBS = 628;;
+let _PPC_INS_VADDUDM = 629;;
+let _PPC_INS_VADDUHM = 630;;
+let _PPC_INS_VADDUHS = 631;;
+let _PPC_INS_VADDUWM = 632;;
+let _PPC_INS_VADDUWS = 633;;
+let _PPC_INS_VAND = 634;;
+let _PPC_INS_VANDC = 635;;
+let _PPC_INS_VAVGSB = 636;;
+let _PPC_INS_VAVGSH = 637;;
+let _PPC_INS_VAVGSW = 638;;
+let _PPC_INS_VAVGUB = 639;;
+let _PPC_INS_VAVGUH = 640;;
+let _PPC_INS_VAVGUW = 641;;
+let _PPC_INS_VCFSX = 642;;
+let _PPC_INS_VCFUX = 643;;
+let _PPC_INS_VCLZB = 644;;
+let _PPC_INS_VCLZD = 645;;
+let _PPC_INS_VCLZH = 646;;
+let _PPC_INS_VCLZW = 647;;
+let _PPC_INS_VCMPBFP = 648;;
+let _PPC_INS_VCMPEQFP = 649;;
+let _PPC_INS_VCMPEQUB = 650;;
+let _PPC_INS_VCMPEQUD = 651;;
+let _PPC_INS_VCMPEQUH = 652;;
+let _PPC_INS_VCMPEQUW = 653;;
+let _PPC_INS_VCMPGEFP = 654;;
+let _PPC_INS_VCMPGTFP = 655;;
+let _PPC_INS_VCMPGTSB = 656;;
+let _PPC_INS_VCMPGTSD = 657;;
+let _PPC_INS_VCMPGTSH = 658;;
+let _PPC_INS_VCMPGTSW = 659;;
+let _PPC_INS_VCMPGTUB = 660;;
+let _PPC_INS_VCMPGTUD = 661;;
+let _PPC_INS_VCMPGTUH = 662;;
+let _PPC_INS_VCMPGTUW = 663;;
+let _PPC_INS_VCTSXS = 664;;
+let _PPC_INS_VCTUXS = 665;;
+let _PPC_INS_VEQV = 666;;
+let _PPC_INS_VEXPTEFP = 667;;
+let _PPC_INS_VLOGEFP = 668;;
+let _PPC_INS_VMADDFP = 669;;
+let _PPC_INS_VMAXFP = 670;;
+let _PPC_INS_VMAXSB = 671;;
+let _PPC_INS_VMAXSD = 672;;
+let _PPC_INS_VMAXSH = 673;;
+let _PPC_INS_VMAXSW = 674;;
+let _PPC_INS_VMAXUB = 675;;
+let _PPC_INS_VMAXUD = 676;;
+let _PPC_INS_VMAXUH = 677;;
+let _PPC_INS_VMAXUW = 678;;
+let _PPC_INS_VMHADDSHS = 679;;
+let _PPC_INS_VMHRADDSHS = 680;;
+let _PPC_INS_VMINUD = 681;;
+let _PPC_INS_VMINFP = 682;;
+let _PPC_INS_VMINSB = 683;;
+let _PPC_INS_VMINSD = 684;;
+let _PPC_INS_VMINSH = 685;;
+let _PPC_INS_VMINSW = 686;;
+let _PPC_INS_VMINUB = 687;;
+let _PPC_INS_VMINUH = 688;;
+let _PPC_INS_VMINUW = 689;;
+let _PPC_INS_VMLADDUHM = 690;;
+let _PPC_INS_VMRGHB = 691;;
+let _PPC_INS_VMRGHH = 692;;
+let _PPC_INS_VMRGHW = 693;;
+let _PPC_INS_VMRGLB = 694;;
+let _PPC_INS_VMRGLH = 695;;
+let _PPC_INS_VMRGLW = 696;;
+let _PPC_INS_VMSUMMBM = 697;;
+let _PPC_INS_VMSUMSHM = 698;;
+let _PPC_INS_VMSUMSHS = 699;;
+let _PPC_INS_VMSUMUBM = 700;;
+let _PPC_INS_VMSUMUHM = 701;;
+let _PPC_INS_VMSUMUHS = 702;;
+let _PPC_INS_VMULESB = 703;;
+let _PPC_INS_VMULESH = 704;;
+let _PPC_INS_VMULESW = 705;;
+let _PPC_INS_VMULEUB = 706;;
+let _PPC_INS_VMULEUH = 707;;
+let _PPC_INS_VMULEUW = 708;;
+let _PPC_INS_VMULOSB = 709;;
+let _PPC_INS_VMULOSH = 710;;
+let _PPC_INS_VMULOSW = 711;;
+let _PPC_INS_VMULOUB = 712;;
+let _PPC_INS_VMULOUH = 713;;
+let _PPC_INS_VMULOUW = 714;;
+let _PPC_INS_VMULUWM = 715;;
+let _PPC_INS_VNAND = 716;;
+let _PPC_INS_VNMSUBFP = 717;;
+let _PPC_INS_VNOR = 718;;
+let _PPC_INS_VOR = 719;;
+let _PPC_INS_VORC = 720;;
+let _PPC_INS_VPERM = 721;;
+let _PPC_INS_VPKPX = 722;;
+let _PPC_INS_VPKSHSS = 723;;
+let _PPC_INS_VPKSHUS = 724;;
+let _PPC_INS_VPKSWSS = 725;;
+let _PPC_INS_VPKSWUS = 726;;
+let _PPC_INS_VPKUHUM = 727;;
+let _PPC_INS_VPKUHUS = 728;;
+let _PPC_INS_VPKUWUM = 729;;
+let _PPC_INS_VPKUWUS = 730;;
+let _PPC_INS_VPOPCNTB = 731;;
+let _PPC_INS_VPOPCNTD = 732;;
+let _PPC_INS_VPOPCNTH = 733;;
+let _PPC_INS_VPOPCNTW = 734;;
+let _PPC_INS_VREFP = 735;;
+let _PPC_INS_VRFIM = 736;;
+let _PPC_INS_VRFIN = 737;;
+let _PPC_INS_VRFIP = 738;;
+let _PPC_INS_VRFIZ = 739;;
+let _PPC_INS_VRLB = 740;;
+let _PPC_INS_VRLD = 741;;
+let _PPC_INS_VRLH = 742;;
+let _PPC_INS_VRLW = 743;;
+let _PPC_INS_VRSQRTEFP = 744;;
+let _PPC_INS_VSEL = 745;;
+let _PPC_INS_VSL = 746;;
+let _PPC_INS_VSLB = 747;;
+let _PPC_INS_VSLD = 748;;
+let _PPC_INS_VSLDOI = 749;;
+let _PPC_INS_VSLH = 750;;
+let _PPC_INS_VSLO = 751;;
+let _PPC_INS_VSLW = 752;;
+let _PPC_INS_VSPLTB = 753;;
+let _PPC_INS_VSPLTH = 754;;
+let _PPC_INS_VSPLTISB = 755;;
+let _PPC_INS_VSPLTISH = 756;;
+let _PPC_INS_VSPLTISW = 757;;
+let _PPC_INS_VSPLTW = 758;;
+let _PPC_INS_VSR = 759;;
+let _PPC_INS_VSRAB = 760;;
+let _PPC_INS_VSRAD = 761;;
+let _PPC_INS_VSRAH = 762;;
+let _PPC_INS_VSRAW = 763;;
+let _PPC_INS_VSRB = 764;;
+let _PPC_INS_VSRD = 765;;
+let _PPC_INS_VSRH = 766;;
+let _PPC_INS_VSRO = 767;;
+let _PPC_INS_VSRW = 768;;
+let _PPC_INS_VSUBCUW = 769;;
+let _PPC_INS_VSUBFP = 770;;
+let _PPC_INS_VSUBSBS = 771;;
+let _PPC_INS_VSUBSHS = 772;;
+let _PPC_INS_VSUBSWS = 773;;
+let _PPC_INS_VSUBUBM = 774;;
+let _PPC_INS_VSUBUBS = 775;;
+let _PPC_INS_VSUBUDM = 776;;
+let _PPC_INS_VSUBUHM = 777;;
+let _PPC_INS_VSUBUHS = 778;;
+let _PPC_INS_VSUBUWM = 779;;
+let _PPC_INS_VSUBUWS = 780;;
+let _PPC_INS_VSUM2SWS = 781;;
+let _PPC_INS_VSUM4SBS = 782;;
+let _PPC_INS_VSUM4SHS = 783;;
+let _PPC_INS_VSUM4UBS = 784;;
+let _PPC_INS_VSUMSWS = 785;;
+let _PPC_INS_VUPKHPX = 786;;
+let _PPC_INS_VUPKHSB = 787;;
+let _PPC_INS_VUPKHSH = 788;;
+let _PPC_INS_VUPKLPX = 789;;
+let _PPC_INS_VUPKLSB = 790;;
+let _PPC_INS_VUPKLSH = 791;;
+let _PPC_INS_VXOR = 792;;
+let _PPC_INS_WAIT = 793;;
+let _PPC_INS_WRTEE = 794;;
+let _PPC_INS_WRTEEI = 795;;
+let _PPC_INS_XOR = 796;;
+let _PPC_INS_XORI = 797;;
+let _PPC_INS_XORIS = 798;;
+let _PPC_INS_XSABSDP = 799;;
+let _PPC_INS_XSADDDP = 800;;
+let _PPC_INS_XSCMPODP = 801;;
+let _PPC_INS_XSCMPUDP = 802;;
+let _PPC_INS_XSCPSGNDP = 803;;
+let _PPC_INS_XSCVDPSP = 804;;
+let _PPC_INS_XSCVDPSXDS = 805;;
+let _PPC_INS_XSCVDPSXWS = 806;;
+let _PPC_INS_XSCVDPUXDS = 807;;
+let _PPC_INS_XSCVDPUXWS = 808;;
+let _PPC_INS_XSCVSPDP = 809;;
+let _PPC_INS_XSCVSXDDP = 810;;
+let _PPC_INS_XSCVUXDDP = 811;;
+let _PPC_INS_XSDIVDP = 812;;
+let _PPC_INS_XSMADDADP = 813;;
+let _PPC_INS_XSMADDMDP = 814;;
+let _PPC_INS_XSMAXDP = 815;;
+let _PPC_INS_XSMINDP = 816;;
+let _PPC_INS_XSMSUBADP = 817;;
+let _PPC_INS_XSMSUBMDP = 818;;
+let _PPC_INS_XSMULDP = 819;;
+let _PPC_INS_XSNABSDP = 820;;
+let _PPC_INS_XSNEGDP = 821;;
+let _PPC_INS_XSNMADDADP = 822;;
+let _PPC_INS_XSNMADDMDP = 823;;
+let _PPC_INS_XSNMSUBADP = 824;;
+let _PPC_INS_XSNMSUBMDP = 825;;
+let _PPC_INS_XSRDPI = 826;;
+let _PPC_INS_XSRDPIC = 827;;
+let _PPC_INS_XSRDPIM = 828;;
+let _PPC_INS_XSRDPIP = 829;;
+let _PPC_INS_XSRDPIZ = 830;;
+let _PPC_INS_XSREDP = 831;;
+let _PPC_INS_XSRSQRTEDP = 832;;
+let _PPC_INS_XSSQRTDP = 833;;
+let _PPC_INS_XSSUBDP = 834;;
+let _PPC_INS_XSTDIVDP = 835;;
+let _PPC_INS_XSTSQRTDP = 836;;
+let _PPC_INS_XVABSDP = 837;;
+let _PPC_INS_XVABSSP = 838;;
+let _PPC_INS_XVADDDP = 839;;
+let _PPC_INS_XVADDSP = 840;;
+let _PPC_INS_XVCMPEQDP = 841;;
+let _PPC_INS_XVCMPEQSP = 842;;
+let _PPC_INS_XVCMPGEDP = 843;;
+let _PPC_INS_XVCMPGESP = 844;;
+let _PPC_INS_XVCMPGTDP = 845;;
+let _PPC_INS_XVCMPGTSP = 846;;
+let _PPC_INS_XVCPSGNDP = 847;;
+let _PPC_INS_XVCPSGNSP = 848;;
+let _PPC_INS_XVCVDPSP = 849;;
+let _PPC_INS_XVCVDPSXDS = 850;;
+let _PPC_INS_XVCVDPSXWS = 851;;
+let _PPC_INS_XVCVDPUXDS = 852;;
+let _PPC_INS_XVCVDPUXWS = 853;;
+let _PPC_INS_XVCVSPDP = 854;;
+let _PPC_INS_XVCVSPSXDS = 855;;
+let _PPC_INS_XVCVSPSXWS = 856;;
+let _PPC_INS_XVCVSPUXDS = 857;;
+let _PPC_INS_XVCVSPUXWS = 858;;
+let _PPC_INS_XVCVSXDDP = 859;;
+let _PPC_INS_XVCVSXDSP = 860;;
+let _PPC_INS_XVCVSXWDP = 861;;
+let _PPC_INS_XVCVSXWSP = 862;;
+let _PPC_INS_XVCVUXDDP = 863;;
+let _PPC_INS_XVCVUXDSP = 864;;
+let _PPC_INS_XVCVUXWDP = 865;;
+let _PPC_INS_XVCVUXWSP = 866;;
+let _PPC_INS_XVDIVDP = 867;;
+let _PPC_INS_XVDIVSP = 868;;
+let _PPC_INS_XVMADDADP = 869;;
+let _PPC_INS_XVMADDASP = 870;;
+let _PPC_INS_XVMADDMDP = 871;;
+let _PPC_INS_XVMADDMSP = 872;;
+let _PPC_INS_XVMAXDP = 873;;
+let _PPC_INS_XVMAXSP = 874;;
+let _PPC_INS_XVMINDP = 875;;
+let _PPC_INS_XVMINSP = 876;;
+let _PPC_INS_XVMSUBADP = 877;;
+let _PPC_INS_XVMSUBASP = 878;;
+let _PPC_INS_XVMSUBMDP = 879;;
+let _PPC_INS_XVMSUBMSP = 880;;
+let _PPC_INS_XVMULDP = 881;;
+let _PPC_INS_XVMULSP = 882;;
+let _PPC_INS_XVNABSDP = 883;;
+let _PPC_INS_XVNABSSP = 884;;
+let _PPC_INS_XVNEGDP = 885;;
+let _PPC_INS_XVNEGSP = 886;;
+let _PPC_INS_XVNMADDADP = 887;;
+let _PPC_INS_XVNMADDASP = 888;;
+let _PPC_INS_XVNMADDMDP = 889;;
+let _PPC_INS_XVNMADDMSP = 890;;
+let _PPC_INS_XVNMSUBADP = 891;;
+let _PPC_INS_XVNMSUBASP = 892;;
+let _PPC_INS_XVNMSUBMDP = 893;;
+let _PPC_INS_XVNMSUBMSP = 894;;
+let _PPC_INS_XVRDPI = 895;;
+let _PPC_INS_XVRDPIC = 896;;
+let _PPC_INS_XVRDPIM = 897;;
+let _PPC_INS_XVRDPIP = 898;;
+let _PPC_INS_XVRDPIZ = 899;;
+let _PPC_INS_XVREDP = 900;;
+let _PPC_INS_XVRESP = 901;;
+let _PPC_INS_XVRSPI = 902;;
+let _PPC_INS_XVRSPIC = 903;;
+let _PPC_INS_XVRSPIM = 904;;
+let _PPC_INS_XVRSPIP = 905;;
+let _PPC_INS_XVRSPIZ = 906;;
+let _PPC_INS_XVRSQRTEDP = 907;;
+let _PPC_INS_XVRSQRTESP = 908;;
+let _PPC_INS_XVSQRTDP = 909;;
+let _PPC_INS_XVSQRTSP = 910;;
+let _PPC_INS_XVSUBDP = 911;;
+let _PPC_INS_XVSUBSP = 912;;
+let _PPC_INS_XVTDIVDP = 913;;
+let _PPC_INS_XVTDIVSP = 914;;
+let _PPC_INS_XVTSQRTDP = 915;;
+let _PPC_INS_XVTSQRTSP = 916;;
+let _PPC_INS_XXLAND = 917;;
+let _PPC_INS_XXLANDC = 918;;
+let _PPC_INS_XXLEQV = 919;;
+let _PPC_INS_XXLNAND = 920;;
+let _PPC_INS_XXLNOR = 921;;
+let _PPC_INS_XXLOR = 922;;
+let _PPC_INS_XXLORC = 923;;
+let _PPC_INS_XXLXOR = 924;;
+let _PPC_INS_XXMRGHW = 925;;
+let _PPC_INS_XXMRGLW = 926;;
+let _PPC_INS_XXPERMDI = 927;;
+let _PPC_INS_XXSEL = 928;;
+let _PPC_INS_XXSLDWI = 929;;
+let _PPC_INS_XXSPLTW = 930;;
+let _PPC_INS_BCA = 931;;
+let _PPC_INS_BCLA = 932;;
+let _PPC_INS_SLWI = 933;;
+let _PPC_INS_SRWI = 934;;
+let _PPC_INS_SLDI = 935;;
+let _PPC_INS_BTA = 936;;
+let _PPC_INS_CRSET = 937;;
+let _PPC_INS_CRNOT = 938;;
+let _PPC_INS_CRMOVE = 939;;
+let _PPC_INS_CRCLR = 940;;
+let _PPC_INS_MFBR0 = 941;;
+let _PPC_INS_MFBR1 = 942;;
+let _PPC_INS_MFBR2 = 943;;
+let _PPC_INS_MFBR3 = 944;;
+let _PPC_INS_MFBR4 = 945;;
+let _PPC_INS_MFBR5 = 946;;
+let _PPC_INS_MFBR6 = 947;;
+let _PPC_INS_MFBR7 = 948;;
+let _PPC_INS_MFXER = 949;;
+let _PPC_INS_MFRTCU = 950;;
+let _PPC_INS_MFRTCL = 951;;
+let _PPC_INS_MFDSCR = 952;;
+let _PPC_INS_MFDSISR = 953;;
+let _PPC_INS_MFDAR = 954;;
+let _PPC_INS_MFSRR2 = 955;;
+let _PPC_INS_MFSRR3 = 956;;
+let _PPC_INS_MFCFAR = 957;;
+let _PPC_INS_MFAMR = 958;;
+let _PPC_INS_MFPID = 959;;
+let _PPC_INS_MFTBLO = 960;;
+let _PPC_INS_MFTBHI = 961;;
+let _PPC_INS_MFDBATU = 962;;
+let _PPC_INS_MFDBATL = 963;;
+let _PPC_INS_MFIBATU = 964;;
+let _PPC_INS_MFIBATL = 965;;
+let _PPC_INS_MFDCCR = 966;;
+let _PPC_INS_MFICCR = 967;;
+let _PPC_INS_MFDEAR = 968;;
+let _PPC_INS_MFESR = 969;;
+let _PPC_INS_MFSPEFSCR = 970;;
+let _PPC_INS_MFTCR = 971;;
+let _PPC_INS_MFASR = 972;;
+let _PPC_INS_MFPVR = 973;;
+let _PPC_INS_MFTBU = 974;;
+let _PPC_INS_MTCR = 975;;
+let _PPC_INS_MTBR0 = 976;;
+let _PPC_INS_MTBR1 = 977;;
+let _PPC_INS_MTBR2 = 978;;
+let _PPC_INS_MTBR3 = 979;;
+let _PPC_INS_MTBR4 = 980;;
+let _PPC_INS_MTBR5 = 981;;
+let _PPC_INS_MTBR6 = 982;;
+let _PPC_INS_MTBR7 = 983;;
+let _PPC_INS_MTXER = 984;;
+let _PPC_INS_MTDSCR = 985;;
+let _PPC_INS_MTDSISR = 986;;
+let _PPC_INS_MTDAR = 987;;
+let _PPC_INS_MTSRR2 = 988;;
+let _PPC_INS_MTSRR3 = 989;;
+let _PPC_INS_MTCFAR = 990;;
+let _PPC_INS_MTAMR = 991;;
+let _PPC_INS_MTPID = 992;;
+let _PPC_INS_MTTBL = 993;;
+let _PPC_INS_MTTBU = 994;;
+let _PPC_INS_MTTBLO = 995;;
+let _PPC_INS_MTTBHI = 996;;
+let _PPC_INS_MTDBATU = 997;;
+let _PPC_INS_MTDBATL = 998;;
+let _PPC_INS_MTIBATU = 999;;
+let _PPC_INS_MTIBATL = 1000;;
+let _PPC_INS_MTDCCR = 1001;;
+let _PPC_INS_MTICCR = 1002;;
+let _PPC_INS_MTDEAR = 1003;;
+let _PPC_INS_MTESR = 1004;;
+let _PPC_INS_MTSPEFSCR = 1005;;
+let _PPC_INS_MTTCR = 1006;;
+let _PPC_INS_NOT = 1007;;
+let _PPC_INS_MR = 1008;;
+let _PPC_INS_ROTLD = 1009;;
+let _PPC_INS_ROTLDI = 1010;;
+let _PPC_INS_CLRLDI = 1011;;
+let _PPC_INS_ROTLWI = 1012;;
+let _PPC_INS_CLRLWI = 1013;;
+let _PPC_INS_ROTLW = 1014;;
+let _PPC_INS_SUB = 1015;;
+let _PPC_INS_SUBC = 1016;;
+let _PPC_INS_LWSYNC = 1017;;
+let _PPC_INS_PTESYNC = 1018;;
+let _PPC_INS_TDLT = 1019;;
+let _PPC_INS_TDEQ = 1020;;
+let _PPC_INS_TDGT = 1021;;
+let _PPC_INS_TDNE = 1022;;
+let _PPC_INS_TDLLT = 1023;;
+let _PPC_INS_TDLGT = 1024;;
+let _PPC_INS_TDU = 1025;;
+let _PPC_INS_TDLTI = 1026;;
+let _PPC_INS_TDEQI = 1027;;
+let _PPC_INS_TDGTI = 1028;;
+let _PPC_INS_TDNEI = 1029;;
+let _PPC_INS_TDLLTI = 1030;;
+let _PPC_INS_TDLGTI = 1031;;
+let _PPC_INS_TDUI = 1032;;
+let _PPC_INS_TLBREHI = 1033;;
+let _PPC_INS_TLBRELO = 1034;;
+let _PPC_INS_TLBWEHI = 1035;;
+let _PPC_INS_TLBWELO = 1036;;
+let _PPC_INS_TWLT = 1037;;
+let _PPC_INS_TWEQ = 1038;;
+let _PPC_INS_TWGT = 1039;;
+let _PPC_INS_TWNE = 1040;;
+let _PPC_INS_TWLLT = 1041;;
+let _PPC_INS_TWLGT = 1042;;
+let _PPC_INS_TWU = 1043;;
+let _PPC_INS_TWLTI = 1044;;
+let _PPC_INS_TWEQI = 1045;;
+let _PPC_INS_TWGTI = 1046;;
+let _PPC_INS_TWNEI = 1047;;
+let _PPC_INS_TWLLTI = 1048;;
+let _PPC_INS_TWLGTI = 1049;;
+let _PPC_INS_TWUI = 1050;;
+let _PPC_INS_WAITRSV = 1051;;
+let _PPC_INS_WAITIMPL = 1052;;
+let _PPC_INS_XNOP = 1053;;
+let _PPC_INS_XVMOVDP = 1054;;
+let _PPC_INS_XVMOVSP = 1055;;
+let _PPC_INS_XXSPLTD = 1056;;
+let _PPC_INS_XXMRGHD = 1057;;
+let _PPC_INS_XXMRGLD = 1058;;
+let _PPC_INS_XXSWAPD = 1059;;
+let _PPC_INS_BT = 1060;;
+let _PPC_INS_BF = 1061;;
+let _PPC_INS_BDNZT = 1062;;
+let _PPC_INS_BDNZF = 1063;;
+let _PPC_INS_BDZF = 1064;;
+let _PPC_INS_BDZT = 1065;;
+let _PPC_INS_BFA = 1066;;
+let _PPC_INS_BDNZTA = 1067;;
+let _PPC_INS_BDNZFA = 1068;;
+let _PPC_INS_BDZTA = 1069;;
+let _PPC_INS_BDZFA = 1070;;
+let _PPC_INS_BTCTR = 1071;;
+let _PPC_INS_BFCTR = 1072;;
+let _PPC_INS_BTCTRL = 1073;;
+let _PPC_INS_BFCTRL = 1074;;
+let _PPC_INS_BTL = 1075;;
+let _PPC_INS_BFL = 1076;;
+let _PPC_INS_BDNZTL = 1077;;
+let _PPC_INS_BDNZFL = 1078;;
+let _PPC_INS_BDZTL = 1079;;
+let _PPC_INS_BDZFL = 1080;;
+let _PPC_INS_BTLA = 1081;;
+let _PPC_INS_BFLA = 1082;;
+let _PPC_INS_BDNZTLA = 1083;;
+let _PPC_INS_BDNZFLA = 1084;;
+let _PPC_INS_BDZTLA = 1085;;
+let _PPC_INS_BDZFLA = 1086;;
+let _PPC_INS_BTLR = 1087;;
+let _PPC_INS_BFLR = 1088;;
+let _PPC_INS_BDNZTLR = 1089;;
+let _PPC_INS_BDZTLR = 1090;;
+let _PPC_INS_BDZFLR = 1091;;
+let _PPC_INS_BTLRL = 1092;;
+let _PPC_INS_BFLRL = 1093;;
+let _PPC_INS_BDNZTLRL = 1094;;
+let _PPC_INS_BDNZFLRL = 1095;;
+let _PPC_INS_BDZTLRL = 1096;;
+let _PPC_INS_BDZFLRL = 1097;;
+let _PPC_INS_QVFAND = 1098;;
+let _PPC_INS_QVFCLR = 1099;;
+let _PPC_INS_QVFANDC = 1100;;
+let _PPC_INS_QVFCTFB = 1101;;
+let _PPC_INS_QVFXOR = 1102;;
+let _PPC_INS_QVFOR = 1103;;
+let _PPC_INS_QVFNOR = 1104;;
+let _PPC_INS_QVFEQU = 1105;;
+let _PPC_INS_QVFNOT = 1106;;
+let _PPC_INS_QVFORC = 1107;;
+let _PPC_INS_QVFNAND = 1108;;
+let _PPC_INS_QVFSET = 1109;;
+let _PPC_INS_ENDING = 1110;;
 
 let _PPC_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _PPC_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
 let _PPC_GRP_ALTIVEC = 128;;
 let _PPC_GRP_MODE32 = 129;;
 let _PPC_GRP_MODE64 = 130;;
@@ -1166,4 +1358,8 @@ let _PPC_GRP_VSX = 134;;
 let _PPC_GRP_E500 = 135;;
 let _PPC_GRP_PPC4XX = 136;;
 let _PPC_GRP_PPC6XX = 137;;
-let _PPC_GRP_ENDING = 138;;
+let _PPC_GRP_ICBT = 138;;
+let _PPC_GRP_P8ALTIVEC = 139;;
+let _PPC_GRP_P8VECTOR = 140;;
+let _PPC_GRP_QPX = 141;;
+let _PPC_GRP_ENDING = 142;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/sparc_const.ml 4.0.2-3/bindings/ocaml/sparc_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/sparc_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/sparc_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,6 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [sparc_const.ml] *)
 
-(* Enums corresponding to Sparc condition codes, both icc's and fcc's. *)
-
 let _SPARC_CC_INVALID = 0;;
-
-(* Integer condition codes *)
 let _SPARC_CC_ICC_A = 8+256;;
 let _SPARC_CC_ICC_N = 0+256;;
 let _SPARC_CC_ICC_NE = 9+256;;
@@ -21,8 +17,6 @@ let _SPARC_CC_ICC_POS = 14+256;;
 let _SPARC_CC_ICC_NEG = 6+256;;
 let _SPARC_CC_ICC_VC = 15+256;;
 let _SPARC_CC_ICC_VS = 7+256;;
-
-(* Floating condition codes *)
 let _SPARC_CC_FCC_A = 8+16+256;;
 let _SPARC_CC_FCC_N = 0+16+256;;
 let _SPARC_CC_FCC_U = 7+16+256;;
@@ -40,22 +34,16 @@ let _SPARC_CC_FCC_LE = 13+16+256;;
 let _SPARC_CC_FCC_ULE = 14+16+256;;
 let _SPARC_CC_FCC_O = 15+16+256;;
 
-(* Branch hint *)
-
 let _SPARC_HINT_INVALID = 0;;
 let _SPARC_HINT_A = 1 lsl 0;;
 let _SPARC_HINT_PT = 1 lsl 1;;
 let _SPARC_HINT_PN = 1 lsl 2;;
 
-(* Operand type for instruction's operands *)
-
 let _SPARC_OP_INVALID = 0;;
 let _SPARC_OP_REG = 1;;
 let _SPARC_OP_IMM = 2;;
 let _SPARC_OP_MEM = 3;;
 
-(* SPARC registers *)
-
 let _SPARC_REG_INVALID = 0;;
 let _SPARC_REG_F0 = 1;;
 let _SPARC_REG_F1 = 2;;
@@ -148,8 +136,6 @@ let _SPARC_REG_ENDING = 88;;
 let _SPARC_REG_O6 = _SPARC_REG_SP;;
 let _SPARC_REG_I6 = _SPARC_REG_FP;;
 
-(* SPARC instruction *)
-
 let _SPARC_INS_INVALID = 0;;
 let _SPARC_INS_ADDCC = 1;;
 let _SPARC_INS_ADDX = 2;;
@@ -431,14 +417,8 @@ let _SPARC_INS_RET = 277;;
 let _SPARC_INS_RETL = 278;;
 let _SPARC_INS_ENDING = 279;;
 
-(* Group of SPARC instructions *)
-
 let _SPARC_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _SPARC_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
 let _SPARC_GRP_HARDQUAD = 128;;
 let _SPARC_GRP_V9 = 129;;
 let _SPARC_GRP_VIS = 130;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/sysz_const.ml 4.0.2-3/bindings/ocaml/sysz_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/sysz_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/sysz_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [sysz_const.ml] *)
 
-(* Enums corresponding to SystemZ condition codes *)
-
 let _SYSZ_CC_INVALID = 0;;
 let _SYSZ_CC_O = 1;;
 let _SYSZ_CC_H = 2;;
@@ -18,16 +16,12 @@ let _SYSZ_CC_LE = 12;;
 let _SYSZ_CC_NH = 13;;
 let _SYSZ_CC_NO = 14;;
 
-(* Operand type for instruction's operands *)
-
 let _SYSZ_OP_INVALID = 0;;
 let _SYSZ_OP_REG = 1;;
 let _SYSZ_OP_IMM = 2;;
 let _SYSZ_OP_MEM = 3;;
 let _SYSZ_OP_ACREG = 64;;
 
-(* SystemZ registers *)
-
 let _SYSZ_REG_INVALID = 0;;
 let _SYSZ_REG_0 = 1;;
 let _SYSZ_REG_1 = 2;;
@@ -65,8 +59,6 @@ let _SYSZ_REG_F15 = 33;;
 let _SYSZ_REG_R0L = 34;;
 let _SYSZ_REG_ENDING = 35;;
 
-(* SystemZ instruction *)
-
 let _SYSZ_INS_INVALID = 0;;
 let _SYSZ_INS_A = 1;;
 let _SYSZ_INS_ADB = 2;;
@@ -751,14 +743,8 @@ let _SYSZ_INS_XRK = 680;;
 let _SYSZ_INS_XY = 681;;
 let _SYSZ_INS_ENDING = 682;;
 
-(* Group of SystemZ instructions *)
-
 let _SYSZ_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _SYSZ_GRP_JUMP = 1;;
-
-(* Architecture-specific groups *)
 let _SYSZ_GRP_DISTINCTOPS = 128;;
 let _SYSZ_GRP_FPEXTENSION = 129;;
 let _SYSZ_GRP_HIGHWORD = 130;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/test_arm.ml 4.0.2-3/bindings/ocaml/test_arm.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/test_arm.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/test_arm.ml	2020-05-08 10:03:30.000000000 +0000
@@ -46,6 +46,8 @@ let print_op handle i op =
 			printf "\t\t\toperands[%u].mem.scale: %d\n" i mem.scale;
 		if mem.disp != 0 then
 			printf "\t\t\toperands[%u].mem.disp: 0x%x\n" i mem.disp;
+		if mem.lshift != 0 then
+			printf "\t\t\toperands[%u].mem.lshift: 0x%x\n" i mem.lshift;
 		);
 	| ARM_OP_SETEND sd -> printf "\t\top[%d]: SETEND = %u\n" i sd;
 	);
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/test_m680x.ml 4.0.2-3/bindings/ocaml/test_m680x.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/test_m680x.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/test_m680x.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,167 @@
+(* Capstone Disassembly Engine
+* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 *)
+
+open Printf
+open Capstone
+open M680x
+open M680x_const
+
+
+let print_char_hex ch =
+	printf " 0x%02x" (Char.code ch)
+
+let print_int_hex_short value =
+	printf "%02x" value
+
+let print_string_hex comment str =
+	printf "%s" comment;
+	String.iter print_char_hex str;
+	printf "\n"
+
+let print_array_hex_short arr =
+	Array.iter print_int_hex_short arr
+
+let s_access = [
+	"UNCHANGED"; "READ"; "WRITE"; "READ | WRITE" ];;
+
+let _M6800_CODE = "\x01\x09\x36\x64\x7f\x74\x10\x00\x90\x10\xA4\x10\xb6\x10\x00\x39";;
+let _M6801_CODE = "\x04\x05\x3c\x3d\x38\x93\x10\xec\x10\xed\x10\x39";;
+let _M6805_CODE = "\x04\x7f\x00\x17\x22\x28\x00\x2e\x00\x40\x42\x5a\x70\x8e\x97\x9c\xa0\x15\xad\x00\xc3\x10\x00\xda\x12\x34\xe5\x7f\xfe";;
+let _M6808_CODE = "\x31\x22\x00\x35\x22\x45\x10\x00\x4b\x00\x51\x10\x52\x5e\x22\x62\x65\x12\x34\x72\x84\x85\x86\x87\x8a\x8b\x8c\x94\x95\xa7\x10\xaf\x10\x9e\x60\x7f\x9e\x6b\x7f\x00\x9e\xd6\x10\x00\x9e\xe6\x7f";;
+let _HD6301_CODE = "\x6b\x10\x00\x71\x10\x00\x72\x10\x10\x39";;
+let _M6809_CODE = "\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39\xA6\x07\xA6\x27\xA6\x47\xA6\x67\xA6\x0F\xA6\x10\xA6\x80\xA6\x81\xA6\x82\xA6\x83\xA6\x84\xA6\x85\xA6\x86\xA6\x88\x7F\xA6\x88\x80\xA6\x89\x7F\xFF\xA6\x89\x80\x00\xA6\x8B\xA6\x8C\x10\xA6\x8D\x10\x00\xA6\x91\xA6\x93\xA6\x94\xA6\x95\xA6\x96\xA6\x98\x7F\xA6\x98\x80\xA6\x99\x7F\xFF\xA6\x99\x80\x00\xA6\x9B\xA6\x9C\x10\xA6\x9D\x10\x00\xA6\x9F\x10\x00";;
+let _HD6309_CODE = "\x01\x10\x10\x62\x10\x10\x7b\x10\x10\x00\xcd\x49\x96\x02\xd2\x10\x30\x23\x10\x38\x10\x3b\x10\x53\x10\x5d\x11\x30\x43\x10\x11\x37\x25\x10\x11\x38\x12\x11\x39\x23\x11\x3b\x34\x11\x8e\x10\x00\x11\xaf\x10\x11\xab\x10\x11\xf6\x80\x00";;
+let _M6811_CODE = "\x02\x03\x12\x7f\x10\x00\x13\x99\x08\x00\x14\x7f\x02\x15\x7f\x01\x1e\x7f\x20\x00\x8f\xcf\x18\x08\x18\x30\x18\x3c\x18\x67\x18\x8c\x10\x00\x18\x8f\x18\xce\x10\x00\x18\xff\x10\x00\x1a\xa3\x7f\x1a\xac\x1a\xee\x7f\x1a\xef\x7f\xcd\xac\x7f";;
+let _CPU12_CODE = "\x00\x04\x01\x00\x0c\x00\x80\x0e\x00\x80\x00\x11\x1e\x10\x00\x80\x00\x3b\x4a\x10\x00\x04\x4b\x01\x04\x4f\x7f\x80\x00\x8f\x10\x00\xb7\x52\xb7\xb1\xa6\x67\xa6\xfe\xa6\xf7\x18\x02\xe2\x30\x39\xe2\x10\x00\x18\x0c\x30\x39\x10\x00\x18\x11\x18\x12\x10\x00\x18\x19\x00\x18\x1e\x00\x18\x3e\x18\x3f\x00";;
+let _HCS08_CODE = "\x32\x10\x00\x9e\xae\x9e\xce\x7f\x9e\xbe\x10\x00\x9e\xfe\x7f\x3e\x10\x00\x9e\xf3\x7f\x96\x10\x00\x9e\xff\x7f\x82";;
+
+let bit_set value mask =
+	value land mask != 0
+
+let all_tests = [
+        (CS_ARCH_M680X, [CS_MODE_M680X_6301], _HD6301_CODE, "M680X_HD6301");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6309], _HD6309_CODE, "M680X_HD6309");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6800], _M6800_CODE, "M680X_M6800");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6801], _M6801_CODE, "M680X_M6801");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6805], _M6805_CODE, "M680X_M68HC05");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6808], _M6808_CODE, "M680X_M68HC08");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6809], _M6809_CODE, "M680X_M6809");
+        (CS_ARCH_M680X, [CS_MODE_M680X_6811], _M6811_CODE, "M680X_M68HC11");
+        (CS_ARCH_M680X, [CS_MODE_M680X_CPU12], _CPU12_CODE, "M680X_CPU12");
+        (CS_ARCH_M680X, [CS_MODE_M680X_HCS08], _HCS08_CODE, "M680X_HCS08");
+];;
+
+let print_inc_dec inc_dec is_post = (
+	printf "\t\t\t";
+	if is_post then printf "post" else printf "pre";
+	if inc_dec > 0 then
+		printf " increment: %d\n" inc_dec
+	else
+		printf " decrement: %d\n" (abs inc_dec);
+	);
+	();;
+
+let print_op handle flags i op =
+	( match op.value with
+	| M680X_OP_INVALID _ -> ();	(* this would never happens *)
+	| M680X_OP_REGISTER reg -> (
+		printf "\t\toperands[%d].type: REGISTER = %s" i (cs_reg_name handle reg);
+		if (((i == 0) && (bit_set flags _M680X_FIRST_OP_IN_MNEM)) ||
+		    ((i == 1) && (bit_set flags _M680X_SECOND_OP_IN_MNEM))) then
+			printf " (in mnemonic)";
+		printf "\n";
+		);
+	| M680X_OP_IMMEDIATE imm ->
+		printf "\t\toperands[%d].type: IMMEDIATE = #%d\n" i imm;
+	| M680X_OP_DIRECT direct_addr ->
+		printf "\t\toperands[%d].type: DIRECT = 0x%02x\n" i direct_addr;
+	| M680X_OP_EXTENDED ext -> (
+		printf "\t\toperands[%d].type: EXTENDED " i;
+		if ext.indirect then
+			printf "INDIRECT";
+		printf " = 0x%04x\n" ext.addr_ext;
+		);
+	| M680X_OP_RELATIVE rel ->
+		printf "\t\toperands[%d].type: RELATIVE = 0x%04x\n" i rel.addr_rel;
+	| M680X_OP_INDEXED idx -> (
+		printf "\t\toperands[%d].type: INDEXED" i;
+		if (bit_set idx.flags _M680X_IDX_INDIRECT) then
+			printf " INDIRECT";
+		printf "\n";
+		if idx.base_reg != _M680X_REG_INVALID then
+			printf "\t\t\tbase register: %s\n" (cs_reg_name handle idx.base_reg);
+		if idx.offset_reg != _M680X_REG_INVALID then
+			printf "\t\t\toffset register: %s\n" (cs_reg_name handle idx.offset_reg);
+		if idx.offset_bits != 0 && idx.offset_reg == 0 && idx.inc_dec == 0 then begin
+			printf "\t\t\toffset: %d\n" idx.offset;
+			if idx.base_reg == _M680X_REG_PC then
+				printf "\t\t\toffset address: 0x%x\n" idx.offset_addr;
+			printf "\t\t\toffset bits: %u\n" idx.offset_bits;
+		end;
+		if idx.inc_dec != 0 then
+			print_inc_dec idx.inc_dec (bit_set idx.flags _M680X_IDX_POST_INC_DEC);
+		);
+	| M680X_OP_CONSTANT const_val ->
+		printf "\t\toperands[%d].type: CONSTANT = %d\n" i const_val;
+	);
+
+	if op.size != 0 then
+		printf "\t\t\tsize: %d\n" op.size;
+	if op.access != _CS_AC_INVALID then
+		printf "\t\t\taccess: %s\n" (List.nth s_access op.access);
+	();;
+
+
+let print_detail handle insn =
+	match insn.arch with
+	| CS_INFO_M680X m680x -> (
+			(* print all operands info (type & value) *)
+			if (Array.length m680x.operands) > 0 then (
+				printf "\top_count: %d\n" (Array.length m680x.operands);
+				Array.iteri (print_op handle m680x.flags) m680x.operands;
+			);
+			);
+	| _ -> ();
+	;;
+
+let print_reg handle reg =
+	printf " %s" (cs_reg_name handle reg)
+
+let print_insn handle insn =
+	printf "0x%04x:\t" insn.address;
+	print_array_hex_short insn.bytes;
+	printf "\t%s\t%s\n" insn.mnemonic insn.op_str;
+	print_detail handle insn;
+	if (Array.length insn.regs_read) > 0 then begin
+		printf "\tRegisters read:";
+		Array.iter (print_reg handle) insn.regs_read;
+		printf "\n";
+	end;
+	if (Array.length insn.regs_write) > 0 then begin
+		printf "\tRegisters modified:";
+		Array.iter (print_reg handle) insn.regs_write;
+		printf "\n";
+	end;
+	if (Array.length insn.groups) > 0 then
+		printf "\tgroups_count: %d\n" (Array.length insn.groups);
+	printf "\n"
+
+let print_arch x =
+	let (arch, mode, code, comment) = x in
+		let handle = cs_open arch mode in
+		let err = cs_option handle CS_OPT_DETAIL _CS_OPT_ON in
+		match err with
+		| _ -> ();
+		let insns = cs_disasm handle code 0x1000L 0L in
+			printf "********************\n";
+			printf "Platform: %s\n" comment;
+			print_string_hex "Code: " code;
+			printf "Disasm:\n";
+			List.iter (print_insn handle) insns;
+		match cs_close handle with
+		| 0 -> ();
+		| _ -> printf "Failed to close handle";
+		;;
+
+List.iter print_arch all_tests;;
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/test_x86.ml 4.0.2-3/bindings/ocaml/test_x86.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/test_x86.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/test_x86.ml	2020-05-08 10:03:30.000000000 +0000
@@ -30,10 +30,9 @@ let all_tests = [
 let print_op handle i op =
 	( match op.value with
 	| X86_OP_INVALID _ -> ();	(* this would never happens *)
-	| X86_OP_REG reg -> printf "\t\top[%d]: REG = %s\n" i (cs_reg_name handle reg);
-	| X86_OP_IMM imm -> printf "\t\top[%d]: IMM = 0x%x\n" i imm;
-	| X86_OP_FP fp -> printf "\t\top[%d]: FP = %f\n" i fp;
-	| X86_OP_MEM mem -> ( printf "\t\top[%d]: MEM\n" i;
+	| X86_OP_REG reg -> printf "\t\top[%d]: REG = %s  [sz=%d]\n" i (cs_reg_name handle reg) op.size;
+	| X86_OP_IMM imm -> printf "\t\top[%d]: IMM = 0x%x  [sz=%d]\n" i imm op.size;
+	| X86_OP_MEM mem -> ( printf "\t\top[%d]: MEM  [sz=%d]\n" i op.size;
 		if mem.base != 0 then
 			printf "\t\t\toperands[%u].mem.base: REG = %s\n" i (cs_reg_name handle  mem.base);
 		if mem.index != 0 then
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/tms320c64x_const.ml 4.0.2-3/bindings/ocaml/tms320c64x_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/tms320c64x_const.ml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/tms320c64x_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,277 @@
+(* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [tms320c64x_const.ml] *)
+
+let _TMS320C64X_OP_INVALID = 0;;
+let _TMS320C64X_OP_REG = 1;;
+let _TMS320C64X_OP_IMM = 2;;
+let _TMS320C64X_OP_MEM = 3;;
+let _TMS320C64X_OP_REGPAIR = 64;;
+
+let _TMS320C64X_MEM_DISP_INVALID = 0;;
+let _TMS320C64X_MEM_DISP_CONSTANT = 1;;
+let _TMS320C64X_MEM_DISP_REGISTER = 2;;
+
+let _TMS320C64X_MEM_DIR_INVALID = 0;;
+let _TMS320C64X_MEM_DIR_FW = 1;;
+let _TMS320C64X_MEM_DIR_BW = 2;;
+
+let _TMS320C64X_MEM_MOD_INVALID = 0;;
+let _TMS320C64X_MEM_MOD_NO = 1;;
+let _TMS320C64X_MEM_MOD_PRE = 2;;
+let _TMS320C64X_MEM_MOD_POST = 3;;
+
+let _TMS320C64X_REG_INVALID = 0;;
+let _TMS320C64X_REG_AMR = 1;;
+let _TMS320C64X_REG_CSR = 2;;
+let _TMS320C64X_REG_DIER = 3;;
+let _TMS320C64X_REG_DNUM = 4;;
+let _TMS320C64X_REG_ECR = 5;;
+let _TMS320C64X_REG_GFPGFR = 6;;
+let _TMS320C64X_REG_GPLYA = 7;;
+let _TMS320C64X_REG_GPLYB = 8;;
+let _TMS320C64X_REG_ICR = 9;;
+let _TMS320C64X_REG_IER = 10;;
+let _TMS320C64X_REG_IERR = 11;;
+let _TMS320C64X_REG_ILC = 12;;
+let _TMS320C64X_REG_IRP = 13;;
+let _TMS320C64X_REG_ISR = 14;;
+let _TMS320C64X_REG_ISTP = 15;;
+let _TMS320C64X_REG_ITSR = 16;;
+let _TMS320C64X_REG_NRP = 17;;
+let _TMS320C64X_REG_NTSR = 18;;
+let _TMS320C64X_REG_REP = 19;;
+let _TMS320C64X_REG_RILC = 20;;
+let _TMS320C64X_REG_SSR = 21;;
+let _TMS320C64X_REG_TSCH = 22;;
+let _TMS320C64X_REG_TSCL = 23;;
+let _TMS320C64X_REG_TSR = 24;;
+let _TMS320C64X_REG_A0 = 25;;
+let _TMS320C64X_REG_A1 = 26;;
+let _TMS320C64X_REG_A2 = 27;;
+let _TMS320C64X_REG_A3 = 28;;
+let _TMS320C64X_REG_A4 = 29;;
+let _TMS320C64X_REG_A5 = 30;;
+let _TMS320C64X_REG_A6 = 31;;
+let _TMS320C64X_REG_A7 = 32;;
+let _TMS320C64X_REG_A8 = 33;;
+let _TMS320C64X_REG_A9 = 34;;
+let _TMS320C64X_REG_A10 = 35;;
+let _TMS320C64X_REG_A11 = 36;;
+let _TMS320C64X_REG_A12 = 37;;
+let _TMS320C64X_REG_A13 = 38;;
+let _TMS320C64X_REG_A14 = 39;;
+let _TMS320C64X_REG_A15 = 40;;
+let _TMS320C64X_REG_A16 = 41;;
+let _TMS320C64X_REG_A17 = 42;;
+let _TMS320C64X_REG_A18 = 43;;
+let _TMS320C64X_REG_A19 = 44;;
+let _TMS320C64X_REG_A20 = 45;;
+let _TMS320C64X_REG_A21 = 46;;
+let _TMS320C64X_REG_A22 = 47;;
+let _TMS320C64X_REG_A23 = 48;;
+let _TMS320C64X_REG_A24 = 49;;
+let _TMS320C64X_REG_A25 = 50;;
+let _TMS320C64X_REG_A26 = 51;;
+let _TMS320C64X_REG_A27 = 52;;
+let _TMS320C64X_REG_A28 = 53;;
+let _TMS320C64X_REG_A29 = 54;;
+let _TMS320C64X_REG_A30 = 55;;
+let _TMS320C64X_REG_A31 = 56;;
+let _TMS320C64X_REG_B0 = 57;;
+let _TMS320C64X_REG_B1 = 58;;
+let _TMS320C64X_REG_B2 = 59;;
+let _TMS320C64X_REG_B3 = 60;;
+let _TMS320C64X_REG_B4 = 61;;
+let _TMS320C64X_REG_B5 = 62;;
+let _TMS320C64X_REG_B6 = 63;;
+let _TMS320C64X_REG_B7 = 64;;
+let _TMS320C64X_REG_B8 = 65;;
+let _TMS320C64X_REG_B9 = 66;;
+let _TMS320C64X_REG_B10 = 67;;
+let _TMS320C64X_REG_B11 = 68;;
+let _TMS320C64X_REG_B12 = 69;;
+let _TMS320C64X_REG_B13 = 70;;
+let _TMS320C64X_REG_B14 = 71;;
+let _TMS320C64X_REG_B15 = 72;;
+let _TMS320C64X_REG_B16 = 73;;
+let _TMS320C64X_REG_B17 = 74;;
+let _TMS320C64X_REG_B18 = 75;;
+let _TMS320C64X_REG_B19 = 76;;
+let _TMS320C64X_REG_B20 = 77;;
+let _TMS320C64X_REG_B21 = 78;;
+let _TMS320C64X_REG_B22 = 79;;
+let _TMS320C64X_REG_B23 = 80;;
+let _TMS320C64X_REG_B24 = 81;;
+let _TMS320C64X_REG_B25 = 82;;
+let _TMS320C64X_REG_B26 = 83;;
+let _TMS320C64X_REG_B27 = 84;;
+let _TMS320C64X_REG_B28 = 85;;
+let _TMS320C64X_REG_B29 = 86;;
+let _TMS320C64X_REG_B30 = 87;;
+let _TMS320C64X_REG_B31 = 88;;
+let _TMS320C64X_REG_PCE1 = 89;;
+let _TMS320C64X_REG_ENDING = 90;;
+let _TMS320C64X_REG_EFR = _TMS320C64X_REG_ECR;;
+let _TMS320C64X_REG_IFR = _TMS320C64X_REG_ISR;;
+
+let _TMS320C64X_INS_INVALID = 0;;
+let _TMS320C64X_INS_ABS = 1;;
+let _TMS320C64X_INS_ABS2 = 2;;
+let _TMS320C64X_INS_ADD = 3;;
+let _TMS320C64X_INS_ADD2 = 4;;
+let _TMS320C64X_INS_ADD4 = 5;;
+let _TMS320C64X_INS_ADDAB = 6;;
+let _TMS320C64X_INS_ADDAD = 7;;
+let _TMS320C64X_INS_ADDAH = 8;;
+let _TMS320C64X_INS_ADDAW = 9;;
+let _TMS320C64X_INS_ADDK = 10;;
+let _TMS320C64X_INS_ADDKPC = 11;;
+let _TMS320C64X_INS_ADDU = 12;;
+let _TMS320C64X_INS_AND = 13;;
+let _TMS320C64X_INS_ANDN = 14;;
+let _TMS320C64X_INS_AVG2 = 15;;
+let _TMS320C64X_INS_AVGU4 = 16;;
+let _TMS320C64X_INS_B = 17;;
+let _TMS320C64X_INS_BDEC = 18;;
+let _TMS320C64X_INS_BITC4 = 19;;
+let _TMS320C64X_INS_BNOP = 20;;
+let _TMS320C64X_INS_BPOS = 21;;
+let _TMS320C64X_INS_CLR = 22;;
+let _TMS320C64X_INS_CMPEQ = 23;;
+let _TMS320C64X_INS_CMPEQ2 = 24;;
+let _TMS320C64X_INS_CMPEQ4 = 25;;
+let _TMS320C64X_INS_CMPGT = 26;;
+let _TMS320C64X_INS_CMPGT2 = 27;;
+let _TMS320C64X_INS_CMPGTU4 = 28;;
+let _TMS320C64X_INS_CMPLT = 29;;
+let _TMS320C64X_INS_CMPLTU = 30;;
+let _TMS320C64X_INS_DEAL = 31;;
+let _TMS320C64X_INS_DOTP2 = 32;;
+let _TMS320C64X_INS_DOTPN2 = 33;;
+let _TMS320C64X_INS_DOTPNRSU2 = 34;;
+let _TMS320C64X_INS_DOTPRSU2 = 35;;
+let _TMS320C64X_INS_DOTPSU4 = 36;;
+let _TMS320C64X_INS_DOTPU4 = 37;;
+let _TMS320C64X_INS_EXT = 38;;
+let _TMS320C64X_INS_EXTU = 39;;
+let _TMS320C64X_INS_GMPGTU = 40;;
+let _TMS320C64X_INS_GMPY4 = 41;;
+let _TMS320C64X_INS_LDB = 42;;
+let _TMS320C64X_INS_LDBU = 43;;
+let _TMS320C64X_INS_LDDW = 44;;
+let _TMS320C64X_INS_LDH = 45;;
+let _TMS320C64X_INS_LDHU = 46;;
+let _TMS320C64X_INS_LDNDW = 47;;
+let _TMS320C64X_INS_LDNW = 48;;
+let _TMS320C64X_INS_LDW = 49;;
+let _TMS320C64X_INS_LMBD = 50;;
+let _TMS320C64X_INS_MAX2 = 51;;
+let _TMS320C64X_INS_MAXU4 = 52;;
+let _TMS320C64X_INS_MIN2 = 53;;
+let _TMS320C64X_INS_MINU4 = 54;;
+let _TMS320C64X_INS_MPY = 55;;
+let _TMS320C64X_INS_MPY2 = 56;;
+let _TMS320C64X_INS_MPYH = 57;;
+let _TMS320C64X_INS_MPYHI = 58;;
+let _TMS320C64X_INS_MPYHIR = 59;;
+let _TMS320C64X_INS_MPYHL = 60;;
+let _TMS320C64X_INS_MPYHLU = 61;;
+let _TMS320C64X_INS_MPYHSLU = 62;;
+let _TMS320C64X_INS_MPYHSU = 63;;
+let _TMS320C64X_INS_MPYHU = 64;;
+let _TMS320C64X_INS_MPYHULS = 65;;
+let _TMS320C64X_INS_MPYHUS = 66;;
+let _TMS320C64X_INS_MPYLH = 67;;
+let _TMS320C64X_INS_MPYLHU = 68;;
+let _TMS320C64X_INS_MPYLI = 69;;
+let _TMS320C64X_INS_MPYLIR = 70;;
+let _TMS320C64X_INS_MPYLSHU = 71;;
+let _TMS320C64X_INS_MPYLUHS = 72;;
+let _TMS320C64X_INS_MPYSU = 73;;
+let _TMS320C64X_INS_MPYSU4 = 74;;
+let _TMS320C64X_INS_MPYU = 75;;
+let _TMS320C64X_INS_MPYU4 = 76;;
+let _TMS320C64X_INS_MPYUS = 77;;
+let _TMS320C64X_INS_MVC = 78;;
+let _TMS320C64X_INS_MVD = 79;;
+let _TMS320C64X_INS_MVK = 80;;
+let _TMS320C64X_INS_MVKL = 81;;
+let _TMS320C64X_INS_MVKLH = 82;;
+let _TMS320C64X_INS_NOP = 83;;
+let _TMS320C64X_INS_NORM = 84;;
+let _TMS320C64X_INS_OR = 85;;
+let _TMS320C64X_INS_PACK2 = 86;;
+let _TMS320C64X_INS_PACKH2 = 87;;
+let _TMS320C64X_INS_PACKH4 = 88;;
+let _TMS320C64X_INS_PACKHL2 = 89;;
+let _TMS320C64X_INS_PACKL4 = 90;;
+let _TMS320C64X_INS_PACKLH2 = 91;;
+let _TMS320C64X_INS_ROTL = 92;;
+let _TMS320C64X_INS_SADD = 93;;
+let _TMS320C64X_INS_SADD2 = 94;;
+let _TMS320C64X_INS_SADDU4 = 95;;
+let _TMS320C64X_INS_SADDUS2 = 96;;
+let _TMS320C64X_INS_SAT = 97;;
+let _TMS320C64X_INS_SET = 98;;
+let _TMS320C64X_INS_SHFL = 99;;
+let _TMS320C64X_INS_SHL = 100;;
+let _TMS320C64X_INS_SHLMB = 101;;
+let _TMS320C64X_INS_SHR = 102;;
+let _TMS320C64X_INS_SHR2 = 103;;
+let _TMS320C64X_INS_SHRMB = 104;;
+let _TMS320C64X_INS_SHRU = 105;;
+let _TMS320C64X_INS_SHRU2 = 106;;
+let _TMS320C64X_INS_SMPY = 107;;
+let _TMS320C64X_INS_SMPY2 = 108;;
+let _TMS320C64X_INS_SMPYH = 109;;
+let _TMS320C64X_INS_SMPYHL = 110;;
+let _TMS320C64X_INS_SMPYLH = 111;;
+let _TMS320C64X_INS_SPACK2 = 112;;
+let _TMS320C64X_INS_SPACKU4 = 113;;
+let _TMS320C64X_INS_SSHL = 114;;
+let _TMS320C64X_INS_SSHVL = 115;;
+let _TMS320C64X_INS_SSHVR = 116;;
+let _TMS320C64X_INS_SSUB = 117;;
+let _TMS320C64X_INS_STB = 118;;
+let _TMS320C64X_INS_STDW = 119;;
+let _TMS320C64X_INS_STH = 120;;
+let _TMS320C64X_INS_STNDW = 121;;
+let _TMS320C64X_INS_STNW = 122;;
+let _TMS320C64X_INS_STW = 123;;
+let _TMS320C64X_INS_SUB = 124;;
+let _TMS320C64X_INS_SUB2 = 125;;
+let _TMS320C64X_INS_SUB4 = 126;;
+let _TMS320C64X_INS_SUBAB = 127;;
+let _TMS320C64X_INS_SUBABS4 = 128;;
+let _TMS320C64X_INS_SUBAH = 129;;
+let _TMS320C64X_INS_SUBAW = 130;;
+let _TMS320C64X_INS_SUBC = 131;;
+let _TMS320C64X_INS_SUBU = 132;;
+let _TMS320C64X_INS_SWAP4 = 133;;
+let _TMS320C64X_INS_UNPKHU4 = 134;;
+let _TMS320C64X_INS_UNPKLU4 = 135;;
+let _TMS320C64X_INS_XOR = 136;;
+let _TMS320C64X_INS_XPND2 = 137;;
+let _TMS320C64X_INS_XPND4 = 138;;
+let _TMS320C64X_INS_IDLE = 139;;
+let _TMS320C64X_INS_MV = 140;;
+let _TMS320C64X_INS_NEG = 141;;
+let _TMS320C64X_INS_NOT = 142;;
+let _TMS320C64X_INS_SWAP2 = 143;;
+let _TMS320C64X_INS_ZERO = 144;;
+let _TMS320C64X_INS_ENDING = 145;;
+
+let _TMS320C64X_GRP_INVALID = 0;;
+let _TMS320C64X_GRP_JUMP = 1;;
+let _TMS320C64X_GRP_FUNIT_D = 128;;
+let _TMS320C64X_GRP_FUNIT_L = 129;;
+let _TMS320C64X_GRP_FUNIT_M = 130;;
+let _TMS320C64X_GRP_FUNIT_S = 131;;
+let _TMS320C64X_GRP_FUNIT_NO = 132;;
+let _TMS320C64X_GRP_ENDING = 133;;
+
+let _TMS320C64X_FUNIT_INVALID = 0;;
+let _TMS320C64X_FUNIT_D = 1;;
+let _TMS320C64X_FUNIT_L = 2;;
+let _TMS320C64X_FUNIT_M = 3;;
+let _TMS320C64X_FUNIT_S = 4;;
+let _TMS320C64X_FUNIT_NO = 5;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/x86_const.ml 4.0.2-3/bindings/ocaml/x86_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/x86_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/x86_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [x86_const.ml] *)
 
-(* X86 registers *)
-
 let _X86_REG_INVALID = 0;;
 let _X86_REG_AH = 1;;
 let _X86_REG_AL = 2;;
@@ -76,177 +74,269 @@ let _X86_REG_DR4 = 70;;
 let _X86_REG_DR5 = 71;;
 let _X86_REG_DR6 = 72;;
 let _X86_REG_DR7 = 73;;
-let _X86_REG_FP0 = 74;;
-let _X86_REG_FP1 = 75;;
-let _X86_REG_FP2 = 76;;
-let _X86_REG_FP3 = 77;;
-let _X86_REG_FP4 = 78;;
-let _X86_REG_FP5 = 79;;
-let _X86_REG_FP6 = 80;;
-let _X86_REG_FP7 = 81;;
-let _X86_REG_K0 = 82;;
-let _X86_REG_K1 = 83;;
-let _X86_REG_K2 = 84;;
-let _X86_REG_K3 = 85;;
-let _X86_REG_K4 = 86;;
-let _X86_REG_K5 = 87;;
-let _X86_REG_K6 = 88;;
-let _X86_REG_K7 = 89;;
-let _X86_REG_MM0 = 90;;
-let _X86_REG_MM1 = 91;;
-let _X86_REG_MM2 = 92;;
-let _X86_REG_MM3 = 93;;
-let _X86_REG_MM4 = 94;;
-let _X86_REG_MM5 = 95;;
-let _X86_REG_MM6 = 96;;
-let _X86_REG_MM7 = 97;;
-let _X86_REG_R8 = 98;;
-let _X86_REG_R9 = 99;;
-let _X86_REG_R10 = 100;;
-let _X86_REG_R11 = 101;;
-let _X86_REG_R12 = 102;;
-let _X86_REG_R13 = 103;;
-let _X86_REG_R14 = 104;;
-let _X86_REG_R15 = 105;;
-let _X86_REG_ST0 = 106;;
-let _X86_REG_ST1 = 107;;
-let _X86_REG_ST2 = 108;;
-let _X86_REG_ST3 = 109;;
-let _X86_REG_ST4 = 110;;
-let _X86_REG_ST5 = 111;;
-let _X86_REG_ST6 = 112;;
-let _X86_REG_ST7 = 113;;
-let _X86_REG_XMM0 = 114;;
-let _X86_REG_XMM1 = 115;;
-let _X86_REG_XMM2 = 116;;
-let _X86_REG_XMM3 = 117;;
-let _X86_REG_XMM4 = 118;;
-let _X86_REG_XMM5 = 119;;
-let _X86_REG_XMM6 = 120;;
-let _X86_REG_XMM7 = 121;;
-let _X86_REG_XMM8 = 122;;
-let _X86_REG_XMM9 = 123;;
-let _X86_REG_XMM10 = 124;;
-let _X86_REG_XMM11 = 125;;
-let _X86_REG_XMM12 = 126;;
-let _X86_REG_XMM13 = 127;;
-let _X86_REG_XMM14 = 128;;
-let _X86_REG_XMM15 = 129;;
-let _X86_REG_XMM16 = 130;;
-let _X86_REG_XMM17 = 131;;
-let _X86_REG_XMM18 = 132;;
-let _X86_REG_XMM19 = 133;;
-let _X86_REG_XMM20 = 134;;
-let _X86_REG_XMM21 = 135;;
-let _X86_REG_XMM22 = 136;;
-let _X86_REG_XMM23 = 137;;
-let _X86_REG_XMM24 = 138;;
-let _X86_REG_XMM25 = 139;;
-let _X86_REG_XMM26 = 140;;
-let _X86_REG_XMM27 = 141;;
-let _X86_REG_XMM28 = 142;;
-let _X86_REG_XMM29 = 143;;
-let _X86_REG_XMM30 = 144;;
-let _X86_REG_XMM31 = 145;;
-let _X86_REG_YMM0 = 146;;
-let _X86_REG_YMM1 = 147;;
-let _X86_REG_YMM2 = 148;;
-let _X86_REG_YMM3 = 149;;
-let _X86_REG_YMM4 = 150;;
-let _X86_REG_YMM5 = 151;;
-let _X86_REG_YMM6 = 152;;
-let _X86_REG_YMM7 = 153;;
-let _X86_REG_YMM8 = 154;;
-let _X86_REG_YMM9 = 155;;
-let _X86_REG_YMM10 = 156;;
-let _X86_REG_YMM11 = 157;;
-let _X86_REG_YMM12 = 158;;
-let _X86_REG_YMM13 = 159;;
-let _X86_REG_YMM14 = 160;;
-let _X86_REG_YMM15 = 161;;
-let _X86_REG_YMM16 = 162;;
-let _X86_REG_YMM17 = 163;;
-let _X86_REG_YMM18 = 164;;
-let _X86_REG_YMM19 = 165;;
-let _X86_REG_YMM20 = 166;;
-let _X86_REG_YMM21 = 167;;
-let _X86_REG_YMM22 = 168;;
-let _X86_REG_YMM23 = 169;;
-let _X86_REG_YMM24 = 170;;
-let _X86_REG_YMM25 = 171;;
-let _X86_REG_YMM26 = 172;;
-let _X86_REG_YMM27 = 173;;
-let _X86_REG_YMM28 = 174;;
-let _X86_REG_YMM29 = 175;;
-let _X86_REG_YMM30 = 176;;
-let _X86_REG_YMM31 = 177;;
-let _X86_REG_ZMM0 = 178;;
-let _X86_REG_ZMM1 = 179;;
-let _X86_REG_ZMM2 = 180;;
-let _X86_REG_ZMM3 = 181;;
-let _X86_REG_ZMM4 = 182;;
-let _X86_REG_ZMM5 = 183;;
-let _X86_REG_ZMM6 = 184;;
-let _X86_REG_ZMM7 = 185;;
-let _X86_REG_ZMM8 = 186;;
-let _X86_REG_ZMM9 = 187;;
-let _X86_REG_ZMM10 = 188;;
-let _X86_REG_ZMM11 = 189;;
-let _X86_REG_ZMM12 = 190;;
-let _X86_REG_ZMM13 = 191;;
-let _X86_REG_ZMM14 = 192;;
-let _X86_REG_ZMM15 = 193;;
-let _X86_REG_ZMM16 = 194;;
-let _X86_REG_ZMM17 = 195;;
-let _X86_REG_ZMM18 = 196;;
-let _X86_REG_ZMM19 = 197;;
-let _X86_REG_ZMM20 = 198;;
-let _X86_REG_ZMM21 = 199;;
-let _X86_REG_ZMM22 = 200;;
-let _X86_REG_ZMM23 = 201;;
-let _X86_REG_ZMM24 = 202;;
-let _X86_REG_ZMM25 = 203;;
-let _X86_REG_ZMM26 = 204;;
-let _X86_REG_ZMM27 = 205;;
-let _X86_REG_ZMM28 = 206;;
-let _X86_REG_ZMM29 = 207;;
-let _X86_REG_ZMM30 = 208;;
-let _X86_REG_ZMM31 = 209;;
-let _X86_REG_R8B = 210;;
-let _X86_REG_R9B = 211;;
-let _X86_REG_R10B = 212;;
-let _X86_REG_R11B = 213;;
-let _X86_REG_R12B = 214;;
-let _X86_REG_R13B = 215;;
-let _X86_REG_R14B = 216;;
-let _X86_REG_R15B = 217;;
-let _X86_REG_R8D = 218;;
-let _X86_REG_R9D = 219;;
-let _X86_REG_R10D = 220;;
-let _X86_REG_R11D = 221;;
-let _X86_REG_R12D = 222;;
-let _X86_REG_R13D = 223;;
-let _X86_REG_R14D = 224;;
-let _X86_REG_R15D = 225;;
-let _X86_REG_R8W = 226;;
-let _X86_REG_R9W = 227;;
-let _X86_REG_R10W = 228;;
-let _X86_REG_R11W = 229;;
-let _X86_REG_R12W = 230;;
-let _X86_REG_R13W = 231;;
-let _X86_REG_R14W = 232;;
-let _X86_REG_R15W = 233;;
-let _X86_REG_ENDING = 234;;
-
-(* Operand type for instruction's operands *)
+let _X86_REG_DR8 = 74;;
+let _X86_REG_DR9 = 75;;
+let _X86_REG_DR10 = 76;;
+let _X86_REG_DR11 = 77;;
+let _X86_REG_DR12 = 78;;
+let _X86_REG_DR13 = 79;;
+let _X86_REG_DR14 = 80;;
+let _X86_REG_DR15 = 81;;
+let _X86_REG_FP0 = 82;;
+let _X86_REG_FP1 = 83;;
+let _X86_REG_FP2 = 84;;
+let _X86_REG_FP3 = 85;;
+let _X86_REG_FP4 = 86;;
+let _X86_REG_FP5 = 87;;
+let _X86_REG_FP6 = 88;;
+let _X86_REG_FP7 = 89;;
+let _X86_REG_K0 = 90;;
+let _X86_REG_K1 = 91;;
+let _X86_REG_K2 = 92;;
+let _X86_REG_K3 = 93;;
+let _X86_REG_K4 = 94;;
+let _X86_REG_K5 = 95;;
+let _X86_REG_K6 = 96;;
+let _X86_REG_K7 = 97;;
+let _X86_REG_MM0 = 98;;
+let _X86_REG_MM1 = 99;;
+let _X86_REG_MM2 = 100;;
+let _X86_REG_MM3 = 101;;
+let _X86_REG_MM4 = 102;;
+let _X86_REG_MM5 = 103;;
+let _X86_REG_MM6 = 104;;
+let _X86_REG_MM7 = 105;;
+let _X86_REG_R8 = 106;;
+let _X86_REG_R9 = 107;;
+let _X86_REG_R10 = 108;;
+let _X86_REG_R11 = 109;;
+let _X86_REG_R12 = 110;;
+let _X86_REG_R13 = 111;;
+let _X86_REG_R14 = 112;;
+let _X86_REG_R15 = 113;;
+let _X86_REG_ST0 = 114;;
+let _X86_REG_ST1 = 115;;
+let _X86_REG_ST2 = 116;;
+let _X86_REG_ST3 = 117;;
+let _X86_REG_ST4 = 118;;
+let _X86_REG_ST5 = 119;;
+let _X86_REG_ST6 = 120;;
+let _X86_REG_ST7 = 121;;
+let _X86_REG_XMM0 = 122;;
+let _X86_REG_XMM1 = 123;;
+let _X86_REG_XMM2 = 124;;
+let _X86_REG_XMM3 = 125;;
+let _X86_REG_XMM4 = 126;;
+let _X86_REG_XMM5 = 127;;
+let _X86_REG_XMM6 = 128;;
+let _X86_REG_XMM7 = 129;;
+let _X86_REG_XMM8 = 130;;
+let _X86_REG_XMM9 = 131;;
+let _X86_REG_XMM10 = 132;;
+let _X86_REG_XMM11 = 133;;
+let _X86_REG_XMM12 = 134;;
+let _X86_REG_XMM13 = 135;;
+let _X86_REG_XMM14 = 136;;
+let _X86_REG_XMM15 = 137;;
+let _X86_REG_XMM16 = 138;;
+let _X86_REG_XMM17 = 139;;
+let _X86_REG_XMM18 = 140;;
+let _X86_REG_XMM19 = 141;;
+let _X86_REG_XMM20 = 142;;
+let _X86_REG_XMM21 = 143;;
+let _X86_REG_XMM22 = 144;;
+let _X86_REG_XMM23 = 145;;
+let _X86_REG_XMM24 = 146;;
+let _X86_REG_XMM25 = 147;;
+let _X86_REG_XMM26 = 148;;
+let _X86_REG_XMM27 = 149;;
+let _X86_REG_XMM28 = 150;;
+let _X86_REG_XMM29 = 151;;
+let _X86_REG_XMM30 = 152;;
+let _X86_REG_XMM31 = 153;;
+let _X86_REG_YMM0 = 154;;
+let _X86_REG_YMM1 = 155;;
+let _X86_REG_YMM2 = 156;;
+let _X86_REG_YMM3 = 157;;
+let _X86_REG_YMM4 = 158;;
+let _X86_REG_YMM5 = 159;;
+let _X86_REG_YMM6 = 160;;
+let _X86_REG_YMM7 = 161;;
+let _X86_REG_YMM8 = 162;;
+let _X86_REG_YMM9 = 163;;
+let _X86_REG_YMM10 = 164;;
+let _X86_REG_YMM11 = 165;;
+let _X86_REG_YMM12 = 166;;
+let _X86_REG_YMM13 = 167;;
+let _X86_REG_YMM14 = 168;;
+let _X86_REG_YMM15 = 169;;
+let _X86_REG_YMM16 = 170;;
+let _X86_REG_YMM17 = 171;;
+let _X86_REG_YMM18 = 172;;
+let _X86_REG_YMM19 = 173;;
+let _X86_REG_YMM20 = 174;;
+let _X86_REG_YMM21 = 175;;
+let _X86_REG_YMM22 = 176;;
+let _X86_REG_YMM23 = 177;;
+let _X86_REG_YMM24 = 178;;
+let _X86_REG_YMM25 = 179;;
+let _X86_REG_YMM26 = 180;;
+let _X86_REG_YMM27 = 181;;
+let _X86_REG_YMM28 = 182;;
+let _X86_REG_YMM29 = 183;;
+let _X86_REG_YMM30 = 184;;
+let _X86_REG_YMM31 = 185;;
+let _X86_REG_ZMM0 = 186;;
+let _X86_REG_ZMM1 = 187;;
+let _X86_REG_ZMM2 = 188;;
+let _X86_REG_ZMM3 = 189;;
+let _X86_REG_ZMM4 = 190;;
+let _X86_REG_ZMM5 = 191;;
+let _X86_REG_ZMM6 = 192;;
+let _X86_REG_ZMM7 = 193;;
+let _X86_REG_ZMM8 = 194;;
+let _X86_REG_ZMM9 = 195;;
+let _X86_REG_ZMM10 = 196;;
+let _X86_REG_ZMM11 = 197;;
+let _X86_REG_ZMM12 = 198;;
+let _X86_REG_ZMM13 = 199;;
+let _X86_REG_ZMM14 = 200;;
+let _X86_REG_ZMM15 = 201;;
+let _X86_REG_ZMM16 = 202;;
+let _X86_REG_ZMM17 = 203;;
+let _X86_REG_ZMM18 = 204;;
+let _X86_REG_ZMM19 = 205;;
+let _X86_REG_ZMM20 = 206;;
+let _X86_REG_ZMM21 = 207;;
+let _X86_REG_ZMM22 = 208;;
+let _X86_REG_ZMM23 = 209;;
+let _X86_REG_ZMM24 = 210;;
+let _X86_REG_ZMM25 = 211;;
+let _X86_REG_ZMM26 = 212;;
+let _X86_REG_ZMM27 = 213;;
+let _X86_REG_ZMM28 = 214;;
+let _X86_REG_ZMM29 = 215;;
+let _X86_REG_ZMM30 = 216;;
+let _X86_REG_ZMM31 = 217;;
+let _X86_REG_R8B = 218;;
+let _X86_REG_R9B = 219;;
+let _X86_REG_R10B = 220;;
+let _X86_REG_R11B = 221;;
+let _X86_REG_R12B = 222;;
+let _X86_REG_R13B = 223;;
+let _X86_REG_R14B = 224;;
+let _X86_REG_R15B = 225;;
+let _X86_REG_R8D = 226;;
+let _X86_REG_R9D = 227;;
+let _X86_REG_R10D = 228;;
+let _X86_REG_R11D = 229;;
+let _X86_REG_R12D = 230;;
+let _X86_REG_R13D = 231;;
+let _X86_REG_R14D = 232;;
+let _X86_REG_R15D = 233;;
+let _X86_REG_R8W = 234;;
+let _X86_REG_R9W = 235;;
+let _X86_REG_R10W = 236;;
+let _X86_REG_R11W = 237;;
+let _X86_REG_R12W = 238;;
+let _X86_REG_R13W = 239;;
+let _X86_REG_R14W = 240;;
+let _X86_REG_R15W = 241;;
+let _X86_REG_ENDING = 242;;
+let _X86_EFLAGS_MODIFY_AF = 1 lsl 0;;
+let _X86_EFLAGS_MODIFY_CF = 1 lsl 1;;
+let _X86_EFLAGS_MODIFY_SF = 1 lsl 2;;
+let _X86_EFLAGS_MODIFY_ZF = 1 lsl 3;;
+let _X86_EFLAGS_MODIFY_PF = 1 lsl 4;;
+let _X86_EFLAGS_MODIFY_OF = 1 lsl 5;;
+let _X86_EFLAGS_MODIFY_TF = 1 lsl 6;;
+let _X86_EFLAGS_MODIFY_IF = 1 lsl 7;;
+let _X86_EFLAGS_MODIFY_DF = 1 lsl 8;;
+let _X86_EFLAGS_MODIFY_NT = 1 lsl 9;;
+let _X86_EFLAGS_MODIFY_RF = 1 lsl 10;;
+let _X86_EFLAGS_PRIOR_OF = 1 lsl 11;;
+let _X86_EFLAGS_PRIOR_SF = 1 lsl 12;;
+let _X86_EFLAGS_PRIOR_ZF = 1 lsl 13;;
+let _X86_EFLAGS_PRIOR_AF = 1 lsl 14;;
+let _X86_EFLAGS_PRIOR_PF = 1 lsl 15;;
+let _X86_EFLAGS_PRIOR_CF = 1 lsl 16;;
+let _X86_EFLAGS_PRIOR_TF = 1 lsl 17;;
+let _X86_EFLAGS_PRIOR_IF = 1 lsl 18;;
+let _X86_EFLAGS_PRIOR_DF = 1 lsl 19;;
+let _X86_EFLAGS_PRIOR_NT = 1 lsl 20;;
+let _X86_EFLAGS_RESET_OF = 1 lsl 21;;
+let _X86_EFLAGS_RESET_CF = 1 lsl 22;;
+let _X86_EFLAGS_RESET_DF = 1 lsl 23;;
+let _X86_EFLAGS_RESET_IF = 1 lsl 24;;
+let _X86_EFLAGS_RESET_SF = 1 lsl 25;;
+let _X86_EFLAGS_RESET_AF = 1 lsl 26;;
+let _X86_EFLAGS_RESET_TF = 1 lsl 27;;
+let _X86_EFLAGS_RESET_NT = 1 lsl 28;;
+let _X86_EFLAGS_RESET_PF = 1 lsl 29;;
+let _X86_EFLAGS_SET_CF = 1 lsl 30;;
+let _X86_EFLAGS_SET_DF = 1 lsl 31;;
+let _X86_EFLAGS_SET_IF = 1 lsl 32;;
+let _X86_EFLAGS_TEST_OF = 1 lsl 33;;
+let _X86_EFLAGS_TEST_SF = 1 lsl 34;;
+let _X86_EFLAGS_TEST_ZF = 1 lsl 35;;
+let _X86_EFLAGS_TEST_PF = 1 lsl 36;;
+let _X86_EFLAGS_TEST_CF = 1 lsl 37;;
+let _X86_EFLAGS_TEST_NT = 1 lsl 38;;
+let _X86_EFLAGS_TEST_DF = 1 lsl 39;;
+let _X86_EFLAGS_UNDEFINED_OF = 1 lsl 40;;
+let _X86_EFLAGS_UNDEFINED_SF = 1 lsl 41;;
+let _X86_EFLAGS_UNDEFINED_ZF = 1 lsl 42;;
+let _X86_EFLAGS_UNDEFINED_PF = 1 lsl 43;;
+let _X86_EFLAGS_UNDEFINED_AF = 1 lsl 44;;
+let _X86_EFLAGS_UNDEFINED_CF = 1 lsl 45;;
+let _X86_EFLAGS_RESET_RF = 1 lsl 46;;
+let _X86_EFLAGS_TEST_RF = 1 lsl 47;;
+let _X86_EFLAGS_TEST_IF = 1 lsl 48;;
+let _X86_EFLAGS_TEST_TF = 1 lsl 49;;
+let _X86_EFLAGS_TEST_AF = 1 lsl 50;;
+let _X86_EFLAGS_RESET_ZF = 1 lsl 51;;
+let _X86_EFLAGS_SET_OF = 1 lsl 52;;
+let _X86_EFLAGS_SET_SF = 1 lsl 53;;
+let _X86_EFLAGS_SET_ZF = 1 lsl 54;;
+let _X86_EFLAGS_SET_AF = 1 lsl 55;;
+let _X86_EFLAGS_SET_PF = 1 lsl 56;;
+let _X86_EFLAGS_RESET_0F = 1 lsl 57;;
+let _X86_EFLAGS_RESET_AC = 1 lsl 58;;
+let _X86_FPU_FLAGS_MODIFY_C0 = 1 lsl 0;;
+let _X86_FPU_FLAGS_MODIFY_C1 = 1 lsl 1;;
+let _X86_FPU_FLAGS_MODIFY_C2 = 1 lsl 2;;
+let _X86_FPU_FLAGS_MODIFY_C3 = 1 lsl 3;;
+let _X86_FPU_FLAGS_RESET_C0 = 1 lsl 4;;
+let _X86_FPU_FLAGS_RESET_C1 = 1 lsl 5;;
+let _X86_FPU_FLAGS_RESET_C2 = 1 lsl 6;;
+let _X86_FPU_FLAGS_RESET_C3 = 1 lsl 7;;
+let _X86_FPU_FLAGS_SET_C0 = 1 lsl 8;;
+let _X86_FPU_FLAGS_SET_C1 = 1 lsl 9;;
+let _X86_FPU_FLAGS_SET_C2 = 1 lsl 10;;
+let _X86_FPU_FLAGS_SET_C3 = 1 lsl 11;;
+let _X86_FPU_FLAGS_UNDEFINED_C0 = 1 lsl 12;;
+let _X86_FPU_FLAGS_UNDEFINED_C1 = 1 lsl 13;;
+let _X86_FPU_FLAGS_UNDEFINED_C2 = 1 lsl 14;;
+let _X86_FPU_FLAGS_UNDEFINED_C3 = 1 lsl 15;;
+let _X86_FPU_FLAGS_TEST_C0 = 1 lsl 16;;
+let _X86_FPU_FLAGS_TEST_C1 = 1 lsl 17;;
+let _X86_FPU_FLAGS_TEST_C2 = 1 lsl 18;;
+let _X86_FPU_FLAGS_TEST_C3 = 1 lsl 19;;
 
 let _X86_OP_INVALID = 0;;
 let _X86_OP_REG = 1;;
 let _X86_OP_IMM = 2;;
 let _X86_OP_MEM = 3;;
-let _X86_OP_FP = 4;;
 
-(* AVX broadcast type *)
+let _X86_XOP_CC_INVALID = 0;;
+let _X86_XOP_CC_LT = 1;;
+let _X86_XOP_CC_LE = 2;;
+let _X86_XOP_CC_GT = 3;;
+let _X86_XOP_CC_GE = 4;;
+let _X86_XOP_CC_EQ = 5;;
+let _X86_XOP_CC_NEQ = 6;;
+let _X86_XOP_CC_FALSE = 7;;
+let _X86_XOP_CC_TRUE = 8;;
 
 let _X86_AVX_BCAST_INVALID = 0;;
 let _X86_AVX_BCAST_2 = 1;;
@@ -254,8 +344,6 @@ let _X86_AVX_BCAST_4 = 2;;
 let _X86_AVX_BCAST_8 = 3;;
 let _X86_AVX_BCAST_16 = 4;;
 
-(* SSE Code Condition type *)
-
 let _X86_SSE_CC_INVALID = 0;;
 let _X86_SSE_CC_EQ = 1;;
 let _X86_SSE_CC_LT = 2;;
@@ -265,16 +353,6 @@ let _X86_SSE_CC_NEQ = 5;;
 let _X86_SSE_CC_NLT = 6;;
 let _X86_SSE_CC_NLE = 7;;
 let _X86_SSE_CC_ORD = 8;;
-let _X86_SSE_CC_EQ_UQ = 9;;
-let _X86_SSE_CC_NGE = 10;;
-let _X86_SSE_CC_NGT = 11;;
-let _X86_SSE_CC_FALSE = 12;;
-let _X86_SSE_CC_NEQ_OQ = 13;;
-let _X86_SSE_CC_GE = 14;;
-let _X86_SSE_CC_GT = 15;;
-let _X86_SSE_CC_TRUE = 16;;
-
-(* AVX Code Condition type *)
 
 let _X86_AVX_CC_INVALID = 0;;
 let _X86_AVX_CC_EQ = 1;;
@@ -310,17 +388,14 @@ let _X86_AVX_CC_GE_OQ = 30;;
 let _X86_AVX_CC_GT_OQ = 31;;
 let _X86_AVX_CC_TRUE_US = 32;;
 
-(* AVX static rounding mode type *)
-
 let _X86_AVX_RM_INVALID = 0;;
 let _X86_AVX_RM_RN = 1;;
 let _X86_AVX_RM_RD = 2;;
 let _X86_AVX_RM_RU = 3;;
 let _X86_AVX_RM_RZ = 4;;
-
-(* Instruction prefixes - to be used in cs_x86.prefix[] *)
 let _X86_PREFIX_LOCK = 0xf0;;
 let _X86_PREFIX_REP = 0xf3;;
+let _X86_PREFIX_REPE = 0xf3;;
 let _X86_PREFIX_REPNE = 0xf2;;
 let _X86_PREFIX_CS = 0x2e;;
 let _X86_PREFIX_SS = 0x36;;
@@ -331,8 +406,6 @@ let _X86_PREFIX_GS = 0x65;;
 let _X86_PREFIX_OPSIZE = 0x66;;
 let _X86_PREFIX_ADDRSIZE = 0x67;;
 
-(* X86 instructions *)
-
 let _X86_INS_INVALID = 0;;
 let _X86_INS_AAA = 1;;
 let _X86_INS_AAD = 2;;
@@ -398,1250 +471,1452 @@ let _X86_INS_CLAC = 61;;
 let _X86_INS_CLC = 62;;
 let _X86_INS_CLD = 63;;
 let _X86_INS_CLFLUSH = 64;;
-let _X86_INS_CLGI = 65;;
-let _X86_INS_CLI = 66;;
-let _X86_INS_CLTS = 67;;
-let _X86_INS_CMC = 68;;
-let _X86_INS_CMOVA = 69;;
-let _X86_INS_CMOVAE = 70;;
-let _X86_INS_CMOVB = 71;;
-let _X86_INS_CMOVBE = 72;;
-let _X86_INS_FCMOVBE = 73;;
-let _X86_INS_FCMOVB = 74;;
-let _X86_INS_CMOVE = 75;;
-let _X86_INS_FCMOVE = 76;;
-let _X86_INS_CMOVG = 77;;
-let _X86_INS_CMOVGE = 78;;
-let _X86_INS_CMOVL = 79;;
-let _X86_INS_CMOVLE = 80;;
-let _X86_INS_FCMOVNBE = 81;;
-let _X86_INS_FCMOVNB = 82;;
-let _X86_INS_CMOVNE = 83;;
-let _X86_INS_FCMOVNE = 84;;
-let _X86_INS_CMOVNO = 85;;
-let _X86_INS_CMOVNP = 86;;
-let _X86_INS_FCMOVNU = 87;;
-let _X86_INS_CMOVNS = 88;;
-let _X86_INS_CMOVO = 89;;
-let _X86_INS_CMOVP = 90;;
-let _X86_INS_FCMOVU = 91;;
-let _X86_INS_CMOVS = 92;;
-let _X86_INS_CMP = 93;;
-let _X86_INS_CMPPD = 94;;
-let _X86_INS_CMPPS = 95;;
+let _X86_INS_CLFLUSHOPT = 65;;
+let _X86_INS_CLGI = 66;;
+let _X86_INS_CLI = 67;;
+let _X86_INS_CLTS = 68;;
+let _X86_INS_CLWB = 69;;
+let _X86_INS_CMC = 70;;
+let _X86_INS_CMOVA = 71;;
+let _X86_INS_CMOVAE = 72;;
+let _X86_INS_CMOVB = 73;;
+let _X86_INS_CMOVBE = 74;;
+let _X86_INS_FCMOVBE = 75;;
+let _X86_INS_FCMOVB = 76;;
+let _X86_INS_CMOVE = 77;;
+let _X86_INS_FCMOVE = 78;;
+let _X86_INS_CMOVG = 79;;
+let _X86_INS_CMOVGE = 80;;
+let _X86_INS_CMOVL = 81;;
+let _X86_INS_CMOVLE = 82;;
+let _X86_INS_FCMOVNBE = 83;;
+let _X86_INS_FCMOVNB = 84;;
+let _X86_INS_CMOVNE = 85;;
+let _X86_INS_FCMOVNE = 86;;
+let _X86_INS_CMOVNO = 87;;
+let _X86_INS_CMOVNP = 88;;
+let _X86_INS_FCMOVNU = 89;;
+let _X86_INS_CMOVNS = 90;;
+let _X86_INS_CMOVO = 91;;
+let _X86_INS_CMOVP = 92;;
+let _X86_INS_FCMOVU = 93;;
+let _X86_INS_CMOVS = 94;;
+let _X86_INS_CMP = 95;;
 let _X86_INS_CMPSB = 96;;
-let _X86_INS_CMPSD = 97;;
-let _X86_INS_CMPSQ = 98;;
-let _X86_INS_CMPSS = 99;;
-let _X86_INS_CMPSW = 100;;
-let _X86_INS_CMPXCHG16B = 101;;
-let _X86_INS_CMPXCHG = 102;;
-let _X86_INS_CMPXCHG8B = 103;;
-let _X86_INS_COMISD = 104;;
-let _X86_INS_COMISS = 105;;
-let _X86_INS_FCOMP = 106;;
-let _X86_INS_FCOMPI = 107;;
-let _X86_INS_FCOMI = 108;;
-let _X86_INS_FCOM = 109;;
-let _X86_INS_FCOS = 110;;
-let _X86_INS_CPUID = 111;;
-let _X86_INS_CQO = 112;;
-let _X86_INS_CRC32 = 113;;
-let _X86_INS_CVTDQ2PD = 114;;
-let _X86_INS_CVTDQ2PS = 115;;
-let _X86_INS_CVTPD2DQ = 116;;
-let _X86_INS_CVTPD2PS = 117;;
-let _X86_INS_CVTPS2DQ = 118;;
-let _X86_INS_CVTPS2PD = 119;;
-let _X86_INS_CVTSD2SI = 120;;
-let _X86_INS_CVTSD2SS = 121;;
-let _X86_INS_CVTSI2SD = 122;;
-let _X86_INS_CVTSI2SS = 123;;
-let _X86_INS_CVTSS2SD = 124;;
-let _X86_INS_CVTSS2SI = 125;;
-let _X86_INS_CVTTPD2DQ = 126;;
-let _X86_INS_CVTTPS2DQ = 127;;
-let _X86_INS_CVTTSD2SI = 128;;
-let _X86_INS_CVTTSS2SI = 129;;
-let _X86_INS_CWD = 130;;
-let _X86_INS_CWDE = 131;;
-let _X86_INS_DAA = 132;;
-let _X86_INS_DAS = 133;;
-let _X86_INS_DATA16 = 134;;
-let _X86_INS_DEC = 135;;
-let _X86_INS_DIV = 136;;
-let _X86_INS_DIVPD = 137;;
-let _X86_INS_DIVPS = 138;;
-let _X86_INS_FDIVR = 139;;
-let _X86_INS_FIDIVR = 140;;
-let _X86_INS_FDIVRP = 141;;
-let _X86_INS_DIVSD = 142;;
-let _X86_INS_DIVSS = 143;;
-let _X86_INS_FDIV = 144;;
-let _X86_INS_FIDIV = 145;;
-let _X86_INS_FDIVP = 146;;
-let _X86_INS_DPPD = 147;;
-let _X86_INS_DPPS = 148;;
-let _X86_INS_RET = 149;;
-let _X86_INS_ENCLS = 150;;
-let _X86_INS_ENCLU = 151;;
-let _X86_INS_ENTER = 152;;
-let _X86_INS_EXTRACTPS = 153;;
-let _X86_INS_EXTRQ = 154;;
-let _X86_INS_F2XM1 = 155;;
-let _X86_INS_LCALL = 156;;
-let _X86_INS_LJMP = 157;;
-let _X86_INS_FBLD = 158;;
-let _X86_INS_FBSTP = 159;;
-let _X86_INS_FCOMPP = 160;;
-let _X86_INS_FDECSTP = 161;;
-let _X86_INS_FEMMS = 162;;
-let _X86_INS_FFREE = 163;;
-let _X86_INS_FICOM = 164;;
-let _X86_INS_FICOMP = 165;;
-let _X86_INS_FINCSTP = 166;;
-let _X86_INS_FLDCW = 167;;
-let _X86_INS_FLDENV = 168;;
-let _X86_INS_FLDL2E = 169;;
-let _X86_INS_FLDL2T = 170;;
-let _X86_INS_FLDLG2 = 171;;
-let _X86_INS_FLDLN2 = 172;;
-let _X86_INS_FLDPI = 173;;
-let _X86_INS_FNCLEX = 174;;
-let _X86_INS_FNINIT = 175;;
-let _X86_INS_FNOP = 176;;
-let _X86_INS_FNSTCW = 177;;
-let _X86_INS_FNSTSW = 178;;
-let _X86_INS_FPATAN = 179;;
-let _X86_INS_FPREM = 180;;
-let _X86_INS_FPREM1 = 181;;
-let _X86_INS_FPTAN = 182;;
-let _X86_INS_FRNDINT = 183;;
-let _X86_INS_FRSTOR = 184;;
-let _X86_INS_FNSAVE = 185;;
-let _X86_INS_FSCALE = 186;;
-let _X86_INS_FSETPM = 187;;
-let _X86_INS_FSINCOS = 188;;
-let _X86_INS_FNSTENV = 189;;
-let _X86_INS_FXAM = 190;;
-let _X86_INS_FXRSTOR = 191;;
-let _X86_INS_FXRSTOR64 = 192;;
-let _X86_INS_FXSAVE = 193;;
-let _X86_INS_FXSAVE64 = 194;;
-let _X86_INS_FXTRACT = 195;;
-let _X86_INS_FYL2X = 196;;
-let _X86_INS_FYL2XP1 = 197;;
-let _X86_INS_MOVAPD = 198;;
-let _X86_INS_MOVAPS = 199;;
-let _X86_INS_ORPD = 200;;
-let _X86_INS_ORPS = 201;;
-let _X86_INS_VMOVAPD = 202;;
-let _X86_INS_VMOVAPS = 203;;
-let _X86_INS_XORPD = 204;;
-let _X86_INS_XORPS = 205;;
-let _X86_INS_GETSEC = 206;;
-let _X86_INS_HADDPD = 207;;
-let _X86_INS_HADDPS = 208;;
-let _X86_INS_HLT = 209;;
-let _X86_INS_HSUBPD = 210;;
-let _X86_INS_HSUBPS = 211;;
-let _X86_INS_IDIV = 212;;
-let _X86_INS_FILD = 213;;
-let _X86_INS_IMUL = 214;;
-let _X86_INS_IN = 215;;
-let _X86_INS_INC = 216;;
-let _X86_INS_INSB = 217;;
-let _X86_INS_INSERTPS = 218;;
-let _X86_INS_INSERTQ = 219;;
-let _X86_INS_INSD = 220;;
-let _X86_INS_INSW = 221;;
-let _X86_INS_INT = 222;;
-let _X86_INS_INT1 = 223;;
-let _X86_INS_INT3 = 224;;
-let _X86_INS_INTO = 225;;
-let _X86_INS_INVD = 226;;
-let _X86_INS_INVEPT = 227;;
-let _X86_INS_INVLPG = 228;;
-let _X86_INS_INVLPGA = 229;;
-let _X86_INS_INVPCID = 230;;
-let _X86_INS_INVVPID = 231;;
-let _X86_INS_IRET = 232;;
-let _X86_INS_IRETD = 233;;
-let _X86_INS_IRETQ = 234;;
-let _X86_INS_FISTTP = 235;;
-let _X86_INS_FIST = 236;;
-let _X86_INS_FISTP = 237;;
-let _X86_INS_UCOMISD = 238;;
-let _X86_INS_UCOMISS = 239;;
-let _X86_INS_VCMP = 240;;
-let _X86_INS_VCOMISD = 241;;
-let _X86_INS_VCOMISS = 242;;
-let _X86_INS_VCVTSD2SS = 243;;
-let _X86_INS_VCVTSI2SD = 244;;
-let _X86_INS_VCVTSI2SS = 245;;
-let _X86_INS_VCVTSS2SD = 246;;
-let _X86_INS_VCVTTSD2SI = 247;;
-let _X86_INS_VCVTTSD2USI = 248;;
-let _X86_INS_VCVTTSS2SI = 249;;
-let _X86_INS_VCVTTSS2USI = 250;;
-let _X86_INS_VCVTUSI2SD = 251;;
-let _X86_INS_VCVTUSI2SS = 252;;
-let _X86_INS_VUCOMISD = 253;;
-let _X86_INS_VUCOMISS = 254;;
-let _X86_INS_JAE = 255;;
-let _X86_INS_JA = 256;;
-let _X86_INS_JBE = 257;;
-let _X86_INS_JB = 258;;
-let _X86_INS_JCXZ = 259;;
-let _X86_INS_JECXZ = 260;;
-let _X86_INS_JE = 261;;
-let _X86_INS_JGE = 262;;
-let _X86_INS_JG = 263;;
-let _X86_INS_JLE = 264;;
-let _X86_INS_JL = 265;;
-let _X86_INS_JMP = 266;;
-let _X86_INS_JNE = 267;;
-let _X86_INS_JNO = 268;;
-let _X86_INS_JNP = 269;;
-let _X86_INS_JNS = 270;;
-let _X86_INS_JO = 271;;
-let _X86_INS_JP = 272;;
-let _X86_INS_JRCXZ = 273;;
-let _X86_INS_JS = 274;;
-let _X86_INS_KANDB = 275;;
-let _X86_INS_KANDD = 276;;
-let _X86_INS_KANDNB = 277;;
-let _X86_INS_KANDND = 278;;
-let _X86_INS_KANDNQ = 279;;
-let _X86_INS_KANDNW = 280;;
-let _X86_INS_KANDQ = 281;;
-let _X86_INS_KANDW = 282;;
-let _X86_INS_KMOVB = 283;;
-let _X86_INS_KMOVD = 284;;
-let _X86_INS_KMOVQ = 285;;
-let _X86_INS_KMOVW = 286;;
-let _X86_INS_KNOTB = 287;;
-let _X86_INS_KNOTD = 288;;
-let _X86_INS_KNOTQ = 289;;
-let _X86_INS_KNOTW = 290;;
-let _X86_INS_KORB = 291;;
-let _X86_INS_KORD = 292;;
-let _X86_INS_KORQ = 293;;
-let _X86_INS_KORTESTW = 294;;
-let _X86_INS_KORW = 295;;
-let _X86_INS_KSHIFTLW = 296;;
-let _X86_INS_KSHIFTRW = 297;;
-let _X86_INS_KUNPCKBW = 298;;
-let _X86_INS_KXNORB = 299;;
-let _X86_INS_KXNORD = 300;;
-let _X86_INS_KXNORQ = 301;;
-let _X86_INS_KXNORW = 302;;
-let _X86_INS_KXORB = 303;;
-let _X86_INS_KXORD = 304;;
-let _X86_INS_KXORQ = 305;;
-let _X86_INS_KXORW = 306;;
-let _X86_INS_LAHF = 307;;
-let _X86_INS_LAR = 308;;
-let _X86_INS_LDDQU = 309;;
-let _X86_INS_LDMXCSR = 310;;
-let _X86_INS_LDS = 311;;
-let _X86_INS_FLDZ = 312;;
-let _X86_INS_FLD1 = 313;;
-let _X86_INS_FLD = 314;;
-let _X86_INS_LEA = 315;;
-let _X86_INS_LEAVE = 316;;
-let _X86_INS_LES = 317;;
-let _X86_INS_LFENCE = 318;;
-let _X86_INS_LFS = 319;;
-let _X86_INS_LGDT = 320;;
-let _X86_INS_LGS = 321;;
-let _X86_INS_LIDT = 322;;
-let _X86_INS_LLDT = 323;;
-let _X86_INS_LMSW = 324;;
-let _X86_INS_OR = 325;;
-let _X86_INS_SUB = 326;;
-let _X86_INS_XOR = 327;;
-let _X86_INS_LODSB = 328;;
-let _X86_INS_LODSD = 329;;
-let _X86_INS_LODSQ = 330;;
-let _X86_INS_LODSW = 331;;
-let _X86_INS_LOOP = 332;;
-let _X86_INS_LOOPE = 333;;
-let _X86_INS_LOOPNE = 334;;
-let _X86_INS_RETF = 335;;
-let _X86_INS_RETFQ = 336;;
-let _X86_INS_LSL = 337;;
-let _X86_INS_LSS = 338;;
-let _X86_INS_LTR = 339;;
-let _X86_INS_XADD = 340;;
-let _X86_INS_LZCNT = 341;;
-let _X86_INS_MASKMOVDQU = 342;;
-let _X86_INS_MAXPD = 343;;
-let _X86_INS_MAXPS = 344;;
-let _X86_INS_MAXSD = 345;;
-let _X86_INS_MAXSS = 346;;
-let _X86_INS_MFENCE = 347;;
-let _X86_INS_MINPD = 348;;
-let _X86_INS_MINPS = 349;;
-let _X86_INS_MINSD = 350;;
-let _X86_INS_MINSS = 351;;
-let _X86_INS_CVTPD2PI = 352;;
-let _X86_INS_CVTPI2PD = 353;;
-let _X86_INS_CVTPI2PS = 354;;
-let _X86_INS_CVTPS2PI = 355;;
-let _X86_INS_CVTTPD2PI = 356;;
-let _X86_INS_CVTTPS2PI = 357;;
-let _X86_INS_EMMS = 358;;
-let _X86_INS_MASKMOVQ = 359;;
-let _X86_INS_MOVD = 360;;
-let _X86_INS_MOVDQ2Q = 361;;
-let _X86_INS_MOVNTQ = 362;;
-let _X86_INS_MOVQ2DQ = 363;;
-let _X86_INS_MOVQ = 364;;
-let _X86_INS_PABSB = 365;;
-let _X86_INS_PABSD = 366;;
-let _X86_INS_PABSW = 367;;
-let _X86_INS_PACKSSDW = 368;;
-let _X86_INS_PACKSSWB = 369;;
-let _X86_INS_PACKUSWB = 370;;
-let _X86_INS_PADDB = 371;;
-let _X86_INS_PADDD = 372;;
-let _X86_INS_PADDQ = 373;;
-let _X86_INS_PADDSB = 374;;
-let _X86_INS_PADDSW = 375;;
-let _X86_INS_PADDUSB = 376;;
-let _X86_INS_PADDUSW = 377;;
-let _X86_INS_PADDW = 378;;
-let _X86_INS_PALIGNR = 379;;
-let _X86_INS_PANDN = 380;;
-let _X86_INS_PAND = 381;;
-let _X86_INS_PAVGB = 382;;
-let _X86_INS_PAVGW = 383;;
-let _X86_INS_PCMPEQB = 384;;
-let _X86_INS_PCMPEQD = 385;;
-let _X86_INS_PCMPEQW = 386;;
-let _X86_INS_PCMPGTB = 387;;
-let _X86_INS_PCMPGTD = 388;;
-let _X86_INS_PCMPGTW = 389;;
-let _X86_INS_PEXTRW = 390;;
-let _X86_INS_PHADDSW = 391;;
-let _X86_INS_PHADDW = 392;;
-let _X86_INS_PHADDD = 393;;
-let _X86_INS_PHSUBD = 394;;
-let _X86_INS_PHSUBSW = 395;;
-let _X86_INS_PHSUBW = 396;;
-let _X86_INS_PINSRW = 397;;
-let _X86_INS_PMADDUBSW = 398;;
-let _X86_INS_PMADDWD = 399;;
-let _X86_INS_PMAXSW = 400;;
-let _X86_INS_PMAXUB = 401;;
-let _X86_INS_PMINSW = 402;;
-let _X86_INS_PMINUB = 403;;
-let _X86_INS_PMOVMSKB = 404;;
-let _X86_INS_PMULHRSW = 405;;
-let _X86_INS_PMULHUW = 406;;
-let _X86_INS_PMULHW = 407;;
-let _X86_INS_PMULLW = 408;;
-let _X86_INS_PMULUDQ = 409;;
-let _X86_INS_POR = 410;;
-let _X86_INS_PSADBW = 411;;
-let _X86_INS_PSHUFB = 412;;
-let _X86_INS_PSHUFW = 413;;
-let _X86_INS_PSIGNB = 414;;
-let _X86_INS_PSIGND = 415;;
-let _X86_INS_PSIGNW = 416;;
-let _X86_INS_PSLLD = 417;;
-let _X86_INS_PSLLQ = 418;;
-let _X86_INS_PSLLW = 419;;
-let _X86_INS_PSRAD = 420;;
-let _X86_INS_PSRAW = 421;;
-let _X86_INS_PSRLD = 422;;
-let _X86_INS_PSRLQ = 423;;
-let _X86_INS_PSRLW = 424;;
-let _X86_INS_PSUBB = 425;;
-let _X86_INS_PSUBD = 426;;
-let _X86_INS_PSUBQ = 427;;
-let _X86_INS_PSUBSB = 428;;
-let _X86_INS_PSUBSW = 429;;
-let _X86_INS_PSUBUSB = 430;;
-let _X86_INS_PSUBUSW = 431;;
-let _X86_INS_PSUBW = 432;;
-let _X86_INS_PUNPCKHBW = 433;;
-let _X86_INS_PUNPCKHDQ = 434;;
-let _X86_INS_PUNPCKHWD = 435;;
-let _X86_INS_PUNPCKLBW = 436;;
-let _X86_INS_PUNPCKLDQ = 437;;
-let _X86_INS_PUNPCKLWD = 438;;
-let _X86_INS_PXOR = 439;;
-let _X86_INS_MONITOR = 440;;
-let _X86_INS_MONTMUL = 441;;
-let _X86_INS_MOV = 442;;
-let _X86_INS_MOVABS = 443;;
-let _X86_INS_MOVBE = 444;;
-let _X86_INS_MOVDDUP = 445;;
-let _X86_INS_MOVDQA = 446;;
-let _X86_INS_MOVDQU = 447;;
-let _X86_INS_MOVHLPS = 448;;
-let _X86_INS_MOVHPD = 449;;
-let _X86_INS_MOVHPS = 450;;
-let _X86_INS_MOVLHPS = 451;;
-let _X86_INS_MOVLPD = 452;;
-let _X86_INS_MOVLPS = 453;;
-let _X86_INS_MOVMSKPD = 454;;
-let _X86_INS_MOVMSKPS = 455;;
-let _X86_INS_MOVNTDQA = 456;;
-let _X86_INS_MOVNTDQ = 457;;
-let _X86_INS_MOVNTI = 458;;
-let _X86_INS_MOVNTPD = 459;;
-let _X86_INS_MOVNTPS = 460;;
-let _X86_INS_MOVNTSD = 461;;
-let _X86_INS_MOVNTSS = 462;;
-let _X86_INS_MOVSB = 463;;
-let _X86_INS_MOVSD = 464;;
-let _X86_INS_MOVSHDUP = 465;;
-let _X86_INS_MOVSLDUP = 466;;
-let _X86_INS_MOVSQ = 467;;
-let _X86_INS_MOVSS = 468;;
-let _X86_INS_MOVSW = 469;;
-let _X86_INS_MOVSX = 470;;
-let _X86_INS_MOVSXD = 471;;
-let _X86_INS_MOVUPD = 472;;
-let _X86_INS_MOVUPS = 473;;
-let _X86_INS_MOVZX = 474;;
-let _X86_INS_MPSADBW = 475;;
-let _X86_INS_MUL = 476;;
-let _X86_INS_MULPD = 477;;
-let _X86_INS_MULPS = 478;;
-let _X86_INS_MULSD = 479;;
-let _X86_INS_MULSS = 480;;
-let _X86_INS_MULX = 481;;
-let _X86_INS_FMUL = 482;;
-let _X86_INS_FIMUL = 483;;
-let _X86_INS_FMULP = 484;;
-let _X86_INS_MWAIT = 485;;
-let _X86_INS_NEG = 486;;
-let _X86_INS_NOP = 487;;
-let _X86_INS_NOT = 488;;
-let _X86_INS_OUT = 489;;
-let _X86_INS_OUTSB = 490;;
-let _X86_INS_OUTSD = 491;;
-let _X86_INS_OUTSW = 492;;
-let _X86_INS_PACKUSDW = 493;;
-let _X86_INS_PAUSE = 494;;
-let _X86_INS_PAVGUSB = 495;;
-let _X86_INS_PBLENDVB = 496;;
-let _X86_INS_PBLENDW = 497;;
-let _X86_INS_PCLMULQDQ = 498;;
-let _X86_INS_PCMPEQQ = 499;;
-let _X86_INS_PCMPESTRI = 500;;
-let _X86_INS_PCMPESTRM = 501;;
-let _X86_INS_PCMPGTQ = 502;;
-let _X86_INS_PCMPISTRI = 503;;
-let _X86_INS_PCMPISTRM = 504;;
-let _X86_INS_PDEP = 505;;
-let _X86_INS_PEXT = 506;;
-let _X86_INS_PEXTRB = 507;;
-let _X86_INS_PEXTRD = 508;;
-let _X86_INS_PEXTRQ = 509;;
-let _X86_INS_PF2ID = 510;;
-let _X86_INS_PF2IW = 511;;
-let _X86_INS_PFACC = 512;;
-let _X86_INS_PFADD = 513;;
-let _X86_INS_PFCMPEQ = 514;;
-let _X86_INS_PFCMPGE = 515;;
-let _X86_INS_PFCMPGT = 516;;
-let _X86_INS_PFMAX = 517;;
-let _X86_INS_PFMIN = 518;;
-let _X86_INS_PFMUL = 519;;
-let _X86_INS_PFNACC = 520;;
-let _X86_INS_PFPNACC = 521;;
-let _X86_INS_PFRCPIT1 = 522;;
-let _X86_INS_PFRCPIT2 = 523;;
-let _X86_INS_PFRCP = 524;;
-let _X86_INS_PFRSQIT1 = 525;;
-let _X86_INS_PFRSQRT = 526;;
-let _X86_INS_PFSUBR = 527;;
-let _X86_INS_PFSUB = 528;;
-let _X86_INS_PHMINPOSUW = 529;;
-let _X86_INS_PI2FD = 530;;
-let _X86_INS_PI2FW = 531;;
-let _X86_INS_PINSRB = 532;;
-let _X86_INS_PINSRD = 533;;
-let _X86_INS_PINSRQ = 534;;
-let _X86_INS_PMAXSB = 535;;
-let _X86_INS_PMAXSD = 536;;
-let _X86_INS_PMAXUD = 537;;
-let _X86_INS_PMAXUW = 538;;
-let _X86_INS_PMINSB = 539;;
-let _X86_INS_PMINSD = 540;;
-let _X86_INS_PMINUD = 541;;
-let _X86_INS_PMINUW = 542;;
-let _X86_INS_PMOVSXBD = 543;;
-let _X86_INS_PMOVSXBQ = 544;;
-let _X86_INS_PMOVSXBW = 545;;
-let _X86_INS_PMOVSXDQ = 546;;
-let _X86_INS_PMOVSXWD = 547;;
-let _X86_INS_PMOVSXWQ = 548;;
-let _X86_INS_PMOVZXBD = 549;;
-let _X86_INS_PMOVZXBQ = 550;;
-let _X86_INS_PMOVZXBW = 551;;
-let _X86_INS_PMOVZXDQ = 552;;
-let _X86_INS_PMOVZXWD = 553;;
-let _X86_INS_PMOVZXWQ = 554;;
-let _X86_INS_PMULDQ = 555;;
-let _X86_INS_PMULHRW = 556;;
-let _X86_INS_PMULLD = 557;;
-let _X86_INS_POP = 558;;
-let _X86_INS_POPAW = 559;;
-let _X86_INS_POPAL = 560;;
-let _X86_INS_POPCNT = 561;;
-let _X86_INS_POPF = 562;;
-let _X86_INS_POPFD = 563;;
-let _X86_INS_POPFQ = 564;;
-let _X86_INS_PREFETCH = 565;;
-let _X86_INS_PREFETCHNTA = 566;;
-let _X86_INS_PREFETCHT0 = 567;;
-let _X86_INS_PREFETCHT1 = 568;;
-let _X86_INS_PREFETCHT2 = 569;;
-let _X86_INS_PREFETCHW = 570;;
-let _X86_INS_PSHUFD = 571;;
-let _X86_INS_PSHUFHW = 572;;
-let _X86_INS_PSHUFLW = 573;;
-let _X86_INS_PSLLDQ = 574;;
-let _X86_INS_PSRLDQ = 575;;
-let _X86_INS_PSWAPD = 576;;
-let _X86_INS_PTEST = 577;;
-let _X86_INS_PUNPCKHQDQ = 578;;
-let _X86_INS_PUNPCKLQDQ = 579;;
-let _X86_INS_PUSH = 580;;
-let _X86_INS_PUSHAW = 581;;
-let _X86_INS_PUSHAL = 582;;
-let _X86_INS_PUSHF = 583;;
-let _X86_INS_PUSHFD = 584;;
-let _X86_INS_PUSHFQ = 585;;
-let _X86_INS_RCL = 586;;
-let _X86_INS_RCPPS = 587;;
-let _X86_INS_RCPSS = 588;;
-let _X86_INS_RCR = 589;;
-let _X86_INS_RDFSBASE = 590;;
-let _X86_INS_RDGSBASE = 591;;
-let _X86_INS_RDMSR = 592;;
-let _X86_INS_RDPMC = 593;;
-let _X86_INS_RDRAND = 594;;
-let _X86_INS_RDSEED = 595;;
-let _X86_INS_RDTSC = 596;;
-let _X86_INS_RDTSCP = 597;;
-let _X86_INS_ROL = 598;;
-let _X86_INS_ROR = 599;;
-let _X86_INS_RORX = 600;;
-let _X86_INS_ROUNDPD = 601;;
-let _X86_INS_ROUNDPS = 602;;
-let _X86_INS_ROUNDSD = 603;;
-let _X86_INS_ROUNDSS = 604;;
-let _X86_INS_RSM = 605;;
-let _X86_INS_RSQRTPS = 606;;
-let _X86_INS_RSQRTSS = 607;;
-let _X86_INS_SAHF = 608;;
-let _X86_INS_SAL = 609;;
-let _X86_INS_SALC = 610;;
-let _X86_INS_SAR = 611;;
-let _X86_INS_SARX = 612;;
-let _X86_INS_SBB = 613;;
-let _X86_INS_SCASB = 614;;
-let _X86_INS_SCASD = 615;;
-let _X86_INS_SCASQ = 616;;
-let _X86_INS_SCASW = 617;;
-let _X86_INS_SETAE = 618;;
-let _X86_INS_SETA = 619;;
-let _X86_INS_SETBE = 620;;
-let _X86_INS_SETB = 621;;
-let _X86_INS_SETE = 622;;
-let _X86_INS_SETGE = 623;;
-let _X86_INS_SETG = 624;;
-let _X86_INS_SETLE = 625;;
-let _X86_INS_SETL = 626;;
-let _X86_INS_SETNE = 627;;
-let _X86_INS_SETNO = 628;;
-let _X86_INS_SETNP = 629;;
-let _X86_INS_SETNS = 630;;
-let _X86_INS_SETO = 631;;
-let _X86_INS_SETP = 632;;
-let _X86_INS_SETS = 633;;
-let _X86_INS_SFENCE = 634;;
-let _X86_INS_SGDT = 635;;
-let _X86_INS_SHA1MSG1 = 636;;
-let _X86_INS_SHA1MSG2 = 637;;
-let _X86_INS_SHA1NEXTE = 638;;
-let _X86_INS_SHA1RNDS4 = 639;;
-let _X86_INS_SHA256MSG1 = 640;;
-let _X86_INS_SHA256MSG2 = 641;;
-let _X86_INS_SHA256RNDS2 = 642;;
-let _X86_INS_SHL = 643;;
-let _X86_INS_SHLD = 644;;
-let _X86_INS_SHLX = 645;;
-let _X86_INS_SHR = 646;;
-let _X86_INS_SHRD = 647;;
-let _X86_INS_SHRX = 648;;
-let _X86_INS_SHUFPD = 649;;
-let _X86_INS_SHUFPS = 650;;
-let _X86_INS_SIDT = 651;;
-let _X86_INS_FSIN = 652;;
-let _X86_INS_SKINIT = 653;;
-let _X86_INS_SLDT = 654;;
-let _X86_INS_SMSW = 655;;
-let _X86_INS_SQRTPD = 656;;
-let _X86_INS_SQRTPS = 657;;
-let _X86_INS_SQRTSD = 658;;
-let _X86_INS_SQRTSS = 659;;
-let _X86_INS_FSQRT = 660;;
-let _X86_INS_STAC = 661;;
-let _X86_INS_STC = 662;;
-let _X86_INS_STD = 663;;
-let _X86_INS_STGI = 664;;
-let _X86_INS_STI = 665;;
-let _X86_INS_STMXCSR = 666;;
-let _X86_INS_STOSB = 667;;
-let _X86_INS_STOSD = 668;;
-let _X86_INS_STOSQ = 669;;
-let _X86_INS_STOSW = 670;;
-let _X86_INS_STR = 671;;
-let _X86_INS_FST = 672;;
-let _X86_INS_FSTP = 673;;
-let _X86_INS_FSTPNCE = 674;;
-let _X86_INS_SUBPD = 675;;
-let _X86_INS_SUBPS = 676;;
-let _X86_INS_FSUBR = 677;;
-let _X86_INS_FISUBR = 678;;
-let _X86_INS_FSUBRP = 679;;
-let _X86_INS_SUBSD = 680;;
-let _X86_INS_SUBSS = 681;;
-let _X86_INS_FSUB = 682;;
-let _X86_INS_FISUB = 683;;
-let _X86_INS_FSUBP = 684;;
-let _X86_INS_SWAPGS = 685;;
-let _X86_INS_SYSCALL = 686;;
-let _X86_INS_SYSENTER = 687;;
-let _X86_INS_SYSEXIT = 688;;
-let _X86_INS_SYSRET = 689;;
-let _X86_INS_T1MSKC = 690;;
-let _X86_INS_TEST = 691;;
-let _X86_INS_UD2 = 692;;
-let _X86_INS_FTST = 693;;
-let _X86_INS_TZCNT = 694;;
-let _X86_INS_TZMSK = 695;;
-let _X86_INS_FUCOMPI = 696;;
-let _X86_INS_FUCOMI = 697;;
-let _X86_INS_FUCOMPP = 698;;
-let _X86_INS_FUCOMP = 699;;
-let _X86_INS_FUCOM = 700;;
-let _X86_INS_UD2B = 701;;
-let _X86_INS_UNPCKHPD = 702;;
-let _X86_INS_UNPCKHPS = 703;;
-let _X86_INS_UNPCKLPD = 704;;
-let _X86_INS_UNPCKLPS = 705;;
-let _X86_INS_VADDPD = 706;;
-let _X86_INS_VADDPS = 707;;
-let _X86_INS_VADDSD = 708;;
-let _X86_INS_VADDSS = 709;;
-let _X86_INS_VADDSUBPD = 710;;
-let _X86_INS_VADDSUBPS = 711;;
-let _X86_INS_VAESDECLAST = 712;;
-let _X86_INS_VAESDEC = 713;;
-let _X86_INS_VAESENCLAST = 714;;
-let _X86_INS_VAESENC = 715;;
-let _X86_INS_VAESIMC = 716;;
-let _X86_INS_VAESKEYGENASSIST = 717;;
-let _X86_INS_VALIGND = 718;;
-let _X86_INS_VALIGNQ = 719;;
-let _X86_INS_VANDNPD = 720;;
-let _X86_INS_VANDNPS = 721;;
-let _X86_INS_VANDPD = 722;;
-let _X86_INS_VANDPS = 723;;
-let _X86_INS_VBLENDMPD = 724;;
-let _X86_INS_VBLENDMPS = 725;;
-let _X86_INS_VBLENDPD = 726;;
-let _X86_INS_VBLENDPS = 727;;
-let _X86_INS_VBLENDVPD = 728;;
-let _X86_INS_VBLENDVPS = 729;;
-let _X86_INS_VBROADCASTF128 = 730;;
-let _X86_INS_VBROADCASTI128 = 731;;
-let _X86_INS_VBROADCASTI32X4 = 732;;
-let _X86_INS_VBROADCASTI64X4 = 733;;
-let _X86_INS_VBROADCASTSD = 734;;
-let _X86_INS_VBROADCASTSS = 735;;
-let _X86_INS_VCMPPD = 736;;
-let _X86_INS_VCMPPS = 737;;
-let _X86_INS_VCMPSD = 738;;
-let _X86_INS_VCMPSS = 739;;
-let _X86_INS_VCVTDQ2PD = 740;;
-let _X86_INS_VCVTDQ2PS = 741;;
-let _X86_INS_VCVTPD2DQX = 742;;
-let _X86_INS_VCVTPD2DQ = 743;;
-let _X86_INS_VCVTPD2PSX = 744;;
-let _X86_INS_VCVTPD2PS = 745;;
-let _X86_INS_VCVTPD2UDQ = 746;;
-let _X86_INS_VCVTPH2PS = 747;;
-let _X86_INS_VCVTPS2DQ = 748;;
-let _X86_INS_VCVTPS2PD = 749;;
-let _X86_INS_VCVTPS2PH = 750;;
-let _X86_INS_VCVTPS2UDQ = 751;;
-let _X86_INS_VCVTSD2SI = 752;;
-let _X86_INS_VCVTSD2USI = 753;;
-let _X86_INS_VCVTSS2SI = 754;;
-let _X86_INS_VCVTSS2USI = 755;;
-let _X86_INS_VCVTTPD2DQX = 756;;
-let _X86_INS_VCVTTPD2DQ = 757;;
-let _X86_INS_VCVTTPD2UDQ = 758;;
-let _X86_INS_VCVTTPS2DQ = 759;;
-let _X86_INS_VCVTTPS2UDQ = 760;;
-let _X86_INS_VCVTUDQ2PD = 761;;
-let _X86_INS_VCVTUDQ2PS = 762;;
-let _X86_INS_VDIVPD = 763;;
-let _X86_INS_VDIVPS = 764;;
-let _X86_INS_VDIVSD = 765;;
-let _X86_INS_VDIVSS = 766;;
-let _X86_INS_VDPPD = 767;;
-let _X86_INS_VDPPS = 768;;
-let _X86_INS_VERR = 769;;
-let _X86_INS_VERW = 770;;
-let _X86_INS_VEXTRACTF128 = 771;;
-let _X86_INS_VEXTRACTF32X4 = 772;;
-let _X86_INS_VEXTRACTF64X4 = 773;;
-let _X86_INS_VEXTRACTI128 = 774;;
-let _X86_INS_VEXTRACTI32X4 = 775;;
-let _X86_INS_VEXTRACTI64X4 = 776;;
-let _X86_INS_VEXTRACTPS = 777;;
-let _X86_INS_VFMADD132PD = 778;;
-let _X86_INS_VFMADD132PS = 779;;
-let _X86_INS_VFMADD213PD = 780;;
-let _X86_INS_VFMADD213PS = 781;;
-let _X86_INS_VFMADDPD = 782;;
-let _X86_INS_VFMADD231PD = 783;;
-let _X86_INS_VFMADDPS = 784;;
-let _X86_INS_VFMADD231PS = 785;;
-let _X86_INS_VFMADDSD = 786;;
-let _X86_INS_VFMADD213SD = 787;;
-let _X86_INS_VFMADD132SD = 788;;
-let _X86_INS_VFMADD231SD = 789;;
-let _X86_INS_VFMADDSS = 790;;
-let _X86_INS_VFMADD213SS = 791;;
-let _X86_INS_VFMADD132SS = 792;;
-let _X86_INS_VFMADD231SS = 793;;
-let _X86_INS_VFMADDSUB132PD = 794;;
-let _X86_INS_VFMADDSUB132PS = 795;;
-let _X86_INS_VFMADDSUB213PD = 796;;
-let _X86_INS_VFMADDSUB213PS = 797;;
-let _X86_INS_VFMADDSUBPD = 798;;
-let _X86_INS_VFMADDSUB231PD = 799;;
-let _X86_INS_VFMADDSUBPS = 800;;
-let _X86_INS_VFMADDSUB231PS = 801;;
-let _X86_INS_VFMSUB132PD = 802;;
-let _X86_INS_VFMSUB132PS = 803;;
-let _X86_INS_VFMSUB213PD = 804;;
-let _X86_INS_VFMSUB213PS = 805;;
-let _X86_INS_VFMSUBADD132PD = 806;;
-let _X86_INS_VFMSUBADD132PS = 807;;
-let _X86_INS_VFMSUBADD213PD = 808;;
-let _X86_INS_VFMSUBADD213PS = 809;;
-let _X86_INS_VFMSUBADDPD = 810;;
-let _X86_INS_VFMSUBADD231PD = 811;;
-let _X86_INS_VFMSUBADDPS = 812;;
-let _X86_INS_VFMSUBADD231PS = 813;;
-let _X86_INS_VFMSUBPD = 814;;
-let _X86_INS_VFMSUB231PD = 815;;
-let _X86_INS_VFMSUBPS = 816;;
-let _X86_INS_VFMSUB231PS = 817;;
-let _X86_INS_VFMSUBSD = 818;;
-let _X86_INS_VFMSUB213SD = 819;;
-let _X86_INS_VFMSUB132SD = 820;;
-let _X86_INS_VFMSUB231SD = 821;;
-let _X86_INS_VFMSUBSS = 822;;
-let _X86_INS_VFMSUB213SS = 823;;
-let _X86_INS_VFMSUB132SS = 824;;
-let _X86_INS_VFMSUB231SS = 825;;
-let _X86_INS_VFNMADD132PD = 826;;
-let _X86_INS_VFNMADD132PS = 827;;
-let _X86_INS_VFNMADD213PD = 828;;
-let _X86_INS_VFNMADD213PS = 829;;
-let _X86_INS_VFNMADDPD = 830;;
-let _X86_INS_VFNMADD231PD = 831;;
-let _X86_INS_VFNMADDPS = 832;;
-let _X86_INS_VFNMADD231PS = 833;;
-let _X86_INS_VFNMADDSD = 834;;
-let _X86_INS_VFNMADD213SD = 835;;
-let _X86_INS_VFNMADD132SD = 836;;
-let _X86_INS_VFNMADD231SD = 837;;
-let _X86_INS_VFNMADDSS = 838;;
-let _X86_INS_VFNMADD213SS = 839;;
-let _X86_INS_VFNMADD132SS = 840;;
-let _X86_INS_VFNMADD231SS = 841;;
-let _X86_INS_VFNMSUB132PD = 842;;
-let _X86_INS_VFNMSUB132PS = 843;;
-let _X86_INS_VFNMSUB213PD = 844;;
-let _X86_INS_VFNMSUB213PS = 845;;
-let _X86_INS_VFNMSUBPD = 846;;
-let _X86_INS_VFNMSUB231PD = 847;;
-let _X86_INS_VFNMSUBPS = 848;;
-let _X86_INS_VFNMSUB231PS = 849;;
-let _X86_INS_VFNMSUBSD = 850;;
-let _X86_INS_VFNMSUB213SD = 851;;
-let _X86_INS_VFNMSUB132SD = 852;;
-let _X86_INS_VFNMSUB231SD = 853;;
-let _X86_INS_VFNMSUBSS = 854;;
-let _X86_INS_VFNMSUB213SS = 855;;
-let _X86_INS_VFNMSUB132SS = 856;;
-let _X86_INS_VFNMSUB231SS = 857;;
-let _X86_INS_VFRCZPD = 858;;
-let _X86_INS_VFRCZPS = 859;;
-let _X86_INS_VFRCZSD = 860;;
-let _X86_INS_VFRCZSS = 861;;
-let _X86_INS_VORPD = 862;;
-let _X86_INS_VORPS = 863;;
-let _X86_INS_VXORPD = 864;;
-let _X86_INS_VXORPS = 865;;
-let _X86_INS_VGATHERDPD = 866;;
-let _X86_INS_VGATHERDPS = 867;;
-let _X86_INS_VGATHERPF0DPD = 868;;
-let _X86_INS_VGATHERPF0DPS = 869;;
-let _X86_INS_VGATHERPF0QPD = 870;;
-let _X86_INS_VGATHERPF0QPS = 871;;
-let _X86_INS_VGATHERPF1DPD = 872;;
-let _X86_INS_VGATHERPF1DPS = 873;;
-let _X86_INS_VGATHERPF1QPD = 874;;
-let _X86_INS_VGATHERPF1QPS = 875;;
-let _X86_INS_VGATHERQPD = 876;;
-let _X86_INS_VGATHERQPS = 877;;
-let _X86_INS_VHADDPD = 878;;
-let _X86_INS_VHADDPS = 879;;
-let _X86_INS_VHSUBPD = 880;;
-let _X86_INS_VHSUBPS = 881;;
-let _X86_INS_VINSERTF128 = 882;;
-let _X86_INS_VINSERTF32X4 = 883;;
-let _X86_INS_VINSERTF64X4 = 884;;
-let _X86_INS_VINSERTI128 = 885;;
-let _X86_INS_VINSERTI32X4 = 886;;
-let _X86_INS_VINSERTI64X4 = 887;;
-let _X86_INS_VINSERTPS = 888;;
-let _X86_INS_VLDDQU = 889;;
-let _X86_INS_VLDMXCSR = 890;;
-let _X86_INS_VMASKMOVDQU = 891;;
-let _X86_INS_VMASKMOVPD = 892;;
-let _X86_INS_VMASKMOVPS = 893;;
-let _X86_INS_VMAXPD = 894;;
-let _X86_INS_VMAXPS = 895;;
-let _X86_INS_VMAXSD = 896;;
-let _X86_INS_VMAXSS = 897;;
-let _X86_INS_VMCALL = 898;;
-let _X86_INS_VMCLEAR = 899;;
-let _X86_INS_VMFUNC = 900;;
-let _X86_INS_VMINPD = 901;;
-let _X86_INS_VMINPS = 902;;
-let _X86_INS_VMINSD = 903;;
-let _X86_INS_VMINSS = 904;;
-let _X86_INS_VMLAUNCH = 905;;
-let _X86_INS_VMLOAD = 906;;
-let _X86_INS_VMMCALL = 907;;
-let _X86_INS_VMOVQ = 908;;
-let _X86_INS_VMOVDDUP = 909;;
-let _X86_INS_VMOVD = 910;;
-let _X86_INS_VMOVDQA32 = 911;;
-let _X86_INS_VMOVDQA64 = 912;;
-let _X86_INS_VMOVDQA = 913;;
-let _X86_INS_VMOVDQU16 = 914;;
-let _X86_INS_VMOVDQU32 = 915;;
-let _X86_INS_VMOVDQU64 = 916;;
-let _X86_INS_VMOVDQU8 = 917;;
-let _X86_INS_VMOVDQU = 918;;
-let _X86_INS_VMOVHLPS = 919;;
-let _X86_INS_VMOVHPD = 920;;
-let _X86_INS_VMOVHPS = 921;;
-let _X86_INS_VMOVLHPS = 922;;
-let _X86_INS_VMOVLPD = 923;;
-let _X86_INS_VMOVLPS = 924;;
-let _X86_INS_VMOVMSKPD = 925;;
-let _X86_INS_VMOVMSKPS = 926;;
-let _X86_INS_VMOVNTDQA = 927;;
-let _X86_INS_VMOVNTDQ = 928;;
-let _X86_INS_VMOVNTPD = 929;;
-let _X86_INS_VMOVNTPS = 930;;
-let _X86_INS_VMOVSD = 931;;
-let _X86_INS_VMOVSHDUP = 932;;
-let _X86_INS_VMOVSLDUP = 933;;
-let _X86_INS_VMOVSS = 934;;
-let _X86_INS_VMOVUPD = 935;;
-let _X86_INS_VMOVUPS = 936;;
-let _X86_INS_VMPSADBW = 937;;
-let _X86_INS_VMPTRLD = 938;;
-let _X86_INS_VMPTRST = 939;;
-let _X86_INS_VMREAD = 940;;
-let _X86_INS_VMRESUME = 941;;
-let _X86_INS_VMRUN = 942;;
-let _X86_INS_VMSAVE = 943;;
-let _X86_INS_VMULPD = 944;;
-let _X86_INS_VMULPS = 945;;
-let _X86_INS_VMULSD = 946;;
-let _X86_INS_VMULSS = 947;;
-let _X86_INS_VMWRITE = 948;;
-let _X86_INS_VMXOFF = 949;;
-let _X86_INS_VMXON = 950;;
-let _X86_INS_VPABSB = 951;;
-let _X86_INS_VPABSD = 952;;
-let _X86_INS_VPABSQ = 953;;
-let _X86_INS_VPABSW = 954;;
-let _X86_INS_VPACKSSDW = 955;;
-let _X86_INS_VPACKSSWB = 956;;
-let _X86_INS_VPACKUSDW = 957;;
-let _X86_INS_VPACKUSWB = 958;;
-let _X86_INS_VPADDB = 959;;
-let _X86_INS_VPADDD = 960;;
-let _X86_INS_VPADDQ = 961;;
-let _X86_INS_VPADDSB = 962;;
-let _X86_INS_VPADDSW = 963;;
-let _X86_INS_VPADDUSB = 964;;
-let _X86_INS_VPADDUSW = 965;;
-let _X86_INS_VPADDW = 966;;
-let _X86_INS_VPALIGNR = 967;;
-let _X86_INS_VPANDD = 968;;
-let _X86_INS_VPANDND = 969;;
-let _X86_INS_VPANDNQ = 970;;
-let _X86_INS_VPANDN = 971;;
-let _X86_INS_VPANDQ = 972;;
-let _X86_INS_VPAND = 973;;
-let _X86_INS_VPAVGB = 974;;
-let _X86_INS_VPAVGW = 975;;
-let _X86_INS_VPBLENDD = 976;;
-let _X86_INS_VPBLENDMD = 977;;
-let _X86_INS_VPBLENDMQ = 978;;
-let _X86_INS_VPBLENDVB = 979;;
-let _X86_INS_VPBLENDW = 980;;
-let _X86_INS_VPBROADCASTB = 981;;
-let _X86_INS_VPBROADCASTD = 982;;
-let _X86_INS_VPBROADCASTMB2Q = 983;;
-let _X86_INS_VPBROADCASTMW2D = 984;;
-let _X86_INS_VPBROADCASTQ = 985;;
-let _X86_INS_VPBROADCASTW = 986;;
-let _X86_INS_VPCLMULQDQ = 987;;
-let _X86_INS_VPCMOV = 988;;
-let _X86_INS_VPCMP = 989;;
-let _X86_INS_VPCMPD = 990;;
-let _X86_INS_VPCMPEQB = 991;;
-let _X86_INS_VPCMPEQD = 992;;
-let _X86_INS_VPCMPEQQ = 993;;
-let _X86_INS_VPCMPEQW = 994;;
-let _X86_INS_VPCMPESTRI = 995;;
-let _X86_INS_VPCMPESTRM = 996;;
-let _X86_INS_VPCMPGTB = 997;;
-let _X86_INS_VPCMPGTD = 998;;
-let _X86_INS_VPCMPGTQ = 999;;
-let _X86_INS_VPCMPGTW = 1000;;
-let _X86_INS_VPCMPISTRI = 1001;;
-let _X86_INS_VPCMPISTRM = 1002;;
-let _X86_INS_VPCMPQ = 1003;;
-let _X86_INS_VPCMPUD = 1004;;
-let _X86_INS_VPCMPUQ = 1005;;
-let _X86_INS_VPCOMB = 1006;;
-let _X86_INS_VPCOMD = 1007;;
-let _X86_INS_VPCOMQ = 1008;;
-let _X86_INS_VPCOMUB = 1009;;
-let _X86_INS_VPCOMUD = 1010;;
-let _X86_INS_VPCOMUQ = 1011;;
-let _X86_INS_VPCOMUW = 1012;;
-let _X86_INS_VPCOMW = 1013;;
-let _X86_INS_VPCONFLICTD = 1014;;
-let _X86_INS_VPCONFLICTQ = 1015;;
-let _X86_INS_VPERM2F128 = 1016;;
-let _X86_INS_VPERM2I128 = 1017;;
-let _X86_INS_VPERMD = 1018;;
-let _X86_INS_VPERMI2D = 1019;;
-let _X86_INS_VPERMI2PD = 1020;;
-let _X86_INS_VPERMI2PS = 1021;;
-let _X86_INS_VPERMI2Q = 1022;;
-let _X86_INS_VPERMIL2PD = 1023;;
-let _X86_INS_VPERMIL2PS = 1024;;
-let _X86_INS_VPERMILPD = 1025;;
-let _X86_INS_VPERMILPS = 1026;;
-let _X86_INS_VPERMPD = 1027;;
-let _X86_INS_VPERMPS = 1028;;
-let _X86_INS_VPERMQ = 1029;;
-let _X86_INS_VPERMT2D = 1030;;
-let _X86_INS_VPERMT2PD = 1031;;
-let _X86_INS_VPERMT2PS = 1032;;
-let _X86_INS_VPERMT2Q = 1033;;
-let _X86_INS_VPEXTRB = 1034;;
-let _X86_INS_VPEXTRD = 1035;;
-let _X86_INS_VPEXTRQ = 1036;;
-let _X86_INS_VPEXTRW = 1037;;
-let _X86_INS_VPGATHERDD = 1038;;
-let _X86_INS_VPGATHERDQ = 1039;;
-let _X86_INS_VPGATHERQD = 1040;;
-let _X86_INS_VPGATHERQQ = 1041;;
-let _X86_INS_VPHADDBD = 1042;;
-let _X86_INS_VPHADDBQ = 1043;;
-let _X86_INS_VPHADDBW = 1044;;
-let _X86_INS_VPHADDDQ = 1045;;
-let _X86_INS_VPHADDD = 1046;;
-let _X86_INS_VPHADDSW = 1047;;
-let _X86_INS_VPHADDUBD = 1048;;
-let _X86_INS_VPHADDUBQ = 1049;;
-let _X86_INS_VPHADDUBW = 1050;;
-let _X86_INS_VPHADDUDQ = 1051;;
-let _X86_INS_VPHADDUWD = 1052;;
-let _X86_INS_VPHADDUWQ = 1053;;
-let _X86_INS_VPHADDWD = 1054;;
-let _X86_INS_VPHADDWQ = 1055;;
-let _X86_INS_VPHADDW = 1056;;
-let _X86_INS_VPHMINPOSUW = 1057;;
-let _X86_INS_VPHSUBBW = 1058;;
-let _X86_INS_VPHSUBDQ = 1059;;
-let _X86_INS_VPHSUBD = 1060;;
-let _X86_INS_VPHSUBSW = 1061;;
-let _X86_INS_VPHSUBWD = 1062;;
-let _X86_INS_VPHSUBW = 1063;;
-let _X86_INS_VPINSRB = 1064;;
-let _X86_INS_VPINSRD = 1065;;
-let _X86_INS_VPINSRQ = 1066;;
-let _X86_INS_VPINSRW = 1067;;
-let _X86_INS_VPLZCNTD = 1068;;
-let _X86_INS_VPLZCNTQ = 1069;;
-let _X86_INS_VPMACSDD = 1070;;
-let _X86_INS_VPMACSDQH = 1071;;
-let _X86_INS_VPMACSDQL = 1072;;
-let _X86_INS_VPMACSSDD = 1073;;
-let _X86_INS_VPMACSSDQH = 1074;;
-let _X86_INS_VPMACSSDQL = 1075;;
-let _X86_INS_VPMACSSWD = 1076;;
-let _X86_INS_VPMACSSWW = 1077;;
-let _X86_INS_VPMACSWD = 1078;;
-let _X86_INS_VPMACSWW = 1079;;
-let _X86_INS_VPMADCSSWD = 1080;;
-let _X86_INS_VPMADCSWD = 1081;;
-let _X86_INS_VPMADDUBSW = 1082;;
-let _X86_INS_VPMADDWD = 1083;;
-let _X86_INS_VPMASKMOVD = 1084;;
-let _X86_INS_VPMASKMOVQ = 1085;;
-let _X86_INS_VPMAXSB = 1086;;
-let _X86_INS_VPMAXSD = 1087;;
-let _X86_INS_VPMAXSQ = 1088;;
-let _X86_INS_VPMAXSW = 1089;;
-let _X86_INS_VPMAXUB = 1090;;
-let _X86_INS_VPMAXUD = 1091;;
-let _X86_INS_VPMAXUQ = 1092;;
-let _X86_INS_VPMAXUW = 1093;;
-let _X86_INS_VPMINSB = 1094;;
-let _X86_INS_VPMINSD = 1095;;
-let _X86_INS_VPMINSQ = 1096;;
-let _X86_INS_VPMINSW = 1097;;
-let _X86_INS_VPMINUB = 1098;;
-let _X86_INS_VPMINUD = 1099;;
-let _X86_INS_VPMINUQ = 1100;;
-let _X86_INS_VPMINUW = 1101;;
-let _X86_INS_VPMOVDB = 1102;;
-let _X86_INS_VPMOVDW = 1103;;
-let _X86_INS_VPMOVMSKB = 1104;;
-let _X86_INS_VPMOVQB = 1105;;
-let _X86_INS_VPMOVQD = 1106;;
-let _X86_INS_VPMOVQW = 1107;;
-let _X86_INS_VPMOVSDB = 1108;;
-let _X86_INS_VPMOVSDW = 1109;;
-let _X86_INS_VPMOVSQB = 1110;;
-let _X86_INS_VPMOVSQD = 1111;;
-let _X86_INS_VPMOVSQW = 1112;;
-let _X86_INS_VPMOVSXBD = 1113;;
-let _X86_INS_VPMOVSXBQ = 1114;;
-let _X86_INS_VPMOVSXBW = 1115;;
-let _X86_INS_VPMOVSXDQ = 1116;;
-let _X86_INS_VPMOVSXWD = 1117;;
-let _X86_INS_VPMOVSXWQ = 1118;;
-let _X86_INS_VPMOVUSDB = 1119;;
-let _X86_INS_VPMOVUSDW = 1120;;
-let _X86_INS_VPMOVUSQB = 1121;;
-let _X86_INS_VPMOVUSQD = 1122;;
-let _X86_INS_VPMOVUSQW = 1123;;
-let _X86_INS_VPMOVZXBD = 1124;;
-let _X86_INS_VPMOVZXBQ = 1125;;
-let _X86_INS_VPMOVZXBW = 1126;;
-let _X86_INS_VPMOVZXDQ = 1127;;
-let _X86_INS_VPMOVZXWD = 1128;;
-let _X86_INS_VPMOVZXWQ = 1129;;
-let _X86_INS_VPMULDQ = 1130;;
-let _X86_INS_VPMULHRSW = 1131;;
-let _X86_INS_VPMULHUW = 1132;;
-let _X86_INS_VPMULHW = 1133;;
-let _X86_INS_VPMULLD = 1134;;
-let _X86_INS_VPMULLW = 1135;;
-let _X86_INS_VPMULUDQ = 1136;;
-let _X86_INS_VPORD = 1137;;
-let _X86_INS_VPORQ = 1138;;
-let _X86_INS_VPOR = 1139;;
-let _X86_INS_VPPERM = 1140;;
-let _X86_INS_VPROTB = 1141;;
-let _X86_INS_VPROTD = 1142;;
-let _X86_INS_VPROTQ = 1143;;
-let _X86_INS_VPROTW = 1144;;
-let _X86_INS_VPSADBW = 1145;;
-let _X86_INS_VPSCATTERDD = 1146;;
-let _X86_INS_VPSCATTERDQ = 1147;;
-let _X86_INS_VPSCATTERQD = 1148;;
-let _X86_INS_VPSCATTERQQ = 1149;;
-let _X86_INS_VPSHAB = 1150;;
-let _X86_INS_VPSHAD = 1151;;
-let _X86_INS_VPSHAQ = 1152;;
-let _X86_INS_VPSHAW = 1153;;
-let _X86_INS_VPSHLB = 1154;;
-let _X86_INS_VPSHLD = 1155;;
-let _X86_INS_VPSHLQ = 1156;;
-let _X86_INS_VPSHLW = 1157;;
-let _X86_INS_VPSHUFB = 1158;;
-let _X86_INS_VPSHUFD = 1159;;
-let _X86_INS_VPSHUFHW = 1160;;
-let _X86_INS_VPSHUFLW = 1161;;
-let _X86_INS_VPSIGNB = 1162;;
-let _X86_INS_VPSIGND = 1163;;
-let _X86_INS_VPSIGNW = 1164;;
-let _X86_INS_VPSLLDQ = 1165;;
-let _X86_INS_VPSLLD = 1166;;
-let _X86_INS_VPSLLQ = 1167;;
-let _X86_INS_VPSLLVD = 1168;;
-let _X86_INS_VPSLLVQ = 1169;;
-let _X86_INS_VPSLLW = 1170;;
-let _X86_INS_VPSRAD = 1171;;
-let _X86_INS_VPSRAQ = 1172;;
-let _X86_INS_VPSRAVD = 1173;;
-let _X86_INS_VPSRAVQ = 1174;;
-let _X86_INS_VPSRAW = 1175;;
-let _X86_INS_VPSRLDQ = 1176;;
-let _X86_INS_VPSRLD = 1177;;
-let _X86_INS_VPSRLQ = 1178;;
-let _X86_INS_VPSRLVD = 1179;;
-let _X86_INS_VPSRLVQ = 1180;;
-let _X86_INS_VPSRLW = 1181;;
-let _X86_INS_VPSUBB = 1182;;
-let _X86_INS_VPSUBD = 1183;;
-let _X86_INS_VPSUBQ = 1184;;
-let _X86_INS_VPSUBSB = 1185;;
-let _X86_INS_VPSUBSW = 1186;;
-let _X86_INS_VPSUBUSB = 1187;;
-let _X86_INS_VPSUBUSW = 1188;;
-let _X86_INS_VPSUBW = 1189;;
-let _X86_INS_VPTESTMD = 1190;;
-let _X86_INS_VPTESTMQ = 1191;;
-let _X86_INS_VPTESTNMD = 1192;;
-let _X86_INS_VPTESTNMQ = 1193;;
-let _X86_INS_VPTEST = 1194;;
-let _X86_INS_VPUNPCKHBW = 1195;;
-let _X86_INS_VPUNPCKHDQ = 1196;;
-let _X86_INS_VPUNPCKHQDQ = 1197;;
-let _X86_INS_VPUNPCKHWD = 1198;;
-let _X86_INS_VPUNPCKLBW = 1199;;
-let _X86_INS_VPUNPCKLDQ = 1200;;
-let _X86_INS_VPUNPCKLQDQ = 1201;;
-let _X86_INS_VPUNPCKLWD = 1202;;
-let _X86_INS_VPXORD = 1203;;
-let _X86_INS_VPXORQ = 1204;;
-let _X86_INS_VPXOR = 1205;;
-let _X86_INS_VRCP14PD = 1206;;
-let _X86_INS_VRCP14PS = 1207;;
-let _X86_INS_VRCP14SD = 1208;;
-let _X86_INS_VRCP14SS = 1209;;
-let _X86_INS_VRCP28PD = 1210;;
-let _X86_INS_VRCP28PS = 1211;;
-let _X86_INS_VRCP28SD = 1212;;
-let _X86_INS_VRCP28SS = 1213;;
-let _X86_INS_VRCPPS = 1214;;
-let _X86_INS_VRCPSS = 1215;;
-let _X86_INS_VRNDSCALEPD = 1216;;
-let _X86_INS_VRNDSCALEPS = 1217;;
-let _X86_INS_VRNDSCALESD = 1218;;
-let _X86_INS_VRNDSCALESS = 1219;;
-let _X86_INS_VROUNDPD = 1220;;
-let _X86_INS_VROUNDPS = 1221;;
-let _X86_INS_VROUNDSD = 1222;;
-let _X86_INS_VROUNDSS = 1223;;
-let _X86_INS_VRSQRT14PD = 1224;;
-let _X86_INS_VRSQRT14PS = 1225;;
-let _X86_INS_VRSQRT14SD = 1226;;
-let _X86_INS_VRSQRT14SS = 1227;;
-let _X86_INS_VRSQRT28PD = 1228;;
-let _X86_INS_VRSQRT28PS = 1229;;
-let _X86_INS_VRSQRT28SD = 1230;;
-let _X86_INS_VRSQRT28SS = 1231;;
-let _X86_INS_VRSQRTPS = 1232;;
-let _X86_INS_VRSQRTSS = 1233;;
-let _X86_INS_VSCATTERDPD = 1234;;
-let _X86_INS_VSCATTERDPS = 1235;;
-let _X86_INS_VSCATTERPF0DPD = 1236;;
-let _X86_INS_VSCATTERPF0DPS = 1237;;
-let _X86_INS_VSCATTERPF0QPD = 1238;;
-let _X86_INS_VSCATTERPF0QPS = 1239;;
-let _X86_INS_VSCATTERPF1DPD = 1240;;
-let _X86_INS_VSCATTERPF1DPS = 1241;;
-let _X86_INS_VSCATTERPF1QPD = 1242;;
-let _X86_INS_VSCATTERPF1QPS = 1243;;
-let _X86_INS_VSCATTERQPD = 1244;;
-let _X86_INS_VSCATTERQPS = 1245;;
-let _X86_INS_VSHUFPD = 1246;;
-let _X86_INS_VSHUFPS = 1247;;
-let _X86_INS_VSQRTPD = 1248;;
-let _X86_INS_VSQRTPS = 1249;;
-let _X86_INS_VSQRTSD = 1250;;
-let _X86_INS_VSQRTSS = 1251;;
-let _X86_INS_VSTMXCSR = 1252;;
-let _X86_INS_VSUBPD = 1253;;
-let _X86_INS_VSUBPS = 1254;;
-let _X86_INS_VSUBSD = 1255;;
-let _X86_INS_VSUBSS = 1256;;
-let _X86_INS_VTESTPD = 1257;;
-let _X86_INS_VTESTPS = 1258;;
-let _X86_INS_VUNPCKHPD = 1259;;
-let _X86_INS_VUNPCKHPS = 1260;;
-let _X86_INS_VUNPCKLPD = 1261;;
-let _X86_INS_VUNPCKLPS = 1262;;
-let _X86_INS_VZEROALL = 1263;;
-let _X86_INS_VZEROUPPER = 1264;;
-let _X86_INS_WAIT = 1265;;
-let _X86_INS_WBINVD = 1266;;
-let _X86_INS_WRFSBASE = 1267;;
-let _X86_INS_WRGSBASE = 1268;;
-let _X86_INS_WRMSR = 1269;;
-let _X86_INS_XABORT = 1270;;
-let _X86_INS_XACQUIRE = 1271;;
-let _X86_INS_XBEGIN = 1272;;
-let _X86_INS_XCHG = 1273;;
-let _X86_INS_FXCH = 1274;;
-let _X86_INS_XCRYPTCBC = 1275;;
-let _X86_INS_XCRYPTCFB = 1276;;
-let _X86_INS_XCRYPTCTR = 1277;;
-let _X86_INS_XCRYPTECB = 1278;;
-let _X86_INS_XCRYPTOFB = 1279;;
-let _X86_INS_XEND = 1280;;
-let _X86_INS_XGETBV = 1281;;
-let _X86_INS_XLATB = 1282;;
-let _X86_INS_XRELEASE = 1283;;
-let _X86_INS_XRSTOR = 1284;;
-let _X86_INS_XRSTOR64 = 1285;;
-let _X86_INS_XSAVE = 1286;;
-let _X86_INS_XSAVE64 = 1287;;
-let _X86_INS_XSAVEOPT = 1288;;
-let _X86_INS_XSAVEOPT64 = 1289;;
-let _X86_INS_XSETBV = 1290;;
-let _X86_INS_XSHA1 = 1291;;
-let _X86_INS_XSHA256 = 1292;;
-let _X86_INS_XSTORE = 1293;;
-let _X86_INS_XTEST = 1294;;
-let _X86_INS_ENDING = 1295;;
-
-(* Group of X86 instructions *)
+let _X86_INS_CMPSQ = 97;;
+let _X86_INS_CMPSW = 98;;
+let _X86_INS_CMPXCHG16B = 99;;
+let _X86_INS_CMPXCHG = 100;;
+let _X86_INS_CMPXCHG8B = 101;;
+let _X86_INS_COMISD = 102;;
+let _X86_INS_COMISS = 103;;
+let _X86_INS_FCOMP = 104;;
+let _X86_INS_FCOMIP = 105;;
+let _X86_INS_FCOMI = 106;;
+let _X86_INS_FCOM = 107;;
+let _X86_INS_FCOS = 108;;
+let _X86_INS_CPUID = 109;;
+let _X86_INS_CQO = 110;;
+let _X86_INS_CRC32 = 111;;
+let _X86_INS_CVTDQ2PD = 112;;
+let _X86_INS_CVTDQ2PS = 113;;
+let _X86_INS_CVTPD2DQ = 114;;
+let _X86_INS_CVTPD2PS = 115;;
+let _X86_INS_CVTPS2DQ = 116;;
+let _X86_INS_CVTPS2PD = 117;;
+let _X86_INS_CVTSD2SI = 118;;
+let _X86_INS_CVTSD2SS = 119;;
+let _X86_INS_CVTSI2SD = 120;;
+let _X86_INS_CVTSI2SS = 121;;
+let _X86_INS_CVTSS2SD = 122;;
+let _X86_INS_CVTSS2SI = 123;;
+let _X86_INS_CVTTPD2DQ = 124;;
+let _X86_INS_CVTTPS2DQ = 125;;
+let _X86_INS_CVTTSD2SI = 126;;
+let _X86_INS_CVTTSS2SI = 127;;
+let _X86_INS_CWD = 128;;
+let _X86_INS_CWDE = 129;;
+let _X86_INS_DAA = 130;;
+let _X86_INS_DAS = 131;;
+let _X86_INS_DATA16 = 132;;
+let _X86_INS_DEC = 133;;
+let _X86_INS_DIV = 134;;
+let _X86_INS_DIVPD = 135;;
+let _X86_INS_DIVPS = 136;;
+let _X86_INS_FDIVR = 137;;
+let _X86_INS_FIDIVR = 138;;
+let _X86_INS_FDIVRP = 139;;
+let _X86_INS_DIVSD = 140;;
+let _X86_INS_DIVSS = 141;;
+let _X86_INS_FDIV = 142;;
+let _X86_INS_FIDIV = 143;;
+let _X86_INS_FDIVP = 144;;
+let _X86_INS_DPPD = 145;;
+let _X86_INS_DPPS = 146;;
+let _X86_INS_RET = 147;;
+let _X86_INS_ENCLS = 148;;
+let _X86_INS_ENCLU = 149;;
+let _X86_INS_ENTER = 150;;
+let _X86_INS_EXTRACTPS = 151;;
+let _X86_INS_EXTRQ = 152;;
+let _X86_INS_F2XM1 = 153;;
+let _X86_INS_LCALL = 154;;
+let _X86_INS_LJMP = 155;;
+let _X86_INS_FBLD = 156;;
+let _X86_INS_FBSTP = 157;;
+let _X86_INS_FCOMPP = 158;;
+let _X86_INS_FDECSTP = 159;;
+let _X86_INS_FEMMS = 160;;
+let _X86_INS_FFREE = 161;;
+let _X86_INS_FICOM = 162;;
+let _X86_INS_FICOMP = 163;;
+let _X86_INS_FINCSTP = 164;;
+let _X86_INS_FLDCW = 165;;
+let _X86_INS_FLDENV = 166;;
+let _X86_INS_FLDL2E = 167;;
+let _X86_INS_FLDL2T = 168;;
+let _X86_INS_FLDLG2 = 169;;
+let _X86_INS_FLDLN2 = 170;;
+let _X86_INS_FLDPI = 171;;
+let _X86_INS_FNCLEX = 172;;
+let _X86_INS_FNINIT = 173;;
+let _X86_INS_FNOP = 174;;
+let _X86_INS_FNSTCW = 175;;
+let _X86_INS_FNSTSW = 176;;
+let _X86_INS_FPATAN = 177;;
+let _X86_INS_FPREM = 178;;
+let _X86_INS_FPREM1 = 179;;
+let _X86_INS_FPTAN = 180;;
+let _X86_INS_FFREEP = 181;;
+let _X86_INS_FRNDINT = 182;;
+let _X86_INS_FRSTOR = 183;;
+let _X86_INS_FNSAVE = 184;;
+let _X86_INS_FSCALE = 185;;
+let _X86_INS_FSETPM = 186;;
+let _X86_INS_FSINCOS = 187;;
+let _X86_INS_FNSTENV = 188;;
+let _X86_INS_FXAM = 189;;
+let _X86_INS_FXRSTOR = 190;;
+let _X86_INS_FXRSTOR64 = 191;;
+let _X86_INS_FXSAVE = 192;;
+let _X86_INS_FXSAVE64 = 193;;
+let _X86_INS_FXTRACT = 194;;
+let _X86_INS_FYL2X = 195;;
+let _X86_INS_FYL2XP1 = 196;;
+let _X86_INS_MOVAPD = 197;;
+let _X86_INS_MOVAPS = 198;;
+let _X86_INS_ORPD = 199;;
+let _X86_INS_ORPS = 200;;
+let _X86_INS_VMOVAPD = 201;;
+let _X86_INS_VMOVAPS = 202;;
+let _X86_INS_XORPD = 203;;
+let _X86_INS_XORPS = 204;;
+let _X86_INS_GETSEC = 205;;
+let _X86_INS_HADDPD = 206;;
+let _X86_INS_HADDPS = 207;;
+let _X86_INS_HLT = 208;;
+let _X86_INS_HSUBPD = 209;;
+let _X86_INS_HSUBPS = 210;;
+let _X86_INS_IDIV = 211;;
+let _X86_INS_FILD = 212;;
+let _X86_INS_IMUL = 213;;
+let _X86_INS_IN = 214;;
+let _X86_INS_INC = 215;;
+let _X86_INS_INSB = 216;;
+let _X86_INS_INSERTPS = 217;;
+let _X86_INS_INSERTQ = 218;;
+let _X86_INS_INSD = 219;;
+let _X86_INS_INSW = 220;;
+let _X86_INS_INT = 221;;
+let _X86_INS_INT1 = 222;;
+let _X86_INS_INT3 = 223;;
+let _X86_INS_INTO = 224;;
+let _X86_INS_INVD = 225;;
+let _X86_INS_INVEPT = 226;;
+let _X86_INS_INVLPG = 227;;
+let _X86_INS_INVLPGA = 228;;
+let _X86_INS_INVPCID = 229;;
+let _X86_INS_INVVPID = 230;;
+let _X86_INS_IRET = 231;;
+let _X86_INS_IRETD = 232;;
+let _X86_INS_IRETQ = 233;;
+let _X86_INS_FISTTP = 234;;
+let _X86_INS_FIST = 235;;
+let _X86_INS_FISTP = 236;;
+let _X86_INS_UCOMISD = 237;;
+let _X86_INS_UCOMISS = 238;;
+let _X86_INS_VCOMISD = 239;;
+let _X86_INS_VCOMISS = 240;;
+let _X86_INS_VCVTSD2SS = 241;;
+let _X86_INS_VCVTSI2SD = 242;;
+let _X86_INS_VCVTSI2SS = 243;;
+let _X86_INS_VCVTSS2SD = 244;;
+let _X86_INS_VCVTTSD2SI = 245;;
+let _X86_INS_VCVTTSD2USI = 246;;
+let _X86_INS_VCVTTSS2SI = 247;;
+let _X86_INS_VCVTTSS2USI = 248;;
+let _X86_INS_VCVTUSI2SD = 249;;
+let _X86_INS_VCVTUSI2SS = 250;;
+let _X86_INS_VUCOMISD = 251;;
+let _X86_INS_VUCOMISS = 252;;
+let _X86_INS_JAE = 253;;
+let _X86_INS_JA = 254;;
+let _X86_INS_JBE = 255;;
+let _X86_INS_JB = 256;;
+let _X86_INS_JCXZ = 257;;
+let _X86_INS_JECXZ = 258;;
+let _X86_INS_JE = 259;;
+let _X86_INS_JGE = 260;;
+let _X86_INS_JG = 261;;
+let _X86_INS_JLE = 262;;
+let _X86_INS_JL = 263;;
+let _X86_INS_JMP = 264;;
+let _X86_INS_JNE = 265;;
+let _X86_INS_JNO = 266;;
+let _X86_INS_JNP = 267;;
+let _X86_INS_JNS = 268;;
+let _X86_INS_JO = 269;;
+let _X86_INS_JP = 270;;
+let _X86_INS_JRCXZ = 271;;
+let _X86_INS_JS = 272;;
+let _X86_INS_KANDB = 273;;
+let _X86_INS_KANDD = 274;;
+let _X86_INS_KANDNB = 275;;
+let _X86_INS_KANDND = 276;;
+let _X86_INS_KANDNQ = 277;;
+let _X86_INS_KANDNW = 278;;
+let _X86_INS_KANDQ = 279;;
+let _X86_INS_KANDW = 280;;
+let _X86_INS_KMOVB = 281;;
+let _X86_INS_KMOVD = 282;;
+let _X86_INS_KMOVQ = 283;;
+let _X86_INS_KMOVW = 284;;
+let _X86_INS_KNOTB = 285;;
+let _X86_INS_KNOTD = 286;;
+let _X86_INS_KNOTQ = 287;;
+let _X86_INS_KNOTW = 288;;
+let _X86_INS_KORB = 289;;
+let _X86_INS_KORD = 290;;
+let _X86_INS_KORQ = 291;;
+let _X86_INS_KORTESTB = 292;;
+let _X86_INS_KORTESTD = 293;;
+let _X86_INS_KORTESTQ = 294;;
+let _X86_INS_KORTESTW = 295;;
+let _X86_INS_KORW = 296;;
+let _X86_INS_KSHIFTLB = 297;;
+let _X86_INS_KSHIFTLD = 298;;
+let _X86_INS_KSHIFTLQ = 299;;
+let _X86_INS_KSHIFTLW = 300;;
+let _X86_INS_KSHIFTRB = 301;;
+let _X86_INS_KSHIFTRD = 302;;
+let _X86_INS_KSHIFTRQ = 303;;
+let _X86_INS_KSHIFTRW = 304;;
+let _X86_INS_KUNPCKBW = 305;;
+let _X86_INS_KXNORB = 306;;
+let _X86_INS_KXNORD = 307;;
+let _X86_INS_KXNORQ = 308;;
+let _X86_INS_KXNORW = 309;;
+let _X86_INS_KXORB = 310;;
+let _X86_INS_KXORD = 311;;
+let _X86_INS_KXORQ = 312;;
+let _X86_INS_KXORW = 313;;
+let _X86_INS_LAHF = 314;;
+let _X86_INS_LAR = 315;;
+let _X86_INS_LDDQU = 316;;
+let _X86_INS_LDMXCSR = 317;;
+let _X86_INS_LDS = 318;;
+let _X86_INS_FLDZ = 319;;
+let _X86_INS_FLD1 = 320;;
+let _X86_INS_FLD = 321;;
+let _X86_INS_LEA = 322;;
+let _X86_INS_LEAVE = 323;;
+let _X86_INS_LES = 324;;
+let _X86_INS_LFENCE = 325;;
+let _X86_INS_LFS = 326;;
+let _X86_INS_LGDT = 327;;
+let _X86_INS_LGS = 328;;
+let _X86_INS_LIDT = 329;;
+let _X86_INS_LLDT = 330;;
+let _X86_INS_LMSW = 331;;
+let _X86_INS_OR = 332;;
+let _X86_INS_SUB = 333;;
+let _X86_INS_XOR = 334;;
+let _X86_INS_LODSB = 335;;
+let _X86_INS_LODSD = 336;;
+let _X86_INS_LODSQ = 337;;
+let _X86_INS_LODSW = 338;;
+let _X86_INS_LOOP = 339;;
+let _X86_INS_LOOPE = 340;;
+let _X86_INS_LOOPNE = 341;;
+let _X86_INS_RETF = 342;;
+let _X86_INS_RETFQ = 343;;
+let _X86_INS_LSL = 344;;
+let _X86_INS_LSS = 345;;
+let _X86_INS_LTR = 346;;
+let _X86_INS_XADD = 347;;
+let _X86_INS_LZCNT = 348;;
+let _X86_INS_MASKMOVDQU = 349;;
+let _X86_INS_MAXPD = 350;;
+let _X86_INS_MAXPS = 351;;
+let _X86_INS_MAXSD = 352;;
+let _X86_INS_MAXSS = 353;;
+let _X86_INS_MFENCE = 354;;
+let _X86_INS_MINPD = 355;;
+let _X86_INS_MINPS = 356;;
+let _X86_INS_MINSD = 357;;
+let _X86_INS_MINSS = 358;;
+let _X86_INS_CVTPD2PI = 359;;
+let _X86_INS_CVTPI2PD = 360;;
+let _X86_INS_CVTPI2PS = 361;;
+let _X86_INS_CVTPS2PI = 362;;
+let _X86_INS_CVTTPD2PI = 363;;
+let _X86_INS_CVTTPS2PI = 364;;
+let _X86_INS_EMMS = 365;;
+let _X86_INS_MASKMOVQ = 366;;
+let _X86_INS_MOVD = 367;;
+let _X86_INS_MOVDQ2Q = 368;;
+let _X86_INS_MOVNTQ = 369;;
+let _X86_INS_MOVQ2DQ = 370;;
+let _X86_INS_MOVQ = 371;;
+let _X86_INS_PABSB = 372;;
+let _X86_INS_PABSD = 373;;
+let _X86_INS_PABSW = 374;;
+let _X86_INS_PACKSSDW = 375;;
+let _X86_INS_PACKSSWB = 376;;
+let _X86_INS_PACKUSWB = 377;;
+let _X86_INS_PADDB = 378;;
+let _X86_INS_PADDD = 379;;
+let _X86_INS_PADDQ = 380;;
+let _X86_INS_PADDSB = 381;;
+let _X86_INS_PADDSW = 382;;
+let _X86_INS_PADDUSB = 383;;
+let _X86_INS_PADDUSW = 384;;
+let _X86_INS_PADDW = 385;;
+let _X86_INS_PALIGNR = 386;;
+let _X86_INS_PANDN = 387;;
+let _X86_INS_PAND = 388;;
+let _X86_INS_PAVGB = 389;;
+let _X86_INS_PAVGW = 390;;
+let _X86_INS_PCMPEQB = 391;;
+let _X86_INS_PCMPEQD = 392;;
+let _X86_INS_PCMPEQW = 393;;
+let _X86_INS_PCMPGTB = 394;;
+let _X86_INS_PCMPGTD = 395;;
+let _X86_INS_PCMPGTW = 396;;
+let _X86_INS_PEXTRW = 397;;
+let _X86_INS_PHADDSW = 398;;
+let _X86_INS_PHADDW = 399;;
+let _X86_INS_PHADDD = 400;;
+let _X86_INS_PHSUBD = 401;;
+let _X86_INS_PHSUBSW = 402;;
+let _X86_INS_PHSUBW = 403;;
+let _X86_INS_PINSRW = 404;;
+let _X86_INS_PMADDUBSW = 405;;
+let _X86_INS_PMADDWD = 406;;
+let _X86_INS_PMAXSW = 407;;
+let _X86_INS_PMAXUB = 408;;
+let _X86_INS_PMINSW = 409;;
+let _X86_INS_PMINUB = 410;;
+let _X86_INS_PMOVMSKB = 411;;
+let _X86_INS_PMULHRSW = 412;;
+let _X86_INS_PMULHUW = 413;;
+let _X86_INS_PMULHW = 414;;
+let _X86_INS_PMULLW = 415;;
+let _X86_INS_PMULUDQ = 416;;
+let _X86_INS_POR = 417;;
+let _X86_INS_PSADBW = 418;;
+let _X86_INS_PSHUFB = 419;;
+let _X86_INS_PSHUFW = 420;;
+let _X86_INS_PSIGNB = 421;;
+let _X86_INS_PSIGND = 422;;
+let _X86_INS_PSIGNW = 423;;
+let _X86_INS_PSLLD = 424;;
+let _X86_INS_PSLLQ = 425;;
+let _X86_INS_PSLLW = 426;;
+let _X86_INS_PSRAD = 427;;
+let _X86_INS_PSRAW = 428;;
+let _X86_INS_PSRLD = 429;;
+let _X86_INS_PSRLQ = 430;;
+let _X86_INS_PSRLW = 431;;
+let _X86_INS_PSUBB = 432;;
+let _X86_INS_PSUBD = 433;;
+let _X86_INS_PSUBQ = 434;;
+let _X86_INS_PSUBSB = 435;;
+let _X86_INS_PSUBSW = 436;;
+let _X86_INS_PSUBUSB = 437;;
+let _X86_INS_PSUBUSW = 438;;
+let _X86_INS_PSUBW = 439;;
+let _X86_INS_PUNPCKHBW = 440;;
+let _X86_INS_PUNPCKHDQ = 441;;
+let _X86_INS_PUNPCKHWD = 442;;
+let _X86_INS_PUNPCKLBW = 443;;
+let _X86_INS_PUNPCKLDQ = 444;;
+let _X86_INS_PUNPCKLWD = 445;;
+let _X86_INS_PXOR = 446;;
+let _X86_INS_MONITOR = 447;;
+let _X86_INS_MONTMUL = 448;;
+let _X86_INS_MOV = 449;;
+let _X86_INS_MOVABS = 450;;
+let _X86_INS_MOVBE = 451;;
+let _X86_INS_MOVDDUP = 452;;
+let _X86_INS_MOVDQA = 453;;
+let _X86_INS_MOVDQU = 454;;
+let _X86_INS_MOVHLPS = 455;;
+let _X86_INS_MOVHPD = 456;;
+let _X86_INS_MOVHPS = 457;;
+let _X86_INS_MOVLHPS = 458;;
+let _X86_INS_MOVLPD = 459;;
+let _X86_INS_MOVLPS = 460;;
+let _X86_INS_MOVMSKPD = 461;;
+let _X86_INS_MOVMSKPS = 462;;
+let _X86_INS_MOVNTDQA = 463;;
+let _X86_INS_MOVNTDQ = 464;;
+let _X86_INS_MOVNTI = 465;;
+let _X86_INS_MOVNTPD = 466;;
+let _X86_INS_MOVNTPS = 467;;
+let _X86_INS_MOVNTSD = 468;;
+let _X86_INS_MOVNTSS = 469;;
+let _X86_INS_MOVSB = 470;;
+let _X86_INS_MOVSD = 471;;
+let _X86_INS_MOVSHDUP = 472;;
+let _X86_INS_MOVSLDUP = 473;;
+let _X86_INS_MOVSQ = 474;;
+let _X86_INS_MOVSS = 475;;
+let _X86_INS_MOVSW = 476;;
+let _X86_INS_MOVSX = 477;;
+let _X86_INS_MOVSXD = 478;;
+let _X86_INS_MOVUPD = 479;;
+let _X86_INS_MOVUPS = 480;;
+let _X86_INS_MOVZX = 481;;
+let _X86_INS_MPSADBW = 482;;
+let _X86_INS_MUL = 483;;
+let _X86_INS_MULPD = 484;;
+let _X86_INS_MULPS = 485;;
+let _X86_INS_MULSD = 486;;
+let _X86_INS_MULSS = 487;;
+let _X86_INS_MULX = 488;;
+let _X86_INS_FMUL = 489;;
+let _X86_INS_FIMUL = 490;;
+let _X86_INS_FMULP = 491;;
+let _X86_INS_MWAIT = 492;;
+let _X86_INS_NEG = 493;;
+let _X86_INS_NOP = 494;;
+let _X86_INS_NOT = 495;;
+let _X86_INS_OUT = 496;;
+let _X86_INS_OUTSB = 497;;
+let _X86_INS_OUTSD = 498;;
+let _X86_INS_OUTSW = 499;;
+let _X86_INS_PACKUSDW = 500;;
+let _X86_INS_PAUSE = 501;;
+let _X86_INS_PAVGUSB = 502;;
+let _X86_INS_PBLENDVB = 503;;
+let _X86_INS_PBLENDW = 504;;
+let _X86_INS_PCLMULQDQ = 505;;
+let _X86_INS_PCMPEQQ = 506;;
+let _X86_INS_PCMPESTRI = 507;;
+let _X86_INS_PCMPESTRM = 508;;
+let _X86_INS_PCMPGTQ = 509;;
+let _X86_INS_PCMPISTRI = 510;;
+let _X86_INS_PCMPISTRM = 511;;
+let _X86_INS_PCOMMIT = 512;;
+let _X86_INS_PDEP = 513;;
+let _X86_INS_PEXT = 514;;
+let _X86_INS_PEXTRB = 515;;
+let _X86_INS_PEXTRD = 516;;
+let _X86_INS_PEXTRQ = 517;;
+let _X86_INS_PF2ID = 518;;
+let _X86_INS_PF2IW = 519;;
+let _X86_INS_PFACC = 520;;
+let _X86_INS_PFADD = 521;;
+let _X86_INS_PFCMPEQ = 522;;
+let _X86_INS_PFCMPGE = 523;;
+let _X86_INS_PFCMPGT = 524;;
+let _X86_INS_PFMAX = 525;;
+let _X86_INS_PFMIN = 526;;
+let _X86_INS_PFMUL = 527;;
+let _X86_INS_PFNACC = 528;;
+let _X86_INS_PFPNACC = 529;;
+let _X86_INS_PFRCPIT1 = 530;;
+let _X86_INS_PFRCPIT2 = 531;;
+let _X86_INS_PFRCP = 532;;
+let _X86_INS_PFRSQIT1 = 533;;
+let _X86_INS_PFRSQRT = 534;;
+let _X86_INS_PFSUBR = 535;;
+let _X86_INS_PFSUB = 536;;
+let _X86_INS_PHMINPOSUW = 537;;
+let _X86_INS_PI2FD = 538;;
+let _X86_INS_PI2FW = 539;;
+let _X86_INS_PINSRB = 540;;
+let _X86_INS_PINSRD = 541;;
+let _X86_INS_PINSRQ = 542;;
+let _X86_INS_PMAXSB = 543;;
+let _X86_INS_PMAXSD = 544;;
+let _X86_INS_PMAXUD = 545;;
+let _X86_INS_PMAXUW = 546;;
+let _X86_INS_PMINSB = 547;;
+let _X86_INS_PMINSD = 548;;
+let _X86_INS_PMINUD = 549;;
+let _X86_INS_PMINUW = 550;;
+let _X86_INS_PMOVSXBD = 551;;
+let _X86_INS_PMOVSXBQ = 552;;
+let _X86_INS_PMOVSXBW = 553;;
+let _X86_INS_PMOVSXDQ = 554;;
+let _X86_INS_PMOVSXWD = 555;;
+let _X86_INS_PMOVSXWQ = 556;;
+let _X86_INS_PMOVZXBD = 557;;
+let _X86_INS_PMOVZXBQ = 558;;
+let _X86_INS_PMOVZXBW = 559;;
+let _X86_INS_PMOVZXDQ = 560;;
+let _X86_INS_PMOVZXWD = 561;;
+let _X86_INS_PMOVZXWQ = 562;;
+let _X86_INS_PMULDQ = 563;;
+let _X86_INS_PMULHRW = 564;;
+let _X86_INS_PMULLD = 565;;
+let _X86_INS_POP = 566;;
+let _X86_INS_POPAW = 567;;
+let _X86_INS_POPAL = 568;;
+let _X86_INS_POPCNT = 569;;
+let _X86_INS_POPF = 570;;
+let _X86_INS_POPFD = 571;;
+let _X86_INS_POPFQ = 572;;
+let _X86_INS_PREFETCH = 573;;
+let _X86_INS_PREFETCHNTA = 574;;
+let _X86_INS_PREFETCHT0 = 575;;
+let _X86_INS_PREFETCHT1 = 576;;
+let _X86_INS_PREFETCHT2 = 577;;
+let _X86_INS_PREFETCHW = 578;;
+let _X86_INS_PSHUFD = 579;;
+let _X86_INS_PSHUFHW = 580;;
+let _X86_INS_PSHUFLW = 581;;
+let _X86_INS_PSLLDQ = 582;;
+let _X86_INS_PSRLDQ = 583;;
+let _X86_INS_PSWAPD = 584;;
+let _X86_INS_PTEST = 585;;
+let _X86_INS_PUNPCKHQDQ = 586;;
+let _X86_INS_PUNPCKLQDQ = 587;;
+let _X86_INS_PUSH = 588;;
+let _X86_INS_PUSHAW = 589;;
+let _X86_INS_PUSHAL = 590;;
+let _X86_INS_PUSHF = 591;;
+let _X86_INS_PUSHFD = 592;;
+let _X86_INS_PUSHFQ = 593;;
+let _X86_INS_RCL = 594;;
+let _X86_INS_RCPPS = 595;;
+let _X86_INS_RCPSS = 596;;
+let _X86_INS_RCR = 597;;
+let _X86_INS_RDFSBASE = 598;;
+let _X86_INS_RDGSBASE = 599;;
+let _X86_INS_RDMSR = 600;;
+let _X86_INS_RDPMC = 601;;
+let _X86_INS_RDRAND = 602;;
+let _X86_INS_RDSEED = 603;;
+let _X86_INS_RDTSC = 604;;
+let _X86_INS_RDTSCP = 605;;
+let _X86_INS_ROL = 606;;
+let _X86_INS_ROR = 607;;
+let _X86_INS_RORX = 608;;
+let _X86_INS_ROUNDPD = 609;;
+let _X86_INS_ROUNDPS = 610;;
+let _X86_INS_ROUNDSD = 611;;
+let _X86_INS_ROUNDSS = 612;;
+let _X86_INS_RSM = 613;;
+let _X86_INS_RSQRTPS = 614;;
+let _X86_INS_RSQRTSS = 615;;
+let _X86_INS_SAHF = 616;;
+let _X86_INS_SAL = 617;;
+let _X86_INS_SALC = 618;;
+let _X86_INS_SAR = 619;;
+let _X86_INS_SARX = 620;;
+let _X86_INS_SBB = 621;;
+let _X86_INS_SCASB = 622;;
+let _X86_INS_SCASD = 623;;
+let _X86_INS_SCASQ = 624;;
+let _X86_INS_SCASW = 625;;
+let _X86_INS_SETAE = 626;;
+let _X86_INS_SETA = 627;;
+let _X86_INS_SETBE = 628;;
+let _X86_INS_SETB = 629;;
+let _X86_INS_SETE = 630;;
+let _X86_INS_SETGE = 631;;
+let _X86_INS_SETG = 632;;
+let _X86_INS_SETLE = 633;;
+let _X86_INS_SETL = 634;;
+let _X86_INS_SETNE = 635;;
+let _X86_INS_SETNO = 636;;
+let _X86_INS_SETNP = 637;;
+let _X86_INS_SETNS = 638;;
+let _X86_INS_SETO = 639;;
+let _X86_INS_SETP = 640;;
+let _X86_INS_SETS = 641;;
+let _X86_INS_SFENCE = 642;;
+let _X86_INS_SGDT = 643;;
+let _X86_INS_SHA1MSG1 = 644;;
+let _X86_INS_SHA1MSG2 = 645;;
+let _X86_INS_SHA1NEXTE = 646;;
+let _X86_INS_SHA1RNDS4 = 647;;
+let _X86_INS_SHA256MSG1 = 648;;
+let _X86_INS_SHA256MSG2 = 649;;
+let _X86_INS_SHA256RNDS2 = 650;;
+let _X86_INS_SHL = 651;;
+let _X86_INS_SHLD = 652;;
+let _X86_INS_SHLX = 653;;
+let _X86_INS_SHR = 654;;
+let _X86_INS_SHRD = 655;;
+let _X86_INS_SHRX = 656;;
+let _X86_INS_SHUFPD = 657;;
+let _X86_INS_SHUFPS = 658;;
+let _X86_INS_SIDT = 659;;
+let _X86_INS_FSIN = 660;;
+let _X86_INS_SKINIT = 661;;
+let _X86_INS_SLDT = 662;;
+let _X86_INS_SMSW = 663;;
+let _X86_INS_SQRTPD = 664;;
+let _X86_INS_SQRTPS = 665;;
+let _X86_INS_SQRTSD = 666;;
+let _X86_INS_SQRTSS = 667;;
+let _X86_INS_FSQRT = 668;;
+let _X86_INS_STAC = 669;;
+let _X86_INS_STC = 670;;
+let _X86_INS_STD = 671;;
+let _X86_INS_STGI = 672;;
+let _X86_INS_STI = 673;;
+let _X86_INS_STMXCSR = 674;;
+let _X86_INS_STOSB = 675;;
+let _X86_INS_STOSD = 676;;
+let _X86_INS_STOSQ = 677;;
+let _X86_INS_STOSW = 678;;
+let _X86_INS_STR = 679;;
+let _X86_INS_FST = 680;;
+let _X86_INS_FSTP = 681;;
+let _X86_INS_FSTPNCE = 682;;
+let _X86_INS_FXCH = 683;;
+let _X86_INS_SUBPD = 684;;
+let _X86_INS_SUBPS = 685;;
+let _X86_INS_FSUBR = 686;;
+let _X86_INS_FISUBR = 687;;
+let _X86_INS_FSUBRP = 688;;
+let _X86_INS_SUBSD = 689;;
+let _X86_INS_SUBSS = 690;;
+let _X86_INS_FSUB = 691;;
+let _X86_INS_FISUB = 692;;
+let _X86_INS_FSUBP = 693;;
+let _X86_INS_SWAPGS = 694;;
+let _X86_INS_SYSCALL = 695;;
+let _X86_INS_SYSENTER = 696;;
+let _X86_INS_SYSEXIT = 697;;
+let _X86_INS_SYSRET = 698;;
+let _X86_INS_T1MSKC = 699;;
+let _X86_INS_TEST = 700;;
+let _X86_INS_UD2 = 701;;
+let _X86_INS_FTST = 702;;
+let _X86_INS_TZCNT = 703;;
+let _X86_INS_TZMSK = 704;;
+let _X86_INS_FUCOMIP = 705;;
+let _X86_INS_FUCOMI = 706;;
+let _X86_INS_FUCOMPP = 707;;
+let _X86_INS_FUCOMP = 708;;
+let _X86_INS_FUCOM = 709;;
+let _X86_INS_UD2B = 710;;
+let _X86_INS_UNPCKHPD = 711;;
+let _X86_INS_UNPCKHPS = 712;;
+let _X86_INS_UNPCKLPD = 713;;
+let _X86_INS_UNPCKLPS = 714;;
+let _X86_INS_VADDPD = 715;;
+let _X86_INS_VADDPS = 716;;
+let _X86_INS_VADDSD = 717;;
+let _X86_INS_VADDSS = 718;;
+let _X86_INS_VADDSUBPD = 719;;
+let _X86_INS_VADDSUBPS = 720;;
+let _X86_INS_VAESDECLAST = 721;;
+let _X86_INS_VAESDEC = 722;;
+let _X86_INS_VAESENCLAST = 723;;
+let _X86_INS_VAESENC = 724;;
+let _X86_INS_VAESIMC = 725;;
+let _X86_INS_VAESKEYGENASSIST = 726;;
+let _X86_INS_VALIGND = 727;;
+let _X86_INS_VALIGNQ = 728;;
+let _X86_INS_VANDNPD = 729;;
+let _X86_INS_VANDNPS = 730;;
+let _X86_INS_VANDPD = 731;;
+let _X86_INS_VANDPS = 732;;
+let _X86_INS_VBLENDMPD = 733;;
+let _X86_INS_VBLENDMPS = 734;;
+let _X86_INS_VBLENDPD = 735;;
+let _X86_INS_VBLENDPS = 736;;
+let _X86_INS_VBLENDVPD = 737;;
+let _X86_INS_VBLENDVPS = 738;;
+let _X86_INS_VBROADCASTF128 = 739;;
+let _X86_INS_VBROADCASTI32X4 = 740;;
+let _X86_INS_VBROADCASTI64X4 = 741;;
+let _X86_INS_VBROADCASTSD = 742;;
+let _X86_INS_VBROADCASTSS = 743;;
+let _X86_INS_VCOMPRESSPD = 744;;
+let _X86_INS_VCOMPRESSPS = 745;;
+let _X86_INS_VCVTDQ2PD = 746;;
+let _X86_INS_VCVTDQ2PS = 747;;
+let _X86_INS_VCVTPD2DQX = 748;;
+let _X86_INS_VCVTPD2DQ = 749;;
+let _X86_INS_VCVTPD2PSX = 750;;
+let _X86_INS_VCVTPD2PS = 751;;
+let _X86_INS_VCVTPD2UDQ = 752;;
+let _X86_INS_VCVTPH2PS = 753;;
+let _X86_INS_VCVTPS2DQ = 754;;
+let _X86_INS_VCVTPS2PD = 755;;
+let _X86_INS_VCVTPS2PH = 756;;
+let _X86_INS_VCVTPS2UDQ = 757;;
+let _X86_INS_VCVTSD2SI = 758;;
+let _X86_INS_VCVTSD2USI = 759;;
+let _X86_INS_VCVTSS2SI = 760;;
+let _X86_INS_VCVTSS2USI = 761;;
+let _X86_INS_VCVTTPD2DQX = 762;;
+let _X86_INS_VCVTTPD2DQ = 763;;
+let _X86_INS_VCVTTPD2UDQ = 764;;
+let _X86_INS_VCVTTPS2DQ = 765;;
+let _X86_INS_VCVTTPS2UDQ = 766;;
+let _X86_INS_VCVTUDQ2PD = 767;;
+let _X86_INS_VCVTUDQ2PS = 768;;
+let _X86_INS_VDIVPD = 769;;
+let _X86_INS_VDIVPS = 770;;
+let _X86_INS_VDIVSD = 771;;
+let _X86_INS_VDIVSS = 772;;
+let _X86_INS_VDPPD = 773;;
+let _X86_INS_VDPPS = 774;;
+let _X86_INS_VERR = 775;;
+let _X86_INS_VERW = 776;;
+let _X86_INS_VEXP2PD = 777;;
+let _X86_INS_VEXP2PS = 778;;
+let _X86_INS_VEXPANDPD = 779;;
+let _X86_INS_VEXPANDPS = 780;;
+let _X86_INS_VEXTRACTF128 = 781;;
+let _X86_INS_VEXTRACTF32X4 = 782;;
+let _X86_INS_VEXTRACTF64X4 = 783;;
+let _X86_INS_VEXTRACTI128 = 784;;
+let _X86_INS_VEXTRACTI32X4 = 785;;
+let _X86_INS_VEXTRACTI64X4 = 786;;
+let _X86_INS_VEXTRACTPS = 787;;
+let _X86_INS_VFMADD132PD = 788;;
+let _X86_INS_VFMADD132PS = 789;;
+let _X86_INS_VFMADDPD = 790;;
+let _X86_INS_VFMADD213PD = 791;;
+let _X86_INS_VFMADD231PD = 792;;
+let _X86_INS_VFMADDPS = 793;;
+let _X86_INS_VFMADD213PS = 794;;
+let _X86_INS_VFMADD231PS = 795;;
+let _X86_INS_VFMADDSD = 796;;
+let _X86_INS_VFMADD213SD = 797;;
+let _X86_INS_VFMADD132SD = 798;;
+let _X86_INS_VFMADD231SD = 799;;
+let _X86_INS_VFMADDSS = 800;;
+let _X86_INS_VFMADD213SS = 801;;
+let _X86_INS_VFMADD132SS = 802;;
+let _X86_INS_VFMADD231SS = 803;;
+let _X86_INS_VFMADDSUB132PD = 804;;
+let _X86_INS_VFMADDSUB132PS = 805;;
+let _X86_INS_VFMADDSUBPD = 806;;
+let _X86_INS_VFMADDSUB213PD = 807;;
+let _X86_INS_VFMADDSUB231PD = 808;;
+let _X86_INS_VFMADDSUBPS = 809;;
+let _X86_INS_VFMADDSUB213PS = 810;;
+let _X86_INS_VFMADDSUB231PS = 811;;
+let _X86_INS_VFMSUB132PD = 812;;
+let _X86_INS_VFMSUB132PS = 813;;
+let _X86_INS_VFMSUBADD132PD = 814;;
+let _X86_INS_VFMSUBADD132PS = 815;;
+let _X86_INS_VFMSUBADDPD = 816;;
+let _X86_INS_VFMSUBADD213PD = 817;;
+let _X86_INS_VFMSUBADD231PD = 818;;
+let _X86_INS_VFMSUBADDPS = 819;;
+let _X86_INS_VFMSUBADD213PS = 820;;
+let _X86_INS_VFMSUBADD231PS = 821;;
+let _X86_INS_VFMSUBPD = 822;;
+let _X86_INS_VFMSUB213PD = 823;;
+let _X86_INS_VFMSUB231PD = 824;;
+let _X86_INS_VFMSUBPS = 825;;
+let _X86_INS_VFMSUB213PS = 826;;
+let _X86_INS_VFMSUB231PS = 827;;
+let _X86_INS_VFMSUBSD = 828;;
+let _X86_INS_VFMSUB213SD = 829;;
+let _X86_INS_VFMSUB132SD = 830;;
+let _X86_INS_VFMSUB231SD = 831;;
+let _X86_INS_VFMSUBSS = 832;;
+let _X86_INS_VFMSUB213SS = 833;;
+let _X86_INS_VFMSUB132SS = 834;;
+let _X86_INS_VFMSUB231SS = 835;;
+let _X86_INS_VFNMADD132PD = 836;;
+let _X86_INS_VFNMADD132PS = 837;;
+let _X86_INS_VFNMADDPD = 838;;
+let _X86_INS_VFNMADD213PD = 839;;
+let _X86_INS_VFNMADD231PD = 840;;
+let _X86_INS_VFNMADDPS = 841;;
+let _X86_INS_VFNMADD213PS = 842;;
+let _X86_INS_VFNMADD231PS = 843;;
+let _X86_INS_VFNMADDSD = 844;;
+let _X86_INS_VFNMADD213SD = 845;;
+let _X86_INS_VFNMADD132SD = 846;;
+let _X86_INS_VFNMADD231SD = 847;;
+let _X86_INS_VFNMADDSS = 848;;
+let _X86_INS_VFNMADD213SS = 849;;
+let _X86_INS_VFNMADD132SS = 850;;
+let _X86_INS_VFNMADD231SS = 851;;
+let _X86_INS_VFNMSUB132PD = 852;;
+let _X86_INS_VFNMSUB132PS = 853;;
+let _X86_INS_VFNMSUBPD = 854;;
+let _X86_INS_VFNMSUB213PD = 855;;
+let _X86_INS_VFNMSUB231PD = 856;;
+let _X86_INS_VFNMSUBPS = 857;;
+let _X86_INS_VFNMSUB213PS = 858;;
+let _X86_INS_VFNMSUB231PS = 859;;
+let _X86_INS_VFNMSUBSD = 860;;
+let _X86_INS_VFNMSUB213SD = 861;;
+let _X86_INS_VFNMSUB132SD = 862;;
+let _X86_INS_VFNMSUB231SD = 863;;
+let _X86_INS_VFNMSUBSS = 864;;
+let _X86_INS_VFNMSUB213SS = 865;;
+let _X86_INS_VFNMSUB132SS = 866;;
+let _X86_INS_VFNMSUB231SS = 867;;
+let _X86_INS_VFRCZPD = 868;;
+let _X86_INS_VFRCZPS = 869;;
+let _X86_INS_VFRCZSD = 870;;
+let _X86_INS_VFRCZSS = 871;;
+let _X86_INS_VORPD = 872;;
+let _X86_INS_VORPS = 873;;
+let _X86_INS_VXORPD = 874;;
+let _X86_INS_VXORPS = 875;;
+let _X86_INS_VGATHERDPD = 876;;
+let _X86_INS_VGATHERDPS = 877;;
+let _X86_INS_VGATHERPF0DPD = 878;;
+let _X86_INS_VGATHERPF0DPS = 879;;
+let _X86_INS_VGATHERPF0QPD = 880;;
+let _X86_INS_VGATHERPF0QPS = 881;;
+let _X86_INS_VGATHERPF1DPD = 882;;
+let _X86_INS_VGATHERPF1DPS = 883;;
+let _X86_INS_VGATHERPF1QPD = 884;;
+let _X86_INS_VGATHERPF1QPS = 885;;
+let _X86_INS_VGATHERQPD = 886;;
+let _X86_INS_VGATHERQPS = 887;;
+let _X86_INS_VHADDPD = 888;;
+let _X86_INS_VHADDPS = 889;;
+let _X86_INS_VHSUBPD = 890;;
+let _X86_INS_VHSUBPS = 891;;
+let _X86_INS_VINSERTF128 = 892;;
+let _X86_INS_VINSERTF32X4 = 893;;
+let _X86_INS_VINSERTF32X8 = 894;;
+let _X86_INS_VINSERTF64X2 = 895;;
+let _X86_INS_VINSERTF64X4 = 896;;
+let _X86_INS_VINSERTI128 = 897;;
+let _X86_INS_VINSERTI32X4 = 898;;
+let _X86_INS_VINSERTI32X8 = 899;;
+let _X86_INS_VINSERTI64X2 = 900;;
+let _X86_INS_VINSERTI64X4 = 901;;
+let _X86_INS_VINSERTPS = 902;;
+let _X86_INS_VLDDQU = 903;;
+let _X86_INS_VLDMXCSR = 904;;
+let _X86_INS_VMASKMOVDQU = 905;;
+let _X86_INS_VMASKMOVPD = 906;;
+let _X86_INS_VMASKMOVPS = 907;;
+let _X86_INS_VMAXPD = 908;;
+let _X86_INS_VMAXPS = 909;;
+let _X86_INS_VMAXSD = 910;;
+let _X86_INS_VMAXSS = 911;;
+let _X86_INS_VMCALL = 912;;
+let _X86_INS_VMCLEAR = 913;;
+let _X86_INS_VMFUNC = 914;;
+let _X86_INS_VMINPD = 915;;
+let _X86_INS_VMINPS = 916;;
+let _X86_INS_VMINSD = 917;;
+let _X86_INS_VMINSS = 918;;
+let _X86_INS_VMLAUNCH = 919;;
+let _X86_INS_VMLOAD = 920;;
+let _X86_INS_VMMCALL = 921;;
+let _X86_INS_VMOVQ = 922;;
+let _X86_INS_VMOVDDUP = 923;;
+let _X86_INS_VMOVD = 924;;
+let _X86_INS_VMOVDQA32 = 925;;
+let _X86_INS_VMOVDQA64 = 926;;
+let _X86_INS_VMOVDQA = 927;;
+let _X86_INS_VMOVDQU16 = 928;;
+let _X86_INS_VMOVDQU32 = 929;;
+let _X86_INS_VMOVDQU64 = 930;;
+let _X86_INS_VMOVDQU8 = 931;;
+let _X86_INS_VMOVDQU = 932;;
+let _X86_INS_VMOVHLPS = 933;;
+let _X86_INS_VMOVHPD = 934;;
+let _X86_INS_VMOVHPS = 935;;
+let _X86_INS_VMOVLHPS = 936;;
+let _X86_INS_VMOVLPD = 937;;
+let _X86_INS_VMOVLPS = 938;;
+let _X86_INS_VMOVMSKPD = 939;;
+let _X86_INS_VMOVMSKPS = 940;;
+let _X86_INS_VMOVNTDQA = 941;;
+let _X86_INS_VMOVNTDQ = 942;;
+let _X86_INS_VMOVNTPD = 943;;
+let _X86_INS_VMOVNTPS = 944;;
+let _X86_INS_VMOVSD = 945;;
+let _X86_INS_VMOVSHDUP = 946;;
+let _X86_INS_VMOVSLDUP = 947;;
+let _X86_INS_VMOVSS = 948;;
+let _X86_INS_VMOVUPD = 949;;
+let _X86_INS_VMOVUPS = 950;;
+let _X86_INS_VMPSADBW = 951;;
+let _X86_INS_VMPTRLD = 952;;
+let _X86_INS_VMPTRST = 953;;
+let _X86_INS_VMREAD = 954;;
+let _X86_INS_VMRESUME = 955;;
+let _X86_INS_VMRUN = 956;;
+let _X86_INS_VMSAVE = 957;;
+let _X86_INS_VMULPD = 958;;
+let _X86_INS_VMULPS = 959;;
+let _X86_INS_VMULSD = 960;;
+let _X86_INS_VMULSS = 961;;
+let _X86_INS_VMWRITE = 962;;
+let _X86_INS_VMXOFF = 963;;
+let _X86_INS_VMXON = 964;;
+let _X86_INS_VPABSB = 965;;
+let _X86_INS_VPABSD = 966;;
+let _X86_INS_VPABSQ = 967;;
+let _X86_INS_VPABSW = 968;;
+let _X86_INS_VPACKSSDW = 969;;
+let _X86_INS_VPACKSSWB = 970;;
+let _X86_INS_VPACKUSDW = 971;;
+let _X86_INS_VPACKUSWB = 972;;
+let _X86_INS_VPADDB = 973;;
+let _X86_INS_VPADDD = 974;;
+let _X86_INS_VPADDQ = 975;;
+let _X86_INS_VPADDSB = 976;;
+let _X86_INS_VPADDSW = 977;;
+let _X86_INS_VPADDUSB = 978;;
+let _X86_INS_VPADDUSW = 979;;
+let _X86_INS_VPADDW = 980;;
+let _X86_INS_VPALIGNR = 981;;
+let _X86_INS_VPANDD = 982;;
+let _X86_INS_VPANDND = 983;;
+let _X86_INS_VPANDNQ = 984;;
+let _X86_INS_VPANDN = 985;;
+let _X86_INS_VPANDQ = 986;;
+let _X86_INS_VPAND = 987;;
+let _X86_INS_VPAVGB = 988;;
+let _X86_INS_VPAVGW = 989;;
+let _X86_INS_VPBLENDD = 990;;
+let _X86_INS_VPBLENDMB = 991;;
+let _X86_INS_VPBLENDMD = 992;;
+let _X86_INS_VPBLENDMQ = 993;;
+let _X86_INS_VPBLENDMW = 994;;
+let _X86_INS_VPBLENDVB = 995;;
+let _X86_INS_VPBLENDW = 996;;
+let _X86_INS_VPBROADCASTB = 997;;
+let _X86_INS_VPBROADCASTD = 998;;
+let _X86_INS_VPBROADCASTMB2Q = 999;;
+let _X86_INS_VPBROADCASTMW2D = 1000;;
+let _X86_INS_VPBROADCASTQ = 1001;;
+let _X86_INS_VPBROADCASTW = 1002;;
+let _X86_INS_VPCLMULQDQ = 1003;;
+let _X86_INS_VPCMOV = 1004;;
+let _X86_INS_VPCMPB = 1005;;
+let _X86_INS_VPCMPD = 1006;;
+let _X86_INS_VPCMPEQB = 1007;;
+let _X86_INS_VPCMPEQD = 1008;;
+let _X86_INS_VPCMPEQQ = 1009;;
+let _X86_INS_VPCMPEQW = 1010;;
+let _X86_INS_VPCMPESTRI = 1011;;
+let _X86_INS_VPCMPESTRM = 1012;;
+let _X86_INS_VPCMPGTB = 1013;;
+let _X86_INS_VPCMPGTD = 1014;;
+let _X86_INS_VPCMPGTQ = 1015;;
+let _X86_INS_VPCMPGTW = 1016;;
+let _X86_INS_VPCMPISTRI = 1017;;
+let _X86_INS_VPCMPISTRM = 1018;;
+let _X86_INS_VPCMPQ = 1019;;
+let _X86_INS_VPCMPUB = 1020;;
+let _X86_INS_VPCMPUD = 1021;;
+let _X86_INS_VPCMPUQ = 1022;;
+let _X86_INS_VPCMPUW = 1023;;
+let _X86_INS_VPCMPW = 1024;;
+let _X86_INS_VPCOMB = 1025;;
+let _X86_INS_VPCOMD = 1026;;
+let _X86_INS_VPCOMPRESSD = 1027;;
+let _X86_INS_VPCOMPRESSQ = 1028;;
+let _X86_INS_VPCOMQ = 1029;;
+let _X86_INS_VPCOMUB = 1030;;
+let _X86_INS_VPCOMUD = 1031;;
+let _X86_INS_VPCOMUQ = 1032;;
+let _X86_INS_VPCOMUW = 1033;;
+let _X86_INS_VPCOMW = 1034;;
+let _X86_INS_VPCONFLICTD = 1035;;
+let _X86_INS_VPCONFLICTQ = 1036;;
+let _X86_INS_VPERM2F128 = 1037;;
+let _X86_INS_VPERM2I128 = 1038;;
+let _X86_INS_VPERMD = 1039;;
+let _X86_INS_VPERMI2D = 1040;;
+let _X86_INS_VPERMI2PD = 1041;;
+let _X86_INS_VPERMI2PS = 1042;;
+let _X86_INS_VPERMI2Q = 1043;;
+let _X86_INS_VPERMIL2PD = 1044;;
+let _X86_INS_VPERMIL2PS = 1045;;
+let _X86_INS_VPERMILPD = 1046;;
+let _X86_INS_VPERMILPS = 1047;;
+let _X86_INS_VPERMPD = 1048;;
+let _X86_INS_VPERMPS = 1049;;
+let _X86_INS_VPERMQ = 1050;;
+let _X86_INS_VPERMT2D = 1051;;
+let _X86_INS_VPERMT2PD = 1052;;
+let _X86_INS_VPERMT2PS = 1053;;
+let _X86_INS_VPERMT2Q = 1054;;
+let _X86_INS_VPEXPANDD = 1055;;
+let _X86_INS_VPEXPANDQ = 1056;;
+let _X86_INS_VPEXTRB = 1057;;
+let _X86_INS_VPEXTRD = 1058;;
+let _X86_INS_VPEXTRQ = 1059;;
+let _X86_INS_VPEXTRW = 1060;;
+let _X86_INS_VPGATHERDD = 1061;;
+let _X86_INS_VPGATHERDQ = 1062;;
+let _X86_INS_VPGATHERQD = 1063;;
+let _X86_INS_VPGATHERQQ = 1064;;
+let _X86_INS_VPHADDBD = 1065;;
+let _X86_INS_VPHADDBQ = 1066;;
+let _X86_INS_VPHADDBW = 1067;;
+let _X86_INS_VPHADDDQ = 1068;;
+let _X86_INS_VPHADDD = 1069;;
+let _X86_INS_VPHADDSW = 1070;;
+let _X86_INS_VPHADDUBD = 1071;;
+let _X86_INS_VPHADDUBQ = 1072;;
+let _X86_INS_VPHADDUBW = 1073;;
+let _X86_INS_VPHADDUDQ = 1074;;
+let _X86_INS_VPHADDUWD = 1075;;
+let _X86_INS_VPHADDUWQ = 1076;;
+let _X86_INS_VPHADDWD = 1077;;
+let _X86_INS_VPHADDWQ = 1078;;
+let _X86_INS_VPHADDW = 1079;;
+let _X86_INS_VPHMINPOSUW = 1080;;
+let _X86_INS_VPHSUBBW = 1081;;
+let _X86_INS_VPHSUBDQ = 1082;;
+let _X86_INS_VPHSUBD = 1083;;
+let _X86_INS_VPHSUBSW = 1084;;
+let _X86_INS_VPHSUBWD = 1085;;
+let _X86_INS_VPHSUBW = 1086;;
+let _X86_INS_VPINSRB = 1087;;
+let _X86_INS_VPINSRD = 1088;;
+let _X86_INS_VPINSRQ = 1089;;
+let _X86_INS_VPINSRW = 1090;;
+let _X86_INS_VPLZCNTD = 1091;;
+let _X86_INS_VPLZCNTQ = 1092;;
+let _X86_INS_VPMACSDD = 1093;;
+let _X86_INS_VPMACSDQH = 1094;;
+let _X86_INS_VPMACSDQL = 1095;;
+let _X86_INS_VPMACSSDD = 1096;;
+let _X86_INS_VPMACSSDQH = 1097;;
+let _X86_INS_VPMACSSDQL = 1098;;
+let _X86_INS_VPMACSSWD = 1099;;
+let _X86_INS_VPMACSSWW = 1100;;
+let _X86_INS_VPMACSWD = 1101;;
+let _X86_INS_VPMACSWW = 1102;;
+let _X86_INS_VPMADCSSWD = 1103;;
+let _X86_INS_VPMADCSWD = 1104;;
+let _X86_INS_VPMADDUBSW = 1105;;
+let _X86_INS_VPMADDWD = 1106;;
+let _X86_INS_VPMASKMOVD = 1107;;
+let _X86_INS_VPMASKMOVQ = 1108;;
+let _X86_INS_VPMAXSB = 1109;;
+let _X86_INS_VPMAXSD = 1110;;
+let _X86_INS_VPMAXSQ = 1111;;
+let _X86_INS_VPMAXSW = 1112;;
+let _X86_INS_VPMAXUB = 1113;;
+let _X86_INS_VPMAXUD = 1114;;
+let _X86_INS_VPMAXUQ = 1115;;
+let _X86_INS_VPMAXUW = 1116;;
+let _X86_INS_VPMINSB = 1117;;
+let _X86_INS_VPMINSD = 1118;;
+let _X86_INS_VPMINSQ = 1119;;
+let _X86_INS_VPMINSW = 1120;;
+let _X86_INS_VPMINUB = 1121;;
+let _X86_INS_VPMINUD = 1122;;
+let _X86_INS_VPMINUQ = 1123;;
+let _X86_INS_VPMINUW = 1124;;
+let _X86_INS_VPMOVDB = 1125;;
+let _X86_INS_VPMOVDW = 1126;;
+let _X86_INS_VPMOVM2B = 1127;;
+let _X86_INS_VPMOVM2D = 1128;;
+let _X86_INS_VPMOVM2Q = 1129;;
+let _X86_INS_VPMOVM2W = 1130;;
+let _X86_INS_VPMOVMSKB = 1131;;
+let _X86_INS_VPMOVQB = 1132;;
+let _X86_INS_VPMOVQD = 1133;;
+let _X86_INS_VPMOVQW = 1134;;
+let _X86_INS_VPMOVSDB = 1135;;
+let _X86_INS_VPMOVSDW = 1136;;
+let _X86_INS_VPMOVSQB = 1137;;
+let _X86_INS_VPMOVSQD = 1138;;
+let _X86_INS_VPMOVSQW = 1139;;
+let _X86_INS_VPMOVSXBD = 1140;;
+let _X86_INS_VPMOVSXBQ = 1141;;
+let _X86_INS_VPMOVSXBW = 1142;;
+let _X86_INS_VPMOVSXDQ = 1143;;
+let _X86_INS_VPMOVSXWD = 1144;;
+let _X86_INS_VPMOVSXWQ = 1145;;
+let _X86_INS_VPMOVUSDB = 1146;;
+let _X86_INS_VPMOVUSDW = 1147;;
+let _X86_INS_VPMOVUSQB = 1148;;
+let _X86_INS_VPMOVUSQD = 1149;;
+let _X86_INS_VPMOVUSQW = 1150;;
+let _X86_INS_VPMOVZXBD = 1151;;
+let _X86_INS_VPMOVZXBQ = 1152;;
+let _X86_INS_VPMOVZXBW = 1153;;
+let _X86_INS_VPMOVZXDQ = 1154;;
+let _X86_INS_VPMOVZXWD = 1155;;
+let _X86_INS_VPMOVZXWQ = 1156;;
+let _X86_INS_VPMULDQ = 1157;;
+let _X86_INS_VPMULHRSW = 1158;;
+let _X86_INS_VPMULHUW = 1159;;
+let _X86_INS_VPMULHW = 1160;;
+let _X86_INS_VPMULLD = 1161;;
+let _X86_INS_VPMULLQ = 1162;;
+let _X86_INS_VPMULLW = 1163;;
+let _X86_INS_VPMULUDQ = 1164;;
+let _X86_INS_VPORD = 1165;;
+let _X86_INS_VPORQ = 1166;;
+let _X86_INS_VPOR = 1167;;
+let _X86_INS_VPPERM = 1168;;
+let _X86_INS_VPROTB = 1169;;
+let _X86_INS_VPROTD = 1170;;
+let _X86_INS_VPROTQ = 1171;;
+let _X86_INS_VPROTW = 1172;;
+let _X86_INS_VPSADBW = 1173;;
+let _X86_INS_VPSCATTERDD = 1174;;
+let _X86_INS_VPSCATTERDQ = 1175;;
+let _X86_INS_VPSCATTERQD = 1176;;
+let _X86_INS_VPSCATTERQQ = 1177;;
+let _X86_INS_VPSHAB = 1178;;
+let _X86_INS_VPSHAD = 1179;;
+let _X86_INS_VPSHAQ = 1180;;
+let _X86_INS_VPSHAW = 1181;;
+let _X86_INS_VPSHLB = 1182;;
+let _X86_INS_VPSHLD = 1183;;
+let _X86_INS_VPSHLQ = 1184;;
+let _X86_INS_VPSHLW = 1185;;
+let _X86_INS_VPSHUFB = 1186;;
+let _X86_INS_VPSHUFD = 1187;;
+let _X86_INS_VPSHUFHW = 1188;;
+let _X86_INS_VPSHUFLW = 1189;;
+let _X86_INS_VPSIGNB = 1190;;
+let _X86_INS_VPSIGND = 1191;;
+let _X86_INS_VPSIGNW = 1192;;
+let _X86_INS_VPSLLDQ = 1193;;
+let _X86_INS_VPSLLD = 1194;;
+let _X86_INS_VPSLLQ = 1195;;
+let _X86_INS_VPSLLVD = 1196;;
+let _X86_INS_VPSLLVQ = 1197;;
+let _X86_INS_VPSLLW = 1198;;
+let _X86_INS_VPSRAD = 1199;;
+let _X86_INS_VPSRAQ = 1200;;
+let _X86_INS_VPSRAVD = 1201;;
+let _X86_INS_VPSRAVQ = 1202;;
+let _X86_INS_VPSRAW = 1203;;
+let _X86_INS_VPSRLDQ = 1204;;
+let _X86_INS_VPSRLD = 1205;;
+let _X86_INS_VPSRLQ = 1206;;
+let _X86_INS_VPSRLVD = 1207;;
+let _X86_INS_VPSRLVQ = 1208;;
+let _X86_INS_VPSRLW = 1209;;
+let _X86_INS_VPSUBB = 1210;;
+let _X86_INS_VPSUBD = 1211;;
+let _X86_INS_VPSUBQ = 1212;;
+let _X86_INS_VPSUBSB = 1213;;
+let _X86_INS_VPSUBSW = 1214;;
+let _X86_INS_VPSUBUSB = 1215;;
+let _X86_INS_VPSUBUSW = 1216;;
+let _X86_INS_VPSUBW = 1217;;
+let _X86_INS_VPTESTMD = 1218;;
+let _X86_INS_VPTESTMQ = 1219;;
+let _X86_INS_VPTESTNMD = 1220;;
+let _X86_INS_VPTESTNMQ = 1221;;
+let _X86_INS_VPTEST = 1222;;
+let _X86_INS_VPUNPCKHBW = 1223;;
+let _X86_INS_VPUNPCKHDQ = 1224;;
+let _X86_INS_VPUNPCKHQDQ = 1225;;
+let _X86_INS_VPUNPCKHWD = 1226;;
+let _X86_INS_VPUNPCKLBW = 1227;;
+let _X86_INS_VPUNPCKLDQ = 1228;;
+let _X86_INS_VPUNPCKLQDQ = 1229;;
+let _X86_INS_VPUNPCKLWD = 1230;;
+let _X86_INS_VPXORD = 1231;;
+let _X86_INS_VPXORQ = 1232;;
+let _X86_INS_VPXOR = 1233;;
+let _X86_INS_VRCP14PD = 1234;;
+let _X86_INS_VRCP14PS = 1235;;
+let _X86_INS_VRCP14SD = 1236;;
+let _X86_INS_VRCP14SS = 1237;;
+let _X86_INS_VRCP28PD = 1238;;
+let _X86_INS_VRCP28PS = 1239;;
+let _X86_INS_VRCP28SD = 1240;;
+let _X86_INS_VRCP28SS = 1241;;
+let _X86_INS_VRCPPS = 1242;;
+let _X86_INS_VRCPSS = 1243;;
+let _X86_INS_VRNDSCALEPD = 1244;;
+let _X86_INS_VRNDSCALEPS = 1245;;
+let _X86_INS_VRNDSCALESD = 1246;;
+let _X86_INS_VRNDSCALESS = 1247;;
+let _X86_INS_VROUNDPD = 1248;;
+let _X86_INS_VROUNDPS = 1249;;
+let _X86_INS_VROUNDSD = 1250;;
+let _X86_INS_VROUNDSS = 1251;;
+let _X86_INS_VRSQRT14PD = 1252;;
+let _X86_INS_VRSQRT14PS = 1253;;
+let _X86_INS_VRSQRT14SD = 1254;;
+let _X86_INS_VRSQRT14SS = 1255;;
+let _X86_INS_VRSQRT28PD = 1256;;
+let _X86_INS_VRSQRT28PS = 1257;;
+let _X86_INS_VRSQRT28SD = 1258;;
+let _X86_INS_VRSQRT28SS = 1259;;
+let _X86_INS_VRSQRTPS = 1260;;
+let _X86_INS_VRSQRTSS = 1261;;
+let _X86_INS_VSCATTERDPD = 1262;;
+let _X86_INS_VSCATTERDPS = 1263;;
+let _X86_INS_VSCATTERPF0DPD = 1264;;
+let _X86_INS_VSCATTERPF0DPS = 1265;;
+let _X86_INS_VSCATTERPF0QPD = 1266;;
+let _X86_INS_VSCATTERPF0QPS = 1267;;
+let _X86_INS_VSCATTERPF1DPD = 1268;;
+let _X86_INS_VSCATTERPF1DPS = 1269;;
+let _X86_INS_VSCATTERPF1QPD = 1270;;
+let _X86_INS_VSCATTERPF1QPS = 1271;;
+let _X86_INS_VSCATTERQPD = 1272;;
+let _X86_INS_VSCATTERQPS = 1273;;
+let _X86_INS_VSHUFPD = 1274;;
+let _X86_INS_VSHUFPS = 1275;;
+let _X86_INS_VSQRTPD = 1276;;
+let _X86_INS_VSQRTPS = 1277;;
+let _X86_INS_VSQRTSD = 1278;;
+let _X86_INS_VSQRTSS = 1279;;
+let _X86_INS_VSTMXCSR = 1280;;
+let _X86_INS_VSUBPD = 1281;;
+let _X86_INS_VSUBPS = 1282;;
+let _X86_INS_VSUBSD = 1283;;
+let _X86_INS_VSUBSS = 1284;;
+let _X86_INS_VTESTPD = 1285;;
+let _X86_INS_VTESTPS = 1286;;
+let _X86_INS_VUNPCKHPD = 1287;;
+let _X86_INS_VUNPCKHPS = 1288;;
+let _X86_INS_VUNPCKLPD = 1289;;
+let _X86_INS_VUNPCKLPS = 1290;;
+let _X86_INS_VZEROALL = 1291;;
+let _X86_INS_VZEROUPPER = 1292;;
+let _X86_INS_WAIT = 1293;;
+let _X86_INS_WBINVD = 1294;;
+let _X86_INS_WRFSBASE = 1295;;
+let _X86_INS_WRGSBASE = 1296;;
+let _X86_INS_WRMSR = 1297;;
+let _X86_INS_XABORT = 1298;;
+let _X86_INS_XACQUIRE = 1299;;
+let _X86_INS_XBEGIN = 1300;;
+let _X86_INS_XCHG = 1301;;
+let _X86_INS_XCRYPTCBC = 1302;;
+let _X86_INS_XCRYPTCFB = 1303;;
+let _X86_INS_XCRYPTCTR = 1304;;
+let _X86_INS_XCRYPTECB = 1305;;
+let _X86_INS_XCRYPTOFB = 1306;;
+let _X86_INS_XEND = 1307;;
+let _X86_INS_XGETBV = 1308;;
+let _X86_INS_XLATB = 1309;;
+let _X86_INS_XRELEASE = 1310;;
+let _X86_INS_XRSTOR = 1311;;
+let _X86_INS_XRSTOR64 = 1312;;
+let _X86_INS_XRSTORS = 1313;;
+let _X86_INS_XRSTORS64 = 1314;;
+let _X86_INS_XSAVE = 1315;;
+let _X86_INS_XSAVE64 = 1316;;
+let _X86_INS_XSAVEC = 1317;;
+let _X86_INS_XSAVEC64 = 1318;;
+let _X86_INS_XSAVEOPT = 1319;;
+let _X86_INS_XSAVEOPT64 = 1320;;
+let _X86_INS_XSAVES = 1321;;
+let _X86_INS_XSAVES64 = 1322;;
+let _X86_INS_XSETBV = 1323;;
+let _X86_INS_XSHA1 = 1324;;
+let _X86_INS_XSHA256 = 1325;;
+let _X86_INS_XSTORE = 1326;;
+let _X86_INS_XTEST = 1327;;
+let _X86_INS_FDISI8087_NOP = 1328;;
+let _X86_INS_FENI8087_NOP = 1329;;
+let _X86_INS_CMPSS = 1330;;
+let _X86_INS_CMPEQSS = 1331;;
+let _X86_INS_CMPLTSS = 1332;;
+let _X86_INS_CMPLESS = 1333;;
+let _X86_INS_CMPUNORDSS = 1334;;
+let _X86_INS_CMPNEQSS = 1335;;
+let _X86_INS_CMPNLTSS = 1336;;
+let _X86_INS_CMPNLESS = 1337;;
+let _X86_INS_CMPORDSS = 1338;;
+let _X86_INS_CMPSD = 1339;;
+let _X86_INS_CMPEQSD = 1340;;
+let _X86_INS_CMPLTSD = 1341;;
+let _X86_INS_CMPLESD = 1342;;
+let _X86_INS_CMPUNORDSD = 1343;;
+let _X86_INS_CMPNEQSD = 1344;;
+let _X86_INS_CMPNLTSD = 1345;;
+let _X86_INS_CMPNLESD = 1346;;
+let _X86_INS_CMPORDSD = 1347;;
+let _X86_INS_CMPPS = 1348;;
+let _X86_INS_CMPEQPS = 1349;;
+let _X86_INS_CMPLTPS = 1350;;
+let _X86_INS_CMPLEPS = 1351;;
+let _X86_INS_CMPUNORDPS = 1352;;
+let _X86_INS_CMPNEQPS = 1353;;
+let _X86_INS_CMPNLTPS = 1354;;
+let _X86_INS_CMPNLEPS = 1355;;
+let _X86_INS_CMPORDPS = 1356;;
+let _X86_INS_CMPPD = 1357;;
+let _X86_INS_CMPEQPD = 1358;;
+let _X86_INS_CMPLTPD = 1359;;
+let _X86_INS_CMPLEPD = 1360;;
+let _X86_INS_CMPUNORDPD = 1361;;
+let _X86_INS_CMPNEQPD = 1362;;
+let _X86_INS_CMPNLTPD = 1363;;
+let _X86_INS_CMPNLEPD = 1364;;
+let _X86_INS_CMPORDPD = 1365;;
+let _X86_INS_VCMPSS = 1366;;
+let _X86_INS_VCMPEQSS = 1367;;
+let _X86_INS_VCMPLTSS = 1368;;
+let _X86_INS_VCMPLESS = 1369;;
+let _X86_INS_VCMPUNORDSS = 1370;;
+let _X86_INS_VCMPNEQSS = 1371;;
+let _X86_INS_VCMPNLTSS = 1372;;
+let _X86_INS_VCMPNLESS = 1373;;
+let _X86_INS_VCMPORDSS = 1374;;
+let _X86_INS_VCMPEQ_UQSS = 1375;;
+let _X86_INS_VCMPNGESS = 1376;;
+let _X86_INS_VCMPNGTSS = 1377;;
+let _X86_INS_VCMPFALSESS = 1378;;
+let _X86_INS_VCMPNEQ_OQSS = 1379;;
+let _X86_INS_VCMPGESS = 1380;;
+let _X86_INS_VCMPGTSS = 1381;;
+let _X86_INS_VCMPTRUESS = 1382;;
+let _X86_INS_VCMPEQ_OSSS = 1383;;
+let _X86_INS_VCMPLT_OQSS = 1384;;
+let _X86_INS_VCMPLE_OQSS = 1385;;
+let _X86_INS_VCMPUNORD_SSS = 1386;;
+let _X86_INS_VCMPNEQ_USSS = 1387;;
+let _X86_INS_VCMPNLT_UQSS = 1388;;
+let _X86_INS_VCMPNLE_UQSS = 1389;;
+let _X86_INS_VCMPORD_SSS = 1390;;
+let _X86_INS_VCMPEQ_USSS = 1391;;
+let _X86_INS_VCMPNGE_UQSS = 1392;;
+let _X86_INS_VCMPNGT_UQSS = 1393;;
+let _X86_INS_VCMPFALSE_OSSS = 1394;;
+let _X86_INS_VCMPNEQ_OSSS = 1395;;
+let _X86_INS_VCMPGE_OQSS = 1396;;
+let _X86_INS_VCMPGT_OQSS = 1397;;
+let _X86_INS_VCMPTRUE_USSS = 1398;;
+let _X86_INS_VCMPSD = 1399;;
+let _X86_INS_VCMPEQSD = 1400;;
+let _X86_INS_VCMPLTSD = 1401;;
+let _X86_INS_VCMPLESD = 1402;;
+let _X86_INS_VCMPUNORDSD = 1403;;
+let _X86_INS_VCMPNEQSD = 1404;;
+let _X86_INS_VCMPNLTSD = 1405;;
+let _X86_INS_VCMPNLESD = 1406;;
+let _X86_INS_VCMPORDSD = 1407;;
+let _X86_INS_VCMPEQ_UQSD = 1408;;
+let _X86_INS_VCMPNGESD = 1409;;
+let _X86_INS_VCMPNGTSD = 1410;;
+let _X86_INS_VCMPFALSESD = 1411;;
+let _X86_INS_VCMPNEQ_OQSD = 1412;;
+let _X86_INS_VCMPGESD = 1413;;
+let _X86_INS_VCMPGTSD = 1414;;
+let _X86_INS_VCMPTRUESD = 1415;;
+let _X86_INS_VCMPEQ_OSSD = 1416;;
+let _X86_INS_VCMPLT_OQSD = 1417;;
+let _X86_INS_VCMPLE_OQSD = 1418;;
+let _X86_INS_VCMPUNORD_SSD = 1419;;
+let _X86_INS_VCMPNEQ_USSD = 1420;;
+let _X86_INS_VCMPNLT_UQSD = 1421;;
+let _X86_INS_VCMPNLE_UQSD = 1422;;
+let _X86_INS_VCMPORD_SSD = 1423;;
+let _X86_INS_VCMPEQ_USSD = 1424;;
+let _X86_INS_VCMPNGE_UQSD = 1425;;
+let _X86_INS_VCMPNGT_UQSD = 1426;;
+let _X86_INS_VCMPFALSE_OSSD = 1427;;
+let _X86_INS_VCMPNEQ_OSSD = 1428;;
+let _X86_INS_VCMPGE_OQSD = 1429;;
+let _X86_INS_VCMPGT_OQSD = 1430;;
+let _X86_INS_VCMPTRUE_USSD = 1431;;
+let _X86_INS_VCMPPS = 1432;;
+let _X86_INS_VCMPEQPS = 1433;;
+let _X86_INS_VCMPLTPS = 1434;;
+let _X86_INS_VCMPLEPS = 1435;;
+let _X86_INS_VCMPUNORDPS = 1436;;
+let _X86_INS_VCMPNEQPS = 1437;;
+let _X86_INS_VCMPNLTPS = 1438;;
+let _X86_INS_VCMPNLEPS = 1439;;
+let _X86_INS_VCMPORDPS = 1440;;
+let _X86_INS_VCMPEQ_UQPS = 1441;;
+let _X86_INS_VCMPNGEPS = 1442;;
+let _X86_INS_VCMPNGTPS = 1443;;
+let _X86_INS_VCMPFALSEPS = 1444;;
+let _X86_INS_VCMPNEQ_OQPS = 1445;;
+let _X86_INS_VCMPGEPS = 1446;;
+let _X86_INS_VCMPGTPS = 1447;;
+let _X86_INS_VCMPTRUEPS = 1448;;
+let _X86_INS_VCMPEQ_OSPS = 1449;;
+let _X86_INS_VCMPLT_OQPS = 1450;;
+let _X86_INS_VCMPLE_OQPS = 1451;;
+let _X86_INS_VCMPUNORD_SPS = 1452;;
+let _X86_INS_VCMPNEQ_USPS = 1453;;
+let _X86_INS_VCMPNLT_UQPS = 1454;;
+let _X86_INS_VCMPNLE_UQPS = 1455;;
+let _X86_INS_VCMPORD_SPS = 1456;;
+let _X86_INS_VCMPEQ_USPS = 1457;;
+let _X86_INS_VCMPNGE_UQPS = 1458;;
+let _X86_INS_VCMPNGT_UQPS = 1459;;
+let _X86_INS_VCMPFALSE_OSPS = 1460;;
+let _X86_INS_VCMPNEQ_OSPS = 1461;;
+let _X86_INS_VCMPGE_OQPS = 1462;;
+let _X86_INS_VCMPGT_OQPS = 1463;;
+let _X86_INS_VCMPTRUE_USPS = 1464;;
+let _X86_INS_VCMPPD = 1465;;
+let _X86_INS_VCMPEQPD = 1466;;
+let _X86_INS_VCMPLTPD = 1467;;
+let _X86_INS_VCMPLEPD = 1468;;
+let _X86_INS_VCMPUNORDPD = 1469;;
+let _X86_INS_VCMPNEQPD = 1470;;
+let _X86_INS_VCMPNLTPD = 1471;;
+let _X86_INS_VCMPNLEPD = 1472;;
+let _X86_INS_VCMPORDPD = 1473;;
+let _X86_INS_VCMPEQ_UQPD = 1474;;
+let _X86_INS_VCMPNGEPD = 1475;;
+let _X86_INS_VCMPNGTPD = 1476;;
+let _X86_INS_VCMPFALSEPD = 1477;;
+let _X86_INS_VCMPNEQ_OQPD = 1478;;
+let _X86_INS_VCMPGEPD = 1479;;
+let _X86_INS_VCMPGTPD = 1480;;
+let _X86_INS_VCMPTRUEPD = 1481;;
+let _X86_INS_VCMPEQ_OSPD = 1482;;
+let _X86_INS_VCMPLT_OQPD = 1483;;
+let _X86_INS_VCMPLE_OQPD = 1484;;
+let _X86_INS_VCMPUNORD_SPD = 1485;;
+let _X86_INS_VCMPNEQ_USPD = 1486;;
+let _X86_INS_VCMPNLT_UQPD = 1487;;
+let _X86_INS_VCMPNLE_UQPD = 1488;;
+let _X86_INS_VCMPORD_SPD = 1489;;
+let _X86_INS_VCMPEQ_USPD = 1490;;
+let _X86_INS_VCMPNGE_UQPD = 1491;;
+let _X86_INS_VCMPNGT_UQPD = 1492;;
+let _X86_INS_VCMPFALSE_OSPD = 1493;;
+let _X86_INS_VCMPNEQ_OSPD = 1494;;
+let _X86_INS_VCMPGE_OQPD = 1495;;
+let _X86_INS_VCMPGT_OQPD = 1496;;
+let _X86_INS_VCMPTRUE_USPD = 1497;;
+let _X86_INS_UD0 = 1498;;
+let _X86_INS_ENDBR32 = 1499;;
+let _X86_INS_ENDBR64 = 1500;;
+let _X86_INS_ENDING = 1501;;
 
 let _X86_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _X86_GRP_JUMP = 1;;
 let _X86_GRP_CALL = 2;;
 let _X86_GRP_RET = 3;;
 let _X86_GRP_INT = 4;;
 let _X86_GRP_IRET = 5;;
-
-(* Architecture-specific groups *)
+let _X86_GRP_PRIVILEGE = 6;;
+let _X86_GRP_BRANCH_RELATIVE = 7;;
 let _X86_GRP_VM = 128;;
 let _X86_GRP_3DNOW = 129;;
 let _X86_GRP_AES = 130;;
@@ -1683,4 +1958,5 @@ let _X86_GRP_PFI = 165;;
 let _X86_GRP_VLX = 166;;
 let _X86_GRP_SMAP = 167;;
 let _X86_GRP_NOVLX = 168;;
-let _X86_GRP_ENDING = 169;;
+let _X86_GRP_FPU = 169;;
+let _X86_GRP_ENDING = 170;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/x86.ml 4.0.2-3/bindings/ocaml/x86.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/x86.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/x86.ml	2020-05-08 10:03:30.000000000 +0000
@@ -16,12 +16,12 @@ type x86_op_value =
 	| X86_OP_INVALID of int
 	| X86_OP_REG of int
 	| X86_OP_IMM of int
-	| X86_OP_FP of float
 	| X86_OP_MEM of x86_op_mem
 
 type x86_op = {
 	value: x86_op_value;
 	size: int;
+	access: int;
 	avx_bcast: int;
 	avx_zero_opmask: int;
 }
@@ -37,9 +37,11 @@ type cs_x86 = {
 	sib_index: int;
 	sib_scale: int;
 	sib_base: int;
+	xop_cc: int;
 	sse_cc: int;
 	avx_cc: int;
 	avx_sae: int;
 	avx_rm: int;
+	eflags: int;
 	operands: x86_op array;
 }
diff -pruN 4.0.1+really+3.0.5-2/bindings/ocaml/xcore_const.ml 4.0.2-3/bindings/ocaml/xcore_const.ml
--- 4.0.1+really+3.0.5-2/bindings/ocaml/xcore_const.ml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/ocaml/xcore_const.ml	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 (* For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [xcore_const.ml] *)
 
-(* Operand type for instruction's operands *)
-
 let _XCORE_OP_INVALID = 0;;
 let _XCORE_OP_REG = 1;;
 let _XCORE_OP_IMM = 2;;
 let _XCORE_OP_MEM = 3;;
 
-(* XCore registers *)
-
 let _XCORE_REG_INVALID = 0;;
 let _XCORE_REG_CP = 1;;
 let _XCORE_REG_DP = 2;;
@@ -26,8 +22,6 @@ let _XCORE_REG_R8 = 13;;
 let _XCORE_REG_R9 = 14;;
 let _XCORE_REG_R10 = 15;;
 let _XCORE_REG_R11 = 16;;
-
-(* pseudo registers *)
 let _XCORE_REG_PC = 17;;
 let _XCORE_REG_SCP = 18;;
 let _XCORE_REG_SSR = 19;;
@@ -39,8 +33,6 @@ let _XCORE_REG_KSP = 24;;
 let _XCORE_REG_ID = 25;;
 let _XCORE_REG_ENDING = 26;;
 
-(* XCore instruction *)
-
 let _XCORE_INS_INVALID = 0;;
 let _XCORE_INS_ADD = 1;;
 let _XCORE_INS_ANDNOT = 2;;
@@ -164,10 +156,6 @@ let _XCORE_INS_XOR = 119;;
 let _XCORE_INS_ZEXT = 120;;
 let _XCORE_INS_ENDING = 121;;
 
-(* Group of XCore instructions *)
-
 let _XCORE_GRP_INVALID = 0;;
-
-(* Generic groups *)
 let _XCORE_GRP_JUMP = 1;;
 let _XCORE_GRP_ENDING = 2;;
diff -pruN 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.Format.ps1xml 4.0.2-3/bindings/powershell/Capstone/Capstone.Format.ps1xml
--- 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.Format.ps1xml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/powershell/Capstone/Capstone.Format.ps1xml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,157 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<Configuration>
+  <DefaultSettings>
+    <EnumerableExpansions>
+        <EnumerableExpansion>
+            <Expand>Both</Expand>
+        </EnumerableExpansion>
+    </EnumerableExpansions>
+  </DefaultSettings>
+    <ViewDefinitions>
+        <View>
+            <Name>CapstoneDisassemblyViewSimple</Name>
+                <ViewSelectedBy>
+                    <TypeName>CapstoneDisassembly.Simple</TypeName>
+                </ViewSelectedBy>
+                <ListControl>
+                <ListEntries>
+                    <ListEntry>
+                        <ListItems>
+                            <ListItem>
+                                <PropertyName>Address</PropertyName>
+                                <FormatString>0x{0:X}</FormatString>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>Instruction</PropertyName>
+                            </ListItem>
+                        </ListItems>
+                    </ListEntry>
+                </ListEntries>
+            </ListControl>
+        </View>
+        <View>
+            <Name>CapstoneDisassemblyViewSimple</Name>
+                <ViewSelectedBy>
+                    <TypeName>CapstoneDisassembly.Simple</TypeName>
+                </ViewSelectedBy>
+            <TableControl>
+                <TableHeaders>
+                    <TableColumnHeader>
+                        <Label>Address</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>Instruction</Label>
+                    </TableColumnHeader>
+                </TableHeaders>
+                <TableRowEntries>
+                    <TableRowEntry>
+                        <TableColumnItems>
+                            <TableColumnItem>
+                                <PropertyName>Address</PropertyName>
+                                <FormatString>0x{0:x}</FormatString>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>Instruction</PropertyName>
+                            </TableColumnItem>
+                        </TableColumnItems>
+                    </TableRowEntry>
+                 </TableRowEntries>
+            </TableControl>
+        </View>
+        <View>
+            <Name>CapstoneDisassemblyViewDetailed</Name>
+                <ViewSelectedBy>
+                    <TypeName>CapstoneDisassembly.Detailed</TypeName>
+                </ViewSelectedBy>
+                <ListControl>
+                <ListEntries>
+                    <ListEntry>
+                        <ListItems>
+                            <ListItem>
+                                <PropertyName>Address</PropertyName>
+                                <FormatString>0x{0:X}</FormatString>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>Mnemonic</PropertyName>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>Operands</PropertyName>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>Bytes</PropertyName>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>Size</PropertyName>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>RegRead</PropertyName>
+                            </ListItem>
+                            <ListItem>
+                                <PropertyName>RegWrite</PropertyName>
+                            </ListItem>
+                        </ListItems>
+                    </ListEntry>
+                </ListEntries>
+            </ListControl>
+        </View>
+        <View>
+            <Name>CapstoneDisassemblyViewDetailed</Name>
+                <ViewSelectedBy>
+                    <TypeName>CapstoneDisassembly.Detailed</TypeName>
+                </ViewSelectedBy>
+            <TableControl>
+                <TableHeaders>
+                    <TableColumnHeader>
+                        <Label>Address</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>Mnemonic</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>Operands</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>Bytes</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>Size</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>RegRead</Label>
+                    </TableColumnHeader>
+                    <TableColumnHeader>
+                        <Label>RegWrite</Label>
+                    </TableColumnHeader>
+                </TableHeaders>
+                <TableRowEntries>
+                    <TableRowEntry>
+                        <TableColumnItems>
+                            <TableColumnItem>
+                                <PropertyName>Address</PropertyName>
+                                <FormatString>0x{0:x}</FormatString>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>Mnemonic</PropertyName>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>Operands</PropertyName>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>Bytes</PropertyName>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>Size</PropertyName>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>RegRead</PropertyName>
+                            </TableColumnItem>
+                            <TableColumnItem>
+                                <PropertyName>RegWrite</PropertyName>
+                            </TableColumnItem>
+                        </TableColumnItems>
+                    </TableRowEntry>
+                 </TableRowEntries>
+            </TableControl>
+        </View>
+    </ViewDefinitions>
+</Configuration>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.psd1 4.0.2-3/bindings/powershell/Capstone/Capstone.psd1
--- 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.psd1	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/powershell/Capstone/Capstone.psd1	2020-05-08 10:03:30.000000000 +0000
@@ -1,25 +1,118 @@
-@{
-# Script module or binary module file associated with this manifest.
-ModuleToProcess = 'Capstone.psm1'
-
-# Version number of this module.
-ModuleVersion = '0.0.0.1'
-
-# ID used to uniquely identify this module
-GUID = 'd34db33f-9958-436d-a2d8-a77844a2bda5'
-
-# Author of this module
-Author = 'Ruben Boonen'
-
-# Copyright statement for this module
-Copyright = 'BSD 3-Clause'
-
-# Description of the functionality provided by this module
-Description = 'Capstone Engine Binding Module'
-
-# Minimum version of the Windows PowerShell engine required by this module
-PowerShellVersion = '2.0'
-
-# Functions to export from this module
-FunctionsToExport = '*'
-}
+#
+# Module manifest for module 'Capstone'
+#
+
+@{
+
+# Script module or binary module file associated with this manifest.
+ModuleToProcess = 'Capstone.psm1'
+
+# Version number of this module.
+ModuleVersion = '0.0.0.2'
+
+# Supported PSEditions
+# CompatiblePSEditions = @()
+
+# ID used to uniquely identify this module
+GUID = 'd34db33f-9958-436d-a2d8-a77844a2bda5'
+
+# Author of this module
+Author = 'Ruben Boonen, beatcracker'
+
+# Company or vendor of this module
+# CompanyName = 'Unknown'
+
+# Copyright statement for this module
+Copyright = 'BSD 3-Clause'
+
+# Description of the functionality provided by this module
+Description = 'Capstone Engine Binding Module'
+
+# Minimum version of the Windows PowerShell engine required by this module
+PowerShellVersion = '2.0'
+
+# Name of the Windows PowerShell host required by this module
+# PowerShellHostName = ''
+
+# Minimum version of the Windows PowerShell host required by this module
+# PowerShellHostVersion = ''
+
+# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
+# DotNetFrameworkVersion = ''
+
+# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
+# CLRVersion = ''
+
+# Processor architecture (None, X86, Amd64) required by this module
+# ProcessorArchitecture = ''
+
+# Modules that must be imported into the global environment prior to importing this module
+# RequiredModules = @()
+
+# Assemblies that must be loaded prior to importing this module
+# RequiredAssemblies = @()
+
+# Script files (.ps1) that are run in the caller's environment prior to importing this module.
+# ScriptsToProcess = @()
+
+# Type files (.ps1xml) to be loaded when importing this module
+# TypesToProcess = @()
+
+# Format files (.ps1xml) to be loaded when importing this module
+FormatsToProcess = 'Capstone.Format.ps1xml'
+
+# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
+# NestedModules = @()
+
+# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
+FunctionsToExport = 'Get-CapstoneVersion', 'Get-CapstoneDisassembly'
+
+# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
+CmdletsToExport = @()
+
+# Variables to export from this module
+VariablesToExport = @()
+
+# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
+AliasesToExport = @()
+
+# DSC resources to export from this module
+# DscResourcesToExport = @()
+
+# List of all modules packaged with this module
+# ModuleList = @()
+
+# List of all files packaged with this module
+# FileList = @()
+
+# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
+PrivateData = @{
+
+    PSData = @{
+
+        # Tags applied to this module. These help with module discovery in online galleries.
+        # Tags = @()
+
+        # A URL to the license for this module.
+        # LicenseUri = ''
+
+        # A URL to the main website for this project.
+        # ProjectUri = ''
+
+        # A URL to an icon representing this module.
+        # IconUri = ''
+
+        # ReleaseNotes of this module
+        # ReleaseNotes = ''
+
+    } # End of PSData hashtable
+
+} # End of PrivateData hashtable
+
+# HelpInfo URI of this module
+# HelpInfoURI = ''
+
+# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
+# DefaultCommandPrefix = ''
+
+}
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.psm1 4.0.2-3/bindings/powershell/Capstone/Capstone.psm1
--- 4.0.1+really+3.0.5-2/bindings/powershell/Capstone/Capstone.psm1	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/powershell/Capstone/Capstone.psm1	2020-05-08 10:03:30.000000000 +0000
@@ -1,442 +1,500 @@
+<#
+.SYNOPSIS
+    Get Capstone version as Version object
+#>
+function Get-CapstoneVersion {
+    $Version = [System.BitConverter]::GetBytes(
+        [Capstone]::cs_version($null, $null)
+    )
+
+    New-Object -TypeName version -ArgumentList @(
+        $Version[1]
+        $Version[0]
+        0
+        0
+    )
+}
+
+<#
+.SYNOPSIS
+    Create C# bindings for capstone.dll
+
+.PARAMETER DllPath
+    Path to capstone.dll
+#>
+function Initialize-Capstone {
+    [CmdletBinding()]
+    Param (
+        [Parameter(Mandatory = $true)]
+        [ValidateScript( {
+                try {
+                    Test-Path -Path $_ -PathType Leaf -ErrorAction Stop
+                } catch {
+                    throw "Capstone DLL is missing: $DllPath"
+                }
+            })]
+        [ValidateNotNullOrEmpty()]
+        [string]$DllPath
+    )
+
+    # Escape path for use in inline C#
+    $DllPath = $DllPath.Replace('\', '\\')
+
+    # Inline C# to parse the unmanaged capstone DLL
+    # http://stackoverflow.com/questions/16552801/how-do-i-conditionally-add-a-class-with-add-type-typedefinition-if-it-isnt-add
+    if (-not ([System.Management.Automation.PSTypeName]'Capstone').Type) {
+        Add-Type -TypeDefinition @"
+        using System;
+        using System.Diagnostics;
+        using System.Runtime.InteropServices;
+        using System.Security.Principal;
+
+        [StructLayout(LayoutKind.Sequential)]
+        public struct cs_insn
+        {
+            public uint id;
+            public ulong address;
+            public ushort size;
+            [MarshalAs(UnmanagedType.ByValArray, SizeConst = 16)]
+            public byte[] bytes;
+            [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
+            public string mnemonic;
+            [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 160)]
+            public string operands;
+            public IntPtr detail;
+        }
+
+        /// Partial, only architecture-independent internal data
+        [StructLayout(LayoutKind.Sequential)]
+        public struct cs_detail
+        {
+            [MarshalAs(UnmanagedType.ByValArray, SizeConst = 12)]
+            public byte[] regs_read;
+            public byte regs_read_count;
+            [MarshalAs(UnmanagedType.ByValArray, SizeConst = 20)]
+            public byte[] regs_write;
+            public byte regs_write_count;
+            [MarshalAs(UnmanagedType.ByValArray, SizeConst = 8)]
+            public byte[] groups;
+            public byte groups_count;
+        }
+
+        public enum cs_err : int
+        {
+            CS_ERR_OK = 0,    /// No error: everything was fine
+            CS_ERR_MEM,       /// Out-Of-Memory error: cs_open(), cs_disasm(), cs_disasm_iter()
+            CS_ERR_ARCH,      /// Unsupported architecture: cs_open()
+            CS_ERR_HANDLE,    /// Invalid handle: cs_op_count(), cs_op_index()
+            CS_ERR_CSH,       /// Invalid csh argument: cs_close(), cs_errno(), cs_option()
+            CS_ERR_MODE,      /// Invalid/unsupported mode: cs_open()
+            CS_ERR_OPTION,    /// Invalid/unsupported option: cs_option()
+            CS_ERR_DETAIL,    /// Information is unavailable because detail option is OFF
+            CS_ERR_MEMSETUP,  /// Dynamic memory management uninitialized (see CS_OPT_MEM)
+            CS_ERR_VERSION,   /// Unsupported version (bindings)
+            CS_ERR_DIET,      /// Access irrelevant data in "diet" engine
+            CS_ERR_SKIPDATA,  /// Access irrelevant data for "data" instruction in SKIPDATA mode
+            CS_ERR_X86_ATT,   /// X86 AT&T syntax is unsupported (opt-out at compile time)
+            CS_ERR_X86_INTEL, /// X86 Intel syntax is unsupported (opt-out at compile time)
+        }
+        public enum cs_arch : int
+        {
+            CS_ARCH_ARM = 0,      /// ARM architecture (including Thumb, Thumb-2)
+            CS_ARCH_ARM64,        /// ARM-64, also called AArch64
+            CS_ARCH_MIPS,         /// Mips architecture
+            CS_ARCH_X86,          /// X86 architecture (including x86 & x86-64)
+            CS_ARCH_PPC,          /// PowerPC architecture
+            CS_ARCH_SPARC,        /// Sparc architecture
+            CS_ARCH_SYSZ,         /// SystemZ architecture
+            CS_ARCH_XCORE,        /// XCore architecture
+            CS_ARCH_MAX,
+            CS_ARCH_ALL = 0xFFFF, /// All architectures - for cs_support()
+        }
+        public enum cs_mode : int
+        {
+            CS_MODE_LITTLE_ENDIAN = 0,    /// little-endian mode (default mode)
+            CS_MODE_ARM = 0,              /// 32-bit ARM
+            CS_MODE_16 = 1 << 1,          /// 16-bit mode (X86)
+            CS_MODE_32 = 1 << 2,          /// 32-bit mode (X86)
+            CS_MODE_64 = 1 << 3,          /// 64-bit mode (X86, PPC)
+            CS_MODE_THUMB = 1 << 4,       /// ARM's Thumb mode, including Thumb-2
+            CS_MODE_MCLASS = 1 << 5,      /// ARM's Cortex-M series
+            CS_MODE_V8 = 1 << 6,          /// ARMv8 A32 encodings for ARM
+            CS_MODE_MICRO = 1 << 4,       /// MicroMips mode (MIPS)
+            CS_MODE_MIPS3 = 1 << 5,       /// Mips III ISA
+            CS_MODE_MIPS32R6 = 1 << 6,    /// Mips32r6 ISA
+            CS_MODE_MIPSGP64 = 1 << 7,    /// General Purpose Registers are 64-bit wide (MIPS)
+            CS_MODE_V9 = 1 << 4,          /// SparcV9 mode (Sparc)
+            CS_MODE_BIG_ENDIAN = 1 << 31, /// big-endian mode
+            CS_MODE_MIPS32 = CS_MODE_32,  /// Mips32 ISA (Mips)
+            CS_MODE_MIPS64 = CS_MODE_64,  /// Mips64 ISA (Mips)
+        }
+
+        public static class Capstone
+        {
+            [DllImport("$DllPath")]
+            public static extern cs_err cs_open(
+                cs_arch arch,
+                cs_mode mode,
+                ref IntPtr handle);
+
+            [DllImport("$DllPath")]
+            public static extern UInt32 cs_disasm(
+                IntPtr handle,
+                byte[] code,
+                int code_size,
+                ulong address,
+                int count,
+                ref IntPtr insn);
+
+            [DllImport("$DllPath")]
+            public static extern bool cs_free(
+                IntPtr insn,
+                int count);
+
+            [DllImport("$DllPath")]
+            public static extern cs_err cs_close(
+                ref IntPtr handle);
+
+            [DllImport("$DllPath")]
+            public static extern cs_err cs_option(
+                IntPtr handle,
+                int type,
+                int value);
+
+            [DllImport("$DllPath", CallingConvention = CallingConvention.Cdecl)]
+            public static extern IntPtr cs_reg_name(
+                IntPtr handle,
+                uint reg_id);
+
+            [DllImport("$DllPath")]
+            public static extern int cs_version(
+                uint major,
+                uint minor);
+        }
+"@
+    } else {
+        Write-Verbose 'C# bindings are already compiled'
+    }
+}
+
 function Get-CapstoneDisassembly {
 <#
 .SYNOPSIS
-	Powershell wrapper for Capstone (using inline C#).
+    Powershell wrapper for Capstone (using inline C#).
 
 .DESCRIPTION
-	Author: Ruben Boonen (@FuzzySec)
-	License: BSD 3-Clause
-	Required Dependencies: None
-	Optional Dependencies: None
+    Author: Ruben Boonen (@FuzzySec), @beatcracker
+    License: BSD 3-Clause
+    Required Dependencies: None
+    Optional Dependencies: None
 
 .PARAMETER Architecture
-	Architecture type.
+    Architecture type.
 
 .PARAMETER Mode
-	Mode type.
+    Mode type.
 
 .PARAMETER Bytes
-	Byte array to be disassembled.
+    Byte array to be disassembled.
 
 .PARAMETER Syntax
-	Syntax for output assembly.
+    Syntax for output assembly.
 
 .PARAMETER Address
-	Assign address for the first instruction to be disassembled.
+    Assign address for the first instruction to be disassembled.
 
 .PARAMETER Detailed
-	Return detailed output.
+    Return detailed output.
 
 .PARAMETER Version
-	Print ASCII version banner.
+    Print ASCII version banner.
 
 .EXAMPLE
 
-	C:\PS> $Bytes = [Byte[]] @( 0x10, 0xf1, 0x10, 0xe7, 0x11, 0xf2, 0x31, 0xe7, 0xdc, 0xa1, 0x2e, 0xf3, 0xe8, 0x4e, 0x62, 0xf3 )
-	C:\PS> Get-CapstoneDisassembly -Architecture CS_ARCH_ARM -Mode CS_MODE_ARM -Bytes $Bytes
-	
-	sdiv r0, r0, r1
-	udiv r1, r1, r2
-	vbit q5, q15, q6
-	vcgt.f32 q10, q9, q12
+    C:\PS> $Bytes = [byte[]] @( 0x10, 0xf1, 0x10, 0xe7, 0x11, 0xf2, 0x31, 0xe7, 0xdc, 0xa1, 0x2e, 0xf3, 0xe8, 0x4e, 0x62, 0xf3 )
+    C:\PS> Get-CapstoneDisassembly -Architecture CS_ARCH_ARM -Mode CS_MODE_ARM -Bytes $Bytes
 
-.EXAMPLE
+    Address     : 0x100000
+    Instruction : sdiv r0, r0, r1
 
-	# Detailed mode & ATT syntax
-	C:\PS> $Bytes = [Byte[]] @( 0xB8, 0x0A, 0x00, 0x00, 0x00, 0xF7, 0xF3 )
-	C:\PS> Get-CapstoneDisassembly -Architecture CS_ARCH_X86 -Mode CS_MODE_32 -Bytes $Bytes -Syntax ATT -Detailed
-	
-	Size     : 5
-	Address  : 0x100000
-	Mnemonic : movl
-	Operands : $0xa, %eax
-	Bytes    : {184, 10, 0, 0...}
-	RegRead  :
-	RegWrite :
-	
-	Size     : 2
-	Address  : 0x100005
-	Mnemonic : divl
-	Operands : %ebx
-	Bytes    : {247, 243, 0, 0...}
-	RegRead  : {eax, edx}
-	RegWrite : {eax, edx, eflags}
+    Address     : 0x100004
+    Instruction : udiv r1, r1, r2
+
+    Address     : 0x100008
+    Instruction : vbit q5, q15, q6
+
+    Address     : 0x10000C
+    Instruction : vcgt.f32 q10, q9, q12
 
 .EXAMPLE
 
-	# Get-CapstoneDisassembly emits objects
-	C:\PS> $Bytes = [Byte[]] @( 0xB8, 0x0A, 0x00, 0x00, 0x00, 0xF7, 0xF3 )
-	C:\PS> $Object = Get-CapstoneDisassembly -Architecture CS_ARCH_X86 -Mode CS_MODE_32 -Bytes $Bytes -Detailed
-	C:\PS> $Object |Select-Object Size,Mnemonic,Operands
-
-	Size Mnemonic Operands
-	---- -------- --------
-	   5 mov      eax, 0xa
-	   2 div      ebx
+    # Detailed mode & ATT syntax
+    C:\PS> $Bytes = [byte[]] @( 0xB8, 0x0A, 0x00, 0x00, 0x00, 0xF7, 0xF3 )
+    C:\PS> Get-CapstoneDisassembly -Architecture CS_ARCH_X86 -Mode CS_MODE_32 -Bytes $Bytes -Syntax ATT -Detailed
+
+    Address  : 0x100000
+    Mnemonic : movl
+    Operands : $0xa, %eax
+    Bytes    : {184, 10, 0, 0...}
+    Size     : 5
+    RegRead  :
+    RegWrite :
+
+    Address  : 0x100005
+    Mnemonic : divl
+    Operands : %ebx
+    Bytes    : {247, 243}
+    Size     : 2
+    RegRead  : {eax, edx}
+    RegWrite : {eax, edx, eflags}
 
+.EXAMPLE
+
+    # Get-CapstoneDisassembly emits objects
+    C:\PS> $Bytes = [byte[]] @( 0xB8, 0x0A, 0x00, 0x00, 0x00, 0xF7, 0xF3 )
+    C:\PS> $Object = Get-CapstoneDisassembly -Architecture CS_ARCH_X86 -Mode CS_MODE_32 -Bytes $Bytes -Detailed
+    C:\PS> $Object | Select-Object -Property Size, Mnemonic, Operands
+
+    Size Mnemonic Operands
+    ---- -------- --------
+    5 mov      eax, 0xa
+    2 div      ebx
 #>
+    [CmdletBinding(DefaultParameterSetName = 'Capstone')]
+    Param (
+        [Parameter(ParameterSetName = 'Capstone', Mandatory = $true)]
+        [ValidateSet(
+            'CS_ARCH_ARM',
+            'CS_ARCH_ARM64',
+            'CS_ARCH_MIPS',
+            'CS_ARCH_X86',
+            'CS_ARCH_PPC',
+            'CS_ARCH_SPARC',
+            'CS_ARCH_SYSZ',
+            'CS_ARCH_XCORE',
+            'CS_ARCH_MAX',
+            'CS_ARCH_ALL'
+        )]
+        [string]$Architecture,
+
+        [Parameter(ParameterSetName = 'Capstone', Mandatory = $true)]
+        [ValidateSet(
+            'CS_MODE_LITTLE_ENDIAN',
+            'CS_MODE_ARM',
+            'CS_MODE_16',
+            'CS_MODE_32',
+            'CS_MODE_64',
+            'CS_MODE_THUMB',
+            'CS_MODE_MCLASS',
+            'CS_MODE_V8',
+            'CS_MODE_MICRO',
+            'CS_MODE_MIPS3',
+            'CS_MODE_MIPS32R6',
+            'CS_MODE_MIPSGP64',
+            'CS_MODE_V9',
+            'CS_MODE_BIG_ENDIAN',
+            'CS_MODE_MIPS32',
+            'CS_MODE_MIPS64'
+        )]
+        [string]$Mode,
+
+        [Parameter(ParameterSetName = 'Capstone', Mandatory = $true)]
+        [ValidateNotNullOrEmpty()]
+        [byte[]]$Bytes,
+
+        [Parameter(ParameterSetName = 'Capstone')]
+        [ValidateSet(
+            'Intel',
+            'ATT'
+        )]
+        [string]$Syntax = 'Intel',
 
-	param(
-		[Parameter(ParameterSetName='Capstone', Mandatory = $True)]
-		[ValidateSet(
-			'CS_ARCH_ARM',
-			'CS_ARCH_ARM64',
-			'CS_ARCH_MIPS',
-			'CS_ARCH_X86',
-			'CS_ARCH_PPC',
-			'CS_ARCH_SPARC',
-			'CS_ARCH_SYSZ',
-			'CS_ARCH_XCORE',
-			'CS_ARCH_MAX',
-			'CS_ARCH_ALL')
-		]
-		[String]$Architecture,
-		
-		[Parameter(ParameterSetName='Capstone', Mandatory = $True)]
-		[ValidateSet(
-			'CS_MODE_LITTLE_ENDIAN',
-			'CS_MODE_ARM',
-			'CS_MODE_16',
-			'CS_MODE_32',
-			'CS_MODE_64',
-			'CS_MODE_THUMB',
-			'CS_MODE_MCLASS',
-			'CS_MODE_V8',
-			'CS_MODE_MICRO',
-			'CS_MODE_MIPS3',
-			'CS_MODE_MIPS32R6',
-			'CS_MODE_MIPSGP64',
-			'CS_MODE_V9',
-			'CS_MODE_BIG_ENDIAN',
-			'CS_MODE_MIPS32',
-			'CS_MODE_MIPS64')
-		]
-		[String]$Mode,
-		
-		[Parameter(ParameterSetName='Capstone', Mandatory = $True)]
-		[ValidateNotNullOrEmpty()]
-		[Byte[]]$Bytes,
-		
-		[Parameter(ParameterSetName='Capstone', Mandatory = $False)]
-		[ValidateSet(
-			'Intel',
-			'ATT')
-		]
-		[String]$Syntax = "Intel",
-
-		[Parameter(ParameterSetName='Capstone', Mandatory = $False)]
-		[UInt64]$Address = 0x100000,
-
-		[Parameter(ParameterSetName='Capstone', Mandatory = $False)]
-		[switch]$Detailed = $null,
-		
-		[Parameter(ParameterSetName='Version', Mandatory = $False)]
-		[switch]$Version = $null
-    )
+        [Parameter(ParameterSetName = 'Capstone')]
+        [uint64]$Address = 0x100000,
 
-	# Compatibility for PS v2 / PS v3+
-	if(!$PSScriptRoot) {
-		$PSScriptRoot = Split-Path $MyInvocation.MyCommand.Path -Parent
-	}
-	
-	# Set the capstone DLL path
-	$DllPath = $($PSScriptRoot + '\Lib\Capstone\capstone.dll').Replace('\','\\')
-
-	# Make sure the user didn't forget the DLL
-	if (![IO.File]::Exists($DllPath)) {
-		echo "`n[!] Missing Capstone DLL"
-		echo "[>] Quitting!`n"
-		Return
-	}
-
-	# Inline C# to parse the unmanaged capstone DLL
-	Add-Type -TypeDefinition @"
-	using System;
-	using System.Diagnostics;
-	using System.Runtime.InteropServices;
-	using System.Security.Principal;
-	
-	[StructLayout(LayoutKind.Sequential)]
-	public struct cs_insn
-	{
-		public uint id;
-		public ulong address;
-		public ushort size;
-		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 16)]
-		public byte[] bytes;
-		[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
-		public string mnemonic;
-		[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 160)]
-		public string operands;
-		public IntPtr detail;
-	}
-
-	/// Partial, only architecture-independent internal data
-	[StructLayout(LayoutKind.Sequential)]
-	public struct cs_detail
-	{
-		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 12)]
-		public byte[] regs_read;
-		public byte regs_read_count;
-		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 20)]
-		public byte[] regs_write;
-		public byte regs_write_count;
-		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 8)]
-		public byte[] groups;
-		public byte groups_count;
-	}
-
-	public enum cs_err : int
-	{
-		CS_ERR_OK = 0,    /// No error: everything was fine
-		CS_ERR_MEM,       /// Out-Of-Memory error: cs_open(), cs_disasm(), cs_disasm_iter()
-		CS_ERR_ARCH,      /// Unsupported architecture: cs_open()
-		CS_ERR_HANDLE,    /// Invalid handle: cs_op_count(), cs_op_index()
-		CS_ERR_CSH,       /// Invalid csh argument: cs_close(), cs_errno(), cs_option()
-		CS_ERR_MODE,      /// Invalid/unsupported mode: cs_open()
-		CS_ERR_OPTION,    /// Invalid/unsupported option: cs_option()
-		CS_ERR_DETAIL,    /// Information is unavailable because detail option is OFF
-		CS_ERR_MEMSETUP,  /// Dynamic memory management uninitialized (see CS_OPT_MEM)
-		CS_ERR_VERSION,   /// Unsupported version (bindings)
-		CS_ERR_DIET,      /// Access irrelevant data in "diet" engine
-		CS_ERR_SKIPDATA,  /// Access irrelevant data for "data" instruction in SKIPDATA mode
-		CS_ERR_X86_ATT,   /// X86 AT&T syntax is unsupported (opt-out at compile time)
-		CS_ERR_X86_INTEL, /// X86 Intel syntax is unsupported (opt-out at compile time)
-	}
-	public enum cs_arch : int
-	{
-		CS_ARCH_ARM = 0,      /// ARM architecture (including Thumb, Thumb-2)
-		CS_ARCH_ARM64,        /// ARM-64, also called AArch64
-		CS_ARCH_MIPS,         /// Mips architecture
-		CS_ARCH_X86,          /// X86 architecture (including x86 & x86-64)
-		CS_ARCH_PPC,          /// PowerPC architecture
-		CS_ARCH_SPARC,        /// Sparc architecture
-		CS_ARCH_SYSZ,         /// SystemZ architecture
-		CS_ARCH_XCORE,        /// XCore architecture
-		CS_ARCH_MAX,
-		CS_ARCH_ALL = 0xFFFF, /// All architectures - for cs_support()
-	}
-	public enum cs_mode : int
-	{
-		CS_MODE_LITTLE_ENDIAN = 0,    /// little-endian mode (default mode)
-		CS_MODE_ARM = 0,              /// 32-bit ARM
-		CS_MODE_16 = 1 << 1,          /// 16-bit mode (X86)
-		CS_MODE_32 = 1 << 2,          /// 32-bit mode (X86)
-		CS_MODE_64 = 1 << 3,          /// 64-bit mode (X86, PPC)
-		CS_MODE_THUMB = 1 << 4,       /// ARM's Thumb mode, including Thumb-2
-		CS_MODE_MCLASS = 1 << 5,      /// ARM's Cortex-M series
-		CS_MODE_V8 = 1 << 6,          /// ARMv8 A32 encodings for ARM
-		CS_MODE_MICRO = 1 << 4,       /// MicroMips mode (MIPS)
-		CS_MODE_MIPS3 = 1 << 5,       /// Mips III ISA
-		CS_MODE_MIPS32R6 = 1 << 6,    /// Mips32r6 ISA
-		CS_MODE_MIPSGP64 = 1 << 7,    /// General Purpose Registers are 64-bit wide (MIPS)
-		CS_MODE_V9 = 1 << 4,          /// SparcV9 mode (Sparc)
-		CS_MODE_BIG_ENDIAN = 1 << 31, /// big-endian mode
-		CS_MODE_MIPS32 = CS_MODE_32,  /// Mips32 ISA (Mips)
-		CS_MODE_MIPS64 = CS_MODE_64,  /// Mips64 ISA (Mips)
-	}
-	
-	public static class Capstone
-	{
-		[DllImport("$DllPath")]
-		public static extern cs_err cs_open(
-			cs_arch arch,
-			cs_mode mode,
-			ref IntPtr handle);
-
-		[DllImport("$DllPath")]
-		public static extern UInt32 cs_disasm(
-			IntPtr handle,
-			byte[] code,
-			int code_size,
-			ulong address,
-			int count,
-			ref IntPtr insn);
-
-		[DllImport("$DllPath")]
-		public static extern bool cs_free(
-			IntPtr insn,
-			int count);
-
-		[DllImport("$DllPath")]
-		public static extern cs_err cs_close(
-			ref IntPtr handle);
-
-		[DllImport("$DllPath")]
-		public static extern cs_err cs_option(
-			IntPtr handle,
-			int type,
-			int value);
-
-		[DllImport("$DllPath", CallingConvention = CallingConvention.Cdecl)]
-		public static extern IntPtr cs_reg_name(
-			IntPtr handle,
-			uint reg_id);
-
-		[DllImport("$DllPath")]
-		public static extern int cs_version(
-			uint major,
-			uint minor);
-	}
-"@
+        [Parameter(ParameterSetName = 'Capstone')]
+        [switch]$Detailed,
 
-	if ($Version){
-		$VerCount = [System.BitConverter]::GetBytes($([Capstone]::cs_version($null,$null)))
-		$Banner = @"
-
-                 (((;                
-              (; "((((\              
-           ;((((((; "((((;           
-          ((((""\(((( "((((          
-        ((((" ((\ "(((( "(((\        
-      ;(((/ ((((((( "(((( \(((       
-     ((((" (((* "(((( \(((;"(((\     
-    ((((";((("/(( \(((;"(((\"(((\    
-   (((( (((( ((((" "(((\ ((() (((\   
-  ;((("(((( (((*     **"" ((()"(((;  
-  (((" ((( (((( ((((((((((((((:*(((  
- (((( (((*)((( ********"""" ;;(((((; 
- (((* ((( (((((((((((((((((((((*"" ( 
- ((("(((( """***********"""" ;;((((( 
-  "" (((((((((((((((((((((((((((*""  
-         """****(((((****"""         
+        [Parameter(ParameterSetName = 'Version')]
+        [switch]$Version
+    )
 
-     -=[Capstone Engine v$($VerCount[1]).$($VerCount[0])]=-
+    if ($Version) {
+        $Banner = @'
 
-"@
-		# Mmm ASCII version banner!
-		$Banner
-		Return
-	}
-	
-	# Disasm Handle
-	$DisAsmHandle = [IntPtr]::Zero
-	
-	# Initialize Capstone with cs_open()
-	$CallResult = [Capstone]::cs_open($Architecture,$Mode,[ref]$DisAsmHandle)
-	if ($CallResult -ne "CS_ERR_OK") {
-		if ($CallResult -eq "CS_ERR_MODE"){
-			echo "`n[!] Invalid Architecture/Mode combination"
-			echo "[>] Quitting..`n"
-		} else {
-			echo "`n[!] cs_open error: $CallResult"
-			echo "[>] Quitting..`n"
-		}
-		Return
-	}
-
-	# Set disassembly syntax
-	#---
-	# cs_opt_type  -> CS_OPT_SYNTAX = 1
-	#---
-	# cs_opt_value -> CS_OPT_SYNTAX_INTEL = 1
-	#              -> CS_OPT_SYNTAX_ATT   = 2
-	if ($Syntax -eq "Intel") {
-		$CS_OPT_SYNTAX = 1
-	} else {
-		$CS_OPT_SYNTAX = 2
-	}
-	$CallResult = [Capstone]::cs_option($DisAsmHandle, 1, $CS_OPT_SYNTAX)
-	if ($CallResult -ne "CS_ERR_OK") {
-		echo "`n[!] cs_option error: $CallResult"
-		echo "[>] Quitting..`n"
-		$CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
-		Return
-	}
-
-	# Set disassembly detail
-	#---
-	# cs_opt_type  -> CS_OPT_DETAIL = 2
-	#---
-	# cs_opt_value -> CS_OPT_ON  = 3
-	#              -> CS_OPT_OFF = 0
-	if ($Detailed) {
-		$CS_OPT = 3
-	} else {
-		$CS_OPT = 0
-	}
-	$CallResult = [Capstone]::cs_option($DisAsmHandle, 2, $CS_OPT)
-	if ($CallResult -ne "CS_ERR_OK") {
-		echo "`n[!] cs_option error: $CallResult"
-		echo "[>] Quitting..`n"
-		$CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
-		Return
-	}
-
-	# Out Buffer Handle
-	$InsnHandle = [IntPtr]::Zero
-
-	# Disassemble bytes
-	$Count = [Capstone]::cs_disasm($DisAsmHandle, $Bytes, $Bytes.Count, $Address, 0, [ref]$InsnHandle)
-	
-	if ($Count -gt 0) {
-		# Result Array
-		$Disasm = @()
-
-		# Result struct
-		$cs_insn = New-Object cs_insn
-		$cs_insn_size = [System.Runtime.InteropServices.Marshal]::SizeOf($cs_insn)
-		$cs_insn = $cs_insn.GetType()
-
-		# Result detail struct
-		$cs_detail = New-Object cs_detail
-		$cs_detail = $cs_detail.GetType()
-	
-		# Result buffer offset
-		$BuffOffset = $InsnHandle.ToInt64()
-	
-		for ($i=0; $i -lt $Count; $i++) {
-			# Cast Offset to cs_insn
-			$InsnPointer = New-Object System.Intptr -ArgumentList $BuffOffset
-			$Cast = [system.runtime.interopservices.marshal]::PtrToStructure($InsnPointer,[type]$cs_insn)
-	
-			if ($CS_OPT -eq 0) {
-				$HashTable = @{
-					Address = echo "0x$("{0:X}" -f $Cast.address)"
-					Instruction = echo "$($Cast.mnemonic) $($Cast.operands)"
-				}
-				$Object = New-Object PSObject -Property $HashTable
-				$Disasm += $Object |Select-Object Address,Instruction
-			} else {
-				$DetailCast = [system.runtime.interopservices.marshal]::PtrToStructure($Cast.detail,[type]$cs_detail)
-				if($DetailCast.regs_read_count -gt 0) {
-					$RegRead = @()
-					for ($r=0; $r -lt $DetailCast.regs_read_count; $r++) {
-						$NamePointer = [Capstone]::cs_reg_name($DisAsmHandle, $DetailCast.regs_read[$r])
-						$RegRead += [System.Runtime.InteropServices.Marshal]::PtrToStringAnsi($NamePointer)
-					}
-				}
-				if ($DetailCast.regs_write_count -gt 0) {
-					$RegWrite = @()
-					for ($r=0; $r -lt $DetailCast.regs_write_count; $r++) {
-						$NamePointer = [Capstone]::cs_reg_name($DisAsmHandle, $DetailCast.regs_write[$r])
-						$RegWrite += [System.Runtime.InteropServices.Marshal]::PtrToStringAnsi($NamePointer)
-					}
-				}
-				$HashTable = @{
-					Address = echo "0x$("{0:X}" -f $Cast.address)"
-					Mnemonic = $Cast.mnemonic
-					Operands = $Cast.operands
-					Bytes = $Cast.bytes
-					Size = $Cast.size
-					RegRead = $RegRead
-					RegWrite = $RegWrite
-				}
-				$Object = New-Object PSObject -Property $HashTable
-				$Disasm += $Object |Select-Object Size,Address,Mnemonic,Operands,Bytes,RegRead,RegWrite
-			}
-			$BuffOffset = $BuffOffset + $cs_insn_size
-		}
-	} else {
-		echo "`n[!] Disassembly Failed"
-		echo "[>] Quitting..`n"
-		$CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
-		Return
-	}
-	
-	# Print result
-	$Disasm
-	
-	# Free Buffer Handle
-	$CallResult = [Capstone]::cs_free($InsnHandle, $Count)
-}
\ No newline at end of file
+                 (((;
+              (; "((((\
+           ;((((((; "((((;
+          ((((""\(((( "((((
+        ((((" ((\ "(((( "(((\
+      ;(((/ ((((((( "(((( \(((
+     ((((" (((* "(((( \(((;"(((\
+    ((((";((("/(( \(((;"(((\"(((\
+   (((( (((( ((((" "(((\ ((() (((\
+  ;((("(((( (((*     **"" ((()"(((;
+  (((" ((( (((( ((((((((((((((:*(((
+ (((( (((*)((( ********"""" ;;(((((;
+ (((* ((( (((((((((((((((((((((*"" (
+ ((("(((( """***********"""" ;;(((((
+  "" (((((((((((((((((((((((((((*""
+         """****(((((****"""
+
+     -=[Capstone Engine v{0}]=-
+
+'@ -f (Get-CapstoneVersion).ToString(2)
+        # Mmm ASCII version banner!
+        return $Banner
+    }
+
+    # Disasm Handle
+    $DisAsmHandle = [System.IntPtr]::Zero
+
+    # Initialize Capstone with cs_open()
+    $CallResult = [Capstone]::cs_open($Architecture, $Mode, [ref]$DisAsmHandle)
+    if ($CallResult -ne 'CS_ERR_OK') {
+        if ($CallResult -eq 'CS_ERR_MODE') {
+            throw "Invalid Architecture/Mode combination: $Architecture/$Mode"
+        } else {
+            throw "cs_open error: $CallResult"
+        }
+    }
+
+    # Set disassembly syntax
+    #---
+    # cs_opt_type  -> CS_OPT_SYNTAX = 1
+    #---
+    # cs_opt_value -> CS_OPT_SYNTAX_INTEL = 1
+    #              -> CS_OPT_SYNTAX_ATT   = 2
+    if ($Syntax -eq 'Intel') {
+        $CS_OPT_SYNTAX = 1
+    } else {
+        $CS_OPT_SYNTAX = 2
+    }
+
+    $CallResult = [Capstone]::cs_option($DisAsmHandle, 1, $CS_OPT_SYNTAX)
+    if ($CallResult -ne 'CS_ERR_OK') {
+        $CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
+        throw "cs_option error: $CallResult"
+    }
+
+    # Set disassembly detail
+    #---
+    # cs_opt_type  -> CS_OPT_DETAIL = 2
+    #---
+    # cs_opt_value -> CS_OPT_ON  = 3
+    #              -> CS_OPT_OFF = 0
+    if ($Detailed) {
+        $CS_OPT = 3
+    } else {
+        $CS_OPT = 0
+    }
+
+    $CallResult = [Capstone]::cs_option($DisAsmHandle, 2, $CS_OPT)
+    if ($CallResult -ne 'CS_ERR_OK') {
+        $CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
+        throw "cs_option error: $CallResult"
+    }
+
+    # Out Buffer Handle
+    $InsnHandle = [System.IntPtr]::Zero
+
+    # Disassemble bytes
+    $Count = [Capstone]::cs_disasm($DisAsmHandle, $Bytes, $Bytes.Count, $Address, 0, [ref]$InsnHandle)
+
+    if ($Count -gt 0) {
+        # Result struct
+        $cs_insn = if ($PSVersionTable.PSVersion.Major -gt 2) {
+            [cs_insn]@{}
+        } else {
+            New-Object -TypeName cs_insn
+        }
+
+        $cs_insn_size = [System.Runtime.InteropServices.Marshal]::SizeOf($cs_insn)
+        $cs_insn = $cs_insn.GetType()
+
+        # Result detail struct
+        $cs_detail = if ($PSVersionTable.PSVersion.Major -gt 2) {
+            [cs_detail]@{}
+        } else {
+            New-Object -TypeName cs_detail
+        }
+        $cs_detail = $cs_detail.GetType()
+
+        # Result buffer offset
+        $BuffOffset = $InsnHandle.ToInt64()
+
+        for ($i = 0 ; $i -lt $Count ; $i++) {
+            # Cast Offset to cs_insn
+            $Cast = [System.Runtime.InteropServices.Marshal]::PtrToStructure([System.Intptr]$BuffOffset, [type]$cs_insn)
+
+            if ($CS_OPT -eq 0) {
+                $Disassembly = @{
+                    Address     = $Cast.address
+                    Instruction = '{0} {1}' -f $Cast.mnemonic, $Cast.operands
+                }
+
+                if ($PSVersionTable.PSVersion.Major -gt 2) {
+                    # Add TypeName for PS formatting and output result
+                    $Disassembly.PSTypeName ='CapstoneDisassembly.Simple'
+                    [pscustomobject]$Disassembly
+                } else {
+                    $Disassembly = New-Object -TypeName PSObject -Property $Disassembly
+                    # Add TypeName for PS formatting and output result
+                    $Disassembly.PSObject.TypeNames.Insert(0, 'CapstoneDisassembly.Simple')
+                    $Disassembly
+                }
+            } else {
+                $DetailCast = [System.Runtime.InteropServices.Marshal]::PtrToStructure($Cast.detail, [type]$cs_detail)
+                if ($DetailCast.regs_read_count -gt 0) {
+                    $RegRead = for ($r = 0 ; $r -lt $DetailCast.regs_read_count ; $r++) {
+                        $NamePointer = [Capstone]::cs_reg_name($DisAsmHandle, $DetailCast.regs_read[$r])
+                        [System.Runtime.InteropServices.Marshal]::PtrToStringAnsi($NamePointer)
+                    }
+                }
+
+                if ($DetailCast.regs_write_count -gt 0) {
+                    $RegWrite = for ($r = 0 ; $r -lt $DetailCast.regs_write_count ; $r++) {
+                        $NamePointer = [Capstone]::cs_reg_name($DisAsmHandle, $DetailCast.regs_write[$r])
+                        [System.Runtime.InteropServices.Marshal]::PtrToStringAnsi($NamePointer)
+                    }
+                }
+
+                $Disassembly = @{
+                    Address    = $Cast.address
+                    Mnemonic   = $Cast.mnemonic
+                    Operands   = $Cast.operands
+                    Bytes      = $Cast.bytes[0..($Cast.size - 1)]
+                    Size       = $Cast.size
+                    RegRead    = $RegRead
+                    RegWrite   = $RegWrite
+                }
+
+                if ($PSVersionTable.PSVersion.Major -gt 2) {
+                    # Add TypeName for PS formatting and output result
+                    $Disassembly.PSTypeName = 'CapstoneDisassembly.Detailed'
+                    [pscustomobject]$Disassembly
+                } else {
+                    $Disassembly = New-Object -TypeName PSObject -Property $Disassembly
+                    # Add TypeName for PS formatting and output result
+                    $Disassembly.PSObject.TypeNames.Insert(0, 'CapstoneDisassembly.Detailed')
+                    $Disassembly
+                }
+            }
+            $BuffOffset = $BuffOffset + $cs_insn_size
+        }
+    } else {
+        $CallResult = [Capstone]::cs_close([ref]$DisAsmHandle)
+        throw 'Disassembly Failed'
+    }
+
+    # Free Buffer Handle
+    $CallResult = [Capstone]::cs_free($InsnHandle, $Count)
+}
+
+#region Init
+
+Initialize-Capstone -DllPath (
+    Join-Path -Path $PSScriptRoot -ChildPath 'Lib\Capstone\capstone.dll'
+) -ErrorAction Stop
+
+#endregion
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/BUILDING.txt 4.0.2-3/bindings/python/BUILDING.txt
--- 4.0.1+really+3.0.5-2/bindings/python/BUILDING.txt	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/BUILDING.txt	2020-05-08 10:03:30.000000000 +0000
@@ -2,11 +2,11 @@
    from source. If you want to install it from a PyPi package (recommended if
    you are on Windows), see README.txt.
 
-1. To install capstone and the python bindings on *nix, run the command below:
+1. To install Capstone and the Python bindings on *nix, run the command below:
 
 		$ sudo make install
 
-   To install capstone for python 3, run the command below:
+   To install Capstone for Python 3, run the command below:
    (Note: this requires python3 installed in your machine)
 
 		$ sudo make install3
@@ -60,7 +60,7 @@
 
 - test_lite.py
   Similarly to test_basic.py, but this code shows how to use disasm_lite(), a lighter
-  method to disassemble binary. Unlike disasm() API (used by test.py), which returns
+  method to disassemble binary. Unlike disasm() API (used by test_basic.py), which returns
   CsInsn objects, this API just returns tuples of (address, size, mnemonic, op_str).
 
   The main reason for using this API is better performance: disasm_lite() is at least
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/arm64_const.py 4.0.2-3/bindings/python/capstone/arm64_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/arm64_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/arm64_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [arm64_const.py]
 
-# ARM64 shift type
-
 ARM64_SFT_INVALID = 0
 ARM64_SFT_LSL = 1
 ARM64_SFT_MSL = 2
@@ -9,8 +7,6 @@ ARM64_SFT_LSR = 3
 ARM64_SFT_ASR = 4
 ARM64_SFT_ROR = 5
 
-# ARM64 extender type
-
 ARM64_EXT_INVALID = 0
 ARM64_EXT_UXTB = 1
 ARM64_EXT_UXTH = 2
@@ -21,8 +17,6 @@ ARM64_EXT_SXTH = 6
 ARM64_EXT_SXTW = 7
 ARM64_EXT_SXTX = 8
 
-# ARM64 condition code
-
 ARM64_CC_INVALID = 0
 ARM64_CC_EQ = 1
 ARM64_CC_NE = 2
@@ -41,10 +35,6 @@ ARM64_CC_LE = 14
 ARM64_CC_AL = 15
 ARM64_CC_NV = 16
 
-# System registers
-
-# System registers for MRS
-
 ARM64_SYSREG_INVALID = 0
 ARM64_SYSREG_MDCCSR_EL0 = 0x9808
 ARM64_SYSREG_DBGDTRRX_EL0 = 0x9828
@@ -138,8 +128,6 @@ ARM64_SYSREG_ICC_RPR_EL1 = 0xc65b
 ARM64_SYSREG_ICH_VTR_EL2 = 0xe659
 ARM64_SYSREG_ICH_EISR_EL2 = 0xe65b
 ARM64_SYSREG_ICH_ELSR_EL2 = 0xe65d
-
-# System registers for MSR
 ARM64_SYSREG_DBGDTRTX_EL0 = 0x9828
 ARM64_SYSREG_OSLAR_EL1 = 0x8084
 ARM64_SYSREG_PMSWINC_EL0 = 0xdce4
@@ -152,15 +140,11 @@ ARM64_SYSREG_ICC_SGI1R_EL1 = 0xc65d
 ARM64_SYSREG_ICC_ASGI1R_EL1 = 0xc65e
 ARM64_SYSREG_ICC_SGI0R_EL1 = 0xc65f
 
-# System PState Field (MSR instruction)
-
 ARM64_PSTATE_INVALID = 0
 ARM64_PSTATE_SPSEL = 0x05
 ARM64_PSTATE_DAIFSET = 0x1e
 ARM64_PSTATE_DAIFCLR = 0x1f
 
-# Vector arrangement specifier (for FloatingPoint/Advanced SIMD insn)
-
 ARM64_VAS_INVALID = 0
 ARM64_VAS_8B = 1
 ARM64_VAS_16B = 2
@@ -172,16 +156,12 @@ ARM64_VAS_1D = 7
 ARM64_VAS_2D = 8
 ARM64_VAS_1Q = 9
 
-# Vector element size specifier
-
 ARM64_VESS_INVALID = 0
 ARM64_VESS_B = 1
 ARM64_VESS_H = 2
 ARM64_VESS_S = 3
 ARM64_VESS_D = 4
 
-# Memory barrier operands
-
 ARM64_BARRIER_INVALID = 0
 ARM64_BARRIER_OSHLD = 0x1
 ARM64_BARRIER_OSHST = 0x2
@@ -196,8 +176,6 @@ ARM64_BARRIER_LD = 0xd
 ARM64_BARRIER_ST = 0xe
 ARM64_BARRIER_SY = 0xf
 
-# Operand type for instruction's operands
-
 ARM64_OP_INVALID = 0
 ARM64_OP_REG = 1
 ARM64_OP_IMM = 2
@@ -211,8 +189,6 @@ ARM64_OP_SYS = 68
 ARM64_OP_PREFETCH = 69
 ARM64_OP_BARRIER = 70
 
-# TLBI operations
-
 ARM64_TLBI_INVALID = 0
 ARM64_TLBI_VMALLE1IS = 1
 ARM64_TLBI_VAE1IS = 2
@@ -246,8 +222,6 @@ ARM64_TLBI_VMALLS12E1 = 29
 ARM64_TLBI_ALLE3 = 30
 ARM64_TLBI_VAE3 = 31
 ARM64_TLBI_VALE3 = 32
-
-# AT operations
 ARM64_AT_S1E1R = 33
 ARM64_AT_S1E1W = 34
 ARM64_AT_S1E0R = 35
@@ -261,8 +235,6 @@ ARM64_AT_S12E0W = 42
 ARM64_AT_S1E3R = 43
 ARM64_AT_S1E3W = 44
 
-# DC operations
-
 ARM64_DC_INVALID = 0
 ARM64_DC_ZVA = 1
 ARM64_DC_IVAC = 2
@@ -273,15 +245,11 @@ ARM64_DC_CVAU = 6
 ARM64_DC_CIVAC = 7
 ARM64_DC_CISW = 8
 
-# IC operations
-
 ARM64_IC_INVALID = 0
 ARM64_IC_IALLUIS = 1
 ARM64_IC_IALLU = 2
 ARM64_IC_IVAU = 3
 
-# Prefetch operations (PRFM)
-
 ARM64_PRFM_INVALID = 0
 ARM64_PRFM_PLDL1KEEP = 0x00+1
 ARM64_PRFM_PLDL1STRM = 0x01+1
@@ -302,8 +270,6 @@ ARM64_PRFM_PSTL2STRM = 0x13+1
 ARM64_PRFM_PSTL3KEEP = 0x14+1
 ARM64_PRFM_PSTL3STRM = 0x15+1
 
-# ARM64 registers
-
 ARM64_REG_INVALID = 0
 ARM64_REG_X29 = 1
 ARM64_REG_X30 = 2
@@ -565,15 +531,11 @@ ARM64_REG_V29 = 257
 ARM64_REG_V30 = 258
 ARM64_REG_V31 = 259
 ARM64_REG_ENDING = 260
-
-# alias registers
 ARM64_REG_IP0 = ARM64_REG_X16
 ARM64_REG_IP1 = ARM64_REG_X17
 ARM64_REG_FP = ARM64_REG_X29
 ARM64_REG_LR = ARM64_REG_X30
 
-# ARM64 instruction
-
 ARM64_INS_INVALID = 0
 ARM64_INS_ABS = 1
 ARM64_INS_ADC = 2
@@ -1026,16 +988,17 @@ ARM64_INS_IC = 448
 ARM64_INS_DC = 449
 ARM64_INS_AT = 450
 ARM64_INS_TLBI = 451
-ARM64_INS_ENDING = 452
-
-# Group of ARM64 instructions
+ARM64_INS_NEGS = 452
+ARM64_INS_NGCS = 453
+ARM64_INS_ENDING = 454
 
 ARM64_GRP_INVALID = 0
-
-# Generic groups
 ARM64_GRP_JUMP = 1
-
-# Architecture-specific groups
+ARM64_GRP_CALL = 2
+ARM64_GRP_RET = 3
+ARM64_GRP_INT = 4
+ARM64_GRP_PRIVILEGE = 6
+ARM64_GRP_BRANCH_RELATIVE = 7
 ARM64_GRP_CRYPTO = 128
 ARM64_GRP_FPARMV8 = 129
 ARM64_GRP_NEON = 130
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/arm64.py 4.0.2-3/bindings/python/capstone/arm64.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/arm64.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/arm64.py	2020-05-08 10:03:30.000000000 +0000
@@ -39,6 +39,7 @@ class Arm64Op(ctypes.Structure):
         ('ext', ctypes.c_uint),
         ('type', ctypes.c_uint),
         ('value', Arm64OpValue),
+        ('access', ctypes.c_uint8),
     )
 
     @property
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/arm_const.py 4.0.2-3/bindings/python/capstone/arm_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/arm_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/arm_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [arm_const.py]
 
-# ARM shift type
-
 ARM_SFT_INVALID = 0
 ARM_SFT_ASR = 1
 ARM_SFT_LSL = 2
@@ -14,8 +12,6 @@ ARM_SFT_LSR_REG = 8
 ARM_SFT_ROR_REG = 9
 ARM_SFT_RRX_REG = 10
 
-# ARM condition code
-
 ARM_CC_INVALID = 0
 ARM_CC_EQ = 1
 ARM_CC_NE = 2
@@ -33,8 +29,6 @@ ARM_CC_GT = 13
 ARM_CC_LE = 14
 ARM_CC_AL = 15
 
-# Special registers for MSR
-
 ARM_SYSREG_INVALID = 0
 ARM_SYSREG_SPSR_C = 1
 ARM_SYSREG_SPSR_X = 2
@@ -51,26 +45,58 @@ ARM_SYSREG_APSR_NZCVQG = 259
 ARM_SYSREG_IAPSR = 260
 ARM_SYSREG_IAPSR_G = 261
 ARM_SYSREG_IAPSR_NZCVQG = 262
-ARM_SYSREG_EAPSR = 263
-ARM_SYSREG_EAPSR_G = 264
-ARM_SYSREG_EAPSR_NZCVQG = 265
-ARM_SYSREG_XPSR = 266
-ARM_SYSREG_XPSR_G = 267
-ARM_SYSREG_XPSR_NZCVQG = 268
-ARM_SYSREG_IPSR = 269
-ARM_SYSREG_EPSR = 270
-ARM_SYSREG_IEPSR = 271
-ARM_SYSREG_MSP = 272
-ARM_SYSREG_PSP = 273
-ARM_SYSREG_PRIMASK = 274
-ARM_SYSREG_BASEPRI = 275
-ARM_SYSREG_BASEPRI_MAX = 276
-ARM_SYSREG_FAULTMASK = 277
-ARM_SYSREG_CONTROL = 278
-
-# The memory barrier constants map directly to the 4-bit encoding of
-
-# the option field for Memory Barrier operations.
+ARM_SYSREG_IAPSR_NZCVQ = 263
+ARM_SYSREG_EAPSR = 264
+ARM_SYSREG_EAPSR_G = 265
+ARM_SYSREG_EAPSR_NZCVQG = 266
+ARM_SYSREG_EAPSR_NZCVQ = 267
+ARM_SYSREG_XPSR = 268
+ARM_SYSREG_XPSR_G = 269
+ARM_SYSREG_XPSR_NZCVQG = 270
+ARM_SYSREG_XPSR_NZCVQ = 271
+ARM_SYSREG_IPSR = 272
+ARM_SYSREG_EPSR = 273
+ARM_SYSREG_IEPSR = 274
+ARM_SYSREG_MSP = 275
+ARM_SYSREG_PSP = 276
+ARM_SYSREG_PRIMASK = 277
+ARM_SYSREG_BASEPRI = 278
+ARM_SYSREG_BASEPRI_MAX = 279
+ARM_SYSREG_FAULTMASK = 280
+ARM_SYSREG_CONTROL = 281
+ARM_SYSREG_R8_USR = 282
+ARM_SYSREG_R9_USR = 283
+ARM_SYSREG_R10_USR = 284
+ARM_SYSREG_R11_USR = 285
+ARM_SYSREG_R12_USR = 286
+ARM_SYSREG_SP_USR = 287
+ARM_SYSREG_LR_USR = 288
+ARM_SYSREG_R8_FIQ = 289
+ARM_SYSREG_R9_FIQ = 290
+ARM_SYSREG_R10_FIQ = 291
+ARM_SYSREG_R11_FIQ = 292
+ARM_SYSREG_R12_FIQ = 293
+ARM_SYSREG_SP_FIQ = 294
+ARM_SYSREG_LR_FIQ = 295
+ARM_SYSREG_LR_IRQ = 296
+ARM_SYSREG_SP_IRQ = 297
+ARM_SYSREG_LR_SVC = 298
+ARM_SYSREG_SP_SVC = 299
+ARM_SYSREG_LR_ABT = 300
+ARM_SYSREG_SP_ABT = 301
+ARM_SYSREG_LR_UND = 302
+ARM_SYSREG_SP_UND = 303
+ARM_SYSREG_LR_MON = 304
+ARM_SYSREG_SP_MON = 305
+ARM_SYSREG_ELR_HYP = 306
+ARM_SYSREG_SP_HYP = 307
+ARM_SYSREG_SPSR_FIQ = 308
+ARM_SYSREG_SPSR_IRQ = 309
+ARM_SYSREG_SPSR_SVC = 310
+ARM_SYSREG_SPSR_ABT = 311
+ARM_SYSREG_SPSR_UND = 312
+ARM_SYSREG_SPSR_MON = 313
+ARM_SYSREG_SPSR_HYP = 314
 
 ARM_MB_INVALID = 0
 ARM_MB_RESERVED_0 = 1
@@ -90,8 +116,6 @@ ARM_MB_LD = 14
 ARM_MB_ST = 15
 ARM_MB_SY = 16
 
-# Operand type for instruction's operands
-
 ARM_OP_INVALID = 0
 ARM_OP_REG = 1
 ARM_OP_IMM = 2
@@ -102,8 +126,6 @@ ARM_OP_PIMM = 65
 ARM_OP_SETEND = 66
 ARM_OP_SYSREG = 67
 
-# Operand type for SETEND instruction
-
 ARM_SETEND_INVALID = 0
 ARM_SETEND_BE = 1
 ARM_SETEND_LE = 2
@@ -112,16 +134,12 @@ ARM_CPSMODE_INVALID = 0
 ARM_CPSMODE_IE = 2
 ARM_CPSMODE_ID = 3
 
-# Operand type for SETEND instruction
-
 ARM_CPSFLAG_INVALID = 0
 ARM_CPSFLAG_F = 1
 ARM_CPSFLAG_I = 2
 ARM_CPSFLAG_A = 4
 ARM_CPSFLAG_NONE = 16
 
-# Data type for elements of vector instructions.
-
 ARM_VECTORDATA_INVALID = 0
 ARM_VECTORDATA_I8 = 1
 ARM_VECTORDATA_I16 = 2
@@ -161,8 +179,6 @@ ARM_VECTORDATA_F64U16 = 35
 ARM_VECTORDATA_F32U16 = 36
 ARM_VECTORDATA_F64U32 = 37
 
-# ARM registers
-
 ARM_REG_INVALID = 0
 ARM_REG_APSR = 1
 ARM_REG_APSR_NZCV = 2
@@ -275,8 +291,6 @@ ARM_REG_S29 = 108
 ARM_REG_S30 = 109
 ARM_REG_S31 = 110
 ARM_REG_ENDING = 111
-
-# alias registers
 ARM_REG_R13 = ARM_REG_SP
 ARM_REG_R14 = ARM_REG_LR
 ARM_REG_R15 = ARM_REG_PC
@@ -285,8 +299,6 @@ ARM_REG_SL = ARM_REG_R10
 ARM_REG_FP = ARM_REG_R11
 ARM_REG_IP = ARM_REG_R12
 
-# ARM instruction
-
 ARM_INS_INVALID = 0
 ARM_INS_ADC = 1
 ARM_INS_ADD = 2
@@ -322,416 +334,412 @@ ARM_INS_DBG = 31
 ARM_INS_DMB = 32
 ARM_INS_DSB = 33
 ARM_INS_EOR = 34
-ARM_INS_VMOV = 35
-ARM_INS_FLDMDBX = 36
-ARM_INS_FLDMIAX = 37
-ARM_INS_VMRS = 38
-ARM_INS_FSTMDBX = 39
-ARM_INS_FSTMIAX = 40
-ARM_INS_HINT = 41
-ARM_INS_HLT = 42
-ARM_INS_ISB = 43
-ARM_INS_LDA = 44
-ARM_INS_LDAB = 45
-ARM_INS_LDAEX = 46
-ARM_INS_LDAEXB = 47
-ARM_INS_LDAEXD = 48
-ARM_INS_LDAEXH = 49
-ARM_INS_LDAH = 50
-ARM_INS_LDC2L = 51
-ARM_INS_LDC2 = 52
-ARM_INS_LDCL = 53
-ARM_INS_LDC = 54
-ARM_INS_LDMDA = 55
-ARM_INS_LDMDB = 56
-ARM_INS_LDM = 57
-ARM_INS_LDMIB = 58
-ARM_INS_LDRBT = 59
-ARM_INS_LDRB = 60
-ARM_INS_LDRD = 61
-ARM_INS_LDREX = 62
-ARM_INS_LDREXB = 63
-ARM_INS_LDREXD = 64
-ARM_INS_LDREXH = 65
-ARM_INS_LDRH = 66
-ARM_INS_LDRHT = 67
-ARM_INS_LDRSB = 68
-ARM_INS_LDRSBT = 69
-ARM_INS_LDRSH = 70
-ARM_INS_LDRSHT = 71
-ARM_INS_LDRT = 72
-ARM_INS_LDR = 73
-ARM_INS_MCR = 74
-ARM_INS_MCR2 = 75
-ARM_INS_MCRR = 76
-ARM_INS_MCRR2 = 77
-ARM_INS_MLA = 78
-ARM_INS_MLS = 79
-ARM_INS_MOV = 80
-ARM_INS_MOVT = 81
-ARM_INS_MOVW = 82
-ARM_INS_MRC = 83
-ARM_INS_MRC2 = 84
-ARM_INS_MRRC = 85
-ARM_INS_MRRC2 = 86
-ARM_INS_MRS = 87
-ARM_INS_MSR = 88
-ARM_INS_MUL = 89
-ARM_INS_MVN = 90
-ARM_INS_ORR = 91
-ARM_INS_PKHBT = 92
-ARM_INS_PKHTB = 93
-ARM_INS_PLDW = 94
-ARM_INS_PLD = 95
-ARM_INS_PLI = 96
-ARM_INS_QADD = 97
-ARM_INS_QADD16 = 98
-ARM_INS_QADD8 = 99
-ARM_INS_QASX = 100
-ARM_INS_QDADD = 101
-ARM_INS_QDSUB = 102
-ARM_INS_QSAX = 103
-ARM_INS_QSUB = 104
-ARM_INS_QSUB16 = 105
-ARM_INS_QSUB8 = 106
-ARM_INS_RBIT = 107
-ARM_INS_REV = 108
-ARM_INS_REV16 = 109
-ARM_INS_REVSH = 110
-ARM_INS_RFEDA = 111
-ARM_INS_RFEDB = 112
-ARM_INS_RFEIA = 113
-ARM_INS_RFEIB = 114
-ARM_INS_RSB = 115
-ARM_INS_RSC = 116
-ARM_INS_SADD16 = 117
-ARM_INS_SADD8 = 118
-ARM_INS_SASX = 119
-ARM_INS_SBC = 120
-ARM_INS_SBFX = 121
-ARM_INS_SDIV = 122
-ARM_INS_SEL = 123
-ARM_INS_SETEND = 124
-ARM_INS_SHA1C = 125
-ARM_INS_SHA1H = 126
-ARM_INS_SHA1M = 127
-ARM_INS_SHA1P = 128
-ARM_INS_SHA1SU0 = 129
-ARM_INS_SHA1SU1 = 130
-ARM_INS_SHA256H = 131
-ARM_INS_SHA256H2 = 132
-ARM_INS_SHA256SU0 = 133
-ARM_INS_SHA256SU1 = 134
-ARM_INS_SHADD16 = 135
-ARM_INS_SHADD8 = 136
-ARM_INS_SHASX = 137
-ARM_INS_SHSAX = 138
-ARM_INS_SHSUB16 = 139
-ARM_INS_SHSUB8 = 140
-ARM_INS_SMC = 141
-ARM_INS_SMLABB = 142
-ARM_INS_SMLABT = 143
-ARM_INS_SMLAD = 144
-ARM_INS_SMLADX = 145
-ARM_INS_SMLAL = 146
-ARM_INS_SMLALBB = 147
-ARM_INS_SMLALBT = 148
-ARM_INS_SMLALD = 149
-ARM_INS_SMLALDX = 150
-ARM_INS_SMLALTB = 151
-ARM_INS_SMLALTT = 152
-ARM_INS_SMLATB = 153
-ARM_INS_SMLATT = 154
-ARM_INS_SMLAWB = 155
-ARM_INS_SMLAWT = 156
-ARM_INS_SMLSD = 157
-ARM_INS_SMLSDX = 158
-ARM_INS_SMLSLD = 159
-ARM_INS_SMLSLDX = 160
-ARM_INS_SMMLA = 161
-ARM_INS_SMMLAR = 162
-ARM_INS_SMMLS = 163
-ARM_INS_SMMLSR = 164
-ARM_INS_SMMUL = 165
-ARM_INS_SMMULR = 166
-ARM_INS_SMUAD = 167
-ARM_INS_SMUADX = 168
-ARM_INS_SMULBB = 169
-ARM_INS_SMULBT = 170
-ARM_INS_SMULL = 171
-ARM_INS_SMULTB = 172
-ARM_INS_SMULTT = 173
-ARM_INS_SMULWB = 174
-ARM_INS_SMULWT = 175
-ARM_INS_SMUSD = 176
-ARM_INS_SMUSDX = 177
-ARM_INS_SRSDA = 178
-ARM_INS_SRSDB = 179
-ARM_INS_SRSIA = 180
-ARM_INS_SRSIB = 181
-ARM_INS_SSAT = 182
-ARM_INS_SSAT16 = 183
-ARM_INS_SSAX = 184
-ARM_INS_SSUB16 = 185
-ARM_INS_SSUB8 = 186
-ARM_INS_STC2L = 187
-ARM_INS_STC2 = 188
-ARM_INS_STCL = 189
-ARM_INS_STC = 190
-ARM_INS_STL = 191
-ARM_INS_STLB = 192
-ARM_INS_STLEX = 193
-ARM_INS_STLEXB = 194
-ARM_INS_STLEXD = 195
-ARM_INS_STLEXH = 196
-ARM_INS_STLH = 197
-ARM_INS_STMDA = 198
-ARM_INS_STMDB = 199
-ARM_INS_STM = 200
-ARM_INS_STMIB = 201
-ARM_INS_STRBT = 202
-ARM_INS_STRB = 203
-ARM_INS_STRD = 204
-ARM_INS_STREX = 205
-ARM_INS_STREXB = 206
-ARM_INS_STREXD = 207
-ARM_INS_STREXH = 208
-ARM_INS_STRH = 209
-ARM_INS_STRHT = 210
-ARM_INS_STRT = 211
-ARM_INS_STR = 212
-ARM_INS_SUB = 213
-ARM_INS_SVC = 214
-ARM_INS_SWP = 215
-ARM_INS_SWPB = 216
-ARM_INS_SXTAB = 217
-ARM_INS_SXTAB16 = 218
-ARM_INS_SXTAH = 219
-ARM_INS_SXTB = 220
-ARM_INS_SXTB16 = 221
-ARM_INS_SXTH = 222
-ARM_INS_TEQ = 223
-ARM_INS_TRAP = 224
-ARM_INS_TST = 225
-ARM_INS_UADD16 = 226
-ARM_INS_UADD8 = 227
-ARM_INS_UASX = 228
-ARM_INS_UBFX = 229
-ARM_INS_UDF = 230
-ARM_INS_UDIV = 231
-ARM_INS_UHADD16 = 232
-ARM_INS_UHADD8 = 233
-ARM_INS_UHASX = 234
-ARM_INS_UHSAX = 235
-ARM_INS_UHSUB16 = 236
-ARM_INS_UHSUB8 = 237
-ARM_INS_UMAAL = 238
-ARM_INS_UMLAL = 239
-ARM_INS_UMULL = 240
-ARM_INS_UQADD16 = 241
-ARM_INS_UQADD8 = 242
-ARM_INS_UQASX = 243
-ARM_INS_UQSAX = 244
-ARM_INS_UQSUB16 = 245
-ARM_INS_UQSUB8 = 246
-ARM_INS_USAD8 = 247
-ARM_INS_USADA8 = 248
-ARM_INS_USAT = 249
-ARM_INS_USAT16 = 250
-ARM_INS_USAX = 251
-ARM_INS_USUB16 = 252
-ARM_INS_USUB8 = 253
-ARM_INS_UXTAB = 254
-ARM_INS_UXTAB16 = 255
-ARM_INS_UXTAH = 256
-ARM_INS_UXTB = 257
-ARM_INS_UXTB16 = 258
-ARM_INS_UXTH = 259
-ARM_INS_VABAL = 260
-ARM_INS_VABA = 261
-ARM_INS_VABDL = 262
-ARM_INS_VABD = 263
-ARM_INS_VABS = 264
-ARM_INS_VACGE = 265
-ARM_INS_VACGT = 266
-ARM_INS_VADD = 267
-ARM_INS_VADDHN = 268
-ARM_INS_VADDL = 269
-ARM_INS_VADDW = 270
-ARM_INS_VAND = 271
-ARM_INS_VBIC = 272
-ARM_INS_VBIF = 273
-ARM_INS_VBIT = 274
-ARM_INS_VBSL = 275
-ARM_INS_VCEQ = 276
-ARM_INS_VCGE = 277
-ARM_INS_VCGT = 278
-ARM_INS_VCLE = 279
-ARM_INS_VCLS = 280
-ARM_INS_VCLT = 281
-ARM_INS_VCLZ = 282
-ARM_INS_VCMP = 283
-ARM_INS_VCMPE = 284
-ARM_INS_VCNT = 285
-ARM_INS_VCVTA = 286
-ARM_INS_VCVTB = 287
-ARM_INS_VCVT = 288
-ARM_INS_VCVTM = 289
-ARM_INS_VCVTN = 290
-ARM_INS_VCVTP = 291
-ARM_INS_VCVTT = 292
-ARM_INS_VDIV = 293
-ARM_INS_VDUP = 294
-ARM_INS_VEOR = 295
-ARM_INS_VEXT = 296
-ARM_INS_VFMA = 297
-ARM_INS_VFMS = 298
-ARM_INS_VFNMA = 299
-ARM_INS_VFNMS = 300
-ARM_INS_VHADD = 301
-ARM_INS_VHSUB = 302
-ARM_INS_VLD1 = 303
-ARM_INS_VLD2 = 304
-ARM_INS_VLD3 = 305
-ARM_INS_VLD4 = 306
-ARM_INS_VLDMDB = 307
-ARM_INS_VLDMIA = 308
-ARM_INS_VLDR = 309
-ARM_INS_VMAXNM = 310
-ARM_INS_VMAX = 311
-ARM_INS_VMINNM = 312
-ARM_INS_VMIN = 313
-ARM_INS_VMLA = 314
-ARM_INS_VMLAL = 315
-ARM_INS_VMLS = 316
-ARM_INS_VMLSL = 317
-ARM_INS_VMOVL = 318
-ARM_INS_VMOVN = 319
-ARM_INS_VMSR = 320
-ARM_INS_VMUL = 321
-ARM_INS_VMULL = 322
-ARM_INS_VMVN = 323
-ARM_INS_VNEG = 324
-ARM_INS_VNMLA = 325
-ARM_INS_VNMLS = 326
-ARM_INS_VNMUL = 327
-ARM_INS_VORN = 328
-ARM_INS_VORR = 329
-ARM_INS_VPADAL = 330
-ARM_INS_VPADDL = 331
-ARM_INS_VPADD = 332
-ARM_INS_VPMAX = 333
-ARM_INS_VPMIN = 334
-ARM_INS_VQABS = 335
-ARM_INS_VQADD = 336
-ARM_INS_VQDMLAL = 337
-ARM_INS_VQDMLSL = 338
-ARM_INS_VQDMULH = 339
-ARM_INS_VQDMULL = 340
-ARM_INS_VQMOVUN = 341
-ARM_INS_VQMOVN = 342
-ARM_INS_VQNEG = 343
-ARM_INS_VQRDMULH = 344
-ARM_INS_VQRSHL = 345
-ARM_INS_VQRSHRN = 346
-ARM_INS_VQRSHRUN = 347
-ARM_INS_VQSHL = 348
-ARM_INS_VQSHLU = 349
-ARM_INS_VQSHRN = 350
-ARM_INS_VQSHRUN = 351
-ARM_INS_VQSUB = 352
-ARM_INS_VRADDHN = 353
-ARM_INS_VRECPE = 354
-ARM_INS_VRECPS = 355
-ARM_INS_VREV16 = 356
-ARM_INS_VREV32 = 357
-ARM_INS_VREV64 = 358
-ARM_INS_VRHADD = 359
-ARM_INS_VRINTA = 360
-ARM_INS_VRINTM = 361
-ARM_INS_VRINTN = 362
-ARM_INS_VRINTP = 363
-ARM_INS_VRINTR = 364
-ARM_INS_VRINTX = 365
-ARM_INS_VRINTZ = 366
-ARM_INS_VRSHL = 367
-ARM_INS_VRSHRN = 368
-ARM_INS_VRSHR = 369
-ARM_INS_VRSQRTE = 370
-ARM_INS_VRSQRTS = 371
-ARM_INS_VRSRA = 372
-ARM_INS_VRSUBHN = 373
-ARM_INS_VSELEQ = 374
-ARM_INS_VSELGE = 375
-ARM_INS_VSELGT = 376
-ARM_INS_VSELVS = 377
-ARM_INS_VSHLL = 378
-ARM_INS_VSHL = 379
-ARM_INS_VSHRN = 380
-ARM_INS_VSHR = 381
-ARM_INS_VSLI = 382
-ARM_INS_VSQRT = 383
-ARM_INS_VSRA = 384
-ARM_INS_VSRI = 385
-ARM_INS_VST1 = 386
-ARM_INS_VST2 = 387
-ARM_INS_VST3 = 388
-ARM_INS_VST4 = 389
-ARM_INS_VSTMDB = 390
-ARM_INS_VSTMIA = 391
-ARM_INS_VSTR = 392
-ARM_INS_VSUB = 393
-ARM_INS_VSUBHN = 394
-ARM_INS_VSUBL = 395
-ARM_INS_VSUBW = 396
-ARM_INS_VSWP = 397
-ARM_INS_VTBL = 398
-ARM_INS_VTBX = 399
-ARM_INS_VCVTR = 400
-ARM_INS_VTRN = 401
-ARM_INS_VTST = 402
-ARM_INS_VUZP = 403
-ARM_INS_VZIP = 404
-ARM_INS_ADDW = 405
-ARM_INS_ASR = 406
-ARM_INS_DCPS1 = 407
-ARM_INS_DCPS2 = 408
-ARM_INS_DCPS3 = 409
-ARM_INS_IT = 410
-ARM_INS_LSL = 411
-ARM_INS_LSR = 412
-ARM_INS_ASRS = 413
-ARM_INS_LSRS = 414
+ARM_INS_ERET = 35
+ARM_INS_VMOV = 36
+ARM_INS_FLDMDBX = 37
+ARM_INS_FLDMIAX = 38
+ARM_INS_VMRS = 39
+ARM_INS_FSTMDBX = 40
+ARM_INS_FSTMIAX = 41
+ARM_INS_HINT = 42
+ARM_INS_HLT = 43
+ARM_INS_HVC = 44
+ARM_INS_ISB = 45
+ARM_INS_LDA = 46
+ARM_INS_LDAB = 47
+ARM_INS_LDAEX = 48
+ARM_INS_LDAEXB = 49
+ARM_INS_LDAEXD = 50
+ARM_INS_LDAEXH = 51
+ARM_INS_LDAH = 52
+ARM_INS_LDC2L = 53
+ARM_INS_LDC2 = 54
+ARM_INS_LDCL = 55
+ARM_INS_LDC = 56
+ARM_INS_LDMDA = 57
+ARM_INS_LDMDB = 58
+ARM_INS_LDM = 59
+ARM_INS_LDMIB = 60
+ARM_INS_LDRBT = 61
+ARM_INS_LDRB = 62
+ARM_INS_LDRD = 63
+ARM_INS_LDREX = 64
+ARM_INS_LDREXB = 65
+ARM_INS_LDREXD = 66
+ARM_INS_LDREXH = 67
+ARM_INS_LDRH = 68
+ARM_INS_LDRHT = 69
+ARM_INS_LDRSB = 70
+ARM_INS_LDRSBT = 71
+ARM_INS_LDRSH = 72
+ARM_INS_LDRSHT = 73
+ARM_INS_LDRT = 74
+ARM_INS_LDR = 75
+ARM_INS_MCR = 76
+ARM_INS_MCR2 = 77
+ARM_INS_MCRR = 78
+ARM_INS_MCRR2 = 79
+ARM_INS_MLA = 80
+ARM_INS_MLS = 81
+ARM_INS_MOV = 82
+ARM_INS_MOVT = 83
+ARM_INS_MOVW = 84
+ARM_INS_MRC = 85
+ARM_INS_MRC2 = 86
+ARM_INS_MRRC = 87
+ARM_INS_MRRC2 = 88
+ARM_INS_MRS = 89
+ARM_INS_MSR = 90
+ARM_INS_MUL = 91
+ARM_INS_MVN = 92
+ARM_INS_ORR = 93
+ARM_INS_PKHBT = 94
+ARM_INS_PKHTB = 95
+ARM_INS_PLDW = 96
+ARM_INS_PLD = 97
+ARM_INS_PLI = 98
+ARM_INS_QADD = 99
+ARM_INS_QADD16 = 100
+ARM_INS_QADD8 = 101
+ARM_INS_QASX = 102
+ARM_INS_QDADD = 103
+ARM_INS_QDSUB = 104
+ARM_INS_QSAX = 105
+ARM_INS_QSUB = 106
+ARM_INS_QSUB16 = 107
+ARM_INS_QSUB8 = 108
+ARM_INS_RBIT = 109
+ARM_INS_REV = 110
+ARM_INS_REV16 = 111
+ARM_INS_REVSH = 112
+ARM_INS_RFEDA = 113
+ARM_INS_RFEDB = 114
+ARM_INS_RFEIA = 115
+ARM_INS_RFEIB = 116
+ARM_INS_RSB = 117
+ARM_INS_RSC = 118
+ARM_INS_SADD16 = 119
+ARM_INS_SADD8 = 120
+ARM_INS_SASX = 121
+ARM_INS_SBC = 122
+ARM_INS_SBFX = 123
+ARM_INS_SDIV = 124
+ARM_INS_SEL = 125
+ARM_INS_SETEND = 126
+ARM_INS_SHA1C = 127
+ARM_INS_SHA1H = 128
+ARM_INS_SHA1M = 129
+ARM_INS_SHA1P = 130
+ARM_INS_SHA1SU0 = 131
+ARM_INS_SHA1SU1 = 132
+ARM_INS_SHA256H = 133
+ARM_INS_SHA256H2 = 134
+ARM_INS_SHA256SU0 = 135
+ARM_INS_SHA256SU1 = 136
+ARM_INS_SHADD16 = 137
+ARM_INS_SHADD8 = 138
+ARM_INS_SHASX = 139
+ARM_INS_SHSAX = 140
+ARM_INS_SHSUB16 = 141
+ARM_INS_SHSUB8 = 142
+ARM_INS_SMC = 143
+ARM_INS_SMLABB = 144
+ARM_INS_SMLABT = 145
+ARM_INS_SMLAD = 146
+ARM_INS_SMLADX = 147
+ARM_INS_SMLAL = 148
+ARM_INS_SMLALBB = 149
+ARM_INS_SMLALBT = 150
+ARM_INS_SMLALD = 151
+ARM_INS_SMLALDX = 152
+ARM_INS_SMLALTB = 153
+ARM_INS_SMLALTT = 154
+ARM_INS_SMLATB = 155
+ARM_INS_SMLATT = 156
+ARM_INS_SMLAWB = 157
+ARM_INS_SMLAWT = 158
+ARM_INS_SMLSD = 159
+ARM_INS_SMLSDX = 160
+ARM_INS_SMLSLD = 161
+ARM_INS_SMLSLDX = 162
+ARM_INS_SMMLA = 163
+ARM_INS_SMMLAR = 164
+ARM_INS_SMMLS = 165
+ARM_INS_SMMLSR = 166
+ARM_INS_SMMUL = 167
+ARM_INS_SMMULR = 168
+ARM_INS_SMUAD = 169
+ARM_INS_SMUADX = 170
+ARM_INS_SMULBB = 171
+ARM_INS_SMULBT = 172
+ARM_INS_SMULL = 173
+ARM_INS_SMULTB = 174
+ARM_INS_SMULTT = 175
+ARM_INS_SMULWB = 176
+ARM_INS_SMULWT = 177
+ARM_INS_SMUSD = 178
+ARM_INS_SMUSDX = 179
+ARM_INS_SRSDA = 180
+ARM_INS_SRSDB = 181
+ARM_INS_SRSIA = 182
+ARM_INS_SRSIB = 183
+ARM_INS_SSAT = 184
+ARM_INS_SSAT16 = 185
+ARM_INS_SSAX = 186
+ARM_INS_SSUB16 = 187
+ARM_INS_SSUB8 = 188
+ARM_INS_STC2L = 189
+ARM_INS_STC2 = 190
+ARM_INS_STCL = 191
+ARM_INS_STC = 192
+ARM_INS_STL = 193
+ARM_INS_STLB = 194
+ARM_INS_STLEX = 195
+ARM_INS_STLEXB = 196
+ARM_INS_STLEXD = 197
+ARM_INS_STLEXH = 198
+ARM_INS_STLH = 199
+ARM_INS_STMDA = 200
+ARM_INS_STMDB = 201
+ARM_INS_STM = 202
+ARM_INS_STMIB = 203
+ARM_INS_STRBT = 204
+ARM_INS_STRB = 205
+ARM_INS_STRD = 206
+ARM_INS_STREX = 207
+ARM_INS_STREXB = 208
+ARM_INS_STREXD = 209
+ARM_INS_STREXH = 210
+ARM_INS_STRH = 211
+ARM_INS_STRHT = 212
+ARM_INS_STRT = 213
+ARM_INS_STR = 214
+ARM_INS_SUB = 215
+ARM_INS_SVC = 216
+ARM_INS_SWP = 217
+ARM_INS_SWPB = 218
+ARM_INS_SXTAB = 219
+ARM_INS_SXTAB16 = 220
+ARM_INS_SXTAH = 221
+ARM_INS_SXTB = 222
+ARM_INS_SXTB16 = 223
+ARM_INS_SXTH = 224
+ARM_INS_TEQ = 225
+ARM_INS_TRAP = 226
+ARM_INS_TST = 227
+ARM_INS_UADD16 = 228
+ARM_INS_UADD8 = 229
+ARM_INS_UASX = 230
+ARM_INS_UBFX = 231
+ARM_INS_UDF = 232
+ARM_INS_UDIV = 233
+ARM_INS_UHADD16 = 234
+ARM_INS_UHADD8 = 235
+ARM_INS_UHASX = 236
+ARM_INS_UHSAX = 237
+ARM_INS_UHSUB16 = 238
+ARM_INS_UHSUB8 = 239
+ARM_INS_UMAAL = 240
+ARM_INS_UMLAL = 241
+ARM_INS_UMULL = 242
+ARM_INS_UQADD16 = 243
+ARM_INS_UQADD8 = 244
+ARM_INS_UQASX = 245
+ARM_INS_UQSAX = 246
+ARM_INS_UQSUB16 = 247
+ARM_INS_UQSUB8 = 248
+ARM_INS_USAD8 = 249
+ARM_INS_USADA8 = 250
+ARM_INS_USAT = 251
+ARM_INS_USAT16 = 252
+ARM_INS_USAX = 253
+ARM_INS_USUB16 = 254
+ARM_INS_USUB8 = 255
+ARM_INS_UXTAB = 256
+ARM_INS_UXTAB16 = 257
+ARM_INS_UXTAH = 258
+ARM_INS_UXTB = 259
+ARM_INS_UXTB16 = 260
+ARM_INS_UXTH = 261
+ARM_INS_VABAL = 262
+ARM_INS_VABA = 263
+ARM_INS_VABDL = 264
+ARM_INS_VABD = 265
+ARM_INS_VABS = 266
+ARM_INS_VACGE = 267
+ARM_INS_VACGT = 268
+ARM_INS_VADD = 269
+ARM_INS_VADDHN = 270
+ARM_INS_VADDL = 271
+ARM_INS_VADDW = 272
+ARM_INS_VAND = 273
+ARM_INS_VBIC = 274
+ARM_INS_VBIF = 275
+ARM_INS_VBIT = 276
+ARM_INS_VBSL = 277
+ARM_INS_VCEQ = 278
+ARM_INS_VCGE = 279
+ARM_INS_VCGT = 280
+ARM_INS_VCLE = 281
+ARM_INS_VCLS = 282
+ARM_INS_VCLT = 283
+ARM_INS_VCLZ = 284
+ARM_INS_VCMP = 285
+ARM_INS_VCMPE = 286
+ARM_INS_VCNT = 287
+ARM_INS_VCVTA = 288
+ARM_INS_VCVTB = 289
+ARM_INS_VCVT = 290
+ARM_INS_VCVTM = 291
+ARM_INS_VCVTN = 292
+ARM_INS_VCVTP = 293
+ARM_INS_VCVTT = 294
+ARM_INS_VDIV = 295
+ARM_INS_VDUP = 296
+ARM_INS_VEOR = 297
+ARM_INS_VEXT = 298
+ARM_INS_VFMA = 299
+ARM_INS_VFMS = 300
+ARM_INS_VFNMA = 301
+ARM_INS_VFNMS = 302
+ARM_INS_VHADD = 303
+ARM_INS_VHSUB = 304
+ARM_INS_VLD1 = 305
+ARM_INS_VLD2 = 306
+ARM_INS_VLD3 = 307
+ARM_INS_VLD4 = 308
+ARM_INS_VLDMDB = 309
+ARM_INS_VLDMIA = 310
+ARM_INS_VLDR = 311
+ARM_INS_VMAXNM = 312
+ARM_INS_VMAX = 313
+ARM_INS_VMINNM = 314
+ARM_INS_VMIN = 315
+ARM_INS_VMLA = 316
+ARM_INS_VMLAL = 317
+ARM_INS_VMLS = 318
+ARM_INS_VMLSL = 319
+ARM_INS_VMOVL = 320
+ARM_INS_VMOVN = 321
+ARM_INS_VMSR = 322
+ARM_INS_VMUL = 323
+ARM_INS_VMULL = 324
+ARM_INS_VMVN = 325
+ARM_INS_VNEG = 326
+ARM_INS_VNMLA = 327
+ARM_INS_VNMLS = 328
+ARM_INS_VNMUL = 329
+ARM_INS_VORN = 330
+ARM_INS_VORR = 331
+ARM_INS_VPADAL = 332
+ARM_INS_VPADDL = 333
+ARM_INS_VPADD = 334
+ARM_INS_VPMAX = 335
+ARM_INS_VPMIN = 336
+ARM_INS_VQABS = 337
+ARM_INS_VQADD = 338
+ARM_INS_VQDMLAL = 339
+ARM_INS_VQDMLSL = 340
+ARM_INS_VQDMULH = 341
+ARM_INS_VQDMULL = 342
+ARM_INS_VQMOVUN = 343
+ARM_INS_VQMOVN = 344
+ARM_INS_VQNEG = 345
+ARM_INS_VQRDMULH = 346
+ARM_INS_VQRSHL = 347
+ARM_INS_VQRSHRN = 348
+ARM_INS_VQRSHRUN = 349
+ARM_INS_VQSHL = 350
+ARM_INS_VQSHLU = 351
+ARM_INS_VQSHRN = 352
+ARM_INS_VQSHRUN = 353
+ARM_INS_VQSUB = 354
+ARM_INS_VRADDHN = 355
+ARM_INS_VRECPE = 356
+ARM_INS_VRECPS = 357
+ARM_INS_VREV16 = 358
+ARM_INS_VREV32 = 359
+ARM_INS_VREV64 = 360
+ARM_INS_VRHADD = 361
+ARM_INS_VRINTA = 362
+ARM_INS_VRINTM = 363
+ARM_INS_VRINTN = 364
+ARM_INS_VRINTP = 365
+ARM_INS_VRINTR = 366
+ARM_INS_VRINTX = 367
+ARM_INS_VRINTZ = 368
+ARM_INS_VRSHL = 369
+ARM_INS_VRSHRN = 370
+ARM_INS_VRSHR = 371
+ARM_INS_VRSQRTE = 372
+ARM_INS_VRSQRTS = 373
+ARM_INS_VRSRA = 374
+ARM_INS_VRSUBHN = 375
+ARM_INS_VSELEQ = 376
+ARM_INS_VSELGE = 377
+ARM_INS_VSELGT = 378
+ARM_INS_VSELVS = 379
+ARM_INS_VSHLL = 380
+ARM_INS_VSHL = 381
+ARM_INS_VSHRN = 382
+ARM_INS_VSHR = 383
+ARM_INS_VSLI = 384
+ARM_INS_VSQRT = 385
+ARM_INS_VSRA = 386
+ARM_INS_VSRI = 387
+ARM_INS_VST1 = 388
+ARM_INS_VST2 = 389
+ARM_INS_VST3 = 390
+ARM_INS_VST4 = 391
+ARM_INS_VSTMDB = 392
+ARM_INS_VSTMIA = 393
+ARM_INS_VSTR = 394
+ARM_INS_VSUB = 395
+ARM_INS_VSUBHN = 396
+ARM_INS_VSUBL = 397
+ARM_INS_VSUBW = 398
+ARM_INS_VSWP = 399
+ARM_INS_VTBL = 400
+ARM_INS_VTBX = 401
+ARM_INS_VCVTR = 402
+ARM_INS_VTRN = 403
+ARM_INS_VTST = 404
+ARM_INS_VUZP = 405
+ARM_INS_VZIP = 406
+ARM_INS_ADDW = 407
+ARM_INS_ASR = 408
+ARM_INS_DCPS1 = 409
+ARM_INS_DCPS2 = 410
+ARM_INS_DCPS3 = 411
+ARM_INS_IT = 412
+ARM_INS_LSL = 413
+ARM_INS_LSR = 414
 ARM_INS_ORN = 415
 ARM_INS_ROR = 416
 ARM_INS_RRX = 417
-ARM_INS_SUBS = 418
-ARM_INS_SUBW = 419
-ARM_INS_TBB = 420
-ARM_INS_TBH = 421
-ARM_INS_CBNZ = 422
-ARM_INS_CBZ = 423
-ARM_INS_MOVS = 424
-ARM_INS_POP = 425
-ARM_INS_PUSH = 426
-ARM_INS_NOP = 427
-ARM_INS_YIELD = 428
-ARM_INS_WFE = 429
-ARM_INS_WFI = 430
-ARM_INS_SEV = 431
-ARM_INS_SEVL = 432
-ARM_INS_VPUSH = 433
-ARM_INS_VPOP = 434
-ARM_INS_ENDING = 435
-
-# Group of ARM instructions
+ARM_INS_SUBW = 418
+ARM_INS_TBB = 419
+ARM_INS_TBH = 420
+ARM_INS_CBNZ = 421
+ARM_INS_CBZ = 422
+ARM_INS_POP = 423
+ARM_INS_PUSH = 424
+ARM_INS_NOP = 425
+ARM_INS_YIELD = 426
+ARM_INS_WFE = 427
+ARM_INS_WFI = 428
+ARM_INS_SEV = 429
+ARM_INS_SEVL = 430
+ARM_INS_VPUSH = 431
+ARM_INS_VPOP = 432
+ARM_INS_ENDING = 433
 
 ARM_GRP_INVALID = 0
-
-# Generic groups
 ARM_GRP_JUMP = 1
-
-# Architecture-specific groups
+ARM_GRP_CALL = 2
+ARM_GRP_INT = 4
+ARM_GRP_PRIVILEGE = 6
+ARM_GRP_BRANCH_RELATIVE = 7
 ARM_GRP_CRYPTO = 128
 ARM_GRP_DATABARRIER = 129
 ARM_GRP_DIVIDE = 130
@@ -763,4 +771,5 @@ ARM_GRP_MULOPS = 155
 ARM_GRP_CRC = 156
 ARM_GRP_DPVFP = 157
 ARM_GRP_V6M = 158
-ARM_GRP_ENDING = 159
+ARM_GRP_VIRTUALIZATION = 159
+ARM_GRP_ENDING = 160
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/arm.py 4.0.2-3/bindings/python/capstone/arm.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/arm.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/arm.py	2020-05-08 10:03:30.000000000 +0000
@@ -11,6 +11,7 @@ class ArmOpMem(ctypes.Structure):
         ('index', ctypes.c_uint),
         ('scale', ctypes.c_int),
         ('disp', ctypes.c_int),
+        ('lshift', ctypes.c_int),
     )
 
 class ArmOpShift(ctypes.Structure):
@@ -35,6 +36,8 @@ class ArmOp(ctypes.Structure):
         ('type', ctypes.c_uint),
         ('value', ArmOpValue),
         ('subtracted', ctypes.c_bool),
+        ('access', ctypes.c_uint8),
+        ('neon_lane', ctypes.c_int8),
     )
 
     @property
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/evm_const.py 4.0.2-3/bindings/python/capstone/evm_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/evm_const.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/evm_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,151 @@
+# For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [evm_const.py]
+
+EVM_INS_STOP = 0
+EVM_INS_ADD = 1
+EVM_INS_MUL = 2
+EVM_INS_SUB = 3
+EVM_INS_DIV = 4
+EVM_INS_SDIV = 5
+EVM_INS_MOD = 6
+EVM_INS_SMOD = 7
+EVM_INS_ADDMOD = 8
+EVM_INS_MULMOD = 9
+EVM_INS_EXP = 10
+EVM_INS_SIGNEXTEND = 11
+EVM_INS_LT = 16
+EVM_INS_GT = 17
+EVM_INS_SLT = 18
+EVM_INS_SGT = 19
+EVM_INS_EQ = 20
+EVM_INS_ISZERO = 21
+EVM_INS_AND = 22
+EVM_INS_OR = 23
+EVM_INS_XOR = 24
+EVM_INS_NOT = 25
+EVM_INS_BYTE = 26
+EVM_INS_SHA3 = 32
+EVM_INS_ADDRESS = 48
+EVM_INS_BALANCE = 49
+EVM_INS_ORIGIN = 50
+EVM_INS_CALLER = 51
+EVM_INS_CALLVALUE = 52
+EVM_INS_CALLDATALOAD = 53
+EVM_INS_CALLDATASIZE = 54
+EVM_INS_CALLDATACOPY = 55
+EVM_INS_CODESIZE = 56
+EVM_INS_CODECOPY = 57
+EVM_INS_GASPRICE = 58
+EVM_INS_EXTCODESIZE = 59
+EVM_INS_EXTCODECOPY = 60
+EVM_INS_RETURNDATASIZE = 61
+EVM_INS_RETURNDATACOPY = 62
+EVM_INS_BLOCKHASH = 64
+EVM_INS_COINBASE = 65
+EVM_INS_TIMESTAMP = 66
+EVM_INS_NUMBER = 67
+EVM_INS_DIFFICULTY = 68
+EVM_INS_GASLIMIT = 69
+EVM_INS_POP = 80
+EVM_INS_MLOAD = 81
+EVM_INS_MSTORE = 82
+EVM_INS_MSTORE8 = 83
+EVM_INS_SLOAD = 84
+EVM_INS_SSTORE = 85
+EVM_INS_JUMP = 86
+EVM_INS_JUMPI = 87
+EVM_INS_PC = 88
+EVM_INS_MSIZE = 89
+EVM_INS_GAS = 90
+EVM_INS_JUMPDEST = 91
+EVM_INS_PUSH1 = 96
+EVM_INS_PUSH2 = 97
+EVM_INS_PUSH3 = 98
+EVM_INS_PUSH4 = 99
+EVM_INS_PUSH5 = 100
+EVM_INS_PUSH6 = 101
+EVM_INS_PUSH7 = 102
+EVM_INS_PUSH8 = 103
+EVM_INS_PUSH9 = 104
+EVM_INS_PUSH10 = 105
+EVM_INS_PUSH11 = 106
+EVM_INS_PUSH12 = 107
+EVM_INS_PUSH13 = 108
+EVM_INS_PUSH14 = 109
+EVM_INS_PUSH15 = 110
+EVM_INS_PUSH16 = 111
+EVM_INS_PUSH17 = 112
+EVM_INS_PUSH18 = 113
+EVM_INS_PUSH19 = 114
+EVM_INS_PUSH20 = 115
+EVM_INS_PUSH21 = 116
+EVM_INS_PUSH22 = 117
+EVM_INS_PUSH23 = 118
+EVM_INS_PUSH24 = 119
+EVM_INS_PUSH25 = 120
+EVM_INS_PUSH26 = 121
+EVM_INS_PUSH27 = 122
+EVM_INS_PUSH28 = 123
+EVM_INS_PUSH29 = 124
+EVM_INS_PUSH30 = 125
+EVM_INS_PUSH31 = 126
+EVM_INS_PUSH32 = 127
+EVM_INS_DUP1 = 128
+EVM_INS_DUP2 = 129
+EVM_INS_DUP3 = 130
+EVM_INS_DUP4 = 131
+EVM_INS_DUP5 = 132
+EVM_INS_DUP6 = 133
+EVM_INS_DUP7 = 134
+EVM_INS_DUP8 = 135
+EVM_INS_DUP9 = 136
+EVM_INS_DUP10 = 137
+EVM_INS_DUP11 = 138
+EVM_INS_DUP12 = 139
+EVM_INS_DUP13 = 140
+EVM_INS_DUP14 = 141
+EVM_INS_DUP15 = 142
+EVM_INS_DUP16 = 143
+EVM_INS_SWAP1 = 144
+EVM_INS_SWAP2 = 145
+EVM_INS_SWAP3 = 146
+EVM_INS_SWAP4 = 147
+EVM_INS_SWAP5 = 148
+EVM_INS_SWAP6 = 149
+EVM_INS_SWAP7 = 150
+EVM_INS_SWAP8 = 151
+EVM_INS_SWAP9 = 152
+EVM_INS_SWAP10 = 153
+EVM_INS_SWAP11 = 154
+EVM_INS_SWAP12 = 155
+EVM_INS_SWAP13 = 156
+EVM_INS_SWAP14 = 157
+EVM_INS_SWAP15 = 158
+EVM_INS_SWAP16 = 159
+EVM_INS_LOG0 = 160
+EVM_INS_LOG1 = 161
+EVM_INS_LOG2 = 162
+EVM_INS_LOG3 = 163
+EVM_INS_LOG4 = 164
+EVM_INS_CREATE = 240
+EVM_INS_CALL = 241
+EVM_INS_CALLCODE = 242
+EVM_INS_RETURN = 243
+EVM_INS_DELEGATECALL = 244
+EVM_INS_CALLBLACKBOX = 245
+EVM_INS_STATICCALL = 250
+EVM_INS_REVERT = 253
+EVM_INS_SUICIDE = 255
+EVM_INS_INVALID = 512
+EVM_INS_ENDING = 513
+
+EVM_GRP_INVALID = 0
+EVM_GRP_JUMP = 1
+EVM_GRP_MATH = 8
+EVM_GRP_STACK_WRITE = 9
+EVM_GRP_STACK_READ = 10
+EVM_GRP_MEM_WRITE = 11
+EVM_GRP_MEM_READ = 12
+EVM_GRP_STORE_WRITE = 13
+EVM_GRP_STORE_READ = 14
+EVM_GRP_HALT = 15
+EVM_GRP_ENDING = 16
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/evm.py 4.0.2-3/bindings/python/capstone/evm.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/evm.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/evm.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,17 @@
+# Capstone Python bindings, by Nguyen Anh Quynnh <aquynh@gmail.com>
+
+import ctypes
+from . import copy_ctypes_list
+from .evm_const import *
+
+# define the API
+class CsEvm(ctypes.Structure):
+    _fields_ = (
+        ('pop', ctypes.c_byte),
+        ('push', ctypes.c_byte),
+        ('fee', ctypes.c_uint),
+    )
+
+def get_arch_info(a):
+    return (a.pop, a.push, a.fee)
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/__init__.py 4.0.2-3/bindings/python/capstone/__init__.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/__init__.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/__init__.py	2020-05-08 10:03:30.000000000 +0000
@@ -31,6 +31,10 @@ __all__ = [
     'CS_ARCH_SPARC',
     'CS_ARCH_SYSZ',
     'CS_ARCH_XCORE',
+    'CS_ARCH_M68K',
+    'CS_ARCH_TMS320C64X',
+    'CS_ARCH_M680X',
+    'CS_ARCH_EVM',
     'CS_ARCH_ALL',
 
     'CS_MODE_LITTLE_ENDIAN',
@@ -44,17 +48,35 @@ __all__ = [
     'CS_MODE_MICRO',
     'CS_MODE_MIPS3',
     'CS_MODE_MIPS32R6',
-    'CS_MODE_MIPSGP64',
+    'CS_MODE_MIPS2',
     'CS_MODE_V8',
     'CS_MODE_V9',
+    'CS_MODE_QPX',
+    'CS_MODE_M68K_000',
+    'CS_MODE_M68K_010',
+    'CS_MODE_M68K_020',
+    'CS_MODE_M68K_030',
+    'CS_MODE_M68K_040',
+    'CS_MODE_M68K_060',
     'CS_MODE_MIPS32',
     'CS_MODE_MIPS64',
+    'CS_MODE_M680X_6301',
+    'CS_MODE_M680X_6309',
+    'CS_MODE_M680X_6800',
+    'CS_MODE_M680X_6801',
+    'CS_MODE_M680X_6805',
+    'CS_MODE_M680X_6808',
+    'CS_MODE_M680X_6809',
+    'CS_MODE_M680X_6811',
+    'CS_MODE_M680X_CPU12',
+    'CS_MODE_M680X_HCS08',
 
     'CS_OPT_SYNTAX',
     'CS_OPT_SYNTAX_DEFAULT',
     'CS_OPT_SYNTAX_INTEL',
     'CS_OPT_SYNTAX_ATT',
     'CS_OPT_SYNTAX_NOREGNAME',
+    'CS_OPT_SYNTAX_MASM',
 
     'CS_OPT_DETAIL',
     'CS_OPT_MODE',
@@ -92,6 +114,11 @@ __all__ = [
     'CS_GRP_RET',
     'CS_GRP_INT',
     'CS_GRP_IRET',
+    'CS_GRP_PRIVILEGE',
+
+    'CS_AC_INVALID',
+    'CS_AC_READ',
+    'CS_AC_WRITE',
 
     'CsError',
 
@@ -101,13 +128,13 @@ __all__ = [
 # Capstone C interface
 
 # API version
-CS_API_MAJOR = 3
+CS_API_MAJOR = 4
 CS_API_MINOR = 0
 
 # Package version
 CS_VERSION_MAJOR = CS_API_MAJOR
 CS_VERSION_MINOR = CS_API_MINOR
-CS_VERSION_EXTRA = 5
+CS_VERSION_EXTRA = 2
 
 __version__ = "%u.%u.%u" %(CS_VERSION_MAJOR, CS_VERSION_MINOR, CS_VERSION_EXTRA)
 
@@ -120,7 +147,11 @@ CS_ARCH_PPC = 4
 CS_ARCH_SPARC = 5
 CS_ARCH_SYSZ = 6
 CS_ARCH_XCORE = 7
-CS_ARCH_MAX = 8
+CS_ARCH_M68K = 8
+CS_ARCH_TMS320C64X = 9
+CS_ARCH_M680X = 10
+CS_ARCH_EVM = 11
+CS_ARCH_MAX = 12
 CS_ARCH_ALL = 0xFFFF
 
 # disasm mode
@@ -135,11 +166,28 @@ CS_MODE_V8 = (1 << 6)          # ARMv8 A
 CS_MODE_MICRO = (1 << 4)       # MicroMips mode (MIPS architecture)
 CS_MODE_MIPS3 = (1 << 5)       # Mips III ISA
 CS_MODE_MIPS32R6 = (1 << 6)    # Mips32r6 ISA
-CS_MODE_MIPSGP64 = (1 << 7)    # General Purpose Registers are 64-bit wide (MIPS arch)
+CS_MODE_MIPS2 = (1 << 7)       # Mips II ISA
 CS_MODE_V9 = (1 << 4)          # Sparc V9 mode (for Sparc)
+CS_MODE_QPX = (1 << 4)         # Quad Processing eXtensions mode (PPC)
+CS_MODE_M68K_000 = (1 << 1)    # M68K 68000 mode
+CS_MODE_M68K_010 = (1 << 2)    # M68K 68010 mode
+CS_MODE_M68K_020 = (1 << 3)    # M68K 68020 mode
+CS_MODE_M68K_030 = (1 << 4)    # M68K 68030 mode
+CS_MODE_M68K_040 = (1 << 5)    # M68K 68040 mode
+CS_MODE_M68K_060 = (1 << 6)    # M68K 68060 mode
 CS_MODE_BIG_ENDIAN = (1 << 31) # big-endian mode
 CS_MODE_MIPS32 = CS_MODE_32    # Mips32 ISA
 CS_MODE_MIPS64 = CS_MODE_64    # Mips64 ISA
+CS_MODE_M680X_6301 = (1 << 1)  # M680X HD6301/3 mode
+CS_MODE_M680X_6309 = (1 << 2)  # M680X HD6309 mode
+CS_MODE_M680X_6800 = (1 << 3)  # M680X M6800/2 mode
+CS_MODE_M680X_6801 = (1 << 4)  # M680X M6801/3 mode
+CS_MODE_M680X_6805 = (1 << 5)  # M680X M6805 mode
+CS_MODE_M680X_6808 = (1 << 6)  # M680X M68HC08 mode
+CS_MODE_M680X_6809 = (1 << 7)  # M680X M6809 mode
+CS_MODE_M680X_6811 = (1 << 8)  # M680X M68HC11 mode
+CS_MODE_M680X_CPU12 = (1 << 9)  # M680X CPU12 mode
+CS_MODE_M680X_HCS08 = (1 << 10)  # M680X HCS08 mode
 
 # Capstone option type
 CS_OPT_SYNTAX = 1    # Intel X86 asm syntax (CS_ARCH_X86 arch)
@@ -148,6 +196,8 @@ CS_OPT_MODE = 3      # Change engine's m
 CS_OPT_MEM = 4       # Change engine's mode at run-time
 CS_OPT_SKIPDATA = 5  # Skip data when disassembling
 CS_OPT_SKIPDATA_SETUP = 6      # Setup user-defined function for SKIPDATA option
+CS_OPT_MNEMONIC = 7  # Customize instruction mnemonic
+CS_OPT_UNSIGNED = 8  # Print immediate in unsigned form
 
 # Capstone option value
 CS_OPT_OFF = 0             # Turn OFF an option - default option of CS_OPT_DETAIL
@@ -167,12 +217,19 @@ CS_GRP_CALL    = 2  # all call instructi
 CS_GRP_RET     = 3  # all return instructions
 CS_GRP_INT     = 4  # all interrupt instructions (int+syscall)
 CS_GRP_IRET    = 5  # all interrupt return instructions
+CS_GRP_PRIVILEGE = 6  # all privileged instructions
+
+# Access types for instruction operands.
+CS_AC_INVALID  = 0        # Invalid/unitialized access type.
+CS_AC_READ     = (1 << 0) # Operand that is read from.
+CS_AC_WRITE    = (1 << 1) # Operand that is written to.
 
 # Capstone syntax value
 CS_OPT_SYNTAX_DEFAULT = 0    # Default assembly syntax of all platforms (CS_OPT_SYNTAX)
 CS_OPT_SYNTAX_INTEL = 1    # Intel X86 asm syntax - default syntax on X86 (CS_OPT_SYNTAX, CS_ARCH_X86)
 CS_OPT_SYNTAX_ATT = 2      # ATT asm syntax (CS_OPT_SYNTAX, CS_ARCH_X86)
 CS_OPT_SYNTAX_NOREGNAME = 3   # Asm syntax prints register name with only number - (CS_OPT_SYNTAX, CS_ARCH_PPC, CS_ARCH_ARM)
+CS_OPT_SYNTAX_MASM = 4      # MASM syntax (CS_OPT_SYNTAX, CS_ARCH_X86)
 
 # Capstone error type
 CS_ERR_OK = 0      # No error: everything was fine
@@ -189,11 +246,20 @@ CS_ERR_DIET = 10   # Information irrelev
 CS_ERR_SKIPDATA = 11 # Access irrelevant data for "data" instruction in SKIPDATA mode
 CS_ERR_X86_ATT = 12 # X86 AT&T syntax is unsupported (opt-out at compile time)
 CS_ERR_X86_INTEL = 13 # X86 Intel syntax is unsupported (opt-out at compile time)
+CS_ERR_X86_MASM = 14 # X86 Intel syntax is unsupported (opt-out at compile time)
 
 # query id for cs_support()
 CS_SUPPORT_DIET = CS_ARCH_ALL + 1
 CS_SUPPORT_X86_REDUCE = CS_ARCH_ALL+2
 
+# Capstone reverse lookup
+CS_AC    = {v:k for k,v in locals().items() if k.startswith('CS_AC_')}
+CS_ARCH  = {v:k for k,v in locals().items() if k.startswith('CS_ARCH_')}
+CS_ERR   = {v:k for k,v in locals().items() if k.startswith('CS_ERR_')}
+CS_GRP   = {v:k for k,v in locals().items() if k.startswith('CS_GRP_')}
+CS_MODE  = {v:k for k,v in locals().items() if k.startswith('CS_MODE_')}
+CS_OP    = {v:k for k,v in locals().items() if k.startswith('CS_OP_')}
+CS_OPT   = {v:k for k,v in locals().items() if k.startswith('CS_OPT_')}
 
 import ctypes, ctypes.util
 from os.path import split, join, dirname
@@ -215,14 +281,13 @@ _found = False
 
 def _load_lib(path):
     lib_file = join(path, _lib)
-    #print("Trying to load %s" %lib_file)
     if os.path.exists(lib_file):
         return ctypes.cdll.LoadLibrary(lib_file)
     else:
-        # if we're on linux, try again with .so.3 extension
+        # if we're on linux, try again with .so.4 extension
         if lib_file.endswith('.so'):
-            if os.path.exists(lib_file + '.3'):
-                return ctypes.cdll.LoadLibrary(lib_file + '.3')
+            if os.path.exists(lib_file + '.4'):
+                return ctypes.cdll.LoadLibrary(lib_file + '.4')
     return None
 
 _cs = None
@@ -262,25 +327,29 @@ def copy_ctypes_list(src):
     return [copy_ctypes(n) for n in src]
 
 # Weird import placement because these modules are needed by the below code but need the above functions
-from . import arm, arm64, mips, ppc, sparc, systemz, x86, xcore
+from . import arm, arm64, m68k, mips, ppc, sparc, systemz, x86, xcore, tms320c64x, m680x, evm
 
 class _cs_arch(ctypes.Union):
     _fields_ = (
         ('arm64', arm64.CsArm64),
         ('arm', arm.CsArm),
+        ('m68k', m68k.CsM68K),
         ('mips', mips.CsMips),
         ('x86', x86.CsX86),
         ('ppc', ppc.CsPpc),
         ('sparc', sparc.CsSparc),
         ('sysz', systemz.CsSysz),
         ('xcore', xcore.CsXcore),
+        ('tms320c64x', tms320c64x.CsTMS320C64x),
+        ('m680x', m680x.CsM680x),
+        ('evm', evm.CsEvm),
     )
 
 class _cs_detail(ctypes.Structure):
     _fields_ = (
-        ('regs_read', ctypes.c_ubyte * 12),
+        ('regs_read', ctypes.c_uint16 * 12),
         ('regs_read_count', ctypes.c_ubyte),
-        ('regs_write', ctypes.c_ubyte * 20),
+        ('regs_write', ctypes.c_uint16 * 20),
         ('regs_write_count', ctypes.c_ubyte),
         ('groups', ctypes.c_ubyte * 8),
         ('groups_count', ctypes.c_ubyte),
@@ -308,6 +377,11 @@ class _cs_opt_skipdata(ctypes.Structure)
         ('user_data', ctypes.c_void_p),
     )
 
+class _cs_opt_mnem(ctypes.Structure):
+    _fields_ = (
+        ('id', ctypes.c_uint),
+        ('mnemonic', ctypes.c_char_p),
+    )
 
 # setup all the function prototype
 def _setup_prototype(lib, fname, restype, *argtypes):
@@ -329,6 +403,7 @@ _setup_prototype(_cs, "cs_option", ctype
 _setup_prototype(_cs, "cs_version", ctypes.c_int, ctypes.POINTER(ctypes.c_int), ctypes.POINTER(ctypes.c_int))
 _setup_prototype(_cs, "cs_support", ctypes.c_bool, ctypes.c_int)
 _setup_prototype(_cs, "cs_strerror", ctypes.c_char_p, ctypes.c_int)
+_setup_prototype(_cs, "cs_regs_access", ctypes.c_int, ctypes.c_size_t, ctypes.POINTER(_cs_insn), ctypes.POINTER(ctypes.c_uint16*64), ctypes.POINTER(ctypes.c_uint8), ctypes.POINTER(ctypes.c_uint16*64), ctypes.POINTER(ctypes.c_uint8))
 
 
 # access to error code via @errno of CsError
@@ -447,6 +522,9 @@ def cs_disasm_lite(arch, mode, code, off
     if status != CS_ERR_OK:
         raise CsError(status)
 
+def _ascii_name_or_default(name, default):
+    return default if name is None else name.decode('ascii')
+
 
 # Python-style class to disasm code
 class CsInsn(object):
@@ -455,8 +533,12 @@ class CsInsn(object):
         self._cs = cs
         if self._cs._detail and self._raw.id != 0:
             # save detail
-            self._detail = copy_ctypes(self._raw.detail.contents)
+            self._raw.detail = ctypes.pointer(all_info.detail._type_())
+            ctypes.memmove(ctypes.byref(self._raw.detail[0]), ctypes.byref(all_info.detail[0]), ctypes.sizeof(type(all_info.detail[0])))
 
+    def __repr__(self):
+        return '<CsInsn 0x%x [%s]: %s %s>' % (self.address, self.bytes.hex(), self.mnemonic, self.op_str)
+            
     # return instruction's ID.
     @property
     def id(self):
@@ -506,7 +588,7 @@ class CsInsn(object):
             raise CsError(CS_ERR_DIET)
 
         if self._cs._detail:
-            return self._detail.regs_read[:self._detail.regs_read_count]
+            return self._raw.detail.contents.regs_read[:self._raw.detail.contents.regs_read_count]
 
         raise CsError(CS_ERR_DETAIL)
 
@@ -521,7 +603,7 @@ class CsInsn(object):
             raise CsError(CS_ERR_DIET)
 
         if self._cs._detail:
-            return self._detail.regs_write[:self._detail.regs_write_count]
+            return self._raw.detail.contents.regs_write[:self._raw.detail.contents.regs_write_count]
 
         raise CsError(CS_ERR_DETAIL)
 
@@ -536,7 +618,7 @@ class CsInsn(object):
             raise CsError(CS_ERR_DIET)
 
         if self._cs._detail:
-            return self._detail.groups[:self._detail.groups_count]
+            return self._raw.detail.contents.groups[:self._raw.detail.contents.groups_count]
 
         raise CsError(CS_ERR_DETAIL)
 
@@ -548,26 +630,36 @@ class CsInsn(object):
         arch = self._cs.arch
         if arch == CS_ARCH_ARM:
             (self.usermode, self.vector_size, self.vector_data, self.cps_mode, self.cps_flag, self.cc, self.update_flags, \
-            self.writeback, self.mem_barrier, self.operands) = arm.get_arch_info(self._detail.arch.arm)
+            self.writeback, self.mem_barrier, self.operands) = arm.get_arch_info(self._raw.detail.contents.arch.arm) 
         elif arch == CS_ARCH_ARM64:
             (self.cc, self.update_flags, self.writeback, self.operands) = \
-                arm64.get_arch_info(self._detail.arch.arm64)
+                arm64.get_arch_info(self._raw.detail.contents.arch.arm64)
         elif arch == CS_ARCH_X86:
             (self.prefix, self.opcode, self.rex, self.addr_size, \
                 self.modrm, self.sib, self.disp, \
-                self.sib_index, self.sib_scale, self.sib_base, self.sse_cc, \
-                self.avx_cc, self.avx_sae, self.avx_rm, self.operands) = x86.get_arch_info(self._detail.arch.x86)
+                self.sib_index, self.sib_scale, self.sib_base, self.xop_cc, self.sse_cc, \
+                self.avx_cc, self.avx_sae, self.avx_rm, self.eflags, \
+                self.modrm_offset, self.disp_offset, self.disp_size, self.imm_offset, self.imm_size, \
+                self.operands) = x86.get_arch_info(self._raw.detail.contents.arch.x86)
+        elif arch == CS_ARCH_M68K:
+                (self.operands, self.op_size) = m68k.get_arch_info(self._raw.detail.contents.arch.m68k)
         elif arch == CS_ARCH_MIPS:
-                self.operands = mips.get_arch_info(self._detail.arch.mips)
+                self.operands = mips.get_arch_info(self._raw.detail.contents.arch.mips)
         elif arch == CS_ARCH_PPC:
             (self.bc, self.bh, self.update_cr0, self.operands) = \
-                ppc.get_arch_info(self._detail.arch.ppc)
+                ppc.get_arch_info(self._raw.detail.contents.arch.ppc)
         elif arch == CS_ARCH_SPARC:
-            (self.cc, self.hint, self.operands) = sparc.get_arch_info(self._detail.arch.sparc)
+            (self.cc, self.hint, self.operands) = sparc.get_arch_info(self._raw.detail.contents.arch.sparc)
         elif arch == CS_ARCH_SYSZ:
-            (self.cc, self.operands) = systemz.get_arch_info(self._detail.arch.sysz)
+            (self.cc, self.operands) = systemz.get_arch_info(self._raw.detail.contents.arch.sysz)
         elif arch == CS_ARCH_XCORE:
-            (self.operands) = xcore.get_arch_info(self._detail.arch.xcore)
+            (self.operands) = xcore.get_arch_info(self._raw.detail.contents.arch.xcore)
+        elif arch == CS_ARCH_TMS320C64X:
+            (self.condition, self.funit, self.parallel, self.operands) = tms320c64x.get_arch_info(self._raw.detail.contents.arch.tms320c64x)
+        elif arch == CS_ARCH_M680X:
+            (self.flags, self.operands) = m680x.get_arch_info(self._raw.detail.contents.arch.m680x)
+        elif arch == CS_ARCH_EVM:
+            (self.pop, self.push, self.fee) = evm.get_arch_info(self._raw.detail.contents.arch.evm)
 
 
     def __getattr__(self, name):
@@ -591,43 +683,31 @@ class CsInsn(object):
         return _cs.cs_errno(self._cs.csh)
 
     # get the register name, given the register ID
-    def reg_name(self, reg_id):
-        if self._raw.id == 0:
-            raise CsError(CS_ERR_SKIPDATA)
-
+    def reg_name(self, reg_id, default=None):
         if self._cs._diet:
             # Diet engine cannot provide register name
             raise CsError(CS_ERR_DIET)
 
-        if reg_id == 0:
-            return "(invalid)"
-
-        return _cs.cs_reg_name(self._cs.csh, reg_id).decode('ascii')
+        return _ascii_name_or_default(_cs.cs_reg_name(self._cs.csh, reg_id), default)
 
     # get the instruction name
-    def insn_name(self):
+    def insn_name(self, default=None):
         if self._cs._diet:
             # Diet engine cannot provide instruction name
             raise CsError(CS_ERR_DIET)
 
         if self._raw.id == 0:
-            return "(invalid)"
+            return default
 
-        return _cs.cs_insn_name(self._cs.csh, self.id).decode('ascii')
+        return _ascii_name_or_default(_cs.cs_insn_name(self._cs.csh, self.id), default)
 
     # get the group name
-    def group_name(self, group_id):
-        if self._raw.id == 0:
-            raise CsError(CS_ERR_SKIPDATA)
-
+    def group_name(self, group_id, default=None):
         if self._cs._diet:
-            # Diet engine cannot provide register name
+            # Diet engine cannot provide group name
             raise CsError(CS_ERR_DIET)
 
-        if group_id == 0:
-            return "(invalid)"
-
-        return _cs.cs_group_name(self._cs.csh, group_id).decode('ascii')
+        return _ascii_name_or_default(_cs.cs_group_name(self._cs.csh, group_id), default)
 
 
     # verify if this insn belong to group with id as @group_id
@@ -686,6 +766,34 @@ class CsInsn(object):
             if c == position:
                 return op
 
+    # Return (list-of-registers-read, list-of-registers-modified) by this instructions.
+    # This includes all the implicit & explicit registers.
+    def regs_access(self):
+        if self._raw.id == 0:
+            raise CsError(CS_ERR_SKIPDATA)
+
+        regs_read = (ctypes.c_uint16 * 64)()
+        regs_read_count = ctypes.c_uint8()
+        regs_write = (ctypes.c_uint16 * 64)()
+        regs_write_count = ctypes.c_uint8()
+
+        status = _cs.cs_regs_access(self._cs.csh, self._raw, ctypes.byref(regs_read), ctypes.byref(regs_read_count), ctypes.byref(regs_write), ctypes.byref(regs_write_count))
+        if status != CS_ERR_OK:
+            raise CsError(status)
+
+        if regs_read_count.value > 0:
+            regs_read = regs_read[:regs_read_count.value]
+        else:
+            regs_read = ()
+
+        if regs_write_count.value > 0:
+            regs_write = regs_write[:regs_write_count.value]
+        else:
+            regs_write = ()
+
+        return (regs_read, regs_write)
+
+
 
 class Cs(object):
     def __init__(self, arch, mode):
@@ -717,11 +825,16 @@ class Cs(object):
             self._syntax = None
 
         self._detail = False  # by default, do not produce instruction details
+        self._imm_unsigned = False  # by default, print immediate operands as signed numbers
         self._diet = cs_support(CS_SUPPORT_DIET)
         self._x86reduce = cs_support(CS_SUPPORT_X86_REDUCE)
 
         # default mnemonic for SKIPDATA
         self._skipdata_mnem = ".byte"
+        self._skipdata_cb = (None, None)
+        # store reference to option object to avoid it being freed
+        # because C code uses it by reference
+        self._skipdata_opt = _cs_opt_skipdata()
         self._skipdata = False
 
 
@@ -789,17 +902,59 @@ class Cs(object):
         self._skipdata = opt
 
 
+    @property
+    def skipdata_setup(self):
+        return (self._skipdata_mnem,) + self._skipdata_cb
+
+
+    @skipdata_setup.setter
     def skipdata_setup(self, opt):
-        _skipdata_opt = _cs_opt_skipdata()
         _mnem, _cb, _ud = opt
-        _skipdata_opt.mnemonic = _mnem.encode()
-        _skipdata_opt.callback = CS_SKIPDATA_CALLBACK(_cb)
-        _skipdata_opt.user_data = ctypes.cast(_ud, ctypes.c_void_p)
-        status = _cs.cs_option(self.csh, CS_OPT_SKIPDATA_SETUP, ctypes.cast(ctypes.byref(_skipdata_opt), ctypes.c_void_p))
+        self._skipdata_opt.mnemonic = _mnem.encode()
+        self._skipdata_opt.callback = CS_SKIPDATA_CALLBACK(_cb or 0)
+        self._skipdata_opt.user_data = ctypes.cast(_ud, ctypes.c_void_p)
+        status = _cs.cs_option(self.csh, CS_OPT_SKIPDATA_SETUP, ctypes.cast(ctypes.byref(self._skipdata_opt), ctypes.c_void_p))
         if status != CS_ERR_OK:
             raise CsError(status)
 
-        self._skipdata_opt = _skipdata_opt
+        self._skipdata_mnem = _mnem
+        self._skipdata_cb = (_cb, _ud)
+
+
+    @property
+    def skipdata_mnem(self):
+        return self._skipdata_mnem
+
+
+    @skipdata_mnem.setter
+    def skipdata_mnem(self, mnem):
+        self.skipdata_setup = (mnem,) + self._skipdata_cb
+
+
+    @property
+    def skipdata_callback(self):
+        return self._skipdata_cb
+
+
+    @skipdata_callback.setter
+    def skipdata_callback(self, val):
+        if not isinstance(val, tuple):
+            val = (val, None)
+        func, data = val
+        self.skipdata_setup = (self._skipdata_mnem, func, data)
+
+
+    # customize instruction mnemonic
+    def mnemonic_setup(self, id, mnem):
+        _mnem_opt = _cs_opt_mnem()
+        _mnem_opt.id = id
+        if mnem:
+            _mnem_opt.mnemonic = mnem.encode()
+        else:
+            _mnem_opt.mnemonic = mnem
+        status = _cs.cs_option(self.csh, CS_OPT_MNEMONIC, ctypes.cast(ctypes.byref(_mnem_opt), ctypes.c_void_p))
+        if status != CS_ERR_OK:
+            raise CsError(status)
 
 
     # check to see if this engine supports a particular arch,
@@ -827,6 +982,25 @@ class Cs(object):
         self._detail = opt
 
 
+    # is detail mode enable?
+    @property
+    def imm_unsigned(self):
+        return self._imm_unsigned
+
+
+    # modify detail mode.
+    @imm_unsigned.setter
+    def imm_unsigned(self, opt):  # opt is boolean type, so must be either 'True' or 'False'
+        if opt == False:
+            status = _cs.cs_option(self.csh, CS_OPT_UNSIGNED, CS_OPT_OFF)
+        else:
+            status = _cs.cs_option(self.csh, CS_OPT_UNSIGNED, CS_OPT_ON)
+        if status != CS_ERR_OK:
+            raise CsError(status)
+        # save detail
+        self._imm_unsigned = opt
+
+
     # return disassembly mode of this engine.
     @property
     def mode(self):
@@ -842,6 +1016,33 @@ class Cs(object):
         # save mode
         self._mode = opt
 
+    # get the last error code
+    def errno(self):
+        return _cs.cs_errno(self.csh)
+
+    # get the register name, given the register ID
+    def reg_name(self, reg_id, default=None):
+        if self._diet:
+            # Diet engine cannot provide register name
+            raise CsError(CS_ERR_DIET)
+
+        return _ascii_name_or_default(_cs.cs_reg_name(self.csh, reg_id), default)
+
+    # get the instruction name, given the instruction ID
+    def insn_name(self, insn_id, default=None):
+        if self._diet:
+            # Diet engine cannot provide instruction name
+            raise CsError(CS_ERR_DIET)
+
+        return _ascii_name_or_default(_cs.cs_insn_name(self.csh, insn_id), default)
+
+    # get the group name
+    def group_name(self, group_id, default=None):
+        if self._diet:
+            # Diet engine cannot provide group name
+            raise CsError(CS_ERR_DIET)
+
+        return _ascii_name_or_default(_cs.cs_group_name(self.csh, group_id), default)
 
     # Disassemble binary & return disassembled instructions in CsInsn objects
     def disasm(self, code, offset, count=0):
@@ -850,11 +1051,11 @@ class Cs(object):
             print(code)
             code = code.encode()
             print(code)'''
-        # Hack, unicorn's memory accessors give you back bytearrays, but they
-        # cause TypeErrors when you hand them into Capstone.
+        # Pass a bytearray by reference
+        size = len(code)
         if isinstance(code, bytearray):
-            code = bytes(code)
-        res = _cs.cs_disasm(self.csh, code, len(code), offset, count, ctypes.byref(all_insn))
+            code = ctypes.byref(ctypes.c_char.from_buffer(code))
+        res = _cs.cs_disasm(self.csh, code, size, offset, count, ctypes.byref(all_insn))
         if res > 0:
             try:
                 for i in range(res):
@@ -878,7 +1079,11 @@ class Cs(object):
             raise CsError(CS_ERR_DIET)
 
         all_insn = ctypes.POINTER(_cs_insn)()
-        res = _cs.cs_disasm(self.csh, code, len(code), offset, count, ctypes.byref(all_insn))
+        size = len(code)
+        # Pass a bytearray by reference
+        if isinstance(code, bytearray):
+            code = ctypes.byref(ctypes.c_char.from_buffer(code))
+        res = _cs.cs_disasm(self.csh, code, size, offset, count, ctypes.byref(all_insn))
         if res > 0:
             try:
                 for i in range(res):
@@ -909,9 +1114,10 @@ def debug():
     else:
         diet = "standard"
 
-    archs = { "arm": CS_ARCH_ARM, "arm64": CS_ARCH_ARM64, \
+    archs = { "arm": CS_ARCH_ARM, "arm64": CS_ARCH_ARM64, "m68k": CS_ARCH_M68K, \
         "mips": CS_ARCH_MIPS, "ppc": CS_ARCH_PPC, "sparc": CS_ARCH_SPARC, \
-        "sysz": CS_ARCH_SYSZ, 'xcore': CS_ARCH_XCORE }
+        "sysz": CS_ARCH_SYSZ, 'xcore': CS_ARCH_XCORE, "tms320c64x": CS_ARCH_TMS320C64X, \
+        "m680x": CS_ARCH_M680X, 'evm': CS_ARCH_EVM }
 
     all_archs = ""
     keys = archs.keys()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/m680x_const.py 4.0.2-3/bindings/python/capstone/m680x_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/m680x_const.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/m680x_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,415 @@
+# For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [m680x_const.py]
+M680X_OPERAND_COUNT = 9
+
+M680X_REG_INVALID = 0
+M680X_REG_A = 1
+M680X_REG_B = 2
+M680X_REG_E = 3
+M680X_REG_F = 4
+M680X_REG_0 = 5
+M680X_REG_D = 6
+M680X_REG_W = 7
+M680X_REG_CC = 8
+M680X_REG_DP = 9
+M680X_REG_MD = 10
+M680X_REG_HX = 11
+M680X_REG_H = 12
+M680X_REG_X = 13
+M680X_REG_Y = 14
+M680X_REG_S = 15
+M680X_REG_U = 16
+M680X_REG_V = 17
+M680X_REG_Q = 18
+M680X_REG_PC = 19
+M680X_REG_TMP2 = 20
+M680X_REG_TMP3 = 21
+M680X_REG_ENDING = 22
+
+M680X_OP_INVALID = 0
+M680X_OP_REGISTER = 1
+M680X_OP_IMMEDIATE = 2
+M680X_OP_INDEXED = 3
+M680X_OP_EXTENDED = 4
+M680X_OP_DIRECT = 5
+M680X_OP_RELATIVE = 6
+M680X_OP_CONSTANT = 7
+
+M680X_OFFSET_NONE = 0
+M680X_OFFSET_BITS_5 = 5
+M680X_OFFSET_BITS_8 = 8
+M680X_OFFSET_BITS_9 = 9
+M680X_OFFSET_BITS_16 = 16
+M680X_IDX_INDIRECT = 1
+M680X_IDX_NO_COMMA = 2
+M680X_IDX_POST_INC_DEC = 4
+
+M680X_GRP_INVALID = 0
+M680X_GRP_JUMP = 1
+M680X_GRP_CALL = 2
+M680X_GRP_RET = 3
+M680X_GRP_INT = 4
+M680X_GRP_IRET = 5
+M680X_GRP_PRIV = 6
+M680X_GRP_BRAREL = 7
+M680X_GRP_ENDING = 8
+M680X_FIRST_OP_IN_MNEM = 1
+M680X_SECOND_OP_IN_MNEM = 2
+
+M680X_INS_INVLD = 0
+M680X_INS_ABA = 1
+M680X_INS_ABX = 2
+M680X_INS_ABY = 3
+M680X_INS_ADC = 4
+M680X_INS_ADCA = 5
+M680X_INS_ADCB = 6
+M680X_INS_ADCD = 7
+M680X_INS_ADCR = 8
+M680X_INS_ADD = 9
+M680X_INS_ADDA = 10
+M680X_INS_ADDB = 11
+M680X_INS_ADDD = 12
+M680X_INS_ADDE = 13
+M680X_INS_ADDF = 14
+M680X_INS_ADDR = 15
+M680X_INS_ADDW = 16
+M680X_INS_AIM = 17
+M680X_INS_AIS = 18
+M680X_INS_AIX = 19
+M680X_INS_AND = 20
+M680X_INS_ANDA = 21
+M680X_INS_ANDB = 22
+M680X_INS_ANDCC = 23
+M680X_INS_ANDD = 24
+M680X_INS_ANDR = 25
+M680X_INS_ASL = 26
+M680X_INS_ASLA = 27
+M680X_INS_ASLB = 28
+M680X_INS_ASLD = 29
+M680X_INS_ASR = 30
+M680X_INS_ASRA = 31
+M680X_INS_ASRB = 32
+M680X_INS_ASRD = 33
+M680X_INS_ASRX = 34
+M680X_INS_BAND = 35
+M680X_INS_BCC = 36
+M680X_INS_BCLR = 37
+M680X_INS_BCS = 38
+M680X_INS_BEOR = 39
+M680X_INS_BEQ = 40
+M680X_INS_BGE = 41
+M680X_INS_BGND = 42
+M680X_INS_BGT = 43
+M680X_INS_BHCC = 44
+M680X_INS_BHCS = 45
+M680X_INS_BHI = 46
+M680X_INS_BIAND = 47
+M680X_INS_BIEOR = 48
+M680X_INS_BIH = 49
+M680X_INS_BIL = 50
+M680X_INS_BIOR = 51
+M680X_INS_BIT = 52
+M680X_INS_BITA = 53
+M680X_INS_BITB = 54
+M680X_INS_BITD = 55
+M680X_INS_BITMD = 56
+M680X_INS_BLE = 57
+M680X_INS_BLS = 58
+M680X_INS_BLT = 59
+M680X_INS_BMC = 60
+M680X_INS_BMI = 61
+M680X_INS_BMS = 62
+M680X_INS_BNE = 63
+M680X_INS_BOR = 64
+M680X_INS_BPL = 65
+M680X_INS_BRCLR = 66
+M680X_INS_BRSET = 67
+M680X_INS_BRA = 68
+M680X_INS_BRN = 69
+M680X_INS_BSET = 70
+M680X_INS_BSR = 71
+M680X_INS_BVC = 72
+M680X_INS_BVS = 73
+M680X_INS_CALL = 74
+M680X_INS_CBA = 75
+M680X_INS_CBEQ = 76
+M680X_INS_CBEQA = 77
+M680X_INS_CBEQX = 78
+M680X_INS_CLC = 79
+M680X_INS_CLI = 80
+M680X_INS_CLR = 81
+M680X_INS_CLRA = 82
+M680X_INS_CLRB = 83
+M680X_INS_CLRD = 84
+M680X_INS_CLRE = 85
+M680X_INS_CLRF = 86
+M680X_INS_CLRH = 87
+M680X_INS_CLRW = 88
+M680X_INS_CLRX = 89
+M680X_INS_CLV = 90
+M680X_INS_CMP = 91
+M680X_INS_CMPA = 92
+M680X_INS_CMPB = 93
+M680X_INS_CMPD = 94
+M680X_INS_CMPE = 95
+M680X_INS_CMPF = 96
+M680X_INS_CMPR = 97
+M680X_INS_CMPS = 98
+M680X_INS_CMPU = 99
+M680X_INS_CMPW = 100
+M680X_INS_CMPX = 101
+M680X_INS_CMPY = 102
+M680X_INS_COM = 103
+M680X_INS_COMA = 104
+M680X_INS_COMB = 105
+M680X_INS_COMD = 106
+M680X_INS_COME = 107
+M680X_INS_COMF = 108
+M680X_INS_COMW = 109
+M680X_INS_COMX = 110
+M680X_INS_CPD = 111
+M680X_INS_CPHX = 112
+M680X_INS_CPS = 113
+M680X_INS_CPX = 114
+M680X_INS_CPY = 115
+M680X_INS_CWAI = 116
+M680X_INS_DAA = 117
+M680X_INS_DBEQ = 118
+M680X_INS_DBNE = 119
+M680X_INS_DBNZ = 120
+M680X_INS_DBNZA = 121
+M680X_INS_DBNZX = 122
+M680X_INS_DEC = 123
+M680X_INS_DECA = 124
+M680X_INS_DECB = 125
+M680X_INS_DECD = 126
+M680X_INS_DECE = 127
+M680X_INS_DECF = 128
+M680X_INS_DECW = 129
+M680X_INS_DECX = 130
+M680X_INS_DES = 131
+M680X_INS_DEX = 132
+M680X_INS_DEY = 133
+M680X_INS_DIV = 134
+M680X_INS_DIVD = 135
+M680X_INS_DIVQ = 136
+M680X_INS_EDIV = 137
+M680X_INS_EDIVS = 138
+M680X_INS_EIM = 139
+M680X_INS_EMACS = 140
+M680X_INS_EMAXD = 141
+M680X_INS_EMAXM = 142
+M680X_INS_EMIND = 143
+M680X_INS_EMINM = 144
+M680X_INS_EMUL = 145
+M680X_INS_EMULS = 146
+M680X_INS_EOR = 147
+M680X_INS_EORA = 148
+M680X_INS_EORB = 149
+M680X_INS_EORD = 150
+M680X_INS_EORR = 151
+M680X_INS_ETBL = 152
+M680X_INS_EXG = 153
+M680X_INS_FDIV = 154
+M680X_INS_IBEQ = 155
+M680X_INS_IBNE = 156
+M680X_INS_IDIV = 157
+M680X_INS_IDIVS = 158
+M680X_INS_ILLGL = 159
+M680X_INS_INC = 160
+M680X_INS_INCA = 161
+M680X_INS_INCB = 162
+M680X_INS_INCD = 163
+M680X_INS_INCE = 164
+M680X_INS_INCF = 165
+M680X_INS_INCW = 166
+M680X_INS_INCX = 167
+M680X_INS_INS = 168
+M680X_INS_INX = 169
+M680X_INS_INY = 170
+M680X_INS_JMP = 171
+M680X_INS_JSR = 172
+M680X_INS_LBCC = 173
+M680X_INS_LBCS = 174
+M680X_INS_LBEQ = 175
+M680X_INS_LBGE = 176
+M680X_INS_LBGT = 177
+M680X_INS_LBHI = 178
+M680X_INS_LBLE = 179
+M680X_INS_LBLS = 180
+M680X_INS_LBLT = 181
+M680X_INS_LBMI = 182
+M680X_INS_LBNE = 183
+M680X_INS_LBPL = 184
+M680X_INS_LBRA = 185
+M680X_INS_LBRN = 186
+M680X_INS_LBSR = 187
+M680X_INS_LBVC = 188
+M680X_INS_LBVS = 189
+M680X_INS_LDA = 190
+M680X_INS_LDAA = 191
+M680X_INS_LDAB = 192
+M680X_INS_LDB = 193
+M680X_INS_LDBT = 194
+M680X_INS_LDD = 195
+M680X_INS_LDE = 196
+M680X_INS_LDF = 197
+M680X_INS_LDHX = 198
+M680X_INS_LDMD = 199
+M680X_INS_LDQ = 200
+M680X_INS_LDS = 201
+M680X_INS_LDU = 202
+M680X_INS_LDW = 203
+M680X_INS_LDX = 204
+M680X_INS_LDY = 205
+M680X_INS_LEAS = 206
+M680X_INS_LEAU = 207
+M680X_INS_LEAX = 208
+M680X_INS_LEAY = 209
+M680X_INS_LSL = 210
+M680X_INS_LSLA = 211
+M680X_INS_LSLB = 212
+M680X_INS_LSLD = 213
+M680X_INS_LSLX = 214
+M680X_INS_LSR = 215
+M680X_INS_LSRA = 216
+M680X_INS_LSRB = 217
+M680X_INS_LSRD = 218
+M680X_INS_LSRW = 219
+M680X_INS_LSRX = 220
+M680X_INS_MAXA = 221
+M680X_INS_MAXM = 222
+M680X_INS_MEM = 223
+M680X_INS_MINA = 224
+M680X_INS_MINM = 225
+M680X_INS_MOV = 226
+M680X_INS_MOVB = 227
+M680X_INS_MOVW = 228
+M680X_INS_MUL = 229
+M680X_INS_MULD = 230
+M680X_INS_NEG = 231
+M680X_INS_NEGA = 232
+M680X_INS_NEGB = 233
+M680X_INS_NEGD = 234
+M680X_INS_NEGX = 235
+M680X_INS_NOP = 236
+M680X_INS_NSA = 237
+M680X_INS_OIM = 238
+M680X_INS_ORA = 239
+M680X_INS_ORAA = 240
+M680X_INS_ORAB = 241
+M680X_INS_ORB = 242
+M680X_INS_ORCC = 243
+M680X_INS_ORD = 244
+M680X_INS_ORR = 245
+M680X_INS_PSHA = 246
+M680X_INS_PSHB = 247
+M680X_INS_PSHC = 248
+M680X_INS_PSHD = 249
+M680X_INS_PSHH = 250
+M680X_INS_PSHS = 251
+M680X_INS_PSHSW = 252
+M680X_INS_PSHU = 253
+M680X_INS_PSHUW = 254
+M680X_INS_PSHX = 255
+M680X_INS_PSHY = 256
+M680X_INS_PULA = 257
+M680X_INS_PULB = 258
+M680X_INS_PULC = 259
+M680X_INS_PULD = 260
+M680X_INS_PULH = 261
+M680X_INS_PULS = 262
+M680X_INS_PULSW = 263
+M680X_INS_PULU = 264
+M680X_INS_PULUW = 265
+M680X_INS_PULX = 266
+M680X_INS_PULY = 267
+M680X_INS_REV = 268
+M680X_INS_REVW = 269
+M680X_INS_ROL = 270
+M680X_INS_ROLA = 271
+M680X_INS_ROLB = 272
+M680X_INS_ROLD = 273
+M680X_INS_ROLW = 274
+M680X_INS_ROLX = 275
+M680X_INS_ROR = 276
+M680X_INS_RORA = 277
+M680X_INS_RORB = 278
+M680X_INS_RORD = 279
+M680X_INS_RORW = 280
+M680X_INS_RORX = 281
+M680X_INS_RSP = 282
+M680X_INS_RTC = 283
+M680X_INS_RTI = 284
+M680X_INS_RTS = 285
+M680X_INS_SBA = 286
+M680X_INS_SBC = 287
+M680X_INS_SBCA = 288
+M680X_INS_SBCB = 289
+M680X_INS_SBCD = 290
+M680X_INS_SBCR = 291
+M680X_INS_SEC = 292
+M680X_INS_SEI = 293
+M680X_INS_SEV = 294
+M680X_INS_SEX = 295
+M680X_INS_SEXW = 296
+M680X_INS_SLP = 297
+M680X_INS_STA = 298
+M680X_INS_STAA = 299
+M680X_INS_STAB = 300
+M680X_INS_STB = 301
+M680X_INS_STBT = 302
+M680X_INS_STD = 303
+M680X_INS_STE = 304
+M680X_INS_STF = 305
+M680X_INS_STOP = 306
+M680X_INS_STHX = 307
+M680X_INS_STQ = 308
+M680X_INS_STS = 309
+M680X_INS_STU = 310
+M680X_INS_STW = 311
+M680X_INS_STX = 312
+M680X_INS_STY = 313
+M680X_INS_SUB = 314
+M680X_INS_SUBA = 315
+M680X_INS_SUBB = 316
+M680X_INS_SUBD = 317
+M680X_INS_SUBE = 318
+M680X_INS_SUBF = 319
+M680X_INS_SUBR = 320
+M680X_INS_SUBW = 321
+M680X_INS_SWI = 322
+M680X_INS_SWI2 = 323
+M680X_INS_SWI3 = 324
+M680X_INS_SYNC = 325
+M680X_INS_TAB = 326
+M680X_INS_TAP = 327
+M680X_INS_TAX = 328
+M680X_INS_TBA = 329
+M680X_INS_TBEQ = 330
+M680X_INS_TBL = 331
+M680X_INS_TBNE = 332
+M680X_INS_TEST = 333
+M680X_INS_TFM = 334
+M680X_INS_TFR = 335
+M680X_INS_TIM = 336
+M680X_INS_TPA = 337
+M680X_INS_TST = 338
+M680X_INS_TSTA = 339
+M680X_INS_TSTB = 340
+M680X_INS_TSTD = 341
+M680X_INS_TSTE = 342
+M680X_INS_TSTF = 343
+M680X_INS_TSTW = 344
+M680X_INS_TSTX = 345
+M680X_INS_TSX = 346
+M680X_INS_TSY = 347
+M680X_INS_TXA = 348
+M680X_INS_TXS = 349
+M680X_INS_TYS = 350
+M680X_INS_WAI = 351
+M680X_INS_WAIT = 352
+M680X_INS_WAV = 353
+M680X_INS_WAVR = 354
+M680X_INS_XGDX = 355
+M680X_INS_XGDY = 356
+M680X_INS_ENDING = 357
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/m680x.py 4.0.2-3/bindings/python/capstone/m680x.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/m680x.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/m680x.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,88 @@
+# Capstone Python bindings, by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net>
+
+import ctypes
+from . import copy_ctypes_list
+from .m680x_const import *
+
+# define the API
+class M680xOpIdx(ctypes.Structure):
+    _fields_ = (
+        ('base_reg', ctypes.c_uint),
+        ('offset_reg', ctypes.c_uint),
+        ('offset', ctypes.c_int16),
+        ('offset_addr', ctypes.c_uint16),
+        ('offset_bits', ctypes.c_uint8),
+        ('inc_dec', ctypes.c_int8),
+        ('flags', ctypes.c_uint8),
+    )
+
+class M680xOpRel(ctypes.Structure):
+    _fields_ = (
+        ('address', ctypes.c_uint16),
+        ('offset', ctypes.c_int16),
+    )
+
+class M680xOpExt(ctypes.Structure):
+    _fields_ = (
+        ('address', ctypes.c_uint16),
+        ('indirect', ctypes.c_bool),
+    )
+
+class M680xOpValue(ctypes.Union):
+    _fields_ = (
+        ('imm', ctypes.c_int32),
+        ('reg', ctypes.c_uint),
+        ('idx', M680xOpIdx),
+        ('rel', M680xOpRel),
+        ('ext', M680xOpExt),
+        ('direct_addr', ctypes.c_uint8),
+        ('const_val', ctypes.c_uint8),
+    )
+
+class M680xOp(ctypes.Structure):
+    _fields_ = (
+        ('type', ctypes.c_uint),
+        ('value', M680xOpValue),
+        ('size', ctypes.c_uint8),
+        ('access', ctypes.c_uint8),
+    )
+
+    @property
+    def imm(self):
+        return self.value.imm
+
+    @property
+    def reg(self):
+        return self.value.reg
+
+    @property
+    def idx(self):
+        return self.value.idx
+
+    @property
+    def rel(self):
+        return self.value.rel
+
+    @property
+    def ext(self):
+        return self.value.ext
+
+    @property
+    def direct_addr(self):
+        return self.value.direct_addr
+
+    @property
+    def const_val(self):
+        return self.value.const_val
+
+
+class CsM680x(ctypes.Structure):
+    _fields_ = (
+        ('flags', ctypes.c_uint8),
+        ('op_count', ctypes.c_uint8),
+        ('operands', M680xOp * 9),
+    )
+
+def get_arch_info(a):
+    return (a.flags, copy_ctypes_list(a.operands[:a.op_count]))
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/m68k_const.py 4.0.2-3/bindings/python/capstone/m68k_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/m68k_const.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/m68k_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,485 @@
+# For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [m68k_const.py]
+M68K_OPERAND_COUNT = 4
+
+M68K_REG_INVALID = 0
+M68K_REG_D0 = 1
+M68K_REG_D1 = 2
+M68K_REG_D2 = 3
+M68K_REG_D3 = 4
+M68K_REG_D4 = 5
+M68K_REG_D5 = 6
+M68K_REG_D6 = 7
+M68K_REG_D7 = 8
+M68K_REG_A0 = 9
+M68K_REG_A1 = 10
+M68K_REG_A2 = 11
+M68K_REG_A3 = 12
+M68K_REG_A4 = 13
+M68K_REG_A5 = 14
+M68K_REG_A6 = 15
+M68K_REG_A7 = 16
+M68K_REG_FP0 = 17
+M68K_REG_FP1 = 18
+M68K_REG_FP2 = 19
+M68K_REG_FP3 = 20
+M68K_REG_FP4 = 21
+M68K_REG_FP5 = 22
+M68K_REG_FP6 = 23
+M68K_REG_FP7 = 24
+M68K_REG_PC = 25
+M68K_REG_SR = 26
+M68K_REG_CCR = 27
+M68K_REG_SFC = 28
+M68K_REG_DFC = 29
+M68K_REG_USP = 30
+M68K_REG_VBR = 31
+M68K_REG_CACR = 32
+M68K_REG_CAAR = 33
+M68K_REG_MSP = 34
+M68K_REG_ISP = 35
+M68K_REG_TC = 36
+M68K_REG_ITT0 = 37
+M68K_REG_ITT1 = 38
+M68K_REG_DTT0 = 39
+M68K_REG_DTT1 = 40
+M68K_REG_MMUSR = 41
+M68K_REG_URP = 42
+M68K_REG_SRP = 43
+M68K_REG_FPCR = 44
+M68K_REG_FPSR = 45
+M68K_REG_FPIAR = 46
+M68K_REG_ENDING = 47
+
+M68K_AM_NONE = 0
+M68K_AM_REG_DIRECT_DATA = 1
+M68K_AM_REG_DIRECT_ADDR = 2
+M68K_AM_REGI_ADDR = 3
+M68K_AM_REGI_ADDR_POST_INC = 4
+M68K_AM_REGI_ADDR_PRE_DEC = 5
+M68K_AM_REGI_ADDR_DISP = 6
+M68K_AM_AREGI_INDEX_8_BIT_DISP = 7
+M68K_AM_AREGI_INDEX_BASE_DISP = 8
+M68K_AM_MEMI_POST_INDEX = 9
+M68K_AM_MEMI_PRE_INDEX = 10
+M68K_AM_PCI_DISP = 11
+M68K_AM_PCI_INDEX_8_BIT_DISP = 12
+M68K_AM_PCI_INDEX_BASE_DISP = 13
+M68K_AM_PC_MEMI_POST_INDEX = 14
+M68K_AM_PC_MEMI_PRE_INDEX = 15
+M68K_AM_ABSOLUTE_DATA_SHORT = 16
+M68K_AM_ABSOLUTE_DATA_LONG = 17
+M68K_AM_IMMEDIATE = 18
+M68K_AM_BRANCH_DISPLACEMENT = 19
+
+M68K_OP_INVALID = 0
+M68K_OP_REG = 1
+M68K_OP_IMM = 2
+M68K_OP_MEM = 3
+M68K_OP_FP_SINGLE = 4
+M68K_OP_FP_DOUBLE = 5
+M68K_OP_REG_BITS = 6
+M68K_OP_REG_PAIR = 7
+M68K_OP_BR_DISP = 8
+
+M68K_OP_BR_DISP_SIZE_INVALID = 0
+M68K_OP_BR_DISP_SIZE_BYTE = 1
+M68K_OP_BR_DISP_SIZE_WORD = 2
+M68K_OP_BR_DISP_SIZE_LONG = 4
+
+M68K_CPU_SIZE_NONE = 0
+M68K_CPU_SIZE_BYTE = 1
+M68K_CPU_SIZE_WORD = 2
+M68K_CPU_SIZE_LONG = 4
+
+M68K_FPU_SIZE_NONE = 0
+M68K_FPU_SIZE_SINGLE = 4
+M68K_FPU_SIZE_DOUBLE = 8
+M68K_FPU_SIZE_EXTENDED = 12
+
+M68K_SIZE_TYPE_INVALID = 0
+M68K_SIZE_TYPE_CPU = 1
+M68K_SIZE_TYPE_FPU = 2
+
+M68K_INS_INVALID = 0
+M68K_INS_ABCD = 1
+M68K_INS_ADD = 2
+M68K_INS_ADDA = 3
+M68K_INS_ADDI = 4
+M68K_INS_ADDQ = 5
+M68K_INS_ADDX = 6
+M68K_INS_AND = 7
+M68K_INS_ANDI = 8
+M68K_INS_ASL = 9
+M68K_INS_ASR = 10
+M68K_INS_BHS = 11
+M68K_INS_BLO = 12
+M68K_INS_BHI = 13
+M68K_INS_BLS = 14
+M68K_INS_BCC = 15
+M68K_INS_BCS = 16
+M68K_INS_BNE = 17
+M68K_INS_BEQ = 18
+M68K_INS_BVC = 19
+M68K_INS_BVS = 20
+M68K_INS_BPL = 21
+M68K_INS_BMI = 22
+M68K_INS_BGE = 23
+M68K_INS_BLT = 24
+M68K_INS_BGT = 25
+M68K_INS_BLE = 26
+M68K_INS_BRA = 27
+M68K_INS_BSR = 28
+M68K_INS_BCHG = 29
+M68K_INS_BCLR = 30
+M68K_INS_BSET = 31
+M68K_INS_BTST = 32
+M68K_INS_BFCHG = 33
+M68K_INS_BFCLR = 34
+M68K_INS_BFEXTS = 35
+M68K_INS_BFEXTU = 36
+M68K_INS_BFFFO = 37
+M68K_INS_BFINS = 38
+M68K_INS_BFSET = 39
+M68K_INS_BFTST = 40
+M68K_INS_BKPT = 41
+M68K_INS_CALLM = 42
+M68K_INS_CAS = 43
+M68K_INS_CAS2 = 44
+M68K_INS_CHK = 45
+M68K_INS_CHK2 = 46
+M68K_INS_CLR = 47
+M68K_INS_CMP = 48
+M68K_INS_CMPA = 49
+M68K_INS_CMPI = 50
+M68K_INS_CMPM = 51
+M68K_INS_CMP2 = 52
+M68K_INS_CINVL = 53
+M68K_INS_CINVP = 54
+M68K_INS_CINVA = 55
+M68K_INS_CPUSHL = 56
+M68K_INS_CPUSHP = 57
+M68K_INS_CPUSHA = 58
+M68K_INS_DBT = 59
+M68K_INS_DBF = 60
+M68K_INS_DBHI = 61
+M68K_INS_DBLS = 62
+M68K_INS_DBCC = 63
+M68K_INS_DBCS = 64
+M68K_INS_DBNE = 65
+M68K_INS_DBEQ = 66
+M68K_INS_DBVC = 67
+M68K_INS_DBVS = 68
+M68K_INS_DBPL = 69
+M68K_INS_DBMI = 70
+M68K_INS_DBGE = 71
+M68K_INS_DBLT = 72
+M68K_INS_DBGT = 73
+M68K_INS_DBLE = 74
+M68K_INS_DBRA = 75
+M68K_INS_DIVS = 76
+M68K_INS_DIVSL = 77
+M68K_INS_DIVU = 78
+M68K_INS_DIVUL = 79
+M68K_INS_EOR = 80
+M68K_INS_EORI = 81
+M68K_INS_EXG = 82
+M68K_INS_EXT = 83
+M68K_INS_EXTB = 84
+M68K_INS_FABS = 85
+M68K_INS_FSABS = 86
+M68K_INS_FDABS = 87
+M68K_INS_FACOS = 88
+M68K_INS_FADD = 89
+M68K_INS_FSADD = 90
+M68K_INS_FDADD = 91
+M68K_INS_FASIN = 92
+M68K_INS_FATAN = 93
+M68K_INS_FATANH = 94
+M68K_INS_FBF = 95
+M68K_INS_FBEQ = 96
+M68K_INS_FBOGT = 97
+M68K_INS_FBOGE = 98
+M68K_INS_FBOLT = 99
+M68K_INS_FBOLE = 100
+M68K_INS_FBOGL = 101
+M68K_INS_FBOR = 102
+M68K_INS_FBUN = 103
+M68K_INS_FBUEQ = 104
+M68K_INS_FBUGT = 105
+M68K_INS_FBUGE = 106
+M68K_INS_FBULT = 107
+M68K_INS_FBULE = 108
+M68K_INS_FBNE = 109
+M68K_INS_FBT = 110
+M68K_INS_FBSF = 111
+M68K_INS_FBSEQ = 112
+M68K_INS_FBGT = 113
+M68K_INS_FBGE = 114
+M68K_INS_FBLT = 115
+M68K_INS_FBLE = 116
+M68K_INS_FBGL = 117
+M68K_INS_FBGLE = 118
+M68K_INS_FBNGLE = 119
+M68K_INS_FBNGL = 120
+M68K_INS_FBNLE = 121
+M68K_INS_FBNLT = 122
+M68K_INS_FBNGE = 123
+M68K_INS_FBNGT = 124
+M68K_INS_FBSNE = 125
+M68K_INS_FBST = 126
+M68K_INS_FCMP = 127
+M68K_INS_FCOS = 128
+M68K_INS_FCOSH = 129
+M68K_INS_FDBF = 130
+M68K_INS_FDBEQ = 131
+M68K_INS_FDBOGT = 132
+M68K_INS_FDBOGE = 133
+M68K_INS_FDBOLT = 134
+M68K_INS_FDBOLE = 135
+M68K_INS_FDBOGL = 136
+M68K_INS_FDBOR = 137
+M68K_INS_FDBUN = 138
+M68K_INS_FDBUEQ = 139
+M68K_INS_FDBUGT = 140
+M68K_INS_FDBUGE = 141
+M68K_INS_FDBULT = 142
+M68K_INS_FDBULE = 143
+M68K_INS_FDBNE = 144
+M68K_INS_FDBT = 145
+M68K_INS_FDBSF = 146
+M68K_INS_FDBSEQ = 147
+M68K_INS_FDBGT = 148
+M68K_INS_FDBGE = 149
+M68K_INS_FDBLT = 150
+M68K_INS_FDBLE = 151
+M68K_INS_FDBGL = 152
+M68K_INS_FDBGLE = 153
+M68K_INS_FDBNGLE = 154
+M68K_INS_FDBNGL = 155
+M68K_INS_FDBNLE = 156
+M68K_INS_FDBNLT = 157
+M68K_INS_FDBNGE = 158
+M68K_INS_FDBNGT = 159
+M68K_INS_FDBSNE = 160
+M68K_INS_FDBST = 161
+M68K_INS_FDIV = 162
+M68K_INS_FSDIV = 163
+M68K_INS_FDDIV = 164
+M68K_INS_FETOX = 165
+M68K_INS_FETOXM1 = 166
+M68K_INS_FGETEXP = 167
+M68K_INS_FGETMAN = 168
+M68K_INS_FINT = 169
+M68K_INS_FINTRZ = 170
+M68K_INS_FLOG10 = 171
+M68K_INS_FLOG2 = 172
+M68K_INS_FLOGN = 173
+M68K_INS_FLOGNP1 = 174
+M68K_INS_FMOD = 175
+M68K_INS_FMOVE = 176
+M68K_INS_FSMOVE = 177
+M68K_INS_FDMOVE = 178
+M68K_INS_FMOVECR = 179
+M68K_INS_FMOVEM = 180
+M68K_INS_FMUL = 181
+M68K_INS_FSMUL = 182
+M68K_INS_FDMUL = 183
+M68K_INS_FNEG = 184
+M68K_INS_FSNEG = 185
+M68K_INS_FDNEG = 186
+M68K_INS_FNOP = 187
+M68K_INS_FREM = 188
+M68K_INS_FRESTORE = 189
+M68K_INS_FSAVE = 190
+M68K_INS_FSCALE = 191
+M68K_INS_FSGLDIV = 192
+M68K_INS_FSGLMUL = 193
+M68K_INS_FSIN = 194
+M68K_INS_FSINCOS = 195
+M68K_INS_FSINH = 196
+M68K_INS_FSQRT = 197
+M68K_INS_FSSQRT = 198
+M68K_INS_FDSQRT = 199
+M68K_INS_FSF = 200
+M68K_INS_FSBEQ = 201
+M68K_INS_FSOGT = 202
+M68K_INS_FSOGE = 203
+M68K_INS_FSOLT = 204
+M68K_INS_FSOLE = 205
+M68K_INS_FSOGL = 206
+M68K_INS_FSOR = 207
+M68K_INS_FSUN = 208
+M68K_INS_FSUEQ = 209
+M68K_INS_FSUGT = 210
+M68K_INS_FSUGE = 211
+M68K_INS_FSULT = 212
+M68K_INS_FSULE = 213
+M68K_INS_FSNE = 214
+M68K_INS_FST = 215
+M68K_INS_FSSF = 216
+M68K_INS_FSSEQ = 217
+M68K_INS_FSGT = 218
+M68K_INS_FSGE = 219
+M68K_INS_FSLT = 220
+M68K_INS_FSLE = 221
+M68K_INS_FSGL = 222
+M68K_INS_FSGLE = 223
+M68K_INS_FSNGLE = 224
+M68K_INS_FSNGL = 225
+M68K_INS_FSNLE = 226
+M68K_INS_FSNLT = 227
+M68K_INS_FSNGE = 228
+M68K_INS_FSNGT = 229
+M68K_INS_FSSNE = 230
+M68K_INS_FSST = 231
+M68K_INS_FSUB = 232
+M68K_INS_FSSUB = 233
+M68K_INS_FDSUB = 234
+M68K_INS_FTAN = 235
+M68K_INS_FTANH = 236
+M68K_INS_FTENTOX = 237
+M68K_INS_FTRAPF = 238
+M68K_INS_FTRAPEQ = 239
+M68K_INS_FTRAPOGT = 240
+M68K_INS_FTRAPOGE = 241
+M68K_INS_FTRAPOLT = 242
+M68K_INS_FTRAPOLE = 243
+M68K_INS_FTRAPOGL = 244
+M68K_INS_FTRAPOR = 245
+M68K_INS_FTRAPUN = 246
+M68K_INS_FTRAPUEQ = 247
+M68K_INS_FTRAPUGT = 248
+M68K_INS_FTRAPUGE = 249
+M68K_INS_FTRAPULT = 250
+M68K_INS_FTRAPULE = 251
+M68K_INS_FTRAPNE = 252
+M68K_INS_FTRAPT = 253
+M68K_INS_FTRAPSF = 254
+M68K_INS_FTRAPSEQ = 255
+M68K_INS_FTRAPGT = 256
+M68K_INS_FTRAPGE = 257
+M68K_INS_FTRAPLT = 258
+M68K_INS_FTRAPLE = 259
+M68K_INS_FTRAPGL = 260
+M68K_INS_FTRAPGLE = 261
+M68K_INS_FTRAPNGLE = 262
+M68K_INS_FTRAPNGL = 263
+M68K_INS_FTRAPNLE = 264
+M68K_INS_FTRAPNLT = 265
+M68K_INS_FTRAPNGE = 266
+M68K_INS_FTRAPNGT = 267
+M68K_INS_FTRAPSNE = 268
+M68K_INS_FTRAPST = 269
+M68K_INS_FTST = 270
+M68K_INS_FTWOTOX = 271
+M68K_INS_HALT = 272
+M68K_INS_ILLEGAL = 273
+M68K_INS_JMP = 274
+M68K_INS_JSR = 275
+M68K_INS_LEA = 276
+M68K_INS_LINK = 277
+M68K_INS_LPSTOP = 278
+M68K_INS_LSL = 279
+M68K_INS_LSR = 280
+M68K_INS_MOVE = 281
+M68K_INS_MOVEA = 282
+M68K_INS_MOVEC = 283
+M68K_INS_MOVEM = 284
+M68K_INS_MOVEP = 285
+M68K_INS_MOVEQ = 286
+M68K_INS_MOVES = 287
+M68K_INS_MOVE16 = 288
+M68K_INS_MULS = 289
+M68K_INS_MULU = 290
+M68K_INS_NBCD = 291
+M68K_INS_NEG = 292
+M68K_INS_NEGX = 293
+M68K_INS_NOP = 294
+M68K_INS_NOT = 295
+M68K_INS_OR = 296
+M68K_INS_ORI = 297
+M68K_INS_PACK = 298
+M68K_INS_PEA = 299
+M68K_INS_PFLUSH = 300
+M68K_INS_PFLUSHA = 301
+M68K_INS_PFLUSHAN = 302
+M68K_INS_PFLUSHN = 303
+M68K_INS_PLOADR = 304
+M68K_INS_PLOADW = 305
+M68K_INS_PLPAR = 306
+M68K_INS_PLPAW = 307
+M68K_INS_PMOVE = 308
+M68K_INS_PMOVEFD = 309
+M68K_INS_PTESTR = 310
+M68K_INS_PTESTW = 311
+M68K_INS_PULSE = 312
+M68K_INS_REMS = 313
+M68K_INS_REMU = 314
+M68K_INS_RESET = 315
+M68K_INS_ROL = 316
+M68K_INS_ROR = 317
+M68K_INS_ROXL = 318
+M68K_INS_ROXR = 319
+M68K_INS_RTD = 320
+M68K_INS_RTE = 321
+M68K_INS_RTM = 322
+M68K_INS_RTR = 323
+M68K_INS_RTS = 324
+M68K_INS_SBCD = 325
+M68K_INS_ST = 326
+M68K_INS_SF = 327
+M68K_INS_SHI = 328
+M68K_INS_SLS = 329
+M68K_INS_SCC = 330
+M68K_INS_SHS = 331
+M68K_INS_SCS = 332
+M68K_INS_SLO = 333
+M68K_INS_SNE = 334
+M68K_INS_SEQ = 335
+M68K_INS_SVC = 336
+M68K_INS_SVS = 337
+M68K_INS_SPL = 338
+M68K_INS_SMI = 339
+M68K_INS_SGE = 340
+M68K_INS_SLT = 341
+M68K_INS_SGT = 342
+M68K_INS_SLE = 343
+M68K_INS_STOP = 344
+M68K_INS_SUB = 345
+M68K_INS_SUBA = 346
+M68K_INS_SUBI = 347
+M68K_INS_SUBQ = 348
+M68K_INS_SUBX = 349
+M68K_INS_SWAP = 350
+M68K_INS_TAS = 351
+M68K_INS_TRAP = 352
+M68K_INS_TRAPV = 353
+M68K_INS_TRAPT = 354
+M68K_INS_TRAPF = 355
+M68K_INS_TRAPHI = 356
+M68K_INS_TRAPLS = 357
+M68K_INS_TRAPCC = 358
+M68K_INS_TRAPHS = 359
+M68K_INS_TRAPCS = 360
+M68K_INS_TRAPLO = 361
+M68K_INS_TRAPNE = 362
+M68K_INS_TRAPEQ = 363
+M68K_INS_TRAPVC = 364
+M68K_INS_TRAPVS = 365
+M68K_INS_TRAPPL = 366
+M68K_INS_TRAPMI = 367
+M68K_INS_TRAPGE = 368
+M68K_INS_TRAPLT = 369
+M68K_INS_TRAPGT = 370
+M68K_INS_TRAPLE = 371
+M68K_INS_TST = 372
+M68K_INS_UNLK = 373
+M68K_INS_UNPK = 374
+M68K_INS_ENDING = 375
+
+M68K_GRP_INVALID = 0
+M68K_GRP_JUMP = 1
+M68K_GRP_RET = 3
+M68K_GRP_IRET = 5
+M68K_GRP_BRANCH_RELATIVE = 7
+M68K_GRP_ENDING = 8
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/m68k.py 4.0.2-3/bindings/python/capstone/m68k.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/m68k.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/m68k.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,96 @@
+# Capstone Python bindings, by Nicolas PLANEL <nplanel@gmail.com>
+
+import ctypes
+from . import copy_ctypes_list
+from .m68k_const import *
+
+# define the API
+class M68KOpMem(ctypes.Structure):
+    _fields_ = (
+        ('base_reg', ctypes.c_uint),
+        ('index_reg', ctypes.c_uint),
+        ('in_base_reg', ctypes.c_uint),
+        ('in_disp', ctypes.c_uint),
+        ('out_disp', ctypes.c_uint),
+        ('disp', ctypes.c_short),
+        ('scale', ctypes.c_ubyte),
+        ('bitfield', ctypes.c_ubyte),
+        ('width', ctypes.c_ubyte),
+        ('offset', ctypes.c_ubyte),
+        ('index_size', ctypes.c_ubyte),
+    )
+
+class M68KOpRegPair(ctypes.Structure):
+    _fields_ = (
+        ('reg_0', ctypes.c_uint),
+        ('reg_1', ctypes.c_uint),
+    )
+
+class M68KOpValue(ctypes.Union):
+    _fields_ = (
+        ('imm', ctypes.c_int64),
+        ('dimm', ctypes.c_double),
+        ('simm', ctypes.c_float),
+        ('reg', ctypes.c_uint),
+        ('reg_pair', M68KOpRegPair),
+    )
+
+class M68KOpBrDisp(ctypes.Structure):
+    _fields_ = (
+        ('disp', ctypes.c_int),
+        ('disp_size', ctypes.c_ubyte),
+    )
+    
+class M68KOp(ctypes.Structure):
+    _fields_ = (
+        ('value', M68KOpValue),
+        ('mem', M68KOpMem),
+        ('br_disp', M68KOpBrDisp),
+        ('register_bits', ctypes.c_uint),
+        ('type', ctypes.c_uint),
+        ('address_mode', ctypes.c_uint),
+    )
+
+    @property
+    def imm(self):
+        return self.value.imm
+
+    @property
+    def dimm(self):
+        return self.value.dimm
+
+    @property
+    def simm(self):
+        return self.value.simm
+
+    @property
+    def reg(self):
+        return self.value.reg
+
+    @property
+    def mem(self):
+        return self.mem
+
+    @property
+    def register_bits(self):
+        return self.register_bits
+
+class M68KOpSize(ctypes.Structure):
+    _fields_ = (
+        ('type', ctypes.c_uint),
+        ('size', ctypes.c_uint),
+    )
+
+    def get(a):
+        return copy_ctypes_list(type, size)
+
+class CsM68K(ctypes.Structure):
+    M68K_OPERAND_COUNT = 4
+    _fields_ = (
+        ('operands', M68KOp * M68K_OPERAND_COUNT),
+        ('op_size', M68KOpSize),
+        ('op_count', ctypes.c_uint8),
+    )
+
+def get_arch_info(a):
+    return (copy_ctypes_list(a.operands[:a.op_count]), a.op_size)
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/mips_const.py 4.0.2-3/bindings/python/capstone/mips_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/mips_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/mips_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,163 +1,148 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [mips_const.py]
 
-# Operand type for instruction's operands
-
 MIPS_OP_INVALID = 0
 MIPS_OP_REG = 1
 MIPS_OP_IMM = 2
 MIPS_OP_MEM = 3
 
-# MIPS registers
-
 MIPS_REG_INVALID = 0
-
-# General purpose registers
-MIPS_REG_0 = 1
-MIPS_REG_1 = 2
-MIPS_REG_2 = 3
-MIPS_REG_3 = 4
-MIPS_REG_4 = 5
-MIPS_REG_5 = 6
-MIPS_REG_6 = 7
-MIPS_REG_7 = 8
-MIPS_REG_8 = 9
-MIPS_REG_9 = 10
-MIPS_REG_10 = 11
-MIPS_REG_11 = 12
-MIPS_REG_12 = 13
-MIPS_REG_13 = 14
-MIPS_REG_14 = 15
-MIPS_REG_15 = 16
-MIPS_REG_16 = 17
-MIPS_REG_17 = 18
-MIPS_REG_18 = 19
-MIPS_REG_19 = 20
-MIPS_REG_20 = 21
-MIPS_REG_21 = 22
-MIPS_REG_22 = 23
-MIPS_REG_23 = 24
-MIPS_REG_24 = 25
-MIPS_REG_25 = 26
-MIPS_REG_26 = 27
-MIPS_REG_27 = 28
-MIPS_REG_28 = 29
-MIPS_REG_29 = 30
-MIPS_REG_30 = 31
-MIPS_REG_31 = 32
-
-# DSP registers
-MIPS_REG_DSPCCOND = 33
-MIPS_REG_DSPCARRY = 34
-MIPS_REG_DSPEFI = 35
-MIPS_REG_DSPOUTFLAG = 36
-MIPS_REG_DSPOUTFLAG16_19 = 37
-MIPS_REG_DSPOUTFLAG20 = 38
-MIPS_REG_DSPOUTFLAG21 = 39
-MIPS_REG_DSPOUTFLAG22 = 40
-MIPS_REG_DSPOUTFLAG23 = 41
-MIPS_REG_DSPPOS = 42
-MIPS_REG_DSPSCOUNT = 43
-
-# ACC registers
-MIPS_REG_AC0 = 44
-MIPS_REG_AC1 = 45
-MIPS_REG_AC2 = 46
-MIPS_REG_AC3 = 47
-
-# COP registers
-MIPS_REG_CC0 = 48
-MIPS_REG_CC1 = 49
-MIPS_REG_CC2 = 50
-MIPS_REG_CC3 = 51
-MIPS_REG_CC4 = 52
-MIPS_REG_CC5 = 53
-MIPS_REG_CC6 = 54
-MIPS_REG_CC7 = 55
-
-# FPU registers
-MIPS_REG_F0 = 56
-MIPS_REG_F1 = 57
-MIPS_REG_F2 = 58
-MIPS_REG_F3 = 59
-MIPS_REG_F4 = 60
-MIPS_REG_F5 = 61
-MIPS_REG_F6 = 62
-MIPS_REG_F7 = 63
-MIPS_REG_F8 = 64
-MIPS_REG_F9 = 65
-MIPS_REG_F10 = 66
-MIPS_REG_F11 = 67
-MIPS_REG_F12 = 68
-MIPS_REG_F13 = 69
-MIPS_REG_F14 = 70
-MIPS_REG_F15 = 71
-MIPS_REG_F16 = 72
-MIPS_REG_F17 = 73
-MIPS_REG_F18 = 74
-MIPS_REG_F19 = 75
-MIPS_REG_F20 = 76
-MIPS_REG_F21 = 77
-MIPS_REG_F22 = 78
-MIPS_REG_F23 = 79
-MIPS_REG_F24 = 80
-MIPS_REG_F25 = 81
-MIPS_REG_F26 = 82
-MIPS_REG_F27 = 83
-MIPS_REG_F28 = 84
-MIPS_REG_F29 = 85
-MIPS_REG_F30 = 86
-MIPS_REG_F31 = 87
-MIPS_REG_FCC0 = 88
-MIPS_REG_FCC1 = 89
-MIPS_REG_FCC2 = 90
-MIPS_REG_FCC3 = 91
-MIPS_REG_FCC4 = 92
-MIPS_REG_FCC5 = 93
-MIPS_REG_FCC6 = 94
-MIPS_REG_FCC7 = 95
-
-# AFPR128
-MIPS_REG_W0 = 96
-MIPS_REG_W1 = 97
-MIPS_REG_W2 = 98
-MIPS_REG_W3 = 99
-MIPS_REG_W4 = 100
-MIPS_REG_W5 = 101
-MIPS_REG_W6 = 102
-MIPS_REG_W7 = 103
-MIPS_REG_W8 = 104
-MIPS_REG_W9 = 105
-MIPS_REG_W10 = 106
-MIPS_REG_W11 = 107
-MIPS_REG_W12 = 108
-MIPS_REG_W13 = 109
-MIPS_REG_W14 = 110
-MIPS_REG_W15 = 111
-MIPS_REG_W16 = 112
-MIPS_REG_W17 = 113
-MIPS_REG_W18 = 114
-MIPS_REG_W19 = 115
-MIPS_REG_W20 = 116
-MIPS_REG_W21 = 117
-MIPS_REG_W22 = 118
-MIPS_REG_W23 = 119
-MIPS_REG_W24 = 120
-MIPS_REG_W25 = 121
-MIPS_REG_W26 = 122
-MIPS_REG_W27 = 123
-MIPS_REG_W28 = 124
-MIPS_REG_W29 = 125
-MIPS_REG_W30 = 126
-MIPS_REG_W31 = 127
-MIPS_REG_HI = 128
-MIPS_REG_LO = 129
-MIPS_REG_P0 = 130
-MIPS_REG_P1 = 131
-MIPS_REG_P2 = 132
-MIPS_REG_MPL0 = 133
-MIPS_REG_MPL1 = 134
-MIPS_REG_MPL2 = 135
-MIPS_REG_ENDING = 136
+MIPS_REG_PC = 1
+MIPS_REG_0 = 2
+MIPS_REG_1 = 3
+MIPS_REG_2 = 4
+MIPS_REG_3 = 5
+MIPS_REG_4 = 6
+MIPS_REG_5 = 7
+MIPS_REG_6 = 8
+MIPS_REG_7 = 9
+MIPS_REG_8 = 10
+MIPS_REG_9 = 11
+MIPS_REG_10 = 12
+MIPS_REG_11 = 13
+MIPS_REG_12 = 14
+MIPS_REG_13 = 15
+MIPS_REG_14 = 16
+MIPS_REG_15 = 17
+MIPS_REG_16 = 18
+MIPS_REG_17 = 19
+MIPS_REG_18 = 20
+MIPS_REG_19 = 21
+MIPS_REG_20 = 22
+MIPS_REG_21 = 23
+MIPS_REG_22 = 24
+MIPS_REG_23 = 25
+MIPS_REG_24 = 26
+MIPS_REG_25 = 27
+MIPS_REG_26 = 28
+MIPS_REG_27 = 29
+MIPS_REG_28 = 30
+MIPS_REG_29 = 31
+MIPS_REG_30 = 32
+MIPS_REG_31 = 33
+MIPS_REG_DSPCCOND = 34
+MIPS_REG_DSPCARRY = 35
+MIPS_REG_DSPEFI = 36
+MIPS_REG_DSPOUTFLAG = 37
+MIPS_REG_DSPOUTFLAG16_19 = 38
+MIPS_REG_DSPOUTFLAG20 = 39
+MIPS_REG_DSPOUTFLAG21 = 40
+MIPS_REG_DSPOUTFLAG22 = 41
+MIPS_REG_DSPOUTFLAG23 = 42
+MIPS_REG_DSPPOS = 43
+MIPS_REG_DSPSCOUNT = 44
+MIPS_REG_AC0 = 45
+MIPS_REG_AC1 = 46
+MIPS_REG_AC2 = 47
+MIPS_REG_AC3 = 48
+MIPS_REG_CC0 = 49
+MIPS_REG_CC1 = 50
+MIPS_REG_CC2 = 51
+MIPS_REG_CC3 = 52
+MIPS_REG_CC4 = 53
+MIPS_REG_CC5 = 54
+MIPS_REG_CC6 = 55
+MIPS_REG_CC7 = 56
+MIPS_REG_F0 = 57
+MIPS_REG_F1 = 58
+MIPS_REG_F2 = 59
+MIPS_REG_F3 = 60
+MIPS_REG_F4 = 61
+MIPS_REG_F5 = 62
+MIPS_REG_F6 = 63
+MIPS_REG_F7 = 64
+MIPS_REG_F8 = 65
+MIPS_REG_F9 = 66
+MIPS_REG_F10 = 67
+MIPS_REG_F11 = 68
+MIPS_REG_F12 = 69
+MIPS_REG_F13 = 70
+MIPS_REG_F14 = 71
+MIPS_REG_F15 = 72
+MIPS_REG_F16 = 73
+MIPS_REG_F17 = 74
+MIPS_REG_F18 = 75
+MIPS_REG_F19 = 76
+MIPS_REG_F20 = 77
+MIPS_REG_F21 = 78
+MIPS_REG_F22 = 79
+MIPS_REG_F23 = 80
+MIPS_REG_F24 = 81
+MIPS_REG_F25 = 82
+MIPS_REG_F26 = 83
+MIPS_REG_F27 = 84
+MIPS_REG_F28 = 85
+MIPS_REG_F29 = 86
+MIPS_REG_F30 = 87
+MIPS_REG_F31 = 88
+MIPS_REG_FCC0 = 89
+MIPS_REG_FCC1 = 90
+MIPS_REG_FCC2 = 91
+MIPS_REG_FCC3 = 92
+MIPS_REG_FCC4 = 93
+MIPS_REG_FCC5 = 94
+MIPS_REG_FCC6 = 95
+MIPS_REG_FCC7 = 96
+MIPS_REG_W0 = 97
+MIPS_REG_W1 = 98
+MIPS_REG_W2 = 99
+MIPS_REG_W3 = 100
+MIPS_REG_W4 = 101
+MIPS_REG_W5 = 102
+MIPS_REG_W6 = 103
+MIPS_REG_W7 = 104
+MIPS_REG_W8 = 105
+MIPS_REG_W9 = 106
+MIPS_REG_W10 = 107
+MIPS_REG_W11 = 108
+MIPS_REG_W12 = 109
+MIPS_REG_W13 = 110
+MIPS_REG_W14 = 111
+MIPS_REG_W15 = 112
+MIPS_REG_W16 = 113
+MIPS_REG_W17 = 114
+MIPS_REG_W18 = 115
+MIPS_REG_W19 = 116
+MIPS_REG_W20 = 117
+MIPS_REG_W21 = 118
+MIPS_REG_W22 = 119
+MIPS_REG_W23 = 120
+MIPS_REG_W24 = 121
+MIPS_REG_W25 = 122
+MIPS_REG_W26 = 123
+MIPS_REG_W27 = 124
+MIPS_REG_W28 = 125
+MIPS_REG_W29 = 126
+MIPS_REG_W30 = 127
+MIPS_REG_W31 = 128
+MIPS_REG_HI = 129
+MIPS_REG_LO = 130
+MIPS_REG_P0 = 131
+MIPS_REG_P1 = 132
+MIPS_REG_P2 = 133
+MIPS_REG_MPL0 = 134
+MIPS_REG_MPL1 = 135
+MIPS_REG_MPL2 = 136
+MIPS_REG_ENDING = 137
 MIPS_REG_ZERO = MIPS_REG_0
 MIPS_REG_AT = MIPS_REG_1
 MIPS_REG_V0 = MIPS_REG_2
@@ -200,608 +185,646 @@ MIPS_REG_LO1 = MIPS_REG_HI1
 MIPS_REG_LO2 = MIPS_REG_HI2
 MIPS_REG_LO3 = MIPS_REG_HI3
 
-# MIPS instruction
-
 MIPS_INS_INVALID = 0
 MIPS_INS_ABSQ_S = 1
 MIPS_INS_ADD = 2
 MIPS_INS_ADDIUPC = 3
-MIPS_INS_ADDQH = 4
-MIPS_INS_ADDQH_R = 5
-MIPS_INS_ADDQ = 6
-MIPS_INS_ADDQ_S = 7
-MIPS_INS_ADDSC = 8
-MIPS_INS_ADDS_A = 9
-MIPS_INS_ADDS_S = 10
-MIPS_INS_ADDS_U = 11
-MIPS_INS_ADDUH = 12
-MIPS_INS_ADDUH_R = 13
-MIPS_INS_ADDU = 14
-MIPS_INS_ADDU_S = 15
-MIPS_INS_ADDVI = 16
-MIPS_INS_ADDV = 17
-MIPS_INS_ADDWC = 18
-MIPS_INS_ADD_A = 19
-MIPS_INS_ADDI = 20
-MIPS_INS_ADDIU = 21
-MIPS_INS_ALIGN = 22
-MIPS_INS_ALUIPC = 23
-MIPS_INS_AND = 24
-MIPS_INS_ANDI = 25
-MIPS_INS_APPEND = 26
-MIPS_INS_ASUB_S = 27
-MIPS_INS_ASUB_U = 28
-MIPS_INS_AUI = 29
-MIPS_INS_AUIPC = 30
-MIPS_INS_AVER_S = 31
-MIPS_INS_AVER_U = 32
-MIPS_INS_AVE_S = 33
-MIPS_INS_AVE_U = 34
-MIPS_INS_BADDU = 35
-MIPS_INS_BAL = 36
-MIPS_INS_BALC = 37
-MIPS_INS_BALIGN = 38
-MIPS_INS_BC = 39
-MIPS_INS_BC0F = 40
-MIPS_INS_BC0FL = 41
-MIPS_INS_BC0T = 42
-MIPS_INS_BC0TL = 43
-MIPS_INS_BC1EQZ = 44
-MIPS_INS_BC1F = 45
-MIPS_INS_BC1FL = 46
-MIPS_INS_BC1NEZ = 47
-MIPS_INS_BC1T = 48
-MIPS_INS_BC1TL = 49
-MIPS_INS_BC2EQZ = 50
-MIPS_INS_BC2F = 51
-MIPS_INS_BC2FL = 52
-MIPS_INS_BC2NEZ = 53
-MIPS_INS_BC2T = 54
-MIPS_INS_BC2TL = 55
-MIPS_INS_BC3F = 56
-MIPS_INS_BC3FL = 57
-MIPS_INS_BC3T = 58
-MIPS_INS_BC3TL = 59
-MIPS_INS_BCLRI = 60
-MIPS_INS_BCLR = 61
-MIPS_INS_BEQ = 62
-MIPS_INS_BEQC = 63
-MIPS_INS_BEQL = 64
-MIPS_INS_BEQZALC = 65
-MIPS_INS_BEQZC = 66
-MIPS_INS_BGEC = 67
-MIPS_INS_BGEUC = 68
-MIPS_INS_BGEZ = 69
-MIPS_INS_BGEZAL = 70
-MIPS_INS_BGEZALC = 71
-MIPS_INS_BGEZALL = 72
-MIPS_INS_BGEZALS = 73
-MIPS_INS_BGEZC = 74
-MIPS_INS_BGEZL = 75
-MIPS_INS_BGTZ = 76
-MIPS_INS_BGTZALC = 77
-MIPS_INS_BGTZC = 78
-MIPS_INS_BGTZL = 79
-MIPS_INS_BINSLI = 80
-MIPS_INS_BINSL = 81
-MIPS_INS_BINSRI = 82
-MIPS_INS_BINSR = 83
-MIPS_INS_BITREV = 84
-MIPS_INS_BITSWAP = 85
-MIPS_INS_BLEZ = 86
-MIPS_INS_BLEZALC = 87
-MIPS_INS_BLEZC = 88
-MIPS_INS_BLEZL = 89
-MIPS_INS_BLTC = 90
-MIPS_INS_BLTUC = 91
-MIPS_INS_BLTZ = 92
-MIPS_INS_BLTZAL = 93
-MIPS_INS_BLTZALC = 94
-MIPS_INS_BLTZALL = 95
-MIPS_INS_BLTZALS = 96
-MIPS_INS_BLTZC = 97
-MIPS_INS_BLTZL = 98
-MIPS_INS_BMNZI = 99
-MIPS_INS_BMNZ = 100
-MIPS_INS_BMZI = 101
-MIPS_INS_BMZ = 102
-MIPS_INS_BNE = 103
-MIPS_INS_BNEC = 104
-MIPS_INS_BNEGI = 105
-MIPS_INS_BNEG = 106
-MIPS_INS_BNEL = 107
-MIPS_INS_BNEZALC = 108
-MIPS_INS_BNEZC = 109
-MIPS_INS_BNVC = 110
-MIPS_INS_BNZ = 111
-MIPS_INS_BOVC = 112
-MIPS_INS_BPOSGE32 = 113
-MIPS_INS_BREAK = 114
-MIPS_INS_BSELI = 115
-MIPS_INS_BSEL = 116
-MIPS_INS_BSETI = 117
-MIPS_INS_BSET = 118
-MIPS_INS_BZ = 119
-MIPS_INS_BEQZ = 120
-MIPS_INS_B = 121
-MIPS_INS_BNEZ = 122
-MIPS_INS_BTEQZ = 123
-MIPS_INS_BTNEZ = 124
-MIPS_INS_CACHE = 125
-MIPS_INS_CEIL = 126
-MIPS_INS_CEQI = 127
-MIPS_INS_CEQ = 128
-MIPS_INS_CFC1 = 129
-MIPS_INS_CFCMSA = 130
-MIPS_INS_CINS = 131
-MIPS_INS_CINS32 = 132
-MIPS_INS_CLASS = 133
-MIPS_INS_CLEI_S = 134
-MIPS_INS_CLEI_U = 135
-MIPS_INS_CLE_S = 136
-MIPS_INS_CLE_U = 137
-MIPS_INS_CLO = 138
-MIPS_INS_CLTI_S = 139
-MIPS_INS_CLTI_U = 140
-MIPS_INS_CLT_S = 141
-MIPS_INS_CLT_U = 142
-MIPS_INS_CLZ = 143
-MIPS_INS_CMPGDU = 144
-MIPS_INS_CMPGU = 145
-MIPS_INS_CMPU = 146
-MIPS_INS_CMP = 147
-MIPS_INS_COPY_S = 148
-MIPS_INS_COPY_U = 149
-MIPS_INS_CTC1 = 150
-MIPS_INS_CTCMSA = 151
-MIPS_INS_CVT = 152
-MIPS_INS_C = 153
-MIPS_INS_CMPI = 154
-MIPS_INS_DADD = 155
-MIPS_INS_DADDI = 156
-MIPS_INS_DADDIU = 157
-MIPS_INS_DADDU = 158
-MIPS_INS_DAHI = 159
-MIPS_INS_DALIGN = 160
-MIPS_INS_DATI = 161
-MIPS_INS_DAUI = 162
-MIPS_INS_DBITSWAP = 163
-MIPS_INS_DCLO = 164
-MIPS_INS_DCLZ = 165
-MIPS_INS_DDIV = 166
-MIPS_INS_DDIVU = 167
-MIPS_INS_DERET = 168
-MIPS_INS_DEXT = 169
-MIPS_INS_DEXTM = 170
-MIPS_INS_DEXTU = 171
-MIPS_INS_DI = 172
-MIPS_INS_DINS = 173
-MIPS_INS_DINSM = 174
-MIPS_INS_DINSU = 175
-MIPS_INS_DIV = 176
-MIPS_INS_DIVU = 177
-MIPS_INS_DIV_S = 178
-MIPS_INS_DIV_U = 179
-MIPS_INS_DLSA = 180
-MIPS_INS_DMFC0 = 181
-MIPS_INS_DMFC1 = 182
-MIPS_INS_DMFC2 = 183
-MIPS_INS_DMOD = 184
-MIPS_INS_DMODU = 185
-MIPS_INS_DMTC0 = 186
-MIPS_INS_DMTC1 = 187
-MIPS_INS_DMTC2 = 188
-MIPS_INS_DMUH = 189
-MIPS_INS_DMUHU = 190
-MIPS_INS_DMUL = 191
-MIPS_INS_DMULT = 192
-MIPS_INS_DMULTU = 193
-MIPS_INS_DMULU = 194
-MIPS_INS_DOTP_S = 195
-MIPS_INS_DOTP_U = 196
-MIPS_INS_DPADD_S = 197
-MIPS_INS_DPADD_U = 198
-MIPS_INS_DPAQX_SA = 199
-MIPS_INS_DPAQX_S = 200
-MIPS_INS_DPAQ_SA = 201
-MIPS_INS_DPAQ_S = 202
-MIPS_INS_DPAU = 203
-MIPS_INS_DPAX = 204
-MIPS_INS_DPA = 205
-MIPS_INS_DPOP = 206
-MIPS_INS_DPSQX_SA = 207
-MIPS_INS_DPSQX_S = 208
-MIPS_INS_DPSQ_SA = 209
-MIPS_INS_DPSQ_S = 210
-MIPS_INS_DPSUB_S = 211
-MIPS_INS_DPSUB_U = 212
-MIPS_INS_DPSU = 213
-MIPS_INS_DPSX = 214
-MIPS_INS_DPS = 215
-MIPS_INS_DROTR = 216
-MIPS_INS_DROTR32 = 217
-MIPS_INS_DROTRV = 218
-MIPS_INS_DSBH = 219
-MIPS_INS_DSHD = 220
-MIPS_INS_DSLL = 221
-MIPS_INS_DSLL32 = 222
-MIPS_INS_DSLLV = 223
-MIPS_INS_DSRA = 224
-MIPS_INS_DSRA32 = 225
-MIPS_INS_DSRAV = 226
-MIPS_INS_DSRL = 227
-MIPS_INS_DSRL32 = 228
-MIPS_INS_DSRLV = 229
-MIPS_INS_DSUB = 230
-MIPS_INS_DSUBU = 231
-MIPS_INS_EHB = 232
-MIPS_INS_EI = 233
-MIPS_INS_ERET = 234
-MIPS_INS_EXT = 235
-MIPS_INS_EXTP = 236
-MIPS_INS_EXTPDP = 237
-MIPS_INS_EXTPDPV = 238
-MIPS_INS_EXTPV = 239
-MIPS_INS_EXTRV_RS = 240
-MIPS_INS_EXTRV_R = 241
-MIPS_INS_EXTRV_S = 242
-MIPS_INS_EXTRV = 243
-MIPS_INS_EXTR_RS = 244
-MIPS_INS_EXTR_R = 245
-MIPS_INS_EXTR_S = 246
-MIPS_INS_EXTR = 247
-MIPS_INS_EXTS = 248
-MIPS_INS_EXTS32 = 249
-MIPS_INS_ABS = 250
-MIPS_INS_FADD = 251
-MIPS_INS_FCAF = 252
-MIPS_INS_FCEQ = 253
-MIPS_INS_FCLASS = 254
-MIPS_INS_FCLE = 255
-MIPS_INS_FCLT = 256
-MIPS_INS_FCNE = 257
-MIPS_INS_FCOR = 258
-MIPS_INS_FCUEQ = 259
-MIPS_INS_FCULE = 260
-MIPS_INS_FCULT = 261
-MIPS_INS_FCUNE = 262
-MIPS_INS_FCUN = 263
-MIPS_INS_FDIV = 264
-MIPS_INS_FEXDO = 265
-MIPS_INS_FEXP2 = 266
-MIPS_INS_FEXUPL = 267
-MIPS_INS_FEXUPR = 268
-MIPS_INS_FFINT_S = 269
-MIPS_INS_FFINT_U = 270
-MIPS_INS_FFQL = 271
-MIPS_INS_FFQR = 272
-MIPS_INS_FILL = 273
-MIPS_INS_FLOG2 = 274
-MIPS_INS_FLOOR = 275
-MIPS_INS_FMADD = 276
-MIPS_INS_FMAX_A = 277
-MIPS_INS_FMAX = 278
-MIPS_INS_FMIN_A = 279
-MIPS_INS_FMIN = 280
-MIPS_INS_MOV = 281
-MIPS_INS_FMSUB = 282
-MIPS_INS_FMUL = 283
-MIPS_INS_MUL = 284
-MIPS_INS_NEG = 285
-MIPS_INS_FRCP = 286
-MIPS_INS_FRINT = 287
-MIPS_INS_FRSQRT = 288
-MIPS_INS_FSAF = 289
-MIPS_INS_FSEQ = 290
-MIPS_INS_FSLE = 291
-MIPS_INS_FSLT = 292
-MIPS_INS_FSNE = 293
-MIPS_INS_FSOR = 294
-MIPS_INS_FSQRT = 295
-MIPS_INS_SQRT = 296
-MIPS_INS_FSUB = 297
-MIPS_INS_SUB = 298
-MIPS_INS_FSUEQ = 299
-MIPS_INS_FSULE = 300
-MIPS_INS_FSULT = 301
-MIPS_INS_FSUNE = 302
-MIPS_INS_FSUN = 303
-MIPS_INS_FTINT_S = 304
-MIPS_INS_FTINT_U = 305
-MIPS_INS_FTQ = 306
-MIPS_INS_FTRUNC_S = 307
-MIPS_INS_FTRUNC_U = 308
-MIPS_INS_HADD_S = 309
-MIPS_INS_HADD_U = 310
-MIPS_INS_HSUB_S = 311
-MIPS_INS_HSUB_U = 312
-MIPS_INS_ILVEV = 313
-MIPS_INS_ILVL = 314
-MIPS_INS_ILVOD = 315
-MIPS_INS_ILVR = 316
-MIPS_INS_INS = 317
-MIPS_INS_INSERT = 318
-MIPS_INS_INSV = 319
-MIPS_INS_INSVE = 320
-MIPS_INS_J = 321
-MIPS_INS_JAL = 322
-MIPS_INS_JALR = 323
-MIPS_INS_JALRS = 324
-MIPS_INS_JALS = 325
-MIPS_INS_JALX = 326
-MIPS_INS_JIALC = 327
-MIPS_INS_JIC = 328
-MIPS_INS_JR = 329
-MIPS_INS_JRADDIUSP = 330
-MIPS_INS_JRC = 331
-MIPS_INS_JALRC = 332
-MIPS_INS_LB = 333
-MIPS_INS_LBUX = 334
-MIPS_INS_LBU = 335
-MIPS_INS_LD = 336
-MIPS_INS_LDC1 = 337
-MIPS_INS_LDC2 = 338
-MIPS_INS_LDC3 = 339
-MIPS_INS_LDI = 340
-MIPS_INS_LDL = 341
-MIPS_INS_LDPC = 342
-MIPS_INS_LDR = 343
-MIPS_INS_LDXC1 = 344
-MIPS_INS_LH = 345
-MIPS_INS_LHX = 346
-MIPS_INS_LHU = 347
-MIPS_INS_LL = 348
-MIPS_INS_LLD = 349
-MIPS_INS_LSA = 350
-MIPS_INS_LUXC1 = 351
-MIPS_INS_LUI = 352
-MIPS_INS_LW = 353
-MIPS_INS_LWC1 = 354
-MIPS_INS_LWC2 = 355
-MIPS_INS_LWC3 = 356
-MIPS_INS_LWL = 357
-MIPS_INS_LWPC = 358
-MIPS_INS_LWR = 359
-MIPS_INS_LWUPC = 360
-MIPS_INS_LWU = 361
-MIPS_INS_LWX = 362
-MIPS_INS_LWXC1 = 363
-MIPS_INS_LI = 364
-MIPS_INS_MADD = 365
-MIPS_INS_MADDF = 366
-MIPS_INS_MADDR_Q = 367
-MIPS_INS_MADDU = 368
-MIPS_INS_MADDV = 369
-MIPS_INS_MADD_Q = 370
-MIPS_INS_MAQ_SA = 371
-MIPS_INS_MAQ_S = 372
-MIPS_INS_MAXA = 373
-MIPS_INS_MAXI_S = 374
-MIPS_INS_MAXI_U = 375
-MIPS_INS_MAX_A = 376
-MIPS_INS_MAX = 377
-MIPS_INS_MAX_S = 378
-MIPS_INS_MAX_U = 379
-MIPS_INS_MFC0 = 380
-MIPS_INS_MFC1 = 381
-MIPS_INS_MFC2 = 382
-MIPS_INS_MFHC1 = 383
-MIPS_INS_MFHI = 384
-MIPS_INS_MFLO = 385
-MIPS_INS_MINA = 386
-MIPS_INS_MINI_S = 387
-MIPS_INS_MINI_U = 388
-MIPS_INS_MIN_A = 389
-MIPS_INS_MIN = 390
-MIPS_INS_MIN_S = 391
-MIPS_INS_MIN_U = 392
-MIPS_INS_MOD = 393
-MIPS_INS_MODSUB = 394
-MIPS_INS_MODU = 395
-MIPS_INS_MOD_S = 396
-MIPS_INS_MOD_U = 397
-MIPS_INS_MOVE = 398
-MIPS_INS_MOVF = 399
-MIPS_INS_MOVN = 400
-MIPS_INS_MOVT = 401
-MIPS_INS_MOVZ = 402
-MIPS_INS_MSUB = 403
-MIPS_INS_MSUBF = 404
-MIPS_INS_MSUBR_Q = 405
-MIPS_INS_MSUBU = 406
-MIPS_INS_MSUBV = 407
-MIPS_INS_MSUB_Q = 408
-MIPS_INS_MTC0 = 409
-MIPS_INS_MTC1 = 410
-MIPS_INS_MTC2 = 411
-MIPS_INS_MTHC1 = 412
-MIPS_INS_MTHI = 413
-MIPS_INS_MTHLIP = 414
-MIPS_INS_MTLO = 415
-MIPS_INS_MTM0 = 416
-MIPS_INS_MTM1 = 417
-MIPS_INS_MTM2 = 418
-MIPS_INS_MTP0 = 419
-MIPS_INS_MTP1 = 420
-MIPS_INS_MTP2 = 421
-MIPS_INS_MUH = 422
-MIPS_INS_MUHU = 423
-MIPS_INS_MULEQ_S = 424
-MIPS_INS_MULEU_S = 425
-MIPS_INS_MULQ_RS = 426
-MIPS_INS_MULQ_S = 427
-MIPS_INS_MULR_Q = 428
-MIPS_INS_MULSAQ_S = 429
-MIPS_INS_MULSA = 430
-MIPS_INS_MULT = 431
-MIPS_INS_MULTU = 432
-MIPS_INS_MULU = 433
-MIPS_INS_MULV = 434
-MIPS_INS_MUL_Q = 435
-MIPS_INS_MUL_S = 436
-MIPS_INS_NLOC = 437
-MIPS_INS_NLZC = 438
-MIPS_INS_NMADD = 439
-MIPS_INS_NMSUB = 440
-MIPS_INS_NOR = 441
-MIPS_INS_NORI = 442
-MIPS_INS_NOT = 443
-MIPS_INS_OR = 444
-MIPS_INS_ORI = 445
-MIPS_INS_PACKRL = 446
-MIPS_INS_PAUSE = 447
-MIPS_INS_PCKEV = 448
-MIPS_INS_PCKOD = 449
-MIPS_INS_PCNT = 450
-MIPS_INS_PICK = 451
-MIPS_INS_POP = 452
-MIPS_INS_PRECEQU = 453
-MIPS_INS_PRECEQ = 454
-MIPS_INS_PRECEU = 455
-MIPS_INS_PRECRQU_S = 456
-MIPS_INS_PRECRQ = 457
-MIPS_INS_PRECRQ_RS = 458
-MIPS_INS_PRECR = 459
-MIPS_INS_PRECR_SRA = 460
-MIPS_INS_PRECR_SRA_R = 461
-MIPS_INS_PREF = 462
-MIPS_INS_PREPEND = 463
-MIPS_INS_RADDU = 464
-MIPS_INS_RDDSP = 465
-MIPS_INS_RDHWR = 466
-MIPS_INS_REPLV = 467
-MIPS_INS_REPL = 468
-MIPS_INS_RINT = 469
-MIPS_INS_ROTR = 470
-MIPS_INS_ROTRV = 471
-MIPS_INS_ROUND = 472
-MIPS_INS_SAT_S = 473
-MIPS_INS_SAT_U = 474
-MIPS_INS_SB = 475
-MIPS_INS_SC = 476
-MIPS_INS_SCD = 477
-MIPS_INS_SD = 478
-MIPS_INS_SDBBP = 479
-MIPS_INS_SDC1 = 480
-MIPS_INS_SDC2 = 481
-MIPS_INS_SDC3 = 482
-MIPS_INS_SDL = 483
-MIPS_INS_SDR = 484
-MIPS_INS_SDXC1 = 485
-MIPS_INS_SEB = 486
-MIPS_INS_SEH = 487
-MIPS_INS_SELEQZ = 488
-MIPS_INS_SELNEZ = 489
-MIPS_INS_SEL = 490
-MIPS_INS_SEQ = 491
-MIPS_INS_SEQI = 492
-MIPS_INS_SH = 493
-MIPS_INS_SHF = 494
-MIPS_INS_SHILO = 495
-MIPS_INS_SHILOV = 496
-MIPS_INS_SHLLV = 497
-MIPS_INS_SHLLV_S = 498
-MIPS_INS_SHLL = 499
-MIPS_INS_SHLL_S = 500
-MIPS_INS_SHRAV = 501
-MIPS_INS_SHRAV_R = 502
-MIPS_INS_SHRA = 503
-MIPS_INS_SHRA_R = 504
-MIPS_INS_SHRLV = 505
-MIPS_INS_SHRL = 506
-MIPS_INS_SLDI = 507
-MIPS_INS_SLD = 508
-MIPS_INS_SLL = 509
-MIPS_INS_SLLI = 510
-MIPS_INS_SLLV = 511
-MIPS_INS_SLT = 512
-MIPS_INS_SLTI = 513
-MIPS_INS_SLTIU = 514
-MIPS_INS_SLTU = 515
-MIPS_INS_SNE = 516
-MIPS_INS_SNEI = 517
-MIPS_INS_SPLATI = 518
-MIPS_INS_SPLAT = 519
-MIPS_INS_SRA = 520
-MIPS_INS_SRAI = 521
-MIPS_INS_SRARI = 522
-MIPS_INS_SRAR = 523
-MIPS_INS_SRAV = 524
-MIPS_INS_SRL = 525
-MIPS_INS_SRLI = 526
-MIPS_INS_SRLRI = 527
-MIPS_INS_SRLR = 528
-MIPS_INS_SRLV = 529
-MIPS_INS_SSNOP = 530
-MIPS_INS_ST = 531
-MIPS_INS_SUBQH = 532
-MIPS_INS_SUBQH_R = 533
-MIPS_INS_SUBQ = 534
-MIPS_INS_SUBQ_S = 535
-MIPS_INS_SUBSUS_U = 536
-MIPS_INS_SUBSUU_S = 537
-MIPS_INS_SUBS_S = 538
-MIPS_INS_SUBS_U = 539
-MIPS_INS_SUBUH = 540
-MIPS_INS_SUBUH_R = 541
-MIPS_INS_SUBU = 542
-MIPS_INS_SUBU_S = 543
-MIPS_INS_SUBVI = 544
-MIPS_INS_SUBV = 545
-MIPS_INS_SUXC1 = 546
-MIPS_INS_SW = 547
-MIPS_INS_SWC1 = 548
-MIPS_INS_SWC2 = 549
-MIPS_INS_SWC3 = 550
-MIPS_INS_SWL = 551
-MIPS_INS_SWR = 552
-MIPS_INS_SWXC1 = 553
-MIPS_INS_SYNC = 554
-MIPS_INS_SYSCALL = 555
-MIPS_INS_TEQ = 556
-MIPS_INS_TEQI = 557
-MIPS_INS_TGE = 558
-MIPS_INS_TGEI = 559
-MIPS_INS_TGEIU = 560
-MIPS_INS_TGEU = 561
-MIPS_INS_TLBP = 562
-MIPS_INS_TLBR = 563
-MIPS_INS_TLBWI = 564
-MIPS_INS_TLBWR = 565
-MIPS_INS_TLT = 566
-MIPS_INS_TLTI = 567
-MIPS_INS_TLTIU = 568
-MIPS_INS_TLTU = 569
-MIPS_INS_TNE = 570
-MIPS_INS_TNEI = 571
-MIPS_INS_TRUNC = 572
-MIPS_INS_V3MULU = 573
-MIPS_INS_VMM0 = 574
-MIPS_INS_VMULU = 575
-MIPS_INS_VSHF = 576
-MIPS_INS_WAIT = 577
-MIPS_INS_WRDSP = 578
-MIPS_INS_WSBH = 579
-MIPS_INS_XOR = 580
-MIPS_INS_XORI = 581
+MIPS_INS_ADDIUR1SP = 4
+MIPS_INS_ADDIUR2 = 5
+MIPS_INS_ADDIUS5 = 6
+MIPS_INS_ADDIUSP = 7
+MIPS_INS_ADDQH = 8
+MIPS_INS_ADDQH_R = 9
+MIPS_INS_ADDQ = 10
+MIPS_INS_ADDQ_S = 11
+MIPS_INS_ADDSC = 12
+MIPS_INS_ADDS_A = 13
+MIPS_INS_ADDS_S = 14
+MIPS_INS_ADDS_U = 15
+MIPS_INS_ADDU16 = 16
+MIPS_INS_ADDUH = 17
+MIPS_INS_ADDUH_R = 18
+MIPS_INS_ADDU = 19
+MIPS_INS_ADDU_S = 20
+MIPS_INS_ADDVI = 21
+MIPS_INS_ADDV = 22
+MIPS_INS_ADDWC = 23
+MIPS_INS_ADD_A = 24
+MIPS_INS_ADDI = 25
+MIPS_INS_ADDIU = 26
+MIPS_INS_ALIGN = 27
+MIPS_INS_ALUIPC = 28
+MIPS_INS_AND = 29
+MIPS_INS_AND16 = 30
+MIPS_INS_ANDI16 = 31
+MIPS_INS_ANDI = 32
+MIPS_INS_APPEND = 33
+MIPS_INS_ASUB_S = 34
+MIPS_INS_ASUB_U = 35
+MIPS_INS_AUI = 36
+MIPS_INS_AUIPC = 37
+MIPS_INS_AVER_S = 38
+MIPS_INS_AVER_U = 39
+MIPS_INS_AVE_S = 40
+MIPS_INS_AVE_U = 41
+MIPS_INS_B16 = 42
+MIPS_INS_BADDU = 43
+MIPS_INS_BAL = 44
+MIPS_INS_BALC = 45
+MIPS_INS_BALIGN = 46
+MIPS_INS_BBIT0 = 47
+MIPS_INS_BBIT032 = 48
+MIPS_INS_BBIT1 = 49
+MIPS_INS_BBIT132 = 50
+MIPS_INS_BC = 51
+MIPS_INS_BC0F = 52
+MIPS_INS_BC0FL = 53
+MIPS_INS_BC0T = 54
+MIPS_INS_BC0TL = 55
+MIPS_INS_BC1EQZ = 56
+MIPS_INS_BC1F = 57
+MIPS_INS_BC1FL = 58
+MIPS_INS_BC1NEZ = 59
+MIPS_INS_BC1T = 60
+MIPS_INS_BC1TL = 61
+MIPS_INS_BC2EQZ = 62
+MIPS_INS_BC2F = 63
+MIPS_INS_BC2FL = 64
+MIPS_INS_BC2NEZ = 65
+MIPS_INS_BC2T = 66
+MIPS_INS_BC2TL = 67
+MIPS_INS_BC3F = 68
+MIPS_INS_BC3FL = 69
+MIPS_INS_BC3T = 70
+MIPS_INS_BC3TL = 71
+MIPS_INS_BCLRI = 72
+MIPS_INS_BCLR = 73
+MIPS_INS_BEQ = 74
+MIPS_INS_BEQC = 75
+MIPS_INS_BEQL = 76
+MIPS_INS_BEQZ16 = 77
+MIPS_INS_BEQZALC = 78
+MIPS_INS_BEQZC = 79
+MIPS_INS_BGEC = 80
+MIPS_INS_BGEUC = 81
+MIPS_INS_BGEZ = 82
+MIPS_INS_BGEZAL = 83
+MIPS_INS_BGEZALC = 84
+MIPS_INS_BGEZALL = 85
+MIPS_INS_BGEZALS = 86
+MIPS_INS_BGEZC = 87
+MIPS_INS_BGEZL = 88
+MIPS_INS_BGTZ = 89
+MIPS_INS_BGTZALC = 90
+MIPS_INS_BGTZC = 91
+MIPS_INS_BGTZL = 92
+MIPS_INS_BINSLI = 93
+MIPS_INS_BINSL = 94
+MIPS_INS_BINSRI = 95
+MIPS_INS_BINSR = 96
+MIPS_INS_BITREV = 97
+MIPS_INS_BITSWAP = 98
+MIPS_INS_BLEZ = 99
+MIPS_INS_BLEZALC = 100
+MIPS_INS_BLEZC = 101
+MIPS_INS_BLEZL = 102
+MIPS_INS_BLTC = 103
+MIPS_INS_BLTUC = 104
+MIPS_INS_BLTZ = 105
+MIPS_INS_BLTZAL = 106
+MIPS_INS_BLTZALC = 107
+MIPS_INS_BLTZALL = 108
+MIPS_INS_BLTZALS = 109
+MIPS_INS_BLTZC = 110
+MIPS_INS_BLTZL = 111
+MIPS_INS_BMNZI = 112
+MIPS_INS_BMNZ = 113
+MIPS_INS_BMZI = 114
+MIPS_INS_BMZ = 115
+MIPS_INS_BNE = 116
+MIPS_INS_BNEC = 117
+MIPS_INS_BNEGI = 118
+MIPS_INS_BNEG = 119
+MIPS_INS_BNEL = 120
+MIPS_INS_BNEZ16 = 121
+MIPS_INS_BNEZALC = 122
+MIPS_INS_BNEZC = 123
+MIPS_INS_BNVC = 124
+MIPS_INS_BNZ = 125
+MIPS_INS_BOVC = 126
+MIPS_INS_BPOSGE32 = 127
+MIPS_INS_BREAK = 128
+MIPS_INS_BREAK16 = 129
+MIPS_INS_BSELI = 130
+MIPS_INS_BSEL = 131
+MIPS_INS_BSETI = 132
+MIPS_INS_BSET = 133
+MIPS_INS_BZ = 134
+MIPS_INS_BEQZ = 135
+MIPS_INS_B = 136
+MIPS_INS_BNEZ = 137
+MIPS_INS_BTEQZ = 138
+MIPS_INS_BTNEZ = 139
+MIPS_INS_CACHE = 140
+MIPS_INS_CEIL = 141
+MIPS_INS_CEQI = 142
+MIPS_INS_CEQ = 143
+MIPS_INS_CFC1 = 144
+MIPS_INS_CFCMSA = 145
+MIPS_INS_CINS = 146
+MIPS_INS_CINS32 = 147
+MIPS_INS_CLASS = 148
+MIPS_INS_CLEI_S = 149
+MIPS_INS_CLEI_U = 150
+MIPS_INS_CLE_S = 151
+MIPS_INS_CLE_U = 152
+MIPS_INS_CLO = 153
+MIPS_INS_CLTI_S = 154
+MIPS_INS_CLTI_U = 155
+MIPS_INS_CLT_S = 156
+MIPS_INS_CLT_U = 157
+MIPS_INS_CLZ = 158
+MIPS_INS_CMPGDU = 159
+MIPS_INS_CMPGU = 160
+MIPS_INS_CMPU = 161
+MIPS_INS_CMP = 162
+MIPS_INS_COPY_S = 163
+MIPS_INS_COPY_U = 164
+MIPS_INS_CTC1 = 165
+MIPS_INS_CTCMSA = 166
+MIPS_INS_CVT = 167
+MIPS_INS_C = 168
+MIPS_INS_CMPI = 169
+MIPS_INS_DADD = 170
+MIPS_INS_DADDI = 171
+MIPS_INS_DADDIU = 172
+MIPS_INS_DADDU = 173
+MIPS_INS_DAHI = 174
+MIPS_INS_DALIGN = 175
+MIPS_INS_DATI = 176
+MIPS_INS_DAUI = 177
+MIPS_INS_DBITSWAP = 178
+MIPS_INS_DCLO = 179
+MIPS_INS_DCLZ = 180
+MIPS_INS_DDIV = 181
+MIPS_INS_DDIVU = 182
+MIPS_INS_DERET = 183
+MIPS_INS_DEXT = 184
+MIPS_INS_DEXTM = 185
+MIPS_INS_DEXTU = 186
+MIPS_INS_DI = 187
+MIPS_INS_DINS = 188
+MIPS_INS_DINSM = 189
+MIPS_INS_DINSU = 190
+MIPS_INS_DIV = 191
+MIPS_INS_DIVU = 192
+MIPS_INS_DIV_S = 193
+MIPS_INS_DIV_U = 194
+MIPS_INS_DLSA = 195
+MIPS_INS_DMFC0 = 196
+MIPS_INS_DMFC1 = 197
+MIPS_INS_DMFC2 = 198
+MIPS_INS_DMOD = 199
+MIPS_INS_DMODU = 200
+MIPS_INS_DMTC0 = 201
+MIPS_INS_DMTC1 = 202
+MIPS_INS_DMTC2 = 203
+MIPS_INS_DMUH = 204
+MIPS_INS_DMUHU = 205
+MIPS_INS_DMUL = 206
+MIPS_INS_DMULT = 207
+MIPS_INS_DMULTU = 208
+MIPS_INS_DMULU = 209
+MIPS_INS_DOTP_S = 210
+MIPS_INS_DOTP_U = 211
+MIPS_INS_DPADD_S = 212
+MIPS_INS_DPADD_U = 213
+MIPS_INS_DPAQX_SA = 214
+MIPS_INS_DPAQX_S = 215
+MIPS_INS_DPAQ_SA = 216
+MIPS_INS_DPAQ_S = 217
+MIPS_INS_DPAU = 218
+MIPS_INS_DPAX = 219
+MIPS_INS_DPA = 220
+MIPS_INS_DPOP = 221
+MIPS_INS_DPSQX_SA = 222
+MIPS_INS_DPSQX_S = 223
+MIPS_INS_DPSQ_SA = 224
+MIPS_INS_DPSQ_S = 225
+MIPS_INS_DPSUB_S = 226
+MIPS_INS_DPSUB_U = 227
+MIPS_INS_DPSU = 228
+MIPS_INS_DPSX = 229
+MIPS_INS_DPS = 230
+MIPS_INS_DROTR = 231
+MIPS_INS_DROTR32 = 232
+MIPS_INS_DROTRV = 233
+MIPS_INS_DSBH = 234
+MIPS_INS_DSHD = 235
+MIPS_INS_DSLL = 236
+MIPS_INS_DSLL32 = 237
+MIPS_INS_DSLLV = 238
+MIPS_INS_DSRA = 239
+MIPS_INS_DSRA32 = 240
+MIPS_INS_DSRAV = 241
+MIPS_INS_DSRL = 242
+MIPS_INS_DSRL32 = 243
+MIPS_INS_DSRLV = 244
+MIPS_INS_DSUB = 245
+MIPS_INS_DSUBU = 246
+MIPS_INS_EHB = 247
+MIPS_INS_EI = 248
+MIPS_INS_ERET = 249
+MIPS_INS_EXT = 250
+MIPS_INS_EXTP = 251
+MIPS_INS_EXTPDP = 252
+MIPS_INS_EXTPDPV = 253
+MIPS_INS_EXTPV = 254
+MIPS_INS_EXTRV_RS = 255
+MIPS_INS_EXTRV_R = 256
+MIPS_INS_EXTRV_S = 257
+MIPS_INS_EXTRV = 258
+MIPS_INS_EXTR_RS = 259
+MIPS_INS_EXTR_R = 260
+MIPS_INS_EXTR_S = 261
+MIPS_INS_EXTR = 262
+MIPS_INS_EXTS = 263
+MIPS_INS_EXTS32 = 264
+MIPS_INS_ABS = 265
+MIPS_INS_FADD = 266
+MIPS_INS_FCAF = 267
+MIPS_INS_FCEQ = 268
+MIPS_INS_FCLASS = 269
+MIPS_INS_FCLE = 270
+MIPS_INS_FCLT = 271
+MIPS_INS_FCNE = 272
+MIPS_INS_FCOR = 273
+MIPS_INS_FCUEQ = 274
+MIPS_INS_FCULE = 275
+MIPS_INS_FCULT = 276
+MIPS_INS_FCUNE = 277
+MIPS_INS_FCUN = 278
+MIPS_INS_FDIV = 279
+MIPS_INS_FEXDO = 280
+MIPS_INS_FEXP2 = 281
+MIPS_INS_FEXUPL = 282
+MIPS_INS_FEXUPR = 283
+MIPS_INS_FFINT_S = 284
+MIPS_INS_FFINT_U = 285
+MIPS_INS_FFQL = 286
+MIPS_INS_FFQR = 287
+MIPS_INS_FILL = 288
+MIPS_INS_FLOG2 = 289
+MIPS_INS_FLOOR = 290
+MIPS_INS_FMADD = 291
+MIPS_INS_FMAX_A = 292
+MIPS_INS_FMAX = 293
+MIPS_INS_FMIN_A = 294
+MIPS_INS_FMIN = 295
+MIPS_INS_MOV = 296
+MIPS_INS_FMSUB = 297
+MIPS_INS_FMUL = 298
+MIPS_INS_MUL = 299
+MIPS_INS_NEG = 300
+MIPS_INS_FRCP = 301
+MIPS_INS_FRINT = 302
+MIPS_INS_FRSQRT = 303
+MIPS_INS_FSAF = 304
+MIPS_INS_FSEQ = 305
+MIPS_INS_FSLE = 306
+MIPS_INS_FSLT = 307
+MIPS_INS_FSNE = 308
+MIPS_INS_FSOR = 309
+MIPS_INS_FSQRT = 310
+MIPS_INS_SQRT = 311
+MIPS_INS_FSUB = 312
+MIPS_INS_SUB = 313
+MIPS_INS_FSUEQ = 314
+MIPS_INS_FSULE = 315
+MIPS_INS_FSULT = 316
+MIPS_INS_FSUNE = 317
+MIPS_INS_FSUN = 318
+MIPS_INS_FTINT_S = 319
+MIPS_INS_FTINT_U = 320
+MIPS_INS_FTQ = 321
+MIPS_INS_FTRUNC_S = 322
+MIPS_INS_FTRUNC_U = 323
+MIPS_INS_HADD_S = 324
+MIPS_INS_HADD_U = 325
+MIPS_INS_HSUB_S = 326
+MIPS_INS_HSUB_U = 327
+MIPS_INS_ILVEV = 328
+MIPS_INS_ILVL = 329
+MIPS_INS_ILVOD = 330
+MIPS_INS_ILVR = 331
+MIPS_INS_INS = 332
+MIPS_INS_INSERT = 333
+MIPS_INS_INSV = 334
+MIPS_INS_INSVE = 335
+MIPS_INS_J = 336
+MIPS_INS_JAL = 337
+MIPS_INS_JALR = 338
+MIPS_INS_JALRS16 = 339
+MIPS_INS_JALRS = 340
+MIPS_INS_JALS = 341
+MIPS_INS_JALX = 342
+MIPS_INS_JIALC = 343
+MIPS_INS_JIC = 344
+MIPS_INS_JR = 345
+MIPS_INS_JR16 = 346
+MIPS_INS_JRADDIUSP = 347
+MIPS_INS_JRC = 348
+MIPS_INS_JALRC = 349
+MIPS_INS_LB = 350
+MIPS_INS_LBU16 = 351
+MIPS_INS_LBUX = 352
+MIPS_INS_LBU = 353
+MIPS_INS_LD = 354
+MIPS_INS_LDC1 = 355
+MIPS_INS_LDC2 = 356
+MIPS_INS_LDC3 = 357
+MIPS_INS_LDI = 358
+MIPS_INS_LDL = 359
+MIPS_INS_LDPC = 360
+MIPS_INS_LDR = 361
+MIPS_INS_LDXC1 = 362
+MIPS_INS_LH = 363
+MIPS_INS_LHU16 = 364
+MIPS_INS_LHX = 365
+MIPS_INS_LHU = 366
+MIPS_INS_LI16 = 367
+MIPS_INS_LL = 368
+MIPS_INS_LLD = 369
+MIPS_INS_LSA = 370
+MIPS_INS_LUXC1 = 371
+MIPS_INS_LUI = 372
+MIPS_INS_LW = 373
+MIPS_INS_LW16 = 374
+MIPS_INS_LWC1 = 375
+MIPS_INS_LWC2 = 376
+MIPS_INS_LWC3 = 377
+MIPS_INS_LWL = 378
+MIPS_INS_LWM16 = 379
+MIPS_INS_LWM32 = 380
+MIPS_INS_LWPC = 381
+MIPS_INS_LWP = 382
+MIPS_INS_LWR = 383
+MIPS_INS_LWUPC = 384
+MIPS_INS_LWU = 385
+MIPS_INS_LWX = 386
+MIPS_INS_LWXC1 = 387
+MIPS_INS_LWXS = 388
+MIPS_INS_LI = 389
+MIPS_INS_MADD = 390
+MIPS_INS_MADDF = 391
+MIPS_INS_MADDR_Q = 392
+MIPS_INS_MADDU = 393
+MIPS_INS_MADDV = 394
+MIPS_INS_MADD_Q = 395
+MIPS_INS_MAQ_SA = 396
+MIPS_INS_MAQ_S = 397
+MIPS_INS_MAXA = 398
+MIPS_INS_MAXI_S = 399
+MIPS_INS_MAXI_U = 400
+MIPS_INS_MAX_A = 401
+MIPS_INS_MAX = 402
+MIPS_INS_MAX_S = 403
+MIPS_INS_MAX_U = 404
+MIPS_INS_MFC0 = 405
+MIPS_INS_MFC1 = 406
+MIPS_INS_MFC2 = 407
+MIPS_INS_MFHC1 = 408
+MIPS_INS_MFHI = 409
+MIPS_INS_MFLO = 410
+MIPS_INS_MINA = 411
+MIPS_INS_MINI_S = 412
+MIPS_INS_MINI_U = 413
+MIPS_INS_MIN_A = 414
+MIPS_INS_MIN = 415
+MIPS_INS_MIN_S = 416
+MIPS_INS_MIN_U = 417
+MIPS_INS_MOD = 418
+MIPS_INS_MODSUB = 419
+MIPS_INS_MODU = 420
+MIPS_INS_MOD_S = 421
+MIPS_INS_MOD_U = 422
+MIPS_INS_MOVE = 423
+MIPS_INS_MOVEP = 424
+MIPS_INS_MOVF = 425
+MIPS_INS_MOVN = 426
+MIPS_INS_MOVT = 427
+MIPS_INS_MOVZ = 428
+MIPS_INS_MSUB = 429
+MIPS_INS_MSUBF = 430
+MIPS_INS_MSUBR_Q = 431
+MIPS_INS_MSUBU = 432
+MIPS_INS_MSUBV = 433
+MIPS_INS_MSUB_Q = 434
+MIPS_INS_MTC0 = 435
+MIPS_INS_MTC1 = 436
+MIPS_INS_MTC2 = 437
+MIPS_INS_MTHC1 = 438
+MIPS_INS_MTHI = 439
+MIPS_INS_MTHLIP = 440
+MIPS_INS_MTLO = 441
+MIPS_INS_MTM0 = 442
+MIPS_INS_MTM1 = 443
+MIPS_INS_MTM2 = 444
+MIPS_INS_MTP0 = 445
+MIPS_INS_MTP1 = 446
+MIPS_INS_MTP2 = 447
+MIPS_INS_MUH = 448
+MIPS_INS_MUHU = 449
+MIPS_INS_MULEQ_S = 450
+MIPS_INS_MULEU_S = 451
+MIPS_INS_MULQ_RS = 452
+MIPS_INS_MULQ_S = 453
+MIPS_INS_MULR_Q = 454
+MIPS_INS_MULSAQ_S = 455
+MIPS_INS_MULSA = 456
+MIPS_INS_MULT = 457
+MIPS_INS_MULTU = 458
+MIPS_INS_MULU = 459
+MIPS_INS_MULV = 460
+MIPS_INS_MUL_Q = 461
+MIPS_INS_MUL_S = 462
+MIPS_INS_NLOC = 463
+MIPS_INS_NLZC = 464
+MIPS_INS_NMADD = 465
+MIPS_INS_NMSUB = 466
+MIPS_INS_NOR = 467
+MIPS_INS_NORI = 468
+MIPS_INS_NOT16 = 469
+MIPS_INS_NOT = 470
+MIPS_INS_OR = 471
+MIPS_INS_OR16 = 472
+MIPS_INS_ORI = 473
+MIPS_INS_PACKRL = 474
+MIPS_INS_PAUSE = 475
+MIPS_INS_PCKEV = 476
+MIPS_INS_PCKOD = 477
+MIPS_INS_PCNT = 478
+MIPS_INS_PICK = 479
+MIPS_INS_POP = 480
+MIPS_INS_PRECEQU = 481
+MIPS_INS_PRECEQ = 482
+MIPS_INS_PRECEU = 483
+MIPS_INS_PRECRQU_S = 484
+MIPS_INS_PRECRQ = 485
+MIPS_INS_PRECRQ_RS = 486
+MIPS_INS_PRECR = 487
+MIPS_INS_PRECR_SRA = 488
+MIPS_INS_PRECR_SRA_R = 489
+MIPS_INS_PREF = 490
+MIPS_INS_PREPEND = 491
+MIPS_INS_RADDU = 492
+MIPS_INS_RDDSP = 493
+MIPS_INS_RDHWR = 494
+MIPS_INS_REPLV = 495
+MIPS_INS_REPL = 496
+MIPS_INS_RINT = 497
+MIPS_INS_ROTR = 498
+MIPS_INS_ROTRV = 499
+MIPS_INS_ROUND = 500
+MIPS_INS_SAT_S = 501
+MIPS_INS_SAT_U = 502
+MIPS_INS_SB = 503
+MIPS_INS_SB16 = 504
+MIPS_INS_SC = 505
+MIPS_INS_SCD = 506
+MIPS_INS_SD = 507
+MIPS_INS_SDBBP = 508
+MIPS_INS_SDBBP16 = 509
+MIPS_INS_SDC1 = 510
+MIPS_INS_SDC2 = 511
+MIPS_INS_SDC3 = 512
+MIPS_INS_SDL = 513
+MIPS_INS_SDR = 514
+MIPS_INS_SDXC1 = 515
+MIPS_INS_SEB = 516
+MIPS_INS_SEH = 517
+MIPS_INS_SELEQZ = 518
+MIPS_INS_SELNEZ = 519
+MIPS_INS_SEL = 520
+MIPS_INS_SEQ = 521
+MIPS_INS_SEQI = 522
+MIPS_INS_SH = 523
+MIPS_INS_SH16 = 524
+MIPS_INS_SHF = 525
+MIPS_INS_SHILO = 526
+MIPS_INS_SHILOV = 527
+MIPS_INS_SHLLV = 528
+MIPS_INS_SHLLV_S = 529
+MIPS_INS_SHLL = 530
+MIPS_INS_SHLL_S = 531
+MIPS_INS_SHRAV = 532
+MIPS_INS_SHRAV_R = 533
+MIPS_INS_SHRA = 534
+MIPS_INS_SHRA_R = 535
+MIPS_INS_SHRLV = 536
+MIPS_INS_SHRL = 537
+MIPS_INS_SLDI = 538
+MIPS_INS_SLD = 539
+MIPS_INS_SLL = 540
+MIPS_INS_SLL16 = 541
+MIPS_INS_SLLI = 542
+MIPS_INS_SLLV = 543
+MIPS_INS_SLT = 544
+MIPS_INS_SLTI = 545
+MIPS_INS_SLTIU = 546
+MIPS_INS_SLTU = 547
+MIPS_INS_SNE = 548
+MIPS_INS_SNEI = 549
+MIPS_INS_SPLATI = 550
+MIPS_INS_SPLAT = 551
+MIPS_INS_SRA = 552
+MIPS_INS_SRAI = 553
+MIPS_INS_SRARI = 554
+MIPS_INS_SRAR = 555
+MIPS_INS_SRAV = 556
+MIPS_INS_SRL = 557
+MIPS_INS_SRL16 = 558
+MIPS_INS_SRLI = 559
+MIPS_INS_SRLRI = 560
+MIPS_INS_SRLR = 561
+MIPS_INS_SRLV = 562
+MIPS_INS_SSNOP = 563
+MIPS_INS_ST = 564
+MIPS_INS_SUBQH = 565
+MIPS_INS_SUBQH_R = 566
+MIPS_INS_SUBQ = 567
+MIPS_INS_SUBQ_S = 568
+MIPS_INS_SUBSUS_U = 569
+MIPS_INS_SUBSUU_S = 570
+MIPS_INS_SUBS_S = 571
+MIPS_INS_SUBS_U = 572
+MIPS_INS_SUBU16 = 573
+MIPS_INS_SUBUH = 574
+MIPS_INS_SUBUH_R = 575
+MIPS_INS_SUBU = 576
+MIPS_INS_SUBU_S = 577
+MIPS_INS_SUBVI = 578
+MIPS_INS_SUBV = 579
+MIPS_INS_SUXC1 = 580
+MIPS_INS_SW = 581
+MIPS_INS_SW16 = 582
+MIPS_INS_SWC1 = 583
+MIPS_INS_SWC2 = 584
+MIPS_INS_SWC3 = 585
+MIPS_INS_SWL = 586
+MIPS_INS_SWM16 = 587
+MIPS_INS_SWM32 = 588
+MIPS_INS_SWP = 589
+MIPS_INS_SWR = 590
+MIPS_INS_SWXC1 = 591
+MIPS_INS_SYNC = 592
+MIPS_INS_SYNCI = 593
+MIPS_INS_SYSCALL = 594
+MIPS_INS_TEQ = 595
+MIPS_INS_TEQI = 596
+MIPS_INS_TGE = 597
+MIPS_INS_TGEI = 598
+MIPS_INS_TGEIU = 599
+MIPS_INS_TGEU = 600
+MIPS_INS_TLBP = 601
+MIPS_INS_TLBR = 602
+MIPS_INS_TLBWI = 603
+MIPS_INS_TLBWR = 604
+MIPS_INS_TLT = 605
+MIPS_INS_TLTI = 606
+MIPS_INS_TLTIU = 607
+MIPS_INS_TLTU = 608
+MIPS_INS_TNE = 609
+MIPS_INS_TNEI = 610
+MIPS_INS_TRUNC = 611
+MIPS_INS_V3MULU = 612
+MIPS_INS_VMM0 = 613
+MIPS_INS_VMULU = 614
+MIPS_INS_VSHF = 615
+MIPS_INS_WAIT = 616
+MIPS_INS_WRDSP = 617
+MIPS_INS_WSBH = 618
+MIPS_INS_XOR = 619
+MIPS_INS_XOR16 = 620
+MIPS_INS_XORI = 621
 
 # some alias instructions
-MIPS_INS_NOP = 582
-MIPS_INS_NEGU = 583
+MIPS_INS_NOP = 622
+MIPS_INS_NEGU = 623
 
 # special instructions
-MIPS_INS_JALR_HB = 584
-MIPS_INS_JR_HB = 585
-MIPS_INS_ENDING = 586
-
-# Group of MIPS instructions
+MIPS_INS_JALR_HB = 624
+MIPS_INS_JR_HB = 625
+MIPS_INS_ENDING = 626
 
 MIPS_GRP_INVALID = 0
-
-# Generic groups
 MIPS_GRP_JUMP = 1
-
-# Architecture-specific groups
+MIPS_GRP_CALL = 2
+MIPS_GRP_RET = 3
+MIPS_GRP_INT = 4
+MIPS_GRP_IRET = 5
+MIPS_GRP_PRIVILEGE = 6
+MIPS_GRP_BRANCH_RELATIVE = 7
 MIPS_GRP_BITCOUNT = 128
 MIPS_GRP_DSP = 129
 MIPS_GRP_DSPR2 = 130
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/mips.py 4.0.2-3/bindings/python/capstone/mips.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/mips.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/mips.py	2020-05-08 10:03:30.000000000 +0000
@@ -40,7 +40,7 @@ class MipsOp(ctypes.Structure):
 class CsMips(ctypes.Structure):
     _fields_ = (
         ('op_count', ctypes.c_uint8),
-        ('operands', MipsOp * 8),
+        ('operands', MipsOp * 10),
     )
 
 def get_arch_info(a):
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/ppc_const.py 4.0.2-3/bindings/python/capstone/ppc_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/ppc_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/ppc_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [ppc_const.py]
 
-# PPC branch codes for some branch instructions
-
 PPC_BC_INVALID = 0
 PPC_BC_LT = (0<<5)|12
 PPC_BC_LE = (1<<5)|4
@@ -14,203 +12,227 @@ PPC_BC_NU = (3<<5)|4
 PPC_BC_SO = (4<<5)|12
 PPC_BC_NS = (4<<5)|4
 
-# PPC branch hint for some branch instructions
-
 PPC_BH_INVALID = 0
 PPC_BH_PLUS = 1
 PPC_BH_MINUS = 2
 
-# PPC registers
-
-PPC_REG_INVALID = 0
-PPC_REG_CARRY = 1
-PPC_REG_CC = 2
-PPC_REG_CR0 = 3
-PPC_REG_CR1 = 4
-PPC_REG_CR2 = 5
-PPC_REG_CR3 = 6
-PPC_REG_CR4 = 7
-PPC_REG_CR5 = 8
-PPC_REG_CR6 = 9
-PPC_REG_CR7 = 10
-PPC_REG_CTR = 11
-PPC_REG_F0 = 12
-PPC_REG_F1 = 13
-PPC_REG_F2 = 14
-PPC_REG_F3 = 15
-PPC_REG_F4 = 16
-PPC_REG_F5 = 17
-PPC_REG_F6 = 18
-PPC_REG_F7 = 19
-PPC_REG_F8 = 20
-PPC_REG_F9 = 21
-PPC_REG_F10 = 22
-PPC_REG_F11 = 23
-PPC_REG_F12 = 24
-PPC_REG_F13 = 25
-PPC_REG_F14 = 26
-PPC_REG_F15 = 27
-PPC_REG_F16 = 28
-PPC_REG_F17 = 29
-PPC_REG_F18 = 30
-PPC_REG_F19 = 31
-PPC_REG_F20 = 32
-PPC_REG_F21 = 33
-PPC_REG_F22 = 34
-PPC_REG_F23 = 35
-PPC_REG_F24 = 36
-PPC_REG_F25 = 37
-PPC_REG_F26 = 38
-PPC_REG_F27 = 39
-PPC_REG_F28 = 40
-PPC_REG_F29 = 41
-PPC_REG_F30 = 42
-PPC_REG_F31 = 43
-PPC_REG_LR = 44
-PPC_REG_R0 = 45
-PPC_REG_R1 = 46
-PPC_REG_R2 = 47
-PPC_REG_R3 = 48
-PPC_REG_R4 = 49
-PPC_REG_R5 = 50
-PPC_REG_R6 = 51
-PPC_REG_R7 = 52
-PPC_REG_R8 = 53
-PPC_REG_R9 = 54
-PPC_REG_R10 = 55
-PPC_REG_R11 = 56
-PPC_REG_R12 = 57
-PPC_REG_R13 = 58
-PPC_REG_R14 = 59
-PPC_REG_R15 = 60
-PPC_REG_R16 = 61
-PPC_REG_R17 = 62
-PPC_REG_R18 = 63
-PPC_REG_R19 = 64
-PPC_REG_R20 = 65
-PPC_REG_R21 = 66
-PPC_REG_R22 = 67
-PPC_REG_R23 = 68
-PPC_REG_R24 = 69
-PPC_REG_R25 = 70
-PPC_REG_R26 = 71
-PPC_REG_R27 = 72
-PPC_REG_R28 = 73
-PPC_REG_R29 = 74
-PPC_REG_R30 = 75
-PPC_REG_R31 = 76
-PPC_REG_V0 = 77
-PPC_REG_V1 = 78
-PPC_REG_V2 = 79
-PPC_REG_V3 = 80
-PPC_REG_V4 = 81
-PPC_REG_V5 = 82
-PPC_REG_V6 = 83
-PPC_REG_V7 = 84
-PPC_REG_V8 = 85
-PPC_REG_V9 = 86
-PPC_REG_V10 = 87
-PPC_REG_V11 = 88
-PPC_REG_V12 = 89
-PPC_REG_V13 = 90
-PPC_REG_V14 = 91
-PPC_REG_V15 = 92
-PPC_REG_V16 = 93
-PPC_REG_V17 = 94
-PPC_REG_V18 = 95
-PPC_REG_V19 = 96
-PPC_REG_V20 = 97
-PPC_REG_V21 = 98
-PPC_REG_V22 = 99
-PPC_REG_V23 = 100
-PPC_REG_V24 = 101
-PPC_REG_V25 = 102
-PPC_REG_V26 = 103
-PPC_REG_V27 = 104
-PPC_REG_V28 = 105
-PPC_REG_V29 = 106
-PPC_REG_V30 = 107
-PPC_REG_V31 = 108
-PPC_REG_VRSAVE = 109
-PPC_REG_VS0 = 110
-PPC_REG_VS1 = 111
-PPC_REG_VS2 = 112
-PPC_REG_VS3 = 113
-PPC_REG_VS4 = 114
-PPC_REG_VS5 = 115
-PPC_REG_VS6 = 116
-PPC_REG_VS7 = 117
-PPC_REG_VS8 = 118
-PPC_REG_VS9 = 119
-PPC_REG_VS10 = 120
-PPC_REG_VS11 = 121
-PPC_REG_VS12 = 122
-PPC_REG_VS13 = 123
-PPC_REG_VS14 = 124
-PPC_REG_VS15 = 125
-PPC_REG_VS16 = 126
-PPC_REG_VS17 = 127
-PPC_REG_VS18 = 128
-PPC_REG_VS19 = 129
-PPC_REG_VS20 = 130
-PPC_REG_VS21 = 131
-PPC_REG_VS22 = 132
-PPC_REG_VS23 = 133
-PPC_REG_VS24 = 134
-PPC_REG_VS25 = 135
-PPC_REG_VS26 = 136
-PPC_REG_VS27 = 137
-PPC_REG_VS28 = 138
-PPC_REG_VS29 = 139
-PPC_REG_VS30 = 140
-PPC_REG_VS31 = 141
-PPC_REG_VS32 = 142
-PPC_REG_VS33 = 143
-PPC_REG_VS34 = 144
-PPC_REG_VS35 = 145
-PPC_REG_VS36 = 146
-PPC_REG_VS37 = 147
-PPC_REG_VS38 = 148
-PPC_REG_VS39 = 149
-PPC_REG_VS40 = 150
-PPC_REG_VS41 = 151
-PPC_REG_VS42 = 152
-PPC_REG_VS43 = 153
-PPC_REG_VS44 = 154
-PPC_REG_VS45 = 155
-PPC_REG_VS46 = 156
-PPC_REG_VS47 = 157
-PPC_REG_VS48 = 158
-PPC_REG_VS49 = 159
-PPC_REG_VS50 = 160
-PPC_REG_VS51 = 161
-PPC_REG_VS52 = 162
-PPC_REG_VS53 = 163
-PPC_REG_VS54 = 164
-PPC_REG_VS55 = 165
-PPC_REG_VS56 = 166
-PPC_REG_VS57 = 167
-PPC_REG_VS58 = 168
-PPC_REG_VS59 = 169
-PPC_REG_VS60 = 170
-PPC_REG_VS61 = 171
-PPC_REG_VS62 = 172
-PPC_REG_VS63 = 173
-PPC_REG_RM = 174
-PPC_REG_CTR8 = 175
-PPC_REG_LR8 = 176
-PPC_REG_CR1EQ = 177
-PPC_REG_ENDING = 178
-
-# Operand type for instruction's operands
-
 PPC_OP_INVALID = 0
 PPC_OP_REG = 1
 PPC_OP_IMM = 2
 PPC_OP_MEM = 3
 PPC_OP_CRX = 64
 
-# PPC instruction
+PPC_REG_INVALID = 0
+PPC_REG_CARRY = 1
+PPC_REG_CR0 = 2
+PPC_REG_CR1 = 3
+PPC_REG_CR2 = 4
+PPC_REG_CR3 = 5
+PPC_REG_CR4 = 6
+PPC_REG_CR5 = 7
+PPC_REG_CR6 = 8
+PPC_REG_CR7 = 9
+PPC_REG_CTR = 10
+PPC_REG_F0 = 11
+PPC_REG_F1 = 12
+PPC_REG_F2 = 13
+PPC_REG_F3 = 14
+PPC_REG_F4 = 15
+PPC_REG_F5 = 16
+PPC_REG_F6 = 17
+PPC_REG_F7 = 18
+PPC_REG_F8 = 19
+PPC_REG_F9 = 20
+PPC_REG_F10 = 21
+PPC_REG_F11 = 22
+PPC_REG_F12 = 23
+PPC_REG_F13 = 24
+PPC_REG_F14 = 25
+PPC_REG_F15 = 26
+PPC_REG_F16 = 27
+PPC_REG_F17 = 28
+PPC_REG_F18 = 29
+PPC_REG_F19 = 30
+PPC_REG_F20 = 31
+PPC_REG_F21 = 32
+PPC_REG_F22 = 33
+PPC_REG_F23 = 34
+PPC_REG_F24 = 35
+PPC_REG_F25 = 36
+PPC_REG_F26 = 37
+PPC_REG_F27 = 38
+PPC_REG_F28 = 39
+PPC_REG_F29 = 40
+PPC_REG_F30 = 41
+PPC_REG_F31 = 42
+PPC_REG_LR = 43
+PPC_REG_R0 = 44
+PPC_REG_R1 = 45
+PPC_REG_R2 = 46
+PPC_REG_R3 = 47
+PPC_REG_R4 = 48
+PPC_REG_R5 = 49
+PPC_REG_R6 = 50
+PPC_REG_R7 = 51
+PPC_REG_R8 = 52
+PPC_REG_R9 = 53
+PPC_REG_R10 = 54
+PPC_REG_R11 = 55
+PPC_REG_R12 = 56
+PPC_REG_R13 = 57
+PPC_REG_R14 = 58
+PPC_REG_R15 = 59
+PPC_REG_R16 = 60
+PPC_REG_R17 = 61
+PPC_REG_R18 = 62
+PPC_REG_R19 = 63
+PPC_REG_R20 = 64
+PPC_REG_R21 = 65
+PPC_REG_R22 = 66
+PPC_REG_R23 = 67
+PPC_REG_R24 = 68
+PPC_REG_R25 = 69
+PPC_REG_R26 = 70
+PPC_REG_R27 = 71
+PPC_REG_R28 = 72
+PPC_REG_R29 = 73
+PPC_REG_R30 = 74
+PPC_REG_R31 = 75
+PPC_REG_V0 = 76
+PPC_REG_V1 = 77
+PPC_REG_V2 = 78
+PPC_REG_V3 = 79
+PPC_REG_V4 = 80
+PPC_REG_V5 = 81
+PPC_REG_V6 = 82
+PPC_REG_V7 = 83
+PPC_REG_V8 = 84
+PPC_REG_V9 = 85
+PPC_REG_V10 = 86
+PPC_REG_V11 = 87
+PPC_REG_V12 = 88
+PPC_REG_V13 = 89
+PPC_REG_V14 = 90
+PPC_REG_V15 = 91
+PPC_REG_V16 = 92
+PPC_REG_V17 = 93
+PPC_REG_V18 = 94
+PPC_REG_V19 = 95
+PPC_REG_V20 = 96
+PPC_REG_V21 = 97
+PPC_REG_V22 = 98
+PPC_REG_V23 = 99
+PPC_REG_V24 = 100
+PPC_REG_V25 = 101
+PPC_REG_V26 = 102
+PPC_REG_V27 = 103
+PPC_REG_V28 = 104
+PPC_REG_V29 = 105
+PPC_REG_V30 = 106
+PPC_REG_V31 = 107
+PPC_REG_VRSAVE = 108
+PPC_REG_VS0 = 109
+PPC_REG_VS1 = 110
+PPC_REG_VS2 = 111
+PPC_REG_VS3 = 112
+PPC_REG_VS4 = 113
+PPC_REG_VS5 = 114
+PPC_REG_VS6 = 115
+PPC_REG_VS7 = 116
+PPC_REG_VS8 = 117
+PPC_REG_VS9 = 118
+PPC_REG_VS10 = 119
+PPC_REG_VS11 = 120
+PPC_REG_VS12 = 121
+PPC_REG_VS13 = 122
+PPC_REG_VS14 = 123
+PPC_REG_VS15 = 124
+PPC_REG_VS16 = 125
+PPC_REG_VS17 = 126
+PPC_REG_VS18 = 127
+PPC_REG_VS19 = 128
+PPC_REG_VS20 = 129
+PPC_REG_VS21 = 130
+PPC_REG_VS22 = 131
+PPC_REG_VS23 = 132
+PPC_REG_VS24 = 133
+PPC_REG_VS25 = 134
+PPC_REG_VS26 = 135
+PPC_REG_VS27 = 136
+PPC_REG_VS28 = 137
+PPC_REG_VS29 = 138
+PPC_REG_VS30 = 139
+PPC_REG_VS31 = 140
+PPC_REG_VS32 = 141
+PPC_REG_VS33 = 142
+PPC_REG_VS34 = 143
+PPC_REG_VS35 = 144
+PPC_REG_VS36 = 145
+PPC_REG_VS37 = 146
+PPC_REG_VS38 = 147
+PPC_REG_VS39 = 148
+PPC_REG_VS40 = 149
+PPC_REG_VS41 = 150
+PPC_REG_VS42 = 151
+PPC_REG_VS43 = 152
+PPC_REG_VS44 = 153
+PPC_REG_VS45 = 154
+PPC_REG_VS46 = 155
+PPC_REG_VS47 = 156
+PPC_REG_VS48 = 157
+PPC_REG_VS49 = 158
+PPC_REG_VS50 = 159
+PPC_REG_VS51 = 160
+PPC_REG_VS52 = 161
+PPC_REG_VS53 = 162
+PPC_REG_VS54 = 163
+PPC_REG_VS55 = 164
+PPC_REG_VS56 = 165
+PPC_REG_VS57 = 166
+PPC_REG_VS58 = 167
+PPC_REG_VS59 = 168
+PPC_REG_VS60 = 169
+PPC_REG_VS61 = 170
+PPC_REG_VS62 = 171
+PPC_REG_VS63 = 172
+PPC_REG_Q0 = 173
+PPC_REG_Q1 = 174
+PPC_REG_Q2 = 175
+PPC_REG_Q3 = 176
+PPC_REG_Q4 = 177
+PPC_REG_Q5 = 178
+PPC_REG_Q6 = 179
+PPC_REG_Q7 = 180
+PPC_REG_Q8 = 181
+PPC_REG_Q9 = 182
+PPC_REG_Q10 = 183
+PPC_REG_Q11 = 184
+PPC_REG_Q12 = 185
+PPC_REG_Q13 = 186
+PPC_REG_Q14 = 187
+PPC_REG_Q15 = 188
+PPC_REG_Q16 = 189
+PPC_REG_Q17 = 190
+PPC_REG_Q18 = 191
+PPC_REG_Q19 = 192
+PPC_REG_Q20 = 193
+PPC_REG_Q21 = 194
+PPC_REG_Q22 = 195
+PPC_REG_Q23 = 196
+PPC_REG_Q24 = 197
+PPC_REG_Q25 = 198
+PPC_REG_Q26 = 199
+PPC_REG_Q27 = 200
+PPC_REG_Q28 = 201
+PPC_REG_Q29 = 202
+PPC_REG_Q30 = 203
+PPC_REG_Q31 = 204
+PPC_REG_RM = 205
+PPC_REG_CTR8 = 206
+PPC_REG_LR8 = 207
+PPC_REG_CR1EQ = 208
+PPC_REG_X2 = 209
+PPC_REG_ENDING = 210
 
 PPC_INS_INVALID = 0
 PPC_INS_ADD = 1
@@ -225,937 +247,1107 @@ PPC_INS_AND = 9
 PPC_INS_ANDC = 10
 PPC_INS_ANDIS = 11
 PPC_INS_ANDI = 12
-PPC_INS_B = 13
-PPC_INS_BA = 14
-PPC_INS_BC = 15
-PPC_INS_BCCTR = 16
-PPC_INS_BCCTRL = 17
-PPC_INS_BCL = 18
-PPC_INS_BCLR = 19
-PPC_INS_BCLRL = 20
-PPC_INS_BCTR = 21
-PPC_INS_BCTRL = 22
-PPC_INS_BDNZ = 23
-PPC_INS_BDNZA = 24
-PPC_INS_BDNZL = 25
-PPC_INS_BDNZLA = 26
-PPC_INS_BDNZLR = 27
-PPC_INS_BDNZLRL = 28
-PPC_INS_BDZ = 29
-PPC_INS_BDZA = 30
-PPC_INS_BDZL = 31
-PPC_INS_BDZLA = 32
-PPC_INS_BDZLR = 33
-PPC_INS_BDZLRL = 34
-PPC_INS_BL = 35
-PPC_INS_BLA = 36
-PPC_INS_BLR = 37
-PPC_INS_BLRL = 38
-PPC_INS_BRINC = 39
-PPC_INS_CMPD = 40
-PPC_INS_CMPDI = 41
-PPC_INS_CMPLD = 42
-PPC_INS_CMPLDI = 43
-PPC_INS_CMPLW = 44
-PPC_INS_CMPLWI = 45
-PPC_INS_CMPW = 46
-PPC_INS_CMPWI = 47
-PPC_INS_CNTLZD = 48
-PPC_INS_CNTLZW = 49
-PPC_INS_CREQV = 50
-PPC_INS_CRXOR = 51
-PPC_INS_CRAND = 52
-PPC_INS_CRANDC = 53
-PPC_INS_CRNAND = 54
-PPC_INS_CRNOR = 55
-PPC_INS_CROR = 56
-PPC_INS_CRORC = 57
-PPC_INS_DCBA = 58
-PPC_INS_DCBF = 59
-PPC_INS_DCBI = 60
-PPC_INS_DCBST = 61
-PPC_INS_DCBT = 62
-PPC_INS_DCBTST = 63
-PPC_INS_DCBZ = 64
-PPC_INS_DCBZL = 65
-PPC_INS_DCCCI = 66
-PPC_INS_DIVD = 67
-PPC_INS_DIVDU = 68
-PPC_INS_DIVW = 69
-PPC_INS_DIVWU = 70
-PPC_INS_DSS = 71
-PPC_INS_DSSALL = 72
-PPC_INS_DST = 73
-PPC_INS_DSTST = 74
-PPC_INS_DSTSTT = 75
-PPC_INS_DSTT = 76
-PPC_INS_EIEIO = 77
-PPC_INS_EQV = 78
-PPC_INS_EVABS = 79
-PPC_INS_EVADDIW = 80
-PPC_INS_EVADDSMIAAW = 81
-PPC_INS_EVADDSSIAAW = 82
-PPC_INS_EVADDUMIAAW = 83
-PPC_INS_EVADDUSIAAW = 84
-PPC_INS_EVADDW = 85
-PPC_INS_EVAND = 86
-PPC_INS_EVANDC = 87
-PPC_INS_EVCMPEQ = 88
-PPC_INS_EVCMPGTS = 89
-PPC_INS_EVCMPGTU = 90
-PPC_INS_EVCMPLTS = 91
-PPC_INS_EVCMPLTU = 92
-PPC_INS_EVCNTLSW = 93
-PPC_INS_EVCNTLZW = 94
-PPC_INS_EVDIVWS = 95
-PPC_INS_EVDIVWU = 96
-PPC_INS_EVEQV = 97
-PPC_INS_EVEXTSB = 98
-PPC_INS_EVEXTSH = 99
-PPC_INS_EVLDD = 100
-PPC_INS_EVLDDX = 101
-PPC_INS_EVLDH = 102
-PPC_INS_EVLDHX = 103
-PPC_INS_EVLDW = 104
-PPC_INS_EVLDWX = 105
-PPC_INS_EVLHHESPLAT = 106
-PPC_INS_EVLHHESPLATX = 107
-PPC_INS_EVLHHOSSPLAT = 108
-PPC_INS_EVLHHOSSPLATX = 109
-PPC_INS_EVLHHOUSPLAT = 110
-PPC_INS_EVLHHOUSPLATX = 111
-PPC_INS_EVLWHE = 112
-PPC_INS_EVLWHEX = 113
-PPC_INS_EVLWHOS = 114
-PPC_INS_EVLWHOSX = 115
-PPC_INS_EVLWHOU = 116
-PPC_INS_EVLWHOUX = 117
-PPC_INS_EVLWHSPLAT = 118
-PPC_INS_EVLWHSPLATX = 119
-PPC_INS_EVLWWSPLAT = 120
-PPC_INS_EVLWWSPLATX = 121
-PPC_INS_EVMERGEHI = 122
-PPC_INS_EVMERGEHILO = 123
-PPC_INS_EVMERGELO = 124
-PPC_INS_EVMERGELOHI = 125
-PPC_INS_EVMHEGSMFAA = 126
-PPC_INS_EVMHEGSMFAN = 127
-PPC_INS_EVMHEGSMIAA = 128
-PPC_INS_EVMHEGSMIAN = 129
-PPC_INS_EVMHEGUMIAA = 130
-PPC_INS_EVMHEGUMIAN = 131
-PPC_INS_EVMHESMF = 132
-PPC_INS_EVMHESMFA = 133
-PPC_INS_EVMHESMFAAW = 134
-PPC_INS_EVMHESMFANW = 135
-PPC_INS_EVMHESMI = 136
-PPC_INS_EVMHESMIA = 137
-PPC_INS_EVMHESMIAAW = 138
-PPC_INS_EVMHESMIANW = 139
-PPC_INS_EVMHESSF = 140
-PPC_INS_EVMHESSFA = 141
-PPC_INS_EVMHESSFAAW = 142
-PPC_INS_EVMHESSFANW = 143
-PPC_INS_EVMHESSIAAW = 144
-PPC_INS_EVMHESSIANW = 145
-PPC_INS_EVMHEUMI = 146
-PPC_INS_EVMHEUMIA = 147
-PPC_INS_EVMHEUMIAAW = 148
-PPC_INS_EVMHEUMIANW = 149
-PPC_INS_EVMHEUSIAAW = 150
-PPC_INS_EVMHEUSIANW = 151
-PPC_INS_EVMHOGSMFAA = 152
-PPC_INS_EVMHOGSMFAN = 153
-PPC_INS_EVMHOGSMIAA = 154
-PPC_INS_EVMHOGSMIAN = 155
-PPC_INS_EVMHOGUMIAA = 156
-PPC_INS_EVMHOGUMIAN = 157
-PPC_INS_EVMHOSMF = 158
-PPC_INS_EVMHOSMFA = 159
-PPC_INS_EVMHOSMFAAW = 160
-PPC_INS_EVMHOSMFANW = 161
-PPC_INS_EVMHOSMI = 162
-PPC_INS_EVMHOSMIA = 163
-PPC_INS_EVMHOSMIAAW = 164
-PPC_INS_EVMHOSMIANW = 165
-PPC_INS_EVMHOSSF = 166
-PPC_INS_EVMHOSSFA = 167
-PPC_INS_EVMHOSSFAAW = 168
-PPC_INS_EVMHOSSFANW = 169
-PPC_INS_EVMHOSSIAAW = 170
-PPC_INS_EVMHOSSIANW = 171
-PPC_INS_EVMHOUMI = 172
-PPC_INS_EVMHOUMIA = 173
-PPC_INS_EVMHOUMIAAW = 174
-PPC_INS_EVMHOUMIANW = 175
-PPC_INS_EVMHOUSIAAW = 176
-PPC_INS_EVMHOUSIANW = 177
-PPC_INS_EVMRA = 178
-PPC_INS_EVMWHSMF = 179
-PPC_INS_EVMWHSMFA = 180
-PPC_INS_EVMWHSMI = 181
-PPC_INS_EVMWHSMIA = 182
-PPC_INS_EVMWHSSF = 183
-PPC_INS_EVMWHSSFA = 184
-PPC_INS_EVMWHUMI = 185
-PPC_INS_EVMWHUMIA = 186
-PPC_INS_EVMWLSMIAAW = 187
-PPC_INS_EVMWLSMIANW = 188
-PPC_INS_EVMWLSSIAAW = 189
-PPC_INS_EVMWLSSIANW = 190
-PPC_INS_EVMWLUMI = 191
-PPC_INS_EVMWLUMIA = 192
-PPC_INS_EVMWLUMIAAW = 193
-PPC_INS_EVMWLUMIANW = 194
-PPC_INS_EVMWLUSIAAW = 195
-PPC_INS_EVMWLUSIANW = 196
-PPC_INS_EVMWSMF = 197
-PPC_INS_EVMWSMFA = 198
-PPC_INS_EVMWSMFAA = 199
-PPC_INS_EVMWSMFAN = 200
-PPC_INS_EVMWSMI = 201
-PPC_INS_EVMWSMIA = 202
-PPC_INS_EVMWSMIAA = 203
-PPC_INS_EVMWSMIAN = 204
-PPC_INS_EVMWSSF = 205
-PPC_INS_EVMWSSFA = 206
-PPC_INS_EVMWSSFAA = 207
-PPC_INS_EVMWSSFAN = 208
-PPC_INS_EVMWUMI = 209
-PPC_INS_EVMWUMIA = 210
-PPC_INS_EVMWUMIAA = 211
-PPC_INS_EVMWUMIAN = 212
-PPC_INS_EVNAND = 213
-PPC_INS_EVNEG = 214
-PPC_INS_EVNOR = 215
-PPC_INS_EVOR = 216
-PPC_INS_EVORC = 217
-PPC_INS_EVRLW = 218
-PPC_INS_EVRLWI = 219
-PPC_INS_EVRNDW = 220
-PPC_INS_EVSLW = 221
-PPC_INS_EVSLWI = 222
-PPC_INS_EVSPLATFI = 223
-PPC_INS_EVSPLATI = 224
-PPC_INS_EVSRWIS = 225
-PPC_INS_EVSRWIU = 226
-PPC_INS_EVSRWS = 227
-PPC_INS_EVSRWU = 228
-PPC_INS_EVSTDD = 229
-PPC_INS_EVSTDDX = 230
-PPC_INS_EVSTDH = 231
-PPC_INS_EVSTDHX = 232
-PPC_INS_EVSTDW = 233
-PPC_INS_EVSTDWX = 234
-PPC_INS_EVSTWHE = 235
-PPC_INS_EVSTWHEX = 236
-PPC_INS_EVSTWHO = 237
-PPC_INS_EVSTWHOX = 238
-PPC_INS_EVSTWWE = 239
-PPC_INS_EVSTWWEX = 240
-PPC_INS_EVSTWWO = 241
-PPC_INS_EVSTWWOX = 242
-PPC_INS_EVSUBFSMIAAW = 243
-PPC_INS_EVSUBFSSIAAW = 244
-PPC_INS_EVSUBFUMIAAW = 245
-PPC_INS_EVSUBFUSIAAW = 246
-PPC_INS_EVSUBFW = 247
-PPC_INS_EVSUBIFW = 248
-PPC_INS_EVXOR = 249
-PPC_INS_EXTSB = 250
-PPC_INS_EXTSH = 251
-PPC_INS_EXTSW = 252
-PPC_INS_FABS = 253
-PPC_INS_FADD = 254
-PPC_INS_FADDS = 255
-PPC_INS_FCFID = 256
-PPC_INS_FCFIDS = 257
-PPC_INS_FCFIDU = 258
-PPC_INS_FCFIDUS = 259
-PPC_INS_FCMPU = 260
-PPC_INS_FCPSGN = 261
-PPC_INS_FCTID = 262
-PPC_INS_FCTIDUZ = 263
-PPC_INS_FCTIDZ = 264
-PPC_INS_FCTIW = 265
-PPC_INS_FCTIWUZ = 266
-PPC_INS_FCTIWZ = 267
-PPC_INS_FDIV = 268
-PPC_INS_FDIVS = 269
-PPC_INS_FMADD = 270
-PPC_INS_FMADDS = 271
-PPC_INS_FMR = 272
-PPC_INS_FMSUB = 273
-PPC_INS_FMSUBS = 274
-PPC_INS_FMUL = 275
-PPC_INS_FMULS = 276
-PPC_INS_FNABS = 277
-PPC_INS_FNEG = 278
-PPC_INS_FNMADD = 279
-PPC_INS_FNMADDS = 280
-PPC_INS_FNMSUB = 281
-PPC_INS_FNMSUBS = 282
-PPC_INS_FRE = 283
-PPC_INS_FRES = 284
-PPC_INS_FRIM = 285
-PPC_INS_FRIN = 286
-PPC_INS_FRIP = 287
-PPC_INS_FRIZ = 288
-PPC_INS_FRSP = 289
-PPC_INS_FRSQRTE = 290
-PPC_INS_FRSQRTES = 291
-PPC_INS_FSEL = 292
-PPC_INS_FSQRT = 293
-PPC_INS_FSQRTS = 294
-PPC_INS_FSUB = 295
-PPC_INS_FSUBS = 296
-PPC_INS_ICBI = 297
-PPC_INS_ICCCI = 298
-PPC_INS_ISEL = 299
-PPC_INS_ISYNC = 300
-PPC_INS_LA = 301
-PPC_INS_LBZ = 302
-PPC_INS_LBZU = 303
-PPC_INS_LBZUX = 304
-PPC_INS_LBZX = 305
-PPC_INS_LD = 306
-PPC_INS_LDARX = 307
-PPC_INS_LDBRX = 308
-PPC_INS_LDU = 309
-PPC_INS_LDUX = 310
-PPC_INS_LDX = 311
-PPC_INS_LFD = 312
-PPC_INS_LFDU = 313
-PPC_INS_LFDUX = 314
-PPC_INS_LFDX = 315
-PPC_INS_LFIWAX = 316
-PPC_INS_LFIWZX = 317
-PPC_INS_LFS = 318
-PPC_INS_LFSU = 319
-PPC_INS_LFSUX = 320
-PPC_INS_LFSX = 321
-PPC_INS_LHA = 322
-PPC_INS_LHAU = 323
-PPC_INS_LHAUX = 324
-PPC_INS_LHAX = 325
-PPC_INS_LHBRX = 326
-PPC_INS_LHZ = 327
-PPC_INS_LHZU = 328
-PPC_INS_LHZUX = 329
-PPC_INS_LHZX = 330
-PPC_INS_LI = 331
-PPC_INS_LIS = 332
-PPC_INS_LMW = 333
-PPC_INS_LSWI = 334
-PPC_INS_LVEBX = 335
-PPC_INS_LVEHX = 336
-PPC_INS_LVEWX = 337
-PPC_INS_LVSL = 338
-PPC_INS_LVSR = 339
-PPC_INS_LVX = 340
-PPC_INS_LVXL = 341
-PPC_INS_LWA = 342
-PPC_INS_LWARX = 343
-PPC_INS_LWAUX = 344
-PPC_INS_LWAX = 345
-PPC_INS_LWBRX = 346
-PPC_INS_LWZ = 347
-PPC_INS_LWZU = 348
-PPC_INS_LWZUX = 349
-PPC_INS_LWZX = 350
-PPC_INS_LXSDX = 351
-PPC_INS_LXVD2X = 352
-PPC_INS_LXVDSX = 353
-PPC_INS_LXVW4X = 354
-PPC_INS_MBAR = 355
-PPC_INS_MCRF = 356
-PPC_INS_MFCR = 357
-PPC_INS_MFCTR = 358
-PPC_INS_MFDCR = 359
-PPC_INS_MFFS = 360
-PPC_INS_MFLR = 361
-PPC_INS_MFMSR = 362
-PPC_INS_MFOCRF = 363
-PPC_INS_MFSPR = 364
-PPC_INS_MFSR = 365
-PPC_INS_MFSRIN = 366
-PPC_INS_MFTB = 367
-PPC_INS_MFVSCR = 368
-PPC_INS_MSYNC = 369
-PPC_INS_MTCRF = 370
-PPC_INS_MTCTR = 371
-PPC_INS_MTDCR = 372
-PPC_INS_MTFSB0 = 373
-PPC_INS_MTFSB1 = 374
-PPC_INS_MTFSF = 375
-PPC_INS_MTLR = 376
-PPC_INS_MTMSR = 377
-PPC_INS_MTMSRD = 378
-PPC_INS_MTOCRF = 379
-PPC_INS_MTSPR = 380
-PPC_INS_MTSR = 381
-PPC_INS_MTSRIN = 382
-PPC_INS_MTVSCR = 383
-PPC_INS_MULHD = 384
-PPC_INS_MULHDU = 385
-PPC_INS_MULHW = 386
-PPC_INS_MULHWU = 387
-PPC_INS_MULLD = 388
-PPC_INS_MULLI = 389
-PPC_INS_MULLW = 390
-PPC_INS_NAND = 391
-PPC_INS_NEG = 392
-PPC_INS_NOP = 393
-PPC_INS_ORI = 394
-PPC_INS_NOR = 395
-PPC_INS_OR = 396
-PPC_INS_ORC = 397
-PPC_INS_ORIS = 398
-PPC_INS_POPCNTD = 399
-PPC_INS_POPCNTW = 400
-PPC_INS_RFCI = 401
-PPC_INS_RFDI = 402
-PPC_INS_RFI = 403
-PPC_INS_RFID = 404
-PPC_INS_RFMCI = 405
-PPC_INS_RLDCL = 406
-PPC_INS_RLDCR = 407
-PPC_INS_RLDIC = 408
-PPC_INS_RLDICL = 409
-PPC_INS_RLDICR = 410
-PPC_INS_RLDIMI = 411
-PPC_INS_RLWIMI = 412
-PPC_INS_RLWINM = 413
-PPC_INS_RLWNM = 414
-PPC_INS_SC = 415
-PPC_INS_SLBIA = 416
-PPC_INS_SLBIE = 417
-PPC_INS_SLBMFEE = 418
-PPC_INS_SLBMTE = 419
-PPC_INS_SLD = 420
-PPC_INS_SLW = 421
-PPC_INS_SRAD = 422
-PPC_INS_SRADI = 423
-PPC_INS_SRAW = 424
-PPC_INS_SRAWI = 425
-PPC_INS_SRD = 426
-PPC_INS_SRW = 427
-PPC_INS_STB = 428
-PPC_INS_STBU = 429
-PPC_INS_STBUX = 430
-PPC_INS_STBX = 431
-PPC_INS_STD = 432
-PPC_INS_STDBRX = 433
-PPC_INS_STDCX = 434
-PPC_INS_STDU = 435
-PPC_INS_STDUX = 436
-PPC_INS_STDX = 437
-PPC_INS_STFD = 438
-PPC_INS_STFDU = 439
-PPC_INS_STFDUX = 440
-PPC_INS_STFDX = 441
-PPC_INS_STFIWX = 442
-PPC_INS_STFS = 443
-PPC_INS_STFSU = 444
-PPC_INS_STFSUX = 445
-PPC_INS_STFSX = 446
-PPC_INS_STH = 447
-PPC_INS_STHBRX = 448
-PPC_INS_STHU = 449
-PPC_INS_STHUX = 450
-PPC_INS_STHX = 451
-PPC_INS_STMW = 452
-PPC_INS_STSWI = 453
-PPC_INS_STVEBX = 454
-PPC_INS_STVEHX = 455
-PPC_INS_STVEWX = 456
-PPC_INS_STVX = 457
-PPC_INS_STVXL = 458
-PPC_INS_STW = 459
-PPC_INS_STWBRX = 460
-PPC_INS_STWCX = 461
-PPC_INS_STWU = 462
-PPC_INS_STWUX = 463
-PPC_INS_STWX = 464
-PPC_INS_STXSDX = 465
-PPC_INS_STXVD2X = 466
-PPC_INS_STXVW4X = 467
-PPC_INS_SUBF = 468
-PPC_INS_SUBFC = 469
-PPC_INS_SUBFE = 470
-PPC_INS_SUBFIC = 471
-PPC_INS_SUBFME = 472
-PPC_INS_SUBFZE = 473
-PPC_INS_SYNC = 474
-PPC_INS_TD = 475
-PPC_INS_TDI = 476
-PPC_INS_TLBIA = 477
-PPC_INS_TLBIE = 478
-PPC_INS_TLBIEL = 479
-PPC_INS_TLBIVAX = 480
-PPC_INS_TLBLD = 481
-PPC_INS_TLBLI = 482
-PPC_INS_TLBRE = 483
-PPC_INS_TLBSX = 484
-PPC_INS_TLBSYNC = 485
-PPC_INS_TLBWE = 486
-PPC_INS_TRAP = 487
-PPC_INS_TW = 488
-PPC_INS_TWI = 489
-PPC_INS_VADDCUW = 490
-PPC_INS_VADDFP = 491
-PPC_INS_VADDSBS = 492
-PPC_INS_VADDSHS = 493
-PPC_INS_VADDSWS = 494
-PPC_INS_VADDUBM = 495
-PPC_INS_VADDUBS = 496
-PPC_INS_VADDUHM = 497
-PPC_INS_VADDUHS = 498
-PPC_INS_VADDUWM = 499
-PPC_INS_VADDUWS = 500
-PPC_INS_VAND = 501
-PPC_INS_VANDC = 502
-PPC_INS_VAVGSB = 503
-PPC_INS_VAVGSH = 504
-PPC_INS_VAVGSW = 505
-PPC_INS_VAVGUB = 506
-PPC_INS_VAVGUH = 507
-PPC_INS_VAVGUW = 508
-PPC_INS_VCFSX = 509
-PPC_INS_VCFUX = 510
-PPC_INS_VCMPBFP = 511
-PPC_INS_VCMPEQFP = 512
-PPC_INS_VCMPEQUB = 513
-PPC_INS_VCMPEQUH = 514
-PPC_INS_VCMPEQUW = 515
-PPC_INS_VCMPGEFP = 516
-PPC_INS_VCMPGTFP = 517
-PPC_INS_VCMPGTSB = 518
-PPC_INS_VCMPGTSH = 519
-PPC_INS_VCMPGTSW = 520
-PPC_INS_VCMPGTUB = 521
-PPC_INS_VCMPGTUH = 522
-PPC_INS_VCMPGTUW = 523
-PPC_INS_VCTSXS = 524
-PPC_INS_VCTUXS = 525
-PPC_INS_VEXPTEFP = 526
-PPC_INS_VLOGEFP = 527
-PPC_INS_VMADDFP = 528
-PPC_INS_VMAXFP = 529
-PPC_INS_VMAXSB = 530
-PPC_INS_VMAXSH = 531
-PPC_INS_VMAXSW = 532
-PPC_INS_VMAXUB = 533
-PPC_INS_VMAXUH = 534
-PPC_INS_VMAXUW = 535
-PPC_INS_VMHADDSHS = 536
-PPC_INS_VMHRADDSHS = 537
-PPC_INS_VMINFP = 538
-PPC_INS_VMINSB = 539
-PPC_INS_VMINSH = 540
-PPC_INS_VMINSW = 541
-PPC_INS_VMINUB = 542
-PPC_INS_VMINUH = 543
-PPC_INS_VMINUW = 544
-PPC_INS_VMLADDUHM = 545
-PPC_INS_VMRGHB = 546
-PPC_INS_VMRGHH = 547
-PPC_INS_VMRGHW = 548
-PPC_INS_VMRGLB = 549
-PPC_INS_VMRGLH = 550
-PPC_INS_VMRGLW = 551
-PPC_INS_VMSUMMBM = 552
-PPC_INS_VMSUMSHM = 553
-PPC_INS_VMSUMSHS = 554
-PPC_INS_VMSUMUBM = 555
-PPC_INS_VMSUMUHM = 556
-PPC_INS_VMSUMUHS = 557
-PPC_INS_VMULESB = 558
-PPC_INS_VMULESH = 559
-PPC_INS_VMULEUB = 560
-PPC_INS_VMULEUH = 561
-PPC_INS_VMULOSB = 562
-PPC_INS_VMULOSH = 563
-PPC_INS_VMULOUB = 564
-PPC_INS_VMULOUH = 565
-PPC_INS_VNMSUBFP = 566
-PPC_INS_VNOR = 567
-PPC_INS_VOR = 568
-PPC_INS_VPERM = 569
-PPC_INS_VPKPX = 570
-PPC_INS_VPKSHSS = 571
-PPC_INS_VPKSHUS = 572
-PPC_INS_VPKSWSS = 573
-PPC_INS_VPKSWUS = 574
-PPC_INS_VPKUHUM = 575
-PPC_INS_VPKUHUS = 576
-PPC_INS_VPKUWUM = 577
-PPC_INS_VPKUWUS = 578
-PPC_INS_VREFP = 579
-PPC_INS_VRFIM = 580
-PPC_INS_VRFIN = 581
-PPC_INS_VRFIP = 582
-PPC_INS_VRFIZ = 583
-PPC_INS_VRLB = 584
-PPC_INS_VRLH = 585
-PPC_INS_VRLW = 586
-PPC_INS_VRSQRTEFP = 587
-PPC_INS_VSEL = 588
-PPC_INS_VSL = 589
-PPC_INS_VSLB = 590
-PPC_INS_VSLDOI = 591
-PPC_INS_VSLH = 592
-PPC_INS_VSLO = 593
-PPC_INS_VSLW = 594
-PPC_INS_VSPLTB = 595
-PPC_INS_VSPLTH = 596
-PPC_INS_VSPLTISB = 597
-PPC_INS_VSPLTISH = 598
-PPC_INS_VSPLTISW = 599
-PPC_INS_VSPLTW = 600
-PPC_INS_VSR = 601
-PPC_INS_VSRAB = 602
-PPC_INS_VSRAH = 603
-PPC_INS_VSRAW = 604
-PPC_INS_VSRB = 605
-PPC_INS_VSRH = 606
-PPC_INS_VSRO = 607
-PPC_INS_VSRW = 608
-PPC_INS_VSUBCUW = 609
-PPC_INS_VSUBFP = 610
-PPC_INS_VSUBSBS = 611
-PPC_INS_VSUBSHS = 612
-PPC_INS_VSUBSWS = 613
-PPC_INS_VSUBUBM = 614
-PPC_INS_VSUBUBS = 615
-PPC_INS_VSUBUHM = 616
-PPC_INS_VSUBUHS = 617
-PPC_INS_VSUBUWM = 618
-PPC_INS_VSUBUWS = 619
-PPC_INS_VSUM2SWS = 620
-PPC_INS_VSUM4SBS = 621
-PPC_INS_VSUM4SHS = 622
-PPC_INS_VSUM4UBS = 623
-PPC_INS_VSUMSWS = 624
-PPC_INS_VUPKHPX = 625
-PPC_INS_VUPKHSB = 626
-PPC_INS_VUPKHSH = 627
-PPC_INS_VUPKLPX = 628
-PPC_INS_VUPKLSB = 629
-PPC_INS_VUPKLSH = 630
-PPC_INS_VXOR = 631
-PPC_INS_WAIT = 632
-PPC_INS_WRTEE = 633
-PPC_INS_WRTEEI = 634
-PPC_INS_XOR = 635
-PPC_INS_XORI = 636
-PPC_INS_XORIS = 637
-PPC_INS_XSABSDP = 638
-PPC_INS_XSADDDP = 639
-PPC_INS_XSCMPODP = 640
-PPC_INS_XSCMPUDP = 641
-PPC_INS_XSCPSGNDP = 642
-PPC_INS_XSCVDPSP = 643
-PPC_INS_XSCVDPSXDS = 644
-PPC_INS_XSCVDPSXWS = 645
-PPC_INS_XSCVDPUXDS = 646
-PPC_INS_XSCVDPUXWS = 647
-PPC_INS_XSCVSPDP = 648
-PPC_INS_XSCVSXDDP = 649
-PPC_INS_XSCVUXDDP = 650
-PPC_INS_XSDIVDP = 651
-PPC_INS_XSMADDADP = 652
-PPC_INS_XSMADDMDP = 653
-PPC_INS_XSMAXDP = 654
-PPC_INS_XSMINDP = 655
-PPC_INS_XSMSUBADP = 656
-PPC_INS_XSMSUBMDP = 657
-PPC_INS_XSMULDP = 658
-PPC_INS_XSNABSDP = 659
-PPC_INS_XSNEGDP = 660
-PPC_INS_XSNMADDADP = 661
-PPC_INS_XSNMADDMDP = 662
-PPC_INS_XSNMSUBADP = 663
-PPC_INS_XSNMSUBMDP = 664
-PPC_INS_XSRDPI = 665
-PPC_INS_XSRDPIC = 666
-PPC_INS_XSRDPIM = 667
-PPC_INS_XSRDPIP = 668
-PPC_INS_XSRDPIZ = 669
-PPC_INS_XSREDP = 670
-PPC_INS_XSRSQRTEDP = 671
-PPC_INS_XSSQRTDP = 672
-PPC_INS_XSSUBDP = 673
-PPC_INS_XSTDIVDP = 674
-PPC_INS_XSTSQRTDP = 675
-PPC_INS_XVABSDP = 676
-PPC_INS_XVABSSP = 677
-PPC_INS_XVADDDP = 678
-PPC_INS_XVADDSP = 679
-PPC_INS_XVCMPEQDP = 680
-PPC_INS_XVCMPEQSP = 681
-PPC_INS_XVCMPGEDP = 682
-PPC_INS_XVCMPGESP = 683
-PPC_INS_XVCMPGTDP = 684
-PPC_INS_XVCMPGTSP = 685
-PPC_INS_XVCPSGNDP = 686
-PPC_INS_XVCPSGNSP = 687
-PPC_INS_XVCVDPSP = 688
-PPC_INS_XVCVDPSXDS = 689
-PPC_INS_XVCVDPSXWS = 690
-PPC_INS_XVCVDPUXDS = 691
-PPC_INS_XVCVDPUXWS = 692
-PPC_INS_XVCVSPDP = 693
-PPC_INS_XVCVSPSXDS = 694
-PPC_INS_XVCVSPSXWS = 695
-PPC_INS_XVCVSPUXDS = 696
-PPC_INS_XVCVSPUXWS = 697
-PPC_INS_XVCVSXDDP = 698
-PPC_INS_XVCVSXDSP = 699
-PPC_INS_XVCVSXWDP = 700
-PPC_INS_XVCVSXWSP = 701
-PPC_INS_XVCVUXDDP = 702
-PPC_INS_XVCVUXDSP = 703
-PPC_INS_XVCVUXWDP = 704
-PPC_INS_XVCVUXWSP = 705
-PPC_INS_XVDIVDP = 706
-PPC_INS_XVDIVSP = 707
-PPC_INS_XVMADDADP = 708
-PPC_INS_XVMADDASP = 709
-PPC_INS_XVMADDMDP = 710
-PPC_INS_XVMADDMSP = 711
-PPC_INS_XVMAXDP = 712
-PPC_INS_XVMAXSP = 713
-PPC_INS_XVMINDP = 714
-PPC_INS_XVMINSP = 715
-PPC_INS_XVMSUBADP = 716
-PPC_INS_XVMSUBASP = 717
-PPC_INS_XVMSUBMDP = 718
-PPC_INS_XVMSUBMSP = 719
-PPC_INS_XVMULDP = 720
-PPC_INS_XVMULSP = 721
-PPC_INS_XVNABSDP = 722
-PPC_INS_XVNABSSP = 723
-PPC_INS_XVNEGDP = 724
-PPC_INS_XVNEGSP = 725
-PPC_INS_XVNMADDADP = 726
-PPC_INS_XVNMADDASP = 727
-PPC_INS_XVNMADDMDP = 728
-PPC_INS_XVNMADDMSP = 729
-PPC_INS_XVNMSUBADP = 730
-PPC_INS_XVNMSUBASP = 731
-PPC_INS_XVNMSUBMDP = 732
-PPC_INS_XVNMSUBMSP = 733
-PPC_INS_XVRDPI = 734
-PPC_INS_XVRDPIC = 735
-PPC_INS_XVRDPIM = 736
-PPC_INS_XVRDPIP = 737
-PPC_INS_XVRDPIZ = 738
-PPC_INS_XVREDP = 739
-PPC_INS_XVRESP = 740
-PPC_INS_XVRSPI = 741
-PPC_INS_XVRSPIC = 742
-PPC_INS_XVRSPIM = 743
-PPC_INS_XVRSPIP = 744
-PPC_INS_XVRSPIZ = 745
-PPC_INS_XVRSQRTEDP = 746
-PPC_INS_XVRSQRTESP = 747
-PPC_INS_XVSQRTDP = 748
-PPC_INS_XVSQRTSP = 749
-PPC_INS_XVSUBDP = 750
-PPC_INS_XVSUBSP = 751
-PPC_INS_XVTDIVDP = 752
-PPC_INS_XVTDIVSP = 753
-PPC_INS_XVTSQRTDP = 754
-PPC_INS_XVTSQRTSP = 755
-PPC_INS_XXLAND = 756
-PPC_INS_XXLANDC = 757
-PPC_INS_XXLNOR = 758
-PPC_INS_XXLOR = 759
-PPC_INS_XXLXOR = 760
-PPC_INS_XXMRGHW = 761
-PPC_INS_XXMRGLW = 762
-PPC_INS_XXPERMDI = 763
-PPC_INS_XXSEL = 764
-PPC_INS_XXSLDWI = 765
-PPC_INS_XXSPLTW = 766
-PPC_INS_BCA = 767
-PPC_INS_BCLA = 768
-PPC_INS_SLWI = 769
-PPC_INS_SRWI = 770
-PPC_INS_SLDI = 771
-PPC_INS_BTA = 772
-PPC_INS_CRSET = 773
-PPC_INS_CRNOT = 774
-PPC_INS_CRMOVE = 775
-PPC_INS_CRCLR = 776
-PPC_INS_MFBR0 = 777
-PPC_INS_MFBR1 = 778
-PPC_INS_MFBR2 = 779
-PPC_INS_MFBR3 = 780
-PPC_INS_MFBR4 = 781
-PPC_INS_MFBR5 = 782
-PPC_INS_MFBR6 = 783
-PPC_INS_MFBR7 = 784
-PPC_INS_MFXER = 785
-PPC_INS_MFRTCU = 786
-PPC_INS_MFRTCL = 787
-PPC_INS_MFDSCR = 788
-PPC_INS_MFDSISR = 789
-PPC_INS_MFDAR = 790
-PPC_INS_MFSRR2 = 791
-PPC_INS_MFSRR3 = 792
-PPC_INS_MFCFAR = 793
-PPC_INS_MFAMR = 794
-PPC_INS_MFPID = 795
-PPC_INS_MFTBLO = 796
-PPC_INS_MFTBHI = 797
-PPC_INS_MFDBATU = 798
-PPC_INS_MFDBATL = 799
-PPC_INS_MFIBATU = 800
-PPC_INS_MFIBATL = 801
-PPC_INS_MFDCCR = 802
-PPC_INS_MFICCR = 803
-PPC_INS_MFDEAR = 804
-PPC_INS_MFESR = 805
-PPC_INS_MFSPEFSCR = 806
-PPC_INS_MFTCR = 807
-PPC_INS_MFASR = 808
-PPC_INS_MFPVR = 809
-PPC_INS_MFTBU = 810
-PPC_INS_MTCR = 811
-PPC_INS_MTBR0 = 812
-PPC_INS_MTBR1 = 813
-PPC_INS_MTBR2 = 814
-PPC_INS_MTBR3 = 815
-PPC_INS_MTBR4 = 816
-PPC_INS_MTBR5 = 817
-PPC_INS_MTBR6 = 818
-PPC_INS_MTBR7 = 819
-PPC_INS_MTXER = 820
-PPC_INS_MTDSCR = 821
-PPC_INS_MTDSISR = 822
-PPC_INS_MTDAR = 823
-PPC_INS_MTSRR2 = 824
-PPC_INS_MTSRR3 = 825
-PPC_INS_MTCFAR = 826
-PPC_INS_MTAMR = 827
-PPC_INS_MTPID = 828
-PPC_INS_MTTBL = 829
-PPC_INS_MTTBU = 830
-PPC_INS_MTTBLO = 831
-PPC_INS_MTTBHI = 832
-PPC_INS_MTDBATU = 833
-PPC_INS_MTDBATL = 834
-PPC_INS_MTIBATU = 835
-PPC_INS_MTIBATL = 836
-PPC_INS_MTDCCR = 837
-PPC_INS_MTICCR = 838
-PPC_INS_MTDEAR = 839
-PPC_INS_MTESR = 840
-PPC_INS_MTSPEFSCR = 841
-PPC_INS_MTTCR = 842
-PPC_INS_NOT = 843
-PPC_INS_MR = 844
-PPC_INS_ROTLD = 845
-PPC_INS_ROTLDI = 846
-PPC_INS_CLRLDI = 847
-PPC_INS_ROTLWI = 848
-PPC_INS_CLRLWI = 849
-PPC_INS_ROTLW = 850
-PPC_INS_SUB = 851
-PPC_INS_SUBC = 852
-PPC_INS_LWSYNC = 853
-PPC_INS_PTESYNC = 854
-PPC_INS_TDLT = 855
-PPC_INS_TDEQ = 856
-PPC_INS_TDGT = 857
-PPC_INS_TDNE = 858
-PPC_INS_TDLLT = 859
-PPC_INS_TDLGT = 860
-PPC_INS_TDU = 861
-PPC_INS_TDLTI = 862
-PPC_INS_TDEQI = 863
-PPC_INS_TDGTI = 864
-PPC_INS_TDNEI = 865
-PPC_INS_TDLLTI = 866
-PPC_INS_TDLGTI = 867
-PPC_INS_TDUI = 868
-PPC_INS_TLBREHI = 869
-PPC_INS_TLBRELO = 870
-PPC_INS_TLBWEHI = 871
-PPC_INS_TLBWELO = 872
-PPC_INS_TWLT = 873
-PPC_INS_TWEQ = 874
-PPC_INS_TWGT = 875
-PPC_INS_TWNE = 876
-PPC_INS_TWLLT = 877
-PPC_INS_TWLGT = 878
-PPC_INS_TWU = 879
-PPC_INS_TWLTI = 880
-PPC_INS_TWEQI = 881
-PPC_INS_TWGTI = 882
-PPC_INS_TWNEI = 883
-PPC_INS_TWLLTI = 884
-PPC_INS_TWLGTI = 885
-PPC_INS_TWUI = 886
-PPC_INS_WAITRSV = 887
-PPC_INS_WAITIMPL = 888
-PPC_INS_XNOP = 889
-PPC_INS_XVMOVDP = 890
-PPC_INS_XVMOVSP = 891
-PPC_INS_XXSPLTD = 892
-PPC_INS_XXMRGHD = 893
-PPC_INS_XXMRGLD = 894
-PPC_INS_XXSWAPD = 895
-PPC_INS_BT = 896
-PPC_INS_BF = 897
-PPC_INS_BDNZT = 898
-PPC_INS_BDNZF = 899
-PPC_INS_BDZF = 900
-PPC_INS_BDZT = 901
-PPC_INS_BFA = 902
-PPC_INS_BDNZTA = 903
-PPC_INS_BDNZFA = 904
-PPC_INS_BDZTA = 905
-PPC_INS_BDZFA = 906
-PPC_INS_BTCTR = 907
-PPC_INS_BFCTR = 908
-PPC_INS_BTCTRL = 909
-PPC_INS_BFCTRL = 910
-PPC_INS_BTL = 911
-PPC_INS_BFL = 912
-PPC_INS_BDNZTL = 913
-PPC_INS_BDNZFL = 914
-PPC_INS_BDZTL = 915
-PPC_INS_BDZFL = 916
-PPC_INS_BTLA = 917
-PPC_INS_BFLA = 918
-PPC_INS_BDNZTLA = 919
-PPC_INS_BDNZFLA = 920
-PPC_INS_BDZTLA = 921
-PPC_INS_BDZFLA = 922
-PPC_INS_BTLR = 923
-PPC_INS_BFLR = 924
-PPC_INS_BDNZTLR = 925
-PPC_INS_BDZTLR = 926
-PPC_INS_BDZFLR = 927
-PPC_INS_BTLRL = 928
-PPC_INS_BFLRL = 929
-PPC_INS_BDNZTLRL = 930
-PPC_INS_BDNZFLRL = 931
-PPC_INS_BDZTLRL = 932
-PPC_INS_BDZFLRL = 933
-PPC_INS_ENDING = 934
-
-# Group of PPC instructions
+PPC_INS_ATTN = 13
+PPC_INS_B = 14
+PPC_INS_BA = 15
+PPC_INS_BC = 16
+PPC_INS_BCCTR = 17
+PPC_INS_BCCTRL = 18
+PPC_INS_BCL = 19
+PPC_INS_BCLR = 20
+PPC_INS_BCLRL = 21
+PPC_INS_BCTR = 22
+PPC_INS_BCTRL = 23
+PPC_INS_BCT = 24
+PPC_INS_BDNZ = 25
+PPC_INS_BDNZA = 26
+PPC_INS_BDNZL = 27
+PPC_INS_BDNZLA = 28
+PPC_INS_BDNZLR = 29
+PPC_INS_BDNZLRL = 30
+PPC_INS_BDZ = 31
+PPC_INS_BDZA = 32
+PPC_INS_BDZL = 33
+PPC_INS_BDZLA = 34
+PPC_INS_BDZLR = 35
+PPC_INS_BDZLRL = 36
+PPC_INS_BL = 37
+PPC_INS_BLA = 38
+PPC_INS_BLR = 39
+PPC_INS_BLRL = 40
+PPC_INS_BRINC = 41
+PPC_INS_CMPB = 42
+PPC_INS_CMPD = 43
+PPC_INS_CMPDI = 44
+PPC_INS_CMPLD = 45
+PPC_INS_CMPLDI = 46
+PPC_INS_CMPLW = 47
+PPC_INS_CMPLWI = 48
+PPC_INS_CMPW = 49
+PPC_INS_CMPWI = 50
+PPC_INS_CNTLZD = 51
+PPC_INS_CNTLZW = 52
+PPC_INS_CREQV = 53
+PPC_INS_CRXOR = 54
+PPC_INS_CRAND = 55
+PPC_INS_CRANDC = 56
+PPC_INS_CRNAND = 57
+PPC_INS_CRNOR = 58
+PPC_INS_CROR = 59
+PPC_INS_CRORC = 60
+PPC_INS_DCBA = 61
+PPC_INS_DCBF = 62
+PPC_INS_DCBI = 63
+PPC_INS_DCBST = 64
+PPC_INS_DCBT = 65
+PPC_INS_DCBTST = 66
+PPC_INS_DCBZ = 67
+PPC_INS_DCBZL = 68
+PPC_INS_DCCCI = 69
+PPC_INS_DIVD = 70
+PPC_INS_DIVDU = 71
+PPC_INS_DIVW = 72
+PPC_INS_DIVWU = 73
+PPC_INS_DSS = 74
+PPC_INS_DSSALL = 75
+PPC_INS_DST = 76
+PPC_INS_DSTST = 77
+PPC_INS_DSTSTT = 78
+PPC_INS_DSTT = 79
+PPC_INS_EQV = 80
+PPC_INS_EVABS = 81
+PPC_INS_EVADDIW = 82
+PPC_INS_EVADDSMIAAW = 83
+PPC_INS_EVADDSSIAAW = 84
+PPC_INS_EVADDUMIAAW = 85
+PPC_INS_EVADDUSIAAW = 86
+PPC_INS_EVADDW = 87
+PPC_INS_EVAND = 88
+PPC_INS_EVANDC = 89
+PPC_INS_EVCMPEQ = 90
+PPC_INS_EVCMPGTS = 91
+PPC_INS_EVCMPGTU = 92
+PPC_INS_EVCMPLTS = 93
+PPC_INS_EVCMPLTU = 94
+PPC_INS_EVCNTLSW = 95
+PPC_INS_EVCNTLZW = 96
+PPC_INS_EVDIVWS = 97
+PPC_INS_EVDIVWU = 98
+PPC_INS_EVEQV = 99
+PPC_INS_EVEXTSB = 100
+PPC_INS_EVEXTSH = 101
+PPC_INS_EVLDD = 102
+PPC_INS_EVLDDX = 103
+PPC_INS_EVLDH = 104
+PPC_INS_EVLDHX = 105
+PPC_INS_EVLDW = 106
+PPC_INS_EVLDWX = 107
+PPC_INS_EVLHHESPLAT = 108
+PPC_INS_EVLHHESPLATX = 109
+PPC_INS_EVLHHOSSPLAT = 110
+PPC_INS_EVLHHOSSPLATX = 111
+PPC_INS_EVLHHOUSPLAT = 112
+PPC_INS_EVLHHOUSPLATX = 113
+PPC_INS_EVLWHE = 114
+PPC_INS_EVLWHEX = 115
+PPC_INS_EVLWHOS = 116
+PPC_INS_EVLWHOSX = 117
+PPC_INS_EVLWHOU = 118
+PPC_INS_EVLWHOUX = 119
+PPC_INS_EVLWHSPLAT = 120
+PPC_INS_EVLWHSPLATX = 121
+PPC_INS_EVLWWSPLAT = 122
+PPC_INS_EVLWWSPLATX = 123
+PPC_INS_EVMERGEHI = 124
+PPC_INS_EVMERGEHILO = 125
+PPC_INS_EVMERGELO = 126
+PPC_INS_EVMERGELOHI = 127
+PPC_INS_EVMHEGSMFAA = 128
+PPC_INS_EVMHEGSMFAN = 129
+PPC_INS_EVMHEGSMIAA = 130
+PPC_INS_EVMHEGSMIAN = 131
+PPC_INS_EVMHEGUMIAA = 132
+PPC_INS_EVMHEGUMIAN = 133
+PPC_INS_EVMHESMF = 134
+PPC_INS_EVMHESMFA = 135
+PPC_INS_EVMHESMFAAW = 136
+PPC_INS_EVMHESMFANW = 137
+PPC_INS_EVMHESMI = 138
+PPC_INS_EVMHESMIA = 139
+PPC_INS_EVMHESMIAAW = 140
+PPC_INS_EVMHESMIANW = 141
+PPC_INS_EVMHESSF = 142
+PPC_INS_EVMHESSFA = 143
+PPC_INS_EVMHESSFAAW = 144
+PPC_INS_EVMHESSFANW = 145
+PPC_INS_EVMHESSIAAW = 146
+PPC_INS_EVMHESSIANW = 147
+PPC_INS_EVMHEUMI = 148
+PPC_INS_EVMHEUMIA = 149
+PPC_INS_EVMHEUMIAAW = 150
+PPC_INS_EVMHEUMIANW = 151
+PPC_INS_EVMHEUSIAAW = 152
+PPC_INS_EVMHEUSIANW = 153
+PPC_INS_EVMHOGSMFAA = 154
+PPC_INS_EVMHOGSMFAN = 155
+PPC_INS_EVMHOGSMIAA = 156
+PPC_INS_EVMHOGSMIAN = 157
+PPC_INS_EVMHOGUMIAA = 158
+PPC_INS_EVMHOGUMIAN = 159
+PPC_INS_EVMHOSMF = 160
+PPC_INS_EVMHOSMFA = 161
+PPC_INS_EVMHOSMFAAW = 162
+PPC_INS_EVMHOSMFANW = 163
+PPC_INS_EVMHOSMI = 164
+PPC_INS_EVMHOSMIA = 165
+PPC_INS_EVMHOSMIAAW = 166
+PPC_INS_EVMHOSMIANW = 167
+PPC_INS_EVMHOSSF = 168
+PPC_INS_EVMHOSSFA = 169
+PPC_INS_EVMHOSSFAAW = 170
+PPC_INS_EVMHOSSFANW = 171
+PPC_INS_EVMHOSSIAAW = 172
+PPC_INS_EVMHOSSIANW = 173
+PPC_INS_EVMHOUMI = 174
+PPC_INS_EVMHOUMIA = 175
+PPC_INS_EVMHOUMIAAW = 176
+PPC_INS_EVMHOUMIANW = 177
+PPC_INS_EVMHOUSIAAW = 178
+PPC_INS_EVMHOUSIANW = 179
+PPC_INS_EVMRA = 180
+PPC_INS_EVMWHSMF = 181
+PPC_INS_EVMWHSMFA = 182
+PPC_INS_EVMWHSMI = 183
+PPC_INS_EVMWHSMIA = 184
+PPC_INS_EVMWHSSF = 185
+PPC_INS_EVMWHSSFA = 186
+PPC_INS_EVMWHUMI = 187
+PPC_INS_EVMWHUMIA = 188
+PPC_INS_EVMWLSMIAAW = 189
+PPC_INS_EVMWLSMIANW = 190
+PPC_INS_EVMWLSSIAAW = 191
+PPC_INS_EVMWLSSIANW = 192
+PPC_INS_EVMWLUMI = 193
+PPC_INS_EVMWLUMIA = 194
+PPC_INS_EVMWLUMIAAW = 195
+PPC_INS_EVMWLUMIANW = 196
+PPC_INS_EVMWLUSIAAW = 197
+PPC_INS_EVMWLUSIANW = 198
+PPC_INS_EVMWSMF = 199
+PPC_INS_EVMWSMFA = 200
+PPC_INS_EVMWSMFAA = 201
+PPC_INS_EVMWSMFAN = 202
+PPC_INS_EVMWSMI = 203
+PPC_INS_EVMWSMIA = 204
+PPC_INS_EVMWSMIAA = 205
+PPC_INS_EVMWSMIAN = 206
+PPC_INS_EVMWSSF = 207
+PPC_INS_EVMWSSFA = 208
+PPC_INS_EVMWSSFAA = 209
+PPC_INS_EVMWSSFAN = 210
+PPC_INS_EVMWUMI = 211
+PPC_INS_EVMWUMIA = 212
+PPC_INS_EVMWUMIAA = 213
+PPC_INS_EVMWUMIAN = 214
+PPC_INS_EVNAND = 215
+PPC_INS_EVNEG = 216
+PPC_INS_EVNOR = 217
+PPC_INS_EVOR = 218
+PPC_INS_EVORC = 219
+PPC_INS_EVRLW = 220
+PPC_INS_EVRLWI = 221
+PPC_INS_EVRNDW = 222
+PPC_INS_EVSLW = 223
+PPC_INS_EVSLWI = 224
+PPC_INS_EVSPLATFI = 225
+PPC_INS_EVSPLATI = 226
+PPC_INS_EVSRWIS = 227
+PPC_INS_EVSRWIU = 228
+PPC_INS_EVSRWS = 229
+PPC_INS_EVSRWU = 230
+PPC_INS_EVSTDD = 231
+PPC_INS_EVSTDDX = 232
+PPC_INS_EVSTDH = 233
+PPC_INS_EVSTDHX = 234
+PPC_INS_EVSTDW = 235
+PPC_INS_EVSTDWX = 236
+PPC_INS_EVSTWHE = 237
+PPC_INS_EVSTWHEX = 238
+PPC_INS_EVSTWHO = 239
+PPC_INS_EVSTWHOX = 240
+PPC_INS_EVSTWWE = 241
+PPC_INS_EVSTWWEX = 242
+PPC_INS_EVSTWWO = 243
+PPC_INS_EVSTWWOX = 244
+PPC_INS_EVSUBFSMIAAW = 245
+PPC_INS_EVSUBFSSIAAW = 246
+PPC_INS_EVSUBFUMIAAW = 247
+PPC_INS_EVSUBFUSIAAW = 248
+PPC_INS_EVSUBFW = 249
+PPC_INS_EVSUBIFW = 250
+PPC_INS_EVXOR = 251
+PPC_INS_EXTSB = 252
+PPC_INS_EXTSH = 253
+PPC_INS_EXTSW = 254
+PPC_INS_EIEIO = 255
+PPC_INS_FABS = 256
+PPC_INS_FADD = 257
+PPC_INS_FADDS = 258
+PPC_INS_FCFID = 259
+PPC_INS_FCFIDS = 260
+PPC_INS_FCFIDU = 261
+PPC_INS_FCFIDUS = 262
+PPC_INS_FCMPU = 263
+PPC_INS_FCPSGN = 264
+PPC_INS_FCTID = 265
+PPC_INS_FCTIDUZ = 266
+PPC_INS_FCTIDZ = 267
+PPC_INS_FCTIW = 268
+PPC_INS_FCTIWUZ = 269
+PPC_INS_FCTIWZ = 270
+PPC_INS_FDIV = 271
+PPC_INS_FDIVS = 272
+PPC_INS_FMADD = 273
+PPC_INS_FMADDS = 274
+PPC_INS_FMR = 275
+PPC_INS_FMSUB = 276
+PPC_INS_FMSUBS = 277
+PPC_INS_FMUL = 278
+PPC_INS_FMULS = 279
+PPC_INS_FNABS = 280
+PPC_INS_FNEG = 281
+PPC_INS_FNMADD = 282
+PPC_INS_FNMADDS = 283
+PPC_INS_FNMSUB = 284
+PPC_INS_FNMSUBS = 285
+PPC_INS_FRE = 286
+PPC_INS_FRES = 287
+PPC_INS_FRIM = 288
+PPC_INS_FRIN = 289
+PPC_INS_FRIP = 290
+PPC_INS_FRIZ = 291
+PPC_INS_FRSP = 292
+PPC_INS_FRSQRTE = 293
+PPC_INS_FRSQRTES = 294
+PPC_INS_FSEL = 295
+PPC_INS_FSQRT = 296
+PPC_INS_FSQRTS = 297
+PPC_INS_FSUB = 298
+PPC_INS_FSUBS = 299
+PPC_INS_ICBI = 300
+PPC_INS_ICBT = 301
+PPC_INS_ICCCI = 302
+PPC_INS_ISEL = 303
+PPC_INS_ISYNC = 304
+PPC_INS_LA = 305
+PPC_INS_LBZ = 306
+PPC_INS_LBZCIX = 307
+PPC_INS_LBZU = 308
+PPC_INS_LBZUX = 309
+PPC_INS_LBZX = 310
+PPC_INS_LD = 311
+PPC_INS_LDARX = 312
+PPC_INS_LDBRX = 313
+PPC_INS_LDCIX = 314
+PPC_INS_LDU = 315
+PPC_INS_LDUX = 316
+PPC_INS_LDX = 317
+PPC_INS_LFD = 318
+PPC_INS_LFDU = 319
+PPC_INS_LFDUX = 320
+PPC_INS_LFDX = 321
+PPC_INS_LFIWAX = 322
+PPC_INS_LFIWZX = 323
+PPC_INS_LFS = 324
+PPC_INS_LFSU = 325
+PPC_INS_LFSUX = 326
+PPC_INS_LFSX = 327
+PPC_INS_LHA = 328
+PPC_INS_LHAU = 329
+PPC_INS_LHAUX = 330
+PPC_INS_LHAX = 331
+PPC_INS_LHBRX = 332
+PPC_INS_LHZ = 333
+PPC_INS_LHZCIX = 334
+PPC_INS_LHZU = 335
+PPC_INS_LHZUX = 336
+PPC_INS_LHZX = 337
+PPC_INS_LI = 338
+PPC_INS_LIS = 339
+PPC_INS_LMW = 340
+PPC_INS_LSWI = 341
+PPC_INS_LVEBX = 342
+PPC_INS_LVEHX = 343
+PPC_INS_LVEWX = 344
+PPC_INS_LVSL = 345
+PPC_INS_LVSR = 346
+PPC_INS_LVX = 347
+PPC_INS_LVXL = 348
+PPC_INS_LWA = 349
+PPC_INS_LWARX = 350
+PPC_INS_LWAUX = 351
+PPC_INS_LWAX = 352
+PPC_INS_LWBRX = 353
+PPC_INS_LWZ = 354
+PPC_INS_LWZCIX = 355
+PPC_INS_LWZU = 356
+PPC_INS_LWZUX = 357
+PPC_INS_LWZX = 358
+PPC_INS_LXSDX = 359
+PPC_INS_LXVD2X = 360
+PPC_INS_LXVDSX = 361
+PPC_INS_LXVW4X = 362
+PPC_INS_MBAR = 363
+PPC_INS_MCRF = 364
+PPC_INS_MCRFS = 365
+PPC_INS_MFCR = 366
+PPC_INS_MFCTR = 367
+PPC_INS_MFDCR = 368
+PPC_INS_MFFS = 369
+PPC_INS_MFLR = 370
+PPC_INS_MFMSR = 371
+PPC_INS_MFOCRF = 372
+PPC_INS_MFSPR = 373
+PPC_INS_MFSR = 374
+PPC_INS_MFSRIN = 375
+PPC_INS_MFTB = 376
+PPC_INS_MFVSCR = 377
+PPC_INS_MSYNC = 378
+PPC_INS_MTCRF = 379
+PPC_INS_MTCTR = 380
+PPC_INS_MTDCR = 381
+PPC_INS_MTFSB0 = 382
+PPC_INS_MTFSB1 = 383
+PPC_INS_MTFSF = 384
+PPC_INS_MTFSFI = 385
+PPC_INS_MTLR = 386
+PPC_INS_MTMSR = 387
+PPC_INS_MTMSRD = 388
+PPC_INS_MTOCRF = 389
+PPC_INS_MTSPR = 390
+PPC_INS_MTSR = 391
+PPC_INS_MTSRIN = 392
+PPC_INS_MTVSCR = 393
+PPC_INS_MULHD = 394
+PPC_INS_MULHDU = 395
+PPC_INS_MULHW = 396
+PPC_INS_MULHWU = 397
+PPC_INS_MULLD = 398
+PPC_INS_MULLI = 399
+PPC_INS_MULLW = 400
+PPC_INS_NAND = 401
+PPC_INS_NEG = 402
+PPC_INS_NOP = 403
+PPC_INS_ORI = 404
+PPC_INS_NOR = 405
+PPC_INS_OR = 406
+PPC_INS_ORC = 407
+PPC_INS_ORIS = 408
+PPC_INS_POPCNTD = 409
+PPC_INS_POPCNTW = 410
+PPC_INS_QVALIGNI = 411
+PPC_INS_QVESPLATI = 412
+PPC_INS_QVFABS = 413
+PPC_INS_QVFADD = 414
+PPC_INS_QVFADDS = 415
+PPC_INS_QVFCFID = 416
+PPC_INS_QVFCFIDS = 417
+PPC_INS_QVFCFIDU = 418
+PPC_INS_QVFCFIDUS = 419
+PPC_INS_QVFCMPEQ = 420
+PPC_INS_QVFCMPGT = 421
+PPC_INS_QVFCMPLT = 422
+PPC_INS_QVFCPSGN = 423
+PPC_INS_QVFCTID = 424
+PPC_INS_QVFCTIDU = 425
+PPC_INS_QVFCTIDUZ = 426
+PPC_INS_QVFCTIDZ = 427
+PPC_INS_QVFCTIW = 428
+PPC_INS_QVFCTIWU = 429
+PPC_INS_QVFCTIWUZ = 430
+PPC_INS_QVFCTIWZ = 431
+PPC_INS_QVFLOGICAL = 432
+PPC_INS_QVFMADD = 433
+PPC_INS_QVFMADDS = 434
+PPC_INS_QVFMR = 435
+PPC_INS_QVFMSUB = 436
+PPC_INS_QVFMSUBS = 437
+PPC_INS_QVFMUL = 438
+PPC_INS_QVFMULS = 439
+PPC_INS_QVFNABS = 440
+PPC_INS_QVFNEG = 441
+PPC_INS_QVFNMADD = 442
+PPC_INS_QVFNMADDS = 443
+PPC_INS_QVFNMSUB = 444
+PPC_INS_QVFNMSUBS = 445
+PPC_INS_QVFPERM = 446
+PPC_INS_QVFRE = 447
+PPC_INS_QVFRES = 448
+PPC_INS_QVFRIM = 449
+PPC_INS_QVFRIN = 450
+PPC_INS_QVFRIP = 451
+PPC_INS_QVFRIZ = 452
+PPC_INS_QVFRSP = 453
+PPC_INS_QVFRSQRTE = 454
+PPC_INS_QVFRSQRTES = 455
+PPC_INS_QVFSEL = 456
+PPC_INS_QVFSUB = 457
+PPC_INS_QVFSUBS = 458
+PPC_INS_QVFTSTNAN = 459
+PPC_INS_QVFXMADD = 460
+PPC_INS_QVFXMADDS = 461
+PPC_INS_QVFXMUL = 462
+PPC_INS_QVFXMULS = 463
+PPC_INS_QVFXXCPNMADD = 464
+PPC_INS_QVFXXCPNMADDS = 465
+PPC_INS_QVFXXMADD = 466
+PPC_INS_QVFXXMADDS = 467
+PPC_INS_QVFXXNPMADD = 468
+PPC_INS_QVFXXNPMADDS = 469
+PPC_INS_QVGPCI = 470
+PPC_INS_QVLFCDUX = 471
+PPC_INS_QVLFCDUXA = 472
+PPC_INS_QVLFCDX = 473
+PPC_INS_QVLFCDXA = 474
+PPC_INS_QVLFCSUX = 475
+PPC_INS_QVLFCSUXA = 476
+PPC_INS_QVLFCSX = 477
+PPC_INS_QVLFCSXA = 478
+PPC_INS_QVLFDUX = 479
+PPC_INS_QVLFDUXA = 480
+PPC_INS_QVLFDX = 481
+PPC_INS_QVLFDXA = 482
+PPC_INS_QVLFIWAX = 483
+PPC_INS_QVLFIWAXA = 484
+PPC_INS_QVLFIWZX = 485
+PPC_INS_QVLFIWZXA = 486
+PPC_INS_QVLFSUX = 487
+PPC_INS_QVLFSUXA = 488
+PPC_INS_QVLFSX = 489
+PPC_INS_QVLFSXA = 490
+PPC_INS_QVLPCLDX = 491
+PPC_INS_QVLPCLSX = 492
+PPC_INS_QVLPCRDX = 493
+PPC_INS_QVLPCRSX = 494
+PPC_INS_QVSTFCDUX = 495
+PPC_INS_QVSTFCDUXA = 496
+PPC_INS_QVSTFCDUXI = 497
+PPC_INS_QVSTFCDUXIA = 498
+PPC_INS_QVSTFCDX = 499
+PPC_INS_QVSTFCDXA = 500
+PPC_INS_QVSTFCDXI = 501
+PPC_INS_QVSTFCDXIA = 502
+PPC_INS_QVSTFCSUX = 503
+PPC_INS_QVSTFCSUXA = 504
+PPC_INS_QVSTFCSUXI = 505
+PPC_INS_QVSTFCSUXIA = 506
+PPC_INS_QVSTFCSX = 507
+PPC_INS_QVSTFCSXA = 508
+PPC_INS_QVSTFCSXI = 509
+PPC_INS_QVSTFCSXIA = 510
+PPC_INS_QVSTFDUX = 511
+PPC_INS_QVSTFDUXA = 512
+PPC_INS_QVSTFDUXI = 513
+PPC_INS_QVSTFDUXIA = 514
+PPC_INS_QVSTFDX = 515
+PPC_INS_QVSTFDXA = 516
+PPC_INS_QVSTFDXI = 517
+PPC_INS_QVSTFDXIA = 518
+PPC_INS_QVSTFIWX = 519
+PPC_INS_QVSTFIWXA = 520
+PPC_INS_QVSTFSUX = 521
+PPC_INS_QVSTFSUXA = 522
+PPC_INS_QVSTFSUXI = 523
+PPC_INS_QVSTFSUXIA = 524
+PPC_INS_QVSTFSX = 525
+PPC_INS_QVSTFSXA = 526
+PPC_INS_QVSTFSXI = 527
+PPC_INS_QVSTFSXIA = 528
+PPC_INS_RFCI = 529
+PPC_INS_RFDI = 530
+PPC_INS_RFI = 531
+PPC_INS_RFID = 532
+PPC_INS_RFMCI = 533
+PPC_INS_RLDCL = 534
+PPC_INS_RLDCR = 535
+PPC_INS_RLDIC = 536
+PPC_INS_RLDICL = 537
+PPC_INS_RLDICR = 538
+PPC_INS_RLDIMI = 539
+PPC_INS_RLWIMI = 540
+PPC_INS_RLWINM = 541
+PPC_INS_RLWNM = 542
+PPC_INS_SC = 543
+PPC_INS_SLBIA = 544
+PPC_INS_SLBIE = 545
+PPC_INS_SLBMFEE = 546
+PPC_INS_SLBMTE = 547
+PPC_INS_SLD = 548
+PPC_INS_SLW = 549
+PPC_INS_SRAD = 550
+PPC_INS_SRADI = 551
+PPC_INS_SRAW = 552
+PPC_INS_SRAWI = 553
+PPC_INS_SRD = 554
+PPC_INS_SRW = 555
+PPC_INS_STB = 556
+PPC_INS_STBCIX = 557
+PPC_INS_STBU = 558
+PPC_INS_STBUX = 559
+PPC_INS_STBX = 560
+PPC_INS_STD = 561
+PPC_INS_STDBRX = 562
+PPC_INS_STDCIX = 563
+PPC_INS_STDCX = 564
+PPC_INS_STDU = 565
+PPC_INS_STDUX = 566
+PPC_INS_STDX = 567
+PPC_INS_STFD = 568
+PPC_INS_STFDU = 569
+PPC_INS_STFDUX = 570
+PPC_INS_STFDX = 571
+PPC_INS_STFIWX = 572
+PPC_INS_STFS = 573
+PPC_INS_STFSU = 574
+PPC_INS_STFSUX = 575
+PPC_INS_STFSX = 576
+PPC_INS_STH = 577
+PPC_INS_STHBRX = 578
+PPC_INS_STHCIX = 579
+PPC_INS_STHU = 580
+PPC_INS_STHUX = 581
+PPC_INS_STHX = 582
+PPC_INS_STMW = 583
+PPC_INS_STSWI = 584
+PPC_INS_STVEBX = 585
+PPC_INS_STVEHX = 586
+PPC_INS_STVEWX = 587
+PPC_INS_STVX = 588
+PPC_INS_STVXL = 589
+PPC_INS_STW = 590
+PPC_INS_STWBRX = 591
+PPC_INS_STWCIX = 592
+PPC_INS_STWCX = 593
+PPC_INS_STWU = 594
+PPC_INS_STWUX = 595
+PPC_INS_STWX = 596
+PPC_INS_STXSDX = 597
+PPC_INS_STXVD2X = 598
+PPC_INS_STXVW4X = 599
+PPC_INS_SUBF = 600
+PPC_INS_SUBFC = 601
+PPC_INS_SUBFE = 602
+PPC_INS_SUBFIC = 603
+PPC_INS_SUBFME = 604
+PPC_INS_SUBFZE = 605
+PPC_INS_SYNC = 606
+PPC_INS_TD = 607
+PPC_INS_TDI = 608
+PPC_INS_TLBIA = 609
+PPC_INS_TLBIE = 610
+PPC_INS_TLBIEL = 611
+PPC_INS_TLBIVAX = 612
+PPC_INS_TLBLD = 613
+PPC_INS_TLBLI = 614
+PPC_INS_TLBRE = 615
+PPC_INS_TLBSX = 616
+PPC_INS_TLBSYNC = 617
+PPC_INS_TLBWE = 618
+PPC_INS_TRAP = 619
+PPC_INS_TW = 620
+PPC_INS_TWI = 621
+PPC_INS_VADDCUW = 622
+PPC_INS_VADDFP = 623
+PPC_INS_VADDSBS = 624
+PPC_INS_VADDSHS = 625
+PPC_INS_VADDSWS = 626
+PPC_INS_VADDUBM = 627
+PPC_INS_VADDUBS = 628
+PPC_INS_VADDUDM = 629
+PPC_INS_VADDUHM = 630
+PPC_INS_VADDUHS = 631
+PPC_INS_VADDUWM = 632
+PPC_INS_VADDUWS = 633
+PPC_INS_VAND = 634
+PPC_INS_VANDC = 635
+PPC_INS_VAVGSB = 636
+PPC_INS_VAVGSH = 637
+PPC_INS_VAVGSW = 638
+PPC_INS_VAVGUB = 639
+PPC_INS_VAVGUH = 640
+PPC_INS_VAVGUW = 641
+PPC_INS_VCFSX = 642
+PPC_INS_VCFUX = 643
+PPC_INS_VCLZB = 644
+PPC_INS_VCLZD = 645
+PPC_INS_VCLZH = 646
+PPC_INS_VCLZW = 647
+PPC_INS_VCMPBFP = 648
+PPC_INS_VCMPEQFP = 649
+PPC_INS_VCMPEQUB = 650
+PPC_INS_VCMPEQUD = 651
+PPC_INS_VCMPEQUH = 652
+PPC_INS_VCMPEQUW = 653
+PPC_INS_VCMPGEFP = 654
+PPC_INS_VCMPGTFP = 655
+PPC_INS_VCMPGTSB = 656
+PPC_INS_VCMPGTSD = 657
+PPC_INS_VCMPGTSH = 658
+PPC_INS_VCMPGTSW = 659
+PPC_INS_VCMPGTUB = 660
+PPC_INS_VCMPGTUD = 661
+PPC_INS_VCMPGTUH = 662
+PPC_INS_VCMPGTUW = 663
+PPC_INS_VCTSXS = 664
+PPC_INS_VCTUXS = 665
+PPC_INS_VEQV = 666
+PPC_INS_VEXPTEFP = 667
+PPC_INS_VLOGEFP = 668
+PPC_INS_VMADDFP = 669
+PPC_INS_VMAXFP = 670
+PPC_INS_VMAXSB = 671
+PPC_INS_VMAXSD = 672
+PPC_INS_VMAXSH = 673
+PPC_INS_VMAXSW = 674
+PPC_INS_VMAXUB = 675
+PPC_INS_VMAXUD = 676
+PPC_INS_VMAXUH = 677
+PPC_INS_VMAXUW = 678
+PPC_INS_VMHADDSHS = 679
+PPC_INS_VMHRADDSHS = 680
+PPC_INS_VMINUD = 681
+PPC_INS_VMINFP = 682
+PPC_INS_VMINSB = 683
+PPC_INS_VMINSD = 684
+PPC_INS_VMINSH = 685
+PPC_INS_VMINSW = 686
+PPC_INS_VMINUB = 687
+PPC_INS_VMINUH = 688
+PPC_INS_VMINUW = 689
+PPC_INS_VMLADDUHM = 690
+PPC_INS_VMRGHB = 691
+PPC_INS_VMRGHH = 692
+PPC_INS_VMRGHW = 693
+PPC_INS_VMRGLB = 694
+PPC_INS_VMRGLH = 695
+PPC_INS_VMRGLW = 696
+PPC_INS_VMSUMMBM = 697
+PPC_INS_VMSUMSHM = 698
+PPC_INS_VMSUMSHS = 699
+PPC_INS_VMSUMUBM = 700
+PPC_INS_VMSUMUHM = 701
+PPC_INS_VMSUMUHS = 702
+PPC_INS_VMULESB = 703
+PPC_INS_VMULESH = 704
+PPC_INS_VMULESW = 705
+PPC_INS_VMULEUB = 706
+PPC_INS_VMULEUH = 707
+PPC_INS_VMULEUW = 708
+PPC_INS_VMULOSB = 709
+PPC_INS_VMULOSH = 710
+PPC_INS_VMULOSW = 711
+PPC_INS_VMULOUB = 712
+PPC_INS_VMULOUH = 713
+PPC_INS_VMULOUW = 714
+PPC_INS_VMULUWM = 715
+PPC_INS_VNAND = 716
+PPC_INS_VNMSUBFP = 717
+PPC_INS_VNOR = 718
+PPC_INS_VOR = 719
+PPC_INS_VORC = 720
+PPC_INS_VPERM = 721
+PPC_INS_VPKPX = 722
+PPC_INS_VPKSHSS = 723
+PPC_INS_VPKSHUS = 724
+PPC_INS_VPKSWSS = 725
+PPC_INS_VPKSWUS = 726
+PPC_INS_VPKUHUM = 727
+PPC_INS_VPKUHUS = 728
+PPC_INS_VPKUWUM = 729
+PPC_INS_VPKUWUS = 730
+PPC_INS_VPOPCNTB = 731
+PPC_INS_VPOPCNTD = 732
+PPC_INS_VPOPCNTH = 733
+PPC_INS_VPOPCNTW = 734
+PPC_INS_VREFP = 735
+PPC_INS_VRFIM = 736
+PPC_INS_VRFIN = 737
+PPC_INS_VRFIP = 738
+PPC_INS_VRFIZ = 739
+PPC_INS_VRLB = 740
+PPC_INS_VRLD = 741
+PPC_INS_VRLH = 742
+PPC_INS_VRLW = 743
+PPC_INS_VRSQRTEFP = 744
+PPC_INS_VSEL = 745
+PPC_INS_VSL = 746
+PPC_INS_VSLB = 747
+PPC_INS_VSLD = 748
+PPC_INS_VSLDOI = 749
+PPC_INS_VSLH = 750
+PPC_INS_VSLO = 751
+PPC_INS_VSLW = 752
+PPC_INS_VSPLTB = 753
+PPC_INS_VSPLTH = 754
+PPC_INS_VSPLTISB = 755
+PPC_INS_VSPLTISH = 756
+PPC_INS_VSPLTISW = 757
+PPC_INS_VSPLTW = 758
+PPC_INS_VSR = 759
+PPC_INS_VSRAB = 760
+PPC_INS_VSRAD = 761
+PPC_INS_VSRAH = 762
+PPC_INS_VSRAW = 763
+PPC_INS_VSRB = 764
+PPC_INS_VSRD = 765
+PPC_INS_VSRH = 766
+PPC_INS_VSRO = 767
+PPC_INS_VSRW = 768
+PPC_INS_VSUBCUW = 769
+PPC_INS_VSUBFP = 770
+PPC_INS_VSUBSBS = 771
+PPC_INS_VSUBSHS = 772
+PPC_INS_VSUBSWS = 773
+PPC_INS_VSUBUBM = 774
+PPC_INS_VSUBUBS = 775
+PPC_INS_VSUBUDM = 776
+PPC_INS_VSUBUHM = 777
+PPC_INS_VSUBUHS = 778
+PPC_INS_VSUBUWM = 779
+PPC_INS_VSUBUWS = 780
+PPC_INS_VSUM2SWS = 781
+PPC_INS_VSUM4SBS = 782
+PPC_INS_VSUM4SHS = 783
+PPC_INS_VSUM4UBS = 784
+PPC_INS_VSUMSWS = 785
+PPC_INS_VUPKHPX = 786
+PPC_INS_VUPKHSB = 787
+PPC_INS_VUPKHSH = 788
+PPC_INS_VUPKLPX = 789
+PPC_INS_VUPKLSB = 790
+PPC_INS_VUPKLSH = 791
+PPC_INS_VXOR = 792
+PPC_INS_WAIT = 793
+PPC_INS_WRTEE = 794
+PPC_INS_WRTEEI = 795
+PPC_INS_XOR = 796
+PPC_INS_XORI = 797
+PPC_INS_XORIS = 798
+PPC_INS_XSABSDP = 799
+PPC_INS_XSADDDP = 800
+PPC_INS_XSCMPODP = 801
+PPC_INS_XSCMPUDP = 802
+PPC_INS_XSCPSGNDP = 803
+PPC_INS_XSCVDPSP = 804
+PPC_INS_XSCVDPSXDS = 805
+PPC_INS_XSCVDPSXWS = 806
+PPC_INS_XSCVDPUXDS = 807
+PPC_INS_XSCVDPUXWS = 808
+PPC_INS_XSCVSPDP = 809
+PPC_INS_XSCVSXDDP = 810
+PPC_INS_XSCVUXDDP = 811
+PPC_INS_XSDIVDP = 812
+PPC_INS_XSMADDADP = 813
+PPC_INS_XSMADDMDP = 814
+PPC_INS_XSMAXDP = 815
+PPC_INS_XSMINDP = 816
+PPC_INS_XSMSUBADP = 817
+PPC_INS_XSMSUBMDP = 818
+PPC_INS_XSMULDP = 819
+PPC_INS_XSNABSDP = 820
+PPC_INS_XSNEGDP = 821
+PPC_INS_XSNMADDADP = 822
+PPC_INS_XSNMADDMDP = 823
+PPC_INS_XSNMSUBADP = 824
+PPC_INS_XSNMSUBMDP = 825
+PPC_INS_XSRDPI = 826
+PPC_INS_XSRDPIC = 827
+PPC_INS_XSRDPIM = 828
+PPC_INS_XSRDPIP = 829
+PPC_INS_XSRDPIZ = 830
+PPC_INS_XSREDP = 831
+PPC_INS_XSRSQRTEDP = 832
+PPC_INS_XSSQRTDP = 833
+PPC_INS_XSSUBDP = 834
+PPC_INS_XSTDIVDP = 835
+PPC_INS_XSTSQRTDP = 836
+PPC_INS_XVABSDP = 837
+PPC_INS_XVABSSP = 838
+PPC_INS_XVADDDP = 839
+PPC_INS_XVADDSP = 840
+PPC_INS_XVCMPEQDP = 841
+PPC_INS_XVCMPEQSP = 842
+PPC_INS_XVCMPGEDP = 843
+PPC_INS_XVCMPGESP = 844
+PPC_INS_XVCMPGTDP = 845
+PPC_INS_XVCMPGTSP = 846
+PPC_INS_XVCPSGNDP = 847
+PPC_INS_XVCPSGNSP = 848
+PPC_INS_XVCVDPSP = 849
+PPC_INS_XVCVDPSXDS = 850
+PPC_INS_XVCVDPSXWS = 851
+PPC_INS_XVCVDPUXDS = 852
+PPC_INS_XVCVDPUXWS = 853
+PPC_INS_XVCVSPDP = 854
+PPC_INS_XVCVSPSXDS = 855
+PPC_INS_XVCVSPSXWS = 856
+PPC_INS_XVCVSPUXDS = 857
+PPC_INS_XVCVSPUXWS = 858
+PPC_INS_XVCVSXDDP = 859
+PPC_INS_XVCVSXDSP = 860
+PPC_INS_XVCVSXWDP = 861
+PPC_INS_XVCVSXWSP = 862
+PPC_INS_XVCVUXDDP = 863
+PPC_INS_XVCVUXDSP = 864
+PPC_INS_XVCVUXWDP = 865
+PPC_INS_XVCVUXWSP = 866
+PPC_INS_XVDIVDP = 867
+PPC_INS_XVDIVSP = 868
+PPC_INS_XVMADDADP = 869
+PPC_INS_XVMADDASP = 870
+PPC_INS_XVMADDMDP = 871
+PPC_INS_XVMADDMSP = 872
+PPC_INS_XVMAXDP = 873
+PPC_INS_XVMAXSP = 874
+PPC_INS_XVMINDP = 875
+PPC_INS_XVMINSP = 876
+PPC_INS_XVMSUBADP = 877
+PPC_INS_XVMSUBASP = 878
+PPC_INS_XVMSUBMDP = 879
+PPC_INS_XVMSUBMSP = 880
+PPC_INS_XVMULDP = 881
+PPC_INS_XVMULSP = 882
+PPC_INS_XVNABSDP = 883
+PPC_INS_XVNABSSP = 884
+PPC_INS_XVNEGDP = 885
+PPC_INS_XVNEGSP = 886
+PPC_INS_XVNMADDADP = 887
+PPC_INS_XVNMADDASP = 888
+PPC_INS_XVNMADDMDP = 889
+PPC_INS_XVNMADDMSP = 890
+PPC_INS_XVNMSUBADP = 891
+PPC_INS_XVNMSUBASP = 892
+PPC_INS_XVNMSUBMDP = 893
+PPC_INS_XVNMSUBMSP = 894
+PPC_INS_XVRDPI = 895
+PPC_INS_XVRDPIC = 896
+PPC_INS_XVRDPIM = 897
+PPC_INS_XVRDPIP = 898
+PPC_INS_XVRDPIZ = 899
+PPC_INS_XVREDP = 900
+PPC_INS_XVRESP = 901
+PPC_INS_XVRSPI = 902
+PPC_INS_XVRSPIC = 903
+PPC_INS_XVRSPIM = 904
+PPC_INS_XVRSPIP = 905
+PPC_INS_XVRSPIZ = 906
+PPC_INS_XVRSQRTEDP = 907
+PPC_INS_XVRSQRTESP = 908
+PPC_INS_XVSQRTDP = 909
+PPC_INS_XVSQRTSP = 910
+PPC_INS_XVSUBDP = 911
+PPC_INS_XVSUBSP = 912
+PPC_INS_XVTDIVDP = 913
+PPC_INS_XVTDIVSP = 914
+PPC_INS_XVTSQRTDP = 915
+PPC_INS_XVTSQRTSP = 916
+PPC_INS_XXLAND = 917
+PPC_INS_XXLANDC = 918
+PPC_INS_XXLEQV = 919
+PPC_INS_XXLNAND = 920
+PPC_INS_XXLNOR = 921
+PPC_INS_XXLOR = 922
+PPC_INS_XXLORC = 923
+PPC_INS_XXLXOR = 924
+PPC_INS_XXMRGHW = 925
+PPC_INS_XXMRGLW = 926
+PPC_INS_XXPERMDI = 927
+PPC_INS_XXSEL = 928
+PPC_INS_XXSLDWI = 929
+PPC_INS_XXSPLTW = 930
+PPC_INS_BCA = 931
+PPC_INS_BCLA = 932
+PPC_INS_SLWI = 933
+PPC_INS_SRWI = 934
+PPC_INS_SLDI = 935
+PPC_INS_BTA = 936
+PPC_INS_CRSET = 937
+PPC_INS_CRNOT = 938
+PPC_INS_CRMOVE = 939
+PPC_INS_CRCLR = 940
+PPC_INS_MFBR0 = 941
+PPC_INS_MFBR1 = 942
+PPC_INS_MFBR2 = 943
+PPC_INS_MFBR3 = 944
+PPC_INS_MFBR4 = 945
+PPC_INS_MFBR5 = 946
+PPC_INS_MFBR6 = 947
+PPC_INS_MFBR7 = 948
+PPC_INS_MFXER = 949
+PPC_INS_MFRTCU = 950
+PPC_INS_MFRTCL = 951
+PPC_INS_MFDSCR = 952
+PPC_INS_MFDSISR = 953
+PPC_INS_MFDAR = 954
+PPC_INS_MFSRR2 = 955
+PPC_INS_MFSRR3 = 956
+PPC_INS_MFCFAR = 957
+PPC_INS_MFAMR = 958
+PPC_INS_MFPID = 959
+PPC_INS_MFTBLO = 960
+PPC_INS_MFTBHI = 961
+PPC_INS_MFDBATU = 962
+PPC_INS_MFDBATL = 963
+PPC_INS_MFIBATU = 964
+PPC_INS_MFIBATL = 965
+PPC_INS_MFDCCR = 966
+PPC_INS_MFICCR = 967
+PPC_INS_MFDEAR = 968
+PPC_INS_MFESR = 969
+PPC_INS_MFSPEFSCR = 970
+PPC_INS_MFTCR = 971
+PPC_INS_MFASR = 972
+PPC_INS_MFPVR = 973
+PPC_INS_MFTBU = 974
+PPC_INS_MTCR = 975
+PPC_INS_MTBR0 = 976
+PPC_INS_MTBR1 = 977
+PPC_INS_MTBR2 = 978
+PPC_INS_MTBR3 = 979
+PPC_INS_MTBR4 = 980
+PPC_INS_MTBR5 = 981
+PPC_INS_MTBR6 = 982
+PPC_INS_MTBR7 = 983
+PPC_INS_MTXER = 984
+PPC_INS_MTDSCR = 985
+PPC_INS_MTDSISR = 986
+PPC_INS_MTDAR = 987
+PPC_INS_MTSRR2 = 988
+PPC_INS_MTSRR3 = 989
+PPC_INS_MTCFAR = 990
+PPC_INS_MTAMR = 991
+PPC_INS_MTPID = 992
+PPC_INS_MTTBL = 993
+PPC_INS_MTTBU = 994
+PPC_INS_MTTBLO = 995
+PPC_INS_MTTBHI = 996
+PPC_INS_MTDBATU = 997
+PPC_INS_MTDBATL = 998
+PPC_INS_MTIBATU = 999
+PPC_INS_MTIBATL = 1000
+PPC_INS_MTDCCR = 1001
+PPC_INS_MTICCR = 1002
+PPC_INS_MTDEAR = 1003
+PPC_INS_MTESR = 1004
+PPC_INS_MTSPEFSCR = 1005
+PPC_INS_MTTCR = 1006
+PPC_INS_NOT = 1007
+PPC_INS_MR = 1008
+PPC_INS_ROTLD = 1009
+PPC_INS_ROTLDI = 1010
+PPC_INS_CLRLDI = 1011
+PPC_INS_ROTLWI = 1012
+PPC_INS_CLRLWI = 1013
+PPC_INS_ROTLW = 1014
+PPC_INS_SUB = 1015
+PPC_INS_SUBC = 1016
+PPC_INS_LWSYNC = 1017
+PPC_INS_PTESYNC = 1018
+PPC_INS_TDLT = 1019
+PPC_INS_TDEQ = 1020
+PPC_INS_TDGT = 1021
+PPC_INS_TDNE = 1022
+PPC_INS_TDLLT = 1023
+PPC_INS_TDLGT = 1024
+PPC_INS_TDU = 1025
+PPC_INS_TDLTI = 1026
+PPC_INS_TDEQI = 1027
+PPC_INS_TDGTI = 1028
+PPC_INS_TDNEI = 1029
+PPC_INS_TDLLTI = 1030
+PPC_INS_TDLGTI = 1031
+PPC_INS_TDUI = 1032
+PPC_INS_TLBREHI = 1033
+PPC_INS_TLBRELO = 1034
+PPC_INS_TLBWEHI = 1035
+PPC_INS_TLBWELO = 1036
+PPC_INS_TWLT = 1037
+PPC_INS_TWEQ = 1038
+PPC_INS_TWGT = 1039
+PPC_INS_TWNE = 1040
+PPC_INS_TWLLT = 1041
+PPC_INS_TWLGT = 1042
+PPC_INS_TWU = 1043
+PPC_INS_TWLTI = 1044
+PPC_INS_TWEQI = 1045
+PPC_INS_TWGTI = 1046
+PPC_INS_TWNEI = 1047
+PPC_INS_TWLLTI = 1048
+PPC_INS_TWLGTI = 1049
+PPC_INS_TWUI = 1050
+PPC_INS_WAITRSV = 1051
+PPC_INS_WAITIMPL = 1052
+PPC_INS_XNOP = 1053
+PPC_INS_XVMOVDP = 1054
+PPC_INS_XVMOVSP = 1055
+PPC_INS_XXSPLTD = 1056
+PPC_INS_XXMRGHD = 1057
+PPC_INS_XXMRGLD = 1058
+PPC_INS_XXSWAPD = 1059
+PPC_INS_BT = 1060
+PPC_INS_BF = 1061
+PPC_INS_BDNZT = 1062
+PPC_INS_BDNZF = 1063
+PPC_INS_BDZF = 1064
+PPC_INS_BDZT = 1065
+PPC_INS_BFA = 1066
+PPC_INS_BDNZTA = 1067
+PPC_INS_BDNZFA = 1068
+PPC_INS_BDZTA = 1069
+PPC_INS_BDZFA = 1070
+PPC_INS_BTCTR = 1071
+PPC_INS_BFCTR = 1072
+PPC_INS_BTCTRL = 1073
+PPC_INS_BFCTRL = 1074
+PPC_INS_BTL = 1075
+PPC_INS_BFL = 1076
+PPC_INS_BDNZTL = 1077
+PPC_INS_BDNZFL = 1078
+PPC_INS_BDZTL = 1079
+PPC_INS_BDZFL = 1080
+PPC_INS_BTLA = 1081
+PPC_INS_BFLA = 1082
+PPC_INS_BDNZTLA = 1083
+PPC_INS_BDNZFLA = 1084
+PPC_INS_BDZTLA = 1085
+PPC_INS_BDZFLA = 1086
+PPC_INS_BTLR = 1087
+PPC_INS_BFLR = 1088
+PPC_INS_BDNZTLR = 1089
+PPC_INS_BDZTLR = 1090
+PPC_INS_BDZFLR = 1091
+PPC_INS_BTLRL = 1092
+PPC_INS_BFLRL = 1093
+PPC_INS_BDNZTLRL = 1094
+PPC_INS_BDNZFLRL = 1095
+PPC_INS_BDZTLRL = 1096
+PPC_INS_BDZFLRL = 1097
+PPC_INS_QVFAND = 1098
+PPC_INS_QVFCLR = 1099
+PPC_INS_QVFANDC = 1100
+PPC_INS_QVFCTFB = 1101
+PPC_INS_QVFXOR = 1102
+PPC_INS_QVFOR = 1103
+PPC_INS_QVFNOR = 1104
+PPC_INS_QVFEQU = 1105
+PPC_INS_QVFNOT = 1106
+PPC_INS_QVFORC = 1107
+PPC_INS_QVFNAND = 1108
+PPC_INS_QVFSET = 1109
+PPC_INS_ENDING = 1110
 
 PPC_GRP_INVALID = 0
-
-# Generic groups
 PPC_GRP_JUMP = 1
-
-# Architecture-specific groups
 PPC_GRP_ALTIVEC = 128
 PPC_GRP_MODE32 = 129
 PPC_GRP_MODE64 = 130
@@ -1166,4 +1358,8 @@ PPC_GRP_VSX = 134
 PPC_GRP_E500 = 135
 PPC_GRP_PPC4XX = 136
 PPC_GRP_PPC6XX = 137
-PPC_GRP_ENDING = 138
+PPC_GRP_ICBT = 138
+PPC_GRP_P8ALTIVEC = 139
+PPC_GRP_P8VECTOR = 140
+PPC_GRP_QPX = 141
+PPC_GRP_ENDING = 142
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/ppc.py 4.0.2-3/bindings/python/capstone/ppc.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/ppc.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/ppc.py	2020-05-08 10:03:30.000000000 +0000
@@ -21,7 +21,7 @@ class PpcOpCrx(ctypes.Structure):
 class PpcOpValue(ctypes.Union):
     _fields_ = (
         ('reg', ctypes.c_uint),
-        ('imm', ctypes.c_int32),
+        ('imm', ctypes.c_int64),
         ('mem', PpcOpMem),
         ('crx', PpcOpCrx),
     )
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/sparc_const.py 4.0.2-3/bindings/python/capstone/sparc_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/sparc_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/sparc_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,6 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [sparc_const.py]
 
-# Enums corresponding to Sparc condition codes, both icc's and fcc's.
-
 SPARC_CC_INVALID = 0
-
-# Integer condition codes
 SPARC_CC_ICC_A = 8+256
 SPARC_CC_ICC_N = 0+256
 SPARC_CC_ICC_NE = 9+256
@@ -21,8 +17,6 @@ SPARC_CC_ICC_POS = 14+256
 SPARC_CC_ICC_NEG = 6+256
 SPARC_CC_ICC_VC = 15+256
 SPARC_CC_ICC_VS = 7+256
-
-# Floating condition codes
 SPARC_CC_FCC_A = 8+16+256
 SPARC_CC_FCC_N = 0+16+256
 SPARC_CC_FCC_U = 7+16+256
@@ -40,22 +34,16 @@ SPARC_CC_FCC_LE = 13+16+256
 SPARC_CC_FCC_ULE = 14+16+256
 SPARC_CC_FCC_O = 15+16+256
 
-# Branch hint
-
 SPARC_HINT_INVALID = 0
 SPARC_HINT_A = 1<<0
 SPARC_HINT_PT = 1<<1
 SPARC_HINT_PN = 1<<2
 
-# Operand type for instruction's operands
-
 SPARC_OP_INVALID = 0
 SPARC_OP_REG = 1
 SPARC_OP_IMM = 2
 SPARC_OP_MEM = 3
 
-# SPARC registers
-
 SPARC_REG_INVALID = 0
 SPARC_REG_F0 = 1
 SPARC_REG_F1 = 2
@@ -148,8 +136,6 @@ SPARC_REG_ENDING = 88
 SPARC_REG_O6 = SPARC_REG_SP
 SPARC_REG_I6 = SPARC_REG_FP
 
-# SPARC instruction
-
 SPARC_INS_INVALID = 0
 SPARC_INS_ADDCC = 1
 SPARC_INS_ADDX = 2
@@ -431,14 +417,8 @@ SPARC_INS_RET = 277
 SPARC_INS_RETL = 278
 SPARC_INS_ENDING = 279
 
-# Group of SPARC instructions
-
 SPARC_GRP_INVALID = 0
-
-# Generic groups
 SPARC_GRP_JUMP = 1
-
-# Architecture-specific groups
 SPARC_GRP_HARDQUAD = 128
 SPARC_GRP_V9 = 129
 SPARC_GRP_VIS = 130
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/sparc.py 4.0.2-3/bindings/python/capstone/sparc.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/sparc.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/sparc.py	2020-05-08 10:03:30.000000000 +0000
@@ -15,7 +15,7 @@ class SparcOpMem(ctypes.Structure):
 class SparcOpValue(ctypes.Union):
     _fields_ = (
         ('reg', ctypes.c_uint),
-        ('imm', ctypes.c_int32),
+        ('imm', ctypes.c_int64),
         ('mem', SparcOpMem),
     )
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/sysz_const.py 4.0.2-3/bindings/python/capstone/sysz_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/sysz_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/sysz_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [sysz_const.py]
 
-# Enums corresponding to SystemZ condition codes
-
 SYSZ_CC_INVALID = 0
 SYSZ_CC_O = 1
 SYSZ_CC_H = 2
@@ -18,16 +16,12 @@ SYSZ_CC_LE = 12
 SYSZ_CC_NH = 13
 SYSZ_CC_NO = 14
 
-# Operand type for instruction's operands
-
 SYSZ_OP_INVALID = 0
 SYSZ_OP_REG = 1
 SYSZ_OP_IMM = 2
 SYSZ_OP_MEM = 3
 SYSZ_OP_ACREG = 64
 
-# SystemZ registers
-
 SYSZ_REG_INVALID = 0
 SYSZ_REG_0 = 1
 SYSZ_REG_1 = 2
@@ -65,8 +59,6 @@ SYSZ_REG_F15 = 33
 SYSZ_REG_R0L = 34
 SYSZ_REG_ENDING = 35
 
-# SystemZ instruction
-
 SYSZ_INS_INVALID = 0
 SYSZ_INS_A = 1
 SYSZ_INS_ADB = 2
@@ -751,14 +743,8 @@ SYSZ_INS_XRK = 680
 SYSZ_INS_XY = 681
 SYSZ_INS_ENDING = 682
 
-# Group of SystemZ instructions
-
 SYSZ_GRP_INVALID = 0
-
-# Generic groups
 SYSZ_GRP_JUMP = 1
-
-# Architecture-specific groups
 SYSZ_GRP_DISTINCTOPS = 128
 SYSZ_GRP_FPEXTENSION = 129
 SYSZ_GRP_HIGHWORD = 130
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/tms320c64x_const.py 4.0.2-3/bindings/python/capstone/tms320c64x_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/tms320c64x_const.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/tms320c64x_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,277 @@
+# For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [tms320c64x_const.py]
+
+TMS320C64X_OP_INVALID = 0
+TMS320C64X_OP_REG = 1
+TMS320C64X_OP_IMM = 2
+TMS320C64X_OP_MEM = 3
+TMS320C64X_OP_REGPAIR = 64
+
+TMS320C64X_MEM_DISP_INVALID = 0
+TMS320C64X_MEM_DISP_CONSTANT = 1
+TMS320C64X_MEM_DISP_REGISTER = 2
+
+TMS320C64X_MEM_DIR_INVALID = 0
+TMS320C64X_MEM_DIR_FW = 1
+TMS320C64X_MEM_DIR_BW = 2
+
+TMS320C64X_MEM_MOD_INVALID = 0
+TMS320C64X_MEM_MOD_NO = 1
+TMS320C64X_MEM_MOD_PRE = 2
+TMS320C64X_MEM_MOD_POST = 3
+
+TMS320C64X_REG_INVALID = 0
+TMS320C64X_REG_AMR = 1
+TMS320C64X_REG_CSR = 2
+TMS320C64X_REG_DIER = 3
+TMS320C64X_REG_DNUM = 4
+TMS320C64X_REG_ECR = 5
+TMS320C64X_REG_GFPGFR = 6
+TMS320C64X_REG_GPLYA = 7
+TMS320C64X_REG_GPLYB = 8
+TMS320C64X_REG_ICR = 9
+TMS320C64X_REG_IER = 10
+TMS320C64X_REG_IERR = 11
+TMS320C64X_REG_ILC = 12
+TMS320C64X_REG_IRP = 13
+TMS320C64X_REG_ISR = 14
+TMS320C64X_REG_ISTP = 15
+TMS320C64X_REG_ITSR = 16
+TMS320C64X_REG_NRP = 17
+TMS320C64X_REG_NTSR = 18
+TMS320C64X_REG_REP = 19
+TMS320C64X_REG_RILC = 20
+TMS320C64X_REG_SSR = 21
+TMS320C64X_REG_TSCH = 22
+TMS320C64X_REG_TSCL = 23
+TMS320C64X_REG_TSR = 24
+TMS320C64X_REG_A0 = 25
+TMS320C64X_REG_A1 = 26
+TMS320C64X_REG_A2 = 27
+TMS320C64X_REG_A3 = 28
+TMS320C64X_REG_A4 = 29
+TMS320C64X_REG_A5 = 30
+TMS320C64X_REG_A6 = 31
+TMS320C64X_REG_A7 = 32
+TMS320C64X_REG_A8 = 33
+TMS320C64X_REG_A9 = 34
+TMS320C64X_REG_A10 = 35
+TMS320C64X_REG_A11 = 36
+TMS320C64X_REG_A12 = 37
+TMS320C64X_REG_A13 = 38
+TMS320C64X_REG_A14 = 39
+TMS320C64X_REG_A15 = 40
+TMS320C64X_REG_A16 = 41
+TMS320C64X_REG_A17 = 42
+TMS320C64X_REG_A18 = 43
+TMS320C64X_REG_A19 = 44
+TMS320C64X_REG_A20 = 45
+TMS320C64X_REG_A21 = 46
+TMS320C64X_REG_A22 = 47
+TMS320C64X_REG_A23 = 48
+TMS320C64X_REG_A24 = 49
+TMS320C64X_REG_A25 = 50
+TMS320C64X_REG_A26 = 51
+TMS320C64X_REG_A27 = 52
+TMS320C64X_REG_A28 = 53
+TMS320C64X_REG_A29 = 54
+TMS320C64X_REG_A30 = 55
+TMS320C64X_REG_A31 = 56
+TMS320C64X_REG_B0 = 57
+TMS320C64X_REG_B1 = 58
+TMS320C64X_REG_B2 = 59
+TMS320C64X_REG_B3 = 60
+TMS320C64X_REG_B4 = 61
+TMS320C64X_REG_B5 = 62
+TMS320C64X_REG_B6 = 63
+TMS320C64X_REG_B7 = 64
+TMS320C64X_REG_B8 = 65
+TMS320C64X_REG_B9 = 66
+TMS320C64X_REG_B10 = 67
+TMS320C64X_REG_B11 = 68
+TMS320C64X_REG_B12 = 69
+TMS320C64X_REG_B13 = 70
+TMS320C64X_REG_B14 = 71
+TMS320C64X_REG_B15 = 72
+TMS320C64X_REG_B16 = 73
+TMS320C64X_REG_B17 = 74
+TMS320C64X_REG_B18 = 75
+TMS320C64X_REG_B19 = 76
+TMS320C64X_REG_B20 = 77
+TMS320C64X_REG_B21 = 78
+TMS320C64X_REG_B22 = 79
+TMS320C64X_REG_B23 = 80
+TMS320C64X_REG_B24 = 81
+TMS320C64X_REG_B25 = 82
+TMS320C64X_REG_B26 = 83
+TMS320C64X_REG_B27 = 84
+TMS320C64X_REG_B28 = 85
+TMS320C64X_REG_B29 = 86
+TMS320C64X_REG_B30 = 87
+TMS320C64X_REG_B31 = 88
+TMS320C64X_REG_PCE1 = 89
+TMS320C64X_REG_ENDING = 90
+TMS320C64X_REG_EFR = TMS320C64X_REG_ECR
+TMS320C64X_REG_IFR = TMS320C64X_REG_ISR
+
+TMS320C64X_INS_INVALID = 0
+TMS320C64X_INS_ABS = 1
+TMS320C64X_INS_ABS2 = 2
+TMS320C64X_INS_ADD = 3
+TMS320C64X_INS_ADD2 = 4
+TMS320C64X_INS_ADD4 = 5
+TMS320C64X_INS_ADDAB = 6
+TMS320C64X_INS_ADDAD = 7
+TMS320C64X_INS_ADDAH = 8
+TMS320C64X_INS_ADDAW = 9
+TMS320C64X_INS_ADDK = 10
+TMS320C64X_INS_ADDKPC = 11
+TMS320C64X_INS_ADDU = 12
+TMS320C64X_INS_AND = 13
+TMS320C64X_INS_ANDN = 14
+TMS320C64X_INS_AVG2 = 15
+TMS320C64X_INS_AVGU4 = 16
+TMS320C64X_INS_B = 17
+TMS320C64X_INS_BDEC = 18
+TMS320C64X_INS_BITC4 = 19
+TMS320C64X_INS_BNOP = 20
+TMS320C64X_INS_BPOS = 21
+TMS320C64X_INS_CLR = 22
+TMS320C64X_INS_CMPEQ = 23
+TMS320C64X_INS_CMPEQ2 = 24
+TMS320C64X_INS_CMPEQ4 = 25
+TMS320C64X_INS_CMPGT = 26
+TMS320C64X_INS_CMPGT2 = 27
+TMS320C64X_INS_CMPGTU4 = 28
+TMS320C64X_INS_CMPLT = 29
+TMS320C64X_INS_CMPLTU = 30
+TMS320C64X_INS_DEAL = 31
+TMS320C64X_INS_DOTP2 = 32
+TMS320C64X_INS_DOTPN2 = 33
+TMS320C64X_INS_DOTPNRSU2 = 34
+TMS320C64X_INS_DOTPRSU2 = 35
+TMS320C64X_INS_DOTPSU4 = 36
+TMS320C64X_INS_DOTPU4 = 37
+TMS320C64X_INS_EXT = 38
+TMS320C64X_INS_EXTU = 39
+TMS320C64X_INS_GMPGTU = 40
+TMS320C64X_INS_GMPY4 = 41
+TMS320C64X_INS_LDB = 42
+TMS320C64X_INS_LDBU = 43
+TMS320C64X_INS_LDDW = 44
+TMS320C64X_INS_LDH = 45
+TMS320C64X_INS_LDHU = 46
+TMS320C64X_INS_LDNDW = 47
+TMS320C64X_INS_LDNW = 48
+TMS320C64X_INS_LDW = 49
+TMS320C64X_INS_LMBD = 50
+TMS320C64X_INS_MAX2 = 51
+TMS320C64X_INS_MAXU4 = 52
+TMS320C64X_INS_MIN2 = 53
+TMS320C64X_INS_MINU4 = 54
+TMS320C64X_INS_MPY = 55
+TMS320C64X_INS_MPY2 = 56
+TMS320C64X_INS_MPYH = 57
+TMS320C64X_INS_MPYHI = 58
+TMS320C64X_INS_MPYHIR = 59
+TMS320C64X_INS_MPYHL = 60
+TMS320C64X_INS_MPYHLU = 61
+TMS320C64X_INS_MPYHSLU = 62
+TMS320C64X_INS_MPYHSU = 63
+TMS320C64X_INS_MPYHU = 64
+TMS320C64X_INS_MPYHULS = 65
+TMS320C64X_INS_MPYHUS = 66
+TMS320C64X_INS_MPYLH = 67
+TMS320C64X_INS_MPYLHU = 68
+TMS320C64X_INS_MPYLI = 69
+TMS320C64X_INS_MPYLIR = 70
+TMS320C64X_INS_MPYLSHU = 71
+TMS320C64X_INS_MPYLUHS = 72
+TMS320C64X_INS_MPYSU = 73
+TMS320C64X_INS_MPYSU4 = 74
+TMS320C64X_INS_MPYU = 75
+TMS320C64X_INS_MPYU4 = 76
+TMS320C64X_INS_MPYUS = 77
+TMS320C64X_INS_MVC = 78
+TMS320C64X_INS_MVD = 79
+TMS320C64X_INS_MVK = 80
+TMS320C64X_INS_MVKL = 81
+TMS320C64X_INS_MVKLH = 82
+TMS320C64X_INS_NOP = 83
+TMS320C64X_INS_NORM = 84
+TMS320C64X_INS_OR = 85
+TMS320C64X_INS_PACK2 = 86
+TMS320C64X_INS_PACKH2 = 87
+TMS320C64X_INS_PACKH4 = 88
+TMS320C64X_INS_PACKHL2 = 89
+TMS320C64X_INS_PACKL4 = 90
+TMS320C64X_INS_PACKLH2 = 91
+TMS320C64X_INS_ROTL = 92
+TMS320C64X_INS_SADD = 93
+TMS320C64X_INS_SADD2 = 94
+TMS320C64X_INS_SADDU4 = 95
+TMS320C64X_INS_SADDUS2 = 96
+TMS320C64X_INS_SAT = 97
+TMS320C64X_INS_SET = 98
+TMS320C64X_INS_SHFL = 99
+TMS320C64X_INS_SHL = 100
+TMS320C64X_INS_SHLMB = 101
+TMS320C64X_INS_SHR = 102
+TMS320C64X_INS_SHR2 = 103
+TMS320C64X_INS_SHRMB = 104
+TMS320C64X_INS_SHRU = 105
+TMS320C64X_INS_SHRU2 = 106
+TMS320C64X_INS_SMPY = 107
+TMS320C64X_INS_SMPY2 = 108
+TMS320C64X_INS_SMPYH = 109
+TMS320C64X_INS_SMPYHL = 110
+TMS320C64X_INS_SMPYLH = 111
+TMS320C64X_INS_SPACK2 = 112
+TMS320C64X_INS_SPACKU4 = 113
+TMS320C64X_INS_SSHL = 114
+TMS320C64X_INS_SSHVL = 115
+TMS320C64X_INS_SSHVR = 116
+TMS320C64X_INS_SSUB = 117
+TMS320C64X_INS_STB = 118
+TMS320C64X_INS_STDW = 119
+TMS320C64X_INS_STH = 120
+TMS320C64X_INS_STNDW = 121
+TMS320C64X_INS_STNW = 122
+TMS320C64X_INS_STW = 123
+TMS320C64X_INS_SUB = 124
+TMS320C64X_INS_SUB2 = 125
+TMS320C64X_INS_SUB4 = 126
+TMS320C64X_INS_SUBAB = 127
+TMS320C64X_INS_SUBABS4 = 128
+TMS320C64X_INS_SUBAH = 129
+TMS320C64X_INS_SUBAW = 130
+TMS320C64X_INS_SUBC = 131
+TMS320C64X_INS_SUBU = 132
+TMS320C64X_INS_SWAP4 = 133
+TMS320C64X_INS_UNPKHU4 = 134
+TMS320C64X_INS_UNPKLU4 = 135
+TMS320C64X_INS_XOR = 136
+TMS320C64X_INS_XPND2 = 137
+TMS320C64X_INS_XPND4 = 138
+TMS320C64X_INS_IDLE = 139
+TMS320C64X_INS_MV = 140
+TMS320C64X_INS_NEG = 141
+TMS320C64X_INS_NOT = 142
+TMS320C64X_INS_SWAP2 = 143
+TMS320C64X_INS_ZERO = 144
+TMS320C64X_INS_ENDING = 145
+
+TMS320C64X_GRP_INVALID = 0
+TMS320C64X_GRP_JUMP = 1
+TMS320C64X_GRP_FUNIT_D = 128
+TMS320C64X_GRP_FUNIT_L = 129
+TMS320C64X_GRP_FUNIT_M = 130
+TMS320C64X_GRP_FUNIT_S = 131
+TMS320C64X_GRP_FUNIT_NO = 132
+TMS320C64X_GRP_ENDING = 133
+
+TMS320C64X_FUNIT_INVALID = 0
+TMS320C64X_FUNIT_D = 1
+TMS320C64X_FUNIT_L = 2
+TMS320C64X_FUNIT_M = 3
+TMS320C64X_FUNIT_S = 4
+TMS320C64X_FUNIT_NO = 5
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/tms320c64x.py 4.0.2-3/bindings/python/capstone/tms320c64x.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/tms320c64x.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/tms320c64x.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,66 @@
+# Capstone Python bindings, by Fotis Loukos <me@fotisl.com>
+
+import ctypes, copy
+from .tms320c64x_const import *
+
+# define the API
+class TMS320C64xOpMem(ctypes.Structure):
+    _fields_ = (
+        ('base', ctypes.c_int),
+        ('disp', ctypes.c_int),
+        ('unit', ctypes.c_int),
+        ('scaled', ctypes.c_int),
+        ('disptype', ctypes.c_int),
+        ('direction', ctypes.c_int),
+        ('modify', ctypes.c_int),
+    )
+
+class TMS320C64xOpValue(ctypes.Union):
+    _fields_ = (
+        ('reg', ctypes.c_uint),
+        ('imm', ctypes.c_int32),
+        ('mem', TMS320C64xOpMem),
+    )
+
+class TMS320C64xCondition(ctypes.Structure):
+    _fields_ = (
+        ('reg', ctypes.c_uint),
+        ('zero', ctypes.c_uint),
+    )
+
+class TMS320C64xFunctionalUnit(ctypes.Structure):
+    _fields_ = (
+        ('unit', ctypes.c_uint),
+        ('side', ctypes.c_uint),
+        ('crosspath', ctypes.c_uint),
+    )
+
+class TMS320C64xOp(ctypes.Structure):
+    _fields_ = (
+        ('type', ctypes.c_uint),
+        ('value', TMS320C64xOpValue),
+    )
+
+    @property
+    def imm(self):
+        return self.value.imm
+
+    @property
+    def reg(self):
+        return self.value.reg
+
+    @property
+    def mem(self):
+        return self.value.mem
+
+class CsTMS320C64x(ctypes.Structure):
+    _fields_ = (
+        ('op_count', ctypes.c_uint8),
+        ('operands', TMS320C64xOp * 8),
+        ('condition', TMS320C64xCondition),
+        ('funit', TMS320C64xFunctionalUnit),
+        ('parallel', ctypes.c_uint),
+    )
+
+def get_arch_info(a):
+    return (a.condition, a.funit, a.parallel, copy.deepcopy(a.operands[:a.op_count]))
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/x86_const.py 4.0.2-3/bindings/python/capstone/x86_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/x86_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/x86_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,5 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [x86_const.py]
 
-# X86 registers
-
 X86_REG_INVALID = 0
 X86_REG_AH = 1
 X86_REG_AL = 2
@@ -76,177 +74,269 @@ X86_REG_DR4 = 70
 X86_REG_DR5 = 71
 X86_REG_DR6 = 72
 X86_REG_DR7 = 73
-X86_REG_FP0 = 74
-X86_REG_FP1 = 75
-X86_REG_FP2 = 76
-X86_REG_FP3 = 77
-X86_REG_FP4 = 78
-X86_REG_FP5 = 79
-X86_REG_FP6 = 80
-X86_REG_FP7 = 81
-X86_REG_K0 = 82
-X86_REG_K1 = 83
-X86_REG_K2 = 84
-X86_REG_K3 = 85
-X86_REG_K4 = 86
-X86_REG_K5 = 87
-X86_REG_K6 = 88
-X86_REG_K7 = 89
-X86_REG_MM0 = 90
-X86_REG_MM1 = 91
-X86_REG_MM2 = 92
-X86_REG_MM3 = 93
-X86_REG_MM4 = 94
-X86_REG_MM5 = 95
-X86_REG_MM6 = 96
-X86_REG_MM7 = 97
-X86_REG_R8 = 98
-X86_REG_R9 = 99
-X86_REG_R10 = 100
-X86_REG_R11 = 101
-X86_REG_R12 = 102
-X86_REG_R13 = 103
-X86_REG_R14 = 104
-X86_REG_R15 = 105
-X86_REG_ST0 = 106
-X86_REG_ST1 = 107
-X86_REG_ST2 = 108
-X86_REG_ST3 = 109
-X86_REG_ST4 = 110
-X86_REG_ST5 = 111
-X86_REG_ST6 = 112
-X86_REG_ST7 = 113
-X86_REG_XMM0 = 114
-X86_REG_XMM1 = 115
-X86_REG_XMM2 = 116
-X86_REG_XMM3 = 117
-X86_REG_XMM4 = 118
-X86_REG_XMM5 = 119
-X86_REG_XMM6 = 120
-X86_REG_XMM7 = 121
-X86_REG_XMM8 = 122
-X86_REG_XMM9 = 123
-X86_REG_XMM10 = 124
-X86_REG_XMM11 = 125
-X86_REG_XMM12 = 126
-X86_REG_XMM13 = 127
-X86_REG_XMM14 = 128
-X86_REG_XMM15 = 129
-X86_REG_XMM16 = 130
-X86_REG_XMM17 = 131
-X86_REG_XMM18 = 132
-X86_REG_XMM19 = 133
-X86_REG_XMM20 = 134
-X86_REG_XMM21 = 135
-X86_REG_XMM22 = 136
-X86_REG_XMM23 = 137
-X86_REG_XMM24 = 138
-X86_REG_XMM25 = 139
-X86_REG_XMM26 = 140
-X86_REG_XMM27 = 141
-X86_REG_XMM28 = 142
-X86_REG_XMM29 = 143
-X86_REG_XMM30 = 144
-X86_REG_XMM31 = 145
-X86_REG_YMM0 = 146
-X86_REG_YMM1 = 147
-X86_REG_YMM2 = 148
-X86_REG_YMM3 = 149
-X86_REG_YMM4 = 150
-X86_REG_YMM5 = 151
-X86_REG_YMM6 = 152
-X86_REG_YMM7 = 153
-X86_REG_YMM8 = 154
-X86_REG_YMM9 = 155
-X86_REG_YMM10 = 156
-X86_REG_YMM11 = 157
-X86_REG_YMM12 = 158
-X86_REG_YMM13 = 159
-X86_REG_YMM14 = 160
-X86_REG_YMM15 = 161
-X86_REG_YMM16 = 162
-X86_REG_YMM17 = 163
-X86_REG_YMM18 = 164
-X86_REG_YMM19 = 165
-X86_REG_YMM20 = 166
-X86_REG_YMM21 = 167
-X86_REG_YMM22 = 168
-X86_REG_YMM23 = 169
-X86_REG_YMM24 = 170
-X86_REG_YMM25 = 171
-X86_REG_YMM26 = 172
-X86_REG_YMM27 = 173
-X86_REG_YMM28 = 174
-X86_REG_YMM29 = 175
-X86_REG_YMM30 = 176
-X86_REG_YMM31 = 177
-X86_REG_ZMM0 = 178
-X86_REG_ZMM1 = 179
-X86_REG_ZMM2 = 180
-X86_REG_ZMM3 = 181
-X86_REG_ZMM4 = 182
-X86_REG_ZMM5 = 183
-X86_REG_ZMM6 = 184
-X86_REG_ZMM7 = 185
-X86_REG_ZMM8 = 186
-X86_REG_ZMM9 = 187
-X86_REG_ZMM10 = 188
-X86_REG_ZMM11 = 189
-X86_REG_ZMM12 = 190
-X86_REG_ZMM13 = 191
-X86_REG_ZMM14 = 192
-X86_REG_ZMM15 = 193
-X86_REG_ZMM16 = 194
-X86_REG_ZMM17 = 195
-X86_REG_ZMM18 = 196
-X86_REG_ZMM19 = 197
-X86_REG_ZMM20 = 198
-X86_REG_ZMM21 = 199
-X86_REG_ZMM22 = 200
-X86_REG_ZMM23 = 201
-X86_REG_ZMM24 = 202
-X86_REG_ZMM25 = 203
-X86_REG_ZMM26 = 204
-X86_REG_ZMM27 = 205
-X86_REG_ZMM28 = 206
-X86_REG_ZMM29 = 207
-X86_REG_ZMM30 = 208
-X86_REG_ZMM31 = 209
-X86_REG_R8B = 210
-X86_REG_R9B = 211
-X86_REG_R10B = 212
-X86_REG_R11B = 213
-X86_REG_R12B = 214
-X86_REG_R13B = 215
-X86_REG_R14B = 216
-X86_REG_R15B = 217
-X86_REG_R8D = 218
-X86_REG_R9D = 219
-X86_REG_R10D = 220
-X86_REG_R11D = 221
-X86_REG_R12D = 222
-X86_REG_R13D = 223
-X86_REG_R14D = 224
-X86_REG_R15D = 225
-X86_REG_R8W = 226
-X86_REG_R9W = 227
-X86_REG_R10W = 228
-X86_REG_R11W = 229
-X86_REG_R12W = 230
-X86_REG_R13W = 231
-X86_REG_R14W = 232
-X86_REG_R15W = 233
-X86_REG_ENDING = 234
-
-# Operand type for instruction's operands
+X86_REG_DR8 = 74
+X86_REG_DR9 = 75
+X86_REG_DR10 = 76
+X86_REG_DR11 = 77
+X86_REG_DR12 = 78
+X86_REG_DR13 = 79
+X86_REG_DR14 = 80
+X86_REG_DR15 = 81
+X86_REG_FP0 = 82
+X86_REG_FP1 = 83
+X86_REG_FP2 = 84
+X86_REG_FP3 = 85
+X86_REG_FP4 = 86
+X86_REG_FP5 = 87
+X86_REG_FP6 = 88
+X86_REG_FP7 = 89
+X86_REG_K0 = 90
+X86_REG_K1 = 91
+X86_REG_K2 = 92
+X86_REG_K3 = 93
+X86_REG_K4 = 94
+X86_REG_K5 = 95
+X86_REG_K6 = 96
+X86_REG_K7 = 97
+X86_REG_MM0 = 98
+X86_REG_MM1 = 99
+X86_REG_MM2 = 100
+X86_REG_MM3 = 101
+X86_REG_MM4 = 102
+X86_REG_MM5 = 103
+X86_REG_MM6 = 104
+X86_REG_MM7 = 105
+X86_REG_R8 = 106
+X86_REG_R9 = 107
+X86_REG_R10 = 108
+X86_REG_R11 = 109
+X86_REG_R12 = 110
+X86_REG_R13 = 111
+X86_REG_R14 = 112
+X86_REG_R15 = 113
+X86_REG_ST0 = 114
+X86_REG_ST1 = 115
+X86_REG_ST2 = 116
+X86_REG_ST3 = 117
+X86_REG_ST4 = 118
+X86_REG_ST5 = 119
+X86_REG_ST6 = 120
+X86_REG_ST7 = 121
+X86_REG_XMM0 = 122
+X86_REG_XMM1 = 123
+X86_REG_XMM2 = 124
+X86_REG_XMM3 = 125
+X86_REG_XMM4 = 126
+X86_REG_XMM5 = 127
+X86_REG_XMM6 = 128
+X86_REG_XMM7 = 129
+X86_REG_XMM8 = 130
+X86_REG_XMM9 = 131
+X86_REG_XMM10 = 132
+X86_REG_XMM11 = 133
+X86_REG_XMM12 = 134
+X86_REG_XMM13 = 135
+X86_REG_XMM14 = 136
+X86_REG_XMM15 = 137
+X86_REG_XMM16 = 138
+X86_REG_XMM17 = 139
+X86_REG_XMM18 = 140
+X86_REG_XMM19 = 141
+X86_REG_XMM20 = 142
+X86_REG_XMM21 = 143
+X86_REG_XMM22 = 144
+X86_REG_XMM23 = 145
+X86_REG_XMM24 = 146
+X86_REG_XMM25 = 147
+X86_REG_XMM26 = 148
+X86_REG_XMM27 = 149
+X86_REG_XMM28 = 150
+X86_REG_XMM29 = 151
+X86_REG_XMM30 = 152
+X86_REG_XMM31 = 153
+X86_REG_YMM0 = 154
+X86_REG_YMM1 = 155
+X86_REG_YMM2 = 156
+X86_REG_YMM3 = 157
+X86_REG_YMM4 = 158
+X86_REG_YMM5 = 159
+X86_REG_YMM6 = 160
+X86_REG_YMM7 = 161
+X86_REG_YMM8 = 162
+X86_REG_YMM9 = 163
+X86_REG_YMM10 = 164
+X86_REG_YMM11 = 165
+X86_REG_YMM12 = 166
+X86_REG_YMM13 = 167
+X86_REG_YMM14 = 168
+X86_REG_YMM15 = 169
+X86_REG_YMM16 = 170
+X86_REG_YMM17 = 171
+X86_REG_YMM18 = 172
+X86_REG_YMM19 = 173
+X86_REG_YMM20 = 174
+X86_REG_YMM21 = 175
+X86_REG_YMM22 = 176
+X86_REG_YMM23 = 177
+X86_REG_YMM24 = 178
+X86_REG_YMM25 = 179
+X86_REG_YMM26 = 180
+X86_REG_YMM27 = 181
+X86_REG_YMM28 = 182
+X86_REG_YMM29 = 183
+X86_REG_YMM30 = 184
+X86_REG_YMM31 = 185
+X86_REG_ZMM0 = 186
+X86_REG_ZMM1 = 187
+X86_REG_ZMM2 = 188
+X86_REG_ZMM3 = 189
+X86_REG_ZMM4 = 190
+X86_REG_ZMM5 = 191
+X86_REG_ZMM6 = 192
+X86_REG_ZMM7 = 193
+X86_REG_ZMM8 = 194
+X86_REG_ZMM9 = 195
+X86_REG_ZMM10 = 196
+X86_REG_ZMM11 = 197
+X86_REG_ZMM12 = 198
+X86_REG_ZMM13 = 199
+X86_REG_ZMM14 = 200
+X86_REG_ZMM15 = 201
+X86_REG_ZMM16 = 202
+X86_REG_ZMM17 = 203
+X86_REG_ZMM18 = 204
+X86_REG_ZMM19 = 205
+X86_REG_ZMM20 = 206
+X86_REG_ZMM21 = 207
+X86_REG_ZMM22 = 208
+X86_REG_ZMM23 = 209
+X86_REG_ZMM24 = 210
+X86_REG_ZMM25 = 211
+X86_REG_ZMM26 = 212
+X86_REG_ZMM27 = 213
+X86_REG_ZMM28 = 214
+X86_REG_ZMM29 = 215
+X86_REG_ZMM30 = 216
+X86_REG_ZMM31 = 217
+X86_REG_R8B = 218
+X86_REG_R9B = 219
+X86_REG_R10B = 220
+X86_REG_R11B = 221
+X86_REG_R12B = 222
+X86_REG_R13B = 223
+X86_REG_R14B = 224
+X86_REG_R15B = 225
+X86_REG_R8D = 226
+X86_REG_R9D = 227
+X86_REG_R10D = 228
+X86_REG_R11D = 229
+X86_REG_R12D = 230
+X86_REG_R13D = 231
+X86_REG_R14D = 232
+X86_REG_R15D = 233
+X86_REG_R8W = 234
+X86_REG_R9W = 235
+X86_REG_R10W = 236
+X86_REG_R11W = 237
+X86_REG_R12W = 238
+X86_REG_R13W = 239
+X86_REG_R14W = 240
+X86_REG_R15W = 241
+X86_REG_ENDING = 242
+X86_EFLAGS_MODIFY_AF = 1<<0
+X86_EFLAGS_MODIFY_CF = 1<<1
+X86_EFLAGS_MODIFY_SF = 1<<2
+X86_EFLAGS_MODIFY_ZF = 1<<3
+X86_EFLAGS_MODIFY_PF = 1<<4
+X86_EFLAGS_MODIFY_OF = 1<<5
+X86_EFLAGS_MODIFY_TF = 1<<6
+X86_EFLAGS_MODIFY_IF = 1<<7
+X86_EFLAGS_MODIFY_DF = 1<<8
+X86_EFLAGS_MODIFY_NT = 1<<9
+X86_EFLAGS_MODIFY_RF = 1<<10
+X86_EFLAGS_PRIOR_OF = 1<<11
+X86_EFLAGS_PRIOR_SF = 1<<12
+X86_EFLAGS_PRIOR_ZF = 1<<13
+X86_EFLAGS_PRIOR_AF = 1<<14
+X86_EFLAGS_PRIOR_PF = 1<<15
+X86_EFLAGS_PRIOR_CF = 1<<16
+X86_EFLAGS_PRIOR_TF = 1<<17
+X86_EFLAGS_PRIOR_IF = 1<<18
+X86_EFLAGS_PRIOR_DF = 1<<19
+X86_EFLAGS_PRIOR_NT = 1<<20
+X86_EFLAGS_RESET_OF = 1<<21
+X86_EFLAGS_RESET_CF = 1<<22
+X86_EFLAGS_RESET_DF = 1<<23
+X86_EFLAGS_RESET_IF = 1<<24
+X86_EFLAGS_RESET_SF = 1<<25
+X86_EFLAGS_RESET_AF = 1<<26
+X86_EFLAGS_RESET_TF = 1<<27
+X86_EFLAGS_RESET_NT = 1<<28
+X86_EFLAGS_RESET_PF = 1<<29
+X86_EFLAGS_SET_CF = 1<<30
+X86_EFLAGS_SET_DF = 1<<31
+X86_EFLAGS_SET_IF = 1<<32
+X86_EFLAGS_TEST_OF = 1<<33
+X86_EFLAGS_TEST_SF = 1<<34
+X86_EFLAGS_TEST_ZF = 1<<35
+X86_EFLAGS_TEST_PF = 1<<36
+X86_EFLAGS_TEST_CF = 1<<37
+X86_EFLAGS_TEST_NT = 1<<38
+X86_EFLAGS_TEST_DF = 1<<39
+X86_EFLAGS_UNDEFINED_OF = 1<<40
+X86_EFLAGS_UNDEFINED_SF = 1<<41
+X86_EFLAGS_UNDEFINED_ZF = 1<<42
+X86_EFLAGS_UNDEFINED_PF = 1<<43
+X86_EFLAGS_UNDEFINED_AF = 1<<44
+X86_EFLAGS_UNDEFINED_CF = 1<<45
+X86_EFLAGS_RESET_RF = 1<<46
+X86_EFLAGS_TEST_RF = 1<<47
+X86_EFLAGS_TEST_IF = 1<<48
+X86_EFLAGS_TEST_TF = 1<<49
+X86_EFLAGS_TEST_AF = 1<<50
+X86_EFLAGS_RESET_ZF = 1<<51
+X86_EFLAGS_SET_OF = 1<<52
+X86_EFLAGS_SET_SF = 1<<53
+X86_EFLAGS_SET_ZF = 1<<54
+X86_EFLAGS_SET_AF = 1<<55
+X86_EFLAGS_SET_PF = 1<<56
+X86_EFLAGS_RESET_0F = 1<<57
+X86_EFLAGS_RESET_AC = 1<<58
+X86_FPU_FLAGS_MODIFY_C0 = 1<<0
+X86_FPU_FLAGS_MODIFY_C1 = 1<<1
+X86_FPU_FLAGS_MODIFY_C2 = 1<<2
+X86_FPU_FLAGS_MODIFY_C3 = 1<<3
+X86_FPU_FLAGS_RESET_C0 = 1<<4
+X86_FPU_FLAGS_RESET_C1 = 1<<5
+X86_FPU_FLAGS_RESET_C2 = 1<<6
+X86_FPU_FLAGS_RESET_C3 = 1<<7
+X86_FPU_FLAGS_SET_C0 = 1<<8
+X86_FPU_FLAGS_SET_C1 = 1<<9
+X86_FPU_FLAGS_SET_C2 = 1<<10
+X86_FPU_FLAGS_SET_C3 = 1<<11
+X86_FPU_FLAGS_UNDEFINED_C0 = 1<<12
+X86_FPU_FLAGS_UNDEFINED_C1 = 1<<13
+X86_FPU_FLAGS_UNDEFINED_C2 = 1<<14
+X86_FPU_FLAGS_UNDEFINED_C3 = 1<<15
+X86_FPU_FLAGS_TEST_C0 = 1<<16
+X86_FPU_FLAGS_TEST_C1 = 1<<17
+X86_FPU_FLAGS_TEST_C2 = 1<<18
+X86_FPU_FLAGS_TEST_C3 = 1<<19
 
 X86_OP_INVALID = 0
 X86_OP_REG = 1
 X86_OP_IMM = 2
 X86_OP_MEM = 3
-X86_OP_FP = 4
 
-# AVX broadcast type
+X86_XOP_CC_INVALID = 0
+X86_XOP_CC_LT = 1
+X86_XOP_CC_LE = 2
+X86_XOP_CC_GT = 3
+X86_XOP_CC_GE = 4
+X86_XOP_CC_EQ = 5
+X86_XOP_CC_NEQ = 6
+X86_XOP_CC_FALSE = 7
+X86_XOP_CC_TRUE = 8
 
 X86_AVX_BCAST_INVALID = 0
 X86_AVX_BCAST_2 = 1
@@ -254,8 +344,6 @@ X86_AVX_BCAST_4 = 2
 X86_AVX_BCAST_8 = 3
 X86_AVX_BCAST_16 = 4
 
-# SSE Code Condition type
-
 X86_SSE_CC_INVALID = 0
 X86_SSE_CC_EQ = 1
 X86_SSE_CC_LT = 2
@@ -265,16 +353,6 @@ X86_SSE_CC_NEQ = 5
 X86_SSE_CC_NLT = 6
 X86_SSE_CC_NLE = 7
 X86_SSE_CC_ORD = 8
-X86_SSE_CC_EQ_UQ = 9
-X86_SSE_CC_NGE = 10
-X86_SSE_CC_NGT = 11
-X86_SSE_CC_FALSE = 12
-X86_SSE_CC_NEQ_OQ = 13
-X86_SSE_CC_GE = 14
-X86_SSE_CC_GT = 15
-X86_SSE_CC_TRUE = 16
-
-# AVX Code Condition type
 
 X86_AVX_CC_INVALID = 0
 X86_AVX_CC_EQ = 1
@@ -310,17 +388,14 @@ X86_AVX_CC_GE_OQ = 30
 X86_AVX_CC_GT_OQ = 31
 X86_AVX_CC_TRUE_US = 32
 
-# AVX static rounding mode type
-
 X86_AVX_RM_INVALID = 0
 X86_AVX_RM_RN = 1
 X86_AVX_RM_RD = 2
 X86_AVX_RM_RU = 3
 X86_AVX_RM_RZ = 4
-
-# Instruction prefixes - to be used in cs_x86.prefix[]
 X86_PREFIX_LOCK = 0xf0
 X86_PREFIX_REP = 0xf3
+X86_PREFIX_REPE = 0xf3
 X86_PREFIX_REPNE = 0xf2
 X86_PREFIX_CS = 0x2e
 X86_PREFIX_SS = 0x36
@@ -331,8 +406,6 @@ X86_PREFIX_GS = 0x65
 X86_PREFIX_OPSIZE = 0x66
 X86_PREFIX_ADDRSIZE = 0x67
 
-# X86 instructions
-
 X86_INS_INVALID = 0
 X86_INS_AAA = 1
 X86_INS_AAD = 2
@@ -398,1250 +471,1452 @@ X86_INS_CLAC = 61
 X86_INS_CLC = 62
 X86_INS_CLD = 63
 X86_INS_CLFLUSH = 64
-X86_INS_CLGI = 65
-X86_INS_CLI = 66
-X86_INS_CLTS = 67
-X86_INS_CMC = 68
-X86_INS_CMOVA = 69
-X86_INS_CMOVAE = 70
-X86_INS_CMOVB = 71
-X86_INS_CMOVBE = 72
-X86_INS_FCMOVBE = 73
-X86_INS_FCMOVB = 74
-X86_INS_CMOVE = 75
-X86_INS_FCMOVE = 76
-X86_INS_CMOVG = 77
-X86_INS_CMOVGE = 78
-X86_INS_CMOVL = 79
-X86_INS_CMOVLE = 80
-X86_INS_FCMOVNBE = 81
-X86_INS_FCMOVNB = 82
-X86_INS_CMOVNE = 83
-X86_INS_FCMOVNE = 84
-X86_INS_CMOVNO = 85
-X86_INS_CMOVNP = 86
-X86_INS_FCMOVNU = 87
-X86_INS_CMOVNS = 88
-X86_INS_CMOVO = 89
-X86_INS_CMOVP = 90
-X86_INS_FCMOVU = 91
-X86_INS_CMOVS = 92
-X86_INS_CMP = 93
-X86_INS_CMPPD = 94
-X86_INS_CMPPS = 95
+X86_INS_CLFLUSHOPT = 65
+X86_INS_CLGI = 66
+X86_INS_CLI = 67
+X86_INS_CLTS = 68
+X86_INS_CLWB = 69
+X86_INS_CMC = 70
+X86_INS_CMOVA = 71
+X86_INS_CMOVAE = 72
+X86_INS_CMOVB = 73
+X86_INS_CMOVBE = 74
+X86_INS_FCMOVBE = 75
+X86_INS_FCMOVB = 76
+X86_INS_CMOVE = 77
+X86_INS_FCMOVE = 78
+X86_INS_CMOVG = 79
+X86_INS_CMOVGE = 80
+X86_INS_CMOVL = 81
+X86_INS_CMOVLE = 82
+X86_INS_FCMOVNBE = 83
+X86_INS_FCMOVNB = 84
+X86_INS_CMOVNE = 85
+X86_INS_FCMOVNE = 86
+X86_INS_CMOVNO = 87
+X86_INS_CMOVNP = 88
+X86_INS_FCMOVNU = 89
+X86_INS_CMOVNS = 90
+X86_INS_CMOVO = 91
+X86_INS_CMOVP = 92
+X86_INS_FCMOVU = 93
+X86_INS_CMOVS = 94
+X86_INS_CMP = 95
 X86_INS_CMPSB = 96
-X86_INS_CMPSD = 97
-X86_INS_CMPSQ = 98
-X86_INS_CMPSS = 99
-X86_INS_CMPSW = 100
-X86_INS_CMPXCHG16B = 101
-X86_INS_CMPXCHG = 102
-X86_INS_CMPXCHG8B = 103
-X86_INS_COMISD = 104
-X86_INS_COMISS = 105
-X86_INS_FCOMP = 106
-X86_INS_FCOMPI = 107
-X86_INS_FCOMI = 108
-X86_INS_FCOM = 109
-X86_INS_FCOS = 110
-X86_INS_CPUID = 111
-X86_INS_CQO = 112
-X86_INS_CRC32 = 113
-X86_INS_CVTDQ2PD = 114
-X86_INS_CVTDQ2PS = 115
-X86_INS_CVTPD2DQ = 116
-X86_INS_CVTPD2PS = 117
-X86_INS_CVTPS2DQ = 118
-X86_INS_CVTPS2PD = 119
-X86_INS_CVTSD2SI = 120
-X86_INS_CVTSD2SS = 121
-X86_INS_CVTSI2SD = 122
-X86_INS_CVTSI2SS = 123
-X86_INS_CVTSS2SD = 124
-X86_INS_CVTSS2SI = 125
-X86_INS_CVTTPD2DQ = 126
-X86_INS_CVTTPS2DQ = 127
-X86_INS_CVTTSD2SI = 128
-X86_INS_CVTTSS2SI = 129
-X86_INS_CWD = 130
-X86_INS_CWDE = 131
-X86_INS_DAA = 132
-X86_INS_DAS = 133
-X86_INS_DATA16 = 134
-X86_INS_DEC = 135
-X86_INS_DIV = 136
-X86_INS_DIVPD = 137
-X86_INS_DIVPS = 138
-X86_INS_FDIVR = 139
-X86_INS_FIDIVR = 140
-X86_INS_FDIVRP = 141
-X86_INS_DIVSD = 142
-X86_INS_DIVSS = 143
-X86_INS_FDIV = 144
-X86_INS_FIDIV = 145
-X86_INS_FDIVP = 146
-X86_INS_DPPD = 147
-X86_INS_DPPS = 148
-X86_INS_RET = 149
-X86_INS_ENCLS = 150
-X86_INS_ENCLU = 151
-X86_INS_ENTER = 152
-X86_INS_EXTRACTPS = 153
-X86_INS_EXTRQ = 154
-X86_INS_F2XM1 = 155
-X86_INS_LCALL = 156
-X86_INS_LJMP = 157
-X86_INS_FBLD = 158
-X86_INS_FBSTP = 159
-X86_INS_FCOMPP = 160
-X86_INS_FDECSTP = 161
-X86_INS_FEMMS = 162
-X86_INS_FFREE = 163
-X86_INS_FICOM = 164
-X86_INS_FICOMP = 165
-X86_INS_FINCSTP = 166
-X86_INS_FLDCW = 167
-X86_INS_FLDENV = 168
-X86_INS_FLDL2E = 169
-X86_INS_FLDL2T = 170
-X86_INS_FLDLG2 = 171
-X86_INS_FLDLN2 = 172
-X86_INS_FLDPI = 173
-X86_INS_FNCLEX = 174
-X86_INS_FNINIT = 175
-X86_INS_FNOP = 176
-X86_INS_FNSTCW = 177
-X86_INS_FNSTSW = 178
-X86_INS_FPATAN = 179
-X86_INS_FPREM = 180
-X86_INS_FPREM1 = 181
-X86_INS_FPTAN = 182
-X86_INS_FRNDINT = 183
-X86_INS_FRSTOR = 184
-X86_INS_FNSAVE = 185
-X86_INS_FSCALE = 186
-X86_INS_FSETPM = 187
-X86_INS_FSINCOS = 188
-X86_INS_FNSTENV = 189
-X86_INS_FXAM = 190
-X86_INS_FXRSTOR = 191
-X86_INS_FXRSTOR64 = 192
-X86_INS_FXSAVE = 193
-X86_INS_FXSAVE64 = 194
-X86_INS_FXTRACT = 195
-X86_INS_FYL2X = 196
-X86_INS_FYL2XP1 = 197
-X86_INS_MOVAPD = 198
-X86_INS_MOVAPS = 199
-X86_INS_ORPD = 200
-X86_INS_ORPS = 201
-X86_INS_VMOVAPD = 202
-X86_INS_VMOVAPS = 203
-X86_INS_XORPD = 204
-X86_INS_XORPS = 205
-X86_INS_GETSEC = 206
-X86_INS_HADDPD = 207
-X86_INS_HADDPS = 208
-X86_INS_HLT = 209
-X86_INS_HSUBPD = 210
-X86_INS_HSUBPS = 211
-X86_INS_IDIV = 212
-X86_INS_FILD = 213
-X86_INS_IMUL = 214
-X86_INS_IN = 215
-X86_INS_INC = 216
-X86_INS_INSB = 217
-X86_INS_INSERTPS = 218
-X86_INS_INSERTQ = 219
-X86_INS_INSD = 220
-X86_INS_INSW = 221
-X86_INS_INT = 222
-X86_INS_INT1 = 223
-X86_INS_INT3 = 224
-X86_INS_INTO = 225
-X86_INS_INVD = 226
-X86_INS_INVEPT = 227
-X86_INS_INVLPG = 228
-X86_INS_INVLPGA = 229
-X86_INS_INVPCID = 230
-X86_INS_INVVPID = 231
-X86_INS_IRET = 232
-X86_INS_IRETD = 233
-X86_INS_IRETQ = 234
-X86_INS_FISTTP = 235
-X86_INS_FIST = 236
-X86_INS_FISTP = 237
-X86_INS_UCOMISD = 238
-X86_INS_UCOMISS = 239
-X86_INS_VCMP = 240
-X86_INS_VCOMISD = 241
-X86_INS_VCOMISS = 242
-X86_INS_VCVTSD2SS = 243
-X86_INS_VCVTSI2SD = 244
-X86_INS_VCVTSI2SS = 245
-X86_INS_VCVTSS2SD = 246
-X86_INS_VCVTTSD2SI = 247
-X86_INS_VCVTTSD2USI = 248
-X86_INS_VCVTTSS2SI = 249
-X86_INS_VCVTTSS2USI = 250
-X86_INS_VCVTUSI2SD = 251
-X86_INS_VCVTUSI2SS = 252
-X86_INS_VUCOMISD = 253
-X86_INS_VUCOMISS = 254
-X86_INS_JAE = 255
-X86_INS_JA = 256
-X86_INS_JBE = 257
-X86_INS_JB = 258
-X86_INS_JCXZ = 259
-X86_INS_JECXZ = 260
-X86_INS_JE = 261
-X86_INS_JGE = 262
-X86_INS_JG = 263
-X86_INS_JLE = 264
-X86_INS_JL = 265
-X86_INS_JMP = 266
-X86_INS_JNE = 267
-X86_INS_JNO = 268
-X86_INS_JNP = 269
-X86_INS_JNS = 270
-X86_INS_JO = 271
-X86_INS_JP = 272
-X86_INS_JRCXZ = 273
-X86_INS_JS = 274
-X86_INS_KANDB = 275
-X86_INS_KANDD = 276
-X86_INS_KANDNB = 277
-X86_INS_KANDND = 278
-X86_INS_KANDNQ = 279
-X86_INS_KANDNW = 280
-X86_INS_KANDQ = 281
-X86_INS_KANDW = 282
-X86_INS_KMOVB = 283
-X86_INS_KMOVD = 284
-X86_INS_KMOVQ = 285
-X86_INS_KMOVW = 286
-X86_INS_KNOTB = 287
-X86_INS_KNOTD = 288
-X86_INS_KNOTQ = 289
-X86_INS_KNOTW = 290
-X86_INS_KORB = 291
-X86_INS_KORD = 292
-X86_INS_KORQ = 293
-X86_INS_KORTESTW = 294
-X86_INS_KORW = 295
-X86_INS_KSHIFTLW = 296
-X86_INS_KSHIFTRW = 297
-X86_INS_KUNPCKBW = 298
-X86_INS_KXNORB = 299
-X86_INS_KXNORD = 300
-X86_INS_KXNORQ = 301
-X86_INS_KXNORW = 302
-X86_INS_KXORB = 303
-X86_INS_KXORD = 304
-X86_INS_KXORQ = 305
-X86_INS_KXORW = 306
-X86_INS_LAHF = 307
-X86_INS_LAR = 308
-X86_INS_LDDQU = 309
-X86_INS_LDMXCSR = 310
-X86_INS_LDS = 311
-X86_INS_FLDZ = 312
-X86_INS_FLD1 = 313
-X86_INS_FLD = 314
-X86_INS_LEA = 315
-X86_INS_LEAVE = 316
-X86_INS_LES = 317
-X86_INS_LFENCE = 318
-X86_INS_LFS = 319
-X86_INS_LGDT = 320
-X86_INS_LGS = 321
-X86_INS_LIDT = 322
-X86_INS_LLDT = 323
-X86_INS_LMSW = 324
-X86_INS_OR = 325
-X86_INS_SUB = 326
-X86_INS_XOR = 327
-X86_INS_LODSB = 328
-X86_INS_LODSD = 329
-X86_INS_LODSQ = 330
-X86_INS_LODSW = 331
-X86_INS_LOOP = 332
-X86_INS_LOOPE = 333
-X86_INS_LOOPNE = 334
-X86_INS_RETF = 335
-X86_INS_RETFQ = 336
-X86_INS_LSL = 337
-X86_INS_LSS = 338
-X86_INS_LTR = 339
-X86_INS_XADD = 340
-X86_INS_LZCNT = 341
-X86_INS_MASKMOVDQU = 342
-X86_INS_MAXPD = 343
-X86_INS_MAXPS = 344
-X86_INS_MAXSD = 345
-X86_INS_MAXSS = 346
-X86_INS_MFENCE = 347
-X86_INS_MINPD = 348
-X86_INS_MINPS = 349
-X86_INS_MINSD = 350
-X86_INS_MINSS = 351
-X86_INS_CVTPD2PI = 352
-X86_INS_CVTPI2PD = 353
-X86_INS_CVTPI2PS = 354
-X86_INS_CVTPS2PI = 355
-X86_INS_CVTTPD2PI = 356
-X86_INS_CVTTPS2PI = 357
-X86_INS_EMMS = 358
-X86_INS_MASKMOVQ = 359
-X86_INS_MOVD = 360
-X86_INS_MOVDQ2Q = 361
-X86_INS_MOVNTQ = 362
-X86_INS_MOVQ2DQ = 363
-X86_INS_MOVQ = 364
-X86_INS_PABSB = 365
-X86_INS_PABSD = 366
-X86_INS_PABSW = 367
-X86_INS_PACKSSDW = 368
-X86_INS_PACKSSWB = 369
-X86_INS_PACKUSWB = 370
-X86_INS_PADDB = 371
-X86_INS_PADDD = 372
-X86_INS_PADDQ = 373
-X86_INS_PADDSB = 374
-X86_INS_PADDSW = 375
-X86_INS_PADDUSB = 376
-X86_INS_PADDUSW = 377
-X86_INS_PADDW = 378
-X86_INS_PALIGNR = 379
-X86_INS_PANDN = 380
-X86_INS_PAND = 381
-X86_INS_PAVGB = 382
-X86_INS_PAVGW = 383
-X86_INS_PCMPEQB = 384
-X86_INS_PCMPEQD = 385
-X86_INS_PCMPEQW = 386
-X86_INS_PCMPGTB = 387
-X86_INS_PCMPGTD = 388
-X86_INS_PCMPGTW = 389
-X86_INS_PEXTRW = 390
-X86_INS_PHADDSW = 391
-X86_INS_PHADDW = 392
-X86_INS_PHADDD = 393
-X86_INS_PHSUBD = 394
-X86_INS_PHSUBSW = 395
-X86_INS_PHSUBW = 396
-X86_INS_PINSRW = 397
-X86_INS_PMADDUBSW = 398
-X86_INS_PMADDWD = 399
-X86_INS_PMAXSW = 400
-X86_INS_PMAXUB = 401
-X86_INS_PMINSW = 402
-X86_INS_PMINUB = 403
-X86_INS_PMOVMSKB = 404
-X86_INS_PMULHRSW = 405
-X86_INS_PMULHUW = 406
-X86_INS_PMULHW = 407
-X86_INS_PMULLW = 408
-X86_INS_PMULUDQ = 409
-X86_INS_POR = 410
-X86_INS_PSADBW = 411
-X86_INS_PSHUFB = 412
-X86_INS_PSHUFW = 413
-X86_INS_PSIGNB = 414
-X86_INS_PSIGND = 415
-X86_INS_PSIGNW = 416
-X86_INS_PSLLD = 417
-X86_INS_PSLLQ = 418
-X86_INS_PSLLW = 419
-X86_INS_PSRAD = 420
-X86_INS_PSRAW = 421
-X86_INS_PSRLD = 422
-X86_INS_PSRLQ = 423
-X86_INS_PSRLW = 424
-X86_INS_PSUBB = 425
-X86_INS_PSUBD = 426
-X86_INS_PSUBQ = 427
-X86_INS_PSUBSB = 428
-X86_INS_PSUBSW = 429
-X86_INS_PSUBUSB = 430
-X86_INS_PSUBUSW = 431
-X86_INS_PSUBW = 432
-X86_INS_PUNPCKHBW = 433
-X86_INS_PUNPCKHDQ = 434
-X86_INS_PUNPCKHWD = 435
-X86_INS_PUNPCKLBW = 436
-X86_INS_PUNPCKLDQ = 437
-X86_INS_PUNPCKLWD = 438
-X86_INS_PXOR = 439
-X86_INS_MONITOR = 440
-X86_INS_MONTMUL = 441
-X86_INS_MOV = 442
-X86_INS_MOVABS = 443
-X86_INS_MOVBE = 444
-X86_INS_MOVDDUP = 445
-X86_INS_MOVDQA = 446
-X86_INS_MOVDQU = 447
-X86_INS_MOVHLPS = 448
-X86_INS_MOVHPD = 449
-X86_INS_MOVHPS = 450
-X86_INS_MOVLHPS = 451
-X86_INS_MOVLPD = 452
-X86_INS_MOVLPS = 453
-X86_INS_MOVMSKPD = 454
-X86_INS_MOVMSKPS = 455
-X86_INS_MOVNTDQA = 456
-X86_INS_MOVNTDQ = 457
-X86_INS_MOVNTI = 458
-X86_INS_MOVNTPD = 459
-X86_INS_MOVNTPS = 460
-X86_INS_MOVNTSD = 461
-X86_INS_MOVNTSS = 462
-X86_INS_MOVSB = 463
-X86_INS_MOVSD = 464
-X86_INS_MOVSHDUP = 465
-X86_INS_MOVSLDUP = 466
-X86_INS_MOVSQ = 467
-X86_INS_MOVSS = 468
-X86_INS_MOVSW = 469
-X86_INS_MOVSX = 470
-X86_INS_MOVSXD = 471
-X86_INS_MOVUPD = 472
-X86_INS_MOVUPS = 473
-X86_INS_MOVZX = 474
-X86_INS_MPSADBW = 475
-X86_INS_MUL = 476
-X86_INS_MULPD = 477
-X86_INS_MULPS = 478
-X86_INS_MULSD = 479
-X86_INS_MULSS = 480
-X86_INS_MULX = 481
-X86_INS_FMUL = 482
-X86_INS_FIMUL = 483
-X86_INS_FMULP = 484
-X86_INS_MWAIT = 485
-X86_INS_NEG = 486
-X86_INS_NOP = 487
-X86_INS_NOT = 488
-X86_INS_OUT = 489
-X86_INS_OUTSB = 490
-X86_INS_OUTSD = 491
-X86_INS_OUTSW = 492
-X86_INS_PACKUSDW = 493
-X86_INS_PAUSE = 494
-X86_INS_PAVGUSB = 495
-X86_INS_PBLENDVB = 496
-X86_INS_PBLENDW = 497
-X86_INS_PCLMULQDQ = 498
-X86_INS_PCMPEQQ = 499
-X86_INS_PCMPESTRI = 500
-X86_INS_PCMPESTRM = 501
-X86_INS_PCMPGTQ = 502
-X86_INS_PCMPISTRI = 503
-X86_INS_PCMPISTRM = 504
-X86_INS_PDEP = 505
-X86_INS_PEXT = 506
-X86_INS_PEXTRB = 507
-X86_INS_PEXTRD = 508
-X86_INS_PEXTRQ = 509
-X86_INS_PF2ID = 510
-X86_INS_PF2IW = 511
-X86_INS_PFACC = 512
-X86_INS_PFADD = 513
-X86_INS_PFCMPEQ = 514
-X86_INS_PFCMPGE = 515
-X86_INS_PFCMPGT = 516
-X86_INS_PFMAX = 517
-X86_INS_PFMIN = 518
-X86_INS_PFMUL = 519
-X86_INS_PFNACC = 520
-X86_INS_PFPNACC = 521
-X86_INS_PFRCPIT1 = 522
-X86_INS_PFRCPIT2 = 523
-X86_INS_PFRCP = 524
-X86_INS_PFRSQIT1 = 525
-X86_INS_PFRSQRT = 526
-X86_INS_PFSUBR = 527
-X86_INS_PFSUB = 528
-X86_INS_PHMINPOSUW = 529
-X86_INS_PI2FD = 530
-X86_INS_PI2FW = 531
-X86_INS_PINSRB = 532
-X86_INS_PINSRD = 533
-X86_INS_PINSRQ = 534
-X86_INS_PMAXSB = 535
-X86_INS_PMAXSD = 536
-X86_INS_PMAXUD = 537
-X86_INS_PMAXUW = 538
-X86_INS_PMINSB = 539
-X86_INS_PMINSD = 540
-X86_INS_PMINUD = 541
-X86_INS_PMINUW = 542
-X86_INS_PMOVSXBD = 543
-X86_INS_PMOVSXBQ = 544
-X86_INS_PMOVSXBW = 545
-X86_INS_PMOVSXDQ = 546
-X86_INS_PMOVSXWD = 547
-X86_INS_PMOVSXWQ = 548
-X86_INS_PMOVZXBD = 549
-X86_INS_PMOVZXBQ = 550
-X86_INS_PMOVZXBW = 551
-X86_INS_PMOVZXDQ = 552
-X86_INS_PMOVZXWD = 553
-X86_INS_PMOVZXWQ = 554
-X86_INS_PMULDQ = 555
-X86_INS_PMULHRW = 556
-X86_INS_PMULLD = 557
-X86_INS_POP = 558
-X86_INS_POPAW = 559
-X86_INS_POPAL = 560
-X86_INS_POPCNT = 561
-X86_INS_POPF = 562
-X86_INS_POPFD = 563
-X86_INS_POPFQ = 564
-X86_INS_PREFETCH = 565
-X86_INS_PREFETCHNTA = 566
-X86_INS_PREFETCHT0 = 567
-X86_INS_PREFETCHT1 = 568
-X86_INS_PREFETCHT2 = 569
-X86_INS_PREFETCHW = 570
-X86_INS_PSHUFD = 571
-X86_INS_PSHUFHW = 572
-X86_INS_PSHUFLW = 573
-X86_INS_PSLLDQ = 574
-X86_INS_PSRLDQ = 575
-X86_INS_PSWAPD = 576
-X86_INS_PTEST = 577
-X86_INS_PUNPCKHQDQ = 578
-X86_INS_PUNPCKLQDQ = 579
-X86_INS_PUSH = 580
-X86_INS_PUSHAW = 581
-X86_INS_PUSHAL = 582
-X86_INS_PUSHF = 583
-X86_INS_PUSHFD = 584
-X86_INS_PUSHFQ = 585
-X86_INS_RCL = 586
-X86_INS_RCPPS = 587
-X86_INS_RCPSS = 588
-X86_INS_RCR = 589
-X86_INS_RDFSBASE = 590
-X86_INS_RDGSBASE = 591
-X86_INS_RDMSR = 592
-X86_INS_RDPMC = 593
-X86_INS_RDRAND = 594
-X86_INS_RDSEED = 595
-X86_INS_RDTSC = 596
-X86_INS_RDTSCP = 597
-X86_INS_ROL = 598
-X86_INS_ROR = 599
-X86_INS_RORX = 600
-X86_INS_ROUNDPD = 601
-X86_INS_ROUNDPS = 602
-X86_INS_ROUNDSD = 603
-X86_INS_ROUNDSS = 604
-X86_INS_RSM = 605
-X86_INS_RSQRTPS = 606
-X86_INS_RSQRTSS = 607
-X86_INS_SAHF = 608
-X86_INS_SAL = 609
-X86_INS_SALC = 610
-X86_INS_SAR = 611
-X86_INS_SARX = 612
-X86_INS_SBB = 613
-X86_INS_SCASB = 614
-X86_INS_SCASD = 615
-X86_INS_SCASQ = 616
-X86_INS_SCASW = 617
-X86_INS_SETAE = 618
-X86_INS_SETA = 619
-X86_INS_SETBE = 620
-X86_INS_SETB = 621
-X86_INS_SETE = 622
-X86_INS_SETGE = 623
-X86_INS_SETG = 624
-X86_INS_SETLE = 625
-X86_INS_SETL = 626
-X86_INS_SETNE = 627
-X86_INS_SETNO = 628
-X86_INS_SETNP = 629
-X86_INS_SETNS = 630
-X86_INS_SETO = 631
-X86_INS_SETP = 632
-X86_INS_SETS = 633
-X86_INS_SFENCE = 634
-X86_INS_SGDT = 635
-X86_INS_SHA1MSG1 = 636
-X86_INS_SHA1MSG2 = 637
-X86_INS_SHA1NEXTE = 638
-X86_INS_SHA1RNDS4 = 639
-X86_INS_SHA256MSG1 = 640
-X86_INS_SHA256MSG2 = 641
-X86_INS_SHA256RNDS2 = 642
-X86_INS_SHL = 643
-X86_INS_SHLD = 644
-X86_INS_SHLX = 645
-X86_INS_SHR = 646
-X86_INS_SHRD = 647
-X86_INS_SHRX = 648
-X86_INS_SHUFPD = 649
-X86_INS_SHUFPS = 650
-X86_INS_SIDT = 651
-X86_INS_FSIN = 652
-X86_INS_SKINIT = 653
-X86_INS_SLDT = 654
-X86_INS_SMSW = 655
-X86_INS_SQRTPD = 656
-X86_INS_SQRTPS = 657
-X86_INS_SQRTSD = 658
-X86_INS_SQRTSS = 659
-X86_INS_FSQRT = 660
-X86_INS_STAC = 661
-X86_INS_STC = 662
-X86_INS_STD = 663
-X86_INS_STGI = 664
-X86_INS_STI = 665
-X86_INS_STMXCSR = 666
-X86_INS_STOSB = 667
-X86_INS_STOSD = 668
-X86_INS_STOSQ = 669
-X86_INS_STOSW = 670
-X86_INS_STR = 671
-X86_INS_FST = 672
-X86_INS_FSTP = 673
-X86_INS_FSTPNCE = 674
-X86_INS_SUBPD = 675
-X86_INS_SUBPS = 676
-X86_INS_FSUBR = 677
-X86_INS_FISUBR = 678
-X86_INS_FSUBRP = 679
-X86_INS_SUBSD = 680
-X86_INS_SUBSS = 681
-X86_INS_FSUB = 682
-X86_INS_FISUB = 683
-X86_INS_FSUBP = 684
-X86_INS_SWAPGS = 685
-X86_INS_SYSCALL = 686
-X86_INS_SYSENTER = 687
-X86_INS_SYSEXIT = 688
-X86_INS_SYSRET = 689
-X86_INS_T1MSKC = 690
-X86_INS_TEST = 691
-X86_INS_UD2 = 692
-X86_INS_FTST = 693
-X86_INS_TZCNT = 694
-X86_INS_TZMSK = 695
-X86_INS_FUCOMPI = 696
-X86_INS_FUCOMI = 697
-X86_INS_FUCOMPP = 698
-X86_INS_FUCOMP = 699
-X86_INS_FUCOM = 700
-X86_INS_UD2B = 701
-X86_INS_UNPCKHPD = 702
-X86_INS_UNPCKHPS = 703
-X86_INS_UNPCKLPD = 704
-X86_INS_UNPCKLPS = 705
-X86_INS_VADDPD = 706
-X86_INS_VADDPS = 707
-X86_INS_VADDSD = 708
-X86_INS_VADDSS = 709
-X86_INS_VADDSUBPD = 710
-X86_INS_VADDSUBPS = 711
-X86_INS_VAESDECLAST = 712
-X86_INS_VAESDEC = 713
-X86_INS_VAESENCLAST = 714
-X86_INS_VAESENC = 715
-X86_INS_VAESIMC = 716
-X86_INS_VAESKEYGENASSIST = 717
-X86_INS_VALIGND = 718
-X86_INS_VALIGNQ = 719
-X86_INS_VANDNPD = 720
-X86_INS_VANDNPS = 721
-X86_INS_VANDPD = 722
-X86_INS_VANDPS = 723
-X86_INS_VBLENDMPD = 724
-X86_INS_VBLENDMPS = 725
-X86_INS_VBLENDPD = 726
-X86_INS_VBLENDPS = 727
-X86_INS_VBLENDVPD = 728
-X86_INS_VBLENDVPS = 729
-X86_INS_VBROADCASTF128 = 730
-X86_INS_VBROADCASTI128 = 731
-X86_INS_VBROADCASTI32X4 = 732
-X86_INS_VBROADCASTI64X4 = 733
-X86_INS_VBROADCASTSD = 734
-X86_INS_VBROADCASTSS = 735
-X86_INS_VCMPPD = 736
-X86_INS_VCMPPS = 737
-X86_INS_VCMPSD = 738
-X86_INS_VCMPSS = 739
-X86_INS_VCVTDQ2PD = 740
-X86_INS_VCVTDQ2PS = 741
-X86_INS_VCVTPD2DQX = 742
-X86_INS_VCVTPD2DQ = 743
-X86_INS_VCVTPD2PSX = 744
-X86_INS_VCVTPD2PS = 745
-X86_INS_VCVTPD2UDQ = 746
-X86_INS_VCVTPH2PS = 747
-X86_INS_VCVTPS2DQ = 748
-X86_INS_VCVTPS2PD = 749
-X86_INS_VCVTPS2PH = 750
-X86_INS_VCVTPS2UDQ = 751
-X86_INS_VCVTSD2SI = 752
-X86_INS_VCVTSD2USI = 753
-X86_INS_VCVTSS2SI = 754
-X86_INS_VCVTSS2USI = 755
-X86_INS_VCVTTPD2DQX = 756
-X86_INS_VCVTTPD2DQ = 757
-X86_INS_VCVTTPD2UDQ = 758
-X86_INS_VCVTTPS2DQ = 759
-X86_INS_VCVTTPS2UDQ = 760
-X86_INS_VCVTUDQ2PD = 761
-X86_INS_VCVTUDQ2PS = 762
-X86_INS_VDIVPD = 763
-X86_INS_VDIVPS = 764
-X86_INS_VDIVSD = 765
-X86_INS_VDIVSS = 766
-X86_INS_VDPPD = 767
-X86_INS_VDPPS = 768
-X86_INS_VERR = 769
-X86_INS_VERW = 770
-X86_INS_VEXTRACTF128 = 771
-X86_INS_VEXTRACTF32X4 = 772
-X86_INS_VEXTRACTF64X4 = 773
-X86_INS_VEXTRACTI128 = 774
-X86_INS_VEXTRACTI32X4 = 775
-X86_INS_VEXTRACTI64X4 = 776
-X86_INS_VEXTRACTPS = 777
-X86_INS_VFMADD132PD = 778
-X86_INS_VFMADD132PS = 779
-X86_INS_VFMADD213PD = 780
-X86_INS_VFMADD213PS = 781
-X86_INS_VFMADDPD = 782
-X86_INS_VFMADD231PD = 783
-X86_INS_VFMADDPS = 784
-X86_INS_VFMADD231PS = 785
-X86_INS_VFMADDSD = 786
-X86_INS_VFMADD213SD = 787
-X86_INS_VFMADD132SD = 788
-X86_INS_VFMADD231SD = 789
-X86_INS_VFMADDSS = 790
-X86_INS_VFMADD213SS = 791
-X86_INS_VFMADD132SS = 792
-X86_INS_VFMADD231SS = 793
-X86_INS_VFMADDSUB132PD = 794
-X86_INS_VFMADDSUB132PS = 795
-X86_INS_VFMADDSUB213PD = 796
-X86_INS_VFMADDSUB213PS = 797
-X86_INS_VFMADDSUBPD = 798
-X86_INS_VFMADDSUB231PD = 799
-X86_INS_VFMADDSUBPS = 800
-X86_INS_VFMADDSUB231PS = 801
-X86_INS_VFMSUB132PD = 802
-X86_INS_VFMSUB132PS = 803
-X86_INS_VFMSUB213PD = 804
-X86_INS_VFMSUB213PS = 805
-X86_INS_VFMSUBADD132PD = 806
-X86_INS_VFMSUBADD132PS = 807
-X86_INS_VFMSUBADD213PD = 808
-X86_INS_VFMSUBADD213PS = 809
-X86_INS_VFMSUBADDPD = 810
-X86_INS_VFMSUBADD231PD = 811
-X86_INS_VFMSUBADDPS = 812
-X86_INS_VFMSUBADD231PS = 813
-X86_INS_VFMSUBPD = 814
-X86_INS_VFMSUB231PD = 815
-X86_INS_VFMSUBPS = 816
-X86_INS_VFMSUB231PS = 817
-X86_INS_VFMSUBSD = 818
-X86_INS_VFMSUB213SD = 819
-X86_INS_VFMSUB132SD = 820
-X86_INS_VFMSUB231SD = 821
-X86_INS_VFMSUBSS = 822
-X86_INS_VFMSUB213SS = 823
-X86_INS_VFMSUB132SS = 824
-X86_INS_VFMSUB231SS = 825
-X86_INS_VFNMADD132PD = 826
-X86_INS_VFNMADD132PS = 827
-X86_INS_VFNMADD213PD = 828
-X86_INS_VFNMADD213PS = 829
-X86_INS_VFNMADDPD = 830
-X86_INS_VFNMADD231PD = 831
-X86_INS_VFNMADDPS = 832
-X86_INS_VFNMADD231PS = 833
-X86_INS_VFNMADDSD = 834
-X86_INS_VFNMADD213SD = 835
-X86_INS_VFNMADD132SD = 836
-X86_INS_VFNMADD231SD = 837
-X86_INS_VFNMADDSS = 838
-X86_INS_VFNMADD213SS = 839
-X86_INS_VFNMADD132SS = 840
-X86_INS_VFNMADD231SS = 841
-X86_INS_VFNMSUB132PD = 842
-X86_INS_VFNMSUB132PS = 843
-X86_INS_VFNMSUB213PD = 844
-X86_INS_VFNMSUB213PS = 845
-X86_INS_VFNMSUBPD = 846
-X86_INS_VFNMSUB231PD = 847
-X86_INS_VFNMSUBPS = 848
-X86_INS_VFNMSUB231PS = 849
-X86_INS_VFNMSUBSD = 850
-X86_INS_VFNMSUB213SD = 851
-X86_INS_VFNMSUB132SD = 852
-X86_INS_VFNMSUB231SD = 853
-X86_INS_VFNMSUBSS = 854
-X86_INS_VFNMSUB213SS = 855
-X86_INS_VFNMSUB132SS = 856
-X86_INS_VFNMSUB231SS = 857
-X86_INS_VFRCZPD = 858
-X86_INS_VFRCZPS = 859
-X86_INS_VFRCZSD = 860
-X86_INS_VFRCZSS = 861
-X86_INS_VORPD = 862
-X86_INS_VORPS = 863
-X86_INS_VXORPD = 864
-X86_INS_VXORPS = 865
-X86_INS_VGATHERDPD = 866
-X86_INS_VGATHERDPS = 867
-X86_INS_VGATHERPF0DPD = 868
-X86_INS_VGATHERPF0DPS = 869
-X86_INS_VGATHERPF0QPD = 870
-X86_INS_VGATHERPF0QPS = 871
-X86_INS_VGATHERPF1DPD = 872
-X86_INS_VGATHERPF1DPS = 873
-X86_INS_VGATHERPF1QPD = 874
-X86_INS_VGATHERPF1QPS = 875
-X86_INS_VGATHERQPD = 876
-X86_INS_VGATHERQPS = 877
-X86_INS_VHADDPD = 878
-X86_INS_VHADDPS = 879
-X86_INS_VHSUBPD = 880
-X86_INS_VHSUBPS = 881
-X86_INS_VINSERTF128 = 882
-X86_INS_VINSERTF32X4 = 883
-X86_INS_VINSERTF64X4 = 884
-X86_INS_VINSERTI128 = 885
-X86_INS_VINSERTI32X4 = 886
-X86_INS_VINSERTI64X4 = 887
-X86_INS_VINSERTPS = 888
-X86_INS_VLDDQU = 889
-X86_INS_VLDMXCSR = 890
-X86_INS_VMASKMOVDQU = 891
-X86_INS_VMASKMOVPD = 892
-X86_INS_VMASKMOVPS = 893
-X86_INS_VMAXPD = 894
-X86_INS_VMAXPS = 895
-X86_INS_VMAXSD = 896
-X86_INS_VMAXSS = 897
-X86_INS_VMCALL = 898
-X86_INS_VMCLEAR = 899
-X86_INS_VMFUNC = 900
-X86_INS_VMINPD = 901
-X86_INS_VMINPS = 902
-X86_INS_VMINSD = 903
-X86_INS_VMINSS = 904
-X86_INS_VMLAUNCH = 905
-X86_INS_VMLOAD = 906
-X86_INS_VMMCALL = 907
-X86_INS_VMOVQ = 908
-X86_INS_VMOVDDUP = 909
-X86_INS_VMOVD = 910
-X86_INS_VMOVDQA32 = 911
-X86_INS_VMOVDQA64 = 912
-X86_INS_VMOVDQA = 913
-X86_INS_VMOVDQU16 = 914
-X86_INS_VMOVDQU32 = 915
-X86_INS_VMOVDQU64 = 916
-X86_INS_VMOVDQU8 = 917
-X86_INS_VMOVDQU = 918
-X86_INS_VMOVHLPS = 919
-X86_INS_VMOVHPD = 920
-X86_INS_VMOVHPS = 921
-X86_INS_VMOVLHPS = 922
-X86_INS_VMOVLPD = 923
-X86_INS_VMOVLPS = 924
-X86_INS_VMOVMSKPD = 925
-X86_INS_VMOVMSKPS = 926
-X86_INS_VMOVNTDQA = 927
-X86_INS_VMOVNTDQ = 928
-X86_INS_VMOVNTPD = 929
-X86_INS_VMOVNTPS = 930
-X86_INS_VMOVSD = 931
-X86_INS_VMOVSHDUP = 932
-X86_INS_VMOVSLDUP = 933
-X86_INS_VMOVSS = 934
-X86_INS_VMOVUPD = 935
-X86_INS_VMOVUPS = 936
-X86_INS_VMPSADBW = 937
-X86_INS_VMPTRLD = 938
-X86_INS_VMPTRST = 939
-X86_INS_VMREAD = 940
-X86_INS_VMRESUME = 941
-X86_INS_VMRUN = 942
-X86_INS_VMSAVE = 943
-X86_INS_VMULPD = 944
-X86_INS_VMULPS = 945
-X86_INS_VMULSD = 946
-X86_INS_VMULSS = 947
-X86_INS_VMWRITE = 948
-X86_INS_VMXOFF = 949
-X86_INS_VMXON = 950
-X86_INS_VPABSB = 951
-X86_INS_VPABSD = 952
-X86_INS_VPABSQ = 953
-X86_INS_VPABSW = 954
-X86_INS_VPACKSSDW = 955
-X86_INS_VPACKSSWB = 956
-X86_INS_VPACKUSDW = 957
-X86_INS_VPACKUSWB = 958
-X86_INS_VPADDB = 959
-X86_INS_VPADDD = 960
-X86_INS_VPADDQ = 961
-X86_INS_VPADDSB = 962
-X86_INS_VPADDSW = 963
-X86_INS_VPADDUSB = 964
-X86_INS_VPADDUSW = 965
-X86_INS_VPADDW = 966
-X86_INS_VPALIGNR = 967
-X86_INS_VPANDD = 968
-X86_INS_VPANDND = 969
-X86_INS_VPANDNQ = 970
-X86_INS_VPANDN = 971
-X86_INS_VPANDQ = 972
-X86_INS_VPAND = 973
-X86_INS_VPAVGB = 974
-X86_INS_VPAVGW = 975
-X86_INS_VPBLENDD = 976
-X86_INS_VPBLENDMD = 977
-X86_INS_VPBLENDMQ = 978
-X86_INS_VPBLENDVB = 979
-X86_INS_VPBLENDW = 980
-X86_INS_VPBROADCASTB = 981
-X86_INS_VPBROADCASTD = 982
-X86_INS_VPBROADCASTMB2Q = 983
-X86_INS_VPBROADCASTMW2D = 984
-X86_INS_VPBROADCASTQ = 985
-X86_INS_VPBROADCASTW = 986
-X86_INS_VPCLMULQDQ = 987
-X86_INS_VPCMOV = 988
-X86_INS_VPCMP = 989
-X86_INS_VPCMPD = 990
-X86_INS_VPCMPEQB = 991
-X86_INS_VPCMPEQD = 992
-X86_INS_VPCMPEQQ = 993
-X86_INS_VPCMPEQW = 994
-X86_INS_VPCMPESTRI = 995
-X86_INS_VPCMPESTRM = 996
-X86_INS_VPCMPGTB = 997
-X86_INS_VPCMPGTD = 998
-X86_INS_VPCMPGTQ = 999
-X86_INS_VPCMPGTW = 1000
-X86_INS_VPCMPISTRI = 1001
-X86_INS_VPCMPISTRM = 1002
-X86_INS_VPCMPQ = 1003
-X86_INS_VPCMPUD = 1004
-X86_INS_VPCMPUQ = 1005
-X86_INS_VPCOMB = 1006
-X86_INS_VPCOMD = 1007
-X86_INS_VPCOMQ = 1008
-X86_INS_VPCOMUB = 1009
-X86_INS_VPCOMUD = 1010
-X86_INS_VPCOMUQ = 1011
-X86_INS_VPCOMUW = 1012
-X86_INS_VPCOMW = 1013
-X86_INS_VPCONFLICTD = 1014
-X86_INS_VPCONFLICTQ = 1015
-X86_INS_VPERM2F128 = 1016
-X86_INS_VPERM2I128 = 1017
-X86_INS_VPERMD = 1018
-X86_INS_VPERMI2D = 1019
-X86_INS_VPERMI2PD = 1020
-X86_INS_VPERMI2PS = 1021
-X86_INS_VPERMI2Q = 1022
-X86_INS_VPERMIL2PD = 1023
-X86_INS_VPERMIL2PS = 1024
-X86_INS_VPERMILPD = 1025
-X86_INS_VPERMILPS = 1026
-X86_INS_VPERMPD = 1027
-X86_INS_VPERMPS = 1028
-X86_INS_VPERMQ = 1029
-X86_INS_VPERMT2D = 1030
-X86_INS_VPERMT2PD = 1031
-X86_INS_VPERMT2PS = 1032
-X86_INS_VPERMT2Q = 1033
-X86_INS_VPEXTRB = 1034
-X86_INS_VPEXTRD = 1035
-X86_INS_VPEXTRQ = 1036
-X86_INS_VPEXTRW = 1037
-X86_INS_VPGATHERDD = 1038
-X86_INS_VPGATHERDQ = 1039
-X86_INS_VPGATHERQD = 1040
-X86_INS_VPGATHERQQ = 1041
-X86_INS_VPHADDBD = 1042
-X86_INS_VPHADDBQ = 1043
-X86_INS_VPHADDBW = 1044
-X86_INS_VPHADDDQ = 1045
-X86_INS_VPHADDD = 1046
-X86_INS_VPHADDSW = 1047
-X86_INS_VPHADDUBD = 1048
-X86_INS_VPHADDUBQ = 1049
-X86_INS_VPHADDUBW = 1050
-X86_INS_VPHADDUDQ = 1051
-X86_INS_VPHADDUWD = 1052
-X86_INS_VPHADDUWQ = 1053
-X86_INS_VPHADDWD = 1054
-X86_INS_VPHADDWQ = 1055
-X86_INS_VPHADDW = 1056
-X86_INS_VPHMINPOSUW = 1057
-X86_INS_VPHSUBBW = 1058
-X86_INS_VPHSUBDQ = 1059
-X86_INS_VPHSUBD = 1060
-X86_INS_VPHSUBSW = 1061
-X86_INS_VPHSUBWD = 1062
-X86_INS_VPHSUBW = 1063
-X86_INS_VPINSRB = 1064
-X86_INS_VPINSRD = 1065
-X86_INS_VPINSRQ = 1066
-X86_INS_VPINSRW = 1067
-X86_INS_VPLZCNTD = 1068
-X86_INS_VPLZCNTQ = 1069
-X86_INS_VPMACSDD = 1070
-X86_INS_VPMACSDQH = 1071
-X86_INS_VPMACSDQL = 1072
-X86_INS_VPMACSSDD = 1073
-X86_INS_VPMACSSDQH = 1074
-X86_INS_VPMACSSDQL = 1075
-X86_INS_VPMACSSWD = 1076
-X86_INS_VPMACSSWW = 1077
-X86_INS_VPMACSWD = 1078
-X86_INS_VPMACSWW = 1079
-X86_INS_VPMADCSSWD = 1080
-X86_INS_VPMADCSWD = 1081
-X86_INS_VPMADDUBSW = 1082
-X86_INS_VPMADDWD = 1083
-X86_INS_VPMASKMOVD = 1084
-X86_INS_VPMASKMOVQ = 1085
-X86_INS_VPMAXSB = 1086
-X86_INS_VPMAXSD = 1087
-X86_INS_VPMAXSQ = 1088
-X86_INS_VPMAXSW = 1089
-X86_INS_VPMAXUB = 1090
-X86_INS_VPMAXUD = 1091
-X86_INS_VPMAXUQ = 1092
-X86_INS_VPMAXUW = 1093
-X86_INS_VPMINSB = 1094
-X86_INS_VPMINSD = 1095
-X86_INS_VPMINSQ = 1096
-X86_INS_VPMINSW = 1097
-X86_INS_VPMINUB = 1098
-X86_INS_VPMINUD = 1099
-X86_INS_VPMINUQ = 1100
-X86_INS_VPMINUW = 1101
-X86_INS_VPMOVDB = 1102
-X86_INS_VPMOVDW = 1103
-X86_INS_VPMOVMSKB = 1104
-X86_INS_VPMOVQB = 1105
-X86_INS_VPMOVQD = 1106
-X86_INS_VPMOVQW = 1107
-X86_INS_VPMOVSDB = 1108
-X86_INS_VPMOVSDW = 1109
-X86_INS_VPMOVSQB = 1110
-X86_INS_VPMOVSQD = 1111
-X86_INS_VPMOVSQW = 1112
-X86_INS_VPMOVSXBD = 1113
-X86_INS_VPMOVSXBQ = 1114
-X86_INS_VPMOVSXBW = 1115
-X86_INS_VPMOVSXDQ = 1116
-X86_INS_VPMOVSXWD = 1117
-X86_INS_VPMOVSXWQ = 1118
-X86_INS_VPMOVUSDB = 1119
-X86_INS_VPMOVUSDW = 1120
-X86_INS_VPMOVUSQB = 1121
-X86_INS_VPMOVUSQD = 1122
-X86_INS_VPMOVUSQW = 1123
-X86_INS_VPMOVZXBD = 1124
-X86_INS_VPMOVZXBQ = 1125
-X86_INS_VPMOVZXBW = 1126
-X86_INS_VPMOVZXDQ = 1127
-X86_INS_VPMOVZXWD = 1128
-X86_INS_VPMOVZXWQ = 1129
-X86_INS_VPMULDQ = 1130
-X86_INS_VPMULHRSW = 1131
-X86_INS_VPMULHUW = 1132
-X86_INS_VPMULHW = 1133
-X86_INS_VPMULLD = 1134
-X86_INS_VPMULLW = 1135
-X86_INS_VPMULUDQ = 1136
-X86_INS_VPORD = 1137
-X86_INS_VPORQ = 1138
-X86_INS_VPOR = 1139
-X86_INS_VPPERM = 1140
-X86_INS_VPROTB = 1141
-X86_INS_VPROTD = 1142
-X86_INS_VPROTQ = 1143
-X86_INS_VPROTW = 1144
-X86_INS_VPSADBW = 1145
-X86_INS_VPSCATTERDD = 1146
-X86_INS_VPSCATTERDQ = 1147
-X86_INS_VPSCATTERQD = 1148
-X86_INS_VPSCATTERQQ = 1149
-X86_INS_VPSHAB = 1150
-X86_INS_VPSHAD = 1151
-X86_INS_VPSHAQ = 1152
-X86_INS_VPSHAW = 1153
-X86_INS_VPSHLB = 1154
-X86_INS_VPSHLD = 1155
-X86_INS_VPSHLQ = 1156
-X86_INS_VPSHLW = 1157
-X86_INS_VPSHUFB = 1158
-X86_INS_VPSHUFD = 1159
-X86_INS_VPSHUFHW = 1160
-X86_INS_VPSHUFLW = 1161
-X86_INS_VPSIGNB = 1162
-X86_INS_VPSIGND = 1163
-X86_INS_VPSIGNW = 1164
-X86_INS_VPSLLDQ = 1165
-X86_INS_VPSLLD = 1166
-X86_INS_VPSLLQ = 1167
-X86_INS_VPSLLVD = 1168
-X86_INS_VPSLLVQ = 1169
-X86_INS_VPSLLW = 1170
-X86_INS_VPSRAD = 1171
-X86_INS_VPSRAQ = 1172
-X86_INS_VPSRAVD = 1173
-X86_INS_VPSRAVQ = 1174
-X86_INS_VPSRAW = 1175
-X86_INS_VPSRLDQ = 1176
-X86_INS_VPSRLD = 1177
-X86_INS_VPSRLQ = 1178
-X86_INS_VPSRLVD = 1179
-X86_INS_VPSRLVQ = 1180
-X86_INS_VPSRLW = 1181
-X86_INS_VPSUBB = 1182
-X86_INS_VPSUBD = 1183
-X86_INS_VPSUBQ = 1184
-X86_INS_VPSUBSB = 1185
-X86_INS_VPSUBSW = 1186
-X86_INS_VPSUBUSB = 1187
-X86_INS_VPSUBUSW = 1188
-X86_INS_VPSUBW = 1189
-X86_INS_VPTESTMD = 1190
-X86_INS_VPTESTMQ = 1191
-X86_INS_VPTESTNMD = 1192
-X86_INS_VPTESTNMQ = 1193
-X86_INS_VPTEST = 1194
-X86_INS_VPUNPCKHBW = 1195
-X86_INS_VPUNPCKHDQ = 1196
-X86_INS_VPUNPCKHQDQ = 1197
-X86_INS_VPUNPCKHWD = 1198
-X86_INS_VPUNPCKLBW = 1199
-X86_INS_VPUNPCKLDQ = 1200
-X86_INS_VPUNPCKLQDQ = 1201
-X86_INS_VPUNPCKLWD = 1202
-X86_INS_VPXORD = 1203
-X86_INS_VPXORQ = 1204
-X86_INS_VPXOR = 1205
-X86_INS_VRCP14PD = 1206
-X86_INS_VRCP14PS = 1207
-X86_INS_VRCP14SD = 1208
-X86_INS_VRCP14SS = 1209
-X86_INS_VRCP28PD = 1210
-X86_INS_VRCP28PS = 1211
-X86_INS_VRCP28SD = 1212
-X86_INS_VRCP28SS = 1213
-X86_INS_VRCPPS = 1214
-X86_INS_VRCPSS = 1215
-X86_INS_VRNDSCALEPD = 1216
-X86_INS_VRNDSCALEPS = 1217
-X86_INS_VRNDSCALESD = 1218
-X86_INS_VRNDSCALESS = 1219
-X86_INS_VROUNDPD = 1220
-X86_INS_VROUNDPS = 1221
-X86_INS_VROUNDSD = 1222
-X86_INS_VROUNDSS = 1223
-X86_INS_VRSQRT14PD = 1224
-X86_INS_VRSQRT14PS = 1225
-X86_INS_VRSQRT14SD = 1226
-X86_INS_VRSQRT14SS = 1227
-X86_INS_VRSQRT28PD = 1228
-X86_INS_VRSQRT28PS = 1229
-X86_INS_VRSQRT28SD = 1230
-X86_INS_VRSQRT28SS = 1231
-X86_INS_VRSQRTPS = 1232
-X86_INS_VRSQRTSS = 1233
-X86_INS_VSCATTERDPD = 1234
-X86_INS_VSCATTERDPS = 1235
-X86_INS_VSCATTERPF0DPD = 1236
-X86_INS_VSCATTERPF0DPS = 1237
-X86_INS_VSCATTERPF0QPD = 1238
-X86_INS_VSCATTERPF0QPS = 1239
-X86_INS_VSCATTERPF1DPD = 1240
-X86_INS_VSCATTERPF1DPS = 1241
-X86_INS_VSCATTERPF1QPD = 1242
-X86_INS_VSCATTERPF1QPS = 1243
-X86_INS_VSCATTERQPD = 1244
-X86_INS_VSCATTERQPS = 1245
-X86_INS_VSHUFPD = 1246
-X86_INS_VSHUFPS = 1247
-X86_INS_VSQRTPD = 1248
-X86_INS_VSQRTPS = 1249
-X86_INS_VSQRTSD = 1250
-X86_INS_VSQRTSS = 1251
-X86_INS_VSTMXCSR = 1252
-X86_INS_VSUBPD = 1253
-X86_INS_VSUBPS = 1254
-X86_INS_VSUBSD = 1255
-X86_INS_VSUBSS = 1256
-X86_INS_VTESTPD = 1257
-X86_INS_VTESTPS = 1258
-X86_INS_VUNPCKHPD = 1259
-X86_INS_VUNPCKHPS = 1260
-X86_INS_VUNPCKLPD = 1261
-X86_INS_VUNPCKLPS = 1262
-X86_INS_VZEROALL = 1263
-X86_INS_VZEROUPPER = 1264
-X86_INS_WAIT = 1265
-X86_INS_WBINVD = 1266
-X86_INS_WRFSBASE = 1267
-X86_INS_WRGSBASE = 1268
-X86_INS_WRMSR = 1269
-X86_INS_XABORT = 1270
-X86_INS_XACQUIRE = 1271
-X86_INS_XBEGIN = 1272
-X86_INS_XCHG = 1273
-X86_INS_FXCH = 1274
-X86_INS_XCRYPTCBC = 1275
-X86_INS_XCRYPTCFB = 1276
-X86_INS_XCRYPTCTR = 1277
-X86_INS_XCRYPTECB = 1278
-X86_INS_XCRYPTOFB = 1279
-X86_INS_XEND = 1280
-X86_INS_XGETBV = 1281
-X86_INS_XLATB = 1282
-X86_INS_XRELEASE = 1283
-X86_INS_XRSTOR = 1284
-X86_INS_XRSTOR64 = 1285
-X86_INS_XSAVE = 1286
-X86_INS_XSAVE64 = 1287
-X86_INS_XSAVEOPT = 1288
-X86_INS_XSAVEOPT64 = 1289
-X86_INS_XSETBV = 1290
-X86_INS_XSHA1 = 1291
-X86_INS_XSHA256 = 1292
-X86_INS_XSTORE = 1293
-X86_INS_XTEST = 1294
-X86_INS_ENDING = 1295
-
-# Group of X86 instructions
+X86_INS_CMPSQ = 97
+X86_INS_CMPSW = 98
+X86_INS_CMPXCHG16B = 99
+X86_INS_CMPXCHG = 100
+X86_INS_CMPXCHG8B = 101
+X86_INS_COMISD = 102
+X86_INS_COMISS = 103
+X86_INS_FCOMP = 104
+X86_INS_FCOMIP = 105
+X86_INS_FCOMI = 106
+X86_INS_FCOM = 107
+X86_INS_FCOS = 108
+X86_INS_CPUID = 109
+X86_INS_CQO = 110
+X86_INS_CRC32 = 111
+X86_INS_CVTDQ2PD = 112
+X86_INS_CVTDQ2PS = 113
+X86_INS_CVTPD2DQ = 114
+X86_INS_CVTPD2PS = 115
+X86_INS_CVTPS2DQ = 116
+X86_INS_CVTPS2PD = 117
+X86_INS_CVTSD2SI = 118
+X86_INS_CVTSD2SS = 119
+X86_INS_CVTSI2SD = 120
+X86_INS_CVTSI2SS = 121
+X86_INS_CVTSS2SD = 122
+X86_INS_CVTSS2SI = 123
+X86_INS_CVTTPD2DQ = 124
+X86_INS_CVTTPS2DQ = 125
+X86_INS_CVTTSD2SI = 126
+X86_INS_CVTTSS2SI = 127
+X86_INS_CWD = 128
+X86_INS_CWDE = 129
+X86_INS_DAA = 130
+X86_INS_DAS = 131
+X86_INS_DATA16 = 132
+X86_INS_DEC = 133
+X86_INS_DIV = 134
+X86_INS_DIVPD = 135
+X86_INS_DIVPS = 136
+X86_INS_FDIVR = 137
+X86_INS_FIDIVR = 138
+X86_INS_FDIVRP = 139
+X86_INS_DIVSD = 140
+X86_INS_DIVSS = 141
+X86_INS_FDIV = 142
+X86_INS_FIDIV = 143
+X86_INS_FDIVP = 144
+X86_INS_DPPD = 145
+X86_INS_DPPS = 146
+X86_INS_RET = 147
+X86_INS_ENCLS = 148
+X86_INS_ENCLU = 149
+X86_INS_ENTER = 150
+X86_INS_EXTRACTPS = 151
+X86_INS_EXTRQ = 152
+X86_INS_F2XM1 = 153
+X86_INS_LCALL = 154
+X86_INS_LJMP = 155
+X86_INS_FBLD = 156
+X86_INS_FBSTP = 157
+X86_INS_FCOMPP = 158
+X86_INS_FDECSTP = 159
+X86_INS_FEMMS = 160
+X86_INS_FFREE = 161
+X86_INS_FICOM = 162
+X86_INS_FICOMP = 163
+X86_INS_FINCSTP = 164
+X86_INS_FLDCW = 165
+X86_INS_FLDENV = 166
+X86_INS_FLDL2E = 167
+X86_INS_FLDL2T = 168
+X86_INS_FLDLG2 = 169
+X86_INS_FLDLN2 = 170
+X86_INS_FLDPI = 171
+X86_INS_FNCLEX = 172
+X86_INS_FNINIT = 173
+X86_INS_FNOP = 174
+X86_INS_FNSTCW = 175
+X86_INS_FNSTSW = 176
+X86_INS_FPATAN = 177
+X86_INS_FPREM = 178
+X86_INS_FPREM1 = 179
+X86_INS_FPTAN = 180
+X86_INS_FFREEP = 181
+X86_INS_FRNDINT = 182
+X86_INS_FRSTOR = 183
+X86_INS_FNSAVE = 184
+X86_INS_FSCALE = 185
+X86_INS_FSETPM = 186
+X86_INS_FSINCOS = 187
+X86_INS_FNSTENV = 188
+X86_INS_FXAM = 189
+X86_INS_FXRSTOR = 190
+X86_INS_FXRSTOR64 = 191
+X86_INS_FXSAVE = 192
+X86_INS_FXSAVE64 = 193
+X86_INS_FXTRACT = 194
+X86_INS_FYL2X = 195
+X86_INS_FYL2XP1 = 196
+X86_INS_MOVAPD = 197
+X86_INS_MOVAPS = 198
+X86_INS_ORPD = 199
+X86_INS_ORPS = 200
+X86_INS_VMOVAPD = 201
+X86_INS_VMOVAPS = 202
+X86_INS_XORPD = 203
+X86_INS_XORPS = 204
+X86_INS_GETSEC = 205
+X86_INS_HADDPD = 206
+X86_INS_HADDPS = 207
+X86_INS_HLT = 208
+X86_INS_HSUBPD = 209
+X86_INS_HSUBPS = 210
+X86_INS_IDIV = 211
+X86_INS_FILD = 212
+X86_INS_IMUL = 213
+X86_INS_IN = 214
+X86_INS_INC = 215
+X86_INS_INSB = 216
+X86_INS_INSERTPS = 217
+X86_INS_INSERTQ = 218
+X86_INS_INSD = 219
+X86_INS_INSW = 220
+X86_INS_INT = 221
+X86_INS_INT1 = 222
+X86_INS_INT3 = 223
+X86_INS_INTO = 224
+X86_INS_INVD = 225
+X86_INS_INVEPT = 226
+X86_INS_INVLPG = 227
+X86_INS_INVLPGA = 228
+X86_INS_INVPCID = 229
+X86_INS_INVVPID = 230
+X86_INS_IRET = 231
+X86_INS_IRETD = 232
+X86_INS_IRETQ = 233
+X86_INS_FISTTP = 234
+X86_INS_FIST = 235
+X86_INS_FISTP = 236
+X86_INS_UCOMISD = 237
+X86_INS_UCOMISS = 238
+X86_INS_VCOMISD = 239
+X86_INS_VCOMISS = 240
+X86_INS_VCVTSD2SS = 241
+X86_INS_VCVTSI2SD = 242
+X86_INS_VCVTSI2SS = 243
+X86_INS_VCVTSS2SD = 244
+X86_INS_VCVTTSD2SI = 245
+X86_INS_VCVTTSD2USI = 246
+X86_INS_VCVTTSS2SI = 247
+X86_INS_VCVTTSS2USI = 248
+X86_INS_VCVTUSI2SD = 249
+X86_INS_VCVTUSI2SS = 250
+X86_INS_VUCOMISD = 251
+X86_INS_VUCOMISS = 252
+X86_INS_JAE = 253
+X86_INS_JA = 254
+X86_INS_JBE = 255
+X86_INS_JB = 256
+X86_INS_JCXZ = 257
+X86_INS_JECXZ = 258
+X86_INS_JE = 259
+X86_INS_JGE = 260
+X86_INS_JG = 261
+X86_INS_JLE = 262
+X86_INS_JL = 263
+X86_INS_JMP = 264
+X86_INS_JNE = 265
+X86_INS_JNO = 266
+X86_INS_JNP = 267
+X86_INS_JNS = 268
+X86_INS_JO = 269
+X86_INS_JP = 270
+X86_INS_JRCXZ = 271
+X86_INS_JS = 272
+X86_INS_KANDB = 273
+X86_INS_KANDD = 274
+X86_INS_KANDNB = 275
+X86_INS_KANDND = 276
+X86_INS_KANDNQ = 277
+X86_INS_KANDNW = 278
+X86_INS_KANDQ = 279
+X86_INS_KANDW = 280
+X86_INS_KMOVB = 281
+X86_INS_KMOVD = 282
+X86_INS_KMOVQ = 283
+X86_INS_KMOVW = 284
+X86_INS_KNOTB = 285
+X86_INS_KNOTD = 286
+X86_INS_KNOTQ = 287
+X86_INS_KNOTW = 288
+X86_INS_KORB = 289
+X86_INS_KORD = 290
+X86_INS_KORQ = 291
+X86_INS_KORTESTB = 292
+X86_INS_KORTESTD = 293
+X86_INS_KORTESTQ = 294
+X86_INS_KORTESTW = 295
+X86_INS_KORW = 296
+X86_INS_KSHIFTLB = 297
+X86_INS_KSHIFTLD = 298
+X86_INS_KSHIFTLQ = 299
+X86_INS_KSHIFTLW = 300
+X86_INS_KSHIFTRB = 301
+X86_INS_KSHIFTRD = 302
+X86_INS_KSHIFTRQ = 303
+X86_INS_KSHIFTRW = 304
+X86_INS_KUNPCKBW = 305
+X86_INS_KXNORB = 306
+X86_INS_KXNORD = 307
+X86_INS_KXNORQ = 308
+X86_INS_KXNORW = 309
+X86_INS_KXORB = 310
+X86_INS_KXORD = 311
+X86_INS_KXORQ = 312
+X86_INS_KXORW = 313
+X86_INS_LAHF = 314
+X86_INS_LAR = 315
+X86_INS_LDDQU = 316
+X86_INS_LDMXCSR = 317
+X86_INS_LDS = 318
+X86_INS_FLDZ = 319
+X86_INS_FLD1 = 320
+X86_INS_FLD = 321
+X86_INS_LEA = 322
+X86_INS_LEAVE = 323
+X86_INS_LES = 324
+X86_INS_LFENCE = 325
+X86_INS_LFS = 326
+X86_INS_LGDT = 327
+X86_INS_LGS = 328
+X86_INS_LIDT = 329
+X86_INS_LLDT = 330
+X86_INS_LMSW = 331
+X86_INS_OR = 332
+X86_INS_SUB = 333
+X86_INS_XOR = 334
+X86_INS_LODSB = 335
+X86_INS_LODSD = 336
+X86_INS_LODSQ = 337
+X86_INS_LODSW = 338
+X86_INS_LOOP = 339
+X86_INS_LOOPE = 340
+X86_INS_LOOPNE = 341
+X86_INS_RETF = 342
+X86_INS_RETFQ = 343
+X86_INS_LSL = 344
+X86_INS_LSS = 345
+X86_INS_LTR = 346
+X86_INS_XADD = 347
+X86_INS_LZCNT = 348
+X86_INS_MASKMOVDQU = 349
+X86_INS_MAXPD = 350
+X86_INS_MAXPS = 351
+X86_INS_MAXSD = 352
+X86_INS_MAXSS = 353
+X86_INS_MFENCE = 354
+X86_INS_MINPD = 355
+X86_INS_MINPS = 356
+X86_INS_MINSD = 357
+X86_INS_MINSS = 358
+X86_INS_CVTPD2PI = 359
+X86_INS_CVTPI2PD = 360
+X86_INS_CVTPI2PS = 361
+X86_INS_CVTPS2PI = 362
+X86_INS_CVTTPD2PI = 363
+X86_INS_CVTTPS2PI = 364
+X86_INS_EMMS = 365
+X86_INS_MASKMOVQ = 366
+X86_INS_MOVD = 367
+X86_INS_MOVDQ2Q = 368
+X86_INS_MOVNTQ = 369
+X86_INS_MOVQ2DQ = 370
+X86_INS_MOVQ = 371
+X86_INS_PABSB = 372
+X86_INS_PABSD = 373
+X86_INS_PABSW = 374
+X86_INS_PACKSSDW = 375
+X86_INS_PACKSSWB = 376
+X86_INS_PACKUSWB = 377
+X86_INS_PADDB = 378
+X86_INS_PADDD = 379
+X86_INS_PADDQ = 380
+X86_INS_PADDSB = 381
+X86_INS_PADDSW = 382
+X86_INS_PADDUSB = 383
+X86_INS_PADDUSW = 384
+X86_INS_PADDW = 385
+X86_INS_PALIGNR = 386
+X86_INS_PANDN = 387
+X86_INS_PAND = 388
+X86_INS_PAVGB = 389
+X86_INS_PAVGW = 390
+X86_INS_PCMPEQB = 391
+X86_INS_PCMPEQD = 392
+X86_INS_PCMPEQW = 393
+X86_INS_PCMPGTB = 394
+X86_INS_PCMPGTD = 395
+X86_INS_PCMPGTW = 396
+X86_INS_PEXTRW = 397
+X86_INS_PHADDSW = 398
+X86_INS_PHADDW = 399
+X86_INS_PHADDD = 400
+X86_INS_PHSUBD = 401
+X86_INS_PHSUBSW = 402
+X86_INS_PHSUBW = 403
+X86_INS_PINSRW = 404
+X86_INS_PMADDUBSW = 405
+X86_INS_PMADDWD = 406
+X86_INS_PMAXSW = 407
+X86_INS_PMAXUB = 408
+X86_INS_PMINSW = 409
+X86_INS_PMINUB = 410
+X86_INS_PMOVMSKB = 411
+X86_INS_PMULHRSW = 412
+X86_INS_PMULHUW = 413
+X86_INS_PMULHW = 414
+X86_INS_PMULLW = 415
+X86_INS_PMULUDQ = 416
+X86_INS_POR = 417
+X86_INS_PSADBW = 418
+X86_INS_PSHUFB = 419
+X86_INS_PSHUFW = 420
+X86_INS_PSIGNB = 421
+X86_INS_PSIGND = 422
+X86_INS_PSIGNW = 423
+X86_INS_PSLLD = 424
+X86_INS_PSLLQ = 425
+X86_INS_PSLLW = 426
+X86_INS_PSRAD = 427
+X86_INS_PSRAW = 428
+X86_INS_PSRLD = 429
+X86_INS_PSRLQ = 430
+X86_INS_PSRLW = 431
+X86_INS_PSUBB = 432
+X86_INS_PSUBD = 433
+X86_INS_PSUBQ = 434
+X86_INS_PSUBSB = 435
+X86_INS_PSUBSW = 436
+X86_INS_PSUBUSB = 437
+X86_INS_PSUBUSW = 438
+X86_INS_PSUBW = 439
+X86_INS_PUNPCKHBW = 440
+X86_INS_PUNPCKHDQ = 441
+X86_INS_PUNPCKHWD = 442
+X86_INS_PUNPCKLBW = 443
+X86_INS_PUNPCKLDQ = 444
+X86_INS_PUNPCKLWD = 445
+X86_INS_PXOR = 446
+X86_INS_MONITOR = 447
+X86_INS_MONTMUL = 448
+X86_INS_MOV = 449
+X86_INS_MOVABS = 450
+X86_INS_MOVBE = 451
+X86_INS_MOVDDUP = 452
+X86_INS_MOVDQA = 453
+X86_INS_MOVDQU = 454
+X86_INS_MOVHLPS = 455
+X86_INS_MOVHPD = 456
+X86_INS_MOVHPS = 457
+X86_INS_MOVLHPS = 458
+X86_INS_MOVLPD = 459
+X86_INS_MOVLPS = 460
+X86_INS_MOVMSKPD = 461
+X86_INS_MOVMSKPS = 462
+X86_INS_MOVNTDQA = 463
+X86_INS_MOVNTDQ = 464
+X86_INS_MOVNTI = 465
+X86_INS_MOVNTPD = 466
+X86_INS_MOVNTPS = 467
+X86_INS_MOVNTSD = 468
+X86_INS_MOVNTSS = 469
+X86_INS_MOVSB = 470
+X86_INS_MOVSD = 471
+X86_INS_MOVSHDUP = 472
+X86_INS_MOVSLDUP = 473
+X86_INS_MOVSQ = 474
+X86_INS_MOVSS = 475
+X86_INS_MOVSW = 476
+X86_INS_MOVSX = 477
+X86_INS_MOVSXD = 478
+X86_INS_MOVUPD = 479
+X86_INS_MOVUPS = 480
+X86_INS_MOVZX = 481
+X86_INS_MPSADBW = 482
+X86_INS_MUL = 483
+X86_INS_MULPD = 484
+X86_INS_MULPS = 485
+X86_INS_MULSD = 486
+X86_INS_MULSS = 487
+X86_INS_MULX = 488
+X86_INS_FMUL = 489
+X86_INS_FIMUL = 490
+X86_INS_FMULP = 491
+X86_INS_MWAIT = 492
+X86_INS_NEG = 493
+X86_INS_NOP = 494
+X86_INS_NOT = 495
+X86_INS_OUT = 496
+X86_INS_OUTSB = 497
+X86_INS_OUTSD = 498
+X86_INS_OUTSW = 499
+X86_INS_PACKUSDW = 500
+X86_INS_PAUSE = 501
+X86_INS_PAVGUSB = 502
+X86_INS_PBLENDVB = 503
+X86_INS_PBLENDW = 504
+X86_INS_PCLMULQDQ = 505
+X86_INS_PCMPEQQ = 506
+X86_INS_PCMPESTRI = 507
+X86_INS_PCMPESTRM = 508
+X86_INS_PCMPGTQ = 509
+X86_INS_PCMPISTRI = 510
+X86_INS_PCMPISTRM = 511
+X86_INS_PCOMMIT = 512
+X86_INS_PDEP = 513
+X86_INS_PEXT = 514
+X86_INS_PEXTRB = 515
+X86_INS_PEXTRD = 516
+X86_INS_PEXTRQ = 517
+X86_INS_PF2ID = 518
+X86_INS_PF2IW = 519
+X86_INS_PFACC = 520
+X86_INS_PFADD = 521
+X86_INS_PFCMPEQ = 522
+X86_INS_PFCMPGE = 523
+X86_INS_PFCMPGT = 524
+X86_INS_PFMAX = 525
+X86_INS_PFMIN = 526
+X86_INS_PFMUL = 527
+X86_INS_PFNACC = 528
+X86_INS_PFPNACC = 529
+X86_INS_PFRCPIT1 = 530
+X86_INS_PFRCPIT2 = 531
+X86_INS_PFRCP = 532
+X86_INS_PFRSQIT1 = 533
+X86_INS_PFRSQRT = 534
+X86_INS_PFSUBR = 535
+X86_INS_PFSUB = 536
+X86_INS_PHMINPOSUW = 537
+X86_INS_PI2FD = 538
+X86_INS_PI2FW = 539
+X86_INS_PINSRB = 540
+X86_INS_PINSRD = 541
+X86_INS_PINSRQ = 542
+X86_INS_PMAXSB = 543
+X86_INS_PMAXSD = 544
+X86_INS_PMAXUD = 545
+X86_INS_PMAXUW = 546
+X86_INS_PMINSB = 547
+X86_INS_PMINSD = 548
+X86_INS_PMINUD = 549
+X86_INS_PMINUW = 550
+X86_INS_PMOVSXBD = 551
+X86_INS_PMOVSXBQ = 552
+X86_INS_PMOVSXBW = 553
+X86_INS_PMOVSXDQ = 554
+X86_INS_PMOVSXWD = 555
+X86_INS_PMOVSXWQ = 556
+X86_INS_PMOVZXBD = 557
+X86_INS_PMOVZXBQ = 558
+X86_INS_PMOVZXBW = 559
+X86_INS_PMOVZXDQ = 560
+X86_INS_PMOVZXWD = 561
+X86_INS_PMOVZXWQ = 562
+X86_INS_PMULDQ = 563
+X86_INS_PMULHRW = 564
+X86_INS_PMULLD = 565
+X86_INS_POP = 566
+X86_INS_POPAW = 567
+X86_INS_POPAL = 568
+X86_INS_POPCNT = 569
+X86_INS_POPF = 570
+X86_INS_POPFD = 571
+X86_INS_POPFQ = 572
+X86_INS_PREFETCH = 573
+X86_INS_PREFETCHNTA = 574
+X86_INS_PREFETCHT0 = 575
+X86_INS_PREFETCHT1 = 576
+X86_INS_PREFETCHT2 = 577
+X86_INS_PREFETCHW = 578
+X86_INS_PSHUFD = 579
+X86_INS_PSHUFHW = 580
+X86_INS_PSHUFLW = 581
+X86_INS_PSLLDQ = 582
+X86_INS_PSRLDQ = 583
+X86_INS_PSWAPD = 584
+X86_INS_PTEST = 585
+X86_INS_PUNPCKHQDQ = 586
+X86_INS_PUNPCKLQDQ = 587
+X86_INS_PUSH = 588
+X86_INS_PUSHAW = 589
+X86_INS_PUSHAL = 590
+X86_INS_PUSHF = 591
+X86_INS_PUSHFD = 592
+X86_INS_PUSHFQ = 593
+X86_INS_RCL = 594
+X86_INS_RCPPS = 595
+X86_INS_RCPSS = 596
+X86_INS_RCR = 597
+X86_INS_RDFSBASE = 598
+X86_INS_RDGSBASE = 599
+X86_INS_RDMSR = 600
+X86_INS_RDPMC = 601
+X86_INS_RDRAND = 602
+X86_INS_RDSEED = 603
+X86_INS_RDTSC = 604
+X86_INS_RDTSCP = 605
+X86_INS_ROL = 606
+X86_INS_ROR = 607
+X86_INS_RORX = 608
+X86_INS_ROUNDPD = 609
+X86_INS_ROUNDPS = 610
+X86_INS_ROUNDSD = 611
+X86_INS_ROUNDSS = 612
+X86_INS_RSM = 613
+X86_INS_RSQRTPS = 614
+X86_INS_RSQRTSS = 615
+X86_INS_SAHF = 616
+X86_INS_SAL = 617
+X86_INS_SALC = 618
+X86_INS_SAR = 619
+X86_INS_SARX = 620
+X86_INS_SBB = 621
+X86_INS_SCASB = 622
+X86_INS_SCASD = 623
+X86_INS_SCASQ = 624
+X86_INS_SCASW = 625
+X86_INS_SETAE = 626
+X86_INS_SETA = 627
+X86_INS_SETBE = 628
+X86_INS_SETB = 629
+X86_INS_SETE = 630
+X86_INS_SETGE = 631
+X86_INS_SETG = 632
+X86_INS_SETLE = 633
+X86_INS_SETL = 634
+X86_INS_SETNE = 635
+X86_INS_SETNO = 636
+X86_INS_SETNP = 637
+X86_INS_SETNS = 638
+X86_INS_SETO = 639
+X86_INS_SETP = 640
+X86_INS_SETS = 641
+X86_INS_SFENCE = 642
+X86_INS_SGDT = 643
+X86_INS_SHA1MSG1 = 644
+X86_INS_SHA1MSG2 = 645
+X86_INS_SHA1NEXTE = 646
+X86_INS_SHA1RNDS4 = 647
+X86_INS_SHA256MSG1 = 648
+X86_INS_SHA256MSG2 = 649
+X86_INS_SHA256RNDS2 = 650
+X86_INS_SHL = 651
+X86_INS_SHLD = 652
+X86_INS_SHLX = 653
+X86_INS_SHR = 654
+X86_INS_SHRD = 655
+X86_INS_SHRX = 656
+X86_INS_SHUFPD = 657
+X86_INS_SHUFPS = 658
+X86_INS_SIDT = 659
+X86_INS_FSIN = 660
+X86_INS_SKINIT = 661
+X86_INS_SLDT = 662
+X86_INS_SMSW = 663
+X86_INS_SQRTPD = 664
+X86_INS_SQRTPS = 665
+X86_INS_SQRTSD = 666
+X86_INS_SQRTSS = 667
+X86_INS_FSQRT = 668
+X86_INS_STAC = 669
+X86_INS_STC = 670
+X86_INS_STD = 671
+X86_INS_STGI = 672
+X86_INS_STI = 673
+X86_INS_STMXCSR = 674
+X86_INS_STOSB = 675
+X86_INS_STOSD = 676
+X86_INS_STOSQ = 677
+X86_INS_STOSW = 678
+X86_INS_STR = 679
+X86_INS_FST = 680
+X86_INS_FSTP = 681
+X86_INS_FSTPNCE = 682
+X86_INS_FXCH = 683
+X86_INS_SUBPD = 684
+X86_INS_SUBPS = 685
+X86_INS_FSUBR = 686
+X86_INS_FISUBR = 687
+X86_INS_FSUBRP = 688
+X86_INS_SUBSD = 689
+X86_INS_SUBSS = 690
+X86_INS_FSUB = 691
+X86_INS_FISUB = 692
+X86_INS_FSUBP = 693
+X86_INS_SWAPGS = 694
+X86_INS_SYSCALL = 695
+X86_INS_SYSENTER = 696
+X86_INS_SYSEXIT = 697
+X86_INS_SYSRET = 698
+X86_INS_T1MSKC = 699
+X86_INS_TEST = 700
+X86_INS_UD2 = 701
+X86_INS_FTST = 702
+X86_INS_TZCNT = 703
+X86_INS_TZMSK = 704
+X86_INS_FUCOMIP = 705
+X86_INS_FUCOMI = 706
+X86_INS_FUCOMPP = 707
+X86_INS_FUCOMP = 708
+X86_INS_FUCOM = 709
+X86_INS_UD2B = 710
+X86_INS_UNPCKHPD = 711
+X86_INS_UNPCKHPS = 712
+X86_INS_UNPCKLPD = 713
+X86_INS_UNPCKLPS = 714
+X86_INS_VADDPD = 715
+X86_INS_VADDPS = 716
+X86_INS_VADDSD = 717
+X86_INS_VADDSS = 718
+X86_INS_VADDSUBPD = 719
+X86_INS_VADDSUBPS = 720
+X86_INS_VAESDECLAST = 721
+X86_INS_VAESDEC = 722
+X86_INS_VAESENCLAST = 723
+X86_INS_VAESENC = 724
+X86_INS_VAESIMC = 725
+X86_INS_VAESKEYGENASSIST = 726
+X86_INS_VALIGND = 727
+X86_INS_VALIGNQ = 728
+X86_INS_VANDNPD = 729
+X86_INS_VANDNPS = 730
+X86_INS_VANDPD = 731
+X86_INS_VANDPS = 732
+X86_INS_VBLENDMPD = 733
+X86_INS_VBLENDMPS = 734
+X86_INS_VBLENDPD = 735
+X86_INS_VBLENDPS = 736
+X86_INS_VBLENDVPD = 737
+X86_INS_VBLENDVPS = 738
+X86_INS_VBROADCASTF128 = 739
+X86_INS_VBROADCASTI32X4 = 740
+X86_INS_VBROADCASTI64X4 = 741
+X86_INS_VBROADCASTSD = 742
+X86_INS_VBROADCASTSS = 743
+X86_INS_VCOMPRESSPD = 744
+X86_INS_VCOMPRESSPS = 745
+X86_INS_VCVTDQ2PD = 746
+X86_INS_VCVTDQ2PS = 747
+X86_INS_VCVTPD2DQX = 748
+X86_INS_VCVTPD2DQ = 749
+X86_INS_VCVTPD2PSX = 750
+X86_INS_VCVTPD2PS = 751
+X86_INS_VCVTPD2UDQ = 752
+X86_INS_VCVTPH2PS = 753
+X86_INS_VCVTPS2DQ = 754
+X86_INS_VCVTPS2PD = 755
+X86_INS_VCVTPS2PH = 756
+X86_INS_VCVTPS2UDQ = 757
+X86_INS_VCVTSD2SI = 758
+X86_INS_VCVTSD2USI = 759
+X86_INS_VCVTSS2SI = 760
+X86_INS_VCVTSS2USI = 761
+X86_INS_VCVTTPD2DQX = 762
+X86_INS_VCVTTPD2DQ = 763
+X86_INS_VCVTTPD2UDQ = 764
+X86_INS_VCVTTPS2DQ = 765
+X86_INS_VCVTTPS2UDQ = 766
+X86_INS_VCVTUDQ2PD = 767
+X86_INS_VCVTUDQ2PS = 768
+X86_INS_VDIVPD = 769
+X86_INS_VDIVPS = 770
+X86_INS_VDIVSD = 771
+X86_INS_VDIVSS = 772
+X86_INS_VDPPD = 773
+X86_INS_VDPPS = 774
+X86_INS_VERR = 775
+X86_INS_VERW = 776
+X86_INS_VEXP2PD = 777
+X86_INS_VEXP2PS = 778
+X86_INS_VEXPANDPD = 779
+X86_INS_VEXPANDPS = 780
+X86_INS_VEXTRACTF128 = 781
+X86_INS_VEXTRACTF32X4 = 782
+X86_INS_VEXTRACTF64X4 = 783
+X86_INS_VEXTRACTI128 = 784
+X86_INS_VEXTRACTI32X4 = 785
+X86_INS_VEXTRACTI64X4 = 786
+X86_INS_VEXTRACTPS = 787
+X86_INS_VFMADD132PD = 788
+X86_INS_VFMADD132PS = 789
+X86_INS_VFMADDPD = 790
+X86_INS_VFMADD213PD = 791
+X86_INS_VFMADD231PD = 792
+X86_INS_VFMADDPS = 793
+X86_INS_VFMADD213PS = 794
+X86_INS_VFMADD231PS = 795
+X86_INS_VFMADDSD = 796
+X86_INS_VFMADD213SD = 797
+X86_INS_VFMADD132SD = 798
+X86_INS_VFMADD231SD = 799
+X86_INS_VFMADDSS = 800
+X86_INS_VFMADD213SS = 801
+X86_INS_VFMADD132SS = 802
+X86_INS_VFMADD231SS = 803
+X86_INS_VFMADDSUB132PD = 804
+X86_INS_VFMADDSUB132PS = 805
+X86_INS_VFMADDSUBPD = 806
+X86_INS_VFMADDSUB213PD = 807
+X86_INS_VFMADDSUB231PD = 808
+X86_INS_VFMADDSUBPS = 809
+X86_INS_VFMADDSUB213PS = 810
+X86_INS_VFMADDSUB231PS = 811
+X86_INS_VFMSUB132PD = 812
+X86_INS_VFMSUB132PS = 813
+X86_INS_VFMSUBADD132PD = 814
+X86_INS_VFMSUBADD132PS = 815
+X86_INS_VFMSUBADDPD = 816
+X86_INS_VFMSUBADD213PD = 817
+X86_INS_VFMSUBADD231PD = 818
+X86_INS_VFMSUBADDPS = 819
+X86_INS_VFMSUBADD213PS = 820
+X86_INS_VFMSUBADD231PS = 821
+X86_INS_VFMSUBPD = 822
+X86_INS_VFMSUB213PD = 823
+X86_INS_VFMSUB231PD = 824
+X86_INS_VFMSUBPS = 825
+X86_INS_VFMSUB213PS = 826
+X86_INS_VFMSUB231PS = 827
+X86_INS_VFMSUBSD = 828
+X86_INS_VFMSUB213SD = 829
+X86_INS_VFMSUB132SD = 830
+X86_INS_VFMSUB231SD = 831
+X86_INS_VFMSUBSS = 832
+X86_INS_VFMSUB213SS = 833
+X86_INS_VFMSUB132SS = 834
+X86_INS_VFMSUB231SS = 835
+X86_INS_VFNMADD132PD = 836
+X86_INS_VFNMADD132PS = 837
+X86_INS_VFNMADDPD = 838
+X86_INS_VFNMADD213PD = 839
+X86_INS_VFNMADD231PD = 840
+X86_INS_VFNMADDPS = 841
+X86_INS_VFNMADD213PS = 842
+X86_INS_VFNMADD231PS = 843
+X86_INS_VFNMADDSD = 844
+X86_INS_VFNMADD213SD = 845
+X86_INS_VFNMADD132SD = 846
+X86_INS_VFNMADD231SD = 847
+X86_INS_VFNMADDSS = 848
+X86_INS_VFNMADD213SS = 849
+X86_INS_VFNMADD132SS = 850
+X86_INS_VFNMADD231SS = 851
+X86_INS_VFNMSUB132PD = 852
+X86_INS_VFNMSUB132PS = 853
+X86_INS_VFNMSUBPD = 854
+X86_INS_VFNMSUB213PD = 855
+X86_INS_VFNMSUB231PD = 856
+X86_INS_VFNMSUBPS = 857
+X86_INS_VFNMSUB213PS = 858
+X86_INS_VFNMSUB231PS = 859
+X86_INS_VFNMSUBSD = 860
+X86_INS_VFNMSUB213SD = 861
+X86_INS_VFNMSUB132SD = 862
+X86_INS_VFNMSUB231SD = 863
+X86_INS_VFNMSUBSS = 864
+X86_INS_VFNMSUB213SS = 865
+X86_INS_VFNMSUB132SS = 866
+X86_INS_VFNMSUB231SS = 867
+X86_INS_VFRCZPD = 868
+X86_INS_VFRCZPS = 869
+X86_INS_VFRCZSD = 870
+X86_INS_VFRCZSS = 871
+X86_INS_VORPD = 872
+X86_INS_VORPS = 873
+X86_INS_VXORPD = 874
+X86_INS_VXORPS = 875
+X86_INS_VGATHERDPD = 876
+X86_INS_VGATHERDPS = 877
+X86_INS_VGATHERPF0DPD = 878
+X86_INS_VGATHERPF0DPS = 879
+X86_INS_VGATHERPF0QPD = 880
+X86_INS_VGATHERPF0QPS = 881
+X86_INS_VGATHERPF1DPD = 882
+X86_INS_VGATHERPF1DPS = 883
+X86_INS_VGATHERPF1QPD = 884
+X86_INS_VGATHERPF1QPS = 885
+X86_INS_VGATHERQPD = 886
+X86_INS_VGATHERQPS = 887
+X86_INS_VHADDPD = 888
+X86_INS_VHADDPS = 889
+X86_INS_VHSUBPD = 890
+X86_INS_VHSUBPS = 891
+X86_INS_VINSERTF128 = 892
+X86_INS_VINSERTF32X4 = 893
+X86_INS_VINSERTF32X8 = 894
+X86_INS_VINSERTF64X2 = 895
+X86_INS_VINSERTF64X4 = 896
+X86_INS_VINSERTI128 = 897
+X86_INS_VINSERTI32X4 = 898
+X86_INS_VINSERTI32X8 = 899
+X86_INS_VINSERTI64X2 = 900
+X86_INS_VINSERTI64X4 = 901
+X86_INS_VINSERTPS = 902
+X86_INS_VLDDQU = 903
+X86_INS_VLDMXCSR = 904
+X86_INS_VMASKMOVDQU = 905
+X86_INS_VMASKMOVPD = 906
+X86_INS_VMASKMOVPS = 907
+X86_INS_VMAXPD = 908
+X86_INS_VMAXPS = 909
+X86_INS_VMAXSD = 910
+X86_INS_VMAXSS = 911
+X86_INS_VMCALL = 912
+X86_INS_VMCLEAR = 913
+X86_INS_VMFUNC = 914
+X86_INS_VMINPD = 915
+X86_INS_VMINPS = 916
+X86_INS_VMINSD = 917
+X86_INS_VMINSS = 918
+X86_INS_VMLAUNCH = 919
+X86_INS_VMLOAD = 920
+X86_INS_VMMCALL = 921
+X86_INS_VMOVQ = 922
+X86_INS_VMOVDDUP = 923
+X86_INS_VMOVD = 924
+X86_INS_VMOVDQA32 = 925
+X86_INS_VMOVDQA64 = 926
+X86_INS_VMOVDQA = 927
+X86_INS_VMOVDQU16 = 928
+X86_INS_VMOVDQU32 = 929
+X86_INS_VMOVDQU64 = 930
+X86_INS_VMOVDQU8 = 931
+X86_INS_VMOVDQU = 932
+X86_INS_VMOVHLPS = 933
+X86_INS_VMOVHPD = 934
+X86_INS_VMOVHPS = 935
+X86_INS_VMOVLHPS = 936
+X86_INS_VMOVLPD = 937
+X86_INS_VMOVLPS = 938
+X86_INS_VMOVMSKPD = 939
+X86_INS_VMOVMSKPS = 940
+X86_INS_VMOVNTDQA = 941
+X86_INS_VMOVNTDQ = 942
+X86_INS_VMOVNTPD = 943
+X86_INS_VMOVNTPS = 944
+X86_INS_VMOVSD = 945
+X86_INS_VMOVSHDUP = 946
+X86_INS_VMOVSLDUP = 947
+X86_INS_VMOVSS = 948
+X86_INS_VMOVUPD = 949
+X86_INS_VMOVUPS = 950
+X86_INS_VMPSADBW = 951
+X86_INS_VMPTRLD = 952
+X86_INS_VMPTRST = 953
+X86_INS_VMREAD = 954
+X86_INS_VMRESUME = 955
+X86_INS_VMRUN = 956
+X86_INS_VMSAVE = 957
+X86_INS_VMULPD = 958
+X86_INS_VMULPS = 959
+X86_INS_VMULSD = 960
+X86_INS_VMULSS = 961
+X86_INS_VMWRITE = 962
+X86_INS_VMXOFF = 963
+X86_INS_VMXON = 964
+X86_INS_VPABSB = 965
+X86_INS_VPABSD = 966
+X86_INS_VPABSQ = 967
+X86_INS_VPABSW = 968
+X86_INS_VPACKSSDW = 969
+X86_INS_VPACKSSWB = 970
+X86_INS_VPACKUSDW = 971
+X86_INS_VPACKUSWB = 972
+X86_INS_VPADDB = 973
+X86_INS_VPADDD = 974
+X86_INS_VPADDQ = 975
+X86_INS_VPADDSB = 976
+X86_INS_VPADDSW = 977
+X86_INS_VPADDUSB = 978
+X86_INS_VPADDUSW = 979
+X86_INS_VPADDW = 980
+X86_INS_VPALIGNR = 981
+X86_INS_VPANDD = 982
+X86_INS_VPANDND = 983
+X86_INS_VPANDNQ = 984
+X86_INS_VPANDN = 985
+X86_INS_VPANDQ = 986
+X86_INS_VPAND = 987
+X86_INS_VPAVGB = 988
+X86_INS_VPAVGW = 989
+X86_INS_VPBLENDD = 990
+X86_INS_VPBLENDMB = 991
+X86_INS_VPBLENDMD = 992
+X86_INS_VPBLENDMQ = 993
+X86_INS_VPBLENDMW = 994
+X86_INS_VPBLENDVB = 995
+X86_INS_VPBLENDW = 996
+X86_INS_VPBROADCASTB = 997
+X86_INS_VPBROADCASTD = 998
+X86_INS_VPBROADCASTMB2Q = 999
+X86_INS_VPBROADCASTMW2D = 1000
+X86_INS_VPBROADCASTQ = 1001
+X86_INS_VPBROADCASTW = 1002
+X86_INS_VPCLMULQDQ = 1003
+X86_INS_VPCMOV = 1004
+X86_INS_VPCMPB = 1005
+X86_INS_VPCMPD = 1006
+X86_INS_VPCMPEQB = 1007
+X86_INS_VPCMPEQD = 1008
+X86_INS_VPCMPEQQ = 1009
+X86_INS_VPCMPEQW = 1010
+X86_INS_VPCMPESTRI = 1011
+X86_INS_VPCMPESTRM = 1012
+X86_INS_VPCMPGTB = 1013
+X86_INS_VPCMPGTD = 1014
+X86_INS_VPCMPGTQ = 1015
+X86_INS_VPCMPGTW = 1016
+X86_INS_VPCMPISTRI = 1017
+X86_INS_VPCMPISTRM = 1018
+X86_INS_VPCMPQ = 1019
+X86_INS_VPCMPUB = 1020
+X86_INS_VPCMPUD = 1021
+X86_INS_VPCMPUQ = 1022
+X86_INS_VPCMPUW = 1023
+X86_INS_VPCMPW = 1024
+X86_INS_VPCOMB = 1025
+X86_INS_VPCOMD = 1026
+X86_INS_VPCOMPRESSD = 1027
+X86_INS_VPCOMPRESSQ = 1028
+X86_INS_VPCOMQ = 1029
+X86_INS_VPCOMUB = 1030
+X86_INS_VPCOMUD = 1031
+X86_INS_VPCOMUQ = 1032
+X86_INS_VPCOMUW = 1033
+X86_INS_VPCOMW = 1034
+X86_INS_VPCONFLICTD = 1035
+X86_INS_VPCONFLICTQ = 1036
+X86_INS_VPERM2F128 = 1037
+X86_INS_VPERM2I128 = 1038
+X86_INS_VPERMD = 1039
+X86_INS_VPERMI2D = 1040
+X86_INS_VPERMI2PD = 1041
+X86_INS_VPERMI2PS = 1042
+X86_INS_VPERMI2Q = 1043
+X86_INS_VPERMIL2PD = 1044
+X86_INS_VPERMIL2PS = 1045
+X86_INS_VPERMILPD = 1046
+X86_INS_VPERMILPS = 1047
+X86_INS_VPERMPD = 1048
+X86_INS_VPERMPS = 1049
+X86_INS_VPERMQ = 1050
+X86_INS_VPERMT2D = 1051
+X86_INS_VPERMT2PD = 1052
+X86_INS_VPERMT2PS = 1053
+X86_INS_VPERMT2Q = 1054
+X86_INS_VPEXPANDD = 1055
+X86_INS_VPEXPANDQ = 1056
+X86_INS_VPEXTRB = 1057
+X86_INS_VPEXTRD = 1058
+X86_INS_VPEXTRQ = 1059
+X86_INS_VPEXTRW = 1060
+X86_INS_VPGATHERDD = 1061
+X86_INS_VPGATHERDQ = 1062
+X86_INS_VPGATHERQD = 1063
+X86_INS_VPGATHERQQ = 1064
+X86_INS_VPHADDBD = 1065
+X86_INS_VPHADDBQ = 1066
+X86_INS_VPHADDBW = 1067
+X86_INS_VPHADDDQ = 1068
+X86_INS_VPHADDD = 1069
+X86_INS_VPHADDSW = 1070
+X86_INS_VPHADDUBD = 1071
+X86_INS_VPHADDUBQ = 1072
+X86_INS_VPHADDUBW = 1073
+X86_INS_VPHADDUDQ = 1074
+X86_INS_VPHADDUWD = 1075
+X86_INS_VPHADDUWQ = 1076
+X86_INS_VPHADDWD = 1077
+X86_INS_VPHADDWQ = 1078
+X86_INS_VPHADDW = 1079
+X86_INS_VPHMINPOSUW = 1080
+X86_INS_VPHSUBBW = 1081
+X86_INS_VPHSUBDQ = 1082
+X86_INS_VPHSUBD = 1083
+X86_INS_VPHSUBSW = 1084
+X86_INS_VPHSUBWD = 1085
+X86_INS_VPHSUBW = 1086
+X86_INS_VPINSRB = 1087
+X86_INS_VPINSRD = 1088
+X86_INS_VPINSRQ = 1089
+X86_INS_VPINSRW = 1090
+X86_INS_VPLZCNTD = 1091
+X86_INS_VPLZCNTQ = 1092
+X86_INS_VPMACSDD = 1093
+X86_INS_VPMACSDQH = 1094
+X86_INS_VPMACSDQL = 1095
+X86_INS_VPMACSSDD = 1096
+X86_INS_VPMACSSDQH = 1097
+X86_INS_VPMACSSDQL = 1098
+X86_INS_VPMACSSWD = 1099
+X86_INS_VPMACSSWW = 1100
+X86_INS_VPMACSWD = 1101
+X86_INS_VPMACSWW = 1102
+X86_INS_VPMADCSSWD = 1103
+X86_INS_VPMADCSWD = 1104
+X86_INS_VPMADDUBSW = 1105
+X86_INS_VPMADDWD = 1106
+X86_INS_VPMASKMOVD = 1107
+X86_INS_VPMASKMOVQ = 1108
+X86_INS_VPMAXSB = 1109
+X86_INS_VPMAXSD = 1110
+X86_INS_VPMAXSQ = 1111
+X86_INS_VPMAXSW = 1112
+X86_INS_VPMAXUB = 1113
+X86_INS_VPMAXUD = 1114
+X86_INS_VPMAXUQ = 1115
+X86_INS_VPMAXUW = 1116
+X86_INS_VPMINSB = 1117
+X86_INS_VPMINSD = 1118
+X86_INS_VPMINSQ = 1119
+X86_INS_VPMINSW = 1120
+X86_INS_VPMINUB = 1121
+X86_INS_VPMINUD = 1122
+X86_INS_VPMINUQ = 1123
+X86_INS_VPMINUW = 1124
+X86_INS_VPMOVDB = 1125
+X86_INS_VPMOVDW = 1126
+X86_INS_VPMOVM2B = 1127
+X86_INS_VPMOVM2D = 1128
+X86_INS_VPMOVM2Q = 1129
+X86_INS_VPMOVM2W = 1130
+X86_INS_VPMOVMSKB = 1131
+X86_INS_VPMOVQB = 1132
+X86_INS_VPMOVQD = 1133
+X86_INS_VPMOVQW = 1134
+X86_INS_VPMOVSDB = 1135
+X86_INS_VPMOVSDW = 1136
+X86_INS_VPMOVSQB = 1137
+X86_INS_VPMOVSQD = 1138
+X86_INS_VPMOVSQW = 1139
+X86_INS_VPMOVSXBD = 1140
+X86_INS_VPMOVSXBQ = 1141
+X86_INS_VPMOVSXBW = 1142
+X86_INS_VPMOVSXDQ = 1143
+X86_INS_VPMOVSXWD = 1144
+X86_INS_VPMOVSXWQ = 1145
+X86_INS_VPMOVUSDB = 1146
+X86_INS_VPMOVUSDW = 1147
+X86_INS_VPMOVUSQB = 1148
+X86_INS_VPMOVUSQD = 1149
+X86_INS_VPMOVUSQW = 1150
+X86_INS_VPMOVZXBD = 1151
+X86_INS_VPMOVZXBQ = 1152
+X86_INS_VPMOVZXBW = 1153
+X86_INS_VPMOVZXDQ = 1154
+X86_INS_VPMOVZXWD = 1155
+X86_INS_VPMOVZXWQ = 1156
+X86_INS_VPMULDQ = 1157
+X86_INS_VPMULHRSW = 1158
+X86_INS_VPMULHUW = 1159
+X86_INS_VPMULHW = 1160
+X86_INS_VPMULLD = 1161
+X86_INS_VPMULLQ = 1162
+X86_INS_VPMULLW = 1163
+X86_INS_VPMULUDQ = 1164
+X86_INS_VPORD = 1165
+X86_INS_VPORQ = 1166
+X86_INS_VPOR = 1167
+X86_INS_VPPERM = 1168
+X86_INS_VPROTB = 1169
+X86_INS_VPROTD = 1170
+X86_INS_VPROTQ = 1171
+X86_INS_VPROTW = 1172
+X86_INS_VPSADBW = 1173
+X86_INS_VPSCATTERDD = 1174
+X86_INS_VPSCATTERDQ = 1175
+X86_INS_VPSCATTERQD = 1176
+X86_INS_VPSCATTERQQ = 1177
+X86_INS_VPSHAB = 1178
+X86_INS_VPSHAD = 1179
+X86_INS_VPSHAQ = 1180
+X86_INS_VPSHAW = 1181
+X86_INS_VPSHLB = 1182
+X86_INS_VPSHLD = 1183
+X86_INS_VPSHLQ = 1184
+X86_INS_VPSHLW = 1185
+X86_INS_VPSHUFB = 1186
+X86_INS_VPSHUFD = 1187
+X86_INS_VPSHUFHW = 1188
+X86_INS_VPSHUFLW = 1189
+X86_INS_VPSIGNB = 1190
+X86_INS_VPSIGND = 1191
+X86_INS_VPSIGNW = 1192
+X86_INS_VPSLLDQ = 1193
+X86_INS_VPSLLD = 1194
+X86_INS_VPSLLQ = 1195
+X86_INS_VPSLLVD = 1196
+X86_INS_VPSLLVQ = 1197
+X86_INS_VPSLLW = 1198
+X86_INS_VPSRAD = 1199
+X86_INS_VPSRAQ = 1200
+X86_INS_VPSRAVD = 1201
+X86_INS_VPSRAVQ = 1202
+X86_INS_VPSRAW = 1203
+X86_INS_VPSRLDQ = 1204
+X86_INS_VPSRLD = 1205
+X86_INS_VPSRLQ = 1206
+X86_INS_VPSRLVD = 1207
+X86_INS_VPSRLVQ = 1208
+X86_INS_VPSRLW = 1209
+X86_INS_VPSUBB = 1210
+X86_INS_VPSUBD = 1211
+X86_INS_VPSUBQ = 1212
+X86_INS_VPSUBSB = 1213
+X86_INS_VPSUBSW = 1214
+X86_INS_VPSUBUSB = 1215
+X86_INS_VPSUBUSW = 1216
+X86_INS_VPSUBW = 1217
+X86_INS_VPTESTMD = 1218
+X86_INS_VPTESTMQ = 1219
+X86_INS_VPTESTNMD = 1220
+X86_INS_VPTESTNMQ = 1221
+X86_INS_VPTEST = 1222
+X86_INS_VPUNPCKHBW = 1223
+X86_INS_VPUNPCKHDQ = 1224
+X86_INS_VPUNPCKHQDQ = 1225
+X86_INS_VPUNPCKHWD = 1226
+X86_INS_VPUNPCKLBW = 1227
+X86_INS_VPUNPCKLDQ = 1228
+X86_INS_VPUNPCKLQDQ = 1229
+X86_INS_VPUNPCKLWD = 1230
+X86_INS_VPXORD = 1231
+X86_INS_VPXORQ = 1232
+X86_INS_VPXOR = 1233
+X86_INS_VRCP14PD = 1234
+X86_INS_VRCP14PS = 1235
+X86_INS_VRCP14SD = 1236
+X86_INS_VRCP14SS = 1237
+X86_INS_VRCP28PD = 1238
+X86_INS_VRCP28PS = 1239
+X86_INS_VRCP28SD = 1240
+X86_INS_VRCP28SS = 1241
+X86_INS_VRCPPS = 1242
+X86_INS_VRCPSS = 1243
+X86_INS_VRNDSCALEPD = 1244
+X86_INS_VRNDSCALEPS = 1245
+X86_INS_VRNDSCALESD = 1246
+X86_INS_VRNDSCALESS = 1247
+X86_INS_VROUNDPD = 1248
+X86_INS_VROUNDPS = 1249
+X86_INS_VROUNDSD = 1250
+X86_INS_VROUNDSS = 1251
+X86_INS_VRSQRT14PD = 1252
+X86_INS_VRSQRT14PS = 1253
+X86_INS_VRSQRT14SD = 1254
+X86_INS_VRSQRT14SS = 1255
+X86_INS_VRSQRT28PD = 1256
+X86_INS_VRSQRT28PS = 1257
+X86_INS_VRSQRT28SD = 1258
+X86_INS_VRSQRT28SS = 1259
+X86_INS_VRSQRTPS = 1260
+X86_INS_VRSQRTSS = 1261
+X86_INS_VSCATTERDPD = 1262
+X86_INS_VSCATTERDPS = 1263
+X86_INS_VSCATTERPF0DPD = 1264
+X86_INS_VSCATTERPF0DPS = 1265
+X86_INS_VSCATTERPF0QPD = 1266
+X86_INS_VSCATTERPF0QPS = 1267
+X86_INS_VSCATTERPF1DPD = 1268
+X86_INS_VSCATTERPF1DPS = 1269
+X86_INS_VSCATTERPF1QPD = 1270
+X86_INS_VSCATTERPF1QPS = 1271
+X86_INS_VSCATTERQPD = 1272
+X86_INS_VSCATTERQPS = 1273
+X86_INS_VSHUFPD = 1274
+X86_INS_VSHUFPS = 1275
+X86_INS_VSQRTPD = 1276
+X86_INS_VSQRTPS = 1277
+X86_INS_VSQRTSD = 1278
+X86_INS_VSQRTSS = 1279
+X86_INS_VSTMXCSR = 1280
+X86_INS_VSUBPD = 1281
+X86_INS_VSUBPS = 1282
+X86_INS_VSUBSD = 1283
+X86_INS_VSUBSS = 1284
+X86_INS_VTESTPD = 1285
+X86_INS_VTESTPS = 1286
+X86_INS_VUNPCKHPD = 1287
+X86_INS_VUNPCKHPS = 1288
+X86_INS_VUNPCKLPD = 1289
+X86_INS_VUNPCKLPS = 1290
+X86_INS_VZEROALL = 1291
+X86_INS_VZEROUPPER = 1292
+X86_INS_WAIT = 1293
+X86_INS_WBINVD = 1294
+X86_INS_WRFSBASE = 1295
+X86_INS_WRGSBASE = 1296
+X86_INS_WRMSR = 1297
+X86_INS_XABORT = 1298
+X86_INS_XACQUIRE = 1299
+X86_INS_XBEGIN = 1300
+X86_INS_XCHG = 1301
+X86_INS_XCRYPTCBC = 1302
+X86_INS_XCRYPTCFB = 1303
+X86_INS_XCRYPTCTR = 1304
+X86_INS_XCRYPTECB = 1305
+X86_INS_XCRYPTOFB = 1306
+X86_INS_XEND = 1307
+X86_INS_XGETBV = 1308
+X86_INS_XLATB = 1309
+X86_INS_XRELEASE = 1310
+X86_INS_XRSTOR = 1311
+X86_INS_XRSTOR64 = 1312
+X86_INS_XRSTORS = 1313
+X86_INS_XRSTORS64 = 1314
+X86_INS_XSAVE = 1315
+X86_INS_XSAVE64 = 1316
+X86_INS_XSAVEC = 1317
+X86_INS_XSAVEC64 = 1318
+X86_INS_XSAVEOPT = 1319
+X86_INS_XSAVEOPT64 = 1320
+X86_INS_XSAVES = 1321
+X86_INS_XSAVES64 = 1322
+X86_INS_XSETBV = 1323
+X86_INS_XSHA1 = 1324
+X86_INS_XSHA256 = 1325
+X86_INS_XSTORE = 1326
+X86_INS_XTEST = 1327
+X86_INS_FDISI8087_NOP = 1328
+X86_INS_FENI8087_NOP = 1329
+X86_INS_CMPSS = 1330
+X86_INS_CMPEQSS = 1331
+X86_INS_CMPLTSS = 1332
+X86_INS_CMPLESS = 1333
+X86_INS_CMPUNORDSS = 1334
+X86_INS_CMPNEQSS = 1335
+X86_INS_CMPNLTSS = 1336
+X86_INS_CMPNLESS = 1337
+X86_INS_CMPORDSS = 1338
+X86_INS_CMPSD = 1339
+X86_INS_CMPEQSD = 1340
+X86_INS_CMPLTSD = 1341
+X86_INS_CMPLESD = 1342
+X86_INS_CMPUNORDSD = 1343
+X86_INS_CMPNEQSD = 1344
+X86_INS_CMPNLTSD = 1345
+X86_INS_CMPNLESD = 1346
+X86_INS_CMPORDSD = 1347
+X86_INS_CMPPS = 1348
+X86_INS_CMPEQPS = 1349
+X86_INS_CMPLTPS = 1350
+X86_INS_CMPLEPS = 1351
+X86_INS_CMPUNORDPS = 1352
+X86_INS_CMPNEQPS = 1353
+X86_INS_CMPNLTPS = 1354
+X86_INS_CMPNLEPS = 1355
+X86_INS_CMPORDPS = 1356
+X86_INS_CMPPD = 1357
+X86_INS_CMPEQPD = 1358
+X86_INS_CMPLTPD = 1359
+X86_INS_CMPLEPD = 1360
+X86_INS_CMPUNORDPD = 1361
+X86_INS_CMPNEQPD = 1362
+X86_INS_CMPNLTPD = 1363
+X86_INS_CMPNLEPD = 1364
+X86_INS_CMPORDPD = 1365
+X86_INS_VCMPSS = 1366
+X86_INS_VCMPEQSS = 1367
+X86_INS_VCMPLTSS = 1368
+X86_INS_VCMPLESS = 1369
+X86_INS_VCMPUNORDSS = 1370
+X86_INS_VCMPNEQSS = 1371
+X86_INS_VCMPNLTSS = 1372
+X86_INS_VCMPNLESS = 1373
+X86_INS_VCMPORDSS = 1374
+X86_INS_VCMPEQ_UQSS = 1375
+X86_INS_VCMPNGESS = 1376
+X86_INS_VCMPNGTSS = 1377
+X86_INS_VCMPFALSESS = 1378
+X86_INS_VCMPNEQ_OQSS = 1379
+X86_INS_VCMPGESS = 1380
+X86_INS_VCMPGTSS = 1381
+X86_INS_VCMPTRUESS = 1382
+X86_INS_VCMPEQ_OSSS = 1383
+X86_INS_VCMPLT_OQSS = 1384
+X86_INS_VCMPLE_OQSS = 1385
+X86_INS_VCMPUNORD_SSS = 1386
+X86_INS_VCMPNEQ_USSS = 1387
+X86_INS_VCMPNLT_UQSS = 1388
+X86_INS_VCMPNLE_UQSS = 1389
+X86_INS_VCMPORD_SSS = 1390
+X86_INS_VCMPEQ_USSS = 1391
+X86_INS_VCMPNGE_UQSS = 1392
+X86_INS_VCMPNGT_UQSS = 1393
+X86_INS_VCMPFALSE_OSSS = 1394
+X86_INS_VCMPNEQ_OSSS = 1395
+X86_INS_VCMPGE_OQSS = 1396
+X86_INS_VCMPGT_OQSS = 1397
+X86_INS_VCMPTRUE_USSS = 1398
+X86_INS_VCMPSD = 1399
+X86_INS_VCMPEQSD = 1400
+X86_INS_VCMPLTSD = 1401
+X86_INS_VCMPLESD = 1402
+X86_INS_VCMPUNORDSD = 1403
+X86_INS_VCMPNEQSD = 1404
+X86_INS_VCMPNLTSD = 1405
+X86_INS_VCMPNLESD = 1406
+X86_INS_VCMPORDSD = 1407
+X86_INS_VCMPEQ_UQSD = 1408
+X86_INS_VCMPNGESD = 1409
+X86_INS_VCMPNGTSD = 1410
+X86_INS_VCMPFALSESD = 1411
+X86_INS_VCMPNEQ_OQSD = 1412
+X86_INS_VCMPGESD = 1413
+X86_INS_VCMPGTSD = 1414
+X86_INS_VCMPTRUESD = 1415
+X86_INS_VCMPEQ_OSSD = 1416
+X86_INS_VCMPLT_OQSD = 1417
+X86_INS_VCMPLE_OQSD = 1418
+X86_INS_VCMPUNORD_SSD = 1419
+X86_INS_VCMPNEQ_USSD = 1420
+X86_INS_VCMPNLT_UQSD = 1421
+X86_INS_VCMPNLE_UQSD = 1422
+X86_INS_VCMPORD_SSD = 1423
+X86_INS_VCMPEQ_USSD = 1424
+X86_INS_VCMPNGE_UQSD = 1425
+X86_INS_VCMPNGT_UQSD = 1426
+X86_INS_VCMPFALSE_OSSD = 1427
+X86_INS_VCMPNEQ_OSSD = 1428
+X86_INS_VCMPGE_OQSD = 1429
+X86_INS_VCMPGT_OQSD = 1430
+X86_INS_VCMPTRUE_USSD = 1431
+X86_INS_VCMPPS = 1432
+X86_INS_VCMPEQPS = 1433
+X86_INS_VCMPLTPS = 1434
+X86_INS_VCMPLEPS = 1435
+X86_INS_VCMPUNORDPS = 1436
+X86_INS_VCMPNEQPS = 1437
+X86_INS_VCMPNLTPS = 1438
+X86_INS_VCMPNLEPS = 1439
+X86_INS_VCMPORDPS = 1440
+X86_INS_VCMPEQ_UQPS = 1441
+X86_INS_VCMPNGEPS = 1442
+X86_INS_VCMPNGTPS = 1443
+X86_INS_VCMPFALSEPS = 1444
+X86_INS_VCMPNEQ_OQPS = 1445
+X86_INS_VCMPGEPS = 1446
+X86_INS_VCMPGTPS = 1447
+X86_INS_VCMPTRUEPS = 1448
+X86_INS_VCMPEQ_OSPS = 1449
+X86_INS_VCMPLT_OQPS = 1450
+X86_INS_VCMPLE_OQPS = 1451
+X86_INS_VCMPUNORD_SPS = 1452
+X86_INS_VCMPNEQ_USPS = 1453
+X86_INS_VCMPNLT_UQPS = 1454
+X86_INS_VCMPNLE_UQPS = 1455
+X86_INS_VCMPORD_SPS = 1456
+X86_INS_VCMPEQ_USPS = 1457
+X86_INS_VCMPNGE_UQPS = 1458
+X86_INS_VCMPNGT_UQPS = 1459
+X86_INS_VCMPFALSE_OSPS = 1460
+X86_INS_VCMPNEQ_OSPS = 1461
+X86_INS_VCMPGE_OQPS = 1462
+X86_INS_VCMPGT_OQPS = 1463
+X86_INS_VCMPTRUE_USPS = 1464
+X86_INS_VCMPPD = 1465
+X86_INS_VCMPEQPD = 1466
+X86_INS_VCMPLTPD = 1467
+X86_INS_VCMPLEPD = 1468
+X86_INS_VCMPUNORDPD = 1469
+X86_INS_VCMPNEQPD = 1470
+X86_INS_VCMPNLTPD = 1471
+X86_INS_VCMPNLEPD = 1472
+X86_INS_VCMPORDPD = 1473
+X86_INS_VCMPEQ_UQPD = 1474
+X86_INS_VCMPNGEPD = 1475
+X86_INS_VCMPNGTPD = 1476
+X86_INS_VCMPFALSEPD = 1477
+X86_INS_VCMPNEQ_OQPD = 1478
+X86_INS_VCMPGEPD = 1479
+X86_INS_VCMPGTPD = 1480
+X86_INS_VCMPTRUEPD = 1481
+X86_INS_VCMPEQ_OSPD = 1482
+X86_INS_VCMPLT_OQPD = 1483
+X86_INS_VCMPLE_OQPD = 1484
+X86_INS_VCMPUNORD_SPD = 1485
+X86_INS_VCMPNEQ_USPD = 1486
+X86_INS_VCMPNLT_UQPD = 1487
+X86_INS_VCMPNLE_UQPD = 1488
+X86_INS_VCMPORD_SPD = 1489
+X86_INS_VCMPEQ_USPD = 1490
+X86_INS_VCMPNGE_UQPD = 1491
+X86_INS_VCMPNGT_UQPD = 1492
+X86_INS_VCMPFALSE_OSPD = 1493
+X86_INS_VCMPNEQ_OSPD = 1494
+X86_INS_VCMPGE_OQPD = 1495
+X86_INS_VCMPGT_OQPD = 1496
+X86_INS_VCMPTRUE_USPD = 1497
+X86_INS_UD0 = 1498
+X86_INS_ENDBR32 = 1499
+X86_INS_ENDBR64 = 1500
+X86_INS_ENDING = 1501
 
 X86_GRP_INVALID = 0
-
-# Generic groups
 X86_GRP_JUMP = 1
 X86_GRP_CALL = 2
 X86_GRP_RET = 3
 X86_GRP_INT = 4
 X86_GRP_IRET = 5
-
-# Architecture-specific groups
+X86_GRP_PRIVILEGE = 6
+X86_GRP_BRANCH_RELATIVE = 7
 X86_GRP_VM = 128
 X86_GRP_3DNOW = 129
 X86_GRP_AES = 130
@@ -1683,4 +1958,5 @@ X86_GRP_PFI = 165
 X86_GRP_VLX = 166
 X86_GRP_SMAP = 167
 X86_GRP_NOVLX = 168
-X86_GRP_ENDING = 169
+X86_GRP_FPU = 169
+X86_GRP_ENDING = 170
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/x86.py 4.0.2-3/bindings/python/capstone/x86.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/x86.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/x86.py	2020-05-08 10:03:30.000000000 +0000
@@ -18,7 +18,6 @@ class X86OpValue(ctypes.Union):
     _fields_ = (
         ('reg', ctypes.c_uint),
         ('imm', ctypes.c_int64),
-        ('fp', ctypes.c_double),
         ('mem', X86OpMem),
     )
 
@@ -27,6 +26,7 @@ class X86Op(ctypes.Structure):
         ('type', ctypes.c_uint),
         ('value', X86OpValue),
         ('size', ctypes.c_uint8),
+        ('access', ctypes.c_uint8),
         ('avx_bcast', ctypes.c_uint),
         ('avx_zero_opmask', ctypes.c_bool),
     )
@@ -40,14 +40,19 @@ class X86Op(ctypes.Structure):
         return self.value.reg
 
     @property
-    def fp(self):
-        return self.value.fp
-
-    @property
     def mem(self):
         return self.value.mem
 
 
+class CsX86Encoding(ctypes.Structure):
+    _fields_ = (
+        ('modrm_offset', ctypes.c_uint8),
+        ('disp_offset', ctypes.c_uint8),
+        ('disp_size', ctypes.c_uint8),
+        ('imm_offset', ctypes.c_uint8),
+        ('imm_size', ctypes.c_uint8),
+    )
+
 class CsX86(ctypes.Structure):
     _fields_ = (
         ('prefix', ctypes.c_uint8 * 4),
@@ -56,21 +61,25 @@ class CsX86(ctypes.Structure):
         ('addr_size', ctypes.c_uint8),
         ('modrm', ctypes.c_uint8),
         ('sib', ctypes.c_uint8),
-        ('disp', ctypes.c_int32),
+        ('disp', ctypes.c_int64),
         ('sib_index', ctypes.c_uint),
         ('sib_scale', ctypes.c_int8),
         ('sib_base', ctypes.c_uint),
+        ('xop_cc', ctypes.c_uint),
         ('sse_cc', ctypes.c_uint),
         ('avx_cc', ctypes.c_uint),
         ('avx_sae', ctypes.c_bool),
         ('avx_rm', ctypes.c_uint),
+        ('eflags', ctypes.c_uint64),
         ('op_count', ctypes.c_uint8),
         ('operands', X86Op * 8),
+        ('encoding', CsX86Encoding),
     )
 
 def get_arch_info(a):
     return (a.prefix[:], a.opcode[:], a.rex, a.addr_size, \
             a.modrm, a.sib, a.disp, a.sib_index, a.sib_scale, \
-            a.sib_base, a.sse_cc, a.avx_cc, a.avx_sae, a.avx_rm, \
+            a.sib_base, a.xop_cc, a.sse_cc, a.avx_cc, a.avx_sae, a.avx_rm, a.eflags, \
+            a.encoding.modrm_offset, a.encoding.disp_offset, a.encoding.disp_size, a.encoding.imm_offset, a.encoding.imm_size, \
             copy_ctypes_list(a.operands[:a.op_count]))
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/capstone/xcore_const.py 4.0.2-3/bindings/python/capstone/xcore_const.py
--- 4.0.1+really+3.0.5-2/bindings/python/capstone/xcore_const.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/capstone/xcore_const.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,14 +1,10 @@
 # For Capstone Engine. AUTO-GENERATED FILE, DO NOT EDIT [xcore_const.py]
 
-# Operand type for instruction's operands
-
 XCORE_OP_INVALID = 0
 XCORE_OP_REG = 1
 XCORE_OP_IMM = 2
 XCORE_OP_MEM = 3
 
-# XCore registers
-
 XCORE_REG_INVALID = 0
 XCORE_REG_CP = 1
 XCORE_REG_DP = 2
@@ -26,8 +22,6 @@ XCORE_REG_R8 = 13
 XCORE_REG_R9 = 14
 XCORE_REG_R10 = 15
 XCORE_REG_R11 = 16
-
-# pseudo registers
 XCORE_REG_PC = 17
 XCORE_REG_SCP = 18
 XCORE_REG_SSR = 19
@@ -39,8 +33,6 @@ XCORE_REG_KSP = 24
 XCORE_REG_ID = 25
 XCORE_REG_ENDING = 26
 
-# XCore instruction
-
 XCORE_INS_INVALID = 0
 XCORE_INS_ADD = 1
 XCORE_INS_ANDNOT = 2
@@ -164,10 +156,6 @@ XCORE_INS_XOR = 119
 XCORE_INS_ZEXT = 120
 XCORE_INS_ENDING = 121
 
-# Group of XCore instructions
-
 XCORE_GRP_INVALID = 0
-
-# Generic groups
 XCORE_GRP_JUMP = 1
 XCORE_GRP_ENDING = 2
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/Makefile 4.0.2-3/bindings/python/Makefile
--- 4.0.1+really+3.0.5-2/bindings/python/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -1,60 +1,63 @@
+PYTHON2 = python
+PYTHON3 = python3
+
 .PHONY: gen_const install install3 install_cython sdist sdist3 bdist bdist3 clean check
 
 gen_const:
-	cd .. && python const_generator.py python
+	cd .. && $(PYTHON2) const_generator.py python
 
 install:
 	rm -rf src/
 	if test -n "${DESTDIR}"; then \
-		python setup.py build install --root="${DESTDIR}"; \
+		$(PYTHON2) setup.py build install --root="${DESTDIR}"; \
 	else \
-		python setup.py build install; \
+		$(PYTHON2) setup.py build install; \
 	fi
 
 install3:
 	rm -rf src/
 	if test -n "${DESTDIR}"; then \
-		python3 setup.py build install --root="${DESTDIR}"; \
+		$(PYTHON3) setup.py build install --root="${DESTDIR}"; \
 	else \
-		python3 setup.py build install; \
+		$(PYTHON3) setup.py build install; \
 	fi
 
 # NOTE: Newer cython can be installed by: sudo pip install --upgrade cython
 install_cython:
 	rm -rf src/
 	if test -n "${DESTDIR}"; then \
-		python setup_cython.py build install --root="${DESTDIR}"; \
+		$(PYTHON2) setup_cython.py build install --root="${DESTDIR}"; \
 	else \
-		python setup_cython.py build install; \
+		$(PYTHON2) setup_cython.py build install; \
 	fi
 
 install3_cython:
 	rm -rf src/
 	if test -n "${DESTDIR}"; then \
-		python3 setup_cython.py build install --root="${DESTDIR}"; \
+		$(PYTHON3) setup_cython.py build install --root="${DESTDIR}"; \
 	else \
-		python3 setup_cython.py build install; \
+		$(PYTHON3) setup_cython.py build install; \
 	fi
 
 # build & upload PyPi package with source code of the core
 sdist:
 	rm -rf src/ dist/
-	python setup.py sdist register upload
+	$(PYTHON2) setup.py sdist register upload
 
 # build & upload PyPi package with source code of the core
 sdist3:
 	rm -rf src/ dist/
-	python3 setup.py sdist register upload
+	$(PYTHON3) setup.py sdist register upload
 
 # build & upload PyPi package with prebuilt core
 bdist:
 	rm -rf src/ dist/
-	python setup.py bdist_wheel register upload
+	$(PYTHON2) setup.py bdist_wheel register upload
 
 # build & upload PyPi package with prebuilt core
 bdist3:
 	rm -rf src/ dist/
-	python3 setup.py bdist_wheel register upload
+	$(PYTHON3) setup.py bdist_wheel register upload
 
 clean:
 	rm -rf build/ src/ dist/ *.egg-info
@@ -62,13 +65,16 @@ clean:
 	rm -f pyx/*.c pyx/__init__.py
 	for f in capstone/*.py; do rm -f pyx/$$(basename $$f)x; done
 	rm -f MANIFEST
+	rm -f *.pyc capstone/*.pyc
+
 
+TESTS = test_basic.py test_detail.py test_arm.py test_arm64.py test_m68k.py test_mips.py
+TESTS += test_ppc.py test_sparc.py test_systemz.py test_x86.py test_xcore.py test_tms320c64x.py test_m680x.py test_skipdata.py
 
-TESTS = test_basic.py test_detail.py test_arm.py test_arm64.py test_mips.py test_ppc.py
-TESTS += test_sparc.py test_systemz.py test_x86.py test_xcore.py test_skipdata.py
 check:
 	@for t in $(TESTS); do \
 		echo Check $$t ... ; \
-		./$$t > /dev/null && echo OK || echo FAILED; \
+		./$$t > /dev/null; \
+		if [ $$? -eq 0 ]; then echo OK; else echo FAILED; exit 1; fi \
 	done
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/pyx/ccapstone.pxd 4.0.2-3/bindings/python/pyx/ccapstone.pxd
--- 4.0.1+really+3.0.5-2/bindings/python/pyx/ccapstone.pxd	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/pyx/ccapstone.pxd	2020-05-08 10:03:30.000000000 +0000
@@ -65,5 +65,8 @@ cdef extern from "<capstone/capstone.h>"
 
     int cs_op_count(csh handle, cs_insn *insn, unsigned int op_type)
 
+    cs_err cs_regs_access(csh handle, cs_insn *insn, uint16_t *regs_read, uint8_t *read_count, uint16_t *regs_write, uint8_t *write_count)
+
     int cs_op_index(csh handle, cs_insn *insn, unsigned int op_type,
         unsigned int position)
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/pyx/ccapstone.pyx 4.0.2-3/bindings/python/pyx/ccapstone.pyx
--- 4.0.1+really+3.0.5-2/bindings/python/pyx/ccapstone.pyx	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/pyx/ccapstone.pyx	2020-05-08 10:03:30.000000000 +0000
@@ -2,7 +2,7 @@
 
 cimport pyx.ccapstone as cc
 import capstone, ctypes
-from . import arm, x86, mips, ppc, arm64, sparc, systemz, xcore, CsError
+from . import arm, x86, mips, ppc, arm64, sparc, systemz, xcore, tms320c64x, CsError
 
 _diet = cc.cs_support(capstone.CS_SUPPORT_DIET)
 
@@ -32,8 +32,8 @@ class CsDetail(object):
             (self.prefix, self.opcode, self.rex, self.addr_size, \
                 self.modrm, self.sib, self.disp, \
                 self.sib_index, self.sib_scale, self.sib_base, \
-                self.sse_cc, self.avx_cc, self.avx_sae, self.avx_rm, \
-                self.operands) = x86.get_arch_info(detail.arch.x86)
+                self.xop_cc, self.sse_cc, self.avx_cc, self.avx_sae, self.avx_rm, \
+                self.eflags, self.operands) = x86.get_arch_info(detail.arch.x86)
         elif arch == capstone.CS_ARCH_MIPS:
                 self.operands = mips.get_arch_info(detail.arch.mips)
         elif arch == capstone.CS_ARCH_PPC:
@@ -45,6 +45,8 @@ class CsDetail(object):
             (self.cc, self.operands) = systemz.get_arch_info(detail.arch.sysz)
         elif arch == capstone.CS_ARCH_XCORE:
                 self.operands = xcore.get_arch_info(detail.arch.xcore)
+        elif arch == capstone.CS_ARCH_TMS320C64X:
+                (self.condition, self.funit, self.parallel, self.operands) = tms320c64x.get_arch_info(self._detail.arch.tms320c64x)
 
 
 cdef class CsInsn(object):
@@ -241,6 +243,27 @@ cdef class CsInsn(object):
             if c == position:
                 return op
 
+    # Return (list-of-registers-read, list-of-registers-modified) by this instructions.
+    # This includes all the implicit & explicit registers.
+    def regs_access(self):
+        if self._raw.id == 0:
+            raise CsError(capstone.CS_ERR_SKIPDATA)
+
+        cdef cc.uint16_t regs_read[64], regs_write[64]
+        cdef cc.uint8_t read_count, write_count
+
+        status = cc.cs_regs_access(self._cs.csh, &self._raw, regs_read, &read_count, regs_write, &write_count)
+        if status != capstone.CS_ERR_OK:
+            raise CsError(status)
+
+        r1 = []
+        for i from 0 <= i < read_count: r1.append(regs_read[i])
+
+        w1 = []
+        for i from 0 <= i < write_count: w1.append(regs_write[i])
+
+        return (r1, w1)
+
 
 cdef class Cs(object):
 
@@ -318,7 +341,7 @@ def debug():
     archs = { "arm": capstone.CS_ARCH_ARM, "arm64": capstone.CS_ARCH_ARM64, \
         "mips": capstone.CS_ARCH_MIPS, "ppc": capstone.CS_ARCH_PPC, \
         "sparc": capstone.CS_ARCH_SPARC, "sysz": capstone.CS_ARCH_SYSZ, \
-		"xcore": capstone.CS_ARCH_XCORE }
+		"xcore": capstone.CS_ARCH_XCORE, "tms320c64x": capstone.CS_ARCH_TMS320C64X }
 
     all_archs = ""
     keys = archs.keys()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/setup_cython.py 4.0.2-3/bindings/python/setup_cython.py
--- 4.0.1+really+3.0.5-2/bindings/python/setup_cython.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/setup_cython.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,15 +1,15 @@
 import os
 import sys
 import shutil
+
 from distutils import log
 from distutils.core import setup
 from distutils.extension import Extension
 from distutils.command.build import build
 from Cython.Distutils import build_ext
 
-
 SYSTEM = sys.platform
-VERSION = '3.0.5'
+VERSION = '4.0.0'
 
 # adapted from commit e504b81 of Nguyen Tan Cong
 # Reference: https://docs.python.org/2/library/platform.html#cross-platform
@@ -25,19 +25,23 @@ PYPACKAGE_DIR = os.path.join(ROOT_DIR, '
 CYPACKAGE_DIR = os.path.join(ROOT_DIR, 'pyx')
 
 if SYSTEM == 'darwin':
+    VERSIONED_LIBRARY_FILE = "libcapstone.4.dylib"
     LIBRARY_FILE = "libcapstone.dylib"
     STATIC_LIBRARY_FILE = 'libcapstone.a'
 elif SYSTEM in ('win32', 'cygwin'):
+    VERSIONED_LIBRARY_FILE = "capstone.dll"
     LIBRARY_FILE = "capstone.dll"
     STATIC_LIBRARY_FILE = None
 else:
+    VERSIONED_LIBRARY_FILE = "libcapstone.so.4"
     LIBRARY_FILE = "libcapstone.so"
     STATIC_LIBRARY_FILE = 'libcapstone.a'
 
 compile_args = ['-O3', '-fomit-frame-pointer', '-I' + HEADERS_DIR]
 link_args = ['-L' + LIBS_DIR]
 
-ext_module_names = ['arm', 'arm_const', 'arm64', 'arm64_const', 'mips', 'mips_const', 'ppc', 'ppc_const', 'x86', 'x86_const', 'sparc', 'sparc_const', 'systemz', 'sysz_const', 'xcore', 'xcore_const']
+ext_module_names = ['arm', 'arm_const', 'arm64', 'arm64_const', 'm68k', 'm68k_const', 'm680x', 'm680x_const', 'mips', 'mips_const', 'ppc', 'ppc_const', 'x86', 'x86_const', 'sparc', 'sparc_const', 'systemz', 'sysz_const', 'xcore', 'xcore_const', 'tms320c64x', 'tms320c64x_const', 'evm', 'evm_const' ]
+
 ext_modules = [Extension("capstone.ccapstone",
                          ["pyx/ccapstone.pyx"],
                          libraries=["capstone"],
@@ -76,7 +80,7 @@ def build_libraries():
     os.mkdir(LIBS_DIR)
 
     # copy public headers
-    shutil.copytree(os.path.join(BUILD_DIR, 'include'), os.path.join(HEADERS_DIR, 'capstone'))
+    shutil.copytree(os.path.join(BUILD_DIR, 'include', 'capstone'), os.path.join(HEADERS_DIR, 'capstone'))
 
     os.chdir(BUILD_DIR)
 
@@ -93,7 +97,7 @@ def build_libraries():
     else:   # Unix incl. cygwin
         os.system("CAPSTONE_BUILD_CORE_ONLY=yes bash ./make.sh")
 
-    shutil.copy(LIBRARY_FILE, LIBS_DIR)
+    shutil.copy(VERSIONED_LIBRARY_FILE, os.path.join(LIBS_DIR, LIBRARY_FILE))
     if STATIC_LIBRARY_FILE: shutil.copy(STATIC_LIBRARY_FILE, LIBS_DIR)
     os.chdir(cwd)
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/setup.py 4.0.2-3/bindings/python/setup.py
--- 4.0.1+really+3.0.5-2/bindings/python/setup.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/setup.py	2020-05-08 10:03:30.000000000 +0000
@@ -57,12 +57,15 @@ else:
     VERSION = '{PKG_MAJOR}.{PKG_MINOR}.{PKG_EXTRA}'.format(**VERSION_DATA)
 
 if SYSTEM == 'darwin':
+    VERSIONED_LIBRARY_FILE = "libcapstone.{PKG_MAJOR}.dylib".format(**VERSION_DATA)
     LIBRARY_FILE = "libcapstone.dylib"
     STATIC_LIBRARY_FILE = 'libcapstone.a'
 elif SYSTEM in ('win32', 'cygwin'):
+    VERSIONED_LIBRARY_FILE = "capstone.dll"
     LIBRARY_FILE = "capstone.dll"
     STATIC_LIBRARY_FILE = None
 else:
+    VERSIONED_LIBRARY_FILE = "libcapstone.so.{PKG_MAJOR}".format(**VERSION_DATA)
     LIBRARY_FILE = "libcapstone.so"
     STATIC_LIBRARY_FILE = 'libcapstone.a'
 
@@ -115,7 +118,7 @@ def build_libraries():
     os.mkdir(LIBS_DIR)
 
     # copy public headers
-    shutil.copytree(os.path.join(BUILD_DIR, 'include'), os.path.join(HEADERS_DIR, 'capstone'))
+    shutil.copytree(os.path.join(BUILD_DIR, 'include', 'capstone'), os.path.join(HEADERS_DIR, 'capstone'))
 
     # if prebuilt libraries are available, use those and cancel build
     if os.path.exists(os.path.join(ROOT_DIR, 'prebuilt', LIBRARY_FILE)) and \
@@ -140,7 +143,8 @@ def build_libraries():
     else:   # Unix incl. cygwin
         os.system("CAPSTONE_BUILD_CORE_ONLY=yes bash ./make.sh")
 
-    shutil.copy(LIBRARY_FILE, LIBS_DIR)
+    shutil.copy(VERSIONED_LIBRARY_FILE, os.path.join(LIBS_DIR, LIBRARY_FILE))
+
     # only copy static library if it exists (it's a build option)
     if STATIC_LIBRARY_FILE and os.path.exists(STATIC_LIBRARY_FILE):
         shutil.copy(STATIC_LIBRARY_FILE, LIBS_DIR)
@@ -212,9 +216,11 @@ setup(
     author_email='aquynh@gmail.com',
     description='Capstone disassembly engine',
     url='http://www.capstone-engine.org',
+    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*',
     classifiers=[
         'License :: OSI Approved :: BSD License',
         'Programming Language :: Python :: 2',
+        'Programming Language :: Python :: 2.7',
         'Programming Language :: Python :: 3',
     ],
     requires=['ctypes'],
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_all.py 4.0.2-3/bindings/python/test_all.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_all.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_all.py	2020-05-08 10:03:30.000000000 +0000
@@ -1,17 +1,21 @@
 #!/usr/bin/env python
 
-import test_basic, test_arm, test_arm64, test_detail, test_lite, test_mips, test_ppc, \
-    test_x86, test_skipdata, test_sparc, test_systemz
-
+import test_basic, test_arm, test_arm64, test_detail, test_lite, test_m68k, test_mips, \
+    test_ppc, test_x86, test_skipdata, test_sparc, test_systemz, test_tms320c64x, test_customized_mnem, \
+    test_m680x
 
 test_basic.test_class()
 test_arm.test_class()
 test_arm64.test_class()
 test_detail.test_class()
 test_lite.test_class()
+test_m68k.test_class()
 test_mips.test_class()
 test_ppc.test_class()
 test_sparc.test_class()
 test_systemz.test_class()
 test_x86.test_class()
+test_tms320c64x.test_class()
+test_m680x.test_class()
 test_skipdata.test_class()
+test_customized_mnem.test()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_arm64.py 4.0.2-3/bindings/python/test_arm64.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_arm64.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_arm64.py	2020-05-08 10:03:30.000000000 +0000
@@ -75,6 +75,14 @@ def print_insn_detail(insn):
             if i.vector_index != -1:
                 print("\t\t\tVector Index: %u" % i.vector_index)
 
+            if i.access == CS_AC_READ:
+                print("\t\toperands[%u].access: READ\n" % (c))
+            elif i.access == CS_AC_WRITE:
+                print("\t\toperands[%u].access: WRITE\n" % (c))
+            elif i.access == CS_AC_READ | CS_AC_WRITE:
+                print("\t\toperands[%u].access: READ | WRITE\n" % (c))
+
+
     if insn.writeback:
         print("\tWrite-back: True")
     if not insn.cc in [ARM64_CC_AL, ARM64_CC_INVALID]:
@@ -82,6 +90,20 @@ def print_insn_detail(insn):
     if insn.update_flags:
         print("\tUpdate-flags: True")
 
+    (regs_read, regs_write) = insn.regs_access()
+
+    if len(regs_read) > 0:
+        print("\tRegisters read:", end="")
+        for r in regs_read:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
+    if len(regs_write) > 0:
+        print("\tRegisters modified:", end="")
+        for r in regs_write:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
 
 # ## Test class Cs
 def test_class():
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_arm.py 4.0.2-3/bindings/python/test_arm.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_arm.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_arm.py	2020-05-08 10:03:30.000000000 +0000
@@ -5,12 +5,12 @@
 from __future__ import print_function
 from capstone import *
 from capstone.arm import *
-from xprint import to_hex, to_x, to_x_32
+from xprint import to_hex, to_x_32
 
 
-ARM_CODE = b"\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3\x00\x02\x01\xf1\x05\x40\xd0\xe8\xf4\x80\x00\x00"
+ARM_CODE = b"\x86\x48\x60\xf4\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3\x00\x02\x01\xf1\x05\x40\xd0\xe8\xf4\x80\x00\x00"
 ARM_CODE2 = b"\xd1\xe8\x00\xf0\xf0\x24\x04\x07\x1f\x3c\xf2\xc0\x00\x00\x4f\xf0\x00\x01\x46\x6c"
-THUMB_CODE = b"\x70\x47\x00\xf0\x10\xe8\xeb\x46\x83\xb0\xc9\x68\x1f\xb1\x30\xbf\xaf\xf3\x20\x84"
+THUMB_CODE = b"\x70\x47\x00\xf0\x10\xe8\xeb\x46\x83\xb0\xc9\x68\x1f\xb1\x30\xbf\xaf\xf3\x20\x84\x52\xf8\x23\xf0"
 THUMB_CODE2 = b"\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0\x18\xbf\xad\xbf\xf3\xff\x0b\x0c\x86\xf3\x00\x89\x80\xf3\x00\x8c\x4f\xfa\x99\xf6\xd0\xff\xa2\x01"
 THUMB_MCLASS = b"\xef\xf3\x02\x80"
 ARMV8 = b"\xe0\x3b\xb2\xee\x42\x00\x01\xe1\x51\xf0\x7f\xf5"
@@ -20,8 +20,8 @@ all_tests = (
         (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "Thumb", None),
         (CS_ARCH_ARM, CS_MODE_THUMB, ARM_CODE2, "Thumb-mixed", None),
         (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "Thumb-2 & register named with numbers", CS_OPT_SYNTAX_NOREGNAME),
-        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", 0),
+        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", None),
+        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", None),
         )
 
 
@@ -68,6 +68,19 @@ def print_insn_detail(insn):
                 if i.mem.disp != 0:
                     print("\t\t\toperands[%u].mem.disp: 0x%s" \
                         % (c, to_x_32(i.mem.disp)))
+                if i.mem.lshift != 0:
+                    print("\t\t\toperands[%u].mem.lshift: 0x%s" \
+                        % (c, to_x_32(i.mem.lshift)))
+
+            if i.neon_lane != -1:
+                print("\t\toperands[%u].neon_lane = %u" % (c, i.neon_lane))
+
+            if i.access == CS_AC_READ:
+                print("\t\toperands[%u].access: READ\n" % (c))
+            elif i.access == CS_AC_WRITE:
+                print("\t\toperands[%u].access: WRITE\n" % (c))
+            elif i.access == CS_AC_READ | CS_AC_WRITE:
+                print("\t\toperands[%u].access: READ | WRITE\n" % (c))
 
             if i.shift.type != ARM_SFT_INVALID and i.shift.value:
                 print("\t\t\tShift: %u = %u" \
@@ -98,6 +111,20 @@ def print_insn_detail(insn):
     if insn.mem_barrier:
         print("\tMemory-barrier: %u" %(insn.mem_barrier))
 
+    (regs_read, regs_write) = insn.regs_access()
+
+    if len(regs_read) > 0:
+        print("\tRegisters read:", end="")
+        for r in regs_read:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
+    if len(regs_write) > 0:
+        print("\tRegisters modified:", end="")
+        for r in regs_write:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
 
 # ## Test class Cs
 def test_class():
@@ -110,13 +137,12 @@ def test_class():
 
         try:
             md = Cs(arch, mode)
-            if syntax:
+            if syntax is not None:
                 md.syntax = syntax
             md.detail = True
             for insn in md.disasm(code, 0x80001000):
                 print_insn_detail(insn)
                 print ()
-            print ("0x%x:\n" % (insn.address + insn.size))
         except CsError as e:
             print("ERROR: %s" % e)
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_basic.py 4.0.2-3/bindings/python/test_basic.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_basic.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_basic.py	2020-05-08 10:03:30.000000000 +0000
@@ -6,13 +6,13 @@ from capstone import *
 import binascii
 import sys
 
-from xprint import to_hex, to_x, to_x_32
+from xprint import to_hex
 
 _python3 = sys.version_info.major == 3
 
 
 X86_CODE16 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-X86_CODE32 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
+X86_CODE32 = b"\xba\xcd\xab\x00\x00\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
 X86_CODE64 = b"\x55\x48\x8b\x05\xb8\x13\x00\x00"
 ARM_CODE = b"\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3"
 ARM_CODE2 = b"\x10\xf1\x10\xe7\x11\xf2\x31\xe7\xdc\xa1\x2e\xf3\xe8\x4e\x62\xf3"
@@ -26,33 +26,42 @@ MIPS_32R6M = b"\x00\x07\x00\x07\x00\x11\
 MIPS_32R6 = b"\xec\x80\x00\x19\x7c\x43\x22\xa0"
 ARM64_CODE = b"\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9"
 PPC_CODE = b"\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21"
+PPC_CODE2 = b"\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
 SPARC_CODE = b"\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
 SPARCV9_CODE = b"\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
 SYSZ_CODE = b"\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
 XCORE_CODE = b"\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+M68K_CODE = b"\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28\x4E\xB9\x00\x00\x00\x12\x4E\x75"
+TMS320C64X_CODE = b"\x01\xac\x88\x40\x81\xac\x88\x43\x00\x00\x00\x00\x02\x90\x32\x96\x02\x80\x46\x9e\x05\x3c\x83\xe6\x0b\x0c\x8b\x24"
+M680X_CODE = b"\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
 
 all_tests = (
-        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", 0),
+        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", None),
         (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32bit (ATT syntax)", CS_OPT_SYNTAX_ATT),
-        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", 0),
-        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN, MIPS_32R6M, "MIPS-32R6 | Micro (Big-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN, MIPS_32R6, "MIPS-32R6 (Big-endian)", 0),
-        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", 0),
-        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", 0),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", None),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (MASM syntax)", CS_OPT_SYNTAX_MASM),
+        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", None),
+        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN, MIPS_32R6M, "MIPS-32R6 | Micro (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN, MIPS_32R6, "MIPS-32R6 (Big-endian)", None),
+        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", None),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", None),
         (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64, print register with number only", CS_OPT_SYNTAX_NOREGNAME),
-        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, SPARC_CODE, "Sparc", 0),
-        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN + CS_MODE_V9, SPARCV9_CODE, "SparcV9", 0),
-        (CS_ARCH_SYSZ, 0, SYSZ_CODE, "SystemZ", 0),
-        (CS_ARCH_XCORE, 0, XCORE_CODE, "XCore", 0),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN + CS_MODE_QPX, PPC_CODE2, "PPC-64 + QPX", CS_OPT_SYNTAX_NOREGNAME),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, SPARC_CODE, "Sparc", None),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN + CS_MODE_V9, SPARCV9_CODE, "SparcV9", None),
+        (CS_ARCH_SYSZ, 0, SYSZ_CODE, "SystemZ", None),
+        (CS_ARCH_XCORE, 0, XCORE_CODE, "XCore", None),
+        (CS_ARCH_M68K, CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040, M68K_CODE, "M68K (68040)", None),
+        (CS_ARCH_TMS320C64X, 0, TMS320C64X_CODE, "TMS320C64x", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6809, M680X_CODE, "M680X_M6809", None),
 )
 
 # ## Test cs_disasm_quick()
@@ -78,7 +87,7 @@ def test_class():
         try:
             md = Cs(arch, mode)
 
-            if syntax != 0:
+            if syntax is not None:
                 md.syntax = syntax
 
             for insn in md.disasm(code, 0x1000):
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_customized_mnem.py 4.0.2-3/bindings/python/test_customized_mnem.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_customized_mnem.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/test_customized_mnem.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,40 @@
+#!/usr/bin/env python
+
+# Capstone Python bindings, by Nguyen Anh Quynnh <aquynh@gmail.com>
+
+from __future__ import print_function
+from capstone import *
+from capstone.x86 import *
+from xprint import to_hex
+
+
+X86_CODE32 = b"\x75\x01"
+
+
+def print_insn(md, code):
+    print("%s\t" % to_hex(code, False), end="")
+
+    for insn in md.disasm(code, 0x1000):
+        print("\t%s\t%s\n" % (insn.mnemonic, insn.op_str))
+
+
+def test():
+    try:
+        md = Cs(CS_ARCH_X86, CS_MODE_32)
+
+        print("Disassemble X86 code with default instruction mnemonic")
+        print_insn(md, X86_CODE32)
+
+        print("Now customize engine to change mnemonic from 'JNE' to 'JNZ'")
+        md.mnemonic_setup(X86_INS_JNE, "jnz")
+        print_insn(md, X86_CODE32)
+
+        print("Reset engine to use the default mnemonic")
+        md.mnemonic_setup(X86_INS_JNE, None)
+        print_insn(md, X86_CODE32)
+    except CsError as e:
+        print("ERROR: %s" % e)
+
+
+if __name__ == '__main__':
+    test()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_detail.py 4.0.2-3/bindings/python/test_detail.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_detail.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_detail.py	2020-05-08 10:03:30.000000000 +0000
@@ -20,32 +20,38 @@ MIPS_32R6M = b"\x00\x07\x00\x07\x00\x11\
 MIPS_32R6 = b"\xec\x80\x00\x19\x7c\x43\x22\xa0"
 ARM64_CODE = b"\x09\x00\x38\xd5\xbf\x40\x00\xd5\x0c\x05\x13\xd5\x20\x50\x02\x0e\x20\xe4\x3d\x0f\x00\x18\xa0\x5f\xa2\x00\xae\x9e\x9f\x37\x03\xd5\xbf\x33\x03\xd5\xdf\x3f\x03\xd5\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x20\x04\x81\xda\x20\x08\x02\x8b\x10\x5b\xe8\x3c"
 PPC_CODE = b"\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21"
+PPC_CODE2 = b"\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
 SPARC_CODE = b"\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
 SPARCV9_CODE = b"\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
 SYSZ_CODE = b"\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
 XCORE_CODE = b"\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+M68K_CODE = b"\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28\x4E\xB9\x00\x00\x00\x12\x4E\x75"
+M680X_CODE = b"\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
 
 all_tests = (
-        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", 0),
+        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", None),
         (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32bit (ATT syntax)", CS_OPT_SYNTAX_ATT),
-        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", 0),
-        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", 0),
-        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN, MIPS_32R6M, "MIPS-32R6 | Micro (Big-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN, MIPS_32R6, "MIPS-32R6 (Big-endian)", 0),
-        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", 0),
-        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, SPARC_CODE, "Sparc", 0),
-        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN + CS_MODE_V9, SPARCV9_CODE, "SparcV9", 0),
-        (CS_ARCH_SYSZ, 0, SYSZ_CODE, "SystemZ", 0),
-        (CS_ARCH_XCORE, 0, XCORE_CODE, "XCore", 0),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", None),
+        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", None),
+        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", None),
+        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN, MIPS_32R6M, "MIPS-32R6 | Micro (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN, MIPS_32R6, "MIPS-32R6 (Big-endian)", None),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", None),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN + CS_MODE_QPX, PPC_CODE2, "PPC-64 + QPX", None),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, SPARC_CODE, "Sparc", None),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN + CS_MODE_V9, SPARCV9_CODE, "SparcV9", None),
+        (CS_ARCH_SYSZ, 0, SYSZ_CODE, "SystemZ", None),
+        (CS_ARCH_XCORE, 0, XCORE_CODE, "XCore", None),
+        (CS_ARCH_M68K, CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040, M68K_CODE, "M68K (68040)", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6809, M680X_CODE, "M680X_M6809", None),
 )
 
 
@@ -88,7 +94,7 @@ def test_class():
             md = Cs(arch, mode)
             md.detail = True
 
-            if syntax != 0:
+            if syntax is not None:
                 md.syntax = syntax
 
             for insn in md.disasm(code, 0x1000):
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_evm.py 4.0.2-3/bindings/python/test_evm.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_evm.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/test_evm.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,23 @@
+#!/usr/bin/env python
+
+# Capstone Python bindings, by Nguyen Anh Quynnh <aquynh@gmail.com>
+
+from __future__ import print_function
+from capstone import *
+
+cs = Cs(CS_ARCH_EVM, 0)
+cs.detail = True
+
+for i in cs.disasm("\x60\x61\x55", 0x100):
+    print("0x%x:\t%s\t%s" %(i.address, i.mnemonic, i.op_str))
+    if i.pop > 0:
+        print("\tPop:     %u" %i.pop)
+    if i.push > 0:
+        print("\tPush:    %u" %i.push)
+    if i.fee > 0:
+        print("\tGas fee: %u" %i.fee)
+    if len(i.groups) > 0:
+        print("\tThis instruction belongs to groups: ", end=''),
+        for m in i.groups:
+            print("%s " % i.group_name(m), end=''),
+        print()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_lite.py 4.0.2-3/bindings/python/test_lite.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_lite.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_lite.py	2020-05-08 10:03:30.000000000 +0000
@@ -3,36 +3,58 @@
 # Capstone Python bindings, by Nguyen Anh Quynnh <aquynh@gmail.com>
 from __future__ import print_function
 from capstone import *
-import binascii
 from xprint import to_hex
 
 
 X86_CODE16 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-X86_CODE32 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
+X86_CODE32 = b"\xba\xcd\xab\x00\x00\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
 X86_CODE64 = b"\x55\x48\x8b\x05\xb8\x13\x00\x00"
 ARM_CODE = b"\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3"
 ARM_CODE2 = b"\x10\xf1\x10\xe7\x11\xf2\x31\xe7\xdc\xa1\x2e\xf3\xe8\x4e\x62\xf3"
 THUMB_CODE = b"\x70\x47\xeb\x46\x83\xb0\xc9\x68"
 THUMB_CODE2 = b"\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0"
+THUMB_MCLASS = b"\xef\xf3\x02\x80"
+ARMV8 = b"\xe0\x3b\xb2\xee\x42\x00\x01\xe1\x51\xf0\x7f\xf5"
 MIPS_CODE = b"\x0C\x10\x00\x97\x00\x00\x00\x00\x24\x02\x00\x0c\x8f\xa2\x00\x00\x34\x21\x34\x56"
 MIPS_CODE2 = b"\x56\x34\x21\x34\xc2\x17\x01\x00"
+MIPS_32R6M = b"\x00\x07\x00\x07\x00\x11\x93\x7c\x01\x8c\x8b\x7c\x00\xc7\x48\xd0"
+MIPS_32R6 = b"\xec\x80\x00\x19\x7c\x43\x22\xa0"
 ARM64_CODE = b"\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9"
 PPC_CODE = b"\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21"
+PPC_CODE2 = b"\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
+SPARC_CODE = b"\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
+SPARCV9_CODE = b"\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
+SYSZ_CODE = b"\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
+XCORE_CODE = b"\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+M68K_CODE = b"\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28\x4E\xB9\x00\x00\x00\x12\x4E\x75"
+M680X_CODE = b"\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
 
 all_tests = (
-        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", 0),
+        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", None),
         (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32bit (ATT syntax)", CS_OPT_SYNTAX_ATT),
-        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", 0),
-        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", 0),
-        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", 0),
-        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", 0),
-        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", 0),
-        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", 0),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", None),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (MASM syntax)", CS_OPT_SYNTAX_MASM),
+        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE, "ARM", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE2, "THUMB-2", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, ARM_CODE2, "ARM: Cortex-A15 + NEON", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB, THUMB_CODE, "THUMB", None),
+        (CS_ARCH_ARM, CS_MODE_THUMB + CS_MODE_MCLASS, THUMB_MCLASS, "Thumb-MClass", None),
+        (CS_ARCH_ARM, CS_MODE_ARM + CS_MODE_V8, ARMV8, "Arm-V8", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN, MIPS_CODE, "MIPS-32 (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN, MIPS_CODE2, "MIPS-64-EL (Little-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN, MIPS_32R6M, "MIPS-32R6 | Micro (Big-endian)", None),
+        (CS_ARCH_MIPS, CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN, MIPS_32R6, "MIPS-32R6 (Big-endian)", None),
+        (CS_ARCH_ARM64, CS_MODE_ARM, ARM64_CODE, "ARM-64", None),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64", None),
         (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64, print register with number only", CS_OPT_SYNTAX_NOREGNAME),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN + CS_MODE_QPX, PPC_CODE2, "PPC-64 + QPX", CS_OPT_SYNTAX_NOREGNAME),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, SPARC_CODE, "Sparc", None),
+        (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN + CS_MODE_V9, SPARCV9_CODE, "SparcV9", None),
+        (CS_ARCH_SYSZ, 0, SYSZ_CODE, "SystemZ", None),
+        (CS_ARCH_XCORE, 0, XCORE_CODE, "XCore", None),
+        (CS_ARCH_M68K, CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040, M68K_CODE, "M68K (68040)", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6809, M680X_CODE, "M680X_M6809", None),
         )
 
 
@@ -59,7 +81,7 @@ def test_class():
         try:
             md = Cs(arch, mode)
 
-            if syntax != 0:
+            if syntax is not None:
                 md.syntax = syntax
 
             for (addr, size, mnemonic, op_str) in md.disasm_lite(code, 0x1000):
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_m680x.py 4.0.2-3/bindings/python/test_m680x.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_m680x.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/test_m680x.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,159 @@
+#!/usr/bin/env python
+
+# Capstone Python bindings, by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net>
+
+from __future__ import print_function
+import sys
+from capstone import *
+from capstone.m680x import *
+_python3 = sys.version_info.major == 3
+
+
+s_access = (
+	"UNCHANGED", "READ", "WRITE", "READ | WRITE",
+	)
+
+M6800_CODE = b"\x01\x09\x36\x64\x7f\x74\x10\x00\x90\x10\xA4\x10\xb6\x10\x00\x39"
+
+M6801_CODE = b"\x04\x05\x3c\x3d\x38\x93\x10\xec\x10\xed\x10\x39"
+M6805_CODE = b"\x04\x7f\x00\x17\x22\x28\x00\x2e\x00\x40\x42\x5a\x70\x8e\x97\x9c\xa0\x15\xad\x00\xc3\x10\x00\xda\x12\x34\xe5\x7f\xfe"
+M6808_CODE = b"\x31\x22\x00\x35\x22\x45\x10\x00\x4b\x00\x51\x10\x52\x5e\x22\x62\x65\x12\x34\x72\x84\x85\x86\x87\x8a\x8b\x8c\x94\x95\xa7\x10\xaf\x10\x9e\x60\x7f\x9e\x6b\x7f\x00\x9e\xd6\x10\x00\x9e\xe6\x7f"
+HCS08_CODE = b"\x32\x10\x00\x9e\xae\x9e\xce\x7f\x9e\xbe\x10\x00\x9e\xfe\x7f\x3e\x10\x00\x9e\xf3\x7f\x96\x10\x00\x9e\xff\x7f\x82"
+HD6301_CODE = b"\x6b\x10\x00\x71\x10\x00\x72\x10\x10\x39"
+M6809_CODE = b"\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39\xA6\x07\xA6\x27\xA6\x47\xA6\x67\xA6\x0F\xA6\x10\xA6\x80\xA6\x81\xA6\x82\xA6\x83\xA6\x84\xA6\x85\xA6\x86\xA6\x88\x7F\xA6\x88\x80\xA6\x89\x7F\xFF\xA6\x89\x80\x00\xA6\x8B\xA6\x8C\x10\xA6\x8D\x10\x00\xA6\x91\xA6\x93\xA6\x94\xA6\x95\xA6\x96\xA6\x98\x7F\xA6\x98\x80\xA6\x99\x7F\xFF\xA6\x99\x80\x00\xA6\x9B\xA6\x9C\x10\xA6\x9D\x10\x00\xA6\x9F\x10\x00"
+M6811_CODE = b"\x02\x03\x12\x7f\x10\x00\x13\x99\x08\x00\x14\x7f\x02\x15\x7f\x01\x1e\x7f\x20\x00\x8f\xcf\x18\x08\x18\x30\x18\x3c\x18\x67\x18\x8c\x10\x00\x18\x8f\x18\xce\x10\x00\x18\xff\x10\x00\x1a\xa3\x7f\x1a\xac\x1a\xee\x7f\x1a\xef\x7f\xcd\xac\x7f"
+CPU12_CODE = b"\x00\x04\x01\x00\x0c\x00\x80\x0e\x00\x80\x00\x11\x1e\x10\x00\x80\x00\x3b\x4a\x10\x00\x04\x4b\x01\x04\x4f\x7f\x80\x00\x8f\x10\x00\xb7\x52\xb7\xb1\xa6\x67\xa6\xfe\xa6\xf7\x18\x02\xe2\x30\x39\xe2\x10\x00\x18\x0c\x30\x39\x10\x00\x18\x11\x18\x12\x10\x00\x18\x19\x00\x18\x1e\x00\x18\x3e\x18\x3f\x00"
+HD6309_CODE = b"\x01\x10\x10\x62\x10\x10\x7b\x10\x10\x00\xcd\x49\x96\x02\xd2\x10\x30\x23\x10\x38\x10\x3b\x10\x53\x10\x5d\x11\x30\x43\x10\x11\x37\x25\x10\x11\x38\x12\x11\x39\x23\x11\x3b\x34\x11\x8e\x10\x00\x11\xaf\x10\x11\xab\x10\x11\xf6\x80\x00"
+
+all_tests = (
+        (CS_ARCH_M680X, CS_MODE_M680X_6301, HD6301_CODE, "M680X_HD6301", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6309, HD6309_CODE, "M680X_HD6309", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6800, M6800_CODE, "M680X_M6800", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6801, M6801_CODE, "M680X_M6801", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6805, M6805_CODE, "M680X_M68HC05", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6808, M6808_CODE, "M680X_M68HC08", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6809, M6809_CODE, "M680X_M6809", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_6811, M6811_CODE, "M680X_M68HC11", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_CPU12, CPU12_CODE, "M680X_CPU12", None),
+        (CS_ARCH_M680X, CS_MODE_M680X_HCS08, HCS08_CODE, "M680X_HCS08", None),
+        )
+
+# print hex dump from string all upper case
+def to_hex_uc(string):
+    if _python3:
+        return " ".join("0x%02x" % c for c in string)
+    else:
+        return " ".join("0x%02x" % ord(c) for c in string)
+
+# print short hex dump from byte array all upper case
+def to_hex_short_uc(byte_array):
+    return "".join("%02x" % b for b in byte_array)
+
+def print_insn_detail(insn):
+    # print address, mnemonic and operands
+    #print("0x%x:\t%s\t%s\t%s" % (insn.address, binascii.hexlify(bytearray(insn.bytes)), \
+    print("0x%04x: %s\t%s\t%s" % (insn.address, to_hex_short_uc(insn.bytes), \
+	insn.mnemonic, insn.op_str))
+
+    # "data" instruction generated by SKIPDATA option has no detail
+    if insn.id == 0:
+        return
+
+    if len(insn.operands) > 0:
+        print("\top_count: %u" % len(insn.operands))
+        c = 0
+        for i in insn.operands:
+            if i.type == M680X_OP_REGISTER:
+                comment = "";
+                if (((c == 0) and (insn.flags & M680X_FIRST_OP_IN_MNEM)) or
+                    ((c == 1) and (insn.flags & M680X_SECOND_OP_IN_MNEM))):
+                    comment = " (in mnemonic)";
+                print("\t\toperands[%u].type: REGISTER = %s%s" % (c,
+                    insn.reg_name(i.reg), comment))
+            if i.type == M680X_OP_CONSTANT:
+                print("\t\toperands[%u].type: CONSTANT = %u" % (c, i.const_val))
+            if i.type == M680X_OP_IMMEDIATE:
+                print("\t\toperands[%u].type: IMMEDIATE = #%d" % (c, i.imm))
+            if i.type == M680X_OP_DIRECT:
+                print("\t\toperands[%u].type: DIRECT = 0x%02x" % (c, i.direct_addr))
+            if i.type == M680X_OP_EXTENDED:
+                if i.ext.indirect:
+                    indirect = "INDIRECT"
+                else:
+                    indirect = ""
+                print("\t\toperands[%u].type: EXTENDED %s = 0x%04x" % (c, indirect, i.ext.address))
+            if i.type == M680X_OP_RELATIVE:
+                print("\t\toperands[%u].type: RELATIVE = 0x%04x" % (c, i.rel.address))
+            if i.type == M680X_OP_INDEXED:
+                if (i.idx.flags & M680X_IDX_INDIRECT):
+                    indirect = " INDIRECT"
+                else:
+                    indirect = ""
+                print("\t\toperands[%u].type: INDEXED%s" % (c, indirect))
+                if i.idx.base_reg != M680X_REG_INVALID:
+                    print("\t\t\tbase register: %s" % insn.reg_name(i.idx.base_reg))
+                if i.idx.offset_reg != M680X_REG_INVALID:
+                    print("\t\t\toffset register: %s" % insn.reg_name(i.idx.offset_reg))
+                if (i.idx.offset_bits != 0) and (i.idx.offset_reg == M680X_REG_INVALID) and (i.idx.inc_dec == 0):
+                    print("\t\t\toffset: %u" % i.idx.offset)
+                    if i.idx.base_reg == M680X_REG_PC:
+                        print("\t\t\toffset address: 0x%04x" % i.idx.offset_addr)
+                    print("\t\t\toffset bits: %u" % i.idx.offset_bits)
+                if i.idx.inc_dec != 0:
+                    if i.idx.flags & M680X_IDX_POST_INC_DEC:
+                       s_post_pre = "post"
+                    else:
+                       s_post_pre = "pre"
+                    if i.idx.inc_dec > 0:
+                        s_inc_dec = "increment"
+                    else:
+                        s_inc_dec = "decrement"
+                    print("\t\t\t%s %s: %d" %
+			(s_post_pre, s_inc_dec, abs(i.idx.inc_dec)))
+            if (i.size != 0):
+                print("\t\t\tsize: %d" % i.size)
+            if (i.access != CS_AC_INVALID):
+                print("\t\t\taccess: %s" % s_access[i.access])
+
+            c += 1
+
+    (regs_read, regs_write) = insn.regs_access()
+
+    if len(regs_read) > 0:
+        print("\tRegisters read:", end="")
+        for r in regs_read:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
+    if len(regs_write) > 0:
+        print("\tRegisters modified:", end="")
+        for r in regs_write:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
+    if len(insn.groups) > 0:
+         print("\tgroups_count: %u" % len(insn.groups))
+
+# ## Test class Cs
+def test_class():
+
+    for (arch, mode, code, comment, syntax) in all_tests:
+        print("*" * 20)
+        print("Platform: %s" % comment)
+        print("Code: %s" % to_hex_uc(code))
+        print("Disasm:")
+
+        try:
+            md = Cs(arch, mode)
+            if syntax is not None:
+                md.syntax = syntax
+            md.detail = True
+            for insn in md.disasm(code, 0x1000):
+                print_insn_detail(insn)
+                print ()
+        except CsError as e:
+            print("ERROR: %s" % e)
+
+
+if __name__ == '__main__':
+    test_class()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_m68k.py 4.0.2-3/bindings/python/test_m68k.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_m68k.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/test_m68k.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,120 @@
+#!/usr/bin/env python
+
+# Capstone Python bindings, by Nicolas PLANEL <nplanel@gmail.com>
+from __future__ import print_function
+from capstone import *
+from capstone.m68k import *
+from xprint import to_hex, to_x
+
+M68K_CODE = b"\x4c\x00\x54\x04\x48\xe7\xe0\x30\x4c\xdf\x0c\x07\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28\x4e\xb9\x00\x00\x00\x12\x4e\x75"
+
+all_tests = (
+        (CS_ARCH_M68K, CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040, M68K_CODE, "M68K"),
+)
+
+s_addressing_modes = {
+	0:  "<invalid mode>",
+
+	1:  "Register Direct - Data",
+	2:  "Register Direct - Address",
+
+	3:  "Register Indirect - Address",
+	4:  "Register Indirect - Address with Postincrement",
+	5:  "Register Indirect - Address with Predecrement",
+	6:  "Register Indirect - Address with Displacement",
+
+	7:  "Address Register Indirect With Index - 8-bit displacement",
+	8:  "Address Register Indirect With Index - Base displacement",
+
+	9:  "Memory indirect - Postindex",
+	10: "Memory indirect - Preindex",
+
+	11: "Program Counter Indirect - with Displacement",
+
+	12: "Program Counter Indirect with Index - with 8-Bit Displacement",
+	13: "Program Counter Indirect with Index - with Base Displacement",
+
+	14: "Program Counter Memory Indirect - Postindexed",
+	15: "Program Counter Memory Indirect - Preindexed",
+
+	16: "Absolute Data Addressing  - Short",
+	17: "Absolute Data Addressing  - Long",
+	18: "Immediate value",
+    
+    19: "Branch Displacement",
+}
+
+def print_read_write_regs(insn):
+    for m in insn.regs_read:
+        print("\treading from reg: %s" % insn.reg_name(m))
+
+    for m in insn.regs_write:
+        print("\twriting to reg:   %s" % insn.reg_name(m))
+
+def print_insn_detail(insn):
+    if len(insn.operands) > 0:
+        print("\top_count: %u" % (len(insn.operands)))
+        print("\tgroups_count: %u" % len(insn.groups))
+
+    print_read_write_regs(insn)
+
+    for i, op in enumerate(insn.operands):
+        if op.type == M68K_OP_REG:
+            print("\t\toperands[%u].type: REG = %s" % (i, insn.reg_name(op.reg)))
+        elif op.type == M68K_OP_IMM:
+            print("\t\toperands[%u].type: IMM = 0x%x" % (i, op.imm & 0xffffffff))
+        elif op.type == M68K_OP_MEM:
+            print("\t\toperands[%u].type: MEM" % (i))
+            if op.mem.base_reg != M68K_REG_INVALID:
+                print("\t\t\toperands[%u].mem.base: REG = %s" % (i, insn.reg_name(op.mem.base_reg)))
+            if op.mem.index_reg != M68K_REG_INVALID:
+                print("\t\t\toperands[%u].mem.index: REG = %s" % (i, insn.reg_name(op.mem.index_reg)))
+                mem_index_str = "w"
+                if op.mem.index_size > 0:
+                    mem_index_str = "l"
+                print("\t\t\toperands[%u].mem.index: size = %s" % (i, mem_index_str))
+            if op.mem.disp != 0:
+                print("\t\t\toperands[%u].mem.disp: 0x%x" % (i, op.mem.disp))
+            if op.mem.scale != 0:
+                print("\t\t\toperands[%u].mem.scale: %d" % (i, op.mem.scale))
+            print("\t\taddress mode: %s" % (s_addressing_modes[op.address_mode]))
+        elif op.type == M68K_OP_FP_SINGLE:
+            print("\t\toperands[%u].type: FP_SINGLE" % i)
+            print("\t\toperands[%u].simm: %f", i, op.simm)
+        elif op.type == M68K_OP_FP_DOUBLE:
+            print("\t\toperands[%u].type: FP_DOUBLE" % i)
+            print("\t\toperands[%u].dimm: %lf", i, op.dimm)
+        elif op.type == M68K_OP_BR_DISP:
+            print("\t\toperands[%u].br_disp.disp: 0x%x" % (i, op.br_disp.disp))
+            print("\t\toperands[%u].br_disp.disp_size: %d" % (i, op.br_disp.disp_size))
+    print()
+
+# ## Test class Cs
+def test_class():
+    address = 0x01000
+    for (arch, mode, code, comment) in all_tests:
+        print("*" * 16)
+        print("Platform: %s" % comment)
+        print("Code: %s " % to_hex(code))
+        print("Disasm:")
+
+        try:
+            md = Cs(arch, mode)
+            md.detail = True
+            last_address = 0
+            for insn in md.disasm(code, address):
+                last_address = insn.address + insn.size
+                print("0x%x:\t%s\t%s" % (insn.address, insn.mnemonic, insn.op_str))
+                print_insn_detail(insn)
+            print("0x%x:\n" % (last_address))
+
+        except CsError as e:
+            print("ERROR: %s" % e.__str__())
+
+if __name__ == '__main__':
+    test_class()
+
+
+
+
+
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_ppc.py 4.0.2-3/bindings/python/test_ppc.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_ppc.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_ppc.py	2020-05-08 10:03:30.000000000 +0000
@@ -4,12 +4,14 @@
 from __future__ import print_function
 from capstone import *
 from capstone.ppc import *
-from xprint import to_x, to_hex, to_x_32
+from xprint import to_hex, to_x_32
 
 PPC_CODE = b"\x43\x20\x0c\x07\x41\x56\xff\x17\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21\x40\x82\x00\x14"
+PPC_CODE2 = b"\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
 
 all_tests = (
         (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN, PPC_CODE, "PPC-64"),
+        (CS_ARCH_PPC, CS_MODE_BIG_ENDIAN + CS_MODE_QPX, PPC_CODE2, "PPC-64 + QPX"),
         )
 
 
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_skipdata.py 4.0.2-3/bindings/python/test_skipdata.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_skipdata.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_skipdata.py	2020-05-08 10:03:30.000000000 +0000
@@ -5,30 +5,18 @@
 from __future__ import print_function
 from capstone import *
 import binascii
-from xprint import to_x, to_hex, to_x_32
+from xprint import to_hex
 
 
 X86_CODE32 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x00\x91\x92"
 RANDOM_CODE = b"\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
 
 all_tests = (
-        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", 0),
-        (CS_ARCH_ARM, CS_MODE_ARM, RANDOM_CODE, "Arm", 0),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", None),
+        (CS_ARCH_ARM, CS_MODE_ARM, RANDOM_CODE, "Arm", None),
 )
 
 
-# ## Test cs_disasm_quick()
-def test_cs_disasm_quick():
-    for (arch, mode, code, comment, syntax) in all_tests:
-        print('*' * 40)
-        print("Platform: %s" % comment)
-        print("Disasm:"),
-        print(to_hex(code))
-        for insn in cs_disasm_quick(arch, mode, code, 0x1000):
-            print("0x%x:\t%s\t%s" % (insn.address, insn.mnemonic, insn.op_str))
-        print
-
-
 # Sample callback for SKIPDATA option
 def testcb(buffer, size, offset, userdata):
     # always skip 2 bytes of data
@@ -46,18 +34,29 @@ def test_class():
         try:
             md = Cs(arch, mode)
 
-            if syntax != 0:
+            if syntax is not None:
                 md.syntax = syntax
 
             md.skipdata = True
 
-            # Default "data" instruction's name is ".byte". To rename it to "db", just uncomment
+            # Default "data" instruction's name is ".byte". To rename it to "db", just use
             # the code below.
-            # md.skipdata_setup = ("db", None, None)
+            md.skipdata_setup = ("db", None, None)
+
             # NOTE: This example ignores SKIPDATA's callback (first None) & user_data (second None)
+            # Can also use dedicated setter
+            #md.skipdata_mnem = 'db'
+
+            # To customize the SKIPDATA callback, use the line below.
+            #md.skipdata_setup = (".db", testcb, None)
+
+            # Or use dedicated setter with custom parameter
+            #md.skipdata_callback = (testcb, 42)
 
-            # To customize the SKIPDATA callback, uncomment the line below.
-            # md.skipdata_setup = (".db", testcb, None)
+            # Or provide just a function
+            #md.skipdata_callback = testcb
+            # Note that reading this property will always return a tuple
+            #assert md.skipdata_callback == (testcb, None)
 
             for insn in md.disasm(code, 0x1000):
                 #bytes = binascii.hexlify(insn.bytes)
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_sparc.py 4.0.2-3/bindings/python/test_sparc.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_sparc.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_sparc.py	2020-05-08 10:03:30.000000000 +0000
@@ -5,7 +5,7 @@
 from __future__ import print_function
 from capstone import *
 from capstone.sparc import *
-from xprint import to_x, to_hex, to_x_32
+from xprint import to_hex, to_x_32
 
 
 SPARC_CODE = b"\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_systemz.py 4.0.2-3/bindings/python/test_systemz.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_systemz.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_systemz.py	2020-05-08 10:03:30.000000000 +0000
@@ -5,7 +5,7 @@
 from __future__ import print_function
 from capstone import *
 from capstone.systemz import *
-from xprint import to_x, to_hex, to_x_32
+from xprint import to_x, to_hex
 
 
 SYSZ_CODE = b"\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78\xec\x18\x00\x00\xc1\x7f"
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_tms320c64x.py 4.0.2-3/bindings/python/test_tms320c64x.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_tms320c64x.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/bindings/python/test_tms320c64x.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,93 @@
+#!/usr/bin/env python
+
+# Capstone Python bindings, by Fotis Loukos <me@fotisl.com>
+
+from __future__ import print_function
+from capstone import *
+from capstone.tms320c64x import *
+from xprint import to_x, to_hex, to_x_32
+
+
+TMS320C64X_CODE = b"\x01\xac\x88\x40\x81\xac\x88\x43\x00\x00\x00\x00\x02\x90\x32\x96\x02\x80\x46\x9e\x05\x3c\x83\xe6\x0b\x0c\x8b\x24"
+
+all_tests = (
+        (CS_ARCH_TMS320C64X, 0, TMS320C64X_CODE, "TMS320C64x"),
+)
+
+
+def print_insn_detail(insn):
+    # print address, mnemonic and operands
+    print("0x%x:\t%s\t%s" % (insn.address, insn.mnemonic, insn.op_str))
+
+    # "data" instruction generated by SKIPDATA option has no detail
+    if insn.id == 0:
+        return
+
+    if len(insn.operands) > 0:
+        print("\top_count: %u" % len(insn.operands))
+        c = 0
+        for i in insn.operands:
+            if i.type == TMS320C64X_OP_REG:
+                print("\t\toperands[%u].type: REG = %s" % (c, insn.reg_name(i.reg)))
+            if i.type == TMS320C64X_OP_IMM:
+                print("\t\toperands[%u].type: IMM = 0x%s" % (c, to_x(i.imm)))
+            if i.type == TMS320C64X_OP_MEM:
+                print("\t\toperands[%u].type: MEM" % c)
+                if i.mem.base != 0:
+                    print("\t\t\toperands[%u].mem.base: REG = %s" \
+                        % (c, insn.reg_name(i.mem.base)))
+                if i.mem.disptype == TMS320C64X_MEM_DISP_INVALID:
+                    print("\t\t\toperands[%u].mem.disptype: Invalid" % (c))
+                    print("\t\t\toperands[%u].mem.disp: 0x%s" \
+                        % (c, to_x(i.mem.disp)))
+                if i.mem.disptype == TMS320C64X_MEM_DISP_CONSTANT:
+                    print("\t\t\toperands[%u].mem.disptype: Constant" % (c))
+                    print("\t\t\toperands[%u].mem.disp: 0x%s" \
+                        % (c, to_x(i.mem.disp)))
+                if i.mem.disptype == TMS320C64X_MEM_DISP_REGISTER:
+                    print("\t\t\toperands[%u].mem.disptype: Register" % (c))
+                    print("\t\t\toperands[%u].mem.disp: %s" \
+                        % (c, insn.reg_name(i.mem.disp)))
+                print("\t\t\toperands[%u].mem.unit: %u" % (c, i.mem.unit))
+                if i.mem.direction == TMS320C64X_MEM_DIR_INVALID:
+                    print("\t\t\toperands[%u].mem.direction: Invalid" % (c))
+                if i.mem.direction == TMS320C64X_MEM_DIR_FW:
+                    print("\t\t\toperands[%u].mem.direction: Forward" % (c))
+                if i.mem.direction == TMS320C64X_MEM_DIR_BW:
+                    print("\t\t\toperands[%u].mem.direction: Backward" % (c))
+                if i.mem.modify == TMS320C64X_MEM_MOD_INVALID:
+                    print("\t\t\toperands[%u].mem.modify: Invalid" % (c))
+                if i.mem.modify == TMS320C64X_MEM_MOD_NO:
+                    print("\t\t\toperands[%u].mem.modify: No" % (c))
+                if i.mem.modify == TMS320C64X_MEM_MOD_PRE:
+                    print("\t\t\toperands[%u].mem.modify: Pre" % (c))
+                if i.mem.modify == TMS320C64X_MEM_MOD_POST:
+                    print("\t\t\toperands[%u].mem.modify: Post" % (c))
+                print("\t\t\toperands[%u].mem.scaled: %u" % (c, i.mem.scaled))
+            if i.type == TMS320C64X_OP_REGPAIR:
+                print("\t\toperands[%u].type: REGPAIR = %s:%s" % (c, insn.reg_name(i.reg + 1), insn.reg_name(i.reg)))
+            c += 1
+
+
+# ## Test class Cs
+def test_class():
+
+    for (arch, mode, code, comment) in all_tests:
+        print("*" * 16)
+        print("Platform: %s" %comment)
+        print("Code: %s" % to_hex(code))
+        print("Disasm:")
+
+        try:
+            md = Cs(arch, mode)
+            md.detail = True
+            for insn in md.disasm(code, 0x1000):
+                print_insn_detail(insn)
+                print ()
+            print("0x%x:\n" % (insn.address + insn.size))
+        except CsError as e:
+            print("ERROR: %s" %e)
+
+
+if __name__ == '__main__':
+    test_class()
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_x86.py 4.0.2-3/bindings/python/test_x86.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_x86.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_x86.py	2020-05-08 10:03:30.000000000 +0000
@@ -7,18 +7,115 @@ from capstone.x86 import *
 from xprint import to_hex, to_x, to_x_32
 
 
-X86_CODE64 = b"\x55\x48\x8b\x05\xb8\x13\x00\x00"
-X86_CODE16 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6"
-X86_CODE32 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6"
+X86_CODE64 = b"\x55\x48\x8b\x05\xb8\x13\x00\x00\xe9\xea\xbe\xad\xde\xff\x25\x23\x01\x00\x00\xe8\xdf\xbe\xad\xde\x74\xff"
+X86_CODE16 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6\x66\xe9\xb8\x00\x00\x00\x67\xff\xa0\x23\x01\x00\x00\x66\xe8\xcb\x00\x00\x00\x74\xfc"
+X86_CODE32 = b"\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6\xe9\xea\xbe\xad\xde\xff\xa0\x23\x01\x00\x00\xe8\xdf\xbe\xad\xde\x74\xff"
 
 all_tests = (
-        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", 0),
+        (CS_ARCH_X86, CS_MODE_16, X86_CODE16, "X86 16bit (Intel syntax)", None),
         (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (AT&T syntax)", CS_OPT_SYNTAX_ATT),
-        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", 0),
-        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", 0),
+        (CS_ARCH_X86, CS_MODE_32, X86_CODE32, "X86 32 (Intel syntax)", None),
+        (CS_ARCH_X86, CS_MODE_64, X86_CODE64, "X86 64 (Intel syntax)", None),
         )
 
 
+def get_eflag_name(eflag):
+    if eflag == X86_EFLAGS_UNDEFINED_OF:
+        return "UNDEF_OF"
+    elif eflag == X86_EFLAGS_UNDEFINED_SF:
+        return "UNDEF_SF"
+    elif eflag == X86_EFLAGS_UNDEFINED_ZF:
+        return "UNDEF_ZF"
+    elif eflag == X86_EFLAGS_MODIFY_AF:
+        return "MOD_AF"
+    elif eflag == X86_EFLAGS_UNDEFINED_PF:
+        return "UNDEF_PF"
+    elif eflag == X86_EFLAGS_MODIFY_CF:
+        return "MOD_CF"
+    elif eflag == X86_EFLAGS_MODIFY_SF:
+        return "MOD_SF"
+    elif eflag == X86_EFLAGS_MODIFY_ZF:
+        return "MOD_ZF"
+    elif eflag == X86_EFLAGS_UNDEFINED_AF:
+        return "UNDEF_AF"
+    elif eflag == X86_EFLAGS_MODIFY_PF:
+        return "MOD_PF"
+    elif eflag == X86_EFLAGS_UNDEFINED_CF:
+        return "UNDEF_CF"
+    elif eflag == X86_EFLAGS_MODIFY_OF:
+        return "MOD_OF"
+    elif eflag == X86_EFLAGS_RESET_OF:
+        return "RESET_OF"
+    elif eflag == X86_EFLAGS_RESET_CF:
+        return "RESET_CF"
+    elif eflag == X86_EFLAGS_RESET_DF:
+        return "RESET_DF"
+    elif eflag == X86_EFLAGS_RESET_IF:
+        return "RESET_IF"
+    elif eflag == X86_EFLAGS_TEST_OF:
+        return "TEST_OF"
+    elif eflag == X86_EFLAGS_TEST_SF:
+        return "TEST_SF"
+    elif eflag == X86_EFLAGS_TEST_ZF:
+        return "TEST_ZF"
+    elif eflag == X86_EFLAGS_TEST_PF:
+        return "TEST_PF"
+    elif eflag == X86_EFLAGS_TEST_CF:
+        return "TEST_CF"
+    elif eflag == X86_EFLAGS_RESET_SF:
+        return "RESET_SF"
+    elif eflag == X86_EFLAGS_RESET_AF:
+        return "RESET_AF"
+    elif eflag == X86_EFLAGS_RESET_TF:
+        return "RESET_TF"
+    elif eflag == X86_EFLAGS_RESET_NT:
+        return "RESET_NT"
+    elif eflag == X86_EFLAGS_PRIOR_OF:
+        return "PRIOR_OF"
+    elif eflag == X86_EFLAGS_PRIOR_SF:
+        return "PRIOR_SF"
+    elif eflag == X86_EFLAGS_PRIOR_ZF:
+        return "PRIOR_ZF"
+    elif eflag == X86_EFLAGS_PRIOR_AF:
+        return "PRIOR_AF"
+    elif eflag == X86_EFLAGS_PRIOR_PF:
+        return "PRIOR_PF"
+    elif eflag == X86_EFLAGS_PRIOR_CF:
+        return "PRIOR_CF"
+    elif eflag == X86_EFLAGS_PRIOR_TF:
+        return "PRIOR_TF"
+    elif eflag == X86_EFLAGS_PRIOR_IF:
+        return "PRIOR_IF"
+    elif eflag == X86_EFLAGS_PRIOR_DF:
+        return "PRIOR_DF"
+    elif eflag == X86_EFLAGS_TEST_NT:
+        return "TEST_NT"
+    elif eflag == X86_EFLAGS_TEST_DF:
+        return "TEST_DF"
+    elif eflag == X86_EFLAGS_RESET_PF:
+        return "RESET_PF"
+    elif eflag == X86_EFLAGS_PRIOR_NT:
+        return "PRIOR_NT"
+    elif eflag == X86_EFLAGS_MODIFY_TF:
+        return "MOD_TF"
+    elif eflag == X86_EFLAGS_MODIFY_IF:
+        return "MOD_IF"
+    elif eflag == X86_EFLAGS_MODIFY_DF:
+        return "MOD_DF"
+    elif eflag == X86_EFLAGS_MODIFY_NT:
+        return "MOD_NT"
+    elif eflag == X86_EFLAGS_MODIFY_RF:
+        return "MOD_RF"
+    elif eflag == X86_EFLAGS_SET_CF:
+        return "SET_CF"
+    elif eflag == X86_EFLAGS_SET_DF:
+        return "SET_DF"
+    elif eflag == X86_EFLAGS_SET_IF:
+        return "SET_IF"
+    else: 
+        return None
+
+
 def print_insn_detail(mode, insn):
     def print_string_hex(comment, str):
         print(comment, end=' '),
@@ -48,9 +145,21 @@ def print_insn_detail(mode, insn):
     # print modRM byte
     print("\tmodrm: 0x%x" % (insn.modrm))
 
+    # print modRM offset
+    if insn.modrm_offset != 0:
+        print("\tmodrm_offset: 0x%x" % (insn.modrm_offset))
+
     # print displacement value
     print("\tdisp: 0x%s" % to_x_32(insn.disp))
 
+    # print displacement offset (offset into instruction bytes)
+    if insn.disp_offset != 0:
+        print("\tdisp_offset: 0x%x" % (insn.disp_offset))
+
+    # print displacement size
+    if insn.disp_size != 0:
+        print("\tdisp_size: 0x%x" % (insn.disp_size))
+
     # SIB is not available in 16-bit mode
     if (mode & CS_MODE_16 == 0):
         # print SIB byte
@@ -63,6 +172,10 @@ def print_insn_detail(mode, insn):
             if insn.sib_scale != 0:
                 print("\t\tsib_scale: %d" % (insn.sib_scale))
 
+    # XOP CC type
+    if insn.xop_cc != X86_XOP_CC_INVALID:
+        print("\txop_cc: %u" % (insn.xop_cc))
+
     # SSE CC type
     if insn.sse_cc != X86_SSE_CC_INVALID:
         print("\tsse_cc: %u" % (insn.sse_cc))
@@ -85,6 +198,10 @@ def print_insn_detail(mode, insn):
         for i in range(count):
             op = insn.op_find(X86_OP_IMM, i + 1)
             print("\t\timms[%u]: 0x%s" % (i + 1, to_x(op.imm)))
+            if insn.imm_offset != 0:
+                print("\timm_offset: 0x%x" % (insn.imm_offset))
+            if insn.imm_size != 0:
+                print("\timm_size: 0x%x" % (insn.imm_size))
 
     if len(insn.operands) > 0:
         print("\top_count: %u" % len(insn.operands))
@@ -95,8 +212,6 @@ def print_insn_detail(mode, insn):
                 print("\t\toperands[%u].type: REG = %s" % (c, insn.reg_name(i.reg)))
             if i.type == X86_OP_IMM:
                 print("\t\toperands[%u].type: IMM = 0x%s" % (c, to_x(i.imm)))
-            if i.type == X86_OP_FP:
-                print("\t\toperands[%u].type: FP = %f" % (c, i.fp))
             if i.type == X86_OP_MEM:
                 print("\t\toperands[%u].type: MEM" % c)
                 if i.mem.segment != 0:
@@ -120,6 +235,34 @@ def print_insn_detail(mode, insn):
 
             print("\t\toperands[%u].size: %u" % (c, i.size))
 
+            if i.access == CS_AC_READ:
+                print("\t\toperands[%u].access: READ\n" % (c))
+            elif i.access == CS_AC_WRITE:
+                print("\t\toperands[%u].access: WRITE\n" % (c))
+            elif i.access == CS_AC_READ | CS_AC_WRITE:
+                print("\t\toperands[%u].access: READ | WRITE\n" % (c))
+
+    (regs_read, regs_write) = insn.regs_access()
+
+    if len(regs_read) > 0:
+        print("\tRegisters read:", end="")
+        for r in regs_read:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+
+    if len(regs_write) > 0:
+        print("\tRegisters modified:", end="")
+        for r in regs_write:
+            print(" %s" %(insn.reg_name(r)), end="")
+        print("")
+        
+    if insn.eflags:
+        updated_flags = []
+        for i in range(0,46):
+            if insn.eflags & (1 << i):
+                updated_flags.append(get_eflag_name(1 << i))
+        print("\tEFLAGS: %s" % (','.join(p for p in updated_flags)))
+        
 
 # ## Test class Cs
 def test_class():
@@ -134,7 +277,7 @@ def test_class():
             md = Cs(arch, mode)
             md.detail = True
 
-            if syntax != 0:
+            if syntax is not None:
                 md.syntax = syntax
 
             for insn in md.disasm(code, 0x1000):
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/test_xcore.py 4.0.2-3/bindings/python/test_xcore.py
--- 4.0.1+really+3.0.5-2/bindings/python/test_xcore.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/test_xcore.py	2020-05-08 10:03:30.000000000 +0000
@@ -5,7 +5,7 @@
 from __future__ import print_function
 from capstone import *
 from capstone.xcore import *
-from xprint import to_x, to_hex, to_x_32
+from xprint import to_x, to_hex
 
 
 XCORE_CODE = b"\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10\x09\xfd\xec\xa7"
diff -pruN 4.0.1+really+3.0.5-2/bindings/python/xprint.py 4.0.2-3/bindings/python/xprint.py
--- 4.0.1+really+3.0.5-2/bindings/python/xprint.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/python/xprint.py	2020-05-08 10:03:30.000000000 +0000
@@ -6,11 +6,17 @@ import sys
 _python3 = sys.version_info.major == 3
 
 
-def to_hex(s):
+def to_hex(s, prefix_0x = True):
     if _python3:
-        return " ".join("0x{0:02x}".format(c) for c in s)  # <-- Python 3 is OK
+        if prefix_0x:
+            return " ".join("0x{0:02x}".format(c) for c in s)  # <-- Python 3 is OK
+        else:
+            return " ".join("{0:02x}".format(c) for c in s)  # <-- Python 3 is OK
     else:
-        return " ".join("0x{0:02x}".format(ord(c)) for c in s)
+        if prefix_0x:
+            return " ".join("0x{0:02x}".format(ord(c)) for c in s)
+        else:
+            return " ".join("{0:02x}".format(ord(c)) for c in s)
 
 def to_hex2(s):
     if _python3:
diff -pruN 4.0.1+really+3.0.5-2/bindings/README 4.0.2-3/bindings/README
--- 4.0.1+really+3.0.5-2/bindings/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/README	2020-05-08 10:03:30.000000000 +0000
@@ -3,9 +3,13 @@ See <language>/README for how to compile
 
 More bindings created & maintained by the community are available as followings.
 
-- Gapstone: Go binding (by Ben Nagy).
+- Gapstone: Go binding (by Scott Knight).
 
-	https://github.com/bnagy/gapstone
+	https://github.com/knightsc/gapstone
+
+- Crabstone: Ruby binding for Capstone 3+ (by david942j).
+
+	https://github.com/david942j/crabstone
 
 - Crabstone: Ruby binding (by Ben Nagy).
 
@@ -43,6 +47,10 @@ More bindings created & maintained by th
 
     https://github.com/ibabushkin/hapstone
 
+- CL-Capstone: Common Lisp bindings (by GrammaTech).
+
+    https://github.com/GrammaTech/cl-capstone
+
 - Emacs-capstone: Emacs (elisp) binding (by Bas Alberts)
 
     https://github.com/collarchoke/emacs-capstone
@@ -58,4 +66,7 @@ More bindings created & maintained by th
 - PHP binding (by Fadhil Mandaga).
 
 	https://github.com/firodj/php-capstone
+	
+- capstone-d: D binding (by Dimitri Bohlender)
 
+	https://github.com/bohlender/capstone-d
diff -pruN 4.0.1+really+3.0.5-2/bindings/vb6/Module1.bas 4.0.2-3/bindings/vb6/Module1.bas
--- 4.0.1+really+3.0.5-2/bindings/vb6/Module1.bas	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/bindings/vb6/Module1.bas	2020-05-08 10:03:30.000000000 +0000
@@ -293,7 +293,7 @@ Public Declare Function cs_strerror Lib
 ' Disassemble binary code, given the code buffer, size, address and number
 ' of instructions to be decoded.
 ' This API dynamically allocate memory to contain disassembled instruction.
-' Resulted instructions will be put into @*insn
+' Resulting instructions will be put into @*insn
 '
 ' NOTE 1: this API will automatically determine memory needed to contain
 ' output disassembled instructions in @insn.
@@ -388,7 +388,7 @@ Public Declare Function cs_malloc Lib "v
 '/*
 ' Fast API to disassemble binary code, given the code buffer, size, address
 ' and number of instructions to be decoded.
-' This API put the resulted instruction into a given cache in @insn.
+' This API puts the resulting instruction into a given cache in @insn.
 ' See tests/test_iter.c for sample code demonstrating this API.
 '
 ' NOTE 1: this API will update @code, @size & @address to point to the next
@@ -496,7 +496,7 @@ Public Declare Function cs_group_name Li
 ' @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
 ' @group_id: group that you want to check if this instruction belong to.
 '
-' @return: true if this instruction indeed belongs to aboved group, or false otherwise.
+' @return: true if this instruction indeed belongs to the given group, or false otherwise.
 '*/
 'CAPSTONE_EXPORT
 'bool cs_insn_group(csh handle, const cs_insn *insn, unsigned int group_id);
@@ -517,7 +517,7 @@ Public Declare Function cs_insn_group Li
 ' @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
 ' @reg_id: register that you want to check if this instruction used it.
 '
-' @return: true if this instruction indeed implicitly used aboved register, or false otherwise.
+' @return: true if this instruction indeed implicitly used the given register, or false otherwise.
 '*/
 'CAPSTONE_EXPORT
 'bool cs_reg_read(csh handle, const cs_insn *insn, unsigned int reg_id);
@@ -538,7 +538,7 @@ Public Declare Function cs_reg_read Lib
 ' @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
 ' @reg_id: register that you want to check if this instruction modified it.
 '
-' @return: true if this instruction indeed implicitly modified aboved register, or false otherwise.
+' @return: true if this instruction indeed implicitly modified the given register, or false otherwise.
 '*/
 'CAPSTONE_EXPORT
 'bool cs_reg_write(csh handle, const cs_insn *insn, unsigned int reg_id);
diff -pruN 4.0.1+really+3.0.5-2/capstone.pc.in 4.0.2-3/capstone.pc.in
--- 4.0.1+really+3.0.5-2/capstone.pc.in	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/capstone.pc.in	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,7 @@
 prefix=@CMAKE_INSTALL_PREFIX@
 exec_prefix=${prefix}
 libdir=${prefix}/lib@LIBSUFFIX@
-includedir=${prefix}/include
+includedir=${prefix}/include/capstone
 
 Name: capstone
 Description: Capstone disassembly engine
diff -pruN 4.0.1+really+3.0.5-2/ChangeLog 4.0.2-3/ChangeLog
--- 4.0.1+really+3.0.5-2/ChangeLog	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/ChangeLog	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,163 @@
 This file details the changelog of Capstone.
 
+----------------------------
+Version 4.0.2: May 8th, 2020
+
+
+[ Core ]
+
+- Windows kernel-mode driver support
+- Fix installation path on FreeBSD and DragonFly
+
+
+[ cstool ]
+
+- Add armv8, ppc32 & thumbv8 modes
+- Print instruction ID
+
+
+[ X86 ]
+
+- Support CS_OPT_UNSIGNED for ATT syntax
+- Fix operand size for some instructions
+- Fix LOCK prefixes
+- Recognize xacquire/xrelease prefix
+- Fix call/jmp access mode of mem operand
+- Add ENDBR32, ENDBR64 to reduce mode
+- Other minor fixes
+
+
+[ ARM64 ]
+
+- Support CS_OPT_UNSIGNED
+- Fix register access flags for memory instructions
+- Fix UMOV vess
+
+
+[ ARM ]
+
+- Update writeback for STR_POST_REG
+
+
+[ M68K ]
+
+- Store correct register value in op.reg_pair
+
+
+[ PowerPC ]
+
+- BDZLA is absolute branch
+
+
+[ SystemZ ]
+
+- Fix truncated 64bit imm operand
+- Fix base/index printing
+
+
+[ Python ]
+
+- Fix skipdata struct being destroyed
+- Add __repr__ for capstone.CsInsn
+
+
+[ Java ]
+
+- Fix Java bindings to use pointers instead of longs
+
+
+[ Ocaml ]
+
+- Fix x86_op record
+
+
+---------------------------------
+Version 4.0.1: January 10th, 2019
+
+
+[ Core ]
+
+- Fix some issues for packaging (Debian, Gentoo).
+- Better support for building with Mingw.
+- cstool has new option -s to turn on skipdata mode.
+- cstool -v now report build settings of the core.
+- Add suite/capstone_get_setup.c so users can integrate with their own code
+  to retrieve Capstone settings at build time.
+
+
+[ Arm ]
+
+- Fix 4.0 regression: the `tbh [r0, r1, lsl #1]` instruction sets the operand.shift.value back again (see #1317)
+- Remove ARM_REG_PC group for BX instruction.
+
+
+[ X86 ]
+
+- Fix: endbr32 and endbr64 instructions are now properly decoded in both CS_MODE_32 and CS_MODE_64  (#1129)
+
+
+[ M680X ]
+
+- Fix some issues reported by clang-analyzer (#1329).
+
+
+[ Python ]
+
+- Fix skipdata setup.
+- Add getter/setter for skipdata_mnem, skipdata_callback.
+
+
+---------------------------------
+Version 4.0: December 18th, 2018
+
+
+[ Core ]
+
+- New APIs: cs_regs_access()
+- Add new options for cs_option(): CS_OPT_MNEMONIC & CS_OPT_UNSIGNED & CS_OPT_SYNTAX_MASM.
+- Various updates & bugfixes for all architectures.
+- Add 4 new architectures: EVM, M68K, M680X & TMS320C64x.
+- Add new group types: CS_GRP_PRIVILEGE & CS_GRP_BRANCH_RELATIVE.
+- Add new error types: CS_ERR_X86_MASM.
+
+
+[ X86 ]
+
+- Add XOP code condition type in x86_xop_cc.
+- Add some info on encoding to cs_x86 in cs_x86_encoding.
+- Add register flags update in cs_x86.{eflags, fpu_flags}
+- Change cs_x86.disp type from int32_t to int64_t.
+- Add new groups: X86_GRP_VM & X86_GRP_FPU.
+- Lots of new instructions (AVX)
+
+
+[ ARM64 ]
+
+- Add instruction ARM64_INS_NEGS & ARM64_INS_NGCS.
+
+
+[ Mips ]
+
+- Add mode CS_MODE_MIPS2.
+
+
+[ PPC ]
+
+- Change cs_ppc_op.imm type from int32_t to int64_t.
+- Add new groups: PPC_GRP_ICBT, PPC_GRP_P8ALTIVEC, PPC_GRP_P8VECTOR & PPC_GRP_QPX.
+- Lots of new instructions (QPX among them)
+
+
+[ Sparc ]
+
+- Change cs_sparc_op.imm type from int32_t to int64_t.
+
+
+[ Binding ]
+
+- New bindings: PowerShell & VB6
+
+
 ---------------------------------
 Version 3.0.5: July 18th, 2018
 
diff -pruN 4.0.1+really+3.0.5-2/CMakeLists.txt 4.0.2-3/CMakeLists.txt
--- 4.0.1+really+3.0.5-2/CMakeLists.txt	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/CMakeLists.txt	2020-05-08 10:03:30.000000000 +0000
@@ -1,28 +1,55 @@
 cmake_minimum_required(VERSION 2.6)
 project(capstone)
 
-set(VERSION_MAJOR 3)
+set(VERSION_MAJOR 4)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 5)
+set(VERSION_PATCH 2)
+
+if(POLICY CMP0042)
+  # http://www.cmake.org/cmake/help/v3.0/policy/CMP0042.html
+  cmake_policy(SET CMP0042 NEW)
+endif(POLICY CMP0042)
+
+if (POLICY CMP0048)
+  # use old policy to honor version set using VERSION_* variables to preserve backwards
+  # compatibility. change OLD to NEW when minimum cmake version is updated to 3.* and
+  # set VERSION using project(capstone VERSION 4.0.0).
+  # http://www.cmake.org/cmake/help/v3.0/policy/CMP0048.html
+  cmake_policy (SET CMP0048 OLD)
+endif()
 
 # to configure the options specify them in in the command line or change them in the cmake UI.
 # Don't edit the makefile!
-option(CAPSTONE_BUILD_STATIC_RUNTIME "Embed static runtime" OFF)
+option(CAPSTONE_BUILD_STATIC_RUNTIME "Embed static runtime" ON)
 option(CAPSTONE_BUILD_STATIC "Build static library" ON)
 option(CAPSTONE_BUILD_SHARED "Build shared library" ON)
 option(CAPSTONE_BUILD_DIET "Build diet library" OFF)
 option(CAPSTONE_BUILD_TESTS "Build tests" ON)
 option(CAPSTONE_BUILD_CSTOOL "Build cstool" ON)
 option(CAPSTONE_USE_DEFAULT_ALLOC "Use default memory allocation functions" ON)
+option(CAPSTONE_ARCHITECTURE_DEFAULT "Whether architectures are enabled by default" ON)
+
+set(SUPPORTED_ARCHITECTURES ARM ARM64 M68K MIPS PPC SPARC SYSZ XCORE X86 TMS320C64X M680X EVM)
+set(SUPPORTED_ARCHITECTURE_LABELS ARM ARM64 M68K MIPS PowerPC Sparc SystemZ XCore x86 TMS320C64x M680x EVM)
+
+list(LENGTH SUPPORTED_ARCHITECTURES count)
+math(EXPR count "${count}-1")
+# create options controlling whether support for a particular architecture is needed
+foreach(i RANGE ${count})
+  list(GET SUPPORTED_ARCHITECTURES ${i} supported_architecture)
+  list(GET SUPPORTED_ARCHITECTURE_LABELS ${i} supported_architecture_label)
+  option("CAPSTONE_${supported_architecture}_SUPPORT" "${supported_architecture_label} support" ${CAPSTONE_ARCHITECTURE_DEFAULT})
+endforeach(i)
+
+# propagate architecture support variables to preprocessor
+foreach(supported_architecture ${SUPPORTED_ARCHITECTURES})
+  set(option_name "CAPSTONE_${supported_architecture}_SUPPORT")
+  if(${option_name})
+    message("Enabling ${option_name}")
+    add_definitions("-D${option_name}")
+  endif()
+endforeach(supported_architecture)
 
-option(CAPSTONE_ARM_SUPPORT "ARM support" ON)
-option(CAPSTONE_ARM64_SUPPORT "ARM64 support" ON)
-option(CAPSTONE_MIPS_SUPPORT "MIPS support" ON)
-option(CAPSTONE_PPC_SUPPORT "PowerPC support" ON)
-option(CAPSTONE_SPARC_SUPPORT "Sparc support" ON)
-option(CAPSTONE_SYSZ_SUPPORT "SystemZ support" ON)
-option(CAPSTONE_XCORE_SUPPORT "XCore support" ON)
-option(CAPSTONE_X86_SUPPORT "x86 support" ON)
 option(CAPSTONE_X86_REDUCE "x86 with reduce instruction sets to minimize library" OFF)
 option(CAPSTONE_X86_ATT_DISABLE "Disable x86 AT&T syntax" OFF)
 option(CAPSTONE_OSXKERNEL_SUPPORT "Support to embed Capstone into OS X Kernel extensions" OFF)
@@ -32,6 +59,8 @@ if (MSVC)
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
 endif ()
 
+enable_testing()
+
 if (CAPSTONE_BUILD_DIET)
     add_definitions(-DCAPSTONE_DIET)
 endif ()
@@ -56,33 +85,37 @@ set(SOURCES_ENGINE
     MCRegisterInfo.c
     SStream.c
     utils.c
-    )
-
+)
 set(HEADERS_ENGINE
-    include/capstone.h
-    utils.h
-    MCRegisterInfo.h
+    cs_priv.h
+    LEB128.h
+    MathExtras.h
+    MCDisassembler.h
+    MCFixedLenDisassembler.h
     MCInst.h
     MCInstrDesc.h
+    MCRegisterInfo.h
     SStream.h
-    cs_priv.h
-    include/platform.h
+    utils.h
     )
 
 set(HEADERS_COMMON
-    include/arm64.h
-    include/arm.h
-    include/capstone.h
-    include/mips.h
-    include/ppc.h
-    include/x86.h
-    include/sparc.h
-    include/systemz.h
-    include/xcore.h
-    include/platform.h
+    include/capstone/arm64.h
+    include/capstone/arm.h
+    include/capstone/capstone.h
+    include/capstone/evm.h
+    include/capstone/mips.h
+    include/capstone/ppc.h
+    include/capstone/x86.h
+    include/capstone/sparc.h
+    include/capstone/systemz.h
+    include/capstone/xcore.h
+    include/capstone/m68k.h
+    include/capstone/tms320c64x.h
+    include/capstone/m680x.h
+    include/capstone/platform.h
     )
 
-
 set(TEST_SOURCES test_basic.c test_detail.c test_skipdata.c test_iter.c)
 
 ## architecture support
@@ -93,6 +126,20 @@ if (CAPSTONE_ARM_SUPPORT)
         arch/ARM/ARMInstPrinter.c
         arch/ARM/ARMMapping.c
         arch/ARM/ARMModule.c
+    )
+    set(HEADERS_ARM
+        arch/ARM/ARMAddressingModes.h
+        arch/ARM/ARMBaseInfo.h
+        arch/ARM/ARMDisassembler.h
+        arch/ARM/ARMGenAsmWriter.inc
+        arch/ARM/ARMGenDisassemblerTables.inc
+        arch/ARM/ARMGenInstrInfo.inc
+        arch/ARM/ARMGenRegisterInfo.inc
+        arch/ARM/ARMGenSubtargetInfo.inc
+        arch/ARM/ARMInstPrinter.h
+        arch/ARM/ARMMapping.h
+        arch/ARM/ARMMappingInsn.inc
+        arch/ARM/ARMMappingInsnOp.inc
         )
     set(HEADERS_ARM
         arch/ARM/ARMAddressingModes.h
@@ -117,6 +164,19 @@ if (CAPSTONE_ARM64_SUPPORT)
         arch/AArch64/AArch64InstPrinter.c
         arch/AArch64/AArch64Mapping.c
         arch/AArch64/AArch64Module.c
+    )
+    set(HEADERS_ARM64
+        arch/AArch64/AArch64AddressingModes.h
+        arch/AArch64/AArch64BaseInfo.h
+        arch/AArch64/AArch64Disassembler.h
+        arch/AArch64/AArch64GenAsmWriter.inc
+        arch/AArch64/AArch64GenDisassemblerTables.inc
+        arch/AArch64/AArch64GenInstrInfo.inc
+        arch/AArch64/AArch64GenRegisterInfo.inc
+        arch/AArch64/AArch64GenSubtargetInfo.inc
+        arch/AArch64/AArch64InstPrinter.h
+        arch/AArch64/AArch64Mapping.h
+        arch/AArch64/AArch64MappingInsn.inc
         )
     set(HEADERS_ARM64
         arch/AArch64/AArch64AddressingModes.h
@@ -140,6 +200,17 @@ if (CAPSTONE_MIPS_SUPPORT)
         arch/Mips/MipsInstPrinter.c
         arch/Mips/MipsMapping.c
         arch/Mips/MipsModule.c
+    )
+    set(HEADERS_MIPS
+        arch/Mips/MipsDisassembler.h
+        arch/Mips/MipsGenAsmWriter.inc
+        arch/Mips/MipsGenDisassemblerTables.inc
+        arch/Mips/MipsGenInstrInfo.inc
+        arch/Mips/MipsGenRegisterInfo.inc
+        arch/Mips/MipsGenSubtargetInfo.inc
+        arch/Mips/MipsInstPrinter.h
+        arch/Mips/MipsMapping.h
+        arch/Mips/MipsMappingInsn.inc
         )
     set(HEADERS_MIPS
         arch/Mips/MipsDisassembler.h
@@ -161,6 +232,18 @@ if (CAPSTONE_PPC_SUPPORT)
         arch/PowerPC/PPCInstPrinter.c
         arch/PowerPC/PPCMapping.c
         arch/PowerPC/PPCModule.c
+    )
+    set(HEADERS_PPC
+        arch/PowerPC/PPCDisassembler.h
+        arch/PowerPC/PPCGenAsmWriter.inc
+        arch/PowerPC/PPCGenDisassemblerTables.inc
+        arch/PowerPC/PPCGenInstrInfo.inc
+        arch/PowerPC/PPCGenRegisterInfo.inc
+        arch/PowerPC/PPCGenSubtargetInfo.inc
+        arch/PowerPC/PPCInstPrinter.h
+        arch/PowerPC/PPCMapping.h
+        arch/PowerPC/PPCMappingInsn.inc
+        arch/PowerPC/PPCPredicates.h
         )
     set(HEADERS_PPC
         arch/PowerPC/PPCDisassembler.h
@@ -184,28 +267,32 @@ if (CAPSTONE_X86_SUPPORT)
         arch/X86/X86IntelInstPrinter.c
         arch/X86/X86Mapping.c
         arch/X86/X86Module.c
-        )
+    )
     set(HEADERS_X86
         arch/X86/X86BaseInfo.h
         arch/X86/X86Disassembler.h
         arch/X86/X86DisassemblerDecoder.h
         arch/X86/X86DisassemblerDecoderCommon.h
+        arch/X86/X86InstPrinter.h
+        arch/X86/X86Mapping.h
         arch/X86/X86GenAsmWriter.inc
+        arch/X86/X86GenAsmWriter_reduce.inc
         arch/X86/X86GenAsmWriter1.inc
         arch/X86/X86GenAsmWriter1_reduce.inc
-        arch/X86/X86GenAsmWriter_reduce.inc
         arch/X86/X86GenDisassemblerTables.inc
         arch/X86/X86GenDisassemblerTables_reduce.inc
         arch/X86/X86GenInstrInfo.inc
         arch/X86/X86GenInstrInfo_reduce.inc
         arch/X86/X86GenRegisterInfo.inc
-        arch/X86/X86InstPrinter.h
-        arch/X86/X86Mapping.h
+        arch/X86/X86MappingInsn.inc
+        arch/X86/X86MappingInsn_reduce.inc
+        arch/X86/X86MappingInsnOp.inc
+        arch/X86/X86MappingInsnOp_reduce.inc
         )
     if (NOT CAPSTONE_BUILD_DIET)
         set(SOURCES_X86 ${SOURCES_X86} arch/X86/X86ATTInstPrinter.c)
     endif ()
-    set(TEST_SOURCES ${TEST_SOURCES} test_x86.c)
+    set(TEST_SOURCES ${TEST_SOURCES} test_x86.c test_customized_mnem.c)
 endif ()
 
 if (CAPSTONE_SPARC_SUPPORT)
@@ -226,6 +313,7 @@ if (CAPSTONE_SPARC_SUPPORT)
         arch/Sparc/SparcGenSubtargetInfo.inc
         arch/Sparc/SparcInstPrinter.h
         arch/Sparc/SparcMapping.h
+        arch/Sparc/SparcMappingInsn.inc
         )
     set(TEST_SOURCES ${TEST_SOURCES} test_sparc.c)
 endif ()
@@ -247,8 +335,9 @@ if (CAPSTONE_SYSZ_SUPPORT)
         arch/SystemZ/SystemZGenRegisterInfo.inc
         arch/SystemZ/SystemZGenSubtargetInfo.inc
         arch/SystemZ/SystemZInstPrinter.h
-        arch/SystemZ/SystemZMCTargetDesc.h
         arch/SystemZ/SystemZMapping.h
+        arch/SystemZ/SystemZMappingInsn.inc
+        arch/SystemZ/SystemZMCTargetDesc.h
         )
     set(TEST_SOURCES ${TEST_SOURCES} test_systemz.c)
 endif ()
@@ -269,10 +358,76 @@ if (CAPSTONE_XCORE_SUPPORT)
         arch/XCore/XCoreGenRegisterInfo.inc
         arch/XCore/XCoreInstPrinter.h
         arch/XCore/XCoreMapping.h
+        arch/XCore/XCoreMappingInsn.inc
         )
     set(TEST_SOURCES ${TEST_SOURCES} test_xcore.c)
 endif ()
 
+if (CAPSTONE_M68K_SUPPORT)
+    add_definitions(-DCAPSTONE_HAS_M68K)
+    set(SOURCES_M68K
+		arch/M68K/M68KDisassembler.c
+		arch/M68K/M68KInstPrinter.c
+		arch/M68K/M68KModule.c
+    )
+    set(HEADERS_M68K
+		arch/M68K/M68KDisassembler.h
+        )
+    set(TEST_SOURCES ${TEST_SOURCES} test_m68k.c)
+endif ()
+
+if (CAPSTONE_TMS320C64X_SUPPORT)
+    add_definitions(-DCAPSTONE_HAS_TMS320C64X)
+    set(SOURCES_TMS320C64X
+        arch/TMS320C64x/TMS320C64xDisassembler.c
+        arch/TMS320C64x/TMS320C64xInstPrinter.c
+        arch/TMS320C64x/TMS320C64xMapping.c
+        arch/TMS320C64x/TMS320C64xModule.c
+        )
+    set(HEADERS_TMS320C64X
+        arch/TMS320C64x/TMS320C64xDisassembler.h
+        arch/TMS320C64x/TMS320C64xGenAsmWriter.inc
+        arch/TMS320C64x/TMS320C64xGenDisassemblerTables.inc
+        arch/TMS320C64x/TMS320C64xGenInstrInfo.inc
+        arch/TMS320C64x/TMS320C64xGenRegisterInfo.inc
+        arch/TMS320C64x/TMS320C64xInstPrinter.h
+        arch/TMS320C64x/TMS320C64xMapping.h
+        )
+    set(TEST_SOURCES ${TEST_SOURCES} test_tms320c64x.c)
+endif ()
+
+if (CAPSTONE_M680X_SUPPORT)
+    add_definitions(-DCAPSTONE_HAS_M680X)
+    set(SOURCES_M680X
+		arch/M680X/M680XDisassembler.c
+		arch/M680X/M680XInstPrinter.c
+		arch/M680X/M680XModule.c
+    )
+    set(HEADERS_M680X
+		arch/M680X/M680XInstPrinter.h
+		arch/M680X/M680XDisassembler.h
+		arch/M680X/M680XDisassemblerInternals.h
+        )
+    set(TEST_SOURCES ${TEST_SOURCES} test_m680x.c)
+endif ()
+
+if (CAPSTONE_EVM_SUPPORT)
+    add_definitions(-DCAPSTONE_HAS_EVM)
+    set(SOURCES_EVM
+        arch/EVM/EVMDisassembler.c
+        arch/EVM/EVMInstPrinter.c
+        arch/EVM/EVMMapping.c
+        arch/EVM/EVMModule.c
+    )
+    set(HEADERS_EVM
+        arch/EVM/EVMDisassembler.h
+        arch/EVM/EVMInstPrinter.h
+        arch/EVM/EVMMapping.h
+        arch/EVM/EVMMappingInsn.inc
+        )
+    set(TEST_SOURCES ${TEST_SOURCES} test_evm.c)
+endif ()
+
 if (CAPSTONE_OSXKERNEL_SUPPORT)
     add_definitions(-DCAPSTONE_HAS_OSXKERNEL)
 endif ()
@@ -287,6 +442,10 @@ set(ALL_SOURCES
     ${SOURCES_SPARC}
     ${SOURCES_SYSZ}
     ${SOURCES_XCORE}
+    ${SOURCES_M68K}
+    ${SOURCES_TMS320C64X}
+    ${SOURCES_M680X}
+    ${SOURCES_EVM}
     )
 
 set(ALL_HEADERS
@@ -300,6 +459,10 @@ set(ALL_HEADERS
     ${HEADERS_SPARC}
     ${HEADERS_SYSZ}
     ${HEADERS_XCORE}
+    ${HEADERS_M68K}
+    ${HEADERS_TMS320C64X}
+    ${HEADERS_M680X}
+    ${HEADERS_EVM}
     )
 
 include_directories("${PROJECT_SOURCE_DIR}/include")
@@ -318,14 +481,14 @@ endif ()
 # Force static runtime libraries
 if (CAPSTONE_BUILD_STATIC_RUNTIME)
     FOREACH(flag
-        CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_RELWITHDEBINFO
-        CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_DEBUG_INIT
-        CMAKE_CXX_FLAGS_RELEASE  CMAKE_CXX_FLAGS_RELWITHDEBINFO
-        CMAKE_CXX_FLAGS_DEBUG  CMAKE_CXX_FLAGS_DEBUG_INIT)
-        if (MSVC)
-            STRING(REPLACE "/MD"  "/MT" "${flag}" "${${flag}}")
-            SET("${flag}" "${${flag}} /EHsc")
-        endif (MSVC)
+	CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_RELWITHDEBINFO
+	CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_DEBUG_INIT
+	CMAKE_CXX_FLAGS_RELEASE  CMAKE_CXX_FLAGS_RELWITHDEBINFO
+	CMAKE_CXX_FLAGS_DEBUG  CMAKE_CXX_FLAGS_DEBUG_INIT)
+	if (MSVC)
+	    STRING(REPLACE "/MD"  "/MT" "${flag}" "${${flag}}")
+	    SET("${flag}" "${${flag}} /EHsc")
+	endif (MSVC)
     ENDFOREACH()
 endif ()
 
@@ -353,12 +516,14 @@ if (CAPSTONE_BUILD_TESTS)
         STRING(REGEX REPLACE ".c$" "" TBIN ${TSRC})
         add_executable(${TBIN} "tests/${TSRC}")
         target_link_libraries(${TBIN} ${default-target})
+        add_test(NAME "capstone_${TBIN}" COMMAND ${TBIN})
     endforeach ()
     if (CAPSTONE_ARM_SUPPORT)
         set(ARM_REGRESS_TEST test_arm_regression.c)
         STRING(REGEX REPLACE ".c$" "" ARM_REGRESS_BIN ${ARM_REGRESS_TEST})
         add_executable(${ARM_REGRESS_BIN} "suite/arm/${ARM_REGRESS_TEST}")
         target_link_libraries(${ARM_REGRESS_BIN} ${default-target})
+        add_test(NAME "capstone_${ARM_REGRESS_BIN}" COMMAND ${ARM_REGRESS_BIN})
     endif()
     # fuzz target built with the tests
     add_executable(fuzz_disasm suite/fuzz/onefile.c suite/fuzz/fuzz_disasm.c)
@@ -374,6 +539,10 @@ source_group("Source\\Sparc" FILES ${SOU
 source_group("Source\\SystemZ" FILES ${SOURCES_SYSZ})
 source_group("Source\\X86" FILES ${SOURCES_X86})
 source_group("Source\\XCore" FILES ${SOURCES_XCORE})
+source_group("Source\\M68K" FILES ${SOURCES_M68K})
+source_group("Source\\TMS320C64x" FILES ${SOURCES_TMS320C64X})
+source_group("Source\\M680X" FILES ${SOURCES_M680X})
+source_group("Source\\EVM" FILES ${SOURCES_EVM})
 
 source_group("Include\\Common" FILES ${HEADERS_COMMON})
 source_group("Include\\Engine" FILES ${HEADERS_ENGINE})
@@ -385,35 +554,30 @@ source_group("Include\\Sparc" FILES ${HE
 source_group("Include\\SystemZ" FILES ${HEADERS_SYSZ})
 source_group("Include\\X86" FILES ${HEADERS_X86})
 source_group("Include\\XCore" FILES ${HEADERS_XCORE})
+source_group("Include\\M68K" FILES ${HEADERS_M68K})
+source_group("Include\\TMS320C64x" FILES ${HEADERS_TMS320C64X})
+source_group("Include\\M680X" FILES ${HEADERS_MC680X})
+source_group("Include\\EVM" FILES ${HEADERS_EVM})
 
 ### test library 64bit routine:
-get_property(LIB64 GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS)
-
-if (NOT APPLE AND "${LIB64}" STREQUAL "TRUE")
-    set(LIBSUFFIX 64)
-else()
-    set(LIBSUFFIX "")
-endif()
-
-set(INSTALL_LIB_DIR     lib${LIBSUFFIX} CACHE PATH "Installation directory for libraries")
-mark_as_advanced(INSTALL_LIB_DIR)
+include("GNUInstallDirs")
 
 ## installation
-install(FILES ${HEADERS_COMMON} DESTINATION include/capstone)
-configure_file(capstone.pc.in capstone.pc @ONLY)
+install(FILES ${HEADERS_COMMON} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/capstone)
+configure_file(capstone.pc.in ${CMAKE_BINARY_DIR}/capstone.pc @ONLY)
 
 if (CAPSTONE_BUILD_STATIC)
     install(TARGETS capstone-static
             RUNTIME DESTINATION bin
-            LIBRARY DESTINATION ${INSTALL_LIB_DIR}
-            ARCHIVE DESTINATION ${INSTALL_LIB_DIR})
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif ()
 
 if (CAPSTONE_BUILD_SHARED)
     install(TARGETS capstone-shared
             RUNTIME DESTINATION bin
-            LIBRARY DESTINATION ${INSTALL_LIB_DIR}
-            ARCHIVE DESTINATION ${INSTALL_LIB_DIR})
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif ()
 
 if (CAPSTONE_BUILD_SHARED AND CAPSTONE_BUILD_CSTOOL)
@@ -422,5 +586,5 @@ add_executable(cstool ${CSTOOL_SRC})
 target_link_libraries(cstool ${default-target})
 
 install(TARGETS cstool DESTINATION bin)
-install(FILES ${CMAKE_BINARY_DIR}/capstone.pc DESTINATION lib/pkgconfig)
+install(FILES ${CMAKE_BINARY_DIR}/capstone.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 endif ()
diff -pruN 4.0.1+really+3.0.5-2/cmake.sh 4.0.2-3/cmake.sh
--- 4.0.1+really+3.0.5-2/cmake.sh	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cmake.sh	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Capstone disassembler engine (www.capstone-engine.org)
+# Build Capstone libs for specified architecture, or all if none is specified (libcapstone.so & libcapstone.a) on *nix with CMake & make
+# By Nguyen Anh Quynh, Jorn Vernee, 2019
+
+FLAGS="-DCMAKE_BUILD_TYPE=Release"
+# Uncomment below line to compile in Diet mode
+# FLAGS+=" -DCAPSTONE_BUILD_DIET=ON"
+
+case $1 in
+  ARM)
+    ARCH=ARM
+    ;;
+  ARM64)
+    ARCH=ARM64
+    ;;
+  M68K)
+    ARCH=M68K
+    ;;
+  MIPS)
+    ARCH=MIPS
+    ;;
+  PowerPC)
+    ARCH=PPC
+    ;;
+  Sparc)
+    ARCH=SPARC
+    ;;
+  SystemZ)
+    ARCH=SYSZ
+    ;;
+  XCore)
+    ARCH=XCORE
+    ;;
+  x86)
+    ARCH=X86
+    ;;
+  TMS320C64x)
+    ARCH=TMS320C64X
+    ;;
+  M680x)
+    ARCH=M680X
+    ;;
+  EVM)
+    ARCH=EVM
+    ;;
+  *)
+    ;;
+esac
+
+if [ "x${ARCH}" = "x" ]; then
+  FLAGS+=" -DCAPSTONE_ARCHITECTURE_DEFAULT=ON"
+else
+  FLAGS+=" -DCAPSTONE_ARCHITECTURE_DEFAULT=OFF -DCAPSTONE_${ARCH}_SUPPORT=ON"
+fi
+
+cmake $FLAGS ..
+
+make -j8
diff -pruN 4.0.1+really+3.0.5-2/COMPILE_CMAKE.TXT 4.0.2-3/COMPILE_CMAKE.TXT
--- 4.0.1+really+3.0.5-2/COMPILE_CMAKE.TXT	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/COMPILE_CMAKE.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -16,20 +16,26 @@ Get CMake for free from http://www.cmake
 
 (0) Tailor Capstone to your need.
 
-  Out of 8 archtitectures supported by Capstone (Arm, Arm64, Mips, PPC, Sparc,
-  SystemZ, X86 & XCore), if you just need several selected archs, run "cmake"
-  with the unwanted archs disabled (set to 0) as followings.
+  Out of archtitectures supported by Capstone, if you just need several selected archs,
+  run "cmake" with the unwanted archs disabled (set to 0) as followings.
 
   - CAPSTONE_ARM_SUPPORT: support ARM. Run cmake with -DCAPSTONE_ARM_SUPPORT=0 to remove ARM.
   - CAPSTONE_ARM64_SUPPORT: support ARM64. Run cmake with -DCAPSTONE_ARM64_SUPPORT=0 to remove ARM64.
+  - CAPSTONE_M680X_SUPPORT: support M680X. Run cmake with -DCAPSTONE_M680X_SUPPORT=0 to remove M680X.
+  - CAPSTONE_M68K_SUPPORT: support M68K. Run cmake with -DCAPSTONE_M68K_SUPPORT=0 to remove M68K.
   - CAPSTONE_MIPS_SUPPORT: support Mips. Run cmake with -DCAPSTONE_MIPS_SUPPORT=0 to remove Mips.
   - CAPSTONE_PPC_SUPPORT: support PPC. Run cmake with -DCAPSTONE_PPC_SUPPORT=0 to remove PPC.
   - CAPSTONE_SPARC_SUPPORT: support Sparc. Run cmake with -DCAPSTONE_SPARC_SUPPORT=0 to remove Sparc.
   - CAPSTONE_SYSZ_SUPPORT: support SystemZ. Run cmake with -DCAPSTONE_SYSZ_SUPPORT=0 to remove SystemZ.
   - CAPSTONE_XCORE_SUPPORT: support XCore. Run cmake with -DCAPSTONE_XCORE_SUPPORT=0 to remove XCore.
   - CAPSTONE_X86_SUPPORT: support X86. Run cmake with -DCAPSTONE_X86_SUPPORT=0 to remove X86.
+  - CAPSTONE_TMS320C64X_SUPPORT: support TMS320C64X. Run cmake with -DCAPSTONE_TMS320C64X_SUPPORT=0 to remove TMS320C64X.
+  - CAPSTONE_EVM_SUPPORT: support EVM. Run cmake with -DCAPSTONE_EVM_SUPPORT=0 to remove EVM.
+  - CAPSTONE_ARCHITECUTRE_DEFAULT: Whether architectures are enabled by default.
+      Set this of OFF with -DCAPSTONE_ARCHITECUTRE_DEFAULT=OFF to dissable all architectures by default.
+      You can then enable them again with one of the CAPSTONE_<ARCH>_SUPPORT options.
 
-  By default, all 8 architectures are compiled in.
+  By default, all architectures are compiled in.
 
 
   Besides, Capstone also allows some more customization via following macros.
@@ -51,6 +57,17 @@ Get CMake for free from http://www.cmake
 (1) CMake allows you to generate different generators to build Capstone. Below is
     some examples on how to build Capstone on Windows with CMake.
 
+  (*) You can let CMake select a generator for you. Do:
+
+      mkdir build
+      cd build
+      cmake ..
+
+    This last command is also where you can pass additional CMake configuration flags
+    using `-D<key>=<value>`. Then to build use:
+
+      cmake --build . --config Release
+
 
   (*) To build Capstone using Nmake of Windows SDK, do:
 
@@ -78,3 +95,19 @@ Get CMake for free from http://www.cmake
 (2) You can make sure the prior steps successfully worked by launching one of the
   testing binary (test*.exe).
 
+(3) You can also enable just one specific architecture by passing the architecture name
+  to either the cmake.sh or nmake.bat scripts. e.g.:
+
+    ../cmake.sh x86
+
+  Will just target the x86 architecture. The list of available architectures is: ARM,
+  ARM64, M68K, MIPS, PowerPC, Sparc, SystemZ, XCore, x86, TMS320C64x, M680x, EVM, MOS65XX.
+
+(4) You can also create an installation image with cmake, by using the 'install' target.
+  Use:
+
+    cmake --build . --config Release --target install
+
+  This will normally install an image in a default location (`C:\Program Files` on Windows),
+  so it's good to explicitly set this location when configuring CMake. Use: `-DCMAKE_INSTALL_PREFIX=image`
+  for instance, to put the installation in the 'image' subdirectory of the build directory.
diff -pruN 4.0.1+really+3.0.5-2/COMPILE_MSVC.TXT 4.0.2-3/COMPILE_MSVC.TXT
--- 4.0.1+really+3.0.5-2/COMPILE_MSVC.TXT	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/COMPILE_MSVC.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -13,15 +13,15 @@ and follow the instructions below.
 
 NOTE: This requires Visual Studio 2010 or newer versions.
 
-If you wish to embed Capstone in a kernel driver, Visual Studio 2013 or newer
-versions, and Windows Driver Kit 8.1 Update 1 or newer versions are required.
+If you wish to embed Capstone in a kernel driver, Visual Studio 2017 or newer
+versions, and Windows Driver Kit 10 or newer versions are required.
 
 
 (0) Tailor Capstone to your need.
 
-  Out of 8 archtitectures supported by Capstone (Arm, Arm64, Mips, PPC, Sparc,
-  SystemZ, X86 & XCore), if you just need several selected archs, choose the ones
-  you want to compile in by opening Visual Studio solution "msvc\capstone.sln",
+  Out of 9 archtitectures supported by Capstone (Arm, Arm64, M68K, Mips, PPC,
+  Sparc, SystemZ, X86 & XCore), if you just need several selected archs, choose
+  the ones you want to compile in by opening Visual Studio solution "msvc\capstone.sln",
   then directly editing the projects "capstone_static" & "capstone_dll" for static
   and dynamic libraries, respectively. This must be done before going to the next
   steps.
@@ -32,14 +32,15 @@ versions, and Windows Driver Kit 8.1 Upd
 
   - CAPSTONE_HAS_ARM: support ARM. Delete this to remove ARM support.
   - CAPSTONE_HAS_ARM64: support ARM64. Delete this to remove ARM64 support.
+  - CAPSTONE_HAS_M68K: support M68K. Delete this to remove M68K support.
   - CAPSTONE_HAS_MIPS: support Mips. Delete this to remove Mips support.
-  - CAPSTONE_HAS_PPC: support PPC. Delete this to remove PPC support.
+  - CAPSTONE_HAS_POWERPC: support PPC. Delete this to remove PPC support.
   - CAPSTONE_HAS_SPARC: support Sparc. Delete this to remove Sparc support.
   - CAPSTONE_HAS_SYSZ: support SystemZ. Delete this to remove SystemZ support.
   - CAPSTONE_HAS_X86: support X86. Delete this to remove X86 support.
   - CAPSTONE_HAS_XCORE: support XCore. Delete this to remove XCore support.
 
-  By default, all 8 architectures are compiled in.
+  By default, all 9 architectures are compiled in.
 
 
   Besides, Capstone also allows some more customization via following macros.
@@ -105,3 +106,17 @@ versions, and Windows Driver Kit 8.1 Upd
 
       >sc delete test_winkernel
       >bcdedit /deletevalue testsigning
+      
+      
+      
+(3) Installing and building capstone via vcpkg
+  
+  You can download and install capstone using the vcpkg(https://github.com/Microsoft/vcpkg) dependency manager:
+
+    git clone https://github.com/Microsoft/vcpkg.git
+    cd vcpkg
+    ./bootstrap-vcpkg.sh
+    ./vcpkg integrate install
+    vcpkg install capstone
+
+  The capstone port in vcpkg is kept up to date by Microsoft team members and community contributors. If the version is out of date, please create an issue or pull request on the vcpkg repository(https://github.com/Microsoft/vcpkg). 
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/COMPILE.TXT 4.0.2-3/COMPILE.TXT
--- 4.0.1+really+3.0.5-2/COMPILE.TXT	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/COMPILE.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -7,6 +7,8 @@ To compile using CMake, see COMPILE_CMAK
 
 To compile using XCode on MacOSX, see xcode/README.md.
 
+To compile for Windows CE (a.k.a, Windows Embedded Compact), see windowsce/COMPILE.md.
+
                         *-*-*-*-*-*
 
 Capstone requires no prerequisite packages, so it is easy to compile & install.
@@ -15,15 +17,15 @@ Capstone requires no prerequisite packag
 
 (0) Tailor Capstone to your need.
 
-  Out of 8 archtitectures supported by Capstone (Arm, Arm64, Mips, PPC, Sparc,
-  SystemZ, XCore & X86), if you just need several selected archs, choose which
-  ones you want to compile in by editing "config.mk" before going to next steps.
+  Out of all archtitectures supported by Capstone, if you just need several
+  selected archs, choose the ones you want to compile in by editing "config.mk"
+  before going to next steps.
 
-  By default, all 8 architectures are compiled.
+  By default, all architectures are compiled.
 
   The other way of customize Capstone without having to edit config.mk is to
   pass the desired options on the commandline to ./make.sh. Currently,
-  Capstone supports 5 options, as followings.
+  Capstone supports 8 options, as followings.
 
   - CAPSTONE_ARCHS: specify list of architectures to compiled in.
   - CAPSTONE_USE_SYS_DYN_MEM: change this if you have your own dynamic memory management.
@@ -32,6 +34,7 @@ Capstone requires no prerequisite packag
   - CAPSTONE_X86_ATT_DISABLE: disables AT&T syntax on x86.
   - CAPSTONE_STATIC: build static library.
   - CAPSTONE_SHARED: build dynamic (shared) library.
+  - CAPSTONE_DEBUG: enable debug build supporting assert().
 
   By default, Capstone uses system dynamic memory management, both DIET and X86_REDUCE
   modes are disable, and builds all the static & shared libraries.
@@ -80,18 +83,23 @@ Capstone requires no prerequisite packag
   NOTE: The core framework installed by "./make.sh install" consist of
   following files:
 
-	/usr/include/capstone/capstone.h
-	/usr/include/capstone/x86.h
 	/usr/include/capstone/arm.h
 	/usr/include/capstone/arm64.h
+	/usr/include/capstone/capstone.h
+	/usr/include/capstone/evm.h
+	/usr/include/capstone/m680x.h
+	/usr/include/capstone/m68k.h
 	/usr/include/capstone/mips.h
+	/usr/include/capstone/mos65xx.h
+	/usr/include/capstone/platform.h
 	/usr/include/capstone/ppc.h
 	/usr/include/capstone/sparc.h
 	/usr/include/capstone/systemz.h
+	/usr/include/capstone/tms320c64x.h
+	/usr/include/capstone/x86.h
 	/usr/include/capstone/xcore.h
-	/usr/include/capstone/platform.h
-	/usr/lib/libcapstone.so (for Linux/*nix), or /usr/lib/libcapstone.dylib (OSX)
 	/usr/lib/libcapstone.a
+	/usr/lib/libcapstone.so (for Linux/*nix), or /usr/lib/libcapstone.dylib (OSX)
 
 
 
@@ -115,7 +123,7 @@ Capstone requires no prerequisite packag
 
 (4) Cross-compile for iOS from Mac OSX.
 
-  To cross-compile for iOS (iPhone/iPad/iPod), Mac OSX with XCode installed is required. 
+  To cross-compile for iOS (iPhone/iPad/iPod), Mac OSX with XCode installed is required.
 
 	- To cross-compile for ArmV7 (iPod 4, iPad 1/2/3, iPhone4, iPhone4S), run:
 		$ ./make.sh ios_armv7
@@ -139,9 +147,9 @@ Capstone requires no prerequisite packag
   To cross-compile for Android (smartphone/tablet), Android NDK is required.
   NOTE: Only ARM and ARM64 are currently supported.
 
-       $ NDK=/android/android-ndk-r10e ./make.sh cross-android arm
-       or
-       $ NDK=/android/android-ndk-r10e ./make.sh cross-android arm64
+	$ NDK=/android/android-ndk-r10e ./make.sh cross-android arm
+  or
+	$ NDK=/android/android-ndk-r10e ./make.sh cross-android arm64
 
   Resulted files libcapstone.so, libcapstone.a & tests/test* can then
   be used on Android devices.
diff -pruN 4.0.1+really+3.0.5-2/config.mk 4.0.2-3/config.mk
--- 4.0.1+really+3.0.5-2/config.mk	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/config.mk	2020-05-08 10:03:30.000000000 +0000
@@ -4,7 +4,7 @@
 ################################################################################
 # Specify which archs you want to compile in. By default, we build all archs.
 
-CAPSTONE_ARCHS ?= arm aarch64 mips powerpc sparc systemz x86 xcore
+CAPSTONE_ARCHS ?= arm aarch64 m68k mips powerpc sparc systemz x86 xcore tms320c64x m680x evm
 
 
 ################################################################################
diff -pruN 4.0.1+really+3.0.5-2/contrib/cs_driver/cs_driver/cs_driver.c 4.0.2-3/contrib/cs_driver/cs_driver/cs_driver.c
--- 4.0.1+really+3.0.5-2/contrib/cs_driver/cs_driver/cs_driver.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/contrib/cs_driver/cs_driver/cs_driver.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Driver */
-/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016 */
+/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016-2019 */
 
 // Firstly, compile capstone_static_winkernel and
 // generate capstone_static_winkernel.lib. It can be done by adding the
@@ -11,6 +11,8 @@
 // Platform to "All Platforms". Then, add the following entries:
 //    - C/C++ > General > Additional Include Directories
 //      - $(SolutionDir)capstone\include
+//    - C/C++ > Preprocessor > Preprocessor Definitions
+//      - _NO_CRT_STDIO_INLINE
 //    - Linker > Input > Additional Dependencies
 //      - $(OutDir)capstone_static_winkernel.lib
 //      - ntstrsafe.lib
@@ -19,7 +21,7 @@
 // Capstone.
 
 #include <ntddk.h>
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 // 'conversion' : from function pointer 'type1' to data pointer 'type2'
 #pragma warning(disable : 4054)
@@ -88,7 +90,7 @@ exit:;
 }
 
 // printf()
-_Use_decl_annotations_ int __cdecl printf(const char *_Format, ...) {
+_Use_decl_annotations_ int __cdecl printf(const char * const _Format, ...) {
   NTSTATUS status;
   va_list args;
 
diff -pruN 4.0.1+really+3.0.5-2/contrib/cs_driver/cs_driver/cs_driver.vcxproj 4.0.2-3/contrib/cs_driver/cs_driver/cs_driver.vcxproj
--- 4.0.1+really+3.0.5-2/contrib/cs_driver/cs_driver/cs_driver.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/contrib/cs_driver/cs_driver/cs_driver.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -31,28 +31,28 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
@@ -80,7 +80,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>$(OutDir)capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -90,7 +91,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>$(OutDir)capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -100,7 +102,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>$(OutDir)capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -110,7 +113,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>$(OutDir)capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
diff -pruN 4.0.1+really+3.0.5-2/contrib/cs_driver/README 4.0.2-3/contrib/cs_driver/README
--- 4.0.1+really+3.0.5-2/contrib/cs_driver/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/contrib/cs_driver/README	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 This directory contains a sample project for using Capstone from a Windows 
-driver. Open cs_driver.sln with Visual Studio 2013 or newer and see cs_driver.c 
+driver. Open cs_driver.sln with Visual Studio 2017 or newer and see cs_driver.c
 for details.
 
 For prerequisites to compile Capstone for drivers, see COMPILE_MSVC.TXT.
diff -pruN 4.0.1+really+3.0.5-2/contrib/m68k_instruction_tbl_gen/M68KInstructionTblGen.c 4.0.2-3/contrib/m68k_instruction_tbl_gen/M68KInstructionTblGen.c
--- 4.0.1+really+3.0.5-2/contrib/m68k_instruction_tbl_gen/M68KInstructionTblGen.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/contrib/m68k_instruction_tbl_gen/M68KInstructionTblGen.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,467 @@
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
+/* This code is used to build the static lookup table used inside the M68KDisassembler.c code
+ * To run this use the Makefile in the same directory
+ */
+
+typedef struct {
+	const char *name;    /* handler function name */
+	uint16_t mask;       /* mask on opcode */
+	uint16_t match;      /* what to match after masking */
+	uint16_t ea_mask;    /* what ea modes are allowed */
+	uint16_t mask2;      /* mask the 2nd word */
+	uint16_t match2;     /* what to match after masking */
+} opcode_struct;
+
+/* ======================================================================== */
+/* ======================= INSTRUCTION TABLE BUILDER ====================== */
+/* ======================================================================== */
+
+/* EA Masks:
+   800 = data register direct
+   400 = address register direct
+   200 = address register indirect
+   100 = ARI postincrement
+   80 = ARI pre-decrement
+   40 = ARI displacement
+   20 = ARI index
+   10 = absolute short
+   8 = absolute long
+   4 = immediate / sr
+   2 = pc displacement
+   1 = pc idx
+ */
+
+static opcode_struct g_opcode_info[] = {
+	/*  opcode handler         mask    match   ea_mask   mask2   match2*/
+	{"d68000_1010"         , 0xf000, 0xa000, 0x000},
+	{"d68000_1111"         , 0xf000, 0xf000, 0x000},
+	{"d68000_abcd_rr"      , 0xf1f8, 0xc100, 0x000},
+	{"d68000_abcd_mm"      , 0xf1f8, 0xc108, 0x000},
+	{"d68000_add_er_8"     , 0xf1c0, 0xd000, 0xbff},
+	{"d68000_add_er_16"    , 0xf1c0, 0xd040, 0xfff},
+	{"d68000_add_er_32"    , 0xf1c0, 0xd080, 0xfff},
+	{"d68000_add_re_8"     , 0xf1c0, 0xd100, 0x3f8},
+	{"d68000_add_re_16"    , 0xf1c0, 0xd140, 0x3f8},
+	{"d68000_add_re_32"    , 0xf1c0, 0xd180, 0x3f8},
+	{"d68000_adda_16"      , 0xf1c0, 0xd0c0, 0xfff},
+	{"d68000_adda_32"      , 0xf1c0, 0xd1c0, 0xfff},
+	{"d68000_addi_8"       , 0xffc0, 0x0600, 0xbf8},
+	{"d68000_addi_16"      , 0xffc0, 0x0640, 0xbf8},
+	{"d68000_addi_32"      , 0xffc0, 0x0680, 0xbf8},
+	{"d68000_addq_8"       , 0xf1c0, 0x5000, 0xbf8},
+	{"d68000_addq_16"      , 0xf1c0, 0x5040, 0xff8},
+	{"d68000_addq_32"      , 0xf1c0, 0x5080, 0xff8},
+	{"d68000_addx_rr_8"    , 0xf1f8, 0xd100, 0x000},
+	{"d68000_addx_rr_16"   , 0xf1f8, 0xd140, 0x000},
+	{"d68000_addx_rr_32"   , 0xf1f8, 0xd180, 0x000},
+	{"d68000_addx_mm_8"    , 0xf1f8, 0xd108, 0x000},
+	{"d68000_addx_mm_16"   , 0xf1f8, 0xd148, 0x000},
+	{"d68000_addx_mm_32"   , 0xf1f8, 0xd188, 0x000},
+	{"d68000_and_er_8"     , 0xf1c0, 0xc000, 0xbff},
+	{"d68000_and_er_16"    , 0xf1c0, 0xc040, 0xbff},
+	{"d68000_and_er_32"    , 0xf1c0, 0xc080, 0xbff},
+	{"d68000_and_re_8"     , 0xf1c0, 0xc100, 0x3f8},
+	{"d68000_and_re_16"    , 0xf1c0, 0xc140, 0x3f8},
+	{"d68000_and_re_32"    , 0xf1c0, 0xc180, 0x3f8},
+	{"d68000_andi_to_ccr"  , 0xffff, 0x023c, 0x000, 0xff00, 0x0000},
+	{"d68000_andi_to_sr"   , 0xffff, 0x027c, 0x000},
+	{"d68000_andi_8"       , 0xffc0, 0x0200, 0xbf8},
+	{"d68000_andi_16"      , 0xffc0, 0x0240, 0xbf8},
+	{"d68000_andi_32"      , 0xffc0, 0x0280, 0xbf8},
+	{"d68000_asr_s_8"      , 0xf1f8, 0xe000, 0x000},
+	{"d68000_asr_s_16"     , 0xf1f8, 0xe040, 0x000},
+	{"d68000_asr_s_32"     , 0xf1f8, 0xe080, 0x000},
+	{"d68000_asr_r_8"      , 0xf1f8, 0xe020, 0x000},
+	{"d68000_asr_r_16"     , 0xf1f8, 0xe060, 0x000},
+	{"d68000_asr_r_32"     , 0xf1f8, 0xe0a0, 0x000},
+	{"d68000_asr_ea"       , 0xffc0, 0xe0c0, 0x3f8},
+	{"d68000_asl_s_8"      , 0xf1f8, 0xe100, 0x000},
+	{"d68000_asl_s_16"     , 0xf1f8, 0xe140, 0x000},
+	{"d68000_asl_s_32"     , 0xf1f8, 0xe180, 0x000},
+	{"d68000_asl_r_8"      , 0xf1f8, 0xe120, 0x000},
+	{"d68000_asl_r_16"     , 0xf1f8, 0xe160, 0x000},
+	{"d68000_asl_r_32"     , 0xf1f8, 0xe1a0, 0x000},
+	{"d68000_asl_ea"       , 0xffc0, 0xe1c0, 0x3f8},
+	{"d68000_bcc_8"        , 0xf000, 0x6000, 0x000},
+	{"d68000_bcc_16"       , 0xf0ff, 0x6000, 0x000},
+	{"d68020_bcc_32"       , 0xf0ff, 0x60ff, 0x000},
+	{"d68000_bchg_r"       , 0xf1c0, 0x0140, 0xbf8},
+	{"d68000_bchg_s"       , 0xffc0, 0x0840, 0xbf8, 0xff00, 0x0000},
+	{"d68000_bclr_r"       , 0xf1c0, 0x0180, 0xbf8},
+	{"d68000_bclr_s"       , 0xffc0, 0x0880, 0xbf8, 0xff00, 0x0000},
+	{"d68020_bfchg"        , 0xffc0, 0xeac0, 0xa78, 0xf000, 0x0000},
+	{"d68020_bfclr"        , 0xffc0, 0xecc0, 0xa78, 0xf000, 0x0000},
+	{"d68020_bfexts"       , 0xffc0, 0xebc0, 0xa7b, 0x8000, 0x0000},
+	{"d68020_bfextu"       , 0xffc0, 0xe9c0, 0xa7b, 0x8000, 0x0000},
+	{"d68020_bfffo"        , 0xffc0, 0xedc0, 0xa7b, 0x8000, 0x0000},
+	{"d68020_bfins"        , 0xffc0, 0xefc0, 0xa78, 0x8000, 0x0000},
+	{"d68020_bfset"        , 0xffc0, 0xeec0, 0xa78, 0xf000, 0x0000},
+	{"d68020_bftst"        , 0xffc0, 0xe8c0, 0xa7b, 0xf000, 0x0000},
+	{"d68010_bkpt"         , 0xfff8, 0x4848, 0x000},
+	{"d68000_bra_8"        , 0xff00, 0x6000, 0x000},
+	{"d68000_bra_16"       , 0xffff, 0x6000, 0x000},
+	{"d68020_bra_32"       , 0xffff, 0x60ff, 0x000},
+	{"d68000_bset_r"       , 0xf1c0, 0x01c0, 0xbf8},
+	{"d68000_bset_s"       , 0xffc0, 0x08c0, 0xbf8, 0xfe00, 0x0000 },
+	{"d68000_bsr_8"        , 0xff00, 0x6100, 0x000},
+	{"d68000_bsr_16"       , 0xffff, 0x6100, 0x000},
+	{"d68020_bsr_32"       , 0xffff, 0x61ff, 0x000},
+	{"d68000_btst_r"       , 0xf1c0, 0x0100, 0xbff},
+	{"d68000_btst_s"       , 0xffc0, 0x0800, 0xbfb, 0xff00, 0x0000},
+	{"d68020_callm"        , 0xffc0, 0x06c0, 0x27b, 0xff00, 0x0000},
+	{"d68020_cas_8"        , 0xffc0, 0x0ac0, 0x3f8, 0xfe38, 0x0000},
+	{"d68020_cas_16"       , 0xffc0, 0x0cc0, 0x3f8, 0xfe38, 0x0000},
+	{"d68020_cas_32"       , 0xffc0, 0x0ec0, 0x3f8, 0xfe38, 0x0000},
+	{"d68020_cas2_16"      , 0xffff, 0x0cfc, 0x000, 0x0e38, 0x0000/*, 0x0e38, 0x0000 */},
+	{"d68020_cas2_32"      , 0xffff, 0x0efc, 0x000, 0x0e38, 0x0000/*, 0x0e38, 0x0000 */},
+	{"d68000_chk_16"       , 0xf1c0, 0x4180, 0xbff},
+	{"d68020_chk_32"       , 0xf1c0, 0x4100, 0xbff},
+	{"d68020_chk2_cmp2_8"  , 0xffc0, 0x00c0, 0x27b, 0x07ff, 0x0000},
+	{"d68020_chk2_cmp2_16" , 0xffc0, 0x02c0, 0x27b, 0x07ff, 0x0000},
+	{"d68020_chk2_cmp2_32" , 0xffc0, 0x04c0, 0x27b, 0x07ff, 0x0000},
+	{"d68040_cinv"         , 0xff20, 0xf400, 0x000},
+	{"d68000_clr_8"        , 0xffc0, 0x4200, 0xbf8},
+	{"d68000_clr_16"       , 0xffc0, 0x4240, 0xbf8},
+	{"d68000_clr_32"       , 0xffc0, 0x4280, 0xbf8},
+	{"d68000_cmp_8"        , 0xf1c0, 0xb000, 0xbff},
+	{"d68000_cmp_16"       , 0xf1c0, 0xb040, 0xfff},
+	{"d68000_cmp_32"       , 0xf1c0, 0xb080, 0xfff},
+	{"d68000_cmpa_16"      , 0xf1c0, 0xb0c0, 0xfff},
+	{"d68000_cmpa_32"      , 0xf1c0, 0xb1c0, 0xfff},
+	{"d68000_cmpi_8"       , 0xffc0, 0x0c00, 0xbf8},
+	{"d68020_cmpi_pcdi_8"  , 0xffff, 0x0c3a, 0x000},
+	{"d68020_cmpi_pcix_8"  , 0xffff, 0x0c3b, 0x000},
+	{"d68000_cmpi_16"      , 0xffc0, 0x0c40, 0xbf8},
+	{"d68020_cmpi_pcdi_16" , 0xffff, 0x0c7a, 0x000},
+	{"d68020_cmpi_pcix_16" , 0xffff, 0x0c7b, 0x000},
+	{"d68000_cmpi_32"      , 0xffc0, 0x0c80, 0xbf8},
+	{"d68020_cmpi_pcdi_32" , 0xffff, 0x0cba, 0x000},
+	{"d68020_cmpi_pcix_32" , 0xffff, 0x0cbb, 0x000},
+	{"d68000_cmpm_8"       , 0xf1f8, 0xb108, 0x000},
+	{"d68000_cmpm_16"      , 0xf1f8, 0xb148, 0x000},
+	{"d68000_cmpm_32"      , 0xf1f8, 0xb188, 0x000},
+	{"d68020_cpbcc_16"     , 0xf1c0, 0xf080, 0x000},
+	{"d68020_cpbcc_32"     , 0xf1c0, 0xf0c0, 0x000},
+	{"d68020_cpdbcc"       , 0xf1f8, 0xf048, 0x000},
+	{"d68020_cpgen"        , 0xf1c0, 0xf000, 0x000},
+	{"d68020_cprestore"    , 0xf1c0, 0xf140, 0x37f},
+	{"d68020_cpsave"       , 0xf1c0, 0xf100, 0x2f8},
+	{"d68020_cpscc"        , 0xf1c0, 0xf040, 0xbf8},
+	{"d68020_cptrapcc_0"   , 0xf1ff, 0xf07c, 0x000},
+	{"d68020_cptrapcc_16"  , 0xf1ff, 0xf07a, 0x000},
+	{"d68020_cptrapcc_32"  , 0xf1ff, 0xf07b, 0x000},
+	{"d68040_cpush"        , 0xff20, 0xf420, 0x000},
+	{"d68000_dbcc"         , 0xf0f8, 0x50c8, 0x000},
+	{"d68000_dbra"         , 0xfff8, 0x51c8, 0x000},
+	{"d68000_divs"         , 0xf1c0, 0x81c0, 0xbff},
+	{"d68000_divu"         , 0xf1c0, 0x80c0, 0xbff},
+	{"d68020_divl"         , 0xff80, 0x4c00, 0xbff, 0x83f8, 0x0000},
+	{"d68000_eor_8"        , 0xf1c0, 0xb100, 0xbf8},
+	{"d68000_eor_16"       , 0xf1c0, 0xb140, 0xbf8},
+	{"d68000_eor_32"       , 0xf1c0, 0xb180, 0xbf8},
+	{"d68000_eori_to_ccr"  , 0xffff, 0x0a3c, 0x000, 0xff00, 0x0000},
+	{"d68000_eori_to_sr"   , 0xffff, 0x0a7c, 0x000},
+	{"d68000_eori_8"       , 0xffc0, 0x0a00, 0xbf8},
+	{"d68000_eori_16"      , 0xffc0, 0x0a40, 0xbf8},
+	{"d68000_eori_32"      , 0xffc0, 0x0a80, 0xbf8},
+	{"d68000_exg_dd"       , 0xf1f8, 0xc140, 0x000},
+	{"d68000_exg_aa"       , 0xf1f8, 0xc148, 0x000},
+	{"d68000_exg_da"       , 0xf1f8, 0xc188, 0x000},
+	{"d68020_extb_32"      , 0xfff8, 0x49c0, 0x000},
+	{"d68000_ext_16"       , 0xfff8, 0x4880, 0x000},
+	{"d68000_ext_32"       , 0xfff8, 0x48c0, 0x000},
+	{"d68000_illegal"      , 0xffff, 0x4afc, 0x000},
+	{"d68000_jmp"          , 0xffc0, 0x4ec0, 0x27b},
+	{"d68000_jsr"          , 0xffc0, 0x4e80, 0x27b},
+	{"d68000_lea"          , 0xf1c0, 0x41c0, 0x27b},
+	{"d68000_link_16"      , 0xfff8, 0x4e50, 0x000},
+	{"d68020_link_32"      , 0xfff8, 0x4808, 0x000},
+	{"d68000_lsr_s_8"      , 0xf1f8, 0xe008, 0x000},
+	{"d68000_lsr_s_16"     , 0xf1f8, 0xe048, 0x000},
+	{"d68000_lsr_s_32"     , 0xf1f8, 0xe088, 0x000},
+	{"d68000_lsr_r_8"      , 0xf1f8, 0xe028, 0x000},
+	{"d68000_lsr_r_16"     , 0xf1f8, 0xe068, 0x000},
+	{"d68000_lsr_r_32"     , 0xf1f8, 0xe0a8, 0x000},
+	{"d68000_lsr_ea"       , 0xffc0, 0xe2c0, 0x3f8},
+	{"d68000_lsl_s_8"      , 0xf1f8, 0xe108, 0x000},
+	{"d68000_lsl_s_16"     , 0xf1f8, 0xe148, 0x000},
+	{"d68000_lsl_s_32"     , 0xf1f8, 0xe188, 0x000},
+	{"d68000_lsl_r_8"      , 0xf1f8, 0xe128, 0x000},
+	{"d68000_lsl_r_16"     , 0xf1f8, 0xe168, 0x000},
+	{"d68000_lsl_r_32"     , 0xf1f8, 0xe1a8, 0x000},
+	{"d68000_lsl_ea"       , 0xffc0, 0xe3c0, 0x3f8},
+	{"d68000_move_8"       , 0xf000, 0x1000, 0xbff},
+	{"d68000_move_16"      , 0xf000, 0x3000, 0xfff},
+	{"d68000_move_32"      , 0xf000, 0x2000, 0xfff},
+	{"d68000_movea_16"     , 0xf1c0, 0x3040, 0xfff},
+	{"d68000_movea_32"     , 0xf1c0, 0x2040, 0xfff},
+	{"d68000_move_to_ccr"  , 0xffc0, 0x44c0, 0xbff},
+	{"d68010_move_fr_ccr"  , 0xffc0, 0x42c0, 0xbf8},
+	{"d68000_move_to_sr"   , 0xffc0, 0x46c0, 0xbff},
+	{"d68000_move_fr_sr"   , 0xffc0, 0x40c0, 0xbf8},
+	{"d68000_move_to_usp"  , 0xfff8, 0x4e60, 0x000},
+	{"d68000_move_fr_usp"  , 0xfff8, 0x4e68, 0x000},
+	{"d68010_movec"        , 0xfffe, 0x4e7a, 0x000},
+	{"d68000_movem_pd_16"  , 0xfff8, 0x48a0, 0x000},
+	{"d68000_movem_pd_32"  , 0xfff8, 0x48e0, 0x000},
+	{"d68000_movem_re_16"  , 0xffc0, 0x4880, 0x2f8},
+	{"d68000_movem_re_32"  , 0xffc0, 0x48c0, 0x2f8},
+	{"d68000_movem_er_16"  , 0xffc0, 0x4c80, 0x37b},
+	{"d68000_movem_er_32"  , 0xffc0, 0x4cc0, 0x37b},
+	{"d68000_movep_er_16"  , 0xf1f8, 0x0108, 0x000},
+	{"d68000_movep_er_32"  , 0xf1f8, 0x0148, 0x000},
+	{"d68000_movep_re_16"  , 0xf1f8, 0x0188, 0x000},
+	{"d68000_movep_re_32"  , 0xf1f8, 0x01c8, 0x000},
+	{"d68010_moves_8"      , 0xffc0, 0x0e00, 0x3f8, 0x07ff, 0x0000},
+	{"d68010_moves_16"     , 0xffc0, 0x0e40, 0x3f8, 0x07ff, 0x0000},
+	{"d68010_moves_32"     , 0xffc0, 0x0e80, 0x3f8, 0x07ff, 0x0000},
+	{"d68000_moveq"        , 0xf100, 0x7000, 0x000},
+	{"d68040_move16_pi_pi" , 0xfff8, 0xf620, 0x000, 0x8fff, 0x8000},
+	{"d68040_move16_pi_al" , 0xfff8, 0xf600, 0x000},
+	{"d68040_move16_al_pi" , 0xfff8, 0xf608, 0x000},
+	{"d68040_move16_ai_al" , 0xfff8, 0xf610, 0x000},
+	{"d68040_move16_al_ai" , 0xfff8, 0xf618, 0x000},
+	{"d68000_muls"         , 0xf1c0, 0xc1c0, 0xbff},
+	{"d68000_mulu"         , 0xf1c0, 0xc0c0, 0xbff},
+	{"d68020_mull"         , 0xffc0, 0x4c00, 0xbff, 0x83f8, 0x0000},
+	{"d68000_nbcd"         , 0xffc0, 0x4800, 0xbf8},
+	{"d68000_neg_8"        , 0xffc0, 0x4400, 0xbf8},
+	{"d68000_neg_16"       , 0xffc0, 0x4440, 0xbf8},
+	{"d68000_neg_32"       , 0xffc0, 0x4480, 0xbf8},
+	{"d68000_negx_8"       , 0xffc0, 0x4000, 0xbf8},
+	{"d68000_negx_16"      , 0xffc0, 0x4040, 0xbf8},
+	{"d68000_negx_32"      , 0xffc0, 0x4080, 0xbf8},
+	{"d68000_nop"          , 0xffff, 0x4e71, 0x000},
+	{"d68000_not_8"        , 0xffc0, 0x4600, 0xbf8},
+	{"d68000_not_16"       , 0xffc0, 0x4640, 0xbf8},
+	{"d68000_not_32"       , 0xffc0, 0x4680, 0xbf8},
+	{"d68000_or_er_8"      , 0xf1c0, 0x8000, 0xbff},
+	{"d68000_or_er_16"     , 0xf1c0, 0x8040, 0xbff},
+	{"d68000_or_er_32"     , 0xf1c0, 0x8080, 0xbff},
+	{"d68000_or_re_8"      , 0xf1c0, 0x8100, 0x3f8},
+	{"d68000_or_re_16"     , 0xf1c0, 0x8140, 0x3f8},
+	{"d68000_or_re_32"     , 0xf1c0, 0x8180, 0x3f8},
+	{"d68000_ori_to_ccr"   , 0xffff, 0x003c, 0x000, 0xff00, 0x0000},
+	{"d68000_ori_to_sr"    , 0xffff, 0x007c, 0x000},
+	{"d68000_ori_8"        , 0xffc0, 0x0000, 0xbf8},
+	{"d68000_ori_16"       , 0xffc0, 0x0040, 0xbf8},
+	{"d68000_ori_32"       , 0xffc0, 0x0080, 0xbf8},
+	{"d68020_pack_rr"      , 0xf1f8, 0x8140, 0x000},
+	{"d68020_pack_mm"      , 0xf1f8, 0x8148, 0x000},
+	{"d68000_pea"          , 0xffc0, 0x4840, 0x27b},
+	{"d68000_reset"        , 0xffff, 0x4e70, 0x000},
+	{"d68000_ror_s_8"      , 0xf1f8, 0xe018, 0x000},
+	{"d68000_ror_s_16"     , 0xf1f8, 0xe058, 0x000},
+	{"d68000_ror_s_32"     , 0xf1f8, 0xe098, 0x000},
+	{"d68000_ror_r_8"      , 0xf1f8, 0xe038, 0x000},
+	{"d68000_ror_r_16"     , 0xf1f8, 0xe078, 0x000},
+	{"d68000_ror_r_32"     , 0xf1f8, 0xe0b8, 0x000},
+	{"d68000_ror_ea"       , 0xffc0, 0xe6c0, 0x3f8},
+	{"d68000_rol_s_8"      , 0xf1f8, 0xe118, 0x000},
+	{"d68000_rol_s_16"     , 0xf1f8, 0xe158, 0x000},
+	{"d68000_rol_s_32"     , 0xf1f8, 0xe198, 0x000},
+	{"d68000_rol_r_8"      , 0xf1f8, 0xe138, 0x000},
+	{"d68000_rol_r_16"     , 0xf1f8, 0xe178, 0x000},
+	{"d68000_rol_r_32"     , 0xf1f8, 0xe1b8, 0x000},
+	{"d68000_rol_ea"       , 0xffc0, 0xe7c0, 0x3f8},
+	{"d68000_roxr_s_8"     , 0xf1f8, 0xe010, 0x000},
+	{"d68000_roxr_s_16"    , 0xf1f8, 0xe050, 0x000},
+	{"d68000_roxr_s_32"    , 0xf1f8, 0xe090, 0x000},
+	{"d68000_roxr_r_8"     , 0xf1f8, 0xe030, 0x000},
+	{"d68000_roxr_r_16"    , 0xf1f8, 0xe070, 0x000},
+	{"d68000_roxr_r_32"    , 0xf1f8, 0xe0b0, 0x000},
+	{"d68000_roxr_ea"      , 0xffc0, 0xe4c0, 0x3f8},
+	{"d68000_roxl_s_8"     , 0xf1f8, 0xe110, 0x000},
+	{"d68000_roxl_s_16"    , 0xf1f8, 0xe150, 0x000},
+	{"d68000_roxl_s_32"    , 0xf1f8, 0xe190, 0x000},
+	{"d68000_roxl_r_8"     , 0xf1f8, 0xe130, 0x000},
+	{"d68000_roxl_r_16"    , 0xf1f8, 0xe170, 0x000},
+	{"d68000_roxl_r_32"    , 0xf1f8, 0xe1b0, 0x000},
+	{"d68000_roxl_ea"      , 0xffc0, 0xe5c0, 0x3f8},
+	{"d68010_rtd"          , 0xffff, 0x4e74, 0x000},
+	{"d68000_rte"          , 0xffff, 0x4e73, 0x000},
+	{"d68020_rtm"          , 0xfff0, 0x06c0, 0x000},
+	{"d68000_rtr"          , 0xffff, 0x4e77, 0x000},
+	{"d68000_rts"          , 0xffff, 0x4e75, 0x000},
+	{"d68000_sbcd_rr"      , 0xf1f8, 0x8100, 0x000},
+	{"d68000_sbcd_mm"      , 0xf1f8, 0x8108, 0x000},
+	{"d68000_scc"          , 0xf0c0, 0x50c0, 0xbf8},
+	{"d68000_stop"         , 0xffff, 0x4e72, 0x000},
+	{"d68000_sub_er_8"     , 0xf1c0, 0x9000, 0xbff},
+	{"d68000_sub_er_16"    , 0xf1c0, 0x9040, 0xfff},
+	{"d68000_sub_er_32"    , 0xf1c0, 0x9080, 0xfff},
+	{"d68000_sub_re_8"     , 0xf1c0, 0x9100, 0x3f8},
+	{"d68000_sub_re_16"    , 0xf1c0, 0x9140, 0x3f8},
+	{"d68000_sub_re_32"    , 0xf1c0, 0x9180, 0x3f8},
+	{"d68000_suba_16"      , 0xf1c0, 0x90c0, 0xfff},
+	{"d68000_suba_32"      , 0xf1c0, 0x91c0, 0xfff},
+	{"d68000_subi_8"       , 0xffc0, 0x0400, 0xbf8},
+	{"d68000_subi_16"      , 0xffc0, 0x0440, 0xbf8},
+	{"d68000_subi_32"      , 0xffc0, 0x0480, 0xbf8},
+	{"d68000_subq_8"       , 0xf1c0, 0x5100, 0xbf8},
+	{"d68000_subq_16"      , 0xf1c0, 0x5140, 0xff8},
+	{"d68000_subq_32"      , 0xf1c0, 0x5180, 0xff8},
+	{"d68000_subx_rr_8"    , 0xf1f8, 0x9100, 0x000},
+	{"d68000_subx_rr_16"   , 0xf1f8, 0x9140, 0x000},
+	{"d68000_subx_rr_32"   , 0xf1f8, 0x9180, 0x000},
+	{"d68000_subx_mm_8"    , 0xf1f8, 0x9108, 0x000},
+	{"d68000_subx_mm_16"   , 0xf1f8, 0x9148, 0x000},
+	{"d68000_subx_mm_32"   , 0xf1f8, 0x9188, 0x000},
+	{"d68000_swap"         , 0xfff8, 0x4840, 0x000},
+	{"d68000_tas"          , 0xffc0, 0x4ac0, 0xbf8},
+	{"d68000_trap"         , 0xfff0, 0x4e40, 0x000},
+	{"d68020_trapcc_0"     , 0xf0ff, 0x50fc, 0x000},
+	{"d68020_trapcc_16"    , 0xf0ff, 0x50fa, 0x000},
+	{"d68020_trapcc_32"    , 0xf0ff, 0x50fb, 0x000},
+	{"d68000_trapv"        , 0xffff, 0x4e76, 0x000},
+	{"d68000_tst_8"        , 0xffc0, 0x4a00, 0xbf8},
+	{"d68020_tst_pcdi_8"   , 0xffff, 0x4a3a, 0x000},
+	{"d68020_tst_pcix_8"   , 0xffff, 0x4a3b, 0x000},
+	{"d68020_tst_i_8"      , 0xffff, 0x4a3c, 0x000},
+	{"d68000_tst_16"       , 0xffc0, 0x4a40, 0xbf8},
+	{"d68020_tst_a_16"     , 0xfff8, 0x4a48, 0x000},
+	{"d68020_tst_pcdi_16"  , 0xffff, 0x4a7a, 0x000},
+	{"d68020_tst_pcix_16"  , 0xffff, 0x4a7b, 0x000},
+	{"d68020_tst_i_16"     , 0xffff, 0x4a7c, 0x000},
+	{"d68000_tst_32"       , 0xffc0, 0x4a80, 0xbf8},
+	{"d68020_tst_a_32"     , 0xfff8, 0x4a88, 0x000},
+	{"d68020_tst_pcdi_32"  , 0xffff, 0x4aba, 0x000},
+	{"d68020_tst_pcix_32"  , 0xffff, 0x4abb, 0x000},
+	{"d68020_tst_i_32"     , 0xffff, 0x4abc, 0x000},
+	{"d68000_unlk"         , 0xfff8, 0x4e58, 0x000},
+	{"d68020_unpk_rr"      , 0xf1f8, 0x8180, 0x000},
+	{"d68020_unpk_mm"      , 0xf1f8, 0x8188, 0x000},
+	{0, 0, 0, 0}
+};
+
+/* Check if opcode is using a valid ea mode */
+static int valid_ea(unsigned int opcode, unsigned int mask)
+{
+	if (mask == 0)
+		return 1;
+
+	switch(opcode & 0x3f) {
+		case 0x00: case 0x01: case 0x02: case 0x03:
+		case 0x04: case 0x05: case 0x06: case 0x07:
+			return (mask & 0x800) != 0;
+		case 0x08: case 0x09: case 0x0a: case 0x0b:
+		case 0x0c: case 0x0d: case 0x0e: case 0x0f:
+			return (mask & 0x400) != 0;
+		case 0x10: case 0x11: case 0x12: case 0x13:
+		case 0x14: case 0x15: case 0x16: case 0x17:
+			return (mask & 0x200) != 0;
+		case 0x18: case 0x19: case 0x1a: case 0x1b:
+		case 0x1c: case 0x1d: case 0x1e: case 0x1f:
+			return (mask & 0x100) != 0;
+		case 0x20: case 0x21: case 0x22: case 0x23:
+		case 0x24: case 0x25: case 0x26: case 0x27:
+			return (mask & 0x080) != 0;
+		case 0x28: case 0x29: case 0x2a: case 0x2b:
+		case 0x2c: case 0x2d: case 0x2e: case 0x2f:
+			return (mask & 0x040) != 0;
+		case 0x30: case 0x31: case 0x32: case 0x33:
+		case 0x34: case 0x35: case 0x36: case 0x37:
+			return (mask & 0x020) != 0;
+		case 0x38:
+			return (mask & 0x010) != 0;
+		case 0x39:
+			return (mask & 0x008) != 0;
+		case 0x3a:
+			return (mask & 0x002) != 0;
+		case 0x3b:
+			return (mask & 0x001) != 0;
+		case 0x3c:
+			return (mask & 0x004) != 0;
+	}
+	return 0;
+
+}
+
+#ifndef DECL_SPEC
+#ifdef _MSC_VER
+#define DECL_SPEC __cdecl
+#else
+#define DECL_SPEC
+#endif	// _MSC_VER
+#endif	// DECL_SPEC
+
+/* Used by qsort */
+static int DECL_SPEC compare_nof_true_bits(const void *aptr, const void *bptr)
+{
+	unsigned int a = ((const opcode_struct*)aptr)->mask;
+	unsigned int b = ((const opcode_struct*)bptr)->mask;
+
+	a = ((a & 0xAAAA) >> 1) + (a & 0x5555);
+	a = ((a & 0xCCCC) >> 2) + (a & 0x3333);
+	a = ((a & 0xF0F0) >> 4) + (a & 0x0F0F);
+	a = ((a & 0xFF00) >> 8) + (a & 0x00FF);
+
+	b = ((b & 0xAAAA) >> 1) + (b & 0x5555);
+	b = ((b & 0xCCCC) >> 2) + (b & 0x3333);
+	b = ((b & 0xF0F0) >> 4) + (b & 0x0F0F);
+	b = ((b & 0xFF00) >> 8) + (b & 0x00FF);
+
+	return b - a; /* reversed to get greatest to least sorting */
+}
+
+/* build the opcode handler jump table */
+static void build_opcode_table(void)
+{
+	unsigned int i;
+	unsigned int opcode;
+	opcode_struct* ostruct;
+	unsigned int opcode_info_length = 0;
+	const unsigned int total_count = 0x10000;
+
+	for(ostruct = g_opcode_info;ostruct->name != 0;ostruct++)
+		opcode_info_length++;
+
+	qsort((void *)g_opcode_info, opcode_info_length, sizeof(g_opcode_info[0]), compare_nof_true_bits);
+
+	printf("/* This table is auto-generated. DO NOT MANUALLY EDIT! Look in M68KInstructionTblGen.c for more info */\n");
+	printf("static instruction_struct g_instruction_table[] = {\n");
+
+	for(i=0;i<0x10000;i++) {
+		const char *name = "d68000_invalid";
+		uint16_t word2_mask = 0;
+		uint16_t word2_match = 0;
+		opcode = i;
+		/* search through opcode info for a match */
+		for(ostruct = g_opcode_info;ostruct->name != 0;ostruct++) {
+			/* match opcode mask and allowed ea modes */
+			if ((opcode & ostruct->mask) == ostruct->match) {
+				/* Handle destination ea for move instructions */
+				if ((!strcmp(ostruct->name, "d68000_move_8") ||
+					 !strcmp(ostruct->name, "d68000_move_16") ||
+				 	 !strcmp(ostruct->name, "d68000_move_32")) &&
+						!valid_ea(((opcode>>9)&7) | ((opcode>>3)&0x38), 0xbf8))
+					continue;
+				if (valid_ea(opcode, ostruct->ea_mask)) {
+					name = ostruct->name;
+					word2_mask = ostruct->mask2;
+					word2_match = ostruct->match2;
+					break;
+				}
+			}
+		}
+
+		// Handle so the last entry won't have a , at the end
+		if (i != total_count - 1) {
+			printf("\t{ %s, 0x%x, 0x%x },\n", name, word2_mask, word2_match);
+		} else {
+			printf("\t{ %s, 0x%x, 0x%x }\n", name, word2_mask, word2_match);
+		}
+	}
+
+	printf("};\n\n");
+}
+
+int main() {
+	build_opcode_table();
+	return 0;
+}
+
+
diff -pruN 4.0.1+really+3.0.5-2/contrib/m68k_instruction_tbl_gen/Makefile 4.0.2-3/contrib/m68k_instruction_tbl_gen/Makefile
--- 4.0.1+really+3.0.5-2/contrib/m68k_instruction_tbl_gen/Makefile	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/contrib/m68k_instruction_tbl_gen/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,15 @@
+CC=gcc
+ODIR=obj
+TBL_GEN=tbl_gen
+INC_FILE=../../arch/M68K/M68KInstructionTable.inc
+
+gen_inc: $(TBL_GEN)
+	./$(TBL_GEN) > $(INC_FILE)
+
+tbl_gen: M68KInstructionTblGen.c
+	$(CC) -O3 M68KInstructionTblGen.c -o $(TBL_GEN)
+
+.PHONY: clean
+
+clean:
+	rm $(TBL_GEN)
diff -pruN 4.0.1+really+3.0.5-2/contrib/objdump/objdump-m68k.py 4.0.2-3/contrib/objdump/objdump-m68k.py
--- 4.0.1+really+3.0.5-2/contrib/objdump/objdump-m68k.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/contrib/objdump/objdump-m68k.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,426 @@
+#!/usr/bin/env python
+
+from __future__ import print_function
+import sys
+import bitstring
+from capstone import *
+from capstone.m68k import *
+
+#
+# Objdump with the same output as his binary cousin
+#
+
+TODO = """
+TODO :
+
+  o need more testing on M68K_AM_*_DISP
+  o cleanup, etc ...
+
+"""
+
+objdump_cmd_example = 'm68k-atari-mint-objdump -b binary -D -mm68k --adjust-vma 0x30664 u/m68k.bin'
+objdump_dumpheader_fmt = """
+%s:     file format binary
+
+
+Disassembly of section .data:
+
+%08x <.data>:"""
+
+
+M68000_CODE = b"\x04\x40\x00\x40"
+
+all_tests = (
+        (CS_ARCH_M68K, CS_MODE_BIG_ENDIAN | CS_MODE_M68K_060, M68000_CODE, "M68060-32 (Big-endian)"),
+)
+
+
+def dump_bytes(b, len):
+    str = ''
+    i = 0
+    while i < len:
+        str += format("%02x%02x " % (b[i], b[i+1]))
+        i += 2
+    return str[:-1]
+
+def dump_op_reg(insn, op_reg):
+    if op_reg == M68K_REG_A7:
+        return "%sp"
+    if op_reg == M68K_REG_A6:
+        return "%fp"
+    return '%' + insn.reg_name(op_reg)
+
+def s8(value):
+    return bitstring.Bits(uint=value, length=8).unpack('int')[0]
+
+def s16(value):
+    return bitstring.Bits(uint=value, length=16).unpack('int')[0]
+
+def extsign8(value):
+    if value & 0x80:
+        return 0xffffffffffffff00 + value
+    return value
+
+def extsign1616(value):
+    if value & 0x8000:
+        return 0xffff0000 + value
+    return value
+
+def extsign1632(value):
+    if value & 0x8000:
+        return 0xffffffffffff0000 + value
+    return value
+
+
+def printRegbitsRange(buffer, data, prefix):
+    str = ''
+    first = 0
+    run_length = 0
+
+    i = 0
+    while i < 8:
+        if (data & (1 << i)):
+            first = i
+            run_length = 0
+
+            while (i < 7 and (data & (1 << (i + 1)))):
+                i += 1
+                run_length += 1
+
+            if len(buffer) or len(str):
+                str += "/"
+
+            str += format("%%%s%d" % (prefix, first))
+            if run_length > 0:
+                str += format("-%%%s%d" % (prefix, first + run_length))
+        i += 1
+    return str
+
+def registerBits(op):
+    str = ''
+    data = op.register_bits
+
+    str += printRegbitsRange(str, data & 0xff, "d")
+    str += printRegbitsRange(str, (data >> 8) & 0xff, "a")
+    str += printRegbitsRange(str, (data >> 16) & 0xff, "fp")
+    return str
+
+def dump_op_ea(insn, op):
+    s_spacing = " "
+    map_index_size_str = { 0: 'w', 1 : 'l' }
+    str = ''
+    
+    if op.address_mode == M68K_AM_NONE:
+        if op.type == M68K_OP_REG_BITS:
+            return registerBits(op)
+        if op.type == M68K_OP_REG_PAIR:
+            return registerPair(op)
+        if op.type == M68K_OP_REG:
+            return dump_op_reg(insn, op.reg)
+
+    if op.address_mode == M68K_AM_REG_DIRECT_DATA:
+        return dump_op_reg(insn, op.reg)
+    if op.address_mode == M68K_AM_REG_DIRECT_ADDR:
+        return dump_op_reg(insn, op.reg) + "@"
+    if op.address_mode == M68K_AM_REGI_ADDR:
+        return dump_op_reg(insn, op.reg) + "@"
+    if op.address_mode == M68K_AM_REGI_ADDR_POST_INC:
+        return dump_op_reg(insn, op.reg) + "@+"
+    if op.address_mode == M68K_AM_REGI_ADDR_PRE_DEC:
+        return dump_op_reg(insn, op.reg) + "@-"
+    if op.address_mode == M68K_AM_REGI_ADDR_DISP:
+#        str = dump_op_reg(insn, op.mem.base_reg - M68K_REG_A0 + 1) #double check and fixme '+1' : 02af 899f 2622
+        str = dump_op_reg(insn, op.mem.base_reg)
+        if op.mem.disp:
+            str += format("@(%d)" % s16(op.mem.disp))
+        return str
+
+    if op.address_mode == M68K_AM_PCI_DISP:
+        return format("%%pc@(0x%x)" % ( extsign1616(op.mem.disp + 2))) 
+    if op.address_mode == M68K_AM_ABSOLUTE_DATA_SHORT:
+        return format("0x%x" % (extsign1616(op.imm & 0xffff)))  
+    if op.address_mode == M68K_AM_ABSOLUTE_DATA_LONG:
+        return format("0x%x" % (op.imm & 0xffffffff))
+    if op.address_mode == M68K_AM_IMMEDIATE:
+        if insn.op_size.type == M68K_SIZE_TYPE_FPU:
+            map_fpu_size_str = { M68K_FPU_SIZE_SINGLE : op.simm, M68K_FPU_SIZE_DOUBLE : op.dimm }
+            return format("#%f" % (insn.op_size.fpu_size[map_fpu_size_str]))
+        return format("#$%x" % (op.imm))
+
+    if op.address_mode in [ M68K_AM_PCI_INDEX_8_BIT_DISP, M68K_AM_AREGI_INDEX_8_BIT_DISP ]:
+        disp = op.mem.disp
+        if op.register_bits == 2:
+            disp = extsign8(op.mem.disp)
+        if op.register_bits == 4:
+            disp = extsign1632(op.mem.disp)
+            
+        str = dump_op_reg(insn, op.mem.base_reg) + "@(" + "{0:016x}".format(disp) + "," + dump_op_reg(insn, op.mem.index_reg) + ":" + map_index_size_str[op.mem.index_size]
+        if op.register_bits:
+            str += format(":%u" % (op.register_bits))
+        return str + ")"
+
+
+    if op.address_mode in [ M68K_AM_PCI_INDEX_BASE_DISP, M68K_AM_AREGI_INDEX_BASE_DISP ]:
+        str += format("%s" % ( dump_op_reg(insn, op.mem.base_reg) ))
+        str += format("@(%016x)@(%016x" % (extsign1632(op.mem.in_disp), extsign1632(op.mem.out_disp)))
+        if op.mem.index_reg:
+            str += "," + dump_op_reg(insn, op.mem.index_reg) + ":" + map_index_size_str[op.mem.index_size]
+        if op.register_bits:
+            str += format(":%u" % (op.register_bits))
+        str += ")"
+        return str
+
+        if op.mem.in_disp > 0:
+            str += format("$%x" % ( op.mem.in_disp))
+
+        str += format("(")
+
+        if op.address_mode == M68K_AM_PCI_INDEX_BASE_DISP:
+            str_size = ''
+            if op.mem.index_size:
+                str_size = "l"
+            else:
+                str_size = "w"
+            str += format("pc,%s%s.%s" % ( dump_op_reg(insn, op.mem.index_reg)), s_spacing, str_size)
+        else:
+            if op.mem.base_reg != M68K_REG_INVALID:
+                str += format("a%d,%s" % ( op.mem.base_reg - M68K_REG_A0, s_spacing))
+            str_size = ''
+            if op.mem.index_size:
+                str_size = "l"
+            else:
+                str_size = "w"
+            str += format("%s.%s" % ( dump_op_reg(insn, op.mem.index_reg), str_size))
+	
+        if op.mem.scale > 0:
+            str += format("%s*%s%d)" % ( s_spacing, s_spacing, op.mem.scale))
+        else:
+            str += ")"
+        return str
+	
+    # It's ok to just use PCMI here as is as we set base_reg to PC in the disassembler.
+    # While this is not strictly correct it makes the code
+    # easier and that is what actually happens when the code is executed anyway.
+
+    if op.address_mode in [ M68K_AM_PC_MEMI_POST_INDEX, M68K_AM_PC_MEMI_PRE_INDEX, M68K_AM_MEMI_PRE_INDEX, M68K_AM_MEMI_POST_INDEX]:
+        if op.mem.base_reg:
+            str += format("%s" % ( dump_op_reg(insn, op.mem.base_reg) ))
+        if op.mem.in_disp:
+            value = op.mem.in_disp
+            if op.mem.in_disp & 0x8000:
+                value = 0xffffffffffff0000 + op.mem.in_disp
+            str += format("@(%016x)@(%016x)" % (value, op.mem.out_disp))
+        return str
+        
+        str += format("([")
+        if op.mem.in_disp > 0:
+            str += format("$%x" % ( op.mem.in_disp))
+
+        if op.mem.base_reg != M68K_REG_INVALID:
+            if op.mem.in_disp > 0:
+                str += format(",%s%s" % ( s_spacing, dump_op_reg(insn, op.mem.base_reg))) 
+            else:
+                str += format("%s" % ( dump_op_reg(insn, op.mem.base_reg)))
+                
+        if op.address_mode in [ M68K_AM_MEMI_POST_INDEX, M68K_AM_PC_MEMI_POST_INDEX]:
+            str += format("]")
+
+        if op.mem.index_reg != M68K_REG_INVALID:
+            str_size = ''
+            if op.mem.index_size:
+                str_size = "l"
+            else:
+                str_size = "w"
+            str += format(",%s%s.%s" % ( s_spacing, dump_op_reg(insn, op.mem.index_reg), str_size))
+        if op.mem.scale > 0:
+            str += format("%s*%s%d" % ( s_spacing, s_spacing, op.mem.scale))
+        if op.address_mode in [ M68K_AM_MEMI_PRE_INDEX, M68K_AM_PC_MEMI_PRE_INDEX]:
+            str += format("]")
+        if op.mem.out_disp > 0:
+            str += format(",%s$%x" % ( s_spacing, op.mem.out_disp))
+        str += format(")")
+        return str
+
+        
+    if op.mem.bitfield:
+        return format("%d:%d" % ( op.mem.offset, op.mem.width))
+
+        ############# OK
+    if op.address_mode == M68K_AM_AREGI_INDEX_BASE_DISP:
+        if op.mem.index_size:
+            str_size = "l"
+        else:
+            str_size = "w"
+        bits = op.mem.disp
+        return dump_op_reg(insn, op.mem.base_reg) + "@(" + "{0:016b}".format(bits) + "," + dump_op_reg(insn, op.mem.index_reg) + ":" + str_size + ")" 
+    return ''
+
+
+
+# M68K Addressing Modes
+
+map_address_mode_str = {
+    0 : "M68K_AM_NONE",
+    1 : "M68K_AM_REG_DIRECT_DATA",
+    2 : "M68K_AM_REG_DIRECT_ADDR",
+    3 : "M68K_AM_REGI_ADDR",
+    4 : "M68K_AM_REGI_ADDR_POST_INC",
+    5 : "M68K_AM_REGI_ADDR_PRE_DEC",
+    6 : "M68K_AM_REGI_ADDR_DISP",
+    7 : "M68K_AM_AREGI_INDEX_8_BIT_DISP",
+    8 : "M68K_AM_AREGI_INDEX_BASE_DISP",
+    9 : "M68K_AM_MEMI_POST_INDEX",
+    10 : "M68K_AM_MEMI_PRE_INDEX",
+    11 : "M68K_AM_PCI_DISP",
+    12 : "M68K_AM_PCI_INDEX_8_BIT_DISP",
+    13 : "M68K_AM_PCI_INDEX_BASE_DISP",
+    14 : "M68K_AM_PC_MEMI_POST_INDEX",
+    15 : "M68K_AM_PC_MEMI_PRE_INDEX",
+    16 : "M68K_AM_ABSOLUTE_DATA_SHORT",
+    17 : "M68K_AM_ABSOLUTE_DATA_LONG",
+    18 : "M68K_AM_IMMEDIATE",
+    }
+
+
+# Operand type for instruction's operands
+
+map_op_str = {
+    0 : "M68K_OP_INVALID",
+    1 : "M68K_OP_REG",
+    2 : "M68K_OP_IMM",
+    3 : "M68K_OP_MEM",
+    4 : "M68K_OP_FP",
+    5 : "M68K_OP_REG_BITS",
+    6 : "M68K_OP_REG_PAIR",
+}
+
+
+def debug(insn, op):
+    if len(sys.argv) > 3:
+        print("id %d type %s address_mode %s" % (insn.id, map_op_str[op.type], map_address_mode_str[op.address_mode]))
+
+    
+def dump_ops(insn):
+    str = ''
+    mnemonic = insn.insn_name()
+
+    i = 0
+    while i < len(insn.operands):
+        if i > 0:
+            str += ','
+        op = insn.operands[i]
+        debug(insn, op)
+        # "data" instruction generated by SKIPDATA option has no detail
+        if insn.id == M68K_INS_INVALID:
+            return format("0x%04x" % (op.imm))
+        if op.type == M68K_OP_REG:
+            str_op_reg = dump_op_ea(insn, op)
+            if str_op_reg == '' or op.address_mode == M68K_AM_REG_DIRECT_ADDR:
+                str_op_reg = dump_op_reg(insn, op.reg)
+            str += str_op_reg
+        if op.type == M68K_OP_IMM:
+            str_op_imm = format("#%u" % (op.imm))
+            if mnemonic in ["bkpt"]:
+                str_op_imm = format("%u" % (op.imm))
+            signed_insn = [ "move", "moveq", "cmp", "cmpi", "ori", "bclr", "pack", "unpk", "sub", "add" ]
+            if mnemonic in signed_insn:
+                if insn.op_size.size == 1 or mnemonic == "moveq":
+                    str_op_imm = format("#%d" % s8(op.imm))
+                if insn.op_size.size == 2 or mnemonic == "pack":
+                    str_op_imm = format("#%d" % s16(op.imm))
+                if insn.op_size.size == 4:
+                    str_op_imm = format("#%d" % (op.imm))
+
+            dbxx_insn = [ "dbt", "dbf", "dbhi", "dbls", "dbcc", "dbcs", "dbne", "dbeq", "dbvc", "dbvs", "dbpl", "dbmi", "dbge", "dblt", "dbgt", "dble", "dbra" ]
+            if is_branch(insn) or mnemonic in dbxx_insn:
+                str_op_imm = format("0x%x" % (op.imm & 0xffffffff))
+            str += str_op_imm
+        if op.type == M68K_OP_MEM:
+            str_op_mem = dump_op_ea(insn, op)
+            if str_op_mem == '':
+                str_op_mem = format("0x%x" % (op.imm))
+            str += str_op_mem
+        if op.type in [ M68K_OP_REG_BITS, M68K_OP_REG_PAIR ]:
+            str += dump_op_ea(insn, op)
+
+#        if insn.address == 0x3127c:
+#            import pdb;pdb.set_trace()
+#        print("type %u am %u\n" % (op.type, op.address_mode))    
+        i += 1
+    return str
+
+
+def is_branch(insn):
+    mnemonic = insn.insn_name()
+    branch_insn = [ "bsr", "bra", "bhi", "bls", "bcc", "bcs", "bne", "beq", "bvc", "bvs", "bpl", "bmi", "bge", "blt", "bgt", "ble" ];
+    return mnemonic in branch_insn
+
+def dump_mnemonic(insn):
+    # "data" instruction generated by SKIPDATA option has no detail
+    if insn.id == M68K_INS_INVALID:
+        return ".short"
+    mnemonic = insn.insn_name()
+    ext = { 0: '', 1:'b', 2:'w', 4:'l' }
+    if is_branch(insn):
+        ext.update({ 1:'s', 2:'w', 4:'l' })
+    
+    no_size = [ "pea", "lea", "bset", "bclr", "bchg", "btst", "nbcd", "abcd", "sbcd", "exg", "scc", "sls", "scs", "shi" ]
+    sxx_insn = [ "st", "sf", "shi", "sls", "scc", "scs", "sne", "seq", "svc", "svs", "spl", "smi", "sge", "slt", "sgt", "sle", "stop" ]
+    no_size += sxx_insn
+    no_size += [ "tas" ]
+    if mnemonic in no_size:
+        ext.update({ 0:'', 1:'', 2:'', 4:'' })
+    return mnemonic + ext[insn.op_size.size]
+
+def print_insn_detail_np(insn):
+    # objdump format hack
+    if insn.size == 2:
+        space = ' ' * 11
+    if insn.size == 4:
+        space = ' ' * 6
+    if insn.size >= 6:
+        space = ' '
+    space_ops = ''
+    if len(insn.operands) > 0:
+        space_ops = ' '
+
+    print("   %x:\t%s%s\t%s%s%s" % (insn.address, dump_bytes(insn._raw.bytes, min(insn.size, 6)), space, dump_mnemonic(insn), space_ops, dump_ops(insn)))
+
+    if insn.size > 6:
+        delta = min(insn.size, 6)
+        print("   %x:\t%s " % (insn.address+delta, dump_bytes(insn._raw.bytes[delta:], min(insn.size-delta, 6))))
+
+          
+def print_objdump_dumpheader(filename='', address=0):
+    print(objdump_dumpheader_fmt % (filename, address))
+
+# ## Test class Cs
+def test_class():
+    for (arch, mode, code, comment) in all_tests:
+        filename = "/dev/stdin"
+        address = 0
+        if len(sys.argv) > 1:
+            filename = sys.argv[1]
+        if len(sys.argv) > 2:
+            address = int(sys.argv[2],16)
+        if len(sys.argv) > 3:
+            debug_mode = True
+            
+        with open(filename, "rb") as f:
+            code = f.read()
+
+        try:
+            md = Cs(arch, mode)
+            md.detail = True
+
+            print_objdump_dumpheader(filename, address)
+            
+            for insn in md.disasm(code, address):
+                print_insn_detail_np(insn)
+
+        except CsError as e:
+            print("ERROR: %s" % e)
+
+
+if __name__ == '__main__':
+    test_class()
diff -pruN 4.0.1+really+3.0.5-2/contrib/windows_kernel/libc.cpp 4.0.2-3/contrib/windows_kernel/libc.cpp
--- 4.0.1+really+3.0.5-2/contrib/windows_kernel/libc.cpp	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/contrib/windows_kernel/libc.cpp	2020-05-08 10:03:30.000000000 +0000
@@ -20,6 +20,7 @@ struct MEMBLOCK
 	size_t	size;
 #pragma warning(push)               
 #pragma warning (disable : 4200)
+	__declspec(align(MEMORY_ALLOCATION_ALIGNMENT))
 	char data[0]; 
 #pragma warning(pop)
 };
diff -pruN 4.0.1+really+3.0.5-2/CREDITS.TXT 4.0.2-3/CREDITS.TXT
--- 4.0.1+really+3.0.5-2/CREDITS.TXT	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/CREDITS.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -49,7 +49,7 @@ Axel "0vercl0k" Souchet (@0vercl0k) & Al
 Daniel Pistelli: Cmake support.
 Peter Hlavaty: integrate Capstone for Windows kernel drivers.
 Guillaume Jeanne: Ocaml binding.
-Martin Tofall, Obsidium Software: Optimize X86 performance & size.
+Martin Tofall, Obsidium Software: Optimize X86 performance & size + x86 encoding features.
 David Martínez Moreno & Hilko Bengen: Debian package.
 Félix Cloutier: Xcode project.
 Benoit Lecocq: OpenBSD package.
@@ -64,3 +64,16 @@ Andrew Dutcher: better Python setup.
 Ruben Boonen: PowerShell binding.
 David Zimmer: VB6 binding.
 Philippe Antoine: Integration with oss-fuzz and various fixes.
+Bui Dinh Cuong: Explicit registers accessed for Arm64.
+Vincent Bénony: Explicit registers accessed for X86.
+Adel Gadllah, Francisco Alonso & Stefan Cornelius: RPM package.
+Felix Gröbert (Google): fuzz testing harness.
+Daniel Collin & Nicolas Planel: M68K architecture.
+Pranith Kumar: Explicit registers accessed for Arm64.
+Xipiter LLC: Capstone logo redesigned.
+Satoshi Tanda: Support Windows kernel driver.
+Koutheir Attouchi: Support for Windows CE.
+Fotis Loukos: TMS320C64x architecture.
+Wolfgang Schwotzer: M680X architecture.
+Philippe Antoine: Integration with oss-fuzz and various fixes.
+Stephen Eckels (stevemk14ebr): x86 encoding features
diff -pruN 4.0.1+really+3.0.5-2/cs.c 4.0.2-3/cs.c
--- 4.0.1+really+3.0.5-2/cs.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cs.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 #if defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64)
 #pragma warning(disable:4996)			// disable MSVC's warning on strcpy()
 #pragma warning(disable:28719)		// disable MSVC's warning on strcpy()
@@ -14,7 +14,7 @@
 #endif
 
 #include <string.h>
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 #include "utils.h"
 #include "MCRegisterInfo.h"
@@ -25,7 +25,7 @@
 
 // Issue #681: Windows kernel does not support formatting float point
 #if defined(_KERNEL_MODE) && !defined(CAPSTONE_DIET)
-#if defined(CAPSTONE_HAS_ARM) || defined(CAPSTONE_HAS_ARM64)
+#if defined(CAPSTONE_HAS_ARM) || defined(CAPSTONE_HAS_ARM64) || defined(CAPSTONE_HAS_M68K)
 #define CAPSTONE_STR_INTERNAL(x) #x
 #define CAPSTONE_STR(x) CAPSTONE_STR_INTERNAL(x)
 #define CAPSTONE_MSVC_WRANING_PREFIX __FILE__ "("CAPSTONE_STR(__LINE__)") : warning message : "
@@ -54,14 +54,17 @@
 
 #include "arch/AArch64/AArch64Module.h"
 #include "arch/ARM/ARMModule.h"
+#include "arch/EVM/EVMModule.h"
+#include "arch/M680X/M680XModule.h"
+#include "arch/M68K/M68KModule.h"
 #include "arch/Mips/MipsModule.h"
 #include "arch/PowerPC/PPCModule.h"
 #include "arch/Sparc/SparcModule.h"
 #include "arch/SystemZ/SystemZModule.h"
+#include "arch/TMS320C64x/TMS320C64xModule.h"
 #include "arch/X86/X86Module.h"
 #include "arch/XCore/XCoreModule.h"
 
-
 // constructor initialization for all archs
 static cs_err (*cs_arch_init[MAX_ARCH])(cs_struct *) = {
 #ifdef CAPSTONE_HAS_ARM
@@ -104,6 +107,26 @@ static cs_err (*cs_arch_init[MAX_ARCH])(
 #else
 	NULL,
 #endif
+#ifdef CAPSTONE_HAS_M68K
+	M68K_global_init,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+	TMS320C64x_global_init,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_M680X
+	M680X_global_init,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_EVM
+	EVM_global_init,
+#else
+	NULL,
+#endif
 };
 
 // support cs_option() for all archs
@@ -148,13 +171,34 @@ static cs_err (*cs_arch_option[MAX_ARCH]
 #else
 	NULL,
 #endif
+#ifdef CAPSTONE_HAS_M68K
+	M68K_option,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+	TMS320C64x_option,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_M680X
+	M680X_option,
+#else
+	NULL,
+#endif
+#ifdef CAPSTONE_HAS_EVM
+	EVM_option,
+#else
+	NULL,
+#endif
 };
 
 // bitmask for finding disallowed modes for an arch:
 // to be called in cs_open()/cs_option()
-cs_mode cs_arch_disallowed_mode_mask[MAX_ARCH] = {
+static cs_mode cs_arch_disallowed_mode_mask[MAX_ARCH] = {
 #ifdef CAPSTONE_HAS_ARM
-	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_ARM | CS_MODE_V8 | CS_MODE_MCLASS | CS_MODE_THUMB | CS_MODE_BIG_ENDIAN),
+	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_ARM | CS_MODE_V8 | CS_MODE_MCLASS
+	  | CS_MODE_THUMB | CS_MODE_BIG_ENDIAN),
 #else
 	0,
 #endif
@@ -164,8 +208,8 @@ cs_mode cs_arch_disallowed_mode_mask[MAX
 	0,
 #endif
 #ifdef CAPSTONE_HAS_MIPS
-	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_32 | CS_MODE_64 | CS_MODE_MICRO | CS_MODE_MIPS32R6 | CS_MODE_MIPSGP64 |
-	  CS_MODE_BIG_ENDIAN),
+	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_32 | CS_MODE_64 | CS_MODE_MICRO
+	  | CS_MODE_MIPS32R6 | CS_MODE_BIG_ENDIAN | CS_MODE_MIPS2 | CS_MODE_MIPS3),
 #else
 	0,
 #endif
@@ -175,7 +219,8 @@ cs_mode cs_arch_disallowed_mode_mask[MAX
 	0,
 #endif
 #ifdef CAPSTONE_HAS_POWERPC
-	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_32 | CS_MODE_64 | CS_MODE_BIG_ENDIAN),
+	~(CS_MODE_LITTLE_ENDIAN | CS_MODE_32 | CS_MODE_64 | CS_MODE_BIG_ENDIAN
+	  | CS_MODE_QPX),
 #else
 	0,
 #endif
@@ -194,72 +239,95 @@ cs_mode cs_arch_disallowed_mode_mask[MAX
 #else
 	0,
 #endif
+#ifdef CAPSTONE_HAS_M68K
+	~(CS_MODE_BIG_ENDIAN | CS_MODE_M68K_000 | CS_MODE_M68K_010 | CS_MODE_M68K_020
+	  | CS_MODE_M68K_030 | CS_MODE_M68K_040 | CS_MODE_M68K_060),
+#else
+	0,
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+	~(CS_MODE_BIG_ENDIAN),
+#else
+	0,
+#endif
+#ifdef CAPSTONE_HAS_M680X
+	~(CS_MODE_M680X_6301 | CS_MODE_M680X_6309 | CS_MODE_M680X_6800
+	  | CS_MODE_M680X_6801 | CS_MODE_M680X_6805 | CS_MODE_M680X_6808
+	  | CS_MODE_M680X_6809 | CS_MODE_M680X_6811 | CS_MODE_M680X_CPU12
+	  | CS_MODE_M680X_HCS08),
+#else
+	0,
+#endif
+#ifdef CAPSTONE_HAS_EVM
+	0,
+#else
+	0,
+#endif
 };
 
-static unsigned int all_arch =
+// bitmask of enabled architectures
+static uint32_t all_arch = 0
 #ifdef CAPSTONE_HAS_ARM
-	(1 << CS_ARCH_ARM)
-#else
-	0
+	| (1 << CS_ARCH_ARM)
 #endif
-	|
 #ifdef CAPSTONE_HAS_ARM64
-	(1 << CS_ARCH_ARM64)
-#else
-	0
+	| (1 << CS_ARCH_ARM64)
 #endif
-	|
 #ifdef CAPSTONE_HAS_MIPS
-	(1 << CS_ARCH_MIPS)
-#else
-	0
+	| (1 << CS_ARCH_MIPS)
 #endif
-	|
 #ifdef CAPSTONE_HAS_X86
-	(1 << CS_ARCH_X86)
-#else
-	0
+	| (1 << CS_ARCH_X86)
 #endif
-	|
 #ifdef CAPSTONE_HAS_POWERPC
-	(1 << CS_ARCH_PPC)
-#else
-	0
+	| (1 << CS_ARCH_PPC)
 #endif
-	|
 #ifdef CAPSTONE_HAS_SPARC
-	(1 << CS_ARCH_SPARC)
-#else
-	0
+	| (1 << CS_ARCH_SPARC)
 #endif
-	|
 #ifdef CAPSTONE_HAS_SYSZ
-	(1 << CS_ARCH_SYSZ)
-#else
-	0
+	| (1 << CS_ARCH_SYSZ)
 #endif
-	|
 #ifdef CAPSTONE_HAS_XCORE
-	(1 << CS_ARCH_XCORE)
-#else
-	0
+	| (1 << CS_ARCH_XCORE)
+#endif
+#ifdef CAPSTONE_HAS_M68K
+	| (1 << CS_ARCH_M68K)
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+	| (1 << CS_ARCH_TMS320C64X)
+#endif
+#ifdef CAPSTONE_HAS_M680X
+	| (1 << CS_ARCH_M680X)
+#endif
+#ifdef CAPSTONE_HAS_EVM
+	| (1 << CS_ARCH_EVM)
 #endif
 ;
 
+
 #if defined(CAPSTONE_USE_SYS_DYN_MEM)
 #if !defined(CAPSTONE_HAS_OSXKERNEL) && !defined(_KERNEL_MODE)
+// default
 cs_malloc_t cs_mem_malloc = malloc;
 cs_calloc_t cs_mem_calloc = calloc;
 cs_realloc_t cs_mem_realloc = realloc;
 cs_free_t cs_mem_free = free;
+#if defined(_WIN32_WCE)
+cs_vsnprintf_t cs_vsnprintf = _vsnprintf;
+#else
 cs_vsnprintf_t cs_vsnprintf = vsnprintf;
+#endif  // defined(_WIN32_WCE)
+
 #elif defined(_KERNEL_MODE)
+// Windows driver
 cs_malloc_t cs_mem_malloc = cs_winkernel_malloc;
 cs_calloc_t cs_mem_calloc = cs_winkernel_calloc;
 cs_realloc_t cs_mem_realloc = cs_winkernel_realloc;
 cs_free_t cs_mem_free = cs_winkernel_free;
 cs_vsnprintf_t cs_vsnprintf = cs_winkernel_vsnprintf;
 #else
+// OSX kernel
 extern void* kern_os_malloc(size_t size);
 extern void kern_os_free(void* addr);
 extern void* kern_os_realloc(void* addr, size_t nsize);
@@ -274,14 +342,16 @@ cs_calloc_t cs_mem_calloc = cs_kern_os_c
 cs_realloc_t cs_mem_realloc = kern_os_realloc;
 cs_free_t cs_mem_free = kern_os_free;
 cs_vsnprintf_t cs_vsnprintf = vsnprintf;
-#endif
+#endif  // !defined(CAPSTONE_HAS_OSXKERNEL) && !defined(_KERNEL_MODE)
 #else
+// User-defined
 cs_malloc_t cs_mem_malloc = NULL;
 cs_calloc_t cs_mem_calloc = NULL;
 cs_realloc_t cs_mem_realloc = NULL;
 cs_free_t cs_mem_free = NULL;
 cs_vsnprintf_t cs_vsnprintf = NULL;
-#endif
+
+#endif  // defined(CAPSTONE_USE_SYS_DYN_MEM)
 
 CAPSTONE_EXPORT
 unsigned int CAPSTONE_API cs_version(int *major, int *minor)
@@ -301,7 +371,9 @@ bool CAPSTONE_API cs_support(int query)
 		return all_arch == ((1 << CS_ARCH_ARM) | (1 << CS_ARCH_ARM64) |
 				(1 << CS_ARCH_MIPS) | (1 << CS_ARCH_X86) |
 				(1 << CS_ARCH_PPC) | (1 << CS_ARCH_SPARC) |
-				(1 << CS_ARCH_SYSZ) | (1 << CS_ARCH_XCORE));
+				(1 << CS_ARCH_SYSZ) | (1 << CS_ARCH_XCORE) |
+				(1 << CS_ARCH_M68K) | (1 << CS_ARCH_TMS320C64X) |
+				(1 << CS_ARCH_M680X) | (1 << CS_ARCH_EVM));
 
 	if ((unsigned int)query < CS_ARCH_MAX)
 		return all_arch & (1 << query);
@@ -349,7 +421,7 @@ const char * CAPSTONE_API cs_strerror(cs
 		case CS_ERR_MEM:
 			return "Out of memory (CS_ERR_MEM)";
 		case CS_ERR_ARCH:
-			return "Invalid architecture (CS_ERR_ARCH)";
+			return "Invalid/unsupported architecture(CS_ERR_ARCH)";
 		case CS_ERR_HANDLE:
 			return "Invalid handle (CS_ERR_HANDLE)";
 		case CS_ERR_CSH:
@@ -368,6 +440,12 @@ const char * CAPSTONE_API cs_strerror(cs
 			return "Information irrelevant in diet engine (CS_ERR_DIET)";
 		case CS_ERR_SKIPDATA:
 			return "Information irrelevant for 'data' instruction in SKIPDATA mode (CS_ERR_SKIPDATA)";
+		case CS_ERR_X86_ATT:
+			return "AT&T syntax is unavailable (CS_ERR_X86_ATT)";
+		case CS_ERR_X86_INTEL:
+			return "INTEL syntax is unavailable (CS_ERR_X86_INTEL)";
+		case CS_ERR_X86_MASM:
+			return "MASM syntax is unavailable (CS_ERR_X86_MASM)";
 	}
 }
 
@@ -423,6 +501,7 @@ CAPSTONE_EXPORT
 cs_err CAPSTONE_API cs_close(csh *handle)
 {
 	struct cs_struct *ud;
+	struct insn_mnem *next, *tmp;
 
 	if (*handle == 0)
 		// invalid handle
@@ -433,6 +512,14 @@ cs_err CAPSTONE_API cs_close(csh *handle
 	if (ud->printer_info)
 		cs_mem_free(ud->printer_info);
 
+	// free the linked list of customized mnemonic
+	tmp = ud->mnem_list;
+	while(tmp) {
+		next = tmp->next;
+		cs_mem_free(tmp);
+		tmp = next;
+	}
+
 	cs_mem_free(ud->insn_cache);
 
 	memset(ud, 0, sizeof(*ud));
@@ -483,6 +570,20 @@ static void fill_insn(struct cs_struct *
 
 	*mnem = '\0';
 
+	// we might have customized mnemonic
+	if (handle->mnem_list) {
+		struct insn_mnem *tmp = handle->mnem_list;
+		while(tmp) {
+			if (tmp->insn.id == insn->id) {
+				// found this instruction, so copy its mnemonic
+				(void)strncpy(insn->mnemonic, tmp->insn.mnemonic, sizeof(insn->mnemonic) - 1);
+				insn->mnemonic[sizeof(insn->mnemonic) - 1] = '\0';
+				break;
+			}
+			tmp = tmp->next;
+		}
+	}
+
 	// copy @op_str
 	if (*sp) {
 		// find the next non-space char
@@ -526,6 +627,18 @@ static uint8_t skipdata_size(cs_struct *
 			// XCore instruction's length can be 2 or 4 bytes,
 			// so we just skip 2 bytes
 			return 2;
+		case CS_ARCH_M68K:
+			// M68K has 2 bytes instruction alignment but contain multibyte instruction so we skip 2 bytes
+			return 2;
+		case CS_ARCH_TMS320C64X:
+			// TMS320C64x alignment is 4.
+			return 4;
+		case CS_ARCH_M680X:
+			// M680X alignment is 1.
+			return 1;
+		case CS_ARCH_EVM:
+			// EVM alignment is 1.
+			return 1;
 	}
 }
 
@@ -533,6 +646,7 @@ CAPSTONE_EXPORT
 cs_err CAPSTONE_API cs_option(csh ud, cs_opt_type type, size_t value)
 {
 	struct cs_struct *handle;
+	cs_opt_mnem *opt;
 
 	// cs_option() can be called with NULL handle just for CS_OPT_MEM
 	// This is supposed to be executed before all other APIs (even cs_open())
@@ -555,9 +669,15 @@ cs_err CAPSTONE_API cs_option(csh ud, cs
 	switch(type) {
 		default:
 			break;
+
+		case CS_OPT_UNSIGNED:
+			handle->imm_unsigned = (cs_opt_value)value;
+			return CS_ERR_OK;
+
 		case CS_OPT_DETAIL:
 			handle->detail = (cs_opt_value)value;
 			return CS_ERR_OK;
+
 		case CS_OPT_SKIPDATA:
 			handle->skipdata = (value == CS_OPT_ON);
 			if (handle->skipdata) {
@@ -567,10 +687,68 @@ cs_err CAPSTONE_API cs_option(csh ud, cs
 				}
 			}
 			return CS_ERR_OK;
+
 		case CS_OPT_SKIPDATA_SETUP:
 			if (value)
 				handle->skipdata_setup = *((cs_opt_skipdata *)value);
 			return CS_ERR_OK;
+
+		case CS_OPT_MNEMONIC:
+			opt = (cs_opt_mnem *)value;
+			if (opt->id) {
+				if (opt->mnemonic) {
+					struct insn_mnem *tmp;
+
+					// add new instruction, or replace existing instruction
+					// 1. find if we already had this insn in the linked list
+					tmp = handle->mnem_list;
+					while(tmp) {
+						if (tmp->insn.id == opt->id) {
+							// found this instruction, so replace its mnemonic
+							(void)strncpy(tmp->insn.mnemonic, opt->mnemonic, sizeof(tmp->insn.mnemonic) - 1);
+							tmp->insn.mnemonic[sizeof(tmp->insn.mnemonic) - 1] = '\0';
+							break;
+						}
+						tmp = tmp->next;
+					}
+
+					// 2. add this instruction if we have not had it yet
+					if (!tmp) {
+						tmp = cs_mem_malloc(sizeof(*tmp));
+						tmp->insn.id = opt->id;
+						(void)strncpy(tmp->insn.mnemonic, opt->mnemonic, sizeof(tmp->insn.mnemonic) - 1);
+						tmp->insn.mnemonic[sizeof(tmp->insn.mnemonic) - 1] = '\0';
+						// this new instruction is heading the list
+						tmp->next = handle->mnem_list;
+						handle->mnem_list = tmp;
+					}
+					return CS_ERR_OK;
+				} else {
+					struct insn_mnem *prev, *tmp;
+
+					// we want to delete an existing instruction
+					// iterate the list to find the instruction to remove it
+					tmp = handle->mnem_list;
+					prev = tmp;
+					while(tmp) {
+						if (tmp->insn.id == opt->id) {
+							// delete this instruction
+							if (tmp == prev) {
+								// head of the list
+								handle->mnem_list = tmp->next;
+							} else {
+								prev->next = tmp->next;
+							}
+							cs_mem_free(tmp);
+							break;
+						}
+						prev = tmp;
+						tmp = tmp->next;
+					}
+				}
+			}
+			return CS_ERR_OK;
+
 		case CS_OPT_MODE:
 			// verify if requested mode is valid
 			if (value & cs_arch_disallowed_mode_mask[handle->arch]) {
@@ -704,9 +882,12 @@ size_t CAPSTONE_API cs_disasm(csh ud, co
 			handle->insn_id(handle, insn_cache, mci.Opcode);
 
 			handle->printer(&mci, &ss, handle->printer_info);
-
 			fill_insn(handle, insn_cache, ss.buffer, &mci, handle->post_printer, buffer);
 
+			// adjust for pseudo opcode (X86)
+			if (handle->arch == CS_ARCH_X86)
+				insn_cache->id += mci.popcode_adjust;
+
 			next_offset = insn_size;
 		} else	{
 			// encounter a broken instruction
@@ -740,12 +921,12 @@ size_t CAPSTONE_API cs_disasm(csh ud, co
 			insn_cache->size = (uint16_t)skipdata_bytes;
 			memcpy(insn_cache->bytes, buffer, skipdata_bytes);
 #ifdef CAPSTONE_DIET
- 			insn_cache->mnemonic[0] = '\0';
+			insn_cache->mnemonic[0] = '\0';
 			insn_cache->op_str[0] = '\0';
 #else
 			strncpy(insn_cache->mnemonic, handle->skipdata_setup.mnemonic,
-  					sizeof(insn_cache->mnemonic) - 1);
-  			skipdata_opstr(insn_cache->op_str, buffer, skipdata_bytes);
+					sizeof(insn_cache->mnemonic) - 1);
+			skipdata_opstr(insn_cache->op_str, buffer, skipdata_bytes);
 #endif
 			insn_cache->detail = NULL;
 
@@ -916,6 +1097,10 @@ bool CAPSTONE_API cs_disasm_iter(csh ud,
 
 		fill_insn(handle, insn, ss.buffer, &mci, handle->post_printer, *code);
 
+		// adjust for pseudo opcode (X86)
+		if (handle->arch == CS_ARCH_X86)
+			insn->id += mci.popcode_adjust;
+
 		*code += insn_size;
 		*size -= insn_size;
 		*address += insn_size;
@@ -944,11 +1129,11 @@ bool CAPSTONE_API cs_disasm_iter(csh ud,
 		insn->id = 0;	// invalid ID for this "data" instruction
 		insn->address = *address;
 		insn->size = (uint16_t)skipdata_bytes;
-		memcpy(insn->bytes, *code, skipdata_bytes);
 #ifdef CAPSTONE_DIET
 		insn->mnemonic[0] = '\0';
 		insn->op_str[0] = '\0';
 #else
+		memcpy(insn->bytes, *code, skipdata_bytes);
 		strncpy(insn->mnemonic, handle->skipdata_setup.mnemonic,
 				sizeof(insn->mnemonic) - 1);
 		skipdata_opstr(insn->op_str, *code, skipdata_bytes);
@@ -999,18 +1184,6 @@ const char * CAPSTONE_API cs_group_name(
 	return handle->group_name(ud, group);
 }
 
-static bool arr_exist(unsigned char *arr, unsigned char max, unsigned int id)
-{
-	int i;
-
-	for (i = 0; i < max; i++) {
-		if (arr[i] == id)
-			return true;
-	}
-
-	return false;
-}
-
 CAPSTONE_EXPORT
 bool CAPSTONE_API cs_insn_group(csh ud, const cs_insn *insn, unsigned int group_id)
 {
@@ -1025,17 +1198,17 @@ bool CAPSTONE_API cs_insn_group(csh ud,
 		return false;
 	}
 
-	if(!insn->id) {
+	if (!insn->id) {
 		handle->errnum = CS_ERR_SKIPDATA;
 		return false;
 	}
 
-	if(!insn->detail) {
+	if (!insn->detail) {
 		handle->errnum = CS_ERR_DETAIL;
 		return false;
 	}
 
-	return arr_exist(insn->detail->groups, insn->detail->groups_count, group_id);
+	return arr_exist8(insn->detail->groups, insn->detail->groups_count, group_id);
 }
 
 CAPSTONE_EXPORT
@@ -1052,12 +1225,12 @@ bool CAPSTONE_API cs_reg_read(csh ud, co
 		return false;
 	}
 
-	if(!insn->id) {
+	if (!insn->id) {
 		handle->errnum = CS_ERR_SKIPDATA;
 		return false;
 	}
 
-	if(!insn->detail) {
+	if (!insn->detail) {
 		handle->errnum = CS_ERR_DETAIL;
 		return false;
 	}
@@ -1079,12 +1252,12 @@ bool CAPSTONE_API cs_reg_write(csh ud, c
 		return false;
 	}
 
-	if(!insn->id) {
+	if (!insn->id) {
 		handle->errnum = CS_ERR_SKIPDATA;
 		return false;
 	}
 
-	if(!insn->detail) {
+	if (!insn->detail) {
 		handle->errnum = CS_ERR_DETAIL;
 		return false;
 	}
@@ -1107,12 +1280,12 @@ int CAPSTONE_API cs_op_count(csh ud, con
 		return -1;
 	}
 
-	if(!insn->id) {
+	if (!insn->id) {
 		handle->errnum = CS_ERR_SKIPDATA;
 		return -1;
 	}
 
-	if(!insn->detail) {
+	if (!insn->detail) {
 		handle->errnum = CS_ERR_DETAIL;
 		return -1;
 	}
@@ -1163,6 +1336,28 @@ int CAPSTONE_API cs_op_count(csh ud, con
 				if (insn->detail->xcore.operands[i].type == (xcore_op_type)op_type)
 					count++;
 			break;
+		case CS_ARCH_M68K:
+			for (i = 0; i < insn->detail->m68k.op_count; i++)
+				if (insn->detail->m68k.operands[i].type == (m68k_op_type)op_type)
+					count++;
+			break;
+		case CS_ARCH_TMS320C64X:
+			for (i = 0; i < insn->detail->tms320c64x.op_count; i++)
+				if (insn->detail->tms320c64x.operands[i].type == (tms320c64x_op_type)op_type)
+					count++;
+			break;
+		case CS_ARCH_M680X:
+			for (i = 0; i < insn->detail->m680x.op_count; i++)
+				if (insn->detail->m680x.operands[i].type == (m680x_op_type)op_type)
+					count++;
+			break;
+		case CS_ARCH_EVM:
+#if 0
+			for (i = 0; i < insn->detail->evm.op_count; i++)
+				if (insn->detail->evm.operands[i].type == (evm_op_type)op_type)
+					count++;
+#endif
+			break;
 	}
 
 	return count;
@@ -1184,12 +1379,12 @@ int CAPSTONE_API cs_op_index(csh ud, con
 		return -1;
 	}
 
-	if(!insn->id) {
+	if (!insn->id) {
 		handle->errnum = CS_ERR_SKIPDATA;
 		return -1;
 	}
 
-	if(!insn->detail) {
+	if (!insn->detail) {
 		handle->errnum = CS_ERR_DETAIL;
 		return -1;
 	}
@@ -1264,7 +1459,85 @@ int CAPSTONE_API cs_op_index(csh ud, con
 					return i;
 			}
 			break;
+		case CS_ARCH_M68K:
+			for (i = 0; i < insn->detail->m68k.op_count; i++) {
+				if (insn->detail->m68k.operands[i].type == (m68k_op_type)op_type)
+					count++;
+				if (count == post)
+					return i;
+			}
+			break;
+		case CS_ARCH_TMS320C64X:
+			for (i = 0; i < insn->detail->tms320c64x.op_count; i++) {
+				if (insn->detail->tms320c64x.operands[i].type == (tms320c64x_op_type)op_type)
+					count++;
+				if (count == post)
+					return i;
+			}
+			break;
+		case CS_ARCH_M680X:
+			for (i = 0; i < insn->detail->m680x.op_count; i++) {
+				if (insn->detail->m680x.operands[i].type == (m680x_op_type)op_type)
+					count++;
+				if (count == post)
+					return i;
+			}
+			break;
+		case CS_ARCH_EVM:
+#if 0
+			for (i = 0; i < insn->detail->evm.op_count; i++) {
+				if (insn->detail->evm.operands[i].type == (evm_op_type)op_type)
+					count++;
+				if (count == post)
+					return i;
+			}
+#endif
+			break;
 	}
 
 	return -1;
 }
+
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_regs_access(csh ud, const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count)
+{
+	struct cs_struct *handle;
+
+	if (!ud)
+		return -1;
+
+	handle = (struct cs_struct *)(uintptr_t)ud;
+
+#ifdef CAPSTONE_DIET
+	// This API does not work in DIET mode
+	handle->errnum = CS_ERR_DIET;
+	return CS_ERR_DIET;
+#else
+	if (!handle->detail) {
+		handle->errnum = CS_ERR_DETAIL;
+		return CS_ERR_DETAIL;
+	}
+
+	if (!insn->id) {
+		handle->errnum = CS_ERR_SKIPDATA;
+		return CS_ERR_SKIPDATA;
+	}
+
+	if (!insn->detail) {
+		handle->errnum = CS_ERR_DETAIL;
+		return CS_ERR_DETAIL;
+	}
+
+	if (handle->reg_access) {
+		handle->reg_access(insn, regs_read, regs_read_count, regs_write, regs_write_count);
+	} else {
+		// this arch is unsupported yet
+		handle->errnum = CS_ERR_ARCH;
+		return CS_ERR_ARCH;
+	}
+
+	return CS_ERR_OK;
+#endif
+}
diff -pruN 4.0.1+really+3.0.5-2/cs_priv.h 4.0.2-3/cs_priv.h
--- 4.0.1+really+3.0.5-2/cs_priv.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cs_priv.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,13 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_PRIV_H
 #define CS_PRIV_H
 
-#include <capstone.h>
+#ifdef CAPSTONE_DEBUG
+#include <assert.h>
+#endif
+#include <capstone/capstone.h>
 
 #include "MCInst.h"
 #include "SStream.h"
@@ -24,12 +27,30 @@ typedef void (*GetID_t)(cs_struct *h, cs
 // return register name, given register ID
 typedef const char *(*GetRegisterName_t)(unsigned RegNo);
 
+// return registers accessed by instruction
+typedef void (*GetRegisterAccess_t)(const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count);
+
 // for ARM only
 typedef struct ARM_ITStatus {
 	unsigned char ITStates[8];
 	unsigned int size;
 } ARM_ITStatus;
 
+// Customize mnemonic for instructions with alternative name.
+struct customized_mnem {
+	// ID of instruction to be customized.
+	unsigned int id;
+	// Customized instruction mnemonic.
+	char mnemonic[CS_MNEMONIC_SIZE];
+};
+
+struct insn_mnem {
+	struct customized_mnem insn;
+	struct insn_mnem *next;	// linked list of customized mnemonics
+};
+
 struct cs_struct {
 	cs_arch arch;
 	cs_mode mode;
@@ -44,7 +65,7 @@ struct cs_struct {
 	PostPrinter_t post_printer;
 	cs_err errnum;
 	ARM_ITStatus ITBlock;	// for Arm only
-	cs_opt_value detail;
+	cs_opt_value detail, imm_unsigned;
 	int syntax;	// asm syntax for simple printer such as ARM, Mips & PPC
 	bool doing_mem;	// handling memory operand in InstPrinter code
 	unsigned short *insn_cache;	// index caching for mapping.c
@@ -53,9 +74,11 @@ struct cs_struct {
 	uint8_t skipdata_size;	// how many bytes to skip
 	cs_opt_skipdata skipdata_setup;	// user-defined skipdata setup
 	const uint8_t *regsize_map;	// map to register size (x86-only for now)
+	GetRegisterAccess_t reg_access;
+	struct insn_mnem *mnem_list;	// linked list of customized instruction mnemonic
 };
 
-#define MAX_ARCH 8
+#define MAX_ARCH CS_ARCH_MAX
 
 // Returns a bool (0 or 1) whether big endian is enabled for a mode
 #define MODE_IS_BIG_ENDIAN(mode) (((mode) & CS_MODE_BIG_ENDIAN) != 0)
@@ -66,4 +89,12 @@ extern cs_realloc_t cs_mem_realloc;
 extern cs_free_t cs_mem_free;
 extern cs_vsnprintf_t cs_vsnprintf;
 
+// By defining CAPSTONE_DEBUG assertions can be used.
+// For any release build CAPSTONE_DEBUG has to be undefined.
+#ifdef CAPSTONE_DEBUG
+#define CS_ASSERT(expr) assert(expr)
+#else
+#define CS_ASSERT(expr)
+#endif
+
 #endif
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_arm64.c 4.0.2-3/cstool/cstool_arm64.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_arm64.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_arm64.c	2020-05-08 10:03:30.000000000 +0000
@@ -4,7 +4,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
@@ -12,7 +12,10 @@ void print_insn_detail_arm64(csh handle,
 {
 	cs_arm64 *arm64;
 	int i;
-
+	cs_regs regs_read, regs_write;
+	uint8_t regs_read_count, regs_write_count;
+	uint8_t access;
+	
 	// detail can be NULL if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
 		return;
@@ -72,11 +75,26 @@ void print_insn_detail_arm64(csh handle,
 				printf("\t\toperands[%u].type: BARRIER = 0x%x\n", i, op->barrier);
 				break;
 		}
-
+		
+		access = op->access;
+		switch(access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+		
 		if (op->shift.type != ARM64_SFT_INVALID &&
-				op->shift.value)
+			op->shift.value)
 			printf("\t\t\tShift: type = %u, value = %u\n",
-					op->shift.type, op->shift.value);
+				   op->shift.type, op->shift.value);
 
 		if (op->ext != ARM64_EXT_INVALID)
 			printf("\t\t\tExt: %u\n", op->ext);
@@ -99,4 +117,25 @@ void print_insn_detail_arm64(csh handle,
 
 	if (arm64->cc)
 		printf("\tCode-condition: %u\n", arm64->cc);
+
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(handle, ins,
+						regs_read, &regs_read_count,
+						regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_read[i]));
+			}
+			printf("\n");
+		}
+		
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
 }
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_arm.c 4.0.2-3/cstool/cstool_arm.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_arm.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_arm.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
@@ -9,6 +9,8 @@ void print_insn_detail_arm(csh handle, c
 {
 	cs_arm *arm;
 	int i;
+	cs_regs regs_read, regs_write;
+	uint8_t regs_read_count, regs_write_count;
 
 	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
@@ -40,16 +42,18 @@ void print_insn_detail_arm(csh handle, c
 				break;
 			case ARM_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
-				if (op->mem.base != X86_REG_INVALID)
+				if (op->mem.base != ARM_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
 							i, cs_reg_name(handle, op->mem.base));
-				if (op->mem.index != X86_REG_INVALID)
+				if (op->mem.index != ARM_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.index: REG = %s\n",
 							i, cs_reg_name(handle, op->mem.index));
 				if (op->mem.scale != 1)
-					printf("\t\t\toperands[%u].mem.scale: %u\n", i, op->mem.scale);
+					printf("\t\t\toperands[%u].mem.scale: %d\n", i, op->mem.scale);
 				if (op->mem.disp != 0)
 					printf("\t\t\toperands[%u].mem.disp: 0x%x\n", i, op->mem.disp);
+				if (op->mem.lshift != 0)
+					printf("\t\t\toperands[%u].mem.lshift: 0x%x\n", i, op->mem.lshift);
 
 				break;
 			case ARM_OP_PIMM:
@@ -66,6 +70,24 @@ void print_insn_detail_arm(csh handle, c
 				break;
 		}
 
+		if (op->neon_lane != -1) {
+			printf("\t\toperands[%u].neon_lane = %u\n", i, op->neon_lane);
+		}
+
+		switch(op->access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+
 		if (op->shift.type != ARM_SFT_INVALID && op->shift.value) {
 			if (op->shift.type < ARM_SFT_ASR_REG)
 				// shift with constant value
@@ -110,4 +132,25 @@ void print_insn_detail_arm(csh handle, c
 
 	if (arm->mem_barrier)
 		printf("\tMemory-barrier: %u\n", arm->mem_barrier);
+
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(handle, ins,
+				regs_read, &regs_read_count,
+				regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_read[i]));
+			}
+			printf("\n");
+		}
+
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
 }
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool.c 4.0.2-3/cstool/cstool.c
--- 4.0.1+really+3.0.5-2/cstool/cstool.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,77 @@
 /* Tang Yuhang <tyh000011112222@gmail.com> 2016 */
+/* pancake <pancake@nopcode.org> 2017 */
+
 #include <string.h>
 #include <ctype.h>
 #include <errno.h>
+#include "getopt.h"
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
+static struct {
+	const char *name;
+	cs_arch arch;
+	cs_mode mode;
+} all_archs[] = {
+	{ "arm", CS_ARCH_ARM, CS_MODE_ARM },
+	{ "armb", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_BIG_ENDIAN },
+	{ "armbe", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_BIG_ENDIAN },
+	{ "arml", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_LITTLE_ENDIAN },
+	{ "armle", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_LITTLE_ENDIAN },
+	{ "armv8", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_V8 },
+	{ "thumbv8", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_THUMB | CS_MODE_V8 },
+	{ "cortexm", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_THUMB | CS_MODE_MCLASS },
+	{ "thumb", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_THUMB },
+	{ "thumbbe", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_THUMB | CS_MODE_BIG_ENDIAN },
+	{ "thumble", CS_ARCH_ARM, CS_MODE_ARM | CS_MODE_THUMB | CS_MODE_LITTLE_ENDIAN },
+	{ "arm64", CS_ARCH_ARM64, CS_MODE_LITTLE_ENDIAN },
+	{ "arm64be", CS_ARCH_ARM64, CS_MODE_BIG_ENDIAN },
+	{ "mips", CS_ARCH_MIPS, CS_MODE_MIPS32 | CS_MODE_LITTLE_ENDIAN },
+	{ "mipsmicro", CS_ARCH_MIPS, CS_MODE_MIPS32 | CS_MODE_MICRO },
+	{ "mipsbemicro", CS_ARCH_MIPS, CS_MODE_MIPS32 | CS_MODE_MICRO | CS_MODE_BIG_ENDIAN },
+	{ "mipsbe32r6", CS_ARCH_MIPS, CS_MODE_MIPS32R6 | CS_MODE_BIG_ENDIAN},
+	{ "mipsbe32r6micro", CS_ARCH_MIPS, CS_MODE_MIPS32R6 | CS_MODE_BIG_ENDIAN | CS_MODE_MICRO },
+	{ "mips32r6", CS_ARCH_MIPS, CS_MODE_MIPS32R6 },
+	{ "mips32r6micro", CS_ARCH_MIPS, CS_MODE_MIPS32R6 | CS_MODE_MICRO },
+	{ "mipsbe", CS_ARCH_MIPS, CS_MODE_MIPS32 | CS_MODE_BIG_ENDIAN },
+	{ "mips64", CS_ARCH_MIPS, CS_MODE_MIPS64 | CS_MODE_LITTLE_ENDIAN },
+	{ "mips64be", CS_ARCH_MIPS, CS_MODE_MIPS64 | CS_MODE_BIG_ENDIAN },
+	{ "x16", CS_ARCH_X86, CS_MODE_16 }, // CS_MODE_16
+	{ "x16att", CS_ARCH_X86, CS_MODE_16 }, // CS_MODE_16 , CS_OPT_SYNTAX_ATT
+	{ "x32", CS_ARCH_X86, CS_MODE_32 }, // CS_MODE_32
+	{ "x32att", CS_ARCH_X86, CS_MODE_32 }, // CS_MODE_32, CS_OPT_SYNTAX_ATT
+	{ "x64", CS_ARCH_X86, CS_MODE_64 }, // CS_MODE_64
+	{ "x64att", CS_ARCH_X86, CS_MODE_64 }, // CS_MODE_64, CS_OPT_SYNTAX_ATT
+	{ "ppc32", CS_ARCH_PPC, CS_MODE_32 | CS_MODE_LITTLE_ENDIAN },
+	{ "ppc32be", CS_ARCH_PPC, CS_MODE_32 | CS_MODE_BIG_ENDIAN },
+	{ "ppc32qpx", CS_ARCH_PPC, CS_MODE_32 | CS_MODE_QPX | CS_MODE_LITTLE_ENDIAN },
+	{ "ppc32beqpx", CS_ARCH_PPC, CS_MODE_32 | CS_MODE_QPX | CS_MODE_BIG_ENDIAN },
+	{ "ppc64", CS_ARCH_PPC, CS_MODE_64 | CS_MODE_LITTLE_ENDIAN },
+	{ "ppc64be", CS_ARCH_PPC, CS_MODE_64 | CS_MODE_BIG_ENDIAN },
+	{ "ppc64qpx", CS_ARCH_PPC, CS_MODE_64 | CS_MODE_QPX | CS_MODE_LITTLE_ENDIAN },
+	{ "ppc64beqpx", CS_ARCH_PPC, CS_MODE_64 | CS_MODE_QPX | CS_MODE_BIG_ENDIAN },
+	{ "sparc", CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN },
+	{ "sparcv9", CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN | CS_MODE_V9 },
+	{ "systemz", CS_ARCH_SYSZ, CS_MODE_BIG_ENDIAN },
+	{ "sysz", CS_ARCH_SYSZ, CS_MODE_BIG_ENDIAN },
+	{ "s390x", CS_ARCH_SYSZ, CS_MODE_BIG_ENDIAN },
+	{ "xcore", CS_ARCH_XCORE, CS_MODE_BIG_ENDIAN },
+	{ "m68k", CS_ARCH_M68K, CS_MODE_BIG_ENDIAN },
+	{ "m68k40", CS_ARCH_M68K, CS_MODE_M68K_040 },
+	{ "tms320c64x", CS_ARCH_TMS320C64X, CS_MODE_BIG_ENDIAN },
+	{ "m6800", CS_ARCH_M680X, CS_MODE_M680X_6800 },
+	{ "m6801", CS_ARCH_M680X, CS_MODE_M680X_6801 },
+	{ "m6805", CS_ARCH_M680X, CS_MODE_M680X_6805 },
+	{ "m6808", CS_ARCH_M680X, CS_MODE_M680X_6808 },
+	{ "m6809", CS_ARCH_M680X, CS_MODE_M680X_6809 },
+	{ "m6811", CS_ARCH_M680X, CS_MODE_M680X_6811 },
+	{ "cpu12", CS_ARCH_M680X, CS_MODE_M680X_CPU12 },
+	{ "hd6301", CS_ARCH_M680X, CS_MODE_M680X_6301 },
+	{ "hd6309", CS_ARCH_M680X, CS_MODE_M680X_6309 },
+	{ "hcs08", CS_ARCH_M680X, CS_MODE_M680X_HCS08 },
+	{ "evm", CS_ARCH_EVM, 0 },
+	{ NULL }
+};
 
 void print_insn_detail_x86(csh ud, cs_mode mode, cs_insn *ins);
 void print_insn_detail_arm(csh handle, cs_insn *ins);
@@ -14,8 +81,14 @@ void print_insn_detail_ppc(csh handle, c
 void print_insn_detail_sparc(csh handle, cs_insn *ins);
 void print_insn_detail_sysz(csh handle, cs_insn *ins);
 void print_insn_detail_xcore(csh handle, cs_insn *ins);
+void print_insn_detail_m68k(csh handle, cs_insn *ins);
+void print_insn_detail_tms320c64x(csh handle, cs_insn *ins);
+void print_insn_detail_m680x(csh handle, cs_insn *ins);
+void print_insn_detail_evm(csh handle, cs_insn *ins);
+
+static void print_details(csh handle, cs_arch arch, cs_mode md, cs_insn *ins);
 
-void print_string_hex(char *comment, unsigned char *str, size_t len)
+void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -50,6 +123,9 @@ static uint8_t *preprocess(char *code, s
 	uint8_t high, low;
 	uint8_t *result;
 
+	if (strlen(code) == 0)
+		return NULL;
+
 	result = (uint8_t *)malloc(strlen(code));
 	if (result != NULL) {
 		while (code[i] != '\0') {
@@ -71,54 +147,148 @@ static uint8_t *preprocess(char *code, s
 static void usage(char *prog)
 {
 	printf("Cstool for Capstone Disassembler Engine v%u.%u.%u\n\n", CS_VERSION_MAJOR, CS_VERSION_MINOR, CS_VERSION_EXTRA);
-	printf("Syntax: %s [-d] <arch+mode> <assembly-hexstring> [start-address-in-hex-format]\n", prog);
+	printf("Syntax: %s [-d|-s|-u|-v] <arch+mode> <assembly-hexstring> [start-address-in-hex-format]\n", prog);
 	printf("\nThe following <arch+mode> options are supported:\n");
 
 	if (cs_support(CS_ARCH_X86)) {
-		printf("        x16:       16-bit mode (X86)\n");
-		printf("        x32:       32-bit mode (X86)\n");
-		printf("        x64:       64-bit mode (X86)\n");
-		printf("        x16att:    16-bit mode (X86) syntax-att\n");
-		printf("        x32att:    32-bit mode (X86) syntax-att\n");
-		printf("        x64att:    64-bit mode (X86) syntax-att\n");
+		printf("        x16:        16-bit mode (X86)\n");
+		printf("        x32:        32-bit mode (X86)\n");
+		printf("        x64:        64-bit mode (X86)\n");
+		printf("        x16att:     16-bit mode (X86) syntax-att\n");
+		printf("        x32att:     32-bit mode (X86) syntax-att\n");
+		printf("        x64att:     64-bit mode (X86) syntax-att\n");
 	}
 
 	if (cs_support(CS_ARCH_ARM)) {
-		printf("        arm:       arm\n");
-		printf("        armbe:     arm + big endian\n");
-		printf("        thumb:     thumb mode\n");
-		printf("        thumbbe:   thumb + big endian\n");
-		printf("        cortexm:   thumb + cortex-m extensions\n");
-
+		printf("        arm:        arm\n");
+		printf("        armbe:      arm + big endian\n");
+		printf("        thumb:      thumb mode\n");
+		printf("        thumbbe:    thumb + big endian\n");
+		printf("        cortexm:    thumb + cortex-m extensions\n");
+		printf("        armv8:      arm v8\n");
+		printf("        thumbv8:    thumb v8\n");
 	}
 
 	if (cs_support(CS_ARCH_ARM64)) {
-		printf("        arm64:     aarch64 mode\n");
-		printf("        arm64be:   aarch64 + big endian\n");
+		printf("        arm64:      aarch64 mode\n");
+		printf("        arm64be:    aarch64 + big endian\n");
 	}
 
 	if (cs_support(CS_ARCH_MIPS)) {
-		printf("        mips:      mips32 + little endian\n");
-		printf("        mipsbe:    mips32 + big endian\n");
-		printf("        mips64:    mips64 + little endian\n");
-		printf("        mips64be:  mips64 + big endian\n");
+		printf("        mips:       mips32 + little endian\n");
+		printf("        mipsbe:     mips32 + big endian\n");
+		printf("        mips64:     mips64 + little endian\n");
+		printf("        mips64be:   mips64 + big endian\n");
 	}
 
 	if (cs_support(CS_ARCH_PPC)) {
-		printf("        ppc64:     ppc64 + little endian\n");
-		printf("        ppc64be:   ppc64 + big endian\n");
+		printf("        ppc32:      ppc32 + little endian\n");
+		printf("        ppc32be:    ppc32 + big endian\n");
+		printf("        ppc32qpx:   ppc32 + qpx + little endian\n");
+		printf("        ppc32beqpx: ppc32 + qpx + big endian\n");
+		printf("        ppc64:      ppc64 + little endian\n");
+		printf("        ppc64be:    ppc64 + big endian\n");
+		printf("        ppc64qpx:   ppc64 + qpx + little endian\n");
+		printf("        ppc64beqpx: ppc64 + qpx + big endian\n");
 	}
 
 	if (cs_support(CS_ARCH_SPARC)) {
-		printf("        sparc:     sparc\n");
+		printf("        sparc:      sparc\n");
 	}
 
 	if (cs_support(CS_ARCH_SYSZ)) {
-		printf("        systemz:   systemz (s390x)\n");
+		printf("        systemz:    systemz (s390x)\n");
 	}
 
 	if (cs_support(CS_ARCH_XCORE)) {
-		printf("        xcore:     xcore\n");
+		printf("        xcore:      xcore\n");
+	}
+
+	if (cs_support(CS_ARCH_M68K)) {
+		printf("        m68k:       m68k + big endian\n");
+		printf("        m68k40:     m68k_040\n");
+	}
+
+	if (cs_support(CS_ARCH_TMS320C64X)) {
+		printf("        tms320c64x: TMS320C64x\n");
+	}
+
+	if (cs_support(CS_ARCH_M680X)) {
+		printf("        m6800:      M6800/2\n");
+		printf("        m6801:      M6801/3\n");
+		printf("        m6805:      M6805\n");
+		printf("        m6808:      M68HC08\n");
+		printf("        m6809:      M6809\n");
+		printf("        m6811:      M68HC11\n");
+		printf("        cpu12:      M68HC12/HCS12\n");
+		printf("        hd6301:     HD6301/3\n");
+		printf("        hd6309:     HD6309\n");
+		printf("        hcs08:      HCS08\n");
+	}
+
+	if (cs_support(CS_ARCH_EVM)) {
+		printf("        evm:        Ethereum Virtual Machine\n");
+	}
+
+	printf("\nExtra options:\n");
+	printf("        -d show detailed information of the instructions\n");
+	printf("        -s decode in SKIPDATA mode\n");
+	printf("        -u show immediates as unsigned\n");
+	printf("        -v show version & Capstone core build info\n\n");
+}
+
+static void print_details(csh handle, cs_arch arch, cs_mode md, cs_insn *ins)
+{
+	printf("\tID: %u (%s)\n", ins->id, cs_insn_name(handle, ins->id));
+
+	switch(arch) {
+		case CS_ARCH_X86:
+			print_insn_detail_x86(handle, md, ins);
+			break;
+		case CS_ARCH_ARM:
+			print_insn_detail_arm(handle, ins);
+			break;
+		case CS_ARCH_ARM64:
+			print_insn_detail_arm64(handle, ins);
+			break;
+		case CS_ARCH_MIPS:
+			print_insn_detail_mips(handle, ins);
+			break;
+		case CS_ARCH_PPC:
+			print_insn_detail_ppc(handle, ins);
+			break;
+		case CS_ARCH_SPARC:
+			print_insn_detail_sparc(handle, ins);
+			break;
+		case CS_ARCH_SYSZ:
+			print_insn_detail_sysz(handle, ins);
+			break;
+		case CS_ARCH_XCORE:
+			print_insn_detail_xcore(handle, ins);
+			break;
+		case CS_ARCH_M68K:
+			print_insn_detail_m68k(handle, ins);
+			break;
+		case CS_ARCH_TMS320C64X:
+			print_insn_detail_tms320c64x(handle, ins);
+			break;
+		case CS_ARCH_M680X:
+			print_insn_detail_m680x(handle, ins);
+			break;
+		case CS_ARCH_EVM:
+			print_insn_detail_evm(handle, ins);
+			break;
+		default: break;
+	}
+
+	if (ins->detail->groups_count) {
+		int j;
+
+		printf("\tGroups: ");
+		for(j = 0; j < ins->detail->groups_count; j++) {
+			printf("%s ", cs_group_name(handle, ins->detail->groups[j]));
+		}
+		printf("\n");
 	}
 
 	printf("\n");
@@ -126,161 +296,171 @@ static void usage(char *prog)
 
 int main(int argc, char **argv)
 {
+	int i, c;
 	csh handle;
 	char *mode;
 	uint8_t *assembly;
 	size_t count, size;
-	uint64_t address = 0;
+	uint64_t address = 0LL;
 	cs_insn *insn;
 	cs_err err;
 	cs_mode md;
-	cs_arch arch;
+	cs_arch arch = CS_ARCH_ALL;
 	bool detail_flag = false;
-	bool x86_att_syntax = false;
+	bool unsigned_flag = false;
+	bool skipdata = false;
+	int args_left;
+
+	while ((c = getopt (argc, argv, "sudhv")) != -1) {
+		switch (c) {
+			case 's':
+				skipdata = true;
+				break;
+			case 'u':
+				unsigned_flag = true;
+				break;
+			case 'd':
+				detail_flag = true;
+				break;
+			case 'v':
+				printf("Cstool for Capstone Disassembler Engine v%u.%u.%u\n", CS_VERSION_MAJOR, CS_VERSION_MINOR, CS_VERSION_EXTRA);
+
+				printf("Capstone build: ");
+				if (cs_support(CS_ARCH_X86)) {
+					printf("x86=1 ");
+				}
+
+				if (cs_support(CS_ARCH_ARM)) {
+					printf("arm=1 ");
+				}
+
+				if (cs_support(CS_ARCH_ARM64)) {
+					printf("arm64=1 ");
+				}
+
+				if (cs_support(CS_ARCH_MIPS)) {
+					printf("mips=1 ");
+				}
+
+				if (cs_support(CS_ARCH_PPC)) {
+					printf("ppc=1 ");
+				}
+
+				if (cs_support(CS_ARCH_SPARC)) {
+					printf("sparc=1 ");
+				}
+
+				if (cs_support(CS_ARCH_SYSZ)) {
+					printf("sysz=1 ");
+				}
+
+				if (cs_support(CS_ARCH_XCORE)) {
+					printf("xcore=1 ");
+				}
+
+				if (cs_support(CS_ARCH_M68K)) {
+					printf("m68k=1 ");
+				}
+
+				if (cs_support(CS_ARCH_TMS320C64X)) {
+					printf("tms320c64x=1 ");
+				}
+
+				if (cs_support(CS_ARCH_M680X)) {
+					printf("m680x=1 ");
+				}
+
+				if (cs_support(CS_ARCH_EVM)) {
+					printf("evm=1 ");
+				}
+
+				if (cs_support(CS_SUPPORT_DIET)) {
+					printf("diet=1 ");
+				}
 
-	if (argc != 3 && argc != 4 && argc != 5) {
+				if (cs_support(CS_SUPPORT_X86_REDUCE)) {
+					printf("x86_reduce=1 ");
+				}
+
+				printf("\n");
+				return 0;
+			case 'h':
+				usage(argv[0]);
+				return 0;
+			default:
+				usage(argv[0]);
+				return -1;
+		}
+	}
+
+	args_left = argc - optind;
+	if (args_left < 2 || args_left > 3) {
 		usage(argv[0]);
 		return -1;
 	}
 
-	if (!strcmp(argv[1], "-d")) {
-		if (argc == 3) {
-			usage(argv[0]);
-			return -1;
-		}
-		detail_flag = true;
-		mode = argv[2];
-		assembly = preprocess(argv[3], &size);
-		if (argc == 5) {
-			char *temp;
-			address = strtoull(argv[4], &temp, 16);
-			if (temp == argv[4] || *temp != '\0' || errno == ERANGE) {
-				printf("ERROR: invalid address argument, quit!\n");
-				return -2;
-			}
-		}
-	} else {
-		if (argc == 5) {
-			usage(argv[0]);
-			return -1;
-		}
+	mode = argv[optind];
+	assembly = preprocess(argv[optind + 1], &size);
+	if (!assembly) {
+		usage(argv[0]);
+		return -1;
+	}
 
-		mode = argv[1];
-		assembly = preprocess(argv[2], &size);
-		if (assembly == NULL) {
-			printf("ERROR: invalid assembler-string argument, quit!\n");
-			return -3;
+	if (args_left == 3) {
+		char *temp, *src = argv[optind + 2];
+		address = strtoull(src, &temp, 16);
+		if (temp == src || *temp != '\0' || errno == ERANGE) {
+			printf("ERROR: invalid address argument, quit!\n");
+			return -2;
 		}
+	}
 
-		if (argc == 4) {
-			// cstool <arch> <assembly> <address>
-			char *temp;
-			address = strtoull(argv[3], &temp, 16);
-			if (temp == argv[3] || *temp != '\0' || errno == ERANGE) {
-				printf("ERROR: invalid address argument, quit!\n");
-				return -2;
+	for (i = 0; all_archs[i].name; i++) {
+		if (!strcmp(all_archs[i].name, mode)) {
+			arch = all_archs[i].arch;
+			err = cs_open(all_archs[i].arch, all_archs[i].mode, &handle);
+			if (!err) {
+				md = all_archs[i].mode;
+				if (strstr (mode, "att")) {
+					cs_option(handle, CS_OPT_SYNTAX, CS_OPT_SYNTAX_ATT);
+				}
+
+				// turn on SKIPDATA mode
+				if (skipdata)
+					cs_option(handle, CS_OPT_SKIPDATA, CS_OPT_ON);
 			}
+			break;
 		}
 	}
 
-	if (!strcmp(mode, "arm") || !strcmp(mode, "arml") || !strcmp(mode, "armle")) {
-		arch = CS_ARCH_ARM;
-		md = CS_MODE_ARM | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "armb") || !strcmp(mode, "armbe") ) {
-		arch = CS_ARCH_ARM;
-		md = CS_MODE_ARM | CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "thumb") || !strcmp(mode, "thumble")) {
-		arch = CS_ARCH_ARM;
-		md = CS_MODE_THUMB | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "thumbbe")) {
-		arch = CS_ARCH_ARM;
-		md = CS_MODE_THUMB | CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "cortexm")) {
-		arch = CS_ARCH_ARM;
-		md = CS_MODE_THUMB | CS_MODE_MCLASS | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "arm64")) {
-		arch = CS_ARCH_ARM64;
-		md = CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "arm64be")) {
-		arch = CS_ARCH_ARM64;
-		md = CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "mips")) {
-		arch = CS_ARCH_MIPS;
-		md = CS_MODE_MIPS32 | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "mipsbe")) {
-		arch = CS_ARCH_MIPS;
-		md = CS_MODE_MIPS32 | CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "mips64")) {
-		arch = CS_ARCH_MIPS;
-		md = CS_MODE_MIPS64 | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode, "mips64be")) {
-		arch = CS_ARCH_MIPS;
-		md = CS_MODE_MIPS64 | CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "x16")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_16;
-	} else if (!strcmp(mode, "x32")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_32;
-	} else if (!strcmp(mode, "x64")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_64;
-	} else if (!strcmp(mode, "x16att")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_16;
-		x86_att_syntax = true;
-	} else if (!strcmp(mode,"x32att")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_32;
-		x86_att_syntax = true;
-	} else if (!strcmp(mode,"x64att")) {
-		arch = CS_ARCH_X86;
-		md = CS_MODE_64;
-		x86_att_syntax = true;
-	} else if (!strcmp(mode,"ppc64")) {
-		arch = CS_ARCH_PPC;
-		md = CS_MODE_64 | CS_MODE_LITTLE_ENDIAN;
-	} else if (!strcmp(mode,"ppc64be")) {
-		arch = CS_ARCH_PPC;
-		md = CS_MODE_64 | CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode,"sparc")) {
-		arch = CS_ARCH_SPARC;
-		md = CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode, "systemz") || !strcmp(mode, "sysz") || !strcmp(mode, "s390x")) {
-		arch = CS_ARCH_SYSZ;
-		md = CS_MODE_BIG_ENDIAN;
-	} else if (!strcmp(mode,"xcore")) {
-		arch = CS_ARCH_XCORE;
-		md = CS_MODE_BIG_ENDIAN;
-	} else {
-		printf("ERROR: unknown architecture '%s'!\n", mode);
+	if (arch == CS_ARCH_ALL) {
+		printf("ERROR: Invalid <arch+mode>: \"%s\", quit!\n", mode);
 		usage(argv[0]);
 		return -1;
 	}
 
-	err = cs_open(arch, md, &handle);
-
 	if (err) {
 		printf("ERROR: Failed on cs_open(), quit!\n");
 		usage(argv[0]);
 		return -1;
 	}
 
-	if (arch == CS_ARCH_X86 && x86_att_syntax) {
-		cs_option(handle, CS_OPT_SYNTAX, CS_OPT_SYNTAX_ATT);
-	}
-
 	if (detail_flag) {
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
 	}
 
+	if (unsigned_flag) {
+		cs_option(handle, CS_OPT_UNSIGNED, CS_OPT_ON);
+	}
+
 	count = cs_disasm(handle, assembly, size, address, 0, &insn);
 	if (count > 0) {
 		size_t i;
 
 		for (i = 0; i < count; i++) {
 			int j;
-			printf("%"PRIx64"  ", insn[i].address);
+
+			printf("%2"PRIx64"  ", insn[i].address);
 			for (j = 0; j < insn[i].size; j++) {
 				if (j > 0)
 					putchar(' ');
@@ -289,60 +469,18 @@ int main(int argc, char **argv)
 			// X86 instruction size is variable.
 			// align assembly instruction after the opcode
 			if (arch == CS_ARCH_X86) {
-
 				for (; j < 16; j++) {
-					printf("  ");
+					printf("   ");
 				}
 			}
 
 			printf("  %s\t%s\n", insn[i].mnemonic, insn[i].op_str);
 
 			if (detail_flag) {
-				if (arch == CS_ARCH_X86) {
-					print_insn_detail_x86(handle, md, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_ARM) {
-					print_insn_detail_arm(handle, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_ARM64) {
-					print_insn_detail_arm64(handle,&insn[i]);
-				}
-
-				if (arch == CS_ARCH_MIPS) {
-					print_insn_detail_mips(handle, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_PPC) {
-					print_insn_detail_ppc(handle, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_SPARC) {
-					print_insn_detail_sparc(handle, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_SYSZ) {
-					print_insn_detail_sysz(handle, &insn[i]);
-				}
-
-				if (arch == CS_ARCH_XCORE) {
-					print_insn_detail_xcore(handle, &insn[i]);
-				}
-
-				if (insn[i].detail->groups_count) {
-					int j;
-
-					printf("\tGroups: ");
-					for(j = 0; j < insn[i].detail->groups_count; j++) {
-						printf("%s ", cs_group_name(handle, insn[i].detail->groups[j]));
-					}
-					printf("\n");
-				}
-
-				printf("\n");
+				print_details(handle, arch, md, &insn[i]);
 			}
 		}
+
 		cs_free(insn, count);
 	} else {
 		printf("ERROR: invalid assembly code\n");
@@ -350,6 +488,7 @@ int main(int argc, char **argv)
 	}
 
 	cs_close(&handle);
+	free(assembly);
 
 	return 0;
 }
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_evm.c 4.0.2-3/cstool/cstool_evm.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_evm.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cstool/cstool_evm.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,26 @@
+#include <stdio.h>
+#include <stdlib.h>
+
+#include <capstone/capstone.h>
+
+void print_string_hex(char *comment, unsigned char *str, size_t len);
+
+void print_insn_detail_evm(csh handle, cs_insn *ins)
+{
+	cs_evm *evm;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	evm = &(ins->detail->evm);
+
+	if (evm->pop)
+		printf("\tPop:     %u\n", evm->pop);
+
+	if (evm->push)
+		printf("\tPush:    %u\n", evm->push);
+
+	if (evm->fee)
+		printf("\tGas fee: %u\n", evm->fee);
+}
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_m680x.c 4.0.2-3/cstool/cstool_m680x.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_m680x.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cstool/cstool_m680x.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,155 @@
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#include <stdio.h>
+#include <capstone/capstone.h>
+
+void print_string_hex(char *comment, unsigned char *str, size_t len);
+
+static const char *s_access[] = {
+	"UNCHANGED", "READ", "WRITE", "READ | WRITE",
+};
+
+void print_read_write_regs(csh handle, cs_detail *detail)
+{
+	int i;
+
+	if (detail->regs_read_count > 0) {
+		printf("\treading from regs: ");
+
+		for (i = 0; i < detail->regs_read_count; ++i) {
+			if (i > 0)
+				printf(", ");
+
+			printf("%s", cs_reg_name(handle, detail->regs_read[i]));
+		}
+
+		printf("\n");
+	}
+
+	if (detail->regs_write_count > 0) {
+		printf("\twriting to regs: ");
+
+		for (i = 0; i < detail->regs_write_count; ++i) {
+			if (i > 0)
+				printf(", ");
+
+			printf("%s", cs_reg_name(handle,
+					detail->regs_write[i]));
+		}
+
+		printf("\n");
+	}
+}
+
+void print_insn_detail_m680x(csh handle, cs_insn *insn)
+{
+	cs_detail *detail = insn->detail;
+	cs_m680x *m680x = NULL;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is
+	// turned ON
+	if (detail == NULL)
+		return;
+
+	m680x = &detail->m680x;
+
+	if (m680x->op_count)
+		printf("\top_count: %u\n", m680x->op_count);
+
+	for (i = 0; i < m680x->op_count; i++) {
+		cs_m680x_op *op = &(m680x->operands[i]);
+		const char *comment;
+
+		switch ((int)op->type) {
+		default:
+			break;
+
+		case M680X_OP_REGISTER:
+			comment = "";
+
+			if ((i == 0 && m680x->flags & M680X_FIRST_OP_IN_MNEM) ||
+				(i == 1 && m680x->flags &
+					M680X_SECOND_OP_IN_MNEM))
+				comment = " (in mnemonic)";
+
+			printf("\t\toperands[%u].type: REGISTER = %s%s\n", i,
+				cs_reg_name(handle, op->reg), comment);
+			break;
+
+		case M680X_OP_CONSTANT:
+			printf("\t\toperands[%u].type: CONSTANT = %u\n", i,
+				op->const_val);
+			break;
+
+		case M680X_OP_IMMEDIATE:
+			printf("\t\toperands[%u].type: IMMEDIATE = #%d\n", i,
+				op->imm);
+			break;
+
+		case M680X_OP_DIRECT:
+			printf("\t\toperands[%u].type: DIRECT = 0x%02x\n", i,
+				op->direct_addr);
+			break;
+
+		case M680X_OP_EXTENDED:
+			printf("\t\toperands[%u].type: EXTENDED %s = 0x%04x\n",
+				i, op->ext.indirect ? "INDIRECT" : "",
+				op->ext.address);
+			break;
+
+		case M680X_OP_RELATIVE:
+			printf("\t\toperands[%u].type: RELATIVE = 0x%04x\n", i,
+				op->rel.address);
+			break;
+
+		case M680X_OP_INDEXED:
+			printf("\t\toperands[%u].type: INDEXED%s\n", i,
+				(op->idx.flags & M680X_IDX_INDIRECT) ?
+				" INDIRECT" : "");
+
+			if (op->idx.base_reg != M680X_REG_INVALID)
+				printf("\t\t\tbase register: %s\n",
+					cs_reg_name(handle, op->idx.base_reg));
+
+			if (op->idx.offset_reg != M680X_REG_INVALID)
+				printf("\t\t\toffset register: %s\n",
+					cs_reg_name(handle, op->idx.offset_reg));
+
+			if ((op->idx.offset_bits != 0) &&
+				(op->idx.offset_reg == M680X_REG_INVALID) &&
+				!op->idx.inc_dec) {
+				printf("\t\t\toffset: %d\n", op->idx.offset);
+
+				if (op->idx.base_reg == M680X_REG_PC)
+					printf("\t\t\toffset address: 0x%x\n",
+						op->idx.offset_addr);
+
+				printf("\t\t\toffset bits: %u\n",
+					op->idx.offset_bits);
+			}
+
+			if (op->idx.inc_dec) {
+				const char *post_pre = op->idx.flags &
+					M680X_IDX_POST_INC_DEC ? "post" : "pre";
+				const char *inc_dec = (op->idx.inc_dec > 0) ?
+					"increment" : "decrement";
+
+				printf("\t\t\t%s %s: %d\n", post_pre, inc_dec,
+					abs(op->idx.inc_dec));
+			}
+
+			break;
+		}
+
+		if (op->size != 0)
+			printf("\t\t\tsize: %u\n", op->size);
+
+		if (op->access != CS_AC_INVALID)
+			printf("\t\t\taccess: %s\n", s_access[op->access]);
+	}
+
+	print_read_write_regs(handle, detail);
+}
+
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_m68k.c 4.0.2-3/cstool/cstool_m68k.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_m68k.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cstool/cstool_m68k.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,121 @@
+//
+//  cstool_m68k.c
+//  
+//
+//  Created by YUHANG TANG on 26/10/16.
+//
+//
+
+#include <stdio.h>
+#include <capstone/capstone.h>
+
+void print_string_hex(char *comment, unsigned char *str, size_t len);
+
+static const char* s_addressing_modes[] = {
+	"<invalid mode>",
+
+	"Register Direct - Data",
+	"Register Direct - Address",
+
+	"Register Indirect - Address",
+	"Register Indirect - Address with Postincrement",
+	"Register Indirect - Address with Predecrement",
+	"Register Indirect - Address with Displacement",
+
+	"Address Register Indirect With Index - 8-bit displacement",
+	"Address Register Indirect With Index - Base displacement",
+
+	"Memory indirect - Postindex",
+	"Memory indirect - Preindex",
+
+	"Program Counter Indirect - with Displacement",
+
+	"Program Counter Indirect with Index - with 8-Bit Displacement",
+	"Program Counter Indirect with Index - with Base Displacement",
+
+	"Program Counter Memory Indirect - Postindexed",
+	"Program Counter Memory Indirect - Preindexed",
+
+	"Absolute Data Addressing  - Short",
+	"Absolute Data Addressing  - Long",
+	"Immediate value",
+};
+
+static void print_read_write_regs(cs_detail* detail, csh handle)
+{
+	int i;
+
+	for (i = 0; i < detail->regs_read_count; ++i) {
+		uint16_t reg_id = detail->regs_read[i];
+		const char* reg_name = cs_reg_name(handle, reg_id);
+		printf("\treading from reg: %s\n", reg_name);
+	}
+
+	for (i = 0; i < detail->regs_write_count; ++i) {
+		uint16_t reg_id = detail->regs_write[i];
+		const char* reg_name = cs_reg_name(handle, reg_id);
+		printf("\twriting to reg:   %s\n", reg_name);
+	}
+}
+
+void print_insn_detail_m68k(csh handle, cs_insn *ins)
+{
+	cs_m68k* m68k;
+	cs_detail* detail;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	detail = ins->detail;
+	m68k = &detail->m68k;
+	if (m68k->op_count)
+		printf("\top_count: %u\n", m68k->op_count);
+
+	print_read_write_regs(detail, handle);
+
+	printf("\tgroups_count: %u\n", detail->groups_count);
+
+	for (i = 0; i < m68k->op_count; i++) {
+		cs_m68k_op* op = &(m68k->operands[i]);
+
+		switch((int)op->type) {
+			default:
+				break;
+			case M68K_OP_REG:
+				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
+				break;
+			case M68K_OP_IMM:
+				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, (int)op->imm);
+				break;
+			case M68K_OP_MEM:
+				printf("\t\toperands[%u].type: MEM\n", i);
+				if (op->mem.base_reg != M68K_REG_INVALID)
+					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.base_reg));
+				if (op->mem.index_reg != M68K_REG_INVALID) {
+					printf("\t\t\toperands[%u].mem.index: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.index_reg));
+					printf("\t\t\toperands[%u].mem.index: size = %c\n",
+							i, op->mem.index_size ? 'l' : 'w');
+				}
+				if (op->mem.disp != 0)
+					printf("\t\t\toperands[%u].mem.disp: 0x%x\n", i, op->mem.disp);
+				if (op->mem.scale != 0)
+					printf("\t\t\toperands[%u].mem.scale: %d\n", i, op->mem.scale);
+
+				printf("\t\taddress mode: %s\n", s_addressing_modes[op->address_mode]);
+				break;
+			case M68K_OP_FP_SINGLE:
+				printf("\t\toperands[%u].type: FP_SINGLE\n", i);
+				printf("\t\t\toperands[%u].simm: %f\n", i, op->simm);
+				break;
+			case M68K_OP_FP_DOUBLE:
+				printf("\t\toperands[%u].type: FP_DOUBLE\n", i);
+				printf("\t\t\toperands[%u].dimm: %lf\n", i, op->dimm);
+				break;
+		}
+	}
+}
+
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_mips.c 4.0.2-3/cstool/cstool_mips.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_mips.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_mips.c	2020-05-08 10:03:30.000000000 +0000
@@ -4,7 +4,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
@@ -34,9 +34,9 @@ void print_insn_detail_mips(csh handle,
 				break;
 			case MIPS_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
-				if (op->mem.base != X86_REG_INVALID)
+				if (op->mem.base != MIPS_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
-							i, cs_reg_name(handle, op->mem.base));
+						   i, cs_reg_name(handle, op->mem.base));
 				if (op->mem.disp != 0)
 					printf("\t\t\toperands[%u].mem.disp: 0x%" PRIx64 "\n", i, op->mem.disp);
 
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_ppc.c 4.0.2-3/cstool/cstool_ppc.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_ppc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_ppc.c	2020-05-08 10:03:30.000000000 +0000
@@ -3,7 +3,7 @@
 
 #include <stdio.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
@@ -58,7 +58,7 @@ void print_insn_detail_ppc(csh handle, c
 				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
 				break;
 			case PPC_OP_IMM:
-				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				printf("\t\toperands[%u].type: IMM = 0x%"PRIx64"\n", i, op->imm);
 				break;
 			case PPC_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_sparc.c 4.0.2-3/cstool/cstool_sparc.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_sparc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_sparc.c	2020-05-08 10:03:30.000000000 +0000
@@ -3,7 +3,7 @@
 
 #include <stdio.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
@@ -29,7 +29,7 @@ void print_insn_detail_sparc(csh handle,
 				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
 				break;
 			case SPARC_OP_IMM:
-				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				printf("\t\toperands[%u].type: IMM = 0x%" PRIx64 "\n", i, op->imm);
 				break;
 			case SPARC_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_systemz.c 4.0.2-3/cstool/cstool_systemz.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_systemz.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_systemz.c	2020-05-08 10:03:30.000000000 +0000
@@ -3,7 +3,7 @@
 
 #include <stdio.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_tms320c64x.c 4.0.2-3/cstool/cstool_tms320c64x.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_tms320c64x.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cstool/cstool_tms320c64x.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,106 @@
+/* Capstone Disassembler Engine */
+/* By Fotis Loukos <me@fotisl.com>, 2017 */
+
+#include <stdio.h>
+#include <capstone/capstone.h>
+
+void print_string_hex(const char *comment, unsigned char *str, size_t len);
+
+void print_insn_detail_tms320c64x(csh handle, cs_insn *ins)
+{
+	cs_tms320c64x *tms320c64x;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	tms320c64x = &(ins->detail->tms320c64x);
+	if (tms320c64x->op_count)
+		printf("\top_count: %u\n", tms320c64x->op_count);
+
+	for (i = 0; i < tms320c64x->op_count; i++) {
+		cs_tms320c64x_op *op = &(tms320c64x->operands[i]);
+		switch((int)op->type) {
+			default:
+				break;
+			case TMS320C64X_OP_REG:
+				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
+				break;
+			case TMS320C64X_OP_IMM:
+				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				break;
+			case TMS320C64X_OP_MEM:
+				printf("\t\toperands[%u].type: MEM\n", i);
+				if (op->mem.base != TMS320C64X_REG_INVALID)
+					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.base));
+				printf("\t\t\toperands[%u].mem.disptype: ", i);
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_INVALID) {
+					printf("Invalid\n");
+					printf("\t\t\toperands[%u].mem.disp: %u\n", i, op->mem.disp);
+				}
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_CONSTANT) {
+					printf("Constant\n");
+					printf("\t\t\toperands[%u].mem.disp: %u\n", i, op->mem.disp);
+				}
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_REGISTER) {
+					printf("Register\n");
+					printf("\t\t\toperands[%u].mem.disp: %s\n", i, cs_reg_name(handle, op->mem.disp));
+				}
+				printf("\t\t\toperands[%u].mem.unit: %u\n", i, op->mem.unit);
+				printf("\t\t\toperands[%u].mem.direction: ", i);
+				if(op->mem.direction == TMS320C64X_MEM_DIR_INVALID)
+					printf("Invalid\n");
+				if(op->mem.direction == TMS320C64X_MEM_DIR_FW)
+					printf("Forward\n");
+				if(op->mem.direction == TMS320C64X_MEM_DIR_BW)
+					printf("Backward\n");
+				printf("\t\t\toperands[%u].mem.modify: ", i);
+				if(op->mem.modify == TMS320C64X_MEM_MOD_INVALID)
+					printf("Invalid\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_NO)
+					printf("No\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_PRE)
+					printf("Pre\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_POST)
+					printf("Post\n");
+				printf("\t\t\toperands[%u].mem.scaled: %u\n", i, op->mem.scaled);
+
+				break;
+			case TMS320C64X_OP_REGPAIR:
+				printf("\t\toperands[%u].type: REGPAIR = %s:%s\n", i, cs_reg_name(handle, op->reg + 1), cs_reg_name(handle, op->reg));
+				break;
+		}
+	}
+
+	printf("\tFunctional unit: ");
+	switch(tms320c64x->funit.unit) {
+		case TMS320C64X_FUNIT_D:
+			printf("D%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_L:
+			printf("L%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_M:
+			printf("M%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_S:
+			printf("S%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_NO:
+			printf("No Functional Unit\n");
+			break;
+		default:
+			printf("Unknown (Unit %u, Side %u)\n", tms320c64x->funit.unit, tms320c64x->funit.side);
+			break;
+	}
+	if(tms320c64x->funit.crosspath == 1)
+		printf("\tCrosspath: 1\n");
+
+	if(tms320c64x->condition.reg != TMS320C64X_REG_INVALID)
+		printf("\tCondition: [%c%s]\n", (tms320c64x->condition.zero == 1) ? '!' : ' ', cs_reg_name(handle, tms320c64x->condition.reg));
+	printf("\tParallel: %s\n", (tms320c64x->parallel == 1) ? "true" : "false");
+
+	printf("\n");
+}
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_x86.c 4.0.2-3/cstool/cstool_x86.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_x86.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_x86.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,18 +1,189 @@
-/* Second-Best Disassembler Engine */
 /* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
-void print_string_hex(char *comment, unsigned char *str, size_t len);
+void print_string_hex(const char *comment, unsigned char *str, size_t len);
+
+static const char *get_eflag_name(uint64_t flag)
+{
+	switch(flag) {
+		default:
+			return NULL;
+		case X86_EFLAGS_UNDEFINED_OF:
+			return "UNDEF_OF";
+		case X86_EFLAGS_UNDEFINED_SF:
+			return "UNDEF_SF";
+		case X86_EFLAGS_UNDEFINED_ZF:
+			return "UNDEF_ZF";
+		case X86_EFLAGS_MODIFY_AF:
+			return "MOD_AF";
+		case X86_EFLAGS_UNDEFINED_PF:
+			return "UNDEF_PF";
+		case X86_EFLAGS_MODIFY_CF:
+			return "MOD_CF";
+		case X86_EFLAGS_MODIFY_SF:
+			return "MOD_SF";
+		case X86_EFLAGS_MODIFY_ZF:
+			return "MOD_ZF";
+		case X86_EFLAGS_UNDEFINED_AF:
+			return "UNDEF_AF";
+		case X86_EFLAGS_MODIFY_PF:
+			return "MOD_PF";
+		case X86_EFLAGS_UNDEFINED_CF:
+			return "UNDEF_CF";
+		case X86_EFLAGS_MODIFY_OF:
+			return "MOD_OF";
+		case X86_EFLAGS_RESET_OF:
+			return "RESET_OF";
+		case X86_EFLAGS_RESET_CF:
+			return "RESET_CF";
+		case X86_EFLAGS_RESET_DF:
+			return "RESET_DF";
+		case X86_EFLAGS_RESET_IF:
+			return "RESET_IF";
+		case X86_EFLAGS_RESET_ZF:
+			return "RESET_ZF";
+		case X86_EFLAGS_TEST_OF:
+			return "TEST_OF";
+		case X86_EFLAGS_TEST_SF:
+			return "TEST_SF";
+		case X86_EFLAGS_TEST_ZF:
+			return "TEST_ZF";
+		case X86_EFLAGS_TEST_PF:
+			return "TEST_PF";
+		case X86_EFLAGS_TEST_CF:
+			return "TEST_CF";
+		case X86_EFLAGS_RESET_SF:
+			return "RESET_SF";
+		case X86_EFLAGS_RESET_AF:
+			return "RESET_AF";
+		case X86_EFLAGS_RESET_TF:
+			return "RESET_TF";
+		case X86_EFLAGS_RESET_NT:
+			return "RESET_NT";
+		case X86_EFLAGS_PRIOR_OF:
+			return "PRIOR_OF";
+		case X86_EFLAGS_PRIOR_SF:
+			return "PRIOR_SF";
+		case X86_EFLAGS_PRIOR_ZF:
+			return "PRIOR_ZF";
+		case X86_EFLAGS_PRIOR_AF:
+			return "PRIOR_AF";
+		case X86_EFLAGS_PRIOR_PF:
+			return "PRIOR_PF";
+		case X86_EFLAGS_PRIOR_CF:
+			return "PRIOR_CF";
+		case X86_EFLAGS_PRIOR_TF:
+			return "PRIOR_TF";
+		case X86_EFLAGS_PRIOR_IF:
+			return "PRIOR_IF";
+		case X86_EFLAGS_PRIOR_DF:
+			return "PRIOR_DF";
+		case X86_EFLAGS_TEST_NT:
+			return "TEST_NT";
+		case X86_EFLAGS_TEST_DF:
+			return "TEST_DF";
+		case X86_EFLAGS_RESET_PF:
+			return "RESET_PF";
+		case X86_EFLAGS_PRIOR_NT:
+			return "PRIOR_NT";
+		case X86_EFLAGS_MODIFY_TF:
+			return "MOD_TF";
+		case X86_EFLAGS_MODIFY_IF:
+			return "MOD_IF";
+		case X86_EFLAGS_MODIFY_DF:
+			return "MOD_DF";
+		case X86_EFLAGS_MODIFY_NT:
+			return "MOD_NT";
+		case X86_EFLAGS_MODIFY_RF:
+			return "MOD_RF";
+		case X86_EFLAGS_SET_CF:
+			return "SET_CF";
+		case X86_EFLAGS_SET_DF:
+			return "SET_DF";
+		case X86_EFLAGS_SET_IF:
+			return "SET_IF";
+		case X86_EFLAGS_SET_OF:
+			return "SET_OF";
+		case X86_EFLAGS_SET_SF:
+			return "SET_SF";
+		case X86_EFLAGS_SET_ZF:
+			return "SET_ZF";
+		case X86_EFLAGS_SET_AF:
+			return "SET_AF";
+		case X86_EFLAGS_SET_PF:
+			return "SET_PF";
+		case X86_EFLAGS_TEST_AF:
+			return "TEST_AF";
+		case X86_EFLAGS_TEST_TF:
+			return "TEST_TF";
+		case X86_EFLAGS_TEST_RF:
+			return "TEST_RF";
+		case X86_EFLAGS_RESET_0F:
+			return "RESET_0F";
+		case X86_EFLAGS_RESET_AC:
+			return "RESET_AC";
+	}
+}
+
+static const char *get_fpu_flag_name(uint64_t flag)
+{
+	switch (flag) {
+		default:
+			return NULL;
+		case X86_FPU_FLAGS_MODIFY_C0:
+			return "MOD_C0";
+		case X86_FPU_FLAGS_MODIFY_C1:
+			return "MOD_C1";
+		case X86_FPU_FLAGS_MODIFY_C2:
+			return "MOD_C2";
+		case X86_FPU_FLAGS_MODIFY_C3:
+			return "MOD_C3";
+		case X86_FPU_FLAGS_RESET_C0:
+			return "RESET_C0";
+		case X86_FPU_FLAGS_RESET_C1:
+			return "RESET_C1";
+		case X86_FPU_FLAGS_RESET_C2:
+			return "RESET_C2";
+		case X86_FPU_FLAGS_RESET_C3:
+			return "RESET_C3";
+		case X86_FPU_FLAGS_SET_C0:
+			return "SET_C0";
+		case X86_FPU_FLAGS_SET_C1:
+			return "SET_C1";
+		case X86_FPU_FLAGS_SET_C2:
+			return "SET_C2";
+		case X86_FPU_FLAGS_SET_C3:
+			return "SET_C3";
+		case X86_FPU_FLAGS_UNDEFINED_C0:
+			return "UNDEF_C0";
+		case X86_FPU_FLAGS_UNDEFINED_C1:
+			return "UNDEF_C1";
+		case X86_FPU_FLAGS_UNDEFINED_C2:
+			return "UNDEF_C2";
+		case X86_FPU_FLAGS_UNDEFINED_C3:
+			return "UNDEF_C3";
+		case X86_FPU_FLAGS_TEST_C0:
+			return "TEST_C0";
+		case X86_FPU_FLAGS_TEST_C1:
+			return "TEST_C1";
+		case X86_FPU_FLAGS_TEST_C2:
+			return "TEST_C2";
+		case X86_FPU_FLAGS_TEST_C3:
+			return "TEST_C3";
+	}
+}
 
 void print_insn_detail_x86(csh ud, cs_mode mode, cs_insn *ins)
 {
 	int count, i;
 	cs_x86 *x86;
-
+	cs_regs regs_read, regs_write;
+	uint8_t regs_read_count, regs_write_count;
+	
 	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
 		return;
@@ -20,14 +191,11 @@ void print_insn_detail_x86(csh ud, cs_mo
 	x86 = &(ins->detail->x86);
 
 	print_string_hex("\tPrefix:", x86->prefix, 4);
-
 	print_string_hex("\tOpcode:", x86->opcode, 4);
-
 	printf("\trex: 0x%x\n", x86->rex);
-
 	printf("\taddr_size: %u\n", x86->addr_size);
 	printf("\tmodrm: 0x%x\n", x86->modrm);
-	printf("\tdisp: 0x%x\n", x86->disp);
+	printf("\tdisp: 0x%" PRIx64 "\n", x86->disp);
 
 	// SIB is not available in 16-bit mode
 	if ((mode & CS_MODE_16) == 0) {
@@ -40,6 +208,11 @@ void print_insn_detail_x86(csh ud, cs_mo
 			printf("\t\tsib_scale: %d\n", x86->sib_scale);
 	}
 
+	// XOP code condition
+	if (x86->xop_cc != X86_XOP_CC_INVALID) {
+		printf("\txop_cc: %u\n", x86->xop_cc);
+	}
+
 	// SSE code condition
 	if (x86->sse_cc != X86_SSE_CC_INVALID) {
 		printf("\tsse_cc: %u\n", x86->sse_cc);
@@ -60,6 +233,7 @@ void print_insn_detail_x86(csh ud, cs_mo
 		printf("\tavx_rm: %u\n", x86->avx_rm);
 	}
 
+	// Print out all immediate operands
 	count = cs_op_count(ud, ins, X86_OP_IMM);
 	if (count > 0) {
 		printf("\timm_count: %u\n", count);
@@ -71,6 +245,8 @@ void print_insn_detail_x86(csh ud, cs_mo
 
 	if (x86->op_count)
 		printf("\top_count: %u\n", x86->op_count);
+
+	// Print out all operands
 	for (i = 0; i < x86->op_count; i++) {
 		cs_x86_op *op = &(x86->operands[i]);
 
@@ -107,5 +283,63 @@ void print_insn_detail_x86(csh ud, cs_mo
 			printf("\t\toperands[%u].avx_zero_opmask: TRUE\n", i);
 
 		printf("\t\toperands[%u].size: %u\n", i, op->size);
+
+		switch(op->access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+	}
+
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(ud, ins,
+						regs_read, &regs_read_count,
+						regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(ud, regs_read[i]));
+			}
+			printf("\n");
+		}
+
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(ud, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
+
+	if (x86->eflags || x86->fpu_flags) {
+		for(i = 0; i < ins->detail->groups_count; i++) {
+			if (ins->detail->groups[i] == X86_GRP_FPU) {
+				printf("\tFPU_FLAGS:");
+				for(i = 0; i <= 63; i++)
+					if (x86->fpu_flags & ((uint64_t)1 << i)) {
+						printf(" %s", get_fpu_flag_name((uint64_t)1 << i));
+					}
+				printf("\n");
+				break;
+			}
+		}
+
+		if (i == ins->detail->groups_count) {
+			printf("\tEFLAGS:");
+			for(i = 0; i <= 63; i++)
+				if (x86->eflags & ((uint64_t)1 << i)) {
+					printf(" %s", get_eflag_name((uint64_t)1 << i));
+				}
+			printf("\n");
+		}
 	}
 }
diff -pruN 4.0.1+really+3.0.5-2/cstool/cstool_xcore.c 4.0.2-3/cstool/cstool_xcore.c
--- 4.0.1+really+3.0.5-2/cstool/cstool_xcore.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/cstool_xcore.c	2020-05-08 10:03:30.000000000 +0000
@@ -2,7 +2,7 @@
 /* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
 
 #include <stdio.h>
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void print_string_hex(char *comment, unsigned char *str, size_t len);
 
diff -pruN 4.0.1+really+3.0.5-2/cstool/getopt.h 4.0.2-3/cstool/getopt.h
--- 4.0.1+really+3.0.5-2/cstool/getopt.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/cstool/getopt.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,73 @@
+#include <string.h>
+#include <stdio.h>
+
+// global
+int opterr = 1, /* if error message should be printed */
+optind = 1, /* index into parent argv vector */
+optopt, /* character checked for validity */
+optreset; /* reset getopt */
+const char *optarg; /* argument associated with option */
+
+#define BADCH (int)'?'
+#define BADARG (int)':'
+#define EMSG ""
+
+/*
+ * getopt --
+ *      Parse argc/argv argument vector.
+ */
+int
+getopt (int nargc, char * const nargv[], const char *ostr)
+{
+	static const char *place = EMSG;              /* option letter processing */
+	const char *oli;                        /* option letter list index */
+
+	if (optreset || !*place) {              /* update scanning pointer */
+		optreset = 0;
+		if (optind >= nargc || *(place = nargv[optind]) != '-') {
+			place = EMSG;
+			return (-1);
+		}
+		if (place[1] && *++place == '-') {      /* found "--" */
+			++optind;
+			place = EMSG;
+			return (-1);
+		}
+	}                                       /* option letter okay? */
+	if ((optopt = (int)*place++) == (int)':' ||
+		!(oli = strchr (ostr, optopt))) {
+		/*
+		* if the user didn't specify '-' as an option,
+		* assume it means -1.
+		*/
+		if (optopt == (int)'-')
+			return (-1);
+		if (!*place)
+			++optind;
+		if (opterr && *ostr != ':')
+			(void)printf ("illegal option -- %c\n", optopt);
+		return (BADCH);
+	}
+	if (*++oli != ':') {                    /* don't need argument */
+		optarg = NULL;
+		if (!*place)
+			++optind;
+	}
+	else {                                  /* need an argument */
+		if (*place)                     /* no white space */
+			optarg = place;
+		else if (nargc <= ++optind) {   /* no arg */
+			place = EMSG;
+			if (*ostr == ':')
+				return (BADARG);
+			if (opterr)
+				(void)printf ("option requires an argument -- %c\n", optopt);
+			return (BADCH);
+		}
+		else                            /* white space */
+			optarg = nargv[optind];
+		place = EMSG;
+		++optind;
+	}
+	return optopt;        /* dump back option letter */
+}
diff -pruN 4.0.1+really+3.0.5-2/cstool/Makefile 4.0.2-3/cstool/Makefile
--- 4.0.1+really+3.0.5-2/cstool/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -6,7 +6,7 @@ include ../functions.mk
 
 LIBNAME = capstone
 
-CFLAGS += -I../include
+CFLAGS += -I../include -I.
 LDFLAGS += -O3 -Wall -L.. -l$(LIBNAME)
 
 TARGET = cstool
@@ -19,7 +19,7 @@ IS_CYGWIN := $(shell $(CC) -dumpmachine
 ifeq ($(IS_CYGWIN),1)
 LIBCAPSTONE = capstone.lib
 else
-IS_MINGW := $(shell $(CC) --version 2>/dev/null | grep -i mingw | wc -l)
+IS_MINGW := $(shell $(CC) --version 2>/dev/null | grep -i "\(mingw\|MSYS\)" | wc -l)
 ifeq ($(IS_MINGW),1)
 LIBCAPSTONE = capstone.lib
 endif
diff -pruN 4.0.1+really+3.0.5-2/cstool/README 4.0.2-3/cstool/README
--- 4.0.1+really+3.0.5-2/cstool/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/cstool/README	2020-05-08 10:03:30.000000000 +0000
@@ -26,17 +26,22 @@ To print out instruction details, run Cs
 
 	$ cstool -d x32 "01 d8"
 	0  01d8                              add	eax, ebx
-		Prefix:0x00 0x00 0x00 0x00
-		Opcode:0x01 0x00 0x00 0x00
-		rex: 0x0
-		addr_size: 4
-		modrm: 0xd8
-		disp: 0x0
-		sib: 0x0
-		op_count: 2
-			operands[0].type: REG = eax
-			operands[0].size: 4
-			operands[1].type: REG = ebx
-			operands[1].size: 4
+	Prefix:0x00 0x00 0x00 0x00
+	Opcode:0x01 0x00 0x00 0x00
+	rex: 0x0
+	addr_size: 4
+	modrm: 0xd8
+	disp: 0x0
+	sib: 0x0
+	op_count: 2
+		operands[0].type: REG = eax
+		operands[0].size: 4
+		operands[0].access: READ | WRITE
+		operands[1].type: REG = ebx
+		operands[1].size: 4
+		operands[1].access: READ
+		Registers read: eax ebx
+	Registers modified: eflags eax
+	EFLAGS: MOD_AF MOD_CF MOD_SF MOD_ZF MOD_PF MOD_OF
 
 To see all the supported options, run ./cstool
diff -pruN 4.0.1+really+3.0.5-2/debian/changelog 4.0.2-3/debian/changelog
--- 4.0.1+really+3.0.5-2/debian/changelog	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/changelog	2020-12-08 21:47:42.000000000 +0000
@@ -1,3 +1,31 @@
+capstone (4.0.2-3) unstable; urgency=medium
+
+  * Make build verbose (so blhc can inspect the output)
+  * Add hardening flags
+
+ -- Hilko Bengen <bengen@debian.org>  Tue, 08 Dec 2020 22:47:42 +0100
+
+capstone (4.0.2-2) unstable; urgency=medium
+
+  * Upload to unstable
+
+ -- Hilko Bengen <bengen@debian.org>  Mon, 07 Dec 2020 21:26:26 +0100
+
+capstone (4.0.2-1) experimental; urgency=medium
+
+  * Team upload.
+
+  [ Hilko Bengen ]
+  * New upstream version 4.0.2 (Closes: #921596)
+  * Rename library package due to SONAME change
+  * Move capstone-tool to utils section (Closes: #960069)
+  * Update Python shared library patch
+
+  [ Debian Janitor ]
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Hilko Bengen <bengen@debian.org>  Tue, 19 May 2020 23:39:21 +0200
+
 capstone (4.0.1+really+3.0.5-2) unstable; urgency=medium
 
   * Team upload.
diff -pruN 4.0.1+really+3.0.5-2/debian/control 4.0.2-3/debian/control
--- 4.0.1+really+3.0.5-2/debian/control	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/control	2020-12-08 21:47:42.000000000 +0000
@@ -7,7 +7,7 @@ Build-Depends: debhelper-compat (= 12),
                python3-all-dev,
                python3-setuptools,
                cython3,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: devel
 Homepage: https://www.capstone-engine.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/capstone.git
@@ -17,14 +17,14 @@ Package: libcapstone-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcapstone3 (= ${binary:Version}), ${misc:Depends}
+Depends: libcapstone4 (= ${binary:Version}), ${misc:Depends}
 Description: lightweight multi-architecture disassembly framework - devel files
  Capstone is a lightweight multi-platform, multi-architecture disassembly
  framework.
  .
  These are the development headers and libraries.
 
-Package: libcapstone3
+Package: libcapstone4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -50,7 +50,7 @@ Description: lightweight multi-architect
   - Distributed under the open source BSD license.
 
 Package: capstone-tool
-Section: libs
+Section: utils
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -64,7 +64,7 @@ Description: lightweight multi-architect
 Package: python3-capstone
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libcapstone3,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libcapstone4,
  python3-distutils
 XB-Python3-Version: ${python:Versions}
 Description: lightweight multi-architecture disassembly framework - Python bindings
diff -pruN 4.0.1+really+3.0.5-2/debian/docs 4.0.2-3/debian/docs
--- 4.0.1+really+3.0.5-2/debian/docs	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/docs	2020-12-08 21:47:42.000000000 +0000
@@ -1,4 +1,5 @@
 CREDITS.TXT
+SPONSORS.TXT
 HACK.TXT
-README
+README.md
 TODO
diff -pruN 4.0.1+really+3.0.5-2/debian/libcapstone3.install 4.0.2-3/debian/libcapstone3.install
--- 4.0.1+really+3.0.5-2/debian/libcapstone3.install	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/libcapstone3.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*-*/lib*.so.*
diff -pruN 4.0.1+really+3.0.5-2/debian/libcapstone3.symbols 4.0.2-3/debian/libcapstone3.symbols
--- 4.0.1+really+3.0.5-2/debian/libcapstone3.symbols	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/libcapstone3.symbols	1970-01-01 00:00:00.000000000 +0000
@@ -1,21 +0,0 @@
-libcapstone.so.3 libcapstone3 #MINVER#
- cs_close@Base 3.0.0
- cs_disasm@Base 3.0.0
- cs_disasm_ex@Base 3.0.0
- cs_disasm_iter@Base 3.0.0
- cs_errno@Base 3.0.0
- cs_free@Base 3.0.0
- cs_group_name@Base 3.0.0
- cs_insn_group@Base 3.0.0
- cs_insn_name@Base 3.0.0
- cs_malloc@Base 3.0.0
- cs_op_count@Base 3.0.0
- cs_op_index@Base 3.0.0
- cs_open@Base 3.0.0
- cs_option@Base 3.0.0
- cs_reg_name@Base 3.0.0
- cs_reg_read@Base 3.0.0
- cs_reg_write@Base 3.0.0
- cs_strerror@Base 3.0.0
- cs_support@Base 3.0.0
- cs_version@Base 3.0.0
diff -pruN 4.0.1+really+3.0.5-2/debian/libcapstone4.install 4.0.2-3/debian/libcapstone4.install
--- 4.0.1+really+3.0.5-2/debian/libcapstone4.install	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/debian/libcapstone4.install	2020-12-08 21:47:42.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*-*/lib*.so.*
diff -pruN 4.0.1+really+3.0.5-2/debian/libcapstone4.symbols 4.0.2-3/debian/libcapstone4.symbols
--- 4.0.1+really+3.0.5-2/debian/libcapstone4.symbols	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/debian/libcapstone4.symbols	2020-12-08 21:47:42.000000000 +0000
@@ -0,0 +1,22 @@
+libcapstone.so.4 libcapstone4 #MINVER#
+ cs_close@Base 4
+ cs_disasm@Base 4
+ cs_disasm_ex@Base 4
+ cs_disasm_iter@Base 4
+ cs_errno@Base 4
+ cs_free@Base 4
+ cs_group_name@Base 4
+ cs_insn_group@Base 4
+ cs_insn_name@Base 4
+ cs_malloc@Base 4
+ cs_op_count@Base 4
+ cs_op_index@Base 4
+ cs_open@Base 4
+ cs_option@Base 4
+ cs_reg_name@Base 4
+ cs_reg_read@Base 4
+ cs_reg_write@Base 4
+ cs_regs_access@Base 4
+ cs_strerror@Base 4
+ cs_support@Base 4
+ cs_version@Base 4
diff -pruN 4.0.1+really+3.0.5-2/debian/patches/0001-Remove-magic-for-loading-shared-libraries.patch 4.0.2-3/debian/patches/0001-Remove-magic-for-loading-shared-libraries.patch
--- 4.0.1+really+3.0.5-2/debian/patches/0001-Remove-magic-for-loading-shared-libraries.patch	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/patches/0001-Remove-magic-for-loading-shared-libraries.patch	2020-12-08 21:47:42.000000000 +0000
@@ -3,14 +3,14 @@ Date: Wed, 25 Jul 2018 15:14:07 +0200
 Subject: Remove magic for loading shared libraries
 
 ---
- bindings/python/capstone/__init__.py | 47 +-----------------------------------
- 1 file changed, 1 insertion(+), 46 deletions(-)
+ bindings/python/capstone/__init__.py | 46 +-----------------------------------
+ 1 file changed, 1 insertion(+), 45 deletions(-)
 
 diff --git a/bindings/python/capstone/__init__.py b/bindings/python/capstone/__init__.py
-index b390cf1..de3fe24 100644
+index 757dc7d..4917af9 100644
 --- a/bindings/python/capstone/__init__.py
 +++ b/bindings/python/capstone/__init__.py
-@@ -198,57 +198,12 @@ CS_SUPPORT_X86_REDUCE = CS_ARCH_ALL+2
+@@ -264,56 +264,12 @@ CS_OPT   = {v:k for k,v in locals().items() if k.startswith('CS_OPT_')}
  import ctypes, ctypes.util
  from os.path import split, join, dirname
  import distutils.sysconfig
@@ -31,14 +31,13 @@ index b390cf1..de3fe24 100644
 -
 -def _load_lib(path):
 -    lib_file = join(path, _lib)
--    #print("Trying to load %s" %lib_file)
 -    if os.path.exists(lib_file):
 -        return ctypes.cdll.LoadLibrary(lib_file)
 -    else:
--        # if we're on linux, try again with .so.3 extension
+-        # if we're on linux, try again with .so.4 extension
 -        if lib_file.endswith('.so'):
--            if os.path.exists(lib_file + '.3'):
--                return ctypes.cdll.LoadLibrary(lib_file + '.3')
+-            if os.path.exists(lib_file + '.4'):
+-                return ctypes.cdll.LoadLibrary(lib_file + '.4')
 -    return None
 -
 -_cs = None
@@ -65,7 +64,7 @@ index b390cf1..de3fe24 100644
 -else:
 -    raise ImportError("ERROR: fail to load the dynamic library.")
 -
-+_cs = ctypes.cdll.LoadLibrary("libcapstone.so.3")
++_cs = ctypes.cdll.LoadLibrary("libcapstone.so.4")
  
  # low-level structure for C code
  
diff -pruN 4.0.1+really+3.0.5-2/debian/patches/Add-hardening-flag.patch 4.0.2-3/debian/patches/Add-hardening-flag.patch
--- 4.0.1+really+3.0.5-2/debian/patches/Add-hardening-flag.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/debian/patches/Add-hardening-flag.patch	2020-12-08 21:47:42.000000000 +0000
@@ -0,0 +1,21 @@
+From: Hilko Bengen <bengen@debian.org>
+Date: Tue, 8 Dec 2020 22:42:28 +0100
+Subject: Add hardening flag
+
+---
+ Makefile | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Makefile b/Makefile
+index 8367757..8937219 100644
+--- a/Makefile
++++ b/Makefile
+@@ -45,7 +45,7 @@ ifneq (,$(findstring yes,$(CAPSTONE_X86_ATT_DISABLE)))
+ CFLAGS += -DCAPSTONE_X86_ATT_DISABLE
+ endif
+ 
+-CFLAGS += -fPIC -Wall -Wwrite-strings -Wmissing-prototypes -Iinclude
++CFLAGS += -fPIC -Wall -Wwrite-strings -Wmissing-prototypes -Iinclude -D_FORTIFY_SOURCE=2
+ 
+ ifeq ($(CAPSTONE_USE_SYS_DYN_MEM),yes)
+ CFLAGS += -DCAPSTONE_USE_SYS_DYN_MEM
diff -pruN 4.0.1+really+3.0.5-2/debian/patches/series 4.0.2-3/debian/patches/series
--- 4.0.1+really+3.0.5-2/debian/patches/series	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/patches/series	2020-12-08 21:47:42.000000000 +0000
@@ -1 +1,2 @@
 0001-Remove-magic-for-loading-shared-libraries.patch
+Add-hardening-flag.patch
diff -pruN 4.0.1+really+3.0.5-2/debian/rules 4.0.2-3/debian/rules
--- 4.0.1+really+3.0.5-2/debian/rules	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/rules	2020-12-08 21:47:42.000000000 +0000
@@ -3,6 +3,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
+export MAKEFLAGS := V=1
+
 %:
 	dh $@ --with python3
 
diff -pruN 4.0.1+really+3.0.5-2/debian/watch 4.0.2-3/debian/watch
--- 4.0.1+really+3.0.5-2/debian/watch	2020-04-10 16:30:01.000000000 +0000
+++ 4.0.2-3/debian/watch	2020-12-08 21:47:42.000000000 +0000
@@ -1,3 +1,3 @@
 version=3
 opts="uversionmangle=s/-rc/~rc/" \
-    https://github.com/aquynh/capstone/releases .*/archive/(3\..*)\.tar\.gz
+    https://github.com/aquynh/capstone/releases .*/archive/(4\..*)\.tar\.gz
Binary files 4.0.1+really+3.0.5-2/docs/capstone-logo.png and 4.0.2-3/docs/capstone-logo.png differ
diff -pruN 4.0.1+really+3.0.5-2/docs/README 4.0.2-3/docs/README
--- 4.0.1+really+3.0.5-2/docs/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/docs/README	2020-05-08 10:03:30.000000000 +0000
@@ -20,6 +20,14 @@ Documentation of Capstone disassembly fr
 
 	http://capstone-engine.org/lang_java.html
 
+* Customize instruction mnemonics at run-time.
+
+	http://capstone-engine.org/mnemonic.html
+
+* Retrieve access information of instruction operands.
+
+	http://capstone-engine.org/op_access.html
+
 * Build compact engine with only selected architectures.
 
 	http://capstone-engine.org/compile.html
@@ -52,3 +60,7 @@ Documentation of Capstone disassembly fr
 * Sample application on how to embed Capstone into Mac OSX Kext (kernel).
 
 	https://github.com/aquynh/CapstoneTest
+	
+* A Micro Capstone-Engine API Documentation in Chinese
+
+        https://github.com/kabeor/Micro-Capstone-Engine-API-Documentation/blob/master/Micro%20Capstone-Engine%20API%20Documentation.md
diff -pruN 4.0.1+really+3.0.5-2/.editorconfig 4.0.2-3/.editorconfig
--- 4.0.1+really+3.0.5-2/.editorconfig	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/.editorconfig	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,17 @@
+root = true
+
+[*]
+end_of_line = lf
+insert_final_newline = true
+
+[*.{py,pyx,pxd}]
+indent_style = space
+indent_size = 4
+
+# Follow Linux kernel coding style
+[*.{c,h,cpp,hpp,inc}]
+indent_style = tab
+indent_size = 8
+
+[Makefile]
+indent_style = tab
diff -pruN 4.0.1+really+3.0.5-2/.github/workflows/fuzz.yml 4.0.2-3/.github/workflows/fuzz.yml
--- 4.0.1+really+3.0.5-2/.github/workflows/fuzz.yml	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/.github/workflows/fuzz.yml	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,23 @@
+name: CIFuzz
+on: [pull_request]
+jobs:
+  Fuzzing:
+    runs-on: ubuntu-latest
+    steps:
+    - name: Build Fuzzers
+      uses: google/oss-fuzz/infra/cifuzz/actions/build_fuzzers@master
+      with:
+        oss-fuzz-project-name: 'capstone'
+        dry-run: false
+    - name: Run Fuzzers
+      uses: google/oss-fuzz/infra/cifuzz/actions/run_fuzzers@master
+      with:
+        oss-fuzz-project-name: 'capstone'
+        fuzz-seconds: 600
+        dry-run: false
+    - name: Upload Crash
+      uses: actions/upload-artifact@v1
+      if: failure()
+      with:
+        name: artifacts
+        path: ./out/artifacts
diff -pruN 4.0.1+really+3.0.5-2/.gitignore 4.0.2-3/.gitignore
--- 4.0.1+really+3.0.5-2/.gitignore	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/.gitignore	2020-05-08 10:03:30.000000000 +0000
@@ -1,3 +1,5 @@
+.DS_Store
+
 # Object files
 *.o
 *.ko
@@ -36,6 +38,7 @@ bindings/ocaml/*.mli
 bindings/ocaml/test
 bindings/ocaml/test_arm
 bindings/ocaml/test_arm64
+bindings/ocaml/test_basic
 bindings/ocaml/test_mips
 bindings/ocaml/test_x86
 bindings/ocaml/test_detail
@@ -43,10 +46,11 @@ bindings/ocaml/test_ppc
 bindings/ocaml/test_sparc
 bindings/ocaml/test_systemz
 bindings/ocaml/test_xcore
+bindings/ocaml/test_m680x
 
 
 # test binaries
-tests/test
+tests/test_basic
 tests/test_detail
 tests/test_iter
 tests/test_arm
@@ -59,18 +63,15 @@ tests/test_sparc
 tests/test_systemz
 tests/test_xcore
 tests/*.static
-tests/test_basic
 tests/test_customized_mnem
-
-tests/test_m680x
 tests/test_m68k
 tests/test_tms320c64x
+tests/test_m680x
 tests/test_evm
 
 # regress binaries
 suite/regress/invalid_read_in_print_operand
 
-
 # vim tmp file
 *.swp
 *~
@@ -84,10 +85,12 @@ _*
 packages/freebsd/ports/devel/capstone/distinfo
 
 # VisualStudio
+**/.vs/
 ProjectUpgradeLog.log
 Debug/
 Release/
 ipch/
+build*/
 *.sdf
 *.opensdf
 *.suo
@@ -108,9 +111,21 @@ test_arm_regression
 test_arm_regression.o
 fuzz_harness
 test_iter_benchmark
+fuzz_bindisasm
+fuzz_disasm
+capstone_get_setup
+
+suite/fuzz/fuzz_bindisasm2
+suite/fuzz/fuzz_decode_platform
+tests/test_bpf
+tests/test_mos65xx
+tests/test_riscv
+tests/test_wasm
 
 
 *.s
-.DS_Store
 
 cstool/cstool
+
+# android
+android-ndk-*
diff -pruN 4.0.1+really+3.0.5-2/HACK.TXT 4.0.2-3/HACK.TXT
--- 4.0.1+really+3.0.5-2/HACK.TXT	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/HACK.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -5,10 +5,14 @@ Capstone source is organized as followin
 ├── arch            <- code handling disasm engine for each arch
 │   ├── AArch64     <- ARM64 (aka ARMv8) engine
 │   ├── ARM         <- ARM engine
+│   ├── EVM         <- Ethereum engine
+│   ├── M680X       <- M680X engine
+│   ├── M68K        <- M68K engine
 │   ├── Mips        <- Mips engine
 │   ├── PowerPC     <- PowerPC engine
 │   ├── Sparc       <- Sparc engine
 │   ├── SystemZ     <- SystemZ engine
+│   ├── TMS320C64x  <- TMS320C64x engine
 │   ├── X86         <- X86 engine
 │   └── XCore       <- XCore engine
 ├── bindings        <- all bindings are under this dir
diff -pruN 4.0.1+really+3.0.5-2/include/arm64.h 4.0.2-3/include/arm64.h
--- 4.0.1+really+3.0.5-2/include/arm64.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/arm64.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,1154 +0,0 @@
-#ifndef CAPSTONE_ARM64_H
-#define CAPSTONE_ARM64_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> ARM64 shift type
-typedef enum arm64_shifter {
-	ARM64_SFT_INVALID = 0,
-	ARM64_SFT_LSL = 1,
-	ARM64_SFT_MSL = 2,
-	ARM64_SFT_LSR = 3,
-	ARM64_SFT_ASR = 4,
-	ARM64_SFT_ROR = 5,
-} arm64_shifter;
-
-//> ARM64 extender type
-typedef enum arm64_extender {
-	ARM64_EXT_INVALID = 0,
-	ARM64_EXT_UXTB = 1,
-	ARM64_EXT_UXTH = 2,
-	ARM64_EXT_UXTW = 3,
-	ARM64_EXT_UXTX = 4,
-	ARM64_EXT_SXTB = 5,
-	ARM64_EXT_SXTH = 6,
-	ARM64_EXT_SXTW = 7,
-	ARM64_EXT_SXTX = 8,
-} arm64_extender;
-
-//> ARM64 condition code
-typedef enum arm64_cc {
-	ARM64_CC_INVALID = 0,
-	ARM64_CC_EQ = 1,     // Equal
-	ARM64_CC_NE = 2,     // Not equal:                 Not equal, or unordered
-	ARM64_CC_HS = 3,     // Unsigned higher or same:   >, ==, or unordered
-	ARM64_CC_LO = 4,     // Unsigned lower or same:    Less than
-	ARM64_CC_MI = 5,     // Minus, negative:           Less than
-	ARM64_CC_PL = 6,     // Plus, positive or zero:    >, ==, or unordered
-	ARM64_CC_VS = 7,     // Overflow:                  Unordered
-	ARM64_CC_VC = 8,     // No overflow:               Ordered
-	ARM64_CC_HI = 9,     // Unsigned higher:           Greater than, or unordered
-	ARM64_CC_LS = 10,     // Unsigned lower or same:    Less than or equal
-	ARM64_CC_GE = 11,     // Greater than or equal:     Greater than or equal
-	ARM64_CC_LT = 12,     // Less than:                 Less than, or unordered
-	ARM64_CC_GT = 13,     // Signed greater than:       Greater than
-	ARM64_CC_LE = 14,     // Signed less than or equal: <, ==, or unordered
-	ARM64_CC_AL = 15,     // Always (unconditional):    Always (unconditional)
-	ARM64_CC_NV = 16,     // Always (unconditional):   Always (unconditional)
-	// Note the NV exists purely to disassemble 0b1111. Execution
-	// is "always".
-} arm64_cc;
-
-//> System registers
-typedef enum arm64_sysreg {
-	//> System registers for MRS
-	ARM64_SYSREG_INVALID           = 0,
-	ARM64_SYSREG_MDCCSR_EL0        = 0x9808, // 10  011  0000  0001  000
-	ARM64_SYSREG_DBGDTRRX_EL0      = 0x9828, // 10  011  0000  0101  000
-	ARM64_SYSREG_MDRAR_EL1         = 0x8080, // 10  000  0001  0000  000
-	ARM64_SYSREG_OSLSR_EL1         = 0x808c, // 10  000  0001  0001  100
-	ARM64_SYSREG_DBGAUTHSTATUS_EL1 = 0x83f6, // 10  000  0111  1110  110
-	ARM64_SYSREG_PMCEID0_EL0       = 0xdce6, // 11  011  1001  1100  110
-	ARM64_SYSREG_PMCEID1_EL0       = 0xdce7, // 11  011  1001  1100  111
-	ARM64_SYSREG_MIDR_EL1          = 0xc000, // 11  000  0000  0000  000
-	ARM64_SYSREG_CCSIDR_EL1        = 0xc800, // 11  001  0000  0000  000
-	ARM64_SYSREG_CLIDR_EL1         = 0xc801, // 11  001  0000  0000  001
-	ARM64_SYSREG_CTR_EL0           = 0xd801, // 11  011  0000  0000  001
-	ARM64_SYSREG_MPIDR_EL1         = 0xc005, // 11  000  0000  0000  101
-	ARM64_SYSREG_REVIDR_EL1        = 0xc006, // 11  000  0000  0000  110
-	ARM64_SYSREG_AIDR_EL1          = 0xc807, // 11  001  0000  0000  111
-	ARM64_SYSREG_DCZID_EL0         = 0xd807, // 11  011  0000  0000  111
-	ARM64_SYSREG_ID_PFR0_EL1       = 0xc008, // 11  000  0000  0001  000
-	ARM64_SYSREG_ID_PFR1_EL1       = 0xc009, // 11  000  0000  0001  001
-	ARM64_SYSREG_ID_DFR0_EL1       = 0xc00a, // 11  000  0000  0001  010
-	ARM64_SYSREG_ID_AFR0_EL1       = 0xc00b, // 11  000  0000  0001  011
-	ARM64_SYSREG_ID_MMFR0_EL1      = 0xc00c, // 11  000  0000  0001  100
-	ARM64_SYSREG_ID_MMFR1_EL1      = 0xc00d, // 11  000  0000  0001  101
-	ARM64_SYSREG_ID_MMFR2_EL1      = 0xc00e, // 11  000  0000  0001  110
-	ARM64_SYSREG_ID_MMFR3_EL1      = 0xc00f, // 11  000  0000  0001  111
-	ARM64_SYSREG_ID_ISAR0_EL1      = 0xc010, // 11  000  0000  0010  000
-	ARM64_SYSREG_ID_ISAR1_EL1      = 0xc011, // 11  000  0000  0010  001
-	ARM64_SYSREG_ID_ISAR2_EL1      = 0xc012, // 11  000  0000  0010  010
-	ARM64_SYSREG_ID_ISAR3_EL1      = 0xc013, // 11  000  0000  0010  011
-	ARM64_SYSREG_ID_ISAR4_EL1      = 0xc014, // 11  000  0000  0010  100
-	ARM64_SYSREG_ID_ISAR5_EL1      = 0xc015, // 11  000  0000  0010  101
-	ARM64_SYSREG_ID_A64PFR0_EL1   = 0xc020, // 11  000  0000  0100  000
-	ARM64_SYSREG_ID_A64PFR1_EL1   = 0xc021, // 11  000  0000  0100  001
-	ARM64_SYSREG_ID_A64DFR0_EL1   = 0xc028, // 11  000  0000  0101  000
-	ARM64_SYSREG_ID_A64DFR1_EL1   = 0xc029, // 11  000  0000  0101  001
-	ARM64_SYSREG_ID_A64AFR0_EL1   = 0xc02c, // 11  000  0000  0101  100
-	ARM64_SYSREG_ID_A64AFR1_EL1   = 0xc02d, // 11  000  0000  0101  101
-	ARM64_SYSREG_ID_A64ISAR0_EL1  = 0xc030, // 11  000  0000  0110  000
-	ARM64_SYSREG_ID_A64ISAR1_EL1  = 0xc031, // 11  000  0000  0110  001
-	ARM64_SYSREG_ID_A64MMFR0_EL1  = 0xc038, // 11  000  0000  0111  000
-	ARM64_SYSREG_ID_A64MMFR1_EL1  = 0xc039, // 11  000  0000  0111  001
-	ARM64_SYSREG_MVFR0_EL1         = 0xc018, // 11  000  0000  0011  000
-	ARM64_SYSREG_MVFR1_EL1         = 0xc019, // 11  000  0000  0011  001
-	ARM64_SYSREG_MVFR2_EL1         = 0xc01a, // 11  000  0000  0011  010
-	ARM64_SYSREG_RVBAR_EL1         = 0xc601, // 11  000  1100  0000  001
-	ARM64_SYSREG_RVBAR_EL2         = 0xe601, // 11  100  1100  0000  001
-	ARM64_SYSREG_RVBAR_EL3         = 0xf601, // 11  110  1100  0000  001
-	ARM64_SYSREG_ISR_EL1           = 0xc608, // 11  000  1100  0001  000
-	ARM64_SYSREG_CNTPCT_EL0        = 0xdf01, // 11  011  1110  0000  001
-	ARM64_SYSREG_CNTVCT_EL0        = 0xdf02,  // 11  011  1110  0000  010
-
-	// Trace registers
-	ARM64_SYSREG_TRCSTATR          = 0x8818, // 10  001  0000  0011  000
-	ARM64_SYSREG_TRCIDR8           = 0x8806, // 10  001  0000  0000  110
-	ARM64_SYSREG_TRCIDR9           = 0x880e, // 10  001  0000  0001  110
-	ARM64_SYSREG_TRCIDR10          = 0x8816, // 10  001  0000  0010  110
-	ARM64_SYSREG_TRCIDR11          = 0x881e, // 10  001  0000  0011  110
-	ARM64_SYSREG_TRCIDR12          = 0x8826, // 10  001  0000  0100  110
-	ARM64_SYSREG_TRCIDR13          = 0x882e, // 10  001  0000  0101  110
-	ARM64_SYSREG_TRCIDR0           = 0x8847, // 10  001  0000  1000  111
-	ARM64_SYSREG_TRCIDR1           = 0x884f, // 10  001  0000  1001  111
-	ARM64_SYSREG_TRCIDR2           = 0x8857, // 10  001  0000  1010  111
-	ARM64_SYSREG_TRCIDR3           = 0x885f, // 10  001  0000  1011  111
-	ARM64_SYSREG_TRCIDR4           = 0x8867, // 10  001  0000  1100  111
-	ARM64_SYSREG_TRCIDR5           = 0x886f, // 10  001  0000  1101  111
-	ARM64_SYSREG_TRCIDR6           = 0x8877, // 10  001  0000  1110  111
-	ARM64_SYSREG_TRCIDR7           = 0x887f, // 10  001  0000  1111  111
-	ARM64_SYSREG_TRCOSLSR          = 0x888c, // 10  001  0001  0001  100
-	ARM64_SYSREG_TRCPDSR           = 0x88ac, // 10  001  0001  0101  100
-	ARM64_SYSREG_TRCDEVAFF0        = 0x8bd6, // 10  001  0111  1010  110
-	ARM64_SYSREG_TRCDEVAFF1        = 0x8bde, // 10  001  0111  1011  110
-	ARM64_SYSREG_TRCLSR            = 0x8bee, // 10  001  0111  1101  110
-	ARM64_SYSREG_TRCAUTHSTATUS     = 0x8bf6, // 10  001  0111  1110  110
-	ARM64_SYSREG_TRCDEVARCH        = 0x8bfe, // 10  001  0111  1111  110
-	ARM64_SYSREG_TRCDEVID          = 0x8b97, // 10  001  0111  0010  111
-	ARM64_SYSREG_TRCDEVTYPE        = 0x8b9f, // 10  001  0111  0011  111
-	ARM64_SYSREG_TRCPIDR4          = 0x8ba7, // 10  001  0111  0100  111
-	ARM64_SYSREG_TRCPIDR5          = 0x8baf, // 10  001  0111  0101  111
-	ARM64_SYSREG_TRCPIDR6          = 0x8bb7, // 10  001  0111  0110  111
-	ARM64_SYSREG_TRCPIDR7          = 0x8bbf, // 10  001  0111  0111  111
-	ARM64_SYSREG_TRCPIDR0          = 0x8bc7, // 10  001  0111  1000  111
-	ARM64_SYSREG_TRCPIDR1          = 0x8bcf, // 10  001  0111  1001  111
-	ARM64_SYSREG_TRCPIDR2          = 0x8bd7, // 10  001  0111  1010  111
-	ARM64_SYSREG_TRCPIDR3          = 0x8bdf, // 10  001  0111  1011  111
-	ARM64_SYSREG_TRCCIDR0          = 0x8be7, // 10  001  0111  1100  111
-	ARM64_SYSREG_TRCCIDR1          = 0x8bef, // 10  001  0111  1101  111
-	ARM64_SYSREG_TRCCIDR2          = 0x8bf7, // 10  001  0111  1110  111
-	ARM64_SYSREG_TRCCIDR3          = 0x8bff, // 10  001  0111  1111  111
-
-	// GICv3 registers
-	ARM64_SYSREG_ICC_IAR1_EL1      = 0xc660, // 11  000  1100  1100  000
-	ARM64_SYSREG_ICC_IAR0_EL1      = 0xc640, // 11  000  1100  1000  000
-	ARM64_SYSREG_ICC_HPPIR1_EL1    = 0xc662, // 11  000  1100  1100  010
-	ARM64_SYSREG_ICC_HPPIR0_EL1    = 0xc642, // 11  000  1100  1000  010
-	ARM64_SYSREG_ICC_RPR_EL1       = 0xc65b, // 11  000  1100  1011  011
-	ARM64_SYSREG_ICH_VTR_EL2       = 0xe659, // 11  100  1100  1011  001
-	ARM64_SYSREG_ICH_EISR_EL2      = 0xe65b, // 11  100  1100  1011  011
-	ARM64_SYSREG_ICH_ELSR_EL2      = 0xe65d, // 11  100  1100  1011  101
-} arm64_sysreg;
-
-typedef enum arm64_msr_reg {
-	//> System registers for MSR
-	ARM64_SYSREG_DBGDTRTX_EL0      = 0x9828, // 10  011  0000  0101  000
-	ARM64_SYSREG_OSLAR_EL1         = 0x8084, // 10  000  0001  0000  100
-	ARM64_SYSREG_PMSWINC_EL0       = 0xdce4,  // 11  011  1001  1100  100
-
-	// Trace Registers
-	ARM64_SYSREG_TRCOSLAR          = 0x8884, // 10  001  0001  0000  100
-	ARM64_SYSREG_TRCLAR            = 0x8be6, // 10  001  0111  1100  110
-
-	// GICv3 registers
-	ARM64_SYSREG_ICC_EOIR1_EL1     = 0xc661, // 11  000  1100  1100  001
-	ARM64_SYSREG_ICC_EOIR0_EL1     = 0xc641, // 11  000  1100  1000  001
-	ARM64_SYSREG_ICC_DIR_EL1       = 0xc659, // 11  000  1100  1011  001
-	ARM64_SYSREG_ICC_SGI1R_EL1     = 0xc65d, // 11  000  1100  1011  101
-	ARM64_SYSREG_ICC_ASGI1R_EL1    = 0xc65e, // 11  000  1100  1011  110
-	ARM64_SYSREG_ICC_SGI0R_EL1     = 0xc65f, // 11  000  1100  1011  111
-} arm64_msr_reg;
-
-//> System PState Field (MSR instruction)
-typedef enum arm64_pstate {
-	ARM64_PSTATE_INVALID = 0,
-	ARM64_PSTATE_SPSEL = 0x05,
-	ARM64_PSTATE_DAIFSET = 0x1e,
-	ARM64_PSTATE_DAIFCLR = 0x1f
-} arm64_pstate;
-
-//> Vector arrangement specifier (for FloatingPoint/Advanced SIMD insn)
-typedef enum arm64_vas {
-	ARM64_VAS_INVALID = 0,
-	ARM64_VAS_8B,
-	ARM64_VAS_16B,
-	ARM64_VAS_4H,
-	ARM64_VAS_8H,
-	ARM64_VAS_2S,
-	ARM64_VAS_4S,
-	ARM64_VAS_1D,
-	ARM64_VAS_2D,
-	ARM64_VAS_1Q,
-} arm64_vas;
-
-//> Vector element size specifier
-typedef enum arm64_vess {
-	ARM64_VESS_INVALID = 0,
-	ARM64_VESS_B,
-	ARM64_VESS_H,
-	ARM64_VESS_S,
-	ARM64_VESS_D,
-} arm64_vess;
-
-//> Memory barrier operands
-typedef enum arm64_barrier_op {
-	ARM64_BARRIER_INVALID = 0,
-	ARM64_BARRIER_OSHLD = 0x1,
-	ARM64_BARRIER_OSHST = 0x2,
-	ARM64_BARRIER_OSH =   0x3,
-	ARM64_BARRIER_NSHLD = 0x5,
-	ARM64_BARRIER_NSHST = 0x6,
-	ARM64_BARRIER_NSH =   0x7,
-	ARM64_BARRIER_ISHLD = 0x9,
-	ARM64_BARRIER_ISHST = 0xa,
-	ARM64_BARRIER_ISH =   0xb,
-	ARM64_BARRIER_LD =    0xd,
-	ARM64_BARRIER_ST =    0xe,
-	ARM64_BARRIER_SY =    0xf
-} arm64_barrier_op;
-
-//> Operand type for instruction's operands
-typedef enum arm64_op_type {
-	ARM64_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	ARM64_OP_REG, // = CS_OP_REG (Register operand).
-	ARM64_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	ARM64_OP_MEM, // = CS_OP_MEM (Memory operand).
-	ARM64_OP_FP,  // = CS_OP_FP (Floating-Point operand).
-	ARM64_OP_CIMM = 64, // C-Immediate
-	ARM64_OP_REG_MRS, // MRS register operand.
-	ARM64_OP_REG_MSR, // MSR register operand.
-	ARM64_OP_PSTATE, // PState operand.
-	ARM64_OP_SYS, // SYS operand for IC/DC/AT/TLBI instructions.
-	ARM64_OP_PREFETCH, // Prefetch operand (PRFM).
-	ARM64_OP_BARRIER, // Memory barrier operand (ISB/DMB/DSB instructions).
-} arm64_op_type;
-
-//> TLBI operations
-typedef enum arm64_tlbi_op {
-	ARM64_TLBI_INVALID = 0,
-	ARM64_TLBI_VMALLE1IS,
-	ARM64_TLBI_VAE1IS,
-	ARM64_TLBI_ASIDE1IS,
-	ARM64_TLBI_VAAE1IS,
-	ARM64_TLBI_VALE1IS,
-	ARM64_TLBI_VAALE1IS,
-	ARM64_TLBI_ALLE2IS,
-	ARM64_TLBI_VAE2IS,
-	ARM64_TLBI_ALLE1IS,
-	ARM64_TLBI_VALE2IS,
-	ARM64_TLBI_VMALLS12E1IS,
-	ARM64_TLBI_ALLE3IS,
-	ARM64_TLBI_VAE3IS,
-	ARM64_TLBI_VALE3IS,
-	ARM64_TLBI_IPAS2E1IS,
-	ARM64_TLBI_IPAS2LE1IS,
-	ARM64_TLBI_IPAS2E1,
-	ARM64_TLBI_IPAS2LE1,
-	ARM64_TLBI_VMALLE1,
-	ARM64_TLBI_VAE1,
-	ARM64_TLBI_ASIDE1,
-	ARM64_TLBI_VAAE1,
-	ARM64_TLBI_VALE1,
-	ARM64_TLBI_VAALE1,
-	ARM64_TLBI_ALLE2,
-	ARM64_TLBI_VAE2,
-	ARM64_TLBI_ALLE1,
-	ARM64_TLBI_VALE2,
-	ARM64_TLBI_VMALLS12E1,
-	ARM64_TLBI_ALLE3,
-	ARM64_TLBI_VAE3,
-	ARM64_TLBI_VALE3,
-} arm64_tlbi_op;
-
-//> AT operations
-typedef enum arm64_at_op {
-	ARM64_AT_S1E1R,
-	ARM64_AT_S1E1W,
-	ARM64_AT_S1E0R,
-	ARM64_AT_S1E0W,
-	ARM64_AT_S1E2R,
-	ARM64_AT_S1E2W,
-	ARM64_AT_S12E1R,
-	ARM64_AT_S12E1W,
-	ARM64_AT_S12E0R,
-	ARM64_AT_S12E0W,
-	ARM64_AT_S1E3R,
-	ARM64_AT_S1E3W,
-} arm64_at_op;
-
-//> DC operations
-typedef enum arm64_dc_op {
-	ARM64_DC_INVALID = 0,
-	ARM64_DC_ZVA,
-	ARM64_DC_IVAC,
-	ARM64_DC_ISW,
-	ARM64_DC_CVAC,
-	ARM64_DC_CSW,
-	ARM64_DC_CVAU,
-	ARM64_DC_CIVAC,
-	ARM64_DC_CISW,
-} arm64_dc_op;
-
-//> IC operations
-typedef enum arm64_ic_op {
-	ARM64_IC_INVALID = 0,
-	ARM64_IC_IALLUIS,
-	ARM64_IC_IALLU,
-	ARM64_IC_IVAU,
-} arm64_ic_op;
-
-//> Prefetch operations (PRFM)
-typedef enum arm64_prefetch_op {
-	ARM64_PRFM_INVALID = 0,
-	ARM64_PRFM_PLDL1KEEP = 0x00 + 1,
-	ARM64_PRFM_PLDL1STRM = 0x01 + 1,
-	ARM64_PRFM_PLDL2KEEP = 0x02 + 1,
-	ARM64_PRFM_PLDL2STRM = 0x03 + 1,
-	ARM64_PRFM_PLDL3KEEP = 0x04 + 1,
-	ARM64_PRFM_PLDL3STRM = 0x05 + 1,
-	ARM64_PRFM_PLIL1KEEP = 0x08 + 1,
-	ARM64_PRFM_PLIL1STRM = 0x09 + 1,
-	ARM64_PRFM_PLIL2KEEP = 0x0a + 1,
-	ARM64_PRFM_PLIL2STRM = 0x0b + 1,
-	ARM64_PRFM_PLIL3KEEP = 0x0c + 1,
-	ARM64_PRFM_PLIL3STRM = 0x0d + 1,
-	ARM64_PRFM_PSTL1KEEP = 0x10 + 1,
-	ARM64_PRFM_PSTL1STRM = 0x11 + 1,
-	ARM64_PRFM_PSTL2KEEP = 0x12 + 1,
-	ARM64_PRFM_PSTL2STRM = 0x13 + 1,
-	ARM64_PRFM_PSTL3KEEP = 0x14 + 1,
-	ARM64_PRFM_PSTL3STRM = 0x15 + 1,
-} arm64_prefetch_op;
-
-// Instruction's operand referring to memory
-// This is associated with ARM64_OP_MEM operand type above
-typedef struct arm64_op_mem {
-	unsigned int base;	// base register
-	unsigned int index;	// index register
-	int32_t disp;	// displacement/offset value
-} arm64_op_mem;
-
-// Instruction operand
-typedef struct cs_arm64_op {
-	int vector_index;	// Vector Index for some vector operands (or -1 if irrelevant)
-	arm64_vas vas;		// Vector Arrangement Specifier
-	arm64_vess vess;	// Vector Element Size Specifier
-	struct {
-		arm64_shifter type;	// shifter type of this operand
-		unsigned int value;	// shifter value of this operand
-	} shift;
-	arm64_extender ext;		// extender type of this operand
-	arm64_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG operand
-		int64_t imm;		// immediate value, or index for C-IMM or IMM operand
-		double fp;			// floating point value for FP operand
-		arm64_op_mem mem;		// base/index/scale/disp value for MEM operand
-		arm64_pstate pstate;		// PState field of MSR instruction.
-		unsigned int sys;  // IC/DC/AT/TLBI operation (see arm64_ic_op, arm64_dc_op, arm64_at_op, arm64_tlbi_op)
-		arm64_prefetch_op prefetch;  // PRFM operation.
-		arm64_barrier_op barrier;  // Memory barrier operation (ISB/DMB/DSB instructions).
-	};
-} cs_arm64_op;
-
-// Instruction structure
-typedef struct cs_arm64 {
-	arm64_cc cc;	// conditional code for this insn
-	bool update_flags;	// does this insn update flags?
-	bool writeback;	// does this insn request writeback? 'True' means 'yes'
-
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-
-	cs_arm64_op operands[8]; // operands for this instruction.
-} cs_arm64;
-
-//> ARM64 registers
-typedef enum arm64_reg {
-	ARM64_REG_INVALID = 0,
-
-	ARM64_REG_X29,
-	ARM64_REG_X30,
-	ARM64_REG_NZCV,
-	ARM64_REG_SP,
-	ARM64_REG_WSP,
-	ARM64_REG_WZR,
-	ARM64_REG_XZR,
-	ARM64_REG_B0,
-	ARM64_REG_B1,
-	ARM64_REG_B2,
-	ARM64_REG_B3,
-	ARM64_REG_B4,
-	ARM64_REG_B5,
-	ARM64_REG_B6,
-	ARM64_REG_B7,
-	ARM64_REG_B8,
-	ARM64_REG_B9,
-	ARM64_REG_B10,
-	ARM64_REG_B11,
-	ARM64_REG_B12,
-	ARM64_REG_B13,
-	ARM64_REG_B14,
-	ARM64_REG_B15,
-	ARM64_REG_B16,
-	ARM64_REG_B17,
-	ARM64_REG_B18,
-	ARM64_REG_B19,
-	ARM64_REG_B20,
-	ARM64_REG_B21,
-	ARM64_REG_B22,
-	ARM64_REG_B23,
-	ARM64_REG_B24,
-	ARM64_REG_B25,
-	ARM64_REG_B26,
-	ARM64_REG_B27,
-	ARM64_REG_B28,
-	ARM64_REG_B29,
-	ARM64_REG_B30,
-	ARM64_REG_B31,
-	ARM64_REG_D0,
-	ARM64_REG_D1,
-	ARM64_REG_D2,
-	ARM64_REG_D3,
-	ARM64_REG_D4,
-	ARM64_REG_D5,
-	ARM64_REG_D6,
-	ARM64_REG_D7,
-	ARM64_REG_D8,
-	ARM64_REG_D9,
-	ARM64_REG_D10,
-	ARM64_REG_D11,
-	ARM64_REG_D12,
-	ARM64_REG_D13,
-	ARM64_REG_D14,
-	ARM64_REG_D15,
-	ARM64_REG_D16,
-	ARM64_REG_D17,
-	ARM64_REG_D18,
-	ARM64_REG_D19,
-	ARM64_REG_D20,
-	ARM64_REG_D21,
-	ARM64_REG_D22,
-	ARM64_REG_D23,
-	ARM64_REG_D24,
-	ARM64_REG_D25,
-	ARM64_REG_D26,
-	ARM64_REG_D27,
-	ARM64_REG_D28,
-	ARM64_REG_D29,
-	ARM64_REG_D30,
-	ARM64_REG_D31,
-	ARM64_REG_H0,
-	ARM64_REG_H1,
-	ARM64_REG_H2,
-	ARM64_REG_H3,
-	ARM64_REG_H4,
-	ARM64_REG_H5,
-	ARM64_REG_H6,
-	ARM64_REG_H7,
-	ARM64_REG_H8,
-	ARM64_REG_H9,
-	ARM64_REG_H10,
-	ARM64_REG_H11,
-	ARM64_REG_H12,
-	ARM64_REG_H13,
-	ARM64_REG_H14,
-	ARM64_REG_H15,
-	ARM64_REG_H16,
-	ARM64_REG_H17,
-	ARM64_REG_H18,
-	ARM64_REG_H19,
-	ARM64_REG_H20,
-	ARM64_REG_H21,
-	ARM64_REG_H22,
-	ARM64_REG_H23,
-	ARM64_REG_H24,
-	ARM64_REG_H25,
-	ARM64_REG_H26,
-	ARM64_REG_H27,
-	ARM64_REG_H28,
-	ARM64_REG_H29,
-	ARM64_REG_H30,
-	ARM64_REG_H31,
-	ARM64_REG_Q0,
-	ARM64_REG_Q1,
-	ARM64_REG_Q2,
-	ARM64_REG_Q3,
-	ARM64_REG_Q4,
-	ARM64_REG_Q5,
-	ARM64_REG_Q6,
-	ARM64_REG_Q7,
-	ARM64_REG_Q8,
-	ARM64_REG_Q9,
-	ARM64_REG_Q10,
-	ARM64_REG_Q11,
-	ARM64_REG_Q12,
-	ARM64_REG_Q13,
-	ARM64_REG_Q14,
-	ARM64_REG_Q15,
-	ARM64_REG_Q16,
-	ARM64_REG_Q17,
-	ARM64_REG_Q18,
-	ARM64_REG_Q19,
-	ARM64_REG_Q20,
-	ARM64_REG_Q21,
-	ARM64_REG_Q22,
-	ARM64_REG_Q23,
-	ARM64_REG_Q24,
-	ARM64_REG_Q25,
-	ARM64_REG_Q26,
-	ARM64_REG_Q27,
-	ARM64_REG_Q28,
-	ARM64_REG_Q29,
-	ARM64_REG_Q30,
-	ARM64_REG_Q31,
-	ARM64_REG_S0,
-	ARM64_REG_S1,
-	ARM64_REG_S2,
-	ARM64_REG_S3,
-	ARM64_REG_S4,
-	ARM64_REG_S5,
-	ARM64_REG_S6,
-	ARM64_REG_S7,
-	ARM64_REG_S8,
-	ARM64_REG_S9,
-	ARM64_REG_S10,
-	ARM64_REG_S11,
-	ARM64_REG_S12,
-	ARM64_REG_S13,
-	ARM64_REG_S14,
-	ARM64_REG_S15,
-	ARM64_REG_S16,
-	ARM64_REG_S17,
-	ARM64_REG_S18,
-	ARM64_REG_S19,
-	ARM64_REG_S20,
-	ARM64_REG_S21,
-	ARM64_REG_S22,
-	ARM64_REG_S23,
-	ARM64_REG_S24,
-	ARM64_REG_S25,
-	ARM64_REG_S26,
-	ARM64_REG_S27,
-	ARM64_REG_S28,
-	ARM64_REG_S29,
-	ARM64_REG_S30,
-	ARM64_REG_S31,
-	ARM64_REG_W0,
-	ARM64_REG_W1,
-	ARM64_REG_W2,
-	ARM64_REG_W3,
-	ARM64_REG_W4,
-	ARM64_REG_W5,
-	ARM64_REG_W6,
-	ARM64_REG_W7,
-	ARM64_REG_W8,
-	ARM64_REG_W9,
-	ARM64_REG_W10,
-	ARM64_REG_W11,
-	ARM64_REG_W12,
-	ARM64_REG_W13,
-	ARM64_REG_W14,
-	ARM64_REG_W15,
-	ARM64_REG_W16,
-	ARM64_REG_W17,
-	ARM64_REG_W18,
-	ARM64_REG_W19,
-	ARM64_REG_W20,
-	ARM64_REG_W21,
-	ARM64_REG_W22,
-	ARM64_REG_W23,
-	ARM64_REG_W24,
-	ARM64_REG_W25,
-	ARM64_REG_W26,
-	ARM64_REG_W27,
-	ARM64_REG_W28,
-	ARM64_REG_W29,
-	ARM64_REG_W30,
-	ARM64_REG_X0,
-	ARM64_REG_X1,
-	ARM64_REG_X2,
-	ARM64_REG_X3,
-	ARM64_REG_X4,
-	ARM64_REG_X5,
-	ARM64_REG_X6,
-	ARM64_REG_X7,
-	ARM64_REG_X8,
-	ARM64_REG_X9,
-	ARM64_REG_X10,
-	ARM64_REG_X11,
-	ARM64_REG_X12,
-	ARM64_REG_X13,
-	ARM64_REG_X14,
-	ARM64_REG_X15,
-	ARM64_REG_X16,
-	ARM64_REG_X17,
-	ARM64_REG_X18,
-	ARM64_REG_X19,
-	ARM64_REG_X20,
-	ARM64_REG_X21,
-	ARM64_REG_X22,
-	ARM64_REG_X23,
-	ARM64_REG_X24,
-	ARM64_REG_X25,
-	ARM64_REG_X26,
-	ARM64_REG_X27,
-	ARM64_REG_X28,
-
-	ARM64_REG_V0,
-	ARM64_REG_V1,
-	ARM64_REG_V2,
-	ARM64_REG_V3,
-	ARM64_REG_V4,
-	ARM64_REG_V5,
-	ARM64_REG_V6,
-	ARM64_REG_V7,
-	ARM64_REG_V8,
-	ARM64_REG_V9,
-	ARM64_REG_V10,
-	ARM64_REG_V11,
-	ARM64_REG_V12,
-	ARM64_REG_V13,
-	ARM64_REG_V14,
-	ARM64_REG_V15,
-	ARM64_REG_V16,
-	ARM64_REG_V17,
-	ARM64_REG_V18,
-	ARM64_REG_V19,
-	ARM64_REG_V20,
-	ARM64_REG_V21,
-	ARM64_REG_V22,
-	ARM64_REG_V23,
-	ARM64_REG_V24,
-	ARM64_REG_V25,
-	ARM64_REG_V26,
-	ARM64_REG_V27,
-	ARM64_REG_V28,
-	ARM64_REG_V29,
-	ARM64_REG_V30,
-	ARM64_REG_V31,
-
-	ARM64_REG_ENDING,		// <-- mark the end of the list of registers
-
-	//> alias registers
-
-	ARM64_REG_IP0 = ARM64_REG_X16,
-	ARM64_REG_IP1 = ARM64_REG_X17,
-	ARM64_REG_FP = ARM64_REG_X29,
-	ARM64_REG_LR = ARM64_REG_X30,
-} arm64_reg;
-
-//> ARM64 instruction
-typedef enum arm64_insn {
-	ARM64_INS_INVALID = 0,
-
-	ARM64_INS_ABS,
-	ARM64_INS_ADC,
-	ARM64_INS_ADDHN,
-	ARM64_INS_ADDHN2,
-	ARM64_INS_ADDP,
-	ARM64_INS_ADD,
-	ARM64_INS_ADDV,
-	ARM64_INS_ADR,
-	ARM64_INS_ADRP,
-	ARM64_INS_AESD,
-	ARM64_INS_AESE,
-	ARM64_INS_AESIMC,
-	ARM64_INS_AESMC,
-	ARM64_INS_AND,
-	ARM64_INS_ASR,
-	ARM64_INS_B,
-	ARM64_INS_BFM,
-	ARM64_INS_BIC,
-	ARM64_INS_BIF,
-	ARM64_INS_BIT,
-	ARM64_INS_BL,
-	ARM64_INS_BLR,
-	ARM64_INS_BR,
-	ARM64_INS_BRK,
-	ARM64_INS_BSL,
-	ARM64_INS_CBNZ,
-	ARM64_INS_CBZ,
-	ARM64_INS_CCMN,
-	ARM64_INS_CCMP,
-	ARM64_INS_CLREX,
-	ARM64_INS_CLS,
-	ARM64_INS_CLZ,
-	ARM64_INS_CMEQ,
-	ARM64_INS_CMGE,
-	ARM64_INS_CMGT,
-	ARM64_INS_CMHI,
-	ARM64_INS_CMHS,
-	ARM64_INS_CMLE,
-	ARM64_INS_CMLT,
-	ARM64_INS_CMTST,
-	ARM64_INS_CNT,
-	ARM64_INS_MOV,
-	ARM64_INS_CRC32B,
-	ARM64_INS_CRC32CB,
-	ARM64_INS_CRC32CH,
-	ARM64_INS_CRC32CW,
-	ARM64_INS_CRC32CX,
-	ARM64_INS_CRC32H,
-	ARM64_INS_CRC32W,
-	ARM64_INS_CRC32X,
-	ARM64_INS_CSEL,
-	ARM64_INS_CSINC,
-	ARM64_INS_CSINV,
-	ARM64_INS_CSNEG,
-	ARM64_INS_DCPS1,
-	ARM64_INS_DCPS2,
-	ARM64_INS_DCPS3,
-	ARM64_INS_DMB,
-	ARM64_INS_DRPS,
-	ARM64_INS_DSB,
-	ARM64_INS_DUP,
-	ARM64_INS_EON,
-	ARM64_INS_EOR,
-	ARM64_INS_ERET,
-	ARM64_INS_EXTR,
-	ARM64_INS_EXT,
-	ARM64_INS_FABD,
-	ARM64_INS_FABS,
-	ARM64_INS_FACGE,
-	ARM64_INS_FACGT,
-	ARM64_INS_FADD,
-	ARM64_INS_FADDP,
-	ARM64_INS_FCCMP,
-	ARM64_INS_FCCMPE,
-	ARM64_INS_FCMEQ,
-	ARM64_INS_FCMGE,
-	ARM64_INS_FCMGT,
-	ARM64_INS_FCMLE,
-	ARM64_INS_FCMLT,
-	ARM64_INS_FCMP,
-	ARM64_INS_FCMPE,
-	ARM64_INS_FCSEL,
-	ARM64_INS_FCVTAS,
-	ARM64_INS_FCVTAU,
-	ARM64_INS_FCVT,
-	ARM64_INS_FCVTL,
-	ARM64_INS_FCVTL2,
-	ARM64_INS_FCVTMS,
-	ARM64_INS_FCVTMU,
-	ARM64_INS_FCVTNS,
-	ARM64_INS_FCVTNU,
-	ARM64_INS_FCVTN,
-	ARM64_INS_FCVTN2,
-	ARM64_INS_FCVTPS,
-	ARM64_INS_FCVTPU,
-	ARM64_INS_FCVTXN,
-	ARM64_INS_FCVTXN2,
-	ARM64_INS_FCVTZS,
-	ARM64_INS_FCVTZU,
-	ARM64_INS_FDIV,
-	ARM64_INS_FMADD,
-	ARM64_INS_FMAX,
-	ARM64_INS_FMAXNM,
-	ARM64_INS_FMAXNMP,
-	ARM64_INS_FMAXNMV,
-	ARM64_INS_FMAXP,
-	ARM64_INS_FMAXV,
-	ARM64_INS_FMIN,
-	ARM64_INS_FMINNM,
-	ARM64_INS_FMINNMP,
-	ARM64_INS_FMINNMV,
-	ARM64_INS_FMINP,
-	ARM64_INS_FMINV,
-	ARM64_INS_FMLA,
-	ARM64_INS_FMLS,
-	ARM64_INS_FMOV,
-	ARM64_INS_FMSUB,
-	ARM64_INS_FMUL,
-	ARM64_INS_FMULX,
-	ARM64_INS_FNEG,
-	ARM64_INS_FNMADD,
-	ARM64_INS_FNMSUB,
-	ARM64_INS_FNMUL,
-	ARM64_INS_FRECPE,
-	ARM64_INS_FRECPS,
-	ARM64_INS_FRECPX,
-	ARM64_INS_FRINTA,
-	ARM64_INS_FRINTI,
-	ARM64_INS_FRINTM,
-	ARM64_INS_FRINTN,
-	ARM64_INS_FRINTP,
-	ARM64_INS_FRINTX,
-	ARM64_INS_FRINTZ,
-	ARM64_INS_FRSQRTE,
-	ARM64_INS_FRSQRTS,
-	ARM64_INS_FSQRT,
-	ARM64_INS_FSUB,
-	ARM64_INS_HINT,
-	ARM64_INS_HLT,
-	ARM64_INS_HVC,
-	ARM64_INS_INS,
-
-	ARM64_INS_ISB,
-	ARM64_INS_LD1,
-	ARM64_INS_LD1R,
-	ARM64_INS_LD2R,
-	ARM64_INS_LD2,
-	ARM64_INS_LD3R,
-	ARM64_INS_LD3,
-	ARM64_INS_LD4,
-	ARM64_INS_LD4R,
-
-	ARM64_INS_LDARB,
-	ARM64_INS_LDARH,
-	ARM64_INS_LDAR,
-	ARM64_INS_LDAXP,
-	ARM64_INS_LDAXRB,
-	ARM64_INS_LDAXRH,
-	ARM64_INS_LDAXR,
-	ARM64_INS_LDNP,
-	ARM64_INS_LDP,
-	ARM64_INS_LDPSW,
-	ARM64_INS_LDRB,
-	ARM64_INS_LDR,
-	ARM64_INS_LDRH,
-	ARM64_INS_LDRSB,
-	ARM64_INS_LDRSH,
-	ARM64_INS_LDRSW,
-	ARM64_INS_LDTRB,
-	ARM64_INS_LDTRH,
-	ARM64_INS_LDTRSB,
-
-	ARM64_INS_LDTRSH,
-	ARM64_INS_LDTRSW,
-	ARM64_INS_LDTR,
-	ARM64_INS_LDURB,
-	ARM64_INS_LDUR,
-	ARM64_INS_LDURH,
-	ARM64_INS_LDURSB,
-	ARM64_INS_LDURSH,
-	ARM64_INS_LDURSW,
-	ARM64_INS_LDXP,
-	ARM64_INS_LDXRB,
-	ARM64_INS_LDXRH,
-	ARM64_INS_LDXR,
-	ARM64_INS_LSL,
-	ARM64_INS_LSR,
-	ARM64_INS_MADD,
-	ARM64_INS_MLA,
-	ARM64_INS_MLS,
-	ARM64_INS_MOVI,
-	ARM64_INS_MOVK,
-	ARM64_INS_MOVN,
-	ARM64_INS_MOVZ,
-	ARM64_INS_MRS,
-	ARM64_INS_MSR,
-	ARM64_INS_MSUB,
-	ARM64_INS_MUL,
-	ARM64_INS_MVNI,
-	ARM64_INS_NEG,
-	ARM64_INS_NOT,
-	ARM64_INS_ORN,
-	ARM64_INS_ORR,
-	ARM64_INS_PMULL2,
-	ARM64_INS_PMULL,
-	ARM64_INS_PMUL,
-	ARM64_INS_PRFM,
-	ARM64_INS_PRFUM,
-	ARM64_INS_RADDHN,
-	ARM64_INS_RADDHN2,
-	ARM64_INS_RBIT,
-	ARM64_INS_RET,
-	ARM64_INS_REV16,
-	ARM64_INS_REV32,
-	ARM64_INS_REV64,
-	ARM64_INS_REV,
-	ARM64_INS_ROR,
-	ARM64_INS_RSHRN2,
-	ARM64_INS_RSHRN,
-	ARM64_INS_RSUBHN,
-	ARM64_INS_RSUBHN2,
-	ARM64_INS_SABAL2,
-	ARM64_INS_SABAL,
-
-	ARM64_INS_SABA,
-	ARM64_INS_SABDL2,
-	ARM64_INS_SABDL,
-	ARM64_INS_SABD,
-	ARM64_INS_SADALP,
-	ARM64_INS_SADDLP,
-	ARM64_INS_SADDLV,
-	ARM64_INS_SADDL2,
-	ARM64_INS_SADDL,
-	ARM64_INS_SADDW2,
-	ARM64_INS_SADDW,
-	ARM64_INS_SBC,
-	ARM64_INS_SBFM,
-	ARM64_INS_SCVTF,
-	ARM64_INS_SDIV,
-	ARM64_INS_SHA1C,
-	ARM64_INS_SHA1H,
-	ARM64_INS_SHA1M,
-	ARM64_INS_SHA1P,
-	ARM64_INS_SHA1SU0,
-	ARM64_INS_SHA1SU1,
-	ARM64_INS_SHA256H2,
-	ARM64_INS_SHA256H,
-	ARM64_INS_SHA256SU0,
-	ARM64_INS_SHA256SU1,
-	ARM64_INS_SHADD,
-	ARM64_INS_SHLL2,
-	ARM64_INS_SHLL,
-	ARM64_INS_SHL,
-	ARM64_INS_SHRN2,
-	ARM64_INS_SHRN,
-	ARM64_INS_SHSUB,
-	ARM64_INS_SLI,
-	ARM64_INS_SMADDL,
-	ARM64_INS_SMAXP,
-	ARM64_INS_SMAXV,
-	ARM64_INS_SMAX,
-	ARM64_INS_SMC,
-	ARM64_INS_SMINP,
-	ARM64_INS_SMINV,
-	ARM64_INS_SMIN,
-	ARM64_INS_SMLAL2,
-	ARM64_INS_SMLAL,
-	ARM64_INS_SMLSL2,
-	ARM64_INS_SMLSL,
-	ARM64_INS_SMOV,
-	ARM64_INS_SMSUBL,
-	ARM64_INS_SMULH,
-	ARM64_INS_SMULL2,
-	ARM64_INS_SMULL,
-	ARM64_INS_SQABS,
-	ARM64_INS_SQADD,
-	ARM64_INS_SQDMLAL,
-	ARM64_INS_SQDMLAL2,
-	ARM64_INS_SQDMLSL,
-	ARM64_INS_SQDMLSL2,
-	ARM64_INS_SQDMULH,
-	ARM64_INS_SQDMULL,
-	ARM64_INS_SQDMULL2,
-	ARM64_INS_SQNEG,
-	ARM64_INS_SQRDMULH,
-	ARM64_INS_SQRSHL,
-	ARM64_INS_SQRSHRN,
-	ARM64_INS_SQRSHRN2,
-	ARM64_INS_SQRSHRUN,
-	ARM64_INS_SQRSHRUN2,
-	ARM64_INS_SQSHLU,
-	ARM64_INS_SQSHL,
-	ARM64_INS_SQSHRN,
-	ARM64_INS_SQSHRN2,
-	ARM64_INS_SQSHRUN,
-	ARM64_INS_SQSHRUN2,
-	ARM64_INS_SQSUB,
-	ARM64_INS_SQXTN2,
-	ARM64_INS_SQXTN,
-	ARM64_INS_SQXTUN2,
-	ARM64_INS_SQXTUN,
-	ARM64_INS_SRHADD,
-	ARM64_INS_SRI,
-	ARM64_INS_SRSHL,
-	ARM64_INS_SRSHR,
-	ARM64_INS_SRSRA,
-	ARM64_INS_SSHLL2,
-	ARM64_INS_SSHLL,
-	ARM64_INS_SSHL,
-	ARM64_INS_SSHR,
-	ARM64_INS_SSRA,
-	ARM64_INS_SSUBL2,
-	ARM64_INS_SSUBL,
-	ARM64_INS_SSUBW2,
-	ARM64_INS_SSUBW,
-	ARM64_INS_ST1,
-	ARM64_INS_ST2,
-	ARM64_INS_ST3,
-	ARM64_INS_ST4,
-	ARM64_INS_STLRB,
-	ARM64_INS_STLRH,
-	ARM64_INS_STLR,
-	ARM64_INS_STLXP,
-	ARM64_INS_STLXRB,
-	ARM64_INS_STLXRH,
-	ARM64_INS_STLXR,
-	ARM64_INS_STNP,
-	ARM64_INS_STP,
-	ARM64_INS_STRB,
-	ARM64_INS_STR,
-	ARM64_INS_STRH,
-	ARM64_INS_STTRB,
-	ARM64_INS_STTRH,
-	ARM64_INS_STTR,
-	ARM64_INS_STURB,
-	ARM64_INS_STUR,
-	ARM64_INS_STURH,
-	ARM64_INS_STXP,
-	ARM64_INS_STXRB,
-	ARM64_INS_STXRH,
-	ARM64_INS_STXR,
-	ARM64_INS_SUBHN,
-	ARM64_INS_SUBHN2,
-	ARM64_INS_SUB,
-	ARM64_INS_SUQADD,
-	ARM64_INS_SVC,
-	ARM64_INS_SYSL,
-	ARM64_INS_SYS,
-	ARM64_INS_TBL,
-	ARM64_INS_TBNZ,
-	ARM64_INS_TBX,
-	ARM64_INS_TBZ,
-	ARM64_INS_TRN1,
-	ARM64_INS_TRN2,
-	ARM64_INS_UABAL2,
-	ARM64_INS_UABAL,
-	ARM64_INS_UABA,
-	ARM64_INS_UABDL2,
-	ARM64_INS_UABDL,
-	ARM64_INS_UABD,
-	ARM64_INS_UADALP,
-	ARM64_INS_UADDLP,
-	ARM64_INS_UADDLV,
-	ARM64_INS_UADDL2,
-	ARM64_INS_UADDL,
-	ARM64_INS_UADDW2,
-	ARM64_INS_UADDW,
-	ARM64_INS_UBFM,
-	ARM64_INS_UCVTF,
-	ARM64_INS_UDIV,
-	ARM64_INS_UHADD,
-	ARM64_INS_UHSUB,
-	ARM64_INS_UMADDL,
-	ARM64_INS_UMAXP,
-	ARM64_INS_UMAXV,
-	ARM64_INS_UMAX,
-	ARM64_INS_UMINP,
-	ARM64_INS_UMINV,
-	ARM64_INS_UMIN,
-	ARM64_INS_UMLAL2,
-	ARM64_INS_UMLAL,
-	ARM64_INS_UMLSL2,
-	ARM64_INS_UMLSL,
-	ARM64_INS_UMOV,
-	ARM64_INS_UMSUBL,
-	ARM64_INS_UMULH,
-	ARM64_INS_UMULL2,
-	ARM64_INS_UMULL,
-	ARM64_INS_UQADD,
-	ARM64_INS_UQRSHL,
-	ARM64_INS_UQRSHRN,
-	ARM64_INS_UQRSHRN2,
-	ARM64_INS_UQSHL,
-	ARM64_INS_UQSHRN,
-	ARM64_INS_UQSHRN2,
-	ARM64_INS_UQSUB,
-	ARM64_INS_UQXTN2,
-	ARM64_INS_UQXTN,
-	ARM64_INS_URECPE,
-	ARM64_INS_URHADD,
-	ARM64_INS_URSHL,
-	ARM64_INS_URSHR,
-	ARM64_INS_URSQRTE,
-	ARM64_INS_URSRA,
-	ARM64_INS_USHLL2,
-	ARM64_INS_USHLL,
-	ARM64_INS_USHL,
-	ARM64_INS_USHR,
-	ARM64_INS_USQADD,
-	ARM64_INS_USRA,
-	ARM64_INS_USUBL2,
-	ARM64_INS_USUBL,
-	ARM64_INS_USUBW2,
-	ARM64_INS_USUBW,
-	ARM64_INS_UZP1,
-	ARM64_INS_UZP2,
-	ARM64_INS_XTN2,
-	ARM64_INS_XTN,
-	ARM64_INS_ZIP1,
-	ARM64_INS_ZIP2,
-
-	// alias insn
-	ARM64_INS_MNEG,
-	ARM64_INS_UMNEGL,
-	ARM64_INS_SMNEGL,
-	ARM64_INS_NOP,
-	ARM64_INS_YIELD,
-	ARM64_INS_WFE,
-	ARM64_INS_WFI,
-	ARM64_INS_SEV,
-	ARM64_INS_SEVL,
-	ARM64_INS_NGC,
-	ARM64_INS_SBFIZ,
-	ARM64_INS_UBFIZ,
-	ARM64_INS_SBFX,
-	ARM64_INS_UBFX,
-	ARM64_INS_BFI,
-	ARM64_INS_BFXIL,
-	ARM64_INS_CMN,
-	ARM64_INS_MVN,
-	ARM64_INS_TST,
-	ARM64_INS_CSET,
-	ARM64_INS_CINC,
-	ARM64_INS_CSETM,
-	ARM64_INS_CINV,
-	ARM64_INS_CNEG,
-	ARM64_INS_SXTB,
-	ARM64_INS_SXTH,
-	ARM64_INS_SXTW,
-	ARM64_INS_CMP,
-	ARM64_INS_UXTB,
-	ARM64_INS_UXTH,
-	ARM64_INS_UXTW,
-	ARM64_INS_IC,
-	ARM64_INS_DC,
-	ARM64_INS_AT,
-	ARM64_INS_TLBI,
-
-	ARM64_INS_ENDING,  // <-- mark the end of the list of insn
-} arm64_insn;
-
-//> Group of ARM64 instructions
-typedef enum arm64_insn_group {
-	ARM64_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	ARM64_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	ARM64_GRP_CRYPTO = 128,
-	ARM64_GRP_FPARMV8,
-	ARM64_GRP_NEON,
-	ARM64_GRP_CRC,
-
-	ARM64_GRP_ENDING,  // <-- mark the end of the list of groups
-} arm64_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/arm.h 4.0.2-3/include/arm.h
--- 4.0.1+really+3.0.5-2/include/arm.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/arm.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,883 +0,0 @@
-#ifndef CAPSTONE_ARM_H
-#define CAPSTONE_ARM_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> ARM shift type
-typedef enum arm_shifter {
-	ARM_SFT_INVALID = 0,
-	ARM_SFT_ASR,	// shift with immediate const
-	ARM_SFT_LSL,	// shift with immediate const
-	ARM_SFT_LSR,	// shift with immediate const
-	ARM_SFT_ROR,	// shift with immediate const
-	ARM_SFT_RRX,	// shift with immediate const
-	ARM_SFT_ASR_REG,	// shift with register
-	ARM_SFT_LSL_REG,	// shift with register
-	ARM_SFT_LSR_REG,	// shift with register
-	ARM_SFT_ROR_REG,	// shift with register
-	ARM_SFT_RRX_REG,	// shift with register
-} arm_shifter;
-
-//> ARM condition code
-typedef enum arm_cc {
-	ARM_CC_INVALID = 0,
-	ARM_CC_EQ,            // Equal                      Equal
-	ARM_CC_NE,            // Not equal                  Not equal, or unordered
-	ARM_CC_HS,            // Carry set                  >, ==, or unordered
-	ARM_CC_LO,            // Carry clear                Less than
-	ARM_CC_MI,            // Minus, negative            Less than
-	ARM_CC_PL,            // Plus, positive or zero     >, ==, or unordered
-	ARM_CC_VS,            // Overflow                   Unordered
-	ARM_CC_VC,            // No overflow                Not unordered
-	ARM_CC_HI,            // Unsigned higher            Greater than, or unordered
-	ARM_CC_LS,            // Unsigned lower or same     Less than or equal
-	ARM_CC_GE,            // Greater than or equal      Greater than or equal
-	ARM_CC_LT,            // Less than                  Less than, or unordered
-	ARM_CC_GT,            // Greater than               Greater than
-	ARM_CC_LE,            // Less than or equal         <, ==, or unordered
-	ARM_CC_AL             // Always (unconditional)     Always (unconditional)
-} arm_cc;
-
-typedef enum arm_sysreg {
-	//> Special registers for MSR
-	ARM_SYSREG_INVALID = 0,
-
-	// SPSR* registers can be OR combined
-	ARM_SYSREG_SPSR_C = 1,
-	ARM_SYSREG_SPSR_X = 2,
-	ARM_SYSREG_SPSR_S = 4,
-	ARM_SYSREG_SPSR_F = 8,
-
-	// CPSR* registers can be OR combined
-	ARM_SYSREG_CPSR_C = 16,
-	ARM_SYSREG_CPSR_X = 32,
-	ARM_SYSREG_CPSR_S = 64,
-	ARM_SYSREG_CPSR_F = 128,
-
-	// independent registers
-	ARM_SYSREG_APSR = 256,
-	ARM_SYSREG_APSR_G,
-	ARM_SYSREG_APSR_NZCVQ,
-	ARM_SYSREG_APSR_NZCVQG,
-
-	ARM_SYSREG_IAPSR,
-	ARM_SYSREG_IAPSR_G,
-	ARM_SYSREG_IAPSR_NZCVQG,
-
-	ARM_SYSREG_EAPSR,
-	ARM_SYSREG_EAPSR_G,
-	ARM_SYSREG_EAPSR_NZCVQG,
-
-	ARM_SYSREG_XPSR,
-	ARM_SYSREG_XPSR_G,
-	ARM_SYSREG_XPSR_NZCVQG,
-
-	ARM_SYSREG_IPSR,
-	ARM_SYSREG_EPSR,
-	ARM_SYSREG_IEPSR,
-
-	ARM_SYSREG_MSP,
-	ARM_SYSREG_PSP,
-	ARM_SYSREG_PRIMASK,
-	ARM_SYSREG_BASEPRI,
-	ARM_SYSREG_BASEPRI_MAX,
-	ARM_SYSREG_FAULTMASK,
-	ARM_SYSREG_CONTROL,
-} arm_sysreg;
-
-//> The memory barrier constants map directly to the 4-bit encoding of
-//> the option field for Memory Barrier operations.
-typedef enum arm_mem_barrier {
-	ARM_MB_INVALID = 0,
-	ARM_MB_RESERVED_0,
-	ARM_MB_OSHLD,
-	ARM_MB_OSHST,
-	ARM_MB_OSH,
-	ARM_MB_RESERVED_4,
-	ARM_MB_NSHLD,
-	ARM_MB_NSHST,
-	ARM_MB_NSH,
-	ARM_MB_RESERVED_8,
-	ARM_MB_ISHLD,
-	ARM_MB_ISHST,
-	ARM_MB_ISH,
-	ARM_MB_RESERVED_12,
-	ARM_MB_LD,
-	ARM_MB_ST,
-	ARM_MB_SY,
-} arm_mem_barrier;
-
-//> Operand type for instruction's operands
-typedef enum arm_op_type {
-	ARM_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	ARM_OP_REG, // = CS_OP_REG (Register operand).
-	ARM_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	ARM_OP_MEM, // = CS_OP_MEM (Memory operand).
-	ARM_OP_FP,  // = CS_OP_FP (Floating-Point operand).
-	ARM_OP_CIMM = 64, // C-Immediate (coprocessor registers)
-	ARM_OP_PIMM, // P-Immediate (coprocessor registers)
-	ARM_OP_SETEND,	// operand for SETEND instruction
-	ARM_OP_SYSREG,	// MSR/MRS special register operand
-} arm_op_type;
-
-//> Operand type for SETEND instruction
-typedef enum arm_setend_type {
-	ARM_SETEND_INVALID = 0,	// Uninitialized.
-	ARM_SETEND_BE,	// BE operand.
-	ARM_SETEND_LE, // LE operand
-} arm_setend_type;
-
-typedef enum arm_cpsmode_type {
-	ARM_CPSMODE_INVALID = 0,
-	ARM_CPSMODE_IE = 2,
-	ARM_CPSMODE_ID = 3
-} arm_cpsmode_type;
-
-//> Operand type for SETEND instruction
-typedef enum arm_cpsflag_type {
-	ARM_CPSFLAG_INVALID = 0,
-	ARM_CPSFLAG_F = 1,
-	ARM_CPSFLAG_I = 2,
-	ARM_CPSFLAG_A = 4,
-	ARM_CPSFLAG_NONE = 16,	// no flag
-} arm_cpsflag_type;
-
-//> Data type for elements of vector instructions.
-typedef enum arm_vectordata_type {
-	ARM_VECTORDATA_INVALID = 0,
-
-	// Integer type
-	ARM_VECTORDATA_I8,
-	ARM_VECTORDATA_I16,
-	ARM_VECTORDATA_I32,
-	ARM_VECTORDATA_I64,
-
-	// Signed integer type
-	ARM_VECTORDATA_S8,
-	ARM_VECTORDATA_S16,
-	ARM_VECTORDATA_S32,
-	ARM_VECTORDATA_S64,
-
-	// Unsigned integer type
-	ARM_VECTORDATA_U8,
-	ARM_VECTORDATA_U16,
-	ARM_VECTORDATA_U32,
-	ARM_VECTORDATA_U64,
-
-	// Data type for VMUL/VMULL
-	ARM_VECTORDATA_P8,
-
-	// Floating type
-	ARM_VECTORDATA_F32,
-	ARM_VECTORDATA_F64,
-
-	// Convert float <-> float
-	ARM_VECTORDATA_F16F64,	// f16.f64
-	ARM_VECTORDATA_F64F16,	// f64.f16
-	ARM_VECTORDATA_F32F16,	// f32.f16
-	ARM_VECTORDATA_F16F32,	// f32.f16
-	ARM_VECTORDATA_F64F32,	// f64.f32
-	ARM_VECTORDATA_F32F64,	// f32.f64
-
-	// Convert integer <-> float
-	ARM_VECTORDATA_S32F32,	// s32.f32
-	ARM_VECTORDATA_U32F32,	// u32.f32
-	ARM_VECTORDATA_F32S32,	// f32.s32
-	ARM_VECTORDATA_F32U32,	// f32.u32
-	ARM_VECTORDATA_F64S16,	// f64.s16
-	ARM_VECTORDATA_F32S16,	// f32.s16
-	ARM_VECTORDATA_F64S32,	// f64.s32
-	ARM_VECTORDATA_S16F64,	// s16.f64
-	ARM_VECTORDATA_S16F32,	// s16.f64
-	ARM_VECTORDATA_S32F64,	// s32.f64
-	ARM_VECTORDATA_U16F64,	// u16.f64
-	ARM_VECTORDATA_U16F32,	// u16.f32
-	ARM_VECTORDATA_U32F64,	// u32.f64
-	ARM_VECTORDATA_F64U16,	// f64.u16
-	ARM_VECTORDATA_F32U16,	// f32.u16
-	ARM_VECTORDATA_F64U32,	// f64.u32
-} arm_vectordata_type;
-
-// Instruction's operand referring to memory
-// This is associated with ARM_OP_MEM operand type above
-typedef struct arm_op_mem {
-	unsigned int base;	// base register
-	unsigned int index;	// index register
-	int scale;	// scale for index register (can be 1, or -1)
-	int disp;	// displacement/offset value
-} arm_op_mem;
-
-// Instruction operand
-typedef struct cs_arm_op {
-	int vector_index;	// Vector Index for some vector operands (or -1 if irrelevant)
-	struct {
-		arm_shifter type;
-		unsigned int value;
-	} shift;
-	arm_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG/SYSREG operand
-		int32_t imm;			// immediate value for C-IMM, P-IMM or IMM operand
-		double fp;			// floating point value for FP operand
-		arm_op_mem mem;		// base/index/scale/disp value for MEM operand
-		arm_setend_type setend; // SETEND instruction's operand type
-	};
-	// in some instructions, an operand can be subtracted or added to
-	// the base register,
-	bool subtracted; // if TRUE, this operand is subtracted. otherwise, it is added.
-} cs_arm_op;
-
-// Instruction structure
-typedef struct cs_arm {
-	bool usermode;	// User-mode registers to be loaded (for LDM/STM instructions)
-	int vector_size; 	// Scalar size for vector instructions
-	arm_vectordata_type vector_data; // Data type for elements of vector instructions
-	arm_cpsmode_type cps_mode;	// CPS mode for CPS instruction
-	arm_cpsflag_type cps_flag;	// CPS mode for CPS instruction
-	arm_cc cc;			// conditional code for this insn
-	bool update_flags;	// does this insn update flags?
-	bool writeback;		// does this insn write-back?
-	arm_mem_barrier mem_barrier;	// Option for some memory barrier instructions
-
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-
-	cs_arm_op operands[36];	// operands for this instruction.
-} cs_arm;
-
-//> ARM registers
-typedef enum arm_reg {
-	ARM_REG_INVALID = 0,
-	ARM_REG_APSR,
-	ARM_REG_APSR_NZCV,
-	ARM_REG_CPSR,
-	ARM_REG_FPEXC,
-	ARM_REG_FPINST,
-	ARM_REG_FPSCR,
-	ARM_REG_FPSCR_NZCV,
-	ARM_REG_FPSID,
-	ARM_REG_ITSTATE,
-	ARM_REG_LR,
-	ARM_REG_PC,
-	ARM_REG_SP,
-	ARM_REG_SPSR,
-	ARM_REG_D0,
-	ARM_REG_D1,
-	ARM_REG_D2,
-	ARM_REG_D3,
-	ARM_REG_D4,
-	ARM_REG_D5,
-	ARM_REG_D6,
-	ARM_REG_D7,
-	ARM_REG_D8,
-	ARM_REG_D9,
-	ARM_REG_D10,
-	ARM_REG_D11,
-	ARM_REG_D12,
-	ARM_REG_D13,
-	ARM_REG_D14,
-	ARM_REG_D15,
-	ARM_REG_D16,
-	ARM_REG_D17,
-	ARM_REG_D18,
-	ARM_REG_D19,
-	ARM_REG_D20,
-	ARM_REG_D21,
-	ARM_REG_D22,
-	ARM_REG_D23,
-	ARM_REG_D24,
-	ARM_REG_D25,
-	ARM_REG_D26,
-	ARM_REG_D27,
-	ARM_REG_D28,
-	ARM_REG_D29,
-	ARM_REG_D30,
-	ARM_REG_D31,
-	ARM_REG_FPINST2,
-	ARM_REG_MVFR0,
-	ARM_REG_MVFR1,
-	ARM_REG_MVFR2,
-	ARM_REG_Q0,
-	ARM_REG_Q1,
-	ARM_REG_Q2,
-	ARM_REG_Q3,
-	ARM_REG_Q4,
-	ARM_REG_Q5,
-	ARM_REG_Q6,
-	ARM_REG_Q7,
-	ARM_REG_Q8,
-	ARM_REG_Q9,
-	ARM_REG_Q10,
-	ARM_REG_Q11,
-	ARM_REG_Q12,
-	ARM_REG_Q13,
-	ARM_REG_Q14,
-	ARM_REG_Q15,
-	ARM_REG_R0,
-	ARM_REG_R1,
-	ARM_REG_R2,
-	ARM_REG_R3,
-	ARM_REG_R4,
-	ARM_REG_R5,
-	ARM_REG_R6,
-	ARM_REG_R7,
-	ARM_REG_R8,
-	ARM_REG_R9,
-	ARM_REG_R10,
-	ARM_REG_R11,
-	ARM_REG_R12,
-	ARM_REG_S0,
-	ARM_REG_S1,
-	ARM_REG_S2,
-	ARM_REG_S3,
-	ARM_REG_S4,
-	ARM_REG_S5,
-	ARM_REG_S6,
-	ARM_REG_S7,
-	ARM_REG_S8,
-	ARM_REG_S9,
-	ARM_REG_S10,
-	ARM_REG_S11,
-	ARM_REG_S12,
-	ARM_REG_S13,
-	ARM_REG_S14,
-	ARM_REG_S15,
-	ARM_REG_S16,
-	ARM_REG_S17,
-	ARM_REG_S18,
-	ARM_REG_S19,
-	ARM_REG_S20,
-	ARM_REG_S21,
-	ARM_REG_S22,
-	ARM_REG_S23,
-	ARM_REG_S24,
-	ARM_REG_S25,
-	ARM_REG_S26,
-	ARM_REG_S27,
-	ARM_REG_S28,
-	ARM_REG_S29,
-	ARM_REG_S30,
-	ARM_REG_S31,
-
-	ARM_REG_ENDING,		// <-- mark the end of the list or registers
-
-	//> alias registers
-	ARM_REG_R13 = ARM_REG_SP,
-	ARM_REG_R14 = ARM_REG_LR,
-	ARM_REG_R15 = ARM_REG_PC,
-
-	ARM_REG_SB = ARM_REG_R9,
-	ARM_REG_SL = ARM_REG_R10,
-	ARM_REG_FP = ARM_REG_R11,
-	ARM_REG_IP = ARM_REG_R12,
-} arm_reg;
-
-//> ARM instruction
-typedef enum arm_insn {
-	ARM_INS_INVALID = 0,
-
-	ARM_INS_ADC,
-	ARM_INS_ADD,
-	ARM_INS_ADR,
-	ARM_INS_AESD,
-	ARM_INS_AESE,
-	ARM_INS_AESIMC,
-	ARM_INS_AESMC,
-	ARM_INS_AND,
-	ARM_INS_BFC,
-	ARM_INS_BFI,
-	ARM_INS_BIC,
-	ARM_INS_BKPT,
-	ARM_INS_BL,
-	ARM_INS_BLX,
-	ARM_INS_BX,
-	ARM_INS_BXJ,
-	ARM_INS_B,
-	ARM_INS_CDP,
-	ARM_INS_CDP2,
-	ARM_INS_CLREX,
-	ARM_INS_CLZ,
-	ARM_INS_CMN,
-	ARM_INS_CMP,
-	ARM_INS_CPS,
-	ARM_INS_CRC32B,
-	ARM_INS_CRC32CB,
-	ARM_INS_CRC32CH,
-	ARM_INS_CRC32CW,
-	ARM_INS_CRC32H,
-	ARM_INS_CRC32W,
-	ARM_INS_DBG,
-	ARM_INS_DMB,
-	ARM_INS_DSB,
-	ARM_INS_EOR,
-	ARM_INS_VMOV,
-	ARM_INS_FLDMDBX,
-	ARM_INS_FLDMIAX,
-	ARM_INS_VMRS,
-	ARM_INS_FSTMDBX,
-	ARM_INS_FSTMIAX,
-	ARM_INS_HINT,
-	ARM_INS_HLT,
-	ARM_INS_ISB,
-	ARM_INS_LDA,
-	ARM_INS_LDAB,
-	ARM_INS_LDAEX,
-	ARM_INS_LDAEXB,
-	ARM_INS_LDAEXD,
-	ARM_INS_LDAEXH,
-	ARM_INS_LDAH,
-	ARM_INS_LDC2L,
-	ARM_INS_LDC2,
-	ARM_INS_LDCL,
-	ARM_INS_LDC,
-	ARM_INS_LDMDA,
-	ARM_INS_LDMDB,
-	ARM_INS_LDM,
-	ARM_INS_LDMIB,
-	ARM_INS_LDRBT,
-	ARM_INS_LDRB,
-	ARM_INS_LDRD,
-	ARM_INS_LDREX,
-	ARM_INS_LDREXB,
-	ARM_INS_LDREXD,
-	ARM_INS_LDREXH,
-	ARM_INS_LDRH,
-	ARM_INS_LDRHT,
-	ARM_INS_LDRSB,
-	ARM_INS_LDRSBT,
-	ARM_INS_LDRSH,
-	ARM_INS_LDRSHT,
-	ARM_INS_LDRT,
-	ARM_INS_LDR,
-	ARM_INS_MCR,
-	ARM_INS_MCR2,
-	ARM_INS_MCRR,
-	ARM_INS_MCRR2,
-	ARM_INS_MLA,
-	ARM_INS_MLS,
-	ARM_INS_MOV,
-	ARM_INS_MOVT,
-	ARM_INS_MOVW,
-	ARM_INS_MRC,
-	ARM_INS_MRC2,
-	ARM_INS_MRRC,
-	ARM_INS_MRRC2,
-	ARM_INS_MRS,
-	ARM_INS_MSR,
-	ARM_INS_MUL,
-	ARM_INS_MVN,
-	ARM_INS_ORR,
-	ARM_INS_PKHBT,
-	ARM_INS_PKHTB,
-	ARM_INS_PLDW,
-	ARM_INS_PLD,
-	ARM_INS_PLI,
-	ARM_INS_QADD,
-	ARM_INS_QADD16,
-	ARM_INS_QADD8,
-	ARM_INS_QASX,
-	ARM_INS_QDADD,
-	ARM_INS_QDSUB,
-	ARM_INS_QSAX,
-	ARM_INS_QSUB,
-	ARM_INS_QSUB16,
-	ARM_INS_QSUB8,
-	ARM_INS_RBIT,
-	ARM_INS_REV,
-	ARM_INS_REV16,
-	ARM_INS_REVSH,
-	ARM_INS_RFEDA,
-	ARM_INS_RFEDB,
-	ARM_INS_RFEIA,
-	ARM_INS_RFEIB,
-	ARM_INS_RSB,
-	ARM_INS_RSC,
-	ARM_INS_SADD16,
-	ARM_INS_SADD8,
-	ARM_INS_SASX,
-	ARM_INS_SBC,
-	ARM_INS_SBFX,
-	ARM_INS_SDIV,
-	ARM_INS_SEL,
-	ARM_INS_SETEND,
-	ARM_INS_SHA1C,
-	ARM_INS_SHA1H,
-	ARM_INS_SHA1M,
-	ARM_INS_SHA1P,
-	ARM_INS_SHA1SU0,
-	ARM_INS_SHA1SU1,
-	ARM_INS_SHA256H,
-	ARM_INS_SHA256H2,
-	ARM_INS_SHA256SU0,
-	ARM_INS_SHA256SU1,
-	ARM_INS_SHADD16,
-	ARM_INS_SHADD8,
-	ARM_INS_SHASX,
-	ARM_INS_SHSAX,
-	ARM_INS_SHSUB16,
-	ARM_INS_SHSUB8,
-	ARM_INS_SMC,
-	ARM_INS_SMLABB,
-	ARM_INS_SMLABT,
-	ARM_INS_SMLAD,
-	ARM_INS_SMLADX,
-	ARM_INS_SMLAL,
-	ARM_INS_SMLALBB,
-	ARM_INS_SMLALBT,
-	ARM_INS_SMLALD,
-	ARM_INS_SMLALDX,
-	ARM_INS_SMLALTB,
-	ARM_INS_SMLALTT,
-	ARM_INS_SMLATB,
-	ARM_INS_SMLATT,
-	ARM_INS_SMLAWB,
-	ARM_INS_SMLAWT,
-	ARM_INS_SMLSD,
-	ARM_INS_SMLSDX,
-	ARM_INS_SMLSLD,
-	ARM_INS_SMLSLDX,
-	ARM_INS_SMMLA,
-	ARM_INS_SMMLAR,
-	ARM_INS_SMMLS,
-	ARM_INS_SMMLSR,
-	ARM_INS_SMMUL,
-	ARM_INS_SMMULR,
-	ARM_INS_SMUAD,
-	ARM_INS_SMUADX,
-	ARM_INS_SMULBB,
-	ARM_INS_SMULBT,
-	ARM_INS_SMULL,
-	ARM_INS_SMULTB,
-	ARM_INS_SMULTT,
-	ARM_INS_SMULWB,
-	ARM_INS_SMULWT,
-	ARM_INS_SMUSD,
-	ARM_INS_SMUSDX,
-	ARM_INS_SRSDA,
-	ARM_INS_SRSDB,
-	ARM_INS_SRSIA,
-	ARM_INS_SRSIB,
-	ARM_INS_SSAT,
-	ARM_INS_SSAT16,
-	ARM_INS_SSAX,
-	ARM_INS_SSUB16,
-	ARM_INS_SSUB8,
-	ARM_INS_STC2L,
-	ARM_INS_STC2,
-	ARM_INS_STCL,
-	ARM_INS_STC,
-	ARM_INS_STL,
-	ARM_INS_STLB,
-	ARM_INS_STLEX,
-	ARM_INS_STLEXB,
-	ARM_INS_STLEXD,
-	ARM_INS_STLEXH,
-	ARM_INS_STLH,
-	ARM_INS_STMDA,
-	ARM_INS_STMDB,
-	ARM_INS_STM,
-	ARM_INS_STMIB,
-	ARM_INS_STRBT,
-	ARM_INS_STRB,
-	ARM_INS_STRD,
-	ARM_INS_STREX,
-	ARM_INS_STREXB,
-	ARM_INS_STREXD,
-	ARM_INS_STREXH,
-	ARM_INS_STRH,
-	ARM_INS_STRHT,
-	ARM_INS_STRT,
-	ARM_INS_STR,
-	ARM_INS_SUB,
-	ARM_INS_SVC,
-	ARM_INS_SWP,
-	ARM_INS_SWPB,
-	ARM_INS_SXTAB,
-	ARM_INS_SXTAB16,
-	ARM_INS_SXTAH,
-	ARM_INS_SXTB,
-	ARM_INS_SXTB16,
-	ARM_INS_SXTH,
-	ARM_INS_TEQ,
-	ARM_INS_TRAP,
-	ARM_INS_TST,
-	ARM_INS_UADD16,
-	ARM_INS_UADD8,
-	ARM_INS_UASX,
-	ARM_INS_UBFX,
-	ARM_INS_UDF,
-	ARM_INS_UDIV,
-	ARM_INS_UHADD16,
-	ARM_INS_UHADD8,
-	ARM_INS_UHASX,
-	ARM_INS_UHSAX,
-	ARM_INS_UHSUB16,
-	ARM_INS_UHSUB8,
-	ARM_INS_UMAAL,
-	ARM_INS_UMLAL,
-	ARM_INS_UMULL,
-	ARM_INS_UQADD16,
-	ARM_INS_UQADD8,
-	ARM_INS_UQASX,
-	ARM_INS_UQSAX,
-	ARM_INS_UQSUB16,
-	ARM_INS_UQSUB8,
-	ARM_INS_USAD8,
-	ARM_INS_USADA8,
-	ARM_INS_USAT,
-	ARM_INS_USAT16,
-	ARM_INS_USAX,
-	ARM_INS_USUB16,
-	ARM_INS_USUB8,
-	ARM_INS_UXTAB,
-	ARM_INS_UXTAB16,
-	ARM_INS_UXTAH,
-	ARM_INS_UXTB,
-	ARM_INS_UXTB16,
-	ARM_INS_UXTH,
-	ARM_INS_VABAL,
-	ARM_INS_VABA,
-	ARM_INS_VABDL,
-	ARM_INS_VABD,
-	ARM_INS_VABS,
-	ARM_INS_VACGE,
-	ARM_INS_VACGT,
-	ARM_INS_VADD,
-	ARM_INS_VADDHN,
-	ARM_INS_VADDL,
-	ARM_INS_VADDW,
-	ARM_INS_VAND,
-	ARM_INS_VBIC,
-	ARM_INS_VBIF,
-	ARM_INS_VBIT,
-	ARM_INS_VBSL,
-	ARM_INS_VCEQ,
-	ARM_INS_VCGE,
-	ARM_INS_VCGT,
-	ARM_INS_VCLE,
-	ARM_INS_VCLS,
-	ARM_INS_VCLT,
-	ARM_INS_VCLZ,
-	ARM_INS_VCMP,
-	ARM_INS_VCMPE,
-	ARM_INS_VCNT,
-	ARM_INS_VCVTA,
-	ARM_INS_VCVTB,
-	ARM_INS_VCVT,
-	ARM_INS_VCVTM,
-	ARM_INS_VCVTN,
-	ARM_INS_VCVTP,
-	ARM_INS_VCVTT,
-	ARM_INS_VDIV,
-	ARM_INS_VDUP,
-	ARM_INS_VEOR,
-	ARM_INS_VEXT,
-	ARM_INS_VFMA,
-	ARM_INS_VFMS,
-	ARM_INS_VFNMA,
-	ARM_INS_VFNMS,
-	ARM_INS_VHADD,
-	ARM_INS_VHSUB,
-	ARM_INS_VLD1,
-	ARM_INS_VLD2,
-	ARM_INS_VLD3,
-	ARM_INS_VLD4,
-	ARM_INS_VLDMDB,
-	ARM_INS_VLDMIA,
-	ARM_INS_VLDR,
-	ARM_INS_VMAXNM,
-	ARM_INS_VMAX,
-	ARM_INS_VMINNM,
-	ARM_INS_VMIN,
-	ARM_INS_VMLA,
-	ARM_INS_VMLAL,
-	ARM_INS_VMLS,
-	ARM_INS_VMLSL,
-	ARM_INS_VMOVL,
-	ARM_INS_VMOVN,
-	ARM_INS_VMSR,
-	ARM_INS_VMUL,
-	ARM_INS_VMULL,
-	ARM_INS_VMVN,
-	ARM_INS_VNEG,
-	ARM_INS_VNMLA,
-	ARM_INS_VNMLS,
-	ARM_INS_VNMUL,
-	ARM_INS_VORN,
-	ARM_INS_VORR,
-	ARM_INS_VPADAL,
-	ARM_INS_VPADDL,
-	ARM_INS_VPADD,
-	ARM_INS_VPMAX,
-	ARM_INS_VPMIN,
-	ARM_INS_VQABS,
-	ARM_INS_VQADD,
-	ARM_INS_VQDMLAL,
-	ARM_INS_VQDMLSL,
-	ARM_INS_VQDMULH,
-	ARM_INS_VQDMULL,
-	ARM_INS_VQMOVUN,
-	ARM_INS_VQMOVN,
-	ARM_INS_VQNEG,
-	ARM_INS_VQRDMULH,
-	ARM_INS_VQRSHL,
-	ARM_INS_VQRSHRN,
-	ARM_INS_VQRSHRUN,
-	ARM_INS_VQSHL,
-	ARM_INS_VQSHLU,
-	ARM_INS_VQSHRN,
-	ARM_INS_VQSHRUN,
-	ARM_INS_VQSUB,
-	ARM_INS_VRADDHN,
-	ARM_INS_VRECPE,
-	ARM_INS_VRECPS,
-	ARM_INS_VREV16,
-	ARM_INS_VREV32,
-	ARM_INS_VREV64,
-	ARM_INS_VRHADD,
-	ARM_INS_VRINTA,
-	ARM_INS_VRINTM,
-	ARM_INS_VRINTN,
-	ARM_INS_VRINTP,
-	ARM_INS_VRINTR,
-	ARM_INS_VRINTX,
-	ARM_INS_VRINTZ,
-	ARM_INS_VRSHL,
-	ARM_INS_VRSHRN,
-	ARM_INS_VRSHR,
-	ARM_INS_VRSQRTE,
-	ARM_INS_VRSQRTS,
-	ARM_INS_VRSRA,
-	ARM_INS_VRSUBHN,
-	ARM_INS_VSELEQ,
-	ARM_INS_VSELGE,
-	ARM_INS_VSELGT,
-	ARM_INS_VSELVS,
-	ARM_INS_VSHLL,
-	ARM_INS_VSHL,
-	ARM_INS_VSHRN,
-	ARM_INS_VSHR,
-	ARM_INS_VSLI,
-	ARM_INS_VSQRT,
-	ARM_INS_VSRA,
-	ARM_INS_VSRI,
-	ARM_INS_VST1,
-	ARM_INS_VST2,
-	ARM_INS_VST3,
-	ARM_INS_VST4,
-	ARM_INS_VSTMDB,
-	ARM_INS_VSTMIA,
-	ARM_INS_VSTR,
-	ARM_INS_VSUB,
-	ARM_INS_VSUBHN,
-	ARM_INS_VSUBL,
-	ARM_INS_VSUBW,
-	ARM_INS_VSWP,
-	ARM_INS_VTBL,
-	ARM_INS_VTBX,
-	ARM_INS_VCVTR,
-	ARM_INS_VTRN,
-	ARM_INS_VTST,
-	ARM_INS_VUZP,
-	ARM_INS_VZIP,
-	ARM_INS_ADDW,
-	ARM_INS_ASR,
-	ARM_INS_DCPS1,
-	ARM_INS_DCPS2,
-	ARM_INS_DCPS3,
-	ARM_INS_IT,
-	ARM_INS_LSL,
-	ARM_INS_LSR,
-	ARM_INS_ASRS,
-	ARM_INS_LSRS,
-	ARM_INS_ORN,
-	ARM_INS_ROR,
-	ARM_INS_RRX,
-	ARM_INS_SUBS,
-	ARM_INS_SUBW,
-	ARM_INS_TBB,
-	ARM_INS_TBH,
-	ARM_INS_CBNZ,
-	ARM_INS_CBZ,
-	ARM_INS_MOVS,
-	ARM_INS_POP,
-	ARM_INS_PUSH,
-
-	// special instructions
-	ARM_INS_NOP,
-	ARM_INS_YIELD,
-	ARM_INS_WFE,
-	ARM_INS_WFI,
-	ARM_INS_SEV,
-	ARM_INS_SEVL,
-	ARM_INS_VPUSH,
-	ARM_INS_VPOP,
-
-	ARM_INS_ENDING,	// <-- mark the end of the list of instructions
-} arm_insn;
-
-//> Group of ARM instructions
-typedef enum arm_insn_group {
-	ARM_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	ARM_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	ARM_GRP_CRYPTO = 128,
-	ARM_GRP_DATABARRIER,
-	ARM_GRP_DIVIDE,
-	ARM_GRP_FPARMV8,
-	ARM_GRP_MULTPRO,
-	ARM_GRP_NEON,
-	ARM_GRP_T2EXTRACTPACK,
-	ARM_GRP_THUMB2DSP,
-	ARM_GRP_TRUSTZONE,
-	ARM_GRP_V4T,
-	ARM_GRP_V5T,
-	ARM_GRP_V5TE,
-	ARM_GRP_V6,
-	ARM_GRP_V6T2,
-	ARM_GRP_V7,
-	ARM_GRP_V8,
-	ARM_GRP_VFP2,
-	ARM_GRP_VFP3,
-	ARM_GRP_VFP4,
-	ARM_GRP_ARM,
-	ARM_GRP_MCLASS,
-	ARM_GRP_NOTMCLASS,
-	ARM_GRP_THUMB,
-	ARM_GRP_THUMB1ONLY,
-	ARM_GRP_THUMB2,
-	ARM_GRP_PREV8,
-	ARM_GRP_FPVMLX,
-	ARM_GRP_MULOPS,
-	ARM_GRP_CRC,
-	ARM_GRP_DPVFP,
-	ARM_GRP_V6M,
-
-	ARM_GRP_ENDING,
-} arm_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/arm64.h 4.0.2-3/include/capstone/arm64.h
--- 4.0.1+really+3.0.5-2/include/capstone/arm64.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/arm64.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1164 @@
+#ifndef CAPSTONE_ARM64_H
+#define CAPSTONE_ARM64_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// ARM64 shift type
+typedef enum arm64_shifter {
+	ARM64_SFT_INVALID = 0,
+	ARM64_SFT_LSL = 1,
+	ARM64_SFT_MSL = 2,
+	ARM64_SFT_LSR = 3,
+	ARM64_SFT_ASR = 4,
+	ARM64_SFT_ROR = 5,
+} arm64_shifter;
+
+/// ARM64 extender type
+typedef enum arm64_extender {
+	ARM64_EXT_INVALID = 0,
+	ARM64_EXT_UXTB = 1,
+	ARM64_EXT_UXTH = 2,
+	ARM64_EXT_UXTW = 3,
+	ARM64_EXT_UXTX = 4,
+	ARM64_EXT_SXTB = 5,
+	ARM64_EXT_SXTH = 6,
+	ARM64_EXT_SXTW = 7,
+	ARM64_EXT_SXTX = 8,
+} arm64_extender;
+
+/// ARM64 condition code
+typedef enum arm64_cc {
+	ARM64_CC_INVALID = 0,
+	ARM64_CC_EQ = 1,     ///< Equal
+	ARM64_CC_NE = 2,     ///< Not equal:                 Not equal, or unordered
+	ARM64_CC_HS = 3,     ///< Unsigned higher or same:   >, ==, or unordered
+	ARM64_CC_LO = 4,     ///< Unsigned lower or same:    Less than
+	ARM64_CC_MI = 5,     ///< Minus, negative:           Less than
+	ARM64_CC_PL = 6,     ///< Plus, positive or zero:    >, ==, or unordered
+	ARM64_CC_VS = 7,     ///< Overflow:                  Unordered
+	ARM64_CC_VC = 8,     ///< No overflow:               Ordered
+	ARM64_CC_HI = 9,     ///< Unsigned higher:           Greater than, or unordered
+	ARM64_CC_LS = 10,     ///< Unsigned lower or same:    Less than or equal
+	ARM64_CC_GE = 11,     ///< Greater than or equal:     Greater than or equal
+	ARM64_CC_LT = 12,     ///< Less than:                 Less than, or unordered
+	ARM64_CC_GT = 13,     ///< Signed greater than:       Greater than
+	ARM64_CC_LE = 14,     ///< Signed less than or equal: <, ==, or unordered
+	ARM64_CC_AL = 15,     ///< Always (unconditional):    Always (unconditional)
+	ARM64_CC_NV = 16,     ///< Always (unconditional):   Always (unconditional)
+	//< Note the NV exists purely to disassemble 0b1111. Execution
+	//< is "always".
+} arm64_cc;
+
+/// System registers
+typedef enum arm64_sysreg {
+	// System registers for MRS
+	ARM64_SYSREG_INVALID           = 0,
+	ARM64_SYSREG_MDCCSR_EL0        = 0x9808, // 10  011  0000  0001  000
+	ARM64_SYSREG_DBGDTRRX_EL0      = 0x9828, // 10  011  0000  0101  000
+	ARM64_SYSREG_MDRAR_EL1         = 0x8080, // 10  000  0001  0000  000
+	ARM64_SYSREG_OSLSR_EL1         = 0x808c, // 10  000  0001  0001  100
+	ARM64_SYSREG_DBGAUTHSTATUS_EL1 = 0x83f6, // 10  000  0111  1110  110
+	ARM64_SYSREG_PMCEID0_EL0       = 0xdce6, // 11  011  1001  1100  110
+	ARM64_SYSREG_PMCEID1_EL0       = 0xdce7, // 11  011  1001  1100  111
+	ARM64_SYSREG_MIDR_EL1          = 0xc000, // 11  000  0000  0000  000
+	ARM64_SYSREG_CCSIDR_EL1        = 0xc800, // 11  001  0000  0000  000
+	ARM64_SYSREG_CLIDR_EL1         = 0xc801, // 11  001  0000  0000  001
+	ARM64_SYSREG_CTR_EL0           = 0xd801, // 11  011  0000  0000  001
+	ARM64_SYSREG_MPIDR_EL1         = 0xc005, // 11  000  0000  0000  101
+	ARM64_SYSREG_REVIDR_EL1        = 0xc006, // 11  000  0000  0000  110
+	ARM64_SYSREG_AIDR_EL1          = 0xc807, // 11  001  0000  0000  111
+	ARM64_SYSREG_DCZID_EL0         = 0xd807, // 11  011  0000  0000  111
+	ARM64_SYSREG_ID_PFR0_EL1       = 0xc008, // 11  000  0000  0001  000
+	ARM64_SYSREG_ID_PFR1_EL1       = 0xc009, // 11  000  0000  0001  001
+	ARM64_SYSREG_ID_DFR0_EL1       = 0xc00a, // 11  000  0000  0001  010
+	ARM64_SYSREG_ID_AFR0_EL1       = 0xc00b, // 11  000  0000  0001  011
+	ARM64_SYSREG_ID_MMFR0_EL1      = 0xc00c, // 11  000  0000  0001  100
+	ARM64_SYSREG_ID_MMFR1_EL1      = 0xc00d, // 11  000  0000  0001  101
+	ARM64_SYSREG_ID_MMFR2_EL1      = 0xc00e, // 11  000  0000  0001  110
+	ARM64_SYSREG_ID_MMFR3_EL1      = 0xc00f, // 11  000  0000  0001  111
+	ARM64_SYSREG_ID_ISAR0_EL1      = 0xc010, // 11  000  0000  0010  000
+	ARM64_SYSREG_ID_ISAR1_EL1      = 0xc011, // 11  000  0000  0010  001
+	ARM64_SYSREG_ID_ISAR2_EL1      = 0xc012, // 11  000  0000  0010  010
+	ARM64_SYSREG_ID_ISAR3_EL1      = 0xc013, // 11  000  0000  0010  011
+	ARM64_SYSREG_ID_ISAR4_EL1      = 0xc014, // 11  000  0000  0010  100
+	ARM64_SYSREG_ID_ISAR5_EL1      = 0xc015, // 11  000  0000  0010  101
+	ARM64_SYSREG_ID_A64PFR0_EL1   = 0xc020, // 11  000  0000  0100  000
+	ARM64_SYSREG_ID_A64PFR1_EL1   = 0xc021, // 11  000  0000  0100  001
+	ARM64_SYSREG_ID_A64DFR0_EL1   = 0xc028, // 11  000  0000  0101  000
+	ARM64_SYSREG_ID_A64DFR1_EL1   = 0xc029, // 11  000  0000  0101  001
+	ARM64_SYSREG_ID_A64AFR0_EL1   = 0xc02c, // 11  000  0000  0101  100
+	ARM64_SYSREG_ID_A64AFR1_EL1   = 0xc02d, // 11  000  0000  0101  101
+	ARM64_SYSREG_ID_A64ISAR0_EL1  = 0xc030, // 11  000  0000  0110  000
+	ARM64_SYSREG_ID_A64ISAR1_EL1  = 0xc031, // 11  000  0000  0110  001
+	ARM64_SYSREG_ID_A64MMFR0_EL1  = 0xc038, // 11  000  0000  0111  000
+	ARM64_SYSREG_ID_A64MMFR1_EL1  = 0xc039, // 11  000  0000  0111  001
+	ARM64_SYSREG_MVFR0_EL1         = 0xc018, // 11  000  0000  0011  000
+	ARM64_SYSREG_MVFR1_EL1         = 0xc019, // 11  000  0000  0011  001
+	ARM64_SYSREG_MVFR2_EL1         = 0xc01a, // 11  000  0000  0011  010
+	ARM64_SYSREG_RVBAR_EL1         = 0xc601, // 11  000  1100  0000  001
+	ARM64_SYSREG_RVBAR_EL2         = 0xe601, // 11  100  1100  0000  001
+	ARM64_SYSREG_RVBAR_EL3         = 0xf601, // 11  110  1100  0000  001
+	ARM64_SYSREG_ISR_EL1           = 0xc608, // 11  000  1100  0001  000
+	ARM64_SYSREG_CNTPCT_EL0        = 0xdf01, // 11  011  1110  0000  001
+	ARM64_SYSREG_CNTVCT_EL0        = 0xdf02,  // 11  011  1110  0000  010
+
+	// Trace registers
+	ARM64_SYSREG_TRCSTATR          = 0x8818, // 10  001  0000  0011  000
+	ARM64_SYSREG_TRCIDR8           = 0x8806, // 10  001  0000  0000  110
+	ARM64_SYSREG_TRCIDR9           = 0x880e, // 10  001  0000  0001  110
+	ARM64_SYSREG_TRCIDR10          = 0x8816, // 10  001  0000  0010  110
+	ARM64_SYSREG_TRCIDR11          = 0x881e, // 10  001  0000  0011  110
+	ARM64_SYSREG_TRCIDR12          = 0x8826, // 10  001  0000  0100  110
+	ARM64_SYSREG_TRCIDR13          = 0x882e, // 10  001  0000  0101  110
+	ARM64_SYSREG_TRCIDR0           = 0x8847, // 10  001  0000  1000  111
+	ARM64_SYSREG_TRCIDR1           = 0x884f, // 10  001  0000  1001  111
+	ARM64_SYSREG_TRCIDR2           = 0x8857, // 10  001  0000  1010  111
+	ARM64_SYSREG_TRCIDR3           = 0x885f, // 10  001  0000  1011  111
+	ARM64_SYSREG_TRCIDR4           = 0x8867, // 10  001  0000  1100  111
+	ARM64_SYSREG_TRCIDR5           = 0x886f, // 10  001  0000  1101  111
+	ARM64_SYSREG_TRCIDR6           = 0x8877, // 10  001  0000  1110  111
+	ARM64_SYSREG_TRCIDR7           = 0x887f, // 10  001  0000  1111  111
+	ARM64_SYSREG_TRCOSLSR          = 0x888c, // 10  001  0001  0001  100
+	ARM64_SYSREG_TRCPDSR           = 0x88ac, // 10  001  0001  0101  100
+	ARM64_SYSREG_TRCDEVAFF0        = 0x8bd6, // 10  001  0111  1010  110
+	ARM64_SYSREG_TRCDEVAFF1        = 0x8bde, // 10  001  0111  1011  110
+	ARM64_SYSREG_TRCLSR            = 0x8bee, // 10  001  0111  1101  110
+	ARM64_SYSREG_TRCAUTHSTATUS     = 0x8bf6, // 10  001  0111  1110  110
+	ARM64_SYSREG_TRCDEVARCH        = 0x8bfe, // 10  001  0111  1111  110
+	ARM64_SYSREG_TRCDEVID          = 0x8b97, // 10  001  0111  0010  111
+	ARM64_SYSREG_TRCDEVTYPE        = 0x8b9f, // 10  001  0111  0011  111
+	ARM64_SYSREG_TRCPIDR4          = 0x8ba7, // 10  001  0111  0100  111
+	ARM64_SYSREG_TRCPIDR5          = 0x8baf, // 10  001  0111  0101  111
+	ARM64_SYSREG_TRCPIDR6          = 0x8bb7, // 10  001  0111  0110  111
+	ARM64_SYSREG_TRCPIDR7          = 0x8bbf, // 10  001  0111  0111  111
+	ARM64_SYSREG_TRCPIDR0          = 0x8bc7, // 10  001  0111  1000  111
+	ARM64_SYSREG_TRCPIDR1          = 0x8bcf, // 10  001  0111  1001  111
+	ARM64_SYSREG_TRCPIDR2          = 0x8bd7, // 10  001  0111  1010  111
+	ARM64_SYSREG_TRCPIDR3          = 0x8bdf, // 10  001  0111  1011  111
+	ARM64_SYSREG_TRCCIDR0          = 0x8be7, // 10  001  0111  1100  111
+	ARM64_SYSREG_TRCCIDR1          = 0x8bef, // 10  001  0111  1101  111
+	ARM64_SYSREG_TRCCIDR2          = 0x8bf7, // 10  001  0111  1110  111
+	ARM64_SYSREG_TRCCIDR3          = 0x8bff, // 10  001  0111  1111  111
+
+	// GICv3 registers
+	ARM64_SYSREG_ICC_IAR1_EL1      = 0xc660, // 11  000  1100  1100  000
+	ARM64_SYSREG_ICC_IAR0_EL1      = 0xc640, // 11  000  1100  1000  000
+	ARM64_SYSREG_ICC_HPPIR1_EL1    = 0xc662, // 11  000  1100  1100  010
+	ARM64_SYSREG_ICC_HPPIR0_EL1    = 0xc642, // 11  000  1100  1000  010
+	ARM64_SYSREG_ICC_RPR_EL1       = 0xc65b, // 11  000  1100  1011  011
+	ARM64_SYSREG_ICH_VTR_EL2       = 0xe659, // 11  100  1100  1011  001
+	ARM64_SYSREG_ICH_EISR_EL2      = 0xe65b, // 11  100  1100  1011  011
+	ARM64_SYSREG_ICH_ELSR_EL2      = 0xe65d, // 11  100  1100  1011  101
+} arm64_sysreg;
+
+typedef enum arm64_msr_reg {
+	// System registers for MSR
+	ARM64_SYSREG_DBGDTRTX_EL0      = 0x9828, // 10  011  0000  0101  000
+	ARM64_SYSREG_OSLAR_EL1         = 0x8084, // 10  000  0001  0000  100
+	ARM64_SYSREG_PMSWINC_EL0       = 0xdce4,  // 11  011  1001  1100  100
+
+	// Trace Registers
+	ARM64_SYSREG_TRCOSLAR          = 0x8884, // 10  001  0001  0000  100
+	ARM64_SYSREG_TRCLAR            = 0x8be6, // 10  001  0111  1100  110
+
+	// GICv3 registers
+	ARM64_SYSREG_ICC_EOIR1_EL1     = 0xc661, // 11  000  1100  1100  001
+	ARM64_SYSREG_ICC_EOIR0_EL1     = 0xc641, // 11  000  1100  1000  001
+	ARM64_SYSREG_ICC_DIR_EL1       = 0xc659, // 11  000  1100  1011  001
+	ARM64_SYSREG_ICC_SGI1R_EL1     = 0xc65d, // 11  000  1100  1011  101
+	ARM64_SYSREG_ICC_ASGI1R_EL1    = 0xc65e, // 11  000  1100  1011  110
+	ARM64_SYSREG_ICC_SGI0R_EL1     = 0xc65f, // 11  000  1100  1011  111
+} arm64_msr_reg;
+
+/// System PState Field (MSR instruction)
+typedef enum arm64_pstate {
+	ARM64_PSTATE_INVALID = 0,
+	ARM64_PSTATE_SPSEL = 0x05,
+	ARM64_PSTATE_DAIFSET = 0x1e,
+	ARM64_PSTATE_DAIFCLR = 0x1f
+} arm64_pstate;
+
+/// Vector arrangement specifier (for FloatingPoint/Advanced SIMD insn)
+typedef enum arm64_vas {
+	ARM64_VAS_INVALID = 0,
+	ARM64_VAS_8B,
+	ARM64_VAS_16B,
+	ARM64_VAS_4H,
+	ARM64_VAS_8H,
+	ARM64_VAS_2S,
+	ARM64_VAS_4S,
+	ARM64_VAS_1D,
+	ARM64_VAS_2D,
+	ARM64_VAS_1Q,
+} arm64_vas;
+
+/// Vector element size specifier
+typedef enum arm64_vess {
+	ARM64_VESS_INVALID = 0,
+	ARM64_VESS_B,
+	ARM64_VESS_H,
+	ARM64_VESS_S,
+	ARM64_VESS_D,
+} arm64_vess;
+
+/// Memory barrier operands
+typedef enum arm64_barrier_op {
+	ARM64_BARRIER_INVALID = 0,
+	ARM64_BARRIER_OSHLD = 0x1,
+	ARM64_BARRIER_OSHST = 0x2,
+	ARM64_BARRIER_OSH =   0x3,
+	ARM64_BARRIER_NSHLD = 0x5,
+	ARM64_BARRIER_NSHST = 0x6,
+	ARM64_BARRIER_NSH =   0x7,
+	ARM64_BARRIER_ISHLD = 0x9,
+	ARM64_BARRIER_ISHST = 0xa,
+	ARM64_BARRIER_ISH =   0xb,
+	ARM64_BARRIER_LD =    0xd,
+	ARM64_BARRIER_ST =    0xe,
+	ARM64_BARRIER_SY =    0xf
+} arm64_barrier_op;
+
+/// Operand type for instruction's operands
+typedef enum arm64_op_type {
+	ARM64_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	ARM64_OP_REG, ///< = CS_OP_REG (Register operand).
+	ARM64_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	ARM64_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+	ARM64_OP_FP,  ///< = CS_OP_FP (Floating-Point operand).
+	ARM64_OP_CIMM = 64, ///< C-Immediate
+	ARM64_OP_REG_MRS, ///< MRS register operand.
+	ARM64_OP_REG_MSR, ///< MSR register operand.
+	ARM64_OP_PSTATE, ///< PState operand.
+	ARM64_OP_SYS, ///< SYS operand for IC/DC/AT/TLBI instructions.
+	ARM64_OP_PREFETCH, ///< Prefetch operand (PRFM).
+	ARM64_OP_BARRIER, ///< Memory barrier operand (ISB/DMB/DSB instructions).
+} arm64_op_type;
+
+/// TLBI operations
+typedef enum arm64_tlbi_op {
+	ARM64_TLBI_INVALID = 0,
+	ARM64_TLBI_VMALLE1IS,
+	ARM64_TLBI_VAE1IS,
+	ARM64_TLBI_ASIDE1IS,
+	ARM64_TLBI_VAAE1IS,
+	ARM64_TLBI_VALE1IS,
+	ARM64_TLBI_VAALE1IS,
+	ARM64_TLBI_ALLE2IS,
+	ARM64_TLBI_VAE2IS,
+	ARM64_TLBI_ALLE1IS,
+	ARM64_TLBI_VALE2IS,
+	ARM64_TLBI_VMALLS12E1IS,
+	ARM64_TLBI_ALLE3IS,
+	ARM64_TLBI_VAE3IS,
+	ARM64_TLBI_VALE3IS,
+	ARM64_TLBI_IPAS2E1IS,
+	ARM64_TLBI_IPAS2LE1IS,
+	ARM64_TLBI_IPAS2E1,
+	ARM64_TLBI_IPAS2LE1,
+	ARM64_TLBI_VMALLE1,
+	ARM64_TLBI_VAE1,
+	ARM64_TLBI_ASIDE1,
+	ARM64_TLBI_VAAE1,
+	ARM64_TLBI_VALE1,
+	ARM64_TLBI_VAALE1,
+	ARM64_TLBI_ALLE2,
+	ARM64_TLBI_VAE2,
+	ARM64_TLBI_ALLE1,
+	ARM64_TLBI_VALE2,
+	ARM64_TLBI_VMALLS12E1,
+	ARM64_TLBI_ALLE3,
+	ARM64_TLBI_VAE3,
+	ARM64_TLBI_VALE3,
+} arm64_tlbi_op;
+
+/// AT operations
+typedef enum arm64_at_op {
+	ARM64_AT_S1E1R,
+	ARM64_AT_S1E1W,
+	ARM64_AT_S1E0R,
+	ARM64_AT_S1E0W,
+	ARM64_AT_S1E2R,
+	ARM64_AT_S1E2W,
+	ARM64_AT_S12E1R,
+	ARM64_AT_S12E1W,
+	ARM64_AT_S12E0R,
+	ARM64_AT_S12E0W,
+	ARM64_AT_S1E3R,
+	ARM64_AT_S1E3W,
+} arm64_at_op;
+
+/// DC operations
+typedef enum arm64_dc_op {
+	ARM64_DC_INVALID = 0,
+	ARM64_DC_ZVA,
+	ARM64_DC_IVAC,
+	ARM64_DC_ISW,
+	ARM64_DC_CVAC,
+	ARM64_DC_CSW,
+	ARM64_DC_CVAU,
+	ARM64_DC_CIVAC,
+	ARM64_DC_CISW,
+} arm64_dc_op;
+
+/// IC operations
+typedef enum arm64_ic_op {
+	ARM64_IC_INVALID = 0,
+	ARM64_IC_IALLUIS,
+	ARM64_IC_IALLU,
+	ARM64_IC_IVAU,
+} arm64_ic_op;
+
+/// Prefetch operations (PRFM)
+typedef enum arm64_prefetch_op {
+	ARM64_PRFM_INVALID = 0,
+	ARM64_PRFM_PLDL1KEEP = 0x00 + 1,
+	ARM64_PRFM_PLDL1STRM = 0x01 + 1,
+	ARM64_PRFM_PLDL2KEEP = 0x02 + 1,
+	ARM64_PRFM_PLDL2STRM = 0x03 + 1,
+	ARM64_PRFM_PLDL3KEEP = 0x04 + 1,
+	ARM64_PRFM_PLDL3STRM = 0x05 + 1,
+	ARM64_PRFM_PLIL1KEEP = 0x08 + 1,
+	ARM64_PRFM_PLIL1STRM = 0x09 + 1,
+	ARM64_PRFM_PLIL2KEEP = 0x0a + 1,
+	ARM64_PRFM_PLIL2STRM = 0x0b + 1,
+	ARM64_PRFM_PLIL3KEEP = 0x0c + 1,
+	ARM64_PRFM_PLIL3STRM = 0x0d + 1,
+	ARM64_PRFM_PSTL1KEEP = 0x10 + 1,
+	ARM64_PRFM_PSTL1STRM = 0x11 + 1,
+	ARM64_PRFM_PSTL2KEEP = 0x12 + 1,
+	ARM64_PRFM_PSTL2STRM = 0x13 + 1,
+	ARM64_PRFM_PSTL3KEEP = 0x14 + 1,
+	ARM64_PRFM_PSTL3STRM = 0x15 + 1,
+} arm64_prefetch_op;
+
+
+/// ARM64 registers
+typedef enum arm64_reg {
+	ARM64_REG_INVALID = 0,
+
+	ARM64_REG_X29,
+	ARM64_REG_X30,
+	ARM64_REG_NZCV,
+	ARM64_REG_SP,
+	ARM64_REG_WSP,
+	ARM64_REG_WZR,
+	ARM64_REG_XZR,
+	ARM64_REG_B0,
+	ARM64_REG_B1,
+	ARM64_REG_B2,
+	ARM64_REG_B3,
+	ARM64_REG_B4,
+	ARM64_REG_B5,
+	ARM64_REG_B6,
+	ARM64_REG_B7,
+	ARM64_REG_B8,
+	ARM64_REG_B9,
+	ARM64_REG_B10,
+	ARM64_REG_B11,
+	ARM64_REG_B12,
+	ARM64_REG_B13,
+	ARM64_REG_B14,
+	ARM64_REG_B15,
+	ARM64_REG_B16,
+	ARM64_REG_B17,
+	ARM64_REG_B18,
+	ARM64_REG_B19,
+	ARM64_REG_B20,
+	ARM64_REG_B21,
+	ARM64_REG_B22,
+	ARM64_REG_B23,
+	ARM64_REG_B24,
+	ARM64_REG_B25,
+	ARM64_REG_B26,
+	ARM64_REG_B27,
+	ARM64_REG_B28,
+	ARM64_REG_B29,
+	ARM64_REG_B30,
+	ARM64_REG_B31,
+	ARM64_REG_D0,
+	ARM64_REG_D1,
+	ARM64_REG_D2,
+	ARM64_REG_D3,
+	ARM64_REG_D4,
+	ARM64_REG_D5,
+	ARM64_REG_D6,
+	ARM64_REG_D7,
+	ARM64_REG_D8,
+	ARM64_REG_D9,
+	ARM64_REG_D10,
+	ARM64_REG_D11,
+	ARM64_REG_D12,
+	ARM64_REG_D13,
+	ARM64_REG_D14,
+	ARM64_REG_D15,
+	ARM64_REG_D16,
+	ARM64_REG_D17,
+	ARM64_REG_D18,
+	ARM64_REG_D19,
+	ARM64_REG_D20,
+	ARM64_REG_D21,
+	ARM64_REG_D22,
+	ARM64_REG_D23,
+	ARM64_REG_D24,
+	ARM64_REG_D25,
+	ARM64_REG_D26,
+	ARM64_REG_D27,
+	ARM64_REG_D28,
+	ARM64_REG_D29,
+	ARM64_REG_D30,
+	ARM64_REG_D31,
+	ARM64_REG_H0,
+	ARM64_REG_H1,
+	ARM64_REG_H2,
+	ARM64_REG_H3,
+	ARM64_REG_H4,
+	ARM64_REG_H5,
+	ARM64_REG_H6,
+	ARM64_REG_H7,
+	ARM64_REG_H8,
+	ARM64_REG_H9,
+	ARM64_REG_H10,
+	ARM64_REG_H11,
+	ARM64_REG_H12,
+	ARM64_REG_H13,
+	ARM64_REG_H14,
+	ARM64_REG_H15,
+	ARM64_REG_H16,
+	ARM64_REG_H17,
+	ARM64_REG_H18,
+	ARM64_REG_H19,
+	ARM64_REG_H20,
+	ARM64_REG_H21,
+	ARM64_REG_H22,
+	ARM64_REG_H23,
+	ARM64_REG_H24,
+	ARM64_REG_H25,
+	ARM64_REG_H26,
+	ARM64_REG_H27,
+	ARM64_REG_H28,
+	ARM64_REG_H29,
+	ARM64_REG_H30,
+	ARM64_REG_H31,
+	ARM64_REG_Q0,
+	ARM64_REG_Q1,
+	ARM64_REG_Q2,
+	ARM64_REG_Q3,
+	ARM64_REG_Q4,
+	ARM64_REG_Q5,
+	ARM64_REG_Q6,
+	ARM64_REG_Q7,
+	ARM64_REG_Q8,
+	ARM64_REG_Q9,
+	ARM64_REG_Q10,
+	ARM64_REG_Q11,
+	ARM64_REG_Q12,
+	ARM64_REG_Q13,
+	ARM64_REG_Q14,
+	ARM64_REG_Q15,
+	ARM64_REG_Q16,
+	ARM64_REG_Q17,
+	ARM64_REG_Q18,
+	ARM64_REG_Q19,
+	ARM64_REG_Q20,
+	ARM64_REG_Q21,
+	ARM64_REG_Q22,
+	ARM64_REG_Q23,
+	ARM64_REG_Q24,
+	ARM64_REG_Q25,
+	ARM64_REG_Q26,
+	ARM64_REG_Q27,
+	ARM64_REG_Q28,
+	ARM64_REG_Q29,
+	ARM64_REG_Q30,
+	ARM64_REG_Q31,
+	ARM64_REG_S0,
+	ARM64_REG_S1,
+	ARM64_REG_S2,
+	ARM64_REG_S3,
+	ARM64_REG_S4,
+	ARM64_REG_S5,
+	ARM64_REG_S6,
+	ARM64_REG_S7,
+	ARM64_REG_S8,
+	ARM64_REG_S9,
+	ARM64_REG_S10,
+	ARM64_REG_S11,
+	ARM64_REG_S12,
+	ARM64_REG_S13,
+	ARM64_REG_S14,
+	ARM64_REG_S15,
+	ARM64_REG_S16,
+	ARM64_REG_S17,
+	ARM64_REG_S18,
+	ARM64_REG_S19,
+	ARM64_REG_S20,
+	ARM64_REG_S21,
+	ARM64_REG_S22,
+	ARM64_REG_S23,
+	ARM64_REG_S24,
+	ARM64_REG_S25,
+	ARM64_REG_S26,
+	ARM64_REG_S27,
+	ARM64_REG_S28,
+	ARM64_REG_S29,
+	ARM64_REG_S30,
+	ARM64_REG_S31,
+	ARM64_REG_W0,
+	ARM64_REG_W1,
+	ARM64_REG_W2,
+	ARM64_REG_W3,
+	ARM64_REG_W4,
+	ARM64_REG_W5,
+	ARM64_REG_W6,
+	ARM64_REG_W7,
+	ARM64_REG_W8,
+	ARM64_REG_W9,
+	ARM64_REG_W10,
+	ARM64_REG_W11,
+	ARM64_REG_W12,
+	ARM64_REG_W13,
+	ARM64_REG_W14,
+	ARM64_REG_W15,
+	ARM64_REG_W16,
+	ARM64_REG_W17,
+	ARM64_REG_W18,
+	ARM64_REG_W19,
+	ARM64_REG_W20,
+	ARM64_REG_W21,
+	ARM64_REG_W22,
+	ARM64_REG_W23,
+	ARM64_REG_W24,
+	ARM64_REG_W25,
+	ARM64_REG_W26,
+	ARM64_REG_W27,
+	ARM64_REG_W28,
+	ARM64_REG_W29,
+	ARM64_REG_W30,
+	ARM64_REG_X0,
+	ARM64_REG_X1,
+	ARM64_REG_X2,
+	ARM64_REG_X3,
+	ARM64_REG_X4,
+	ARM64_REG_X5,
+	ARM64_REG_X6,
+	ARM64_REG_X7,
+	ARM64_REG_X8,
+	ARM64_REG_X9,
+	ARM64_REG_X10,
+	ARM64_REG_X11,
+	ARM64_REG_X12,
+	ARM64_REG_X13,
+	ARM64_REG_X14,
+	ARM64_REG_X15,
+	ARM64_REG_X16,
+	ARM64_REG_X17,
+	ARM64_REG_X18,
+	ARM64_REG_X19,
+	ARM64_REG_X20,
+	ARM64_REG_X21,
+	ARM64_REG_X22,
+	ARM64_REG_X23,
+	ARM64_REG_X24,
+	ARM64_REG_X25,
+	ARM64_REG_X26,
+	ARM64_REG_X27,
+	ARM64_REG_X28,
+
+	ARM64_REG_V0,
+	ARM64_REG_V1,
+	ARM64_REG_V2,
+	ARM64_REG_V3,
+	ARM64_REG_V4,
+	ARM64_REG_V5,
+	ARM64_REG_V6,
+	ARM64_REG_V7,
+	ARM64_REG_V8,
+	ARM64_REG_V9,
+	ARM64_REG_V10,
+	ARM64_REG_V11,
+	ARM64_REG_V12,
+	ARM64_REG_V13,
+	ARM64_REG_V14,
+	ARM64_REG_V15,
+	ARM64_REG_V16,
+	ARM64_REG_V17,
+	ARM64_REG_V18,
+	ARM64_REG_V19,
+	ARM64_REG_V20,
+	ARM64_REG_V21,
+	ARM64_REG_V22,
+	ARM64_REG_V23,
+	ARM64_REG_V24,
+	ARM64_REG_V25,
+	ARM64_REG_V26,
+	ARM64_REG_V27,
+	ARM64_REG_V28,
+	ARM64_REG_V29,
+	ARM64_REG_V30,
+	ARM64_REG_V31,
+
+	ARM64_REG_ENDING,		// <-- mark the end of the list of registers
+
+	// alias registers
+
+	ARM64_REG_IP0 = ARM64_REG_X16,
+	ARM64_REG_IP1 = ARM64_REG_X17,
+	ARM64_REG_FP = ARM64_REG_X29,
+	ARM64_REG_LR = ARM64_REG_X30,
+} arm64_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with ARM64_OP_MEM operand type above
+typedef struct arm64_op_mem {
+	arm64_reg base;	///< base register
+	arm64_reg index;	///< index register
+	int32_t disp;	///< displacement/offset value
+} arm64_op_mem;
+
+/// Instruction operand
+typedef struct cs_arm64_op {
+	int vector_index;	///< Vector Index for some vector operands (or -1 if irrelevant)
+	arm64_vas vas;		///< Vector Arrangement Specifier
+	arm64_vess vess;	///< Vector Element Size Specifier
+	struct {
+		arm64_shifter type;	///< shifter type of this operand
+		unsigned int value;	///< shifter value of this operand
+	} shift;
+	arm64_extender ext;		///< extender type of this operand
+	arm64_op_type type;	///< operand type
+	union {
+		arm64_reg reg;	///< register value for REG operand
+		int64_t imm;		///< immediate value, or index for C-IMM or IMM operand
+		double fp;			///< floating point value for FP operand
+		arm64_op_mem mem;		///< base/index/scale/disp value for MEM operand
+		arm64_pstate pstate;		///< PState field of MSR instruction.
+		unsigned int sys;  ///< IC/DC/AT/TLBI operation (see arm64_ic_op, arm64_dc_op, arm64_at_op, arm64_tlbi_op)
+		arm64_prefetch_op prefetch;  ///< PRFM operation.
+		arm64_barrier_op barrier;  ///< Memory barrier operation (ISB/DMB/DSB instructions).
+	};
+
+	/// How is this operand accessed? (READ, WRITE or READ|WRITE)
+	/// This field is combined of cs_ac_type.
+	/// NOTE: this field is irrelevant if engine is compiled in DIET mode.
+	uint8_t access;
+} cs_arm64_op;
+
+/// Instruction structure
+typedef struct cs_arm64 {
+	arm64_cc cc;	///< conditional code for this insn
+	bool update_flags;	///< does this insn update flags?
+	bool writeback;	///< does this insn request writeback? 'True' means 'yes'
+
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+
+	cs_arm64_op operands[8]; ///< operands for this instruction.
+} cs_arm64;
+
+/// ARM64 instruction
+typedef enum arm64_insn {
+	ARM64_INS_INVALID = 0,
+
+	ARM64_INS_ABS,
+	ARM64_INS_ADC,
+	ARM64_INS_ADDHN,
+	ARM64_INS_ADDHN2,
+	ARM64_INS_ADDP,
+	ARM64_INS_ADD,
+	ARM64_INS_ADDV,
+	ARM64_INS_ADR,
+	ARM64_INS_ADRP,
+	ARM64_INS_AESD,
+	ARM64_INS_AESE,
+	ARM64_INS_AESIMC,
+	ARM64_INS_AESMC,
+	ARM64_INS_AND,
+	ARM64_INS_ASR,
+	ARM64_INS_B,
+	ARM64_INS_BFM,
+	ARM64_INS_BIC,
+	ARM64_INS_BIF,
+	ARM64_INS_BIT,
+	ARM64_INS_BL,
+	ARM64_INS_BLR,
+	ARM64_INS_BR,
+	ARM64_INS_BRK,
+	ARM64_INS_BSL,
+	ARM64_INS_CBNZ,
+	ARM64_INS_CBZ,
+	ARM64_INS_CCMN,
+	ARM64_INS_CCMP,
+	ARM64_INS_CLREX,
+	ARM64_INS_CLS,
+	ARM64_INS_CLZ,
+	ARM64_INS_CMEQ,
+	ARM64_INS_CMGE,
+	ARM64_INS_CMGT,
+	ARM64_INS_CMHI,
+	ARM64_INS_CMHS,
+	ARM64_INS_CMLE,
+	ARM64_INS_CMLT,
+	ARM64_INS_CMTST,
+	ARM64_INS_CNT,
+	ARM64_INS_MOV,
+	ARM64_INS_CRC32B,
+	ARM64_INS_CRC32CB,
+	ARM64_INS_CRC32CH,
+	ARM64_INS_CRC32CW,
+	ARM64_INS_CRC32CX,
+	ARM64_INS_CRC32H,
+	ARM64_INS_CRC32W,
+	ARM64_INS_CRC32X,
+	ARM64_INS_CSEL,
+	ARM64_INS_CSINC,
+	ARM64_INS_CSINV,
+	ARM64_INS_CSNEG,
+	ARM64_INS_DCPS1,
+	ARM64_INS_DCPS2,
+	ARM64_INS_DCPS3,
+	ARM64_INS_DMB,
+	ARM64_INS_DRPS,
+	ARM64_INS_DSB,
+	ARM64_INS_DUP,
+	ARM64_INS_EON,
+	ARM64_INS_EOR,
+	ARM64_INS_ERET,
+	ARM64_INS_EXTR,
+	ARM64_INS_EXT,
+	ARM64_INS_FABD,
+	ARM64_INS_FABS,
+	ARM64_INS_FACGE,
+	ARM64_INS_FACGT,
+	ARM64_INS_FADD,
+	ARM64_INS_FADDP,
+	ARM64_INS_FCCMP,
+	ARM64_INS_FCCMPE,
+	ARM64_INS_FCMEQ,
+	ARM64_INS_FCMGE,
+	ARM64_INS_FCMGT,
+	ARM64_INS_FCMLE,
+	ARM64_INS_FCMLT,
+	ARM64_INS_FCMP,
+	ARM64_INS_FCMPE,
+	ARM64_INS_FCSEL,
+	ARM64_INS_FCVTAS,
+	ARM64_INS_FCVTAU,
+	ARM64_INS_FCVT,
+	ARM64_INS_FCVTL,
+	ARM64_INS_FCVTL2,
+	ARM64_INS_FCVTMS,
+	ARM64_INS_FCVTMU,
+	ARM64_INS_FCVTNS,
+	ARM64_INS_FCVTNU,
+	ARM64_INS_FCVTN,
+	ARM64_INS_FCVTN2,
+	ARM64_INS_FCVTPS,
+	ARM64_INS_FCVTPU,
+	ARM64_INS_FCVTXN,
+	ARM64_INS_FCVTXN2,
+	ARM64_INS_FCVTZS,
+	ARM64_INS_FCVTZU,
+	ARM64_INS_FDIV,
+	ARM64_INS_FMADD,
+	ARM64_INS_FMAX,
+	ARM64_INS_FMAXNM,
+	ARM64_INS_FMAXNMP,
+	ARM64_INS_FMAXNMV,
+	ARM64_INS_FMAXP,
+	ARM64_INS_FMAXV,
+	ARM64_INS_FMIN,
+	ARM64_INS_FMINNM,
+	ARM64_INS_FMINNMP,
+	ARM64_INS_FMINNMV,
+	ARM64_INS_FMINP,
+	ARM64_INS_FMINV,
+	ARM64_INS_FMLA,
+	ARM64_INS_FMLS,
+	ARM64_INS_FMOV,
+	ARM64_INS_FMSUB,
+	ARM64_INS_FMUL,
+	ARM64_INS_FMULX,
+	ARM64_INS_FNEG,
+	ARM64_INS_FNMADD,
+	ARM64_INS_FNMSUB,
+	ARM64_INS_FNMUL,
+	ARM64_INS_FRECPE,
+	ARM64_INS_FRECPS,
+	ARM64_INS_FRECPX,
+	ARM64_INS_FRINTA,
+	ARM64_INS_FRINTI,
+	ARM64_INS_FRINTM,
+	ARM64_INS_FRINTN,
+	ARM64_INS_FRINTP,
+	ARM64_INS_FRINTX,
+	ARM64_INS_FRINTZ,
+	ARM64_INS_FRSQRTE,
+	ARM64_INS_FRSQRTS,
+	ARM64_INS_FSQRT,
+	ARM64_INS_FSUB,
+	ARM64_INS_HINT,
+	ARM64_INS_HLT,
+	ARM64_INS_HVC,
+	ARM64_INS_INS,
+
+	ARM64_INS_ISB,
+	ARM64_INS_LD1,
+	ARM64_INS_LD1R,
+	ARM64_INS_LD2R,
+	ARM64_INS_LD2,
+	ARM64_INS_LD3R,
+	ARM64_INS_LD3,
+	ARM64_INS_LD4,
+	ARM64_INS_LD4R,
+
+	ARM64_INS_LDARB,
+	ARM64_INS_LDARH,
+	ARM64_INS_LDAR,
+	ARM64_INS_LDAXP,
+	ARM64_INS_LDAXRB,
+	ARM64_INS_LDAXRH,
+	ARM64_INS_LDAXR,
+	ARM64_INS_LDNP,
+	ARM64_INS_LDP,
+	ARM64_INS_LDPSW,
+	ARM64_INS_LDRB,
+	ARM64_INS_LDR,
+	ARM64_INS_LDRH,
+	ARM64_INS_LDRSB,
+	ARM64_INS_LDRSH,
+	ARM64_INS_LDRSW,
+	ARM64_INS_LDTRB,
+	ARM64_INS_LDTRH,
+	ARM64_INS_LDTRSB,
+
+	ARM64_INS_LDTRSH,
+	ARM64_INS_LDTRSW,
+	ARM64_INS_LDTR,
+	ARM64_INS_LDURB,
+	ARM64_INS_LDUR,
+	ARM64_INS_LDURH,
+	ARM64_INS_LDURSB,
+	ARM64_INS_LDURSH,
+	ARM64_INS_LDURSW,
+	ARM64_INS_LDXP,
+	ARM64_INS_LDXRB,
+	ARM64_INS_LDXRH,
+	ARM64_INS_LDXR,
+	ARM64_INS_LSL,
+	ARM64_INS_LSR,
+	ARM64_INS_MADD,
+	ARM64_INS_MLA,
+	ARM64_INS_MLS,
+	ARM64_INS_MOVI,
+	ARM64_INS_MOVK,
+	ARM64_INS_MOVN,
+	ARM64_INS_MOVZ,
+	ARM64_INS_MRS,
+	ARM64_INS_MSR,
+	ARM64_INS_MSUB,
+	ARM64_INS_MUL,
+	ARM64_INS_MVNI,
+	ARM64_INS_NEG,
+	ARM64_INS_NOT,
+	ARM64_INS_ORN,
+	ARM64_INS_ORR,
+	ARM64_INS_PMULL2,
+	ARM64_INS_PMULL,
+	ARM64_INS_PMUL,
+	ARM64_INS_PRFM,
+	ARM64_INS_PRFUM,
+	ARM64_INS_RADDHN,
+	ARM64_INS_RADDHN2,
+	ARM64_INS_RBIT,
+	ARM64_INS_RET,
+	ARM64_INS_REV16,
+	ARM64_INS_REV32,
+	ARM64_INS_REV64,
+	ARM64_INS_REV,
+	ARM64_INS_ROR,
+	ARM64_INS_RSHRN2,
+	ARM64_INS_RSHRN,
+	ARM64_INS_RSUBHN,
+	ARM64_INS_RSUBHN2,
+	ARM64_INS_SABAL2,
+	ARM64_INS_SABAL,
+
+	ARM64_INS_SABA,
+	ARM64_INS_SABDL2,
+	ARM64_INS_SABDL,
+	ARM64_INS_SABD,
+	ARM64_INS_SADALP,
+	ARM64_INS_SADDLP,
+	ARM64_INS_SADDLV,
+	ARM64_INS_SADDL2,
+	ARM64_INS_SADDL,
+	ARM64_INS_SADDW2,
+	ARM64_INS_SADDW,
+	ARM64_INS_SBC,
+	ARM64_INS_SBFM,
+	ARM64_INS_SCVTF,
+	ARM64_INS_SDIV,
+	ARM64_INS_SHA1C,
+	ARM64_INS_SHA1H,
+	ARM64_INS_SHA1M,
+	ARM64_INS_SHA1P,
+	ARM64_INS_SHA1SU0,
+	ARM64_INS_SHA1SU1,
+	ARM64_INS_SHA256H2,
+	ARM64_INS_SHA256H,
+	ARM64_INS_SHA256SU0,
+	ARM64_INS_SHA256SU1,
+	ARM64_INS_SHADD,
+	ARM64_INS_SHLL2,
+	ARM64_INS_SHLL,
+	ARM64_INS_SHL,
+	ARM64_INS_SHRN2,
+	ARM64_INS_SHRN,
+	ARM64_INS_SHSUB,
+	ARM64_INS_SLI,
+	ARM64_INS_SMADDL,
+	ARM64_INS_SMAXP,
+	ARM64_INS_SMAXV,
+	ARM64_INS_SMAX,
+	ARM64_INS_SMC,
+	ARM64_INS_SMINP,
+	ARM64_INS_SMINV,
+	ARM64_INS_SMIN,
+	ARM64_INS_SMLAL2,
+	ARM64_INS_SMLAL,
+	ARM64_INS_SMLSL2,
+	ARM64_INS_SMLSL,
+	ARM64_INS_SMOV,
+	ARM64_INS_SMSUBL,
+	ARM64_INS_SMULH,
+	ARM64_INS_SMULL2,
+	ARM64_INS_SMULL,
+	ARM64_INS_SQABS,
+	ARM64_INS_SQADD,
+	ARM64_INS_SQDMLAL,
+	ARM64_INS_SQDMLAL2,
+	ARM64_INS_SQDMLSL,
+	ARM64_INS_SQDMLSL2,
+	ARM64_INS_SQDMULH,
+	ARM64_INS_SQDMULL,
+	ARM64_INS_SQDMULL2,
+	ARM64_INS_SQNEG,
+	ARM64_INS_SQRDMULH,
+	ARM64_INS_SQRSHL,
+	ARM64_INS_SQRSHRN,
+	ARM64_INS_SQRSHRN2,
+	ARM64_INS_SQRSHRUN,
+	ARM64_INS_SQRSHRUN2,
+	ARM64_INS_SQSHLU,
+	ARM64_INS_SQSHL,
+	ARM64_INS_SQSHRN,
+	ARM64_INS_SQSHRN2,
+	ARM64_INS_SQSHRUN,
+	ARM64_INS_SQSHRUN2,
+	ARM64_INS_SQSUB,
+	ARM64_INS_SQXTN2,
+	ARM64_INS_SQXTN,
+	ARM64_INS_SQXTUN2,
+	ARM64_INS_SQXTUN,
+	ARM64_INS_SRHADD,
+	ARM64_INS_SRI,
+	ARM64_INS_SRSHL,
+	ARM64_INS_SRSHR,
+	ARM64_INS_SRSRA,
+	ARM64_INS_SSHLL2,
+	ARM64_INS_SSHLL,
+	ARM64_INS_SSHL,
+	ARM64_INS_SSHR,
+	ARM64_INS_SSRA,
+	ARM64_INS_SSUBL2,
+	ARM64_INS_SSUBL,
+	ARM64_INS_SSUBW2,
+	ARM64_INS_SSUBW,
+	ARM64_INS_ST1,
+	ARM64_INS_ST2,
+	ARM64_INS_ST3,
+	ARM64_INS_ST4,
+	ARM64_INS_STLRB,
+	ARM64_INS_STLRH,
+	ARM64_INS_STLR,
+	ARM64_INS_STLXP,
+	ARM64_INS_STLXRB,
+	ARM64_INS_STLXRH,
+	ARM64_INS_STLXR,
+	ARM64_INS_STNP,
+	ARM64_INS_STP,
+	ARM64_INS_STRB,
+	ARM64_INS_STR,
+	ARM64_INS_STRH,
+	ARM64_INS_STTRB,
+	ARM64_INS_STTRH,
+	ARM64_INS_STTR,
+	ARM64_INS_STURB,
+	ARM64_INS_STUR,
+	ARM64_INS_STURH,
+	ARM64_INS_STXP,
+	ARM64_INS_STXRB,
+	ARM64_INS_STXRH,
+	ARM64_INS_STXR,
+	ARM64_INS_SUBHN,
+	ARM64_INS_SUBHN2,
+	ARM64_INS_SUB,
+	ARM64_INS_SUQADD,
+	ARM64_INS_SVC,
+	ARM64_INS_SYSL,
+	ARM64_INS_SYS,
+	ARM64_INS_TBL,
+	ARM64_INS_TBNZ,
+	ARM64_INS_TBX,
+	ARM64_INS_TBZ,
+	ARM64_INS_TRN1,
+	ARM64_INS_TRN2,
+	ARM64_INS_UABAL2,
+	ARM64_INS_UABAL,
+	ARM64_INS_UABA,
+	ARM64_INS_UABDL2,
+	ARM64_INS_UABDL,
+	ARM64_INS_UABD,
+	ARM64_INS_UADALP,
+	ARM64_INS_UADDLP,
+	ARM64_INS_UADDLV,
+	ARM64_INS_UADDL2,
+	ARM64_INS_UADDL,
+	ARM64_INS_UADDW2,
+	ARM64_INS_UADDW,
+	ARM64_INS_UBFM,
+	ARM64_INS_UCVTF,
+	ARM64_INS_UDIV,
+	ARM64_INS_UHADD,
+	ARM64_INS_UHSUB,
+	ARM64_INS_UMADDL,
+	ARM64_INS_UMAXP,
+	ARM64_INS_UMAXV,
+	ARM64_INS_UMAX,
+	ARM64_INS_UMINP,
+	ARM64_INS_UMINV,
+	ARM64_INS_UMIN,
+	ARM64_INS_UMLAL2,
+	ARM64_INS_UMLAL,
+	ARM64_INS_UMLSL2,
+	ARM64_INS_UMLSL,
+	ARM64_INS_UMOV,
+	ARM64_INS_UMSUBL,
+	ARM64_INS_UMULH,
+	ARM64_INS_UMULL2,
+	ARM64_INS_UMULL,
+	ARM64_INS_UQADD,
+	ARM64_INS_UQRSHL,
+	ARM64_INS_UQRSHRN,
+	ARM64_INS_UQRSHRN2,
+	ARM64_INS_UQSHL,
+	ARM64_INS_UQSHRN,
+	ARM64_INS_UQSHRN2,
+	ARM64_INS_UQSUB,
+	ARM64_INS_UQXTN2,
+	ARM64_INS_UQXTN,
+	ARM64_INS_URECPE,
+	ARM64_INS_URHADD,
+	ARM64_INS_URSHL,
+	ARM64_INS_URSHR,
+	ARM64_INS_URSQRTE,
+	ARM64_INS_URSRA,
+	ARM64_INS_USHLL2,
+	ARM64_INS_USHLL,
+	ARM64_INS_USHL,
+	ARM64_INS_USHR,
+	ARM64_INS_USQADD,
+	ARM64_INS_USRA,
+	ARM64_INS_USUBL2,
+	ARM64_INS_USUBL,
+	ARM64_INS_USUBW2,
+	ARM64_INS_USUBW,
+	ARM64_INS_UZP1,
+	ARM64_INS_UZP2,
+	ARM64_INS_XTN2,
+	ARM64_INS_XTN,
+	ARM64_INS_ZIP1,
+	ARM64_INS_ZIP2,
+
+	// alias insn
+	ARM64_INS_MNEG,
+	ARM64_INS_UMNEGL,
+	ARM64_INS_SMNEGL,
+	ARM64_INS_NOP,
+	ARM64_INS_YIELD,
+	ARM64_INS_WFE,
+	ARM64_INS_WFI,
+	ARM64_INS_SEV,
+	ARM64_INS_SEVL,
+	ARM64_INS_NGC,
+	ARM64_INS_SBFIZ,
+	ARM64_INS_UBFIZ,
+	ARM64_INS_SBFX,
+	ARM64_INS_UBFX,
+	ARM64_INS_BFI,
+	ARM64_INS_BFXIL,
+	ARM64_INS_CMN,
+	ARM64_INS_MVN,
+	ARM64_INS_TST,
+	ARM64_INS_CSET,
+	ARM64_INS_CINC,
+	ARM64_INS_CSETM,
+	ARM64_INS_CINV,
+	ARM64_INS_CNEG,
+	ARM64_INS_SXTB,
+	ARM64_INS_SXTH,
+	ARM64_INS_SXTW,
+	ARM64_INS_CMP,
+	ARM64_INS_UXTB,
+	ARM64_INS_UXTH,
+	ARM64_INS_UXTW,
+	ARM64_INS_IC,
+	ARM64_INS_DC,
+	ARM64_INS_AT,
+	ARM64_INS_TLBI,
+
+	ARM64_INS_NEGS,
+	ARM64_INS_NGCS,
+
+	ARM64_INS_ENDING,  // <-- mark the end of the list of insn
+} arm64_insn;
+
+/// Group of ARM64 instructions
+typedef enum arm64_insn_group {
+	ARM64_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	ARM64_GRP_JUMP,	///< = CS_GRP_JUMP
+	ARM64_GRP_CALL,
+	ARM64_GRP_RET,
+	ARM64_GRP_INT,
+	ARM64_GRP_PRIVILEGE = 6, ///< = CS_GRP_PRIVILEGE
+	ARM64_GRP_BRANCH_RELATIVE, ///< = CS_GRP_BRANCH_RELATIVE
+
+	// Architecture-specific groups
+	ARM64_GRP_CRYPTO = 128,
+	ARM64_GRP_FPARMV8,
+	ARM64_GRP_NEON,
+	ARM64_GRP_CRC,
+
+	ARM64_GRP_ENDING,  // <-- mark the end of the list of groups
+} arm64_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/arm.h 4.0.2-3/include/capstone/arm.h
--- 4.0.1+really+3.0.5-2/include/capstone/arm.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/arm.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,937 @@
+#ifndef CAPSTONE_ARM_H
+#define CAPSTONE_ARM_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// ARM shift type
+typedef enum arm_shifter {
+	ARM_SFT_INVALID = 0,
+	ARM_SFT_ASR,	///< shift with immediate const
+	ARM_SFT_LSL,	///< shift with immediate const
+	ARM_SFT_LSR,	///< shift with immediate const
+	ARM_SFT_ROR,	///< shift with immediate const
+	ARM_SFT_RRX,	///< shift with immediate const
+	ARM_SFT_ASR_REG,	///< shift with register
+	ARM_SFT_LSL_REG,	///< shift with register
+	ARM_SFT_LSR_REG,	///< shift with register
+	ARM_SFT_ROR_REG,	///< shift with register
+	ARM_SFT_RRX_REG,	///< shift with register
+} arm_shifter;
+
+/// ARM condition code
+typedef enum arm_cc {
+	ARM_CC_INVALID = 0,
+	ARM_CC_EQ,            ///< Equal                      Equal
+	ARM_CC_NE,            ///< Not equal                  Not equal, or unordered
+	ARM_CC_HS,            ///< Carry set                  >, ==, or unordered
+	ARM_CC_LO,            ///< Carry clear                Less than
+	ARM_CC_MI,            ///< Minus, negative            Less than
+	ARM_CC_PL,            ///< Plus, positive or zero     >, ==, or unordered
+	ARM_CC_VS,            ///< Overflow                   Unordered
+	ARM_CC_VC,            ///< No overflow                Not unordered
+	ARM_CC_HI,            ///< Unsigned higher            Greater than, or unordered
+	ARM_CC_LS,            ///< Unsigned lower or same     Less than or equal
+	ARM_CC_GE,            ///< Greater than or equal      Greater than or equal
+	ARM_CC_LT,            ///< Less than                  Less than, or unordered
+	ARM_CC_GT,            ///< Greater than               Greater than
+	ARM_CC_LE,            ///< Less than or equal         <, ==, or unordered
+	ARM_CC_AL             ///< Always (unconditional)     Always (unconditional)
+} arm_cc;
+
+typedef enum arm_sysreg {
+	/// Special registers for MSR
+	ARM_SYSREG_INVALID = 0,
+
+	// SPSR* registers can be OR combined
+	ARM_SYSREG_SPSR_C = 1,
+	ARM_SYSREG_SPSR_X = 2,
+	ARM_SYSREG_SPSR_S = 4,
+	ARM_SYSREG_SPSR_F = 8,
+
+	// CPSR* registers can be OR combined
+	ARM_SYSREG_CPSR_C = 16,
+	ARM_SYSREG_CPSR_X = 32,
+	ARM_SYSREG_CPSR_S = 64,
+	ARM_SYSREG_CPSR_F = 128,
+
+	// independent registers
+	ARM_SYSREG_APSR = 256,
+	ARM_SYSREG_APSR_G,
+	ARM_SYSREG_APSR_NZCVQ,
+	ARM_SYSREG_APSR_NZCVQG,
+
+	ARM_SYSREG_IAPSR,
+	ARM_SYSREG_IAPSR_G,
+	ARM_SYSREG_IAPSR_NZCVQG,
+	ARM_SYSREG_IAPSR_NZCVQ,
+
+	ARM_SYSREG_EAPSR,
+	ARM_SYSREG_EAPSR_G,
+	ARM_SYSREG_EAPSR_NZCVQG,
+	ARM_SYSREG_EAPSR_NZCVQ,
+
+	ARM_SYSREG_XPSR,
+	ARM_SYSREG_XPSR_G,
+	ARM_SYSREG_XPSR_NZCVQG,
+	ARM_SYSREG_XPSR_NZCVQ,
+
+	ARM_SYSREG_IPSR,
+	ARM_SYSREG_EPSR,
+	ARM_SYSREG_IEPSR,
+
+	ARM_SYSREG_MSP,
+	ARM_SYSREG_PSP,
+	ARM_SYSREG_PRIMASK,
+	ARM_SYSREG_BASEPRI,
+	ARM_SYSREG_BASEPRI_MAX,
+	ARM_SYSREG_FAULTMASK,
+	ARM_SYSREG_CONTROL,
+
+	// Banked Registers
+	ARM_SYSREG_R8_USR,
+	ARM_SYSREG_R9_USR,
+	ARM_SYSREG_R10_USR,
+	ARM_SYSREG_R11_USR,
+	ARM_SYSREG_R12_USR,
+	ARM_SYSREG_SP_USR,
+	ARM_SYSREG_LR_USR,
+	ARM_SYSREG_R8_FIQ,
+	ARM_SYSREG_R9_FIQ,
+	ARM_SYSREG_R10_FIQ,
+	ARM_SYSREG_R11_FIQ,
+	ARM_SYSREG_R12_FIQ,
+	ARM_SYSREG_SP_FIQ,
+	ARM_SYSREG_LR_FIQ,
+	ARM_SYSREG_LR_IRQ,
+	ARM_SYSREG_SP_IRQ,
+	ARM_SYSREG_LR_SVC,
+	ARM_SYSREG_SP_SVC,
+	ARM_SYSREG_LR_ABT,
+	ARM_SYSREG_SP_ABT,
+	ARM_SYSREG_LR_UND,
+	ARM_SYSREG_SP_UND,
+	ARM_SYSREG_LR_MON,
+	ARM_SYSREG_SP_MON,
+	ARM_SYSREG_ELR_HYP,
+	ARM_SYSREG_SP_HYP,
+
+	ARM_SYSREG_SPSR_FIQ,
+	ARM_SYSREG_SPSR_IRQ,
+	ARM_SYSREG_SPSR_SVC,
+	ARM_SYSREG_SPSR_ABT,
+	ARM_SYSREG_SPSR_UND,
+	ARM_SYSREG_SPSR_MON,
+	ARM_SYSREG_SPSR_HYP,
+} arm_sysreg;
+
+/// The memory barrier constants map directly to the 4-bit encoding of
+/// the option field for Memory Barrier operations.
+typedef enum arm_mem_barrier {
+	ARM_MB_INVALID = 0,
+	ARM_MB_RESERVED_0,
+	ARM_MB_OSHLD,
+	ARM_MB_OSHST,
+	ARM_MB_OSH,
+	ARM_MB_RESERVED_4,
+	ARM_MB_NSHLD,
+	ARM_MB_NSHST,
+	ARM_MB_NSH,
+	ARM_MB_RESERVED_8,
+	ARM_MB_ISHLD,
+	ARM_MB_ISHST,
+	ARM_MB_ISH,
+	ARM_MB_RESERVED_12,
+	ARM_MB_LD,
+	ARM_MB_ST,
+	ARM_MB_SY,
+} arm_mem_barrier;
+
+/// Operand type for instruction's operands
+typedef enum arm_op_type {
+	ARM_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	ARM_OP_REG, ///< = CS_OP_REG (Register operand).
+	ARM_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	ARM_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+	ARM_OP_FP,  ///< = CS_OP_FP (Floating-Point operand).
+	ARM_OP_CIMM = 64, ///< C-Immediate (coprocessor registers)
+	ARM_OP_PIMM, ///< P-Immediate (coprocessor registers)
+	ARM_OP_SETEND,	///< operand for SETEND instruction
+	ARM_OP_SYSREG,	///< MSR/MRS special register operand
+} arm_op_type;
+
+/// Operand type for SETEND instruction
+typedef enum arm_setend_type {
+	ARM_SETEND_INVALID = 0,	///< Uninitialized.
+	ARM_SETEND_BE,	///< BE operand.
+	ARM_SETEND_LE, ///< LE operand
+} arm_setend_type;
+
+typedef enum arm_cpsmode_type {
+	ARM_CPSMODE_INVALID = 0,
+	ARM_CPSMODE_IE = 2,
+	ARM_CPSMODE_ID = 3
+} arm_cpsmode_type;
+
+/// Operand type for SETEND instruction
+typedef enum arm_cpsflag_type {
+	ARM_CPSFLAG_INVALID = 0,
+	ARM_CPSFLAG_F = 1,
+	ARM_CPSFLAG_I = 2,
+	ARM_CPSFLAG_A = 4,
+	ARM_CPSFLAG_NONE = 16,	///< no flag
+} arm_cpsflag_type;
+
+/// Data type for elements of vector instructions.
+typedef enum arm_vectordata_type {
+	ARM_VECTORDATA_INVALID = 0,
+
+	// Integer type
+	ARM_VECTORDATA_I8,
+	ARM_VECTORDATA_I16,
+	ARM_VECTORDATA_I32,
+	ARM_VECTORDATA_I64,
+
+	// Signed integer type
+	ARM_VECTORDATA_S8,
+	ARM_VECTORDATA_S16,
+	ARM_VECTORDATA_S32,
+	ARM_VECTORDATA_S64,
+
+	// Unsigned integer type
+	ARM_VECTORDATA_U8,
+	ARM_VECTORDATA_U16,
+	ARM_VECTORDATA_U32,
+	ARM_VECTORDATA_U64,
+
+	// Data type for VMUL/VMULL
+	ARM_VECTORDATA_P8,
+
+	// Floating type
+	ARM_VECTORDATA_F32,
+	ARM_VECTORDATA_F64,
+
+	// Convert float <-> float
+	ARM_VECTORDATA_F16F64,	// f16.f64
+	ARM_VECTORDATA_F64F16,	// f64.f16
+	ARM_VECTORDATA_F32F16,	// f32.f16
+	ARM_VECTORDATA_F16F32,	// f32.f16
+	ARM_VECTORDATA_F64F32,	// f64.f32
+	ARM_VECTORDATA_F32F64,	// f32.f64
+
+	// Convert integer <-> float
+	ARM_VECTORDATA_S32F32,	// s32.f32
+	ARM_VECTORDATA_U32F32,	// u32.f32
+	ARM_VECTORDATA_F32S32,	// f32.s32
+	ARM_VECTORDATA_F32U32,	// f32.u32
+	ARM_VECTORDATA_F64S16,	// f64.s16
+	ARM_VECTORDATA_F32S16,	// f32.s16
+	ARM_VECTORDATA_F64S32,	// f64.s32
+	ARM_VECTORDATA_S16F64,	// s16.f64
+	ARM_VECTORDATA_S16F32,	// s16.f64
+	ARM_VECTORDATA_S32F64,	// s32.f64
+	ARM_VECTORDATA_U16F64,	// u16.f64
+	ARM_VECTORDATA_U16F32,	// u16.f32
+	ARM_VECTORDATA_U32F64,	// u32.f64
+	ARM_VECTORDATA_F64U16,	// f64.u16
+	ARM_VECTORDATA_F32U16,	// f32.u16
+	ARM_VECTORDATA_F64U32,	// f64.u32
+} arm_vectordata_type;
+
+/// ARM registers
+typedef enum arm_reg {
+	ARM_REG_INVALID = 0,
+	ARM_REG_APSR,
+	ARM_REG_APSR_NZCV,
+	ARM_REG_CPSR,
+	ARM_REG_FPEXC,
+	ARM_REG_FPINST,
+	ARM_REG_FPSCR,
+	ARM_REG_FPSCR_NZCV,
+	ARM_REG_FPSID,
+	ARM_REG_ITSTATE,
+	ARM_REG_LR,
+	ARM_REG_PC,
+	ARM_REG_SP,
+	ARM_REG_SPSR,
+	ARM_REG_D0,
+	ARM_REG_D1,
+	ARM_REG_D2,
+	ARM_REG_D3,
+	ARM_REG_D4,
+	ARM_REG_D5,
+	ARM_REG_D6,
+	ARM_REG_D7,
+	ARM_REG_D8,
+	ARM_REG_D9,
+	ARM_REG_D10,
+	ARM_REG_D11,
+	ARM_REG_D12,
+	ARM_REG_D13,
+	ARM_REG_D14,
+	ARM_REG_D15,
+	ARM_REG_D16,
+	ARM_REG_D17,
+	ARM_REG_D18,
+	ARM_REG_D19,
+	ARM_REG_D20,
+	ARM_REG_D21,
+	ARM_REG_D22,
+	ARM_REG_D23,
+	ARM_REG_D24,
+	ARM_REG_D25,
+	ARM_REG_D26,
+	ARM_REG_D27,
+	ARM_REG_D28,
+	ARM_REG_D29,
+	ARM_REG_D30,
+	ARM_REG_D31,
+	ARM_REG_FPINST2,
+	ARM_REG_MVFR0,
+	ARM_REG_MVFR1,
+	ARM_REG_MVFR2,
+	ARM_REG_Q0,
+	ARM_REG_Q1,
+	ARM_REG_Q2,
+	ARM_REG_Q3,
+	ARM_REG_Q4,
+	ARM_REG_Q5,
+	ARM_REG_Q6,
+	ARM_REG_Q7,
+	ARM_REG_Q8,
+	ARM_REG_Q9,
+	ARM_REG_Q10,
+	ARM_REG_Q11,
+	ARM_REG_Q12,
+	ARM_REG_Q13,
+	ARM_REG_Q14,
+	ARM_REG_Q15,
+	ARM_REG_R0,
+	ARM_REG_R1,
+	ARM_REG_R2,
+	ARM_REG_R3,
+	ARM_REG_R4,
+	ARM_REG_R5,
+	ARM_REG_R6,
+	ARM_REG_R7,
+	ARM_REG_R8,
+	ARM_REG_R9,
+	ARM_REG_R10,
+	ARM_REG_R11,
+	ARM_REG_R12,
+	ARM_REG_S0,
+	ARM_REG_S1,
+	ARM_REG_S2,
+	ARM_REG_S3,
+	ARM_REG_S4,
+	ARM_REG_S5,
+	ARM_REG_S6,
+	ARM_REG_S7,
+	ARM_REG_S8,
+	ARM_REG_S9,
+	ARM_REG_S10,
+	ARM_REG_S11,
+	ARM_REG_S12,
+	ARM_REG_S13,
+	ARM_REG_S14,
+	ARM_REG_S15,
+	ARM_REG_S16,
+	ARM_REG_S17,
+	ARM_REG_S18,
+	ARM_REG_S19,
+	ARM_REG_S20,
+	ARM_REG_S21,
+	ARM_REG_S22,
+	ARM_REG_S23,
+	ARM_REG_S24,
+	ARM_REG_S25,
+	ARM_REG_S26,
+	ARM_REG_S27,
+	ARM_REG_S28,
+	ARM_REG_S29,
+	ARM_REG_S30,
+	ARM_REG_S31,
+
+	ARM_REG_ENDING,		// <-- mark the end of the list or registers
+
+	// alias registers
+	ARM_REG_R13 = ARM_REG_SP,
+	ARM_REG_R14 = ARM_REG_LR,
+	ARM_REG_R15 = ARM_REG_PC,
+
+	ARM_REG_SB = ARM_REG_R9,
+	ARM_REG_SL = ARM_REG_R10,
+	ARM_REG_FP = ARM_REG_R11,
+	ARM_REG_IP = ARM_REG_R12,
+} arm_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with ARM_OP_MEM operand type above
+typedef struct arm_op_mem {
+	arm_reg base;	///< base register
+	arm_reg index;	///< index register
+	int scale;	///< scale for index register (can be 1, or -1)
+	int disp;	///< displacement/offset value
+	/// left-shift on index register, or 0 if irrelevant
+	/// NOTE: this value can also be fetched via operand.shift.value
+	int lshift;
+} arm_op_mem;
+
+/// Instruction operand
+typedef struct cs_arm_op {
+	int vector_index;	///< Vector Index for some vector operands (or -1 if irrelevant)
+
+	struct {
+		arm_shifter type;
+		unsigned int value;
+	} shift;
+
+	arm_op_type type;	///< operand type
+
+	union {
+		int reg;	///< register value for REG/SYSREG operand
+		int32_t imm;			///< immediate value for C-IMM, P-IMM or IMM operand
+		double fp;			///< floating point value for FP operand
+		arm_op_mem mem;		///< base/index/scale/disp value for MEM operand
+		arm_setend_type setend; ///< SETEND instruction's operand type
+	};
+
+	/// in some instructions, an operand can be subtracted or added to
+	/// the base register,
+	/// if TRUE, this operand is subtracted. otherwise, it is added.
+	bool subtracted;
+
+	/// How is this operand accessed? (READ, WRITE or READ|WRITE)
+	/// This field is combined of cs_ac_type.
+	/// NOTE: this field is irrelevant if engine is compiled in DIET mode.
+	uint8_t access;
+
+	/// Neon lane index for NEON instructions (or -1 if irrelevant)
+	int8_t neon_lane;
+} cs_arm_op;
+
+/// Instruction structure
+typedef struct cs_arm {
+	bool usermode;	///< User-mode registers to be loaded (for LDM/STM instructions)
+	int vector_size; 	///< Scalar size for vector instructions
+	arm_vectordata_type vector_data; ///< Data type for elements of vector instructions
+	arm_cpsmode_type cps_mode;	///< CPS mode for CPS instruction
+	arm_cpsflag_type cps_flag;	///< CPS mode for CPS instruction
+	arm_cc cc;			///< conditional code for this insn
+	bool update_flags;	///< does this insn update flags?
+	bool writeback;		///< does this insn write-back?
+	arm_mem_barrier mem_barrier;	///< Option for some memory barrier instructions
+
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+
+	cs_arm_op operands[36];	///< operands for this instruction.
+} cs_arm;
+
+/// ARM instruction
+typedef enum arm_insn {
+	ARM_INS_INVALID = 0,
+
+	ARM_INS_ADC,
+	ARM_INS_ADD,
+	ARM_INS_ADR,
+	ARM_INS_AESD,
+	ARM_INS_AESE,
+	ARM_INS_AESIMC,
+	ARM_INS_AESMC,
+	ARM_INS_AND,
+	ARM_INS_BFC,
+	ARM_INS_BFI,
+	ARM_INS_BIC,
+	ARM_INS_BKPT,
+	ARM_INS_BL,
+	ARM_INS_BLX,
+	ARM_INS_BX,
+	ARM_INS_BXJ,
+	ARM_INS_B,
+	ARM_INS_CDP,
+	ARM_INS_CDP2,
+	ARM_INS_CLREX,
+	ARM_INS_CLZ,
+	ARM_INS_CMN,
+	ARM_INS_CMP,
+	ARM_INS_CPS,
+	ARM_INS_CRC32B,
+	ARM_INS_CRC32CB,
+	ARM_INS_CRC32CH,
+	ARM_INS_CRC32CW,
+	ARM_INS_CRC32H,
+	ARM_INS_CRC32W,
+	ARM_INS_DBG,
+	ARM_INS_DMB,
+	ARM_INS_DSB,
+	ARM_INS_EOR,
+	ARM_INS_ERET,
+	ARM_INS_VMOV,
+	ARM_INS_FLDMDBX,
+	ARM_INS_FLDMIAX,
+	ARM_INS_VMRS,
+	ARM_INS_FSTMDBX,
+	ARM_INS_FSTMIAX,
+	ARM_INS_HINT,
+	ARM_INS_HLT,
+	ARM_INS_HVC,
+	ARM_INS_ISB,
+	ARM_INS_LDA,
+	ARM_INS_LDAB,
+	ARM_INS_LDAEX,
+	ARM_INS_LDAEXB,
+	ARM_INS_LDAEXD,
+	ARM_INS_LDAEXH,
+	ARM_INS_LDAH,
+	ARM_INS_LDC2L,
+	ARM_INS_LDC2,
+	ARM_INS_LDCL,
+	ARM_INS_LDC,
+	ARM_INS_LDMDA,
+	ARM_INS_LDMDB,
+	ARM_INS_LDM,
+	ARM_INS_LDMIB,
+	ARM_INS_LDRBT,
+	ARM_INS_LDRB,
+	ARM_INS_LDRD,
+	ARM_INS_LDREX,
+	ARM_INS_LDREXB,
+	ARM_INS_LDREXD,
+	ARM_INS_LDREXH,
+	ARM_INS_LDRH,
+	ARM_INS_LDRHT,
+	ARM_INS_LDRSB,
+	ARM_INS_LDRSBT,
+	ARM_INS_LDRSH,
+	ARM_INS_LDRSHT,
+	ARM_INS_LDRT,
+	ARM_INS_LDR,
+	ARM_INS_MCR,
+	ARM_INS_MCR2,
+	ARM_INS_MCRR,
+	ARM_INS_MCRR2,
+	ARM_INS_MLA,
+	ARM_INS_MLS,
+	ARM_INS_MOV,
+	ARM_INS_MOVT,
+	ARM_INS_MOVW,
+	ARM_INS_MRC,
+	ARM_INS_MRC2,
+	ARM_INS_MRRC,
+	ARM_INS_MRRC2,
+	ARM_INS_MRS,
+	ARM_INS_MSR,
+	ARM_INS_MUL,
+	ARM_INS_MVN,
+	ARM_INS_ORR,
+	ARM_INS_PKHBT,
+	ARM_INS_PKHTB,
+	ARM_INS_PLDW,
+	ARM_INS_PLD,
+	ARM_INS_PLI,
+	ARM_INS_QADD,
+	ARM_INS_QADD16,
+	ARM_INS_QADD8,
+	ARM_INS_QASX,
+	ARM_INS_QDADD,
+	ARM_INS_QDSUB,
+	ARM_INS_QSAX,
+	ARM_INS_QSUB,
+	ARM_INS_QSUB16,
+	ARM_INS_QSUB8,
+	ARM_INS_RBIT,
+	ARM_INS_REV,
+	ARM_INS_REV16,
+	ARM_INS_REVSH,
+	ARM_INS_RFEDA,
+	ARM_INS_RFEDB,
+	ARM_INS_RFEIA,
+	ARM_INS_RFEIB,
+	ARM_INS_RSB,
+	ARM_INS_RSC,
+	ARM_INS_SADD16,
+	ARM_INS_SADD8,
+	ARM_INS_SASX,
+	ARM_INS_SBC,
+	ARM_INS_SBFX,
+	ARM_INS_SDIV,
+	ARM_INS_SEL,
+	ARM_INS_SETEND,
+	ARM_INS_SHA1C,
+	ARM_INS_SHA1H,
+	ARM_INS_SHA1M,
+	ARM_INS_SHA1P,
+	ARM_INS_SHA1SU0,
+	ARM_INS_SHA1SU1,
+	ARM_INS_SHA256H,
+	ARM_INS_SHA256H2,
+	ARM_INS_SHA256SU0,
+	ARM_INS_SHA256SU1,
+	ARM_INS_SHADD16,
+	ARM_INS_SHADD8,
+	ARM_INS_SHASX,
+	ARM_INS_SHSAX,
+	ARM_INS_SHSUB16,
+	ARM_INS_SHSUB8,
+	ARM_INS_SMC,
+	ARM_INS_SMLABB,
+	ARM_INS_SMLABT,
+	ARM_INS_SMLAD,
+	ARM_INS_SMLADX,
+	ARM_INS_SMLAL,
+	ARM_INS_SMLALBB,
+	ARM_INS_SMLALBT,
+	ARM_INS_SMLALD,
+	ARM_INS_SMLALDX,
+	ARM_INS_SMLALTB,
+	ARM_INS_SMLALTT,
+	ARM_INS_SMLATB,
+	ARM_INS_SMLATT,
+	ARM_INS_SMLAWB,
+	ARM_INS_SMLAWT,
+	ARM_INS_SMLSD,
+	ARM_INS_SMLSDX,
+	ARM_INS_SMLSLD,
+	ARM_INS_SMLSLDX,
+	ARM_INS_SMMLA,
+	ARM_INS_SMMLAR,
+	ARM_INS_SMMLS,
+	ARM_INS_SMMLSR,
+	ARM_INS_SMMUL,
+	ARM_INS_SMMULR,
+	ARM_INS_SMUAD,
+	ARM_INS_SMUADX,
+	ARM_INS_SMULBB,
+	ARM_INS_SMULBT,
+	ARM_INS_SMULL,
+	ARM_INS_SMULTB,
+	ARM_INS_SMULTT,
+	ARM_INS_SMULWB,
+	ARM_INS_SMULWT,
+	ARM_INS_SMUSD,
+	ARM_INS_SMUSDX,
+	ARM_INS_SRSDA,
+	ARM_INS_SRSDB,
+	ARM_INS_SRSIA,
+	ARM_INS_SRSIB,
+	ARM_INS_SSAT,
+	ARM_INS_SSAT16,
+	ARM_INS_SSAX,
+	ARM_INS_SSUB16,
+	ARM_INS_SSUB8,
+	ARM_INS_STC2L,
+	ARM_INS_STC2,
+	ARM_INS_STCL,
+	ARM_INS_STC,
+	ARM_INS_STL,
+	ARM_INS_STLB,
+	ARM_INS_STLEX,
+	ARM_INS_STLEXB,
+	ARM_INS_STLEXD,
+	ARM_INS_STLEXH,
+	ARM_INS_STLH,
+	ARM_INS_STMDA,
+	ARM_INS_STMDB,
+	ARM_INS_STM,
+	ARM_INS_STMIB,
+	ARM_INS_STRBT,
+	ARM_INS_STRB,
+	ARM_INS_STRD,
+	ARM_INS_STREX,
+	ARM_INS_STREXB,
+	ARM_INS_STREXD,
+	ARM_INS_STREXH,
+	ARM_INS_STRH,
+	ARM_INS_STRHT,
+	ARM_INS_STRT,
+	ARM_INS_STR,
+	ARM_INS_SUB,
+	ARM_INS_SVC,
+	ARM_INS_SWP,
+	ARM_INS_SWPB,
+	ARM_INS_SXTAB,
+	ARM_INS_SXTAB16,
+	ARM_INS_SXTAH,
+	ARM_INS_SXTB,
+	ARM_INS_SXTB16,
+	ARM_INS_SXTH,
+	ARM_INS_TEQ,
+	ARM_INS_TRAP,
+	ARM_INS_TST,
+	ARM_INS_UADD16,
+	ARM_INS_UADD8,
+	ARM_INS_UASX,
+	ARM_INS_UBFX,
+	ARM_INS_UDF,
+	ARM_INS_UDIV,
+	ARM_INS_UHADD16,
+	ARM_INS_UHADD8,
+	ARM_INS_UHASX,
+	ARM_INS_UHSAX,
+	ARM_INS_UHSUB16,
+	ARM_INS_UHSUB8,
+	ARM_INS_UMAAL,
+	ARM_INS_UMLAL,
+	ARM_INS_UMULL,
+	ARM_INS_UQADD16,
+	ARM_INS_UQADD8,
+	ARM_INS_UQASX,
+	ARM_INS_UQSAX,
+	ARM_INS_UQSUB16,
+	ARM_INS_UQSUB8,
+	ARM_INS_USAD8,
+	ARM_INS_USADA8,
+	ARM_INS_USAT,
+	ARM_INS_USAT16,
+	ARM_INS_USAX,
+	ARM_INS_USUB16,
+	ARM_INS_USUB8,
+	ARM_INS_UXTAB,
+	ARM_INS_UXTAB16,
+	ARM_INS_UXTAH,
+	ARM_INS_UXTB,
+	ARM_INS_UXTB16,
+	ARM_INS_UXTH,
+	ARM_INS_VABAL,
+	ARM_INS_VABA,
+	ARM_INS_VABDL,
+	ARM_INS_VABD,
+	ARM_INS_VABS,
+	ARM_INS_VACGE,
+	ARM_INS_VACGT,
+	ARM_INS_VADD,
+	ARM_INS_VADDHN,
+	ARM_INS_VADDL,
+	ARM_INS_VADDW,
+	ARM_INS_VAND,
+	ARM_INS_VBIC,
+	ARM_INS_VBIF,
+	ARM_INS_VBIT,
+	ARM_INS_VBSL,
+	ARM_INS_VCEQ,
+	ARM_INS_VCGE,
+	ARM_INS_VCGT,
+	ARM_INS_VCLE,
+	ARM_INS_VCLS,
+	ARM_INS_VCLT,
+	ARM_INS_VCLZ,
+	ARM_INS_VCMP,
+	ARM_INS_VCMPE,
+	ARM_INS_VCNT,
+	ARM_INS_VCVTA,
+	ARM_INS_VCVTB,
+	ARM_INS_VCVT,
+	ARM_INS_VCVTM,
+	ARM_INS_VCVTN,
+	ARM_INS_VCVTP,
+	ARM_INS_VCVTT,
+	ARM_INS_VDIV,
+	ARM_INS_VDUP,
+	ARM_INS_VEOR,
+	ARM_INS_VEXT,
+	ARM_INS_VFMA,
+	ARM_INS_VFMS,
+	ARM_INS_VFNMA,
+	ARM_INS_VFNMS,
+	ARM_INS_VHADD,
+	ARM_INS_VHSUB,
+	ARM_INS_VLD1,
+	ARM_INS_VLD2,
+	ARM_INS_VLD3,
+	ARM_INS_VLD4,
+	ARM_INS_VLDMDB,
+	ARM_INS_VLDMIA,
+	ARM_INS_VLDR,
+	ARM_INS_VMAXNM,
+	ARM_INS_VMAX,
+	ARM_INS_VMINNM,
+	ARM_INS_VMIN,
+	ARM_INS_VMLA,
+	ARM_INS_VMLAL,
+	ARM_INS_VMLS,
+	ARM_INS_VMLSL,
+	ARM_INS_VMOVL,
+	ARM_INS_VMOVN,
+	ARM_INS_VMSR,
+	ARM_INS_VMUL,
+	ARM_INS_VMULL,
+	ARM_INS_VMVN,
+	ARM_INS_VNEG,
+	ARM_INS_VNMLA,
+	ARM_INS_VNMLS,
+	ARM_INS_VNMUL,
+	ARM_INS_VORN,
+	ARM_INS_VORR,
+	ARM_INS_VPADAL,
+	ARM_INS_VPADDL,
+	ARM_INS_VPADD,
+	ARM_INS_VPMAX,
+	ARM_INS_VPMIN,
+	ARM_INS_VQABS,
+	ARM_INS_VQADD,
+	ARM_INS_VQDMLAL,
+	ARM_INS_VQDMLSL,
+	ARM_INS_VQDMULH,
+	ARM_INS_VQDMULL,
+	ARM_INS_VQMOVUN,
+	ARM_INS_VQMOVN,
+	ARM_INS_VQNEG,
+	ARM_INS_VQRDMULH,
+	ARM_INS_VQRSHL,
+	ARM_INS_VQRSHRN,
+	ARM_INS_VQRSHRUN,
+	ARM_INS_VQSHL,
+	ARM_INS_VQSHLU,
+	ARM_INS_VQSHRN,
+	ARM_INS_VQSHRUN,
+	ARM_INS_VQSUB,
+	ARM_INS_VRADDHN,
+	ARM_INS_VRECPE,
+	ARM_INS_VRECPS,
+	ARM_INS_VREV16,
+	ARM_INS_VREV32,
+	ARM_INS_VREV64,
+	ARM_INS_VRHADD,
+	ARM_INS_VRINTA,
+	ARM_INS_VRINTM,
+	ARM_INS_VRINTN,
+	ARM_INS_VRINTP,
+	ARM_INS_VRINTR,
+	ARM_INS_VRINTX,
+	ARM_INS_VRINTZ,
+	ARM_INS_VRSHL,
+	ARM_INS_VRSHRN,
+	ARM_INS_VRSHR,
+	ARM_INS_VRSQRTE,
+	ARM_INS_VRSQRTS,
+	ARM_INS_VRSRA,
+	ARM_INS_VRSUBHN,
+	ARM_INS_VSELEQ,
+	ARM_INS_VSELGE,
+	ARM_INS_VSELGT,
+	ARM_INS_VSELVS,
+	ARM_INS_VSHLL,
+	ARM_INS_VSHL,
+	ARM_INS_VSHRN,
+	ARM_INS_VSHR,
+	ARM_INS_VSLI,
+	ARM_INS_VSQRT,
+	ARM_INS_VSRA,
+	ARM_INS_VSRI,
+	ARM_INS_VST1,
+	ARM_INS_VST2,
+	ARM_INS_VST3,
+	ARM_INS_VST4,
+	ARM_INS_VSTMDB,
+	ARM_INS_VSTMIA,
+	ARM_INS_VSTR,
+	ARM_INS_VSUB,
+	ARM_INS_VSUBHN,
+	ARM_INS_VSUBL,
+	ARM_INS_VSUBW,
+	ARM_INS_VSWP,
+	ARM_INS_VTBL,
+	ARM_INS_VTBX,
+	ARM_INS_VCVTR,
+	ARM_INS_VTRN,
+	ARM_INS_VTST,
+	ARM_INS_VUZP,
+	ARM_INS_VZIP,
+	ARM_INS_ADDW,
+	ARM_INS_ASR,
+	ARM_INS_DCPS1,
+	ARM_INS_DCPS2,
+	ARM_INS_DCPS3,
+	ARM_INS_IT,
+	ARM_INS_LSL,
+	ARM_INS_LSR,
+	ARM_INS_ORN,
+	ARM_INS_ROR,
+	ARM_INS_RRX,
+	ARM_INS_SUBW,
+	ARM_INS_TBB,
+	ARM_INS_TBH,
+	ARM_INS_CBNZ,
+	ARM_INS_CBZ,
+	ARM_INS_POP,
+	ARM_INS_PUSH,
+
+	// special instructions
+	ARM_INS_NOP,
+	ARM_INS_YIELD,
+	ARM_INS_WFE,
+	ARM_INS_WFI,
+	ARM_INS_SEV,
+	ARM_INS_SEVL,
+	ARM_INS_VPUSH,
+	ARM_INS_VPOP,
+
+	ARM_INS_ENDING,	// <-- mark the end of the list of instructions
+} arm_insn;
+
+/// Group of ARM instructions
+typedef enum arm_insn_group {
+	ARM_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	ARM_GRP_JUMP,	///< = CS_GRP_JUMP
+	ARM_GRP_CALL,	///< = CS_GRP_CALL
+	ARM_GRP_INT = 4, ///< = CS_GRP_INT
+	ARM_GRP_PRIVILEGE = 6, ///< = CS_GRP_PRIVILEGE
+	ARM_GRP_BRANCH_RELATIVE, ///< = CS_GRP_BRANCH_RELATIVE
+
+	// Architecture-specific groups
+	ARM_GRP_CRYPTO = 128,
+	ARM_GRP_DATABARRIER,
+	ARM_GRP_DIVIDE,
+	ARM_GRP_FPARMV8,
+	ARM_GRP_MULTPRO,
+	ARM_GRP_NEON,
+	ARM_GRP_T2EXTRACTPACK,
+	ARM_GRP_THUMB2DSP,
+	ARM_GRP_TRUSTZONE,
+	ARM_GRP_V4T,
+	ARM_GRP_V5T,
+	ARM_GRP_V5TE,
+	ARM_GRP_V6,
+	ARM_GRP_V6T2,
+	ARM_GRP_V7,
+	ARM_GRP_V8,
+	ARM_GRP_VFP2,
+	ARM_GRP_VFP3,
+	ARM_GRP_VFP4,
+	ARM_GRP_ARM,
+	ARM_GRP_MCLASS,
+	ARM_GRP_NOTMCLASS,
+	ARM_GRP_THUMB,
+	ARM_GRP_THUMB1ONLY,
+	ARM_GRP_THUMB2,
+	ARM_GRP_PREV8,
+	ARM_GRP_FPVMLX,
+	ARM_GRP_MULOPS,
+	ARM_GRP_CRC,
+	ARM_GRP_DPVFP,
+	ARM_GRP_V6M,
+	ARM_GRP_VIRTUALIZATION,
+
+	ARM_GRP_ENDING,
+} arm_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/capstone.h 4.0.2-3/include/capstone/capstone.h
--- 4.0.1+really+3.0.5-2/include/capstone/capstone.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/capstone.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,766 @@
+#ifndef CAPSTONE_ENGINE_H
+#define CAPSTONE_ENGINE_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2016 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include <stdarg.h>
+
+#if defined(CAPSTONE_HAS_OSXKERNEL)
+#include <libkern/libkern.h>
+#else
+#include <stdlib.h>
+#include <stdio.h>
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#pragma warning(disable:4100)
+#define CAPSTONE_API __cdecl
+#ifdef CAPSTONE_SHARED
+#define CAPSTONE_EXPORT __declspec(dllexport)
+#else    // defined(CAPSTONE_STATIC)
+#define CAPSTONE_EXPORT
+#endif
+#else
+#define CAPSTONE_API
+#if defined(__GNUC__) && !defined(CAPSTONE_STATIC)
+#define CAPSTONE_EXPORT __attribute__((visibility("default")))
+#else    // defined(CAPSTONE_STATIC)
+#define CAPSTONE_EXPORT
+#endif
+#endif
+
+#ifdef __GNUC__
+#define CAPSTONE_DEPRECATED __attribute__((deprecated))
+#elif defined(_MSC_VER)
+#define CAPSTONE_DEPRECATED __declspec(deprecated)
+#else
+#pragma message("WARNING: You need to implement CAPSTONE_DEPRECATED for this compiler")
+#define CAPSTONE_DEPRECATED
+#endif
+
+// Capstone API version
+#define CS_API_MAJOR 4
+#define CS_API_MINOR 0
+
+// Version for bleeding edge code of the Github's "next" branch.
+// Use this if you want the absolutely latest development code.
+// This version number will be bumped up whenever we have a new major change.
+#define CS_NEXT_VERSION 5
+
+// Capstone package version
+#define CS_VERSION_MAJOR CS_API_MAJOR
+#define CS_VERSION_MINOR CS_API_MINOR
+#define CS_VERSION_EXTRA 2
+
+/// Macro to create combined version which can be compared to
+/// result of cs_version() API.
+#define CS_MAKE_VERSION(major, minor) ((major << 8) + minor)
+
+/// Maximum size of an instruction mnemonic string.
+#define CS_MNEMONIC_SIZE 32
+
+// Handle using with all API
+typedef size_t csh;
+
+/// Architecture type
+typedef enum cs_arch {
+	CS_ARCH_ARM = 0,	///< ARM architecture (including Thumb, Thumb-2)
+	CS_ARCH_ARM64,		///< ARM-64, also called AArch64
+	CS_ARCH_MIPS,		///< Mips architecture
+	CS_ARCH_X86,		///< X86 architecture (including x86 & x86-64)
+	CS_ARCH_PPC,		///< PowerPC architecture
+	CS_ARCH_SPARC,		///< Sparc architecture
+	CS_ARCH_SYSZ,		///< SystemZ architecture
+	CS_ARCH_XCORE,		///< XCore architecture
+	CS_ARCH_M68K,		///< 68K architecture
+	CS_ARCH_TMS320C64X,	///< TMS320C64x architecture
+	CS_ARCH_M680X,		///< 680X architecture
+	CS_ARCH_EVM,		///< Ethereum architecture
+	CS_ARCH_MAX,
+	CS_ARCH_ALL = 0xFFFF, // All architectures - for cs_support()
+} cs_arch;
+
+// Support value to verify diet mode of the engine.
+// If cs_support(CS_SUPPORT_DIET) return True, the engine was compiled
+// in diet mode.
+#define CS_SUPPORT_DIET (CS_ARCH_ALL + 1)
+
+// Support value to verify X86 reduce mode of the engine.
+// If cs_support(CS_SUPPORT_X86_REDUCE) return True, the engine was compiled
+// in X86 reduce mode.
+#define CS_SUPPORT_X86_REDUCE (CS_ARCH_ALL + 2)
+
+/// Mode type
+typedef enum cs_mode {
+	CS_MODE_LITTLE_ENDIAN = 0,	///< little-endian mode (default mode)
+	CS_MODE_ARM = 0,	///< 32-bit ARM
+	CS_MODE_16 = 1 << 1,	///< 16-bit mode (X86)
+	CS_MODE_32 = 1 << 2,	///< 32-bit mode (X86)
+	CS_MODE_64 = 1 << 3,	///< 64-bit mode (X86, PPC)
+	CS_MODE_THUMB = 1 << 4,	///< ARM's Thumb mode, including Thumb-2
+	CS_MODE_MCLASS = 1 << 5,	///< ARM's Cortex-M series
+	CS_MODE_V8 = 1 << 6,	///< ARMv8 A32 encodings for ARM
+	CS_MODE_MICRO = 1 << 4, ///< MicroMips mode (MIPS)
+	CS_MODE_MIPS3 = 1 << 5, ///< Mips III ISA
+	CS_MODE_MIPS32R6 = 1 << 6, ///< Mips32r6 ISA
+	CS_MODE_MIPS2 = 1 << 7, ///< Mips II ISA
+	CS_MODE_V9 = 1 << 4, ///< SparcV9 mode (Sparc)
+	CS_MODE_QPX = 1 << 4, ///< Quad Processing eXtensions mode (PPC)
+	CS_MODE_M68K_000 = 1 << 1, ///< M68K 68000 mode
+	CS_MODE_M68K_010 = 1 << 2, ///< M68K 68010 mode
+	CS_MODE_M68K_020 = 1 << 3, ///< M68K 68020 mode
+	CS_MODE_M68K_030 = 1 << 4, ///< M68K 68030 mode
+	CS_MODE_M68K_040 = 1 << 5, ///< M68K 68040 mode
+	CS_MODE_M68K_060 = 1 << 6, ///< M68K 68060 mode
+	CS_MODE_BIG_ENDIAN = 1 << 31,	///< big-endian mode
+	CS_MODE_MIPS32 = CS_MODE_32,	///< Mips32 ISA (Mips)
+	CS_MODE_MIPS64 = CS_MODE_64,	///< Mips64 ISA (Mips)
+	CS_MODE_M680X_6301 = 1 << 1, ///< M680X Hitachi 6301,6303 mode
+	CS_MODE_M680X_6309 = 1 << 2, ///< M680X Hitachi 6309 mode
+	CS_MODE_M680X_6800 = 1 << 3, ///< M680X Motorola 6800,6802 mode
+	CS_MODE_M680X_6801 = 1 << 4, ///< M680X Motorola 6801,6803 mode
+	CS_MODE_M680X_6805 = 1 << 5, ///< M680X Motorola/Freescale 6805 mode
+	CS_MODE_M680X_6808 = 1 << 6, ///< M680X Motorola/Freescale/NXP 68HC08 mode
+	CS_MODE_M680X_6809 = 1 << 7, ///< M680X Motorola 6809 mode
+	CS_MODE_M680X_6811 = 1 << 8, ///< M680X Motorola/Freescale/NXP 68HC11 mode
+	CS_MODE_M680X_CPU12 = 1 << 9, ///< M680X Motorola/Freescale/NXP CPU12
+					///< used on M68HC12/HCS12
+	CS_MODE_M680X_HCS08 = 1 << 10, ///< M680X Freescale/NXP HCS08 mode
+} cs_mode;
+
+typedef void* (CAPSTONE_API *cs_malloc_t)(size_t size);
+typedef void* (CAPSTONE_API *cs_calloc_t)(size_t nmemb, size_t size);
+typedef void* (CAPSTONE_API *cs_realloc_t)(void *ptr, size_t size);
+typedef void (CAPSTONE_API *cs_free_t)(void *ptr);
+typedef int (CAPSTONE_API *cs_vsnprintf_t)(char *str, size_t size, const char *format, va_list ap);
+
+
+/// User-defined dynamic memory related functions: malloc/calloc/realloc/free/vsnprintf()
+/// By default, Capstone uses system's malloc(), calloc(), realloc(), free() & vsnprintf().
+typedef struct cs_opt_mem {
+	cs_malloc_t malloc;
+	cs_calloc_t calloc;
+	cs_realloc_t realloc;
+	cs_free_t free;
+	cs_vsnprintf_t vsnprintf;
+} cs_opt_mem;
+
+/// Customize mnemonic for instructions with alternative name.
+/// To reset existing customized instruction to its default mnemonic,
+/// call cs_option(CS_OPT_MNEMONIC) again with the same @id and NULL value
+/// for @mnemonic.
+typedef struct cs_opt_mnem {
+	/// ID of instruction to be customized.
+	unsigned int id;
+	/// Customized instruction mnemonic.
+	const char *mnemonic;
+} cs_opt_mnem;
+
+/// Runtime option for the disassembled engine
+typedef enum cs_opt_type {
+	CS_OPT_INVALID = 0,	///< No option specified
+	CS_OPT_SYNTAX,	///< Assembly output syntax
+	CS_OPT_DETAIL,	///< Break down instruction structure into details
+	CS_OPT_MODE,	///< Change engine's mode at run-time
+	CS_OPT_MEM,	///< User-defined dynamic memory related functions
+	CS_OPT_SKIPDATA, ///< Skip data when disassembling. Then engine is in SKIPDATA mode.
+	CS_OPT_SKIPDATA_SETUP, ///< Setup user-defined function for SKIPDATA option
+	CS_OPT_MNEMONIC, ///< Customize instruction mnemonic
+	CS_OPT_UNSIGNED, ///< print immediate operands in unsigned form
+} cs_opt_type;
+
+/// Runtime option value (associated with option type above)
+typedef enum cs_opt_value {
+	CS_OPT_OFF = 0,  ///< Turn OFF an option - default for CS_OPT_DETAIL, CS_OPT_SKIPDATA, CS_OPT_UNSIGNED.
+	CS_OPT_ON = 3, ///< Turn ON an option (CS_OPT_DETAIL, CS_OPT_SKIPDATA).
+	CS_OPT_SYNTAX_DEFAULT = 0, ///< Default asm syntax (CS_OPT_SYNTAX).
+	CS_OPT_SYNTAX_INTEL, ///< X86 Intel asm syntax - default on X86 (CS_OPT_SYNTAX).
+	CS_OPT_SYNTAX_ATT,   ///< X86 ATT asm syntax (CS_OPT_SYNTAX).
+	CS_OPT_SYNTAX_NOREGNAME, ///< Prints register name with only number (CS_OPT_SYNTAX)
+	CS_OPT_SYNTAX_MASM, ///< X86 Intel Masm syntax (CS_OPT_SYNTAX).
+} cs_opt_value;
+
+/// Common instruction operand types - to be consistent across all architectures.
+typedef enum cs_op_type {
+	CS_OP_INVALID = 0,  ///< uninitialized/invalid operand.
+	CS_OP_REG,          ///< Register operand.
+	CS_OP_IMM,          ///< Immediate operand.
+	CS_OP_MEM,          ///< Memory operand.
+	CS_OP_FP,           ///< Floating-Point operand.
+} cs_op_type;
+
+/// Common instruction operand access types - to be consistent across all architectures.
+/// It is possible to combine access types, for example: CS_AC_READ | CS_AC_WRITE
+typedef enum cs_ac_type {
+	CS_AC_INVALID = 0,        ///< Uninitialized/invalid access type.
+	CS_AC_READ    = 1 << 0,   ///< Operand read from memory or register.
+	CS_AC_WRITE   = 1 << 1,   ///< Operand write to memory or register.
+} cs_ac_type;
+
+/// Common instruction groups - to be consistent across all architectures.
+typedef enum cs_group_type {
+	CS_GRP_INVALID = 0,  ///< uninitialized/invalid group.
+	CS_GRP_JUMP,    ///< all jump instructions (conditional+direct+indirect jumps)
+	CS_GRP_CALL,    ///< all call instructions
+	CS_GRP_RET,     ///< all return instructions
+	CS_GRP_INT,     ///< all interrupt instructions (int+syscall)
+	CS_GRP_IRET,    ///< all interrupt return instructions
+	CS_GRP_PRIVILEGE,    ///< all privileged instructions
+	CS_GRP_BRANCH_RELATIVE, ///< all relative branching instructions
+} cs_group_type;
+
+/**
+ User-defined callback function for SKIPDATA option.
+ See tests/test_skipdata.c for sample code demonstrating this API.
+
+ @code: the input buffer containing code to be disassembled.
+        This is the same buffer passed to cs_disasm().
+ @code_size: size (in bytes) of the above @code buffer.
+ @offset: the position of the currently-examining byte in the input
+      buffer @code mentioned above.
+ @user_data: user-data passed to cs_option() via @user_data field in
+      cs_opt_skipdata struct below.
+
+ @return: return number of bytes to skip, or 0 to immediately stop disassembling.
+*/
+typedef size_t (CAPSTONE_API *cs_skipdata_cb_t)(const uint8_t *code, size_t code_size, size_t offset, void *user_data);
+
+/// User-customized setup for SKIPDATA option
+typedef struct cs_opt_skipdata {
+	/// Capstone considers data to skip as special "instructions".
+	/// User can specify the string for this instruction's "mnemonic" here.
+	/// By default (if @mnemonic is NULL), Capstone use ".byte".
+	const char *mnemonic;
+
+	/// User-defined callback function to be called when Capstone hits data.
+	/// If the returned value from this callback is positive (>0), Capstone
+	/// will skip exactly that number of bytes & continue. Otherwise, if
+	/// the callback returns 0, Capstone stops disassembling and returns
+	/// immediately from cs_disasm()
+	/// NOTE: if this callback pointer is NULL, Capstone would skip a number
+	/// of bytes depending on architectures, as following:
+	/// Arm:     2 bytes (Thumb mode) or 4 bytes.
+	/// Arm64:   4 bytes.
+	/// Mips:    4 bytes.
+	/// M680x:   1 byte.
+	/// PowerPC: 4 bytes.
+	/// Sparc:   4 bytes.
+	/// SystemZ: 2 bytes.
+	/// X86:     1 bytes.
+	/// XCore:   2 bytes.
+	/// EVM:     1 bytes.
+	cs_skipdata_cb_t callback; 	// default value is NULL
+
+	/// User-defined data to be passed to @callback function pointer.
+	void *user_data;
+} cs_opt_skipdata;
+
+
+#include "arm.h"
+#include "arm64.h"
+#include "m68k.h"
+#include "mips.h"
+#include "ppc.h"
+#include "sparc.h"
+#include "systemz.h"
+#include "x86.h"
+#include "xcore.h"
+#include "tms320c64x.h"
+#include "m680x.h"
+#include "evm.h"
+
+/// NOTE: All information in cs_detail is only available when CS_OPT_DETAIL = CS_OPT_ON
+/// Initialized as memset(., 0, offsetof(cs_detail, ARCH)+sizeof(cs_ARCH))
+/// by ARCH_getInstruction in arch/ARCH/ARCHDisassembler.c
+/// if cs_detail changes, in particular if a field is added after the union,
+/// then update arch/ARCH/ARCHDisassembler.c accordingly
+typedef struct cs_detail {
+	uint16_t regs_read[12]; ///< list of implicit registers read by this insn
+	uint8_t regs_read_count; ///< number of implicit registers read by this insn
+
+	uint16_t regs_write[20]; ///< list of implicit registers modified by this insn
+	uint8_t regs_write_count; ///< number of implicit registers modified by this insn
+
+	uint8_t groups[8]; ///< list of group this instruction belong to
+	uint8_t groups_count; ///< number of groups this insn belongs to
+
+	/// Architecture-specific instruction info
+	union {
+		cs_x86 x86;     ///< X86 architecture, including 16-bit, 32-bit & 64-bit mode
+		cs_arm64 arm64; ///< ARM64 architecture (aka AArch64)
+		cs_arm arm;     ///< ARM architecture (including Thumb/Thumb2)
+		cs_m68k m68k;   ///< M68K architecture
+		cs_mips mips;   ///< MIPS architecture
+		cs_ppc ppc;	    ///< PowerPC architecture
+		cs_sparc sparc; ///< Sparc architecture
+		cs_sysz sysz;   ///< SystemZ architecture
+		cs_xcore xcore; ///< XCore architecture
+		cs_tms320c64x tms320c64x;  ///< TMS320C64x architecture
+		cs_m680x m680x; ///< M680X architecture
+		cs_evm evm;	    ///< Ethereum architecture
+	};
+} cs_detail;
+
+/// Detail information of disassembled instruction
+typedef struct cs_insn {
+	/// Instruction ID (basically a numeric ID for the instruction mnemonic)
+	/// Find the instruction id in the '[ARCH]_insn' enum in the header file
+	/// of corresponding architecture, such as 'arm_insn' in arm.h for ARM,
+	/// 'x86_insn' in x86.h for X86, etc...
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	/// NOTE: in Skipdata mode, "data" instruction has 0 for this id field.
+	unsigned int id;
+
+	/// Address (EIP) of this instruction
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	uint64_t address;
+
+	/// Size of this instruction
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	uint16_t size;
+
+	/// Machine bytes of this instruction, with number of bytes indicated by @size above
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	uint8_t bytes[16];
+
+	/// Ascii text of instruction mnemonic
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	char mnemonic[CS_MNEMONIC_SIZE];
+
+	/// Ascii text of instruction operands
+	/// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
+	char op_str[160];
+
+	/// Pointer to cs_detail.
+	/// NOTE: detail pointer is only valid when both requirements below are met:
+	/// (1) CS_OP_DETAIL = CS_OPT_ON
+	/// (2) Engine is not in Skipdata mode (CS_OP_SKIPDATA option set to CS_OPT_ON)
+	///
+	/// NOTE 2: when in Skipdata mode, or when detail mode is OFF, even if this pointer
+	///     is not NULL, its content is still irrelevant.
+	cs_detail *detail;
+} cs_insn;
+
+
+/// Calculate the offset of a disassembled instruction in its buffer, given its position
+/// in its array of disassembled insn
+/// NOTE: this macro works with position (>=1), not index
+#define CS_INSN_OFFSET(insns, post) (insns[post - 1].address - insns[0].address)
+
+
+/// All type of errors encountered by Capstone API.
+/// These are values returned by cs_errno()
+typedef enum cs_err {
+	CS_ERR_OK = 0,   ///< No error: everything was fine
+	CS_ERR_MEM,      ///< Out-Of-Memory error: cs_open(), cs_disasm(), cs_disasm_iter()
+	CS_ERR_ARCH,     ///< Unsupported architecture: cs_open()
+	CS_ERR_HANDLE,   ///< Invalid handle: cs_op_count(), cs_op_index()
+	CS_ERR_CSH,      ///< Invalid csh argument: cs_close(), cs_errno(), cs_option()
+	CS_ERR_MODE,     ///< Invalid/unsupported mode: cs_open()
+	CS_ERR_OPTION,   ///< Invalid/unsupported option: cs_option()
+	CS_ERR_DETAIL,   ///< Information is unavailable because detail option is OFF
+	CS_ERR_MEMSETUP, ///< Dynamic memory management uninitialized (see CS_OPT_MEM)
+	CS_ERR_VERSION,  ///< Unsupported version (bindings)
+	CS_ERR_DIET,     ///< Access irrelevant data in "diet" engine
+	CS_ERR_SKIPDATA, ///< Access irrelevant data for "data" instruction in SKIPDATA mode
+	CS_ERR_X86_ATT,  ///< X86 AT&T syntax is unsupported (opt-out at compile time)
+	CS_ERR_X86_INTEL, ///< X86 Intel syntax is unsupported (opt-out at compile time)
+	CS_ERR_X86_MASM, ///< X86 Masm syntax is unsupported (opt-out at compile time)
+} cs_err;
+
+/**
+ Return combined API version & major and minor version numbers.
+
+ @major: major number of API version
+ @minor: minor number of API version
+
+ @return hexical number as (major << 8 | minor), which encodes both
+	 major & minor versions.
+	 NOTE: This returned value can be compared with version number made
+	 with macro CS_MAKE_VERSION
+
+ For example, second API version would return 1 in @major, and 1 in @minor
+ The return value would be 0x0101
+
+ NOTE: if you only care about returned value, but not major and minor values,
+ set both @major & @minor arguments to NULL.
+*/
+CAPSTONE_EXPORT
+unsigned int CAPSTONE_API cs_version(int *major, int *minor);
+
+
+/**
+ This API can be used to either ask for archs supported by this library,
+ or check to see if the library was compile with 'diet' option (or called
+ in 'diet' mode).
+
+ To check if a particular arch is supported by this library, set @query to
+ arch mode (CS_ARCH_* value).
+ To verify if this library supports all the archs, use CS_ARCH_ALL.
+
+ To check if this library is in 'diet' mode, set @query to CS_SUPPORT_DIET.
+
+ @return True if this library supports the given arch, or in 'diet' mode.
+*/
+CAPSTONE_EXPORT
+bool CAPSTONE_API cs_support(int query);
+
+/**
+ Initialize CS handle: this must be done before any usage of CS.
+
+ @arch: architecture type (CS_ARCH_*)
+ @mode: hardware mode. This is combined of CS_MODE_*
+ @handle: pointer to handle, which will be updated at return time
+
+ @return CS_ERR_OK on success, or other value on failure (refer to cs_err enum
+ for detailed error).
+*/
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_open(cs_arch arch, cs_mode mode, csh *handle);
+
+/**
+ Close CS handle: MUST do to release the handle when it is not used anymore.
+ NOTE: this must be only called when there is no longer usage of Capstone,
+ not even access to cs_insn array. The reason is the this API releases some
+ cached memory, thus access to any Capstone API after cs_close() might crash
+ your application.
+
+ In fact,this API invalidate @handle by ZERO out its value (i.e *handle = 0).
+
+ @handle: pointer to a handle returned by cs_open()
+
+ @return CS_ERR_OK on success, or other value on failure (refer to cs_err enum
+ for detailed error).
+*/
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_close(csh *handle);
+
+/**
+ Set option for disassembling engine at runtime
+
+ @handle: handle returned by cs_open()
+ @type: type of option to be set
+ @value: option value corresponding with @type
+
+ @return: CS_ERR_OK on success, or other value on failure.
+ Refer to cs_err enum for detailed error.
+
+ NOTE: in the case of CS_OPT_MEM, handle's value can be anything,
+ so that cs_option(handle, CS_OPT_MEM, value) can (i.e must) be called
+ even before cs_open()
+*/
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_option(csh handle, cs_opt_type type, size_t value);
+
+/**
+ Report the last error number when some API function fail.
+ Like glibc's errno, cs_errno might not retain its old value once accessed.
+
+ @handle: handle returned by cs_open()
+
+ @return: error code of cs_err enum type (CS_ERR_*, see above)
+*/
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_errno(csh handle);
+
+
+/**
+ Return a string describing given error code.
+
+ @code: error code (see CS_ERR_* above)
+
+ @return: returns a pointer to a string that describes the error code
+	passed in the argument @code
+*/
+CAPSTONE_EXPORT
+const char * CAPSTONE_API cs_strerror(cs_err code);
+
+/**
+ Disassemble binary code, given the code buffer, size, address and number
+ of instructions to be decoded.
+ This API dynamically allocate memory to contain disassembled instruction.
+ Resulting instructions will be put into @*insn
+
+ NOTE 1: this API will automatically determine memory needed to contain
+ output disassembled instructions in @insn.
+
+ NOTE 2: caller must free the allocated memory itself to avoid memory leaking.
+
+ NOTE 3: for system with scarce memory to be dynamically allocated such as
+ OS kernel or firmware, the API cs_disasm_iter() might be a better choice than
+ cs_disasm(). The reason is that with cs_disasm(), based on limited available
+ memory, we have to calculate in advance how many instructions to be disassembled,
+ which complicates things. This is especially troublesome for the case @count=0,
+ when cs_disasm() runs uncontrollably (until either end of input buffer, or
+ when it encounters an invalid instruction).
+ 
+ @handle: handle returned by cs_open()
+ @code: buffer containing raw binary code to be disassembled.
+ @code_size: size of the above code buffer.
+ @address: address of the first instruction in given raw code buffer.
+ @insn: array of instructions filled in by this API.
+	   NOTE: @insn will be allocated by this function, and should be freed
+	   with cs_free() API.
+ @count: number of instructions to be disassembled, or 0 to get all of them
+
+ @return: the number of successfully disassembled instructions,
+ or 0 if this function failed to disassemble the given code
+
+ On failure, call cs_errno() for error code.
+*/
+CAPSTONE_EXPORT
+size_t CAPSTONE_API cs_disasm(csh handle,
+		const uint8_t *code, size_t code_size,
+		uint64_t address,
+		size_t count,
+		cs_insn **insn);
+
+/**
+  Deprecated function - to be retired in the next version!
+  Use cs_disasm() instead of cs_disasm_ex()
+*/
+CAPSTONE_EXPORT
+CAPSTONE_DEPRECATED
+size_t CAPSTONE_API cs_disasm_ex(csh handle,
+		const uint8_t *code, size_t code_size,
+		uint64_t address,
+		size_t count,
+		cs_insn **insn);
+
+/**
+ Free memory allocated by cs_malloc() or cs_disasm() (argument @insn)
+
+ @insn: pointer returned by @insn argument in cs_disasm() or cs_malloc()
+ @count: number of cs_insn structures returned by cs_disasm(), or 1
+     to free memory allocated by cs_malloc().
+*/
+CAPSTONE_EXPORT
+void CAPSTONE_API cs_free(cs_insn *insn, size_t count);
+
+
+/**
+ Allocate memory for 1 instruction to be used by cs_disasm_iter().
+
+ @handle: handle returned by cs_open()
+
+ NOTE: when no longer in use, you can reclaim the memory allocated for
+ this instruction with cs_free(insn, 1)
+*/
+CAPSTONE_EXPORT
+cs_insn * CAPSTONE_API cs_malloc(csh handle);
+
+/**
+ Fast API to disassemble binary code, given the code buffer, size, address
+ and number of instructions to be decoded.
+ This API puts the resulting instruction into a given cache in @insn.
+ See tests/test_iter.c for sample code demonstrating this API.
+
+ NOTE 1: this API will update @code, @size & @address to point to the next
+ instruction in the input buffer. Therefore, it is convenient to use
+ cs_disasm_iter() inside a loop to quickly iterate all the instructions.
+ While decoding one instruction at a time can also be achieved with
+ cs_disasm(count=1), some benchmarks shown that cs_disasm_iter() can be 30%
+ faster on random input.
+
+ NOTE 2: the cache in @insn can be created with cs_malloc() API.
+
+ NOTE 3: for system with scarce memory to be dynamically allocated such as
+ OS kernel or firmware, this API is recommended over cs_disasm(), which
+ allocates memory based on the number of instructions to be disassembled.
+ The reason is that with cs_disasm(), based on limited available memory,
+ we have to calculate in advance how many instructions to be disassembled,
+ which complicates things. This is especially troublesome for the case
+ @count=0, when cs_disasm() runs uncontrollably (until either end of input
+ buffer, or when it encounters an invalid instruction).
+ 
+ @handle: handle returned by cs_open()
+ @code: buffer containing raw binary code to be disassembled
+ @size: size of above code
+ @address: address of the first insn in given raw code buffer
+ @insn: pointer to instruction to be filled in by this API.
+
+ @return: true if this API successfully decode 1 instruction,
+ or false otherwise.
+
+ On failure, call cs_errno() for error code.
+*/
+CAPSTONE_EXPORT
+bool CAPSTONE_API cs_disasm_iter(csh handle,
+	const uint8_t **code, size_t *size,
+	uint64_t *address, cs_insn *insn);
+
+/**
+ Return friendly name of register in a string.
+ Find the instruction id from header file of corresponding architecture (arm.h for ARM,
+ x86.h for X86, ...)
+
+ WARN: when in 'diet' mode, this API is irrelevant because engine does not
+ store register name.
+
+ @handle: handle returned by cs_open()
+ @reg_id: register id
+
+ @return: string name of the register, or NULL if @reg_id is invalid.
+*/
+CAPSTONE_EXPORT
+const char * CAPSTONE_API cs_reg_name(csh handle, unsigned int reg_id);
+
+/**
+ Return friendly name of an instruction in a string.
+ Find the instruction id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+
+ WARN: when in 'diet' mode, this API is irrelevant because the engine does not
+ store instruction name.
+
+ @handle: handle returned by cs_open()
+ @insn_id: instruction id
+
+ @return: string name of the instruction, or NULL if @insn_id is invalid.
+*/
+CAPSTONE_EXPORT
+const char * CAPSTONE_API cs_insn_name(csh handle, unsigned int insn_id);
+
+/**
+ Return friendly name of a group id (that an instruction can belong to)
+ Find the group id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+
+ WARN: when in 'diet' mode, this API is irrelevant because the engine does not
+ store group name.
+
+ @handle: handle returned by cs_open()
+ @group_id: group id
+
+ @return: string name of the group, or NULL if @group_id is invalid.
+*/
+CAPSTONE_EXPORT
+const char * CAPSTONE_API cs_group_name(csh handle, unsigned int group_id);
+
+/**
+ Check if a disassembled instruction belong to a particular group.
+ Find the group id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+ Internally, this simply verifies if @group_id matches any member of insn->groups array.
+
+ NOTE: this API is only valid when detail option is ON (which is OFF by default).
+
+ WARN: when in 'diet' mode, this API is irrelevant because the engine does not
+ update @groups array.
+
+ @handle: handle returned by cs_open()
+ @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
+ @group_id: group that you want to check if this instruction belong to.
+
+ @return: true if this instruction indeed belongs to the given group, or false otherwise.
+*/
+CAPSTONE_EXPORT
+bool CAPSTONE_API cs_insn_group(csh handle, const cs_insn *insn, unsigned int group_id);
+
+/**
+ Check if a disassembled instruction IMPLICITLY used a particular register.
+ Find the register id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+ Internally, this simply verifies if @reg_id matches any member of insn->regs_read array.
+
+ NOTE: this API is only valid when detail option is ON (which is OFF by default)
+
+ WARN: when in 'diet' mode, this API is irrelevant because the engine does not
+ update @regs_read array.
+
+ @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
+ @reg_id: register that you want to check if this instruction used it.
+
+ @return: true if this instruction indeed implicitly used the given register, or false otherwise.
+*/
+CAPSTONE_EXPORT
+bool CAPSTONE_API cs_reg_read(csh handle, const cs_insn *insn, unsigned int reg_id);
+
+/**
+ Check if a disassembled instruction IMPLICITLY modified a particular register.
+ Find the register id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+ Internally, this simply verifies if @reg_id matches any member of insn->regs_write array.
+
+ NOTE: this API is only valid when detail option is ON (which is OFF by default)
+
+ WARN: when in 'diet' mode, this API is irrelevant because the engine does not
+ update @regs_write array.
+
+ @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
+ @reg_id: register that you want to check if this instruction modified it.
+
+ @return: true if this instruction indeed implicitly modified the given register, or false otherwise.
+*/
+CAPSTONE_EXPORT
+bool CAPSTONE_API cs_reg_write(csh handle, const cs_insn *insn, unsigned int reg_id);
+
+/**
+ Count the number of operands of a given type.
+ Find the operand type in header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+
+ NOTE: this API is only valid when detail option is ON (which is OFF by default)
+
+ @handle: handle returned by cs_open()
+ @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
+ @op_type: Operand type to be found.
+
+ @return: number of operands of given type @op_type in instruction @insn,
+ or -1 on failure.
+*/
+CAPSTONE_EXPORT
+int CAPSTONE_API cs_op_count(csh handle, const cs_insn *insn, unsigned int op_type);
+
+/**
+ Retrieve the position of operand of given type in <arch>.operands[] array.
+ Later, the operand can be accessed using the returned position.
+ Find the operand type in header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
+
+ NOTE: this API is only valid when detail option is ON (which is OFF by default)
+
+ @handle: handle returned by cs_open()
+ @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
+ @op_type: Operand type to be found.
+ @position: position of the operand to be found. This must be in the range
+			[1, cs_op_count(handle, insn, op_type)]
+
+ @return: index of operand of given type @op_type in <arch>.operands[] array
+ in instruction @insn, or -1 on failure.
+*/
+CAPSTONE_EXPORT
+int CAPSTONE_API cs_op_index(csh handle, const cs_insn *insn, unsigned int op_type,
+		unsigned int position);
+
+/// Type of array to keep the list of registers
+typedef uint16_t cs_regs[64];
+
+/**
+ Retrieve all the registers accessed by an instruction, either explicitly or
+ implicitly.
+
+ WARN: when in 'diet' mode, this API is irrelevant because engine does not
+ store registers.
+
+ @handle: handle returned by cs_open()
+ @insn: disassembled instruction structure returned from cs_disasm() or cs_disasm_iter()
+ @regs_read: on return, this array contains all registers read by instruction.
+ @regs_read_count: number of registers kept inside @regs_read array.
+ @regs_write: on return, this array contains all registers written by instruction.
+ @regs_write_count: number of registers kept inside @regs_write array.
+
+ @return CS_ERR_OK on success, or other value on failure (refer to cs_err enum
+ for detailed error).
+*/
+CAPSTONE_EXPORT
+cs_err CAPSTONE_API cs_regs_access(csh handle, const cs_insn *insn,
+		cs_regs regs_read, uint8_t *regs_read_count,
+		cs_regs regs_write, uint8_t *regs_write_count);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/evm.h 4.0.2-3/include/capstone/evm.h
--- 4.0.1+really+3.0.5-2/include/capstone/evm.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/evm.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,188 @@
+#ifndef CAPSTONE_EVM_H
+#define CAPSTONE_EVM_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2018 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// Instruction structure
+typedef struct cs_evm {
+    unsigned char pop;    ///< number of items popped from the stack
+    unsigned char push;   ///< number of items pushed into the stack
+    unsigned int  fee;    ///< gas fee for the instruction
+} cs_evm;
+
+/// EVM instruction
+typedef enum evm_insn {
+	EVM_INS_STOP = 0,
+	EVM_INS_ADD = 1,
+	EVM_INS_MUL = 2,
+	EVM_INS_SUB = 3,
+	EVM_INS_DIV = 4,
+	EVM_INS_SDIV = 5,
+	EVM_INS_MOD = 6,
+	EVM_INS_SMOD = 7,
+	EVM_INS_ADDMOD = 8,
+	EVM_INS_MULMOD = 9,
+	EVM_INS_EXP = 10,
+	EVM_INS_SIGNEXTEND = 11,
+	EVM_INS_LT = 16,
+	EVM_INS_GT = 17,
+	EVM_INS_SLT = 18,
+	EVM_INS_SGT = 19,
+	EVM_INS_EQ = 20,
+	EVM_INS_ISZERO = 21,
+	EVM_INS_AND = 22,
+	EVM_INS_OR = 23,
+	EVM_INS_XOR = 24,
+	EVM_INS_NOT = 25,
+	EVM_INS_BYTE = 26,
+	EVM_INS_SHA3 = 32,
+	EVM_INS_ADDRESS = 48,
+	EVM_INS_BALANCE = 49,
+	EVM_INS_ORIGIN = 50,
+	EVM_INS_CALLER = 51,
+	EVM_INS_CALLVALUE = 52,
+	EVM_INS_CALLDATALOAD = 53,
+	EVM_INS_CALLDATASIZE = 54,
+	EVM_INS_CALLDATACOPY = 55,
+	EVM_INS_CODESIZE = 56,
+	EVM_INS_CODECOPY = 57,
+	EVM_INS_GASPRICE = 58,
+	EVM_INS_EXTCODESIZE = 59,
+	EVM_INS_EXTCODECOPY = 60,
+	EVM_INS_RETURNDATASIZE = 61,
+	EVM_INS_RETURNDATACOPY = 62,
+	EVM_INS_BLOCKHASH = 64,
+	EVM_INS_COINBASE = 65,
+	EVM_INS_TIMESTAMP = 66,
+	EVM_INS_NUMBER = 67,
+	EVM_INS_DIFFICULTY = 68,
+	EVM_INS_GASLIMIT = 69,
+	EVM_INS_POP = 80,
+	EVM_INS_MLOAD = 81,
+	EVM_INS_MSTORE = 82,
+	EVM_INS_MSTORE8 = 83,
+	EVM_INS_SLOAD = 84,
+	EVM_INS_SSTORE = 85,
+	EVM_INS_JUMP = 86,
+	EVM_INS_JUMPI = 87,
+	EVM_INS_PC = 88,
+	EVM_INS_MSIZE = 89,
+	EVM_INS_GAS = 90,
+	EVM_INS_JUMPDEST = 91,
+	EVM_INS_PUSH1 = 96,
+	EVM_INS_PUSH2 = 97,
+	EVM_INS_PUSH3 = 98,
+	EVM_INS_PUSH4 = 99,
+	EVM_INS_PUSH5 = 100,
+	EVM_INS_PUSH6 = 101,
+	EVM_INS_PUSH7 = 102,
+	EVM_INS_PUSH8 = 103,
+	EVM_INS_PUSH9 = 104,
+	EVM_INS_PUSH10 = 105,
+	EVM_INS_PUSH11 = 106,
+	EVM_INS_PUSH12 = 107,
+	EVM_INS_PUSH13 = 108,
+	EVM_INS_PUSH14 = 109,
+	EVM_INS_PUSH15 = 110,
+	EVM_INS_PUSH16 = 111,
+	EVM_INS_PUSH17 = 112,
+	EVM_INS_PUSH18 = 113,
+	EVM_INS_PUSH19 = 114,
+	EVM_INS_PUSH20 = 115,
+	EVM_INS_PUSH21 = 116,
+	EVM_INS_PUSH22 = 117,
+	EVM_INS_PUSH23 = 118,
+	EVM_INS_PUSH24 = 119,
+	EVM_INS_PUSH25 = 120,
+	EVM_INS_PUSH26 = 121,
+	EVM_INS_PUSH27 = 122,
+	EVM_INS_PUSH28 = 123,
+	EVM_INS_PUSH29 = 124,
+	EVM_INS_PUSH30 = 125,
+	EVM_INS_PUSH31 = 126,
+	EVM_INS_PUSH32 = 127,
+	EVM_INS_DUP1 = 128,
+	EVM_INS_DUP2 = 129,
+	EVM_INS_DUP3 = 130,
+	EVM_INS_DUP4 = 131,
+	EVM_INS_DUP5 = 132,
+	EVM_INS_DUP6 = 133,
+	EVM_INS_DUP7 = 134,
+	EVM_INS_DUP8 = 135,
+	EVM_INS_DUP9 = 136,
+	EVM_INS_DUP10 = 137,
+	EVM_INS_DUP11 = 138,
+	EVM_INS_DUP12 = 139,
+	EVM_INS_DUP13 = 140,
+	EVM_INS_DUP14 = 141,
+	EVM_INS_DUP15 = 142,
+	EVM_INS_DUP16 = 143,
+	EVM_INS_SWAP1 = 144,
+	EVM_INS_SWAP2 = 145,
+	EVM_INS_SWAP3 = 146,
+	EVM_INS_SWAP4 = 147,
+	EVM_INS_SWAP5 = 148,
+	EVM_INS_SWAP6 = 149,
+	EVM_INS_SWAP7 = 150,
+	EVM_INS_SWAP8 = 151,
+	EVM_INS_SWAP9 = 152,
+	EVM_INS_SWAP10 = 153,
+	EVM_INS_SWAP11 = 154,
+	EVM_INS_SWAP12 = 155,
+	EVM_INS_SWAP13 = 156,
+	EVM_INS_SWAP14 = 157,
+	EVM_INS_SWAP15 = 158,
+	EVM_INS_SWAP16 = 159,
+	EVM_INS_LOG0 = 160,
+	EVM_INS_LOG1 = 161,
+	EVM_INS_LOG2 = 162,
+	EVM_INS_LOG3 = 163,
+	EVM_INS_LOG4 = 164,
+	EVM_INS_CREATE = 240,
+	EVM_INS_CALL = 241,
+	EVM_INS_CALLCODE = 242,
+	EVM_INS_RETURN = 243,
+	EVM_INS_DELEGATECALL = 244,
+	EVM_INS_CALLBLACKBOX = 245,
+	EVM_INS_STATICCALL = 250,
+	EVM_INS_REVERT = 253,
+	EVM_INS_SUICIDE = 255,
+
+	EVM_INS_INVALID = 512,
+	EVM_INS_ENDING,   // <-- mark the end of the list of instructions
+} evm_insn;
+
+/// Group of EVM instructions
+typedef enum evm_insn_group {
+	EVM_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	EVM_GRP_JUMP,          ///< all jump instructions
+
+	EVM_GRP_MATH = 8,      ///< math instructions
+	EVM_GRP_STACK_WRITE,   ///< instructions write to stack
+	EVM_GRP_STACK_READ,    ///< instructions read from stack
+	EVM_GRP_MEM_WRITE,     ///< instructions write to memory
+	EVM_GRP_MEM_READ,      ///< instructions read from memory
+	EVM_GRP_STORE_WRITE,   ///< instructions write to storage
+	EVM_GRP_STORE_READ,    ///< instructions read from storage
+	EVM_GRP_HALT,    ///< instructions halt execution
+
+	EVM_GRP_ENDING,   ///< <-- mark the end of the list of groups
+} evm_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/m680x.h 4.0.2-3/include/capstone/m680x.h
--- 4.0.1+really+3.0.5-2/include/capstone/m680x.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/m680x.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,537 @@
+#ifndef CAPSTONE_M680X_H
+#define CAPSTONE_M680X_H
+
+/* Capstone Disassembly Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+#define M680X_OPERAND_COUNT 9
+
+/// M680X registers and special registers
+typedef enum m680x_reg {
+	M680X_REG_INVALID = 0,
+
+	M680X_REG_A, ///< M6800/1/2/3/9, HD6301/9
+	M680X_REG_B, ///< M6800/1/2/3/9, HD6301/9
+	M680X_REG_E, ///< HD6309
+	M680X_REG_F, ///< HD6309
+	M680X_REG_0, ///< HD6309
+
+	M680X_REG_D, ///< M6801/3/9, HD6301/9
+	M680X_REG_W, ///< HD6309
+
+	M680X_REG_CC, ///< M6800/1/2/3/9, M6301/9
+	M680X_REG_DP, ///< M6809/M6309
+	M680X_REG_MD, ///< M6309
+
+	M680X_REG_HX, ///< M6808
+	M680X_REG_H, ///< M6808
+	M680X_REG_X, ///< M6800/1/2/3/9, M6301/9
+	M680X_REG_Y, ///< M6809/M6309
+	M680X_REG_S, ///< M6809/M6309
+	M680X_REG_U, ///< M6809/M6309
+	M680X_REG_V, ///< M6309
+
+	M680X_REG_Q, ///< M6309
+
+	M680X_REG_PC, ///< M6800/1/2/3/9, M6301/9
+
+	M680X_REG_TMP2, ///< CPU12
+	M680X_REG_TMP3, ///< CPU12
+
+	M680X_REG_ENDING,   ///< <-- mark the end of the list of registers
+} m680x_reg;
+
+/// Operand type for instruction's operands
+typedef enum m680x_op_type {
+	M680X_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	M680X_OP_REGISTER,    ///< = Register operand.
+	M680X_OP_IMMEDIATE,   ///< = Immediate operand.
+	M680X_OP_INDEXED,     ///< = Indexed addressing operand.
+	M680X_OP_EXTENDED,    ///< = Extended addressing operand.
+	M680X_OP_DIRECT,      ///< = Direct addressing operand.
+	M680X_OP_RELATIVE,    ///< = Relative addressing operand.
+	M680X_OP_CONSTANT,    ///< = constant operand (Displayed as number only).
+				///< Used e.g. for a bit index or page number.
+} m680x_op_type;
+
+// Supported bit values for mem.idx.offset_bits
+#define M680X_OFFSET_NONE      0
+#define M680X_OFFSET_BITS_5    5
+#define M680X_OFFSET_BITS_8    8
+#define M680X_OFFSET_BITS_9    9
+#define M680X_OFFSET_BITS_16  16
+
+// Supported bit flags for mem.idx.flags
+// These flags can be combined
+#define M680X_IDX_INDIRECT     1
+#define M680X_IDX_NO_COMMA     2
+#define M680X_IDX_POST_INC_DEC 4
+
+/// Instruction's operand referring to indexed addressing
+typedef struct m680x_op_idx {
+	m680x_reg base_reg;	///< base register (or M680X_REG_INVALID if
+				///< irrelevant)
+	m680x_reg offset_reg;	///< offset register (or M680X_REG_INVALID if
+				///< irrelevant)
+	int16_t offset;		///< 5-,8- or 16-bit offset. See also offset_bits.
+	uint16_t offset_addr;	///< = offset addr. if base_reg == M680X_REG_PC.
+				///< calculated as offset + PC
+	uint8_t offset_bits;	///< offset width in bits for indexed addressing
+	int8_t inc_dec;		///< inc. or dec. value:
+				///<    0: no inc-/decrement
+				///<    1 .. 8: increment by 1 .. 8
+				///<    -1 .. -8: decrement by 1 .. 8
+				///< if flag M680X_IDX_POST_INC_DEC set it is post
+				///< inc-/decrement otherwise pre inc-/decrement
+	uint8_t flags;		///< 8-bit flags (see above)
+} m680x_op_idx;
+
+/// Instruction's memory operand referring to relative addressing (Bcc/LBcc)
+typedef struct m680x_op_rel {
+	uint16_t address;	///< The absolute address.
+				///< calculated as PC + offset. PC is the first
+				///< address after the instruction.
+	int16_t offset;		///< the offset/displacement value
+} m680x_op_rel;
+
+/// Instruction's operand referring to extended addressing
+typedef struct m680x_op_ext {
+	uint16_t address;      ///< The absolute address
+	bool indirect;         ///< true if extended indirect addressing
+} m680x_op_ext;
+
+/// Instruction operand
+typedef struct cs_m680x_op {
+	m680x_op_type type;
+	union {
+		int32_t imm;		///< immediate value for IMM operand
+		m680x_reg reg;		///< register value for REG operand
+		m680x_op_idx idx;	///< Indexed addressing operand
+		m680x_op_rel rel;	///< Relative address. operand (Bcc/LBcc)
+		m680x_op_ext ext;	///< Extended address
+		uint8_t direct_addr;	///<</ Direct address (lower 8-bit)
+		uint8_t const_val;	///< constant value (bit index, page nr.)
+	};
+	uint8_t size;			///< size of this operand (in bytes)
+	/// How is this operand accessed? (READ, WRITE or READ|WRITE)
+	/// This field is combined of cs_ac_type.
+	/// NOTE: this field is irrelevant if engine is compiled in DIET 
+	uint8_t access;
+} cs_m680x_op;
+
+/// Group of M680X instructions
+typedef enum m680x_group_type {
+	M680X_GRP_INVALID = 0,	/// = CS_GRP_INVALID
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	M680X_GRP_JUMP,		///< = CS_GRP_JUMP
+	// all call instructions
+	M680X_GRP_CALL,		///< = CS_GRP_CALL
+	// all return instructions
+	M680X_GRP_RET,		///< = CS_GRP_RET
+	// all interrupt instructions (int+syscall)
+	M680X_GRP_INT,		///< = CS_GRP_INT
+	// all interrupt return instructions
+	M680X_GRP_IRET,		///< = CS_GRP_IRET
+	// all privileged instructions
+	M680X_GRP_PRIV,		///< = CS_GRP_PRIVILEDGE; not used
+	// all relative branching instructions
+	M680X_GRP_BRAREL,	///< = CS_GRP_BRANCH_RELATIVE
+
+	// Architecture-specific groups
+	M680X_GRP_ENDING,	// <-- mark the end of the list of groups
+} m680x_group_type;
+
+// M680X instruction flags:
+
+/// The first (register) operand is part of the
+/// instruction mnemonic
+#define M680X_FIRST_OP_IN_MNEM    1
+/// The second (register) operand is part of the
+/// instruction mnemonic
+#define M680X_SECOND_OP_IN_MNEM   2
+
+/// The M680X instruction and it's operands
+typedef struct cs_m680x {
+	uint8_t flags;		///< See: M680X instruction flags
+	uint8_t op_count;	///< number of operands for the instruction or 0
+	cs_m680x_op operands[M680X_OPERAND_COUNT]; ///< operands for this insn.
+} cs_m680x;
+
+/// M680X instruction IDs
+typedef enum m680x_insn {
+	M680X_INS_INVLD = 0,
+	M680X_INS_ABA, ///< M6800/1/2/3
+	M680X_INS_ABX,
+	M680X_INS_ABY,
+	M680X_INS_ADC,
+	M680X_INS_ADCA,
+	M680X_INS_ADCB,
+	M680X_INS_ADCD,
+	M680X_INS_ADCR,
+	M680X_INS_ADD,
+	M680X_INS_ADDA,
+	M680X_INS_ADDB,
+	M680X_INS_ADDD,
+	M680X_INS_ADDE,
+	M680X_INS_ADDF,
+	M680X_INS_ADDR,
+	M680X_INS_ADDW,
+	M680X_INS_AIM,
+	M680X_INS_AIS,
+	M680X_INS_AIX,
+	M680X_INS_AND,
+	M680X_INS_ANDA,
+	M680X_INS_ANDB,
+	M680X_INS_ANDCC,
+	M680X_INS_ANDD,
+	M680X_INS_ANDR,
+	M680X_INS_ASL,
+	M680X_INS_ASLA,
+	M680X_INS_ASLB,
+	M680X_INS_ASLD, ///< or LSLD
+	M680X_INS_ASR,
+	M680X_INS_ASRA,
+	M680X_INS_ASRB,
+	M680X_INS_ASRD,
+	M680X_INS_ASRX,
+	M680X_INS_BAND,
+	M680X_INS_BCC, ///< or BHS
+	M680X_INS_BCLR,
+	M680X_INS_BCS, ///< or BLO
+	M680X_INS_BEOR,
+	M680X_INS_BEQ,
+	M680X_INS_BGE,
+	M680X_INS_BGND,
+	M680X_INS_BGT,
+	M680X_INS_BHCC,
+	M680X_INS_BHCS,
+	M680X_INS_BHI,
+	M680X_INS_BIAND,
+	M680X_INS_BIEOR,
+	M680X_INS_BIH,
+	M680X_INS_BIL,
+	M680X_INS_BIOR,
+	M680X_INS_BIT,
+	M680X_INS_BITA,
+	M680X_INS_BITB,
+	M680X_INS_BITD,
+	M680X_INS_BITMD,
+	M680X_INS_BLE,
+	M680X_INS_BLS,
+	M680X_INS_BLT,
+	M680X_INS_BMC,
+	M680X_INS_BMI,
+	M680X_INS_BMS,
+	M680X_INS_BNE,
+	M680X_INS_BOR,
+	M680X_INS_BPL,
+	M680X_INS_BRCLR,
+	M680X_INS_BRSET,
+	M680X_INS_BRA,
+	M680X_INS_BRN,
+	M680X_INS_BSET,
+	M680X_INS_BSR,
+	M680X_INS_BVC,
+	M680X_INS_BVS,
+	M680X_INS_CALL,
+	M680X_INS_CBA, ///< M6800/1/2/3
+	M680X_INS_CBEQ,
+	M680X_INS_CBEQA,
+	M680X_INS_CBEQX,
+	M680X_INS_CLC, ///< M6800/1/2/3
+	M680X_INS_CLI, ///< M6800/1/2/3
+	M680X_INS_CLR,
+	M680X_INS_CLRA,
+	M680X_INS_CLRB,
+	M680X_INS_CLRD,
+	M680X_INS_CLRE,
+	M680X_INS_CLRF,
+	M680X_INS_CLRH,
+	M680X_INS_CLRW,
+	M680X_INS_CLRX,
+	M680X_INS_CLV, ///< M6800/1/2/3
+	M680X_INS_CMP,
+	M680X_INS_CMPA,
+	M680X_INS_CMPB,
+	M680X_INS_CMPD,
+	M680X_INS_CMPE,
+	M680X_INS_CMPF,
+	M680X_INS_CMPR,
+	M680X_INS_CMPS,
+	M680X_INS_CMPU,
+	M680X_INS_CMPW,
+	M680X_INS_CMPX,
+	M680X_INS_CMPY,
+	M680X_INS_COM,
+	M680X_INS_COMA,
+	M680X_INS_COMB,
+	M680X_INS_COMD,
+	M680X_INS_COME,
+	M680X_INS_COMF,
+	M680X_INS_COMW,
+	M680X_INS_COMX,
+	M680X_INS_CPD,
+	M680X_INS_CPHX,
+	M680X_INS_CPS,
+	M680X_INS_CPX, ///< M6800/1/2/3
+	M680X_INS_CPY,
+	M680X_INS_CWAI,
+	M680X_INS_DAA,
+	M680X_INS_DBEQ,
+	M680X_INS_DBNE,
+	M680X_INS_DBNZ,
+	M680X_INS_DBNZA,
+	M680X_INS_DBNZX,
+	M680X_INS_DEC,
+	M680X_INS_DECA,
+	M680X_INS_DECB,
+	M680X_INS_DECD,
+	M680X_INS_DECE,
+	M680X_INS_DECF,
+	M680X_INS_DECW,
+	M680X_INS_DECX,
+	M680X_INS_DES, ///< M6800/1/2/3
+	M680X_INS_DEX, ///< M6800/1/2/3
+	M680X_INS_DEY,
+	M680X_INS_DIV,
+	M680X_INS_DIVD,
+	M680X_INS_DIVQ,
+	M680X_INS_EDIV,
+	M680X_INS_EDIVS,
+	M680X_INS_EIM,
+	M680X_INS_EMACS,
+	M680X_INS_EMAXD,
+	M680X_INS_EMAXM,
+	M680X_INS_EMIND,
+	M680X_INS_EMINM,
+	M680X_INS_EMUL,
+	M680X_INS_EMULS,
+	M680X_INS_EOR,
+	M680X_INS_EORA,
+	M680X_INS_EORB,
+	M680X_INS_EORD,
+	M680X_INS_EORR,
+	M680X_INS_ETBL,
+	M680X_INS_EXG,
+	M680X_INS_FDIV,
+	M680X_INS_IBEQ,
+	M680X_INS_IBNE,
+	M680X_INS_IDIV,
+	M680X_INS_IDIVS,
+	M680X_INS_ILLGL,
+	M680X_INS_INC,
+	M680X_INS_INCA,
+	M680X_INS_INCB,
+	M680X_INS_INCD,
+	M680X_INS_INCE,
+	M680X_INS_INCF,
+	M680X_INS_INCW,
+	M680X_INS_INCX,
+	M680X_INS_INS, ///< M6800/1/2/3
+	M680X_INS_INX, ///< M6800/1/2/3
+	M680X_INS_INY,
+	M680X_INS_JMP,
+	M680X_INS_JSR,
+	M680X_INS_LBCC, ///< or LBHS
+	M680X_INS_LBCS, ///< or LBLO
+	M680X_INS_LBEQ,
+	M680X_INS_LBGE,
+	M680X_INS_LBGT,
+	M680X_INS_LBHI,
+	M680X_INS_LBLE,
+	M680X_INS_LBLS,
+	M680X_INS_LBLT,
+	M680X_INS_LBMI,
+	M680X_INS_LBNE,
+	M680X_INS_LBPL,
+	M680X_INS_LBRA,
+	M680X_INS_LBRN,
+	M680X_INS_LBSR,
+	M680X_INS_LBVC,
+	M680X_INS_LBVS,
+	M680X_INS_LDA,
+	M680X_INS_LDAA, ///< M6800/1/2/3
+	M680X_INS_LDAB, ///< M6800/1/2/3
+	M680X_INS_LDB,
+	M680X_INS_LDBT,
+	M680X_INS_LDD,
+	M680X_INS_LDE,
+	M680X_INS_LDF,
+	M680X_INS_LDHX,
+	M680X_INS_LDMD,
+	M680X_INS_LDQ,
+	M680X_INS_LDS,
+	M680X_INS_LDU,
+	M680X_INS_LDW,
+	M680X_INS_LDX,
+	M680X_INS_LDY,
+	M680X_INS_LEAS,
+	M680X_INS_LEAU,
+	M680X_INS_LEAX,
+	M680X_INS_LEAY,
+	M680X_INS_LSL,
+	M680X_INS_LSLA,
+	M680X_INS_LSLB,
+	M680X_INS_LSLD,
+	M680X_INS_LSLX,
+	M680X_INS_LSR,
+	M680X_INS_LSRA,
+	M680X_INS_LSRB,
+	M680X_INS_LSRD, ///< or ASRD
+	M680X_INS_LSRW,
+	M680X_INS_LSRX,
+	M680X_INS_MAXA,
+	M680X_INS_MAXM,
+	M680X_INS_MEM,
+	M680X_INS_MINA,
+	M680X_INS_MINM,
+	M680X_INS_MOV,
+	M680X_INS_MOVB,
+	M680X_INS_MOVW,
+	M680X_INS_MUL,
+	M680X_INS_MULD,
+	M680X_INS_NEG,
+	M680X_INS_NEGA,
+	M680X_INS_NEGB,
+	M680X_INS_NEGD,
+	M680X_INS_NEGX,
+	M680X_INS_NOP,
+	M680X_INS_NSA,
+	M680X_INS_OIM,
+	M680X_INS_ORA,
+	M680X_INS_ORAA, ///< M6800/1/2/3
+	M680X_INS_ORAB, ///< M6800/1/2/3
+	M680X_INS_ORB,
+	M680X_INS_ORCC,
+	M680X_INS_ORD,
+	M680X_INS_ORR,
+	M680X_INS_PSHA, ///< M6800/1/2/3
+	M680X_INS_PSHB, ///< M6800/1/2/3
+	M680X_INS_PSHC,
+	M680X_INS_PSHD,
+	M680X_INS_PSHH,
+	M680X_INS_PSHS,
+	M680X_INS_PSHSW,
+	M680X_INS_PSHU,
+	M680X_INS_PSHUW,
+	M680X_INS_PSHX, ///< M6800/1/2/3
+	M680X_INS_PSHY,
+	M680X_INS_PULA, ///< M6800/1/2/3
+	M680X_INS_PULB, ///< M6800/1/2/3
+	M680X_INS_PULC,
+	M680X_INS_PULD,
+	M680X_INS_PULH,
+	M680X_INS_PULS,
+	M680X_INS_PULSW,
+	M680X_INS_PULU,
+	M680X_INS_PULUW,
+	M680X_INS_PULX, ///< M6800/1/2/3
+	M680X_INS_PULY,
+	M680X_INS_REV,
+	M680X_INS_REVW,
+	M680X_INS_ROL,
+	M680X_INS_ROLA,
+	M680X_INS_ROLB,
+	M680X_INS_ROLD,
+	M680X_INS_ROLW,
+	M680X_INS_ROLX,
+	M680X_INS_ROR,
+	M680X_INS_RORA,
+	M680X_INS_RORB,
+	M680X_INS_RORD,
+	M680X_INS_RORW,
+	M680X_INS_RORX,
+	M680X_INS_RSP,
+	M680X_INS_RTC,
+	M680X_INS_RTI,
+	M680X_INS_RTS,
+	M680X_INS_SBA, ///< M6800/1/2/3
+	M680X_INS_SBC,
+	M680X_INS_SBCA,
+	M680X_INS_SBCB,
+	M680X_INS_SBCD,
+	M680X_INS_SBCR,
+	M680X_INS_SEC,
+	M680X_INS_SEI,
+	M680X_INS_SEV,
+	M680X_INS_SEX,
+	M680X_INS_SEXW,
+	M680X_INS_SLP,
+	M680X_INS_STA,
+	M680X_INS_STAA, ///< M6800/1/2/3
+	M680X_INS_STAB, ///< M6800/1/2/3
+	M680X_INS_STB,
+	M680X_INS_STBT,
+	M680X_INS_STD,
+	M680X_INS_STE,
+	M680X_INS_STF,
+	M680X_INS_STOP,
+	M680X_INS_STHX,
+	M680X_INS_STQ,
+	M680X_INS_STS,
+	M680X_INS_STU,
+	M680X_INS_STW,
+	M680X_INS_STX,
+	M680X_INS_STY,
+	M680X_INS_SUB,
+	M680X_INS_SUBA,
+	M680X_INS_SUBB,
+	M680X_INS_SUBD,
+	M680X_INS_SUBE,
+	M680X_INS_SUBF,
+	M680X_INS_SUBR,
+	M680X_INS_SUBW,
+	M680X_INS_SWI,
+	M680X_INS_SWI2,
+	M680X_INS_SWI3,
+	M680X_INS_SYNC,
+	M680X_INS_TAB, ///< M6800/1/2/3
+	M680X_INS_TAP, ///< M6800/1/2/3
+	M680X_INS_TAX,
+	M680X_INS_TBA, ///< M6800/1/2/3
+	M680X_INS_TBEQ,
+	M680X_INS_TBL,
+	M680X_INS_TBNE,
+	M680X_INS_TEST,
+	M680X_INS_TFM,
+	M680X_INS_TFR,
+	M680X_INS_TIM,
+	M680X_INS_TPA, ///< M6800/1/2/3
+	M680X_INS_TST,
+	M680X_INS_TSTA,
+	M680X_INS_TSTB,
+	M680X_INS_TSTD,
+	M680X_INS_TSTE,
+	M680X_INS_TSTF,
+	M680X_INS_TSTW,
+	M680X_INS_TSTX,
+	M680X_INS_TSX, ///< M6800/1/2/3
+	M680X_INS_TSY,
+	M680X_INS_TXA,
+	M680X_INS_TXS, ///< M6800/1/2/3
+	M680X_INS_TYS,
+	M680X_INS_WAI, ///< M6800/1/2/3
+	M680X_INS_WAIT,
+	M680X_INS_WAV,
+	M680X_INS_WAVR,
+	M680X_INS_XGDX, ///< HD6301
+	M680X_INS_XGDY,
+	M680X_INS_ENDING,   // <-- mark the end of the list of instructions
+} m680x_insn;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/m68k.h 4.0.2-3/include/capstone/m68k.h
--- 4.0.1+really+3.0.5-2/include/capstone/m68k.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/m68k.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,613 @@
+#ifndef CAPSTONE_M68K_H
+#define CAPSTONE_M68K_H
+
+/* Capstone Disassembly Engine */
+/* By Daniel Collin <daniel@collin.com>, 2015-2016 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+#define M68K_OPERAND_COUNT 4
+
+/// M68K registers and special registers
+typedef enum m68k_reg {
+	M68K_REG_INVALID = 0,
+
+	M68K_REG_D0,
+	M68K_REG_D1,
+	M68K_REG_D2,
+	M68K_REG_D3,
+	M68K_REG_D4,
+	M68K_REG_D5,
+	M68K_REG_D6,
+	M68K_REG_D7,
+
+	M68K_REG_A0,
+	M68K_REG_A1,
+	M68K_REG_A2,
+	M68K_REG_A3,
+	M68K_REG_A4,
+	M68K_REG_A5,
+	M68K_REG_A6,
+	M68K_REG_A7,
+
+	M68K_REG_FP0,
+	M68K_REG_FP1,
+	M68K_REG_FP2,
+	M68K_REG_FP3,
+	M68K_REG_FP4,
+	M68K_REG_FP5,
+	M68K_REG_FP6,
+	M68K_REG_FP7,
+
+	M68K_REG_PC,
+
+	M68K_REG_SR,
+	M68K_REG_CCR,
+	M68K_REG_SFC,
+	M68K_REG_DFC,
+	M68K_REG_USP,
+	M68K_REG_VBR,
+	M68K_REG_CACR,
+	M68K_REG_CAAR,
+	M68K_REG_MSP,
+	M68K_REG_ISP,
+	M68K_REG_TC,
+	M68K_REG_ITT0,
+	M68K_REG_ITT1,
+	M68K_REG_DTT0,
+	M68K_REG_DTT1,
+	M68K_REG_MMUSR,
+	M68K_REG_URP,
+	M68K_REG_SRP,
+
+	M68K_REG_FPCR,
+	M68K_REG_FPSR,
+	M68K_REG_FPIAR,
+
+	M68K_REG_ENDING,   // <-- mark the end of the list of registers
+} m68k_reg;
+
+/// M68K Addressing Modes
+typedef enum m68k_address_mode {
+	M68K_AM_NONE = 0,			///< No address mode.
+
+	M68K_AM_REG_DIRECT_DATA,		///< Register Direct - Data
+	M68K_AM_REG_DIRECT_ADDR,		///< Register Direct - Address
+
+	M68K_AM_REGI_ADDR,				///< Register Indirect - Address
+	M68K_AM_REGI_ADDR_POST_INC,		///< Register Indirect - Address with Postincrement
+	M68K_AM_REGI_ADDR_PRE_DEC,		///< Register Indirect - Address with Predecrement
+	M68K_AM_REGI_ADDR_DISP,			///< Register Indirect - Address with Displacement
+
+	M68K_AM_AREGI_INDEX_8_BIT_DISP,	///< Address Register Indirect With Index- 8-bit displacement
+	M68K_AM_AREGI_INDEX_BASE_DISP,	///< Address Register Indirect With Index- Base displacement
+
+	M68K_AM_MEMI_POST_INDEX,		///< Memory indirect - Postindex
+	M68K_AM_MEMI_PRE_INDEX,			///< Memory indirect - Preindex
+
+	M68K_AM_PCI_DISP,				///< Program Counter Indirect - with Displacement
+
+	M68K_AM_PCI_INDEX_8_BIT_DISP,	///< Program Counter Indirect with Index - with 8-Bit Displacement
+	M68K_AM_PCI_INDEX_BASE_DISP,	///< Program Counter Indirect with Index - with Base Displacement
+
+	M68K_AM_PC_MEMI_POST_INDEX,		///< Program Counter Memory Indirect - Postindexed
+	M68K_AM_PC_MEMI_PRE_INDEX,		///< Program Counter Memory Indirect - Preindexed
+
+	M68K_AM_ABSOLUTE_DATA_SHORT,	///< Absolute Data Addressing  - Short
+	M68K_AM_ABSOLUTE_DATA_LONG,		///< Absolute Data Addressing  - Long
+	M68K_AM_IMMEDIATE,              ///< Immediate value
+
+	M68K_AM_BRANCH_DISPLACEMENT,    ///< Address as displacement from (PC+2) used by branches
+} m68k_address_mode;
+
+/// Operand type for instruction's operands
+typedef enum m68k_op_type {
+	M68K_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	M68K_OP_REG,         ///< = CS_OP_REG (Register operand).
+	M68K_OP_IMM,         ///< = CS_OP_IMM (Immediate operand).
+	M68K_OP_MEM,         ///< = CS_OP_MEM (Memory operand).
+	M68K_OP_FP_SINGLE,   ///< single precision Floating-Point operand
+	M68K_OP_FP_DOUBLE,   ///< double precision Floating-Point operand
+	M68K_OP_REG_BITS,    ///< Register bits move
+	M68K_OP_REG_PAIR,    ///< Register pair in the same op (upper 4 bits for first reg, lower for second)
+	M68K_OP_BR_DISP,     ///< Branch displacement
+} m68k_op_type;
+
+/// Instruction's operand referring to memory
+/// This is associated with M68K_OP_MEM operand type above
+typedef struct m68k_op_mem {
+	m68k_reg base_reg;      ///< base register (or M68K_REG_INVALID if irrelevant)
+	m68k_reg index_reg;     ///< index register (or M68K_REG_INVALID if irrelevant)
+	m68k_reg in_base_reg;   ///< indirect base register (or M68K_REG_INVALID if irrelevant)
+	uint32_t in_disp; 	    ///< indirect displacement
+	uint32_t out_disp;      ///< other displacement
+	int16_t disp;	        ///< displacement value
+	uint8_t scale;	        ///< scale for index register
+	uint8_t bitfield;       ///< set to true if the two values below should be used
+	uint8_t width;	        ///< used for bf* instructions
+	uint8_t offset;	        ///< used for bf* instructions
+	uint8_t index_size;     ///< 0 = w, 1 = l
+} m68k_op_mem;
+
+/// Operand type for instruction's operands
+typedef enum m68k_op_br_disp_size {
+	M68K_OP_BR_DISP_SIZE_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	M68K_OP_BR_DISP_SIZE_BYTE = 1,    ///< signed 8-bit displacement
+	M68K_OP_BR_DISP_SIZE_WORD = 2,    ///< signed 16-bit displacement
+	M68K_OP_BR_DISP_SIZE_LONG = 4,    ///< signed 32-bit displacement
+} m68k_op_br_disp_size;
+
+typedef struct m68k_op_br_disp {
+	int32_t disp;	        ///< displacement value
+	uint8_t disp_size;		///< Size from m68k_op_br_disp_size type above
+} m68k_op_br_disp;
+
+/// Register pair in one operand.
+typedef struct cs_m68k_op_reg_pair {
+	m68k_reg reg_0;
+	m68k_reg reg_1;
+} cs_m68k_op_reg_pair;
+
+/// Instruction operand
+typedef struct cs_m68k_op {
+	union {
+		uint64_t imm;               ///< immediate value for IMM operand
+		double dimm; 		    ///< double imm
+		float simm; 		    ///< float imm
+		m68k_reg reg;		    ///< register value for REG operand
+		cs_m68k_op_reg_pair reg_pair; ///< register pair in one operand
+	};
+
+	m68k_op_mem mem; 	    ///< data when operand is targeting memory
+	m68k_op_br_disp br_disp; ///< data when operand is a branch displacement
+	uint32_t register_bits; ///< register bits for movem etc. (always in d0-d7, a0-a7, fp0 - fp7 order)
+	m68k_op_type type;
+	m68k_address_mode address_mode;	///< M68K addressing mode for this op
+} cs_m68k_op;
+
+/// Operation size of the CPU instructions
+typedef enum m68k_cpu_size {
+	M68K_CPU_SIZE_NONE = 0,		///< unsized or unspecified
+	M68K_CPU_SIZE_BYTE = 1,		///< 1 byte in size
+	M68K_CPU_SIZE_WORD = 2,		///< 2 bytes in size
+	M68K_CPU_SIZE_LONG = 4,		///< 4 bytes in size
+} m68k_cpu_size;
+
+/// Operation size of the FPU instructions (Notice that FPU instruction can also use CPU sizes if needed)
+typedef enum m68k_fpu_size {
+	M68K_FPU_SIZE_NONE = 0,		///< unsized like fsave/frestore
+	M68K_FPU_SIZE_SINGLE = 4,		///< 4 byte in size (single float)
+	M68K_FPU_SIZE_DOUBLE = 8,		///< 8 byte in size (double)
+	M68K_FPU_SIZE_EXTENDED = 12,	///< 12 byte in size (extended real format)
+} m68k_fpu_size;
+
+/// Type of size that is being used for the current instruction
+typedef enum m68k_size_type {
+	M68K_SIZE_TYPE_INVALID = 0,
+
+	M68K_SIZE_TYPE_CPU,
+	M68K_SIZE_TYPE_FPU,
+} m68k_size_type;
+
+/// Operation size of the current instruction (NOT the actually size of instruction)
+typedef struct m68k_op_size {
+	m68k_size_type type;
+	union {
+		m68k_cpu_size cpu_size;
+		m68k_fpu_size fpu_size;
+	};
+} m68k_op_size;
+
+/// The M68K instruction and it's operands
+typedef struct cs_m68k {
+	// Number of operands of this instruction or 0 when instruction has no operand.
+	cs_m68k_op operands[M68K_OPERAND_COUNT]; ///< operands for this instruction.
+	m68k_op_size op_size;	///< size of data operand works on in bytes (.b, .w, .l, etc)
+	uint8_t op_count; ///< number of operands for the instruction
+} cs_m68k;
+
+/// M68K instruction
+typedef enum m68k_insn {
+	M68K_INS_INVALID = 0,
+
+	M68K_INS_ABCD,
+	M68K_INS_ADD,
+	M68K_INS_ADDA,
+	M68K_INS_ADDI,
+	M68K_INS_ADDQ,
+	M68K_INS_ADDX,
+	M68K_INS_AND,
+	M68K_INS_ANDI,
+	M68K_INS_ASL,
+	M68K_INS_ASR,
+	M68K_INS_BHS,
+	M68K_INS_BLO,
+	M68K_INS_BHI,
+	M68K_INS_BLS,
+	M68K_INS_BCC,
+	M68K_INS_BCS,
+	M68K_INS_BNE,
+	M68K_INS_BEQ,
+	M68K_INS_BVC,
+	M68K_INS_BVS,
+	M68K_INS_BPL,
+	M68K_INS_BMI,
+	M68K_INS_BGE,
+	M68K_INS_BLT,
+	M68K_INS_BGT,
+	M68K_INS_BLE,
+	M68K_INS_BRA,
+	M68K_INS_BSR,
+	M68K_INS_BCHG,
+	M68K_INS_BCLR,
+	M68K_INS_BSET,
+	M68K_INS_BTST,
+	M68K_INS_BFCHG,
+	M68K_INS_BFCLR,
+	M68K_INS_BFEXTS,
+	M68K_INS_BFEXTU,
+	M68K_INS_BFFFO,
+	M68K_INS_BFINS,
+	M68K_INS_BFSET,
+	M68K_INS_BFTST,
+	M68K_INS_BKPT,
+	M68K_INS_CALLM,
+	M68K_INS_CAS,
+	M68K_INS_CAS2,
+	M68K_INS_CHK,
+	M68K_INS_CHK2,
+	M68K_INS_CLR,
+	M68K_INS_CMP,
+	M68K_INS_CMPA,
+	M68K_INS_CMPI,
+	M68K_INS_CMPM,
+	M68K_INS_CMP2,
+	M68K_INS_CINVL,
+	M68K_INS_CINVP,
+	M68K_INS_CINVA,
+	M68K_INS_CPUSHL,
+	M68K_INS_CPUSHP,
+	M68K_INS_CPUSHA,
+	M68K_INS_DBT,
+	M68K_INS_DBF,
+	M68K_INS_DBHI,
+	M68K_INS_DBLS,
+	M68K_INS_DBCC,
+	M68K_INS_DBCS,
+	M68K_INS_DBNE,
+	M68K_INS_DBEQ,
+	M68K_INS_DBVC,
+	M68K_INS_DBVS,
+	M68K_INS_DBPL,
+	M68K_INS_DBMI,
+	M68K_INS_DBGE,
+	M68K_INS_DBLT,
+	M68K_INS_DBGT,
+	M68K_INS_DBLE,
+	M68K_INS_DBRA,
+	M68K_INS_DIVS,
+	M68K_INS_DIVSL,
+	M68K_INS_DIVU,
+	M68K_INS_DIVUL,
+	M68K_INS_EOR,
+	M68K_INS_EORI,
+	M68K_INS_EXG,
+	M68K_INS_EXT,
+	M68K_INS_EXTB,
+	M68K_INS_FABS,
+	M68K_INS_FSABS,
+	M68K_INS_FDABS,
+	M68K_INS_FACOS,
+	M68K_INS_FADD,
+	M68K_INS_FSADD,
+	M68K_INS_FDADD,
+	M68K_INS_FASIN,
+	M68K_INS_FATAN,
+	M68K_INS_FATANH,
+	M68K_INS_FBF,
+	M68K_INS_FBEQ,
+	M68K_INS_FBOGT,
+	M68K_INS_FBOGE,
+	M68K_INS_FBOLT,
+	M68K_INS_FBOLE,
+	M68K_INS_FBOGL,
+	M68K_INS_FBOR,
+	M68K_INS_FBUN,
+	M68K_INS_FBUEQ,
+	M68K_INS_FBUGT,
+	M68K_INS_FBUGE,
+	M68K_INS_FBULT,
+	M68K_INS_FBULE,
+	M68K_INS_FBNE,
+	M68K_INS_FBT,
+	M68K_INS_FBSF,
+	M68K_INS_FBSEQ,
+	M68K_INS_FBGT,
+	M68K_INS_FBGE,
+	M68K_INS_FBLT,
+	M68K_INS_FBLE,
+	M68K_INS_FBGL,
+	M68K_INS_FBGLE,
+	M68K_INS_FBNGLE,
+	M68K_INS_FBNGL,
+	M68K_INS_FBNLE,
+	M68K_INS_FBNLT,
+	M68K_INS_FBNGE,
+	M68K_INS_FBNGT,
+	M68K_INS_FBSNE,
+	M68K_INS_FBST,
+	M68K_INS_FCMP,
+	M68K_INS_FCOS,
+	M68K_INS_FCOSH,
+	M68K_INS_FDBF,
+	M68K_INS_FDBEQ,
+	M68K_INS_FDBOGT,
+	M68K_INS_FDBOGE,
+	M68K_INS_FDBOLT,
+	M68K_INS_FDBOLE,
+	M68K_INS_FDBOGL,
+	M68K_INS_FDBOR,
+	M68K_INS_FDBUN,
+	M68K_INS_FDBUEQ,
+	M68K_INS_FDBUGT,
+	M68K_INS_FDBUGE,
+	M68K_INS_FDBULT,
+	M68K_INS_FDBULE,
+	M68K_INS_FDBNE,
+	M68K_INS_FDBT,
+	M68K_INS_FDBSF,
+	M68K_INS_FDBSEQ,
+	M68K_INS_FDBGT,
+	M68K_INS_FDBGE,
+	M68K_INS_FDBLT,
+	M68K_INS_FDBLE,
+	M68K_INS_FDBGL,
+	M68K_INS_FDBGLE,
+	M68K_INS_FDBNGLE,
+	M68K_INS_FDBNGL,
+	M68K_INS_FDBNLE,
+	M68K_INS_FDBNLT,
+	M68K_INS_FDBNGE,
+	M68K_INS_FDBNGT,
+	M68K_INS_FDBSNE,
+	M68K_INS_FDBST,
+	M68K_INS_FDIV,
+	M68K_INS_FSDIV,
+	M68K_INS_FDDIV,
+	M68K_INS_FETOX,
+	M68K_INS_FETOXM1,
+	M68K_INS_FGETEXP,
+	M68K_INS_FGETMAN,
+	M68K_INS_FINT,
+	M68K_INS_FINTRZ,
+	M68K_INS_FLOG10,
+	M68K_INS_FLOG2,
+	M68K_INS_FLOGN,
+	M68K_INS_FLOGNP1,
+	M68K_INS_FMOD,
+	M68K_INS_FMOVE,
+	M68K_INS_FSMOVE,
+	M68K_INS_FDMOVE,
+	M68K_INS_FMOVECR,
+	M68K_INS_FMOVEM,
+	M68K_INS_FMUL,
+	M68K_INS_FSMUL,
+	M68K_INS_FDMUL,
+	M68K_INS_FNEG,
+	M68K_INS_FSNEG,
+	M68K_INS_FDNEG,
+	M68K_INS_FNOP,
+	M68K_INS_FREM,
+	M68K_INS_FRESTORE,
+	M68K_INS_FSAVE,
+	M68K_INS_FSCALE,
+	M68K_INS_FSGLDIV,
+	M68K_INS_FSGLMUL,
+	M68K_INS_FSIN,
+	M68K_INS_FSINCOS,
+	M68K_INS_FSINH,
+	M68K_INS_FSQRT,
+	M68K_INS_FSSQRT,
+	M68K_INS_FDSQRT,
+	M68K_INS_FSF,
+	M68K_INS_FSBEQ,
+	M68K_INS_FSOGT,
+	M68K_INS_FSOGE,
+	M68K_INS_FSOLT,
+	M68K_INS_FSOLE,
+	M68K_INS_FSOGL,
+	M68K_INS_FSOR,
+	M68K_INS_FSUN,
+	M68K_INS_FSUEQ,
+	M68K_INS_FSUGT,
+	M68K_INS_FSUGE,
+	M68K_INS_FSULT,
+	M68K_INS_FSULE,
+	M68K_INS_FSNE,
+	M68K_INS_FST,
+	M68K_INS_FSSF,
+	M68K_INS_FSSEQ,
+	M68K_INS_FSGT,
+	M68K_INS_FSGE,
+	M68K_INS_FSLT,
+	M68K_INS_FSLE,
+	M68K_INS_FSGL,
+	M68K_INS_FSGLE,
+	M68K_INS_FSNGLE,
+	M68K_INS_FSNGL,
+	M68K_INS_FSNLE,
+	M68K_INS_FSNLT,
+	M68K_INS_FSNGE,
+	M68K_INS_FSNGT,
+	M68K_INS_FSSNE,
+	M68K_INS_FSST,
+	M68K_INS_FSUB,
+	M68K_INS_FSSUB,
+	M68K_INS_FDSUB,
+	M68K_INS_FTAN,
+	M68K_INS_FTANH,
+	M68K_INS_FTENTOX,
+	M68K_INS_FTRAPF,
+	M68K_INS_FTRAPEQ,
+	M68K_INS_FTRAPOGT,
+	M68K_INS_FTRAPOGE,
+	M68K_INS_FTRAPOLT,
+	M68K_INS_FTRAPOLE,
+	M68K_INS_FTRAPOGL,
+	M68K_INS_FTRAPOR,
+	M68K_INS_FTRAPUN,
+	M68K_INS_FTRAPUEQ,
+	M68K_INS_FTRAPUGT,
+	M68K_INS_FTRAPUGE,
+	M68K_INS_FTRAPULT,
+	M68K_INS_FTRAPULE,
+	M68K_INS_FTRAPNE,
+	M68K_INS_FTRAPT,
+	M68K_INS_FTRAPSF,
+	M68K_INS_FTRAPSEQ,
+	M68K_INS_FTRAPGT,
+	M68K_INS_FTRAPGE,
+	M68K_INS_FTRAPLT,
+	M68K_INS_FTRAPLE,
+	M68K_INS_FTRAPGL,
+	M68K_INS_FTRAPGLE,
+	M68K_INS_FTRAPNGLE,
+	M68K_INS_FTRAPNGL,
+	M68K_INS_FTRAPNLE,
+	M68K_INS_FTRAPNLT,
+	M68K_INS_FTRAPNGE,
+	M68K_INS_FTRAPNGT,
+	M68K_INS_FTRAPSNE,
+	M68K_INS_FTRAPST,
+	M68K_INS_FTST,
+	M68K_INS_FTWOTOX,
+	M68K_INS_HALT,
+	M68K_INS_ILLEGAL,
+	M68K_INS_JMP,
+	M68K_INS_JSR,
+	M68K_INS_LEA,
+	M68K_INS_LINK,
+	M68K_INS_LPSTOP,
+	M68K_INS_LSL,
+	M68K_INS_LSR,
+	M68K_INS_MOVE,
+	M68K_INS_MOVEA,
+	M68K_INS_MOVEC,
+	M68K_INS_MOVEM,
+	M68K_INS_MOVEP,
+	M68K_INS_MOVEQ,
+	M68K_INS_MOVES,
+	M68K_INS_MOVE16,
+	M68K_INS_MULS,
+	M68K_INS_MULU,
+	M68K_INS_NBCD,
+	M68K_INS_NEG,
+	M68K_INS_NEGX,
+	M68K_INS_NOP,
+	M68K_INS_NOT,
+	M68K_INS_OR,
+	M68K_INS_ORI,
+	M68K_INS_PACK,
+	M68K_INS_PEA,
+	M68K_INS_PFLUSH,
+	M68K_INS_PFLUSHA,
+	M68K_INS_PFLUSHAN,
+	M68K_INS_PFLUSHN,
+	M68K_INS_PLOADR,
+	M68K_INS_PLOADW,
+	M68K_INS_PLPAR,
+	M68K_INS_PLPAW,
+	M68K_INS_PMOVE,
+	M68K_INS_PMOVEFD,
+	M68K_INS_PTESTR,
+	M68K_INS_PTESTW,
+	M68K_INS_PULSE,
+	M68K_INS_REMS,
+	M68K_INS_REMU,
+	M68K_INS_RESET,
+	M68K_INS_ROL,
+	M68K_INS_ROR,
+	M68K_INS_ROXL,
+	M68K_INS_ROXR,
+	M68K_INS_RTD,
+	M68K_INS_RTE,
+	M68K_INS_RTM,
+	M68K_INS_RTR,
+	M68K_INS_RTS,
+	M68K_INS_SBCD,
+	M68K_INS_ST,
+	M68K_INS_SF,
+	M68K_INS_SHI,
+	M68K_INS_SLS,
+	M68K_INS_SCC,
+	M68K_INS_SHS,
+	M68K_INS_SCS,
+	M68K_INS_SLO,
+	M68K_INS_SNE,
+	M68K_INS_SEQ,
+	M68K_INS_SVC,
+	M68K_INS_SVS,
+	M68K_INS_SPL,
+	M68K_INS_SMI,
+	M68K_INS_SGE,
+	M68K_INS_SLT,
+	M68K_INS_SGT,
+	M68K_INS_SLE,
+	M68K_INS_STOP,
+	M68K_INS_SUB,
+	M68K_INS_SUBA,
+	M68K_INS_SUBI,
+	M68K_INS_SUBQ,
+	M68K_INS_SUBX,
+	M68K_INS_SWAP,
+	M68K_INS_TAS,
+	M68K_INS_TRAP,
+	M68K_INS_TRAPV,
+	M68K_INS_TRAPT,
+	M68K_INS_TRAPF,
+	M68K_INS_TRAPHI,
+	M68K_INS_TRAPLS,
+	M68K_INS_TRAPCC,
+	M68K_INS_TRAPHS,
+	M68K_INS_TRAPCS,
+	M68K_INS_TRAPLO,
+	M68K_INS_TRAPNE,
+	M68K_INS_TRAPEQ,
+	M68K_INS_TRAPVC,
+	M68K_INS_TRAPVS,
+	M68K_INS_TRAPPL,
+	M68K_INS_TRAPMI,
+	M68K_INS_TRAPGE,
+	M68K_INS_TRAPLT,
+	M68K_INS_TRAPGT,
+	M68K_INS_TRAPLE,
+	M68K_INS_TST,
+	M68K_INS_UNLK,
+	M68K_INS_UNPK,
+	M68K_INS_ENDING,   // <-- mark the end of the list of instructions
+} m68k_insn;
+
+/// Group of M68K instructions
+typedef enum m68k_group_type {
+	M68K_GRP_INVALID = 0,  ///< CS_GRUP_INVALID
+	M68K_GRP_JUMP,  ///< = CS_GRP_JUMP
+	M68K_GRP_RET = 3,  ///< = CS_GRP_RET
+	M68K_GRP_IRET = 5, ///< = CS_GRP_IRET
+	M68K_GRP_BRANCH_RELATIVE = 7, ///< = CS_GRP_BRANCH_RELATIVE
+
+	M68K_GRP_ENDING,// <-- mark the end of the list of groups
+} m68k_group_type;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/mips.h 4.0.2-3/include/capstone/mips.h
--- 4.0.1+really+3.0.5-2/include/capstone/mips.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/mips.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,956 @@
+#ifndef CAPSTONE_MIPS_H
+#define CAPSTONE_MIPS_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+// GCC MIPS toolchain has a default macro called "mips" which breaks
+// compilation
+#undef mips
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// Operand type for instruction's operands
+typedef enum mips_op_type {
+	MIPS_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	MIPS_OP_REG, ///< = CS_OP_REG (Register operand).
+	MIPS_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	MIPS_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+} mips_op_type;
+
+/// MIPS registers
+typedef enum mips_reg {
+	MIPS_REG_INVALID = 0,
+	// General purpose registers
+	MIPS_REG_PC,
+
+	MIPS_REG_0,
+	MIPS_REG_1,
+	MIPS_REG_2,
+	MIPS_REG_3,
+	MIPS_REG_4,
+	MIPS_REG_5,
+	MIPS_REG_6,
+	MIPS_REG_7,
+	MIPS_REG_8,
+	MIPS_REG_9,
+	MIPS_REG_10,
+	MIPS_REG_11,
+	MIPS_REG_12,
+	MIPS_REG_13,
+	MIPS_REG_14,
+	MIPS_REG_15,
+	MIPS_REG_16,
+	MIPS_REG_17,
+	MIPS_REG_18,
+	MIPS_REG_19,
+	MIPS_REG_20,
+	MIPS_REG_21,
+	MIPS_REG_22,
+	MIPS_REG_23,
+	MIPS_REG_24,
+	MIPS_REG_25,
+	MIPS_REG_26,
+	MIPS_REG_27,
+	MIPS_REG_28,
+	MIPS_REG_29,
+	MIPS_REG_30,
+	MIPS_REG_31,
+
+	// DSP registers
+	MIPS_REG_DSPCCOND,
+	MIPS_REG_DSPCARRY,
+	MIPS_REG_DSPEFI,
+	MIPS_REG_DSPOUTFLAG,
+	MIPS_REG_DSPOUTFLAG16_19,
+	MIPS_REG_DSPOUTFLAG20,
+	MIPS_REG_DSPOUTFLAG21,
+	MIPS_REG_DSPOUTFLAG22,
+	MIPS_REG_DSPOUTFLAG23,
+	MIPS_REG_DSPPOS,
+	MIPS_REG_DSPSCOUNT,
+
+	// ACC registers
+	MIPS_REG_AC0,
+	MIPS_REG_AC1,
+	MIPS_REG_AC2,
+	MIPS_REG_AC3,
+
+	// COP registers
+	MIPS_REG_CC0,
+	MIPS_REG_CC1,
+	MIPS_REG_CC2,
+	MIPS_REG_CC3,
+	MIPS_REG_CC4,
+	MIPS_REG_CC5,
+	MIPS_REG_CC6,
+	MIPS_REG_CC7,
+
+	// FPU registers
+	MIPS_REG_F0,
+	MIPS_REG_F1,
+	MIPS_REG_F2,
+	MIPS_REG_F3,
+	MIPS_REG_F4,
+	MIPS_REG_F5,
+	MIPS_REG_F6,
+	MIPS_REG_F7,
+	MIPS_REG_F8,
+	MIPS_REG_F9,
+	MIPS_REG_F10,
+	MIPS_REG_F11,
+	MIPS_REG_F12,
+	MIPS_REG_F13,
+	MIPS_REG_F14,
+	MIPS_REG_F15,
+	MIPS_REG_F16,
+	MIPS_REG_F17,
+	MIPS_REG_F18,
+	MIPS_REG_F19,
+	MIPS_REG_F20,
+	MIPS_REG_F21,
+	MIPS_REG_F22,
+	MIPS_REG_F23,
+	MIPS_REG_F24,
+	MIPS_REG_F25,
+	MIPS_REG_F26,
+	MIPS_REG_F27,
+	MIPS_REG_F28,
+	MIPS_REG_F29,
+	MIPS_REG_F30,
+	MIPS_REG_F31,
+
+	MIPS_REG_FCC0,
+	MIPS_REG_FCC1,
+	MIPS_REG_FCC2,
+	MIPS_REG_FCC3,
+	MIPS_REG_FCC4,
+	MIPS_REG_FCC5,
+	MIPS_REG_FCC6,
+	MIPS_REG_FCC7,
+
+	// AFPR128
+	MIPS_REG_W0,
+	MIPS_REG_W1,
+	MIPS_REG_W2,
+	MIPS_REG_W3,
+	MIPS_REG_W4,
+	MIPS_REG_W5,
+	MIPS_REG_W6,
+	MIPS_REG_W7,
+	MIPS_REG_W8,
+	MIPS_REG_W9,
+	MIPS_REG_W10,
+	MIPS_REG_W11,
+	MIPS_REG_W12,
+	MIPS_REG_W13,
+	MIPS_REG_W14,
+	MIPS_REG_W15,
+	MIPS_REG_W16,
+	MIPS_REG_W17,
+	MIPS_REG_W18,
+	MIPS_REG_W19,
+	MIPS_REG_W20,
+	MIPS_REG_W21,
+	MIPS_REG_W22,
+	MIPS_REG_W23,
+	MIPS_REG_W24,
+	MIPS_REG_W25,
+	MIPS_REG_W26,
+	MIPS_REG_W27,
+	MIPS_REG_W28,
+	MIPS_REG_W29,
+	MIPS_REG_W30,
+	MIPS_REG_W31,
+
+	MIPS_REG_HI,
+	MIPS_REG_LO,
+
+	MIPS_REG_P0,
+	MIPS_REG_P1,
+	MIPS_REG_P2,
+
+	MIPS_REG_MPL0,
+	MIPS_REG_MPL1,
+	MIPS_REG_MPL2,
+
+	MIPS_REG_ENDING,	// <-- mark the end of the list or registers
+
+	// alias registers
+	MIPS_REG_ZERO = MIPS_REG_0,
+	MIPS_REG_AT = MIPS_REG_1,
+	MIPS_REG_V0 = MIPS_REG_2,
+	MIPS_REG_V1 = MIPS_REG_3,
+	MIPS_REG_A0 = MIPS_REG_4,
+	MIPS_REG_A1 = MIPS_REG_5,
+	MIPS_REG_A2 = MIPS_REG_6,
+	MIPS_REG_A3 = MIPS_REG_7,
+	MIPS_REG_T0 = MIPS_REG_8,
+	MIPS_REG_T1 = MIPS_REG_9,
+	MIPS_REG_T2 = MIPS_REG_10,
+	MIPS_REG_T3 = MIPS_REG_11,
+	MIPS_REG_T4 = MIPS_REG_12,
+	MIPS_REG_T5 = MIPS_REG_13,
+	MIPS_REG_T6 = MIPS_REG_14,
+	MIPS_REG_T7 = MIPS_REG_15,
+	MIPS_REG_S0 = MIPS_REG_16,
+	MIPS_REG_S1 = MIPS_REG_17,
+	MIPS_REG_S2 = MIPS_REG_18,
+	MIPS_REG_S3 = MIPS_REG_19,
+	MIPS_REG_S4 = MIPS_REG_20,
+	MIPS_REG_S5 = MIPS_REG_21,
+	MIPS_REG_S6 = MIPS_REG_22,
+	MIPS_REG_S7 = MIPS_REG_23,
+	MIPS_REG_T8 = MIPS_REG_24,
+	MIPS_REG_T9 = MIPS_REG_25,
+	MIPS_REG_K0 = MIPS_REG_26,
+	MIPS_REG_K1 = MIPS_REG_27,
+	MIPS_REG_GP = MIPS_REG_28,
+	MIPS_REG_SP = MIPS_REG_29,
+	MIPS_REG_FP = MIPS_REG_30, MIPS_REG_S8 = MIPS_REG_30,
+	MIPS_REG_RA = MIPS_REG_31,
+
+	MIPS_REG_HI0 = MIPS_REG_AC0,
+	MIPS_REG_HI1 = MIPS_REG_AC1,
+	MIPS_REG_HI2 = MIPS_REG_AC2,
+	MIPS_REG_HI3 = MIPS_REG_AC3,
+
+	MIPS_REG_LO0 = MIPS_REG_HI0,
+	MIPS_REG_LO1 = MIPS_REG_HI1,
+	MIPS_REG_LO2 = MIPS_REG_HI2,
+	MIPS_REG_LO3 = MIPS_REG_HI3,
+} mips_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with MIPS_OP_MEM operand type above
+typedef struct mips_op_mem {
+	mips_reg base;	///< base register
+	int64_t disp;	///< displacement/offset value
+} mips_op_mem;
+
+/// Instruction operand
+typedef struct cs_mips_op {
+	mips_op_type type;	///< operand type
+	union {
+		mips_reg reg;		///< register value for REG operand
+		int64_t imm;		///< immediate value for IMM operand
+		mips_op_mem mem;	///< base/index/scale/disp value for MEM operand
+	};
+} cs_mips_op;
+
+/// Instruction structure
+typedef struct cs_mips {
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+	cs_mips_op operands[10]; ///< operands for this instruction.
+} cs_mips;
+
+/// MIPS instruction
+typedef enum mips_insn {
+	MIPS_INS_INVALID = 0,
+
+	MIPS_INS_ABSQ_S,
+	MIPS_INS_ADD,
+	MIPS_INS_ADDIUPC,
+	MIPS_INS_ADDIUR1SP,
+	MIPS_INS_ADDIUR2,
+	MIPS_INS_ADDIUS5,
+	MIPS_INS_ADDIUSP,
+	MIPS_INS_ADDQH,
+	MIPS_INS_ADDQH_R,
+	MIPS_INS_ADDQ,
+	MIPS_INS_ADDQ_S,
+	MIPS_INS_ADDSC,
+	MIPS_INS_ADDS_A,
+	MIPS_INS_ADDS_S,
+	MIPS_INS_ADDS_U,
+	MIPS_INS_ADDU16,
+	MIPS_INS_ADDUH,
+	MIPS_INS_ADDUH_R,
+	MIPS_INS_ADDU,
+	MIPS_INS_ADDU_S,
+	MIPS_INS_ADDVI,
+	MIPS_INS_ADDV,
+	MIPS_INS_ADDWC,
+	MIPS_INS_ADD_A,
+	MIPS_INS_ADDI,
+	MIPS_INS_ADDIU,
+	MIPS_INS_ALIGN,
+	MIPS_INS_ALUIPC,
+	MIPS_INS_AND,
+	MIPS_INS_AND16,
+	MIPS_INS_ANDI16,
+	MIPS_INS_ANDI,
+	MIPS_INS_APPEND,
+	MIPS_INS_ASUB_S,
+	MIPS_INS_ASUB_U,
+	MIPS_INS_AUI,
+	MIPS_INS_AUIPC,
+	MIPS_INS_AVER_S,
+	MIPS_INS_AVER_U,
+	MIPS_INS_AVE_S,
+	MIPS_INS_AVE_U,
+	MIPS_INS_B16,
+	MIPS_INS_BADDU,
+	MIPS_INS_BAL,
+	MIPS_INS_BALC,
+	MIPS_INS_BALIGN,
+	MIPS_INS_BBIT0,
+	MIPS_INS_BBIT032,
+	MIPS_INS_BBIT1,
+	MIPS_INS_BBIT132,
+	MIPS_INS_BC,
+	MIPS_INS_BC0F,
+	MIPS_INS_BC0FL,
+	MIPS_INS_BC0T,
+	MIPS_INS_BC0TL,
+	MIPS_INS_BC1EQZ,
+	MIPS_INS_BC1F,
+	MIPS_INS_BC1FL,
+	MIPS_INS_BC1NEZ,
+	MIPS_INS_BC1T,
+	MIPS_INS_BC1TL,
+	MIPS_INS_BC2EQZ,
+	MIPS_INS_BC2F,
+	MIPS_INS_BC2FL,
+	MIPS_INS_BC2NEZ,
+	MIPS_INS_BC2T,
+	MIPS_INS_BC2TL,
+	MIPS_INS_BC3F,
+	MIPS_INS_BC3FL,
+	MIPS_INS_BC3T,
+	MIPS_INS_BC3TL,
+	MIPS_INS_BCLRI,
+	MIPS_INS_BCLR,
+	MIPS_INS_BEQ,
+	MIPS_INS_BEQC,
+	MIPS_INS_BEQL,
+	MIPS_INS_BEQZ16,
+	MIPS_INS_BEQZALC,
+	MIPS_INS_BEQZC,
+	MIPS_INS_BGEC,
+	MIPS_INS_BGEUC,
+	MIPS_INS_BGEZ,
+	MIPS_INS_BGEZAL,
+	MIPS_INS_BGEZALC,
+	MIPS_INS_BGEZALL,
+	MIPS_INS_BGEZALS,
+	MIPS_INS_BGEZC,
+	MIPS_INS_BGEZL,
+	MIPS_INS_BGTZ,
+	MIPS_INS_BGTZALC,
+	MIPS_INS_BGTZC,
+	MIPS_INS_BGTZL,
+	MIPS_INS_BINSLI,
+	MIPS_INS_BINSL,
+	MIPS_INS_BINSRI,
+	MIPS_INS_BINSR,
+	MIPS_INS_BITREV,
+	MIPS_INS_BITSWAP,
+	MIPS_INS_BLEZ,
+	MIPS_INS_BLEZALC,
+	MIPS_INS_BLEZC,
+	MIPS_INS_BLEZL,
+	MIPS_INS_BLTC,
+	MIPS_INS_BLTUC,
+	MIPS_INS_BLTZ,
+	MIPS_INS_BLTZAL,
+	MIPS_INS_BLTZALC,
+	MIPS_INS_BLTZALL,
+	MIPS_INS_BLTZALS,
+	MIPS_INS_BLTZC,
+	MIPS_INS_BLTZL,
+	MIPS_INS_BMNZI,
+	MIPS_INS_BMNZ,
+	MIPS_INS_BMZI,
+	MIPS_INS_BMZ,
+	MIPS_INS_BNE,
+	MIPS_INS_BNEC,
+	MIPS_INS_BNEGI,
+	MIPS_INS_BNEG,
+	MIPS_INS_BNEL,
+	MIPS_INS_BNEZ16,
+	MIPS_INS_BNEZALC,
+	MIPS_INS_BNEZC,
+	MIPS_INS_BNVC,
+	MIPS_INS_BNZ,
+	MIPS_INS_BOVC,
+	MIPS_INS_BPOSGE32,
+	MIPS_INS_BREAK,
+	MIPS_INS_BREAK16,
+	MIPS_INS_BSELI,
+	MIPS_INS_BSEL,
+	MIPS_INS_BSETI,
+	MIPS_INS_BSET,
+	MIPS_INS_BZ,
+	MIPS_INS_BEQZ,
+	MIPS_INS_B,
+	MIPS_INS_BNEZ,
+	MIPS_INS_BTEQZ,
+	MIPS_INS_BTNEZ,
+	MIPS_INS_CACHE,
+	MIPS_INS_CEIL,
+	MIPS_INS_CEQI,
+	MIPS_INS_CEQ,
+	MIPS_INS_CFC1,
+	MIPS_INS_CFCMSA,
+	MIPS_INS_CINS,
+	MIPS_INS_CINS32,
+	MIPS_INS_CLASS,
+	MIPS_INS_CLEI_S,
+	MIPS_INS_CLEI_U,
+	MIPS_INS_CLE_S,
+	MIPS_INS_CLE_U,
+	MIPS_INS_CLO,
+	MIPS_INS_CLTI_S,
+	MIPS_INS_CLTI_U,
+	MIPS_INS_CLT_S,
+	MIPS_INS_CLT_U,
+	MIPS_INS_CLZ,
+	MIPS_INS_CMPGDU,
+	MIPS_INS_CMPGU,
+	MIPS_INS_CMPU,
+	MIPS_INS_CMP,
+	MIPS_INS_COPY_S,
+	MIPS_INS_COPY_U,
+	MIPS_INS_CTC1,
+	MIPS_INS_CTCMSA,
+	MIPS_INS_CVT,
+	MIPS_INS_C,
+	MIPS_INS_CMPI,
+	MIPS_INS_DADD,
+	MIPS_INS_DADDI,
+	MIPS_INS_DADDIU,
+	MIPS_INS_DADDU,
+	MIPS_INS_DAHI,
+	MIPS_INS_DALIGN,
+	MIPS_INS_DATI,
+	MIPS_INS_DAUI,
+	MIPS_INS_DBITSWAP,
+	MIPS_INS_DCLO,
+	MIPS_INS_DCLZ,
+	MIPS_INS_DDIV,
+	MIPS_INS_DDIVU,
+	MIPS_INS_DERET,
+	MIPS_INS_DEXT,
+	MIPS_INS_DEXTM,
+	MIPS_INS_DEXTU,
+	MIPS_INS_DI,
+	MIPS_INS_DINS,
+	MIPS_INS_DINSM,
+	MIPS_INS_DINSU,
+	MIPS_INS_DIV,
+	MIPS_INS_DIVU,
+	MIPS_INS_DIV_S,
+	MIPS_INS_DIV_U,
+	MIPS_INS_DLSA,
+	MIPS_INS_DMFC0,
+	MIPS_INS_DMFC1,
+	MIPS_INS_DMFC2,
+	MIPS_INS_DMOD,
+	MIPS_INS_DMODU,
+	MIPS_INS_DMTC0,
+	MIPS_INS_DMTC1,
+	MIPS_INS_DMTC2,
+	MIPS_INS_DMUH,
+	MIPS_INS_DMUHU,
+	MIPS_INS_DMUL,
+	MIPS_INS_DMULT,
+	MIPS_INS_DMULTU,
+	MIPS_INS_DMULU,
+	MIPS_INS_DOTP_S,
+	MIPS_INS_DOTP_U,
+	MIPS_INS_DPADD_S,
+	MIPS_INS_DPADD_U,
+	MIPS_INS_DPAQX_SA,
+	MIPS_INS_DPAQX_S,
+	MIPS_INS_DPAQ_SA,
+	MIPS_INS_DPAQ_S,
+	MIPS_INS_DPAU,
+	MIPS_INS_DPAX,
+	MIPS_INS_DPA,
+	MIPS_INS_DPOP,
+	MIPS_INS_DPSQX_SA,
+	MIPS_INS_DPSQX_S,
+	MIPS_INS_DPSQ_SA,
+	MIPS_INS_DPSQ_S,
+	MIPS_INS_DPSUB_S,
+	MIPS_INS_DPSUB_U,
+	MIPS_INS_DPSU,
+	MIPS_INS_DPSX,
+	MIPS_INS_DPS,
+	MIPS_INS_DROTR,
+	MIPS_INS_DROTR32,
+	MIPS_INS_DROTRV,
+	MIPS_INS_DSBH,
+	MIPS_INS_DSHD,
+	MIPS_INS_DSLL,
+	MIPS_INS_DSLL32,
+	MIPS_INS_DSLLV,
+	MIPS_INS_DSRA,
+	MIPS_INS_DSRA32,
+	MIPS_INS_DSRAV,
+	MIPS_INS_DSRL,
+	MIPS_INS_DSRL32,
+	MIPS_INS_DSRLV,
+	MIPS_INS_DSUB,
+	MIPS_INS_DSUBU,
+	MIPS_INS_EHB,
+	MIPS_INS_EI,
+	MIPS_INS_ERET,
+	MIPS_INS_EXT,
+	MIPS_INS_EXTP,
+	MIPS_INS_EXTPDP,
+	MIPS_INS_EXTPDPV,
+	MIPS_INS_EXTPV,
+	MIPS_INS_EXTRV_RS,
+	MIPS_INS_EXTRV_R,
+	MIPS_INS_EXTRV_S,
+	MIPS_INS_EXTRV,
+	MIPS_INS_EXTR_RS,
+	MIPS_INS_EXTR_R,
+	MIPS_INS_EXTR_S,
+	MIPS_INS_EXTR,
+	MIPS_INS_EXTS,
+	MIPS_INS_EXTS32,
+	MIPS_INS_ABS,
+	MIPS_INS_FADD,
+	MIPS_INS_FCAF,
+	MIPS_INS_FCEQ,
+	MIPS_INS_FCLASS,
+	MIPS_INS_FCLE,
+	MIPS_INS_FCLT,
+	MIPS_INS_FCNE,
+	MIPS_INS_FCOR,
+	MIPS_INS_FCUEQ,
+	MIPS_INS_FCULE,
+	MIPS_INS_FCULT,
+	MIPS_INS_FCUNE,
+	MIPS_INS_FCUN,
+	MIPS_INS_FDIV,
+	MIPS_INS_FEXDO,
+	MIPS_INS_FEXP2,
+	MIPS_INS_FEXUPL,
+	MIPS_INS_FEXUPR,
+	MIPS_INS_FFINT_S,
+	MIPS_INS_FFINT_U,
+	MIPS_INS_FFQL,
+	MIPS_INS_FFQR,
+	MIPS_INS_FILL,
+	MIPS_INS_FLOG2,
+	MIPS_INS_FLOOR,
+	MIPS_INS_FMADD,
+	MIPS_INS_FMAX_A,
+	MIPS_INS_FMAX,
+	MIPS_INS_FMIN_A,
+	MIPS_INS_FMIN,
+	MIPS_INS_MOV,
+	MIPS_INS_FMSUB,
+	MIPS_INS_FMUL,
+	MIPS_INS_MUL,
+	MIPS_INS_NEG,
+	MIPS_INS_FRCP,
+	MIPS_INS_FRINT,
+	MIPS_INS_FRSQRT,
+	MIPS_INS_FSAF,
+	MIPS_INS_FSEQ,
+	MIPS_INS_FSLE,
+	MIPS_INS_FSLT,
+	MIPS_INS_FSNE,
+	MIPS_INS_FSOR,
+	MIPS_INS_FSQRT,
+	MIPS_INS_SQRT,
+	MIPS_INS_FSUB,
+	MIPS_INS_SUB,
+	MIPS_INS_FSUEQ,
+	MIPS_INS_FSULE,
+	MIPS_INS_FSULT,
+	MIPS_INS_FSUNE,
+	MIPS_INS_FSUN,
+	MIPS_INS_FTINT_S,
+	MIPS_INS_FTINT_U,
+	MIPS_INS_FTQ,
+	MIPS_INS_FTRUNC_S,
+	MIPS_INS_FTRUNC_U,
+	MIPS_INS_HADD_S,
+	MIPS_INS_HADD_U,
+	MIPS_INS_HSUB_S,
+	MIPS_INS_HSUB_U,
+	MIPS_INS_ILVEV,
+	MIPS_INS_ILVL,
+	MIPS_INS_ILVOD,
+	MIPS_INS_ILVR,
+	MIPS_INS_INS,
+	MIPS_INS_INSERT,
+	MIPS_INS_INSV,
+	MIPS_INS_INSVE,
+	MIPS_INS_J,
+	MIPS_INS_JAL,
+	MIPS_INS_JALR,
+	MIPS_INS_JALRS16,
+	MIPS_INS_JALRS,
+	MIPS_INS_JALS,
+	MIPS_INS_JALX,
+	MIPS_INS_JIALC,
+	MIPS_INS_JIC,
+	MIPS_INS_JR,
+	MIPS_INS_JR16,
+	MIPS_INS_JRADDIUSP,
+	MIPS_INS_JRC,
+	MIPS_INS_JALRC,
+	MIPS_INS_LB,
+	MIPS_INS_LBU16,
+	MIPS_INS_LBUX,
+	MIPS_INS_LBU,
+	MIPS_INS_LD,
+	MIPS_INS_LDC1,
+	MIPS_INS_LDC2,
+	MIPS_INS_LDC3,
+	MIPS_INS_LDI,
+	MIPS_INS_LDL,
+	MIPS_INS_LDPC,
+	MIPS_INS_LDR,
+	MIPS_INS_LDXC1,
+	MIPS_INS_LH,
+	MIPS_INS_LHU16,
+	MIPS_INS_LHX,
+	MIPS_INS_LHU,
+	MIPS_INS_LI16,
+	MIPS_INS_LL,
+	MIPS_INS_LLD,
+	MIPS_INS_LSA,
+	MIPS_INS_LUXC1,
+	MIPS_INS_LUI,
+	MIPS_INS_LW,
+	MIPS_INS_LW16,
+	MIPS_INS_LWC1,
+	MIPS_INS_LWC2,
+	MIPS_INS_LWC3,
+	MIPS_INS_LWL,
+	MIPS_INS_LWM16,
+	MIPS_INS_LWM32,
+	MIPS_INS_LWPC,
+	MIPS_INS_LWP,
+	MIPS_INS_LWR,
+	MIPS_INS_LWUPC,
+	MIPS_INS_LWU,
+	MIPS_INS_LWX,
+	MIPS_INS_LWXC1,
+	MIPS_INS_LWXS,
+	MIPS_INS_LI,
+	MIPS_INS_MADD,
+	MIPS_INS_MADDF,
+	MIPS_INS_MADDR_Q,
+	MIPS_INS_MADDU,
+	MIPS_INS_MADDV,
+	MIPS_INS_MADD_Q,
+	MIPS_INS_MAQ_SA,
+	MIPS_INS_MAQ_S,
+	MIPS_INS_MAXA,
+	MIPS_INS_MAXI_S,
+	MIPS_INS_MAXI_U,
+	MIPS_INS_MAX_A,
+	MIPS_INS_MAX,
+	MIPS_INS_MAX_S,
+	MIPS_INS_MAX_U,
+	MIPS_INS_MFC0,
+	MIPS_INS_MFC1,
+	MIPS_INS_MFC2,
+	MIPS_INS_MFHC1,
+	MIPS_INS_MFHI,
+	MIPS_INS_MFLO,
+	MIPS_INS_MINA,
+	MIPS_INS_MINI_S,
+	MIPS_INS_MINI_U,
+	MIPS_INS_MIN_A,
+	MIPS_INS_MIN,
+	MIPS_INS_MIN_S,
+	MIPS_INS_MIN_U,
+	MIPS_INS_MOD,
+	MIPS_INS_MODSUB,
+	MIPS_INS_MODU,
+	MIPS_INS_MOD_S,
+	MIPS_INS_MOD_U,
+	MIPS_INS_MOVE,
+	MIPS_INS_MOVEP,
+	MIPS_INS_MOVF,
+	MIPS_INS_MOVN,
+	MIPS_INS_MOVT,
+	MIPS_INS_MOVZ,
+	MIPS_INS_MSUB,
+	MIPS_INS_MSUBF,
+	MIPS_INS_MSUBR_Q,
+	MIPS_INS_MSUBU,
+	MIPS_INS_MSUBV,
+	MIPS_INS_MSUB_Q,
+	MIPS_INS_MTC0,
+	MIPS_INS_MTC1,
+	MIPS_INS_MTC2,
+	MIPS_INS_MTHC1,
+	MIPS_INS_MTHI,
+	MIPS_INS_MTHLIP,
+	MIPS_INS_MTLO,
+	MIPS_INS_MTM0,
+	MIPS_INS_MTM1,
+	MIPS_INS_MTM2,
+	MIPS_INS_MTP0,
+	MIPS_INS_MTP1,
+	MIPS_INS_MTP2,
+	MIPS_INS_MUH,
+	MIPS_INS_MUHU,
+	MIPS_INS_MULEQ_S,
+	MIPS_INS_MULEU_S,
+	MIPS_INS_MULQ_RS,
+	MIPS_INS_MULQ_S,
+	MIPS_INS_MULR_Q,
+	MIPS_INS_MULSAQ_S,
+	MIPS_INS_MULSA,
+	MIPS_INS_MULT,
+	MIPS_INS_MULTU,
+	MIPS_INS_MULU,
+	MIPS_INS_MULV,
+	MIPS_INS_MUL_Q,
+	MIPS_INS_MUL_S,
+	MIPS_INS_NLOC,
+	MIPS_INS_NLZC,
+	MIPS_INS_NMADD,
+	MIPS_INS_NMSUB,
+	MIPS_INS_NOR,
+	MIPS_INS_NORI,
+	MIPS_INS_NOT16,
+	MIPS_INS_NOT,
+	MIPS_INS_OR,
+	MIPS_INS_OR16,
+	MIPS_INS_ORI,
+	MIPS_INS_PACKRL,
+	MIPS_INS_PAUSE,
+	MIPS_INS_PCKEV,
+	MIPS_INS_PCKOD,
+	MIPS_INS_PCNT,
+	MIPS_INS_PICK,
+	MIPS_INS_POP,
+	MIPS_INS_PRECEQU,
+	MIPS_INS_PRECEQ,
+	MIPS_INS_PRECEU,
+	MIPS_INS_PRECRQU_S,
+	MIPS_INS_PRECRQ,
+	MIPS_INS_PRECRQ_RS,
+	MIPS_INS_PRECR,
+	MIPS_INS_PRECR_SRA,
+	MIPS_INS_PRECR_SRA_R,
+	MIPS_INS_PREF,
+	MIPS_INS_PREPEND,
+	MIPS_INS_RADDU,
+	MIPS_INS_RDDSP,
+	MIPS_INS_RDHWR,
+	MIPS_INS_REPLV,
+	MIPS_INS_REPL,
+	MIPS_INS_RINT,
+	MIPS_INS_ROTR,
+	MIPS_INS_ROTRV,
+	MIPS_INS_ROUND,
+	MIPS_INS_SAT_S,
+	MIPS_INS_SAT_U,
+	MIPS_INS_SB,
+	MIPS_INS_SB16,
+	MIPS_INS_SC,
+	MIPS_INS_SCD,
+	MIPS_INS_SD,
+	MIPS_INS_SDBBP,
+	MIPS_INS_SDBBP16,
+	MIPS_INS_SDC1,
+	MIPS_INS_SDC2,
+	MIPS_INS_SDC3,
+	MIPS_INS_SDL,
+	MIPS_INS_SDR,
+	MIPS_INS_SDXC1,
+	MIPS_INS_SEB,
+	MIPS_INS_SEH,
+	MIPS_INS_SELEQZ,
+	MIPS_INS_SELNEZ,
+	MIPS_INS_SEL,
+	MIPS_INS_SEQ,
+	MIPS_INS_SEQI,
+	MIPS_INS_SH,
+	MIPS_INS_SH16,
+	MIPS_INS_SHF,
+	MIPS_INS_SHILO,
+	MIPS_INS_SHILOV,
+	MIPS_INS_SHLLV,
+	MIPS_INS_SHLLV_S,
+	MIPS_INS_SHLL,
+	MIPS_INS_SHLL_S,
+	MIPS_INS_SHRAV,
+	MIPS_INS_SHRAV_R,
+	MIPS_INS_SHRA,
+	MIPS_INS_SHRA_R,
+	MIPS_INS_SHRLV,
+	MIPS_INS_SHRL,
+	MIPS_INS_SLDI,
+	MIPS_INS_SLD,
+	MIPS_INS_SLL,
+	MIPS_INS_SLL16,
+	MIPS_INS_SLLI,
+	MIPS_INS_SLLV,
+	MIPS_INS_SLT,
+	MIPS_INS_SLTI,
+	MIPS_INS_SLTIU,
+	MIPS_INS_SLTU,
+	MIPS_INS_SNE,
+	MIPS_INS_SNEI,
+	MIPS_INS_SPLATI,
+	MIPS_INS_SPLAT,
+	MIPS_INS_SRA,
+	MIPS_INS_SRAI,
+	MIPS_INS_SRARI,
+	MIPS_INS_SRAR,
+	MIPS_INS_SRAV,
+	MIPS_INS_SRL,
+	MIPS_INS_SRL16,
+	MIPS_INS_SRLI,
+	MIPS_INS_SRLRI,
+	MIPS_INS_SRLR,
+	MIPS_INS_SRLV,
+	MIPS_INS_SSNOP,
+	MIPS_INS_ST,
+	MIPS_INS_SUBQH,
+	MIPS_INS_SUBQH_R,
+	MIPS_INS_SUBQ,
+	MIPS_INS_SUBQ_S,
+	MIPS_INS_SUBSUS_U,
+	MIPS_INS_SUBSUU_S,
+	MIPS_INS_SUBS_S,
+	MIPS_INS_SUBS_U,
+	MIPS_INS_SUBU16,
+	MIPS_INS_SUBUH,
+	MIPS_INS_SUBUH_R,
+	MIPS_INS_SUBU,
+	MIPS_INS_SUBU_S,
+	MIPS_INS_SUBVI,
+	MIPS_INS_SUBV,
+	MIPS_INS_SUXC1,
+	MIPS_INS_SW,
+	MIPS_INS_SW16,
+	MIPS_INS_SWC1,
+	MIPS_INS_SWC2,
+	MIPS_INS_SWC3,
+	MIPS_INS_SWL,
+	MIPS_INS_SWM16,
+	MIPS_INS_SWM32,
+	MIPS_INS_SWP,
+	MIPS_INS_SWR,
+	MIPS_INS_SWXC1,
+	MIPS_INS_SYNC,
+	MIPS_INS_SYNCI,
+	MIPS_INS_SYSCALL,
+	MIPS_INS_TEQ,
+	MIPS_INS_TEQI,
+	MIPS_INS_TGE,
+	MIPS_INS_TGEI,
+	MIPS_INS_TGEIU,
+	MIPS_INS_TGEU,
+	MIPS_INS_TLBP,
+	MIPS_INS_TLBR,
+	MIPS_INS_TLBWI,
+	MIPS_INS_TLBWR,
+	MIPS_INS_TLT,
+	MIPS_INS_TLTI,
+	MIPS_INS_TLTIU,
+	MIPS_INS_TLTU,
+	MIPS_INS_TNE,
+	MIPS_INS_TNEI,
+	MIPS_INS_TRUNC,
+	MIPS_INS_V3MULU,
+	MIPS_INS_VMM0,
+	MIPS_INS_VMULU,
+	MIPS_INS_VSHF,
+	MIPS_INS_WAIT,
+	MIPS_INS_WRDSP,
+	MIPS_INS_WSBH,
+	MIPS_INS_XOR,
+	MIPS_INS_XOR16,
+	MIPS_INS_XORI,
+
+	//> some alias instructions
+	MIPS_INS_NOP,
+	MIPS_INS_NEGU,
+
+	//> special instructions
+	MIPS_INS_JALR_HB,	// jump and link with Hazard Barrier
+	MIPS_INS_JR_HB,		// jump register with Hazard Barrier
+
+	MIPS_INS_ENDING,
+} mips_insn;
+
+/// Group of MIPS instructions
+typedef enum mips_insn_group {
+	MIPS_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	MIPS_GRP_JUMP,	///< = CS_GRP_JUMP
+	// all call instructions
+	MIPS_GRP_CALL,	///< = CS_GRP_CALL
+	// all return instructions
+	MIPS_GRP_RET,	///< = CS_GRP_RET
+	// all interrupt instructions (int+syscall)
+	MIPS_GRP_INT,	///< = CS_GRP_INT
+	// all interrupt return instructions
+	MIPS_GRP_IRET,	///< = CS_GRP_IRET
+	// all privileged instructions
+	MIPS_GRP_PRIVILEGE,	///< = CS_GRP_PRIVILEGE
+	// all relative branching instructions
+	MIPS_GRP_BRANCH_RELATIVE, ///< = CS_GRP_BRANCH_RELATIVE
+
+	// Architecture-specific groups
+	MIPS_GRP_BITCOUNT = 128,
+	MIPS_GRP_DSP,
+	MIPS_GRP_DSPR2,
+	MIPS_GRP_FPIDX,
+	MIPS_GRP_MSA,
+	MIPS_GRP_MIPS32R2,
+	MIPS_GRP_MIPS64,
+	MIPS_GRP_MIPS64R2,
+	MIPS_GRP_SEINREG,
+	MIPS_GRP_STDENC,
+	MIPS_GRP_SWAP,
+	MIPS_GRP_MICROMIPS,
+	MIPS_GRP_MIPS16MODE,
+	MIPS_GRP_FP64BIT,
+	MIPS_GRP_NONANSFPMATH,
+	MIPS_GRP_NOTFP64BIT,
+	MIPS_GRP_NOTINMICROMIPS,
+	MIPS_GRP_NOTNACL,
+	MIPS_GRP_NOTMIPS32R6,
+	MIPS_GRP_NOTMIPS64R6,
+	MIPS_GRP_CNMIPS,
+	MIPS_GRP_MIPS32,
+	MIPS_GRP_MIPS32R6,
+	MIPS_GRP_MIPS64R6,
+	MIPS_GRP_MIPS2,
+	MIPS_GRP_MIPS3,
+	MIPS_GRP_MIPS3_32,
+	MIPS_GRP_MIPS3_32R2,
+	MIPS_GRP_MIPS4_32,
+	MIPS_GRP_MIPS4_32R2,
+	MIPS_GRP_MIPS5_32R2,
+	MIPS_GRP_GP32BIT,
+	MIPS_GRP_GP64BIT,
+
+	MIPS_GRP_ENDING,
+} mips_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/platform.h 4.0.2-3/include/capstone/platform.h
--- 4.0.1+really+3.0.5-2/include/capstone/platform.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/platform.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,122 @@
+/* Capstone Disassembly Engine */
+/* By Axel Souchet & Nguyen Anh Quynh, 2014 */
+
+#ifndef CAPSTONE_PLATFORM_H
+#define CAPSTONE_PLATFORM_H
+
+
+// handle C99 issue (for pre-2013 VisualStudio)
+#if !defined(__CYGWIN__) && !defined(__MINGW32__) && !defined(__MINGW64__) && (defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64))
+// MSVC
+
+// stdbool.h
+#if (_MSC_VER < 1800) || defined(_KERNEL_MODE)
+// this system does not have stdbool.h
+#ifndef __cplusplus
+typedef unsigned char bool;
+#define false 0
+#define true 1
+#endif  // __cplusplus
+
+#else
+// VisualStudio 2013+ -> C99 is supported
+#include <stdbool.h>
+#endif  // (_MSC_VER < 1800) || defined(_KERNEL_MODE)
+
+#else
+// not MSVC -> C99 is supported
+#include <stdbool.h>
+#endif  // !defined(__CYGWIN__) && !defined(__MINGW32__) && !defined(__MINGW64__) && (defined (WIN32) || defined (WIN64) || defined (_WIN32) || defined (_WIN64))
+
+
+// handle inttypes.h / stdint.h compatibility
+#if defined(_WIN32_WCE) && (_WIN32_WCE < 0x800)
+#include "windowsce/stdint.h"
+#endif  // defined(_WIN32_WCE) && (_WIN32_WCE < 0x800)
+
+#if defined(CAPSTONE_HAS_OSXKERNEL) || (defined(_MSC_VER) && (_MSC_VER <= 1700 || defined(_KERNEL_MODE)))
+// this system does not have inttypes.h
+
+#if defined(_MSC_VER) && (_MSC_VER <= 1600 || defined(_KERNEL_MODE))
+// this system does not have stdint.h
+typedef signed char  int8_t;
+typedef signed short int16_t;
+typedef signed int   int32_t;
+typedef unsigned char  uint8_t;
+typedef unsigned short uint16_t;
+typedef unsigned int   uint32_t;
+typedef signed long long   int64_t;
+typedef unsigned long long uint64_t;
+#endif  // defined(_MSC_VER) && (_MSC_VER <= 1600 || defined(_KERNEL_MODE))
+
+#if defined(_MSC_VER) && (_MSC_VER < 1600 || defined(_KERNEL_MODE))
+#define INT8_MIN         (-127i8 - 1)
+#define INT16_MIN        (-32767i16 - 1)
+#define INT32_MIN        (-2147483647i32 - 1)
+#define INT64_MIN        (-9223372036854775807i64 - 1)
+#define INT8_MAX         127i8
+#define INT16_MAX        32767i16
+#define INT32_MAX        2147483647i32
+#define INT64_MAX        9223372036854775807i64
+#define UINT8_MAX        0xffui8
+#define UINT16_MAX       0xffffui16
+#define UINT32_MAX       0xffffffffui32
+#define UINT64_MAX       0xffffffffffffffffui64
+#endif  // defined(_MSC_VER) && (_MSC_VER < 1600 || defined(_KERNEL_MODE))
+
+#ifdef CAPSTONE_HAS_OSXKERNEL
+// this system has stdint.h
+#include <stdint.h>
+#endif
+
+#define __PRI_8_LENGTH_MODIFIER__ "hh"
+#define __PRI_64_LENGTH_MODIFIER__ "ll"
+
+#define PRId8         __PRI_8_LENGTH_MODIFIER__ "d"
+#define PRIi8         __PRI_8_LENGTH_MODIFIER__ "i"
+#define PRIo8         __PRI_8_LENGTH_MODIFIER__ "o"
+#define PRIu8         __PRI_8_LENGTH_MODIFIER__ "u"
+#define PRIx8         __PRI_8_LENGTH_MODIFIER__ "x"
+#define PRIX8         __PRI_8_LENGTH_MODIFIER__ "X"
+
+#define PRId16        "hd"
+#define PRIi16        "hi"
+#define PRIo16        "ho"
+#define PRIu16        "hu"
+#define PRIx16        "hx"
+#define PRIX16        "hX"
+
+#if defined(_MSC_VER) && _MSC_VER <= 1700
+#define PRId32        "ld"
+#define PRIi32        "li"
+#define PRIo32        "lo"
+#define PRIu32        "lu"
+#define PRIx32        "lx"
+#define PRIX32        "lX"
+#else	// OSX
+#define PRId32        "d"
+#define PRIi32        "i"
+#define PRIo32        "o"
+#define PRIu32        "u"
+#define PRIx32        "x"
+#define PRIX32        "X"
+#endif  // defined(_MSC_VER) && _MSC_VER <= 1700
+
+#if defined(_MSC_VER) && _MSC_VER <= 1700
+// redefine functions from inttypes.h used in cstool
+#define strtoull _strtoui64
+#endif
+
+#define PRId64        __PRI_64_LENGTH_MODIFIER__ "d"
+#define PRIi64        __PRI_64_LENGTH_MODIFIER__ "i"
+#define PRIo64        __PRI_64_LENGTH_MODIFIER__ "o"
+#define PRIu64        __PRI_64_LENGTH_MODIFIER__ "u"
+#define PRIx64        __PRI_64_LENGTH_MODIFIER__ "x"
+#define PRIX64        __PRI_64_LENGTH_MODIFIER__ "X"
+
+#else
+// this system has inttypes.h by default
+#include <inttypes.h>
+#endif  // defined(CAPSTONE_HAS_OSXKERNEL) || (defined(_MSC_VER) && (_MSC_VER <= 1700 || defined(_KERNEL_MODE)))
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/ppc.h 4.0.2-3/include/capstone/ppc.h
--- 4.0.1+really+3.0.5-2/include/capstone/ppc.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/ppc.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1463 @@
+#ifndef CAPSTONE_PPC_H
+#define CAPSTONE_PPC_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// PPC branch codes for some branch instructions
+typedef enum ppc_bc {
+	PPC_BC_INVALID  = 0,
+	PPC_BC_LT       = (0 << 5) | 12,
+	PPC_BC_LE       = (1 << 5) |  4,
+	PPC_BC_EQ       = (2 << 5) | 12,
+	PPC_BC_GE       = (0 << 5) |  4,
+	PPC_BC_GT       = (1 << 5) | 12,
+	PPC_BC_NE       = (2 << 5) |  4,
+	PPC_BC_UN       = (3 << 5) | 12,
+	PPC_BC_NU       = (3 << 5) |  4,
+
+	// extra conditions
+	PPC_BC_SO = (4 << 5) | 12,	///< summary overflow
+	PPC_BC_NS = (4 << 5) | 4,	///< not summary overflow
+} ppc_bc;
+
+/// PPC branch hint for some branch instructions
+typedef enum ppc_bh {
+	PPC_BH_INVALID = 0,	///< no hint
+	PPC_BH_PLUS,	///< PLUS hint
+	PPC_BH_MINUS,	///< MINUS hint
+} ppc_bh;
+
+/// Operand type for instruction's operands
+typedef enum ppc_op_type {
+	PPC_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	PPC_OP_REG, ///< = CS_OP_REG (Register operand).
+	PPC_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	PPC_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+	PPC_OP_CRX = 64,	///< Condition Register field
+} ppc_op_type;
+
+/// PPC registers
+typedef enum ppc_reg {
+	PPC_REG_INVALID = 0,
+
+	PPC_REG_CARRY,
+	PPC_REG_CR0,
+	PPC_REG_CR1,
+	PPC_REG_CR2,
+	PPC_REG_CR3,
+	PPC_REG_CR4,
+	PPC_REG_CR5,
+	PPC_REG_CR6,
+	PPC_REG_CR7,
+	PPC_REG_CTR,
+	PPC_REG_F0,
+	PPC_REG_F1,
+	PPC_REG_F2,
+	PPC_REG_F3,
+	PPC_REG_F4,
+	PPC_REG_F5,
+	PPC_REG_F6,
+	PPC_REG_F7,
+	PPC_REG_F8,
+	PPC_REG_F9,
+	PPC_REG_F10,
+	PPC_REG_F11,
+	PPC_REG_F12,
+	PPC_REG_F13,
+	PPC_REG_F14,
+	PPC_REG_F15,
+	PPC_REG_F16,
+	PPC_REG_F17,
+	PPC_REG_F18,
+	PPC_REG_F19,
+	PPC_REG_F20,
+	PPC_REG_F21,
+	PPC_REG_F22,
+	PPC_REG_F23,
+	PPC_REG_F24,
+	PPC_REG_F25,
+	PPC_REG_F26,
+	PPC_REG_F27,
+	PPC_REG_F28,
+	PPC_REG_F29,
+	PPC_REG_F30,
+	PPC_REG_F31,
+	PPC_REG_LR,
+	PPC_REG_R0,
+	PPC_REG_R1,
+	PPC_REG_R2,
+	PPC_REG_R3,
+	PPC_REG_R4,
+	PPC_REG_R5,
+	PPC_REG_R6,
+	PPC_REG_R7,
+	PPC_REG_R8,
+	PPC_REG_R9,
+	PPC_REG_R10,
+	PPC_REG_R11,
+	PPC_REG_R12,
+	PPC_REG_R13,
+	PPC_REG_R14,
+	PPC_REG_R15,
+	PPC_REG_R16,
+	PPC_REG_R17,
+	PPC_REG_R18,
+	PPC_REG_R19,
+	PPC_REG_R20,
+	PPC_REG_R21,
+	PPC_REG_R22,
+	PPC_REG_R23,
+	PPC_REG_R24,
+	PPC_REG_R25,
+	PPC_REG_R26,
+	PPC_REG_R27,
+	PPC_REG_R28,
+	PPC_REG_R29,
+	PPC_REG_R30,
+	PPC_REG_R31,
+	PPC_REG_V0,
+	PPC_REG_V1,
+	PPC_REG_V2,
+	PPC_REG_V3,
+	PPC_REG_V4,
+	PPC_REG_V5,
+	PPC_REG_V6,
+	PPC_REG_V7,
+	PPC_REG_V8,
+	PPC_REG_V9,
+	PPC_REG_V10,
+	PPC_REG_V11,
+	PPC_REG_V12,
+	PPC_REG_V13,
+	PPC_REG_V14,
+	PPC_REG_V15,
+	PPC_REG_V16,
+	PPC_REG_V17,
+	PPC_REG_V18,
+	PPC_REG_V19,
+	PPC_REG_V20,
+	PPC_REG_V21,
+	PPC_REG_V22,
+	PPC_REG_V23,
+	PPC_REG_V24,
+	PPC_REG_V25,
+	PPC_REG_V26,
+	PPC_REG_V27,
+	PPC_REG_V28,
+	PPC_REG_V29,
+	PPC_REG_V30,
+	PPC_REG_V31,
+	PPC_REG_VRSAVE,
+	PPC_REG_VS0,
+	PPC_REG_VS1,
+	PPC_REG_VS2,
+	PPC_REG_VS3,
+	PPC_REG_VS4,
+	PPC_REG_VS5,
+	PPC_REG_VS6,
+	PPC_REG_VS7,
+	PPC_REG_VS8,
+	PPC_REG_VS9,
+	PPC_REG_VS10,
+	PPC_REG_VS11,
+	PPC_REG_VS12,
+	PPC_REG_VS13,
+	PPC_REG_VS14,
+	PPC_REG_VS15,
+	PPC_REG_VS16,
+	PPC_REG_VS17,
+	PPC_REG_VS18,
+	PPC_REG_VS19,
+	PPC_REG_VS20,
+	PPC_REG_VS21,
+	PPC_REG_VS22,
+	PPC_REG_VS23,
+	PPC_REG_VS24,
+	PPC_REG_VS25,
+	PPC_REG_VS26,
+	PPC_REG_VS27,
+	PPC_REG_VS28,
+	PPC_REG_VS29,
+	PPC_REG_VS30,
+	PPC_REG_VS31,
+	PPC_REG_VS32,
+	PPC_REG_VS33,
+	PPC_REG_VS34,
+	PPC_REG_VS35,
+	PPC_REG_VS36,
+	PPC_REG_VS37,
+	PPC_REG_VS38,
+	PPC_REG_VS39,
+	PPC_REG_VS40,
+	PPC_REG_VS41,
+	PPC_REG_VS42,
+	PPC_REG_VS43,
+	PPC_REG_VS44,
+	PPC_REG_VS45,
+	PPC_REG_VS46,
+	PPC_REG_VS47,
+	PPC_REG_VS48,
+	PPC_REG_VS49,
+	PPC_REG_VS50,
+	PPC_REG_VS51,
+	PPC_REG_VS52,
+	PPC_REG_VS53,
+	PPC_REG_VS54,
+	PPC_REG_VS55,
+	PPC_REG_VS56,
+	PPC_REG_VS57,
+	PPC_REG_VS58,
+	PPC_REG_VS59,
+	PPC_REG_VS60,
+	PPC_REG_VS61,
+	PPC_REG_VS62,
+	PPC_REG_VS63,
+	PPC_REG_Q0,
+	PPC_REG_Q1,
+	PPC_REG_Q2,
+	PPC_REG_Q3,
+	PPC_REG_Q4,
+	PPC_REG_Q5,
+	PPC_REG_Q6,
+	PPC_REG_Q7,
+	PPC_REG_Q8,
+	PPC_REG_Q9,
+	PPC_REG_Q10,
+	PPC_REG_Q11,
+	PPC_REG_Q12,
+	PPC_REG_Q13,
+	PPC_REG_Q14,
+	PPC_REG_Q15,
+	PPC_REG_Q16,
+	PPC_REG_Q17,
+	PPC_REG_Q18,
+	PPC_REG_Q19,
+	PPC_REG_Q20,
+	PPC_REG_Q21,
+	PPC_REG_Q22,
+	PPC_REG_Q23,
+	PPC_REG_Q24,
+	PPC_REG_Q25,
+	PPC_REG_Q26,
+	PPC_REG_Q27,
+	PPC_REG_Q28,
+	PPC_REG_Q29,
+	PPC_REG_Q30,
+	PPC_REG_Q31,
+
+	// extra registers for PPCMapping.c
+	PPC_REG_RM,
+	PPC_REG_CTR8,
+	PPC_REG_LR8,
+	PPC_REG_CR1EQ,
+	PPC_REG_X2,
+
+	PPC_REG_ENDING,   // <-- mark the end of the list of registers
+} ppc_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with PPC_OP_MEM operand type above
+typedef struct ppc_op_mem {
+	ppc_reg base;	///< base register
+	int32_t disp;	///< displacement/offset value
+} ppc_op_mem;
+
+typedef struct ppc_op_crx {
+	unsigned int scale;
+	ppc_reg reg;
+	ppc_bc cond;
+} ppc_op_crx;
+
+/// Instruction operand
+typedef struct cs_ppc_op {
+	ppc_op_type type;	///< operand type
+	union {
+		ppc_reg reg;	///< register value for REG operand
+		int64_t imm;		///< immediate value for IMM operand
+		ppc_op_mem mem;		///< base/disp value for MEM operand
+		ppc_op_crx crx;		///< operand with condition register
+	};
+} cs_ppc_op;
+
+/// Instruction structure
+typedef struct cs_ppc {
+	/// branch code for branch instructions
+	ppc_bc bc;
+
+	/// branch hint for branch instructions
+	ppc_bh bh;
+
+	/// if update_cr0 = True, then this 'dot' insn updates CR0
+	bool update_cr0;
+
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+	cs_ppc_op operands[8]; ///< operands for this instruction.
+} cs_ppc;
+
+/// PPC instruction
+typedef enum ppc_insn {
+	PPC_INS_INVALID = 0,
+
+	PPC_INS_ADD,
+	PPC_INS_ADDC,
+	PPC_INS_ADDE,
+	PPC_INS_ADDI,
+	PPC_INS_ADDIC,
+	PPC_INS_ADDIS,
+	PPC_INS_ADDME,
+	PPC_INS_ADDZE,
+	PPC_INS_AND,
+	PPC_INS_ANDC,
+	PPC_INS_ANDIS,
+	PPC_INS_ANDI,
+	PPC_INS_ATTN,
+	PPC_INS_B,
+	PPC_INS_BA,
+	PPC_INS_BC,
+	PPC_INS_BCCTR,
+	PPC_INS_BCCTRL,
+	PPC_INS_BCL,
+	PPC_INS_BCLR,
+	PPC_INS_BCLRL,
+	PPC_INS_BCTR,
+	PPC_INS_BCTRL,
+	PPC_INS_BCT,
+	PPC_INS_BDNZ,
+	PPC_INS_BDNZA,
+	PPC_INS_BDNZL,
+	PPC_INS_BDNZLA,
+	PPC_INS_BDNZLR,
+	PPC_INS_BDNZLRL,
+	PPC_INS_BDZ,
+	PPC_INS_BDZA,
+	PPC_INS_BDZL,
+	PPC_INS_BDZLA,
+	PPC_INS_BDZLR,
+	PPC_INS_BDZLRL,
+	PPC_INS_BL,
+	PPC_INS_BLA,
+	PPC_INS_BLR,
+	PPC_INS_BLRL,
+	PPC_INS_BRINC,
+	PPC_INS_CMPB,
+	PPC_INS_CMPD,
+	PPC_INS_CMPDI,
+	PPC_INS_CMPLD,
+	PPC_INS_CMPLDI,
+	PPC_INS_CMPLW,
+	PPC_INS_CMPLWI,
+	PPC_INS_CMPW,
+	PPC_INS_CMPWI,
+	PPC_INS_CNTLZD,
+	PPC_INS_CNTLZW,
+	PPC_INS_CREQV,
+	PPC_INS_CRXOR,
+	PPC_INS_CRAND,
+	PPC_INS_CRANDC,
+	PPC_INS_CRNAND,
+	PPC_INS_CRNOR,
+	PPC_INS_CROR,
+	PPC_INS_CRORC,
+	PPC_INS_DCBA,
+	PPC_INS_DCBF,
+	PPC_INS_DCBI,
+	PPC_INS_DCBST,
+	PPC_INS_DCBT,
+	PPC_INS_DCBTST,
+	PPC_INS_DCBZ,
+	PPC_INS_DCBZL,
+	PPC_INS_DCCCI,
+	PPC_INS_DIVD,
+	PPC_INS_DIVDU,
+	PPC_INS_DIVW,
+	PPC_INS_DIVWU,
+	PPC_INS_DSS,
+	PPC_INS_DSSALL,
+	PPC_INS_DST,
+	PPC_INS_DSTST,
+	PPC_INS_DSTSTT,
+	PPC_INS_DSTT,
+	PPC_INS_EQV,
+	PPC_INS_EVABS,
+	PPC_INS_EVADDIW,
+	PPC_INS_EVADDSMIAAW,
+	PPC_INS_EVADDSSIAAW,
+	PPC_INS_EVADDUMIAAW,
+	PPC_INS_EVADDUSIAAW,
+	PPC_INS_EVADDW,
+	PPC_INS_EVAND,
+	PPC_INS_EVANDC,
+	PPC_INS_EVCMPEQ,
+	PPC_INS_EVCMPGTS,
+	PPC_INS_EVCMPGTU,
+	PPC_INS_EVCMPLTS,
+	PPC_INS_EVCMPLTU,
+	PPC_INS_EVCNTLSW,
+	PPC_INS_EVCNTLZW,
+	PPC_INS_EVDIVWS,
+	PPC_INS_EVDIVWU,
+	PPC_INS_EVEQV,
+	PPC_INS_EVEXTSB,
+	PPC_INS_EVEXTSH,
+	PPC_INS_EVLDD,
+	PPC_INS_EVLDDX,
+	PPC_INS_EVLDH,
+	PPC_INS_EVLDHX,
+	PPC_INS_EVLDW,
+	PPC_INS_EVLDWX,
+	PPC_INS_EVLHHESPLAT,
+	PPC_INS_EVLHHESPLATX,
+	PPC_INS_EVLHHOSSPLAT,
+	PPC_INS_EVLHHOSSPLATX,
+	PPC_INS_EVLHHOUSPLAT,
+	PPC_INS_EVLHHOUSPLATX,
+	PPC_INS_EVLWHE,
+	PPC_INS_EVLWHEX,
+	PPC_INS_EVLWHOS,
+	PPC_INS_EVLWHOSX,
+	PPC_INS_EVLWHOU,
+	PPC_INS_EVLWHOUX,
+	PPC_INS_EVLWHSPLAT,
+	PPC_INS_EVLWHSPLATX,
+	PPC_INS_EVLWWSPLAT,
+	PPC_INS_EVLWWSPLATX,
+	PPC_INS_EVMERGEHI,
+	PPC_INS_EVMERGEHILO,
+	PPC_INS_EVMERGELO,
+	PPC_INS_EVMERGELOHI,
+	PPC_INS_EVMHEGSMFAA,
+	PPC_INS_EVMHEGSMFAN,
+	PPC_INS_EVMHEGSMIAA,
+	PPC_INS_EVMHEGSMIAN,
+	PPC_INS_EVMHEGUMIAA,
+	PPC_INS_EVMHEGUMIAN,
+	PPC_INS_EVMHESMF,
+	PPC_INS_EVMHESMFA,
+	PPC_INS_EVMHESMFAAW,
+	PPC_INS_EVMHESMFANW,
+	PPC_INS_EVMHESMI,
+	PPC_INS_EVMHESMIA,
+	PPC_INS_EVMHESMIAAW,
+	PPC_INS_EVMHESMIANW,
+	PPC_INS_EVMHESSF,
+	PPC_INS_EVMHESSFA,
+	PPC_INS_EVMHESSFAAW,
+	PPC_INS_EVMHESSFANW,
+	PPC_INS_EVMHESSIAAW,
+	PPC_INS_EVMHESSIANW,
+	PPC_INS_EVMHEUMI,
+	PPC_INS_EVMHEUMIA,
+	PPC_INS_EVMHEUMIAAW,
+	PPC_INS_EVMHEUMIANW,
+	PPC_INS_EVMHEUSIAAW,
+	PPC_INS_EVMHEUSIANW,
+	PPC_INS_EVMHOGSMFAA,
+	PPC_INS_EVMHOGSMFAN,
+	PPC_INS_EVMHOGSMIAA,
+	PPC_INS_EVMHOGSMIAN,
+	PPC_INS_EVMHOGUMIAA,
+	PPC_INS_EVMHOGUMIAN,
+	PPC_INS_EVMHOSMF,
+	PPC_INS_EVMHOSMFA,
+	PPC_INS_EVMHOSMFAAW,
+	PPC_INS_EVMHOSMFANW,
+	PPC_INS_EVMHOSMI,
+	PPC_INS_EVMHOSMIA,
+	PPC_INS_EVMHOSMIAAW,
+	PPC_INS_EVMHOSMIANW,
+	PPC_INS_EVMHOSSF,
+	PPC_INS_EVMHOSSFA,
+	PPC_INS_EVMHOSSFAAW,
+	PPC_INS_EVMHOSSFANW,
+	PPC_INS_EVMHOSSIAAW,
+	PPC_INS_EVMHOSSIANW,
+	PPC_INS_EVMHOUMI,
+	PPC_INS_EVMHOUMIA,
+	PPC_INS_EVMHOUMIAAW,
+	PPC_INS_EVMHOUMIANW,
+	PPC_INS_EVMHOUSIAAW,
+	PPC_INS_EVMHOUSIANW,
+	PPC_INS_EVMRA,
+	PPC_INS_EVMWHSMF,
+	PPC_INS_EVMWHSMFA,
+	PPC_INS_EVMWHSMI,
+	PPC_INS_EVMWHSMIA,
+	PPC_INS_EVMWHSSF,
+	PPC_INS_EVMWHSSFA,
+	PPC_INS_EVMWHUMI,
+	PPC_INS_EVMWHUMIA,
+	PPC_INS_EVMWLSMIAAW,
+	PPC_INS_EVMWLSMIANW,
+	PPC_INS_EVMWLSSIAAW,
+	PPC_INS_EVMWLSSIANW,
+	PPC_INS_EVMWLUMI,
+	PPC_INS_EVMWLUMIA,
+	PPC_INS_EVMWLUMIAAW,
+	PPC_INS_EVMWLUMIANW,
+	PPC_INS_EVMWLUSIAAW,
+	PPC_INS_EVMWLUSIANW,
+	PPC_INS_EVMWSMF,
+	PPC_INS_EVMWSMFA,
+	PPC_INS_EVMWSMFAA,
+	PPC_INS_EVMWSMFAN,
+	PPC_INS_EVMWSMI,
+	PPC_INS_EVMWSMIA,
+	PPC_INS_EVMWSMIAA,
+	PPC_INS_EVMWSMIAN,
+	PPC_INS_EVMWSSF,
+	PPC_INS_EVMWSSFA,
+	PPC_INS_EVMWSSFAA,
+	PPC_INS_EVMWSSFAN,
+	PPC_INS_EVMWUMI,
+	PPC_INS_EVMWUMIA,
+	PPC_INS_EVMWUMIAA,
+	PPC_INS_EVMWUMIAN,
+	PPC_INS_EVNAND,
+	PPC_INS_EVNEG,
+	PPC_INS_EVNOR,
+	PPC_INS_EVOR,
+	PPC_INS_EVORC,
+	PPC_INS_EVRLW,
+	PPC_INS_EVRLWI,
+	PPC_INS_EVRNDW,
+	PPC_INS_EVSLW,
+	PPC_INS_EVSLWI,
+	PPC_INS_EVSPLATFI,
+	PPC_INS_EVSPLATI,
+	PPC_INS_EVSRWIS,
+	PPC_INS_EVSRWIU,
+	PPC_INS_EVSRWS,
+	PPC_INS_EVSRWU,
+	PPC_INS_EVSTDD,
+	PPC_INS_EVSTDDX,
+	PPC_INS_EVSTDH,
+	PPC_INS_EVSTDHX,
+	PPC_INS_EVSTDW,
+	PPC_INS_EVSTDWX,
+	PPC_INS_EVSTWHE,
+	PPC_INS_EVSTWHEX,
+	PPC_INS_EVSTWHO,
+	PPC_INS_EVSTWHOX,
+	PPC_INS_EVSTWWE,
+	PPC_INS_EVSTWWEX,
+	PPC_INS_EVSTWWO,
+	PPC_INS_EVSTWWOX,
+	PPC_INS_EVSUBFSMIAAW,
+	PPC_INS_EVSUBFSSIAAW,
+	PPC_INS_EVSUBFUMIAAW,
+	PPC_INS_EVSUBFUSIAAW,
+	PPC_INS_EVSUBFW,
+	PPC_INS_EVSUBIFW,
+	PPC_INS_EVXOR,
+	PPC_INS_EXTSB,
+	PPC_INS_EXTSH,
+	PPC_INS_EXTSW,
+	PPC_INS_EIEIO,
+	PPC_INS_FABS,
+	PPC_INS_FADD,
+	PPC_INS_FADDS,
+	PPC_INS_FCFID,
+	PPC_INS_FCFIDS,
+	PPC_INS_FCFIDU,
+	PPC_INS_FCFIDUS,
+	PPC_INS_FCMPU,
+	PPC_INS_FCPSGN,
+	PPC_INS_FCTID,
+	PPC_INS_FCTIDUZ,
+	PPC_INS_FCTIDZ,
+	PPC_INS_FCTIW,
+	PPC_INS_FCTIWUZ,
+	PPC_INS_FCTIWZ,
+	PPC_INS_FDIV,
+	PPC_INS_FDIVS,
+	PPC_INS_FMADD,
+	PPC_INS_FMADDS,
+	PPC_INS_FMR,
+	PPC_INS_FMSUB,
+	PPC_INS_FMSUBS,
+	PPC_INS_FMUL,
+	PPC_INS_FMULS,
+	PPC_INS_FNABS,
+	PPC_INS_FNEG,
+	PPC_INS_FNMADD,
+	PPC_INS_FNMADDS,
+	PPC_INS_FNMSUB,
+	PPC_INS_FNMSUBS,
+	PPC_INS_FRE,
+	PPC_INS_FRES,
+	PPC_INS_FRIM,
+	PPC_INS_FRIN,
+	PPC_INS_FRIP,
+	PPC_INS_FRIZ,
+	PPC_INS_FRSP,
+	PPC_INS_FRSQRTE,
+	PPC_INS_FRSQRTES,
+	PPC_INS_FSEL,
+	PPC_INS_FSQRT,
+	PPC_INS_FSQRTS,
+	PPC_INS_FSUB,
+	PPC_INS_FSUBS,
+	PPC_INS_ICBI,
+	PPC_INS_ICBT,
+	PPC_INS_ICCCI,
+	PPC_INS_ISEL,
+	PPC_INS_ISYNC,
+	PPC_INS_LA,
+	PPC_INS_LBZ,
+	PPC_INS_LBZCIX,
+	PPC_INS_LBZU,
+	PPC_INS_LBZUX,
+	PPC_INS_LBZX,
+	PPC_INS_LD,
+	PPC_INS_LDARX,
+	PPC_INS_LDBRX,
+	PPC_INS_LDCIX,
+	PPC_INS_LDU,
+	PPC_INS_LDUX,
+	PPC_INS_LDX,
+	PPC_INS_LFD,
+	PPC_INS_LFDU,
+	PPC_INS_LFDUX,
+	PPC_INS_LFDX,
+	PPC_INS_LFIWAX,
+	PPC_INS_LFIWZX,
+	PPC_INS_LFS,
+	PPC_INS_LFSU,
+	PPC_INS_LFSUX,
+	PPC_INS_LFSX,
+	PPC_INS_LHA,
+	PPC_INS_LHAU,
+	PPC_INS_LHAUX,
+	PPC_INS_LHAX,
+	PPC_INS_LHBRX,
+	PPC_INS_LHZ,
+	PPC_INS_LHZCIX,
+	PPC_INS_LHZU,
+	PPC_INS_LHZUX,
+	PPC_INS_LHZX,
+	PPC_INS_LI,
+	PPC_INS_LIS,
+	PPC_INS_LMW,
+	PPC_INS_LSWI,
+	PPC_INS_LVEBX,
+	PPC_INS_LVEHX,
+	PPC_INS_LVEWX,
+	PPC_INS_LVSL,
+	PPC_INS_LVSR,
+	PPC_INS_LVX,
+	PPC_INS_LVXL,
+	PPC_INS_LWA,
+	PPC_INS_LWARX,
+	PPC_INS_LWAUX,
+	PPC_INS_LWAX,
+	PPC_INS_LWBRX,
+	PPC_INS_LWZ,
+	PPC_INS_LWZCIX,
+	PPC_INS_LWZU,
+	PPC_INS_LWZUX,
+	PPC_INS_LWZX,
+	PPC_INS_LXSDX,
+	PPC_INS_LXVD2X,
+	PPC_INS_LXVDSX,
+	PPC_INS_LXVW4X,
+	PPC_INS_MBAR,
+	PPC_INS_MCRF,
+	PPC_INS_MCRFS,
+	PPC_INS_MFCR,
+	PPC_INS_MFCTR,
+	PPC_INS_MFDCR,
+	PPC_INS_MFFS,
+	PPC_INS_MFLR,
+	PPC_INS_MFMSR,
+	PPC_INS_MFOCRF,
+	PPC_INS_MFSPR,
+	PPC_INS_MFSR,
+	PPC_INS_MFSRIN,
+	PPC_INS_MFTB,
+	PPC_INS_MFVSCR,
+	PPC_INS_MSYNC,
+	PPC_INS_MTCRF,
+	PPC_INS_MTCTR,
+	PPC_INS_MTDCR,
+	PPC_INS_MTFSB0,
+	PPC_INS_MTFSB1,
+	PPC_INS_MTFSF,
+	PPC_INS_MTFSFI,
+	PPC_INS_MTLR,
+	PPC_INS_MTMSR,
+	PPC_INS_MTMSRD,
+	PPC_INS_MTOCRF,
+	PPC_INS_MTSPR,
+	PPC_INS_MTSR,
+	PPC_INS_MTSRIN,
+	PPC_INS_MTVSCR,
+	PPC_INS_MULHD,
+	PPC_INS_MULHDU,
+	PPC_INS_MULHW,
+	PPC_INS_MULHWU,
+	PPC_INS_MULLD,
+	PPC_INS_MULLI,
+	PPC_INS_MULLW,
+	PPC_INS_NAND,
+	PPC_INS_NEG,
+	PPC_INS_NOP,
+	PPC_INS_ORI,
+	PPC_INS_NOR,
+	PPC_INS_OR,
+	PPC_INS_ORC,
+	PPC_INS_ORIS,
+	PPC_INS_POPCNTD,
+	PPC_INS_POPCNTW,
+	PPC_INS_QVALIGNI,
+	PPC_INS_QVESPLATI,
+	PPC_INS_QVFABS,
+	PPC_INS_QVFADD,
+	PPC_INS_QVFADDS,
+	PPC_INS_QVFCFID,
+	PPC_INS_QVFCFIDS,
+	PPC_INS_QVFCFIDU,
+	PPC_INS_QVFCFIDUS,
+	PPC_INS_QVFCMPEQ,
+	PPC_INS_QVFCMPGT,
+	PPC_INS_QVFCMPLT,
+	PPC_INS_QVFCPSGN,
+	PPC_INS_QVFCTID,
+	PPC_INS_QVFCTIDU,
+	PPC_INS_QVFCTIDUZ,
+	PPC_INS_QVFCTIDZ,
+	PPC_INS_QVFCTIW,
+	PPC_INS_QVFCTIWU,
+	PPC_INS_QVFCTIWUZ,
+	PPC_INS_QVFCTIWZ,
+	PPC_INS_QVFLOGICAL,
+	PPC_INS_QVFMADD,
+	PPC_INS_QVFMADDS,
+	PPC_INS_QVFMR,
+	PPC_INS_QVFMSUB,
+	PPC_INS_QVFMSUBS,
+	PPC_INS_QVFMUL,
+	PPC_INS_QVFMULS,
+	PPC_INS_QVFNABS,
+	PPC_INS_QVFNEG,
+	PPC_INS_QVFNMADD,
+	PPC_INS_QVFNMADDS,
+	PPC_INS_QVFNMSUB,
+	PPC_INS_QVFNMSUBS,
+	PPC_INS_QVFPERM,
+	PPC_INS_QVFRE,
+	PPC_INS_QVFRES,
+	PPC_INS_QVFRIM,
+	PPC_INS_QVFRIN,
+	PPC_INS_QVFRIP,
+	PPC_INS_QVFRIZ,
+	PPC_INS_QVFRSP,
+	PPC_INS_QVFRSQRTE,
+	PPC_INS_QVFRSQRTES,
+	PPC_INS_QVFSEL,
+	PPC_INS_QVFSUB,
+	PPC_INS_QVFSUBS,
+	PPC_INS_QVFTSTNAN,
+	PPC_INS_QVFXMADD,
+	PPC_INS_QVFXMADDS,
+	PPC_INS_QVFXMUL,
+	PPC_INS_QVFXMULS,
+	PPC_INS_QVFXXCPNMADD,
+	PPC_INS_QVFXXCPNMADDS,
+	PPC_INS_QVFXXMADD,
+	PPC_INS_QVFXXMADDS,
+	PPC_INS_QVFXXNPMADD,
+	PPC_INS_QVFXXNPMADDS,
+	PPC_INS_QVGPCI,
+	PPC_INS_QVLFCDUX,
+	PPC_INS_QVLFCDUXA,
+	PPC_INS_QVLFCDX,
+	PPC_INS_QVLFCDXA,
+	PPC_INS_QVLFCSUX,
+	PPC_INS_QVLFCSUXA,
+	PPC_INS_QVLFCSX,
+	PPC_INS_QVLFCSXA,
+	PPC_INS_QVLFDUX,
+	PPC_INS_QVLFDUXA,
+	PPC_INS_QVLFDX,
+	PPC_INS_QVLFDXA,
+	PPC_INS_QVLFIWAX,
+	PPC_INS_QVLFIWAXA,
+	PPC_INS_QVLFIWZX,
+	PPC_INS_QVLFIWZXA,
+	PPC_INS_QVLFSUX,
+	PPC_INS_QVLFSUXA,
+	PPC_INS_QVLFSX,
+	PPC_INS_QVLFSXA,
+	PPC_INS_QVLPCLDX,
+	PPC_INS_QVLPCLSX,
+	PPC_INS_QVLPCRDX,
+	PPC_INS_QVLPCRSX,
+	PPC_INS_QVSTFCDUX,
+	PPC_INS_QVSTFCDUXA,
+	PPC_INS_QVSTFCDUXI,
+	PPC_INS_QVSTFCDUXIA,
+	PPC_INS_QVSTFCDX,
+	PPC_INS_QVSTFCDXA,
+	PPC_INS_QVSTFCDXI,
+	PPC_INS_QVSTFCDXIA,
+	PPC_INS_QVSTFCSUX,
+	PPC_INS_QVSTFCSUXA,
+	PPC_INS_QVSTFCSUXI,
+	PPC_INS_QVSTFCSUXIA,
+	PPC_INS_QVSTFCSX,
+	PPC_INS_QVSTFCSXA,
+	PPC_INS_QVSTFCSXI,
+	PPC_INS_QVSTFCSXIA,
+	PPC_INS_QVSTFDUX,
+	PPC_INS_QVSTFDUXA,
+	PPC_INS_QVSTFDUXI,
+	PPC_INS_QVSTFDUXIA,
+	PPC_INS_QVSTFDX,
+	PPC_INS_QVSTFDXA,
+	PPC_INS_QVSTFDXI,
+	PPC_INS_QVSTFDXIA,
+	PPC_INS_QVSTFIWX,
+	PPC_INS_QVSTFIWXA,
+	PPC_INS_QVSTFSUX,
+	PPC_INS_QVSTFSUXA,
+	PPC_INS_QVSTFSUXI,
+	PPC_INS_QVSTFSUXIA,
+	PPC_INS_QVSTFSX,
+	PPC_INS_QVSTFSXA,
+	PPC_INS_QVSTFSXI,
+	PPC_INS_QVSTFSXIA,
+	PPC_INS_RFCI,
+	PPC_INS_RFDI,
+	PPC_INS_RFI,
+	PPC_INS_RFID,
+	PPC_INS_RFMCI,
+	PPC_INS_RLDCL,
+	PPC_INS_RLDCR,
+	PPC_INS_RLDIC,
+	PPC_INS_RLDICL,
+	PPC_INS_RLDICR,
+	PPC_INS_RLDIMI,
+	PPC_INS_RLWIMI,
+	PPC_INS_RLWINM,
+	PPC_INS_RLWNM,
+	PPC_INS_SC,
+	PPC_INS_SLBIA,
+	PPC_INS_SLBIE,
+	PPC_INS_SLBMFEE,
+	PPC_INS_SLBMTE,
+	PPC_INS_SLD,
+	PPC_INS_SLW,
+	PPC_INS_SRAD,
+	PPC_INS_SRADI,
+	PPC_INS_SRAW,
+	PPC_INS_SRAWI,
+	PPC_INS_SRD,
+	PPC_INS_SRW,
+	PPC_INS_STB,
+	PPC_INS_STBCIX,
+	PPC_INS_STBU,
+	PPC_INS_STBUX,
+	PPC_INS_STBX,
+	PPC_INS_STD,
+	PPC_INS_STDBRX,
+	PPC_INS_STDCIX,
+	PPC_INS_STDCX,
+	PPC_INS_STDU,
+	PPC_INS_STDUX,
+	PPC_INS_STDX,
+	PPC_INS_STFD,
+	PPC_INS_STFDU,
+	PPC_INS_STFDUX,
+	PPC_INS_STFDX,
+	PPC_INS_STFIWX,
+	PPC_INS_STFS,
+	PPC_INS_STFSU,
+	PPC_INS_STFSUX,
+	PPC_INS_STFSX,
+	PPC_INS_STH,
+	PPC_INS_STHBRX,
+	PPC_INS_STHCIX,
+	PPC_INS_STHU,
+	PPC_INS_STHUX,
+	PPC_INS_STHX,
+	PPC_INS_STMW,
+	PPC_INS_STSWI,
+	PPC_INS_STVEBX,
+	PPC_INS_STVEHX,
+	PPC_INS_STVEWX,
+	PPC_INS_STVX,
+	PPC_INS_STVXL,
+	PPC_INS_STW,
+	PPC_INS_STWBRX,
+	PPC_INS_STWCIX,
+	PPC_INS_STWCX,
+	PPC_INS_STWU,
+	PPC_INS_STWUX,
+	PPC_INS_STWX,
+	PPC_INS_STXSDX,
+	PPC_INS_STXVD2X,
+	PPC_INS_STXVW4X,
+	PPC_INS_SUBF,
+	PPC_INS_SUBFC,
+	PPC_INS_SUBFE,
+	PPC_INS_SUBFIC,
+	PPC_INS_SUBFME,
+	PPC_INS_SUBFZE,
+	PPC_INS_SYNC,
+	PPC_INS_TD,
+	PPC_INS_TDI,
+	PPC_INS_TLBIA,
+	PPC_INS_TLBIE,
+	PPC_INS_TLBIEL,
+	PPC_INS_TLBIVAX,
+	PPC_INS_TLBLD,
+	PPC_INS_TLBLI,
+	PPC_INS_TLBRE,
+	PPC_INS_TLBSX,
+	PPC_INS_TLBSYNC,
+	PPC_INS_TLBWE,
+	PPC_INS_TRAP,
+	PPC_INS_TW,
+	PPC_INS_TWI,
+	PPC_INS_VADDCUW,
+	PPC_INS_VADDFP,
+	PPC_INS_VADDSBS,
+	PPC_INS_VADDSHS,
+	PPC_INS_VADDSWS,
+	PPC_INS_VADDUBM,
+	PPC_INS_VADDUBS,
+	PPC_INS_VADDUDM,
+	PPC_INS_VADDUHM,
+	PPC_INS_VADDUHS,
+	PPC_INS_VADDUWM,
+	PPC_INS_VADDUWS,
+	PPC_INS_VAND,
+	PPC_INS_VANDC,
+	PPC_INS_VAVGSB,
+	PPC_INS_VAVGSH,
+	PPC_INS_VAVGSW,
+	PPC_INS_VAVGUB,
+	PPC_INS_VAVGUH,
+	PPC_INS_VAVGUW,
+	PPC_INS_VCFSX,
+	PPC_INS_VCFUX,
+	PPC_INS_VCLZB,
+	PPC_INS_VCLZD,
+	PPC_INS_VCLZH,
+	PPC_INS_VCLZW,
+	PPC_INS_VCMPBFP,
+	PPC_INS_VCMPEQFP,
+	PPC_INS_VCMPEQUB,
+	PPC_INS_VCMPEQUD,
+	PPC_INS_VCMPEQUH,
+	PPC_INS_VCMPEQUW,
+	PPC_INS_VCMPGEFP,
+	PPC_INS_VCMPGTFP,
+	PPC_INS_VCMPGTSB,
+	PPC_INS_VCMPGTSD,
+	PPC_INS_VCMPGTSH,
+	PPC_INS_VCMPGTSW,
+	PPC_INS_VCMPGTUB,
+	PPC_INS_VCMPGTUD,
+	PPC_INS_VCMPGTUH,
+	PPC_INS_VCMPGTUW,
+	PPC_INS_VCTSXS,
+	PPC_INS_VCTUXS,
+	PPC_INS_VEQV,
+	PPC_INS_VEXPTEFP,
+	PPC_INS_VLOGEFP,
+	PPC_INS_VMADDFP,
+	PPC_INS_VMAXFP,
+	PPC_INS_VMAXSB,
+	PPC_INS_VMAXSD,
+	PPC_INS_VMAXSH,
+	PPC_INS_VMAXSW,
+	PPC_INS_VMAXUB,
+	PPC_INS_VMAXUD,
+	PPC_INS_VMAXUH,
+	PPC_INS_VMAXUW,
+	PPC_INS_VMHADDSHS,
+	PPC_INS_VMHRADDSHS,
+	PPC_INS_VMINUD,
+	PPC_INS_VMINFP,
+	PPC_INS_VMINSB,
+	PPC_INS_VMINSD,
+	PPC_INS_VMINSH,
+	PPC_INS_VMINSW,
+	PPC_INS_VMINUB,
+	PPC_INS_VMINUH,
+	PPC_INS_VMINUW,
+	PPC_INS_VMLADDUHM,
+	PPC_INS_VMRGHB,
+	PPC_INS_VMRGHH,
+	PPC_INS_VMRGHW,
+	PPC_INS_VMRGLB,
+	PPC_INS_VMRGLH,
+	PPC_INS_VMRGLW,
+	PPC_INS_VMSUMMBM,
+	PPC_INS_VMSUMSHM,
+	PPC_INS_VMSUMSHS,
+	PPC_INS_VMSUMUBM,
+	PPC_INS_VMSUMUHM,
+	PPC_INS_VMSUMUHS,
+	PPC_INS_VMULESB,
+	PPC_INS_VMULESH,
+	PPC_INS_VMULESW,
+	PPC_INS_VMULEUB,
+	PPC_INS_VMULEUH,
+	PPC_INS_VMULEUW,
+	PPC_INS_VMULOSB,
+	PPC_INS_VMULOSH,
+	PPC_INS_VMULOSW,
+	PPC_INS_VMULOUB,
+	PPC_INS_VMULOUH,
+	PPC_INS_VMULOUW,
+	PPC_INS_VMULUWM,
+	PPC_INS_VNAND,
+	PPC_INS_VNMSUBFP,
+	PPC_INS_VNOR,
+	PPC_INS_VOR,
+	PPC_INS_VORC,
+	PPC_INS_VPERM,
+	PPC_INS_VPKPX,
+	PPC_INS_VPKSHSS,
+	PPC_INS_VPKSHUS,
+	PPC_INS_VPKSWSS,
+	PPC_INS_VPKSWUS,
+	PPC_INS_VPKUHUM,
+	PPC_INS_VPKUHUS,
+	PPC_INS_VPKUWUM,
+	PPC_INS_VPKUWUS,
+	PPC_INS_VPOPCNTB,
+	PPC_INS_VPOPCNTD,
+	PPC_INS_VPOPCNTH,
+	PPC_INS_VPOPCNTW,
+	PPC_INS_VREFP,
+	PPC_INS_VRFIM,
+	PPC_INS_VRFIN,
+	PPC_INS_VRFIP,
+	PPC_INS_VRFIZ,
+	PPC_INS_VRLB,
+	PPC_INS_VRLD,
+	PPC_INS_VRLH,
+	PPC_INS_VRLW,
+	PPC_INS_VRSQRTEFP,
+	PPC_INS_VSEL,
+	PPC_INS_VSL,
+	PPC_INS_VSLB,
+	PPC_INS_VSLD,
+	PPC_INS_VSLDOI,
+	PPC_INS_VSLH,
+	PPC_INS_VSLO,
+	PPC_INS_VSLW,
+	PPC_INS_VSPLTB,
+	PPC_INS_VSPLTH,
+	PPC_INS_VSPLTISB,
+	PPC_INS_VSPLTISH,
+	PPC_INS_VSPLTISW,
+	PPC_INS_VSPLTW,
+	PPC_INS_VSR,
+	PPC_INS_VSRAB,
+	PPC_INS_VSRAD,
+	PPC_INS_VSRAH,
+	PPC_INS_VSRAW,
+	PPC_INS_VSRB,
+	PPC_INS_VSRD,
+	PPC_INS_VSRH,
+	PPC_INS_VSRO,
+	PPC_INS_VSRW,
+	PPC_INS_VSUBCUW,
+	PPC_INS_VSUBFP,
+	PPC_INS_VSUBSBS,
+	PPC_INS_VSUBSHS,
+	PPC_INS_VSUBSWS,
+	PPC_INS_VSUBUBM,
+	PPC_INS_VSUBUBS,
+	PPC_INS_VSUBUDM,
+	PPC_INS_VSUBUHM,
+	PPC_INS_VSUBUHS,
+	PPC_INS_VSUBUWM,
+	PPC_INS_VSUBUWS,
+	PPC_INS_VSUM2SWS,
+	PPC_INS_VSUM4SBS,
+	PPC_INS_VSUM4SHS,
+	PPC_INS_VSUM4UBS,
+	PPC_INS_VSUMSWS,
+	PPC_INS_VUPKHPX,
+	PPC_INS_VUPKHSB,
+	PPC_INS_VUPKHSH,
+	PPC_INS_VUPKLPX,
+	PPC_INS_VUPKLSB,
+	PPC_INS_VUPKLSH,
+	PPC_INS_VXOR,
+	PPC_INS_WAIT,
+	PPC_INS_WRTEE,
+	PPC_INS_WRTEEI,
+	PPC_INS_XOR,
+	PPC_INS_XORI,
+	PPC_INS_XORIS,
+	PPC_INS_XSABSDP,
+	PPC_INS_XSADDDP,
+	PPC_INS_XSCMPODP,
+	PPC_INS_XSCMPUDP,
+	PPC_INS_XSCPSGNDP,
+	PPC_INS_XSCVDPSP,
+	PPC_INS_XSCVDPSXDS,
+	PPC_INS_XSCVDPSXWS,
+	PPC_INS_XSCVDPUXDS,
+	PPC_INS_XSCVDPUXWS,
+	PPC_INS_XSCVSPDP,
+	PPC_INS_XSCVSXDDP,
+	PPC_INS_XSCVUXDDP,
+	PPC_INS_XSDIVDP,
+	PPC_INS_XSMADDADP,
+	PPC_INS_XSMADDMDP,
+	PPC_INS_XSMAXDP,
+	PPC_INS_XSMINDP,
+	PPC_INS_XSMSUBADP,
+	PPC_INS_XSMSUBMDP,
+	PPC_INS_XSMULDP,
+	PPC_INS_XSNABSDP,
+	PPC_INS_XSNEGDP,
+	PPC_INS_XSNMADDADP,
+	PPC_INS_XSNMADDMDP,
+	PPC_INS_XSNMSUBADP,
+	PPC_INS_XSNMSUBMDP,
+	PPC_INS_XSRDPI,
+	PPC_INS_XSRDPIC,
+	PPC_INS_XSRDPIM,
+	PPC_INS_XSRDPIP,
+	PPC_INS_XSRDPIZ,
+	PPC_INS_XSREDP,
+	PPC_INS_XSRSQRTEDP,
+	PPC_INS_XSSQRTDP,
+	PPC_INS_XSSUBDP,
+	PPC_INS_XSTDIVDP,
+	PPC_INS_XSTSQRTDP,
+	PPC_INS_XVABSDP,
+	PPC_INS_XVABSSP,
+	PPC_INS_XVADDDP,
+	PPC_INS_XVADDSP,
+	PPC_INS_XVCMPEQDP,
+	PPC_INS_XVCMPEQSP,
+	PPC_INS_XVCMPGEDP,
+	PPC_INS_XVCMPGESP,
+	PPC_INS_XVCMPGTDP,
+	PPC_INS_XVCMPGTSP,
+	PPC_INS_XVCPSGNDP,
+	PPC_INS_XVCPSGNSP,
+	PPC_INS_XVCVDPSP,
+	PPC_INS_XVCVDPSXDS,
+	PPC_INS_XVCVDPSXWS,
+	PPC_INS_XVCVDPUXDS,
+	PPC_INS_XVCVDPUXWS,
+	PPC_INS_XVCVSPDP,
+	PPC_INS_XVCVSPSXDS,
+	PPC_INS_XVCVSPSXWS,
+	PPC_INS_XVCVSPUXDS,
+	PPC_INS_XVCVSPUXWS,
+	PPC_INS_XVCVSXDDP,
+	PPC_INS_XVCVSXDSP,
+	PPC_INS_XVCVSXWDP,
+	PPC_INS_XVCVSXWSP,
+	PPC_INS_XVCVUXDDP,
+	PPC_INS_XVCVUXDSP,
+	PPC_INS_XVCVUXWDP,
+	PPC_INS_XVCVUXWSP,
+	PPC_INS_XVDIVDP,
+	PPC_INS_XVDIVSP,
+	PPC_INS_XVMADDADP,
+	PPC_INS_XVMADDASP,
+	PPC_INS_XVMADDMDP,
+	PPC_INS_XVMADDMSP,
+	PPC_INS_XVMAXDP,
+	PPC_INS_XVMAXSP,
+	PPC_INS_XVMINDP,
+	PPC_INS_XVMINSP,
+	PPC_INS_XVMSUBADP,
+	PPC_INS_XVMSUBASP,
+	PPC_INS_XVMSUBMDP,
+	PPC_INS_XVMSUBMSP,
+	PPC_INS_XVMULDP,
+	PPC_INS_XVMULSP,
+	PPC_INS_XVNABSDP,
+	PPC_INS_XVNABSSP,
+	PPC_INS_XVNEGDP,
+	PPC_INS_XVNEGSP,
+	PPC_INS_XVNMADDADP,
+	PPC_INS_XVNMADDASP,
+	PPC_INS_XVNMADDMDP,
+	PPC_INS_XVNMADDMSP,
+	PPC_INS_XVNMSUBADP,
+	PPC_INS_XVNMSUBASP,
+	PPC_INS_XVNMSUBMDP,
+	PPC_INS_XVNMSUBMSP,
+	PPC_INS_XVRDPI,
+	PPC_INS_XVRDPIC,
+	PPC_INS_XVRDPIM,
+	PPC_INS_XVRDPIP,
+	PPC_INS_XVRDPIZ,
+	PPC_INS_XVREDP,
+	PPC_INS_XVRESP,
+	PPC_INS_XVRSPI,
+	PPC_INS_XVRSPIC,
+	PPC_INS_XVRSPIM,
+	PPC_INS_XVRSPIP,
+	PPC_INS_XVRSPIZ,
+	PPC_INS_XVRSQRTEDP,
+	PPC_INS_XVRSQRTESP,
+	PPC_INS_XVSQRTDP,
+	PPC_INS_XVSQRTSP,
+	PPC_INS_XVSUBDP,
+	PPC_INS_XVSUBSP,
+	PPC_INS_XVTDIVDP,
+	PPC_INS_XVTDIVSP,
+	PPC_INS_XVTSQRTDP,
+	PPC_INS_XVTSQRTSP,
+	PPC_INS_XXLAND,
+	PPC_INS_XXLANDC,
+	PPC_INS_XXLEQV,
+	PPC_INS_XXLNAND,
+	PPC_INS_XXLNOR,
+	PPC_INS_XXLOR,
+	PPC_INS_XXLORC,
+	PPC_INS_XXLXOR,
+	PPC_INS_XXMRGHW,
+	PPC_INS_XXMRGLW,
+	PPC_INS_XXPERMDI,
+	PPC_INS_XXSEL,
+	PPC_INS_XXSLDWI,
+	PPC_INS_XXSPLTW,
+	PPC_INS_BCA,
+	PPC_INS_BCLA,
+
+	// extra & alias instructions
+	PPC_INS_SLWI,
+	PPC_INS_SRWI,
+	PPC_INS_SLDI,
+
+	PPC_INS_BTA,
+	PPC_INS_CRSET,
+	PPC_INS_CRNOT,
+	PPC_INS_CRMOVE,
+	PPC_INS_CRCLR,
+	PPC_INS_MFBR0,
+	PPC_INS_MFBR1,
+	PPC_INS_MFBR2,
+	PPC_INS_MFBR3,
+	PPC_INS_MFBR4,
+	PPC_INS_MFBR5,
+	PPC_INS_MFBR6,
+	PPC_INS_MFBR7,
+	PPC_INS_MFXER,
+	PPC_INS_MFRTCU,
+	PPC_INS_MFRTCL,
+	PPC_INS_MFDSCR,
+	PPC_INS_MFDSISR,
+	PPC_INS_MFDAR,
+	PPC_INS_MFSRR2,
+	PPC_INS_MFSRR3,
+	PPC_INS_MFCFAR,
+	PPC_INS_MFAMR,
+	PPC_INS_MFPID,
+	PPC_INS_MFTBLO,
+	PPC_INS_MFTBHI,
+	PPC_INS_MFDBATU,
+	PPC_INS_MFDBATL,
+	PPC_INS_MFIBATU,
+	PPC_INS_MFIBATL,
+	PPC_INS_MFDCCR,
+	PPC_INS_MFICCR,
+	PPC_INS_MFDEAR,
+	PPC_INS_MFESR,
+	PPC_INS_MFSPEFSCR,
+	PPC_INS_MFTCR,
+	PPC_INS_MFASR,
+	PPC_INS_MFPVR,
+	PPC_INS_MFTBU,
+	PPC_INS_MTCR,
+	PPC_INS_MTBR0,
+	PPC_INS_MTBR1,
+	PPC_INS_MTBR2,
+	PPC_INS_MTBR3,
+	PPC_INS_MTBR4,
+	PPC_INS_MTBR5,
+	PPC_INS_MTBR6,
+	PPC_INS_MTBR7,
+	PPC_INS_MTXER,
+	PPC_INS_MTDSCR,
+	PPC_INS_MTDSISR,
+	PPC_INS_MTDAR,
+	PPC_INS_MTSRR2,
+	PPC_INS_MTSRR3,
+	PPC_INS_MTCFAR,
+	PPC_INS_MTAMR,
+	PPC_INS_MTPID,
+	PPC_INS_MTTBL,
+	PPC_INS_MTTBU,
+	PPC_INS_MTTBLO,
+	PPC_INS_MTTBHI,
+	PPC_INS_MTDBATU,
+	PPC_INS_MTDBATL,
+	PPC_INS_MTIBATU,
+	PPC_INS_MTIBATL,
+	PPC_INS_MTDCCR,
+	PPC_INS_MTICCR,
+	PPC_INS_MTDEAR,
+	PPC_INS_MTESR,
+	PPC_INS_MTSPEFSCR,
+	PPC_INS_MTTCR,
+	PPC_INS_NOT,
+	PPC_INS_MR,
+	PPC_INS_ROTLD,
+	PPC_INS_ROTLDI,
+	PPC_INS_CLRLDI,
+	PPC_INS_ROTLWI,
+	PPC_INS_CLRLWI,
+	PPC_INS_ROTLW,
+	PPC_INS_SUB,
+	PPC_INS_SUBC,
+	PPC_INS_LWSYNC,
+	PPC_INS_PTESYNC,
+	PPC_INS_TDLT,
+	PPC_INS_TDEQ,
+	PPC_INS_TDGT,
+	PPC_INS_TDNE,
+	PPC_INS_TDLLT,
+	PPC_INS_TDLGT,
+	PPC_INS_TDU,
+	PPC_INS_TDLTI,
+	PPC_INS_TDEQI,
+	PPC_INS_TDGTI,
+	PPC_INS_TDNEI,
+	PPC_INS_TDLLTI,
+	PPC_INS_TDLGTI,
+	PPC_INS_TDUI,
+	PPC_INS_TLBREHI,
+	PPC_INS_TLBRELO,
+	PPC_INS_TLBWEHI,
+	PPC_INS_TLBWELO,
+	PPC_INS_TWLT,
+	PPC_INS_TWEQ,
+	PPC_INS_TWGT,
+	PPC_INS_TWNE,
+	PPC_INS_TWLLT,
+	PPC_INS_TWLGT,
+	PPC_INS_TWU,
+	PPC_INS_TWLTI,
+	PPC_INS_TWEQI,
+	PPC_INS_TWGTI,
+	PPC_INS_TWNEI,
+	PPC_INS_TWLLTI,
+	PPC_INS_TWLGTI,
+	PPC_INS_TWUI,
+	PPC_INS_WAITRSV,
+	PPC_INS_WAITIMPL,
+	PPC_INS_XNOP,
+	PPC_INS_XVMOVDP,
+	PPC_INS_XVMOVSP,
+	PPC_INS_XXSPLTD,
+	PPC_INS_XXMRGHD,
+	PPC_INS_XXMRGLD,
+	PPC_INS_XXSWAPD,
+	PPC_INS_BT,
+	PPC_INS_BF,
+	PPC_INS_BDNZT,
+	PPC_INS_BDNZF,
+	PPC_INS_BDZF,
+	PPC_INS_BDZT,
+	PPC_INS_BFA,
+	PPC_INS_BDNZTA,
+	PPC_INS_BDNZFA,
+	PPC_INS_BDZTA,
+	PPC_INS_BDZFA,
+	PPC_INS_BTCTR,
+	PPC_INS_BFCTR,
+	PPC_INS_BTCTRL,
+	PPC_INS_BFCTRL,
+	PPC_INS_BTL,
+	PPC_INS_BFL,
+	PPC_INS_BDNZTL,
+	PPC_INS_BDNZFL,
+	PPC_INS_BDZTL,
+	PPC_INS_BDZFL,
+	PPC_INS_BTLA,
+	PPC_INS_BFLA,
+	PPC_INS_BDNZTLA,
+	PPC_INS_BDNZFLA,
+	PPC_INS_BDZTLA,
+	PPC_INS_BDZFLA,
+	PPC_INS_BTLR,
+	PPC_INS_BFLR,
+	PPC_INS_BDNZTLR,
+	PPC_INS_BDZTLR,
+	PPC_INS_BDZFLR,
+	PPC_INS_BTLRL,
+	PPC_INS_BFLRL,
+	PPC_INS_BDNZTLRL,
+	PPC_INS_BDNZFLRL,
+	PPC_INS_BDZTLRL,
+	PPC_INS_BDZFLRL,
+
+	// QPX
+	PPC_INS_QVFAND,
+	PPC_INS_QVFCLR,
+	PPC_INS_QVFANDC,
+	PPC_INS_QVFCTFB,
+	PPC_INS_QVFXOR,
+	PPC_INS_QVFOR,
+	PPC_INS_QVFNOR,
+	PPC_INS_QVFEQU,
+	PPC_INS_QVFNOT,
+	PPC_INS_QVFORC,
+	PPC_INS_QVFNAND,
+	PPC_INS_QVFSET,
+
+	PPC_INS_ENDING,   // <-- mark the end of the list of instructions
+} ppc_insn;
+
+/// Group of PPC instructions
+typedef enum ppc_insn_group {
+	PPC_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	PPC_GRP_JUMP,	///< = CS_GRP_JUMP
+
+	// Architecture-specific groups
+	PPC_GRP_ALTIVEC = 128,
+	PPC_GRP_MODE32,
+	PPC_GRP_MODE64,
+	PPC_GRP_BOOKE,
+	PPC_GRP_NOTBOOKE,
+	PPC_GRP_SPE,
+	PPC_GRP_VSX,
+	PPC_GRP_E500,
+	PPC_GRP_PPC4XX,
+	PPC_GRP_PPC6XX,
+	PPC_GRP_ICBT,
+	PPC_GRP_P8ALTIVEC,
+	PPC_GRP_P8VECTOR,
+	PPC_GRP_QPX,
+
+	PPC_GRP_ENDING,   // <-- mark the end of the list of groups
+} ppc_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/sparc.h 4.0.2-3/include/capstone/sparc.h
--- 4.0.1+really+3.0.5-2/include/capstone/sparc.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/sparc.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,520 @@
+#ifndef CAPSTONE_SPARC_H
+#define CAPSTONE_SPARC_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+// GCC SPARC toolchain has a default macro called "sparc" which breaks
+// compilation
+#undef sparc
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// Enums corresponding to Sparc condition codes, both icc's and fcc's.
+typedef enum sparc_cc {
+	SPARC_CC_INVALID = 0,	///< invalid CC (default)
+	// Integer condition codes
+	SPARC_CC_ICC_A   =  8+256,  ///< Always
+	SPARC_CC_ICC_N   =  0+256,  ///< Never
+	SPARC_CC_ICC_NE  =  9+256,  ///< Not Equal
+	SPARC_CC_ICC_E   =  1+256,  ///< Equal
+	SPARC_CC_ICC_G   = 10+256,  ///< Greater
+	SPARC_CC_ICC_LE  =  2+256,  ///< Less or Equal
+	SPARC_CC_ICC_GE  = 11+256,  ///< Greater or Equal
+	SPARC_CC_ICC_L   =  3+256,  ///< Less
+	SPARC_CC_ICC_GU  = 12+256,  ///< Greater Unsigned
+	SPARC_CC_ICC_LEU =  4+256,  ///< Less or Equal Unsigned
+	SPARC_CC_ICC_CC  = 13+256,  ///< Carry Clear/Great or Equal Unsigned
+	SPARC_CC_ICC_CS  =  5+256,  ///< Carry Set/Less Unsigned
+	SPARC_CC_ICC_POS = 14+256,  ///< Positive
+	SPARC_CC_ICC_NEG =  6+256,  ///< Negative
+	SPARC_CC_ICC_VC  = 15+256,  ///< Overflow Clear
+	SPARC_CC_ICC_VS  =  7+256,  ///< Overflow Set
+
+	// Floating condition codes
+	SPARC_CC_FCC_A   =  8+16+256,  ///< Always
+	SPARC_CC_FCC_N   =  0+16+256,  ///< Never
+	SPARC_CC_FCC_U   =  7+16+256,  ///< Unordered
+	SPARC_CC_FCC_G   =  6+16+256,  ///< Greater
+	SPARC_CC_FCC_UG  =  5+16+256,  ///< Unordered or Greater
+	SPARC_CC_FCC_L   =  4+16+256,  ///< Less
+	SPARC_CC_FCC_UL  =  3+16+256,  ///< Unordered or Less
+	SPARC_CC_FCC_LG  =  2+16+256,  ///< Less or Greater
+	SPARC_CC_FCC_NE  =  1+16+256,  ///< Not Equal
+	SPARC_CC_FCC_E   =  9+16+256,  ///< Equal
+	SPARC_CC_FCC_UE  = 10+16+256,  ///< Unordered or Equal
+	SPARC_CC_FCC_GE  = 11+16+256,  ///< Greater or Equal
+	SPARC_CC_FCC_UGE = 12+16+256,  ///< Unordered or Greater or Equal
+	SPARC_CC_FCC_LE  = 13+16+256,  ///< Less or Equal
+	SPARC_CC_FCC_ULE = 14+16+256,  ///< Unordered or Less or Equal
+	SPARC_CC_FCC_O   = 15+16+256,  ///< Ordered
+} sparc_cc;
+
+/// Branch hint
+typedef enum sparc_hint {
+	SPARC_HINT_INVALID = 0,	///< no hint
+	SPARC_HINT_A	= 1 << 0,	///< annul delay slot instruction
+	SPARC_HINT_PT	= 1 << 1,	///< branch taken
+	SPARC_HINT_PN	= 1 << 2,	///< branch NOT taken
+} sparc_hint;
+
+/// Operand type for instruction's operands
+typedef enum sparc_op_type {
+	SPARC_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	SPARC_OP_REG, ///< = CS_OP_REG (Register operand).
+	SPARC_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	SPARC_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+} sparc_op_type;
+
+/// SPARC registers
+typedef enum sparc_reg {
+	SPARC_REG_INVALID = 0,
+
+	SPARC_REG_F0,
+	SPARC_REG_F1,
+	SPARC_REG_F2,
+	SPARC_REG_F3,
+	SPARC_REG_F4,
+	SPARC_REG_F5,
+	SPARC_REG_F6,
+	SPARC_REG_F7,
+	SPARC_REG_F8,
+	SPARC_REG_F9,
+	SPARC_REG_F10,
+	SPARC_REG_F11,
+	SPARC_REG_F12,
+	SPARC_REG_F13,
+	SPARC_REG_F14,
+	SPARC_REG_F15,
+	SPARC_REG_F16,
+	SPARC_REG_F17,
+	SPARC_REG_F18,
+	SPARC_REG_F19,
+	SPARC_REG_F20,
+	SPARC_REG_F21,
+	SPARC_REG_F22,
+	SPARC_REG_F23,
+	SPARC_REG_F24,
+	SPARC_REG_F25,
+	SPARC_REG_F26,
+	SPARC_REG_F27,
+	SPARC_REG_F28,
+	SPARC_REG_F29,
+	SPARC_REG_F30,
+	SPARC_REG_F31,
+	SPARC_REG_F32,
+	SPARC_REG_F34,
+	SPARC_REG_F36,
+	SPARC_REG_F38,
+	SPARC_REG_F40,
+	SPARC_REG_F42,
+	SPARC_REG_F44,
+	SPARC_REG_F46,
+	SPARC_REG_F48,
+	SPARC_REG_F50,
+	SPARC_REG_F52,
+	SPARC_REG_F54,
+	SPARC_REG_F56,
+	SPARC_REG_F58,
+	SPARC_REG_F60,
+	SPARC_REG_F62,
+	SPARC_REG_FCC0,	// Floating condition codes
+	SPARC_REG_FCC1,
+	SPARC_REG_FCC2,
+	SPARC_REG_FCC3,
+	SPARC_REG_FP,
+	SPARC_REG_G0,
+	SPARC_REG_G1,
+	SPARC_REG_G2,
+	SPARC_REG_G3,
+	SPARC_REG_G4,
+	SPARC_REG_G5,
+	SPARC_REG_G6,
+	SPARC_REG_G7,
+	SPARC_REG_I0,
+	SPARC_REG_I1,
+	SPARC_REG_I2,
+	SPARC_REG_I3,
+	SPARC_REG_I4,
+	SPARC_REG_I5,
+	SPARC_REG_I7,
+	SPARC_REG_ICC,	// Integer condition codes
+	SPARC_REG_L0,
+	SPARC_REG_L1,
+	SPARC_REG_L2,
+	SPARC_REG_L3,
+	SPARC_REG_L4,
+	SPARC_REG_L5,
+	SPARC_REG_L6,
+	SPARC_REG_L7,
+	SPARC_REG_O0,
+	SPARC_REG_O1,
+	SPARC_REG_O2,
+	SPARC_REG_O3,
+	SPARC_REG_O4,
+	SPARC_REG_O5,
+	SPARC_REG_O7,
+	SPARC_REG_SP,
+	SPARC_REG_Y,
+
+	// special register
+	SPARC_REG_XCC,
+
+	SPARC_REG_ENDING,   // <-- mark the end of the list of registers
+
+	// extras
+	SPARC_REG_O6 = SPARC_REG_SP,
+	SPARC_REG_I6 = SPARC_REG_FP,
+} sparc_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with SPARC_OP_MEM operand type above
+typedef struct sparc_op_mem {
+	uint8_t base;		///< base register, can be safely interpreted as
+				///< a value of type `sparc_reg`, but it is only
+				///< one byte wide
+	uint8_t index;		///< index register, same conditions apply here
+	int32_t disp;		///< displacement/offset value
+} sparc_op_mem;
+
+/// Instruction operand
+typedef struct cs_sparc_op {
+	sparc_op_type type;	///< operand type
+	union {
+		sparc_reg reg;	///< register value for REG operand
+		int64_t imm;		///< immediate value for IMM operand
+		sparc_op_mem mem;		///< base/disp value for MEM operand
+	};
+} cs_sparc_op;
+
+/// Instruction structure
+typedef struct cs_sparc {
+	sparc_cc cc;	///< code condition for this insn
+	sparc_hint hint;	///< branch hint: encoding as bitwise OR of sparc_hint.
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+	cs_sparc_op operands[4]; ///< operands for this instruction.
+} cs_sparc;
+
+/// SPARC instruction
+typedef enum sparc_insn {
+	SPARC_INS_INVALID = 0,
+
+	SPARC_INS_ADDCC,
+	SPARC_INS_ADDX,
+	SPARC_INS_ADDXCC,
+	SPARC_INS_ADDXC,
+	SPARC_INS_ADDXCCC,
+	SPARC_INS_ADD,
+	SPARC_INS_ALIGNADDR,
+	SPARC_INS_ALIGNADDRL,
+	SPARC_INS_ANDCC,
+	SPARC_INS_ANDNCC,
+	SPARC_INS_ANDN,
+	SPARC_INS_AND,
+	SPARC_INS_ARRAY16,
+	SPARC_INS_ARRAY32,
+	SPARC_INS_ARRAY8,
+	SPARC_INS_B,
+	SPARC_INS_JMP,
+	SPARC_INS_BMASK,
+	SPARC_INS_FB,
+	SPARC_INS_BRGEZ,
+	SPARC_INS_BRGZ,
+	SPARC_INS_BRLEZ,
+	SPARC_INS_BRLZ,
+	SPARC_INS_BRNZ,
+	SPARC_INS_BRZ,
+	SPARC_INS_BSHUFFLE,
+	SPARC_INS_CALL,
+	SPARC_INS_CASX,
+	SPARC_INS_CAS,
+	SPARC_INS_CMASK16,
+	SPARC_INS_CMASK32,
+	SPARC_INS_CMASK8,
+	SPARC_INS_CMP,
+	SPARC_INS_EDGE16,
+	SPARC_INS_EDGE16L,
+	SPARC_INS_EDGE16LN,
+	SPARC_INS_EDGE16N,
+	SPARC_INS_EDGE32,
+	SPARC_INS_EDGE32L,
+	SPARC_INS_EDGE32LN,
+	SPARC_INS_EDGE32N,
+	SPARC_INS_EDGE8,
+	SPARC_INS_EDGE8L,
+	SPARC_INS_EDGE8LN,
+	SPARC_INS_EDGE8N,
+	SPARC_INS_FABSD,
+	SPARC_INS_FABSQ,
+	SPARC_INS_FABSS,
+	SPARC_INS_FADDD,
+	SPARC_INS_FADDQ,
+	SPARC_INS_FADDS,
+	SPARC_INS_FALIGNDATA,
+	SPARC_INS_FAND,
+	SPARC_INS_FANDNOT1,
+	SPARC_INS_FANDNOT1S,
+	SPARC_INS_FANDNOT2,
+	SPARC_INS_FANDNOT2S,
+	SPARC_INS_FANDS,
+	SPARC_INS_FCHKSM16,
+	SPARC_INS_FCMPD,
+	SPARC_INS_FCMPEQ16,
+	SPARC_INS_FCMPEQ32,
+	SPARC_INS_FCMPGT16,
+	SPARC_INS_FCMPGT32,
+	SPARC_INS_FCMPLE16,
+	SPARC_INS_FCMPLE32,
+	SPARC_INS_FCMPNE16,
+	SPARC_INS_FCMPNE32,
+	SPARC_INS_FCMPQ,
+	SPARC_INS_FCMPS,
+	SPARC_INS_FDIVD,
+	SPARC_INS_FDIVQ,
+	SPARC_INS_FDIVS,
+	SPARC_INS_FDMULQ,
+	SPARC_INS_FDTOI,
+	SPARC_INS_FDTOQ,
+	SPARC_INS_FDTOS,
+	SPARC_INS_FDTOX,
+	SPARC_INS_FEXPAND,
+	SPARC_INS_FHADDD,
+	SPARC_INS_FHADDS,
+	SPARC_INS_FHSUBD,
+	SPARC_INS_FHSUBS,
+	SPARC_INS_FITOD,
+	SPARC_INS_FITOQ,
+	SPARC_INS_FITOS,
+	SPARC_INS_FLCMPD,
+	SPARC_INS_FLCMPS,
+	SPARC_INS_FLUSHW,
+	SPARC_INS_FMEAN16,
+	SPARC_INS_FMOVD,
+	SPARC_INS_FMOVQ,
+	SPARC_INS_FMOVRDGEZ,
+	SPARC_INS_FMOVRQGEZ,
+	SPARC_INS_FMOVRSGEZ,
+	SPARC_INS_FMOVRDGZ,
+	SPARC_INS_FMOVRQGZ,
+	SPARC_INS_FMOVRSGZ,
+	SPARC_INS_FMOVRDLEZ,
+	SPARC_INS_FMOVRQLEZ,
+	SPARC_INS_FMOVRSLEZ,
+	SPARC_INS_FMOVRDLZ,
+	SPARC_INS_FMOVRQLZ,
+	SPARC_INS_FMOVRSLZ,
+	SPARC_INS_FMOVRDNZ,
+	SPARC_INS_FMOVRQNZ,
+	SPARC_INS_FMOVRSNZ,
+	SPARC_INS_FMOVRDZ,
+	SPARC_INS_FMOVRQZ,
+	SPARC_INS_FMOVRSZ,
+	SPARC_INS_FMOVS,
+	SPARC_INS_FMUL8SUX16,
+	SPARC_INS_FMUL8ULX16,
+	SPARC_INS_FMUL8X16,
+	SPARC_INS_FMUL8X16AL,
+	SPARC_INS_FMUL8X16AU,
+	SPARC_INS_FMULD,
+	SPARC_INS_FMULD8SUX16,
+	SPARC_INS_FMULD8ULX16,
+	SPARC_INS_FMULQ,
+	SPARC_INS_FMULS,
+	SPARC_INS_FNADDD,
+	SPARC_INS_FNADDS,
+	SPARC_INS_FNAND,
+	SPARC_INS_FNANDS,
+	SPARC_INS_FNEGD,
+	SPARC_INS_FNEGQ,
+	SPARC_INS_FNEGS,
+	SPARC_INS_FNHADDD,
+	SPARC_INS_FNHADDS,
+	SPARC_INS_FNOR,
+	SPARC_INS_FNORS,
+	SPARC_INS_FNOT1,
+	SPARC_INS_FNOT1S,
+	SPARC_INS_FNOT2,
+	SPARC_INS_FNOT2S,
+	SPARC_INS_FONE,
+	SPARC_INS_FONES,
+	SPARC_INS_FOR,
+	SPARC_INS_FORNOT1,
+	SPARC_INS_FORNOT1S,
+	SPARC_INS_FORNOT2,
+	SPARC_INS_FORNOT2S,
+	SPARC_INS_FORS,
+	SPARC_INS_FPACK16,
+	SPARC_INS_FPACK32,
+	SPARC_INS_FPACKFIX,
+	SPARC_INS_FPADD16,
+	SPARC_INS_FPADD16S,
+	SPARC_INS_FPADD32,
+	SPARC_INS_FPADD32S,
+	SPARC_INS_FPADD64,
+	SPARC_INS_FPMERGE,
+	SPARC_INS_FPSUB16,
+	SPARC_INS_FPSUB16S,
+	SPARC_INS_FPSUB32,
+	SPARC_INS_FPSUB32S,
+	SPARC_INS_FQTOD,
+	SPARC_INS_FQTOI,
+	SPARC_INS_FQTOS,
+	SPARC_INS_FQTOX,
+	SPARC_INS_FSLAS16,
+	SPARC_INS_FSLAS32,
+	SPARC_INS_FSLL16,
+	SPARC_INS_FSLL32,
+	SPARC_INS_FSMULD,
+	SPARC_INS_FSQRTD,
+	SPARC_INS_FSQRTQ,
+	SPARC_INS_FSQRTS,
+	SPARC_INS_FSRA16,
+	SPARC_INS_FSRA32,
+	SPARC_INS_FSRC1,
+	SPARC_INS_FSRC1S,
+	SPARC_INS_FSRC2,
+	SPARC_INS_FSRC2S,
+	SPARC_INS_FSRL16,
+	SPARC_INS_FSRL32,
+	SPARC_INS_FSTOD,
+	SPARC_INS_FSTOI,
+	SPARC_INS_FSTOQ,
+	SPARC_INS_FSTOX,
+	SPARC_INS_FSUBD,
+	SPARC_INS_FSUBQ,
+	SPARC_INS_FSUBS,
+	SPARC_INS_FXNOR,
+	SPARC_INS_FXNORS,
+	SPARC_INS_FXOR,
+	SPARC_INS_FXORS,
+	SPARC_INS_FXTOD,
+	SPARC_INS_FXTOQ,
+	SPARC_INS_FXTOS,
+	SPARC_INS_FZERO,
+	SPARC_INS_FZEROS,
+	SPARC_INS_JMPL,
+	SPARC_INS_LDD,
+	SPARC_INS_LD,
+	SPARC_INS_LDQ,
+	SPARC_INS_LDSB,
+	SPARC_INS_LDSH,
+	SPARC_INS_LDSW,
+	SPARC_INS_LDUB,
+	SPARC_INS_LDUH,
+	SPARC_INS_LDX,
+	SPARC_INS_LZCNT,
+	SPARC_INS_MEMBAR,
+	SPARC_INS_MOVDTOX,
+	SPARC_INS_MOV,
+	SPARC_INS_MOVRGEZ,
+	SPARC_INS_MOVRGZ,
+	SPARC_INS_MOVRLEZ,
+	SPARC_INS_MOVRLZ,
+	SPARC_INS_MOVRNZ,
+	SPARC_INS_MOVRZ,
+	SPARC_INS_MOVSTOSW,
+	SPARC_INS_MOVSTOUW,
+	SPARC_INS_MULX,
+	SPARC_INS_NOP,
+	SPARC_INS_ORCC,
+	SPARC_INS_ORNCC,
+	SPARC_INS_ORN,
+	SPARC_INS_OR,
+	SPARC_INS_PDIST,
+	SPARC_INS_PDISTN,
+	SPARC_INS_POPC,
+	SPARC_INS_RD,
+	SPARC_INS_RESTORE,
+	SPARC_INS_RETT,
+	SPARC_INS_SAVE,
+	SPARC_INS_SDIVCC,
+	SPARC_INS_SDIVX,
+	SPARC_INS_SDIV,
+	SPARC_INS_SETHI,
+	SPARC_INS_SHUTDOWN,
+	SPARC_INS_SIAM,
+	SPARC_INS_SLLX,
+	SPARC_INS_SLL,
+	SPARC_INS_SMULCC,
+	SPARC_INS_SMUL,
+	SPARC_INS_SRAX,
+	SPARC_INS_SRA,
+	SPARC_INS_SRLX,
+	SPARC_INS_SRL,
+	SPARC_INS_STBAR,
+	SPARC_INS_STB,
+	SPARC_INS_STD,
+	SPARC_INS_ST,
+	SPARC_INS_STH,
+	SPARC_INS_STQ,
+	SPARC_INS_STX,
+	SPARC_INS_SUBCC,
+	SPARC_INS_SUBX,
+	SPARC_INS_SUBXCC,
+	SPARC_INS_SUB,
+	SPARC_INS_SWAP,
+	SPARC_INS_TADDCCTV,
+	SPARC_INS_TADDCC,
+	SPARC_INS_T,
+	SPARC_INS_TSUBCCTV,
+	SPARC_INS_TSUBCC,
+	SPARC_INS_UDIVCC,
+	SPARC_INS_UDIVX,
+	SPARC_INS_UDIV,
+	SPARC_INS_UMULCC,
+	SPARC_INS_UMULXHI,
+	SPARC_INS_UMUL,
+	SPARC_INS_UNIMP,
+	SPARC_INS_FCMPED,
+	SPARC_INS_FCMPEQ,
+	SPARC_INS_FCMPES,
+	SPARC_INS_WR,
+	SPARC_INS_XMULX,
+	SPARC_INS_XMULXHI,
+	SPARC_INS_XNORCC,
+	SPARC_INS_XNOR,
+	SPARC_INS_XORCC,
+	SPARC_INS_XOR,
+
+	// alias instructions
+	SPARC_INS_RET,
+	SPARC_INS_RETL,
+
+	SPARC_INS_ENDING,   // <-- mark the end of the list of instructions
+} sparc_insn;
+
+/// Group of SPARC instructions
+typedef enum sparc_insn_group {
+	SPARC_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	SPARC_GRP_JUMP,	///< = CS_GRP_JUMP
+
+	// Architecture-specific groups
+	SPARC_GRP_HARDQUAD = 128,
+	SPARC_GRP_V9,
+	SPARC_GRP_VIS,
+	SPARC_GRP_VIS2,
+	SPARC_GRP_VIS3, 
+	SPARC_GRP_32BIT,
+	SPARC_GRP_64BIT,
+
+	SPARC_GRP_ENDING,   // <-- mark the end of the list of groups
+} sparc_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/systemz.h 4.0.2-3/include/capstone/systemz.h
--- 4.0.1+really+3.0.5-2/include/capstone/systemz.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/systemz.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,830 @@
+#ifndef CAPSTONE_SYSTEMZ_H
+#define CAPSTONE_SYSTEMZ_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// Enums corresponding to SystemZ condition codes
+typedef enum sysz_cc {
+	SYSZ_CC_INVALID = 0,	///< invalid CC (default)
+
+	SYSZ_CC_O,
+	SYSZ_CC_H,
+	SYSZ_CC_NLE,
+	SYSZ_CC_L,
+	SYSZ_CC_NHE,
+	SYSZ_CC_LH,
+	SYSZ_CC_NE,
+	SYSZ_CC_E,
+	SYSZ_CC_NLH,
+	SYSZ_CC_HE,
+	SYSZ_CC_NL,
+	SYSZ_CC_LE,
+	SYSZ_CC_NH,
+	SYSZ_CC_NO,
+} sysz_cc;
+
+/// Operand type for instruction's operands
+typedef enum sysz_op_type {
+	SYSZ_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	SYSZ_OP_REG, ///< = CS_OP_REG (Register operand).
+	SYSZ_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	SYSZ_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+	SYSZ_OP_ACREG = 64,	///< Access register operand.
+} sysz_op_type;
+
+/// SystemZ registers
+typedef enum sysz_reg {
+	SYSZ_REG_INVALID = 0,
+
+	SYSZ_REG_0, 
+	SYSZ_REG_1, 
+	SYSZ_REG_2, 
+	SYSZ_REG_3, 
+	SYSZ_REG_4, 
+	SYSZ_REG_5, 
+	SYSZ_REG_6, 
+	SYSZ_REG_7, 
+	SYSZ_REG_8, 
+	SYSZ_REG_9, 
+	SYSZ_REG_10,
+	SYSZ_REG_11,
+	SYSZ_REG_12,
+	SYSZ_REG_13,
+	SYSZ_REG_14,
+	SYSZ_REG_15,
+	SYSZ_REG_CC,
+	SYSZ_REG_F0,
+	SYSZ_REG_F1,
+	SYSZ_REG_F2,
+	SYSZ_REG_F3,
+	SYSZ_REG_F4,
+	SYSZ_REG_F5,
+	SYSZ_REG_F6,
+	SYSZ_REG_F7,
+	SYSZ_REG_F8,
+	SYSZ_REG_F9,
+	SYSZ_REG_F10,
+	SYSZ_REG_F11,
+	SYSZ_REG_F12,
+	SYSZ_REG_F13,
+	SYSZ_REG_F14,
+	SYSZ_REG_F15,
+
+	SYSZ_REG_R0L,
+
+	SYSZ_REG_ENDING,
+} sysz_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with SYSZ_OP_MEM operand type above
+typedef struct sysz_op_mem {
+	uint8_t base;		///< base register, can be safely interpreted as
+				///< a value of type `sysz_reg`, but it is only
+				///< one byte wide
+	uint8_t index;		///< index register, same conditions apply here
+	uint64_t length;	///< BDLAddr operand
+	int64_t disp;	///< displacement/offset value
+} sysz_op_mem;
+
+/// Instruction operand
+typedef struct cs_sysz_op {
+	sysz_op_type type;	///< operand type
+	union {
+		sysz_reg reg;		///< register value for REG operand
+		int64_t imm;		///< immediate value for IMM operand
+		sysz_op_mem mem;	///< base/disp value for MEM operand
+	};
+} cs_sysz_op;
+
+// Instruction structure
+typedef struct cs_sysz {
+	sysz_cc cc;		///< Code condition
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+	cs_sysz_op operands[6]; ///< operands for this instruction.
+} cs_sysz;
+
+/// SystemZ instruction
+typedef enum sysz_insn {
+	SYSZ_INS_INVALID = 0,
+
+	SYSZ_INS_A,
+	SYSZ_INS_ADB,
+	SYSZ_INS_ADBR,
+	SYSZ_INS_AEB,
+	SYSZ_INS_AEBR,
+	SYSZ_INS_AFI,
+	SYSZ_INS_AG,
+	SYSZ_INS_AGF,
+	SYSZ_INS_AGFI,
+	SYSZ_INS_AGFR,
+	SYSZ_INS_AGHI,
+	SYSZ_INS_AGHIK,
+	SYSZ_INS_AGR,
+	SYSZ_INS_AGRK,
+	SYSZ_INS_AGSI,
+	SYSZ_INS_AH,
+	SYSZ_INS_AHI,
+	SYSZ_INS_AHIK,
+	SYSZ_INS_AHY,
+	SYSZ_INS_AIH,
+	SYSZ_INS_AL,
+	SYSZ_INS_ALC,
+	SYSZ_INS_ALCG,
+	SYSZ_INS_ALCGR,
+	SYSZ_INS_ALCR,
+	SYSZ_INS_ALFI,
+	SYSZ_INS_ALG,
+	SYSZ_INS_ALGF,
+	SYSZ_INS_ALGFI,
+	SYSZ_INS_ALGFR,
+	SYSZ_INS_ALGHSIK,
+	SYSZ_INS_ALGR,
+	SYSZ_INS_ALGRK,
+	SYSZ_INS_ALHSIK,
+	SYSZ_INS_ALR,
+	SYSZ_INS_ALRK,
+	SYSZ_INS_ALY,
+	SYSZ_INS_AR,
+	SYSZ_INS_ARK,
+	SYSZ_INS_ASI,
+	SYSZ_INS_AXBR,
+	SYSZ_INS_AY,
+	SYSZ_INS_BCR,
+	SYSZ_INS_BRC,
+	SYSZ_INS_BRCL,
+	SYSZ_INS_CGIJ,
+	SYSZ_INS_CGRJ,
+	SYSZ_INS_CIJ,
+	SYSZ_INS_CLGIJ,
+	SYSZ_INS_CLGRJ,
+	SYSZ_INS_CLIJ,
+	SYSZ_INS_CLRJ,
+	SYSZ_INS_CRJ,
+	SYSZ_INS_BER,
+	SYSZ_INS_JE,
+	SYSZ_INS_JGE,
+	SYSZ_INS_LOCE,
+	SYSZ_INS_LOCGE,
+	SYSZ_INS_LOCGRE,
+	SYSZ_INS_LOCRE,
+	SYSZ_INS_STOCE,
+	SYSZ_INS_STOCGE,
+	SYSZ_INS_BHR,
+	SYSZ_INS_BHER,
+	SYSZ_INS_JHE,
+	SYSZ_INS_JGHE,
+	SYSZ_INS_LOCHE,
+	SYSZ_INS_LOCGHE,
+	SYSZ_INS_LOCGRHE,
+	SYSZ_INS_LOCRHE,
+	SYSZ_INS_STOCHE,
+	SYSZ_INS_STOCGHE,
+	SYSZ_INS_JH,
+	SYSZ_INS_JGH,
+	SYSZ_INS_LOCH,
+	SYSZ_INS_LOCGH,
+	SYSZ_INS_LOCGRH,
+	SYSZ_INS_LOCRH,
+	SYSZ_INS_STOCH,
+	SYSZ_INS_STOCGH,
+	SYSZ_INS_CGIJNLH,
+	SYSZ_INS_CGRJNLH,
+	SYSZ_INS_CIJNLH,
+	SYSZ_INS_CLGIJNLH,
+	SYSZ_INS_CLGRJNLH,
+	SYSZ_INS_CLIJNLH,
+	SYSZ_INS_CLRJNLH,
+	SYSZ_INS_CRJNLH,
+	SYSZ_INS_CGIJE,
+	SYSZ_INS_CGRJE,
+	SYSZ_INS_CIJE,
+	SYSZ_INS_CLGIJE,
+	SYSZ_INS_CLGRJE,
+	SYSZ_INS_CLIJE,
+	SYSZ_INS_CLRJE,
+	SYSZ_INS_CRJE,
+	SYSZ_INS_CGIJNLE,
+	SYSZ_INS_CGRJNLE,
+	SYSZ_INS_CIJNLE,
+	SYSZ_INS_CLGIJNLE,
+	SYSZ_INS_CLGRJNLE,
+	SYSZ_INS_CLIJNLE,
+	SYSZ_INS_CLRJNLE,
+	SYSZ_INS_CRJNLE,
+	SYSZ_INS_CGIJH,
+	SYSZ_INS_CGRJH,
+	SYSZ_INS_CIJH,
+	SYSZ_INS_CLGIJH,
+	SYSZ_INS_CLGRJH,
+	SYSZ_INS_CLIJH,
+	SYSZ_INS_CLRJH,
+	SYSZ_INS_CRJH,
+	SYSZ_INS_CGIJNL,
+	SYSZ_INS_CGRJNL,
+	SYSZ_INS_CIJNL,
+	SYSZ_INS_CLGIJNL,
+	SYSZ_INS_CLGRJNL,
+	SYSZ_INS_CLIJNL,
+	SYSZ_INS_CLRJNL,
+	SYSZ_INS_CRJNL,
+	SYSZ_INS_CGIJHE,
+	SYSZ_INS_CGRJHE,
+	SYSZ_INS_CIJHE,
+	SYSZ_INS_CLGIJHE,
+	SYSZ_INS_CLGRJHE,
+	SYSZ_INS_CLIJHE,
+	SYSZ_INS_CLRJHE,
+	SYSZ_INS_CRJHE,
+	SYSZ_INS_CGIJNHE,
+	SYSZ_INS_CGRJNHE,
+	SYSZ_INS_CIJNHE,
+	SYSZ_INS_CLGIJNHE,
+	SYSZ_INS_CLGRJNHE,
+	SYSZ_INS_CLIJNHE,
+	SYSZ_INS_CLRJNHE,
+	SYSZ_INS_CRJNHE,
+	SYSZ_INS_CGIJL,
+	SYSZ_INS_CGRJL,
+	SYSZ_INS_CIJL,
+	SYSZ_INS_CLGIJL,
+	SYSZ_INS_CLGRJL,
+	SYSZ_INS_CLIJL,
+	SYSZ_INS_CLRJL,
+	SYSZ_INS_CRJL,
+	SYSZ_INS_CGIJNH,
+	SYSZ_INS_CGRJNH,
+	SYSZ_INS_CIJNH,
+	SYSZ_INS_CLGIJNH,
+	SYSZ_INS_CLGRJNH,
+	SYSZ_INS_CLIJNH,
+	SYSZ_INS_CLRJNH,
+	SYSZ_INS_CRJNH,
+	SYSZ_INS_CGIJLE,
+	SYSZ_INS_CGRJLE,
+	SYSZ_INS_CIJLE,
+	SYSZ_INS_CLGIJLE,
+	SYSZ_INS_CLGRJLE,
+	SYSZ_INS_CLIJLE,
+	SYSZ_INS_CLRJLE,
+	SYSZ_INS_CRJLE,
+	SYSZ_INS_CGIJNE,
+	SYSZ_INS_CGRJNE,
+	SYSZ_INS_CIJNE,
+	SYSZ_INS_CLGIJNE,
+	SYSZ_INS_CLGRJNE,
+	SYSZ_INS_CLIJNE,
+	SYSZ_INS_CLRJNE,
+	SYSZ_INS_CRJNE,
+	SYSZ_INS_CGIJLH,
+	SYSZ_INS_CGRJLH,
+	SYSZ_INS_CIJLH,
+	SYSZ_INS_CLGIJLH,
+	SYSZ_INS_CLGRJLH,
+	SYSZ_INS_CLIJLH,
+	SYSZ_INS_CLRJLH,
+	SYSZ_INS_CRJLH,
+	SYSZ_INS_BLR,
+	SYSZ_INS_BLER,
+	SYSZ_INS_JLE,
+	SYSZ_INS_JGLE,
+	SYSZ_INS_LOCLE,
+	SYSZ_INS_LOCGLE,
+	SYSZ_INS_LOCGRLE,
+	SYSZ_INS_LOCRLE,
+	SYSZ_INS_STOCLE,
+	SYSZ_INS_STOCGLE,
+	SYSZ_INS_BLHR,
+	SYSZ_INS_JLH,
+	SYSZ_INS_JGLH,
+	SYSZ_INS_LOCLH,
+	SYSZ_INS_LOCGLH,
+	SYSZ_INS_LOCGRLH,
+	SYSZ_INS_LOCRLH,
+	SYSZ_INS_STOCLH,
+	SYSZ_INS_STOCGLH,
+	SYSZ_INS_JL,
+	SYSZ_INS_JGL,
+	SYSZ_INS_LOCL,
+	SYSZ_INS_LOCGL,
+	SYSZ_INS_LOCGRL,
+	SYSZ_INS_LOCRL,
+	SYSZ_INS_LOC,
+	SYSZ_INS_LOCG,
+	SYSZ_INS_LOCGR,
+	SYSZ_INS_LOCR,
+	SYSZ_INS_STOCL,
+	SYSZ_INS_STOCGL,
+	SYSZ_INS_BNER,
+	SYSZ_INS_JNE,
+	SYSZ_INS_JGNE,
+	SYSZ_INS_LOCNE,
+	SYSZ_INS_LOCGNE,
+	SYSZ_INS_LOCGRNE,
+	SYSZ_INS_LOCRNE,
+	SYSZ_INS_STOCNE,
+	SYSZ_INS_STOCGNE,
+	SYSZ_INS_BNHR,
+	SYSZ_INS_BNHER,
+	SYSZ_INS_JNHE,
+	SYSZ_INS_JGNHE,
+	SYSZ_INS_LOCNHE,
+	SYSZ_INS_LOCGNHE,
+	SYSZ_INS_LOCGRNHE,
+	SYSZ_INS_LOCRNHE,
+	SYSZ_INS_STOCNHE,
+	SYSZ_INS_STOCGNHE,
+	SYSZ_INS_JNH,
+	SYSZ_INS_JGNH,
+	SYSZ_INS_LOCNH,
+	SYSZ_INS_LOCGNH,
+	SYSZ_INS_LOCGRNH,
+	SYSZ_INS_LOCRNH,
+	SYSZ_INS_STOCNH,
+	SYSZ_INS_STOCGNH,
+	SYSZ_INS_BNLR,
+	SYSZ_INS_BNLER,
+	SYSZ_INS_JNLE,
+	SYSZ_INS_JGNLE,
+	SYSZ_INS_LOCNLE,
+	SYSZ_INS_LOCGNLE,
+	SYSZ_INS_LOCGRNLE,
+	SYSZ_INS_LOCRNLE,
+	SYSZ_INS_STOCNLE,
+	SYSZ_INS_STOCGNLE,
+	SYSZ_INS_BNLHR,
+	SYSZ_INS_JNLH,
+	SYSZ_INS_JGNLH,
+	SYSZ_INS_LOCNLH,
+	SYSZ_INS_LOCGNLH,
+	SYSZ_INS_LOCGRNLH,
+	SYSZ_INS_LOCRNLH,
+	SYSZ_INS_STOCNLH,
+	SYSZ_INS_STOCGNLH,
+	SYSZ_INS_JNL,
+	SYSZ_INS_JGNL,
+	SYSZ_INS_LOCNL,
+	SYSZ_INS_LOCGNL,
+	SYSZ_INS_LOCGRNL,
+	SYSZ_INS_LOCRNL,
+	SYSZ_INS_STOCNL,
+	SYSZ_INS_STOCGNL,
+	SYSZ_INS_BNOR,
+	SYSZ_INS_JNO,
+	SYSZ_INS_JGNO,
+	SYSZ_INS_LOCNO,
+	SYSZ_INS_LOCGNO,
+	SYSZ_INS_LOCGRNO,
+	SYSZ_INS_LOCRNO,
+	SYSZ_INS_STOCNO,
+	SYSZ_INS_STOCGNO,
+	SYSZ_INS_BOR,
+	SYSZ_INS_JO,
+	SYSZ_INS_JGO,
+	SYSZ_INS_LOCO,
+	SYSZ_INS_LOCGO,
+	SYSZ_INS_LOCGRO,
+	SYSZ_INS_LOCRO,
+	SYSZ_INS_STOCO,
+	SYSZ_INS_STOCGO,
+	SYSZ_INS_STOC,
+	SYSZ_INS_STOCG,
+	SYSZ_INS_BASR,
+	SYSZ_INS_BR,
+	SYSZ_INS_BRAS,
+	SYSZ_INS_BRASL,
+	SYSZ_INS_J,
+	SYSZ_INS_JG,
+	SYSZ_INS_BRCT,
+	SYSZ_INS_BRCTG,
+	SYSZ_INS_C,
+	SYSZ_INS_CDB,
+	SYSZ_INS_CDBR,
+	SYSZ_INS_CDFBR,
+	SYSZ_INS_CDGBR,
+	SYSZ_INS_CDLFBR,
+	SYSZ_INS_CDLGBR,
+	SYSZ_INS_CEB,
+	SYSZ_INS_CEBR,
+	SYSZ_INS_CEFBR,
+	SYSZ_INS_CEGBR,
+	SYSZ_INS_CELFBR,
+	SYSZ_INS_CELGBR,
+	SYSZ_INS_CFDBR,
+	SYSZ_INS_CFEBR,
+	SYSZ_INS_CFI,
+	SYSZ_INS_CFXBR,
+	SYSZ_INS_CG,
+	SYSZ_INS_CGDBR,
+	SYSZ_INS_CGEBR,
+	SYSZ_INS_CGF,
+	SYSZ_INS_CGFI,
+	SYSZ_INS_CGFR,
+	SYSZ_INS_CGFRL,
+	SYSZ_INS_CGH,
+	SYSZ_INS_CGHI,
+	SYSZ_INS_CGHRL,
+	SYSZ_INS_CGHSI,
+	SYSZ_INS_CGR,
+	SYSZ_INS_CGRL,
+	SYSZ_INS_CGXBR,
+	SYSZ_INS_CH,
+	SYSZ_INS_CHF,
+	SYSZ_INS_CHHSI,
+	SYSZ_INS_CHI,
+	SYSZ_INS_CHRL,
+	SYSZ_INS_CHSI,
+	SYSZ_INS_CHY,
+	SYSZ_INS_CIH,
+	SYSZ_INS_CL,
+	SYSZ_INS_CLC,
+	SYSZ_INS_CLFDBR,
+	SYSZ_INS_CLFEBR,
+	SYSZ_INS_CLFHSI,
+	SYSZ_INS_CLFI,
+	SYSZ_INS_CLFXBR,
+	SYSZ_INS_CLG,
+	SYSZ_INS_CLGDBR,
+	SYSZ_INS_CLGEBR,
+	SYSZ_INS_CLGF,
+	SYSZ_INS_CLGFI,
+	SYSZ_INS_CLGFR,
+	SYSZ_INS_CLGFRL,
+	SYSZ_INS_CLGHRL,
+	SYSZ_INS_CLGHSI,
+	SYSZ_INS_CLGR,
+	SYSZ_INS_CLGRL,
+	SYSZ_INS_CLGXBR,
+	SYSZ_INS_CLHF,
+	SYSZ_INS_CLHHSI,
+	SYSZ_INS_CLHRL,
+	SYSZ_INS_CLI,
+	SYSZ_INS_CLIH,
+	SYSZ_INS_CLIY,
+	SYSZ_INS_CLR,
+	SYSZ_INS_CLRL,
+	SYSZ_INS_CLST,
+	SYSZ_INS_CLY,
+	SYSZ_INS_CPSDR,
+	SYSZ_INS_CR,
+	SYSZ_INS_CRL,
+	SYSZ_INS_CS,
+	SYSZ_INS_CSG,
+	SYSZ_INS_CSY,
+	SYSZ_INS_CXBR,
+	SYSZ_INS_CXFBR,
+	SYSZ_INS_CXGBR,
+	SYSZ_INS_CXLFBR,
+	SYSZ_INS_CXLGBR,
+	SYSZ_INS_CY,
+	SYSZ_INS_DDB,
+	SYSZ_INS_DDBR,
+	SYSZ_INS_DEB,
+	SYSZ_INS_DEBR,
+	SYSZ_INS_DL,
+	SYSZ_INS_DLG,
+	SYSZ_INS_DLGR,
+	SYSZ_INS_DLR,
+	SYSZ_INS_DSG,
+	SYSZ_INS_DSGF,
+	SYSZ_INS_DSGFR,
+	SYSZ_INS_DSGR,
+	SYSZ_INS_DXBR,
+	SYSZ_INS_EAR,
+	SYSZ_INS_FIDBR,
+	SYSZ_INS_FIDBRA,
+	SYSZ_INS_FIEBR,
+	SYSZ_INS_FIEBRA,
+	SYSZ_INS_FIXBR,
+	SYSZ_INS_FIXBRA,
+	SYSZ_INS_FLOGR,
+	SYSZ_INS_IC,
+	SYSZ_INS_ICY,
+	SYSZ_INS_IIHF,
+	SYSZ_INS_IIHH,
+	SYSZ_INS_IIHL,
+	SYSZ_INS_IILF,
+	SYSZ_INS_IILH,
+	SYSZ_INS_IILL,
+	SYSZ_INS_IPM,
+	SYSZ_INS_L,
+	SYSZ_INS_LA,
+	SYSZ_INS_LAA,
+	SYSZ_INS_LAAG,
+	SYSZ_INS_LAAL,
+	SYSZ_INS_LAALG,
+	SYSZ_INS_LAN,
+	SYSZ_INS_LANG,
+	SYSZ_INS_LAO,
+	SYSZ_INS_LAOG,
+	SYSZ_INS_LARL,
+	SYSZ_INS_LAX,
+	SYSZ_INS_LAXG,
+	SYSZ_INS_LAY,
+	SYSZ_INS_LB,
+	SYSZ_INS_LBH,
+	SYSZ_INS_LBR,
+	SYSZ_INS_LCDBR,
+	SYSZ_INS_LCEBR,
+	SYSZ_INS_LCGFR,
+	SYSZ_INS_LCGR,
+	SYSZ_INS_LCR,
+	SYSZ_INS_LCXBR,
+	SYSZ_INS_LD,
+	SYSZ_INS_LDEB,
+	SYSZ_INS_LDEBR,
+	SYSZ_INS_LDGR,
+	SYSZ_INS_LDR,
+	SYSZ_INS_LDXBR,
+	SYSZ_INS_LDXBRA,
+	SYSZ_INS_LDY,
+	SYSZ_INS_LE,
+	SYSZ_INS_LEDBR,
+	SYSZ_INS_LEDBRA,
+	SYSZ_INS_LER,
+	SYSZ_INS_LEXBR,
+	SYSZ_INS_LEXBRA,
+	SYSZ_INS_LEY,
+	SYSZ_INS_LFH,
+	SYSZ_INS_LG,
+	SYSZ_INS_LGB,
+	SYSZ_INS_LGBR,
+	SYSZ_INS_LGDR,
+	SYSZ_INS_LGF,
+	SYSZ_INS_LGFI,
+	SYSZ_INS_LGFR,
+	SYSZ_INS_LGFRL,
+	SYSZ_INS_LGH,
+	SYSZ_INS_LGHI,
+	SYSZ_INS_LGHR,
+	SYSZ_INS_LGHRL,
+	SYSZ_INS_LGR,
+	SYSZ_INS_LGRL,
+	SYSZ_INS_LH,
+	SYSZ_INS_LHH,
+	SYSZ_INS_LHI,
+	SYSZ_INS_LHR,
+	SYSZ_INS_LHRL,
+	SYSZ_INS_LHY,
+	SYSZ_INS_LLC,
+	SYSZ_INS_LLCH,
+	SYSZ_INS_LLCR,
+	SYSZ_INS_LLGC,
+	SYSZ_INS_LLGCR,
+	SYSZ_INS_LLGF,
+	SYSZ_INS_LLGFR,
+	SYSZ_INS_LLGFRL,
+	SYSZ_INS_LLGH,
+	SYSZ_INS_LLGHR,
+	SYSZ_INS_LLGHRL,
+	SYSZ_INS_LLH,
+	SYSZ_INS_LLHH,
+	SYSZ_INS_LLHR,
+	SYSZ_INS_LLHRL,
+	SYSZ_INS_LLIHF,
+	SYSZ_INS_LLIHH,
+	SYSZ_INS_LLIHL,
+	SYSZ_INS_LLILF,
+	SYSZ_INS_LLILH,
+	SYSZ_INS_LLILL,
+	SYSZ_INS_LMG,
+	SYSZ_INS_LNDBR,
+	SYSZ_INS_LNEBR,
+	SYSZ_INS_LNGFR,
+	SYSZ_INS_LNGR,
+	SYSZ_INS_LNR,
+	SYSZ_INS_LNXBR,
+	SYSZ_INS_LPDBR,
+	SYSZ_INS_LPEBR,
+	SYSZ_INS_LPGFR,
+	SYSZ_INS_LPGR,
+	SYSZ_INS_LPR,
+	SYSZ_INS_LPXBR,
+	SYSZ_INS_LR,
+	SYSZ_INS_LRL,
+	SYSZ_INS_LRV,
+	SYSZ_INS_LRVG,
+	SYSZ_INS_LRVGR,
+	SYSZ_INS_LRVR,
+	SYSZ_INS_LT,
+	SYSZ_INS_LTDBR,
+	SYSZ_INS_LTEBR,
+	SYSZ_INS_LTG,
+	SYSZ_INS_LTGF,
+	SYSZ_INS_LTGFR,
+	SYSZ_INS_LTGR,
+	SYSZ_INS_LTR,
+	SYSZ_INS_LTXBR,
+	SYSZ_INS_LXDB,
+	SYSZ_INS_LXDBR,
+	SYSZ_INS_LXEB,
+	SYSZ_INS_LXEBR,
+	SYSZ_INS_LXR,
+	SYSZ_INS_LY,
+	SYSZ_INS_LZDR,
+	SYSZ_INS_LZER,
+	SYSZ_INS_LZXR,
+	SYSZ_INS_MADB,
+	SYSZ_INS_MADBR,
+	SYSZ_INS_MAEB,
+	SYSZ_INS_MAEBR,
+	SYSZ_INS_MDB,
+	SYSZ_INS_MDBR,
+	SYSZ_INS_MDEB,
+	SYSZ_INS_MDEBR,
+	SYSZ_INS_MEEB,
+	SYSZ_INS_MEEBR,
+	SYSZ_INS_MGHI,
+	SYSZ_INS_MH,
+	SYSZ_INS_MHI,
+	SYSZ_INS_MHY,
+	SYSZ_INS_MLG,
+	SYSZ_INS_MLGR,
+	SYSZ_INS_MS,
+	SYSZ_INS_MSDB,
+	SYSZ_INS_MSDBR,
+	SYSZ_INS_MSEB,
+	SYSZ_INS_MSEBR,
+	SYSZ_INS_MSFI,
+	SYSZ_INS_MSG,
+	SYSZ_INS_MSGF,
+	SYSZ_INS_MSGFI,
+	SYSZ_INS_MSGFR,
+	SYSZ_INS_MSGR,
+	SYSZ_INS_MSR,
+	SYSZ_INS_MSY,
+	SYSZ_INS_MVC,
+	SYSZ_INS_MVGHI,
+	SYSZ_INS_MVHHI,
+	SYSZ_INS_MVHI,
+	SYSZ_INS_MVI,
+	SYSZ_INS_MVIY,
+	SYSZ_INS_MVST,
+	SYSZ_INS_MXBR,
+	SYSZ_INS_MXDB,
+	SYSZ_INS_MXDBR,
+	SYSZ_INS_N,
+	SYSZ_INS_NC,
+	SYSZ_INS_NG,
+	SYSZ_INS_NGR,
+	SYSZ_INS_NGRK,
+	SYSZ_INS_NI,
+	SYSZ_INS_NIHF,
+	SYSZ_INS_NIHH,
+	SYSZ_INS_NIHL,
+	SYSZ_INS_NILF,
+	SYSZ_INS_NILH,
+	SYSZ_INS_NILL,
+	SYSZ_INS_NIY,
+	SYSZ_INS_NR,
+	SYSZ_INS_NRK,
+	SYSZ_INS_NY,
+	SYSZ_INS_O,
+	SYSZ_INS_OC,
+	SYSZ_INS_OG,
+	SYSZ_INS_OGR,
+	SYSZ_INS_OGRK,
+	SYSZ_INS_OI,
+	SYSZ_INS_OIHF,
+	SYSZ_INS_OIHH,
+	SYSZ_INS_OIHL,
+	SYSZ_INS_OILF,
+	SYSZ_INS_OILH,
+	SYSZ_INS_OILL,
+	SYSZ_INS_OIY,
+	SYSZ_INS_OR,
+	SYSZ_INS_ORK,
+	SYSZ_INS_OY,
+	SYSZ_INS_PFD,
+	SYSZ_INS_PFDRL,
+	SYSZ_INS_RISBG,
+	SYSZ_INS_RISBHG,
+	SYSZ_INS_RISBLG,
+	SYSZ_INS_RLL,
+	SYSZ_INS_RLLG,
+	SYSZ_INS_RNSBG,
+	SYSZ_INS_ROSBG,
+	SYSZ_INS_RXSBG,
+	SYSZ_INS_S,
+	SYSZ_INS_SDB,
+	SYSZ_INS_SDBR,
+	SYSZ_INS_SEB,
+	SYSZ_INS_SEBR,
+	SYSZ_INS_SG,
+	SYSZ_INS_SGF,
+	SYSZ_INS_SGFR,
+	SYSZ_INS_SGR,
+	SYSZ_INS_SGRK,
+	SYSZ_INS_SH,
+	SYSZ_INS_SHY,
+	SYSZ_INS_SL,
+	SYSZ_INS_SLB,
+	SYSZ_INS_SLBG,
+	SYSZ_INS_SLBR,
+	SYSZ_INS_SLFI,
+	SYSZ_INS_SLG,
+	SYSZ_INS_SLBGR,
+	SYSZ_INS_SLGF,
+	SYSZ_INS_SLGFI,
+	SYSZ_INS_SLGFR,
+	SYSZ_INS_SLGR,
+	SYSZ_INS_SLGRK,
+	SYSZ_INS_SLL,
+	SYSZ_INS_SLLG,
+	SYSZ_INS_SLLK,
+	SYSZ_INS_SLR,
+	SYSZ_INS_SLRK,
+	SYSZ_INS_SLY,
+	SYSZ_INS_SQDB,
+	SYSZ_INS_SQDBR,
+	SYSZ_INS_SQEB,
+	SYSZ_INS_SQEBR,
+	SYSZ_INS_SQXBR,
+	SYSZ_INS_SR,
+	SYSZ_INS_SRA,
+	SYSZ_INS_SRAG,
+	SYSZ_INS_SRAK,
+	SYSZ_INS_SRK,
+	SYSZ_INS_SRL,
+	SYSZ_INS_SRLG,
+	SYSZ_INS_SRLK,
+	SYSZ_INS_SRST,
+	SYSZ_INS_ST,
+	SYSZ_INS_STC,
+	SYSZ_INS_STCH,
+	SYSZ_INS_STCY,
+	SYSZ_INS_STD,
+	SYSZ_INS_STDY,
+	SYSZ_INS_STE,
+	SYSZ_INS_STEY,
+	SYSZ_INS_STFH,
+	SYSZ_INS_STG,
+	SYSZ_INS_STGRL,
+	SYSZ_INS_STH,
+	SYSZ_INS_STHH,
+	SYSZ_INS_STHRL,
+	SYSZ_INS_STHY,
+	SYSZ_INS_STMG,
+	SYSZ_INS_STRL,
+	SYSZ_INS_STRV,
+	SYSZ_INS_STRVG,
+	SYSZ_INS_STY,
+	SYSZ_INS_SXBR,
+	SYSZ_INS_SY,
+	SYSZ_INS_TM,
+	SYSZ_INS_TMHH,
+	SYSZ_INS_TMHL,
+	SYSZ_INS_TMLH,
+	SYSZ_INS_TMLL,
+	SYSZ_INS_TMY,
+	SYSZ_INS_X,
+	SYSZ_INS_XC,
+	SYSZ_INS_XG,
+	SYSZ_INS_XGR,
+	SYSZ_INS_XGRK,
+	SYSZ_INS_XI,
+	SYSZ_INS_XIHF,
+	SYSZ_INS_XILF,
+	SYSZ_INS_XIY,
+	SYSZ_INS_XR,
+	SYSZ_INS_XRK,
+	SYSZ_INS_XY,
+
+	SYSZ_INS_ENDING,   // <-- mark the end of the list of instructions
+} sysz_insn;
+
+/// Group of SystemZ instructions
+typedef enum sysz_insn_group {
+	SYSZ_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	SYSZ_GRP_JUMP,	///< = CS_GRP_JUMP
+
+	// Architecture-specific groups
+	SYSZ_GRP_DISTINCTOPS = 128,
+	SYSZ_GRP_FPEXTENSION,
+	SYSZ_GRP_HIGHWORD,
+	SYSZ_GRP_INTERLOCKEDACCESS1,
+	SYSZ_GRP_LOADSTOREONCOND,
+
+	SYSZ_GRP_ENDING,   // <-- mark the end of the list of groups
+} sysz_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/tms320c64x.h 4.0.2-3/include/capstone/tms320c64x.h
--- 4.0.1+really+3.0.5-2/include/capstone/tms320c64x.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/tms320c64x.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,359 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#ifndef CAPSTONE_TMS320C64X_H
+#define CAPSTONE_TMS320C64X_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include <stdint.h>
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+typedef enum tms320c64x_op_type {
+	TMS320C64X_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	TMS320C64X_OP_REG, ///< = CS_OP_REG (Register operand).
+	TMS320C64X_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	TMS320C64X_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+	TMS320C64X_OP_REGPAIR = 64, ///< Register pair for double word ops
+} tms320c64x_op_type;
+
+typedef enum tms320c64x_mem_disp {
+	TMS320C64X_MEM_DISP_INVALID = 0,
+	TMS320C64X_MEM_DISP_CONSTANT,
+	TMS320C64X_MEM_DISP_REGISTER,
+} tms320c64x_mem_disp;
+
+typedef enum tms320c64x_mem_dir {
+	TMS320C64X_MEM_DIR_INVALID = 0,
+	TMS320C64X_MEM_DIR_FW,
+	TMS320C64X_MEM_DIR_BW,
+} tms320c64x_mem_dir;
+
+typedef enum tms320c64x_mem_mod {
+	TMS320C64X_MEM_MOD_INVALID = 0,
+	TMS320C64X_MEM_MOD_NO,
+	TMS320C64X_MEM_MOD_PRE,
+	TMS320C64X_MEM_MOD_POST,
+} tms320c64x_mem_mod;
+
+typedef struct tms320c64x_op_mem {
+	unsigned int	base;	///< base register
+	unsigned int	disp;	///< displacement/offset value
+	unsigned int	unit;	///< unit of base and offset register
+	unsigned int	scaled;	///< offset scaled
+	unsigned int	disptype;	///< displacement type
+	unsigned int	direction;	///< direction
+	unsigned int	modify;	///< modification
+} tms320c64x_op_mem;
+
+typedef struct cs_tms320c64x_op {
+	tms320c64x_op_type type;	///< operand type
+	union {
+		unsigned int reg;	///< register value for REG operand or first register for REGPAIR operand
+		int32_t imm;		///< immediate value for IMM operand
+		tms320c64x_op_mem mem;		///< base/disp value for MEM operand
+	};
+} cs_tms320c64x_op;
+
+typedef struct cs_tms320c64x {
+	uint8_t op_count;
+	cs_tms320c64x_op operands[8]; ///< operands for this instruction.
+	struct {
+		unsigned int reg;
+		unsigned int zero;
+	} condition;
+	struct {
+		unsigned int unit;
+		unsigned int side;
+		unsigned int crosspath;
+	} funit;
+	unsigned int parallel;
+} cs_tms320c64x;
+
+typedef enum tms320c64x_reg {
+	TMS320C64X_REG_INVALID = 0,
+
+	TMS320C64X_REG_AMR,
+	TMS320C64X_REG_CSR,
+	TMS320C64X_REG_DIER,
+	TMS320C64X_REG_DNUM,
+	TMS320C64X_REG_ECR,
+	TMS320C64X_REG_GFPGFR,
+	TMS320C64X_REG_GPLYA,
+	TMS320C64X_REG_GPLYB,
+	TMS320C64X_REG_ICR,
+	TMS320C64X_REG_IER,
+	TMS320C64X_REG_IERR,
+	TMS320C64X_REG_ILC,
+	TMS320C64X_REG_IRP,
+	TMS320C64X_REG_ISR,
+	TMS320C64X_REG_ISTP,
+	TMS320C64X_REG_ITSR,
+	TMS320C64X_REG_NRP,
+	TMS320C64X_REG_NTSR,
+	TMS320C64X_REG_REP,
+	TMS320C64X_REG_RILC,
+	TMS320C64X_REG_SSR,
+	TMS320C64X_REG_TSCH,
+	TMS320C64X_REG_TSCL,
+	TMS320C64X_REG_TSR,
+	TMS320C64X_REG_A0,
+	TMS320C64X_REG_A1,
+	TMS320C64X_REG_A2,
+	TMS320C64X_REG_A3,
+	TMS320C64X_REG_A4,
+	TMS320C64X_REG_A5,
+	TMS320C64X_REG_A6,
+	TMS320C64X_REG_A7,
+	TMS320C64X_REG_A8,
+	TMS320C64X_REG_A9,
+	TMS320C64X_REG_A10,
+	TMS320C64X_REG_A11,
+	TMS320C64X_REG_A12,
+	TMS320C64X_REG_A13,
+	TMS320C64X_REG_A14,
+	TMS320C64X_REG_A15,
+	TMS320C64X_REG_A16,
+	TMS320C64X_REG_A17,
+	TMS320C64X_REG_A18,
+	TMS320C64X_REG_A19,
+	TMS320C64X_REG_A20,
+	TMS320C64X_REG_A21,
+	TMS320C64X_REG_A22,
+	TMS320C64X_REG_A23,
+	TMS320C64X_REG_A24,
+	TMS320C64X_REG_A25,
+	TMS320C64X_REG_A26,
+	TMS320C64X_REG_A27,
+	TMS320C64X_REG_A28,
+	TMS320C64X_REG_A29,
+	TMS320C64X_REG_A30,
+	TMS320C64X_REG_A31,
+	TMS320C64X_REG_B0,
+	TMS320C64X_REG_B1,
+	TMS320C64X_REG_B2,
+	TMS320C64X_REG_B3,
+	TMS320C64X_REG_B4,
+	TMS320C64X_REG_B5,
+	TMS320C64X_REG_B6,
+	TMS320C64X_REG_B7,
+	TMS320C64X_REG_B8,
+	TMS320C64X_REG_B9,
+	TMS320C64X_REG_B10,
+	TMS320C64X_REG_B11,
+	TMS320C64X_REG_B12,
+	TMS320C64X_REG_B13,
+	TMS320C64X_REG_B14,
+	TMS320C64X_REG_B15,
+	TMS320C64X_REG_B16,
+	TMS320C64X_REG_B17,
+	TMS320C64X_REG_B18,
+	TMS320C64X_REG_B19,
+	TMS320C64X_REG_B20,
+	TMS320C64X_REG_B21,
+	TMS320C64X_REG_B22,
+	TMS320C64X_REG_B23,
+	TMS320C64X_REG_B24,
+	TMS320C64X_REG_B25,
+	TMS320C64X_REG_B26,
+	TMS320C64X_REG_B27,
+	TMS320C64X_REG_B28,
+	TMS320C64X_REG_B29,
+	TMS320C64X_REG_B30,
+	TMS320C64X_REG_B31,
+	TMS320C64X_REG_PCE1,
+
+	TMS320C64X_REG_ENDING,	// <-- mark the end of the list of registers
+
+	// Alias registers
+	TMS320C64X_REG_EFR = TMS320C64X_REG_ECR,
+	TMS320C64X_REG_IFR = TMS320C64X_REG_ISR,
+} tms320c64x_reg;
+
+typedef enum tms320c64x_insn {
+	TMS320C64X_INS_INVALID = 0,
+
+	TMS320C64X_INS_ABS,
+	TMS320C64X_INS_ABS2,
+	TMS320C64X_INS_ADD,
+	TMS320C64X_INS_ADD2,
+	TMS320C64X_INS_ADD4,
+	TMS320C64X_INS_ADDAB,
+	TMS320C64X_INS_ADDAD,
+	TMS320C64X_INS_ADDAH,
+	TMS320C64X_INS_ADDAW,
+	TMS320C64X_INS_ADDK,
+	TMS320C64X_INS_ADDKPC,
+	TMS320C64X_INS_ADDU,
+	TMS320C64X_INS_AND,
+	TMS320C64X_INS_ANDN,
+	TMS320C64X_INS_AVG2,
+	TMS320C64X_INS_AVGU4,
+	TMS320C64X_INS_B,
+	TMS320C64X_INS_BDEC,
+	TMS320C64X_INS_BITC4,
+	TMS320C64X_INS_BNOP,
+	TMS320C64X_INS_BPOS,
+	TMS320C64X_INS_CLR,
+	TMS320C64X_INS_CMPEQ,
+	TMS320C64X_INS_CMPEQ2,
+	TMS320C64X_INS_CMPEQ4,
+	TMS320C64X_INS_CMPGT,
+	TMS320C64X_INS_CMPGT2,
+	TMS320C64X_INS_CMPGTU4,
+	TMS320C64X_INS_CMPLT,
+	TMS320C64X_INS_CMPLTU,
+	TMS320C64X_INS_DEAL,
+	TMS320C64X_INS_DOTP2,
+	TMS320C64X_INS_DOTPN2,
+	TMS320C64X_INS_DOTPNRSU2,
+	TMS320C64X_INS_DOTPRSU2,
+	TMS320C64X_INS_DOTPSU4,
+	TMS320C64X_INS_DOTPU4,
+	TMS320C64X_INS_EXT,
+	TMS320C64X_INS_EXTU,
+	TMS320C64X_INS_GMPGTU,
+	TMS320C64X_INS_GMPY4,
+	TMS320C64X_INS_LDB,
+	TMS320C64X_INS_LDBU,
+	TMS320C64X_INS_LDDW,
+	TMS320C64X_INS_LDH,
+	TMS320C64X_INS_LDHU,
+	TMS320C64X_INS_LDNDW,
+	TMS320C64X_INS_LDNW,
+	TMS320C64X_INS_LDW,
+	TMS320C64X_INS_LMBD,
+	TMS320C64X_INS_MAX2,
+	TMS320C64X_INS_MAXU4,
+	TMS320C64X_INS_MIN2,
+	TMS320C64X_INS_MINU4,
+	TMS320C64X_INS_MPY,
+	TMS320C64X_INS_MPY2,
+	TMS320C64X_INS_MPYH,
+	TMS320C64X_INS_MPYHI,
+	TMS320C64X_INS_MPYHIR,
+	TMS320C64X_INS_MPYHL,
+	TMS320C64X_INS_MPYHLU,
+	TMS320C64X_INS_MPYHSLU,
+	TMS320C64X_INS_MPYHSU,
+	TMS320C64X_INS_MPYHU,
+	TMS320C64X_INS_MPYHULS,
+	TMS320C64X_INS_MPYHUS,
+	TMS320C64X_INS_MPYLH,
+	TMS320C64X_INS_MPYLHU,
+	TMS320C64X_INS_MPYLI,
+	TMS320C64X_INS_MPYLIR,
+	TMS320C64X_INS_MPYLSHU,
+	TMS320C64X_INS_MPYLUHS,
+	TMS320C64X_INS_MPYSU,
+	TMS320C64X_INS_MPYSU4,
+	TMS320C64X_INS_MPYU,
+	TMS320C64X_INS_MPYU4,
+	TMS320C64X_INS_MPYUS,
+	TMS320C64X_INS_MVC,
+	TMS320C64X_INS_MVD,
+	TMS320C64X_INS_MVK,
+	TMS320C64X_INS_MVKL,
+	TMS320C64X_INS_MVKLH,
+	TMS320C64X_INS_NOP,
+	TMS320C64X_INS_NORM,
+	TMS320C64X_INS_OR,
+	TMS320C64X_INS_PACK2,
+	TMS320C64X_INS_PACKH2,
+	TMS320C64X_INS_PACKH4,
+	TMS320C64X_INS_PACKHL2,
+	TMS320C64X_INS_PACKL4,
+	TMS320C64X_INS_PACKLH2,
+	TMS320C64X_INS_ROTL,
+	TMS320C64X_INS_SADD,
+	TMS320C64X_INS_SADD2,
+	TMS320C64X_INS_SADDU4,
+	TMS320C64X_INS_SADDUS2,
+	TMS320C64X_INS_SAT,
+	TMS320C64X_INS_SET,
+	TMS320C64X_INS_SHFL,
+	TMS320C64X_INS_SHL,
+	TMS320C64X_INS_SHLMB,
+	TMS320C64X_INS_SHR,
+	TMS320C64X_INS_SHR2,
+	TMS320C64X_INS_SHRMB,
+	TMS320C64X_INS_SHRU,
+	TMS320C64X_INS_SHRU2,
+	TMS320C64X_INS_SMPY,
+	TMS320C64X_INS_SMPY2,
+	TMS320C64X_INS_SMPYH,
+	TMS320C64X_INS_SMPYHL,
+	TMS320C64X_INS_SMPYLH,
+	TMS320C64X_INS_SPACK2,
+	TMS320C64X_INS_SPACKU4,
+	TMS320C64X_INS_SSHL,
+	TMS320C64X_INS_SSHVL,
+	TMS320C64X_INS_SSHVR,
+	TMS320C64X_INS_SSUB,
+	TMS320C64X_INS_STB,
+	TMS320C64X_INS_STDW,
+	TMS320C64X_INS_STH,
+	TMS320C64X_INS_STNDW,
+	TMS320C64X_INS_STNW,
+	TMS320C64X_INS_STW,
+	TMS320C64X_INS_SUB,
+	TMS320C64X_INS_SUB2,
+	TMS320C64X_INS_SUB4,
+	TMS320C64X_INS_SUBAB,
+	TMS320C64X_INS_SUBABS4,
+	TMS320C64X_INS_SUBAH,
+	TMS320C64X_INS_SUBAW,
+	TMS320C64X_INS_SUBC,
+	TMS320C64X_INS_SUBU,
+	TMS320C64X_INS_SWAP4,
+	TMS320C64X_INS_UNPKHU4,
+	TMS320C64X_INS_UNPKLU4,
+	TMS320C64X_INS_XOR,
+	TMS320C64X_INS_XPND2,
+	TMS320C64X_INS_XPND4,
+	// Aliases
+	TMS320C64X_INS_IDLE,
+	TMS320C64X_INS_MV,
+	TMS320C64X_INS_NEG,
+	TMS320C64X_INS_NOT,
+	TMS320C64X_INS_SWAP2,
+	TMS320C64X_INS_ZERO,
+
+	TMS320C64X_INS_ENDING,   // <-- mark the end of the list of instructions
+} tms320c64x_insn;
+
+typedef enum tms320c64x_insn_group {
+	TMS320C64X_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	TMS320C64X_GRP_JUMP,	///< = CS_GRP_JUMP
+
+	TMS320C64X_GRP_FUNIT_D = 128,
+	TMS320C64X_GRP_FUNIT_L,
+	TMS320C64X_GRP_FUNIT_M,
+	TMS320C64X_GRP_FUNIT_S,
+	TMS320C64X_GRP_FUNIT_NO,
+
+	TMS320C64X_GRP_ENDING,   // <-- mark the end of the list of groups
+} tms320c64x_insn_group;
+
+typedef enum tms320c64x_funit {
+	TMS320C64X_FUNIT_INVALID = 0,
+	TMS320C64X_FUNIT_D,
+	TMS320C64X_FUNIT_L,
+	TMS320C64X_FUNIT_M,
+	TMS320C64X_FUNIT_S,
+	TMS320C64X_FUNIT_NO
+} tms320c64x_funit;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/x86.h 4.0.2-3/include/capstone/x86.h
--- 4.0.1+really+3.0.5-2/include/capstone/x86.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/x86.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,1972 @@
+#ifndef CAPSTONE_X86_H
+#define CAPSTONE_X86_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+/// Calculate relative address for X86-64, given cs_insn structure
+#define X86_REL_ADDR(insn) (((insn).detail->x86.operands[0].type == X86_OP_IMM) \
+	? (uint64_t)((insn).detail->x86.operands[0].imm) \
+	: (((insn).address + (insn).size) + (uint64_t)(insn).detail->x86.disp))
+
+/// X86 registers
+typedef enum x86_reg {
+	X86_REG_INVALID = 0,
+	X86_REG_AH, X86_REG_AL, X86_REG_AX, X86_REG_BH, X86_REG_BL,
+	X86_REG_BP, X86_REG_BPL, X86_REG_BX, X86_REG_CH, X86_REG_CL,
+	X86_REG_CS, X86_REG_CX, X86_REG_DH, X86_REG_DI, X86_REG_DIL,
+	X86_REG_DL, X86_REG_DS, X86_REG_DX, X86_REG_EAX, X86_REG_EBP,
+	X86_REG_EBX, X86_REG_ECX, X86_REG_EDI, X86_REG_EDX, X86_REG_EFLAGS,
+	X86_REG_EIP, X86_REG_EIZ, X86_REG_ES, X86_REG_ESI, X86_REG_ESP,
+	X86_REG_FPSW, X86_REG_FS, X86_REG_GS, X86_REG_IP, X86_REG_RAX,
+	X86_REG_RBP, X86_REG_RBX, X86_REG_RCX, X86_REG_RDI, X86_REG_RDX,
+	X86_REG_RIP, X86_REG_RIZ, X86_REG_RSI, X86_REG_RSP, X86_REG_SI,
+	X86_REG_SIL, X86_REG_SP, X86_REG_SPL, X86_REG_SS, X86_REG_CR0,
+	X86_REG_CR1, X86_REG_CR2, X86_REG_CR3, X86_REG_CR4, X86_REG_CR5,
+	X86_REG_CR6, X86_REG_CR7, X86_REG_CR8, X86_REG_CR9, X86_REG_CR10,
+	X86_REG_CR11, X86_REG_CR12, X86_REG_CR13, X86_REG_CR14, X86_REG_CR15,
+	X86_REG_DR0, X86_REG_DR1, X86_REG_DR2, X86_REG_DR3, X86_REG_DR4,
+	X86_REG_DR5, X86_REG_DR6, X86_REG_DR7, X86_REG_DR8, X86_REG_DR9,
+	X86_REG_DR10, X86_REG_DR11, X86_REG_DR12, X86_REG_DR13, X86_REG_DR14,
+	X86_REG_DR15, X86_REG_FP0, X86_REG_FP1, X86_REG_FP2, X86_REG_FP3,
+	X86_REG_FP4, X86_REG_FP5, X86_REG_FP6, X86_REG_FP7,
+	X86_REG_K0, X86_REG_K1, X86_REG_K2, X86_REG_K3, X86_REG_K4,
+	X86_REG_K5, X86_REG_K6, X86_REG_K7, X86_REG_MM0, X86_REG_MM1,
+	X86_REG_MM2, X86_REG_MM3, X86_REG_MM4, X86_REG_MM5, X86_REG_MM6,
+	X86_REG_MM7, X86_REG_R8, X86_REG_R9, X86_REG_R10, X86_REG_R11,
+	X86_REG_R12, X86_REG_R13, X86_REG_R14, X86_REG_R15,
+	X86_REG_ST0, X86_REG_ST1, X86_REG_ST2, X86_REG_ST3,
+	X86_REG_ST4, X86_REG_ST5, X86_REG_ST6, X86_REG_ST7,
+	X86_REG_XMM0, X86_REG_XMM1, X86_REG_XMM2, X86_REG_XMM3, X86_REG_XMM4,
+	X86_REG_XMM5, X86_REG_XMM6, X86_REG_XMM7, X86_REG_XMM8, X86_REG_XMM9,
+	X86_REG_XMM10, X86_REG_XMM11, X86_REG_XMM12, X86_REG_XMM13, X86_REG_XMM14,
+	X86_REG_XMM15, X86_REG_XMM16, X86_REG_XMM17, X86_REG_XMM18, X86_REG_XMM19,
+	X86_REG_XMM20, X86_REG_XMM21, X86_REG_XMM22, X86_REG_XMM23, X86_REG_XMM24,
+	X86_REG_XMM25, X86_REG_XMM26, X86_REG_XMM27, X86_REG_XMM28, X86_REG_XMM29,
+	X86_REG_XMM30, X86_REG_XMM31, X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2,
+	X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7,
+	X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12,
+	X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, X86_REG_YMM16, X86_REG_YMM17,
+	X86_REG_YMM18, X86_REG_YMM19, X86_REG_YMM20, X86_REG_YMM21, X86_REG_YMM22,
+	X86_REG_YMM23, X86_REG_YMM24, X86_REG_YMM25, X86_REG_YMM26, X86_REG_YMM27,
+	X86_REG_YMM28, X86_REG_YMM29, X86_REG_YMM30, X86_REG_YMM31, X86_REG_ZMM0,
+	X86_REG_ZMM1, X86_REG_ZMM2, X86_REG_ZMM3, X86_REG_ZMM4, X86_REG_ZMM5,
+	X86_REG_ZMM6, X86_REG_ZMM7, X86_REG_ZMM8, X86_REG_ZMM9, X86_REG_ZMM10,
+	X86_REG_ZMM11, X86_REG_ZMM12, X86_REG_ZMM13, X86_REG_ZMM14, X86_REG_ZMM15,
+	X86_REG_ZMM16, X86_REG_ZMM17, X86_REG_ZMM18, X86_REG_ZMM19, X86_REG_ZMM20,
+	X86_REG_ZMM21, X86_REG_ZMM22, X86_REG_ZMM23, X86_REG_ZMM24, X86_REG_ZMM25,
+	X86_REG_ZMM26, X86_REG_ZMM27, X86_REG_ZMM28, X86_REG_ZMM29, X86_REG_ZMM30,
+	X86_REG_ZMM31, X86_REG_R8B, X86_REG_R9B, X86_REG_R10B, X86_REG_R11B,
+	X86_REG_R12B, X86_REG_R13B, X86_REG_R14B, X86_REG_R15B, X86_REG_R8D,
+	X86_REG_R9D, X86_REG_R10D, X86_REG_R11D, X86_REG_R12D, X86_REG_R13D,
+	X86_REG_R14D, X86_REG_R15D, X86_REG_R8W, X86_REG_R9W, X86_REG_R10W,
+	X86_REG_R11W, X86_REG_R12W, X86_REG_R13W, X86_REG_R14W, X86_REG_R15W,
+
+	X86_REG_ENDING		// <-- mark the end of the list of registers
+} x86_reg;
+
+// Sub-flags of EFLAGS
+#define X86_EFLAGS_MODIFY_AF (1ULL << 0)
+#define X86_EFLAGS_MODIFY_CF (1ULL << 1)
+#define X86_EFLAGS_MODIFY_SF (1ULL << 2)
+#define X86_EFLAGS_MODIFY_ZF (1ULL << 3)
+#define X86_EFLAGS_MODIFY_PF (1ULL << 4)
+#define X86_EFLAGS_MODIFY_OF (1ULL << 5)
+#define X86_EFLAGS_MODIFY_TF (1ULL << 6)
+#define X86_EFLAGS_MODIFY_IF (1ULL << 7)
+#define X86_EFLAGS_MODIFY_DF (1ULL << 8)
+#define X86_EFLAGS_MODIFY_NT (1ULL << 9)
+#define X86_EFLAGS_MODIFY_RF (1ULL << 10)
+#define X86_EFLAGS_PRIOR_OF (1ULL << 11)
+#define X86_EFLAGS_PRIOR_SF (1ULL << 12)
+#define X86_EFLAGS_PRIOR_ZF (1ULL << 13)
+#define X86_EFLAGS_PRIOR_AF (1ULL << 14)
+#define X86_EFLAGS_PRIOR_PF (1ULL << 15)
+#define X86_EFLAGS_PRIOR_CF (1ULL << 16)
+#define X86_EFLAGS_PRIOR_TF (1ULL << 17)
+#define X86_EFLAGS_PRIOR_IF (1ULL << 18)
+#define X86_EFLAGS_PRIOR_DF (1ULL << 19)
+#define X86_EFLAGS_PRIOR_NT (1ULL << 20)
+#define X86_EFLAGS_RESET_OF (1ULL << 21)
+#define X86_EFLAGS_RESET_CF (1ULL << 22)
+#define X86_EFLAGS_RESET_DF (1ULL << 23)
+#define X86_EFLAGS_RESET_IF (1ULL << 24)
+#define X86_EFLAGS_RESET_SF (1ULL << 25)
+#define X86_EFLAGS_RESET_AF (1ULL << 26)
+#define X86_EFLAGS_RESET_TF (1ULL << 27)
+#define X86_EFLAGS_RESET_NT (1ULL << 28)
+#define X86_EFLAGS_RESET_PF (1ULL << 29)
+#define X86_EFLAGS_SET_CF (1ULL << 30)
+#define X86_EFLAGS_SET_DF (1ULL << 31)
+#define X86_EFLAGS_SET_IF (1ULL << 32)
+#define X86_EFLAGS_TEST_OF (1ULL << 33)
+#define X86_EFLAGS_TEST_SF (1ULL << 34)
+#define X86_EFLAGS_TEST_ZF (1ULL << 35)
+#define X86_EFLAGS_TEST_PF (1ULL << 36)
+#define X86_EFLAGS_TEST_CF (1ULL << 37)
+#define X86_EFLAGS_TEST_NT (1ULL << 38)
+#define X86_EFLAGS_TEST_DF (1ULL << 39)
+#define X86_EFLAGS_UNDEFINED_OF (1ULL << 40)
+#define X86_EFLAGS_UNDEFINED_SF (1ULL << 41)
+#define X86_EFLAGS_UNDEFINED_ZF (1ULL << 42)
+#define X86_EFLAGS_UNDEFINED_PF (1ULL << 43)
+#define X86_EFLAGS_UNDEFINED_AF (1ULL << 44)
+#define X86_EFLAGS_UNDEFINED_CF (1ULL << 45)
+#define X86_EFLAGS_RESET_RF (1ULL << 46)
+#define X86_EFLAGS_TEST_RF (1ULL << 47)
+#define X86_EFLAGS_TEST_IF (1ULL << 48)
+#define X86_EFLAGS_TEST_TF (1ULL << 49)
+#define X86_EFLAGS_TEST_AF (1ULL << 50)
+#define X86_EFLAGS_RESET_ZF (1ULL << 51)
+#define X86_EFLAGS_SET_OF (1ULL << 52)
+#define X86_EFLAGS_SET_SF (1ULL << 53)
+#define X86_EFLAGS_SET_ZF (1ULL << 54)
+#define X86_EFLAGS_SET_AF (1ULL << 55)
+#define X86_EFLAGS_SET_PF (1ULL << 56)
+#define X86_EFLAGS_RESET_0F (1ULL << 57)
+#define X86_EFLAGS_RESET_AC (1ULL << 58)
+
+#define X86_FPU_FLAGS_MODIFY_C0 (1ULL << 0)
+#define X86_FPU_FLAGS_MODIFY_C1 (1ULL << 1)
+#define X86_FPU_FLAGS_MODIFY_C2 (1ULL << 2)
+#define X86_FPU_FLAGS_MODIFY_C3 (1ULL << 3)
+#define X86_FPU_FLAGS_RESET_C0 (1ULL << 4)
+#define X86_FPU_FLAGS_RESET_C1 (1ULL << 5)
+#define X86_FPU_FLAGS_RESET_C2 (1ULL << 6)
+#define X86_FPU_FLAGS_RESET_C3 (1ULL << 7)
+#define X86_FPU_FLAGS_SET_C0 (1ULL << 8)
+#define X86_FPU_FLAGS_SET_C1 (1ULL << 9)
+#define X86_FPU_FLAGS_SET_C2 (1ULL << 10)
+#define X86_FPU_FLAGS_SET_C3 (1ULL << 11)
+#define X86_FPU_FLAGS_UNDEFINED_C0 (1ULL << 12)
+#define X86_FPU_FLAGS_UNDEFINED_C1 (1ULL << 13)
+#define X86_FPU_FLAGS_UNDEFINED_C2 (1ULL << 14)
+#define X86_FPU_FLAGS_UNDEFINED_C3 (1ULL << 15)
+#define X86_FPU_FLAGS_TEST_C0 (1ULL << 16)
+#define X86_FPU_FLAGS_TEST_C1 (1ULL << 17)
+#define X86_FPU_FLAGS_TEST_C2 (1ULL << 18)
+#define X86_FPU_FLAGS_TEST_C3 (1ULL << 19)
+
+
+/// Operand type for instruction's operands
+typedef enum x86_op_type {
+	X86_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	X86_OP_REG, ///< = CS_OP_REG (Register operand).
+	X86_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	X86_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+} x86_op_type;
+
+/// XOP Code Condition type
+typedef enum x86_xop_cc {
+	X86_XOP_CC_INVALID = 0,	///< Uninitialized.
+	X86_XOP_CC_LT,
+	X86_XOP_CC_LE,
+	X86_XOP_CC_GT,
+	X86_XOP_CC_GE,
+	X86_XOP_CC_EQ,
+	X86_XOP_CC_NEQ,
+	X86_XOP_CC_FALSE,
+	X86_XOP_CC_TRUE,
+} x86_xop_cc;
+
+/// AVX broadcast type
+typedef enum x86_avx_bcast {
+	X86_AVX_BCAST_INVALID = 0,	///< Uninitialized.
+	X86_AVX_BCAST_2,	///< AVX512 broadcast type {1to2}
+	X86_AVX_BCAST_4,	///< AVX512 broadcast type {1to4}
+	X86_AVX_BCAST_8,	///< AVX512 broadcast type {1to8}
+	X86_AVX_BCAST_16,	///< AVX512 broadcast type {1to16}
+} x86_avx_bcast;
+
+/// SSE Code Condition type
+typedef enum x86_sse_cc {
+	X86_SSE_CC_INVALID = 0,	///< Uninitialized.
+	X86_SSE_CC_EQ,
+	X86_SSE_CC_LT,
+	X86_SSE_CC_LE,
+	X86_SSE_CC_UNORD,
+	X86_SSE_CC_NEQ,
+	X86_SSE_CC_NLT,
+	X86_SSE_CC_NLE,
+	X86_SSE_CC_ORD,
+} x86_sse_cc;
+
+/// AVX Code Condition type
+typedef enum x86_avx_cc {
+	X86_AVX_CC_INVALID = 0,	///< Uninitialized.
+	X86_AVX_CC_EQ,
+	X86_AVX_CC_LT,
+	X86_AVX_CC_LE,
+	X86_AVX_CC_UNORD,
+	X86_AVX_CC_NEQ,
+	X86_AVX_CC_NLT,
+	X86_AVX_CC_NLE,
+	X86_AVX_CC_ORD,
+	X86_AVX_CC_EQ_UQ,
+	X86_AVX_CC_NGE,
+	X86_AVX_CC_NGT,
+	X86_AVX_CC_FALSE,
+	X86_AVX_CC_NEQ_OQ,
+	X86_AVX_CC_GE,
+	X86_AVX_CC_GT,
+	X86_AVX_CC_TRUE,
+	X86_AVX_CC_EQ_OS,
+	X86_AVX_CC_LT_OQ,
+	X86_AVX_CC_LE_OQ,
+	X86_AVX_CC_UNORD_S,
+	X86_AVX_CC_NEQ_US,
+	X86_AVX_CC_NLT_UQ,
+	X86_AVX_CC_NLE_UQ,
+	X86_AVX_CC_ORD_S,
+	X86_AVX_CC_EQ_US,
+	X86_AVX_CC_NGE_UQ,
+	X86_AVX_CC_NGT_UQ,
+	X86_AVX_CC_FALSE_OS,
+	X86_AVX_CC_NEQ_OS,
+	X86_AVX_CC_GE_OQ,
+	X86_AVX_CC_GT_OQ,
+	X86_AVX_CC_TRUE_US,
+} x86_avx_cc;
+
+/// AVX static rounding mode type
+typedef enum x86_avx_rm {
+	X86_AVX_RM_INVALID = 0,	///< Uninitialized.
+	X86_AVX_RM_RN,	///< Round to nearest
+	X86_AVX_RM_RD,	///< Round down
+	X86_AVX_RM_RU,	///< Round up
+	X86_AVX_RM_RZ,	///< Round toward zero
+} x86_avx_rm;
+
+/// Instruction prefixes - to be used in cs_x86.prefix[]
+typedef enum x86_prefix {
+	X86_PREFIX_LOCK		= 	0xf0,	///< lock (cs_x86.prefix[0]
+	X86_PREFIX_REP		= 	0xf3,	///< rep (cs_x86.prefix[0]
+	X86_PREFIX_REPE		= 	0xf3,	///< repe/repz (cs_x86.prefix[0]
+	X86_PREFIX_REPNE	= 	0xf2,	///< repne/repnz (cs_x86.prefix[0]
+
+	X86_PREFIX_CS		= 	0x2e,	///< segment override CS (cs_x86.prefix[1]
+	X86_PREFIX_SS		= 	0x36,	///< segment override SS (cs_x86.prefix[1]
+	X86_PREFIX_DS		= 	0x3e,	///< segment override DS (cs_x86.prefix[1]
+	X86_PREFIX_ES		= 	0x26,	///< segment override ES (cs_x86.prefix[1]
+	X86_PREFIX_FS		= 	0x64,	///< segment override FS (cs_x86.prefix[1]
+	X86_PREFIX_GS		= 	0x65,	///< segment override GS (cs_x86.prefix[1]
+
+	X86_PREFIX_OPSIZE	=	0x66,	///< operand-size override (cs_x86.prefix[2]
+	X86_PREFIX_ADDRSIZE	=	0x67,	///< address-size override (cs_x86.prefix[3]
+} x86_prefix;
+
+/// Instruction's operand referring to memory
+/// This is associated with X86_OP_MEM operand type above
+typedef struct x86_op_mem {
+	x86_reg segment; ///< segment register (or X86_REG_INVALID if irrelevant)
+	x86_reg base;	///< base register (or X86_REG_INVALID if irrelevant)
+	x86_reg index;	///< index register (or X86_REG_INVALID if irrelevant)
+	int scale;	///< scale for index register
+	int64_t disp;	///< displacement value
+} x86_op_mem;
+
+/// Instruction operand
+typedef struct cs_x86_op {
+		x86_op_type type;	///< operand type
+		union {
+			x86_reg reg;	  ///< register value for REG operand
+			int64_t imm;		///< immediate value for IMM operand
+			x86_op_mem mem;		///< base/index/scale/disp value for MEM operand
+		};
+
+		/// size of this operand (in bytes).
+		uint8_t size;
+
+		/// How is this operand accessed? (READ, WRITE or READ|WRITE)
+		/// This field is combined of cs_ac_type.
+		/// NOTE: this field is irrelevant if engine is compiled in DIET mode.
+		uint8_t access;
+
+		/// AVX broadcast type, or 0 if irrelevant
+		x86_avx_bcast avx_bcast;
+
+		/// AVX zero opmask {z}
+		bool avx_zero_opmask;
+} cs_x86_op;
+
+typedef struct cs_x86_encoding {
+	/// ModR/M offset, or 0 when irrelevant
+	uint8_t modrm_offset;
+
+	/// Displacement offset, or 0 when irrelevant.
+	uint8_t disp_offset;
+	uint8_t disp_size;
+
+	/// Immediate offset, or 0 when irrelevant.
+	uint8_t imm_offset;
+	uint8_t imm_size;
+} cs_x86_encoding;
+
+/// Instruction structure
+typedef struct cs_x86 {
+	/// Instruction prefix, which can be up to 4 bytes.
+	/// A prefix byte gets value 0 when irrelevant.
+	/// prefix[0] indicates REP/REPNE/LOCK prefix (See X86_PREFIX_REP/REPNE/LOCK above)
+	/// prefix[1] indicates segment override (irrelevant for x86_64):
+	/// See X86_PREFIX_CS/SS/DS/ES/FS/GS above.
+	/// prefix[2] indicates operand-size override (X86_PREFIX_OPSIZE)
+	/// prefix[3] indicates address-size override (X86_PREFIX_ADDRSIZE)
+	uint8_t prefix[4];
+
+	/// Instruction opcode, which can be from 1 to 4 bytes in size.
+	/// This contains VEX opcode as well.
+	/// An trailing opcode byte gets value 0 when irrelevant.
+	uint8_t opcode[4];
+
+	/// REX prefix: only a non-zero value is relevant for x86_64
+	uint8_t rex;
+
+	/// Address size, which can be overridden with above prefix[5].
+	uint8_t addr_size;
+
+	/// ModR/M byte
+	uint8_t modrm;
+
+	/// SIB value, or 0 when irrelevant.
+	uint8_t sib;
+
+	/// Displacement value, valid if encoding.disp_offset != 0
+	int64_t disp;
+
+	/// SIB index register, or X86_REG_INVALID when irrelevant.
+	x86_reg sib_index;
+	/// SIB scale, only applicable if sib_index is valid.
+	int8_t sib_scale;
+	/// SIB base register, or X86_REG_INVALID when irrelevant.
+	x86_reg sib_base;
+
+	/// XOP Code Condition
+	x86_xop_cc xop_cc;
+
+	/// SSE Code Condition
+	x86_sse_cc sse_cc;
+
+	/// AVX Code Condition
+	x86_avx_cc avx_cc;
+
+	/// AVX Suppress all Exception
+	bool avx_sae;
+
+	/// AVX static rounding mode
+	x86_avx_rm avx_rm;
+
+	
+	union {
+		/// EFLAGS updated by this instruction.
+		/// This can be formed from OR combination of X86_EFLAGS_* symbols in x86.h
+		uint64_t eflags;
+		/// FPU_FLAGS updated by this instruction.
+		/// This can be formed from OR combination of X86_FPU_FLAGS_* symbols in x86.h
+		uint64_t fpu_flags;
+	};
+
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+
+	cs_x86_op operands[8];	///< operands for this instruction.
+
+	cs_x86_encoding encoding;  ///< encoding information
+} cs_x86;
+
+/// X86 instructions
+typedef enum x86_insn {
+	X86_INS_INVALID = 0,
+
+	X86_INS_AAA,
+	X86_INS_AAD,
+	X86_INS_AAM,
+	X86_INS_AAS,
+	X86_INS_FABS,
+	X86_INS_ADC,
+	X86_INS_ADCX,
+	X86_INS_ADD,
+	X86_INS_ADDPD,
+	X86_INS_ADDPS,
+	X86_INS_ADDSD,
+	X86_INS_ADDSS,
+	X86_INS_ADDSUBPD,
+	X86_INS_ADDSUBPS,
+	X86_INS_FADD,
+	X86_INS_FIADD,
+	X86_INS_FADDP,
+	X86_INS_ADOX,
+	X86_INS_AESDECLAST,
+	X86_INS_AESDEC,
+	X86_INS_AESENCLAST,
+	X86_INS_AESENC,
+	X86_INS_AESIMC,
+	X86_INS_AESKEYGENASSIST,
+	X86_INS_AND,
+	X86_INS_ANDN,
+	X86_INS_ANDNPD,
+	X86_INS_ANDNPS,
+	X86_INS_ANDPD,
+	X86_INS_ANDPS,
+	X86_INS_ARPL,
+	X86_INS_BEXTR,
+	X86_INS_BLCFILL,
+	X86_INS_BLCI,
+	X86_INS_BLCIC,
+	X86_INS_BLCMSK,
+	X86_INS_BLCS,
+	X86_INS_BLENDPD,
+	X86_INS_BLENDPS,
+	X86_INS_BLENDVPD,
+	X86_INS_BLENDVPS,
+	X86_INS_BLSFILL,
+	X86_INS_BLSI,
+	X86_INS_BLSIC,
+	X86_INS_BLSMSK,
+	X86_INS_BLSR,
+	X86_INS_BOUND,
+	X86_INS_BSF,
+	X86_INS_BSR,
+	X86_INS_BSWAP,
+	X86_INS_BT,
+	X86_INS_BTC,
+	X86_INS_BTR,
+	X86_INS_BTS,
+	X86_INS_BZHI,
+	X86_INS_CALL,
+	X86_INS_CBW,
+	X86_INS_CDQ,
+	X86_INS_CDQE,
+	X86_INS_FCHS,
+	X86_INS_CLAC,
+	X86_INS_CLC,
+	X86_INS_CLD,
+	X86_INS_CLFLUSH,
+	X86_INS_CLFLUSHOPT,
+	X86_INS_CLGI,
+	X86_INS_CLI,
+	X86_INS_CLTS,
+	X86_INS_CLWB,
+	X86_INS_CMC,
+	X86_INS_CMOVA,
+	X86_INS_CMOVAE,
+	X86_INS_CMOVB,
+	X86_INS_CMOVBE,
+	X86_INS_FCMOVBE,
+	X86_INS_FCMOVB,
+	X86_INS_CMOVE,
+	X86_INS_FCMOVE,
+	X86_INS_CMOVG,
+	X86_INS_CMOVGE,
+	X86_INS_CMOVL,
+	X86_INS_CMOVLE,
+	X86_INS_FCMOVNBE,
+	X86_INS_FCMOVNB,
+	X86_INS_CMOVNE,
+	X86_INS_FCMOVNE,
+	X86_INS_CMOVNO,
+	X86_INS_CMOVNP,
+	X86_INS_FCMOVNU,
+	X86_INS_CMOVNS,
+	X86_INS_CMOVO,
+	X86_INS_CMOVP,
+	X86_INS_FCMOVU,
+	X86_INS_CMOVS,
+	X86_INS_CMP,
+	X86_INS_CMPSB,
+	X86_INS_CMPSQ,
+	X86_INS_CMPSW,
+	X86_INS_CMPXCHG16B,
+	X86_INS_CMPXCHG,
+	X86_INS_CMPXCHG8B,
+	X86_INS_COMISD,
+	X86_INS_COMISS,
+	X86_INS_FCOMP,
+	X86_INS_FCOMIP,
+	X86_INS_FCOMI,
+	X86_INS_FCOM,
+	X86_INS_FCOS,
+	X86_INS_CPUID,
+	X86_INS_CQO,
+	X86_INS_CRC32,
+	X86_INS_CVTDQ2PD,
+	X86_INS_CVTDQ2PS,
+	X86_INS_CVTPD2DQ,
+	X86_INS_CVTPD2PS,
+	X86_INS_CVTPS2DQ,
+	X86_INS_CVTPS2PD,
+	X86_INS_CVTSD2SI,
+	X86_INS_CVTSD2SS,
+	X86_INS_CVTSI2SD,
+	X86_INS_CVTSI2SS,
+	X86_INS_CVTSS2SD,
+	X86_INS_CVTSS2SI,
+	X86_INS_CVTTPD2DQ,
+	X86_INS_CVTTPS2DQ,
+	X86_INS_CVTTSD2SI,
+	X86_INS_CVTTSS2SI,
+	X86_INS_CWD,
+	X86_INS_CWDE,
+	X86_INS_DAA,
+	X86_INS_DAS,
+	X86_INS_DATA16,
+	X86_INS_DEC,
+	X86_INS_DIV,
+	X86_INS_DIVPD,
+	X86_INS_DIVPS,
+	X86_INS_FDIVR,
+	X86_INS_FIDIVR,
+	X86_INS_FDIVRP,
+	X86_INS_DIVSD,
+	X86_INS_DIVSS,
+	X86_INS_FDIV,
+	X86_INS_FIDIV,
+	X86_INS_FDIVP,
+	X86_INS_DPPD,
+	X86_INS_DPPS,
+	X86_INS_RET,
+	X86_INS_ENCLS,
+	X86_INS_ENCLU,
+	X86_INS_ENTER,
+	X86_INS_EXTRACTPS,
+	X86_INS_EXTRQ,
+	X86_INS_F2XM1,
+	X86_INS_LCALL,
+	X86_INS_LJMP,
+	X86_INS_FBLD,
+	X86_INS_FBSTP,
+	X86_INS_FCOMPP,
+	X86_INS_FDECSTP,
+	X86_INS_FEMMS,
+	X86_INS_FFREE,
+	X86_INS_FICOM,
+	X86_INS_FICOMP,
+	X86_INS_FINCSTP,
+	X86_INS_FLDCW,
+	X86_INS_FLDENV,
+	X86_INS_FLDL2E,
+	X86_INS_FLDL2T,
+	X86_INS_FLDLG2,
+	X86_INS_FLDLN2,
+	X86_INS_FLDPI,
+	X86_INS_FNCLEX,
+	X86_INS_FNINIT,
+	X86_INS_FNOP,
+	X86_INS_FNSTCW,
+	X86_INS_FNSTSW,
+	X86_INS_FPATAN,
+	X86_INS_FPREM,
+	X86_INS_FPREM1,
+	X86_INS_FPTAN,
+	X86_INS_FFREEP,
+	X86_INS_FRNDINT,
+	X86_INS_FRSTOR,
+	X86_INS_FNSAVE,
+	X86_INS_FSCALE,
+	X86_INS_FSETPM,
+	X86_INS_FSINCOS,
+	X86_INS_FNSTENV,
+	X86_INS_FXAM,
+	X86_INS_FXRSTOR,
+	X86_INS_FXRSTOR64,
+	X86_INS_FXSAVE,
+	X86_INS_FXSAVE64,
+	X86_INS_FXTRACT,
+	X86_INS_FYL2X,
+	X86_INS_FYL2XP1,
+	X86_INS_MOVAPD,
+	X86_INS_MOVAPS,
+	X86_INS_ORPD,
+	X86_INS_ORPS,
+	X86_INS_VMOVAPD,
+	X86_INS_VMOVAPS,
+	X86_INS_XORPD,
+	X86_INS_XORPS,
+	X86_INS_GETSEC,
+	X86_INS_HADDPD,
+	X86_INS_HADDPS,
+	X86_INS_HLT,
+	X86_INS_HSUBPD,
+	X86_INS_HSUBPS,
+	X86_INS_IDIV,
+	X86_INS_FILD,
+	X86_INS_IMUL,
+	X86_INS_IN,
+	X86_INS_INC,
+	X86_INS_INSB,
+	X86_INS_INSERTPS,
+	X86_INS_INSERTQ,
+	X86_INS_INSD,
+	X86_INS_INSW,
+	X86_INS_INT,
+	X86_INS_INT1,
+	X86_INS_INT3,
+	X86_INS_INTO,
+	X86_INS_INVD,
+	X86_INS_INVEPT,
+	X86_INS_INVLPG,
+	X86_INS_INVLPGA,
+	X86_INS_INVPCID,
+	X86_INS_INVVPID,
+	X86_INS_IRET,
+	X86_INS_IRETD,
+	X86_INS_IRETQ,
+	X86_INS_FISTTP,
+	X86_INS_FIST,
+	X86_INS_FISTP,
+	X86_INS_UCOMISD,
+	X86_INS_UCOMISS,
+	X86_INS_VCOMISD,
+	X86_INS_VCOMISS,
+	X86_INS_VCVTSD2SS,
+	X86_INS_VCVTSI2SD,
+	X86_INS_VCVTSI2SS,
+	X86_INS_VCVTSS2SD,
+	X86_INS_VCVTTSD2SI,
+	X86_INS_VCVTTSD2USI,
+	X86_INS_VCVTTSS2SI,
+	X86_INS_VCVTTSS2USI,
+	X86_INS_VCVTUSI2SD,
+	X86_INS_VCVTUSI2SS,
+	X86_INS_VUCOMISD,
+	X86_INS_VUCOMISS,
+	X86_INS_JAE,
+	X86_INS_JA,
+	X86_INS_JBE,
+	X86_INS_JB,
+	X86_INS_JCXZ,
+	X86_INS_JECXZ,
+	X86_INS_JE,
+	X86_INS_JGE,
+	X86_INS_JG,
+	X86_INS_JLE,
+	X86_INS_JL,
+	X86_INS_JMP,
+	X86_INS_JNE,
+	X86_INS_JNO,
+	X86_INS_JNP,
+	X86_INS_JNS,
+	X86_INS_JO,
+	X86_INS_JP,
+	X86_INS_JRCXZ,
+	X86_INS_JS,
+	X86_INS_KANDB,
+	X86_INS_KANDD,
+	X86_INS_KANDNB,
+	X86_INS_KANDND,
+	X86_INS_KANDNQ,
+	X86_INS_KANDNW,
+	X86_INS_KANDQ,
+	X86_INS_KANDW,
+	X86_INS_KMOVB,
+	X86_INS_KMOVD,
+	X86_INS_KMOVQ,
+	X86_INS_KMOVW,
+	X86_INS_KNOTB,
+	X86_INS_KNOTD,
+	X86_INS_KNOTQ,
+	X86_INS_KNOTW,
+	X86_INS_KORB,
+	X86_INS_KORD,
+	X86_INS_KORQ,
+	X86_INS_KORTESTB,
+	X86_INS_KORTESTD,
+	X86_INS_KORTESTQ,
+	X86_INS_KORTESTW,
+	X86_INS_KORW,
+	X86_INS_KSHIFTLB,
+	X86_INS_KSHIFTLD,
+	X86_INS_KSHIFTLQ,
+	X86_INS_KSHIFTLW,
+	X86_INS_KSHIFTRB,
+	X86_INS_KSHIFTRD,
+	X86_INS_KSHIFTRQ,
+	X86_INS_KSHIFTRW,
+	X86_INS_KUNPCKBW,
+	X86_INS_KXNORB,
+	X86_INS_KXNORD,
+	X86_INS_KXNORQ,
+	X86_INS_KXNORW,
+	X86_INS_KXORB,
+	X86_INS_KXORD,
+	X86_INS_KXORQ,
+	X86_INS_KXORW,
+	X86_INS_LAHF,
+	X86_INS_LAR,
+	X86_INS_LDDQU,
+	X86_INS_LDMXCSR,
+	X86_INS_LDS,
+	X86_INS_FLDZ,
+	X86_INS_FLD1,
+	X86_INS_FLD,
+	X86_INS_LEA,
+	X86_INS_LEAVE,
+	X86_INS_LES,
+	X86_INS_LFENCE,
+	X86_INS_LFS,
+	X86_INS_LGDT,
+	X86_INS_LGS,
+	X86_INS_LIDT,
+	X86_INS_LLDT,
+	X86_INS_LMSW,
+	X86_INS_OR,
+	X86_INS_SUB,
+	X86_INS_XOR,
+	X86_INS_LODSB,
+	X86_INS_LODSD,
+	X86_INS_LODSQ,
+	X86_INS_LODSW,
+	X86_INS_LOOP,
+	X86_INS_LOOPE,
+	X86_INS_LOOPNE,
+	X86_INS_RETF,
+	X86_INS_RETFQ,
+	X86_INS_LSL,
+	X86_INS_LSS,
+	X86_INS_LTR,
+	X86_INS_XADD,
+	X86_INS_LZCNT,
+	X86_INS_MASKMOVDQU,
+	X86_INS_MAXPD,
+	X86_INS_MAXPS,
+	X86_INS_MAXSD,
+	X86_INS_MAXSS,
+	X86_INS_MFENCE,
+	X86_INS_MINPD,
+	X86_INS_MINPS,
+	X86_INS_MINSD,
+	X86_INS_MINSS,
+	X86_INS_CVTPD2PI,
+	X86_INS_CVTPI2PD,
+	X86_INS_CVTPI2PS,
+	X86_INS_CVTPS2PI,
+	X86_INS_CVTTPD2PI,
+	X86_INS_CVTTPS2PI,
+	X86_INS_EMMS,
+	X86_INS_MASKMOVQ,
+	X86_INS_MOVD,
+	X86_INS_MOVDQ2Q,
+	X86_INS_MOVNTQ,
+	X86_INS_MOVQ2DQ,
+	X86_INS_MOVQ,
+	X86_INS_PABSB,
+	X86_INS_PABSD,
+	X86_INS_PABSW,
+	X86_INS_PACKSSDW,
+	X86_INS_PACKSSWB,
+	X86_INS_PACKUSWB,
+	X86_INS_PADDB,
+	X86_INS_PADDD,
+	X86_INS_PADDQ,
+	X86_INS_PADDSB,
+	X86_INS_PADDSW,
+	X86_INS_PADDUSB,
+	X86_INS_PADDUSW,
+	X86_INS_PADDW,
+	X86_INS_PALIGNR,
+	X86_INS_PANDN,
+	X86_INS_PAND,
+	X86_INS_PAVGB,
+	X86_INS_PAVGW,
+	X86_INS_PCMPEQB,
+	X86_INS_PCMPEQD,
+	X86_INS_PCMPEQW,
+	X86_INS_PCMPGTB,
+	X86_INS_PCMPGTD,
+	X86_INS_PCMPGTW,
+	X86_INS_PEXTRW,
+	X86_INS_PHADDSW,
+	X86_INS_PHADDW,
+	X86_INS_PHADDD,
+	X86_INS_PHSUBD,
+	X86_INS_PHSUBSW,
+	X86_INS_PHSUBW,
+	X86_INS_PINSRW,
+	X86_INS_PMADDUBSW,
+	X86_INS_PMADDWD,
+	X86_INS_PMAXSW,
+	X86_INS_PMAXUB,
+	X86_INS_PMINSW,
+	X86_INS_PMINUB,
+	X86_INS_PMOVMSKB,
+	X86_INS_PMULHRSW,
+	X86_INS_PMULHUW,
+	X86_INS_PMULHW,
+	X86_INS_PMULLW,
+	X86_INS_PMULUDQ,
+	X86_INS_POR,
+	X86_INS_PSADBW,
+	X86_INS_PSHUFB,
+	X86_INS_PSHUFW,
+	X86_INS_PSIGNB,
+	X86_INS_PSIGND,
+	X86_INS_PSIGNW,
+	X86_INS_PSLLD,
+	X86_INS_PSLLQ,
+	X86_INS_PSLLW,
+	X86_INS_PSRAD,
+	X86_INS_PSRAW,
+	X86_INS_PSRLD,
+	X86_INS_PSRLQ,
+	X86_INS_PSRLW,
+	X86_INS_PSUBB,
+	X86_INS_PSUBD,
+	X86_INS_PSUBQ,
+	X86_INS_PSUBSB,
+	X86_INS_PSUBSW,
+	X86_INS_PSUBUSB,
+	X86_INS_PSUBUSW,
+	X86_INS_PSUBW,
+	X86_INS_PUNPCKHBW,
+	X86_INS_PUNPCKHDQ,
+	X86_INS_PUNPCKHWD,
+	X86_INS_PUNPCKLBW,
+	X86_INS_PUNPCKLDQ,
+	X86_INS_PUNPCKLWD,
+	X86_INS_PXOR,
+	X86_INS_MONITOR,
+	X86_INS_MONTMUL,
+	X86_INS_MOV,
+	X86_INS_MOVABS,
+	X86_INS_MOVBE,
+	X86_INS_MOVDDUP,
+	X86_INS_MOVDQA,
+	X86_INS_MOVDQU,
+	X86_INS_MOVHLPS,
+	X86_INS_MOVHPD,
+	X86_INS_MOVHPS,
+	X86_INS_MOVLHPS,
+	X86_INS_MOVLPD,
+	X86_INS_MOVLPS,
+	X86_INS_MOVMSKPD,
+	X86_INS_MOVMSKPS,
+	X86_INS_MOVNTDQA,
+	X86_INS_MOVNTDQ,
+	X86_INS_MOVNTI,
+	X86_INS_MOVNTPD,
+	X86_INS_MOVNTPS,
+	X86_INS_MOVNTSD,
+	X86_INS_MOVNTSS,
+	X86_INS_MOVSB,
+	X86_INS_MOVSD,
+	X86_INS_MOVSHDUP,
+	X86_INS_MOVSLDUP,
+	X86_INS_MOVSQ,
+	X86_INS_MOVSS,
+	X86_INS_MOVSW,
+	X86_INS_MOVSX,
+	X86_INS_MOVSXD,
+	X86_INS_MOVUPD,
+	X86_INS_MOVUPS,
+	X86_INS_MOVZX,
+	X86_INS_MPSADBW,
+	X86_INS_MUL,
+	X86_INS_MULPD,
+	X86_INS_MULPS,
+	X86_INS_MULSD,
+	X86_INS_MULSS,
+	X86_INS_MULX,
+	X86_INS_FMUL,
+	X86_INS_FIMUL,
+	X86_INS_FMULP,
+	X86_INS_MWAIT,
+	X86_INS_NEG,
+	X86_INS_NOP,
+	X86_INS_NOT,
+	X86_INS_OUT,
+	X86_INS_OUTSB,
+	X86_INS_OUTSD,
+	X86_INS_OUTSW,
+	X86_INS_PACKUSDW,
+	X86_INS_PAUSE,
+	X86_INS_PAVGUSB,
+	X86_INS_PBLENDVB,
+	X86_INS_PBLENDW,
+	X86_INS_PCLMULQDQ,
+	X86_INS_PCMPEQQ,
+	X86_INS_PCMPESTRI,
+	X86_INS_PCMPESTRM,
+	X86_INS_PCMPGTQ,
+	X86_INS_PCMPISTRI,
+	X86_INS_PCMPISTRM,
+	X86_INS_PCOMMIT,
+	X86_INS_PDEP,
+	X86_INS_PEXT,
+	X86_INS_PEXTRB,
+	X86_INS_PEXTRD,
+	X86_INS_PEXTRQ,
+	X86_INS_PF2ID,
+	X86_INS_PF2IW,
+	X86_INS_PFACC,
+	X86_INS_PFADD,
+	X86_INS_PFCMPEQ,
+	X86_INS_PFCMPGE,
+	X86_INS_PFCMPGT,
+	X86_INS_PFMAX,
+	X86_INS_PFMIN,
+	X86_INS_PFMUL,
+	X86_INS_PFNACC,
+	X86_INS_PFPNACC,
+	X86_INS_PFRCPIT1,
+	X86_INS_PFRCPIT2,
+	X86_INS_PFRCP,
+	X86_INS_PFRSQIT1,
+	X86_INS_PFRSQRT,
+	X86_INS_PFSUBR,
+	X86_INS_PFSUB,
+	X86_INS_PHMINPOSUW,
+	X86_INS_PI2FD,
+	X86_INS_PI2FW,
+	X86_INS_PINSRB,
+	X86_INS_PINSRD,
+	X86_INS_PINSRQ,
+	X86_INS_PMAXSB,
+	X86_INS_PMAXSD,
+	X86_INS_PMAXUD,
+	X86_INS_PMAXUW,
+	X86_INS_PMINSB,
+	X86_INS_PMINSD,
+	X86_INS_PMINUD,
+	X86_INS_PMINUW,
+	X86_INS_PMOVSXBD,
+	X86_INS_PMOVSXBQ,
+	X86_INS_PMOVSXBW,
+	X86_INS_PMOVSXDQ,
+	X86_INS_PMOVSXWD,
+	X86_INS_PMOVSXWQ,
+	X86_INS_PMOVZXBD,
+	X86_INS_PMOVZXBQ,
+	X86_INS_PMOVZXBW,
+	X86_INS_PMOVZXDQ,
+	X86_INS_PMOVZXWD,
+	X86_INS_PMOVZXWQ,
+	X86_INS_PMULDQ,
+	X86_INS_PMULHRW,
+	X86_INS_PMULLD,
+	X86_INS_POP,
+	X86_INS_POPAW,
+	X86_INS_POPAL,
+	X86_INS_POPCNT,
+	X86_INS_POPF,
+	X86_INS_POPFD,
+	X86_INS_POPFQ,
+	X86_INS_PREFETCH,
+	X86_INS_PREFETCHNTA,
+	X86_INS_PREFETCHT0,
+	X86_INS_PREFETCHT1,
+	X86_INS_PREFETCHT2,
+	X86_INS_PREFETCHW,
+	X86_INS_PSHUFD,
+	X86_INS_PSHUFHW,
+	X86_INS_PSHUFLW,
+	X86_INS_PSLLDQ,
+	X86_INS_PSRLDQ,
+	X86_INS_PSWAPD,
+	X86_INS_PTEST,
+	X86_INS_PUNPCKHQDQ,
+	X86_INS_PUNPCKLQDQ,
+	X86_INS_PUSH,
+	X86_INS_PUSHAW,
+	X86_INS_PUSHAL,
+	X86_INS_PUSHF,
+	X86_INS_PUSHFD,
+	X86_INS_PUSHFQ,
+	X86_INS_RCL,
+	X86_INS_RCPPS,
+	X86_INS_RCPSS,
+	X86_INS_RCR,
+	X86_INS_RDFSBASE,
+	X86_INS_RDGSBASE,
+	X86_INS_RDMSR,
+	X86_INS_RDPMC,
+	X86_INS_RDRAND,
+	X86_INS_RDSEED,
+	X86_INS_RDTSC,
+	X86_INS_RDTSCP,
+	X86_INS_ROL,
+	X86_INS_ROR,
+	X86_INS_RORX,
+	X86_INS_ROUNDPD,
+	X86_INS_ROUNDPS,
+	X86_INS_ROUNDSD,
+	X86_INS_ROUNDSS,
+	X86_INS_RSM,
+	X86_INS_RSQRTPS,
+	X86_INS_RSQRTSS,
+	X86_INS_SAHF,
+	X86_INS_SAL,
+	X86_INS_SALC,
+	X86_INS_SAR,
+	X86_INS_SARX,
+	X86_INS_SBB,
+	X86_INS_SCASB,
+	X86_INS_SCASD,
+	X86_INS_SCASQ,
+	X86_INS_SCASW,
+	X86_INS_SETAE,
+	X86_INS_SETA,
+	X86_INS_SETBE,
+	X86_INS_SETB,
+	X86_INS_SETE,
+	X86_INS_SETGE,
+	X86_INS_SETG,
+	X86_INS_SETLE,
+	X86_INS_SETL,
+	X86_INS_SETNE,
+	X86_INS_SETNO,
+	X86_INS_SETNP,
+	X86_INS_SETNS,
+	X86_INS_SETO,
+	X86_INS_SETP,
+	X86_INS_SETS,
+	X86_INS_SFENCE,
+	X86_INS_SGDT,
+	X86_INS_SHA1MSG1,
+	X86_INS_SHA1MSG2,
+	X86_INS_SHA1NEXTE,
+	X86_INS_SHA1RNDS4,
+	X86_INS_SHA256MSG1,
+	X86_INS_SHA256MSG2,
+	X86_INS_SHA256RNDS2,
+	X86_INS_SHL,
+	X86_INS_SHLD,
+	X86_INS_SHLX,
+	X86_INS_SHR,
+	X86_INS_SHRD,
+	X86_INS_SHRX,
+	X86_INS_SHUFPD,
+	X86_INS_SHUFPS,
+	X86_INS_SIDT,
+	X86_INS_FSIN,
+	X86_INS_SKINIT,
+	X86_INS_SLDT,
+	X86_INS_SMSW,
+	X86_INS_SQRTPD,
+	X86_INS_SQRTPS,
+	X86_INS_SQRTSD,
+	X86_INS_SQRTSS,
+	X86_INS_FSQRT,
+	X86_INS_STAC,
+	X86_INS_STC,
+	X86_INS_STD,
+	X86_INS_STGI,
+	X86_INS_STI,
+	X86_INS_STMXCSR,
+	X86_INS_STOSB,
+	X86_INS_STOSD,
+	X86_INS_STOSQ,
+	X86_INS_STOSW,
+	X86_INS_STR,
+	X86_INS_FST,
+	X86_INS_FSTP,
+	X86_INS_FSTPNCE,
+	X86_INS_FXCH,
+	X86_INS_SUBPD,
+	X86_INS_SUBPS,
+	X86_INS_FSUBR,
+	X86_INS_FISUBR,
+	X86_INS_FSUBRP,
+	X86_INS_SUBSD,
+	X86_INS_SUBSS,
+	X86_INS_FSUB,
+	X86_INS_FISUB,
+	X86_INS_FSUBP,
+	X86_INS_SWAPGS,
+	X86_INS_SYSCALL,
+	X86_INS_SYSENTER,
+	X86_INS_SYSEXIT,
+	X86_INS_SYSRET,
+	X86_INS_T1MSKC,
+	X86_INS_TEST,
+	X86_INS_UD2,
+	X86_INS_FTST,
+	X86_INS_TZCNT,
+	X86_INS_TZMSK,
+	X86_INS_FUCOMIP,
+	X86_INS_FUCOMI,
+	X86_INS_FUCOMPP,
+	X86_INS_FUCOMP,
+	X86_INS_FUCOM,
+	X86_INS_UD2B,
+	X86_INS_UNPCKHPD,
+	X86_INS_UNPCKHPS,
+	X86_INS_UNPCKLPD,
+	X86_INS_UNPCKLPS,
+	X86_INS_VADDPD,
+	X86_INS_VADDPS,
+	X86_INS_VADDSD,
+	X86_INS_VADDSS,
+	X86_INS_VADDSUBPD,
+	X86_INS_VADDSUBPS,
+	X86_INS_VAESDECLAST,
+	X86_INS_VAESDEC,
+	X86_INS_VAESENCLAST,
+	X86_INS_VAESENC,
+	X86_INS_VAESIMC,
+	X86_INS_VAESKEYGENASSIST,
+	X86_INS_VALIGND,
+	X86_INS_VALIGNQ,
+	X86_INS_VANDNPD,
+	X86_INS_VANDNPS,
+	X86_INS_VANDPD,
+	X86_INS_VANDPS,
+	X86_INS_VBLENDMPD,
+	X86_INS_VBLENDMPS,
+	X86_INS_VBLENDPD,
+	X86_INS_VBLENDPS,
+	X86_INS_VBLENDVPD,
+	X86_INS_VBLENDVPS,
+	X86_INS_VBROADCASTF128,
+	X86_INS_VBROADCASTI32X4,
+	X86_INS_VBROADCASTI64X4,
+	X86_INS_VBROADCASTSD,
+	X86_INS_VBROADCASTSS,
+	X86_INS_VCOMPRESSPD,
+	X86_INS_VCOMPRESSPS,
+	X86_INS_VCVTDQ2PD,
+	X86_INS_VCVTDQ2PS,
+	X86_INS_VCVTPD2DQX,
+	X86_INS_VCVTPD2DQ,
+	X86_INS_VCVTPD2PSX,
+	X86_INS_VCVTPD2PS,
+	X86_INS_VCVTPD2UDQ,
+	X86_INS_VCVTPH2PS,
+	X86_INS_VCVTPS2DQ,
+	X86_INS_VCVTPS2PD,
+	X86_INS_VCVTPS2PH,
+	X86_INS_VCVTPS2UDQ,
+	X86_INS_VCVTSD2SI,
+	X86_INS_VCVTSD2USI,
+	X86_INS_VCVTSS2SI,
+	X86_INS_VCVTSS2USI,
+	X86_INS_VCVTTPD2DQX,
+	X86_INS_VCVTTPD2DQ,
+	X86_INS_VCVTTPD2UDQ,
+	X86_INS_VCVTTPS2DQ,
+	X86_INS_VCVTTPS2UDQ,
+	X86_INS_VCVTUDQ2PD,
+	X86_INS_VCVTUDQ2PS,
+	X86_INS_VDIVPD,
+	X86_INS_VDIVPS,
+	X86_INS_VDIVSD,
+	X86_INS_VDIVSS,
+	X86_INS_VDPPD,
+	X86_INS_VDPPS,
+	X86_INS_VERR,
+	X86_INS_VERW,
+	X86_INS_VEXP2PD,
+	X86_INS_VEXP2PS,
+	X86_INS_VEXPANDPD,
+	X86_INS_VEXPANDPS,
+	X86_INS_VEXTRACTF128,
+	X86_INS_VEXTRACTF32X4,
+	X86_INS_VEXTRACTF64X4,
+	X86_INS_VEXTRACTI128,
+	X86_INS_VEXTRACTI32X4,
+	X86_INS_VEXTRACTI64X4,
+	X86_INS_VEXTRACTPS,
+	X86_INS_VFMADD132PD,
+	X86_INS_VFMADD132PS,
+	X86_INS_VFMADDPD,
+	X86_INS_VFMADD213PD,
+	X86_INS_VFMADD231PD,
+	X86_INS_VFMADDPS,
+	X86_INS_VFMADD213PS,
+	X86_INS_VFMADD231PS,
+	X86_INS_VFMADDSD,
+	X86_INS_VFMADD213SD,
+	X86_INS_VFMADD132SD,
+	X86_INS_VFMADD231SD,
+	X86_INS_VFMADDSS,
+	X86_INS_VFMADD213SS,
+	X86_INS_VFMADD132SS,
+	X86_INS_VFMADD231SS,
+	X86_INS_VFMADDSUB132PD,
+	X86_INS_VFMADDSUB132PS,
+	X86_INS_VFMADDSUBPD,
+	X86_INS_VFMADDSUB213PD,
+	X86_INS_VFMADDSUB231PD,
+	X86_INS_VFMADDSUBPS,
+	X86_INS_VFMADDSUB213PS,
+	X86_INS_VFMADDSUB231PS,
+	X86_INS_VFMSUB132PD,
+	X86_INS_VFMSUB132PS,
+	X86_INS_VFMSUBADD132PD,
+	X86_INS_VFMSUBADD132PS,
+	X86_INS_VFMSUBADDPD,
+	X86_INS_VFMSUBADD213PD,
+	X86_INS_VFMSUBADD231PD,
+	X86_INS_VFMSUBADDPS,
+	X86_INS_VFMSUBADD213PS,
+	X86_INS_VFMSUBADD231PS,
+	X86_INS_VFMSUBPD,
+	X86_INS_VFMSUB213PD,
+	X86_INS_VFMSUB231PD,
+	X86_INS_VFMSUBPS,
+	X86_INS_VFMSUB213PS,
+	X86_INS_VFMSUB231PS,
+	X86_INS_VFMSUBSD,
+	X86_INS_VFMSUB213SD,
+	X86_INS_VFMSUB132SD,
+	X86_INS_VFMSUB231SD,
+	X86_INS_VFMSUBSS,
+	X86_INS_VFMSUB213SS,
+	X86_INS_VFMSUB132SS,
+	X86_INS_VFMSUB231SS,
+	X86_INS_VFNMADD132PD,
+	X86_INS_VFNMADD132PS,
+	X86_INS_VFNMADDPD,
+	X86_INS_VFNMADD213PD,
+	X86_INS_VFNMADD231PD,
+	X86_INS_VFNMADDPS,
+	X86_INS_VFNMADD213PS,
+	X86_INS_VFNMADD231PS,
+	X86_INS_VFNMADDSD,
+	X86_INS_VFNMADD213SD,
+	X86_INS_VFNMADD132SD,
+	X86_INS_VFNMADD231SD,
+	X86_INS_VFNMADDSS,
+	X86_INS_VFNMADD213SS,
+	X86_INS_VFNMADD132SS,
+	X86_INS_VFNMADD231SS,
+	X86_INS_VFNMSUB132PD,
+	X86_INS_VFNMSUB132PS,
+	X86_INS_VFNMSUBPD,
+	X86_INS_VFNMSUB213PD,
+	X86_INS_VFNMSUB231PD,
+	X86_INS_VFNMSUBPS,
+	X86_INS_VFNMSUB213PS,
+	X86_INS_VFNMSUB231PS,
+	X86_INS_VFNMSUBSD,
+	X86_INS_VFNMSUB213SD,
+	X86_INS_VFNMSUB132SD,
+	X86_INS_VFNMSUB231SD,
+	X86_INS_VFNMSUBSS,
+	X86_INS_VFNMSUB213SS,
+	X86_INS_VFNMSUB132SS,
+	X86_INS_VFNMSUB231SS,
+	X86_INS_VFRCZPD,
+	X86_INS_VFRCZPS,
+	X86_INS_VFRCZSD,
+	X86_INS_VFRCZSS,
+	X86_INS_VORPD,
+	X86_INS_VORPS,
+	X86_INS_VXORPD,
+	X86_INS_VXORPS,
+	X86_INS_VGATHERDPD,
+	X86_INS_VGATHERDPS,
+	X86_INS_VGATHERPF0DPD,
+	X86_INS_VGATHERPF0DPS,
+	X86_INS_VGATHERPF0QPD,
+	X86_INS_VGATHERPF0QPS,
+	X86_INS_VGATHERPF1DPD,
+	X86_INS_VGATHERPF1DPS,
+	X86_INS_VGATHERPF1QPD,
+	X86_INS_VGATHERPF1QPS,
+	X86_INS_VGATHERQPD,
+	X86_INS_VGATHERQPS,
+	X86_INS_VHADDPD,
+	X86_INS_VHADDPS,
+	X86_INS_VHSUBPD,
+	X86_INS_VHSUBPS,
+	X86_INS_VINSERTF128,
+	X86_INS_VINSERTF32X4,
+	X86_INS_VINSERTF32X8,
+	X86_INS_VINSERTF64X2,
+	X86_INS_VINSERTF64X4,
+	X86_INS_VINSERTI128,
+	X86_INS_VINSERTI32X4,
+	X86_INS_VINSERTI32X8,
+	X86_INS_VINSERTI64X2,
+	X86_INS_VINSERTI64X4,
+	X86_INS_VINSERTPS,
+	X86_INS_VLDDQU,
+	X86_INS_VLDMXCSR,
+	X86_INS_VMASKMOVDQU,
+	X86_INS_VMASKMOVPD,
+	X86_INS_VMASKMOVPS,
+	X86_INS_VMAXPD,
+	X86_INS_VMAXPS,
+	X86_INS_VMAXSD,
+	X86_INS_VMAXSS,
+	X86_INS_VMCALL,
+	X86_INS_VMCLEAR,
+	X86_INS_VMFUNC,
+	X86_INS_VMINPD,
+	X86_INS_VMINPS,
+	X86_INS_VMINSD,
+	X86_INS_VMINSS,
+	X86_INS_VMLAUNCH,
+	X86_INS_VMLOAD,
+	X86_INS_VMMCALL,
+	X86_INS_VMOVQ,
+	X86_INS_VMOVDDUP,
+	X86_INS_VMOVD,
+	X86_INS_VMOVDQA32,
+	X86_INS_VMOVDQA64,
+	X86_INS_VMOVDQA,
+	X86_INS_VMOVDQU16,
+	X86_INS_VMOVDQU32,
+	X86_INS_VMOVDQU64,
+	X86_INS_VMOVDQU8,
+	X86_INS_VMOVDQU,
+	X86_INS_VMOVHLPS,
+	X86_INS_VMOVHPD,
+	X86_INS_VMOVHPS,
+	X86_INS_VMOVLHPS,
+	X86_INS_VMOVLPD,
+	X86_INS_VMOVLPS,
+	X86_INS_VMOVMSKPD,
+	X86_INS_VMOVMSKPS,
+	X86_INS_VMOVNTDQA,
+	X86_INS_VMOVNTDQ,
+	X86_INS_VMOVNTPD,
+	X86_INS_VMOVNTPS,
+	X86_INS_VMOVSD,
+	X86_INS_VMOVSHDUP,
+	X86_INS_VMOVSLDUP,
+	X86_INS_VMOVSS,
+	X86_INS_VMOVUPD,
+	X86_INS_VMOVUPS,
+	X86_INS_VMPSADBW,
+	X86_INS_VMPTRLD,
+	X86_INS_VMPTRST,
+	X86_INS_VMREAD,
+	X86_INS_VMRESUME,
+	X86_INS_VMRUN,
+	X86_INS_VMSAVE,
+	X86_INS_VMULPD,
+	X86_INS_VMULPS,
+	X86_INS_VMULSD,
+	X86_INS_VMULSS,
+	X86_INS_VMWRITE,
+	X86_INS_VMXOFF,
+	X86_INS_VMXON,
+	X86_INS_VPABSB,
+	X86_INS_VPABSD,
+	X86_INS_VPABSQ,
+	X86_INS_VPABSW,
+	X86_INS_VPACKSSDW,
+	X86_INS_VPACKSSWB,
+	X86_INS_VPACKUSDW,
+	X86_INS_VPACKUSWB,
+	X86_INS_VPADDB,
+	X86_INS_VPADDD,
+	X86_INS_VPADDQ,
+	X86_INS_VPADDSB,
+	X86_INS_VPADDSW,
+	X86_INS_VPADDUSB,
+	X86_INS_VPADDUSW,
+	X86_INS_VPADDW,
+	X86_INS_VPALIGNR,
+	X86_INS_VPANDD,
+	X86_INS_VPANDND,
+	X86_INS_VPANDNQ,
+	X86_INS_VPANDN,
+	X86_INS_VPANDQ,
+	X86_INS_VPAND,
+	X86_INS_VPAVGB,
+	X86_INS_VPAVGW,
+	X86_INS_VPBLENDD,
+	X86_INS_VPBLENDMB,
+	X86_INS_VPBLENDMD,
+	X86_INS_VPBLENDMQ,
+	X86_INS_VPBLENDMW,
+	X86_INS_VPBLENDVB,
+	X86_INS_VPBLENDW,
+	X86_INS_VPBROADCASTB,
+	X86_INS_VPBROADCASTD,
+	X86_INS_VPBROADCASTMB2Q,
+	X86_INS_VPBROADCASTMW2D,
+	X86_INS_VPBROADCASTQ,
+	X86_INS_VPBROADCASTW,
+	X86_INS_VPCLMULQDQ,
+	X86_INS_VPCMOV,
+	X86_INS_VPCMPB,
+	X86_INS_VPCMPD,
+	X86_INS_VPCMPEQB,
+	X86_INS_VPCMPEQD,
+	X86_INS_VPCMPEQQ,
+	X86_INS_VPCMPEQW,
+	X86_INS_VPCMPESTRI,
+	X86_INS_VPCMPESTRM,
+	X86_INS_VPCMPGTB,
+	X86_INS_VPCMPGTD,
+	X86_INS_VPCMPGTQ,
+	X86_INS_VPCMPGTW,
+	X86_INS_VPCMPISTRI,
+	X86_INS_VPCMPISTRM,
+	X86_INS_VPCMPQ,
+	X86_INS_VPCMPUB,
+	X86_INS_VPCMPUD,
+	X86_INS_VPCMPUQ,
+	X86_INS_VPCMPUW,
+	X86_INS_VPCMPW,
+	X86_INS_VPCOMB,
+	X86_INS_VPCOMD,
+	X86_INS_VPCOMPRESSD,
+	X86_INS_VPCOMPRESSQ,
+	X86_INS_VPCOMQ,
+	X86_INS_VPCOMUB,
+	X86_INS_VPCOMUD,
+	X86_INS_VPCOMUQ,
+	X86_INS_VPCOMUW,
+	X86_INS_VPCOMW,
+	X86_INS_VPCONFLICTD,
+	X86_INS_VPCONFLICTQ,
+	X86_INS_VPERM2F128,
+	X86_INS_VPERM2I128,
+	X86_INS_VPERMD,
+	X86_INS_VPERMI2D,
+	X86_INS_VPERMI2PD,
+	X86_INS_VPERMI2PS,
+	X86_INS_VPERMI2Q,
+	X86_INS_VPERMIL2PD,
+	X86_INS_VPERMIL2PS,
+	X86_INS_VPERMILPD,
+	X86_INS_VPERMILPS,
+	X86_INS_VPERMPD,
+	X86_INS_VPERMPS,
+	X86_INS_VPERMQ,
+	X86_INS_VPERMT2D,
+	X86_INS_VPERMT2PD,
+	X86_INS_VPERMT2PS,
+	X86_INS_VPERMT2Q,
+	X86_INS_VPEXPANDD,
+	X86_INS_VPEXPANDQ,
+	X86_INS_VPEXTRB,
+	X86_INS_VPEXTRD,
+	X86_INS_VPEXTRQ,
+	X86_INS_VPEXTRW,
+	X86_INS_VPGATHERDD,
+	X86_INS_VPGATHERDQ,
+	X86_INS_VPGATHERQD,
+	X86_INS_VPGATHERQQ,
+	X86_INS_VPHADDBD,
+	X86_INS_VPHADDBQ,
+	X86_INS_VPHADDBW,
+	X86_INS_VPHADDDQ,
+	X86_INS_VPHADDD,
+	X86_INS_VPHADDSW,
+	X86_INS_VPHADDUBD,
+	X86_INS_VPHADDUBQ,
+	X86_INS_VPHADDUBW,
+	X86_INS_VPHADDUDQ,
+	X86_INS_VPHADDUWD,
+	X86_INS_VPHADDUWQ,
+	X86_INS_VPHADDWD,
+	X86_INS_VPHADDWQ,
+	X86_INS_VPHADDW,
+	X86_INS_VPHMINPOSUW,
+	X86_INS_VPHSUBBW,
+	X86_INS_VPHSUBDQ,
+	X86_INS_VPHSUBD,
+	X86_INS_VPHSUBSW,
+	X86_INS_VPHSUBWD,
+	X86_INS_VPHSUBW,
+	X86_INS_VPINSRB,
+	X86_INS_VPINSRD,
+	X86_INS_VPINSRQ,
+	X86_INS_VPINSRW,
+	X86_INS_VPLZCNTD,
+	X86_INS_VPLZCNTQ,
+	X86_INS_VPMACSDD,
+	X86_INS_VPMACSDQH,
+	X86_INS_VPMACSDQL,
+	X86_INS_VPMACSSDD,
+	X86_INS_VPMACSSDQH,
+	X86_INS_VPMACSSDQL,
+	X86_INS_VPMACSSWD,
+	X86_INS_VPMACSSWW,
+	X86_INS_VPMACSWD,
+	X86_INS_VPMACSWW,
+	X86_INS_VPMADCSSWD,
+	X86_INS_VPMADCSWD,
+	X86_INS_VPMADDUBSW,
+	X86_INS_VPMADDWD,
+	X86_INS_VPMASKMOVD,
+	X86_INS_VPMASKMOVQ,
+	X86_INS_VPMAXSB,
+	X86_INS_VPMAXSD,
+	X86_INS_VPMAXSQ,
+	X86_INS_VPMAXSW,
+	X86_INS_VPMAXUB,
+	X86_INS_VPMAXUD,
+	X86_INS_VPMAXUQ,
+	X86_INS_VPMAXUW,
+	X86_INS_VPMINSB,
+	X86_INS_VPMINSD,
+	X86_INS_VPMINSQ,
+	X86_INS_VPMINSW,
+	X86_INS_VPMINUB,
+	X86_INS_VPMINUD,
+	X86_INS_VPMINUQ,
+	X86_INS_VPMINUW,
+	X86_INS_VPMOVDB,
+	X86_INS_VPMOVDW,
+	X86_INS_VPMOVM2B,
+	X86_INS_VPMOVM2D,
+	X86_INS_VPMOVM2Q,
+	X86_INS_VPMOVM2W,
+	X86_INS_VPMOVMSKB,
+	X86_INS_VPMOVQB,
+	X86_INS_VPMOVQD,
+	X86_INS_VPMOVQW,
+	X86_INS_VPMOVSDB,
+	X86_INS_VPMOVSDW,
+	X86_INS_VPMOVSQB,
+	X86_INS_VPMOVSQD,
+	X86_INS_VPMOVSQW,
+	X86_INS_VPMOVSXBD,
+	X86_INS_VPMOVSXBQ,
+	X86_INS_VPMOVSXBW,
+	X86_INS_VPMOVSXDQ,
+	X86_INS_VPMOVSXWD,
+	X86_INS_VPMOVSXWQ,
+	X86_INS_VPMOVUSDB,
+	X86_INS_VPMOVUSDW,
+	X86_INS_VPMOVUSQB,
+	X86_INS_VPMOVUSQD,
+	X86_INS_VPMOVUSQW,
+	X86_INS_VPMOVZXBD,
+	X86_INS_VPMOVZXBQ,
+	X86_INS_VPMOVZXBW,
+	X86_INS_VPMOVZXDQ,
+	X86_INS_VPMOVZXWD,
+	X86_INS_VPMOVZXWQ,
+	X86_INS_VPMULDQ,
+	X86_INS_VPMULHRSW,
+	X86_INS_VPMULHUW,
+	X86_INS_VPMULHW,
+	X86_INS_VPMULLD,
+	X86_INS_VPMULLQ,
+	X86_INS_VPMULLW,
+	X86_INS_VPMULUDQ,
+	X86_INS_VPORD,
+	X86_INS_VPORQ,
+	X86_INS_VPOR,
+	X86_INS_VPPERM,
+	X86_INS_VPROTB,
+	X86_INS_VPROTD,
+	X86_INS_VPROTQ,
+	X86_INS_VPROTW,
+	X86_INS_VPSADBW,
+	X86_INS_VPSCATTERDD,
+	X86_INS_VPSCATTERDQ,
+	X86_INS_VPSCATTERQD,
+	X86_INS_VPSCATTERQQ,
+	X86_INS_VPSHAB,
+	X86_INS_VPSHAD,
+	X86_INS_VPSHAQ,
+	X86_INS_VPSHAW,
+	X86_INS_VPSHLB,
+	X86_INS_VPSHLD,
+	X86_INS_VPSHLQ,
+	X86_INS_VPSHLW,
+	X86_INS_VPSHUFB,
+	X86_INS_VPSHUFD,
+	X86_INS_VPSHUFHW,
+	X86_INS_VPSHUFLW,
+	X86_INS_VPSIGNB,
+	X86_INS_VPSIGND,
+	X86_INS_VPSIGNW,
+	X86_INS_VPSLLDQ,
+	X86_INS_VPSLLD,
+	X86_INS_VPSLLQ,
+	X86_INS_VPSLLVD,
+	X86_INS_VPSLLVQ,
+	X86_INS_VPSLLW,
+	X86_INS_VPSRAD,
+	X86_INS_VPSRAQ,
+	X86_INS_VPSRAVD,
+	X86_INS_VPSRAVQ,
+	X86_INS_VPSRAW,
+	X86_INS_VPSRLDQ,
+	X86_INS_VPSRLD,
+	X86_INS_VPSRLQ,
+	X86_INS_VPSRLVD,
+	X86_INS_VPSRLVQ,
+	X86_INS_VPSRLW,
+	X86_INS_VPSUBB,
+	X86_INS_VPSUBD,
+	X86_INS_VPSUBQ,
+	X86_INS_VPSUBSB,
+	X86_INS_VPSUBSW,
+	X86_INS_VPSUBUSB,
+	X86_INS_VPSUBUSW,
+	X86_INS_VPSUBW,
+	X86_INS_VPTESTMD,
+	X86_INS_VPTESTMQ,
+	X86_INS_VPTESTNMD,
+	X86_INS_VPTESTNMQ,
+	X86_INS_VPTEST,
+	X86_INS_VPUNPCKHBW,
+	X86_INS_VPUNPCKHDQ,
+	X86_INS_VPUNPCKHQDQ,
+	X86_INS_VPUNPCKHWD,
+	X86_INS_VPUNPCKLBW,
+	X86_INS_VPUNPCKLDQ,
+	X86_INS_VPUNPCKLQDQ,
+	X86_INS_VPUNPCKLWD,
+	X86_INS_VPXORD,
+	X86_INS_VPXORQ,
+	X86_INS_VPXOR,
+	X86_INS_VRCP14PD,
+	X86_INS_VRCP14PS,
+	X86_INS_VRCP14SD,
+	X86_INS_VRCP14SS,
+	X86_INS_VRCP28PD,
+	X86_INS_VRCP28PS,
+	X86_INS_VRCP28SD,
+	X86_INS_VRCP28SS,
+	X86_INS_VRCPPS,
+	X86_INS_VRCPSS,
+	X86_INS_VRNDSCALEPD,
+	X86_INS_VRNDSCALEPS,
+	X86_INS_VRNDSCALESD,
+	X86_INS_VRNDSCALESS,
+	X86_INS_VROUNDPD,
+	X86_INS_VROUNDPS,
+	X86_INS_VROUNDSD,
+	X86_INS_VROUNDSS,
+	X86_INS_VRSQRT14PD,
+	X86_INS_VRSQRT14PS,
+	X86_INS_VRSQRT14SD,
+	X86_INS_VRSQRT14SS,
+	X86_INS_VRSQRT28PD,
+	X86_INS_VRSQRT28PS,
+	X86_INS_VRSQRT28SD,
+	X86_INS_VRSQRT28SS,
+	X86_INS_VRSQRTPS,
+	X86_INS_VRSQRTSS,
+	X86_INS_VSCATTERDPD,
+	X86_INS_VSCATTERDPS,
+	X86_INS_VSCATTERPF0DPD,
+	X86_INS_VSCATTERPF0DPS,
+	X86_INS_VSCATTERPF0QPD,
+	X86_INS_VSCATTERPF0QPS,
+	X86_INS_VSCATTERPF1DPD,
+	X86_INS_VSCATTERPF1DPS,
+	X86_INS_VSCATTERPF1QPD,
+	X86_INS_VSCATTERPF1QPS,
+	X86_INS_VSCATTERQPD,
+	X86_INS_VSCATTERQPS,
+	X86_INS_VSHUFPD,
+	X86_INS_VSHUFPS,
+	X86_INS_VSQRTPD,
+	X86_INS_VSQRTPS,
+	X86_INS_VSQRTSD,
+	X86_INS_VSQRTSS,
+	X86_INS_VSTMXCSR,
+	X86_INS_VSUBPD,
+	X86_INS_VSUBPS,
+	X86_INS_VSUBSD,
+	X86_INS_VSUBSS,
+	X86_INS_VTESTPD,
+	X86_INS_VTESTPS,
+	X86_INS_VUNPCKHPD,
+	X86_INS_VUNPCKHPS,
+	X86_INS_VUNPCKLPD,
+	X86_INS_VUNPCKLPS,
+	X86_INS_VZEROALL,
+	X86_INS_VZEROUPPER,
+	X86_INS_WAIT,
+	X86_INS_WBINVD,
+	X86_INS_WRFSBASE,
+	X86_INS_WRGSBASE,
+	X86_INS_WRMSR,
+	X86_INS_XABORT,
+	X86_INS_XACQUIRE,
+	X86_INS_XBEGIN,
+	X86_INS_XCHG,
+	X86_INS_XCRYPTCBC,
+	X86_INS_XCRYPTCFB,
+	X86_INS_XCRYPTCTR,
+	X86_INS_XCRYPTECB,
+	X86_INS_XCRYPTOFB,
+	X86_INS_XEND,
+	X86_INS_XGETBV,
+	X86_INS_XLATB,
+	X86_INS_XRELEASE,
+	X86_INS_XRSTOR,
+	X86_INS_XRSTOR64,
+	X86_INS_XRSTORS,
+	X86_INS_XRSTORS64,
+	X86_INS_XSAVE,
+	X86_INS_XSAVE64,
+	X86_INS_XSAVEC,
+	X86_INS_XSAVEC64,
+	X86_INS_XSAVEOPT,
+	X86_INS_XSAVEOPT64,
+	X86_INS_XSAVES,
+	X86_INS_XSAVES64,
+	X86_INS_XSETBV,
+	X86_INS_XSHA1,
+	X86_INS_XSHA256,
+	X86_INS_XSTORE,
+	X86_INS_XTEST,
+	X86_INS_FDISI8087_NOP,
+	X86_INS_FENI8087_NOP,
+
+	// pseudo instructions
+	X86_INS_CMPSS,
+	X86_INS_CMPEQSS,
+	X86_INS_CMPLTSS,
+	X86_INS_CMPLESS,
+	X86_INS_CMPUNORDSS,
+	X86_INS_CMPNEQSS,
+	X86_INS_CMPNLTSS,
+	X86_INS_CMPNLESS,
+	X86_INS_CMPORDSS,
+
+	X86_INS_CMPSD,
+	X86_INS_CMPEQSD,
+	X86_INS_CMPLTSD,
+	X86_INS_CMPLESD,
+	X86_INS_CMPUNORDSD,
+	X86_INS_CMPNEQSD,
+	X86_INS_CMPNLTSD,
+	X86_INS_CMPNLESD,
+	X86_INS_CMPORDSD,
+
+	X86_INS_CMPPS,
+	X86_INS_CMPEQPS,
+	X86_INS_CMPLTPS,
+	X86_INS_CMPLEPS,
+	X86_INS_CMPUNORDPS,
+	X86_INS_CMPNEQPS,
+	X86_INS_CMPNLTPS,
+	X86_INS_CMPNLEPS,
+	X86_INS_CMPORDPS,
+
+	X86_INS_CMPPD,
+	X86_INS_CMPEQPD,
+	X86_INS_CMPLTPD,
+	X86_INS_CMPLEPD,
+	X86_INS_CMPUNORDPD,
+	X86_INS_CMPNEQPD,
+	X86_INS_CMPNLTPD,
+	X86_INS_CMPNLEPD,
+	X86_INS_CMPORDPD,
+
+	X86_INS_VCMPSS,
+	X86_INS_VCMPEQSS,
+	X86_INS_VCMPLTSS,
+	X86_INS_VCMPLESS,
+	X86_INS_VCMPUNORDSS,
+	X86_INS_VCMPNEQSS,
+	X86_INS_VCMPNLTSS,
+	X86_INS_VCMPNLESS,
+	X86_INS_VCMPORDSS,
+	X86_INS_VCMPEQ_UQSS,
+	X86_INS_VCMPNGESS,
+	X86_INS_VCMPNGTSS,
+	X86_INS_VCMPFALSESS,
+	X86_INS_VCMPNEQ_OQSS,
+	X86_INS_VCMPGESS,
+	X86_INS_VCMPGTSS,
+	X86_INS_VCMPTRUESS,
+	X86_INS_VCMPEQ_OSSS,
+	X86_INS_VCMPLT_OQSS,
+	X86_INS_VCMPLE_OQSS,
+	X86_INS_VCMPUNORD_SSS,
+	X86_INS_VCMPNEQ_USSS,
+	X86_INS_VCMPNLT_UQSS,
+	X86_INS_VCMPNLE_UQSS,
+	X86_INS_VCMPORD_SSS,
+	X86_INS_VCMPEQ_USSS,
+	X86_INS_VCMPNGE_UQSS,
+	X86_INS_VCMPNGT_UQSS,
+	X86_INS_VCMPFALSE_OSSS,
+	X86_INS_VCMPNEQ_OSSS,
+	X86_INS_VCMPGE_OQSS,
+	X86_INS_VCMPGT_OQSS,
+	X86_INS_VCMPTRUE_USSS,
+
+	X86_INS_VCMPSD,
+	X86_INS_VCMPEQSD,
+	X86_INS_VCMPLTSD,
+	X86_INS_VCMPLESD,
+	X86_INS_VCMPUNORDSD,
+	X86_INS_VCMPNEQSD,
+	X86_INS_VCMPNLTSD,
+	X86_INS_VCMPNLESD,
+	X86_INS_VCMPORDSD,
+	X86_INS_VCMPEQ_UQSD,
+	X86_INS_VCMPNGESD,
+	X86_INS_VCMPNGTSD,
+	X86_INS_VCMPFALSESD,
+	X86_INS_VCMPNEQ_OQSD,
+	X86_INS_VCMPGESD,
+	X86_INS_VCMPGTSD,
+	X86_INS_VCMPTRUESD,
+	X86_INS_VCMPEQ_OSSD,
+	X86_INS_VCMPLT_OQSD,
+	X86_INS_VCMPLE_OQSD,
+	X86_INS_VCMPUNORD_SSD,
+	X86_INS_VCMPNEQ_USSD,
+	X86_INS_VCMPNLT_UQSD,
+	X86_INS_VCMPNLE_UQSD,
+	X86_INS_VCMPORD_SSD,
+	X86_INS_VCMPEQ_USSD,
+	X86_INS_VCMPNGE_UQSD,
+	X86_INS_VCMPNGT_UQSD,
+	X86_INS_VCMPFALSE_OSSD,
+	X86_INS_VCMPNEQ_OSSD,
+	X86_INS_VCMPGE_OQSD,
+	X86_INS_VCMPGT_OQSD,
+	X86_INS_VCMPTRUE_USSD,
+
+	X86_INS_VCMPPS,
+	X86_INS_VCMPEQPS,
+	X86_INS_VCMPLTPS,
+	X86_INS_VCMPLEPS,
+	X86_INS_VCMPUNORDPS,
+	X86_INS_VCMPNEQPS,
+	X86_INS_VCMPNLTPS,
+	X86_INS_VCMPNLEPS,
+	X86_INS_VCMPORDPS,
+	X86_INS_VCMPEQ_UQPS,
+	X86_INS_VCMPNGEPS,
+	X86_INS_VCMPNGTPS,
+	X86_INS_VCMPFALSEPS,
+	X86_INS_VCMPNEQ_OQPS,
+	X86_INS_VCMPGEPS,
+	X86_INS_VCMPGTPS,
+	X86_INS_VCMPTRUEPS,
+	X86_INS_VCMPEQ_OSPS,
+	X86_INS_VCMPLT_OQPS,
+	X86_INS_VCMPLE_OQPS,
+	X86_INS_VCMPUNORD_SPS,
+	X86_INS_VCMPNEQ_USPS,
+	X86_INS_VCMPNLT_UQPS,
+	X86_INS_VCMPNLE_UQPS,
+	X86_INS_VCMPORD_SPS,
+	X86_INS_VCMPEQ_USPS,
+	X86_INS_VCMPNGE_UQPS,
+	X86_INS_VCMPNGT_UQPS,
+	X86_INS_VCMPFALSE_OSPS,
+	X86_INS_VCMPNEQ_OSPS,
+	X86_INS_VCMPGE_OQPS,
+	X86_INS_VCMPGT_OQPS,
+	X86_INS_VCMPTRUE_USPS,
+
+	X86_INS_VCMPPD,
+	X86_INS_VCMPEQPD,
+	X86_INS_VCMPLTPD,
+	X86_INS_VCMPLEPD,
+	X86_INS_VCMPUNORDPD,
+	X86_INS_VCMPNEQPD,
+	X86_INS_VCMPNLTPD,
+	X86_INS_VCMPNLEPD,
+	X86_INS_VCMPORDPD,
+	X86_INS_VCMPEQ_UQPD,
+	X86_INS_VCMPNGEPD,
+	X86_INS_VCMPNGTPD,
+	X86_INS_VCMPFALSEPD,
+	X86_INS_VCMPNEQ_OQPD,
+	X86_INS_VCMPGEPD,
+	X86_INS_VCMPGTPD,
+	X86_INS_VCMPTRUEPD,
+	X86_INS_VCMPEQ_OSPD,
+	X86_INS_VCMPLT_OQPD,
+	X86_INS_VCMPLE_OQPD,
+	X86_INS_VCMPUNORD_SPD,
+	X86_INS_VCMPNEQ_USPD,
+	X86_INS_VCMPNLT_UQPD,
+	X86_INS_VCMPNLE_UQPD,
+	X86_INS_VCMPORD_SPD,
+	X86_INS_VCMPEQ_USPD,
+	X86_INS_VCMPNGE_UQPD,
+	X86_INS_VCMPNGT_UQPD,
+	X86_INS_VCMPFALSE_OSPD,
+	X86_INS_VCMPNEQ_OSPD,
+	X86_INS_VCMPGE_OQPD,
+	X86_INS_VCMPGT_OQPD,
+	X86_INS_VCMPTRUE_USPD,
+
+	X86_INS_UD0,
+	X86_INS_ENDBR32,
+	X86_INS_ENDBR64,
+
+	X86_INS_ENDING, // mark the end of the list of insn
+} x86_insn;
+
+/// Group of X86 instructions
+typedef enum  x86_insn_group {
+	X86_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	X86_GRP_JUMP,	///< = CS_GRP_JUMP
+	// all call instructions
+	X86_GRP_CALL,	///< = CS_GRP_CALL
+	// all return instructions
+	X86_GRP_RET,	///< = CS_GRP_RET
+	// all interrupt instructions (int+syscall)
+	X86_GRP_INT,	///< = CS_GRP_INT
+	// all interrupt return instructions
+	X86_GRP_IRET,	///< = CS_GRP_IRET
+	// all privileged instructions
+	X86_GRP_PRIVILEGE,	///< = CS_GRP_PRIVILEGE
+	// all relative branching instructions
+	X86_GRP_BRANCH_RELATIVE, ///< = CS_GRP_BRANCH_RELATIVE
+
+	// Architecture-specific groups
+	X86_GRP_VM = 128,	///< all virtualization instructions (VT-x + AMD-V)
+	X86_GRP_3DNOW,
+	X86_GRP_AES,
+	X86_GRP_ADX,
+	X86_GRP_AVX,
+	X86_GRP_AVX2,
+	X86_GRP_AVX512,
+	X86_GRP_BMI,
+	X86_GRP_BMI2,
+	X86_GRP_CMOV,
+	X86_GRP_F16C,
+	X86_GRP_FMA,
+	X86_GRP_FMA4,
+	X86_GRP_FSGSBASE,
+	X86_GRP_HLE,
+	X86_GRP_MMX,
+	X86_GRP_MODE32,
+	X86_GRP_MODE64,
+	X86_GRP_RTM,
+	X86_GRP_SHA,
+	X86_GRP_SSE1,
+	X86_GRP_SSE2,
+	X86_GRP_SSE3,
+	X86_GRP_SSE41,
+	X86_GRP_SSE42,
+	X86_GRP_SSE4A,
+	X86_GRP_SSSE3,
+	X86_GRP_PCLMUL,
+	X86_GRP_XOP,
+	X86_GRP_CDI,
+	X86_GRP_ERI,
+	X86_GRP_TBM,
+	X86_GRP_16BITMODE,
+	X86_GRP_NOT64BITMODE,
+	X86_GRP_SGX,
+	X86_GRP_DQI,
+	X86_GRP_BWI,
+	X86_GRP_PFI,
+	X86_GRP_VLX,
+	X86_GRP_SMAP,
+	X86_GRP_NOVLX,
+	X86_GRP_FPU,
+
+	X86_GRP_ENDING
+} x86_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone/xcore.h 4.0.2-3/include/capstone/xcore.h
--- 4.0.1+really+3.0.5-2/include/capstone/xcore.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/capstone/xcore.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,235 @@
+#ifndef CAPSTONE_XCORE_H
+#define CAPSTONE_XCORE_H
+
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014-2015 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "platform.h"
+
+#ifdef _MSC_VER
+#pragma warning(disable:4201)
+#endif
+
+/// Operand type for instruction's operands
+typedef enum xcore_op_type {
+	XCORE_OP_INVALID = 0, ///< = CS_OP_INVALID (Uninitialized).
+	XCORE_OP_REG, ///< = CS_OP_REG (Register operand).
+	XCORE_OP_IMM, ///< = CS_OP_IMM (Immediate operand).
+	XCORE_OP_MEM, ///< = CS_OP_MEM (Memory operand).
+} xcore_op_type;
+
+/// XCore registers
+typedef enum xcore_reg {
+	XCORE_REG_INVALID = 0,
+
+	XCORE_REG_CP,
+	XCORE_REG_DP,
+	XCORE_REG_LR,
+	XCORE_REG_SP,
+	XCORE_REG_R0,
+	XCORE_REG_R1,
+	XCORE_REG_R2,
+	XCORE_REG_R3,
+	XCORE_REG_R4,
+	XCORE_REG_R5,
+	XCORE_REG_R6,
+	XCORE_REG_R7,
+	XCORE_REG_R8,
+	XCORE_REG_R9,
+	XCORE_REG_R10,
+	XCORE_REG_R11,
+
+	// pseudo registers
+	XCORE_REG_PC,	///< pc
+
+	// internal thread registers
+	// see The-XMOS-XS1-Architecture(X7879A).pdf
+	XCORE_REG_SCP,	///< save pc
+	XCORE_REG_SSR,	//< save status
+	XCORE_REG_ET,	//< exception type
+	XCORE_REG_ED,	//< exception data
+	XCORE_REG_SED,	//< save exception data
+	XCORE_REG_KEP,	//< kernel entry pointer
+	XCORE_REG_KSP,	//< kernel stack pointer
+	XCORE_REG_ID,	//< thread ID
+
+	XCORE_REG_ENDING,	// <-- mark the end of the list of registers
+} xcore_reg;
+
+/// Instruction's operand referring to memory
+/// This is associated with XCORE_OP_MEM operand type above
+typedef struct xcore_op_mem {
+	uint8_t base;		///< base register, can be safely interpreted as
+				///< a value of type `xcore_reg`, but it is only
+				///< one byte wide
+	uint8_t index;		///< index register, same conditions apply here
+	int32_t disp;	///< displacement/offset value
+	int     direct;	///< +1: forward, -1: backward
+} xcore_op_mem;
+
+/// Instruction operand
+typedef struct cs_xcore_op {
+	xcore_op_type type;	///< operand type
+	union {
+		xcore_reg reg;	///< register value for REG operand
+		int32_t imm;		///< immediate value for IMM operand
+		xcore_op_mem mem;		///< base/disp value for MEM operand
+	};
+} cs_xcore_op;
+
+/// Instruction structure
+typedef struct cs_xcore {
+	/// Number of operands of this instruction,
+	/// or 0 when instruction has no operand.
+	uint8_t op_count;
+	cs_xcore_op operands[8]; ///< operands for this instruction.
+} cs_xcore;
+
+/// XCore instruction
+typedef enum xcore_insn {
+	XCORE_INS_INVALID = 0,
+
+	XCORE_INS_ADD,
+	XCORE_INS_ANDNOT,
+	XCORE_INS_AND,
+	XCORE_INS_ASHR,
+	XCORE_INS_BAU,
+	XCORE_INS_BITREV,
+	XCORE_INS_BLA,
+	XCORE_INS_BLAT,
+	XCORE_INS_BL,
+	XCORE_INS_BF,
+	XCORE_INS_BT,
+	XCORE_INS_BU,
+	XCORE_INS_BRU,
+	XCORE_INS_BYTEREV,
+	XCORE_INS_CHKCT,
+	XCORE_INS_CLRE,
+	XCORE_INS_CLRPT,
+	XCORE_INS_CLRSR,
+	XCORE_INS_CLZ,
+	XCORE_INS_CRC8,
+	XCORE_INS_CRC32,
+	XCORE_INS_DCALL,
+	XCORE_INS_DENTSP,
+	XCORE_INS_DGETREG,
+	XCORE_INS_DIVS,
+	XCORE_INS_DIVU,
+	XCORE_INS_DRESTSP,
+	XCORE_INS_DRET,
+	XCORE_INS_ECALLF,
+	XCORE_INS_ECALLT,
+	XCORE_INS_EDU,
+	XCORE_INS_EEF,
+	XCORE_INS_EET,
+	XCORE_INS_EEU,
+	XCORE_INS_ENDIN,
+	XCORE_INS_ENTSP,
+	XCORE_INS_EQ,
+	XCORE_INS_EXTDP,
+	XCORE_INS_EXTSP,
+	XCORE_INS_FREER,
+	XCORE_INS_FREET,
+	XCORE_INS_GETD,
+	XCORE_INS_GET,
+	XCORE_INS_GETN,
+	XCORE_INS_GETR,
+	XCORE_INS_GETSR,
+	XCORE_INS_GETST,
+	XCORE_INS_GETTS,
+	XCORE_INS_INCT,
+	XCORE_INS_INIT,
+	XCORE_INS_INPW,
+	XCORE_INS_INSHR,
+	XCORE_INS_INT,
+	XCORE_INS_IN,
+	XCORE_INS_KCALL,
+	XCORE_INS_KENTSP,
+	XCORE_INS_KRESTSP,
+	XCORE_INS_KRET,
+	XCORE_INS_LADD,
+	XCORE_INS_LD16S,
+	XCORE_INS_LD8U,
+	XCORE_INS_LDA16,
+	XCORE_INS_LDAP,
+	XCORE_INS_LDAW,
+	XCORE_INS_LDC,
+	XCORE_INS_LDW,
+	XCORE_INS_LDIVU,
+	XCORE_INS_LMUL,
+	XCORE_INS_LSS,
+	XCORE_INS_LSUB,
+	XCORE_INS_LSU,
+	XCORE_INS_MACCS,
+	XCORE_INS_MACCU,
+	XCORE_INS_MJOIN,
+	XCORE_INS_MKMSK,
+	XCORE_INS_MSYNC,
+	XCORE_INS_MUL,
+	XCORE_INS_NEG,
+	XCORE_INS_NOT,
+	XCORE_INS_OR,
+	XCORE_INS_OUTCT,
+	XCORE_INS_OUTPW,
+	XCORE_INS_OUTSHR,
+	XCORE_INS_OUTT,
+	XCORE_INS_OUT,
+	XCORE_INS_PEEK,
+	XCORE_INS_REMS,
+	XCORE_INS_REMU,
+	XCORE_INS_RETSP,
+	XCORE_INS_SETCLK,
+	XCORE_INS_SET,
+	XCORE_INS_SETC,
+	XCORE_INS_SETD,
+	XCORE_INS_SETEV,
+	XCORE_INS_SETN,
+	XCORE_INS_SETPSC,
+	XCORE_INS_SETPT,
+	XCORE_INS_SETRDY,
+	XCORE_INS_SETSR,
+	XCORE_INS_SETTW,
+	XCORE_INS_SETV,
+	XCORE_INS_SEXT,
+	XCORE_INS_SHL,
+	XCORE_INS_SHR,
+	XCORE_INS_SSYNC,
+	XCORE_INS_ST16,
+	XCORE_INS_ST8,
+	XCORE_INS_STW,
+	XCORE_INS_SUB,
+	XCORE_INS_SYNCR,
+	XCORE_INS_TESTCT,
+	XCORE_INS_TESTLCL,
+	XCORE_INS_TESTWCT,
+	XCORE_INS_TSETMR,
+	XCORE_INS_START,
+	XCORE_INS_WAITEF,
+	XCORE_INS_WAITET,
+	XCORE_INS_WAITEU,
+	XCORE_INS_XOR,
+	XCORE_INS_ZEXT,
+
+	XCORE_INS_ENDING,   // <-- mark the end of the list of instructions
+} xcore_insn;
+
+/// Group of XCore instructions
+typedef enum xcore_insn_group {
+	XCORE_GRP_INVALID = 0, ///< = CS_GRP_INVALID
+
+	// Generic groups
+	// all jump instructions (conditional+direct+indirect jumps)
+	XCORE_GRP_JUMP,	///< = CS_GRP_JUMP
+
+	XCORE_GRP_ENDING,   // <-- mark the end of the list of groups
+} xcore_insn_group;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/capstone.h 4.0.2-3/include/capstone.h
--- 4.0.1+really+3.0.5-2/include/capstone.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/capstone.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,675 +0,0 @@
-#ifndef CAPSTONE_ENGINE_H
-#define CAPSTONE_ENGINE_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2016 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include <stdarg.h>
-
-#if defined(CAPSTONE_HAS_OSXKERNEL)
-#include <libkern/libkern.h>
-#else
-#include <stdlib.h>
-#include <stdio.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#pragma warning(disable:4100)
-#define CAPSTONE_API __cdecl
-#ifdef CAPSTONE_SHARED
-#define CAPSTONE_EXPORT __declspec(dllexport)
-#else    // defined(CAPSTONE_STATIC)
-#define CAPSTONE_EXPORT
-#endif
-#else
-#define CAPSTONE_API
-#if defined(__GNUC__) && !defined(CAPSTONE_STATIC)
-#define CAPSTONE_EXPORT __attribute__((visibility("default")))
-#else    // defined(CAPSTONE_STATIC)
-#define CAPSTONE_EXPORT
-#endif
-#endif
-
-#ifdef __GNUC__
-#define CAPSTONE_DEPRECATED __attribute__((deprecated))
-#elif defined(_MSC_VER)
-#define CAPSTONE_DEPRECATED __declspec(deprecated)
-#else
-#pragma message("WARNING: You need to implement CAPSTONE_DEPRECATED for this compiler")
-#define CAPSTONE_DEPRECATED
-#endif
-
-// Capstone API version
-#define CS_API_MAJOR 3
-#define CS_API_MINOR 0
-
-// Capstone package version
-#define CS_VERSION_MAJOR CS_API_MAJOR
-#define CS_VERSION_MINOR CS_API_MINOR
-#define CS_VERSION_EXTRA 5
-
-// Macro to create combined version which can be compared to
-// result of cs_version() API.
-#define CS_MAKE_VERSION(major, minor) ((major << 8) + minor)
-
-// Handle using with all API
-typedef size_t csh;
-
-// Architecture type
-typedef enum cs_arch {
-	CS_ARCH_ARM = 0,	// ARM architecture (including Thumb, Thumb-2)
-	CS_ARCH_ARM64,		// ARM-64, also called AArch64
-	CS_ARCH_MIPS,		// Mips architecture
-	CS_ARCH_X86,		// X86 architecture (including x86 & x86-64)
-	CS_ARCH_PPC,		// PowerPC architecture
-	CS_ARCH_SPARC,		// Sparc architecture
-	CS_ARCH_SYSZ,		// SystemZ architecture
-	CS_ARCH_XCORE,		// XCore architecture
-	CS_ARCH_MAX,
-	CS_ARCH_ALL = 0xFFFF, // All architectures - for cs_support()
-} cs_arch;
-
-// Support value to verify diet mode of the engine.
-// If cs_support(CS_SUPPORT_DIET) return True, the engine was compiled
-// in diet mode.
-#define CS_SUPPORT_DIET (CS_ARCH_ALL + 1)
-
-// Support value to verify X86 reduce mode of the engine.
-// If cs_support(CS_SUPPORT_X86_REDUCE) return True, the engine was compiled
-// in X86 reduce mode.
-#define CS_SUPPORT_X86_REDUCE (CS_ARCH_ALL + 2)
-
-// Mode type
-typedef enum cs_mode {
-	CS_MODE_LITTLE_ENDIAN = 0,	// little-endian mode (default mode)
-	CS_MODE_ARM = 0,	// 32-bit ARM
-	CS_MODE_16 = 1 << 1,	// 16-bit mode (X86)
-	CS_MODE_32 = 1 << 2,	// 32-bit mode (X86)
-	CS_MODE_64 = 1 << 3,	// 64-bit mode (X86, PPC)
-	CS_MODE_THUMB = 1 << 4,	// ARM's Thumb mode, including Thumb-2
-	CS_MODE_MCLASS = 1 << 5,	// ARM's Cortex-M series
-	CS_MODE_V8 = 1 << 6,	// ARMv8 A32 encodings for ARM
-	CS_MODE_MICRO = 1 << 4, // MicroMips mode (MIPS)
-	CS_MODE_MIPS3 = 1 << 5, // Mips III ISA
-	CS_MODE_MIPS32R6 = 1 << 6, // Mips32r6 ISA
-	CS_MODE_MIPSGP64 = 1 << 7, // General Purpose Registers are 64-bit wide (MIPS)
-	CS_MODE_V9 = 1 << 4, // SparcV9 mode (Sparc)
-	CS_MODE_BIG_ENDIAN = 1 << 31,	// big-endian mode
-	CS_MODE_MIPS32 = CS_MODE_32,	// Mips32 ISA (Mips)
-	CS_MODE_MIPS64 = CS_MODE_64,	// Mips64 ISA (Mips)
-} cs_mode;
-
-typedef void* (CAPSTONE_API *cs_malloc_t)(size_t size);
-typedef void* (CAPSTONE_API *cs_calloc_t)(size_t nmemb, size_t size);
-typedef void* (CAPSTONE_API *cs_realloc_t)(void *ptr, size_t size);
-typedef void (CAPSTONE_API *cs_free_t)(void *ptr);
-typedef int (CAPSTONE_API *cs_vsnprintf_t)(char *str, size_t size, const char *format, va_list ap);
-
-
-// User-defined dynamic memory related functions: malloc/calloc/realloc/free/vsnprintf()
-// By default, Capstone uses system's malloc(), calloc(), realloc(), free() & vsnprintf().
-typedef struct cs_opt_mem {
-	cs_malloc_t malloc;
-	cs_calloc_t calloc;
-	cs_realloc_t realloc;
-	cs_free_t free;
-	cs_vsnprintf_t vsnprintf;
-} cs_opt_mem;
-
-// Runtime option for the disassembled engine
-typedef enum cs_opt_type {
-	CS_OPT_INVALID = 0,	// No option specified
-	CS_OPT_SYNTAX,	// Assembly output syntax
-	CS_OPT_DETAIL,	// Break down instruction structure into details
-	CS_OPT_MODE,	// Change engine's mode at run-time
-	CS_OPT_MEM,	// User-defined dynamic memory related functions
-	CS_OPT_SKIPDATA, // Skip data when disassembling. Then engine is in SKIPDATA mode.
-	CS_OPT_SKIPDATA_SETUP, // Setup user-defined function for SKIPDATA option
-} cs_opt_type;
-
-// Runtime option value (associated with option type above)
-typedef enum cs_opt_value {
-	CS_OPT_OFF = 0,  // Turn OFF an option - default option of CS_OPT_DETAIL, CS_OPT_SKIPDATA.
-	CS_OPT_ON = 3, // Turn ON an option (CS_OPT_DETAIL, CS_OPT_SKIPDATA).
-	CS_OPT_SYNTAX_DEFAULT = 0, // Default asm syntax (CS_OPT_SYNTAX).
-	CS_OPT_SYNTAX_INTEL, // X86 Intel asm syntax - default on X86 (CS_OPT_SYNTAX).
-	CS_OPT_SYNTAX_ATT,   // X86 ATT asm syntax (CS_OPT_SYNTAX).
-	CS_OPT_SYNTAX_NOREGNAME, // Prints register name with only number (CS_OPT_SYNTAX)
-} cs_opt_value;
-
-//> Common instruction operand types - to be consistent across all architectures.
-typedef enum cs_op_type {
-	CS_OP_INVALID = 0,  // uninitialized/invalid operand.
-	CS_OP_REG,          // Register operand.
-	CS_OP_IMM,          // Immediate operand.
-	CS_OP_MEM,          // Memory operand.
-	CS_OP_FP,           // Floating-Point operand.
-} cs_op_type;
-
-//> Common instruction groups - to be consistent across all architectures.
-typedef enum cs_group_type {
-	CS_GRP_INVALID = 0,  // uninitialized/invalid group.
-	CS_GRP_JUMP,    // all jump instructions (conditional+direct+indirect jumps)
-	CS_GRP_CALL,    // all call instructions
-	CS_GRP_RET,     // all return instructions
-	CS_GRP_INT,     // all interrupt instructions (int+syscall)
-	CS_GRP_IRET,    // all interrupt return instructions
-} cs_group_type;
-
-/*
- User-defined callback function for SKIPDATA option.
- See tests/test_skipdata.c for sample code demonstrating this API.
-
- @code: the input buffer containing code to be disassembled.
-        This is the same buffer passed to cs_disasm().
- @code_size: size (in bytes) of the above @code buffer.
- @offset: the position of the currently-examining byte in the input
-      buffer @code mentioned above.
- @user_data: user-data passed to cs_option() via @user_data field in
-      cs_opt_skipdata struct below.
-
- @return: return number of bytes to skip, or 0 to immediately stop disassembling.
-*/
-typedef size_t (CAPSTONE_API *cs_skipdata_cb_t)(const uint8_t *code, size_t code_size, size_t offset, void *user_data);
-
-// User-customized setup for SKIPDATA option
-typedef struct cs_opt_skipdata {
-	// Capstone considers data to skip as special "instructions".
-	// User can specify the string for this instruction's "mnemonic" here.
-	// By default (if @mnemonic is NULL), Capstone use ".byte".
-	const char *mnemonic;
-
-	// User-defined callback function to be called when Capstone hits data.
-	// If the returned value from this callback is positive (>0), Capstone
-	// will skip exactly that number of bytes & continue. Otherwise, if
-	// the callback returns 0, Capstone stops disassembling and returns
-	// immediately from cs_disasm()
-	// NOTE: if this callback pointer is NULL, Capstone would skip a number
-	// of bytes depending on architectures, as following:
-	// Arm:     2 bytes (Thumb mode) or 4 bytes.
-	// Arm64:   4 bytes.
-	// Mips:    4 bytes.
-	// PowerPC: 4 bytes.
-	// Sparc:   4 bytes.
-	// SystemZ: 2 bytes.
-	// X86:     1 bytes.
-	// XCore:   2 bytes.
-	cs_skipdata_cb_t callback; 	// default value is NULL
-
-	// User-defined data to be passed to @callback function pointer.
-	void *user_data;
-} cs_opt_skipdata;
-
-
-#include "arm.h"
-#include "arm64.h"
-#include "mips.h"
-#include "ppc.h"
-#include "sparc.h"
-#include "systemz.h"
-#include "x86.h"
-#include "xcore.h"
-
-// NOTE: All information in cs_detail is only available when CS_OPT_DETAIL = CS_OPT_ON
-typedef struct cs_detail {
-	uint8_t regs_read[12]; // list of implicit registers read by this insn
-	uint8_t regs_read_count; // number of implicit registers read by this insn
-
-	uint8_t regs_write[20]; // list of implicit registers modified by this insn
-	uint8_t regs_write_count; // number of implicit registers modified by this insn
-
-	uint8_t groups[8]; // list of group this instruction belong to
-	uint8_t groups_count; // number of groups this insn belongs to
-
-	// Architecture-specific instruction info
-	union {
-		cs_x86 x86;	// X86 architecture, including 16-bit, 32-bit & 64-bit mode
-		cs_arm64 arm64;	// ARM64 architecture (aka AArch64)
-		cs_arm arm;		// ARM architecture (including Thumb/Thumb2)
-		cs_mips mips;	// MIPS architecture
-		cs_ppc ppc;	// PowerPC architecture
-		cs_sparc sparc;	// Sparc architecture
-		cs_sysz sysz;	// SystemZ architecture
-		cs_xcore xcore;	// XCore architecture
-	};
-} cs_detail;
-
-// Detail information of disassembled instruction
-typedef struct cs_insn {
-	// Instruction ID (basically a numeric ID for the instruction mnemonic)
-	// Find the instruction id in the '[ARCH]_insn' enum in the header file 
-	// of corresponding architecture, such as 'arm_insn' in arm.h for ARM,
-	// 'x86_insn' in x86.h for X86, etc...
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	// NOTE: in Skipdata mode, "data" instruction has 0 for this id field.
-	unsigned int id;
-
-	// Address (EIP) of this instruction
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	uint64_t address;
-
-	// Size of this instruction
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	uint16_t size;
-	// Machine bytes of this instruction, with number of bytes indicated by @size above
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	uint8_t bytes[16];
-
-	// Ascii text of instruction mnemonic
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	char mnemonic[32];
-
-	// Ascii text of instruction operands
-	// This information is available even when CS_OPT_DETAIL = CS_OPT_OFF
-	char op_str[160];
-
-	// Pointer to cs_detail.
-	// NOTE: detail pointer is only valid when both requirements below are met:
-	// (1) CS_OP_DETAIL = CS_OPT_ON
-	// (2) Engine is not in Skipdata mode (CS_OP_SKIPDATA option set to CS_OPT_ON)
-	//
-	// NOTE 2: when in Skipdata mode, or when detail mode is OFF, even if this pointer
-	//     is not NULL, its content is still irrelevant.
-	cs_detail *detail;
-} cs_insn;
-
-
-// Calculate the offset of a disassembled instruction in its buffer, given its position
-// in its array of disassembled insn
-// NOTE: this macro works with position (>=1), not index
-#define CS_INSN_OFFSET(insns, post) (insns[post - 1].address - insns[0].address)
-
-
-// All type of errors encountered by Capstone API.
-// These are values returned by cs_errno()
-typedef enum cs_err {
-	CS_ERR_OK = 0,   // No error: everything was fine
-	CS_ERR_MEM,      // Out-Of-Memory error: cs_open(), cs_disasm(), cs_disasm_iter()
-	CS_ERR_ARCH,     // Unsupported architecture: cs_open()
-	CS_ERR_HANDLE,   // Invalid handle: cs_op_count(), cs_op_index()
-	CS_ERR_CSH,	     // Invalid csh argument: cs_close(), cs_errno(), cs_option()
-	CS_ERR_MODE,     // Invalid/unsupported mode: cs_open()
-	CS_ERR_OPTION,   // Invalid/unsupported option: cs_option()
-	CS_ERR_DETAIL,   // Information is unavailable because detail option is OFF
-	CS_ERR_MEMSETUP, // Dynamic memory management uninitialized (see CS_OPT_MEM)
-	CS_ERR_VERSION,  // Unsupported version (bindings)
-	CS_ERR_DIET,     // Access irrelevant data in "diet" engine
-	CS_ERR_SKIPDATA, // Access irrelevant data for "data" instruction in SKIPDATA mode
-	CS_ERR_X86_ATT,  // X86 AT&T syntax is unsupported (opt-out at compile time)
-	CS_ERR_X86_INTEL, // X86 Intel syntax is unsupported (opt-out at compile time)
-} cs_err;
-
-/*
- Return combined API version & major and minor version numbers.
-
- @major: major number of API version
- @minor: minor number of API version
-
- @return hexical number as (major << 8 | minor), which encodes both
-	 major & minor versions.
-	 NOTE: This returned value can be compared with version number made
-	 with macro CS_MAKE_VERSION
-
- For example, second API version would return 1 in @major, and 1 in @minor
- The return value would be 0x0101
-
- NOTE: if you only care about returned value, but not major and minor values,
- set both @major & @minor arguments to NULL.
-*/
-CAPSTONE_EXPORT
-unsigned int CAPSTONE_API cs_version(int *major, int *minor);
-
-
-/*
- This API can be used to either ask for archs supported by this library,
- or check to see if the library was compile with 'diet' option (or called
- in 'diet' mode).
-
- To check if a particular arch is supported by this library, set @query to
- arch mode (CS_ARCH_* value).
- To verify if this library supports all the archs, use CS_ARCH_ALL.
-
- To check if this library is in 'diet' mode, set @query to CS_SUPPORT_DIET.
-
- @return True if this library supports the given arch, or in 'diet' mode.
-*/
-CAPSTONE_EXPORT
-bool CAPSTONE_API cs_support(int query);
-
-/*
- Initialize CS handle: this must be done before any usage of CS.
-
- @arch: architecture type (CS_ARCH_*)
- @mode: hardware mode. This is combined of CS_MODE_*
- @handle: pointer to handle, which will be updated at return time
-
- @return CS_ERR_OK on success, or other value on failure (refer to cs_err enum
- for detailed error).
-*/
-CAPSTONE_EXPORT
-cs_err CAPSTONE_API cs_open(cs_arch arch, cs_mode mode, csh *handle);
-
-/*
- Close CS handle: MUST do to release the handle when it is not used anymore.
- NOTE: this must be only called when there is no longer usage of Capstone,
- not even access to cs_insn array. The reason is the this API releases some
- cached memory, thus access to any Capstone API after cs_close() might crash
- your application.
-
- In fact,this API invalidate @handle by ZERO out its value (i.e *handle = 0).
-
- @handle: pointer to a handle returned by cs_open()
-
- @return CS_ERR_OK on success, or other value on failure (refer to cs_err enum
- for detailed error).
-*/
-CAPSTONE_EXPORT
-cs_err CAPSTONE_API cs_close(csh *handle);
-
-/*
- Set option for disassembling engine at runtime
-
- @handle: handle returned by cs_open()
- @type: type of option to be set
- @value: option value corresponding with @type
-
- @return: CS_ERR_OK on success, or other value on failure.
- Refer to cs_err enum for detailed error.
-
- NOTE: in the case of CS_OPT_MEM, handle's value can be anything,
- so that cs_option(handle, CS_OPT_MEM, value) can (i.e must) be called
- even before cs_open()
-*/
-CAPSTONE_EXPORT
-cs_err CAPSTONE_API cs_option(csh handle, cs_opt_type type, size_t value);
-
-/*
- Report the last error number when some API function fail.
- Like glibc's errno, cs_errno might not retain its old value once accessed.
-
- @handle: handle returned by cs_open()
-
- @return: error code of cs_err enum type (CS_ERR_*, see above)
-*/
-CAPSTONE_EXPORT
-cs_err CAPSTONE_API cs_errno(csh handle);
-
-
-/*
- Return a string describing given error code.
-
- @code: error code (see CS_ERR_* above)
-
- @return: returns a pointer to a string that describes the error code
-	passed in the argument @code
-*/
-CAPSTONE_EXPORT
-const char * CAPSTONE_API cs_strerror(cs_err code);
-
-/*
- Disassemble binary code, given the code buffer, size, address and number
- of instructions to be decoded.
- This API dynamically allocate memory to contain disassembled instruction.
- Resulted instructions will be put into @*insn
-
- NOTE 1: this API will automatically determine memory needed to contain
- output disassembled instructions in @insn.
-
- NOTE 2: caller must free the allocated memory itself to avoid memory leaking.
-
- NOTE 3: for system with scarce memory to be dynamically allocated such as
- OS kernel or firmware, the API cs_disasm_iter() might be a better choice than
- cs_disasm(). The reason is that with cs_disasm(), based on limited available
- memory, we have to calculate in advance how many instructions to be disassembled,
- which complicates things. This is especially troublesome for the case @count=0,
- when cs_disasm() runs uncontrollably (until either end of input buffer, or
- when it encounters an invalid instruction).
- 
- @handle: handle returned by cs_open()
- @code: buffer containing raw binary code to be disassembled.
- @code_size: size of the above code buffer.
- @address: address of the first instruction in given raw code buffer.
- @insn: array of instructions filled in by this API.
-	   NOTE: @insn will be allocated by this function, and should be freed
-	   with cs_free() API.
- @count: number of instructions to be disassembled, or 0 to get all of them
-
- @return: the number of successfully disassembled instructions,
- or 0 if this function failed to disassemble the given code
-
- On failure, call cs_errno() for error code.
-*/
-CAPSTONE_EXPORT
-size_t CAPSTONE_API cs_disasm(csh handle,
-		const uint8_t *code, size_t code_size,
-		uint64_t address,
-		size_t count,
-		cs_insn **insn);
-
-/*
-  Deprecated function - to be retired in the next version!
-  Use cs_disasm() instead of cs_disasm_ex()
-*/
-CAPSTONE_EXPORT
-CAPSTONE_DEPRECATED
-size_t CAPSTONE_API cs_disasm_ex(csh handle,
-		const uint8_t *code, size_t code_size,
-		uint64_t address,
-		size_t count,
-		cs_insn **insn);
-
-/*
- Free memory allocated by cs_malloc() or cs_disasm() (argument @insn)
-
- @insn: pointer returned by @insn argument in cs_disasm() or cs_malloc()
- @count: number of cs_insn structures returned by cs_disasm(), or 1
-     to free memory allocated by cs_malloc().
-*/
-CAPSTONE_EXPORT
-void CAPSTONE_API cs_free(cs_insn *insn, size_t count);
-
-
-/*
- Allocate memory for 1 instruction to be used by cs_disasm_iter().
-
- @handle: handle returned by cs_open()
-
- NOTE: when no longer in use, you can reclaim the memory allocated for
- this instruction with cs_free(insn, 1)
-*/
-CAPSTONE_EXPORT
-cs_insn * CAPSTONE_API cs_malloc(csh handle);
-
-/*
- Fast API to disassemble binary code, given the code buffer, size, address
- and number of instructions to be decoded.
- This API put the resulted instruction into a given cache in @insn.
- See tests/test_iter.c for sample code demonstrating this API.
-
- NOTE 1: this API will update @code, @size & @address to point to the next
- instruction in the input buffer. Therefore, it is convenient to use
- cs_disasm_iter() inside a loop to quickly iterate all the instructions.
- While decoding one instruction at a time can also be achieved with
- cs_disasm(count=1), some benchmarks shown that cs_disasm_iter() can be 30%
- faster on random input.
-
- NOTE 2: the cache in @insn can be created with cs_malloc() API.
-
- NOTE 3: for system with scarce memory to be dynamically allocated such as
- OS kernel or firmware, this API is recommended over cs_disasm(), which
- allocates memory based on the number of instructions to be disassembled.
- The reason is that with cs_disasm(), based on limited available memory,
- we have to calculate in advance how many instructions to be disassembled,
- which complicates things. This is especially troublesome for the case
- @count=0, when cs_disasm() runs uncontrollably (until either end of input
- buffer, or when it encounters an invalid instruction).
- 
- @handle: handle returned by cs_open()
- @code: buffer containing raw binary code to be disassembled
- @size: size of above code
- @address: address of the first insn in given raw code buffer
- @insn: pointer to instruction to be filled in by this API.
-
- @return: true if this API successfully decode 1 instruction,
- or false otherwise.
-
- On failure, call cs_errno() for error code.
-*/
-CAPSTONE_EXPORT
-bool CAPSTONE_API cs_disasm_iter(csh handle,
-	const uint8_t **code, size_t *size,
-	uint64_t *address, cs_insn *insn);
-
-/*
- Return friendly name of register in a string.
- Find the instruction id from header file of corresponding architecture (arm.h for ARM,
- x86.h for X86, ...)
-
- WARN: when in 'diet' mode, this API is irrelevant because engine does not
- store register name.
-
- @handle: handle returned by cs_open()
- @reg_id: register id
-
- @return: string name of the register, or NULL if @reg_id is invalid.
-*/
-CAPSTONE_EXPORT
-const char * CAPSTONE_API cs_reg_name(csh handle, unsigned int reg_id);
-
-/*
- Return friendly name of an instruction in a string.
- Find the instruction id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
-
- WARN: when in 'diet' mode, this API is irrelevant because the engine does not
- store instruction name.
-
- @handle: handle returned by cs_open()
- @insn_id: instruction id
-
- @return: string name of the instruction, or NULL if @insn_id is invalid.
-*/
-CAPSTONE_EXPORT
-const char * CAPSTONE_API cs_insn_name(csh handle, unsigned int insn_id);
-
-/*
- Return friendly name of a group id (that an instruction can belong to)
- Find the group id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
-
- WARN: when in 'diet' mode, this API is irrelevant because the engine does not
- store group name.
-
- @handle: handle returned by cs_open()
- @group_id: group id
-
- @return: string name of the group, or NULL if @group_id is invalid.
-*/
-CAPSTONE_EXPORT
-const char * CAPSTONE_API cs_group_name(csh handle, unsigned int group_id);
-
-/*
- Check if a disassembled instruction belong to a particular group.
- Find the group id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
- Internally, this simply verifies if @group_id matches any member of insn->groups array.
-
- NOTE: this API is only valid when detail option is ON (which is OFF by default).
-
- WARN: when in 'diet' mode, this API is irrelevant because the engine does not
- update @groups array.
-
- @handle: handle returned by cs_open()
- @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
- @group_id: group that you want to check if this instruction belong to.
-
- @return: true if this instruction indeed belongs to aboved group, or false otherwise.
-*/
-CAPSTONE_EXPORT
-bool CAPSTONE_API cs_insn_group(csh handle, const cs_insn *insn, unsigned int group_id);
-
-/*
- Check if a disassembled instruction IMPLICITLY used a particular register.
- Find the register id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
- Internally, this simply verifies if @reg_id matches any member of insn->regs_read array.
-
- NOTE: this API is only valid when detail option is ON (which is OFF by default)
-
- WARN: when in 'diet' mode, this API is irrelevant because the engine does not
- update @regs_read array.
-
- @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
- @reg_id: register that you want to check if this instruction used it.
-
- @return: true if this instruction indeed implicitly used aboved register, or false otherwise.
-*/
-CAPSTONE_EXPORT
-bool CAPSTONE_API cs_reg_read(csh handle, const cs_insn *insn, unsigned int reg_id);
-
-/*
- Check if a disassembled instruction IMPLICITLY modified a particular register.
- Find the register id from header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
- Internally, this simply verifies if @reg_id matches any member of insn->regs_write array.
-
- NOTE: this API is only valid when detail option is ON (which is OFF by default)
-
- WARN: when in 'diet' mode, this API is irrelevant because the engine does not
- update @regs_write array.
-
- @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
- @reg_id: register that you want to check if this instruction modified it.
-
- @return: true if this instruction indeed implicitly modified aboved register, or false otherwise.
-*/
-CAPSTONE_EXPORT
-bool CAPSTONE_API cs_reg_write(csh handle, const cs_insn *insn, unsigned int reg_id);
-
-/*
- Count the number of operands of a given type.
- Find the operand type in header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
-
- NOTE: this API is only valid when detail option is ON (which is OFF by default)
-
- @handle: handle returned by cs_open()
- @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
- @op_type: Operand type to be found.
-
- @return: number of operands of given type @op_type in instruction @insn,
- or -1 on failure.
-*/
-CAPSTONE_EXPORT
-int CAPSTONE_API cs_op_count(csh handle, const cs_insn *insn, unsigned int op_type);
-
-/*
- Retrieve the position of operand of given type in <arch>.operands[] array.
- Later, the operand can be accessed using the returned position.
- Find the operand type in header file of corresponding architecture (arm.h for ARM, x86.h for X86, ...)
-
- NOTE: this API is only valid when detail option is ON (which is OFF by default)
-
- @handle: handle returned by cs_open()
- @insn: disassembled instruction structure received from cs_disasm() or cs_disasm_iter()
- @op_type: Operand type to be found.
- @position: position of the operand to be found. This must be in the range
-			[1, cs_op_count(handle, insn, op_type)]
-
- @return: index of operand of given type @op_type in <arch>.operands[] array
- in instruction @insn, or -1 on failure.
-*/
-CAPSTONE_EXPORT
-int CAPSTONE_API cs_op_index(csh handle, const cs_insn *insn, unsigned int op_type,
-		unsigned int position);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/mips.h 4.0.2-3/include/mips.h
--- 4.0.1+really+3.0.5-2/include/mips.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/mips.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,906 +0,0 @@
-#ifndef CAPSTONE_MIPS_H
-#define CAPSTONE_MIPS_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-// GCC MIPS toolchain has a default macro called "mips" which breaks
-// compilation
-#undef mips
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> Operand type for instruction's operands
-typedef enum mips_op_type {
-	MIPS_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	MIPS_OP_REG, // = CS_OP_REG (Register operand).
-	MIPS_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	MIPS_OP_MEM, // = CS_OP_MEM (Memory operand).
-} mips_op_type;
-
-// Instruction's operand referring to memory
-// This is associated with MIPS_OP_MEM operand type above
-typedef struct mips_op_mem {
-	unsigned int base;	// base register
-	int64_t disp;	// displacement/offset value
-} mips_op_mem;
-
-// Instruction operand
-typedef struct cs_mips_op {
-	mips_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG operand
-		int64_t imm;		// immediate value for IMM operand
-		mips_op_mem mem;	// base/index/scale/disp value for MEM operand
-	};
-} cs_mips_op;
-
-// Instruction structure
-typedef struct cs_mips {
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-	cs_mips_op operands[8]; // operands for this instruction.
-} cs_mips;
-
-//> MIPS registers
-typedef enum mips_reg {
-	MIPS_REG_INVALID = 0,
-	//> General purpose registers
-	MIPS_REG_0,
-	MIPS_REG_1,
-	MIPS_REG_2,
-	MIPS_REG_3,
-	MIPS_REG_4,
-	MIPS_REG_5,
-	MIPS_REG_6,
-	MIPS_REG_7,
-	MIPS_REG_8,
-	MIPS_REG_9,
-	MIPS_REG_10,
-	MIPS_REG_11,
-	MIPS_REG_12,
-	MIPS_REG_13,
-	MIPS_REG_14,
-	MIPS_REG_15,
-	MIPS_REG_16,
-	MIPS_REG_17,
-	MIPS_REG_18,
-	MIPS_REG_19,
-	MIPS_REG_20,
-	MIPS_REG_21,
-	MIPS_REG_22,
-	MIPS_REG_23,
-	MIPS_REG_24,
-	MIPS_REG_25,
-	MIPS_REG_26,
-	MIPS_REG_27,
-	MIPS_REG_28,
-	MIPS_REG_29,
-	MIPS_REG_30,
-	MIPS_REG_31,
-
-	//> DSP registers
-	MIPS_REG_DSPCCOND,
-	MIPS_REG_DSPCARRY,
-	MIPS_REG_DSPEFI,
-	MIPS_REG_DSPOUTFLAG,
-	MIPS_REG_DSPOUTFLAG16_19,
-	MIPS_REG_DSPOUTFLAG20,
-	MIPS_REG_DSPOUTFLAG21,
-	MIPS_REG_DSPOUTFLAG22,
-	MIPS_REG_DSPOUTFLAG23,
-	MIPS_REG_DSPPOS,
-	MIPS_REG_DSPSCOUNT,
-
-	//> ACC registers
-	MIPS_REG_AC0,
-	MIPS_REG_AC1,
-	MIPS_REG_AC2,
-	MIPS_REG_AC3,
-
-	//> COP registers
-	MIPS_REG_CC0,
-	MIPS_REG_CC1,
-	MIPS_REG_CC2,
-	MIPS_REG_CC3,
-	MIPS_REG_CC4,
-	MIPS_REG_CC5,
-	MIPS_REG_CC6,
-	MIPS_REG_CC7,
-
-	//> FPU registers
-	MIPS_REG_F0,
-	MIPS_REG_F1,
-	MIPS_REG_F2,
-	MIPS_REG_F3,
-	MIPS_REG_F4,
-	MIPS_REG_F5,
-	MIPS_REG_F6,
-	MIPS_REG_F7,
-	MIPS_REG_F8,
-	MIPS_REG_F9,
-	MIPS_REG_F10,
-	MIPS_REG_F11,
-	MIPS_REG_F12,
-	MIPS_REG_F13,
-	MIPS_REG_F14,
-	MIPS_REG_F15,
-	MIPS_REG_F16,
-	MIPS_REG_F17,
-	MIPS_REG_F18,
-	MIPS_REG_F19,
-	MIPS_REG_F20,
-	MIPS_REG_F21,
-	MIPS_REG_F22,
-	MIPS_REG_F23,
-	MIPS_REG_F24,
-	MIPS_REG_F25,
-	MIPS_REG_F26,
-	MIPS_REG_F27,
-	MIPS_REG_F28,
-	MIPS_REG_F29,
-	MIPS_REG_F30,
-	MIPS_REG_F31,
-
-	MIPS_REG_FCC0,
-	MIPS_REG_FCC1,
-	MIPS_REG_FCC2,
-	MIPS_REG_FCC3,
-	MIPS_REG_FCC4,
-	MIPS_REG_FCC5,
-	MIPS_REG_FCC6,
-	MIPS_REG_FCC7,
-
-	//> AFPR128
-	MIPS_REG_W0,
-	MIPS_REG_W1,
-	MIPS_REG_W2,
-	MIPS_REG_W3,
-	MIPS_REG_W4,
-	MIPS_REG_W5,
-	MIPS_REG_W6,
-	MIPS_REG_W7,
-	MIPS_REG_W8,
-	MIPS_REG_W9,
-	MIPS_REG_W10,
-	MIPS_REG_W11,
-	MIPS_REG_W12,
-	MIPS_REG_W13,
-	MIPS_REG_W14,
-	MIPS_REG_W15,
-	MIPS_REG_W16,
-	MIPS_REG_W17,
-	MIPS_REG_W18,
-	MIPS_REG_W19,
-	MIPS_REG_W20,
-	MIPS_REG_W21,
-	MIPS_REG_W22,
-	MIPS_REG_W23,
-	MIPS_REG_W24,
-	MIPS_REG_W25,
-	MIPS_REG_W26,
-	MIPS_REG_W27,
-	MIPS_REG_W28,
-	MIPS_REG_W29,
-	MIPS_REG_W30,
-	MIPS_REG_W31,
-
-	MIPS_REG_HI,
-	MIPS_REG_LO,
-
-	MIPS_REG_P0,
-	MIPS_REG_P1,
-	MIPS_REG_P2,
-
-	MIPS_REG_MPL0,
-	MIPS_REG_MPL1,
-	MIPS_REG_MPL2,
-
-	MIPS_REG_ENDING,	// <-- mark the end of the list or registers
-
-	// alias registers
-	MIPS_REG_ZERO = MIPS_REG_0,
-	MIPS_REG_AT = MIPS_REG_1,
-	MIPS_REG_V0 = MIPS_REG_2,
-	MIPS_REG_V1 = MIPS_REG_3,
-	MIPS_REG_A0 = MIPS_REG_4,
-	MIPS_REG_A1 = MIPS_REG_5,
-	MIPS_REG_A2 = MIPS_REG_6,
-	MIPS_REG_A3 = MIPS_REG_7,
-	MIPS_REG_T0 = MIPS_REG_8,
-	MIPS_REG_T1 = MIPS_REG_9,
-	MIPS_REG_T2 = MIPS_REG_10,
-	MIPS_REG_T3 = MIPS_REG_11,
-	MIPS_REG_T4 = MIPS_REG_12,
-	MIPS_REG_T5 = MIPS_REG_13,
-	MIPS_REG_T6 = MIPS_REG_14,
-	MIPS_REG_T7 = MIPS_REG_15,
-	MIPS_REG_S0 = MIPS_REG_16,
-	MIPS_REG_S1 = MIPS_REG_17,
-	MIPS_REG_S2 = MIPS_REG_18,
-	MIPS_REG_S3 = MIPS_REG_19,
-	MIPS_REG_S4 = MIPS_REG_20,
-	MIPS_REG_S5 = MIPS_REG_21,
-	MIPS_REG_S6 = MIPS_REG_22,
-	MIPS_REG_S7 = MIPS_REG_23,
-	MIPS_REG_T8 = MIPS_REG_24,
-	MIPS_REG_T9 = MIPS_REG_25,
-	MIPS_REG_K0 = MIPS_REG_26,
-	MIPS_REG_K1 = MIPS_REG_27,
-	MIPS_REG_GP = MIPS_REG_28,
-	MIPS_REG_SP = MIPS_REG_29,
-	MIPS_REG_FP = MIPS_REG_30, MIPS_REG_S8 = MIPS_REG_30,
-	MIPS_REG_RA = MIPS_REG_31,
-
-	MIPS_REG_HI0 = MIPS_REG_AC0,
-	MIPS_REG_HI1 = MIPS_REG_AC1,
-	MIPS_REG_HI2 = MIPS_REG_AC2,
-	MIPS_REG_HI3 = MIPS_REG_AC3,
-
-	MIPS_REG_LO0 = MIPS_REG_HI0,
-	MIPS_REG_LO1 = MIPS_REG_HI1,
-	MIPS_REG_LO2 = MIPS_REG_HI2,
-	MIPS_REG_LO3 = MIPS_REG_HI3,
-} mips_reg;
-
-//> MIPS instruction
-typedef enum mips_insn {
-	MIPS_INS_INVALID = 0,
-
-	MIPS_INS_ABSQ_S,
-	MIPS_INS_ADD,
-	MIPS_INS_ADDIUPC,
-	MIPS_INS_ADDQH,
-	MIPS_INS_ADDQH_R,
-	MIPS_INS_ADDQ,
-	MIPS_INS_ADDQ_S,
-	MIPS_INS_ADDSC,
-	MIPS_INS_ADDS_A,
-	MIPS_INS_ADDS_S,
-	MIPS_INS_ADDS_U,
-	MIPS_INS_ADDUH,
-	MIPS_INS_ADDUH_R,
-	MIPS_INS_ADDU,
-	MIPS_INS_ADDU_S,
-	MIPS_INS_ADDVI,
-	MIPS_INS_ADDV,
-	MIPS_INS_ADDWC,
-	MIPS_INS_ADD_A,
-	MIPS_INS_ADDI,
-	MIPS_INS_ADDIU,
-	MIPS_INS_ALIGN,
-	MIPS_INS_ALUIPC,
-	MIPS_INS_AND,
-	MIPS_INS_ANDI,
-	MIPS_INS_APPEND,
-	MIPS_INS_ASUB_S,
-	MIPS_INS_ASUB_U,
-	MIPS_INS_AUI,
-	MIPS_INS_AUIPC,
-	MIPS_INS_AVER_S,
-	MIPS_INS_AVER_U,
-	MIPS_INS_AVE_S,
-	MIPS_INS_AVE_U,
-	MIPS_INS_BADDU,
-	MIPS_INS_BAL,
-	MIPS_INS_BALC,
-	MIPS_INS_BALIGN,
-	MIPS_INS_BC,
-	MIPS_INS_BC0F,
-	MIPS_INS_BC0FL,
-	MIPS_INS_BC0T,
-	MIPS_INS_BC0TL,
-	MIPS_INS_BC1EQZ,
-	MIPS_INS_BC1F,
-	MIPS_INS_BC1FL,
-	MIPS_INS_BC1NEZ,
-	MIPS_INS_BC1T,
-	MIPS_INS_BC1TL,
-	MIPS_INS_BC2EQZ,
-	MIPS_INS_BC2F,
-	MIPS_INS_BC2FL,
-	MIPS_INS_BC2NEZ,
-	MIPS_INS_BC2T,
-	MIPS_INS_BC2TL,
-	MIPS_INS_BC3F,
-	MIPS_INS_BC3FL,
-	MIPS_INS_BC3T,
-	MIPS_INS_BC3TL,
-	MIPS_INS_BCLRI,
-	MIPS_INS_BCLR,
-	MIPS_INS_BEQ,
-	MIPS_INS_BEQC,
-	MIPS_INS_BEQL,
-	MIPS_INS_BEQZALC,
-	MIPS_INS_BEQZC,
-	MIPS_INS_BGEC,
-	MIPS_INS_BGEUC,
-	MIPS_INS_BGEZ,
-	MIPS_INS_BGEZAL,
-	MIPS_INS_BGEZALC,
-	MIPS_INS_BGEZALL,
-	MIPS_INS_BGEZALS,
-	MIPS_INS_BGEZC,
-	MIPS_INS_BGEZL,
-	MIPS_INS_BGTZ,
-	MIPS_INS_BGTZALC,
-	MIPS_INS_BGTZC,
-	MIPS_INS_BGTZL,
-	MIPS_INS_BINSLI,
-	MIPS_INS_BINSL,
-	MIPS_INS_BINSRI,
-	MIPS_INS_BINSR,
-	MIPS_INS_BITREV,
-	MIPS_INS_BITSWAP,
-	MIPS_INS_BLEZ,
-	MIPS_INS_BLEZALC,
-	MIPS_INS_BLEZC,
-	MIPS_INS_BLEZL,
-	MIPS_INS_BLTC,
-	MIPS_INS_BLTUC,
-	MIPS_INS_BLTZ,
-	MIPS_INS_BLTZAL,
-	MIPS_INS_BLTZALC,
-	MIPS_INS_BLTZALL,
-	MIPS_INS_BLTZALS,
-	MIPS_INS_BLTZC,
-	MIPS_INS_BLTZL,
-	MIPS_INS_BMNZI,
-	MIPS_INS_BMNZ,
-	MIPS_INS_BMZI,
-	MIPS_INS_BMZ,
-	MIPS_INS_BNE,
-	MIPS_INS_BNEC,
-	MIPS_INS_BNEGI,
-	MIPS_INS_BNEG,
-	MIPS_INS_BNEL,
-	MIPS_INS_BNEZALC,
-	MIPS_INS_BNEZC,
-	MIPS_INS_BNVC,
-	MIPS_INS_BNZ,
-	MIPS_INS_BOVC,
-	MIPS_INS_BPOSGE32,
-	MIPS_INS_BREAK,
-	MIPS_INS_BSELI,
-	MIPS_INS_BSEL,
-	MIPS_INS_BSETI,
-	MIPS_INS_BSET,
-	MIPS_INS_BZ,
-	MIPS_INS_BEQZ,
-	MIPS_INS_B,
-	MIPS_INS_BNEZ,
-	MIPS_INS_BTEQZ,
-	MIPS_INS_BTNEZ,
-	MIPS_INS_CACHE,
-	MIPS_INS_CEIL,
-	MIPS_INS_CEQI,
-	MIPS_INS_CEQ,
-	MIPS_INS_CFC1,
-	MIPS_INS_CFCMSA,
-	MIPS_INS_CINS,
-	MIPS_INS_CINS32,
-	MIPS_INS_CLASS,
-	MIPS_INS_CLEI_S,
-	MIPS_INS_CLEI_U,
-	MIPS_INS_CLE_S,
-	MIPS_INS_CLE_U,
-	MIPS_INS_CLO,
-	MIPS_INS_CLTI_S,
-	MIPS_INS_CLTI_U,
-	MIPS_INS_CLT_S,
-	MIPS_INS_CLT_U,
-	MIPS_INS_CLZ,
-	MIPS_INS_CMPGDU,
-	MIPS_INS_CMPGU,
-	MIPS_INS_CMPU,
-	MIPS_INS_CMP,
-	MIPS_INS_COPY_S,
-	MIPS_INS_COPY_U,
-	MIPS_INS_CTC1,
-	MIPS_INS_CTCMSA,
-	MIPS_INS_CVT,
-	MIPS_INS_C,
-	MIPS_INS_CMPI,
-	MIPS_INS_DADD,
-	MIPS_INS_DADDI,
-	MIPS_INS_DADDIU,
-	MIPS_INS_DADDU,
-	MIPS_INS_DAHI,
-	MIPS_INS_DALIGN,
-	MIPS_INS_DATI,
-	MIPS_INS_DAUI,
-	MIPS_INS_DBITSWAP,
-	MIPS_INS_DCLO,
-	MIPS_INS_DCLZ,
-	MIPS_INS_DDIV,
-	MIPS_INS_DDIVU,
-	MIPS_INS_DERET,
-	MIPS_INS_DEXT,
-	MIPS_INS_DEXTM,
-	MIPS_INS_DEXTU,
-	MIPS_INS_DI,
-	MIPS_INS_DINS,
-	MIPS_INS_DINSM,
-	MIPS_INS_DINSU,
-	MIPS_INS_DIV,
-	MIPS_INS_DIVU,
-	MIPS_INS_DIV_S,
-	MIPS_INS_DIV_U,
-	MIPS_INS_DLSA,
-	MIPS_INS_DMFC0,
-	MIPS_INS_DMFC1,
-	MIPS_INS_DMFC2,
-	MIPS_INS_DMOD,
-	MIPS_INS_DMODU,
-	MIPS_INS_DMTC0,
-	MIPS_INS_DMTC1,
-	MIPS_INS_DMTC2,
-	MIPS_INS_DMUH,
-	MIPS_INS_DMUHU,
-	MIPS_INS_DMUL,
-	MIPS_INS_DMULT,
-	MIPS_INS_DMULTU,
-	MIPS_INS_DMULU,
-	MIPS_INS_DOTP_S,
-	MIPS_INS_DOTP_U,
-	MIPS_INS_DPADD_S,
-	MIPS_INS_DPADD_U,
-	MIPS_INS_DPAQX_SA,
-	MIPS_INS_DPAQX_S,
-	MIPS_INS_DPAQ_SA,
-	MIPS_INS_DPAQ_S,
-	MIPS_INS_DPAU,
-	MIPS_INS_DPAX,
-	MIPS_INS_DPA,
-	MIPS_INS_DPOP,
-	MIPS_INS_DPSQX_SA,
-	MIPS_INS_DPSQX_S,
-	MIPS_INS_DPSQ_SA,
-	MIPS_INS_DPSQ_S,
-	MIPS_INS_DPSUB_S,
-	MIPS_INS_DPSUB_U,
-	MIPS_INS_DPSU,
-	MIPS_INS_DPSX,
-	MIPS_INS_DPS,
-	MIPS_INS_DROTR,
-	MIPS_INS_DROTR32,
-	MIPS_INS_DROTRV,
-	MIPS_INS_DSBH,
-	MIPS_INS_DSHD,
-	MIPS_INS_DSLL,
-	MIPS_INS_DSLL32,
-	MIPS_INS_DSLLV,
-	MIPS_INS_DSRA,
-	MIPS_INS_DSRA32,
-	MIPS_INS_DSRAV,
-	MIPS_INS_DSRL,
-	MIPS_INS_DSRL32,
-	MIPS_INS_DSRLV,
-	MIPS_INS_DSUB,
-	MIPS_INS_DSUBU,
-	MIPS_INS_EHB,
-	MIPS_INS_EI,
-	MIPS_INS_ERET,
-	MIPS_INS_EXT,
-	MIPS_INS_EXTP,
-	MIPS_INS_EXTPDP,
-	MIPS_INS_EXTPDPV,
-	MIPS_INS_EXTPV,
-	MIPS_INS_EXTRV_RS,
-	MIPS_INS_EXTRV_R,
-	MIPS_INS_EXTRV_S,
-	MIPS_INS_EXTRV,
-	MIPS_INS_EXTR_RS,
-	MIPS_INS_EXTR_R,
-	MIPS_INS_EXTR_S,
-	MIPS_INS_EXTR,
-	MIPS_INS_EXTS,
-	MIPS_INS_EXTS32,
-	MIPS_INS_ABS,
-	MIPS_INS_FADD,
-	MIPS_INS_FCAF,
-	MIPS_INS_FCEQ,
-	MIPS_INS_FCLASS,
-	MIPS_INS_FCLE,
-	MIPS_INS_FCLT,
-	MIPS_INS_FCNE,
-	MIPS_INS_FCOR,
-	MIPS_INS_FCUEQ,
-	MIPS_INS_FCULE,
-	MIPS_INS_FCULT,
-	MIPS_INS_FCUNE,
-	MIPS_INS_FCUN,
-	MIPS_INS_FDIV,
-	MIPS_INS_FEXDO,
-	MIPS_INS_FEXP2,
-	MIPS_INS_FEXUPL,
-	MIPS_INS_FEXUPR,
-	MIPS_INS_FFINT_S,
-	MIPS_INS_FFINT_U,
-	MIPS_INS_FFQL,
-	MIPS_INS_FFQR,
-	MIPS_INS_FILL,
-	MIPS_INS_FLOG2,
-	MIPS_INS_FLOOR,
-	MIPS_INS_FMADD,
-	MIPS_INS_FMAX_A,
-	MIPS_INS_FMAX,
-	MIPS_INS_FMIN_A,
-	MIPS_INS_FMIN,
-	MIPS_INS_MOV,
-	MIPS_INS_FMSUB,
-	MIPS_INS_FMUL,
-	MIPS_INS_MUL,
-	MIPS_INS_NEG,
-	MIPS_INS_FRCP,
-	MIPS_INS_FRINT,
-	MIPS_INS_FRSQRT,
-	MIPS_INS_FSAF,
-	MIPS_INS_FSEQ,
-	MIPS_INS_FSLE,
-	MIPS_INS_FSLT,
-	MIPS_INS_FSNE,
-	MIPS_INS_FSOR,
-	MIPS_INS_FSQRT,
-	MIPS_INS_SQRT,
-	MIPS_INS_FSUB,
-	MIPS_INS_SUB,
-	MIPS_INS_FSUEQ,
-	MIPS_INS_FSULE,
-	MIPS_INS_FSULT,
-	MIPS_INS_FSUNE,
-	MIPS_INS_FSUN,
-	MIPS_INS_FTINT_S,
-	MIPS_INS_FTINT_U,
-	MIPS_INS_FTQ,
-	MIPS_INS_FTRUNC_S,
-	MIPS_INS_FTRUNC_U,
-	MIPS_INS_HADD_S,
-	MIPS_INS_HADD_U,
-	MIPS_INS_HSUB_S,
-	MIPS_INS_HSUB_U,
-	MIPS_INS_ILVEV,
-	MIPS_INS_ILVL,
-	MIPS_INS_ILVOD,
-	MIPS_INS_ILVR,
-	MIPS_INS_INS,
-	MIPS_INS_INSERT,
-	MIPS_INS_INSV,
-	MIPS_INS_INSVE,
-	MIPS_INS_J,
-	MIPS_INS_JAL,
-	MIPS_INS_JALR,
-	MIPS_INS_JALRS,
-	MIPS_INS_JALS,
-	MIPS_INS_JALX,
-	MIPS_INS_JIALC,
-	MIPS_INS_JIC,
-	MIPS_INS_JR,
-	MIPS_INS_JRADDIUSP,
-	MIPS_INS_JRC,
-	MIPS_INS_JALRC,
-	MIPS_INS_LB,
-	MIPS_INS_LBUX,
-	MIPS_INS_LBU,
-	MIPS_INS_LD,
-	MIPS_INS_LDC1,
-	MIPS_INS_LDC2,
-	MIPS_INS_LDC3,
-	MIPS_INS_LDI,
-	MIPS_INS_LDL,
-	MIPS_INS_LDPC,
-	MIPS_INS_LDR,
-	MIPS_INS_LDXC1,
-	MIPS_INS_LH,
-	MIPS_INS_LHX,
-	MIPS_INS_LHU,
-	MIPS_INS_LL,
-	MIPS_INS_LLD,
-	MIPS_INS_LSA,
-	MIPS_INS_LUXC1,
-	MIPS_INS_LUI,
-	MIPS_INS_LW,
-	MIPS_INS_LWC1,
-	MIPS_INS_LWC2,
-	MIPS_INS_LWC3,
-	MIPS_INS_LWL,
-	MIPS_INS_LWPC,
-	MIPS_INS_LWR,
-	MIPS_INS_LWUPC,
-	MIPS_INS_LWU,
-	MIPS_INS_LWX,
-	MIPS_INS_LWXC1,
-	MIPS_INS_LI,
-	MIPS_INS_MADD,
-	MIPS_INS_MADDF,
-	MIPS_INS_MADDR_Q,
-	MIPS_INS_MADDU,
-	MIPS_INS_MADDV,
-	MIPS_INS_MADD_Q,
-	MIPS_INS_MAQ_SA,
-	MIPS_INS_MAQ_S,
-	MIPS_INS_MAXA,
-	MIPS_INS_MAXI_S,
-	MIPS_INS_MAXI_U,
-	MIPS_INS_MAX_A,
-	MIPS_INS_MAX,
-	MIPS_INS_MAX_S,
-	MIPS_INS_MAX_U,
-	MIPS_INS_MFC0,
-	MIPS_INS_MFC1,
-	MIPS_INS_MFC2,
-	MIPS_INS_MFHC1,
-	MIPS_INS_MFHI,
-	MIPS_INS_MFLO,
-	MIPS_INS_MINA,
-	MIPS_INS_MINI_S,
-	MIPS_INS_MINI_U,
-	MIPS_INS_MIN_A,
-	MIPS_INS_MIN,
-	MIPS_INS_MIN_S,
-	MIPS_INS_MIN_U,
-	MIPS_INS_MOD,
-	MIPS_INS_MODSUB,
-	MIPS_INS_MODU,
-	MIPS_INS_MOD_S,
-	MIPS_INS_MOD_U,
-	MIPS_INS_MOVE,
-	MIPS_INS_MOVF,
-	MIPS_INS_MOVN,
-	MIPS_INS_MOVT,
-	MIPS_INS_MOVZ,
-	MIPS_INS_MSUB,
-	MIPS_INS_MSUBF,
-	MIPS_INS_MSUBR_Q,
-	MIPS_INS_MSUBU,
-	MIPS_INS_MSUBV,
-	MIPS_INS_MSUB_Q,
-	MIPS_INS_MTC0,
-	MIPS_INS_MTC1,
-	MIPS_INS_MTC2,
-	MIPS_INS_MTHC1,
-	MIPS_INS_MTHI,
-	MIPS_INS_MTHLIP,
-	MIPS_INS_MTLO,
-	MIPS_INS_MTM0,
-	MIPS_INS_MTM1,
-	MIPS_INS_MTM2,
-	MIPS_INS_MTP0,
-	MIPS_INS_MTP1,
-	MIPS_INS_MTP2,
-	MIPS_INS_MUH,
-	MIPS_INS_MUHU,
-	MIPS_INS_MULEQ_S,
-	MIPS_INS_MULEU_S,
-	MIPS_INS_MULQ_RS,
-	MIPS_INS_MULQ_S,
-	MIPS_INS_MULR_Q,
-	MIPS_INS_MULSAQ_S,
-	MIPS_INS_MULSA,
-	MIPS_INS_MULT,
-	MIPS_INS_MULTU,
-	MIPS_INS_MULU,
-	MIPS_INS_MULV,
-	MIPS_INS_MUL_Q,
-	MIPS_INS_MUL_S,
-	MIPS_INS_NLOC,
-	MIPS_INS_NLZC,
-	MIPS_INS_NMADD,
-	MIPS_INS_NMSUB,
-	MIPS_INS_NOR,
-	MIPS_INS_NORI,
-	MIPS_INS_NOT,
-	MIPS_INS_OR,
-	MIPS_INS_ORI,
-	MIPS_INS_PACKRL,
-	MIPS_INS_PAUSE,
-	MIPS_INS_PCKEV,
-	MIPS_INS_PCKOD,
-	MIPS_INS_PCNT,
-	MIPS_INS_PICK,
-	MIPS_INS_POP,
-	MIPS_INS_PRECEQU,
-	MIPS_INS_PRECEQ,
-	MIPS_INS_PRECEU,
-	MIPS_INS_PRECRQU_S,
-	MIPS_INS_PRECRQ,
-	MIPS_INS_PRECRQ_RS,
-	MIPS_INS_PRECR,
-	MIPS_INS_PRECR_SRA,
-	MIPS_INS_PRECR_SRA_R,
-	MIPS_INS_PREF,
-	MIPS_INS_PREPEND,
-	MIPS_INS_RADDU,
-	MIPS_INS_RDDSP,
-	MIPS_INS_RDHWR,
-	MIPS_INS_REPLV,
-	MIPS_INS_REPL,
-	MIPS_INS_RINT,
-	MIPS_INS_ROTR,
-	MIPS_INS_ROTRV,
-	MIPS_INS_ROUND,
-	MIPS_INS_SAT_S,
-	MIPS_INS_SAT_U,
-	MIPS_INS_SB,
-	MIPS_INS_SC,
-	MIPS_INS_SCD,
-	MIPS_INS_SD,
-	MIPS_INS_SDBBP,
-	MIPS_INS_SDC1,
-	MIPS_INS_SDC2,
-	MIPS_INS_SDC3,
-	MIPS_INS_SDL,
-	MIPS_INS_SDR,
-	MIPS_INS_SDXC1,
-	MIPS_INS_SEB,
-	MIPS_INS_SEH,
-	MIPS_INS_SELEQZ,
-	MIPS_INS_SELNEZ,
-	MIPS_INS_SEL,
-	MIPS_INS_SEQ,
-	MIPS_INS_SEQI,
-	MIPS_INS_SH,
-	MIPS_INS_SHF,
-	MIPS_INS_SHILO,
-	MIPS_INS_SHILOV,
-	MIPS_INS_SHLLV,
-	MIPS_INS_SHLLV_S,
-	MIPS_INS_SHLL,
-	MIPS_INS_SHLL_S,
-	MIPS_INS_SHRAV,
-	MIPS_INS_SHRAV_R,
-	MIPS_INS_SHRA,
-	MIPS_INS_SHRA_R,
-	MIPS_INS_SHRLV,
-	MIPS_INS_SHRL,
-	MIPS_INS_SLDI,
-	MIPS_INS_SLD,
-	MIPS_INS_SLL,
-	MIPS_INS_SLLI,
-	MIPS_INS_SLLV,
-	MIPS_INS_SLT,
-	MIPS_INS_SLTI,
-	MIPS_INS_SLTIU,
-	MIPS_INS_SLTU,
-	MIPS_INS_SNE,
-	MIPS_INS_SNEI,
-	MIPS_INS_SPLATI,
-	MIPS_INS_SPLAT,
-	MIPS_INS_SRA,
-	MIPS_INS_SRAI,
-	MIPS_INS_SRARI,
-	MIPS_INS_SRAR,
-	MIPS_INS_SRAV,
-	MIPS_INS_SRL,
-	MIPS_INS_SRLI,
-	MIPS_INS_SRLRI,
-	MIPS_INS_SRLR,
-	MIPS_INS_SRLV,
-	MIPS_INS_SSNOP,
-	MIPS_INS_ST,
-	MIPS_INS_SUBQH,
-	MIPS_INS_SUBQH_R,
-	MIPS_INS_SUBQ,
-	MIPS_INS_SUBQ_S,
-	MIPS_INS_SUBSUS_U,
-	MIPS_INS_SUBSUU_S,
-	MIPS_INS_SUBS_S,
-	MIPS_INS_SUBS_U,
-	MIPS_INS_SUBUH,
-	MIPS_INS_SUBUH_R,
-	MIPS_INS_SUBU,
-	MIPS_INS_SUBU_S,
-	MIPS_INS_SUBVI,
-	MIPS_INS_SUBV,
-	MIPS_INS_SUXC1,
-	MIPS_INS_SW,
-	MIPS_INS_SWC1,
-	MIPS_INS_SWC2,
-	MIPS_INS_SWC3,
-	MIPS_INS_SWL,
-	MIPS_INS_SWR,
-	MIPS_INS_SWXC1,
-	MIPS_INS_SYNC,
-	MIPS_INS_SYSCALL,
-	MIPS_INS_TEQ,
-	MIPS_INS_TEQI,
-	MIPS_INS_TGE,
-	MIPS_INS_TGEI,
-	MIPS_INS_TGEIU,
-	MIPS_INS_TGEU,
-	MIPS_INS_TLBP,
-	MIPS_INS_TLBR,
-	MIPS_INS_TLBWI,
-	MIPS_INS_TLBWR,
-	MIPS_INS_TLT,
-	MIPS_INS_TLTI,
-	MIPS_INS_TLTIU,
-	MIPS_INS_TLTU,
-	MIPS_INS_TNE,
-	MIPS_INS_TNEI,
-	MIPS_INS_TRUNC,
-	MIPS_INS_V3MULU,
-	MIPS_INS_VMM0,
-	MIPS_INS_VMULU,
-	MIPS_INS_VSHF,
-	MIPS_INS_WAIT,
-	MIPS_INS_WRDSP,
-	MIPS_INS_WSBH,
-	MIPS_INS_XOR,
-	MIPS_INS_XORI,
-
-	//> some alias instructions
-	MIPS_INS_NOP,
-	MIPS_INS_NEGU,
-
-	//> special instructions
-	MIPS_INS_JALR_HB,	// jump and link with Hazard Barrier
-	MIPS_INS_JR_HB,		// jump register with Hazard Barrier
-
-	MIPS_INS_ENDING,
-} mips_insn;
-
-//> Group of MIPS instructions
-typedef enum mips_insn_group {
-	MIPS_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	MIPS_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	MIPS_GRP_BITCOUNT = 128,
-	MIPS_GRP_DSP,
-	MIPS_GRP_DSPR2,
-	MIPS_GRP_FPIDX,
-	MIPS_GRP_MSA,
-	MIPS_GRP_MIPS32R2,
-	MIPS_GRP_MIPS64,
-	MIPS_GRP_MIPS64R2,
-	MIPS_GRP_SEINREG,
-	MIPS_GRP_STDENC,
-	MIPS_GRP_SWAP,
-	MIPS_GRP_MICROMIPS,
-	MIPS_GRP_MIPS16MODE,
-	MIPS_GRP_FP64BIT,
-	MIPS_GRP_NONANSFPMATH,
-	MIPS_GRP_NOTFP64BIT,
-	MIPS_GRP_NOTINMICROMIPS,
-	MIPS_GRP_NOTNACL,
-	MIPS_GRP_NOTMIPS32R6,
-	MIPS_GRP_NOTMIPS64R6,
-	MIPS_GRP_CNMIPS,
-	MIPS_GRP_MIPS32,
-	MIPS_GRP_MIPS32R6,
-	MIPS_GRP_MIPS64R6,
-	MIPS_GRP_MIPS2,
-	MIPS_GRP_MIPS3,
-	MIPS_GRP_MIPS3_32,
-	MIPS_GRP_MIPS3_32R2,
-	MIPS_GRP_MIPS4_32,
-	MIPS_GRP_MIPS4_32R2,
-	MIPS_GRP_MIPS5_32R2,
-	MIPS_GRP_GP32BIT,
-	MIPS_GRP_GP64BIT,
-
-	MIPS_GRP_ENDING,
-} mips_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/ppc.h 4.0.2-3/include/ppc.h
--- 4.0.1+really+3.0.5-2/include/ppc.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/ppc.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,1254 +0,0 @@
-#ifndef CAPSTONE_PPC_H
-#define CAPSTONE_PPC_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> PPC branch codes for some branch instructions
-typedef enum ppc_bc {
-	PPC_BC_INVALID  = 0,
-	PPC_BC_LT       = (0 << 5) | 12,
-	PPC_BC_LE       = (1 << 5) |  4,
-	PPC_BC_EQ       = (2 << 5) | 12,
-	PPC_BC_GE       = (0 << 5) |  4,
-	PPC_BC_GT       = (1 << 5) | 12,
-	PPC_BC_NE       = (2 << 5) |  4,
-	PPC_BC_UN       = (3 << 5) | 12,
-	PPC_BC_NU       = (3 << 5) |  4,
-
-	// extra conditions
-	PPC_BC_SO = (4 << 5) | 12,	// summary overflow
-	PPC_BC_NS = (4 << 5) | 4,	// not summary overflow
-} ppc_bc;
-
-//> PPC branch hint for some branch instructions
-typedef enum ppc_bh {
-	PPC_BH_INVALID = 0,	// no hint
-	PPC_BH_PLUS,	// PLUS hint
-	PPC_BH_MINUS,	// MINUS hint
-} ppc_bh;
-
-//> PPC registers
-typedef enum ppc_reg {
-	PPC_REG_INVALID = 0,
-
-	PPC_REG_CARRY,
-	PPC_REG_CC,
-	PPC_REG_CR0,
-	PPC_REG_CR1,
-	PPC_REG_CR2,
-	PPC_REG_CR3,
-	PPC_REG_CR4,
-	PPC_REG_CR5,
-	PPC_REG_CR6,
-	PPC_REG_CR7,
-	PPC_REG_CTR,
-	PPC_REG_F0,
-	PPC_REG_F1,
-	PPC_REG_F2,
-	PPC_REG_F3,
-	PPC_REG_F4,
-	PPC_REG_F5,
-	PPC_REG_F6,
-	PPC_REG_F7,
-	PPC_REG_F8,
-	PPC_REG_F9,
-	PPC_REG_F10,
-	PPC_REG_F11,
-	PPC_REG_F12,
-	PPC_REG_F13,
-	PPC_REG_F14,
-	PPC_REG_F15,
-	PPC_REG_F16,
-	PPC_REG_F17,
-	PPC_REG_F18,
-	PPC_REG_F19,
-	PPC_REG_F20,
-	PPC_REG_F21,
-	PPC_REG_F22,
-	PPC_REG_F23,
-	PPC_REG_F24,
-	PPC_REG_F25,
-	PPC_REG_F26,
-	PPC_REG_F27,
-	PPC_REG_F28,
-	PPC_REG_F29,
-	PPC_REG_F30,
-	PPC_REG_F31,
-	PPC_REG_LR,
-	PPC_REG_R0,
-	PPC_REG_R1,
-	PPC_REG_R2,
-	PPC_REG_R3,
-	PPC_REG_R4,
-	PPC_REG_R5,
-	PPC_REG_R6,
-	PPC_REG_R7,
-	PPC_REG_R8,
-	PPC_REG_R9,
-	PPC_REG_R10,
-	PPC_REG_R11,
-	PPC_REG_R12,
-	PPC_REG_R13,
-	PPC_REG_R14,
-	PPC_REG_R15,
-	PPC_REG_R16,
-	PPC_REG_R17,
-	PPC_REG_R18,
-	PPC_REG_R19,
-	PPC_REG_R20,
-	PPC_REG_R21,
-	PPC_REG_R22,
-	PPC_REG_R23,
-	PPC_REG_R24,
-	PPC_REG_R25,
-	PPC_REG_R26,
-	PPC_REG_R27,
-	PPC_REG_R28,
-	PPC_REG_R29,
-	PPC_REG_R30,
-	PPC_REG_R31,
-	PPC_REG_V0,
-	PPC_REG_V1,
-	PPC_REG_V2,
-	PPC_REG_V3,
-	PPC_REG_V4,
-	PPC_REG_V5,
-	PPC_REG_V6,
-	PPC_REG_V7,
-	PPC_REG_V8,
-	PPC_REG_V9,
-	PPC_REG_V10,
-	PPC_REG_V11,
-	PPC_REG_V12,
-	PPC_REG_V13,
-	PPC_REG_V14,
-	PPC_REG_V15,
-	PPC_REG_V16,
-	PPC_REG_V17,
-	PPC_REG_V18,
-	PPC_REG_V19,
-	PPC_REG_V20,
-	PPC_REG_V21,
-	PPC_REG_V22,
-	PPC_REG_V23,
-	PPC_REG_V24,
-	PPC_REG_V25,
-	PPC_REG_V26,
-	PPC_REG_V27,
-	PPC_REG_V28,
-	PPC_REG_V29,
-	PPC_REG_V30,
-	PPC_REG_V31,
-	PPC_REG_VRSAVE,
-	PPC_REG_VS0,
-	PPC_REG_VS1,
-	PPC_REG_VS2,
-	PPC_REG_VS3,
-	PPC_REG_VS4,
-	PPC_REG_VS5,
-	PPC_REG_VS6,
-	PPC_REG_VS7,
-	PPC_REG_VS8,
-	PPC_REG_VS9,
-	PPC_REG_VS10,
-	PPC_REG_VS11,
-	PPC_REG_VS12,
-	PPC_REG_VS13,
-	PPC_REG_VS14,
-	PPC_REG_VS15,
-	PPC_REG_VS16,
-	PPC_REG_VS17,
-	PPC_REG_VS18,
-	PPC_REG_VS19,
-	PPC_REG_VS20,
-	PPC_REG_VS21,
-	PPC_REG_VS22,
-	PPC_REG_VS23,
-	PPC_REG_VS24,
-	PPC_REG_VS25,
-	PPC_REG_VS26,
-	PPC_REG_VS27,
-	PPC_REG_VS28,
-	PPC_REG_VS29,
-	PPC_REG_VS30,
-	PPC_REG_VS31,
-	PPC_REG_VS32,
-	PPC_REG_VS33,
-	PPC_REG_VS34,
-	PPC_REG_VS35,
-	PPC_REG_VS36,
-	PPC_REG_VS37,
-	PPC_REG_VS38,
-	PPC_REG_VS39,
-	PPC_REG_VS40,
-	PPC_REG_VS41,
-	PPC_REG_VS42,
-	PPC_REG_VS43,
-	PPC_REG_VS44,
-	PPC_REG_VS45,
-	PPC_REG_VS46,
-	PPC_REG_VS47,
-	PPC_REG_VS48,
-	PPC_REG_VS49,
-	PPC_REG_VS50,
-	PPC_REG_VS51,
-	PPC_REG_VS52,
-	PPC_REG_VS53,
-	PPC_REG_VS54,
-	PPC_REG_VS55,
-	PPC_REG_VS56,
-	PPC_REG_VS57,
-	PPC_REG_VS58,
-	PPC_REG_VS59,
-	PPC_REG_VS60,
-	PPC_REG_VS61,
-	PPC_REG_VS62,
-	PPC_REG_VS63,
-
-	// extra registers for PPCMapping.c
-	PPC_REG_RM,
-	PPC_REG_CTR8,
-	PPC_REG_LR8,
-	PPC_REG_CR1EQ,
-
-	PPC_REG_ENDING,   // <-- mark the end of the list of registers
-} ppc_reg;
-
-//> Operand type for instruction's operands
-typedef enum ppc_op_type {
-	PPC_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	PPC_OP_REG, // = CS_OP_REG (Register operand).
-	PPC_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	PPC_OP_MEM, // = CS_OP_MEM (Memory operand).
-	PPC_OP_CRX = 64,	// Condition Register field
-} ppc_op_type;
-
-// Instruction's operand referring to memory
-// This is associated with PPC_OP_MEM operand type above
-typedef struct ppc_op_mem {
-	ppc_reg base;	// base register
-	int32_t disp;	// displacement/offset value
-} ppc_op_mem;
-
-typedef struct ppc_op_crx {
-	unsigned int scale;
-	ppc_reg reg;
-	ppc_bc cond;
-} ppc_op_crx;
-
-// Instruction operand
-typedef struct cs_ppc_op {
-	ppc_op_type type;	// operand type
-	union {
-		ppc_reg reg;	// register value for REG operand
-		int32_t imm;		// immediate value for IMM operand
-		ppc_op_mem mem;		// base/disp value for MEM operand
-		ppc_op_crx crx;		// operand with condition register
-	};
-} cs_ppc_op;
-
-// Instruction structure
-typedef struct cs_ppc {
-	// branch code for branch instructions
-	ppc_bc bc;
-
-	// branch hint for branch instructions
-	ppc_bh bh;
-
-	// if update_cr0 = True, then this 'dot' insn updates CR0
-	bool update_cr0;
-
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-	cs_ppc_op operands[8]; // operands for this instruction.
-} cs_ppc;
-
-
-//> PPC instruction
-typedef enum ppc_insn {
-	PPC_INS_INVALID = 0,
-
-	PPC_INS_ADD,
-	PPC_INS_ADDC,
-	PPC_INS_ADDE,
-	PPC_INS_ADDI,
-	PPC_INS_ADDIC,
-	PPC_INS_ADDIS,
-	PPC_INS_ADDME,
-	PPC_INS_ADDZE,
-	PPC_INS_AND,
-	PPC_INS_ANDC,
-	PPC_INS_ANDIS,
-	PPC_INS_ANDI,
-	PPC_INS_B,
-	PPC_INS_BA,
-	PPC_INS_BC,
-	PPC_INS_BCCTR,
-	PPC_INS_BCCTRL,
-	PPC_INS_BCL,
-	PPC_INS_BCLR,
-	PPC_INS_BCLRL,
-	PPC_INS_BCTR,
-	PPC_INS_BCTRL,
-	PPC_INS_BDNZ,
-	PPC_INS_BDNZA,
-	PPC_INS_BDNZL,
-	PPC_INS_BDNZLA,
-	PPC_INS_BDNZLR,
-	PPC_INS_BDNZLRL,
-	PPC_INS_BDZ,
-	PPC_INS_BDZA,
-	PPC_INS_BDZL,
-	PPC_INS_BDZLA,
-	PPC_INS_BDZLR,
-	PPC_INS_BDZLRL,
-	PPC_INS_BL,
-	PPC_INS_BLA,
-	PPC_INS_BLR,
-	PPC_INS_BLRL,
-	PPC_INS_BRINC,
-	PPC_INS_CMPD,
-	PPC_INS_CMPDI,
-	PPC_INS_CMPLD,
-	PPC_INS_CMPLDI,
-	PPC_INS_CMPLW,
-	PPC_INS_CMPLWI,
-	PPC_INS_CMPW,
-	PPC_INS_CMPWI,
-	PPC_INS_CNTLZD,
-	PPC_INS_CNTLZW,
-	PPC_INS_CREQV,
-	PPC_INS_CRXOR,
-	PPC_INS_CRAND,
-	PPC_INS_CRANDC,
-	PPC_INS_CRNAND,
-	PPC_INS_CRNOR,
-	PPC_INS_CROR,
-	PPC_INS_CRORC,
-	PPC_INS_DCBA,
-	PPC_INS_DCBF,
-	PPC_INS_DCBI,
-	PPC_INS_DCBST,
-	PPC_INS_DCBT,
-	PPC_INS_DCBTST,
-	PPC_INS_DCBZ,
-	PPC_INS_DCBZL,
-	PPC_INS_DCCCI,
-	PPC_INS_DIVD,
-	PPC_INS_DIVDU,
-	PPC_INS_DIVW,
-	PPC_INS_DIVWU,
-	PPC_INS_DSS,
-	PPC_INS_DSSALL,
-	PPC_INS_DST,
-	PPC_INS_DSTST,
-	PPC_INS_DSTSTT,
-	PPC_INS_DSTT,
-	PPC_INS_EIEIO,
-	PPC_INS_EQV,
-	PPC_INS_EVABS,
-	PPC_INS_EVADDIW,
-	PPC_INS_EVADDSMIAAW,
-	PPC_INS_EVADDSSIAAW,
-	PPC_INS_EVADDUMIAAW,
-	PPC_INS_EVADDUSIAAW,
-	PPC_INS_EVADDW,
-	PPC_INS_EVAND,
-	PPC_INS_EVANDC,
-	PPC_INS_EVCMPEQ,
-	PPC_INS_EVCMPGTS,
-	PPC_INS_EVCMPGTU,
-	PPC_INS_EVCMPLTS,
-	PPC_INS_EVCMPLTU,
-	PPC_INS_EVCNTLSW,
-	PPC_INS_EVCNTLZW,
-	PPC_INS_EVDIVWS,
-	PPC_INS_EVDIVWU,
-	PPC_INS_EVEQV,
-	PPC_INS_EVEXTSB,
-	PPC_INS_EVEXTSH,
-	PPC_INS_EVLDD,
-	PPC_INS_EVLDDX,
-	PPC_INS_EVLDH,
-	PPC_INS_EVLDHX,
-	PPC_INS_EVLDW,
-	PPC_INS_EVLDWX,
-	PPC_INS_EVLHHESPLAT,
-	PPC_INS_EVLHHESPLATX,
-	PPC_INS_EVLHHOSSPLAT,
-	PPC_INS_EVLHHOSSPLATX,
-	PPC_INS_EVLHHOUSPLAT,
-	PPC_INS_EVLHHOUSPLATX,
-	PPC_INS_EVLWHE,
-	PPC_INS_EVLWHEX,
-	PPC_INS_EVLWHOS,
-	PPC_INS_EVLWHOSX,
-	PPC_INS_EVLWHOU,
-	PPC_INS_EVLWHOUX,
-	PPC_INS_EVLWHSPLAT,
-	PPC_INS_EVLWHSPLATX,
-	PPC_INS_EVLWWSPLAT,
-	PPC_INS_EVLWWSPLATX,
-	PPC_INS_EVMERGEHI,
-	PPC_INS_EVMERGEHILO,
-	PPC_INS_EVMERGELO,
-	PPC_INS_EVMERGELOHI,
-	PPC_INS_EVMHEGSMFAA,
-	PPC_INS_EVMHEGSMFAN,
-	PPC_INS_EVMHEGSMIAA,
-	PPC_INS_EVMHEGSMIAN,
-	PPC_INS_EVMHEGUMIAA,
-	PPC_INS_EVMHEGUMIAN,
-	PPC_INS_EVMHESMF,
-	PPC_INS_EVMHESMFA,
-	PPC_INS_EVMHESMFAAW,
-	PPC_INS_EVMHESMFANW,
-	PPC_INS_EVMHESMI,
-	PPC_INS_EVMHESMIA,
-	PPC_INS_EVMHESMIAAW,
-	PPC_INS_EVMHESMIANW,
-	PPC_INS_EVMHESSF,
-	PPC_INS_EVMHESSFA,
-	PPC_INS_EVMHESSFAAW,
-	PPC_INS_EVMHESSFANW,
-	PPC_INS_EVMHESSIAAW,
-	PPC_INS_EVMHESSIANW,
-	PPC_INS_EVMHEUMI,
-	PPC_INS_EVMHEUMIA,
-	PPC_INS_EVMHEUMIAAW,
-	PPC_INS_EVMHEUMIANW,
-	PPC_INS_EVMHEUSIAAW,
-	PPC_INS_EVMHEUSIANW,
-	PPC_INS_EVMHOGSMFAA,
-	PPC_INS_EVMHOGSMFAN,
-	PPC_INS_EVMHOGSMIAA,
-	PPC_INS_EVMHOGSMIAN,
-	PPC_INS_EVMHOGUMIAA,
-	PPC_INS_EVMHOGUMIAN,
-	PPC_INS_EVMHOSMF,
-	PPC_INS_EVMHOSMFA,
-	PPC_INS_EVMHOSMFAAW,
-	PPC_INS_EVMHOSMFANW,
-	PPC_INS_EVMHOSMI,
-	PPC_INS_EVMHOSMIA,
-	PPC_INS_EVMHOSMIAAW,
-	PPC_INS_EVMHOSMIANW,
-	PPC_INS_EVMHOSSF,
-	PPC_INS_EVMHOSSFA,
-	PPC_INS_EVMHOSSFAAW,
-	PPC_INS_EVMHOSSFANW,
-	PPC_INS_EVMHOSSIAAW,
-	PPC_INS_EVMHOSSIANW,
-	PPC_INS_EVMHOUMI,
-	PPC_INS_EVMHOUMIA,
-	PPC_INS_EVMHOUMIAAW,
-	PPC_INS_EVMHOUMIANW,
-	PPC_INS_EVMHOUSIAAW,
-	PPC_INS_EVMHOUSIANW,
-	PPC_INS_EVMRA,
-	PPC_INS_EVMWHSMF,
-	PPC_INS_EVMWHSMFA,
-	PPC_INS_EVMWHSMI,
-	PPC_INS_EVMWHSMIA,
-	PPC_INS_EVMWHSSF,
-	PPC_INS_EVMWHSSFA,
-	PPC_INS_EVMWHUMI,
-	PPC_INS_EVMWHUMIA,
-	PPC_INS_EVMWLSMIAAW,
-	PPC_INS_EVMWLSMIANW,
-	PPC_INS_EVMWLSSIAAW,
-	PPC_INS_EVMWLSSIANW,
-	PPC_INS_EVMWLUMI,
-	PPC_INS_EVMWLUMIA,
-	PPC_INS_EVMWLUMIAAW,
-	PPC_INS_EVMWLUMIANW,
-	PPC_INS_EVMWLUSIAAW,
-	PPC_INS_EVMWLUSIANW,
-	PPC_INS_EVMWSMF,
-	PPC_INS_EVMWSMFA,
-	PPC_INS_EVMWSMFAA,
-	PPC_INS_EVMWSMFAN,
-	PPC_INS_EVMWSMI,
-	PPC_INS_EVMWSMIA,
-	PPC_INS_EVMWSMIAA,
-	PPC_INS_EVMWSMIAN,
-	PPC_INS_EVMWSSF,
-	PPC_INS_EVMWSSFA,
-	PPC_INS_EVMWSSFAA,
-	PPC_INS_EVMWSSFAN,
-	PPC_INS_EVMWUMI,
-	PPC_INS_EVMWUMIA,
-	PPC_INS_EVMWUMIAA,
-	PPC_INS_EVMWUMIAN,
-	PPC_INS_EVNAND,
-	PPC_INS_EVNEG,
-	PPC_INS_EVNOR,
-	PPC_INS_EVOR,
-	PPC_INS_EVORC,
-	PPC_INS_EVRLW,
-	PPC_INS_EVRLWI,
-	PPC_INS_EVRNDW,
-	PPC_INS_EVSLW,
-	PPC_INS_EVSLWI,
-	PPC_INS_EVSPLATFI,
-	PPC_INS_EVSPLATI,
-	PPC_INS_EVSRWIS,
-	PPC_INS_EVSRWIU,
-	PPC_INS_EVSRWS,
-	PPC_INS_EVSRWU,
-	PPC_INS_EVSTDD,
-	PPC_INS_EVSTDDX,
-	PPC_INS_EVSTDH,
-	PPC_INS_EVSTDHX,
-	PPC_INS_EVSTDW,
-	PPC_INS_EVSTDWX,
-	PPC_INS_EVSTWHE,
-	PPC_INS_EVSTWHEX,
-	PPC_INS_EVSTWHO,
-	PPC_INS_EVSTWHOX,
-	PPC_INS_EVSTWWE,
-	PPC_INS_EVSTWWEX,
-	PPC_INS_EVSTWWO,
-	PPC_INS_EVSTWWOX,
-	PPC_INS_EVSUBFSMIAAW,
-	PPC_INS_EVSUBFSSIAAW,
-	PPC_INS_EVSUBFUMIAAW,
-	PPC_INS_EVSUBFUSIAAW,
-	PPC_INS_EVSUBFW,
-	PPC_INS_EVSUBIFW,
-	PPC_INS_EVXOR,
-	PPC_INS_EXTSB,
-	PPC_INS_EXTSH,
-	PPC_INS_EXTSW,
-	PPC_INS_FABS,
-	PPC_INS_FADD,
-	PPC_INS_FADDS,
-	PPC_INS_FCFID,
-	PPC_INS_FCFIDS,
-	PPC_INS_FCFIDU,
-	PPC_INS_FCFIDUS,
-	PPC_INS_FCMPU,
-	PPC_INS_FCPSGN,
-	PPC_INS_FCTID,
-	PPC_INS_FCTIDUZ,
-	PPC_INS_FCTIDZ,
-	PPC_INS_FCTIW,
-	PPC_INS_FCTIWUZ,
-	PPC_INS_FCTIWZ,
-	PPC_INS_FDIV,
-	PPC_INS_FDIVS,
-	PPC_INS_FMADD,
-	PPC_INS_FMADDS,
-	PPC_INS_FMR,
-	PPC_INS_FMSUB,
-	PPC_INS_FMSUBS,
-	PPC_INS_FMUL,
-	PPC_INS_FMULS,
-	PPC_INS_FNABS,
-	PPC_INS_FNEG,
-	PPC_INS_FNMADD,
-	PPC_INS_FNMADDS,
-	PPC_INS_FNMSUB,
-	PPC_INS_FNMSUBS,
-	PPC_INS_FRE,
-	PPC_INS_FRES,
-	PPC_INS_FRIM,
-	PPC_INS_FRIN,
-	PPC_INS_FRIP,
-	PPC_INS_FRIZ,
-	PPC_INS_FRSP,
-	PPC_INS_FRSQRTE,
-	PPC_INS_FRSQRTES,
-	PPC_INS_FSEL,
-	PPC_INS_FSQRT,
-	PPC_INS_FSQRTS,
-	PPC_INS_FSUB,
-	PPC_INS_FSUBS,
-	PPC_INS_ICBI,
-	PPC_INS_ICCCI,
-	PPC_INS_ISEL,
-	PPC_INS_ISYNC,
-	PPC_INS_LA,
-	PPC_INS_LBZ,
-	PPC_INS_LBZU,
-	PPC_INS_LBZUX,
-	PPC_INS_LBZX,
-	PPC_INS_LD,
-	PPC_INS_LDARX,
-	PPC_INS_LDBRX,
-	PPC_INS_LDU,
-	PPC_INS_LDUX,
-	PPC_INS_LDX,
-	PPC_INS_LFD,
-	PPC_INS_LFDU,
-	PPC_INS_LFDUX,
-	PPC_INS_LFDX,
-	PPC_INS_LFIWAX,
-	PPC_INS_LFIWZX,
-	PPC_INS_LFS,
-	PPC_INS_LFSU,
-	PPC_INS_LFSUX,
-	PPC_INS_LFSX,
-	PPC_INS_LHA,
-	PPC_INS_LHAU,
-	PPC_INS_LHAUX,
-	PPC_INS_LHAX,
-	PPC_INS_LHBRX,
-	PPC_INS_LHZ,
-	PPC_INS_LHZU,
-	PPC_INS_LHZUX,
-	PPC_INS_LHZX,
-	PPC_INS_LI,
-	PPC_INS_LIS,
-	PPC_INS_LMW,
-	PPC_INS_LSWI,
-	PPC_INS_LVEBX,
-	PPC_INS_LVEHX,
-	PPC_INS_LVEWX,
-	PPC_INS_LVSL,
-	PPC_INS_LVSR,
-	PPC_INS_LVX,
-	PPC_INS_LVXL,
-	PPC_INS_LWA,
-	PPC_INS_LWARX,
-	PPC_INS_LWAUX,
-	PPC_INS_LWAX,
-	PPC_INS_LWBRX,
-	PPC_INS_LWZ,
-	PPC_INS_LWZU,
-	PPC_INS_LWZUX,
-	PPC_INS_LWZX,
-	PPC_INS_LXSDX,
-	PPC_INS_LXVD2X,
-	PPC_INS_LXVDSX,
-	PPC_INS_LXVW4X,
-	PPC_INS_MBAR,
-	PPC_INS_MCRF,
-	PPC_INS_MFCR,
-	PPC_INS_MFCTR,
-	PPC_INS_MFDCR,
-	PPC_INS_MFFS,
-	PPC_INS_MFLR,
-	PPC_INS_MFMSR,
-	PPC_INS_MFOCRF,
-	PPC_INS_MFSPR,
-	PPC_INS_MFSR,
-	PPC_INS_MFSRIN,
-	PPC_INS_MFTB,
-	PPC_INS_MFVSCR,
-	PPC_INS_MSYNC,
-	PPC_INS_MTCRF,
-	PPC_INS_MTCTR,
-	PPC_INS_MTDCR,
-	PPC_INS_MTFSB0,
-	PPC_INS_MTFSB1,
-	PPC_INS_MTFSF,
-	PPC_INS_MTLR,
-	PPC_INS_MTMSR,
-	PPC_INS_MTMSRD,
-	PPC_INS_MTOCRF,
-	PPC_INS_MTSPR,
-	PPC_INS_MTSR,
-	PPC_INS_MTSRIN,
-	PPC_INS_MTVSCR,
-	PPC_INS_MULHD,
-	PPC_INS_MULHDU,
-	PPC_INS_MULHW,
-	PPC_INS_MULHWU,
-	PPC_INS_MULLD,
-	PPC_INS_MULLI,
-	PPC_INS_MULLW,
-	PPC_INS_NAND,
-	PPC_INS_NEG,
-	PPC_INS_NOP,
-	PPC_INS_ORI,
-	PPC_INS_NOR,
-	PPC_INS_OR,
-	PPC_INS_ORC,
-	PPC_INS_ORIS,
-	PPC_INS_POPCNTD,
-	PPC_INS_POPCNTW,
-	PPC_INS_RFCI,
-	PPC_INS_RFDI,
-	PPC_INS_RFI,
-	PPC_INS_RFID,
-	PPC_INS_RFMCI,
-	PPC_INS_RLDCL,
-	PPC_INS_RLDCR,
-	PPC_INS_RLDIC,
-	PPC_INS_RLDICL,
-	PPC_INS_RLDICR,
-	PPC_INS_RLDIMI,
-	PPC_INS_RLWIMI,
-	PPC_INS_RLWINM,
-	PPC_INS_RLWNM,
-	PPC_INS_SC,
-	PPC_INS_SLBIA,
-	PPC_INS_SLBIE,
-	PPC_INS_SLBMFEE,
-	PPC_INS_SLBMTE,
-	PPC_INS_SLD,
-	PPC_INS_SLW,
-	PPC_INS_SRAD,
-	PPC_INS_SRADI,
-	PPC_INS_SRAW,
-	PPC_INS_SRAWI,
-	PPC_INS_SRD,
-	PPC_INS_SRW,
-	PPC_INS_STB,
-	PPC_INS_STBU,
-	PPC_INS_STBUX,
-	PPC_INS_STBX,
-	PPC_INS_STD,
-	PPC_INS_STDBRX,
-	PPC_INS_STDCX,
-	PPC_INS_STDU,
-	PPC_INS_STDUX,
-	PPC_INS_STDX,
-	PPC_INS_STFD,
-	PPC_INS_STFDU,
-	PPC_INS_STFDUX,
-	PPC_INS_STFDX,
-	PPC_INS_STFIWX,
-	PPC_INS_STFS,
-	PPC_INS_STFSU,
-	PPC_INS_STFSUX,
-	PPC_INS_STFSX,
-	PPC_INS_STH,
-	PPC_INS_STHBRX,
-	PPC_INS_STHU,
-	PPC_INS_STHUX,
-	PPC_INS_STHX,
-	PPC_INS_STMW,
-	PPC_INS_STSWI,
-	PPC_INS_STVEBX,
-	PPC_INS_STVEHX,
-	PPC_INS_STVEWX,
-	PPC_INS_STVX,
-	PPC_INS_STVXL,
-	PPC_INS_STW,
-	PPC_INS_STWBRX,
-	PPC_INS_STWCX,
-	PPC_INS_STWU,
-	PPC_INS_STWUX,
-	PPC_INS_STWX,
-	PPC_INS_STXSDX,
-	PPC_INS_STXVD2X,
-	PPC_INS_STXVW4X,
-	PPC_INS_SUBF,
-	PPC_INS_SUBFC,
-	PPC_INS_SUBFE,
-	PPC_INS_SUBFIC,
-	PPC_INS_SUBFME,
-	PPC_INS_SUBFZE,
-	PPC_INS_SYNC,
-	PPC_INS_TD,
-	PPC_INS_TDI,
-	PPC_INS_TLBIA,
-	PPC_INS_TLBIE,
-	PPC_INS_TLBIEL,
-	PPC_INS_TLBIVAX,
-	PPC_INS_TLBLD,
-	PPC_INS_TLBLI,
-	PPC_INS_TLBRE,
-	PPC_INS_TLBSX,
-	PPC_INS_TLBSYNC,
-	PPC_INS_TLBWE,
-	PPC_INS_TRAP,
-	PPC_INS_TW,
-	PPC_INS_TWI,
-	PPC_INS_VADDCUW,
-	PPC_INS_VADDFP,
-	PPC_INS_VADDSBS,
-	PPC_INS_VADDSHS,
-	PPC_INS_VADDSWS,
-	PPC_INS_VADDUBM,
-	PPC_INS_VADDUBS,
-	PPC_INS_VADDUHM,
-	PPC_INS_VADDUHS,
-	PPC_INS_VADDUWM,
-	PPC_INS_VADDUWS,
-	PPC_INS_VAND,
-	PPC_INS_VANDC,
-	PPC_INS_VAVGSB,
-	PPC_INS_VAVGSH,
-	PPC_INS_VAVGSW,
-	PPC_INS_VAVGUB,
-	PPC_INS_VAVGUH,
-	PPC_INS_VAVGUW,
-	PPC_INS_VCFSX,
-	PPC_INS_VCFUX,
-	PPC_INS_VCMPBFP,
-	PPC_INS_VCMPEQFP,
-	PPC_INS_VCMPEQUB,
-	PPC_INS_VCMPEQUH,
-	PPC_INS_VCMPEQUW,
-	PPC_INS_VCMPGEFP,
-	PPC_INS_VCMPGTFP,
-	PPC_INS_VCMPGTSB,
-	PPC_INS_VCMPGTSH,
-	PPC_INS_VCMPGTSW,
-	PPC_INS_VCMPGTUB,
-	PPC_INS_VCMPGTUH,
-	PPC_INS_VCMPGTUW,
-	PPC_INS_VCTSXS,
-	PPC_INS_VCTUXS,
-	PPC_INS_VEXPTEFP,
-	PPC_INS_VLOGEFP,
-	PPC_INS_VMADDFP,
-	PPC_INS_VMAXFP,
-	PPC_INS_VMAXSB,
-	PPC_INS_VMAXSH,
-	PPC_INS_VMAXSW,
-	PPC_INS_VMAXUB,
-	PPC_INS_VMAXUH,
-	PPC_INS_VMAXUW,
-	PPC_INS_VMHADDSHS,
-	PPC_INS_VMHRADDSHS,
-	PPC_INS_VMINFP,
-	PPC_INS_VMINSB,
-	PPC_INS_VMINSH,
-	PPC_INS_VMINSW,
-	PPC_INS_VMINUB,
-	PPC_INS_VMINUH,
-	PPC_INS_VMINUW,
-	PPC_INS_VMLADDUHM,
-	PPC_INS_VMRGHB,
-	PPC_INS_VMRGHH,
-	PPC_INS_VMRGHW,
-	PPC_INS_VMRGLB,
-	PPC_INS_VMRGLH,
-	PPC_INS_VMRGLW,
-	PPC_INS_VMSUMMBM,
-	PPC_INS_VMSUMSHM,
-	PPC_INS_VMSUMSHS,
-	PPC_INS_VMSUMUBM,
-	PPC_INS_VMSUMUHM,
-	PPC_INS_VMSUMUHS,
-	PPC_INS_VMULESB,
-	PPC_INS_VMULESH,
-	PPC_INS_VMULEUB,
-	PPC_INS_VMULEUH,
-	PPC_INS_VMULOSB,
-	PPC_INS_VMULOSH,
-	PPC_INS_VMULOUB,
-	PPC_INS_VMULOUH,
-	PPC_INS_VNMSUBFP,
-	PPC_INS_VNOR,
-	PPC_INS_VOR,
-	PPC_INS_VPERM,
-	PPC_INS_VPKPX,
-	PPC_INS_VPKSHSS,
-	PPC_INS_VPKSHUS,
-	PPC_INS_VPKSWSS,
-	PPC_INS_VPKSWUS,
-	PPC_INS_VPKUHUM,
-	PPC_INS_VPKUHUS,
-	PPC_INS_VPKUWUM,
-	PPC_INS_VPKUWUS,
-	PPC_INS_VREFP,
-	PPC_INS_VRFIM,
-	PPC_INS_VRFIN,
-	PPC_INS_VRFIP,
-	PPC_INS_VRFIZ,
-	PPC_INS_VRLB,
-	PPC_INS_VRLH,
-	PPC_INS_VRLW,
-	PPC_INS_VRSQRTEFP,
-	PPC_INS_VSEL,
-	PPC_INS_VSL,
-	PPC_INS_VSLB,
-	PPC_INS_VSLDOI,
-	PPC_INS_VSLH,
-	PPC_INS_VSLO,
-	PPC_INS_VSLW,
-	PPC_INS_VSPLTB,
-	PPC_INS_VSPLTH,
-	PPC_INS_VSPLTISB,
-	PPC_INS_VSPLTISH,
-	PPC_INS_VSPLTISW,
-	PPC_INS_VSPLTW,
-	PPC_INS_VSR,
-	PPC_INS_VSRAB,
-	PPC_INS_VSRAH,
-	PPC_INS_VSRAW,
-	PPC_INS_VSRB,
-	PPC_INS_VSRH,
-	PPC_INS_VSRO,
-	PPC_INS_VSRW,
-	PPC_INS_VSUBCUW,
-	PPC_INS_VSUBFP,
-	PPC_INS_VSUBSBS,
-	PPC_INS_VSUBSHS,
-	PPC_INS_VSUBSWS,
-	PPC_INS_VSUBUBM,
-	PPC_INS_VSUBUBS,
-	PPC_INS_VSUBUHM,
-	PPC_INS_VSUBUHS,
-	PPC_INS_VSUBUWM,
-	PPC_INS_VSUBUWS,
-	PPC_INS_VSUM2SWS,
-	PPC_INS_VSUM4SBS,
-	PPC_INS_VSUM4SHS,
-	PPC_INS_VSUM4UBS,
-	PPC_INS_VSUMSWS,
-	PPC_INS_VUPKHPX,
-	PPC_INS_VUPKHSB,
-	PPC_INS_VUPKHSH,
-	PPC_INS_VUPKLPX,
-	PPC_INS_VUPKLSB,
-	PPC_INS_VUPKLSH,
-	PPC_INS_VXOR,
-	PPC_INS_WAIT,
-	PPC_INS_WRTEE,
-	PPC_INS_WRTEEI,
-	PPC_INS_XOR,
-	PPC_INS_XORI,
-	PPC_INS_XORIS,
-	PPC_INS_XSABSDP,
-	PPC_INS_XSADDDP,
-	PPC_INS_XSCMPODP,
-	PPC_INS_XSCMPUDP,
-	PPC_INS_XSCPSGNDP,
-	PPC_INS_XSCVDPSP,
-	PPC_INS_XSCVDPSXDS,
-	PPC_INS_XSCVDPSXWS,
-	PPC_INS_XSCVDPUXDS,
-	PPC_INS_XSCVDPUXWS,
-	PPC_INS_XSCVSPDP,
-	PPC_INS_XSCVSXDDP,
-	PPC_INS_XSCVUXDDP,
-	PPC_INS_XSDIVDP,
-	PPC_INS_XSMADDADP,
-	PPC_INS_XSMADDMDP,
-	PPC_INS_XSMAXDP,
-	PPC_INS_XSMINDP,
-	PPC_INS_XSMSUBADP,
-	PPC_INS_XSMSUBMDP,
-	PPC_INS_XSMULDP,
-	PPC_INS_XSNABSDP,
-	PPC_INS_XSNEGDP,
-	PPC_INS_XSNMADDADP,
-	PPC_INS_XSNMADDMDP,
-	PPC_INS_XSNMSUBADP,
-	PPC_INS_XSNMSUBMDP,
-	PPC_INS_XSRDPI,
-	PPC_INS_XSRDPIC,
-	PPC_INS_XSRDPIM,
-	PPC_INS_XSRDPIP,
-	PPC_INS_XSRDPIZ,
-	PPC_INS_XSREDP,
-	PPC_INS_XSRSQRTEDP,
-	PPC_INS_XSSQRTDP,
-	PPC_INS_XSSUBDP,
-	PPC_INS_XSTDIVDP,
-	PPC_INS_XSTSQRTDP,
-	PPC_INS_XVABSDP,
-	PPC_INS_XVABSSP,
-	PPC_INS_XVADDDP,
-	PPC_INS_XVADDSP,
-	PPC_INS_XVCMPEQDP,
-	PPC_INS_XVCMPEQSP,
-	PPC_INS_XVCMPGEDP,
-	PPC_INS_XVCMPGESP,
-	PPC_INS_XVCMPGTDP,
-	PPC_INS_XVCMPGTSP,
-	PPC_INS_XVCPSGNDP,
-	PPC_INS_XVCPSGNSP,
-	PPC_INS_XVCVDPSP,
-	PPC_INS_XVCVDPSXDS,
-	PPC_INS_XVCVDPSXWS,
-	PPC_INS_XVCVDPUXDS,
-	PPC_INS_XVCVDPUXWS,
-	PPC_INS_XVCVSPDP,
-	PPC_INS_XVCVSPSXDS,
-	PPC_INS_XVCVSPSXWS,
-	PPC_INS_XVCVSPUXDS,
-	PPC_INS_XVCVSPUXWS,
-	PPC_INS_XVCVSXDDP,
-	PPC_INS_XVCVSXDSP,
-	PPC_INS_XVCVSXWDP,
-	PPC_INS_XVCVSXWSP,
-	PPC_INS_XVCVUXDDP,
-	PPC_INS_XVCVUXDSP,
-	PPC_INS_XVCVUXWDP,
-	PPC_INS_XVCVUXWSP,
-	PPC_INS_XVDIVDP,
-	PPC_INS_XVDIVSP,
-	PPC_INS_XVMADDADP,
-	PPC_INS_XVMADDASP,
-	PPC_INS_XVMADDMDP,
-	PPC_INS_XVMADDMSP,
-	PPC_INS_XVMAXDP,
-	PPC_INS_XVMAXSP,
-	PPC_INS_XVMINDP,
-	PPC_INS_XVMINSP,
-	PPC_INS_XVMSUBADP,
-	PPC_INS_XVMSUBASP,
-	PPC_INS_XVMSUBMDP,
-	PPC_INS_XVMSUBMSP,
-	PPC_INS_XVMULDP,
-	PPC_INS_XVMULSP,
-	PPC_INS_XVNABSDP,
-	PPC_INS_XVNABSSP,
-	PPC_INS_XVNEGDP,
-	PPC_INS_XVNEGSP,
-	PPC_INS_XVNMADDADP,
-	PPC_INS_XVNMADDASP,
-	PPC_INS_XVNMADDMDP,
-	PPC_INS_XVNMADDMSP,
-	PPC_INS_XVNMSUBADP,
-	PPC_INS_XVNMSUBASP,
-	PPC_INS_XVNMSUBMDP,
-	PPC_INS_XVNMSUBMSP,
-	PPC_INS_XVRDPI,
-	PPC_INS_XVRDPIC,
-	PPC_INS_XVRDPIM,
-	PPC_INS_XVRDPIP,
-	PPC_INS_XVRDPIZ,
-	PPC_INS_XVREDP,
-	PPC_INS_XVRESP,
-	PPC_INS_XVRSPI,
-	PPC_INS_XVRSPIC,
-	PPC_INS_XVRSPIM,
-	PPC_INS_XVRSPIP,
-	PPC_INS_XVRSPIZ,
-	PPC_INS_XVRSQRTEDP,
-	PPC_INS_XVRSQRTESP,
-	PPC_INS_XVSQRTDP,
-	PPC_INS_XVSQRTSP,
-	PPC_INS_XVSUBDP,
-	PPC_INS_XVSUBSP,
-	PPC_INS_XVTDIVDP,
-	PPC_INS_XVTDIVSP,
-	PPC_INS_XVTSQRTDP,
-	PPC_INS_XVTSQRTSP,
-	PPC_INS_XXLAND,
-	PPC_INS_XXLANDC,
-	PPC_INS_XXLNOR,
-	PPC_INS_XXLOR,
-	PPC_INS_XXLXOR,
-	PPC_INS_XXMRGHW,
-	PPC_INS_XXMRGLW,
-	PPC_INS_XXPERMDI,
-	PPC_INS_XXSEL,
-	PPC_INS_XXSLDWI,
-	PPC_INS_XXSPLTW,
-	PPC_INS_BCA,
-	PPC_INS_BCLA,
-
-	// extra & alias instructions
-	PPC_INS_SLWI,
-	PPC_INS_SRWI,
-	PPC_INS_SLDI,
-
-	PPC_INS_BTA,
-	PPC_INS_CRSET,
-	PPC_INS_CRNOT,
-	PPC_INS_CRMOVE,
-	PPC_INS_CRCLR,
-	PPC_INS_MFBR0,
-	PPC_INS_MFBR1,
-	PPC_INS_MFBR2,
-	PPC_INS_MFBR3,
-	PPC_INS_MFBR4,
-	PPC_INS_MFBR5,
-	PPC_INS_MFBR6,
-	PPC_INS_MFBR7,
-	PPC_INS_MFXER,
-	PPC_INS_MFRTCU,
-	PPC_INS_MFRTCL,
-	PPC_INS_MFDSCR,
-	PPC_INS_MFDSISR,
-	PPC_INS_MFDAR,
-	PPC_INS_MFSRR2,
-	PPC_INS_MFSRR3,
-	PPC_INS_MFCFAR,
-	PPC_INS_MFAMR,
-	PPC_INS_MFPID,
-	PPC_INS_MFTBLO,
-	PPC_INS_MFTBHI,
-	PPC_INS_MFDBATU,
-	PPC_INS_MFDBATL,
-	PPC_INS_MFIBATU,
-	PPC_INS_MFIBATL,
-	PPC_INS_MFDCCR,
-	PPC_INS_MFICCR,
-	PPC_INS_MFDEAR,
-	PPC_INS_MFESR,
-	PPC_INS_MFSPEFSCR,
-	PPC_INS_MFTCR,
-	PPC_INS_MFASR,
-	PPC_INS_MFPVR,
-	PPC_INS_MFTBU,
-	PPC_INS_MTCR,
-	PPC_INS_MTBR0,
-	PPC_INS_MTBR1,
-	PPC_INS_MTBR2,
-	PPC_INS_MTBR3,
-	PPC_INS_MTBR4,
-	PPC_INS_MTBR5,
-	PPC_INS_MTBR6,
-	PPC_INS_MTBR7,
-	PPC_INS_MTXER,
-	PPC_INS_MTDSCR,
-	PPC_INS_MTDSISR,
-	PPC_INS_MTDAR,
-	PPC_INS_MTSRR2,
-	PPC_INS_MTSRR3,
-	PPC_INS_MTCFAR,
-	PPC_INS_MTAMR,
-	PPC_INS_MTPID,
-	PPC_INS_MTTBL,
-	PPC_INS_MTTBU,
-	PPC_INS_MTTBLO,
-	PPC_INS_MTTBHI,
-	PPC_INS_MTDBATU,
-	PPC_INS_MTDBATL,
-	PPC_INS_MTIBATU,
-	PPC_INS_MTIBATL,
-	PPC_INS_MTDCCR,
-	PPC_INS_MTICCR,
-	PPC_INS_MTDEAR,
-	PPC_INS_MTESR,
-	PPC_INS_MTSPEFSCR,
-	PPC_INS_MTTCR,
-	PPC_INS_NOT,
-	PPC_INS_MR,
-	PPC_INS_ROTLD,
-	PPC_INS_ROTLDI,
-	PPC_INS_CLRLDI,
-	PPC_INS_ROTLWI,
-	PPC_INS_CLRLWI,
-	PPC_INS_ROTLW,
-	PPC_INS_SUB,
-	PPC_INS_SUBC,
-	PPC_INS_LWSYNC,
-	PPC_INS_PTESYNC,
-	PPC_INS_TDLT,
-	PPC_INS_TDEQ,
-	PPC_INS_TDGT,
-	PPC_INS_TDNE,
-	PPC_INS_TDLLT,
-	PPC_INS_TDLGT,
-	PPC_INS_TDU,
-	PPC_INS_TDLTI,
-	PPC_INS_TDEQI,
-	PPC_INS_TDGTI,
-	PPC_INS_TDNEI,
-	PPC_INS_TDLLTI,
-	PPC_INS_TDLGTI,
-	PPC_INS_TDUI,
-	PPC_INS_TLBREHI,
-	PPC_INS_TLBRELO,
-	PPC_INS_TLBWEHI,
-	PPC_INS_TLBWELO,
-	PPC_INS_TWLT,
-	PPC_INS_TWEQ,
-	PPC_INS_TWGT,
-	PPC_INS_TWNE,
-	PPC_INS_TWLLT,
-	PPC_INS_TWLGT,
-	PPC_INS_TWU,
-	PPC_INS_TWLTI,
-	PPC_INS_TWEQI,
-	PPC_INS_TWGTI,
-	PPC_INS_TWNEI,
-	PPC_INS_TWLLTI,
-	PPC_INS_TWLGTI,
-	PPC_INS_TWUI,
-	PPC_INS_WAITRSV,
-	PPC_INS_WAITIMPL,
-	PPC_INS_XNOP,
-	PPC_INS_XVMOVDP,
-	PPC_INS_XVMOVSP,
-	PPC_INS_XXSPLTD,
-	PPC_INS_XXMRGHD,
-	PPC_INS_XXMRGLD,
-	PPC_INS_XXSWAPD,
-	PPC_INS_BT,
-	PPC_INS_BF,
-	PPC_INS_BDNZT,
-	PPC_INS_BDNZF,
-	PPC_INS_BDZF,
-	PPC_INS_BDZT,
-	PPC_INS_BFA,
-	PPC_INS_BDNZTA,
-	PPC_INS_BDNZFA,
-	PPC_INS_BDZTA,
-	PPC_INS_BDZFA,
-	PPC_INS_BTCTR,
-	PPC_INS_BFCTR,
-	PPC_INS_BTCTRL,
-	PPC_INS_BFCTRL,
-	PPC_INS_BTL,
-	PPC_INS_BFL,
-	PPC_INS_BDNZTL,
-	PPC_INS_BDNZFL,
-	PPC_INS_BDZTL,
-	PPC_INS_BDZFL,
-	PPC_INS_BTLA,
-	PPC_INS_BFLA,
-	PPC_INS_BDNZTLA,
-	PPC_INS_BDNZFLA,
-	PPC_INS_BDZTLA,
-	PPC_INS_BDZFLA,
-	PPC_INS_BTLR,
-	PPC_INS_BFLR,
-	PPC_INS_BDNZTLR,
-	PPC_INS_BDZTLR,
-	PPC_INS_BDZFLR,
-	PPC_INS_BTLRL,
-	PPC_INS_BFLRL,
-	PPC_INS_BDNZTLRL,
-	PPC_INS_BDNZFLRL,
-	PPC_INS_BDZTLRL,
-	PPC_INS_BDZFLRL,
-
-	PPC_INS_ENDING,   // <-- mark the end of the list of instructions
-} ppc_insn;
-
-//> Group of PPC instructions
-typedef enum ppc_insn_group {
-	PPC_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	PPC_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	PPC_GRP_ALTIVEC = 128,
-	PPC_GRP_MODE32,
-	PPC_GRP_MODE64,
-	PPC_GRP_BOOKE,
-	PPC_GRP_NOTBOOKE,
-	PPC_GRP_SPE,
-	PPC_GRP_VSX,
-	PPC_GRP_E500,
-	PPC_GRP_PPC4XX,
-	PPC_GRP_PPC6XX,
-
-	PPC_GRP_ENDING,   // <-- mark the end of the list of groups
-} ppc_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/sparc.h 4.0.2-3/include/sparc.h
--- 4.0.1+really+3.0.5-2/include/sparc.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/sparc.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,522 +0,0 @@
-#ifndef CAPSTONE_SPARC_H
-#define CAPSTONE_SPARC_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-// GCC SPARC toolchain has a default macro called "sparc" which breaks
-// compilation
-#undef sparc
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> Enums corresponding to Sparc condition codes, both icc's and fcc's.
-typedef enum sparc_cc {
-	SPARC_CC_INVALID = 0,	// invalid CC (default)
-	//> Integer condition codes
-	SPARC_CC_ICC_A   =  8+256,  // Always
-	SPARC_CC_ICC_N   =  0+256,  // Never
-	SPARC_CC_ICC_NE  =  9+256,  // Not Equal
-	SPARC_CC_ICC_E   =  1+256,  // Equal
-	SPARC_CC_ICC_G   = 10+256,  // Greater
-	SPARC_CC_ICC_LE  =  2+256,  // Less or Equal
-	SPARC_CC_ICC_GE  = 11+256,  // Greater or Equal
-	SPARC_CC_ICC_L   =  3+256,  // Less
-	SPARC_CC_ICC_GU  = 12+256,  // Greater Unsigned
-	SPARC_CC_ICC_LEU =  4+256,  // Less or Equal Unsigned
-	SPARC_CC_ICC_CC  = 13+256,  // Carry Clear/Great or Equal Unsigned
-	SPARC_CC_ICC_CS  =  5+256,  // Carry Set/Less Unsigned
-	SPARC_CC_ICC_POS = 14+256,  // Positive
-	SPARC_CC_ICC_NEG =  6+256,  // Negative
-	SPARC_CC_ICC_VC  = 15+256,  // Overflow Clear
-	SPARC_CC_ICC_VS  =  7+256,  // Overflow Set
-
-	//> Floating condition codes
-	SPARC_CC_FCC_A   =  8+16+256,  // Always
-	SPARC_CC_FCC_N   =  0+16+256,  // Never
-	SPARC_CC_FCC_U   =  7+16+256,  // Unordered
-	SPARC_CC_FCC_G   =  6+16+256,  // Greater
-	SPARC_CC_FCC_UG  =  5+16+256,  // Unordered or Greater
-	SPARC_CC_FCC_L   =  4+16+256,  // Less
-	SPARC_CC_FCC_UL  =  3+16+256,  // Unordered or Less
-	SPARC_CC_FCC_LG  =  2+16+256,  // Less or Greater
-	SPARC_CC_FCC_NE  =  1+16+256,  // Not Equal
-	SPARC_CC_FCC_E   =  9+16+256,  // Equal
-	SPARC_CC_FCC_UE  = 10+16+256,  // Unordered or Equal
-	SPARC_CC_FCC_GE  = 11+16+256,  // Greater or Equal
-	SPARC_CC_FCC_UGE = 12+16+256,  // Unordered or Greater or Equal
-	SPARC_CC_FCC_LE  = 13+16+256,  // Less or Equal
-	SPARC_CC_FCC_ULE = 14+16+256,  // Unordered or Less or Equal
-	SPARC_CC_FCC_O   = 15+16+256,  // Ordered
-} sparc_cc;
-
-//> Branch hint
-typedef enum sparc_hint {
-	SPARC_HINT_INVALID = 0,	// no hint
-	SPARC_HINT_A	= 1 << 0,	// annul delay slot instruction
-	SPARC_HINT_PT	= 1 << 1,	// branch taken
-	SPARC_HINT_PN	= 1 << 2,	// branch NOT taken
-} sparc_hint;
-
-//> Operand type for instruction's operands
-typedef enum sparc_op_type {
-	SPARC_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	SPARC_OP_REG, // = CS_OP_REG (Register operand).
-	SPARC_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	SPARC_OP_MEM, // = CS_OP_MEM (Memory operand).
-} sparc_op_type;
-
-// Instruction's operand referring to memory
-// This is associated with SPARC_OP_MEM operand type above
-typedef struct sparc_op_mem {
-	uint8_t base;	// base register
-	uint8_t index;	// index register
-	int32_t disp;	// displacement/offset value
-} sparc_op_mem;
-
-// Instruction operand
-typedef struct cs_sparc_op {
-	sparc_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG operand
-		int32_t imm;		// immediate value for IMM operand
-		sparc_op_mem mem;		// base/disp value for MEM operand
-	};
-} cs_sparc_op;
-
-// Instruction structure
-typedef struct cs_sparc {
-	sparc_cc cc;	// code condition for this insn
-	sparc_hint hint;	// branch hint: encoding as bitwise OR of sparc_hint.
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-	cs_sparc_op operands[4]; // operands for this instruction.
-} cs_sparc;
-
-//> SPARC registers
-typedef enum sparc_reg {
-	SPARC_REG_INVALID = 0,
-
-	SPARC_REG_F0,
-	SPARC_REG_F1,
-	SPARC_REG_F2,
-	SPARC_REG_F3,
-	SPARC_REG_F4,
-	SPARC_REG_F5,
-	SPARC_REG_F6,
-	SPARC_REG_F7,
-	SPARC_REG_F8,
-	SPARC_REG_F9,
-	SPARC_REG_F10,
-	SPARC_REG_F11,
-	SPARC_REG_F12,
-	SPARC_REG_F13,
-	SPARC_REG_F14,
-	SPARC_REG_F15,
-	SPARC_REG_F16,
-	SPARC_REG_F17,
-	SPARC_REG_F18,
-	SPARC_REG_F19,
-	SPARC_REG_F20,
-	SPARC_REG_F21,
-	SPARC_REG_F22,
-	SPARC_REG_F23,
-	SPARC_REG_F24,
-	SPARC_REG_F25,
-	SPARC_REG_F26,
-	SPARC_REG_F27,
-	SPARC_REG_F28,
-	SPARC_REG_F29,
-	SPARC_REG_F30,
-	SPARC_REG_F31,
-	SPARC_REG_F32,
-	SPARC_REG_F34,
-	SPARC_REG_F36,
-	SPARC_REG_F38,
-	SPARC_REG_F40,
-	SPARC_REG_F42,
-	SPARC_REG_F44,
-	SPARC_REG_F46,
-	SPARC_REG_F48,
-	SPARC_REG_F50,
-	SPARC_REG_F52,
-	SPARC_REG_F54,
-	SPARC_REG_F56,
-	SPARC_REG_F58,
-	SPARC_REG_F60,
-	SPARC_REG_F62,
-	SPARC_REG_FCC0,	// Floating condition codes
-	SPARC_REG_FCC1,
-	SPARC_REG_FCC2,
-	SPARC_REG_FCC3,
-	SPARC_REG_FP,
-	SPARC_REG_G0,
-	SPARC_REG_G1,
-	SPARC_REG_G2,
-	SPARC_REG_G3,
-	SPARC_REG_G4,
-	SPARC_REG_G5,
-	SPARC_REG_G6,
-	SPARC_REG_G7,
-	SPARC_REG_I0,
-	SPARC_REG_I1,
-	SPARC_REG_I2,
-	SPARC_REG_I3,
-	SPARC_REG_I4,
-	SPARC_REG_I5,
-	SPARC_REG_I7,
-	SPARC_REG_ICC,	// Integer condition codes
-	SPARC_REG_L0,
-	SPARC_REG_L1,
-	SPARC_REG_L2,
-	SPARC_REG_L3,
-	SPARC_REG_L4,
-	SPARC_REG_L5,
-	SPARC_REG_L6,
-	SPARC_REG_L7,
-	SPARC_REG_O0,
-	SPARC_REG_O1,
-	SPARC_REG_O2,
-	SPARC_REG_O3,
-	SPARC_REG_O4,
-	SPARC_REG_O5,
-	SPARC_REG_O7,
-	SPARC_REG_SP,
-	SPARC_REG_Y,
-
-	// special register
-	SPARC_REG_XCC,
-
-	SPARC_REG_ENDING,   // <-- mark the end of the list of registers
-
-	// extras
-	SPARC_REG_O6 = SPARC_REG_SP,
-	SPARC_REG_I6 = SPARC_REG_FP,
-} sparc_reg;
-
-//> SPARC instruction
-typedef enum sparc_insn {
-	SPARC_INS_INVALID = 0,
-
-	SPARC_INS_ADDCC,
-	SPARC_INS_ADDX,
-	SPARC_INS_ADDXCC,
-	SPARC_INS_ADDXC,
-	SPARC_INS_ADDXCCC,
-	SPARC_INS_ADD,
-	SPARC_INS_ALIGNADDR,
-	SPARC_INS_ALIGNADDRL,
-	SPARC_INS_ANDCC,
-	SPARC_INS_ANDNCC,
-	SPARC_INS_ANDN,
-	SPARC_INS_AND,
-	SPARC_INS_ARRAY16,
-	SPARC_INS_ARRAY32,
-	SPARC_INS_ARRAY8,
-	SPARC_INS_B,
-	SPARC_INS_JMP,
-	SPARC_INS_BMASK,
-	SPARC_INS_FB,
-	SPARC_INS_BRGEZ,
-	SPARC_INS_BRGZ,
-	SPARC_INS_BRLEZ,
-	SPARC_INS_BRLZ,
-	SPARC_INS_BRNZ,
-	SPARC_INS_BRZ,
-	SPARC_INS_BSHUFFLE,
-	SPARC_INS_CALL,
-	SPARC_INS_CASX,
-	SPARC_INS_CAS,
-	SPARC_INS_CMASK16,
-	SPARC_INS_CMASK32,
-	SPARC_INS_CMASK8,
-	SPARC_INS_CMP,
-	SPARC_INS_EDGE16,
-	SPARC_INS_EDGE16L,
-	SPARC_INS_EDGE16LN,
-	SPARC_INS_EDGE16N,
-	SPARC_INS_EDGE32,
-	SPARC_INS_EDGE32L,
-	SPARC_INS_EDGE32LN,
-	SPARC_INS_EDGE32N,
-	SPARC_INS_EDGE8,
-	SPARC_INS_EDGE8L,
-	SPARC_INS_EDGE8LN,
-	SPARC_INS_EDGE8N,
-	SPARC_INS_FABSD,
-	SPARC_INS_FABSQ,
-	SPARC_INS_FABSS,
-	SPARC_INS_FADDD,
-	SPARC_INS_FADDQ,
-	SPARC_INS_FADDS,
-	SPARC_INS_FALIGNDATA,
-	SPARC_INS_FAND,
-	SPARC_INS_FANDNOT1,
-	SPARC_INS_FANDNOT1S,
-	SPARC_INS_FANDNOT2,
-	SPARC_INS_FANDNOT2S,
-	SPARC_INS_FANDS,
-	SPARC_INS_FCHKSM16,
-	SPARC_INS_FCMPD,
-	SPARC_INS_FCMPEQ16,
-	SPARC_INS_FCMPEQ32,
-	SPARC_INS_FCMPGT16,
-	SPARC_INS_FCMPGT32,
-	SPARC_INS_FCMPLE16,
-	SPARC_INS_FCMPLE32,
-	SPARC_INS_FCMPNE16,
-	SPARC_INS_FCMPNE32,
-	SPARC_INS_FCMPQ,
-	SPARC_INS_FCMPS,
-	SPARC_INS_FDIVD,
-	SPARC_INS_FDIVQ,
-	SPARC_INS_FDIVS,
-	SPARC_INS_FDMULQ,
-	SPARC_INS_FDTOI,
-	SPARC_INS_FDTOQ,
-	SPARC_INS_FDTOS,
-	SPARC_INS_FDTOX,
-	SPARC_INS_FEXPAND,
-	SPARC_INS_FHADDD,
-	SPARC_INS_FHADDS,
-	SPARC_INS_FHSUBD,
-	SPARC_INS_FHSUBS,
-	SPARC_INS_FITOD,
-	SPARC_INS_FITOQ,
-	SPARC_INS_FITOS,
-	SPARC_INS_FLCMPD,
-	SPARC_INS_FLCMPS,
-	SPARC_INS_FLUSHW,
-	SPARC_INS_FMEAN16,
-	SPARC_INS_FMOVD,
-	SPARC_INS_FMOVQ,
-	SPARC_INS_FMOVRDGEZ,
-	SPARC_INS_FMOVRQGEZ,
-	SPARC_INS_FMOVRSGEZ,
-	SPARC_INS_FMOVRDGZ,
-	SPARC_INS_FMOVRQGZ,
-	SPARC_INS_FMOVRSGZ,
-	SPARC_INS_FMOVRDLEZ,
-	SPARC_INS_FMOVRQLEZ,
-	SPARC_INS_FMOVRSLEZ,
-	SPARC_INS_FMOVRDLZ,
-	SPARC_INS_FMOVRQLZ,
-	SPARC_INS_FMOVRSLZ,
-	SPARC_INS_FMOVRDNZ,
-	SPARC_INS_FMOVRQNZ,
-	SPARC_INS_FMOVRSNZ,
-	SPARC_INS_FMOVRDZ,
-	SPARC_INS_FMOVRQZ,
-	SPARC_INS_FMOVRSZ,
-	SPARC_INS_FMOVS,
-	SPARC_INS_FMUL8SUX16,
-	SPARC_INS_FMUL8ULX16,
-	SPARC_INS_FMUL8X16,
-	SPARC_INS_FMUL8X16AL,
-	SPARC_INS_FMUL8X16AU,
-	SPARC_INS_FMULD,
-	SPARC_INS_FMULD8SUX16,
-	SPARC_INS_FMULD8ULX16,
-	SPARC_INS_FMULQ,
-	SPARC_INS_FMULS,
-	SPARC_INS_FNADDD,
-	SPARC_INS_FNADDS,
-	SPARC_INS_FNAND,
-	SPARC_INS_FNANDS,
-	SPARC_INS_FNEGD,
-	SPARC_INS_FNEGQ,
-	SPARC_INS_FNEGS,
-	SPARC_INS_FNHADDD,
-	SPARC_INS_FNHADDS,
-	SPARC_INS_FNOR,
-	SPARC_INS_FNORS,
-	SPARC_INS_FNOT1,
-	SPARC_INS_FNOT1S,
-	SPARC_INS_FNOT2,
-	SPARC_INS_FNOT2S,
-	SPARC_INS_FONE,
-	SPARC_INS_FONES,
-	SPARC_INS_FOR,
-	SPARC_INS_FORNOT1,
-	SPARC_INS_FORNOT1S,
-	SPARC_INS_FORNOT2,
-	SPARC_INS_FORNOT2S,
-	SPARC_INS_FORS,
-	SPARC_INS_FPACK16,
-	SPARC_INS_FPACK32,
-	SPARC_INS_FPACKFIX,
-	SPARC_INS_FPADD16,
-	SPARC_INS_FPADD16S,
-	SPARC_INS_FPADD32,
-	SPARC_INS_FPADD32S,
-	SPARC_INS_FPADD64,
-	SPARC_INS_FPMERGE,
-	SPARC_INS_FPSUB16,
-	SPARC_INS_FPSUB16S,
-	SPARC_INS_FPSUB32,
-	SPARC_INS_FPSUB32S,
-	SPARC_INS_FQTOD,
-	SPARC_INS_FQTOI,
-	SPARC_INS_FQTOS,
-	SPARC_INS_FQTOX,
-	SPARC_INS_FSLAS16,
-	SPARC_INS_FSLAS32,
-	SPARC_INS_FSLL16,
-	SPARC_INS_FSLL32,
-	SPARC_INS_FSMULD,
-	SPARC_INS_FSQRTD,
-	SPARC_INS_FSQRTQ,
-	SPARC_INS_FSQRTS,
-	SPARC_INS_FSRA16,
-	SPARC_INS_FSRA32,
-	SPARC_INS_FSRC1,
-	SPARC_INS_FSRC1S,
-	SPARC_INS_FSRC2,
-	SPARC_INS_FSRC2S,
-	SPARC_INS_FSRL16,
-	SPARC_INS_FSRL32,
-	SPARC_INS_FSTOD,
-	SPARC_INS_FSTOI,
-	SPARC_INS_FSTOQ,
-	SPARC_INS_FSTOX,
-	SPARC_INS_FSUBD,
-	SPARC_INS_FSUBQ,
-	SPARC_INS_FSUBS,
-	SPARC_INS_FXNOR,
-	SPARC_INS_FXNORS,
-	SPARC_INS_FXOR,
-	SPARC_INS_FXORS,
-	SPARC_INS_FXTOD,
-	SPARC_INS_FXTOQ,
-	SPARC_INS_FXTOS,
-	SPARC_INS_FZERO,
-	SPARC_INS_FZEROS,
-	SPARC_INS_JMPL,
-	SPARC_INS_LDD,
-	SPARC_INS_LD,
-	SPARC_INS_LDQ,
-	SPARC_INS_LDSB,
-	SPARC_INS_LDSH,
-	SPARC_INS_LDSW,
-	SPARC_INS_LDUB,
-	SPARC_INS_LDUH,
-	SPARC_INS_LDX,
-	SPARC_INS_LZCNT,
-	SPARC_INS_MEMBAR,
-	SPARC_INS_MOVDTOX,
-	SPARC_INS_MOV,
-	SPARC_INS_MOVRGEZ,
-	SPARC_INS_MOVRGZ,
-	SPARC_INS_MOVRLEZ,
-	SPARC_INS_MOVRLZ,
-	SPARC_INS_MOVRNZ,
-	SPARC_INS_MOVRZ,
-	SPARC_INS_MOVSTOSW,
-	SPARC_INS_MOVSTOUW,
-	SPARC_INS_MULX,
-	SPARC_INS_NOP,
-	SPARC_INS_ORCC,
-	SPARC_INS_ORNCC,
-	SPARC_INS_ORN,
-	SPARC_INS_OR,
-	SPARC_INS_PDIST,
-	SPARC_INS_PDISTN,
-	SPARC_INS_POPC,
-	SPARC_INS_RD,
-	SPARC_INS_RESTORE,
-	SPARC_INS_RETT,
-	SPARC_INS_SAVE,
-	SPARC_INS_SDIVCC,
-	SPARC_INS_SDIVX,
-	SPARC_INS_SDIV,
-	SPARC_INS_SETHI,
-	SPARC_INS_SHUTDOWN,
-	SPARC_INS_SIAM,
-	SPARC_INS_SLLX,
-	SPARC_INS_SLL,
-	SPARC_INS_SMULCC,
-	SPARC_INS_SMUL,
-	SPARC_INS_SRAX,
-	SPARC_INS_SRA,
-	SPARC_INS_SRLX,
-	SPARC_INS_SRL,
-	SPARC_INS_STBAR,
-	SPARC_INS_STB,
-	SPARC_INS_STD,
-	SPARC_INS_ST,
-	SPARC_INS_STH,
-	SPARC_INS_STQ,
-	SPARC_INS_STX,
-	SPARC_INS_SUBCC,
-	SPARC_INS_SUBX,
-	SPARC_INS_SUBXCC,
-	SPARC_INS_SUB,
-	SPARC_INS_SWAP,
-	SPARC_INS_TADDCCTV,
-	SPARC_INS_TADDCC,
-	SPARC_INS_T,
-	SPARC_INS_TSUBCCTV,
-	SPARC_INS_TSUBCC,
-	SPARC_INS_UDIVCC,
-	SPARC_INS_UDIVX,
-	SPARC_INS_UDIV,
-	SPARC_INS_UMULCC,
-	SPARC_INS_UMULXHI,
-	SPARC_INS_UMUL,
-	SPARC_INS_UNIMP,
-	SPARC_INS_FCMPED,
-	SPARC_INS_FCMPEQ,
-	SPARC_INS_FCMPES,
-	SPARC_INS_WR,
-	SPARC_INS_XMULX,
-	SPARC_INS_XMULXHI,
-	SPARC_INS_XNORCC,
-	SPARC_INS_XNOR,
-	SPARC_INS_XORCC,
-	SPARC_INS_XOR,
-
-	// alias instructions
-	SPARC_INS_RET,
-	SPARC_INS_RETL,
-
-	SPARC_INS_ENDING,   // <-- mark the end of the list of instructions
-} sparc_insn;
-
-//> Group of SPARC instructions
-typedef enum sparc_insn_group {
-	SPARC_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	SPARC_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	SPARC_GRP_HARDQUAD = 128,
-	SPARC_GRP_V9,
-	SPARC_GRP_VIS,
-	SPARC_GRP_VIS2,
-	SPARC_GRP_VIS3, 
-	SPARC_GRP_32BIT,
-	SPARC_GRP_64BIT,
-
-	SPARC_GRP_ENDING,   // <-- mark the end of the list of groups
-} sparc_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/systemz.h 4.0.2-3/include/systemz.h
--- 4.0.1+really+3.0.5-2/include/systemz.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/systemz.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,832 +0,0 @@
-#ifndef CAPSTONE_SYSTEMZ_H
-#define CAPSTONE_SYSTEMZ_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> Enums corresponding to SystemZ condition codes
-typedef enum sysz_cc {
-	SYSZ_CC_INVALID = 0,	// invalid CC (default)
-
-	SYSZ_CC_O,
-	SYSZ_CC_H,
-	SYSZ_CC_NLE,
-	SYSZ_CC_L,
-	SYSZ_CC_NHE,
-	SYSZ_CC_LH,
-	SYSZ_CC_NE,
-	SYSZ_CC_E,
-	SYSZ_CC_NLH,
-	SYSZ_CC_HE,
-	SYSZ_CC_NL,
-	SYSZ_CC_LE,
-	SYSZ_CC_NH,
-	SYSZ_CC_NO,
-} sysz_cc;
-
-//> Operand type for instruction's operands
-typedef enum sysz_op_type {
-	SYSZ_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	SYSZ_OP_REG, // = CS_OP_REG (Register operand).
-	SYSZ_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	SYSZ_OP_MEM, // = CS_OP_MEM (Memory operand).
-	SYSZ_OP_ACREG = 64,	// Access register operand.
-} sysz_op_type;
-
-// Instruction's operand referring to memory
-// This is associated with SYSZ_OP_MEM operand type above
-typedef struct sysz_op_mem {
-	uint8_t base;	// base register
-	uint8_t index;	// index register
-	uint64_t length;	// BDLAddr operand
-	int64_t disp;	// displacement/offset value
-} sysz_op_mem;
-
-// Instruction operand
-typedef struct cs_sysz_op {
-	sysz_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG operand
-		int64_t imm;		// immediate value for IMM operand
-		sysz_op_mem mem;		// base/disp value for MEM operand
-	};
-} cs_sysz_op;
-
-// Instruction structure
-typedef struct cs_sysz {
-	sysz_cc cc;		// Code condition
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-	cs_sysz_op operands[6]; // operands for this instruction.
-} cs_sysz;
-
-//> SystemZ registers
-typedef enum sysz_reg {
-	SYSZ_REG_INVALID = 0,
-
-	SYSZ_REG_0, 
-	SYSZ_REG_1, 
-	SYSZ_REG_2, 
-	SYSZ_REG_3, 
-	SYSZ_REG_4, 
-	SYSZ_REG_5, 
-	SYSZ_REG_6, 
-	SYSZ_REG_7, 
-	SYSZ_REG_8, 
-	SYSZ_REG_9, 
-	SYSZ_REG_10,
-	SYSZ_REG_11,
-	SYSZ_REG_12,
-	SYSZ_REG_13,
-	SYSZ_REG_14,
-	SYSZ_REG_15,
-	SYSZ_REG_CC,
-	SYSZ_REG_F0,
-	SYSZ_REG_F1,
-	SYSZ_REG_F2,
-	SYSZ_REG_F3,
-	SYSZ_REG_F4,
-	SYSZ_REG_F5,
-	SYSZ_REG_F6,
-	SYSZ_REG_F7,
-	SYSZ_REG_F8,
-	SYSZ_REG_F9,
-	SYSZ_REG_F10,
-	SYSZ_REG_F11,
-	SYSZ_REG_F12,
-	SYSZ_REG_F13,
-	SYSZ_REG_F14,
-	SYSZ_REG_F15,
-
-	SYSZ_REG_R0L,
-
-	SYSZ_REG_ENDING,
-} sysz_reg;
-
-//> SystemZ instruction
-typedef enum sysz_insn {
-	SYSZ_INS_INVALID = 0,
-
-	SYSZ_INS_A,
-	SYSZ_INS_ADB,
-	SYSZ_INS_ADBR,
-	SYSZ_INS_AEB,
-	SYSZ_INS_AEBR,
-	SYSZ_INS_AFI,
-	SYSZ_INS_AG,
-	SYSZ_INS_AGF,
-	SYSZ_INS_AGFI,
-	SYSZ_INS_AGFR,
-	SYSZ_INS_AGHI,
-	SYSZ_INS_AGHIK,
-	SYSZ_INS_AGR,
-	SYSZ_INS_AGRK,
-	SYSZ_INS_AGSI,
-	SYSZ_INS_AH,
-	SYSZ_INS_AHI,
-	SYSZ_INS_AHIK,
-	SYSZ_INS_AHY,
-	SYSZ_INS_AIH,
-	SYSZ_INS_AL,
-	SYSZ_INS_ALC,
-	SYSZ_INS_ALCG,
-	SYSZ_INS_ALCGR,
-	SYSZ_INS_ALCR,
-	SYSZ_INS_ALFI,
-	SYSZ_INS_ALG,
-	SYSZ_INS_ALGF,
-	SYSZ_INS_ALGFI,
-	SYSZ_INS_ALGFR,
-	SYSZ_INS_ALGHSIK,
-	SYSZ_INS_ALGR,
-	SYSZ_INS_ALGRK,
-	SYSZ_INS_ALHSIK,
-	SYSZ_INS_ALR,
-	SYSZ_INS_ALRK,
-	SYSZ_INS_ALY,
-	SYSZ_INS_AR,
-	SYSZ_INS_ARK,
-	SYSZ_INS_ASI,
-	SYSZ_INS_AXBR,
-	SYSZ_INS_AY,
-	SYSZ_INS_BCR,
-	SYSZ_INS_BRC,
-	SYSZ_INS_BRCL,
-	SYSZ_INS_CGIJ,
-	SYSZ_INS_CGRJ,
-	SYSZ_INS_CIJ,
-	SYSZ_INS_CLGIJ,
-	SYSZ_INS_CLGRJ,
-	SYSZ_INS_CLIJ,
-	SYSZ_INS_CLRJ,
-	SYSZ_INS_CRJ,
-	SYSZ_INS_BER,
-	SYSZ_INS_JE,
-	SYSZ_INS_JGE,
-	SYSZ_INS_LOCE,
-	SYSZ_INS_LOCGE,
-	SYSZ_INS_LOCGRE,
-	SYSZ_INS_LOCRE,
-	SYSZ_INS_STOCE,
-	SYSZ_INS_STOCGE,
-	SYSZ_INS_BHR,
-	SYSZ_INS_BHER,
-	SYSZ_INS_JHE,
-	SYSZ_INS_JGHE,
-	SYSZ_INS_LOCHE,
-	SYSZ_INS_LOCGHE,
-	SYSZ_INS_LOCGRHE,
-	SYSZ_INS_LOCRHE,
-	SYSZ_INS_STOCHE,
-	SYSZ_INS_STOCGHE,
-	SYSZ_INS_JH,
-	SYSZ_INS_JGH,
-	SYSZ_INS_LOCH,
-	SYSZ_INS_LOCGH,
-	SYSZ_INS_LOCGRH,
-	SYSZ_INS_LOCRH,
-	SYSZ_INS_STOCH,
-	SYSZ_INS_STOCGH,
-	SYSZ_INS_CGIJNLH,
-	SYSZ_INS_CGRJNLH,
-	SYSZ_INS_CIJNLH,
-	SYSZ_INS_CLGIJNLH,
-	SYSZ_INS_CLGRJNLH,
-	SYSZ_INS_CLIJNLH,
-	SYSZ_INS_CLRJNLH,
-	SYSZ_INS_CRJNLH,
-	SYSZ_INS_CGIJE,
-	SYSZ_INS_CGRJE,
-	SYSZ_INS_CIJE,
-	SYSZ_INS_CLGIJE,
-	SYSZ_INS_CLGRJE,
-	SYSZ_INS_CLIJE,
-	SYSZ_INS_CLRJE,
-	SYSZ_INS_CRJE,
-	SYSZ_INS_CGIJNLE,
-	SYSZ_INS_CGRJNLE,
-	SYSZ_INS_CIJNLE,
-	SYSZ_INS_CLGIJNLE,
-	SYSZ_INS_CLGRJNLE,
-	SYSZ_INS_CLIJNLE,
-	SYSZ_INS_CLRJNLE,
-	SYSZ_INS_CRJNLE,
-	SYSZ_INS_CGIJH,
-	SYSZ_INS_CGRJH,
-	SYSZ_INS_CIJH,
-	SYSZ_INS_CLGIJH,
-	SYSZ_INS_CLGRJH,
-	SYSZ_INS_CLIJH,
-	SYSZ_INS_CLRJH,
-	SYSZ_INS_CRJH,
-	SYSZ_INS_CGIJNL,
-	SYSZ_INS_CGRJNL,
-	SYSZ_INS_CIJNL,
-	SYSZ_INS_CLGIJNL,
-	SYSZ_INS_CLGRJNL,
-	SYSZ_INS_CLIJNL,
-	SYSZ_INS_CLRJNL,
-	SYSZ_INS_CRJNL,
-	SYSZ_INS_CGIJHE,
-	SYSZ_INS_CGRJHE,
-	SYSZ_INS_CIJHE,
-	SYSZ_INS_CLGIJHE,
-	SYSZ_INS_CLGRJHE,
-	SYSZ_INS_CLIJHE,
-	SYSZ_INS_CLRJHE,
-	SYSZ_INS_CRJHE,
-	SYSZ_INS_CGIJNHE,
-	SYSZ_INS_CGRJNHE,
-	SYSZ_INS_CIJNHE,
-	SYSZ_INS_CLGIJNHE,
-	SYSZ_INS_CLGRJNHE,
-	SYSZ_INS_CLIJNHE,
-	SYSZ_INS_CLRJNHE,
-	SYSZ_INS_CRJNHE,
-	SYSZ_INS_CGIJL,
-	SYSZ_INS_CGRJL,
-	SYSZ_INS_CIJL,
-	SYSZ_INS_CLGIJL,
-	SYSZ_INS_CLGRJL,
-	SYSZ_INS_CLIJL,
-	SYSZ_INS_CLRJL,
-	SYSZ_INS_CRJL,
-	SYSZ_INS_CGIJNH,
-	SYSZ_INS_CGRJNH,
-	SYSZ_INS_CIJNH,
-	SYSZ_INS_CLGIJNH,
-	SYSZ_INS_CLGRJNH,
-	SYSZ_INS_CLIJNH,
-	SYSZ_INS_CLRJNH,
-	SYSZ_INS_CRJNH,
-	SYSZ_INS_CGIJLE,
-	SYSZ_INS_CGRJLE,
-	SYSZ_INS_CIJLE,
-	SYSZ_INS_CLGIJLE,
-	SYSZ_INS_CLGRJLE,
-	SYSZ_INS_CLIJLE,
-	SYSZ_INS_CLRJLE,
-	SYSZ_INS_CRJLE,
-	SYSZ_INS_CGIJNE,
-	SYSZ_INS_CGRJNE,
-	SYSZ_INS_CIJNE,
-	SYSZ_INS_CLGIJNE,
-	SYSZ_INS_CLGRJNE,
-	SYSZ_INS_CLIJNE,
-	SYSZ_INS_CLRJNE,
-	SYSZ_INS_CRJNE,
-	SYSZ_INS_CGIJLH,
-	SYSZ_INS_CGRJLH,
-	SYSZ_INS_CIJLH,
-	SYSZ_INS_CLGIJLH,
-	SYSZ_INS_CLGRJLH,
-	SYSZ_INS_CLIJLH,
-	SYSZ_INS_CLRJLH,
-	SYSZ_INS_CRJLH,
-	SYSZ_INS_BLR,
-	SYSZ_INS_BLER,
-	SYSZ_INS_JLE,
-	SYSZ_INS_JGLE,
-	SYSZ_INS_LOCLE,
-	SYSZ_INS_LOCGLE,
-	SYSZ_INS_LOCGRLE,
-	SYSZ_INS_LOCRLE,
-	SYSZ_INS_STOCLE,
-	SYSZ_INS_STOCGLE,
-	SYSZ_INS_BLHR,
-	SYSZ_INS_JLH,
-	SYSZ_INS_JGLH,
-	SYSZ_INS_LOCLH,
-	SYSZ_INS_LOCGLH,
-	SYSZ_INS_LOCGRLH,
-	SYSZ_INS_LOCRLH,
-	SYSZ_INS_STOCLH,
-	SYSZ_INS_STOCGLH,
-	SYSZ_INS_JL,
-	SYSZ_INS_JGL,
-	SYSZ_INS_LOCL,
-	SYSZ_INS_LOCGL,
-	SYSZ_INS_LOCGRL,
-	SYSZ_INS_LOCRL,
-	SYSZ_INS_LOC,
-	SYSZ_INS_LOCG,
-	SYSZ_INS_LOCGR,
-	SYSZ_INS_LOCR,
-	SYSZ_INS_STOCL,
-	SYSZ_INS_STOCGL,
-	SYSZ_INS_BNER,
-	SYSZ_INS_JNE,
-	SYSZ_INS_JGNE,
-	SYSZ_INS_LOCNE,
-	SYSZ_INS_LOCGNE,
-	SYSZ_INS_LOCGRNE,
-	SYSZ_INS_LOCRNE,
-	SYSZ_INS_STOCNE,
-	SYSZ_INS_STOCGNE,
-	SYSZ_INS_BNHR,
-	SYSZ_INS_BNHER,
-	SYSZ_INS_JNHE,
-	SYSZ_INS_JGNHE,
-	SYSZ_INS_LOCNHE,
-	SYSZ_INS_LOCGNHE,
-	SYSZ_INS_LOCGRNHE,
-	SYSZ_INS_LOCRNHE,
-	SYSZ_INS_STOCNHE,
-	SYSZ_INS_STOCGNHE,
-	SYSZ_INS_JNH,
-	SYSZ_INS_JGNH,
-	SYSZ_INS_LOCNH,
-	SYSZ_INS_LOCGNH,
-	SYSZ_INS_LOCGRNH,
-	SYSZ_INS_LOCRNH,
-	SYSZ_INS_STOCNH,
-	SYSZ_INS_STOCGNH,
-	SYSZ_INS_BNLR,
-	SYSZ_INS_BNLER,
-	SYSZ_INS_JNLE,
-	SYSZ_INS_JGNLE,
-	SYSZ_INS_LOCNLE,
-	SYSZ_INS_LOCGNLE,
-	SYSZ_INS_LOCGRNLE,
-	SYSZ_INS_LOCRNLE,
-	SYSZ_INS_STOCNLE,
-	SYSZ_INS_STOCGNLE,
-	SYSZ_INS_BNLHR,
-	SYSZ_INS_JNLH,
-	SYSZ_INS_JGNLH,
-	SYSZ_INS_LOCNLH,
-	SYSZ_INS_LOCGNLH,
-	SYSZ_INS_LOCGRNLH,
-	SYSZ_INS_LOCRNLH,
-	SYSZ_INS_STOCNLH,
-	SYSZ_INS_STOCGNLH,
-	SYSZ_INS_JNL,
-	SYSZ_INS_JGNL,
-	SYSZ_INS_LOCNL,
-	SYSZ_INS_LOCGNL,
-	SYSZ_INS_LOCGRNL,
-	SYSZ_INS_LOCRNL,
-	SYSZ_INS_STOCNL,
-	SYSZ_INS_STOCGNL,
-	SYSZ_INS_BNOR,
-	SYSZ_INS_JNO,
-	SYSZ_INS_JGNO,
-	SYSZ_INS_LOCNO,
-	SYSZ_INS_LOCGNO,
-	SYSZ_INS_LOCGRNO,
-	SYSZ_INS_LOCRNO,
-	SYSZ_INS_STOCNO,
-	SYSZ_INS_STOCGNO,
-	SYSZ_INS_BOR,
-	SYSZ_INS_JO,
-	SYSZ_INS_JGO,
-	SYSZ_INS_LOCO,
-	SYSZ_INS_LOCGO,
-	SYSZ_INS_LOCGRO,
-	SYSZ_INS_LOCRO,
-	SYSZ_INS_STOCO,
-	SYSZ_INS_STOCGO,
-	SYSZ_INS_STOC,
-	SYSZ_INS_STOCG,
-	SYSZ_INS_BASR,
-	SYSZ_INS_BR,
-	SYSZ_INS_BRAS,
-	SYSZ_INS_BRASL,
-	SYSZ_INS_J,
-	SYSZ_INS_JG,
-	SYSZ_INS_BRCT,
-	SYSZ_INS_BRCTG,
-	SYSZ_INS_C,
-	SYSZ_INS_CDB,
-	SYSZ_INS_CDBR,
-	SYSZ_INS_CDFBR,
-	SYSZ_INS_CDGBR,
-	SYSZ_INS_CDLFBR,
-	SYSZ_INS_CDLGBR,
-	SYSZ_INS_CEB,
-	SYSZ_INS_CEBR,
-	SYSZ_INS_CEFBR,
-	SYSZ_INS_CEGBR,
-	SYSZ_INS_CELFBR,
-	SYSZ_INS_CELGBR,
-	SYSZ_INS_CFDBR,
-	SYSZ_INS_CFEBR,
-	SYSZ_INS_CFI,
-	SYSZ_INS_CFXBR,
-	SYSZ_INS_CG,
-	SYSZ_INS_CGDBR,
-	SYSZ_INS_CGEBR,
-	SYSZ_INS_CGF,
-	SYSZ_INS_CGFI,
-	SYSZ_INS_CGFR,
-	SYSZ_INS_CGFRL,
-	SYSZ_INS_CGH,
-	SYSZ_INS_CGHI,
-	SYSZ_INS_CGHRL,
-	SYSZ_INS_CGHSI,
-	SYSZ_INS_CGR,
-	SYSZ_INS_CGRL,
-	SYSZ_INS_CGXBR,
-	SYSZ_INS_CH,
-	SYSZ_INS_CHF,
-	SYSZ_INS_CHHSI,
-	SYSZ_INS_CHI,
-	SYSZ_INS_CHRL,
-	SYSZ_INS_CHSI,
-	SYSZ_INS_CHY,
-	SYSZ_INS_CIH,
-	SYSZ_INS_CL,
-	SYSZ_INS_CLC,
-	SYSZ_INS_CLFDBR,
-	SYSZ_INS_CLFEBR,
-	SYSZ_INS_CLFHSI,
-	SYSZ_INS_CLFI,
-	SYSZ_INS_CLFXBR,
-	SYSZ_INS_CLG,
-	SYSZ_INS_CLGDBR,
-	SYSZ_INS_CLGEBR,
-	SYSZ_INS_CLGF,
-	SYSZ_INS_CLGFI,
-	SYSZ_INS_CLGFR,
-	SYSZ_INS_CLGFRL,
-	SYSZ_INS_CLGHRL,
-	SYSZ_INS_CLGHSI,
-	SYSZ_INS_CLGR,
-	SYSZ_INS_CLGRL,
-	SYSZ_INS_CLGXBR,
-	SYSZ_INS_CLHF,
-	SYSZ_INS_CLHHSI,
-	SYSZ_INS_CLHRL,
-	SYSZ_INS_CLI,
-	SYSZ_INS_CLIH,
-	SYSZ_INS_CLIY,
-	SYSZ_INS_CLR,
-	SYSZ_INS_CLRL,
-	SYSZ_INS_CLST,
-	SYSZ_INS_CLY,
-	SYSZ_INS_CPSDR,
-	SYSZ_INS_CR,
-	SYSZ_INS_CRL,
-	SYSZ_INS_CS,
-	SYSZ_INS_CSG,
-	SYSZ_INS_CSY,
-	SYSZ_INS_CXBR,
-	SYSZ_INS_CXFBR,
-	SYSZ_INS_CXGBR,
-	SYSZ_INS_CXLFBR,
-	SYSZ_INS_CXLGBR,
-	SYSZ_INS_CY,
-	SYSZ_INS_DDB,
-	SYSZ_INS_DDBR,
-	SYSZ_INS_DEB,
-	SYSZ_INS_DEBR,
-	SYSZ_INS_DL,
-	SYSZ_INS_DLG,
-	SYSZ_INS_DLGR,
-	SYSZ_INS_DLR,
-	SYSZ_INS_DSG,
-	SYSZ_INS_DSGF,
-	SYSZ_INS_DSGFR,
-	SYSZ_INS_DSGR,
-	SYSZ_INS_DXBR,
-	SYSZ_INS_EAR,
-	SYSZ_INS_FIDBR,
-	SYSZ_INS_FIDBRA,
-	SYSZ_INS_FIEBR,
-	SYSZ_INS_FIEBRA,
-	SYSZ_INS_FIXBR,
-	SYSZ_INS_FIXBRA,
-	SYSZ_INS_FLOGR,
-	SYSZ_INS_IC,
-	SYSZ_INS_ICY,
-	SYSZ_INS_IIHF,
-	SYSZ_INS_IIHH,
-	SYSZ_INS_IIHL,
-	SYSZ_INS_IILF,
-	SYSZ_INS_IILH,
-	SYSZ_INS_IILL,
-	SYSZ_INS_IPM,
-	SYSZ_INS_L,
-	SYSZ_INS_LA,
-	SYSZ_INS_LAA,
-	SYSZ_INS_LAAG,
-	SYSZ_INS_LAAL,
-	SYSZ_INS_LAALG,
-	SYSZ_INS_LAN,
-	SYSZ_INS_LANG,
-	SYSZ_INS_LAO,
-	SYSZ_INS_LAOG,
-	SYSZ_INS_LARL,
-	SYSZ_INS_LAX,
-	SYSZ_INS_LAXG,
-	SYSZ_INS_LAY,
-	SYSZ_INS_LB,
-	SYSZ_INS_LBH,
-	SYSZ_INS_LBR,
-	SYSZ_INS_LCDBR,
-	SYSZ_INS_LCEBR,
-	SYSZ_INS_LCGFR,
-	SYSZ_INS_LCGR,
-	SYSZ_INS_LCR,
-	SYSZ_INS_LCXBR,
-	SYSZ_INS_LD,
-	SYSZ_INS_LDEB,
-	SYSZ_INS_LDEBR,
-	SYSZ_INS_LDGR,
-	SYSZ_INS_LDR,
-	SYSZ_INS_LDXBR,
-	SYSZ_INS_LDXBRA,
-	SYSZ_INS_LDY,
-	SYSZ_INS_LE,
-	SYSZ_INS_LEDBR,
-	SYSZ_INS_LEDBRA,
-	SYSZ_INS_LER,
-	SYSZ_INS_LEXBR,
-	SYSZ_INS_LEXBRA,
-	SYSZ_INS_LEY,
-	SYSZ_INS_LFH,
-	SYSZ_INS_LG,
-	SYSZ_INS_LGB,
-	SYSZ_INS_LGBR,
-	SYSZ_INS_LGDR,
-	SYSZ_INS_LGF,
-	SYSZ_INS_LGFI,
-	SYSZ_INS_LGFR,
-	SYSZ_INS_LGFRL,
-	SYSZ_INS_LGH,
-	SYSZ_INS_LGHI,
-	SYSZ_INS_LGHR,
-	SYSZ_INS_LGHRL,
-	SYSZ_INS_LGR,
-	SYSZ_INS_LGRL,
-	SYSZ_INS_LH,
-	SYSZ_INS_LHH,
-	SYSZ_INS_LHI,
-	SYSZ_INS_LHR,
-	SYSZ_INS_LHRL,
-	SYSZ_INS_LHY,
-	SYSZ_INS_LLC,
-	SYSZ_INS_LLCH,
-	SYSZ_INS_LLCR,
-	SYSZ_INS_LLGC,
-	SYSZ_INS_LLGCR,
-	SYSZ_INS_LLGF,
-	SYSZ_INS_LLGFR,
-	SYSZ_INS_LLGFRL,
-	SYSZ_INS_LLGH,
-	SYSZ_INS_LLGHR,
-	SYSZ_INS_LLGHRL,
-	SYSZ_INS_LLH,
-	SYSZ_INS_LLHH,
-	SYSZ_INS_LLHR,
-	SYSZ_INS_LLHRL,
-	SYSZ_INS_LLIHF,
-	SYSZ_INS_LLIHH,
-	SYSZ_INS_LLIHL,
-	SYSZ_INS_LLILF,
-	SYSZ_INS_LLILH,
-	SYSZ_INS_LLILL,
-	SYSZ_INS_LMG,
-	SYSZ_INS_LNDBR,
-	SYSZ_INS_LNEBR,
-	SYSZ_INS_LNGFR,
-	SYSZ_INS_LNGR,
-	SYSZ_INS_LNR,
-	SYSZ_INS_LNXBR,
-	SYSZ_INS_LPDBR,
-	SYSZ_INS_LPEBR,
-	SYSZ_INS_LPGFR,
-	SYSZ_INS_LPGR,
-	SYSZ_INS_LPR,
-	SYSZ_INS_LPXBR,
-	SYSZ_INS_LR,
-	SYSZ_INS_LRL,
-	SYSZ_INS_LRV,
-	SYSZ_INS_LRVG,
-	SYSZ_INS_LRVGR,
-	SYSZ_INS_LRVR,
-	SYSZ_INS_LT,
-	SYSZ_INS_LTDBR,
-	SYSZ_INS_LTEBR,
-	SYSZ_INS_LTG,
-	SYSZ_INS_LTGF,
-	SYSZ_INS_LTGFR,
-	SYSZ_INS_LTGR,
-	SYSZ_INS_LTR,
-	SYSZ_INS_LTXBR,
-	SYSZ_INS_LXDB,
-	SYSZ_INS_LXDBR,
-	SYSZ_INS_LXEB,
-	SYSZ_INS_LXEBR,
-	SYSZ_INS_LXR,
-	SYSZ_INS_LY,
-	SYSZ_INS_LZDR,
-	SYSZ_INS_LZER,
-	SYSZ_INS_LZXR,
-	SYSZ_INS_MADB,
-	SYSZ_INS_MADBR,
-	SYSZ_INS_MAEB,
-	SYSZ_INS_MAEBR,
-	SYSZ_INS_MDB,
-	SYSZ_INS_MDBR,
-	SYSZ_INS_MDEB,
-	SYSZ_INS_MDEBR,
-	SYSZ_INS_MEEB,
-	SYSZ_INS_MEEBR,
-	SYSZ_INS_MGHI,
-	SYSZ_INS_MH,
-	SYSZ_INS_MHI,
-	SYSZ_INS_MHY,
-	SYSZ_INS_MLG,
-	SYSZ_INS_MLGR,
-	SYSZ_INS_MS,
-	SYSZ_INS_MSDB,
-	SYSZ_INS_MSDBR,
-	SYSZ_INS_MSEB,
-	SYSZ_INS_MSEBR,
-	SYSZ_INS_MSFI,
-	SYSZ_INS_MSG,
-	SYSZ_INS_MSGF,
-	SYSZ_INS_MSGFI,
-	SYSZ_INS_MSGFR,
-	SYSZ_INS_MSGR,
-	SYSZ_INS_MSR,
-	SYSZ_INS_MSY,
-	SYSZ_INS_MVC,
-	SYSZ_INS_MVGHI,
-	SYSZ_INS_MVHHI,
-	SYSZ_INS_MVHI,
-	SYSZ_INS_MVI,
-	SYSZ_INS_MVIY,
-	SYSZ_INS_MVST,
-	SYSZ_INS_MXBR,
-	SYSZ_INS_MXDB,
-	SYSZ_INS_MXDBR,
-	SYSZ_INS_N,
-	SYSZ_INS_NC,
-	SYSZ_INS_NG,
-	SYSZ_INS_NGR,
-	SYSZ_INS_NGRK,
-	SYSZ_INS_NI,
-	SYSZ_INS_NIHF,
-	SYSZ_INS_NIHH,
-	SYSZ_INS_NIHL,
-	SYSZ_INS_NILF,
-	SYSZ_INS_NILH,
-	SYSZ_INS_NILL,
-	SYSZ_INS_NIY,
-	SYSZ_INS_NR,
-	SYSZ_INS_NRK,
-	SYSZ_INS_NY,
-	SYSZ_INS_O,
-	SYSZ_INS_OC,
-	SYSZ_INS_OG,
-	SYSZ_INS_OGR,
-	SYSZ_INS_OGRK,
-	SYSZ_INS_OI,
-	SYSZ_INS_OIHF,
-	SYSZ_INS_OIHH,
-	SYSZ_INS_OIHL,
-	SYSZ_INS_OILF,
-	SYSZ_INS_OILH,
-	SYSZ_INS_OILL,
-	SYSZ_INS_OIY,
-	SYSZ_INS_OR,
-	SYSZ_INS_ORK,
-	SYSZ_INS_OY,
-	SYSZ_INS_PFD,
-	SYSZ_INS_PFDRL,
-	SYSZ_INS_RISBG,
-	SYSZ_INS_RISBHG,
-	SYSZ_INS_RISBLG,
-	SYSZ_INS_RLL,
-	SYSZ_INS_RLLG,
-	SYSZ_INS_RNSBG,
-	SYSZ_INS_ROSBG,
-	SYSZ_INS_RXSBG,
-	SYSZ_INS_S,
-	SYSZ_INS_SDB,
-	SYSZ_INS_SDBR,
-	SYSZ_INS_SEB,
-	SYSZ_INS_SEBR,
-	SYSZ_INS_SG,
-	SYSZ_INS_SGF,
-	SYSZ_INS_SGFR,
-	SYSZ_INS_SGR,
-	SYSZ_INS_SGRK,
-	SYSZ_INS_SH,
-	SYSZ_INS_SHY,
-	SYSZ_INS_SL,
-	SYSZ_INS_SLB,
-	SYSZ_INS_SLBG,
-	SYSZ_INS_SLBR,
-	SYSZ_INS_SLFI,
-	SYSZ_INS_SLG,
-	SYSZ_INS_SLBGR,
-	SYSZ_INS_SLGF,
-	SYSZ_INS_SLGFI,
-	SYSZ_INS_SLGFR,
-	SYSZ_INS_SLGR,
-	SYSZ_INS_SLGRK,
-	SYSZ_INS_SLL,
-	SYSZ_INS_SLLG,
-	SYSZ_INS_SLLK,
-	SYSZ_INS_SLR,
-	SYSZ_INS_SLRK,
-	SYSZ_INS_SLY,
-	SYSZ_INS_SQDB,
-	SYSZ_INS_SQDBR,
-	SYSZ_INS_SQEB,
-	SYSZ_INS_SQEBR,
-	SYSZ_INS_SQXBR,
-	SYSZ_INS_SR,
-	SYSZ_INS_SRA,
-	SYSZ_INS_SRAG,
-	SYSZ_INS_SRAK,
-	SYSZ_INS_SRK,
-	SYSZ_INS_SRL,
-	SYSZ_INS_SRLG,
-	SYSZ_INS_SRLK,
-	SYSZ_INS_SRST,
-	SYSZ_INS_ST,
-	SYSZ_INS_STC,
-	SYSZ_INS_STCH,
-	SYSZ_INS_STCY,
-	SYSZ_INS_STD,
-	SYSZ_INS_STDY,
-	SYSZ_INS_STE,
-	SYSZ_INS_STEY,
-	SYSZ_INS_STFH,
-	SYSZ_INS_STG,
-	SYSZ_INS_STGRL,
-	SYSZ_INS_STH,
-	SYSZ_INS_STHH,
-	SYSZ_INS_STHRL,
-	SYSZ_INS_STHY,
-	SYSZ_INS_STMG,
-	SYSZ_INS_STRL,
-	SYSZ_INS_STRV,
-	SYSZ_INS_STRVG,
-	SYSZ_INS_STY,
-	SYSZ_INS_SXBR,
-	SYSZ_INS_SY,
-	SYSZ_INS_TM,
-	SYSZ_INS_TMHH,
-	SYSZ_INS_TMHL,
-	SYSZ_INS_TMLH,
-	SYSZ_INS_TMLL,
-	SYSZ_INS_TMY,
-	SYSZ_INS_X,
-	SYSZ_INS_XC,
-	SYSZ_INS_XG,
-	SYSZ_INS_XGR,
-	SYSZ_INS_XGRK,
-	SYSZ_INS_XI,
-	SYSZ_INS_XIHF,
-	SYSZ_INS_XILF,
-	SYSZ_INS_XIY,
-	SYSZ_INS_XR,
-	SYSZ_INS_XRK,
-	SYSZ_INS_XY,
-
-	SYSZ_INS_ENDING,   // <-- mark the end of the list of instructions
-} sysz_insn;
-
-//> Group of SystemZ instructions
-typedef enum sysz_insn_group {
-	SYSZ_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	SYSZ_GRP_JUMP,	// = CS_GRP_JUMP
-
-	//> Architecture-specific groups
-	SYSZ_GRP_DISTINCTOPS = 128,
-	SYSZ_GRP_FPEXTENSION,
-	SYSZ_GRP_HIGHWORD,
-	SYSZ_GRP_INTERLOCKEDACCESS1,
-	SYSZ_GRP_LOADSTOREONCOND,
-
-	SYSZ_GRP_ENDING,   // <-- mark the end of the list of groups
-} sysz_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/windowsce/intrin.h 4.0.2-3/include/windowsce/intrin.h
--- 4.0.1+really+3.0.5-2/include/windowsce/intrin.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/windowsce/intrin.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,12 @@
+
+#if defined(_MSC_VER) && defined(_WIN32_WCE) && (_WIN32_WCE < 0x800) && !defined(__INTRIN_H_) && !defined(_INTRIN)
+#define _STDINT
+
+#ifdef _M_ARM
+#include <armintr.h>
+#if (_WIN32_WCE >= 0x700) && defined(__ARM_ARCH_7__) || defined(__ARM_ARCH_7A__)
+#include <arm_neon.h>
+#endif
+#endif // _M_ARM
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/windowsce/stdint.h 4.0.2-3/include/windowsce/stdint.h
--- 4.0.1+really+3.0.5-2/include/windowsce/stdint.h	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/include/windowsce/stdint.h	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,133 @@
+
+#if defined(_MSC_VER) && defined(_WIN32_WCE) && (_WIN32_WCE < 0x800) && !defined(_STDINT_H_) && !defined(_STDINT)
+#define _STDINT
+
+typedef __int8
+	int8_t,
+	int_least8_t;
+
+typedef __int16
+	int16_t,
+	int_least16_t;
+
+typedef __int32
+	int32_t,
+	int_least32_t,
+	int_fast8_t,
+	int_fast16_t,
+	int_fast32_t;
+	
+typedef __int64
+	int64_t,
+	intmax_t,
+	int_least64_t,
+	int_fast64_t;
+
+typedef unsigned __int8
+	uint8_t,
+	uint_least8_t;
+	
+typedef unsigned __int16
+	uint16_t,
+	uint_least16_t;
+	
+typedef unsigned __int32
+	uint32_t,
+	uint_least32_t,
+	uint_fast8_t,
+	uint_fast16_t,
+	uint_fast32_t;
+	
+typedef unsigned __int64
+	uint64_t,
+	uintmax_t,
+	uint_least64_t,
+	uint_fast64_t;
+
+#ifndef _INTPTR_T_DEFINED
+#define _INTPTR_T_DEFINED
+typedef __int32	intptr_t;
+#endif
+
+#ifndef _UINTPTR_T_DEFINED
+#define _UINTPTR_T_DEFINED
+typedef unsigned __int32	uintptr_t;
+#endif
+
+#define INT8_MIN         (-127i8 - 1)
+#define INT16_MIN        (-32767i16 - 1)
+#define INT32_MIN        (-2147483647i32 - 1)
+#define INT64_MIN        (-9223372036854775807i64 - 1)
+#define INT8_MAX         127i8
+#define INT16_MAX        32767i16
+#define INT32_MAX        2147483647i32
+#define INT64_MAX        9223372036854775807i64
+#define UINT8_MAX        0xffui8
+#define UINT16_MAX       0xffffui16
+#define UINT32_MAX       0xffffffffui32
+#define UINT64_MAX       0xffffffffffffffffui64
+
+#define INT_LEAST8_MIN   INT8_MIN
+#define INT_LEAST16_MIN  INT16_MIN
+#define INT_LEAST32_MIN  INT32_MIN
+#define INT_LEAST64_MIN  INT64_MIN
+#define INT_LEAST8_MAX   INT8_MAX
+#define INT_LEAST16_MAX  INT16_MAX
+#define INT_LEAST32_MAX  INT32_MAX
+#define INT_LEAST64_MAX  INT64_MAX
+#define UINT_LEAST8_MAX  UINT8_MAX
+#define UINT_LEAST16_MAX UINT16_MAX
+#define UINT_LEAST32_MAX UINT32_MAX
+#define UINT_LEAST64_MAX UINT64_MAX
+
+#define INT_FAST8_MIN    INT8_MIN
+#define INT_FAST16_MIN   INT32_MIN
+#define INT_FAST32_MIN   INT32_MIN
+#define INT_FAST64_MIN   INT64_MIN
+#define INT_FAST8_MAX    INT8_MAX
+#define INT_FAST16_MAX   INT32_MAX
+#define INT_FAST32_MAX   INT32_MAX
+#define INT_FAST64_MAX   INT64_MAX
+#define UINT_FAST8_MAX   UINT8_MAX
+#define UINT_FAST16_MAX  UINT32_MAX
+#define UINT_FAST32_MAX  UINT32_MAX
+#define UINT_FAST64_MAX  UINT64_MAX
+
+#define INTPTR_MIN      INT32_MIN
+#define INTPTR_MAX      INT32_MAX
+#define UINTPTR_MAX     UINT32_MAX
+
+#define INTMAX_MIN       INT64_MIN
+#define INTMAX_MAX       INT64_MAX
+#define UINTMAX_MAX      UINT64_MAX
+
+#define PTRDIFF_MIN      INTPTR_MIN
+#define PTRDIFF_MAX      INTPTR_MAX
+
+#ifndef SIZE_MAX
+#define SIZE_MAX        UINTPTR_MAX
+#endif
+
+#define SIG_ATOMIC_MIN   INT32_MIN
+#define SIG_ATOMIC_MAX   INT32_MAX
+
+#define WCHAR_MIN        0x0000
+#define WCHAR_MAX        0xffff
+
+#define WINT_MIN         0x0000
+#define WINT_MAX         0xffff
+
+#define INT8_C(x)    (x)
+#define INT16_C(x)   (x)
+#define INT32_C(x)   (x)
+#define INT64_C(x)   (x ## LL)
+
+#define UINT8_C(x)   (x)
+#define UINT16_C(x)  (x)
+#define UINT32_C(x)  (x ## U)
+#define UINT64_C(x)  (x ## ULL)
+
+#define INTMAX_C(x)  INT64_C(x)
+#define UINTMAX_C(x) UINT64_C(x)
+
+#endif
diff -pruN 4.0.1+really+3.0.5-2/include/x86.h 4.0.2-3/include/x86.h
--- 4.0.1+really+3.0.5-2/include/x86.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/x86.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,1632 +0,0 @@
-#ifndef CAPSTONE_X86_H
-#define CAPSTONE_X86_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-// Calculate relative address for X86-64, given cs_insn structure
-#define X86_REL_ADDR(insn) (((insn).detail->x86.operands[0].type == X86_OP_IMM) \
-	? (uint64_t)((insn).detail->x86.operands[0].imm) \
-	: (((insn).address + (insn).size) + (uint64_t)(insn).detail->x86.disp))
-
-//> X86 registers
-typedef enum x86_reg {
-	X86_REG_INVALID = 0,
-	X86_REG_AH, X86_REG_AL, X86_REG_AX, X86_REG_BH, X86_REG_BL,
-	X86_REG_BP, X86_REG_BPL, X86_REG_BX, X86_REG_CH, X86_REG_CL,
-	X86_REG_CS, X86_REG_CX, X86_REG_DH, X86_REG_DI, X86_REG_DIL,
-	X86_REG_DL, X86_REG_DS, X86_REG_DX, X86_REG_EAX, X86_REG_EBP,
-	X86_REG_EBX, X86_REG_ECX, X86_REG_EDI, X86_REG_EDX, X86_REG_EFLAGS,
-	X86_REG_EIP, X86_REG_EIZ, X86_REG_ES, X86_REG_ESI, X86_REG_ESP,
-	X86_REG_FPSW, X86_REG_FS, X86_REG_GS, X86_REG_IP, X86_REG_RAX,
-	X86_REG_RBP, X86_REG_RBX, X86_REG_RCX, X86_REG_RDI, X86_REG_RDX,
-	X86_REG_RIP, X86_REG_RIZ, X86_REG_RSI, X86_REG_RSP, X86_REG_SI,
-	X86_REG_SIL, X86_REG_SP, X86_REG_SPL, X86_REG_SS, X86_REG_CR0,
-	X86_REG_CR1, X86_REG_CR2, X86_REG_CR3, X86_REG_CR4, X86_REG_CR5,
-	X86_REG_CR6, X86_REG_CR7, X86_REG_CR8, X86_REG_CR9, X86_REG_CR10,
-	X86_REG_CR11, X86_REG_CR12, X86_REG_CR13, X86_REG_CR14, X86_REG_CR15,
-	X86_REG_DR0, X86_REG_DR1, X86_REG_DR2, X86_REG_DR3, X86_REG_DR4,
-	X86_REG_DR5, X86_REG_DR6, X86_REG_DR7, X86_REG_FP0, X86_REG_FP1,
-	X86_REG_FP2, X86_REG_FP3, X86_REG_FP4, X86_REG_FP5, X86_REG_FP6, X86_REG_FP7,
-	X86_REG_K0, X86_REG_K1, X86_REG_K2, X86_REG_K3, X86_REG_K4,
-	X86_REG_K5, X86_REG_K6, X86_REG_K7, X86_REG_MM0, X86_REG_MM1,
-	X86_REG_MM2, X86_REG_MM3, X86_REG_MM4, X86_REG_MM5, X86_REG_MM6,
-	X86_REG_MM7, X86_REG_R8, X86_REG_R9, X86_REG_R10, X86_REG_R11,
-	X86_REG_R12, X86_REG_R13, X86_REG_R14, X86_REG_R15,
-	X86_REG_ST0, X86_REG_ST1, X86_REG_ST2, X86_REG_ST3,
-	X86_REG_ST4, X86_REG_ST5, X86_REG_ST6, X86_REG_ST7,
-	X86_REG_XMM0, X86_REG_XMM1, X86_REG_XMM2, X86_REG_XMM3, X86_REG_XMM4,
-	X86_REG_XMM5, X86_REG_XMM6, X86_REG_XMM7, X86_REG_XMM8, X86_REG_XMM9,
-	X86_REG_XMM10, X86_REG_XMM11, X86_REG_XMM12, X86_REG_XMM13, X86_REG_XMM14,
-	X86_REG_XMM15, X86_REG_XMM16, X86_REG_XMM17, X86_REG_XMM18, X86_REG_XMM19,
-	X86_REG_XMM20, X86_REG_XMM21, X86_REG_XMM22, X86_REG_XMM23, X86_REG_XMM24,
-	X86_REG_XMM25, X86_REG_XMM26, X86_REG_XMM27, X86_REG_XMM28, X86_REG_XMM29,
-	X86_REG_XMM30, X86_REG_XMM31, X86_REG_YMM0, X86_REG_YMM1, X86_REG_YMM2,
-	X86_REG_YMM3, X86_REG_YMM4, X86_REG_YMM5, X86_REG_YMM6, X86_REG_YMM7,
-	X86_REG_YMM8, X86_REG_YMM9, X86_REG_YMM10, X86_REG_YMM11, X86_REG_YMM12,
-	X86_REG_YMM13, X86_REG_YMM14, X86_REG_YMM15, X86_REG_YMM16, X86_REG_YMM17,
-	X86_REG_YMM18, X86_REG_YMM19, X86_REG_YMM20, X86_REG_YMM21, X86_REG_YMM22,
-	X86_REG_YMM23, X86_REG_YMM24, X86_REG_YMM25, X86_REG_YMM26, X86_REG_YMM27,
-	X86_REG_YMM28, X86_REG_YMM29, X86_REG_YMM30, X86_REG_YMM31, X86_REG_ZMM0,
-	X86_REG_ZMM1, X86_REG_ZMM2, X86_REG_ZMM3, X86_REG_ZMM4, X86_REG_ZMM5,
-	X86_REG_ZMM6, X86_REG_ZMM7, X86_REG_ZMM8, X86_REG_ZMM9, X86_REG_ZMM10,
-	X86_REG_ZMM11, X86_REG_ZMM12, X86_REG_ZMM13, X86_REG_ZMM14, X86_REG_ZMM15,
-	X86_REG_ZMM16, X86_REG_ZMM17, X86_REG_ZMM18, X86_REG_ZMM19, X86_REG_ZMM20,
-	X86_REG_ZMM21, X86_REG_ZMM22, X86_REG_ZMM23, X86_REG_ZMM24, X86_REG_ZMM25,
-	X86_REG_ZMM26, X86_REG_ZMM27, X86_REG_ZMM28, X86_REG_ZMM29, X86_REG_ZMM30,
-	X86_REG_ZMM31, X86_REG_R8B, X86_REG_R9B, X86_REG_R10B, X86_REG_R11B,
-	X86_REG_R12B, X86_REG_R13B, X86_REG_R14B, X86_REG_R15B, X86_REG_R8D,
-	X86_REG_R9D, X86_REG_R10D, X86_REG_R11D, X86_REG_R12D, X86_REG_R13D,
-	X86_REG_R14D, X86_REG_R15D, X86_REG_R8W, X86_REG_R9W, X86_REG_R10W,
-	X86_REG_R11W, X86_REG_R12W, X86_REG_R13W, X86_REG_R14W, X86_REG_R15W,
-
-	X86_REG_ENDING		// <-- mark the end of the list of registers
-} x86_reg;
-
-//> Operand type for instruction's operands
-typedef enum x86_op_type {
-	X86_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	X86_OP_REG, // = CS_OP_REG (Register operand).
-	X86_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	X86_OP_MEM, // = CS_OP_MEM (Memory operand).
-	X86_OP_FP,  //  = CS_OP_FP  (Floating-Point operand).
-} x86_op_type;
-
-//> AVX broadcast type
-typedef enum x86_avx_bcast {
-	X86_AVX_BCAST_INVALID = 0,	// Uninitialized.
-	X86_AVX_BCAST_2,	// AVX512 broadcast type {1to2}
-	X86_AVX_BCAST_4,	// AVX512 broadcast type {1to4}
-	X86_AVX_BCAST_8,	// AVX512 broadcast type {1to8}
-	X86_AVX_BCAST_16,	// AVX512 broadcast type {1to16}
-} x86_avx_bcast;
-
-//> SSE Code Condition type
-typedef enum x86_sse_cc {
-	X86_SSE_CC_INVALID = 0,	// Uninitialized.
-	X86_SSE_CC_EQ,
-	X86_SSE_CC_LT,
-	X86_SSE_CC_LE,
-	X86_SSE_CC_UNORD,
-	X86_SSE_CC_NEQ,
-	X86_SSE_CC_NLT,
-	X86_SSE_CC_NLE,
-	X86_SSE_CC_ORD,
-	X86_SSE_CC_EQ_UQ,
-	X86_SSE_CC_NGE,
-	X86_SSE_CC_NGT,
-	X86_SSE_CC_FALSE,
-	X86_SSE_CC_NEQ_OQ,
-	X86_SSE_CC_GE,
-	X86_SSE_CC_GT,
-	X86_SSE_CC_TRUE,
-} x86_sse_cc;
-
-//> AVX Code Condition type
-typedef enum x86_avx_cc {
-	X86_AVX_CC_INVALID = 0,	// Uninitialized.
-	X86_AVX_CC_EQ,
-	X86_AVX_CC_LT,
-	X86_AVX_CC_LE,
-	X86_AVX_CC_UNORD,
-	X86_AVX_CC_NEQ,
-	X86_AVX_CC_NLT,
-	X86_AVX_CC_NLE,
-	X86_AVX_CC_ORD,
-	X86_AVX_CC_EQ_UQ,
-	X86_AVX_CC_NGE,
-	X86_AVX_CC_NGT,
-	X86_AVX_CC_FALSE,
-	X86_AVX_CC_NEQ_OQ,
-	X86_AVX_CC_GE,
-	X86_AVX_CC_GT,
-	X86_AVX_CC_TRUE,
-	X86_AVX_CC_EQ_OS,
-	X86_AVX_CC_LT_OQ,
-	X86_AVX_CC_LE_OQ,
-	X86_AVX_CC_UNORD_S,
-	X86_AVX_CC_NEQ_US,
-	X86_AVX_CC_NLT_UQ,
-	X86_AVX_CC_NLE_UQ,
-	X86_AVX_CC_ORD_S,
-	X86_AVX_CC_EQ_US,
-	X86_AVX_CC_NGE_UQ,
-	X86_AVX_CC_NGT_UQ,
-	X86_AVX_CC_FALSE_OS,
-	X86_AVX_CC_NEQ_OS,
-	X86_AVX_CC_GE_OQ,
-	X86_AVX_CC_GT_OQ,
-	X86_AVX_CC_TRUE_US,
-} x86_avx_cc;
-
-//> AVX static rounding mode type
-typedef enum x86_avx_rm {
-	X86_AVX_RM_INVALID = 0,	// Uninitialized.
-	X86_AVX_RM_RN,	// Round to nearest
-	X86_AVX_RM_RD,	// Round down
-	X86_AVX_RM_RU,	// Round up
-	X86_AVX_RM_RZ,	// Round toward zero
-} x86_avx_rm;
-
-//> Instruction prefixes - to be used in cs_x86.prefix[]
-typedef enum x86_prefix {
-	X86_PREFIX_LOCK		= 	0xf0,	// lock (cs_x86.prefix[0]
-	X86_PREFIX_REP		= 	0xf3,	// rep (cs_x86.prefix[0]
-	X86_PREFIX_REPNE	= 	0xf2,	// repne (cs_x86.prefix[0]
-
-	X86_PREFIX_CS		= 	0x2e,	// segment override CS (cs_x86.prefix[1]
-	X86_PREFIX_SS		= 	0x36,	// segment override SS (cs_x86.prefix[1]
-	X86_PREFIX_DS		= 	0x3e,	// segment override DS (cs_x86.prefix[1]
-	X86_PREFIX_ES		= 	0x26,	// segment override ES (cs_x86.prefix[1]
-	X86_PREFIX_FS		= 	0x64,	// segment override FS (cs_x86.prefix[1]
-	X86_PREFIX_GS		= 	0x65,	// segment override GS (cs_x86.prefix[1]
-
-	X86_PREFIX_OPSIZE	=	0x66,	// operand-size override (cs_x86.prefix[2]
-	X86_PREFIX_ADDRSIZE	=	0x67,	// address-size override (cs_x86.prefix[3]
-} x86_prefix;
-
-// Instruction's operand referring to memory
-// This is associated with X86_OP_MEM operand type above
-typedef struct x86_op_mem {
-	unsigned int segment; // segment register (or X86_REG_INVALID if irrelevant)
-	unsigned int base;	// base register (or X86_REG_INVALID if irrelevant)
-	unsigned int index;	// index register (or X86_REG_INVALID if irrelevant)
-	int scale;	// scale for index register
-	int64_t disp;	// displacement value
-} x86_op_mem;
-
-// Instruction operand
-typedef struct cs_x86_op {
-		x86_op_type type;	// operand type
-		union {
-			x86_reg reg;	// register value for REG operand
-			int64_t imm;		// immediate value for IMM operand
-			double fp;		// floating point value for FP operand
-			x86_op_mem mem;		// base/index/scale/disp value for MEM operand
-		};
-
-		// size of this operand (in bytes).
-		uint8_t size;
-
-		// AVX broadcast type, or 0 if irrelevant
-		x86_avx_bcast avx_bcast;
-
-		// AVX zero opmask {z}
-		bool avx_zero_opmask;
-} cs_x86_op;
-
-// Instruction structure
-typedef struct cs_x86 {
-	// Instruction prefix, which can be up to 4 bytes.
-	// A prefix byte gets value 0 when irrelevant.
-	// prefix[0] indicates REP/REPNE/LOCK prefix (See X86_PREFIX_REP/REPNE/LOCK above)
-	// prefix[1] indicates segment override (irrelevant for x86_64):
-	// See X86_PREFIX_CS/SS/DS/ES/FS/GS above.
-	// prefix[2] indicates operand-size override (X86_PREFIX_OPSIZE)
-	// prefix[3] indicates address-size override (X86_PREFIX_ADDRSIZE)
-	uint8_t prefix[4];
-
-	// Instruction opcode, which can be from 1 to 4 bytes in size.
-	// This contains VEX opcode as well.
-	// An trailing opcode byte gets value 0 when irrelevant.
-	uint8_t opcode[4];
-
-	// REX prefix: only a non-zero value is relevant for x86_64
-	uint8_t rex;
-
-	// Address size, which can be overridden with above prefix[5].
-	uint8_t addr_size;
-
-	// ModR/M byte
-	uint8_t modrm;
-
-	// SIB value, or 0 when irrelevant.
-	uint8_t sib;
-
-	// Displacement value, or 0 when irrelevant.
-	int32_t disp;
-
-	/* SIB state */
-	// SIB index register, or X86_REG_INVALID when irrelevant.
-	x86_reg sib_index;
-	// SIB scale. only applicable if sib_index is relevant.
-	int8_t sib_scale;
-	// SIB base register, or X86_REG_INVALID when irrelevant.
-	x86_reg sib_base;
-
-	// SSE Code Condition
-	x86_sse_cc sse_cc;
-
-	// AVX Code Condition
-	x86_avx_cc avx_cc;
-
-	// AVX Suppress all Exception
-	bool avx_sae;
-
-	// AVX static rounding mode
-	x86_avx_rm avx_rm;
-
-	// Number of operands of this instruction,
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-
-	cs_x86_op operands[8];	// operands for this instruction.
-} cs_x86;
-
-//> X86 instructions
-typedef enum x86_insn {
-	X86_INS_INVALID = 0,
-
-	X86_INS_AAA,
-	X86_INS_AAD,
-	X86_INS_AAM,
-	X86_INS_AAS,
-	X86_INS_FABS,
-	X86_INS_ADC,
-	X86_INS_ADCX,
-	X86_INS_ADD,
-	X86_INS_ADDPD,
-	X86_INS_ADDPS,
-	X86_INS_ADDSD,
-	X86_INS_ADDSS,
-	X86_INS_ADDSUBPD,
-	X86_INS_ADDSUBPS,
-	X86_INS_FADD,
-	X86_INS_FIADD,
-	X86_INS_FADDP,
-	X86_INS_ADOX,
-	X86_INS_AESDECLAST,
-	X86_INS_AESDEC,
-	X86_INS_AESENCLAST,
-	X86_INS_AESENC,
-	X86_INS_AESIMC,
-	X86_INS_AESKEYGENASSIST,
-	X86_INS_AND,
-	X86_INS_ANDN,
-	X86_INS_ANDNPD,
-	X86_INS_ANDNPS,
-	X86_INS_ANDPD,
-	X86_INS_ANDPS,
-	X86_INS_ARPL,
-	X86_INS_BEXTR,
-	X86_INS_BLCFILL,
-	X86_INS_BLCI,
-	X86_INS_BLCIC,
-	X86_INS_BLCMSK,
-	X86_INS_BLCS,
-	X86_INS_BLENDPD,
-	X86_INS_BLENDPS,
-	X86_INS_BLENDVPD,
-	X86_INS_BLENDVPS,
-	X86_INS_BLSFILL,
-	X86_INS_BLSI,
-	X86_INS_BLSIC,
-	X86_INS_BLSMSK,
-	X86_INS_BLSR,
-	X86_INS_BOUND,
-	X86_INS_BSF,
-	X86_INS_BSR,
-	X86_INS_BSWAP,
-	X86_INS_BT,
-	X86_INS_BTC,
-	X86_INS_BTR,
-	X86_INS_BTS,
-	X86_INS_BZHI,
-	X86_INS_CALL,
-	X86_INS_CBW,
-	X86_INS_CDQ,
-	X86_INS_CDQE,
-	X86_INS_FCHS,
-	X86_INS_CLAC,
-	X86_INS_CLC,
-	X86_INS_CLD,
-	X86_INS_CLFLUSH,
-	X86_INS_CLGI,
-	X86_INS_CLI,
-	X86_INS_CLTS,
-	X86_INS_CMC,
-	X86_INS_CMOVA,
-	X86_INS_CMOVAE,
-	X86_INS_CMOVB,
-	X86_INS_CMOVBE,
-	X86_INS_FCMOVBE,
-	X86_INS_FCMOVB,
-	X86_INS_CMOVE,
-	X86_INS_FCMOVE,
-	X86_INS_CMOVG,
-	X86_INS_CMOVGE,
-	X86_INS_CMOVL,
-	X86_INS_CMOVLE,
-	X86_INS_FCMOVNBE,
-	X86_INS_FCMOVNB,
-	X86_INS_CMOVNE,
-	X86_INS_FCMOVNE,
-	X86_INS_CMOVNO,
-	X86_INS_CMOVNP,
-	X86_INS_FCMOVNU,
-	X86_INS_CMOVNS,
-	X86_INS_CMOVO,
-	X86_INS_CMOVP,
-	X86_INS_FCMOVU,
-	X86_INS_CMOVS,
-	X86_INS_CMP,
-	X86_INS_CMPPD,
-	X86_INS_CMPPS,
-	X86_INS_CMPSB,
-	X86_INS_CMPSD,
-	X86_INS_CMPSQ,
-	X86_INS_CMPSS,
-	X86_INS_CMPSW,
-	X86_INS_CMPXCHG16B,
-	X86_INS_CMPXCHG,
-	X86_INS_CMPXCHG8B,
-	X86_INS_COMISD,
-	X86_INS_COMISS,
-	X86_INS_FCOMP,
-	X86_INS_FCOMPI,
-	X86_INS_FCOMI,
-	X86_INS_FCOM,
-	X86_INS_FCOS,
-	X86_INS_CPUID,
-	X86_INS_CQO,
-	X86_INS_CRC32,
-	X86_INS_CVTDQ2PD,
-	X86_INS_CVTDQ2PS,
-	X86_INS_CVTPD2DQ,
-	X86_INS_CVTPD2PS,
-	X86_INS_CVTPS2DQ,
-	X86_INS_CVTPS2PD,
-	X86_INS_CVTSD2SI,
-	X86_INS_CVTSD2SS,
-	X86_INS_CVTSI2SD,
-	X86_INS_CVTSI2SS,
-	X86_INS_CVTSS2SD,
-	X86_INS_CVTSS2SI,
-	X86_INS_CVTTPD2DQ,
-	X86_INS_CVTTPS2DQ,
-	X86_INS_CVTTSD2SI,
-	X86_INS_CVTTSS2SI,
-	X86_INS_CWD,
-	X86_INS_CWDE,
-	X86_INS_DAA,
-	X86_INS_DAS,
-	X86_INS_DATA16,
-	X86_INS_DEC,
-	X86_INS_DIV,
-	X86_INS_DIVPD,
-	X86_INS_DIVPS,
-	X86_INS_FDIVR,
-	X86_INS_FIDIVR,
-	X86_INS_FDIVRP,
-	X86_INS_DIVSD,
-	X86_INS_DIVSS,
-	X86_INS_FDIV,
-	X86_INS_FIDIV,
-	X86_INS_FDIVP,
-	X86_INS_DPPD,
-	X86_INS_DPPS,
-	X86_INS_RET,
-	X86_INS_ENCLS,
-	X86_INS_ENCLU,
-	X86_INS_ENTER,
-	X86_INS_EXTRACTPS,
-	X86_INS_EXTRQ,
-	X86_INS_F2XM1,
-	X86_INS_LCALL,
-	X86_INS_LJMP,
-	X86_INS_FBLD,
-	X86_INS_FBSTP,
-	X86_INS_FCOMPP,
-	X86_INS_FDECSTP,
-	X86_INS_FEMMS,
-	X86_INS_FFREE,
-	X86_INS_FICOM,
-	X86_INS_FICOMP,
-	X86_INS_FINCSTP,
-	X86_INS_FLDCW,
-	X86_INS_FLDENV,
-	X86_INS_FLDL2E,
-	X86_INS_FLDL2T,
-	X86_INS_FLDLG2,
-	X86_INS_FLDLN2,
-	X86_INS_FLDPI,
-	X86_INS_FNCLEX,
-	X86_INS_FNINIT,
-	X86_INS_FNOP,
-	X86_INS_FNSTCW,
-	X86_INS_FNSTSW,
-	X86_INS_FPATAN,
-	X86_INS_FPREM,
-	X86_INS_FPREM1,
-	X86_INS_FPTAN,
-	X86_INS_FRNDINT,
-	X86_INS_FRSTOR,
-	X86_INS_FNSAVE,
-	X86_INS_FSCALE,
-	X86_INS_FSETPM,
-	X86_INS_FSINCOS,
-	X86_INS_FNSTENV,
-	X86_INS_FXAM,
-	X86_INS_FXRSTOR,
-	X86_INS_FXRSTOR64,
-	X86_INS_FXSAVE,
-	X86_INS_FXSAVE64,
-	X86_INS_FXTRACT,
-	X86_INS_FYL2X,
-	X86_INS_FYL2XP1,
-	X86_INS_MOVAPD,
-	X86_INS_MOVAPS,
-	X86_INS_ORPD,
-	X86_INS_ORPS,
-	X86_INS_VMOVAPD,
-	X86_INS_VMOVAPS,
-	X86_INS_XORPD,
-	X86_INS_XORPS,
-	X86_INS_GETSEC,
-	X86_INS_HADDPD,
-	X86_INS_HADDPS,
-	X86_INS_HLT,
-	X86_INS_HSUBPD,
-	X86_INS_HSUBPS,
-	X86_INS_IDIV,
-	X86_INS_FILD,
-	X86_INS_IMUL,
-	X86_INS_IN,
-	X86_INS_INC,
-	X86_INS_INSB,
-	X86_INS_INSERTPS,
-	X86_INS_INSERTQ,
-	X86_INS_INSD,
-	X86_INS_INSW,
-	X86_INS_INT,
-	X86_INS_INT1,
-	X86_INS_INT3,
-	X86_INS_INTO,
-	X86_INS_INVD,
-	X86_INS_INVEPT,
-	X86_INS_INVLPG,
-	X86_INS_INVLPGA,
-	X86_INS_INVPCID,
-	X86_INS_INVVPID,
-	X86_INS_IRET,
-	X86_INS_IRETD,
-	X86_INS_IRETQ,
-	X86_INS_FISTTP,
-	X86_INS_FIST,
-	X86_INS_FISTP,
-	X86_INS_UCOMISD,
-	X86_INS_UCOMISS,
-	X86_INS_VCMP,
-	X86_INS_VCOMISD,
-	X86_INS_VCOMISS,
-	X86_INS_VCVTSD2SS,
-	X86_INS_VCVTSI2SD,
-	X86_INS_VCVTSI2SS,
-	X86_INS_VCVTSS2SD,
-	X86_INS_VCVTTSD2SI,
-	X86_INS_VCVTTSD2USI,
-	X86_INS_VCVTTSS2SI,
-	X86_INS_VCVTTSS2USI,
-	X86_INS_VCVTUSI2SD,
-	X86_INS_VCVTUSI2SS,
-	X86_INS_VUCOMISD,
-	X86_INS_VUCOMISS,
-	X86_INS_JAE,
-	X86_INS_JA,
-	X86_INS_JBE,
-	X86_INS_JB,
-	X86_INS_JCXZ,
-	X86_INS_JECXZ,
-	X86_INS_JE,
-	X86_INS_JGE,
-	X86_INS_JG,
-	X86_INS_JLE,
-	X86_INS_JL,
-	X86_INS_JMP,
-	X86_INS_JNE,
-	X86_INS_JNO,
-	X86_INS_JNP,
-	X86_INS_JNS,
-	X86_INS_JO,
-	X86_INS_JP,
-	X86_INS_JRCXZ,
-	X86_INS_JS,
-	X86_INS_KANDB,
-	X86_INS_KANDD,
-	X86_INS_KANDNB,
-	X86_INS_KANDND,
-	X86_INS_KANDNQ,
-	X86_INS_KANDNW,
-	X86_INS_KANDQ,
-	X86_INS_KANDW,
-	X86_INS_KMOVB,
-	X86_INS_KMOVD,
-	X86_INS_KMOVQ,
-	X86_INS_KMOVW,
-	X86_INS_KNOTB,
-	X86_INS_KNOTD,
-	X86_INS_KNOTQ,
-	X86_INS_KNOTW,
-	X86_INS_KORB,
-	X86_INS_KORD,
-	X86_INS_KORQ,
-	X86_INS_KORTESTW,
-	X86_INS_KORW,
-	X86_INS_KSHIFTLW,
-	X86_INS_KSHIFTRW,
-	X86_INS_KUNPCKBW,
-	X86_INS_KXNORB,
-	X86_INS_KXNORD,
-	X86_INS_KXNORQ,
-	X86_INS_KXNORW,
-	X86_INS_KXORB,
-	X86_INS_KXORD,
-	X86_INS_KXORQ,
-	X86_INS_KXORW,
-	X86_INS_LAHF,
-	X86_INS_LAR,
-	X86_INS_LDDQU,
-	X86_INS_LDMXCSR,
-	X86_INS_LDS,
-	X86_INS_FLDZ,
-	X86_INS_FLD1,
-	X86_INS_FLD,
-	X86_INS_LEA,
-	X86_INS_LEAVE,
-	X86_INS_LES,
-	X86_INS_LFENCE,
-	X86_INS_LFS,
-	X86_INS_LGDT,
-	X86_INS_LGS,
-	X86_INS_LIDT,
-	X86_INS_LLDT,
-	X86_INS_LMSW,
-	X86_INS_OR,
-	X86_INS_SUB,
-	X86_INS_XOR,
-	X86_INS_LODSB,
-	X86_INS_LODSD,
-	X86_INS_LODSQ,
-	X86_INS_LODSW,
-	X86_INS_LOOP,
-	X86_INS_LOOPE,
-	X86_INS_LOOPNE,
-	X86_INS_RETF,
-	X86_INS_RETFQ,
-	X86_INS_LSL,
-	X86_INS_LSS,
-	X86_INS_LTR,
-	X86_INS_XADD,
-	X86_INS_LZCNT,
-	X86_INS_MASKMOVDQU,
-	X86_INS_MAXPD,
-	X86_INS_MAXPS,
-	X86_INS_MAXSD,
-	X86_INS_MAXSS,
-	X86_INS_MFENCE,
-	X86_INS_MINPD,
-	X86_INS_MINPS,
-	X86_INS_MINSD,
-	X86_INS_MINSS,
-	X86_INS_CVTPD2PI,
-	X86_INS_CVTPI2PD,
-	X86_INS_CVTPI2PS,
-	X86_INS_CVTPS2PI,
-	X86_INS_CVTTPD2PI,
-	X86_INS_CVTTPS2PI,
-	X86_INS_EMMS,
-	X86_INS_MASKMOVQ,
-	X86_INS_MOVD,
-	X86_INS_MOVDQ2Q,
-	X86_INS_MOVNTQ,
-	X86_INS_MOVQ2DQ,
-	X86_INS_MOVQ,
-	X86_INS_PABSB,
-	X86_INS_PABSD,
-	X86_INS_PABSW,
-	X86_INS_PACKSSDW,
-	X86_INS_PACKSSWB,
-	X86_INS_PACKUSWB,
-	X86_INS_PADDB,
-	X86_INS_PADDD,
-	X86_INS_PADDQ,
-	X86_INS_PADDSB,
-	X86_INS_PADDSW,
-	X86_INS_PADDUSB,
-	X86_INS_PADDUSW,
-	X86_INS_PADDW,
-	X86_INS_PALIGNR,
-	X86_INS_PANDN,
-	X86_INS_PAND,
-	X86_INS_PAVGB,
-	X86_INS_PAVGW,
-	X86_INS_PCMPEQB,
-	X86_INS_PCMPEQD,
-	X86_INS_PCMPEQW,
-	X86_INS_PCMPGTB,
-	X86_INS_PCMPGTD,
-	X86_INS_PCMPGTW,
-	X86_INS_PEXTRW,
-	X86_INS_PHADDSW,
-	X86_INS_PHADDW,
-	X86_INS_PHADDD,
-	X86_INS_PHSUBD,
-	X86_INS_PHSUBSW,
-	X86_INS_PHSUBW,
-	X86_INS_PINSRW,
-	X86_INS_PMADDUBSW,
-	X86_INS_PMADDWD,
-	X86_INS_PMAXSW,
-	X86_INS_PMAXUB,
-	X86_INS_PMINSW,
-	X86_INS_PMINUB,
-	X86_INS_PMOVMSKB,
-	X86_INS_PMULHRSW,
-	X86_INS_PMULHUW,
-	X86_INS_PMULHW,
-	X86_INS_PMULLW,
-	X86_INS_PMULUDQ,
-	X86_INS_POR,
-	X86_INS_PSADBW,
-	X86_INS_PSHUFB,
-	X86_INS_PSHUFW,
-	X86_INS_PSIGNB,
-	X86_INS_PSIGND,
-	X86_INS_PSIGNW,
-	X86_INS_PSLLD,
-	X86_INS_PSLLQ,
-	X86_INS_PSLLW,
-	X86_INS_PSRAD,
-	X86_INS_PSRAW,
-	X86_INS_PSRLD,
-	X86_INS_PSRLQ,
-	X86_INS_PSRLW,
-	X86_INS_PSUBB,
-	X86_INS_PSUBD,
-	X86_INS_PSUBQ,
-	X86_INS_PSUBSB,
-	X86_INS_PSUBSW,
-	X86_INS_PSUBUSB,
-	X86_INS_PSUBUSW,
-	X86_INS_PSUBW,
-	X86_INS_PUNPCKHBW,
-	X86_INS_PUNPCKHDQ,
-	X86_INS_PUNPCKHWD,
-	X86_INS_PUNPCKLBW,
-	X86_INS_PUNPCKLDQ,
-	X86_INS_PUNPCKLWD,
-	X86_INS_PXOR,
-	X86_INS_MONITOR,
-	X86_INS_MONTMUL,
-	X86_INS_MOV,
-	X86_INS_MOVABS,
-	X86_INS_MOVBE,
-	X86_INS_MOVDDUP,
-	X86_INS_MOVDQA,
-	X86_INS_MOVDQU,
-	X86_INS_MOVHLPS,
-	X86_INS_MOVHPD,
-	X86_INS_MOVHPS,
-	X86_INS_MOVLHPS,
-	X86_INS_MOVLPD,
-	X86_INS_MOVLPS,
-	X86_INS_MOVMSKPD,
-	X86_INS_MOVMSKPS,
-	X86_INS_MOVNTDQA,
-	X86_INS_MOVNTDQ,
-	X86_INS_MOVNTI,
-	X86_INS_MOVNTPD,
-	X86_INS_MOVNTPS,
-	X86_INS_MOVNTSD,
-	X86_INS_MOVNTSS,
-	X86_INS_MOVSB,
-	X86_INS_MOVSD,
-	X86_INS_MOVSHDUP,
-	X86_INS_MOVSLDUP,
-	X86_INS_MOVSQ,
-	X86_INS_MOVSS,
-	X86_INS_MOVSW,
-	X86_INS_MOVSX,
-	X86_INS_MOVSXD,
-	X86_INS_MOVUPD,
-	X86_INS_MOVUPS,
-	X86_INS_MOVZX,
-	X86_INS_MPSADBW,
-	X86_INS_MUL,
-	X86_INS_MULPD,
-	X86_INS_MULPS,
-	X86_INS_MULSD,
-	X86_INS_MULSS,
-	X86_INS_MULX,
-	X86_INS_FMUL,
-	X86_INS_FIMUL,
-	X86_INS_FMULP,
-	X86_INS_MWAIT,
-	X86_INS_NEG,
-	X86_INS_NOP,
-	X86_INS_NOT,
-	X86_INS_OUT,
-	X86_INS_OUTSB,
-	X86_INS_OUTSD,
-	X86_INS_OUTSW,
-	X86_INS_PACKUSDW,
-	X86_INS_PAUSE,
-	X86_INS_PAVGUSB,
-	X86_INS_PBLENDVB,
-	X86_INS_PBLENDW,
-	X86_INS_PCLMULQDQ,
-	X86_INS_PCMPEQQ,
-	X86_INS_PCMPESTRI,
-	X86_INS_PCMPESTRM,
-	X86_INS_PCMPGTQ,
-	X86_INS_PCMPISTRI,
-	X86_INS_PCMPISTRM,
-	X86_INS_PDEP,
-	X86_INS_PEXT,
-	X86_INS_PEXTRB,
-	X86_INS_PEXTRD,
-	X86_INS_PEXTRQ,
-	X86_INS_PF2ID,
-	X86_INS_PF2IW,
-	X86_INS_PFACC,
-	X86_INS_PFADD,
-	X86_INS_PFCMPEQ,
-	X86_INS_PFCMPGE,
-	X86_INS_PFCMPGT,
-	X86_INS_PFMAX,
-	X86_INS_PFMIN,
-	X86_INS_PFMUL,
-	X86_INS_PFNACC,
-	X86_INS_PFPNACC,
-	X86_INS_PFRCPIT1,
-	X86_INS_PFRCPIT2,
-	X86_INS_PFRCP,
-	X86_INS_PFRSQIT1,
-	X86_INS_PFRSQRT,
-	X86_INS_PFSUBR,
-	X86_INS_PFSUB,
-	X86_INS_PHMINPOSUW,
-	X86_INS_PI2FD,
-	X86_INS_PI2FW,
-	X86_INS_PINSRB,
-	X86_INS_PINSRD,
-	X86_INS_PINSRQ,
-	X86_INS_PMAXSB,
-	X86_INS_PMAXSD,
-	X86_INS_PMAXUD,
-	X86_INS_PMAXUW,
-	X86_INS_PMINSB,
-	X86_INS_PMINSD,
-	X86_INS_PMINUD,
-	X86_INS_PMINUW,
-	X86_INS_PMOVSXBD,
-	X86_INS_PMOVSXBQ,
-	X86_INS_PMOVSXBW,
-	X86_INS_PMOVSXDQ,
-	X86_INS_PMOVSXWD,
-	X86_INS_PMOVSXWQ,
-	X86_INS_PMOVZXBD,
-	X86_INS_PMOVZXBQ,
-	X86_INS_PMOVZXBW,
-	X86_INS_PMOVZXDQ,
-	X86_INS_PMOVZXWD,
-	X86_INS_PMOVZXWQ,
-	X86_INS_PMULDQ,
-	X86_INS_PMULHRW,
-	X86_INS_PMULLD,
-	X86_INS_POP,
-	X86_INS_POPAW,
-	X86_INS_POPAL,
-	X86_INS_POPCNT,
-	X86_INS_POPF,
-	X86_INS_POPFD,
-	X86_INS_POPFQ,
-	X86_INS_PREFETCH,
-	X86_INS_PREFETCHNTA,
-	X86_INS_PREFETCHT0,
-	X86_INS_PREFETCHT1,
-	X86_INS_PREFETCHT2,
-	X86_INS_PREFETCHW,
-	X86_INS_PSHUFD,
-	X86_INS_PSHUFHW,
-	X86_INS_PSHUFLW,
-	X86_INS_PSLLDQ,
-	X86_INS_PSRLDQ,
-	X86_INS_PSWAPD,
-	X86_INS_PTEST,
-	X86_INS_PUNPCKHQDQ,
-	X86_INS_PUNPCKLQDQ,
-	X86_INS_PUSH,
-	X86_INS_PUSHAW,
-	X86_INS_PUSHAL,
-	X86_INS_PUSHF,
-	X86_INS_PUSHFD,
-	X86_INS_PUSHFQ,
-	X86_INS_RCL,
-	X86_INS_RCPPS,
-	X86_INS_RCPSS,
-	X86_INS_RCR,
-	X86_INS_RDFSBASE,
-	X86_INS_RDGSBASE,
-	X86_INS_RDMSR,
-	X86_INS_RDPMC,
-	X86_INS_RDRAND,
-	X86_INS_RDSEED,
-	X86_INS_RDTSC,
-	X86_INS_RDTSCP,
-	X86_INS_ROL,
-	X86_INS_ROR,
-	X86_INS_RORX,
-	X86_INS_ROUNDPD,
-	X86_INS_ROUNDPS,
-	X86_INS_ROUNDSD,
-	X86_INS_ROUNDSS,
-	X86_INS_RSM,
-	X86_INS_RSQRTPS,
-	X86_INS_RSQRTSS,
-	X86_INS_SAHF,
-	X86_INS_SAL,
-	X86_INS_SALC,
-	X86_INS_SAR,
-	X86_INS_SARX,
-	X86_INS_SBB,
-	X86_INS_SCASB,
-	X86_INS_SCASD,
-	X86_INS_SCASQ,
-	X86_INS_SCASW,
-	X86_INS_SETAE,
-	X86_INS_SETA,
-	X86_INS_SETBE,
-	X86_INS_SETB,
-	X86_INS_SETE,
-	X86_INS_SETGE,
-	X86_INS_SETG,
-	X86_INS_SETLE,
-	X86_INS_SETL,
-	X86_INS_SETNE,
-	X86_INS_SETNO,
-	X86_INS_SETNP,
-	X86_INS_SETNS,
-	X86_INS_SETO,
-	X86_INS_SETP,
-	X86_INS_SETS,
-	X86_INS_SFENCE,
-	X86_INS_SGDT,
-	X86_INS_SHA1MSG1,
-	X86_INS_SHA1MSG2,
-	X86_INS_SHA1NEXTE,
-	X86_INS_SHA1RNDS4,
-	X86_INS_SHA256MSG1,
-	X86_INS_SHA256MSG2,
-	X86_INS_SHA256RNDS2,
-	X86_INS_SHL,
-	X86_INS_SHLD,
-	X86_INS_SHLX,
-	X86_INS_SHR,
-	X86_INS_SHRD,
-	X86_INS_SHRX,
-	X86_INS_SHUFPD,
-	X86_INS_SHUFPS,
-	X86_INS_SIDT,
-	X86_INS_FSIN,
-	X86_INS_SKINIT,
-	X86_INS_SLDT,
-	X86_INS_SMSW,
-	X86_INS_SQRTPD,
-	X86_INS_SQRTPS,
-	X86_INS_SQRTSD,
-	X86_INS_SQRTSS,
-	X86_INS_FSQRT,
-	X86_INS_STAC,
-	X86_INS_STC,
-	X86_INS_STD,
-	X86_INS_STGI,
-	X86_INS_STI,
-	X86_INS_STMXCSR,
-	X86_INS_STOSB,
-	X86_INS_STOSD,
-	X86_INS_STOSQ,
-	X86_INS_STOSW,
-	X86_INS_STR,
-	X86_INS_FST,
-	X86_INS_FSTP,
-	X86_INS_FSTPNCE,
-	X86_INS_SUBPD,
-	X86_INS_SUBPS,
-	X86_INS_FSUBR,
-	X86_INS_FISUBR,
-	X86_INS_FSUBRP,
-	X86_INS_SUBSD,
-	X86_INS_SUBSS,
-	X86_INS_FSUB,
-	X86_INS_FISUB,
-	X86_INS_FSUBP,
-	X86_INS_SWAPGS,
-	X86_INS_SYSCALL,
-	X86_INS_SYSENTER,
-	X86_INS_SYSEXIT,
-	X86_INS_SYSRET,
-	X86_INS_T1MSKC,
-	X86_INS_TEST,
-	X86_INS_UD2,
-	X86_INS_FTST,
-	X86_INS_TZCNT,
-	X86_INS_TZMSK,
-	X86_INS_FUCOMPI,
-	X86_INS_FUCOMI,
-	X86_INS_FUCOMPP,
-	X86_INS_FUCOMP,
-	X86_INS_FUCOM,
-	X86_INS_UD2B,
-	X86_INS_UNPCKHPD,
-	X86_INS_UNPCKHPS,
-	X86_INS_UNPCKLPD,
-	X86_INS_UNPCKLPS,
-	X86_INS_VADDPD,
-	X86_INS_VADDPS,
-	X86_INS_VADDSD,
-	X86_INS_VADDSS,
-	X86_INS_VADDSUBPD,
-	X86_INS_VADDSUBPS,
-	X86_INS_VAESDECLAST,
-	X86_INS_VAESDEC,
-	X86_INS_VAESENCLAST,
-	X86_INS_VAESENC,
-	X86_INS_VAESIMC,
-	X86_INS_VAESKEYGENASSIST,
-	X86_INS_VALIGND,
-	X86_INS_VALIGNQ,
-	X86_INS_VANDNPD,
-	X86_INS_VANDNPS,
-	X86_INS_VANDPD,
-	X86_INS_VANDPS,
-	X86_INS_VBLENDMPD,
-	X86_INS_VBLENDMPS,
-	X86_INS_VBLENDPD,
-	X86_INS_VBLENDPS,
-	X86_INS_VBLENDVPD,
-	X86_INS_VBLENDVPS,
-	X86_INS_VBROADCASTF128,
-	X86_INS_VBROADCASTI128,
-	X86_INS_VBROADCASTI32X4,
-	X86_INS_VBROADCASTI64X4,
-	X86_INS_VBROADCASTSD,
-	X86_INS_VBROADCASTSS,
-	X86_INS_VCMPPD,
-	X86_INS_VCMPPS,
-	X86_INS_VCMPSD,
-	X86_INS_VCMPSS,
-	X86_INS_VCVTDQ2PD,
-	X86_INS_VCVTDQ2PS,
-	X86_INS_VCVTPD2DQX,
-	X86_INS_VCVTPD2DQ,
-	X86_INS_VCVTPD2PSX,
-	X86_INS_VCVTPD2PS,
-	X86_INS_VCVTPD2UDQ,
-	X86_INS_VCVTPH2PS,
-	X86_INS_VCVTPS2DQ,
-	X86_INS_VCVTPS2PD,
-	X86_INS_VCVTPS2PH,
-	X86_INS_VCVTPS2UDQ,
-	X86_INS_VCVTSD2SI,
-	X86_INS_VCVTSD2USI,
-	X86_INS_VCVTSS2SI,
-	X86_INS_VCVTSS2USI,
-	X86_INS_VCVTTPD2DQX,
-	X86_INS_VCVTTPD2DQ,
-	X86_INS_VCVTTPD2UDQ,
-	X86_INS_VCVTTPS2DQ,
-	X86_INS_VCVTTPS2UDQ,
-	X86_INS_VCVTUDQ2PD,
-	X86_INS_VCVTUDQ2PS,
-	X86_INS_VDIVPD,
-	X86_INS_VDIVPS,
-	X86_INS_VDIVSD,
-	X86_INS_VDIVSS,
-	X86_INS_VDPPD,
-	X86_INS_VDPPS,
-	X86_INS_VERR,
-	X86_INS_VERW,
-	X86_INS_VEXTRACTF128,
-	X86_INS_VEXTRACTF32X4,
-	X86_INS_VEXTRACTF64X4,
-	X86_INS_VEXTRACTI128,
-	X86_INS_VEXTRACTI32X4,
-	X86_INS_VEXTRACTI64X4,
-	X86_INS_VEXTRACTPS,
-	X86_INS_VFMADD132PD,
-	X86_INS_VFMADD132PS,
-	X86_INS_VFMADD213PD,
-	X86_INS_VFMADD213PS,
-	X86_INS_VFMADDPD,
-	X86_INS_VFMADD231PD,
-	X86_INS_VFMADDPS,
-	X86_INS_VFMADD231PS,
-	X86_INS_VFMADDSD,
-	X86_INS_VFMADD213SD,
-	X86_INS_VFMADD132SD,
-	X86_INS_VFMADD231SD,
-	X86_INS_VFMADDSS,
-	X86_INS_VFMADD213SS,
-	X86_INS_VFMADD132SS,
-	X86_INS_VFMADD231SS,
-	X86_INS_VFMADDSUB132PD,
-	X86_INS_VFMADDSUB132PS,
-	X86_INS_VFMADDSUB213PD,
-	X86_INS_VFMADDSUB213PS,
-	X86_INS_VFMADDSUBPD,
-	X86_INS_VFMADDSUB231PD,
-	X86_INS_VFMADDSUBPS,
-	X86_INS_VFMADDSUB231PS,
-	X86_INS_VFMSUB132PD,
-	X86_INS_VFMSUB132PS,
-	X86_INS_VFMSUB213PD,
-	X86_INS_VFMSUB213PS,
-	X86_INS_VFMSUBADD132PD,
-	X86_INS_VFMSUBADD132PS,
-	X86_INS_VFMSUBADD213PD,
-	X86_INS_VFMSUBADD213PS,
-	X86_INS_VFMSUBADDPD,
-	X86_INS_VFMSUBADD231PD,
-	X86_INS_VFMSUBADDPS,
-	X86_INS_VFMSUBADD231PS,
-	X86_INS_VFMSUBPD,
-	X86_INS_VFMSUB231PD,
-	X86_INS_VFMSUBPS,
-	X86_INS_VFMSUB231PS,
-	X86_INS_VFMSUBSD,
-	X86_INS_VFMSUB213SD,
-	X86_INS_VFMSUB132SD,
-	X86_INS_VFMSUB231SD,
-	X86_INS_VFMSUBSS,
-	X86_INS_VFMSUB213SS,
-	X86_INS_VFMSUB132SS,
-	X86_INS_VFMSUB231SS,
-	X86_INS_VFNMADD132PD,
-	X86_INS_VFNMADD132PS,
-	X86_INS_VFNMADD213PD,
-	X86_INS_VFNMADD213PS,
-	X86_INS_VFNMADDPD,
-	X86_INS_VFNMADD231PD,
-	X86_INS_VFNMADDPS,
-	X86_INS_VFNMADD231PS,
-	X86_INS_VFNMADDSD,
-	X86_INS_VFNMADD213SD,
-	X86_INS_VFNMADD132SD,
-	X86_INS_VFNMADD231SD,
-	X86_INS_VFNMADDSS,
-	X86_INS_VFNMADD213SS,
-	X86_INS_VFNMADD132SS,
-	X86_INS_VFNMADD231SS,
-	X86_INS_VFNMSUB132PD,
-	X86_INS_VFNMSUB132PS,
-	X86_INS_VFNMSUB213PD,
-	X86_INS_VFNMSUB213PS,
-	X86_INS_VFNMSUBPD,
-	X86_INS_VFNMSUB231PD,
-	X86_INS_VFNMSUBPS,
-	X86_INS_VFNMSUB231PS,
-	X86_INS_VFNMSUBSD,
-	X86_INS_VFNMSUB213SD,
-	X86_INS_VFNMSUB132SD,
-	X86_INS_VFNMSUB231SD,
-	X86_INS_VFNMSUBSS,
-	X86_INS_VFNMSUB213SS,
-	X86_INS_VFNMSUB132SS,
-	X86_INS_VFNMSUB231SS,
-	X86_INS_VFRCZPD,
-	X86_INS_VFRCZPS,
-	X86_INS_VFRCZSD,
-	X86_INS_VFRCZSS,
-	X86_INS_VORPD,
-	X86_INS_VORPS,
-	X86_INS_VXORPD,
-	X86_INS_VXORPS,
-	X86_INS_VGATHERDPD,
-	X86_INS_VGATHERDPS,
-	X86_INS_VGATHERPF0DPD,
-	X86_INS_VGATHERPF0DPS,
-	X86_INS_VGATHERPF0QPD,
-	X86_INS_VGATHERPF0QPS,
-	X86_INS_VGATHERPF1DPD,
-	X86_INS_VGATHERPF1DPS,
-	X86_INS_VGATHERPF1QPD,
-	X86_INS_VGATHERPF1QPS,
-	X86_INS_VGATHERQPD,
-	X86_INS_VGATHERQPS,
-	X86_INS_VHADDPD,
-	X86_INS_VHADDPS,
-	X86_INS_VHSUBPD,
-	X86_INS_VHSUBPS,
-	X86_INS_VINSERTF128,
-	X86_INS_VINSERTF32X4,
-	X86_INS_VINSERTF64X4,
-	X86_INS_VINSERTI128,
-	X86_INS_VINSERTI32X4,
-	X86_INS_VINSERTI64X4,
-	X86_INS_VINSERTPS,
-	X86_INS_VLDDQU,
-	X86_INS_VLDMXCSR,
-	X86_INS_VMASKMOVDQU,
-	X86_INS_VMASKMOVPD,
-	X86_INS_VMASKMOVPS,
-	X86_INS_VMAXPD,
-	X86_INS_VMAXPS,
-	X86_INS_VMAXSD,
-	X86_INS_VMAXSS,
-	X86_INS_VMCALL,
-	X86_INS_VMCLEAR,
-	X86_INS_VMFUNC,
-	X86_INS_VMINPD,
-	X86_INS_VMINPS,
-	X86_INS_VMINSD,
-	X86_INS_VMINSS,
-	X86_INS_VMLAUNCH,
-	X86_INS_VMLOAD,
-	X86_INS_VMMCALL,
-	X86_INS_VMOVQ,
-	X86_INS_VMOVDDUP,
-	X86_INS_VMOVD,
-	X86_INS_VMOVDQA32,
-	X86_INS_VMOVDQA64,
-	X86_INS_VMOVDQA,
-	X86_INS_VMOVDQU16,
-	X86_INS_VMOVDQU32,
-	X86_INS_VMOVDQU64,
-	X86_INS_VMOVDQU8,
-	X86_INS_VMOVDQU,
-	X86_INS_VMOVHLPS,
-	X86_INS_VMOVHPD,
-	X86_INS_VMOVHPS,
-	X86_INS_VMOVLHPS,
-	X86_INS_VMOVLPD,
-	X86_INS_VMOVLPS,
-	X86_INS_VMOVMSKPD,
-	X86_INS_VMOVMSKPS,
-	X86_INS_VMOVNTDQA,
-	X86_INS_VMOVNTDQ,
-	X86_INS_VMOVNTPD,
-	X86_INS_VMOVNTPS,
-	X86_INS_VMOVSD,
-	X86_INS_VMOVSHDUP,
-	X86_INS_VMOVSLDUP,
-	X86_INS_VMOVSS,
-	X86_INS_VMOVUPD,
-	X86_INS_VMOVUPS,
-	X86_INS_VMPSADBW,
-	X86_INS_VMPTRLD,
-	X86_INS_VMPTRST,
-	X86_INS_VMREAD,
-	X86_INS_VMRESUME,
-	X86_INS_VMRUN,
-	X86_INS_VMSAVE,
-	X86_INS_VMULPD,
-	X86_INS_VMULPS,
-	X86_INS_VMULSD,
-	X86_INS_VMULSS,
-	X86_INS_VMWRITE,
-	X86_INS_VMXOFF,
-	X86_INS_VMXON,
-	X86_INS_VPABSB,
-	X86_INS_VPABSD,
-	X86_INS_VPABSQ,
-	X86_INS_VPABSW,
-	X86_INS_VPACKSSDW,
-	X86_INS_VPACKSSWB,
-	X86_INS_VPACKUSDW,
-	X86_INS_VPACKUSWB,
-	X86_INS_VPADDB,
-	X86_INS_VPADDD,
-	X86_INS_VPADDQ,
-	X86_INS_VPADDSB,
-	X86_INS_VPADDSW,
-	X86_INS_VPADDUSB,
-	X86_INS_VPADDUSW,
-	X86_INS_VPADDW,
-	X86_INS_VPALIGNR,
-	X86_INS_VPANDD,
-	X86_INS_VPANDND,
-	X86_INS_VPANDNQ,
-	X86_INS_VPANDN,
-	X86_INS_VPANDQ,
-	X86_INS_VPAND,
-	X86_INS_VPAVGB,
-	X86_INS_VPAVGW,
-	X86_INS_VPBLENDD,
-	X86_INS_VPBLENDMD,
-	X86_INS_VPBLENDMQ,
-	X86_INS_VPBLENDVB,
-	X86_INS_VPBLENDW,
-	X86_INS_VPBROADCASTB,
-	X86_INS_VPBROADCASTD,
-	X86_INS_VPBROADCASTMB2Q,
-	X86_INS_VPBROADCASTMW2D,
-	X86_INS_VPBROADCASTQ,
-	X86_INS_VPBROADCASTW,
-	X86_INS_VPCLMULQDQ,
-	X86_INS_VPCMOV,
-	X86_INS_VPCMP,
-	X86_INS_VPCMPD,
-	X86_INS_VPCMPEQB,
-	X86_INS_VPCMPEQD,
-	X86_INS_VPCMPEQQ,
-	X86_INS_VPCMPEQW,
-	X86_INS_VPCMPESTRI,
-	X86_INS_VPCMPESTRM,
-	X86_INS_VPCMPGTB,
-	X86_INS_VPCMPGTD,
-	X86_INS_VPCMPGTQ,
-	X86_INS_VPCMPGTW,
-	X86_INS_VPCMPISTRI,
-	X86_INS_VPCMPISTRM,
-	X86_INS_VPCMPQ,
-	X86_INS_VPCMPUD,
-	X86_INS_VPCMPUQ,
-	X86_INS_VPCOMB,
-	X86_INS_VPCOMD,
-	X86_INS_VPCOMQ,
-	X86_INS_VPCOMUB,
-	X86_INS_VPCOMUD,
-	X86_INS_VPCOMUQ,
-	X86_INS_VPCOMUW,
-	X86_INS_VPCOMW,
-	X86_INS_VPCONFLICTD,
-	X86_INS_VPCONFLICTQ,
-	X86_INS_VPERM2F128,
-	X86_INS_VPERM2I128,
-	X86_INS_VPERMD,
-	X86_INS_VPERMI2D,
-	X86_INS_VPERMI2PD,
-	X86_INS_VPERMI2PS,
-	X86_INS_VPERMI2Q,
-	X86_INS_VPERMIL2PD,
-	X86_INS_VPERMIL2PS,
-	X86_INS_VPERMILPD,
-	X86_INS_VPERMILPS,
-	X86_INS_VPERMPD,
-	X86_INS_VPERMPS,
-	X86_INS_VPERMQ,
-	X86_INS_VPERMT2D,
-	X86_INS_VPERMT2PD,
-	X86_INS_VPERMT2PS,
-	X86_INS_VPERMT2Q,
-	X86_INS_VPEXTRB,
-	X86_INS_VPEXTRD,
-	X86_INS_VPEXTRQ,
-	X86_INS_VPEXTRW,
-	X86_INS_VPGATHERDD,
-	X86_INS_VPGATHERDQ,
-	X86_INS_VPGATHERQD,
-	X86_INS_VPGATHERQQ,
-	X86_INS_VPHADDBD,
-	X86_INS_VPHADDBQ,
-	X86_INS_VPHADDBW,
-	X86_INS_VPHADDDQ,
-	X86_INS_VPHADDD,
-	X86_INS_VPHADDSW,
-	X86_INS_VPHADDUBD,
-	X86_INS_VPHADDUBQ,
-	X86_INS_VPHADDUBW,
-	X86_INS_VPHADDUDQ,
-	X86_INS_VPHADDUWD,
-	X86_INS_VPHADDUWQ,
-	X86_INS_VPHADDWD,
-	X86_INS_VPHADDWQ,
-	X86_INS_VPHADDW,
-	X86_INS_VPHMINPOSUW,
-	X86_INS_VPHSUBBW,
-	X86_INS_VPHSUBDQ,
-	X86_INS_VPHSUBD,
-	X86_INS_VPHSUBSW,
-	X86_INS_VPHSUBWD,
-	X86_INS_VPHSUBW,
-	X86_INS_VPINSRB,
-	X86_INS_VPINSRD,
-	X86_INS_VPINSRQ,
-	X86_INS_VPINSRW,
-	X86_INS_VPLZCNTD,
-	X86_INS_VPLZCNTQ,
-	X86_INS_VPMACSDD,
-	X86_INS_VPMACSDQH,
-	X86_INS_VPMACSDQL,
-	X86_INS_VPMACSSDD,
-	X86_INS_VPMACSSDQH,
-	X86_INS_VPMACSSDQL,
-	X86_INS_VPMACSSWD,
-	X86_INS_VPMACSSWW,
-	X86_INS_VPMACSWD,
-	X86_INS_VPMACSWW,
-	X86_INS_VPMADCSSWD,
-	X86_INS_VPMADCSWD,
-	X86_INS_VPMADDUBSW,
-	X86_INS_VPMADDWD,
-	X86_INS_VPMASKMOVD,
-	X86_INS_VPMASKMOVQ,
-	X86_INS_VPMAXSB,
-	X86_INS_VPMAXSD,
-	X86_INS_VPMAXSQ,
-	X86_INS_VPMAXSW,
-	X86_INS_VPMAXUB,
-	X86_INS_VPMAXUD,
-	X86_INS_VPMAXUQ,
-	X86_INS_VPMAXUW,
-	X86_INS_VPMINSB,
-	X86_INS_VPMINSD,
-	X86_INS_VPMINSQ,
-	X86_INS_VPMINSW,
-	X86_INS_VPMINUB,
-	X86_INS_VPMINUD,
-	X86_INS_VPMINUQ,
-	X86_INS_VPMINUW,
-	X86_INS_VPMOVDB,
-	X86_INS_VPMOVDW,
-	X86_INS_VPMOVMSKB,
-	X86_INS_VPMOVQB,
-	X86_INS_VPMOVQD,
-	X86_INS_VPMOVQW,
-	X86_INS_VPMOVSDB,
-	X86_INS_VPMOVSDW,
-	X86_INS_VPMOVSQB,
-	X86_INS_VPMOVSQD,
-	X86_INS_VPMOVSQW,
-	X86_INS_VPMOVSXBD,
-	X86_INS_VPMOVSXBQ,
-	X86_INS_VPMOVSXBW,
-	X86_INS_VPMOVSXDQ,
-	X86_INS_VPMOVSXWD,
-	X86_INS_VPMOVSXWQ,
-	X86_INS_VPMOVUSDB,
-	X86_INS_VPMOVUSDW,
-	X86_INS_VPMOVUSQB,
-	X86_INS_VPMOVUSQD,
-	X86_INS_VPMOVUSQW,
-	X86_INS_VPMOVZXBD,
-	X86_INS_VPMOVZXBQ,
-	X86_INS_VPMOVZXBW,
-	X86_INS_VPMOVZXDQ,
-	X86_INS_VPMOVZXWD,
-	X86_INS_VPMOVZXWQ,
-	X86_INS_VPMULDQ,
-	X86_INS_VPMULHRSW,
-	X86_INS_VPMULHUW,
-	X86_INS_VPMULHW,
-	X86_INS_VPMULLD,
-	X86_INS_VPMULLW,
-	X86_INS_VPMULUDQ,
-	X86_INS_VPORD,
-	X86_INS_VPORQ,
-	X86_INS_VPOR,
-	X86_INS_VPPERM,
-	X86_INS_VPROTB,
-	X86_INS_VPROTD,
-	X86_INS_VPROTQ,
-	X86_INS_VPROTW,
-	X86_INS_VPSADBW,
-	X86_INS_VPSCATTERDD,
-	X86_INS_VPSCATTERDQ,
-	X86_INS_VPSCATTERQD,
-	X86_INS_VPSCATTERQQ,
-	X86_INS_VPSHAB,
-	X86_INS_VPSHAD,
-	X86_INS_VPSHAQ,
-	X86_INS_VPSHAW,
-	X86_INS_VPSHLB,
-	X86_INS_VPSHLD,
-	X86_INS_VPSHLQ,
-	X86_INS_VPSHLW,
-	X86_INS_VPSHUFB,
-	X86_INS_VPSHUFD,
-	X86_INS_VPSHUFHW,
-	X86_INS_VPSHUFLW,
-	X86_INS_VPSIGNB,
-	X86_INS_VPSIGND,
-	X86_INS_VPSIGNW,
-	X86_INS_VPSLLDQ,
-	X86_INS_VPSLLD,
-	X86_INS_VPSLLQ,
-	X86_INS_VPSLLVD,
-	X86_INS_VPSLLVQ,
-	X86_INS_VPSLLW,
-	X86_INS_VPSRAD,
-	X86_INS_VPSRAQ,
-	X86_INS_VPSRAVD,
-	X86_INS_VPSRAVQ,
-	X86_INS_VPSRAW,
-	X86_INS_VPSRLDQ,
-	X86_INS_VPSRLD,
-	X86_INS_VPSRLQ,
-	X86_INS_VPSRLVD,
-	X86_INS_VPSRLVQ,
-	X86_INS_VPSRLW,
-	X86_INS_VPSUBB,
-	X86_INS_VPSUBD,
-	X86_INS_VPSUBQ,
-	X86_INS_VPSUBSB,
-	X86_INS_VPSUBSW,
-	X86_INS_VPSUBUSB,
-	X86_INS_VPSUBUSW,
-	X86_INS_VPSUBW,
-	X86_INS_VPTESTMD,
-	X86_INS_VPTESTMQ,
-	X86_INS_VPTESTNMD,
-	X86_INS_VPTESTNMQ,
-	X86_INS_VPTEST,
-	X86_INS_VPUNPCKHBW,
-	X86_INS_VPUNPCKHDQ,
-	X86_INS_VPUNPCKHQDQ,
-	X86_INS_VPUNPCKHWD,
-	X86_INS_VPUNPCKLBW,
-	X86_INS_VPUNPCKLDQ,
-	X86_INS_VPUNPCKLQDQ,
-	X86_INS_VPUNPCKLWD,
-	X86_INS_VPXORD,
-	X86_INS_VPXORQ,
-	X86_INS_VPXOR,
-	X86_INS_VRCP14PD,
-	X86_INS_VRCP14PS,
-	X86_INS_VRCP14SD,
-	X86_INS_VRCP14SS,
-	X86_INS_VRCP28PD,
-	X86_INS_VRCP28PS,
-	X86_INS_VRCP28SD,
-	X86_INS_VRCP28SS,
-	X86_INS_VRCPPS,
-	X86_INS_VRCPSS,
-	X86_INS_VRNDSCALEPD,
-	X86_INS_VRNDSCALEPS,
-	X86_INS_VRNDSCALESD,
-	X86_INS_VRNDSCALESS,
-	X86_INS_VROUNDPD,
-	X86_INS_VROUNDPS,
-	X86_INS_VROUNDSD,
-	X86_INS_VROUNDSS,
-	X86_INS_VRSQRT14PD,
-	X86_INS_VRSQRT14PS,
-	X86_INS_VRSQRT14SD,
-	X86_INS_VRSQRT14SS,
-	X86_INS_VRSQRT28PD,
-	X86_INS_VRSQRT28PS,
-	X86_INS_VRSQRT28SD,
-	X86_INS_VRSQRT28SS,
-	X86_INS_VRSQRTPS,
-	X86_INS_VRSQRTSS,
-	X86_INS_VSCATTERDPD,
-	X86_INS_VSCATTERDPS,
-	X86_INS_VSCATTERPF0DPD,
-	X86_INS_VSCATTERPF0DPS,
-	X86_INS_VSCATTERPF0QPD,
-	X86_INS_VSCATTERPF0QPS,
-	X86_INS_VSCATTERPF1DPD,
-	X86_INS_VSCATTERPF1DPS,
-	X86_INS_VSCATTERPF1QPD,
-	X86_INS_VSCATTERPF1QPS,
-	X86_INS_VSCATTERQPD,
-	X86_INS_VSCATTERQPS,
-	X86_INS_VSHUFPD,
-	X86_INS_VSHUFPS,
-	X86_INS_VSQRTPD,
-	X86_INS_VSQRTPS,
-	X86_INS_VSQRTSD,
-	X86_INS_VSQRTSS,
-	X86_INS_VSTMXCSR,
-	X86_INS_VSUBPD,
-	X86_INS_VSUBPS,
-	X86_INS_VSUBSD,
-	X86_INS_VSUBSS,
-	X86_INS_VTESTPD,
-	X86_INS_VTESTPS,
-	X86_INS_VUNPCKHPD,
-	X86_INS_VUNPCKHPS,
-	X86_INS_VUNPCKLPD,
-	X86_INS_VUNPCKLPS,
-	X86_INS_VZEROALL,
-	X86_INS_VZEROUPPER,
-	X86_INS_WAIT,
-	X86_INS_WBINVD,
-	X86_INS_WRFSBASE,
-	X86_INS_WRGSBASE,
-	X86_INS_WRMSR,
-	X86_INS_XABORT,
-	X86_INS_XACQUIRE,
-	X86_INS_XBEGIN,
-	X86_INS_XCHG,
-	X86_INS_FXCH,
-	X86_INS_XCRYPTCBC,
-	X86_INS_XCRYPTCFB,
-	X86_INS_XCRYPTCTR,
-	X86_INS_XCRYPTECB,
-	X86_INS_XCRYPTOFB,
-	X86_INS_XEND,
-	X86_INS_XGETBV,
-	X86_INS_XLATB,
-	X86_INS_XRELEASE,
-	X86_INS_XRSTOR,
-	X86_INS_XRSTOR64,
-	X86_INS_XSAVE,
-	X86_INS_XSAVE64,
-	X86_INS_XSAVEOPT,
-	X86_INS_XSAVEOPT64,
-	X86_INS_XSETBV,
-	X86_INS_XSHA1,
-	X86_INS_XSHA256,
-	X86_INS_XSTORE,
-	X86_INS_XTEST,
-
-	X86_INS_ENDING,	// mark the end of the list of insn
-} x86_insn;
-
-//> Group of X86 instructions
-typedef enum  x86_insn_group {
-	X86_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	X86_GRP_JUMP,	// = CS_GRP_JUMP
-	// all call instructions
-	X86_GRP_CALL,	// = CS_GRP_CALL
-	// all return instructions
-	X86_GRP_RET,	// = CS_GRP_RET
-	// all interrupt instructions (int+syscall)
-	X86_GRP_INT,	// = CS_GRP_INT
-	// all interrupt return instructions
-	X86_GRP_IRET,	// = CS_GRP_IRET
-
-	//> Architecture-specific groups
-	X86_GRP_VM = 128,	// all virtualization instructions (VT-x + AMD-V)
-	X86_GRP_3DNOW,
-	X86_GRP_AES,
-	X86_GRP_ADX,
-	X86_GRP_AVX,
-	X86_GRP_AVX2,
-	X86_GRP_AVX512,
-	X86_GRP_BMI,
-	X86_GRP_BMI2,
-	X86_GRP_CMOV,
-	X86_GRP_F16C,
-	X86_GRP_FMA,
-	X86_GRP_FMA4,
-	X86_GRP_FSGSBASE,
-	X86_GRP_HLE,
-	X86_GRP_MMX,
-	X86_GRP_MODE32,
-	X86_GRP_MODE64,
-	X86_GRP_RTM,
-	X86_GRP_SHA,
-	X86_GRP_SSE1,
-	X86_GRP_SSE2,
-	X86_GRP_SSE3,
-	X86_GRP_SSE41,
-	X86_GRP_SSE42,
-	X86_GRP_SSE4A,
-	X86_GRP_SSSE3,
-	X86_GRP_PCLMUL,
-	X86_GRP_XOP,
-	X86_GRP_CDI,
-	X86_GRP_ERI,
-	X86_GRP_TBM,
-	X86_GRP_16BITMODE,
-	X86_GRP_NOT64BITMODE,
-	X86_GRP_SGX,
-	X86_GRP_DQI,
-	X86_GRP_BWI,
-	X86_GRP_PFI,
-	X86_GRP_VLX,
-	X86_GRP_SMAP,
-	X86_GRP_NOVLX,
-
-	X86_GRP_ENDING
-} x86_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/include/xcore.h 4.0.2-3/include/xcore.h
--- 4.0.1+really+3.0.5-2/include/xcore.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/include/xcore.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,237 +0,0 @@
-#ifndef CAPSTONE_XCORE_H
-#define CAPSTONE_XCORE_H
-
-/* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2014 */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#include "platform.h"
-
-#ifdef _MSC_VER
-#pragma warning(disable:4201)
-#endif
-
-//> Operand type for instruction's operands
-typedef enum xcore_op_type {
-	XCORE_OP_INVALID = 0, // = CS_OP_INVALID (Uninitialized).
-	XCORE_OP_REG, // = CS_OP_REG (Register operand).
-	XCORE_OP_IMM, // = CS_OP_IMM (Immediate operand).
-	XCORE_OP_MEM, // = CS_OP_MEM (Memory operand).
-} xcore_op_type;
-
-// Instruction's operand referring to memory
-// This is associated with XCORE_OP_MEM operand type above
-typedef struct xcore_op_mem {
-	uint8_t base;	// base register
-	uint8_t index;	// index register
-	int32_t disp;	// displacement/offset value
-	int     direct;	// +1: forward, -1: backward
-} xcore_op_mem;
-
-// Instruction operand
-typedef struct cs_xcore_op {
-	xcore_op_type type;	// operand type
-	union {
-		unsigned int reg;	// register value for REG operand
-		int32_t imm;		// immediate value for IMM operand
-		xcore_op_mem mem;		// base/disp value for MEM operand
-	};
-} cs_xcore_op;
-
-// Instruction structure
-typedef struct cs_xcore {
-	// Number of operands of this instruction, 
-	// or 0 when instruction has no operand.
-	uint8_t op_count;
-	cs_xcore_op operands[8]; // operands for this instruction.
-} cs_xcore;
-
-//> XCore registers
-typedef enum xcore_reg {
-	XCORE_REG_INVALID = 0,
-
-	XCORE_REG_CP,
-	XCORE_REG_DP,
-	XCORE_REG_LR,
-	XCORE_REG_SP,
-	XCORE_REG_R0,
-	XCORE_REG_R1,
-	XCORE_REG_R2,
-	XCORE_REG_R3,
-	XCORE_REG_R4,
-	XCORE_REG_R5,
-	XCORE_REG_R6,
-	XCORE_REG_R7,
-	XCORE_REG_R8,
-	XCORE_REG_R9,
-	XCORE_REG_R10,
-	XCORE_REG_R11,
-
-	//> pseudo registers
-	XCORE_REG_PC,	// pc
-
-	// internal thread registers
-	// see The-XMOS-XS1-Architecture(X7879A).pdf
-	XCORE_REG_SCP,	// save pc
-	XCORE_REG_SSR,	// save status
-	XCORE_REG_ET,	// exception type
-	XCORE_REG_ED,	// exception data
-	XCORE_REG_SED,	// save exception data
-	XCORE_REG_KEP,	// kernel entry pointer
-	XCORE_REG_KSP,	// kernel stack pointer
-	XCORE_REG_ID,	// thread ID
-
-	XCORE_REG_ENDING,	// <-- mark the end of the list of registers
-} xcore_reg;
-
-//> XCore instruction
-typedef enum xcore_insn {
-	XCORE_INS_INVALID = 0,
-
-	XCORE_INS_ADD,
-	XCORE_INS_ANDNOT,
-	XCORE_INS_AND,
-	XCORE_INS_ASHR,
-	XCORE_INS_BAU,
-	XCORE_INS_BITREV,
-	XCORE_INS_BLA,
-	XCORE_INS_BLAT,
-	XCORE_INS_BL,
-	XCORE_INS_BF,
-	XCORE_INS_BT,
-	XCORE_INS_BU,
-	XCORE_INS_BRU,
-	XCORE_INS_BYTEREV,
-	XCORE_INS_CHKCT,
-	XCORE_INS_CLRE,
-	XCORE_INS_CLRPT,
-	XCORE_INS_CLRSR,
-	XCORE_INS_CLZ,
-	XCORE_INS_CRC8,
-	XCORE_INS_CRC32,
-	XCORE_INS_DCALL,
-	XCORE_INS_DENTSP,
-	XCORE_INS_DGETREG,
-	XCORE_INS_DIVS,
-	XCORE_INS_DIVU,
-	XCORE_INS_DRESTSP,
-	XCORE_INS_DRET,
-	XCORE_INS_ECALLF,
-	XCORE_INS_ECALLT,
-	XCORE_INS_EDU,
-	XCORE_INS_EEF,
-	XCORE_INS_EET,
-	XCORE_INS_EEU,
-	XCORE_INS_ENDIN,
-	XCORE_INS_ENTSP,
-	XCORE_INS_EQ,
-	XCORE_INS_EXTDP,
-	XCORE_INS_EXTSP,
-	XCORE_INS_FREER,
-	XCORE_INS_FREET,
-	XCORE_INS_GETD,
-	XCORE_INS_GET,
-	XCORE_INS_GETN,
-	XCORE_INS_GETR,
-	XCORE_INS_GETSR,
-	XCORE_INS_GETST,
-	XCORE_INS_GETTS,
-	XCORE_INS_INCT,
-	XCORE_INS_INIT,
-	XCORE_INS_INPW,
-	XCORE_INS_INSHR,
-	XCORE_INS_INT,
-	XCORE_INS_IN,
-	XCORE_INS_KCALL,
-	XCORE_INS_KENTSP,
-	XCORE_INS_KRESTSP,
-	XCORE_INS_KRET,
-	XCORE_INS_LADD,
-	XCORE_INS_LD16S,
-	XCORE_INS_LD8U,
-	XCORE_INS_LDA16,
-	XCORE_INS_LDAP,
-	XCORE_INS_LDAW,
-	XCORE_INS_LDC,
-	XCORE_INS_LDW,
-	XCORE_INS_LDIVU,
-	XCORE_INS_LMUL,
-	XCORE_INS_LSS,
-	XCORE_INS_LSUB,
-	XCORE_INS_LSU,
-	XCORE_INS_MACCS,
-	XCORE_INS_MACCU,
-	XCORE_INS_MJOIN,
-	XCORE_INS_MKMSK,
-	XCORE_INS_MSYNC,
-	XCORE_INS_MUL,
-	XCORE_INS_NEG,
-	XCORE_INS_NOT,
-	XCORE_INS_OR,
-	XCORE_INS_OUTCT,
-	XCORE_INS_OUTPW,
-	XCORE_INS_OUTSHR,
-	XCORE_INS_OUTT,
-	XCORE_INS_OUT,
-	XCORE_INS_PEEK,
-	XCORE_INS_REMS,
-	XCORE_INS_REMU,
-	XCORE_INS_RETSP,
-	XCORE_INS_SETCLK,
-	XCORE_INS_SET,
-	XCORE_INS_SETC,
-	XCORE_INS_SETD,
-	XCORE_INS_SETEV,
-	XCORE_INS_SETN,
-	XCORE_INS_SETPSC,
-	XCORE_INS_SETPT,
-	XCORE_INS_SETRDY,
-	XCORE_INS_SETSR,
-	XCORE_INS_SETTW,
-	XCORE_INS_SETV,
-	XCORE_INS_SEXT,
-	XCORE_INS_SHL,
-	XCORE_INS_SHR,
-	XCORE_INS_SSYNC,
-	XCORE_INS_ST16,
-	XCORE_INS_ST8,
-	XCORE_INS_STW,
-	XCORE_INS_SUB,
-	XCORE_INS_SYNCR,
-	XCORE_INS_TESTCT,
-	XCORE_INS_TESTLCL,
-	XCORE_INS_TESTWCT,
-	XCORE_INS_TSETMR,
-	XCORE_INS_START,
-	XCORE_INS_WAITEF,
-	XCORE_INS_WAITET,
-	XCORE_INS_WAITEU,
-	XCORE_INS_XOR,
-	XCORE_INS_ZEXT,
-
-	XCORE_INS_ENDING,   // <-- mark the end of the list of instructions
-} xcore_insn;
-
-//> Group of XCore instructions
-typedef enum xcore_insn_group {
-	XCORE_GRP_INVALID = 0, // = CS_GRP_INVALID
-
-	//> Generic groups
-	// all jump instructions (conditional+direct+indirect jumps)
-	XCORE_GRP_JUMP,	// = CS_GRP_JUMP
-
-	XCORE_GRP_ENDING,   // <-- mark the end of the list of groups
-} xcore_insn_group;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff -pruN 4.0.1+really+3.0.5-2/LEB128.h 4.0.2-3/LEB128.h
--- 4.0.1+really+3.0.5-2/LEB128.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/LEB128.h	2020-05-08 10:03:30.000000000 +0000
@@ -13,14 +13,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_SUPPORT_LEB128_H
 #define CS_LLVM_SUPPORT_LEB128_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
+#include "include/capstone/capstone.h"
 
 /// Utility function to decode a ULEB128 value.
 static inline uint64_t decodeULEB128(const uint8_t *p, unsigned *n)
@@ -29,7 +27,7 @@ static inline uint64_t decodeULEB128(con
 	uint64_t Value = 0;
 	unsigned Shift = 0;
 	do {
-		Value += (*p & 0x7f) << Shift;
+		Value += (uint64_t)(*p & 0x7f) << Shift;
 		Shift += 7;
 	} while (*p++ >= 128);
 	if (n)
diff -pruN 4.0.1+really+3.0.5-2/Makefile 4.0.2-3/Makefile
--- 4.0.1+really+3.0.5-2/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -10,7 +10,7 @@ V ?= 0
 
 OS := $(shell uname)
 ifeq ($(OS),Darwin)
-LIBARCHS = i386 x86_64
+LIBARCHS ?= x86_64
 PREFIX ?= /usr/local
 endif
 
@@ -22,6 +22,11 @@ endif
 
 ifeq ($(CROSS),)
 RANLIB ?= ranlib
+else ifeq ($(ANDROID), 1)
+CC = $(CROSS)/../../bin/clang
+AR = $(CROSS)/ar
+RANLIB = $(CROSS)/ranlib
+STRIP = $(CROSS)/strip
 else
 CC = $(CROSS)gcc
 AR = $(CROSS)ar
@@ -40,7 +45,7 @@ ifneq (,$(findstring yes,$(CAPSTONE_X86_
 CFLAGS += -DCAPSTONE_X86_ATT_DISABLE
 endif
 
-CFLAGS += -fPIC -Wall -Wwrite-strings -Iinclude
+CFLAGS += -fPIC -Wall -Wwrite-strings -Wmissing-prototypes -Iinclude
 
 ifeq ($(CAPSTONE_USE_SYS_DYN_MEM),yes)
 CFLAGS += -DCAPSTONE_USE_SYS_DYN_MEM
@@ -65,7 +70,7 @@ else
 BLDIR = $(abspath $(BUILDDIR))
 OBJDIR = $(BLDIR)/obj
 endif
-INCDIR = $(DESTDIR)$(PREFIX)/include
+INCDIR ?= $(PREFIX)/include
 
 UNAME_S := $(shell uname -s)
 
@@ -98,105 +103,78 @@ LIBNAME = capstone
 
 
 DEP_ARM =
-DEP_ARM += arch/ARM/ARMGenAsmWriter.inc
-DEP_ARM += arch/ARM/ARMGenDisassemblerTables.inc
-DEP_ARM += arch/ARM/ARMGenInstrInfo.inc
-DEP_ARM += arch/ARM/ARMGenRegisterInfo.inc
-DEP_ARM += arch/ARM/ARMGenSubtargetInfo.inc
+DEP_ARM += $(wildcard arch/ARM/ARM*.inc)
 
 LIBOBJ_ARM =
 ifneq (,$(findstring arm,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_ARM
-	LIBOBJ_ARM += $(OBJDIR)/arch/ARM/ARMDisassembler.o
-	LIBOBJ_ARM += $(OBJDIR)/arch/ARM/ARMInstPrinter.o
-	LIBOBJ_ARM += $(OBJDIR)/arch/ARM/ARMMapping.o
-	LIBOBJ_ARM += $(OBJDIR)/arch/ARM/ARMModule.o
+	LIBSRC_ARM += $(wildcard arch/ARM/ARM*.c)
+	LIBOBJ_ARM += $(LIBSRC_ARM:%.c=$(OBJDIR)/%.o)
 endif
 
 DEP_ARM64 =
-DEP_ARM64 += arch/AArch64/AArch64GenAsmWriter.inc
-DEP_ARM64 += arch/AArch64/AArch64GenInstrInfo.inc
-DEP_ARM64 += arch/AArch64/AArch64GenSubtargetInfo.inc
-DEP_ARM64 += arch/AArch64/AArch64GenDisassemblerTables.inc
-DEP_ARM64 += arch/AArch64/AArch64GenRegisterInfo.inc
+DEP_ARM64 += $(wildcard arch/AArch64/AArch64*.inc)
 
 LIBOBJ_ARM64 =
 ifneq (,$(findstring aarch64,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_ARM64
-	LIBOBJ_ARM64 += $(OBJDIR)/arch/AArch64/AArch64BaseInfo.o
-	LIBOBJ_ARM64 += $(OBJDIR)/arch/AArch64/AArch64Disassembler.o
-	LIBOBJ_ARM64 += $(OBJDIR)/arch/AArch64/AArch64InstPrinter.o
-	LIBOBJ_ARM64 += $(OBJDIR)/arch/AArch64/AArch64Mapping.o
-	LIBOBJ_ARM64 += $(OBJDIR)/arch/AArch64/AArch64Module.o
+	LIBSRC_ARM64 += $(wildcard arch/AArch64/AArch64*.c)
+	LIBOBJ_ARM64 += $(LIBSRC_ARM64:%.c=$(OBJDIR)/%.o)
 endif
 
 
+DEP_M68K =
+DEP_M68K += $(wildcard arch/M68K/M68K*.inc)
+DEP_M68K += $(wildcard arch/M68K/M68K*.h)
+
+LIBOBJ_M68K =
+ifneq (,$(findstring m68k,$(CAPSTONE_ARCHS)))
+	CFLAGS += -DCAPSTONE_HAS_M68K
+	LIBSRC_M68K += $(wildcard arch/M68K/M68K*.c)
+	LIBOBJ_M68K += $(LIBSRC_M68K:%.c=$(OBJDIR)/%.o)
+endif
+
 DEP_MIPS =
-DEP_MIPS += arch/Mips/MipsGenAsmWriter.inc
-DEP_MIPS += arch/Mips/MipsGenDisassemblerTables.inc
-DEP_MIPS += arch/Mips/MipsGenInstrInfo.inc
-DEP_MIPS += arch/Mips/MipsGenRegisterInfo.inc
-DEP_MIPS += arch/Mips/MipsGenSubtargetInfo.inc
+DEP_MIPS += $(wildcard arch/Mips/Mips*.inc)
 
 LIBOBJ_MIPS =
 ifneq (,$(findstring mips,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_MIPS
-	LIBOBJ_MIPS += $(OBJDIR)/arch/Mips/MipsDisassembler.o
-	LIBOBJ_MIPS += $(OBJDIR)/arch/Mips/MipsInstPrinter.o
-	LIBOBJ_MIPS += $(OBJDIR)/arch/Mips/MipsMapping.o
-	LIBOBJ_MIPS += $(OBJDIR)/arch/Mips/MipsModule.o
+	LIBSRC_MIPS += $(wildcard arch/Mips/Mips*.c)
+	LIBOBJ_MIPS += $(LIBSRC_MIPS:%.c=$(OBJDIR)/%.o)
 endif
 
 
 DEP_PPC =
-DEP_PPC += arch/PowerPC/PPCGenAsmWriter.inc
-DEP_PPC += arch/PowerPC/PPCGenInstrInfo.inc
-DEP_PPC += arch/PowerPC/PPCGenSubtargetInfo.inc
-DEP_PPC += arch/PowerPC/PPCGenDisassemblerTables.inc
-DEP_PPC += arch/PowerPC/PPCGenRegisterInfo.inc
+DEP_PPC += $(wildcard arch/PowerPC/PPC*.inc)
 
 LIBOBJ_PPC =
 ifneq (,$(findstring powerpc,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_POWERPC
-	LIBOBJ_PPC += $(OBJDIR)/arch/PowerPC/PPCDisassembler.o
-	LIBOBJ_PPC += $(OBJDIR)/arch/PowerPC/PPCInstPrinter.o
-	LIBOBJ_PPC += $(OBJDIR)/arch/PowerPC/PPCMapping.o
-	LIBOBJ_PPC += $(OBJDIR)/arch/PowerPC/PPCModule.o
+	LIBSRC_PPC += $(wildcard arch/PowerPC/PPC*.c)
+	LIBOBJ_PPC += $(LIBSRC_PPC:%.c=$(OBJDIR)/%.o)
 endif
 
 
 DEP_SPARC =
-DEP_SPARC += arch/Sparc/SparcGenAsmWriter.inc
-DEP_SPARC += arch/Sparc/SparcGenInstrInfo.inc
-DEP_SPARC += arch/Sparc/SparcGenSubtargetInfo.inc
-DEP_SPARC += arch/Sparc/SparcGenDisassemblerTables.inc
-DEP_SPARC += arch/Sparc/SparcGenRegisterInfo.inc
+DEP_SPARC += $(wildcard arch/Sparc/Sparc*.inc)
 
 LIBOBJ_SPARC =
 ifneq (,$(findstring sparc,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_SPARC
-	LIBOBJ_SPARC += $(OBJDIR)/arch/Sparc/SparcDisassembler.o
-	LIBOBJ_SPARC += $(OBJDIR)/arch/Sparc/SparcInstPrinter.o
-	LIBOBJ_SPARC += $(OBJDIR)/arch/Sparc/SparcMapping.o
-	LIBOBJ_SPARC += $(OBJDIR)/arch/Sparc/SparcModule.o
+	LIBSRC_SPARC += $(wildcard arch/Sparc/Sparc*.c)
+	LIBOBJ_SPARC += $(LIBSRC_SPARC:%.c=$(OBJDIR)/%.o)
 endif
 
 
 DEP_SYSZ =
-DEP_SYSZ += arch/SystemZ/SystemZGenAsmWriter.inc
-DEP_SYSZ += arch/SystemZ/SystemZGenInstrInfo.inc
-DEP_SYSZ += arch/SystemZ/SystemZGenSubtargetInfo.inc
-DEP_SYSZ += arch/SystemZ/SystemZGenDisassemblerTables.inc
-DEP_SYSZ += arch/SystemZ/SystemZGenRegisterInfo.inc
+DEP_SYSZ += $(wildcard arch/SystemZ/SystemZ*.inc)
 
 LIBOBJ_SYSZ =
 ifneq (,$(findstring systemz,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_SYSZ
-	LIBOBJ_SYSZ += $(OBJDIR)/arch/SystemZ/SystemZDisassembler.o
-	LIBOBJ_SYSZ += $(OBJDIR)/arch/SystemZ/SystemZInstPrinter.o
-	LIBOBJ_SYSZ += $(OBJDIR)/arch/SystemZ/SystemZMapping.o
-	LIBOBJ_SYSZ += $(OBJDIR)/arch/SystemZ/SystemZModule.o
-	LIBOBJ_SYSZ += $(OBJDIR)/arch/SystemZ/SystemZMCTargetDesc.o
+	LIBSRC_SYSZ += $(wildcard arch/SystemZ/SystemZ*.c)
+	LIBOBJ_SYSZ += $(LIBSRC_SYSZ:%.c=$(OBJDIR)/%.o)
 endif
 
 
@@ -213,6 +191,9 @@ DEP_X86 += arch/X86/X86GenAsmWriter1$(X8
 DEP_X86 += arch/X86/X86GenDisassemblerTables$(X86_REDUCE).inc
 DEP_X86 += arch/X86/X86GenInstrInfo$(X86_REDUCE).inc
 DEP_X86 += arch/X86/X86GenRegisterInfo.inc
+DEP_X86 += arch/X86/X86MappingInsn$(X86_REDUCE).inc
+DEP_X86 += arch/X86/X86MappingInsnOp$(X86_REDUCE).inc
+DEP_X86 += arch/X86/X86ImmSize.inc
 
 LIBOBJ_X86 =
 ifneq (,$(findstring x86,$(CAPSTONE_ARCHS)))
@@ -232,35 +213,71 @@ endif
 
 
 DEP_XCORE =
-DEP_XCORE += arch/XCore/XCoreGenAsmWriter.inc
-DEP_XCORE += arch/XCore/XCoreGenInstrInfo.inc
-DEP_XCORE += arch/XCore/XCoreGenDisassemblerTables.inc
-DEP_XCORE += arch/XCore/XCoreGenRegisterInfo.inc
+DEP_XCORE += $(wildcard arch/XCore/XCore*.inc)
 
 LIBOBJ_XCORE =
 ifneq (,$(findstring xcore,$(CAPSTONE_ARCHS)))
 	CFLAGS += -DCAPSTONE_HAS_XCORE
-	LIBOBJ_XCORE += $(OBJDIR)/arch/XCore/XCoreDisassembler.o
-	LIBOBJ_XCORE += $(OBJDIR)/arch/XCore/XCoreInstPrinter.o
-	LIBOBJ_XCORE += $(OBJDIR)/arch/XCore/XCoreMapping.o
-	LIBOBJ_XCORE += $(OBJDIR)/arch/XCore/XCoreModule.o
+	LIBSRC_XCORE += $(wildcard arch/XCore/XCore*.c)
+	LIBOBJ_XCORE += $(LIBSRC_XCORE:%.c=$(OBJDIR)/%.o)
+endif
+
+
+DEP_TMS320C64X =
+DEP_TMS320C64X += $(wildcard arch/TMS320C64x/TMS320C64x*.inc)
+
+LIBOBJ_TMS320C64X =
+ifneq (,$(findstring tms320c64x,$(CAPSTONE_ARCHS)))
+	CFLAGS += -DCAPSTONE_HAS_TMS320C64X
+	LIBSRC_TMS320C64X += $(wildcard arch/TMS320C64x/TMS320C64x*.c)
+	LIBOBJ_TMS320C64X += $(LIBSRC_TMS320C64X:%.c=$(OBJDIR)/%.o)
+endif
+
+DEP_M680X =
+DEP_M680X += $(wildcard arch/M680X/*.inc)
+DEP_M680X += $(wildcard arch/M680X/M680X*.h)
+
+LIBOBJ_M680X =
+ifneq (,$(findstring m680x,$(CAPSTONE_ARCHS)))
+	CFLAGS += -DCAPSTONE_HAS_M680X
+	LIBSRC_M680X += $(wildcard arch/M680X/*.c)
+	LIBOBJ_M680X += $(LIBSRC_M680X:%.c=$(OBJDIR)/%.o)
+endif
+
+
+DEP_EVM =
+DEP_EVM += $(wildcard arch/EVM/EVM*.inc)
+
+LIBOBJ_EVM =
+ifneq (,$(findstring evm,$(CAPSTONE_ARCHS)))
+	CFLAGS += -DCAPSTONE_HAS_EVM
+	LIBSRC_EVM += $(wildcard arch/EVM/EVM*.c)
+	LIBOBJ_EVM += $(LIBSRC_EVM:%.c=$(OBJDIR)/%.o)
 endif
 
 
 LIBOBJ =
 LIBOBJ += $(OBJDIR)/cs.o $(OBJDIR)/utils.o $(OBJDIR)/SStream.o $(OBJDIR)/MCInstrDesc.o $(OBJDIR)/MCRegisterInfo.o
-LIBOBJ += $(LIBOBJ_ARM) $(LIBOBJ_ARM64) $(LIBOBJ_MIPS) $(LIBOBJ_PPC) $(LIBOBJ_SPARC) $(LIBOBJ_SYSZ) $(LIBOBJ_X86) $(LIBOBJ_XCORE)
+LIBOBJ += $(LIBOBJ_ARM) $(LIBOBJ_ARM64) $(LIBOBJ_M68K) $(LIBOBJ_MIPS) $(LIBOBJ_PPC) $(LIBOBJ_SPARC) $(LIBOBJ_SYSZ) $(LIBOBJ_X86) $(LIBOBJ_XCORE) $(LIBOBJ_TMS320C64X) $(LIBOBJ_M680X) $(LIBOBJ_EVM)
 LIBOBJ += $(OBJDIR)/MCInst.o
 
 
+ifeq ($(PKG_EXTRA),)
+PKGCFGDIR = $(LIBDATADIR)/pkgconfig
+else
 PKGCFGDIR ?= $(LIBDATADIR)/pkgconfig
-API_MAJOR=$(shell echo `grep -e CS_API_MAJOR include/capstone.h | grep -v = | awk '{print $$3}'` | awk '{print $$1}')
+ifeq ($(PKGCFGDIR),)
+PKGCFGDIR = $(LIBDATADIR)/pkgconfig
+endif
+endif
+
+API_MAJOR=$(shell echo `grep -e CS_API_MAJOR include/capstone/capstone.h | grep -v = | awk '{print $$3}'` | awk '{print $$1}')
 VERSION_EXT =
 
-IS_APPLE := $(shell $(CC) -dM -E - < /dev/null | grep -cm 1 -e __apple_build_version__ -e __APPLE_CC__)
+IS_APPLE := $(shell $(CC) -dM -E - < /dev/null 2> /dev/null | grep __apple_build_version__ | wc -l | tr -d " ")
 ifeq ($(IS_APPLE),1)
-# on MacOS, compile in Universal format by default
-MACOS_UNIVERSAL ?= yes
+# on MacOS, do not build in Universal format by default
+MACOS_UNIVERSAL ?= no
 ifeq ($(MACOS_UNIVERSAL),yes)
 CFLAGS += $(foreach arch,$(LIBARCHS),-arch $(arch))
 LDFLAGS += $(foreach arch,$(LIBARCHS),-arch $(arch))
@@ -282,7 +299,7 @@ CFLAGS += $(foreach arch,$(LIBARCHS),-ar
 LDFLAGS += $(foreach arch,$(LIBARCHS),-arch $(arch))
 $(LIBNAME)_LDFLAGS += -shared
 # Cygwin?
-IS_CYGWIN := $(shell $(CC) -dumpmachine | grep -i cygwin | wc -l)
+IS_CYGWIN := $(shell $(CC) -dumpmachine 2>/dev/null | grep -i cygwin | wc -l)
 ifeq ($(IS_CYGWIN),1)
 EXT = dll
 AR_EXT = lib
@@ -291,7 +308,7 @@ CFLAGS := $(CFLAGS:-fPIC=)
 # On Windows we need the shared library to be executable
 else
 # mingw?
-IS_MINGW := $(shell $(CC) --version | grep -i mingw | wc -l)
+IS_MINGW := $(shell $(CC) --version 2>/dev/null | grep -i "\(mingw\|MSYS\)" | wc -l)
 ifeq ($(IS_MINGW),1)
 EXT = dll
 AR_EXT = lib
@@ -310,11 +327,11 @@ endif
 
 ifeq ($(CAPSTONE_SHARED),yes)
 ifeq ($(IS_MINGW),1)
-LIBRARY = $(BLDIR)/$(LIBNAME).$(EXT)
+LIBRARY = $(BLDIR)/$(LIBNAME).$(VERSION_EXT)
 else ifeq ($(IS_CYGWIN),1)
-LIBRARY = $(BLDIR)/$(LIBNAME).$(EXT)
+LIBRARY = $(BLDIR)/$(LIBNAME).$(VERSION_EXT)
 else	# *nix
-LIBRARY = $(BLDIR)/lib$(LIBNAME).$(EXT)
+LIBRARY = $(BLDIR)/lib$(LIBNAME).$(VERSION_EXT)
 CFLAGS += -fvisibility=hidden
 endif
 endif
@@ -338,8 +355,10 @@ ifeq (,$(findstring yes,$(CAPSTONE_BUILD
 	@V=$(V) CC=$(CC) $(MAKE) -C cstool
 ifndef BUILDDIR
 	$(MAKE) -C tests
+	$(MAKE) -C suite/fuzz
 else
 	$(MAKE) -C tests BUILDDIR=$(BLDIR)
+	$(MAKE) -C suite/fuzz BUILDDIR=$(BLDIR)
 endif
 	$(call install-library,$(BLDIR)/tests/)
 endif
@@ -354,16 +373,20 @@ else
 endif
 endif
 
-$(LIBOBJ): *.h include/*.h config.mk
+$(LIBOBJ): config.mk *.h include/capstone/*.h
 
 $(LIBOBJ_ARM): $(DEP_ARM)
 $(LIBOBJ_ARM64): $(DEP_ARM64)
+$(LIBOBJ_M68K): $(DEP_M68K)
 $(LIBOBJ_MIPS): $(DEP_MIPS)
 $(LIBOBJ_PPC): $(DEP_PPC)
 $(LIBOBJ_SPARC): $(DEP_SPARC)
 $(LIBOBJ_SYSZ): $(DEP_SYSZ)
 $(LIBOBJ_X86): $(DEP_X86)
 $(LIBOBJ_XCORE): $(DEP_XCORE)
+$(LIBOBJ_TMS320C64X): $(DEP_TMS320C64X)
+$(LIBOBJ_M680X): $(DEP_M680X)
+$(LIBOBJ_EVM): $(DEP_EVM)
 
 ifeq ($(CAPSTONE_STATIC),yes)
 $(ARCHIVE): $(LIBOBJ)
@@ -390,27 +413,33 @@ install: $(PKGCFGF) $(ARCHIVE) $(LIBRARY
 ifeq ($(CAPSTONE_STATIC),yes)
 	$(INSTALL_DATA) $(ARCHIVE) $(LIBDIR)
 endif
-	mkdir -p $(INCDIR)/$(LIBNAME)
-	$(INSTALL_DATA) include/*.h $(INCDIR)/$(LIBNAME)
+	mkdir -p $(DESTDIR)$(INCDIR)/$(LIBNAME)
+	$(INSTALL_DATA) include/capstone/*.h $(DESTDIR)$(INCDIR)/$(LIBNAME)
 	mkdir -p $(PKGCFGDIR)
-	$(INSTALL_DATA) $(PKGCFGF) $(PKGCFGDIR)/
+	$(INSTALL_DATA) $(PKGCFGF) $(PKGCFGDIR)
+ifeq (,$(findstring yes,$(CAPSTONE_BUILD_CORE_ONLY)))
 	mkdir -p $(BINDIR)
 	$(INSTALL_LIB) cstool/cstool $(BINDIR)
+endif
 
 uninstall:
-	rm -rf $(INCDIR)/$(LIBNAME)
+	rm -rf $(DESTDIR)$(INCDIR)/$(LIBNAME)
 	rm -f $(LIBDIR)/lib$(LIBNAME).*
 	rm -f $(PKGCFGDIR)/$(LIBNAME).pc
+ifeq (,$(findstring yes,$(CAPSTONE_BUILD_CORE_ONLY)))
 	rm -f $(BINDIR)/cstool
+endif
 
 clean:
 	rm -f $(LIBOBJ)
 	rm -f $(BLDIR)/lib$(LIBNAME).* $(BLDIR)/$(LIBNAME).pc
 	rm -f $(PKGCFGF)
-	$(MAKE) -C cstool clean
+	[ "${ANDROID}" = "1" ] && rm -rf android-ndk-* || true
 
 ifeq (,$(findstring yes,$(CAPSTONE_BUILD_CORE_ONLY)))
+	$(MAKE) -C cstool clean
 	$(MAKE) -C tests clean
+	$(MAKE) -C suite/fuzz clean
 	rm -f $(BLDIR)/tests/lib$(LIBNAME).$(EXT)
 endif
 
@@ -437,16 +466,28 @@ dist:
 	git archive --format=zip --prefix=capstone-$(DIST_VERSION)/ $(TAG) > capstone-$(DIST_VERSION).zip
 
 
-TESTS = test_basic test_detail test_arm test_arm64 test_mips test_ppc test_sparc
-TESTS += test_systemz test_x86 test_xcore test_iter
+TESTS = test_basic test_detail test_arm test_arm64 test_m68k test_mips test_ppc test_sparc
+TESTS += test_systemz test_x86 test_xcore test_iter test_evm
 TESTS += test_basic.static test_detail.static test_arm.static test_arm64.static
-TESTS += test_mips.static test_ppc.static test_sparc.static
-TESTS += test_systemz.static test_x86.static test_xcore.static
-TESTS += test_skipdata test_skipdata.static test_iter.static
-check: $(TESTS)
+TESTS += test_m68k.static test_mips.static test_ppc.static test_sparc.static
+TESTS += test_systemz.static test_x86.static test_xcore.static test_m680x.static
+TESTS += test_skipdata test_skipdata.static test_iter.static test_evm.static
+check: $(TESTS) fuzztest fuzzallcorp
 test_%:
 	./tests/$@ > /dev/null && echo OK || echo FAILED
 
+FUZZ_INPUTS = $(shell find suite/MC -type f -name '*.cs')
+
+fuzztest:
+	./suite/fuzz/fuzz_disasm $(FUZZ_INPUTS)
+
+fuzzallcorp:
+ifneq ($(wildcard suite/fuzz/corpus-libFuzzer-capstone_fuzz_disasmnext-latest),)
+	./suite/fuzz/fuzz_bindisasm suite/fuzz/corpus-libFuzzer-capstone_fuzz_disasmnext-latest/ > fuzz_bindisasm.log || (tail -1 fuzz_bindisasm.log; false)
+else
+	@echo "Skipping tests on whole corpus"
+endif
+
 $(OBJDIR)/%.o: %.c
 	@mkdir -p $(@D)
 ifeq ($(V),0)
@@ -462,7 +503,7 @@ define install-library
 	$(INSTALL_LIB) $(LIBRARY) $1
 	$(if $(VERSION_EXT),
 		cd $1 && \
-		mv lib$(LIBNAME).$(EXT) lib$(LIBNAME).$(VERSION_EXT) && \
+		rm -f lib$(LIBNAME).$(EXT) && \
 		ln -s lib$(LIBNAME).$(VERSION_EXT) lib$(LIBNAME).$(EXT))
 endef
 else
@@ -483,6 +524,7 @@ endef
 
 
 define generate-pkgcfg
+	mkdir -p $(BLDIR)
 	echo 'Name: capstone' > $(PKGCFGF)
 	echo 'Description: Capstone disassembly engine' >> $(PKGCFGF)
 	echo 'Version: $(PKG_VERSION)' >> $(PKGCFGF)
diff -pruN 4.0.1+really+3.0.5-2/make.sh 4.0.2-3/make.sh
--- 4.0.1+really+3.0.5-2/make.sh	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/make.sh	2020-05-08 10:03:30.000000000 +0000
@@ -1,135 +1,118 @@
-#!/usr/bin/env bash
+#!/bin/sh
 
 # Capstone Disassembly Engine
-# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014
+# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015
 
 # Note: to cross-compile "nix32" on Linux, package gcc-multilib is required.
 
-
-# build iOS lib for all iDevices, or only specific device
-function build_iOS {
-	IOS_SDK=`xcrun --sdk iphoneos --show-sdk-path`
-	IOS_CC=`xcrun --sdk iphoneos -f clang`
-	IOS_CFLAGS="-Os -Wimplicit -isysroot $IOS_SDK"
-	IOS_LDFLAGS="-isysroot $IOS_SDK"
-	if (( $# == 0 )); then
-		# build for all iDevices
-		IOS_ARCHS="armv7 armv7s arm64"
-	else
-		IOS_ARCHS="$1"
-	fi
-	CC="$IOS_CC" CFLAGS="$IOS_CFLAGS" LDFLAGS="$IOS_LDFLAGS" LIBARCHS="$IOS_ARCHS" ${MAKE}
-}
+MAKE_JOBS=$((${MAKE_JOBS}+0))
+[ ${MAKE_JOBS} -lt 1 ] && \
+  MAKE_JOBS=4
 
 # build Android lib for only one supported architecture
-function build_android {
-    if [ -z "$NDK" ]; then
-        echo "ERROR! Please set \$NDK to point at your Android NDK directory."
-        exit 1
-    fi
-    HOSTOS=$(uname -s | tr 'LD' 'ld')
-    HOSTARCH=$(uname -m)
-
-    TARGARCH="$1"
-    shift
-
-    case "$TARGARCH" in
-      arm)
-          [ -n "$APILEVEL" ] || APILEVEL="android-14"  # default to ICS
-          [ -n "$GCCVER" ] || GCCVER="4.8"
-          CROSS=arm-linux-androideabi-
-          ;;
-      arm64)
-          [ -n "$APILEVEL" ] || APILEVEL="android-21"  # first with arm64
-          [ -n "$GCCVER" ] || GCCVER="4.9"
-          CROSS=aarch64-linux-android-
-          ;;
-
-      *)
-          echo "ERROR! Building for Android on $1 is not currently supported."
-          exit 1
-          ;;
-    esac
+build_android() {
+  if [ -z "$NDK" ]; then
+    echo "ERROR! Please set \$NDK to point at your Android NDK directory."
+    exit 1
+  fi
+
+  HOSTOS=$(uname -s | tr 'LD' 'ld')
+  HOSTARCH=$(uname -m)
+
+  TARGARCH="$1"
+  shift
+
+  case "$TARGARCH" in
+    arm)
+      [ -n "$APILEVEL" ] || APILEVEL="android-14"  # default to ICS
+      CROSS=arm-linux-androideabi
+      ;;
+    arm64)
+      [ -n "$APILEVEL" ] || APILEVEL="android-21"  # first with arm64
+      CROSS=aarch64-linux-android
+      ;;
+
+    *)
+      echo "ERROR! Building for Android on $1 is not currently supported."
+      exit 1
+      ;;
+  esac
+
+  STANDALONE=`realpath android-ndk-${TARGARCH}-${APILEVEL}`
+
+  [ -d $STANDALONE ] || {
+      python ${NDK}/build/tools/make_standalone_toolchain.py \
+             --arch ${TARGARCH} \
+             --api ${APILEVEL##*-} \
+             --install-dir ${STANDALONE}
+  }
 
-    TOOLCHAIN="$NDK/toolchains/$CROSS$GCCVER/prebuilt/$HOSTOS-$HOSTARCH"
-    PLATFORM="$NDK/platforms/$APILEVEL/arch-$TARGARCH"
-
-    CROSS="$TOOLCHAIN/bin/$CROSS" CFLAGS="--sysroot=$PLATFORM" LDFLAGS="--sysroot=$PLATFORM" ${MAKE} $*
+  ANDROID=1 CROSS="${STANDALONE}/${CROSS}/bin" CFLAGS="--sysroot=${STANDALONE}/sysroot" ${MAKE} $*
 }
 
+# build iOS lib for all iDevices, or only specific device
+build_iOS() {
+  IOS_SDK=`xcrun --sdk iphoneos --show-sdk-path`
+  IOS_CC=`xcrun --sdk iphoneos -f clang`
+  IOS_CFLAGS="-Os -Wimplicit -isysroot $IOS_SDK"
+  IOS_LDFLAGS="-isysroot $IOS_SDK"
+  if [ -z "$1" ]; then
+    # build for all iDevices
+    IOS_ARCHS="armv7 armv7s arm64"
+  else
+    IOS_ARCHS="$1"
+  fi
+  export CC="$IOS_CC"
+  export LIBARCHS="$IOS_ARCHS"
+  CFLAGS="$IOS_CFLAGS" LDFLAGS="$IOS_LDFLAGS" MACOS_UNIVERSAL=yes ${MAKE}
+}
 
-function install {
-	# Mac OSX needs to find the right directory for pkgconfig
-	if [ "$(uname)" == "Darwin" ]; then
-		# we are going to install into /usr/local, so remove old installs under /usr
-		rm -rf /usr/lib/libcapstone.*
-		rm -rf /usr/include/capstone
-		# find the directory automatically, so we can support both Macport & Brew
-		PKGCFGDIR="$(pkg-config --variable pc_path pkg-config | cut -d ':' -f 1)"
-		# set PKGCFGDIR only in non-Brew environment & pkg-config is available
-		if [ "$HOMEBREW_CAPSTONE" != "1" ] && [ ${PKGCFGDIR}x != x ]; then
-			if [ ${CC}x != x ]; then
-				${MAKE} CC=$CC PKGCFGDIR=$PKGCFGDIR install
-			else
-				${MAKE} PKGCFGDIR=$PKGCFGDIR install
-			fi
-		else
-			if [ ${CC}x != x ]; then
-				${MAKE} CC=$CC install
-			else
-				${MAKE} install
-			fi
-		fi
-	else	# not OSX
-		if test -d /usr/lib64; then
-			if [ -n "$CC" ]; then
-				${MAKE} LIBDIRARCH=lib64 CC="$CC" install
-			else
-				${MAKE} LIBDIRARCH=lib64 install
-			fi
-		else
-			if [ -n "$CC" ]; then
-				${MAKE} CC="$CC" install
-			else
-				${MAKE} install
-			fi
-		fi
-	fi
+install() {
+  # Mac OSX needs to find the right directory for pkgconfig
+  if [ "$UNAME" = Darwin ]; then
+    # we are going to install into /usr/local, so remove old installs under /usr
+    rm -rf /usr/lib/libcapstone.*
+    rm -rf /usr/include/capstone
+    if [ "${HOMEBREW_CAPSTONE}" != 1 ]; then
+      # find the directory automatically, so we can support both Macport & Brew
+      export PKGCFGDIR="$(pkg-config --variable pc_path pkg-config | cut -d ':' -f 1)"
+    fi
+    ${MAKE} install
+  else  # not OSX
+    test -d /usr/lib64 && ${MAKE} LIBDIRARCH=lib64
+    ${MAKE} install
+  fi
 }
 
-function uninstall {
-	# Mac OSX needs to find the right directory for pkgconfig
-	if [ "$(uname)" == "Darwin" ]; then
-		# find the directory automatically, so we can support both Macport & Brew
-		PKGCFGDIR="$(pkg-config --variable pc_path pkg-config | cut -d ':' -f 1)"
-		if [ ${PKGCFGDIR}x != x ]; then
-			${MAKE} PKGCFGDIR=$PKGCFGDIR uninstall
-		else
-			${MAKE} uninstall
-		fi
-	else	# not OSX
-		if test -d /usr/lib64; then
-			${MAKE} LIBDIRARCH=lib64 uninstall
-		else
-			${MAKE} uninstall
-		fi
-	fi
+uninstall() {
+  # Mac OSX needs to find the right directory for pkgconfig
+  if [ "$UNAME" = "Darwin" ]; then
+    # find the directory automatically, so we can support both Macport & Brew
+    export PKGCFGDIR="$(pkg-config --variable pc_path pkg-config | cut -d ':' -f 1)"
+    ${MAKE} uninstall
+  else  # not OSX
+    test -d /usr/lib64 && LIBDIRARCH=lib64
+    ${MAKE} uninstall
+  fi
 }
 
-MAKE=make
-if [ "$(uname)" == "SunOS" ]; then
-	export MAKE=gmake
-	export INSTALL_BIN=ginstall
-	export CC=gcc
+if [ "$UNAME" = SunOS ]; then
+  [ -z "${MAKE}" ] && MAKE=gmake
+  export INSTALL_BIN=ginstall
+  export CC=gcc
 fi
 
-if [[ "$(uname)" == *BSD* ]]; then
-	export MAKE=gmake
-	export PREFIX=/usr/local
+if [ -n "`echo "$UNAME" | grep BSD`" ]; then
+  MAKE=gmake
+  export PREFIX=/usr/local
 fi
 
+[ -z "${UNAME}" ] && UNAME=$(uname)
+[ -z "${MAKE}" ] && MAKE=make
+[ -n "${MAKE_JOBS}" ] && MAKE="$MAKE -j${MAKE_JOBS}"
+
 TARGET="$1"
-shift
+[ -n "$TARGET" ] && shift
 
 case "$TARGET" in
   "" ) ${MAKE} $*;;
@@ -143,6 +126,7 @@ case "$TARGET" in
   "cygwin-mingw32" ) CROSS=i686-pc-mingw32- ${MAKE} $*;;
   "cygwin-mingw64" ) CROSS=x86_64-w64-mingw32- ${MAKE} $*;;
   "cross-android" ) build_android $*;;
+  "cross-android64" ) CROSS=aarch64-linux-gnu- ${MAKE} $*;;	# Linux cross build
   "clang" ) CC=clang ${MAKE} $*;;
   "gcc" ) CC=gcc ${MAKE} $*;;
   "ios" ) build_iOS $*;;
@@ -150,6 +134,9 @@ case "$TARGET" in
   "ios_armv7s" ) build_iOS armv7s $*;;
   "ios_arm64" ) build_iOS arm64 $*;;
   "osx-kernel" ) CAPSTONE_USE_SYS_DYN_MEM=yes CAPSTONE_HAS_OSXKERNEL=yes CAPSTONE_ARCHS=x86 CAPSTONE_SHARED=no CAPSTONE_BUILD_CORE_ONLY=yes ${MAKE} $*;;
+  "mac-universal" ) MACOS_UNIVERSAL=yes ${MAKE} $*;;
   "mac-universal-no" ) MACOS_UNIVERSAL=no ${MAKE} $*;;
-  * ) echo "Usage: make.sh [nix32|cross-win32|cross-win64|cygwin-mingw32|cygwin-mingw64|ios|ios_armv7|ios_armv7s|ios_arm64|cross-android arm|cross-android arm64|clang|gcc|install|uninstall|mac-universal-no]"; exit 1;;
+  * )
+    echo "Usage: $0 ["`grep '^  "' $0 | cut -d '"' -f 2 | tr "\\n" "|"`"]"
+    exit 1;;
 esac
diff -pruN 4.0.1+really+3.0.5-2/MathExtras.h 4.0.2-3/MathExtras.h
--- 4.0.1+really+3.0.5-2/MathExtras.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MathExtras.h	2020-05-08 10:03:30.000000000 +0000
@@ -12,17 +12,15 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_SUPPORT_MATHEXTRAS_H
 #define CS_LLVM_SUPPORT_MATHEXTRAS_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-
-#ifdef _MSC_VER
-# include <intrin.h>
+#if defined(_WIN32_WCE) && (_WIN32_WCE < 0x800)
+#include "windowsce/intrin.h"
+#elif defined(_MSC_VER)
+#include <intrin.h>
 #endif
 
 #ifndef __cplusplus
diff -pruN 4.0.1+really+3.0.5-2/MCDisassembler.h 4.0.2-3/MCDisassembler.h
--- 4.0.1+really+3.0.5-2/MCDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_MCDISASSEMBLER_H
 #define CS_MCDISASSEMBLER_H
diff -pruN 4.0.1+really+3.0.5-2/MCFixedLenDisassembler.h 4.0.2-3/MCFixedLenDisassembler.h
--- 4.0.1+really+3.0.5-2/MCFixedLenDisassembler.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCFixedLenDisassembler.h	2020-05-08 10:03:30.000000000 +0000
@@ -10,7 +10,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_MC_MCFIXEDLENDISASSEMBLER_H
 #define CS_LLVM_MC_MCFIXEDLENDISASSEMBLER_H
diff -pruN 4.0.1+really+3.0.5-2/MCInst.c 4.0.2-3/MCInst.c
--- 4.0.1+really+3.0.5-2/MCInst.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCInst.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
@@ -29,6 +29,10 @@ void MCInst_Init(MCInst *inst)
 	inst->has_imm = false;
 	inst->op1_size = 0;
 	inst->writeback = false;
+	inst->ac_idx = 0;
+	inst->popcode_adjust = 0;
+	inst->assembly[0] = '\0';
+	inst->xAcquireRelease = 0;
 }
 
 void MCInst_clear(MCInst *inst)
@@ -87,12 +91,6 @@ void MCInst_addOperand2(MCInst *inst, MC
 	inst->size++;
 }
 
-void MCOperand_Init(MCOperand *op)
-{
-	op->Kind = kInvalid;
-	op->FPImmVal = 0.0;
-}
-
 bool MCOperand_isValid(const MCOperand *op)
 {
 	return op->Kind != kInvalid;
diff -pruN 4.0.1+really+3.0.5-2/MCInst.h 4.0.2-3/MCInst.h
--- 4.0.1+really+3.0.5-2/MCInst.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCInst.h	2020-05-08 10:03:30.000000000 +0000
@@ -14,15 +14,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_MCINST_H
 #define CS_MCINST_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-#include "include/capstone.h"
+#include "include/capstone/capstone.h"
 
 typedef struct MCInst MCInst;
 typedef struct cs_struct cs_struct;
@@ -106,6 +103,12 @@ struct MCInst {
 	uint8_t x86_prefix[4];
 	uint8_t imm_size;	// immediate size for X86_OP_IMM operand
 	bool writeback;	// writeback for ARM
+	// operand access index for list of registers sharing the same access right (for ARM)
+	uint8_t ac_idx;
+	uint8_t popcode_adjust;   // Pseudo X86 instruction adjust
+	char assembly[8];	// for special instruction, so that we dont need printer
+	unsigned char evm_data[32];	// for EVM PUSH operand
+	uint8_t xAcquireRelease;	// X86 xacquire/xrelease
 };
 
 void MCInst_Init(MCInst *inst);
diff -pruN 4.0.1+really+3.0.5-2/MCInstrDesc.c 4.0.2-3/MCInstrDesc.c
--- 4.0.1+really+3.0.5-2/MCInstrDesc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCInstrDesc.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "MCInstrDesc.h"
 
diff -pruN 4.0.1+really+3.0.5-2/MCInstrDesc.h 4.0.2-3/MCInstrDesc.h
--- 4.0.1+really+3.0.5-2/MCInstrDesc.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCInstrDesc.h	2020-05-08 10:03:30.000000000 +0000
@@ -13,15 +13,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_MC_MCINSTRDESC_H
 #define CS_LLVM_MC_MCINSTRDESC_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-#include "include/platform.h"
+#include "capstone/platform.h"
 
 //===----------------------------------------------------------------------===//
 // Machine Operand Flags and Description
@@ -113,6 +110,8 @@ enum {
 	MCID_ExtraSrcRegAllocReq,
 	MCID_ExtraDefRegAllocReq,
 	MCID_RegSequence,
+	MCID_ExtractSubreg,
+	MCID_InsertSubreg
 };
 
 /// MCInstrDesc - Describe properties that are true of each instruction in the
diff -pruN 4.0.1+really+3.0.5-2/MCRegisterInfo.c 4.0.2-3/MCRegisterInfo.c
--- 4.0.1+really+3.0.5-2/MCRegisterInfo.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCRegisterInfo.c	2020-05-08 10:03:30.000000000 +0000
@@ -12,7 +12,7 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #include "MCRegisterInfo.h"
 
diff -pruN 4.0.1+really+3.0.5-2/MCRegisterInfo.h 4.0.2-3/MCRegisterInfo.h
--- 4.0.1+really+3.0.5-2/MCRegisterInfo.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/MCRegisterInfo.h	2020-05-08 10:03:30.000000000 +0000
@@ -14,15 +14,12 @@
 //===----------------------------------------------------------------------===//
 
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_LLVM_MC_MCREGISTERINFO_H
 #define CS_LLVM_MC_MCREGISTERINFO_H
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
-#include "include/platform.h"
+#include "capstone/platform.h"
 
 /// An unsigned integer type large enough to represent all physical registers,
 /// but not necessarily virtual registers.
@@ -30,9 +27,9 @@ typedef uint16_t MCPhysReg;
 typedef const MCPhysReg* iterator;
 
 typedef struct MCRegisterClass {
-	const char *Name;
 	iterator RegsBegin;
 	const uint8_t *RegSet;
+	uint32_t NameIdx;
 	uint16_t RegsSize;
 	uint16_t RegSetSize;
 	uint16_t ID;
@@ -60,6 +57,10 @@ typedef struct MCRegisterDesc {
 	// RegUnits - Points to the list of register units. The low 4 bits holds the
 	// Scale, the high bits hold an offset into DiffLists. See MCRegUnitIterator.
 	uint32_t RegUnits;
+
+	/// Index into list with lane mask sequences. The sequence contains a lanemask
+	/// for every register unit.
+	uint16_t RegUnitLaneMasks;
 } MCRegisterDesc;
 
 /// MCRegisterInfo base class - We assume that the target defines a static
@@ -104,7 +105,6 @@ void MCRegisterInfo_InitMCRegisterInfo(M
 		unsigned NumIndices,
 		const uint16_t *RET);
 
-
 unsigned MCRegisterInfo_getMatchingSuperReg(const MCRegisterInfo *RI, unsigned Reg, unsigned SubIdx, const MCRegisterClass *RC);
 
 unsigned MCRegisterInfo_getSubReg(const MCRegisterInfo *RI, unsigned Reg, unsigned Idx);
diff -pruN 4.0.1+really+3.0.5-2/msvc/capstone_dll/capstone_dll.vcxproj 4.0.2-3/msvc/capstone_dll/capstone_dll.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/capstone_dll/capstone_dll.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/capstone_dll/capstone_dll.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -28,23 +28,27 @@
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -82,12 +86,12 @@
     <ClCompile>
       <PrecompiledHeader>
       </PrecompiledHeader>
-      <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
     </ClCompile>
     <Link>
       <SubSystem>Windows</SubSystem>
@@ -100,12 +104,12 @@
     <ClCompile>
       <PrecompiledHeader>
       </PrecompiledHeader>
-      <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
     </ClCompile>
     <Link>
       <SubSystem>Windows</SubSystem>
@@ -116,16 +120,16 @@
   </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
     <ClCompile>
-      <WarningLevel>Level3</WarningLevel>
       <PrecompiledHeader>
       </PrecompiledHeader>
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
     </ClCompile>
     <Link>
       <SubSystem>Windows</SubSystem>
@@ -138,16 +142,16 @@
   </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
     <ClCompile>
-      <WarningLevel>Level3</WarningLevel>
       <PrecompiledHeader>
       </PrecompiledHeader>
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_WINDOWS;_USRDLL;CAPSTONE_SHARED;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
     </ClCompile>
     <Link>
       <SubSystem>Windows</SubSystem>
@@ -168,6 +172,16 @@
     <ClCompile Include="..\..\arch\ARM\ARMInstPrinter.c" />
     <ClCompile Include="..\..\arch\ARM\ARMMapping.c" />
     <ClCompile Include="..\..\arch\ARM\ARMModule.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMDisassembler.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMInstPrinter.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMMapping.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMModule.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KDisassembler.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KInstPrinter.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KModule.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XDisassembler.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XInstPrinter.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XModule.c" />
     <ClCompile Include="..\..\arch\Mips\MipsDisassembler.c" />
     <ClCompile Include="..\..\arch\Mips\MipsInstPrinter.c" />
     <ClCompile Include="..\..\arch\Mips\MipsMapping.c" />
@@ -185,6 +199,10 @@
     <ClCompile Include="..\..\arch\SystemZ\SystemZMapping.c" />
     <ClCompile Include="..\..\arch\SystemZ\SystemZMCTargetDesc.c" />
     <ClCompile Include="..\..\arch\SystemZ\SystemZModule.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xDisassembler.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xInstPrinter.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xMapping.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xModule.c" />
     <ClCompile Include="..\..\arch\X86\X86ATTInstPrinter.c" />
     <ClCompile Include="..\..\arch\X86\X86Disassembler.c" />
     <ClCompile Include="..\..\arch\X86\X86DisassemblerDecoder.c" />
diff -pruN 4.0.1+really+3.0.5-2/msvc/capstone.sln 4.0.2-3/msvc/capstone.sln
--- 4.0.1+really+3.0.5-2/msvc/capstone.sln	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/capstone.sln	2020-05-08 10:03:30.000000000 +0000
@@ -23,6 +23,21 @@ Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C9
 		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_evm", "test_evm\test_evm.vcxproj", "{5C74F923-B43A-4867-96FF-06470B6AADC7}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_m680x", "test_m680x\test_m680x.vcxproj", "{0DF9BCD6-A572-4503-9D88-5933143D7824}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_m68k", "test_m68k\test_m68k.vcxproj", "{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
+	EndProjectSection
+EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_mips", "test_mips\test_mips.vcxproj", "{28B2D82F-3E95-4ECE-8118-0E891BD453E0}"
 	ProjectSection(ProjectDependencies) = postProject
 		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
@@ -53,6 +68,11 @@ Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C9
 		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_tms320c64x", "test_tms320c64x\test_tms320c64x.vcxproj", "{0B316A2F-0E0C-4172-8502-2B2F579298A7}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
+	EndProjectSection
+EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_xcore", "test_xcore\test_xcore.vcxproj", "{5B880AB5-E54F-11E3-8C65-B8E8563B7BDE}"
 	ProjectSection(ProjectDependencies) = postProject
 		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
@@ -63,6 +83,11 @@ Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C9
 		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "test_customized_mnem", "test_customized_mnem\test_customized_mnem.vcxproj", "{D622418C-A872-40D4-8C86-F3D996A4C823}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5B01D900-2359-44CA-9914-6B0C6AFB7BE7} = {5B01D900-2359-44CA-9914-6B0C6AFB7BE7}
+	EndProjectSection
+EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "capstone_dll", "capstone_dll\capstone_dll.vcxproj", "{2171C0E8-4915-49B9-AC23-A484FA08C126}"
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "capstone_static_winkernel", "capstone_static_winkernel\capstone_static_winkernel.vcxproj", "{FE197816-EF84-4E8D-B29D-E0A6BA2B144B}"
@@ -125,6 +150,30 @@ Global
 		{CBE31473-7D0E-41F5-AFCB-8C8422ED8908}.Release|Win32.Build.0 = Release|Win32
 		{CBE31473-7D0E-41F5-AFCB-8C8422ED8908}.Release|x64.ActiveCfg = Release|x64
 		{CBE31473-7D0E-41F5-AFCB-8C8422ED8908}.Release|x64.Build.0 = Release|x64
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Debug|Win32.ActiveCfg = Debug|Win32
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Debug|Win32.Build.0 = Debug|Win32
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Debug|x64.ActiveCfg = Debug|x64
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Debug|x64.Build.0 = Debug|x64
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Release|Win32.ActiveCfg = Release|Win32
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Release|Win32.Build.0 = Release|Win32
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Release|x64.ActiveCfg = Release|x64
+		{5C74F923-B43A-4867-96FF-06470B6AADC7}.Release|x64.Build.0 = Release|x64
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Debug|Win32.Build.0 = Debug|Win32
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Debug|x64.ActiveCfg = Debug|x64
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Debug|x64.Build.0 = Debug|x64
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Release|Win32.ActiveCfg = Release|Win32
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Release|Win32.Build.0 = Release|Win32
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Release|x64.ActiveCfg = Release|x64
+		{0DF9BCD6-A572-4503-9D88-5933143D7824}.Release|x64.Build.0 = Release|x64
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Debug|Win32.ActiveCfg = Debug|Win32
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Debug|Win32.Build.0 = Debug|Win32
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Debug|x64.ActiveCfg = Debug|x64
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Debug|x64.Build.0 = Debug|x64
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Release|Win32.ActiveCfg = Release|Win32
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Release|Win32.Build.0 = Release|Win32
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Release|x64.ActiveCfg = Release|x64
+		{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}.Release|x64.Build.0 = Release|x64
 		{28B2D82F-3E95-4ECE-8118-0E891BD453E0}.Debug|Win32.ActiveCfg = Debug|Win32
 		{28B2D82F-3E95-4ECE-8118-0E891BD453E0}.Debug|Win32.Build.0 = Debug|Win32
 		{28B2D82F-3E95-4ECE-8118-0E891BD453E0}.Debug|x64.ActiveCfg = Debug|x64
@@ -173,6 +222,14 @@ Global
 		{B09819BB-7EF1-4B04-945D-58117E6940A1}.Release|Win32.Build.0 = Release|Win32
 		{B09819BB-7EF1-4B04-945D-58117E6940A1}.Release|x64.ActiveCfg = Release|x64
 		{B09819BB-7EF1-4B04-945D-58117E6940A1}.Release|x64.Build.0 = Release|x64
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Debug|Win32.Build.0 = Debug|Win32
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Debug|x64.ActiveCfg = Debug|x64
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Debug|x64.Build.0 = Debug|x64
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Release|Win32.ActiveCfg = Release|Win32
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Release|Win32.Build.0 = Release|Win32
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Release|x64.ActiveCfg = Release|x64
+		{0B316A2F-0E0C-4172-8502-2B2F579298A7}.Release|x64.Build.0 = Release|x64
 		{5B880AB5-E54F-11E3-8C65-B8E8563B7BDE}.Debug|Win32.ActiveCfg = Debug|Win32
 		{5B880AB5-E54F-11E3-8C65-B8E8563B7BDE}.Debug|Win32.Build.0 = Debug|Win32
 		{5B880AB5-E54F-11E3-8C65-B8E8563B7BDE}.Debug|x64.ActiveCfg = Debug|x64
@@ -189,6 +246,14 @@ Global
 		{48EB18D5-7060-4C54-B8B1-BFF077329604}.Release|Win32.Build.0 = Release|Win32
 		{48EB18D5-7060-4C54-B8B1-BFF077329604}.Release|x64.ActiveCfg = Release|x64
 		{48EB18D5-7060-4C54-B8B1-BFF077329604}.Release|x64.Build.0 = Release|x64
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Debug|Win32.ActiveCfg = Debug|Win32
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Debug|Win32.Build.0 = Debug|Win32
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Debug|x64.ActiveCfg = Debug|x64
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Debug|x64.Build.0 = Debug|x64
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Release|Win32.ActiveCfg = Release|Win32
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Release|Win32.Build.0 = Release|Win32
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Release|x64.ActiveCfg = Release|x64
+		{D622418C-A872-40D4-8C86-F3D996A4C823}.Release|x64.Build.0 = Release|x64
 		{2171C0E8-4915-49B9-AC23-A484FA08C126}.Debug|Win32.ActiveCfg = Debug|Win32
 		{2171C0E8-4915-49B9-AC23-A484FA08C126}.Debug|Win32.Build.0 = Debug|Win32
 		{2171C0E8-4915-49B9-AC23-A484FA08C126}.Debug|x64.ActiveCfg = Debug|x64
diff -pruN 4.0.1+really+3.0.5-2/msvc/capstone_static/capstone_static.vcxproj 4.0.2-3/msvc/capstone_static/capstone_static.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/capstone_static/capstone_static.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/capstone_static/capstone_static.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -28,6 +28,16 @@
     <ClCompile Include="..\..\arch\ARM\ARMInstPrinter.c" />
     <ClCompile Include="..\..\arch\ARM\ARMMapping.c" />
     <ClCompile Include="..\..\arch\ARM\ARMModule.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMDisassembler.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMInstPrinter.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMMapping.c" />
+    <ClCompile Include="..\..\arch\EVM\EVMModule.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KDisassembler.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KInstPrinter.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KModule.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XDisassembler.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XInstPrinter.c" />
+    <ClCompile Include="..\..\arch\M680X\M680XModule.c" />
     <ClCompile Include="..\..\arch\Mips\MipsDisassembler.c" />
     <ClCompile Include="..\..\arch\Mips\MipsInstPrinter.c" />
     <ClCompile Include="..\..\arch\Mips\MipsMapping.c" />
@@ -45,6 +55,10 @@
     <ClCompile Include="..\..\arch\SystemZ\SystemZMapping.c" />
     <ClCompile Include="..\..\arch\SystemZ\SystemZMCTargetDesc.c" />
     <ClCompile Include="..\..\arch\SystemZ\SystemZModule.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xDisassembler.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xInstPrinter.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xMapping.c" />
+    <ClCompile Include="..\..\arch\TMS320C64x\TMS320C64xModule.c" />
     <ClCompile Include="..\..\arch\X86\X86ATTInstPrinter.c" />
     <ClCompile Include="..\..\arch\X86\X86Disassembler.c" />
     <ClCompile Include="..\..\arch\X86\X86DisassemblerDecoder.c" />
@@ -73,23 +87,27 @@
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -125,9 +143,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -141,9 +159,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -159,9 +177,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -179,9 +197,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M68K;CAPSTONE_HAS_M680X;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/capstone_static_winkernel/capstone_static_winkernel.vcxproj 4.0.2-3/msvc/capstone_static_winkernel/capstone_static_winkernel.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/capstone_static_winkernel/capstone_static_winkernel.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/capstone_static_winkernel/capstone_static_winkernel.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -28,6 +28,9 @@
     <ClCompile Include="..\..\arch\ARM\ARMInstPrinter.c" />
     <ClCompile Include="..\..\arch\ARM\ARMMapping.c" />
     <ClCompile Include="..\..\arch\ARM\ARMModule.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KDisassembler.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KInstPrinter.c" />
+    <ClCompile Include="..\..\arch\M68K\M68KModule.c" />
     <ClCompile Include="..\..\arch\Mips\MipsDisassembler.c" />
     <ClCompile Include="..\..\arch\Mips\MipsInstPrinter.c" />
     <ClCompile Include="..\..\arch\Mips\MipsMapping.c" />
@@ -77,28 +80,28 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <DriverType>KMDF</DriverType>
   </PropertyGroup>
@@ -126,8 +129,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_M68K;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <TreatWarningAsError>false</TreatWarningAsError>
       <WarningLevel>Level3</WarningLevel>
     </ClCompile>
@@ -136,8 +139,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_M68K;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <TreatWarningAsError>false</TreatWarningAsError>
       <WarningLevel>Level3</WarningLevel>
     </ClCompile>
@@ -146,8 +149,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_M68K;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <TreatWarningAsError>false</TreatWarningAsError>
       <WarningLevel>Level3</WarningLevel>
     </ClCompile>
@@ -156,8 +159,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_M68K;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <TreatWarningAsError>false</TreatWarningAsError>
       <WarningLevel>Level3</WarningLevel>
     </ClCompile>
diff -pruN 4.0.1+really+3.0.5-2/msvc/cstool/cstool.vcxproj 4.0.2-3/msvc/cstool/cstool.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/cstool/cstool.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/cstool/cstool.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -22,30 +22,34 @@
     <ProjectGuid>{A5AB9988-6B03-4F0D-8D40-9440BBC8B03D}</ProjectGuid>
     <Keyword>Win32Proj</Keyword>
     <RootNamespace>cstool</RootNamespace>
-	<ProjectName>cstool</ProjectName>
+    <ProjectName>cstool</ProjectName>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -157,10 +161,14 @@
     <ClCompile Include="..\..\cstool\cstool.c" />
     <ClCompile Include="..\..\cstool\cstool_arm.c" />
     <ClCompile Include="..\..\cstool\cstool_arm64.c" />
+    <ClCompile Include="..\..\cstool\cstool_evm.c" />
+    <ClCompile Include="..\..\cstool\cstool_m680x.c" />
+    <ClCompile Include="..\..\cstool\cstool_m68k.c" />
     <ClCompile Include="..\..\cstool\cstool_mips.c" />
     <ClCompile Include="..\..\cstool\cstool_ppc.c" />
     <ClCompile Include="..\..\cstool\cstool_sparc.c" />
     <ClCompile Include="..\..\cstool\cstool_systemz.c" />
+    <ClCompile Include="..\..\cstool\cstool_tms320c64x.c" />
     <ClCompile Include="..\..\cstool\cstool_x86.c" />
     <ClCompile Include="..\..\cstool\cstool_xcore.c" />
   </ItemGroup>
diff -pruN 4.0.1+really+3.0.5-2/msvc/README 4.0.2-3/msvc/README
--- 4.0.1+really+3.0.5-2/msvc/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/README	2020-05-08 10:03:30.000000000 +0000
@@ -17,6 +17,6 @@ NOTE:
 
 (3) The capstone_static_winkernel and test_winkernel projects are for Windows
     kernel drivers and excluded from build by default. In order to build them,
-    you need to install Visual Studio 2013 or newer versions, and Windows Driver
-    Kit 8.1 Update 1 or newer versions, then check "Build" check boxes for those
+    you need to install Visual Studio 2017 or newer versions, and Windows Driver
+    Kit 10 or newer versions, then check "Build" check boxes for those
     projects on the Configuration Manager through the [Build] menu.
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_arm/test_arm.vcxproj 4.0.2-3/msvc/test_arm/test_arm.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_arm/test_arm.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_arm/test_arm.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_arm64/test_arm64.vcxproj 4.0.2-3/msvc/test_arm64/test_arm64.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_arm64/test_arm64.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_arm64/test_arm64.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_basic/test_basic.vcxproj 4.0.2-3/msvc/test_basic/test_basic.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_basic/test_basic.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_basic/test_basic.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -1,4 +1,4 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Debug|Win32">
@@ -21,7 +21,7 @@
   <PropertyGroup Label="Globals">
     <ProjectGuid>{B291E0D9-4B39-4AF8-971D-A015B78D54A1}</ProjectGuid>
     <Keyword>Win32Proj</Keyword>
-    <RootNamespace>capstonetest</RootNamespace>
+    <RootNamespace>capstonetestbasic</RootNamespace>
     <ProjectName>test_basic</ProjectName>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -81,9 +85,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_WASM;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -99,9 +103,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_WASM;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -119,9 +123,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_WASM;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -141,9 +145,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_WASM;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_customized_mnem/test_customized_mnem.vcxproj 4.0.2-3/msvc/test_customized_mnem/test_customized_mnem.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_customized_mnem/test_customized_mnem.vcxproj	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/msvc/test_customized_mnem/test_customized_mnem.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,168 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{D622418C-A872-40D4-8C86-F3D996A4C823}</ProjectGuid>
+    <Keyword>Win32Proj</Keyword>
+    <RootNamespace>capstonetestcustomizedmnem</RootNamespace>
+    <ProjectName>test_customized_mnem</ProjectName>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\x64\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\x64\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\tests\test_customized_mnem.c" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_detail/test_detail.vcxproj 4.0.2-3/msvc/test_detail/test_detail.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_detail/test_detail.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_detail/test_detail.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -81,9 +85,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -99,9 +103,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -119,9 +123,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -141,9 +145,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_evm/test_evm.vcxproj 4.0.2-3/msvc/test_evm/test_evm.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_evm/test_evm.vcxproj	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/msvc/test_evm/test_evm.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,168 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{5C74F923-B43A-4867-96FF-06470B6AADC7}</ProjectGuid>
+    <Keyword>Win32Proj</Keyword>
+    <RootNamespace>capstonetestevm</RootNamespace>
+    <ProjectName>test_evm</ProjectName>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\x64\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\x64\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\tests\test_evm.c" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_iter/test_iter.vcxproj 4.0.2-3/msvc/test_iter/test_iter.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_iter/test_iter.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_iter/test_iter.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -81,9 +85,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -99,9 +103,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -119,9 +123,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -141,9 +145,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_m680x/test_m680x.vcxproj 4.0.2-3/msvc/test_m680x/test_m680x.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_m680x/test_m680x.vcxproj	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/msvc/test_m680x/test_m680x.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,168 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{0DF9BCD6-A572-4503-9D88-5933143D7824}</ProjectGuid>
+    <Keyword>Win32Proj</Keyword>
+    <RootNamespace>capstonetestm680x</RootNamespace>
+    <ProjectName>test_m680x</ProjectName>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\x64\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\x64\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\tests\test_m680x.c" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_m68k/test_m68k.vcxproj 4.0.2-3/msvc/test_m68k/test_m68k.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_m68k/test_m68k.vcxproj	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/msvc/test_m68k/test_m68k.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,168 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{5B880AB5-E54F-11E3-8C65-B8E8563B7B00}</ProjectGuid>
+    <Keyword>Win32Proj</Keyword>
+    <RootNamespace>capstonetestm68k</RootNamespace>
+    <ProjectName>test_m68k</ProjectName>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\x64\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\x64\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\tests\test_m68k.c" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_mips/test_mips.vcxproj 4.0.2-3/msvc/test_mips/test_mips.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_mips/test_mips.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_mips/test_mips.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_ppc/test_ppc.vcxproj 4.0.2-3/msvc/test_ppc/test_ppc.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_ppc/test_ppc.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_ppc/test_ppc.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -32,23 +32,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -86,7 +90,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -104,7 +108,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -124,7 +128,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -146,7 +150,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_skipdata/test_skipdata.vcxproj 4.0.2-3/msvc/test_skipdata/test_skipdata.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_skipdata/test_skipdata.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_skipdata/test_skipdata.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -81,9 +85,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -99,9 +103,9 @@
       </PrecompiledHeader>
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -119,9 +123,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -141,9 +145,9 @@
       <Optimization>MaxSpeed</Optimization>
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_EVM;CAPSTONE_HAS_M680X;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_TMS320C64X;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_sparc/test_sparc.vcxproj 4.0.2-3/msvc/test_sparc/test_sparc.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_sparc/test_sparc.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_sparc/test_sparc.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_systemz/test_systemz.vcxproj 4.0.2-3/msvc/test_systemz/test_systemz.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_systemz/test_systemz.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_systemz/test_systemz.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -32,23 +32,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -86,7 +90,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -104,7 +108,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -124,7 +128,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -146,7 +150,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_tms320c64x/test_tms320c64x.vcxproj 4.0.2-3/msvc/test_tms320c64x/test_tms320c64x.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_tms320c64x/test_tms320c64x.vcxproj	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/msvc/test_tms320c64x/test_tms320c64x.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,168 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{0B316A2F-0E0C-4172-8502-2B2F579298A7}</ProjectGuid>
+    <Keyword>Win32Proj</Keyword>
+    <RootNamespace>capstonetesttms320c64x</RootNamespace>
+    <ProjectName>test_tms320c64x</ProjectName>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <ClCompile>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalLibraryDirectories>..\x64\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <PrecompiledHeader>
+      </PrecompiledHeader>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <SDLCheck>true</SDLCheck>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+    </ClCompile>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalLibraryDirectories>..\x64\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <AdditionalDependencies>capstone.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\tests\test_tms320c64x.c" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
\ No newline at end of file
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_winkernel/test_winkernel.vcxproj 4.0.2-3/msvc/test_winkernel/test_winkernel.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_winkernel/test_winkernel.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_winkernel/test_winkernel.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -32,30 +32,30 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <TargetVersion>Windows7</TargetVersion>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>WindowsKernelModeDriver8.1</PlatformToolset>
     <ConfigurationType>Driver</ConfigurationType>
     <DriverType>KMDF</DriverType>
+    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -81,7 +81,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -92,7 +93,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -103,7 +105,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
@@ -114,7 +117,8 @@
     <ClCompile>
       <WppScanConfigurationData Condition="'%(ClCompile. ScanConfigurationData)'  == ''">trace.h</WppScanConfigurationData>
       <WppKernelMode>true</WppKernelMode>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;$(IntDir);$(VC_IncludePath);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>CAPSTONE_X86_ATT_DISABLE_NO;CAPSTONE_DIET_NO;CAPSTONE_X86_REDUCE_NO;CAPSTONE_HAS_ARM;CAPSTONE_HAS_ARM64;CAPSTONE_HAS_M68K;CAPSTONE_HAS_MIPS;CAPSTONE_HAS_POWERPC;CAPSTONE_HAS_SPARC;CAPSTONE_HAS_SYSZ;CAPSTONE_HAS_X86;CAPSTONE_HAS_XCORE;CAPSTONE_USE_SYS_DYN_MEM;_NO_CRT_STDIO_INLINE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
       <AdditionalDependencies>capstone_static_winkernel.lib;ntstrsafe.lib;%(AdditionalDependencies)</AdditionalDependencies>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_x86/test_x86.vcxproj 4.0.2-3/msvc/test_x86/test_x86.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_x86/test_x86.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_x86/test_x86.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/msvc/test_xcore/test_xcore.vcxproj 4.0.2-3/msvc/test_xcore/test_xcore.vcxproj
--- 4.0.1+really+3.0.5-2/msvc/test_xcore/test_xcore.vcxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/msvc/test_xcore/test_xcore.vcxproj	2020-05-08 10:03:30.000000000 +0000
@@ -29,23 +29,27 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
+    <PlatformToolset>v141</PlatformToolset>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -83,7 +87,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -101,7 +105,7 @@
       <Optimization>Disabled</Optimization>
       <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -121,7 +125,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
@@ -143,7 +147,7 @@
       <IntrinsicFunctions>true</IntrinsicFunctions>
       <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <SDLCheck>true</SDLCheck>
-      <AdditionalIncludeDirectories>..\..\include;..\headers;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
       <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
     </ClCompile>
     <Link>
diff -pruN 4.0.1+really+3.0.5-2/nmake.bat 4.0.2-3/nmake.bat
--- 4.0.1+really+3.0.5-2/nmake.bat	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/nmake.bat	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,26 @@
 :: Capstone disassembler engine (www.capstone-engine.org)
 :: Build Capstone libs (capstone.dll & capstone.lib) on Windows with CMake & Nmake
-:: By Nguyen Anh Quynh, 2017
+:: By Nguyen Anh Quynh, Jorn Vernee, 2017, 2019
 
-cmake -DCMAKE_BUILD_TYPE=Release -G "NMake Makefiles" ..
+@echo off
+
+set flags="-DCMAKE_BUILD_TYPE=Release -DCAPSTONE_BUILD_STATIC_RUNTIME=ON"
+
+if "%1"=="ARM" set %arch%=ARM
+if "%1"=="ARM64" set %arch%=ARM64
+if "%1"=="M68K" set %arch%=M68K
+if "%1"=="MIPS" set %arch%=MIPS
+if "%1"=="PowerPC" set %arch%=PPC
+if "%1"=="Sparc" set %arch%=SPARC
+if "%1"=="SystemZ" set %arch%=SYSZ
+if "%1"=="XCore" set %arch%=XCORE
+if "%1"=="x86" set %arch%=X86
+if "%1"=="TMS320C64x" set %arch%=TMS320C64X
+if "%1"=="M680x" set %arch%=M680X
+if "%1"=="EVM" set %arch%=EVM
+
+if not "%arch%"=="" set flags=%flags% and " -DCAPSTONE_ARCHITECTURE_DEFAULT=OFF -DCAPSTONE_%arch%_SUPPORT=ON"
+
+cmake %flags% -G "NMake Makefiles" ..
 nmake
 
diff -pruN 4.0.1+really+3.0.5-2/packages/freebsd/ports/devel/capstone/Makefile 4.0.2-3/packages/freebsd/ports/devel/capstone/Makefile
--- 4.0.1+really+3.0.5-2/packages/freebsd/ports/devel/capstone/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/packages/freebsd/ports/devel/capstone/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	capstone
-PORTVERSION=	3.0.3
+PORTVERSION=	4.0.0
 CATEGORIES=	devel
 MASTER_SITES=	http://capstone-engine.org/download/${PORTVERSION}/
 
diff -pruN 4.0.1+really+3.0.5-2/pkgconfig.mk 4.0.2-3/pkgconfig.mk
--- 4.0.1+really+3.0.5-2/pkgconfig.mk	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/pkgconfig.mk	2020-05-08 10:03:30.000000000 +0000
@@ -2,11 +2,11 @@
 # To be used to generate capstone.pc for pkg-config
 
 # version major & minor 
-PKG_MAJOR = 3
+PKG_MAJOR = 4
 PKG_MINOR = 0
 
 # version bugfix level. Example: PKG_EXTRA = 1
-PKG_EXTRA = 5
+PKG_EXTRA = 2
 
 # version tag. Examples: rc1, b2, post1
 PKG_TAG =
diff -pruN 4.0.1+really+3.0.5-2/README 4.0.2-3/README
--- 4.0.1+really+3.0.5-2/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/README	1970-01-01 00:00:00.000000000 +0000
@@ -1,55 +0,0 @@
-Capstone is a disassembly framework with the target of becoming the ultimate
-disasm engine for binary analysis and reversing in the security community.
-
-Created by Nguyen Anh Quynh, then developed and maintained by a small community,
-Capstone offers some unparalleled features:
-
-- Support multiple hardware architectures: ARM, ARM64 (ARMv8), Mips, PPC, Sparc,
-  SystemZ, XCore and X86 (including X86_64).
-
-- Having clean/simple/lightweight/intuitive architecture-neutral API.
-
-- Provide details on disassembled instruction (called “decomposer” by others).
-
-- Provide semantics of the disassembled instruction, such as list of implicit
-  registers read & written.
-
-- Implemented in pure C language, with lightweight bindings for Visual Basic, PHP,
-  PowerShell, Emacs, Haskell, Perl, Python, Ruby, C#, NodeJS, Java, GO, C++, OCaml,
-  Lua, Rust, Delphi, Free Pascal & Vala ready either in main code, or provided
-  externally by the community).
-
-- Native support for all popular platforms: Windows, Mac OSX, iOS, Android,
-  Linux, *BSD, Solaris, etc.
-
-- Thread-safe by design.
-
-- Special support for embedding into firmware or OS kernel.
-
-- High performance & suitable for malware analysis (capable of handling various
-  X86 malware tricks).
-
-- Distributed under the open source BSD license.
-
-Further information is available at http://www.capstone-engine.org
-
-
-[Compile]
-
-See COMPILE.TXT file for how to compile and install Capstone.
-
-
-[Documentation]
-
-See docs/README for how to customize & program your own tools with Capstone.
-
-
-[Hack]
-
-See HACK.TXT file for the structure of the source code.
-
-
-[License]
-
-This project is released under the BSD license. If you redistribute the binary
-or source code of Capstone, please attach file LICENSE.TXT with your products.
diff -pruN 4.0.1+really+3.0.5-2/README.md 4.0.2-3/README.md
--- 4.0.1+really+3.0.5-2/README.md	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/README.md	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,65 @@
+Capstone Engine
+===============
+
+[![Build Status](https://travis-ci.org/aquynh/capstone.svg?branch=v4)](https://travis-ci.org/aquynh/capstone)
+[![Build status](https://ci.appveyor.com/api/projects/status/a4wvbn89wu3pinas/branch/v4?svg=true)](https://ci.appveyor.com/project/aquynh/capstone/branch/v4)
+
+Capstone is a disassembly framework with the target of becoming the ultimate
+disasm engine for binary analysis and reversing in the security community.
+
+Created by Nguyen Anh Quynh, then developed and maintained by a small community,
+Capstone offers some unparalleled features:
+
+- Support multiple hardware architectures: ARM, ARM64 (ARMv8), Ethereum VM, M68K,
+  Mips, PPC, Sparc, SystemZ, TMS320C64X, M680X, XCore and X86 (including X86_64).
+
+- Having clean/simple/lightweight/intuitive architecture-neutral API.
+
+- Provide details on disassembled instruction (called “decomposer” by others).
+
+- Provide semantics of the disassembled instruction, such as list of implicit
+  registers read & written.
+
+- Implemented in pure C language, with lightweight bindings for D, Clojure, F#,
+  Common Lisp, Visual Basic, PHP, PowerShell, Emacs, Haskell, Perl, Python,
+  Ruby, C#, NodeJS, Java, GO, C++, OCaml, Lua, Rust, Delphi, Free Pascal & Vala
+  (ready either in main code, or provided externally by the community).
+
+- Native support for all popular platforms: Windows, Mac OSX, iOS, Android,
+  Linux, \*BSD, Solaris, etc.
+
+- Thread-safe by design.
+
+- Special support for embedding into firmware or OS kernel.
+
+- High performance & suitable for malware analysis (capable of handling various
+  X86 malware tricks).
+
+- Distributed under the open source BSD license.
+
+Further information is available at http://www.capstone-engine.org
+
+
+Compile
+-------
+
+See COMPILE.TXT file for how to compile and install Capstone.
+
+
+Documentation
+-------------
+
+See docs/README for how to customize & program your own tools with Capstone.
+
+
+Hack
+----
+
+See HACK.TXT file for the structure of the source code.
+
+
+License
+-------
+
+This project is released under the BSD license. If you redistribute the binary
+or source code of Capstone, please attach file LICENSE.TXT with your products.
diff -pruN 4.0.1+really+3.0.5-2/RELEASE_NOTES 4.0.2-3/RELEASE_NOTES
--- 4.0.1+really+3.0.5-2/RELEASE_NOTES	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/RELEASE_NOTES	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,4 @@
+This release 4.0.2 is dedicated to my dad!
+
+Without him, I would not work in computing field, let alone writing any code
+or making contribution to the cyber security community.
diff -pruN 4.0.1+really+3.0.5-2/SPONSORS.TXT 4.0.2-3/SPONSORS.TXT
--- 4.0.1+really+3.0.5-2/SPONSORS.TXT	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/SPONSORS.TXT	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,28 @@
+* Version 4.0.2 - May 08th, 2020
+
+Release 4.0.2 was sponsored by the following companies (in no particular order).
+
+- Senrio: https://senr.io
+- Catena Cyber: https://catenacyber.fr
+
+------------------------------------
+* Version 4.0.1 - January 10th, 2019
+
+Release 4.0.1 was sponsored by the following companies (in no particular order).
+
+- NowSecure: https://www.nowsecure.com
+- Verichains: https://verichains.io
+- Vsec: https://vsec.com.vn
+
+-----------------------------------
+* Version 4.0 - December 18th, 2018
+
+Capstone 4.0 version marks 5 years of the project!
+This release was sponsored by the following companies (in no particular order).
+
+- Thinkst Canary: https://canary.tools
+- NowSecure: https://www.nowsecure.com
+- ECQ: https://e-cq.net
+- Senrio: https://senr.io
+- GracefulBits: https://gracefulbits.com
+- Catena Cyber: https://catenacyber.fr
diff -pruN 4.0.1+really+3.0.5-2/SStream.c 4.0.2-3/SStream.c
--- 4.0.1+really+3.0.5-2/SStream.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/SStream.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,9 +1,6 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
-#if !defined(_MSC_VER) || !defined(_KERNEL_MODE)
-#include <stdint.h>
-#endif
 #include <stdarg.h>
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
@@ -15,7 +12,7 @@
 #endif
 #include <string.h>
 
-#include <platform.h>
+#include <capstone/platform.h>
 
 #include "SStream.h"
 #include "cs_priv.h"
@@ -64,11 +61,12 @@ void printInt64Bang(SStream *O, int64_t
 		else
 			SStream_concat(O, "#%"PRIu64, val);
 	} else {
-		if (val <- HEX_THRESHOLD)
+		if (val <- HEX_THRESHOLD) {
 			if (val == LONG_MIN)
-				SStream_concat(O, "#-0x%"PRIx64, val);
+				SStream_concat(O, "#-0x%"PRIx64, (uint64_t)val);
 			else
-				SStream_concat(O, "#-0x%"PRIx64, -val);
+				SStream_concat(O, "#-0x%"PRIx64, (uint64_t)-val);
+		}
 		else
 			SStream_concat(O, "#-%"PRIu64, -val);
 	}
@@ -91,11 +89,12 @@ void printInt64(SStream *O, int64_t val)
 		else
 			SStream_concat(O, "%"PRIu64, val);
 	} else {
-		if (val <- HEX_THRESHOLD)
+		if (val <- HEX_THRESHOLD) {
 			if (val == LONG_MIN)
-				SStream_concat(O, "-0x%"PRIx64, val);
+				SStream_concat(O, "-0x%"PRIx64, (uint64_t)val);
 			else
-				SStream_concat(O, "-0x%"PRIx64, -val);
+				SStream_concat(O, "-0x%"PRIx64, (uint64_t)-val);
+		}
 		else
 			SStream_concat(O, "-%"PRIu64, -val);
 	}
@@ -110,7 +109,7 @@ void printInt32BangDec(SStream *O, int32
 		if (val == INT_MIN)
 			SStream_concat(O, "#-%u", val);
 		else
-			SStream_concat(O, "#-%u", -val);
+			SStream_concat(O, "#-%u", (uint32_t)-val);
 }
 
 void printInt32Bang(SStream *O, int32_t val)
@@ -121,11 +120,12 @@ void printInt32Bang(SStream *O, int32_t
 		else
 			SStream_concat(O, "#%u", val);
 	} else {
-		if (val <- HEX_THRESHOLD)
+		if (val <- HEX_THRESHOLD) {
 			if (val == INT_MIN)
-				SStream_concat(O, "#-0x%x", val);
+				SStream_concat(O, "#-0x%x", (uint32_t)val);
 			else
-				SStream_concat(O, "#-0x%x", -val);
+				SStream_concat(O, "#-0x%x", (uint32_t)-val);
+		}
 		else
 			SStream_concat(O, "#-%u", -val);
 	}
@@ -139,11 +139,12 @@ void printInt32(SStream *O, int32_t val)
 		else
 			SStream_concat(O, "%u", val);
 	} else {
-		if (val <- HEX_THRESHOLD)
+		if (val <- HEX_THRESHOLD) {
 			if (val == INT_MIN)
-				SStream_concat(O, "-0x%x", val);
+				SStream_concat(O, "-0x%x", (uint32_t)val);
 			else
-				SStream_concat(O, "-0x%x", -val);
+				SStream_concat(O, "-0x%x", (uint32_t)-val);
+			}
 		else
 			SStream_concat(O, "-%u", -val);
 	}
diff -pruN 4.0.1+really+3.0.5-2/SStream.h 4.0.2-3/SStream.h
--- 4.0.1+really+3.0.5-2/SStream.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/SStream.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,9 +1,11 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_SSTREAM_H_
 #define CS_SSTREAM_H_
 
+#include "include/capstone/platform.h"
+
 typedef struct SStream {
 	char buffer[512];
 	int index;
diff -pruN 4.0.1+really+3.0.5-2/suite/arm/test_arm_regression.c 4.0.2-3/suite/arm/test_arm_regression.c
--- 4.0.1+really+3.0.5-2/suite/arm/test_arm_regression.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/arm/test_arm_regression.c	2020-05-08 10:03:30.000000000 +0000
@@ -10,8 +10,8 @@
 #include <stdlib.h>
 #include <string.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 static csh handle;
 
diff -pruN 4.0.1+really+3.0.5-2/suite/autogen_x86imm.py 4.0.2-3/suite/autogen_x86imm.py
--- 4.0.1+really+3.0.5-2/suite/autogen_x86imm.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/autogen_x86imm.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,90 @@
+#!/usr/bin/python
+# By Nguyen Anh Quynh, 2015
+# This tool extract sizes of immediadte operands from X86 instruction names.
+# Syntax: ./autogen_x86imm.py
+
+# Gather immediate sizes to put into X86ImmSize.inc
+OUTPUT = "../arch/X86/X86ImmSize.inc"
+
+f = open("../arch/X86/X86GenInstrInfo.inc")
+f2 = open(OUTPUT, "w")
+for line in f.readlines():
+   tmp = line.strip().split("=")
+   if len(tmp) == 2:    # X86_xxx = nnn,
+       name = tmp[0].strip()
+       if name == "X86_INSTRUCTION_LIST_END":   # no more instructions
+           break
+       if name.endswith("_DB"): # pseudo instruction
+           continue
+       if "_LOCK_" in name or "BEXTR" in name:  # exception
+           continue
+       if name.startswith("X86_"):  # instruction
+           if name.endswith("16mi8"):
+               f2.write("{2, %s},\n" %name)
+           elif name.endswith("16ri8"):
+               f2.write("{2, %s},\n" %name)
+           elif name.endswith("32ri8"):
+               f2.write("{4, %s},\n" %name)
+           elif name.endswith("32mi8"):
+               f2.write("{4, %s},\n" %name)
+           elif name.endswith("64i32"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64mi32"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64ri32"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64ri8"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64mi8"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("16rmi8"):
+               f2.write("{2, %s},\n" %name)
+           elif name.endswith("32rmi8"):
+               f2.write("{4, %s},\n" %name)
+           elif name.endswith("16rri8"):
+               f2.write("{2, %s},\n" %name)
+           elif name.endswith("32rri8"):
+               f2.write("{4, %s},\n" %name)
+           elif name.endswith("64rmi8"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64rmi32"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64rri32"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64rri8"):
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("32ri64"):    # special case
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("16i8"):    # special case
+               f2.write("{2, %s},\n" %name)
+           elif name.endswith("32i8"):    # special case
+               f2.write("{4, %s},\n" %name)
+           elif name.endswith("64i16"):    # special case
+               f2.write("{8, %s},\n" %name)
+           elif name.endswith("64i8"):    # special case
+               f2.write("{8, %s},\n" %name)
+
+           elif name.endswith("i8") or "i8_" in name:
+               f2.write("{1, %s},\n" %name)
+           elif "8ri" in name or "8mi" in name:
+               f2.write("{1, %s},\n" %name)
+
+           elif name.endswith("i16") or "i16_" in name:
+               f2.write("{2, %s},\n" %name)
+           elif "16ri" in name or "16mi" in name:
+               f2.write("{2, %s},\n" %name)
+
+           elif name.endswith("i32") or "i32_" in name:
+               f2.write("{4, %s},\n" %name)
+           elif "32ri" in name or "32mi" in name:
+               f2.write("{4, %s},\n" %name)
+
+           elif name.endswith("i64") or "i64_" in name:
+               f2.write("{8, %s},\n" %name)
+           elif "64ri" in name or "64mi" in name:
+               f2.write("{8, %s},\n" %name)
+
+f.close()
+f2.close()
+
+print("Generated %s" %OUTPUT)
diff -pruN 4.0.1+really+3.0.5-2/suite/benchmark/test_iter_benchmark.c 4.0.2-3/suite/benchmark/test_iter_benchmark.c
--- 4.0.1+really+3.0.5-2/suite/benchmark/test_iter_benchmark.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/benchmark/test_iter_benchmark.c	2020-05-08 10:03:30.000000000 +0000
@@ -5,8 +5,8 @@
 #include <stdlib.h>
 #include <time.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 static void test()
 {
diff -pruN 4.0.1+really+3.0.5-2/suite/benchmark.py 4.0.2-3/suite/benchmark.py
--- 4.0.1+really+3.0.5-2/suite/benchmark.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/benchmark.py	2020-05-08 10:03:30.000000000 +0000
@@ -36,6 +36,7 @@ all_tests = (
         (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, "Sparc", 0),
         (CS_ARCH_SYSZ, 0, "SystemZ", 0),
         (CS_ARCH_XCORE, 0, "XCore", 0),
+        (CS_ARCH_M68K, 0, "M68K", 0),
         )
 
 
diff -pruN 4.0.1+really+3.0.5-2/suite/capstone_get_setup.c 4.0.2-3/suite/capstone_get_setup.c
--- 4.0.1+really+3.0.5-2/suite/capstone_get_setup.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/capstone_get_setup.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,78 @@
+/*
+ Retrieve architectures compiled in Capstone.
+ By Nguyen Anh Quynh, 2019.
+
+ Compile this code with:
+ $ cc -o capstone_get_setup capstone_get_setup.c -lcapstone
+
+ On default Capstone build, this code prints out the below output:
+
+ $ capstone_get_setup
+ x86=1 arm=1 arm64=1 mips=1 ppc=1 sparc=1 sysz=1 xcore=1 m68k=1 tms320c64x=1 m680x=1 evm=1
+*/
+
+#include <stdio.h>
+#include <capstone/capstone.h>
+
+int main()
+{
+	if (cs_support(CS_ARCH_X86)) {
+		printf("x86=1 ");
+	}
+
+	if (cs_support(CS_ARCH_ARM)) {
+		printf("arm=1 ");
+	}
+
+	if (cs_support(CS_ARCH_ARM64)) {
+		printf("arm64=1 ");
+	}
+
+	if (cs_support(CS_ARCH_MIPS)) {
+		printf("mips=1 ");
+	}
+
+	if (cs_support(CS_ARCH_PPC)) {
+		printf("ppc=1 ");
+	}
+
+	if (cs_support(CS_ARCH_SPARC)) {
+		printf("sparc=1 ");
+	}
+
+	if (cs_support(CS_ARCH_SYSZ)) {
+		printf("sysz=1 ");
+	}
+
+	if (cs_support(CS_ARCH_XCORE)) {
+		printf("xcore=1 ");
+	}
+
+	if (cs_support(CS_ARCH_M68K)) {
+		printf("m68k=1 ");
+	}
+
+	if (cs_support(CS_ARCH_TMS320C64X)) {
+		printf("tms320c64x=1 ");
+	}
+
+	if (cs_support(CS_ARCH_M680X)) {
+		printf("m680x=1 ");
+	}
+
+	if (cs_support(CS_ARCH_EVM)) {
+		printf("evm=1 ");
+	}
+
+	if (cs_support(CS_SUPPORT_DIET)) {
+		printf("diet=1 ");
+	}
+
+	if (cs_support(CS_SUPPORT_X86_REDUCE)) {
+		printf("x86_reduce=1 ");
+	}
+
+	printf("\n");
+
+	return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/suite/disasm_mc.py 4.0.2-3/suite/disasm_mc.py
--- 4.0.1+really+3.0.5-2/suite/disasm_mc.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/disasm_mc.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,188 @@
+#!/usr/bin/python
+# Test tool to disassemble MC files. By Nguyen Anh Quynh, 2017
+import array, os.path, sys
+from capstone import *
+
+
+# convert all hex numbers to decimal numbers in a text
+def normalize_hex(a):
+    while(True):
+        i = a.find('0x')
+        if i == -1: # no more hex number
+            break
+        hexnum = '0x'
+        for c in a[i + 2:]:
+            if c in '0123456789abcdefABCDEF':
+                hexnum += c
+            else:
+                break
+        num = int(hexnum, 16)
+        a = a.replace(hexnum, str(num))
+    return a
+
+
+def test_file(fname):
+    print("Test %s" %fname);
+    f = open(fname)
+    lines = f.readlines()
+    f.close()
+
+    if not lines[0].startswith('# '):
+        print("ERROR: decoding information is missing")
+        return
+
+    # skip '# ' at the front, then split line to get out hexcode
+    # Note: option can be '', or 'None'
+    #print lines[0]
+    #print lines[0][2:].split(', ')
+    (arch, mode, option) = lines[0][2:].split(', ')
+    mode = mode.replace(' ', '')
+    option = option.strip()
+
+    archs = {
+        "CS_ARCH_ARM": CS_ARCH_ARM,
+        "CS_ARCH_ARM64": CS_ARCH_ARM64,
+        "CS_ARCH_MIPS": CS_ARCH_MIPS,
+        "CS_ARCH_PPC": CS_ARCH_PPC,
+        "CS_ARCH_SPARC": CS_ARCH_SPARC,
+        "CS_ARCH_SYSZ": CS_ARCH_SYSZ,
+        "CS_ARCH_X86": CS_ARCH_X86,
+        "CS_ARCH_XCORE": CS_ARCH_XCORE,
+        "CS_ARCH_M68K": CS_ARCH_M68K,
+    }
+    
+    modes = {
+        "CS_MODE_16": CS_MODE_16,
+        "CS_MODE_32": CS_MODE_32,
+        "CS_MODE_64": CS_MODE_64,
+        "CS_MODE_MIPS32": CS_MODE_MIPS32,
+        "CS_MODE_MIPS64": CS_MODE_MIPS64,
+        "0": CS_MODE_ARM,
+        "CS_MODE_ARM": CS_MODE_ARM,
+        "CS_MODE_THUMB": CS_MODE_THUMB,
+        "CS_MODE_ARM+CS_MODE_V8": CS_MODE_ARM+CS_MODE_V8,
+        "CS_MODE_THUMB+CS_MODE_V8": CS_MODE_THUMB+CS_MODE_V8,
+        "CS_MODE_THUMB+CS_MODE_MCLASS": CS_MODE_THUMB+CS_MODE_MCLASS,
+        "CS_MODE_LITTLE_ENDIAN": CS_MODE_LITTLE_ENDIAN,
+        "CS_MODE_BIG_ENDIAN": CS_MODE_BIG_ENDIAN,
+        "CS_MODE_64+CS_MODE_LITTLE_ENDIAN": CS_MODE_64+CS_MODE_LITTLE_ENDIAN,
+        "CS_MODE_64+CS_MODE_BIG_ENDIAN": CS_MODE_64+CS_MODE_BIG_ENDIAN,
+        "CS_MODE_MIPS32+CS_MODE_MICRO": CS_MODE_MIPS32+CS_MODE_MICRO,
+        "CS_MODE_MIPS32+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN": CS_MODE_MIPS32+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN,
+        "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN+CS_MODE_MICRO": CS_MODE_MIPS32+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN,
+        "CS_MODE_BIG_ENDIAN+CS_MODE_V9": CS_MODE_BIG_ENDIAN + CS_MODE_V9,
+        "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN": CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN,
+        "CS_MODE_MIPS32+CS_MODE_LITTLE_ENDIAN": CS_MODE_MIPS32+CS_MODE_LITTLE_ENDIAN,
+        "CS_MODE_MIPS64+CS_MODE_LITTLE_ENDIAN": CS_MODE_MIPS64+CS_MODE_LITTLE_ENDIAN,
+        "CS_MODE_MIPS64+CS_MODE_BIG_ENDIAN": CS_MODE_MIPS64+CS_MODE_BIG_ENDIAN,
+    }
+    
+    options = {
+        "CS_OPT_SYNTAX_ATT": CS_OPT_SYNTAX_ATT,
+        "CS_OPT_SYNTAX_NOREGNAME": CS_OPT_SYNTAX_NOREGNAME,
+    }
+
+    mc_modes = {
+        ("CS_ARCH_X86", "CS_MODE_32"): ['-triple=i386'],
+        ("CS_ARCH_X86", "CS_MODE_64"): ['-triple=x86_64'],
+        ("CS_ARCH_ARM", "CS_MODE_ARM"): ['-triple=armv7'],
+        ("CS_ARCH_ARM", "CS_MODE_THUMB"): ['-triple=thumbv7'],
+        ("CS_ARCH_ARM", "CS_MODE_ARM+CS_MODE_V8"): ['-triple=armv8'],
+        ("CS_ARCH_ARM", "CS_MODE_THUMB+CS_MODE_V8"): ['-triple=thumbv8'],
+        ("CS_ARCH_ARM", "CS_MODE_THUMB+CS_MODE_MCLASS"): ['-triple=thumbv7m'],
+        ("CS_ARCH_ARM64", "0"): ['-triple=aarch64'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN"): ['-triple=mips'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32+CS_MODE_MICRO"): ['-triple=mipsel', '-mattr=+micromips'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS64"): ['-triple=mips64el'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32"): ['-triple=mipsel'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS64+CS_MODE_BIG_ENDIAN"): ['-triple=mips64'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN"): ['-triple=mips', '-mattr=+micromips'],
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN+CS_MODE_MICRO"): ['-triple=mips', '-mattr=+micromips'],
+        ("CS_ARCH_PPC", "CS_MODE_BIG_ENDIAN"): ['-triple=powerpc64'],
+        ('CS_ARCH_SPARC', 'CS_MODE_BIG_ENDIAN'): ['-triple=sparc'],
+        ('CS_ARCH_SPARC', 'CS_MODE_BIG_ENDIAN+CS_MODE_V9'): ['-triple=sparcv9'],
+        ('CS_ARCH_SYSZ', '0'): ['-triple=s390x', '-mcpu=z196'],
+    }
+
+    #if not option in ('', 'None'):
+    #    print archs[arch], modes[mode], options[option]
+    
+    #print(arch, mode, option)
+    md = Cs(archs[arch], modes[mode])
+
+    if arch == 'CS_ARCH_ARM' or arch == 'CS_ARCH_PPC' :
+        md.syntax = CS_OPT_SYNTAX_NOREGNAME
+
+    if fname.endswith('3DNow.s.cs'):
+        md.syntax = CS_OPT_SYNTAX_ATT
+
+    for line in lines[1:]:
+        # ignore all the input lines having # in front.
+        if line.startswith('#'):
+            continue
+        #print("Check %s" %line)
+        code = line.split(' = ')[0]
+        asm  = ''.join(line.split(' = ')[1:])
+        hex_code = code.replace('0x', '')
+        hex_code = hex_code.replace(',', '')
+        hex_data = hex_code.decode('hex')
+        #hex_bytes = array.array('B', hex_data)
+
+        x = list(md.disasm(hex_data, 0))
+        if len(x) > 0:
+            if x[0].op_str != '':
+                cs_output = "%s %s" %(x[0].mnemonic, x[0].op_str)
+            else:
+                cs_output = x[0].mnemonic
+        else:
+            cs_output = 'FAILED to disassemble'
+
+        cs_output2 = normalize_hex(cs_output)
+        cs_output2 = cs_output2.replace(' ', '')
+
+        if arch == 'CS_ARCH_MIPS':
+            # normalize register alias names
+            cs_output2 = cs_output2.replace('$at', '$1')
+            cs_output2 = cs_output2.replace('$v0', '$2')
+            cs_output2 = cs_output2.replace('$v1', '$3')
+
+            cs_output2 = cs_output2.replace('$a0', '$4')
+            cs_output2 = cs_output2.replace('$a1', '$5')
+            cs_output2 = cs_output2.replace('$a2', '$6')
+            cs_output2 = cs_output2.replace('$a3', '$7')
+
+            cs_output2 = cs_output2.replace('$t0', '$8')
+            cs_output2 = cs_output2.replace('$t1', '$9')
+            cs_output2 = cs_output2.replace('$t2', '$10')
+            cs_output2 = cs_output2.replace('$t3', '$11')
+            cs_output2 = cs_output2.replace('$t4', '$12')
+            cs_output2 = cs_output2.replace('$t5', '$13')
+            cs_output2 = cs_output2.replace('$t6', '$14')
+            cs_output2 = cs_output2.replace('$t7', '$15')
+            cs_output2 = cs_output2.replace('$t8', '$24')
+            cs_output2 = cs_output2.replace('$t9', '$25')
+
+            cs_output2 = cs_output2.replace('$s0', '$16')
+            cs_output2 = cs_output2.replace('$s1', '$17')
+            cs_output2 = cs_output2.replace('$s2', '$18')
+            cs_output2 = cs_output2.replace('$s3', '$19')
+            cs_output2 = cs_output2.replace('$s4', '$20')
+            cs_output2 = cs_output2.replace('$s5', '$21')
+            cs_output2 = cs_output2.replace('$s6', '$22')
+            cs_output2 = cs_output2.replace('$s7', '$23')
+
+            cs_output2 = cs_output2.replace('$k0', '$26')
+            cs_output2 = cs_output2.replace('$k1', '$27')
+
+        print("\t%s = %s" %(hex_code, cs_output))
+
+
+if __name__ == '__main__':
+    if len(sys.argv) == 1:
+        fnames = sys.stdin.readlines()
+        for fname in fnames:
+            test_file(fname.strip())
+    else:
+        #print("Usage: ./test_mc.py <input-file.s.cs>")
+        test_file(sys.argv[1])
+
diff -pruN 4.0.1+really+3.0.5-2/suite/disasm_mc.sh 4.0.2-3/suite/disasm_mc.sh
--- 4.0.1+really+3.0.5-2/suite/disasm_mc.sh	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/disasm_mc.sh	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# This script test all architectures by default.
+
+find MC/ -name *.cs | ./disasm_mc.py
+
+# To test just one architecture, specify the corresponsing dir:
+# $ find MC/X86 -name *.cs | ./disasm_mc.py
+
+# To test just one input file, run disasm_mc.py with that file:
+# $ ./disasm_mc.py MC/X86/x86-32-fma3.s.cs
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/driverbin.c 4.0.2-3/suite/fuzz/driverbin.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/driverbin.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/fuzz/driverbin.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,89 @@
+#include <stdint.h>
+#include <stdlib.h>
+#include <stdio.h>
+#include <dirent.h>
+#include <unistd.h>
+
+int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size);
+const char * cs_fuzz_arch(uint8_t arch);
+
+int main(int argc, char** argv)
+{
+    FILE * fp;
+    uint8_t Data[0x1000];
+    size_t Size;
+    DIR *d;
+    struct dirent *dir;
+    int r = 0;
+    int i;
+
+    if (argc != 2) {
+        return 1;
+    }
+
+    d = opendir(argv[1]);
+    if (d == NULL) {
+        printf("Invalid directory\n");
+        return 2;
+    }
+    if (chdir(argv[1]) != 0) {
+        closedir(d);
+        printf("Invalid directory\n");
+        return 2;
+    }
+
+    while((dir = readdir(d)) != NULL) {
+        //opens the file, get its size, and reads it into a buffer
+        if (dir->d_type != DT_REG) {
+            continue;
+        }
+
+        printf("Running %s\n", dir->d_name);
+        fflush(stdout);
+
+        fp = fopen(dir->d_name, "rb");
+        if (fp == NULL) {
+            r = 3;
+            break;
+        }
+        if (fseek(fp, 0L, SEEK_END) != 0) {
+            fclose(fp);
+            r = 4;
+            break;
+        }
+        Size = ftell(fp);
+        if (Size == (size_t) -1) {
+            fclose(fp);
+            r = 5;
+            break;
+        } else if (Size > 0x1000) {
+            fclose(fp);
+            continue;
+        }
+        if (fseek(fp, 0L, SEEK_SET) != 0) {
+            fclose(fp);
+            r = 7;
+            break;
+        }
+        if (fread(Data, Size, 1, fp) != 1) {
+            fclose(fp);
+            r = 8;
+            break;
+        }
+        if (Size > 0) {
+            printf("command cstool %s\n", cs_fuzz_arch(Data[0]));
+        }
+        for (i=0; i<Size; i++) {
+            printf("%02x", Data[i]);
+        }
+        printf("\n");
+
+        //lauch fuzzer
+        LLVMFuzzerTestOneInput(Data, Size);
+        fclose(fp);
+    }
+    closedir(d);
+    printf("Ok : whole directory finished\n");
+    return r;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/drivermc.c 4.0.2-3/suite/fuzz/drivermc.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/drivermc.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/fuzz/drivermc.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,130 @@
+#include <stdint.h>
+#include <stdlib.h>
+#include <stdio.h>
+#include <string.h>
+
+int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size);
+
+#define MAX_INSTR_SIZE 64
+#define MAX_LINE_SIZE 128
+
+int main(int argc, char** argv)
+{
+    FILE * fp;
+    uint8_t Data[MAX_INSTR_SIZE];
+    char line[MAX_LINE_SIZE];
+    size_t Size;
+    char arch[MAX_LINE_SIZE];
+    char mode[MAX_LINE_SIZE];
+    unsigned int value;
+    int i;
+
+    if (argc < 2) {
+        return 1;
+    }
+    for (i = 1; i < argc; i++) {
+        //opens the file, get its size, and reads it into a buffer
+        fp = fopen(argv[i], "rb");
+        if (fp == NULL) {
+            return 2;
+        }
+        printf("Trying %s\n", argv[i]);
+        if (fgets(line, MAX_LINE_SIZE, fp) == NULL) {
+            break;
+        }
+        if (line[0] == '#') {
+            if (sscanf(line, "# %[^,], %[^,]", arch, mode) != 2) {
+                printf("Wrong mode %s\n", line);
+                return 1;
+            }
+            if (strcmp(arch, "CS_ARCH_X86") == 0 && strcmp(mode, "CS_MODE_32") == 0) {
+                Data[0] = 0;
+            } else if (strcmp(arch, "CS_ARCH_X86") == 0 && strcmp(mode, "CS_MODE_64") == 0) {
+                Data[0] = 1;
+            } else if (strcmp(arch, "CS_ARCH_ARM") == 0 && strcmp(mode, "CS_MODE_ARM") == 0) {
+                Data[0] = 2;
+            } else if (strcmp(arch, "CS_ARCH_ARM") == 0 && strcmp(mode, "CS_MODE_THUMB") == 0) {
+                Data[0] = 3;
+            } else if (strcmp(arch, "CS_ARCH_ARM") == 0 && strcmp(mode, "CS_MODE_ARM+CS_MODE_V8") == 0) {
+                Data[0] = 4;
+            } else if (strcmp(arch, "CS_ARCH_ARM") == 0 && strcmp(mode, "CS_MODE_THUMB+CS_MODE_V8") == 0) {
+                Data[0] = 5;
+            } else if (strcmp(arch, "CS_ARCH_ARM") == 0 && strcmp(mode, "CS_MODE_THUMB+CS_MODE_MCLASS") == 0) {
+                Data[0] = 6;
+            } else if (strcmp(arch, "CS_ARCH_ARM64") == 0 && strcmp(mode, "0") == 0) {
+                Data[0] = 7;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 8;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32+CS_MODE_MICRO") == 0) {
+                Data[0] = 9;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS64") == 0) {
+                Data[0] = 10;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32") == 0) {
+                Data[0] = 11;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS64+CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 12;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 13;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32+CS_MODE_BIG_ENDIAN+CS_MODE_MICRO") == 0) {
+                Data[0] = 13;
+            } else if (strcmp(arch, "CS_ARCH_PPC") == 0 && strcmp(mode, "CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 14;
+            } else if (strcmp(arch, "CS_ARCH_SPARC") == 0 && strcmp(mode, "CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 15;
+            } else if (strcmp(arch, "CS_ARCH_SPARC") == 0 && strcmp(mode, "CS_MODE_BIG_ENDIAN + CS_MODE_V9") == 0) {
+                Data[0] = 16;
+            } else if (strcmp(arch, "CS_ARCH_SYSZ") == 0 && strcmp(mode, "0") == 0) {
+                Data[0] = 17;
+            } else if (strcmp(arch, "CS_ARCH_XCORE") == 0 && strcmp(mode, "0") == 0) {
+                Data[0] = 18;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32R6+CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 19;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32R6+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN") == 0) {
+                Data[0] = 20;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32R6") == 0) {
+                Data[0] = 21;
+            } else if (strcmp(arch, "CS_ARCH_MIPS") == 0 && strcmp(mode, "CS_MODE_MIPS32R6+CS_MODE_MICRO") == 0) {
+                Data[0] = 22;
+            } else if (strcmp(arch, "CS_ARCH_M68K") == 0 && strcmp(mode, "0") == 0) {
+                Data[0] = 23;
+            } else if (strcmp(arch, "CS_ARCH_M680X") == 0 && strcmp(mode, "CS_MODE_M680X_6809") == 0) {
+                Data[0] = 24;
+            } else if (strcmp(arch, "CS_ARCH_EVM") == 0 && strcmp(mode, "0") == 0) {
+                Data[0] = 25;
+            } else {
+                printf("Unknown mode\n");
+                //fail instead of continue
+                return 1;
+            }
+        } else {
+            printf("No mode\n");
+            //fail instead of continue
+            return 1;
+        }
+
+        while(1) {
+            if (fgets(line, MAX_LINE_SIZE, fp) == NULL) {
+                break;
+            }
+            Size = 1;
+            // we start line at offset 0 and Data buffer at offset 1
+            // since Data[0] is option : arch + mode
+            while (sscanf(line+(Size-1)*5, "0x%02x", &value) == 1) {
+                Data[Size] = value;
+                Size++;
+                if (line[(Size-1)*5-1] != ',') {
+                    //end of pattern
+                    break;
+                } else if (MAX_LINE_SIZE < (Size-1)*5) {
+                    printf("Line overflow\n");
+                    return 1;
+                }
+            }
+            //lauch fuzzer
+            LLVMFuzzerTestOneInput(Data, Size);
+        }
+        fclose(fp);
+    }
+    return 0;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_diff.c 4.0.2-3/suite/fuzz/fuzz_diff.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_diff.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/fuzz/fuzz_diff.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,237 @@
+
+#include <stdio.h>
+#include <stdlib.h>
+#include <inttypes.h>
+#include <assert.h>
+
+#include <capstone/capstone.h>
+
+
+struct platform {
+    cs_arch arch;
+    cs_mode mode;
+    char *comment;
+};
+
+FILE * outfile = NULL;
+
+struct platform platforms[] = {
+    {
+        // item 0
+        CS_ARCH_X86,
+        CS_MODE_32,
+        "X86 32 (Intel syntax)"
+    },
+    {
+        // item 1
+        CS_ARCH_X86,
+        CS_MODE_64,
+        "X86 64 (Intel syntax)"
+    },
+    {
+        // item 2
+        CS_ARCH_ARM,
+        CS_MODE_ARM,
+        "ARM"
+    },
+    {
+        // item 3
+        CS_ARCH_ARM,
+        CS_MODE_THUMB,
+        "THUMB"
+    },
+    {
+        // item 4
+        CS_ARCH_ARM,
+        (cs_mode)(CS_MODE_ARM + CS_MODE_V8),
+        "Arm-V8"
+    },
+    {
+        // item 5
+        CS_ARCH_ARM,
+        (cs_mode)(CS_MODE_THUMB+CS_MODE_V8),
+        "THUMB+V8"
+    },
+    {
+        // item 6
+        CS_ARCH_ARM,
+        (cs_mode)(CS_MODE_THUMB + CS_MODE_MCLASS),
+        "Thumb-MClass"
+    },
+    {
+        // item 7
+        CS_ARCH_ARM64,
+        (cs_mode)0,
+        "ARM-64"
+    },
+    {
+        // item 8
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
+        "MIPS-32 (Big-endian)"
+    },
+    {
+        // item 9
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32 + CS_MODE_MICRO),
+        "MIPS-32 (micro)"
+    },
+    {
+        //item 10
+        CS_ARCH_MIPS,
+        CS_MODE_MIPS64,
+        "MIPS-64-EL (Little-endian)"
+    },
+    {
+        //item 11
+        CS_ARCH_MIPS,
+        CS_MODE_MIPS32,
+        "MIPS-32-EL (Little-endian)"
+    },
+    {
+        //item 12
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS64 + CS_MODE_BIG_ENDIAN),
+        "MIPS-64 (Big-endian)"
+    },
+    {
+        //item 13
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN),
+        "MIPS-32 | Micro (Big-endian)"
+    },
+    {
+        //item 14
+        CS_ARCH_PPC,
+        CS_MODE_BIG_ENDIAN,
+        "PPC-64"
+    },
+    {
+        //item 15
+        CS_ARCH_SPARC,
+        CS_MODE_BIG_ENDIAN,
+        "Sparc"
+    },
+    {
+        //item 16
+        CS_ARCH_SPARC,
+        (cs_mode)(CS_MODE_BIG_ENDIAN + CS_MODE_V9),
+        "SparcV9"
+    },
+    {
+        //item 17
+        CS_ARCH_SYSZ,
+        (cs_mode)0,
+        "SystemZ"
+    },
+    {
+        //item 18
+        CS_ARCH_XCORE,
+        (cs_mode)0,
+        "XCore"
+    },
+    {
+        //item 19
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN),
+        "MIPS-32R6 (Big-endian)"
+    },
+    {
+        //item 20
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN),
+        "MIPS-32R6 (Micro+Big-endian)"
+    },
+    {
+        //item 21
+        CS_ARCH_MIPS,
+        CS_MODE_MIPS32R6,
+        "MIPS-32R6 (Little-endian)"
+    },
+    {
+        //item 22
+        CS_ARCH_MIPS,
+        (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_MICRO),
+        "MIPS-32R6 (Micro+Little-endian)"
+    },
+    {
+        //item 23
+        CS_ARCH_M68K,
+        (cs_mode)0,
+        "M68K"
+    },
+    {
+        //item 24
+        CS_ARCH_M680X,
+        (cs_mode)CS_MODE_M680X_6809,
+        "M680X_M6809"
+    },
+    {
+        //item 25
+        CS_ARCH_EVM,
+        (cs_mode)0,
+        "EVM"
+    },
+};
+
+void LLVMFuzzerInit();
+int LLVMFuzzerReturnOneInput(const uint8_t *Data, size_t Size, char * AssemblyText);
+
+int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size) {
+    csh handle;
+    cs_insn *insn;
+    cs_err err;
+    const uint8_t **Datap = &Data;
+    size_t * Sizep = &Size;
+    uint64_t address = 0x1000;
+    char LLVMAssemblyText[80];
+    char CapstoneAssemblyText[80];
+
+    if (Size < 1) {
+        // 1 byte for arch choice
+        return 0;
+    } else if (Size > 0x1000) {
+        //limit input to 4kb
+        Size = 0x1000;
+    }
+    if (outfile == NULL) {
+        // we compute the output
+        outfile = fopen("/dev/null", "w");
+        if (outfile == NULL) {
+            return 0;
+        }
+        LLVMFuzzerInit();
+    }
+
+    if (Data[0] >= sizeof(platforms)/sizeof(platforms[0])) {
+        return 0;
+    }
+
+    if (LLVMFuzzerReturnOneInput(Data, Size, LLVMAssemblyText) == 1) {
+        return 0;
+    }
+
+    err = cs_open(platforms[Data[0]].arch, platforms[Data[0]].mode, &handle);
+    if (err) {
+        return 0;
+    }
+
+    insn = cs_malloc(handle);
+    Data++;
+    Size--;
+    assert(insn);
+        if (cs_disasm_iter(handle, Datap, Sizep, &address, insn)) {
+            snprintf(CapstoneAssemblyText, 80, "\t%s\t%s", insn->mnemonic, insn->op_str);
+            if (strcmp(CapstoneAssemblyText, LLVMAssemblyText) != 0) {
+                printf("capstone %s != llvm %s", CapstoneAssemblyText, LLVMAssemblyText);
+                abort();
+            }
+        } else {
+            printf("capstone failed with llvm %s", LLVMAssemblyText);
+            abort();
+        }
+    cs_free(insn, 1);
+    cs_close(&handle);
+
+    return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_disasm.c 4.0.2-3/suite/fuzz/fuzz_disasm.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_disasm.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/fuzz/fuzz_disasm.c	2020-05-08 10:03:30.000000000 +0000
@@ -7,159 +7,217 @@
 #include <stdlib.h>
 #include <inttypes.h>
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
+const char *cs_fuzz_arch(uint8_t arch);
+
+int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size);
 
 struct platform {
     cs_arch arch;
     cs_mode mode;
-    char *comment;
+    const char *comment;
+    const char *cstoolname;
 };
 
-FILE * outfile = NULL;
+static FILE *outfile = NULL;
 
 struct platform platforms[] = {
     {
         // item 0
         CS_ARCH_X86,
         CS_MODE_32,
-        "X86 32 (Intel syntax)"
+        "X86 32 (Intel syntax)",
+        "x32"
     },
     {
         // item 1
         CS_ARCH_X86,
         CS_MODE_64,
-        "X86 64 (Intel syntax)"
+        "X86 64 (Intel syntax)",
+        "x64"
     },
     {
         // item 2
         CS_ARCH_ARM,
         CS_MODE_ARM,
-        "ARM"
+        "ARM",
+        "arm"
     },
     {
         // item 3
         CS_ARCH_ARM,
         CS_MODE_THUMB,
-        "THUMB"
+        "THUMB",
+        "thumb"
     },
     {
         // item 4
         CS_ARCH_ARM,
         (cs_mode)(CS_MODE_ARM + CS_MODE_V8),
-        "Arm-V8"
+        "Arm-V8",
+        "armv8"
     },
     {
         // item 5
         CS_ARCH_ARM,
         (cs_mode)(CS_MODE_THUMB+CS_MODE_V8),
-        "THUMB+V8"
+        "THUMB+V8",
+        "thumbv8"
     },
     {
         // item 6
         CS_ARCH_ARM,
         (cs_mode)(CS_MODE_THUMB + CS_MODE_MCLASS),
-        "Thumb-MClass"
+        "Thumb-MClass",
+        "cortexm"
     },
     {
         // item 7
         CS_ARCH_ARM64,
         (cs_mode)0,
-        "ARM-64"
+        "ARM-64",
+        "arm64"
     },
     {
         // item 8
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
-        "MIPS-32 (Big-endian)"
+        "MIPS-32 (Big-endian)",
+        "mipsbe"
     },
     {
         // item 9
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32 + CS_MODE_MICRO),
-        "MIPS-32 (micro)"
+        "MIPS-32 (micro)",
+        "mipsmicro"
     },
     {
         //item 10
         CS_ARCH_MIPS,
         CS_MODE_MIPS64,
-        "MIPS-64-EL (Little-endian)"
+        "MIPS-64-EL (Little-endian)",
+        "mips64"
     },
     {
         //item 11
         CS_ARCH_MIPS,
         CS_MODE_MIPS32,
-        "MIPS-32-EL (Little-endian)"
+        "MIPS-32-EL (Little-endian)",
+        "mips"
     },
     {
         //item 12
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS64 + CS_MODE_BIG_ENDIAN),
-        "MIPS-64 (Big-endian)"
+        "MIPS-64 (Big-endian)",
+        "mips64be"
     },
     {
         //item 13
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN),
-        "MIPS-32 | Micro (Big-endian)"
+        "MIPS-32 | Micro (Big-endian)",
+        "mipsbemicro"
     },
     {
         //item 14
         CS_ARCH_PPC,
         CS_MODE_BIG_ENDIAN,
-        "PPC-64"
+        "PPC-64",
+        "ppc64"
     },
     {
         //item 15
         CS_ARCH_SPARC,
         CS_MODE_BIG_ENDIAN,
-        "Sparc"
+        "Sparc",
+        "sparc"
     },
     {
         //item 16
         CS_ARCH_SPARC,
         (cs_mode)(CS_MODE_BIG_ENDIAN + CS_MODE_V9),
-        "SparcV9"
+        "SparcV9",
+        "sparcv9"
     },
     {
         //item 17
         CS_ARCH_SYSZ,
         (cs_mode)0,
-        "SystemZ"
+        "SystemZ",
+        "systemz"
     },
     {
         //item 18
         CS_ARCH_XCORE,
         (cs_mode)0,
-        "XCore"
+        "XCore",
+        "xcore"
     },
     {
         //item 19
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN),
-        "MIPS-32R6 (Big-endian)"
+        "MIPS-32R6 (Big-endian)",
+        "mipsbe32r6"
     },
     {
         //item 20
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN),
-        "MIPS-32R6 (Micro+Big-endian)"
+        "MIPS-32R6 (Micro+Big-endian)",
+        "mipsbe32r6micro"
     },
     {
         //item 21
         CS_ARCH_MIPS,
         CS_MODE_MIPS32R6,
-        "MIPS-32R6 (Little-endian)"
+        "MIPS-32R6 (Little-endian)",
+        "mips32r6"
     },
     {
         //item 22
         CS_ARCH_MIPS,
         (cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_MICRO),
-        "MIPS-32R6 (Micro+Little-endian)"
+        "MIPS-32R6 (Micro+Little-endian)",
+        "mips32r6micro"
+    },
+    {
+        //item 23
+        CS_ARCH_M68K,
+        (cs_mode)0,
+        "M68K",
+        "m68k"
+    },
+    {
+        //item 24
+        CS_ARCH_M680X,
+        (cs_mode)CS_MODE_M680X_6809,
+        "M680X_M6809",
+        "m6809"
+    },
+    {
+        //item 25
+        CS_ARCH_EVM,
+        (cs_mode)0,
+        "EVM",
+        "evm"
+    },
+    {
+        //item 26
+        CS_ARCH_TMS320C64X,
+        CS_MODE_BIG_ENDIAN,
+        "tms320c64x",
+        "tms320c64x"
     },
-
 };
 
+const char * cs_fuzz_arch(uint8_t arch) {
+    return platforms[arch % sizeof(platforms)/sizeof(platforms[0])].cstoolname;
+}
+
 int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size) {
     csh handle;
     cs_insn *all_insn;
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_harness.c 4.0.2-3/suite/fuzz/fuzz_harness.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_harness.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/fuzz/fuzz_harness.c	2020-05-08 10:03:30.000000000 +0000
@@ -107,6 +107,16 @@ int main(int argc, char **argv)
       (cs_mode)0,
       "XCore"
     },
+    {
+      CS_ARCH_M68K,
+      (cs_mode)0,
+      "M68K"
+    },
+    {
+      CS_ARCH_M680X,
+      (cs_mode)CS_MODE_M680X_6809,
+      "M680X_M6809"
+    },
   };
 
   // Read input
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_llvm.cpp 4.0.2-3/suite/fuzz/fuzz_llvm.cpp
--- 4.0.1+really+3.0.5-2/suite/fuzz/fuzz_llvm.cpp	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/fuzz/fuzz_llvm.cpp	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,41 @@
+#include "llvm-c/Disassembler.h"
+#include "llvm-c/Target.h"
+#include "llvm/MC/SubtargetFeature.h"
+#include "llvm/Support/CommandLine.h"
+#include "llvm/Support/raw_ostream.h"
+
+using namespace llvm;
+
+extern "C" void LLVMFuzzerInit() {
+    LLVMInitializeAllTargetInfos();
+    LLVMInitializeAllTargetMCs();
+    LLVMInitializeAllDisassemblers();
+}
+
+
+extern "C" int LLVMFuzzerReturnOneInput(const uint8_t *Data, size_t Size, char * AssemblyText) {
+    LLVMDisasmContextRef Ctx;
+    std::vector<uint8_t> DataCopy(Data, Data + Size);
+    uint8_t *p = DataCopy.data();
+    int r = 1;
+
+    switch(Data[0]) {
+        case 0:
+            Ctx = LLVMCreateDisasmCPUFeatures("i386", "", "", nullptr, 0, nullptr, nullptr);
+            if (LLVMSetDisasmOptions(Ctx, LLVMDisassembler_Option_AsmPrinterVariant) == 0) {
+                abort();
+            }
+            break;
+            //TODO other cases
+        default:
+            return 1;
+    }
+    assert(Ctx);
+
+    if (LLVMDisasmInstruction(Ctx, p+1, Size-1, 0, AssemblyText, 80) > 0) {
+        r = 0;
+    }
+    LLVMDisasmDispose(Ctx);
+
+    return r;
+}
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/Makefile 4.0.2-3/suite/fuzz/Makefile
--- 4.0.1+really+3.0.5-2/suite/fuzz/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/fuzz/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -1,10 +1,85 @@
+# Capstone Disassembler Engine
+# By Philippe Antoine <contact@catenacyber.fr>, 2018
+
+include ../../config.mk
+include ../../functions.mk
+
+ifneq ($(CAPSTONE_STATIC),yes)
+$(error Needs static capstone.)
+endif
+
+# Verbose output?
+V ?= 0
+
+INCDIR = ../../include
+ifndef BUILDDIR
+TESTDIR = .
+OBJDIR = .
+LIBDIR = ../..
+else
+TESTDIR = $(BUILDDIR)/tests
+OBJDIR = $(BUILDDIR)/obj/tests
+LIBDIR = $(BUILDDIR)
+endif
+
+CFLAGS += -Wall -I$(INCDIR)
+LDFLAGS += -L$(LIBDIR)
+
+CFLAGS += $(foreach arch,$(LIBARCHS),-arch $(arch))
+LDFLAGS += $(foreach arch,$(LIBARCHS),-arch $(arch))
+
 LIBNAME = capstone
 
-fuzz_harness: fuzz_harness.o
-	${CC} $< -O3 -Wall -l$(LIBNAME) -o $@
+BIN_EXT =
+AR_EXT = a
+
+
+ARCHIVE = $(LIBDIR)/lib$(LIBNAME).$(AR_EXT)
 
-%.o: %.c
-	${CC} -c -I../../include $< -o $@
+.PHONY: all clean
+
+SOURCES = fuzz_disasm.c drivermc.c fuzz_harness.c driverbin.c
+OBJS = $(addprefix $(OBJDIR)/,$(SOURCES:.c=.o))
+BINARY = $(addprefix $(TESTDIR)/,fuzz_disasm$(BIN_EXT))
+BINARYBIN = $(addprefix $(TESTDIR)/,fuzz_bindisasm$(BIN_EXT))
+
+all: $(BINARY) $(BINARYBIN)
 
 clean:
-	rm -rf *.o fuzz_harness
+	rm -rf fuzz_harness $(OBJS) $(BINARY) $(BINARYBIN) $(OBJDIR)/lib$(LIBNAME).* $(OBJDIR)/$(LIBNAME).*
+
+$(BINARY): fuzz_disasm.o drivermc.o
+	@mkdir -p $(@D)
+ifeq ($(V),0)
+	$(call log,LINK,$(notdir $@))
+	@$(link-static)
+else
+	$(link-static)
+endif
+
+$(BINARYBIN): fuzz_disasm.o driverbin.o
+	@mkdir -p $(@D)
+ifeq ($(V),0)
+	$(call log,LINK,$(notdir $@))
+	@$(link-static)
+else
+	$(link-static)
+endif
+
+$(OBJDIR)/%.o: %.c
+	@mkdir -p $(@D)
+ifeq ($(V),0)
+	$(call log,CC,$(@:$(OBJDIR)/%=%))
+	@$(compile)
+else
+	$(compile)
+endif
+
+
+
+define link-static
+	$(CC) $(LDFLAGS) $^ $(ARCHIVE) -o $@
+endef
+
+fuzz_harness: fuzz_harness.o
+	${CC} $< -O3 -Wall -l$(LIBNAME) -o $@
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz/onefile.c 4.0.2-3/suite/fuzz/onefile.c
--- 4.0.1+really+3.0.5-2/suite/fuzz/onefile.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/fuzz/onefile.c	2020-05-08 10:03:30.000000000 +0000
@@ -38,11 +38,13 @@ int main(int argc, char** argv)
     }
     if (fread(Data, Size, 1, fp) != 1) {
         fclose(fp);
+        free(Data);
         return 2;
     }
 
     //lauch fuzzer
     LLVMFuzzerTestOneInput(Data, Size);
+    free(Data);
     fclose(fp);
     return 0;
 }
diff -pruN 4.0.1+really+3.0.5-2/suite/fuzz.py 4.0.2-3/suite/fuzz.py
--- 4.0.1+really+3.0.5-2/suite/fuzz.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/fuzz.py	2020-05-08 10:03:30.000000000 +0000
@@ -42,6 +42,7 @@ all_tests = (
         (CS_ARCH_SPARC, CS_MODE_BIG_ENDIAN, "Sparc", 0),
         (CS_ARCH_SYSZ, 0, "SystemZ", 0),
         (CS_ARCH_XCORE, 0, "XCore", 0),
+        (CS_ARCH_M68K, 0, "M68K", 0),
         )
 
 
diff -pruN 4.0.1+really+3.0.5-2/suite/regress/LICENSE 4.0.2-3/suite/regress/LICENSE
--- 4.0.1+really+3.0.5-2/suite/regress/LICENSE	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/regress/LICENSE	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,30 @@
+This is the software license for Unicorn regression tests. The regression tests
+are written by several Unicorn contributors (See CREDITS.TXT) and maintained by
+Hoang-Vu Dang <dang.hvu@gmail.com>
+
+Copyright (c) 2015, Unicorn contributors
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+
+* Redistributions of source code must retain the above copyright notice,
+  this list of conditions and the following disclaimer.
+* Redistributions in binary form must reproduce the above copyright notice,
+  this list of conditions and the following disclaimer in the documentation
+  and/or other materials provided with the distribution.
+* Neither the name of the developer(s) nor the names of its
+  contributors may be used to endorse or promote products derived from this
+  software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGE.
diff -pruN 4.0.1+really+3.0.5-2/suite/regress/regress.py 4.0.2-3/suite/regress/regress.py
--- 4.0.1+really+3.0.5-2/suite/regress/regress.py	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/regress/regress.py	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,34 @@
+#!/usr/bin/python
+
+import unittest
+
+from os.path import dirname, basename, isfile
+import glob
+
+# Find all unittest type in this directory and run it.
+
+class RegressTest(unittest.TestCase):
+    pass
+
+def main():
+    unittest.main()
+
+if __name__ == '__main__':
+    directory = dirname(__file__)
+    if directory == '':
+        directory = '.'
+    modules = glob.glob(directory+"/*.py")
+    __all__ = [ basename(f)[:-3] for f in modules if isfile(f)]
+    suite = unittest.TestSuite()
+
+    for module in __all__:
+        m = __import__(module)
+        for cl in dir(m):
+            try:
+                realcl = getattr(m,cl)
+                if issubclass(realcl, unittest.TestCase):
+                    suite.addTest(realcl())
+            except Exception as e:
+                pass
+
+    unittest.TextTestRunner().run(suite)
diff -pruN 4.0.1+really+3.0.5-2/suite/regress.py 4.0.2-3/suite/regress.py
--- 4.0.1+really+3.0.5-2/suite/regress.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/regress.py	2020-05-08 10:03:30.000000000 +0000
@@ -41,62 +41,6 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_ATT, 0xffe1, b"\x66\xe9\x35\x64\x93\x53", "jmp 0x5394641c"),
 
         # issue 452 https://github.com/aquynh/capstone/issues/452
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6D", "rep insw word ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6F", "rep outsw dx, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA5", "rep movsw word ptr es:[edi], word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA7", "repe cmpsw word ptr [esi], word ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAB", "rep stosw word ptr es:[edi], ax"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAD", "rep lodsw ax, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAF", "repe scasw ax, word ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6C", "repne insb byte ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6D", "repne insd dword ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6F", "repne outsd dx, dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA4", "repne movsb byte ptr es:[di], byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA5", "repne movsd dword ptr es:[di], dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [si], byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA7", "repne cmpsd dword ptr [si], dword ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAA", "repne stosb byte ptr es:[di], al"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAB", "repne stosd dword ptr es:[di], eax"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAD", "repne lodsd eax, dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAF", "repne scasd eax, dword ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6D", "rep insd dword ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA5", "rep movsd dword ptr es:[edi], dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAB", "rep stosd dword ptr es:[edi], eax"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAF", "repe scasd eax, dword ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6C", "rep insb byte ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6D", "rep insw word ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6F", "rep outsw dx, word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA5", "rep movsw word ptr es:[di], word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA7", "repe cmpsw word ptr [si], word ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAA", "rep stosb byte ptr es:[di], al"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAB", "rep stosw word ptr es:[di], ax"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAD", "rep lodsw ax, word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAF", "repe scasw ax, word ptr es:[di]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x6C", "insb byte ptr es:[di], dx"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x6D", "insw word ptr es:[di], dx"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x6E", "outsb dx, byte ptr [si]"),
@@ -139,6 +83,34 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xAD", "lodsw ax, word ptr [esi]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xAE", "scasb al, byte ptr es:[edi]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xAF", "scasw ax, word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\x6C", "repne insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\x6D", "repne insw word ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\x6E", "repne outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\x6F", "repne outsw dx, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xA4", "repne movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xA5", "repne movsw word ptr es:[di], word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xA6", "repne cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xA7", "repne cmpsw word ptr [si], word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAA", "repne stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAB", "repne stosw word ptr es:[di], ax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAC", "repne lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAD", "repne lodsw ax, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAE", "repne scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF2\xAF", "repne scasw ax, word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6C", "rep insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6D", "rep insw word ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\x6F", "rep outsw dx, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA5", "rep movsw word ptr es:[di], word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xA7", "repe cmpsw word ptr [si], word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAA", "rep stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAB", "rep stosw word ptr es:[di], ax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAD", "rep lodsw ax, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\xF3\xAF", "repe scasw ax, word ptr es:[di]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\x6C", "insb byte ptr es:[edi], dx"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\x6D", "insd dword ptr es:[edi], dx"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\x6E", "outsb dx, byte ptr [esi]"),
@@ -153,62 +125,90 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xAD", "lodsd eax, dword ptr [esi]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xAE", "scasb al, byte ptr es:[edi]"),
         (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xAF", "scasd eax, dword ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6C", "rep insb byte ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6D", "rep insd dword ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6F", "rep outsd dx, dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA5", "rep movsd dword ptr es:[di], dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA7", "repe cmpsd dword ptr [si], dword ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAA", "rep stosb byte ptr es:[di], al"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAB", "rep stosd dword ptr es:[di], eax"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAD", "rep lodsd eax, dword ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAF", "repe scasd eax, dword ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6C", "repne insb byte ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6D", "repne insw word ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6F", "repne outsw dx, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA4", "repne movsb byte ptr es:[edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA5", "repne movsw word ptr es:[edi], word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA7", "repne cmpsw word ptr [esi], word ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAA", "repne stosb byte ptr es:[edi], al"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAB", "repne stosw word ptr es:[edi], ax"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAD", "repne lodsw ax, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAF", "repne scasw ax, word ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6D", "rep insw word ptr es:[di], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6F", "rep outsw dx, word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA5", "rep movsw word ptr es:[di], word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA7", "repe cmpsw word ptr [si], word ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr es:[di], al"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAB", "rep stosw word ptr es:[di], ax"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAD", "rep lodsw ax, word ptr [si]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAF", "repe scasw ax, word ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6D", "rep insd dword ptr es:[edi], dx"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA5", "rep movsd dword ptr es:[edi], dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAB", "rep stosd dword ptr es:[edi], eax"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
-        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAF", "repe scasd eax, dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6C", "repne insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6D", "repne insd dword ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\x6F", "repne outsd dx, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA4", "repne movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA5", "repne movsd dword ptr es:[di], dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xA7", "repne cmpsd dword ptr [si], dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAA", "repne stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAB", "repne stosd dword ptr es:[di], eax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAD", "repne lodsd eax, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF2\xAF", "repne scasd eax, dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\x6C", "rep insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\x6D", "rep insd dword ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\x6E", "rep outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\x6F", "rep outsd dx, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xA5", "rep movsd dword ptr es:[di], dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xA7", "repe cmpsd dword ptr [si], dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAA", "rep stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAB", "rep stosd dword ptr es:[di], eax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAC", "rep lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAD", "rep lodsd eax, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\xF3\xAF", "repe scasd eax, dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\x6C", "repne insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\x6D", "repne insw word ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\x6F", "repne outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xA4", "repne movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xA5", "repne movsw word ptr es:[edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xA7", "repne cmpsw word ptr [esi], word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAA", "repne stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAB", "repne stosw word ptr es:[edi], ax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAD", "repne lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAE", "repne scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF2\xAF", "repne scasw ax, word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6D", "rep insw word ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\x6F", "rep outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA5", "rep movsw word ptr es:[edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xA7", "repe cmpsw word ptr [esi], word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAB", "rep stosw word ptr es:[edi], ax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAD", "rep lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x67\xF3\xAF", "repe scasw ax, word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\x6C", "repne insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\x6D", "repne insd dword ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\x6F", "repne outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xA4", "repne movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xA5", "repne movsd dword ptr es:[edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xA7", "repne cmpsd dword ptr [esi], dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAA", "repne stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAB", "repne stosd dword ptr es:[edi], eax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAD", "repne lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAE", "repne scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF2\xAF", "repne scasd eax, dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6D", "rep insd dword ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA5", "rep movsd dword ptr es:[edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAB", "rep stosd dword ptr es:[edi], eax"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x67\xF3\xAF", "repe scasd eax, dword ptr es:[edi]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x6C", "insb byte ptr es:[edi], dx"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x6D", "insd dword ptr es:[edi], dx"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x6E", "outsb dx, byte ptr [esi]"),
@@ -251,6 +251,34 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xAD", "lodsd eax, dword ptr [si]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xAE", "scasb al, byte ptr es:[di]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xAF", "scasd eax, dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\x6C", "repne insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\x6D", "repne insd dword ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\x6F", "repne outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xA4", "repne movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xA5", "repne movsd dword ptr es:[edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xA7", "repne cmpsd dword ptr [esi], dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAA", "repne stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAB", "repne stosd dword ptr es:[edi], eax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAD", "repne lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAE", "repne scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF2\xAF", "repne scasd eax, dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6D", "rep insd dword ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA5", "rep movsd dword ptr es:[edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAB", "rep stosd dword ptr es:[edi], eax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\xF3\xAF", "repe scasd eax, dword ptr es:[edi]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\x6C", "insb byte ptr es:[di], dx"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\x6D", "insw word ptr es:[di], dx"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\x6E", "outsb dx, byte ptr [si]"),
@@ -265,132 +293,90 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xAD", "lodsw ax, word ptr [si]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xAE", "scasb al, byte ptr es:[di]"),
         (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xAF", "scasw ax, word ptr es:[di]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\x6C", "rep insb byte ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\x6D", "rep insq qword ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\x6E", "rep outsb dx, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\x6F", "rep outsq dx, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA5", "rep movsq qword ptr [rdi], qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA7", "repe cmpsq qword ptr [rsi], qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAA", "rep stosb byte ptr [rdi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAB", "rep stosq qword ptr [rdi], rax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAC", "rep lodsb al, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAD", "rep lodsq rax, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAE", "repe scasb al, byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAF", "repe scasq rax, qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\x6C", "insb byte ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\x6D", "insq qword ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\x6E", "outsb dx, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\x6F", "outsq dx, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA4", "movsb byte ptr [rdi], byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA5", "movsq qword ptr [rdi], qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA6", "cmpsb byte ptr [rsi], byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA7", "cmpsq qword ptr [rsi], qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAA", "stosb byte ptr [rdi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAB", "stosq qword ptr [rdi], rax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAC", "lodsb al, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAD", "lodsq rax, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAE", "scasb al, byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAF", "scasq rax, qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\x6C", "insb byte ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\x6D", "insq qword ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\x6E", "outsb dx, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\x6F", "outsq dx, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA4", "movsb byte ptr [rdi], byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA5", "movsq qword ptr [rdi], qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA6", "cmpsb byte ptr [rsi], byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA7", "cmpsq qword ptr [rsi], qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAA", "stosb byte ptr [rdi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAB", "stosq qword ptr [rdi], rax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAC", "lodsb al, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAD", "lodsq rax, qword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAE", "scasb al, byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAF", "scasq rax, qword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\x6C", "insb byte ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\x6D", "insq qword ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\x6E", "outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\x6F", "outsq dx, qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA4", "movsb byte ptr [edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA5", "movsq qword ptr [edi], qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA6", "cmpsb byte ptr [esi], byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA7", "cmpsq qword ptr [esi], qword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAA", "stosb byte ptr [edi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAB", "stosq qword ptr [edi], rax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAC", "lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAD", "lodsq rax, qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAE", "scasb al, byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAF", "scasq rax, qword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\x6C", "repne insb byte ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\x6D", "repne insq qword ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\x6E", "repne outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\x6F", "repne outsq dx, qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA4", "repne movsb byte ptr [edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA5", "repne movsq qword ptr [edi], qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA6", "repne cmpsb byte ptr [esi], byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA7", "repne cmpsq qword ptr [esi], qword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAA", "repne stosb byte ptr [edi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAB", "repne stosq qword ptr [edi], rax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAC", "repne lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAD", "repne lodsq rax, qword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAE", "repne scasb al, byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAF", "repne scasq rax, qword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6C", "rep insb byte ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6D", "rep insd dword ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA5", "rep movsd dword ptr [edi], dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAA", "rep stosb byte ptr [edi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAB", "rep stosd dword ptr [edi], eax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAF", "repe scasd eax, dword ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6C", "repne insb byte ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6D", "repne insw word ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6F", "repne outsw dx, word ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA4", "repne movsb byte ptr [rdi], byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA5", "repne movsw word ptr [rdi], word ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [rsi], byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA7", "repne cmpsw word ptr [rsi], word ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAA", "repne stosb byte ptr [rdi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAB", "repne stosw word ptr [rdi], ax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAD", "repne lodsw ax, word ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAF", "repne scasw ax, word ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6D", "rep insw word ptr [edi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6F", "rep outsw dx, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA5", "rep movsw word ptr [edi], word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA7", "repe cmpsw word ptr [esi], word ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr [edi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAB", "rep stosw word ptr [edi], ax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAD", "rep lodsw ax, word ptr [esi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAF", "repe scasw ax, word ptr [edi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6C", "rep insb byte ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6D", "rep insd dword ptr [rdi], dx"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6F", "rep outsd dx, dword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA5", "rep movsd dword ptr [rdi], dword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA7", "repe cmpsd dword ptr [rsi], dword ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAA", "rep stosb byte ptr [rdi], al"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAB", "rep stosd dword ptr [rdi], eax"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAD", "rep lodsd eax, dword ptr [rsi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAE", "repe scasb al, byte ptr [rdi]"),
-        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAF", "repe scasd eax, dword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6C", "repne insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6D", "repne insw word ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\x6F", "repne outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA4", "repne movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA5", "repne movsw word ptr es:[edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xA7", "repne cmpsw word ptr [esi], word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAA", "repne stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAB", "repne stosw word ptr es:[edi], ax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAD", "repne lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF2\xAF", "repne scasw ax, word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\x6C", "rep insb byte ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\x6D", "rep insw word ptr es:[edi], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\x6F", "rep outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xA4", "rep movsb byte ptr es:[edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xA5", "rep movsw word ptr es:[edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xA7", "repe cmpsw word ptr [esi], word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAA", "rep stosb byte ptr es:[edi], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAB", "rep stosw word ptr es:[edi], ax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAD", "rep lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAE", "repe scasb al, byte ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\xF3\xAF", "repe scasw ax, word ptr es:[edi]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\x6C", "repne insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\x6D", "repne insd dword ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\x6E", "repne outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\x6F", "repne outsd dx, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xA4", "repne movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xA5", "repne movsd dword ptr es:[di], dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xA6", "repne cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xA7", "repne cmpsd dword ptr [si], dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAA", "repne stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAB", "repne stosd dword ptr es:[di], eax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAC", "repne lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAD", "repne lodsd eax, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAE", "repne scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF2\xAF", "repne scasd eax, dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6C", "rep insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6D", "rep insd dword ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\x6F", "rep outsd dx, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA5", "rep movsd dword ptr es:[di], dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xA7", "repe cmpsd dword ptr [si], dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAA", "rep stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAB", "rep stosd dword ptr es:[di], eax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAD", "rep lodsd eax, dword ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x67\xF3\xAF", "repe scasd eax, dword ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\x6C", "repne insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\x6D", "repne insw word ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\x6E", "repne outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\x6F", "repne outsw dx, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xA4", "repne movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xA5", "repne movsw word ptr es:[di], word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xA6", "repne cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xA7", "repne cmpsw word ptr [si], word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAA", "repne stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAB", "repne stosw word ptr es:[di], ax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAC", "repne lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAD", "repne lodsw ax, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAE", "repne scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF2\xAF", "repne scasw ax, word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6D", "rep insw word ptr es:[di], dx"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\x6F", "rep outsw dx, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr es:[di], byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA5", "rep movsw word ptr es:[di], word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [si], byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xA7", "repe cmpsw word ptr [si], word ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr es:[di], al"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAB", "rep stosw word ptr es:[di], ax"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAD", "rep lodsw ax, word ptr [si]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr es:[di]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x67\xF3\xAF", "repe scasw ax, word ptr es:[di]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x6C", "insb byte ptr [rdi], dx"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x6D", "insd dword ptr [rdi], dx"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x6E", "outsb dx, byte ptr [rsi]"),
@@ -433,6 +419,34 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xAD", "lodsd eax, dword ptr [esi]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xAE", "scasb al, byte ptr [edi]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xAF", "scasd eax, dword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x6C", "repne insb byte ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x6D", "repne insd dword ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x6E", "repne outsb dx, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x6F", "repne outsd dx, dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xA4", "repne movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xA5", "repne movsd dword ptr [rdi], dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xA6", "repne cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xA7", "repne cmpsd dword ptr [rsi], dword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAA", "repne stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAB", "repne stosd dword ptr [rdi], eax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAC", "repne lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAD", "repne lodsd eax, dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAE", "repne scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\xAF", "repne scasd eax, dword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6C", "rep insb byte ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6D", "rep insd dword ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6E", "rep outsb dx, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x6F", "rep outsd dx, dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA5", "rep movsd dword ptr [rdi], dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xA7", "repe cmpsd dword ptr [rsi], dword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAA", "rep stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAB", "rep stosd dword ptr [rdi], eax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAC", "rep lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAD", "rep lodsd eax, dword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAE", "repe scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\xAF", "repe scasd eax, dword ptr [rdi]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x6C", "insb byte ptr [edi], dx"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x6D", "insw word ptr [edi], dx"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x6E", "outsb dx, byte ptr [esi]"),
@@ -447,6 +461,238 @@ all_tests = (
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xAD", "lodsw ax, word ptr [esi]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xAE", "scasb al, byte ptr [edi]"),
         (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xAF", "scasw ax, word ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6C", "repne insb byte ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6D", "repne insw word ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6E", "repne outsb dx, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x6F", "repne outsw dx, word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA4", "repne movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA5", "repne movsw word ptr [rdi], word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA6", "repne cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xA7", "repne cmpsw word ptr [rsi], word ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAA", "repne stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAB", "repne stosw word ptr [rdi], ax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAC", "repne lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAD", "repne lodsw ax, word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAE", "repne scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\xAF", "repne scasw ax, word ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x6C", "rep insb byte ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x6D", "rep insw word ptr [rdi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x6E", "rep outsb dx, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x6F", "rep outsw dx, word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xA5", "rep movsw word ptr [rdi], word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xA7", "repe cmpsw word ptr [rsi], word ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAA", "rep stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAB", "rep stosw word ptr [rdi], ax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAC", "rep lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAD", "rep lodsw ax, word ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAE", "repe scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\xAF", "repe scasw ax, word ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x6C", "repne insb byte ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x6D", "repne insd dword ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x6F", "repne outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xA4", "repne movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xA5", "repne movsd dword ptr [edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xA7", "repne cmpsd dword ptr [esi], dword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAA", "repne stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAB", "repne stosd dword ptr [edi], eax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAD", "repne lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAE", "repne scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\xAF", "repne scasd eax, dword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6C", "rep insb byte ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6D", "rep insd dword ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x6F", "rep outsd dx, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA5", "rep movsd dword ptr [edi], dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xA7", "repe cmpsd dword ptr [esi], dword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAA", "rep stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAB", "rep stosd dword ptr [edi], eax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAD", "rep lodsd eax, dword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAE", "repe scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\xAF", "repe scasd eax, dword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x6C", "repne insb byte ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x6D", "repne insw word ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x6E", "repne outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x6F", "repne outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xA4", "repne movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xA5", "repne movsw word ptr [edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xA6", "repne cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xA7", "repne cmpsw word ptr [esi], word ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAA", "repne stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAB", "repne stosw word ptr [edi], ax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAD", "repne lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAE", "repne scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\xAF", "repne scasw ax, word ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6C", "rep insb byte ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6D", "rep insw word ptr [edi], dx"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6E", "rep outsb dx, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x6F", "rep outsw dx, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA5", "rep movsw word ptr [edi], word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xA7", "repe cmpsw word ptr [esi], word ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAA", "rep stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAB", "rep stosw word ptr [edi], ax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAD", "rep lodsw ax, word ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAE", "repe scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\xAF", "repe scasw ax, word ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA4", "movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA5", "movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA6", "cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xA7", "cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAA", "stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAB", "stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAC", "lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAD", "lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAE", "scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x48\xAF", "scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA4", "movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA5", "movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA6", "cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xA7", "cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAA", "stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAB", "stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAC", "lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAD", "lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAE", "scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x48\xAF", "scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xA4", "movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xA5", "movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xA6", "cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xA7", "cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAA", "stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAB", "stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAC", "lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAD", "lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAE", "scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\x48\xAF", "scasq rax, qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xA4", "repne movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xA5", "repne movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xA6", "repne cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xA7", "repne cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAA", "repne stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAB", "repne stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAC", "repne lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAD", "repne lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAE", "repne scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF2\x48\xAF", "repne scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA5", "rep movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xA7", "repe cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAA", "rep stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAB", "rep stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAC", "rep lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAD", "rep lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAE", "repe scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\xF3\x48\xAF", "repe scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA4", "movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA5", "movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA6", "cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xA7", "cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAA", "stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAB", "stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAC", "lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAD", "lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAE", "scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\x48\xAF", "scasq rax, qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xA4", "repne movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xA5", "repne movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xA6", "repne cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xA7", "repne cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAA", "repne stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAB", "repne stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAC", "repne lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAD", "repne lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAE", "repne scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF2\x48\xAF", "repne scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xA4", "rep movsb byte ptr [rdi], byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xA5", "rep movsq qword ptr [rdi], qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xA6", "repe cmpsb byte ptr [rsi], byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xA7", "repe cmpsq qword ptr [rsi], qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAA", "rep stosb byte ptr [rdi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAB", "rep stosq qword ptr [rdi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAC", "rep lodsb al, byte ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAD", "rep lodsq rax, qword ptr [rsi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAE", "repe scasb al, byte ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\xF3\x48\xAF", "repe scasq rax, qword ptr [rdi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xA4", "repne movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xA5", "repne movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xA6", "repne cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xA7", "repne cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAA", "repne stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAB", "repne stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAD", "repne lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAE", "repne scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF2\x48\xAF", "repne scasq rax, qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xA5", "rep movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xA7", "repe cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAA", "rep stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAB", "rep stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAD", "rep lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAE", "repe scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x67\xF3\x48\xAF", "repe scasq rax, qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA4", "repne movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA5", "repne movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA6", "repne cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xA7", "repne cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAA", "repne stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAB", "repne stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAC", "repne lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAD", "repne lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAE", "repne scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF2\x48\xAF", "repne scasq rax, qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xA4", "rep movsb byte ptr [edi], byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xA5", "rep movsq qword ptr [edi], qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xA6", "repe cmpsb byte ptr [esi], byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xA7", "repe cmpsq qword ptr [esi], qword ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAA", "rep stosb byte ptr [edi], al"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAB", "rep stosq qword ptr [edi], rax"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAC", "rep lodsb al, byte ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAD", "rep lodsq rax, qword ptr [esi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAE", "repe scasb al, byte ptr [edi]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x67\xF3\x48\xAF", "repe scasq rax, qword ptr [edi]"),
+
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x0f\x01\x05\xa0\x90\x04\x08", "sgdt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x0f\x01\x05\xa0\x90\x04\x08", "sgdt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x0f\x01\x05\xa0\x90\x04\x08", "sgdt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x0f\x01\x05\xa0\x90\x04\x08", "sgdt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x0f\x01\x05", "sgdt [di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x0f\x01\x05", "sgdt [di]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x0f\x01\x0d\xa0\x90\x04\x08", "sidt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x0f\x01\x0d\xa0\x90\x04\x08", "sidt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x0f\x01\x0d\xa0\x90\x04\x08", "sidt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x0f\x01\x0d\xa0\x90\x04\x08", "sidt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x0f\x01\x0d", "sidt [di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x0f\x01\x0d", "sidt [di]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x0f\x01\x15\xa0\x90\x04\x08", "lgdt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x0f\x01\x15\xa0\x90\x04\x08", "lgdt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x0f\x01\x15\xa0\x90\x04\x08", "lgdt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x0f\x01\x15\xa0\x90\x04\x08", "lgdt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x0f\x01\x15", "lgdt [di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x0f\x01\x15", "lgdt [di]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x0f\x01\x1d\xa0\x90\x04\x08", "lidt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_64, CS_OPT_SYNTAX_INTEL, 0x649123ffe1, b"\x66\x0f\x01\x1d\xa0\x90\x04\x08", "lidt [rip + 0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x0f\x01\x1d\xa0\x90\x04\x08", "lidt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0x9123ffe1, b"\x66\x0f\x01\x1d\xa0\x90\x04\x08", "lidt [0x80490a0]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x0f\x01\x1d", "lidt [di]"),
+        (CS_ARCH_X86, CS_MODE_16, CS_OPT_SYNTAX_INTEL, 0xffe1, b"\x66\x0f\x01\x1d", "lidt [di]"),
+
+        # issues 702 https://github.com/aquynh/capstone/issues/702
+        (CS_ARCH_X86, CS_MODE_32, CS_OPT_SYNTAX_INTEL, 0, b"\x85\xC8", "test eax, ecx")
 )
 
 _python3 = sys.version_info.major == 3
diff -pruN 4.0.1+really+3.0.5-2/suite/test_corpus.py 4.0.2-3/suite/test_corpus.py
--- 4.0.1+really+3.0.5-2/suite/test_corpus.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/test_corpus.py	2020-05-08 10:03:30.000000000 +0000
@@ -80,6 +80,13 @@ def test_file(fname):
         ("CS_ARCH_SPARC", "CS_MODE_BIG_ENDIAN+CS_MODE_V9"): 16,
         ("CS_ARCH_SYSZ", "0"): 17,
         ("CS_ARCH_XCORE", "0"): 18,
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32R6+CS_MODE_BIG_ENDIAN"): 19,
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32R6+CS_MODE_MICRO+CS_MODE_BIG_ENDIAN"): 20,
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32R6"): 21,
+        ("CS_ARCH_MIPS", "CS_MODE_MIPS32R6+CS_MODE_MICRO"): 22,
+        ("CS_ARCH_M68K", "0"): 23,
+        ("CS_ARCH_M680X", "CS_MODE_M680X_6809"): 24,
+        ("CS_ARCH_EVM", "0"): 25,
     }
 
     #if not option in ('', 'None'):
@@ -89,11 +96,14 @@ def test_file(fname):
         # ignore all the input lines having # in front.
         if line.startswith('#'):
             continue
+        if line.startswith('// '):
+            line=line[3:]
         #print("Check %s" %line)
         code = line.split(' = ')[0]
         if len(code) < 2:
             continue
-        asm  = ''.join(line.split(' = ')[1:])
+        if code.find('//') >= 0:
+            continue
         hex_code = code.replace('0x', '')
         hex_code = hex_code.replace(',', '')
         hex_data = hex_code.decode('hex')
diff -pruN 4.0.1+really+3.0.5-2/suite/test_group_name.py 4.0.2-3/suite/test_group_name.py
--- 4.0.1+really+3.0.5-2/suite/test_group_name.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/test_group_name.py	2020-05-08 10:03:30.000000000 +0000
@@ -11,10 +11,6 @@ from capstone.x86 import *
 from capstone.xcore import *
 import sys
 
-# yes this is bad, importing ctypes like this,
-# but the Cs object did not have the group_name function
-from capstone import _cs
-
 class GroupTest:
     def __init__(self, name, arch, mode, data):
         self.name = name
@@ -27,13 +23,16 @@ class GroupTest:
         cap = Cs(self.arch, self.mode)
         for group_id in xrange(0,255):
             name = self.data.get(group_id)
-            res = _cs.cs_group_name(cap.csh, group_id)
+            res = cap.group_name(group_id)
             if res != name:
-                print("ERROR: expected '%s', but got '%s'" %(name, res))
+                print("ERROR: id = %u expected '%s', but got '%s'" %(group_id, name, res))
         print("")
 
 arm_dict = {
     ARM_GRP_JUMP: "jump",
+    ARM_GRP_CALL: "call",
+    ARM_GRP_INT: "int",
+    ARM_GRP_PRIVILEGE: "privilege",
 
     ARM_GRP_CRYPTO: "crypto",
     ARM_GRP_DATABARRIER: "databarrier",
@@ -66,10 +65,15 @@ arm_dict = {
     ARM_GRP_CRC: "crc",
     ARM_GRP_DPVFP: "dpvfp",
     ARM_GRP_V6M: "v6m",
+    ARM_GRP_VIRTUALIZATION: "virtualization",
 }
 
 arm64_dict = {
     ARM64_GRP_JUMP: "jump",
+    ARM64_GRP_CALL: "call",
+    ARM64_GRP_RET: "return",
+    ARM64_GRP_INT: "int",
+    ARM64_GRP_PRIVILEGE: "privilege",
 
     ARM64_GRP_CRYPTO: "crypto",
     ARM64_GRP_FPARMV8: "fparmv8",
@@ -79,6 +83,11 @@ arm64_dict = {
 
 mips_dict = {
     MIPS_GRP_JUMP: "jump",
+    MIPS_GRP_CALL: "call",
+    MIPS_GRP_RET: "ret",
+    MIPS_GRP_INT: "int",
+    MIPS_GRP_IRET: "iret",
+    MIPS_GRP_PRIVILEGE: "privilege",
     MIPS_GRP_BITCOUNT: "bitcount",
     MIPS_GRP_DSP: "dsp",
     MIPS_GRP_DSPR2: "dspr2",
@@ -132,6 +141,10 @@ ppc_dict = {
     PPC_GRP_E500: "e500",
     PPC_GRP_PPC4XX: "ppc4xx",
     PPC_GRP_PPC6XX: "ppc6xx",
+    PPC_GRP_ICBT: "icbt",
+    PPC_GRP_P8ALTIVEC: "p8altivec",
+    PPC_GRP_P8VECTOR: "p8vector",
+    PPC_GRP_QPX: "qpx",
 }
 
 sparc_dict = {
@@ -162,6 +175,7 @@ x86_dict = {
     X86_GRP_RET: "ret",
     X86_GRP_INT: "int",
     X86_GRP_IRET: "iret",
+    X86_GRP_PRIVILEGE: "privilege",
 
     X86_GRP_VM: "vm",
     X86_GRP_3DNOW: "3dnow",
@@ -219,6 +233,7 @@ tests = [
     GroupTest('sysz', CS_ARCH_SYSZ, CS_MODE_BIG_ENDIAN, sysz_dict),
     GroupTest('x86', CS_ARCH_X86, CS_MODE_32, x86_dict),
     GroupTest('xcore', CS_ARCH_XCORE, CS_MODE_BIG_ENDIAN, xcore_dict),
+    GroupTest('m68k', CS_ARCH_M68K, CS_MODE_BIG_ENDIAN, xcore_dict),
 ]
 
 if __name__ == '__main__':
diff -pruN 4.0.1+really+3.0.5-2/suite/test_mc.py 4.0.2-3/suite/test_mc.py
--- 4.0.1+really+3.0.5-2/suite/test_mc.py	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/suite/test_mc.py	2020-05-08 10:03:30.000000000 +0000
@@ -91,6 +91,7 @@ def test_file(fname):
         "CS_ARCH_SYSZ": CS_ARCH_SYSZ,
         "CS_ARCH_X86": CS_ARCH_X86,
         "CS_ARCH_XCORE": CS_ARCH_XCORE,
+        "CS_ARCH_M68K": CS_ARCH_M68K,
     }
     
     modes = {
diff -pruN 4.0.1+really+3.0.5-2/suite/x86/README 4.0.2-3/suite/x86/README
--- 4.0.1+really+3.0.5-2/suite/x86/README	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/x86/README	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1 @@
+This directory contains some tools to test X86 engine.
diff -pruN 4.0.1+really+3.0.5-2/suite/x86/verify/README 4.0.2-3/suite/x86/verify/README
--- 4.0.1+really+3.0.5-2/suite/x86/verify/README	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/suite/x86/verify/README	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,2 @@
+This directory contains some tools to verify Capstone output,
+as well as semantics of X86 machine code.
diff -pruN 4.0.1+really+3.0.5-2/tests/Makefile 4.0.2-3/tests/Makefile
--- 4.0.1+really+3.0.5-2/tests/Makefile	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/Makefile	2020-05-08 10:03:30.000000000 +0000
@@ -44,7 +44,7 @@ BIN_EXT = .exe
 AR_EXT = lib
 else
 # mingw?
-IS_MINGW := $(shell $(CC) --version | grep -i mingw | wc -l)
+IS_MINGW := $(shell $(CC) --version 2>/dev/null | grep -i "\(mingw\|MSYS\)" | wc -l)
 ifeq ($(IS_MINGW),1)
 CFLAGS := $(CFLAGS:-fPIC=)
 BIN_EXT = .exe
@@ -64,31 +64,55 @@ endif
 
 .PHONY: all clean
 
-SOURCES = test_basic.c test_detail.c test_skipdata.c test_iter.c
+SOURCES = test_basic.c test_detail.c test_skipdata.c test_iter.c test_customized_mnem.c
 ifneq (,$(findstring arm,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_ARM
 SOURCES += test_arm.c
 endif
 ifneq (,$(findstring aarch64,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_ARM64
 SOURCES += test_arm64.c
 endif
+ifneq (,$(findstring m68k,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_M68K
+SOURCES += test_m68k.c
+endif
 ifneq (,$(findstring mips,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_MIPS
 SOURCES += test_mips.c
 endif
 ifneq (,$(findstring powerpc,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_POWERPC
 SOURCES += test_ppc.c
 endif
 ifneq (,$(findstring sparc,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_SPARC
 SOURCES += test_sparc.c
 endif
 ifneq (,$(findstring systemz,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_SYSZ
 SOURCES += test_systemz.c
 endif
 ifneq (,$(findstring x86,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_X86
 SOURCES += test_x86.c
 endif
 ifneq (,$(findstring xcore,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_XCORE
 SOURCES += test_xcore.c
 endif
+ifneq (,$(findstring tms320c64x,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_TMS320C64X
+SOURCES += test_tms320c64x.c
+endif
+ifneq (,$(findstring m680x,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_M680X
+SOURCES += test_m680x.c
+endif
+ifneq (,$(findstring evm,$(CAPSTONE_ARCHS)))
+CFLAGS += -DCAPSTONE_HAS_EVM
+SOURCES += test_evm.c
+endif
 
 OBJS = $(addprefix $(OBJDIR)/,$(SOURCES:.c=.o))
 BINARY = $(addprefix $(TESTDIR)/,$(SOURCES:.c=$(BIN_EXT)))
@@ -97,6 +121,8 @@ all: $(BINARY)
 
 clean:
 	rm -rf $(OBJS) $(BINARY) $(TESTDIR)/*.exe $(TESTDIR)/*.static $(OBJDIR)/lib$(LIBNAME).* $(OBJDIR)/$(LIBNAME).*
+	# remove orphan files due to renaming from test.c to test_basic.c
+	rm -rf $(TESTDIR)/test.o $(TESTDIR)/test.exe $(TESTDIR)/test.static $(TESTDIR)/test
 
 $(BINARY): $(OBJS)
 
diff -pruN 4.0.1+really+3.0.5-2/tests/README 4.0.2-3/tests/README
--- 4.0.1+really+3.0.5-2/tests/README	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/README	2020-05-08 10:03:30.000000000 +0000
@@ -19,6 +19,10 @@ This directory contains some test code t
   This code shows how to use the API cs_disasm_iter() to decode one instruction at
   a time inside a loop.
 
+- test_customized_mnem.c:
+  This code shows how to use MNEMONIC option to customize instruction mnemonic
+  at run-time, and then how to reset the engine to use the default mnemonic.
+
 - test_<arch>.c
   These code show how to access architecture-specific information for each
   architecture.
diff -pruN 4.0.1+really+3.0.5-2/tests/test_arm64.c 4.0.2-3/tests/test_arm64.c
--- 4.0.1+really+3.0.5-2/tests/test_arm64.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_arm64.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,11 +1,11 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 static csh handle;
 
@@ -14,10 +14,10 @@ struct platform {
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -33,6 +33,9 @@ static void print_insn_detail(cs_insn *i
 {
 	cs_arm64 *arm64;
 	int i;
+	cs_regs regs_read, regs_write;
+	unsigned char regs_read_count, regs_write_count;
+	unsigned char access;
 
 	// detail can be NULL if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
@@ -94,6 +97,21 @@ static void print_insn_detail(cs_insn *i
 				break;
 		}
 
+		access = op->access;
+		switch(access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+
 		if (op->shift.type != ARM64_SFT_INVALID &&
 				op->shift.value)
 			printf("\t\t\tShift: type = %u, value = %u\n",
@@ -121,65 +139,32 @@ static void print_insn_detail(cs_insn *i
 	if (arm64->cc)
 		printf("\tCode-condition: %u\n", arm64->cc);
 
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(handle, ins,
+				regs_read, &regs_read_count,
+				regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_read[i]));
+			}
+			printf("\n");
+		}
+
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
+
 	printf("\n");
 }
 
 static void test()
 {
-//#define ARM64_CODE "\xe1\x0b\x40\xb9"	// ldr		w1, [sp, #0x8]
-//#define ARM64_CODE "\x21\x7c\x00\x53"	// lsr	w1, w1, #0x0
-//#define ARM64_CODE "\x21\x7c\x02\x9b"
-//#define ARM64_CODE "\x20\x04\x81\xda"	// csneg	x0, x1, x1, eq | cneg x0, x1, ne
-//#define ARM64_CODE "\x20\x08\x02\x8b"		// add	x0, x1, x2, lsl #2
-
-//#define ARM64_CODE "\x20\xcc\x20\x8b"
-//#define ARM64_CODE "\xe2\x8f\x40\xa9"	// ldp	x2, x3, [sp, #8]
-//#define ARM64_CODE "\x20\x40\x60\x1e"	// fmov d0, d1
-//#define ARM64_CODE "\x20\x7c\x7d\x93"	// sbfiz	x0, x1, #3, #32
-
-//#define ARM64_CODE "\x20\x88\x43\xb3"	// bfxil	x0, x1, #3, #32
-//#define ARM64_CODE "\x01\x71\x08\xd5"	// sys	#0, c7, c1, #0, x1
-//#define ARM64_CODE "\x00\x71\x28\xd5"	// sysl	x0, #0, c7, c1, #0
-
-//#define ARM64_CODE "\x20\xf4\x18\x9e"	// fcvtzs	x0, s1, #3
-//#define ARM64_CODE "\x20\x74\x0b\xd5"	// dc	zva, x0: FIXME: handle as "sys" insn
-//#define ARM64_CODE "\x00\x90\x24\x1e"	// fmov s0, ##10.00000000
-//#define ARM64_CODE "\xe1\x0b\x40\xb9"	// ldr		w1, [sp, #0x8]
-//#define ARM64_CODE "\x20\x78\x62\xf8"	// ldr x0, [x1, x2, lsl #3]
-//#define ARM64_CODE "\x41\x14\x44\xb3"	// bfm	x1, x2, #4, #5
-//#define ARM64_CODE "\x80\x23\x29\xd5"	// sysl	x0, #1, c2, c3, #4
-//#define ARM64_CODE "\x20\x00\x24\x1e"	// fcvtas	w0, s1
-//#define ARM64_CODE "\x41\x04\x40\xd2"	// eor	x1, x2, #0x3
-//#define ARM64_CODE "\x9f\x33\x03\xd5"	// 	dsb	osh
-//#define ARM64_CODE "\x41\x10\x23\x8a"	// bic	x1, x2, x3, lsl #4
-//#define ARM64_CODE "\x16\x41\x3c\xd5"	// mrs	x22, sp_el1
-//#define ARM64_CODE "\x41\x1c\x63\x0e"	// bic	v1.8b, v2.8b, v3.8b
-//#define ARM64_CODE "\x41\xd4\xe3\x6e"	// fabd	v1.2d, v2.2d, v3.2d
-//#define ARM64_CODE "\x20\x8c\x62\x2e"	// cmeq	v0.4h, v1.4h, v2.4h
-//#define ARM64_CODE "\x20\x98\x20\x4e"	// cmeq	v0.16b, v1.16b, #0
-//#define ARM64_CODE "\x20\x2c\x05\x4e"	// smov	x0, v1.b[2]
-//#define ARM64_CODE "\x21\xe4\x00\x2f"	// movi d1, #0xff
-//#define ARM64_CODE "\x60\x78\x08\xd5"	// at	s1e0w, x0	// FIXME: same problem with dc ZVA
-//#define ARM64_CODE "\x20\x00\xa0\xf2"	// movk	x0, #1, lsl #16
-//#define ARM64_CODE "\x20\x08\x00\xb1"	// adds	x0, x1, #0x2
-//#define ARM64_CODE "\x41\x04\x00\x0f"	// movi v1.2s, #0x2
-//#define ARM64_CODE "\x06\x00\x00\x14"	// b 0x44
-//#define ARM64_CODE "\x00\x90\x24\x1e"	// fmov s0, ##10.00000000
-//#define ARM64_CODE "\x5f\x3f\x03\xd5"	// clrex
-//#define ARM64_CODE "\x5f\x3e\x03\xd5"	// clrex #14
-//#define ARM64_CODE "\x20\x00\x02\xab"	// adds	 x0, x1, x2 (alias of adds x0, x1, x2, lsl #0)
-//#define ARM64_CODE "\x20\xf4\x18\x9e"	// fcvtzs	x0, s1, #3
-//#define ARM64_CODE "\x20\xfc\x02\x9b"	// mneg	x0, x1, x2
-//#define ARM64_CODE "\xd0\xb6\x1e\xd5"	// msr	s3_6_c11_c6_6, x16
-
-//#define ARM64_CODE "\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x20\x04\x81\xda\x20\x08\x02\x8b"
-
-//#define ARM64_CODE "\x09\x00\x38\xd5"	// DBarrier
-//#define ARM64_CODE "\x20\xe4\x3d\x0f\xa2\x00\xae\x9e"
-//#define ARM64_CODE "\x9f\x37\x03\xd5\xbf\x33\x03\xd5\xdf\x3f\x03\xd5"	// DBarrier
-//#define ARM64_CODE "\x10\x5b\xe8\x3c"
-//#define ARM64_CODE "\x00\x18\xa0\x5f\xa2\x00\xae\x9e"
-
 #define ARM64_CODE "\x09\x00\x38\xd5\xbf\x40\x00\xd5\x0c\x05\x13\xd5\x20\x50\x02\x0e\x20\xe4\x3d\x0f\x00\x18\xa0\x5f\xa2\x00\xae\x9e\x9f\x37\x03\xd5\xbf\x33\x03\xd5\xdf\x3f\x03\xd5\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x20\x04\x81\xda\x20\x08\x02\x8b\x10\x5b\xe8\x3c"
 
 	struct platform platforms[] = {
@@ -201,7 +186,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -228,6 +213,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code: ", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_arm.c 4.0.2-3/tests/test_arm.c
--- 4.0.1+really+3.0.5-2/tests/test_arm.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_arm.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,11 +1,11 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 static csh handle;
 
@@ -14,11 +14,11 @@ struct platform {
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	int syntax;
 };
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -30,10 +30,12 @@ static void print_string_hex(char *comme
 	printf("\n");
 }
 
-static void print_insn_detail(cs_insn *ins)
+static void print_insn_detail(csh cs_handle, cs_insn *ins)
 {
 	cs_arm *arm;
 	int i;
+	cs_regs regs_read, regs_write;
+	uint8_t regs_read_count, regs_write_count;
 
 	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
@@ -50,7 +52,7 @@ static void print_insn_detail(cs_insn *i
 			default:
 				break;
 			case ARM_OP_REG:
-				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
+				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(cs_handle, op->reg));
 				break;
 			case ARM_OP_IMM:
 				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
@@ -67,14 +69,16 @@ static void print_insn_detail(cs_insn *i
 				printf("\t\toperands[%u].type: MEM\n", i);
 				if (op->mem.base != ARM_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
-							i, cs_reg_name(handle, op->mem.base));
+							i, cs_reg_name(cs_handle, op->mem.base));
 				if (op->mem.index != ARM_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.index: REG = %s\n",
-							i, cs_reg_name(handle, op->mem.index));
+							i, cs_reg_name(cs_handle, op->mem.index));
 				if (op->mem.scale != 1)
 					printf("\t\t\toperands[%u].mem.scale: %u\n", i, op->mem.scale);
 				if (op->mem.disp != 0)
 					printf("\t\t\toperands[%u].mem.disp: 0x%x\n", i, op->mem.disp);
+				if (op->mem.lshift != 0)
+					printf("\t\t\toperands[%u].mem.lshift: 0x%x\n", i, op->mem.lshift);
 
 				break;
 			case ARM_OP_PIMM:
@@ -91,6 +95,24 @@ static void print_insn_detail(cs_insn *i
 				break;
 		}
 
+		if (op->neon_lane != -1) {
+			printf("\t\toperands[%u].neon_lane = %u\n", i, op->neon_lane);
+		}
+
+		switch(op->access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+
 		if (op->shift.type != ARM_SFT_INVALID && op->shift.value) {
 			if (op->shift.type < ARM_SFT_ASR_REG)
 				// shift with constant value
@@ -98,7 +120,7 @@ static void print_insn_detail(cs_insn *i
 			else
 				// shift with register
 				printf("\t\t\tShift: %u = %s\n", op->shift.type,
-						cs_reg_name(handle, op->shift.value));
+						cs_reg_name(cs_handle, op->shift.value));
 		}
 
 		if (op->vector_index != -1) {
@@ -136,68 +158,35 @@ static void print_insn_detail(cs_insn *i
 	if (arm->mem_barrier)
 		printf("\tMemory-barrier: %u\n", arm->mem_barrier);
 
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(cs_handle, ins,
+				regs_read, &regs_read_count,
+				regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(cs_handle, regs_read[i]));
+			}
+			printf("\n");
+		}
+
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(cs_handle, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
+
 	printf("\n");
 }
 
 static void test()
 {
-//#define ARM_CODE "\x04\xe0\x2d\xe5"	// str	lr, [sp, #-0x4]!
-//#define ARM_CODE "\xe0\x83\x22\xe5"	// str	r8, [r2, #-0x3e0]!
-//#define ARM_CODE "\xf1\x02\x03\x0e"	// mcreq	p0x2, #0x0, r0, c0x3, c0x1, #0x7
-//#define ARM_CODE "\x00\x00\xa0\xe3"	// mov	r0, #0x0 
-//#define ARM_CODE "\x02\x30\xc1\xe7"	// strb	r3, [r1, r2]
-//#define ARM_CODE "\x00\x00\x53\xe3"	// cmp	r3, #0x0
-//#define ARM_CODE "\x02\x00\xa1\xe2"	// adc r0, r1, r2
-//#define ARM_CODE "\x21\x01\xa0\xe0"	// adc	r0, r0, r1, lsr #2
-//#define ARM_CODE "\x21\x01\xb0\xe0"	// adcs	r0, r0, r1, lsr #2
-//#define ARM_CODE "\x32\x03\xa1\xe0"	// adc	r0, r1, r2, lsr r3
-//#define ARM_CODE "\x22\x01\xa1\xe0"	// adc	r0, r1, r2, lsr #2
-//#define ARM_CODE "\x65\x61\x4f\x50"	// subpl	r6, pc, r5, ror #2
-//#define ARM_CODE "\x30\x30\x53\xe5"	// ldrb	r3, [r3, #-0x30]
-//#define ARM_CODE "\xb6\x10\xdf\xe1"	// ldrh	r1, [pc, #0x6]
-//#define ARM_CODE "\x02\x00\x9f\xef"	// svc #0x9f0002
-//#define ARM_CODE "\x00\xc0\x27\xea"	// b 0x9F0002: FIXME: disasm as "b	#0x9f0000"
-//#define ARM_CODE "\x12\x13\xa0\xe1"	// lsl r1, r2, r3
-//#define ARM_CODE "\x82\x11\xa0\xe1"	// lsl	r1, r2, #0x3
-//#define ARM_CODE "\x00\xc0\xa0\xe1"	// mov ip, r0
-//#define ARM_CODE "\x02\x00\x12\xe3"	// tst r2, #2
-//#define ARM_CODE "\x51\x12\xa0\xe1"	// asr r1, r2
-//#define ARM_CODE "\x72\x10\xef\xe6"	// uxtb r1, r2
-//#define ARM_CODE "\xe0\x0a\xb7\xee"	// vcvt.f64.f32	d0, s1
-//#define ARM_CODE "\x9f\x0f\x91\xe1"	// ldrex	r0, [r1]
-//#define ARM_CODE "\x0f\x06\x20\xf4"	// vld1.8	{d0, d1, d2}, [r0]
-//#define ARM_CODE "\x72\x00\xa1\xe6"	// sxtab r0, r1, r2
-//#define ARM_CODE "\x50\x06\x84\xf2"	// vmov.i32	q0, #0x40000000
-//#define ARM_CODE "\x73\xe0\xb8\xee"	// mrc	p0, #5, lr, c8, c3, #3
-//#define ARM_CODE "\x12\x02\x81\xe6"	// pkhbt	r0, r1, r2, lsl #0x4
-//#define ARM_CODE "\x12\x00\xa0\xe6"	// ssat	r0, #0x1, r2
-//#define ARM_CODE "\x03\x60\x2d\xe9"	// push	{r0, r1, sp, lr}
-//#define ARM_CODE "\x8f\x40\x60\xf4"	// vld4.32	{d20, d21, d22, d23}, [r0]
-//#define ARM_CODE "\xd0\x00\xc2\xe1"	// ldrd	r0, r1, [r2]
-//#define ARM_CODE "\x08\xf0\xd0\xf5"	// pld	[r0, #0x8]
-//#define ARM_CODE "\x10\x8b\xbc\xec"	// ldc	p11, c8, [r12], #64
-//#define ARM_CODE "\xd4\x30\xd2\xe1"	// ldrsb	r3, [r2, #0x4] 
-//#define ARM_CODE "\x11\x0f\xbe\xf2"	// vcvt.s32.f32	d0, d1, #2
-//#define ARM_CODE "\x01\x01\x70\xe1"	// cmn	r0, r1, lsl #2
-//#define ARM_CODE "\x06\x00\x91\xe2"	// adds	r0, r1, #6
-//#define ARM_CODE "\x5b\xf0\x7f\xf5"	// dmb	ish
-//#define ARM_CODE "\xf7\xff\xff\xfe"
-//#define ARM_CODE "\x00\x20\xbd\xe8" // ldm	sp!, {sp}
-//#define ARM_CODE "\x00\xa0\xbd\xe8"	// pop {sp, pc}
-//#define ARM_CODE "\x90\x04\x0E\x00"	// muleq	lr, r0, r4
-//#define ARM_CODE "\x90\x24\x0E\x00"	// muleq	lr, r0, r4
-//#define ARM_CODE "\xb6\x10\x5f\xe1"	// ldrh	r1, [pc, #-6]
-#define ARM_CODE "\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3\x00\x02\x01\xf1\x05\x40\xd0\xe8\xf4\x80\x00\x00"
-//#define ARM_CODE2 "\xf0\x24"
-//#define ARM_CODE2 "\x83\xb0"
+#define ARM_CODE "\x86\x48\x60\xf4\x4d\x0f\xe2\xf4\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3\x00\x02\x01\xf1\x05\x40\xd0\xe8\xf4\x80\x00\x00"
 #define ARM_CODE2 "\xd1\xe8\x00\xf0\xf0\x24\x04\x07\x1f\x3c\xf2\xc0\x00\x00\x4f\xf0\x00\x01\x46\x6c"
-//#define THUMB_CODE "\x70\x47"	// bl 0x26
-//#define THUMB_CODE "\x07\xdd"	// ble 0x1c
-//#define THUMB_CODE "\x00\x47"	// bx r0
-//#define THUMB_CODE "\x01\x47"	// bx r0
-//#define THUMB_CODE "\x02\x47"	// bx r0
-//#define THUMB_CODE "\x0a\xbf" // itet eq
-#define THUMB_CODE "\x70\x47\x00\xf0\x10\xe8\xeb\x46\x83\xb0\xc9\x68\x1f\xb1\x30\xbf\xaf\xf3\x20\x84"
+#define THUMB_CODE "\x60\xf9\x1f\x04\xe0\xf9\x4f\x07\x70\x47\x00\xf0\x10\xe8\xeb\x46\x83\xb0\xc9\x68\x1f\xb1\x30\xbf\xaf\xf3\x20\x84\x52\xf8\x23\xf0"
 #define THUMB_CODE2 "\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0\x18\xbf\xad\xbf\xf3\xff\x0b\x0c\x86\xf3\x00\x89\x80\xf3\x00\x8c\x4f\xfa\x99\xf6\xd0\xff\xa2\x01"
 #define THUMB_MCLASS "\xef\xf3\x02\x80"
 #define ARMV8 "\xe0\x3b\xb2\xee\x42\x00\x01\xe1\x51\xf0\x7f\xf5"
@@ -257,7 +246,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -275,7 +264,7 @@ static void test()
 
 			for (j = 0; j < count; j++) {
 				printf("0x%" PRIx64 ":\t%s\t%s\n", insn[j].address, insn[j].mnemonic, insn[j].op_str);
-				print_insn_detail(&insn[j]);
+				print_insn_detail(handle, &insn[j]);
 			}
 			printf("0x%" PRIx64 ":\n", insn[j-1].address + insn[j-1].size);
 
@@ -286,6 +275,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_basic.c 4.0.2-3/tests/test_basic.c
--- 4.0.1+really+3.0.5-2/tests/test_basic.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_basic.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,18 +1,18 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	cs_opt_type opt_type;
 	cs_opt_value opt_value;
 };
@@ -30,51 +30,76 @@ static void print_string_hex(unsigned ch
 
 static void test()
 {
+#ifdef CAPSTONE_HAS_X86
 #define X86_CODE16 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-#define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-//#define X86_CODE32 "\x0f\xa7\xc0"	// xstorerng
+#define X86_CODE32 "\xba\xcd\xab\x00\x00\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
 #define X86_CODE64 "\x55\x48\x8b\x05\xb8\x13\x00\x00"
-//#define ARM_CODE "\x04\xe0\x2d\xe5"
+#endif
+#ifdef CAPSTONE_HAS_ARM
 #define ARM_CODE "\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3"
 #define ARM_CODE2 "\x10\xf1\x10\xe7\x11\xf2\x31\xe7\xdc\xa1\x2e\xf3\xe8\x4e\x62\xf3"
 #define ARMV8 "\xe0\x3b\xb2\xee\x42\x00\x01\xe1\x51\xf0\x7f\xf5"
 #define THUMB_MCLASS "\xef\xf3\x02\x80"
 #define THUMB_CODE "\x70\x47\xeb\x46\x83\xb0\xc9\x68"
 #define THUMB_CODE2 "\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0"
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 #define MIPS_CODE "\x0C\x10\x00\x97\x00\x00\x00\x00\x24\x02\x00\x0c\x8f\xa2\x00\x00\x34\x21\x34\x56"
 #define MIPS_CODE2 "\x56\x34\x21\x34\xc2\x17\x01\x00"
 #define MIPS_32R6M "\x00\x07\x00\x07\x00\x11\x93\x7c\x01\x8c\x8b\x7c\x00\xc7\x48\xd0"
 #define MIPS_32R6 "\xec\x80\x00\x19\x7c\x43\x22\xa0"
-//#define ARM64_CODE "\x00\x40\x21\x4b"	// 	sub		w0, w0, w1, uxtw
-//#define ARM64_CODE "\x21\x7c\x02\x9b"	// mul	x1, x1, x2
-//#define ARM64_CODE "\x20\x74\x0b\xd5"	// dc	zva, x0
-//#define ARM64_CODE "\xe1\x0b\x40\xb9"	// ldr		w1, [sp, #0x8]
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 #define ARM64_CODE "\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9"
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 #define PPC_CODE "\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21"
+#define PPC_CODE2 "\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
+#endif
+#ifdef CAPSTONE_HAS_SPARC
 #define SPARC_CODE "\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
 #define SPARCV9_CODE "\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 #define SYSZ_CODE "\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 #define XCORE_CODE "\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+#endif
+#ifdef CAPSTONE_HAS_M68K
+#define M68K_CODE "\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28"
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+#define TMS320C64X_CODE "\x01\xac\x88\x40\x81\xac\x88\x43\x00\x00\x00\x00\x02\x90\x32\x96\x02\x80\x46\x9e\x05\x3c\x83\xe6\x0b\x0c\x8b\x24"
+#endif
+#ifdef CAPSTONE_HAS_M680X
+#define M680X_CODE "\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
+#endif
+#ifdef CAPSTONE_HAS_EVM
+#define EVM_CODE "\x60\x61"
+#endif
+
 	struct platform {
 		cs_arch arch;
 		cs_mode mode;
 		unsigned char *code;
 		size_t size;
-		char *comment;
+		const char *comment;
 		cs_opt_type opt_type;
 		cs_opt_value opt_value;
 	};
 	struct platform platforms[] = {
-		{ 
+#ifdef CAPSTONE_HAS_X86
+		{
 			CS_ARCH_X86,
-			CS_MODE_16,
+			(cs_mode)CS_MODE_16,
 			(unsigned char*)X86_CODE16,
 			sizeof(X86_CODE16) - 1,
 			"X86 16bit (Intel syntax)"
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_32,
+			(cs_mode)CS_MODE_32,
 			(unsigned char*)X86_CODE32,
 			sizeof(X86_CODE32) - 1,
 			"X86 32bit (ATT syntax)",
@@ -83,42 +108,53 @@ static void test()
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_32,
+			(cs_mode)CS_MODE_32,
 			(unsigned char*)X86_CODE32,
 			sizeof(X86_CODE32) - 1,
 			"X86 32 (Intel syntax)"
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_64,
+			(cs_mode)CS_MODE_32,
+			(unsigned char*)X86_CODE32,
+			sizeof(X86_CODE32) - 1,
+			"X86 32 (MASM syntax)",
+			CS_OPT_SYNTAX,
+			CS_OPT_SYNTAX_MASM,
+		},
+		{
+			CS_ARCH_X86,
+			(cs_mode)CS_MODE_64,
 			(unsigned char*)X86_CODE64,
 			sizeof(X86_CODE64) - 1,
 			"X86 64 (Intel syntax)"
 		},
-		{ 
+#endif
+#ifdef CAPSTONE_HAS_ARM
+		{
 			CS_ARCH_ARM,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char*)ARM_CODE,
 			sizeof(ARM_CODE) - 1,
 			"ARM"
 		},
 		{
 			CS_ARCH_ARM,
-			CS_MODE_THUMB,
+			(cs_mode)CS_MODE_THUMB,
 			(unsigned char*)THUMB_CODE2,
 			sizeof(THUMB_CODE2) - 1,
 			"THUMB-2"
 		},
-		{ 
+		{
 			CS_ARCH_ARM,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char*)ARM_CODE2,
 			sizeof(ARM_CODE2) - 1,
 			"ARM: Cortex-A15 + NEON"
 		},
 		{
 			CS_ARCH_ARM,
-			CS_MODE_THUMB,
+			(cs_mode)CS_MODE_THUMB,
 			(unsigned char*)THUMB_CODE,
 			sizeof(THUMB_CODE) - 1,
 			"THUMB"
@@ -137,6 +173,8 @@ static void test()
 			sizeof(ARMV8) - 1,
 			"Arm-V8"
 		},
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 		{
 			CS_ARCH_MIPS,
 			(cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
@@ -165,23 +203,27 @@ static void test()
 			sizeof(MIPS_32R6) - 1,
 			"MIPS-32R6 (Big-endian)"
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 		{
 			CS_ARCH_ARM64,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char*)ARM64_CODE,
 			sizeof(ARM64_CODE) - 1,
 			"ARM-64"
 		},
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 		{
 			CS_ARCH_PPC,
-			CS_MODE_BIG_ENDIAN,
+			(cs_mode)CS_MODE_BIG_ENDIAN,
 			(unsigned char*)PPC_CODE,
 			sizeof(PPC_CODE) - 1,
 			"PPC-64"
 		},
 		{
 			CS_ARCH_PPC,
-			CS_MODE_BIG_ENDIAN,
+			(cs_mode)CS_MODE_BIG_ENDIAN,
 			(unsigned char*)PPC_CODE,
 			sizeof(PPC_CODE) - 1,
 			"PPC-64, print register with number only",
@@ -189,8 +231,17 @@ static void test()
 			CS_OPT_SYNTAX_NOREGNAME
 		},
 		{
+			CS_ARCH_PPC,
+			(cs_mode)(CS_MODE_BIG_ENDIAN + CS_MODE_QPX),
+			(unsigned char*)PPC_CODE2,
+			sizeof(PPC_CODE2) - 1,
+			"PPC-64 + QPX",
+		},
+#endif
+#ifdef CAPSTONE_HAS_SPARC
+		{
 			CS_ARCH_SPARC,
-			CS_MODE_BIG_ENDIAN,
+			(cs_mode)CS_MODE_BIG_ENDIAN,
 			(unsigned char*)SPARC_CODE,
 			sizeof(SPARC_CODE) - 1,
 			"Sparc"
@@ -202,6 +253,8 @@ static void test()
 			sizeof(SPARCV9_CODE) - 1,
 			"SparcV9"
 		},
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 		{
 			CS_ARCH_SYSZ,
 			(cs_mode)0,
@@ -209,6 +262,8 @@ static void test()
 			sizeof(SYSZ_CODE) - 1,
 			"SystemZ"
 		},
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 		{
 			CS_ARCH_XCORE,
 			(cs_mode)0,
@@ -216,6 +271,43 @@ static void test()
 			sizeof(XCORE_CODE) - 1,
 			"XCore"
 		},
+#endif
+#ifdef CAPSTONE_HAS_M68K
+		{
+			CS_ARCH_M68K,
+			(cs_mode)(CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040),
+			(unsigned char*)M68K_CODE,
+			sizeof(M68K_CODE) - 1,
+			"M68K",
+		},
+#endif
+#ifdef CAPSTONE_HAS_TMS320C64X
+		{
+			CS_ARCH_TMS320C64X,
+			(cs_mode)0,
+			(unsigned char*)TMS320C64X_CODE,
+			sizeof(TMS320C64X_CODE) - 1,
+			"TMS320C64x",
+		},
+#endif
+#ifdef CAPSTONE_HAS_M680X
+		{
+			CS_ARCH_M680X,
+			(cs_mode)CS_MODE_M680X_6809,
+			(unsigned char*)M680X_CODE,
+			sizeof(M680X_CODE) - 1,
+			"M680X_M6809",
+		},
+#endif
+#ifdef CAPSTONE_HAS_EVM
+		{
+			CS_ARCH_EVM,
+			(cs_mode)0,
+			(unsigned char*)EVM_CODE,
+			sizeof(EVM_CODE) - 1,
+			"EVM",
+		},
+#endif
 	};
 
 	csh handle;
@@ -231,7 +323,7 @@ static void test()
 		err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		if (platforms[i].opt_type)
@@ -259,6 +351,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex(platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
@@ -271,25 +364,5 @@ int main()
 {
 	test();
 
-#if 0
-#define offsetof(st, m) __builtin_offsetof(st, m)
-
-	cs_insn insn;
-	printf("size: %lu\n", sizeof(insn));
-	printf("@id: %lu\n", offsetof(cs_insn, id));
-	printf("@address: %lu\n", offsetof(cs_insn, address));
-	printf("@size: %lu\n", offsetof(cs_insn, size));
-	printf("@bytes: %lu\n", offsetof(cs_insn, bytes));
-	printf("@mnemonic: %lu\n", offsetof(cs_insn, mnemonic));
-	printf("@op_str: %lu\n", offsetof(cs_insn, op_str));
-	printf("@regs_read: %lu\n", offsetof(cs_insn, regs_read));
-	printf("@regs_read_count: %lu\n", offsetof(cs_insn, regs_read_count));
-	printf("@regs_write: %lu\n", offsetof(cs_insn, regs_write));
-	printf("@regs_write_count: %lu\n", offsetof(cs_insn, regs_write_count));
-	printf("@groups: %lu\n", offsetof(cs_insn, groups));
-	printf("@groups_count: %lu\n", offsetof(cs_insn, groups_count));
-	printf("@arch: %lu\n", offsetof(cs_insn, x86));
-#endif
-
 	return 0;
 }
diff -pruN 4.0.1+really+3.0.5-2/tests/test_customized_mnem.c 4.0.2-3/tests/test_customized_mnem.c
--- 4.0.1+really+3.0.5-2/tests/test_customized_mnem.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/tests/test_customized_mnem.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,86 @@
+/* Capstone Disassembly Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2015-2019 */
+
+// This sample code demonstrates the option CS_OPT_MNEMONIC
+// to customize instruction mnemonic.
+
+#include <stdio.h>
+#include <stdlib.h>
+
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
+
+#define X86_CODE32 "\x75\x01"
+
+// Print out the input code in hexadecimal format
+static void print_string_hex(unsigned char *str, size_t len)
+{
+	unsigned char *c;
+
+	for (c = str; c < str + len; c++) {
+		printf("%02x ", *c & 0xff);
+	}
+	printf("\t");
+}
+
+// Print one instruction
+static void print_insn(csh handle)
+{
+	cs_insn *insn;
+	size_t count;
+	
+	count = cs_disasm(handle, (const uint8_t *)X86_CODE32, sizeof(X86_CODE32) - 1, 0x1000, 1, &insn);
+	if (count) {
+		print_string_hex((unsigned char *)X86_CODE32, sizeof(X86_CODE32) - 1);
+		printf("\t%s\t%s\n", insn[0].mnemonic, insn[0].op_str); 
+		// Free memory allocated by cs_disasm()
+		cs_free(insn, count);
+	} else {
+		printf("ERROR: Failed to disasm given code!\n");
+		abort();
+	}
+}
+
+static void test()
+{
+	csh handle;
+	cs_err err;
+	// Customize mnemonic JNE to "jnz"
+	cs_opt_mnem my_mnem = { X86_INS_JNE, "jnz" };
+	// Set .mnemonic to NULL to reset to default mnemonic
+	cs_opt_mnem default_mnem = { X86_INS_JNE, NULL };
+
+	err = cs_open(CS_ARCH_X86, CS_MODE_32, &handle);
+	if (err) {
+		printf("Failed on cs_open() with error returned: %u\n", err);
+		abort();
+	}
+
+	// 1. Print out the instruction in default setup.
+	printf("Disassemble X86 code with default instruction mnemonic\n");
+	print_insn(handle);
+
+	// Customized mnemonic JNE to JNZ using CS_OPT_MNEMONIC option
+	printf("\nNow customize engine to change mnemonic from 'JNE' to 'JNZ'\n");
+	cs_option(handle, CS_OPT_MNEMONIC, (size_t)&my_mnem);
+
+	// 2. Now print out the instruction in newly customized setup.
+	print_insn(handle);
+
+	// Reset engine to use the default mnemonic of JNE
+	printf("\nReset engine to use the default mnemonic\n");
+	cs_option(handle, CS_OPT_MNEMONIC, (size_t)&default_mnem);
+
+	// 3. Now print out the instruction in default setup.
+	print_insn(handle);
+
+	// Done
+	cs_close(&handle);
+}
+
+int main()
+{
+	test();
+
+	return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/tests/test_detail.c 4.0.2-3/tests/test_detail.c
--- 4.0.1+really+3.0.5-2/tests/test_detail.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_detail.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,18 +1,18 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	cs_opt_type opt_type;
 	cs_opt_value opt_value;
 };
@@ -30,51 +30,61 @@ static void print_string_hex(unsigned ch
 
 static void test()
 {
+#ifdef CAPSTONE_HAS_X86
 #define X86_CODE16 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
 #define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-//#define X86_CODE32 "\x0f\xa7\xc0"	// xstorerng
 #define X86_CODE64 "\x55\x48\x8b\x05\xb8\x13\x00\x00"
-//#define ARM_CODE "\x04\xe0\x2d\xe5"
+#endif
+#ifdef CAPSTONE_HAS_ARM
 #define ARM_CODE "\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3"
 #define ARM_CODE2 "\x10\xf1\x10\xe7\x11\xf2\x31\xe7\xdc\xa1\x2e\xf3\xe8\x4e\x62\xf3"
 #define THUMB_CODE "\x70\x47\xeb\x46\x83\xb0\xc9\x68"
 #define THUMB_CODE2 "\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0"
 #define THUMB_MCLASS "\xef\xf3\x02\x80"
 #define ARMV8 "\xe0\x3b\xb2\xee\x42\x00\x01\xe1\x51\xf0\x7f\xf5"
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 #define MIPS_CODE "\x0C\x10\x00\x97\x00\x00\x00\x00\x24\x02\x00\x0c\x8f\xa2\x00\x00\x34\x21\x34\x56\x00\x80\x04\x08"
-//#define MIPS_CODE "\x21\x38\x00\x01"
-//#define MIPS_CODE "\x21\x30\xe6\x70"
-//#define MIPS_CODE "\x1c\x00\x40\x14"
 #define MIPS_CODE2 "\x56\x34\x21\x34\xc2\x17\x01\x00"
 #define MIPS_32R6M "\x00\x07\x00\x07\x00\x11\x93\x7c\x01\x8c\x8b\x7c\x00\xc7\x48\xd0"
 #define MIPS_32R6 "\xec\x80\x00\x19\x7c\x43\x22\xa0"
-//#define ARM64_CODE "\xe1\x0b\x40\xb9"	// ldr		w1, [sp, #0x8]
-//#define ARM64_CODE "\x00\x40\x21\x4b"	// 	sub		w0, w0, w1, uxtw
-//#define ARM64_CODE "\x21\x7c\x02\x9b"	// mul	x1, x1, x2
-//#define ARM64_CODE "\x20\x74\x0b\xd5"	// dc	zva, x0
-//#define ARM64_CODE "\x20\xfc\x02\x9b"	// mneg	x0, x1, x2
-//#define ARM64_CODE "\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x10\x20\x21\x1e"
-//#define ARM64_CODE "\x21\x7c\x00\x53"
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 #define ARM64_CODE "\x09\x00\x38\xd5\xbf\x40\x00\xd5\x0c\x05\x13\xd5\x20\x50\x02\x0e\x20\xe4\x3d\x0f\x00\x18\xa0\x5f\xa2\x00\xae\x9e\x9f\x37\x03\xd5\xbf\x33\x03\xd5\xdf\x3f\x03\xd5\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x20\x04\x81\xda\x20\x08\x02\x8b\x10\x5b\xe8\x3c"
-//#define THUMB_CODE "\x0a\xbf" // itet eq
-//#define X86_CODE32 "\x77\x04"	// ja +6
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 #define PPC_CODE "\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21\x40\x82\x00\x14"
+#define PPC_CODE2 "\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
+#endif
+#ifdef CAPSTONE_HAS_SPARC
 #define SPARC_CODE "\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
 #define SPARCV9_CODE "\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 #define SYSZ_CODE "\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 #define XCORE_CODE "\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+#endif
+#ifdef CAPSTONE_HAS_M68K
+#define M68K_CODE "\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28"
+#endif
+#ifdef CAPSTONE_HAS_M680X
+#define M680X_CODE "\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
+#endif
 
 	struct platform platforms[] = {
+#ifdef CAPSTONE_HAS_X86
 		{
 			CS_ARCH_X86,
-			CS_MODE_16,
+			(cs_mode)CS_MODE_16,
 			(unsigned char *)X86_CODE16,
-			sizeof(X86_CODE32) - 1,
+			sizeof(X86_CODE16) - 1,
 			"X86 16bit (Intel syntax)"
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_32,
+			(cs_mode)CS_MODE_32,
 			(unsigned char *)X86_CODE32,
 			sizeof(X86_CODE32) - 1,
 			"X86 32bit (ATT syntax)",
@@ -83,42 +93,44 @@ static void test()
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_32,
+			(cs_mode)CS_MODE_32,
 			(unsigned char *)X86_CODE32,
 			sizeof(X86_CODE32) - 1,
 			"X86 32 (Intel syntax)"
 		},
 		{
 			CS_ARCH_X86,
-			CS_MODE_64,
+			(cs_mode)CS_MODE_64,
 			(unsigned char *)X86_CODE64,
 			sizeof(X86_CODE64) - 1,
 			"X86 64 (Intel syntax)"
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM
 		{
 			CS_ARCH_ARM,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char *)ARM_CODE,
 			sizeof(ARM_CODE) - 1,
 			"ARM"
 		},
 		{
 			CS_ARCH_ARM,
-			CS_MODE_THUMB,
+			(cs_mode)CS_MODE_THUMB,
 			(unsigned char *)THUMB_CODE2,
 			sizeof(THUMB_CODE2) - 1,
 			"THUMB-2"
 		},
 		{
 			CS_ARCH_ARM,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char *)ARM_CODE2,
 			sizeof(ARM_CODE2) - 1,
 			"ARM: Cortex-A15 + NEON"
 		},
 		{
 			CS_ARCH_ARM,
-			CS_MODE_THUMB,
+			(cs_mode)CS_MODE_THUMB,
 			(unsigned char *)THUMB_CODE,
 			sizeof(THUMB_CODE) - 1,
 			"THUMB"
@@ -137,6 +149,8 @@ static void test()
 			sizeof(ARMV8) - 1,
 			"Arm-V8"
 		},
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 		{
 			CS_ARCH_MIPS,
 			(cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
@@ -165,23 +179,36 @@ static void test()
 			sizeof(MIPS_32R6) - 1,
 			"MIPS-32R6 (Big-endian)"
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 		{
 			CS_ARCH_ARM64,
-			CS_MODE_ARM,
+			(cs_mode)CS_MODE_ARM,
 			(unsigned char *)ARM64_CODE,
 			sizeof(ARM64_CODE) - 1,
 			"ARM-64"
 		},
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 		{
 			CS_ARCH_PPC,
-			CS_MODE_BIG_ENDIAN,
+			(cs_mode)CS_MODE_BIG_ENDIAN,
 			(unsigned char*)PPC_CODE,
 			sizeof(PPC_CODE) - 1,
 			"PPC-64"
 		},
 		{
+			CS_ARCH_PPC,
+			(cs_mode)(CS_MODE_BIG_ENDIAN + CS_MODE_QPX),
+			(unsigned char*)PPC_CODE2,
+			sizeof(PPC_CODE2) - 1,
+			"PPC-64 + QPX",
+		},
+#endif
+#ifdef CAPSTONE_HAS_SPARC
+		{
 			CS_ARCH_SPARC,
-			CS_MODE_BIG_ENDIAN,
+			(cs_mode)CS_MODE_BIG_ENDIAN,
 			(unsigned char*)SPARC_CODE,
 			sizeof(SPARC_CODE) - 1,
 			"Sparc"
@@ -193,6 +220,8 @@ static void test()
 			sizeof(SPARCV9_CODE) - 1,
 			"SparcV9"
 		},
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 		{
 			CS_ARCH_SYSZ,
 			(cs_mode)0,
@@ -200,6 +229,8 @@ static void test()
 			sizeof(SYSZ_CODE) - 1,
 			"SystemZ"
 		},
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 		{
 			CS_ARCH_XCORE,
 			(cs_mode)0,
@@ -207,6 +238,25 @@ static void test()
 			sizeof(XCORE_CODE) - 1,
 			"XCore"
 		},
+#endif
+#ifdef CAPSTONE_HAS_M68K
+		{
+			CS_ARCH_M68K,
+			(cs_mode)(CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040),
+			(unsigned char*)M68K_CODE,
+			sizeof(M68K_CODE) - 1,
+			"M68K",
+		},
+#endif
+#ifdef CAPSTONE_HAS_M680X
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6809),
+			(unsigned char*)M680X_CODE,
+			sizeof(M680X_CODE) - 1,
+			"M680X_M6809",
+		},
+#endif
 	};
 
 	csh handle;
@@ -223,7 +273,7 @@ static void test()
 		err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		if (platforms[i].opt_type)
@@ -240,13 +290,13 @@ static void test()
 			printf("Disasm:\n");
 
 			for (j = 0; j < count; j++) {
-				cs_insn *ins = &(all_insn[j]);
+				cs_insn *in = &(all_insn[j]);
 				printf("0x%" PRIx64 ":\t%s\t\t%s // insn-ID: %u, insn-mnem: %s\n",
-						ins->address, ins->mnemonic, ins->op_str,
-						ins->id, cs_insn_name(handle, ins->id));
+						in->address, in->mnemonic, in->op_str,
+						in->id, cs_insn_name(handle, in->id));
 
 				// print implicit registers used by this instruction
-				detail = ins->detail;
+				detail = in->detail;
 
 				if (detail->regs_read_count > 0) {
 					printf("\tImplicit registers read: ");
@@ -285,6 +335,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex(platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_evm.c 4.0.2-3/tests/test_evm.c
--- 4.0.1+really+3.0.5-2/tests/test_evm.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/tests/test_evm.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,126 @@
+/* Capstone Disassembler Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2018-2019 */
+
+#include <stdio.h>
+#include <stdlib.h>
+
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
+
+static csh handle;
+
+struct platform {
+	cs_arch arch;
+	cs_mode mode;
+	unsigned char *code;
+	size_t size;
+	const char *comment;
+};
+
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
+{
+	unsigned char *c;
+
+	printf("%s", comment);
+	for (c = str; c < str + len; c++) {
+		printf("0x%02x ", *c & 0xff);
+	}
+
+	printf("\n");
+}
+
+static void print_insn_detail(csh cs_handle, cs_insn *ins)
+{
+	cs_evm *evm;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	evm = &(ins->detail->evm);
+
+	if (evm->pop)
+		printf("\tPop:     %u\n", evm->pop);
+
+	if (evm->push)
+		printf("\tPush:    %u\n", evm->push);
+
+	if (evm->fee)
+		printf("\tGas fee: %u\n", evm->fee);
+
+	if (ins->detail->groups_count) {
+		int j;
+
+		printf("\tGroups: ");
+		for(j = 0; j < ins->detail->groups_count; j++) {
+			printf("%s ", cs_group_name(handle, ins->detail->groups[j]));
+		}
+		printf("\n");
+	}
+}
+
+static void test()
+{
+#define EVM_CODE "\x60\x61\x50"
+
+	struct platform platforms[] = {
+		{
+			CS_ARCH_EVM,
+			0,
+			(unsigned char *)EVM_CODE,
+			sizeof(EVM_CODE) - 1,
+			"EVM"
+		},
+	};
+
+	uint64_t address = 0x80001000;
+	cs_insn *insn;
+	int i;
+	size_t count;
+
+	for (i = 0; i < sizeof(platforms)/sizeof(platforms[0]); i++) {
+		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
+		if (err) {
+			printf("Failed on cs_open() with error returned: %u\n", err);
+			abort();
+		}
+
+		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
+
+		count = cs_disasm(handle, platforms[i].code, platforms[i].size, address, 0, &insn);
+		if (count) {
+			size_t j;
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code, platforms[i].size);
+			printf("Disasm:\n");
+
+			for (j = 0; j < count; j++) {
+				printf("0x%" PRIx64 ":\t%s\t%s\n", insn[j].address, insn[j].mnemonic, insn[j].op_str);
+				print_insn_detail(handle, &insn[j]);
+			}
+			printf("0x%" PRIx64 ":\n", insn[j-1].address + insn[j-1].size);
+
+			// free memory allocated by cs_disasm()
+			cs_free(insn, count);
+		} else {
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code, platforms[i].size);
+			printf("ERROR: Failed to disasm given code!\n");
+			abort();
+		}
+
+		printf("\n");
+
+		cs_close(&handle);
+	}
+}
+
+int main()
+{
+	test();
+
+	return 0;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/tests/test_iter.c 4.0.2-3/tests/test_iter.c
--- 4.0.1+really+3.0.5-2/tests/test_iter.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_iter.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,19 +1,19 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 // This sample code demonstrates the APIs cs_malloc() & cs_disasm_iter().
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	cs_opt_type opt_type;
 	cs_opt_value opt_value;
 };
@@ -31,37 +31,43 @@ static void print_string_hex(unsigned ch
 
 static void test()
 {
+#ifdef CAPSTONE_HAS_X86
 #define X86_CODE16 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
 #define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00"
-//#define X86_CODE32 "\x0f\xa7\xc0"	// xstorerng
 #define X86_CODE64 "\x55\x48\x8b\x05\xb8\x13\x00\x00"
-//#define ARM_CODE "\x04\xe0\x2d\xe5"
+#endif
+#ifdef CAPSTONE_HAS_ARM
 #define ARM_CODE "\xED\xFF\xFF\xEB\x04\xe0\x2d\xe5\x00\x00\x00\x00\xe0\x83\x22\xe5\xf1\x02\x03\x0e\x00\x00\xa0\xe3\x02\x30\xc1\xe7\x00\x00\x53\xe3"
 #define ARM_CODE2 "\x10\xf1\x10\xe7\x11\xf2\x31\xe7\xdc\xa1\x2e\xf3\xe8\x4e\x62\xf3"
 #define THUMB_CODE "\x70\x47\xeb\x46\x83\xb0\xc9\x68"
 #define THUMB_CODE2 "\x4f\xf0\x00\x01\xbd\xe8\x00\x88\xd1\xe8\x00\xf0"
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 #define MIPS_CODE "\x0C\x10\x00\x97\x00\x00\x00\x00\x24\x02\x00\x0c\x8f\xa2\x00\x00\x34\x21\x34\x56\x00\x80\x04\x08"
-//#define MIPS_CODE "\x21\x38\x00\x01"
-//#define MIPS_CODE "\x21\x30\xe6\x70"
-//#define MIPS_CODE "\x1c\x00\x40\x14"
 #define MIPS_CODE2 "\x56\x34\x21\x34\xc2\x17\x01\x00"
-//#define ARM64_CODE "\xe1\x0b\x40\xb9"	// ldr		w1, [sp, #0x8]
-//#define ARM64_CODE "\x00\x40\x21\x4b"	// 	sub		w0, w0, w1, uxtw
-//#define ARM64_CODE "\x21\x7c\x02\x9b"	// mul	x1, x1, x2
-//#define ARM64_CODE "\x20\x74\x0b\xd5"	// dc	zva, x0
-//#define ARM64_CODE "\x20\xfc\x02\x9b"	// mneg	x0, x1, x2
-//#define ARM64_CODE "\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x10\x20\x21\x1e"
-//#define ARM64_CODE "\x21\x7c\x00\x53"
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 #define ARM64_CODE "\x09\x00\x38\xd5\xbf\x40\x00\xd5\x0c\x05\x13\xd5\x20\x50\x02\x0e\x20\xe4\x3d\x0f\x00\x18\xa0\x5f\xa2\x00\xae\x9e\x9f\x37\x03\xd5\xbf\x33\x03\xd5\xdf\x3f\x03\xd5\x21\x7c\x02\x9b\x21\x7c\x00\x53\x00\x40\x21\x4b\xe1\x0b\x40\xb9\x20\x04\x81\xda\x20\x08\x02\x8b\x10\x5b\xe8\x3c"
-//#define THUMB_CODE "\x0a\xbf" // itet eq
-//#define X86_CODE32 "\x77\x04"	// ja +6
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 #define PPC_CODE "\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21\x40\x82\x00\x14"
+#endif
+#ifdef CAPSTONE_HAS_SPARC
 #define SPARC_CODE "\x80\xa0\x40\x02\x85\xc2\x60\x08\x85\xe8\x20\x01\x81\xe8\x00\x00\x90\x10\x20\x01\xd5\xf6\x10\x16\x21\x00\x00\x0a\x86\x00\x40\x02\x01\x00\x00\x00\x12\xbf\xff\xff\x10\xbf\xff\xff\xa0\x02\x00\x09\x0d\xbf\xff\xff\xd4\x20\x60\x00\xd4\x4e\x00\x16\x2a\xc2\x80\x03"
 #define SPARCV9_CODE "\x81\xa8\x0a\x24\x89\xa0\x10\x20\x89\xa0\x1a\x60\x89\xa0\x00\xe0"
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 #define SYSZ_CODE "\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 #define XCORE_CODE "\xfe\x0f\xfe\x17\x13\x17\xc6\xfe\xec\x17\x97\xf8\xec\x4f\x1f\xfd\xec\x37\x07\xf2\x45\x5b\xf9\xfa\x02\x06\x1b\x10"
+#endif
+#ifdef CAPSTONE_HAS_M680X
+#define M680X_CODE "\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00\x11\xac\x99\x10\x00\x39"
+#endif
 
 	struct platform platforms[] = {
+#ifdef CAPSTONE_HAS_X86
 		{
 			CS_ARCH_X86,
 			CS_MODE_16,
@@ -92,6 +98,8 @@ static void test()
 			sizeof(X86_CODE64) - 1,
 			"X86 64 (Intel syntax)"
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM
 		{
 			CS_ARCH_ARM,
 			CS_MODE_ARM,
@@ -120,6 +128,8 @@ static void test()
 			sizeof(THUMB_CODE) - 1,
 			"THUMB"
 		},
+#endif
+#ifdef CAPSTONE_HAS_MIPS
 		{
 			CS_ARCH_MIPS,
 			(cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
@@ -134,6 +144,8 @@ static void test()
 			sizeof(MIPS_CODE2) - 1,
 			"MIPS-64-EL (Little-endian)"
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM64
 		{
 			CS_ARCH_ARM64,
 			CS_MODE_ARM,
@@ -141,6 +153,8 @@ static void test()
 			sizeof(ARM64_CODE) - 1,
 			"ARM-64"
 		},
+#endif
+#ifdef CAPSTONE_HAS_POWERPC
 		{
 			CS_ARCH_PPC,
 			CS_MODE_BIG_ENDIAN,
@@ -148,6 +162,8 @@ static void test()
 			sizeof(PPC_CODE) - 1,
 			"PPC-64"
 		},
+#endif
+#ifdef CAPSTONE_HAS_SPARC
 		{
 			CS_ARCH_SPARC,
 			CS_MODE_BIG_ENDIAN,
@@ -162,6 +178,8 @@ static void test()
 			sizeof(SPARCV9_CODE) - 1,
 			"SparcV9"
 		},
+#endif
+#ifdef CAPSTONE_HAS_SYSZ
 		{
 			CS_ARCH_SYSZ,
 			(cs_mode)0,
@@ -169,6 +187,8 @@ static void test()
 			sizeof(SYSZ_CODE) - 1,
 			"SystemZ"
 		},
+#endif
+#ifdef CAPSTONE_HAS_XCORE
 		{
 			CS_ARCH_XCORE,
 			(cs_mode)0,
@@ -176,6 +196,16 @@ static void test()
 			sizeof(XCORE_CODE) - 1,
 			"XCore"
 		},
+#endif
+#ifdef CAPSTONE_HAS_M680X
+		{
+			CS_ARCH_M680X,
+			(cs_mode)CS_MODE_M680X_6809,
+			(unsigned char*)M680X_CODE,
+			sizeof(M680X_CODE) - 1,
+			"M680X_6809"
+		},
+#endif
 	};
 
 	csh handle;
@@ -193,7 +223,7 @@ static void test()
 		err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		if (platforms[i].opt_type)
diff -pruN 4.0.1+really+3.0.5-2/tests/test_m680x.c 4.0.2-3/tests/test_m680x.c
--- 4.0.1+really+3.0.5-2/tests/test_m680x.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/tests/test_m680x.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,399 @@
+/* Capstone Disassembler Engine */
+/* M680X Backend by Wolfgang Schwotzer <wolfgang.schwotzer@gmx.net> 2017 */
+
+#include <stdio.h>
+#include <string.h>
+
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
+
+#define ARR_SIZE(a) (sizeof(a)/sizeof(a[0]))
+
+#define WITH_DETAILS
+
+struct platform {
+	cs_arch arch;
+	cs_mode mode;
+	unsigned char *code;
+	size_t size;
+	const char *comment;
+};
+
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
+{
+	unsigned char *c;
+
+	printf("%s", comment);
+
+	for (c = str; c < str + len; c++)
+		printf("0x%02x ", *c & 0xff);
+
+	printf("\n");
+}
+
+static void print_string_hex_short(unsigned char *str, size_t len)
+{
+	unsigned char *c;
+
+	for (c = str; c < str + len; c++)
+		printf("%02x", *c & 0xff);
+}
+
+static const char *s_access[] = {
+	"UNCHANGED", "READ", "WRITE", "READ | WRITE",
+};
+
+static void print_read_write_regs(csh handle, cs_detail *detail)
+{
+	int i;
+
+	if (detail->regs_read_count > 0) {
+		printf("\tRegisters read:");
+
+		for (i = 0; i < detail->regs_read_count; ++i)
+			printf(" %s",
+				cs_reg_name(handle, detail->regs_read[i]));
+
+		printf("\n");
+	}
+
+	if (detail->regs_write_count > 0) {
+		printf("\tRegisters modified:");
+
+		for (i = 0; i < detail->regs_write_count; ++i)
+			printf(" %s",
+				cs_reg_name(handle, detail->regs_write[i]));
+
+		printf("\n");
+	}
+}
+
+static void print_insn_detail(csh handle, cs_insn *insn)
+{
+	cs_detail *detail = insn->detail;
+	cs_m680x *m680x = NULL;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (detail == NULL)
+		return;
+
+	m680x = &detail->m680x;
+
+	if (m680x->op_count)
+		printf("\top_count: %u\n", m680x->op_count);
+
+	for (i = 0; i < m680x->op_count; i++) {
+		cs_m680x_op *op = &(m680x->operands[i]);
+		const char *comment;
+
+		switch ((int)op->type) {
+		default:
+			break;
+
+		case M680X_OP_REGISTER:
+			comment = "";
+
+			if ((i == 0 && (m680x->flags &
+						M680X_FIRST_OP_IN_MNEM)) ||
+				((i == 1 && (m680x->flags &
+							M680X_SECOND_OP_IN_MNEM))))
+				comment = " (in mnemonic)";
+
+			printf("\t\toperands[%u].type: REGISTER = %s%s\n", i,
+				cs_reg_name(handle, op->reg), comment);
+			break;
+
+		case M680X_OP_CONSTANT:
+			printf("\t\toperands[%u].type: CONSTANT = %u\n", i,
+				op->const_val);
+			break;
+
+		case M680X_OP_IMMEDIATE:
+			printf("\t\toperands[%u].type: IMMEDIATE = #%d\n", i,
+				op->imm);
+			break;
+
+		case M680X_OP_DIRECT:
+			printf("\t\toperands[%u].type: DIRECT = 0x%02x\n", i,
+				op->direct_addr);
+			break;
+
+		case M680X_OP_EXTENDED:
+			printf("\t\toperands[%u].type: EXTENDED %s = 0x%04x\n",
+				i, op->ext.indirect ? "INDIRECT" : "",
+				op->ext.address);
+			break;
+
+		case M680X_OP_RELATIVE:
+			printf("\t\toperands[%u].type: RELATIVE = 0x%04x\n", i,
+				op->rel.address);
+			break;
+
+		case M680X_OP_INDEXED:
+			printf("\t\toperands[%u].type: INDEXED%s\n", i,
+				(op->idx.flags & M680X_IDX_INDIRECT) ?
+				" INDIRECT" : "");
+
+			if (op->idx.base_reg != M680X_REG_INVALID)
+				printf("\t\t\tbase register: %s\n",
+					cs_reg_name(handle, op->idx.base_reg));
+
+			if (op->idx.offset_reg != M680X_REG_INVALID)
+				printf("\t\t\toffset register: %s\n",
+					cs_reg_name(handle, op->idx.offset_reg));
+
+			if ((op->idx.offset_bits != 0) &&
+				(op->idx.offset_reg == M680X_REG_INVALID) &&
+				!op->idx.inc_dec) {
+				printf("\t\t\toffset: %d\n", op->idx.offset);
+
+				if (op->idx.base_reg == M680X_REG_PC)
+					printf("\t\t\toffset address: 0x%x\n",
+						op->idx.offset_addr);
+
+				printf("\t\t\toffset bits: %u\n",
+					op->idx.offset_bits);
+			}
+
+			if (op->idx.inc_dec) {
+				const char *post_pre = op->idx.flags &
+					M680X_IDX_POST_INC_DEC ? "post" : "pre";
+				const char *inc_dec = (op->idx.inc_dec > 0) ?
+					"increment" : "decrement";
+
+				printf("\t\t\t%s %s: %d\n", post_pre, inc_dec,
+					abs(op->idx.inc_dec));
+			}
+
+			break;
+		}
+
+		if (op->size != 0)
+			printf("\t\t\tsize: %u\n", op->size);
+
+		if (op->access != CS_AC_INVALID)
+			printf("\t\t\taccess: %s\n", s_access[op->access]);
+
+	}
+
+	print_read_write_regs(handle, detail);
+
+	if (detail->groups_count) {
+		printf("\tgroups_count: %u\n", detail->groups_count);
+	}
+
+	printf("\n");
+}
+
+static bool consistency_checks()
+{
+	return true;
+}
+
+static void test()
+{
+#define M6800_CODE \
+  "\x01\x09\x36\x64\x7f\x74\x10\x00\x90\x10\xA4\x10\xb6\x10\x00\x39"
+
+#define M6801_CODE \
+  "\x04\x05\x3c\x3d\x38\x93\x10\xec\x10\xed\x10\x39"
+
+#define M6805_CODE \
+  "\x04\x7f\x00\x17\x22\x28\x00\x2e\x00\x40\x42\x5a\x70\x8e\x97\x9c" \
+  "\xa0\x15\xad\x00\xc3\x10\x00\xda\x12\x34\xe5\x7f\xfe"
+
+#define M6808_CODE \
+  "\x31\x22\x00\x35\x22\x45\x10\x00\x4b\x00\x51\x10\x52\x5e\x22\x62" \
+  "\x65\x12\x34\x72\x84\x85\x86\x87\x8a\x8b\x8c\x94\x95\xa7\x10\xaf\x10" \
+  "\x9e\x60\x7f\x9e\x6b\x7f\x00\x9e\xd6\x10\x00\x9e\xe6\x7f"
+
+#define HCS08_CODE \
+  "\x32\x10\x00\x9e\xae\x9e\xce\x7f\x9e\xbe\x10\x00\x9e\xfe\x7f" \
+  "\x3e\x10\x00\x9e\xf3\x7f\x96\x10\x00\x9e\xff\x7f\x82"
+
+#define M6811_CODE \
+  "\x02\x03\x12\x7f\x10\x00\x13\x99\x08\x00\x14\x7f\x02\x15\x7f\x01" \
+  "\x1e\x7f\x20\x00\x8f\xcf" \
+  "\x18\x08\x18\x30\x18\x3c\x18\x67\x18\x8c\x10\x00\x18\x8f" \
+  "\x18\xce\x10\x00\x18\xff\x10\x00" \
+  "\x1a\xa3\x7f\x1a\xac\x1a\xee\x7f\x1a\xef\x7f\xcd\xac\x7f"
+
+#define CPU12_CODE \
+  "\x00\x04\x01\x00\x0c\x00\x80\x0e\x00\x80\x00\x11\x1e\x10\x00\x80\x00" \
+  "\x3b\x4a\x10\x00\x04\x4b\x01\x04\x4f\x7f\x80\x00\x8f\x10\x00\xb7\x52" \
+  "\xb7\xb1\xa6\x67\xa6\xfe\xa6\xf7\x18\x02\xe2\x30\x39\xe2\x10\x00" \
+  "\x18\x0c\x30\x39\x10\x00\x18\x11\x18\x12\x10\x00\x18\x19\x00\x18\x1e\x00" \
+  "\x18\x3e\x18\x3f\x00"
+
+#define HD6301_CODE \
+  "\x6b\x10\x00\x71\x10\x00\x72\x10\x10\x39"
+
+#define M6809_CODE \
+  "\x06\x10\x19\x1a\x55\x1e\x01\x23\xe9\x31\x06\x34\x55\xa6\x81" \
+  "\xa7\x89\x7f\xff\xa6\x9d\x10\x00\xa7\x91\xa6\x9f\x10\x00" \
+  "\x11\xac\x99\x10\x00\x39" \
+  \
+  "\xA6\x07\xA6\x27\xA6\x47\xA6\x67\xA6\x0F\xA6\x10" \
+  "\xA6\x80\xA6\x81\xA6\x82\xA6\x83\xA6\x84\xA6\x85\xA6\x86" \
+  "\xA6\x88\x7F\xA6\x88\x80\xA6\x89\x7F\xFF\xA6\x89\x80\x00" \
+  "\xA6\x8B\xA6\x8C\x10\xA6\x8D\x10\x00" \
+  \
+  "\xA6\x91\xA6\x93\xA6\x94\xA6\x95\xA6\x96" \
+  "\xA6\x98\x7F\xA6\x98\x80\xA6\x99\x7F\xFF\xA6\x99\x80\x00" \
+  "\xA6\x9B\xA6\x9C\x10\xA6\x9D\x10\x00\xA6\x9F\x10\x00"
+
+
+#define HD6309_CODE \
+  "\x01\x10\x10\x62\x10\x10\x7b\x10\x10\x00\xcd\x49\x96\x02\xd2" \
+  "\x10\x30\x23\x10\x38\x10\x3b\x10\x53\x10\x5d" \
+  "\x11\x30\x43\x10\x11\x37\x25\x10\x11\x38\x12\x11\x39\x23\x11\x3b\x34" \
+  "\x11\x8e\x10\x00\x11\xaf\x10\x11\xab\x10\x11\xf6\x80\x00"
+
+	struct platform platforms[] = {
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6301),
+			(unsigned char *)HD6301_CODE,
+			sizeof(HD6301_CODE) - 1,
+			"M680X_HD6301",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6309),
+			(unsigned char *)HD6309_CODE,
+			sizeof(HD6309_CODE) - 1,
+			"M680X_HD6309",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6800),
+			(unsigned char *)M6800_CODE,
+			sizeof(M6800_CODE) - 1,
+			"M680X_M6800",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6801),
+			(unsigned char *)M6801_CODE,
+			sizeof(M6801_CODE) - 1,
+			"M680X_M6801",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6805),
+			(unsigned char *)M6805_CODE,
+			sizeof(M6805_CODE) - 1,
+			"M680X_M68HC05",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6808),
+			(unsigned char *)M6808_CODE,
+			sizeof(M6808_CODE) - 1,
+			"M680X_M68HC08",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6809),
+			(unsigned char *)M6809_CODE,
+			sizeof(M6809_CODE) - 1,
+			"M680X_M6809",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_6811),
+			(unsigned char *)M6811_CODE,
+			sizeof(M6811_CODE) - 1,
+			"M680X_M68HC11",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_CPU12),
+			(unsigned char *)CPU12_CODE,
+			sizeof(CPU12_CODE) - 1,
+			"M680X_CPU12",
+		},
+		{
+			CS_ARCH_M680X,
+			(cs_mode)(CS_MODE_M680X_HCS08),
+			(unsigned char *)HCS08_CODE,
+			sizeof(HCS08_CODE) - 1,
+			"M680X_HCS08",
+		},
+	};
+
+	uint64_t address = 0x1000;
+	csh handle;
+	cs_insn *insn;
+	int i;
+	size_t count;
+	const char *nine_spaces = "         ";
+
+	if (!consistency_checks())
+		abort();
+
+	for (i = 0; i < sizeof(platforms) / sizeof(platforms[0]); i++) {
+		cs_err err = cs_open(platforms[i].arch, platforms[i].mode,
+				&handle);
+
+		if (err) {
+			printf("Failed on cs_open() with error returned: %u\n",
+				err);
+			abort();
+		}
+
+#ifdef WITH_DETAILS
+		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
+#endif
+
+		count = cs_disasm(handle, platforms[i].code, platforms[i].size,
+				address, 0, &insn);
+
+		if (count) {
+			size_t j;
+
+			printf("********************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code: ", platforms[i].code,
+				platforms[i].size);
+			printf("Disasm:\n");
+
+			for (j = 0; j < count; j++) {
+				int slen;
+				printf("0x%04x: ", (uint16_t)insn[j].address);
+				print_string_hex_short(insn[j].bytes,
+					insn[j].size);
+				printf("%.*s", 1 + ((5 - insn[j].size) * 2),
+					nine_spaces);
+				printf("%s", insn[j].mnemonic);
+				slen = (int)strlen(insn[j].mnemonic);
+				printf("%.*s", 1 + (5 - slen), nine_spaces);
+				printf("%s\n", insn[j].op_str);
+#ifdef WITH_DETAILS
+				print_insn_detail(handle, &insn[j]);
+#endif
+			}
+
+			// free memory allocated by cs_disasm()
+			cs_free(insn, count);
+		}
+		else {
+			printf("********************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code,
+				platforms[i].size);
+			printf("ERROR: Failed to disasm given code!\n");
+			abort();
+		}
+
+		cs_close(&handle);
+	}
+}
+
+int main()
+{
+	test();
+
+	return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/tests/test_m68k.c 4.0.2-3/tests/test_m68k.c
--- 4.0.1+really+3.0.5-2/tests/test_m68k.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/tests/test_m68k.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,214 @@
+/* Capstone Disassembler Engine */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
+
+#include <stdio.h>
+
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
+
+struct platform {
+	cs_arch arch;
+	cs_mode mode;
+	unsigned char* code;
+	size_t size;
+	const char* comment;
+};
+
+static csh handle;
+
+static void print_string_hex(const char* comment, unsigned char* str, size_t len)
+{
+	unsigned char *c;
+
+	printf("%s", comment);
+	for (c = str; c < str + len; c++) {
+		printf("0x%02x ", *c & 0xff);
+	}
+
+	printf("\n");
+}
+
+const char* s_addressing_modes[] = {
+	"<invalid mode>",
+
+	"Register Direct - Data",
+	"Register Direct - Address",
+
+	"Register Indirect - Address",
+	"Register Indirect - Address with Postincrement",
+	"Register Indirect - Address with Predecrement",
+	"Register Indirect - Address with Displacement",
+
+	"Address Register Indirect With Index - 8-bit displacement",
+	"Address Register Indirect With Index - Base displacement",
+
+	"Memory indirect - Postindex",
+	"Memory indirect - Preindex",
+
+	"Program Counter Indirect - with Displacement",
+
+	"Program Counter Indirect with Index - with 8-Bit Displacement",
+	"Program Counter Indirect with Index - with Base Displacement",
+
+	"Program Counter Memory Indirect - Postindexed",
+	"Program Counter Memory Indirect - Preindexed",
+
+	"Absolute Data Addressing  - Short",
+	"Absolute Data Addressing  - Long",
+	"Immediate value",
+};
+
+static void print_read_write_regs(cs_detail* detail)
+{
+	int i;
+
+	for (i = 0; i < detail->regs_read_count; ++i)
+	{
+		uint16_t reg_id = detail->regs_read[i];
+		const char* reg_name = cs_reg_name(handle, reg_id);
+		printf("\treading from reg: %s\n", reg_name);
+	}
+
+	for (i = 0; i < detail->regs_write_count; ++i)
+	{
+		uint16_t reg_id = detail->regs_write[i];
+		const char* reg_name = cs_reg_name(handle, reg_id);
+		printf("\twriting to reg:   %s\n", reg_name);
+	}
+}
+
+static void print_insn_detail(cs_insn *ins)
+{
+	cs_m68k* m68k;
+	cs_detail* detail;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	detail = ins->detail;
+	m68k = &detail->m68k;
+	if (m68k->op_count)
+		printf("\top_count: %u\n", m68k->op_count);
+
+	print_read_write_regs(detail);
+
+	printf("\tgroups_count: %u\n", detail->groups_count);
+
+	for (i = 0; i < m68k->op_count; i++) {
+		cs_m68k_op* op = &(m68k->operands[i]);
+
+		switch((int)op->type) {
+			default:
+				break;
+			case M68K_OP_REG:
+				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
+				break;
+			case M68K_OP_IMM:
+				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, (int)op->imm);
+				break;
+			case M68K_OP_MEM:
+				printf("\t\toperands[%u].type: MEM\n", i);
+				if (op->mem.base_reg != M68K_REG_INVALID)
+					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.base_reg));
+				if (op->mem.index_reg != M68K_REG_INVALID) {
+					printf("\t\t\toperands[%u].mem.index: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.index_reg));
+					printf("\t\t\toperands[%u].mem.index: size = %c\n",
+							i, op->mem.index_size ? 'l' : 'w');
+				}
+				if (op->mem.disp != 0)
+					printf("\t\t\toperands[%u].mem.disp: 0x%x\n", i, op->mem.disp);
+				if (op->mem.scale != 0)
+					printf("\t\t\toperands[%u].mem.scale: %d\n", i, op->mem.scale);
+
+				printf("\t\taddress mode: %s\n", s_addressing_modes[op->address_mode]);
+				break;
+			case M68K_OP_FP_SINGLE:
+				printf("\t\toperands[%u].type: FP_SINGLE\n", i);
+				printf("\t\t\toperands[%u].simm: %f\n", i, op->simm);
+				break;
+			case M68K_OP_FP_DOUBLE:
+				printf("\t\toperands[%u].type: FP_DOUBLE\n", i);
+				printf("\t\t\toperands[%u].dimm: %lf\n", i, op->dimm);
+				break;
+			case M68K_OP_REG_BITS:
+				printf("\t\toperands[%u].type: REG_BITS = $%x\n", i, op->register_bits);
+				break;
+			case M68K_OP_REG_PAIR:
+				printf("\t\toperands[%u].type: REG_PAIR = (%s, %s)\n", i,
+					cs_reg_name(handle, op->reg_pair.reg_0),
+					cs_reg_name(handle, op->reg_pair.reg_1));
+				break;
+		}
+	}
+
+	printf("\n");
+}
+
+static void test()
+{
+#define M68K_CODE "\x4C\x00\x54\x04\x48\xe7\xe0\x30\x4C\xDF\x0C\x07\xd4\x40\x87\x5a\x4e\x71\x02\xb4\xc0\xde\xc0\xde\x5c\x00\x1d\x80\x71\x12\x01\x23\xf2\x3c\x44\x22\x40\x49\x0e\x56\x54\xc5\xf2\x3c\x44\x00\x44\x7a\x00\x00\xf2\x00\x0a\x28\x4E\xB9\x00\x00\x00\x12\x4E\x75"
+	struct platform platforms[] = {
+		{
+			CS_ARCH_M68K,
+			(cs_mode)(CS_MODE_BIG_ENDIAN | CS_MODE_M68K_040),
+			(unsigned char*)M68K_CODE,
+			sizeof(M68K_CODE) - 1,
+			"M68K",
+		},
+	};
+
+	uint64_t address = 0x01000;
+	cs_insn *insn;
+	int i;
+	size_t count;
+
+	for (i = 0; i < sizeof(platforms)/sizeof(platforms[0]); i++) {
+		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
+		if (err) {
+			printf("Failed on cs_open() with error returned: %u\n", err);
+			abort();
+		}
+
+		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
+
+		count = cs_disasm(handle, platforms[i].code, platforms[i].size, address, 0, &insn);
+		if (count) {
+			size_t j;
+
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code: ", platforms[i].code, platforms[i].size);
+			printf("Disasm:\n");
+
+			for (j = 0; j < count; j++) {
+				printf("0x%" PRIx64 ":\t%s\t%s\n", insn[j].address, insn[j].mnemonic, insn[j].op_str);
+				print_insn_detail(&insn[j]);
+			}
+			printf("0x%" PRIx64 ":\n", insn[j-1].address + insn[j-1].size);
+
+			// free memory allocated by cs_disasm()
+			cs_free(insn, count);
+		} else {
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code, platforms[i].size);
+			printf("ERROR: Failed to disasm given code!\n");
+			abort();
+		}
+
+		printf("\n");
+
+		cs_close(&handle);
+	}
+}
+
+int main()
+{
+	test();
+
+	return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/tests/test_mips.c 4.0.2-3/tests/test_mips.c
--- 4.0.1+really+3.0.5-2/tests/test_mips.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_mips.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,23 +1,23 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
 static csh handle;
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -55,7 +55,7 @@ static void print_insn_detail(cs_insn *i
 				break;
 			case MIPS_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
-				if (op->mem.base != X86_REG_INVALID)
+				if (op->mem.base != MIPS_REG_INVALID)
 					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
 							i, cs_reg_name(handle, op->mem.base));
 				if (op->mem.disp != 0)
@@ -71,47 +71,55 @@ static void print_insn_detail(cs_insn *i
 
 static void test()
 {
-//#define MIPS_CODE "\x8f\xa2\x00\x00"
-//#define MIPS_CODE "\x00\x00\xa7\xac\x10\x00\xa2\x8f"
-//#define MIPS_CODE "\x21\x30\xe6\x70"	// clo $6, $7
-//#define MIPS_CODE "\x00\x00\x00\x00" // nop
-//#define MIPS_CODE "\xc6\x23\xe9\xe4"	// swc1	$f9, 0x23c6($7)
-//#define MIPS_CODE "\x21\x38\x00\x01"	// move $7, $8
 #define MIPS_CODE "\x0C\x10\x00\x97\x00\x00\x00\x00\x24\x02\x00\x0c\x8f\xa2\x00\x00\x34\x21\x34\x56"
-//#define MIPS_CODE "\x04\x11\x00\x01"	// bal	0x8
 #define MIPS_CODE2 "\x56\x34\x21\x34\xc2\x17\x01\x00"
 #define MIPS_32R6M "\x00\x07\x00\x07\x00\x11\x93\x7c\x01\x8c\x8b\x7c\x00\xc7\x48\xd0"
 #define MIPS_32R6 "\xec\x80\x00\x19\x7c\x43\x22\xa0"
+#define MIPS_64SD "\x70\x00\xb2\xff"
 
 	struct platform platforms[] = {
 		{
 			CS_ARCH_MIPS,
-			(cs_mode)(CS_MODE_MIPS32 + CS_MODE_BIG_ENDIAN),
+			(cs_mode)(CS_MODE_MIPS32 | CS_MODE_BIG_ENDIAN),
 			(unsigned char *)MIPS_CODE,
 			sizeof(MIPS_CODE) - 1,
 			"MIPS-32 (Big-endian)"
 		},
 		{
 			CS_ARCH_MIPS,
-			(cs_mode)(CS_MODE_MIPS64 + CS_MODE_LITTLE_ENDIAN),
+			(cs_mode)(CS_MODE_MIPS64 | CS_MODE_LITTLE_ENDIAN),
 			(unsigned char *)MIPS_CODE2,
 			sizeof(MIPS_CODE2) - 1,
 			"MIPS-64-EL (Little-endian)"
 		},
 		{
 			CS_ARCH_MIPS,
-			(cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_MICRO + CS_MODE_BIG_ENDIAN),
+			(cs_mode)(CS_MODE_MIPS32R6 | CS_MODE_MICRO | CS_MODE_BIG_ENDIAN),
 			(unsigned char*)MIPS_32R6M,
 			sizeof(MIPS_32R6M) - 1,
 			"MIPS-32R6 | Micro (Big-endian)"
 		},
 		{
 			CS_ARCH_MIPS,
-			(cs_mode)(CS_MODE_MIPS32R6 + CS_MODE_BIG_ENDIAN),
+			(cs_mode)(CS_MODE_MIPS32R6 | CS_MODE_BIG_ENDIAN),
 			(unsigned char*)MIPS_32R6,
 			sizeof(MIPS_32R6) - 1,
 			"MIPS-32R6 (Big-endian)"
 		},
+		{
+			CS_ARCH_MIPS,
+			(cs_mode)(CS_MODE_MIPS64 | CS_MODE_MIPS2 | CS_MODE_LITTLE_ENDIAN),
+			(unsigned char *)MIPS_64SD,
+			sizeof(MIPS_64SD) - 1,
+			"MIPS-64-EL + Mips II (Little-endian)"
+		},
+		{
+			CS_ARCH_MIPS,
+			(cs_mode)(CS_MODE_MIPS64 | CS_MODE_LITTLE_ENDIAN),
+			(unsigned char *)MIPS_64SD,
+			sizeof(MIPS_64SD) - 1,
+			"MIPS-64-EL (Little-endian)"
+		},
 	};
 
 	uint64_t address = 0x1000;
@@ -123,7 +131,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -150,6 +158,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_ppc.c 4.0.2-3/tests/test_ppc.c
--- 4.0.1+really+3.0.5-2/tests/test_ppc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_ppc.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,22 +1,22 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
 static csh handle;
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -79,7 +79,7 @@ static void print_insn_detail(cs_insn *i
 				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
 				break;
 			case PPC_OP_IMM:
-				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				printf("\t\toperands[%u].type: IMM = 0x%" PRIx64 "\n", i, op->imm);
 				break;
 			case PPC_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
@@ -114,6 +114,7 @@ static void print_insn_detail(cs_insn *i
 static void test()
 {
 #define PPC_CODE "\x43\x20\x0c\x07\x41\x56\xff\x17\x80\x20\x00\x00\x80\x3f\x00\x00\x10\x43\x23\x0e\xd0\x44\x00\x80\x4c\x43\x22\x02\x2d\x03\x00\x80\x7c\x43\x20\x14\x7c\x43\x20\x93\x4f\x20\x00\x21\x4c\xc8\x00\x21\x40\x82\x00\x14"
+#define PPC_CODE2 "\x10\x60\x2a\x10\x10\x64\x28\x88\x7c\x4a\x5d\x0f"
 
 	struct platform platforms[] = {
 		{
@@ -122,7 +123,14 @@ static void test()
 			(unsigned char*)PPC_CODE,
 			sizeof(PPC_CODE) - 1,
 			"PPC-64",
-		}
+		},
+		{
+			CS_ARCH_PPC,
+			(cs_mode)(CS_MODE_BIG_ENDIAN + CS_MODE_QPX),
+			(unsigned char*)PPC_CODE2,
+			sizeof(PPC_CODE2) - 1,
+			"PPC-64 + QPX",
+		},
 	};
 
 	uint64_t address = 0x1000;
@@ -134,7 +142,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -161,6 +169,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_skipdata.c 4.0.2-3/tests/test_skipdata.c
--- 4.0.1+really+3.0.5-2/tests/test_skipdata.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_skipdata.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,18 +1,18 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	cs_opt_type opt_type;
 	cs_opt_value opt_value;
 	cs_opt_type opt_skipdata;
@@ -30,28 +30,37 @@ static void print_string_hex(unsigned ch
 	printf("\n");
 }
 
+#ifdef CAPSTONE_HAS_ARM
 static size_t CAPSTONE_API mycallback(const uint8_t *buffer, size_t buffer_size, size_t offset, void *p)
 {
 	// always skip 2 bytes when encountering data
 	return 2;
 }
+#endif
 
 static void test()
 {
+#ifdef CAPSTONE_HAS_X86
 #define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x00\x91\x92"
+#endif
 #define RANDOM_CODE "\xed\x00\x00\x00\x00\x1a\x5a\x0f\x1f\xff\xc2\x09\x80\x00\x00\x00\x07\xf7\xeb\x2a\xff\xff\x7f\x57\xe3\x01\xff\xff\x7f\x57\xeb\x00\xf0\x00\x00\x24\xb2\x4f\x00\x78"
 
+#if defined(CAPSTONE_HAS_X86)
 	cs_opt_skipdata skipdata = {
 		// rename default "data" instruction from ".byte" to "db"
 		"db",
 	};
+#endif
 
+#ifdef CAPSTONE_HAS_ARM
 	cs_opt_skipdata skipdata_callback = {
 		"db",
 		&mycallback,
 	};
+#endif
 
 	struct platform platforms[] = {
+#ifdef CAPSTONE_HAS_X86
 		{
 			CS_ARCH_X86,
 			CS_MODE_32,
@@ -60,13 +69,6 @@ static void test()
 			"X86 32 (Intel syntax) - Skip data",
 		},
 		{
-			CS_ARCH_ARM,
-			CS_MODE_ARM,
-			(unsigned char*)RANDOM_CODE,
-			sizeof(RANDOM_CODE) - 1,
-			"Arm - Skip data",
-		},
-		{
 			CS_ARCH_X86,
 			CS_MODE_32,
 			(unsigned char*)X86_CODE32,
@@ -77,6 +79,15 @@ static void test()
 			CS_OPT_SKIPDATA_SETUP,
 			(size_t) &skipdata,
 		},
+#endif
+#ifdef CAPSTONE_HAS_ARM
+		{
+			CS_ARCH_ARM,
+			CS_MODE_ARM,
+			(unsigned char*)RANDOM_CODE,
+			sizeof(RANDOM_CODE) - 1,
+			"Arm - Skip data",
+		},
 		{
 			CS_ARCH_ARM,
 			CS_MODE_ARM,
@@ -88,6 +99,7 @@ static void test()
 			CS_OPT_SKIPDATA_SETUP,
 			(size_t) &skipdata_callback,
 		},
+#endif
 	};
 
 	csh handle;
@@ -103,7 +115,7 @@ static void test()
 		err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		if (platforms[i].opt_type)
@@ -135,6 +147,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex(platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_sparc.c 4.0.2-3/tests/test_sparc.c
--- 4.0.1+really+3.0.5-2/tests/test_sparc.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_sparc.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,22 +1,22 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
 static csh handle;
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -50,7 +50,7 @@ static void print_insn_detail(cs_insn *i
 				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
 				break;
 			case SPARC_OP_IMM:
-				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				printf("\t\toperands[%u].type: IMM = 0x%" PRIx64 "\n", i, op->imm);
 				break;
 			case SPARC_OP_MEM:
 				printf("\t\toperands[%u].type: MEM\n", i);
@@ -108,7 +108,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -135,6 +135,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_systemz.c 4.0.2-3/tests/test_systemz.c
--- 4.0.1+really+3.0.5-2/tests/test_systemz.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_systemz.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,22 +1,22 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
 static csh handle;
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -101,7 +101,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -128,6 +128,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_tms320c64x.c 4.0.2-3/tests/test_tms320c64x.c
--- 4.0.1+really+3.0.5-2/tests/test_tms320c64x.c	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/tests/test_tms320c64x.c	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,193 @@
+/* Capstone Disassembly Engine */
+/* TMS320C64x Backend by Fotis Loukos <me@fotisl.com> 2016 */
+
+#include <stdio.h>
+
+#include <capstone/capstone.h>
+
+struct platform {
+	cs_arch arch;
+	cs_mode mode;
+	unsigned char *code;
+	size_t size;
+	const char *comment;
+};
+
+static csh handle;
+
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
+{
+	unsigned char *c;
+
+	printf("%s", comment);
+	for (c = str; c < str + len; c++) {
+		printf("0x%02x ", *c & 0xff);
+	}
+
+	printf("\n");
+}
+
+static void print_insn_detail(cs_insn *ins)
+{
+	cs_tms320c64x *tms320c64x;
+	int i;
+
+	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
+	if (ins->detail == NULL)
+		return;
+
+	tms320c64x = &(ins->detail->tms320c64x);
+	if (tms320c64x->op_count)
+		printf("\top_count: %u\n", tms320c64x->op_count);
+
+	for (i = 0; i < tms320c64x->op_count; i++) {
+		cs_tms320c64x_op *op = &(tms320c64x->operands[i]);
+		switch((int)op->type) {
+			default:
+				break;
+			case TMS320C64X_OP_REG:
+				printf("\t\toperands[%u].type: REG = %s\n", i, cs_reg_name(handle, op->reg));
+				break;
+			case TMS320C64X_OP_IMM:
+				printf("\t\toperands[%u].type: IMM = 0x%x\n", i, op->imm);
+				break;
+			case TMS320C64X_OP_MEM:
+				printf("\t\toperands[%u].type: MEM\n", i);
+				if (op->mem.base != TMS320C64X_REG_INVALID)
+					printf("\t\t\toperands[%u].mem.base: REG = %s\n",
+							i, cs_reg_name(handle, op->mem.base));
+				printf("\t\t\toperands[%u].mem.disptype: ", i);
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_INVALID) {
+					printf("Invalid\n");
+					printf("\t\t\toperands[%u].mem.disp: %u\n", i, op->mem.disp);
+				}
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_CONSTANT) {
+					printf("Constant\n");
+					printf("\t\t\toperands[%u].mem.disp: %u\n", i, op->mem.disp);
+				}
+				if(op->mem.disptype == TMS320C64X_MEM_DISP_REGISTER) {
+					printf("Register\n");
+					printf("\t\t\toperands[%u].mem.disp: %s\n", i, cs_reg_name(handle, op->mem.disp));
+				}
+				printf("\t\t\toperands[%u].mem.unit: %u\n", i, op->mem.unit);
+				printf("\t\t\toperands[%u].mem.direction: ", i);
+				if(op->mem.direction == TMS320C64X_MEM_DIR_INVALID)
+					printf("Invalid\n");
+				if(op->mem.direction == TMS320C64X_MEM_DIR_FW)
+					printf("Forward\n");
+				if(op->mem.direction == TMS320C64X_MEM_DIR_BW)
+					printf("Backward\n");
+				printf("\t\t\toperands[%u].mem.modify: ", i);
+				if(op->mem.modify == TMS320C64X_MEM_MOD_INVALID)
+					printf("Invalid\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_NO)
+					printf("No\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_PRE)
+					printf("Pre\n");
+				if(op->mem.modify == TMS320C64X_MEM_MOD_POST)
+					printf("Post\n");
+				printf("\t\t\toperands[%u].mem.scaled: %u\n", i, op->mem.scaled);
+
+
+				break;
+			case TMS320C64X_OP_REGPAIR:
+				printf("\t\toperands[%u].type: REGPAIR = %s:%s\n", i, cs_reg_name(handle, op->reg + 1), cs_reg_name(handle, op->reg));
+				break;
+		}
+	}
+
+	printf("\tFunctional unit: ");
+	switch(tms320c64x->funit.unit) {
+		case TMS320C64X_FUNIT_D:
+			printf("D%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_L:
+			printf("L%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_M:
+			printf("M%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_S:
+			printf("S%u\n", tms320c64x->funit.side);
+			break;
+		case TMS320C64X_FUNIT_NO:
+			printf("No Functional Unit\n");
+			break;
+		default:
+			printf("Unknown (Unit %u, Side %u)\n", tms320c64x->funit.unit, tms320c64x->funit.side);
+			break;
+	}
+	if(tms320c64x->funit.crosspath == 1)
+		printf("\tCrosspath: 1\n");
+
+	if(tms320c64x->condition.reg != TMS320C64X_REG_INVALID)
+		printf("\tCondition: [%c%s]\n", (tms320c64x->condition.zero == 1) ? '!' : ' ', cs_reg_name(handle, tms320c64x->condition.reg));
+	printf("\tParallel: %s\n", (tms320c64x->parallel == 1) ? "true" : "false");
+
+	printf("\n");
+}
+
+static void test()
+{
+#define TMS320C64X_CODE "\x01\xac\x88\x40\x81\xac\x88\x43\x00\x00\x00\x00\x02\x90\x32\x96\x02\x80\x46\x9e\x05\x3c\x83\xe6\x0b\x0c\x8b\x24"
+
+	struct platform platforms[] = {
+		{
+			CS_ARCH_TMS320C64X,
+			CS_MODE_BIG_ENDIAN,
+			(unsigned char*)TMS320C64X_CODE,
+			sizeof(TMS320C64X_CODE) - 1,
+			"TMS320C64x",
+		},
+	};
+
+	uint64_t address = 0x1000;
+	cs_insn *insn;
+	int i;
+	size_t count;
+
+	for (i = 0; i < sizeof(platforms)/sizeof(platforms[0]); i++) {
+		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
+		if (err) {
+			printf("Failed on cs_open() with error returned: %u\n", err);
+			continue;
+		}
+
+		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
+
+		count = cs_disasm(handle, platforms[i].code, platforms[i].size, address, 0, &insn);
+		if (count) {
+			size_t j;
+
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code, platforms[i].size);
+			printf("Disasm:\n");
+
+			for (j = 0; j < count; j++) {
+				printf("0x%"PRIx64":\t%s\t%s\n", insn[j].address, insn[j].mnemonic, insn[j].op_str);
+				print_insn_detail(&insn[j]);
+			}
+			printf("0x%"PRIx64":\n", insn[j-1].address + insn[j-1].size);
+
+			// free memory allocated by cs_disasm()
+			cs_free(insn, count);
+		} else {
+			printf("****************\n");
+			printf("Platform: %s\n", platforms[i].comment);
+			print_string_hex("Code:", platforms[i].code, platforms[i].size);
+			printf("ERROR: Failed to disasm given code!\n");
+		}
+
+		printf("\n");
+
+		cs_close(&handle);
+	}
+}
+
+int main()
+{
+	test();
+
+	return 0;
+}
diff -pruN 4.0.1+really+3.0.5-2/tests/test_winkernel.cpp 4.0.2-3/tests/test_winkernel.cpp
--- 4.0.1+really+3.0.5-2/tests/test_winkernel.cpp	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_winkernel.cpp	2020-05-08 10:03:30.000000000 +0000
@@ -1,8 +1,10 @@
 /* Capstone Disassembly Engine */
-/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016 */
+/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016-2019 */
 
 #include <ntddk.h>
-#include <capstone.h>
+
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 #ifdef __cplusplus
 extern "C" {
@@ -30,9 +32,9 @@ EXTERN_C DRIVER_INITIALIZE DriverEntry;
 // is going to be compiled as C++ source file and not C files because this file
 // is C++.
 
-namespace unnamed {
-#include "test.c"
-}  // namespace unnamed
+namespace basic {
+#include "test_basic.c"
+}  // namespace basic
 
 namespace detail {
 #include "test_detail.c"
@@ -46,6 +48,10 @@ namespace iter {
 #include "test_iter.c"
 }  // namespace iter
 
+namespace customized_mnem_ {
+#include "test_customized_mnem.c"
+}  // namespace customized_mnem_
+
 namespace arm {
 #include "test_arm.c"
 }  // namespace arm
@@ -58,6 +64,10 @@ namespace mips {
 #include "test_mips.c"
 }  // namespace mips
 
+namespace m68k {
+#include "test_m68k.c"
+}  // namespace m68k
+
 namespace ppc {
 #include "test_ppc.c"
 }  // namespace ppc
@@ -102,13 +112,15 @@ static void test()
 		return;
 	}
 
-	unnamed::test();
+	basic::test();
 	detail::test();
 	skipdata::test();
 	iter::test();
+	customized_mnem_::test();
 	arm::test();
 	arm64::test();
 	mips::test();
+	m68k::test();
 	ppc::test();
 	sparc::test();
 	systemz::test();
@@ -148,7 +160,7 @@ EXTERN_C NTSTATUS DriverEntry(PDRIVER_OB
 // This functions mimics printf() but does not return the same value as printf()
 // would do. printf() is required to exercise regression tests.
 _Use_decl_annotations_
-int __cdecl printf(const char * format, ...)
+int __cdecl printf(const char * const format, ...)
 {
 	NTSTATUS status;
 	va_list args;
diff -pruN 4.0.1+really+3.0.5-2/tests/test_x86.c 4.0.2-3/tests/test_x86.c
--- 4.0.1+really+3.0.5-2/tests/test_x86.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_x86.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,11 +1,11 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013> */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 static csh handle;
 
@@ -14,12 +14,12 @@ struct platform {
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 	cs_opt_type opt_type;
 	cs_opt_value opt_value;
 };
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -31,10 +31,160 @@ static void print_string_hex(char *comme
 	printf("\n");
 }
 
+static const char *get_eflag_name(uint64_t flag)
+{
+	switch(flag) {
+		default:
+			return NULL;
+		case X86_EFLAGS_UNDEFINED_OF:
+			return "UNDEF_OF";
+		case X86_EFLAGS_UNDEFINED_SF:
+			return "UNDEF_SF";
+		case X86_EFLAGS_UNDEFINED_ZF:
+			return "UNDEF_ZF";
+		case X86_EFLAGS_MODIFY_AF:
+			return "MOD_AF";
+		case X86_EFLAGS_UNDEFINED_PF:
+			return "UNDEF_PF";
+		case X86_EFLAGS_MODIFY_CF:
+			return "MOD_CF";
+		case X86_EFLAGS_MODIFY_SF:
+			return "MOD_SF";
+		case X86_EFLAGS_MODIFY_ZF:
+			return "MOD_ZF";
+		case X86_EFLAGS_UNDEFINED_AF:
+			return "UNDEF_AF";
+		case X86_EFLAGS_MODIFY_PF:
+			return "MOD_PF";
+		case X86_EFLAGS_UNDEFINED_CF:
+			return "UNDEF_CF";
+		case X86_EFLAGS_MODIFY_OF:
+			return "MOD_OF";
+		case X86_EFLAGS_RESET_OF:
+			return "RESET_OF";
+		case X86_EFLAGS_RESET_CF:
+			return "RESET_CF";
+		case X86_EFLAGS_RESET_DF:
+			return "RESET_DF";
+		case X86_EFLAGS_RESET_IF:
+			return "RESET_IF";
+		case X86_EFLAGS_TEST_OF:
+			return "TEST_OF";
+		case X86_EFLAGS_TEST_SF:
+			return "TEST_SF";
+		case X86_EFLAGS_TEST_ZF:
+			return "TEST_ZF";
+		case X86_EFLAGS_TEST_PF:
+			return "TEST_PF";
+		case X86_EFLAGS_TEST_CF:
+			return "TEST_CF";
+		case X86_EFLAGS_RESET_SF:
+			return "RESET_SF";
+		case X86_EFLAGS_RESET_AF:
+			return "RESET_AF";
+		case X86_EFLAGS_RESET_TF:
+			return "RESET_TF";
+		case X86_EFLAGS_RESET_NT:
+			return "RESET_NT";
+		case X86_EFLAGS_PRIOR_OF:
+			return "PRIOR_OF";
+		case X86_EFLAGS_PRIOR_SF:
+			return "PRIOR_SF";
+		case X86_EFLAGS_PRIOR_ZF:
+			return "PRIOR_ZF";
+		case X86_EFLAGS_PRIOR_AF:
+			return "PRIOR_AF";
+		case X86_EFLAGS_PRIOR_PF:
+			return "PRIOR_PF";
+		case X86_EFLAGS_PRIOR_CF:
+			return "PRIOR_CF";
+		case X86_EFLAGS_PRIOR_TF:
+			return "PRIOR_TF";
+		case X86_EFLAGS_PRIOR_IF:
+			return "PRIOR_IF";
+		case X86_EFLAGS_PRIOR_DF:
+			return "PRIOR_DF";
+		case X86_EFLAGS_TEST_NT:
+			return "TEST_NT";
+		case X86_EFLAGS_TEST_DF:
+			return "TEST_DF";
+		case X86_EFLAGS_RESET_PF:
+			return "RESET_PF";
+		case X86_EFLAGS_PRIOR_NT:
+			return "PRIOR_NT";
+		case X86_EFLAGS_MODIFY_TF:
+			return "MOD_TF";
+		case X86_EFLAGS_MODIFY_IF:
+			return "MOD_IF";
+		case X86_EFLAGS_MODIFY_DF:
+			return "MOD_DF";
+		case X86_EFLAGS_MODIFY_NT:
+			return "MOD_NT";
+		case X86_EFLAGS_MODIFY_RF:
+			return "MOD_RF";
+		case X86_EFLAGS_SET_CF:
+			return "SET_CF";
+		case X86_EFLAGS_SET_DF:
+			return "SET_DF";
+		case X86_EFLAGS_SET_IF:
+			return "SET_IF";
+	}
+}
+
+static const char *get_fpu_flag_name(uint64_t flag)
+{
+	switch (flag) {
+		default:
+			return NULL;
+		case X86_FPU_FLAGS_MODIFY_C0:
+			return "MOD_C0";
+		case X86_FPU_FLAGS_MODIFY_C1:
+			return "MOD_C1";
+		case X86_FPU_FLAGS_MODIFY_C2:
+			return "MOD_C2";
+		case X86_FPU_FLAGS_MODIFY_C3:
+			return "MOD_C3";
+		case X86_FPU_FLAGS_RESET_C0:
+			return "RESET_C0";
+		case X86_FPU_FLAGS_RESET_C1:
+			return "RESET_C1";
+		case X86_FPU_FLAGS_RESET_C2:
+			return "RESET_C2";
+		case X86_FPU_FLAGS_RESET_C3:
+			return "RESET_C3";
+		case X86_FPU_FLAGS_SET_C0:
+			return "SET_C0";
+		case X86_FPU_FLAGS_SET_C1:
+			return "SET_C1";
+		case X86_FPU_FLAGS_SET_C2:
+			return "SET_C2";
+		case X86_FPU_FLAGS_SET_C3:
+			return "SET_C3";
+		case X86_FPU_FLAGS_UNDEFINED_C0:
+			return "UNDEF_C0";
+		case X86_FPU_FLAGS_UNDEFINED_C1:
+			return "UNDEF_C1";
+		case X86_FPU_FLAGS_UNDEFINED_C2:
+			return "UNDEF_C2";
+		case X86_FPU_FLAGS_UNDEFINED_C3:
+			return "UNDEF_C3";
+		case X86_FPU_FLAGS_TEST_C0:
+			return "TEST_C0";
+		case X86_FPU_FLAGS_TEST_C1:
+			return "TEST_C1";
+		case X86_FPU_FLAGS_TEST_C2:
+			return "TEST_C2";
+		case X86_FPU_FLAGS_TEST_C3:
+			return "TEST_C3";
+	}
+}
+
 static void print_insn_detail(csh ud, cs_mode mode, cs_insn *ins)
 {
 	int count, i;
 	cs_x86 *x86;
+	cs_regs regs_read, regs_write;
+	uint8_t regs_read_count, regs_write_count;
 
 	// detail can be NULL on "data" instruction if SKIPDATA option is turned ON
 	if (ins->detail == NULL)
@@ -50,8 +200,19 @@ static void print_insn_detail(csh ud, cs
 
 	printf("\taddr_size: %u\n", x86->addr_size);
 	printf("\tmodrm: 0x%x\n", x86->modrm);
-	printf("\tdisp: 0x%x\n", x86->disp);
-
+	if (x86->encoding.modrm_offset != 0) {
+		printf("\tmodrm_offset: 0x%x\n", x86->encoding.modrm_offset);
+	}
+	
+	printf("\tdisp: 0x%" PRIx64 "\n", x86->disp);
+	if (x86->encoding.disp_offset != 0) {
+		printf("\tdisp_offset: 0x%x\n", x86->encoding.disp_offset);
+	}
+	
+	if (x86->encoding.disp_size != 0) {
+		printf("\tdisp_size: 0x%x\n", x86->encoding.disp_size);
+	}
+	
 	// SIB is not available in 16-bit mode
 	if ((mode & CS_MODE_16) == 0) {
 		printf("\tsib: 0x%x\n", x86->sib);
@@ -63,6 +224,11 @@ static void print_insn_detail(csh ud, cs
 			printf("\t\tsib_scale: %d\n", x86->sib_scale);
 	}
 
+	// XOP code condition
+	if (x86->xop_cc != X86_XOP_CC_INVALID) {
+		printf("\txop_cc: %u\n", x86->xop_cc);
+	}
+
 	// SSE code condition
 	if (x86->sse_cc != X86_SSE_CC_INVALID) {
 		printf("\tsse_cc: %u\n", x86->sse_cc);
@@ -83,17 +249,27 @@ static void print_insn_detail(csh ud, cs
 		printf("\tavx_rm: %u\n", x86->avx_rm);
 	}
 
+	// Print out all immediate operands
 	count = cs_op_count(ud, ins, X86_OP_IMM);
 	if (count) {
 		printf("\timm_count: %u\n", count);
 		for (i = 1; i < count + 1; i++) {
 			int index = cs_op_index(ud, ins, X86_OP_IMM, i);
 			printf("\t\timms[%u]: 0x%" PRIx64 "\n", i, x86->operands[index].imm);
+			if (x86->encoding.imm_offset != 0) {
+				printf("\timm_offset: 0x%x\n", x86->encoding.imm_offset);
+			}
+			
+			if (x86->encoding.imm_size != 0) {
+				printf("\timm_size: 0x%x\n", x86->encoding.imm_size);
+			}
 		}
 	}
 
 	if (x86->op_count)
 		printf("\top_count: %u\n", x86->op_count);
+
+	// Print out all operands
 	for (i = 0; i < x86->op_count; i++) {
 		cs_x86_op *op = &(x86->operands[i]);
 
@@ -130,6 +306,64 @@ static void print_insn_detail(csh ud, cs
 			printf("\t\toperands[%u].avx_zero_opmask: TRUE\n", i);
 
 		printf("\t\toperands[%u].size: %u\n", i, op->size);
+
+		switch(op->access) {
+			default:
+				break;
+			case CS_AC_READ:
+				printf("\t\toperands[%u].access: READ\n", i);
+				break;
+			case CS_AC_WRITE:
+				printf("\t\toperands[%u].access: WRITE\n", i);
+				break;
+			case CS_AC_READ | CS_AC_WRITE:
+				printf("\t\toperands[%u].access: READ | WRITE\n", i);
+				break;
+		}
+	}
+
+	// Print out all registers accessed by this instruction (either implicit or explicit)
+	if (!cs_regs_access(ud, ins,
+				regs_read, &regs_read_count,
+				regs_write, &regs_write_count)) {
+		if (regs_read_count) {
+			printf("\tRegisters read:");
+			for(i = 0; i < regs_read_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_read[i]));
+			}
+			printf("\n");
+		}
+
+		if (regs_write_count) {
+			printf("\tRegisters modified:");
+			for(i = 0; i < regs_write_count; i++) {
+				printf(" %s", cs_reg_name(handle, regs_write[i]));
+			}
+			printf("\n");
+		}
+	}
+
+	if (x86->eflags || x86->fpu_flags) {
+		for(i = 0; i < ins->detail->groups_count; i++) {
+			if (ins->detail->groups[i] == X86_GRP_FPU) {
+				printf("\tFPU_FLAGS:");
+				for(i = 0; i <= 63; i++)
+					if (x86->fpu_flags & ((uint64_t)1 << i)) {
+						printf(" %s", get_fpu_flag_name((uint64_t)1 << i));
+					}
+				printf("\n");
+				break;
+			}
+		}
+
+		if (i == ins->detail->groups_count) {
+			printf("\tEFLAGS:");
+			for(i = 0; i <= 63; i++)
+				if (x86->eflags & ((uint64_t)1 << i)) {
+					printf(" %s", get_eflag_name((uint64_t)1 << i));
+				}
+			printf("\n");
+		}
 	}
 
 	printf("\n");
@@ -137,31 +371,9 @@ static void print_insn_detail(csh ud, cs
 
 static void test()
 {
-//#define X86_CODE32 "\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x78\x56\x00\x00"
-//#define X86_CODE32 "\x05\x78\x56\x00\x00"
-//#define X86_CODE32 "\x01\xd8"
-//#define X86_CODE32 "\x05\x23\x01\x00\x00"
-//#define X86_CODE32 "\x8d\x87\x89\x67\x00\x00"
-//#define X86_CODE32 "\xa1\x13\x48\x6d\x3a\x8b\x81\x23\x01\x00\x00\x8b\x84\x39\x23\x01\x00\x00"
-//#define X86_CODE32 "\xb4\xc6"	// mov	ah, 0x6c
-//#define X86_CODE32 "\x77\x04"	// ja +6
-#define X86_CODE64 "\x55\x48\x8b\x05\xb8\x13\x00\x00"
-//#define X86_CODE64 "\xe9\x79\xff\xff\xff"	// jmp 0xf7e
-
-#define X86_CODE16 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6"
-//#define X86_CODE16 "\x67\x00\x18"
-#define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6"
-//#define X86_CODE32 "\x0f\xa7\xc0"	// xstorerng
-//#define X86_CODE32 "\x64\xa1\x18\x00\x00\x00"	// mov eax, dword ptr fs:[18]
-//#define X86_CODE32 "\x64\xa3\x00\x00\x00\x00"	// mov [fs:0x0], eax
-//#define X86_CODE32 "\xd1\xe1"	// shl ecx, 1
-//#define X86_CODE32 "\xd1\xc8"	// ror eax, 1
-//#define X86_CODE32 "\x83\xC0\x80"	// add	eax, -x80
-//#define X86_CODE32 "\xe8\x26\xfe\xff\xff"		// call	0xe2b
-//#define X86_CODE32 "\xcd\x80"		// int 0x80
-//#define X86_CODE32 "\x24\xb8"		// and    $0xb8,%al
-//#define X86_CODE32 "\xf0\x01\xd8"   // lock add eax,ebx
-//#define X86_CODE32 "\xf3\xaa"		// rep stosb
+#define X86_CODE64 "\x55\x48\x8b\x05\xb8\x13\x00\x00\xe9\xea\xbe\xad\xde\xff\x25\x23\x01\x00\x00\xe8\xdf\xbe\xad\xde\x74\xff"
+#define X86_CODE16 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6\x66\xe9\xb8\x00\x00\x00\x67\xff\xa0\x23\x01\x00\x00\x66\xe8\xcb\x00\x00\x00\x74\xfc"
+#define X86_CODE32 "\x8d\x4c\x32\x08\x01\xd8\x81\xc6\x34\x12\x00\x00\x05\x23\x01\x00\x00\x36\x8b\x84\x91\x23\x01\x00\x00\x41\x8d\x84\x39\x89\x67\x00\x00\x8d\x87\x89\x67\x00\x00\xb4\xc6\xe9\xea\xbe\xad\xde\xff\xa0\x23\x01\x00\x00\xe8\xdf\xbe\xad\xde\x74\xff"
 
 	struct platform platforms[] = {
 		{
@@ -205,7 +417,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		if (platforms[i].opt_type)
@@ -235,6 +447,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/tests/test_xcore.c 4.0.2-3/tests/test_xcore.c
--- 4.0.1+really+3.0.5-2/tests/test_xcore.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/tests/test_xcore.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,22 +1,22 @@
 /* Capstone Disassembler Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2019 */
 
 #include <stdio.h>
 
-#include <platform.h>
-#include <capstone.h>
+#include <capstone/platform.h>
+#include <capstone/capstone.h>
 
 struct platform {
 	cs_arch arch;
 	cs_mode mode;
 	unsigned char *code;
 	size_t size;
-	char *comment;
+	const char *comment;
 };
 
 static csh handle;
 
-static void print_string_hex(char *comment, unsigned char *str, size_t len)
+static void print_string_hex(const char *comment, unsigned char *str, size_t len)
 {
 	unsigned char *c;
 
@@ -96,7 +96,7 @@ static void test()
 		cs_err err = cs_open(platforms[i].arch, platforms[i].mode, &handle);
 		if (err) {
 			printf("Failed on cs_open() with error returned: %u\n", err);
-			continue;
+			abort();
 		}
 
 		cs_option(handle, CS_OPT_DETAIL, CS_OPT_ON);
@@ -123,6 +123,7 @@ static void test()
 			printf("Platform: %s\n", platforms[i].comment);
 			print_string_hex("Code:", platforms[i].code, platforms[i].size);
 			printf("ERROR: Failed to disasm given code!\n");
+			abort();
 		}
 
 		printf("\n");
diff -pruN 4.0.1+really+3.0.5-2/.travis.yml 4.0.2-3/.travis.yml
--- 4.0.1+really+3.0.5-2/.travis.yml	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/.travis.yml	2020-05-08 10:03:30.000000000 +0000
@@ -1,26 +1,68 @@
 language: cpp
 sudo: false
-env:
-  global:
-    - LD_LIBRARY_PATH=$TRAVIS_BUILD_DIR/tests/:$TRAVIS_BUILD_DIR:$LD_LIBRARY_PATH
+before_install:
+        - export LD_LIBRARY_PATH=`pwd`/tests/:$LD_LIBRARY_PATH
+before_script:
+        - wget https://github.com/groundx/capstonefuzz/raw/master/corpus/corpus-libFuzzer-capstone_fuzz_disasmnext-latest.zip
+        - unzip -q corpus-libFuzzer-capstone_fuzz_disasmnext-latest.zip -d suite/fuzz
 script:
-  - ./make.sh
-  - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then ./make.sh install; fi
-  - make check
-  - cd bindings/python && make check
+        - ./make.sh
+        - make check
+        - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then cp libcapstone.so.* bindings/python/libcapstone.so; fi
+        - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then cp libcapstone.*.dylib bindings/python/libcapstone.dylib; fi
+        - if [[ "$NOPYTEST" != "true" ]]; then cd bindings/python && make check; fi
 compiler:
-  - clang
-  - gcc
+        - clang
+        - gcc
 os:
-  - linux
-  - osx
+        - linux
+        - osx
 matrix:
-  include:
-    - if: branch = master
-      os: osx
-      script: brew update && brew install --HEAD capstone && brew test capstone
-      compiler: gcc
-    - if: branch = master
-      os: osx
-      script: brew update && brew install --HEAD capstone && brew test capstone
-      compiler: clang
+    include:
+        - name: xenial gcc
+          os: linux
+          dist: xenial
+          compiler: gcc
+          addons:
+            apt:
+              packages:
+                - libcmocka-dev
+        - name: bionic gcc (ARM64)
+          arch: arm64
+          os: linux
+          dist: bionic
+          compiler: gcc
+          addons:
+            apt:
+              packages:
+                - libcmocka-dev
+                - unzip
+        - name: bionic gcc (System Z)
+          arch: s390x
+          os: linux
+          dist: bionic
+          compiler: gcc
+          addons:
+            apt:
+              packages:
+                - libcmocka-dev
+        - name: xenial clang
+          os: linux
+          dist: xenial
+          compiler: clang
+          addons:
+            apt:
+              packages:
+                - libcmocka-dev
+        - name: fuzza
+          env: ASAN_OPTIONS=detect_leaks=0 CXXFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=address" CFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=address" LDFLAGS="-fsanitize=address" NOPYTEST=true
+          compiler: clang
+          os: linux
+        - name: fuzzm
+          env: CXXFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=memory" CFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=memory" LDFLAGS="-fsanitize=memory" NOPYTEST=true
+          compiler: clang
+          os: linux
+        - name: fuzzu
+          env: CXXFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=undefined" CFLAGS="-DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION -fsanitize=undefined -fno-sanitize-recover=undefined,integer" LDFLAGS="-fsanitize=undefined" NOPYTEST=true
+          compiler: clang
+          os: linux
diff -pruN 4.0.1+really+3.0.5-2/utils.c 4.0.2-3/utils.c
--- 4.0.1+really+3.0.5-2/utils.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/utils.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #if defined(CAPSTONE_HAS_OSXKERNEL)
 #include <Availability.h>
@@ -18,7 +18,7 @@ static unsigned short *make_id2insn(cons
 	unsigned short max_id = insns[size - 1].id;
 	unsigned short i;
 
-	unsigned short *cache = (unsigned short *)cs_mem_malloc(sizeof(*cache) * (max_id + 1));
+	unsigned short *cache = (unsigned short *)cs_mem_calloc(max_id + 1, sizeof(*cache));
 
 	for (i = 1; i < size; i++)
 		cache[insns[i].id] = i;
@@ -53,9 +53,34 @@ int name2id(const name_map* map, int max
 	return -1;
 }
 
+const char *id2name(const name_map* map, int max, const unsigned int id)
+{
+	int i;
+
+	for (i = 0; i < max; i++) {
+		if (map[i].id == id) {
+			return map[i].name;
+		}
+	}
+
+	// nothing match
+	return NULL;
+}
+
 // count number of positive members in a list.
 // NOTE: list must be guaranteed to end in 0
-unsigned int count_positive(const unsigned char *list)
+unsigned int count_positive(const uint16_t *list)
+{
+	unsigned int c;
+
+	for (c = 0; list[c] > 0; c++);
+
+	return c;
+}
+
+// count number of positive members in a list.
+// NOTE: list must be guaranteed to end in 0
+unsigned int count_positive8(const unsigned char *list)
 {
 	unsigned int c;
 
@@ -75,7 +100,7 @@ char *cs_strdup(const char *str)
 	return (char *)memmove(new, str, len);
 }
 
-// we need this since Windows doesnt have snprintf()
+// we need this since Windows doesn't have snprintf()
 int cs_snprintf(char *buffer, size_t size, const char *fmt, ...)
 {
 	int ret;
@@ -87,3 +112,28 @@ int cs_snprintf(char *buffer, size_t siz
 
 	return ret;
 }
+
+bool arr_exist8(unsigned char *arr, unsigned char max, unsigned int id)
+{
+	int i;
+
+	for (i = 0; i < max; i++) {
+		if (arr[i] == id)
+			return true;
+	}
+
+	return false;
+}
+
+bool arr_exist(uint16_t *arr, unsigned char max, unsigned int id)
+{
+	int i;
+
+	for (i = 0; i < max; i++) {
+		if (arr[i] == id)
+			return true;
+	}
+
+	return false;
+}
+
diff -pruN 4.0.1+really+3.0.5-2/utils.h 4.0.2-3/utils.h
--- 4.0.1+really+3.0.5-2/utils.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/utils.h	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014 */
+/* By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2015 */
 
 #ifndef CS_UTILS_H
 #define CS_UTILS_H
@@ -8,8 +8,8 @@
 #include <libkern/libkern.h>
 #else
 #include <stddef.h>
+#include "include/capstone/capstone.h"
 #endif
-#include "include/capstone.h"
 #include "cs_priv.h"
 
 // threshold number, so above this number will be printed in hexa mode
@@ -20,8 +20,8 @@ typedef struct insn_map {
 	unsigned short id;
 	unsigned short mapid;
 #ifndef CAPSTONE_DIET
-	unsigned char regs_use[12]; // list of implicit registers used by this instruction
-	unsigned char regs_mod[20]; // list of implicit registers modified by this instruction
+	uint16_t regs_use[12]; // list of implicit registers used by this instruction
+	uint16_t regs_mod[20]; // list of implicit registers modified by this instruction
 	unsigned char groups[8]; // list of group this instruction belong to
 	bool branch;	// branch instruction?
 	bool indirect_branch;	// indirect branch instruction?
@@ -42,18 +42,31 @@ typedef struct name_map {
 // return 0 if not found
 int name2id(const name_map* map, int max, const char *name);
 
+// map ID to a name
+// return NULL if not found
+const char *id2name(const name_map* map, int max, const unsigned int id);
+
 // count number of positive members in a list.
 // NOTE: list must be guaranteed to end in 0
-unsigned int count_positive(const unsigned char *list);
+unsigned int count_positive(const uint16_t *list);
+unsigned int count_positive8(const unsigned char *list);
 
 #define ARR_SIZE(a) (sizeof(a)/sizeof(a[0]))
+#define MATRIX_SIZE(a) (sizeof(a[0])/sizeof(a[0][0]))
 
 char *cs_strdup(const char *str);
 
 #define MIN(x, y) ((x) < (y) ? (x) : (y))
 
-// we need this since Windows doesnt have snprintf()
+// we need this since Windows doesn't have snprintf()
 int cs_snprintf(char *buffer, size_t size, const char *fmt, ...);
 
+#define CS_AC_IGNORE (1 << 7)
+
+// check if an id is existent in an array
+bool arr_exist8(unsigned char *arr, unsigned char max, unsigned int id);
+
+bool arr_exist(uint16_t *arr, unsigned char max, unsigned int id);
+
 #endif
 
diff -pruN 4.0.1+really+3.0.5-2/windows/winkernel_mm.c 4.0.2-3/windows/winkernel_mm.c
--- 4.0.1+really+3.0.5-2/windows/winkernel_mm.c	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/windows/winkernel_mm.c	2020-05-08 10:03:30.000000000 +0000
@@ -1,5 +1,5 @@
 /* Capstone Disassembly Engine */
-/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016 */
+/* By Satoshi Tanda <tanda.sat@gmail.com>, 2016-2019 */
 
 #include "winkernel_mm.h"
 #include <ntddk.h>
@@ -12,9 +12,9 @@ static const ULONG CS_WINKERNEL_POOL_TAG
 // A structure to implement realloc()
 typedef struct _CS_WINKERNEL_MEMBLOCK {
 	size_t size;   // A number of bytes allocated
-	char data[1];  // An address returned to a caller
+	__declspec(align(MEMORY_ALLOCATION_ALIGNMENT))
+	char data[ANYSIZE_ARRAY];  // An address returned to a caller
 } CS_WINKERNEL_MEMBLOCK;
-C_ASSERT(sizeof(CS_WINKERNEL_MEMBLOCK) == sizeof(void *) * 2);
 
 
 // free()
@@ -33,15 +33,15 @@ void * CAPSTONE_API cs_winkernel_malloc(
 	NT_ASSERT(size);
 
 	// FP; a use of NonPagedPool is required for Windows 7 support
-#pragma prefast(suppress : 30030)		// Allocating executable POOL_TYPE memory
 	size_t number_of_bytes = 0;
 	CS_WINKERNEL_MEMBLOCK *block = NULL;
 	// A specially crafted size value can trigger the overflow.
 	// If the sum in a value that overflows or underflows the capacity of the type,
 	// the function returns NULL.
-	if (!NT_SUCCESS(RtlSizeTAdd(size, sizeof(CS_WINKERNEL_MEMBLOCK), &number_of_bytes))) {
+	if (!NT_SUCCESS(RtlSizeTAdd(size, FIELD_OFFSET(CS_WINKERNEL_MEMBLOCK, data), &number_of_bytes))) {
 		return NULL;
 	}
+#pragma prefast(suppress : 30030)		// Allocating executable POOL_TYPE memory
 	block = (CS_WINKERNEL_MEMBLOCK *)ExAllocatePoolWithTag(
 			NonPagedPool, number_of_bytes, CS_WINKERNEL_POOL_TAG);
 	if (!block) {
diff -pruN 4.0.1+really+3.0.5-2/windows/winkernel_mm.h 4.0.2-3/windows/winkernel_mm.h
--- 4.0.1+really+3.0.5-2/windows/winkernel_mm.h	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/windows/winkernel_mm.h	2020-05-08 10:03:30.000000000 +0000
@@ -8,7 +8,7 @@
 extern "C" {
 #endif
 
-#include <capstone.h>
+#include <capstone/capstone.h>
 
 void CAPSTONE_API cs_winkernel_free(void *ptr);
 void * CAPSTONE_API cs_winkernel_malloc(size_t size);
diff -pruN 4.0.1+really+3.0.5-2/windowsce/COMPILE.md 4.0.2-3/windowsce/COMPILE.md
--- 4.0.1+really+3.0.5-2/windowsce/COMPILE.md	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/windowsce/COMPILE.md	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,124 @@
+This documentation explains how to compile Capstone for:
+- Windows CE 7, a.k.a, [Windows Embedded Compact 7](https://www.microsoft.com/windowsembedded/en-us/windows-embedded-compact-7.aspx), on [ARMv7](http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0406c/index.html).
+- Windows CE 8, a.k.a, [Windows Embedded Compact 2013](https://www.microsoft.com/windowsembedded/en-us/windows-embedded-compact-2013.aspx), on [ARMv7](http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0406c/index.html).
+
+To build Capstone for a different platform, please refer to `COMPILE.TXT`.
+
+# Prerequisites
+
+We support the following scenario regarding the build machine:
+- Build running on Microsoft Windows.
+- The C Software Develepment Kit of the target Windows CE **device** installed.
+- Only for Windows CE 7:
+  - C compiler toolchain installed, targetting **Windows Embedded Compact 7** on **ARMv7**.  We recommend the toolchain provided with [Windows Embedded Compact 7 toolkit](https://msdn.microsoft.com/en-us/library/jj200349%28v=winembedded.70%29.aspx), as the toolchain originally provided with **Visual Studio 2008** is relatively old.
+
+Before building Capstone for Windows CE 7 (respectively, Windows CE 8), the build script `windowsce/make_windowsce7-armv7.bat` (respectively, `windowsce/make_windowsce8-armv7.bat`) needs to be modified. The variables specified in the rest of this section are set in this script file.
+
+# Toolchain specification
+
+The following information need to be specified in the build script in order to perform the build:
+- `set WINCE_TOOLCHAIN_ROOT=` is the path of the root directory of the Windows CE toolchain. To build for Windows CE 7, this should be set to the Windows Embedded Compact 7 toolchain. To build for Windows CE 8, this should be set to the device toolchain.
+Examples:
+  - For Windows CE 7:
+  ```bat
+  set WINCE_TOOLCHAIN_ROOT=C:\WINCE700\sdk
+  ```
+  - For Windows CE 8:
+  ```bat
+  set WINCE_TOOLCHAIN_ROOT=C:\Windows_CE_Tools\SDKs\SDK_HW90270\Sdk
+  ```
+
+- `set TOOLCHAIN=` is a semicolon-separated list of the paths of the directories containing the binaries of the Windows CE toolchain.
+For example:
+```bat
+set TOOLCHAIN=%WINCE_TOOLCHAIN_ROOT%\Bin\i386\Arm;%WINCE_TOOLCHAIN_ROOT%\Bin\i386
+```
+
+- `set INCLUDE=` is a semicolon-separated list of the paths of the directories containing the C header files of the Windows CE device SDK. To build for Windows CE 7, this should also include the directories containing the C header files of the Windows Embedded Compact 7 toolchain.
+Examples:
+  - For Windows CE 7:
+  ```bat
+  set INCLUDE=C:\Program Files (x86)\Windows CE Tools\SDKs\Symbol MC3200c70 Windows CE 7.0 PSDK\Include\Armv4i;C:\WINCE700\public\common\sdk\inc
+  ```
+  - For Windows CE 8:
+  ```bat
+  set INCLUDE=%WINCE_TOOLCHAIN_ROOT%\Inc;%WINCE_TOOLCHAIN_ROOT%\crt\Include
+  ```
+
+- `set LIBPATH=` is a semicolon-separated list of the paths of the directories containing the library (i.e., `.LIB`) files of the Windows CE 7 device SDK.
+Examples:
+  - For Windows CE 7:
+  ```bat
+  set LIBPATH=C:\Program Files (x86)\Windows CE Tools\SDKs\Symbol MC3200c70 Windows CE 7.0 PSDK\Lib\ARMv4I
+  ```
+  - For Windows CE 8:
+  ```bat
+  set LIBPATH=%WINCE_TOOLCHAIN_ROOT%\Lib\ARMV7\retail;%WINCE_TOOLCHAIN_ROOT%\Crt\Lib\ARM
+  ```
+
+- `set LIBS=` is a space-separated list of linker directives controlling library search.
+Examples:
+  - For Windows CE 7:
+  ```bat
+  set LIBS=-nodefaultlib:oldnames.lib -nodefaultlib:libcmtd.lib -nodefaultlib:libcmt.lib coredll.lib corelibc.lib
+  ```
+  - For Windows CE 8:
+  ```bat
+  set LIBS=coredll.lib
+  ```
+
+# Capstone binary format
+
+By default, the build script produces a **dynamic link library** (i.e., `.DLL`). In order to produce a **static library** (i.e., `.LIB`) instead, the `SHARED` variable needs to be set to `0`, i.e.:
+```bat
+set SHARED=0
+```
+
+# Architectures supported at runtime
+
+Capstone supports the following architectures: ARM, ARM64 (AArch64), M68K, MIPS, PowerPC, Sparc, SystemZ, x86 and XCore. However, Capstone can be configured in order to select which architectures need to be supported **at runtime**. This is controlled via the variable `DISASM_ARCH_LIST`, which is a space-separated list that is a combination of the following names:
+- `ARM`
+- `ARM64`
+- `M68K`
+- `MIPS`
+- `POWERPC`
+- `SPARC`
+- `SYSZ`
+- `X86`
+- `XCORE`.
+
+By default, `DISASM_ARCH_LIST` includes support for **all** architectures supported by Capstone.
+For example:
+```bat
+set DISASM_ARCH_LIST=ARM ARM64 X86
+```
+will produce a Capstone binary that supports the following architectures: ARM, ARM64 and x86.
+
+## Features customization
+
+Capstone has a list of features that can be controlled when needed. Each feature is controlled through setting a variable from the following list:
+
+- In order to produce a smaller binary that provides a **subset** of the features of Capstone, but still supports all the selected architectures, please specify the following:
+  ```bat
+  set DIET_MODE=1
+  ```
+  By default, this variable is set to `0`.
+
+- By default, Capstone uses the default system-provided **dynamic memory management** functions (e.g., `malloc()`, `realloc()`, `free()`) for its internal memory management. However, Capstone can instead be configured to call **custom** memory management functions provided by client applications. In order to enable this behavior, set the following:
+  ```bat
+  set USE_SYS_DYN_MEM=0
+  ```
+
+- In order to produce a **smaller** Capstone binary, support for the `x86` architecture can be more **limited**. In order to do so, set the following:
+  ```bat
+  set X86_REDUCE=1
+  ```
+  By default, this is set to `0`.
+
+- If the **AT&T** disassembly style of the `x86` architecture is never needed at runtime, then disabling support for it can produce a **smaller** Capstone binary. To do this, please set the following:
+  ```bat
+  set X86_ATT_DISABLE=1
+  ```
+  By default, this is set to `0`.
+
+Please refer to `docs/README` for more details on these features.
diff -pruN 4.0.1+really+3.0.5-2/windowsce/.gitignore 4.0.2-3/windowsce/.gitignore
--- 4.0.1+really+3.0.5-2/windowsce/.gitignore	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/windowsce/.gitignore	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,13 @@
+# Object files
+*.obj
+
+# Libraries
+*.lib
+
+# Shared objects (inc. Windows DLLs)
+*.dll
+
+# VisualStudio
+*.exp
+*.map
+*.pdb
diff -pruN 4.0.1+really+3.0.5-2/windowsce/make_windowsce7-armv7.bat 4.0.2-3/windowsce/make_windowsce7-armv7.bat
--- 4.0.1+really+3.0.5-2/windowsce/make_windowsce7-armv7.bat	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/windowsce/make_windowsce7-armv7.bat	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,179 @@
+@echo off
+
+rem ***************************************************************************
+rem *                       VARIABLES TO SET FOR BUILDING                     *
+rem ***************************************************************************
+
+set WINCE_TOOLCHAIN_ROOT=C:\WINCE700\sdk
+set TOOLCHAIN=%WINCE_TOOLCHAIN_ROOT%\Bin\i386\Arm;%WINCE_TOOLCHAIN_ROOT%\Bin\i386
+set INCLUDE=C:\Program Files (x86)\Windows CE Tools\SDKs\Symbol MC3200c70 Windows CE 7.0 PSDK\Include\Armv4i;C:\WINCE700\public\common\sdk\inc
+set LIBPATH=C:\Program Files (x86)\Windows CE Tools\SDKs\Symbol MC3200c70 Windows CE 7.0 PSDK\Lib\ARMv4I
+set LIBS=-nodefaultlib:oldnames.lib -nodefaultlib:libcmtd.lib -nodefaultlib:libcmt.lib coredll.lib corelibc.lib
+
+rem ***************************************************************************
+rem *                           CAPSTONE CONFIGURATION                        *
+rem ***************************************************************************
+
+set SHARED=1
+set DIET_MODE=0
+set USE_SYS_DYN_MEM=1
+set X86_REDUCE=0
+set X86_ATT_DISABLE=0
+set DISASM_ARCH_LIST=ARM ARM64 M68K MIPS POWERPC SPARC SYSZ X86 XCORE
+
+rem ***************************************************************************
+rem *                              SANITY CHECKS                              *
+rem ***************************************************************************
+
+setlocal ENABLEDELAYEDEXPANSION
+
+if "%WINCE_TOOLCHAIN_ROOT%"=="" goto check_dir_exist_WINCE_TOOLCHAIN_ROOT
+if not exist "%WINCE_TOOLCHAIN_ROOT%" goto check_dir_exist_WINCE_TOOLCHAIN_ROOT
+
+if "%TOOLCHAIN%"=="" goto check_dir_exist_TOOLCHAIN
+
+set CC=
+set LD=
+set AR=
+for /f "tokens=1-8 delims=;" %%a in ("%TOOLCHAIN%") do (
+  for %%i in (%%a %%b %%c %%d %%e %%f %%g %%h) do (
+    if not "%%i"=="" (
+      if not exist "%%i" goto check_dir_exist_TOOLCHAIN
+      if "%CC%"=="" if exist "%%i\cl.exe" set CC=%%i\cl.exe
+      if "%LD%"=="" if exist "%%i\link.exe" set LD=%%i\link.exe
+      if "%AR%"=="" if exist "%%i\lib.exe" set AR=%%i\lib.exe
+    )
+  )
+)
+
+if "%CC%"=="" goto check_dir_exist_CC_LD_AR
+if "%LD%"=="" goto check_dir_exist_CC_LD_AR
+if "%AR%"=="" goto check_dir_exist_CC_LD_AR
+
+if "%INCLUDE%"=="" goto check_dir_exist_INCLUDE
+
+set WINDOWS_H=
+
+set INCLUDE_SC=%INCLUDE%
+set INCLUDE=
+for /f "tokens=1-8 delims=;" %%a in ("%INCLUDE_SC%") do (
+  for %%i in ("%%a" "%%b" "%%c" "%%d" "%%e" "%%f" "%%g" "%%h") do (
+    if not %%i=="" (
+      set INCLUDE=!INCLUDE! -I %%i
+    )
+  )
+)
+
+if "%LIBPATH%"=="" goto check_dir_exist_LIBPATH
+
+set LIBPATH_SC=%LIBPATH%
+set LIBPATH=
+for /f "tokens=1-8 delims=;" %%a in ("%LIBPATH_SC%") do (
+  for %%i in ("%%a" "%%b" "%%c" "%%d" "%%e" "%%f" "%%g" "%%h") do (
+    if not %%i=="" (
+      set LIBPATH=!LIBPATH! -libpath:%%i
+    )
+  )
+)
+
+rem ***************************************************************************
+rem *                            COMPILATION OPTIONS                          *
+rem ***************************************************************************
+
+set OS=windowsce
+set OS_VERSION=7.0
+set OS_VERSION_NUMBER=0x700
+set LIBARCH=arm
+set MACH=THUMB
+
+for /f "delims=" %%i in ('cd') do set THIS_DIR=%%i
+
+set SOURCES_ROOT=%THIS_DIR%\..
+set TARGET_DIR=%THIS_DIR%\bin\%OS%_%OS_VERSION%_%LIBARCH%
+
+for /f "tokens=3" %%i in ('findstr /c:"#define CS_API_MAJOR" "%SOURCES_ROOT%\include\capstone\capstone.h"') do set CS_API_MAJOR=%%i
+for /f "tokens=3" %%i in ('findstr /c:"#define CS_API_MINOR" "%SOURCES_ROOT%\include\capstone\capstone.h"') do set CS_API_MINOR=%%i
+
+set TARGET_VERSION=%CS_API_MAJOR%.%CS_API_MINOR%
+set TAREGET_NAME=capstone-%TARGET_VERSION%
+
+set CPPFLAGS=-D LIBARCH_%LIBARCH% -D LIBARCH=L\"%LIBARCH%\"
+set CPPFLAGS=%CPPFLAGS% -D _CRT_SECURE_NO_DEPRECATE -D _WINDOWS -D WINVER=%OS_VERSION_NUMBER% -D UNDER_CE=%OS_VERSION_NUMBER% -D _WIN32_WCE=%OS_VERSION_NUMBER% -D WINCE -D _UNICODE -D UNICODE -D STANDARDSHELL_UI_MODEL -D _USE_MATH_DEFINES -D ARM -D _ARM -D _ARM_ -D __ARM_ARCH_7__ -D __ARM_ARCH_7A__ -D __VFP_FP__=1
+
+for %%a in (%DISASM_ARCH_LIST%) do set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_HAS_%%a
+
+if %SHARED%==0 (
+  set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_STATIC -D LIB_EXT=L\".lib\"
+) else (
+  set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_SHARED -D LIB_EXT=L\".dll\"
+)
+
+if not %USE_SYS_DYN_MEM%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_USE_SYS_DYN_MEM )
+if not %DIET_MODE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_DIET )
+if not %X86_REDUCE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_X86_REDUCE )
+if not %X86_ATT_DISABLE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_X86_ATT_DISABLE )
+
+set INCLUDE=-I %SOURCES_ROOT%\include -I %SOURCES_ROOT% %INCLUDE%
+
+set CFLAGS=%CPPFLAGS% %INCLUDE% -nologo -Zi -MT -Oi -GS -GF -QRarch7 -arch:VFPv3-D32 -QRfpe- -fp:fast -Oy- -W3 -WX
+
+set LDFLAGS=-nologo -debug -incremental:no -manifest:no -version:%TARGET_VERSION% -machine:%MACH% -subsystem:WINDOWSCE,%OS_VERSION% %LIBPATH% %LIBS%
+
+set ARFLAGS=-nologo -machine:%MACH% -subsystem:WINDOWSCE,%OS_VERSION% %LIBPATH% %LIBS%
+
+set SOURCES=
+for %%f in (%SOURCES_ROOT%\*.c) do set SOURCES=!SOURCES! %%f
+for /d %%a in (%SOURCES_ROOT%\arch\*) do for %%f in (%%a\*.c) do set SOURCES=!SOURCES! %%f
+
+rem ***************************************************************************
+rem *                           COMPILATION COMMANDS                          *
+rem ***************************************************************************
+
+rd /q /s "%TARGET_DIR%"
+md "%TARGET_DIR%"
+
+set PATH=%TOOLCHAIN%;%PATH%
+
+rem %CC% -c %CFLAGS% -D DEBUG -D _DEBUG -Od -Fo"%TARGET_DIR%\\" -Fd"%TARGET_DIR%\%TAREGET_NAME%.pdb" %SOURCES%
+%CC% -c %CFLAGS% -D NDEBUG -Ox -Fo"%TARGET_DIR%\\" -Fd"%TARGET_DIR%\%TAREGET_NAME%.pdb" %SOURCES%
+if errorlevel 1 goto compilation_failed
+
+if %SHARED%==0 (
+  %AR% -out:%TARGET_DIR%\%TAREGET_NAME%.lib %ARFLAGS% %TARGET_DIR%\*.obj
+) else (
+  %LD% -dll -out:%TARGET_DIR%\%TAREGET_NAME%.dll -map:"%TARGET_DIR%\%TAREGET_NAME%.map" -pdb:"%TARGET_DIR%\%TAREGET_NAME%.pdb" %LDFLAGS% -opt:REF -opt:ICF %TARGET_DIR%\*.obj
+)
+
+endlocal
+goto done
+
+rem ***************************************************************************
+rem *                             ERROR REPORTING                             *
+rem ***************************************************************************
+
+:check_dir_exist_WINCE_TOOLCHAIN_ROOT
+echo ERROR: WINCE_TOOLCHAIN_ROOT does not specify an existing directory.
+goto done
+
+:check_dir_exist_TOOLCHAIN
+echo ERROR: TOOLCHAIN does not specify an existing directory.
+goto done
+
+:check_dir_exist_CC_LD_AR
+echo ERROR: TOOLCHAIN does not specify a valid toolchain directory.
+goto done
+
+:check_dir_exist_INCLUDE
+echo ERROR: INCLUDE does not specify an existing directory.
+goto done
+
+:check_dir_exist_LIBPATH
+echo ERROR: LIBPATH does not specify an existing directory.
+goto done
+
+:compilation_failed
+echo ERROR: Compilation failed.
+goto done
+
+:done
+pause
diff -pruN 4.0.1+really+3.0.5-2/windowsce/make_windowsce8-armv7.bat 4.0.2-3/windowsce/make_windowsce8-armv7.bat
--- 4.0.1+really+3.0.5-2/windowsce/make_windowsce8-armv7.bat	1970-01-01 00:00:00.000000000 +0000
+++ 4.0.2-3/windowsce/make_windowsce8-armv7.bat	2020-05-08 10:03:30.000000000 +0000
@@ -0,0 +1,179 @@
+@echo off
+
+rem ***************************************************************************
+rem *                       VARIABLES TO SET FOR BUILDING                     *
+rem ***************************************************************************
+
+set WINCE_TOOLCHAIN_ROOT=C:\Windows_CE_Tools\SDKs\SDK_HW90270\Sdk
+set TOOLCHAIN=%WINCE_TOOLCHAIN_ROOT%\Bin\i386\Arm;%WINCE_TOOLCHAIN_ROOT%\Bin\i386
+set INCLUDE=%WINCE_TOOLCHAIN_ROOT%\Inc;%WINCE_TOOLCHAIN_ROOT%\crt\Include
+set LIBPATH=%WINCE_TOOLCHAIN_ROOT%\Lib\ARMV7\retail;%WINCE_TOOLCHAIN_ROOT%\Crt\Lib\ARM
+set LIBS=coredll.lib
+
+rem ***************************************************************************
+rem *                           CAPSTONE CONFIGURATION                        *
+rem ***************************************************************************
+
+set SHARED=1
+set DIET_MODE=0
+set USE_SYS_DYN_MEM=1
+set X86_REDUCE=0
+set X86_ATT_DISABLE=0
+set DISASM_ARCH_LIST=ARM ARM64 M68K MIPS POWERPC SPARC SYSZ X86 XCORE
+
+rem ***************************************************************************
+rem *                              SANITY CHECKS                              *
+rem ***************************************************************************
+
+setlocal ENABLEDELAYEDEXPANSION
+
+if "%WINCE_TOOLCHAIN_ROOT%"=="" goto check_dir_exist_WINCE_TOOLCHAIN_ROOT
+if not exist "%WINCE_TOOLCHAIN_ROOT%" goto check_dir_exist_WINCE_TOOLCHAIN_ROOT
+
+if "%TOOLCHAIN%"=="" goto check_dir_exist_TOOLCHAIN
+
+set CC=
+set LD=
+set AR=
+for /f "tokens=1-8 delims=;" %%a in ("%TOOLCHAIN%") do (
+  for %%i in (%%a %%b %%c %%d %%e %%f %%g %%h) do (
+    if not "%%i"=="" (
+      if not exist "%%i" goto check_dir_exist_TOOLCHAIN
+      if "%CC%"=="" if exist "%%i\cl.exe" set CC=%%i\cl.exe
+      if "%LD%"=="" if exist "%%i\link.exe" set LD=%%i\link.exe
+      if "%AR%"=="" if exist "%%i\lib.exe" set AR=%%i\lib.exe
+    )
+  )
+)
+
+if "%CC%"=="" goto check_dir_exist_CC_LD_AR
+if "%LD%"=="" goto check_dir_exist_CC_LD_AR
+if "%AR%"=="" goto check_dir_exist_CC_LD_AR
+
+if "%INCLUDE%"=="" goto check_dir_exist_INCLUDE
+
+set WINDOWS_H=
+
+set INCLUDE_SC=%INCLUDE%
+set INCLUDE=
+for /f "tokens=1-8 delims=;" %%a in ("%INCLUDE_SC%") do (
+  for %%i in ("%%a" "%%b" "%%c" "%%d" "%%e" "%%f" "%%g" "%%h") do (
+    if not %%i=="" (
+      set INCLUDE=!INCLUDE! -I %%i
+    )
+  )
+)
+
+if "%LIBPATH%"=="" goto check_dir_exist_LIBPATH
+
+set LIBPATH_SC=%LIBPATH%
+set LIBPATH=
+for /f "tokens=1-8 delims=;" %%a in ("%LIBPATH_SC%") do (
+  for %%i in ("%%a" "%%b" "%%c" "%%d" "%%e" "%%f" "%%g" "%%h") do (
+    if not %%i=="" (
+      set LIBPATH=!LIBPATH! -libpath:%%i
+    )
+  )
+)
+
+rem ***************************************************************************
+rem *                            COMPILATION OPTIONS                          *
+rem ***************************************************************************
+
+set OS=windowsce
+set OS_VERSION=8.0
+set OS_VERSION_NUMBER=0x800
+set LIBARCH=arm
+set MACH=ARM
+
+for /f "delims=" %%i in ('cd') do set THIS_DIR=%%i
+
+set SOURCES_ROOT=%THIS_DIR%\..
+set TARGET_DIR=%THIS_DIR%\bin\%OS%_%OS_VERSION%_%LIBARCH%
+
+for /f "tokens=3" %%i in ('findstr /c:"#define CS_API_MAJOR" "%SOURCES_ROOT%\include\capstone\capstone.h"') do set CS_API_MAJOR=%%i
+for /f "tokens=3" %%i in ('findstr /c:"#define CS_API_MINOR" "%SOURCES_ROOT%\include\capstone\capstone.h"') do set CS_API_MINOR=%%i
+
+set TARGET_VERSION=%CS_API_MAJOR%.%CS_API_MINOR%
+set TAREGET_NAME=capstone-%TARGET_VERSION%
+
+set CPPFLAGS=-D LIBARCH_%LIBARCH% -D LIBARCH=L\"%LIBARCH%\"
+set CPPFLAGS=%CPPFLAGS% -D _CRT_SECURE_NO_DEPRECATE -D _WINDOWS -D WINVER=%OS_VERSION_NUMBER% -D UNDER_CE=%OS_VERSION_NUMBER% -D _WIN32_WCE=%OS_VERSION_NUMBER% -D WINCE -D _UNICODE -D UNICODE -D STANDARDSHELL_UI_MODEL -D _USE_MATH_DEFINES -D ARM -D _ARM -D _ARM_ -D __ARM_ARCH_7__ -D __ARM_ARCH_7A__ -D __VFP_FP__=1
+
+for %%a in (%DISASM_ARCH_LIST%) do set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_HAS_%%a
+
+if %SHARED%==0 (
+  set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_STATIC -D LIB_EXT=L\".lib\"
+) else (
+  set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_SHARED -D LIB_EXT=L\".dll\"
+)
+
+if not %USE_SYS_DYN_MEM%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_USE_SYS_DYN_MEM )
+if not %DIET_MODE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_DIET )
+if not %X86_REDUCE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_X86_REDUCE )
+if not %X86_ATT_DISABLE%==0 ( set CPPFLAGS=!CPPFLAGS! -D CAPSTONE_X86_ATT_DISABLE )
+
+set INCLUDE=-I %SOURCES_ROOT%\include -I %SOURCES_ROOT% %INCLUDE%
+
+set CFLAGS=%CPPFLAGS% %INCLUDE% -nologo -MP -Zi -MT -Oi -GS -fp:fast -Oy- -W3 -WX
+
+set LDFLAGS=-nologo -debug -incremental:no -manifest:no -version:%TARGET_VERSION% -machine:%MACH% -subsystem:WINDOWSCE,%OS_VERSION% %LIBPATH% %LIBS%
+
+set ARFLAGS=-nologo -machine:%MACH% -subsystem:WINDOWSCE,%OS_VERSION% %LIBPATH% %LIBS%
+
+set SOURCES=
+for %%f in (%SOURCES_ROOT%\*.c) do set SOURCES=!SOURCES! %%f
+for /d %%a in (%SOURCES_ROOT%\arch\*) do for %%f in (%%a\*.c) do set SOURCES=!SOURCES! %%f
+
+rem ***************************************************************************
+rem *                           COMPILATION COMMANDS                          *
+rem ***************************************************************************
+
+rd /q /s "%TARGET_DIR%"
+md "%TARGET_DIR%"
+
+set PATH=%TOOLCHAIN%;%PATH%
+
+rem %CC% -c %CFLAGS% -D DEBUG -D _DEBUG -Od -Fo"%TARGET_DIR%\\" -Fd"%TARGET_DIR%\%TAREGET_NAME%.pdb" %SOURCES%
+%CC% -c %CFLAGS% -D NDEBUG -Ox -Fo"%TARGET_DIR%\\" -Fd"%TARGET_DIR%\%TAREGET_NAME%.pdb" %SOURCES%
+if errorlevel 1 goto compilation_failed
+
+if %SHARED%==0 (
+  %AR% -out:%TARGET_DIR%\%TAREGET_NAME%.lib %ARFLAGS% %TARGET_DIR%\*.obj
+) else (
+  %LD% -dll -out:%TARGET_DIR%\%TAREGET_NAME%.dll -map:"%TARGET_DIR%\%TAREGET_NAME%.map" -pdb:"%TARGET_DIR%\%TAREGET_NAME%.pdb" %LDFLAGS% -opt:REF -opt:ICF %TARGET_DIR%\*.obj
+)
+
+endlocal
+goto done
+
+rem ***************************************************************************
+rem *                             ERROR REPORTING                             *
+rem ***************************************************************************
+
+:check_dir_exist_WINCE_TOOLCHAIN_ROOT
+echo ERROR: WINCE_TOOLCHAIN_ROOT does not specify an existing directory.
+goto done
+
+:check_dir_exist_TOOLCHAIN
+echo ERROR: TOOLCHAIN does not specify an existing directory.
+goto done
+
+:check_dir_exist_CC_LD_AR
+echo ERROR: TOOLCHAIN does not specify a valid toolchain directory.
+goto done
+
+:check_dir_exist_INCLUDE
+echo ERROR: INCLUDE does not specify an existing directory.
+goto done
+
+:check_dir_exist_LIBPATH
+echo ERROR: LIBPATH does not specify an existing directory.
+goto done
+
+:compilation_failed
+echo ERROR: Compilation failed.
+goto done
+
+:done
+pause
diff -pruN 4.0.1+really+3.0.5-2/xcode/CapstoneFramework/Info.plist 4.0.2-3/xcode/CapstoneFramework/Info.plist
--- 4.0.1+really+3.0.5-2/xcode/CapstoneFramework/Info.plist	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/xcode/CapstoneFramework/Info.plist	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,7 @@
 	<key>CFBundleExecutable</key>
 	<string>$(EXECUTABLE_NAME)</string>
 	<key>CFBundleIdentifier</key>
-	<string>com.felixcloutier.$(PRODUCT_NAME:rfc1034identifier)</string>
+	<string>$(PRODUCT_BUNDLE_IDENTIFIER)</string>
 	<key>CFBundleInfoDictionaryVersion</key>
 	<string>6.0</string>
 	<key>CFBundleName</key>
diff -pruN 4.0.1+really+3.0.5-2/xcode/Capstone.xcodeproj/project.pbxproj 4.0.2-3/xcode/Capstone.xcodeproj/project.pbxproj
--- 4.0.1+really+3.0.5-2/xcode/Capstone.xcodeproj/project.pbxproj	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/xcode/Capstone.xcodeproj/project.pbxproj	2020-05-08 10:03:30.000000000 +0000
@@ -7,7 +7,12 @@
 	objects = {
 
 /* Begin PBXBuildFile section */
+		05354FA41FC62FCC00920005 /* m68k.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3579F1BC2C14E0094BB3F /* m68k.h */; settings = {ATTRIBUTES = (Public, ); }; };
+		0537EAAA1FC6284F00F06BF9 /* tms320c64x.h in Headers */ = {isa = PBXBuildFile; fileRef = 0537EAA91FC6284E00F06BF9 /* tms320c64x.h */; settings = {ATTRIBUTES = (Public, ); }; };
+		0537EAAC1FC6286300F06BF9 /* m680x.h in Headers */ = {isa = PBXBuildFile; fileRef = 0537EAAB1FC6286300F06BF9 /* m680x.h */; settings = {ATTRIBUTES = (Public, ); }; };
 		DC07A86E19F6061D00254FCF /* libcapstone.a in Frameworks */ = {isa = PBXBuildFile; fileRef = DCFE23BD19DDCC2D00EF8EA9 /* libcapstone.a */; };
+		DC3A28E31AF29C0100FC9913 /* test_customized_mnem.c in Sources */ = {isa = PBXBuildFile; fileRef = DC3A28E21AF29C0100FC9913 /* test_customized_mnem.c */; };
+		DC3A28E41AF29C4600FC9913 /* libcapstone.a in Frameworks */ = {isa = PBXBuildFile; fileRef = DCFE23BD19DDCC2D00EF8EA9 /* libcapstone.a */; };
 		DC474EE519DDEAD900BCA449 /* test_arm.c in Sources */ = {isa = PBXBuildFile; fileRef = DC474E6C19DDEA9500BCA449 /* test_arm.c */; };
 		DC474EF119DDEAED00BCA449 /* test_arm64.c in Sources */ = {isa = PBXBuildFile; fileRef = DC474E6D19DDEA9500BCA449 /* test_arm64.c */; };
 		DC474EF219DDEAF000BCA449 /* test_detail.c in Sources */ = {isa = PBXBuildFile; fileRef = DC474E6E19DDEA9500BCA449 /* test_detail.c */; };
@@ -126,6 +131,23 @@
 		DC474FE019DE6FDA00BCA449 /* XCoreModule.c in Sources */ = {isa = PBXBuildFile; fileRef = DCFE245419DDCD8800EF8EA9 /* XCoreModule.c */; };
 		DC5BFF4719EE547F008CA585 /* libcapstone.a in Frameworks */ = {isa = PBXBuildFile; fileRef = DCFE23BD19DDCC2D00EF8EA9 /* libcapstone.a */; };
 		DC5BFF4919EE54BE008CA585 /* test_iter.c in Sources */ = {isa = PBXBuildFile; fileRef = DC5BFF4819EE54BE008CA585 /* test_iter.c */; };
+		DC9921181BC2C227005BE5E3 /* libcapstone.a in Frameworks */ = {isa = PBXBuildFile; fileRef = DCFE23BD19DDCC2D00EF8EA9 /* libcapstone.a */; };
+		DCA357831BC2C0290094BB3F /* M68KDisassembler.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577B1BC2C0290094BB3F /* M68KDisassembler.c */; };
+		DCA357841BC2C0290094BB3F /* M68KDisassembler.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577B1BC2C0290094BB3F /* M68KDisassembler.c */; };
+		DCA357851BC2C0290094BB3F /* M68KDisassembler.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577B1BC2C0290094BB3F /* M68KDisassembler.c */; };
+		DCA357861BC2C0290094BB3F /* M68KDisassembler.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577C1BC2C0290094BB3F /* M68KDisassembler.h */; };
+		DCA357871BC2C0290094BB3F /* M68KDisassembler.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577C1BC2C0290094BB3F /* M68KDisassembler.h */; };
+		DCA357881BC2C0290094BB3F /* M68KDisassembler.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577C1BC2C0290094BB3F /* M68KDisassembler.h */; };
+		DCA357891BC2C0290094BB3F /* M68KInstPrinter.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577D1BC2C0290094BB3F /* M68KInstPrinter.c */; };
+		DCA3578A1BC2C0290094BB3F /* M68KInstPrinter.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577D1BC2C0290094BB3F /* M68KInstPrinter.c */; };
+		DCA3578B1BC2C0290094BB3F /* M68KInstPrinter.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577D1BC2C0290094BB3F /* M68KInstPrinter.c */; };
+		DCA3578C1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577E1BC2C0290094BB3F /* M68KInstPrinter.h */; };
+		DCA3578D1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577E1BC2C0290094BB3F /* M68KInstPrinter.h */; };
+		DCA3578E1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */ = {isa = PBXBuildFile; fileRef = DCA3577E1BC2C0290094BB3F /* M68KInstPrinter.h */; };
+		DCA3578F1BC2C0290094BB3F /* M68KModule.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577F1BC2C0290094BB3F /* M68KModule.c */; };
+		DCA357901BC2C0290094BB3F /* M68KModule.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577F1BC2C0290094BB3F /* M68KModule.c */; };
+		DCA357911BC2C0290094BB3F /* M68KModule.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3577F1BC2C0290094BB3F /* M68KModule.c */; };
+		DCA3579E1BC2C0EB0094BB3F /* test_m68k.c in Sources */ = {isa = PBXBuildFile; fileRef = DCA3579D1BC2C0EB0094BB3F /* test_m68k.c */; };
 		DCFE245519DDCD9200EF8EA9 /* AArch64BaseInfo.c in Sources */ = {isa = PBXBuildFile; fileRef = DCFE23DE19DDCD8700EF8EA9 /* AArch64BaseInfo.c */; };
 		DCFE245619DDCD9200EF8EA9 /* AArch64Disassembler.c in Sources */ = {isa = PBXBuildFile; fileRef = DCFE23E019DDCD8700EF8EA9 /* AArch64Disassembler.c */; };
 		DCFE245719DDCD9200EF8EA9 /* AArch64InstPrinter.c in Sources */ = {isa = PBXBuildFile; fileRef = DCFE23E719DDCD8700EF8EA9 /* AArch64InstPrinter.c */; };
@@ -171,6 +193,15 @@
 /* End PBXBuildFile section */
 
 /* Begin PBXCopyFilesBuildPhase section */
+		DC3A28D91AF29BEB00FC9913 /* CopyFiles */ = {
+			isa = PBXCopyFilesBuildPhase;
+			buildActionMask = 2147483647;
+			dstPath = /usr/share/man/man1/;
+			dstSubfolderSpec = 0;
+			files = (
+			);
+			runOnlyForDeploymentPostprocessing = 1;
+		};
 		DC474E6219DDEA5F00BCA449 /* CopyFiles */ = {
 			isa = PBXCopyFilesBuildPhase;
 			buildActionMask = 2147483647;
@@ -279,11 +310,24 @@
 			);
 			runOnlyForDeploymentPostprocessing = 1;
 		};
+		DCA357941BC2C0930094BB3F /* CopyFiles */ = {
+			isa = PBXCopyFilesBuildPhase;
+			buildActionMask = 2147483647;
+			dstPath = /usr/share/man/man1/;
+			dstSubfolderSpec = 0;
+			files = (
+			);
+			runOnlyForDeploymentPostprocessing = 1;
+		};
 /* End PBXCopyFilesBuildPhase section */
 
 /* Begin PBXFileReference section */
-		05C355F01FC4AB0C00C89728 /* module.modulemap */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = "sourcecode.module-map"; path = module.modulemap; sourceTree = "<group>"; };
-		DC474E6419DDEA5F00BCA449 /* test */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; name = test; path = test_basic; sourceTree = BUILT_PRODUCTS_DIR; };
+		05354FA51FC6305300920005 /* module.modulemap */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = "sourcecode.module-map"; path = module.modulemap; sourceTree = "<group>"; };
+		0537EAA91FC6284E00F06BF9 /* tms320c64x.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = tms320c64x.h; sourceTree = "<group>"; };
+		0537EAAB1FC6286300F06BF9 /* m680x.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = m680x.h; sourceTree = "<group>"; };
+		DC3A28DB1AF29BEB00FC9913 /* test_customized_mnem */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = test_customized_mnem; sourceTree = BUILT_PRODUCTS_DIR; };
+		DC3A28E21AF29C0100FC9913 /* test_customized_mnem.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_customized_mnem.c; path = ../tests/test_customized_mnem.c; sourceTree = "<group>"; };
+		DC474E6419DDEA5F00BCA449 /* test */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = test; sourceTree = BUILT_PRODUCTS_DIR; };
 		DC474E6C19DDEA9500BCA449 /* test_arm.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_arm.c; path = ../tests/test_arm.c; sourceTree = "<group>"; };
 		DC474E6D19DDEA9500BCA449 /* test_arm64.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_arm64.c; path = ../tests/test_arm64.c; sourceTree = "<group>"; };
 		DC474E6E19DDEA9500BCA449 /* test_detail.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_detail.c; path = ../tests/test_detail.c; sourceTree = "<group>"; };
@@ -309,6 +353,14 @@
 		DC474F6B19DE6F3B00BCA449 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
 		DC5BFF4019EE544E008CA585 /* test_iter */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = test_iter; sourceTree = BUILT_PRODUCTS_DIR; };
 		DC5BFF4819EE54BE008CA585 /* test_iter.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_iter.c; path = ../tests/test_iter.c; sourceTree = "<group>"; };
+		DCA3577B1BC2C0290094BB3F /* M68KDisassembler.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = M68KDisassembler.c; sourceTree = "<group>"; };
+		DCA3577C1BC2C0290094BB3F /* M68KDisassembler.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = M68KDisassembler.h; sourceTree = "<group>"; };
+		DCA3577D1BC2C0290094BB3F /* M68KInstPrinter.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = M68KInstPrinter.c; sourceTree = "<group>"; };
+		DCA3577E1BC2C0290094BB3F /* M68KInstPrinter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = M68KInstPrinter.h; sourceTree = "<group>"; };
+		DCA3577F1BC2C0290094BB3F /* M68KModule.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = M68KModule.c; sourceTree = "<group>"; };
+		DCA357961BC2C0930094BB3F /* test_m68k */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = test_m68k; sourceTree = BUILT_PRODUCTS_DIR; };
+		DCA3579D1BC2C0EB0094BB3F /* test_m68k.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = test_m68k.c; path = ../tests/test_m68k.c; sourceTree = "<group>"; };
+		DCA3579F1BC2C14E0094BB3F /* m68k.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = m68k.h; sourceTree = "<group>"; };
 		DCFE23BD19DDCC2D00EF8EA9 /* libcapstone.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libcapstone.a; sourceTree = BUILT_PRODUCTS_DIR; };
 		DCFE23CD19DDCC9500EF8EA9 /* libcapstone.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = libcapstone.dylib; sourceTree = BUILT_PRODUCTS_DIR; };
 		DCFE23DD19DDCD8700EF8EA9 /* AArch64AddressingModes.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AArch64AddressingModes.h; sourceTree = "<group>"; };
@@ -453,6 +505,14 @@
 /* End PBXFileReference section */
 
 /* Begin PBXFrameworksBuildPhase section */
+		DC3A28D81AF29BEB00FC9913 /* Frameworks */ = {
+			isa = PBXFrameworksBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				DC3A28E41AF29C4600FC9913 /* libcapstone.a in Frameworks */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		DC474E6119DDEA5F00BCA449 /* Frameworks */ = {
 			isa = PBXFrameworksBuildPhase;
 			buildActionMask = 2147483647;
@@ -556,6 +616,14 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 		};
+		DCA357931BC2C0930094BB3F /* Frameworks */ = {
+			isa = PBXFrameworksBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				DC9921181BC2C227005BE5E3 /* libcapstone.a in Frameworks */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		DCFE23BA19DDCC2D00EF8EA9 /* Frameworks */ = {
 			isa = PBXFrameworksBuildPhase;
 			buildActionMask = 2147483647;
@@ -580,8 +648,10 @@
 				DC474E7619DDEA9500BCA449 /* test_basic.c */,
 				DC474E6C19DDEA9500BCA449 /* test_arm.c */,
 				DC474E6D19DDEA9500BCA449 /* test_arm64.c */,
+				DC3A28E21AF29C0100FC9913 /* test_customized_mnem.c */,
 				DC474E6E19DDEA9500BCA449 /* test_detail.c */,
 				DC5BFF4819EE54BE008CA585 /* test_iter.c */,
+				DCA3579D1BC2C0EB0094BB3F /* test_m68k.c */,
 				DC474E6F19DDEA9500BCA449 /* test_mips.c */,
 				DC474E7019DDEA9500BCA449 /* test_ppc.c */,
 				DC474E7119DDEA9500BCA449 /* test_skipdata.c */,
@@ -596,13 +666,35 @@
 		DC474F6919DE6F3B00BCA449 /* framework */ = {
 			isa = PBXGroup;
 			children = (
-				05C355F01FC4AB0C00C89728 /* module.modulemap */,
+				05354FA51FC6305300920005 /* module.modulemap */,
 				DC474F6B19DE6F3B00BCA449 /* Info.plist */,
 			);
 			name = framework;
 			path = CapstoneFramework;
 			sourceTree = "<group>";
 		};
+		DCA357791BC2BFEB0094BB3F /* M68k */ = {
+			isa = PBXGroup;
+			children = (
+				DCA3577B1BC2C0290094BB3F /* M68KDisassembler.c */,
+				DCA3577C1BC2C0290094BB3F /* M68KDisassembler.h */,
+				DCA3577D1BC2C0290094BB3F /* M68KInstPrinter.c */,
+				DCA3577E1BC2C0290094BB3F /* M68KInstPrinter.h */,
+				DCA3577F1BC2C0290094BB3F /* M68KModule.c */,
+			);
+			name = M68k;
+			path = M68K;
+			sourceTree = "<group>";
+		};
+		DCC6C94C1AA6BA9C001E94C1 /* include */ = {
+			isa = PBXGroup;
+			children = (
+				DCFE24BB19DDCE2F00EF8EA9 /* capstone */,
+			);
+			name = include;
+			path = ../include;
+			sourceTree = "<group>";
+		};
 		DCFE239919DDCB4900EF8EA9 = {
 			isa = PBXGroup;
 			children = (
@@ -623,7 +715,7 @@
 				DCFE24A219DDCDEE00EF8EA9 /* utils.c */,
 				DCFE24BA19DDCE1E00EF8EA9 /* utils.h */,
 				DCFE23DB19DDCD8700EF8EA9 /* arch */,
-				DCFE24BB19DDCE2F00EF8EA9 /* include */,
+				DCC6C94C1AA6BA9C001E94C1 /* include */,
 				DC474E6B19DDEA8600BCA449 /* tests */,
 				DC474F6919DE6F3B00BCA449 /* framework */,
 				DCFE23A519DDCBC300EF8EA9 /* Products */,
@@ -648,6 +740,8 @@
 				DC474EEA19DDEAE400BCA449 /* test_arm64 */,
 				DC474F6819DE6F3B00BCA449 /* Capstone.framework */,
 				DC5BFF4019EE544E008CA585 /* test_iter */,
+				DC3A28DB1AF29BEB00FC9913 /* test_customized_mnem */,
+				DCA357961BC2C0930094BB3F /* test_m68k */,
 			);
 			name = Products;
 			sourceTree = "<group>";
@@ -657,6 +751,7 @@
 			children = (
 				DCFE23DC19DDCD8700EF8EA9 /* AArch64 */,
 				DCFE23EC19DDCD8700EF8EA9 /* ARM */,
+				DCA357791BC2BFEB0094BB3F /* M68k */,
 				DCFE23FB19DDCD8700EF8EA9 /* Mips */,
 				DCFE240819DDCD8700EF8EA9 /* PowerPC */,
 				DCFE241619DDCD8700EF8EA9 /* Sparc */,
@@ -837,22 +932,24 @@
 			path = XCore;
 			sourceTree = "<group>";
 		};
-		DCFE24BB19DDCE2F00EF8EA9 /* include */ = {
+		DCFE24BB19DDCE2F00EF8EA9 /* capstone */ = {
 			isa = PBXGroup;
 			children = (
 				DCFE24BC19DDCE2F00EF8EA9 /* arm.h */,
 				DCFE24BD19DDCE2F00EF8EA9 /* arm64.h */,
 				DCFE24BE19DDCE2F00EF8EA9 /* capstone.h */,
+				DCA3579F1BC2C14E0094BB3F /* m68k.h */,
+				0537EAAB1FC6286300F06BF9 /* m680x.h */,
 				DCFE24BF19DDCE2F00EF8EA9 /* mips.h */,
 				DCFE24C019DDCE2F00EF8EA9 /* platform.h */,
 				DCFE24C119DDCE2F00EF8EA9 /* ppc.h */,
 				DCFE24C219DDCE2F00EF8EA9 /* sparc.h */,
 				DCFE24C319DDCE2F00EF8EA9 /* systemz.h */,
+				0537EAA91FC6284E00F06BF9 /* tms320c64x.h */,
 				DCFE24C419DDCE2F00EF8EA9 /* x86.h */,
 				DCFE24C519DDCE2F00EF8EA9 /* xcore.h */,
 			);
-			name = include;
-			path = ../include;
+			path = capstone;
 			sourceTree = "<group>";
 		};
 /* End PBXGroup section */
@@ -862,6 +959,8 @@
 			isa = PBXHeadersBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
+				05354FA41FC62FCC00920005 /* m68k.h in Headers */,
+				DCA357881BC2C0290094BB3F /* M68KDisassembler.h in Headers */,
 				DC474F8119DE6F6B00BCA449 /* arm.h in Headers */,
 				DC474F8219DE6F6B00BCA449 /* arm64.h in Headers */,
 				DC474F8319DE6F6B00BCA449 /* capstone.h in Headers */,
@@ -871,6 +970,9 @@
 				DC474F8719DE6F6B00BCA449 /* sparc.h in Headers */,
 				DC474F8819DE6F6B00BCA449 /* systemz.h in Headers */,
 				DC474F8919DE6F6B00BCA449 /* x86.h in Headers */,
+				0537EAAC1FC6286300F06BF9 /* m680x.h in Headers */,
+				DCA3578E1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */,
+				0537EAAA1FC6284F00F06BF9 /* tms320c64x.h in Headers */,
 				DC474F8A19DE6F6B00BCA449 /* xcore.h in Headers */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -879,6 +981,8 @@
 			isa = PBXHeadersBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
+				DCA3578C1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */,
+				DCA357861BC2C0290094BB3F /* M68KDisassembler.h in Headers */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 		};
@@ -886,13 +990,32 @@
 			isa = PBXHeadersBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
+				DCA3578D1BC2C0290094BB3F /* M68KInstPrinter.h in Headers */,
+				DCA357871BC2C0290094BB3F /* M68KDisassembler.h in Headers */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 		};
 /* End PBXHeadersBuildPhase section */
 
 /* Begin PBXNativeTarget section */
-		DC474E6319DDEA5F00BCA449 /* test_basic */ = {
+		DC3A28DA1AF29BEB00FC9913 /* test_customized_mnem */ = {
+			isa = PBXNativeTarget;
+			buildConfigurationList = DC3A28DF1AF29BEB00FC9913 /* Build configuration list for PBXNativeTarget "test_customized_mnem" */;
+			buildPhases = (
+				DC3A28D71AF29BEB00FC9913 /* Sources */,
+				DC3A28D81AF29BEB00FC9913 /* Frameworks */,
+				DC3A28D91AF29BEB00FC9913 /* CopyFiles */,
+			);
+			buildRules = (
+			);
+			dependencies = (
+			);
+			name = test_customized_mnem;
+			productName = test_customized_mnem;
+			productReference = DC3A28DB1AF29BEB00FC9913 /* test_customized_mnem */;
+			productType = "com.apple.product-type.tool";
+		};
+		DC474E6319DDEA5F00BCA449 /* test */ = {
 			isa = PBXNativeTarget;
 			buildConfigurationList = DC474E6A19DDEA5F00BCA449 /* Build configuration list for PBXNativeTarget "test_basic" */;
 			buildPhases = (
@@ -1114,6 +1237,23 @@
 			productReference = DC5BFF4019EE544E008CA585 /* test_iter */;
 			productType = "com.apple.product-type.tool";
 		};
+		DCA357951BC2C0930094BB3F /* test_m68k */ = {
+			isa = PBXNativeTarget;
+			buildConfigurationList = DCA3579A1BC2C0930094BB3F /* Build configuration list for PBXNativeTarget "test_m68k" */;
+			buildPhases = (
+				DCA357921BC2C0930094BB3F /* Sources */,
+				DCA357931BC2C0930094BB3F /* Frameworks */,
+				DCA357941BC2C0930094BB3F /* CopyFiles */,
+			);
+			buildRules = (
+			);
+			dependencies = (
+			);
+			name = test_m68k;
+			productName = test_m68k;
+			productReference = DCA357961BC2C0930094BB3F /* test_m68k */;
+			productType = "com.apple.product-type.tool";
+		};
 		DCFE23BC19DDCC2D00EF8EA9 /* CapstoneStatic */ = {
 			isa = PBXNativeTarget;
 			buildConfigurationList = DCFE23BE19DDCC2D00EF8EA9 /* Build configuration list for PBXNativeTarget "CapstoneStatic" */;
@@ -1156,6 +1296,9 @@
 			attributes = {
 				LastUpgradeCheck = 0910;
 				TargetAttributes = {
+					DC3A28DA1AF29BEB00FC9913 = {
+						CreatedOnToolsVersion = 6.3.1;
+					};
 					DC474E6319DDEA5F00BCA449 = {
 						CreatedOnToolsVersion = 6.1;
 					};
@@ -1195,6 +1338,9 @@
 					DC5BFF3F19EE544E008CA585 = {
 						CreatedOnToolsVersion = 6.1;
 					};
+					DCA357951BC2C0930094BB3F = {
+						CreatedOnToolsVersion = 7.0;
+					};
 					DCFE23BC19DDCC2D00EF8EA9 = {
 						CreatedOnToolsVersion = 6.1;
 					};
@@ -1221,8 +1367,10 @@
 				DC474E6319DDEA5F00BCA449 /* test_basic */,
 				DC474E8519DDEAA200BCA449 /* test_arm */,
 				DC474EE919DDEAE400BCA449 /* test_arm64 */,
+				DC3A28DA1AF29BEB00FC9913 /* test_customized_mnem */,
 				DC474E9019DDEAA700BCA449 /* test_detail */,
 				DC5BFF3F19EE544E008CA585 /* test_iter */,
+				DCA357951BC2C0930094BB3F /* test_m68k */,
 				DC474E9B19DDEAAC00BCA449 /* test_mips */,
 				DC474EA619DDEAB000BCA449 /* test_ppc */,
 				DC474EB119DDEAB700BCA449 /* test_skipdata */,
@@ -1245,6 +1393,14 @@
 /* End PBXResourcesBuildPhase section */
 
 /* Begin PBXSourcesBuildPhase section */
+		DC3A28D71AF29BEB00FC9913 /* Sources */ = {
+			isa = PBXSourcesBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				DC3A28E31AF29C0100FC9913 /* test_customized_mnem.c in Sources */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		DC474E6019DDEA5F00BCA449 /* Sources */ = {
 			isa = PBXSourcesBuildPhase;
 			buildActionMask = 2147483647;
@@ -1347,6 +1503,7 @@
 				DC474FDE19DE6FDA00BCA449 /* XCoreInstPrinter.c in Sources */,
 				DC474FDC19DE6FDA00BCA449 /* X86Module.c in Sources */,
 				DC474FE019DE6FDA00BCA449 /* XCoreModule.c in Sources */,
+				DCA3578B1BC2C0290094BB3F /* M68KInstPrinter.c in Sources */,
 				DC474FD619DE6FDA00BCA449 /* SystemZModule.c in Sources */,
 				DC474FCA19DE6FDA00BCA449 /* PPCDisassembler.c in Sources */,
 				DC474FD919DE6FDA00BCA449 /* X86DisassemblerDecoder.c in Sources */,
@@ -1367,12 +1524,14 @@
 				DC474FC019DE6FDA00BCA449 /* AArch64Mapping.c in Sources */,
 				DC474FBF19DE6FDA00BCA449 /* AArch64InstPrinter.c in Sources */,
 				DC474FCB19DE6FDA00BCA449 /* PPCInstPrinter.c in Sources */,
+				DCA357851BC2C0290094BB3F /* M68KDisassembler.c in Sources */,
 				DC474FD319DE6FDA00BCA449 /* SystemZInstPrinter.c in Sources */,
 				DC474FDA19DE6FDA00BCA449 /* X86IntelInstPrinter.c in Sources */,
 				DC474FDB19DE6FDA00BCA449 /* X86Mapping.c in Sources */,
 				DC474F9819DE6FCD00BCA449 /* utils.c in Sources */,
 				DC474FC619DE6FDA00BCA449 /* MipsDisassembler.c in Sources */,
 				DC474FCC19DE6FDA00BCA449 /* PPCMapping.c in Sources */,
+				DCA357911BC2C0290094BB3F /* M68KModule.c in Sources */,
 				DC474FC419DE6FDA00BCA449 /* ARMMapping.c in Sources */,
 				DC474FC219DE6FDA00BCA449 /* ARMDisassembler.c in Sources */,
 				DC474FD419DE6FDA00BCA449 /* SystemZMapping.c in Sources */,
@@ -1390,6 +1549,14 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 		};
+		DCA357921BC2C0930094BB3F /* Sources */ = {
+			isa = PBXSourcesBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				DCA3579E1BC2C0EB0094BB3F /* test_m68k.c in Sources */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		DCFE23B919DDCC2D00EF8EA9 /* Sources */ = {
 			isa = PBXSourcesBuildPhase;
 			buildActionMask = 2147483647;
@@ -1404,6 +1571,7 @@
 				DCFE245719DDCD9200EF8EA9 /* AArch64InstPrinter.c in Sources */,
 				DCFE24A319DDCDEE00EF8EA9 /* cs.c in Sources */,
 				DCFE248019DDCDB700EF8EA9 /* SystemZInstPrinter.c in Sources */,
+				DCA357891BC2C0290094BB3F /* M68KInstPrinter.c in Sources */,
 				DCFE24A919DDCDEE00EF8EA9 /* MCRegisterInfo.c in Sources */,
 				DCFE248E19DDCDC000EF8EA9 /* X86Module.c in Sources */,
 				DCFE248319DDCDB700EF8EA9 /* SystemZModule.c in Sources */,
@@ -1424,12 +1592,14 @@
 				DCFE247919DDCDAD00EF8EA9 /* SparcMapping.c in Sources */,
 				DCFE248A19DDCDC000EF8EA9 /* X86Disassembler.c in Sources */,
 				DCFE249719DDCDD000EF8EA9 /* XCoreMapping.c in Sources */,
+				DCA357831BC2C0290094BB3F /* M68KDisassembler.c in Sources */,
 				DCFE247719DDCDAD00EF8EA9 /* SparcDisassembler.c in Sources */,
 				DCFE246019DDCD9900EF8EA9 /* ARMInstPrinter.c in Sources */,
 				DCFE248B19DDCDC000EF8EA9 /* X86DisassemblerDecoder.c in Sources */,
 				DCFE248219DDCDB700EF8EA9 /* SystemZMCTargetDesc.c in Sources */,
 				DCFE247119DDCDA700EF8EA9 /* PPCMapping.c in Sources */,
 				DCFE246219DDCD9900EF8EA9 /* ARMModule.c in Sources */,
+				DCA3578F1BC2C0290094BB3F /* M68KModule.c in Sources */,
 				DCFE24AB19DDCDEE00EF8EA9 /* SStream.c in Sources */,
 				DCFE248119DDCDB700EF8EA9 /* SystemZMapping.c in Sources */,
 				DCFE247219DDCDA700EF8EA9 /* PPCModule.c in Sources */,
@@ -1453,6 +1623,7 @@
 				DC474FBA19DE6FDA00BCA449 /* XCoreInstPrinter.c in Sources */,
 				DC474FB819DE6FDA00BCA449 /* X86Module.c in Sources */,
 				DC474FBC19DE6FDA00BCA449 /* XCoreModule.c in Sources */,
+				DCA3578A1BC2C0290094BB3F /* M68KInstPrinter.c in Sources */,
 				DC474FB219DE6FDA00BCA449 /* SystemZModule.c in Sources */,
 				DC474FA619DE6FDA00BCA449 /* PPCDisassembler.c in Sources */,
 				DC474FB519DE6FDA00BCA449 /* X86DisassemblerDecoder.c in Sources */,
@@ -1473,12 +1644,14 @@
 				DC474F9C19DE6FDA00BCA449 /* AArch64Mapping.c in Sources */,
 				DC474F9B19DE6FDA00BCA449 /* AArch64InstPrinter.c in Sources */,
 				DC474FA719DE6FDA00BCA449 /* PPCInstPrinter.c in Sources */,
+				DCA357841BC2C0290094BB3F /* M68KDisassembler.c in Sources */,
 				DC474FAF19DE6FDA00BCA449 /* SystemZInstPrinter.c in Sources */,
 				DC474FB619DE6FDA00BCA449 /* X86IntelInstPrinter.c in Sources */,
 				DC474FB719DE6FDA00BCA449 /* X86Mapping.c in Sources */,
 				DC474F9219DE6FCD00BCA449 /* utils.c in Sources */,
 				DC474FA219DE6FDA00BCA449 /* MipsDisassembler.c in Sources */,
 				DC474FA819DE6FDA00BCA449 /* PPCMapping.c in Sources */,
+				DCA357901BC2C0290094BB3F /* M68KModule.c in Sources */,
 				DC474FA019DE6FDA00BCA449 /* ARMMapping.c in Sources */,
 				DC474F9E19DE6FDA00BCA449 /* ARMDisassembler.c in Sources */,
 				DC474FB019DE6FDA00BCA449 /* SystemZMapping.c in Sources */,
@@ -1491,6 +1664,95 @@
 /* End PBXSourcesBuildPhase section */
 
 /* Begin XCBuildConfiguration section */
+		DC3A28E01AF29BEB00FC9913 /* Debug */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				ALWAYS_SEARCH_USER_PATHS = NO;
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
+				CLANG_CXX_LIBRARY = "libc++";
+				CLANG_ENABLE_MODULES = YES;
+				CLANG_ENABLE_OBJC_ARC = YES;
+				CLANG_WARN_BOOL_CONVERSION = YES;
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
+				CLANG_WARN_EMPTY_BODY = YES;
+				CLANG_WARN_ENUM_CONVERSION = YES;
+				CLANG_WARN_INT_CONVERSION = YES;
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
+				CLANG_WARN_UNREACHABLE_CODE = YES;
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COPY_PHASE_STRIP = NO;
+				DEBUG_INFORMATION_FORMAT = dwarf;
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
+				GCC_C_LANGUAGE_STANDARD = gnu99;
+				GCC_DYNAMIC_NO_PIC = NO;
+				GCC_NO_COMMON_BLOCKS = YES;
+				GCC_OPTIMIZATION_LEVEL = 0;
+				GCC_PREPROCESSOR_DEFINITIONS = (
+					"DEBUG=1",
+					"$(inherited)",
+				);
+				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
+				GCC_WARN_UNUSED_FUNCTION = YES;
+				GCC_WARN_UNUSED_VARIABLE = YES;
+				HEADER_SEARCH_PATHS = (
+					"$(inherited)",
+					/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include,
+					"$(SRCROOT)/../include",
+				);
+				MACOSX_DEPLOYMENT_TARGET = 10.10;
+				MTL_ENABLE_DEBUG_INFO = YES;
+				ONLY_ACTIVE_ARCH = YES;
+				PRODUCT_NAME = "$(TARGET_NAME)";
+				SDKROOT = macosx;
+			};
+			name = Debug;
+		};
+		DC3A28E11AF29BEB00FC9913 /* Release */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				ALWAYS_SEARCH_USER_PATHS = NO;
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
+				CLANG_CXX_LIBRARY = "libc++";
+				CLANG_ENABLE_MODULES = YES;
+				CLANG_ENABLE_OBJC_ARC = YES;
+				CLANG_WARN_BOOL_CONVERSION = YES;
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
+				CLANG_WARN_EMPTY_BODY = YES;
+				CLANG_WARN_ENUM_CONVERSION = YES;
+				CLANG_WARN_INT_CONVERSION = YES;
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
+				CLANG_WARN_UNREACHABLE_CODE = YES;
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COPY_PHASE_STRIP = NO;
+				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
+				ENABLE_NS_ASSERTIONS = NO;
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
+				GCC_C_LANGUAGE_STANDARD = gnu99;
+				GCC_NO_COMMON_BLOCKS = YES;
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
+				GCC_WARN_UNUSED_FUNCTION = YES;
+				GCC_WARN_UNUSED_VARIABLE = YES;
+				HEADER_SEARCH_PATHS = (
+					"$(inherited)",
+					/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include,
+					"$(SRCROOT)/../include",
+				);
+				MACOSX_DEPLOYMENT_TARGET = 10.10;
+				MTL_ENABLE_DEBUG_INFO = NO;
+				PRODUCT_NAME = "$(TARGET_NAME)";
+				SDKROOT = macosx;
+			};
+			name = Release;
+		};
 		DC474E6819DDEA5F00BCA449 /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
@@ -2469,6 +2731,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2494,6 +2757,7 @@
 				MODULEMAP_FILE = "$(SRCROOT)/CapstoneFramework/module.modulemap";
 				MTL_ENABLE_DEBUG_INFO = YES;
 				ONLY_ACTIVE_ARCH = YES;
+				PRODUCT_BUNDLE_IDENTIFIER = "com.felixcloutier.$(PRODUCT_NAME:rfc1034identifier)";
 				PRODUCT_NAME = Capstone;
 				SDKROOT = macosx;
 				SKIP_INSTALL = YES;
@@ -2534,6 +2798,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2556,6 +2821,7 @@
 				MACOSX_DEPLOYMENT_TARGET = 10.9;
 				MODULEMAP_FILE = "$(SRCROOT)/CapstoneFramework/module.modulemap";
 				MTL_ENABLE_DEBUG_INFO = NO;
+				PRODUCT_BUNDLE_IDENTIFIER = "com.felixcloutier.$(PRODUCT_NAME:rfc1034identifier)";
 				PRODUCT_NAME = Capstone;
 				SDKROOT = macosx;
 				SKIP_INSTALL = YES;
@@ -2650,6 +2916,87 @@
 			};
 			name = Release;
 		};
+		DCA3579B1BC2C0930094BB3F /* Debug */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				ALWAYS_SEARCH_USER_PATHS = NO;
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
+				CLANG_CXX_LIBRARY = "libc++";
+				CLANG_ENABLE_MODULES = YES;
+				CLANG_ENABLE_OBJC_ARC = YES;
+				CLANG_WARN_BOOL_CONVERSION = YES;
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
+				CLANG_WARN_EMPTY_BODY = YES;
+				CLANG_WARN_ENUM_CONVERSION = YES;
+				CLANG_WARN_INT_CONVERSION = YES;
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
+				CLANG_WARN_UNREACHABLE_CODE = YES;
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COPY_PHASE_STRIP = NO;
+				DEBUG_INFORMATION_FORMAT = dwarf;
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
+				ENABLE_TESTABILITY = YES;
+				GCC_C_LANGUAGE_STANDARD = gnu99;
+				GCC_DYNAMIC_NO_PIC = NO;
+				GCC_NO_COMMON_BLOCKS = YES;
+				GCC_OPTIMIZATION_LEVEL = 0;
+				GCC_PREPROCESSOR_DEFINITIONS = (
+					"DEBUG=1",
+					"$(inherited)",
+				);
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
+				GCC_WARN_UNUSED_FUNCTION = YES;
+				GCC_WARN_UNUSED_VARIABLE = YES;
+				HEADER_SEARCH_PATHS = "$(SRCROOT)/../include";
+				MACOSX_DEPLOYMENT_TARGET = 10.10;
+				MTL_ENABLE_DEBUG_INFO = YES;
+				ONLY_ACTIVE_ARCH = YES;
+				PRODUCT_NAME = "$(TARGET_NAME)";
+				SDKROOT = macosx;
+			};
+			name = Debug;
+		};
+		DCA3579C1BC2C0930094BB3F /* Release */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				ALWAYS_SEARCH_USER_PATHS = NO;
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
+				CLANG_CXX_LIBRARY = "libc++";
+				CLANG_ENABLE_MODULES = YES;
+				CLANG_ENABLE_OBJC_ARC = YES;
+				CLANG_WARN_BOOL_CONVERSION = YES;
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
+				CLANG_WARN_EMPTY_BODY = YES;
+				CLANG_WARN_ENUM_CONVERSION = YES;
+				CLANG_WARN_INT_CONVERSION = YES;
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
+				CLANG_WARN_UNREACHABLE_CODE = YES;
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COPY_PHASE_STRIP = NO;
+				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
+				ENABLE_NS_ASSERTIONS = NO;
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
+				GCC_C_LANGUAGE_STANDARD = gnu99;
+				GCC_NO_COMMON_BLOCKS = YES;
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
+				GCC_WARN_UNUSED_FUNCTION = YES;
+				GCC_WARN_UNUSED_VARIABLE = YES;
+				HEADER_SEARCH_PATHS = "$(SRCROOT)/../include";
+				MACOSX_DEPLOYMENT_TARGET = 10.10;
+				MTL_ENABLE_DEBUG_INFO = NO;
+				PRODUCT_NAME = "$(TARGET_NAME)";
+				SDKROOT = macosx;
+			};
+			name = Release;
+		};
 		DCFE239E19DDCB4900EF8EA9 /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
@@ -2677,6 +3024,7 @@
 				GCC_WARN_UNINITIALIZED_AUTOS = YES;
 				GCC_WARN_UNUSED_FUNCTION = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				ONLY_ACTIVE_ARCH = YES;
 			};
 			name = Debug;
 		};
@@ -2726,6 +3074,7 @@
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
 				CLANG_WARN_UNREACHABLE_CODE = YES;
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				ENABLE_STRICT_OBJC_MSGSEND = YES;
 				EXECUTABLE_PREFIX = lib;
@@ -2735,6 +3084,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2782,6 +3132,7 @@
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
 				CLANG_WARN_UNREACHABLE_CODE = YES;
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				ENABLE_NS_ASSERTIONS = NO;
@@ -2791,6 +3142,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2835,6 +3187,7 @@
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
 				CLANG_WARN_UNREACHABLE_CODE = YES;
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				DYLIB_COMPATIBILITY_VERSION = 1;
 				DYLIB_CURRENT_VERSION = 1;
@@ -2846,6 +3199,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2894,6 +3248,7 @@
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
 				CLANG_WARN_UNREACHABLE_CODE = YES;
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				DYLIB_COMPATIBILITY_VERSION = 1;
@@ -2905,6 +3260,7 @@
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"CAPSTONE_HAS_ARM=1",
 					"CAPSTONE_HAS_ARM64=1",
+					"CAPSTONE_HAS_M68K=1",
 					"CAPSTONE_HAS_MIPS=1",
 					"CAPSTONE_HAS_POWERPC=1",
 					"CAPSTONE_HAS_SPARC=1",
@@ -2936,7 +3292,16 @@
 /* End XCBuildConfiguration section */
 
 /* Begin XCConfigurationList section */
-		DC474E6A19DDEA5F00BCA449 /* Build configuration list for PBXNativeTarget "test_basic" */ = {
+		DC3A28DF1AF29BEB00FC9913 /* Build configuration list for PBXNativeTarget "test_customized_mnem" */ = {
+			isa = XCConfigurationList;
+			buildConfigurations = (
+				DC3A28E01AF29BEB00FC9913 /* Debug */,
+				DC3A28E11AF29BEB00FC9913 /* Release */,
+			);
+			defaultConfigurationIsVisible = 0;
+			defaultConfigurationName = Release;
+		};
+		DC474E6A19DDEA5F00BCA449 /* Build configuration list for PBXNativeTarget "test" */ = {
 			isa = XCConfigurationList;
 			buildConfigurations = (
 				DC474E6819DDEA5F00BCA449 /* Debug */,
@@ -3052,6 +3417,15 @@
 			);
 			defaultConfigurationIsVisible = 0;
 			defaultConfigurationName = Release;
+		};
+		DCA3579A1BC2C0930094BB3F /* Build configuration list for PBXNativeTarget "test_m68k" */ = {
+			isa = XCConfigurationList;
+			buildConfigurations = (
+				DCA3579B1BC2C0930094BB3F /* Debug */,
+				DCA3579C1BC2C0930094BB3F /* Release */,
+			);
+			defaultConfigurationIsVisible = 0;
+			defaultConfigurationName = Release;
 		};
 		DCFE239D19DDCB4900EF8EA9 /* Build configuration list for PBXProject "Capstone" */ = {
 			isa = XCConfigurationList;
diff -pruN 4.0.1+really+3.0.5-2/xcode/Capstone.xcodeproj/xcshareddata/xcschemes/Tests.xcscheme 4.0.2-3/xcode/Capstone.xcodeproj/xcshareddata/xcschemes/Tests.xcscheme
--- 4.0.1+really+3.0.5-2/xcode/Capstone.xcodeproj/xcshareddata/xcschemes/Tests.xcscheme	2018-07-18 16:17:10.000000000 +0000
+++ 4.0.2-3/xcode/Capstone.xcodeproj/xcshareddata/xcschemes/Tests.xcscheme	2020-05-08 10:03:30.000000000 +0000
@@ -15,8 +15,8 @@
             <BuildableReference
                BuildableIdentifier = "primary"
                BlueprintIdentifier = "DC474E6319DDEA5F00BCA449"
-               BuildableName = "test_basic"
-               BlueprintName = "test_basic"
+               BuildableName = "test"
+               BlueprintName = "test"
                ReferencedContainer = "container:Capstone.xcodeproj">
             </BuildableReference>
          </BuildActionEntry>
@@ -52,6 +52,20 @@
             buildForTesting = "YES"
             buildForRunning = "YES"
             buildForProfiling = "YES"
+            buildForArchiving = "YES"
+            buildForAnalyzing = "YES">
+            <BuildableReference
+               BuildableIdentifier = "primary"
+               BlueprintIdentifier = "DC3A28DA1AF29BEB00FC9913"
+               BuildableName = "test_customized_mnem"
+               BlueprintName = "test_customized_mnem"
+               ReferencedContainer = "container:Capstone.xcodeproj">
+            </BuildableReference>
+         </BuildActionEntry>
+         <BuildActionEntry
+            buildForTesting = "YES"
+            buildForRunning = "YES"
+            buildForProfiling = "YES"
             buildForArchiving = "NO"
             buildForAnalyzing = "YES">
             <BuildableReference
@@ -188,8 +202,8 @@
          <BuildableReference
             BuildableIdentifier = "primary"
             BlueprintIdentifier = "DC474E6319DDEA5F00BCA449"
-            BuildableName = "test_basic"
-            BlueprintName = "test_basic"
+            BuildableName = "test"
+            BlueprintName = "test"
             ReferencedContainer = "container:Capstone.xcodeproj">
          </BuildableReference>
       </MacroExpansion>
@@ -211,8 +225,8 @@
          <BuildableReference
             BuildableIdentifier = "primary"
             BlueprintIdentifier = "DC474E6319DDEA5F00BCA449"
-            BuildableName = "test_basic"
-            BlueprintName = "test_basic"
+            BuildableName = "test"
+            BlueprintName = "test"
             ReferencedContainer = "container:Capstone.xcodeproj">
          </BuildableReference>
       </MacroExpansion>
@@ -229,8 +243,8 @@
          <BuildableReference
             BuildableIdentifier = "primary"
             BlueprintIdentifier = "DC474E6319DDEA5F00BCA449"
-            BuildableName = "test_basic"
-            BlueprintName = "test_basic"
+            BuildableName = "test"
+            BlueprintName = "test"
             ReferencedContainer = "container:Capstone.xcodeproj">
          </BuildableReference>
       </MacroExpansion>
